--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: configurationvalue; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE configurationvalue (
    uuid character varying(36) NOT NULL,
    factor double precision,
    external_key character varying(255),
    system_uuid character varying(36)
);


ALTER TABLE public.configurationvalue OWNER TO isxouser;

--
-- Name: customvalue; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE customvalue (
    uuid character varying(36) NOT NULL,
    factor double precision NOT NULL,
    name character varying(255),
    unit character varying(255),
    value double precision NOT NULL
);


ALTER TABLE public.customvalue OWNER TO isxouser;

--
-- Name: it_load_central_values; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE it_load_central_values (
    pueconfiguration_uuid character varying(36) NOT NULL,
    itloadcentralvalues_uuid character varying(36) NOT NULL,
    it_load_central_value integer NOT NULL
);


ALTER TABLE public.it_load_central_values OWNER TO isxouser;

--
-- Name: it_load_custom_values; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE it_load_custom_values (
    pueconfiguration_uuid character varying(36) NOT NULL,
    itloadcustomvalues_uuid character varying(36) NOT NULL,
    it_load_custom_value integer NOT NULL
);


ALTER TABLE public.it_load_custom_values OWNER TO isxouser;

--
-- Name: power_in_central_values; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE power_in_central_values (
    pueconfiguration_uuid character varying(36) NOT NULL,
    powerincentralvalues_uuid character varying(36) NOT NULL,
    power_in_central_value integer NOT NULL
);


ALTER TABLE public.power_in_central_values OWNER TO isxouser;

--
-- Name: power_in_custom_values; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE power_in_custom_values (
    pueconfiguration_uuid character varying(36) NOT NULL,
    powerincustomvalues_uuid character varying(36) NOT NULL,
    power_in_custom_value integer NOT NULL
);


ALTER TABLE public.power_in_custom_values OWNER TO isxouser;

--
-- Name: pueconfiguration; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE pueconfiguration (
    uuid character varying(36) NOT NULL,
    password character varying(255),
    username character varying(255)
);


ALTER TABLE public.pueconfiguration OWNER TO isxouser;

--
-- Name: puesettings; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE puesettings (
    uuid character varying(36) NOT NULL,
    efficiencyunit integer
);


ALTER TABLE public.puesettings OWNER TO isxouser;

--
-- Data for Name: configurationvalue; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY configurationvalue (uuid, factor, external_key, system_uuid) FROM stdin;
\.


--
-- Data for Name: customvalue; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY customvalue (uuid, factor, name, unit, value) FROM stdin;
f41c0b11-8d78-44c2-9040-d9bf4d7e9146	1	IT - SX 1	kW	15.2200000000000006
25337fb7-6a7b-4409-abff-87581c5affe6	1	IT - SX 2	kW	4.96999999999999975
177abdc9-4cea-41ea-a587-09ab943fd143	1	IT - SX 3	kW	15.2100000000000009
d7e747b4-af9a-4665-b659-dcf35b1899bd	1	IT - SX 4	kW	18.3099999999999987
13861a9e-7f53-4611-a6d5-482fdd1e71af	1	IT - DX 1	kW	15.4600000000000009
8aa1baa2-ac4c-4bdc-992f-6169d705cdca	1	IT - DX 2	kW	4.96999999999999975
f4f9ac9d-3c0f-4b7a-8921-3b72437828c3	1	IT - DX 3	kW	15.2100000000000009
3b119bbb-e75d-47ee-9a29-adf392a81ec8	1	IT - DX 4	kW	18.3099999999999987
cb77d5fe-f04b-4545-bf9d-af3dfa06042a	1	UPS DX	kW	59.9600000000000009
33f38516-44ec-4cc3-8fed-6c8ba9ddba69	1	UPS SX	kW	59.7100000000000009
dba10391-4ac4-44a7-be9b-673e5907ccc9	1	Cooling	kW	40
0367c8ca-1562-4d50-b3fe-8c5efc1977eb	1	Light	kW	5
182ca097-73f1-47e0-8aee-1a1104ce5703	1	Security Systems	kW	5
\.


--
-- Data for Name: it_load_central_values; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY it_load_central_values (pueconfiguration_uuid, itloadcentralvalues_uuid, it_load_central_value) FROM stdin;
\.


--
-- Data for Name: it_load_custom_values; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY it_load_custom_values (pueconfiguration_uuid, itloadcustomvalues_uuid, it_load_custom_value) FROM stdin;
f77548e1-e195-418a-8b21-f7b8548ab26d	f41c0b11-8d78-44c2-9040-d9bf4d7e9146	0
f77548e1-e195-418a-8b21-f7b8548ab26d	25337fb7-6a7b-4409-abff-87581c5affe6	1
f77548e1-e195-418a-8b21-f7b8548ab26d	177abdc9-4cea-41ea-a587-09ab943fd143	2
f77548e1-e195-418a-8b21-f7b8548ab26d	d7e747b4-af9a-4665-b659-dcf35b1899bd	3
f77548e1-e195-418a-8b21-f7b8548ab26d	13861a9e-7f53-4611-a6d5-482fdd1e71af	4
f77548e1-e195-418a-8b21-f7b8548ab26d	8aa1baa2-ac4c-4bdc-992f-6169d705cdca	5
f77548e1-e195-418a-8b21-f7b8548ab26d	f4f9ac9d-3c0f-4b7a-8921-3b72437828c3	6
f77548e1-e195-418a-8b21-f7b8548ab26d	3b119bbb-e75d-47ee-9a29-adf392a81ec8	7
\.


--
-- Data for Name: power_in_central_values; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY power_in_central_values (pueconfiguration_uuid, powerincentralvalues_uuid, power_in_central_value) FROM stdin;
\.


--
-- Data for Name: power_in_custom_values; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY power_in_custom_values (pueconfiguration_uuid, powerincustomvalues_uuid, power_in_custom_value) FROM stdin;
f77548e1-e195-418a-8b21-f7b8548ab26d	cb77d5fe-f04b-4545-bf9d-af3dfa06042a	0
f77548e1-e195-418a-8b21-f7b8548ab26d	33f38516-44ec-4cc3-8fed-6c8ba9ddba69	1
f77548e1-e195-418a-8b21-f7b8548ab26d	dba10391-4ac4-44a7-be9b-673e5907ccc9	2
f77548e1-e195-418a-8b21-f7b8548ab26d	0367c8ca-1562-4d50-b3fe-8c5efc1977eb	3
f77548e1-e195-418a-8b21-f7b8548ab26d	182ca097-73f1-47e0-8aee-1a1104ce5703	4
\.


--
-- Data for Name: pueconfiguration; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY pueconfiguration (uuid, password, username) FROM stdin;
f77548e1-e195-418a-8b21-f7b8548ab26d	\N	\N
\.


--
-- Data for Name: puesettings; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY puesettings (uuid, efficiencyunit) FROM stdin;
297307f9-07c2-4609-b864-5a6bd7537c94	0
\.


--
-- Name: configurationvalue_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY configurationvalue
    ADD CONSTRAINT configurationvalue_pkey PRIMARY KEY (uuid);


--
-- Name: customvalue_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY customvalue
    ADD CONSTRAINT customvalue_pkey PRIMARY KEY (uuid);


--
-- Name: it_load_central_values_itloadcentralvalues_uuid_key; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY it_load_central_values
    ADD CONSTRAINT it_load_central_values_itloadcentralvalues_uuid_key UNIQUE (itloadcentralvalues_uuid);


--
-- Name: it_load_central_values_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY it_load_central_values
    ADD CONSTRAINT it_load_central_values_pkey PRIMARY KEY (pueconfiguration_uuid, it_load_central_value);


--
-- Name: it_load_custom_values_itloadcustomvalues_uuid_key; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY it_load_custom_values
    ADD CONSTRAINT it_load_custom_values_itloadcustomvalues_uuid_key UNIQUE (itloadcustomvalues_uuid);


--
-- Name: it_load_custom_values_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY it_load_custom_values
    ADD CONSTRAINT it_load_custom_values_pkey PRIMARY KEY (pueconfiguration_uuid, it_load_custom_value);


--
-- Name: power_in_central_values_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY power_in_central_values
    ADD CONSTRAINT power_in_central_values_pkey PRIMARY KEY (pueconfiguration_uuid, power_in_central_value);


--
-- Name: power_in_central_values_powerincentralvalues_uuid_key; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY power_in_central_values
    ADD CONSTRAINT power_in_central_values_powerincentralvalues_uuid_key UNIQUE (powerincentralvalues_uuid);


--
-- Name: power_in_custom_values_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY power_in_custom_values
    ADD CONSTRAINT power_in_custom_values_pkey PRIMARY KEY (pueconfiguration_uuid, power_in_custom_value);


--
-- Name: power_in_custom_values_powerincustomvalues_uuid_key; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY power_in_custom_values
    ADD CONSTRAINT power_in_custom_values_powerincustomvalues_uuid_key UNIQUE (powerincustomvalues_uuid);


--
-- Name: pueconfiguration_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY pueconfiguration
    ADD CONSTRAINT pueconfiguration_pkey PRIMARY KEY (uuid);


--
-- Name: puesettings_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY puesettings
    ADD CONSTRAINT puesettings_pkey PRIMARY KEY (uuid);


--
-- Name: fk4e81669124ca4aef; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY it_load_central_values
    ADD CONSTRAINT fk4e81669124ca4aef FOREIGN KEY (pueconfiguration_uuid) REFERENCES pueconfiguration(uuid);


--
-- Name: fk4e816691c14e4004; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY it_load_central_values
    ADD CONSTRAINT fk4e816691c14e4004 FOREIGN KEY (itloadcentralvalues_uuid) REFERENCES configurationvalue(uuid);


--
-- Name: fk5cce7ccc1ae7601d; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY power_in_central_values
    ADD CONSTRAINT fk5cce7ccc1ae7601d FOREIGN KEY (powerincentralvalues_uuid) REFERENCES configurationvalue(uuid);


--
-- Name: fk5cce7ccc24ca4aef; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY power_in_central_values
    ADD CONSTRAINT fk5cce7ccc24ca4aef FOREIGN KEY (pueconfiguration_uuid) REFERENCES pueconfiguration(uuid);


--
-- Name: fk688a5ab1228eae1; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY it_load_custom_values
    ADD CONSTRAINT fk688a5ab1228eae1 FOREIGN KEY (itloadcustomvalues_uuid) REFERENCES customvalue(uuid);


--
-- Name: fk688a5ab24ca4aef; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY it_load_custom_values
    ADD CONSTRAINT fk688a5ab24ca4aef FOREIGN KEY (pueconfiguration_uuid) REFERENCES pueconfiguration(uuid);


--
-- Name: fkd5725c101d4ee3a8; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY power_in_custom_values
    ADD CONSTRAINT fkd5725c101d4ee3a8 FOREIGN KEY (powerincustomvalues_uuid) REFERENCES customvalue(uuid);


--
-- Name: fkd5725c1024ca4aef; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY power_in_custom_values
    ADD CONSTRAINT fkd5725c1024ca4aef FOREIGN KEY (pueconfiguration_uuid) REFERENCES pueconfiguration(uuid);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

