--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: calculateddata$subsystemlossregistration; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE "calculateddata$subsystemlossregistration" (
    uuid character varying(36) NOT NULL,
    actuallosskw double precision NOT NULL,
    averagelosskwh double precision NOT NULL
);


ALTER TABLE public."calculateddata$subsystemlossregistration" OWNER TO isxouser;

--
-- Name: dimension; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE dimension (
    uuid character varying(36) NOT NULL,
    height integer NOT NULL,
    width integer NOT NULL
);


ALTER TABLE public.dimension OWNER TO isxouser;

--
-- Name: energysystem; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE energysystem (
    uuid character varying(36) NOT NULL,
    country character varying(255),
    designitload double precision NOT NULL,
    name character varying(255),
    outdoordrybulbtemperature double precision NOT NULL,
    recalculateintervalinminutes integer NOT NULL
);


ALTER TABLE public.energysystem OWNER TO isxouser;

--
-- Name: energysystem_equipment; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE energysystem_equipment (
    energysystem_uuid character varying(36) NOT NULL,
    element character varying(36)
);


ALTER TABLE public.energysystem_equipment OWNER TO isxouser;

--
-- Name: energysystem_equipmentsensormap; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE energysystem_equipmentsensormap (
    energysystem_uuid character varying(36) NOT NULL,
    element character varying(36),
    mapkey character varying(36) NOT NULL
);


ALTER TABLE public.energysystem_equipmentsensormap OWNER TO isxouser;

--
-- Name: energysystem_subsystemconfiguration; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE energysystem_subsystemconfiguration (
    energysystem_uuid character varying(36) NOT NULL,
    subsystems_uuid character varying(36) NOT NULL,
    subsystem_type character varying(255) NOT NULL
);


ALTER TABLE public.energysystem_subsystemconfiguration OWNER TO isxouser;

--
-- Name: graphicalrepresentation; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE graphicalrepresentation (
    uuid character varying(36) NOT NULL,
    x integer NOT NULL,
    y integer NOT NULL,
    height integer NOT NULL,
    width integer NOT NULL
);


ALTER TABLE public.graphicalrepresentation OWNER TO isxouser;

--
-- Name: point; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE point (
    uuid character varying(36) NOT NULL,
    x integer NOT NULL,
    y integer NOT NULL
);


ALTER TABLE public.point OWNER TO isxouser;

--
-- Name: powerdependencydiagram; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE powerdependencydiagram (
    uuid character varying(36) NOT NULL
);


ALTER TABLE public.powerdependencydiagram OWNER TO isxouser;

--
-- Name: powerdependencydiagram_graphicalrepresentation; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE powerdependencydiagram_graphicalrepresentation (
    powerdependencydiagram_uuid character varying(36) NOT NULL,
    locationmap_uuid character varying(36) NOT NULL,
    mapkey character varying(36) NOT NULL
);


ALTER TABLE public.powerdependencydiagram_graphicalrepresentation OWNER TO isxouser;

--
-- Name: powerpath; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE powerpath (
    id character varying(255) NOT NULL
);


ALTER TABLE public.powerpath OWNER TO isxouser;

--
-- Name: puemeasurement; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE puemeasurement (
    uuid character varying(36) NOT NULL,
    date timestamp without time zone,
    modeluuid character varying(36),
    pue double precision NOT NULL
);


ALTER TABLE public.puemeasurement OWNER TO isxouser;

--
-- Name: puemeasurement_calculateddata$subsystemlossregistration; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE "puemeasurement_calculateddata$subsystemlossregistration" (
    puemeasurement_uuid character varying(36) NOT NULL,
    subsystemlossregistration_uuid character varying(36) NOT NULL,
    subsystem_type character varying(255) NOT NULL
);


ALTER TABLE public."puemeasurement_calculateddata$subsystemlossregistration" OWNER TO isxouser;

--
-- Name: redundancy; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE redundancy (
    value character varying(255) NOT NULL
);


ALTER TABLE public.redundancy OWNER TO isxouser;

--
-- Name: scriptedsensor; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE scriptedsensor (
    uuid character varying(36) NOT NULL,
    name character varying(255),
    script text
);


ALTER TABLE public.scriptedsensor OWNER TO isxouser;

--
-- Name: subsystemconfiguration; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE subsystemconfiguration (
    uuid character varying(36) NOT NULL,
    measurementreader text,
    powerpath integer,
    source integer,
    actualnameplate double precision NOT NULL,
    deratefraction double precision NOT NULL,
    drybulbfixedloss double precision NOT NULL,
    fixedlossfraction double precision NOT NULL,
    proportionallossfraction double precision NOT NULL,
    redundancy integer,
    redundancyincrement double precision NOT NULL,
    squarelawlossfraction double precision NOT NULL,
    usablefraction double precision NOT NULL,
    usablepu double precision NOT NULL
);


ALTER TABLE public.subsystemconfiguration OWNER TO isxouser;

--
-- Name: subsystemsource; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE subsystemsource (
    text character varying(255) NOT NULL
);


ALTER TABLE public.subsystemsource OWNER TO isxouser;

--
-- Name: virtualdevice; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE virtualdevice (
    uuid character varying(36) NOT NULL,
    name character varying(255)
);


ALTER TABLE public.virtualdevice OWNER TO isxouser;

--
-- Name: virtualdevice_scriptedsensor; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE virtualdevice_scriptedsensor (
    virtualdevice_uuid character varying(36) NOT NULL,
    sensors_uuid character varying(36) NOT NULL
);


ALTER TABLE public.virtualdevice_scriptedsensor OWNER TO isxouser;

--
-- Name: virtualdevicemap; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE virtualdevicemap (
    uuid character varying(36) NOT NULL
);


ALTER TABLE public.virtualdevicemap OWNER TO isxouser;

--
-- Name: virtualdevicemap_map; Type: TABLE; Schema: public; Owner: isxouser; Tablespace: 
--

CREATE TABLE virtualdevicemap_map (
    virtualdevicemap_uuid character varying(36) NOT NULL,
    element character varying(36),
    mapkey character varying(36) NOT NULL
);


ALTER TABLE public.virtualdevicemap_map OWNER TO isxouser;

--
-- Data for Name: calculateddata$subsystemlossregistration; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY "calculateddata$subsystemlossregistration" (uuid, actuallosskw, averagelosskwh) FROM stdin;
f3ef3733-a7f1-4998-b6ed-a510f72bb378	0	0
214e5cc5-0b11-40c6-b047-787e0c32a0b2	0	0
9d0a5e2b-2974-4202-ab5f-79180f855eab	0	0
f8af03ce-a98b-4fa7-a65d-2c3e75a003bf	0	0
74ece03d-4aa5-4ad5-9eb7-44e37ee430f7	0	0
3a6e0036-865a-4ddf-8529-f2defb803558	0	0
494e54fb-438f-4ed7-9b8c-07013b200d8b	0	0
7b908490-cf33-41f9-8159-b4a5eb634955	0	0
03c8fe9d-2134-425b-8d0d-ac6bc61277f0	48	4
85a9b510-d206-43f3-986e-97ba6e662540	0	0
4fe4f552-c69b-4066-b8d4-60b404ea4a71	0	0
6b17b70d-686d-486e-8eb1-58dc1058a553	0	0
58994f23-7110-476e-b6b3-252b42e5f9a6	0	0
66ac2648-3a11-43ca-a978-39d9b6bf1cdd	0	0
f9173a41-cc4c-426e-b16b-a86a02226594	0	0
19231e29-ccc8-4c8d-99bd-1252846fc1b2	0	0
0809991c-afcd-4adb-a4e3-6bf76b155c98	0	0
dd5cd73a-5730-4ad2-b850-fa59654f3025	0	0
2c7d4fe3-c0f2-45ad-88d0-c94507ab4f7f	0	0
3ae76655-14ea-42a1-9ba1-6da2c39ef960	0	0
a4d6387d-9583-4dbe-95aa-74fe7d1193ee	80	6.66666666666666607
d9d2c125-b5e6-4a14-abcc-1d2781d8c1d9	0	0
214e7bbe-59ef-4365-bf9e-7efeaefdb9d8	0	0
fcd81cd0-7319-4e41-b90c-1900e9688559	0	0
a9efe9ab-2420-4d24-93be-3fc7abc28a71	0	0
f4adf1e7-b18c-4022-8b41-aec1e9df8bd8	0	0
ef672317-85c4-4fd6-8618-efc41fb53b6f	0	0
2cac4fbd-6263-49cf-97f7-0d5d1b78232c	0	0
7bc12f04-13ac-47ba-92d8-b6c31766d0a6	0	0
d2f829f9-a656-417e-bee1-6d3f51730964	48	3.9993866666666662
3f3f906a-1559-4eb2-8bd2-aa7edb861120	0	0
d6e47706-4f8c-4f5b-9efb-b81e97f0048d	0	0
35cef149-4d54-455d-9068-52bab75fb407	0	0
d8fbea1f-88a2-47c2-b66f-59f52e60b988	0	0
84d0c3b7-2fe7-4fc2-a71d-8604793bc752	0	0
10316c43-0b34-4637-a52e-6313b00395fb	0	0
fac72da2-0cff-4962-9372-efea0db5bd45	0	0
216c3065-d700-4349-9db2-79e2b3a8e78d	0	0
45ad0875-b993-4a61-915f-cbe4f5ccf5ca	0	0
9a3ef860-bec7-4ba4-8d18-f0d9f9aaab34	0	0
2b8d7526-74d8-4f07-bc41-37f9b41799fd	0	0
c2328757-69db-4c40-9d24-3b0dc171c335	80	6.66564444444444426
77e8dec6-aa97-4427-887f-19d9220b1b2a	0	0
fc6526b7-f610-4d5f-a438-d5cb265cd2eb	0	0
55c8a0d3-6669-4ecb-be02-a7eb6f9a189f	0	0
dce23a6f-0efb-421d-9c0d-80e054ec4f6e	0	0
73c4cab6-322f-4aae-bebc-eede0a69197d	0	0
5b8e25ae-31ac-4ffd-ba15-997681f0ee99	0	0
669674f7-b35e-4e97-a538-fac289e8f986	0	0
1c3f0653-00f9-4e4e-b8a6-c6ffbf2ab6f4	0	0
4123979b-9555-4226-823e-8078b34cb1ec	48	4.84366666666666656
16b132c7-9fc7-4a04-9929-7d80ee83d501	0	0
e130ac7c-3f62-4d79-87b0-80be2d9cac0e	0	0
beaa2330-7a98-4b71-ab13-293032d7b4b7	0	0
dc47bfcf-be4f-4616-af5d-8a21dedf501e	0	0
5bfdab38-4b3c-4347-92dc-e2e99bcefa71	0	0
05fc7809-46f1-44a8-b034-ef3dadb1a6ab	0	0
87cf096c-669f-4111-9ac5-3b216ec753d2	0	0
d7fd53be-6d80-4d63-b6cf-e06c10a87086	0	0
f2626793-2283-4e9c-843d-c68c67bc0e80	0	0
4b16b90a-a3d1-4203-9408-2774da01d541	0	0
b1c6f926-e9bd-4965-bbe1-863e8a7615e3	0	0
f3c36a65-fc04-4098-a290-04bf8e7b5a41	80	8.07277777777777672
66574824-e172-41e6-a684-be74de530f0a	0	0
2b5a44f7-581d-49ec-9146-66028dd4c73f	0	0
e158e667-6ab3-47ea-8e28-78d78493a6f4	0	0
9d745a50-8cf1-4458-85d4-fb1de1791862	0	0
e4ebdd51-1ed8-451f-aa52-8a9c77c5b3cb	0	0
4a34a40e-e26d-40a6-a33c-1fa50fe4aa1a	0	0
6261395c-6ed3-403e-8263-fb7f29650372	0	0
e124dc52-5ed5-4f54-83b4-b4d2ad8eb00e	0	0
83d113b9-9963-47e6-ba6b-f1fe3d4a9df5	48	3.9997600000000002
ee93e382-31b2-4979-aea7-a6b6d0350d65	0	0
3916d494-5149-4e13-a5e7-e6dd94fb72ae	0	0
ddcb1a46-c01d-4104-9499-695e9dd0051f	0	0
23855b47-6805-4354-a505-e7aeaadb6933	0	0
bbae5669-1529-4657-bdbe-a41e0d0cc89a	0	0
ace34dff-4110-4cdb-8d16-57e75f2933c6	0	0
85aebc7c-b906-4d41-a94c-bceedcbfd004	0	0
0361ccc5-9a96-496d-b8d8-751c1d7266a5	0	0
b317ed70-c575-423c-9570-8e92f817cb7d	0	0
128c8cdb-4581-4f03-96c1-f7335e02aa11	0	0
eed1ca19-fbee-4412-8ce7-9eb31e6c274b	0	0
64f6a473-7479-4fe6-b831-d5d4de459f7d	80	6.66626666666666701
bd4ed6f7-62c2-4b61-aeee-0f4cfab282e9	0	0
f2ffbce2-c696-4833-a0eb-9d264b19548c	0	0
10bcd2f7-dd5f-43c6-9fff-b2305255ed75	0	0
e7133d7e-605a-488e-b96f-37f947d2e54f	0	0
41ddc579-3280-4025-8424-0efcfea38013	0	0
e4fdcda7-8652-49a8-87e3-29638c68b117	0	0
feb1ef47-36e2-468b-97fd-05573b9bef20	0	0
d8e31030-368a-4c95-9999-8ff8f13bd4a8	0	0
b08c9cc0-2555-4137-858d-6d7c36c4fd75	48	3.99961333333333346
96503b56-1987-48f9-a074-77666ec1e790	0	0
39bf82d4-4f14-48bc-843d-eddfbed8f685	0	0
5d43acdd-b721-4bcb-b8d6-a7afa9af8406	0	0
bc7c9d85-d665-49f0-a18e-68894807705d	0	0
d67323ff-876f-485a-b21e-0c9c430a0997	0	0
032c41c2-f51a-4963-9844-492576f8aaca	0	0
49bd6289-c372-4a81-8814-ac7536edc6f5	0	0
edff374f-7cb0-4ed8-912d-398a92bbeb2c	0	0
a6e3830c-ca67-4828-aed8-973017120ce6	0	0
3758c231-84a2-414f-9f6e-bdc28f9d38f5	0	0
46a1f4d4-a5cd-4a60-9e4e-93c14e1a414f	0	0
db1955f0-e760-4828-928f-535bbb58c136	80	6.66602222222222185
41675567-483d-4a1e-8d77-da495af2fd65	0	0
5ac2e0a2-ec1e-41e9-92a9-2b4d7b76ec6d	0	0
1101eb2d-8181-49b3-8d3b-55f33e619cf9	0	0
57852ec3-a1c9-46c9-8781-5060ba613847	0	0
f7dceb88-e678-478a-887e-adbf45f42287	0	0
b462a8d1-0b91-4861-80ac-7d1b73fdde6e	0	0
8128e3c3-c3e9-4a8b-83ef-d51623f84a44	0	0
17312343-b077-4782-a3d5-338b5bac86d9	0	0
f94a2a92-3d0b-49e8-9bce-1684bd4c7915	48	4.0003066666666669
789b84df-5393-477c-acc7-68841931f410	0	0
ef9c8afa-6b2e-4602-9b9b-e8fcfcd39363	0	0
1e9b551d-c1dc-47e6-872f-7e8b45b222de	0	0
1b49cde8-ff37-4321-90fc-7f27a801bb7a	0	0
2dad24c0-69c9-4159-9153-c2122c2a2f10	0	0
78ba4477-fe88-456a-8397-41c5e74a7623	0	0
a3ab6ed4-dfca-47b2-8b09-0b73911a7af9	0	0
e5bba7e3-aa33-4028-b38b-f03898435989	0	0
b4c656e4-cf60-4b8a-b922-19c6f370eeeb	0	0
5dba1aeb-f277-4213-a5b7-b68b4edda29c	0	0
6abb60b7-731d-4fb4-b7b3-98eb1e055e7e	0	0
3dcbd71d-29c1-499a-b8f9-91b9a08e8283	80	6.66717777777777698
5e3aa572-1c58-4ee4-be2f-59112d3b9745	0	0
476a5d50-3fe2-4c9e-995d-b1ae112dca12	0	0
34ba1524-a12b-4da3-bfba-939250dde303	0	0
db5e5fc1-1e5b-4775-bcc6-87de02f86565	0	0
eabe775f-9b0d-4d25-aff6-b600b2ca2a23	0	0
61c7303a-ed7c-458d-bbd2-c269874a5f68	0	0
3016a415-0555-40a9-9c72-bba34146a883	0	0
e2a49131-e639-4464-976c-15556b7ebbbd	0	0
9702f23d-10cd-4023-a733-d4d41b7c4c3c	48	4.00026666666666664
a19da61f-7814-42ac-823b-c267c4f37ccb	0	0
147c1aaa-b3f4-484c-a99d-36c9f1995079	0	0
fa604b10-14fc-440b-870b-f55dbe7a6aeb	0	0
268270b1-39b5-4b04-9ac3-95e1243e03f3	0	0
a02a036f-62a2-4914-b928-ce69199ed153	0	0
de09a741-981b-462f-a45e-60037f1f75ff	0	0
ea28279b-df38-448c-8657-1ed0823798fa	0	0
cb9bf6d2-8c29-44f9-a0ef-0b167691ea12	0	0
9b9ec05d-f400-4dba-8907-6867adc7738a	0	0
4de44fc4-337f-4cdb-99da-9b9cf608677c	0	0
9f039e3a-c645-4993-a83f-3b210e0b0100	0	0
dfcd01e4-955e-441e-a4f2-3a3853f88369	80	6.66711111111111165
b450f7cb-8a46-43ff-a5bb-10e144f8de6e	0	0
daa64b82-0338-4731-bdae-5e99a9999531	0	0
44b26582-bbb3-4ac1-aafa-018f199ee318	0	0
4885cc82-463e-4884-acd2-4777434acae2	0	0
9b7d2238-6bd1-43a4-a8b1-38531a3c3014	0	0
7e56140d-e1a3-427d-8012-caf2f92c6500	0	0
87fe1617-e4c2-4afb-883c-b6bce806e539	0	0
7256aa18-49ff-4b13-9322-13b9be6c3c06	0	0
f03446be-3fa0-4877-8d79-01772ade8ba1	48	4.00019999999999953
95fe46da-e669-473c-a89e-e98d17d534a0	0	0
dac0623e-1eb1-464f-b77a-597387406a5d	0	0
765f6626-5f23-4146-bca8-0851acc96686	0	0
fe56eff0-3083-477e-af05-3283c68e977e	0	0
eebac57a-5c4f-406a-a3a0-192fe64104bd	0	0
fbf14bd3-c08d-417b-919c-df7d9a8168a6	0	0
ceb30c75-19d4-48b6-b289-5696ff197ab9	0	0
0b8d9345-1db9-4f04-9077-58f2d1b8eb27	0	0
e9299701-94dc-436b-9e33-b14b158a661f	0	0
febeffb4-0f94-4ab2-a29d-d7cebcc948e2	0	0
5df47bcb-ebf5-4d44-9064-a53cf91f6713	0	0
62fa2298-f93c-4e79-a0eb-8bf310a437b8	80	6.66699999999999982
1b5b5538-5516-4b7b-bfcc-e6cce271d173	0	0
16403eae-45c6-41ef-8db5-b001149c33e3	0	0
b642b538-2f09-4611-aa07-b4e5aba2e7d0	0	0
c3dd862b-03fa-4b1a-a0b7-211cec6f18b8	0	0
996c3bc8-5bbd-47ee-aca9-d1835107c51c	0	0
c96a6be2-4e57-4be4-b2db-a3f422f4d3d8	0	0
094a1b30-3d72-461d-9d04-f4d1c92b12dc	0	0
49663e52-2f0c-4f52-aade-83024b3f6bfe	0	0
6965fa1b-ef01-4e66-b2d8-8e34b3a3a082	48	4.00157333333333298
bd20ecf1-b769-447a-acc3-72791e615b4f	0	0
1a34a224-563e-4bcb-8eab-435224e92807	0	0
d1f3a711-3b72-40a6-9cce-dbf0fb8d74e5	0	0
974a3508-b437-42f7-af6e-60654f05da5b	0	0
e752af29-a357-4d6c-8252-0084349442d4	0	0
aabd132b-e0aa-4dcf-8a8e-b6e778bd5d2f	0	0
dd3cecad-8011-40af-9f79-e615a55bd578	0	0
acb262a5-27ba-4e21-8447-1bfda38edeff	0	0
b0df3377-62ff-4c52-91ed-5c1261d95a26	0	0
d66d5e7b-b7de-4dec-a17e-ccb369179761	0	0
f7890fd2-4bef-44d2-b1b8-b901d29fcc1e	0	0
b058eb63-4194-4e58-801d-8a0f8f59af22	80	6.66928888888888949
a4c5f5be-c286-4206-83f9-1d30603e6307	0	0
b28870f5-b48e-4d1b-919a-ad36575c50b8	0	0
64496db4-a14b-4c8e-b464-45a1458d4c61	0	0
6f81f147-df76-489d-ad34-1f4af67a0969	0	0
c7877dca-14c8-4d30-bc7d-7a18c108a222	0	0
345029c8-9006-43d6-8db2-4557acecc7d8	0	0
8ca27882-ca16-4cbb-962e-f35c44d0681a	0	0
bce0e420-3f61-40ad-a92a-0df14efce9fb	0	0
88dec115-e788-4149-98eb-bf42b1301893	48	3.99887999999999977
575fb52d-4595-4237-8404-22f183e0a1e1	0	0
8391c4ed-6ac1-44e4-81b0-2edf11eb13b5	0	0
fd64cba4-27b9-49d6-911c-9a494a1e7955	0	0
9970fd35-df36-4292-9ac1-1ae850a27e85	0	0
5e9bc5f5-b922-4a74-ac2a-f3208d66906a	0	0
9ec2097f-98ba-478e-ac69-d4604358d23b	0	0
83d36c5f-bb7b-45c8-8718-efc6200ec40d	0	0
a92b3df0-f86e-46a2-b645-e1b7c01646cc	0	0
dc34e00a-2b29-4f45-a32f-66995f8bbd44	0	0
877a9c9f-704d-4dcd-a3e3-4b503589e39f	0	0
c1622377-88ad-4956-a2f9-a57dfaf7d4f4	0	0
d29d3cf1-a3ed-4375-94dc-515be96ffee3	80	6.66479999999999961
1075830d-52d6-4fc0-9c0f-e1a1790d5324	0	0
1bde3950-c7a9-489a-b9eb-887b70965076	0	0
33af02df-db6a-4488-9f38-f743ab6d50d5	0	0
3858789d-04ab-44bd-afbc-38f877580bef	0	0
7e647bce-a950-44f6-9dc2-d6f9831e56e1	0	0
3e76dc66-4fc8-4ff4-ac23-140f636f66af	0	0
1a553381-beef-4b59-b3f3-6dc41bbaa06d	0	0
754535d0-cdfd-495f-abaa-b7591aeb16bf	0	0
cd24db3c-1d1b-47d1-91af-0d21686fde43	48	4.00138666666666687
8d848ac7-6466-4dcb-9f73-6543cb0396bf	0	0
57f3af08-018b-4deb-b515-61d9473a4548	0	0
8045eb40-4af3-49e6-8481-81e05fd4182f	0	0
ab388881-4e7d-4e23-948f-8761b19e1699	0	0
6dda46ec-1cd5-48c4-91c8-aec179398893	0	0
bc507a4b-7eeb-45ec-8d17-414c487b976f	0	0
2c627a34-33d0-4e64-9600-1ad83378f3f0	0	0
85083c0f-8efb-4b4a-80de-210aeda8e6bf	0	0
7a649aa5-fd54-4842-ad46-8a666636d6ce	0	0
aa016120-097e-4bb0-afb7-b230962b1209	0	0
875b4b22-75ba-4a0e-b1de-b0f25a64293a	0	0
663158a1-0aaf-4019-aac2-c466b0afce72	80	6.66897777777777812
5de377ec-2aaf-46a7-ad9b-a715a50e669d	0	0
d9643a1f-8916-4554-b0dd-6bd0d36de3f0	0	0
466a8f01-c5b0-4f7d-a76a-b6805abdf8b4	0	0
8100fd7c-ebfa-465f-b1fc-f34922ca16f8	0	0
77c23a46-8618-4db3-93e0-aa030b2ae825	0	0
557d21a3-ccd8-460c-9259-05e21da47214	0	0
b0b1728b-9189-43b7-9ef5-ebb2d69b2379	0	0
4ecbf401-fd3d-4124-8ee3-cd43c94e0097	0	0
3b79484e-a4b5-438f-9906-b65ff184b177	16	5.9353422222222223
8e8431e3-5bbe-498a-861a-d0fa6ba34b14	0	0
6008bb3d-be76-48d6-b5b1-09d01c7ed6b0	0	0
e590b81c-d6d1-4860-abc4-6c805091c86e	0	0
b806b216-5d38-4f05-9b32-789920b5ec52	0	0
04562fa3-15d9-4c9c-8bb7-0ac0eac0608c	0	0
1ac10f4c-3c20-4e24-9538-5c49c5d94044	0	0
4a7421a9-2214-4906-ae2a-51fc26f9bb3a	0	0
09947875-6843-406b-b275-2a03b5ffb6af	0	0
5d0849b5-8da1-410c-b31b-657ecb18a0fb	0	0
bf7ff699-fa7f-4ac6-843c-1fe9a963d848	0	0
a393440c-edab-45e6-b330-df86bbbf08a9	0	0
2ec6dedb-8bd7-4ccd-8b69-6c4a2a741a0c	70	13.9109583333333333
8586d14a-93fc-4b6e-b823-60b675f32e0b	0	0
f6f24db5-726a-47d9-9185-ffeb741c474b	0	0
e45ea9be-475a-43b1-bdec-53f8f6f7f026	0	0
2d4fd498-520d-4940-8aa4-2aa4247a4bd2	11.1837229437229446	0.466063014141414156
2fd74c23-fd11-477c-a765-47088685ddce	0	0
2f96eef4-7294-42c7-b18d-3815a6b495fd	0	0
757f354f-09d7-4404-bcab-1fc5b8f5c0dd	30.6305568181818195	1.27647740446969693
3803c94e-9ea0-4294-a22d-58e522964e2f	0	0
dea5362d-b8ca-477f-b080-7cbddcb821a2	16	1.33354666666666666
55dcb11f-6c52-48b8-b785-cd7958fe1e7d	0	0
c8db3878-3e79-486a-9d59-badc62259afb	0	0
32359c49-824a-4df5-910a-0e247c877637	0	0
c8204664-dbdf-48e2-9bb9-49fce1b267c1	0	0
29de21e9-4182-4678-adf1-181f54baef90	0	0
6d1351e1-4755-4112-84db-31e5042f7061	0	0
f3b3cea7-7f03-4155-a08b-b89f3e603cf7	0	0
5750beaf-cc83-4ac5-8eb6-37563594ebf1	0	0
a9a73a75-b251-4fbf-870b-029957343a74	0	0
5b3c3bea-21c7-439a-987d-a095ce818b17	0	0
0c10e6cb-8a57-4915-bb19-1fbb09e8b7d5	0	0
b99eaf0a-4e81-4b9d-b534-019d83f0a9e0	70	5.83426666666666627
cfe7ddef-ef83-4a82-a6e7-c2036b5305c6	0.594125249072381956	0.0247586019245731315
d107e211-3ba3-4740-94b3-f6d9c124296e	0	0
410cf15f-067d-4db5-b92f-79e08f5709e5	0	0
85d04782-bb88-4819-b11d-a5ec3679c2fb	11.1837229437229446	0.93210428215488228
31128968-977d-4049-bb49-b150a636a9a5	0	0
d94ef220-f9ec-4fdb-9a55-82c22328ce51	0	0
5397fb25-8f89-479b-9f07-5e28c931b2e5	17.1436818181818182	1.99086532426294194
fab56047-ac98-42d5-9438-407243cd7481	0	0
ed7159bc-f830-4dc7-a5a1-71f7b4b9aeb0	16	1.33351555555555557
7f8e81c7-ee4b-4b9b-979f-f82ecae3f963	0	0
a99ed5d5-c5b2-44a7-a7b4-44cf2781c68f	0	0
ba6a4980-1b58-4531-8f9b-44d412b20638	0	0
dec4a695-d7f0-414b-b9aa-25db14b39418	0	0
e07ab78c-5e40-4de0-aa28-6693ef8760c3	0	0
fc2044a9-5dae-430a-9323-c915cb1cc370	0	0
02ef16bb-7207-46d9-9e26-5cbcc1b5daea	0	0
d972ee5d-1655-446e-8f21-58ba7c162cef	0	0
6cad29f9-52df-4eaf-9c3e-6f268e9a335c	0	0
8364a7d0-da6b-4f39-9472-eb1c12007821	0	0
53de5299-d440-4733-9367-5f0f8e988047	0	0
8d50782f-8373-4bf4-82d9-2fdb2fc2f7e1	70	5.83413055555555538
8f702eb6-8d35-4a02-8c1e-694072133d2e	0.594125249072381956	0.0495190192318517713
1321255c-f3b7-4f95-a652-4f3ba61d49ee	0	0
c54094fd-7694-453a-9a7d-76b3fcbad160	0	0
918c18cd-1140-4760-8548-a9892cb59a40	11.1837229437229446	0.93213845464165479
8ecff6f5-5193-41ba-a851-732733a2c42e	0	0
09ab311f-d3fd-406a-bd1a-27c0ad90f6ef	0	0
b44696b8-bc87-440b-bffa-b961a864e387	17.1436818181818182	1.42888778247474768
d59f6715-1058-4295-93f1-64ab3b258717	0	0
52b37263-1b46-4c4e-9522-34c355fa22b5	16	1.33356444444444455
b91a8eae-ea9e-4f1b-9656-c65abcb4adf7	0	0
47cfab61-de5b-4901-9425-ad05c43b20ea	0	0
e6c227a3-248e-4fbb-b848-2cf0509de26a	0	0
78da1305-670a-4564-a1c3-eceba3679e2f	0	0
f0c1e70c-89cc-4fbc-96f0-5d5bf74c1d73	0	0
09818463-5608-4fde-ae1c-8b7e85f94afe	0	0
edd8b864-c84d-43b4-90d1-b7fff931399a	0	0
33464b28-c1bf-495e-b73a-8afd61dde4fe	0	0
0acc04d8-4150-4528-abe4-f2387fcd2922	0	0
293086f1-fba9-4bcf-b12f-27aef273544c	0	0
cecc3a0d-4fc9-4215-8455-ddec2148c21a	0	0
97ad9c1e-da89-473a-959d-7c2dffd20a3e	70	5.83434444444444456
b6649cc6-375f-43b4-9179-e935b0f88164	0.594125249072381956	0.0495082919704101787
7b5104dd-3868-4979-ac28-f0a0b84d9c62	0	0
348519a8-0814-4213-add6-0167c706fc95	0	0
bd55af43-c67f-460c-8244-b5b0ca790aee	11.1837229437229446	0.931936526310726432
7ac6feb9-4e11-47c5-b98f-a746d66a61b7	0	0
00a6147a-8156-4d94-8fd7-25079ed836c3	0	0
233184ce-d632-4072-af89-e1eb68152c54	17.1436818181818182	1.42857824377525255
bbeb6060-cfda-4bcf-aa39-df2974a03de5	0	0
599445e1-8d0d-4c3d-8f07-bfb6b7d57736	16	1.33327555555555555
eca301fd-738c-48fa-919b-a6f9ad932e8a	0	0
ad8067c8-3c90-44b3-849e-d7c8589954f9	0	0
627bb0fb-3cfa-44d0-adf2-2c3137397ff4	0	0
acefc8c6-0bf8-4fe5-a37b-339482b64436	0	0
d6f9fe52-1095-410d-8d23-96e3fef309af	0	0
0b1d6b2f-0fb8-45b1-9b9d-4d71e454684f	0	0
3b013e4b-fbfb-4d3f-85ea-8955ee016a39	0	0
f974baac-4b3c-49ba-ad7f-ca7c65f747c1	0	0
027e7e29-05f6-4242-a854-09bbc36a6bf1	0	0
a6f2a097-7b8d-4d5c-90b1-631342e02b80	0	0
4450d148-a432-47e3-9210-17ccf966f196	0	0
bf194dee-b90b-4a85-86ca-98ee7ae4033a	70	5.83308055555555516
9efa7573-433d-47fd-92cf-91ca5f4539e1	0.594125249072381956	0.0495185241274775367
b38cc8e8-beb2-4928-86d7-0a5bb1221f87	0	0
288ac692-9006-46c1-ac97-a5405222249a	0	0
5d26d8ba-b7fa-4324-922e-8daef6dfe6b1	11.1837229437229446	0.932129134872535015
71208ab6-6e8a-461e-b60e-1667e160c073	0	0
a59e43e6-9866-4c16-a21f-901850a7adbd	0	0
e370d924-f855-4bd2-ae73-95e74789cdbc	17.1436818181818182	1.42887349607323233
47e4286c-be29-4eb9-8d60-5aa3e504c7c3	0	0
389d82e3-f467-48bb-aa42-0499fb665543	16	1.33355111111111113
3edd14f4-e96b-4640-99a9-aba64febe83b	0	0
28ed0b13-54ba-4110-82ee-6fe7d071fd85	0	0
fc140054-45ae-4d6c-bf80-c4428942e781	0	0
5ad6d43c-fd17-4174-a042-c60eccf7f1cb	0	0
65729939-818f-4c39-ae65-ea47bb8172d6	0	0
4a370317-84a8-4887-8c0f-cbdb7537fefa	0	0
47e77025-498e-4a31-b9ec-208fc7eec93c	0	0
7079caef-1f61-4aba-af0f-bdbf2001a5bb	0	0
88b16b3b-826f-4a01-8b23-8831396c4a92	0	0
10314bba-e930-441e-9364-a08b0ad0eb46	0	0
4aa8ec86-a797-473f-84f2-ebb5b9bd43f0	0	0
f21b7a63-b0d5-41dc-9a3a-8fdfe5f6299e	70	5.83428611111111106
23e0c8d8-1c5f-4a5a-b1b8-c131203f5803	0.594125249072381956	0.0495244653799682619
32a23bdc-787d-46b3-9970-9bf31f56653d	0	0
49b36ee5-dadc-4992-a689-e6a4b88603ac	0	0
9ee239d2-a916-4ec2-ba46-d16535be88bb	11.1837229437229446	0.932240972101972099
ac83be05-9bb3-4fa0-931b-e1c385070a69	0	0
9a00d68a-6bc4-40e5-b601-ce03e9026771	0	0
e9d7d518-afc6-465d-970e-2a3709487f55	17.1436818181818182	1.4290449328914141
956a1b44-4cb8-40c5-a8fb-d3e5d096c3dd	0	0
84bdd409-4723-412c-a096-42395f606944	16	1.33371111111111107
4ca29346-2dec-4283-bc00-6dc271732f2d	0	0
3da96e8a-e115-48cc-9966-c107e994eaae	0	0
76c01e8b-f3ba-4dc6-99a8-1076815476c6	0	0
ba1b11c0-4232-4b4d-a2ef-3c7d9316d5cc	0	0
13ce02c6-711f-4585-8255-cea8340f6999	0	0
5c0d0e7a-7b5b-4dd8-8140-df34f1d1d3db	0	0
b5c21791-0d10-4496-867d-b2a199c27b0b	0	0
48233dcd-d04e-4283-8c5a-0dc857683567	0	0
8a238a19-78b7-4918-843c-ea6e5263fef0	0	0
8c0c621f-4a7e-4a0d-a15a-4dad5dc4ce1c	0	0
a1d9017f-3e38-45f2-a772-7b37ad23f8c3	0	0
294155bf-923c-449c-871d-223da9da4687	70	5.83498611111111121
02ad40b7-879a-438a-8800-d74e75ddff1c	0.594125249072381956	0.0494997101612569129
d81ffdf3-fa40-40a0-a097-c5ee483ff5c4	0	0
ebd4521b-7495-469c-8e6a-aa3b0f211905	0	0
b63026ed-5325-47e6-9d14-bc11a5d2c7c1	11.1837229437229446	0.931774983645983768
ee276de6-5841-4697-b6e6-7f62b276f99f	0	0
a1cb8fc4-b139-4059-849c-4b91c6bbf18f	0	0
80bbdcf5-76a4-4eb8-9ea4-1bb372f8c771	17.1436818181818182	1.42833061281565654
c4895e72-179e-4dd5-ada9-7258302e7c39	0	0
39573c6f-ea27-42ba-ae72-a1fb03bcc9bd	16	1.33304444444444448
e6c47ebe-c619-45f6-ac17-dcfb7d2d3c12	0	0
9c271481-9e35-4b55-b828-33674fa311c2	0	0
2e6af7e0-fd17-49ae-bbc3-90146fb3de86	0	0
37203c3c-49f9-4f6a-a6df-bac6f9874fad	0	0
ac055664-466b-45a0-a2ae-f7a620d58a72	0	0
3d414a9e-9517-451c-8a5a-1a7a74df3d0e	0	0
1724aca6-2ca8-400b-9e49-f2479365fc1f	0	0
4a130870-de19-437e-9a86-4f4fab721986	0	0
5fdee825-fd91-4acb-b73d-200248d7f0ee	0	0
714224f0-4c82-4dc7-85ea-2018f902b471	0	0
1ad72c38-1be6-4ead-aca1-fd50997efc0d	0	0
96ca1b64-a0ab-4ce0-b41f-40e6cd937dc4	70	5.83206944444444453
da2c7848-2a1d-4ffa-b8e0-7a1c5216c2fe	0.594125249072381956	0.049507796866035951
bab61918-6e86-4992-9d66-e6397a77289b	0	0
f18d94f2-6d8d-420e-a0be-a117cf94a159	0	0
f99cc361-8055-4905-877d-8777ee15d67b	11.1837229437229446	0.931927206541606545
0166f959-bc6d-423b-9034-017f9b231e9b	0	0
fc2108f8-d4e3-4536-9d4e-bbb96f40fc20	0	0
7e79f765-e5fd-444f-95bc-f52b960d155f	17.1436818181818182	1.4285639573737372
29ca44b6-554a-4bc1-8fec-a68b8068dc53	0	0
55d5be4f-fbbd-47cf-98d9-a53ed793c930	16	1.33326222222222213
868e6e5f-cdf4-4053-b415-0e724106a3f6	0	0
9a5518e6-73d2-42e2-a739-687f944cb648	0	0
fa1b9a43-a2ed-4305-b00d-de04bf9b0ccd	0	0
2283563a-26f2-4c6b-96fa-b19725953222	0	0
bbd5d81b-dc30-4848-9563-1ec5e85733a0	0	0
251d751c-f2bb-4903-8eca-c5813518735c	0	0
ad8befd4-9520-4f11-8947-f77b3914cd11	0	0
ba7e6d77-8d44-4d00-9ffc-8830dd95638c	0	0
51fa90a7-a3aa-4511-90db-7527badeec5b	0	0
76994830-dafd-4b8a-b924-fb7f7b163134	0	0
b2f039aa-aec1-44b3-9b3d-ef8c341f7e09	0	0
8166aa8f-bbfc-4149-b87f-737fa9bcece4	70	5.83302222222222166
79b10d63-ec5f-4ca7-9d2c-e356f142e89a	0.594125249072381956	0.0495205045449744405
9bb96a3c-696e-4d2c-ba4a-c863f7e5e4d0	0	0
56d24daa-2e9e-46a2-a847-c3128419b818	0	0
3471a869-fc22-4c1b-9852-eaf124fd15c1	11.1837229437229446	0.932166413949014006
9a480a85-4c67-4745-aa1e-b9623f8e6114	0	0
78c2b51e-2a86-46f1-96ba-153bf341fbd7	0	0
2ead0416-4c46-4228-ac8b-39db3279dd6e	17.1436818181818182	1.42893064167929285
84e05bb4-158c-424b-9aeb-81785b31fdb4	0	0
e35f9517-39c8-4d42-83a8-2f3bbf62a34a	16	1.33360444444444437
c69ad417-265c-439a-8c46-3989c302b39c	0	0
8bf7deb0-35e1-4b01-8da1-fd19ef79ded9	0	0
34d5ea86-2fb9-442a-9a4b-4932b3ef4876	0	0
90d8d77e-be75-4b5f-9c92-14112a3cc3fd	0	0
0db0b895-b59a-48ba-8d4a-d9121d71b348	0	0
d0277ae8-750b-44fd-97a5-f4828ef53991	0	0
fd68fb0b-b71c-4dc8-9022-7331507ff993	0	0
83de15fa-0447-4207-808a-6a339b395375	0	0
97b7cd01-8629-4aa1-887a-b1c6b0662c94	0	0
b2d563b7-a8ab-4df1-9fc7-1a06dd743ff5	0	0
f092118e-c494-4064-85df-850192913371	0	0
c03fc5a8-4d14-4409-a11d-65049b88c722	70	5.83451944444444415
ccca4e15-8942-4737-9a12-07b2bf7bca4a	0.594125249072381956	0.0495084570052015879
25df8600-6118-4e9a-b397-a0e1ed9a5629	0	0
964d4268-967b-4935-91f9-4c7565817e72	0	0
37881f36-0602-464b-bdd5-8e4a2f6a1f4b	11.1837229437229446	0.931939632900433024
4396d7b0-d5f7-42dc-8279-c2f3d36fbf84	0	0
37776851-c35e-4993-917e-85745317e0d3	0	0
2555d9a7-5312-4fb2-a951-5a10d7398bc3	17.1436818181818182	1.42858300590909093
d980f9b6-4b84-4eb6-8ad3-22133372690d	0	0
bcd9cfd3-4b3d-45ed-8d82-424cc9b2b122	16	1.33328000000000002
b6417164-9130-42b4-906c-12f10fc8a9f2	0	0
89893ea4-59c8-40e5-a587-7578e77b113f	0	0
d463818f-d87b-4117-8356-31ce5c292425	0	0
39b7ebc1-27a4-4de4-baa1-3ec075f5d699	0	0
64b3269a-852d-426d-8465-eb63b0faa090	0	0
bceac08c-d92b-416b-888b-02084780b473	0	0
c7e22a8c-4a9f-4566-b326-1bcbe387a284	0	0
1d54710b-8ad7-4041-8fe9-04034b2a9406	0	0
fa2dcdf4-0079-48ce-851a-68d6781dab43	0	0
e6a7dee7-d331-4f8c-8d81-7c0efe068d17	0	0
01679ef6-40b1-443b-848c-232968fbcc1f	0	0
42cfd52e-1747-4a34-95e5-560ba61c2778	70	5.83309999999999995
83391cbd-1b4c-4566-b00f-bf635476cf09	0.594125249072381956	0.0495191842666431667
a9e27745-70f3-4d2d-a989-7e7e712baf5d	0	0
ed42ac2c-b81a-433e-b91b-aaa0b6d9b899	0	0
2efe24b6-d6fe-4fe7-b496-895c2e11d07c	11.1837229437229446	0.932141561231361271
fd8b59a8-1374-4f5b-9d9d-f30d05b4c613	0	0
f1ab38c7-8f64-46a0-a023-553e9f92725b	0	0
c070994b-30f3-48d0-9cf9-3be5555d7a58	17.1436818181818182	1.42889254460858584
a62ce878-24a7-4b20-9828-2962bb78ba18	0	0
820fbeab-32f7-4f65-9961-a27b79b5bf3f	16	1.3335688888888888
a46933b0-2b7e-49e0-b00f-9236b900dc03	0	0
f6725260-0ca1-4e86-b5c1-35d03d152daa	0	0
63818c97-2865-420e-86ed-6437763c0bb4	0	0
5d84df4e-6ad4-4a5f-a720-7afc3afe409d	0	0
8865c6ae-2780-4719-85df-9551f2f79e1f	0	0
fa4b7f22-f7c4-49b0-9eaa-2f68fe16c9e6	0	0
48910cd4-62f1-4b31-8f8b-316515d6cc62	0	0
2b42852a-33dc-4d66-b379-63c29e2078e2	0	0
c3ffb636-cce4-4eb3-b459-473f77e25643	0	0
3b3e7bf7-15a1-4fc1-9dc3-bd633057f380	0	0
0cc8b0ad-82ec-475a-9948-d26189da8060	0	0
90ffd52b-c460-4fca-8265-68208c2b6e3d	70	5.83436388888888846
002dcac3-4e99-4721-852a-56311bf54c13	0.594125249072381956	1.57175917159494349
62aeb950-e7ef-4aa9-b46c-1918fa5f83e9	0	0
04092dec-a318-4b47-96fb-fe56f0006a6e	0	0
f22f564b-c89a-4908-88bc-77278273b9d3	11.1837229437229446	29.5865545805675829
392deee3-67e2-49dc-95fc-8d34fc48c24d	0	0
49e82122-ea82-459f-b644-d5a1b53bff90	0	0
eaf3cc51-ca6f-4fe1-9638-daa389f48af2	17.1436818181818182	45.3536340606691937
67e9b91d-1d8a-4bcc-b05e-bfa3a3fde0b8	0	0
aacefd3b-fe85-44c7-85e2-46b91a1ed6ad	16	42.3280222222222235
ebabf69d-57a9-4b1d-9e11-77b998a44647	0	0
f125744a-20a6-48c1-bdb3-d78dce68ae8a	0	0
5b6cbc17-0c78-431a-8c1b-c5f5472b7bb8	0	0
246332ef-8bc5-4897-a8ff-ef21c556918a	0	0
671d5b15-d9cc-4be5-be36-2b1ebf4870fa	0	0
63d81376-c1ea-4dda-9c25-18798f15de12	0	0
df1d285d-5e58-4a9b-b3fe-df4023589196	0	0
abeeefd0-a3c0-4a00-8375-fae1a7d51966	0	0
4d9ca879-daae-4d88-a474-49a1f2f19aed	0	0
039da10c-89d7-4fc4-a7c3-f610737ca1c2	0	0
a76207b2-ec50-4b2d-9b4d-fd71476f06cb	0	0
742f546b-caa3-432d-9ee0-725de797e46d	70	185.185097222222225
c26468ca-73fd-4cd5-971b-00b02e7c69fd	0.594125249072381956	0.0494185130438836856
530af416-a40f-42e6-9268-44d4deff31be	0	0
f7b9dd9d-49a1-477b-b8a6-017e2a5cdc0a	0	0
3f002fb6-ee68-410a-a3d6-0e465ab2bc04	11.1837229437229446	0.930246541510341474
f745a055-80db-457d-81c4-406949da9db9	0	0
569a8e4e-6a20-4740-8fe9-9045ae8fc25c	0	0
6830076d-2ba3-4241-8f4f-b1e3ff0e3ee3	17.1436818181818182	1.42598764296717162
33ab2c2f-8443-4eb5-a064-e461381df9a2	0	0
9bff2f29-36ba-4f40-9015-48e21f81807f	16	1.3308577777777777
39c2e965-e273-4131-b999-8cc9937df75f	0	0
0efcc118-738c-48b9-a4b7-360558953aba	0	0
3f4f78a9-9972-4a94-b5ec-7a5da1d6289e	0	0
52b6388d-e8e1-43b3-8f5f-505d5fd18a6a	0	0
43894ff2-7a67-4db1-9854-cb3d3fcf0758	0	0
ca3c5ab3-cfe3-41ed-b8db-c1b188f2b694	0	0
1743022a-53b3-448f-a6ba-382e69a585a4	0	0
fdb2f403-825b-41bc-9f40-f840eac4f431	0	0
23845981-9426-4054-bfec-37470b3a7790	0	0
1ff96389-73f0-4861-8fef-014ada6560cd	0	0
608c805b-bd93-4755-a879-17398b591263	0	0
44511564-3a02-4f76-8928-054b182a711b	70	5.82250277777777736
4ec6f07d-9ccf-42d1-b9f2-edd1f2eb605f	0.594125249072381956	0.0495157185360235799
60989abe-c32d-4fe4-a657-e7e2a0edaee1	0	0
383d0708-cb01-4c46-a53a-99ec409a5f26	0	0
9331df50-a520-408e-a173-400d0dab2852	11.1837229437229446	0.932076322847522953
50f17b8e-1add-45ce-a62d-4bcfcd12cbc0	0	0
91b58048-3b31-4445-94e9-2eaf48e4293c	0	0
cf484648-714b-4e14-9ee2-83e2c6dc21ef	17.1436818181818182	1.42879253979797971
5c349813-9d55-4cf7-a2ce-2b5d4f46d48c	0	0
a0200339-b3d4-44a2-a854-6f6d71470dda	16	1.33347555555555553
1737ec48-299b-4d36-86c5-dafbf937fa7a	0	0
e77f555b-5e5e-4c08-ba5f-f58a9bfb381f	0	0
9dc51094-3ed3-468b-98ca-e3a37b274043	0	0
b53bc783-5884-4355-b80d-6f0f66d605ad	0	0
c0fb7343-4fbe-4bfc-8909-7879c31188e9	0	0
1b19cd47-bae3-4e2a-a138-07b4ea9d3124	0	0
d32ea6a0-4859-4c13-ba13-5680ccadbf15	0	0
63ab4a24-f793-4f6a-94d9-95e1c15e3a17	0	0
f465c765-7d95-4fce-8a34-c2369d6e3d63	0	0
6de8b3d9-c1b4-4c35-8e15-8af5f305b598	0	0
f7c2fab0-82ce-4a14-99ec-8e4d235b8e9f	0	0
0f07ebb9-e33f-4a52-8134-5473143aea0a	70	5.83395555555555578
dbf634db-282d-41a7-bac6-07ec89714b39	0.594125249072381956	0.0494879926910668719
2fc6c951-fd76-4522-a28c-3f15a69c59ad	0	0
998d5899-7dc8-4b89-84f8-ed5be4ef93ea	0	0
db44b703-ec75-4abd-96be-6866ca2af47c	11.1837229437229446	0.931554415776815858
1119e797-2b4c-4de1-ab00-dbddd08a925e	0	0
ee87ef00-1e43-45ab-812e-285e8e5c26ff	0	0
10c93f69-f0d3-4e83-96ac-e7a022811eea	17.1436818181818182	1.42799250131313138
715513ef-443f-4e7c-8435-5329acda1a20	0	0
7490c021-23f2-4924-b2f3-e502f527f4b8	16	1.33272888888888885
b1fb94a5-3941-4e94-b837-0ae4ce969f08	0	0
08eb8355-41ab-4a5b-9059-78775268ee4e	0	0
a4dd78e4-32cf-4592-8830-cbad31f9cd78	0	0
6fab49ab-f325-42c4-bb89-c5c2666cf7a1	0	0
c7aec02b-eecc-4457-9c94-744e6002fbfa	0	0
51c98e97-cac5-48f7-8735-9783724396ba	0	0
22a852de-770c-418a-a5c7-3ff628eed099	0	0
ca6daf9c-d86d-454d-bff0-fbfef4c535dc	0	0
c722d599-bbb3-4c0a-a548-922a30d8f9c9	0	0
7c3b6427-ff73-4c16-8367-e85988e6e37b	0	0
7cf1d8c9-6e44-4b06-87d0-256a2f08b983	0	0
3c58bfb9-fb21-4bb2-8d4d-b31945a74e6b	70	5.83068888888888903
e962eb13-eaeb-45de-a705-0ad73c2a3000	0.594125249072381956	0.0495120877706125839
5bffa875-c69a-4e1c-95cd-11a0afb92c90	0	0
c9779386-93c9-4fda-9af0-222119f23a40	0	0
d5a7cd1a-74ca-4541-989d-c3fbc347196b	11.1837229437229446	0.932007977873977933
7815b39e-4cd9-4310-9aea-d9606c69e704	0	0
ea3cdcfe-70a6-4fbf-99e0-85a83994ce4a	0	0
91840bed-4ec2-4e06-9ea9-0c9a4ab83dfc	17.1436818181818182	1.42868777285353543
89587791-2e85-454e-b4ce-5f7ae5cf8951	0	0
df3e845e-fce6-4623-9e98-a1a326cd2e0c	16	1.33337777777777777
bf0e210a-7f51-4d53-98bd-58d25f75f2d4	0	0
20adcd53-025b-423e-97df-9cd72e14de57	0	0
0f71e184-29c4-49a6-b91b-544ed58d025c	0	0
d27ff4f7-cf52-4ef5-8318-67bcafc93fcb	0	0
9aa74762-05a5-47b6-b19d-0b411cf1402d	0	0
1d361743-e839-4030-a4d4-a9fc3177a713	0	0
cf6c976b-c692-4839-b34a-a2df04e04e2f	0	0
05769d9a-3884-4f74-ab68-6a5562a8c624	0	0
6152eba5-817d-458b-9054-d45dfedf4e5e	0	0
7d23a1d2-a38d-4c8c-a45f-21fa8cb72b8b	0	0
01c9b623-9ba3-44ec-96b8-486ce3e5dcaa	0	0
1eff63d9-7bd5-4da9-ac77-b55e1ef3daad	70	5.83352777777777742
50691f8b-47d0-43bb-9fa1-b892e4d3567d	0.594125249072381956	0.0495290863541277201
3c98aade-6dc4-42ef-9f47-ea9973f89915	0	0
31a8373d-aa64-43ee-8c81-392df20e7c07	0	0
4cb32e2d-dfbf-4064-aaea-24fa0f4eded8	11.1837229437229446	0.932327956613756781
46fa1fcc-e6b2-4b3b-83da-ce9f512e5420	0	0
a307644b-33d8-4464-ba16-d4913751c8b9	0	0
8c1af0f5-bbaf-4a48-a3df-34115877bd6a	17.1436818181818182	1.42917827263888908
eca916fc-9d36-45a1-9c71-34e4bb7caa7a	0	0
cb3b5cef-a077-44ca-8653-483b3b48845f	16	1.33383555555555566
c8c8ea07-e227-4b07-9406-d60143bae13e	0	0
0eefa427-968e-4b38-a449-9275c7f3607d	0	0
027248f4-9c3f-4072-a208-67aec8809b50	0	0
2dde3f35-644a-40a4-8efe-543e7a64a5c3	0	0
5d9cbeab-5813-4706-9702-11bf8e0d5bd8	0	0
56322156-e657-418e-b049-b85a1f8d4d78	0	0
d2687c7f-9fb8-4b2e-80d0-af61d8d29c92	0	0
2d07176c-5bc5-4ab2-a0ea-bdeaa0f793cf	0	0
2f911344-e612-4d13-841a-c342e4ee55ba	0	0
9ea90d8c-7631-472f-89fe-1a11370c23c3	0	0
4c7b87f7-54a7-4bd3-abb4-8cb4e948f671	0	0
1ad033ef-86df-47cd-b761-c99a191c1e24	70	5.83553055555555567
2c0e7c56-03bb-484a-b45e-ddd2eefeec76	0.594125249072381956	0.0494993800916740945
cdd8f31e-8daa-4fdb-b20b-59355705d3b3	0	0
714fe697-06e0-4c3e-b33d-ee786c8819d9	0	0
beba2ec7-7027-49b9-8787-82902af651b6	11.1837229437229446	0.931768770466570473
443d4501-7064-4645-9ebb-cc3586ed24a5	0	0
648a4bcc-ae18-4a79-a8e5-7d5e82946cc3	0	0
fe0ed168-f2a3-4149-b357-d49792a35cdb	17.1436818181818182	1.42832108854797979
0f7af7c9-16c9-46df-8dad-db9677d74e28	0	0
d2bad52f-4686-4f25-b037-c839d4a06183	16	1.33303555555555553
25123e1b-718b-4d07-b178-aa0c547e88a0	0	0
0286ab2f-0331-42de-9721-85753650c9b4	0	0
f6a3a1fd-5b12-4860-afbb-6b6aaa205dbf	0	0
fabb63fa-ca36-4a7b-88a4-d31c3df4265d	0	0
8d3a39d5-cd69-45d8-9aab-bdca882a6f05	0	0
bd6f3b9a-0e81-4499-bdc5-52edf58834f4	0	0
b563117e-87de-495b-8615-9528a7060df8	0	0
8a03353b-8537-40a6-a726-5c15225f3756	0	0
f7e0ec2f-f963-4ab1-bfd9-f333f3834393	0	0
72c396f9-46e5-429c-997d-f10bc1d45138	0	0
f675101c-e21b-448b-ae64-beaf12b55ba2	0	0
8942c575-98c9-4bbd-9480-c07a9856ebf7	70	5.83203055555555583
fe716a06-da96-450e-8b2e-77e365e4b589	0.594125249072381956	7.8930052597467224
f1faf69f-e9b8-4c12-80bb-4d886b12acf0	0	0
b043ae05-afd1-4615-8edc-dd15a5eb3b10	0	0
3fcd200e-db17-4088-83f9-ba941844fc1a	11.1837229437229446	148.576725456758055
89109355-2276-4706-a495-e9be5a9f995d	0	0
5d54936f-1812-43d4-92df-378e061a0ee5	0	0
926ff634-7ce5-4569-a61d-4b7087a46fdc	17.1436818181818182	227.755293978169192
1a392585-2175-4086-9b5b-a947f856a42a	0	0
9b9ab505-3ed6-45e7-8b0b-f31e079c1602	16	212.561382222222221
9b42e4be-4e09-40b0-8cd0-89ea107befd0	0	0
884dc616-1c97-4af2-897b-4b98a6b621a5	0	0
9ccf053e-e696-4c73-a470-485440a80160	0	0
e27cdb9a-e52d-4964-8620-73b402de3f8d	0	0
309ef5f5-9326-434c-87b9-c2c590600d04	0	0
1aaeea1a-39bb-4a64-9172-b31103148a6d	0	0
0e4109d0-544f-4207-9a78-1a8f484fa109	0	0
53440963-c202-4c37-9a16-2ceee2be6aac	0	0
1dfea0f3-1763-4177-a40e-6ce04de75de1	0	0
3d3662b5-0ccb-4011-aba2-cb556fd3836a	0	0
8d06439f-1f24-4151-971f-97e1968efcdb	0	0
ea3e2941-62e3-4f9f-bbca-6319894c190b	70	929.956047222222196
3692c042-5753-483e-a354-8194785e0c17	0.594125249072381956	0.049502680787502272
bdb50fcb-bfde-4015-adb9-f775aec33e17	0	0
54b85994-b22f-4113-a87e-f8fc3a9f7d9a	0	0
268a19e6-7667-4132-8b8a-ce94be1685a8	11.1837229437229446	0.93183090226070231
3c52dc84-38b8-4b7a-85e5-3f5db0d73a0c	0	0
ce3a7482-bed0-4b09-855c-08237b8823af	0	0
89b3910d-601c-48f8-a6c8-5bccb9865004	17.1436818181818182	1.42841633122474732
3a18fad2-99d9-4e23-bd21-a19c643fc65b	0	0
dfb2d8a1-d276-45b7-b5cc-b63e9e0e0bdb	16	1.33312444444444433
2d2cecc6-0e5b-4a98-a8f1-f732452a06ad	0	0
cc037fed-2bcd-4cf1-b867-b2974d794bb7	0	0
2ad52362-a7f8-4b7a-bab9-441dce109e83	0	0
c6eb53d0-c170-4300-ad89-23651923a704	0	0
78690f3e-c78f-4ba5-a921-259243aafeee	0	0
02c1d039-f6d5-4633-ade6-0659dd855b35	0	0
fbc2f1f6-7a2b-42f0-b96f-389f3e30f3a8	0	0
edd99508-5eb1-422e-9125-a4f026e5303d	0	0
e05c7ca1-0781-423a-8748-0b6b5dfb78ca	0	0
93b639fa-cd9e-48d3-b69b-8bd3b71018f0	0	0
08c7a77e-cc1d-4f97-a74f-364647c34376	0	0
5bf88a80-f74c-4a99-bf14-59ecfbb5c7b1	70	5.83241944444444371
986481d1-302f-439c-bdaf-fb95af1d64f8	0.594125249072381956	0.0495102723879070825
a3f8cba4-043b-4311-ba1f-2dd410fb91eb	0	0
3b079b19-c1fe-4814-ba26-e0a3300f3869	0	0
0fdc71e3-6eb1-44e9-817a-0dfeba43bc43	11.1837229437229446	0.931973805387205423
4ae9d46c-d09d-41af-869d-4851cacb8276	0	0
99d63473-9a86-4b20-8a38-cbcf6dfe01c4	0	0
2621672f-68a4-4edd-b774-7771fa2c3929	17.1436818181818182	1.42863538938131307
da8a78da-5260-4a42-a5ae-f5c2e20c51fd	0	0
721c34fa-c269-46b9-aa8e-5e5fa7942e70	16	1.33332888888888879
36b8d599-a8d3-4e7d-b8ba-fd6d913a8901	0	0
cc45f093-8716-4417-9f9f-7e0be50df8d2	0	0
2627445f-2ada-4b30-91f9-2173302f209c	0	0
65729af6-21d4-48f9-9ca0-52a32aae1c07	0	0
f2a1b5c6-cb8f-427f-b930-bb20f6e8d2e3	0	0
67b47bf7-06a0-49a8-ad80-4929d330f7f2	0	0
b56788ac-460c-4bb5-a380-8e971f7cea7a	0	0
fde6bd28-8008-466e-b7b7-85a66edf5b4f	0	0
a9e2cfa6-6adc-43b8-9a5d-c2ad9817734f	0	0
bd249e74-ba95-433e-afbf-285fdbfa8158	0	0
70df6332-1813-4744-ad82-d11418e719dd	0	0
19fcb57f-4396-43f7-ab4a-0d400e3c1a6f	70	5.83331388888888824
cf9136d4-0916-48ec-a5ec-de9078f55255	0.594125249072381956	0.0494919535260606863
ecf959b1-c7fe-4fbf-bb95-7c8d17b7c9bf	0	0
8f1dcad4-810f-41a6-a3dc-34fae74b2b26	0	0
3bb588a2-ac2f-49ba-a07f-c87f3356ce0c	11.1837229437229446	0.931628973929773951
210ffed5-1a6d-4257-ba54-607afe240ed7	0	0
3472f1e0-8eeb-4467-b11d-2e624097442a	0	0
b46291b5-7cd8-425a-bad0-4e92feff36cc	17.1436818181818182	1.42810679252525263
341f381d-2bf4-43da-ba99-2f84d0b4b286	0	0
878997b7-d2f1-4030-aa81-904c584031dd	16	1.33283555555555555
714c3019-90f9-4a34-ab48-fbfa0ab7e5ca	0	0
cf2763c1-2c50-4e8e-909d-2189d2fc631c	0	0
2f4c70ea-c5ce-435f-8bf8-d4d5da7d3cf2	0	0
03b02aa9-7d8a-4b70-9703-dbce6f0388ba	0	0
ebab6cea-59b6-47fa-9f1c-7866ffc2b764	0	0
ba31443c-cd22-43aa-a4b5-859e9d4e2a25	0	0
91910846-b177-4c5e-a3bc-7b3aa2b4c9f8	0	0
92e4b05e-853f-438b-ae8b-d674e3b167f6	0	0
3d375076-bf17-4ed1-b1ea-26c7c2335e00	0	0
920a5e7f-2478-424b-9485-1a0accb9114b	0	0
01d25743-ced7-4ede-86a5-617a8919b742	0	0
a623ddb7-3064-4114-be57-5272a84d4340	70	5.8311555555555552
13b9c71d-94f2-427d-95e5-c4d015222007	0.594125249072381956	0.049511427631446954
0085dae7-67bc-49d9-99bf-76567fca5349	0	0
a131c9e8-4ef1-466a-879d-48b72ce44ddf	0	0
8691d183-8d44-4ff9-a046-7d255b615b47	11.1837229437229446	0.931995551515151677
861a4b69-8338-4765-abdd-38f4b1a57487	0	0
fdb0168a-43e3-46b4-bc8e-11a3346e9d35	0	0
a0f2a9e1-40c1-4bed-a517-6240e74b9aee	17.1436818181818182	1.42866872431818193
b9da399f-c856-4f16-8fd2-5977906fd4c4	0	0
074061ab-9227-4f11-82f0-aeaf201a717d	16	1.3333600000000001
2fc24e78-63fc-4df1-98e7-66550c681de6	0	0
4dfac980-372a-4b5c-9f04-feefa14b738d	0	0
c29c58d3-a0a3-4b2b-a288-821fb025a4a9	0	0
e0003831-2a10-4f1a-8566-9c252f8a61e9	0	0
29a01da8-0797-4e82-b06b-6ed342e71679	0	0
f3971a5c-99b1-4470-ab2b-954752df5fa6	0	0
13bac547-7a02-4849-b906-2a39b7530dde	0	0
5e0c4cec-4ebc-4fc6-afbc-d71f6516e7a1	0	0
0c30a1b4-9d23-4347-a7a2-1a55b602eebe	0	0
372439a4-7fae-487c-bee7-7a8c3cd85a81	0	0
1f4b9c34-10d0-450f-bcfa-6b8c17c53845	0	0
a86bd95b-916b-4e9f-bc0d-0834c8b8d0d2	70	5.83345000000000002
a88db213-cd31-4a8d-8103-fb945ddffc4d	0.594125249072381956	0.0495196793710174013
1d807e4b-bc31-4ded-912f-ebdddc150273	0	0
e7347adf-86b4-41e4-87c2-9100a043c94c	0	0
ca3b05e2-13b2-448b-aaae-0156b0482fea	11.1837229437229446	0.932150881000481046
868f959a-5cab-49ba-8ad4-9e0722bd9d41	0	0
d9c9388f-e4c5-4183-b2c0-1bd29a1003cd	0	0
4d818b46-4645-4580-97e5-9c49ff9c2827	17.1436818181818182	1.42890683101010096
662d0050-f282-4d68-995c-c4fe60f3d809	0	0
33ad8c7a-b0f8-41f8-8fdd-cbeaa4db5a23	16	1.33358222222222222
b3964e8e-8f54-4ef5-9f66-7a32aa8033bf	0	0
f54783e4-3e56-4b0f-b4fd-0a017774fc26	0	0
38b708b1-89da-4140-b883-edb061f7b4d6	0	0
14467e9d-dd02-467c-9de8-a5d5ceff2d77	0	0
d537e6ee-7b50-4fb4-a287-1b70c843c1fe	0	0
4af164e9-6e70-4518-bbc3-fd0c5ff637b0	0	0
44995a1c-fbfa-45b5-a87d-afc257b45f92	0	0
02351417-794d-4e64-8aed-b62c6d8b3ab0	0	0
f163a9b8-d1a5-49c3-8cc8-248f1b0ac3c4	0	0
032b200e-651c-412a-a944-ce73b5b0ac4d	0	0
b2d61481-78d0-4c11-975e-03e726c7e851	0	0
c68488ca-11a5-4e02-9925-655c6412976a	70	5.83442222222222195
824db6e8-1484-4a23-b747-d972437e4d24	0.594125249072381956	0.0495094472139500433
929aa144-70db-417e-a29e-2520ddb7b7ab	0	0
cb0fee2c-decb-4e09-8879-12cbcfd4afe7	0	0
20b1e692-93e6-44d5-b8ea-fc924f88ee8c	11.1837229437229446	0.931958272438672464
81a9b77d-f208-4fbe-b5f9-6e37c97ac99c	0	0
e83e27d0-bf8f-4cea-ab21-b7a367fc5b6f	0	0
f7d615af-8948-4326-bc20-2ee7d236184c	17.1436818181818182	1.42861157871212119
da885309-dcda-471f-bb41-ed193fb124ac	0	0
c9926f12-2468-4c43-9114-9388ef4d2a60	16	1.33330666666666664
dd25dcda-c910-4a40-bfbf-0d8227dea4ce	0	0
35c1299e-4cf9-484b-9508-03561063d811	0	0
b04b9b72-9190-457d-b8a6-6887e6014424	0	0
98ce00d5-bdb9-4c0a-88bc-cbd6767f48e7	0	0
734b7664-7529-48b1-a301-6134fac98c4c	0	0
a76af17a-5ae2-41b6-822b-a2a86070f126	0	0
f782044c-120d-4207-bd2e-2dc9afa75c33	0	0
2f21dde2-02e3-4b1f-9bfe-1cd821229478	0	0
b86768cf-64a0-40ab-ae8f-7bd0a1da762c	0	0
bcd8f31e-6077-4742-a6d3-37c35249e209	0	0
bf4c05aa-59a7-483f-89fc-df74957d118d	0	0
08c3d3ef-0338-4172-9c5f-a304e75a4e56	70	5.83321666666666694
853e976c-6a59-4c33-82cd-c755637e6bc9	0.594125249072381956	0.04951505839685795
391f8682-c3fd-42d9-b462-e85ed5e1fffe	0	0
fbcd6cb1-102d-4e42-a9e3-ba02c0b9967e	0	0
33c0106f-eacb-4a28-ac6d-cbc5c1d5e90e	11.1837229437229446	0.932063896488696586
c8b7e8f9-1b45-45ac-8279-439d0054d5ac	0	0
7be7b882-aa81-442e-b57b-9865fae70bd9	0	0
70823060-3b46-4fac-b384-1a6f4fc3ec05	17.1436818181818182	1.42877349126262643
cbbadfad-0b4e-45a9-8fcc-9eb377d14b30	0	0
b6df1c41-f583-4776-a0b6-9ff562d9911c	16	1.33345777777777785
8c4c07e5-14ad-4f26-9497-26ed2f8a2053	0	0
546a5b06-1c1e-4a1b-9368-2ff79b889cbe	0	0
1d43fb2c-6e31-4944-be18-fd53dd5b1532	0	0
c5cb57ef-5545-4f48-b53d-531264bd92e6	0	0
6e3f94a4-2a47-4980-a8e8-6c27b2c0edb6	0	0
2d8ca7e9-83dd-4ad5-87f1-157b0ed108a0	0	0
1282c40d-659c-4656-b3f5-10840d20851d	0	0
5a7fb2cf-b4f4-4faa-9302-678a96cb03aa	0	0
04cb3e8a-aa3a-425e-a578-868bec24c35e	0	0
4d537020-22fa-47d3-819c-674c9572c553	0	0
3c6f7080-2d71-4d93-bf08-658bbb72e72b	0	0
0a85617b-b830-4077-a28a-86f144dc592b	70	5.83387777777777838
fb90171c-05f1-456d-9450-ae2626388fc8	0.594125249072381956	0.0495142332229009038
30854ff4-6050-4cde-ab9c-cb70934f747f	0	0
2479c785-602d-4e6c-bb2d-669c8204f733	0	0
bb3214bf-b130-433a-ae07-c5343b9ae74f	11.1837229437229446	0.932048363540163516
b7b34f70-dc19-4ccb-afa6-809bcc09a5aa	0	0
e3aee110-cb86-4daa-a661-48bd66bf1c96	0	0
5ab659f1-2f82-4c6b-8c5e-3d0e00e26278	17.1436818181818182	1.42874968059343432
5cadcd73-6e74-4ecb-a32d-dd78c6688560	0	0
c28209c3-a6ab-4783-aab5-cccbae25c83b	16	1.33343555555555549
9e190fab-ce87-4ce0-99a2-cd80543c4b70	0	0
5bd992d3-ca4b-4ba6-ba86-5a6bb8cb4785	0	0
e27949b5-bd40-40f3-8bb0-00401722625e	0	0
2faaf74f-eae2-45d2-92d6-baef3c84b007	0	0
1d4b8035-59b2-462e-90bf-6a6076692496	0	0
0795b5a4-9e63-401f-aa36-b39feeecac3b	0	0
93d1e490-14e4-440a-b0e3-a1ff79f16b4d	0	0
ce8f74a8-46df-4dc6-ab5f-bdf919ae7408	0	0
8156e5d6-08fa-4deb-bdeb-f0308345ce85	0	0
a0d4740a-14dc-4873-bb45-baa82c7653b2	0	0
5ca247ee-8fbc-464d-8c0e-eed223504894	0	0
39e148d2-de4c-460c-bf34-db5466209167	70	5.8337805555555553
42489f23-ca84-4a9f-b8bf-e09531f4388a	0.594125249072381956	0.0495079619008273603
67459167-6023-4206-932f-22b5d2fe1822	0	0
d002b1ed-b6b9-4bc7-9726-b7a0843869cb	0	0
2f1f5041-4adb-4c47-9f87-f8da6aa9028c	11.1837229437229446	0.931930313131313137
22c8611f-4f2f-4e92-9a5d-bf486ffeb59e	0	0
9dd5fe06-afbe-4623-aba6-0a71b0b56308	0	0
18a3a0ca-47a4-4a1f-aeab-1f1a113bd1cf	17.1436818181818182	1.4285687195075758
28cd5c5d-825e-4228-8c4a-ddb90969e8d5	0	0
50482f14-cb64-4be5-b97f-0ef7019af045	16	1.3332666666666666
cb3c7399-fcff-4493-b4b1-d3e1979729d2	0	0
e591556a-f7ba-4e48-a36d-e1f204a11c96	0	0
1b881c1b-539c-4c59-aa99-54e1aebfbf2a	0	0
fb4e1173-6ac0-4368-912a-1f96d11c89c2	0	0
5264edf3-bec8-4c5f-a322-d5158e86b286	0	0
3b963979-7860-4ba6-ac47-03ca584926b5	0	0
3d15178a-267e-4f75-9563-d2be5b662bc5	0	0
4385f549-d74e-4dce-b13c-60f5a93af3ad	0	0
f4766c8a-f385-4c89-80cf-fcd3450e7c85	0	0
a2ab2219-faa1-4d6c-baa5-5e07ba58b312	0	0
2b14dc04-41a9-4c62-beef-2cd9d302d71b	0	0
cf737cd9-80af-4189-93e4-4d2748ad60b2	70	5.83304166666666646
471abe02-0b09-484b-86b8-29fda0a77ccf	0.594125249072381956	0.0495157185360235799
be7de12b-3ce2-4536-9cbe-6d091259cc7f	0	0
41801c47-6706-4530-879d-78b644fc7cc8	0	0
9ed49b42-d2d0-4c67-8d05-6eb5e778f11f	11.1837229437229446	0.932076322847522953
e9f7c1bc-52fe-49b6-95d9-cb5c51fb0057	0	0
7d8cf9e6-7d97-42e3-a376-bdad90bfc2c9	0	0
acf2a23a-4ba7-4f0a-9166-e5305013f292	17.1436818181818182	1.42879253979797971
45ae32fb-5085-415b-be8a-0b5f99f140e6	0	0
22650b4f-2e4a-4937-ba05-c9dbfa68ca6e	16	1.33347555555555553
f09e250d-2e45-4c5e-871f-ad6ff766c38c	0	0
f6c47c23-ab63-4ccc-8e80-752824f01696	0	0
4f488e98-9abd-49a0-b329-ab6672ac7be9	0	0
79951207-46f0-47ea-aaad-e65a0afaa1f5	0	0
8dbe0d02-36c4-4121-b47e-ad52e3d11cc6	0	0
64a1a7de-8acb-4fd0-a59e-248747511195	0	0
bca7dab6-18da-4242-9d7e-f2e1ce1055ce	0	0
6da1c7c7-abcc-4f46-8e95-7f9daa84ac63	0	0
29a93a35-c1fe-4c6e-a40d-8211c7619f56	0	0
b7420c38-5643-499c-b2d7-63ecf4b00d53	0	0
a11e9696-a0f6-4014-ae66-cb1e3c9ac09c	0	0
85eda7be-fdea-4d81-be5e-ecc1aa280920	70	5.83395555555555578
13278dc2-397b-407d-8c09-094626e94c66	0.594125249072381956	0.0495145632924837223
0d8456e3-5f19-4968-8643-fdfc6be37c94	0	0
16484498-7e1d-4367-bb08-f732b181b0aa	0	0
9c597dbb-c40d-4db4-8f05-845f75a604b8	11.1837229437229446	0.932054576719576811
9d07786b-e62d-41f3-8001-27ffbc6b9699	0	0
13dda7c5-5bb6-4eb6-a489-7bfa0be456e4	0	0
f9955ac9-f224-4382-9738-e0894f761562	17.1436818181818182	1.42875920486111108
97feea6a-d3c4-4000-81b8-4ab4c73a8fde	0	0
ef32d818-da47-417f-b489-fed9c62a8421	16	1.33344444444444443
dc8cfc14-4398-47d0-b417-84e38434b9ec	0	0
4a1da9a2-4ab1-4dda-9e32-aa30dc801e24	0	0
ad72f3f2-c32c-43b4-99b2-3caa07e1ce19	0	0
8acecff9-60f5-4322-bffa-6ce25f3a4858	0	0
d62f15f2-42b8-4af0-a729-86ce327dd301	0	0
5a9edf57-b95d-449e-9317-4b71a7f8e395	0	0
c3192bcb-67be-4a08-bf45-050057b42bfa	0	0
e0b8159c-4292-4200-a26c-6a99829022c9	0	0
d4d24bf8-9428-40ed-9ad5-123aa9182810	0	0
b5d68dc3-7d10-4f62-8db1-54838253866e	0	0
2274312a-6c2e-4a37-baea-3e4f43faefd5	0	0
a6dec286-059d-47af-ab05-a366379d90f9	70	5.833819444444444
52ac1a91-1a36-4b5e-a5f2-2cd75225e7c0	0.594125249072381956	0.0495188541970603552
95e79a88-d19b-452c-8032-cdfc25b90311	0	0
98fd5e3f-a9f5-4d06-b047-daf85f1bbeaf	0	0
23299a4e-674e-4da3-8326-2f519e8bb983	11.1837229437229446	0.932135348051948198
824d4e5b-7c64-4857-91b8-d2839ec4521e	0	0
86d3591c-964f-43a2-9636-14a46cb0fae8	0	0
87d35150-28cb-43cf-9c57-4e9e42a5738f	17.1436818181818182	1.42888302034090908
c0ab7e5a-e65c-424d-be6a-64c17abbf15f	0	0
e4fe1567-f14e-4876-89ce-73a72beebdab	16	1.33356000000000008
6a2e5647-837e-4825-a521-ece74f6493e5	0	0
77e93199-9e63-48af-a982-738d4fba95b5	0	0
714cdd3d-5edc-4c90-aa3d-35af0088754f	0	0
c4422c75-27d9-4ae5-92d5-18238fb8b76f	0	0
6aa43dff-6d6e-4beb-a35a-f48f0cd2abb3	0	0
bd679cf5-7970-4573-a6e2-3b5cad461e10	0	0
f90d4799-42d0-4a83-9d6d-ff721fae358c	0	0
26364ac6-a2e6-4272-a50c-b24d0efdf6e7	0	0
e9384e9e-b392-40fa-8d04-f6f988aefe3c	0	0
ebc45e0b-9c67-4a2c-b297-4a241f745db2	0	0
421e56c0-c9d2-451d-9b35-f72629bf9902	0	0
bdfd002a-fb3b-41eb-a91e-62ad79e3a107	70	5.83432500000000065
4ed49bcd-95a0-4d3c-8a5d-0c394796095e	0.594125249072381956	0.0495091171443672179
d2ba6002-a25f-4b6a-aa84-760648503fa3	0	0
24610b8c-198c-454d-8599-ed91da9dfb30	0	0
660758ed-f9db-4131-9153-e4f617d4539e	11.1837229437229446	0.93195205925925928
9f154c76-7fbb-46be-acdb-87c77cab88df	0	0
db6d64df-9331-42e2-abda-e8d284224efa	0	0
4d516b92-3b23-411d-8146-fe285ce3dcf2	17.1436818181818182	1.42860205444444444
66e26e51-fe01-4957-95fb-9d642e5e6ab8	0	0
5f318c41-4064-42fb-bc77-033147882999	16	1.33329777777777769
6d126848-9781-4ff0-94dc-4fb070351ac6	0	0
54146a94-229e-42ac-ba25-2b4b1827ba7a	0	0
6668e8de-d4f0-439f-9716-8c6148490910	0	0
cd5710c9-9ddb-40c0-aa98-0ad693e43afa	0	0
2f926cf6-d078-4e64-8de8-f2631bb1ae42	0	0
330b3828-394b-474f-8e1b-04cc7854bbc6	0	0
83b8e173-e29e-4a96-9b1b-e56bbd7800aa	0	0
05321be6-85d8-4aae-8d8d-cbc319f54c51	0	0
07c52f9d-0986-4855-9e13-3c6f359c5907	0	0
894ab354-5b0d-449e-bea6-0239ba1c3bbc	0	0
85bc8bb4-dea1-468b-9bb6-3364b7652c18	0	0
493dbca9-1afa-47a6-ad68-1b19d3176662	70	5.83317777777777735
4c33c3c6-7751-4929-8b4e-64c310e35430	0.594125249072381956	0.0495142332229009038
16a698db-4c11-4129-b7aa-f97138795d67	0	0
6a8cd37d-af0e-42f9-84f0-5a5aa1236695	0	0
9b289445-57e2-4f60-8013-878d72404f74	11.1837229437229446	0.932048363540163516
53a42e5e-b556-42d7-b6c7-d67e91f12a0b	0	0
7aa643db-1f31-451c-977f-869a413b573e	0	0
1fd04742-8310-4225-90ba-02488f512373	17.1436818181818182	1.42874968059343432
4ab4b57a-95d4-404c-bddd-7665485adb22	0	0
92e458b9-7531-4591-87ac-aeec63144b70	16	1.33343555555555549
c6400ba1-37e0-4dd5-b2fe-bafe575cca08	0	0
8b7602aa-8dbd-4f09-8a0c-873a97c4f4be	0	0
ed21f236-cbc2-458e-89fa-f409148e0efe	0	0
4a0520fa-7b0d-42b3-ae54-030326a865be	0	0
c8526b98-6b36-47f0-91e4-97bd15ca8ddf	0	0
a7d9dd07-ed68-46f7-9fd7-e8d17b9925f4	0	0
ddb724eb-e5f9-4f8d-b5d6-856bb88a11b9	0	0
6fcf97f8-7e8c-407e-b853-37674cedd8f1	0	0
ae663b22-5b99-4b1e-8034-1c656f1c5a52	0	0
23c27d43-2425-4c3e-886d-7d0f7398f40a	0	0
9f0a631e-bfe6-4a73-b772-a774d053fe8b	0	0
cb4a5af1-432b-4f06-985f-b6674b050a1d	70	5.8337805555555553
50375402-f111-49f2-a863-ef3356ce4313	0.594125249072381956	0.0495157185360235799
b86355f6-6a8c-458b-a123-1aca6b498e62	0	0
aa15ccd1-8791-40d9-9ffc-c9ef01486eaf	0	0
0e7b9288-ae50-4323-9e88-87298d05f71d	11.1837229437229446	0.932076322847522953
eaed0a26-800d-4cf0-9160-eb8d9b5a296c	0	0
f6df5254-6ddd-46a3-849a-2d9eae0325e9	0	0
37423d3f-f121-40f6-b38a-4479ec2412df	17.1436818181818182	1.42879253979797971
121eab95-5dab-498a-b30f-46d4d8aa5f10	0	0
c558c179-d30e-4bcb-bbab-202d5971c408	16	1.33347555555555553
8a2aab6f-4fa1-4a51-b177-a69231179c20	0	0
1d093784-be84-42d1-886a-f9467717e2a1	0	0
268b9830-bf2b-494d-b12d-32e89a8bce60	0	0
62874336-4653-4d4c-b71f-72186e0ba6cc	0	0
8b21e7ab-382d-4448-9638-c5e52bc10e73	0	0
5c4d6902-6a9a-4019-8948-81566084821b	0	0
97eeaffd-ade1-45b2-bc92-e35109c33306	0	0
c5128d53-bae1-4f2f-87b8-7f8e36ad2a7b	0	0
0c9cd27c-f096-4145-9e9c-d7d306e8a466	0	0
d6e05f52-091b-470b-9164-e9d662ac80ad	0	0
66e534db-f39e-44b7-8171-fda4d6d1ce50	0	0
587eae95-5e9a-400a-af55-975304a5bf6a	70	5.83395555555555578
e4e0eb47-3cb0-4f3b-8d7c-ddb00bebfd14	0.594125249072381956	0.0495135730837352669
3f50ede5-cff4-4ead-b6b0-eb239d1740fa	0	0
5ce4f9c6-c976-4748-b4e4-57f6751b4155	0	0
3cec3d12-500b-4030-8456-89362bf2537c	11.1837229437229446	0.93203593718133726
61afd7aa-e265-4627-98f7-88871713f6bd	0	0
b0736510-b20c-4731-ae4b-6ed3487e5c23	0	0
2ec0a749-7a61-4b34-9e6e-6ea3e7222d94	17.1436818181818182	1.42873063205808082
85f3bb16-80f5-42e8-80e5-ee3792ceca6c	0	0
7df45993-3c2e-4a0d-991f-f32751a85734	16	1.33341777777777781
c4be88c8-c4e2-4ae8-8a07-ea0ded22ed4a	0	0
40dcb49d-bfdb-46b8-bdc0-d8cbf9627fe6	0	0
34aa6309-9772-494b-b36a-49584f3d6b93	0	0
e24f714f-5f18-4812-9a0e-39aaa6bbb2da	0	0
6c244ac7-0845-4740-af47-07772355d996	0	0
c6a9633c-6f01-4d74-98ed-25373d663d58	0	0
ecc88c42-8d85-446d-ad30-8a1df897e75e	0	0
ef464daf-4528-407c-b2be-a3e43c85d81c	0	0
070694d2-08f2-4dc1-9a36-ebeee572c907	0	0
64247db0-ade3-457a-8bc4-f3e48ffd9c51	0	0
99e39a5e-8ee6-4e4a-aa42-bfeb4e15fd42	0	0
0ace5175-c1df-4ca3-8702-192b39982c31	70	5.8337027777777779
2ff3f167-7a5a-43d1-a64e-249ce749e589	0.594125249072381956	0.0495167087447720353
12f9cca3-8971-4310-b81f-b2ae3e61a517	0	0
e76c289f-62f2-4d50-a3ac-a4b8b282b89d	0	0
ae2d7cf4-5a48-4c70-87ff-1aee23add86c	11.1837229437229446	0.932094962385762393
6cf5491e-cfdf-4fa5-bdeb-4356ec4c3ba1	0	0
53a2b0ab-be10-4ed6-8a4f-0092143971e9	0	0
bac94bd0-2de7-4812-9bf5-ff014219aa13	17.1436818181818182	1.42882111260100997
85b872d0-d116-4389-8e97-36cc97e6f773	0	0
7d7d5e54-92a3-4ad0-bbde-d570e33cc6cb	16	1.33350222222222214
0c7ce1e8-cd9f-4c85-8fe6-057817512020	0	0
f0f0a7b6-9702-4911-b73b-7942b4f54ea8	0	0
0156f9b1-775b-42e9-b48c-3d6de5cf79e0	0	0
37449c80-2e7d-4c2c-b997-9ec5dca22fc0	0	0
9b81de63-0db5-4edb-946b-b9786452ffc6	0	0
ccb875cd-ef7b-4b10-9573-686bbe0700cd	0	0
5953b35b-8d89-4071-a91d-299bc96e0105	0	0
ff0e0650-eb59-43b6-9422-0100aa6f9b3b	0	0
6d489baf-941e-4115-8ccd-ce575fea4b91	0	0
27c68f12-33ab-40bc-be67-a7b3d397de7d	0	0
82a4ec6d-1499-4a9f-990c-6e3ad986688c	0	0
1523bd71-2a9e-4d0a-bd7c-2fbe3d52eefc	70	5.83407222222222188
8d86a036-ad91-4f9f-8d72-06efd120a714	0.594125249072381956	0.0495101073531156802
f57767cc-6f4c-4235-8453-6b1d014c543f	0	0
139fd2fb-85f3-4218-b157-f7a32a0d5450	0	0
6fb4ec05-f4b0-4377-99e1-ccf21d2f0162	11.1837229437229446	0.931970698797498942
e4ffea30-7d15-4349-80ba-b3e35e87acf5	0	0
c01264a9-2416-415d-93f8-416116ec0571	0	0
7f03cdf7-ff5e-4792-ba32-c1e8d1bf1f63	17.1436818181818182	1.42863062724747492
f0d871a9-e71d-4db9-880e-34faffde0cba	0	0
0c6d2bac-5b0d-4266-a6bf-a375bbd2bd06	16	1.33332444444444453
1aed6942-011a-46bb-8c87-d21af612462f	0	0
ea70ba9c-a900-49b2-80a0-eff4ee491c95	0	0
0af7ed79-2cf4-4faa-83f7-3c7453f16f8d	0	0
92245c8d-9fcd-4232-baa4-408753375ce0	0	0
20daf602-0862-45f9-b36e-891a87c6ad75	0	0
8a2553d1-719a-4793-ac65-e299b5879ed4	0	0
24ed868a-b222-45ec-81ce-048830b58f04	0	0
64cf0e86-e367-431d-9c1a-b1af77051913	0	0
8a89b019-0d0e-405a-ba35-dd3d2fdb832a	0	0
79a4d8ce-7c54-4f5d-8baf-67042a1be228	0	0
16cff934-ee8f-45db-be6a-11db0835aa4c	0	0
7862b65e-0774-4e75-81b4-58ef13a9d08d	70	5.83329444444444523
b5295af5-f3a7-40db-96da-1c7644394326	0.594125249072381956	0.0495115926662383563
2819de5c-e341-4d7e-897e-f0d0e8c7ecb3	0	0
4f9e287b-7f30-4fae-ab7e-3f4f39dbe05d	0	0
f8a6c71b-f927-49a6-a723-6c4e7d565219	11.1837229437229446	0.931998658104858158
150e1d0e-ed13-484c-9192-846d71a2ea65	0	0
d27ba155-517b-43d6-930b-4ddd0a50d7e8	0	0
6c83c6af-c285-499b-a4b5-d6c8d4baf68b	17.1436818181818182	1.42867348645202008
54625123-4a20-4b00-9c03-07943aa3c7b7	0	0
7cae04e1-6c22-4c8f-9831-247ca2f542eb	16	1.33336444444444435
b3671e8e-8690-4667-b99c-7b1f4633018a	0	0
5313881f-6a14-410a-b3e0-13d255fcaa9a	0	0
2d84913c-81a8-4305-8f2e-fdfc2aaac77e	0	0
636446b3-7183-4f12-87d7-ed0a3d4f3974	0	0
9ac4f948-172a-4eff-ba3c-0386f5d25ecc	0	0
30574b77-dac7-486c-9a69-34c5da7f680e	0	0
c136e7ce-4166-4dfe-a252-ff3377cc2a7d	0	0
1a7c748a-58e2-4856-968a-b10e65298024	0	0
ed68024e-363d-45e7-8d56-39d240035333	0	0
b8ab28c2-aa63-4424-9d72-27456e252348	0	0
8742c2f6-9116-4b0d-bf8e-113a1450ef26	0	0
9675ce8b-b030-4b03-ab27-b063d3de3875	70	5.83346944444444393
b90770c6-c978-4dfb-b206-53c596644590	0.594125249072381956	0.0495205045449744405
810a4fe3-4e85-4be6-a184-b015df5849d8	0	0
d1d44ebf-b619-43db-a06c-2d5ea0a801de	0	0
9db5ecac-dc48-476a-a1eb-2adec32b85a6	11.1837229437229446	0.932166413949014006
d4825e38-0ac6-4b31-a78b-929b151260bd	0	0
ea72a679-4021-40f8-9f61-9d55fc578789	0	0
966858e6-478e-4299-823a-c991fb85ad03	17.1436818181818182	1.42893064167929285
40d559a2-bff9-4166-9443-0e7b030fa8ff	0	0
69112d82-e8be-449f-89ae-dcf06a3277cd	16	1.33360444444444437
436143ce-bfab-41e6-a2ed-89a0a6d12e38	0	0
8e563aa5-247c-4e98-a7b0-e8ba3270f510	0	0
47368d41-f8d5-49df-87de-db00cf09db5d	0	0
ad903e56-2521-4637-8c35-4a0271c0c732	0	0
f5bb55ca-d835-438a-8e58-3ae0378e229c	0	0
8eb4f986-2fc3-457b-8743-2c79a73acc27	0	0
52fca8f4-4979-4a02-adae-66be22d18163	0	0
263b7483-b179-4c34-8f9a-a7b6b41008ea	0	0
de076f1c-a01b-4abd-bf44-7df269b98eab	0	0
4bc5f67d-882f-4e99-8f18-13ed7de7d518	0	0
c55f7868-9267-4d6d-88d9-7b574471367f	0	0
1884b64c-9979-4c41-8002-40eeccf9abd9	70	5.83451944444444415
947162ed-4646-4c55-8139-1583e32772c3	0.594125249072381956	0.0495089521095758225
353cf6cc-2e52-4d90-b5e0-0358970939e6	0	0
dc8f497b-e0da-4d80-9c46-60c1b7f66a01	0	0
86ae6a92-1cfd-4b6b-ab05-265525bc270e	11.1837229437229446	0.931948952669552799
13abb951-80dc-46f2-bd29-b6c15bd9fa1f	0	0
c0c2f9c2-5893-41d6-840d-3ea05ca83b8f	0	0
36c9ce90-4057-421d-bae6-d1300b452c46	17.1436818181818182	1.42859729231060628
6ffad6dd-e9eb-4232-9d02-de2ed2aefe12	0	0
facd36af-e942-4af6-bb01-5233dc6cac5d	16	1.33329333333333344
59c4878f-0cff-4757-aad3-c3b87501f262	0	0
06b4bff5-a958-4b86-9399-f917633e6377	0	0
237d41c4-d00d-49a0-9034-f7abd78650a4	0	0
22653f67-a26b-4d44-b29e-9e2a585fa4de	0	0
83c07713-2e1c-4d86-8b27-d25c33f9e96e	0	0
d37363cc-1d32-400d-9872-7bf9191ceefe	0	0
76344bf5-3fff-4527-aaaf-5dd651ff73c8	0	0
c60c1b5a-1b6f-4564-b042-a44aa5d3951e	0	0
9708254c-7cb1-4f72-abaa-dceb4f31af21	0	0
8bcc3cb8-a878-42d7-8a71-5806b0ed30d6	0	0
fbd692dc-a6eb-42e1-8d09-9da655e09074	0	0
3238ec04-eabd-4271-b354-d3e583082010	70	5.83315833333333345
d4d928ef-bf8d-4527-941a-78207b51b163	0.594125249072381956	0.0495021856831280443
3dbdde6b-f967-4603-9337-7d323bead11c	0	0
df764f85-7f37-44e1-a8aa-eb559c8a1f88	0	0
2802e6d9-904e-4186-91bd-ccf4938c18d5	11.1837229437229446	0.931821582491582534
178bd3fc-bcb8-4d32-b749-7b817c43881c	0	0
e8104d51-256f-419c-a6ad-f55ddfbb33be	0	0
d42191a1-c548-4ef2-9024-332f91ce1784	17.1436818181818182	1.42840204482323241
e040ecda-0650-441d-89cd-03bb69a83bdf	0	0
c0d55cb1-52c9-470f-bac0-65c04ecb5da7	16	1.33311111111111114
af4e3899-86e6-43d1-baf5-56798e8938b4	0	0
e5cb05ae-2997-4a35-98bf-847fd2714ceb	0	0
7af6f8cb-0617-4b07-b96a-54dd2e39f8ef	0	0
e47d95b0-5a57-4e11-8800-39b547e77234	0	0
e8bdf991-d22b-4342-ae61-ad5467077d7c	0	0
380d987c-4b8b-426e-ab9b-add5499eeec0	0	0
ace40310-40e8-4a8b-8427-0bf398dbea7e	0	0
b2398ac1-923f-4f20-b9ea-65bd43b2a962	0	0
d484fdb4-0267-4e32-89d1-c791bed42a68	0	0
323ef764-a72b-4cff-9b56-a8fd65ff2f1a	0	0
b72f2246-52c5-438d-9f27-609612185297	0	0
40f57d74-1979-419c-9c93-53bdf67f7852	70	5.83236111111111111
c6656041-bdb5-4148-bd24-95c058a0b5bd	0.594125249072381956	0.0495172038491462629
33d7a909-78c5-46d4-bd9e-97a5711b9814	0	0
f2a40ca4-f925-4665-8c99-29b79ecc9099	0	0
9d7e1ccd-dbe5-4d5d-8a35-181d3fe797cf	11.1837229437229446	0.93210428215488228
c4ee08cf-bb2d-4ed4-9dd2-e08e5ef54641	0	0
c900e9fc-9b74-45e6-931c-3b2227127007	0	0
736dcecc-5a08-4d59-a316-50530c86841a	17.1436818181818182	1.42883539900252532
0a61f89f-c9c7-4b42-97f9-d49ec9287c4a	0	0
6614b20f-3586-4e77-826c-0d2f81a431bc	16	1.33351555555555557
f212d59f-6e0c-405f-8e0e-ef06474d44f8	0	0
6ca7e9b4-d762-4ab5-a043-967dc96e2efb	0	0
5bdc25d3-eb92-42e0-93a1-a9c2e45ad65f	0	0
31117d0d-f51f-4c8b-af4a-cb4d30659a64	0	0
dda53ae0-9cd5-47d2-aa0d-d338cc1313db	0	0
e5bf4283-5114-4759-b978-1e327b89a903	0	0
4ae0ed62-cf3b-4b7c-a780-d093706396df	0	0
7c13d68b-9fd2-4027-9560-1cb700ce146a	0	0
16e1f72a-1815-47e4-9946-db10a8e097a8	0	0
87fafce9-a532-49f4-aa1e-db8f097ee84b	0	0
9593bf8c-898a-4f11-8f70-777191c176f6	0	0
20495bc7-3a02-453c-bc88-ae5decb132da	70	5.83413055555555538
1611b7cd-4263-435b-96bc-e89ca11705c5	0.594125249072381956	0.0495135730837352669
1fef9db0-2bec-4f00-931c-e0513c0304a6	0	0
86af5de1-a7bc-4c61-8a0a-59d2cc2ec000	0	0
23612087-1f43-4314-a6ae-5aef7b874893	11.1837229437229446	0.93203593718133726
924c8d32-a106-42b0-8a70-ddbe175f9724	0	0
f268883c-0798-4a25-abc4-6f2348239ea1	0	0
9314b08e-ecd4-4ecd-b0b8-59d200dd109d	17.1436818181818182	1.42873063205808082
71b7c073-81fe-4f8a-bf1b-8845a8245292	0	0
8b677860-8dce-4430-9f37-d4842c9a0235	16	1.33341777777777781
5c485c9b-bc55-4f50-86e7-80de5689091f	0	0
f6ffb863-97eb-4a98-a76a-f0de0b9e7997	0	0
1706df8f-a5ef-4711-b99f-12478549dddb	0	0
7d195081-4491-434e-b95d-a1de6a6a538c	0	0
45b8be79-6033-4fea-a01f-fa42f61efa2c	0	0
3fbe50db-7ea7-4843-af39-3a254e25b522	0	0
304c12f1-a6e3-4c77-8fe8-4edcd4e79a40	0	0
c2b9cb0f-f896-44ec-a770-1eec74fa09a7	0	0
f00a0efc-3c8e-40a2-b2dd-72261e629007	0	0
1b5b2bbb-760a-438e-977d-8061800e1a2e	0	0
2f989a61-694c-4785-a032-332d2467c497	0	0
c09b30be-86e0-40f7-b881-56e6123e568e	70	5.8337027777777779
7194c49f-0d0f-4eba-a53d-8145585669fa	0.594125249072381956	0.0495188541970603552
7da28de0-2901-48cc-a7a3-beeba6ac68b3	0	0
21a0d8df-c891-4cbc-b8b6-1cf29332197b	0	0
c4f5d9c2-eb37-46a9-8127-a47f36b2f880	11.1837229437229446	0.932135348051948198
f9808c08-7964-4d16-b4cf-0a9bd1e17433	0	0
c104afe3-22fa-47fc-94b6-c4571e42583c	0	0
d82427fc-3842-4ffc-bf0f-9676e4828beb	17.1436818181818182	1.42888302034090908
04a71b37-5f5e-4c5c-8543-efd9877a3993	0	0
54d51bae-dc9a-42cc-b008-d4ad6cbb54b7	16	1.33356000000000008
5716fe0d-701e-40a7-a94a-75731ff4fb11	0	0
b02e6f6d-188d-4f9f-9b57-2e03170efa90	0	0
c6265d7d-1a66-4883-996c-1d0ddd74bc9f	0	0
24773ed0-c8a7-4a6d-b693-950ad27047e6	0	0
9a35c7ca-7010-4b2a-9fd4-8ad2623a9a6b	0	0
5b5aee6e-7806-43e5-be3d-d5ad0b2b3e9b	0	0
cb1701af-07fa-404b-b2cc-58f0b249e852	0	0
ca3dce31-c262-4855-a5eb-ca7cda33ef52	0	0
981c71c6-cc12-4a7f-8868-6a5426276a26	0	0
cbc7413d-edd9-4d82-b1bd-21975240cf45	0	0
71843f10-ebc6-49c3-a7ac-1b3d0232857a	0	0
9002160a-fa8c-4f3a-a1fe-bf3dd9ddb230	70	5.83432500000000065
255eb26b-7e25-482d-a2f3-892e0fa04969	0.594125249072381956	0.0495124178401954093
dff6c94a-04dd-4e1e-9037-ec40e490c90c	0	0
3f5cf1d7-88c7-4550-ab5f-abdbca468c64	0	0
fec619bb-7066-4cc2-b2e2-deae37e50948	11.1837229437229446	0.932014191053391117
37de2e5b-1fd0-42c2-9601-eb7a2af6b9db	0	0
49a9e84d-a653-4d62-9e26-5c29456d7296	0	0
541ae29b-e3c3-4b2e-91ca-1e2e4ddb4473	17.1436818181818182	1.42869729712121218
025c1660-632d-4310-906c-650672158731	0	0
bc041219-6e12-4b39-8782-8284d1d35c20	16	1.33338666666666672
ef16c94d-a5d7-4750-8124-5f813c6b011b	0	0
5bf6a72f-0504-4d1c-8412-1d2a3f8e0060	0	0
35fb5cb0-9a3f-4c3c-908f-900a8c17f5eb	0	0
41a9feb3-c68c-4733-9718-833c3faf3887	0	0
124cc692-73ef-442f-9dbe-ba6383ed1933	0	0
39b4fc15-ffb1-4699-b59d-6678fae634ea	0	0
93d2e888-1e4b-4c3f-8fd9-c5d7b4e22762	0	0
8a2b430b-23d6-44e2-a1c8-9318870b8845	0	0
6e3ff94d-6e55-4d66-b981-4f25d1057710	0	0
1727550a-0448-445e-8fce-d70195264c60	0	0
b775aaeb-272d-4261-8a18-e0986f4a94e3	0	0
864e879e-0c1c-4d0f-8d33-5be730e86ba1	70	5.83356666666666701
5f6e71cd-2cc1-4f05-a1ef-5e413850caf7	0.594125249072381956	0.0495190192318517713
72432823-ad28-4b82-8781-3527fbcd6e61	0	0
86b4be9e-2547-479d-b39c-24cf906a2709	0	0
b3ebc631-2cd2-4a2a-b7a6-2342de01a076	11.1837229437229446	0.93213845464165479
12bd82cf-0868-458b-acf1-f5c617eedf9d	0	0
84113fc9-24b0-4cfb-99bb-0d1b0ec48da6	0	0
08433348-5b46-4f82-8ced-852aff0ecba9	17.1436818181818182	1.42888778247474768
6c1b1e32-fbb2-4634-a426-f19f416e6919	0	0
7cf08fed-a978-4fad-873f-b602e9fa997d	16	1.33356444444444455
532b1a42-08a2-4d54-a64e-e42594c15682	0	0
c99be450-7202-4588-80f0-8504923cc2f8	0	0
3dd9ba9b-e14b-4dfd-8a7e-3881ad94f8e6	0	0
fd9fe4ee-e976-4a8d-9302-e8a54d3da11a	0	0
0224a63c-2c65-4984-9d23-33a0944ee3dd	0	0
88415ec0-6e68-487a-9f34-1494a805e9c0	0	0
d4f2d847-2eb1-4b12-abc5-201348dc9ab8	0	0
000b8687-8dba-4733-b753-2d278bffeee2	0	0
fbd1c0f0-0f93-49be-b6e1-f303acf8b113	0	0
87614a20-5087-4afd-8b93-078eddd957d1	0	0
aedb2e24-8d1a-4633-abb9-16016ee29af8	0	0
433aa5d8-8f1a-4644-aacf-6a8273c6b83b	70	5.83434444444444456
7b2b4b99-b241-44b9-88da-d22a973fd5d6	0.594125249072381956	0.0495110975618641355
59dd32ac-fafc-4200-99d7-99d9df33863f	0	0
0cea6114-ac66-41a3-8084-5d98b4fcd5b3	0	0
e7f03e32-0fc6-469e-9e4c-6c169e97f518	11.1837229437229446	0.931989338335738493
fefcb9a5-621c-44fc-86d8-bd30fc0af27a	0	0
5845bf2a-a23a-42ef-b0d7-5ec507e6848e	0	0
2a0cfd41-eec3-479d-9f03-55267241c21a	17.1436818181818182	1.42865920005050517
e1669913-f951-4222-b186-2d52d37c7ad2	0	0
d8534ad9-ad26-4dbc-bb46-aaef8b905f05	16	1.33335111111111115
2c3e53df-4bda-4f3a-b41c-9e45fb6eebaa	0	0
76b110c6-9bb4-4f83-bff9-06b35a050c03	0	0
c9afd42c-d00a-495e-87f3-6f5a3917ab9a	0	0
ef94bfb7-e729-4918-a78f-03b152776376	0	0
43b8d7dc-f049-405d-874d-e797803f6830	0	0
dd83960d-776b-4d82-8702-6d8d776f1f41	0	0
bf0f2fd9-4771-45c1-bea1-bf363bb285ec	0	0
3dcee42b-b33a-41fc-baa6-d5b92ff15754	0	0
040ba4b4-8e72-4822-812a-dae158a9e51c	0	0
a5cd2e9d-1a29-4244-b9d1-f2c06d9a96e7	0	0
d13eb095-5e26-497f-a68c-309070b83115	0	0
4d8af820-8c23-4453-984e-081175fc4d21	70	5.83341111111111132
a5d8f73b-8fa3-438f-a9f3-a937d4d1b911	0.594125249072381956	0.0494982248481342299
e59c3ccb-e1b7-4154-bceb-74efc08eb8c1	0	0
8654cefa-0321-4a42-beec-40824274c649	0	0
6c6e8991-9080-4caf-9de8-d4f0c76855c9	11.1837229437229446	0.931747024338624441
1aff6d5b-3990-45d5-9cfa-67a6f5aa1ce1	0	0
ef1ac636-a588-4b28-95e4-3fd525c483c7	0	0
ce472c68-3b48-4e94-bd94-c7b17534b894	17.1436818181818182	1.42828775361111115
068dcf24-b1ec-475d-a5e8-97620b141913	0	0
7e97113a-6bd3-473d-9838-3c8e873ae391	16	1.33300444444444444
b0aab1a9-9437-4ddf-83d7-9711df56b61b	0	0
226208c0-4043-4604-9af2-2ae1495da1c0	0	0
f50d70db-d1aa-4616-957e-570658aec366	0	0
a0c28f18-d25b-4288-a31a-6ce951e18d93	0	0
691d0964-da9f-4404-9375-a2a91499354e	0	0
a6ed5328-3cd7-4c53-a41e-87b1e37e59ae	0	0
085f4f6f-b2e4-4abb-a295-a2e0ba7d941c	0	0
13fa1e04-85f4-4a8c-8533-d9a51c5e5276	0	0
b33ade23-f1b6-408d-9c12-ae21a5f46bb9	0	0
6cd41201-8d1f-4aaa-9163-88a5bbb74725	0	0
0b033496-c172-4968-b0ac-7efe3d6a5ad3	0	0
e6c2db1a-d192-4892-8ad1-c18a30a9847c	70	5.83189444444444405
3f3f6a1a-1007-45f1-849c-36cfbc415478	0.594125249072381956	0.0495304066324589801
0eea5924-b959-4c1a-93dd-7cdb8af70358	0	0
c722720e-9fe4-4c74-99de-009829bdb54a	0	0
18de7455-6e50-46fc-ba27-9e0613722049	11.1837229437229446	0.932352809331409293
a2cdde74-a3d2-40c4-bdc0-37b04ff35c7c	0	0
ef1fb8fe-ce76-48d6-87c0-147f66afab8d	0	0
7d10d976-0c08-4942-8973-eedacb59175e	17.1436818181818182	1.42921636970959587
b466a57e-566e-4748-b64f-a123beed10b4	0	0
5fc87411-4aae-4196-bb67-8a11caf5f971	16	1.33387111111111101
7663fb2f-a1bb-43a3-a0a7-c5f602c16e74	0	0
3a8408af-28aa-4f54-94e2-5e297975b6f0	0	0
4ae66e61-90c9-4321-a97d-48a310592d97	0	0
2e258089-abfb-4041-a683-cf080ff5f3f8	0	0
09579f85-5ce8-459d-a627-65016b58292c	0	0
487c007e-6bb7-4859-8b79-5c8886e27bf9	0	0
1e9c906d-877b-4da3-84b8-b0bd2120f55d	0	0
5590b9dd-ae7c-418d-a812-89ae91fbfdc1	0	0
f0ebacdc-558e-4523-b5f7-f899aab9f1b7	0	0
1b9414d8-c904-4720-a045-bc776fbd002c	0	0
2fda1784-1dc8-497d-87a8-f7b8b88c8367	0	0
f874aade-c508-4b9e-a4b9-cf4347e2de9c	70	5.83568611111111046
25019d52-45b4-41d5-bccf-a9a6c968606a	0.594125249072381956	0.0495109325270727263
56c09802-efbc-4436-b39e-438bb3cd4d1d	0	0
aa2d8800-4816-45db-8fc6-8f6ccba85197	0	0
bee5b300-f905-404b-a1fe-5e3ce6c5126a	11.1837229437229446	0.93198623174603179
55f08848-341d-4561-b07d-b4c1f8509ef7	0	0
e170b5b1-bbc0-484d-a7fc-4e04bf57a006	0	0
43143f3e-da46-4c1a-97c9-0338bb68fca9	17.1436818181818182	1.42865443791666658
2e1823ea-341c-4f0b-b415-acd6e9724b18	0	0
8f0da9ef-ae57-4eec-a430-6340f58f7898	16	1.33334666666666668
d9557dba-674e-437c-a6ea-d4f23992381a	0	0
932e3c1d-b4ed-4c61-b389-731972fab88d	0	0
0d395da8-e67e-4a48-b52f-4d9c5f5df224	0	0
f9388ad9-fefe-42e3-b666-8ada2c704a07	0	0
81910822-8678-45bb-a596-e27c5de5e7e8	0	0
3946165f-0eca-4aac-9f53-bb4ca93a86c5	0	0
422e882c-6016-4589-9026-ec7885aef6e1	0	0
a0c75fcf-7716-43f4-aa7e-0fedd2f87839	0	0
d1bbbdc6-ac08-4c32-880b-7a013f368dc7	0	0
e425cb6a-4dce-4043-9f1d-6cdc00368185	0	0
6e828f1d-108f-4236-ae67-5ad9ebd73ba9	0	0
ee102740-9f17-4714-aa20-5e325714059e	70	5.83339166666666653
b088d292-c730-4cc0-90e0-ee4c7d1d3291	0.594125249072381956	0.0495719953998940491
cf46f684-cf1b-48b5-8e23-8222db32cada	0	0
876653d9-89a3-4726-9871-f9711e9a6152	0	0
c8891b7a-972e-4e60-a2d6-759f9a9f3446	11.1837229437229446	0.933135669937469991
bc608deb-3461-40f5-bb70-9d164d70384a	0	0
5e39574d-87a6-404e-9dd7-5b834a106684	0	0
9e4febd3-d30a-4985-8cc0-fc2f5866791f	17.1436818181818182	1.4304164274368687
22f3174c-d8be-4516-a178-d0e664479b5c	0	0
5ee7e7c6-4a14-47b2-85c8-7776d5eb0703	16	1.33499111111111102
f9fc15c2-5a02-4af3-9f0d-115ec77887cc	0	0
2779cf55-3ab5-4e17-9423-05c8ec15a6af	0	0
8d5b5ef2-a3ce-4e81-a9be-bc5fe1e4ca72	0	0
9f6f862b-518d-4e62-b6cc-5cc00661d47b	0	0
ec8a2343-c8d5-48f0-b21b-db96775b2173	0	0
71b5c139-a15c-4472-a853-4c4cb7286e22	0	0
20e6a2f7-7e70-44ba-bec4-673025f1298a	0	0
56b82976-af26-4b58-a466-f8c4b0b73444	0	0
6a5b4e22-f0fb-45da-951e-cb09c1ca34cf	0	0
5fd6d2ee-80fe-42c0-ad2e-9036fcaf57ae	0	0
f9af7630-facf-4607-aef1-59177350c7fb	0	0
06de0efa-adf0-407a-a2c1-227f857c9ec6	70	5.84058611111111059
e75c0c18-d6ad-4388-8220-734bc6eb2ed9	0.594125249072381956	0.0494566360806991609
975a4cf6-4112-44c5-bd87-04b4ed07be43	0	0
ed383ef1-5e18-4900-98b1-f515ff8781a2	0	0
6faf82c6-0950-4c7f-85d9-5065229ceed8	11.1837229437229446	0.930964163732563743
9d8900a4-4f1b-4c4b-be78-980fe53237c8	0	0
4483f1b3-36ba-496c-b49a-47d7ee01b7e6	0	0
5f7a8a6b-ff41-494c-b0fb-8e89b01eddcd	17.1436818181818182	1.42708769588383833
ec7b0849-fdf4-4630-9fea-678da8612084	0	0
fba64a26-848c-40f7-84a7-2ac80e7f147c	16	1.33188444444444443
c3e9b2ca-a282-4062-ba47-2146aa6847fb	0	0
39d544f8-ba60-41bd-a902-2400c99c787c	0	0
9a6f564c-1fa9-4232-8c16-c8bd3f2eb1a8	0	0
f48a4202-3b03-4cdd-a5cb-153e10423875	0	0
dcade4e8-9608-4132-9b68-4e9df5fc9074	0	0
ebbc842d-fb80-47b8-ba1d-6ad6ae8ac4ca	0	0
0c06bf71-6e70-48de-bb0e-91d7812a2548	0	0
9d819c0c-5c82-4ee7-8ea1-e8278298080d	0	0
f25ae4b5-49c6-4e58-bfdf-44fa716a8543	0	0
72aff997-a4b1-4156-9a6a-f5785ecf4999	0	0
6d66afab-68e0-4e97-ae76-13ed612a60e1	0	0
b86f62c7-7a58-4b12-b30c-a5e077404378	70	5.82699444444444481
29f4b715-0878-46d5-9ba1-b11a887d6ca5	0.594125249072381956	0.0495061465181218657
b54efd69-47a3-4504-a913-f10c4624ed9d	0	0
b4d529aa-acd5-4fb3-a156-f1ff83c18b28	0	0
0ee2ece8-7604-442b-88d1-2630a3b5864a	11.1837229437229446	0.931896140644540738
6c4ed679-ee78-4af0-9652-b5d920656219	0	0
767fbc13-2081-46bd-9715-672f26766276	0	0
e0ceeb90-1fc9-40a7-ac8e-62f4dd87a848	17.1436818181818182	1.42851633603535366
2e654785-1e32-4841-a47f-59239966594c	0	0
43a170f2-8a6d-4c4b-b09f-07930783a4b6	16	1.33321777777777783
5868035f-1df8-448d-81ab-f1af9750b8bb	0	0
207e6be6-b16a-48ef-bd0b-378c3d8cd9b3	0	0
1c8f1da7-e615-47cc-a1ac-8f428d7fe93a	0	0
62aa3692-be22-408b-8ef8-a7d669ef1b8d	0	0
ea3097be-7c34-4e4d-af8f-8215f65ca575	0	0
a69426f1-bec8-4562-8d52-99d0adbff589	0	0
5c142387-add6-49a1-807d-4d135fdb3dda	0	0
3b7ea594-a878-4a50-be0c-232503c605de	0	0
5cd3815f-79d5-4ed7-9463-61798a125cdb	0	0
5a35284c-746b-48fe-81e8-126c5f538a23	0	0
a24fd93f-57c4-41ba-a741-1bdb3b07dde2	0	0
969f8d13-922e-4f03-a216-ad6159fb1c27	70	5.83282777777777817
fdb1b359-541e-488c-af6f-cab3c8d4d2df	0.594125249072381956	0.0495175339187290883
0f536ad6-4db2-4e20-a7f0-2ad74c94ff00	0	0
1355d9f3-81a8-401a-8039-e631e6adcb36	0	0
363c1e1f-8ee3-4854-ac28-753953109842	11.1837229437229446	0.932110495334295464
83da05ef-0fec-4ab4-9af5-b7258a7dac3c	0	0
8c42f945-9353-4b30-a17b-f7efc7f36d1f	0	0
42d2853a-31b4-468f-aceb-b795082bdf9f	17.1436818181818182	1.42884492327020207
81303a36-9997-4f4a-822e-13322c1417d9	0	0
51ddaee9-257c-4020-909b-f8ddcd90781e	16	1.33352444444444451
faf2919b-43a6-49bb-b256-c8137c2a69e4	0	0
2568e1e5-714b-4368-a801-788aa0901053	0	0
e0f2ace1-cfdc-4c99-98aa-b4e1224f4f7a	0	0
e83414a8-6921-4536-a648-1fa07990f2d5	0	0
3a92e686-2f72-40e9-894a-d3d22c76d6e5	0	0
93ba0454-9204-4a1a-9efc-1c9880622bdc	0	0
bd06b58a-3063-4f8d-a00f-2583bf7c0822	0	0
7d66360b-adf2-4437-ab79-81b78f66657e	0	0
78b0ae1f-25e7-4054-b15f-4b94886cf86f	0	0
31fa3677-3a76-4353-ab61-9880efa0efb3	0	0
31636e42-e843-4173-af85-7dd7c784a235	0	0
a6684e37-8752-48cd-8c37-ca35ac52a9db	70	5.83416944444444496
2b9fa315-7ef1-4b92-9610-70c4730d4459	0.594125249072381956	0.0495162136403978145
1148972f-bcd6-428c-b36d-b602f2c2f103	0	0
db5cb708-4cdd-49bd-ad09-b205f0d32607	0	0
3a2bff77-592f-4233-bc02-ffc08631b7fe	11.1837229437229446	0.932085642616642729
7bb5e385-a82a-486f-9f94-d4efa6488053	0	0
28faf119-eff2-4ea6-8947-7cead089de16	0	0
7d6762e3-abd4-47ff-9743-c883a0a1ad4f	17.1436818181818182	1.42880682619949506
e18baa09-9817-4524-8b7d-22d99a6c5c98	0	0
90306283-3822-4687-92a3-80c2b37f1a63	16	1.33348888888888895
dab17f49-a8bb-47e0-95ec-9354e8c6a53d	0	0
0e196722-2481-499d-b105-1d47a28fc6d4	0	0
95222c9c-7678-4ec7-8fd6-7b437713a1d4	0	0
2f00e731-138c-4e0a-b547-632fabd85bca	0	0
ece63cb1-abb9-42a3-a5e9-c4d7a2aec533	0	0
270f048e-be19-4d69-b0d2-8366f264ccce	0	0
337e2d77-1e00-4ee5-bb04-2a42ce725c16	0	0
adf06f08-fa7e-4899-a9fb-f395eb755d5c	0	0
07301e42-778f-4a1a-981d-a1d472c78222	0	0
d5025148-17bd-493e-8256-5d181e0fd9bd	0	0
2716256a-1693-4462-9a4e-94e1f5653eb5	0	0
7ee147ba-249b-4020-9f1c-32896c506681	70	5.83401388888888928
076628b6-6b05-4b7c-9325-9622196bda23	0.594125249072381956	0.0495112625966555447
fcf408f8-f814-422e-9d31-0aea4afed14a	0	0
298f6737-3395-41aa-b6ad-a4e5b8d45049	0	0
c9d26cb1-88f6-4197-b78a-f715fb262aaa	11.1837229437229446	0.931992444925445085
e2976b8f-566f-4086-973a-1120985368fa	0	0
0cd26feb-b19f-40d5-a0bf-09599131b465	0	0
bef059d7-2ad2-44ad-8058-7081c73ac2d9	17.1436818181818182	1.42866396218434355
941911db-3568-447e-a84f-e787697c42c7	0	0
b0cd7906-d6af-4920-af31-fc5a6803bad2	16	1.33335555555555563
fbdcce58-4780-4b31-893c-2acd11b0ae4f	0	0
11ba74e2-877e-49c9-b8ec-2bd456982e57	0	0
d536da94-99da-43cf-b2fc-f38b909da5d5	0	0
de2f33c5-86f0-4ac5-ba21-9337b6df8409	0	0
ed5e66fa-1bdf-407f-801b-d805645ef18b	0	0
cc76aa65-e380-43b0-ba3f-bd5b366348ed	0	0
bc1ef56f-3301-4bc3-8852-90bc3d38b77a	0	0
1d38080a-3ae9-40fa-8520-62301870727b	0	0
59177217-9aa2-4a84-888f-635eb611e6bf	0	0
06949fe9-8062-4362-842d-96a2209ce750	0	0
2114566c-56fd-4a8f-88d5-6cb1fb1b9096	0	0
801f6b09-2505-423b-8c08-e06de547add8	70	5.83343055555555612
e5055414-7179-406e-b9c4-0b8fca7d9fa9	0.594125249072381956	0.0495152234316493592
8a0c4803-5829-463a-a4b7-232e8b76104f	0	0
6623cefa-b248-4ca3-8799-ea55b44ca4de	0	0
b70770f1-3370-401e-8aab-60abefd28b91	11.1837229437229446	0.932067003078403178
0ab97c78-d0ff-4dc9-9a61-151db103c1e3	0	0
f34078fd-44a3-4ae1-8a59-184b66632707	0	0
4c9561ab-1d6d-461f-ac8d-6284efa82c37	17.1436818181818182	1.4287782533964648
d83ba05c-08c3-4d15-a5f1-5d98038ba5dd	0	0
bb013701-100b-4c13-b674-d3c40f0ea084	16	1.33346222222222233
9ca7623b-74ac-4772-a12e-7364718145c5	0	0
dc0a50e6-d3b1-44b9-aa1a-b378b4096cbe	0	0
e4e7ec7a-7422-4467-8e6d-eda0b16b01dc	0	0
5f2536dc-f493-4f5f-892c-39f1777ebab8	0	0
5456a5dc-0006-44e7-9cec-ae1e098d2a7a	0	0
715cd93b-ebe6-45e9-9b81-7c88f6f99fcd	0	0
b5720f15-66f4-42ab-80d0-c6c652ae8ca6	0	0
c61327bd-3789-477e-be83-dbcf96782994	0	0
3426516d-7fab-4806-a4bf-84e7a5cefae1	0	0
08a937fc-d0ea-4283-b126-5c7d82322050	0	0
ed023e16-ae2b-4a36-a605-b47e8090a785	0	0
145b0952-3785-4baa-bdc2-f8bd7678bfda	70	5.83389722222222229
284d860a-08b2-4a28-b891-b9a04e25b0e4	0.594125249072381956	0.0495148933620665407
847a9250-b3d0-4c76-a536-1817c40722f3	0	0
9d29bb70-001f-489f-84c4-aa0a1cfbe185	0	0
308977f0-05a4-444f-b868-6247b0176f32	11.1837229437229446	0.932060789898989994
6cba19d7-431e-402e-ac04-372c06971ce8	0	0
d34b8a68-e11c-4166-88fa-56d21b3826c0	0	0
ef021196-5eac-450f-a3fc-ed97338059de	17.1436818181818182	1.42876872912878783
ff245537-30fd-4eaa-8ff3-cd1ebd36b499	0	0
9241af90-a6fc-4728-8d55-f3e8a8538726	16	1.33345333333333338
035b80b4-ca90-4ccd-b87d-92f704b8113d	0	0
668aece5-f66a-4def-90ea-c6283d9c9bfa	0	0
f19d4e4d-1f1e-415b-99e1-a2829f076624	0	0
41dff51f-cae0-47a3-98ca-c13f635e11c5	0	0
db727096-1035-4516-8052-4e7350c43324	0	0
9eb4bec0-8613-4edd-8d54-66cbcbed99a9	0	0
60a6e832-b0c4-4116-b833-1a87bd94f24f	0	0
60fdd66d-e368-47dc-ba40-17240506c0d2	0	0
3dd40590-3887-4963-9ea4-45e2de8d1a3b	0	0
0b6d8e6f-2a97-45dc-a1a5-e241c875fa22	0	0
0ad47112-ef79-4e4d-8266-a4a3aed1c928	0	0
77009bf3-cbab-4426-9420-dd9fff3a7de1	70	5.83385833333333359
71fa7f31-41ef-4b62-a188-51f868ffeebf	0.594125249072381956	0.0495082919704101787
adabb55a-1cef-4173-aead-25469f873848	0	0
14b912fa-f5cc-4c0c-a9d2-f4cc63758b17	0	0
dbee7628-d6cf-4083-baf8-6571f21f0c39	11.1837229437229446	0.931936526310726432
7c2a05c7-1eac-428a-85bd-cee8bdccd833	0	0
49d4be5d-957c-46d9-a287-53ac55ac0cc6	0	0
00177c6f-25ea-44af-a353-8779eacb1d8c	17.1436818181818182	1.42857824377525255
3b292201-81b1-4d41-876d-61ae0011ee76	0	0
590a5241-b332-4007-92e4-1bbc4e13e421	16	1.33327555555555555
41c4164d-2cce-45fa-9ef2-a82abca49e7d	0	0
1b79135d-d865-4156-8961-05c66fe356e9	0	0
1d9a8e6b-579b-4944-900e-774c206be13d	0	0
83dfca7e-c1d2-405c-bc07-ed83603895f9	0	0
ff18feb2-7ea6-43e7-8f3e-c7a1a3711953	0	0
167295b1-ce15-46ea-ae06-ad94cb6fba05	0	0
3a8b95ba-9a02-4505-bbae-f6b7f6ac9d77	0	0
a1b74545-c1bb-48a5-85ed-b560d6e26120	0	0
c2347637-2ff9-431d-927a-8e22b22f103b	0	0
efc53452-e01a-4da5-9ae1-2945d0a3af5f	0	0
869fa21b-d556-47c2-913f-27f7ad5f3ba4	0	0
b2e89b92-4198-445e-9083-48f976f1cd85	70	5.83308055555555516
a7cae46f-45e7-4cd9-ace8-4fb7255b1b7c	0.594125249072381956	0.0495147283272751315
ac6dc769-fd76-4263-8a35-86f8d3ff6c8a	0	0
4bcb574a-c0d4-436c-b86f-59d9b8fcfa3a	0	0
aa5d9a89-946f-448f-9ade-ea38ec38c579	11.1837229437229446	0.932057683309283402
9c56bc33-9790-4d2c-8e0d-eb763cee52e8	0	0
478d227f-2fa5-4018-b570-e3409432f811	0	0
a753dc22-d473-478e-945d-2caba0a4b16e	17.1436818181818182	1.42876396699494945
d8861c87-b460-41be-a01a-e09c125b1ebe	0	0
af92c0e7-ef8e-4587-a6be-76d35edf1eae	16	1.33344888888888891
a06c421f-3b08-40dc-bee7-b5099bfcec26	0	0
656e2d3b-b34a-4ea2-a8be-1454a62f735f	0	0
0ff4105b-90bf-4063-92b0-5857e130b3c2	0	0
a0e6b2fa-5602-41ab-a649-585ce318dfeb	0	0
a26ede49-2dc4-4739-b49e-f6298da7dd16	0	0
537edef7-02a4-4247-92d7-d99a3555aa03	0	0
ed0ce562-5b1e-49f8-971a-33ea23a69e3d	0	0
1e6825a9-0a75-41fe-8045-f95371265f4e	0	0
06a5b68b-886f-42b6-9c8a-b600d6453f93	0	0
f27da924-37a5-472a-bfa9-127bbea861c7	0	0
d77174fd-8842-4593-abe8-3d9c4be204d4	0	0
7397b5ab-84ea-4087-be08-e02936deaa5d	70	5.8338388888888888
0d20cb53-b568-4a41-9f62-d6c678237fdb	0.594125249072381956	0.0495170388143548537
53b4731d-fe59-4a64-bf37-bd1decef36b3	0	0
aee50d11-8dd2-4684-babd-a9742723f53b	0	0
02c044fc-11b6-4c04-9cb3-7805684187b3	11.1837229437229446	0.932101175565175577
2bbf69e3-a30f-4254-9f0d-4fa979752175	0	0
5be9a154-3807-4f87-8e4f-39a7a6721f5a	0	0
6de9b9fd-49c7-4d39-9b3a-3617c98af2d3	17.1436818181818182	1.42883063686868694
21726017-7deb-4794-8072-0cca1a1be84c	0	0
a34dd761-f29d-4df0-87e4-6f0538dced65	16	1.33351111111111109
264bc85e-ad33-4078-aa5d-992121b45a1d	0	0
844164d7-96d4-45ff-96a0-1b709c1035c2	0	0
0b938c1c-7aeb-426d-a3e6-b900b1d784b0	0	0
c8d825e4-b092-4795-a26a-76de3910071f	0	0
06e780f3-3f9c-4a35-adb9-6c39de4b51b3	0	0
4ca1e1a7-1f1a-419a-9485-0cc2916c8286	0	0
08647e37-6c35-4cdd-8bea-6ae6cdfad54e	0	0
8d250f79-fb84-488c-bd46-48be9e4578fc	0	0
26041324-390b-470a-866c-5774c08174b5	0	0
5b0e2f46-eb4f-474a-b0eb-5b639947ef5b	0	0
b1f24bdb-2135-4b62-adff-ac6da6e48a6e	0	0
b55343cb-049b-4cea-b95e-930451749c84	70	5.83411111111111147
27d40377-72e6-4b37-8bc3-def54cdca8f5	0.594125249072381956	0.049518689162268946
d631eaf3-e2d0-432d-9a67-8e875dad3dc3	0	0
2129e6ec-8e54-47c0-a1ba-102cf2368450	0	0
f56c2fca-36f1-4291-b5a4-4877a6cde08e	11.1837229437229446	0.932132241462241606
db84ea8c-c2e9-424f-ac28-2541d117972f	0	0
6e02c34f-6ea2-493a-8400-f942b59f0c23	0	0
555b8a8b-9647-4439-9e07-58e05ee86a1d	17.1436818181818182	1.42887825820707071
90c3abb6-5202-4e74-9e12-bda4f376bd4f	0	0
a0b3dcfe-81d2-4c80-be10-a1bb45c6a5d4	16	1.33355555555555561
50fd478f-e25b-48c9-b556-fe88381c25da	0	0
89fcd44f-e012-4a9f-937c-a15588b70630	0	0
f1031420-f916-4151-b2eb-5d1a38218384	0	0
38279e55-e1c5-4a21-95c0-2596fcbaa880	0	0
5a2bc706-0bad-4bd2-a622-8d23aa0658dd	0	0
f93c4b07-c860-426e-b801-0c9ba25c679b	0	0
62fc7a3e-98b8-4a0b-8550-e742350dbfea	0	0
aacc2142-87eb-4276-9a90-9d15a19539c1	0	0
61401ac7-05cf-4753-9d9d-7703651ac28d	0	0
22b294a5-b190-452b-a3e4-cc29ba051e7e	0	0
bc387266-34c9-4ac7-814a-f7c123d4e2ee	0	0
a4530901-86a3-45bc-8942-9708f483f97d	70	5.83430555555555586
d77c7f23-43d7-4f1d-ab80-3b60489ac530	0.594125249072381956	0.0495104374226984917
dfc0e6aa-1402-431c-90e6-9ac2c257f578	0	0
dea00fd7-a623-4221-9cdf-6de31c2046ef	0	0
6d50e098-39df-4978-88e3-77fef70f58e9	11.1837229437229446	0.931976911976912015
42600e3d-9ce0-4c29-8f3b-459bd77df61d	0	0
d5dbc834-e030-4396-9bd6-46edd16008de	0	0
f50f7995-bd55-4b1a-b474-d3957677f5d5	17.1436818181818182	1.42864015151515145
af0b551d-57eb-4303-aa38-48fc1c09e760	0	0
97b3b1c9-c0f1-4b70-b8cf-d2daa4cc0eb9	16	1.33333333333333326
8ca5ae4c-d461-4ca0-91cc-df84621a9aac	0	0
ba61a946-57a2-4487-a674-aa8f4e61c262	0	0
07674142-8295-456c-9437-cfcd8e17f12e	0	0
118849e7-47a3-494b-9d1d-59bddf9f7fd4	0	0
b387f6c8-c727-4c7a-87a6-3d1609684001	0	0
324ee57d-38d4-4b45-a653-4895a4850815	0	0
6f762c91-be21-4eb7-9d5e-fbf1ac8452fa	0	0
45422dc4-5653-4f09-bea3-9107be266ae8	0	0
8204a200-bc40-40d5-9ba1-a1195dd2ac09	0	0
6edc296e-015e-43b9-853f-2799adb02c28	0	0
acb0e4f1-9f6b-4364-a596-55d0b7c45cab	0	0
e0802766-0af6-4461-98df-8f2d36e3b545	70	5.83333333333333304
039d1b07-12ca-4b5a-a19c-31c159382c53	0.594125249072381956	0.0495110975618641355
43d7bb87-16c7-4ac4-beb6-98f51df86558	0	0
56badc85-ace6-48d1-abfd-3f7a9d8d801b	0	0
b0bc0f75-f2ca-417d-9a07-a21f9a40a9fd	11.1837229437229446	0.931989338335738493
eda4fa3c-0a10-4584-a2a9-7e9e1d39a9ea	0	0
ff565a33-f729-41e1-8b13-576b5cfd29de	0	0
23ad630d-5153-4090-bb01-ff54e8ec4955	17.1436818181818182	1.42865920005050517
9c80002d-a4fc-411e-a379-b458de3caba6	0	0
0d69c7db-08b2-4d4a-9fa2-9336d39ff778	16	1.33335111111111115
f1ff8a03-9631-4860-aafd-c94a97659dbf	0	0
0fe183ce-bbf9-4c0b-9a9c-17848d0405e1	0	0
00af3980-79bf-4289-8b87-566c88341334	0	0
4feda402-8e5f-45a4-b12c-6b3202928ee2	0	0
537fc9aa-b549-496d-862a-3e66c527c6bd	0	0
0fcfd4cd-8967-4af4-8ac0-93e1f8295292	0	0
eae14855-0124-40f5-8abd-d41108776919	0	0
7767894f-8333-4c92-a7c8-1d1d0663a7c0	0	0
554ec870-aacb-4a06-ad0a-71ccd790af04	0	0
155aa5d0-c860-4e99-a06a-fa94f7a19937	0	0
a4127b1a-fe83-490c-9fd8-996427e10c2e	0	0
78dc229d-7d79-4805-bb2d-ee835b694157	70	5.83341111111111132
f812538f-53a5-4510-82e3-85f7db4ebdb1	0.594125249072381956	0.0495158835708149961
358a02ce-d555-4b6a-9926-c45004d68f8f	0	0
45338da8-e8f0-409c-a925-1c5a50940ee6	0	0
403ab71a-6854-4a1b-9135-075763a9aefa	11.1837229437229446	0.932079429437229545
0d04e92d-9aa7-45a6-a8fd-e1332974eb14	0	0
beea468c-6bc9-477f-9394-8381cd2c4069	0	0
29bac706-233f-4c17-8460-218fc9f84b30	17.1436818181818182	1.42879730193181809
173eb23c-57ed-4f5e-bda6-c05d61c19925	0	0
f18ae3f2-24ec-4c17-bbb6-0ce61bedb8e1	16	1.33348
62ecc560-2640-4f29-89ed-9fffd0577707	0	0
c3dd0aca-3f56-43c9-bc69-0a7697b89091	0	0
bcd9f601-c465-4010-b2e5-db3355cd1547	0	0
1135ba56-98df-4a17-a18e-0af05f1dbfbc	0	0
a3ea8a8b-12c2-492a-8931-db194a85c4e7	0	0
df20fd4e-03e7-41e6-854f-f43d0a569590	0	0
5ce3c630-a3f3-49ea-a762-94b8a841cc57	0	0
793b9e7c-7bf8-43f8-b36a-abaa9cfcf345	0	0
ca691d71-3b36-4d01-af00-fe12577c9581	0	0
d6017ca5-0515-44e4-9d94-91284c773e13	0	0
14cfdb84-73e3-40f8-99d6-93b9cfbcc1ef	0	0
2d677924-4eef-4e17-bda9-b43170e0068a	70	5.83397499999999969
f9a6616b-e5a4-43c1-86b9-6836118335db	0.594125249072381956	0.0495134080489438577
f429b67e-9b49-472a-8ca2-60f4474a2a91	0	0
eaaeccc1-8b40-4331-8ab0-49ad51c98125	0	0
f360501e-250d-499c-bf8c-09dc69d05aae	11.1837229437229446	0.932032830591630668
174b9355-2768-4890-84ec-9524b76474ee	0	0
d4ac2f56-f20d-4c9b-886b-8675402eacb2	0	0
d9c8a9de-4e7e-49ff-b012-64dcda5b29ec	17.1436818181818182	1.42872586992424244
7932e174-be58-4c5e-a770-8fec35a26824	0	0
a08b87f0-1e1d-49b7-a3d5-ee597c5aed3b	16	1.33341333333333334
6478275c-bb88-4715-94ab-58afaa90fc51	0	0
a6b5d9d1-540c-4642-a805-cdb92fde2b69	0	0
b98f36b1-ea46-4834-8a15-d290b9b29e7d	0	0
2dcd45aa-b236-45c3-a4a7-870d6432d6d2	0	0
b5f0a39d-1e1c-44a9-9cf0-de5c545f0b16	0	0
47082f45-84d9-4638-a3b0-efe80bc3b807	0	0
12ca6388-87f9-4b42-8122-4d8689e8bad9	0	0
f407b637-689f-40a1-92bc-a38e58feb5ae	0	0
92e264ab-a4e0-40d6-8ab7-7648231adfd9	0	0
5a037a36-5e93-4ca9-8d7b-ccc860291b04	0	0
79b4aa47-e807-4bf8-8c7c-9880293bf82d	0	0
025e8ea7-81e7-4240-8720-f71cb84ebcf7	70	5.83368333333333311
5b1bb469-ef75-413e-bd70-f553d74ae6fd	0.594125249072381956	0.0495152234316493592
7155efcc-846d-40d2-b2b9-9343b492a045	0	0
0305e577-2390-4237-a598-8c6f43b545dd	0	0
ee798cd4-1f68-4025-9c68-5a9f50e31a2f	11.1837229437229446	0.932067003078403178
9f2f4d76-3670-481f-8e77-0ac41723e619	0	0
4f921e1a-8b94-422c-ac9d-ba4da980a61f	0	0
0904652b-365f-485e-a57a-9e7900a7d9ab	17.1436818181818182	1.4287782533964648
535eaced-ec8b-4a41-b28c-6d65e8e79c3f	0	0
1917944b-b757-4ae4-95bc-1a26eff0f60c	16	1.33346222222222233
ff90f453-2d4f-44e4-ad32-4e75ae999ac2	0	0
8d2b1bcc-be3a-490a-9450-a04697e009c4	0	0
96b0c94c-fc8c-4403-aaa4-e406dbb6275f	0	0
cd7d0891-f2f3-40a1-8e6a-5fd45b86a495	0	0
9ea3f49e-bdf9-4aa3-aee5-fbcc33f289c9	0	0
f6471439-4167-4f9e-9099-2aa014235949	0	0
e05fe378-6542-44a5-b309-3908060e928f	0	0
fa532514-1be4-4d03-88a8-b771848d3e5a	0	0
bc28b44c-7feb-4c79-a436-d26ad5e73863	0	0
272ec152-9394-43b4-9568-a92995e13e1e	0	0
8ab6fabf-f4f2-4eae-b8e9-f9a42b89eb58	0	0
7c7d2dbb-18c4-4585-94bc-f8e0f75c882a	70	5.83389722222222229
6fab96ee-dd7c-49b5-936b-e205c88a8e05	0.594125249072381956	0.0495143982576923131
c83dbfd4-6b89-4851-bdcd-7ea1b483d590	0	0
1ba2ed32-c5a0-44e9-b8b1-ba2a0a1f94d3	0	0
7ab975fe-912f-4d3e-8d2c-5547e71a428b	11.1837229437229446	0.932051470129870219
8574c9b4-c6ba-446c-80a2-37c3a2bcaab5	0	0
92f0317e-cc0d-4948-9d95-2a364922adf7	0	0
f821e248-b730-484c-a899-12a1a56ba071	17.1436818181818182	1.4287544427272727
cb62a955-57a6-402e-b402-b4b905c93272	0	0
72205475-6491-42e5-a983-38b87315ca05	16	1.33343999999999996
92dfd8ef-b79a-420f-a4c0-d1a4a1da612f	0	0
0fee3e60-c812-4ecc-88bd-c81815648e73	0	0
32755a61-b392-4a57-b497-d4953a1773b8	0	0
b8095a3d-7097-4baf-934f-2b5c80cd8fc4	0	0
1afa6c5a-0940-4399-a919-369ac96bc2be	0	0
a7eeeeae-5951-4059-a1de-dd24b586d26a	0	0
4d119b12-1c04-47d6-907d-9d27d676a2f2	0	0
a7128d07-886f-41ee-a40d-9122606ed483	0	0
fcb69d53-da2f-4fc2-8ead-d89f58e5a68f	0	0
40ea636b-9c4c-4209-b2e6-c14d751e152b	0	0
15700bce-9399-4543-a683-0725a2324a49	0	0
c80d23b1-d873-4647-867e-c92424f899a8	70	5.8338000000000001
19ea571c-410c-432e-b487-9f6638263df1	0.594125249072381956	0.0495054863789562219
6823abb1-7d77-4e72-af34-d909793f7495	0	0
42f8fbd6-0c10-4760-b2ce-875fd3c96d5d	0	0
43a97714-0b3b-4f7d-841e-11b22f3d8021	11.1837229437229446	0.931883714285714371
444df8a1-7f83-4a81-8f3f-cf1d87f994da	0	0
6aee79cc-e908-442a-a8ed-1d2256dbc40a	0	0
6954060f-98ba-41a8-860a-52fe6bbcaf22	17.1436818181818182	1.42849728749999993
2a4d484c-67cb-4ef2-ace8-276ab25d36b8	0	0
e6d30033-e56c-434f-b94e-85273cfd4406	16	1.33319999999999994
0f88d8a4-ab07-4a74-a5ed-518925352f54	0	0
2f5fa755-e37b-48f8-aab0-2fdd6bc7eee9	0	0
d024a878-d8fa-4977-9fad-0875893f2779	0	0
caa32719-aa1e-4241-a7c4-9bc0bf776ac2	0	0
b31698e0-1fe0-41aa-9bb0-1df7e1742107	0	0
1745b4fc-1a98-4a5f-8012-670c2eb71f32	0	0
cc16bf15-1494-4431-8c02-9644ddd83b98	0	0
a4900ae5-6623-49fa-8f9c-1530ccea411d	0	0
8d89aea7-a6fc-4c31-9a31-ec2cb3c6a29e	0	0
69bbf7cf-63a6-461b-99df-a8db303c114d	0	0
94a6c3f8-f9bb-4cf1-a835-e908dbdb586e	0	0
ad63abae-fbf9-42b1-869c-9f3abd0e21a8	70	5.83274999999999988
995a5836-c400-4c93-8b5e-0f73e179e749	0.594125249072381956	0.0495181940578947183
d3176ba9-71d2-42cf-a61b-51595900a006	0	0
43b72419-38dd-4d68-9b18-01da1aece521	0	0
11a5fb61-2115-4f33-b19e-4096d1dc1977	11.1837229437229446	0.93212292169312172
e8540bb1-10a9-4aee-bfb2-7a4967ff6a22	0	0
7e259d46-d738-40ba-87ea-14910e57acb3	0	0
eb4d210c-9e20-450d-8e24-d2887fecabaf	17.1436818181818182	1.42886397180555558
80447711-2503-4eee-b19c-ecd95b08a0c9	0	0
719512c2-7ad7-4709-be36-c25524b3deaf	16	1.33354222222222218
613dffab-490e-4821-8764-56368b1af185	0	0
a2749a45-9c76-4306-93c1-7bca2791d59e	0	0
c68fc321-67da-419a-93d6-f7c9a1db04f0	0	0
850553e4-082f-4d52-80cf-d46909a96739	0	0
7c6aff66-413e-47ae-9a13-4a92bfd0c77e	0	0
a3e91415-5a81-4662-a9ba-a3b8bf8ddb5a	0	0
ab8a560b-a28b-4276-95d6-4032bfb26475	0	0
aa652b3b-59de-4522-9e36-8f923df7a062	0	0
d17008c5-1b72-4e97-b12d-3d7123d873d7	0	0
d79b90be-99ef-4d25-a84e-b8074dab681d	0	0
4ff2735b-cd67-4b10-8193-a1fbff10eb69	0	0
97923796-d778-4a62-9cf3-5d60d1648547	70	5.83424722222222236
063c0bde-409c-4cac-8b22-a5757421a896	0.594125249072381956	0.0495135730837352669
460e25bf-5560-486c-8d0d-8031091c53e3	0	0
529401d7-b383-44fc-9837-d01cc8328186	0	0
d2654532-6721-443d-9f0c-e8f81f67261f	11.1837229437229446	0.93203593718133726
88af655b-ab7a-4e78-8888-87a09c455a46	0	0
58e9cdb9-a1d2-483e-beeb-0e8b8895d715	0	0
d51ca3e2-8203-45da-b99f-08af0904ef37	17.1436818181818182	1.42873063205808082
99c09fba-01f7-4b5f-b403-1074ce1f8b41	0	0
6a919810-6c20-4322-b4c6-ed31a95d5304	16	1.33341777777777781
6658273b-fc8f-43a2-9dea-b6a4906a5c83	0	0
07d404af-0938-4c47-b5f8-8f7eef2dd91b	0	0
ee4ee0c3-1c08-41c2-85cd-4455d5f54fd2	0	0
6949c6d5-6f94-48e3-aa5e-09164039d170	0	0
e9c6397f-0224-41ae-a41f-99e613a8d0a9	0	0
71b3ed14-bc78-4f61-bc03-6dea7cfd9bd2	0	0
0df6f23a-65de-47a3-9be3-d3269bc3abed	0	0
5473df0b-821a-44dd-9b5b-e21f70328a8a	0	0
3da49402-c2f2-4df4-a201-48c752e4139c	0	0
0203cca8-87c2-44c5-b8cb-c55492309d2d	0	0
c69ef8a9-eca0-443f-b492-0d9e332d5f4d	0	0
9a7275e9-f9f5-4bed-be19-882a17cac38e	70	5.8337027777777779
ccabec18-ac90-4e4e-9b38-7805ade6d40a	0.594125249072381956	0.049518689162268946
90bebee9-d2b0-4690-b04d-e34c862b9435	0	0
96134245-c5f4-41c5-9ad2-534d6d11b0f5	0	0
30cdcfa2-c3e5-4768-8474-12f462c85d1f	11.1837229437229446	0.932132241462241606
12e8a02e-b72d-4b6a-bccd-10f064cf18c2	0	0
daa58ac9-5575-41d8-a046-d303db3e35b5	0	0
626d8d6f-1bc0-4253-a58b-5a1deec815ff	17.1436818181818182	1.42887825820707071
aee1fc1d-33be-4f2c-9bd5-9cd0d8a76719	0	0
b544d810-a0ec-4eb4-ab93-c694446dc1c3	16	1.33355555555555561
cfd96712-29b2-4494-b183-e3126b275c48	0	0
fcaf8712-a9cb-44e6-b0f5-883d8df48cb8	0	0
f467399a-c3a4-4c3a-beb6-85bdc67d470b	0	0
bed68d1a-55b9-46d6-bb61-afcc374d6ce4	0	0
250608d0-d093-453e-814e-ac144f5f38c2	0	0
1479fac6-11ba-401e-82b1-e9e7e038ba69	0	0
fa840c1f-3225-4ea9-aea5-ce85b05436dc	0	0
a16e4ec2-f562-4748-8023-e6dceb8686f2	0	0
b966d1f8-df54-4eab-bc45-8fdfb8aa7c50	0	0
589ddcbc-92f8-4ff2-9378-b254898a2de4	0	0
54ee94a7-d313-411c-b492-8febc20f7d2b	0	0
1ec1cb44-985d-46b0-8476-3974b9ff7f6f	70	5.83430555555555586
252a7980-3767-49a0-808a-fde5ece4a4e5	0.594125249072381956	0.0495112625966555447
f47a5636-2be3-4328-bd6e-32e6e9e59403	0	0
622f3dd2-d7fd-443b-aa39-5a3b771cd96a	0	0
b829b9d2-c8e7-4b34-a978-8b784b31b13d	11.1837229437229446	0.931992444925445085
00879759-c206-4fcd-84ba-02532659c22a	0	0
3bf771f7-d7a2-4925-854b-a4821edc60a3	0	0
549a6379-29b1-416a-aa71-1a5799790153	17.1436818181818182	1.42866396218434355
403f95e2-f214-4d0d-8cee-6a7c4ae2cb96	0	0
61915bdb-d5ad-4209-9096-61e7a0731955	16	1.33335555555555563
4bdae184-eda0-4e94-8326-5d8dd897fb8f	0	0
89c33bf0-731b-44cf-b6db-894472ab3e51	0	0
cd3c4968-6b95-4bb3-90cd-3e6cfafdacca	0	0
3de05775-dc67-4e17-89a3-765ee58aac08	0	0
a56b178d-faa7-4bb8-917b-7e193e7ff0ea	0	0
4e62b71d-107a-44ed-8a81-bd1321cd162b	0	0
3f90732b-86fa-408d-83ae-0fd57b26067d	0	0
723fba59-ee4b-4633-9ede-7a8d15e00798	0	0
52e3e57d-f770-4f4b-9255-cc2cce422fbc	0	0
4a8c7b17-cbbd-4d90-b991-928909f1916b	0	0
c7822ffa-aff7-4d4f-af3a-9b6a0e8c9e7b	0	0
73371fcb-849b-44d5-9b37-6e5ced0baac1	70	5.83343055555555612
82f0aec9-2afd-4c3c-a45e-d56c2f6b8e88	0.594125249072381956	0.0495120877706125839
19e6a971-cbe5-4250-ba61-e63b5d6f43ad	0	0
c2b46d68-369d-419a-ae51-21a5733d8d54	0	0
a9a7a473-6ab1-4608-843b-a319454b3815	11.1837229437229446	0.932007977873977933
363c3041-7cbc-4803-9ae4-d31aac222c5f	0	0
b2fc2a2c-0b0f-4219-968a-0623af736159	0	0
9e8e5e88-8cad-4265-8f55-16e75aae16b5	17.1436818181818182	1.42868777285353543
ca4bfed7-a6cf-4f9b-a54b-c44c7acc012c	0	0
f34f0a16-92f8-403a-9b41-547063eb1db4	16	1.33337777777777777
76498b17-fb7f-4d9a-973e-1f7582a2b892	0	0
5368a964-e7d0-4177-8309-e87aba8f6a82	0	0
c685865d-e5bd-42ba-97de-3db91ff8a27e	0	0
ae04b9a7-b43b-4ab7-a9b6-dafc164ac5ba	0	0
1d45d86f-656f-4299-b142-c83b1820521e	0	0
53ac8536-4d24-471e-86c5-818a2a2378c7	0	0
cc8b6d4e-543f-4e13-85a6-aa09467b484a	0	0
68a27ae2-e670-4552-999f-ba2a957f8005	0	0
006b93ad-a778-44a8-a907-d8ad606d31c1	0	0
780bf636-392d-472b-be3b-7c1f873298f0	0	0
ccd1e5dd-7955-4548-8bfa-d9a7377a4a4d	0	0
71a1454d-d5d5-4916-997f-feedcb8ed05a	70	5.83352777777777742
ac92cfcd-6e09-4713-a6da-67a3dd6c3dd4	0.594125249072381956	0.0495130779793610393
5ac730f8-41de-4c39-8d22-65d7c23f5a22	0	0
c6d2f034-9b88-4a65-9e3d-f26ece005b1c	0	0
f2baaf4c-042d-4c7a-9ad4-426ee16ccf5a	11.1837229437229446	0.932026617412217484
5fc3d986-89ac-4ebb-8a9f-d78db03225b3	0	0
be6a2379-448b-4f96-978f-a3b2bf92955d	0	0
19cfe927-2393-4a2f-ba05-13538555174c	17.1436818181818182	1.42871634565656569
124e5ac2-dab1-4a94-ba23-121bceb79c54	0	0
79b04028-8b3e-4557-a898-049e63aeede8	16	1.33340444444444439
36e8a9b0-372a-4dde-82b7-7514e479462c	0	0
d181b195-a7f5-4bcb-a416-a55148337bba	0	0
738e2c5d-c58c-4ee9-a821-5c0207d6062a	0	0
3f94ff1e-aea3-461e-90db-6d7a9636fa16	0	0
bcf39239-a444-4c83-bde1-ca880bdf7ed6	0	0
71ef5428-490a-434f-aa91-7d5f508b444e	0	0
92112d60-8fff-4356-b143-566bbe712b29	0	0
9047dd86-d70e-4d47-bda9-0396e1196d1f	0	0
8074c7f7-d110-496a-827c-8454285a6a7f	0	0
bf321955-bf53-4486-8375-6bcf8e03457a	0	0
f0b06b28-187a-48d3-93d6-9ae23212dcc7	0	0
f98d4a22-a022-49a9-a5ab-edc7cf3c76d3	70	5.83364444444444441
9b5958c8-2d89-4bc0-8f91-7fe8eb294ed9	0.594125249072381956	0.0495152234316493592
d2570ecf-a508-4d2c-b18b-da65bf7a657d	0	0
4582cfa3-2136-4f11-b25e-8e80f6d5673d	0	0
1710b286-6f19-49c8-82fb-e34778676c0a	11.1837229437229446	0.932067003078403178
1831ca4e-630b-4173-90a6-84161661f2f5	0	0
57af3c5a-9108-4e5f-89d0-ffa1e0f52aaf	0	0
c89855be-2c3f-43b8-b73d-9ba71372906f	17.1436818181818182	1.4287782533964648
fdb7c914-f4cd-42c0-bc6b-328ebde236b6	0	0
0e1c8d0d-dae8-418a-80e9-c711a2087da3	16	1.33346222222222233
af2089c2-eb0e-4325-b0d3-2774b783aee5	0	0
846fea14-f343-4f5d-9146-4f44b81d9a9b	0	0
834a9c60-f47e-4a5a-8851-6adb126670b1	0	0
69e2ee05-3173-409a-8f86-0767ada7280f	0	0
7bb33377-e294-4350-b74d-e7b0d13ecf46	0	0
72283b92-5659-46b4-957e-aea3d183c430	0	0
9d90fee2-1fd0-456f-b961-43de72324e9c	0	0
8de265f6-c32a-45be-b45a-9b243655e702	0	0
0be1765a-6338-4c89-be2a-819f69386785	0	0
d8b0f98e-9579-4c5f-aed1-8f6012b10359	0	0
e2599fa6-1671-4a2b-974a-85e8c9e7d7d8	0	0
a095078d-d9cc-4636-8b19-64e2815f407e	70	5.83389722222222229
c8071c15-b942-4e0e-91ac-685407f5e9db	0.594125249072381956	0.049511427631446954
3e98f134-fabc-40eb-b562-61a158387ab5	0	0
0c8c871b-8283-41c8-84f6-887f4282431c	0	0
143dc979-f7a3-47e7-a676-75543810990e	11.1837229437229446	0.931995551515151677
2d040078-47c6-40a9-a5b1-258c98bceb90	0	0
0ff8dbee-f4af-452a-898c-9526d51cbb3c	0	0
c7edfe56-965f-48d3-8f0c-3902fdab8751	17.1436818181818182	1.42866872431818193
5b88f06a-a865-4e1e-ba7a-2266ce9584e7	0	0
db448ca6-6bc6-422a-aedb-8356bbebe7ad	16	1.3333600000000001
3269f9d0-2a73-4703-9c87-cc9be354de0e	0	0
fa7dd79c-39f3-425a-b1c8-1082892e47f8	0	0
5987ae43-dec9-4e4d-9391-145f6a7864e4	0	0
a3c961b2-9cd5-4fed-ab73-c86ff26b361e	0	0
c5431e27-9caf-4b5a-be58-af97e156cce1	0	0
773a2b17-d222-4951-acdd-88d3050bc7dd	0	0
a687d5a7-d673-4db2-ad1c-cc6697226d66	0	0
bc90678f-ae1c-4b2b-8bb9-7cb9f615fb87	0	0
2fb15b81-7b72-4d8d-929b-a340c5243dbe	0	0
eff2ff67-81e5-408a-8232-fdd7b093e346	0	0
86c6e57f-0a47-4100-baf3-896d2ce08db1	0	0
f67522da-e22c-4893-8ac1-7673bfd82022	70	5.83345000000000002
76feb563-b33a-41ed-826f-4cc2b8319367	0.594125249072381956	0.04951505839685795
5eed9263-b4d7-414d-ad8c-5aed072bbcf0	0	0
c296dd46-092e-444d-9d92-10a359fe8944	0	0
732dc6c0-a015-436d-aaad-8271579d6227	11.1837229437229446	0.932063896488696586
e8febfde-1743-4c3e-a47a-b5d1576d8f97	0	0
a80b25ac-7ae3-4921-8f78-675842341be7	0	0
b33c2ad4-e343-4798-9901-0431c7bafef6	17.1436818181818182	1.42877349126262643
a1af6122-5500-4609-a3b7-7fc3de44c84e	0	0
c7db9ec3-4313-4456-b12c-74e99d1adcc4	16	1.33345777777777785
ea9e7cec-fdd8-446c-9c8f-6f3c4474ca9a	0	0
f522f7f3-2bdd-45b9-9548-466b21fe71be	0	0
024e2fb5-2a6a-4a30-beb6-94acb2019597	0	0
2edf3c8f-3371-478e-9fb4-9f1bafa5c217	0	0
0200fcec-5ae2-4bf0-bb6a-91472529c1a4	0	0
0000d5d9-4b71-43d6-86cb-0388562799a1	0	0
44620c64-53ac-4739-a07c-bf5a976974f6	0	0
a64359e4-d2f1-4036-bc95-2801f217c173	0	0
e6b8905d-bc65-459e-86e8-def3f647d956	0	0
db77ac8d-2a9f-49a4-9508-5fb1cb2f70da	0	0
15346168-2789-425a-b0a1-da2cea6be267	0	0
942e8ae4-e78e-4eff-820b-e9b2cdc744dc	70	5.83387777777777838
45298abf-9fed-455f-a16e-bbec8670c227	0.594125249072381956	0.04951505839685795
1f917729-4ed5-43c9-9b0b-ddaf6cb25608	0	0
3e01f394-49d9-44de-a3b5-78909f6d6a71	0	0
62bde3fb-d290-41fe-8be3-5794d0e449a2	11.1837229437229446	0.932063896488696586
a65fc4d2-0452-4e69-a47d-c8a6411c94c4	0	0
30918b92-2e39-4b51-894e-01d4a6c31b31	0	0
3173df80-92b5-459b-b7f7-94ff6baa9ce8	17.1436818181818182	1.42877349126262643
0056c2b9-b2b2-4f62-935f-3d42c0886aee	0	0
626669eb-dfd8-43ea-9b60-bcabee20506c	16	1.33345777777777785
f437c451-8df4-4298-ac04-31521a019315	0	0
23f9b215-746b-4c64-9c0e-a6d8944a7bf5	0	0
bd0037bd-a14a-4fda-b341-ec51dbccebf3	0	0
3b46ff54-0ada-4ca3-ab2a-39ebbdda111d	0	0
cf1a9510-dd06-4484-b437-0795fe0bccd2	0	0
e32fea73-6e83-41a9-8453-8a8f7cf13aa2	0	0
ffe9d653-d301-4219-9245-892c6591cabd	0	0
c74fcb32-7113-4727-896e-b856d602b9a3	0	0
ca33cee4-6f15-4752-b7ca-da24f1b292c1	0	0
726c7f55-8f26-42cc-b81a-2c3b45dc489b	0	0
15ba93df-b0cd-43a5-8196-c401c617609e	0	0
e716d7a9-f822-44f2-973e-c8ddfd896ac2	70	5.83387777777777838
7734e2bd-3766-4ead-9f6b-c3d3d4f2b187	0.594125249072381956	0.0495152234316493592
001fcd36-e159-4eb1-ad69-fd278a037186	0	0
6549f1bb-28a1-472d-bd48-4ccee93b00db	0	0
75ae0232-7efb-4296-9f7d-05e6cf3fefd5	11.1837229437229446	0.932067003078403178
7eaf5613-01f0-4f4e-9103-e4a5336bf808	0	0
c4dc3c07-189d-4ca5-a2bb-b9c79553c835	0	0
ac6d7673-45ca-4291-9b4e-057d54b57e67	17.1436818181818182	1.4287782533964648
20f44e36-eedf-46d0-8073-ad439acf894c	0	0
854377c5-64a5-43dc-b39b-351513d7a5d8	16	1.33346222222222233
5f4cdef2-db32-41a2-900e-c86a4ad1c394	0	0
8ade946b-b3dc-4ce8-8cd7-ba291bdbc3c1	0	0
40ff0267-f3eb-4c01-b9ae-ef4783b09ce8	0	0
b3050812-6eb0-4adb-80f4-058a5ab74387	0	0
19db6485-1f9f-41f5-b066-21eb16978ce8	0	0
6789165d-99da-4d85-a43d-aa63d5bcfb99	0	0
fc9eea39-acd6-4e13-8c8f-9194ace49659	0	0
548b5de7-d103-40d4-b2ab-261465695cb4	0	0
8609227d-fc0f-48be-acb1-96bd5261651b	0	0
34c12d34-5827-437d-be0a-bbb2bb0f8ad6	0	0
7f5d7470-91de-4b23-bf64-4e83ecce7108	0	0
4bcbacfa-796f-4c61-883b-882adae16b62	70	5.83389722222222229
1f69e7fd-0220-41d3-96cf-376b61a603be	0.594125249072381956	0.0495162136403978145
1271e7a3-8eaf-4973-a424-01afda89ca1a	0	0
03920586-b2e2-4daa-bbb6-044c189f4e1e	0	0
cf7a9e3f-4f1a-4275-b8a1-b8e73d789408	11.1837229437229446	0.932085642616642729
5767bc19-3e9f-4ee9-9f27-be81915d18a6	0	0
004beab9-4be0-443c-8ee3-c4ea41f75d2b	0	0
57a9532b-c3a9-401a-a08c-ccb439339a91	17.1436818181818182	1.42880682619949506
2eda36d6-18ab-400a-88e7-c74b453734f5	0	0
0986b9d4-0392-4264-aa52-e56b30e6dd2c	16	1.33348888888888895
89a013d7-2c30-4d03-bdda-4f439aedbd7e	0	0
df7d1d22-22f6-481d-a1ed-61d7d7bdde1b	0	0
85605bc3-515b-4082-8c1b-77ff26611723	0	0
d6e7be9f-ab9b-4021-ad63-f501c1e732ae	0	0
3adebd96-fba4-4db4-81d0-133fc10ae580	0	0
189294a6-2663-472d-a170-82954d392f12	0	0
204011ae-32ef-4b3f-afa2-2462658e49e8	0	0
294039ab-fc68-4490-b32e-7cc3ca74c482	0	0
923016f9-a3d7-401e-a5b8-6c61985b9957	0	0
d5c3fdac-86ff-4ab2-a2fa-f87846ad3881	0	0
e1e199b7-2da5-473b-b8b5-50ed2b47883c	0	0
cb22d6a1-e6fb-4916-8eb0-a5cd00401fd4	70	5.83401388888888928
e4743a56-9be3-4276-a18e-e6bda011c805	0.594125249072381956	0.0495106024574899009
5adaf3ae-a4cc-4fd9-8d5b-84667f071454	0	0
b72157a7-b0d2-4264-bbf3-3c9c4760dbeb	0	0
bf4a5f7c-c833-4445-99d9-566bf58065c6	11.1837229437229446	0.931980018566618607
a14553df-1cff-41de-954b-722b8ec0398b	0	0
39d48d3e-e354-4060-b8ba-1471255c61af	0	0
2c6f2670-7760-4b2a-a03e-0aa49a5fbfc7	17.1436818181818182	1.42864491364898982
3997f7a4-eb20-4662-acf5-23962a0cc44f	0	0
4e6235f1-d355-463d-9947-9bb168a7fd25	16	1.33333777777777773
e308aa24-5d1f-46ba-910d-baccfb713892	0	0
745e8602-72cf-47fd-ac3c-134731f02272	0	0
5c0d8ce1-7e58-4bb6-b39f-7442322c88e4	0	0
3095bf00-8507-4500-a5d8-048dd2dd7f5c	0	0
f5185949-1566-4ba9-936b-5293494f1fc8	0	0
3fb1c130-7cac-43d1-85d5-c8a85bd09ee5	0	0
f29013ac-a735-49e0-ba21-956eec5e3c27	0	0
438899fc-c725-48e7-a92c-6b61df148760	0	0
434c710c-33de-40dc-90c9-b7141aa6133d	0	0
4836d499-6af4-426f-80d3-39c89e661dc3	0	0
e530775b-068f-4a29-a6d1-6505abf3f69c	0	0
151607b0-53ad-433e-b711-20f616c9e03c	70	5.83335277777777783
7f88aea3-dcdc-4d26-be18-f0a88bc1bed5	0.594125249072381956	0.0495163786751892238
58990c2d-9298-450b-955c-eeabf81b2d23	0	0
e3a5e22d-5b9d-431d-ac94-5aa6fc55070c	0	0
a8fa7c60-984b-46bd-8b35-a927cab83260	11.1837229437229446	0.932088749206349321
c91f76d6-3937-44ef-8af5-c274883af338	0	0
9b294554-7fd2-4225-9e6b-99194a1ef2de	0	0
2f327e44-fe63-4b0e-a7fb-5f6293c7403c	17.1436818181818182	1.42881158833333344
7df8e1a0-7ca3-49a1-a4e5-a8666522d55e	0	0
76fc4e5a-05fe-408f-812c-01d613234442	16	1.33349333333333342
ba509b0f-3248-404e-9e49-f10d3b7e3d27	0	0
dfd9f1f9-05a1-4ea6-8f31-394e11373a8d	0	0
fe086286-f75e-4225-8812-e5141fa5d3c6	0	0
16bb7e10-f088-4a1c-93dd-a60ec60e8423	0	0
836a54b9-3f1a-43e2-9289-1fc5e5a62326	0	0
906aff2a-9f33-499c-9e81-db947d191163	0	0
188c9489-d6ab-4be4-936a-5ede39967ae7	0	0
2d6c3c3c-0789-464b-809b-9fdef0cadcf8	0	0
7bd02393-228d-4707-ac50-06db8a1b8200	0	0
aa246c81-c409-4ef1-a349-d490ce1d072e	0	0
bd41c434-93c1-47b6-8740-23bee75873a8	0	0
719213e7-0a5c-4d9d-a22f-dca4195f8f58	70	5.83403333333333407
13052e54-c26f-44e7-9604-0e89a3f02425	0.594125249072381956	0.0495074667964531395
0479a8e0-6da4-432b-966e-81e5424c69ba	0	0
33cd8a14-6aef-426b-8e48-43623693771a	0	0
1a7aba72-f2a9-4ad7-891e-9fa62aa2926f	11.1837229437229446	0.931920993362193473
cbe43f24-643b-4d72-baf5-85796a392b84	0	0
0757fb6d-bdfd-4501-b50c-d07cafe9c323	0	0
d8a4ec88-0312-4c86-a57c-e797d84ef255	17.1436818181818182	1.42855443310606067
738aa42c-8458-407d-bae7-5b48f87938af	0	0
94b8ab40-4bb6-4a48-a285-91aa7603010c	16	1.3332533333333334
16e94c9f-5b44-4d51-8f15-e6fcadfa8b9c	0	0
80311876-4c45-4185-bd83-25f079f9a5db	0	0
fd65016d-671a-4a2d-9dc3-eff126f21d82	0	0
0c3c7ec5-93e7-4439-9bb0-0736be9a436e	0	0
ba017059-dec3-4b1f-8af3-3f24b5450f64	0	0
69024f29-5570-4b1e-b295-aa397ad9e506	0	0
119ece34-a3e2-49f8-abbf-b0a38c5ad812	0	0
d3c79798-9d92-488c-8e18-46dfe48ec0ff	0	0
7fb272fd-4c41-4887-b437-e5c0ec7801e6	0	0
0c15844a-26d0-4239-a5fa-fdcd40bddfa7	0	0
bed3b2f0-45e2-49e1-baf7-1773dfeca669	0	0
9e5264e4-9a92-47c2-9d37-cebf64d26c7a	70	5.83298333333333385
361edfd9-e3bb-422e-ace2-c4bb8b2d4b2e	0.594125249072381956	0.0495181940578947183
67a07ce0-a579-4551-830f-d1d4e5e21f75	0	0
8f8f4ee8-1f37-4255-9021-ff581e7bb620	0	0
8b6052a6-9d30-4494-b57c-47676118c586	11.1837229437229446	0.93212292169312172
dcf87021-4370-45da-ba04-facfe1b22eaf	0	0
71c734a9-4d7b-4bec-add2-87450656c7e5	0	0
20011ab1-3a45-4c44-8b75-f23d050b98f4	17.1436818181818182	1.42886397180555558
7d6de488-02c7-4915-a27e-d2b57a3d5e61	0	0
2ce5a38c-97aa-42e7-beb0-501b28953608	16	1.33354222222222218
1803b8d6-d6ac-4b64-a125-ebeb3e82aa1f	0	0
3cd6e904-1e31-4def-aa3f-078022dda595	0	0
76a20496-3bc5-4597-9723-3c7469e93ea8	0	0
ae7cd50a-1716-46e5-8c17-187e58a13a77	0	0
83030241-18c6-497f-97fd-a9ea49c082ba	0	0
f884e1e5-a504-441b-b9d0-a7728ba50a30	0	0
4d09d4a5-110f-4ed3-bd93-1b27c335d33d	0	0
74454acc-cfea-431d-b121-f6e3f5b4b76b	0	0
a47e2b33-a91f-4252-a3d7-384b7ea52472	0	0
1517fc65-3468-40e3-a921-9368d7fbf3d9	0	0
f9e8031d-2d9c-4b79-855c-cf016f90c258	0	0
480d6269-73f7-4e72-93ed-a4b3390e4e7f	70	5.83424722222222236
22e83203-3276-4080-b2c6-26d8b2538952	0.594125249072381956	0.0495139031533180854
4466e4f6-a8a4-4dea-ba2d-1d5e0e119e93	0	0
032e7799-164e-4278-8fe3-ce475c161e1b	0	0
e2a78f5b-18da-463f-ad95-29fefd37499a	11.1837229437229446	0.932042150360750554
e9845da8-6868-45d0-98a8-ee5ab446533e	0	0
b61eab94-fae1-4d3e-b986-c69dd0a61ea7	0	0
4565b785-ce3b-4807-aff7-cbc73490292e	17.1436818181818182	1.42874015632575757
4794718a-e4fe-4b8c-b893-6e1d5e23f99e	0	0
0ba48672-5bdb-4d85-bdf9-fe56298c2fd1	16	1.33342666666666676
4741d632-c29f-47be-afef-34f26372c95e	0	0
05c7f160-e08f-4ca5-b498-90464364152a	0	0
7a050d24-384f-415a-8183-de2bdbcecb05	0	0
1b87ebfc-3e54-4fad-8497-6f5c6ce9eba6	0	0
43e6fb9c-27fa-4835-9dc4-11b0a7f654cb	0	0
d64b6904-8f38-4f67-960f-f3b770fa1f59	0	0
538e2897-d826-4673-b3e1-01612e827dc5	0	0
3e79c849-8da0-4ecc-b421-e6609d7f1824	0	0
e469ac00-5c48-4cbe-b104-71ccf0a1eb1b	0	0
b71e0ff9-176d-4890-8c40-d2b8757b6b2c	0	0
c91f89fa-ec29-4f19-9ed6-3ed81f48dc5c	0	0
3b0c321f-33a2-480c-818b-2c4d491b43d7	70	5.83374166666666749
79da7f42-cc68-4471-8f4c-abec3ff87684	0.594125249072381956	0.049516543709980626
01a72f4d-588a-40c5-9c68-3e95f7ee4ef9	0	0
48fcbf58-a72e-42d1-b955-64a926224434	0	0
50f6bcb6-833a-47f9-a97b-469988e2388f	11.1837229437229446	0.932091855796055802
c7f95886-48c6-438b-93e2-dcb88328fb85	0	0
09afc2ad-5829-4239-8786-879c43841a1f	0	0
a94d866e-2d70-4466-8ee9-f89ae284155b	17.1436818181818182	1.42881635046717159
90df90c2-9c2c-470f-a285-1e5d8bfb808a	0	0
b8f76955-32d3-4849-ad7f-f8a02faa8f38	16	1.33349777777777767
b8515579-7506-4584-ae56-8da5f0748154	0	0
6403ef4e-f5a5-4f6c-be82-ea6cbde3da4c	0	0
a812dd2e-5424-43af-822d-264295a0974a	0	0
d66fe6f8-3efc-420d-90d9-dbd71f97208e	0	0
1951a22a-7d1c-468a-9d1c-62dfe3bf91d3	0	0
a901bc52-cfcb-4385-b37f-1a835a5d4eb9	0	0
22706ec4-342d-440a-adfd-087d7ab2cad5	0	0
9c3192e4-b698-497b-b30f-2ddda8f137d0	0	0
ca799588-11bb-4dae-b7a7-a08d176fdc2d	0	0
0e8ba9a0-835c-428e-952b-cc2e59fccfe9	0	0
8eba92dd-609a-4fc8-aa79-1abb3d92156a	0	0
7856b40e-b8ac-4467-bcb6-397c87e71222	70	5.83405277777777709
d5604943-f6f0-43a7-ad46-8ff67a026f75	0.594125249072381956	0.0495135730837352669
fb251ae3-b00e-439b-b436-691db4227a8f	0	0
43479b98-ed96-4890-9564-3d75d0acfacf	0	0
0e4eb874-c0ab-48bc-ac03-13c13c788c8f	11.1837229437229446	0.93203593718133726
7a72ea2a-3311-4c47-a398-f638f096883d	0	0
7c88e23d-7a0f-4408-8b70-8238b93f09bf	0	0
ae712536-a1c7-41a0-971d-f8117415b99c	17.1436818181818182	1.42873063205808082
52aac4f8-3eca-4857-8e2b-0379793f0214	0	0
4a64a304-414f-4202-816a-b367a46bb177	16	1.33341777777777781
cde2ee37-810f-44b1-b6a8-1c177bf924de	0	0
5a673a04-7afa-4646-9242-ff020ce4e61b	0	0
96a2d58d-8ec5-424e-b10f-d0f0877085da	0	0
cce2b957-7ad5-47ea-a684-11643e47da0f	0	0
f74cd091-5852-4be3-9c0f-41d9d018c676	0	0
fe267181-9bcf-4a84-ae98-a4fc1dc31675	0	0
4c1190c2-c98f-4ee4-b0fe-0907ba9d4667	0	0
4ca82135-c043-4335-ba32-2fab894aa1b0	0	0
e7130612-1ea6-452c-a726-f82150bf6955	0	0
bdbb34ea-89f6-4bed-b88e-91e3b32a10aa	0	0
32e1d931-e397-4d5f-ac8a-8517b5268222	0	0
d5eed4ed-a8f9-4c66-a5c7-f23678c7420b	70	5.8337027777777779
32f4ef9a-4d2c-465c-ac2d-3e079a4a8b1f	0.594125249072381956	0.0495125828749868185
32083945-248d-4587-a1a5-06e6d4782ddb	0	0
951c59d1-1b17-4d98-9749-03ffddb4e330	0	0
fb07dd22-83af-454f-a348-d9da54f8f6f7	11.1837229437229446	0.93201729764309782
21893dbc-de28-4bfc-b843-589307440731	0	0
0b02986b-bbdb-4e69-b873-a50d692e669e	0	0
51a9cc31-a982-46cc-8c5a-e318c579a323	17.1436818181818182	1.42870205925505056
b7067458-28b6-431f-9f81-84d41c50c4bb	0	0
fd4d3925-99c8-455b-899c-4711eecaa89e	16	1.33339111111111119
3a7186d2-c0cd-436e-b621-9a6e2312d37c	0	0
50d4134b-942d-4d73-a66c-5a767007b21a	0	0
2c45bddf-77d7-4d57-a5d7-7417db05973e	0	0
30aa8fc3-c682-45d4-b54b-5544a7037585	0	0
0e95d960-11bf-461c-91f1-655f4885600b	0	0
4ee9b7f4-6370-490f-9a64-99e82b0c728e	0	0
618bbba2-8686-4a61-b5ae-771a31d6c1e1	0	0
6854aad2-94e1-42fe-ab32-07c5651e25ba	0	0
ef1c8a30-d5c2-4185-a23f-4c3fd8cac0ff	0	0
99d39674-fa37-443a-a282-22e41d3c45b5	0	0
8831074e-d5dd-4127-981e-37f71242e974	0	0
eda8e8af-f9eb-40a1-a78e-3e55505a8760	70	5.8335861111111118
8b812159-6cc8-4b1d-b4e3-bdf4d50d47ca	0.594125249072381956	0.0495139031533180854
41ccbad4-eea1-485e-bf83-dfcdc2112793	0	0
fdba87c7-2548-43d1-8d94-b200c1b8825e	0	0
b9a689b5-7d9e-4af3-955c-c6e46faef581	11.1837229437229446	0.932042150360750554
b6bbc5e4-04e6-4947-b74f-ca6ac982b264	0	0
cf0b3b9a-d8b6-41e7-9370-b53a5a0c5f23	0	0
fbb87ea0-ea65-42ed-9579-ed0e0867f63d	17.1436818181818182	1.42874015632575757
7eb1baaa-dc12-483c-b08b-5af19f44efcb	0	0
9917c905-6b6d-42dc-a788-4d0892a072e4	16	1.33342666666666676
8013277b-0566-49e7-8dbb-47cb266bf323	0	0
5e29eea4-5992-49a9-8516-7eecaebd0099	0	0
db1a5dc9-61e7-466a-8233-27d6138f1d69	0	0
e3279db7-264f-4f45-b5cc-f58dd46b3a24	0	0
121ddfb5-a723-4833-a401-d85c344057b5	0	0
83511f02-6880-4066-8e73-3c417f5ce227	0	0
c44bdf4b-088c-46a6-afd8-d9814e1831ef	0	0
82bba9f9-0c88-4f88-b0a4-b976c507d503	0	0
80dae220-b53c-465c-9897-192ff4275169	0	0
25d72048-27dd-4e21-9ecf-a6cc1a4e4b2a	0	0
fd890ff5-2081-44ac-8c5e-d2dc0f44c8be	0	0
0f27fa0e-d14c-429d-a2ea-d79506e5d6ca	70	5.83374166666666749
672458fb-a970-45c7-a7c8-af6cb3f1330c	0.594125249072381956	0.0495054863789562219
f18cd98b-60c0-4779-9546-a7999dcafea9	0	0
fbd2ad37-5d1c-48ab-a250-7efce0c55550	0	0
edd3b701-b36a-4e35-a01f-8bfc3b3563df	11.1837229437229446	0.931883714285714371
9a926e77-6582-4954-ac37-35226f6e67b6	0	0
08f27583-7f34-432c-ad3d-6f7b7fd85359	0	0
9a1154af-b83a-417a-8822-0b6f899cb337	17.1436818181818182	1.42849728749999993
cd556fd8-7110-4cc2-9f61-4323e8f862f1	0	0
faddb932-c4dd-4ac6-8367-54b4a058db80	16	1.33319999999999994
a52af93e-d79f-4fd3-b875-f1f1295c7001	0	0
1a0abfb4-bd12-4d73-8b87-6694ebb183ab	0	0
500cd672-c651-4053-b125-d5caed57f72a	0	0
5c27d008-bfbb-4969-86ab-08e184c5519a	0	0
8d68f8a7-d845-41e0-b93e-1e1f7928b538	0	0
fa4f143b-824c-4e3e-9cae-fff0f9841ef0	0	0
1ff90d44-3c9d-4bec-8994-5722612fdeb3	0	0
0a802b90-08bc-4a73-8583-fc67342d5bd8	0	0
8ca4e225-dc5b-45cd-bd3c-9f2c19db6d53	0	0
c975016d-2ee3-4e36-b91e-0ced617fdff9	0	0
a7132706-862d-42d6-9ff7-5707f9418e9b	0	0
80392c7c-f68f-48aa-9499-12dc001d3577	70	5.83274999999999988
f1394bc8-e0c5-445d-adf6-6d34799a2a54	0.594125249072381956	0.0495236402060112157
696e7ecc-f710-4b5f-9b35-c6a2d4961ec9	0	0
54e05d35-c135-402e-b179-b06d5603be37	0	0
bc19d7ae-97a5-46f7-ae06-25f722c85a98	11.1837229437229446	0.93222543915343925
20576298-27c7-4062-a0cf-37514f3802c0	0	0
e9b15493-02ff-4a09-8587-ae424afd8038	0	0
ad2d80aa-53df-40fe-af1c-75567cac462f	17.1436818181818182	1.42902112222222222
aeceb1d5-67e8-41d7-82ea-a73cc848946e	0	0
2262f771-fe5e-4d83-aaba-c554de3a3e75	16	1.33368888888888892
03b0a8c0-ce0c-4e39-85a2-10e047ef40a5	0	0
1f6fbf17-6ad0-482e-90dc-68a89f30c19a	0	0
7ecdfa25-9219-4b84-895e-9b7c5f9e93df	0	0
f25fa23c-38fc-4095-be19-0c6f62ff6f4f	0	0
414aa25a-9ecf-4998-b693-04a32532afdf	0	0
b80c4e5c-0dd7-4706-95d4-16120fd4f986	0	0
8bc39d9d-725d-4f56-b83b-0290545c86fa	0	0
6f1eb5b0-332f-49d5-b129-1e2da851bc99	0	0
546afc0e-ffc3-41be-9c59-e01b0b2bcaae	0	0
3be99261-aaba-4558-9e3a-ccd955b552f0	0	0
75a2de45-625f-44ba-9f05-20ae76eda002	0	0
beaa9799-e0af-4c53-a12c-59ce62d931e5	70	5.83488888888888901
8f9e6e27-3eca-4138-b1d6-b0909bb3e42c	0.594125249072381956	0.0495163786751892238
bc7c776a-6d8d-45f1-a88c-ccd49ddda3d6	0	0
2b79363b-738a-49d7-b366-c0aad4dbe5a7	0	0
74ea34d3-ebed-48ae-bc2d-c8d44dbafbd6	11.1837229437229446	0.932088749206349321
e360ca16-0187-4496-b8b9-3012c9f4a6c8	0	0
ebdf8e3b-1965-4651-86e9-fcc9c00d1600	0	0
8b3df968-1e4e-4ff5-a50c-2597b30ccc92	17.1436818181818182	1.42881158833333344
afe6ffa4-af52-40fa-babd-3d2077cb9f16	0	0
022a25f0-4dbf-422a-b4fb-cd39e1182ec8	16	1.33349333333333342
ccb11c90-abfa-4681-89f6-85c4a826227e	0	0
f1820d1a-9677-4ddd-a731-992518ef94ea	0	0
5a18e062-02a2-426f-a9bd-ad3ca230f590	0	0
dce07ecd-f041-4a39-9819-7808e28c7904	0	0
8f507cfb-6089-4cff-83d5-97c51ed1c1eb	0	0
e20c436c-722d-4b48-80b1-6870c4632c8a	0	0
a4467e94-da92-4f47-b879-83df5dbb89ba	0	0
2a4117cb-3096-42e1-9502-3df7488f2157	0	0
0bb58a7c-350f-42e9-b1fb-9191e5c36e8d	0	0
7a5cab1d-6e14-4a33-8751-ecdbb7065031	0	0
b759d47d-cccf-4c01-bc0e-d3961b2920f4	0	0
d0d28c24-290b-49a8-92bf-1b52e0017b20	70	5.83403333333333407
58078ef6-409f-468b-bd36-3f30a84d92a4	0.594125249072381956	0.0495097772835328617
4ac56f5a-14ae-4a1a-b762-c93013ef5ac2	0	0
9c2627a6-51fb-41a2-9c9f-d9959c8d0aea	0	0
d2902665-fc3f-42af-8d06-e8df8e3a013c	11.1837229437229446	0.931964485618085758
ac04833d-40e5-4e6a-a75e-de28018200ac	0	0
820dcec3-ffbb-46e5-ac8e-f3ac98f4a7dd	0	0
4e2540f4-60b2-4796-900f-b525c19e1ad5	17.1436818181818182	1.42862110297979794
d5436337-cd51-43ba-bf49-abacbb9bbbb5	0	0
81671597-3982-4161-b8b9-4f54f9f29dda	16	1.33331555555555559
73043159-02e5-44d3-8ab7-df4be85344d9	0	0
c0288d47-6909-44d6-b7c0-b7bbdfcaa7f5	0	0
446cc131-200a-4d2c-82f2-d6add0407735	0	0
84c0ae6e-6df4-4168-83f5-fe239b2428d6	0	0
243497a7-0fb3-4c65-9cdd-43e7bb8515b4	0	0
5d02f559-fbca-4463-b75a-b069858d667d	0	0
47b118de-fe24-4250-a404-23a7702d8ff4	0	0
dfea160f-7f73-4295-b208-3496dc8d792b	0	0
5d0de139-06dd-428a-8db3-ca755892913d	0	0
530b3dbc-47ec-40b7-97f0-e4c9389d921b	0	0
b5874f98-dad8-4ecb-99b4-caeb61162fce	0	0
1ae13a84-a009-47d9-af34-0e3e544a07a4	70	5.83325555555555564
05fd1f14-05a2-47fe-8900-e0604880b089	0.594125249072381956	0.0495115926662383563
efb92509-5258-4c42-a0da-3a5cc91e5c75	0	0
de12d46e-1080-4751-954f-6ceeaa365666	0	0
fcc062f5-4bcc-4035-ac37-a6ac8effa974	11.1837229437229446	0.931998658104858158
cead5900-3056-45ab-86e5-bfde6ee809c6	0	0
a16b2c34-ba4e-4e57-a0e8-4d6b1031c652	0	0
0829d4fd-9ee3-441c-b18e-2e68e3fc1545	17.1436818181818182	1.42867348645202008
71a01ad2-7641-4b34-974a-586737ec120d	0	0
22f7a613-d892-4910-b83f-b0bba91e7046	16	1.33336444444444435
212b48aa-0ade-40fb-bed9-0e94ece91d6e	0	0
601a3cb8-6a5c-4791-9ef4-ae9e3943d635	0	0
cb9a5f4d-b932-4a37-9170-96b0bf69e978	0	0
0b6d97fc-71df-4c24-8963-532b7c6b6444	0	0
9dc4403d-30ac-48f7-8173-e2dff77ff215	0	0
99cba8ec-52d6-4ca7-93ce-fa8a023b66a0	0	0
a04c630e-02d1-47de-9ad2-12b1f40ddcae	0	0
29320ac7-a3ad-497a-be07-c06a3c2d6a0c	0	0
48014293-f4f7-4256-90f4-484214168fb7	0	0
36312008-4203-4ed9-a9e9-5a56ba8792d6	0	0
63386ee3-0d42-4d12-a94d-727fd052f67a	0	0
e62c2a6e-2b8f-423b-b38b-f6c9504a45ab	70	5.83346944444444393
487cbddb-d276-41aa-983c-ecab961737b0	0.594125249072381956	0.04951291294456963
b00ae5f6-e9e8-4018-88ed-e9d50b9b59b2	0	0
922adf0e-32f1-4a16-addd-2d2a943aaa65	0	0
ef082740-e8f9-4322-89f5-4374327fedf5	11.1837229437229446	0.932023510822510892
555529aa-be83-465c-b969-c46c388b8cd3	0	0
23dc6784-cb9f-4d0d-b458-7b2427b08aec	0	0
54f83e09-eef3-40af-ae4b-19effb1940e7	17.1436818181818182	1.42871158352272709
c2ef5327-dcda-4419-b82e-b5a90aec0f42	0	0
cc75e7a2-20c5-4033-8577-97710fd7fec3	16	1.33339999999999992
6c872276-ad64-46da-a97e-d6ea28d4fa93	0	0
19fdd53b-4ed5-4767-9968-54b56a5383d6	0	0
122f7204-daa1-4b52-9e81-7b7464666b76	0	0
d32d14af-dca1-417b-ac0f-cb782bcf1396	0	0
59d23135-21f9-42a4-9f08-6f62694f8e96	0	0
bac3715c-e8a8-4d28-8b02-92809a0650c0	0	0
c1cb3b74-f19b-44eb-be64-390429eff9a8	0	0
595ce4bd-1b0c-4a46-baae-8efe61b42e88	0	0
406a686a-b954-4847-994b-76c57a58b270	0	0
c6a9f8d1-e17f-4226-8486-0997478ae1f2	0	0
ef854813-5136-478e-a43b-4cf2cdd50459	0	0
9fd22d98-3133-4e74-8fde-f4b842429a71	70	5.83362499999999962
ebf40430-7a1f-4697-a041-b3c553c45618	0.594125249072381956	0.0495143982576923131
aa8f725b-1609-4f2e-abd4-d46f49571993	0	0
d06c419a-a7a4-4943-a4d6-76eef71ca6fb	0	0
13ab14bc-33c2-4362-bf21-cd94e9fc93dc	11.1837229437229446	0.932051470129870219
b75fbdf4-e12c-4679-9e4f-8b5d84101fc3	0	0
f22f634c-e2c0-4fa8-b781-1045bc949679	0	0
ded8ee5a-5119-4699-a3bb-f3d07667a736	17.1436818181818182	1.4287544427272727
c41ac3a8-70d2-456e-a275-ffad350d58d5	0	0
6499ab15-cc7d-42bd-80e9-9746a632f1d3	16	1.33343999999999996
60258db8-25b6-402d-8c9d-2f2a9162d6b3	0	0
0d06b979-bf26-4d7f-bb50-f3232ff258e6	0	0
1024dd4c-a105-49b8-bd8d-7e780b050a44	0	0
72487982-b277-4282-ab53-0579f0d75513	0	0
16c250bb-c695-4773-a810-9e9ebc63f668	0	0
f729fb93-fce9-4ae6-9cda-4d662c10d3bb	0	0
3f82b8fd-539e-4471-a1cb-d4b5ff426945	0	0
e9fc7039-32cb-4117-80ee-a2a3e888a15a	0	0
a13aa302-3438-4a13-a878-b3aa6f60b28c	0	0
ec8e745a-822b-4ca3-9dfd-53f17b53f696	0	0
0e973906-8fb8-4d2a-ba8b-4f3967042cc8	0	0
5e3287aa-6643-48b5-a194-559024a7696b	70	5.8338000000000001
36e69e35-5a52-4c00-99ce-3605c98684c2	0.594125249072381956	0.0495142332229009038
1a82feca-5653-4a53-8b2e-5f18a9d6912d	0	0
0038583a-cbee-4180-8a17-c6f9841d6cff	0	0
7d440b36-70f3-457a-9719-b94afd96f542	11.1837229437229446	0.932048363540163516
1a92de7a-dd3c-4e80-954c-08b69e80502d	0	0
e86e28c9-7305-4ad0-a8bc-1b28ba290492	0	0
89d23e5c-6f35-4c2c-ba95-18d98cefe84c	17.1436818181818182	1.42874968059343432
998139da-63e2-43e1-877c-0ec943d93635	0	0
0b537f71-147a-4bae-b13d-55450976c359	16	1.33343555555555549
3fa15e21-06d0-43c8-a8ee-07948436dfc2	0	0
590a5f1f-ec82-4f83-b7cc-9386da0ec3cd	0	0
a597b9e4-84e9-49a6-b61d-b032f810b418	0	0
9bb22f36-fe34-41ef-8df3-665e1782315a	0	0
5eb74a1e-6ed7-4e4d-9a49-48211a68f86a	0	0
d700fcdc-67ea-4863-b9b3-72ca9d7fcc58	0	0
cdc791da-ea20-4e91-aa54-bbe94ab7dd08	0	0
8cd58066-e465-4afd-8e65-1e6792c74d19	0	0
eabc965c-533b-4adb-bd91-c5e57a12f9e9	0	0
8a3f6ac0-ef48-4a23-851f-708800d06949	0	0
362e2347-4efb-4d29-81c6-d2c2b079ec69	0	0
26fc6306-5233-473a-b2c2-e47441cdbd89	70	5.8337805555555553
251fa2a5-fba5-4c25-a826-b657f83a1e04	0.594125249072381956	0.0495142332229009038
83ec3282-9b24-4b7b-a89d-f9a2da49942a	0	0
0c7ca341-5288-4be8-b775-848d2a045e4c	0	0
c518a1ab-f31d-4251-85a2-34c55552b17e	11.1837229437229446	0.932048363540163516
e0b82dfb-8fe8-4e66-b04d-dcfe154439a9	0	0
93de30e4-74db-498a-8929-b57ec87f6545	0	0
43f079a3-c80a-4be2-8277-3f978ee3fcee	17.1436818181818182	1.42874968059343432
aeedfac4-c393-4ed7-9fc6-88657dce6b7a	0	0
b1738928-d758-47ea-a356-da1805b98470	16	1.33343555555555549
37f7ac37-920f-4d3f-9484-b383486b4e87	0	0
4a4561a1-ce2f-4119-a886-f275fc3402ef	0	0
09f1da8b-db59-4958-950f-8431a849ed92	0	0
6d60d588-3f04-472e-a4e7-d29a2ada7661	0	0
7df17af8-79a6-4c47-a0e7-1342c9861694	0	0
d0ab46fb-2597-467d-a986-b881daf337c0	0	0
ce068856-9807-4bf2-b002-e9101a7009c8	0	0
50667404-e72e-4a2d-9061-2d828db04a11	0	0
35277cc3-7928-4592-94d3-1f4e7f7d7cb0	0	0
25d07f9a-9a09-4329-8644-0b8e899d1f56	0	0
5a0a3def-ddec-478e-82f3-6f2a716f761a	0	0
9371e4cd-ca1e-4408-b5e5-673a3e709388	70	5.8337805555555553
68fcc862-908c-4d0a-89b2-a845be9a39fe	0.594125249072381956	0.0495135730837352669
03b15b32-2481-4cbe-a2c0-e6ff516b0aba	0	0
c32b66a7-0c9a-4168-844d-d73344e34cc9	0	0
e94041e6-faa2-42af-a631-28582f4b7cb2	11.1837229437229446	0.93203593718133726
e3a3c58f-14db-4a78-8369-c851fc98240b	0	0
5ef4e839-3373-45b4-be56-0170c55f3fb9	0	0
685e3a11-c451-455a-a993-e3362534100c	17.1436818181818182	1.42873063205808082
eaa3bb6a-582e-4a7a-b66f-9244d2debe81	0	0
e52d3647-3d02-434b-915a-4108e1c43849	16	1.33341777777777781
f6d54dd4-04e0-43c1-8cf2-f30c90f28680	0	0
546f6558-0630-4120-a12e-d3b1868d20a9	0	0
2846241d-beef-47ce-a812-5f170869f0f1	0	0
e3f548f4-43e4-4e6b-9350-d3886dc15760	0	0
1a62d443-8d61-4757-ab6a-06fab4daf97b	0	0
b29493fe-4844-42ad-90f0-ebc0594b4a4f	0	0
af44748a-1429-46b3-854c-970f1427b44e	0	0
5ee75239-d0ba-4064-a969-f3f4aa6bd089	0	0
cdb444f0-c44b-4c1a-af8f-610b7d560f6b	0	0
4775b365-7968-4fc5-8a9f-9173861b0782	0	0
1a6c8b0f-5ef4-4ff1-a335-3a35af2ab063	0	0
9dd4b4ad-baed-4995-8d51-23ea621502a7	70	5.8337027777777779
803be699-9ca7-484d-b7e1-2f47aa2f647d	0.594125249072381956	0.0495140681881094877
7eb3778f-bc3e-4993-8dd4-5d98c66dc79e	0	0
64ab61d2-7081-46fd-a5b8-0f61f10e8581	0	0
a2725cf2-e8ad-4bf9-82fc-7881a84daf93	11.1837229437229446	0.932045256950456924
1350fe8c-6673-4ece-b3ab-d8202acf429e	0	0
75a1bef1-8f88-4c12-a4d2-031ce825086a	0	0
a9299326-e2ef-4c6c-842c-c8ad38e0be37	17.1436818181818182	1.42874491845959595
fd57fa59-8eec-4357-9e17-079c798843b2	0	0
3010fbf7-9b89-453d-8ab5-808702380aeb	16	1.33343111111111101
5e62f7e5-eb26-4700-a50a-34a79ca00071	0	0
5e09a033-9c5c-4dba-bf85-e55a51b2c898	0	0
ac2fabb7-b5e1-4e7a-bb51-e0ca056de3b0	0	0
8b2ec097-569e-4385-b5f5-ce53f94e1784	0	0
d501a7a5-0a12-4aa2-bc09-bac4c2d9ae70	0	0
d0b33b32-1f8d-44fe-89fb-9fd29f5ef4a5	0	0
064f791e-0967-4a07-b363-6e59545d64b3	0	0
2050f5c3-49b9-4a30-9e77-8670342faa65	0	0
8f91f833-c3f6-46c8-a869-06ae4115c58e	0	0
b4a337fe-72c4-4b12-bf9d-e9f66864e5b2	0	0
5fd984b4-1d92-48dc-8d0e-8d555274abca	0	0
b65dc3e4-a162-4b79-9118-0b232b352d21	70	5.83376111111111051
f75267b4-2c36-4657-85b6-3720bf81ae55	0.594125249072381956	0.0495115926662383563
404d59d9-8b97-4451-b672-a4d77155038f	0	0
9c9cf2a8-c681-4cb1-b295-7bef53a84c5a	0	0
cf310541-655e-44ec-a852-4960fa559df4	11.1837229437229446	0.931998658104858158
021fa9c5-75bd-4abf-9274-bc0195e4c655	0	0
995027bc-860d-4465-a5f2-11757b77570e	0	0
f7f941cd-c5da-42df-8a0d-84c9d65f5db3	17.1436818181818182	1.42867348645202008
b6b77a2e-1173-46f7-bea7-0a9971938270	0	0
2af6572d-71b7-44ea-9b51-e2c77747946c	16	1.33336444444444435
8eb7e795-a609-47cf-946e-ef72ce5e248f	0	0
afac2e21-1352-4d61-9e72-26bc072aac3c	0	0
17e57c26-0898-43ed-a3e8-f82052aba5c9	0	0
dd2e08c7-04e1-4250-b486-b23198a72d0a	0	0
3c95781a-a892-439e-b2a2-bd06f0459c63	0	0
07096dfa-359e-4ffe-8c35-64fa5e277376	0	0
11ac2ea5-01b2-40a1-b445-3b80414cdd71	0	0
72041b53-39ae-42f6-b6c8-6a5a9ecea06f	0	0
e6968bf3-817e-4d1a-92b9-391e44a4750d	0	0
fb049b3c-9c0d-4058-9ceb-45eba9c51b4f	0	0
7d764aa0-e995-4b82-ae55-d21aed68e636	0	0
1422d276-b3a3-4a34-8d1d-dd03da8fa78b	70	5.83346944444444393
e5e6c629-72c6-4f9d-aade-38f4b2bcb9b8	0.594125249072381956	0.0495153884664407615
c2c019a2-6a30-4858-9f8e-e6e7476cecf3	0	0
c17bef90-02f8-4167-be21-52b0e5e309e5	0	0
9ccafb17-c57b-49a1-aab7-416a58679cca	11.1837229437229446	0.932070109668109659
6799f63d-5c70-424f-9369-aca1748394e9	0	0
3bfc854c-8f96-4990-98e0-c83bb70bc7d6	0	0
67f15a71-0f67-41ea-ada4-c28959d147a4	17.1436818181818182	1.42878301553030296
8268cab9-6b9b-4950-a6c9-f7a66ca7d723	0	0
bd2a4bf1-ac1e-4373-825b-07caa5293080	16	1.33346666666666658
be217a19-badd-4249-abeb-d0efbede1c6a	0	0
3a462b2b-a76b-403d-a771-6c234331b6e5	0	0
a4a7edda-f1fd-43e1-b4e7-b60ad676ee50	0	0
d58733ea-10d9-4bd9-a5aa-671395d3cd7f	0	0
3956d59c-2640-4a86-9f88-1cd8993e7763	0	0
928e06eb-9c38-4066-8795-c57816a5c328	0	0
1c33b6cd-5b9d-4c5d-95cb-71fc802886e9	0	0
0db4e1a4-f481-44e3-aad0-04cbd708c41c	0	0
59a51441-39fa-4e6b-bca3-e9736b48edd0	0	0
a6bce749-35cc-4fc0-b294-de465c5dff22	0	0
2896f4bc-fc9c-4fca-a709-e92a4d7dc13d	0	0
572b244c-080e-4534-8d45-58b83505e5fc	70	5.8339166666666662
fc0b90f9-758d-4a29-a3ab-a0c86bfaecb8	0.594125249072381956	0.0495061465181218657
eec083c1-33f4-4a86-8cee-bdf5a8acdbc8	0	0
c00365e4-c985-4de5-9f47-e0b7e0f68657	0	0
ffcbb64d-5b69-4d1f-8036-81b982505184	11.1837229437229446	0.931896140644540738
d18158e1-2e34-4362-b952-8a5706f172e7	0	0
d41d3934-75ab-459a-84a8-b9d118bdc9f8	0	0
95b4765f-5000-48bf-8c7c-4c2fac637623	17.1436818181818182	1.42851633603535366
71409266-27c3-4fc6-9ef9-0a527dd6bc6a	0	0
beec8efd-cc65-4a4e-9baf-8eeacc03eae4	16	1.33321777777777783
84bf66de-9adf-4356-a6c4-d876e67aa635	0	0
3b7e9ad5-b53f-48ba-b3f1-ae912a2cafc2	0	0
776e73f7-782b-4430-b5aa-a8a57f3c26ec	0	0
535ffb76-828a-4618-b738-27ef9df7756c	0	0
227d1e74-77f7-4002-9709-a4ce7a56ee72	0	0
156cfb43-6f93-4ed5-85d1-4411bbbafaec	0	0
8186ef4d-f17b-4345-a605-eb45fde3d059	0	0
9a1412e6-936a-44f9-accb-abb051740054	0	0
42081ead-7d48-4be2-a08e-0fc01b86f885	0	0
b95d4556-376b-40a5-ac5d-d615e1e51258	0	0
e42f8574-f307-463d-8ac8-99565d6a21e6	0	0
fcb88697-8cf6-4e0e-8912-27cbbc7a268a	70	5.83282777777777817
361aab51-7619-4032-b260-7ad50ced5fe7	0.594125249072381956	0.0495193493014345829
2b516eb2-3e9d-489d-8133-c8076142f579	0	0
9af7fd9f-68e7-47d5-853a-d12b64ded24a	0	0
9f880e51-fad4-462d-a0cc-a8aedc573e58	11.1837229437229446	0.932144667821067863
324f8620-1f5b-479c-88a0-b37e5f315ddd	0	0
1fabb52b-91f2-4abb-9016-8e0732db347a	0	0
c7169aef-e080-4ef0-9d60-ad9198ad5f4f	17.1436818181818182	1.42889730674242421
aad692f3-5666-4a26-8c39-8fbfbacc935a	0	0
d0f77085-dfea-476c-96ef-3ddab32a4f1f	16	1.33357333333333328
b11cafec-135d-42f3-b72a-f373f6e262b5	0	0
8ef4b977-455e-4d07-9650-b4f0fb186bfd	0	0
03956289-808e-4220-bdcb-d4b804c1afe5	0	0
c712e374-4861-470f-9d80-06626a1dc1e9	0	0
7ccb7018-28ea-432c-9edd-b09e443d9be8	0	0
b3871eb7-b07c-498e-859b-4bb440cf5ae0	0	0
eaacdd9b-1d0a-46df-bd8b-b8f83cdae73b	0	0
73b435ac-c5ec-48a1-902f-5de2fed8a645	0	0
f191a7b1-8dbe-43a6-abf9-1b3e47eebbe8	0	0
22137903-fa44-4e69-9f5f-6aa5100d0218	0	0
4aca4dfd-b349-49da-bf5c-01ada2d6b284	0	0
8a41ce73-183e-40f0-9b92-2ce934c1f886	70	5.83438333333333325
dc6ad25a-543a-447a-8f8c-175dd5393351	0.594125249072381956	0.04951505839685795
81fea9bb-6173-4347-87d4-2652ec0855bf	0	0
3ae04e9b-1ec0-4c0a-98ed-0def827e39a6	0	0
7031eed4-aabc-420e-aec2-365813f49017	11.1837229437229446	0.932063896488696586
6332cb94-a4ca-4dd6-8533-128780fc84c2	0	0
3b1332c8-9158-4edb-b101-1d82a0816118	0	0
0b640fc2-6b6d-41a0-8f1e-e44d7b76771e	17.1436818181818182	1.42877349126262643
daf4d319-8430-4179-8178-d486422bb40c	0	0
47b94a97-b3ee-4521-9afe-489377c7fc23	16	1.33345777777777785
412235b4-1b20-4b35-8572-ad25e1563f84	0	0
989e818b-f705-466c-b3f8-ef081a070497	0	0
e86f0fe3-9c15-4066-95b3-604f05e6784f	0	0
2b6e17c4-e509-4347-8a73-dfe1425a06c0	0	0
0c942e77-0d93-425a-9bc2-40fbe930ca61	0	0
26ec6bee-60cd-4d05-a6f7-2e1ddc0aaaf6	0	0
5ef16375-96aa-4f82-82ca-a0afda9cda31	0	0
47afac50-ebef-4559-af67-7a880c931f4f	0	0
dac45129-0af2-49f3-9f8a-9f752ab421ff	0	0
af8c23c6-39a7-48d2-a936-94edd001064e	0	0
891ea5c6-b46a-4a64-bd26-6319cf4978f8	0	0
38271647-1036-43a2-971f-d66006de08c1	70	5.83387777777777838
5f619521-23b9-40f5-b986-5a5150fce58e	0.594125249072381956	0.0495143982576923131
9dc532b5-b7c5-4a88-9275-c2637a788b65	0	0
416e3801-6a5e-4e2e-8e03-d47c13b9c287	0	0
6683ce1c-2a17-4c21-b180-8066f25c504f	11.1837229437229446	0.932051470129870219
b0f4eec5-6d7a-43dc-ae9f-cf3eaa69772a	0	0
f94a1157-32a8-4100-9cb5-baaaa60490fe	0	0
9044a3a0-1359-4c9a-98a5-ce077d61a258	17.1436818181818182	1.4287544427272727
fd8faac6-533a-4129-91ac-26e7e81368a4	0	0
1480d676-59d6-490c-8520-e74bdd50b11d	16	1.33343999999999996
94bdd5d5-95d4-4e35-a3d5-f9ec47d6a666	0	0
2e65a085-2cbd-4ff8-92e0-1646e4bd1de1	0	0
14f259f2-d833-45c4-ba30-24add7ea967d	0	0
10685dd1-4e4c-4cd4-a129-4ab1ff512e80	0	0
e65807c0-e4ed-4ebd-a5aa-c5dfa184e1ff	0	0
de85a308-5f0f-4bf5-bd33-60123454d220	0	0
9bf83fdd-f0c3-4278-992a-bc9a87a9ace8	0	0
27d3f723-01a1-4640-b70d-7823f575c29b	0	0
47657d93-f7fc-4bc4-985a-3728938b9b8d	0	0
68c81b70-9f81-494e-9cad-0a0f03507929	0	0
2a4f0ce3-c9a9-4671-9704-77f3a726fb7f	0	0
ab399172-1ce3-465d-8b91-3bfe72b045db	70	5.8338000000000001
b7d2d083-9977-4685-abde-4a4078436808	0.594125249072381956	0.0495130779793610393
465f11dd-513a-447e-a39d-2cac34abcf6d	0	0
c5aaa955-4058-4f75-aa6b-5c0e548babb3	0	0
5c051bbe-2f3f-4728-85c4-fb3db4c435c5	11.1837229437229446	0.932026617412217484
d44248cb-4a16-4150-a2e2-55fc0d9ae959	0	0
96204f6a-214a-4e90-a554-d03a41402fce	0	0
21935a38-8841-4228-8c89-ca369f68938d	17.1436818181818182	1.42871634565656569
df33e2f0-1c4d-4d88-83fc-a4f549f33fd4	0	0
b7867d2e-97b6-421a-8569-a56286d2c6a6	16	1.33340444444444439
ed302ca1-1e17-4cce-bd00-14535926faaa	0	0
28495ee8-7dc3-4597-9825-c1f704d98ddc	0	0
7e047a52-5ac3-48d4-8ab1-a10b0c8229d8	0	0
037ba1a5-54e8-4292-8ae5-97ea3e1ce112	0	0
6a5de323-8582-4e30-8b41-7535518dbf37	0	0
984e706a-5f30-4297-816b-65af84f054f2	0	0
cebda1f8-284d-46b7-80d5-31eea82ec74d	0	0
3b0cea53-d88b-4906-9ea4-f8cca0bf8d60	0	0
b4c61fa2-f3ea-44db-b3be-f74266b8ef9e	0	0
ff3957be-3b2c-483c-a50c-95af33c5ffa1	0	0
292a68b7-b8f5-4202-8b6e-f1c19158a8f5	0	0
277ebbd1-3c72-4105-9da3-f4673a36a838	70	5.83364444444444441
22fe7f07-0c33-41e6-9b7c-fb3a2013008e	0.594125249072381956	0.04951505839685795
796a8e36-d98e-4112-b643-9a8b2622f3d4	0	0
7c2778de-8b98-4ead-a972-2a85e4fc4332	0	0
64ef6bba-96d7-43de-bd9b-893b53373880	11.1837229437229446	0.932063896488696586
0e6e9072-21a1-4b1e-8601-ce044ae03b01	0	0
75802cae-a151-4fdf-9674-f864a0945f67	0	0
45ff56ba-bcf7-4bbf-b85a-32a690f97c7e	17.1436818181818182	1.42877349126262643
c591b947-1871-4154-8997-a75b137484df	0	0
218fdfcd-0c90-4a25-aaa9-557d5e2dd59e	16	1.33345777777777785
f706ed32-3bc3-4f1f-b190-10b9882fa2ce	0	0
f9610f80-5a0c-4c9d-b66d-ceb90b879325	0	0
4240052f-cf9e-455d-94e9-91d4c4b718d6	0	0
86a123fe-cdf6-496b-b58b-c2f7bfdc847b	0	0
938f9036-fa81-438b-b4e6-652b8f3d5774	0	0
d655e69f-143a-491b-a577-57d08143bc92	0	0
a1506062-5e12-42f0-9a8e-fb29658cf467	0	0
bc45137f-f82f-46cc-9ff1-534bddf1f83e	0	0
89bbdb06-6d85-45df-a0da-7ac0aefed82b	0	0
2b96423d-2e4d-4450-b3bc-6ff392ae12bd	0	0
c4394759-134a-485a-95b7-53cdae773bff	0	0
0feeed5e-fa28-4080-9f17-aca972c72f2f	70	5.83387777777777838
f9aa4715-dafc-4d5b-9e65-fa7af792249d	0.594125249072381956	0.0495101073531156802
629d1454-4c48-46a5-b134-d51228330806	0	0
6a9ec15f-6781-41c7-95b2-ed62d3039d10	0	0
0d5eddba-1841-45ed-83e9-b17cd4fdd235	11.1837229437229446	0.931970698797498942
839dc8c4-dca3-4e10-9d6a-2f694d2666be	0	0
32e958db-c9ca-4ef5-96bb-770a285fc633	0	0
6e296410-a850-478c-8175-1371c6a38a57	17.1436818181818182	1.42863062724747492
18daa418-f66d-4bcd-9a22-9ad292c91dce	0	0
22a176e6-b132-4a23-b0f8-0dacefee57d7	16	1.33332444444444453
f01bb21e-33df-48bb-abea-abce9278d228	0	0
e323386f-3ecd-43fc-ad2e-b760f64c47f3	0	0
6cb05820-43ad-46e2-9b57-df1e3a645942	0	0
ded3b80d-8d8a-4fa3-91e2-11a1ad256310	0	0
19546123-3398-4591-a8e2-6903fa1a3df5	0	0
5d9f544d-d302-45b5-98b0-db2be4e18125	0	0
03785205-18a0-40da-ad7b-fb84c1efc177	0	0
c5ab0c82-a2e0-45c2-9973-f2cefdce27ef	0	0
d2c87405-6af6-434d-b81c-9ee7fb58eec6	0	0
8231432f-4dbe-41b7-aa99-90f099a47d6c	0	0
a81adfa7-7625-4e6e-8af7-dcbe40f5968d	0	0
5a3c50c9-3396-45d8-bd4b-de4220fd8487	70	5.83329444444444523
ed4eeec9-842a-4fa9-a5fa-df571abb63c7	0.594125249072381956	0.0495135730837352669
bc264ee6-d91b-4849-9d87-c56dce9446f9	0	0
813c018d-b3b6-4162-ab42-9359866d4b10	0	0
08d345db-813b-4bfb-8f91-1960663d1cac	11.1837229437229446	0.93203593718133726
8061df22-9c4b-4a2b-a59d-af5f63fe863f	0	0
2089cc82-7946-41f3-a2c7-f3019d076743	0	0
2a4b8937-2b87-415b-bf36-573099ccfaff	17.1436818181818182	1.42873063205808082
529539f7-24e7-4720-bd9f-d71123618281	0	0
c1c31e54-7bdd-4df6-9da1-d763cc19695a	16	1.33341777777777781
93cd9e99-62a1-4de5-87e4-c41f69a98060	0	0
4c27357d-ed27-4250-b8ab-086981fcd743	0	0
c4483ccc-a198-4982-8d26-6d76016f8a65	0	0
88106e5b-fb5c-46f4-adb6-7410a8235dce	0	0
4e07464f-7c0e-45f2-8bc1-1d8fc309d210	0	0
7eace1ec-4743-4e33-a35a-c5218308583f	0	0
f1a0b2b2-e187-4850-9bbf-1582416ba828	0	0
fda48694-a35a-4320-879a-56176d9acd15	0	0
aa282ddb-03f0-4a58-af60-2a020856f4e3	0	0
8472ab50-097f-479b-8879-6358de95fdfe	0	0
8621d50c-6c26-4cb5-a8ec-2768dc1554ca	0	0
a11eb26d-9149-4a94-8264-e6aa37219f16	70	5.8337027777777779
9b6f988a-d9bc-4c55-add3-fb3b4521a888	0.594125249072381956	0.0495158835708149961
4b9c3260-054a-40cc-8992-9891551bec7a	0	0
0f5cca78-7302-443e-bb2b-c01e3dabd76e	0	0
e06940ef-892b-490e-8e0f-b4ac3c1f5f71	11.1837229437229446	0.932079429437229545
21838b59-0a25-489f-9b9c-9ed936cd031c	0	0
13fd5494-fc54-432e-9a16-e3f93c133a78	0	0
9cba33f4-d649-444d-b77b-bcde199ab3ff	17.1436818181818182	1.42879730193181809
d1ca168a-302e-4ade-a0ef-0fd4b5b0f2af	0	0
e2c1c658-d95a-4c28-84e5-190e0e5f7180	16	1.33348
9624d91a-2287-4965-8c86-7cb8a3347e9c	0	0
602265c2-53ff-4adf-b4dd-6eb8a92bfcba	0	0
635422b6-a2d0-44e1-a3b1-00483bc4c654	0	0
bd417c2a-adea-4590-b97b-1d0a25eb726e	0	0
17fbec48-f8d6-451d-9816-a70888411046	0	0
72175792-ecb4-4190-aa2a-6ee1f3d6e2f7	0	0
31102519-5549-4ca8-a784-7c78aafe1779	0	0
6627051d-0921-4be7-b480-9e0f2dedb6a3	0	0
2aa750c7-f06d-40cd-bb49-15876268276f	0	0
7ce0ce32-9494-47c8-9d31-a82b068aeacb	0	0
cd05c970-1f97-4504-be32-d5f6256c4ede	0	0
f818aece-ead5-44d1-912c-370a5f21c50c	70	5.83397499999999969
28275c3b-bd5a-4c24-9a90-0bd3df33a2e0	0.594125249072381956	0.0495106024574899009
eb5fe4a8-1218-4507-be2c-f309570e9ad0	0	0
eb0b611e-0103-4dd6-be81-66f7967cc5b2	0	0
1670f09b-b7fe-4996-8e03-b80283569e7f	11.1837229437229446	0.931980018566618607
fd88f091-0e70-4fbb-b43a-e86954207fd2	0	0
d080a035-4d14-4626-a730-c39a487088a5	0	0
6965bfb4-092f-4cc4-88f5-17232c5a7562	17.1436818181818182	1.42864491364898982
45887566-7e52-43ff-bc88-12c660da532f	0	0
88c227ff-ecfe-4bf4-83fa-d3207dff103c	16	1.33333777777777773
10c69b64-3456-4313-a393-7fdea94f3be4	0	0
071fece0-740a-4d23-8631-529ffb412394	0	0
1c682e28-303c-4783-a6da-3bdff5a69088	0	0
403c005e-67f5-45d2-b87e-8aed443d9a22	0	0
cd9522f8-dcfc-4619-9c33-965c3079ec22	0	0
bff5c6e6-7deb-47e3-a3cc-f6b56552a6a5	0	0
dafea321-b3fe-4056-aa76-c8e9219c2b95	0	0
a1a56b2c-1f0a-4c30-aaca-e04674b5a6c2	0	0
fa7cbaf8-2774-44ef-a8f7-9e4c3f65dbe3	0	0
d703f933-7607-4ce2-bf06-56815eb833cb	0	0
14b39d98-4ed6-4a2d-8d7d-4a4d75e9321a	0	0
8f0458b8-ec45-4284-8a55-2b7ee0074d05	70	5.83335277777777783
1d6aaabd-2327-4847-967e-a93996147d68	0.594125249072381956	0.0495106024574899009
92d29b01-32b4-4285-8cbf-c4b8c5a052cd	0	0
654570c6-e1af-41a4-96bd-4c00d9f38c3b	0	0
e1edb3db-2616-4a64-b157-dc3404566685	11.1837229437229446	0.931980018566618607
e15935e0-adc0-4abd-9ef3-3b84df38e425	0	0
0d4f760f-4f42-455d-8c38-c5e102412a3d	0	0
20169b6f-f1e7-4167-bd4f-6b0255ebb290	17.1436818181818182	1.42864491364898982
3053b8be-4274-4144-ad1c-9e13126c78ef	0	0
9f3a216c-7279-466e-a6e5-37c3ef80cdf3	16	1.33333777777777773
8b35782e-f822-47c9-82f2-07626477b162	0	0
af72ae9a-5a72-48cf-86c5-e056a79102ce	0	0
ec8c398d-2aaf-44e2-afae-607861ed63d8	0	0
10e21135-8b61-4814-8a2c-3d3202cafe3d	0	0
f73e3a1a-1966-4a6f-bed7-d23ce847734d	0	0
d977c747-f683-45e0-aae3-86d0c5c8b02c	0	0
aa9d055a-8ce0-4234-9aa2-44aa9d872f0e	0	0
7e199863-e07d-4c11-8f17-c2a61ae25b55	0	0
8a134a99-cac3-4958-8343-54770532db94	0	0
751d15ec-95ef-4a70-84da-47d259174907	0	0
bf35dd15-4586-4902-82bd-7307db1bd3c4	0	0
ebd9e2ba-c031-441b-bba8-25ffecfd1c3c	70	5.83335277777777783
81f453d9-df7e-4241-956d-7b501cf24894	0.594125249072381956	0.0495176989535204976
d84fb187-a925-4a9d-b83e-38a5793fcc2d	0	0
c1699c45-5e9c-4287-9b98-dfb7ea5bfce1	0	0
296e23c9-56ff-4561-b906-2717928ea192	11.1837229437229446	0.932113601924002055
4fdbb7b9-e966-49c9-a104-a2cc475d042e	0	0
951a2c7c-ca8c-40c2-89b1-c9eb826294cb	0	0
2dd5da9d-1cc0-43f9-9f85-a5c3e92d9813	17.1436818181818182	1.42884968540404045
862a0aea-685d-4ada-bd50-83c718f78a7b	0	0
387cc33f-ab5e-40d1-9c4d-3d875ca16a5b	16	1.33352888888888899
6f91dd9c-7182-4ddf-b6ee-b6da5c8c4d18	0	0
6bc4b2c2-53d4-477b-98b8-daa2c18a7b13	0	0
2666298a-245b-4ea4-9741-b2e49a9ff846	0	0
dc24b12e-1082-460f-942e-da456a0e84b3	0	0
42deeb05-3050-4675-8fe0-08c75744ad15	0	0
0b7bba35-2912-47a3-b72e-6923099c6fef	0	0
5e1f826f-c870-416d-a468-abb833f0d7db	0	0
6e782cad-7be5-4dc8-a9d5-62b3bedd0466	0	0
434d01a3-ba5a-4849-953b-ea778c59d5f0	0	0
01ef0ad0-b78a-475b-bcb4-3386bb710fea	0	0
c235fdfb-278d-44ce-840c-8b38c1eb7a84	0	0
af2417c8-75bc-42f4-a4c8-c2f99735d3d6	70	5.83418888888888887
e7c2e247-48df-414f-80d7-85bc779fa83e	0.594125249072381956	0.0495160486056064053
92ce69c6-ce87-4934-9a4b-86962c2c5898	0	0
0000b21f-d920-40f5-b24d-e03b0958e60c	0	0
bbfd145c-8ac3-43ce-940d-dc30a7dc879c	11.1837229437229446	0.932082536026936137
a241bec1-6c0a-484f-9205-955bbd1b8eb9	0	0
35d87df5-4821-4157-b94f-c2a0840fb90d	0	0
aead237e-1f51-41b9-92c0-76e4cad55b8a	17.1436818181818182	1.42880206406565669
9c655c40-5304-4a68-b41a-326f3e702193	0	0
db9f8509-b1c2-4181-a56b-fb530b8c638a	16	1.33348444444444447
be0760bb-e7a9-4573-abea-2d513d46cbd2	0	0
dfb9ae37-0a52-4ecf-8542-37ed41c4f656	0	0
56869870-4541-4fe7-9ad2-d94a82981f06	0	0
6d98ca53-7c03-4bb5-9ce0-90146f93a95a	0	0
86c12069-76ec-4785-a45b-242da6fd153c	0	0
cd050085-8bf6-4e88-be5e-68f3b6f00957	0	0
3c86846b-9697-4b45-a64d-02fbee5bc52d	0	0
d3e3383e-4a41-49f1-ad98-af77d1d0b2e2	0	0
fa45c32d-63cd-4e91-bc6a-756f46c73e0c	0	0
604743e8-a68b-4d6b-8d51-5346d44d0bf6	0	0
ea70c9cd-6c7b-4941-b0e0-f363250eab34	0	0
f9772db7-e59c-43ec-a1c8-5a2c2e61be15	70	5.83399444444444448
a892d2c1-f3d5-4c1d-ac7a-c41a4b42e31d	0.594125249072381956	0.0495112625966555447
6bbe3b88-d963-429c-bb9d-3ef15d5e136d	0	0
53f47044-dbfe-4986-93b9-5a92cb87a911	0	0
f6f63b42-02ba-449d-8cb8-a0bff230fa83	11.1837229437229446	0.931992444925445085
af4733d7-8f00-440f-b632-e61d3ef913f6	0	0
0d46ec3f-6fd2-46ad-a5b4-3ecc6c37d078	0	0
bb956abf-d528-4022-9ec6-d14fe7a394d9	17.1436818181818182	1.42866396218434355
a5bca958-0d5b-4869-90b3-0d34a122318b	0	0
0bf163d3-8ce5-412b-a133-cfdf425b7bdd	16	1.33335555555555563
e2960f4c-16d6-4075-b104-66deca68712c	0	0
7390e487-ae8a-4b84-82a0-7e995a6d8ca1	0	0
d053d7cd-6fe9-4918-92a0-3b6a1835eb88	0	0
ba1ce7c5-a1a5-456f-a403-4d42b17b97ae	0	0
929b855b-9785-47be-9d74-2bb5a6a8eb21	0	0
d6048c39-734a-4248-aa46-29457da0240d	0	0
fb9c46c4-2b0e-482e-9b58-d56495b52a96	0	0
1b0df1e1-ba9b-47b6-9fc5-6b2a46f6bd5f	0	0
1836eb4c-1814-4d48-a8a5-55abfd3a87bb	0	0
e652f5be-8318-4eb4-8345-50f70c4dd35a	0	0
4bf3d0dd-78ed-4546-af54-6bdd61a1b19e	0	0
ba8ece33-9c41-4819-a643-d3f5457d0a2b	70	5.83343055555555612
9f458978-9875-440e-9d03-5619b3c69033	0.594125249072381956	0.04951505839685795
d8766523-59e2-464e-aa4e-849f45f2c77e	0	0
615037af-f51b-4ba8-9b57-d2c2d524209a	0	0
d3dfed2d-0dde-494d-a1d0-e41ccdbceb8c	11.1837229437229446	0.932063896488696586
46353b2d-bd5a-426d-9774-fc594fe307db	0	0
82b2a388-8139-4b03-ae6c-e9f2aecf421a	0	0
86ec1b20-679e-430a-b544-2c38ea3997dc	17.1436818181818182	1.42877349126262643
35fb0821-b37c-42af-a72c-432695fbdbbe	0	0
24d191c2-b21f-422b-b8ed-170783d24583	16	1.33345777777777785
5853b794-4e97-4046-bc4b-745e12614cdf	0	0
aa59aad3-9432-4751-94f9-71f3deb50d6d	0	0
a6324d93-40fc-4af4-bb31-cbad75708de3	0	0
b4ea8486-7ba1-4a29-9e83-7438d243038a	0	0
27b528ca-0668-4ead-b136-2a0dbab8f963	0	0
c467d19d-3417-43e7-bf61-5c3c7003d6dd	0	0
20336d95-b559-405d-8ed6-70eefbc92ba3	0	0
dad7ff6e-432b-4fac-a13f-b846bed24712	0	0
4dd6bc27-b9d6-4504-b827-4b9d9726fd71	0	0
959434e1-8872-4f00-b928-9069f2d9b47e	0	0
bb05287f-b76c-4877-bc80-48dfec3c7a32	0	0
afcd441e-a1a1-421e-b8c1-f7524de291ef	70	5.83387777777777838
ec081d3d-c57e-4f46-a701-7ca4425d8857	0.594125249072381956	0.0495142332229009038
fec3ca2e-88f7-43ab-89b3-7ef309011474	0	0
65b820f5-bbdb-49ce-aa8d-6e16e772794f	0	0
0d033b64-7038-4f20-a529-1d6d0c9ba576	11.1837229437229446	0.932048363540163516
d16e5c3b-3785-4785-a36a-c8b4a2bdb882	0	0
9a543b4d-150f-4902-aec4-eb6af31d6aa2	0	0
fcdd2e34-8172-432c-b821-a4c9bf3e7076	17.1436818181818182	1.42874968059343432
cbd217c5-c339-445d-9775-51872075dc80	0	0
0140de30-52e7-4010-a8b6-24345e9ea98f	16	1.33343555555555549
c693acf8-549f-4a6b-9486-ea4738413e00	0	0
463cc902-c197-4bea-a94c-5169da73d0fa	0	0
eb50a98a-35a2-40d2-99c4-1c32e6c125b3	0	0
37923e2c-12d3-44e1-9cef-f7446676ca1d	0	0
93b02ba1-ea46-418c-8b28-b52b109a9f97	0	0
69cd4a1c-4380-4c80-b8a8-f77db6a54d32	0	0
0a89922b-532b-42f8-ab18-dc5f081f57b3	0	0
bed62bff-26a3-4177-9bef-ce4600ce4e60	0	0
7d3567a7-1d4e-4c68-9f79-64a998c17fe7	0	0
0f550d4c-8f81-4f02-aab5-35b6767d6edc	0	0
0c060e46-79fc-4849-93ca-b50635ca1879	0	0
5e3dd74c-a461-493b-8cd3-3bf507e8e6d1	70	5.8337805555555553
3e23244a-00e0-47e1-acf3-97dbce9c5e98	0.594125249072381956	0.0495700149823971453
64c5daf2-de6f-47c9-8f28-376614d45556	0	0
ff209ee5-9818-4ae2-82e6-056c86763ef2	0	0
b8d8a4f2-5223-456f-b953-c30fa6715a56	11.1837229437229446	0.933098390860990889
df0783fe-8700-4e2a-ac7c-bacddfb58f7b	0	0
93223b13-089e-4938-85df-4d984bbe1664	0	0
796f6cd0-e362-48b8-886e-94ddde8aa86f	17.1436818181818182	1.43035928183080818
968740cf-9755-433f-946b-0d12ba9b2ce2	0	0
f3e441c8-e1b4-4dcf-82e8-65e077de5270	16	1.33493777777777778
123eea9c-f7de-4704-a3e4-c41434cb078f	0	0
ec439456-923c-4880-a77b-de82775a547c	0	0
3650898e-e297-4016-ac47-e5cf52af6247	0	0
5499baf7-cc6f-4344-a601-3ee48dd84126	0	0
391aa712-1730-41a2-983a-9fbbc72fc21d	0	0
42d1e4fd-3afc-4570-b32f-dcc3b60cf3c1	0	0
ebe759b2-0f54-4b76-b1e6-3b6075347324	0	0
8c282a99-d228-4304-b597-bb85dd0184c2	0	0
61f06cbe-11b2-43c4-8c1d-be8f012bd95a	0	0
ee9c6418-17bb-4c35-ae4b-7bf740ca5379	0	0
a2de6a4e-fbff-42f7-925a-ec5c67f6c2f2	0	0
9a8c3b41-6165-4f28-9090-da373da8dd50	70	5.8403527777777775
1f7a4688-905d-4384-8c53-2538e7b43d76	0.594125249072381956	0.0494554808371593033
65940ee0-f1b6-4270-94e9-17d59140483f	0	0
675a0066-8ef3-4a16-8189-cebb62bae5fd	0	0
c180889b-6bcb-4773-b364-b1585367deff	11.1837229437229446	0.930942417604617711
4c91286a-352d-4949-9241-c6ce6faa3724	0	0
decafff9-5f9d-42ca-80f9-67f7cf827302	0	0
ec508039-3bef-4625-9309-d9faf122e4ef	17.1436818181818182	1.42705436094696969
743a635e-5872-4b95-b92d-28b8c119d879	0	0
099a8d6f-09b8-4fcd-80a4-27745e034355	16	1.33185333333333333
8cd3a52e-ce41-4e49-9009-baf425fb5dc6	0	0
6dc1a9d6-9d79-488c-9f7d-57e94896af9b	0	0
980b6b51-0d97-44f5-a9c4-b7d9414c49e0	0	0
d308e0d3-ef82-4ed4-9ae8-1811478af2ee	0	0
286209cd-c0b9-40be-9249-8b4232ac0f72	0	0
f34e2df9-d4d2-434d-a127-47de353a38b7	0	0
071c1535-e2c2-47e8-abd5-b4b5ea8fa20e	0	0
fdd35fc2-ae29-4d20-8650-274fa91ef74b	0	0
87fc486e-28b8-4c7e-8668-b67e8a9bd2f9	0	0
8a77c00c-afb2-434b-a670-91fc37bf78ef	0	0
b083e711-c285-4a33-888e-16effbda7ee8	0	0
d4b27cdd-f205-419c-82da-26ce242f1197	70	5.82685833333333303
338020e1-4c44-4180-b8c0-159aa575339b	0.594125249072381956	0.0495101073531156802
047f980f-6ab4-48de-8a8b-bd15757ec805	0	0
1d73cfb3-6d10-41ef-bd50-6ffb97d10b1d	0	0
dadb5360-9e6b-4bff-a2dd-d90863cdeb6a	11.1837229437229446	0.931970698797498942
bb748fd5-1b05-43b5-9ad7-fb0223cabb1f	0	0
7e74800b-ad5d-488d-a619-687c050512db	0	0
ec3ee95c-f2c2-46f9-84f7-5c5fb5fffd1b	17.1436818181818182	1.42863062724747492
98b68aa0-325c-498b-a22d-fdbde3a3e7dc	0	0
6ec4df38-9592-4496-95d4-8ecae0283ac0	16	1.33332444444444453
ef424f2d-91e4-41f5-ae16-3d71f7fc90af	0	0
b4bb61ab-7ab5-453f-a0f2-53c616c4ace3	0	0
373cc447-e799-4d8c-a14d-7870159d30d4	0	0
43370687-d67d-4fdc-8d71-62f1429233f2	0	0
d04ec2cc-aabd-485d-9868-7da789b8f6bf	0	0
6d986359-fdf0-41e2-9c4f-d403ae0d6d9a	0	0
f10e1925-1a4d-46a5-a56b-b2213c269319	0	0
64a782d8-0e4e-4927-b754-3916b6d88287	0	0
bacd0d36-f30a-45d1-b607-dd0f9c41a1c6	0	0
87cd9410-23fa-411b-8326-898f57dcd87b	0	0
336aca93-99e1-4ec5-a29b-724b1099bb18	0	0
9a876e2b-c4c8-47c6-9d66-8045f6c2eb4d	70	5.83329444444444523
112ece75-0f6b-4fa3-8691-224ed1d05bf2	0.594125249072381956	0.0495132430141524485
0d5c8db8-82f4-499d-b683-399739b179e2	0	0
2e6f448c-0ceb-4bfd-b509-a528e17f0743	0	0
434f7fd6-1b1f-4c1d-a407-8f20c6692bea	11.1837229437229446	0.932029724001924076
22282087-7905-47b9-a31d-a7c5ca95019f	0	0
432ffe85-ea3b-4d21-acaf-62a108b0f542	0	0
7d265173-4abd-4cff-bdb7-1faa411f5d85	17.1436818181818182	1.42872110779040407
dac05871-b201-4458-be26-5938dd8004de	0	0
8a0a9f91-d174-4415-b301-1ca81c715e78	16	1.33340888888888887
ab710f28-d97e-444e-abb7-06ed6bc58d47	0	0
6fc9d0ac-aba8-4de6-bd5b-067888e3fd79	0	0
5edd7b66-0b40-4792-bd89-f67a75ec7c18	0	0
f68f9613-72a7-4f7d-84e8-5397349ddafa	0	0
8fb9d935-c806-4c23-860c-e963cd980853	0	0
58c6dee8-84f8-4862-a88e-3143c4fe9a42	0	0
87304bbd-5b6a-4898-8334-9350b2b2dbaa	0	0
1d97ab50-124e-4306-889d-2d969e4733ec	0	0
abbb7baa-2db2-43c3-820c-58b4d5e272ca	0	0
485f38ed-f3e1-48d1-a4e8-80ac17ea6426	0	0
89314017-f261-4f58-a4c7-78154ed6055a	0	0
8f86df25-e809-4151-8781-7bc3b176e3dc	70	5.8336638888888892
6b653628-48a4-439e-8725-44eed3c24486	0.594125249072381956	0.04951505839685795
47c7710a-68f4-442e-b3ea-b6c2247e9257	0	0
320ce7a5-8ef3-477d-ae10-d77e3a18ff9c	0	0
c941fc2f-3d0a-4c6d-b2bc-c1c999b75529	11.1837229437229446	0.932063896488696586
7fdcc114-d0e9-4667-b574-98783f110896	0	0
429d6bb6-3836-4eb0-8119-a3f3594ceb39	0	0
2a1a4545-c115-4ddd-b0e6-02a933e79eb3	17.1436818181818182	1.42877349126262643
b69a178c-597a-4b27-802b-55a53c6e51d0	0	0
eaf98ee5-b2e6-4c21-9baf-6c4132cebcd6	16	1.33345777777777785
a253d2a8-5fa3-4d60-8d04-3b87685e51bd	0	0
b81d363e-9a53-438d-a76c-4178c9de6389	0	0
12e7e2ad-1ffe-45f3-9670-89e3209b713c	0	0
93990e26-51ec-4e5b-adbc-7e9d484690c9	0	0
b2cd07b9-2b2f-4db8-bf9d-8b73e936118c	0	0
a7f47aa0-a9e3-47fd-89b5-fcf529c087ee	0	0
7efd1277-af64-4994-89ea-b2857047e2e1	0	0
57dfe604-fa58-4c3b-aed9-f41649a28c78	0	0
a0c46281-af0a-446b-b21b-14984ef1c1d5	0	0
b89c6f2b-c0fc-443c-a2e5-56e0e1c2eef9	0	0
4b0ef3e2-009d-4c7c-ae45-3c54360c0103	0	0
6a8c4b1d-319f-45bc-9a54-a16629eae63f	70	5.83387777777777838
b630b1bc-cbb7-4b8a-9f25-1dc19588afe2	0.594125249072381956	0.0495155535012321707
3845cca1-53c0-4d1a-a777-30a0cf6a755a	0	0
0e7f56e3-d705-4234-a017-7cf8f2f054ae	0	0
8240a5fd-e30b-44a5-b3e2-973509cdc1ea	11.1837229437229446	0.932073216257816251
2af7febc-5d31-49e3-a5c7-0a01a603cd31	0	0
998e2510-0061-4350-9a34-bba832ff2163	0	0
bcb58959-69b5-483d-8b3e-db57c818a1b5	17.1436818181818182	1.42878777766414133
ea9a152f-d9cc-4e27-8a5e-98ebb77d7432	0	0
314bf057-fc93-4d33-ac8f-a0d010ace010	16	1.33347111111111105
409278ba-db92-4121-87af-7467c0bc2334	0	0
31d66042-bf1a-4d90-8503-e64fa1bde37d	0	0
a94e700a-92f9-4207-ae4e-c5a56fc5f850	0	0
ab5630c7-5865-4eb5-8d5a-a2b3669e2ede	0	0
6abcf77a-a7b0-4b92-81a0-db282ad0be51	0	0
d5c52f85-29cc-4e20-94a5-987aab6260c0	0	0
b2ec36f5-b9bf-470e-aedc-e8aec1a07f7b	0	0
b405a7a0-4f0f-46d6-ac42-2315dde5aad7	0	0
835723f3-4550-4c7d-b4b4-84a652300b12	0	0
efbd38e9-cea1-45f0-b7d8-0a2b34a255d1	0	0
329bcf46-7d8f-400f-9587-e264b28b8289	0	0
30b613fd-7b7d-4018-aaee-9c6a13702dc9	70	5.83393611111111099
4d20412a-29a8-435d-97ba-ac9f01ebea4f	0.594125249072381956	0.0495163786751892238
9db447dd-0d65-40ba-8dd1-d984b691278b	0	0
6559f5f2-2ba9-4113-9f95-ea59dd0df4f9	0	0
f7adbd62-a808-41c3-8623-3ee96af0a4f2	11.1837229437229446	0.932088749206349321
cd5f88bb-32b0-436c-b511-c95f15d6d90c	0	0
9cb4aaae-a7b1-408b-8528-f48868aa23e7	0	0
12972387-6a55-4aa1-b6e0-168e00766330	17.1436818181818182	1.42881158833333344
429b3b71-a88b-4ac0-a5cb-1c001ef6e93c	0	0
aa498b9f-e4e1-4c77-bc3d-f4d9f9118242	16	1.33349333333333342
089a1798-ae08-4390-9992-21cb4ee23f8f	0	0
636aa00b-4f7f-48e1-97c2-9a90cefe2fee	0	0
5952a693-4046-4386-9b29-ec4d044614e0	0	0
1b134bff-95d0-4e14-873a-d506b8c88a67	0	0
551c8251-c567-4844-9bed-dc75120ffc54	0	0
d36327af-c39d-40ab-a455-6fbdaaef2125	0	0
ecc73fa4-7325-45a3-826b-14e7b8a6a535	0	0
d6476373-6d1a-4132-9f3e-cb831254e98f	0	0
9a69dd61-4282-4584-9016-91c35f27b829	0	0
a8f4b181-1c25-4ff7-8fe6-40a0e88201d2	0	0
135a3b48-7a3e-4106-89dd-0747cf6fae58	0	0
834e1934-4e6b-4bff-977e-27013cdc87ad	70	5.83403333333333407
b1b2f9d0-639a-469e-888b-212b368cc9b2	0.594125249072381956	0.0495134080489438577
8f6984af-cb89-4e4b-9a2e-161742de8c21	0	0
07302557-aa29-4995-aac5-4514191e4e00	0	0
b444c708-e319-4d27-bdb1-efc4dae25a33	11.1837229437229446	0.932032830591630668
0e90f19d-59ee-4b72-b528-06aa8fd8a6ed	0	0
3f1901dc-298f-4f5c-bac9-6138845dbdce	0	0
6a7c362a-cfa1-4bc9-8fe1-2756977a4763	17.1436818181818182	1.42872586992424244
4ca5a4be-f5fe-436b-8768-484ddd6e8228	0	0
402b1b53-41f9-414c-a7aa-0bc078fd4848	16	1.33341333333333334
ed64bd1a-30ea-4a72-a6d0-ca79e557b7d7	0	0
e789be23-301c-4cd2-aed2-77e248445cac	0	0
8ddc1878-4f6c-4ea6-af9d-befc4a7c4b51	0	0
2680f372-c929-49ad-9b50-8942df941a70	0	0
b1e65df9-6d43-4640-b782-a90da0946514	0	0
e2922f3b-812d-4e2e-9da0-b0ce230dbbf7	0	0
fcf66ffa-1503-4845-953d-f6ab016fc588	0	0
c56dc555-78c9-4bff-a19c-b23fe5aaadf9	0	0
c2640fe2-c130-437c-b060-30e56aaaf5df	0	0
72f08a7b-bbc3-466f-905e-bfa786f1bfd9	0	0
f93ba005-49c7-4031-9c62-2297d2d71996	0	0
e4819ae7-9a57-4e6a-b32d-04b0d5006d0c	70	5.83368333333333311
f9fb7911-d79c-4278-9d63-e43ab10d4ac3	0.594125249072381956	0.0495134080489438577
ca8880ff-29e6-4d87-9690-e46a6b19ebcf	0	0
90e2ea5c-f48a-464a-8e2f-0e84e8af5a49	0	0
6fadc60b-a597-49af-b51b-164e47b7c864	11.1837229437229446	0.932032830591630668
83ae1fb3-395d-48dd-a2b9-2ac338b51350	0	0
fd664f0b-2d70-4e5a-bb8a-dc24139853c0	0	0
26b72cfa-6230-427c-b258-a9870e747258	17.1436818181818182	1.42872586992424244
a8f370e6-54c2-4e34-9424-d2ab2b101f39	0	0
755c2b05-71ac-4630-8667-b1a0124ad431	16	1.33341333333333334
e07df784-c8d6-4df2-9529-ed99d96d2c56	0	0
7c759dda-d147-4cfc-9753-de64c317f352	0	0
f94b3efe-2e02-40c5-891f-e0a3a983956c	0	0
1e33da64-bdf2-4515-af19-f0f5545dbc73	0	0
346f3c4c-d8c1-470b-9631-9bb741fb6b0a	0	0
d9ef3b12-f82b-4063-a27c-6c595800f352	0	0
3435d738-8d25-4ae6-8270-76319b41ba09	0	0
2ce82f2f-8229-4732-9ff4-4689787521a5	0	0
cc691255-348b-4078-b2c7-8808596baa19	0	0
7a3f5966-0143-46b5-a6cd-15f0775c8bbd	0	0
fd99b3b3-9713-4d92-b75c-184e270224ab	0	0
b12c1821-8a49-4d7e-9c64-7990396d4818	70	5.83368333333333311
09ebe5f6-f2ad-463f-99c6-6f381eca9274	0.594125249072381956	0.0495145632924837223
900f5232-4f18-41b0-9072-7c74140779b8	0	0
2881e7df-71cc-41b6-9661-158a4ff0b182	0	0
4b758e2d-9804-498b-ba90-a731dad5bc1f	11.1837229437229446	0.932054576719576811
3491195a-5366-494c-bf52-9cf416da84ea	0	0
cbf70812-d714-4c65-a460-450bb7b66472	0	0
6fafad51-da62-47e4-a45e-b2b844512707	17.1436818181818182	1.42875920486111108
442c82a5-a7ca-4b10-aa73-10bdd8bfd099	0	0
edebed43-b1a3-4971-874e-122a00b8f615	16	1.33344444444444443
f1d3d9b7-4a23-485f-af7a-52f70f5b8555	0	0
b403efd3-20fd-4229-8f10-3f5286ccc8c3	0	0
c21bd566-3a37-4771-bf47-14e9ccbca1c6	0	0
8b0ce263-2b77-4f4e-b369-ae8f1133e20e	0	0
5632f26b-f4cd-4cf0-b444-f1ed518f18a1	0	0
6a59b184-add8-4a21-9138-d958a1769084	0	0
47153849-6142-4c3b-b045-63f96485e591	0	0
def1e7b7-2b85-48a0-bc4c-e449434650c5	0	0
73677d1a-4a63-4f5d-aeff-4f7bfbee822e	0	0
b2540708-a654-40ee-b746-edcba473519a	0	0
09f684af-f140-4ba1-a333-35aeb5c6a3db	0	0
9b82c961-8261-419d-bbff-165ec51a104b	70	5.833819444444444
51318507-ea51-49a5-90da-45b7fdaa9746	0.594125249072381956	0.0495162136403978145
1355ec86-723a-4ffd-aabb-76062bc48996	0	0
d8992ee6-8d81-48ed-bc28-a29ca2d8009d	0	0
dc50fb9c-f68b-4630-bb6b-a06d0f5281b5	11.1837229437229446	0.932085642616642729
cd53dc53-44b8-469e-b680-e457d467d40e	0	0
30cec3fa-36fe-4010-83b5-f11f095dbefd	0	0
62f98df5-aa6c-4007-8ef4-5c39d0016130	17.1436818181818182	1.42880682619949506
280ed157-3522-4db4-9dcf-133d9fc91e1e	0	0
1e076957-a73b-41d1-9dd5-6c7c1b8c0e5e	16	1.33348888888888895
dd0dbc09-3c19-4be5-bbf6-09d83aabf13a	0	0
1875f54f-a28e-4e42-b8de-292436ae0105	0	0
bef4fd3c-0ab9-4a68-9a98-efcabbcf5f4b	0	0
339be92e-60e8-4190-91b6-55c174ae8c49	0	0
fed60c64-26de-4385-9b2d-d3d9ce51eb1f	0	0
317c78e3-b194-4f35-92b9-ea559efedbdc	0	0
c9487154-4f6b-4b52-9c5a-fc49757e3c62	0	0
76037854-afec-4929-bd8b-913a205e980b	0	0
3c66d8a6-51b5-4d4f-bf4f-a2c3410fa59c	0	0
2902e087-dfb3-420f-a305-5f4d4f7d95cc	0	0
72482120-bf05-4a68-96e2-5135674b34a4	0	0
ba1d92d5-803b-487f-a416-d13b3427c9a5	70	5.83401388888888928
1a935202-ea2d-447a-b963-3c70cefaab61	0.594125249072381956	0.0495115926662383563
2bbcd3b1-02f9-4a8c-9c9d-327bfb772c97	0	0
bb956f44-598e-4f7f-b44b-ff79d2931653	0	0
367aad30-dcf1-4b87-9109-3f6480f43c2f	11.1837229437229446	0.931998658104858158
af20ca09-e58e-455d-8556-2aca2063c29f	0	0
c2a5fad4-05f9-4e04-b871-657fef8fe83e	0	0
f862c94f-91f6-4354-bde0-21cacbe9c7a8	17.1436818181818182	1.42867348645202008
a7df97e9-f83d-4518-bf1f-2aac360c48a6	0	0
2d1403f0-0acc-4041-b8ad-ecba051ddc30	16	1.33336444444444435
2a9d1869-f18e-4620-8ac0-f996fc4d8ba7	0	0
d20a17b1-859c-4f19-89c4-6758987e3c00	0	0
163747c7-d078-4514-a5db-86934cb55209	0	0
fafe6365-5884-4bf2-a3ce-dcb48b724585	0	0
cd7e5f8b-8e29-43ee-963f-4906d81a4d3a	0	0
f326e572-2da4-458c-882c-aff3148a7693	0	0
5b92d207-ed4b-4e67-b05d-f111db6d60d6	0	0
dbb6f7d9-6c3e-42d6-9989-c9d63a2eaf8b	0	0
5c2348d6-3cdd-4acb-958a-35e84e8168dd	0	0
0bf23720-cb46-4773-865f-1317dc42ef6b	0	0
6d750e5b-be0a-452f-a9c6-465ed2aadcaa	0	0
0b57ec51-95d0-4a26-8fa7-71f8b109e6dd	70	5.83346944444444393
2fba43dc-d82d-4298-afb6-7cff5f9589d0	0.594125249072381956	0.0495163786751892238
ee1901a4-269c-4a2d-8b06-8e763cf11e62	0	0
f0416477-fec6-4f52-bae3-8b12f8b14c2e	0	0
8c6122d8-6904-4c58-bc12-0498534964ab	11.1837229437229446	0.932088749206349321
f023b51b-dd86-410a-9f58-3c32f305ee11	0	0
d2a76183-cdd2-4ca2-9fee-df5935210ec4	0	0
b3086eb0-85c6-4223-a11d-b994df6e390d	17.1436818181818182	1.42881158833333344
ac924dc1-0fb2-4a69-9514-f439c5d8daf1	0	0
3217289c-c1cb-45f5-b2ad-02cc1d137f42	16	1.33349333333333342
94579706-9f37-4a0a-ab08-2cfbad4d7235	0	0
0bd528e6-4cef-4d6c-a375-e72d70bf11d7	0	0
bb3c0b91-b4f7-47f3-9a4d-90b428f03463	0	0
b61c54a0-ffd1-4c51-a5d9-5e7e41350a26	0	0
12911093-a971-47b2-80c7-cd87d122b1b1	0	0
8b6f8c68-2ac5-4c0e-8894-aaa1668fa9ff	0	0
9709b0d6-7643-4ce9-890a-2d7fabb45b15	0	0
e1200eaa-310e-4a2b-8c02-799f1c30469f	0	0
e0cdff0b-83c1-4713-aac4-e042143ad780	0	0
810f6acd-1795-45e5-b29d-94f5c76b540b	0	0
a8180980-b6b5-44f4-910b-4eabe6683327	0	0
6972cd98-c895-42fa-acb0-63a41299999e	70	5.83403333333333407
1dfb8cc7-fd9f-4ef8-938f-1e380af76c9d	0.594125249072381956	0.0495132430141524485
e15f060a-e302-4267-90ed-26d52c990605	0	0
c8720dd8-59b5-4fb7-9694-542305d4f43c	0	0
bb74d908-d1bd-4f15-ad4b-a0750b25b55b	11.1837229437229446	0.932029724001924076
a35ad2b3-2f87-4e6a-98a0-6c661664c522	0	0
f55d0830-b363-420b-9aa1-053977003f89	0	0
ed2b05b3-3f24-4380-bafc-9563065ffc1b	17.1436818181818182	1.42872110779040407
d17bca64-fa68-40f1-ab9b-e5651dc8179e	0	0
8a8111c7-0f8c-47e8-a304-a0303003772a	16	1.33340888888888887
d594453a-879b-4977-8828-b8acd45eb5e6	0	0
c35e000d-462c-406b-a764-61dfd40c0422	0	0
629406a9-2bd7-412b-8d47-d4c3f83b7728	0	0
7ec2100e-d230-43f5-a633-5d89851f453d	0	0
9c9c360a-891f-4370-85a6-85b13930e4f2	0	0
efc39115-5773-4d3b-a6b6-a7bc2f856491	0	0
941755b5-97de-46c9-b90c-a59673016c70	0	0
4008edec-e510-4d69-a6e6-07dcabdaf63e	0	0
2833d560-a8f8-403b-9c5e-30f6350e2751	0	0
82f3025b-d685-4a6b-af9d-844f157b06dc	0	0
de3053a3-934e-407c-9da3-97a971592900	0	0
8db21e96-2ceb-43c2-8ef7-d84ab87ffeb3	70	5.8336638888888892
bb34a77c-2011-4e76-b8bd-43ad5be4bdf0	0.594125249072381956	0.0495120877706125839
80bf0522-2b4d-4bfb-96a6-07758742f697	0	0
c5bd5070-3e0c-4e6f-a6b0-6a71ea7a139e	0	0
0dff6e58-0228-4842-a6cf-5e1a2304547d	11.1837229437229446	0.932007977873977933
6a451af8-e3fd-4a04-b74f-dc33c05d1acd	0	0
7b233d6b-5a2d-419f-b1d2-3b47e0f132ef	0	0
ea969bea-1450-4572-aeb7-f57e32043cb5	17.1436818181818182	1.42868777285353543
8de1a18c-8dca-45e2-89b6-4f48a861fa36	0	0
51a4d73c-da25-4c70-b3a2-09b6c500d54a	16	1.33337777777777777
960e472e-df8e-4cf0-af74-17f11f90fcfb	0	0
e26c73c6-a622-43eb-9c7a-793a9c1987f8	0	0
ff92c9f4-305a-4f7b-8b06-35e1f24787f9	0	0
092e5d6e-5cee-49c1-80a5-d402334c3347	0	0
220f2135-446c-4f24-9707-5ccc53851dab	0	0
f8e92639-6217-47fd-8f01-4d4fcaacc926	0	0
9b13dc97-88ed-43b9-a038-575e4a094b7c	0	0
1d958889-3e70-4fde-a0fd-1aea367d1947	0	0
8dcd4ab2-9a58-4efc-bf0d-d997d7f3edbd	0	0
62df5774-b694-49ef-8845-ae19878d4fc3	0	0
80c27185-be3a-4d89-9b44-b341651b2f76	0	0
aba9762b-bafd-46dc-b8db-0a0e6c744be2	70	5.83352777777777742
cbfbdd6d-8035-4115-9fbd-4d1774ae4fd7	0.594125249072381956	0.0495122528054039931
59669bda-2497-4669-a673-1f2751b615bb	0	0
7a5c207a-2b13-4dc2-acf8-a6ad0ded7489	0	0
2efe0c05-a557-40a4-9578-56bc9609cb9e	11.1837229437229446	0.932011084463684525
9a47c32e-7046-4299-83a1-2aa198ec9035	0	0
8c02b1fa-7c57-4966-ba48-5e9cd3f953ba	0	0
3af0ab8c-7263-4d92-b648-219c5ed5ef2b	17.1436818181818182	1.42869253498737381
53b0931c-967a-418b-a71a-8eee8e4d14b2	0	0
f19e7e80-203f-4bef-bd97-46ed11d100da	16	1.33338222222222225
4bb6fbf9-3ec1-4af3-9a52-f74d66b9dac7	0	0
d50f6a0b-e9bb-4d6f-b385-3b771a410ba9	0	0
fa65fd6f-1bda-4fe5-893b-98a4722e5e44	0	0
49b3492e-b66a-4d89-9e25-7bfb9dfede0f	0	0
df215e1b-98a8-43c5-a35f-4f3e1fe79e4b	0	0
6eac8996-692a-4dd0-a08f-f7880bc35d88	0	0
e22ebab4-6baf-46f9-8f4e-acc18177c3aa	0	0
9de8cd30-f43e-4abc-9225-cfbff4d83032	0	0
2e3ae4cb-5ab0-44be-bea7-187b5631888c	0	0
6694516e-0de4-44ad-a015-80bc0a0e5a02	0	0
5f859085-9cc3-40f3-b0dd-fec009abf620	0	0
c15626f7-20f0-4454-a918-337ee7318056	70	5.83354722222222222
edb04bf3-3a30-47b7-bdab-7fb9515af9c2	0.594125249072381956	0.0495162136403978145
d63524ae-fe31-4fdf-90cd-4ecc0d854f06	0	0
ab2cde53-b4b5-493c-b627-4aa187378eb6	0	0
f5744f82-1558-4871-9b97-5dc4b9803523	11.1837229437229446	0.932085642616642729
3ae631bf-f725-4109-b6a8-bc203ba53bff	0	0
af01a95e-ac96-4828-8e62-d9d74ba1dcfe	0	0
a648289d-2032-4f60-a1b4-33948f776982	17.1436818181818182	1.42880682619949506
a34e6f5f-413e-4e49-946e-bd43d980eca0	0	0
3161653b-18ec-49de-9300-a1bd0b73d3c1	16	1.33348888888888895
ef499fb3-2dd3-48df-ba27-886033d4c028	0	0
efd7f4af-a0b0-4c52-8ff9-fa7e26696e60	0	0
d2c3a2c7-50ff-46bb-a5bf-a2a4ffafd72b	0	0
36ff75e6-2b01-4f6f-b3ed-cf1cc29a8efd	0	0
df0a76c7-a2d5-4ac6-b83a-031dc647f240	0	0
e90f80ef-6024-473e-926a-5b0319329b16	0	0
5f3dc9a7-246e-4671-a158-01d065edd1be	0	0
7b1bc95e-ae46-41b3-b6e0-e299ce3de513	0	0
587e8598-982d-4a2a-975d-b5be79084f5e	0	0
ed011af8-21e2-4df7-802a-69a2592ccdb2	0	0
0e135302-3960-4252-9bca-e9f7b01a1497	0	0
6b4603f0-0c41-41fb-a559-9173cb7f6643	70	5.83401388888888928
e51ff5d4-6dbe-4144-b6a2-6a8ae1e92c8c	0.594125249072381956	0.0495648989038634663
75209607-11d9-47cf-8628-7df46daf6b92	0	0
6a17e599-d994-4ab6-b662-abdded1d3a69	0	0
c74a84f9-81e9-487d-93aa-9448530a7ef3	11.1837229437229446	0.933002086580086654
1c536c5f-9e4d-40cd-9835-931691b93157	0	0
90785483-ad76-4b27-9e9f-36bdb7057883	0	0
78d6385c-9d73-4867-9e54-8367e4568a46	17.1436818181818182	1.43021165568181807
6ccf1f47-cd2e-498b-a194-843bcf0d5e02	0	0
b59dd4a3-b56a-4a13-94d9-ca1b35ddbfe4	16	1.33479999999999999
61395850-df70-45c8-af78-0a431a038881	0	0
edbac2e5-251f-4615-883b-c94b23cfbef2	0	0
db524f0b-78aa-47c2-85f1-461db4a8f0bd	0	0
e4e88291-fb94-4345-a315-d0f6d7cef78f	0	0
7d9bb7c7-8ca8-455f-890e-a39f4e153e02	0	0
178ee02e-ee68-442e-969f-2e43ad7c0d81	0	0
7dec0e10-d54e-4699-8934-782dc3eff2af	0	0
f4e62544-fcc5-4ead-b5d5-64ecca21ada2	0	0
917811c1-5e23-4796-9a13-509dc1a9c0a9	0	0
b21b8665-3f8d-49ce-8469-df5c8553b0a5	0	0
7a144575-32b8-4ef1-859b-ef2d21dbf5cd	0	0
19ddaaaf-fba3-4f4a-9700-f5491427c150	70	5.83974999999999955
beeaafd3-9c43-4375-8f6d-c78efbb9e134	0.594125249072381956	0.0494615871244414307
2f9e1ed4-9c35-4593-a12c-fff0251dfccb	0	0
120bbc01-b04a-4573-a150-a4b44fd47ca0	0	0
327441a9-7822-4a63-8077-085312251cb1	11.1837229437229446	0.931057361423761498
ffa2ce51-13c7-407d-a08e-61840d75cec8	0	0
a7668a96-18a5-40dd-bd0e-22933fad37f5	0	0
3a26661e-b83f-4f49-8f2b-a11a3897fe28	17.1436818181818182	1.42723055989898984
c0ee810a-c0e6-4a65-8cff-1393398adcba	0	0
2662281a-a28b-496e-b0f6-9665b68ceb41	16	1.33201777777777775
00ead4db-42bb-416a-8370-48f24b26334b	0	0
b5029901-3768-4242-ab00-c85b10139337	0	0
3220f98b-b80a-4c06-9f31-b92b5bdf41c4	0	0
9ab2ac8c-6b09-46b5-b9e0-aaaa4d9b02f9	0	0
18b4da7a-a2db-47ea-975a-7a2eec66fec5	0	0
6dac9ff4-eb65-485f-b686-a448cd6d5f31	0	0
0aa1b268-4add-4f22-8e15-ce65183f0087	0	0
b2f825e2-617e-4a4a-b538-2c3b63b4149a	0	0
911010d2-3937-49a0-9abd-49f77ebaac43	0	0
b3e618ca-0e97-4579-9a11-548cd82e0a81	0	0
5c61da5b-7e0d-4cea-a573-88be3dfdf08f	0	0
8bd53c1f-bef4-48ab-ab5d-82261f8aa131	70	5.82757777777777797
8e70ea79-d424-4d5a-a041-d70f6680e626	0.594125249072381956	0.0495145632924837223
1f5de7f5-026c-43e2-9aa8-4b241b4584d6	0	0
3d76d9c1-c297-4090-8ea2-1cec26dd4480	0	0
9c290497-7437-4ea7-90ec-2b8d302d13a7	11.1837229437229446	0.932054576719576811
4eee3661-2527-4600-a06f-c2cb92a11096	0	0
de26545a-646e-4661-8e3d-89b78cf9b924	0	0
10b7079b-225d-4452-8b37-f78918c479ec	17.1436818181818182	1.42875920486111108
f3a2e1fc-b8d4-41b6-9b19-a0bfcc986310	0	0
003ed344-1c4a-4077-a133-d6e97d8de5e7	16	1.33344444444444443
2263b4e5-dc5e-4804-be04-5f65fe20520b	0	0
4ca44fef-72d5-4e64-9d0b-0fade93647a1	0	0
14945a3c-6ffb-40c8-982a-77bdb0a4c916	0	0
ae1a7ecc-1dfa-48bc-92d3-761b6684b5e0	0	0
db23c0ce-e7b4-4da9-bf63-22f92c2851c3	0	0
a56fa7d7-21c4-4849-a661-d14b79a4d943	0	0
4e09fe77-ce3a-4e90-98f7-0719bb237e69	0	0
0a531ec9-75f1-4f4e-b4f8-e1737f027ab0	0	0
741cb48d-6e8f-47d0-9ea4-b459c88c757f	0	0
483b62e7-3128-43e7-972c-81072805b378	0	0
6a417cde-1814-4876-8770-8acc06ce3195	0	0
bf038739-c393-499d-9358-96961d1a85a8	70	5.833819444444444
ad4595a8-55da-4bd7-8824-f25a9384ed19	0.594125249072381956	0.0495102723879070825
50865a22-9313-4cc0-bb12-455241f3a5b9	0	0
1ca02030-e530-45ca-bf45-e25e22ab67cd	0	0
0aa7c147-4664-4242-afb6-b029afee6b8c	11.1837229437229446	0.931973805387205423
cb2e1f11-9e74-435a-9420-b3186b767a93	0	0
6050cd0f-49ca-4d9b-953f-dd496ec881f0	0	0
b45ca999-7071-4cbe-a25a-c218288c2c49	17.1436818181818182	1.42863538938131307
004aa789-be13-49c6-b938-16bdf8059d19	0	0
72cf3312-54ee-45ae-b47e-ba851d3a9dac	16	1.33332888888888879
09404b8e-8001-469d-b001-8323cf25e533	0	0
dab61e72-afa7-40c0-9819-4564dc9048a1	0	0
642f8a64-950f-4379-9383-8400dd0b48db	0	0
d702bef8-0b0e-47ff-9274-2958f874ab02	0	0
2f6b6fcd-e4d3-498b-9fc1-a9f77eec4523	0	0
6976cbd7-6306-493f-8bd4-89e9fbab5819	0	0
ee0f813d-4b8f-466b-9c4f-151369082bd7	0	0
d231496f-60f6-4504-b50e-e4e2e018a4f3	0	0
7784dc53-2faf-41a1-b7a9-99ffb34669a5	0	0
7f3d65a5-012b-4697-8484-e27a53270b89	0	0
05f6bd7a-c767-4ff6-8d71-5f62181fade5	0	0
0b19a95d-ab1a-4cd1-a2c0-5a13865d679e	70	5.83331388888888824
32ecee31-65f9-412d-925f-94629f3e34d6	0.594125249072381956	0.04951291294456963
8628bb5d-a1d3-43fe-98c7-b7e2394a5aa8	0	0
2813e295-4d3e-4107-b4b9-57d9eb519ecf	0	0
cb9854fe-de49-4835-b94a-970114ec9428	11.1837229437229446	0.932023510822510892
ea0eaabe-9c09-4e2e-bff1-9de56b78263e	0	0
0c6dfdb1-449f-4dec-872a-07d8cd9e1c5a	0	0
af9f0b9d-260d-4f93-9d5c-ad8136b309c6	17.1436818181818182	1.42871158352272709
cd0459f3-03ac-4a2c-ab74-42531e5db1f8	0	0
9832c30f-0ce7-46b9-96df-3af38b51bcc6	16	1.33339999999999992
5e14cf38-3e34-4d06-a831-70c528945312	0	0
604e8cdc-41b0-4394-b5a4-d552f3f7914e	0	0
15d33490-985c-4248-aefa-087d1ec925bc	0	0
cdb18a44-34a0-4152-8e6a-40e825cc0d71	0	0
7f9e12e9-ac6a-444f-8211-3fc1304ddd52	0	0
7155e449-72a7-4cbd-90a6-3b10840a0a38	0	0
3524d285-7012-4175-8a21-14c7cee0ec09	0	0
5c1cdb4c-e212-4142-a337-5b844fe6c93a	0	0
fa73196b-bb54-427d-945a-72de050b103e	0	0
27c1cf96-57b3-4920-8f77-62613d2e2e3f	0	0
20ac1fb7-6833-4e2e-8a36-8ea0a31df9e1	0	0
7fd7da4c-1d3b-4ec6-8186-a40a51cc203f	70	5.83362499999999962
cd2836fc-f4b2-4797-aa74-bd5318f69303	0.594125249072381956	0.049518689162268946
0ab5c1bf-0392-44bd-94c3-ff65e5df45ee	0	0
cc8a1c72-c6c4-40ad-9488-184172dbe00b	0	0
6cd90bc8-4661-42ba-840f-8d3c1217e8c4	11.1837229437229446	0.932132241462241606
daf6a0a4-6167-4c84-986d-8def74031d2d	0	0
a22cc0fc-4921-4e4b-aa76-75848929948f	0	0
3df0226e-bb2f-444c-a394-1d44c245cf20	17.1436818181818182	1.42887825820707071
e63872f6-858a-4b25-b96b-f804d91754a3	0	0
4b834543-f4f7-4cd0-b1b6-b98b9c006b11	16	1.33355555555555561
f480b3ac-66e6-4805-b693-33eaa20dfc2c	0	0
22cbcc13-ab93-4996-9b7e-9578fa49810a	0	0
a5937ef6-94ba-404d-bab3-9de7a70b09f2	0	0
b65561d4-2e97-4025-b256-f1ac033c1045	0	0
d2a8b4ad-f0e6-44f3-8ba1-9cda04e212e2	0	0
aaf3ab65-5d25-40fc-bdb4-f4c36539e70b	0	0
f5822771-5f2e-4573-82e1-c21584d2ac00	0	0
f153f100-bc9d-4d2b-aa05-ee465a131ccf	0	0
78c35807-0714-4462-a9bf-e0deaaa32e7d	0	0
cfaeaa07-ffae-4956-98ef-2ee985510075	0	0
43f58114-9f57-4a39-9e95-3f61dd61225d	0	0
50661ed3-4528-4cf0-91c0-a503cd450e22	70	5.83430555555555586
21e0c53b-8112-4494-bbdb-a79a91a4445c	0.594125249072381956	0.0495153884664407615
6e46ddeb-47b6-4051-bc7c-468107ae3934	0	0
5d892165-46f5-4f7c-a6e1-1f6f137d39f2	0	0
7ed0d7a7-a803-4107-baf8-25b5aa2835c3	11.1837229437229446	0.932070109668109659
44273f9a-46a7-400b-806d-f49f42da6b4a	0	0
b7d3eb6d-a1de-479d-be9c-dae62694736f	0	0
2570a087-b26b-46c5-8927-4cd4d65e0d4b	17.1436818181818182	1.42878301553030296
406bf9d6-5cd2-471f-a6e3-523be5f214c2	0	0
2a408c19-f825-4147-8cb0-45206ebb8534	16	1.33346666666666658
df766d88-faaf-4057-b22c-cb8ee86bb59a	0	0
c4ecfe80-e269-4c79-9746-9ee854e12a41	0	0
6bf4479a-be92-4ce9-b88d-1a8f7d8f3ee1	0	0
c2bb5084-3019-470c-8ad3-1e7519597563	0	0
f15c0381-f513-4617-93e3-76b757d7a7b5	0	0
69bf7f98-f079-438c-b248-2c8b663d60df	0	0
7a7a0f4d-2648-4915-878c-812a7e58eef3	0	0
592692b5-55f5-4996-9f63-60a126585f77	0	0
489e8a14-ad23-4b96-97f6-5cb93e626789	0	0
b4ec288a-bd6e-46c7-8d0d-97f092daf09a	0	0
2e80445e-cffe-4f94-b1c8-877ecd60344b	0	0
765dbd8e-da95-4036-8c54-55aa0ab6dd31	70	5.8339166666666662
e91e7f32-0a17-4cf1-a343-01d689eb70e6	0.594125249072381956	0.0495112625966555447
39f5b104-474e-4109-934c-c8108ef1efdf	0	0
a4055f12-984f-4f0b-94d0-4121aedd310c	0	0
8b2d3b49-2a28-47f8-84ba-ff5fb8ae37b8	11.1837229437229446	0.931992444925445085
12af5385-143b-463e-b945-f206ad74e36f	0	0
857340bc-43a0-41f5-a224-0487351f88e2	0	0
79f53963-67d6-4eef-bae3-ce0aabb98a26	17.1436818181818182	1.42866396218434355
3625bc35-3a2c-49fd-a743-d9dd21981d99	0	0
aeb27d79-e5de-4c8d-9af7-31b89879e74e	16	1.33335555555555563
6106241f-61f4-4abc-aa65-0861dfa29e00	0	0
37e4ed21-7db4-41c6-8921-c668d386beb0	0	0
8114d2de-f55a-4262-a3d0-703962943894	0	0
42cb1512-2bee-4683-a7f7-9868c1119e48	0	0
ad80695c-13d8-451f-8ab9-0c8ad437c20a	0	0
20f0e1c6-f0af-414a-9248-783fa2f7214c	0	0
78a62232-87fc-4f9d-b1e2-313cc4f6666b	0	0
f0bd7b67-1104-4c93-8300-91d916fd619e	0	0
e5764cc6-086e-4c0a-9bd4-c75a1f19f4d8	0	0
3797cf6d-2dcb-464f-84a2-4ef2211dc02c	0	0
5794f981-ba2f-46a9-add8-c9dcf4efa4a7	0	0
f5c0762f-f231-4bc6-b560-1d0df35db38b	70	5.83343055555555612
56227a5d-d96f-4680-a5b5-b1ad03ad6f8e	0.594125249072381956	0.0495145632924837223
0129965f-1804-47bc-82e6-7c515b1c606f	0	0
8313d898-1a26-4a7b-aa4b-d6fec5b4ae85	0	0
531de6f7-64ce-4400-b3bf-89e15bbd6ca5	11.1837229437229446	0.932054576719576811
4ba14598-0e37-461d-af28-6214877f329e	0	0
bf9e6b79-563b-4111-ae17-643f7ed81dca	0	0
9eea9baf-25cc-4ab1-b134-e5a6fe186897	17.1436818181818182	1.42875920486111108
5240086a-48e7-4634-859e-3c4fe4bfdc33	0	0
2e8af406-65c8-4ad0-a0e1-0a288a90052f	16	1.33344444444444443
b54b8ba8-7e1c-425b-9574-c2b47a2b17dd	0	0
29f7ca62-ad10-4494-83d5-658d368a6d20	0	0
786ff2f8-b8b3-4852-aa2f-58790746f9f9	0	0
e4351e30-4cb8-4ca2-8f35-80e761c33ed8	0	0
1805a69d-d08e-4bca-9db4-b011cd604313	0	0
3177f91a-aab7-42fb-afbe-634e63d7c740	0	0
3390ef9f-9ba5-43d6-9621-fb1b06405436	0	0
8c926e64-bdfd-4ad3-9d86-5c5be4887a30	0	0
98911dff-1ddc-495f-99ba-c313c65fb484	0	0
0e011559-6b53-4531-b006-b6249cc05262	0	0
e6eb5820-9b99-41af-9b67-db94d3a80ba3	0	0
f459b7af-5233-422a-b4fd-d33526a78dad	70	5.833819444444444
78977acf-480a-440f-94b5-6625a84eaa6a	0.594125249072381956	0.0495191842666431667
6d28ed48-3ea7-4b82-ad00-59c9d33e8b97	0	0
fa928491-a07a-4de2-8a70-f6d2c4746c30	0	0
89463e69-13f8-4bc2-9e50-5389e14c48a6	11.1837229437229446	0.932141561231361271
6ab32f9d-d30c-421e-8462-73dc8598bef8	0	0
4556fe84-1603-4459-9ff4-4e2208ceac88	0	0
4640db97-cafe-42e0-93d8-adda23e5f7bc	17.1436818181818182	1.42889254460858584
1e84d71a-9017-4bde-b4a5-c0057694b4bb	0	0
96e3f4b2-91da-43fb-b961-fc1dfcac945b	16	1.3335688888888888
8e70e967-601e-4ce3-81ef-ce3c622e3cd9	0	0
056caea0-2aa7-4283-947b-18e105d1ea0b	0	0
d5b3a00a-8998-4860-ab5f-90ae8f7b9bc9	0	0
eb07de76-e1fd-4bd6-9d10-2c04cb5d378c	0	0
17701a61-c846-49d0-96fa-cbec144557f0	0	0
623fb35c-518e-4502-b262-426fc16b0902	0	0
e65cff08-f720-496d-a39a-e33e54f40583	0	0
19245ea4-1115-4cf9-bf6e-6bda16c128a1	0	0
d0edcff5-f2df-4e6c-a0a7-6b871fc0dce1	0	0
95626c46-d767-4a8c-96ef-81e24365bea5	0	0
0701d91b-403e-4dd3-a83e-c091c68f5328	0	0
34a1989f-2fc4-4070-bca7-ac17024b006f	70	5.83436388888888846
819f5447-b23a-4e9b-80e3-b19024cc32cc	0.594125249072381956	0.0495091171443672179
27ef2b5b-482c-4863-a59e-d2ae7e74c770	0	0
e15c94ac-d1b1-4010-b3e4-f8f137ff198c	0	0
7e349f60-a187-42ea-8a37-1c84c460dda0	11.1837229437229446	0.93195205925925928
c98051dd-e609-4472-bac1-157a0c721713	0	0
46c759e7-5d5e-45a9-a8fa-6516a9a41d5f	0	0
700abf45-4f43-4bc7-ada1-b54f79f1560c	17.1436818181818182	1.42860205444444444
44734ef8-5de5-4d86-b97a-c5041d73fe81	0	0
447d1759-63be-448c-bef3-e3b5b72f47a7	16	1.33329777777777769
106005e6-5166-428a-b600-07499d2e6fb3	0	0
a51d90b9-58a4-4703-8195-5e8382feece3	0	0
45706356-426e-4a04-9715-14a5422c8082	0	0
7ffbadd7-9dcf-4b54-a7b4-d31f1e5018b7	0	0
fa743fd1-6b66-42e4-8d81-434ebf7a21bd	0	0
0935cc0c-355b-429a-9cac-da5f0f62d915	0	0
560da3e8-8314-4f04-aa4c-3380ceca3a8e	0	0
91108657-7d04-4c4c-971d-a62042d9190f	0	0
33b92eaf-c754-4acc-a1b6-9e17b861e4f9	0	0
e4a86847-e901-4643-a1ff-e545b8986ee9	0	0
e79b8f80-061f-44db-938d-acda778881a7	0	0
a83ea524-ac04-4ef6-9caf-a65886782ec2	70	5.83317777777777735
b9340527-846d-4e9c-aa82-bd3add2d275f	0.594125249072381956	0.0495127479097782208
38a4aabb-8234-4e18-b6b2-a1142e7a3544	0	0
32ec40c9-4662-4fc2-ab6d-6bcc076a94ea	0	0
1bacc59b-a015-4813-9942-02c9c2bc5204	11.1837229437229446	0.932020404232804189
b6c552f2-dafe-4a6e-b30e-d476ba5ccb2e	0	0
e6c94686-b08d-447b-8c20-fd4a7b0793b3	0	0
d820e980-70ae-4664-a754-d26728540d7b	17.1436818181818182	1.42870682138888871
0f525061-4253-4aa1-8d7f-cc7b1c98eaa1	0	0
ad9acdf7-d3aa-493f-a578-e6b9330c7c87	16	1.33339555555555545
893186e8-651a-4a02-89da-c9d35c9c98ee	0	0
fe4658db-2871-471a-a98a-d61f0fa03ce9	0	0
a9bdee3c-177e-43a9-957b-ae2e025b038e	0	0
07cd2824-683a-499d-adf1-4b4e59eff7a6	0	0
518a2a9f-736a-4863-8ac9-7677d8a688df	0	0
edc388b2-25e8-4a01-b888-da42de4845e0	0	0
7be0d155-f443-4122-95a5-8e9c8bed699c	0	0
3936b16d-b511-4dd2-881e-a4ffb44a60d3	0	0
0e58b318-b38b-4d59-958a-2c302962eadb	0	0
7f51558c-7742-4036-8ecc-ccce872592cd	0	0
8c5930d4-aa4c-44b3-b135-d2ad5ba50387	0	0
7db98ef6-1714-4da1-8aec-3180f3870ef8	70	5.83360555555555482
04c879e2-0d7d-4a4f-939d-cf67494f765d	0.594125249072381956	0.0495079619008273603
30a3fbc6-2198-48a3-8161-9d0a5e3d2665	0	0
db30d7a6-a0f5-4154-a7cb-2423c7113e3b	0	0
3927f39c-e85d-45ed-8645-10d7eb929a4c	11.1837229437229446	0.931930313131313137
f0e2650d-a461-4a3f-8cf4-a59550028dee	0	0
4e1f2817-a161-4039-82b2-79b5999744e4	0	0
8db55fd8-840f-4f61-af2e-5bf157cb5c89	17.1436818181818182	1.4285687195075758
be616729-8359-4aa1-b6f3-9fc2e4b40019	0	0
b685606f-3d9d-4ff3-8b2c-b2046594c328	16	1.3332666666666666
a6dd67f7-a7f0-4719-b83c-e9ffa1c2eef8	0	0
5744cb90-cffa-45c7-be51-bccffee8c6b8	0	0
229bdcd8-6db3-44b7-88de-91727ec39cb4	0	0
719cc759-dfca-483a-b528-9754553c985a	0	0
765be265-099c-44a6-b587-517e600f0093	0	0
837ef90f-7714-4014-9413-0e59c64915bc	0	0
d6c6b82f-9bf4-40b4-b8fa-6edd3cb11c09	0	0
3c3e550c-63f2-477d-bc65-52b394cb5912	0	0
48be0bf4-3243-4317-a639-3c1a6f0fe2a9	0	0
cf290486-999d-448d-a71e-cd4c9b4c128f	0	0
8ee4b62d-9061-4e93-bd79-9448d50a34bb	0	0
12e65743-7763-4644-9ed6-fe326de8acc3	70	5.83304166666666646
5d782716-9f88-45a0-9408-50495ef05f22	0.594125249072381956	0.0495193493014345829
1c4c463e-be0f-4efb-933a-41622c4de675	0	0
571453ad-ef01-4122-b77f-4b00a51a3505	0	0
83d34f8a-fbca-45a3-90b4-d5fe3aca47a9	11.1837229437229446	0.932144667821067863
1a232af7-6a11-405c-8140-bdb79d348289	0	0
4f445376-f269-481b-900f-3005252ac58c	0	0
3a27a63c-0a0d-460c-ab2a-313cff6cab86	17.1436818181818182	1.42889730674242421
3dc83898-e238-4fff-9c45-795e9eac57f9	0	0
ce7aff8b-3187-47e3-9cf4-ffff6b6e5324	16	1.33357333333333328
155934c3-372b-43be-bd50-6f8ea2bdedfe	0	0
eb336c3a-4ccc-4922-952e-22ff304b8d39	0	0
0cf22dc5-badb-4e62-b7a4-b425c8a1f960	0	0
bd6be9d0-c338-477c-a94d-0377fabec452	0	0
79869d08-bfaf-43cf-8431-52bfac6026c1	0	0
4ad910c7-3fc8-448d-a729-01a2163124a6	0	0
62772a1b-dd8c-4bf3-a405-5649d5137cb9	0	0
47f3683c-30b3-4f8f-8a7c-44bed76452c1	0	0
e4bc387d-abeb-4d4a-a1b0-00502239f173	0	0
7e0c40a1-692e-454a-bab2-ec566dc0c6ad	0	0
23085f0d-d3b9-4591-bf62-0b0c18476433	0	0
c329e667-7684-4bea-9eab-a2771791fcdf	70	5.83438333333333325
ab0ce938-5c26-4e2c-a272-b0abe319be93	0.594125249072381956	0.04951291294456963
d84b0501-fb4c-4c13-a3ba-6a055e120274	0	0
e4ba30ef-446b-4dd1-99e6-168bf4ef033e	0	0
59933aae-ad80-4b7c-9d0e-ab37c73bc60c	11.1837229437229446	0.932023510822510892
019c4680-19a4-44db-a946-0b9a7cd8ef77	0	0
878ebc82-0d5c-438f-8aae-5dbeff544fb3	0	0
ca2dec37-479a-46e7-86f4-daf45f6a676d	17.1436818181818182	1.42871158352272709
0495db92-f44f-417a-aff1-b3ce6e41baae	0	0
c1699599-5641-4a8f-9bca-ae81d961423f	16	1.33339999999999992
b028074f-df3c-4cf6-ae2b-81bd5b4691d7	0	0
a0603af4-dfb7-47fb-9cbc-0b70bcd7cead	0	0
18092365-2bb1-408a-82f6-4128eb7444b9	0	0
76fd8308-7af8-4e11-b9b0-5754d3a7e8d1	0	0
18b44c7f-fa87-468e-97da-6679f35d2cf8	0	0
24652d65-f36b-4acd-a6ec-96f3d0968419	0	0
900c288c-d175-412b-b586-5715f232415b	0	0
5fcc8c4d-44de-45d5-a103-9e16d98e4584	0	0
d5f449e6-ed10-4606-a772-4ad1902b0aae	0	0
569aaf60-90d0-40ae-acc6-c102ca3822be	0	0
4c7abd85-7435-4bb2-adcf-25ad23552d27	0	0
a3f59ffd-1652-4da3-83f1-e7c046ab69d1	70	5.83362499999999962
2af02a3d-eb26-42a3-8141-2b488d32a791	0.594125249072381956	0.04951291294456963
8a936c13-6100-44a9-9bf7-12a8f2bc61e1	0	0
63205d45-4b98-4a88-b498-c6c2ded678f9	0	0
beb9c9e1-3431-473f-89b3-0a686abe7dc6	11.1837229437229446	0.932023510822510892
2b867884-f067-40bd-9ea9-a96aaccc78fa	0	0
251eab77-651b-488e-bfcb-16986a6a01d2	0	0
1929e45a-af96-49ce-ae6f-027fbf41f5e6	17.1436818181818182	1.42871158352272709
d4e1feef-15c4-4b6d-a424-1d14e6e11692	0	0
341d67a0-e7e4-4a8d-ad68-e67287c51c68	16	1.33339999999999992
16cb30cd-2b7c-40bf-a6a8-a8196400d315	0	0
551cec85-dfaa-451c-b538-a46a46bdf1d2	0	0
40612ab0-8879-4413-9c0b-527479db960b	0	0
66315cde-7bc9-4dc5-95cf-de4a320bed52	0	0
5f14645e-9385-4202-89bf-91cbbbfe3d98	0	0
54b0afe6-5992-45a0-bc24-78198533367e	0	0
e44df6d0-f8e7-4fd8-bda6-8766eaa11724	0	0
57b66f2a-22a6-43c9-b0a7-46c28bc201d9	0	0
30539b93-5eca-42b7-98e4-63fadc128c2b	0	0
6222a022-8712-4160-aecb-bf54240e72c2	0	0
bb54e369-592c-4cce-9ceb-b5caeb67f3ee	0	0
578505ca-ab4a-4f6f-9d9b-67ba6d4c5260	70	5.83362499999999962
405323db-4a91-435e-8e28-66cf899edc3b	0.594125249072381956	0.0495140681881094877
87ff1cf5-a26c-4d76-bd78-2bfc2466e300	0	0
e50696ae-c75c-4f9e-a2f3-a9bd0ff5a397	0	0
f94dd25b-e072-4cc3-bfd7-9009bd4f051d	11.1837229437229446	0.932045256950456924
3b68a9b5-ee62-4bea-8e6c-1f08ee229c63	0	0
5f1bc236-1529-4e6e-ab2d-e2d07b29768d	0	0
ba3c63f6-d1d2-488b-ad67-5c7093d50783	17.1436818181818182	1.42874491845959595
34e1eff5-6bc5-407d-b350-340172cbb0a1	0	0
4bb0848c-ef31-456b-9563-760516b0cfea	16	1.33343111111111101
bdeb58cb-6fed-40f5-8b64-1ef06642da70	0	0
0cf1d31c-0f14-4751-992a-436f6d037a58	0	0
7b5b2a51-e7cd-4541-a131-03f4c12a0bfd	0	0
fcf2ee37-306a-46b5-a0ad-49643956314d	0	0
e9ee8630-67a5-4edc-bb9b-4d67ead8dce7	0	0
efd642f1-0153-4328-9190-ca38cbfcdb1a	0	0
23eb7a53-208a-4b26-9921-5033c4c3f4c1	0	0
7959cb77-5554-445d-81e6-e86efb8a5756	0	0
568a8f3a-a4b1-4af5-b3cf-d801a933f082	0	0
e0a6d81f-de42-4916-96ca-ff16f9cc5743	0	0
9937a711-5cb1-40be-9331-e4c4e36add10	0	0
4b73612c-40e4-4fcf-a997-087145d77fc7	70	5.83376111111111051
f9347c9e-23f8-4951-a992-5b3efc537d78	0.594125249072381956	0.0495127479097782208
2dfddedd-9ce7-406d-a4b7-61bad9174c57	0	0
434bbaef-de9b-4b4e-b9ba-e7a142c553e1	0	0
f5862d9c-559b-47d2-b6e2-8f156ee9006a	11.1837229437229446	0.932020404232804189
b13b7fe8-b729-4793-9f4a-f0c92ff78341	0	0
39b1a1a2-3bf0-43c6-80d2-60b941dbe69f	0	0
5aa1a1b8-1770-4917-ab3c-3fb9e9770bf6	17.1436818181818182	1.42870682138888871
3187af82-e554-4466-a091-9bf3ece4937c	0	0
6b9750b4-462c-40fd-8bde-ad9202bda1bd	16	1.33339555555555545
a9e73b0d-1faa-48b6-b86d-03bad1336002	0	0
448a059c-dad9-4e53-bcd6-1dc23505cb94	0	0
fc11a0e8-b95d-44cc-9ed2-79fa9fb5eb25	0	0
be7ac9e5-a160-4cd6-ba15-04c8cdeb0012	0	0
775ede4a-c7d0-43fb-b0dd-3d5d06d58805	0	0
4505ae05-054e-40e6-83a0-58a1bfeb79a5	0	0
6fc85e1b-922a-4d18-a311-3cb270fb9af9	0	0
03c60326-7d0d-41f0-a008-988cea3855da	0	0
7ef6e44e-5b60-4ba7-89c8-1dc1657dead7	0	0
117bd774-982f-4e7b-a032-deba224a0452	0	0
18e999fa-b7c6-4ca3-9ef2-2624427c84e9	0	0
dcddf324-fc1b-46c7-b679-5e0bb02b00aa	70	5.83360555555555482
7a96eed8-005f-41ac-89c2-e0613b25be34	0.594125249072381956	0.0495139031533180854
d907f9fd-0b81-42ae-8e42-4bc7c117be67	0	0
ef2a2e03-07b6-497b-86d4-a39beb28f647	0	0
26791d48-7ce7-46d0-ab20-7fee4b578c85	11.1837229437229446	0.932042150360750554
6cdc6bd7-f3a0-4a8e-87fe-b82b856a3491	0	0
c766c1d0-de4f-4d12-9ab5-854b72d8142b	0	0
443f03e8-f84f-4f10-b182-ed6269236591	17.1436818181818182	1.42874015632575757
ac3b9128-c495-492e-95f5-afe649e51bf8	0	0
1dbf0082-3e67-48a1-a644-3e7c51f1e7b2	16	1.33342666666666676
0d8fa519-cf04-4c00-902c-06f659d1aea7	0	0
71109706-7fa9-4e04-8717-5e8aaf420cb2	0	0
60c72ec2-266f-484f-82c9-80a6c8090beb	0	0
a5378baf-55fc-44ab-830d-bcdcbd4b3e92	0	0
cdfbec72-b146-4fb0-9c9c-3c1be92b82e0	0	0
278b4706-a970-4f29-a1b1-392b0330d3e4	0	0
9897781d-9ae3-4ce0-b33c-1bfb5aa5dd73	0	0
db2eb949-52c3-43e2-9473-81056a676b34	0	0
a4f609f4-d2cb-4465-95bc-9febea7d6612	0	0
a832c2d1-027e-4e2d-8469-bc4174eb89eb	0	0
5e1ccb8f-c13b-4efd-b954-5df774a8e49a	0	0
0eb01a69-bab0-4f0b-a881-6722ba121d33	70	5.83374166666666749
dc57a40f-345e-4a6e-b210-2374c671439a	0.594125249072381956	0.0495139031533180854
f8af233c-07f3-4a35-992c-949cf2f0f4cd	0	0
bada6c80-5c3e-44fe-9dcf-e339f45d44b8	0	0
96e8e3ed-a286-407b-b5b0-080c5f529b20	11.1837229437229446	0.932042150360750554
bc0cbfce-17f1-495e-9548-e0acd0d3a200	0	0
ba677351-43a2-41b2-b4a1-d92114cce1cb	0	0
7d220c5b-16df-478e-9313-8cbf770a80f2	17.1436818181818182	1.42874015632575757
2750256a-2a3c-4b97-9da2-ede0bcca22c1	0	0
e8028994-caa7-4c4f-98d3-8878d6dc2569	16	1.33342666666666676
27140805-85c6-4973-a672-60078e8d58a5	0	0
deef7ebe-4d7c-4d95-bb83-96b3d4886e85	0	0
353094bb-7500-47a6-b76a-6b7d4dab9f15	0	0
dc269c9d-8855-4110-9fa2-1ed88bf585b2	0	0
3f21893d-a7a4-47fb-ac8e-8075e35b4111	0	0
ce95d436-2ff9-4808-ab2e-c8b5b93b1252	0	0
39ad4a7b-2a64-404d-9983-dd3a84fb1fe0	0	0
e9c4aa45-d096-46a4-9eee-192a72abbcfd	0	0
9609abf6-6e16-4d8c-90e4-c89e5d082c3f	0	0
77d423ff-3221-447e-acbe-14a03d6e7da2	0	0
6e351bf5-934e-4b11-9f3b-de7b66885452	0	0
f8a2aacf-88d9-4d35-b4e8-8db5c648d424	70	5.83374166666666749
93c7cd3b-413a-4101-8ef2-170598600abd	0.594125249072381956	0.0495104374226984917
ae270687-5b57-44b8-bd26-b6fb6ea88769	0	0
bf2a4201-e7a9-4c96-bce2-29e8982fc506	0	0
2834df02-7adc-489b-874e-788550913ef0	11.1837229437229446	0.931976911976912015
a28745de-d302-4959-8709-b4d927821fb6	0	0
4c31cb9b-e12f-4556-b90a-064ca0536f01	0	0
7fb0dacb-3a2a-4230-a14f-bd420eca3d18	17.1436818181818182	1.42864015151515145
76e9879b-4db6-491a-b6c8-3830dcf91f2d	0	0
8247c8da-3bcc-48ed-858f-5f364a4e0548	16	1.33333333333333326
0b111769-1ea6-4200-bbea-4214edbe4b4f	0	0
61953a75-489b-47da-a624-a7d52829039a	0	0
5463566d-3ebd-41bd-9f25-fa673cadf5ce	0	0
c5783fb5-e432-4b2a-ad63-8f729564c4fe	0	0
dc3d23fd-14cc-411c-bb63-bf621c8e5391	0	0
120e8844-8737-4ca5-a09f-374791482041	0	0
f2a75edd-cf4c-48b5-96ed-ddbbb242d320	0	0
6acf7afd-db97-4975-904b-5cfac9909f4a	0	0
6a4d912b-43aa-45e8-b2f1-a955d3fa0e72	0	0
4a83230e-a1e3-4281-bb0a-99a93d09e30f	0	0
7a81fb53-3f41-4cc6-9718-a53d8eb1cc16	0	0
6cb2e8d7-83c3-44c9-aa14-beaaa8a2d792	70	5.83333333333333304
410903ce-410b-488a-a6f7-2fe1fdca6b10	0.594125249072381956	0.049518689162268946
fa2a95fa-ebbc-449c-b4fe-7c06ec6e00c9	0	0
033dcfde-370e-49b8-abae-8140b82b9c21	0	0
9287be6c-ab93-4d1b-aff8-a5bcd2515f01	11.1837229437229446	0.932132241462241606
6bf805ee-5a2b-4299-b471-679dce55d470	0	0
45e24764-80da-48a1-8981-657886a9a990	0	0
9942dc90-a021-40bf-9a91-72a13a782def	17.1436818181818182	1.42887825820707071
3399c53c-80e6-467a-b983-a6d1be3163de	0	0
a047e959-44de-46cd-8a36-63f797b9c9c1	16	1.33355555555555561
3510d26e-7b2d-450d-a6a0-ee5a4ccca92b	0	0
0c62f4f4-f135-4b2f-8266-0f6c66659bba	0	0
f1c8a7a9-cfe2-401c-8e13-219f74917ac9	0	0
e3a601f5-4d9b-4df1-9fc4-096121ed4bd8	0	0
e0fc9bf9-2012-4d6d-a813-001cb5fd58fb	0	0
563cad8f-1d83-4fb2-a5b3-b20fab020204	0	0
c69c50f1-a885-4205-bb4d-688b13e18a8a	0	0
2fc6767a-50a5-44ec-ad7a-79b5c1ee1d98	0	0
f4d1ff9d-931d-4776-b6ce-7d091541ca15	0	0
1ceeeef0-d55b-4e4c-a714-8e65f8cbb59c	0	0
3c1b3490-b135-4829-8bea-967f7e78527e	0	0
a678b190-7d23-4e6d-8c94-0a427c5849d7	70	5.83430555555555586
4ab6e502-b30a-41a1-9718-141b30fd7220	0.594125249072381956	0.0495147283272751315
e0f166cc-03b4-4be1-b56d-1fa027108f0a	0	0
c5fb7489-62ec-4cf8-bbda-4b0ac040fed9	0	0
d3ddbf86-1e80-4ccb-9c08-de01f40a6000	11.1837229437229446	0.932057683309283402
ce1830a6-da5c-4a49-9867-e8074c2e6001	0	0
9ffed958-d263-429b-99a2-18154adfa12a	0	0
2f0d8979-3dad-4020-98c7-8356f5c2fcc1	17.1436818181818182	1.42876396699494945
3612f6b4-2037-4092-822f-68be417df035	0	0
86a1884d-cff4-4955-b9e0-8f3450875ad3	16	1.33344888888888891
7c9298d1-de9d-4f2f-ae05-821884e8f79c	0	0
ad2fdff7-7765-4470-a2d7-d99a3ba4a327	0	0
e9168ddb-8579-4a73-9f68-eb6222f4e7e4	0	0
0c589220-9df3-472e-a29f-4e838c8c6aad	0	0
bcdf5e16-8db1-48d5-9607-d155d1e2be78	0	0
e217fed9-7b76-46a7-9cf5-4605ed515cba	0	0
21aaf641-dead-4762-9de1-83b1254ae97e	0	0
3d00a583-5b82-4366-b7c6-87fc679a2e62	0	0
6ab778a1-f37e-44e6-8032-b7f5074355b9	0	0
a91f50a1-8789-48bf-956e-4cad97579d91	0	0
96023951-adfd-470b-bbac-d40ae050e506	0	0
b7350c9f-6c9b-4e62-b6c7-2c6c50cb171b	70	5.8338388888888888
f9197c97-00ea-4ccf-ae00-50069de31124	0.594125249072381956	0.0495109325270727263
018c685b-2848-4903-8f0c-5efe1b1c5a74	0	0
5d7e8b4c-eebf-4962-8aaa-d4f8d53206a7	0	0
8c115675-0c13-4ea6-81f5-9e9697130ab4	11.1837229437229446	0.93198623174603179
64713bda-e106-413f-b6c0-f86222476a7c	0	0
20901a04-1bad-4073-acb8-0394d1a3e8c0	0	0
6cef3b22-3d5e-4737-a6fd-e166b71c8e06	17.1436818181818182	1.42865443791666658
5ef0439c-1848-438f-9664-3b09ff749630	0	0
87331079-ddc4-4389-8549-4ba4996f2649	16	1.33334666666666668
e9f67c7e-06d9-4c8c-be9e-d6c2e5c5c8f9	0	0
45ec758f-dee2-47e7-bedb-6acb3da1923c	0	0
8da53ea5-b346-43b3-bccd-a5af24f838e5	0	0
263bbb83-5391-493b-9a1d-bf88d9bf7aa6	0	0
8c49fdb6-1b40-4b9c-9b4f-beaec79d79e3	0	0
a01e7198-82bb-4f22-859b-4da68a5de288	0	0
93f85f05-2d7d-4dca-b980-62ff2453c3da	0	0
17366d18-b30c-400d-86c6-3ee667643ef7	0	0
049f8f50-7bfc-4a5b-9ef1-4316e853abcb	0	0
0ab8eb93-58e1-4e66-9393-118557adbad1	0	0
c3d841a2-44a9-4973-91df-9b4a5a142150	0	0
22059dc1-e5fe-49a0-b11c-112fbd153302	70	5.83339166666666653
9594d469-7e86-492d-b90f-cdef00f8d43c	0.594125249072381956	0.0495086220399929972
71c67789-c66c-47e6-8334-bfe4ad347688	0	0
03b71f5e-3b7a-4531-b591-4f039a961e92	0	0
5542ea95-29eb-4e17-81e0-66dad270524b	11.1837229437229446	0.931942739490139616
1ff13071-3666-4909-8069-38933ef64817	0	0
cf0dd164-fd8d-4c99-8d97-a7c54ea00ec5	0	0
54d063cc-0b68-4d9b-992f-d3aabd53997b	17.1436818181818182	1.42858776804292931
526a47f2-6452-4764-9871-2fcdb8a20499	0	0
187cd706-a50d-4412-831a-3ba8d92fb065	16	1.33328444444444449
7b0905fe-d798-4de7-896c-c123f8a4bea3	0	0
2c81065c-d6cd-4fa1-8c51-c0ecf044b1e8	0	0
e01b0261-c698-4666-bbad-1f6b2cb06ef7	0	0
4e4ea7b6-8bbb-4a9e-ac63-b3f4a83aab10	0	0
2137b8ad-5ae2-4ce0-98bb-674ea77b03d3	0	0
f56756e0-2186-46ee-9896-54263fbac867	0	0
a09f2860-8f60-4ce6-b82a-39a85d0c84aa	0	0
974dfc50-e277-4c19-9d81-ed2a5290d95e	0	0
b84473f1-b431-4195-bdd7-d983c7494f8f	0	0
e4c74c7e-66a8-4613-9194-051a96bffdce	0	0
339b5023-fd15-4ace-bbf5-517f1940ceab	0	0
246f4564-1022-492a-bacf-53edcbba8f0c	70	5.83311944444444475
b0dc6225-8843-4ffe-8989-072225580290	0.594125249072381956	0.0495218248233057143
899bab9d-64b5-4566-b123-3c5490cf8712	0	0
43b663b7-7658-450e-abb3-dae58e747003	0	0
4eeebcde-8aab-4983-a44c-dc375fbd7fb9	11.1837229437229446	0.93219126666666674
18116da1-2d4e-4920-ad45-daa2b03e0dbd	0	0
27ad13f0-981e-4584-859d-25d8844d2ff4	0	0
5acbeb4f-133d-4bd4-95ac-8975d5a10a1a	17.1436818181818182	1.42896873874999986
bb8b6987-3542-45ab-856a-3d7c7109dc94	0	0
74d78e7d-72c3-4b3c-bc50-dbb1c5fab54f	16	1.33363999999999994
d0d83209-b096-4227-978b-06cfce03953d	0	0
20b89a21-b8c6-43de-8d1d-d5465cc15cce	0	0
2bf90f4d-7a3b-47c4-861a-cb28d10c7f98	0	0
780e548d-da82-4d7e-b9c4-87343ec5cb01	0	0
156548ed-9490-4c66-9bd0-3f6c6651677e	0	0
4cb07b63-8b90-4961-ae13-b611c1b7e358	0	0
8d6bad03-2f04-4c16-be26-7ab958192b2d	0	0
740b5ba6-0980-4e9f-9437-87a546eb3ffa	0	0
b0a4b025-c538-4344-8c19-187e06ff8028	0	0
f856169a-6bda-4fe2-b891-28462ba9bb7c	0	0
f7eda323-e08e-44d0-8b16-8f70f5915e82	0	0
e7d734cd-7540-4300-8a9d-99cc91c226b3	70	5.83467499999999983
77e1fff0-b4ff-4ef7-9cbd-18062a17824b	0.594125249072381956	0.0495119227358211747
321b1650-d220-48ae-94fc-c9ebe5010d33	0	0
8f22eb02-f2c9-41f1-85b9-a0794a7b0d58	0	0
5881e3e4-a94e-4bdc-b4bd-42fd9a71687b	11.1837229437229446	0.932004871284271341
00d7a751-4b3c-49e5-85ce-a3f04c2164ae	0	0
c071653e-ecb7-4a7c-bc44-77d037b013f9	0	0
13bc6fc5-3dfa-4bac-b25e-d32f8e463c85	17.1436818181818182	1.42868301071969683
3e784aef-77a4-400c-81f8-5987af6af513	0	0
bda4aff3-62db-4c94-b4b9-7f32d9b452d3	16	1.3333733333333333
b26e71da-275e-4a26-aacc-c58b4f78ee68	0	0
966649d7-f5d6-4921-aa72-0ad069d87fac	0	0
6e91f87b-0774-45ec-8479-f9788a7381cb	0	0
af108e1b-1cfb-419e-a86c-8259afa91a79	0	0
e454a330-26f9-4ac2-b49d-427714cfe344	0	0
4a2dc299-325d-4477-949d-abe5f2081961	0	0
f54d2140-fb61-49fc-8bdc-3281fa813b8b	0	0
f21b4169-652f-44ec-8547-c26259211128	0	0
3551b330-b331-4c5f-b7f2-7754378e2533	0	0
5dad8185-84f7-475e-a7fb-9de538842ad8	0	0
1a33483a-02ae-43b4-af4d-bf5a7c8f18b3	0	0
a93a55c6-e74c-4a6c-a42d-6ba9fafe40a2	70	5.83350833333333352
f12cafff-81b3-471b-8741-397c14fd8e29	0.594125249072381956	0.0495172038491462629
2174efd1-0753-4fe0-b801-7148beed5dfa	0	0
d978d52d-9541-402d-8af0-106798cf2204	0	0
b12b2130-228e-40da-9d85-688ce5e3e23c	11.1837229437229446	0.93210428215488228
16997c4c-a0a0-4fef-a08c-1883790f73ed	0	0
58bf726d-90b1-409f-986a-202576701396	0	0
84f78bfb-31d1-4552-ba99-5dd8cc919f6d	17.1436818181818182	1.42883539900252532
9fbabb1e-e650-428c-8c38-9d7989a48a31	0	0
ffcfb7fc-a3eb-451a-b8fe-b231dd43ddab	16	1.33351555555555557
7abf96c3-10b1-4539-b71f-cac4786bc99e	0	0
ebbcbf6d-338a-4158-8ad0-02cd649cdb28	0	0
b509e76b-b4cd-476a-8a40-0960e46ff38a	0	0
dd55b9ad-43d9-4977-9ada-78d4a6ea09eb	0	0
474b4cca-552f-4260-b15a-355569a14fc0	0	0
764dd4b7-9b23-4702-a5db-05db3ec527e4	0	0
4787af72-05d6-4b5b-9867-6f4e3e460ba7	0	0
2bc87a42-34ad-4b09-b1ba-4355d3c3ba0e	0	0
9bec219c-2159-40a8-8ec9-ef86d67be242	0	0
ee562d86-92a1-4d30-9147-4632d95c745c	0	0
0a29e959-75c2-4d2b-9827-937b8a23d668	0	0
0cd3bba9-40db-4563-9a2e-f0d6be53748f	70	5.83413055555555538
d3fe7ccd-dc2b-459e-8c3a-24f7c02a9414	0.594125249072381956	0.04951291294456963
0530bb9e-71c7-4abe-a447-4abec321c9ba	0	0
1300d85c-185b-4aa2-835c-19b6cdd897b8	0	0
0c8c6652-22eb-4732-9733-e3bce85f4c26	11.1837229437229446	0.932023510822510892
d6bba953-ac1a-4785-991d-1375d074e06a	0	0
928b9767-42a6-480d-a233-cf9241584254	0	0
45cb7446-f677-4184-bdca-62fdfb1265ae	17.1436818181818182	1.42871158352272709
16588c63-0ad8-4b0b-bb9e-55cb42690b46	0	0
fca3380e-a60b-46e7-af7b-51ddd78522f7	16	1.33339999999999992
8ad7dcac-187a-4ca5-a61b-64ef95e8f960	0	0
f529bc08-609c-46d3-8029-a999229bc168	0	0
26dcf3b4-6444-4922-b441-d1bf2bddbbee	0	0
a3c8fd2f-489e-46a5-896d-5fa5ff54eb41	0	0
39de5d0a-3aba-496e-b1eb-b31a098ef9a4	0	0
6327e2b5-d3ee-458b-83db-3985ed1172bd	0	0
529eb9ae-bc9b-4f14-85b1-7cf98a8264fb	0	0
b1b36a97-5412-4c85-ad79-b712bd762fe5	0	0
d4c355cb-aff7-4f2a-bda8-7e04d14d016d	0	0
600c5a2d-1ed1-4fa9-bd53-0c5486da9391	0	0
a8020d0b-fd45-456a-9e57-1050d1679953	0	0
984a51d5-a463-49b1-ad6e-0a4caed38fc4	70	5.83362499999999962
a10530b6-a83d-4d26-9ab0-13276b6600a6	0.594125249072381956	0.0495153884664407615
c5418e83-455c-44b1-86b8-4db6c7806f19	0	0
ca3fbdda-5b01-41e3-a835-71bff0bcecf5	0	0
1e599b60-26a9-4feb-9623-83b4afbcb3df	11.1837229437229446	0.932070109668109659
efd46b87-6b08-470e-a79e-e91ebc2f46e1	0	0
b84e094c-c520-49a5-a2ed-c99cccf9b35f	0	0
e943d54b-ee6a-4ef9-9041-a4e1a9a66202	17.1436818181818182	1.42878301553030296
5fb7c97d-41b7-4848-9329-5564d990f8e3	0	0
4215f0ad-70b9-4c6d-a9ae-48b351ee0d87	16	1.33346666666666658
8f0fb496-6419-42ef-b280-6ad811bcf35f	0	0
ed99fe9d-8473-44bd-a8c8-a7f1060af6e9	0	0
7990ec8e-3fea-4ad7-b14d-2dd8f13b4f7e	0	0
3c69ad61-485b-4945-939c-057accf52612	0	0
7741e8ae-8bc0-47d2-b0c3-c130262d567b	0	0
94f963c8-fc1d-4599-abde-17c89ddf3fb0	0	0
a6fc90be-9385-4c31-8b1f-b5101da5e9c0	0	0
04f34d46-3a2c-4046-b02e-2f8c57c11645	0	0
aa8683f1-fb8a-4434-a74d-f4dd916677b1	0	0
bb1c7a81-303b-43fb-9678-09b12605a133	0	0
414ffdf5-18d3-4712-a020-6437b2442881	0	0
3046acf2-dc80-48c8-a2bf-46f74c5732fa	70	5.8339166666666662
2a69088c-8059-48ce-8b5c-5dec52043be9	0.594125249072381956	0.0495089521095758225
0a0ddc19-8310-48e9-94c8-b8dae2cc0999	0	0
d5a9614b-8a28-4b6f-b9ee-92426c9c6ad2	0	0
5e7b64bc-9f54-4b03-8a9c-8933b6ec3c5f	11.1837229437229446	0.931948952669552799
5c107c4a-7e87-4c4d-9b22-23fa5dcfeec4	0	0
949b6ca0-ad7c-4a7b-b3a4-fd6d432d766f	0	0
be370c1f-0e06-4fa8-8ce0-2198fb856f9b	17.1436818181818182	1.42859729231060628
173b3c6a-208c-471d-9560-d977f89aedf6	0	0
00707866-7b8c-4d96-ab06-bdf8c7284b61	16	1.33329333333333344
93e08ab6-4b33-4f6a-8920-9d506dc161d1	0	0
316ae1ab-780b-4c1c-8b3b-46ca42ae6b03	0	0
e015ef91-fac1-4af4-a3a4-c65783c2b721	0	0
9e13121f-b021-4da3-9d0c-4e21dca90f97	0	0
da8f1d62-257e-45b0-86fd-affbd4a56ed6	0	0
04555282-6a18-4c33-bfee-6001a3b0b606	0	0
7c189991-3ba8-435b-8713-b126ef1cd0fa	0	0
1c099b80-9387-47a5-9da7-126b0182874d	0	0
2957c084-fff7-41cd-a8cc-d276af27da24	0	0
871c3960-16af-4f86-88ba-04780dfea533	0	0
7b99dfb8-8db3-4315-9894-c93dcbb19fb8	0	0
95305c3e-2077-4f5d-8716-2b772e7e507d	70	5.83315833333333345
7652f15c-0e2e-4cfe-96bc-4a03326fa17a	0.594125249072381956	0.0495119227358211747
569cbc9d-f86f-46c5-93e5-8aa0ce12a301	0	0
e7dd91ff-a11c-4804-ab3d-8c56da6569e5	0	0
aec618c6-c43a-4066-8b72-0d22e159f723	11.1837229437229446	0.932004871284271341
204d795e-2d1a-4214-9f52-0857294f4a38	0	0
8fd32ee6-9a2f-4ff9-a381-ad482cbe1c34	0	0
90bbe8ab-546a-4fb6-beb8-1843c83ac86e	17.1436818181818182	1.42868301071969683
885fed49-4d94-429f-b083-291d376bae2c	0	0
e94d3107-c2dd-44ab-b925-3398018a86b0	16	1.3333733333333333
cf71b9d4-e4a8-4891-9374-8394d736cd8d	0	0
aaebc639-1576-41ab-abd1-125cf1c60dd2	0	0
e920ee7e-d451-4e40-a568-08fa2b058455	0	0
fd7b7b0c-1853-4b3f-9da6-2cdf29ca78ab	0	0
8a828f7f-3ae0-4a54-b363-187b12e89795	0	0
592e7674-7d3f-4526-a586-d16b2ab82dc0	0	0
ff8f21ee-ddbd-4134-9cd3-cc398df1bce2	0	0
08da1507-8838-4716-bf36-938d98e28703	0	0
535dfc84-0028-4cf9-a207-4d947e497038	0	0
f6dae6f6-9941-44f2-bf77-f4d655f1196a	0	0
026951e9-3ba2-4d36-bc9d-3562627b3ac9	0	0
2c74b03f-4c3f-4599-a521-d1bde59a0f36	70	5.83350833333333352
a4fd6bfa-88ff-4ec2-a59b-d744a279606a	0.594125249072381956	0.0495153884664407615
1d62cf24-c67c-4997-97dd-c801ffdfac10	0	0
729e4577-37b3-41df-ad2e-51da356cd61c	0	0
61918c10-8f5b-435e-8206-1eb8e32396f7	11.1837229437229446	0.932070109668109659
4d1a5dab-d717-4aa1-ba7a-56a9bb722411	0	0
c4ed8c38-1853-4e03-a638-33696d821e45	0	0
65788a25-cff1-47d4-aa8d-9529102fd2a8	17.1436818181818182	1.42878301553030296
79af9cbb-df67-4430-a6de-36c94f2f2a45	0	0
8d245436-81d8-434f-aceb-393d6022f513	16	1.33346666666666658
decad6cd-194c-4193-aeb4-9f451757c08b	0	0
a6b7f652-186c-4989-a53b-d48d9d9a26f0	0	0
62fccfae-dad9-4e2b-aee5-6c2c61a50760	0	0
d70e26dc-e1ee-4d9a-b6cb-50ab346719e9	0	0
a15fea41-3807-4f3b-b4d7-b09addc18367	0	0
6758ad72-0f0c-40c7-8bc4-27b7f863c1bd	0	0
56501767-9647-4309-ada6-3f67a63e648f	0	0
e69abd15-dffc-48df-8e2a-14f38040dd95	0	0
913fde31-d6fb-4316-beda-91debccb6c01	0	0
67d3ec7f-20d3-4d7e-b888-b12bd97b93d8	0	0
4a5a5b08-5edc-414a-938c-d6b24569bdd0	0	0
45c5121c-b3e3-46e0-9472-9a6cbaebf066	70	5.8339166666666662
9a6de58e-4540-4899-a4f4-b4ffbbbf7091	0.594125249072381956	0.0495178639883118998
a853dd17-2e6c-414d-a0a9-21b5b807fdb2	0	0
3adfeed6-a443-4063-94fe-743107cde8ef	0	0
f8fa8fad-be18-4ac8-824b-b4f2e40b248e	11.1837229437229446	0.932116708513708536
951f3edd-cb5a-4956-8166-f6ff2a272661	0	0
579c61b8-a838-402e-ad48-06fee78feece	0	0
1611173c-baf8-4fa4-a5d0-114d2ce35521	17.1436818181818182	1.4288544475378786
a7f39c04-4634-4bd5-8347-355d1af01418	0	0
ed8cbf87-aada-4984-bf9f-ae98c5a0c7ee	16	1.33353333333333324
b8c2b3dd-8a71-495a-927d-f82d1134fff2	0	0
8a77c27b-0c45-4093-ac70-fdb16d6050f9	0	0
18f3af30-2470-4573-aed9-575a824839a8	0	0
11991c28-fa7c-4c89-aed5-70f8c745072c	0	0
0a82b29c-bb9f-4cbb-adfc-5c9ea6284c01	0	0
4097ea33-3304-4313-97f1-b6120e111d47	0	0
16465a30-58ce-4502-ab57-8f765fee4baa	0	0
4562cecb-7c6f-44a1-ab20-ae8ecfedf0cc	0	0
ab107cd4-72ce-4da6-b9f9-b8b02c053ae1	0	0
31f1d8fc-9ed8-44c1-9a63-f8c6158f10ee	0	0
063d51cb-36b2-4f54-9a95-c3b7592929ac	0	0
8c9439b7-37f4-4a84-9cfb-3b0fc95fcb69	70	5.83420833333333277
67775d33-1f4d-42e9-aa39-5f02a05bee56	0.594125249072381956	0.0495084570052015879
76f940f4-a603-42b5-8260-6345dc80bc6d	0	0
4d2807fa-0759-4a2a-8cb1-6044561364f9	0	0
cba8f573-4efa-44ca-a759-9aedc09e4553	11.1837229437229446	0.931939632900433024
997db5ae-c93a-40b3-b375-66bcb901ea35	0	0
68f136fe-65d3-4e53-b650-1b9e5a44f5a3	0	0
95e4fe4a-dc0b-423a-967d-e31a32b30d93	17.1436818181818182	1.42858300590909093
040918c4-c5ec-4b91-87d1-24163e32d9a2	0	0
8e4ce8f3-37b4-40d6-9836-c42b7cb4dfab	16	1.33328000000000002
176d478d-13aa-4a63-8fc2-1255b940690d	0	0
c215cb76-773e-4593-9839-5db453b9f6cc	0	0
f65971c1-8786-4215-b834-e2afa3573aa6	0	0
d83b0c6a-d371-49b2-9925-313c4eb5339a	0	0
8b5d7081-a98f-4d27-8f46-6b88362d136c	0	0
941d3214-fe56-4c2d-ad6b-725cd4fd6ecd	0	0
f35f6698-fb28-4577-8e2e-ada445774411	0	0
257bc872-17cd-4aa7-8312-60b63f291b22	0	0
78abf602-7fdb-4981-8a54-7a8620be6004	0	0
979dfe5d-edbc-46a9-9429-4c2095191050	0	0
b6940586-1d34-4c0d-ab03-e0eb1e43c8f4	0	0
ec87bca4-5b14-423a-9f56-c42ffc7d53d5	70	5.83309999999999995
0d45a089-087d-4b16-84e9-02a71e7423d5	0.594125249072381956	0.0495137381185266762
4948e6b0-23c0-4a70-a72b-143cb38622b8	0	0
708c4f22-25c3-459b-bad1-69952bdf2818	0	0
c263c069-e2d4-45a7-ab47-8977795bf1cd	11.1837229437229446	0.932039043771043851
de8320d3-3bee-4e45-b837-984df3b9a7fd	0	0
33b49152-816f-4c91-b37a-2f806be5f25e	0	0
c5b60bdc-d01b-458f-8ffa-2559129a9b57	17.1436818181818182	1.42873539419191919
b9b53697-a2ce-4e63-9157-a1ffafef8a0a	0	0
d7a6eade-baa3-4ef1-873c-7240f05a8e3a	16	1.33342222222222229
d709a958-6362-4e7c-8d4b-4511c20402fb	0	0
230a7db4-4137-48e7-88bd-2f4256d793b9	0	0
b4615bb8-9c8c-442f-87c1-a71e30c6b8e6	0	0
ace935e0-b61d-46b4-b3c4-a7ffce6362b9	0	0
acd128ff-a880-4745-8ff8-930fa910f02b	0	0
aea79253-5be3-4260-96f8-91bda8b67e3a	0	0
911dfdde-0ddd-4949-8981-f59d51233db1	0	0
91fcb106-1dcd-492e-b0d3-170392e80af3	0	0
010944da-3d59-4a4f-a575-f335f4c47a3e	0	0
ca5cbf93-d876-4938-8788-f79492f0baf3	0	0
82758be7-2413-4698-8e66-7411162f54a2	0	0
c0e06735-6df8-44ec-8dc8-cb52ca10ca4e	70	5.8337222222222227
0f45593f-4533-404a-8d63-5b412d2d795c	0.594125249072381956	0.0495142332229009038
ec6ee990-8716-4646-a07a-2c54a6f5a9f9	0	0
d4970877-37ea-4670-a883-80272c535a8a	0	0
514f71f7-6b08-4083-a8df-1e9f7f886096	11.1837229437229446	0.932048363540163516
b923b3a7-7877-415d-bdd1-4db36d4c3f88	0	0
a3d7192b-658a-4062-a1d3-3e48b11282ad	0	0
41179036-f332-4608-9587-4fcb3ec14ab6	17.1436818181818182	1.42874968059343432
0a0ccd56-2126-429c-98f2-b6af276dbd9b	0	0
41a78299-44df-4bb8-9c71-a466b6ae25b5	16	1.33343555555555549
790d5cc4-aa2d-4ff1-b947-9d8c61fb6403	0	0
3fbb33e1-15b2-4622-baa5-2dc2b00517b0	0	0
8bc60a32-9e0e-4922-85ac-be216b71f461	0	0
82bcda14-db6a-4d6a-b0f6-0e8f761b6a76	0	0
52f696fc-c7ef-45ac-a7a2-2235cdf9a6e0	0	0
27aef037-fbbc-42b0-9451-7b1c91b9901d	0	0
3adab0f4-5d3f-47f1-8c64-b3e267a4a29d	0	0
a3b38e3c-2866-4cd7-8b76-515ef8a6f49b	0	0
1e9d5a5e-4d91-4688-8b64-b15370e758f8	0	0
2ffcae54-cd60-44e8-a4d9-dc4ffea6161f	0	0
ac6a4506-6415-41d7-bdd4-7325e9568107	0	0
4cd1ed6b-a647-458a-8a4d-96fb0ad26fc4	70	5.8337805555555553
809b38c0-8001-4b49-9f01-01c69d1a5210	0.594125249072381956	0.0495137381185266762
6294ab67-f027-44d3-9063-730bb6d2de8b	0	0
ee23c143-ac01-4ba3-9e2d-e13a5dc06637	0	0
35e6147e-e59b-43ac-9481-ef099ecc3d83	11.1837229437229446	0.932039043771043851
0fafc605-7562-40ab-8ff2-834b87db0006	0	0
ae4e3c35-f598-4754-afe6-27725fddbfd2	0	0
e15232a6-bb14-4c08-8518-261866565c56	17.1436818181818182	1.42873539419191919
726a7b61-189d-47d3-ae22-317910532f6c	0	0
92256eb6-4e73-478d-8f12-4c47d188aa13	16	1.33342222222222229
d1fd278f-53e7-4cd3-9048-6589fec140f9	0	0
efdc1a9f-d2a5-42be-aa64-e84b6819e6cf	0	0
334519d3-aea3-4772-8e5c-a1527aad48e3	0	0
4263661b-acf7-440a-8b8a-b7c01b874277	0	0
9f098a22-aaf5-4974-991a-890d24c793d9	0	0
cc7dc1f5-015a-4b8d-9461-3b5844421877	0	0
9cbf9152-a57d-493e-9fa1-fbeab9e1d40e	0	0
18619503-f6be-4e77-90ff-085c29b0638d	0	0
7a0f91ab-bd90-4784-8e59-1af203cb1227	0	0
4e337a9a-e593-4702-bf04-bc4f2cebaef5	0	0
355be1e8-a160-44d4-974d-e09177658723	0	0
171151fb-9abc-421d-a144-803188e41f63	70	5.8337222222222227
37d8653b-e824-488e-8402-268a40a1a863	0.594125249072381956	0.0495091171443672179
26753845-9c3b-4184-b39b-abb4cd17c237	0	0
9fa0868b-0a2c-41ba-9829-0b632318491d	0	0
ba8cf514-3d31-4339-93f7-4a71fb5c78c2	11.1837229437229446	0.93195205925925928
e2564044-1580-46cb-85e6-2c36d45387d3	0	0
c9620a30-d1b8-475c-9bf5-6e4a6a8a8d2c	0	0
d5553cc0-a12b-4761-b21e-d084c822b196	17.1436818181818182	1.42860205444444444
fa4d08ba-caf3-483e-8e0b-3718257c04da	0	0
8f1ac0b1-698c-4d84-8c3b-49ed42b311ee	16	1.33329777777777769
03572544-f250-4d45-a74d-7edc4be2fe7b	0	0
bdaa40e0-cc11-436d-a34d-cc38e885641d	0	0
4fb82ee5-0c0e-436a-b753-fb490bc54281	0	0
8ed583ed-4185-4ca1-bb41-f28412bb3bb8	0	0
ce971dc8-3de9-493f-94d2-4ec4ec4197ad	0	0
551078e7-e0b6-4397-9473-b29ab0feaf65	0	0
8899ffc2-6d36-4042-ac23-69252c011394	0	0
f99ba889-4035-4431-a709-09e9050e09cd	0	0
01e5e885-d9df-4ca8-bd70-6987d44ff868	0	0
90121071-09fd-43e4-908c-70a51cb6a340	0	0
1464ba86-d8e9-433a-8b8e-4b59f299cf3e	0	0
33b728c7-3762-448d-b6d9-fae886fe0c3e	70	5.83317777777777735
1ce26a8e-3f6f-47fd-8fde-cd94bf7126ae	0.594125249072381956	0.0495181940578947183
aba0d463-9c01-4d98-b0e2-c44b6795e9ec	0	0
8c6dc041-37e0-4e66-86ed-34e068777762	0	0
4c2ad7c1-d3f3-4619-a34f-a0ffe9243a7f	11.1837229437229446	0.93212292169312172
594a252b-d667-4546-92fb-8d5a918c1203	0	0
b5b337b1-1e5e-4059-91b9-5483c1f8d344	0	0
05aa9c37-e846-4cd9-9276-a93767c41a69	17.1436818181818182	1.42886397180555558
32df5ac8-5f89-4cd7-abe6-13449a7f99a9	0	0
9bbd642b-4c97-40d4-8aa1-8d976daadf29	16	1.33354222222222218
03975b67-7db9-472b-8b0f-6d5e5eb05882	0	0
0d670bee-e9e7-4500-959c-b62442f4a81a	0	0
f5547b15-66ce-4d10-ad4f-970fa2687c9a	0	0
ad2a1bf7-dda1-484c-846a-17225fb31c91	0	0
b299a1d9-e4b5-4203-b11e-14d98e0811a0	0	0
c7cb15fe-3cc0-49e8-a317-4fa537eaf166	0	0
98a9fd68-e783-4f50-b5f9-5593afcd5d97	0	0
2f49847a-b139-4b9e-9a4b-7e403820acd0	0	0
0f643838-5d87-4f50-948f-4bd5b0ccb0c3	0	0
3cb8328a-0fe9-4a75-a2ad-c319c8cfdd7b	0	0
2f0dd65e-62b0-402d-8988-87bfaf4eae6a	0	0
60112b97-f893-417c-a4ac-f4dfdd77c99b	70	5.83424722222222236
f4ec5e32-6971-4e71-a6f2-5be25e6aedc9	0.594125249072381956	0.0495162136403978145
720df526-9ecd-4d6c-ab19-bfcc2db17bef	0	0
732cdcf2-78a2-4f56-a525-626fa47586d9	0	0
1e1c1f57-ec65-44ad-8700-cda3d06ce30f	11.1837229437229446	0.932085642616642729
cf3375f2-2be6-4edd-9049-0b18922315e7	0	0
897ec126-b65a-4da4-8ece-7743ef128113	0	0
66bfd9b4-77c0-4442-b024-cf8f47340180	17.1436818181818182	1.42880682619949506
6727465e-9157-49b0-b09d-2b30fd9c31b1	0	0
7670c2ef-38b9-4859-88b9-a15748f75a66	16	1.33348888888888895
a915bcd8-9729-414c-82f0-c3bfe92ca3b4	0	0
26aa0af2-bca1-4453-8aa2-61d6c3fc92f5	0	0
3a485e62-dd58-4cc1-aa77-58643a90012e	0	0
1cb180c6-b00a-4473-8ed6-22adefb017ce	0	0
3f1d3ec1-27c6-4920-9eb8-7f07ec3472e4	0	0
e1cfff1e-b13d-4949-a393-6a6ec0cea145	0	0
b4e1310b-b377-4619-bcf0-cda22ac2c41a	0	0
93c314ac-f890-4422-a424-f63b1d4f097d	0	0
7f0fc3f6-df5c-4036-8277-8d384fd2d367	0	0
6eabd935-3ea2-4c40-ab50-5a3412652dad	0	0
966f4d13-73fb-4b82-bcac-882deb3ec9f3	0	0
b2c08578-eba8-4480-8e16-5ae0313d8b6c	70	5.83401388888888928
6e03c4fd-7227-4ebe-9e89-1bf5672605ab	0.594125249072381956	0.0495125828749868185
ff371e46-d4f4-4011-b1c6-4a5352a53270	0	0
9f295c67-802c-43be-96a1-b38af38d3736	0	0
3c49b2b2-c3f3-4005-b2b0-0e20dc948c45	11.1837229437229446	0.93201729764309782
c31d5157-d423-4e47-b976-994051a0abb4	0	0
db7ba143-51e2-4935-bd90-6c0215924bdf	0	0
7f2eb96b-e6f7-410a-be3b-02ac0d0e82ec	17.1436818181818182	1.42870205925505056
39e1aead-1541-4975-a33b-724db1f85640	0	0
7958e2ca-6e73-4017-96b3-57a745dd2d38	16	1.33339111111111119
53519056-b357-488f-bfef-020c9924b955	0	0
b3e21053-e79b-4b38-a0df-4a6cbfa17907	0	0
8406a4c9-e9d3-49b7-ba22-9c868f3f43ad	0	0
155d8375-6bf6-45ed-bfb2-ca1453a02b6c	0	0
78dfc362-07d2-450d-8352-13aaf348b556	0	0
2435a0df-0bd7-44a9-a353-a3a450115b26	0	0
aedd276f-8c36-444e-8566-2d37384b1bf6	0	0
3e199aee-2b8a-40f4-a3df-64ed7faed666	0	0
7fca3adf-563b-47f4-8520-eef4bfe5c8bc	0	0
02cf0b31-17c6-4552-bd09-819e505f5591	0	0
7bb98deb-f66c-4e73-9858-7f4d9134608d	0	0
4aa59a55-61ac-4546-a2cd-5ef18d2c5734	70	5.8335861111111118
737fb3dc-56d0-4188-af75-2e041e46650b	0.594125249072381956	0.0495120877706125839
37907853-344a-4114-9f48-618462600d9a	0	0
76e2be4c-5394-44b9-886d-62d9f4d24be8	0	0
44e35c8b-8e22-4242-8f9f-b0f41e4cdc3a	11.1837229437229446	0.932007977873977933
f125587a-b444-4bab-a8d8-fb2e79946946	0	0
8415c24f-30a6-46c6-831f-1a9298e56445	0	0
d66a011c-a31b-4edb-8d47-bd8e864789ca	17.1436818181818182	1.42868777285353543
538f2b6b-4a45-478f-90ad-0788ede4df81	0	0
d7279071-78c2-4ca0-a7bf-83f10c3c9b49	16	1.33337777777777777
b50985c7-8881-46f7-b1fe-31896cca8d63	0	0
822cc370-4d63-43a6-b870-c54026151a8a	0	0
d069ae8f-7eba-42a5-aca7-d3134db2478f	0	0
235d8525-5484-47d1-a233-7d4ed7e11bed	0	0
d2a88e4c-839b-4a3d-ac6f-020bdd629c52	0	0
3ba9c239-5cd6-4be9-8686-552610cd1674	0	0
fb29685e-77cd-4dc4-a452-b3e478ce4693	0	0
a680b69a-1e44-498e-8d8f-f8ad1f907784	0	0
2048c2d7-9830-4350-bc05-259a6106029a	0	0
fd1f80f9-4c51-41e9-af48-6b8460be61d6	0	0
0d33f863-de9a-4e57-9164-a9aed858542d	0	0
850675aa-6b5d-4826-b330-33476a8d87fb	70	5.83352777777777742
ccd6d194-e9f4-49d1-86c0-9eddc7a5bef6	0.594125249072381956	0.0495134080489438577
bac945e6-bf85-40db-986c-2299b91eac48	0	0
4dd284f6-d2cc-4cd6-8f16-4af1f5ac711f	0	0
efde2ad3-aa3c-48bd-a4ab-62f487a00dae	11.1837229437229446	0.932032830591630668
3d10e50b-a58f-4197-baa9-7041c030e5f8	0	0
8e637a86-5dee-4c0b-b7e4-f531c2c8b1d0	0	0
cf6a770d-ba71-44c6-a8ed-488c3dc8ef25	17.1436818181818182	1.42872586992424244
7d1d87bf-b00f-4868-9292-4be69a878c34	0	0
5ed4ca72-2456-4e36-996b-118f130abc29	16	1.33341333333333334
c4aec815-776c-4e7d-907f-2ac65814fe3f	0	0
aa23d5fc-2647-427d-847d-107ce70bac1f	0	0
b7a0a288-2467-4a45-ab20-bbd350a2fd17	0	0
ed3daaf7-506b-4b0a-b1e4-d4292b47202b	0	0
58dc215e-7dc7-42e5-891b-9c55b3c329a2	0	0
5eff0c00-4a18-43c0-8b5f-6dc7e218b6f7	0	0
e10e2e9b-a051-493b-a91a-45dbf0f55d46	0	0
d99b9eb8-5b4f-4a40-bcf8-7d76bfb22105	0	0
c355f427-883c-4ee2-bd60-ebedd500771f	0	0
332836bf-15a1-4f68-bad2-d670eb6696f5	0	0
29f977ea-bb2d-4f1c-91a2-057d77ee6f3e	0	0
637b0c65-2eb3-4940-930a-5303e1143f5d	70	5.83368333333333311
b8afe74a-4c12-4027-b907-2bf5e84786a0	0.594125249072381956	0.0495124178401954093
9ed7d131-bd41-461a-b358-c6eb9c13d947	0	0
e2618d9a-ff07-4cb2-b8a8-7f90953af085	0	0
aa412905-a0d0-4e5e-8814-009085c32585	11.1837229437229446	0.932014191053391117
367c2eda-9b69-4ab6-8852-90ec50e97826	0	0
ad3efdbd-09a7-4ed3-856e-a04084da6d9f	0	0
7c11048a-1c59-43a0-9eb4-dc6980656d1a	17.1436818181818182	1.42869729712121218
e055715e-54ed-458f-9765-6d81fc73e306	0	0
0915e834-1045-48ba-8d3b-37b91691fc3f	16	1.33338666666666672
bfbecf1c-4695-4019-bf55-3868ba911da5	0	0
0bd20e09-c151-4c8e-91e9-231bddb0f7f3	0	0
cd99130d-521b-4f72-896d-20cdb99496a1	0	0
681afe80-8ab3-4176-95db-e19bd9888b20	0	0
0a4efc91-fd24-4098-b33b-6e22ee1c6a79	0	0
75b9cd6a-1168-4bac-afdd-e7e7c583f0a8	0	0
8b816c58-e0b9-4baa-88eb-053e1d1da51d	0	0
b5c74aad-5b14-4507-a68f-3adc419b2d2e	0	0
707e0574-7026-498a-ada6-4ea18b12fd03	0	0
a837dbc6-89a4-43ae-bc47-8a09ca797e69	0	0
97669e1b-5d20-4a30-bafd-55cc8c5a9b10	0	0
159f193f-36c3-46ce-a52a-274208b60620	70	5.83356666666666701
4913f9ee-838d-4d20-8815-2653a8a34857	0.594125249072381956	0.0495176989535204976
ae1267ce-4ec8-49c4-8557-f4fc3a6c6e4f	0	0
c5fa5626-faa4-4693-9ef7-cabce906b721	0	0
79f50fa9-8a87-436b-80e0-15e31d361d84	11.1837229437229446	0.932113601924002055
bbefd29c-4c1c-4ceb-859e-0765c2ab257e	0	0
b7c028d3-0f07-4c5c-b2fc-771bc1242726	0	0
e828b2f5-191b-4933-8b05-3c3a11f495f9	17.1436818181818182	1.42884968540404045
cf645d6f-f0a2-4573-8778-61c4e4a32332	0	0
bb7dd76c-c6ee-4516-908e-84be35fa94d0	16	1.33352888888888899
e7a74973-72bd-438e-8584-45491178cd5f	0	0
222a24c1-02b3-4083-a2c3-141706daab3d	0	0
d30ed693-17fb-4b5d-b7ff-cf5e52668f08	0	0
0cb3a19c-bbac-4a67-8af2-6d789ea09d56	0	0
30667d27-868e-4d6b-9b74-5fd8eb3d958d	0	0
99fca905-e280-4c6b-9336-c22460df1647	0	0
0902c9ae-ebf5-4814-b294-fad076a621de	0	0
e80fba9b-903d-4008-b2db-83dfaf371f9d	0	0
9cec23a9-c6ea-4a35-9b79-2f9b5ecfb8b1	0	0
6a2c8c02-e3d9-4057-9684-80ebf43a6336	0	0
9718f343-cd66-4511-9e01-c110c8f5548c	0	0
c01bab65-5caa-45c4-b08c-086ee75f1d11	70	5.83418888888888887
a9bf3c27-1ed1-4d1b-994f-5b3b9b084333	0.594125249072381956	0.0495106024574899009
55e0be50-250f-4b40-ae56-88cf2f9b4625	0	0
189cfe2a-f530-429e-9603-48f9c07ad6ba	0	0
e0bbf325-90b1-4ce9-9e2d-1f5e71662efa	11.1837229437229446	0.931980018566618607
3becd7d0-dbc5-4db5-8160-577d7a3b7c7c	0	0
53747a8c-c0e0-430f-99a6-6b22b91af5a9	0	0
c4f3c1d9-427a-4498-8b77-6f3891bcb20f	17.1436818181818182	1.42864491364898982
56750a41-5b7e-4f55-b29d-a1ce189927d3	0	0
bd404246-13a6-43fb-bdea-f48ba3773921	16	1.33333777777777773
9bed0ae4-308c-4157-8cbe-e0c924a7f7ad	0	0
8fc0278f-ba74-4136-b098-ea7cbad83b26	0	0
e6723c49-b202-4ae5-b5f7-eac4e5d784f3	0	0
51a3e3c7-8609-4c68-9e6c-073ceef98c9e	0	0
6bf8d082-05ff-4c60-9294-27fbd90bed0a	0	0
5693396c-87d8-4c77-997c-1cd70f67f08e	0	0
1047c428-35b0-4829-87b7-9baa1569f994	0	0
97b4ec94-a12b-4e96-9fcd-a50014b2ab35	0	0
fd35bcb0-6e1d-4f45-9f7c-0949b9bd74c8	0	0
ab346979-c40a-46fe-a4a2-be7d9ed30978	0	0
7dbbbe50-da92-4a57-b861-c00205704faf	0	0
486d8f0d-362b-4e6c-b15e-8300d9292f67	70	5.83335277777777783
2f3e68bf-c5f3-4293-81e0-c32a4b0b24a4	0.594125249072381956	0.0495076318312445487
93be7d89-df0d-4f02-943b-cdb2dd90094d	0	0
87a2c76d-a19e-4840-b385-4d6f18d45605	0	0
ddfd3f00-e2ae-4a91-a61b-6c7fbb3a7af4	11.1837229437229446	0.931924099951900065
fca5c830-bb14-4da5-9684-ac405a81ab03	0	0
597c4f0e-023d-44cc-bea9-63dc8523dfa2	0	0
f1f1e3f3-7c02-45b7-930a-97a8a397481f	17.1436818181818182	1.42855919523989905
3099077a-fe17-4d24-a025-42d23314495d	0	0
e290cab2-7c9f-47ca-994f-54b8aafd6491	16	1.33325777777777787
2caaa331-841e-4e10-9a67-d9da24b09cbb	0	0
73645710-6aef-4bdf-92ac-2888bdccc8e0	0	0
b105bb58-ec52-4a92-87ae-8a29d07ead29	0	0
cc9b2193-ae97-497c-a44a-aaf5ae5fc4c7	0	0
2d471a86-9f26-46c3-b1a2-124acd72fabd	0	0
fc48854b-c88c-48f9-9aa2-af94673d1a17	0	0
e910b01b-58d3-4aea-86d9-53fcbd10dfc1	0	0
19765708-e1cd-4ecf-aac0-a1916b4c4610	0	0
a26d3f38-5245-47b8-bec0-1ac9f7836e52	0	0
f7f0d9dd-ed57-45bf-aa22-bc34e948b1d8	0	0
f7f156ae-adae-4f6e-98d3-3789aebcfb4b	0	0
c618131c-98fe-41e6-aac0-80625600534a	70	5.83300277777777865
30e0817a-36a5-4754-959a-b6b729ce11ef	0.594125249072381956	0.0495178639883118998
ee4058c1-a43d-4262-823b-1502ca1e1edd	0	0
1aae3d2e-4108-483a-b703-1260c23120e1	0	0
86a6f598-c893-436d-8f40-f447ca05d162	11.1837229437229446	0.932116708513708536
e1093bcd-6a5d-45b8-8426-d029712f3d32	0	0
46b8a42d-82e2-4369-b16f-8a127599f16b	0	0
418a4fe1-2ee1-42ff-8073-ed9e199d21c7	17.1436818181818182	1.4288544475378786
05023214-0428-4a44-800d-f5a75e73ee6e	0	0
6cd4cfce-9ba2-4914-82c3-eeb7d12840e4	16	1.33353333333333324
36dc5fb4-23fc-486f-bb92-7dc613a83a20	0	0
c797ba70-f620-4b08-9c51-5abec90574c8	0	0
19f54ea3-dbea-4f59-ba87-af511c26792c	0	0
37d1d2d8-7e5c-4f31-a755-1bda7bbcb021	0	0
61bcef1b-6ec9-421f-ba55-8e5167768a69	0	0
2b3629df-26c7-47fc-ad56-0519e04764a5	0	0
9c585fa8-9b4d-4516-89a6-14b02d385ae2	0	0
698e0c23-7f8e-480f-a0c6-990974a376f1	0	0
a3ad9d24-42f1-4950-9cd0-21fdd8d888c3	0	0
01553284-4235-466a-b82d-d5687d7b11fb	0	0
104e0eca-718b-4f34-b013-af8b2df6ae8b	0	0
f4379f9b-0424-4100-bd0a-46130392ed5a	70	5.83420833333333277
fbc4fa9e-4af7-4ab0-9657-a6f413f481ec	0.594125249072381956	0.04951291294456963
f59b6f9a-9d83-4b72-9ff7-f93050eb9c5b	0	0
4a771618-ec5f-42ed-829d-8b9504bbe8b8	0	0
9220988e-d196-4e87-b518-456943a7af94	11.1837229437229446	0.932023510822510892
c9c38a0c-ae59-4742-938e-3ffa9c001798	0	0
293352d2-8b93-419d-a941-688b541ff66e	0	0
3cc1a2a0-73a4-4325-bec0-e63c7e3d2994	17.1436818181818182	1.42871158352272709
d0d2dd71-9acc-4d90-b64d-30d44244abce	0	0
a23c5fd7-356f-4e90-b729-c786110e074c	16	1.33339999999999992
4147e1fc-7429-4020-bf99-fb35ce61f100	0	0
121e12df-722f-43cf-bae3-ac3eb482f5bd	0	0
3e043c44-1a14-4d4a-ad21-646f57277977	0	0
c56000af-905c-4df9-a872-dcb44440347f	0	0
8351558d-48fc-4dea-8c62-7a0e7ca6cc3e	0	0
b4f31bdf-4cb5-4ac8-a19c-21be485592dc	0	0
97b68531-d03f-44e3-9caf-152bf9672bd1	0	0
c17afdce-b7b5-4c65-91ea-8ff2b261c9b0	0	0
88634585-ba4a-4526-9193-94d89059ffed	0	0
7b68ce18-d4e2-4b8b-977b-2554538ff897	0	0
cf8b4884-4c87-4c74-bd81-f819d658e0ed	0	0
45a42e24-486a-451f-b5a5-3fd557b20389	70	5.83362499999999962
60855bc3-389a-4086-8d68-1d993649f69f	0.594125249072381956	0.0495172038491462629
6b6a5178-d653-4f6e-a534-626022ea7dbe	0	0
3a4cc345-4fa3-4ec7-a423-496675e42d8b	0	0
bc983596-2678-45aa-8c82-58fed30118b9	11.1837229437229446	0.93210428215488228
28534aef-54ba-46e3-a25a-4374fe77daaa	0	0
97a8fc52-e070-46e8-89fd-b3aa021750ff	0	0
3b2e983e-37cb-498f-973c-247f66e22d2e	17.1436818181818182	1.42883539900252532
5e7c3457-a0da-4bee-88da-4db3a6fc0f40	0	0
73986495-a01a-4560-b704-298b13ec83ee	16	1.33351555555555557
ed51e8ac-51ce-42e8-843b-869e26276276	0	0
e30c954e-7266-4bfe-9e05-fa02a2c41e0a	0	0
ffc13b9f-9397-4bbd-83fc-f19d2bf539be	0	0
2591502e-d0e6-489b-844f-894228919568	0	0
e88c1b1c-c1e7-416a-8591-cfd8717f1720	0	0
bda27c35-4376-4172-8289-80760d543622	0	0
dba067dd-3c62-47a5-86e6-1fe06a26bbf1	0	0
c2ab1b86-22dd-4549-a8db-ee932c0b6397	0	0
feba4883-4fc8-4aa8-a96a-34e595a79bf6	0	0
4ce825fd-e2e0-4614-b078-7d4e00f2a5fb	0	0
d47fe4ee-c950-4a76-8888-111d3b1f1fb5	0	0
24cd2936-309b-4440-977c-070f39f2974f	70	5.83413055555555538
db4260ae-2518-4239-aecb-7a494121b31a	0.594125249072381956	0.0495139031533180854
209369f2-b623-4e34-9017-251692ab914f	0	0
239f54e4-b719-4b94-a038-65ff10e26867	0	0
eea83fe9-29c6-450d-8100-58f52ec09aef	11.1837229437229446	0.932042150360750554
d2e03079-a7ee-4edb-96f0-eae5d8c7c322	0	0
7ce203bd-b224-4e9d-a2e5-2cba85569ef7	0	0
0eaac16e-8e4f-4f42-8de8-3fcc5aa07109	17.1436818181818182	1.42874015632575757
b4f16d2c-120b-4b5f-8188-0f423db79b14	0	0
bdd84b8b-b4a7-4238-bcac-9d715ee0863b	16	1.33342666666666676
4cbbd177-386a-4871-97fb-05c6305ef8de	0	0
9acd0e05-4c1d-4d65-adaa-0be88361c53a	0	0
a2be0a40-b2fe-46dc-988d-4daf3657acfa	0	0
458a2ae7-6ddc-46ab-a3b6-5054dbef2298	0	0
c1e58350-e15b-4b6d-86ae-0a5cfb762dd9	0	0
2208a66f-d02f-4dce-8692-ec2b24f87c50	0	0
cc3f6649-8abb-48e6-b5fe-b3715bcd5b7b	0	0
d640fa13-539b-4496-a817-814ea019d36d	0	0
1c754f78-e02b-4dfa-ba8d-bd283a919342	0	0
39c77478-03f2-413b-999a-edddc4456a80	0	0
1006d227-0e80-464c-b9ef-18e9caea34ff	0	0
39ed0b17-9bfb-424c-bfb1-862cc335c458	70	5.83374166666666749
e0004345-0b9a-47d3-a95c-ca8129f611a1	0.594125249072381956	0.0495092821791586341
82d14a96-dea2-4669-9c27-168351915b83	0	0
90490bd4-cc43-455d-a128-b91334a66b90	0	0
08f86ddd-a22f-4b74-bb77-77a11e5d1932	11.1837229437229446	0.931955165848965872
049dcb13-b402-48a4-aa0a-02267397c9fd	0	0
ad1bdc9d-89e4-418b-b701-5c5871578520	0	0
2ed7b0e3-ff33-4986-8789-8e4f07651400	17.1436818181818182	1.42860681657828281
26da2a0b-40cd-4f79-aea1-bd26bc19377f	0	0
38a23d36-731e-406d-a761-cf2c7875b7d1	16	1.33330222222222217
330d7837-15bd-4230-9ef1-0a3590999352	0	0
fe80572e-f65b-413b-afc7-1b2409dfa2fb	0	0
c112a0b9-0143-4e6e-88eb-ce4cf2358cf1	0	0
544ba78f-c4af-430b-a4fa-bfeac49cc039	0	0
ba72e663-2692-486f-b49e-74f0f54d1bd6	0	0
7855c9a8-e3cf-4adb-ab9a-963f98fbcf9d	0	0
2e2f9fab-9681-449d-8e54-eaf48fa12958	0	0
ec07b4fb-4600-4d49-99c0-914591e515a0	0	0
40b0b798-b460-4334-b9e3-1393ed91dbc8	0	0
c9e72d04-b160-48d9-9dbb-5d2bc29f7d54	0	0
d6d5c96b-f33d-40cc-835f-1c99e25e63ed	0	0
f6948c78-ee11-4969-b150-831645bb4910	70	5.83319722222222214
3cb9cf47-4ab5-4a04-b616-d6ec5bc977d5	0.594125249072381956	0.0495176989535204976
5a2d78bf-496b-40c2-b59f-e120b928c722	0	0
2551fedd-b295-468b-bfba-f4141244e1ba	0	0
095041ac-4702-49a7-ac8c-ca97fb9f142d	11.1837229437229446	0.932113601924002055
8f9dee9c-a9b8-4917-ab49-3dd14de2ea9d	0	0
e68f5fa4-5144-49d8-b2b7-201b68846504	0	0
b1771b08-83bf-4c8b-80b9-69e74450d08a	17.1436818181818182	1.42884968540404045
ac9d2837-a335-47c1-9069-e78b35d72951	0	0
d6fa5a0a-7ae7-4798-a6fb-e99cfcc76118	16	1.33352888888888899
063945b3-a56f-4d90-8c3d-b8fc0fa90fa4	0	0
97c800f2-7bc1-465d-8d5b-fae124ec703b	0	0
cd910ff3-6286-47b2-b325-e4bd169f6c80	0	0
2e13f02f-386b-452a-ab63-7bd97749e005	0	0
e5e80b6b-a1c0-4870-9b54-509c4ab3ab7e	0	0
0b9fdd50-9378-4e3a-a812-2d8821d5cec7	0	0
10e5f313-6462-4077-9a71-861eb06af548	0	0
86a3f5ca-5ce9-460a-aab9-b3f16793e4c8	0	0
aea6f3af-cdde-4f34-811e-d00dbc382aee	0	0
e18e8530-6a19-4c75-8e6b-43ddff646337	0	0
0535c8e3-55a1-4b30-8107-6c61a1ca33cc	0	0
acca1b2f-c84e-4ae4-ad81-d033b0066f7c	70	5.83418888888888887
63187d9b-9d3f-422f-a516-2208716192d4	0.594125249072381956	0.0495158835708149961
d500f04a-38f2-4caf-9ada-a87c7d0a27c4	0	0
c3d4309d-b6eb-4d4a-a2a5-c25ec8a1ae7c	0	0
cefdbf4b-3e07-4425-8482-b86707898ea6	11.1837229437229446	0.932079429437229545
c8c327f6-f446-454a-93c0-a5a08eafec62	0	0
6107b970-aab7-454c-b2c0-ef64bf359c7e	0	0
dedda992-c130-4a9d-91b3-dea5b6037634	17.1436818181818182	1.42879730193181809
e0feb342-eb2b-480c-a1bf-ce234b16f902	0	0
715c80c1-8d6d-445e-8086-cec34ec8a53f	16	1.33348
64f14a82-4fb4-4d4d-b9fd-00dcb586b803	0	0
711b716a-8085-4ff0-a4d2-d6b8a5c8a15b	0	0
c5ce1f7d-1351-4519-b2f3-551b9ac44bf1	0	0
e80ab26e-705a-4aeb-bfa2-51b349a5f7bf	0	0
9218b668-2273-4438-8ed2-369e2dc77b95	0	0
e88daedd-020c-4f6e-b277-fdca28f4a056	0	0
82474351-0c3c-4852-ab5c-c1e68f6fcb62	0	0
b4078467-0368-49bb-9123-1d48b117ecfb	0	0
e45e163e-1977-4ebd-a3a8-f7ee509ef92e	0	0
7bd6b857-2a61-4f5e-a115-0e65768e2cf7	0	0
aa38255f-1713-402f-b337-65c18db0fedd	0	0
ba292251-fede-408c-bfca-b5f63021cea4	70	5.83397499999999969
c2d44862-3275-4f70-8bc4-bc5f6b504487	0.594125249072381956	0.0495115926662383563
af62da49-1867-411e-96f4-5a181b675e1c	0	0
2ef6a5ca-6768-4890-aa04-178fb2211b9e	0	0
203fb189-ffb9-401b-a071-6fa306579281	11.1837229437229446	0.931998658104858158
5c7aee58-f6f2-46f3-8868-dde04a19e6ae	0	0
6f96a92e-f3d2-419d-b098-776c508280c7	0	0
c2a09daf-b4e5-4565-9cfd-8c0e92813bcb	17.1436818181818182	1.42867348645202008
4e412da1-9a00-4ef9-8974-f3c03945aaf8	0	0
32e28919-b34f-4a24-ab07-c2b47494cd54	16	1.33336444444444435
44cd32ad-0166-41ea-a43a-ad21d39ad575	0	0
90e987b2-1d0d-41a0-9759-a35f878eb139	0	0
a9c38a28-fe9f-4bcc-8e37-f703d3cdc6b8	0	0
a4ea66e3-728f-4a5e-8831-d172ab1f1614	0	0
424b4fea-85de-4279-b65d-bf407bc4450b	0	0
36a83fc3-fb5f-4f26-85e4-f09d9592510a	0	0
26916768-09fa-43f9-ac70-b346041e0afb	0	0
8089df05-bc3d-498e-822c-8adf8f48cfd6	0	0
d3af0498-ee61-4e56-b2c2-285623699ce9	0	0
9f1e0a53-5b70-4c71-98ce-230c700ef7fc	0	0
a6fa06dd-9cb8-4e05-b82d-893c4a7fc503	0	0
aabeed24-bfb8-40bf-a1e9-a7115b429298	70	5.83346944444444393
0497eb93-e99b-492d-86e2-d9e0e996a6f2	0.594125249072381956	0.04951291294456963
88525e2d-76d1-4050-a153-27c20471cd7c	0	0
e76bda94-4b65-475e-8e8e-2ca785ed5766	0	0
9a7f592e-422b-4556-8dd8-5c22abca5658	11.1837229437229446	0.932023510822510892
9326eb48-3446-4535-ae08-487a26c2fb53	0	0
b027735c-2750-4db5-9bbe-b67ccdb1d0da	0	0
92a79047-fa94-4048-a641-5a51ee46a1f9	17.1436818181818182	1.42871158352272709
2ff43016-61e9-4063-ae37-b82d5e648c4f	0	0
75ec4e90-0085-49fe-856d-a45a9e41699e	16	1.33339999999999992
d7ae4924-5a27-4ace-b52f-c03c92905e0c	0	0
561d3e44-fe45-4e18-a597-2762f0a634f5	0	0
ff0df447-567d-4eff-8615-bc1739b84688	0	0
e048abfa-e7ae-4d12-abc6-7ea2117d92e5	0	0
74ca2fc2-9f79-4e88-992e-c20e6fb3bf37	0	0
b09d9833-aa6a-42a0-bd14-d3db68c9345a	0	0
30cdce8b-ac7e-483c-9cde-ce3fd53ad117	0	0
1615dd96-9946-4e57-b9ca-ad8936f68650	0	0
9e4c5a10-120f-430b-84fe-58475d22ea82	0	0
dcc827fa-7668-498a-8ea4-42e9119fa5f7	0	0
980ce44a-1bc1-4ebf-9e04-7ef977a8d3af	0	0
9484ab18-9a38-4574-aeb9-99fd5064757d	70	5.83362499999999962
84263125-3405-4f96-b3ae-c59be039a9f5	0.594125249072381956	0.0495119227358211747
df8b090f-d9bd-40a0-8d0c-10067aa323eb	0	0
f41aa1a6-d929-4ae3-a5e5-e086bfdf302f	0	0
783edc52-4afd-4b89-badb-1f7572ac86d4	11.1837229437229446	0.932004871284271341
d6f92379-6c83-468d-93dc-93eaeae80f0f	0	0
b9f2428a-b1ff-4341-9276-d4f1dfba5542	0	0
5ffb1fd0-5cc6-4f27-bed5-e965ed754b53	17.1436818181818182	1.42868301071969683
f9e15720-a240-436f-89ad-c1d5a474cac0	0	0
5bfe93ae-f245-452f-ae10-6afec4d548d9	16	1.3333733333333333
df93247d-f9af-47a7-89da-c0c05bb7b581	0	0
7915f6ea-b083-47fe-9e3b-9b1a4d7e649e	0	0
2fd1e667-8658-4035-9f0c-37b057f449c2	0	0
806cfc86-5206-4f0b-a9e2-c3b0fa05f8d8	0	0
3be8948b-5f5e-4770-9346-f2acb1acb509	0	0
981e684f-360d-4d67-a0c6-6ce6691ed614	0	0
1c94b6e3-9b32-49ed-a5b2-4789d412402b	0	0
5fdecc48-aecc-41ec-83c0-022e4b7c0235	0	0
85368401-8945-4509-ba5a-1aea22b0e7a0	0	0
748a7e4d-29ff-4958-8d68-02227748ea82	0	0
0dcab862-44fe-4223-8e6e-4bc35fd558ec	0	0
95daf2e2-2121-453d-b6f5-d28f7ff754ca	70	5.83350833333333352
e12419c5-482c-47cc-9df5-f0e167569dde	0.594125249072381956	0.0495163786751892238
56023567-9b95-444e-bbb8-4cba471838d9	0	0
58cea6d7-52bf-482b-b7dc-e0b4c4f6d903	0	0
d7aebe7d-b0dc-40bb-88e6-0412fbb8e182	11.1837229437229446	0.932088749206349321
9383bf09-ae74-4cfe-a171-dd0123851112	0	0
541983d8-76bc-491d-bab6-7d46b179f0a7	0	0
6150fdd6-153b-47db-9912-32d136c40c52	17.1436818181818182	1.42881158833333344
80fc5136-1df9-4c3c-8772-b272fa6348fa	0	0
b4ab7434-7ffd-4afc-949e-f7adbe3169ce	16	1.33349333333333342
cbd17a67-9f53-4d41-824b-a95dc97f5884	0	0
ee79a369-79d1-4457-b1c3-0b900d1f7311	0	0
0aa35703-205a-4d07-9c23-7132abe15823	0	0
bb496b73-e5a9-4e36-b576-af9120dd6c23	0	0
2e34fb25-d288-4dc6-9d15-df11f8bcc33f	0	0
5b1a1202-9200-47ed-a8f2-41ac9ebbac19	0	0
f37817de-4a61-4b9c-8404-abe540b76999	0	0
2b0ec155-5bc1-4c3d-8507-ca3c3b44d667	0	0
e83ee0e5-0767-4600-a5b0-044f60efb700	0	0
a6153d30-2193-4b2d-a18e-396933c5d064	0	0
914a9b8c-5a21-45d5-8d65-2c748eef0f4b	0	0
521dab23-6498-4266-8381-0d374ada57cc	70	5.83403333333333407
5e2dedbb-6a77-49ff-aabb-1f8bcfdbc1b6	0.594125249072381956	0.0495145632924837223
81f44350-da1a-467e-9ac0-1bd25bd0177e	0	0
c1190b7a-5b4e-4935-8ea5-4f95465736f9	0	0
8a1d8218-3273-46b8-8e91-0c683732484a	11.1837229437229446	0.932054576719576811
866477cf-7418-44e7-bac7-f7e6c7bc0fd4	0	0
d0937b36-a97d-4661-9429-1ab8266e33eb	0	0
6ca0b34f-44ac-408f-b2ba-64be49a10c04	17.1436818181818182	1.42875920486111108
08f5ae0f-21e1-4c6d-aae3-2bdaa4103807	0	0
d80e25ba-85da-471e-bc43-7528e844d7ef	16	1.33344444444444443
722b1c4d-c502-4298-9a51-a2ad1be82210	0	0
b74bb371-fd9a-462e-a208-1f3e08ae6b93	0	0
2b09509a-577e-472a-98f7-5e1284059774	0	0
31366766-caaf-4c43-8cfe-e67a0a20a3f9	0	0
43633984-e638-4259-9137-fe456e1bbff9	0	0
a5a2c432-669b-4465-8425-99817ea8349a	0	0
dccdfb2e-dcfd-47bb-9de5-4178e49569a1	0	0
9b3eabb4-794a-4f00-8ec3-d65f6c4fee05	0	0
5c6959e4-ba47-43f6-ae4a-cb17509c54d6	0	0
a429892b-141b-4f88-bca5-a5d2ec847ccd	0	0
9a10409b-8cce-4d4e-bfe8-904099959da4	0	0
63e8ea5e-7e52-43c1-8950-14ca94ac81d4	70	5.833819444444444
1e64eb0c-7486-411b-8e6f-f97fbff17bbe	0.594125249072381956	0.0495115926662383563
4b59ff2b-f6de-45d5-a3ce-3d8af89d971d	0	0
ff1b4e41-c246-4af8-958a-d9412a887574	0	0
d262939b-5e51-4683-a314-942f520a445f	11.1837229437229446	0.931998658104858158
0ee8cdd8-1142-4d58-8eba-9045fed3d0fc	0	0
7f21b355-3796-496d-b190-3d7b64395a80	0	0
2b105556-3a3b-4969-b8fe-d1d23ac899f9	17.1436818181818182	1.42867348645202008
3437dac1-797d-4092-a612-3273eac189c8	0	0
db3c1892-1173-462c-81ea-959586b6dbd8	16	1.33336444444444435
4c4ba040-4be5-451b-8c2a-1d78645781af	0	0
793cfe86-4b74-4fd5-9b69-69b03484fbc5	0	0
6ce359c2-8cd5-4f4b-98cd-bfd996303979	0	0
e8e0749e-6a79-4679-958f-e39f93370125	0	0
8286dcdb-d25c-4de4-8854-32ab774bce1c	0	0
d868d88f-3472-427c-9591-30809aa869ec	0	0
84e13352-11d0-4a46-afe8-578e024fd1b0	0	0
cae4000a-3bca-44cd-a02b-02a408340758	0	0
a60c3aba-a67b-47a6-8653-82fc22993452	0	0
fc041115-5327-40ce-93a4-115fd238eadb	0	0
701ca587-c0b8-49e6-ac3c-cf1f8d8f9662	0	0
74f18617-8c39-4d9e-9d2f-7636a77681f2	70	5.83346944444444393
a2d0427b-cc36-44e7-a7c9-c069967b7a69	0.594125249072381956	0.0495630835211579718
422ab7cc-32e6-4b7f-86a3-b12264963913	0	0
232f7f7d-e5b7-4041-ba91-473a4bece3f6	0	0
b5007eab-06b6-4be5-9754-06ec10e4a691	11.1837229437229446	0.932967914093314254
b639dfe8-c450-41a9-acbe-53016d1950ed	0	0
68123269-cdec-46f3-b9e9-c9b824b72f5f	0	0
3f6b76ac-e31b-4eaf-8e5c-fa28868859ff	17.1436818181818182	1.43015927220959616
37ca6890-a91f-4904-aca4-3413289d760b	0	0
e9b9eaa1-7911-4567-9c63-1c1b0dc3e0d3	16	1.33475111111111122
d426a0fc-328f-466c-8a83-8e558cd6e894	0	0
bc5b9d47-0c1f-4f30-a496-c0e62fe3042a	0	0
447363ef-7322-4c99-bc5d-304499c4bdb9	0	0
eb5a83f7-af66-4b96-9c51-d671dc72e7e6	0	0
428c8767-f1fd-452b-9a4c-d52a308c8afc	0	0
74659734-b214-451e-aaa2-9d7b4b481b51	0	0
03e9c8b9-d3ec-4c31-9dc4-89a1e0a9a8ab	0	0
da5f5b6a-d8ca-437e-9025-82931a4602d6	0	0
023de824-de05-4bad-9eb9-3e52bf5347c6	0	0
bcac68d3-1a01-493f-a82a-8dabd9a964a2	0	0
0dad209f-6577-44c8-844c-71eb6e7938ef	0	0
62f4b29d-0a4d-4935-8e85-ddbd36dca143	70	5.83953611111111126
0eb0fbce-695c-449d-ac2b-162e2d4ad80b	0.594125249072381956	0.0494675283769321558
899b22cd-1ffd-4d6d-a6d9-62cbf8bd7d6e	0	0
bf5436f4-4f8b-409d-abe5-466ce1a51b8a	0	0
d7c27f63-b20e-429c-b653-aaec65fce3a6	11.1837229437229446	0.931169198653198693
8e4e4629-4a84-4f75-98e3-b7d2d64ba9cb	0	0
1f51b612-ff45-40d5-a352-561472b54161	0	0
375b3a96-31df-4a8e-b58e-1ddfea8fd42a	17.1436818181818182	1.42740199671717161
312798ae-4b47-4f3f-8474-533a348d9d0e	0	0
b1f49eed-3ed2-4325-a638-49d0cb3f56ad	16	1.33217777777777768
65f441e2-774b-4345-a40b-996bceef9d6a	0	0
8ca21f52-d116-480b-9712-decdc309bb23	0	0
4c02a2d1-b5ee-4f33-a6a0-a013f7d363c6	0	0
e0cb058e-dbfa-4e3f-b972-2553e3e565ad	0	0
f02e957b-9c98-4433-ad7e-7a4e08adda37	0	0
f1189bb7-27df-40be-b633-40dfd6098d6e	0	0
9bfd0c95-fff4-4a22-a4d4-153225fa56d2	0	0
41129bca-7ab0-47e6-9679-ea231eb41174	0	0
946c3428-192f-4f0f-a45c-d065844408da	0	0
78108d0e-6ed6-4d29-b10a-8f6b8b024f49	0	0
26a48cbf-d6a8-4c9c-be40-63578f18dd31	0	0
3184855a-0550-40f3-be60-deba2bc66de9	70	5.82827777777777722
5b285217-14b8-467b-8109-56668f3b35ef	0.594125249072381956	0.0495046612049991827
b3708519-bca8-4f4e-8ab3-9d171f97c09e	0	0
e844159b-a2c9-49e6-b6cd-7ded54671e9f	0	0
528d5b59-64ac-44e0-b5fb-cbe69ec9becc	11.1837229437229446	0.931868181337181412
c8193e45-d6ff-4d5d-9f96-b6738f10250b	0	0
3ac270e2-aae6-4d8e-9f39-a5792480e0d8	0	0
7cf4c348-d014-417c-b9a1-db743a55077a	17.1436818181818182	1.42847347683080805
2d7f46d3-3dd0-4045-94a1-203a8e07baa5	0	0
5ac52472-b6a5-43be-ae78-952e774b1cf9	16	1.33317777777777779
a95318ca-e2a6-4ae2-9683-3b29e7c03b83	0	0
39b3f735-d6c0-4e87-a828-d42226902e9a	0	0
4085e204-5239-4f34-b071-5a0a209597bf	0	0
d6b3e011-f687-44be-8ec1-4a3c30d0eda6	0	0
8e0ae6ca-eb6f-437f-bf4a-c807daa7845b	0	0
2cc0abb9-8dca-4e56-a25a-a1a72e0a2fd4	0	0
30ea25e3-9064-49ed-a75f-f15cfdbd8d23	0	0
4508baef-2efc-4832-8c12-3073760dff2d	0	0
e1dadf31-e683-4b45-9380-dd4f530476b5	0	0
cc1548f8-a978-452f-9987-f50000a543fe	0	0
8695ff40-8fd6-470e-ab81-624466332117	0	0
bf74b27c-3a37-45c5-a523-e8c564fad949	70	5.83265277777777769
585bdb15-78a7-4836-8ed6-d8889509fb22	0.594125249072381956	0.0495203395101830313
16c09a4f-4a61-43d4-b9b2-766c8f0b7010	0	0
283a02b9-47c1-4ac3-a69f-0c7e19e7aacc	0	0
80d4f458-ad22-4065-8a25-4c955c4b5862	11.1837229437229446	0.932163307359307414
516592dc-a08f-4542-8f4f-33141c894b67	0	0
784de756-eed6-4b7e-b670-7950c7f74afb	0	0
0d15d9eb-49cc-4d39-8aeb-c37215de5ed4	17.1436818181818182	1.42892587954545447
b93069a7-899f-4459-a690-443916d46b43	0	0
59439d6f-79b2-454d-a231-30a1366d0a3b	16	1.3335999999999999
5901ce27-4031-468e-81ca-d1bbda7c63f8	0	0
6b4bfe30-e94d-4200-b0e2-bf6d3e06a5bf	0	0
a463cdd4-b708-4121-ad7d-b621ee76d1da	0	0
25a92070-ff58-49ef-8d3c-e02c2d57cd83	0	0
17bd9b57-f21a-4f06-8169-fd1e15b334c7	0	0
ebdcfcac-2179-4a9f-a030-2fa5589ab8e5	0	0
55c68616-f674-40f0-a7c9-e64e215fd956	0	0
2e1fe8c4-8296-4035-b68d-cca4bb4c8258	0	0
8b2f261b-345a-4c5b-8749-1595a43c1065	0	0
3a4acb44-f57b-4b1e-ab9a-fae92842969a	0	0
cab486ac-c08a-4e98-8943-2768e9d8746a	0	0
21b5f4be-0393-4e9d-bde4-825f418fd537	70	5.83449999999999935
aada18a7-3e6e-43a2-803a-c12989d4f335	0.594125249072381956	0.049516543709980626
5c5b8622-8a4b-4127-acda-8f8707ce9b29	0	0
52a7c0ec-51ea-4f45-a1fc-1f5a7a0d5c30	0	0
b784e3b9-bbd7-4a56-b6f1-8f2009e7e702	11.1837229437229446	0.932091855796055802
b92a6f91-a13f-427f-a707-e80b7d3edfd8	0	0
a8e2667d-154e-4244-aeff-3224eb507194	0	0
a2ae23c9-af1c-4b19-8293-9e52a4864ff7	17.1436818181818182	1.42881635046717159
d0a2cab1-0bd4-418a-8c98-8add96e0ecdf	0	0
a1ed18fa-62bc-482f-9b24-4f076bb9d25f	16	1.33349777777777767
5e76110e-c44d-4fb0-af09-9e511ed2a68e	0	0
cd7b39e5-7014-4a8f-82cc-65e8da09c442	0	0
94776a25-a0ea-4e7c-8f49-5a8e31892135	0	0
8368ba07-0bde-4243-8053-65d71ada3796	0	0
723dd23e-62e6-47b2-98ba-f85ceff4853d	0	0
4b602387-7d52-44de-adda-79bdc8dbc07a	0	0
e26975c3-f274-418d-8ca9-d1a350838a7e	0	0
9b5b1d94-abbe-4470-b242-7b9b10dac227	0	0
8cf998c9-9645-4a9a-86e9-38ffef89d39a	0	0
b36dfd32-9714-4a3c-9274-8071af508ca4	0	0
6984419e-289a-4367-9a83-b33f248de2a7	0	0
46d50068-7e83-46b5-8505-308294ab8e0f	70	5.83405277777777709
44cbf982-8d9c-455e-8240-1ae0c8f8e0d3	0.594125249072381956	0.0495119227358211747
4c83162d-2f4a-4b06-a3b1-e461ea9f618b	0	0
3bb6e5e7-e8ac-4779-8538-4ff51a6bd405	0	0
f029882c-e0c6-491e-9099-7478bb6b7b4c	11.1837229437229446	0.932004871284271341
e406ac2f-16fe-426b-8d9f-080697c8b7ef	0	0
ea7ee1c7-63c8-47b9-9d9d-1e197940966d	0	0
f30d001a-2f43-4009-ad78-83982a615cba	17.1436818181818182	1.42868301071969683
fb47b40e-ceec-4c2b-99f6-64389b955520	0	0
9cb1ee8c-4e75-4940-926a-cec37f46d7c5	16	1.3333733333333333
f3946baa-1620-4e2a-9eac-03faa811388a	0	0
65432c6a-549b-4e9c-a537-07d7108f3879	0	0
55f8a153-ec6e-4bed-a8bf-c1c80a2e790d	0	0
c7c26152-7f63-430a-ba80-1f49082a19c3	0	0
09565695-a8f0-495b-b8cb-ca5af01bc92f	0	0
09856349-6904-4e47-a1f4-7f83f6d20118	0	0
90963aed-615f-4b8b-aded-9aa41615095d	0	0
f9d35a14-c484-457a-b945-357db9a63792	0	0
9a0bba37-d5ff-4cae-b72c-b71573ae85b0	0	0
bbb26473-2f8f-4108-bee3-9a839d7befb5	0	0
314900ab-f1ee-48cd-8e8e-dce802a5d7ae	0	0
afeb7a03-5915-491d-9718-92ed031f2805	70	5.83350833333333352
2a153161-d341-4b8c-a05d-c0a354588550	0.594125249072381956	0.0495145632924837223
b7737895-90c7-45bc-88b2-4282740cfca4	0	0
2e3ec3c9-7e61-44ef-b40d-82c18248599c	0	0
c231e23e-1659-4d05-819f-b1c4bfd1c78d	11.1837229437229446	0.932054576719576811
204d4805-d6e1-4a99-ad9c-36f5633525af	0	0
38ecdfa7-88b6-495e-abf0-bf53771fc293	0	0
71985eb9-e92b-4c38-ab41-16af08cc6e02	17.1436818181818182	1.42875920486111108
2d5e6427-4759-47d4-af41-8fdb22a76f0f	0	0
270c362b-fec8-4276-97f4-2798608cfe32	16	1.33344444444444443
3be66d4e-12e2-4266-a35f-1ff99eaf7a6f	0	0
f0810c09-f4d6-47fa-b183-00e90f408ee1	0	0
f3791f90-6a0f-4732-bf22-279d0bd73e51	0	0
408284fd-803b-4250-a65d-99a84b518d62	0	0
2f37830e-057a-4de7-a0d2-bd28ff0c2801	0	0
15be85ba-d5f7-4bd4-a976-041fb0e4db8f	0	0
5a9ffe4c-c977-4670-bf8f-156d9b185799	0	0
b780f99e-e63e-4179-9d4e-a9abd6e65d3f	0	0
006251bc-1725-4072-8f69-47fbdf0aa584	0	0
89c4488e-7757-4474-8e33-07b662c18e2e	0	0
f15943a1-a4d4-4943-8ec6-fcfdcc35f201	0	0
5ae948e2-8463-49aa-a574-a5e1edc49a4a	70	5.833819444444444
acf48549-2cd0-4064-8818-14cb1429abdd	0.594125249072381956	0.0495124178401954093
a100b670-a254-4099-ba91-03af72475c15	0	0
37d4d033-f988-416a-a83b-c34e0641862f	0	0
2b561e7a-2058-4d97-82e5-012a6281ccaf	11.1837229437229446	0.932014191053391117
348860cc-e3a9-4b9c-a5ed-c9b5bf148931	0	0
2072621d-f88a-4222-91d5-63f8fab76ab2	0	0
5882855e-a5a0-4ace-aeb3-0388794753bf	17.1436818181818182	1.42869729712121218
da34dfb1-c7a5-4e7e-ab29-423889d115fc	0	0
547d74d4-3678-4611-a196-e2e9dc0a8d55	16	1.33338666666666672
b9c1add5-d235-4e66-b798-2500f69f8788	0	0
53fe2e98-1350-4667-9f25-236fa12e7e9e	0	0
b1a384ee-1c19-4224-aa8f-f6b476733dd8	0	0
010cbeef-2e3f-4a87-a6d6-7938965ba2e2	0	0
79816bf0-4dcf-4c8c-8af9-463bda6d617e	0	0
6fdcc4c6-1099-43b3-8944-1a8db0e18d25	0	0
5744dc42-dbb7-4737-982d-8260595e1145	0	0
52095846-1230-4364-a86c-c3579c75ca72	0	0
f6315f55-70e0-4b97-8c61-3b967e630731	0	0
165fbefb-0c7c-48ab-b44b-662cc9b4917e	0	0
8bc9d981-d42f-4082-b00d-4d3ab5f77209	0	0
e303060d-79ab-4aac-bf5c-442557970dc4	70	5.83356666666666701
09200cfd-1517-45bb-b24a-8091b63a83c5	0.594125249072381956	0.0495155535012321707
0a27c251-faeb-4fe1-a856-942b532d7f61	0	0
46dcf9dc-5886-421a-8cdd-7925e85acba6	0	0
21613b56-71b1-4589-b0a1-7d80dce5ce0d	11.1837229437229446	0.932073216257816251
ed4135f8-976d-48d7-badc-0cd1d13997c8	0	0
945e2de5-7f57-4ba0-b639-f85cd97f6a76	0	0
5003abf1-994f-42c6-9f3a-db4052404f7e	17.1436818181818182	1.42878777766414133
2ae2090a-4174-42f7-bea3-158b7b8553f3	0	0
8b77ad7c-5f61-4ac1-9f1b-306762e15ea8	16	1.33347111111111105
3a6c06ec-fffd-4ac1-8394-2d3cf30164d9	0	0
f173d928-9c77-43ea-8cd9-01d9175c604e	0	0
cbea5164-67ef-41b1-80d6-1368a9302cdc	0	0
f721aee6-99b6-4948-a44e-01ad4c8b0d99	0	0
6a63b41f-02cb-40bf-bad0-e72c377c4d79	0	0
ba2b9519-71f2-49a4-aeeb-e3911a8d38c8	0	0
9e42b5c1-8cdd-494b-813a-c5b025591f32	0	0
0b83bc37-bf8b-41e5-bff7-dbe4937c8014	0	0
75ebc34f-22db-4c6a-a4ec-19a188c4a73d	0	0
f8af8999-c615-4ebf-a2d7-400bd93f7a14	0	0
d0290c6a-f2b9-4edc-8983-c765b1932a51	0	0
ee249530-2161-4c6f-901d-722ed35a7a9d	70	5.83393611111111099
51328cdd-ce2b-42b7-9786-ef981841cf96	0.594125249072381956	0.0495134080489438577
904897cc-6a40-41ec-ae22-2de89533ba4e	0	0
7163bf4c-9160-409d-94ae-4a19d2d12efb	0	0
8570a685-291d-41ee-b34c-84302ea778ba	11.1837229437229446	0.932032830591630668
9435cbec-53e4-4aa5-9297-e3e7244708dd	0	0
6c4b8e37-d4f2-4466-bf9f-e223a5a82d4a	0	0
0424ac3f-f867-4d67-acbd-6d9c5cae719b	17.1436818181818182	1.42872586992424244
965226ed-1034-4aa3-8f82-360addba385e	0	0
438539cd-a7c0-46a6-b90b-887442e958d9	16	1.33341333333333334
91e5ccf3-285b-472f-82fc-309f43889c35	0	0
5e141602-8c85-4d17-b0ef-b266a0a2b619	0	0
27a5921e-7db8-4a19-b6cf-f177f8d91d93	0	0
0c46fc62-783b-4f59-af9b-f8f3fad29634	0	0
84a1754a-d10a-4de4-8589-c72d5ebb0a0b	0	0
b7711d75-5308-4d33-8e0d-2870a318179a	0	0
de95be27-b830-4b73-988c-e71ae673241e	0	0
9791c7b7-eed0-42bf-b388-2a7434fc7206	0	0
4a99806d-0ded-4e65-a2d4-5bcf3f8b1827	0	0
52c32b82-d0fb-499d-95a3-b801cb122705	0	0
fc238120-9b26-464c-9661-9114a27b500f	0	0
1bfb1d1a-fe82-443d-b334-639c8ad0ee7f	70	5.83368333333333311
f087c4c9-7e45-4e99-a1a6-d3d9955bf21e	0.594125249072381956	0.0495160486056064053
975f50f7-8c2c-4fab-9d35-95dbfc458e76	0	0
a56a6e69-5ad5-45fd-a9b6-9e5ba4fb0dc1	0	0
0f2048bd-1b12-44af-8c1c-96f7b831cb4a	11.1837229437229446	0.932082536026936137
7b16b597-6362-4ec2-bc05-da6d692bdabc	0	0
7ed1638c-8f47-4590-9d7f-0485f6f89021	0	0
2450ca79-f759-4aa9-b91d-1522ba8bd136	17.1436818181818182	1.42880206406565669
45276a3a-d0e7-4e1e-b9a4-b546a584a06b	0	0
803d8120-4f43-4819-b350-51d6a515c448	16	1.33348444444444447
8bb62fb9-7545-42d0-a4ca-5f9df3a8795a	0	0
34e819fa-538a-4df6-8885-3c132cd1c2db	0	0
64ea0062-7315-4fc3-bfac-c2bbcb1a73d4	0	0
7da55747-ed1d-45ed-ae51-c3bf52fe1631	0	0
ad588e01-4466-467e-b655-27db02194ba1	0	0
4e3afe1b-7556-4099-a95b-dcf94ef4fcfc	0	0
08c372d6-6474-4fb6-b1da-3f8323289c65	0	0
237de728-b4cd-43eb-802c-9cfbdc0fcbfc	0	0
fa80d062-f17a-42ad-b2c4-9006d8f66a0d	0	0
a489ebf6-651e-4bb8-a114-73f5f4eeb7c1	0	0
5578257c-3a04-43d3-b7d0-0b1346541092	0	0
9de1bf44-1b7b-49fa-84c8-dbc3dcff71f0	70	5.83399444444444448
c1101d02-e417-4c0b-aefc-0faac060afc7	0.594125249072381956	0.0495102723879070825
b15fc76c-900a-4e77-80a4-cb2fc50c0cb8	0	0
682c8c60-52a7-47e6-b7ef-0a603aaf6a78	0	0
975db747-0ce5-4934-b018-41228c44485f	11.1837229437229446	0.931973805387205423
51151879-2ff0-4892-8067-6ad0f8344aa8	0	0
b99150c1-a151-4ea2-a577-8543355a1246	0	0
3cc7a984-e386-4f9b-8679-13d8b3867fe3	17.1436818181818182	1.42863538938131307
263ce6c1-c227-4943-8701-eef7e686de12	0	0
35aa5327-7558-47dd-a4d7-eb561b8e5d45	16	1.33332888888888879
8cb2a180-f0fc-49aa-97f6-aef543bdc389	0	0
a8d1d1e9-a2e2-45d6-9879-ce11fb752e7c	0	0
8c9f299f-9b1c-40db-a7a7-ed33e4cc26e1	0	0
5abd36c5-4db2-45e1-b5c5-eaffaa5fe542	0	0
64183b8c-0fb1-403e-8ed9-d78e5f084d67	0	0
f3fcc081-577f-482c-ba28-7bb33506eb12	0	0
8d326beb-e3f9-4cb5-9185-f385762217de	0	0
5480fae6-9b04-49c5-ba3c-aaa61b15794b	0	0
aa0c601b-84f0-412a-bf7b-cc8308705c97	0	0
2d0071fd-2e88-4fc9-924b-fd7c1b6d8538	0	0
c96c74bd-53ca-4be7-8bde-92ea32979679	0	0
d2064282-ba8f-4847-a1a3-f9fda2e56f31	70	5.83331388888888824
8edc2a0a-aa2d-4f70-b127-7c44cf696fb7	0.594125249072381956	0.0495087870747844064
21ffab11-3ac6-42c4-aac6-1be0bd614b4f	0	0
f80a5224-69cf-4844-9869-d4b0ce92b0a7	0	0
b9b4e315-b602-4397-a3ab-c3216e5ca523	11.1837229437229446	0.931945846079846207
ff12587c-36d4-4e6a-9490-8ba5bcf74c64	0	0
42118a12-adec-46e0-8546-8e91ff83de23	0	0
975c9c9d-e4d8-4a38-902b-d366f2ceb9da	17.1436818181818182	1.42859253017676768
f3d52f79-3ee2-4d5b-960f-d82ba7d8846a	0	0
4777f351-bf22-4aff-95ad-c1838849858b	16	1.33328888888888897
300d68fa-22f2-4221-96e1-a8e56c0f7917	0	0
0a0247ce-b215-4d51-953e-fe7b2205f0f6	0	0
690a1051-33bd-49b5-bbdf-baf7006f945f	0	0
01c95acf-2295-4075-9667-52f35e9cf6e6	0	0
a8e2ac3f-be58-4b0e-8c57-277c30a67c85	0	0
a4e02142-f06a-4369-88e0-7a2db9efb1d6	0	0
2abcae6f-b09e-4362-b059-0b7b684c7c47	0	0
cd71fcef-a3c2-46f8-ac3b-a7bdcb99434c	0	0
94f3a497-af74-482b-af65-51edfe3dbcca	0	0
dae4464c-b82d-46ef-9f6e-73cc64146755	0	0
80fd1908-1ad6-4409-a612-bf3ef97a632e	0	0
6d49d4dc-4365-4f05-890a-92c1381ae400	70	5.83313888888888954
2df0c15e-0532-4b9c-88a4-5b3a63a7d8f9	0.594125249072381956	0.0495175339187290883
b2cc8a09-4cdc-4d32-a944-a1441482efc1	0	0
166a614e-1c70-4126-ac7e-be696a630a00	0	0
c1e53623-da14-474d-b3df-4907edf55ce6	11.1837229437229446	0.932110495334295464
54acae35-35be-41b2-b787-9ba495f17d03	0	0
6b0b206f-7b03-4c51-919a-82642bdda8ac	0	0
db6e9cc3-c336-4a98-9403-12cd62ccd935	17.1436818181818182	1.42884492327020207
6f86bf0c-b356-498e-99ee-956a1b7c4f54	0	0
fa23c190-437f-4e77-9f2e-d1119bf8f2c7	16	1.33352444444444451
709777d5-9f96-4175-9be2-0ba5091efdda	0	0
ae0da238-8e8f-4fea-a134-f15d2f7e545b	0	0
cfcaddf9-6f72-4795-bdb8-b4398785c2c1	0	0
44d317e7-f887-416e-9c97-693ca9632b15	0	0
6c337c35-1c87-48ed-8dba-9de1e5afc36b	0	0
0429e9a9-3a75-419e-b8e2-4a6c6a98f599	0	0
1c747a19-a295-4e22-bf5f-0ed7e8ac983c	0	0
48394281-f03d-485c-91a6-941257b1fc7f	0	0
12247f15-ef6a-452e-8c7a-5145b6994f1c	0	0
70e115cd-b2c8-4774-8b66-50bfbe43a853	0	0
c1901c02-e685-4429-b671-bf255ef291db	0	0
8b947587-7501-4cf0-83f8-2f9c9d459647	70	5.83416944444444496
760329a6-723d-40ce-9fa1-f2ab6f815f5e	0.594125249072381956	0.0495143982576923131
fc5dc10c-4296-43c3-a9b9-2b7c585ba36e	0	0
1dd62e90-0344-4b21-95cc-d700d6e48902	0	0
c2f50e2a-50ce-4ff8-a5db-2605c24ba6ad	11.1837229437229446	0.932051470129870219
3270c0be-760f-4697-ab88-16ef596d5dc1	0	0
54e828eb-ce8b-4ec9-9c04-035e1d823caf	0	0
96297364-1cdc-4f8e-b6d3-87397cac923b	17.1436818181818182	1.4287544427272727
ae09177e-0a79-465e-9752-30e0c46840b8	0	0
fdc45116-10f9-4637-8dba-0738dbd7e1ac	16	1.33343999999999996
0ab22089-2aa2-43d0-b34c-3231262ee29e	0	0
a6c88850-6671-4d70-a8f4-99801bf61f81	0	0
228c7a35-29de-456d-89f7-af9ffb139524	0	0
832136ac-629d-4b4f-a240-5e88d39fd44c	0	0
b3991e1e-eeeb-4582-99ce-d12a203ee841	0	0
5f03c9c6-20a0-4ae4-a2ca-1bec2161060a	0	0
95a7c2d1-e30b-42ea-b8b3-817f6b555db9	0	0
86c83a56-bf59-4f60-950a-6644e5e167e5	0	0
d5844671-af61-4960-9a6f-dc79a320e804	0	0
78e02a38-2e09-400b-86e8-a346aa2f13a6	0	0
1e2d6265-0234-4d5d-b70d-9241ec46be33	0	0
b14e9013-ab6f-4498-8549-e0c58533ef8d	70	5.8338000000000001
edf35405-5aca-473d-a24a-8efd1e8fbfa1	0.594125249072381956	0.0495148933620665407
997461df-be51-4274-93b2-3ad8186ad6a1	0	0
32998dfc-4c11-4eb4-810c-49e76dd48159	0	0
b8b7fa8b-59d2-4b54-ad85-58d7597cbedc	11.1837229437229446	0.932060789898989994
48d963c6-9b95-4b96-b4e9-2ebe69dd799d	0	0
6bc7893b-fe15-48fa-aa5d-a9beb3b20fc6	0	0
f8a7cc6f-ca08-420c-a1cd-4027e36755d8	17.1436818181818182	1.42876872912878783
efcd0621-8712-4b2a-9de3-56351868bb37	0	0
cf5aa0fe-9cf8-4d0c-afe1-c95674a8c7c4	16	1.33345333333333338
795d60a8-554f-4a5a-bb89-16562477b92c	0	0
338677c1-caef-4e5f-bffe-784dd2873498	0	0
79579ec4-d69a-474c-ba85-ed0e19db9b5c	0	0
6409c08a-cc90-4aa1-9e56-ec4409b608d9	0	0
8a7a83ab-732b-450b-8e11-f771df813428	0	0
6b04d864-fb01-49a2-a5b2-fdbbe624df35	0	0
fcb9fbb8-df37-4f74-8bcf-b07a622d7939	0	0
db95ba9c-ea7c-44f5-8fd7-bf18fa2281aa	0	0
a3c362a4-8e5d-4405-a12f-9d3da9008b3e	0	0
b139e888-bd46-4265-9e65-98f4751844a3	0	0
24c553a7-c255-4660-b789-48ade6f2cf51	0	0
5d9e4c9e-24d5-461c-ae15-0948856f5f4b	70	5.83385833333333359
c9430a87-2da7-436d-8bdd-c5f97a774ba9	0.594125249072381956	0.0495155535012321707
6dc22462-fe72-4abd-8ec7-c6add3bfc9fc	0	0
30463248-9429-477d-b135-c1b3e9ef7942	0	0
0f8db433-9539-467a-9d42-6b40a7c6a911	11.1837229437229446	0.932073216257816251
b5f01fe7-8151-468a-86fd-8e9fcc0fc44b	0	0
c0d6bf89-b631-4a60-90f8-bf9ad5137ecc	0	0
115d22ed-cb29-4448-a3b9-1408969b76fd	17.1436818181818182	1.42878777766414133
0d8f7bc7-2f12-4fa5-9bda-59da96befcb7	0	0
83c5d2ed-e75a-41f1-8315-daf8db16163b	16	1.33347111111111105
eaf779e4-40f3-4db1-8544-4f97297c122b	0	0
99e9d998-59fa-4f35-bcbb-a4f5f2ab9efd	0	0
b7918d43-6363-4543-ba2a-fd8f265bd1a0	0	0
74a69586-acbe-483e-ad3f-d26dddb9d1f5	0	0
0bc54543-fe92-4af1-bb1f-adee179b174c	0	0
a96caa04-ec1f-46b3-afc9-648701bc4cbc	0	0
7ca2e305-25db-4abc-9bde-fadcb54dd480	0	0
97765ebe-8b14-40c1-8801-8f0ead5f23c3	0	0
28e518ae-f4d8-4ef8-93d3-f1c879b776ce	0	0
5ced205a-a346-479d-9203-1649de7386bd	0	0
0be73de4-deb1-4261-b827-0785a1021415	0	0
e82b6c4f-ab3f-44fe-90c9-688767abebfd	70	5.83393611111111099
325cd0f0-7fdb-4946-b269-e2b2e0a50641	0.594125249072381956	0.0495106024574899009
878b4e4b-832d-49e8-a285-8371d7e52f16	0	0
fcf6df4f-d8e7-400c-bc41-7acf6bf9a9cf	0	0
354ab4b6-fff4-4b7f-ac35-6c432bf6f877	11.1837229437229446	0.931980018566618607
af2d062e-7401-4fa4-80ab-d900bebbccd6	0	0
cf342aa5-b486-43d6-965b-68af6dbe9da2	0	0
15f5021f-a450-44ba-9f40-7c07041d44a1	17.1436818181818182	1.42864491364898982
d3df797e-4787-4242-bd5c-6cf48005b7ac	0	0
01c836f9-3c97-462b-a85e-02d922fed8c8	16	1.33333777777777773
e4903e0c-7939-4d18-8cb6-e2bcbf005ed4	0	0
b893b890-b826-4b36-8df4-88002caaec85	0	0
34e4eef0-8f96-4c59-b914-5b8094c8b898	0	0
e75e4229-6f2a-407d-a8a0-6b6910cff735	0	0
1b14f244-71a5-4d64-a5d9-6295ce80372a	0	0
16d7c379-eb31-49eb-83a7-6828dc69f2c2	0	0
c02c8ae1-b0a8-4c03-8c95-e70daec75361	0	0
5ccb22e3-c391-4290-be23-9ff5eeb07ddc	0	0
861c451c-f657-4e0f-b54f-4b764de2ef8d	0	0
5bcffb60-d6ba-48b1-8500-edeef7ff00ed	0	0
79fccefe-c8e7-4762-b9a0-3b2732332688	0	0
fee4016e-c10c-4078-b6e2-bed43bd4102a	70	5.83335277777777783
7f92425e-caa8-4aa2-8d5e-743dbe58acb3	0.594125249072381956	0.0495096122487414525
b834185d-d4b9-4cd8-bb98-dd9e2124ed4d	0	0
6aaaba15-f4b3-47eb-8759-d69896018af7	0	0
f56a6d66-4cbd-4dad-81b9-bc7195f1a60d	11.1837229437229446	0.931961379028379056
c0d34268-2977-4030-a359-6f784d839b91	0	0
23e532ee-b201-406d-86fb-5d7c296777eb	0	0
41e3776e-0e3b-4178-b046-1565a5382c74	17.1436818181818182	1.42861634084595956
8e625184-14ef-4b7b-aa7c-bccf51b6c9ce	0	0
9f9577d5-4f01-4f41-9644-e9f020a83a69	16	1.33331111111111111
31e2db4d-0989-4efd-bb6a-240ec584dd07	0	0
eb985d48-3ba1-4a24-b7f1-b6ca2532cf36	0	0
b7ddf70a-c67c-4c65-b270-a169a89f267f	0	0
e4c0c067-96b5-45da-b009-82ac7166588e	0	0
5a87d7e0-7d0c-408b-afc4-a4b304b349ca	0	0
91584251-292b-4a15-b6a8-57d7a934cb3b	0	0
d939c2e8-0633-4f44-a075-6bade80325ad	0	0
2e89552e-c9a0-4c5b-b768-ad2259431eba	0	0
2f44db95-cabc-48a8-a29f-7cd1ad9652e5	0	0
2dfe3888-26bf-413e-b4cb-9a5b424cca1c	0	0
581e64b2-58d6-4de3-9a26-84c64672b6f3	0	0
f674e958-9c22-49e8-97e6-249ca7c2557e	70	5.83323611111111084
9d8f77d8-4b1e-42bb-b542-e94298e41e73	0.594125249072381956	0.0495112625966555447
1b07ac8a-bd6b-4bea-a69d-144b3b6449de	0	0
6f5591a4-b2aa-46bb-ac33-fa47236b2f09	0	0
c37a3eeb-c4e2-419c-9c13-ff7cdc251336	11.1837229437229446	0.931992444925445085
8bb45e3b-e4c0-4300-b449-69edf654a1c0	0	0
50ebf7b7-24de-4e89-a656-290153020d91	0	0
a3c82797-7ea6-43cd-aeb3-ee6d13f7c35d	17.1436818181818182	1.42866396218434355
f9d4486f-f2d9-4ab7-94d4-db93fe0ba7c4	0	0
e9636752-aca9-4b48-8e16-dc6ac422c2ab	16	1.33335555555555563
9481e809-8850-4459-a3cc-3439d05c4956	0	0
f278b5b8-2413-4098-af8c-2e510a51ffa8	0	0
76452e6c-fe75-44a8-b448-63326a653439	0	0
0deafbbf-6ab2-4c0a-87d5-951542a9b17d	0	0
26a48311-0517-46a3-acda-9b5c08c3d67f	0	0
f36ad69d-066c-430a-a5aa-ae797eb8a05e	0	0
036273fa-6531-4f68-9dc9-0bcfcd165d58	0	0
5854baa1-187e-4aa3-b67d-f569fa4acbb1	0	0
d67be7f3-4218-4a95-af47-c10c77d4cd09	0	0
7442c72e-6634-49b8-bbe1-831896540924	0	0
4d50dbce-9776-42d3-9277-c5af72657ab7	0	0
3a504d8a-029f-45f1-a7d8-cca43dc5b00b	70	5.83343055555555612
861fefa4-2087-49ef-8a5c-a045df36a234	0.594125249072381956	0.0495205045449744405
d4771f18-6aae-4626-9d70-4abf648ab848	0	0
6b1c6a90-7fcf-4002-b0e7-9ac702b35018	0	0
07b007e6-ede6-4de6-b3e7-c01363851d85	11.1837229437229446	0.932166413949014006
3a39ced8-58ae-42ba-afcb-dd2494049b10	0	0
c46f316c-7259-4ff6-a3c5-7742987ebca1	0	0
e1cfdf93-dcf3-46f6-9cd5-f3e2cd278207	17.1436818181818182	1.42893064167929285
c1a98bb4-bf30-4dca-abe3-54ae3e39443c	0	0
eaedfefb-d79a-4a43-9b94-0ed599453aeb	16	1.33360444444444437
c433447d-0927-4ce1-b800-faa663a34202	0	0
56a13c69-a77f-4f59-8453-287804dd97f5	0	0
fdc72892-f0ce-4506-a6f3-be883f163604	0	0
ec43a7a4-a389-457a-8105-a6fb9a213e52	0	0
a6fcf6d4-8d5f-4439-b4f5-1ed6ab7edaaa	0	0
0c3a25ea-5795-4ece-9115-42510107320f	0	0
6d0c92af-dee7-4f3d-88a0-054cc76450ef	0	0
a16cb373-d837-49d5-9932-60747479f146	0	0
5e4e0be0-2cde-4d87-80f5-c8205eac6509	0	0
0ba8ce81-cb50-445f-acd7-8a2f4a04beb3	0	0
3b5d304c-9288-491b-8220-a359965968d9	0	0
d2c0d50c-1fe1-45d9-8b5d-d61b6ec4fa0f	70	5.83451944444444415
6c594616-1ff1-4609-9e87-ed02432f4578	0.594125249072381956	0.0495142332229009038
feac1479-a174-415d-b0d1-0b46adf8094c	0	0
929abb04-94d1-4fd0-9b57-965997e99a8d	0	0
be939a7c-aea7-4f54-b018-073f9b1a4a02	11.1837229437229446	0.932048363540163516
ae36ad47-9940-453f-ba2e-0c10af864cd8	0	0
3bf36d8a-769b-4629-aa54-bc9bd013c127	0	0
bc5291a9-cb2f-44c5-921c-1b2651ec3702	17.1436818181818182	1.42874968059343432
05f93621-f36d-4b7c-9175-f75bf436c057	0	0
dbcb6647-e6d1-464c-9d4e-fc376f1d73c2	16	1.33343555555555549
a1a83651-109e-44ea-8cc6-b753fd80600d	0	0
a9b8f04b-433a-41d1-8d65-adf31edb9d9a	0	0
1a5c90e5-3054-4037-b6f3-068047aa7401	0	0
f32c1737-fa98-4526-bf62-6794a848ba4b	0	0
4356b5ae-07d1-4aa8-b1a5-8ed6677ea65d	0	0
6c8c164d-2993-4838-896b-ee000a431784	0	0
9217c736-3cc2-45bb-b8cc-730b1067e8fc	0	0
899285a0-5bef-41d9-8da0-731f48cee5dc	0	0
048dfc84-af49-433d-b85a-f0fe6fbde83f	0	0
899cd0cc-8c46-4b82-bd2a-acc4da2db2b7	0	0
163fd166-0df1-4261-8ec0-ff08b9bed6bc	0	0
4ae1b859-2940-4d35-b630-b49c854242c6	70	5.8337805555555553
83502c3d-c72d-4985-9688-f85e83aa07b4	0.594125249072381956	0.0495127479097782208
a728eb8d-09af-4b64-b132-d8c1720e7d0f	0	0
78c8f75e-90cf-4444-95d7-40f82f9d473c	0	0
773df062-2d2c-4114-856e-9198ca88ef62	11.1837229437229446	0.932020404232804189
f00ff75b-d9a2-46df-8766-5a8ba0114a3e	0	0
9bca8e53-af8d-4227-bee2-2cdca5f094e0	0	0
fdda18dc-a7cf-4e75-a733-4f95c57a4acb	17.1436818181818182	1.42870682138888871
ed35290b-96c7-47c0-b2d7-bd550537359b	0	0
1afa773f-ec03-41a6-9862-3cd09f3dd14e	16	1.33339555555555545
06c8e979-ac58-4b40-a2f8-5c03ed16acda	0	0
90340901-fd84-4ac2-a032-9871cbe0d122	0	0
0e5aaa50-1d58-4bb9-9de3-b396c0ae5a3d	0	0
32e340cf-d758-4b41-9eb7-fe94e4e7bfa7	0	0
a7e5c81a-2252-43b4-822f-acc93621d5a5	0	0
40981255-8630-4ff1-812b-3812b449bac9	0	0
26188913-3223-4243-9083-bf67df3b1e5f	0	0
27f29e67-d7a4-4a50-a841-7740a406f1b5	0	0
f0c2a206-6052-4ffa-9bd1-c0eb7d814c41	0	0
79a2300c-efef-4f27-81c3-acf2ad60f025	0	0
40c07cf2-cbaf-44c7-a742-33a74f54d65f	0	0
f55b9c6e-8fb5-4803-b067-db76488931dc	70	5.83360555555555482
4a72f375-d095-4cc1-b55b-c38db68206ce	0.594125249072381956	0.0495176989535204976
6557a0ab-f23f-4cec-b5fe-728b60f3b066	0	0
3db805d2-97fa-4e92-9162-b938604802c5	0	0
07d45249-d28f-491c-b8b3-81106d8790ae	11.1837229437229446	0.932113601924002055
e1358601-84ac-4065-8817-55259bc37a18	0	0
3495a9f3-8e01-4f03-af8d-dff97f3859e0	0	0
bfbfc279-029c-43c4-808d-db1ac1973094	17.1436818181818182	1.42884968540404045
71e83622-f996-4ed1-884b-d41e452451c5	0	0
ce7b5e9a-7de3-4164-b2a7-191244a70511	16	1.33352888888888899
c989f089-d460-404e-862d-882caf7d5e8c	0	0
0b553bc8-9a73-4f18-8058-9680eba5af5b	0	0
36515ae9-044e-4462-a277-1c979f70d6a4	0	0
44df343a-7517-4d00-8dc5-cdfd778b2c4c	0	0
d52163f6-17a2-415e-84ea-79ab39812617	0	0
6517705a-a1e9-4cab-a95f-0167453fcd4e	0	0
3b7d7a7c-6ef8-448a-87fe-d3cc0e69380a	0	0
244a4f2f-aca5-4bdc-a0e3-7462f9a88935	0	0
48e2efa8-353a-4045-82c5-6f2792486012	0	0
55296d2a-0e68-4075-b768-fc82b9949f18	0	0
12ec589a-93ac-46f8-90e9-da3171c17224	0	0
577bad54-ba8b-4bbd-8ae9-65c688b9cd0d	70	5.83418888888888887
dc2f3dff-5ffa-41c3-9500-76ece434cdfd	0.594125249072381956	0.0495137381185266762
3d05deac-6d6f-4080-8528-fa80c039a489	0	0
28157a8b-f6f9-4ef2-9a19-424239ffc3bf	0	0
064416d7-c110-4917-9537-0d67e1fef762	11.1837229437229446	0.932039043771043851
4a599d0c-f041-4577-85cb-e41ad1e25c73	0	0
fe57b33c-7f94-43f4-a3b4-17241536f202	0	0
8ea48001-1465-4065-91b3-edcdbd2790cb	17.1436818181818182	1.42873539419191919
c5d99347-3d4e-4300-aed1-cb6b0dbfcaf9	0	0
af17b71b-0b9b-4807-900f-9451d2048f08	16	1.33342222222222229
081ba2dd-5958-4c56-8d27-58058e4f5e60	0	0
e352cf8a-0c90-4778-9d96-23fa8d63173d	0	0
ce09d8d0-114a-403e-9fe7-8a1c1ef1fe70	0	0
0a9ac439-32e4-4d5f-ab95-50215431e883	0	0
15e6d28c-f140-4758-90d6-e15402a1aea0	0	0
e0f7acfc-49c4-4c88-8424-0cb2ab129620	0	0
285cecb3-b1ee-47fa-888c-f226e9f25edf	0	0
d1849de5-e421-49b1-9ad1-f03d1ee94314	0	0
936f4adf-fe6a-470f-8307-6f63aff78ea3	0	0
ba09afa8-5f68-40d2-8482-92398b389433	0	0
f036e2a8-7fe9-4daf-8170-584a30d76ed9	0	0
ef854d2e-6faa-4cd2-acb0-192b2534e4bd	70	5.8337222222222227
d4498f8a-cbf0-4883-a698-19ac9eacb236	0.594125249072381956	0.0495153884664407615
6d9c73d5-1453-416a-83a7-18d95e82c97b	0	0
574e231f-31ca-445e-8593-62cbca18ef17	0	0
e0b51530-55cc-4751-ba4a-0d861339fa36	11.1837229437229446	0.932070109668109659
6da0332d-096f-4ff2-8cbd-e61928a0106b	0	0
6cda9c60-d9fa-4b94-8c01-5144e67a2797	0	0
8f15c5c9-a1f7-4faa-b9e9-6b34481af11b	17.1436818181818182	1.42878301553030296
f338e779-7ee4-42dd-8510-96e5b1d67de9	0	0
6bda5c7f-a213-4ff8-9a68-90b3f87815b8	16	1.33346666666666658
a527aa36-c78d-4f2b-baa6-683fda9a2f35	0	0
986b9278-55e7-4ca2-9e11-a3605e908265	0	0
6fce9457-a40d-4402-99a7-e8da16d3b77f	0	0
24a64e12-c274-45b8-8d72-4d2d7928668f	0	0
2585cbfa-926c-42c9-b329-2930c7378d14	0	0
17a0ba45-8045-4793-a5a1-f8309e339a25	0	0
1dd5e9cf-9a47-4249-ba61-c2c68a92423f	0	0
42f435f4-af66-43ac-99b6-4ad2b890b271	0	0
c72b874a-ed62-4f11-98b7-bcfd268215ff	0	0
09954f99-b079-418d-bca7-9ea40a3ad82b	0	0
6ba4c03b-9317-41d7-b446-581295935244	0	0
2a114bb3-f312-4711-90ad-5657b389cb53	70	5.8339166666666662
4f4440a2-b6a3-494a-9875-9a5501886e7f	0.594125249072381956	0.0495125828749868185
3cde5602-278a-4001-a619-ce355add783d	0	0
f26bdd1e-f256-4158-af69-160ca5ffd9d8	0	0
c72506d7-c136-49fb-81c3-0046639d4d01	11.1837229437229446	0.93201729764309782
2e756626-a981-413c-bf7b-c6139106e511	0	0
3a7d0d0c-3d15-42e0-a5ae-76127029b320	0	0
959bd979-9981-4b89-8124-867be552ff0d	17.1436818181818182	1.42870205925505056
2605baf1-8e5f-4d1a-916a-0fe19634fe30	0	0
12a901c0-a6dc-40a8-b50c-c283e18b4dd9	16	1.33339111111111119
64af50cc-7d7e-468b-8519-3a12e4ef6fdd	0	0
3f3545b0-5a60-4839-879d-bb7fb3296aba	0	0
86cc9350-98ae-4db1-9765-216d675e8090	0	0
9da53c32-a454-45b1-936a-b5704c921a55	0	0
4463eede-90af-4a90-8a5e-f8668b2a9ffd	0	0
2f610e2f-d9f8-4880-830f-529bce1a58fa	0	0
a6325578-5402-4fc5-8c42-246d2f3fc421	0	0
91ef30df-1926-4ee2-984a-6450e1f5c30b	0	0
9cbba704-bb5a-4924-b268-1dadb00584b2	0	0
44ef37a5-1eac-4fca-8eca-a1e58cdc0051	0	0
33acce1b-3280-40fe-9991-5d13332431fc	0	0
585b1ec6-c657-4c9d-b4f4-51875b0aec09	70	5.8335861111111118
a49581b9-1a0e-4b22-9102-6850125363d3	0.594125249072381956	0.0495162136403978145
ea6c0893-35bc-4698-ab27-8100da7028c2	0	0
9fedd5b0-4b39-433f-968a-c2f4408659df	0	0
b096d98d-6497-4d17-8ae2-c4007be0d0ae	11.1837229437229446	0.932085642616642729
24fd0f7f-8ec3-4560-9b10-c2a3eb419579	0	0
395139f0-773d-43d0-8faf-b8cb9817ebe8	0	0
fca31f68-addc-4647-af41-3a624cedc8ba	17.1436818181818182	1.42880682619949506
8fe88b5a-c89c-4bd9-a551-5a72ae64ce40	0	0
cc07a4e5-af1f-4e82-b7ff-2d3039440ca9	16	1.33348888888888895
607f4bd8-9566-4220-a9c6-138dd756f42f	0	0
2ebd3705-9a3c-4ea5-ac72-57cecac36fa2	0	0
5d6efa21-d076-4d4c-9f70-7eb69c74aead	0	0
e47744a2-83f8-43fd-bd2a-e828145e096b	0	0
4ada726d-4eab-4b6f-9a9b-67595a4b0fff	0	0
c92f7ccd-e018-48c7-a953-4d60a0bc2f2b	0	0
e575ef56-6b0a-4c28-9fc4-aa1437379d61	0	0
cc05d79c-c1dd-4a13-9d0b-eef288cd092e	0	0
58c943ae-157b-4efe-a66d-b953f2546425	0	0
f7938d96-f44b-491c-94a2-df5993a3d6cb	0	0
82828d8c-1bd1-45e3-8519-ff57a844440a	0	0
4096da93-a3e4-4633-9907-6b803027b211	70	5.83401388888888928
37585ed4-bbf7-4119-81db-be0146616d6c	0.594125249072381956	0.0494970696045943653
7385fea6-8c9a-4bb3-a5fc-b8e285cf19d8	0	0
8ac8a6ae-b311-4a95-89df-2f8556131c96	0	0
e0ba357e-3862-45f3-ab4d-2edb669facda	11.1837229437229446	0.931725278210678298
337729d6-d743-4fd3-9848-6fa1e3dc115d	0	0
88f90102-67e1-4bae-b8ed-0b7ab0401a57	0	0
3ea4e638-8e8f-4c27-b02c-6e7f24b08ffa	17.1436818181818182	1.42825441867424252
33c95c6e-2fcc-4f35-b772-ccf7e3c90f88	0	0
a0e007ca-16b4-414f-80ac-06b4f0a8a634	16	1.33297333333333334
afb3d2d2-ad43-44e7-8ded-65cbf5f8912c	0	0
bd7beff5-8733-4e60-9c62-8b3725cc11c4	0	0
a2d48be4-ef5c-4234-89a8-4056d004cdc2	0	0
05d118db-c458-46a2-b615-e55bcb5e459c	0	0
594c6dbd-a87f-439d-b75b-f95eecfe1098	0	0
d8c99d2d-b17a-4c90-b4f4-2af6a7c0c9bb	0	0
5353a582-05ff-488c-a8b1-da948d1a0dfb	0	0
be4ca005-21bb-498b-841f-3efa50a6b93b	0	0
c3f8bf23-a6e4-4541-93fa-c6246d2269a1	0	0
adc5e74a-93a0-407a-adab-868cb21589da	0	0
210c90db-8f11-4bff-b03b-603b1e4b49e3	0	0
988ae413-78fa-4b40-83f3-a24274f57723	70	5.83175833333333316
83a18bb1-b4ca-4555-8835-ecc0089d8b12	0.594125249072381956	0.0495264457974651726
fe53fb21-aabb-4d14-a789-d26dfb3d29c2	0	0
17123a53-a983-4554-8cee-8512e2df864a	0	0
ca9087c8-6391-4bda-bd6b-9aadcf142c14	11.1837229437229446	0.932278251178451312
f161cdae-595d-40ce-88f1-94b0f8816aab	0	0
0d80ec53-c707-4ef4-9cc2-55e3a73fd4a0	0	0
7b988d63-0bb9-495b-a141-1401c9aab813	17.1436818181818182	1.42910207849747484
4b7faaac-0f88-4d55-a35d-8821f9fc79f2	0	0
5d6f4f5e-e2b0-4735-8943-4d7b0ad88bf5	16	1.33376444444444453
a589c1ff-b6c0-48c1-bc52-5fb369067cfc	0	0
996034d3-2732-434f-ad60-de69d72e81a3	0	0
7a046688-08c7-4e26-8034-e86d30b44c2c	0	0
9f514b7f-3308-44f5-b577-4385a39dd05c	0	0
690bb6e2-6255-448a-b772-e89d516bca5b	0	0
867f7448-5d0a-4776-90a2-69d35802aeb7	0	0
a0153283-be79-436c-a834-d5896dfda908	0	0
1e7cabaa-0a35-429f-ab46-f64e0acefb0b	0	0
25b8f58f-6682-4dfc-9757-0cf882759e0b	0	0
1e7422d7-3ed0-4675-be8a-d9ed6de4f47d	0	0
26313b55-aa3f-4feb-a768-6bb4ad03b2a3	0	0
ce43247c-0d3f-4422-8b9e-564177da3239	70	5.83521944444444518
748e3164-feb5-41a7-8ce8-cd6b847a81db	0.594125249072381956	0.0495145632924837223
7f804335-61c4-4302-8b96-744575020bac	0	0
2da51fab-2c8e-4e99-b3e8-0d4aec8c892f	0	0
309b18aa-3cf6-4d0a-a68a-2e09c8b41bbb	11.1837229437229446	0.932054576719576811
d7d97953-af73-4337-9727-a06adeeb5ab9	0	0
1f07e885-f34c-436d-9252-9b18d058f31c	0	0
15dcfdac-3686-4b21-9d20-49a75799f4b8	17.1436818181818182	1.42875920486111108
5794a209-921e-44d9-8955-36498c192dab	0	0
cced3eb8-d86d-4fbb-ac3f-4d46d78e50ad	16	1.33344444444444443
ddcc6024-4e4e-49c9-85a9-280d44516fad	0	0
297b4c66-96bd-4d3a-a5ba-272a9cdb6f49	0	0
ff556234-c1f1-4b9f-b049-ff5728fe7df3	0	0
664e74d1-72a4-47c5-a029-cb81245e6986	0	0
e44a4ad9-a95e-439e-860d-b858c6681933	0	0
8e08fc6b-406b-4f12-aaa3-04db0d1cdb0c	0	0
98496611-7e95-4468-a00f-4f35712c87c6	0	0
88ce933a-b15d-4e37-b193-61c6dfaacecd	0	0
5589c09d-320c-4dda-8693-1b17954e1988	0	0
c30691ce-2c01-48f3-9361-bc9c2a1e8654	0	0
70142d48-3922-4199-a844-5f7e958608d9	0	0
d7bac65e-ddad-4718-9632-f9bfbcca2813	70	5.833819444444444
229f6444-0c64-43d8-90d1-9ae92f0b4818	0.594125249072381956	0.0495155535012321707
0dbfbbb6-718a-4bdf-b8f0-aca09ca6ee59	0	0
35ed773e-93b6-4e75-9c6f-66d9786b7d47	0	0
abb5e56a-803d-4771-8486-f073e37f20f5	11.1837229437229446	0.932073216257816251
e8e6f57b-1a08-417d-8c67-1f4a77e05a62	0	0
9aa48c36-053e-4642-b411-04ce87472439	0	0
0ab450e5-60dc-492f-85f9-13fb8a22a01a	17.1436818181818182	1.42878777766414133
c98a6631-fec1-4f94-bcd8-5d10df47c759	0	0
03c06ce3-c514-4d25-a93d-1366773dd141	16	1.33347111111111105
3da5b7d6-a31c-4b59-8e24-45922e28cea3	0	0
6ebd7d02-4d8f-49f1-9e52-cc546803fb39	0	0
380bfc55-cdc5-4d3e-8009-4a6993e5f75f	0	0
7709ebc7-18e6-437a-b337-207ddd5b5523	0	0
da0291d2-a1db-473d-bffd-c4029fa02d00	0	0
0d00d476-1e8d-4539-924a-8b064b8db942	0	0
0e9c2a4f-3a2d-468e-a7a3-24043c90b15b	0	0
5fa844e0-6ff4-4a33-ae09-a4fc7d16d4da	0	0
64667e66-eb96-44cd-98ea-27fec49da32f	0	0
d3010aaf-7965-445e-8e89-761afd2a11dd	0	0
4310325c-a599-45a1-9fd4-e7327d5ea978	0	0
2a1524a1-a63a-4a6d-9528-294f4db6a9f6	70	5.83393611111111099
e857b63b-2d99-4930-8a7d-91dfc83610ab	0.594125249072381956	0.0495130779793610393
baec3272-7f4a-4ca2-844c-827f2b3d194b	0	0
fe72fa3e-1be2-4b75-bee1-f3092808755d	0	0
d7e72375-d6c7-4a3a-b562-6cbdd6fc51a7	11.1837229437229446	0.932026617412217484
c488843c-ec00-4474-9b8d-93f2d67c19bf	0	0
5917a0f0-6000-4e9f-8f99-6aefeec77ae2	0	0
fad0d7da-76d9-4c79-97a2-1aac04193a7b	17.1436818181818182	1.42871634565656569
c38b8de1-7089-41a6-96f3-480eeb116159	0	0
da2c7fb7-76df-4224-874a-43a8ff0b73bd	16	1.33340444444444439
2f8c7b04-d968-495f-a0b2-7ee409d5d6a2	0	0
af7ccb7e-f8bf-4728-878a-2ba563816bf2	0	0
16754e1e-f88d-4d3e-9a1a-a3b3cb733448	0	0
24b141b1-49ff-4bae-bf7a-4981b29f4839	0	0
80cd208b-7974-4698-8895-80592c4e5ded	0	0
0b950f0a-f045-4360-ba97-b7467f2cf0da	0	0
cb38dcbd-87b4-4a13-a24e-4bea4fd6efb2	0	0
436a66ec-eae8-4ba4-b73d-e9264be9af86	0	0
23260454-031d-499e-b2d5-28edb49b5683	0	0
73b83a45-67aa-41ba-b272-c56137308231	0	0
60b4516a-c748-4854-9b45-76f6edb6cdcb	0	0
9ecd0fde-ba17-4c03-9d7d-ef2b0a7d8f63	70	5.83364444444444441
4166b691-2d4c-466b-9b9c-b8326925fb7e	0.594125249072381956	0.0495066416224960865
b2095699-aa6f-4dc2-9da1-af16d9d0a157	0	0
58603871-4102-46b1-a26d-858097469bfc	0	0
f32e1765-b93a-4bd1-8daf-c8865b089d9b	11.1837229437229446	0.931905460413660403
33816a44-6ae1-4b7c-9c14-cfc9b6220546	0	0
11c95e41-78b2-4075-a261-9d0041cf38c5	0	0
8f1cd2d3-c166-41cf-aa72-1741d49c99c8	17.1436818181818182	1.42853062243686857
2bec1fce-00a0-4468-ba4b-a9dbd784fc12	0	0
7a82f5d8-7cd9-4831-88a8-85c7612e576a	16	1.33323111111111103
0dabfe89-b7d4-4533-91cd-00029a012465	0	0
94fadc5d-ce59-4de0-acff-2831b6c34833	0	0
1aad96fb-5317-4ba1-bdbb-c0774bb24485	0	0
a5099307-0a8d-4ad7-9990-6504d4084327	0	0
a2d86cad-fa50-43ec-ba0a-c741a66fcf8a	0	0
b35f5e36-5334-402a-8c34-e1f755b19ac8	0	0
83ac6f31-fa5c-4c88-ab93-7fc269af74b3	0	0
4b72afc8-f911-4d2a-b1ca-26dbbd6d626c	0	0
50f9cbf5-11f2-48cd-8f74-22c9493860e7	0	0
357ce2c6-c1c7-42f8-9665-4873f05aeee0	0	0
e1661ad8-d760-4041-8926-c679eeaf5503	0	0
66a0d34d-bc3d-43d3-a700-0f96d84458a5	70	5.83288611111111077
16b4fb9f-d1cf-4aaf-970d-520e4784f4fe	0.594125249072381956	0.0495205045449744405
376cda11-0758-486a-a963-e7e6788dc108	0	0
17d57ad0-ec1e-44f0-8c2c-61bf451a5a0e	0	0
ebecc38b-236a-4582-913f-a5cd79b28247	11.1837229437229446	0.932166413949014006
decdb2d9-055f-4be3-9520-2ab20928d9cf	0	0
2a2a8f58-b263-4b64-8726-05b91664ec13	0	0
e4478b41-ce05-450e-a4ca-4b5705145772	17.1436818181818182	1.42893064167929285
706f37ce-e0a3-4259-9ac1-a0819b27b2f4	0	0
0685df3b-d626-4ad2-82b3-a36a8a44a566	16	1.33360444444444437
9937001a-1013-4d89-9d25-9ff1827e53c7	0	0
dc18ffcb-66dc-4ca0-9f68-ecfd95960d00	0	0
9c5668c2-043c-49e5-9d84-d6fa0f9b8161	0	0
ca569110-3dd3-4daf-9bd6-fa623befd500	0	0
3a1ab298-59d4-4912-ae4f-5b8c09a92866	0	0
54937de6-132b-4f29-9ff8-b8bb5f2ac2ca	0	0
53d22079-f789-412e-a857-a4ae9935e2ee	0	0
0455fcdf-c67c-4995-9d57-6b83ea2f1af7	0	0
10670075-b92e-4294-a849-d03ff5f742cb	0	0
8932b078-d0fb-4df8-a38b-eafc9014bde5	0	0
4f52cc31-f153-495d-851f-596250633bc6	0	0
fd5202d6-68c1-46d3-b870-ab1414ad8cc2	70	5.83451944444444415
451a9592-1b05-4474-a2e5-156c178f9b75	0.594125249072381956	0.0495115926662383563
dd12a967-f5af-4671-a7c5-91987f5b6dc2	0	0
8d69d19a-5546-46f7-ad38-7720d0ccfbe6	0	0
6375bbf1-c141-451f-b8f7-025f76e8d0d2	11.1837229437229446	0.931998658104858158
fec04077-e3dd-452c-be98-6c7ed0d6ce34	0	0
c37f7326-cb6f-4609-8fd5-5f691b7c1a91	0	0
5e3d3613-b7fe-4108-875f-fc50e36d15c9	17.1436818181818182	1.42867348645202008
c798ba5d-6b0a-4855-b227-d16ce4fb1e5e	0	0
5678860b-500c-42b1-b74e-56c976ad6103	16	1.33336444444444435
6a2d69eb-90b8-4d7b-a202-8cb6d03717cb	0	0
63a8a02b-4bfd-47fd-ab3b-e7a1618209d3	0	0
f39f62a0-1d89-43c7-90ac-f4d80f2ef75a	0	0
0e32c981-ec00-467a-a88b-4af73cdcfd29	0	0
06be1770-9185-46e7-91d8-f819a88c552f	0	0
ab108bf5-f114-4a83-83c5-9d3ae21402b9	0	0
531e5c96-ea83-40a7-9d45-c71ca36f7272	0	0
65523a66-7c77-46f4-927d-04b0fe2ed626	0	0
21253590-6037-4f31-b3d3-c71777323413	0	0
04bcf14a-046b-4bdb-af1e-38804a7d4aed	0	0
930ad9b5-85b4-4fb6-9c50-c7532d49f9cc	0	0
35453b52-3268-4e7b-89e8-ab65b50a9c07	70	5.83346944444444393
1fa19521-b008-4f2a-93ca-1da65e83cdef	0.594125249072381956	0.0495148933620665407
47220e49-1fae-49be-aeb1-5af6f5944f63	0	0
0608bc7f-b038-4f45-9c02-a965ba2b395a	0	0
059d0a42-f5ef-46cc-81bc-1ff941e6d735	11.1837229437229446	0.932060789898989994
f3cf7783-619a-4287-a49d-5506fcf05152	0	0
fca44cc7-b669-4424-9779-5eaf13dc631a	0	0
f193ec31-3f69-4343-b049-79bd5e5b7331	17.1436818181818182	1.42876872912878783
cd49f587-f878-4199-af30-45c7739a662e	0	0
f3802ac5-5ae7-498f-93d3-bb36fb2cce2d	16	1.33345333333333338
dae4a1e8-6442-4078-95ac-ecca965136cd	0	0
24576da7-0c6f-4a4d-834f-1a079d1ffc32	0	0
f5794c38-9c82-458d-a646-10ac91636076	0	0
c3e60d59-18d2-4107-993b-b08659395381	0	0
30d44cae-1998-438f-9b54-9fd312a4baec	0	0
71571756-a487-42b6-b88d-225c959de511	0	0
34e226ba-0f6c-42f0-b770-afc9fe844386	0	0
8cd12c10-6a77-4044-8ebe-5c8cde145710	0	0
265b69fb-227f-4278-996c-950bd1484cff	0	0
f0fd7f1b-0a48-4eb6-827f-e9f77c145797	0	0
6ca53500-891d-4a42-9ba8-e3fd672595b5	0	0
a106a8bc-82bf-4516-9a33-19660d3c5f61	70	5.83385833333333359
6036326e-1102-446b-b7b7-941bdcf424e1	0.594125249072381956	0.0495172038491462629
8a5bced6-178e-4619-8497-4a6b8c346611	0	0
8a984f10-3acc-48a7-b7df-5fffda4dad0b	0	0
8accc6a8-35f3-4321-832a-4e938ac680aa	11.1837229437229446	0.93210428215488228
926073d7-fbbc-449c-b317-2f3224ed01f7	0	0
19ca3553-f5c6-4e02-b170-2deda55175ff	0	0
29ac315c-142d-4e69-8778-266c97f76041	17.1436818181818182	1.42883539900252532
b17651e2-3222-4b11-97c9-f4a358b85061	0	0
57e2c709-2425-43b0-910b-5db81745688a	16	1.33351555555555557
7b6bec00-245a-4f77-a922-d6f0f06f9df4	0	0
b1cf0a72-0457-42e0-9f4c-83dd317dd1aa	0	0
2f8ca93a-d4e6-495b-a528-ac676564b4e1	0	0
5bdab9e0-b6e1-44e9-ad90-7d0b502f7d3b	0	0
a61bc993-650d-4dd4-8638-a7fbca5bebac	0	0
c5e454a6-2578-4b63-96be-567cd4bb051d	0	0
b55b7ea1-3ff5-415b-b10e-3b2674737bd8	0	0
27b3582c-08d1-443c-8c12-ff96f6ba9c78	0	0
3919758e-9ecc-4091-bd3c-117af008cea3	0	0
2e1f8a55-aa99-4e0e-bac7-909076ca1290	0	0
95d6fe47-b412-40c3-b5a0-bb97a9657435	0	0
a7c28896-ab2e-4c4b-bad3-6a5bde268f58	70	5.83413055555555538
7487dc19-49d0-48b2-b3e5-8f10032eef44	0.594125249072381956	0.0495106024574899009
37106d64-f7d7-4b58-9065-3ed5b235661a	0	0
e0e53644-c1a1-4482-8ca1-06529c28c97a	0	0
27919b67-f113-4e15-b1de-8d21bcd8648c	11.1837229437229446	0.931980018566618607
b733ece9-310f-4192-a380-3b030f8ecba1	0	0
35421401-84e6-4c6a-ae2f-036a97fb4304	0	0
56ef606f-003e-48be-a620-673a26ef284f	17.1436818181818182	1.42864491364898982
3397dced-2a6c-4182-b771-e6fd2501dfc7	0	0
7fb6329f-3cc2-45ea-bcbb-2740a81484c6	16	1.33333777777777773
e64a4ec0-8778-4f5e-85db-9b03b2965c9a	0	0
22afea52-76a8-4039-aa42-5bf89e153694	0	0
7b74802c-8aed-4e42-b0a2-fd1f2878e4ed	0	0
8c0bae37-e9ef-4f58-b362-fbf0d66bb9b6	0	0
88586181-c4db-40d1-8da9-d6e10baf67a5	0	0
070bb37f-40bc-4614-903a-f1565efd12c7	0	0
0fd0bc7c-0681-432d-b683-532a5386a85c	0	0
e117350c-cee5-4c56-9dac-d58b60913918	0	0
1f88ccc5-fcdb-408e-9180-aaea97071ff4	0	0
e2a87228-ac14-4a26-8cb0-a53f78418e11	0	0
22a86cd2-330f-4faf-88bd-1be5634c9502	0	0
1b3ce435-2731-4f7c-945d-a46a57e9e3c0	70	5.83335277777777783
27aab81d-b173-457b-9f23-937dbbba8245	0.594125249072381956	0.0495127479097782208
aae37735-1156-44bb-ab3c-1f09a4fdd50d	0	0
be38ca3e-7b18-42f5-bda6-cf41550d69e3	0	0
7a6c1cfe-6fca-4a0b-b382-8bd7f96221b4	11.1837229437229446	0.932020404232804189
70da0989-0db9-4afe-b43b-ddbb2d6f2745	0	0
2a4d563b-e39e-4d72-9726-b1b8480cac61	0	0
1ebbdacc-d19b-4101-be08-d31ec91a1d6c	17.1436818181818182	1.42870682138888871
32e53d98-c131-43be-a4ca-6618eda1d7bc	0	0
c87014b0-55d1-4469-9813-aae849c92b70	16	1.33339555555555545
34c56bfd-407f-4419-a1fa-09b2d87ba86a	0	0
68d3eb8b-13f6-4f4c-ab35-2ed3e3b4225a	0	0
cf86f86e-7158-45e9-83b8-94a79b37e885	0	0
cd1f391d-e405-4f46-8115-70bee7c64f20	0	0
df789591-2172-4c57-b9c7-b8197d8ee571	0	0
ed14fef0-b967-4585-bc56-89e970a1ab68	0	0
3ed2be0d-48d2-476c-b36a-d81697e7e16f	0	0
aa11f629-9bf9-42ac-b147-fcb975c47759	0	0
24397dea-f568-469e-91bc-8de92b0f0df0	0	0
4946e282-aac3-4e71-b034-4e3530e186f3	0	0
f23cd4b6-3241-4e3b-acd9-84212244560f	0	0
b6b732cb-5245-431b-8f02-5e1f7a485380	70	5.83360555555555482
6f50731b-a20f-4c11-8af9-2eece66573f8	0.594125249072381956	0.0495172038491462629
6754b5cb-0226-4389-a586-301cf78e8b3d	0	0
352c14e8-7dbc-4e35-bebb-84e9ef5a67c8	0	0
bf92a9b0-45e6-4bfd-9e6d-66a3ee922638	11.1837229437229446	0.93210428215488228
5696641e-97a2-418a-8ec6-b1560b70200d	0	0
cbef3638-0f8f-413c-89c7-1a9f9b88e481	0	0
b1ee34df-937a-4892-8e94-41903239eb1b	17.1436818181818182	1.42883539900252532
2417ab92-1fe5-46a5-9706-3c3202f01850	0	0
c1fb50d1-ae96-477a-bc70-e3e0b171a0d4	16	1.33351555555555557
56803c8a-ef45-4605-a650-e952c69c36f1	0	0
a4303941-6c9c-47b4-ae89-8975c4b447a7	0	0
b68f90aa-a09c-4b78-8a04-e61cd3deb51a	0	0
1cab8ec4-53e6-470c-8012-c2a8d0deaf66	0	0
6b9f8d7e-1a5c-48f4-afa3-afc0479ffc6e	0	0
f9d43056-a867-49ec-b7c8-f7c594c4b646	0	0
dcc85dc1-fd0c-47c4-a415-8a6693b11214	0	0
0a797e0f-dcbb-45ac-9785-bbc58d9550ce	0	0
b16d7421-e2f8-46e5-83bb-ce165769e769	0	0
3cf60423-98bf-4d86-aec4-589c0498cc86	0	0
47588469-faa8-4df7-8ee4-dfa13a8ec467	0	0
2e67e08b-9901-4b1f-9461-b0bc007a1f3f	70	5.83413055555555538
31d1eec0-f243-4e9f-8fdb-f183f9967641	0.594125249072381956	0.0495092821791586341
f19d307f-8ec7-4162-973c-7cb1e013c17e	0	0
a658fdef-5ae3-4d08-961f-3697ce5bf3f5	0	0
175ce83c-53ed-457c-aa7d-e101c4aac992	11.1837229437229446	0.931955165848965872
d898432d-c4f0-4d3c-9adc-445aac41cfe4	0	0
7f649f97-7216-4791-85cd-ae735d6da4a0	0	0
dcb12902-e1f6-4c85-8cf4-e701f3e51c8a	17.1436818181818182	1.42860681657828281
a280c6e1-21a6-4f6f-9260-54b48e255ba9	0	0
e417e5ad-1f6b-40f8-b7e2-c9a2cb0367c0	16	1.33330222222222217
69652985-bc84-4ca1-8c1e-6d55d98a9b42	0	0
7ab8a229-b0f9-480c-997a-8404bf84c98f	0	0
718d89d6-8325-449e-9dae-91194b7b47e6	0	0
4362683b-c4e4-4f9e-a556-adccb37ad219	0	0
6ce42a9a-e806-4bbe-ab78-5917894a21e8	0	0
ce43d682-6a0c-4f99-9bd9-9d14c6abf0ae	0	0
d6782c2f-159b-42cf-962f-593d6d87f4a4	0	0
026ec86b-41cd-4cb6-b380-a213dd0c0dae	0	0
52cf6d30-e36f-4490-bc8f-c137f2bcd73b	0	0
5f8fd776-8044-4cb7-a85b-f6529d81667a	0	0
7afd0da6-ad15-4eed-b683-f29b3ee6e91a	0	0
6b021be9-5375-402b-9b0a-0cafdebf22a0	70	5.83319722222222214
9aaacd3c-3691-444a-aba7-8b32c722dd13	0.594125249072381956	0.04951505839685795
a07d373e-c2f5-4714-a1c6-ee65613a0868	0	0
4e194f1a-3e7a-47a0-8816-6d01872e2dbe	0	0
8f8ac70a-ae97-457f-8f79-44579151161b	11.1837229437229446	0.932063896488696586
a3137a02-b810-4786-8207-86fb2aa206ef	0	0
672186db-368d-4773-b8c7-3fefa6bff64a	0	0
65c0f9cc-3671-4f03-86b2-7703c8bb5fae	17.1436818181818182	1.42877349126262643
5597a03b-198b-4ec2-8d75-815c3c5062b3	0	0
a33b6725-c922-4021-a14f-9ae21a7a46f7	16	1.33345777777777785
c4066535-22da-47e4-9694-46241a4239a2	0	0
7f46c881-9334-43a6-a9fc-f26367625855	0	0
ce28733a-b329-405c-9cf9-15e6534e7830	0	0
01bf7d9d-e9ac-44c7-b51c-d06e325976b5	0	0
879c0257-9ad9-4f58-8824-032273984630	0	0
297e71ee-323f-41cc-8da1-8703a32c81a6	0	0
fed19872-1346-470e-a83a-1a8ad52eb58b	0	0
0ce010e4-8c9a-4f7d-b6b6-3a54b2dbb4a1	0	0
e21e4e30-7127-4712-b10f-6b1fbc2977a9	0	0
07c88450-98c7-4b49-ab42-80bad41d26d3	0	0
a8977540-c0fd-496d-8bed-0aa7418427b1	0	0
5f3741a6-7114-4b9d-854a-2029383ceee7	70	5.83387777777777838
3e4163ab-fd13-4349-9347-0e432f7a6fa9	0.594125249072381956	0.0495073017616617303
156c4f01-27cf-4622-99a3-52ab350d749d	0	0
865f7666-a17e-466a-86b0-86230a3a9176	0	0
7642b088-3a58-4c70-933b-d2d494bf6acc	11.1837229437229446	0.931917886772486881
99ce0a26-0319-44b0-9ba0-d546e7d1d10e	0	0
24c3c8b2-66dd-4455-9913-a7c2181732e1	0	0
6a34fe07-3740-44e4-9449-3a4f6f6abc45	17.1436818181818182	1.4285496709722223
4ceeadef-71d3-4e82-aae5-e92e4066fc41	0	0
f63cd2d0-985b-4e6b-a14c-a7673d77578d	16	1.33324888888888893
a48a367a-2965-4eac-a960-9aa2c194a44a	0	0
d5d9e793-897e-40cd-8d88-8af8bef767bc	0	0
484135fa-d043-45f1-9098-09e571218081	0	0
833eece5-815d-4a75-be49-b7b7b397cad5	0	0
4d3ec5ed-f06a-4c44-951b-de10da58d718	0	0
cf7f2282-6ce5-4e84-8f1c-6c1ff13776a3	0	0
4d0f9f69-96cb-42e5-8146-a9c3d0742eab	0	0
38a1243f-0ed5-4537-a0c4-2ba4b2e37e39	0	0
249c57d2-540c-4da7-80cd-efe91328941d	0	0
6230709a-6a5f-42a0-8f6e-dd44d1efd147	0	0
dac769de-94dc-45c4-9d83-2ee39495d459	0	0
3afef8f9-6531-495d-a05b-14ea0e5ec64d	70	5.83296388888888906
9959524d-f71a-4f18-804a-d82e1751754f	0.594125249072381956	0.0495761212696792727
9dda394d-1096-4efc-931a-13caade6bd11	0	0
316520a0-ef6e-4ada-8d0e-77a2cb296607	0	0
a8cf1820-af91-4780-a76c-d2c47417fd6c	11.1837229437229446	0.933213334680134787
7d127e80-679a-4a01-838d-9aedbb1061da	0	0
79146c97-35fd-476d-a68c-03c026ef79ac	0	0
5447b8b5-45d0-46e2-9218-f41862ad5b8c	17.1436818181818182	1.43053548078282833
891a77a3-a13e-47b0-9c82-7fd6d5295118	0	0
32fbe9a5-22f3-4489-ba38-abec27666626	16	1.33510222222222219
31b8ba22-8f61-4e53-bba0-2a04f49c9f68	0	0
b0432e1e-ca2c-41cc-b678-48b9f148957d	0	0
d8be2d00-ce74-416e-bf69-d00ea983c95c	0	0
ce411188-ad44-4624-b578-22d436251b72	0	0
c2213201-e37c-48a4-a512-a3dd554e4580	0	0
eb5649af-d80f-422e-8622-c84f2daa246a	0	0
a7b7c872-abd5-4463-a183-f40cc53167cc	0	0
fe7dd666-0b4c-418d-8c41-c95a956629a5	0	0
b2ec8410-26bd-4395-be8d-38ce297fc923	0	0
af539fec-74d8-4c20-927b-a2416bb5c632	0	0
1985c8f2-e1c5-4925-85d5-05a8d6dc6f97	0	0
e54b55ed-986c-4d5d-8996-59a3cda61fd6	70	5.84107222222222244
e37d78a0-d3b0-45cd-bc23-9b910a54fa52	0.594125249072381956	0.0494571311850733955
817f9f95-7506-4515-a7cb-fc61ecc2ed80	0	0
06c59db6-a8d6-46b8-9844-19df84c34a15	0	0
d2f8f51a-5544-4ccb-80fe-2410ca2e31d1	11.1837229437229446	0.93097348350168363
3e0103c8-22de-4788-b4cc-b05019a22ec3	0	0
c3cbf970-ad27-41a9-a0e8-06e1157952a7	0	0
9ea0125b-5f8d-44dd-95dd-9f9b40b16539	17.1436818181818182	1.42710198228535368
82d1d9a3-91e4-4050-b448-16e31414887a	0	0
3189dfa3-8a08-49e4-806a-2ebccde08a98	16	1.33189777777777785
36776424-1e1a-484c-80be-dffc2ecbd2ad	0	0
aef37bba-a8fd-44aa-8f29-43f099e32048	0	0
5871f8c2-e44c-44e2-b7dd-f598588c8593	0	0
34b345c0-8f19-4727-bdb3-f2502ff0862a	0	0
a78f6fc2-f48b-4bc4-8f67-654fe553d04d	0	0
eeb58987-b6e0-4b5b-ad8f-4effaad82f42	0	0
3f5e3b13-3838-436a-b947-c37e0af5fc7b	0	0
51db65ba-2d94-4c1e-a487-42acd911fa79	0	0
7768be83-fa9c-4c97-89c6-5feebb1a8436	0	0
c2e6ed72-8a15-4579-b7aa-9540dac6afe6	0	0
0e05b32e-e302-4d3d-bad9-e2fc691d2c68	0	0
fed17891-ed2a-468e-bfd1-c1d7b867a72f	70	5.8270527777777783
cf6a2648-429d-4ba2-8a1e-4ab92ae2ed31	0.594125249072381956	0.0495142332229009038
b4dee1f7-529a-4829-ba7b-7e068428ddc6	0	0
3f1da568-b4ec-4ff4-9e96-d4e8732fe018	0	0
7d6a7870-8461-4f1a-9a93-1ec9ffbad8a6	11.1837229437229446	0.932048363540163516
75bb8c05-1773-4de4-8267-7231debd0c01	0	0
5f220d30-232d-4092-96e1-1baade2051b2	0	0
b0135394-5b24-4673-9f27-fc73a9bb3a8f	17.1436818181818182	1.42874968059343432
8b73bd00-8279-4826-ae80-aad7f84d6470	0	0
86274fc6-4077-417e-9968-c536f6e6403e	16	1.33343555555555549
4cd422cf-e390-4b53-916b-a2bed3d76a09	0	0
382cd8a7-7234-4ac0-b3be-833ab912681f	0	0
87fcb3f3-a80a-495f-8c5c-1f92a1fb6a9c	0	0
83112455-eff8-4ffd-8e98-8f0b40258f75	0	0
3ac1867e-060f-4354-9783-0ffdfd1fefa3	0	0
6216eeb6-d703-47cd-aade-78c59ce47bf0	0	0
56a98363-b9bd-45f7-ae7c-639613c58263	0	0
f2caeac3-8f31-4e5e-93f4-5624c9aa8d76	0	0
b9a30cb5-0289-48f4-9ed2-766db5a5584a	0	0
77959762-c88e-4201-a0f1-7c0656124ae7	0	0
66c59990-a5dd-4a74-8db2-ba75daeedbb8	0	0
0aa3a55a-56b0-40e6-bdd7-3d79195a84a2	70	5.8337805555555553
c94462cd-4cb1-4368-9bf4-d1c5871bcd1e	0.594125249072381956	0.0495137381185266762
a605c5d0-b7a0-4224-8bb2-bbc9dfef55f4	0	0
d98a0f95-3b67-42ee-ae44-ad87238ad8e5	0	0
198595a6-4f7b-4aa0-b2a2-41f82773d92d	11.1837229437229446	0.932039043771043851
da2383ae-fe42-4d2b-b354-b41bae1b47eb	0	0
4206f56f-886f-4c14-b9ab-9b60dcd3fc78	0	0
fe0d93fe-8aa6-4081-be4a-ed7d95ffde39	17.1436818181818182	1.42873539419191919
4472134e-d3f6-4a99-bd91-5da4688cd6a9	0	0
2036de2f-a91e-488f-98db-3048bcf34769	16	1.33342222222222229
85e29a80-f1b4-42af-9cd5-d4196180d71b	0	0
109b9b46-bd71-4b64-b871-29886a9ef635	0	0
a1c212df-29ab-429e-bfa2-ea914c93c0b0	0	0
542a434d-6ec7-4b25-a68f-0f6f63724e7c	0	0
79dc51f1-4527-4de6-bbd8-76a77298cdbc	0	0
db0a6343-51db-4051-8304-06aba465bdb5	0	0
aa4197f0-e326-4142-a0b3-17e41cf4de52	0	0
b4a3abe4-b639-469d-b7c1-b510e29b4500	0	0
e4ebe947-4de6-44e8-9ead-764c09f64920	0	0
8e6607eb-89bd-4b47-8b11-bc6e09c2de9f	0	0
d784235c-d938-4123-af40-8e60c6099c43	0	0
4f40a323-86b7-4638-90bc-61841e18ffdb	70	5.8337222222222227
7ed28256-65e4-4afe-ab98-b270e0dd7538	0.594125249072381956	0.0495158835708149961
a514cbe9-1db0-407e-bc79-f1039f1da61a	0	0
9a4e1d25-8892-4f2c-b83a-91040cdb39df	0	0
01e8b688-ef83-42b7-8322-c7138d740ad1	11.1837229437229446	0.932079429437229545
cb732db4-200a-4c1f-895c-776053fdace3	0	0
bbf96c29-274b-4425-a2e3-0a9c2a9e1e01	0	0
8db0ae30-b4a8-4d3c-b657-64bbf164dd1d	17.1436818181818182	1.42879730193181809
56598125-732d-4a3b-873c-fcf33c19f898	0	0
7f407c77-8fbe-40b1-b412-915ea6ffe7fd	16	1.33348
3104ed21-71fa-41d2-93ce-ddbf1d6ba8fd	0	0
7a10db0c-7905-4f62-946c-d91a35a703d6	0	0
fa29f8ae-9057-4b28-b666-5e61788c0a82	0	0
6b29399d-82e0-45fe-b59c-e046ee579387	0	0
8d56ab2b-1071-4897-9a3c-d90bdb29b0b9	0	0
413e545f-6975-42e7-95c4-cc705a80149c	0	0
0e1117f1-bb32-4942-9c55-85ae0790bd39	0	0
d49f249c-1d87-44cd-81fa-e9281ff46326	0	0
2f9fac73-000a-467f-b18f-22b54d969f34	0	0
d746d6d3-300d-41f5-b05f-1ccd3a102bad	0	0
d7b76c4d-61e2-4469-8771-5db6f511f268	0	0
b75b8bf9-87a2-4bf2-9508-5572937cff6c	70	5.83397499999999969
935b2a45-ade0-43f1-8076-edf10b8cd177	0.594125249072381956	0.0495064765877046772
2bddd49e-a8b7-4064-be50-e47e51e16f63	0	0
b9dcbb34-4e5d-46e7-b2e8-4abe7ef1ea28	0	0
c796b64f-39b3-4e7b-b564-5d3c9ad1f84a	11.1837229437229446	0.931902353823953811
e44b7e7c-5401-4b7c-874b-326ff615df84	0	0
564fb7a0-c723-41ab-b72b-0bc83a65f0f5	0	0
abf219eb-515a-4425-86bb-b797cb1a4d73	17.1436818181818182	1.42852586030303019
c350d7e5-7494-40fb-88d5-cd16e2fc087b	0	0
633ee2cb-f405-4843-835b-da849886472b	16	1.33322666666666656
1b23d136-4221-40a6-a721-3f6cec500094	0	0
567bb3f7-b1be-4e6a-bddf-67d2f7f1aefd	0	0
eed42cd1-540a-47d6-b3dc-7d0273151871	0	0
3042e04a-9f58-4b15-a924-df4588e2d3cf	0	0
1cd151cf-ff71-49ad-9edf-7626224d517d	0	0
51e0fdf8-de60-49e6-a4b8-31e386309e03	0	0
5f165b73-5899-4359-999a-20ad8c5adfac	0	0
d984ffed-e0cd-4f82-9c06-b716a2a714f5	0	0
b89974f4-7e53-4fbf-aa6a-01165e098925	0	0
e6898106-69f0-4bb3-a3fc-293e71cd427c	0	0
8690d09e-b44e-43f5-9f7c-9f99851b1da7	0	0
a6fa05e7-4c49-44d1-b3e9-21b10bc8023f	70	5.83286666666666598
4860957e-5142-4291-9622-2513a0c4923b	0.594125249072381956	0.0495198444058088105
7ef9d3e2-1847-46f2-87f1-8681577629c4	0	0
d03064c0-9f69-46e3-bc74-49bad809f76c	0	0
a36ea77b-1da1-445a-8503-9f7408c92c08	11.1837229437229446	0.932153987590187638
0030531a-c9ee-41f7-9aea-a8f9d511a062	0	0
6df35c98-986b-4845-8eab-6cf5324169a9	0	0
ea7ff1fb-0ac0-4ec0-b403-e03784dda4f2	17.1436818181818182	1.42891159314393934
ded3883e-fed0-4ac0-aaa4-f9a2b0d21d23	0	0
1e3648c6-58f5-4b57-bee5-644cf918702c	16	1.3335866666666667
c68642ad-2619-45ee-9d89-382a5dc987b5	0	0
2de3b55a-07e5-4bbd-b6b9-0b973ab5184d	0	0
5a2a6a64-fbc0-4a68-b0ad-89217ad18d36	0	0
09230c71-1841-4c1b-87e1-f95332a6eb3b	0	0
93256e5f-ca91-4883-bd1d-0e864c071473	0	0
6d1a06e1-77ab-4547-a112-39cc43e1877c	0	0
a929ec37-bd1c-46fb-887d-07305d209c20	0	0
2845f845-ead5-430e-bb97-65205be2d1f8	0	0
c2c1b76c-cc4f-4a08-b110-8f39824b7e53	0	0
27fd0825-9301-4ce1-a580-c518ea7b2fe3	0	0
08d2fdf4-a38d-4da9-a2ac-0cd1d4fba709	0	0
2e57cd95-1e10-460c-9274-7acb3f5f9b2c	70	5.83444166666666675
199ad9d8-306b-42db-9e32-7deecca88597	0.594125249072381956	0.0495140681881094877
714afe36-5971-4053-9099-927d16e2cf19	0	0
5c7de096-8781-4449-93cd-232b05dbe5a7	0	0
c9e8b75c-69b4-43d5-9177-446c88103113	11.1837229437229446	0.932045256950456924
ba31fbee-881c-4c9a-9611-334f28583124	0	0
d9d419ac-43b0-49e1-b025-6d3222ff9586	0	0
67fe53f9-0d6e-432f-81e9-f86074ca4d86	17.1436818181818182	1.42874491845959595
a52a2a55-b15b-4490-8a8a-19f761a9fb13	0	0
21bbd70d-cbc3-459f-a131-2806da21165e	16	1.33343111111111101
169f4fe5-3b9b-461c-9889-84643eaa5e1d	0	0
907063a2-05f3-4ca9-8282-7a9a2aef15de	0	0
dacad67f-054a-4be0-9325-cc5a8be88cce	0	0
e963d366-708d-4841-9ded-9cfb1456809c	0	0
8f90b9e3-2737-4124-8911-960b1b02c994	0	0
896dec75-763c-422d-8c35-34ff35ef20a3	0	0
fc347dc1-c1e5-446a-86f0-1748111ad583	0	0
30dfee85-3381-4ec7-8c21-7ac82e046140	0	0
1e96cb09-f300-48c5-889c-bbcb9ceed1ea	0	0
df8d859b-5128-44d8-aa76-cb45a54fb050	0	0
c8863954-70a9-44a7-be4e-771e3d6d075f	0	0
1565879a-315c-4fe4-92fa-f7af4b9bb55a	70	5.83376111111111051
342e5950-98c2-4bd3-8e11-6aae71fbb343	0.594125249072381956	0.0495157185360235799
3ed11fed-7dfe-4718-a16f-19e89f565f84	0	0
bc847685-6061-4f58-a6ac-fbee241b0b45	0	0
1f9a40f9-e46f-497e-a4aa-a605e3aa824c	11.1837229437229446	0.932076322847522953
2c5ef712-e6c6-44d4-8222-8ac7213ede11	0	0
6394f60b-2ca1-4b53-8194-57a6ff877677	0	0
795fb630-4f32-413f-8aba-dd714916c07c	17.1436818181818182	1.42879253979797971
aaf5f0fc-7695-4ec1-90f2-b20c92612c8b	0	0
6390a51e-e7be-45e6-abbd-3d7213f12208	16	1.33347555555555553
edf3f9d9-8264-4457-803f-f04d772dd0ed	0	0
b99b01e1-a16f-4e70-bb40-d8a95914f761	0	0
88b999db-d367-4d61-b706-4d3797fdba54	0	0
6fe79360-1fba-4d18-8270-2f1de99a5b42	0	0
a7fbcbd5-d84d-4561-9c42-53f808c2ec5f	0	0
b76b6cd6-5adb-49cf-8b5f-0dbe1851b4ef	0	0
b9fdad08-bc9e-477d-9860-eb30f77c5a39	0	0
10d2b82e-9237-4a46-8f7d-c78b5e0d1a8c	0	0
e8c3343d-4c63-4b75-a74e-f3f584d75285	0	0
e55b51be-9f67-4063-a847-a1453f1e8da2	0	0
6aa38207-aa6f-4eb7-9dbf-b26ea8cd2c7a	0	0
74420942-cc15-4126-b0ac-e29e52bb7a65	70	5.83395555555555578
6a1b323f-50f3-4dc4-88dd-309ef83445f0	0.594125249072381956	0.0495107674922813171
5d062e39-7128-4410-ae4d-f1dfffd94b5a	0	0
ac9f5428-83d4-4f57-b6c9-92ed07740a71	0	0
8c40f452-f982-4d94-a392-777a3800baf6	11.1837229437229446	0.931983125156325198
9ac75e14-a123-42bc-a453-2780d74ec0c3	0	0
74158bdb-509a-4fc6-ab3e-83ed9011eeeb	0	0
b9100e42-5f45-424e-8a5e-7460d5de9975	17.1436818181818182	1.4286496757828282
6c98a282-eb42-4f6d-bcd2-e5ba7fc005b1	0	0
b2a3064f-b9ca-47af-9aa7-5345173f4df6	16	1.33334222222222221
6bd0091f-f411-410c-a8b7-557829ccc7c3	0	0
8bcb6b8f-eb12-45e0-a281-fb7c350c0f11	0	0
aac44bed-d032-4dfc-a0c9-6ca7bb350986	0	0
5709321f-285b-4ba3-a8af-1ce666b65b24	0	0
134dd97c-4d69-4bd5-a601-8450cee0d605	0	0
69f37bbf-6f86-4e93-b306-28ac64876bd6	0	0
882c26f4-bafb-456f-986e-6ca265fce1ab	0	0
f5315d50-da52-44b9-a2dd-d61c8aed5ca0	0	0
a536dab1-1376-47fc-b9be-5ab56d097cf0	0	0
a8de608f-e475-4670-9326-028d464f7654	0	0
e302841a-f1c0-4558-9ec4-aaa5459a84a4	0	0
e71eaa85-dc6f-4ec3-802e-90ba8b6d3952	70	5.83337222222222174
c65d02ee-064c-406f-86dd-86f900d84867	0.594125249072381956	0.0495134080489438577
c07d1b7d-c315-4f6b-993d-4d3d3973b3e2	0	0
4969f660-901d-4fd8-a283-c273db748b27	0	0
05faeefe-dae5-43d3-9ecb-550b782a4d22	11.1837229437229446	0.932032830591630668
5c1f347e-5bb8-4b28-a760-09e9ca8bde2d	0	0
d95fb403-ffda-4ebc-8ead-e5b68188c166	0	0
e3a85b5a-76c5-4aca-b79f-4ec881123947	17.1436818181818182	1.42872586992424244
8b7f6312-a32c-41b1-af08-68b98dbb87e8	0	0
2f6bf254-a78a-4d62-ab3e-447782ab9e4a	16	1.33341333333333334
d9cf79fd-dd3b-43f6-ae69-4e7d1a764672	0	0
e62bbd55-899d-4802-89f0-10ef6408fc4c	0	0
8e546b81-72eb-46fb-8411-d080351c15c0	0	0
c7b5659a-236f-4c29-8492-2fcc2703e649	0	0
868f2eaa-a80b-42b4-9682-d7a21efc46e2	0	0
dca91157-9ce5-4a95-8e3e-88294449d0cc	0	0
e3e572ac-5013-40bc-8dc1-19017d315d4c	0	0
d3949afc-86df-4c3c-b42d-872e618c16b2	0	0
95214729-7b2e-4861-9d3a-73e7ff70958c	0	0
5c4f9363-c837-454a-a8c7-731758631540	0	0
923de1fb-0fdb-476c-8e17-0d5854b50ffc	0	0
40e8283e-f452-4c22-a1e1-0a5b539afaf4	70	5.83368333333333311
71db7d92-515d-492c-b3c9-19cbeb24119a	0.594125249072381956	0.0495130779793610393
8036919f-c065-4834-905e-05da406cf91d	0	0
cada7c35-43fd-44e7-87ef-c33fc455996e	0	0
3a568e59-b868-4be5-9cb5-7d0e2019ead3	11.1837229437229446	0.932026617412217484
c4fafc1d-01d9-4295-8de6-a748356227bc	0	0
d5f9f0b3-8bab-47f5-b5d9-126986d56b51	0	0
fbd558cb-8242-476a-b0e7-b9e0415b268c	17.1436818181818182	1.42871634565656569
bec5de62-bdc0-4a79-b15f-b7226ac98492	0	0
ce6f139f-20a4-45f2-8db6-477e708bec93	16	1.33340444444444439
f3d9462c-7559-4936-8378-bea23c203860	0	0
2bcbc8f9-d7e4-469a-9715-ed90f1d78856	0	0
5628c47b-6ebe-4b2f-90a6-3229469c336a	0	0
3dbc9d9b-419e-4c87-89e8-5dbf2b7bf9e9	0	0
ac3476ea-d328-41d3-b837-4fc8c6000df7	0	0
e67c2edc-98c2-4668-94ca-c62766cff4ca	0	0
123aea0c-b931-4047-8507-794a83af3502	0	0
7d613289-69a5-4b6d-b987-a1490098bee0	0	0
a17f26ff-66cf-4472-8213-46bb46f10494	0	0
bc41a816-89ea-4bc4-a1df-168915a6cc98	0	0
9de676bc-0837-43b4-8cbe-dc372f6e0533	0	0
7f57a3eb-0b8e-482b-9df9-bf9661761ddd	70	5.83364444444444441
320ad8c0-574b-4bfc-873c-6064e13c3126	0.594125249072381956	0.0495097772835328617
5d9edada-2bcf-4704-b222-4a7599143329	0	0
e9d7ad3c-d562-4d32-a9a4-81c5ac8ad37a	0	0
101aaf3e-f955-428c-b9b3-12e10926ad61	11.1837229437229446	0.931964485618085758
2981675a-2a6d-47aa-886d-910d33f0c764	0	0
df678f5f-7f0e-4809-b6ab-cf23d880b469	0	0
61a063ba-df4a-4fbf-ac05-5e988217f082	17.1436818181818182	1.42862110297979794
3bc1c6fc-97af-4146-8161-58289b6e01c4	0	0
c600333d-db8f-48e3-ac01-a3955e567c6a	16	1.33331555555555559
b60369a9-49b3-485d-bf9b-3a1cb46e7b95	0	0
4bbc94f4-5acb-4fa8-ac6c-03a7a5144be9	0	0
734887d4-02bb-4ab8-9859-6e7b8691a8e9	0	0
c2ce701f-5a78-4f65-b2fb-745848209cc4	0	0
97dd514a-6974-41a8-ad92-5e02450f975b	0	0
f0a56558-3770-469c-bf46-1381ec31b050	0	0
b43f2a74-3277-46e7-962d-b82be00db5a5	0	0
de187617-06a2-46bb-958e-c736191b14ce	0	0
22c5fa95-5512-4218-bfe2-2137f2be2b3e	0	0
8a52d946-b0a5-4a37-9382-6ea50c0720a5	0	0
09a8cd99-db9c-41d2-929d-c93027bf4521	0	0
f3d5aa56-086a-4b58-87af-b2c715a3eebb	70	5.83325555555555564
4337b1d4-1ecc-4a3e-8ac4-3cd3d1ee5082	0.594125249072381956	0.0495185241274775367
b9cbcce4-cc30-4d7d-9f0c-59dcb686fb5a	0	0
5d0539ae-2650-4e30-b221-5384d5c4e9fb	0	0
20d9ef39-d169-43ff-a6a2-ffd9f8590acc	11.1837229437229446	0.932129134872535015
0f87219f-17fa-4d6b-bd20-25622c4516a4	0	0
85ad2280-3144-47fd-9cf4-7e7e2f05f101	0	0
7d7acb47-fc6a-430b-9f44-fa54353a07b4	17.1436818181818182	1.42887349607323233
2b5495c5-57a2-48e2-bf65-79e197b9b461	0	0
afd58ae5-34ec-4926-b1fa-c847d48c9a23	16	1.33355111111111113
8ab2abc4-62ea-4575-9ee5-d9bcc28a960c	0	0
9b12dbfd-28c4-443d-8c5f-df99001b0c20	0	0
40402020-fd4d-4500-86f0-a65befe6276a	0	0
f5fbc878-4df7-4547-a50c-e06c113fc50a	0	0
4cae0c90-fbdc-4a6b-9420-ab158b0a7f91	0	0
a72aecd8-53dd-46bb-90c7-7c7629b80990	0	0
4867b333-3a12-49ba-a99c-262afc49c872	0	0
e6ea410e-324d-4716-bcea-1dbaa3e90883	0	0
56878cda-ba8d-4add-8092-99b530c3c2fe	0	0
e75b77cd-8d70-425f-840d-9d9b5577186b	0	0
e13737de-594f-4a3e-9872-b5d4779120c9	0	0
028fc655-2996-45ac-95fc-d93347ad21c3	70	5.83428611111111106
77860ad6-7781-4b42-b320-d4dfe3dff646	0.594125249072381956	0.04951505839685795
0d9c73b0-9c73-4916-82a2-56fb98ef5213	0	0
a0e15a8a-1f7e-499f-a971-e833688ce508	0	0
9dcc61b8-0715-4258-9175-e22b27393854	11.1837229437229446	0.932063896488696586
8897e5ee-c754-4777-8e1a-c9b490742cd9	0	0
26945dd0-8f89-4132-a452-a9a6354e8857	0	0
27095688-1466-4343-89eb-3ce9b44f77d0	17.1436818181818182	1.42877349126262643
859e8116-509f-4bbc-b839-70569d62068f	0	0
649e27bd-3eff-4325-8df2-d0dd89d12d39	16	1.33345777777777785
1f405d9b-b4d3-4a92-8bd0-496b348705a3	0	0
b061d2db-f45d-4a50-9055-b0aac181be00	0	0
2de74b2e-cc9e-4928-a7ae-69cadf01ed36	0	0
731071bd-1778-4ac7-978c-f20e57a19295	0	0
2882ba9a-e446-4ed1-83b0-bfcd07fa5ec6	0	0
50b5a90e-f459-4788-b1db-36c7c742cf8a	0	0
3cfd5cfe-a8e6-4896-b887-d8dea1e06682	0	0
4aad4a4b-3dbe-41bb-a523-f9681cf87242	0	0
c873fe3f-6496-4c58-bc9d-d23c08548f78	0	0
44fae946-4ffe-4cda-a316-4cf467dc2957	0	0
7dccc56f-d0d5-464c-b8ac-fa65b8f513c6	0	0
7cfd997d-4ba6-4673-ae93-268ce4331dc9	70	5.83387777777777838
91fa7f06-b9bf-4720-ac4f-1bd139327901	0.594125249072381956	0.0495132430141524485
d59f3b0a-7a10-42e6-8880-4815b1927e83	0	0
0883608f-2dcf-4e9e-82ce-271a67e28a4b	0	0
c8714856-7851-4892-916b-16dbefde8b13	11.1837229437229446	0.932029724001924076
eefde63a-bfd3-44bb-9f4d-3a210021daf3	0	0
7da0f7d6-f903-4b36-bd72-f77939a23264	0	0
eed1caf7-aa9d-4c5f-b6aa-9aa0466c69c3	17.1436818181818182	1.42872110779040407
cb5df41f-6689-43da-bc34-5a4e00b622f1	0	0
b4ac6e8b-b57e-4524-b0a9-d6fa33cb8067	16	1.33340888888888887
f7c31ef1-46fe-455b-8129-8fcf6ace3ab3	0	0
28ecd9ff-b747-4086-a2a0-9648c36480f3	0	0
a3f5bb2b-942c-4e6c-8b03-0be57ea896f5	0	0
319e240c-c4e4-46e6-af47-2f002a0cd965	0	0
647ca6a8-cdff-40c1-9ade-c80aa06ec208	0	0
71c15296-a2d5-465e-8d49-dd811ff81e5d	0	0
fbebbcdf-55f7-43d5-ae5c-d1cf63ed64d6	0	0
403346fa-c254-4661-8f09-e95b14603e65	0	0
f0bc1264-4c94-4ab7-aefb-00be74e08c25	0	0
7416007c-edf5-4dae-98ee-e57f5c54ce79	0	0
30a78cb0-5a0a-46fe-8908-4cbbbc4183e5	0	0
80f1ebb5-244f-4aa2-8eb2-4187b0c0ed83	70	5.8336638888888892
b0f3fba1-5d3f-4814-b212-852642e19187	0.594125249072381956	0.0495110975618641355
2d04c40f-566e-4932-8c9f-8478db016bbf	0	0
fe532696-7e78-40d1-9581-48eb6c55c7f0	0	0
18a97390-8aa8-40ad-a9a8-6d70c2a39746	11.1837229437229446	0.931989338335738493
22012ed6-3a22-42ef-9fe7-fe59100fa2df	0	0
44a80456-9ce1-47f1-8d1c-0b8f2b6bd443	0	0
ff24bf53-0f71-4283-b7b9-724b8487c6c5	17.1436818181818182	1.42865920005050517
7778541c-9b96-48c0-99e4-35d19387a8a1	0	0
d40a2306-f716-49b9-9265-aebc695e2e28	16	1.33335111111111115
fd02388e-18b5-4fa5-8010-06f3c0f752b7	0	0
0d870d1d-08e8-4279-b487-cc4fb24fe60d	0	0
5f5bd0e3-994d-4536-bdff-8cc5c1162325	0	0
126709d7-544a-4805-a5c2-7079ed7519e8	0	0
b12ab1aa-2a55-4ca4-8d41-9f7ca366d12c	0	0
4f12e9cf-70ad-4fab-a828-ede88bee4839	0	0
e2b8df0b-59f2-41b8-9f68-055fd91b1223	0	0
f0e66eb9-224c-4ae0-9fef-67fdd8276bea	0	0
79030a69-4f07-4c2c-b21c-3295461b76e4	0	0
a8c16dd8-a519-4143-baa1-1d05a11a6b65	0	0
2cf0d09b-d340-4785-be97-8db8a40afc1d	0	0
9ed4bb18-5f92-4bbf-99e5-80a7231f1533	70	5.83341111111111132
df883db4-c43e-4a54-9212-5273d4a741ff	0.594125249072381956	0.0495142332229009038
65d9d7f2-33cf-47e2-ae1d-ae4bd9209c1a	0	0
786e3da4-9f63-43ef-bf03-8dccf7c691bd	0	0
4a839c61-621d-4332-87e5-f317479cfc80	11.1837229437229446	0.932048363540163516
321d806b-38da-4534-b882-142c9ad69319	0	0
47e8d23d-6711-4d8c-9faa-e2b7dd910380	0	0
e7fec953-d375-49b7-a098-6a838b935b53	17.1436818181818182	1.42874968059343432
f0a1eb84-406e-4614-bf19-43d40319ca42	0	0
ad7df371-a470-4fdc-8dae-afcc8c5615e2	16	1.33343555555555549
1f41b503-2825-4a0f-8bdb-bdf322a55003	0	0
7df3dc31-7bdc-4ba2-891a-62482d7ec2ec	0	0
c6438179-9977-4d44-9e47-0e1ac3a35b15	0	0
6efce9b4-2be5-4802-a483-a23f354bf831	0	0
10e25e1f-77e1-4430-be7c-08a52194c555	0	0
d4d3083a-6bfb-4ba6-81d2-37bcbe1371d6	0	0
71aef1f7-a7f6-4d8a-8b63-a3a85bec8caa	0	0
909d4ada-d947-4d92-bdc7-28ab1c1c0a9b	0	0
6f6e0877-4f84-4c66-b0f2-b42633745423	0	0
1f3587f4-ce4d-4bed-acbb-0ff2fb1611b5	0	0
7a797cb9-8e4d-44a5-896b-5cfc9b3af6ab	0	0
2989431b-b026-4c40-a340-17ac83a0a7b9	70	5.8337805555555553
c38e80d8-823b-4024-84d1-933d556b10d1	0.594125249072381956	0.0495101073531156802
3b98d1fe-473f-4d9d-a574-92e15e4e8d98	0	0
b35eb5e9-7e56-4ad3-b03b-e921387fff00	0	0
53a17f22-d676-409d-a5f6-f6801b20add3	11.1837229437229446	0.931970698797498942
1c11718b-5c17-4ff5-ae05-4653609e75a7	0	0
5e96af9c-25f5-42b4-9175-0a6d48c9d17f	0	0
c2de2ba7-4f67-4645-8ed0-83d39059919f	17.1436818181818182	1.42863062724747492
59174169-cacf-4e39-b5e5-0d45ca42d9ae	0	0
34599a3f-0b6c-44e7-ad5e-49cf879b5ceb	16	1.33332444444444453
fdd98626-6880-47eb-a6da-5d5dea45ffd6	0	0
84232197-8ad4-4fc2-8c5e-faca420821d1	0	0
5ad5eec5-addf-4738-80bb-25b4d5a2aa4a	0	0
442b747e-8bcb-46d3-8ffd-96966bc81ee2	0	0
7e52b5b3-4a2c-4bb0-aee4-406e32ad8b63	0	0
62e209b7-1fc0-45d0-afdb-8095d3f8efca	0	0
1d5eb3c6-0563-4f3e-86a9-9de8e5ab1258	0	0
dab4091f-70d3-46cb-923c-06fdf0539c6e	0	0
926815c3-3cfd-434a-b18e-dea3fe94dcb1	0	0
abf298aa-9ded-44c5-abf9-d716e86ad4f0	0	0
f19d823e-e2ee-4218-a16e-321da9254b84	0	0
a052ea05-b470-4ddc-8f8c-a2e5c0a6b966	70	5.83329444444444523
b74b6776-d0b9-4628-abe0-ea8aabc6eb95	0.594125249072381956	0.0495178639883118998
62c3b395-926e-4873-a0a0-63873d354ae8	0	0
ec0c6491-0cae-4dcd-a7e3-8145f8ede54a	0	0
ee7d10d0-6929-422e-8e96-8b4f12f212ac	11.1837229437229446	0.932116708513708536
c302f3a7-6bdd-4295-a83a-d69321ce7f2a	0	0
8a1f9317-9a41-40a4-9b2f-e52cbc7994a8	0	0
f719e3ff-c8f7-4c41-9edd-8a729ccb4601	17.1436818181818182	1.4288544475378786
7bcaf007-d786-47c5-af8d-31b6f6ce4f99	0	0
78aa0511-fc37-437e-9595-d353b9b44ab8	16	1.33353333333333324
cf376873-3859-4aa2-b1bf-04a6a78c18f2	0	0
44387586-e454-4aa3-822b-fece01c19594	0	0
d9fb7640-4015-4627-80e5-83145579745f	0	0
4e966e9a-72da-4d36-bcb0-22c6e9847c60	0	0
53ef409c-225d-4f92-acb5-51dbb1a7b104	0	0
2c837466-ec14-4d51-b03a-7c3c5d3fc32a	0	0
f241a360-332f-4d73-8ddb-93bb2ec3b4ae	0	0
ccb614ce-20ad-419d-8f70-91a75d4be178	0	0
75e0325d-6c71-4923-b317-465ff5eb774e	0	0
a08c31a6-6e83-4df7-a134-6f03f364410c	0	0
54980be9-24e5-42b9-a82f-98ba2f0da5fc	0	0
0f4ecaa7-52ce-4b9a-a3a8-b277b4a148b0	70	5.83420833333333277
7e8c8dfa-4ecf-45b9-a6c2-18ff40f99fd6	0.594125249072381956	0.0495162136403978145
1844d248-ff45-42fd-95c5-9cbed8732e1e	0	0
3374e89d-c06f-45e8-b059-4a38b3013054	0	0
bc7b14bd-6c67-4449-b2b8-78c9d4486199	11.1837229437229446	0.932085642616642729
e731179b-5546-4945-93cb-9dadf33c63e7	0	0
84f11bf7-7a72-4401-8adc-a8f9fb1f1a04	0	0
879a1faf-70a6-4040-83c9-b564012a1b50	17.1436818181818182	1.42880682619949506
c1aeb97f-e25d-4364-a656-536d9cb467b7	0	0
bd8ede4b-b174-4036-954b-43af64737b5d	16	1.33348888888888895
7f75f413-af61-4d2b-b094-38a688289cf4	0	0
025c6f42-ad5a-4e08-ac94-9a1b1ed9c0bb	0	0
57ade13a-c163-469a-9f02-f3a105a51f80	0	0
ebe5cd49-f531-4291-8089-159d42bd4757	0	0
e58a0a7d-04d6-41dd-a06a-430510a6b9b9	0	0
557b4482-e05b-466f-a37a-63455b9ed72a	0	0
4340aa92-3fd9-4791-9e4a-95cf24dc3e9f	0	0
1f3964b3-80c5-4bbc-bc90-66e23d6d5b5f	0	0
a2b5301c-250e-4912-b2bd-18830af657ad	0	0
41580552-0dfa-43ae-86a1-edd19cab195b	0	0
1245fa06-7825-442a-8529-22750335b96f	0	0
c2483d92-781f-4726-99e6-fe7be7e0c195	70	5.83401388888888928
054cf9d6-b681-4a4e-82c0-be73ab6f8be6	0.594125249072381956	0.0495132430141524485
7ab345e1-5ea3-4b28-bf7d-adca7e049c4d	0	0
775c007f-845e-475a-89ff-73222edbcb27	0	0
7e7d032a-b792-470a-9dc9-2c12da650784	11.1837229437229446	0.932029724001924076
663c6085-1f51-44e3-aa9b-337d51d34a4f	0	0
12380734-54d6-4326-bae0-bfe6d270d339	0	0
6476f8e7-f44e-4ec4-b0b4-6c33b69d2543	17.1436818181818182	1.42872110779040407
cf298922-606d-4721-b01c-82bf9753e9b9	0	0
b2cd6edd-27d7-4c82-b864-0f78bf6d4fbb	16	1.33340888888888887
eb246aaf-777e-498f-acb5-fd389d899184	0	0
7094db3e-95d4-4c3c-b30e-10380015ce15	0	0
6c70b85c-9f41-4382-880d-fbca45c91518	0	0
b33835e0-5822-4ea7-902d-638fad46a7c2	0	0
056d6bfe-69b0-4928-826f-9fa11ed0a5b0	0	0
5610514a-04cc-4f8d-8c1f-1a2e50fd453a	0	0
95288773-a655-4f1d-8e92-d43300d0029c	0	0
6261c738-2db9-410c-92bb-c490a765b1e0	0	0
fe040857-a481-41dc-9696-6f53e0d5633e	0	0
2187e7ec-6e8e-4257-85b5-ad184482d65b	0	0
87a623b0-29e3-47b4-ade1-210a50483a89	0	0
036d01c4-0e55-4486-8572-95636d1a89e1	70	5.8336638888888892
e8902b7b-4161-46ee-9cd3-fd7cb0a09960	0.594125249072381956	0.0495137381185266762
dd38927f-414c-4500-86ac-b4ff16532d2e	0	0
37c9a600-82d5-4f79-a6ce-b7f5b2bb8814	0	0
2d7853ce-5cbd-4b3c-a681-876367a63f9d	11.1837229437229446	0.932039043771043851
36c71942-875b-4a87-90e5-48293eb79a35	0	0
b8218e0b-66c5-438c-8a09-de2f34762d8c	0	0
d2085c2a-1d36-4c41-871b-b5e8dd754eb0	17.1436818181818182	1.42873539419191919
64b33be0-549d-4d60-b275-0d4fe97cb603	0	0
a4f8cd4e-a473-4183-8449-90b7c9366fee	16	1.33342222222222229
5822562f-d1be-43e9-8778-b0108db89144	0	0
1e927510-0053-4d70-8097-eb8814cbd29d	0	0
8667d29d-b633-4c8c-b987-31b3b22b75ce	0	0
082228df-40e8-48ef-948f-beb85b7a2773	0	0
bd29a168-d523-4454-99bd-163fee3f4d45	0	0
a4bd53bb-b8f6-4f0f-97be-39fd81048046	0	0
b75046c5-1bae-4732-ace5-7f3304a608c2	0	0
0e7f7959-83ba-47b1-b9c4-a74796632a3e	0	0
bfb29943-c005-44fe-9c8b-06a09f3f5423	0	0
4b5d64d9-308a-43df-ab31-001b0de12e5f	0	0
81431486-b7eb-4913-8a64-cd7f8dcf9fac	0	0
60e512f2-ee64-4055-a8e7-53ca036c5700	70	5.8337222222222227
3190f1a0-21ba-4c86-a30e-30c21731a481	0.594125249072381956	0.0495140681881094877
b718c2d9-0908-40e1-9667-9b5ae73c0188	0	0
0435d2d9-d66e-4bfb-8577-785dcbe1699f	0	0
40cb4f68-ea71-42f1-9a18-e3e54038b3ff	11.1837229437229446	0.932045256950456924
fc5c117a-439e-461b-9a7c-22ab0b63ae12	0	0
6b1a5b1c-7096-490b-9884-635802711dd8	0	0
c06f0722-28a9-42fc-bdcd-1e0ec010caf4	17.1436818181818182	1.42874491845959595
27321f1f-8419-4ded-9573-0c0fb719e1b4	0	0
57351fb4-d4af-415c-8728-c89241ef7f55	16	1.33343111111111101
70b9638c-8853-46a7-8693-328a832e6ee9	0	0
71674f5d-198a-4947-ac88-70f22fb098e9	0	0
7a4b82f2-029e-4ee1-bc3b-e968fdb162ea	0	0
90d7278f-b69b-4c68-8613-aa255c84293a	0	0
3d8c0330-7ffe-4947-b8bf-6e74102be9b3	0	0
22225748-c8b0-4b63-87b0-0141b85ceccc	0	0
6bf3918b-cc3a-4f8f-9d0c-93238e1ae389	0	0
56b6a13e-5289-4cab-a84a-e37740ba6e04	0	0
b2e21bdb-1f39-4006-bef4-f9ea56f62dfd	0	0
b22df1f0-cc30-4757-b626-db2119831e96	0	0
9b98bde6-05db-48f1-926c-4b47e916ab9a	0	0
4fa15519-d328-49d8-91d1-603a0bc8be5f	70	5.83376111111111051
88604fd0-3fc5-4bc3-8952-e33b6ed98f77	0.594125249072381956	0.0495135730837352669
5ca3cacb-c7f3-413b-bc8e-027ad98d56dc	0	0
a5091f49-7444-44bd-a068-df7994203385	0	0
381bda4c-bed2-4d92-8380-8133f8c32592	11.1837229437229446	0.93203593718133726
928548ec-2791-48ac-a4e0-dca4c0f29992	0	0
5973cb11-a9e0-4d14-9d4f-cd56a4deb591	0	0
2ad83cd0-27ae-4f09-b288-6f534814cbd4	17.1436818181818182	1.42873063205808082
af8f74dd-f6d5-41a2-bff7-19633fe0594e	0	0
633d1f8b-7643-4c83-a7d7-5944a494db80	16	1.33341777777777781
9ad198f8-433d-457a-a27d-42568b30d420	0	0
1e60f44c-de74-4ccf-bc33-f0b15cb8110c	0	0
6f7a1d4a-20b4-4952-a411-e631c7f984a4	0	0
90420de5-ab2e-49e3-917a-5e3721f3ed88	0	0
1488774e-1c8d-48c4-81b0-c050501fb61c	0	0
c2a77d93-18d3-4091-9a3f-36468bad9431	0	0
e82f2cc0-1403-4774-90b4-b23730690378	0	0
e507479f-ea18-4729-98cc-63e3bda61b2e	0	0
ea47b695-b72b-45e9-9ffd-dd7263aad893	0	0
c4540e87-2b20-4aa7-a5dc-ff0f8867f903	0	0
85c461df-c408-4be4-a4f1-35091c7a6dba	0	0
36858050-55b9-452a-b34a-69111e8630e1	70	5.8337027777777779
e3410d7e-3e13-4b8e-87da-3c3c10d4e141	0.594125249072381956	0.0495155535012321707
81b46543-7aa4-4c81-a414-d6f281c9de48	0	0
bcc3222e-daff-448a-9d34-1f42dcb305e1	0	0
6ca5157c-cf77-4f6c-9ab1-1ca0da3be915	11.1837229437229446	0.932073216257816251
2a32ccb7-5f91-4b3f-9718-19ff6d935391	0	0
28e81ee7-fec2-435e-b320-a1f0696dfea3	0	0
f63e50be-b833-446d-b9c7-c20dc3c27c4d	17.1436818181818182	1.42878777766414133
b79a3bda-b3cb-4c60-b810-31d323c625e0	0	0
a9376374-3806-4a69-a309-0284c50f0622	16	1.33347111111111105
87261945-989d-4dd2-a9ec-20db031a91e3	0	0
7dd6b607-fac9-4767-8122-a470411505e3	0	0
8a8deb86-246b-4987-a7ef-7a1b9b8cb29f	0	0
e9ba0c42-609b-4a4d-9e64-c105d7fdacaa	0	0
4b409835-e234-46fb-ae6f-d41c83f8706f	0	0
54e0762d-067e-4d47-99bf-b05fda29b7b0	0	0
84a1605b-29ae-4ce3-a695-f5eb0608b42d	0	0
de4ada80-6bba-4cbf-b7d8-9f13d8cd67f2	0	0
1197f15c-c58e-48f9-a175-677a419a9df8	0	0
351a0a97-e433-43f5-8951-c3c1d10fb35b	0	0
95ec73cc-915f-4ed2-b878-408540c1a9c0	0	0
25318961-915b-4555-b333-fe4caa8d6f58	70	5.83393611111111099
d5851412-019f-479d-b0ce-0939c1f2be51	0.594125249072381956	0.0495071367268703141
c9492116-5537-4522-acc6-0505165cd6ca	0	0
0e6418a6-10d1-44b6-9a49-ce45c9429cf0	0	0
45e1b5ec-d342-4b7d-847f-207b918c48ac	11.1837229437229446	0.931914780182780289
16249551-dcb7-4dcd-94ca-8d11c850a32f	0	0
a3844950-3ac7-4319-a47a-da6a488ab96b	0	0
469e2151-24c4-4ea8-8ab0-67b814c69e5e	17.1436818181818182	1.42854490883838392
3a461a67-3471-4e3f-9e85-dcbee9f999a5	0	0
db750e4b-c169-4fee-9a58-a6afb413f03e	16	1.33324444444444445
91b0bd4b-b55c-4f1e-8f1b-ee6321fa419d	0	0
449b4a27-1728-4dc3-a7c9-8703399ce377	0	0
eabd9957-9cab-4374-b500-da190e5bef4a	0	0
d50afcf7-399c-46e4-b66f-6aa9dc041cac	0	0
a2728808-6790-48f6-982f-31e4322ef9dc	0	0
2161bee3-7398-4eb4-8efb-13fd13bc9153	0	0
c91ee8f9-94e0-48c6-aded-67656b6073b7	0	0
f6cd9075-a2bf-4b6e-a621-0f1a60c25bca	0	0
2867f9d7-6374-4788-9944-73b6c7d54c4f	0	0
1ccc7955-7f90-470b-9e46-99ad413333f8	0	0
bb67d2de-94fc-4101-b73c-d911ae926ab6	0	0
67d1d40f-d574-42e1-b9c2-24a126c05aa5	70	5.83294444444444427
e9ec3cae-1c19-46f4-8268-095ece4ba6d5	0.594125249072381956	0.0495193493014345829
ee7bc90a-b9bc-407e-98b7-939980d8db91	0	0
5aa601e0-96bf-412a-936d-b87f5e234aa1	0	0
c993d37e-afeb-4955-88b5-eb6b1ae040f6	11.1837229437229446	0.932144667821067863
dc060646-edf6-4bf0-87a4-6d40c6f5d879	0	0
e978a662-e11b-4851-8a7a-0f37eabe545b	0	0
487d1660-55f6-4cfc-a80a-0b1aada7b840	17.1436818181818182	1.42889730674242421
4ac84d8b-e682-4a55-8297-6c869427036c	0	0
0c248a55-48b3-443d-a333-f3aceaeae2ec	16	1.33357333333333328
81e7b51a-aae8-4be9-b255-3ed53b5c86c9	0	0
dc5411f1-e30e-4871-9f18-cb45379ebc33	0	0
5d152fb8-a5f1-4203-8be6-663c870aa8d1	0	0
cbd2f94b-39dc-4871-9320-aff63c07ed14	0	0
6a4874cd-261d-4ab0-aa25-fde269dccd52	0	0
e5ec4529-3c0f-421e-953d-cf65bd805b70	0	0
1c74e9d2-7ed7-4540-b2fb-8425fb265f72	0	0
ff70fb80-e941-43ed-87d8-b87cad4d88e9	0	0
2b129dd4-8579-453a-982e-b28ab69d7ae4	0	0
931f8de1-735c-40cd-8b25-43cb88b4d0b5	0	0
5de43f7a-c35f-466a-a05c-d30189f91cc1	0	0
a72503e8-99b4-4ec6-a503-5f5db5ca869c	70	5.83438333333333325
6c9c33cd-2b87-40c1-9063-03a4f1746f3c	0.594125249072381956	0.04951291294456963
5eb5bd52-3000-4e60-b341-c581f2682754	0	0
1acc843b-62fd-4030-8cb2-4d8bc99c8591	0	0
223908d8-23a1-4d00-bad2-011fe9cd3cb0	11.1837229437229446	0.932023510822510892
c7744233-b5f0-4230-b88a-74126ad3c8e5	0	0
d8bb0545-6905-4ffc-bd7b-36d603e0c382	0	0
898fc05e-dea1-43d4-80ca-c240180f3dac	17.1436818181818182	1.42871158352272709
70caa66f-e38a-49c9-ae46-3888267f4d7e	0	0
0df7d245-b474-4b34-9186-b698322b3ade	16	1.33339999999999992
a1ba8176-51cf-434f-b0a3-0247bf7f9582	0	0
c40cfb0a-0656-4fb9-a1de-d9e975bf7e8b	0	0
8518ac3a-4779-43ab-86f8-638bba9f2c3d	0	0
1bdad6e4-e8da-4974-83a0-14cc5a1e7c5a	0	0
bbf52cb5-6aa8-4cdb-8bb2-cb7d5adafa45	0	0
7f954bb2-a139-4509-910d-9644209df063	0	0
544c3dac-1f5f-4e2c-b27a-cde47c108cd4	0	0
880f15db-3a61-4fb3-af95-d72ad805d4c0	0	0
aa756168-13a0-4dd7-8844-e60fc6801c21	0	0
0ed39938-6664-4a69-bff0-0913073feeaf	0	0
e376065f-527a-45b9-8acb-5872a60389b9	0	0
bb654690-16ce-415c-b5e1-a7f33c9420f1	70	5.83362499999999962
a22d53a7-95ca-4a7b-b179-9b6f65608db7	0.594125249072381956	0.0495172038491462629
a1c9fd1b-f2a1-414c-98bb-e0f9f6f210cb	0	0
96eade6a-ecfb-4a7a-a995-27157ad825a6	0	0
5903e92d-e6cf-45ae-9397-59d6d9a6f019	11.1837229437229446	0.93210428215488228
c8690864-bc24-49b8-a17a-d72ab6d1805f	0	0
f0c49f4f-d95f-43da-951f-806505377a4e	0	0
910db132-ed98-4980-a36c-a29d89c2237e	17.1436818181818182	1.42883539900252532
d55d47e2-4933-4d60-aa95-9e1542379275	0	0
f2b951c7-fe89-4cee-a4ed-b6c3e4ff3037	16	1.33351555555555557
a40eef14-a66a-43a7-badb-7d4d8eeeb1b7	0	0
579a33e1-4d7c-4b3c-896f-68390210ae44	0	0
c6d8ee8d-6da6-4fce-8156-8eb5b56c0f00	0	0
f7e70649-68af-4d98-9937-6fae3b3858c6	0	0
06de2aa4-399d-48b8-bbee-4188b6f3e4b1	0	0
17dfefac-b795-4d2f-9fd8-f74a4f436d53	0	0
edfc5d9c-2607-411c-8cc6-1764d32094af	0	0
71d127bb-cb7a-4a9b-8299-1335950801a8	0	0
3100a46f-4702-48be-b6e3-db6a487b7d79	0	0
6e3f080b-1fe4-4bb0-acce-376bff0aba83	0	0
cdca1192-9b9e-4862-a569-04454ce172e5	0	0
c68557c9-be71-4652-a19a-b51e4d0ede78	70	5.83413055555555538
fc6009e3-84f2-4440-9afe-cb332d975422	0.594125249072381956	0.0495102723879070825
0bebb3b0-5d97-4473-b4c2-c677d0615329	0	0
f6844665-0efb-4904-8acf-ae757b980d74	0	0
0dc6f6ad-8d4d-4646-af33-fa4f4df7b0b6	11.1837229437229446	0.931973805387205423
326f0e7c-8bb9-4c8f-a64a-299602da4cc3	0	0
d1c02a95-6cde-4f10-9dae-f04d280e0343	0	0
a744e150-89a6-40ee-a08b-92d776c9b55a	17.1436818181818182	1.42863538938131307
24a28750-f92b-4942-9bee-c9721ed041b6	0	0
191f3cfe-65e5-4af5-bdb8-1af0283c4f50	16	1.33332888888888879
cf2d83a7-26a2-47c3-8de8-6a047507615f	0	0
937631d1-9e2a-4666-92df-7db0ddb644c0	0	0
204fc399-f654-48e2-a470-ef1607b583c9	0	0
33790f08-c541-4331-a1cc-1398f5c137ab	0	0
aa5aaedb-b271-4287-ada2-fdfc8c5afbad	0	0
0909a781-1692-4729-861c-0bf895b1457a	0	0
11ab8186-e88f-4219-8a14-4f9e052023af	0	0
44b15612-6aa1-42f2-a4c5-4488a0f94a10	0	0
8d48e5e0-cac6-45b9-80ab-e73e176ea5d0	0	0
0138dcf2-4cc3-429d-922d-dc69069b4704	0	0
9972f178-361f-4265-9e44-db548f4cbafe	0	0
80e43a4a-1cca-4603-9ccc-a42737e84e4c	70	5.83331388888888824
d8af7245-0ccf-4b35-8826-575bea370c37	0.594125249072381956	0.0495135730837352669
8e7327bf-a7c0-4881-b8cd-25d637cfb033	0	0
00cd2934-a07d-4dd5-b7bf-f3127098f6fc	0	0
2d54dd25-828f-419f-872e-e4534aa98479	11.1837229437229446	0.93203593718133726
e56b3103-4263-42fa-8258-668a6a44aae1	0	0
e2c083fc-d4ff-4c02-b25f-3962c55bcd81	0	0
173b11d3-b91b-4fb7-b398-76c102c1a16d	17.1436818181818182	1.42873063205808082
a881e51b-00e9-48ef-b96f-05f8be4fc7af	0	0
8cdd777c-35b8-4892-bc00-572741fd7800	16	1.33341777777777781
0576c208-13fa-46da-8c08-8a6efaa0a655	0	0
fbd83395-0943-4545-a0b8-550c61723f99	0	0
37cb525c-f213-49da-baf3-1abe5e3e5d13	0	0
e8a6684b-d7ab-4ed1-bcc7-1469ae240046	0	0
2bf9a5ea-337b-4cbf-8f10-b48fde24d883	0	0
b476a779-0570-4d5e-8bc8-91b82ac1fc4e	0	0
f6219b5a-30be-4916-92dd-88e0fca17195	0	0
915bc8bd-519f-4e9e-8df3-ef1a459d1b98	0	0
7f8d9edd-e701-4096-bf8e-b82a87cd486d	0	0
ca7dc771-1f88-49ab-833e-54d46f7deb28	0	0
8d016101-0769-4ef6-9a2e-7e97f0fb2ddc	0	0
7c17d180-9bb8-4650-b7c7-53bd3ac81580	70	5.8337027777777779
7f772586-fef1-423c-a6ff-73f72b71ccf7	0.594125249072381956	0.0495158835708149961
4a6a13db-2916-49eb-a6c0-4e531e906255	0	0
43bdff42-7562-4dd5-9936-dacf4370b22f	0	0
e68a53bf-1c4c-4456-a02d-2b8f6874697f	11.1837229437229446	0.932079429437229545
eac3e707-165d-4cf3-9988-56f5ddfa8e38	0	0
d50ce610-73ee-4619-ab15-048c663d4219	0	0
3c6313cd-9e49-421c-9d70-c11513c456e4	17.1436818181818182	1.42879730193181809
0ea1d68b-39ba-4d74-a6ee-c3ee5d791e89	0	0
041a1d10-fe60-4c88-901b-11553a27a06b	16	1.33348
621a734a-d12d-49fa-8c32-39e0dccdd13f	0	0
0a52ae2c-d0db-4261-a064-a4c9eec820c0	0	0
07cf070d-7a34-4d24-82bf-bf9fb736a0b2	0	0
1e5e7a93-13bf-4c51-8c77-98340b4e51f2	0	0
8cbafe2f-cbff-422e-a417-f75a2921b2d1	0	0
ef9c41b8-a93a-472f-9c35-9715679fd754	0	0
d8e1a3f2-677f-4584-b14f-bb16b9f573a7	0	0
a780d676-da06-4dc7-97b7-d738197857ed	0	0
03cc6b66-1e51-49e2-8473-ce70301a15ef	0	0
963ebd26-d856-43f9-875b-809f65527f71	0	0
522fdaf5-db70-4db2-9f2d-8ff3959d03ae	0	0
130af5a1-b610-46b0-a3a9-a6d4986f3644	70	5.83397499999999969
02119f6d-a3c7-4d1f-bff0-51accedb5858	0.594125249072381956	0.0495074667964531395
fe07013b-3e9c-4515-859a-f5944d2c3a50	0	0
0b90f5af-4351-4206-83ae-3896838fafe1	0	0
951fd897-fd32-4d4e-9f38-2a1479e856a0	11.1837229437229446	0.931920993362193473
db9b70f9-8583-454b-b55f-aafafe54c3d9	0	0
38bf3be7-7a30-480d-a73f-60ef26710419	0	0
838e9ad1-8854-4699-8b4d-a8f04751da09	17.1436818181818182	1.42855443310606067
3616e381-b769-437c-802e-5849c7220b59	0	0
58aca6a6-61da-4797-81bd-8c146b8938ae	16	1.3332533333333334
be6db56a-aacd-42ee-9b58-6228586b5679	0	0
4b04b466-b73f-4ce9-98e5-71585a6f5f62	0	0
1e43bf2e-ee1a-4041-a87d-9f779085df94	0	0
28b0989e-f322-4b5a-991d-9f95d41dc5fa	0	0
121668ff-f00f-4356-8cfb-7f2ccb379fb3	0	0
e3deb2a7-5b84-46b3-b553-65389266c5fa	0	0
b284f68b-defb-451d-9c87-1748678efd09	0	0
06539cc0-0950-45f1-ad73-a212dfa24733	0	0
9881854a-86ca-4004-84fc-9ec285a63a64	0	0
41aa47d5-5666-468c-a5a5-f7fa1ee658d8	0	0
1fd04868-6da8-47e7-a4c2-a8712e9838ae	0	0
ff983029-73e7-4295-ad47-8a6dfb21b967	70	5.83298333333333385
ab82c151-f556-4073-9b44-941d39f737d7	0.594125249072381956	0.049516543709980626
43e57c92-08fb-459d-a20d-71bf9f465e9a	0	0
55f02510-0f37-457c-b6d4-1772c30af503	0	0
5942f5e3-6788-42d0-9907-4a47452193ec	11.1837229437229446	0.932091855796055802
4cec5d65-1b64-4015-a83d-f520257f6351	0	0
62305d04-c6b5-4b8d-bf15-9365ca086699	0	0
87d326b1-819a-44cd-bc8d-52a7096f93fb	17.1436818181818182	1.42881635046717159
1e8a2bb6-d190-41c0-899e-50c3454507a1	0	0
ba4fc16f-18e2-4610-901c-c577266b0d37	16	1.33349777777777767
dc5b0151-e500-4437-8437-1bcfd9e4b77e	0	0
e3e3f7eb-a575-482b-8c47-bff39984da4f	0	0
17954ed8-cd80-4129-b871-598e508237ba	0	0
1b881794-c9e6-4197-8328-9f3d6322006b	0	0
a36cdcfd-dbe9-4e43-b44a-0b0dedb69eb6	0	0
a55cbb3d-22fa-48d2-b081-5ffb0c6c318e	0	0
495f4dcf-a2eb-4ea5-9a18-06b280299405	0	0
2f46992c-db7d-4ef1-a355-9a23e9b3c6d0	0	0
f95d1c4a-9074-4eca-a559-0e215fb05423	0	0
a88638a7-246c-46c8-8f11-50471692aeb8	0	0
e97a9904-a3d3-415c-81c9-04489442b344	0	0
ce483319-3c9f-4c5d-9864-818b994bcb96	70	5.83405277777777709
c9a498c1-9eac-44ef-a9f7-8262b8e14ddd	0.594125249072381956	0.0495157185360235799
6de987b3-e223-4b6e-af58-cf077b09722b	0	0
366ea454-3e04-4682-bc7b-a6f323ed30e3	0	0
2f0fa3c1-0ed9-42fe-b353-de0ae4142f02	11.1837229437229446	0.932076322847522953
93357120-2bc5-4e1e-8c7e-8dc4f39b464b	0	0
2e8ff26d-2e20-4359-a418-493dbecfa81d	0	0
a92e72cc-3a82-413b-941c-1fd8b26b32b2	17.1436818181818182	1.42879253979797971
80c3323e-07fd-406c-ac38-631e12b3eb74	0	0
4fc3c6c7-bb71-4b7e-9982-326a8ae0cff4	16	1.33347555555555553
42601996-635e-4854-84c7-6d218722e3c1	0	0
1f4c1b9d-3bf9-4e1e-a062-42753a9bee62	0	0
600c2cfe-123f-4e02-a50b-140bb5455da8	0	0
b17d934a-f9c1-4ac7-8775-6264dcdfd8ba	0	0
f28b7ee3-bb29-44bc-901f-38a4eec390e0	0	0
e4f3b1e9-5975-4af4-96b1-561ad768919c	0	0
a59c3a2b-f601-4cdb-bcaa-308102d71bb6	0	0
671ade8f-a159-4618-a69b-bd2a7fbc1596	0	0
b18eba04-293e-4817-babd-f38ba222cd35	0	0
a121c7fb-90b5-4c37-a805-82d479fc202b	0	0
8e0c0407-cab0-4a12-a0f8-061b3e6cf706	0	0
4c45d5ec-38ac-4c9e-b786-d7924ba4ec8f	70	5.83395555555555578
3c41ecd7-c476-45e9-9dec-1e4994d39b40	0.594125249072381956	0.0495143982576923131
fbddb969-f485-4ff0-b3aa-03f1c108e2be	0	0
66481f32-c029-47b3-805e-b566540549a5	0	0
773f833f-d656-4f1c-8997-387c366e9228	11.1837229437229446	0.932051470129870219
6614a519-5c9e-4326-b22d-1575a6c361cf	0	0
3523a6b2-334d-42b8-98cd-efa07ff66ee7	0	0
b68f39eb-df1b-4f05-9910-2a29986e5480	17.1436818181818182	1.4287544427272727
f1274e81-0af8-4787-954f-6d5f7291da05	0	0
4d624159-5276-4661-b4c9-b856596188c8	16	1.33343999999999996
81f4977c-0e02-4527-8c4d-e44f9dabae56	0	0
4722faa6-67e9-42a1-9731-a80c9530a9ea	0	0
ae2a2216-5375-4931-ba2b-a1495d1fc3a6	0	0
3daf3374-b93b-48eb-be01-affc35fa9b63	0	0
8660cf55-4759-4954-a32b-90f8bb1b8ad1	0	0
bc89aa69-26b3-4cf6-b221-5414d54df931	0	0
797b6f08-ad43-4779-8cd9-fd02c4546b82	0	0
e8536cdd-f46d-45cb-9560-b619d04bf4e3	0	0
1cc2f178-fd8f-4661-a89f-6e17907df3ee	0	0
f79a8107-5500-4cca-b30f-bc498fe90597	0	0
d715b38e-2fa1-4585-8d60-52e865363158	0	0
963e9aec-bd49-4484-a1aa-f2c9b40444d6	70	5.8338000000000001
ce43b55a-e7e1-4507-b131-ed094273b58f	0.594125249072381956	0.0495132430141524485
d8c5fc66-d37e-4a44-9629-4c7879f758df	0	0
ea992056-b7f5-48b9-9c3b-00c01937796b	0	0
0e00e894-da05-4877-9b85-80066281233e	11.1837229437229446	0.932029724001924076
3d851f46-a8c4-4ba3-917e-0dac5c9d7e6e	0	0
923bc004-1ab7-4bbd-b50b-d6778e2fd286	0	0
e5985c4f-406e-4dc2-8a10-b6de95365ffb	17.1436818181818182	1.42872110779040407
113c3c1a-7acd-4a83-931e-ed2397e8f023	0	0
7b3063db-5e63-4730-b78b-b2a8d509a48e	16	1.33340888888888887
e28de859-ba9a-49f4-9e24-7980746b90e3	0	0
66ba2fd2-c214-43cd-96cb-a737ae5e1aa2	0	0
8dd7a1cd-aa5e-4eb2-982c-7c65880b5886	0	0
7c94731b-85df-4ad8-bfcc-80c139ee996f	0	0
2feeebac-c468-41d5-b838-679b08e27963	0	0
b1a49242-3b2d-41a6-9112-39b39aeba448	0	0
16c78241-9482-4feb-9efc-639113573aa5	0	0
318f5c79-3660-4b5f-8ae9-99be26b22fae	0	0
913fa8b1-16a3-4b86-8d3b-c27242f5f19d	0	0
7609937a-d071-4f16-9ff1-321196680754	0	0
0e7bafd4-e049-4fd2-b685-6a09d3b20bf7	0	0
71575b4b-abac-4329-9f63-a3ef3f1155b5	70	5.8336638888888892
9e9a5e43-385e-4e1b-96a3-439b696a0971	0.594125249072381956	0.0495162136403978145
f331d908-0233-4afc-ac57-00ededba19ce	0	0
9a74894e-3619-488a-a386-954e252278ca	0	0
7d0e2e14-d9ca-4cad-9217-e0a84246640c	11.1837229437229446	0.932085642616642729
64801ce5-2df8-4475-8a0c-0a65cb807a85	0	0
669313f7-44f8-4a28-a018-4df6fa0c735c	0	0
79fe44ab-6383-47cc-ac73-e1187e6d87d1	17.1436818181818182	1.42880682619949506
e69289d9-4ed9-45e4-afdc-6659cddc8126	0	0
809c04a8-c4d5-4c11-b4e6-0270fc885716	16	1.33348888888888895
54eb2659-3604-4732-b404-1c3a7da96bfe	0	0
65fb9a4b-682f-4852-9db5-b8e3cbcee19b	0	0
654d5cf4-492e-438c-9e5d-9a942c0eff7f	0	0
88c1e795-5a2d-4a2a-b9f3-d2ead12a96d6	0	0
4c18a188-0b66-4346-9ae3-951f4c7459f0	0	0
652ab610-4f07-4f17-b899-e3c86b74ce64	0	0
44208400-f966-458c-b593-ba22ef224793	0	0
b8221b38-3bc0-4e0e-87cd-67e15c36918a	0	0
1c6b30c8-1983-409a-802b-5278761170cd	0	0
cb785c9f-301a-4fb0-8ca5-a4382fdcdd12	0	0
55ea60ad-2c85-493c-8cc0-cf6724856bb3	0	0
ac05f7cd-e484-438d-ae3e-bd2bdc43b283	70	5.83401388888888928
3b373b6c-9095-4d19-80f9-6fcdf3e0ca6e	0.594125249072381956	0.0495122528054039931
ed5f7b09-ac11-484e-9196-e2ac5a3cad6a	0	0
573db7f6-36b2-4dde-bbcc-cfe23acf6976	0	0
5b292852-062d-4e0c-9fa8-716930cb4886	11.1837229437229446	0.932011084463684525
b2c62c98-c5f1-42d8-86b4-38b57258de7e	0	0
812d3d5e-6b03-46b6-aa01-976eba3a4b1e	0	0
16c54cda-6837-40f8-bc9e-345e931750ea	17.1436818181818182	1.42869253498737381
72f675c1-6f84-4573-aa09-ba3b1b9f1b69	0	0
e3e1b364-fb33-41c4-bc59-fa4f57f7b212	16	1.33338222222222225
7193353e-e5cc-42b9-920f-8d650c8f999a	0	0
13e923ea-88c5-459d-893e-0de74881ecfb	0	0
d4167d99-0f1f-4c4f-a12e-0f98603d8c4f	0	0
64c684c5-b00a-45c1-9090-c3899dad1010	0	0
e1831840-9426-48de-96ac-d8fd05ab3739	0	0
a016a7b2-3d0e-456f-8e6a-9ff407e54fb8	0	0
f66f545d-fd25-4734-aedc-9dfa930d19bb	0	0
958c2b2d-2a70-4397-b72e-cacad9c805c1	0	0
d8303239-2ba3-405e-8825-0bdaecaefdd0	0	0
922fa6c9-6b40-4f47-b4f4-625ff3990e71	0	0
d2a419c2-cdf1-4f38-97bc-b561172f08fd	0	0
0c545793-da14-4ed8-b2d5-56d6f2aa8995	70	5.83354722222222222
0e22ad9e-e2a8-4f2d-a979-740001a6f73b	0.594125249072381956	0.0495082919704101787
bbe33217-63e8-46a3-b474-9aca61f3f924	0	0
2a62c4da-f54d-47ae-bad5-c75667f26ec3	0	0
bed700e3-084f-44f6-9cc7-05f7280564e9	11.1837229437229446	0.931936526310726432
9bdcdebd-a5c8-4585-8877-ca54f613493b	0	0
0af4389b-cc62-4e34-ac03-9fe81de76285	0	0
517e7725-a279-4dab-8552-12f5f0618235	17.1436818181818182	1.42857824377525255
abacdd8b-3b56-43af-9ff3-7a026b682fc9	0	0
2467b072-79e9-4e81-b45d-15c52857391e	16	1.33327555555555555
42e4d321-8f9d-4e1c-a06d-a8efeb21c3cd	0	0
d1348c39-a4a0-4f7b-b272-9ed5d4be4009	0	0
fe5464ea-a799-4ab8-a5bb-c9b5b858103a	0	0
73691a35-e99a-4c2b-8283-6c706e327280	0	0
fb4e344f-cd74-4a7f-baa3-d4c818e977ab	0	0
a6879e53-0a7d-4937-80aa-cce0c898586b	0	0
37d34109-b539-49f3-b315-f375b8039b6e	0	0
c1e13796-3d2d-4679-8050-7007ed600314	0	0
3d5c5765-6371-4c7f-9966-2ad90d6ee838	0	0
8770e017-a1dd-4506-b984-273c01fdbf12	0	0
991371a3-ba88-4c80-a638-c016b53525b0	0	0
355965e4-0788-4123-9a68-3b55e5ce773a	70	5.83308055555555516
172263e4-a631-4c68-9371-017b32a63d1a	0.594125249072381956	0.0495206695797658497
a01bd1d3-8a2e-4bc7-9a9b-8f9800208ec4	0	0
17ba4b1a-8691-43da-bfcf-6b211a500029	0	0
b527f04c-2691-4154-9ffb-2eeb6c3c4589	11.1837229437229446	0.932169520538720597
1b5209cd-cbd2-4de4-ba3e-68ce64810cdd	0	0
2bb65b4f-f777-4367-b680-6cace1bafd51	0	0
1a02acc9-4c6d-4a97-8985-e162e7b37820	17.1436818181818182	1.42893540381313122
662c959b-e26c-4f86-b6ca-56c6182238dd	0	0
2e06e483-6e7b-4787-9d8c-8de7e5818ebd	16	1.33360888888888884
e9ee5e06-96c4-4094-a616-edd7a46efeb2	0	0
1d29263d-3b6d-4616-9816-a0126e0d6bb5	0	0
6f53b7bd-17ea-4fd7-9488-c2266e21b14d	0	0
6ce76bde-1348-4f64-be87-d50462ae1b73	0	0
6f077cab-461e-455b-8e36-81c3abcfbb6f	0	0
093abdab-91db-4ec2-a98c-b044c61c99f4	0	0
2bdca0f4-83a2-4f00-b298-6babbb2b0712	0	0
405900b4-0c0e-4569-8f8c-542cd8f75b3e	0	0
97fc459c-2e7f-40ab-9a08-42a5911a7783	0	0
db883449-59b2-4965-ab98-4d4bef95e19c	0	0
c5a78784-191f-423b-822c-019b7f74e2d0	0	0
753e8ceb-2d9d-4c67-9512-473ca65e002d	70	5.83453888888888894
dd41bef9-465b-4b76-ad45-906a285d60f8	0.594125249072381956	0.0495119227358211747
7525561f-d8d4-47e2-84cb-6f2d7578878c	0	0
7a5445bd-298e-488d-b85b-7e2c36dbc10f	0	0
a64c5ec8-d9eb-43e6-bf34-833c825f9eef	11.1837229437229446	0.932004871284271341
1f60860a-4d00-471a-b9f6-4db3e54f5b81	0	0
88da2f53-c209-4d08-9fc6-f3c8f4c22ed9	0	0
830adbdd-8474-481b-bd7e-bcba31d3a280	17.1436818181818182	1.42868301071969683
a93f04b2-bbd9-47de-9793-341b917e7f11	0	0
c0fe3ddb-e540-483b-9c56-d1d533158047	16	1.3333733333333333
bf9f3ee6-13fb-4392-96b5-6b15b1e3303e	0	0
81ca9d00-7d1a-481b-8d71-c34cf1bb8efd	0	0
f314385c-98eb-45e7-981a-2d6743588efd	0	0
1bb6f283-652a-4a4d-9cca-624b6c5ac526	0	0
840c443e-33d8-4f4b-9f31-fdf8dcb489f3	0	0
c68a2c47-23d3-4c15-93c5-fab3491ceb3b	0	0
901179ab-0141-4380-9ab2-eba8a209d582	0	0
9eb753d7-ec8c-41bc-9d16-4d5a51e9a002	0	0
8747a097-f5c4-4d22-a460-1f275adf7f2d	0	0
574ea3cb-4351-4b22-8ac1-d40e1aed0378	0	0
fc96b23e-0ca6-4b2d-874f-58c8b77f5165	0	0
a3dbbc2e-b508-4c62-9ea0-0baf027e88db	70	5.83350833333333352
c1ff7ffe-c6a3-4862-a6a2-e78959cba6bc	0.594125249072381956	0.0495143982576923131
1fa34fee-675c-4412-a6b3-4ff6be87c0b6	0	0
dd3f99f0-ba62-45c2-ac73-6d6e8ae533ac	0	0
2f1e54a6-bf8a-4b61-b426-233504797318	11.1837229437229446	0.932051470129870219
88b06a9c-17ba-4d9b-a59e-84d339654db1	0	0
97538dbe-fa55-416e-b863-450d6c4b3187	0	0
ee782649-2b48-4686-ad9f-88ff8d7c29ff	17.1436818181818182	1.4287544427272727
1aa95543-56c2-4e8d-80fe-c17001c125d9	0	0
1f2e652c-f50c-4923-833d-a4d942c25c8c	16	1.33343999999999996
2c0570a8-9008-448c-b156-c8e41a279f33	0	0
7a71f9b0-4b8f-4df5-9529-518ee4988f28	0	0
9f4a9f9f-fc5c-47ce-a7da-e9373af701b7	0	0
f8d698ed-6648-40ed-8914-e51fe50fbbc6	0	0
5f789d56-cd9c-443a-8494-07cb755cf580	0	0
b4d9f037-b952-4e49-8ded-fe7ceb7f5ea3	0	0
0a68d377-76c3-4811-8256-2cdf8085db77	0	0
02329b54-6023-4692-b7ba-db37df54dc28	0	0
08849476-904a-4003-92bb-e295f7a8cf37	0	0
a7c253c1-ca03-420d-a48f-1c4b168b4914	0	0
963a68fb-3ec2-4043-b5ef-c71288b4e110	0	0
23e56171-ef8e-46bb-9948-4c7a6215e3e6	70	5.8338000000000001
6762e35d-4ef2-4055-b578-5bbfd51ef42f	0.594125249072381956	0.04951505839685795
37c7eb32-64c2-43f7-8802-2e27f076c77b	0	0
9c00e472-357c-416d-862a-367ce9e1fa65	0	0
0eac792d-2bfc-450a-af85-96838f59ed4d	11.1837229437229446	0.932063896488696586
5de34b8a-51ae-4069-9bbc-2b68ff1ae88d	0	0
73905827-0d82-4590-94dd-13728827b090	0	0
658147db-b38a-4483-a1a6-315b45f7b731	17.1436818181818182	1.42877349126262643
3fdb1cb7-957c-4c5d-ae2d-2d0389c69459	0	0
adb54792-4e8b-404c-a7bd-b2ad8d8e1b4e	16	1.33345777777777785
e89be5c6-d625-4569-9026-c2c826b8ed15	0	0
4fd25530-7e4a-4f7a-bbcb-233ade2adb93	0	0
49e4d40d-7713-4fdd-b4de-d9e016c1cbef	0	0
fa79331d-210f-4273-b834-3ace23ad724e	0	0
19f9da21-6adc-4e90-b7ab-ce27a6142681	0	0
d8e6608b-73c2-4d83-99b0-84a574dcb4fe	0	0
844642d4-8b31-4007-82bd-1d4bd6dac6c9	0	0
9dc95f42-25e5-4ad0-b394-e2f17cee1b78	0	0
1b04b4b6-20d3-4742-ba13-5080e0e2a3dd	0	0
6d3b2420-3ae5-428b-aafb-0c303515543c	0	0
4a0e5630-7cf5-4b20-b973-02f78c87bc7b	0	0
983b6bbc-f391-41a8-9bf9-89f8cb49274f	70	5.83387777777777838
f328bb46-e7c4-4f43-b180-fbb0f1442da6	0.594125249072381956	0.0495143982576923131
0faa7aba-8116-4b57-9d31-80d8046e97e0	0	0
69e56ee3-23b2-45f7-93c3-3e7043f44d5f	0	0
b2cd3a33-8993-47f7-a5ad-ffb98bb941d5	11.1837229437229446	0.932051470129870219
df5f5a67-f493-4a6b-9432-337647fb7eef	0	0
68d4efb4-d843-481b-bbac-a0807287d5f0	0	0
0f34025b-3e96-4bbc-99b8-61eb38e7713c	17.1436818181818182	1.4287544427272727
ad0afaa4-e6a5-404e-8281-680317d18e7a	0	0
f256c5a4-59a1-4c15-a815-1b136aee1bcf	16	1.33343999999999996
a937f48f-af74-4042-94fd-95f174b18741	0	0
bccb9da4-10c9-4915-8168-08fb04fe4345	0	0
3eebcbae-33df-43db-98b5-a78557f5a94d	0	0
bc7bc010-2a82-4203-8009-70210cd100df	0	0
7ba561ae-c12a-40d6-8ce1-1da6483c7252	0	0
1535a09d-2416-488d-bcb8-ee2cba8a6564	0	0
4e822301-4031-410b-89f2-49e404364030	0	0
24ced25d-aa07-4630-84ef-470e55899908	0	0
bf45f452-74e1-4405-b135-9e19d99d3a6e	0	0
6cad9a3e-c826-4d3a-b818-4e37cafe0ab4	0	0
f5dd8018-3a53-4987-b176-08b8f667e1a1	0	0
34f0e961-fde2-4289-a156-1b5de32d5c8c	70	5.8338000000000001
1b2302c2-9d85-4bb8-a432-23bbceaf8dce	0.594125249072381956	0.0495181940578947183
72f9e0fe-f0c1-4874-8bf6-233ba63a6028	0	0
3f375530-7ad9-4b64-8e25-ff99278a4277	0	0
e31be401-068f-42f8-88e4-4aa9019ee4f1	11.1837229437229446	0.93212292169312172
19f0c474-7c30-4117-9456-e363c1303e28	0	0
39b4f2e9-6dac-498d-8f57-69ca2ed4c658	0	0
acec81d9-ece8-4fd7-bd05-381ee140ce2c	17.1436818181818182	1.42886397180555558
71cce090-2888-4f5b-9535-deaabe74ee70	0	0
2c21b4d8-2c1e-4601-baba-8033b118554d	16	1.33354222222222218
2c398822-0001-48b5-b35a-855b40c337bf	0	0
71099178-ee7c-4cfc-9a2c-dee0c761d64d	0	0
83988880-46df-4b96-84cf-aa24e588615d	0	0
5dd96d20-ecca-474c-910c-30d5591d71cd	0	0
5d447477-c07d-4117-be7f-e300fe6e3439	0	0
cbbcaa98-7569-4c39-854f-aa19d94302ca	0	0
dd0d497c-7d44-47f1-9f63-1d557864be5a	0	0
9cfaafd3-ac66-46ea-a23d-fc998503b63b	0	0
37d8cbed-5ec4-4d2d-b44b-76468ab401f4	0	0
c6672e49-44b6-4578-a097-55137a1a7755	0	0
68a56fed-4087-4962-92dc-6589e5ac57dd	0	0
71851e0a-a60c-43e6-bcc5-339f2ce70a90	70	5.83424722222222236
d921c9de-a3be-4505-8f39-6c534e9554cc	0.594125249072381956	0.049502680787502272
7e0a09ed-a748-4c9f-ac41-d34165993868	0	0
cfe7f25d-a860-4701-ae5e-475f295fe061	0	0
849d1138-d40f-42cf-9ff1-7be011adc47d	11.1837229437229446	0.93183090226070231
91ba1249-d897-4843-9fe1-c96a6f108d60	0	0
8535e074-e86b-4049-a7ad-d069af6525b4	0	0
89ca81f4-d519-4986-90f7-18ea636348f6	17.1436818181818182	1.42841633122474732
576597cc-64a3-43f6-bdfd-a00943d4f125	0	0
5e5c4ab6-6e3f-40bb-bf1e-237ffe320334	16	1.33312444444444433
1ecd68df-ee1f-47fe-8957-3906603b289d	0	0
4ce93e47-4a98-48f8-bd02-435c49229c8a	0	0
49e38bc5-e38e-43c0-8313-8e74bf48306d	0	0
692386d9-db96-48cd-8f52-801cb0976f94	0	0
1b35d49e-841b-43c7-b161-8cd099b96cb7	0	0
49665a1f-e5c1-48a5-8273-22e8804394f2	0	0
08ed6946-6b66-4a83-b455-9dff79d441ec	0	0
07889616-46c7-45c4-b88b-05dcc51889ab	0	0
c6a1cde9-8835-445c-a2db-94146b9de54e	0	0
d0d97c8f-963a-46ac-a228-40c893787c5b	0	0
aaea4aa8-ac1d-4b4b-8542-aec09965e843	0	0
ffa8edc3-68a0-40e1-851a-a1cdda5dce36	70	5.83241944444444371
fcf03368-435b-4e48-8d93-fba2a5417f8c	0.594125249072381956	0.0495193493014345829
cbb99d29-e592-41cb-90c1-0265458b4803	0	0
4c9b693e-fb80-4a4a-b9cd-f94620114052	0	0
87cfbf19-2331-4cde-aedd-9bb2f28a09bf	11.1837229437229446	0.932144667821067863
6fc4a3d0-9ce5-4f7b-9d80-324ef287270f	0	0
7602283c-8ca3-46cc-b223-0a99350b4a45	0	0
cc77a2b8-b788-4ea8-bf3f-58e1d8ad0871	17.1436818181818182	1.42889730674242421
e81d4115-1099-48c0-bc9e-e57bd09cf428	0	0
d0f3a604-dd5f-4af7-b9ff-1f5d6ceddf04	16	1.33357333333333328
8f0bfb88-5536-435f-93de-63a33dfc916d	0	0
37e64c87-6bbf-4737-8608-0185d83b0b2b	0	0
5e612eff-ab7a-4590-a6cc-62cc70fcac5e	0	0
3e9d2120-6c0d-4e6a-9c35-39517be340b0	0	0
88950b42-b4db-42d5-bc87-62d762ffb9a7	0	0
7177b8f2-5509-41ca-bace-407264232b0d	0	0
9f69adbd-70c1-4005-aaaa-5892716cdad5	0	0
eb93d67c-23e8-4a4e-b210-8ca6f7df6e40	0	0
30cf4414-ee7c-4a22-a2ae-9e9494f58c86	0	0
6c6fee80-859a-4140-a6d3-e3d4be16ed30	0	0
02ade91c-84a9-46e6-8531-c9dd39103928	0	0
029c64a7-c26c-4ac4-9c31-7c7b946ee775	70	5.83438333333333325
b9e87761-a1f4-4781-84f2-e2fdeab959a7	0.594125249072381956	0.0495127479097782208
f8d17c0d-f3ec-4e18-a726-6259b6de0ba1	0	0
5140a1b3-40b9-474b-87ae-f3e640fd5232	0	0
c2a713f2-3811-4154-b7e3-ee46f4d09e04	11.1837229437229446	0.932020404232804189
e9613a23-9e9f-43b0-a6d4-ece45cd424e8	0	0
1e80c5d8-1816-4dde-a794-6ef23642400a	0	0
c6156d39-3336-48f2-86cf-b6b5d0bbe512	17.1436818181818182	1.42870682138888871
5a015f7b-2009-40b6-a30f-5e182d68c037	0	0
eed82f18-e852-404c-b1ee-147fb83d5371	16	1.33339555555555545
2bd6a91c-862e-48c5-a29f-f5c856444bd3	0	0
87d6138f-51f9-4cca-94a1-b739e6e72f92	0	0
292a8a11-816a-423d-a859-bba716db3d65	0	0
a675f6da-a479-4a3c-a733-e814e1323ea6	0	0
dd02ae3c-2a92-48c8-a675-960383574f8c	0	0
67e27784-b92e-4a41-b78f-0d245405b0cd	0	0
b0452a15-c6bc-4ce3-a1e2-adc667ee85e4	0	0
b224fc21-3988-4aa8-ba98-e17b8ad47df9	0	0
9fad04cf-9860-4360-b666-71c28de43ba8	0	0
fb807162-d18d-4ca2-9789-5b9a54f56948	0	0
75e2a7f7-ac4a-42f1-be09-6b9932fb5841	0	0
5686e4e5-39fc-41ae-8549-008335c388f2	70	5.83360555555555482
3fa93358-c30d-49d3-b480-f477d4673b6f	0.594125249072381956	0.0495175339187290883
df055872-cf5a-4ef3-baa5-5ca0eb4b7e13	0	0
7130b816-e544-472f-9bfc-0416d89184b4	0	0
df9695dc-555d-4e13-bef6-f646a340fb62	11.1837229437229446	0.932110495334295464
4d1c115c-0423-49be-99bd-fca78c61bfa7	0	0
3b7267c8-f40a-432c-a7df-c1a7f60fc2e9	0	0
8dbd10c3-5592-4598-a736-9f37b005356f	17.1436818181818182	1.42884492327020207
51f2c117-078a-492c-a809-71736f58384e	0	0
b376c1c2-76db-4635-8c22-f366eab7f50b	16	1.33352444444444451
2ffd3dce-9747-49b4-8ed8-5f4643dc8d4f	0	0
78dc7327-af05-432e-bc82-87755c132741	0	0
1dc92766-2d61-4a87-8199-62ee0cede41f	0	0
33a19ac7-4a32-40e1-a852-a0f7b14e4223	0	0
9d458494-53db-4043-9e53-a1740a6b7336	0	0
8158011e-35a0-47d4-85c5-b1f5290b232b	0	0
3eef2b86-f9f8-4628-b62d-1abf790af41c	0	0
54d265a4-8567-4385-a0d9-cbea4cb8b6d5	0	0
3635709b-d175-4361-b357-eda3d05416f9	0	0
a65561b9-618e-4493-b7f0-22adc3206d16	0	0
2edf555f-e43e-483b-91ad-af99ff9ab0cd	0	0
9997f6ef-041b-45a0-9554-aab7ffb31028	70	5.83416944444444496
d19de8ee-d74d-438e-bc59-31780ae6e907	0.594125249072381956	0.0495104374226984917
90ee0225-7a10-41d3-b0db-f7240092e20b	0	0
c8d9e165-439e-4c2f-84b2-c88c17e0635a	0	0
f153fc07-ba3c-4034-b103-4f132487e885	11.1837229437229446	0.931976911976912015
e066afbe-809f-4fa1-953b-4c802cb162e9	0	0
9c890590-9407-43b5-831d-a3c7edd991a7	0	0
42ce5cf6-f4d0-4d6b-a90b-cf7279ac67df	17.1436818181818182	1.42864015151515145
13a624d9-c696-4296-acbe-b68bb40d8ea0	0	0
dc966067-6450-431e-a810-751e32149987	16	1.33333333333333326
9b397877-748e-4968-82a5-4a28cb7954e2	0	0
1dcb6d0c-f44c-4fff-a584-e601f6d38444	0	0
1f276255-330a-4a76-a2e3-67cb4efa940f	0	0
ef784643-c57d-4039-96f2-1f5969dd0aa6	0	0
bc6e6553-f776-4b6f-b201-021b921c1dd4	0	0
1043ab68-1f2b-4e74-aaf9-57e528088504	0	0
47134326-df7d-47a4-9de4-9241b7cd3fb1	0	0
f0fd89f2-7126-421e-9e8d-e0810b23f3d8	0	0
89ce0c60-2896-4dd0-a56c-08a2cbd2c48e	0	0
3c9df77c-c6b8-47be-801a-703fcc22be74	0	0
ca9ac335-cb1e-4b8b-bc8c-3b6b008b9fb6	0	0
5a9bde98-f533-4718-a689-acd38fc42fb3	70	5.83333333333333304
4cfbc87a-a133-47ce-872d-ae84848a0dc8	0.594125249072381956	0.0495073017616617303
eb9f23c6-f5bd-4bc4-b527-f90639524fb2	0	0
05860b50-238b-4967-9b2b-a99d34ac643b	0	0
1aa0cadc-8aa1-4b24-9ea1-ccdf5c91764c	11.1837229437229446	0.931917886772486881
72396993-a6db-4bd5-879f-c60d3e45cda6	0	0
da47c36c-12d2-42da-92bf-b54bda1606e6	0	0
5a0806ef-ac04-4aa9-bf26-e30bb92f21b8	17.1436818181818182	1.4285496709722223
4e1af381-a68a-4be3-92bf-4e329a415608	0	0
38c96dac-51d6-4211-a5da-6c5f8e0a7c2e	16	1.33324888888888893
03a30a33-1b9e-490f-a95b-279cc561003d	0	0
96555eb3-169e-4f1d-a8a1-924f18b1fbec	0	0
8f2cd438-3987-4832-a3e5-a3d23e6f0fec	0	0
c44d26f1-4b03-4f06-9b60-b7de4b212801	0	0
653c96f2-7579-467f-8307-9466e71e767c	0	0
ab34c2de-6388-4b96-8745-e2d3e58a1d53	0	0
2e20d355-d894-4946-9763-24fccb6b77a4	0	0
5f412385-59aa-4f2c-b93e-3633f8f545b3	0	0
4725dead-ed4a-446d-bac8-b6e69f503058	0	0
ad327579-5b9a-4ee4-aef3-66eff8cc6caf	0	0
31087642-0951-4cb9-971a-c34cc8d4777b	0	0
0a42bb9f-34d7-42f5-ba50-a9ab6fc502c1	70	5.83296388888888906
03ffc05a-ba91-40ad-a4d4-d7b01837ecae	0.594125249072381956	0.0495200094406002198
b908cf5f-e237-4c66-98af-329df533a9d7	0	0
a2f49eca-359a-4fc4-b0fc-bfb300d5a036	0	0
66b620fe-f44d-44d2-ae07-128383b5a2fe	11.1837229437229446	0.932157094179894341
3e20442e-499b-4337-a19a-0189deefdb4f	0	0
ea69147e-098c-4ed1-bd0f-14112172de30	0	0
983fef35-b58c-4b5b-ad3e-8c004f5630eb	17.1436818181818182	1.42891635527777794
57f3ce2f-e2d3-4e57-a3ff-cb7a392a7d7f	0	0
198d1947-e971-4b55-8cd8-bab47e5b13e3	16	1.33359111111111117
9de9ac13-ba2b-4b6d-879a-96a70470a99b	0	0
2d3235e3-1ffd-43ed-af20-0ab446528b37	0	0
3026c3a5-5ff9-466f-a94d-0560b82a766d	0	0
2058ff99-22e7-4d4f-8fc3-9a632d5ebc6b	0	0
9e500cbf-ac33-4d6c-96ad-6479b7776d00	0	0
272f5f6a-91a4-4d2d-aa2b-66740a8287c7	0	0
d9f8d72d-9166-4128-96c2-6278b766cdb3	0	0
afde4e83-ae84-470b-b2e6-c0e08e0c725c	0	0
a08af453-abed-43e2-8082-62b1fb4257a4	0	0
b4259b48-f34c-40a1-8fa5-61b1aa87c133	0	0
6c227488-a3ff-41d6-8e49-de7d319fc1fb	0	0
73f8e758-5b23-47ae-9b87-45151a48388a	70	5.83446111111111154
aa56f2b3-d44d-494f-8cfa-5ff498d3b05a	0.594125249072381956	0.0495107674922813171
cada198b-5a5e-4e9c-90cd-171948f5c6be	0	0
d68c9beb-e098-4e3b-8184-6872e5e437ab	0	0
1bbcf0f5-7f2d-4705-a2fe-eea54da047ef	11.1837229437229446	0.931983125156325198
fe910d59-73b9-45a1-8ddc-96af12b397f8	0	0
5db27167-5a29-4606-9119-89dba21c6b01	0	0
274f9228-5498-4fa7-8aaf-438991c3869d	17.1436818181818182	1.4286496757828282
90988819-dc49-4e25-af27-f51c859f1dad	0	0
13f99fe6-14c3-45c8-bbe6-47ae7f82ad1f	16	1.33334222222222221
fd0fbab8-4e67-4b10-9ad7-962a438615e2	0	0
22610a70-396a-4b77-a0c5-3966b50cadcc	0	0
b1e26a9a-30ef-4dc5-b5b4-1c2e027e41d7	0	0
30961c17-4047-45e4-a1db-6569b4cbff02	0	0
a4adff06-fe4d-48d1-922b-d383a074f802	0	0
8e09b749-5444-44fc-8cff-9a64c3965d7f	0	0
c1d6815c-6fbd-4f18-a5f2-4e11cc3cc2fd	0	0
0900e68d-e65e-46bb-a7db-00c41aee9271	0	0
253941ce-3cde-43db-a99c-06b35afd6160	0	0
33c665a6-0f81-4455-b6dc-a0edf30f6239	0	0
0a10143b-2283-45af-bc18-759a8512f74f	0	0
e37277b5-35d9-46aa-88e1-e780073a1d4d	70	5.83337222222222174
019fc03e-c215-40e5-855b-af73272f84d5	0.594125249072381956	0.0495155535012321707
2994e35a-e483-428e-b4e8-65ad06c81e1b	0	0
14fd69c5-a8f7-44ea-828e-d8595d759e0f	0	0
87c608e9-93ca-4d82-89ad-c6644f0a9c1b	11.1837229437229446	0.932073216257816251
02c4dea2-89a4-43be-81ec-6b5801820cd8	0	0
4fef1333-0e6c-4bbd-b455-36fcb5988878	0	0
bd203517-18fb-447c-88d2-6424d4a06da4	17.1436818181818182	1.42878777766414133
67f3be38-4ba3-4941-9392-656ff239a196	0	0
a92bd516-4f14-4050-ae97-b95b86df8e51	16	1.33347111111111105
b6ddda15-70e5-4284-bff1-c8fc6cb110f8	0	0
ebede73c-5b78-4b9d-9c31-a7a656e6ae76	0	0
a88a2185-f47e-47d7-a672-b4aacd165f2a	0	0
84292b1a-3fe1-4c9f-bd27-ab4b247d37df	0	0
84e30ee1-5fec-40b6-9f0c-8cac44877b99	0	0
4e289d2f-741c-4a1b-9dba-4eee21baa7d5	0	0
daeacc1b-175a-4247-baa0-39f91858fefb	0	0
2e5204bd-3fd6-4b65-a8e7-de3db02c3127	0	0
59da6969-f4a5-4df2-a884-6155ddfb4893	0	0
f960c301-7c6d-49fb-874a-d730a8d048d7	0	0
6c53ccfd-b93e-4b20-a524-118d28bdb47d	0	0
eb3eae2f-40db-4e3c-adb8-52d8cbfbc4a0	70	5.83393611111111099
4717d894-66e4-4aa4-9b29-7e329ec2dc31	0.594125249072381956	0.0495140681881094877
8b47ab4f-4687-4d20-9fd0-835355ed05e7	0	0
96f5598d-5f88-40e6-a7a7-27ae60a0c8a8	0	0
aac0f40a-b1ce-4c8e-9a37-40c8986fa619	11.1837229437229446	0.932045256950456924
8e3dcb12-8814-487f-89e1-f65f82047abf	0	0
c19929bc-4b7e-4aaa-997c-d13875b3b614	0	0
4d270e4f-db10-4b68-8976-4a7243bf2b2c	17.1436818181818182	1.42874491845959595
975a4fdf-11cd-4154-bfeb-f78628004a37	0	0
26da5880-f963-4a91-95be-2b5631456bca	16	1.33343111111111101
1d2c0af7-c5a6-4be0-9bf0-bb6f779121a6	0	0
d4f2be0f-4c51-4ac3-a614-a117e6acb844	0	0
6720ef16-407e-4f7f-b4dc-15e794f4ac5f	0	0
67a5ebd4-9864-45fa-8108-0248c04d4552	0	0
34a590fd-e2f9-4ef5-8684-bae202ed4e24	0	0
de400667-0d9b-43b4-ae1f-02799de6a446	0	0
4930d3e7-11ae-488e-8a4b-fe21dea3c0d3	0	0
d64fca0d-6240-4c24-bad0-722a630f90db	0	0
32c20f50-ae85-4115-b76b-b3f541f6fcd7	0	0
b2750955-c914-4c26-855e-a7b937f38f12	0	0
c8aa806f-4b88-4147-8656-c080733fc58a	0	0
0024fdba-be7c-4602-a402-5df445e0c944	70	5.83376111111111051
9503a56f-ba60-450f-ae8c-c19c57f12311	0.594125249072381956	0.0495157185360235799
4627ce7f-b023-4148-9a4f-77efdfe1768c	0	0
c3fc4cf7-40e2-4fb9-80a5-0040dcb6a829	0	0
7bcd98e5-57d5-433e-aa17-b40b56d50c4b	11.1837229437229446	0.932076322847522953
ceb34abe-b0ca-4a13-bc44-7a8daef81dfb	0	0
075f25db-c3de-4f39-b512-913728543673	0	0
569ef8c5-d2ef-4470-95c3-51013a0469a9	17.1436818181818182	1.42879253979797971
6efb8c75-a6d0-4a09-9a48-09413b18eab6	0	0
a875984e-5843-493d-afb8-dfd03efd7dcc	16	1.33347555555555553
388e1879-fb42-4273-bf59-bd9449ca8929	0	0
d05a15f4-4d30-4f10-a995-a2368bf6dff7	0	0
d1cb5c56-1079-4772-ae46-26127c361b64	0	0
f3d1d52b-7823-4349-b8e4-c13fa1552916	0	0
57128c07-0d99-4bed-bc89-a75f4cff4571	0	0
795c8b88-6c03-4962-941d-cc019de3d62c	0	0
918dc316-9188-4967-9570-e173657adfe4	0	0
ff3ada49-db39-45ec-8ea3-1e44171367bc	0	0
d047d566-0c1b-4362-9a50-3e9d78853a30	0	0
f8aadc87-b1e3-4749-9d23-5803bc886fc5	0	0
6d7b2059-b872-4b8d-b19b-94f41e528837	0	0
9d6a9d46-50fc-497b-bb13-2e21522d8f41	70	5.83395555555555578
e5cbd430-d576-44d9-b9bb-78d833028536	0.594125249072381956	0.0495125828749868185
90218c6d-0f61-44a3-a605-555c57a35eaf	0	0
f61c2928-e204-40d7-9181-0e6151094de3	0	0
7d9403c0-363a-414e-a727-c936fc104f4c	11.1837229437229446	0.93201729764309782
6f89d013-39f8-493a-a2f2-78f64f7f8e73	0	0
30528341-a833-40ba-b328-7d392974214a	0	0
daa5ec77-922d-4b08-8f11-06753226ea62	17.1436818181818182	1.42870205925505056
61134f4d-f00f-4426-ad04-f9b141fe6557	0	0
4a1ea445-745d-4cec-8bdc-6952ca1b965a	16	1.33339111111111119
8f410867-2341-4b98-b116-25849807ae4d	0	0
1db65c8f-2b9f-4a51-8204-23bc59279bb6	0	0
70c1b007-c1ed-411b-bc0b-02b155ce1cda	0	0
710e8ec0-1ad8-482d-ae0d-59127c64f4a2	0	0
7cb09088-e60b-4816-9581-9999d45a67eb	0	0
33299552-0e8e-45da-bdf1-de82e1866d47	0	0
25432355-84c9-4d16-a213-48f3da2b0282	0	0
ee44b5fb-19db-44fc-ad38-b47e9128d30f	0	0
bcba6710-27ce-45de-8fbd-71028ea3c979	0	0
be988a5b-0369-4f3a-bc45-f8933d63525a	0	0
2ea9f401-0bc8-4e11-ab6d-6b26a6f9aab0	0	0
e1786b46-a626-419d-b642-418e8ca74731	70	5.8335861111111118
cf4cca46-74b4-40e3-b49e-be85e8688509	0.594125249072381956	0.0495110975618641355
fbda7c09-a177-4350-90c9-2593433d790e	0	0
8cc06130-15fd-4b67-a360-a9e1f35b5e20	0	0
a4cbfb32-4f18-4e9d-bb19-c66366cca793	11.1837229437229446	0.931989338335738493
e1202bc3-6d25-4717-9cb1-031f2a2be5bc	0	0
369df7f9-5515-4e51-9dd1-c4d97cdb7033	0	0
d914b292-5d63-43f6-9a03-285e1289e954	17.1436818181818182	1.42865920005050517
f2bbcef9-8861-4118-8a19-9d400c6bf030	0	0
fc6556c6-489a-45f8-a5a5-0f98ae356fd9	16	1.33335111111111115
f54a8851-1670-41f2-aa74-9bb84a269bdb	0	0
ed68f111-7966-4c06-810b-20c738690429	0	0
ae685140-4971-4fd4-a4fe-41c702febe93	0	0
0f87c7b0-64e3-4c9b-a569-c57efede01c5	0	0
8d24cb73-3af6-49b6-b05a-9e0049a98f16	0	0
03916c35-9a96-4a51-a6da-32c6ff8b69bf	0	0
4773f972-cc71-4da8-90f5-94199b0e5cc2	0	0
4d0c314c-dda2-4e0a-ad57-5f054b94aeca	0	0
b4762904-975b-4f92-a16d-b28ca9e94742	0	0
e4c512cf-87e5-4608-b943-dd6bb67423f1	0	0
dca50a98-54e5-41ab-b8a1-0e0e583a5951	0	0
aa2cf3b2-bc7b-4752-adab-a4ecc23e689f	70	5.83341111111111132
a2062f12-97aa-48b9-948f-1d53c8abc7a2	0.594125249072381956	0.0495145632924837223
8857c56d-c50f-41b2-a66f-0cb3d6700696	0	0
0af15667-00f4-4f55-9ab3-f90e8629c584	0	0
0de9c9c8-8369-4672-8dd6-0d6a292ffb97	11.1837229437229446	0.932054576719576811
8a24b2ee-1746-4207-aa9e-9f14d58a71e6	0	0
42de729e-16ed-4639-ab65-7f3289c70de5	0	0
9c9d74c5-a850-4a88-9dcc-4e01ba19c5de	17.1436818181818182	1.42875920486111108
dc6ccb1c-cff6-4cb9-a951-a3d3958ef04c	0	0
1e56a89c-005e-49a1-9da6-5d5ba6a43db8	16	1.33344444444444443
041b6a2a-a3bc-442a-8e58-b28058707cca	0	0
2acce074-097b-4de4-a5e0-d989cd3c9f88	0	0
448798da-7db0-4cc2-8c5f-2deb7ccd5d54	0	0
fa004b80-d133-44ab-90a9-c1b6a72449df	0	0
2d221a64-353b-4c47-a54d-b8bc2984e767	0	0
95e0fba2-e324-4d13-b78b-2b978d597378	0	0
89c55340-9251-4623-b513-8d5a8de22cd4	0	0
81ae6ebe-16ae-43dc-a951-e05001c94e89	0	0
93fbdca3-c818-459e-bfe4-7070f2452fe7	0	0
d85b5bda-9cf3-4c27-863a-d18e042e3745	0	0
71009f33-68d1-4a55-a7e1-70dcc6dbb387	0	0
69993b4c-5dc2-4104-a981-96fae7734d71	70	5.833819444444444
a9acefdd-75b2-4f72-a063-6b49345e19b5	0.594125249072381956	0.0495132430141524485
386f1b41-a82f-4a8a-86be-b0f4691ce5d3	0	0
404b4476-7750-4b02-8874-1f2b36e27763	0	0
7ed498d3-ee08-4546-982c-d28ca37adfd8	11.1837229437229446	0.932029724001924076
b67be059-5c06-4dda-a00d-4ce91d741a1e	0	0
5193d489-00fb-4906-b6f6-e4c1c91b17c9	0	0
5644fed1-6d0d-46b6-affd-1fd75a51ea4b	17.1436818181818182	1.42872110779040407
d618c879-2c93-4d0b-89b1-8ca5dd449573	0	0
13b1b867-6ca2-4f32-9fe5-48b2eb1c813f	16	1.33340888888888887
0bf94f59-1161-43e6-a2b8-481dcfacdfcd	0	0
4706aa5a-f18f-45ee-ad40-ba8725bbf292	0	0
d702fc0c-c829-4129-a747-f98a66d10dcf	0	0
6d084e89-1ecf-4e96-ab68-28dd5d10113b	0	0
5d3357ee-44a1-4e5a-8736-00aefe113ccc	0	0
6bf05466-0aaa-4ba3-b52c-9a02dd6a1a72	0	0
69c9f984-d2a3-4daa-979f-3f17eeae6915	0	0
cf8b1789-21d4-4b1a-8d9c-6cd219fd37e1	0	0
cd3f9d05-f09c-494f-9d27-84be21d06415	0	0
e1e435de-f7e1-429b-823f-60ba9684bc37	0	0
278030ee-941a-476b-a669-444a20d239f4	0	0
5148dbec-c2ac-465c-8bd7-93ed815ad560	70	5.8336638888888892
99c51fd8-d4b8-446d-9349-da124ae7cd81	0.594125249072381956	0.0495554919207531544
52e2983f-59a4-43ff-b4a4-334c54013bcf	0	0
94ff6dee-9586-4daf-b32b-795b1ac8bb90	0	0
b7981c53-c6ba-41d1-8056-bdbf23feeaf5	11.1837229437229446	0.932825010966811141
385edda4-8211-428e-bb2f-f884d08344e1	0	0
32c397f6-79a1-47a1-b033-d9c750805620	0	0
29dd6a94-11c6-4bf3-bae2-3f3c4aacaae0	17.1436818181818182	1.4299402140530304
ad75322c-9cb8-442b-abd1-169785dc2899	0	0
641e5b0c-9356-44f7-8cc2-ea8bcb96297a	16	1.33454666666666677
f7fd8e87-ab6f-4a64-94ef-99f190fe7764	0	0
a0219a5b-81c8-4b56-8aa2-859bcac89e2f	0	0
12334adf-82cd-42ef-a08e-581cf3c23ae0	0	0
3e1b880e-872b-45cb-ad81-0334ad37f180	0	0
615a50b9-a4d0-4ed9-b608-f224f4a91296	0	0
0130f6b0-23c8-4a2d-8004-22db1a779b7f	0	0
d3714f71-9fa1-4fff-b9a8-961b40765d61	0	0
b8bbc55b-a94b-4572-9e94-1cfc89e377f8	0	0
07237181-c6fe-45c9-8e56-5ac7b0e19e5e	0	0
50faa996-b112-430d-8fb6-e26c97ce233b	0	0
97e24c83-4ed2-4975-8d2f-33f2e258f1f7	0	0
9f496842-d727-4b48-a9d4-8bbf660691a6	70	5.83864166666666673
02a72778-db66-4245-be68-71ff9b80dc30	0.594125249072381956	0.0494751199773369663
0cf6ce3c-7990-4df3-94a9-560ceaa52a60	0	0
6999c3cf-f82e-4101-a841-1cde66907a1d	0	0
1c762ad5-99d6-4939-ba6d-b478d254338a	11.1837229437229446	0.931312101779701806
d59dfc15-3e31-4c29-851a-3f41f4d7ca7f	0	0
81f0bb25-63ee-4872-a69c-f0dcbbe7366e	0	0
b782a8a3-dcde-4e74-9089-d8d4511f3419	17.1436818181818182	1.42762105487373736
034179fc-d736-48d6-bc31-8db38b511fb3	0	0
34900344-a06e-4f77-acb0-2d559bd7df39	16	1.33238222222222213
961d4afc-6c9f-4940-9866-3964d0bdfe10	0	0
648fcba6-938c-493b-a5de-f310febdac91	0	0
401eae74-e958-45db-8332-51cacc6c7beb	0	0
701ac75e-7dbe-4cb1-a68e-4c1a2af43fee	0	0
c74323bb-e2c5-4afc-b49a-7c6f28ed48ce	0	0
51cfd0fa-4ca1-41a9-a4d6-6cb2cbc80bc1	0	0
97b3a5b4-e901-428d-bd23-44977c14f20f	0	0
fff47320-024d-48e6-9942-c04350dface2	0	0
f81a0510-4944-4a4d-a029-6ca7a9dd21b5	0	0
894c94a5-fb83-4332-a844-5d5b00693aeb	0	0
453216c6-c51a-46e0-9648-060e062efc77	0	0
e4cf4363-e26b-4225-b88f-fcdc468f29a4	70	5.82917222222222176
2c730b41-15f8-4774-b85e-2410e8b204a6	0.594125249072381956	0.0495145632924837223
8914e4b1-0291-4cef-9f7d-e777c043219d	0	0
1c493ecd-186b-46c2-bbd8-19eb6080250a	0	0
c02da92d-21fb-45b6-ac27-821114d15cfc	11.1837229437229446	0.932054576719576811
0ed2a1a2-76d3-488b-b5ee-92429594785e	0	0
9f076231-30a0-4d34-8a84-b02c0d0dae8a	0	0
765ad4ff-6195-471b-b89a-a262387c1f5d	17.1436818181818182	1.42875920486111108
feb8be8b-1f43-40b2-80ae-44a050db6c3b	0	0
7de5bb21-9adb-42cc-a82d-d36f8f2e91fd	16	1.33344444444444443
b973e438-0188-46d4-a946-7a37e022f05d	0	0
68f4f554-627e-4544-adc2-e39059bf5244	0	0
2f091e1e-7d5f-40ae-a6de-90b45517da71	0	0
e136dd01-7d6b-4519-86c6-4c84b01b7301	0	0
93293b45-8b84-49f3-8e39-68fd25d29e85	0	0
a308d158-93f6-4462-b1f6-1fb277152b4e	0	0
d6797524-5bd4-4d81-86c7-631eab8f603e	0	0
ee15d9fb-ec75-44d8-9e76-6766bfcb537d	0	0
8045ea2e-092f-4a9d-bdb6-333659080a87	0	0
378a8459-77bb-418b-81ae-02b0eb684533	0	0
1c52bc81-c298-4875-899b-f8b38489496f	0	0
dd809338-96cf-41a3-8591-16d53ff38787	70	5.833819444444444
6e2d08ed-7b73-4014-9780-d23ffac747e5	0.594125249072381956	0.0495117577010297655
eacc9f2d-c449-4995-93f8-25318b038b01	0	0
f75abcee-e4b8-4447-9f94-e8c3a03ad238	0	0
99625083-82a2-40fe-81c9-cd4475157fc2	11.1837229437229446	0.932001764694564749
7dd216d1-156a-4682-929a-3089bfdebc2d	0	0
1e95b116-4453-47a5-a8b2-0f6daabc3598	0	0
6461ebbf-87e2-4b2f-bb5d-bd0b4f94f409	17.1436818181818182	1.42867824858585846
b203c0a7-51d1-4895-b4ff-010cdec2d587	0	0
4f9c70e8-1857-483b-b61c-a2204d7e6813	16	1.33336888888888883
7d280468-855a-47cb-ad70-2dee1294f348	0	0
8caa2935-f58f-47e1-83db-48124c3f41a6	0	0
29ba331d-1a12-45ff-b908-7bddf39f9a8f	0	0
d7925d4c-3ba5-41b0-9f17-2e7d9e1a4169	0	0
501279a7-b0e7-4ae6-8c00-48adc5b82cda	0	0
851ec609-fa32-4592-81cd-da311f04ddad	0	0
f6d488c3-a2ab-464a-83ad-2ada0aa14d5b	0	0
831af21c-91d3-473f-96e8-f1054dbedb2b	0	0
04fe7e1b-533e-4722-b94f-3651e54ed88b	0	0
f4b0aa51-2466-455d-900d-fd4d91a28b9c	0	0
e0482d52-8220-4842-8fe2-fa1e6745ebc1	0	0
12b17adf-6b07-47f7-aa90-f503856af230	70	5.83348888888888872
534fa63a-23b9-44da-8105-02d734b4ef09	0.594125249072381956	0.0495921296444459467
705722e1-dee1-412c-910f-174872cfc3e2	0	0
a9e4e425-86b1-41fc-835e-d1fa977244fc	0	0
217dcebf-034c-4efe-a4a6-85377edeaef1	11.1837229437229446	0.933514673881673862
44ead851-1fc0-452c-8e05-679e2bc7bc5d	0	0
9a36adde-63be-4033-a5e4-b896617789ca	0	0
515e7d46-7b10-4180-b348-df2e2ef19bbd	17.1436818181818182	1.4309974077651515
80058b7d-dec4-458d-9fae-deed0c3dfe8a	0	0
c4f71276-6fee-45e6-b53c-2c425b539e15	16	1.33553333333333324
0d48fda4-9a05-4bf5-9e6a-0e24ad4506a3	0	0
8e2abc13-c074-41fc-a959-4e95d804e882	0	0
fd2ceb6f-f100-4bf6-a27a-662ad1f34b47	0	0
0929d2e6-9dcc-4f50-b254-88a8bcc4dcf9	0	0
0e0f1387-04f3-461b-b602-0596e5319b89	0	0
e66b6f15-f3af-4220-b753-002412b5c635	0	0
9d4bb292-2b19-454a-82c8-6d2389211016	0	0
7fd315ac-f95c-4fc5-93f7-18b23245cda4	0	0
48114d3b-42d0-4a6a-9928-db9e7a9b5fcf	0	0
2fcf34d5-0833-477b-bc46-9e09eae47847	0	0
982265e0-ca96-4bb0-9f36-c8578b9637fc	0	0
7ab50b28-6405-474c-8fb9-1e0230d0898a	70	5.84295833333333281
c4938371-34c7-482e-a9cf-cfa599dbab5e	0.594125249072381956	0.0494457437844661729
189d1128-4e8d-4a2e-a7fc-f3f71f989a67	0	0
651810b4-0bff-4c39-85e6-9cf17b5526bb	0	0
f23301be-36e6-46bf-9347-37b7130488e6	11.1837229437229446	0.930759128811928904
a9187d0c-8c8b-4fb8-8be2-5c4d2d3998d3	0	0
a68c44ae-3344-46ef-b407-a1cdd8b9841e	0	0
07601f97-fe48-4036-94df-1aed583b91c7	17.1436818181818182	1.42677339505050504
a8773fb1-1cf7-478f-82d0-390eab3c8871	0	0
ad9b2fa6-fcca-4c3f-a874-b0e011717c65	16	1.33159111111111117
950a5522-f461-4965-a1a4-fdaace61ff7c	0	0
19e319be-3534-414e-8fdc-2825703be326	0	0
13ddd619-aea0-4499-9eb7-c7d385c39424	0	0
42d82ea9-9894-46cc-b433-74b6f15aafc4	0	0
c15d2f9e-dcbb-4156-988d-a8e35c9df341	0	0
367de6f0-7677-4580-b826-3e192f89b5cd	0	0
4c9eb84f-5538-4b9d-8031-ce40a3deb346	0	0
74f450f1-e457-4b39-9dde-05976d1d1a4b	0	0
23b5d788-3e31-4540-bd19-02afe8cccff5	0	0
4f2e9451-7645-45f0-98c8-91aebe787868	0	0
719ded3a-d9a5-4a56-a287-b8025d155d2b	0	0
fedb1c53-6da2-45a9-a610-9d46f24ae700	70	5.82571111111111151
19180dc5-171b-4e88-b054-b12f76c4cfc3	0.594125249072381956	0.0495066416224960865
90d164d1-501d-4f1b-938d-fbd360f29128	0	0
e53a4b7a-9cab-406b-a40c-3dad03fecc1d	0	0
ac3def1b-3a1e-4f5e-a72f-0e7f53c51ffc	11.1837229437229446	0.931905460413660403
8668cb38-c4b6-43c6-9369-54cc487e6021	0	0
315d82a2-0963-43c5-a4d7-e4b5ec55e446	0	0
ae2465ab-f23f-4a1d-807d-6122af3d1d71	17.1436818181818182	1.42853062243686857
84a722b1-8de1-4a80-a69d-9e92c48b1174	0	0
a9707713-9708-48d0-8743-4f943389b154	16	1.33323111111111103
d513cbae-afcc-405c-9ff9-58416785b4d0	0	0
b036088f-5f02-433b-9587-db841ca57dda	0	0
55f13dcf-c23e-440e-abc5-3713b1de6006	0	0
6e33824b-0fb3-4ed0-97d4-e92fed274362	0	0
fdfcd63b-da91-4a2e-a115-de377db7b650	0	0
003355e8-bc5a-46e9-a4e4-b58126c52ab6	0	0
902cbd50-1b58-4d9d-b632-083db9590397	0	0
65b6cc64-66f8-41a1-a45e-6c5f5228ff5c	0	0
85f2e9d7-607e-47cb-886e-c03df63dc8ca	0	0
a6f6e5cc-3c83-4b69-8cf6-bae65e8b3570	0	0
f5ad6f40-ed30-442d-8e51-420f264b446a	0	0
460eaebd-9543-48b8-8093-c7c01af7b556	70	5.83288611111111077
434595df-210e-4094-9169-f2a7d45c9c09	0.594125249072381956	0.0495195143362259921
9bdba0d0-dcf0-4967-a05d-7b2e4158a5e1	0	0
4d28378d-4ad6-4708-938f-81464230f974	0	0
c5bcd9e8-14fc-4df3-bbee-0e9974dafd32	11.1837229437229446	0.932147774410774455
1d401ff3-e4c9-4759-aadc-3d53172b462a	0	0
5badc6ed-37dd-46a6-96cc-95ffac2a040f	0	0
15fa75db-f0f5-46a9-8b48-604616d84323	17.1436818181818182	1.42890206887626259
3f43e06e-92f2-4419-a2b3-8d0f0988edef	0	0
c964af90-37ad-4963-9f6e-49446b76ea03	16	1.33357777777777775
9ae46cff-ac7a-4d31-bd7b-0131eca63953	0	0
16c6a4f4-cb1a-46d0-be73-f0a8eeca17b8	0	0
151f8794-816b-476c-a798-cf5f9adaa6ad	0	0
74884d77-f2a2-4130-bbc1-e5559aeec129	0	0
1b225bed-cbf8-4af8-9274-7b178b8b15fb	0	0
ee23d011-4536-4844-8f5d-7d6af88c6b54	0	0
ae0f1eac-a85a-40a5-83e1-f37d70714275	0	0
e050e6e0-a1a3-4fa8-b391-3b5f01e676ec	0	0
6df2907f-bda0-49df-8dca-42168a6fd2ab	0	0
8d114e9e-8096-4f8e-9beb-e3b2e618d4dd	0	0
f23c138e-c7d7-450d-8ae6-2a79771ec808	0	0
a2d10c4c-7dbe-4568-8e0c-a42c8d1e087d	70	5.83440277777777805
9d69671b-98cb-4724-aeac-925f98eec4d3	0.594125249072381956	0.0495157185360235799
9976b091-4fb4-49e8-9cb4-1474fb5e69ea	0	0
2c6b5b5e-09a9-4351-bcad-62209fce07dd	0	0
11682ce5-4b5a-4721-b044-66c2e0abc086	11.1837229437229446	0.932076322847522953
0db81764-3239-4378-a89e-2e9cc1d20e8e	0	0
3c03645b-0dc5-4a4b-b8ed-81bb60bc4d93	0	0
caa9c79f-ac07-40d4-bb98-5dae235fe67a	17.1436818181818182	1.42879253979797971
1a4c6861-b138-4278-acb0-bcc44ab47abd	0	0
3ce412ef-9848-45fe-ba68-f36574c7ce07	16	1.33347555555555553
fbdbacea-5365-4ce7-9e41-649313a3ed68	0	0
655c0e87-a55a-4f5c-8000-040e05c96d0d	0	0
1cde1f33-9a8f-4547-b80e-6ab8a8bdb820	0	0
41669825-674a-482a-9521-5b721a3ca240	0	0
c2d3e845-ee7e-4569-ad6e-9e2709d2a58b	0	0
4d9c1151-b52d-4692-aa38-b09a5bb69248	0	0
c36c0024-a18b-430e-b70f-090d8313c130	0	0
b23373f1-fb03-499f-9f72-cd8b55d96fd8	0	0
0b854b21-70eb-4f8c-8b84-d7b31c782918	0	0
97424558-9808-40c3-b845-09b74a67069c	0	0
a0b21b80-a67c-4c58-8350-41436d5216c4	0	0
93c0108e-02bf-4c78-8403-a638dc44b40d	70	5.83395555555555578
c87a13b9-ef4a-4ffe-a7d8-d2be8cc8860c	0.594125249072381956	0.0495139031533180854
5f2b9e3a-14b3-4a37-b785-4851005bb27e	0	0
1a446ec7-a09e-419c-9011-34c4a4285875	0	0
d84ec7ba-b53d-4a86-8655-24ab97357043	11.1837229437229446	0.932042150360750554
a74c5fa2-e99d-4b8a-81a6-63aa9fcb9f30	0	0
231582af-a8ba-4aef-b18e-e9922a0c6800	0	0
bf1525e4-ccfe-4b67-b84b-58281a5a8449	17.1436818181818182	1.42874015632575757
26263903-27e3-4e0d-8c5a-51888f9dd78b	0	0
599d253d-a7e0-42ee-8749-0b2081b4e691	16	1.33342666666666676
3ca61bf0-77ea-4b4d-851a-22a2abac6002	0	0
657303cb-a49c-474f-a0cf-6daa7d270614	0	0
c97e1ac8-2a61-4518-b8ae-bf413bc23115	0	0
ee688139-5505-43de-bbb7-efdadedb9136	0	0
4a4ebe4b-30e1-4c25-9af1-1674be1475f8	0	0
43fcfefe-5807-4e64-a844-13c7e7271a6e	0	0
14f24ad6-8fa0-469f-9e48-69c9f52aa496	0	0
adb6f334-d03b-4d72-8b07-0abb2284a068	0	0
77ada746-828d-4eac-b3dd-d50683a90d5c	0	0
ab62877b-18cb-4624-a286-92195d0c55f1	0	0
8ef40255-ad55-4397-8853-f3e00a7c9a33	0	0
99bcfb79-e354-492d-9362-9c867be3a06d	70	5.83374166666666749
5ea1188c-25c6-4a78-a353-4118b0a2f524	0.594125249072381956	0.0495020206483366351
bd4bed9d-a30c-40ef-a831-e60e2ff69ab5	0	0
774bdb6d-69f0-4bc9-ace3-1e16e4d15826	0	0
c670e7ba-b505-48b8-8000-1be60dbc3376	11.1837229437229446	0.931818475901875942
9182f684-ff6d-4538-8e0c-8aa4a014b457	0	0
a80b8e97-bae4-4853-8702-211d010289aa	0	0
bcdfb034-9729-449b-a44e-f5d6fe576cb5	17.1436818181818182	1.42839728268939403
06a194e1-f9cb-4f3e-a7b9-7f531af553bf	0	0
486cdbb3-8466-4432-a4b5-0df1e20d070d	16	1.33310666666666666
c67b020a-ed2e-4218-85bc-ac5948dccb53	0	0
95870c1a-e1b6-4f33-9223-190208c4412f	0	0
bdfb6292-7d13-4a03-8529-33ca13829405	0	0
8488ee61-e093-45ff-97d5-e9944affb62f	0	0
3516d3d8-a5da-4d72-923c-713364f0e4c1	0	0
255c19de-b20d-4f9f-ac72-d66dc302b328	0	0
6b78868f-2304-4a00-89f3-79e709c9bda7	0	0
c2c47f3d-a44d-4258-96f1-c3f2994fbca9	0	0
5d66b4ee-8b61-41ad-9c5f-558d5554a4bd	0	0
60e4d206-32cc-44c3-8057-38d15a083347	0	0
39bcd5c8-2faf-469f-a731-2e6f40dfb90b	0	0
e5ab4127-cb33-4f3e-9e06-64a7e17b28bb	70	5.83234166666666631
0ce139b8-1432-49f6-a7f0-05dadd923401	0.594125249072381956	0.0495262807626737633
29c4aae3-a47a-4231-b350-5beb1ef3e190	0	0
6bb051e6-9058-498b-bb24-5bcd5f57450d	0	0
b20d9d0e-f951-4684-8265-1034a1aa5963	11.1837229437229446	0.93227514458874472
2788dad4-60f2-4819-960b-5d60adb39eff	0	0
9a910c8c-5a61-4658-8fb2-6341d7221cb7	0	0
81cf34dd-c95e-4a8a-a93d-03c15394fb3a	17.1436818181818182	1.42909731636363646
c53fdb0a-7110-4b10-8761-7c061ffe1299	0	0
b4d332bc-6191-4011-af9f-636c435c0842	16	1.33376000000000006
49b22615-898c-4a50-9cb5-837d773714a3	0	0
d643cd1f-d134-43bd-b9e7-4e6a36ec5fec	0	0
1faa51f6-44a7-4910-a908-697f365764be	0	0
b900fc52-0aa9-4815-bfe6-8d30f82ddfa7	0	0
ddc0528d-131b-47f5-ba8e-a1956429ece5	0	0
80064870-2d0e-4c19-a296-4a41f839addb	0	0
2c27311e-13fd-4977-afd8-0e519147dae3	0	0
60488c6f-5c7b-4ea9-b6cc-ad425c307a54	0	0
f81dfe1a-2c46-4457-9ca2-a3cf32626bd8	0	0
550bd1a8-b3e8-429e-9f11-2bac073fb48a	0	0
242bdcb7-381a-4039-b5e1-6d37dc3ad800	0	0
69762b4e-ae4a-47b3-ac87-20d255d9f62c	70	5.83520000000000039
427aa83d-14e8-495d-b5b2-e6285da973de	0.594125249072381956	0.0495076318312445487
5daa8015-643d-4d5c-a56a-fb5a79b03cac	0	0
41b6c165-e98f-483f-9b93-9483540fb273	0	0
91f2a978-1012-447f-99f6-246e32f7dc05	11.1837229437229446	0.931924099951900065
51e3a057-ada4-4929-88b5-f29e75dccf45	0	0
308a6070-4ff2-4af6-8a73-24aabff103c8	0	0
8a326196-60dd-4c05-88e9-ce88e7868b52	17.1436818181818182	1.42855919523989905
aa9144d8-8602-4938-9398-124cfd6cf16c	0	0
96bb3b40-acef-40da-8752-213d02a113b0	16	1.33325777777777787
50fa9c15-46ff-431e-a736-cf9f2227e180	0	0
a8031ae5-e1ff-4ead-a10b-8e01cbf64b4d	0	0
cd74cc05-84ed-423f-99c4-5a11db29effd	0	0
3b65c0cd-91c2-443f-b0b5-f054f7e8cf65	0	0
d1d832b8-2b10-4b87-b583-1ca6a2f2bef6	0	0
2eb7f004-49bc-4c51-a850-fa248547fadf	0	0
66b9452e-5d71-4e29-a416-de9f7db890df	0	0
8fce6043-814e-48a2-8759-e7d7e285f0c9	0	0
c8b33903-fc9e-40c5-bb9f-f6a8c3f25b31	0	0
59c0d357-101e-4f31-a3bc-02d2e4580411	0	0
b3882dd9-5a66-454d-ae25-08c062d8e244	0	0
e3c795cc-c430-480f-aa41-4768af894dc9	70	5.83300277777777865
8f0aec18-ed8d-4612-aff7-cd66f8f73ad3	0.594125249072381956	0.0495147283272751315
f7f78480-3396-460d-913f-9377581c44f9	0	0
1ab3db28-8d3f-4811-a91b-e8c8126b3268	0	0
fd1a7bca-7e6c-4f9f-9479-08aa36b0f054	11.1837229437229446	0.932057683309283402
7d13e16d-8f59-4b29-a1d7-a6a92ed6624d	0	0
14cb935b-2256-4bed-b169-9730b76169e4	0	0
dd98a0a4-f9a3-4131-96eb-9319e6163b08	17.1436818181818182	1.42876396699494945
a183e7a3-64ac-4d35-a2f1-66310566b6b1	0	0
bee448ea-b989-49c9-a66a-3e9949d2abe3	16	1.33344888888888891
8c7b506a-6a9c-4b24-8955-2084ddb62d4c	0	0
090e4a23-0f91-4800-a889-1e49cd2429ae	0	0
e8b51215-1be4-467f-8265-5ff0c32b2cc0	0	0
9a9e7af1-790a-46fa-9475-d9681f6038fc	0	0
defbe603-63ca-4f51-b0c5-3748e917a459	0	0
d5aa0c85-1542-4d3b-967a-c1a380c2ff5c	0	0
81d4c9c5-af40-4ae5-84b3-e42999a142b9	0	0
90d91be9-b160-4a3c-b37a-dd9781ee882d	0	0
b1be79f5-85b2-4c4a-9589-b8c0b59e44e3	0	0
37f921b9-0128-4e98-9349-1c147c301d64	0	0
28be968d-1b4c-4b80-ac59-8e916bdbd39d	0	0
924d2d63-f76c-43ea-a315-d55d76d1acc9	70	5.8338388888888888
f029f986-e19f-4cd4-a14a-77074a2d4450	0.594125249072381956	0.0495125828749868185
8a3dcdea-b1fd-47eb-ab76-f8ef79e05caf	0	0
f7451dcb-1be9-413d-aeb8-defa5841e030	0	0
cf2a5009-f2a0-4691-82ea-4f8d97a5e28a	11.1837229437229446	0.93201729764309782
ae07f8dc-3ddc-49b3-8c7b-0291c1116d2b	0	0
1986e79e-1113-463c-9b1a-b9984de9a1a1	0	0
5d99791a-be36-4968-b395-6e8da9488a93	17.1436818181818182	1.42870205925505056
5cadd074-b773-438b-b65c-a32c396a0df4	0	0
caeabf65-f355-423a-b0c1-5001796e6c81	16	1.33339111111111119
db9d6b51-e6e6-4c20-a89b-0544a35ab5fd	0	0
4c04cd0e-d50c-4afd-b90d-17426d3949c6	0	0
ad2dd9d6-6e04-428b-af37-f234a6cbd9d7	0	0
b8b91da7-4646-4af1-96f1-609feb572c91	0	0
957896b5-5768-4faa-b267-2c72d1cd2a7d	0	0
3d16948b-d1bf-4058-b3a4-dc0743b33127	0	0
9544d804-82c2-43bb-9722-3232f5a8e35a	0	0
7d2c1849-f02c-4c4e-9189-ef9753f236ef	0	0
243bfe53-70be-468a-9ae6-87374d90a1be	0	0
549dc869-0296-4b26-bccc-7c5774a11f35	0	0
a202da61-1207-464b-bdbc-3504830ae469	0	0
0f54076f-b036-4c70-a636-78de21d9f843	70	5.8335861111111118
82dd8fc9-bbac-4d36-ab4b-745ce326babe	0.594125249072381956	0.0495137381185266762
d9d116f9-9e4a-497e-a37b-b59c15aa3d60	0	0
7249021a-0897-4ecc-8a8c-c2c5ed09263b	0	0
6dfa098a-704e-4606-b667-d20c11cfc18c	11.1837229437229446	0.932039043771043851
4f2521ee-76a0-4b43-99d9-6d652b0439bd	0	0
4c72e508-39c0-4f69-892d-83aa3cf89da1	0	0
4a6d4d0b-e63e-4b3c-983f-c255058298cd	17.1436818181818182	1.42873539419191919
acbef62f-be8e-4506-b751-7a1d1439d1b0	0	0
6cc3f163-1d97-446e-b73c-6904482a8d4c	16	1.33342222222222229
d48a3b50-0e58-4c1f-9400-e9e210478dbb	0	0
cc5663c3-75c9-412d-bbe3-ca43ac1206bb	0	0
5ca2a30c-0a71-40a6-b5a4-4c4f14d79616	0	0
68ac5152-7908-46f4-b769-8758b044c6d4	0	0
3b7d5558-7c6b-4770-98dc-b7f8e6fcc1ac	0	0
8bf91223-c5a7-43d4-9fb4-35f62a7402ee	0	0
f056897c-abb0-4413-87ba-fc5dd18361b1	0	0
7dcdb010-50ff-4eb9-bff7-481266913730	0	0
cbeae481-8bc3-4381-9a7a-f1798568e924	0	0
74f9b2a3-eb8f-48b8-bba3-586ceebd8de0	0	0
8997730d-1dfa-49ba-bac5-db729bc2e8be	0	0
7862ece8-3dc9-4728-a108-c6ce14e93b28	70	5.8337222222222227
187c5c9c-3a25-4dd4-b2b1-5072482c1584	0.594125249072381956	0.04951291294456963
5483836d-fbd4-4316-831d-d034f4a57d6f	0	0
d5118940-3506-43e8-8cf2-1956bfbd0950	0	0
c7244eb1-a704-417e-bba7-fdc2892c505c	11.1837229437229446	0.932023510822510892
d8d5a8a0-1780-49d7-926a-c67dedf964fe	0	0
7bf1c6be-1d91-42da-bd14-263bd4fac268	0	0
4c156ed9-8fd0-4231-bb1b-5c42dd9be5a5	17.1436818181818182	1.42871158352272709
4a3b2bca-37a2-494f-a08b-4fca0ee6d575	0	0
a9e01422-5c96-480a-9171-16d4f5c4b3a6	16	1.33339999999999992
cbbc11eb-53be-43d2-85c6-9df5771cbf88	0	0
46ca3ae8-ac24-4bad-b8eb-63b11036e3e1	0	0
b91bc6e7-e033-4b0a-94c9-5b37e4fe04b2	0	0
fa12f140-4840-42d7-afcf-385e605bcce9	0	0
58517c63-c272-4472-98ac-43045d9e6531	0	0
e6947d4d-58fd-4ebd-897f-5cbc9541bd22	0	0
38aae409-5fc6-4a3a-8b77-1a31d7c06071	0	0
81b4895e-cbb6-4a8e-bfde-9e2ea638e9d5	0	0
e5cf1752-aef5-47d7-be5e-ccb1f273d6f1	0	0
d5f34054-93c4-48be-bcab-6583cd8ec359	0	0
4469e7d2-f9af-498e-b3cb-0c747450737e	0	0
24f65be1-1252-4ef1-98fd-e4add6a4ffed	70	5.83362499999999962
457481d0-d77a-4d1d-97ef-c532efa06dfd	0.594125249072381956	0.0495081269356187695
45762c7b-29c8-4868-ac69-d01ff0c7e70e	0	0
6eed0851-f858-4c49-8939-16d50c3068d0	0	0
c5fcc4dd-f6e2-454f-b77d-fa9e8c1d640f	11.1837229437229446	0.931933419721019729
981347c5-e999-47b3-9ac2-9bced28a60f3	0	0
7b3e37ef-73e4-4e75-9065-1d56a064097c	0	0
9c1bd099-a992-4573-800e-6723fc86a62e	17.1436818181818182	1.42857348164141418
811cccfd-2bbd-48c3-8314-e4fa59015439	0	0
8b60a149-bd48-413d-9010-caaca034833a	16	1.33327111111111107
34ec8fae-130a-4568-b3cd-2d28f579bb69	0	0
d3abeb21-aa31-4ea4-a707-6b03e7cb5cae	0	0
ec391dbd-4e91-498b-87bc-3b4cc90550dc	0	0
cfec4eec-711b-467f-b5ed-fe1c3a4c9fea	0	0
00a43c0f-e2a7-42e1-9c42-4d01574462c8	0	0
01b25462-fd6e-4b11-bf13-19002ce1583c	0	0
d228493a-9a5b-4b32-8a77-dd47547c9f05	0	0
a6bd7fcc-f946-4b0a-ac89-4331055ae318	0	0
d976dbb5-5cfa-4789-ba88-454f7538fd8b	0	0
8b630687-e797-4748-a7c2-721a9481132f	0	0
808fd78b-8431-4b1b-8f86-f687e6e41ed8	0	0
733fd15e-eb08-4a69-b0ad-8aff4a752c0e	70	5.83306111111111125
fa10dddc-d128-452c-bfc4-6e8fbc40b75c	0.594125249072381956	0.049522319927679942
cf192cd9-bb8b-4bdf-81ea-64e66a326e83	0	0
68b8bb17-686e-40f0-b785-162c9a4c0d29	0	0
2c7377ba-5255-4530-82d9-2839f12496c9	11.1837229437229446	0.932200586435786516
baa904bd-b51f-4a2d-9741-da5acee2c5e2	0	0
491ce635-ea1a-4d23-9a56-2df30936ff95	0	0
b8675af2-b741-4873-a7ad-9186a83778a7	17.1436818181818182	1.42898302515151521
0de3e980-e20d-4e8a-97b5-8b3764089add	0	0
f687601f-1b81-49db-8ee1-a6d5d1f8919c	16	1.33365333333333336
c8b0c4a4-174d-44d4-900b-024c2df1ee20	0	0
78148fe8-8a4d-40f3-a247-ce12448a5ded	0	0
bfa2300f-b3bf-445d-90da-bf6fcef76f78	0	0
8304c626-0735-46d6-ade2-9e4b3bf7357d	0	0
b605562e-341a-4170-99c6-aa66281be3d7	0	0
543b6386-e884-47f0-a46e-7579c0d7ba07	0	0
ee299cf8-74d4-48a4-9190-bc5c60f3d914	0	0
34af9e96-c9e5-4b16-90e5-08bcbcdaaf9d	0	0
5277f256-01bc-4f6f-aa25-68d13027f39c	0	0
e988f413-9884-468e-a073-f7c9095df546	0	0
addb3bd6-b882-43a2-979a-309dd0059f0d	0	0
0dcd33e3-1812-459f-af0a-983a8d2cf69b	70	5.83473333333333333
3b137838-817a-41b4-bb5c-69a5572b0f74	0.594125249072381956	0.0495119227358211747
9ac1498a-4325-4bae-b425-5a67c58c420e	0	0
63370f77-4b40-44ec-8c50-dc8aa9ef18fa	0	0
8a5e8592-d60a-437b-9756-4dabfd00656f	11.1837229437229446	0.932004871284271341
80120be5-3209-47fc-bf35-390688b08954	0	0
5b6b4dab-b5ce-44da-b81d-3d488215ef87	0	0
3d001ed0-cc62-4e4f-b1c1-6318cf9693e1	17.1436818181818182	1.42868301071969683
e9bcc8c8-bee7-4402-bc0d-ce84d8ca7e08	0	0
8cee0e16-ff63-4a01-8201-b8d9689d55e7	16	1.3333733333333333
1907bb71-99cc-45cc-ab2a-3d79841e3c1d	0	0
4d3952ff-e53d-4218-9d33-1cf5452f5125	0	0
93cd4ceb-da47-4af7-8a0d-de7f6b86d9af	0	0
3943c9c1-69ea-475c-abc7-2ff4febf199e	0	0
3c8c5bda-1694-417b-b11d-56ca41fe3f3d	0	0
209c752b-d884-4ebe-a8ba-121bad8b9a1a	0	0
cfccab08-6c4f-42ec-8266-c2eefe48a23b	0	0
be04a6ae-452d-406f-99d8-e1f31ebccf17	0	0
57e1bdc0-544d-4c9f-9acd-bbea102eb911	0	0
85a999d4-6a24-415a-9de4-8e2dc73e11da	0	0
dbbc6ca7-73da-4648-adb6-0a4b4010e8fd	0	0
b81507bc-8e80-4a7f-942d-ef085b7c55ba	70	5.83350833333333352
23e1f750-15be-4b8f-98a4-f8f40d032879	0.594125249072381956	0.0495134080489438577
a4c45638-19f3-428b-b63f-8345ea9f93a0	0	0
f34aaa34-aac4-406d-9d6e-f45124fa1789	0	0
85678d0e-052a-40c0-9810-61fe5d3f44ca	11.1837229437229446	0.932032830591630668
517d2a63-03e9-4054-b072-83fe6f4a9844	0	0
acd22c2b-7075-457d-bc08-346d73dcbcb4	0	0
0429533e-ceaf-4294-bf86-1a2d7aa97264	17.1436818181818182	1.42872586992424244
6d2dafa4-2c7b-44be-a765-c01a8e5083bd	0	0
692f08ae-679e-40b4-9965-701f94c91eae	16	1.33341333333333334
b5898cb6-e139-41e8-8ed8-185cb26436ab	0	0
f127b743-995e-44fc-bb36-219aa6b8cd09	0	0
13f3ff28-5805-4a83-b6d4-71f3e10900c3	0	0
89934355-4e72-42a9-8456-1216be194614	0	0
752661e9-3056-404e-a228-e4c760325fc6	0	0
2418b6f1-85b9-4fa0-96ec-b12a5a7cfcd9	0	0
2f9feadd-c2d9-4e77-a80f-3040f4321a0f	0	0
3e57e347-e81e-4e1e-85ea-cd26dafa16e9	0	0
d1f9178b-982a-40f1-ba8a-fc8a16f55f2a	0	0
35c23a91-c113-419c-b877-d527291201b8	0	0
fe71f8a8-662f-4e96-af1f-2db4cee52ac0	0	0
e586981f-5136-4446-9a57-b63b2343497c	70	5.83368333333333311
eeb53580-68f2-4fa7-90ab-8209253bda84	0.594125249072381956	0.0495142332229009038
e80bbfed-5dff-419d-a237-84f0d47148d5	0	0
37cdf3a8-41b1-4874-b3b3-dcf3edbd135c	0	0
316746cb-3c90-4e95-ac30-7789f060aecd	11.1837229437229446	0.932048363540163516
32f34531-c536-4fc8-9231-8d550b242e77	0	0
ecbdd586-e9e6-448b-b6f2-767a5cd82fea	0	0
09d83865-b35b-4967-99ba-3f8d95fa234e	17.1436818181818182	1.42874968059343432
17e33055-d5b5-4599-9b86-8fcca3ede5ae	0	0
e45af719-4b0c-471b-8162-928a4c3c1f28	16	1.33343555555555549
8988a772-8cac-4ec7-8071-3d7778ea9811	0	0
57a847f8-0e39-42ec-b830-d67ea4d01dcb	0	0
82cdf88e-371e-44e9-ba8f-b29a8e02728e	0	0
fd3f43bd-20d9-4d74-9103-5a140807ad95	0	0
8c2846a9-7b13-49d4-ab53-2abdbd8788f3	0	0
8c20e160-e1b2-48b7-af1d-387d36be7656	0	0
5402ad7a-9fc0-4a67-9243-e5612e1e0dee	0	0
e5e7de8d-b7ae-40a9-8b4e-7e5f40e55eb4	0	0
a59252ae-25f4-4973-97f2-391da5e176d5	0	0
f842734b-ad48-4b34-8a74-0e973838c0ac	0	0
98238d35-e9ab-445a-87de-2159a34343ef	0	0
94fa6a75-8c89-4186-8404-cdce4f0cde1d	70	5.8337805555555553
5136eb76-f6fa-4683-a098-6554c22d0797	0.594125249072381956	0.0495185241274775367
8279a6f0-3864-468e-bb9b-970ce1330947	0	0
2e09f43d-dd32-486b-9876-35bfd1fd3daf	0	0
79e2853f-aca7-483b-adcc-c4c7c2e1468b	11.1837229437229446	0.932129134872535015
4754de01-5743-4666-bbe1-12ce25fa0fb1	0	0
f4294fcd-8fa7-450a-96d6-7f76eb812049	0	0
f690699d-4df2-4fa1-8508-ada56abccda0	17.1436818181818182	1.42887349607323233
67d38da2-f324-4864-ba91-e90a367dc11c	0	0
626bb5eb-87ab-4ad6-bc8d-013ccd73282a	16	1.33355111111111113
d538bd48-7a7f-4573-a93e-a1e0e84dc721	0	0
fdbf8502-5866-4bbe-9cbc-33dafe52ae41	0	0
80dbe284-741b-45e0-a62c-1150a487e745	0	0
bd58127a-7e7c-46d9-a117-8240ab96385f	0	0
599ce228-39b7-48b1-b54c-19ea763240eb	0	0
0c911e09-e2f6-426a-9d6e-012c2cd128fa	0	0
c823e926-482b-4dbe-b521-d2932a4999e7	0	0
ab264851-29f8-4f1a-b532-6de84f9234fd	0	0
48debd83-0fe2-4d03-bf14-83bb21f12a11	0	0
c0946737-d520-4927-bf51-acefbf70fe16	0	0
8a610c78-29b4-4b8a-a09d-ee57d8e4dca1	0	0
409e4e76-d43e-43ca-83ed-7c215605049b	70	5.83428611111111106
18da8ee4-29c2-47b2-8c44-1e7d54aeb063	0.594125249072381956	0.0495104374226984917
d3fbb1ee-12fb-4c0d-b4e0-062d8af0661b	0	0
6fca72f9-bb18-4e84-9361-2ea7272ed7b7	0	0
9f18bec3-45a0-4589-b7aa-30572519817b	11.1837229437229446	0.931976911976912015
a7baa162-ed15-4393-81a5-85d38c8ff15d	0	0
11108e67-0e62-405f-9017-c27464f32663	0	0
5e7576a8-35e7-4f0e-a755-3a77c3041daf	17.1436818181818182	1.42864015151515145
c9dd04f6-fc40-42ca-a343-2493fe6f2622	0.594125249072381956	0.0495211646841400843
b8a15e3f-4179-4f04-9810-9fbfa240a2d2	0	0
898a19db-d941-4d25-bd49-d37f3d70d791	0	0
4faa0039-c173-4f66-8653-8becccd48d28	11.1837229437229446	0.932178840307840373
a492da10-af4f-4453-a12f-33b9a3881f2b	0	0
e4d9f2fb-4f3a-469e-9fa6-628190e02292	0	0
cc02c68d-0d77-416b-a2b6-036ed47fcaf2	17.1436818181818182	1.42894969021464657
3a71bedb-b46e-494d-b3e9-d659ec96329b	0	0
c916107f-06d2-4ae0-b4e5-39922f5bf6e9	16	1.33362222222222226
a32b1240-682c-4aee-aff3-3202f48a2aca	0	0
9aec0aea-6cae-4503-b52a-aac55b086891	0	0
516e2a4d-d60e-4713-a327-dfaf894f49c0	0	0
b5f0633b-2402-47a0-8064-7160b6fd5bec	0	0
e85de232-9118-4679-8d12-ebd917428cd9	0	0
361a99fc-6195-446c-8e30-1d85a065d4d5	0	0
6d5799be-ef29-456b-b4a3-7c7dc3ae9fb6	0	0
0b23f41d-aecc-4062-a967-4a4c19d7ef5c	0	0
f01be69f-6cb0-436f-ac30-b0d471939fa7	0	0
4b53d4ac-3963-4481-a876-3b91f590ef6e	0	0
60af1a63-eacf-4995-944e-42d7b6ee394b	0	0
655766eb-a222-4564-b858-e42fed3bf66e	70	5.83459722222222243
9d41bf9f-f88e-4ec8-bd70-9f79cfeb488b	0.594125249072381956	0.0494998751960483221
fbf0d4db-09bc-425d-935f-f71478349e11	0	0
ddd173fc-5f2b-45a9-b2c5-8de3b9398e25	0	0
83483f03-0a73-4d0c-b7ea-b7f3e1718453	11.1837229437229446	0.931778090235690359
01a4ccd1-fc32-4d20-909c-017f90d23a4d	0	0
b9b63440-73b4-4423-9b58-9085f77120f0	0	0
ed1a996a-0a01-434c-992f-fcdfac34c529	17.1436818181818182	1.42833537494949492
05b9e9af-eaf9-4c91-8690-d0c6c7815a71	0	0
192c5156-1a9f-4d27-abe1-1d45bae5ce09	16	1.33304888888888895
5e5d03d9-cd67-4303-9d03-7d87652243ec	0	0
45cb0507-ab5c-4d89-8ffe-c28ff62b789a	0	0
e40c60d7-5321-4fc0-b6e2-b17a259ac732	0	0
ec1ba524-fe17-4896-96e5-114c78275342	0	0
def53452-909c-4bd3-b627-be099f3d7958	0	0
b12157de-0b54-4787-8477-4b8e744a9a10	0	0
764c2939-5d42-4e04-8e41-3fec52558ba9	0	0
fc8c8c9c-9d61-4f18-90ff-eca0e6a08f1c	0	0
5b8d0514-2fbd-42ec-8a79-fa5faad84805	0	0
fa9e73f2-8b5f-488f-846f-ca03a0354427	0	0
646f0786-1924-47e2-b7bd-dd74d6935bcc	0	0
8f318194-ca19-454f-9502-2a25f5957854	70	5.83208888888888932
0270edbe-fe2b-481a-b72f-a49b45243d61	0.594125249072381956	0.0495236402060112157
8aabd829-43cb-434e-97db-a956d427a1cc	0	0
b75689b7-e97c-414d-86fb-718d941b2975	0	0
a7df1a69-174c-4419-8c41-3185623fbf8f	11.1837229437229446	0.93222543915343925
909e83d9-24ea-4ff4-835c-68f2da49205b	0	0
e9d8508b-477b-418e-8806-4ae01412193a	0	0
3c552364-4639-4911-b02c-5c851e9207b6	17.1436818181818182	1.42902112222222222
1aef8704-ffa8-484c-bf46-9002b3c2ea74	0	0
168c2720-a5a5-4161-bec6-0b9d5451b9a0	16	1.33368888888888892
ee96194a-1b27-4343-a274-d79821710f84	0	0
d6d0c38b-5ad5-40ee-ba38-4ac6d6d2af0f	0	0
7e04a25e-218c-4c15-97a2-8f4f59946046	0	0
4b131f6a-a440-4d4c-a915-d624ae30e522	0	0
70e0df1f-329b-4c62-b6d4-f7b5d4dcf307	0	0
871da460-8fd6-4411-b404-0f3964bd87db	0	0
5766f506-1afa-4843-b6ff-974bd50bbbf5	0	0
a0af3ea5-809c-4153-8ddf-9d3be48a5849	0	0
a70efd18-ecfa-4c71-b1cf-a0fbf19e9589	0	0
d593ba84-ca31-49da-a2a6-67aeebab1100	0	0
b2ec623d-ab4b-491f-a700-02354e51a66f	0	0
88501df0-6c4a-4c17-8211-21f0f0a90103	70	5.83488888888888901
5df05c05-4b0d-4fac-b686-22bede2ba565	0.594125249072381956	0.0495139031533180854
89329c88-b35e-4dcd-8c63-5195689fca07	0	0
569bd800-7e18-44a8-837b-ba591d032d41	0	0
e6eb22af-2f3a-40a2-9e28-034260789403	11.1837229437229446	0.932042150360750554
e8812314-5f66-4c61-aa63-adf441af11eb	0	0
af663ea7-c6d9-4e3c-ab67-46b0de87031e	0	0
d5b57d14-f85d-4331-8cd1-4c7fc5539518	17.1436818181818182	1.42874015632575757
5b3e53e3-069f-4960-8dbf-c8f4907c9f1e	0	0
1da37283-fedb-433e-8869-33d0370bc30c	16	1.33342666666666676
a9d8f32c-1e5e-45fc-989d-36744d1fdcb3	0	0
93de79fd-8469-4b2d-8bea-b5b802add56e	0	0
5283f568-040c-4f9a-92d9-1355efbcc532	0	0
bfaa5b97-4548-4d5b-8078-5156c40d4bd5	0	0
cb4058f5-b847-4541-87e9-20efbf787363	0	0
571f7929-65b4-4f21-9a46-67ba4da69dcd	0	0
4c45d753-6276-4236-811b-fa8b711798be	0	0
6e362ee9-4fcc-47c4-aff9-9d614b30f2a4	0	0
b2585601-84ba-4655-9134-f023a1890fa2	0	0
d2d894c9-1672-4618-949d-d7186cd92880	0	0
0f4e4986-9a8e-4b19-a8d1-a68c5ab0f311	0	0
f0894af7-35aa-443e-89a5-447b1ec085ef	70	5.83374166666666749
024a05fb-dc0e-44ec-90c8-6f49923b64fa	0.594125249072381956	0.0495135730837352669
8c21ecff-bc0e-4909-a159-8becf670527e	0	0
79b2b331-c1f9-4904-952d-03aa862d5e75	0	0
4d01d644-d18e-4683-8b64-a1e72b73f0a6	11.1837229437229446	0.93203593718133726
ce8064fd-0a59-40ce-b5f8-441ea5554efc	0	0
0c133b05-18d4-44f5-b7ca-b251b305751f	0	0
f06437ed-1f7a-47ad-87ee-569fc1767154	17.1436818181818182	1.42873063205808082
6329033f-fcd9-436b-a41e-0fd500408674	0	0
0a65a13d-a012-4d8e-a1a7-3ea5289d5f91	16	1.33341777777777781
04c84bc7-147e-48e0-8507-1e8fd03339d6	0	0
60414db7-2c7f-4901-a3c3-02c2793ef696	0	0
75af4669-18f3-4a03-9ed7-545403eb16f0	0	0
37491965-14b5-490e-87e1-109825557259	0	0
abc736b8-9669-4e81-93ad-8d5b88cc5354	0	0
de19834d-9277-479e-a685-17122eeeb5c5	0	0
511204c9-b794-418c-94fa-8c771e9b2449	0	0
6c84716b-8e87-456b-a5c2-f4e89483055f	0	0
a876f28e-3030-425d-83d6-82268592b77c	0	0
c623c8f5-283d-4ebf-9756-1e3736ee15c0	0	0
74c3c9a4-8915-48cc-b85e-83ff6aeab5b7	0	0
0e5a1a6f-b1fa-4f28-8d60-b7a483875a2a	70	5.8337027777777779
74ffec82-54a9-4fa0-9f2d-4fc5216a3b4e	0.594125249072381956	0.0495117577010297655
f53b1c5e-24a8-4c49-978f-2a663f42edc0	0	0
509b6286-5bd0-4915-b54e-9e92774d7600	0	0
820c3000-a924-427d-9454-8eeece010656	11.1837229437229446	0.932001764694564749
4a715dc0-2b5b-4eac-9321-9b68298a1c53	0	0
b1b4f141-8d69-4b23-825c-67d412e68ddf	0	0
4e24989f-d301-4323-a29d-82861664dcfe	17.1436818181818182	1.42867824858585846
ec0ba9d9-6cca-4e9c-8cbf-2b2ae60953c3	0	0
9ff65d39-8cb2-4b49-8d74-dfd1d48abfb0	16	1.33336888888888883
c35223e3-f7b9-4144-82b8-de1139c2f9df	0	0
178905b2-84c2-4a9d-89f0-29a6292a61ef	0	0
49c704c1-3c04-4b23-ba5c-d6c3eb8061ac	0	0
0f0ea133-c747-48dd-b58f-5449368ecd37	0	0
613f5abd-7bfc-4a76-a42a-7094d57253c6	0	0
e7087e48-061a-4ec1-b8db-b41f35757735	0	0
fa823650-94f6-49fe-b5b0-d0d709ebb117	0	0
e928fbde-f443-42da-b791-f900d60ff828	0	0
ddf2959f-599f-42cd-bd9b-71e5b43df3fc	0	0
8887c107-7e6e-4850-8099-62c1a192c3b6	0	0
e9043418-0311-4b96-ab86-0c69d9df7b00	0	0
929a8297-60b6-43dc-8625-c485bc62bee5	70	5.83348888888888872
934c0d3e-6cda-41a7-8cc1-3ae3d98f5048	0.594125249072381956	0.0498820957729515513
b8bd7a23-041b-4543-a1b1-cc446d64fa07	0	0
7d9052ea-1a7d-4a7e-a687-d959598d4998	0	0
4dac2298-bac2-4f6b-8a32-2f5f135a8115	11.1837229437229446	0.93897295199615205
d39c0bf6-a987-4366-aca9-646671017e04	0	0
c402bcf8-80e0-4e50-93b7-40fedb71746e	0	0
c9a98189-ff03-4d4a-a389-2cd48043682a	17.1436818181818182	1.439364476919192
a505a893-da1f-4240-a46b-88af4a6e416d	0	0
321e9a9b-3850-432d-9268-4b47659afcb7	16	1.34334222222222222
a807dbe8-4869-4e61-969c-536487a2494f	0	0
76fbc4f9-f5a6-4eca-a264-f74ce472db9e	0	0
28857ed1-43b5-43f4-8af1-742c4834dcc4	0	0
573628b2-59c0-498a-bbd4-a5b789bdab5b	0	0
4bd975eb-d858-47e9-9654-5a7562e3f42a	0	0
7acdae46-b497-4382-ac1c-c54f5c466e38	0	0
c88af5f0-1e65-4281-992e-6c1f59015382	0	0
c535d4ea-2438-4254-bb5e-851da20b3705	0	0
f0dd5fce-b57d-495f-8969-09599115598e	0	0
4014af31-6d8e-4557-9c41-8663d1d5be59	0	0
c70adc4f-def7-45ab-89e6-0a163510ffae	0	0
e7c039d7-4abb-4a25-8943-fce117ad337e	70	5.87712222222222191
207b8013-4e77-4348-bbf3-ab2806b365cc	0.594125249072381956	0.0495259506930909449
c42a7a78-9946-4d75-ba79-117bdf136889	0	0
166c2459-6dd5-49c6-9cba-f558e5a2868d	0	0
5fe030fe-193c-4360-996c-c5fdcc5c96a3	11.1837229437229446	0.932268931409331536
ed5830fd-64c2-40c6-a016-714598ecfcbd	0	0
e870c121-8033-4713-9472-44054accbd9d	0	0
3e645063-6cc0-468f-9db2-530caded8528	17.1436818181818182	1.42908779209595971
f3fdc70b-0834-4019-8eb7-f8622f79d738	0	0
bd1ad253-d228-4e36-990c-88d43792d0fd	16	1.33375111111111111
e631200d-79f6-47b3-b5e3-f19d8eadf53c	0	0
af2c55bb-0bca-4589-a14c-629d159ed8ba	0	0
3c48127d-2632-4a36-9601-1abb6fdef340	0	0
08df0443-865c-4cf6-8436-9ff08dae9877	0	0
f434c1bc-d6ea-429a-bb97-8c5ff5b45b3c	0	0
63f90628-d6f8-426d-b756-ee0f7f6eea20	0	0
cf832383-f2f9-4ca7-95b2-eb1b27125711	0	0
035dfaf1-a43f-4d37-b51d-a971e810dcb1	0	0
25e5569d-86e1-4a7d-9890-0c4916903c81	0	0
ae2e06ea-a1a7-4121-b25e-9259d9e56287	0	0
82560617-9d5f-473d-95cb-06cc37490f68	0	0
d5951d47-4ad1-4f3c-8657-88fbd2d76680	70	5.8351611111111108
e886e2f2-0090-49ff-a4f2-29c7c1606651	0.594125249072381956	0.0495097772835328617
823b16a5-4147-4bde-9aef-5be6aa1739db	0	0
d39f8a5e-2194-418c-bff7-9143187036f0	0	0
01fb8b26-ef4f-440c-8833-a7c3dda85004	11.1837229437229446	0.931964485618085758
168e7972-f8e5-448f-ac44-5ef0168f1cce	0	0
ee8ff08b-6fd2-4a20-95e2-7bf7e53df3dc	0	0
59905e8e-2435-4fb2-9269-89f12233e9b3	17.1436818181818182	1.42862110297979794
46b88e97-5502-4fc4-ad3a-edf03381a9ed	0	0
dc40b09a-f7b7-469a-a6a2-61234685021f	16	1.33331555555555559
959071c7-ac3c-4182-bbd3-bc1d1e092975	0	0
96ab7809-f84e-46c3-9f3a-1d0c4aa857b2	0	0
e552bd64-ba62-4758-9872-237783682228	0	0
afab03de-a5ad-404f-b255-4667c6e2b8dd	0	0
3f9205c2-7f52-4cd9-a7cb-fde77f6ef6a8	0	0
8f79249f-cb4a-4445-a988-761f59beffe9	0	0
74af99c3-b2bd-47a8-bd38-0ce7cb21b98e	0	0
18a0e12b-b4bf-4a87-9cee-813361b9f702	0	0
ce4efec2-f459-4af8-9af9-82283249727a	0	0
b4dc7080-1ab6-4e03-8c5d-9dcb63c8125f	0	0
cbeb2e81-0164-4b8c-9c64-361842f48028	0	0
1c4e51a7-107a-4ac6-940b-034ccb7e4ab4	70	5.83325555555555564
a898863e-d082-4007-9b8f-3ff2ee6b5f00	0.594125249072381956	0.0495148933620665407
f716b9ff-6cd9-4ad0-a791-e05810cab4e5	0	0
02b2ee39-2555-4bb8-8a45-5b836c28fa1a	0	0
5a8e4d89-7359-41fa-a93d-39a6540ed49b	11.1837229437229446	0.932060789898989994
0972317a-75dc-4eae-9df7-a88806580c49	0	0
33eae298-ea97-418c-adb1-ff8def94c7dd	0	0
77d7a896-1325-4947-8f89-35dc516ef030	16	1.33333333333333326
212c8388-08b1-4aaa-b04a-9e7233785177	0	0
89e67629-1f8f-4847-8b48-f5f42b8e667d	0	0
34f46520-eaac-48e9-a3ce-034a391436ac	0	0
213e62c8-454c-4e61-9c99-da710b6a3d9e	0	0
07a08fbb-2a37-4de2-84df-27ddf57f5635	0	0
6aa0c312-0c9f-4c7d-b72e-54d929d2604c	0	0
74e77014-330e-4272-9416-3494c0d67b11	0	0
236d08e2-6971-4373-a431-a6f05a64de88	0	0
a3def459-7470-4ff8-b986-98add6fac7b5	0	0
b3b4e44f-f1e5-4f93-bc98-72767f55fbdd	0	0
a064ecf8-7c5c-4de6-8371-00fd9a82e111	0	0
c6cfb642-1d27-4002-ba8b-7f2cf7685b14	70	5.83333333333333304
d8ebaa7e-82d5-4a6e-9050-127cb2892ea5	0.594125249072381956	0.049363391423553081
b841ad75-7aa1-4957-b75d-de2b135f1d1c	0	0
3b1ab53d-7f3d-4712-b03c-0805e0257c97	0	0
0e17e62d-f2e9-4df3-9b98-3c566d18710f	11.1837229437229446	0.929208940548340578
c34a6dc6-1a9d-44d8-aa1e-90c462ca8e57	0	0
5a12ad98-1736-4b91-b352-128723b8214a	0	0
71947fd4-8ed4-4224-b95d-e70265bfdf6a	17.1436818181818182	1.42439709026515149
def6f266-1f37-45d6-b601-9afdaf4a8c1f	0	0
5742146c-8226-4e64-a516-d821796ae563	16	1.3293733333333333
fa8d9c9f-d9e0-4c55-8f30-bf1eee0e90d9	0	0
574f3b8b-45e1-4149-8717-29cd0971db0d	0	0
fa5a566c-9964-4da8-821a-3e0bd90dba1e	0	0
ee614d96-cef8-481f-97fa-9d33cf55403f	0	0
6a6ba271-4f12-404b-9bc5-63e7eaf5b4a1	0	0
037025ae-216f-4861-aefe-2db1274cd619	0	0
b5fe04a4-8665-47bf-8422-2cf1e4068e3b	0	0
7e023e23-7a30-43ba-9678-3aace5b31b22	0	0
1cf25d87-8566-49f8-9d3c-8c8746140d24	0	0
314b8143-9d65-44a4-aca8-f3cfbc0a4c50	0	0
b571d2e1-7ea0-42d0-8bc0-be3e8d8756f9	0	0
c4865704-99da-4495-a5bc-ee254f5896b5	70	5.81600833333333345
a064b364-a0c4-4ef3-be76-283eecddf53b	0.594125249072381956	0.0492983677157379369
8b52ccc5-3317-43d7-8378-6d3a6fe45def	0	0
971d21aa-4772-4228-b7c6-9be80c8a7448	0	0
bc3a20bd-b111-4530-9d45-8d457327cc40	11.1837229437229446	0.927984944203944284
c1539a9e-f8b4-47f0-92e5-ed9b9df69f69	0	0
1a958962-d2b5-4960-b0b1-44bfc4ec7f7f	0	0
5fcb35d9-edce-45c4-957b-c1110a97dde2	17.1436818181818182	1.42252080953282833
7d6f9ec5-5e60-4276-a761-a1474a3ef81d	0	0
a64bd421-1ae9-42d3-ba46-64d16e2a02d9	16	1.32762222222222226
5c127319-7390-4214-8958-a162a18b7296	0	0
4b43c2d6-e418-48aa-a748-9684fb41550b	0	0
b9b55b16-7857-4cea-a878-6e5bc645fb6d	0	0
a95094f0-5a03-4396-97a0-0ad00a0aea33	0	0
c2c4350f-db3f-40a4-9801-e6c50981a0f0	0	0
f72fd88b-9e01-4e95-b4db-13a92c98a62e	0	0
161b7525-bf66-4c6f-8f89-c9f230d1a33b	0	0
7f657565-0e5f-493e-898f-ff9b166aa3cc	0	0
ff15a85d-4f9c-4348-bf1d-bd0a39f2e7bb	0	0
f9e105f1-ab04-4fb2-a93b-5904a51d3531	0	0
fb71f3f8-dd96-45cf-b8cc-41a85ea1538e	0	0
59d87b04-2ed6-4623-8fe9-fd83112c6afe	70	5.80834722222222233
2d12b38c-c9c1-4d95-8edf-e7cab3e2f012	0.594125249072381956	0.0495101073531156802
67f2ad5f-e548-4d70-8b59-797d9b9208d9	0	0
703de04a-24c6-444a-81ea-181a6ccdbcfb	0	0
41fd3c1d-a760-4cdb-8e7f-a0ebe2b4fdef	11.1837229437229446	0.931970698797498942
94999fb9-1c21-4827-a355-6748806ecf89	0	0
a33b4bee-f98e-4e1d-8227-f5fa6323f71d	0	0
4f922009-678c-4cd3-8c8d-a7c1f478f834	17.1436818181818182	1.42863062724747492
0769cc6f-dbe6-4715-b1ac-cf3469ac5014	0	0
8d3210f6-3323-401e-9178-e5f2174bafc9	16	1.33332444444444453
f50b840a-af86-4428-8464-9f099236fe30	0	0
988d7d99-594d-400e-b9e5-c2ac8a8c5719	0	0
784422f4-e4aa-4003-8a2d-aca7d92e33a7	0	0
b77b48bd-d54e-4145-85e2-5d58ec056d7b	0	0
0b56c08d-4d6c-4897-a556-3b6530cce9cf	0	0
01ca4546-17f5-4015-a766-cb39977790d9	0	0
8ac194c6-91ad-4311-809d-1f655d924e04	0	0
6ca322af-f104-4568-8f61-f801d639d109	0	0
f8cc0b52-7110-4b38-8bf9-2287509cc567	0	0
5c2c9f59-49a9-45bd-88e3-2edba32cc337	0	0
57f6bc6f-6b3f-4b50-838a-d0262ce88011	0	0
856f3264-d135-48cb-9830-bd1f30b15366	70	5.83329444444444523
a825137d-bac9-49bb-b953-3962b9e58913	0.594125249072381956	0.0494959143610545077
157ba9ea-47ad-4a4d-a5ad-7d411c9dd193	0	0
f2324722-12fb-40d7-b111-20d3cefe5fa9	0	0
73d25fc0-cef0-46ac-b747-28f57123c154	11.1837229437229446	0.931703532082732155
74322161-a9e4-4a09-ab9a-5bd957d5d5c9	0	0
99e45043-1b15-4655-8095-0f80755f9e5b	0	0
b83a4c32-79a7-44b8-a1e7-e7d776ae5442	17.1436818181818182	1.42822108373737366
0dff257e-b003-4cdc-a7fa-66bcfb24679c	0	0
e972d07b-2add-47f1-a8ae-2350e2f69824	16	1.33294222222222225
db83602f-83ea-4012-9876-975bf3de274c	0	0
bf56a7dd-e125-4ded-9dbc-e9fe219f9d6d	0	0
a13a4cdf-6c5a-4d6f-a2c9-26758bc88773	0	0
f946b0a3-cae3-4f55-a606-9fef6cb5ce44	0	0
5a4212af-e33d-42c9-a588-6e53d73269e1	0	0
96630613-d706-47b3-aa08-09b317edc406	0	0
8011561d-48df-4d4c-89f2-d339b022ca48	0	0
58c9bf00-1545-471c-8025-26ef87b0b398	0	0
4d0f52aa-20b4-4369-9f28-7902acc9bb73	0	0
f1c992ae-efd3-4439-8beb-f9dc705f1ac2	0	0
5dbc88a6-4eab-4d08-ade4-4f68c253bd57	0	0
c92422c2-5f37-4e50-9e02-6868df5de945	70	5.83162222222222226
2b91df7a-8e75-45f4-9ec0-c6b3289bf8ea	0.594125249072381956	0.0495219898580971235
8fc08aca-3bf5-4e95-9826-6df77e48b787	0	0
370e8d54-4595-40ee-b516-6a06e9baf210	0	0
99c8ed72-e3cc-4106-83c0-8b9b5918bb99	11.1837229437229446	0.932194373256373332
d752200a-2f19-4138-b8f8-d682b5a51b09	0	0
ed65d14f-cc55-47d6-8f4d-1ed6f28b951a	0	0
89d37ec3-e441-4deb-92f3-5893764a801a	17.1436818181818182	1.42897350088383845
55305083-1aee-41af-9373-0c68b430b80b	0	0
c3d707d6-95f5-4ae8-b67c-5e09377630d1	16	1.33364444444444441
17a7a671-1d32-437a-9c90-dc1d36acb396	0	0
13c0a908-6009-4197-b1da-b4c731ef89b8	0	0
8c51d46b-4900-47a3-a7f5-02188aa28ec5	0	0
e66e31d6-1e94-4f09-bd55-f2597fb7561a	0	0
dcfd140a-64bd-4d95-a8e5-791d50ed55e0	0	0
eeab13be-9959-431b-a027-5847d3b01bf2	0	0
118871b1-d48a-417b-9f8d-62fcff9baf9d	0	0
ac0a8153-ac86-4bf3-998e-2364d285e2cd	0	0
35aecd2e-a6b1-4f11-a3ff-13ea4dac8702	0	0
5438d3d2-bd43-425d-b36c-8ad07aee7d1b	0	0
81326496-7126-4363-9031-df5b46909e0b	0	0
2a9b1a19-7022-44e8-bbb1-29b912a7c219	70	5.83469444444444463
1fc2386a-b43d-4620-bb26-898a7e33134e	0.594125249072381956	0.0495175339187290883
b710aa32-27b8-4129-823e-62f80ee69312	0	0
94557b27-a072-440f-8265-bc2acfa1c260	0	0
f8266bd2-2bd0-4892-8407-c46c8bc9c60c	11.1837229437229446	0.932110495334295464
5a496993-2a80-4a49-ab04-cdca2c1b5c67	0	0
7d901ccc-54ad-4a33-a0ce-d785c6303245	0	0
f5578f0b-c094-4df4-a375-5d559e6b3836	17.1436818181818182	1.42884492327020207
9a72f8ce-4012-455c-b07c-86b0dd26d8b0	0	0
d11853ab-f65a-4eb3-b90f-bb56d48ca36a	16	1.33352444444444451
f49209eb-0ae7-4b82-bc4a-e3c56c106ea2	0	0
24b08aeb-d73e-4720-a5f8-26f9f02f618e	0	0
20d32faa-3e8c-4358-816c-f5bc8b16203e	0	0
28c4760c-3ea1-4af2-a61c-0649bd17e88d	0	0
33143639-0b6f-4b14-8b0c-1678ef43569f	0	0
344d7f57-6506-40dc-bd8e-6408a528b900	0	0
c143a7bd-a39d-47e2-a837-993dab06ee8f	0	0
fd62996f-45ea-45a8-8cb6-bbb9b647a5ad	0	0
74dc1eeb-d577-4457-96e9-e34bc32192a0	0	0
a7774484-e140-436b-a326-f399f3560e2a	0	0
d412b040-bfe0-45c5-af4a-d814f4ba987c	0	0
dbb90475-afe3-447a-8b57-1ed1861543e8	70	5.83416944444444496
98cde031-08bb-47e5-88b9-9228e50b841a	0.594125249072381956	0.0495069716920789049
03484128-ff10-4e9b-a1f4-2bd6e3d9efb6	0	0
2351ebeb-15ae-4575-95d2-811e691f905a	0	0
a0914491-4884-4db0-bc5f-316602d18eb0	11.1837229437229446	0.931911673593073697
7c50c966-8cf1-453d-b53b-67b1fa8079bb	0	0
1528be4e-bdf8-44c4-9bca-b149e4fdecd8	0	0
f4549918-13ef-4ecb-b167-6112b9229d6e	17.1436818181818182	1.42854014670454554
c9c2ce08-3bef-4d97-abdb-edf3e41a2dbf	0	0
2be862a9-d5c3-4149-b5b3-5dbfd175df33	16	1.33323999999999998
3e5a861b-dcd6-40fa-848d-76119805a8cc	0	0
669b600e-d3b8-4274-8f46-c25c9cd67100	0	0
22dcbc93-8daa-4d4c-a7c2-201338f93185	0	0
6099d0a0-35ff-4172-ae34-fe93d5b12c2e	0	0
2abbee8f-3b6d-400b-a185-891a2a689493	0	0
7dab2140-3f46-4e01-88b1-2e570474c1d7	0	0
42123fa9-e6f7-4a62-9564-f51417924056	0	0
4bd222ad-18c2-468b-9dbd-dfa78f247953	0	0
3f1c5d8e-81f1-4de2-bab5-d819212c463a	0	0
97a81663-56e2-47ba-908e-b0f76e2e5cb3	0	0
25a11179-c992-4852-9f61-dc007486aa3b	0	0
898b1f80-23f6-4c8e-ba74-0936f3e37139	70	5.83292499999999947
841d59bc-c96f-43fb-83ae-d49ca78a8106	0.594125249072381956	0.0495132430141524485
ed93b576-ad7e-40cd-95a7-205cd3abf0bd	0	0
510c9308-b339-4cbf-b9a9-3b45acba8fb3	0	0
0306d366-364f-46ad-81f7-9fd769caa0f0	11.1837229437229446	0.932029724001924076
b030c073-c0f9-4777-9d61-c8c479c65514	0	0
132207e5-6881-4bdc-af02-ff2184ebca6e	0	0
6aa06d87-1f6a-4900-8f60-e13635a97d85	17.1436818181818182	1.42872110779040407
213ea88e-c94c-45ad-b104-fc1939389f90	0	0
e030073e-b6af-4e26-a248-07b48bfe80c6	16	1.33340888888888887
14895ba6-50ad-4ce3-867a-3828983129be	0	0
40902c47-a0e2-4269-b1fb-8d61d4391119	0	0
49cdf6df-c427-4da0-be80-20d4d9396f1f	0	0
ad7823fc-9fdd-4a56-b774-a0262fc27eac	0	0
b2513ee3-6c58-4fae-b5aa-a8523176edf7	0	0
d70fa43d-03a6-47c2-a755-c1ee9991d0b9	0	0
5b87b8cd-2b22-4392-9a9f-f08f9c9d58d6	0	0
7e832aac-c690-4cf9-b023-bc9d03339972	0	0
a09b13a4-2112-4f75-9ee9-fd968fe31e1e	0	0
d11f45e7-db1c-4183-b1a1-a9634dfb3be1	0	0
95cb3277-a7d1-4ddb-bec3-46848dc71d84	0	0
ed44ff67-d60e-4290-b1c1-05f243dcbf8d	70	5.8336638888888892
91639cc9-5899-4c2f-9d55-dabb9bd7e318	0.594125249072381956	0.0495086220399929972
1374d313-aebf-4ebd-b9d0-3b528ec62c9e	0	0
18232000-5d9b-448c-a81c-eb2ba53f218f	0	0
ee89cc25-a31c-4797-9d0b-805f243f02bc	11.1837229437229446	0.931942739490139616
a33cd0a7-40ff-4597-9880-20f30f273fe1	0	0
a7b4675a-aa2a-4265-8b92-2fe0bd292564	0	0
72425453-0bda-42eb-8011-32adc5e3956b	17.1436818181818182	1.42858776804292931
ca30017b-0d14-419e-b960-094e3dbc34d4	0	0
ce82a463-cecd-4770-b635-24856bfb6f4f	16	1.33328444444444449
2a766645-87e1-4969-bdee-e5800a5ec384	0	0
5fa142e5-96ed-4e5d-8a6d-092e34b2f1f1	0	0
c0ee44f6-2cd8-463e-a66b-d11eb7cf482f	0	0
8aa70706-0970-4412-8b91-8451b5104c24	0	0
51820f76-70b2-4ae1-81c8-5d21f28f29ed	17.1436818181818182	1.42876872912878783
48ae8f04-f4d9-479f-b931-b9604c87b827	0	0
702d1f49-6435-43e3-88f5-2f3cdaf480ad	16	1.33345333333333338
4be41568-790b-4346-8ef2-ab9916e9bed4	0	0
789d8e35-7b06-4fd3-9411-d3de41eb0be7	0	0
c33b8229-baf2-414f-8dec-c9966fb065d0	0	0
cf4a68ba-e3f8-4c63-b3ba-beade9b57d95	0	0
a0e35fed-e4f6-4d3c-9bdc-5b3178a84349	0	0
7289cc2a-838c-492d-9e29-df9c84c81f1e	0	0
b1c1f705-3f72-4174-b490-5a1dabd328e1	0	0
8e17fd6d-63ae-4b70-aebb-e3adca8c39d5	0	0
fd205cd4-3229-4cf8-a670-278ab08b2c15	0	0
2dbccfc3-643f-4cfd-8e13-8a2160c5b218	0	0
e77f97cb-d692-4e20-be2b-918b3739e4ec	0	0
76ab1109-2d3c-47dd-91b6-9ca5a9cee1c9	70	5.83385833333333359
5bf1d349-4765-4b6f-b776-8b9bbe9ca58e	0.594125249072381956	0.0495475702507655186
5b015b83-aa80-486c-a3ab-a09c6fb22229	0	0
e8987015-4a7a-4db3-b9e3-a3242524ae97	0	0
bdb4b31b-62c1-4361-8a91-a7d08fc027fd	11.1837229437229446	0.932675894660894733
1ffe65cd-6f3b-4e59-bb2d-00ee1a15fac8	0	0
384dc67e-5d66-4086-9a20-5f1ed0cfd052	0	0
21b87119-5739-419c-b7a2-d03e78b100f7	17.1436818181818182	1.42971163162878789
b097ca18-a384-4368-a356-86e621485ef0	0	0
6ba6ab39-7417-4562-ba02-4cba6c120acd	16	1.33433333333333337
25b52751-cc60-4d46-908f-c13c127b7497	0	0
92effb57-6982-4051-a038-802dd46df5b5	0	0
b4d7ff5d-d448-493d-a4b3-fbd6630f2ec2	0	0
a419bd9a-0e7b-41fd-91d1-d13efd5afeea	0	0
21dc2efa-cdb5-4b93-bd56-3c25e46e5a3e	0	0
e3e952d5-3367-4707-9aa4-8d04363377c2	0	0
33f8d3d1-05c0-4767-a770-c7dc7a33f425	0	0
dcf3bcd1-223d-40b2-a645-753116035f35	0	0
5ebcf936-9145-4be9-93e4-3a7383a18115	0	0
2e75a63c-e84c-4512-8bf8-e18bd6e8a928	0	0
d988be8a-78d1-4b84-969f-0a2ce3029002	0	0
70f4cbba-4117-4816-ad80-7df392df1399	70	5.8377083333333335
0784e725-c464-4380-a2bd-d04cac8f445d	0.594125249072381956	0.0495338723630785738
f86a111c-e650-403d-b2cb-157f43f1af03	0	0
1f5bce1e-6736-42dc-9302-67b8996ad0a7	0	0
ca3a7c61-028c-4f4a-bcb2-39205e141391	11.1837229437229446	0.932418047715247833
c666ac7f-d449-44e0-8f40-408557a46637	0	0
6fa634b9-da90-468a-8b7f-cf845230cf8c	0	0
9e079835-3b2e-47d5-a472-00dd1f3b0ab7	17.1436818181818182	1.42931637452020199
9b1a3434-0633-4971-9e91-d1bac4936ca8	0	0
1571ae4f-2c3a-43e0-907f-433dc0ce8ede	16	1.33396444444444451
82b3420f-bdd3-4830-8558-f71c77af3c81	0	0
4822bad5-55ff-454d-b370-790c3bc034a4	0	0
16d629bb-d45e-48b8-80f0-3e1869cebe9f	0	0
f52e6720-e5a2-4e41-8359-f1684a072621	0	0
bab1c3d7-689e-42f5-9191-87c803804d63	0	0
f2f2e3b9-8d35-4d4d-9588-86a521dac5ee	0	0
bf401cd0-490c-4381-9753-646ef3e1bd8e	0	0
c038a94d-311a-4451-9c96-9401f3facabd	0	0
0a197c04-0159-45c2-97a9-71b30e97fe7f	0	0
88883aa6-b0a6-45f1-9d85-82a388229bdc	0	0
296364f0-9908-4669-a5a0-c72897d1c23c	0	0
74e80b23-6276-4644-8cdb-beb9ce8f99f0	70	5.83609444444444492
82522d80-9ee4-4052-8f1b-eff119cc2abe	0.594125249072381956	0.0494629074027727045
d112b21a-be4b-44d5-a999-d977db5c8df2	0	0
578aebce-f760-4406-8fc2-d7c70298ddf8	0	0
a444d32d-55cf-4189-be39-6d2ba0bbc2ef	11.1837229437229446	0.931082214141414233
9298494b-fdcf-4dfe-9064-d18d6346e7d0	0	0
c561a6e2-1112-41bd-8347-71e1acac0b5f	0	0
649fa88a-987e-40a5-9246-f1693970b97d	17.1436818181818182	1.42726865696969685
223339e4-220b-4e9c-aaa8-fca0e6493aa7	0	0
3e0b6fde-9ef8-47f6-b670-860e3c7bc2b9	16	1.33205333333333331
77879c99-ebb4-4e66-a126-ed1b78e9cd83	0	0
380b5a01-a830-4e70-ab46-0749cd379bdb	0	0
c2b4b5f9-feb5-43d7-a6c0-656830805bdd	0	0
15fd70f8-72b1-4369-8bf9-c3a98ca4e635	0	0
2c121336-24b6-4d03-90a1-40aab5b9137e	0	0
e73cff68-d173-4a6f-9f7b-8486b9fc163c	0	0
0acfbbe8-ffde-4737-b0f5-cd3e7a76003f	0	0
1f930815-1611-4369-b438-c36b06ddd1f1	0	0
f65b1892-2862-4b52-8e3c-95bb55c13f5b	0	0
5a52ba28-f406-497c-99a2-b7c224c0927e	0	0
32db29f3-2948-4eb5-95b5-5619616d37c8	0	0
66479d59-3709-41e1-9339-f01c90e8938e	70	5.82773333333333365
6958ef81-8bc0-42fe-b3e1-cd75f5e6b846	0	0
9ede679c-8182-4f7e-aae1-02608117f97f	0	0
91fc4406-16bc-45f6-9478-660ee18d7bd8	0	0
a79aacf7-8bb4-4d72-8a4b-756cc38f2a54	0	0
1401f1e4-3c37-4d52-b985-1f6ff1270df5	0	0
5be7f13d-72f6-4bed-bb4a-59389c357e0c	0	0
96fadea8-a48a-486b-9666-e43bc604d12a	0	0
47ba075e-61cf-4c05-99cc-7d464377ff1d	0	0
2759cb52-9cdd-46c7-8d4c-d4c814da1130	70	5.83311944444444475
d3a6a2a0-e839-4c5a-9ecd-e7df44edc9de	0.594125249072381956	0.0495147283272751315
4a994626-c99d-4b0b-986c-49f6ebd159c2	0	0
fbb1def0-74e2-4540-8656-13dc758cb0a1	0	0
f9f7d5bc-a5af-4a93-904a-e4ff20bd13fd	11.1837229437229446	0.932057683309283402
c0bbabfb-2a0b-490a-99e9-15a8bb9dc3ca	0	0
51dacc57-08e0-40c6-b366-681aaf7ef776	0	0
121fdf37-a3df-4225-ab43-9cb2a51a1b64	17.1436818181818182	1.42876396699494945
853c63ae-f323-4beb-b1e3-c4f98bfbb301	0	0
c744e944-0a4b-4551-9288-f6c38fcee18c	16	1.33344888888888891
e06fe0bc-4c58-47f9-b43d-ab3293a3d97b	0	0
ae74b1f9-2368-4833-aa0d-f6140910f522	0	0
62127b1c-5b51-40e6-9800-e323fdbe7c00	0	0
271898cf-218a-44c7-ac12-c1813463f08b	0	0
d41b40cf-1b43-4033-a43c-b330604b5f26	0	0
d7aa3540-c572-474d-9a90-7715e31bca0f	0	0
51eb3470-459a-4c38-ac98-27e1acdee039	0	0
b822c510-8b6d-4017-8a8c-9994f7bd8f35	0	0
70ffdfd0-deb5-4713-9f09-172d2eedda28	0	0
39bee039-0d1d-4226-a605-510aa31fe8af	0	0
7f95b86f-f3e9-4143-8ba3-0de94458e135	0	0
260157b6-8f13-4a19-8847-710f16a278e4	70	5.8338388888888888
b9560ec0-c917-4a72-abe1-5c619c046b02	0.594125249072381956	0.0495087870747844064
f7a6a5f4-dd99-41ed-8529-4f445f57ff06	0	0
9b4c3b41-fd7b-458a-ae20-cb00de1043cb	0	0
3a2f5d8e-e9e4-4fd9-aa0a-8b82b3033a18	11.1837229437229446	0.931945846079846207
7c43a851-0030-4e51-8fd7-6e1c1ad82b70	0	0
a9bcf606-1a60-4152-b933-e7395a34faa0	0	0
79952426-e965-435e-a83b-2590d04a8d14	17.1436818181818182	1.42859253017676768
da8243e7-05ad-4d2e-939a-295131842e7d	0	0
522a0a98-e2e5-43a6-8540-67ed20ef8b48	16	1.33328888888888897
31c08882-1261-476c-8a5c-43df6f48a712	0	0
d15ba04b-1240-4d21-b5dd-6b32427fd27b	0	0
129c62b2-28e9-4cb8-9b8c-4f4191820771	0	0
bd401ff1-4a81-4833-a2be-7ccefcddc8d5	0	0
b36222da-51d4-4300-980d-c023d92b8eb8	0	0
2bb79bf4-17db-47a6-8a87-2c01d62656e0	0	0
4e2ebb87-ff50-45af-9d9d-602b2c9a4361	0	0
fb91fb37-9fa1-4646-a602-9f09121c8d20	0	0
995ee457-be95-4bd2-ac33-2fbf8337dfef	0	0
9d5c3813-f063-4227-9867-77942c529739	0	0
885bf7fb-65d4-4b36-ba23-2236be2304ec	0	0
07f8d056-7ba7-49f0-a9c8-4d6abe1fb9a1	70	5.83313888888888954
da7c172d-79c4-4642-8f96-eac580f4f0f7	0.594125249072381956	0.0495185241274775367
16e42cea-cdcc-4a88-994b-d808c3735634	0	0
6b17e4e1-1379-4d77-87ca-5b4cd5848359	0	0
f535ce78-6e93-451f-8407-93f92cc26d00	11.1837229437229446	0.932129134872535015
473cee9e-bb23-4f88-b78a-78cb60041353	0	0
7b5966d4-6e47-4dcc-9a05-34fe2f78949c	0	0
e839af5b-29f3-4376-aae7-4d0f2b29d648	17.1436818181818182	1.42887349607323233
9511be74-c421-441b-8e8a-d7a5c1d32473	0	0
11966e87-9ce0-4134-8a2b-1d8f58039b39	16	1.33355111111111113
b31aedaa-14b6-41b7-8521-fe3fa6a9c9f5	0	0
6389630d-2c15-4e00-8bbf-a8612a9c4dff	0	0
33bbbfca-059d-4f89-a447-75ee9f57bc56	0	0
fcc69c87-cb06-40a3-92ee-72ed0128537e	0	0
8a160aa5-01f4-49f6-ad9d-71e0726aa37f	0	0
5bee1c9b-6fec-43f2-8e14-8283f365b2dc	0	0
f6e01dc7-d743-46b0-8736-ff366733c850	0	0
45c49a17-c16d-4f5b-abbd-ba48121be492	0	0
0df7a7e4-4274-41b4-ac03-aee17c6bac84	0	0
ee729f2f-2ed5-401f-a214-0fc9d5a13941	0	0
de0b262b-efd5-461a-b846-d2581f051f5b	0	0
be5ac45f-441f-4cf3-9f02-edfd1f83eb4a	70	5.83428611111111106
4a87ef55-c571-4618-82aa-d46ecd8b650f	0.594125249072381956	0.0495124178401954093
cb86a289-4d9b-4fdd-8092-2de65bfa31b2	0	0
d826dee5-5afc-4149-a172-3ccd5311b6c0	0	0
908109a4-a2b4-4d73-9a83-d8b407d64129	11.1837229437229446	0.932014191053391117
05af0d00-fb82-48fb-9812-6d2f2ef96747	0	0
8ae9f290-200d-476b-afa4-6c1a80118b6c	0	0
33b9fa12-8bd2-4a55-b4b6-584b565996f5	17.1436818181818182	1.42869729712121218
c4c887c8-5f4b-4d58-a0d6-cd6820e9b64f	0	0
ba4ee4e7-d7ba-42e7-aed4-75019ec1dacd	16	1.33338666666666672
127d37ca-9fc7-4b43-bbe3-bc36cc2fa5d9	0	0
4d786cfa-a75d-47e9-8361-e9a348bee965	0	0
13d1c8c6-0ad1-46a1-98f2-918b4f90415d	0	0
6461fc83-dc10-42b3-818a-a2090900f5d9	0	0
deb7fe1d-960d-44e4-8cd7-812647a0cd01	0	0
ee276494-f779-40a0-ac24-add2fe8d0a03	0	0
937a52d0-2759-4d08-89bf-8ad628ba567c	0	0
f0cfea91-b74c-4a0a-923b-e3dabcf69c98	0	0
43894ed0-275f-4e42-b2fc-c38405d21a24	0	0
2958fade-9ea3-4e8b-854a-6fb78469a428	0	0
7a78a593-409b-44b5-87d4-b2fdb3e55d03	0	0
1ad78d1f-1a10-4c58-bbb4-a046edad5106	70	5.83356666666666701
53355de0-ab33-4277-9fb8-1f93c8928226	0.594125249072381956	0.0495236402060112157
0bfd140a-3c70-4ffa-9614-1e0cead0e4d8	0	0
28af6698-38c1-4574-9348-0dd13fca0c75	0	0
25f46288-a729-41da-bdd6-43772152b380	11.1837229437229446	0.93222543915343925
dfea7afa-8030-418c-b25c-277ad2b34d5b	0	0
d0866dfd-8b77-4e54-8725-83cacf45dea7	0	0
32f64ef0-dbb3-47f2-84d5-4090a39b3379	17.1436818181818182	1.42902112222222222
ecf76b3d-c8a7-4b30-ab65-b7ba7fbff03b	0	0
9106edaa-0f3c-4709-aa09-111c066c96af	16	1.33368888888888892
0038e298-cf09-452b-9917-1523059c3df3	0	0
5a9b537f-2f85-49d0-a372-4cb35f2bd3b0	0	0
60c44bc6-a149-4f8e-809a-a9f132c3deea	0	0
634a99c8-9c10-4107-8b76-80879312cc6c	0	0
c54e76d8-8940-4b16-9a60-10953c4ab794	0	0
b147f2d6-d37e-4e72-8b9c-db5c4b4e2ec6	0	0
562fc014-cac0-4805-843b-3a6110b7d750	0	0
fe4617b6-82ef-4aeb-8bdc-cd9dde363391	0	0
07b0ada0-b6ff-48a8-b1e9-ab47db55f32e	0	0
c49a9c79-9d6d-4103-b8b4-c50c19765840	0	0
b4fe856a-59fb-453f-90be-5220094595e7	0	0
b0b7fb5b-24bb-46fc-928b-c68512636c3d	70	5.83488888888888901
6726eda5-dc11-4e38-b1f8-3b82eed8220b	0.594125249072381956	0.0495016905787538167
491c72dc-b8ff-4c34-9059-eb25b7b2f562	0	0
65d6542e-33f3-4603-a679-8c9feb0597cd	0	0
38caae8b-1498-4cf4-9542-cb1ebbae3171	11.1837229437229446	0.931812262722462759
593f2f92-750d-4f50-896a-5ce4f344a37a	0	0
f8043468-d265-435f-bf53-a85192d64207	0	0
8b63fae7-519d-4b91-953c-28071f552339	17.1436818181818182	1.42838775842171706
e4bdddcb-bfdf-4e65-a03b-dbf2519bcf7f	0	0
c74462db-a320-4add-8b31-6208dc564a4a	16	1.33309777777777771
6d696581-dcda-4ce6-a6a2-c39e45f94b74	0	0
6ccb0f6e-a2d6-4b96-8f34-cac0ec363959	0	0
5c545d3a-caa6-4e87-b5f9-a80291d3d76a	0	0
51fe06e6-a577-4766-8e48-7f27fe5ec257	0	0
817dc445-8b4e-4d1f-a84d-a19ff6e6ead4	0	0
53248284-1abe-4d38-954b-7f3d939effb7	0	0
c07432b3-87b3-4371-a6d1-4d1030038a9e	0	0
ac55dfa5-a3e0-4a75-98ad-2e0f52231baf	0	0
6369c397-61d8-462c-8d50-e65da4197b0b	0	0
0a4693c0-bb00-43dc-94b1-03aa0fa7bfb7	0	0
fc042d4a-d370-40ca-bc82-04544b1cdf2f	0	0
233d77e3-9340-418c-9732-22d6434f033e	70	5.83230277777777761
f2653115-4741-4030-a598-52df50e5224f	0.594125249072381956	0.0495143982576923131
63493282-afeb-4e01-b826-34fb2d2f0c0f	0	0
7fcfbfcf-23e8-459a-810f-e0c5b4fb5396	0	0
a43746ea-b367-4fe4-ab66-18a9200a7d0e	11.1837229437229446	0.932051470129870219
daf31d19-b6f2-494b-b784-1c93e6a57b03	0	0
e8c59836-def7-4ab2-99ff-23316ca23674	0	0
3314162f-6257-4098-b425-f1ee0b6aa972	17.1436818181818182	1.4287544427272727
1ad26ff1-c478-4100-8377-8210f7aa1410	0	0
4e758e17-8bbb-4a9a-91bc-28a5672ecc19	16	1.33343999999999996
e4424a7f-69fd-4f38-8b10-1cff0ccfe97d	0	0
95c2840d-c059-4036-912f-6470f551f448	0	0
27df3434-ea36-4751-9b46-6844c3c98f17	0	0
4b5093d4-8eae-43c6-8f23-3e2bad93fc03	0	0
9e0784c0-d1c7-4315-87f1-d710866770c4	0	0
a7db6d70-e830-4728-adf5-31c2e3218abd	0	0
5f4d2655-81a0-4386-bab0-c867efa85935	0	0
431ed22e-e9f8-497b-9770-06f4e5b32f28	0	0
5ffa86a4-581d-4171-afd0-8a5857b458e3	0	0
ac0ae278-f5b5-4959-b96c-b082980476b9	0	0
0e228408-b010-49a4-b43d-1ddd1e1f7864	0	0
ad4ce3c9-d119-4af8-9731-88c60ef888f3	70	5.8338000000000001
e32e13b3-c05f-44ab-9abb-1ed9ba1a1560	0.594125249072381956	0.0495167087447720353
256fd879-f2c1-4f49-8002-c69df63df92a	0	0
f6ccff44-ec9e-4737-bc31-4f75abf72f23	0	0
eec2f1dd-aa5d-4678-ac62-220525b24586	11.1837229437229446	0.932094962385762393
e898c05b-4202-4402-a363-236ca736e636	0	0
d12e0fdc-5818-46bd-9c0f-955b468d196a	0	0
4bb95e9d-883a-4728-81a3-19092b7295b4	17.1436818181818182	1.42882111260100997
79035c9a-4da7-4b7e-a4a0-ed793ca955eb	0	0
7e8f0e4d-6463-434b-a2d4-1e2c692e79b2	16	1.33350222222222214
428e0526-f5c4-4ad8-a6c2-4f58bc94a196	0	0
6bb30f2a-8dfb-4cd8-b6a0-f3097b760399	0	0
eda0397a-f247-446c-b3da-5bc062c80f01	0	0
ec99f9d2-9cb4-407b-9f71-d9e7ff532478	0	0
e19844aa-2a60-4bb9-bcd7-25dc624b6e17	0	0
c6c36156-328f-42c7-815b-cc861534886c	0	0
684abb94-cea0-409a-b1f0-3adef05eb6d7	0	0
a14cfd3c-1c51-43b6-9346-73bd9928ed94	0	0
ce7a3f03-eca8-44cd-8abe-9ad09d76f90d	0	0
67945ed0-05ff-4501-8ea9-040768ed14b6	0	0
3619ad34-0593-4c84-827c-1068228fb187	0	0
ed6a83ea-2bdf-46ef-a6f5-2785dd767957	70	5.83407222222222188
84c71d2d-3b12-4ecd-96e0-ac769ba9875c	0.594125249072381956	0.0495137381185266762
38dd8743-2a0b-4df4-9ebe-e01b39bf9084	0	0
df53896c-14ad-43cb-8bed-ee3ec9590864	0	0
2d0679fb-5980-47ce-a8f6-666d057c8185	11.1837229437229446	0.932039043771043851
8d9a235f-b33a-4b6d-9a3b-2f1fe04dd8dc	0	0
a4a2d717-c48b-489a-926f-5d206b8f96fa	0	0
3938734c-febe-49c6-813c-4165f5663ae1	17.1436818181818182	1.42873539419191919
ed8369a6-2787-4d1d-8e9d-6cbabf70fb2b	0	0
e7944845-dbf3-4ecc-a8c2-7a9d76931d55	16	1.33342222222222229
325706b6-81ec-44c8-9b8f-5b724b125506	0	0
f196a201-6022-4557-a76c-6d0f3ce8b554	0	0
2eb0b966-5294-4642-a803-53402185b933	0	0
68dad42e-b471-48a2-bb2f-51c22461e2e9	0	0
b68df777-6062-4341-9ea2-ed52c478f21f	0	0
18d97787-5414-462d-b9b7-72a3f5b8b934	0	0
ef91ccbc-afc3-4d33-b709-10f76f21d676	0	0
bedcc99a-caaf-4e55-b152-fd14790c589d	0	0
cbdaffa8-1cf2-4e4e-a138-d375c75b363b	0	0
4ea052a8-8354-4d52-a55b-2bcb072b597b	0	0
469dcb4f-a4eb-4f80-803b-4f976d12ccbf	0	0
2dc01203-708c-450c-b56d-c676f3c66a0f	70	5.8337222222222227
91fd31b8-4c92-4c28-a81a-0d62852665f9	0.594125249072381956	0.0495163786751892238
a704cd7c-f393-4d90-9db8-b3c2a835c2a6	0	0
e4087583-46df-463f-8187-ba29cad00c11	0	0
20996085-248b-4b08-ab26-bf6636f0027d	11.1837229437229446	0.932088749206349321
068870a7-b710-40ab-b54d-ea677c8a4adb	0	0
65992b6b-ca11-4186-b8ad-9d760d6cb48f	0	0
cfd431cb-2624-40f7-82d8-84e409f7b91a	17.1436818181818182	1.42881158833333344
31a6aae9-6ec0-41b7-886f-c6fabd3be491	0	0
59fc4f77-b5cf-4d01-8eec-6dd4cfdb7fe0	16	1.33349333333333342
fad77fb3-d51f-4b97-aebf-e4f9104c01a7	0	0
1063a147-0055-4ac7-8154-4550a31e4689	0	0
e8ed1730-3c4b-49ac-8222-1f5c38031b04	0	0
1f5a1760-cbd7-4f77-a423-1f559efc5271	0	0
377fb776-e18f-4132-ba77-f95a7c4e346f	0	0
f030a4d5-1bde-4d84-b5da-8b46fe423fb8	0	0
b8168372-78a6-423a-b2f1-9b661a170fea	0	0
5fef183e-51c8-4727-a5e0-852b018c5464	0	0
ade13055-ac88-41d7-a26b-2852ddbcde10	0	0
ac8038a5-b55c-4658-b6c0-359162e644d8	0	0
547e3a31-f7c0-4aa4-80d9-54363c7c43e5	0	0
1f9e2bbe-a344-4d99-b4f9-33697b107fba	70	5.83403333333333407
96d7bf53-d702-4b96-8fd3-bc8d4b566508	0.594125249072381956	0.0495153884664407615
1627197c-4a75-4b7d-83cc-889e4758a062	0	0
6acd90b5-1844-4c90-b1a7-1c82be85c9c3	0	0
a4905a08-1b2d-4d28-aa5d-7f955349985f	11.1837229437229446	0.932070109668109659
5b693cd8-e817-4965-9366-5b6631170a9a	0	0
fb31f5f7-39f1-4e58-880b-411a7a7af941	0	0
c424930e-b6aa-4265-908c-8a0857890bc2	17.1436818181818182	1.42878301553030296
09a4388e-9399-4fa9-908b-31b6f3fac01b	0	0
cf1ba138-36a7-40e2-9b01-05c352ba41bd	16	1.33346666666666658
2357e89b-7d1e-4a66-9892-cf58c464d890	0	0
a69e045e-eb5c-4291-847b-15528e45570f	0	0
e519c2dd-6889-41f5-a936-51de239af006	0	0
2e449d20-bab8-46c9-9921-f6c4122b22c0	0	0
3d3711fb-e944-4081-8e79-94db8f4e36fd	0	0
ebd1f7e7-ef64-4fb2-b162-b2aa2367d2a7	0	0
f9550be2-dd1d-45d2-bd24-4f370b695da4	0	0
cf2aa92f-63be-497e-83fd-00d04717f39d	0	0
4f624acb-db8c-4629-8684-74195ef7dac4	0	0
2c6e57d6-3f87-44d1-9ac1-1cc76844f719	0	0
27d6ecb4-c8ad-4dac-93ce-a07f76fc4006	0	0
de7e8fbf-1424-44da-9307-09875ecdb442	70	5.8339166666666662
8001d98f-2524-45d3-989f-fd669eed0c98	0.594125249072381956	0.0495153884664407615
01228286-e38b-492e-a24c-850c7d3a4515	0	0
2c984124-433e-4a4c-b8a3-acc63b6c3b5a	0	0
63f15fb3-a322-49cb-9a3c-3db9bc0fe307	11.1837229437229446	0.932070109668109659
f908dda4-fd6b-417a-bcee-001700f6b177	0	0
4b590e9e-8f89-44cf-b665-0b03dee93bbf	0	0
20c5d698-70f8-4618-b237-bcab221c0e8e	17.1436818181818182	1.42878301553030296
7234d052-1f61-4bf0-b7ed-aa2adfc1d89f	0	0
c9c91019-0fdc-4a13-acfb-263800713ca3	16	1.33346666666666658
38789b70-1859-4042-ab27-8e0aed1079fa	0	0
2073cece-804b-4010-bf41-22bdb79315fe	0	0
0a1d9f7d-d509-4364-9a82-3a46029f0c53	0	0
bb05148b-a7cf-4f87-9016-70ca6328be91	0	0
0796f73a-b4e4-455e-a646-1a1500425c58	0	0
84c277c6-d45d-4ab7-99d8-549a37639617	0	0
12747ee5-e160-42a1-b9b0-d00a3666c0db	0	0
139e75b2-7c5b-4a73-bd58-0b02ebaec9a7	0	0
6e0c2da7-0160-441a-84ab-0648d8406a16	0	0
c09dd9c2-26f4-4bf1-99e7-1eb53f797c3a	0	0
3c97883f-1f7a-4e4e-814a-65b60d24b090	0	0
c3fa70aa-f68b-40c9-b2ee-5931a4f5ae54	70	5.8339166666666662
323bf5f3-455d-49ff-8b53-b641e5403cd0	0.594125249072381956	0.0495109325270727263
37ab747d-c0d2-4ce8-9b71-5d4e55b8cb81	0	0
dbd020e6-38de-4bc3-8f5d-7afb0d399c8a	0	0
83e699e3-10ad-4df8-8e8f-87a70c24d20c	11.1837229437229446	0.93198623174603179
bf821e1b-adbb-4840-9107-167c3e66656c	0	0
e67fef5b-8d2f-47a4-9c1d-02a2b3c901a0	0	0
be805283-9789-4717-8b72-d82792075300	17.1436818181818182	1.42865443791666658
07eeb2f5-2efb-436a-a283-14851d98a598	0	0
790f6ae6-f8df-470e-9594-854653c120d0	16	1.33334666666666668
f96c5198-0f0e-45c8-bc6d-9b00d06d8db0	0	0
865c8fc1-b096-45da-b745-6495f6163c6b	0	0
64bcbf07-b663-400c-95b8-7bfe622b6e03	0	0
42867dbf-e816-4c9f-adfb-cb0160f4f3a8	0	0
cc5cf813-cb5c-47db-b537-e4c6e32ba58a	0	0
1ea60dbc-1c73-4e04-bcc5-e1f5ab8bf0cc	0	0
792cbdb3-0503-4278-9082-cd7b8e66d73d	0	0
b81e35ce-7e01-4a60-bcc6-490da2865f38	0	0
a7954727-e817-4358-8469-0bcaaac7eabd	0	0
7b74445e-39f2-494a-908d-938e4bfc2464	0	0
a261fb26-794e-497d-9632-56bf56ba1680	0	0
41774dea-a9c3-4725-8b38-f822706054a6	70	5.83339166666666653
d1faa9c4-10b3-4321-9cde-9ae314d1814c	0.594125249072381956	0.0495168737795634445
0a8a64f4-6a9e-490d-843b-328e6c579635	0	0
20940baa-1c4e-43b4-8086-3d8ddbf12b37	0	0
6eeca07a-737d-40b4-9cf3-3e724a58313e	11.1837229437229446	0.932098068975468985
ff2ebfac-ff51-41f2-b7c7-9c3077a47750	0	0
930d9cb2-b4ee-4446-812d-fe02bf41fbff	0	0
319cda91-1648-4465-8895-831fc2567916	17.1436818181818182	1.42882587473484834
57155814-9990-4582-8bd3-5fb8fbad81f3	0	0
affd82db-5ec0-4ded-83c4-867c6a18cd2c	16	1.33350666666666662
6492a50e-ee8c-465b-ae0f-a4f7b538993e	0	0
3738b438-90e2-43c7-909d-ac059c445317	0	0
40cce9f9-b6d5-43d7-a0ab-7347b4363ddb	0	0
01af5056-83b6-4d13-bebb-361d2859e0b7	0	0
8364bdde-978e-4e3b-ab52-9b323c11a3b6	0	0
4b11d53c-af01-49f0-9f37-6d754b29ee4e	0	0
51a22a27-b59a-4d51-9f51-0013851cd3d0	0	0
483ff9ae-93e4-42a7-a0ff-5c7bacfa8512	0	0
702d6d4e-b3f9-4409-988f-d83700298085	0	0
d80402be-7f73-4f0f-bea1-20ed6cd59400	0	0
2665f70e-9263-4bf6-adea-e6a1cfcdd4f4	0	0
2e175e3f-ef75-4486-bf6a-6f002313cddb	70	5.83409166666666668
65cd9d35-3825-42af-a5fb-39aa1d290875	0.594125249072381956	0.0495115926662383563
95b20c19-c5ba-4b21-a1b6-22991c189dd2	0	0
f744bd89-c270-449d-8340-fc1754be9f08	0	0
18764b94-8283-4142-b5e1-c0a63e9cf48e	11.1837229437229446	0.931998658104858158
f780495d-1c66-4278-a887-6005e26e8023	0	0
b6e5fc11-08dd-4fcc-9431-d0473cab5227	0	0
6aa8110f-1254-49c9-b1c7-8a9885a9859a	17.1436818181818182	1.42867348645202008
273c2336-6bf6-494a-bdb7-f3dcb73091b8	0	0
995e1e06-ed6b-431d-95af-3300f4c635c2	16	1.33336444444444435
7de99d98-7fe3-4be6-8354-92d7c12a4c00	0	0
dde71a62-afad-46cf-acd0-86e41cab808b	0	0
376b7ada-0e7e-4f42-a1e6-0550c42091bf	0	0
a5e018e8-7fa6-4d87-9b45-7ce6b49dd3a9	0	0
4de72377-efee-4547-b8b4-d44e9d245a13	0	0
6f15b4d5-7b8e-4f8d-b810-9023b8c35c41	0	0
94b60a6b-3920-4082-9402-94ac5e79de21	0	0
cc9f261b-14f8-43d0-9b85-4ae88506b761	0	0
8b781ca3-0d8a-4b0d-8843-285e5f32424d	0	0
42dd0874-760d-4366-8801-a32a77eea75c	0	0
8dcef838-6c55-4857-a3c0-716d443aa0f5	0	0
fdf2d631-28a8-4124-bef3-6ce3d732c343	70	5.83346944444444393
8484a5a8-7e8b-4735-8a92-59f49efb4383	0.594125249072381956	0.0495125828749868185
bdd8621f-56b0-4ffe-a1b6-77265d2df929	0	0
5b94dae5-0d97-4b5e-9d1e-d379c0229669	0	0
4989219d-bae1-4a95-ab3d-71cb487e05fc	11.1837229437229446	0.93201729764309782
4a9aa607-eddd-4760-aeed-62678b72695b	0	0
f7b5f206-9002-4ed9-96b1-fb2d954f1b60	0	0
99046902-73ad-467e-8979-cc9f07970f59	17.1436818181818182	1.42870205925505056
38d80c20-a43d-465f-bd4c-5707ad6973cb	0	0
4746a5f9-63b7-4e3f-9427-0227c050957e	16	1.33339111111111119
8caa8caf-eb99-457a-8c4d-1429873dd8be	0	0
44a7c94c-0b85-4587-b3a9-fd24e7968daa	0	0
7fa8ba29-225d-4b5b-a0aa-ec9b79ae1633	0	0
1fc6a1fb-f55f-4814-b1d4-933ed79354b5	0	0
43353316-3abe-493a-9a69-ce1246965476	0	0
dbb96750-010e-4f14-809f-0d983734e2f0	0	0
0dccf5c2-f405-41f9-b132-b85110117bcf	0	0
732bb71d-cfee-488e-a0db-4baccd002d79	0	0
c663595a-b525-487d-a895-1bde5d711506	0	0
10158f86-f716-4234-96f6-f45f6a050a0e	0	0
1f50a0f4-9080-42e2-a926-ab0a62232aeb	0	0
fb2b8957-b122-47f2-b3da-e2d57b9b0d25	70	5.8335861111111118
faa368f2-0b30-4b04-8b8f-cc9f400b9114	0.594125249072381956	0.0495148933620665407
89f67646-670d-4f1c-9d5e-31b05e9f2ea0	0	0
d5a429d1-1304-4f01-aa78-b2edac7b6cc4	0	0
2e9c103a-17e3-4920-b852-ff772c49b5ee	11.1837229437229446	0.932060789898989994
10350bf2-ff15-450c-a459-31151609a2a0	0	0
f31c4733-a67b-4857-a282-e376e5d09c14	0	0
5dfcf3fa-f21b-4b01-872f-bd88eb1dc3c8	17.1436818181818182	1.42876872912878783
57e2d921-c930-49bb-95e4-21622164dad8	0	0
6d511fb0-6a23-41e3-8db0-9e7e86bdd2ca	16	1.33345333333333338
e6910cab-5971-4aa1-ad96-cbf36faccb32	0	0
2859944b-3b29-4457-845a-8aafdaa469b4	0	0
56e0a832-e046-4fea-a244-4a8e59c2cf00	0	0
6d6a66ff-bde9-4f0c-9313-e2e8bfad91b4	0	0
81dd91f4-8421-43d4-98a7-622a272a247a	0	0
502f31c0-5d5b-4774-8934-acf0fb761b9c	0	0
7faba5ea-0b0d-42c1-9553-cb0b1e5fbccc	0	0
d277adea-40af-4e05-a10f-c08b866e8cbd	0	0
48b096c6-d9fe-462c-baee-51552cb810e5	0	0
463f4b0b-5680-4814-b33c-1d8ca5e27638	0	0
5fb25a11-ba39-402f-b5d4-4b7c9a8d2d85	0	0
4a0b9803-aff6-46e2-a081-aeccb34e4030	70	5.83385833333333359
365333aa-c048-44e2-b8d2-833f317c4ffa	0.594125249072381956	0.0495079619008273603
b6395b8e-d876-430c-a782-c2014e8b31d0	0	0
f29d9864-7d46-4f7c-a15a-38bf2b97c39c	0	0
cb0acf5b-67d7-462c-a8f6-2893e08b30e7	11.1837229437229446	0.931930313131313137
9161b8d5-2cdf-40c9-b00d-1f43d936ce71	0	0
dff59663-a04c-4cb4-ac1f-1b9646bfe1b9	0	0
bd7545e8-8aaa-4a2a-997c-fde9b5d712e6	17.1436818181818182	1.4285687195075758
0f6eb3a6-7cb0-428c-89f7-999d3c256e35	0	0
3ef0b3bf-1274-42c6-9c3c-82fdd6e6199a	16	1.3332666666666666
01ec59e7-b45d-4b70-8693-6ebc190e6108	0	0
9b5668e9-767b-419a-91cd-fa32a3d6722b	0	0
1cb92e93-8d77-4056-b6fb-709731ae55c2	0	0
9d7f3ecf-9e66-4d5f-a85f-fffce42d9d94	0	0
a482b319-be6a-40b0-b733-34aca357542b	0	0
03c6c4bd-37d7-4afa-b511-f350784534b8	0	0
fa9e55cc-4f37-444b-afd2-72ac2a52517c	0	0
cdf2fab4-938e-45e6-ba6c-22df950bd8ee	0	0
c64725e3-dbb1-45d0-a64a-5d32e36f9bc8	0	0
8487dfb9-6cfe-4c57-8bb3-e5e8082f96a6	0	0
5597453b-2fdf-4680-98cd-fa5c623550d7	0	0
063395ed-5400-4376-92fc-3b40f21cec3a	70	5.83304166666666646
3b4301fc-42f2-4928-97d8-f482eb3fa599	0.594125249072381956	0.0495163786751892238
397cde24-7bb9-4045-ad45-7c2c6a3e4a17	0	0
5cdc1de4-045e-4c66-951c-bbbf0c374b53	0	0
ca9c46ab-686f-4b5e-887c-3ee8c4b14879	11.1837229437229446	0.932088749206349321
005acc92-bc54-4f91-a795-10cd596c7409	0	0
fc1b24c4-7186-4a64-a441-f9d104f7bb4c	0	0
c2e44f77-5165-47aa-af34-e65974007c96	17.1436818181818182	1.42881158833333344
66874ef9-e433-4761-bdb4-cb469a3457e6	0	0
081d8051-3586-4d35-b98d-6d087a4f148d	16	1.33349333333333342
8068b81c-194e-4f47-b219-edc126c553c6	0	0
58bec5cd-4300-4177-af46-749f2d198859	0	0
bc076505-e171-4fe1-a604-d956d5932871	0	0
fd00baa6-e026-400f-b80a-022651b1c326	0	0
2e47b234-e639-49d8-9ead-d584445611ac	0	0
af8c0e05-ebbd-4d4e-985a-05cf0d346e71	0	0
038509da-7535-434c-a89d-0430d2026ef7	0	0
2561e591-6932-4cb8-ad4d-6932448fd3d0	0	0
f8310901-3c6d-438c-a2f8-dcc19c4466cf	0	0
a66d8bbd-a113-458a-b8b9-924185027c40	0	0
52363448-f4b2-47bb-b36d-4469caf29f30	0	0
ca0ca4d0-c214-46a2-a941-35cbdc9b6e33	70	5.83403333333333407
c0d06459-4307-45ce-ac96-0fbddfaa826b	0.594125249072381956	0.0495170388143548537
1be521ad-a4aa-446c-9c14-de37093b0440	0	0
6dd80b0c-a024-41fe-ae20-39dae44e5bc6	0	0
df6fe9b5-b1ff-4e5e-9a8e-ceefc1742f61	11.1837229437229446	0.932101175565175577
984ac323-a357-4b36-972f-19061b8f6f02	0	0
dd03850d-3f81-4ae6-85fe-56bf6c055a92	0	0
90f0c732-f050-49c5-bde7-1203510d80a5	17.1436818181818182	1.42883063686868694
5595be20-997f-40e7-bb20-7ef8e7d1b19b	0	0
d1ce8c50-a6a4-4c98-8065-996cbfb354d5	16	1.33351111111111109
b93d651c-eeff-40c6-ba69-ff852d8a010a	0	0
0c0c40b9-6d89-4682-91d5-1e6d9d473b17	0	0
b8d72046-9051-4680-b24a-3c289f597372	0	0
898c187f-3df4-4612-9293-9f0c6e84a359	0	0
98f24123-f689-4ea5-bd79-becc495eef93	0	0
f42d0eda-abde-4486-a1f2-0fdc49dbc540	0	0
e84578ee-c72e-4833-af48-773c02f90105	0	0
c6aac9e5-d5fe-4977-aa2d-f25ef7750b8a	0	0
c1a9e4ee-9ffa-4504-9b45-de45489829d2	0	0
01035899-4387-4cfc-9f83-c4351f8b129b	0	0
12690d5f-a8e4-49f8-b16f-991418806b20	0	0
259dcbe2-7d97-422d-825e-28fe8ed0eb93	70	5.83411111111111147
54e687d4-0a20-4084-be86-34e76aa53e74	0.594125249072381956	0.0495112625966555447
1de0b944-ec26-414e-8410-a68095f769fd	0	0
3de70283-eb95-4bb5-a344-adc80cb708e2	0	0
deffe4d4-3b54-4d5a-9f36-26b5068c2453	11.1837229437229446	0.931992444925445085
a5bf6542-75ec-46ab-936c-a196832dd840	0	0
9e3c40b3-8ba3-493e-b8ea-79437b1c509a	0	0
c9750ea3-5e30-4183-987c-827bc33f80a0	17.1436818181818182	1.42866396218434355
6fedf66e-67e3-43d9-9231-175a0b9a751f	0	0
881e4e59-b3d1-409e-96c8-1ac1af608dd0	16	1.33335555555555563
1d374cd6-b88e-421b-9918-8086b605e688	0	0
d0353372-2471-48eb-a5b0-b8694f9db647	0	0
98466d9e-27c8-47ba-99de-9a04d30f61cd	0	0
7f7cf8bc-2227-449c-a29a-926988ce501f	0	0
31fba22e-b2ce-4d8a-85c4-6e9330e6ab95	0	0
4386352c-eb2b-42ab-afbd-410a90838ca2	0	0
74d127be-bf18-4953-aad7-864714bdaed7	0	0
78988415-8d56-44fa-a210-2fdebdd1e6ce	0	0
caa79170-4f9c-4edd-87db-b788ccccc550	0	0
1215901f-7a23-40ef-859f-862f5b788bd0	0	0
5bbc4bf8-5f09-4716-9b4d-2e21a8f1cc6b	0	0
87144836-7b02-4e5a-84c5-8902bfc83837	70	5.83343055555555612
43d388f6-f5ed-4117-9658-de99ba9ee973	0.594125249072381956	0.0495155535012321707
6bbc026b-c397-477d-a7ce-1002906cb057	0	0
f874f3f7-1b65-4410-88be-0ec470db66db	0	0
b9f8b775-6c77-486f-aa0c-272e125e0adb	11.1837229437229446	0.932073216257816251
80c89e74-aa02-45db-b5ab-f59e89066633	0	0
cf0876d7-31e5-40ad-8f5b-cdc240d4c441	0	0
e2a9176a-8c85-42c9-be42-3b8cd29d6a2c	17.1436818181818182	1.42878777766414133
2ba287b6-6083-4cad-b85b-e9757a8bedf8	0	0
898c6e98-5cc0-4199-a8e4-b2908f3ea0ea	16	1.33347111111111105
c6e1b9b9-ed88-43fd-b7a4-63c8e6fcea07	0	0
f84426ca-0893-47df-b924-3aed214a505d	0	0
41144a4b-71c3-4022-b25c-5f1472145f8e	0	0
9559e951-49c8-4cb3-97d1-5d326207c066	0	0
3fc87925-ad4c-4c98-9f51-66c8155a1490	0	0
93d4b056-da1b-4092-ba71-bb4c296a4dd5	0	0
b06117bf-aa31-48c5-9c22-c6b8ba9939a9	0	0
f7a6fc29-b85f-4fac-a5a5-2b35b87a5bb3	0	0
b8abc73b-1a6f-47f6-a9da-059ae6bbf1ce	0	0
b67102c7-fac9-4cfb-a374-9b74a40e5bc2	0	0
39cab45a-6fc3-4091-a36d-b856f016c8ab	0	0
1625ae7b-fb77-4f73-bcd0-a591c45682d6	70	5.83393611111111099
7ee71831-64cb-4cfa-a650-3ee4637ac520	0.594125249072381956	0.0495125828749868185
6944605b-59b1-4287-bcda-4f09f9343347	0	0
5969b853-c5d3-4d65-9a6d-b4a2b177310f	0	0
23e16fa9-9575-44cd-b392-3df62489ce36	11.1837229437229446	0.93201729764309782
282adaf3-c68c-4d69-b0ac-df90cebb7006	0	0
3c82a6ee-1fd9-418c-9309-05bcfc3eb2e5	0	0
a8b936fa-990c-454e-a539-c59cc0d3b4bf	17.1436818181818182	1.42870205925505056
d2af88f7-c497-4263-a25d-fd57f0dc03c0	0	0
75b62c94-121f-4102-a6b1-db2d73d49326	16	1.33339111111111119
1f6bc284-c26c-42e0-a0c3-8831adc89ae5	0	0
3acb9525-e1fb-489a-823e-5460f9e4dad0	0	0
d95f73f2-e3fb-4392-86dc-3cc8231afc9e	0	0
8dd34c6b-8576-41cf-8aa5-98cb0dcf2767	0	0
2fac1694-1d1e-4ec5-9929-63034e85f06f	0	0
fc421ecb-720a-4780-bce6-6465c81d9ed4	0	0
5e86c54a-d54d-4770-8c92-2fbec3f08177	0	0
5b76a541-fc38-4d01-942f-7e973b555875	0	0
b821adf6-7cf9-45f0-b9fc-89a30d140c67	0	0
858b2ebb-8a35-41c5-b001-b1627144452c	0	0
fcc71e68-fea7-41c5-bb36-32b2f141a653	0	0
5c166c13-2415-4571-898f-77ee33ed08c3	70	5.8335861111111118
f5177d10-cbdf-4b7c-843a-5a0084c22ceb	0.594125249072381956	0.0495147283272751315
b9db1a45-6d03-48fc-b584-316c38356b11	0	0
dc0a200c-f4c6-4f84-b4fa-cad3455e6d5d	0	0
d981eb75-a8f6-4b55-ac0e-322d7dfc4425	11.1837229437229446	0.932057683309283402
214aa44a-edf4-4251-8aac-41dbff4ef0bc	0	0
64757100-aec5-42b6-9e86-6d29903487f0	0	0
eb44b3f9-146d-4b4c-8f74-1982294a7f19	17.1436818181818182	1.42876396699494945
57088aa7-f9aa-4b6b-8864-2c0fdc68cef8	0	0
a2621c89-a8bc-4176-aa63-6587c710fb5f	16	1.33344888888888891
6166efb2-5db9-46da-8a4e-b1b76d3f0592	0	0
2a5f3bf5-28c4-419c-b4a6-73b342bd9793	0	0
c625868c-1288-45e8-9643-87cc7b678eaf	0	0
e74d2c35-000d-4404-acd4-b35059cbd836	0	0
75be6432-79f8-4e0e-9b1e-087eede20b4a	0	0
d2ed7efa-45bb-47f6-9d56-13d70c832e50	0	0
4984ee98-4f8b-46a5-ba0b-39e4ae7542b6	0	0
3d4c0a33-1090-4923-bb7f-d198f507f206	0	0
92573346-da15-463e-a81e-039b978ece5e	0	0
6c331c5f-8f20-470e-9934-e6daa9a73776	0	0
e826acb6-9163-44c4-8abf-5cfad679991e	0	0
66340f16-adc6-4a16-a0bf-1cac967e29c8	70	5.8338388888888888
5f7615ea-b008-47dc-929b-d64aa07383f9	0.594125249072381956	0.0495143982576923131
83417245-b494-45d2-90e1-5c26aa849785	0	0
8f13bcb2-f859-43c9-830f-5d7aaae298e2	0	0
87247f34-f47a-43cf-82b6-f1d4ca2dd04c	11.1837229437229446	0.932051470129870219
4dced74e-10ba-4139-b934-db5c1df775aa	0	0
19aee4b4-ab39-49c5-b9af-5cc02aa381f9	0	0
194c3caa-1806-4c78-9110-c7bb304c3114	17.1436818181818182	1.4287544427272727
bff64ec2-f5a3-49d6-8773-1d70bb3b8f33	0	0
8a2ddabc-6764-4756-8c91-7da3656c426d	16	1.33343999999999996
4a763758-7fb4-4fa8-b00b-8f6ca8c89740	0	0
0002e652-679d-46cc-89d0-7d2fa5d59669	0	0
b0271d32-8585-4d9b-a2e5-fa0724f0a917	0	0
4abe449b-53d2-498a-baca-3512daa48081	0	0
bf565a7c-16b1-466d-a0e4-a245986e4c17	0	0
b7ec1193-51c5-4d6c-8b86-d1cf559fb7f7	0	0
7af018e8-261f-4196-a25f-9142095c86b0	0	0
ef8e9ff3-6b14-4db8-88c1-43a13cf0cf47	0	0
30e4484e-12ff-41ac-a17d-9796c11c2e9b	0	0
40d636c6-951c-4aad-9d87-47da1b188d28	0	0
09ca1f67-be3e-460c-8e60-6dd45362b89c	0	0
0daa3469-288b-4db8-a0a6-0154d08efb85	70	5.8338000000000001
d88009f2-e9bb-4fc2-ab16-d3ee8e772bc9	0.594125249072381956	0.0495147283272751315
c81dcc4c-d51c-4971-974e-cdfe82c42501	0	0
4f11dbac-28f7-4c94-b2ee-407a65d17bff	0	0
a41f0537-2171-4054-84b7-9102d8ef1553	11.1837229437229446	0.932057683309283402
0949f4dd-82ab-4d28-962e-35ba1be3c81d	0	0
383f5f88-2245-4b46-8fa8-de9ef8413ddf	0	0
c6539562-f6a8-4714-bce7-0d5c7cb0e352	17.1436818181818182	1.42876396699494945
0f975746-87db-46ca-bd09-778a781e6a0d	0	0
4ffc53f7-6a74-485d-b1dd-fc11810b95ce	16	1.33344888888888891
26a8fbbc-71f3-43c3-88db-982e0b667315	0	0
ff31fd0b-cacf-4ed2-bf4d-8f387505c4e1	0	0
deaca90e-80a1-490a-8cd1-415ebddff93f	0	0
1bfb49a2-68aa-460c-97df-da23e416090e	0	0
f78e61bb-b75e-4425-8fe0-3d4603f402be	0	0
fb160414-a7eb-42ce-b1b5-9d6573278926	0	0
d840829e-372e-415c-97a6-89582d4e6d3c	0	0
b715f334-27f8-4cc8-b2ee-c5ad4553d88f	0	0
fad89ef0-700c-4202-90f1-ffac92344f98	0	0
ec9c6fde-0384-4b52-8a7d-55224440d664	0	0
f0245efd-03de-4ece-abd2-dd9d21cad6a3	0	0
a2d572bf-6d8e-4f5d-b34c-a4e06d5a7291	70	5.8338388888888888
5c1775d2-4d11-43c9-90b4-8005170c2640	0.594125249072381956	0.0495119227358211747
3bf9d64a-f74d-496b-9c6b-0a01bc8c627c	0	0
e2e649ed-54a5-4dfd-bce2-44194466e19f	0	0
5ec9a9fe-36c4-4ca3-a2e0-cebb6c2aa7db	11.1837229437229446	0.932004871284271341
3efd18b9-7ed3-442a-88d5-02654e58b232	0	0
9cea632d-4376-4d5d-aadb-498ec3d1d52f	0	0
5e282212-022c-4062-9d85-f0334aed84f6	17.1436818181818182	1.42868301071969683
99797eaa-87d1-44f4-96bf-36faadcb0697	0	0
cde204a1-4389-4631-a251-e72623aaea5b	16	1.3333733333333333
86877c7a-5e74-4c5f-bb90-3443f52bf36d	0	0
8a20bc13-02ff-4486-928b-37b5ffa87f96	0	0
878b04c2-3e1b-4471-ad04-688abe94fd0f	0	0
7404b8ad-340f-4daa-aedc-4f22f512a75d	0	0
b6e84697-c1a5-4700-b653-69381c3f2ac8	0	0
141393c4-c2d1-46ff-9516-20de99e15994	0	0
ad74231d-c541-4673-9263-c95efa2c6145	0	0
16c0d4f0-1dd0-4472-92b1-9523507885be	0	0
03fd9481-b87a-4031-840b-7f6577cffa71	0	0
ea02d030-7e71-4ff1-ad3c-8304873c9d6e	0	0
7f36d3b1-304b-4901-b389-be9b2845925a	0	0
64699ce1-4422-4d07-9604-c5d2dc00805e	70	5.83350833333333352
24f8bb1d-b770-4f5a-887d-c54f2f214338	0.594125249072381956	0.0495160486056064053
429bc65b-631e-46ad-8dd2-9d6570d3a4ba	0	0
66177793-9452-4a6d-84d4-5c6dd0d27fe1	0	0
897c1067-4275-4579-bce9-86ffa6b41edc	11.1837229437229446	0.932082536026936137
d3b64902-3a6e-48c5-bb19-f650e7e6607c	0	0
38625502-4cd3-428d-86f9-232ab44e1c18	0	0
67b07a4f-fe80-4707-a3fb-ef9a9eec790b	17.1436818181818182	1.42880206406565669
157ec57f-4408-438b-937c-1a6a9d8e05d2	0	0
f65ed30b-9356-43af-b7be-c5665cbe813d	16	1.33348444444444447
87ca0954-1fe3-4126-8e09-a87768740269	0	0
d5211867-cf3d-4d40-8134-a986c99901d5	0	0
200b9228-823e-459b-a13d-4af20dd60402	0	0
48c24acf-a202-40be-89ad-92f9722e99c4	0	0
013aebf9-7555-40f7-9f6e-910d356bbc08	0	0
e3e0d767-f4c6-49d3-bdfa-7c3779040cdb	0	0
4a4f43cb-357e-4de9-aecd-29571446474d	0	0
9a634034-596b-4fe5-b975-d2401c7edbde	0	0
62715b78-b931-413e-861e-2c480a411d37	0	0
be8b5456-e902-4f61-b061-e85651ddefc6	0	0
a9346a05-063e-473d-bb06-ea993bef1cae	0	0
b460a518-3d81-4351-bfd7-94b967cc5a43	70	5.83399444444444448
a98c8101-06b3-45ff-9ecb-33ee13580659	0.594125249072381956	0.0495125828749868185
6596153c-fd48-4617-b424-581caaeb17dd	0	0
82ce0e22-6c31-41ea-8ae1-54f77d598416	0	0
6f3d8a13-b8b9-45de-be63-c327c6e6b78b	11.1837229437229446	0.93201729764309782
ddf2ea3e-705c-442f-94d5-2cf8c3429b80	0	0
79feabfe-e1ed-4882-9157-b38921cbe298	0	0
b5274ad6-5675-4fc8-9e3b-59feeedccf2a	17.1436818181818182	1.42870205925505056
6c038f6c-e7b1-46e0-9544-9e941e738a1e	0	0
0e6b5b00-5910-4775-bd2a-c0cc950e985e	16	1.33339111111111119
3769daa8-af9c-4483-a32f-1be1c0c608fe	0	0
510d0799-62ff-4263-ada1-4afe70bbbdcf	0	0
397a2592-d772-440b-9c19-ab0454af7408	0	0
408732c5-4900-4dae-8207-dfd5dd516284	0	0
8a53bfa6-35fd-4032-b86c-747ad4c53098	0	0
6f644481-c979-4a80-8e2b-f5a426dafb18	0	0
3cc6fffa-082b-4c16-84ad-dee941f87eba	0	0
2cb9dd66-2850-489b-96d8-7f9b97b7db75	0	0
89fb43c2-5146-4dc5-a257-4316b03e8dce	0	0
88987fb0-bc8a-4698-a1fd-9084252b69df	0	0
37c80f3c-7dfb-4e01-9791-96405932cd05	0	0
f6df3957-26ba-4216-9bfd-b916a93ebbcc	70	5.8335861111111118
63170b12-8264-4c3b-ba9a-e38ee12d29ad	0.594125249072381956	0.0495167087447720353
aa4233a1-15a6-4a8c-bf5e-ced44107e784	0	0
56fb93a5-804f-40c2-93e1-15007cb15159	0	0
7dbcdd5d-140c-4743-b7a5-fc9c7a090558	11.1837229437229446	0.932094962385762393
d5fc5f25-7bb1-4991-a4fd-d0f57209137b	0	0
559cd058-1c0c-47e1-ad82-d09db599998e	0	0
48353dd9-bf9e-4bbc-a530-f2c4d8d294bd	17.1436818181818182	1.42882111260100997
7caa6cc7-61ee-4da4-8d6b-742a43143d7a	0	0
66ea949a-746e-4b0f-b4eb-4516cbb4b903	16	1.33350222222222214
600023e8-b46f-4c33-879e-916d098ba678	0	0
bc2cc646-8abd-49c2-834c-c232f3992e03	0	0
4abc17f7-e829-4f58-b318-e623f4866bb6	0	0
115ef65d-a2c9-4a7d-b678-2473bcfd20dd	0	0
f07acc57-df82-49e1-9710-94eb94d4171a	0	0
7a304317-5d6f-4101-9417-152cb3327967	0	0
7f1410fb-f0e4-450c-9d21-868d1642c62d	0	0
e10afdc7-0484-4e8c-81b7-531a25cbb812	0	0
dd88ff4f-84fe-4687-b35c-6386149b3ee4	0	0
291f9459-5a1a-495c-95b1-4071265b4668	0	0
f7ec8ea8-c6e8-4873-bd5d-911bc0c5e478	0	0
ddb5da13-7cb1-4d83-944d-207cbd4b99db	70	5.83407222222222188
52ab96f7-5d00-4e09-a498-4657adafd014	0.594125249072381956	0.0495115926662383563
545a2d9f-b6e2-485a-9be5-8459da3650a6	0	0
9ad2f6cd-ee6f-4f8a-b3db-9fa74162e5de	0	0
3e9f8f53-9310-4a55-ba50-e47aae627f23	11.1837229437229446	0.931998658104858158
9c68c427-605a-422b-ac2b-f1ceb420d1d8	0	0
6cff67aa-fe8c-48f6-8878-1c910efaf7da	0	0
b72c75ed-f606-44b3-ab71-6387ea9a1ea1	17.1436818181818182	1.42867348645202008
77aa26ca-27c1-4b3f-a3ed-4e50eec04a7e	0	0
b667f96e-932f-4559-984f-3e18941e8b8c	16	1.33336444444444435
6f84001f-eb31-404c-b503-5b9e3946f530	0	0
79993476-156d-4987-b719-d18456c83e6e	0	0
af6db2bc-c9ff-4d02-b949-5dc7bd6f17fa	0	0
441b3284-e33c-462f-afb4-376d5628878f	0	0
627fed41-a427-4e5c-a87c-f8328e8d6020	0	0
148f1a8f-9ed1-44e1-b49e-27a63a35ddae	0	0
f0bf7fa2-7883-4ee6-a043-fe3b54e2e70f	0	0
b6e56d89-614a-49f3-b3b8-9d9b17a1bbdf	0	0
93a9a854-2b7b-4f33-8483-3308f489f950	0	0
cb046826-8654-4e5b-8f2c-7220b3887dbe	0	0
74ec9aa1-ca62-4602-90e1-78b49d7deb9f	0	0
0e6f9560-6952-4990-98ec-96d8202fe5ff	70	5.83346944444444393
7767ef24-468b-40aa-9fb7-0af63fd20e8b	0.594125249072381956	0.0495162136403978145
80fd6045-8625-402e-87df-e6e88dcd872c	0	0
d86d3494-84b7-43cc-be88-4de70043362a	0	0
d92031fd-64c5-4d18-a581-a2185940ec42	11.1837229437229446	0.932085642616642729
54f5e371-faab-4a4f-a400-78de963c6706	0	0
eeab4a8c-ddd8-4440-b2b3-9113a7cce402	0	0
6114beec-67c1-460b-a2eb-01f40a70ff2b	17.1436818181818182	1.42880682619949506
a2b25206-801c-4116-a1b7-2eae574a6278	0	0
b187711e-a36d-45ba-ace1-ecad190ff202	16	1.33348888888888895
e70d2298-7f5a-4db9-b792-e19cd27b7aa6	0	0
31380c63-8b4b-4ae0-b21f-2ff892b64c38	0	0
64c4c061-f63f-4ab6-bade-177f97deb859	0	0
fe7b437e-e1f6-42e7-9251-007b576d50ba	0	0
b7737617-542a-4a4f-926d-1c5ba1af1cf4	0	0
41d5b0a4-fd47-47f5-89ee-0475fbf9a949	0	0
0e7fb3d0-e642-4682-b694-a3106567a324	0	0
fd040f84-6252-413a-8187-3bc4c2bd8d6d	0	0
2c2f7a72-5ad8-4e0b-82ea-7d8db114b4bd	0	0
70bb9ae1-c72a-414e-b615-091ab1cb3260	0	0
921ad0ce-3e16-4474-985a-a53e6dac450f	0	0
928bb9b4-bc42-4f19-91d1-d333e8fd7112	70	5.83401388888888928
d2c5f0b1-50ea-4221-8800-dfac829105e3	0.594125249072381956	0.0495139031533180854
5cdf6e19-4e55-40fa-a458-a0f09ad01212	0	0
aafcdeda-ae93-41fc-9ff3-4c5e53de008c	0	0
bbb8cdd5-75bc-401e-88e8-479aa9735a3d	11.1837229437229446	0.932042150360750554
d0b433fd-f2f6-4b7a-9e18-0142fcefd4ea	0	0
73141fec-b205-4396-a44c-d01b44a4b538	0	0
6a818bad-a919-46f3-bea4-72c4ae57fb6e	17.1436818181818182	1.42874015632575757
624c2b4c-9096-4ec1-a0fc-a6c654976213	0	0
aaa43984-e7cd-4470-a5a8-39280d56dc74	16	1.33342666666666676
bd3c9e25-b13d-405c-9c74-853abbcc7cc3	0	0
3e9d6103-d21e-4851-85cb-52edf7e33e21	0	0
edafe7ae-ba9f-439f-a41e-141fe7c72430	0	0
db924040-3291-4003-8887-a19653e62bd5	0	0
31b05962-4ce6-4c11-bc16-a7c67742ead7	0	0
6d0977c8-c5fa-4940-b595-036237ae60b8	0	0
6c90a485-4c8b-47ab-8ecd-b4856f0c29fc	0	0
4b344567-3c94-4e49-93db-a4f47ca8d052	0	0
b805ada5-0829-4e65-891f-5cd4718917cd	0	0
55d77085-aa79-4acc-8a3f-7a1ecfad4219	0	0
9aa6dfe4-dc65-432b-b719-0a9de2c79c7d	0	0
4b80f16a-f7fa-44b7-ab79-0de018410a13	70	5.83374166666666749
3c09b5c6-f861-4f8e-a7fc-56daac664fa3	0.594125249072381956	0.0495145632924837223
eaa16b71-0520-4d65-9786-6ed0b154e8c0	0	0
4b2df1d3-728b-420f-868e-6a29a0689667	0	0
945b96da-57ba-4a19-8d25-51a16986e9ed	11.1837229437229446	0.932054576719576811
ae946e96-e325-4de6-8f5a-bc54e841ad56	0	0
8216a01e-0e82-45a9-aa13-9669af7daffd	0	0
c67b6836-2c72-4eed-a2e6-b79fdefe3ea4	17.1436818181818182	1.42875920486111108
9dfb7aa9-7f0d-4847-b6fd-c70f58775fe1	0	0
7e6e4f3b-57a7-49e4-ad7b-979c5082864d	16	1.33344444444444443
f668fa18-4a27-43f8-be9e-f11eef3005bd	0	0
1c2afa03-609e-4af4-b758-62224ca9781a	0	0
0978a1b3-2bea-4fca-91ef-949691d82af4	0	0
88bb6cb2-83c9-4d33-a8d9-3df16ecd6550	0	0
b30d7dbd-77ba-43c0-92bd-3ddea3633224	0	0
92c2c9bf-f190-4b71-832e-27b83c2b6cf3	0	0
3bb743f7-e2c5-430e-bd8f-1a86314ece98	0	0
4997bbc5-0b6d-4628-9b86-b7ad96c5bf47	0	0
cfe055de-c34b-45a7-af58-0d9dfb86a50d	0	0
9dbb7d9d-64cf-4960-8f7b-ad8e68de87d4	0	0
232bd9d2-20e9-4801-97e6-8a752504441a	0	0
619d7b1a-9522-494b-b7f0-847e8159c2b5	70	5.833819444444444
443f1928-c7c7-432e-b96b-cf2c0b1ca60a	0.594125249072381956	0.0495130779793610393
c3d01e81-1518-4fc8-8230-7355755755ff	0	0
4166e2c8-454c-4ccb-aec0-bb4a835d0e89	0	0
a174b36c-ad1a-47bb-8d1d-157cc0dd763a	11.1837229437229446	0.932026617412217484
d014e6e2-417a-4b81-8f15-0b11f24a4f0a	0	0
a9c6afc8-baa4-4155-a8ee-ff5f4df45645	0	0
3d71318c-7114-4e15-b926-ddc38aa6dc73	17.1436818181818182	1.42871634565656569
98d49195-bbc8-4fec-94e8-64039c4d727a	0	0
55ca6c12-e929-4bed-9335-6967b33ad031	16	1.33340444444444439
70909e46-2a86-43fb-9b61-c5c81ad13dec	0	0
8d1f8fc5-95f0-4e37-879f-0af9b179d73a	0	0
758f7ab2-0c8f-45ec-b4a0-c03961db7611	0	0
4ef255ff-8648-467a-9d9c-78ae089c3187	0	0
0e08e66e-f787-48af-8513-1d5eda677d86	0	0
dfdf744d-6a41-4580-974c-02cbbcfbbe31	0	0
4cab88ae-be44-4bfa-b2ac-8eeea8a13354	0	0
3ea07d4b-fe78-42d2-995d-d75d33dcd3c2	0	0
824471ec-2a25-4977-9f52-642fa04e28ef	0	0
1a1b8280-1fec-4f21-98d8-73bdf1bb8502	0	0
88c925c4-91f4-47fe-a422-b90936d488de	0	0
d4092492-23d0-44ab-be5e-2c264e20c149	70	5.83364444444444441
2481667f-313f-493e-8fbf-811a00547fad	0.594125249072381956	0.0495158835708149961
f3d3b419-4c54-495c-9319-b596a2d74872	0	0
56c97b4c-2124-4bbb-a7f2-bc937763c700	0	0
facabdd4-a5b3-466b-aaae-40cee9dd3cdd	11.1837229437229446	0.932079429437229545
934ccd93-f014-4f32-9f3a-336cad40c804	0	0
60acac37-654d-4f5c-9105-794afc7b4ba4	0	0
cd9fb2a6-6046-4902-8b5c-1eb375d6d7a0	17.1436818181818182	1.42879730193181809
94e2ab70-ac42-4225-ae52-80c17cb2756f	0	0
f2dcf158-a391-4240-bc38-013e5a26a72c	16	1.33348
8abefda5-70c2-4a0b-a080-5520e9f9adf2	0	0
9e1846fa-6583-439e-ae17-1e364f7e8d1b	0	0
9e54da33-65eb-4992-b7f7-a870985117e6	0	0
a46d56f8-4e99-4453-b11e-afe55ecedde9	0	0
a084d51b-c587-4446-9200-1e15329ba33c	0	0
81928d16-856d-4a74-a644-b4691fc529a5	0	0
f2cb675f-12d5-4142-86ce-d38a4519f539	0	0
6c59db6e-8d5a-458c-a2c0-47ee0375b5d2	0	0
06833180-d9d8-4de6-9c55-2186558486c0	0	0
1a7cee37-bbe2-4f45-b7cb-caaa1e92292b	0	0
f163474f-6021-4d62-b44d-cda3cf536609	0	0
fdf9aac3-a6c0-4fef-840e-4c7436a1ad73	70	5.83397499999999969
a129d011-e593-4217-a4b4-3922a6a8f472	0.594125249072381956	0.0495110975618641355
71390123-6d34-4337-a699-e1ac929fafae	0	0
ac10be15-53b1-4ca6-a925-0bc18f555724	0	0
65a0b089-f579-49b6-9ef5-bab6ce884c68	11.1837229437229446	0.931989338335738493
99172c2f-981e-4aba-933d-53adb31b3c71	0	0
b0c69f54-cf8b-4f98-b4f5-9faac854b173	0	0
16718dac-68e8-4df8-8a25-3d32a9fdaac9	17.1436818181818182	1.42865920005050517
b5756fa1-03e2-4a83-842a-fe2f5c883c94	0	0
29c69ec6-f3a0-4e45-a6e6-14c99fe9446f	16	1.33335111111111115
58ea21a1-1f5b-4473-80e4-7378d9bfd30f	0	0
fa51d6c7-b24f-452d-909f-495929eabefa	0	0
f3a22c23-d069-4e2d-8ce8-9417cb25289f	0	0
b7710860-b35e-4c4f-adb9-ce8bd66aab1b	0	0
ea94d8e3-f8a0-407a-8d1b-6bb9f8042c13	0	0
4bde3398-6114-45ff-84ef-1097966049d9	0	0
969265ff-a23d-48d5-a4ea-8e301132ddac	0	0
33f284b0-d29c-46ce-8d78-0fa27d72d346	0	0
fe2d0ab5-4897-47c1-bdb0-ff533172e284	0	0
451c5f69-2b73-4a17-8134-cfaa6e3fdab1	0	0
5b92fac8-e91e-4513-9abf-0a4665e07405	0	0
b77eb699-328e-4d7b-abfe-5cf4fc39c4fe	70	5.83341111111111132
959fb952-864b-4732-a445-a10acf0b1c2d	0.594125249072381956	0.0495137381185266762
1783b0fd-c0df-4748-a180-6dfb4f2d7b55	0	0
9270e44c-abd5-49c4-acfe-d9959a12d4a5	0	0
4d870a52-d7d8-4126-a63c-4fed30bd8604	11.1837229437229446	0.932039043771043851
361d44a5-8f49-48ae-a7aa-e8831a1234d7	0	0
c54773e6-dbea-485a-a19f-a907bc1f9d23	0	0
0839aba6-ecf6-41e4-94df-e9c937c88e17	17.1436818181818182	1.42873539419191919
889a07ce-e025-401c-b7e5-e81f3cea70bf	0	0
079583ec-44fe-4de1-8ccf-1bb4bd0d3d53	16	1.33342222222222229
c2b18c0d-7e37-450e-8068-f45176ae1ddf	0	0
d736a99b-d305-4d37-bbf3-6e8c66e983b7	0	0
aba47129-02b2-48d0-8a97-cf3716e9ed37	0	0
3bcf9175-aba5-48ab-ab6b-2c1fb4840114	0	0
29e7d6d0-a6ab-4a81-ad6d-ae2f97ac6885	0	0
f8737cf6-971e-4fb3-bf7c-a671ae265c36	0	0
3e764fd6-0c51-4fab-8a69-1a1f0dc7d591	0	0
212782c7-5396-4518-b7cb-df9f0f6426ac	0	0
ea31c7be-ccaa-4296-9be7-3e3a0e55bada	0	0
506b8a78-f838-422f-9be1-f1fed60c43a4	0	0
9ba28b10-39ff-48ae-b43d-589b24a8d54f	0	0
98624b29-a36c-4c88-a887-13ea2e9da809	70	5.8337222222222227
10fc4588-734b-4b6f-9579-fcdb2d51c263	0.594125249072381956	0.0495137381185266762
d641bd98-c787-4fd4-993a-73882e476099	0	0
51461dc9-4510-484c-a47f-553b1629ae0d	0	0
63184861-1f53-4cdb-bf11-759f905ce826	11.1837229437229446	0.932039043771043851
02bc6b5e-aa11-4f0a-98fc-8028fecc0043	0	0
f904ca75-4701-4d37-b247-9488a6ede773	0	0
36ad8864-d16a-4c7c-8e7a-5cbf86bea0ea	17.1436818181818182	1.42873539419191919
f705641e-1918-489d-b6b7-19b5e518b2d5	0	0
d40a7eec-379c-4fc4-9217-9f85d81dcb55	16	1.33342222222222229
727bc08c-f95f-4c67-8075-9b4841359c2c	0	0
65487e85-3a2a-4271-b6df-1bed6816a47a	0	0
9e0590c6-0f8d-4ded-8f1a-50233355df4e	0	0
96d2aa78-31da-43ed-ad9e-e7bf3f8b954a	0	0
1eaa4729-3e0e-429e-a505-033931cf0161	0	0
0c5ede43-b35f-472c-84f8-29c3aa0bdcb5	0	0
f4a90b81-64c2-403d-8b75-8216483f92dc	0	0
c0832f2f-ce5e-43d9-8056-22243f108cf3	0	0
a522be8c-63df-4197-86e1-16788384253e	0	0
9977e027-241f-41be-80b6-b7483aded87d	0	0
7fcee68e-ce4d-40a1-9e50-f20be0bd372d	0	0
e8ded949-beed-4ebd-bc3b-c62c90dc458f	70	5.8337222222222227
60cb9d19-5d5b-4b33-9f00-d68a11613490	0.594125249072381956	0.0495092821791586341
ee8b2eee-edcc-4495-816b-abf4989c4ee8	0	0
1d5ab017-0482-465e-b15d-22bf86e2f8fa	0	0
1d873f78-b210-42f4-b5f5-8063f22ae721	11.1837229437229446	0.931955165848965872
4bde9cbe-c223-4067-960a-de65c6b36bae	0	0
944503f8-a208-4c6d-a7f1-5feafd6f5849	0	0
d9d2a67a-e408-47d7-b807-e52f3220a4f1	17.1436818181818182	1.42860681657828281
d94747a2-4db3-49c9-8ed5-74c33706934f	0	0
63a66177-0d00-448f-af56-ed0877ba0a7a	16	1.33330222222222217
1afdd57b-271c-41b2-a09a-49201bc19f46	0	0
f6432d2d-8adb-4502-8fdb-49f5f1e6f28e	0	0
1a08ce52-1003-4923-9f9d-bcab974533df	0	0
b6692ce6-dc84-4923-8018-5b4ca0eb96dd	0	0
a0b57591-15bf-4f72-b1ac-b9893cd73549	0	0
0ab89912-0f2f-4c6e-8a3d-fc42ed2e246f	0	0
e0cec29a-102b-4e6f-95e4-6b0b0af4f606	0	0
32f6a4ac-c8a2-41af-b574-abcba3913254	0	0
74999b95-7680-4002-aaa8-4453a1c83501	0	0
ec211ed0-aa8a-4a7c-b731-fa5a014ec586	0	0
eaa82220-6700-43ca-be9a-e75e78a49359	0	0
38985b6e-29e9-4eaf-bf23-2b7650530759	70	5.83319722222222214
1675383f-c9b2-4726-ae43-ed84a8400a17	0.594125249072381956	0.0495751310609308243
6fd73729-6d17-4d75-a7a5-05235d09b4f8	0	0
44a9a41a-82d6-4704-ab29-ce2c83bc87a4	0	0
139e75ec-0edf-4f08-ab62-2d10218da4fd	11.1837229437229446	0.933194695141895236
0f0c6a88-adbd-49c2-a41e-9552f1e51583	0	0
be8fc7a5-5ea0-46b2-a1bf-78154f5be6bd	0	0
4caaa410-e026-43d8-b038-060e10e1f674	17.1436818181818182	1.43050690797979807
68265edd-94b5-4863-a0fe-fdb47ed77d65	0	0
e4baf079-f507-4f96-998e-0d74b3534155	16	1.33507555555555557
55533af0-4688-461f-8ab7-2f7b52e43e76	0	0
5f066b85-c090-4711-9f7b-bede251a8b53	0	0
77c72340-2e1e-45a5-bf93-38612a3e386f	0	0
77541c34-1137-4096-ab19-c8634842e0dd	0	0
1b7dfdb3-ccf9-41b9-b7d8-3c5fb6c5e6c0	0	0
8b675574-f23a-40c7-bcf3-85ab15896b71	0	0
bfb1ade4-eb8f-49e4-9515-654f83f8b97d	0	0
f0616eb2-d8d0-405a-b891-76018abd2423	0	0
5d63f193-bb45-413a-8f33-8d9a750b9234	0	0
beb1ffc4-9893-411e-8cfb-5e8a62fce6cb	0	0
d38bf92f-3bfd-44ed-884d-c68185c420f5	0	0
b0bac6e6-714f-4173-8221-63cd75868ebd	70	5.84095555555555546
680d8530-9dd4-4def-ac80-afd2b835a263	0.594125249072381956	0.0494572962198648047
1844120c-9b8a-4023-afbc-7fd9bde11aab	0	0
b89216c9-fa05-4d1d-9ab9-61d13feff1f0	0	0
ab8a200c-dcf5-407a-bc4d-23798e1bbbe2	11.1837229437229446	0.930976590091390221
fc8e431c-ab2f-4342-bce3-e2966ab22bf0	0	0
abc7de13-7375-460f-a1e3-ea24a7658473	0	0
396bfad2-ef31-4b0d-9e32-1ce573c8a69c	17.1436818181818182	1.42710674441919205
3ba13c90-d657-4512-b9b6-b115aebd6fc6	0	0
50f9ced9-da67-464e-b302-63377d8e098d	16	1.33190222222222232
b099f73a-9019-4650-9e35-716c067135d4	0	0
d3116048-b2ae-4f5d-bc07-222b74ce2685	0	0
f056ae7a-e6ee-4fda-b485-e686d908142e	0	0
eafe80b9-4771-45b3-9fec-35a7d0b83661	0	0
300011d9-168e-4717-9923-2b988ff44ea4	0	0
a45dd309-1824-43d0-a82e-224dd1d07a52	0	0
db88af4c-d584-40f9-bb1c-bdc94c84a6e2	0	0
7aa4d7c3-3585-478e-bfb8-b6de9462b754	0	0
b36b8aed-a3ed-4c4f-a733-d79ba0efa453	0	0
6eb1bc76-7aa5-4712-9e62-3368d8b3ee5d	0	0
47b90c6b-6584-4363-94aa-1095199e4be9	0	0
2f9ea3cb-9e9b-44b9-b856-5c0b80abbb7e	70	5.82707222222222221
17b6dbbf-9f98-4c43-b743-1a9770f08063	0.594125249072381956	0.0495132430141524485
e9a2d0d4-0d18-46af-8fba-531cb4199249	0	0
579871f4-731d-473a-8634-107583d4319f	0	0
7d131dbe-fe88-463a-bb90-1b0e1a1ec621	11.1837229437229446	0.932029724001924076
e5976bd8-f66a-4f44-8d32-51240895c471	0	0
a4ee96d1-3154-476b-94d3-52548a125deb	0	0
a7969265-4470-405b-a3a0-29c5f16ead3d	17.1436818181818182	1.42872110779040407
7a725513-b2e3-4e15-aa57-4d8e0b80ae71	0	0
c6f257f3-e590-4ab2-a41e-8ab2bad55730	16	1.33340888888888887
f3735546-bfe0-48c6-9cf4-a8da8a6daa04	0	0
b1823904-2792-4775-acfc-50441bbe9b7e	0	0
4665ecb4-645f-4e17-843a-ce81d1b39187	0	0
f28ee1c3-e740-411d-be8d-a279ad054b73	0	0
cc865346-890f-42df-bc81-64268002e0d5	0	0
27e62fbf-bc88-4da6-b43f-c1e4e0e2c221	0	0
f0f54964-82c4-45d7-9198-78512012f33b	0	0
4acd283e-0fa4-4109-9aeb-dffe7d3a4f05	0	0
0bd062c8-f3dd-4007-bdfa-21a5fede367e	0	0
7f6b92ce-5942-4290-b910-7289dfa043df	0	0
91581ada-65b4-4261-affe-afe4c085e2b6	0	0
ec9896aa-0982-497f-bb06-55ce20a685eb	70	5.8336638888888892
71eb6b39-0d27-46f1-b9b7-730579f833a3	0.594125249072381956	0.0495124178401954093
4a5c513d-370e-4e60-9e9c-7fe138559133	0	0
50064c47-6b4c-4555-81a9-d33a82114a56	0	0
67a9d65b-ffc5-49f5-9dcc-aad529e90ec6	11.1837229437229446	0.932014191053391117
5b1b8dec-ff62-4bc1-8ec1-6217ab54c7f6	0	0
9f455b9a-ce14-4202-8b15-68891309e610	0	0
26d4d8e0-2a65-4cae-9225-7c5164779d3b	17.1436818181818182	1.42869729712121218
9e2b5c44-84bc-4e20-9074-04c4fb44a7e9	0	0
58148171-903c-4854-9074-0d9e54e05805	16	1.33338666666666672
39e57a90-cdec-43f5-bc75-daef050d59d3	0	0
44d877a8-fdec-4a1e-b9d4-f2edeadd11dd	0	0
8e8a2726-5632-4975-8183-b4dda85fdaa2	0	0
6b1252b1-b00d-4e46-815d-cf757bed90fd	0	0
3592c611-33e1-4857-b15e-461e3965a385	0	0
8927b0f1-fc08-4a1d-94e2-c5e884d8bc32	0	0
beb01c77-b370-4410-95f1-4c32af07f467	0	0
b9486dac-eb4f-4ae3-bfcc-8cba036b79b6	0	0
62213523-3879-4514-911d-4f5808d8d79d	0	0
f9dcf9e8-f52e-4842-8cba-6b1f2de2a9d6	0	0
37ec8a16-0432-410a-869a-92efd5047baa	0	0
ae4e1664-dbda-4f9b-b83e-ca5b67c3f7d4	70	5.83356666666666701
15fd63f9-7b57-4dca-9e23-e0510bfdb794	0.594125249072381956	0.0495163786751892238
4fac98f4-c91d-4df8-bf20-b66799b44a4c	0	0
98cd81ee-ce15-42ab-b785-69cf2a54409b	0	0
1371875c-5e1e-4fcf-ab06-3be6d7b4bfe2	11.1837229437229446	0.932088749206349321
3de86a29-a6e0-426c-a0ff-8e2571dffe36	0	0
2b8e69ca-73ec-4104-9df5-d15c3d9f637d	0	0
19974614-33f7-41c3-9a36-08cfd12b0456	17.1436818181818182	1.42881158833333344
e0387bf3-f559-4797-9db5-56878fe7265c	0	0
cac90d73-26b4-4224-869e-952527991c35	16	1.33349333333333342
cbbb6a18-d261-45c5-8731-4f3ad2705bbd	0	0
e1c3f24a-74e0-4325-a7d7-c9a540272e77	0	0
06026c06-6e6e-400d-89b2-a9ca5aecaefb	0	0
91511a21-17d1-4604-9b11-b8308d3a76bc	0	0
eab8e76e-5c80-4f69-a16a-86d1b17e4710	0	0
eaa35f9c-ff3d-4a2e-99b4-338a99f6068c	0	0
0aa60f19-4d72-4131-8fd3-33c5385d956d	0	0
6f625f94-6eaa-47e9-90dc-8d86c81b7f47	0	0
d74dd5a8-c409-48d2-9bb3-25fa8199774d	0	0
10f9c5fb-a39e-45b4-9593-3c697691e6ec	0	0
6a2ea445-7f55-40b3-818a-0d40db3c8591	0	0
31211ae6-6f9f-4cd9-ae00-159c2be71009	70	5.83403333333333407
ba742666-58d5-4995-9129-e03cbf63cd49	0.594125249072381956	0.0495069716920789049
6a4987ff-7602-4d93-99b7-b5a4b7ea75f1	0	0
b0c3f14e-cbc1-4650-920e-77930dae5905	0	0
fc033f83-8cf5-428c-b502-72404d4be5be	11.1837229437229446	0.931911673593073697
0dd2bf95-b5ce-4915-a9f3-96602b5ab50b	0	0
3eac2be0-abe1-4626-b875-f9a74fdcf661	0	0
47209621-92cd-402b-a4ff-7b31f8bf4eae	17.1436818181818182	1.42854014670454554
6da8b52a-477d-438f-a907-27aec7c18206	0	0
f1781395-e70e-4a48-98b3-fdd889f538ec	16	1.33323999999999998
1492829b-6423-4a28-98db-988440e10490	0	0
1893b285-efe6-45c0-8234-1d0f76d431cd	0	0
ab384bf0-6942-480e-96ee-dbc0aede70c0	0	0
21681fad-98bb-4412-ac2d-aa6a8e6f89c2	0	0
b4b0fdcf-eb69-49e0-b48f-d41e17ff458e	0	0
ac00412b-1f5c-4efb-b223-5dcd3bb7ce41	0	0
0828b6cb-cf68-44f7-bf90-d5484ca745c0	0	0
e2bb9f5e-9506-4a9d-a671-e9a43630db76	0	0
21e195dc-9f3d-4c51-9b58-cc57e997eb36	0	0
f4698bb7-f17c-4d3e-8fc7-576f3965d903	0	0
656a0947-dd8b-4085-ae40-c164f6ee7803	0	0
f9eeba38-0313-4e5e-85e3-29834373e4d2	70	5.83292499999999947
87a1b71a-2cd8-4cc4-901a-1b032b5d22d4	0.594125249072381956	0.0495198444058088105
863fc1ee-e510-41c9-8b64-52b2c63cf509	0	0
3dc29ab1-d22f-48cf-8231-eddeb0f3d7da	0	0
7b25fb55-d848-41c0-aa81-58f34767be1a	11.1837229437229446	0.932153987590187638
e5502b56-8026-45c4-a6a4-aa5a287e19b8	0	0
d46d54c0-b4dc-430e-add7-8d052a3b8568	0	0
42d7e9f8-8d91-477a-a7d7-5d3038dedd08	17.1436818181818182	1.42891159314393934
61740f5c-ef8c-4bde-8889-3d11e8642d7b	0	0
4baa0407-7ad1-4db4-8269-14718c85213c	16	1.3335866666666667
34701533-0a32-4883-a968-7cb2f742cecf	0	0
e878cf43-d8c2-4b2c-8fc6-0855ead36580	0	0
17708a62-280e-4fb4-8361-db6e56722700	0	0
56498780-a6de-4b33-b19e-7c62954c154f	0	0
3291f842-a0be-47f5-8131-06cb1d7a8af1	0	0
182c1478-d02d-4612-8870-618c381e2dea	0	0
a27418ea-ac52-48b3-9dd9-3a61cd032e93	0	0
40bb35bf-8167-4596-ac02-fc1779db47a5	0	0
7d6a4d90-ae7c-4f84-ae8d-af9669da604b	0	0
a321bcff-8b87-4977-aedf-f8e7e24a73a7	0	0
1c2ddf0a-b5aa-4753-881b-d900fffc3360	0	0
ee001f69-65ae-4d84-a8c9-0e9880c357ba	70	5.83444166666666675
92d9b5fa-7c48-4aad-854d-90bec5913e43	0.594125249072381956	0.0495020206483366351
56bf2b0b-d4d9-437c-8903-131f79b2f016	0	0
24dd4c26-b9e8-423f-8d49-b1ad114d24dd	0	0
4bd16390-fabf-41c6-80e3-d91ecf562540	11.1837229437229446	0.931818475901875942
ace632c9-ac31-44c0-b286-73fc09d180d2	0	0
db2a32de-bac4-479f-805b-690935615384	0	0
9d1383df-f789-4ebf-b0ac-f603d1547bbd	17.1436818181818182	1.42839728268939403
c55fa5b2-1cbe-47ef-afa8-ee573f848bcb	0	0
5bcd1dd6-3eaa-4457-9f33-1ef57b4b45d5	16	1.33310666666666666
0147d12f-900b-4bf5-80b3-05cd93db2bb9	0	0
a2fd485c-c3a6-499e-8742-0544225f0e41	0	0
c506fc61-a8d4-4fac-b6fc-ecc9a6eb936c	0	0
52ae9eee-ddcf-466b-9667-30a0fe7b8a5a	0	0
4ff12fb4-5f4e-4e05-8fff-fdb618930ec5	0	0
cd72b3fe-1167-436f-8857-87c9d452660f	0	0
399d2b02-c823-4a82-bb98-db1c3c47a929	0	0
1a3f5899-7dd5-47b5-910a-cf344acf7b8b	0	0
0bb74679-2340-4658-b7ff-1f1444504e35	0	0
c134c2ce-6bdd-4e0a-b8d4-dc3f0cd105eb	0	0
6e846495-ad3c-42f4-8c6a-a6816153b8ae	0	0
653ea1fc-fbcc-41dd-8530-842b601785a9	70	5.83234166666666631
31fc303e-3525-4b2a-a165-179b91b8b80b	0.594125249072381956	0.0495262807626737633
4b11bb56-eb8e-426d-85d4-718a5c84e8e0	0	0
e10ed038-3d25-4d4b-8ed2-433269a36efb	0	0
70f52c2c-d44a-40e0-ad86-193b4031e70a	11.1837229437229446	0.93227514458874472
132ceb05-2b00-422a-a467-cc06c0eb990d	0	0
f97efc54-18b3-4a76-8a3f-664f19668904	0	0
96757632-ac10-4f92-95cf-9713858b29fa	17.1436818181818182	1.42909731636363646
4026c45a-696b-464a-9a60-fc41f39c4a6b	0	0
80fd5293-b72a-4911-9904-3f1093183798	16	1.33376000000000006
8e7874bd-2088-4252-a08b-90d5f2f49e5c	0	0
31aadc80-118c-4271-8c5a-36e1a09862cb	0	0
150bc9fc-74fa-4cdc-85b0-fcbfe36e20d2	0	0
786962e1-31d0-4725-92e2-6be690da985b	0	0
673897f2-21bc-4445-b225-9d4e09786282	0	0
b392b382-e964-4fa3-a408-aabc890d5a5d	0	0
4862c1f7-0064-4dc5-afda-d900a7b5d2e6	0	0
70536218-f3dc-4171-bca8-357a8ddd5365	0	0
d2671b48-84cd-4dc6-87ad-da31ca9080a5	0	0
95942d1e-f92b-4cd7-91f5-297d79877c37	0	0
267a093e-3c0a-4cdc-b669-66ec7c24c0cd	0	0
0716aaae-cc20-4937-9576-1e0a6192c07b	70	5.83520000000000039
cd4ae77e-d526-4b07-9471-df95c84060a0	0.594125249072381956	0.0495122528054039931
74f4b202-0263-49b7-8f22-7a73425711cd	0	0
2efb016d-6a5c-4e61-b991-d4b0e70818b3	0	0
9129d527-d251-4609-a292-f88856adc6db	11.1837229437229446	0.932011084463684525
7d653e91-9d6b-45fd-8449-d985c7561b04	0	0
35e6f722-68f5-458a-9b71-ffedfcc26ec4	0	0
9593f3d9-d5fc-4ef9-b018-18d0d3ce7685	17.1436818181818182	1.42869253498737381
2cf81bdb-e780-4535-b4a5-20f34efa81ec	0	0
5336a0c5-09cf-4083-9ff0-b11c78b705ec	16	1.33338222222222225
eb6a245b-b0ab-4f15-a694-79e50261b30a	0	0
67cea346-2f27-47eb-b2f4-d6a49aa24da4	0	0
237e8dce-0c42-4a62-9798-ee4b9f6b0b11	0	0
62c6361e-0c72-42bb-938b-344e94412034	0	0
56809ba4-c065-4edd-9128-41bd25e3552e	0	0
4f28a1ac-657a-454e-aef5-b22bd55f7ee0	0	0
fbd76618-ae58-4ae5-b5a5-8ac0f5fd0db5	0	0
8440d20c-499a-491b-9d4a-0cfd083cd355	0	0
021f0925-996c-4cf4-b1e2-226ed8b4dcb5	0	0
6855d49f-91c3-4346-830b-134fc055e407	0	0
01b8e92a-62e9-469a-a169-29c5038415fd	0	0
0013b784-ffea-4463-82cc-bca01dc60d17	70	5.83354722222222222
19ffba14-8119-467f-89b7-620dd348c13e	0.594125249072381956	0.0495691898084400992
ce7042cd-3976-42c7-8b24-134a658b693d	0	0
46016922-4fda-425e-b29b-15275db7b820	0	0
c2b3e90d-00f4-4b6c-947f-31cf9e962213	11.1837229437229446	0.933082857912458041
5bb0ad08-5888-4b2e-8a0a-1e7ecbd00163	0	0
580c2cdc-9cf2-4192-b453-5102e83f1ce1	0	0
a872cadc-a6cf-4dc6-995f-70fe30c571c0	17.1436818181818182	1.4303354711616163
245934e2-56ad-4850-b88c-4d752b660b93	0	0
5d81f2ad-d667-4177-9474-32a24946a48a	16	1.33491555555555563
db2629e1-0568-4cac-8ad5-95420f246aec	0	0
8019cc36-17b4-4235-afee-e22eb0bad710	0	0
626dd529-8b4e-4aa7-be6c-b675c7536d92	0	0
f2c0dd4d-1002-4c8f-8016-cd4a86b62035	0	0
093403ef-9e12-43bc-a47f-e4d054aa8f35	0	0
2494bc3d-6c49-472a-b553-d01cdf0cff25	0	0
37d594ba-d960-41d1-937b-4baf9518f86f	0	0
247dffde-ee10-4fe6-af23-22edf440fc0a	0	0
0a16715c-2e16-4f7c-9b2d-071daed09a8a	0	0
9f046fac-6501-4a1d-8511-4495f39fd98c	0	0
0c724000-0261-4606-8f0d-2b7ae8aff4eb	0	0
39642c54-3b44-4639-bd5d-170d615ad73a	70	5.8402555555555562
8753d776-d704-42d6-a63c-a9c670c3f7bb	0.594125249072381956	0.0494526752457053465
64ddc75a-49d5-4a2c-852c-bb700c0f4ce7	0	0
3cb7880c-215e-4096-bb90-c99e6def7d16	0	0
e298021f-43fe-44eb-adce-0a99d9abde31	11.1837229437229446	0.93088960557960565
5631fd31-36b0-4ebd-8269-21702385a785	0	0
1bbbf484-c2ee-4e0a-9c1d-25ecebfe5b14	0	0
937dfcfd-938e-487f-9c11-4f209f2be387	17.1436818181818182	1.42697340467171707
343121b9-dd83-402b-9909-06c7ef5c267a	0	0
73373aa5-2c4b-4c30-b019-5b04e521eeaa	16	1.33177777777777773
d087fb5a-871a-4527-9c39-b53e58d95193	0	0
4835298c-3b73-48cc-9f91-d647a5f09412	0	0
09aa9476-9513-4887-a32b-0275f43752ed	0	0
af2a86f4-198c-4b65-854e-190dc9f711f9	0	0
a1dc7f47-56db-451d-a384-71a375c3f9a4	0	0
2a4d52a6-4826-4ac7-a2b9-61a7817add75	0	0
6da089f8-dcf8-47dd-b843-9afbf43409db	0	0
6da1964d-0059-4490-88e1-ab73b51a6dd8	0	0
f6cd6fc6-9d43-47c7-aa37-a0710378114a	0	0
6feb11ab-0d1d-4bba-be2c-0ac5ffc33eb1	0	0
ee1b7978-a2a7-4fd3-b951-0517c6bfa673	0	0
524e224d-623f-46c6-b92b-6e118e52bf5c	70	5.82652777777777775
d8c3270b-26da-4627-ae55-9275f30892cf	0.594125249072381956	0.0495211646841400843
d43ca68c-221e-483a-9c9a-92f584ec643c	0	0
5101978a-4839-4656-b730-7e09747deb9e	0	0
e348029f-18a7-48c8-9d5d-7cb9d3d8032d	11.1837229437229446	0.932178840307840373
2ab943ec-9d79-4153-9314-c6b72522faa2	0	0
7b93bf7d-6067-4248-bdb5-edfc11c2d229	0	0
dcd13c29-7af2-46b0-a4ba-776390733459	17.1436818181818182	1.42894969021464657
2ee0c2ed-6863-40f5-92cf-d48ebdfca5bb	0	0
b07ea860-9d1b-4233-b696-4671c9cc1551	16	1.33362222222222226
acb460af-7c57-4c8c-82d9-a899d37cf84a	0	0
55d0224f-e911-4a8f-8164-12cbe94e5ce6	0	0
45fa464e-855e-4b89-a810-27445852517c	0	0
86c680a8-dd13-4ccb-8e75-43b79f13577b	0	0
5d173c10-c0ed-440a-8572-2a3d44f6abbc	0	0
ad835bab-4bc7-436b-b160-ad5034f53574	0	0
fd958cf5-cc84-47ac-8ae0-053b9b3b2e71	0	0
8a1789ff-29fe-40b7-876d-3f3ae130afd3	0	0
4c5ff146-2db6-4b4a-aaa3-280680873a3a	0	0
641a6611-0d69-4688-80ac-edbacd878387	0	0
c7b3b81d-12bb-4dd1-89d4-2d8829441ef3	0	0
fcd0616e-f263-47a8-b155-fdb38a612e2a	70	5.83459722222222243
ef04cec3-2ba6-4137-9cfc-5ac76468eac6	0.594125249072381956	0.0495109325270727263
9be770d1-b53e-4b86-9481-68b779d87f6d	0	0
fbc48470-fb46-4b4f-92d7-9a7407086055	0	0
d7541b09-f02c-4334-a2ed-cdbd4e2fc252	11.1837229437229446	0.93198623174603179
fbdfc60f-c23b-4f69-a9ad-ea94f65c4708	0	0
42e422d4-0feb-46c9-bc02-0e1df2598b79	0	0
7af3196c-a9c9-418b-a8b5-440a58ebd597	17.1436818181818182	1.42865443791666658
d831e4b3-edab-4ffb-a77e-a9e1777cd4fa	0	0
58c697ea-fb4f-4101-ad08-5c8e738dda88	16	1.33334666666666668
fbc9b1c4-11bd-478f-9883-b02e339f10a6	0	0
4fa5cb97-f7f7-4423-a929-474b7fbf6618	0	0
9b622abc-3efb-4425-b09d-160339df0294	0	0
03e2842f-1718-401d-bf18-e82bc7de7ff5	0	0
5f417278-485a-4bd6-bda4-f6ed2c5f0ce9	0	0
d17befbf-0524-47bb-ad68-3157251e5625	0	0
1956e78e-e963-41c4-9fe8-2a371fefb9dc	0	0
159e76cb-27be-4632-83b7-3c1a4b38cb2a	0	0
63653402-6d53-4f9e-8f5b-d9490610065c	0	0
bc729e3a-621d-4ee0-8893-839b29996b35	0	0
fe723e65-5fa4-4695-8f33-c442df8e36a7	0	0
4b33ac3b-1e78-4ebe-a654-c7a75f530e0c	70	5.83339166666666653
da159e08-a651-4d94-a1be-6c608b5e470c	0.594125249072381956	0.0495115926662383563
5d105e01-42b3-4ede-bc3a-ec4f097a5c5a	0	0
a4ef2cea-46c6-4d2f-9957-ba1429eac164	0	0
d99894d6-5680-450c-ad99-d6a239e9acc2	11.1837229437229446	0.931998658104858158
140f86dd-816a-488f-929f-04e00b4063e0	0	0
9d09f948-396e-4afe-833e-8fe0be930522	0	0
1c920b1d-bd15-4725-8834-80d84ecf6024	17.1436818181818182	1.42867348645202008
dde6112e-1e89-4932-a704-554e37607464	0	0
73e6cefa-4d51-4bcf-802c-47520aa13c3a	16	1.33336444444444435
51f9377c-6580-466a-b3fa-9b5a21ce3f89	0	0
90eb77c5-8148-4c6b-a64c-33a0db8b56e7	0	0
c75b4639-258d-447f-9397-1f60fea94160	0	0
7faaffcc-d629-4348-af1e-9d82b0312ab0	0	0
79be038d-02d2-40a2-abcc-62d398ec2919	0	0
50c544bf-5f86-4177-94f4-b21078db1599	0	0
28103305-aa3e-4c8d-b1a9-67e8dce8d240	0	0
5e71474f-2e47-4cfe-b8a2-53504767dd66	0	0
79744562-3818-46b0-9d4a-344372d0bf70	0	0
6c05aadd-c52e-4abf-84ff-6eefe8db38fb	0	0
9fdce8ee-95a2-442b-b15c-e12b1dca9679	0	0
cb4f6100-3078-4381-9c5a-027e5d37f578	70	5.83346944444444393
048ada51-1185-48ad-b213-46d5bb9a315d	0.594125249072381956	0.0495185241274775367
5cbbc149-3533-47a1-a8dc-7b670e968dc4	0	0
3c54f4a7-c55f-4b9d-b9ae-ef47e5a5888f	0	0
46b71909-2e6a-484e-9793-1e69941fa716	11.1837229437229446	0.932129134872535015
d6378760-acb1-4dfb-be1e-eba953595cf0	0	0
7f66f02a-be6a-435c-9407-2aeda81e3bc0	0	0
280c66f6-8e91-40dd-821d-bc7653e011fb	17.1436818181818182	1.42887349607323233
28a7ee88-261a-4dd2-a39f-db53fd084bf4	0	0
477db37b-89b9-4acc-a1d9-dc57e1fb992f	16	1.33355111111111113
3aeb4a51-e4a7-4ee4-881f-7cfcb43e7b27	0	0
ee71b2d4-74b0-45d8-996f-b8b62bb9edcb	0	0
7b6f51aa-9fb5-4377-b979-4d406b927d32	0	0
0dc4a204-7c18-48f1-8fa4-9d006bc9250c	0	0
aa04a229-1b52-4242-966d-6b17bedfdab0	0	0
0657aa03-2c73-45fa-a415-4395460aed78	0	0
19728301-9461-46ce-8e3d-fa253e4c3f6d	0	0
763058ed-956e-4de4-929f-f1705718f348	0	0
57335a31-54f6-42ca-9986-ea9b355cb70e	0	0
2860b70f-30f6-4d36-8221-82338ea1156a	0	0
728790ab-7d7a-4280-a8c2-8bd09fad1b05	0	0
bc91491b-95d6-4a43-a83b-5dad182c2058	70	5.83428611111111106
66225b86-0b26-4acc-8f50-874467fcddf3	0.594125249072381956	0.0495183590926861275
6f2ef8f3-6c89-41a7-af25-06bb2a830982	0	0
f1b14db0-0868-41b1-99d5-2bb3dda480c2	0	0
8f6c8868-4839-467f-adfe-0f082a437c32	11.1837229437229446	0.932126028282828312
4b8c64dd-0e51-4847-a1fc-47a60fb4df67	0	0
19d61fbe-600e-4816-9ff3-3c34a6740192	0	0
f82f7962-c711-4b83-9971-55d6b1c6032c	17.1436818181818182	1.42886873393939395
181b2f8a-aa27-4d33-9cf2-417c7d5745a7	0	0
9ffb7fb5-cb15-4872-8b97-78156d97b6de	16	1.33354666666666666
a7d3ab18-fba1-4930-bc47-08890edcf115	0	0
6c25c24c-d1e1-4ac1-828d-666ce42ee82a	0	0
96c457aa-d0f1-431e-b84c-3e86a4062c2b	0	0
a15cd837-2e18-4db9-941c-9b382a3ce5bb	0	0
ea13bcd3-76d7-45d1-ac81-afcb2fe41e34	0	0
2f704fad-e394-4a2b-b710-7bb8fbc7f355	0	0
3efc5a8e-1478-483b-8764-dd1b13c1a64f	0	0
f30a94fe-1cc4-4f0c-a021-e9c62fe28350	0	0
31eafc0d-1945-4635-89f1-36cfce1b529b	0	0
3ddd7e56-1301-4724-989e-48eb2a79306f	0	0
6cc1e185-9f92-4cc9-97a9-421828677a03	0	0
a44cd409-663e-458f-b781-18cb9ce59f51	70	5.83426666666666627
7851a3c0-27ba-4551-a9f9-80882a9a56b2	0.594125249072381956	0.0495082919704101787
de10bc8a-dd47-40ef-b5ea-05031b04bee5	0	0
806153cb-7e0f-471e-967e-338b49d3d90a	0	0
d39445f8-a40b-42cf-859f-587f5c972f17	11.1837229437229446	0.931936526310726432
57da04ad-d51e-4ec3-8b56-eb2e2605796f	0	0
794f7e0e-0e7e-41f1-af07-388234ca5d4f	0	0
8b0b9413-73ca-4b87-8967-d8a14340bbeb	17.1436818181818182	1.42857824377525255
e1c76673-4a3e-4129-8aa9-7360c5b86d88	0	0
cb87b055-c07d-468d-9040-bd7d84c945bc	16	1.33327555555555555
c68143f3-a87d-423b-812b-c4189133a38c	0	0
fe6b9915-2e75-48ab-9798-32ee37c202f3	0	0
fe68d6f5-1d53-4fe8-8f8b-fbb6233c7d66	0	0
4bfdacb5-5828-4786-aeef-9ff552898068	0	0
daff0e8a-c47b-43e7-8be0-6ef6678e1acf	0	0
18ff1d3b-2a85-40aa-93ec-25a9a534e283	0	0
ad7fe344-4786-4f53-a0d7-dbc64abe3b0d	0	0
a1afbc5d-a119-4b2d-b643-720254390975	0	0
0a54288e-0d20-4c28-ab10-a100c5994163	0	0
49b24cb1-b690-4ceb-bf22-def3ca49c08d	0	0
d99ebe01-3103-474b-8015-65c99857b2a4	0	0
7b545948-1091-4804-985b-9710eaed117d	70	5.83308055555555516
297ace3b-b997-4756-b005-fa582ec340c6	0.594125249072381956	0.04951505839685795
5676b97b-3bf5-4157-a71d-c8843c935f0b	0	0
437c218d-f523-4305-a063-45e432f05dad	0	0
f1ddee01-d906-42f4-bc12-1be6e2c5c39d	11.1837229437229446	0.932063896488696586
9fda8985-2c0c-43ba-8a06-14e45b3bcaeb	0	0
2f0f32c9-e910-47e3-9cad-a976a7fbf22a	0	0
594fd8c6-c61b-4b7e-8ffe-9bbd50659850	17.1436818181818182	1.42877349126262643
77ff7e48-d229-4fdc-be39-2be36d3120b9	0	0
3b5e725d-df7a-4545-853e-ff39259817a7	16	1.33345777777777785
60df83c4-94ef-4beb-a07b-983f3719bb1e	0	0
10b74766-aa1b-4936-847b-222108bbb7e9	0	0
cc77e9a4-e609-4192-a9df-ec5d7c85100a	0	0
c04aa889-06a3-4d9f-b21c-3a4d928fb6ab	0	0
09605db3-ce51-4844-9898-82fd10cc1722	0	0
f83777d3-c2f8-40e3-809a-5f28fb357daa	0	0
5476b470-0280-452d-bd2c-1cddcbf729e9	0	0
4ac1ac52-7852-40ae-aff7-f336aa87a4c6	0	0
ac04d465-23db-4c2a-a291-550d25788a76	0	0
337b4071-c471-43fc-b85c-70d26677a780	0	0
65454506-b8e2-4516-88a4-b7e3cf8fce98	0	0
42fc7ee1-ff80-4593-8d7b-b47b6747058e	70	5.83387777777777838
a4d8ddac-4cbf-4733-90e1-ae5e725b599a	0.594125249072381956	0.0495214947537229028
0886ab06-3d68-4e98-91bd-74944e63eadb	0	0
5fb9b1f0-eeb1-4aa0-8dcb-1274277691c3	0	0
15fd0f7d-13b0-40ce-92d8-3378a8652553	11.1837229437229446	0.932185053487253668
5d186863-bf8e-4893-a041-92359efdae93	0	0
5591f5f3-c780-48b4-8bf2-5757c1b53687	0	0
1d1250ef-0d57-4751-ae9b-75d1d0adc7a4	17.1436818181818182	1.42895921448232333
63b08b0d-42b4-41b7-995d-408897c56b85	0	0
7d806bd6-16ad-43ad-a7ae-a94b3d7e690c	16	1.33363111111111121
f2ba7567-0772-45e2-9810-5eb43db523aa	0	0
52a56707-a666-4fa5-9906-00a8b8d2f8ba	0	0
64e652fb-f27d-4fc8-87b4-5b8cd7ec37de	0	0
a5e00f1f-9b9d-440b-99b1-b826f368a67b	0	0
47401eda-c108-46fe-abb3-03c2e9da33ad	0	0
68813eee-5019-47d1-b333-c65ef9bdd8f1	0	0
2b95bfff-4dab-4ebb-8678-4f9b9efa905f	0	0
ddb2e204-0679-4d5d-b72c-99d64bbdd312	0	0
f7263b47-8522-4b2c-be57-444d6c3b1c93	0	0
3f3c0df8-00a2-411d-99a8-c6bf619c7d51	0	0
c238f34a-8e02-4e46-9b4f-223ad95e813f	0	0
10209d72-18dc-4f90-8f39-ee1602d5066b	70	5.83463611111111113
aba77b9c-e320-4ab3-ad64-45537cc0ba85	0.594125249072381956	0.0495058164485390473
15525cdb-b219-40dd-8ab0-06eb9cfeba71	0	0
6311f081-6e17-40c0-b117-e9acf3baf3f9	0	0
2e709a67-3c78-451f-a949-26b1e4a26ca9	11.1837229437229446	0.931889927465127554
e64a6e1c-7ca4-4880-853c-8f91b871aa2f	0	0
79c6d609-34f0-407c-9da2-7f559384458a	0	0
3a65ae23-c814-485c-a7e9-89bf02e96ffa	17.1436818181818182	1.42850681176767669
37b4dcb9-0697-4b17-83a6-557d60cd0197	0	0
be8a63e1-431d-4782-a9dc-8a43ea39badb	16	1.33320888888888889
7be42f3c-b21c-403e-bbc7-31232c3efcdb	0	0
5e515238-63b3-4baa-a44a-ead391f2ec4d	0	0
662dad74-9398-4cb3-8f61-dd10d7df6e65	0	0
b108637f-f393-4eec-8736-b69f2c093fa8	0	0
1ff9d5fb-d5fb-4a9d-8b7d-cf4a79610042	0	0
1cfca03e-214c-4520-b144-b4a9f2fc7a78	0	0
33aa2735-04e4-4eed-8332-6db98a3ec2a4	0	0
74516f7d-d89c-4fd1-bbf8-09e4d6b02b6f	0	0
19ef0d90-383e-46d1-a8e9-9db62b243a27	0	0
0b902204-bbad-4ef0-8ef1-0d4889bf9842	0	0
a4f9ead2-7318-4f98-924a-20a7a2193b87	0	0
50c551a7-a247-4342-a4b8-eac3bac80669	70	5.83278888888888858
11efa9dd-d002-4e2a-868a-9ac029810517	0.594125249072381956	0.0495153884664407615
048a5768-06e7-4ec1-a4b2-bac25028628f	0	0
8e27ca10-1e30-4a68-9c00-faf568c31a47	0	0
9512a59b-a187-44bb-b955-a542d1092547	11.1837229437229446	0.932070109668109659
bb8dfbf2-edeb-464d-9525-31746a3334b2	0	0
ba303290-b2b7-417c-a36d-cfd39cf7f270	0	0
76dc1c60-8c57-46ee-88d9-e85edce559d9	17.1436818181818182	1.42878301553030296
9cb4d286-d7db-4d26-8e7c-8174cdd0fcd0	0	0
442217a5-f544-4c77-826d-7042bf18fee2	16	1.33346666666666658
a9d7d92c-62ae-480b-afc2-002586a664d2	0	0
4d9dceef-91f9-446d-b0f6-0603c5e6d1b1	0	0
91e2be47-d9a7-41cb-8b2d-e1d7cb1b5bde	0	0
0693ebce-39d2-42e5-a3c3-e911f4b331b4	0	0
2abd58b9-4d72-46c1-b87d-9947accb3ece	0	0
efd82f6c-ad8c-458c-be78-5f1b6f2d23c4	0	0
a321dc16-7ae7-49f4-9324-6eb3564d4ebe	0	0
352cce22-5abb-4c59-8708-5ececa582336	0	0
6a667000-fcfc-4206-87a9-209e5dbe6136	0	0
f4a0159f-7584-4e55-94bb-5c63a2668d3b	0	0
5aa58308-2de4-47de-8eac-863c076b46d0	0	0
bfa4f6f8-5624-4ccd-afb0-28b8c61f49f4	70	5.8339166666666662
ca601c7e-64de-4b47-aa16-50511b88e6d5	0.594125249072381956	0.0495058164485390473
67f89cf1-2e10-485a-a7af-93bed5f1c1da	0	0
6e7bdee9-8953-47c4-87eb-65164cf04909	0	0
8942d10c-8cb0-4df0-93fc-ab780d8edb96	11.1837229437229446	0.931889927465127554
231b975e-3127-4cd8-8e73-41db499a7d40	0	0
47673c85-8827-4326-8aba-2269b3912860	0	0
fddef09c-f679-4803-9dd8-9f002238a44d	17.1436818181818182	1.42850681176767669
0c1fe156-005f-465c-9fd6-3e0b5e194b7c	0	0
1bac0a05-8928-4621-a5ca-26c9ec3c956d	16	1.33320888888888889
78c3cd90-8f77-4495-8819-8d5c7178eb0b	0	0
5e758d48-5384-42f5-8b55-5193fd2c593b	0	0
60f48d57-4ecb-4c82-8566-dce24c2d1923	0	0
d17bc0dc-e120-4afa-92ee-0b176431632c	0	0
5e08ae82-3234-4a4f-b140-0d188bb4bfdb	0	0
8355f499-9975-4415-9e5e-7ea8f981db87	0	0
0b5b3526-31e8-4231-a7c8-bff741f2c76f	0	0
837fdf68-ac89-454b-9cb4-5cfb2d6573fb	0	0
d3bc2441-6e9f-4cd7-8e65-51224f9a6a55	0	0
2da32da3-c46a-409e-8d7c-683bdfe5b1c1	0	0
2e3746ec-6b68-45ca-8cf1-de78b58ab8f0	0	0
15379af2-9926-4662-a4df-b34d3cafb18a	70	5.83278888888888858
58170f13-2430-411c-97c2-ffe51e6da136	0.594125249072381956	0.0495219898580971235
37c33e80-de32-4540-9d88-5bcabb7f38ce	0	0
1a87ffd2-d928-4813-ae0b-ca11e9e5557a	0	0
68123064-c8f0-4d8d-87a6-b4b89b56cb06	11.1837229437229446	0.932194373256373332
575e9b27-8f5e-4e69-8857-53eff77edfab	0	0
153d131e-c698-4c2a-a18d-fd086864bcd7	0	0
264e4220-f684-4a5f-9fc4-be44854de96a	17.1436818181818182	1.42897350088383845
4f9fd50a-7481-4e40-a6df-175b9c79a9f7	0	0
a7e833c0-5e12-44e8-8335-4c3069b922ac	16	1.33364444444444441
1da48c16-d55e-4d65-aa2e-f707f8243181	0	0
6f0f9d19-bad4-4d18-945e-fc73a7411893	0	0
b4d48da2-5648-462e-8789-ac272ff5de95	0	0
006b6486-a1b2-4fff-9b1b-6f328c52ca35	0	0
c0357352-a307-464d-a120-72d74dd155e5	0	0
94b16b5a-eb54-4fd5-88d7-69f82601f0c8	0	0
0c9aff4d-5040-453d-bcd6-78ee02cc5007	0	0
b99d7c4d-d948-4b94-80eb-745881eeb1c7	0	0
10c7162c-50d6-4fa1-8d0e-5f3bb82a400c	0	0
4d1eb83d-082d-4881-ae9e-cc06cfc852e5	0	0
f0e518ef-166d-47f2-9a6a-81369a0518bd	0	0
f285c6f2-8de8-40f9-bd07-bc736ccc45bb	70	5.83469444444444463
868c01ac-cd2b-4ef6-9835-c9d86d0ac7f0	0.594125249072381956	0.049511427631446954
50c5fa66-c6d1-4424-bbd4-3def0d1abe1b	0	0
f15ac39d-e07e-44a0-a60e-c9998593f93d	0	0
4cbb4090-b193-495d-bbeb-46d4390ffa82	11.1837229437229446	0.931995551515151677
fd155f3d-3f9d-4b3d-b9bc-5a2db2a2a9bd	0	0
443ececb-ecb0-42d8-94f0-3a94f6a33d5b	0	0
41ef210f-99f1-498e-b605-368bd4e09d89	17.1436818181818182	1.42866872431818193
d385b2e7-56fe-4d7b-86fd-87620e6c5bee	0	0
5c3c45ed-2004-47f3-b059-453a044e7912	16	1.3333600000000001
ed7a315a-6a19-4df5-ae4a-cf550a08a129	0	0
6ebb463c-fd44-4972-a7a8-ac7cb95a8739	0	0
44fe060a-0732-48e6-90d5-49e654e24d52	0	0
f77c665b-4514-4a46-b13f-5b5a288c68ee	0	0
ed9bf363-40e8-4caf-b751-19f6497c9747	0	0
663a18be-bb68-4bf9-9a5b-34284043aedb	0	0
e859e46e-a336-4592-8c79-c1f04225256d	0	0
c4d44473-b2e7-40be-9a26-fb20bd58e08d	0	0
9884c9eb-463e-46b1-88c0-18045be4b461	0	0
b980e1b8-a580-4722-995a-e6134cbcdea9	0	0
7539fd23-91b7-46b1-a4c6-4fd6f15746d4	0	0
65f6d3e1-620c-411d-9f48-326e410c33c8	70	5.83345000000000002
ffb62476-be21-48e1-8c4d-880f62423b30	0.594125249072381956	0.0495155535012321707
dd7be605-faec-4d29-a15b-5d6339a164fc	0	0
b58b35c0-23d7-42b7-9c30-e4dde9b050d6	0	0
6d869b47-bbbf-4eb4-a638-5fb424c2256b	11.1837229437229446	0.932073216257816251
921ee39e-3bcc-402b-ab33-885ee867b5e7	0	0
9dffcac3-2316-4a64-b6f0-b6643a967128	0	0
ff4f80a5-2766-4341-a725-2f93fa4012ae	17.1436818181818182	1.42878777766414133
00e585ed-17fb-42e5-8553-10521c6da583	0	0
1cac322b-c470-4e53-8598-ee1cd22b773b	16	1.33347111111111105
1b6a9220-3146-46be-b8f6-55b0683c26fc	0	0
f06fe8da-2164-4287-bdd9-c59adc94583a	0	0
b8115c05-2c6a-42a2-9ed6-c4769788abda	0	0
1bcc66c0-2da7-4813-b0ec-c50935613073	0	0
ec4e5aba-4a50-411d-a111-17bfaf02dfe9	0	0
ae448025-32bb-43fd-8e77-079f0fdbc96e	0	0
09db9451-24da-4622-be1e-cdc17702be0c	0	0
8861854e-b8e8-4b85-a6ad-3a8e10dde387	0	0
4c929afc-0782-44e8-9347-0f22e2081d99	0	0
19c9ef55-04fa-479b-b8a0-feb88a1f5d08	0	0
d163e201-0967-4b6f-a747-b531db6ce275	0	0
58b8bfe1-8e3a-4d78-9ff5-fac3ddb48c62	70	5.83393611111111099
f0e15ce5-4957-4016-99cd-0e12747bc2f9	0.594125249072381956	0.0495130779793610393
1092cd0f-a0d2-4dfa-a2f2-23c03f5eb703	0	0
e6c8e89c-ea2f-45c1-90b4-163b89b89ba7	0	0
d779824a-1809-43ea-8c99-199a6426b388	11.1837229437229446	0.932026617412217484
faf156a0-f5a3-4ff4-801c-aa0d93cf580b	0	0
92fa12b4-f8bf-49e7-b348-6e9270759377	0	0
7ce9f837-2a61-4fde-b721-77f2dc3ec17f	17.1436818181818182	1.42871634565656569
225a92fc-862c-407d-9727-480c8e01277a	0	0
d7d43e1e-0cfd-4abd-aa7c-3cdccf7c18c9	16	1.33340444444444439
bce36396-8366-4791-8500-6f7b115896b1	0	0
2ab2913c-9336-459a-bb5f-93142a7961ff	0	0
b3874836-91c6-4237-9164-b255fe342427	0	0
117e70c3-c4d5-4178-96e1-13279ec7c5e9	0	0
a6c3b3fb-1937-4333-a2d4-bb1a950f88f3	0	0
c2a997ef-30d1-46c2-a3d7-34d31dac4447	0	0
a645d22f-9ff6-4a58-b074-40ffc9abc951	0	0
782f0fd2-e863-4967-8324-9b44c9ce2178	0	0
ac6e82b9-394b-4b90-84cf-f1b25f75e131	0	0
fc52f770-a5eb-4c59-ba88-3226e84c1c4f	0	0
be568096-dc15-4250-84b7-a884ea2ba0d1	0	0
f7952ee9-9cc7-4dad-824f-6684c5c9e3e0	70	5.83364444444444441
5f1a1ca2-ab8c-46c8-bb2d-75e0cb1a1afb	0.594125249072381956	0.0495143982576923131
e42ea4c9-3e18-44e5-bbd8-4a70a1ef6d39	0	0
c697d2f9-f324-432e-8841-ed79aaed71a4	0	0
5007a4d7-4694-41f1-bbdb-ec47c45c02cf	11.1837229437229446	0.932051470129870219
6acda615-97eb-48a0-a583-4548b4da5c90	0	0
85f05274-4acd-436c-b82a-40dd2eaefcf0	0	0
1e266a65-55c8-4c0b-b1d9-80329cdbed65	17.1436818181818182	1.4287544427272727
79ad6a4e-f368-4661-ac4d-bdbc117aea97	0	0
232515e9-617d-459e-b481-4071c29ff1ea	16	1.33343999999999996
b822b645-6578-45e8-bbf6-ea61a0627f54	0	0
f8921da1-6c62-4aac-b2c7-63eabdafd9cb	0	0
38c596d6-d5c9-4c66-9978-a628abbc433c	0	0
7efacf97-a5e6-475f-a8b2-6fa28f1653c3	0	0
f95e476f-be2c-41fb-87c3-53c1e993eee2	0	0
38b5fb0c-1a48-4cb9-97a9-05f677e27ed9	0	0
e9ca1a6e-0051-4054-9dd6-f149016d802c	0	0
f91825f0-a5fa-4832-94f7-281b6936d0b3	0	0
cd0924cb-d670-4ece-b3dd-54e281748e10	0	0
81b6c72b-40ff-49fb-a3ff-f0127fe2b116	0	0
8e10b033-8347-4602-9a0e-44f2f64ea205	0	0
48a77c28-8ffb-418f-ad1b-021ce38ca551	70	5.8338000000000001
d512b1a3-c339-41a2-a636-4e09817c3701	0.594125249072381956	0.0495094472139500433
ee9d5435-dea5-4e68-b772-fab93003a326	0	0
1d562ac0-1c5c-433b-b991-6df7b90348cc	0	0
f5315e08-b4b6-4e60-8ef1-c392d61ffec8	11.1837229437229446	0.931958272438672464
53076608-ae3e-4481-8031-0914eb6bb603	0	0
810feab3-ef39-4d78-9f21-fb1383a70a18	0	0
80d19db2-b298-4991-b2c7-d61f75029126	17.1436818181818182	1.42861157871212119
768397ce-0917-44bd-9b3a-6ca2cbf19cf0	0	0
4c55b8c8-1f42-4632-9c97-822d229f1c8b	16	1.33330666666666664
9cbc3c9b-9d99-48b8-b385-b0414812928d	0	0
80925d2b-50c7-47c0-b82c-4444613460cc	0	0
4ee9bb96-9600-4961-a412-111b5e11c53a	0	0
55656681-24f7-49d1-8822-12b44fd857f4	0	0
1cb26303-849a-428f-b477-cb99ff853832	0	0
59d322d7-de8e-4c83-9fff-0b8698008740	0	0
a7f7dbd0-96fe-4bc5-a766-cd13074a7bc5	0	0
258a1194-6bb9-4c48-b62e-ea3a58d1aa93	0	0
11754c66-fe58-4941-99a7-4d9cee5b7c8b	0	0
4fdb9f2d-96fb-40d6-b9c3-43c17fe71855	0	0
1b4dfd60-7981-4bab-b6d9-df310da326c8	0	0
e787b76f-768f-424f-abee-7e036a3bc278	70	5.83321666666666694
aecc855a-157f-4559-8d1d-3cbfc6254741	0.594125249072381956	0.0495160486056064053
ed236528-98a1-4622-beb5-f9746ebd8d90	0	0
51428d23-ac39-4198-b477-b055fe6eb89e	0	0
0bf4ca4a-5c86-4081-994d-808f1b1648cc	11.1837229437229446	0.932082536026936137
7795a3c8-ca1c-4d4c-aa5c-c92173408829	0	0
144b8c90-0b3e-472a-acf1-0966b215e73c	0	0
73c2e36f-dd06-4a39-86c6-2d7a7a9f64a9	17.1436818181818182	1.42880206406565669
23efe17b-a9ff-4716-af8e-d389302cd7c7	0	0
d1069bb7-91f7-46c7-9f07-fbce2cef3fda	16	1.33348444444444447
1b6739f3-fd0b-44f5-a4bb-344a453277cf	0	0
7379474c-398e-465d-86ba-3823492dae5d	0	0
bbc32da3-db10-4afd-bc76-22b2a9cd7e99	0	0
4060706b-cf9a-4b30-9ac2-4313066e151d	0	0
9f250d23-4578-4256-ba6c-a459be99db00	0	0
6c8de700-201b-4a0b-8be5-9f4da9e90ae7	0	0
e2c67fcf-3c62-44bb-8275-7464713a2df5	0	0
0700b462-9614-4796-b5df-923afa440e40	0	0
282156d0-0ad7-42e7-998d-07bb9880e010	0	0
464b086d-d91d-4c6e-af7b-0b23f37aff30	0	0
c37b72da-20a9-4240-8283-c7a4f0860035	0	0
33a0c7b1-4ca3-4f78-bfaf-101c7451d5f2	70	5.83399444444444448
1147c183-75ac-4524-a980-eb9d0cf62912	0.594125249072381956	0.0495160486056064053
6530c118-dcbe-4c66-a6cc-60e05ca62948	0	0
b7d164cb-fb3f-49f7-8767-8204e95dbd84	0	0
2827553d-6b34-4912-83a5-d53dd70adca5	11.1837229437229446	0.932082536026936137
034df719-364b-4e1a-894f-d138e12c6911	0	0
5c7e4746-67f8-4a27-a8ff-6af6cb3532c7	0	0
742bc9d5-5859-4b44-85f8-b35cac56e589	17.1436818181818182	1.42880206406565669
f466bc06-cec4-4ca5-9b25-0fd6f85af3fd	0	0
6e6dfe8f-77f3-4561-9532-64437663af84	16	1.33348444444444447
2a4ca6ce-b5b1-4be1-96bf-e8cca6b609d6	0	0
7ffe4554-274c-4efb-98a9-123f03437db0	0	0
9d36fe9a-d56b-4613-bfe8-7419f6923ed6	0	0
20326545-daa7-4385-9b7e-f5fc7a72a093	0	0
fec23750-b888-4019-b277-f03904884321	0	0
319717ce-2f94-4209-b274-f658ef9c1351	0	0
c7bd1ef4-6646-4c85-a42d-69660676127d	0	0
f6eec7e0-a214-44f2-b26b-ba5e0b539fad	0	0
9edf838c-daa0-45ad-b27d-e0c5c34cdd66	0	0
c567576b-2ec0-4022-abb1-01f7cef0b238	0	0
9b26bbe8-e884-48a9-bd8d-3cd88a1cd607	0	0
d68dccc4-cf6d-4249-999a-82b32999858b	70	5.83399444444444448
c9a1f4b1-770e-482e-b13e-f9aac58f5abe	0.594125249072381956	0.0495135730837352669
e6e89642-9e4f-4472-ba1c-87aa3c1626c9	0	0
f224b8b2-d706-447a-90bd-046d666a7981	0	0
20f77998-8c09-4e80-9857-d4b1bf14d2a3	11.1837229437229446	0.93203593718133726
9a32eadf-97c8-4e14-8acd-35fe3e845f77	0	0
e92ff1af-e0e4-4869-8685-ce18dc1cdc66	0	0
aa411cf0-bb9c-404c-b51c-b681be942e3f	17.1436818181818182	1.42873063205808082
691d6236-7db6-48dd-aa42-b5cf14b2fb6b	0	0
f34e503c-2cd7-4148-a3b0-f8848e90ff8a	16	1.33341777777777781
be647cf8-2f49-43a5-b56f-ecb4b7c8c2c8	0	0
c39290ff-7b2f-45fb-9de0-06b56cf07402	0	0
7ba2f9ee-1119-4cd9-9c45-995e7d1f23ac	0	0
b2f0eb9d-4a9f-4a2f-ac39-cfe8d7455343	0	0
7e32d2ca-1ae2-464b-99d7-34a9ec2cdaa3	0	0
cfefb361-b165-401a-9023-7ea6fb08d45e	0	0
978ebbd8-d919-4bd4-a3c6-ead64a4d0ca8	0	0
15b61b27-2172-4f75-9ca3-f6305e07a29c	0	0
d5fd371f-5cec-4b8d-8a65-c2cd94fab300	0	0
3663d711-f95b-47de-9b59-d02879611f37	0	0
2dc0844f-2651-422b-ae43-392227a6ffdd	0	0
93dc8238-df61-40a7-9cd1-a03173825b71	70	5.8337027777777779
fe05ccef-6742-4fbf-8590-72fd1dd4df93	0.594125249072381956	0.0495124178401954093
def1ca1a-3426-44c1-8f05-cbc94c216542	0	0
66812196-031d-4c0e-b3a4-fc75ea56ed08	0	0
30d04752-281b-4ab1-90a5-99fde569867a	11.1837229437229446	0.932014191053391117
843d6c80-7bc9-41b9-ac24-7d2876336b33	0	0
8ff5d623-0c37-4a31-851a-4aa88dbfa21e	0	0
58a2e43a-ae92-432f-8395-b4909aaedd14	17.1436818181818182	1.42869729712121218
0e2eeadc-6922-4b64-8b37-d6540419f958	0	0
65e564a3-0500-4cca-87d1-cc3cbaffb532	16	1.33338666666666672
461acda3-19f6-4352-87d4-a5b3950699df	0	0
214dafe8-29da-4ee9-ba74-f2e3ffe522b9	0	0
0d80fe90-b3af-4d03-b970-3290e3eea6be	0	0
4816c2c5-6b6b-4e8e-bc43-15b52468c069	0	0
9056b13b-0bba-495d-aa06-c210aeb778bb	0	0
b4cf859b-0230-49d1-bfd2-9e0b246f2515	0	0
00dc847b-0eab-42a8-afcf-74bb990fedfd	0	0
3c324fb7-7442-4c28-b407-36ec7057050d	0	0
3c6c1bc6-82d1-4fcd-8548-6c584a6d0d9a	0	0
48f95a98-5526-425a-bfed-282b95c119d0	0	0
4c907a76-3642-4c1c-8d18-3a1e430723d5	0	0
6f1e4290-4cc4-4c4b-9ace-38adf6a11211	70	5.83356666666666701
877103f2-4743-4248-ac79-483fa3ec58e9	0.594125249072381956	0.0495257856582995287
e9a4a301-188e-49c8-8fd9-c8feb2a955ab	0	0
4c13b3b7-cec0-456f-8bc7-b3b2426db4b9	0	0
9b15415f-5ab6-4d42-a879-db3e9b4b531f	11.1837229437229446	0.932265824819624833
21467b42-51a6-430a-9e3a-bc9d00b70230	0	0
0fbda114-1ebb-4074-bcc3-d3c25ccc93d5	0	0
26477465-eb99-462f-836e-3023b83ad7df	17.1436818181818182	1.42908302996212111
40c13143-0f55-4b80-bc8f-28a8fd04264a	0	0
f9c19652-6699-4cf9-80d8-e859c7c0a7ef	16	1.33374666666666664
ef812b20-3aa1-4c5c-91f8-096381df917c	0	0
a45ff824-7aea-4da1-b1b6-3f9dbd8a33c8	0	0
45f45534-5a11-4918-bc24-a8d8773182ad	0	0
83b065f2-e058-46dc-9a98-314c4b4676ca	0	0
a3f6896a-6009-4242-879d-fe47d86ab189	0	0
f5382022-2543-4b9c-ac4a-0955e54fe96a	0	0
db6b6e9b-b7ee-47cd-a09c-95f4d7764fc8	0	0
88341ed8-fcdf-490b-bf9e-53bf5891b6f0	0	0
d12091f6-5ef0-40c8-8dba-2b520425213b	0	0
82858675-fe65-45ee-9f03-2c875182286b	0	0
a3d2df7d-be2d-4749-8377-198ca9f34145	0	0
62307ef1-3c45-4aa3-8473-ee32c12afded	70	5.83514166666666689
19781e47-60cd-4a27-9d93-f2961a23d1c6	0.594125249072381956	0.0494965745002201377
e7298577-597c-412d-8fb3-2ec466a68a03	0	0
7be58a21-e566-4967-ad46-3dc8c9b44569	0	0
008745d4-5ca1-4ade-a724-0c58f92c367c	11.1837229437229446	0.931715958441558412
950660f3-bd79-45f9-a231-7530c5826539	0	0
7dcc9a66-6dc7-4b06-81e4-97514c68ed14	0	0
ba87b491-860e-4668-b848-bf94b7e4aa9e	17.1436818181818182	1.42824013227272717
42cb4b02-8a62-4ed7-a193-a3f804a07bf7	0	0
75ea247a-ac0f-4a24-808c-4b58d509c85d	16	1.33295999999999992
7d5672d4-05e0-463f-99f2-96de9a51c6c3	0	0
c715536a-a093-4a0e-830e-fd8977b9ed9a	0	0
c097100d-aa8c-48ac-88b2-b1a63849aa2f	0	0
68593ea8-f059-47de-b584-d86e6ddd706b	0	0
d3e08a88-fdb6-43c6-9360-6ba3f1d5be6a	0	0
d3578062-c337-42f7-b964-f3646737a964	0	0
df85e881-1187-4623-8c6c-5d6762cb11cc	0	0
fa37ad37-6a30-4a38-aae9-b84ac270c114	0	0
4374d8ac-8338-4440-b0d5-d22888c4fff4	0	0
2e77532f-77de-45b5-9939-48f1077ef594	0	0
0479f465-1380-4cc1-99b6-1689ff22cf55	0	0
f9ba1728-44e5-4df4-a34e-c37cb2ce39cc	70	5.83169999999999966
9d77481f-f2b0-492b-95c0-d7a016897424	0.594125249072381956	0.0495200094406002198
3361d518-3243-4232-8609-e891fada5ae5	0	0
ac7506e0-eb67-4043-8d62-ed573a2e2487	0	0
1f195395-912d-4966-9f1c-78b85dbabd1e	11.1837229437229446	0.932157094179894341
1bdf8133-43d3-44cf-83db-e4539990a837	0	0
4305048a-b85d-4f25-a586-da87687ff40b	0	0
17240710-1dd1-4a58-90b3-2efc7ba377ff	17.1436818181818182	1.42891635527777794
b7f0c47d-bbd1-4b0f-9a26-28351486554c	0	0
fc0a776c-58c2-48f5-a43d-8aceb3704645	16	1.33359111111111117
bfdc6e01-7fb3-4083-9405-529a08e7252a	0	0
fd09a40c-a588-47bd-a3e4-37ad5783ca65	0	0
728ef945-3f1e-4191-b49f-12c42e605816	0	0
2220792d-66ae-4daf-a7e4-9000bbacc2f2	0	0
1b129118-3739-4d84-9924-4882ec75d82c	0	0
21593d0a-ba19-4250-b1d4-32202d7103fa	0	0
09a3cd99-b983-4a78-91a8-db7660665419	0	0
7e981ee4-c756-4642-ba61-3295fcac9e04	0	0
1430edf9-fa2e-46f3-a66d-d29d74e05ee7	0	0
a99b9e51-8e83-4a24-aed4-fdb40be87cd0	0	0
76d2f0c3-ab9e-4593-963e-98409dc8e3f1	0	0
a7b7691e-03ac-4a2c-b9a1-77cabe5d0405	70	5.83446111111111154
17826d43-eae5-44dc-909f-5babfb0f6565	0.594125249072381956	0.0495125828749868185
1f6e82ba-9b11-4574-9c58-7384cb2d7e06	0	0
44155914-25e8-46e4-9038-a4be2ee61d93	0	0
0b39f8f8-10ba-4a6e-9298-1ee4cd47dad4	11.1837229437229446	0.93201729764309782
c317db4d-01b1-4866-ac7e-65e866c14d3c	0	0
5d57e1f1-f217-4a69-b29c-dd75a2b3f465	0	0
75b5301e-4d9e-43c8-bad5-921298140f1b	17.1436818181818182	1.42870205925505056
1a8d25de-853a-43fe-b1b3-8f2c44fef3ca	0	0
d628942d-8987-4426-84bf-982e8f9fd9e9	16	1.33339111111111119
90a00b1d-6101-4ecf-a098-2bcd3f67f535	0	0
9429020b-ad80-44a7-9539-8ea9fb1cf14e	0	0
3afbb177-c2f0-443e-b0bb-fc6ac993c25f	0	0
4aed992d-d5c3-435d-a4bc-72034932d85e	0	0
53de922b-20d6-497a-b0d8-7bfa443cdca9	0	0
0d2fd447-21da-4c16-9339-eebf6ac51f0a	0	0
12209e2d-219c-4d1d-80b3-62f0fbb7ddda	0	0
2db0960d-f1cd-412b-b836-03800a185400	0	0
b2de42d3-7c25-424c-9b9b-ebf048c4c8e0	0	0
dc7b9b5d-94b0-4bed-8c6e-fa70bbdde66f	0	0
589647a0-399d-4a1a-8e1e-2fe0adcfedce	0	0
9ff26bc6-32b2-4b92-9fed-503d5cb158bc	70	5.8335861111111118
fe13f6db-68d7-440e-852e-57db8fdcaec1	0.594125249072381956	0.0495681995996916439
d193e4e8-1f1d-4ef0-a242-68a2c0fd49c2	0	0
609f8c93-1f6a-4783-a911-948c42f13d8d	0	0
263193d3-99b5-46ab-b56c-457e4dddad30	11.1837229437229446	0.933064218374218379
6436970b-5479-43be-8903-c50d78002ffa	0	0
1b99f77f-c97e-4479-b374-91a0e571a1b0	0	0
5e328ffe-8146-4522-bc4b-080b86e3ee99	17.1436818181818182	1.43030689835858582
ff6ff785-2fda-4596-8464-6556ddd49d4d	0	0
f2fb179c-d7b6-465a-9956-827c4c2321e0	16	1.33488888888888879
5957c5df-5e72-44cd-a2e0-9db19af99c61	0	0
fba69865-ab5a-4a82-bc9d-220fd81b3199	0	0
5b575ec7-c2f4-453e-ad70-26dd01dec5d0	0	0
a6523e2b-53da-4bfb-97d9-59351f5f1392	0	0
c3e6923b-5757-442f-96ea-20dd3d162828	0	0
40d0a155-ab5c-4249-a297-2f8aca716172	0	0
8c4ab8e1-9209-4e24-a644-4f77d6d3e0f4	0	0
e2001192-1ae7-4a56-904c-4f649723e124	0	0
d2fe45e2-8719-4387-8e1b-a14a12961a70	0	0
0e4bdd7e-a342-4662-b987-a647fba31757	0	0
afd793f6-0b00-4a23-b700-11ce829f7a87	0	0
c1f099f1-ddd2-4172-8ab0-d661623179c1	70	5.84013888888888832
b577e17c-9113-4ffb-b93b-9a82903aed22	0.594125249072381956	0.0494591116025702993
98d11b0c-d58d-4cea-b196-df507a61699e	0	0
c18828f3-b6f6-4b43-9c33-b84212b4a1e0	0	0
6fa12f0d-23db-4e03-a868-09da97807c94	11.1837229437229446	0.931010762578162621
596d12a2-21e0-4053-8677-84b4283daebd	0	0
e96f584b-6862-4cc8-bc27-475d42084a9a	0	0
11f899d0-cf16-422b-87d0-2bcc02766989	17.1436818181818182	1.42715912789141419
e4dd6099-3788-4f4a-bd48-3e47941ad275	0	0
606632ab-637d-4956-894d-fa5faa4f2f21	16	1.33195111111111109
58edb14a-950b-4c6f-8acb-836909926948	0	0
b56d235d-b6c5-4b79-a422-6cac5b29e4bd	0	0
643624e2-7dd4-4d6b-b9b7-3f94390db6b6	0	0
77aefbf5-a26e-442b-babb-5019de033c5a	0	0
0519b230-74e4-4848-9941-d45f96301916	0	0
67b5af9c-bd9b-43cb-ba45-cf8b11f05487	0	0
f368760e-1382-4513-be7f-38fbb5d5220f	0	0
653b6f44-e61c-4af4-85d0-f94861e9f240	0	0
631be97d-b0d7-4d93-b666-2624837bccaf	0	0
080c8d21-8a3b-4aa5-9b3f-c3e94132f9b1	0	0
4e5d1890-db16-42fc-bf0a-e2f4c8ea003f	0	0
bfa33e3e-ff49-4862-a543-e96019554373	70	5.82728611111111139
02cd3230-2548-4546-9c0d-120de8df7f89	0.594125249072381956	0.0495097772835328617
62877319-68e5-42fa-b7f7-2e52cc0b7d4d	0	0
f8c38adf-6390-4b96-bbcf-99aacdcf202b	0	0
5be05302-5924-458c-af6a-e047031995d3	11.1837229437229446	0.931964485618085758
3f5409e8-40f1-4d80-9fad-8ba1bad9895d	0	0
2fb525fe-b450-458e-b5b7-e2014af739ae	0	0
58e0aae5-d70d-40a8-b776-2b612d98620a	17.1436818181818182	1.42862110297979794
2037c2d4-c8af-4e24-a6d0-caa619426bb3	0	0
9dafda76-44da-4d53-a0e0-2afcaa7a9163	16	1.33331555555555559
67c06195-90ef-4961-ba47-ba8f88f09b00	0	0
51bcc18f-ea9f-415d-9b65-ce647002b242	0	0
5fb1e53f-e1cc-415d-b3b5-6a3569527a55	0	0
886133dc-7c7f-44e1-9668-f3de1883193a	0	0
115f55a2-5eef-4119-a6cf-d92479534554	0	0
f3c0178f-f2d0-4205-af2e-cd95448b1dea	0	0
e2f287f5-7395-48f3-bcc6-464ff378ede1	0	0
eff3bd62-ae3b-44f4-b036-a85d6e428356	0	0
adf5155f-0566-4e8f-82b4-7f8f5ca1b8ef	0	0
43256cbd-8148-4272-95ef-c9b0d27c0eaf	0	0
dc2ad757-ad4c-4b15-98e9-38f32ca4e27a	0	0
ab28ade5-f1e4-4299-ab71-10646fccef9d	70	5.83325555555555564
25ac6309-0773-4351-b56a-cee577c55922	0.594125249072381956	0.0495175339187290883
d40ef592-96a4-4289-a2ee-fbe6287d4662	0	0
75c65a1c-1a2a-4899-b05f-19f81e033193	0	0
15ade266-9dc1-426e-8831-3cc47b53e90a	11.1837229437229446	0.932110495334295464
b41d9b04-89cb-4cfd-ae7e-59c1963cbc7e	0	0
314555f6-16ee-4e7b-89ff-78cf314a2c06	0	0
277ce693-a63f-4ee9-9351-fa9c6bcd2dcf	17.1436818181818182	1.42884492327020207
056371f6-41ff-4a27-8ef7-ca0a954687de	0	0
bccb701c-12f7-4231-b0e3-ac231f5704c6	16	1.33352444444444451
a9b94c89-99eb-4ba1-83f5-4fa4ebbf214a	0	0
80e96155-bd12-4f6c-b8b3-9f3ed4b70c9c	0	0
71530f11-f844-4ab6-959a-f5994a163aa3	0	0
59dd8171-b968-4527-a448-857e528ebb8e	0	0
d0477443-aabb-4bd5-a749-43307c402fda	0	0
edc22348-32c8-4bde-ab06-7f1ca4bbdfed	0	0
9146ed32-37e2-4698-bb69-d97a3e62ea55	0	0
b2c99e2d-b17d-4fd8-80a0-8d07665aa075	0	0
30fc3358-64f7-40f9-a28b-b6057dc61c6a	0	0
66126dba-9048-4705-81e8-01999eb977b9	0	0
bd47328b-7baf-4e66-9864-4d6216ac2461	0	0
2ac7ab88-ec85-4370-9cd2-6a9618aa99fe	70	5.83416944444444496
65c35bcc-80dd-4dad-b607-ae1f06c0ac9e	0.594125249072381956	0.0495180290231033091
ac6967d4-620b-4c9f-9d8f-c45229e0d14b	0	0
45397a81-5041-4b3c-8043-6a234e1d4402	0	0
49c027e2-d2ea-44e5-bd58-7cdbc1b1ac70	11.1837229437229446	0.932119815103415128
dddfd4fb-95d0-40b2-a600-e69c3b8088cf	0	0
93ac3b34-3d80-4a9f-bb1d-b695ce9fe145	0	0
a7f77361-12ca-4c9d-afc1-7a625e2df665	17.1436818181818182	1.4288592096717172
21586021-5a2e-491a-9a2f-09046ae61334	0	0
993b5793-8aad-4c62-b13b-78bbd622cc62	16	1.33353777777777771
50ccf9b1-92b2-49ed-8006-91feb600aace	0	0
5bf6e2e8-29a1-4b38-994b-b93922d9ec8e	0	0
f5d57433-a406-4e7d-b0ac-f6b08b50f5dd	0	0
333302fd-2225-4a3a-bbeb-f43be3c8c177	0	0
b3a9abce-9a20-4924-b01e-5098c91355a6	0	0
230ffaf3-f450-4078-b908-428410e5ba02	0	0
a74f63c4-2668-4ff4-9ed9-1b1ee36ef136	0	0
0ce6dc63-62c3-4f90-af7e-6a3e9aec5fea	0	0
6b424507-3599-4c53-8f67-62883375087c	0	0
b4191e65-5a2d-4bd2-82be-8d59360e8f46	0	0
8be3cbc7-44a0-4d03-9458-be6c05534042	0	0
f1b8272c-b0d1-4d53-9a11-f540cd3913a6	70	5.83422777777777757
479c1952-262f-458e-965b-937609cdf77f	0.594125249072381956	0.0495130779793610393
e34c85bd-b3d0-42c5-a222-c98d0133d4ed	0	0
1f01f93d-723b-45d9-ad82-67174c5eb9f3	0	0
df08bd0e-67a2-4186-87d6-abc42dce2301	11.1837229437229446	0.932026617412217484
e4a95c0b-d56a-4fc3-96e3-94d706dfc1ad	0	0
fe3cc673-f05f-432d-a770-6279cca20119	0	0
ce86c3d9-9038-4237-950f-57cc86d765c1	17.1436818181818182	1.42871634565656569
14216a5c-4e14-4269-a29b-e430cef4c8b3	0	0
dc2085b6-78f4-4754-b965-ab6cc4d08bc2	16	1.33340444444444439
242b5f3b-72d0-42bc-adc2-55776797cb54	0	0
c1f5ea63-34af-4ed4-b6a3-273fa5429033	0	0
7ec510af-1598-4355-9809-b30ea589dff4	0	0
2d14ba50-a166-4ff8-a42c-9b3b3ff47484	0	0
af451f20-3332-4d17-9020-1642aa9a5d2e	0	0
b7b06b8a-71d4-4807-b81f-dd1e344c377c	0	0
01d3e14c-19d7-4d0a-8a1f-8aba6430c24d	0	0
5105e75e-d218-4712-ae38-df39fc077447	0	0
683fb7a7-9a1c-455d-bb02-cad1e3beb6ac	0	0
7052c944-889f-4924-9b35-462c0fb476f9	0	0
1d8ff4d1-2feb-4595-a3d9-145fc060aeeb	0	0
7c18a399-c4ee-475c-ba98-8a25295a6b8a	70	5.83364444444444441
c8fe841e-b112-44d3-a7f7-0cdc99fbbfc2	0.594125249072381956	0.0495112625966555447
2b513391-6673-47d7-839a-88fd2ee5c2b7	0	0
a06e07da-c63b-449c-9249-8b0b0602c63c	0	0
45827ada-71a9-4abe-b347-bba387c544d9	11.1837229437229446	0.931992444925445085
47bc05cf-1748-4f63-8cfb-65b7cdbba5a2	0	0
9bc60241-e071-4fe7-bfe3-c5dd1cd88c99	0	0
93b94c51-50cb-4d31-be92-386512d75333	17.1436818181818182	1.42866396218434355
c9ed152f-3ffb-407d-9312-be764fc79ba8	0	0
082ecb39-c225-4cab-8f8b-9d9f588a22af	16	1.33335555555555563
7dcd8e54-4b02-4bb4-9b62-14bc6d9c8419	0	0
49b51752-463c-41ae-90e1-00c00f578502	0	0
f05c0e40-3626-41fd-9cd9-56b73f33d85b	0	0
91b3cbdb-c30a-4f0c-bc24-c73c35a80fdd	0	0
76cf3c6b-ae37-478b-ade1-e14bd2772ae6	0	0
3cf66fde-d3ce-4388-a2e7-d137295592a3	0	0
a8dfe26f-a808-4237-a3d8-d9e1831ff398	0	0
a522ab78-9f07-47b8-891f-94541b32bef7	0	0
0f80854f-254a-43fe-9436-2d119a36fda0	0	0
3da2506b-03c4-4b29-a78d-4df8d0bee0af	0	0
9d473d72-8af7-40a9-8849-a1412246290d	0	0
ecf53523-1728-41a6-b08e-f476e265b790	70	5.83343055555555612
6d61c501-78f5-4252-b5f5-8d7b5330ffef	0.594125249072381956	0.0495142332229009038
22b21c85-7597-4a73-b248-99cd94b41166	0	0
dc8bcc1b-54ad-4699-9e13-8e4d8e02c87a	0	0
6f769980-4ddb-4fa7-bb9f-e2cb082d21df	11.1837229437229446	0.932048363540163516
ea939310-6fb8-47f6-a2f1-96aab02db030	0	0
e4b2a466-b3d6-4f9f-8392-218dae8572a7	0	0
c1e1efcd-5538-4901-ae35-8f76da9751fd	17.1436818181818182	1.42874968059343432
954e63db-0d93-4428-ac7e-819d7c20a51e	0	0
849ba123-d55c-4b6b-950e-ffb5d9a6b249	16	1.33343555555555549
5c745311-e967-4c4c-be4f-b9a3ab2fb350	0	0
294fd21b-b699-46d0-8d66-75d62a619a58	0	0
5064ded4-68b6-4474-8466-1b232bc34c3d	0	0
1945c25a-2326-499c-94bb-81edba032094	0	0
ba542db0-76ed-40fd-beb9-998b14a9aa10	0	0
be008fef-e5e3-4673-a79a-e269936c0bcf	0	0
4c804104-944f-4270-9643-4ee622f174a1	0	0
ff9df12a-62c3-4212-8072-bfd6ebe3a7a5	0	0
a14fa967-7e7a-49c9-b437-d16c80d5d173	0	0
7d9c395c-4c93-47dc-b8ef-8b28acc026ae	0	0
f15b86c5-5d23-4b1b-88ac-97ab7c07f437	0	0
97508af6-5aba-4098-ae62-b1180cab9a70	70	5.8337805555555553
70f380a6-cf95-48b3-b353-824e433b657d	0.594125249072381956	0.0495101073531156802
9cba9b91-c005-448f-ac78-522dc5d3889a	0	0
5267c3d2-6de9-4181-ae68-7b93b7b5f4da	0	0
c981d9d5-8f53-4303-8257-501146256aed	11.1837229437229446	0.931970698797498942
523c2de5-634f-41d3-833a-bf4dda1a9cfd	0	0
5d7cca66-e5e7-47b6-a304-b9210febd270	0	0
46ed3e51-455a-494e-bb46-51ed4c1b65b8	17.1436818181818182	1.42863062724747492
a840c524-3bb7-4985-8f14-3b8f9e7ff714	0	0
f66830af-115b-449d-9740-45b7ec6a0001	16	1.33332444444444453
e5ab3a01-2e6e-424d-add9-7a42a3a5efd8	0	0
2d222693-1691-44c1-a0ff-489d773e4ec0	0	0
83d572ef-61a1-4b68-90d4-96595121d1ec	0	0
0125025e-be00-4fed-97be-d763136b7404	0	0
873ad4d1-2ada-48d5-84d5-c4bcf3cbd293	0	0
30643b92-d174-471e-8f42-fe2428747e84	0	0
b1b13131-aafb-433e-84df-599db9906c2e	0	0
45df4567-d994-4b8f-b030-eec7246b0ab4	0	0
f7095be3-fee5-4322-8ff2-27d6b5d46069	0	0
5525a153-c231-4a2b-ad5f-280511e6751b	0	0
ceff64a4-86f0-4bbf-a6f0-0b6861b08da4	0	0
a9ced3eb-ebef-4f94-9fdb-d14a537b8b95	70	5.83329444444444523
90a58fb3-a81c-413b-9e72-aeaed8dc5522	0.594125249072381956	0.0495130779793610393
b1c780b8-f130-47d5-bb51-87575dc7128c	0	0
8afe68db-0864-4562-8bd1-710922ed8810	0	0
283a3c13-fa5e-471a-b904-d6e4af34cada	11.1837229437229446	0.932026617412217484
4e5f4f2d-8801-4aba-978f-1e67f69444cc	0	0
efab0cf1-1f3d-4533-bae0-d3186cb03d42	0	0
eb389dca-250f-4474-a2b6-75be4fa0dca1	17.1436818181818182	1.42871634565656569
f2ff6e26-9167-4ed9-83d4-4f129f12e2ff	0	0
eedb3636-b165-46c7-8143-eda55be683e8	16	1.33340444444444439
5c826d0e-a54b-4d6d-8420-721b9a95dbeb	0	0
b120a6a2-1595-4144-87ba-1e3ba7840bce	0	0
0e77a53b-ab70-477c-a95e-e165cc4cf449	0	0
c1937a9a-95f4-40ec-9097-c2e58ba2a8b8	0	0
8cab141b-e19a-4fdf-8675-7de47a553c6c	0	0
8acd6c29-f452-4ffa-983b-8fa4dcce802c	0	0
89712791-5f6f-4465-ad4f-45bda7e7a7ad	0	0
d2a49ddb-17b0-47dc-b62c-1edf420dcb71	0	0
faab02a5-eac1-48b8-93b9-6f0377102f4f	0	0
46835011-6ce8-476d-84c8-923dae5c53a1	0	0
3dcc0658-af5e-4958-b8a5-b2ae88d75f6f	0	0
a61efec7-1aaa-4278-8a0b-f1677e64648c	70	5.83364444444444441
19627ca6-e3f4-4925-8c3c-257f7115dafe	0.594125249072381956	0.049516543709980626
9c795655-194a-4933-9aa7-6dd4d5f09375	0	0
885eba0e-558f-48c2-baa2-a70569e17506	0	0
f7820506-df0b-4717-9811-5966383a6208	11.1837229437229446	0.932091855796055802
7623eac8-bad5-4e86-980f-95ced39ab123	0	0
5135683a-ae33-48b5-a947-b56da22f682d	0	0
890e7cb1-c0a4-4847-8cbb-486621dc5ad4	17.1436818181818182	1.42881635046717159
b3293977-5bed-4f30-bb3a-ca7c619b3100	0	0
019bf492-ea0b-4bca-98c8-fc3e6aef51c3	16	1.33349777777777767
5259ff0a-39b4-4cb4-99cd-53114dd17cc4	0	0
a26dbc6d-7f0f-4fab-80f0-9c29e5c47c5c	0	0
fbe58de2-c50c-4705-a0dc-a5239ac91a9c	0	0
508f512c-8c5f-4570-bce6-a574f454221d	0	0
8c7787ba-56ee-4ce0-8dc6-72dc456b2acb	0	0
17219c7e-8a97-48ec-93db-6d1fb04c71c6	0	0
cb5c5184-ae75-4879-915a-9ff928a8a980	0	0
726dc767-1e43-49ba-8279-a4a5a1d04a5b	0	0
6ad42624-2ad7-4f51-8ff5-fa42fa8cfc96	0	0
331a065b-6a28-4a1d-9115-552f2b374459	0	0
9ed1d058-dea3-4b9f-adf7-9d0ef734919f	0	0
c8a6545e-b2b9-44de-8100-3c1cf19eafc2	70	5.83405277777777709
508a6707-d368-488f-bf33-7096d6863c43	0.594125249072381956	0.0495153884664407615
52a4d421-fc67-4b11-80e3-621e97505624	0	0
7580613d-5608-437b-b0fd-6898e35bdd79	0	0
49787df8-b162-43ac-88c5-0f366a40ba68	11.1837229437229446	0.932070109668109659
13692eea-a19e-4352-82ef-b13097c883b0	0	0
b7504614-2512-4042-8401-d754bc7f2111	0	0
dc789853-e123-4224-840c-9edfef127c1e	17.1436818181818182	1.42878301553030296
da9be08f-5ee8-4de0-a709-ebac2595ee03	0	0
417ac2b9-618a-4c23-a857-47211a18bae2	16	1.33346666666666658
891598db-cbd7-4e82-9d59-68956723417b	0	0
1a7c825a-e35c-423e-ba23-24778133ae53	0	0
5287205f-c58f-4949-ad4d-9164b08f0e6d	0	0
24d46715-8fde-4963-828f-defcf71fc221	0	0
08545782-7f5f-4e9c-ae58-d6094778b9e8	0	0
9c98105e-a85e-47b4-b464-f8cbd3bc4fb4	0	0
fa465a97-762f-46c9-8064-48199b2c397b	0	0
59b70f18-a039-41c3-a2a8-8836bf1e1f54	0	0
2714fcdc-52db-4138-b785-177f7e6f6c3b	0	0
5d6a0118-c693-4d1d-88b0-acdbb4a90cf0	0	0
10fc1de4-74b6-41ec-b829-a850539b62d4	0	0
1924ff60-644f-4a8e-a896-d986cdf6084d	70	5.8339166666666662
0d7a9cf8-a4ec-4425-a961-148cc476e14c	0.594125249072381956	0.0495142332229009038
2a291ee0-a317-43db-b021-7ffddeb60017	0	0
62daec0a-67a4-4ed6-a60f-bd2d9793ac61	0	0
731814d7-f9b8-40bd-879d-c93f1d4691e2	11.1837229437229446	0.932048363540163516
a717a116-cc18-4332-a3d3-d6b4e4f06bb6	0	0
84d8f8e7-3cb3-4c58-aaf3-85ba0bec0c06	0	0
1fe6297d-c54d-425b-8a89-b128362be0f4	17.1436818181818182	1.42874968059343432
dd23cef4-d3c4-4a5a-a01c-cc35d67f6a60	0	0
71fbbdb1-4a79-48aa-bff4-8c0fbd99885b	16	1.33343555555555549
8a42ffe6-ebaf-449c-97ee-04123af3194e	0	0
8c43bae9-373e-4418-aacd-703d3b9ab664	0	0
b12ab3f2-f643-4585-8876-c6935f5a7ade	0	0
df82bad0-b5d5-4ed5-8a76-efeee9abda6f	0	0
ac0f316b-331e-4689-b141-282305fd296b	0	0
5e479794-9691-4859-b734-4e34e5000a48	0	0
f761d923-589c-4957-8c43-7cdd3d609d38	0	0
e0470877-6005-47f0-b80c-0808911d9c97	0	0
cdcc1241-3cc9-438e-8bc4-52b3d8ffcc6c	0	0
11805c07-e619-40b3-bc76-1e3da21dbd43	0	0
967aba21-fd32-4354-997d-faa589dbb427	0	0
937f228b-3824-416b-8044-6b5ecdaf159c	70	5.8337805555555553
af4dd591-a32c-4345-be52-2d199df93f9b	0.594125249072381956	0.0495122528054039931
6e4cf306-b06d-475d-ab7e-bf69b4ccf3d8	0	0
a9b93d72-ca5f-428d-ba0a-08cfb3a881bc	0	0
7e4006cd-2ac1-4a47-8454-b6bb871ee6ca	11.1837229437229446	0.932011084463684525
8fbebb29-321e-40c2-9c91-027b7b7ddff1	0	0
d2f8959a-fb7e-4d25-8f0d-fb3a17408e5b	0	0
3ef19d8b-3ae3-449f-a1e5-98689d0e3dd4	17.1436818181818182	1.42869253498737381
010e1826-d837-4b56-899d-4f14e010adf1	0	0
fbb3ee2c-8e4b-4550-8050-77deae4180d8	16	1.33338222222222225
982998e0-324c-42ad-8b03-8a58fc2c9eba	0	0
7e20d130-2cb9-4793-a531-7dd651cbf2e2	0	0
80cf220f-4dc1-4502-befc-af622cf8dced	0	0
1a33ae13-3fc1-47ae-99fe-d8e8dd1a9d53	0	0
cc7a67fb-4bf5-4f35-be58-f2a3194f1187	0	0
afd867b3-8b66-4ae0-9c60-cfd5fe2f9347	0	0
b835788f-4ee7-40dd-9486-a7e7cce9f4b9	0	0
37ebf9b0-3826-4134-8807-c30b721a810c	0	0
f6842c1a-eba5-47c2-806d-ba74cdd19bc5	0	0
f4137d5f-284b-4f45-a4dd-8b35f2921c67	0	0
8c2a75c1-f0e8-4a90-8a13-35ab8449fb98	0	0
a9f7c7bd-c4cd-44ec-89fd-0a9115d4bf63	70	5.83354722222222222
29e5cbe7-bb23-4b21-a1d9-b5a1019f4646	0.594125249072381956	0.0495148933620665407
11dbb731-6dd8-4567-9341-6a5c23b48bf9	0	0
fd877f8b-99bc-4aee-9813-022a8e387e1c	0	0
bb90957a-5f01-4bc5-88b8-a9bb69d8c49a	11.1837229437229446	0.932060789898989994
28788b6b-85c2-49d6-af70-be804c638bff	0	0
99925ce8-cfa4-4e9c-948e-a7b95f4e5c19	0	0
9c73011e-1d1c-45a0-afde-c2bbf8a27d84	17.1436818181818182	1.42876872912878783
383d1c1b-ad7d-4686-bc4a-bdfcf34224e9	0	0
ad4c571f-b4bd-4010-8ed7-60c896850bfe	16	1.33345333333333338
5b35a4c5-efb2-482a-b3cf-2907c19ecfaa	0	0
25d1c02a-c7ba-4254-a969-ee3e0d54dd89	0	0
da067e4a-a7b0-4c18-b075-1f2f60e5ff59	0	0
fefe8088-9e35-4141-a106-d59fe8fe5ece	0	0
d1de2288-f713-41cb-8dfd-2f6aafbea7b1	0	0
3fb8da91-30f5-45ba-8ed2-95dc77efb161	0	0
172512e7-a355-4d2d-9178-561fd792d1bd	0	0
ff3b229d-ef2d-4a7c-b2bb-afe2c6ea12b7	0	0
1240d80f-0577-4600-8870-bbfb7584d049	0	0
a866d3e8-7dfd-4886-8f01-72759a4d49d8	0	0
83ef621f-d885-48c7-af5a-587d0ad9fdb4	0	0
1805bb21-d3fb-4d98-a677-b5c5f5c2d8d1	70	5.83385833333333359
03e88bc8-8a3b-4ac5-837f-f8d8d4d2720d	0.594125249072381956	0.0495076318312445487
135c15d2-7f9f-4d7c-82f0-afe13efaee8a	0	0
cff170af-372f-4b6c-a4f0-5b89a90276ae	0	0
1657bbf7-01eb-4d9b-bcab-58120c36012c	11.1837229437229446	0.931924099951900065
c393125d-71fd-4cd2-9f75-b3390a8e6148	0	0
f6e6c252-1421-4e69-8c52-8fa5fcde95df	0	0
88d19fdc-6308-4a8e-bbae-c558d8c3f439	17.1436818181818182	1.42855919523989905
dafb3a0e-e6f1-40e2-997c-e2db838297c8	0	0
0fdfea8e-0517-4ccd-b2dc-8ac44e63cceb	16	1.33325777777777787
f783df09-08fd-4932-8c9f-8239902897f7	0	0
5a374a04-a9de-4154-9fe6-b12bdd66c59d	0	0
6df60a7f-7c3e-4488-859c-a2a0a5d503c8	0	0
da4b735d-d28d-4543-9fc1-0e45620048d9	0	0
16c0aa70-3ff1-4769-9cfd-24aacafca3ec	0	0
45663eb9-2155-46e6-9ffc-f3c857bf93a9	0	0
b5468b3b-f6db-479c-b09f-09a4567f1b4b	0	0
8d45378b-1acd-4aa0-86a3-10355e72e2d9	0	0
190a3a57-23d1-4063-94a3-895918038854	0	0
e178f454-d944-47d4-b7e0-0ea5a345d565	0	0
969c2d51-617e-4a6e-849f-06c2918e7c63	0	0
4f594c08-5b60-49d6-bad9-0a358fac4250	70	5.83300277777777865
e959099e-adc1-4325-ac55-8cf44ff9065c	0.594125249072381956	0.0495193493014345829
12c42ff0-c182-4c25-883e-b1c5b9bc8838	0	0
f67d713a-1d76-410c-ac06-e1da3be759f1	0	0
96236319-c892-44f0-bd71-b43d18add2c2	11.1837229437229446	0.932144667821067863
0301e4b4-084e-4dfe-985c-fa44430be799	0	0
766df949-e50e-4995-a143-f0001c1163a7	0	0
5aac5008-10e8-4360-a2d8-c6aa6d2d0421	17.1436818181818182	1.42889730674242421
058467b0-bb26-4162-a1d6-3518626b9ed4	0	0
f2279821-dae9-4e2a-a2d8-cb6a1a5fc487	16	1.33357333333333328
14bf8998-67d8-4387-8869-268307228160	0	0
dcbde587-bd7f-4bf8-ae56-27add87edbc8	0	0
94565545-9c90-4114-8128-b0b4346ffbf3	0	0
d506374c-c9b6-4a51-8608-234b55597f1c	0	0
a7abdf3b-3072-4dec-a917-a3e3ba505797	0	0
f81de5e0-3ca2-4367-b78b-c2a74519d0a1	0	0
ade22bd1-44d9-46a4-afd8-16a295203433	0	0
9fb48512-f8d3-4790-9584-9f565e960657	0	0
af9722af-8c72-4fd3-bc06-10a7e9d54ae5	0	0
12824067-6d31-441b-8388-5c7da2f78277	0	0
3c4cbd51-ae72-4625-90bc-7955858c84a4	0	0
5f66a51c-6010-4359-9130-e76ade8b852d	70	5.83438333333333325
8f618d8d-193b-45af-918b-4ca997e09645	0.594125249072381956	0.0495163786751892238
98e72156-b61b-4b90-8a75-b230ea7f27b5	0	0
fa67b4c2-d9d4-402d-9013-38eef4ad47d7	0	0
b3c02af2-b6e5-47c1-ac68-b3bbdab76422	11.1837229437229446	0.932088749206349321
ef8ac1dd-a5b7-4bab-b545-90d784a3a652	0	0
2fb74e72-add3-4bf6-8096-77bafb90798a	0	0
11549cab-9de7-4c00-9f40-a6719c0f10e8	17.1436818181818182	1.42881158833333344
68bab7c9-2eb3-4d31-a6d4-b6a986a2282b	0	0
3b3c1b6d-b41f-434c-96f5-160d3d74fa60	16	1.33349333333333342
c3754294-1733-4bbd-a50c-f0663f285ec3	0	0
2bb5f7e7-544f-423b-9b3c-9e980746fd4b	0	0
a9249e50-6bb8-4eca-a7ae-50572ccdc0b5	0	0
73810c43-83d1-4ebc-85c0-6e1920050c59	0	0
9818d15d-a725-44bb-8e59-6618dc16f901	0	0
fb9b4654-8ef2-4ac6-9578-44ecd24d6f75	0	0
48f8e3c3-2cbe-4da8-8dd7-ab85b0298766	0	0
75433e78-7858-4907-a9c2-e6f88366367f	0	0
7754e631-dfeb-488b-8662-4f099eb6240a	0	0
bad8ffd6-0964-4143-8783-2289c24946d0	0	0
095bef04-efa6-48df-8597-ac73e4a2631e	0	0
bb8f2e24-6b6e-4727-a960-7d510b5bbadf	70	5.83403333333333407
0fe18752-1cb1-497d-9d37-413e5c28b1b6	0.594125249072381956	0.0495115926662383563
5a110528-3251-4482-8a66-9b616ae16348	0	0
6c7551e2-a0d0-4fb4-a2d7-1c7e14782350	0	0
4bb928e1-a4dc-4e6d-9d9e-4681ef5240b5	11.1837229437229446	0.931998658104858158
ca495866-3503-4d0d-bc43-1798553e9f0c	0	0
5850b81a-906c-480c-90b6-36dc9b373336	0	0
98cac2e1-31bb-4ce1-b801-6f1d36c5f4c7	17.1436818181818182	1.42867348645202008
a3f1b9f5-9d9b-4621-ab3a-13f18c2e9258	0	0
aa3773fe-ea09-4e4b-980d-3e61c383ffa2	16	1.33336444444444435
2367cc4c-c194-4df2-aef6-1c6b7892ce90	0	0
57afca6f-2643-4a76-ad6f-e819513fc4d8	0	0
f5a8cc9f-853e-4ef2-8ba7-3c32c85481e7	0	0
5c2d74b5-38b5-45e9-85f0-d3c2c9cb4c26	0	0
fa59038c-3e8f-4256-92e9-95c5910eab50	0	0
a1e450dc-b985-4c98-adb3-645c886e9aef	0	0
043344ef-a52b-4905-8f77-1475d4cec402	0	0
c142d581-ef38-4415-a7d4-25d4c154453f	0	0
b381a602-7758-4444-868d-6133886b303c	0	0
3bbd6609-cadd-4a9e-9c1b-272142cf38cb	0	0
f99685af-765f-4ba1-a627-80aa795ce0c0	0	0
d0aae190-364a-48eb-b5a2-782b5b43e1f0	70	5.83346944444444393
6681fa31-ed10-4d5d-bc1e-5e986b853541	0.594125249072381956	0.04951291294456963
d961ec5e-4757-49b5-9435-e2ff1e89c758	0	0
33ba9601-afd1-49a1-923d-c22db2d37287	0	0
a682407e-f2ae-4df9-92b3-c67701d46fa8	11.1837229437229446	0.932023510822510892
5d9fc02d-09ec-4e2d-a64d-4909a41ca974	0	0
da5a60fc-4d52-4d4b-978b-ce4961426172	0	0
4a8f3e37-eb2f-4d6a-bde7-2543129196f4	17.1436818181818182	1.42871158352272709
af2da1e5-2fca-40f4-858c-81f99c0dc14b	0	0
b851f41d-584a-4a48-91cc-709277b69f9e	16	1.33339999999999992
d8846e68-32d6-4133-a7dc-2cc0a1250d9f	0	0
febbe5f5-625e-4bf2-ad32-f957066aadf9	0	0
694829ca-4e37-4f69-a8d9-955c98c5ea34	0	0
9806421c-19ee-40e2-8e88-201a5f606e4a	0	0
1d7295f5-0c21-49a3-a912-8c3d8e377fd5	0	0
66c2a24e-8ec2-4445-991e-9d8082e02ef7	0	0
86a840ef-cd60-4239-ac44-3feaf824bc23	0	0
65574579-32e7-402f-a285-c9e87cc48658	0	0
e3345ab1-268c-4580-9beb-452a51bbda10	0	0
bc802027-abfc-4703-9266-41f4eeb20b62	0	0
b0f35ca9-021f-4842-9c90-0380d295e135	0	0
7e8da6e6-e2dc-4b4c-b651-63dc901e1b17	70	5.83362499999999962
030b0bbf-8fd6-4cc1-ac4a-9fea4e461cff	0.594125249072381956	0.0495091171443672179
4be31098-8ac5-4007-9cb0-c32eca6b434a	0	0
783ad322-3335-4831-a838-7bddf876663a	0	0
719e948d-3b2a-4a69-890a-473c2d22fbe0	11.1837229437229446	0.93195205925925928
49ddab3b-3681-4e0c-b759-16b9b12cbdef	0	0
c026ddf5-572b-4e18-91dc-d0fdf73e34db	0	0
9501c1d4-0107-4cb5-b01e-a8ffb8c20007	17.1436818181818182	1.42860205444444444
852e55f4-ef01-4ab5-a0e7-ba8ad23d871b	0	0
ce1977f8-2448-4280-9550-a9ef0c03f8a5	16	1.33329777777777769
eb79444b-5510-44db-8f94-bc53a4486a3c	0	0
5f2f5bb5-4025-4563-a80a-c25823925565	0	0
3c536658-8e02-4996-b0be-02af51cfa4b1	0	0
b6a697f2-9210-46f0-ad9b-e4be0b0b1a14	0	0
0fde2837-2953-44c7-b3bf-6872dec9b945	0	0
8f992aa4-4837-4dad-9bb0-a542426c3627	0	0
21929db2-db43-4532-a1c4-74f8f5c3b2ed	0	0
4a9186a2-b171-4d36-a4ac-c1c91e9a2cb5	0	0
9e978f17-c0bc-43df-954c-57334fe7236a	0	0
9881b3cb-316e-47dc-b316-d48760932d02	0	0
a56425c0-751e-42ed-afd5-39351d314908	0	0
ead121df-26e8-4ca4-9693-0b28b7ecd600	70	5.83317777777777735
47676bf5-3041-434e-9bda-48481ef93f23	0.594125249072381956	0.0495228150320541696
0affa190-b4d1-464f-a047-2ea23a3d7552	0	0
1db2b64f-1481-40d9-96f4-e93480dee5b3	0	0
b08f1a80-d1d6-49a8-a451-c5faf9095d57	11.1837229437229446	0.93220990620490618
802e7ee7-0292-4f1d-aba4-b33aec0e41e8	0	0
a6ddbdfe-aff8-4ba6-aaac-27d945026d9c	0	0
4fc6dfd6-7003-4dd1-a932-75018cdbf33b	17.1436818181818182	1.42899731155303011
942ca276-5044-4adf-bb6f-a88a93728632	0	0
89bd7b48-5133-4c37-b587-70802fe44920	16	1.33366666666666656
39f96c42-8a08-42d1-9186-af3c38fda88b	0	0
0d0980e9-244d-43e3-9da3-1523ef33abaa	0	0
6c62261e-dc26-4119-8087-4cb0cd97d769	0	0
b567beb3-ab86-481d-bfc2-c57bcbe090cd	0	0
a990be45-2964-4f85-8801-e664669375ba	0	0
9ffc81c6-0525-4469-b3e3-bbf686784753	0	0
0c5d3d22-8260-4d41-abea-0436a91549aa	0	0
3ba77390-48b7-405d-b74d-4601b8d3d2f1	0	0
137493cc-aee9-45f7-be54-c8a29d07a11f	0	0
f52e98c6-5233-4adf-a9ac-f2e234cd57a6	0	0
805d103b-865f-49cb-877d-d95349ddc7d0	0	0
c178dda1-9502-46d4-a239-bf347678245f	70	5.83479166666666593
223e9c8f-8fd7-49ad-926f-afd5d6f26f52	0.594125249072381956	0.0495099423183242709
e6f4c0f6-dbc6-4be9-a46d-15c4ae93579c	0	0
18ee99e0-432e-42b2-9714-98d37dc276f6	0	0
5edec0d9-40e2-4835-b4ef-eb507a13f445	11.1837229437229446	0.93196759220779235
a17ddecf-d4f3-452e-892c-a45a002785f8	0	0
220a1673-7168-4947-804b-e1e1601c3457	0	0
11afde15-431e-4c96-8503-767433f8ae66	17.1436818181818182	1.42862586511363654
919f9441-14fe-43ca-b2ec-a106e2b5412a	0	0
2d7fdd33-0f5b-41cf-a012-6a0affc42713	16	1.33332000000000006
854a51ac-f9e4-4cc0-a4de-d0bd8c878591	0	0
3525904b-8e43-4f00-be94-f3ecd7cc3566	0	0
72b83577-07ea-4740-b8f3-69034fc07a82	0	0
97b2f76c-80a8-43cf-aeab-6558af92e549	0	0
cba7fc54-8638-473e-846b-4c7aecfab251	0	0
b2a212ab-962b-4b91-a5b3-875e85c7dd25	0	0
089dcd0e-0282-4c94-b451-0bb56ce8621f	0	0
90f66d1b-0895-4619-b729-6cafdab49335	0	0
02a27a55-26c8-4ba0-b9f2-27941c66627a	0	0
71507a57-f3f6-42ff-bba2-b5b24546f7fd	0	0
df9775e6-92a8-4068-a210-44ed38f621f4	0	0
f0235172-7b3f-4954-b11e-fa0c5a8638c8	70	5.83327500000000043
54e45951-f7b0-4bf1-9ca0-d36c82bc23dc	0.594125249072381956	0.0495170388143548537
8541dab6-a6d7-4baf-97d8-e4ad83899667	0	0
fdc21903-096b-43f6-89ed-a22295311f68	0	0
02a0f28a-e289-4ed9-9b78-41002fca5aa0	11.1837229437229446	0.932101175565175577
189c93eb-37e7-4973-a83a-c5a593ce05f3	0	0
c20b41a8-58d3-4efc-97c6-f3c6d5e9901b	0	0
cba6dcda-9ac4-458d-8b0f-baa7f0932bd9	17.1436818181818182	1.42883063686868694
8e7a81d0-2a27-4f74-9d1a-57fdabac4acb	0	0
41fbea2f-edb7-4d1d-ad04-393f1b0d3789	16	1.33351111111111109
97121b52-f818-4cd0-9fb0-5faedfb4585c	0	0
63d195cf-887b-4223-9bc4-c9273bea5194	0	0
da17d338-f218-412e-876c-56e63fd7a7d3	0	0
5fec3ede-7c73-4caf-87e0-692d4ac685b7	0	0
4013c82c-10b4-402e-b1d6-1458d0f2c18c	0	0
08130ae5-f924-4987-b60a-eb347d784981	0	0
fab68eeb-e051-4329-a5ff-8e1abe5c7693	0	0
c3c0d895-93b2-436c-8773-b2012aef2dd8	0	0
bf378e8d-be5c-4479-8d12-768d968579c0	0	0
c62f6517-18d9-4f5b-8c33-3f328925f6a7	0	0
5b653b08-9c9f-4766-89df-2940a88d823f	0	0
b328cf46-7d1b-437d-9aa9-aa636789ebac	70	5.83411111111111147
71ae7d7a-5e87-41ac-aa5c-9d627122d9a2	0.594125249072381956	0.0495110975618641355
a1d77304-c03b-4fcc-8ffc-379065cbb6fb	0	0
ac726dfa-8ccd-4b90-9fc8-7866ad365107	0	0
e827d768-7c49-4fd9-b875-5b13687a92a7	11.1837229437229446	0.931989338335738493
8226a893-1d43-4dbd-ad7c-8e1957a243ee	0	0
abf88597-72e7-41cc-8405-e3b0c9961d16	0	0
42eb4106-799b-4a7d-ada8-7e0ab824f2fb	17.1436818181818182	1.42865920005050517
1c599776-ded5-4584-b2f3-6d7a3ccef2ba	0	0
6b270142-77f5-4eda-b7dd-4266675e4780	16	1.33335111111111115
243f6cc5-f542-45e8-85a4-5f4d284d3261	0	0
8ea73b95-a3c9-465f-8454-dc4abc6ba651	0	0
57231598-a20d-4369-a13a-bcd546461956	0	0
15ccf2de-506d-4675-ad09-72a5f16b3fc6	0	0
1d08e389-c4f8-492c-b0a0-22c966d63ec5	0	0
c68c0c3a-99c6-4350-b31d-60716ca28d7a	0	0
d7abceee-4f09-410e-bc6c-23cd07ab999f	0	0
b02c1db4-dae9-4a38-8361-598037fda761	0	0
4009ac27-9193-4f9f-bd13-c060fbe37136	0	0
ad0a6247-bba0-4f5c-bb56-73815b8df8b4	0	0
9dee788b-c6bc-42a5-a548-5515dcde8f5c	0	0
ad5a1541-3636-498f-8561-bf757f11358e	70	5.83341111111111132
5534ce7f-3080-4bd6-9ecf-2d3f2299b679	0.594125249072381956	0.0495130779793610393
6467540e-3110-470d-8d45-8f4539810682	0	0
59fce0ec-f202-45c7-aae8-517d41e59af7	0	0
71bc87bd-bc38-4a8c-8fd5-e2264ed93d82	11.1837229437229446	0.932026617412217484
14ccbaea-ceaa-4a0c-bd39-24f63b43d42b	0	0
5a9544de-d9ba-4c43-9e36-5113f442bdd7	0	0
4a14827a-3d1e-44f9-a9c4-70e0a5e73e4e	17.1436818181818182	1.42871634565656569
1fc97071-dc79-4925-a9fc-54c95954270b	0	0
eae5a0f1-d5dd-4b38-81cb-fc4ffdb8a6fd	16	1.33340444444444439
5c73fb5b-2ddb-45c4-9828-82a7c5e470b5	0	0
c1234d41-3e88-4155-8df3-7e2e20f9104d	0	0
754b8f67-2673-4057-a670-417de300584b	0	0
1e7ce936-4338-45c9-8c1e-aa92c6e39f9c	0	0
91624d34-44b8-4a67-b405-bad3603ed0d4	0	0
9d67bcba-5c00-43c6-9483-553f1f2852c1	0	0
def0c09d-54f7-4961-b835-f1aea27b70c4	0	0
b65d976a-6728-4d66-9a9b-14bdbb9fe7b7	0	0
e306eadd-087a-4b75-afa6-fca03ad8b620	0	0
3a62b0f6-70a4-49f6-95ea-6afad1ec9dff	0	0
1b2c798e-7202-4df9-a9a2-e8b07f496f48	0	0
c723ab86-aea9-446b-94fd-be465be1a01e	70	5.83364444444444441
90626191-0df5-45f1-b74e-b743724a3bbb	0.594125249072381956	0.0495170388143548537
dcb7b86b-f7ef-4269-aa74-5573f50acb48	0	0
3dc7f574-5a50-4991-ad03-53884eddd2c9	0	0
cafd9ebe-3e10-4332-a32c-a58fc51281ff	11.1837229437229446	0.932101175565175577
76dd0e50-aacf-4617-9c42-c57c6f52cac7	0	0
d58883b5-ae8c-4bf5-a633-f7f3694c961c	0	0
5e9c3fdc-4046-4d8d-ae18-0e582c683950	17.1436818181818182	1.42883063686868694
58335d75-53bf-4acb-9a86-5afecc76bcf9	0	0
90746762-ce06-4502-957e-6e1f9db15bca	16	1.33351111111111109
49273f5c-a2fb-4c6d-bad0-9fc5b087037e	0	0
475465c0-47fb-4a48-8ef9-894b4a1aabf0	0	0
aab1f7d0-5ff9-4baa-ad0d-8e632a7d6f57	0	0
9032b7e4-5bc8-4631-8884-0ad894843ca1	0	0
fe04f814-eae4-4184-929d-439ad502a7a4	0	0
69a86c16-08e2-4b8b-95ad-fdbeb3e2ee3d	0	0
17828bef-75dc-4807-9dae-b1cd8c69ed3c	0	0
7aacdf21-78d5-4996-a143-fd4fbc05b5cd	0	0
df57a6db-405f-4b01-b09d-aa06a6e14b2b	0	0
32a7e741-1839-4662-a775-f6ac3d1ea2ce	0	0
3b9ae4d8-4c4c-4d3a-9f9b-0ea15b33d3a6	0	0
f248e5b7-6c5c-4aa8-873d-ad6eaae6a3e5	70	5.83411111111111147
d300ab38-e89f-4693-a375-b7dfa9d8c7ca	0.594125249072381956	0.0495672093909431885
1a41d503-84ea-4dc2-bb49-6bfd4ab5d264	0	0
1809b0e7-97e2-407d-ad9f-782025ea35f4	0	0
86d240de-b034-42ee-9d16-53a79f61a1b8	11.1837229437229446	0.933045578835978828
004ba266-29c2-415a-a43f-4795efbe79db	0	0
6c0f481e-7e75-401a-a4f4-032c18947985	0	0
e9ed07d0-9925-4ba9-85ee-5260369b4bb6	17.1436818181818182	1.43027832555555556
a6d62cf6-dcaf-425d-b9b3-4fd73c5e31a8	0	0
a9d6cd82-6ebc-4610-88da-475211e23be3	16	1.33486222222222217
87b218fe-6849-4e9f-bfc5-6a754ab2eb61	0	0
e0ff2ea3-4c53-4dba-a64f-d95ad8dc5698	0	0
4631b926-8783-4192-a862-24540a11ef01	0	0
2374cc2a-1da6-4ea9-9ee3-f1aa513e1143	0	0
5e41c99f-012c-4c15-9d3a-e4cc1666ba61	0	0
e1dadf2e-2dbd-4a3f-a009-035b7c4f08eb	0	0
4e965c8a-16a9-4b6c-8698-9bdd74382508	0	0
8f412789-ee77-4586-ae99-919d97a5e47b	0	0
528b9cb7-832d-4d84-8d44-7fa1494495f6	0	0
bc63de05-7fa2-4a32-bfe0-936cda61aafd	0	0
c242b33d-ca4c-4a73-8d29-6d3643ff756b	0	0
342f7675-c23a-44f7-85b7-eac60f91abb6	70	5.84002222222222223
62745f21-939f-4792-a8a3-6c98549c1024	0.594125249072381956	0.0494584514634046693
0cd757a7-c8d2-466e-bde3-e1b6fcb143a5	0	0
add04ca1-aeb4-400f-8f99-1a090787de55	0	0
59a72044-9f61-460e-b772-b91a4a02dce0	11.1837229437229446	0.930998336219336364
b9658be7-f25d-4763-88fe-361522c0170b	0	0
bf3420f2-b4c5-4e30-beca-8da514f53162	0	0
f366e669-b304-45dd-a5d0-fb93eb0795eb	17.1436818181818182	1.42714007935606069
eb42d05b-433f-46f0-9b04-121f34b2bb00	0	0
51998706-f0ee-43d0-b1f0-94f6253876af	16	1.33193333333333341
ce206462-ea9b-41af-be4b-c3a57642cbc9	0	0
54734eec-2f5e-4676-8121-12990f58552b	0	0
9f6829db-789e-4686-ab26-6f881d81d52c	0	0
15420cce-2c1e-41d2-b3c3-95ef04656ad3	0	0
672944d3-b1f2-4a73-a4fd-84dc34f436dd	0	0
e32fde83-1686-4d43-aff3-838bb7878f10	0	0
02a82b65-4f7d-4402-ae73-ba530d3370ba	0	0
e823fcb1-28bd-4c6a-a338-28191e038938	0	0
20b04e91-161a-49f3-9ab5-36dddbc7402f	0	0
63ff1831-4f7b-4bc6-873e-cb646c680e1e	0	0
2499ea9c-1bf6-4d39-a27d-b0da8c665c20	0	0
c7cfc797-9431-4473-83db-c84561337974	70	5.82720833333333399
24ecd609-9972-40fd-9b5c-bbfafb52199f	0.594125249072381956	0.0495135730837352669
e5d6799a-44f3-4a23-8dca-c895193aab30	0	0
a8065bd6-1eb7-475a-ac5c-7abe9155675f	0	0
90f00458-c5af-4e84-b730-4bd5b441e992	11.1837229437229446	0.93203593718133726
02cc0979-5019-412d-9c63-7fc9a1f6047a	0	0
17599a16-9c84-4897-943f-74fa335288b2	0	0
f96de833-7889-480e-a7fb-a41c2c68055e	17.1436818181818182	1.42873063205808082
bbb6bb88-2d50-45fe-a9b1-02362af68df1	0	0
9e4e5bb9-0869-4d15-a950-4b44e477b1d7	16	1.33341777777777781
33105dd6-bbde-401e-81b4-be17e0a2d4ec	0	0
0d5c8483-56bb-4321-b5b8-805762afd82e	0	0
d0f6f907-1099-47e0-ad1b-a53fe8a43102	0	0
aec84477-7616-48f4-b69b-f2df7c048f1e	0	0
6fe3429f-2885-4516-96fe-29b80d00d8ec	0	0
356e4d71-3676-4db9-a0f6-d253177a53ea	0	0
29f4b155-4b6d-4fef-91ca-f81de234ec8f	0	0
46d8179b-b2a4-43e9-996e-25c90557ccc0	0	0
d93206b8-ece0-4013-8ca7-a290c9ef8beb	0	0
6c1e13ca-6f47-431a-843d-38992859ce5d	0	0
f59ef5e8-94e4-445b-af5c-c67ad2709bab	0	0
2feca5be-9cf6-4029-bbbb-35059fc34568	70	5.8337027777777779
449b1398-94ee-4a75-a3b0-77534a19a192	0.594125249072381956	0.0495091171443672179
e9e11ec7-22ee-4dc5-bce9-0eb39261f88a	0	0
6f8b9958-ba1f-47d3-98ff-1dcd94d8f833	0	0
4cc768d2-5ff8-42f5-b425-b6398bc9d948	11.1837229437229446	0.93195205925925928
f291e0af-b889-4b1d-a79a-409b222a4ad8	0	0
ab9ac092-e15a-4e7e-9721-d6401f967f18	0	0
e0a77bc8-fb66-4e8d-bc62-b5b97b08e1eb	17.1436818181818182	1.42860205444444444
3ad7fe8f-b040-48f5-8601-4a56137b8c41	0	0
36432f03-87e5-4b33-9bf0-a6d9f0c7a241	16	1.33329777777777769
78aff9ce-f365-4a27-8e77-8f40c1a85ec7	0	0
fcf2e80b-a41c-403e-908f-fb92cb979a3a	0	0
dadbf539-6851-4959-8623-178e9dd2cd3c	0	0
9dec37e3-c95c-4de1-b768-9fd1b64762bc	0	0
1898c7c4-c31f-4fc8-ae16-3c0d35fcbbd8	0	0
71a331cb-94c5-403b-a35a-c01dffaf8226	0	0
6be03ffb-5f29-4f69-9d6e-97921a8c0110	0	0
19615c75-1242-4eba-945d-07b5ac866c99	0	0
736e4092-338a-449d-9167-ca4b113862bc	0	0
40a2085e-db1e-4ecf-b71e-b00081004a62	0	0
d59ad3de-b751-4220-9a30-ff91b544c183	0	0
1424d872-0528-41f2-8f44-dd9065c32d20	70	5.83317777777777735
1fd2082d-4cb6-4f1c-a703-5441fa348db8	0.594125249072381956	0.0495190192318517713
20688ec3-e1c9-4c55-a6af-3c870d326880	0	0
26381190-e5d6-4687-8084-6cb9c0ce7377	0	0
15f71216-b842-4ee6-82e5-cc30e763c4e3	11.1837229437229446	0.93213845464165479
64f6cad2-bfb6-46d6-88da-e9981c8a3c2e	0	0
3711b91e-acc5-4e60-b5c8-d3d08c6c1ef6	0	0
4108e84e-656a-4187-8fe0-847b97dcd831	17.1436818181818182	1.42888778247474768
1e3bbefe-9fa1-4755-a999-15ddc10e8b65	0	0
7d111974-3714-4697-b54c-11cc06d0a4b5	16	1.33356444444444455
b6250e01-e1cd-4bfc-94b5-692442abc29c	0	0
979abff0-afdb-4b5f-940d-f8d3649ea356	0	0
6460e6c6-59e4-47c7-8b40-93b9990a0fc6	0	0
e61d09ba-c71f-4152-bfcd-1ae2f776da88	0	0
af358754-b094-43aa-91ba-24852417faaa	0	0
f5bf641a-939e-4ae1-98e3-6b29c7c37e37	0	0
86f89030-2bb3-44e5-a7fd-5e3a2bc8a0ce	0	0
870914dc-ef8e-46d1-815b-ddbe59b9fa9d	0	0
1844d74f-799d-4d34-bcd0-665eac643593	0	0
385f7bd5-544c-4598-acdf-d2b3c0424e14	0	0
fa75e098-9000-4790-a9b1-651c4fe04c69	0	0
658b8033-bb0c-454a-8b3a-9189998817fc	70	5.83434444444444456
b85a6788-b2b0-4aea-90e8-35a8c92ac786	0.594125249072381956	0.0495127479097782208
be56fb8b-46e6-43c9-812f-d8b84796e70b	0	0
467b26ce-0485-4f40-8551-c56547a9d1fd	0	0
0116c4df-8300-4f16-be87-5e4cd4f2d9b5	11.1837229437229446	0.932020404232804189
a33f3b1f-bfb3-4aca-9f01-38ec899b44f6	0	0
b43722ed-fcc1-44f5-a8ae-95301d5d3b09	0	0
5e8002d0-18ea-4af8-8b37-6de9d0f5d289	17.1436818181818182	1.42870682138888871
0f06522c-e6b7-43e6-b7c1-fbfae06ec13d	0	0
e6ab5818-6b43-4edc-83dc-5da7b67a60c4	16	1.33339555555555545
4e35b29b-1b10-4130-9027-124ad0c5d1a5	0	0
f01ede86-641f-4af3-bdb6-8c3b861d8b16	0	0
876a537e-0f96-4959-ac54-751e635238bb	0	0
f310bc27-3025-4af9-8a19-46ad3cc37dfd	0	0
0418d633-9cc0-4114-8844-7dfafa275ebb	0	0
b998b87a-dc6c-429c-94ac-9d14d879e14f	0	0
e33e881e-5c16-45ae-9b7c-d922e7f79aca	0	0
a78a1d83-451d-43d0-baed-06ff043b8e65	0	0
41d4ecdd-2c84-4333-9679-e5ecaa9a1806	0	0
598dfd59-3480-4f47-b6b3-c62792e47c7c	0	0
0fefd57b-7956-4290-8ae5-670cb7bc96e1	0	0
58e4b458-a1f0-4267-bc24-43f36083a81f	70	5.83360555555555482
f0170848-b407-496e-848f-dc35917c9e4b	0.594125249072381956	0.049516543709980626
a450af0d-2e7f-4225-af41-5ab9a4d02178	0	0
7d361a26-b37f-4cc0-9028-8ce41c2cf69b	0	0
89f372be-eddc-4dc5-b748-25fc0804c19c	11.1837229437229446	0.932091855796055802
bd7fab82-b43c-4034-8916-560c23ae7fc3	0	0
cf89f860-ecca-46f7-8c9d-29b024c1ae04	0	0
423eb076-8192-4b51-b6b8-0a563b8144f7	17.1436818181818182	1.42881635046717159
4906e164-e27b-45e1-af66-9325621c1e3c	0	0
94c0506f-b5db-4f4b-95ed-cd0fd60f721b	16	1.33349777777777767
cdb7367e-2ddc-44d9-b3ab-e0ecff5bfddd	0	0
e6d67db8-23d5-4f21-9773-98d23ccfa266	0	0
1b5dab8f-2c4f-42df-b65b-a9d13413d18f	0	0
37bc4a43-3666-4019-ac17-abba25e3a352	0	0
88f3836b-65ea-4764-9548-a9a01ce462eb	0	0
18ce9fbe-dec9-4269-a363-4f4117510a5a	0	0
a1b79fb5-59ed-45a6-aca6-2a378250e383	0	0
d5502078-1602-4322-b38e-deabb458cbd3	0	0
646de824-7afb-455d-8c60-f9342f831a81	0	0
2902be19-5e6d-43bf-a68f-06377b97d317	0	0
df9bcfa3-6498-4570-83f6-aef562fab10a	0	0
05b25a71-9277-4472-a015-5e9a6a930488	70	5.83405277777777709
01c678b9-76d4-40c7-86af-c28fc72e4bc1	0.594125249072381956	0.0495122528054039931
c73766a4-0379-4f68-9468-34f409917569	0	0
0ba08bda-56f4-40a4-b990-eba90f834c0a	0	0
391bf3ed-1dd2-4a26-807c-a47555ef9f2a	11.1837229437229446	0.932011084463684525
9bbf2467-f771-4b6f-a7a6-ee561c4a68bf	0	0
1f129385-caf6-47d8-b8ae-859b230d3100	0	0
51d87cb4-d8bd-40eb-aa0d-d63beee72509	17.1436818181818182	1.42869253498737381
6ed2f89d-825f-442c-a85d-719954d01b26	0	0
c35b0117-828f-4753-937d-7d0a1425908c	16	1.33338222222222225
53a19f64-f754-4f2b-9acd-3484ba295318	0	0
faabf939-eeaf-4243-b9d9-3bfc6b6d74bb	0	0
073743b4-c86b-47ba-9bc9-9ce2c1d25c80	0	0
7505eaf1-2421-435e-9581-ff795b1122d7	0	0
9ba74bba-c943-4ee0-8e01-29a65a90c29b	0	0
8ea90a84-084b-4f3f-b118-4eface861813	0	0
4f4600eb-2ab8-4e27-bb08-a805c7f7f25b	0	0
bc95c759-d12d-448d-953f-11a6d103b42b	0	0
f0124ee3-a1d3-43d3-a522-b86e14c02be9	0	0
3624b768-6400-41c5-8e15-5b278c467d9f	0	0
24e00cc8-bad1-46e4-b393-659b4c16eb5f	0	0
feb7fb80-4f42-4aee-973d-1067cdf395b8	70	5.83354722222222222
e5507162-36a9-4302-b0d9-cc755fe49ad9	0.594125249072381956	0.0495137381185266762
1edd8e3b-34c4-45a6-b10d-f2de85cd7b30	0	0
3c06be2a-6792-471d-aece-6cd1604a3eb7	0	0
f58b5c4e-8c88-4ad2-ba62-1be0f65c0fc4	11.1837229437229446	0.932039043771043851
9b52a5dd-5b55-4f09-852e-812ee9d58fa3	0	0
f2146f96-e4e2-43fc-ae60-cd8ed7e6f00b	0	0
e59212a0-2775-43e2-871a-e9eab1039337	17.1436818181818182	1.42873539419191919
a4f76452-466b-4974-9cce-f831d1d04590	0	0
8d7d3b01-c1be-431e-a478-44ea391a23c3	16	1.33342222222222229
4397db71-817c-45fd-b0e1-846d0cf462d9	0	0
f7f1af3b-cfa2-4dbf-b1c5-fdb6b9069e3e	0	0
fb0eb028-aed8-49d2-99d6-5f0566148fba	0	0
f7ff281f-d11e-4ad0-936b-37f4a45a06a5	0	0
6a669cf3-2c5d-442f-bd36-4d125f5a6d19	0	0
940c7201-7bed-4193-8d68-780acd5667bc	0	0
5dc1ac9f-f216-49b3-8c18-fee6d11908de	0	0
ec5f22b7-992c-496b-9bac-ce890ab8f701	0	0
9a92b872-e402-4016-82b1-41b43b9aea71	0	0
049fbd0d-625b-4521-88f6-b92c288e6eff	0	0
611e7411-317f-4797-9f65-2914781520bd	0	0
51dcc76c-1bf5-4cc7-804f-3c5f56302a74	70	5.8337222222222227
1e873a1e-dd97-41cd-9510-051ddca2549f	0.594125249072381956	0.0495135730837352669
3579050a-0fa5-4e55-bbcd-2549123fadb2	0	0
96071fe7-191f-49f3-909f-40b2c5091c4a	0	0
9a1a7662-d7be-4a31-85d7-bad3f3d6a267	11.1837229437229446	0.93203593718133726
3124ecab-af60-4c65-88ca-70b02ec0f30c	0	0
fa14033b-0e2b-47e7-b0a5-f23dcbaf934a	0	0
44b2be01-638d-4c2b-b934-a37ffed5c8d9	17.1436818181818182	1.42873063205808082
e71b31ee-8f6a-45f2-974b-0af58e4fbc5a	0	0
95b082d1-cb9a-43d2-bf43-5c9c480abf16	16	1.33341777777777781
09a1fdd2-6562-4054-82f0-597576d4e586	0	0
254d7671-368d-4613-8adb-e2c8714b0571	0	0
b2d93201-cf4e-4d70-9d87-11b18219b186	0	0
808014ab-1d16-46cb-8beb-90dfb6acb81b	0	0
cfa55104-a7b0-41f2-b5fa-466bdc4cfda0	0	0
e4a6d6b7-53e7-489a-a0c6-41a8c3a4d2cb	0	0
d7d817da-631f-4df8-937c-670b5ce10dca	0	0
c858b67c-d7d4-494e-8b3e-eae8750f7ac9	0	0
0a87466f-e6b0-41ce-8e2e-2ab91d5f02a1	0	0
6a3a2ed5-34ac-4fb5-899a-fa26f72cc7f3	0	0
568f91d1-aedf-4064-b3ba-3d68fdceffa2	0	0
b93c853b-1c9b-4f2a-be62-5a29672a68ad	70	5.8337027777777779
30b8b6bd-d266-45a7-b522-1795b0f0640d	0.594125249072381956	0.0495148933620665407
634d6edf-dda4-4efa-b561-ba049f6413d4	0	0
d952a293-d3bb-4d48-a751-bf23acec6684	0	0
17c5aea5-2f88-4e3d-8df5-59b168d8296b	11.1837229437229446	0.932060789898989994
552f7572-cdb2-40d7-97dc-d86ee0021c4d	0	0
90c24b59-46f9-4aea-8bcd-a4cba9f0687b	0	0
f0b3b46d-3a12-41f0-8cce-a07e246096d3	17.1436818181818182	1.42876872912878783
f039ee06-ef66-4836-8706-c9ab9767e4f2	0	0
b44279df-1141-48a5-a88f-7bcafc59f828	16	1.33345333333333338
93f19498-bf5d-4393-ab9a-fe1c8d0c5a06	0	0
8cb5bfa2-0e20-4ca3-a58c-821d998a18ff	0	0
0d5be810-11ec-436e-a373-f056e90dd5e9	0	0
93bc9398-ca22-4cd3-873a-69214473db33	0	0
64defbf6-8685-4ebe-980a-bf3bb69a418d	0	0
eca7715d-11d9-444d-a01a-f61696b6c2d4	0	0
fa9dcc43-cc01-446c-b95d-44bd525224dc	0	0
b24db455-1065-4a61-bfce-11fe6ca83eb3	0	0
164b2c3f-bd66-4f92-ad2f-31ae11eb0493	0	0
18f1be52-05de-4e89-8338-e510784fe512	0	0
ce4a38cb-57c7-425f-811f-226d52060f97	0	0
76823f2a-a523-419f-a003-15433e4a15db	70	5.83385833333333359
e58f110c-9676-4591-a71c-a4d4defe9ff9	0.594125249072381956	0.0495137381185266762
96ecd524-c12d-4d80-aa8e-8e5df9458733	0	0
61d276e3-6ff0-4a31-985c-315727b1bdf5	0	0
d063f324-1064-4a21-95c5-79515d680c64	11.1837229437229446	0.932039043771043851
43857781-1df5-48ee-a107-1c2deb8a5285	0	0
55c43364-2164-4515-9739-d028e2b9da11	0	0
6b594a92-1c5d-44a9-9294-528ed31c1e79	17.1436818181818182	1.42873539419191919
7b475256-cb06-4865-ad92-4b62a2267a20	0	0
48d6d512-f4c6-4e59-9f7c-7833cbbb3e95	16	1.33342222222222229
97622074-eaea-4d83-b38d-1ffbf0d28dc3	0	0
9fa6c19d-c2ac-43ea-ae88-e1d545e151b1	0	0
fd1f9bdb-8a7a-4a5d-a576-b06dfdee90ef	0	0
23f327b8-366a-4c3c-85f1-abdd4b8dcf4f	0	0
dd3cb557-807f-43c3-87dd-7bf6b7e2b62a	0	0
7e7337fc-0e93-426a-aedd-a7d963e5d491	0	0
c4ba0d44-a1b5-4f11-a201-3f45cc3e2206	0	0
e17694d9-c6f9-4bdf-842e-8f8fdd6af0ba	0	0
d927f1d5-728f-49b4-8472-773dbc1b88bd	0	0
779383d0-bdb4-48e8-9b3e-eb71fc92e3ac	0	0
f2f7f7d3-dada-455a-9e7f-eac434664d22	0	0
c8204e1a-e518-43d7-a41d-eb712b178818	70	5.8337222222222227
b117004f-07b2-4184-a832-40026128b611	0.594125249072381956	0.0495135730837352669
200f067e-13f6-448b-b30f-3e7a533754ae	0	0
48b7cee2-c957-4957-8201-f5cca8934754	0	0
e50cd208-40cb-4b30-8482-4cd8d2b9213d	11.1837229437229446	0.93203593718133726
2d1c5776-e3f4-4e73-92fe-8286f836b50a	0	0
db11a007-730d-458a-a8f0-83231514179a	0	0
733fb7cd-55d8-4569-be90-d91e7ffcd122	17.1436818181818182	1.42873063205808082
442a2d01-80ca-4e49-a062-68ee08d4f6d6	0	0
22ec9e31-089c-47a6-8583-72a7b0389b43	16	1.33341777777777781
d51e3847-139b-41b9-8978-2fdb9b69004b	0	0
55f2d134-024f-4d40-9295-77b693559bf4	0	0
79bcf537-2f59-4e9c-bb5f-f55e0eb0ede4	0	0
2b699115-e815-4bc6-8a40-18d0dfb878be	0	0
3b32fcf7-6f85-420a-b98c-4a873fb8f04e	0	0
72616ad7-82d1-45b6-ae16-a7f6bbdc74d2	0	0
cbdaae4f-a963-4d41-b1b4-c9180519c170	0	0
15d574fe-a035-43eb-a5f4-e47dfa22360e	0	0
840d8a6c-69e5-4320-bb56-abac3b1564d4	0	0
acfeebef-e77b-406f-9285-3ba9ebd23e69	0	0
4c645912-989c-4879-8943-43fe2c2ec16a	0	0
fb45a1e7-5347-4ded-880b-e992244edcf1	70	5.8337027777777779
a4c5b1a9-dcb3-4036-80ab-7254abeca903	0.594125249072381956	0.0495134080489438577
a5b64738-f217-4359-8804-989dc1469aaf	0	0
de354cd0-0603-443d-bea7-a39ca9cea2a4	0	0
5f18368a-1b52-4baa-b706-98ff3e3bb68c	11.1837229437229446	0.932032830591630668
11d5f6f6-8c91-4743-8af8-de289d39c586	0	0
ea79fd9a-740e-486e-85d4-b669a2f25a71	0	0
8a44fa62-0795-4156-9a1d-6a594cf70b44	17.1436818181818182	1.42872586992424244
dab0d5aa-39fd-48f3-a25c-138741211e5f	0	0
e41c9989-9ba3-4449-aedb-32ebb384d9bc	16	1.33341333333333334
0de137e6-75c3-4f65-8361-9561961cf204	0	0
8170d375-b06a-44e8-b3bc-761f64c5cbd5	0	0
77152f39-9cfa-4223-8024-647586e2976d	0	0
e0c91ba1-ac3e-42cb-a7b9-98f8c97b0e1d	0	0
65eafcad-58bc-4356-bbe9-c5703ede3244	0	0
72816a14-e687-4249-95e6-da94f5a3b069	0	0
874e04e6-2372-4b47-be56-4d9123cf0070	0	0
270b3f6f-96a0-4bf0-8408-88f0eef9a82f	0	0
84112141-4aec-4905-9f4b-39df9ae78886	0	0
f3099c11-563e-45ef-85e1-a823f01f3d08	0	0
15595163-bbb2-4acf-b21b-d7de793153d4	0	0
6130b536-d114-4a66-b9f5-fe97bef38cac	70	5.83368333333333311
020d82bf-9b85-4314-b007-285c3db4910b	0.594125249072381956	0.0495158835708149961
7c3a610a-2716-495a-bf53-42c7c6e0479c	0	0
d8cc013a-161f-45a3-8c09-7bf7d2f11c79	0	0
b5ec8a05-6b0e-4415-8406-95adee7f81e3	11.1837229437229446	0.932079429437229545
c7707de8-d329-4806-a237-51428b0c23ae	0	0
cb74662d-c840-4660-8755-3038f45c8c52	0	0
584f8841-fce4-4989-9497-4784bbcde682	17.1436818181818182	1.42879730193181809
de3ab82e-db92-4cea-a95d-1d0561d23bbd	0	0
9b751e33-a608-441b-a1c6-a11c2364aa88	16	1.33348
37c43fa4-3265-4e23-b232-377ab3b33798	0	0
444a3533-ee4e-4137-a58e-99316764c2bf	0	0
aac974ca-3816-4087-9252-5e4be8cfe8a8	0	0
db016b9d-797a-4d35-8897-1d642ffa52d0	0	0
33421a74-8a1c-4b84-8fa6-8db74c926668	0	0
0a00030f-3099-4d69-b33a-cf7ed4863e0a	0	0
379d8f19-952a-438d-bac3-431f332a919f	0	0
66cd5150-4fc3-4f5f-8759-1cf0fe6fad28	0	0
2aa356e4-23c8-420a-a549-0b75e3ea36c2	0	0
92ed35a9-a809-4a0f-b105-9dff47cf38cd	0	0
ccc0c505-5a08-41bc-9442-3bdebd25f32e	0	0
bf73b284-11ff-4e36-9b05-61f247a974c5	70	5.83397499999999969
fc3a6802-d32a-4104-ae01-d600804ce765	0.594125249072381956	0.0495127479097782208
4229ba6a-7e5a-4a36-b477-0c93d614c452	0	0
e6c58f10-0883-4a00-bec5-e502d8f27843	0	0
c0571d44-6033-4e0c-bddc-ca0a3e8739ea	11.1837229437229446	0.932020404232804189
7d7ec14a-277b-46b6-8a97-10fa7e1e3c9b	0	0
6215c560-4256-4d20-abb8-f8e1afe35f1b	0	0
1a50e48e-b955-4e87-b45c-41839d59ce16	17.1436818181818182	1.42870682138888871
68978f35-8a64-4556-a48c-805d92e8e80b	0	0
5da14fb6-f24c-4d70-a183-85cb48c351dc	16	1.33339555555555545
61e95123-fbe4-4c59-9a5d-4e9bd7d79e63	0	0
1f3f81ac-7236-46c9-9dca-c86e06779ca0	0	0
2f017f46-697f-41d5-8482-eef38c6ba96f	0	0
6100c50e-cc5b-4f37-bae1-eddf5745c193	0	0
8c96c9fa-eeae-4adb-8bdb-869b50d58a24	0	0
9e29a0d2-a769-4023-a51d-6356642214d6	0	0
5449334d-432d-40aa-9179-4a19ca38ebfb	0	0
be9342dc-938d-4a3d-bd37-592f68b1000b	0	0
9adf8e64-edf0-4414-8e00-557e10c9db1b	0	0
ded6d66d-9c34-433f-b688-00d1f654937c	0	0
719da28d-a3b7-4496-af32-108d860ed752	0	0
baf85750-99d6-4168-886b-e48963c87979	70	5.83360555555555482
6c5488de-83b3-44d3-98ce-cbcbaefa90eb	0.594125249072381956	0.0495137381185266762
82f66d49-8eb1-49c8-94f3-631de340c2ac	0	0
dfc4ded7-ed6a-4abc-9434-a6b7f902c99d	0	0
06117385-3685-42ad-a0c8-70afdb7831ac	11.1837229437229446	0.932039043771043851
86e449f7-4c42-4530-bd88-97072a148ae8	0	0
9eb7e275-1afb-4fed-9198-1eac96425ef2	0	0
a3b95c38-6708-4e5a-8789-e8ffbff138a9	17.1436818181818182	1.42873539419191919
46dbc619-8f7a-4d96-b0f1-d07613d92b8a	0	0
95ba4a05-c2a8-47eb-9bce-5fd508f8ebf4	16	1.33342222222222229
be4137d9-bea1-4043-8fb4-58369dce79a5	0	0
452d618b-421a-4ba9-a484-d09d711129b3	0	0
ebec81aa-458e-4422-aeaf-5e9b2fdcd5f7	0	0
c72b1885-ea1a-4097-809d-c1c8e043a1a8	0	0
4c7b8d4f-3401-4649-b2d2-5f71d4d0d1c7	0	0
4111b6f2-df8f-48dc-a2c5-e45b2e1acce5	0	0
a8e57b54-b41f-40b7-9571-f25020b86dc7	0	0
59eccf3c-b973-4422-8689-68d2e3cb7505	0	0
245b43d1-47c9-4430-8aa9-e3bdd8be7a86	0	0
87785ad2-ce82-45b5-9d41-070d8ad3fae2	0	0
00c6cc40-e828-4f8b-bd91-51bbdb65d94c	0	0
7e949003-8811-4460-b383-1147f03eb24c	70	5.8337222222222227
599c90d1-af53-4c54-9825-997bd462c3db	0.594125249072381956	0.0495120877706125839
4a412b6b-f226-4119-98dd-773385cbffc8	0	0
842124fb-65a5-49f8-b8bf-8c0404ed0971	0	0
d7860e1e-6144-4a7f-8632-9ee4d403bddf	11.1837229437229446	0.932007977873977933
5e22c13c-1acd-4005-81ba-c13bdd467b74	0	0
ffa0728e-6b71-4dad-b2c5-736da5141a8e	0	0
101c0a6a-a891-437a-8e2b-47d23f721e4b	17.1436818181818182	1.42868777285353543
f0fd4b9f-d6b1-4768-823f-4e464f986432	0	0
5702db57-82e6-455e-94b8-8afc5c07a300	16	1.33337777777777777
17e0414d-d7e0-432d-a4a3-2a04bac52f79	0	0
38e5c499-8822-4fbd-b3d1-62f8ac0d30f8	0	0
56821225-32b1-4e07-8d62-8b80511d2648	0	0
f4dae2af-b797-4646-9419-86fc35b2224b	0	0
eb4672dc-f846-4103-af0c-08b685774a04	0	0
5ba7132d-8b43-4b07-a975-6478d6dfb67d	0	0
57351b65-c4c5-4805-9a2f-0ac151bc3436	0	0
c0fe9371-b815-4b60-9fea-53efbf24ae59	0	0
77bea3ee-2572-4c47-b544-d7f0bc86ed45	0	0
bba992dd-5fca-4aa3-9728-63b2deb5e036	0	0
534361f7-2184-4f52-b11d-5f9907900894	0	0
fc26f8e7-0521-4ede-990f-543095f9293c	70	5.83352777777777742
c2545b5b-2b0e-4496-b6ae-ddaf41ddb6d2	0.594125249072381956	0.0495145632924837223
9efe6981-3948-4203-a9a3-f1913da7146c	0	0
6b89d759-36cc-4a1d-85a1-a1d3e8b9d8a9	0	0
5b59e33b-e465-4ff0-beab-9dd1992b9713	11.1837229437229446	0.932054576719576811
6abacd7b-f595-4a44-be4e-6cb85635b4e9	0	0
e4667591-ee45-42e7-b9be-f0a0f7d68500	0	0
05e95606-e379-4c97-a12f-b08e93333438	17.1436818181818182	1.42875920486111108
097f49a1-18f2-454e-a9bc-f7e2792a208b	0	0
b6473bc4-a706-4a48-92c5-35a67bee2365	16	1.33344444444444443
7e403018-0daf-49df-bc51-bde639306e4e	0	0
040a5483-484c-4136-83d4-ad0c262de67a	0	0
4d607b1a-b6e5-41e1-ae2c-6c88e1b1d956	0	0
12ae5a45-136b-403b-b3d0-b20587f3e7b5	0	0
199a739c-3834-4cd2-b6c4-fd5d45b73921	0	0
d59ac26a-a0c7-4225-8e63-899c1a4528c0	0	0
3d9046fb-199f-4e6e-9018-4a353cc8d57c	0	0
4abe0ab5-470e-440f-bb90-24e710be47c0	0	0
77dfb53d-3479-4905-b63b-243ec6d7707b	0	0
4da4f356-dbd0-434f-a3e5-95cea5c3d053	0	0
2075ec8f-bf3d-4283-96e7-59aea0f6a48d	0	0
0ccc685a-896a-4e6c-86e5-2804944a76b3	70	5.833819444444444
45ddb3f9-cf8a-4033-8634-5f087540f6a0	0.594125249072381956	0.049520174475391629
bb7cf59f-a1d6-4dc7-9e44-c38b6eab335c	0	0
d3f9058d-e03c-41d1-b7bf-bdb9e5774faf	0	0
b124e52b-ebba-4a02-b05d-815a48cb43b9	11.1837229437229446	0.932160200769600933
4e039005-c797-4086-a262-d1e38bdc7b1c	0	0
4cdbd6a6-2741-4e2b-9261-e6cdf7fb9717	0	0
949b6df3-8daf-4c72-bbd2-09fbed839c07	17.1436818181818182	1.42892111741161631
52f98d8f-1b2a-467b-852d-d16121214ff9	0	0
305157c7-5a4b-45b4-b47e-f18e7b1324b6	16	1.33359555555555565
d613b67d-6277-4257-927b-933c73610d6d	0	0
5268f2f6-9a05-472f-bde8-03d6f8362ad5	0	0
1436dfa0-d047-4fb5-b94c-db3501b997b1	0	0
7fa0f270-62e9-46fc-af58-62d841ca3f10	0	0
e84f3dc4-bc5e-4030-8018-74ae7c2821d6	0	0
857fdf2c-1fc2-4bea-bfc1-15b26d153f12	0	0
80d41eba-c428-47e1-97bc-bf5c920024ee	0	0
3973fa32-4e9b-4f1f-bce6-e24da50f95cb	0	0
0cc11ed5-7287-4411-9b27-dfa1cbec5a31	0	0
e1cf10aa-856a-4113-8922-bd5f10a525ce	0	0
451769b1-c336-487d-a38f-32728201b746	0	0
c528253e-57a5-49e0-8588-8d2e8d4f237f	70	5.83448055555555634
ec12d2fb-d5c0-4fb4-93ba-f62ec055fd22	0.594125249072381956	0.0495016905787538167
87612c9f-2365-4c7b-8c5e-65473c220967	0	0
b3e37346-cc9c-49f4-93e4-b2b7164a0396	0	0
e64a8d5e-6206-4e44-8f82-e82f5600f3c7	11.1837229437229446	0.931812262722462759
8769d6a4-f58e-46a2-bcc4-097cb3f1fee3	0	0
d98c107a-b830-4174-a7e9-5a5ebcab521c	0	0
8d8fba32-4a07-4641-bca8-4ba8d99fff4c	17.1436818181818182	1.42838775842171706
b3d3c5d6-d7c3-44e5-8f63-0ad6433035ae	0	0
74a6566f-7afb-47e4-ac87-d1d57900455f	16	1.33309777777777771
5d8ab59e-5e63-4c57-be45-e0a44ca60df2	0	0
1a37527b-69b5-4b53-8468-46295498ac73	0	0
9b5dfb46-953e-43a1-a2f8-21cd6f9cfd07	0	0
1bc0f7b8-3cc4-4f2e-85e8-16ea94de204c	0	0
72d2fd35-756b-4ae1-b726-e12291eedd45	0	0
c004143e-fc30-4dfb-bbd6-f1700abe9796	0	0
d7cbc3f8-2661-4951-9d88-a4f918ed2c1f	0	0
7c0b8358-1fc2-409e-9e4c-5252375ec5a7	0	0
b7fcedf9-b809-442a-a790-7965468149f2	0	0
ec541a53-0bc8-4759-a782-5ae290ddb231	0	0
015324fa-7ef9-4687-b7aa-94e3c886b02d	0	0
00ffe512-6d1f-40de-bf2e-4e189a448a21	70	5.83230277777777761
cb66d0f4-3754-4893-88bc-2875eb41c9af	0.594125249072381956	0.0495175339187290883
6fe526b6-4365-4eb4-9b6f-ab382e1bbc78	0	0
43544d19-e3bd-48cc-bd89-e3d731c9a634	0	0
3554ef11-62ac-4563-aeb7-61dfd592e679	11.1837229437229446	0.932110495334295464
31b3ba3d-5f03-44f9-94c8-8641e54aa276	0	0
3254b148-6d38-463c-8733-f4509c1188de	0	0
1faa6683-320a-40d8-9889-6d2535fd9eed	17.1436818181818182	1.42884492327020207
b0601aba-6d21-40e5-b475-f9e327d640cb	0	0
9d2e04af-4ac7-4456-b1c9-aa6d03f158e9	16	1.33352444444444451
c5785700-f738-4d06-8ed9-243b1ffaff02	0	0
4f8d514c-1977-44f1-b8d4-f63a8db4387f	0	0
30489f14-d5e0-4f6c-960c-e0455c4f3c36	0	0
7b6152c8-6b7c-4122-af9d-1a5d3fe5db01	0	0
2d2f477d-8fff-4364-bff3-285d4612b1db	0	0
b140f33f-93ee-4005-a84c-ae08474b1f8d	0	0
93dd4167-283e-4433-8e68-e17e66711246	0	0
41dd8cca-a165-4985-abaf-e432215a6c7d	0	0
537952d3-89eb-4402-8f11-b1d15a633f4b	0	0
e0e2874f-207e-4e2b-9a5f-6cf3e3a5440f	0	0
0504bf99-31bd-4d22-aa50-2ae8af00238d	0	0
db5c7476-8c0c-4c44-bbe1-8e1359f3bd34	70	5.83416944444444496
a097a450-1c64-44b5-9de1-7e4e58583dcb	0.594125249072381956	0.0495142332229009038
c981c84d-e45d-4f09-9baf-ac18a17b4862	0	0
9bf02f9a-8e63-4de7-8dd1-a6ba9ae155d6	0	0
0e633937-dd0b-45a7-99b5-9b5762b2652f	11.1837229437229446	0.932048363540163516
9fff8800-9b44-4dae-925c-76581d38ae32	0	0
7b3233f7-fa97-4742-9a44-3588332eaa69	0	0
d4bf0c9a-5285-4c07-aa23-03af2e609e13	17.1436818181818182	1.42874968059343432
0ced6f57-a520-4411-aedd-11a2259ff3c1	0	0
4b652c4f-0f01-44ce-9436-603b6a1457a4	16	1.33343555555555549
9696b251-6046-4712-9e8a-91be7b9d93a4	0	0
08bf8853-871e-4b0b-8076-7017d7ec1a0a	0	0
0aab5c5c-4aee-4113-b61f-a8f370c861eb	0	0
7425131a-542a-4a1a-b95e-5cde0a9906a1	0	0
0439169e-f9b9-4c71-98fe-451315b5b5cb	0	0
357efd67-7837-4f8c-b296-36e3e37a92bd	0	0
bbcc0d5f-93e8-4b16-af39-c914435ef767	0	0
9c68a67c-fd73-42db-b418-821252451cd6	0	0
e3de1971-cb05-4be8-b4e4-c97f0072bc05	0	0
1b2806c4-861f-4a42-9f62-5e118cfb8b03	0	0
3f16cdab-de69-4e17-9b77-dffc0b290751	0	0
b6caf6e9-e088-4751-91a6-a5206521459b	70	5.8337805555555553
f8433a97-c036-4001-b7ad-3f36e599d195	0.594125249072381956	0.0495175339187290883
33a0621d-1e66-4b87-840b-df2fa30ee358	0	0
7f541c6b-b3db-4cc9-b241-1fdd58134f7b	0	0
5dff37af-d904-4933-acbe-e6a8bf0530e7	11.1837229437229446	0.932110495334295464
1e4b16c6-cb8a-4c04-8191-9cfdbb0f481f	0	0
fe9f93ae-809e-49a6-a3ed-d545739c9c65	0	0
e6fc6daa-42f3-4049-b9ca-5c4e37bea9c1	17.1436818181818182	1.42884492327020207
ec61240f-f3ce-4133-bc45-51cafc9851c4	0	0
a4ce1978-407f-4b20-baba-099c452575cd	16	1.33352444444444451
7218f616-dbd4-4bfc-9d74-48bbe3bc3902	0	0
834c3c5b-6afb-4866-a14c-52be17d0d801	0	0
3e2c99c3-adeb-41cd-8a8c-de852363a205	0	0
42fed560-0130-4b35-8136-5fcd7d75d39b	0	0
c286db2f-c681-4330-b1af-0835a0703196	0	0
637ce74b-788a-43d3-bf53-bdea5113626b	0	0
ec2704c7-97fe-42aa-bbdb-7b49eafd1cca	0	0
ff4af7b0-670c-44a4-9bd3-768b1a5b92ee	0	0
9d2665df-c2ab-48b4-9dad-76a288a81d40	0	0
b4081d76-2b6b-466a-b495-447fc2e27486	0	0
b0747a68-4c91-4936-8a3e-646fe4a58e16	0	0
0dd9c254-e8f4-4883-861a-9d0180e3104a	70	5.83416944444444496
8613b72d-2839-415d-bc79-88d9eedfd8fa	0.594125249072381956	0.049511427631446954
f087372b-49dd-436e-8c11-32f1d15fae85	0	0
6b96b7a5-a752-4c41-ba05-4e565124f5e8	0	0
dc09ab22-25c8-407d-914d-a92fb2cbabac	11.1837229437229446	0.931995551515151677
1c111793-7765-40cb-b515-dcbd79d6dd0c	0	0
58f719d7-ac16-45b2-b832-c663a914c252	0	0
84490ebc-d9cd-4f35-945f-a18d7f3756b5	17.1436818181818182	1.42866872431818193
14f5530a-423c-4ba2-be3b-1456e43249e9	0	0
f6aa5e91-f773-45bf-95f2-ba8d1762724c	16	1.3333600000000001
6cabac9c-f075-4492-b7ba-2e1eb7b726bd	0	0
1763ee48-ba1e-4e30-b08b-958e82546898	0	0
cc452bf2-de8a-4cc6-a45c-ed6616f40a11	0	0
6e75224d-27a6-4ab4-a700-c5765d30100e	0	0
9531bb27-85d0-4c84-92a7-1b086b4f1ca5	0	0
5b1812ea-a7b9-4bf8-b440-3e2613f0f8bf	0	0
0d58cae8-785a-4cfe-9f6c-0195a0f9fb9d	0	0
a67d10c1-2c63-458c-bbe0-92f49793fd39	0	0
7eb2e42c-4a77-4547-9b1f-6f6a7d83e5cb	0	0
7df8e0dc-4dc5-4b94-9308-435bb8b187e2	0	0
ab48d39a-b1b3-410c-99a3-874865899dd8	0	0
a14bb8c2-85b0-4b81-a280-c40ac85ec9a5	70	5.83345000000000002
58e07c7a-17f6-4e82-94ff-81abab3456ba	0.594125249072381956	0.049516543709980626
fab5e157-fe20-47eb-8b10-9314fe87a5fe	0	0
52f85a54-0bca-443c-944e-4555c8821900	0	0
2da30c9b-23ad-4468-89ee-71c1c3393062	11.1837229437229446	0.932091855796055802
5d50b370-ce04-46d4-8386-8fec859b2863	0	0
a8608cdd-1c02-4b82-9fd4-a1290c325681	0	0
1f816277-159a-4ce8-83b4-ad696bf2af1a	17.1436818181818182	1.42881635046717159
aaac4762-d0b5-4031-9dad-4c664836bcd2	0	0
5c681782-525d-4261-be24-14b92f9a0203	16	1.33349777777777767
f8e58855-3bc4-4c9c-9305-ad396b265a9b	0	0
7171619f-a4e0-4d4a-8524-5dc8f1ee6c44	0	0
ae734fa4-6f78-42c1-9ba3-2e37d697e004	0	0
334084ba-d992-4ff2-aa9b-b6dc7cbcf9e9	0	0
93112315-2e46-4fb5-bd3d-8f864f639f59	0	0
9ad63300-cc36-4b4d-ac6c-c135b538720d	0	0
a4e40433-248e-4f72-a464-b048e7e17c99	0	0
d9c6ef33-d876-4439-ba36-4d1f2bcbcd14	0	0
4a259ba7-c592-4feb-86da-5ad6bd7eb1c9	0	0
1f959a68-7a5a-403e-8786-e83d93f235b5	0	0
68e5497c-6d2e-43f9-833a-ce85ec5c3a68	0	0
580f41be-bd09-44b7-887c-f2937a8a9417	70	5.83405277777777709
f83bd9bc-43d7-465a-8fa8-c4589bec46f0	0.594125249072381956	0.0495092821791586341
eadd0758-e4e1-4971-a068-4be407207158	0	0
e7ddd77b-2153-4d3e-959a-26cf6653239a	0	0
30a4532b-80c2-42e9-9974-86a323d6c329	11.1837229437229446	0.931955165848965872
459ed481-a85f-4b92-9cf3-b6f439d51e5b	0	0
77fb2a73-bc48-4614-8e9b-aafd129740ef	0	0
dd5cab22-201e-440d-b97d-bcb0279f4ad7	17.1436818181818182	1.42860681657828281
7c85cc6f-bad1-4b3a-996c-dc6d7d667099	0	0
8b61857d-81c3-4c6d-a1c2-bbd307a4a29e	16	1.33330222222222217
82585feb-8268-4211-8b2d-d20ce5756cd0	0	0
546013a4-d299-485d-bdf9-565cd80c356e	0	0
2a360da8-6ea4-4d65-bfbf-e6b9354f4863	0	0
c09dbaba-174d-4977-8b71-1c9d3710c918	0	0
31f34c24-ef17-407f-a11b-b54726d716d6	0	0
da11f185-59fa-4d70-b55f-2b5ae8300077	0	0
bdd2049b-753f-460a-8ca4-08288a394ec1	0	0
f021f863-0567-49f1-9fd3-daf511d3ded6	0	0
719f8658-d988-4137-a22d-71c570fcb5c8	0	0
4a765612-bf44-4dd6-97c7-3e7d91017a19	0	0
c722ba37-0b7d-4e5d-ab53-c2f17e56f16b	0	0
c3eff9bf-9162-4d53-b59c-8b61c5de85b4	70	5.83319722222222214
d438d067-ba7e-4166-abdc-9935b87109a7	0.594125249072381956	0.0495127479097782208
bcd8863b-3ff7-41e5-b86a-d3742b1b77c5	0	0
949d8777-45c3-48b8-9bce-e24c7518f61d	0	0
43e893a2-23f6-4a1d-8740-5cb8a58a0840	11.1837229437229446	0.932020404232804189
73ad6be0-9fff-47a2-a60c-d8fa72fc52ba	0	0
5d5cac4e-c041-450e-b0ef-c3fd44a2f696	0	0
fa718aa4-ad4c-41e7-b4d0-6141f4d41bd8	17.1436818181818182	1.42870682138888871
3a49683f-ab3e-4c49-8a21-8b951238457f	0	0
d2bfa358-9f58-448a-bc25-a97073d1f7ce	16	1.33339555555555545
c21c3130-54a7-4be2-b114-6bff5fc89bc2	0	0
38f06214-ce69-4fda-83d6-551de498d4f4	0	0
bbafc2b3-0ef5-4b62-b0bd-baf87eb0df41	0	0
f74c2513-d858-46b7-943c-59133dcf9dc3	0	0
3eb9e193-56c0-4af1-b411-d95a16952484	0	0
b8434440-2a62-43be-b4a1-7174305153e2	0	0
8343de33-6cb5-4b90-acce-790311056d14	0	0
dfcbc82c-1c75-4efa-9a9e-3113745315e4	0	0
ccf450b6-8dc0-4278-b279-8c1b1734613c	0	0
4cd6cbeb-6fcf-4664-8cf9-ea4807984c96	0	0
5aa62499-a58e-485b-ba57-b2ed6c8b811d	0	0
01131ba9-de0a-41d5-a091-5e9c867a80d6	70	5.83360555555555482
5385941c-456e-428f-81ac-91b169e49aec	0.594125249072381956	0.0495162136403978145
7680d901-1f53-45b3-9b57-c915099b6ccc	0	0
38ed688d-4ba5-4d70-b604-3f6304824437	0	0
92cb3dd6-8375-4c4e-86a2-bf1d9cf95461	11.1837229437229446	0.932085642616642729
9bef667c-9ec3-4e20-ba1a-55e6307f85fa	0	0
5efa70ff-230d-4e48-b937-75fe37c22793	0	0
ee370cc2-2848-4b88-92a7-bbfbc1e009b8	17.1436818181818182	1.42880682619949506
b2494887-d989-4420-a982-0cb83a06dba9	0	0
0bd75ca3-cb12-4e11-a9ab-ce5e965d1516	16	1.33348888888888895
b90753dc-c151-4db9-89c4-611395d4b864	0	0
c9bef178-276d-43e6-9de6-5f51cc111904	0	0
a5fd5c63-c887-42be-b206-94f244155991	0	0
ad705db3-dec6-4604-a38a-43927bcaead1	0	0
35d95aae-42cc-4078-9a03-6d1a364cfa78	0	0
54519351-e18f-4647-a85a-2902b032cfbc	0	0
85de9ee7-1118-49e3-9063-35c9878c80b2	0	0
faae8abb-ec26-4434-96c1-b82be403e609	0	0
952aa7eb-7783-4c08-ba17-350b9787d761	0	0
0dfb85e1-5c86-430c-abe0-8b3f44564ade	0	0
2e9fe78b-6e49-4cbd-9184-edf5943e4ad4	0	0
0321c189-c162-4e1a-9c3f-9f9ebdfc79cb	70	5.83401388888888928
6eb59e17-8885-44fa-bb00-5a9bb1737913	0.594125249072381956	0.0495155535012321707
f15fe8d9-80ac-4553-a8d6-c210ae8ab59d	0	0
4e3d6bb8-83af-4103-ba29-6e152dc8f5b9	0	0
9555e205-b075-4bf6-a8f2-0916fd826567	11.1837229437229446	0.932073216257816251
e65d33e6-07b5-4c01-89ab-bd106bd4b58e	0	0
c9f96dc6-a21e-4468-9f71-aed623515a66	0	0
386ef8a9-1708-4aff-8d29-7287e184d7bd	17.1436818181818182	1.42878777766414133
ede2c5f5-3e78-4086-9cbb-54ca1fbd3f7b	0	0
f13447f5-fc9a-4065-b95b-13bddab49d6f	16	1.33347111111111105
fed7c776-23b1-416f-a266-ffbd9b2e8a7c	0	0
1f3d19ac-1ff9-4448-9152-781f7880517a	0	0
30450ca5-bdfe-4d7f-bc92-f77586964d75	0	0
52f73197-ce79-4f1f-b129-7e596b69e482	0	0
053dc5e9-0319-43dc-b62c-7677692d3fff	0	0
5c16cc76-194a-4c92-a56c-ab88a8e489d8	0	0
fb89ae5e-173d-4e00-98b4-5e17e8626b43	0	0
7ab3f484-2b14-4fd1-816d-1b084c381946	0	0
80b1b892-679f-4fd7-92ff-99deb96d790a	0	0
7787f677-1b6a-4263-b20b-5ef6e1c424ac	0	0
82c8cc4d-b1c4-4659-8295-7c26cb958a37	0	0
44306a31-9fe9-4aad-bb55-90915fdd120f	70	5.83393611111111099
0e608718-67be-4fa4-81ca-b612917d7464	0.594125249072381956	0.0495074667964531395
d5d2c570-2e25-45ce-9ed0-19effff209ba	0	0
cd440ada-5da7-4fef-96db-85b2cacb2de0	0	0
722f589a-6b9a-45d3-8a38-27e586d2575e	11.1837229437229446	0.931920993362193473
1e9e22ac-9a54-44b7-9e70-3776df7c7888	0	0
6acdc028-5574-417d-9ea4-05050e144534	0	0
21bafdb9-fd24-4eb1-b8e5-345de61e37b2	17.1436818181818182	1.42855443310606067
01ec863c-7a0e-43b1-9deb-b76e39f29589	0	0
20f749ca-38fc-4c86-b001-0f8e2aee40f2	16	1.3332533333333334
510b7075-2816-482f-8e6d-32bfbf8634dc	0	0
6836f96c-62b3-48cd-8e5f-c2cf4ab793f7	0	0
0d6c7600-cef9-4326-a2e9-aa76de3b1dd8	0	0
3f134ae9-16b0-4885-afd2-15e21cf28dca	0	0
80c8759f-b038-48b3-bf6c-68c6a5e780ad	0	0
af6d0178-b5be-4d6e-8e14-1a5858c59fda	0	0
65cf0b72-cda1-4e92-8b2d-b3d0f886a459	0	0
5d393df8-879e-4590-a638-26668f1c9e55	0	0
5970909d-05d9-4b8b-b67d-effef8c84674	0	0
e38c8f6b-418d-43ef-82b3-ca3431b23836	0	0
fce44027-d708-4f07-aecb-691296c5d7eb	0	0
9e8bebe3-a58a-49c4-8093-516a6bd810d9	70	5.83298333333333385
955fde30-34fc-4738-90ba-de192ec9066b	0.594125249072381956	0.0495196793710174013
f5b8c5a4-53cd-4915-bd9b-9daa00da9291	0	0
9ec71f51-f58b-4e6b-bc63-228b54595c44	0	0
dc1e6fe8-4009-41f8-8888-dbc5c6961854	11.1837229437229446	0.932150881000481046
d840f64b-f813-49de-b86d-deefdaef7621	0	0
26a2c782-397d-4223-b353-c4d1c8d943ae	0	0
d6966101-35b2-46b1-970b-aef8fd70e200	17.1436818181818182	1.42890683101010096
aad57df7-0311-402c-8223-5e0b7c25d4f6	0	0
68bf21f3-4fb3-40f6-9777-fba248967ea3	16	1.33358222222222222
81320d63-8bab-45ce-ab02-97ee89979eb2	0	0
f5def7be-3b5f-4fc1-8916-b57ce114e098	0	0
687fccce-22ea-4646-a29a-5978110c253c	0	0
e957928c-1266-47ad-97a6-fae6ef20a4b0	0	0
0d0b6f52-7e17-4512-94de-19d8ae105d1a	0	0
20559e12-2e6c-444c-a299-4cea7a9786ec	0	0
28def0d9-125d-4f42-a3dc-d2a47b064332	0	0
b4fa1d04-26e9-4e87-92b5-f890979c67d7	0	0
37d27c43-2407-46bf-8a4f-84acc823ce23	0	0
99da58e5-815b-45ca-8917-ada53da81301	0	0
2bac13e1-e6b4-49d4-935d-5aff620dd5d0	0	0
60dca775-b4a9-4dea-957e-2f6ddd22c8bc	70	5.83442222222222195
f33818ac-56d3-4aa8-8ff8-66270a4973b3	0.594125249072381956	0.0495119227358211747
345d1be2-b08c-47a9-9d99-e2777eb64826	0	0
754e60d7-5700-4fb3-8536-f7c6ecf6dac0	0	0
540e2427-9028-4819-a1b4-e7bd37db0255	11.1837229437229446	0.932004871284271341
81c4cbca-6ee4-444f-9f42-8bb1d95c9791	0	0
15bba596-a292-430c-9a4a-552fb73f2fcb	0	0
7cc71407-339a-4e9c-b5d0-9b8a189e068f	17.1436818181818182	1.42868301071969683
8b0bf8d9-6448-40e1-8eba-734e02bff993	0	0
3454d46b-e5a6-44a9-9772-e5edc2ff640f	16	1.3333733333333333
d5396b51-0dcd-4143-a163-2b06c8618c80	0	0
b7ce4b9d-fd2c-469e-9e28-080e8f91d65e	0	0
8eb429c9-89d7-4d98-afe0-25fe7455d677	0	0
457ab343-6c3f-44d3-b7a0-73616886406d	0	0
64dcf769-acd7-42f1-abdd-c6820bb7de78	0	0
6a54b8bd-600d-4067-ba28-88e494d58925	0	0
b9eb1930-171a-407b-91c6-6bf686572b80	0	0
cadaf2cf-76f8-42f0-8e4c-c658453fa44a	0	0
2bf7a391-898b-4c7a-80f7-35cca215b40f	0	0
d94aa72b-9fc5-4149-85e3-bbbdc466aa96	0	0
b8741d87-dac1-4f75-9777-128ad1fc83dd	0	0
93eb2f2c-eba5-42f8-9d64-6108ab16399f	70	5.83350833333333352
8ca789b3-386e-43b4-a336-192c8381a6de	0.594125249072381956	0.0495152234316493592
123a354f-9733-42a9-9594-4f06e3159dff	0	0
cec43759-94b0-4446-92a2-67fbe46a0f00	0	0
b2f08f63-45d0-4489-b6b2-d89539f2fdcb	11.1837229437229446	0.932067003078403178
d60ab5ad-2def-4f39-a60f-5fe544544388	0	0
6bd66685-5309-4b24-bb2e-7d7de8b14e41	0	0
d9431dda-8bac-4bf3-84d2-b6787caa5462	17.1436818181818182	1.4287782533964648
03248c63-6c30-4ff1-b7b7-2e4f6588c384	0	0
a4c86ca9-5c58-4d58-a167-a6ea539439b5	16	1.33346222222222233
2d881220-5f23-4818-bc9e-d22c56a600cb	0	0
462eca4a-e7b8-4360-819d-6218d6d98fee	0	0
13fe65bf-2907-4663-ba0f-6d41250735b7	0	0
4749f248-6b23-4361-977b-f2ec5b8a2f8c	0	0
a8f2101a-cba2-4291-af00-67e9c592c080	0	0
5e339737-7ecc-4c52-b73b-1cc0c7f1f59c	0	0
04b8b056-7446-4a7f-94c9-3a3dc705b908	0	0
0f4eadb7-cb90-45b1-abf2-eec831351615	0	0
9463ebcf-e104-4e6e-99f6-8d2922e0f728	0	0
f8281a44-7e7f-444b-b473-021dabf15839	0	0
6238d9f9-fd89-4db2-820c-c72e1bcd55ca	0	0
2582c326-04ca-44bd-9402-ae9c618bd362	70	5.83389722222222229
48e87135-6cc7-49ea-b3ea-4293e797fff2	0.594125249072381956	0.0495130779793610393
43fa6c69-952c-4822-ae5e-d54b9eb03410	0	0
04d35b3d-04e2-4f1c-914d-2881069b520c	0	0
afca3e53-fe23-480f-9d2f-5f7ecd19d44a	11.1837229437229446	0.932026617412217484
0653c725-8851-4998-9e32-49228cfe046d	0	0
8ba0292c-704f-4405-a08a-192508acb89a	0	0
08bacc29-b108-4a62-a1c1-db27eda3afb1	17.1436818181818182	1.42871634565656569
bdfb2376-8ac9-4849-99d3-2b7ba36c08bf	0	0
e61ce8b9-451e-4843-b35c-18b8cc55a1af	16	1.33340444444444439
7deaac7f-7f8d-4350-a271-0b886c37ceaf	0	0
e274cc20-26ce-4327-9a5b-320aed3209e9	0	0
9240bcf3-c62b-4c95-9ea8-2ac40b06bab5	0	0
f3fa7cee-11e3-46d1-b515-f446b0ca5a7d	0	0
83098e44-a5ab-4005-9f1d-4f371f47f716	0	0
d89ee6a4-edd8-4582-9148-5a8a3de957b9	0	0
4b9332c8-1201-4277-a445-1331c1cb688a	0	0
948675f1-056d-42c0-abd2-1a2b11885dc7	0	0
418a1278-ac1e-4964-8661-307fdf9f763a	0	0
a469c8c6-44c8-4c3f-be35-346a7f97a04d	0	0
d57602f8-4a4c-4439-bd6e-5bfa953ae851	0	0
d8a9aa26-9d09-455c-a33e-c77354569ccf	70	5.83364444444444441
cba93c85-335a-4bd9-bb8c-0305e6d6f5c7	0.594125249072381956	0.0495120877706125839
9b3ac48c-595e-4753-ba90-e7abcedbf54b	0	0
49eae4d8-f02b-49d0-9b37-a8cd99670659	0	0
7318848e-85eb-4091-9240-a4c0bc3f7690	11.1837229437229446	0.932007977873977933
cf4193e6-69f4-4e10-a2b6-1603cc54bc0d	0	0
b61eb124-6f8b-4f87-af6a-dd34f7ac64de	0	0
54f1921f-7a7c-480e-b586-a53a99e86de8	17.1436818181818182	1.42868777285353543
c1e4acdd-c5cc-4145-8499-b708acc2bd14	0	0
339fac20-3f3b-459e-9a85-6a3a3f88a150	16	1.33337777777777777
91ecf99f-7d84-41dd-bf0e-c56c8f15d940	0	0
021d159a-6243-43b1-9e9e-10541f7a0465	0	0
735975ab-98d1-4d4a-b825-f7a6e2d389d0	0	0
8409ab3f-6593-4f40-a400-7911a7bd451e	0	0
368a7493-859c-476c-8eed-42cc4b869a18	0	0
361e161e-d7de-4ead-a895-783807455b30	0	0
8f4d0358-67dd-4682-afc2-4a0c2f427824	0	0
2fa181cc-164d-43f2-9115-07916a7c5991	0	0
9c671e88-1626-4f92-aa41-7f80e6ec516d	0	0
2ddbdeab-e07d-40e2-a1ae-1105c4a2a9db	0	0
91f095a2-256c-42bc-829d-cc9101d93b62	0	0
4a0cc07b-08a4-487d-a695-8e61fa22edaf	70	5.83352777777777742
65f63890-c45b-4d43-b58b-b8883715d2c3	0.594125249072381956	0.04951505839685795
b3d86635-4c06-4957-ae2f-3e9ae26c7f49	0	0
8bf9ac4a-f861-4107-8629-addac4cfcaed	0	0
b74f4191-b820-425b-b3a4-4b049a951577	11.1837229437229446	0.932063896488696586
937554c9-d258-49d0-a96f-3362b26970ab	0	0
fa1c3c8c-819b-46f5-8551-5d45593a7e90	0	0
5a3793fc-9cb8-439c-8705-f2fbffb18c91	17.1436818181818182	1.42877349126262643
71fffc9b-b5a6-49a2-bcaf-94bd47114d91	0	0
5c386862-e927-4689-838d-246b8fa188e2	16	1.33345777777777785
e29bcecc-2d16-4335-85cb-c743b36f8abb	0	0
cece729c-a98a-4484-8a81-8c83344edf15	0	0
e98f31ce-d5e2-4acd-852b-44dd5d31f4aa	0	0
51b5e63c-36a3-46a0-a11a-de761220d913	0	0
0622e3ff-4991-4200-a69c-fbd4a2689d5f	0	0
0acafba5-6ba5-4d32-b557-68d4189cb76c	0	0
bfa75895-251b-43ba-9613-3ea856cdb44b	0	0
240bc5fc-be59-4b65-9f55-66f59fd33150	0	0
6df9ea82-a1e2-4350-bb59-3aeae6c3734d	0	0
51f4f577-f456-43a1-ad33-19b3ebf53005	0	0
aab555f4-7b5b-443f-8e63-b63d8e2d78af	0	0
43052666-72d4-4b73-ae6a-c5353ac4c2b9	70	5.83387777777777838
d21387af-9b01-4fea-9faa-ef5930ad9be3	0.594125249072381956	0.0495134080489438577
f2d1c16c-cf50-49fd-96f8-6d60f9b25890	0	0
6afe39cb-9888-415a-ac3c-1d6ec48ad161	0	0
648fe36d-6c9d-475f-8241-df6c93ac6bc4	11.1837229437229446	0.932032830591630668
59e5abba-916c-4e2e-96a0-a43c84481a23	0	0
8860466d-46ad-4c1a-8faa-f9213f3d95cd	0	0
0c2636db-b01a-4958-bc16-65049ababd63	17.1436818181818182	1.42872586992424244
8f7d750d-3a59-4f4d-8771-3cb8de2aeb80	0	0
be70eb6b-7ed1-4526-86ba-3c817644402e	16	1.33341333333333334
03279d29-cdc1-431f-b04d-aaa8ab7732c8	0	0
d372bb3e-12a3-4e8d-b34a-71bdfdc3a43b	0	0
e2f4ce1f-a41c-4829-92b7-f47bd15ffc1f	0	0
46a37e96-2c2e-442d-b990-3887a9552a5b	0	0
c60ceb54-4fd7-428f-83cf-cd881a40b203	0	0
12c8b88a-0de8-48d5-b906-5bc4458a7051	0	0
232ddc54-ea5b-4bf5-b0d2-907a65a922a2	0	0
669f2465-1238-47ad-aa37-d6e52b8a0044	0	0
833b0b66-801f-4223-a5c5-8db7fec3aac1	0	0
d0da0118-2009-4889-bcf5-cc95ff529ae5	0	0
7f9d6d77-43cf-4712-af95-237500838367	0	0
0123dfee-3e80-4859-bdf7-0d63d52fb202	70	5.83368333333333311
c3418cb5-ab08-44b4-a09b-4f935b60553c	0.594125249072381956	0.04951505839685795
af3f5c49-543e-40b0-808b-bf09c0be9cde	0	0
1887d833-c559-4618-b5e7-a5aec0256106	0	0
37f05bcc-4f5c-47be-8eda-b8c3ba86247c	11.1837229437229446	0.932063896488696586
3ab2ef42-8111-4ebd-a121-e4c2ab086da4	0	0
3f3cb993-ad7c-4f68-8967-86dd66edcb2a	0	0
f7cb6235-2ec7-4ae6-8bf4-a59519bf9647	17.1436818181818182	1.42877349126262643
0ae34b14-83a6-4cf6-ab1c-bbda31c0c0f0	0	0
4f7ceb31-7d18-425b-ae5f-9c13ca0b8078	16	1.33345777777777785
88f63098-f7dd-4b30-9b1f-7d7046b06783	0	0
8162a566-4a39-42b1-bd84-49ef54e497d8	0	0
6108b323-d1ab-4c52-836c-1ad6079a3a3c	0	0
6f0d0731-f796-4a93-bef6-727054e4add0	0	0
9a181c24-d781-4d89-8e8a-9a66d4d1ca86	0	0
0bbebdf2-be02-429c-93d9-6107809c9e42	0	0
064b27ec-99d3-4032-a34a-e21a08f4710e	0	0
763c2c9a-157c-4903-ad1c-054fce0b0dbf	0	0
63d8d0fd-84c2-41fa-8df9-b08f63c9d478	0	0
dcd92640-cccc-456c-a2f1-4e5940da00d2	0	0
3d29f712-ac4f-4359-b0fa-e59278c73cfa	0	0
ef3af2cb-ebde-459e-99ab-15fc6a6286fd	70	5.83387777777777838
a4e9eec4-5324-46df-ab46-a04587bb8964	0.594125249072381956	0.0495140681881094877
d2b50f1d-e866-4513-b22b-360f91be55c9	0	0
3d324b8a-d981-48c4-8559-bf185ec832e8	0	0
f5b578eb-81a4-45e2-b2fb-f807ee35c698	11.1837229437229446	0.932045256950456924
fed45a85-8413-44ff-b87f-2856ffa18337	0	0
ad3d38d7-db14-4feb-9efb-c122a1e5d1bf	0	0
1e2ee208-97b9-4cbd-9175-0c98eef3bcc9	17.1436818181818182	1.42874491845959595
bfbdc528-39cb-40dd-bdda-90f3a50712eb	0	0
f40fc654-99e5-4407-a8d9-2658cac74820	16	1.33343111111111101
134f668f-104d-41e7-9b6d-98d0ece7998b	0	0
16205426-ec79-44b4-871a-7d9045063b8e	0	0
787086dd-5961-48b2-8c75-ac8c06d9fae1	0	0
e8c73aaf-531a-4f15-bcaa-a3bca3e1953d	0	0
2b1298d1-de49-4d8e-8fd6-8b3b6b756a31	0	0
fc915c18-1d26-441e-868d-27f17750c70d	0	0
da1a3c5b-7716-4f61-b67e-7895cbff4d8f	0	0
1a5eba2a-3412-41bc-af66-bfdff0438818	0	0
3758b503-9a98-44af-80ca-656c1337d428	0	0
82900068-c596-4864-a16c-4faa95b9ed3e	0	0
23eedad8-a452-4158-bbf6-640ed4a6f9d5	0	0
5924a9e7-7b1d-4a70-bd79-1e7047086520	70	5.83376111111111051
6c86f251-604f-4edd-8fb6-edb25327315c	0.594125249072381956	0.0495094472139500433
eeb48e8f-6e47-41bd-95d3-938d79009333	0	0
75da2a4a-3c75-4905-83cd-8eb329010e45	0	0
be0b3391-d2e2-49bf-af12-dd656cb89fb8	11.1837229437229446	0.931958272438672464
40c0b005-0d58-4f2c-8bef-f6c87b583041	0	0
55a03150-8008-4cc6-b280-a5b727ea9aa4	0	0
c7e33b4a-c534-49c0-ae68-c2e6ab85441d	17.1436818181818182	1.42861157871212119
a0a532e8-464e-436c-9786-38207fc6b969	0	0
fcbaeb01-9747-4fc1-87c2-b5c8858d7e06	16	1.33330666666666664
c8325bc3-dc32-4e8e-aef2-cf08fbe04808	0	0
926eb8b8-5dce-4980-a82b-4b00a65017bd	0	0
4e8875d0-32ce-4422-82e8-3cd78ab9c12c	0	0
5203f26c-a4e7-4986-8f62-8885db617c0e	0	0
ac4b31e1-255f-4e38-b275-93b327e42161	0	0
fd97c77e-dedb-4bbc-b746-354b811edeea	0	0
e7ea8f45-b433-4f4b-b0a4-9d3d3cde4523	0	0
21d89afe-bef2-4b50-b76b-cd5b4152b877	0	0
d5d2a533-3d11-453c-9a7d-80edbd6ca780	0	0
877b786d-d344-4910-9323-ed660aff5ce0	0	0
5a1eadd5-242b-4fba-9a6b-38baa98700e0	0	0
04abb216-67d1-40ab-b279-76a199274754	70	5.83321666666666694
8bb10feb-60dd-45db-a9fc-4edda7a225ae	0.594125249072381956	0.0495163786751892238
6dccae08-3473-41f2-920c-f4e2e9201ea6	0	0
b770d806-a674-4a43-a1b8-13ffb6962f79	0	0
cac69836-ef1f-439d-9526-889c6fbd1294	11.1837229437229446	0.932088749206349321
a360f115-3ee7-46cf-8651-c47a144ba24e	0	0
5f09f1db-899a-408d-959f-5dfc28f25bce	0	0
4b36ce01-d12a-4ea6-97b1-72c7b804d65f	17.1436818181818182	1.42881158833333344
cc3f0b47-cd92-41c9-af32-a291dd4c96eb	0	0
d15c76ed-e877-4fb8-9f84-7126fa0df159	16	1.33349333333333342
0668e50d-6cfa-4d07-93eb-a943968c88b5	0	0
19e1fb42-ad22-41e7-b85d-aba25bf18f3d	0	0
b36f9937-a80e-47ae-bf6d-93458ec91ab7	0	0
23887f56-311a-4f17-a7f2-0738004357a9	0	0
e140e245-f3b8-416d-a83a-8bae8c4dfdea	0	0
19501881-c478-4592-896e-cd3f0f8c247e	0	0
052dbe86-b9d4-49a6-b49f-a7e9020e19d5	0	0
4984f7e2-a718-4859-8aac-98095625a4b8	0	0
7c9a0f60-aee4-4b35-8dfd-484b42587ed3	0	0
399b9bf1-e660-4dc7-a3b6-20b4d8dbd990	0	0
fff5ec07-8d37-44c6-9452-c194ca5265f0	0	0
543b25ad-bfab-453a-b42d-e30f2103c23e	70	5.83403333333333407
277bb54e-0f30-4984-8f93-01d06d3c7b4a	0.594125249072381956	0.0495135730837352669
946d7b1d-f31b-4f99-877d-815a585c9e4c	0	0
fdab8092-0126-4c97-bfaf-f83cf19a3602	0	0
a302d727-d990-4ec4-9d48-5efd35cc8f49	11.1837229437229446	0.93203593718133726
062a0c97-3cf3-4c82-89e1-0f8bb17fb04f	0	0
88531654-1c1d-4798-924c-0da242aeef6b	0	0
cb3398ba-b527-42d1-a855-9862cc944fc0	17.1436818181818182	1.42873063205808082
450bb59e-2c62-44fa-b757-28a46c2a304c	0	0
af9430cf-75b3-4995-8657-3d72ca31b1b1	16	1.33341777777777781
6b245b48-3bc0-45b9-9021-c15c5b7aa119	0	0
9afb28fe-291e-4257-9352-bf28fda52e72	0	0
02ae57b4-d73c-4e3f-82e4-842429a0f39e	0	0
600d99c9-ffd4-4c50-bdeb-0d9698257f90	0	0
680ea8e9-1d25-4f79-bc79-932e6ce0e702	0	0
f06c8a0a-e217-4978-a48a-257630deaf79	0	0
7fea86b3-3d88-47b1-be54-b984625b0ca6	0	0
1ac54110-e405-48b1-965e-947ad84f2219	0	0
22386f49-f51c-4b74-9d5c-fe7b4ed0fb8c	0	0
79ec16cd-915f-4480-b866-c60935b23403	0	0
3fc97d21-0dbb-45ea-ad9d-25bd065bc24f	0	0
7821afc3-47b5-43a9-b7a7-b42364d380c0	70	5.8337027777777779
a65791bb-28b7-49fc-a975-148485a31e62	0.594125249072381956	0.0495125828749868185
799e1caf-713a-4ce5-ad62-6ca9a68a7c79	0	0
8fa421e1-9084-4918-a8b0-6ec4c468cea0	0	0
dbd4792e-1a9b-4259-8926-243ed358bd94	11.1837229437229446	0.93201729764309782
dd2e5c9c-0b1d-4a0a-8205-d46e47d1e919	0	0
382b4cfd-f9db-4538-b4ae-56c6a0e37be5	0	0
d3bba93f-43aa-4dca-92e9-a14907b305ee	17.1436818181818182	1.42870205925505056
5109bbd7-4006-4548-bc87-b2086137b144	0	0
521bd2cf-1a64-457c-aee6-bd43e1795452	16	1.33339111111111119
156b8261-be3b-41b9-be1c-e47993ea1f47	0	0
70a1c553-6374-4b3d-a747-45d1ecc3f189	0	0
78eadfde-878b-49cf-9fb4-6ac7d163d478	0	0
8093319a-21ba-4e34-bdd7-7bbc8237c213	0	0
b68cf417-32fd-4bc3-a1f6-98dbf048b6dd	0	0
5b8eb25c-6e44-4578-ab47-186a8807c162	0	0
950f2023-92ea-47dc-92fa-537094457f2b	0	0
29872d84-b621-4919-bfef-33eb8080baa6	0	0
4c35c7df-fb2b-4122-a0b6-aac70811876c	0	0
9473064e-3429-49aa-9695-d1eb301f0b1d	0	0
f1920a9c-ef89-43d2-bcac-4291f4b242fe	0	0
31d6be81-aa5d-41ba-a6a9-a4e560781f30	70	5.8335861111111118
58d83928-cd1a-4fde-8ee1-4c56a91c3c62	0.594125249072381956	0.0495102723879070825
9e5075fd-fe37-4d87-9004-26e85edf4abc	0	0
b70e11d1-950c-4c18-aede-fd7c51139f02	0	0
c2b45b42-5685-4b36-84c7-ddf3a402466d	11.1837229437229446	0.931973805387205423
cf2380b4-5705-4583-8a54-f7b9c6b6b572	0	0
00c7e803-1a77-4acc-b94b-8d38fefcd5a2	0	0
e9e7f996-a722-4e2a-8599-2ddbfd6bcae4	17.1436818181818182	1.42863538938131307
653cb791-eaf2-427f-9559-548233839169	0	0
3550553f-a47d-4aa2-a3b9-4e8da5781379	16	1.33332888888888879
eea9cfc7-8760-4cae-9da9-baf8387d22d3	0	0
ebdf65d8-19ed-407b-b579-242bfaf95108	0	0
ae6af3fd-bd72-43aa-824b-f8b7724726f1	0	0
dc5ff118-362b-48a3-a5a4-4828a6344c93	0	0
f4c9c700-8953-4cbb-8835-a48489d10c23	0	0
dfd4f633-7daf-41a5-9963-fb28be0a18bf	0	0
d2b56bcb-064a-421a-8a32-0131867c1cbb	0	0
b633d21b-b65b-4de1-8c8b-9ce80ff8898c	0	0
2770b9fa-1574-4f28-8281-a89868935f42	0	0
e611b7f6-399c-469f-b035-cf5c9b9b88a5	0	0
92079efe-e102-4d0c-9cbc-d7555aeba442	0	0
9fafc858-11e5-4595-ad73-8a4c0fe61c28	70	5.83331388888888824
03e18550-39c3-4c0b-8a54-9770c9561c4f	0.594125249072381956	0.0495170388143548537
a32677d5-66e0-4095-8440-bf1fbb662352	0	0
4ccf4d79-24dd-40d2-83d5-41f0fa49f6c5	0	0
e9ea0ce1-1d95-4ded-8a21-d71e8944fa85	11.1837229437229446	0.932101175565175577
906756d6-d16f-462a-994b-9f00bfe752d8	0	0
94def4ff-6c80-4a93-b528-b93e5480aeb0	0	0
7b3d0c39-e281-48f7-a77c-a7264b6f1d33	17.1436818181818182	1.42883063686868694
5e952b1d-b530-463b-beb0-2f1bc7f2a16a	0	0
1ac44d58-f573-4737-9f5e-8c2741acb8cc	16	1.33351111111111109
a07afbb0-8035-4a93-ad3c-a1743ffe29bc	0	0
0167500d-9f35-48ba-8f9d-58e04e9fe4f3	0	0
cb3a49f7-d3fc-4b55-b705-17d85a41c8c1	0	0
d2adb68f-0831-4202-9982-c2669a57acb1	0	0
02133d05-9cf5-461a-a328-bf39e4a2912f	0	0
65535332-d723-4631-bdeb-61d65d140b3a	0	0
2d403f65-931d-4c54-97c3-f879abc7f7c3	0	0
2ee3c493-a1e0-4734-a8e3-c7376fdd40ff	0	0
3856ba85-3b48-4538-bfaf-e8b30ebca3c0	0	0
d5b250bb-1f85-4461-ae11-4f7e2df7cbf4	0	0
f8f3fbe7-204f-46f2-ab4b-ac103f8abdc7	0	0
b6b93ad0-89a6-4620-b4f4-de249c3fd46f	70	5.83411111111111147
1b67605a-ca8e-4de0-8331-afcda17da927	0.594125249072381956	0.0495143982576923131
abc1b323-9517-44a4-9408-6f2ed4560ca1	0	0
4887a91c-3d5c-4ade-bcd5-7adfa80071cf	0	0
cf1d28f0-58a1-47f1-b883-5a2f579457da	11.1837229437229446	0.932051470129870219
5059483f-8bd9-4e45-9046-4b2cf5597571	0	0
00bdeffa-d214-4ee7-985f-91b1e695291e	0	0
dca14fb2-d9ef-41ab-b09f-980b5fc0ec5c	17.1436818181818182	1.4287544427272727
c73c2b5e-1cc3-4831-8920-3644b84b40c8	0	0
fdef286e-0111-4af1-adcc-078b7243a887	16	1.33343999999999996
5c21cd03-a877-448f-aadf-65c733a6bb96	0	0
9ad99ed9-bf22-49ed-9438-b6bf4181b93a	0	0
06740f43-ba3b-43ba-9a5f-311e45da4e5b	0	0
1fcb7705-cf3f-4bb6-ba42-9521b75105f8	0	0
a1f66662-62dc-4513-9601-ab8338b113ea	0	0
e426218b-8e5d-4cd9-b917-88746f860229	0	0
b77957bb-b9a2-4b55-a112-3212bdf7ff7a	0	0
faadcd54-d8de-4543-9df6-d8d4ae34e79d	0	0
94f07bec-5f5b-45ee-b3bb-b31071a011c8	0	0
04d2eff7-3123-4bd6-99f3-752b082c323a	0	0
ae3cee26-bd01-4c93-8b45-1983d00052fc	0	0
fa1007fd-569e-46c6-b413-9a188254765d	70	5.8338000000000001
89180ecc-35d1-4761-9054-e3888a318151	0.594125249072381956	0.04951505839685795
ea6bb2fe-c3b4-4a36-8a35-648da65a4bca	0	0
4e04ed6d-27a6-4f8f-b586-951f2abbf59f	0	0
e25da97b-4dd8-440e-b79e-585a40fa033c	11.1837229437229446	0.932063896488696586
2890cdc0-17bb-4001-a5a9-0bd7aa6ede00	0	0
f83094dc-124c-4b91-85ab-aae9acdc6bd7	0	0
58b6438e-0b4f-4f58-8d88-9e2acb27e296	17.1436818181818182	1.42877349126262643
098b1eca-7822-4f5c-938d-f3b9ab3dd380	0	0
55f30c9c-3e17-4f50-8190-a8e8a2191087	16	1.33345777777777785
02e6a058-8061-4120-b0c2-83d1a4a2abd8	0	0
1e1d7525-7abf-4296-9650-75b437139dd6	0	0
79f7bd46-63cd-405a-9f07-23be1738b6e3	0	0
2afab800-9d67-4792-ace2-6e6d71231fc7	0	0
9091ad69-58b7-4571-b3ae-f7800a4f8cb0	0	0
ff5f31dc-9a79-4521-9b1a-ff777ccd0dde	0	0
d958bf96-d4ba-4341-a9dc-0fde58ff44d8	0	0
f36b032e-0630-4ec9-ac38-a906ca5c4b61	0	0
bf2a4a76-6c83-41db-948f-3b02f61d62bb	0	0
a93a899f-2383-404b-9196-57290efabb1c	0	0
4ebc0a82-781a-46a4-bb27-d04cdfe19148	0	0
177eb726-4ee6-4747-a80f-85cae3cb9cce	70	5.83387777777777838
aee8a8af-f3d2-4e7a-8169-66a21afe286f	0.594125249072381956	0.0495142332229009038
d6c45478-a20a-4f28-9dff-4903bb1c1fcf	0	0
0eaa5fd6-33c8-4cfd-9e11-8c9f8c3b3766	0	0
9a6d25b8-fd19-401c-8adb-c3fb24bb0cc4	11.1837229437229446	0.932048363540163516
10b392f1-ab25-4ac2-8bbb-a90df5f86cb0	0	0
15f6c310-6fb0-46f5-8ce5-a627b7408d6d	0	0
047aa404-8d64-4487-926e-3eba8ca8b8c5	17.1436818181818182	1.42874968059343432
5e0f31e8-ca4e-4e23-81fa-18d3155f7a5c	0	0
c392c5b6-3366-407f-b203-2f023388bba1	16	1.33343555555555549
400494f4-0f53-4b94-8bb0-f7d8d3e55a71	0	0
5e98c05b-547f-4bc8-8356-f25c5d04b2f0	0	0
2d20b3ad-2eab-4134-880d-374556378eef	0	0
f7bb8055-b021-43e5-bb5b-44cbcb4c60bd	0	0
942ace79-8076-4109-80ee-13365e9759f9	0	0
e73e13be-72f2-472f-92ea-b749ed815d8f	0	0
ac3ccb8c-6b30-4b68-9061-f22043890ad2	0	0
68826d60-0fc2-4cc6-af14-a0ba6ba5dd07	0	0
400fc7b3-4966-48b7-9d91-1ce4326e66ff	0	0
eb713022-513b-4d08-aba9-515b71b1371a	0	0
6a2fd568-726e-4c8c-b993-fb3ffec26e2b	0	0
1744d184-6c7e-450b-81d7-a1788ecb6944	70	5.8337805555555553
eebc2f23-9990-4649-8dc3-941b5340cb5c	0.594125249072381956	0.0495135730837352669
37e222fb-7ce5-47b7-819e-ff81c20bbfc7	0	0
ff5641ce-3408-4b98-a5f4-5710d94cfc59	0	0
d4d6da53-2ef2-44b5-89bf-0c69495a90e1	11.1837229437229446	0.93203593718133726
35df39a1-7515-46b6-90a1-c450b94a3bb4	0	0
9727d2d4-840e-4559-bd64-e8e2419c81b4	0	0
d66bb25e-e036-4cea-b791-a4066904bd0f	17.1436818181818182	1.42873063205808082
f275d316-c035-4860-8ef8-d6ab50c2ee07	0	0
6a06c805-a9cf-4652-9010-4c26972c3413	16	1.33341777777777781
a75a632c-334a-423d-afd6-7d3d3c5e41ae	0	0
5be5716b-06a3-4c3a-a2b6-2a1d2b5437f2	0	0
f75a5451-41c0-427d-bb7f-f3f3207447f0	0	0
ec44244a-fb39-4a20-998f-9062d7888b19	0	0
ed5f7ee4-5ff0-4013-b299-cdea2a1064f7	0	0
eb77f116-61ee-49d6-bf49-7a123aa7311f	0	0
37e32c4e-28f8-4f4e-ba51-2cecb5715936	0	0
a6e0eec1-c676-4efd-82be-ef9d4b9f5450	0	0
01ffbd42-8f39-4d31-b6cc-14734a604a30	0	0
0130d48a-db7a-4cb3-9e6c-113b24bab518	0	0
68fa138d-ad0c-4f70-8535-cb045150f60a	0	0
bcda1703-27a5-48f1-b075-5e975e0b0be9	70	5.8337027777777779
8300afee-bf0f-421d-b01b-e5878e6ba39f	0.594125249072381956	0.0495147283272751315
831d59fd-8be8-4a9b-941c-94daaeff56ca	0	0
e4c9e411-2610-4665-affe-bc7796cd0c01	0	0
15cc907d-78f2-49e1-b575-8cd8f0ea12c1	11.1837229437229446	0.932057683309283402
d00d37d7-f2da-42d1-b186-26549b41d66a	0	0
69ecb1fe-1043-4876-a03f-ced7fcf155ff	0	0
4cb39e7c-ef3a-4c0d-bca5-916e86e816c6	17.1436818181818182	1.42876396699494945
b73e5ba0-665d-4bfc-b803-00420a26cbd6	0	0
2ddeacc3-11b6-4af0-aedc-92e95faff297	16	1.33344888888888891
6f44417a-4c03-4127-969a-5f9e1f13b084	0	0
e793b826-8410-4a10-8a26-f71e4f20aef8	0	0
2f1bc181-e927-45c7-88f3-796640e1bc79	0	0
7f47d1d7-b55b-4408-9324-58441352dcda	0	0
683fead4-5d6a-4999-ad8f-77d19eace46c	0	0
06cd2352-8ca3-4709-80a3-253ce541a26f	0	0
ed5beb88-0bb9-495c-b3d1-8c64b7721347	0	0
d2ef3119-a276-4827-b478-cb9954b0896e	0	0
50efed31-bb32-49cb-bf8d-b1a3d089e5ef	0	0
b3945a77-3bc1-4edf-ade6-42bad6e376c4	0	0
0d336b44-2276-4a2f-86b3-6ed83cdd0a63	0	0
42bc7cc4-5b95-4aeb-9c8a-600e1039990a	70	5.8338388888888888
f0b6c133-e974-470c-b7d4-6f92b8b1a216	0.594125249072381956	0.0495132430141524485
1a114ae9-6e20-417e-9652-e94bb51e0d88	0	0
cbf37448-a02a-41d5-8220-bc2824c476cc	0	0
f3b0510d-abbd-4c6a-acde-3af7530fd12e	11.1837229437229446	0.932029724001924076
81ddaeed-1b1e-4667-9499-328e93dc3893	0	0
f59f80ed-d507-4c6f-b5b5-680d60dc0800	0	0
c3a30d31-a37d-4c04-ae2a-c8aa62922d23	17.1436818181818182	1.42872110779040407
617a60f7-eab3-4d45-8fa1-fb376f218c0a	0	0
7309c7f9-7a3c-41b6-894b-02221f092f2d	16	1.33340888888888887
a524f954-311b-4fb0-a16c-cce055f3b394	0	0
7ea22df9-7ee3-4268-9831-317594faff2f	0	0
d5e424ef-e3fa-40b3-b2cd-46beae7bda2f	0	0
509212b1-dbb9-41ba-b816-3bed21e82a1e	0	0
6dfa8d22-1716-4949-b93a-394122280280	0	0
1675dff6-4b79-484d-8c1b-aaca8ab352a4	0	0
678121b2-ded8-453a-8674-39709ce4e3e5	0	0
a752c6af-92ae-40c6-a1e1-8a31dc151f70	0	0
ebd1a5be-d490-497a-9383-6e6d01236956	0	0
f8003556-dcd6-43be-a09d-73c9e05809dd	0	0
3cdbf28f-56b6-412d-86ce-6fb961e03e44	0	0
5070f988-ddb9-4b2c-b487-2fdb3aef35c2	70	5.8336638888888892
47160521-0f32-4ff9-b755-61b5db39d03b	0.594125249072381956	0.0495183590926861275
efdf5742-0057-4fe3-9c9b-4bfc7fb36010	0	0
2f77c59c-a3c3-482e-ac24-20855b3c6afd	0	0
51611be9-fd9a-4a2a-b5e1-55136f130367	11.1837229437229446	0.932126028282828312
072f4acd-8dcc-4088-8453-a8b88454c3df	0	0
c21ca173-ac3b-4d5c-b8b3-1b8369d32f09	0	0
32189f9b-58f0-4946-bd0d-3c0f5802113f	17.1436818181818182	1.42886873393939395
0a418ea0-60ed-4fed-a899-25fa6bae8b2b	0	0
53db532c-4079-4c0e-b32d-5a8e45ffa466	16	1.33354666666666666
677df6d9-7ac5-4192-b50b-e4c5002acddf	0	0
a49e6110-ade1-49ef-ad5c-02ee4c910627	0	0
778892a5-13d2-41e1-b508-fac386ca11fe	0	0
deac5c4f-fc8d-4587-ae74-521508e6038a	0	0
a1553d0b-a6d2-4654-a7e6-918672f920dc	0	0
967d237e-60de-4ac4-be2c-7c413a5d0c20	0	0
4d8a59e5-c8c0-49e8-88ca-e251ac5bbec9	0	0
5dc715c8-7a33-4515-ab67-95c4e0e73127	0	0
518c9db0-2039-44b1-8049-33ef3256103d	0	0
2161208f-f34c-4a06-b5ea-d7983f1bf71e	0	0
0a858959-0fa6-4607-87ef-d71374c127c0	0	0
989f5dc1-395d-42bb-8491-da76e220dd2e	70	5.83426666666666627
41a25af0-0284-4ab9-8e38-a47ec451256d	0.594125249072381956	0.0495084570052015879
2d488ecf-cddf-4b47-92f1-364aed84d48c	0	0
6af0873d-256c-414f-af52-9f2b389a2ee6	0	0
f9cba016-df19-40f9-a935-343bd942ccb1	11.1837229437229446	0.931939632900433024
37d01466-80c6-4420-9efa-b388620b50a7	0	0
0d425578-6484-4b19-a595-3902909f752b	0	0
a0ea3713-9884-4b2e-b34c-963be25acff5	17.1436818181818182	1.42858300590909093
a569a4dd-0cb8-4e3f-96e9-4e5fdfaebf8c	0	0
083a8940-3a62-4224-9e4d-4ac6ff8bc9c7	16	1.33328000000000002
a64b3604-a3f9-4e00-90b1-8760787d98a6	0	0
d491621d-2044-4454-abf5-2aa30a31f163	0	0
a8b84a92-3106-43fe-a43d-63d5b0a2d0b2	0	0
a7e0f075-9100-44d8-8667-41b80348cd76	0	0
9e03c448-87f1-4daf-bd2c-2a8749c36a6d	0	0
c69fefb8-6e4e-40d2-bc3b-6b65094ddb0d	0	0
d06e1d66-0cb9-4848-a272-63155fbc3613	0	0
986f5095-8c5c-4a1d-8e66-4721db746789	0	0
cdf538a4-6192-4a05-87a0-c74cdae23c8c	0	0
30cd4055-d28a-49ce-8920-0cbd01e7eeca	0	0
56b51e8a-f947-42a3-bf2b-6cb93fbe8c30	0	0
e733f9f5-efa7-4671-98a3-90128eb0cfd8	70	5.83309999999999995
e714ff58-d369-4562-a91e-9be8d8efd5fa	0.594125249072381956	0.0495630835211579718
ccf88f72-5a0a-4fcf-ad53-1afe910ad7b3	0	0
90425555-23b3-4503-95d4-482db6c94dd7	0	0
6b73c41c-d65f-4022-857e-8b1584c4e1aa	11.1837229437229446	0.932967914093314254
95471149-a11a-4f82-967a-602a39ca4bdd	0	0
7e1177e9-3e8b-4fa0-b390-7b542348389d	0	0
9dc86353-f229-4896-b44d-ff8ec6a72f1f	17.1436818181818182	1.43015927220959616
388134b1-091b-4624-9084-cc65f1bb7f4f	0	0
b1f08451-da45-43ba-9b0b-1622ea2339ba	16	1.33475111111111122
c3680135-674d-4053-b01e-a664888dfa79	0	0
11c8e328-cf0c-4749-83a6-35194c79a53a	0	0
a5e7db20-0643-40fc-84fb-131f3257811a	0	0
5feb8784-65c6-4415-b227-4c2b844acc5c	0	0
0a6e1296-b3dc-4169-a548-a149582b7f77	0	0
744af2e3-7e12-42e8-94be-20c302768b01	0	0
eafb316f-6607-4c1e-bb7f-966073dab6d5	0	0
06e1e0fa-8820-4d24-a4ab-c3fce278f3dd	0	0
5196b92b-8dfa-4e44-9894-e02fd83e8e44	0	0
655f45dc-baac-4b93-94af-40d79f34c54a	0	0
49a0ab43-c97c-406f-b477-1c1d18667a64	0	0
7b2e74b9-c411-4a89-bbcc-e134c875c2d3	70	5.83953611111111126
18905dea-b1e6-4c0d-b79f-9d5591756518	0.594125249072381956	0.0494638976115211598
4a71b4b9-fe81-466b-b7dd-4ebe653c00e5	0	0
0deede57-fbb1-4a2d-a3db-a4e1a0ccf024	0	0
3f2df513-5019-49be-aed1-a23602f386ed	11.1837229437229446	0.931100853679653673
f1973d33-5fe4-4243-9d3b-b3dd98384e55	0	0
cee85c58-1f3c-4ef1-a768-ffd583ff31ad	0	0
9d004f8b-e487-4305-a47f-3e773087d014	17.1436818181818182	1.42729722977272711
d5471739-d2a1-4c03-9765-183c0e7eee01	0	0
a50a9dd2-cfe2-4098-89e5-93644ddbdb00	16	1.33207999999999993
131f0807-029d-4eea-a294-5c75bb45fc9a	0	0
005fb7f5-9b15-4ace-bab3-e98a72940290	0	0
56be95b2-6ad4-4f33-9ee1-2382b87bb867	0	0
362ea2f2-6e21-4a7d-b2dd-d34e94c945f1	0	0
e83b772d-fe41-478a-8a45-33484104a1fd	0	0
d54eec7c-9a7a-4e27-af86-284186b766fe	0	0
beecf920-69d6-4f68-996c-b09ecb114f3d	0	0
f0adbaec-6384-4182-bce1-715605aceb1f	0	0
3916a059-d650-49ee-a397-ac34bfdc5a35	0	0
e21d309d-c6be-49ba-985d-dde25b26ab3f	0	0
abd196b9-843d-448d-aac0-ae873b0b22a6	0	0
e9ee62da-af15-46cf-a033-d60181cb0613	70	5.82784999999999975
b864b9fc-a5ff-45b0-a88f-8483cfebdab8	0.594125249072381956	0.0495140681881094877
c7cd8946-0198-4d51-89ac-591bd796c449	0	0
d3c715b5-41ae-41b0-b1c4-63daf2f69468	0	0
9adb7822-2ef3-4736-80bf-e2e502d0108a	11.1837229437229446	0.932045256950456924
18fb4b96-664b-46a7-a2d7-36e158ecdacd	0	0
4b8ef62d-030e-40d5-866e-b216393d0e1f	0	0
4b77ad41-5a6f-4368-acb3-af8a747826d5	17.1436818181818182	1.42874491845959595
d6f3e7fe-351e-4b95-8d77-addf9370730a	0	0
3b96a647-1d3f-48b4-a382-88c5cc7deffd	16	1.33343111111111101
3d2ab2d7-228e-4570-925b-533ad43e9204	0	0
d8d29d44-bdea-43e0-a293-30e306cc5d37	0	0
f5dcc312-5cc8-40ec-af80-af985a85aee3	0	0
a40dc4c5-5706-4501-907c-c4d51a2d3639	0	0
734435db-87ba-47c3-b8de-26a8cbb495ab	0	0
17ff5744-56eb-46d8-a144-f79c90e01dc2	0	0
96a1dcd8-c4f3-40b4-876f-85e47b42cbdc	0	0
bd78b609-1393-438e-be59-22599e83f4f0	0	0
9d5b2e05-1e7c-4e82-b1de-0fb1ec959cee	0	0
35de510f-fccd-44f1-9e2b-197db4b350ab	0	0
7c9d25f0-096d-4710-8e21-63300a6b03ec	0	0
7dab596a-3eb4-4d21-8c7d-762600d1f74d	70	5.83376111111111051
9775f241-7dac-4fc6-be7a-1e518f077651	0.594125249072381956	0.0495139031533180854
08bc862d-77e6-428c-bf7c-e8ad6f620d77	0	0
997ea478-3fae-4eb0-8970-3b2f4cd484fa	0	0
76529873-ca70-4f83-af9a-7f7c48ae12a1	11.1837229437229446	0.932042150360750554
d9da23ca-6023-42f3-a522-15cbec1776f4	0	0
3d090ebc-a933-4ffe-a47e-e745d84c289d	0	0
3eee372f-c1fc-44f5-8020-42da7b5006f5	17.1436818181818182	1.42874015632575757
3d1fc7d9-cf6c-4e51-88a8-31274695f992	0	0
8153b03c-3715-4d99-8cc4-bb2aed1aff65	16	1.33342666666666676
92f09240-607d-4757-aed5-1d3659b09ec3	0	0
2f185798-b023-4212-ade3-05a66423c246	0	0
5a4bb26a-2d0a-4ce1-a098-52cb76fe3c46	0	0
3ee6ba50-b4e6-49e0-83c7-de94fa88170a	0	0
eb97f946-4156-41ea-a75e-c91ffe269267	0	0
a5a92ea2-a284-4d11-a5d1-7e7bcad0cb9a	0	0
df1b93c2-aaeb-4163-b6f4-d8251cb4f708	0	0
19fae24a-3220-4332-892b-e3ba5004bf98	0	0
857ffe3f-3530-407d-9295-6043dade9bad	0	0
cec130ac-050a-4d59-ad96-1e019bdfb4fb	0	0
0f3516e5-9b9a-421d-9078-11d97159d8dc	0	0
b07f945b-dac2-4125-a4df-97e2a0556874	70	5.83374166666666749
9ad691b8-b068-46e6-bc89-6cbc9d5f64fd	0.594125249072381956	0.0495099423183242709
3afe6da4-dee1-4f9b-8472-362c756fc6d0	0	0
16347e95-d449-4a1b-a4df-c2f713ef576f	0	0
d12d0e86-cb9a-4828-9ae3-a5ed419a9b0f	11.1837229437229446	0.93196759220779235
56fed7d4-6fd5-4d10-8353-4a58cbc515ea	0	0
00e74714-aa04-40f5-8bc3-04f226bd4e8d	0	0
cafe783a-20a4-477d-a96a-58208584ab34	17.1436818181818182	1.42862586511363654
71dd470b-53f4-4d60-afe2-7e52f62ca8b2	0	0
cb5c4400-083f-4ab9-b631-fcd62e57d112	16	1.33332000000000006
c0642526-8af2-4a1c-8a06-38124ac20484	0	0
0b0f1e75-f0c1-4cb7-a435-3c10f4e05d05	0	0
7b2741d0-c824-464c-883b-42d2cc579c97	0	0
390c26ce-b861-4bee-90be-a8cf1fb14746	0	0
bef3f443-0f06-40d1-b1af-0b58da9e2ccb	0	0
47f8059e-4e8d-44e0-82db-7be1c66b1377	0	0
90139a3a-623a-4541-b78f-ce6155b7a7ac	0	0
fc928811-19a9-401c-8552-2bed56b36a51	0	0
a505bd7e-6843-4f88-aae4-b835e038872c	0	0
dbf9e80e-7e31-454d-9102-ca3d0c2c72a9	0	0
b5c42750-7349-4179-8e3e-c52cb59bfe06	0	0
d17e8910-6dd2-4be1-bc70-7813ca4687fe	70	5.83327500000000043
ede1dd0e-22ea-4ea0-b654-e23699989cff	0.594125249072381956	0.0495135730837352669
130df1ba-98ec-4a10-a5b5-76a9740d0762	0	0
a98e9bcc-06df-4676-afb5-833646e55953	0	0
c7954fc1-f8ef-4062-9bcc-588b8d4e2c82	11.1837229437229446	0.93203593718133726
b3817b68-f13f-462f-b330-0d861f464fb0	0	0
59bb78da-ac02-42d2-9924-b3f9c2402e0d	0	0
1ec56e22-28e2-401d-b7da-b1a280ba6f61	17.1436818181818182	1.42873063205808082
9d4310be-396b-484c-9fe2-25b268116b44	0	0
9acc5387-c5d1-4cb0-a135-c1946999a625	16	1.33341777777777781
4147d1dd-d9ae-40d8-8b7e-8f832961a721	0	0
267adeba-c9ca-4c3b-8fc5-d8b78861e979	0	0
a7f464a1-7aef-4ca9-bafa-8b7719eeca8d	0	0
9b714abb-7e14-46d1-9d47-d98041e1ec32	0	0
60cc4a8f-bf8b-4fa4-8a4e-1f6fe7f647e8	0	0
2ac3d139-45ed-451f-9fc7-40eeaf68a4bc	0	0
01e6d73c-2ae1-4630-a1e9-5847a93bb6af	0	0
29228679-990a-49be-aadc-59ead7576980	0	0
7cfaddc2-7ce6-4ee2-a304-4bb54f045f20	0	0
4426e4c6-c425-4c85-8983-d7bbd6a15b6b	0	0
f6dbaa15-3913-4a5e-a2e3-3b5a624e7dac	0	0
463733dc-55e1-42e7-8fd3-3693cdecda68	70	5.8337027777777779
5309d3a5-3844-4c1b-8658-b70462afd337	0.594125249072381956	0.0495434443809802949
22e847d4-7d2e-4421-a8b9-d3e34f4a55f0	0	0
615d5a60-a1be-42e2-aeca-60570684cde7	0	0
47725930-6fb0-4881-887c-39db896b0cd7	11.1837229437229446	0.932598229918229937
d33b3a39-ecbc-4518-b703-b14278f375f6	0	0
535910fd-9325-44e2-ab4a-9998b39c5c62	0	0
9d257f62-b0e9-44b2-b7e2-99c714d56877	17.1436818181818182	1.42959257828282826
16ad7983-bc8c-427c-b079-5024e49c6e5a	0	0
57343e88-a6c6-425f-a4c0-76355c3029cf	16	1.3342222222222222
76bcf16a-063d-4dc9-9216-e4dfb5e1b49b	0	0
37410e78-a1ce-4320-95cb-70e467918b51	0	0
57af785c-6939-4b71-b7e8-49a340e2f4f2	0	0
c5e2d1a2-b6d5-4cbb-97f3-25dc353a4eed	0	0
b03bf2f7-fd86-41ec-a60c-12a50d47beaa	0	0
0661a84b-625e-407e-9fc3-67d4b87cab7d	0	0
31b7841a-166d-4bd5-a6dc-1b6205c74ab7	0	0
c05267b6-0947-4269-88c9-8b5440946b92	0	0
746ef3af-498c-4a57-aeed-443b78830ce4	0	0
b08fa282-c488-4453-90d3-7a42133400ed	0	0
ffe21bf6-e50d-488f-a1c4-9f3e1fab1038	0	0
e9684a8b-6313-407a-945d-6ff8863ddf4b	70	5.83722222222222253
a814a297-e000-40f8-ba10-80db068aa704	0.594125249072381956	0.0494873325519012419
3f17ad59-b662-455f-986f-11f774da93e4	0	0
d4c8b63b-856a-4098-91b6-786eee96a2bb	0	0
cbae7d64-da4c-4ba4-8009-95cab04adcee	11.1837229437229446	0.931541989417989491
7a5214c3-7f74-49a0-bc13-239d201b4e2e	0	0
b48f913b-3966-4580-8280-27e04e66531b	0	0
bdfd5053-d554-4def-a4fd-8088f68655bd	17.1436818181818182	1.42797345277777787
8c292aa7-cd5b-49b0-938c-012fc140f8d5	0	0
12a1b8d1-8021-48c8-85c4-6817dfec0eb1	16	1.33271111111111118
20e649de-83d8-42ae-949f-f97ae1b7874a	0	0
1587653a-1da6-4824-b057-f0ac776bfc4e	0	0
30ca56ac-bfb7-41a1-a5ab-7fd234ff3bcc	0	0
1082a21b-046a-4180-91b3-95914fcb0449	0	0
10d7e0d5-a57b-455f-9c4c-dfdc338f1fdf	0	0
c66ef041-4fcc-4217-9747-65c65058d3bf	0	0
60b8c475-c864-492e-89dc-4b5fca66ff61	0	0
3ae90c24-a136-4673-9908-690db6eef4a8	0	0
cebc5bd5-1149-480b-b2a6-67d029b04ad0	0	0
596181d4-3c5e-4ccc-95e6-35fbc7a40a58	0	0
65ff9014-bd49-492c-affd-9bf362f99db4	0	0
6c416dd7-d273-4dfa-a3f6-d645414e3f2d	70	5.83061111111111163
ee385d0e-f771-4cb2-9965-81548ac3bd6f	0.594125249072381956	0.0495153884664407615
5ba50d19-29e7-44ae-aa86-97e366adceb7	0	0
af2d2faf-16e4-48fc-9dc0-afd48226c890	0	0
f77362e3-5ea1-4bc1-ad57-d8ec184b7912	11.1837229437229446	0.932070109668109659
9b47428f-3675-4ca7-8bb6-414721ab6e27	0	0
4e344ec9-dee8-47cc-a433-def507191e21	0	0
a9b8ea7f-fde6-495a-b69f-006f5ff0b510	17.1436818181818182	1.42878301553030296
b2661f11-7ae1-4594-ae98-af44e0cc3b8d	0	0
69eb5876-29d3-4439-9603-63ef88746fa3	16	1.33346666666666658
fc3f50f7-7752-4d07-b5aa-e915e0e76b99	0	0
baffb63c-2f68-4201-ba35-7c8a4c84d958	0	0
8456f6e4-cc05-417d-a3d8-1d0a6abbb284	0	0
aeaecb03-7569-4583-bc43-0946afa46479	0	0
101095fa-c79d-48d0-90af-d90bc992b5eb	0	0
8adefc99-7d99-441f-a735-58702a27d827	0	0
09e588f0-5ec3-4fc5-9f84-0974106fb9a0	0	0
3fa13027-8c28-49ff-9c50-251a9e504406	0	0
99867d0f-4c74-49c3-8f18-6541bbb33c8b	0	0
f7df5a19-5fcd-4399-bae7-75101bf76872	0	0
581585a4-619a-4b1b-bf80-dedebf961914	0	0
e0528817-3d03-4326-8b84-548f2076e7d9	70	5.8339166666666662
dc88f36a-5c0c-4d47-a779-6dcc471396bc	0.594125249072381956	0.04951505839685795
cdf8020e-ecaf-4351-af8c-fc648dbec472	0	0
cfaf8caa-3603-456a-80fa-20fa1f4cb7c5	0	0
10751d52-c588-4603-b26c-e68573c89fc3	11.1837229437229446	0.932063896488696586
c0ab5ae5-79a2-43b1-b2cc-027bc5cfe301	0	0
8b8eeece-eea9-4590-8836-bcd4baeddf98	0	0
8aac44ee-2176-4c28-8899-90c8c81bbd3f	17.1436818181818182	1.42877349126262643
67a7d2a7-6a1a-4e62-be8f-07a3d7129c29	0	0
573dfcfd-5835-44e9-9c2a-03e350d82fb3	16	1.33345777777777785
97622f12-e40f-406e-a78d-ba74a590e3db	0	0
05c1c622-beb6-4290-bdf1-e0f44fe76635	0	0
fa16fac8-d474-4a3e-bd59-4fa948ba369d	0	0
3f2ad9d6-045d-4337-b727-07d03f89bf86	0	0
d23c5df9-3515-4f76-811e-777c39491a4a	0	0
89034d1a-0373-4d63-88b6-97352231c4e9	0	0
db7414c7-8b57-491f-b871-a8eb6ab4d87e	0	0
7e97dd2b-8580-4c79-9a1a-175c98425278	0	0
71870507-aa96-46d9-8e1e-6c61aa4246d6	0	0
312367ec-5c00-45ad-8778-64a6793c09ec	0	0
1e58a1e0-12f5-48b2-82f9-56797f9ee075	0	0
28607192-ef37-43c6-9df3-16734a514a59	70	5.83387777777777838
df6fd5f4-0ead-4596-b9de-9da0388062d4	0.594125249072381956	0.0495130779793610393
28b15fb0-6640-4421-aab2-c715a6c8a942	0	0
762f4a6e-cfcd-41d4-89d8-3f916bccb997	0	0
ceed56bc-0597-41b3-baf2-6c4ee0c8960b	11.1837229437229446	0.932026617412217484
ebe4d439-3877-4af2-bf88-a8db97bd548b	0	0
018b7d6c-47c8-4ed5-a036-c5afe8f595b9	0	0
8d4bfd99-d485-4953-a698-81929e47832a	17.1436818181818182	1.42871634565656569
e03e9f17-983b-492f-97c6-6b6c2a790086	0	0
524add31-6c31-499f-9b6c-27ee3d10c3a5	16	1.33340444444444439
b19521b2-b35c-4f4a-a984-e48da0069be6	0	0
75a2913c-ab23-4e7e-96ea-ca831b446b5f	0	0
35dea772-adde-4546-87ef-af24b9ffb8d0	0	0
4d3bef51-743c-41e6-8cbb-4148e17c3c6c	0	0
bda830bc-2d8d-46c6-8ca6-fbbd8b481c74	0	0
7255b4a7-9a69-4bff-b086-7bc98d36e192	0	0
ff29808c-0049-4b1c-8363-7b8c34143adc	0	0
24b62c53-b89f-43a9-9e5f-77a07a933721	0	0
3b2b1f4a-bd06-43d2-95c5-bbf52450f4bd	0	0
11f62e53-e25e-44e3-9d68-df660b44d7b3	0	0
feb131e3-0f01-4d0f-ac38-cfd5588c94b6	0	0
82d9c5ad-1d42-4bfe-b846-943f4e59f6dd	70	5.83364444444444441
9889e2d3-3a2f-479e-8750-4ac3672588f3	0.594125249072381956	0.0495134080489438577
2339db82-1263-43fa-8de9-fb141d04c688	0	0
205d707b-c39b-4150-bfdf-63b9315016a1	0	0
46e7a882-cab8-4627-925d-d7e13711c16b	11.1837229437229446	0.932032830591630668
cffc469a-3c3f-486d-b9de-0b3ecbf279b8	0	0
163d4c77-3e20-4a72-a7f6-06babe27ef3e	0	0
18540dce-35a7-421e-8c4c-9a1191b9862d	17.1436818181818182	1.42872586992424244
365ab39e-9320-4a74-b635-206d0334d9ac	0	0
a69dfa46-a86a-4e5d-b1ee-55d98e915f1e	16	1.33341333333333334
c0ccdd86-ab0f-42d6-8722-d9c890c5c5d0	0	0
56234a0d-fe0b-48e9-97ed-af2348e4ffc0	0	0
6803aade-aa6e-4926-8c99-82a9406ac33f	0	0
25a72924-062b-4ba9-9b4b-044ea9d5b7c5	0	0
c0f583b2-4a48-45ee-af3d-cf962f519207	0	0
be710f0a-cfb4-4e46-ab45-81ac79ea42cd	0	0
61d07fef-f5e2-47e5-b922-f3a9798cf086	0	0
c27bc73c-51f5-45ad-869d-cf3fb75997cd	0	0
2ea55ae9-7cbb-4850-a6ef-101c7cbd9cdd	0	0
6e986c86-e13d-42ec-a717-055b918a664b	0	0
a5ed0377-a2f9-46be-8ae2-b8c01b4265c8	0	0
77c12e43-8e88-43be-9965-af61e4d4c697	70	5.83368333333333311
83baac2a-69c7-48e2-a439-4613981e39fa	0.594125249072381956	0.0495134080489438577
b336858d-d24b-4a49-993b-589a8664f033	0	0
fb2c441a-8d1b-4218-968a-7134345b21d4	0	0
e8cbf71d-99f4-47e3-8f9c-b1b3058449c9	11.1837229437229446	0.932032830591630668
bb0d7264-397a-45e1-8ce9-ec22a439843f	0	0
0ad6d705-7aa3-4602-b486-f1e3a727c56b	0	0
7c51c22a-bc2a-417d-9d10-62ba44356351	17.1436818181818182	1.42872586992424244
e29ea963-e2a4-4e0a-a7fe-7856c4bf0382	0	0
0baa05bd-8164-408d-bfed-cd497c39afff	16	1.33341333333333334
7151770a-3418-43e3-bc04-2b94828e619a	0	0
0733ddf3-b432-4e0a-b8a5-9a02f356fcae	0	0
c2a00496-9e40-4267-91ae-f38242adb6d8	0	0
ce1f6bbe-fb04-4371-80d8-c197d3cf3d2b	0	0
61701885-a05e-4ab3-ac95-2eacbd175d88	0	0
62b371d1-1062-41ba-be76-ad26c26b2efc	0	0
0ebd5d65-a246-4a29-82b8-026b6d9dfcb5	0	0
f01fcec9-33b6-4c52-9426-dd146d4069c7	0	0
991148b2-c101-4f89-96bc-db261e9caf96	0	0
96b1e23d-da5b-4a03-8617-6677948c3a0e	0	0
48b3c073-f068-40ec-a28e-7d80d9b4d613	0	0
0c80feca-cfa8-4ff9-8213-eb35d8068297	70	5.83368333333333311
87528eb9-27b8-4d64-bd8f-918dc9a14a5f	0.594125249072381956	0.0495084570052015879
809494ed-259c-4b53-a082-f353bc5de43d	0	0
2ed780a6-b135-473f-88d4-0a64c63e9caf	0	0
58922d5e-0b12-47c9-9564-950b94e48a6f	11.1837229437229446	0.931939632900433024
951ba93d-afe3-4aba-8985-f179e9c69665	0	0
27ac5dc1-7c6b-4644-ae59-7fddfaec0f3a	0	0
36507fe8-c350-48be-9925-2bddfad0bf63	17.1436818181818182	1.42858300590909093
b1a2b5b5-1fa8-45d1-a02d-d8ad228465af	0	0
2adc838a-6db7-491e-9cea-f159f4c7474d	16	1.33328000000000002
fa62b047-6d5d-402b-968e-2bef97dbb697	0	0
43487f0d-0656-451d-b3ea-cdf69a9b869b	0	0
12ce21c6-aa1a-4a75-9fca-dbe155d510fd	0	0
0e57e04b-df78-42ce-8faa-a0773ae881dc	0	0
443c45c9-0f10-4dae-a630-57f89af65b31	0	0
8bba817f-ac20-46c6-b52e-cb4e3d385832	0	0
c1e726ed-f4fd-4092-929f-d85c7b89e60f	0	0
36a56566-2ccc-4732-b3bc-152dd6fce391	0	0
b276276f-4295-46d5-91a9-8745329e20bb	0	0
6a257449-5fe1-4b64-9774-1f6e20742181	0	0
f42e78ea-12e4-4a62-b6df-93da18aa8044	0	0
d0a7f17a-8879-471d-a2ae-fda073b36c18	70	5.83309999999999995
e1989369-091c-464e-83f5-82406e8f659b	0.594125249072381956	0.0495125828749868185
b3d28c89-c73c-4fc3-8006-e9d846fb4c68	0	0
a06865b0-e88b-4dea-ae34-08b2ac4fb324	0	0
fde13b6d-7caa-4c52-8106-4162ad0f3516	11.1837229437229446	0.93201729764309782
b864c8c4-755b-46f2-b802-7b523ee16e62	0	0
257e388f-d967-4f2f-b2ca-7137d25c6a78	0	0
4049edeb-7bfb-47ee-9f9a-71e5fb163b5e	17.1436818181818182	1.42870205925505056
f91893d7-5bc7-4019-a1e0-75efbc458de6	0	0
f061528c-cf3d-431d-91cd-0342bfe42438	16	1.33339111111111119
d93be0b5-7f25-4a89-b822-4aeb6aa7b82d	0	0
2748062d-a416-49e7-af48-a3943650324f	0	0
81b5b1a1-c788-4eb4-8019-62b3dbe3303c	0	0
14ad685c-22ac-4777-a4cf-fa89886fcbdf	0	0
2bd03582-567a-415a-920a-018e9f6a9586	0	0
4e990f8f-24e9-4f23-8e72-989c4edf6a15	0	0
83d2cee1-c265-4f69-9c1e-0520d2d5141b	0	0
6e26a1cb-07aa-481e-b2b6-f7851fc2212d	0	0
6e3d3dc1-85e9-487f-8cb5-a569416239e6	0	0
cd771739-f642-4cb3-84c9-4db681e75170	0	0
a54e62d6-f72e-45da-ba93-349873492772	0	0
b3ed94f3-4b73-4e0b-b99f-b0ec29b28e4b	70	5.8335861111111118
898e1a84-6b41-4554-860f-6d0416c0ed32	0.594125249072381956	0.0495163786751892238
2f6f6e21-8fde-491b-9424-feddf3605c5d	0	0
bf3087c0-c2e0-4e16-badb-c58e177bcd50	0	0
14d6233e-86a5-40c6-9232-3b415ff8f6f6	11.1837229437229446	0.932088749206349321
d3ec8f12-f8d2-4653-ab6a-68ffb5fca872	0	0
62cbecbe-8679-4263-95ed-318ed12b65d5	0	0
7548344b-947a-4cc9-bd66-0222886f7ce5	17.1436818181818182	1.42881158833333344
710b7bba-38cd-4b95-b7b2-cd649f8de57f	0	0
a4bb58b3-74e9-47f7-9d05-27c78fb11bc2	16	1.33349333333333342
f97a353f-3e9b-4954-8264-7c9cb6c461e8	0	0
e7cc63e6-faa7-4d89-9211-5fb546bc97cc	0	0
d0d3d81d-f7af-475b-87df-d4afb9ac64d5	0	0
621df949-c6cf-4a56-9ae1-c48026568f03	0	0
707cf6cf-cfa9-485b-b010-bbc075367cfb	0	0
2da0e041-3ecc-4556-ae62-3021e2e7490d	0	0
82f8cfd8-95b2-4f03-a1ef-8d030154cf8e	0	0
e6b9709a-9065-4627-8d1e-c532adeb97a4	0	0
b8012858-c422-4a13-829f-4fc11a6e7986	0	0
ad70a184-3427-4785-8ab0-01a17b237880	0	0
76ca3419-2e2a-4e6c-bc57-1bcdd1b3a990	0	0
0c1ba353-e536-4826-bb98-a2908834cedd	70	5.83403333333333407
63c8ae44-0995-43f4-ae42-9a4b75a76274	0.594125249072381956	0.0495173688839376722
e8309018-61c2-46af-b5c5-466e73a3a8f5	0	0
f35203eb-8d6c-4243-9b41-44f336d14ab4	0	0
5f764a4a-4d62-47f0-b9e9-920893876c43	11.1837229437229446	0.932107388744588872
7547435d-d8df-4c69-a00a-ef6a50bd4b7b	0	0
2d15a49c-d482-4a27-b691-68589114de4b	0	0
0e21c2d7-96b9-4bb6-8388-95a22f58bd9b	17.1436818181818182	1.4288401611363637
a7129005-d0fc-41dd-b25f-8316ce96d8c5	0	0
c63fc21d-bc7c-4f94-aca9-fa9f91d92003	16	1.33352000000000004
e07a199b-5f1b-412b-81d3-98124df906c6	0	0
4a02928d-c799-45cb-acbd-eb0a9390e484	0	0
3a9faf03-4f5d-4447-89af-fe35c6570d96	0	0
51d3f35a-64c0-42cd-94e3-4bcbe8a0ea90	0	0
bf010c26-3478-4cb2-ae00-845a1bb2a3c3	0	0
f74930c2-37c6-4bd9-b571-75d388ca5d47	0	0
ca67568a-063e-4063-82dd-9afc88703cda	0	0
5ddef4f8-9b1b-440c-afc6-1c1675e1b03b	0	0
c743ef55-78a3-4718-8111-ab26da44e6b4	0	0
0c14a23f-5bcf-4c9b-89c4-c5c4af92fb8c	0	0
e23cea2d-562b-48d3-85ae-e837977240db	0	0
cd70a02e-c400-414c-8d78-6fa9fefc21fb	70	5.83415000000000017
6d6d07b8-4a8e-4f01-b4d7-294d3b4d303a	0.594125249072381956	0.0495145632924837223
8d9f2eb1-e64d-4b23-916f-e01e19330349	0	0
2f1b9f25-390e-45fa-9da6-276547d17d55	0	0
63345da7-1e78-4531-87a5-73a5bcae1650	11.1837229437229446	0.932054576719576811
e1a52aec-e892-4e20-a5c3-0db41782601b	0	0
df408cb5-ca0a-4306-88a2-f3affcb4e824	0	0
3d39c9d6-e929-45f7-b1ab-d2108fdf783a	17.1436818181818182	1.42875920486111108
f999487f-89d3-4291-b2a9-3ae877eb1542	0	0
6591d55b-b7ea-4009-af1a-768e06051e79	16	1.33344444444444443
65a002c0-b9c7-465c-96db-d595caf1499e	0	0
50b0cc58-e5c4-41e4-8fc0-8f5b6e35f3f0	0	0
3fc53acb-8e40-40c4-9187-6d1521845729	0	0
83cdbffe-0f2b-424c-805a-22ea7e608325	0	0
78be46aa-5176-4629-9f30-aced161fb61b	0	0
a58cc1e0-0ebe-470c-8735-55be0ce3a6f8	0	0
f644581c-4a5e-4821-ac9c-47c3755f404e	0	0
418cc83f-692d-4ba8-b814-2a77fd88372d	0	0
5c845c36-8d46-4579-8ee3-465a3763c234	0	0
5324d49b-cb2a-46e1-8e9d-cd079c788309	0	0
9551dc95-b62d-4c65-9b5b-aacc23784dae	0	0
eca936a4-b583-40c4-a08c-8f7c83e7ee7d	70	5.833819444444444
d313f743-f808-4814-928d-880f0d84a265	0.594125249072381956	0.0495122528054039931
a392365f-e763-4753-bb91-c71fdccbbb8e	0	0
2660d863-2eb9-4f33-9f71-893dab69bbff	0	0
a838e011-3682-4f1c-ae31-0375612def17	11.1837229437229446	0.932011084463684525
2d058cd5-ed82-460d-83d3-0fdcb0060eb9	0	0
0f376333-3e09-4ac6-bb90-88767c199da8	0	0
7c814f2a-93f1-4678-b7a2-9e547e028d99	17.1436818181818182	1.42869253498737381
4c49a17a-54c9-42f5-9c89-fd2ead7f88a1	0	0
e6afc993-b7a5-4119-89a0-e08b4dc4ecc3	16	1.33338222222222225
11618faf-1c08-4d8a-9917-b6e06a147384	0	0
e9995fe9-b267-4df2-b058-1c049e7adc6a	0	0
5d47fb1f-21b9-49ca-87aa-2d78c5ed058c	0	0
de16cfe8-1e36-4b89-9e5e-a18ab4e00d36	0	0
00412ab7-32fc-4a17-af37-c80440de7524	0	0
c07fedc4-29fe-483a-a364-80790909bccc	0	0
ed5602a0-640e-4ae1-aa20-27b7d236707b	0	0
7a115173-50b3-485b-aee4-4bfa515d853e	0	0
fd7a32b8-05f1-482d-9c9f-79afb3ccaf2b	0	0
20b4786d-83ca-4df1-81b4-97d0f3ade0da	0	0
3df72c9a-fa78-4018-b508-716bfc58ff9b	0	0
e9a83e4e-97d5-437b-801e-1e2374fc49e0	70	5.83354722222222222
6d3df694-e3ce-48c6-b9f7-856dbf2672b4	0.594125249072381956	0.0495152234316493592
d7f116e9-628d-4e2d-9dec-cbfa61994919	0	0
eb931783-3263-4e0c-b480-36a9575514f6	0	0
5ac9b119-da35-4e6e-8602-37d00fc1ea80	11.1837229437229446	0.932067003078403178
bb2a9f5e-7682-4017-8cbe-8e8ae0aa723a	0	0
532642ff-d06d-4480-a8e9-2c7881ee613a	0	0
bc5a5c77-6b5b-4396-bab8-e93fb2464ff1	17.1436818181818182	1.4287782533964648
fe439fa7-2d53-4b71-89ff-9367e9cad9bb	0	0
de834acd-c19e-4033-805a-9c8e9b68049e	16	1.33346222222222233
b9eb5c83-a141-4312-a3fe-51c9a869b6c1	0	0
4cc18ae2-4019-43d3-a4f8-cc79a1882b76	0	0
cba13190-0596-4c7d-9a9f-c889a81a2396	0	0
1fc02ff1-0080-4da0-af44-cc2823a8611a	0	0
954e4f10-9229-4256-a80e-df9a410825a3	0	0
66e2974c-85a1-4c72-bff5-1370de6aa1c7	0	0
19e89a94-11a6-49bb-80ea-de39aca546af	0	0
32d26771-ced9-4ab5-b15c-bbec242ef510	0	0
a5d9c39a-a490-4352-bab7-bf7857176c69	0	0
947d99b9-8996-4049-85f9-93c6964e4ecc	0	0
054e473e-b2de-4c75-8bba-c99406670d47	0	0
52d2c327-5309-4497-b810-c80dbdad6344	70	5.83389722222222229
9c2b2eb2-c30f-4bfd-a4a6-c14e93cad448	0.594125249072381956	0.0495139031533180854
5a116eb9-7fb8-4922-a709-2c006d647767	0	0
ec8104a3-59a0-411b-b227-4bd2575d674d	0	0
f8c6c48f-133b-451e-83dd-0cf77eba676b	11.1837229437229446	0.932042150360750554
a8ec19a0-3dc5-45ed-936f-7ae645ca844e	0	0
d0595652-7535-4f3d-8c26-2b492ea81909	0	0
d6f93585-9c6c-4ce7-9ed1-42f4ac75de70	17.1436818181818182	1.42874015632575757
99d45de8-3be0-4ece-a9cf-e997d7ec5181	0	0
803e39f3-d268-4c8d-8d11-98a3c42ed93a	16	1.33342666666666676
db24d6f9-8d51-4766-a2c9-386a0a7f4729	0	0
c1ffd21e-4200-43d4-b934-98af04449f18	0	0
6d85685a-ea95-4c46-aa31-45327670aeca	0	0
ae2fe1a6-ed83-4c10-94d7-246200156fbe	0	0
3af7ac53-0334-4add-becb-1a8202e7fd53	0	0
e492b969-480b-4b08-bd56-f3729b356ec9	0	0
9e7936f6-e424-40e2-b2ca-4b07577ba165	0	0
c6913db9-09c5-442a-b8ae-a58361bab37d	0	0
1b414104-f8c9-4113-b3c2-ce13e30a36b9	0	0
f358fa6c-99c4-430b-b438-11741440c80f	0	0
67714820-33ac-4e1d-b3c4-553fc8b749dc	0	0
eb3afe4f-6cd4-40b1-951d-5a06e3089b19	70	5.83374166666666749
d0b6f4da-89f1-4b0f-87ca-c8968e08e6d4	0.594125249072381956	0.0495087870747844064
cc26abd7-e1ab-4920-8785-f3b83a78979f	0	0
8b8e4b2e-e0d8-4576-a4f2-e9e7605bad11	0	0
443587a2-9ce1-4ace-ab4c-e430780e1b03	11.1837229437229446	0.931945846079846207
9d1dbe24-552e-4f2e-9675-5204a4904d98	0	0
50672b0f-17fc-4e85-a093-7aec327e5b26	0	0
82b7fed6-5622-4286-88db-b1452b1998f8	17.1436818181818182	1.42859253017676768
35a38cfa-ae5a-40bb-a3e5-39bd7d569c46	0	0
cafff8bc-17b7-44f9-b8e3-813956bc65df	16	1.33328888888888897
3bff42a1-f8a1-4cf8-ac62-9845c770a488	0	0
3cdeb228-4863-45c2-b93e-e6195dc77049	0	0
74d56247-5e03-4038-89ed-3960ac6757c5	0	0
b74984cc-a931-4327-8275-c12ca63c1362	0	0
ecf9a986-be60-4177-af62-826b84088cb1	0	0
fb53c147-167f-494b-bad6-f9170132f330	0	0
9a8212fe-c2eb-40b3-a67b-972bbd8df4ce	0	0
f100c335-7528-4986-bbdb-cdc8fc60a04e	0	0
965390e7-3f04-46d6-99ad-5da044d9d6b7	0	0
3a9834d4-5577-4240-b852-ba2f8e732eae	0	0
3ac43145-c94e-4fc3-a0ce-47eb3d4c61f4	0	0
97666f61-5491-4fc0-b272-135df41a8ceb	70	5.83313888888888954
42094b53-31b8-4300-a41b-ed71a029b843	0.594125249072381956	0.0495198444058088105
21c8c3dd-39fb-4733-b122-b053adc557c9	0	0
87146d0c-12d4-4079-8945-43151c5dcb39	0	0
4cd91454-f28d-4ffa-90dd-4874d3379220	11.1837229437229446	0.932153987590187638
30202669-87a2-462f-b6aa-20d02fcf53f9	0	0
79a8c00e-b617-4f05-8843-08935f77a7d3	0	0
0f8f823e-8689-4b5b-9b59-9b121547705c	17.1436818181818182	1.42891159314393934
0efd1629-e30f-4f86-a597-af6591a7339a	0	0
e59888db-bc72-4614-847b-4cc2cb0ee857	16	1.3335866666666667
20c48ade-e765-4f57-b78d-a08dc0f4e4df	0	0
7ba337bd-7db8-4824-8823-2dc4f1f0fcf3	0	0
b9394bac-24b2-4653-a000-766be5ddd26f	0	0
6ac62ef3-d73e-4554-ba4d-59c91111112d	0	0
a74a7bb2-ccdf-4375-a1de-45ade852c2c2	0	0
a708dfd3-f570-4b66-a86d-99cecfc08d33	0	0
81db7c1c-9ad2-43a9-8db0-35b05cd07234	0	0
6722e557-5786-4852-a903-c9f4af5e4591	0	0
27bbb845-3ffb-4ca8-b4b6-435a0f151dec	0	0
203b1cdc-4537-4bb6-bf19-e03687fe3cde	0	0
92f311fc-3b31-421e-8d3c-db10a04706c4	0	0
f3491404-c1d7-4b01-97d3-70bec52f5d16	70	5.83444166666666675
3cf27a72-5501-402c-9ed2-7e587d8367a9	0.594125249072381956	0.0495142332229009038
c8f28128-943b-42b1-b48d-fabbb7a8a88c	0	0
3a93e4d7-df76-4782-83ad-d5448cbe5006	0	0
6763b4b0-55fc-4d64-95ad-a71f16431d79	11.1837229437229446	0.932048363540163516
f472190b-c842-47ac-ac33-741cc438299a	0	0
de795852-e7e0-4d92-a861-02bea3049e21	0	0
570da997-af83-4030-8e5b-c8832307853d	17.1436818181818182	1.42874968059343432
085bb914-51d4-4251-afb3-9de6e8c7d420	0	0
0a2b41ee-f5e8-492e-9fb4-7b412b80ecfa	16	1.33343555555555549
11f5e750-15f3-485c-92e8-517790502665	0	0
0fb2e199-d731-4a8c-8ac4-09e9ace1fedf	0	0
bff50f57-1b12-448f-98c0-7b9e157f48f7	0	0
712d6c9d-9ced-4ead-a423-788b03f92d43	0	0
20d8c9cc-bacc-4057-956e-1e8a6a7585cd	0	0
9bcb3dd7-9e2d-41ff-b7fe-1c7c7223e4c5	0	0
cfb47d5a-ed0a-4820-a551-5af1810bc818	0	0
77a54dcb-9cd2-47ca-9369-30f86c531edb	0	0
2fa7b40f-cee8-4277-b366-b376effca805	0	0
34dec377-6c3e-41fb-8502-f2bfdf62099f	0	0
5cc7c0b4-2ef8-40a9-8709-4a6507320fe9	0	0
2793dbf6-5eb0-4e4a-a821-a394614b3fb1	70	5.8337805555555553
ea0bdfce-43d9-40cd-8878-3082f3f1fbd3	0.594125249072381956	0.0495139031533180854
877de2ad-6c5b-4f76-b260-c2095e6efbea	0	0
30045b94-269b-4664-9921-6b2487f94071	0	0
6cad8ddc-8e97-4643-97c9-c4d8c24e3486	11.1837229437229446	0.932042150360750554
df463752-bc09-4f03-b456-22a0c6dbb7fa	0	0
fece1a89-2b6b-4ba5-ab43-bc01acc44027	0	0
acf76c28-e052-41d6-91a4-ed13324e1d05	17.1436818181818182	1.42874015632575757
f486d9f5-317a-4b80-b7d8-4939e6812028	0	0
d1af0ea1-1344-44f4-b33b-b56963627080	16	1.33342666666666676
b53f9f1c-b79d-48c2-986d-c3fa3afcc4e2	0	0
31265a76-d35f-443a-9fd3-b47ad94dcace	0	0
94791f86-e031-4ad6-84cf-eeefa0b62068	0	0
a2cfe3a7-c068-4817-8e71-0ff51b2e5453	0	0
b95f5639-5f5c-43fe-b58c-33ec74c9004a	0	0
fb05ed65-303b-4316-8c4b-f03dd9a61120	0	0
e37edd35-4d4f-41ee-b39c-a34abfd066aa	0	0
c0788e01-f856-4812-8ff9-82304e6856f6	0	0
639a618d-65df-40fe-949b-45bade341b63	0	0
35cade84-f7c3-445a-8615-fc9b26493dd5	0	0
ae34976c-a16c-4888-835a-d70fd5ec61f7	0	0
efb6fc7c-0966-4581-bd75-cfd4ef4cdd37	70	5.83374166666666749
480db73f-920a-4e41-b9ac-76fcf5dad014	0.594125249072381956	0.0495139031533180854
535cbf82-244a-4729-ad7e-27da03103318	0	0
de99c6cf-e08b-4132-ac61-77e00e414ec2	0	0
10f02025-30d5-4ae7-a899-17de8abfd653	11.1837229437229446	0.932042150360750554
78f2dc27-21e8-4158-aea4-c71be52d7de7	0	0
76d5d1b5-732d-4740-a4bb-e50bac637aad	0	0
8b50c62a-3ef4-44fc-93c6-4c609008d353	17.1436818181818182	1.42874015632575757
4484c6b2-3fec-4735-88ad-161bf9486247	0	0
5ce6803a-6b43-4cdf-97f5-a7d832f31b41	16	1.33342666666666676
1995ae83-ae64-475a-b10d-6e1cbc7d8ce7	0	0
6e576cb7-a744-457f-9696-637c6d439d11	0	0
1aa1464a-4f13-4437-8cc2-b7019ee2fecb	0	0
994e91bc-37f4-4bcc-a456-4232be7252bd	0	0
0e99d243-8d2e-4cc3-a68f-7abe40812bf9	0	0
8affd22e-bc51-48cc-b854-56b5d8db334a	0	0
edaf0594-5f97-4930-87ca-1a2244642046	0	0
2bda378a-a240-429b-ab2a-3cd19f097648	0	0
f8405e77-35d6-4907-87d9-0bbe4af1a81b	0	0
55fc1aa5-b88b-4593-a2f1-414e908846da	0	0
cd699e16-0b89-4719-9b59-9ac95eb52d62	0	0
4a11633f-9fa1-4e83-aa0c-b3c6367e4b0f	70	5.83374166666666749
80424cde-0322-43eb-989d-90e9cd1fb5b8	0.594125249072381956	0.0495145632924837223
fe5441ac-6cd5-4b65-aa21-ccff3c54aa96	0	0
2d83307b-7744-48df-9c0e-9f209aa33480	0	0
f4d9b817-3138-485b-a95c-ff8308409ae7	11.1837229437229446	0.932054576719576811
27f13af5-0d2b-41ff-9082-a794da86d74e	0	0
435f5e95-124c-4984-97b7-85ddcb48f544	0	0
70cdcffb-baf9-4c01-842f-40ea28044482	17.1436818181818182	1.42875920486111108
64f5ecfe-b3d2-44fd-93a1-91a4884a0bcd	0	0
e12f314e-a2b9-4e61-81ce-0a4e94aa5c7d	16	1.33344444444444443
adf227dd-5d8d-4c64-8af0-afb194e59991	0	0
c744d4bc-26b6-4949-84a0-b8f5b5ec5a4a	0	0
c8802a6d-cda9-4d3b-a7a9-c372ba1c8a61	0	0
abb656ce-f0e8-4388-b955-3e2937083232	0	0
b252aa7a-3970-489d-b388-b40c382fd662	0	0
88d87a96-d9ba-4418-a7ef-a4d12f0e98df	0	0
7f8118c6-0587-48b7-be0e-0bdc00061c34	0	0
769e20e0-d1fb-4209-bd72-074f95ac35a7	0	0
6571c1df-01e0-45e4-8fe2-9e78bd7f032b	0	0
425c5a5a-8e62-4dcd-8abe-1a4d1cfe18c9	0	0
b0d7f99b-7741-40e1-8d5c-0c97dcc7ec33	0	0
cf7fa42a-7eee-407a-a51c-76bec35022ef	70	5.833819444444444
416e174a-9ccf-4845-9b49-403526221fa6	0.594125249072381956	0.0495634135907407833
e0f0ed9c-48e5-4bf2-9691-5b89bee34ace	0	0
f2ea5646-0533-4f51-8fb9-aada1e806265	0	0
3f53d1d0-4412-428d-88ed-e02202fdba01	11.1837229437229446	0.932974127272727327
1ffef6ef-a87f-421c-8843-0be5834787ef	0	0
877d0a3a-7808-47c1-9aed-7e4d67bb80ff	0	0
b375b6c2-a209-4664-ae17-04a74c8fb21f	17.1436818181818182	1.43016879647727269
a40962ef-436b-46e8-ad14-19eabb46f021	0	0
65689383-7d3d-4448-a643-b239fe2fb075	16	1.33475999999999995
c57a60fd-250a-4db7-aa7d-b732dbabd333	0	0
7c3289f6-fa81-43ac-8fe0-03207e0b7bc9	0	0
8d0120e8-815e-4186-b777-389effe7c034	0	0
8fb5fe97-4475-4c86-b21d-8b13fe544f10	0	0
de2d47c2-fb1d-4c0c-8bd7-3bd105535b00	0	0
f358890a-f598-4320-a5ae-931342192494	0	0
7278ae9e-9ed4-40eb-bd44-f5cc4f1e0db1	0	0
0de2d559-054e-47c4-85ac-9a1eac26589c	0	0
75ae1979-cee3-4deb-9efb-c54db8e62618	0	0
24377724-88ab-4782-8467-0f0fb87e24bb	0	0
8b9baca8-6711-4e1b-8a53-94f7cd0bb7b1	0	0
064a8887-928f-47bb-be0a-25aa261862fe	70	5.83957499999999996
458ff769-e05d-4cd3-af70-4305a14596a0	0.594125249072381956	0.0494592766373617085
5fa852bf-c9b6-4477-8df8-ce65e255a04e	0	0
e26d768e-afe3-4ecd-bbe1-a2d761e7032e	0	0
e7e56a21-a0af-46f6-a101-8e8b36657a26	11.1837229437229446	0.931013869167869212
bc80a19e-01b7-46dc-ae19-8e2a34cbf4aa	0	0
1fa9a682-ef60-4cc4-8a9a-03d635fcde7a	0	0
94e363df-5afd-49fc-b4b7-dc814b8914db	17.1436818181818182	1.42716389002525257
eb903026-59ad-45ca-a12f-c1a0eaf652aa	0	0
c75ceb39-adf3-46ae-b929-6afae019789c	16	1.33195555555555556
764fbd05-f40e-4a62-9a84-02e28b40dfba	0	0
255a538b-a01d-4964-8c76-5284efdcee82	0	0
7f72c629-9117-427e-8fca-ae7ded1b113d	0	0
34be3163-9bd5-427a-8ad3-8d7ec0b41471	0	0
e88d8ef6-3c06-4b8f-9d2a-582179b125bb	0	0
05f0ca16-a36f-4413-8200-04a6cca8c232	0	0
5b983292-179e-407a-a399-3ca91b2c9e46	0	0
bacc1157-bf49-447c-9800-beea4946b697	0	0
1b07af21-1c6f-49e6-b720-57dabb5a14c5	0	0
eb7f68d7-ad5b-48c9-80b0-2ed9302431d2	0	0
10ce9935-bf4d-42df-9423-40ffe4e136e8	0	0
98872a76-f7bb-40fd-87ca-e72fa19db11a	70	5.82730555555555529
9529c438-5ee0-44c4-a66f-69da458b022c	0.594125249072381956	0.0495188541970603552
24efd8c4-135d-4405-b40b-3d79dc245350	0	0
5259982b-7016-4576-b63a-77a02514028a	0	0
bfe5fb09-d08c-4ebd-8d9c-189796180835	11.1837229437229446	0.932135348051948198
4860d03b-facb-457f-80d9-fce25c51aab6	0	0
6080f36f-292d-417c-a4ff-eb5a40ea24ba	0	0
a335f130-5b27-4da5-aa34-28a23c5a6fac	17.1436818181818182	1.42888302034090908
984bb3b5-5020-4683-bae0-8cd8ba4f9475	0	0
d6b5a676-7625-4152-a3b5-d1f7b39afc10	16	1.33356000000000008
7f246b48-7e14-4cdc-acee-8dfc06ace209	0	0
38a961f2-c522-4350-a102-16123181cc25	0	0
afdabc47-2bcb-4a06-a2a1-b08e1400e188	0	0
b5c13ed4-1f10-4fff-9f12-587f9569eafe	0	0
087e58f5-96b6-4f24-bb0d-f1acad73fdb1	0	0
24e93fd0-f941-470c-bada-c3b0f9546ffd	0	0
274b67fd-253b-4367-8b0e-af222ea9a71c	0	0
ec2bd63a-6e02-47fc-accb-fa2337a7fd83	0	0
5b828e29-fec6-4c19-af23-722a5f81c9ee	0	0
d669a669-a6d1-4847-ba40-58fa3b3c416f	0	0
d622ca47-1d5c-4b4a-b5c4-84e50458527c	0	0
0270643e-f0c7-4992-a385-3a967b88f76c	70	5.83432500000000065
03e781e3-75e6-4093-9ae7-6429bad37681	0.594125249072381956	0.0495153884664407615
bc5a8adc-f5a3-407f-be05-4cfa7b661218	0	0
94687471-2b07-4029-84b6-f7d7bd21edc3	0	0
5473c6ab-bc8d-45c2-843e-a95b4024b7ee	11.1837229437229446	0.932070109668109659
e04408ea-4b06-4440-8459-956fce5840bf	0	0
6dc95288-6250-4e17-ac49-9808eb672b34	0	0
08640196-491b-42dd-b161-c37a2c78b3a0	17.1436818181818182	1.42878301553030296
14acdc24-866d-4b78-9081-a2a66ab06d93	0	0
b0a50252-e6c5-44f0-85b6-a66aa74fb4e7	16	1.33346666666666658
6db45afd-7b41-413e-be5e-a7c9a6681ea8	0	0
2b548544-5ac7-4c84-a120-2d4f54c24437	0	0
8243ada3-212c-440a-99b4-a4616a3883e8	0	0
cc173f76-9b00-48ed-b019-74de4a3e1947	0	0
4b51fa0a-bbb2-4447-ae37-5741131a3198	0	0
1ad1fadc-fdc6-4fd2-915d-3bc200bab888	0	0
9437ab79-1063-4a14-ae87-52b0dbbc7d0f	0	0
5c8efc6f-52cf-45ec-998f-999c0acf885a	0	0
5e05833c-c19c-442e-a6b3-df9ef631d8a7	0	0
f4573ba0-d3ff-4197-a06e-3b2e7eb65526	0	0
03d86848-9889-4a28-9abb-1849ac1e298f	0	0
fcc3c32f-3cb4-471c-b01d-7fd7cea511a4	70	5.8339166666666662
2e262d36-a788-4fac-8746-5b0166da821c	0.594125249072381956	0.0495112625966555447
43ca68b3-48aa-4b5d-a0c2-b25cd1e56827	0	0
c83597ca-efe9-43f6-9467-ab4e9a267345	0	0
42428ce4-4826-4596-9458-5f13b14ee8b6	11.1837229437229446	0.931992444925445085
b9ce5950-dce4-42db-a708-9177e7817786	0	0
47434307-e93d-4cf3-8abe-bda5f2a46e82	0	0
4dcf8d74-e8b2-4d9a-b901-cf4c86493351	17.1436818181818182	1.42866396218434355
7ec758ce-4d8c-4c3d-9cb0-6161f2aca484	0	0
75d50a93-44a8-4d3a-b0fd-68411550ff79	16	1.33335555555555563
0979f26a-479e-4ede-8a09-0555cf8c9477	0	0
e334d4be-93c2-4704-88d0-6b26335ac562	0	0
cfb041da-568c-4250-bc43-ce3210090ea8	0	0
7dfedf82-3158-4e20-ba1f-917742295bfa	0	0
bbb6a76b-54db-4db8-b302-1fc7b68524e5	0	0
0d6d112e-ce71-40d3-bc2f-e5452570ab1c	0	0
4174a08f-e7c3-4fb0-ba59-38143558d7ec	0	0
1685543d-47fe-459e-bffe-b45eb159b8e3	0	0
cee84aa7-c1f9-45e8-b627-296a8622590c	0	0
db700474-fa28-40df-9f9b-f63d86720cd4	0	0
a336a925-bc34-4c01-898a-b7345086ec98	0	0
35fe34fe-c1c1-44d9-ad1d-883c0f839e61	70	5.83343055555555612
b6f54be2-f71d-4bf6-addb-8bf373b71a12	0.594125249072381956	0.0495172038491462629
d62c1ffa-b70c-47c1-a6ba-f7c0b172687a	0	0
22cf7f87-40bf-4fd1-abd3-845a7e789ca5	0	0
c598918a-bad7-474c-a68d-f387f34ffab2	11.1837229437229446	0.93210428215488228
e14165b8-0b4b-4d6c-93f8-989ecbfe5fff	0	0
f39df91b-e464-4d34-9a08-c65a6f85e394	0	0
221f7592-4349-45fc-a771-41a9b9f6d144	17.1436818181818182	1.42883539900252532
5813629e-77cb-4fb9-beb3-c8433665c684	0	0
a05e1b03-7a4e-420d-8df6-c0995f4b1928	16	1.33351555555555557
4aa74ad4-7c21-45dd-ac7d-075b3a09a934	0	0
311b2954-d1c4-49a2-8d13-a394f0710f9b	0	0
25ae926b-4cee-4c56-aade-0b1ffcc95beb	0	0
73d4a6b9-8324-4d3c-b191-0e8b39b969fd	0	0
bb97bf50-2e5d-4588-98d9-e3eb974e7a81	0	0
033f7a74-ef1d-41cc-b00a-939451bc9258	0	0
f4cabd3b-1f67-493c-ba67-f99673c1cc46	0	0
b91c17a6-3af7-4665-adaf-d224a1611522	0	0
4024f009-b7fe-4d5f-a6bf-8b025942725e	0	0
6df9402b-5193-4ae2-80fc-a720b7a56cd5	0	0
8f338cc1-fa4a-4712-a5f5-e17653f12034	0	0
48fcbd0d-b1d3-4187-bab2-28299392a05d	70	5.83413055555555538
9c899109-5c77-4031-8054-aed6ccf9f9fd	0.594125249072381956	0.0495120877706125839
cd7b05f3-c145-40d8-b4aa-19cccf250c9c	0	0
95cc66d6-4686-4698-b8de-b822e93c65e4	0	0
5c486742-f8a2-4f02-8aa9-48d6204e04ec	11.1837229437229446	0.932007977873977933
597bb38e-0df1-416f-a928-fdc4e4d47523	0	0
72331027-e12b-4db3-af6e-c7b49da4e960	0	0
588a3a8b-ee55-42dd-905b-938c9d81fef6	17.1436818181818182	1.42868777285353543
bc6f0b32-1d2a-437e-94a2-08501905a3ff	0	0
8bf090db-4b64-4eea-ad74-6da1523f80f9	16	1.33337777777777777
c4106965-d5b1-472b-906d-92f1c9173ad3	0	0
0ecc4b54-b316-47dd-a3e2-0969d7394f1f	0	0
3450aa77-ea19-417a-b83b-f602223dd962	0	0
11156834-f5cd-4cf0-b2ed-c284c4cbd65e	0	0
83cdde8a-da26-4caa-bbc1-1f298e5d3509	0	0
0044d09e-ed76-4a6b-bb67-b2cd244852d2	0	0
10df47cb-06a1-4ffe-b892-23d1d2e8ed3d	0	0
e08593d4-857c-42cc-947a-590a95f2f9fb	0	0
369e60e1-fd9b-436b-9307-47ab989b1166	0	0
4a3480c3-8d16-4361-a1c7-e99d4dc67cf5	0	0
cd7437dd-132c-4042-8ded-9df91918c482	0	0
2b0ca80a-5593-4270-9175-e752c89fb721	70	5.83352777777777742
7ccde95e-2452-45a1-aca8-893fbbc34362	0.594125249072381956	0.0495143982576923131
1c633c5c-6751-4552-b10a-d06e84280656	0	0
8ab3b52a-d2ac-432d-8ee2-a11df00a4b56	0	0
c2ee9412-f5b8-4951-a16c-5c0fb4f933af	11.1837229437229446	0.932051470129870219
91f5cb8a-de0a-476d-ba07-5e2fe1a97386	0	0
57c85127-e178-487b-aa51-ed5dcef35f01	0	0
396ff850-7eb7-4fa8-85d1-f7a1b84292a5	17.1436818181818182	1.4287544427272727
12900939-4c9f-48a2-9461-ad7736bbe052	0	0
f8882baf-a520-4973-b4e6-ddeecdb04694	16	1.33343999999999996
7e867235-360f-47ad-ac6b-9bfbfc33d9b4	0	0
0e036d9e-991e-41ff-b186-f895d106af48	0	0
284e644a-4332-4536-b052-c2485c94a60f	0	0
837655ba-4ed8-4183-ae69-cbd202d52858	0	0
ebd316e3-1ee2-40f2-859c-e8fdab03ce86	0	0
b86d21f2-6625-414e-b739-a5dc6472f2e1	0	0
91b3a8dc-631f-44eb-9157-af9f44807984	0	0
9fa20372-71a2-4b77-a66a-dc409adf659a	0	0
22702aa0-3bca-4274-8b20-e006c0eccce5	0	0
6760b0bb-8eb4-4770-af78-f372152ba9ca	0	0
d68afa38-6c79-4e60-9002-72b2e362e2cc	0	0
b53fe3fb-44d3-4504-98b0-334ade331b81	70	5.8338000000000001
c68883d9-6f83-4c61-a139-5f646bc951ba	0.594125249072381956	0.0495147283272751315
059970f9-64a4-4edf-a1c0-2eaf30d350d4	0	0
feae5f73-6451-47a2-8bd7-adf53b3478d6	0	0
2c21e9b2-3351-40f6-b557-28a9bf404052	11.1837229437229446	0.932057683309283402
ae3d86a8-c033-4037-907b-9dd0a29771b9	0	0
7aa690ba-5c0a-4991-a603-7f553b6719d4	0	0
9cf0f0dd-3734-4b24-a8c8-7cfa7de93c76	17.1436818181818182	1.42876396699494945
68bb9186-a086-4b79-b713-5eaa53a922f7	0	0
0d3a4d6f-825a-434c-89c8-07157defac03	16	1.33344888888888891
a5a121ba-3239-477d-ad2e-4eb765ebcafe	0	0
d4c91bcd-38bc-4a18-9d8e-3f93f4f38118	0	0
bebcbedd-9dc2-4f70-b024-64f3fdbd8353	0	0
3e9cf9fe-38d0-4d96-a968-8d9aad80391e	0	0
9a1f4125-fc98-4d7a-8951-1d96ab753c7c	0	0
7410dcc8-0934-4c3f-84fe-6ed5b2c7bcd2	0	0
c54a6bca-b971-42bd-bd30-2448e58b00e7	0	0
c0fc2d6b-38f2-4720-bd51-eef68d657809	0	0
8c2f3059-31f8-447d-b1c7-c3aa223a11b8	0	0
956462bf-6de3-43b7-9d6c-c2358ca0f19b	0	0
6a71b829-5284-4fa5-b758-f2b56bf39f1e	0	0
af4df845-38b5-44ee-87f9-c68bc19756f4	70	5.8338388888888888
1657eca3-b023-44eb-8b56-2b8bffb920ae	0.594125249072381956	0.0495106024574899009
a8d6b5fe-373e-45e8-ba0b-32aba4390a9c	0	0
8f2d93e1-0dc5-4f57-b66f-b1949a313675	0	0
aa17a2b5-2f09-42f0-9cdf-08550e2149f2	11.1837229437229446	0.931980018566618607
fb52a019-2b33-4769-ae5d-6db89cb2d8c7	0	0
c5acaa1b-b221-49a5-be64-b677305a149b	0	0
b4cdcd80-a96d-4bdf-addd-2a3780ceacc9	17.1436818181818182	1.42864491364898982
ac7541b7-c55f-4502-9ede-7036c5467c34	0	0
1f5bfa47-f17a-4de9-b3c1-93a33140367a	16	1.33333777777777773
692d2d84-04c4-480a-9542-1321dfb1a62e	0	0
3081b427-5f06-43be-b6d9-4b0a8502e883	0	0
ed712ee2-6afd-4aea-a7ac-9b2ca73aebed	0	0
adf61347-c27c-4a4d-9653-96d917384609	0	0
e1d24bed-48c3-4776-8171-8f08b4985042	0	0
27d16f05-9921-4270-bcf2-23afe62c1649	0	0
fb8b19ab-3c5e-4379-826c-9adbddf02ac9	0	0
5c8a7255-c3e5-47ef-a849-3aab712e9e97	0	0
8bfc8ecc-56b9-465b-97fa-7ea2e68410fc	0	0
57331a3e-a9e2-462d-be81-22939d319fa7	0	0
365411fd-db9d-4a32-a7d8-4e5411c115ec	0	0
e5f03365-acf0-4a13-ad94-88a3bbe19d1e	70	5.83335277777777783
001c6138-9dc1-4bb4-a565-b30751547063	0.594125249072381956	0.0495145632924837223
9d5e7b2b-cd43-4aeb-ae14-da52849d87b4	0	0
fc1c6908-eb9d-4617-9e69-0852b8cf52db	0	0
efaed554-8e30-4d5b-8b41-f7e023b91b06	11.1837229437229446	0.932054576719576811
5c5cb650-a2c9-4006-94d1-40cc119b4084	0	0
ba085a2f-87d5-4ad2-babb-afbb0af368d7	0	0
117fc9a5-8446-4585-851b-18c32f00bde0	17.1436818181818182	1.42875920486111108
46759ac3-7a66-4f8f-8e8f-043fd9e4c46a	0	0
3fa4987c-a114-4995-9a14-f1af07ac81ee	16	1.33344444444444443
f2b70e55-fa36-41b4-8065-09d08e615364	0	0
6c6d2962-06db-44bc-a618-3433ec874e7c	0	0
4da60850-044e-4cba-a66a-4aac331190bb	0	0
35292762-179a-431c-a651-25d4315c4acc	0	0
46545b0d-33d4-45c7-860a-b72a8f694f75	0	0
c025992f-a24a-41a6-b3d3-46a371067507	0	0
3200d6ca-1193-4d0f-9c2e-75a345237634	0	0
93e38f64-4f0c-4195-8f85-f380bb9aabeb	0	0
ef066ed5-d40a-4a63-a5f8-ab7d491af72f	0	0
3d2fd22d-35ef-4f28-a09e-7e5a1950951a	0	0
d2e42ad6-a4ba-49c8-9f24-457934fa5aaa	0	0
cafcebcc-446e-4b8e-a2bf-817694a19562	70	5.833819444444444
1132583e-2471-4abf-bec9-83bf84694202	0.594125249072381956	0.0495157185360235799
c8338b43-9e55-442e-ab63-fbeb70de71b7	0	0
47b672a5-7a81-4158-a573-4613397f186f	0	0
56623e4d-54dd-4c03-a34d-b3f018bfcac1	11.1837229437229446	0.932076322847522953
81124da8-8aaf-40e6-b94a-537c65984de7	0	0
f2b2573d-630b-4049-b2a1-4aba9f1dd703	0	0
385d51d4-00b8-49be-be32-9148b6cc1768	17.1436818181818182	1.42879253979797971
859f76f2-201f-4416-9de9-d0334bac6097	0	0
68275ccb-1b9b-42ae-b279-877b10e094e3	16	1.33347555555555553
b903dde1-fb43-4afe-8fa6-629cd45722a7	0	0
e13d7c40-06a2-42a7-9da6-d31308aaca36	0	0
25f5f758-b33d-4ea5-8388-d965f1519419	0	0
8557cbba-b0cf-48fd-99c0-93670e69ffdc	0	0
d39fab0b-4c2b-4a48-8bbe-4078d20c846e	0	0
3027f2e8-d067-4159-a775-ac0931c34f2b	0	0
4c6682f1-7d3a-49f6-9b2c-20c7676bbcd4	0	0
9458f8f6-41ba-4ce5-92f0-fc63a3865494	0	0
472e7a2e-5ded-48bd-b42a-503a7ca3f734	0	0
9a3ff950-83b4-4754-93d1-b7b2e15ed8a2	0	0
71614f5a-37ac-4efa-9589-0592ed480816	0	0
08c1b164-df74-4ab2-9268-a3a26a88445e	70	5.83395555555555578
3fb4a545-6cb1-4f36-b198-601101e17543	0.594125249072381956	0.0495104374226984917
92482a4e-beb1-422b-ba0a-5b2b966b3eef	0	0
d8fa1e57-554a-4905-9824-511296d881c0	0	0
9215b6b2-94cf-4178-8e4e-b34822cfe2b9	11.1837229437229446	0.931976911976912015
8df3489c-be5d-47dd-a706-35150c593e44	0	0
38a3622c-02c8-4d98-a813-7bfb55c9185a	0	0
80cf319b-b661-42b0-bb6e-9a4e0d0bddba	17.1436818181818182	1.42864015151515145
3c913791-d893-455b-ae7d-bed5d22310db	0	0
13f15783-54ba-4f18-892a-a01cf8c096c8	16	1.33333333333333326
b9d670a4-4d07-4c1d-b146-70498101c0d4	0	0
b7b02a0f-5b4e-44b3-bbf7-db97cef5cdb5	0	0
f5883af1-55bf-4e7e-bea6-4c9296dd0670	0	0
1fa9a6b7-870e-4180-9527-1b514f47673c	0	0
43cebba2-a86e-4225-ae1d-ccbba50133fe	0	0
99f20a13-c945-4520-9dcc-b9f3e7a54ef1	0	0
3a45aabe-77a8-4b56-bb6a-632f6c90144a	0	0
f9b68e9b-5fd8-4488-9ebc-7b51feb5bfa1	0	0
b9172337-b367-430a-8341-26ea44d3cec0	0	0
fcee2af0-d42f-4dc3-82a9-a479865198fc	0	0
6f1ec243-645e-4d10-bc19-bf0e09e59bc9	0	0
9a3ae690-130b-4605-b4b9-539bcb960bfb	70	5.83333333333333304
0f41c37d-c04e-4e5e-b6f5-4798a9a4cd1c	0.594125249072381956	0.0495152234316493592
8cd51dbb-b22d-4b8c-97aa-97a2f369f026	0	0
c879d48a-95f8-4183-a5a2-8d1766171da6	0	0
d9c9556a-f260-4058-9f65-2f9b45a8653e	11.1837229437229446	0.932067003078403178
9db65e0f-0f0c-4ef6-b1ab-0e2045db68ec	0	0
af7c9b90-e713-4197-a766-3a7ba98ca524	0	0
2e858fc8-7982-4a5a-9e8e-6830ffa7fa34	17.1436818181818182	1.4287782533964648
4b1a3635-648d-4354-b470-a8bea5426e77	0	0
86faee73-ab64-4553-a35d-685e023b8168	16	1.33346222222222233
0ededf13-77da-4b25-9e7a-843c480fafca	0	0
f6da2728-1cf5-45be-a186-47f8287bf2f5	0	0
5737390c-8a9d-4950-9746-4be31c26d971	0	0
7599bb30-bacb-425c-92e9-7a7f44175ea6	0	0
fb5958dd-cecf-44cb-8534-5b483459b4ac	0	0
a0298619-33b0-4f1a-8a19-cd9ee9d4aa34	0	0
445ed6c0-25d3-4021-a906-b30b76ccc687	0	0
b22acabf-a223-4459-9583-be589d30cd28	0	0
9d679713-e527-4a37-adaf-3069ea9f3c5a	0	0
15bfa110-6356-458d-896c-371216510fe3	0	0
7d7af1c4-d64a-436a-ad02-091587162cb4	0	0
f306846e-baad-441d-a5f0-6d41f5ead9c1	70	5.83389722222222229
1f731f01-bea0-48b9-8fed-814da0baf865	0.594125249072381956	0.0495147283272751315
5ab46579-1624-4778-9c4e-131f20f29e3a	0	0
b402e8b5-01be-40a5-b699-64a743dab265	0	0
ef068d8b-dd67-4d8e-ad85-b040054e2caa	11.1837229437229446	0.932057683309283402
bba3e69f-8958-409b-8748-63fd893ad934	0	0
6b765f51-4438-41bc-8c6c-5e552e572335	0	0
f9312570-ea51-4e75-bbb4-8301fda885f1	17.1436818181818182	1.42876396699494945
558bb43d-fdc4-402a-b17d-58b6946515bd	0	0
dce83aad-8421-4c87-8542-e261ec6f474b	16	1.33344888888888891
2d70af70-eafe-44d6-ba16-8b2b4e540492	0	0
5e1e2711-26f4-4694-83ac-8534353303cc	0	0
ff35287f-5b76-4ddf-8de6-1175ed761c68	0	0
34e2d478-749a-4d2a-bf9d-e956bc1bd15c	0	0
0086a525-4474-4762-a8e5-9226d33a3a98	0	0
9afce827-0ef8-4e16-80e0-866fab78c606	0	0
a762a4c9-11ce-43a4-bf12-5816b303c3e4	0	0
0adb5a23-3a76-42cc-aa8e-cc176be14cb1	0	0
a5fb59a5-9a7e-49a1-9282-bcd21c7bad82	0	0
50105d0e-991c-4878-814e-c972f780d7fc	0	0
0758d176-ada7-49d0-8665-1e051c66b7ce	0	0
1769e020-021d-4564-9191-4b2a218dd481	70	5.8338388888888888
e75d90a5-7a30-4672-a2a8-997ac35607b0	0.594125249072381956	0.0495135730837352669
36951665-6e47-48dd-81c0-f6fd2bb18eea	0	0
da92c46e-b778-4b6c-b439-ee46c9c49dc1	0	0
f1121849-b283-4c5e-9d96-6418b5aa961f	11.1837229437229446	0.93203593718133726
78cbdcd0-1d86-4708-a409-7a5cc0aee44e	0	0
1b141785-d76c-4ae8-9720-58d35b1b973f	0	0
dd89afd6-92c9-4cf8-a720-ca008ee62688	17.1436818181818182	1.42873063205808082
012ceaf5-6565-4ccc-95c9-598c75686e58	0	0
dfc7ff28-c549-4cca-a957-08095f179d06	16	1.33341777777777781
85f4a10e-938b-4825-aebb-2e45fdcf0f29	0	0
55ceff94-19b1-40bd-9803-466c90eaf52a	0	0
b6bf8b73-7c31-4d84-a4dd-a62f02711caf	0	0
af0a39b1-f378-4618-b7e6-3266ac58c7b0	0	0
0a3ca736-f90f-4255-9d74-d5784c7d6449	0	0
9b4b1f8d-8604-4664-ab74-be089e243612	0	0
87168d19-c6e5-49d8-829d-e16e5f01a256	0	0
edbfe3ef-2a7f-4650-aadf-12fcee744f6d	0	0
fd6ee24e-3561-4a79-b02a-d37cdfcf2c4e	0	0
6b0430a5-ba0c-417c-9057-c4d6266eb691	0	0
40ace593-8cfa-4957-9283-73d6e2106f35	0	0
5699ad4a-0816-4e5e-ae08-9872d48e55e5	70	5.8337027777777779
f3d46a6c-a977-4d19-b45a-aa1eca445a5b	0.594125249072381956	0.0495139031533180854
b998e929-23b8-4318-90bb-1592a7b885c3	0	0
88ee1687-233b-4a7d-a4f4-73fecea69b05	0	0
0c1a2b8d-7685-4164-b8d0-29adc94f3d30	11.1837229437229446	0.932042150360750554
129c09bf-d10c-4def-a43b-6306620cd798	0	0
f452028b-1d03-4417-b5c0-51ae19c2934b	0	0
5cb4ba04-ba5d-4a86-a1d2-612f960ba3e6	17.1436818181818182	1.42874015632575757
d979207c-feb7-42d7-a1ef-cdd02d7717bf	0	0
c7d1ef93-3cd2-4a3d-83bc-4abbd75edc29	16	1.33342666666666676
42e8dc77-584e-4df7-ba68-33225a514871	0	0
93db2c9e-861f-4886-a2b0-ff2c0b6b2938	0	0
97da31b2-244a-4b7c-8f6a-fafce9b42316	0	0
097d4271-1de1-460d-82bd-d5c7a9a28daf	0	0
ee20005a-a221-4035-ae56-8a634b7c060d	0	0
83daad99-d066-4f56-8426-fb8d92837912	0	0
cac459ee-423d-47eb-9b2b-3875c6fd4ded	0	0
3257d4d0-24ba-49dd-8389-a50f8d64262f	0	0
af5f4083-588e-4186-b1b0-c32e84b955ac	0	0
f42d8173-6894-4fcd-a82d-c708580196c1	0	0
2216f7b8-d28c-47df-bc70-1c8fc0f6b24f	0	0
f8e14c37-d014-41c3-a2e9-e60e3f7f7e4e	70	5.83374166666666749
2e29b38c-4f31-4c87-a8cb-ea249289fb5b	0.594125249072381956	0.0495119227358211747
5480b132-8d79-4f70-a1ab-761c69848286	0	0
7a89090f-4ac9-44f4-b419-77c3a373e4f0	0	0
5e1b3e22-03f7-47e3-942d-74e9cd8f2670	11.1837229437229446	0.932004871284271341
432a590f-08c7-4135-87b1-7e4918784a75	0	0
da252cbd-9a8a-41e8-bd40-75077f32e500	0	0
2f6bcd81-7e17-48e4-8ad7-cb19b13e7898	17.1436818181818182	1.42868301071969683
c91428b2-96c6-4a10-a5f3-95922e469989	0	0
3d601342-0c2b-430a-9fc1-350cebaf9553	16	1.3333733333333333
b6295a91-8b6c-41d5-a9e3-ea26b528c6bd	0	0
0dc850dd-1768-4e72-b0fd-f5eb403b5e6c	0	0
d7c125c9-0f88-4060-b9c1-a78705efa1bc	0	0
2ff686c1-bff3-4c42-8800-75687e79d2ff	0	0
b46f495e-6423-4a5a-a81c-c58c83151906	0	0
1143e7e1-6ff7-49ba-b89a-b6306c4e455c	0	0
e47e34f0-8112-49fc-9244-a72df4442db4	0	0
15096171-88c4-4f35-a1ab-f7607f772f39	0	0
c5b34067-b632-4a25-b2df-ce127187de6b	0	0
c6231d4b-6b27-4329-811c-ae43babd49f8	0	0
2f30eca6-fd8b-4c18-91f1-7ab462744c10	0	0
75b5dfc4-d295-41c1-8d73-877db0fb5612	70	5.83350833333333352
4ba94304-725c-4ebb-a524-874e15c9b1d1	0.594125249072381956	0.0495170388143548537
d72830b7-99d0-4d4a-bae6-c4b43b183a7a	0	0
512f916e-698f-4c73-9acd-650c2571dca7	0	0
420ae9a6-740e-47c6-a87d-543cfc5a8d45	11.1837229437229446	0.932101175565175577
3c9d7a10-c769-4112-bb5b-799db2cde7ed	0	0
e6a90ba7-5a5c-4b18-9797-7b42eb6504d6	0	0
995826ef-8897-41e9-88b4-3b1b06e56d54	17.1436818181818182	1.42883063686868694
42ea06c8-f163-428e-b6c2-a05776c1372a	0	0
19da1e5b-f27d-4468-a4f9-59f454977c55	16	1.33351111111111109
8efe8bad-4ae3-493e-a831-a26163a94b1c	0	0
af75f46f-67b5-41e0-9565-8ddaa758b17f	0	0
9cf01128-d142-4d01-ae7a-a354c2667a25	0	0
33ef85cd-ee36-458c-b5d5-54413ab475b6	0	0
088740c9-7fbb-4588-9a9c-1c51f4e4e51d	0	0
6dd1eaf7-4a7d-46fb-8631-09f83df7ed32	0	0
d288d383-c74a-4c49-8457-ab222f08b683	0	0
77ed36fd-e270-422e-b3fe-d9d5d8b6fdf4	0	0
724f242c-c661-4f6a-844b-f5250c0be574	0	0
de645fef-eaa6-4308-813f-60fd90487d39	0	0
5316b218-b96d-4dcf-96f5-55a41fd6a7c7	0	0
65672274-07f6-4e3a-85f1-32ceccc3422c	70	5.83411111111111147
5bd7e958-a7ef-42b5-87ce-c94c4c63f715	0.594125249072381956	0.0495119227358211747
d422ea3e-aa1a-4aba-88b5-ffb9eb5d91e4	0	0
5eb467a2-9177-4c52-82f6-f1d51330eaf8	0	0
cab4257a-4e82-49c3-aede-5355622ec517	11.1837229437229446	0.932004871284271341
6bc2a9e1-dc7b-47c0-b4a1-891d0ca2efc1	0	0
a54365e4-b0e3-4f1f-9e01-a13397be2e8f	0	0
2395985d-7205-4bd0-ae08-61650a4f7c7d	17.1436818181818182	1.42868301071969683
559e38bd-e255-40cf-84f8-3ce489f81048	0	0
e7826722-8328-4f98-862c-ae29b638cbbb	16	1.3333733333333333
56d062bc-1b4c-4df6-b0a1-da4cf840c73a	0	0
a94265d9-c35b-473c-b232-414859a3881a	0	0
4162b9ac-96ba-4ead-a15e-caa1706c9e34	0	0
603fe474-cc6d-4841-9f1c-e06d1202aa1a	0	0
038a2ae5-0aa9-4f09-a9ff-f290b57b406f	0	0
f4f2f488-5959-4b74-9cfa-bcb71798010b	0	0
98d053b1-8632-40cd-bd87-e1e727e679d0	0	0
8052f83d-cbfc-477b-8976-2763b0158ed2	0	0
57602b9f-5c2d-47e1-8496-ad19ce141b94	0	0
801ec1b3-8795-46fc-bfb1-6040e6a5c47c	0	0
bdbc7e4f-2f0b-43b6-819f-1b13ad25fec2	0	0
7a8dc0b5-6453-4254-a3a1-dc106feaee75	70	5.83350833333333352
070baf1b-90e9-4230-8f0c-51e20277110d	0.594125249072381956	0.04951505839685795
09c4f4f8-0573-4784-8d5e-aa30428207f4	0	0
cc07905d-6cde-4efd-a14a-ed0cd1c6423c	0	0
ddf8c164-329f-4059-a1ed-8c24914946c9	11.1837229437229446	0.932063896488696586
a8cdf353-7aa7-485e-9a8f-5753039b2026	0	0
7e1ac861-10ee-4d14-af3b-4da09c7aef6c	0	0
b98af5ea-426b-456f-8ab6-497ebefa9a3c	17.1436818181818182	1.42877349126262643
bd875697-9786-4b14-aa8c-dbb45f7bd50e	0	0
627e5587-a16d-48ad-a0f6-14237481dc3e	16	1.33345777777777785
d72b777b-9c99-4caf-bee9-c7ecabe8bf62	0	0
0a6fcf0b-a315-4046-b8e5-704edc922152	0	0
6d64785e-9d81-4fb3-89c6-2b8a65735614	0	0
9cfa711e-9ecb-4c7d-9f0b-b47539c191e0	0	0
34b16b8f-c8f9-41f0-af2e-f716b9e1d0f2	0	0
42887616-0685-4f6b-8c37-5fcb77588ffe	0	0
f816cdc3-4339-49c7-bc0c-64145a37cfd5	0	0
732d7fb3-e34d-4bdd-87f3-291e95f9c67f	0	0
ddaa81dd-eb67-4f5e-9639-11f2fddeb704	0	0
4b42a658-fe0a-4dee-8eb8-258c27ce92be	0	0
cbb31dbf-09c9-4b0d-8eac-bb10018bfb15	0	0
1cfc6100-e899-4886-9741-bfac85896a22	70	5.83387777777777838
923c1ed8-9300-4745-84b5-316d98131e77	0.594125249072381956	0.0495079619008273603
9aa35c7a-2f4a-46ca-823e-bf0e95194d90	0	0
1fdec8d5-eeff-4117-9241-0c8d06dc1c2c	0	0
5650caa4-ca90-48d5-a8f0-1f41677ff99f	11.1837229437229446	0.931930313131313137
0ef1b588-f1c3-408b-a013-6470331e8adf	0	0
1ce16155-0ab6-4d58-9fdc-c93aca2051d3	0	0
b9c8c0f1-2b3d-4d81-a10c-2253f50feb24	17.1436818181818182	1.4285687195075758
db646b6b-63cb-4252-9131-c50864a13779	0	0
5fe1c2bc-bdf3-4d06-93a6-72581270d378	16	1.3332666666666666
4350c6d4-f7f2-41ff-908e-aeb2a14dffd3	0	0
06b672af-87b0-49c7-8251-3c4b695a3a4d	0	0
56c131a7-1793-4f2d-a141-517f9645a954	0	0
8a6b2676-a80d-4038-b50a-1725f3fc963e	0	0
5a9ae091-e35e-4a79-9314-a2827e49c280	0	0
9efddeea-1f04-48b7-b023-9ada526b4107	0	0
e9523014-847f-4cfd-89c0-603a09c74d65	0	0
c9d16a94-4c5c-4e77-998b-7dc6e5e9d7db	0	0
0f119ff5-c680-4773-bdcf-4d825e45e42c	0	0
9c28ddf5-7eaf-4dc0-a3e7-08a8b3bf53bf	0	0
c093f932-031a-4b26-975a-951b857bcce1	0	0
3e5f72f8-e12b-407a-9157-4db8e7f3e444	70	5.83304166666666646
ed991571-ef66-4dd1-8f20-a54bfd0eb9f8	0.594125249072381956	0.0495198444058088105
01907f98-b29a-46ab-9984-410bd70daf7c	0	0
b1deb905-bd6f-4a58-8adb-586dc7970d9d	0	0
d88e91f5-c9c3-4d9c-a0ef-355867a82014	11.1837229437229446	0.932153987590187638
d9b5b9a3-d67f-4273-ad54-26ce964056bb	0	0
8505baff-176e-4b07-a608-54daccea10a9	0	0
f7f63b40-c086-41cb-9bba-7533db200498	17.1436818181818182	1.42891159314393934
d1761b0a-73d0-4ed0-9db9-f45c0b61ed01	0	0
438dfa44-be44-466a-b74b-90422d75df28	16	1.3335866666666667
1ec8623b-12bd-4332-af85-731951477ff8	0	0
f3406abe-c6ec-49ec-a2a4-d941d6db2b9a	0	0
861ff1df-8bdd-4209-b031-7d01fe0355d7	0	0
6aab844e-e77a-4546-a58f-78eee06cfadd	0	0
168e1ad1-1a4f-44e8-88d6-2a284ce65fed	0	0
d56f7545-1720-4280-a4b8-cf2bc74d617a	0	0
0ca42e97-ba59-4139-b52c-3b8bb27b6fe7	0	0
455b4220-881a-4b90-8b5d-319cafed647e	0	0
b275ccad-c8f2-419a-8cd6-856af2167600	0	0
b0c59737-f71c-44fb-91cc-75a2fcc75b73	0	0
c14fec9a-be20-44e8-8bf2-13620f893d5d	0	0
5b89c144-56fe-42a8-8669-d2c55e9a8cde	70	5.83444166666666675
cdfe4a37-2cab-4d71-9b48-0a478b680e97	0.594125249072381956	0.0495134080489438577
922e4066-c62c-4e08-8338-d3c4bb47cf7d	0	0
e7c4b783-0691-4e38-94e3-e0eaec023e89	0	0
c7f248fd-b0bc-403e-a886-5d77d97124cf	11.1837229437229446	0.932032830591630668
4bbca0a1-83d4-4b7b-ac3b-efe919b54bfd	0	0
9c34b539-b0da-4faa-8b00-dc9404eda833	0	0
58b69d00-1d5f-4bc7-946c-5eebe5be2338	17.1436818181818182	1.42872586992424244
3cbfb815-2b04-4773-98a2-1ca17660e9b6	0	0
3d0a88db-3d1c-4062-9e00-88b1161f0c45	16	1.33341333333333334
67cf15ef-4c1d-4f79-ad44-61b5ed5ac2ff	0	0
27e97a41-b8f4-42eb-9a28-2fb3f3e5c21a	0	0
82373cf6-40ea-42c8-ab47-e46df509daa7	0	0
9ddeefce-f8b0-4e81-8200-68a559f70967	0	0
13ff724e-fa1a-4ffa-9940-1f2598d4dfb4	0	0
ecacafc6-e5e4-4abe-9b96-a67b8b20f551	0	0
f1c4d391-0201-4f49-966c-3354b9c3df00	0	0
ddd00588-aeda-4989-8b0d-70c9a8dc7dd3	0	0
602f5e41-8b84-49d2-bf17-610cc9c2ff75	0	0
a969986c-a62c-4cd4-b07e-d9aea332cbef	0	0
4f07b8e4-3476-46cb-aea0-c97c5be21c60	0	0
4700604c-d3fe-4d93-8b6e-d7da1c62825e	70	5.83368333333333311
d5767c55-b662-4091-b8f5-c88684b86e2c	0.594125249072381956	0.0495120877706125839
db054f14-5400-4525-bcbe-5d38e290af2c	0	0
be6fd30a-5b8b-44c5-9684-f77257de7f75	0	0
08354e95-25c0-41f1-b786-c795c956b60b	11.1837229437229446	0.932007977873977933
e73dc2d2-5b4f-42e4-a18b-a4bfb77be90c	0	0
4d5b6a59-29e8-4a96-9bdd-0f27382a1e7d	0	0
fa56ee31-c31b-463f-a122-bfe2f9bb45c4	17.1436818181818182	1.42868777285353543
de3cef0d-1baf-43e1-bd0d-e892e4d38914	0	0
3a368a98-7fef-4930-9c83-1ab5c178a00a	16	1.33337777777777777
93c573bf-4ca7-4bba-9c03-e0307319746f	0	0
887d76dc-d8bd-4335-a425-87f3d8c43354	0	0
8c22cd55-d53c-47af-a77c-800f6b6f90d9	0	0
b85b7345-fb33-4cf5-b725-682b8206e3ec	0	0
f287d981-3603-4ca1-85a9-96dadad8e738	0	0
a593213c-1a8a-45a3-b029-14d055cd2148	0	0
9c1cfed3-f075-41fd-ab0c-4d9ac677d3d6	0	0
f28bbaa4-113a-4852-b9e1-b9af04406692	0	0
004a77c4-ac7e-46e6-b38c-26a1c98574f9	0	0
a57cb4c8-32ed-450a-877f-d3277a18ad39	0	0
1b2cc54f-f55d-4b3c-b890-9cefc0ec546b	0	0
d858ee54-069e-4b32-a996-df4730a64486	70	5.83352777777777742
bd4525e8-01db-4c5b-b12d-2da9cba26e20	0.594125249072381956	0.049516543709980626
57cf94f6-c944-4229-8fe5-7145b4fc370e	0	0
17ce5ec1-196d-45cb-9f75-247a5badc267	0	0
f992afdb-1c50-4923-b939-4ef12eb3544e	11.1837229437229446	0.932091855796055802
c7552846-e96d-4d49-8213-0cb5433aeb6a	0	0
ffd64291-bbef-42e0-9b17-9886078cdb55	0	0
315f5d6b-c234-40fe-9072-3755147b652f	17.1436818181818182	1.42881635046717159
b574014c-e2d6-4949-98df-dca8ed5ec87c	0	0
dda28666-fb7c-4c8a-841e-868de6826605	16	1.33349777777777767
7be12be4-0638-4399-af85-ce76182efc99	0	0
bb23d908-27e4-4128-b87e-6c80df8238ec	0	0
ec5e3039-89ab-49b0-a660-8d1e94c0767f	0	0
d897600a-9097-4662-af32-6eff641c3547	0	0
2b2a83fe-f781-42cb-9033-8f7823980b20	0	0
1687a649-f621-4b2e-8a5a-36800324049d	0	0
c8ee7f5e-4621-4f23-be5b-d1b0abe1dfcb	0	0
f21b4fef-57a3-4200-8ef7-a5f940ebfef3	0	0
fbd6826f-862e-4285-b5db-26172bb9a9cd	0	0
8eb0f468-bcd6-4b7d-91b3-85f997a76cd9	0	0
46075541-ce14-4900-b93b-30adce8bb2f1	0	0
949dea82-e94d-4f3f-98b4-c3ff4d0481e2	70	5.83405277777777709
bad33484-311d-43d8-8eb1-6cee7007557c	0.594125249072381956	0.0495137381185266762
6aced6f2-f0cd-477c-9e2b-0e4c236dda8d	0	0
f6e2fdd6-0645-4491-b46f-720f6729f9b9	0	0
3aa00e1f-bcd0-4bf8-8971-bb20851bfe2f	11.1837229437229446	0.932039043771043851
2a9157ea-1203-4ad2-a12c-b3d39cc3c529	0	0
95b30d92-7ca4-41e8-b95e-0396b7bf69f8	0	0
78b7e890-13a5-48a4-b525-a11d700d850f	17.1436818181818182	1.42873539419191919
96e1f8db-89b3-4072-8b41-78a360dde4ea	0	0
9e8cb552-3f86-4789-9724-fcccc536446a	16	1.33342222222222229
a457dc24-aab7-4e4b-b26a-faf3935eabd5	0	0
c87a1462-486f-4c15-921f-90fc39db2e30	0	0
edc9fb5c-b87f-4635-ba1f-a6daf532a19f	0	0
14f77493-4277-46de-b7b0-fe3b64760634	0	0
741ef646-43cc-4de8-a3c5-a75b05fb0d43	0	0
58d97a44-8968-4b0f-89a1-6a2acbc81805	0	0
fd99d802-0761-419b-a38b-efdf59f3111f	0	0
f8bae865-1c57-4053-9b6b-4198f61c564c	0	0
4925ea72-a5e0-4a38-af09-ec87795af04a	0	0
48fc5510-e5aa-4303-b348-430c0aac0a9e	0	0
4e632279-3a88-4739-a300-12e3021c3ebd	0	0
a9d0f30c-e158-4cfe-a531-d796eeaa9ada	70	5.8337222222222227
7f678c3d-0206-4ba1-ac68-855ed6e0b713	0.594125249072381956	0.0495691898084400992
fbded1d2-1a47-49ae-84da-24d3cf56c155	0	0
32fce8c5-422b-4644-9db3-e80b8867c515	0	0
ecaba019-78f8-41ac-a87a-031ec039c4bf	11.1837229437229446	0.933082857912458041
a310a353-b8c0-4a6c-97c8-7d1d8c1c52ef	0	0
27c33485-a578-4071-8e8d-51f12eff86ff	0	0
28f4e19e-d0dc-4055-a7d5-e42ca64c83e1	17.1436818181818182	1.4303354711616163
89b34988-4e1a-49e4-bfcb-be4d3b0d7cf6	0	0
de3d5b9b-bbff-4910-bc96-2b37cde51156	16	1.33491555555555563
926bbf65-8ffa-405f-b8aa-be998e51c2b2	0	0
56aee6fe-6f66-4fc5-a29f-1abfab5508ef	0	0
e73e8ee8-0f11-443b-8430-ea5f680ad9e2	0	0
68b7ae9b-03d8-47c8-82a7-09f4245569a2	0	0
e2d539d5-135e-45f9-ad6a-8b9c2f5d66f4	0	0
f128442d-5044-40ca-8342-511c976e6829	0	0
04fe7874-aca1-442d-87a5-877cf00246d3	0	0
d0586612-94dd-4fad-ab0c-fbc95942f928	0	0
e7d5dede-35d0-4b14-a58f-261cee598009	0	0
42fb0cc0-97f6-406f-a542-e1a1a72f3680	0	0
539137d1-5aad-45c8-b8fd-86af21eb4303	0	0
cfdbd93e-da46-4922-b329-d963a1d9c7bb	70	5.8402555555555562
6c94fd77-54a3-4f59-ba93-4d16ade5ebff	0.594125249072381956	0.0494586164981960785
f6b0ad30-5859-4645-8354-ab563da95285	0	0
aa248568-04f4-4cd3-8ca7-1c0889aa0b46	0	0
aea778b7-85f0-44ef-bdc6-1c445747d29c	11.1837229437229446	0.931001442809042956
74d747d5-0b47-43ca-91e8-5b90ad372054	0	0
5712d00b-c3a3-4334-9e33-dc9cb500292c	0	0
f7f80e1f-1218-4054-888c-d1eeb49da20b	17.1436818181818182	1.42714484148989906
2274ef2b-1e1c-4cbe-82d5-10b266c1ef50	0	0
1198ee94-a0a7-4646-be09-a09d3db00175	16	1.33193777777777789
41dc6faa-17d1-427b-a783-07077c3571c5	0	0
278a70c7-bdfc-47a8-bbb3-18e0cffb7acd	0	0
dc138b63-296b-447a-9503-0c736f6b6fe7	0	0
4228557e-8a77-44b8-882b-c93375e00d4f	0	0
ff8b9d06-c9ca-4a60-8f1c-ea02171d1df6	0	0
781b26da-3b08-4ac1-8d4d-e16587a456df	0	0
976cc993-8045-4c6c-8011-eab4de464c9d	0	0
316f224c-36aa-4f10-a23a-eeb04bbed7d8	0	0
73ca5c73-2467-4fee-91ee-1b87cc0611c9	0	0
28c90cd1-7ef8-474d-9a4b-9ab1b6fdb8af	0	0
58ebec75-1ecd-4a30-8c38-51224b1141d9	0	0
69b272d2-a1cf-4372-afcc-96df1d9e88a1	70	5.8272277777777779
9b478f7f-cbdf-4dd3-97bf-186236025fc8	0.594125249072381956	0.0495134080489438577
5df38ddd-a69d-460b-9c45-36f1a2912e7b	0	0
5196147f-1ae3-4e17-8e45-e93b77c4fc8a	0	0
a5892066-fa13-4fd6-a9ea-d25cb126374f	11.1837229437229446	0.932032830591630668
1df930fb-c490-420e-83e2-f5c1a0b42c02	0	0
77d65dd0-1b3c-46db-b895-fd915e3da677	0	0
94f27452-8e06-498c-9c19-0d68477b21c9	17.1436818181818182	1.42872586992424244
5e3eaab2-e9f5-4c81-8f58-d8ae47bace56	0	0
3451ea21-0016-477d-a42b-861b030d64c1	16	1.33341333333333334
8e238c08-d064-4658-bb13-db3b6619d865	0	0
14beada6-d770-46a2-aed5-bb5b824c0f39	0	0
159072a6-b315-484e-9a47-9ac473ec0f6f	0	0
e34f0a12-e5c2-47b4-9fe6-af0e2d9df110	0	0
9d82c1f8-2d71-49b7-8f9b-6f77ceb7d4c1	0	0
efcf78c2-92f6-46c2-a19f-3f0e9fc3806e	0	0
28714e13-4751-4f03-874b-effc1e73f514	0	0
80665f79-d17b-48b8-b2c1-023b3e974841	0	0
02367484-8c5e-42ed-af43-3858c7cd7a82	0	0
c2a582e8-8e40-4b24-be85-4a4361c519f7	0	0
d4d05211-6bc1-4d59-b438-a7e727a8a9fc	0	0
951ecb0e-90bf-40a3-ab90-bc1589096052	70	5.83368333333333311
07556c5c-c7d5-4458-8879-f267c41dad19	0.594125249072381956	0.0495127479097782208
fa1c00d0-d3ce-419c-ab28-a63275912e85	0	0
aae03d32-c844-4656-9595-290cdb6ec705	0	0
22339619-45f2-4df3-be1e-51f57004f69f	11.1837229437229446	0.932020404232804189
eff707df-076a-4a09-947f-820b0d71298a	0	0
0add3698-2c44-485e-9ee1-da15303a87ab	0	0
844514f5-345f-48e6-9785-d3a9c7174697	17.1436818181818182	1.42870682138888871
db74d3eb-838d-47c0-8728-6dac1a4d5e5e	0	0
a0583e7f-841b-4ad8-a113-61eb500a4d08	16	1.33339555555555545
e2779c27-a508-454e-bf1d-f47911fd8a3b	0	0
e3cdbc1a-e5fc-43b8-9cc2-a50be8b96336	0	0
ed22ca75-2a95-4696-800a-4e8c6fcfbff3	0	0
c8b2cc8b-3fd3-415f-8ac0-cb314a27f6f1	0	0
9c41ae30-2671-4da6-8fa5-c999d99bdea4	0	0
995474af-09a4-444d-a77c-36e00a3e5766	0	0
26fee578-5d45-4a4d-944c-f32709282e6c	0	0
6f23764a-a7e1-466a-b394-8b5c19648a30	0	0
73c4a071-8ea1-4a7d-8090-2774a5e29bf6	0	0
e7f0e461-e279-482c-ae16-855e7402e80a	0	0
bdb85154-5daf-47ee-82ff-4fc74aa9a22e	0	0
96526f9f-58b6-42a1-8f86-38f013959c9f	70	5.83360555555555482
2ba2561c-c8d8-478c-89e3-aa1dc84cdaf4	0.594125249072381956	0.0495200094406002198
8a39587f-f919-485f-bcad-e471cd521b28	0	0
d5b89ecc-ef73-4452-8ed0-805467d405b7	0	0
177801db-b132-4ded-a76c-d8653e2db602	11.1837229437229446	0.932157094179894341
2f478bcd-377a-4584-b56f-83e57fab5f02	0	0
5db45f4f-8923-4203-86b5-af5a8534bb77	0	0
7672bd92-8290-472c-ad93-a930087465f4	17.1436818181818182	1.42891635527777794
2c20ec7b-d0f0-434b-839f-51bdc924a73d	0	0
f116906d-e881-486b-ae71-5fb803a115ae	16	1.33359111111111117
958a1a73-f521-4260-bda0-0ddc7c735088	0	0
ca307733-84ce-4888-93e1-e80996f862b5	0	0
3a9a1626-4f42-48e1-b2f8-850c76f1f90f	0	0
baf28c54-b3fc-41c1-8cd7-f8ba7603884a	0	0
c5056a74-2596-4f6b-b4a8-97b2a2d05c80	0	0
eb17c37a-1c55-41bb-91ab-f0fd1b988431	0	0
70dc37d9-2c85-43f6-826b-7bf6dc18c5a7	0	0
49a1979f-16f1-4535-a79c-a78dd6a94c16	0	0
11d24264-8eee-4f09-a8d3-67991a4a1101	0	0
a02ac55c-9df6-4801-87ba-e35319b9b568	0	0
28c4c956-e2d1-4d2a-a85d-2bf08c71edbb	0	0
c18c62c4-694b-4de4-b1e1-97d9831e9c7d	70	5.83446111111111154
1b18e590-4c58-4af3-ad72-f7424611a0b4	0.594125249072381956	0.0495106024574899009
51328e61-e810-4d9b-913b-07fd7a14ea94	0	0
c7426953-17f5-439f-b466-9f3adf37bf55	0	0
9a6a46a3-c832-4a35-8505-c70d76fa13f6	11.1837229437229446	0.931980018566618607
07e94ad3-6677-4568-b875-00a59b6eab5a	0	0
7f471750-a606-4470-83ce-77f8db8757b9	0	0
6d9679d7-5104-48e7-860b-1afec2fc6ade	17.1436818181818182	1.42864491364898982
a94db8f0-14c0-4526-a2a9-d5ee327321d3	0	0
d06cf2fb-7def-44d5-937f-42c2a1df29d8	16	1.33333777777777773
bed8c670-f2ce-4e67-9bff-238bcd9ac6c9	0	0
e5ba59c2-f265-416e-b968-0237fefa2278	0	0
0760007f-f62d-44a2-b32a-dfd18b5c2035	0	0
9f48b60e-275b-4948-9eed-789d9b2d8f8c	0	0
6020bf2b-432d-4566-959b-8f3a1962e7e0	0	0
a27e9a51-5000-4ac1-aeb2-09ed2f550ea6	0	0
ef85c27f-f097-46b3-bf45-3ce1749ec09f	0	0
aa129921-a942-46ef-b16e-6018ed6f813b	0	0
c582c22e-895d-45b3-91f0-fd39fdced057	0	0
970a700b-abe0-46c9-9953-abefb8f398dd	0	0
5a21ffed-acb7-426e-b73d-aa9511dec4d9	0	0
d8198c67-1dc5-4e57-8201-9dab171dab50	70	5.83335277777777783
3172bf06-c126-411c-bcff-54413a9e9916	0.594125249072381956	0.049516543709980626
f3a2e670-812a-4f87-aa44-e087381ac036	0	0
189684e3-238a-445b-812d-82b59796dd02	0	0
36708ea2-fbd7-4b15-9d15-76259f8203cb	11.1837229437229446	0.932091855796055802
910aac6e-e7c9-434a-89c4-88317ac16a3d	0	0
6457a79d-e16d-4437-bfc9-5ea880fc6012	0	0
704b2df1-585e-4a8a-8e01-4c73fc80b82a	17.1436818181818182	1.42881635046717159
af7489bc-a626-463c-a38b-c16275bb1be3	0	0
b0183f34-532a-4169-bf0c-df00deaf5b96	16	1.33349777777777767
f02ce023-7859-47d6-bb0b-2eaf3aca0cd0	0	0
64e9703f-78d6-4930-a421-c996ff3f1bbe	0	0
b0cc3b2b-66eb-40ee-936a-051de5c0da97	0	0
b5deaf27-dc54-4ac3-853b-85094553f2a2	0	0
4fedd4ad-eb5a-46fc-a902-74209bc18281	0	0
1135a035-9cd4-4b09-bb5c-aa1b1087105b	0	0
79a0264c-5d33-41f9-9add-b857429d5366	0	0
cd517cf1-b51d-4908-96fc-faa18bdd3488	0	0
e50acb41-77a2-47d7-9844-6e9260c54213	0	0
50233c0e-ad61-471e-b2bb-25279c7e74d5	0	0
230a481e-581b-49ec-b246-e15f4ad852e6	0	0
1257c39f-db48-444f-a86d-e5ee0799ed7e	70	5.83405277777777709
76a03d55-8f71-4beb-b519-2cf52ad32fe6	0.594125249072381956	0.0495119227358211747
5f9834b1-7ca3-4941-9b4d-2bd6afe5fe4c	0	0
e911b3de-3433-40b7-a308-2232750cfcc7	0	0
725669f1-cc01-4fbb-b4b6-a40cb09c8888	11.1837229437229446	0.932004871284271341
d820fb34-0245-4425-ab9f-9e6c4e012a3f	0	0
95a73b0d-6587-4243-a38d-5a0f805c2e43	0	0
29415ba6-5dad-4568-b151-dc2cd21a5898	17.1436818181818182	1.42868301071969683
928abef0-70f1-49a6-8964-124c0daff83a	0	0
f7f86438-5a59-4206-9139-74b8ab44b860	16	1.3333733333333333
7aa58894-de62-409b-87b6-e5ee01dc06ac	0	0
5a731a12-e10c-4007-b1c8-a1cb8687cb4d	0	0
a6d6dbce-f108-4758-b18b-b254f1f44627	0	0
315cf64d-89ae-4b91-9b17-e0d68fd59a25	0	0
ceef434c-3eaf-4244-9d42-a9cbb439a911	0	0
32e347c3-f02f-42ca-ab23-db6e8a9a1ce2	0	0
850373ba-110c-4e3a-a56b-6e7c6a2228c2	0	0
20553f04-8733-441d-9658-24da3dd049f6	0	0
268d39ef-6cd2-4c03-bb81-9a31bef2dc65	0	0
3cba9ea0-c244-4148-ac35-2b91e77f78b3	0	0
a8cf3e30-39c3-4aad-8c7e-31bf83d11dc4	0	0
fb8f88e9-e9da-45a1-a181-a99c489a020c	70	5.83350833333333352
9048bd9c-4f21-40a5-b039-535bcb3991c7	0.594125249072381956	0.0495162136403978145
f4286357-6708-4317-9a32-3cc9b679571e	0	0
6965da91-e5c4-4b23-9587-e92117d5ad1d	0	0
da488f9e-f042-4c3a-9561-b6d5e9c71a90	11.1837229437229446	0.932085642616642729
e304c9bf-4883-4801-8427-942806000fdd	0	0
f462249e-ff36-4339-bcda-919f63c2117b	0	0
66e1f808-d4e9-4a28-81f0-9e42a70eb398	17.1436818181818182	1.42880682619949506
4694754d-cc41-4278-8cf0-c1aefb6a0048	0	0
9add9e76-0cba-47c4-9c03-67032de224ef	16	1.33348888888888895
e1ab8ce9-85b6-4c68-bbc9-58fdcc18ef90	0	0
62f6a107-0fdc-4a50-8d82-33b646ed1b04	0	0
4356532f-7458-4d27-8258-3adddbd3e4b9	0	0
6395b9aa-39dc-4e29-ac70-b4607c76e430	0	0
b986371c-8ca1-49ac-aab1-60c2f47e2565	0	0
dc3d2b52-646e-41d5-9411-747fe5d3817a	0	0
51616ba0-43b0-47e1-bada-a94bf0deac4a	0	0
78cc65b1-892a-441c-91cd-526560df17bf	0	0
111ad110-d28d-4d80-ab55-e48b337829ce	0	0
752697a2-af70-43c7-8c3f-533d092e33a2	0	0
89c5dc92-7c57-4ad9-9729-eabe28ef52d5	0	0
1d2ae859-bc68-4d0e-811a-a12c2f600d08	70	5.83401388888888928
9d38d55a-a200-4482-937a-5fa0c251f765	0.594125249072381956	0.0495081269356187695
2edf9c13-da3d-4c2c-8dfc-a980860ab383	0	0
3344851c-ab8e-4303-98c9-b4d37d70948a	0	0
c41f3826-6a06-498c-8658-d4e8315b30e3	11.1837229437229446	0.931933419721019729
45bef6e4-0426-4b46-8c11-b096e9d2b100	0	0
87ee219b-0c46-42c0-9db0-bbd83854be60	0	0
85255466-b621-4296-8281-1aa1023c2830	17.1436818181818182	1.42857348164141418
04833d23-fd38-42ce-861b-73d2b067e578	0	0
5c72d4ee-02d3-434b-ae13-85121aca7f88	16	1.33327111111111107
a1a9ec4f-55ea-4244-93b3-81ace1347e12	0	0
607a0792-dd96-453c-bc88-73b4d78e4982	0	0
5ecd61dc-27e8-43b2-9253-17c4707590b9	0	0
7dc7b21f-783f-47c4-8a3e-4267bb8ee2c1	0	0
cd6c4aad-4fc5-4c39-8b42-b12f6f585ad0	0	0
fa7872db-bb72-4505-8795-5c796c260dd9	0	0
27026366-b40e-46e6-84ed-d14dfba32167	0	0
273a5ef9-2228-4cb2-b2b6-f993743cecf8	0	0
fd5e3889-87f3-4f20-be62-ef3961601a5c	0	0
234164a0-e896-46da-b2dc-5406cbcfd962	0	0
61095a47-cb56-4485-abb9-fc4b3d0469da	0	0
ef9bebdb-676f-4331-a8ab-a5c92dbfe4a0	70	5.83306111111111125
f0ab44c3-014a-42ff-8a9d-1087b58c7c49	0.594125249072381956	0.0495173688839376722
8fa694e5-2c43-41e4-a9c4-c2aea74e1253	0	0
48dedcc2-77c8-48ac-8754-e603ba7494df	0	0
ae51aff8-94fd-487c-9268-7f6ad8ca545d	11.1837229437229446	0.932107388744588872
eae63911-501c-4a8c-9bef-ac4e4443c252	0	0
1c4c109c-3b77-408a-b8fc-5aeb57a89582	0	0
cfbb19b2-09a2-4d4e-919b-cf1cb0f6c6e5	17.1436818181818182	1.4288401611363637
9fc3e814-769b-42ff-92c1-3ba34a7b51b2	0	0
eaf3c597-9a5b-424f-82d8-b693afc50121	16	1.33352000000000004
cbc67e43-384c-4f9b-ab10-f7431397a05d	0	0
90e12810-3717-4a3c-b705-7ba0ede31bc4	0	0
3722005a-1431-47ea-bc2e-49bd3e941ea1	0	0
dd3deec5-1884-4e81-a333-d3cf628145b9	0	0
78d0aa24-c640-42c1-b02f-d98edf0124bc	0	0
5f0bd4c6-1312-49f9-a096-9e5e9b0ed395	0	0
a082de2f-0d12-4b9f-a7ef-36b0164fd5f0	0	0
70dc596b-9059-42bd-b4ac-8f3b536203d7	0	0
6254bb1f-3dd7-495a-a72a-23627cf7fd47	0	0
45f0bc78-a218-467a-92ff-bae0178dbdd9	0	0
1cdf5ef9-7535-4c4f-b32f-04245d901553	0	0
1e720706-179e-4876-bf7a-bac806786001	70	5.83415000000000017
b4d4e329-b4ad-4f9f-9a92-606074665530	0.594125249072381956	0.04951291294456963
4877844e-f7f6-47ed-8943-778594933c20	0	0
5166dd9a-c7ab-431a-9144-f41e77fc3581	0	0
42ea6e29-53e5-435b-b74d-235165e512b7	11.1837229437229446	0.932023510822510892
5128ac5a-1a14-4ef1-8a1b-3ff883d10b45	0	0
d6d84138-a08f-4246-8f88-5b7eaf6b5a01	0	0
7f791b19-597c-42c1-882b-3aafa3bac757	17.1436818181818182	1.42871158352272709
62ebc775-72dd-44b0-89b1-830c561c219f	0	0
c4576ed3-759a-43f2-843d-f542f418934c	16	1.33339999999999992
823b4431-1fc9-4f60-8761-6bba991f149b	0	0
ea4bfd3e-af95-4567-9909-42cc9e301f50	0	0
e34d5a60-2695-4043-85d5-1d98be3f2a2a	0	0
3d7184e4-22c4-4138-b342-bfc23ee5ed25	0	0
f6cf78c4-d43d-4a7e-8fdb-7e3171c940f0	0	0
d284d2dd-9a3d-4193-8ec6-a636f37a07f7	0	0
67be20ee-4a1a-4b9a-b30a-0432234457df	0	0
daa01c84-0c4b-43e9-9a67-91be7fc3c858	0	0
e815f923-344e-45a2-8eee-56223dc8e0c9	0	0
920f9458-003c-42a0-85bc-94d9d68d8c62	0	0
5e249d46-fcdd-4d8f-975a-fb327993efd7	0	0
9ca567cd-4a6b-47e7-8198-dd680982b938	70	5.83362499999999962
68adaa20-dbbf-41a3-b942-e19200aa8f8f	0.594125249072381956	0.0495139031533180854
f1df239d-7e4f-4418-aa85-cc652fdfbb50	0	0
6a3b83ec-2b0e-4a30-88ed-5b200ea1ad15	0	0
ab8858a0-2e7b-4669-9a40-8f320166a035	11.1837229437229446	0.932042150360750554
117c72ae-9822-45c0-9af3-5de5b35ae472	0	0
f5bdd0f1-b23e-4b1d-9c00-ad0cfd22325e	0	0
931f5514-0e3e-4723-b702-4099255967a9	17.1436818181818182	1.42874015632575757
21d9227e-9333-4787-8da0-78734451669c	0	0
e60a440a-f46a-4d48-b1b8-4639f57f3575	16	1.33342666666666676
0d62f118-2807-44d7-b5c1-e8f1f66ee9a0	0	0
fce5f6e1-ec08-4ecd-91d5-e31bbd92bf0c	0	0
01180bca-a0f3-4c1d-92fd-d51472d071fb	0	0
ddd0007c-f310-44ee-86b3-e9f9c0461774	0	0
44592bde-d8bf-43fa-ae15-ac2964bd6a17	0	0
423baa4d-a09a-4c96-92f4-90ad46646a90	0	0
b3370c9c-6e82-47ba-8224-66b4c2484b28	0	0
79dff60d-7c76-4a16-ac6b-22254c0dcd1c	0	0
6bf65703-d0a4-45c0-9d72-1ec90f39e5cc	0	0
1aea9a19-0634-4d81-8721-6bac59b5591c	0	0
f7006e00-b52a-43f4-bfe5-5cdfae2705b0	0	0
038f8e3a-e656-4e8e-b05c-4f81916994ee	70	5.83374166666666749
30ca200a-c0ff-4272-91b9-7d0f67de9324	0.594125249072381956	0.0495117577010297655
6c6a31e4-c9f8-4779-b05e-ba16e9824ecf	0	0
4a060c2c-c67b-43af-8f6c-b5b9295f8eb8	0	0
3c1b552c-b278-4846-a1b6-9433e59f69f5	11.1837229437229446	0.932001764694564749
f6a01e0a-683a-4b4b-bd7f-46a395fdc870	0	0
5135771e-a04f-4ac8-be78-ca42a0e9310b	0	0
9ccd646a-1803-428e-930d-cb0772b80f55	17.1436818181818182	1.42867824858585846
025a9938-03e1-4573-82ac-43e1d7595e05	0	0
b331dfa8-79bc-471f-8590-7032cf3d003e	16	1.33336888888888883
97a45819-ed57-45a8-9bd6-92d6929b0703	0	0
a54ae7ec-2aec-49d7-8d21-961ee27162b1	0	0
6ef3424d-6047-4b32-bae8-ec0f3686dc26	0	0
61cd1bf5-1d37-48f1-b046-d5f953fc5cc8	0	0
c6fc7565-fe24-455c-a222-56979a4d910f	0	0
d46af27e-68da-483a-9d7f-914ef2437337	0	0
4c2e833e-c523-4389-b7ff-8ded951d4b7b	0	0
5b9d8c71-37c8-4ec8-abae-f204a3f64480	0	0
09d52c90-af32-4e2e-84d5-ad536c30e392	0	0
4ade3fed-9fc6-49dc-990c-7cd15826c2e7	0	0
afd7c00c-0535-4173-849f-415ec4d305a4	0	0
0a5e63e6-f675-4dfa-ab47-855534931354	70	5.83348888888888872
db674390-886c-42d0-b468-dfb7dc87d580	0.594125249072381956	0.04951291294456963
f026f254-7e05-4f6b-b596-978fba00cd55	0	0
95837f5e-7d47-4ad2-8137-bd68340774f4	0	0
a31ddf10-46e6-42cc-b23e-c6466d5855f8	11.1837229437229446	0.932023510822510892
1231d5c9-535c-4bf4-bc7c-ec3a1f43070f	0	0
47d925c1-46a4-49ef-b124-03713ab7b7fe	0	0
242ead4d-b7c5-4b88-ae93-a44250c7d80c	17.1436818181818182	1.42871158352272709
a335caf6-daf2-43ff-8ee7-0d55a77df195	0	0
ff175e48-e7c9-454b-8849-8c5269d9e222	16	1.33339999999999992
1966d216-af1e-4d6f-baea-c3fccdb17abc	0	0
3e8ea7fa-41bf-4db0-9442-fc6ed2a3e29d	0	0
c312307a-ec60-45f2-ad36-4167d0563b7e	0	0
fbffe383-0109-47ac-ae8a-f971d8af2894	0	0
6648e9d9-4c54-489f-a5e8-8108faea7c49	0	0
f559d0fb-bf3a-42f7-8f60-860f9496d083	0	0
30616025-e150-4541-bbd5-41f9178bd99b	0	0
9255a044-e5ab-4def-8ae0-6f8c2aeda484	0	0
c7db598a-7ec9-406e-a740-96177a3e843c	0	0
35161789-8972-4349-a5d3-616e5cda7735	0	0
3a450004-191a-4054-b393-4e44af1e69f5	0	0
8b221cfc-426c-4b9f-b29e-190c162a6899	70	5.83362499999999962
80265c74-f634-49f2-acec-f056c0aea968	0.594125249072381956	0.0495157185360235799
5348c4ad-023d-40a2-ba7f-c3be39f705ae	0	0
c8b84a10-1b3d-442c-b3e4-63dd220fef31	0	0
4d761fba-d032-4cd1-9803-1e91512ea0cf	11.1837229437229446	0.932076322847522953
58dfba7a-61b9-4b5c-97a3-6f0766f3b3fd	0	0
2d2f96bc-c483-4199-a733-44714431b139	0	0
66a27ab0-f35b-4bef-828a-455c76702392	17.1436818181818182	1.42879253979797971
cc1d9772-c3e8-4470-b95e-49a3c0cdfc1b	0	0
f929eb57-0480-4675-bfca-5d9ad0ddd79c	16	1.33347555555555553
592fa87a-063d-4a11-bd21-b2999706aa25	0	0
94399e76-ba2c-4efb-bde2-2959e11e0876	0	0
62ef84d8-afc6-49f9-8565-467db2a5af49	0	0
2099ff07-28ab-4ff4-a0f9-8d0d040e892a	0	0
ba9f4063-1aa3-48b1-a077-d479f7263760	0	0
609ff8fa-eb38-42c7-bb7f-fe223b7cef15	0	0
d23c9dcd-774a-4505-8c79-884ced535fe5	0	0
d0dd09d4-1879-422e-826f-bab0639ea740	0	0
124a9cab-aefe-4571-b349-0a8df1a6fe98	0	0
daa6920c-6f9e-42d4-9bb0-e733db751670	0	0
a8a6d23d-d471-4dc9-a209-8a0429a0c407	0	0
0b1c6327-5df3-4c66-aad5-d02ec32b8210	70	5.83395555555555578
53710cb2-5cc1-4a60-b79b-0c863f84299c	0.594125249072381956	0.0495119227358211747
914549eb-e624-4f8b-8588-8d5edd99ec32	0	0
612337bc-e5af-411c-a600-4070353fb2eb	0	0
9a5ee2bf-ba8c-48b4-b8ab-9f038224d078	11.1837229437229446	0.932004871284271341
38cde267-de0f-4bb9-a9da-11657f916947	0	0
809c47f5-ff9d-4f54-b3a3-69ea2d4d951e	0	0
462275ef-aa13-43d3-a6fc-6912dc1e0e08	17.1436818181818182	1.42868301071969683
c03c5d01-e6c3-4b3c-9891-fc2074bd7f82	0	0
e19ba024-7048-44ad-b19f-e087ed5d83b4	16	1.3333733333333333
85c120df-2d77-4133-9966-8ff293e80629	0	0
5809ced0-391d-49af-9fc5-09a64238de0d	0	0
766d64b8-84e6-466f-a2b1-2cea90fbd84f	0	0
68ed91ce-588e-4c92-a4f0-3a6cb7fa4989	0	0
91f10ed9-e861-4105-8d5c-9e26e463c560	0	0
ecc9a61a-79f3-4184-9f9e-c864a42ceadd	0	0
f64c3069-8532-44ad-9909-30ca55520853	0	0
f4ced8df-6111-4c09-bac2-8d6fd50d126c	0	0
f6451c4d-9e98-4bb9-be54-7958ebe770a0	0	0
6391d886-6d5f-4339-b79a-d44c608f703f	0	0
3a4f165a-411b-4841-8147-adc2ac18e428	0	0
36f2adbb-ad5b-4036-8d72-45b4be913fb4	70	5.83350833333333352
bd146468-62cb-4e5a-baf9-2a7b54a74b35	0.594125249072381956	0.0495172038491462629
2a2a547e-b787-4bc1-9a64-c71695261c3b	0	0
755f5939-2113-4504-8a6c-ea6174d5b010	0	0
26a76fe1-5999-438b-ba3a-bf48a4a21672	11.1837229437229446	0.93210428215488228
656a155c-c99a-45f7-878f-f14a8db1ae6f	0	0
258e2389-0df3-49a7-a42d-7d7a649ea00b	0	0
2e53a521-457c-4084-9fae-5ce243ed8f16	17.1436818181818182	1.42883539900252532
15abb325-7e60-46e6-b62c-bf60aa9471df	0	0
8b76c586-30c6-40e5-86c6-68ee0f418ec6	16	1.33351555555555557
080142b0-7817-449f-bfb8-ac94486368a2	0	0
7aba70ab-2fcd-4aab-a273-7b327c86a75f	0	0
c567e42a-5d5a-4dd1-b1b1-29c50e473f7a	0	0
5b0b00ea-be21-4bb3-9054-7e3a2d306750	0	0
b28ed3ec-2d41-4efb-a3ac-5e7b381b4be2	0	0
419c5a38-c751-4d3a-9c27-fec15388baf2	0	0
c63ff3f5-999b-4f1f-a64a-30ebf29c7952	0	0
835011b0-3d9c-42b9-af34-56ab3dab438a	0	0
75ecf184-c7f0-48bc-b7a4-1a14979b0046	0	0
03822c77-8120-4fbd-ba06-3fe60cb26e6e	0	0
e9bcd259-8509-4c3b-9734-94905a1bbfa6	0	0
b6f940a1-1581-4cfe-9d29-39ea8c886136	70	5.83413055555555538
57e8fb56-2034-4ee4-8c7e-cd489fb3dae6	0.594125249072381956	0.0495152234316493592
1c81d8aa-85e0-499c-8ae0-34f48fdd255f	0	0
aac24a71-f5bd-41bd-8917-c7eb08a9f48f	0	0
ff6239dd-cd13-439e-b088-913417120d85	11.1837229437229446	0.932067003078403178
b496f9c7-7f68-41a1-be8c-b678cf503386	0	0
82d1a244-3516-4225-a1e5-7796b8c65130	0	0
66b20002-6bc0-4dd1-b98a-0043e3cab099	17.1436818181818182	1.4287782533964648
98f039a3-2f63-4ce7-9655-273ccaf9b504	0	0
a0b17fd5-e1bf-40a9-985c-90407a28ad9b	16	1.33346222222222233
d5ae8b65-016a-49db-a51d-06e37782e61b	0	0
30b4839d-de51-475b-9815-73b4555fe781	0	0
5ed3190e-d203-4c13-bb2f-b411a8d8c597	0	0
833145a0-cdc9-49ed-a8e3-80bc8ce86d87	0	0
4f225fd8-f3f9-48ba-8d41-43ebfd798a48	0	0
0ff7163d-30b3-4af7-bf9f-9e373f20980b	0	0
8565d6ea-cca1-4182-9472-758965390113	0	0
4f76d7ac-8321-4538-8c21-9f731b849335	0	0
ffca68f7-93b6-48c9-a3ef-5286d4462fef	0	0
e75ec5cc-6268-4591-afb3-26df20700e33	0	0
eb0b718e-5895-4b4d-bbea-20674698891d	0	0
b1a7d399-feb0-42c3-a4b9-5f5cdfe0650e	70	5.83389722222222229
76415e01-79e6-49a3-a619-8e3f85d5922b	0.594125249072381956	0.0495181940578947183
b59d12ff-dc94-4f4f-bc74-c358a1eee3b5	0	0
c6037238-6c1a-4e79-9c51-5f6622175564	0	0
e3bf4100-f120-4363-a377-5d49ec9aad0f	11.1837229437229446	0.93212292169312172
2169c603-40a5-4776-b678-7c49b6f81c4b	0	0
a1e83fe3-89d8-4cfd-bf39-95df3c0c4a37	0	0
8a0e7e31-3b25-43a5-ade4-6f8fbbaecb6a	17.1436818181818182	1.42886397180555558
aca6bd65-442e-411d-ba5e-e8cac0858d30	0	0
4aab5287-2755-44da-b27f-91066fe6384a	16	1.33354222222222218
907ca170-fbc6-41ea-8beb-ae7b110173ae	0	0
6cf1bd71-bb0a-48ea-a116-e79d246f3aa9	0	0
19cfff06-4ee4-4342-b612-464fdf0da11e	0	0
6c8a10c8-78ca-457e-87d9-cd2738e73e86	0	0
c121e753-ac38-46dc-951d-67d11be35871	0	0
1682da93-531a-4088-afbf-809a99c58ed8	0	0
53123655-cf1b-4979-9a3c-5219e39e7f36	0	0
50cc1a51-2631-4075-86b5-ed9669214d28	0	0
dd202cea-6062-4082-8ded-22d4d1e7f36a	0	0
ba7c1be7-f3b2-417f-b54f-cdcf8544a1c4	0	0
c2daebe9-8cf6-497d-8dc5-0c51e880b378	0	0
3460f79f-a29b-4109-8e0e-f5515a2f495f	70	5.83424722222222236
a9c78076-1625-489a-84e8-4f12d61521f6	0.594125249072381956	0.0495068066572874957
2681d774-79f3-40f2-bd08-f1801cbef79c	0	0
fa8c350d-8bac-4a78-8737-ff59fe27511f	0	0
2b0ce214-3a31-433b-b092-aa4fceb9e92b	11.1837229437229446	0.931908567003366994
e93b62f5-764a-4c81-a333-bb33d06af993	0	0
95ec574f-750c-4d7e-9081-bcfde167fa9c	0	0
19c03cad-a12b-478d-9d27-091ac7352f26	17.1436818181818182	1.42853538457070695
717e8272-ad04-43be-81f8-67bc35bb21c3	0	0
6929c73f-f126-45c7-ae42-23c8ff84f28d	16	1.33323555555555551
ff91a393-bfac-46c5-a6ef-7b83146ed206	0	0
982bdeb8-cb0a-46a4-a6b8-d5b4f5872e2e	0	0
bcc7e0f5-8680-44db-bd2b-b155731858b5	0	0
32b939cc-f159-4bfb-9bf7-bd399b63c3c5	0	0
9f8c2a4c-a9e4-413f-a0c8-139df6c4a506	0	0
e0d942fc-61ec-4937-a974-16b96f22b922	0	0
56ab9ba9-dbf2-43ce-abae-c1385abb69db	0	0
9a480604-104d-4bb9-8437-d2eabda91bc3	0	0
0acf094e-af28-452d-b6d9-7972c9173eb3	0	0
8a2aaff4-2039-4224-a437-c3817a18d948	0	0
4318a5ca-46c7-4ca7-9db6-193153333353	0	0
b6a9c409-838c-4c52-86bf-10c507e0971d	70	5.83290555555555557
55869a8a-8ff4-4257-98ef-c0b36782a632	0.594125249072381956	0.0495097772835328617
0dc9e731-5fa9-4766-96dd-503668dfab01	0	0
535a352d-8441-49f3-81f5-320df8804ba8	0	0
59a70dff-0fd0-4699-9c0c-f994b153f1b3	11.1837229437229446	0.931964485618085758
4aadd0db-5822-403c-9eac-b6c030119666	0	0
eb792be2-6185-460c-8d61-8cd0981273e2	0	0
d6369de1-fd30-461b-b3da-a0b85289f56a	17.1436818181818182	1.42862110297979794
9cbcbeab-3e0e-44a9-84e4-e2728be56f39	0	0
68db0f9f-5163-4229-b3da-76acb78e2dae	16	1.33331555555555559
3e7aba8f-42fb-4532-8f0e-e6f4e35a40b8	0	0
a7477bab-c0fc-406e-8ba6-508fcb5995ad	0	0
554928db-e6f5-4d4e-b4b1-da7a5dcddd14	0	0
0f633bab-4b39-44e6-9091-1aa254f6f41d	0	0
497679e1-9f7c-4201-a935-668aecaaf1c3	0	0
6f28cc53-0068-4fea-93b4-ac84bc336866	0	0
acf1c131-bd1a-4349-9662-6c80c733ad03	0	0
2d458b5b-f375-491c-85a0-14755d9f95b8	0	0
626dedce-ae31-4ce9-a9ef-031b5b4c235b	0	0
58bed316-abc7-4c05-a91b-0d4ee6017565	0	0
0b1a0ec5-c91d-4c77-a340-8ad6ef1c314a	0	0
97f33745-1165-4265-8543-795aee994d96	70	5.83325555555555564
08dd475e-31c1-4e1b-a518-c781b81acfa4	0.594125249072381956	0.0495152234316493592
6d39be4f-b791-4f73-b2a9-17b0e5b1aa26	0	0
1e862a99-d277-49e5-8b2d-2805ed95ae0d	0	0
43935482-3520-4229-a925-76aad6c2eaeb	11.1837229437229446	0.932067003078403178
d5d007a7-2ad8-468b-ba9d-10015bb20a2b	0	0
98e104d6-7a00-4368-8e53-2011e72979c4	0	0
473351a0-7f1a-42fa-923f-0a8512efc7c3	17.1436818181818182	1.4287782533964648
07c09709-a404-474b-bb50-c57c11f18c9c	0	0
9c4b2812-1c25-4cb8-acb6-7f6e944a3100	16	1.33346222222222233
f4591555-7b81-41de-808a-598c310d7e25	0	0
36bd4c56-3c3c-47df-b037-cfc9144fb2e8	0	0
8d445455-3b7c-4fde-9953-9b35732b8f62	0	0
2b5d67a4-9449-42d7-a49f-ac62d726d15b	0	0
035ed069-fea9-4d3f-981d-d27c9f486f6e	0	0
1a657f69-21f4-479e-ab41-262d23321b37	0	0
253f2c45-c619-44f3-bcdf-0156f99daa1c	0	0
ecdbb7a3-e6bf-45fd-bce6-d4a5544b8df4	0	0
cfc57911-15c3-4fc7-bf98-838cd623cb60	0	0
4ff8bb96-2edc-49f5-bee4-6c703ae096f7	0	0
9876896a-27d1-4c33-9e69-491d8851d8ee	0	0
0fc0ecd7-5c5d-4683-8c56-52df5ea48d52	70	5.83389722222222229
cd475a7b-c448-407f-943c-6dfdc515ca95	0.594125249072381956	0.0495120877706125839
2e3fc36c-e780-4be5-80d8-47ecac3c4a1f	0	0
afe2a08b-6e05-4ee8-8872-74d7ad2187a4	0	0
a31e03a0-e2ec-49aa-b399-5feb0db9ead2	11.1837229437229446	0.932007977873977933
282857b0-289b-4db5-ba31-abd797395531	0	0
37b0d809-a660-4338-9580-51547fd9223c	0	0
682b37e2-ca68-4841-b506-0faa0cca8ee6	17.1436818181818182	1.42868777285353543
c7395bb9-6fa7-44c7-b85f-117367233706	0	0
8883f0a5-3b16-4b0a-96e0-35b60c9b31de	16	1.33337777777777777
0d06c7a1-fe65-4680-a9d3-7971985b94e0	0	0
56074104-a0f3-42ae-8b22-fd725c2ed339	0	0
318cb6de-4dcb-4a16-86f4-51acbbcba7d7	0	0
4ca8dc62-a60c-4938-9fd0-647af83bb331	0	0
8774841d-d66d-4c21-979e-8b3f21ac3b87	0	0
60bbab7e-2c88-4624-9149-57a02aed4b97	0	0
1507d6b4-2c01-4644-9328-2f7957c932ac	0	0
119d9023-448e-4cc4-86fc-ab06bd00a555	0	0
03afbc76-c056-4dfe-99de-efe2a6b02f15	0	0
3d518c66-a75c-4650-a1ac-a0649215eac6	0	0
fdae3925-4c9f-4c02-adf8-b5759362ccf3	0	0
288fc6ea-b728-4d16-ba3b-fbe682d27507	70	5.83352777777777742
63e20bcb-e87c-4bf4-8e4d-93ed591a78d8	0.594125249072381956	0.0495148933620665407
03e7276f-e743-48f9-9042-373bdf2c06c7	0	0
612cfe4d-10e0-446f-8c85-5d9ec282cb99	0	0
86466f4d-6959-40ce-a8a0-00b047fa620e	11.1837229437229446	0.932060789898989994
bb3010cd-d4be-422c-94c4-49c1d80ddd1d	0	0
2964c892-277d-4cde-b0c4-4f4a514224a3	0	0
5cb96fad-d114-4134-a3b8-9a2843779ecb	17.1436818181818182	1.42876872912878783
7115ca11-0285-4e0e-8fb6-d8df58cee9bf	0	0
3d0607d7-4f73-4c7c-9543-4a2ed91ac2f0	16	1.33345333333333338
68e6d337-95f0-4183-9aa4-428c92624667	0	0
87aaa4c0-1c78-4a03-ae3c-e4f5bddefdac	0	0
523e6ddc-ed2e-4a6c-a04e-3d6ff8dd7d12	0	0
ebb15494-c690-44a3-9540-9b101dfa4b75	0	0
c5a43416-a1c5-4f3c-b964-ce9d7823d5d8	0	0
028b17a3-aa60-4a6e-a589-e5abd18d4752	0	0
5582a1fe-796a-4167-b917-fbc4e10156e3	0	0
2abbd186-e710-4024-be2e-8e697ee524c3	0	0
43c93def-ae25-4a35-9afd-bad9611cadf5	0	0
7d7f2123-8ffd-4c88-aebf-eea2a040c340	0	0
4a29a613-9df0-4567-8783-3a9563d5c32c	0	0
f2da4bfc-6655-4646-8032-e87b13af11e9	70	5.83385833333333359
4ba6863b-4a38-4a4e-87c2-97945880f03d	0.594125249072381956	0.0495155535012321707
0fbfee52-971a-4309-82bf-f3a3da66aba5	0	0
984233dd-208b-4e45-9690-80b8889d2966	0	0
136bc4b5-b76e-47a8-842b-69f769316f36	11.1837229437229446	0.932073216257816251
9c973e22-c8d4-47e3-83d6-395a259765d7	0	0
78091226-e617-428b-9be1-4d887619ae09	0	0
cef61321-9055-4235-9ba4-48a16f0a539f	17.1436818181818182	1.42878777766414133
623af673-f338-4413-97f6-ee7eb6526ea8	0	0
b59df868-d1a7-4d4f-ab88-e04c161bbb3e	16	1.33347111111111105
1071b4bf-285b-4c57-8e6e-4b638e3bd3e3	0	0
7d828aca-9288-48bc-bdc4-0842ffc90dcc	0	0
3f43d32c-0f93-45af-9dc6-e466374910d5	0	0
235e54c5-3724-46bc-a9e5-5b36d27d13fa	0	0
c935a677-f6d9-4aae-8872-b0f22ed7aa2c	0	0
8b5953a5-625a-4a97-afff-e808e76723ab	0	0
39b80dfb-a680-4ecc-be61-21e110f41862	0	0
f2995575-fdff-4dd8-9696-29bcc5000797	0	0
57cb2319-8259-4bab-8a45-17d75c3d46c6	0	0
a2fad5c8-8570-4673-802e-eed63677a924	0	0
de14709e-5ea9-419a-9009-c3dd21a99118	0	0
460156b3-49b0-470f-8f8f-52d2f530147e	70	5.83393611111111099
6f4e085b-dec3-4a1c-a00d-820fe530bb1f	0.594125249072381956	0.0495117577010297655
4cd12aab-d95f-4fea-886d-48b23560dbb3	0	0
40f87dfe-8970-4046-b539-8cc53c1519e3	0	0
dce0ea98-8e1b-4064-858c-69ca409ecb22	11.1837229437229446	0.932001764694564749
ef90c2ed-da96-40bc-a4b9-80da6af181ee	0	0
4b97bb78-d237-4ac9-ae5e-25d236cb0409	0	0
c16634bb-c420-45b2-b213-0a0193c2bb59	17.1436818181818182	1.42867824858585846
e1ba20d9-cc5f-4174-936d-9681d830c804	0	0
7887cf5a-96ee-4ee5-9fce-56eff1920904	16	1.33336888888888883
2ad5c9de-5ed5-42e1-95df-9d0071a5d0dc	0	0
2c6a915a-ba44-4470-a367-9a3d8f8ed76a	0	0
eb3cdf89-1ab7-466c-9465-a3e7a7ef73a5	0	0
fcf2351c-2850-4fda-a2cc-759f09b5a26c	0	0
583c75d4-4bb8-4333-9314-6c071848bea4	0	0
6d0b886c-bbe5-44c4-96b1-9052f47b597d	0	0
285be9b4-659b-4680-b23a-63c36e94ebdd	0	0
b2ed9a3c-a0b3-4c75-bc85-19d9a4fa8211	0	0
c858a733-4865-49d1-9370-c369b6d3625e	0	0
61183467-92f2-48d2-90b1-770403d316b5	0	0
dba59574-6795-4207-a7e3-f5255711a612	0	0
f2af9db2-a864-4288-908b-a267c5ecca4c	70	5.83348888888888872
87af1f00-4f07-4891-a61d-296ee4161edd	0.594125249072381956	0.0495548317815875175
5f30478d-4df3-42fc-89fc-4ea5b91d12da	0	0
34b6893e-9135-4dae-aa25-5b90a56d444a	0	0
73688152-0d6c-4ff8-ad5e-ee0e8eac5f5e	11.1837229437229446	0.932812584607984663
5c9be59d-b3e2-4b4d-b079-2984d4d16e7b	0	0
3d04634b-1afc-4264-9073-6a4e415fb335	0	0
c1a4645c-8405-4c07-821f-d63dff265b37	17.1436818181818182	1.42992116551767667
4ba78add-06c7-453d-a4d4-0eac5df37968	0	0
2a6b55da-652c-4534-8d2c-15ef1084ec00	16	1.33452888888888888
986bb1bf-cdee-491a-8f82-95ea7cf14d4e	0	0
59b4ac60-c629-4b2e-adba-24a24f493402	0	0
c725d130-218f-48d0-bdd6-0d171d0a1bad	0	0
a6610295-f87d-4474-89d5-1ba441ace8a2	0	0
27f9ee43-897d-4e40-994a-dfb5067f1cae	0	0
ed8d84bc-497f-4974-8889-78285988c108	0	0
8d6290e4-7d2c-4131-bf70-16e14ba617d4	0	0
e20464b2-70aa-4e8f-b79b-9a57d6f6fcc5	0	0
3213b8a3-dd63-423e-8b18-50cd15ebb1e3	0	0
88d44afd-565e-41e4-8179-d047ecd165eb	0	0
532cfa98-db97-4ea2-979f-8c4c32ed692f	0	0
6d42aa58-edba-46eb-a5c0-218b37d00382	70	5.83856388888888844
d8aa714b-f0bd-4b05-b0e9-2574afacbbe2	0.594125249072381956	0.0494703339683861057
576d0aab-c6d0-4f91-97d3-ab8bf700125b	0	0
5f83325e-c7dd-44f0-8074-d31813bb349a	0	0
f3944b5b-93b4-4cbc-bf2e-0d559a13b2e1	11.1837229437229446	0.931222010678210754
c66a6ff6-0884-479b-a143-578cfba2928e	0	0
79a6fecc-c2ac-45de-af2d-6745e43534dd	0	0
157748a2-c6cc-476d-b675-2a5ea7247aa8	17.1436818181818182	1.42748295299242423
8207138a-9c5c-4662-b018-9cd358477992	0	0
4f97d1d9-28f3-40ea-815e-65dc29462f0b	16	1.33225333333333329
2c50fc42-d907-45d7-b090-fb3ba88d9ab7	0	0
20ea7963-583e-4a80-a3f8-d2563ca0f451	0	0
b2af13e3-71e2-40b0-981f-ba9bed72a955	0	0
e3b5871e-e2c9-4b24-8565-b7373d120d32	0	0
208fa1d8-5601-4eda-82a7-e97aa70738dd	0	0
3a937519-ab93-4949-b9bf-293f13b36d94	0	0
90f92efb-68e1-4f7f-bbe3-03192a6e8cd1	0	0
fb69e65b-1d22-413f-adb2-61de88caf83c	0	0
a3e0e06b-6283-4f13-a7f0-5f06012026c8	0	0
4ad5e10d-e218-4c46-8488-514741fdf91b	0	0
781f07e8-588f-4bc0-9226-b3ab7ac1fb61	0	0
a9c3a86c-46e1-4fb5-abfe-fe3ff78bf5d8	70	5.82860833333333339
dfbb9fdb-1665-40ff-8183-e391a928513d	0.594125249072381956	0.0495167087447720353
04a650ba-af7b-4ffb-a446-4e2b9d16c4c5	0	0
c23148eb-dee3-468a-a658-00314f361717	0	0
d4c2fe58-d727-4cdf-8cff-e38b86945bf2	11.1837229437229446	0.932094962385762393
02e50733-2bfa-4ebe-ac06-b7a9cfd817d7	0	0
7333a9f9-a2db-4291-8568-be74700e8b9f	0	0
f79daf0c-d6dd-424a-8db4-489a2cf7f0a2	17.1436818181818182	1.42882111260100997
0754a3a5-8093-4607-a741-b404a249a102	0	0
da2a9a7a-64fb-461e-89c2-9ef1d778f48f	16	1.33350222222222214
5c4da4ff-467e-49f9-8449-e54bbb7ddd10	0	0
0ed6cf1b-816a-4589-8866-159ddda8cf4c	0	0
c3fa3415-468f-4177-a9a4-cd4a0984383a	0	0
787d8d60-d0c0-42d7-a02c-24019a6ece8d	0	0
0d3aadc3-baaf-481a-982f-bcfc9ae643f5	0	0
7950b325-b297-4c43-b3f3-e79352b7086e	0	0
befa8e0c-00ac-45e6-9b6e-2201be75badf	0	0
c44b7a97-7dc8-4352-95f5-13898449581a	0	0
b4a71e4a-3c62-462e-802e-29d1e2708bf3	0	0
7c56780d-226f-418d-becb-3fc75f483c41	0	0
586dea27-99bb-4cc8-8ba0-594d44f79fc8	0	0
19dcbe93-7744-4d41-9503-0a45a5b95222	70	5.83407222222222188
033fe8dd-d490-432c-8b43-fb9ee1b36d33	0.594125249072381956	0.0495147283272751315
71357994-5bd3-477e-bd81-4236b29f724c	0	0
468dbbb7-fe81-4c59-8ee6-1dc635bc2d65	0	0
ba1c5e73-43eb-4854-a92a-42e99186a9d2	11.1837229437229446	0.932057683309283402
104b4d39-5fb2-4684-9ec7-44d3004b1824	0	0
d4516680-2986-4f93-a11a-0c2d3652c7f9	0	0
eea5c5fc-9c88-498d-b8b2-35f567d2a005	17.1436818181818182	1.42876396699494945
43cf2be6-4709-4f1b-a9c0-5b162dcc0fcc	0	0
9e389d0a-c57d-4537-8fd1-ead6d74f2578	16	1.33344888888888891
5f2d292f-cc39-4298-9dc7-2b11b1dd0cba	0	0
da82cd61-88aa-45de-aa0e-2ec72cd45f06	0	0
41ad829f-0c48-4a70-a1ea-442d08b912a6	0	0
08669194-ec62-46d8-9f3d-5099e7b46f31	0	0
bfe6b97d-23d6-419d-8102-89287b51809e	0	0
e8b0b18d-a0c5-467b-8f4b-7d4f73d4afdf	0	0
745103d6-5ca2-40bc-9e54-1e064bc58100	0	0
01b87dde-de28-44bc-8cf0-9ca2014d6870	0	0
260baff5-bf85-42e2-bd60-f0bf4df1028c	0	0
4a3e4e4e-8c81-40ac-8f1e-66134bbbf690	0	0
c056de18-b165-491b-8615-139b8794cd82	0	0
1df042f7-8985-40a2-9928-3956387d8edd	70	5.8338388888888888
dce257d8-c5f7-43cc-b02a-7fdb5930e782	0.594125249072381956	0.0495122528054039931
a6a895f8-2525-449d-9751-e1c8d3f7a11e	0	0
9443f395-950a-4d41-a111-c49d26348d9f	0	0
73ddb17a-635f-48a3-a4c5-f0640033529f	11.1837229437229446	0.932011084463684525
36e585e9-3169-4f1e-987e-1304dd77ee20	0	0
084bdee8-7eb6-47e2-a06a-f79fe1986038	0	0
084bc591-5358-4497-8adc-7edc4a18358c	17.1436818181818182	1.42869253498737381
c87fd2ad-69a1-422b-b784-f804759e01da	0	0
84bc5a05-5e5b-4bd3-8f3b-3f494614390c	16	1.33338222222222225
6fba168a-f04f-4cde-a707-e1c978a4dba5	0	0
c1403180-8c9d-4e87-9dab-03b9ee26031b	0	0
7a9de88e-7d8b-46d6-86cc-c500b034fc33	0	0
3495546e-6983-4de8-a973-9f66614214a8	0	0
8f65d602-103c-4085-a194-a8bc8d05c0b8	0	0
3aac2d9d-d54e-4f28-97ad-f6a2d6b2b482	0	0
cc178175-bd9f-4ad3-837e-f79b801bfb1b	0	0
9345f5c9-afe0-4063-b58f-9859a572ff44	0	0
e10fcc2d-140d-470f-a5d4-db826a27ae36	0	0
f713f72a-d7e6-439b-89bf-9b411b3a0796	0	0
0d1fac55-47e6-46fe-8ae1-ef48364d7b0f	0	0
246b51c6-e719-464a-a466-f45681924b4f	70	5.83354722222222222
60a0706c-7718-4b64-ad30-8fdab38735d8	0.594125249072381956	0.0495135730837352669
e6ea68c7-8668-4c2f-98ce-c840d3decff6	0	0
70d7792c-487b-48d9-94c6-a8c5c333d95e	0	0
c164b014-9fc2-489a-bba6-0ea16f285093	11.1837229437229446	0.93203593718133726
b28b2ec0-9ac4-4dcc-a3f0-904670c7c7bf	0	0
98fbb3b2-63e3-481e-8da9-a269c4158c94	0	0
6e3221de-b322-422d-a64e-bc21f429786d	17.1436818181818182	1.42873063205808082
bc8a6f2f-8185-4a19-8c5d-2d6e918ce811	0	0
14f0f9d6-e934-4112-9e42-9a032da26042	16	1.33341777777777781
b98ca9ef-0c6b-4a46-884d-94f3000169a7	0	0
6c36bb97-0c09-4bf5-a073-4bc9044912b6	0	0
20919947-534b-4c08-af1d-8a65b9ddd6e2	0	0
5f7ced45-acf9-4e54-aedd-10398d49e65b	0	0
5d2efa97-5cf6-4f19-9d3a-174cb861c67d	0	0
382adc32-039b-4df2-a540-4db769691fef	0	0
90e3d514-cdca-4397-8fb7-d89cfc25cd4e	0	0
eef59754-0cb6-46a1-a0fb-5a56c6490b13	0	0
a79c6b99-78ac-4a50-9c8d-b0b5faf66467	0	0
333f1e03-1fc4-4e84-ac4f-8755aa7041ba	0	0
85c92a9e-e5ee-47ab-b468-55ab4a7ffb57	0	0
87e88c51-9085-4535-be88-341722a204fc	70	5.8337027777777779
6c87c9de-79de-493d-8732-ee1879d233b4	0.594125249072381956	0.04951291294456963
ba760de0-b815-4a28-a886-25d26a48a23b	0	0
d65ab0ca-0fb6-462e-bc42-9f596158aa7e	0	0
fbc3b00e-dfc0-4588-a44c-e27920a7e501	11.1837229437229446	0.932023510822510892
e147ac7a-7432-404f-a772-32b9f63be2b2	0	0
f05e7264-bb80-46c5-8526-a60ed6a2a8ff	0	0
002b8344-b792-44fd-8e0e-4dd08f430c42	17.1436818181818182	1.42871158352272709
63367b3d-19a7-468d-ba0e-5b4d2eebbf7f	0	0
0abe18dc-670a-42ee-8338-e45a4648a30e	16	1.33339999999999992
d3aa92d0-5f0d-46dc-a6a8-85a6e8396539	0	0
61d35a48-83ae-453c-89d5-33c7e53ca6fa	0	0
21784dc7-f55d-442a-9a08-2b4bf198ae66	0	0
a636bf0e-1353-40ab-906d-878c40b0e87a	0	0
e3622bc4-93d1-4c2f-ac05-dd1320c9c8d1	0	0
7bf623e9-ca2d-4629-a09e-de547419d1d6	0	0
5bb65a23-d5b3-4e05-bb3c-398a403bf828	0	0
f910907a-367f-495d-930f-7a6e0910c3c6	0	0
e615db86-81eb-49a6-94e2-7d2d5b06a3b1	0	0
266e2aa4-cf71-4f7d-ac6b-d3a6ee0ed917	0	0
af9821a6-991b-4192-8706-f22e387342b6	0	0
805d2175-7b68-4fdc-a633-2e2ed19fbcc6	70	5.83362499999999962
218dc631-2ea5-472b-b303-764e2c2eb6ae	0.594125249072381956	0.0495142332229009038
7d8bfc5d-d872-48d2-a5de-3ea0869a05f6	0	0
b3bf8f02-16f6-487c-be82-40760d8faaa0	0	0
445efc58-fd38-4d98-b6c1-c40b645aeb1b	11.1837229437229446	0.932048363540163516
3236433b-a219-43df-8c10-904253e497a6	0	0
b3f85c28-4f8b-420a-aef1-0b75ce111f60	0	0
d5b47b93-29ae-47a9-a925-3910b99bbc70	17.1436818181818182	1.42874968059343432
fdc25143-0065-4b51-8e26-bd2dbe0441e7	0	0
1da7197a-fb35-48f5-bd34-773a921a2e39	16	1.33343555555555549
7e44584c-e793-400a-bcab-a0fb311fd435	0	0
fd82df45-c003-4423-af41-3596fed80baa	0	0
3824b868-0265-4b22-ac4c-15692f8cfdeb	0	0
923292b4-7426-4958-b4d4-e6124b5cfde8	0	0
8a01028c-097d-420e-924c-ecd27943acf4	0	0
434cb4ca-7345-4398-a5b6-100d422405e0	0	0
847635b1-5e29-4117-8d3e-0ba2ef18ed7d	0	0
a45526d0-3512-4dae-9966-923b05eee43d	0	0
5e89f429-fd99-4279-9955-5bcec6c34dd4	0	0
7116fe02-a9be-4001-a211-f272a6dd2359	0	0
378c2294-1232-4aa2-b285-a99c882470b7	0	0
97eee4b4-6ef1-471d-a23e-830a541a5716	70	5.8337805555555553
3f5a4351-ab40-454f-bd3a-d8e72d63cd1e	0.594125249072381956	0.0495147283272751315
28c397fb-939d-4301-9f3e-079697372065	0	0
180a4ad4-02cd-45bb-b49c-e22690a2b34d	0	0
1f03a750-6d45-47b7-9144-27f3fb86e995	11.1837229437229446	0.932057683309283402
40301fb2-d20d-422c-808d-a5d7c78194fe	0	0
d00152d6-a7b9-4bcd-82bb-de34a60a2f25	0	0
6273e9f1-4308-4994-9dbf-c14f7ae6510c	17.1436818181818182	1.42876396699494945
776058fe-3f6f-4417-9104-af3535f0bd29	0	0
72582fb6-3afb-4789-8b9a-422c20e463a8	16	1.33344888888888891
08305ef9-10d2-4244-8913-21924cac7adc	0	0
81f7235d-444f-4799-b532-acc0a74f2741	0	0
e5a01aad-1bbd-45c5-8468-813c6d790e76	0	0
948da423-d022-4d9f-89d1-b70a5ff82c79	0	0
4c799d47-f233-4628-9dec-d5915814cf36	0	0
c648bd52-ec71-4ac3-ab7b-a14ad1b6e736	0	0
cca3fce7-8415-4da5-a54b-e6af1241fb58	0	0
430237bd-717a-49ce-a240-3a83ae96db3a	0	0
c491f345-2325-4a1d-910a-b2d68d70cfe1	0	0
ba1e407c-903f-4ffd-90d6-b6a0e1926e3f	0	0
2082fa11-7ca9-4310-ab59-d123b0b5a36d	0	0
e250d499-6633-4f0a-b0e5-fade2cb2d798	70	5.8338388888888888
9b997d23-95b8-4beb-b925-5a13844eb598	0.594125249072381956	0.0495145632924837223
69a73d5f-9136-4bec-9fcf-dbf1645f9fbd	0	0
2ae9eb3d-623f-4e3c-b841-c22b538b6b5c	0	0
8cefd6d9-e30e-4814-8ca4-3ec622806bc3	11.1837229437229446	0.932054576719576811
a9d9191f-69d0-4ddb-94a2-8e232ad5870e	0	0
dc28386a-30a3-492b-8fa2-4850a0046728	0	0
37246028-4bea-4147-bdad-73ea6fcce349	17.1436818181818182	1.42875920486111108
d567146e-ac99-453d-a8cf-d8261dc79d3c	0	0
51d3629a-106f-4c5d-861c-8056eee900a8	16	1.33344444444444443
133e4757-087b-44de-b041-55ddeffea69c	0	0
f352b3d9-3673-4212-a5a4-fa0b9ca18c93	0	0
eea1aab5-9f82-42ec-97ff-353eed6a8372	0	0
2f52d82f-1e67-4237-adb6-24584a61889b	0	0
7ca735b7-8795-4e53-9e35-663ee9c76c24	0	0
fe014586-2c63-4eb0-a262-1a6e235e9ab9	0	0
0ac47f76-251b-47f9-80dd-d7ea8a815275	0	0
6372fc8e-a024-49cb-8b0d-15c4fd4f3e67	0	0
d6ea68f3-77bb-4449-81ca-26d6e66d954f	0	0
72089821-93b8-42de-9027-5bc987e453dd	0	0
ef07a467-f578-4819-84c0-ceb0a9a680c8	0	0
71406a3c-3a5f-42e2-b598-47353649e10a	70	5.833819444444444
c69f5782-c328-494b-9490-5e782a9654f6	0.594125249072381956	0.0495140681881094877
92003f55-2180-4888-98e0-0a09088f2a45	0	0
fe3328e9-d8db-4276-98cc-be209f104e69	0	0
e6f24a6c-a9b3-48c4-8ffa-c9dee3f90901	11.1837229437229446	0.932045256950456924
64c20ae8-e725-4080-b0c5-bb090d7cc9c1	0	0
e6a1152b-5a3c-4e7e-9049-64b9c19ac5f6	0	0
8203ff8d-4285-48a9-a171-6a9f19c0ace1	17.1436818181818182	1.42874491845959595
423da277-8e6e-4f01-b1c2-82f6e006ca3c	0	0
cb71260b-3363-4849-859c-c462c3e66a8f	16	1.33343111111111101
af3a39cb-c5f5-4e6c-9797-c2670793224e	0	0
47b65e33-2ece-49cb-84b8-834fe5e0f9fb	0	0
e3f5beaa-9aae-4f2f-9420-1d8f2c79fe70	0	0
9aa6bf76-6b58-4045-923b-13c4846358a9	0	0
09cbe291-29ad-4a68-a763-706e47b3335f	0	0
964c7293-82f1-4cd3-bef0-4f475a026ded	0	0
2f8f65bf-d251-4605-806b-a4972fb2d912	0	0
0fc2e72f-8225-4f35-aa69-0f429067faaf	0	0
1d954071-bf3b-4bfe-b2c3-294ad38b1c4f	0	0
fefc8321-c592-4435-a314-1b4a603c8aed	0	0
0410554b-fb65-4459-93e3-85994eef716b	0	0
3c084f9c-387d-409b-a580-30821fb9d7f9	70	5.83376111111111051
e4383424-4711-43ed-a75d-745c491bd889	0.594125249072381956	0.04951291294456963
e355e7dd-c7fe-484e-9845-669be15279a8	0	0
f5c01b3e-0ba8-4d59-a65b-7c697a82ea2b	0	0
1f1ec2ed-0f56-4f2c-b6ee-4442f77109f3	11.1837229437229446	0.932023510822510892
ddaf63b2-22de-46a8-a9cf-490f023f2f85	0	0
e0ef61cf-b783-4b33-ac61-c2a1eea347ca	0	0
e7bf08ab-5dd2-426e-a68a-53ca8b4b4c86	17.1436818181818182	1.42871158352272709
e59dbff2-3b22-4d6d-85ec-7de68506f7c6	0	0
dd8ea2b9-852d-462d-b82f-9e88b25672ac	16	1.33339999999999992
da47556e-0fa9-4e4b-b502-3bdddd48d317	0	0
659a5bc0-554d-4832-8530-5730fd8b6322	0	0
cc70ff33-d2fc-411b-a751-2d781b4626ac	0	0
647893a7-98fe-410a-b773-e5f5be522621	0	0
7d25fa07-2c32-4556-a502-4296e514d23f	0	0
fb69ab67-8d65-4e91-ae40-10ac2edbb12a	0	0
b4cdf73f-811c-4596-9d4c-a99c00a8631f	0	0
d226083b-62cc-4fe3-b7ee-c65d1b8d85bd	0	0
7c8b4337-96d0-4692-98c5-86f6cf7315a6	0	0
7f273ef9-10c4-47b2-9ced-d95c9441b457	0	0
5df05877-3af7-4b9d-9161-441d9bbd3f0f	0	0
799e74b4-09a3-4e44-b3e9-1d6dee4f5ad0	70	5.83362499999999962
2c39a812-7c7e-4ac1-9f00-d950c459cac4	0.594125249072381956	0.0495112625966555447
31bd0a8d-c775-43cd-a5b4-b64f88726617	0	0
18ccb998-a2cb-48e7-913e-ef00031ac34b	0	0
602bff65-7912-495e-aded-23cb373aa47e	11.1837229437229446	0.931992444925445085
f54fceb3-108d-4b9b-a29c-3cac53fd5485	0	0
c16ca54b-3fe3-4a3f-9ab1-905ba7bda059	0	0
653847da-d5a0-467e-8421-bb2cdd56f850	17.1436818181818182	1.42866396218434355
efc4a882-9d3c-4639-a48f-0ea864726704	0	0
88b40fb8-dd6d-4008-9d5c-a1a1340b8728	16	1.33335555555555563
b0d8226e-f416-4d75-b08c-8adc37cff58e	0	0
f586126d-7d65-4663-a9ce-9852fcb56128	0	0
961c6262-060a-4c35-9754-aec6dab5f855	0	0
9e08a6be-abe8-40c4-82b6-1ec398bd4564	0	0
78af216c-ca66-476d-a881-72d99f3a2dd3	0	0
a6e23ec2-ff7b-4859-aaa3-4c209eb75a28	0	0
f6021da1-3b2c-4e61-86d8-da971c39eaf9	0	0
4768c6e2-0333-4488-a491-5f52c36f7449	0	0
c3850876-d518-4235-ba2e-8f570a6b94ba	0	0
f5bf72a8-9a76-4326-af5a-8974f2749e1f	0	0
3a652fac-7cbf-4025-bcd5-eb25d6591c54	0	0
beff80bb-37a0-43f7-8133-b25394e8b7b1	70	5.83343055555555612
4f60ee2e-568b-47f3-b7a2-bc2f3c8cb329	0.594125249072381956	0.0495172038491462629
e7d58663-2f1e-4ed7-91c1-6343e9889675	0	0
8d222bd8-76d3-464a-96b5-70c4763abb47	0	0
745e97ed-c12c-4f80-8061-054750473ac5	11.1837229437229446	0.93210428215488228
ff07012f-8b23-4c2f-b7f0-7ab240b4862b	0	0
9f9ebe12-2ce8-4edf-aeba-eee8f2c615ec	0	0
6bb9fec9-481b-4d25-ae59-a8f1388e70f3	17.1436818181818182	1.42883539900252532
fad9977f-060f-4a89-8ebb-a679c2fa8937	0	0
39d879a4-69a2-4fa1-8bfa-776ba488adaf	16	1.33351555555555557
cf297551-df11-45bd-b81e-de4d1d8c3c44	0	0
197017d1-2bcf-4588-9430-cbe82438a7f7	0	0
aaca4c95-676a-4013-9307-4de5e49099bd	0	0
237f6475-e048-4ee8-bf12-eca48dd50145	0	0
bcbbfd47-a3a4-4ecf-880b-6002e3e53ea4	0	0
831274b6-9fcc-4984-8e60-a1105584e4e7	0	0
361e159f-9975-4e43-aab3-06691fe51baa	0	0
49bb03ce-749c-49f4-96d9-88e14e3fc02d	0	0
f588eab6-47ab-4505-b743-5210afd3ce4d	0	0
b318491c-623d-4ce1-bb5a-dd865f6f9eca	0	0
c99ef873-cd4e-41a5-8c65-c015bd903f52	0	0
c93e0d68-e738-4aec-bff5-51e15ba64d2e	70	5.83413055555555538
91b98448-877e-4104-abb2-bb31a1764bc4	0.594125249072381956	0.0495049912745820012
9bbca921-d2c6-4bb4-86a7-5914b4c17115	0	0
096c6a2f-7699-4ecb-9e4c-e9cccbae2f44	0	0
93e19983-711f-4333-a07e-9837daceaca5	11.1837229437229446	0.931874394516594595
26bf715e-bcdf-4687-96c5-15d6428ce65e	0	0
79552b2c-b379-489b-b5ba-b71b4ff3f9cc	0	0
000a9f50-ea6d-4661-ab17-50649347eb0a	17.1436818181818182	1.42848300109848503
07531b09-c81e-4229-b68a-e329d907cfcd	0	0
d6d5191d-eecf-4992-a113-7895aa5acfc4	16	1.33318666666666674
d208c8ac-f165-4f19-8477-8d632c2f762d	0	0
a85c3aa0-9a59-48b0-9472-2dc40bd5ada5	0	0
d3e35891-9285-4eb6-bff8-d6aaaa9ed550	0	0
8b34bf0a-486b-47cf-83a1-6c4de80a8d29	0	0
fa3a1baf-57c4-43a7-9b6b-0bec7297afe0	0	0
39fc4fa4-8248-4bb9-ae1d-561e435ba524	0	0
22136da6-cd5f-4396-b87e-e4af3a7249bc	0	0
f1ae5c36-8e92-4825-8497-c47a4964c209	0	0
0609cf5c-6906-4778-aee6-5f11d27f3135	0	0
8654d626-4f83-46bc-8cec-e479e8e40d5f	0	0
c702d8b0-9f29-47c8-8f90-20414d98637b	0	0
d37360b1-588b-42c4-94d5-7abf83804a65	70	5.83269166666666727
e774fb9b-ca83-4140-8d9e-71f68d216b57	0.594125249072381956	0.0495157185360235799
10946c15-4dfe-4d41-ae0a-1cdaa114ddb6	0	0
f97cbd36-8a1f-48a2-91df-e441e98325ce	0	0
a2ba3dfa-1547-4e03-a3af-ffa3429c55f7	11.1837229437229446	0.932076322847522953
9565d95b-9618-4efd-8a55-3c3adbe2bbf8	0	0
a2dd5ee8-db89-4bad-b64d-86b666cb8b76	0	0
864178f5-a866-454a-93f7-2800f85af06e	17.1436818181818182	1.42879253979797971
a3ee77dd-ffc0-4bcb-b678-aa343ff3f42a	0	0
06292613-d126-41f4-ab0f-d1d6daa46ce6	16	1.33347555555555553
ecd07a51-a5e0-4b08-b368-09dda7808735	0	0
7bfb5879-904e-4e89-b71b-a143fd701fc0	0	0
e076b2ab-23a8-4f3b-9b58-de5a200d3b0f	0	0
c2b16905-451c-4a81-8512-4f8faa48c4b1	0	0
379d2151-61e1-4fbe-97d4-f0db92eb1173	0	0
6ab1822b-7c44-451e-9101-2371bc3f9346	0	0
66ad934c-0ee7-473e-b15b-6807b06b8a1d	0	0
45731547-5458-45a2-aabc-b158116f354c	0	0
02efc57d-053f-4de6-9a21-b668e46a929c	0	0
a8931549-1cd1-4d97-8176-2269bf6cc668	0	0
1d9d332b-b0cf-4c94-b361-c21f3b2290bc	0	0
bfd4eae3-8461-42bf-a24a-ecac607f17ed	70	5.83395555555555578
e97bbe50-38ec-4cb9-ba0b-0ef314662eef	0.594125249072381956	0.0495142332229009038
f0536a5f-93cb-44b5-9069-cc03917b592c	0	0
05e8268f-ad0a-4055-8fc2-24bb83087a59	0	0
7d2d0e8d-4d65-4c8d-a002-c6a3c6a1c336	11.1837229437229446	0.932048363540163516
59793102-756b-446c-9ef9-502c2daaac73	0	0
7e5e8ffc-c02c-4efb-a2e6-b66187dbc49a	0	0
62f6800a-006d-4fe0-a80f-01288270ea4c	17.1436818181818182	1.42874968059343432
357599ec-d680-4428-bbf6-911711bdfd86	0	0
d057e1db-81ae-477d-b8fd-47fb338ca966	16	1.33343555555555549
ddc72abb-8f92-43f3-a081-64c73528572b	0	0
16ad6611-0404-4519-a74e-49f3fb0b6091	0	0
7fac5daa-4085-4b88-9bbb-a94d71a3db02	0	0
ffc89d34-5092-40b7-98a2-9aaced2bdf14	0	0
19d2569c-28d0-4c61-83b6-1855a6430cf6	0	0
38932f36-9b39-420b-8ff5-6a7baf759893	0	0
7e85ddb0-9047-4dfa-8f7a-5f063fc8c5ef	0	0
772168f2-d475-4f1a-8215-0b60d60ec36c	0	0
300c38ea-6aa2-48d9-916a-3947969ca577	0	0
2e3862a1-c86c-44b3-ba8e-6c817d885f4b	0	0
a25b7489-40ab-4d2c-8b10-6d5adf05d55d	0	0
c887849c-247a-4247-a647-e4517943d097	70	5.8337805555555553
8d4db94f-557e-4a21-8473-7af144d37923	0.594125249072381956	0.0495145632924837223
c6556b52-48f6-474f-824a-77ee8ba7431b	0	0
3ae7f8dd-a43b-49c3-8c87-c2ecb2f82ff2	0	0
3dfc6875-5c51-49b7-ba38-7681ea8fd0fd	11.1837229437229446	0.932054576719576811
06f9fe8f-fb0f-40af-bad5-c35240d7ae2e	0	0
d7ccf6b4-25fe-4870-9c67-e3bc054ab8e3	0	0
ed6ded01-99e3-4449-9384-6d4dc6f91b9f	17.1436818181818182	1.42875920486111108
8ba0b2ea-0bf9-4900-8777-6df54cfbd17d	0	0
d3abca4e-17fa-49c1-ba9e-60f41f055110	16	1.33344444444444443
36b09b8a-cdc5-4e56-80af-7e2545d257c9	0	0
f0eff6ce-f102-4c83-a84d-345ea4d18f46	0	0
4e56de2b-b3cc-48f9-98fa-dcb1b18ba2ae	0	0
040bd12f-188a-466b-b99a-9ebd22fddb30	0	0
1193d85e-499d-4d95-9997-e5e7cf6d875d	0	0
993658d7-291e-4c82-ab8c-8c70d06be790	0	0
012416fd-5258-4901-885b-4a4e5c3e0b95	0	0
19165c7e-bacc-4b73-9c2d-40611054efbb	0	0
c43f0c3f-4c07-4640-90c3-43e250ef4dca	0	0
d6cab9f5-8270-4a9e-b9e6-0f998b3b9283	0	0
ac2628ff-6abc-4816-82ef-ee9d815e5e93	0	0
6c8dd214-be9d-450e-9c64-88bdf99ec454	70	5.833819444444444
82375046-55cb-4484-8e32-8678b73b8c03	0.594125249072381956	0.0495134080489438577
1e1acbee-66e2-4b4c-8228-48cb57e2748d	0	0
d8be183f-ed93-449d-9f4d-58e8db474577	0	0
2e66f991-0f38-4ecf-955b-743d46b2a202	11.1837229437229446	0.932032830591630668
8ad8bff9-9c99-4964-b08d-54db3aa099f3	0	0
6f806ac6-010a-4e63-ada1-accde1b1adbe	0	0
a907f1da-2c37-4b9f-8656-464ecf6f2248	17.1436818181818182	1.42872586992424244
9a1589dd-f438-4768-8cdd-773f5e286fac	0	0
b7c58a43-b8c8-4404-81b4-627652ac49c9	16	1.33341333333333334
5b13fdab-4ca7-42fa-9737-d4a390eb24d8	0	0
80f9db94-17f6-4f0e-b70b-21e6db8a7e8c	0	0
d7575500-d6ab-45e3-a972-36caf68c6691	0	0
571829aa-adc1-40d3-9570-c00d632d6590	0	0
d61e7425-04c5-454f-ab93-19664ba9de31	0	0
ddf44244-d931-421a-9e58-56b47b93d732	0	0
e0e2e148-2dea-4211-a559-295f784bbb2b	0	0
37536931-644e-4656-b356-bed3f3b44826	0	0
06d9ee31-f03c-4bf5-ac55-97882a8a394d	0	0
4ceacd6e-9874-4023-b720-c7c88f985d71	0	0
095d4403-87ca-418e-b4dd-3f36591ac761	0	0
e5e67376-dad0-4a5c-bf7b-de2003784558	70	5.83368333333333311
f171968b-46e7-451e-8231-effcf3e10b63	0.594125249072381956	0.0495160486056064053
48ff4dbe-ad9f-4b40-b417-46418ac9083a	0	0
319ea611-1499-4576-8961-c3323fbfd4e7	0	0
723ff71a-4f75-4c9f-ac23-0031701e1134	11.1837229437229446	0.932082536026936137
f7a5ba7d-d28b-4519-8380-0ca2e4e34609	0	0
c1187b77-bf71-45f2-90f4-e40dfbe0302b	0	0
297d1e73-cee1-4ae9-82d8-d0f0d1b3d877	17.1436818181818182	1.42880206406565669
079cbbd2-e0f3-48a4-920d-c43f03cc53d5	0	0
152d7771-ce67-4d90-bb5b-d0e32101b5b7	16	1.33348444444444447
b5b60b69-ef65-4613-9371-8151209d1e02	0	0
9570650e-f2af-44c2-b412-307902828fc6	0	0
87a20796-f5ae-495f-a230-3df12f689347	0	0
92bd9cf7-7ea9-4fe5-a8de-67419b3f89c6	0	0
f89eb6c4-89a8-4be1-af6f-d8e001c22748	0	0
be68f5ee-41fd-4428-a59d-f60d6a4e4b3f	0	0
30516341-24cd-4fb6-bd08-092bbd2d620e	0	0
72d04cf8-71b0-450c-b659-009c526c184a	0	0
737851e3-faeb-4478-b330-275c51ae2576	0	0
3020e81d-e56f-47b0-bba4-0aa2df0b6fe5	0	0
ba1e0fae-6d21-4eb1-a363-a3c3999828ac	0	0
561de286-6a4e-4859-9221-8afe523e4263	70	5.83399444444444448
683c6e15-1016-40f6-a9af-66a76bd7ed84	0.594125249072381956	0.0495102723879070825
2c74c42d-2c94-4829-8cbc-76b845b633da	0	0
e7dbc540-75d4-406a-a421-0903f035b5a1	0	0
e24ecf56-ea43-490a-9c8d-9b38de5748d8	11.1837229437229446	0.931973805387205423
aacf778e-01a5-49ac-96e0-081867a712ab	0	0
130f19e8-9786-41cf-9808-637b1a330b9d	0	0
f7cfae75-53dc-41dd-8036-2b383ee55d1d	17.1436818181818182	1.42863538938131307
0a1738ad-398a-493c-a585-904eeb0e3e7d	0	0
6b2f758a-6c41-4e4d-82e0-e01a2f614490	16	1.33332888888888879
a41019b1-b738-423b-bb15-e8171d87842b	0	0
c415d3ea-7616-46ad-86a1-9f21e130e31d	0	0
d268134d-5d44-497f-9a28-d12dc14cafe2	0	0
da661a60-baa5-449f-b992-f49f368c24ee	0	0
59d3c648-3f96-441b-9a93-476de86387dd	0	0
21d7f74e-0305-4c11-8274-6f2e72040d0c	0	0
23d112a6-0267-47b0-84ce-ded23fb8da91	0	0
ce44ce3b-9c84-49a8-bd64-c09375580bff	0	0
c5f80a2c-f75e-4b8d-b7a3-ff8409226223	0	0
51040bae-c055-414a-aa1c-dabe78fb8d4c	0	0
c9258765-223a-4fe4-9a10-e97e2e20a8af	0	0
825a4fca-3a27-4889-be8f-6ea615130a85	70	5.83331388888888824
b0627c6f-0e34-446c-89f5-2aa88688e714	0.594125249072381956	0.0495143982576923131
ca0a58e0-657d-417a-8b95-2b5115115979	0	0
b3e37a1f-2132-4b22-8089-eec668048041	0	0
9ae77bfa-c11d-42a8-b528-7c2d9db50a06	11.1837229437229446	0.932051470129870219
804ebba7-1953-427f-b4c7-3a8c0bc39b20	0	0
364d9e3d-c943-4f28-8ca4-96ecc6908845	0	0
0fd71a26-c476-45c7-8fbd-8daeb4aa7e23	17.1436818181818182	1.4287544427272727
1ef96447-9100-4bb8-abd6-ccb89ab8d6af	0	0
e83f77a8-67dd-4746-bd25-ae8d18702b45	16	1.33343999999999996
fecc59e6-337c-4a42-a418-6e0011c9452c	0	0
301ddb2b-b455-49b4-803f-e342c77282d1	0	0
7513c46a-da9d-4aa4-8238-fd9089c20bf9	0	0
79a697b3-6523-418a-8351-f6d7701869e2	0	0
8fc9b593-e0d1-4e17-870f-cefa36292d47	0	0
d1116593-eaf4-47a7-b502-9b912230c58f	0	0
4abfa039-f895-476d-9cfe-c8c678d12607	0	0
3ba96abc-6492-44a1-aecd-ae86e513eba8	0	0
5811ce0c-f735-4dfb-a523-efc9176c3a50	0	0
9c84be8b-07d7-41f8-a2c2-c875f0083ed7	0	0
216177fc-e12c-485e-ac11-907a6884e833	0	0
59aeb357-b01f-4bf2-9c40-9d97d4c727f8	70	5.8338000000000001
c36f23b7-ce4e-4997-8065-9733a5092ee7	0.594125249072381956	0.0495119227358211747
1f3bf0db-d5bb-4825-9cf8-6d37c6e7289d	0	0
349db10a-a334-472e-a41c-6c8fdfbf24a1	0	0
0fba08b1-7422-4132-8347-c97cfe53c3a6	11.1837229437229446	0.932004871284271341
4020dbff-9158-4804-923e-faeaf7d85a7c	0	0
ad9768d6-6970-49ed-9659-68a9e28c4373	0	0
ba2d0bb1-48a5-4e6b-82aa-b078aafe2c4f	17.1436818181818182	1.42868301071969683
5df432c4-fede-4a96-84cc-b94fa4c522ba	0	0
b34bfe4b-641c-4d7a-92fe-945010118a0f	16	1.3333733333333333
74ea2ead-5dd1-4c85-ad5e-b410cb2cb986	0	0
f41ccaf5-865b-42a0-8348-182c99cc5446	0	0
37e0c9ad-8b8b-42ac-9e3e-db2ffe234482	0	0
6059c5cd-65d9-4ca1-ad7f-478d70da75de	0	0
2d5979de-9d9f-4fb3-9fdc-dd57e021d8e9	0	0
98784b0f-fd52-4acb-92d1-af2ae89459d6	0	0
51f950aa-529f-46be-a7e2-6550926f7b8f	0	0
f9b0c6a5-3132-4de1-988c-7fc7082c320e	0	0
949edede-69a6-4ebf-a16f-12076ad9f68c	0	0
012a70e0-d810-4226-a46a-975979c1f757	0	0
00ead869-eab4-462d-89eb-0ea47e7dd668	0	0
3605f1c0-2dee-45e7-a10d-286165e604ed	70	5.83350833333333352
45535764-7f8c-4a9d-9ec4-f81b5f167599	0.594125249072381956	0.0495059814833304565
9bfde990-b6f2-43f6-867a-cd29ce3f20b9	0	0
1dfd6aae-ce32-463e-925f-0a4e14297c84	0	0
49f8c15f-fa95-40a6-bfe4-594d9091e249	11.1837229437229446	0.931893034054834146
645d245e-ea59-4db6-82cc-bd7195e3db85	0	0
936047ed-f362-436e-8657-3dacf92f3d97	0	0
3c1d5a28-c4ef-44f3-b077-6f628a2f766c	17.1436818181818182	1.42851157390151529
5c4dd15b-a06f-4368-87e9-3d2e655a9778	0	0
ea12562a-8206-4f58-a025-0b59f6f311e2	16	1.33321333333333336
fe892e13-f078-4395-8f17-a9202c0ee50e	0	0
36480ffa-0844-4541-af5c-501511e5d2a8	0	0
378f83cf-b1e4-4be7-9b9f-8ce0631d1289	0	0
6eecebc1-8ba9-4c91-9308-d435d265a93f	0	0
ddd1a300-0ce9-481e-b271-2d84e5e4232b	0	0
978081d5-d6f4-40f2-aba0-17225c571160	0	0
dcd3d04e-6c88-4b80-b97a-19490756f309	0	0
62139920-b312-4fd6-8241-91713d32f3a9	0	0
87f9bb85-ba0a-42e7-ab41-80e4fe5c65b3	0	0
67ad3a8f-77ed-439f-9453-9562cda82e3a	0	0
1fb91237-6875-4f23-a2e6-eec1d23b5dde	0	0
6dd4a1bc-a1db-4445-9ccd-2c57e89ad3ff	70	5.83280833333333337
19bbc12c-3853-4e69-aa51-2e50c8469402	0.594125249072381956	0.0495219898580971235
0f459fdd-b00f-4145-b8fe-99d5ddcd1f22	0	0
1363acf2-00f3-4ab1-ab2b-c04cdb734950	0	0
3606c58d-0d35-4fd3-a86f-8b3ee956cd4b	11.1837229437229446	0.932194373256373332
09913a4f-4e04-4b1d-ae53-750c743131a6	0	0
4d0775a0-2eec-4b14-a849-898d7bdcfdee	0	0
06f51b73-8920-4912-8c81-b7a407532631	17.1436818181818182	1.42897350088383845
860c330c-c0e4-4f78-afc0-31fc90c48a06	0	0
11d419d8-7082-4d00-9192-102f68e84536	16	1.33364444444444441
b4be38bf-7b21-4352-8ccd-427fb880e7df	0	0
fc5ee1d1-448e-4099-bd97-53fea4e88e26	0	0
b8a8cff4-0951-4651-b2dd-ce6a2876a1d3	0	0
e3c058d7-1974-40c0-b546-23f5ec4c469e	0	0
a63ffb95-b844-41f4-95d4-965371325742	0	0
43fb63dc-9086-4f1f-a941-38514e6a2e4d	0	0
a51d15a7-295a-446f-98e5-38f0e0818ede	0	0
8986f327-c618-4a70-8e19-da3be3b5afec	0	0
96f1dd78-5049-4ff7-886f-c93e923bab64	0	0
30bad055-e50a-47ba-9b17-7ffea4d9a4a9	0	0
697436be-26b0-4b9d-95f4-5261377b8b6f	0	0
9d968beb-e03c-4c7c-8191-22e7017212a1	70	5.83469444444444463
f990298b-9442-4953-804f-f1f05d1be2a6	0.594125249072381956	0.0495143982576923131
27d939cb-f7da-43e5-860f-b587cf8f4a84	0	0
42cac846-b27f-47ae-9048-394b89d9dec0	0	0
c0b932b9-ad1c-4109-b9d3-e3ebf53dd7f8	11.1837229437229446	0.932051470129870219
039a311e-77f7-4b4b-ae85-0e3dd0861674	0	0
49dae591-96f8-4026-9f0e-f22566bd757c	0	0
721deed9-29ec-4d1b-a25d-921c0a87f755	17.1436818181818182	1.4287544427272727
3d3833dc-5ed5-47f4-aee6-f0f7e1eb8254	0	0
963d661a-72e6-401e-98af-47eec16c0574	16	1.33343999999999996
345d68d9-5326-405f-bcc3-de693a42024f	0	0
3cf92b36-0320-403a-beff-f2b44d8453d9	0	0
74ee8f47-75dd-4d02-b2db-090ee343a433	0	0
137ff6de-e257-4ca1-bd22-818caccd8b14	0	0
a3aeec30-f9e7-4d34-9f68-5342ed748e2b	0	0
9938d262-043e-46ef-8fff-ec365b113f8f	0	0
4bf3e1bb-cb2e-4d06-8132-f3e8db62762d	0	0
9e4d8004-b414-41b6-9347-bc9d62c24b28	0	0
36cd9f60-0351-4a5b-b552-8475389088a1	0	0
c400e149-31a5-46d6-911b-ad4516775de9	0	0
5fd52b18-8bac-4c53-8d75-5257064c5479	0	0
b1415fc8-f476-49cf-b953-10b29bb985c9	70	5.8338000000000001
a9f812ed-0742-484f-adc3-9e1733f50e96	0.594125249072381956	0.0495157185360235799
8b62604d-5ddc-4cb7-b65b-e255af69a06f	0	0
63683e06-7bcc-4f0c-b47a-41ec79cdf057	0	0
85ae4909-9679-47a7-a73c-6c4261f02273	11.1837229437229446	0.932076322847522953
22e2a62a-52ac-483f-ba01-a464d04031b9	0	0
87bfbf89-816a-4ef0-8252-e940304baeef	0	0
197d0a55-7076-4286-b929-f6b8229820a9	17.1436818181818182	1.42879253979797971
6850a8aa-4585-4659-8c48-4090942ce55c	0	0
6bd55adf-5e81-4b0a-b667-3e47b019623d	16	1.33347555555555553
4de6ec0d-39c7-4147-bb58-174410de6070	0	0
70a0ce3c-777f-4158-a889-aa0a8a5e893c	0	0
487fd7b8-72ed-4fa9-bb5e-7f25c39d7ce8	0	0
309472b7-c5e1-4b0a-b5f8-d7d026b433c6	0	0
633b13f7-0379-4a41-8eea-5062944b3d87	0	0
e0746b37-a80c-46ec-8ac7-723d2b78984c	0	0
5c8ac9bc-6ff2-4121-b7ef-878040bab4e7	0	0
dc10ad2a-7834-4129-929e-6d8858af9f65	0	0
87afff57-5d6c-4bcf-8d0a-6a887337a979	0	0
d9849e13-722b-498b-b642-38d9efa2cd67	0	0
8cb5aaf9-eb5b-481e-89fc-60c77af876c8	0	0
a4dff5c8-ff17-4769-bc5e-ab95af1ff6a6	70	5.83395555555555578
309e6a5c-046d-43cf-8765-005990b16960	0.594125249072381956	0.049563908695115011
b60c9105-bf38-42af-9cd8-bc8d558db0c2	0	0
05b6243d-ea61-4e96-be7a-651115877966	0	0
fcfc094a-0e92-4a18-8d0f-4a3a265273c0	11.1837229437229446	0.932983447041847103
5b844467-2a00-4d8c-8c69-98eab48531ac	0	0
b4110d9e-f139-4a58-b9e0-ce85283f86e8	0	0
9dbc9565-0931-4b09-8d44-88318fab3f14	17.1436818181818182	1.43018308287878781
f647af52-3499-40b2-adb2-926ddd57f3ee	0	0
93cc4d53-2c36-4542-a10f-d0a133f203b4	16	1.33477333333333337
36e479d3-2b17-4d57-8cbe-a6419d2b790c	0	0
14654420-a5e0-479a-9a03-91c5185367fb	0	0
831d7236-8a21-4121-9018-73b413d75f73	0	0
ec6b04e8-2fe4-4087-9a5d-5482223814d2	0	0
c15a5821-44d7-4a84-8d4a-844a640e9a6f	0	0
7cb09034-4c62-4122-a294-cebbc003e12d	0	0
22292399-0d0b-409e-b0e9-eb4d32d6f972	0	0
fd95a400-a39d-4ed9-b1a1-1a3d04f191ca	0	0
ddbd747a-1b16-458a-b136-b1b7d3a01405	0	0
b88b6642-52b3-4049-a451-2f15669d682e	0	0
62349d86-240c-48a8-9c60-ea7489dc1c73	0	0
b8298ef7-52d6-44d6-86db-9701b83d6c9f	70	5.83963333333333345
783ec41a-6b65-4b2f-8acb-24ffc71a80f9	0.594125249072381956	0.0494619171940242561
93f0b522-7def-45cc-80cc-f21ea40ce3db	0	0
98256fd1-b5a7-44a5-9afd-c8a2a7b4d9b5	0	0
5eaaa214-f460-46e4-a11a-5cd41b2f7a9f	11.1837229437229446	0.931063574603174682
a15311d6-49c8-4507-beae-9dfb035937be	0	0
3f38d6c4-28d6-489c-b502-a91b707ea4b0	0	0
f4c7f4ca-dd46-44fd-906b-91d1d8e6e5ce	17.1436818181818182	1.42724008416666659
3cfd44a9-bfc5-4ab1-bf92-9eab264f533b	0	0
3d5bd8eb-1bd0-431c-9823-e8ac33d39f4d	16	1.33202666666666669
460c9c1f-f33f-4409-9c36-4df048e3217f	0	0
dee16682-9cde-4d08-9075-97582df7e027	0	0
7f270e17-cc40-4071-abfc-a5f31ec78ba1	0	0
eb8cff43-2c3f-455e-a55b-16426ff1cb12	0	0
b18163c8-3339-40dc-b15b-4e396a4f94a7	0	0
37d74a3a-be04-4217-9f8c-90ead227c11c	0	0
899d5df8-83d5-4c08-bf34-5255e1f19285	0	0
f5c02c7b-bbb0-43da-9f46-31fee755e990	0	0
94bb9a38-f076-4e0f-9e1f-800fcdd6c641	0	0
8ce5f8cb-88a6-44bf-812f-ecf2ff46a862	0	0
e05cdccb-5e0b-45af-ba14-735a3089321e	0	0
92ff90d8-44e8-4854-8425-80a347e72872	70	5.82761666666666667
d296b3f4-6e47-4563-b8ce-7deca99e4578	0.594125249072381956	0.0495135730837352669
44726ca0-b6ca-45ea-b4d7-2f3c1dab6f7b	0	0
8b959b7f-e1f3-4ff7-b4d5-57af5b0dab90	0	0
09879160-e588-467e-9ebb-db5fe2571c5b	11.1837229437229446	0.93203593718133726
4e10553c-a01d-402a-95c3-17572b9381d3	0	0
464bafc7-3250-43b1-9732-b5c0e3be2200	0	0
1b388e58-f8fd-46a9-af32-15be5fdef601	17.1436818181818182	1.42873063205808082
d0ca49c2-c043-42f0-a538-00576037e34b	0	0
3a81ef40-22ae-4a68-a5a4-11328ec79caf	16	1.33341777777777781
f6a0fe0e-9445-4238-9c84-e9d9ad6fbee2	0	0
9f5bd02b-53a5-46bc-8df1-ed12b51c40bf	0	0
47c5992e-3d64-435e-92c5-061ee4a1ba30	0	0
85569075-b5dd-4e60-a66a-85585c776d91	0	0
fe53bc1a-d321-4b8a-b9d5-3b6e012aee16	0	0
fd947b3f-3549-40e9-9538-7a203fbed108	0	0
51286c8d-6491-4be6-ba9b-b4d66dbd0dbc	0	0
e17dcbe8-755f-4e1a-ab2a-42e19b63d789	0	0
eba154d3-243c-461d-b19b-77dfa520a3b6	0	0
8ff0f8cb-a3c0-4f6f-9531-1302a4007711	0	0
fc2e1c1e-3f2c-4737-a30e-1d7d788dd0a2	0	0
b6171160-a857-4851-b67a-79be789f8e9f	70	5.8337027777777779
478c9250-e03b-4ed9-a591-f7840d1ff2fe	0.594125249072381956	0.0495096122487414525
320b4886-03e1-41df-a2c3-a373c7e8a439	0	0
22fc7401-8fce-4fb8-b11b-ccfc7fc5cf0c	0	0
11a65078-27a6-4b1d-8dff-6f398e8de0a7	11.1837229437229446	0.931961379028379056
35245e90-5899-4764-abb3-b76c76906f93	0	0
12df61da-13ee-436b-a3cd-c599de5bbee9	0	0
a291a761-42f1-4b67-bc01-2a945969f479	17.1436818181818182	1.42861634084595956
c542c06b-c5a5-4335-8090-c3bb9061a2c4	0	0
939a88a2-3525-45b5-a0be-4a1bea3bfd09	16	1.33331111111111111
ba4dd0ce-e78c-45bc-950c-d8f8259e7d3b	0	0
22520020-aed2-43c6-9455-7f74a6011984	0	0
ec90139a-993d-4ffc-a102-2fb343091ed3	0	0
393c2b63-4f58-4c58-8c47-330c1f016800	0	0
341f6415-1d2d-45d6-b828-36bf5b601560	0	0
9f35cfee-157d-4959-8874-5544489dcbaf	0	0
407ab310-6e63-494a-b00b-939057db92b2	0	0
25c3b7cf-d32d-4721-84d6-0afd1503679e	0	0
962c347c-37a0-4b87-875e-0dbf1b368ca3	0	0
5826f0d7-8ad3-4a82-8755-e9a992e1e5b4	0	0
5e569691-952a-4f5f-a25d-1c2a082e04b0	0	0
39ca4e4d-e8a8-4ccc-b274-3a45299cee23	70	5.83323611111111084
b8f6fca4-e30e-408c-b2ab-1d0d442dc2e2	0.594125249072381956	0.0495119227358211747
295b6d45-bc82-4fbf-891e-e72fa1104a9e	0	0
ea7c642a-6a80-4028-9898-6678eb680f9b	0	0
bd1ea99c-1b5a-42c4-988d-9b3c65d50560	11.1837229437229446	0.932004871284271341
bc8ac357-e3fc-425b-946b-f6de9302e850	0	0
79cdf76b-e369-4fc0-902c-daa30ee854de	0	0
3d4f2e46-d29a-4826-83ba-d3d6a8ab1e4a	17.1436818181818182	1.42868301071969683
6b102b99-9152-423c-9def-8f0ac3c3b1f0	0	0
2612725b-023d-4275-800a-f6274c109d3a	16	1.3333733333333333
fb890dbf-837a-4df9-88b3-3ead4dd374fc	0	0
e0eef377-98c8-4b99-9770-0805af5aeb23	0	0
a6e30102-10f1-48c2-bc10-1e752cb36af5	0	0
e0844f67-84e9-4ab3-bb55-7097370656b3	0	0
1073f50a-b95a-4d99-9fc6-74b7bd6653f1	0	0
1ef1c7a9-9661-4200-8009-07e26b0eb159	0	0
0a4115ae-6b7f-4f0b-bdf8-19332cc039de	0	0
9a6f5900-e84a-412f-ad9e-d05d5dddb10a	0	0
cf58dba1-ac03-4b66-b197-10fe929c2dc4	0	0
eef5a225-1764-4a8d-ac56-6a6e95f17e44	0	0
7b695840-a190-434d-8994-94609879ec71	0	0
90cc19bb-6d57-4fe1-8fdb-d32fd2b87044	70	5.83350833333333352
fcfcc637-b229-4315-9441-67ae92546c29	0.594125249072381956	0.0495208346145572589
01adf56f-82a1-41fa-bf87-ac42539d522f	0	0
8a91c712-c818-4191-976b-98cd7415b914	0	0
9e9611e3-feaf-42b4-845d-955063b83183	11.1837229437229446	0.932172627128427189
4191fd90-7a6a-47a4-a340-3590e707fcca	0	0
3459aa1c-8c5e-407f-9683-ea9a03023eca	0	0
f8663de2-52b2-4ce2-8ffd-713d2cf85cf4	17.1436818181818182	1.4289401659469696
2cf70316-a798-428e-ae80-37f88bd30ec3	0	0
80ead969-1038-49b4-95c4-cab838ab93dc	16	1.33361333333333332
e6b051d4-3fbb-4907-9fed-0886ec37a7e3	0	0
b2b83a1f-2920-49c8-8555-6e075a365ad1	0	0
90a505b7-8383-497e-8d2c-6936c2e958ee	0	0
5ce5619b-015a-459c-b47c-3f0f526b14bd	0	0
c1daf673-445e-4506-97c4-3b0f171c0e95	0	0
a07be333-b438-4b73-9313-de2c38f377c9	0	0
960ca355-5ecd-494c-b186-ef38ece59c5f	0	0
6b99c920-3840-4caf-b009-4227e56fea6c	0	0
8884aedd-7a25-4cef-a5dc-e07ff5b3aa0f	0	0
c8461339-6fca-4590-9293-c15585a8a683	0	0
2eb169dd-4dd3-415e-b0d7-2232434019a7	0	0
1be404ff-d3be-49cf-9250-b3815f4ebb8f	70	5.83455833333333285
21e5fae5-aeb1-4164-904f-9cb98ec3bff0	0.594125249072381956	0.0495153884664407615
9553ac7b-97b2-4240-a557-89da5515971c	0	0
ed4fb2fb-c96a-42bc-b9a3-4cc90532cc76	0	0
15344b0c-0ef2-4a2d-98cc-79f19f83c1a6	11.1837229437229446	0.932070109668109659
79da3e8b-ee2f-4bdd-81b2-9fa5b38bf50f	0	0
31441e53-08d2-4b7b-a174-7680292f10cd	0	0
b1f540c5-4813-44e2-bb9a-bd69c5e1de8b	17.1436818181818182	1.42878301553030296
642b55ac-4d0b-4f16-8315-3113dd71ae3c	0	0
ab45af1d-4582-47f4-ac34-b6787314f2f3	16	1.33346666666666658
141b6c29-1ad4-4d2f-a8c1-29626f604704	0	0
08da4665-88d7-4cdb-9784-2f262c800fd3	0	0
a9480761-0de9-479d-b813-1c6f22af9625	0	0
a6ebc192-5661-4edf-82b6-3c1c7b28c2d4	0	0
96f4f91e-e9c7-4c50-88d6-5966493e96f7	0	0
751683fe-8a8d-4f40-a4f0-3c0f5c81e869	0	0
b798c247-e7f4-469d-a346-b2fd1af75967	0	0
257967ca-a898-47ea-9693-f159817f0e8f	0	0
1fe01d1b-3fa4-44ba-9354-5a6e70f7b5da	0	0
4f55cf82-c7f0-4ffe-89e2-da01f0e67609	0	0
16752a90-7a62-4f27-be74-ff2738f07edb	0	0
3bbfa65b-812a-4fd9-b792-f75a58640e6c	70	5.8339166666666662
d255a215-3946-4946-9c09-67e20b8e4780	0.594125249072381956	0.0495054863789562219
fc715526-b441-47c5-ae47-358a5ff463f7	0	0
65eaf271-7e3e-45b8-a54f-df3da2c25c74	0	0
418104fc-1332-4fff-9776-1450f0a59e4a	11.1837229437229446	0.931883714285714371
89e807b6-70c4-4657-9e27-c9e2b14f3c2b	0	0
a753458f-5696-4503-9636-86f1acc72d83	0	0
ab578a2c-fc9a-444d-b312-5b4ac0fec5ff	17.1436818181818182	1.42849728749999993
f010e3dd-8191-4a4d-b3d5-3f91e44e650f	0	0
f4d17bd2-ae84-4b90-aef9-836815672f3c	16	1.33319999999999994
94a4f9ea-ff46-4ff4-9f7a-a287ef3c99fc	0	0
d3de53b1-22ec-4259-bc6a-68b9df5ee803	0	0
4e7d9542-4644-4aac-a3bd-adc9ab0fae32	0	0
9a73f6cb-46f8-4575-b69e-7c7ff491ea23	0	0
80ab1a71-d2db-477a-996a-94d534d59443	0	0
2706a503-b288-41c8-a209-3bb3fcce9412	0	0
f2ef5722-bc65-4afc-92d4-1be200453728	0	0
40c089b0-bd28-43b5-ac64-eccda44dab11	0	0
a51b23d0-04d8-47af-b67d-0f6232b9beba	0	0
30ee1e9f-13db-4eaf-a2c5-e486fb16f8a0	0	0
caa557d6-7f0a-4fc1-93b7-1287c1dfb9b3	0	0
af9df6a1-4120-4308-8f0a-8cece6aed888	70	5.83274999999999988
23ac6dee-4fc6-4c88-86c8-d6f5a4dda4d5	0.594125249072381956	0.0495185241274775367
8abf5904-240f-4f1f-9da2-d5ebde119d66	0	0
edb7f854-7d2e-419b-9315-c2ed6b260ef6	0	0
4b1c70a5-444e-4511-9e64-fbc9c30d4f20	11.1837229437229446	0.932129134872535015
019940ee-3267-4d92-b3c1-76ef4c5d643e	0	0
e8dd414a-44bd-4e21-b507-4c22eb9b7043	0	0
60db8e57-234c-49a6-ba52-24c0b7149203	17.1436818181818182	1.42887349607323233
134759fe-c71f-42ca-aaa5-294593662e08	0	0
6ba37069-8775-483b-85d2-9d907956cc7e	16	1.33355111111111113
c2431856-b5dc-4dc9-b21e-d359278f6a67	0	0
f4d14868-36c1-4eef-943c-238e3b03996b	0	0
bf03c24e-20aa-4e8e-ad6b-c16d5c26fa2c	0	0
5c873a38-fbd5-4b16-b6fd-d8198d1ed393	0	0
bff4cd08-ca29-45d6-b402-6a5b04f2540c	0	0
ce6b5693-9723-41f4-814f-d76c1a99fe65	0	0
65a729ec-32a1-43ca-94bd-03a0aba57358	0	0
58ee6a60-1cf2-435b-877e-632d422ba8fb	0	0
ec7e8c7e-e5ed-4957-abd1-f9735f40acf0	0	0
da9c1715-ecf1-425e-a727-dd9966e1eae4	0	0
27b37d2d-8743-42fa-b8bf-f757bb4c672d	0	0
05140900-403b-464a-9f60-8afbb8684094	70	5.83428611111111106
2793cc31-342a-43b0-b202-f727cd722a15	0.594125249072381956	0.0495134080489438577
2c213e4f-a5ce-4635-a04c-5bfd7a8d4254	0	0
a10b5d33-c54a-41b2-843b-5599090245fb	0	0
8bbef968-b3e1-4abb-8e33-e96dce48a20f	11.1837229437229446	0.932032830591630668
14c7038b-3bea-40c7-bc38-0ad34175ee1c	0	0
45d914bc-b09a-4cee-9f37-6b48b1d1309c	0	0
487264ad-c67e-41a0-b732-e549124cbffd	17.1436818181818182	1.42872586992424244
9a0c03bb-d635-46a2-9cbe-2f96313f5bed	0	0
9e5e97d7-a1ed-4055-a24b-084ecd5e7b2b	16	1.33341333333333334
06872160-2de0-4b72-99bd-b94ccd606e9a	0	0
eb74e222-340f-4464-a038-b1c7d9400e4f	0	0
6ad4ddaa-8e73-447a-8d7f-78de1a837808	0	0
2c39c402-650f-4122-a31d-c657ff479bac	0	0
e8238e60-0e3b-423a-a83e-cfb0c403b292	0	0
56fae563-6a23-4705-b05f-2ec80de1bc1f	0	0
9a3309e6-db26-4832-9bc3-9f4189516fcf	0	0
a4e6725e-ac69-4c94-904c-58d0ce1b04b6	0	0
b2c09748-c963-471d-ad5b-36c1701276ae	0	0
22e3e8a3-0b7c-48f5-9b45-8e2826667098	0	0
04e686e2-2381-48e5-b114-30a343c1f686	0	0
70d22bae-52de-48a1-8104-22ecb22200b9	70	5.83368333333333311
5af11ca4-6c37-4109-8dd9-13b88fac0b97	0.594125249072381956	0.0495109325270727263
ff54e79c-72e9-4e60-a7f8-c4b0c13951f9	0	0
ee69476e-6546-4e02-a17c-05e66920dc59	0	0
e8f66a0f-7409-4cc4-9c35-192cc7f0bc98	11.1837229437229446	0.93198623174603179
d2abe01c-aabe-4757-9cd3-fe28fa797801	0	0
7da7740e-352f-40d4-8706-0145fdc4bb1a	0	0
fc8f4755-93f3-4ba0-843c-5dd659ff8230	17.1436818181818182	1.42865443791666658
e2bf2351-2110-4a3a-84dc-a1d68b2c1702	0	0
5a60e4ed-4f60-4c31-bb4e-8d9c9b60a309	16	1.33334666666666668
ffdd617f-6a5e-4b7b-a7f7-313f85b46a57	0	0
eea544ab-f6d0-49ee-b680-fb5e7331f211	0	0
2fff1150-982e-46e2-bb20-8bb552d68fc4	0	0
ac931acb-45df-4e6d-9c41-17890b428f41	0	0
a001d2be-02b6-4e95-a775-2317d2f2454c	0	0
339165db-6f05-4d57-baac-5b6bf9f15eda	0	0
ff1e2e6e-5123-4c98-872e-169a37ae63ba	0	0
2a26eb9b-6d5b-4551-a98d-8e1597f7d3b3	0	0
4968ce8f-843a-4730-9568-1ebfef30d3d8	0	0
51dc8df4-73ed-4929-b88b-71470cd12fb9	0	0
55fbbecd-34d3-4db4-88f2-ff46ae433774	0	0
f65888a5-9bd7-4f9e-958c-43b90144969b	70	5.83339166666666653
4bb9a1a9-7bc5-451e-92da-ac273d338723	0.594125249072381956	0.0495163786751892238
24af2260-c995-4fe8-b642-5dfc9c4a35a9	0	0
12fbe120-71fc-49f5-9443-c443cb3942a9	0	0
5e4a5981-94d1-4e95-8680-4c3cea39443c	11.1837229437229446	0.932088749206349321
18ddfaef-0a2f-4320-bb96-b1267ba5a2ae	0	0
73ee232b-b1d2-460f-8cfb-174879d8494d	0	0
d4f5e32d-4577-47f9-a71d-dc40c0ab6809	17.1436818181818182	1.42881158833333344
8b000d30-3ff3-40af-ad73-3a306778ded8	0	0
9cc8d300-55e8-4bda-a2f6-8c1a8e9f1ae2	16	1.33349333333333342
87132e12-e754-4d0f-aaf3-07596dbbcd87	0	0
5655fc12-5118-49c0-b1bf-02e385bdb2ef	0	0
92f82e51-901a-4059-ac6c-af476f4b2896	0	0
ef7beecd-74af-45f9-b020-eb8a2d4f231f	0	0
25b9de40-3a6c-4d77-b49a-c84de6ba776f	0	0
8bff4309-eeb6-4c98-904e-b3d21f16257d	0	0
34d4e6f9-74dd-4b23-ba1c-fbf99b11e2df	0	0
0e03026d-e621-4c46-bb06-a68f1b2611c4	0	0
b29f9312-d73c-4879-acdf-d20dc50c5c33	0	0
7cfaa0e0-df8e-4716-a384-ca71b3932909	0	0
cea6c9a1-3f11-403e-ae3b-f23cfe40652b	0	0
0e61fb98-a036-48b6-ab20-e13376f0cf74	70	5.83403333333333407
88154d79-8444-46ed-9476-cc203d41e285	0.594125249072381956	0.0495135730837352669
9285b5dd-15c1-450a-a80f-5a1ca420972b	0	0
a5fcd599-5eb4-4840-8c3a-cce71b5d0b7f	0	0
3cb70fce-b6f7-440e-ba54-20c88106c932	11.1837229437229446	0.93203593718133726
a97b2208-55fe-4be0-9bb4-6122729b559c	0	0
db08e414-4a97-48b8-8509-c5625cc11eac	0	0
a7959be8-e219-4b6a-876e-87605b52f769	17.1436818181818182	1.42873063205808082
28dec497-e57d-42cb-9acf-3b13399445e3	0	0
d0e34bbb-1b70-452b-894f-048edd06895f	16	1.33341777777777781
e5d03158-c6b2-4814-a4db-6bc3a432e762	0	0
4da026be-d235-4b75-aa07-253ef8352037	0	0
771100fe-f8d4-4344-b374-be61560505b3	0	0
32b12908-26d8-418a-b199-d790fd033898	0	0
638f856f-8eb6-421c-98c9-30dcbe9f287a	0	0
9daed467-4862-442b-9e35-69bf2580a2e7	0	0
c6654f17-5a8c-48e6-9160-24652b6b7e65	0	0
82918e8c-826d-496a-8d4a-4b4790d3d500	0	0
da66f240-9ff7-4d44-928d-9015e2bbd014	0	0
16fc8942-703f-42ad-84ee-57b2710a338a	0	0
44af3473-4660-4dad-bbff-758a52050928	0	0
d788308d-bbb4-442c-9f68-14c5c1bda9d4	70	5.8337027777777779
8393e2d0-e743-472d-9519-03e456c5d860	0.594125249072381956	0.0495145632924837223
f4bb098f-c16c-4363-8ef9-4026f588d634	0	0
c8705919-5233-4d87-b622-f2fe42fb0f91	0	0
e976a1e0-3115-45f9-8767-c189290b9729	11.1837229437229446	0.932054576719576811
8d6cb01a-5ccc-45e1-82d9-ea3bedf5788b	0	0
b020766f-5a7f-4d58-b781-ae3132ab4841	0	0
3086b5f9-fd4e-45f6-a587-7b5ed10d7c83	17.1436818181818182	1.42875920486111108
d9b74f59-0aa4-498e-a3dc-057b74ce69d5	0	0
2fa251b8-8535-412b-a2ec-e5e4fb8d9fe6	16	1.33344444444444443
002d4465-62f1-44cf-a231-c1fff4c1bd9b	0	0
f670221e-1c31-4d9f-934b-a4b07967ce70	0	0
49e1cab3-d60f-486d-9ce9-5331d972d85f	0	0
78cf3696-3dda-48d2-adee-368f5487a474	0	0
b3f8197e-c9a4-45f6-8cfa-98e28c2d2bb6	0	0
ab32e62e-0cec-4efe-906f-49bc3fb03815	0	0
fb2bd739-3878-4a95-b9e1-0b0ceb5eeb70	0	0
d64e5fe8-c25c-4d51-bb66-67ecdfe33c76	0	0
1d6eb9c4-d81a-4581-ada6-64565116b1aa	0	0
a20dd88e-0aee-4ccf-8c80-fa912ee297b8	0	0
1989a6c7-99ec-4539-837f-19e2c3729b3f	0	0
9fbdead0-0884-4049-bc0f-5d7ff931590a	70	5.833819444444444
a14e6ccf-6bda-4cee-ac66-099ec7d7b732	0.594125249072381956	0.0495120877706125839
3f479261-a594-4bdf-b4c9-c33821fec188	0	0
5e7dce10-a8a6-494d-94c6-de24374bffe0	0	0
17cd15a8-8438-4a1f-8ce6-2d552bc89f18	11.1837229437229446	0.932007977873977933
790bd85c-9728-4440-9f5f-2cd00b40aff5	0	0
7a2f8552-2b78-497e-90a4-f9d9d29f250a	0	0
acb4bf04-7893-431e-b365-5c008e55b5df	17.1436818181818182	1.42868777285353543
3c3a6ad9-4b45-4dec-8f38-2229f24a1b87	0	0
10864fd5-6f31-410e-a011-f3b048cf17c8	16	1.33337777777777777
13c2d48b-1f47-426b-b8d0-7c9b3d77ccf6	0	0
b24b0a54-90cd-4fa1-aeb6-8820f164f418	0	0
e586595c-41a6-4a8e-83d6-2b3cd49a4e9e	0	0
95f0b63f-4dca-4914-95cd-c693be796b17	0	0
96179583-1ebf-4421-b025-fccab4430bdf	0	0
7576a58b-365a-4eac-854a-b9bfe8270b30	0	0
ef7aefdb-70b5-475f-a3b5-b235b4177b06	0	0
6f7c98b3-acab-49a9-9a00-a8680a5d8f06	0	0
bc120ab7-790d-47f0-8f2d-22fce423c81f	0	0
6dc32927-b531-4fbd-8dae-6d176df801a1	0	0
8c8c9800-005f-4234-a010-97d4b3d2cae0	0	0
b7a5f5c7-7df8-4391-9313-2f605c4eaa28	70	5.83352777777777742
75068516-8c6e-4f0f-a5ef-83bbad05d21c	0.594125249072381956	0.0495097772835328617
1e2ca33f-4aa7-4835-83ab-99b1982c77fa	0	0
185e364c-561d-41b1-89fb-6a6f9a3b466f	0	0
ec0710dc-c04c-482d-a679-de2824e4ba72	11.1837229437229446	0.931964485618085758
5dd2a0c5-acee-44b9-a8fe-263f936ff54c	0	0
1064e6f6-4ec6-40a6-b138-f5bba4f3106b	0	0
6d938eef-efeb-4e0f-803c-4254f6823611	17.1436818181818182	1.42862110297979794
1a84037b-9382-4ce0-ac83-fbc72c3a3954	0	0
137d03fe-d71f-4462-ae19-f86785110702	16	1.33331555555555559
beb60bbe-a8eb-47dc-a314-9955cfd01421	0	0
f9e2a6b1-9d78-4edd-81ce-7c5d290820af	0	0
9fba78ca-2c14-4a7d-aecc-2d75d15296f4	0	0
70131950-dbe1-416b-907c-9bb1739261e1	0	0
09edee2e-1cb1-4d30-88a8-6e5682037720	0	0
293d58e5-736a-44c9-a039-1c42f09128cd	0	0
f98963c9-7bc5-4cd1-9fd9-d93107ba9333	0	0
a56141df-9705-403b-af56-4c300739e15b	0	0
70851547-8da6-489e-92ed-64254540168a	0	0
86d94e87-3359-4e47-8a38-f2b1341e3742	0	0
50135381-722c-4bd0-afff-c25a0547f419	0	0
b0a21e4e-d15d-41d0-a0a4-e19f8e4e7ff9	70	5.83325555555555564
a00807d0-80e4-42e3-b9c1-af58f65d8135	0.594125249072381956	0.0495176989535204976
3926d03a-c32d-4a50-b80e-888bafda2379	0	0
0d7e342f-fd9c-47ae-979f-ba9d04bcf1c6	0	0
bf230cba-6545-40b3-9589-11db8788e7b0	11.1837229437229446	0.932113601924002055
bb052393-3b3e-4671-933c-5b0cd9f7bea4	0	0
46789ff3-e664-43db-b880-beefe44c57a7	0	0
85e8ca1b-cc61-4692-a9fb-a3fdabda440c	17.1436818181818182	1.42884968540404045
b3a94dbf-6e78-4811-b5e4-66595704daaa	0	0
0259ef1b-569f-4ff4-a1b0-a2f32d78511a	16	1.33352888888888899
6b4ff1ca-a578-4360-b8f8-29d333187363	0	0
402a83d9-1e86-473b-b136-4bbaed3d8204	0	0
79d4e14f-3f25-4321-8c87-4e85d90c9424	0	0
d00d9d49-4349-4ee1-9050-d6bde6b7aad4	0	0
78c151e3-5e55-4039-9fe7-58d63dc21f94	0	0
b55dbe7d-77ae-4a50-a56b-0be0e0256ed2	0	0
db3073c1-e26a-4f09-85fd-0683ed1f86e9	0	0
be938708-7d87-49a0-8534-3c40eac24d24	0	0
403660f0-7bc8-4254-903d-d1601434e6b6	0	0
41758260-7ac2-41c7-9dea-7132c6cbe3cd	0	0
27181442-4b0a-47ef-8767-e0680a4eca63	0	0
02db6181-0ef7-4441-967c-7c947156ae57	70	5.83418888888888887
af1a9ae0-6b5a-41db-bb9c-120eea3a4791	0.594125249072381956	0.0495139031533180854
c4bacf41-7538-4f38-adae-c4db8be646f0	0	0
650f7faf-6145-4e64-a267-31aec47b52e2	0	0
1cc6bece-a943-43fd-811f-468ee505359d	11.1837229437229446	0.932042150360750554
476d4927-b57d-43c0-a4f5-11a62a51ff44	0	0
201e6856-b587-4062-8d94-42dca487515c	0	0
596e7363-26b4-469d-967b-b0e276af8648	17.1436818181818182	1.42874015632575757
cbd3e5d3-b19b-4797-8e13-a727453d6b27	0	0
aa217a3c-0924-4c2c-b39e-d9a26b97f2e1	16	1.33342666666666676
2bae434a-0222-46a8-9ed9-2802f40ddaa7	0	0
cab52d3d-35a8-4a99-b14e-76597db1d9c0	0	0
a1e9af64-1b8c-4c38-b166-86967d8ed172	0	0
749b6b0b-0b3d-4953-9897-9289305ac966	0	0
46c3b1ca-376e-4468-b049-8a0b9ba31570	0	0
7fc040b8-b755-4760-b335-032d1f482a93	0	0
1c932556-af73-4ce2-9e2c-9ec012a999ee	0	0
43e8fed5-81bd-4206-ac5d-b977a5de981b	0	0
f6babc43-39d4-43b6-b9be-ff6c31a19e99	0	0
090be833-94e4-4781-b0ae-db81eab09f86	0	0
269d0f32-031b-4a9b-a143-143856c9ed09	0	0
daf7c228-7ea7-4f67-9531-6813cd3b15b3	70	5.83374166666666749
188cc1ce-14f6-4a65-870e-807525ddb1b7	0.594125249072381956	0.0495148933620665407
564cc732-1e95-4d9b-8446-df048a32b974	0	0
9c702b93-9bfc-435f-af4e-c159929302f8	0	0
b8d04a8f-066b-436e-b92e-6ebb10466a16	11.1837229437229446	0.932060789898989994
6d2156e7-6090-45c7-9623-fa4d38466e26	0	0
fa798775-0445-4e4c-bdff-4473e6abb8ef	0	0
01aac903-13f7-438e-859e-51895f443199	17.1436818181818182	1.42876872912878783
4618c6d1-95f7-474d-9710-ed9bfb0f7567	0	0
422377e5-d1bb-4ac7-a3e0-91ec3182b54d	16	1.33345333333333338
11d05c7e-17d2-4a56-b6ed-f1160862cbc2	0	0
42e53802-2844-4d01-8cc3-d2d23eb5e31d	0	0
5153c590-7789-4b73-930f-e6b85eab1be0	0	0
f2e32952-9256-49dd-9643-1d11ec37df67	0	0
14c2eeb8-06b7-4afd-bce7-ad2dd17140b6	0	0
07274d01-a533-4230-82d2-b611dc0131f9	0	0
305ceded-5920-4257-b48b-15b964a9a6b0	0	0
a17b1437-ec7a-4021-9df4-c3ed026fced6	0	0
eaac3375-01e0-4aae-b000-e699f09c1ef9	0	0
1c4a9d90-1259-41d7-9960-18033305de7d	0	0
6f303a3c-fd5e-4801-add6-c97ed31bfc1b	0	0
44e85349-c1fe-4ace-86bb-704ca7a95b02	70	5.83385833333333359
1f330f10-0e49-4528-b86e-ddb5666cdf6f	0.594125249072381956	0.0495127479097782208
677992af-0d8a-40c1-a7cd-ce48d00d2bee	0	0
7d349c64-fb14-413a-9ec9-e20692a632e0	0	0
668a8294-6940-48e4-a8ac-b77957cb389d	11.1837229437229446	0.932020404232804189
a2d965cf-84e1-4acc-9477-12e7cf1fa61b	0	0
a9489996-1eab-4684-b3ca-929e48b8c096	0	0
00c1cdcc-9c07-4785-9d6f-2eca482ee4fe	17.1436818181818182	1.42870682138888871
7672f38d-934b-475c-8a0c-87ea37fa8fe0	0	0
a3eb0352-2734-4782-b423-fc01f31a0936	16	1.33339555555555545
99517b1f-babc-4824-8d55-557442c473df	0	0
cb5416cb-7312-4444-8498-b263b16e1c5c	0	0
2c2ed7b8-593e-4667-a333-c9d1b5a12524	0	0
6434d1d7-8cca-44d4-9b3b-d5c817db3494	0	0
02ebe963-8556-4aeb-9992-a38c3540b464	0	0
98ab90de-ea3d-4151-884f-adc1f97ae376	0	0
67018d16-7d6e-4769-b0a9-ac3ec6acd889	0	0
a82bf1e8-0422-4435-8529-97c7eb1b881b	0	0
4e0af483-9487-442a-875f-adca9081425b	0	0
56fa1fcb-ded4-4e11-9332-71ca98460971	0	0
8553f949-ffde-4558-99a4-f3e236e9ed7b	0	0
28c03cb1-0df4-4630-81ee-502e19163abd	70	5.83360555555555482
61818388-7c1a-476f-bde2-104638502ecc	0.594125249072381956	0.0495089521095758225
90866f71-88b2-48d2-ab42-b60231af9c89	0	0
1975bbed-2d12-4e78-88c5-34f89ddff60c	0	0
85c56e3e-c169-4ada-ad61-bf4733b4845b	11.1837229437229446	0.931948952669552799
d8cc938a-4c21-4d1a-8f76-5544bf2615a3	0	0
ffad2d34-2d45-4506-b83a-f512adf8020a	0	0
cf73c505-400a-495b-9794-2b7b2f125ea6	17.1436818181818182	1.42859729231060628
9528cb18-5dbc-4e14-941f-e9716e9af3a5	0	0
37405e18-9377-4c1d-9109-7806e00fce79	16	1.33329333333333344
cb779171-18ce-45f0-b7f1-06f63761a69c	0	0
b6ca7c23-f1a1-4c88-8e5f-424ac469ee4b	0	0
e9d37146-cd54-4f62-8c98-9ac81fef20d8	0	0
4c100336-fb49-45da-b197-a6b068b46f39	0	0
1af147c5-d274-4f37-8def-7a73719fe75f	0	0
2b9b4b2b-6d96-4d47-ac66-0c92a1838756	0	0
7db80779-0ea8-4caa-9b77-4177ff9accd6	0	0
d887fc3f-0d73-48ac-9107-d4a0af8c4951	0	0
4e4a74b8-d2b9-42d6-a47f-580660cd7147	0	0
e5836e11-18e3-49f5-8f53-da6d044af8b8	0	0
8c56722e-60a0-44de-bdba-64b2412326c8	0	0
b58ad8d9-a4a6-4770-9d39-2619f8f8649d	70	5.83315833333333345
49f57a46-071a-48ff-98d8-71293c1ac8f3	0.594125249072381956	0.0495181940578947183
bde982b9-f4ae-45cb-9815-1ea873a57738	0	0
cd181c69-49b7-4a00-b483-f050bcf3f419	0	0
7235c0cc-2a9f-4d55-81e6-89f0d400e4f5	11.1837229437229446	0.93212292169312172
024148c3-02b4-4a6b-8d1d-d544196da887	0	0
2110e683-05b1-4a67-a469-6e124d5f96f5	0	0
40a74fe6-810a-4b5a-9aab-1dd34e994e03	17.1436818181818182	1.42886397180555558
ad71efce-6210-4df1-b7c4-7895f76e148e	0	0
beeb8cd4-1485-40f7-a83d-b4e04bc3042c	16	1.33354222222222218
895cebd4-1653-43f2-be9e-4a8a97f4ec9b	0	0
70457289-b5e8-40b2-8b19-3e322e99411c	0	0
0e281621-e69a-44fd-9fa5-cd470b7696e0	0	0
0f07e784-ce2e-4b66-b16f-1d7882be4f72	0	0
614d22c9-34f1-45b8-9058-da1466dfe33d	0	0
f88bd4a0-67f3-4e55-af61-3f727679e611	0	0
de22aa0f-10b1-4335-9790-635e2bdfeaca	0	0
b2d6ad01-11dc-429b-9df0-16d70aed6cfc	0	0
4727dd9b-57c1-46f1-9641-e8e809ba2d4c	0	0
f98466ba-627d-4246-9de4-6e534aa91568	0	0
cd1ebf65-937f-4a3c-828d-9121a04d30da	0	0
913a88fe-9b8d-4835-a30d-e921dca8f434	70	5.83424722222222236
47f7818e-b198-4fa9-bb07-1166628570ba	0.594125249072381956	0.0495147283272751315
9446310d-8714-42aa-ab62-3eedb10fa71e	0	0
e0ac9828-9e46-4327-9e0e-84794c16e57e	0	0
a38face7-7592-42fe-ae84-f780284c8095	11.1837229437229446	0.932057683309283402
d3f53831-7f1c-46d9-a8b1-5291fd57e60c	0	0
1b94fdb4-a498-4750-992a-8731bc93b260	0	0
613b26f3-53be-4432-9040-9af62da652d4	17.1436818181818182	1.42876396699494945
fea7ca03-de07-4950-9238-3c189c092a87	0	0
30a19ef4-dffd-48bf-a8a2-40b60e14032e	16	1.33344888888888891
3efc3a54-7f66-40ef-99fa-4423bdf0dcbc	0	0
733f31fe-5ead-474b-83d6-20acef47dda2	0	0
41fd647c-ca7e-4781-b65f-bb466c59cbf7	0	0
f16629d1-e0a8-452f-a324-dc062d78a3bd	0	0
a6595746-8a37-4c7e-9e35-8c1a55eaafcf	0	0
7a2294eb-54f0-4f32-b337-6660a7002bef	0	0
52b59132-34f9-4182-9265-391b4f23dc72	0	0
93cce77a-9228-4be9-958d-95aca54ca625	0	0
d425bec7-cd36-4451-b389-aeaa4fee9f6b	0	0
e6e48d3c-47b5-49c2-b721-f6d512667813	0	0
a7745c06-de75-4c78-945e-f67c1bd3e125	0	0
fc315b55-7c12-4459-a0a6-549c08882c4b	70	5.8338388888888888
f9bd66d8-0597-4b4a-9d6b-b50ef64eb7df	0.594125249072381956	0.0495132430141524485
1edaa76c-270b-4ad2-a8e1-d8178b453357	0	0
edfaa5ae-78b7-4ec1-a5ab-7f169cacaf06	0	0
767a6487-78fd-4560-bd46-e54a456fbc05	11.1837229437229446	0.932029724001924076
154ce0b3-1dfa-4338-88ab-04083887b9ae	0	0
e4036f9e-708c-4e8e-bf23-0a0a2bd4190c	0	0
ac23c49d-1b95-4ae2-a949-33773b1a6439	17.1436818181818182	1.42872110779040407
4429525d-9dc7-4485-89e5-3a23e4303f86	0	0
58842243-9031-41a2-a1a3-8af4b5a8f9a1	16	1.33340888888888887
50e20dc3-c410-4c99-9d0a-9ea6419719eb	0	0
4344fc58-6752-440d-b422-2e8bc4e5266c	0	0
d3c31f0e-7bee-4923-8f1b-082623e48300	0	0
99cce6a4-2b78-4ad1-8be7-82ca332bee77	0	0
2d2187ae-1f55-4064-9b56-75b9833412f5	0	0
19a17f35-94c8-4586-95cb-783242292731	0	0
852fcabb-1d7e-452a-ac12-535942cd428f	0	0
4247c713-fc8a-4710-8327-84b39d58a8fe	0	0
7ffb77be-0a34-498b-8aa8-253dee565bd2	0	0
8c682b1b-bb35-4989-81d2-bce3bdf83f9a	0	0
c8a75da3-e9ca-467b-b8bd-3febc8c439f3	0	0
6ce71f6e-93d8-459b-988e-7be31945e457	70	5.8336638888888892
7ba9e9a7-05d0-44d4-8d3c-66e8b7e952f3	0.594125249072381956	0.0495145632924837223
64197968-0e7b-4b8d-b0c9-54f3ccb08913	0	0
d3f2e94a-ff1f-4d65-a374-836722ec9ac6	0	0
65d25e79-fcc1-4394-956f-ff90b5e7cb87	11.1837229437229446	0.932054576719576811
3f32ce6c-8786-4603-b1bb-a7c67509728e	0	0
6ee5bb62-5810-425c-868b-fa1091d79d21	0	0
99771650-9f65-46e7-a426-3d580896f1a0	17.1436818181818182	1.42875920486111108
0b25d58f-d230-4d39-8bef-6fa27e7d9468	0	0
63c88c4d-7713-4bad-8b96-e3285081136f	16	1.33344444444444443
6f985150-a9b2-420a-9730-8f3ed67d81c6	0	0
17bf5e51-e65a-4d90-bc26-5156fca8ba06	0	0
2d15f5ff-d98c-4d60-832b-d5fa952df16a	0	0
3d77aad0-10b4-42b6-a9ba-3afe0497f561	0	0
1864d4e8-58d4-47f5-b628-51c62bcd6ba4	0	0
3b583e03-4578-4f7d-bdd2-af1172383fad	0	0
900f873c-6059-4279-931e-f1a09e9990a0	0	0
bd55faea-b6bb-47f7-a464-8532dfa9335b	0	0
31f1462e-b6ce-4513-b405-957d63dffe48	0	0
05787c20-24d6-4375-a240-0f4e622b1169	0	0
bdc6f5e8-3a09-44fb-b3a6-35af086563d4	0	0
47aadd50-cb6a-4d25-ac4f-9c266eb96541	70	5.833819444444444
a817a2bd-19e8-42ac-a2bc-f8f66dc7e096	0.594125249072381956	0.0495068066572874957
76caeda2-0c27-4b93-848f-64bc08f8bcbf	0	0
a431f7a9-196c-44de-a72c-e6e61f3fc36d	0	0
b97ea81c-6c0b-4641-b1b6-e01d6aa343e0	11.1837229437229446	0.931908567003366994
b5136e45-688e-4725-becd-1bb9dbe37ac7	0	0
1b09fd48-a1dd-47dc-a681-d1c842b22cb2	0	0
51f5da02-04a3-4a4c-ab01-d31ec4cba3b8	17.1436818181818182	1.42853538457070695
cf938438-c6ef-46db-b295-4bfa512fdac5	0	0
b96d1f93-70f4-46c5-85b6-7d1396e8f9fc	16	1.33323555555555551
9e9b2a68-465e-466c-8461-45e772a0d274	0	0
bf3a5efa-b159-4bd6-b678-1ba8d0ae970e	0	0
9be1fecd-62eb-4398-994d-e908b0ffafee	0	0
7208acc7-c1f1-44b1-a936-c7d1ca2d1415	0	0
5fb49e55-2a39-44e9-a617-901b78b01242	0	0
a0b2a36d-8300-482f-ab1a-ab433663eddd	0	0
a0f78ce3-3543-4f95-936d-6110a8d8de82	0	0
8cf2b65a-cc8b-4a15-83ab-f8f25146bea4	0	0
8ccc1cb5-9d3b-48b7-8949-8e39e23bad21	0	0
ce708594-f845-44cc-bb82-da5cf38167fb	0	0
78f7105f-c36c-443d-8b89-ea81a86004d6	0	0
92895b43-b0a1-4716-ab11-fafcfd1f3d64	70	5.83290555555555557
173a2a72-74d0-4a7b-8718-9be2eb51f70b	0.594125249072381956	0.0495200094406002198
c4bfd88d-ed6a-4bb9-8ed3-bd6cfb357c44	0	0
81d3aca8-9c71-4788-8243-a4e042dce0f7	0	0
2276f589-48e4-4e7e-aa57-c6862373287b	11.1837229437229446	0.932157094179894341
4bc8b5bd-480d-4867-a33c-4ddbdc56219a	0	0
5712df7c-5836-41b1-a551-f32b9cad99de	0	0
2892aa1b-a188-4860-8249-4979651b166a	17.1436818181818182	1.42891635527777794
4e120df9-c8f3-4580-aee9-17afb7ad5e64	0	0
fe2c4b89-c2a0-407d-9308-a0d829cbb4da	16	1.33359111111111117
da37bbd3-6a00-45c4-b325-83cb31f6b11d	0	0
2e17fd9c-578b-4882-9ec7-7d04c6247b90	0	0
02c3d75e-c0a3-4aaf-b3d9-354d9506229f	0	0
e9488f1e-38fb-41bb-b674-4c170f8d3047	0	0
c7a80854-3133-46a5-b067-edf67e7e7c93	0	0
a134eb98-5834-420f-a4af-4de2c7c99919	0	0
cc40226a-2860-415d-8ec8-7e2f20f4b711	0	0
7549c5da-a77c-4b9f-87f2-9caa7a9634b2	0	0
2f9296b1-696b-4b41-9fef-c1bc5d24e629	0	0
d7429530-33de-4400-8b3f-4d8ffb3a84ae	0	0
7aef834e-ad8d-4dad-b0e6-4e463df18066	0	0
69e67486-63ec-4e29-ad0a-b27e8827b0f4	70	5.83446111111111154
e5e77872-9fb7-496d-92d8-9344558ad327	0.594125249072381956	0.0495120877706125839
429fb383-5fc6-49b6-87db-5b8f16a159bb	0	0
2879b8cc-ea31-4371-b7b4-62d09efe2f8d	0	0
427cc20a-ab0b-432f-8274-b0eda9cafde1	11.1837229437229446	0.932007977873977933
2555dba2-440c-4ce0-a99c-a00b0978c66b	0	0
62292282-2e2a-4c29-9b9c-7102f2647207	0	0
4b3f1e38-febd-4489-8151-5f1a5b03ab43	17.1436818181818182	1.42868777285353543
7cc11c8e-a227-452d-8845-6c0134b854ac	0	0
2f3c443d-6ed4-4965-ad8e-c02e919eb354	16	1.33337777777777777
f524c7d8-3c17-4aa8-9dba-bd17a422dc05	0	0
1620242b-66ed-4952-b893-74a2d6555094	0	0
e80c443f-63b2-4bef-b128-be1fd580b93a	0	0
9f8301ab-045b-4af9-bf89-08d155c81cf3	0	0
657f0da7-ff7f-42f5-a401-cf64dcb749bf	0	0
1dcc8ab4-6e04-475c-aab3-50a29f36ef9d	0	0
e6bfb1fb-2608-48d5-94d7-fbad5122ca55	0	0
7e092b26-99a6-4fe0-96f9-b26284e6e9e1	0	0
72428a3b-1148-42c3-af29-9b1a08301d26	0	0
598fcb84-3824-46cf-9d42-ae76f97e4012	0	0
bd9aff85-dc33-48fe-a41a-4e55761143bb	0	0
447ef2b3-910b-432e-b1fa-be100a7a7ae6	70	5.83352777777777742
c86d9bda-822b-4794-9b4f-dbfad5786cba	0.594125249072381956	0.0495152234316493592
2324df5f-c021-4374-b0b4-e2bc81223425	0	0
d2423c20-3953-4c7c-8536-5c64a1471432	0	0
b3740195-bf67-40f0-9f87-385308353914	11.1837229437229446	0.932067003078403178
7655a381-8555-44f8-907b-556479760924	0	0
ff005841-7a38-4332-be7f-e138ea856d26	0	0
486051a4-21ed-4fc7-8dd3-218aa918b383	17.1436818181818182	1.4287782533964648
d261ee3e-402d-4e31-8c48-162362dc769c	0	0
f2ca63f3-9afe-4244-be2c-ed68b8e4404e	16	1.33346222222222233
e5d0403b-8558-4d58-8748-781642e3ff4a	0	0
a14b5e5e-0ac3-4cfc-bddd-2ccc895fcbe5	0	0
da0a9f5a-f204-445a-ada5-71d62da5177e	0	0
d2e2935d-f760-45a6-9424-2341db6ae5fd	0	0
943ba7bd-709d-4c5e-b59f-cdee5d253204	0	0
254ebf3f-f572-4153-877b-2901f8136e65	0	0
daab293c-eecc-4d6a-aeae-280e056d7dbb	0	0
c18348d8-9be3-41c7-95b4-3dc885d51c15	0	0
f6cc2b0b-6d56-4311-900b-3c8ba080af01	0	0
d98be16d-5c6f-4e70-9a1e-a7ec0a3483d5	0	0
199a6664-c819-4461-8e65-1e93a00e25da	0	0
ba648569-47bd-4054-8fed-88e47ef78e12	70	5.83389722222222229
e2f31016-a53e-470c-a88a-5aa55faead6d	0.594125249072381956	0.0495135730837352669
73551840-f061-4099-9c56-241ccb4bcfc1	0	0
3b756345-b975-477e-8cdc-a7525aabcba4	0	0
665d42e1-b204-49cf-b278-552d3e65550f	11.1837229437229446	0.93203593718133726
04965758-2fbd-45bc-9b6a-0ff90af96a5a	0	0
893f45ca-fca3-4e2a-96cc-edd1691f7dad	0	0
5d84f696-3347-4050-9be1-366083d6d499	17.1436818181818182	1.42873063205808082
9962bd52-6f44-4dd5-919b-590cfa9bbba9	0	0
7cc851b0-666a-413d-9f27-539221850438	16	1.33341777777777781
1c36e129-9428-42c7-ae38-06ac13e76d01	0	0
40bdd455-ff6a-473f-a737-7373a46785f5	0	0
957a77d3-015b-4935-bb40-5fc0d128d965	0	0
06021c92-73b1-464e-b498-5599af47af5b	0	0
843abc1a-42d3-44ad-984c-7c1f07375314	0	0
86fb4cd4-5862-47ec-8965-44d7998413f1	0	0
1bde53f7-6e93-4355-86ac-8cbf28b24ebf	0	0
7016a995-d0c5-4bf1-96fe-fb869a678b5c	0	0
cd0214ea-40df-404e-a671-b75e7bbe0a22	0	0
f09ba7da-2113-4da5-8d4b-42c1522feb25	0	0
a4c841ef-c30b-4bb4-ad20-8c2a630fd860	0	0
4b98c4be-bc73-4fa7-8e02-3f81ccc6ca0c	70	5.8337027777777779
c55e98d1-30e5-4ff5-b330-8a4ed2e763eb	0.594125249072381956	0.0495160486056064053
a3850a06-f35a-4f2d-ad10-fc15f57c1d5c	0	0
765cc87b-1111-4112-8d88-9bdd79462cc4	0	0
312f34eb-68f9-44b7-b8a6-8080551ee916	11.1837229437229446	0.932082536026936137
079bfbf9-d219-4652-8743-6f41c7483467	0	0
95d420f8-567f-4196-9665-9e059afed510	0	0
408bfe51-8192-48ea-b8fb-be6641544a96	17.1436818181818182	1.42880206406565669
c65dc06a-8249-494d-b70c-a59f7a04c5ac	0	0
82cba163-b0b8-47bf-9357-60d9389a1e39	16	1.33348444444444447
32a43f69-f89c-40a0-91e0-93001e59bc2f	0	0
fbad2c1b-d294-4ac7-96fe-169767ef532b	0	0
1ac7e509-8c64-42f9-90ac-084ac3a53623	0	0
cb06e14b-4424-4b02-bd73-0213e7500cfb	0	0
fce44e4e-5886-43a1-99a6-c369e6e5a74b	0	0
7bb50fa5-2b69-4a85-9ff9-c93a25ffd935	0	0
189b108c-48cb-4894-bb2f-074382136f66	0	0
1a75b8a9-8c4a-4ed2-a479-ff264bd5ae67	0	0
16c6414d-3369-409b-af95-995cf1afe64d	0	0
9d3c0dcd-319a-420f-baac-40709dc4ab68	0	0
ec62c390-8b4d-407b-9bf8-614b9f55791f	0	0
d5fd1457-b610-4296-b1e7-8f9ccdc30778	70	5.83399444444444448
c152341f-0cd3-4a7e-8015-e77d4a7ffcfe	0.594125249072381956	0.0495120877706125839
5a3068f6-60c6-4c02-a995-2d7a589d06af	0	0
3ec554d8-2935-41af-8589-0f8997febcee	0	0
9ba77f78-2dc1-40b3-b5e2-05fba5ff61df	11.1837229437229446	0.932007977873977933
a0c67e43-d113-48ad-b391-2fbbfe1ba41b	0	0
0c13535c-0561-43b2-9102-f25b0dc39b1d	0	0
25e65925-b9f3-4251-91f1-7c973a5fdf92	17.1436818181818182	1.42868777285353543
ecfc5d14-8f89-4a21-a38b-0e6966ee998c	0	0
f2b18920-cdae-4cf7-8930-9dabb34b6a74	16	1.33337777777777777
c0cbf28f-01c5-435b-affd-0810b4b45892	0	0
f1d5e765-182f-49db-993e-242bb58cf8f0	0	0
fe9e6c5c-a941-40da-a027-6b9a5dfb83da	0	0
adbd5eef-fc38-4dcf-9c49-120be48955bb	0	0
ae51de04-9d94-4051-82a2-d4cf0d5500f9	0	0
1aa79638-7211-4c5f-9aef-ff28256ff588	0	0
bc49e9e6-5d98-443e-943c-5a979e10dc41	0	0
daf75a3f-2cea-4469-9552-d10d9e0e9f65	0	0
27761647-6f94-4f55-a4ce-572b16fef17c	0	0
00145d1d-307a-462e-bb71-ab4afe8927ca	0	0
07fa03bc-77ba-4488-8e54-168a9deafa76	0	0
d0a3188c-5514-4494-ae2e-9ec057e21d3e	70	5.83352777777777742
dd9166bf-e9e9-4305-9996-c5b218a8153e	0.594125249072381956	0.0495153884664407615
ee6b1f87-d468-450b-a046-904292d1a96b	0	0
0936851f-7cd3-4f4e-a195-607202db0df5	0	0
dfae087b-d913-4a49-922f-a191869dbc7a	11.1837229437229446	0.932070109668109659
a3f0493c-d205-44ef-9b74-a4f6b90b8f73	0	0
cbc33a93-0461-4933-b59b-cc7cf231db86	0	0
9d220fc2-ef99-4923-89c8-3881df3e87fc	17.1436818181818182	1.42878301553030296
f046406d-e8c5-4e6f-a979-bc13f5b1bcd2	0	0
050ed8e4-c569-4989-99d7-10155f21618c	16	1.33346666666666658
e3fb7bc2-bacf-4e27-9475-cdc056b69588	0	0
3de0f8d4-81bf-4f06-ac43-7c1912ac7c3a	0	0
16f30e14-001e-4a83-acd6-def02ab08a66	0	0
bb102bc3-40e4-450c-b6a8-799171e38138	0	0
a45ad99f-f920-4e4a-847c-caf1b8855512	0	0
f2cbd05b-c542-45e0-ac3f-1f4c73c678df	0	0
bc97ad06-edf3-4cff-8b75-5c9f0113d369	0	0
04ddfabf-661e-4cb6-9bee-6cedc59238f2	0	0
ac3ef391-9ff8-48e3-8111-c7d48ea9dc4e	0	0
c5651149-9218-4dd5-9f0a-ed126ce8280d	0	0
b9cd24d9-fcc8-4067-b2e9-c1d51d13c613	0	0
1cc5ba7b-257c-42c2-8ce0-1e52967a62c6	70	5.8339166666666662
39b31614-e66b-4a33-bb56-308bb8ebc4a1	0.594125249072381956	0.0495155535012321707
5f285ba2-a20c-4d08-a001-c42c0f9dada6	0	0
1c1dc37a-8245-4903-a35d-e80b69349f2b	0	0
456657a7-05ff-4946-9323-278565e7b88f	11.1837229437229446	0.932073216257816251
a9739ee8-4db1-4443-a5ab-5b28fddc5403	0	0
e09bd615-db7c-4a22-b082-f7da0d742fce	0	0
5781b8f0-cf0b-4a72-a071-5324412fbd95	17.1436818181818182	1.42878777766414133
660b458a-6a3b-4129-af33-cda9e5f3a3fb	0	0
da8ea692-02ee-48af-9b73-89b01c6c78dd	16	1.33347111111111105
923dd9fc-63b1-4fbd-b44d-4bbd9b279de3	0	0
7b727464-d1f3-41f7-a259-fe2aad31d489	0	0
1661fa63-51e0-489f-8d09-062312d64ca8	0	0
c8cfee21-1758-4ff4-807a-32e8c569b1ee	0	0
861e0f74-06dc-434e-93b3-e3b48fbc5c12	0	0
5c7a915b-cc5c-487c-a399-be5a9c24f2b8	0	0
c875f73f-9cce-4d10-b02d-788def0ca2ab	0	0
2e227a32-8666-43d9-bf5d-0f12366cebc8	0	0
fb058525-d7df-4f71-bcd8-0d7a5d3fb3cc	0	0
87548ad7-be1b-4172-a1e6-f4b1275f2bc0	0	0
9c7903ec-fff3-407c-956f-eb0776404c66	0	0
5126d031-83b3-4fae-b17f-d6941bf1b933	70	5.83393611111111099
5be81fb1-e58c-4cb1-92b5-38a3c27bc6f7	0.594125249072381956	0.0495142332229009038
fcda0917-b2b5-46f5-a4ae-b7c8351adab3	0	0
1b6b778c-fac2-48b3-9ffb-cac1b110cb80	0	0
cb69acc7-9de5-4bf7-85d1-b924a2dcfaae	11.1837229437229446	0.932048363540163516
4fd25ec5-dfb4-4f9a-9290-ebc93eb0e002	0	0
e90d2a80-a20c-494c-ae8c-d11fead68cae	0	0
90ffd5cb-687b-4dda-a6e7-eefd36f8a154	17.1436818181818182	1.42874968059343432
c9b50a84-31d7-405c-a1db-a08fcf7b78a6	0	0
a4e4663b-cabd-4a63-acd2-e2debdb01e85	16	1.33343555555555549
b6fa3817-3705-44f6-84de-f6d6e54fd4cf	0	0
24923643-401f-4a0a-ad2d-38ec58e0d7a8	0	0
f8f8b5ff-c035-493e-bee8-c9cf3bcc1686	0	0
2d20b0e1-3e82-4cdb-af4b-038dba0d4027	0	0
21b3754e-d545-434a-b450-92204e4a9576	0	0
a23516b6-9603-43dd-b5f0-c25c10edf8c8	0	0
07978fbe-fd11-4694-b4db-14e7ef22fabf	0	0
404d809b-a5de-423b-8baf-da406cafbb54	0	0
74c7aced-cfa6-410f-85bc-245e5a783fc4	0	0
69030504-40ba-4004-9479-73c60bb486f4	0	0
92a8c160-f7e9-4cfd-98f5-d400e9c29a6f	0	0
4546a603-5107-440e-a889-70ff69f8fcab	70	5.8337805555555553
09cc3d49-a194-4b4b-995e-2a822c9e9e80	0.594125249072381956	0.0495119227358211747
0a2fb465-f9dc-43b0-8db3-c0a2dfc8a865	0	0
8f4290e9-150a-46e0-ba42-b065c88dda82	0	0
0d440e83-a26b-4f40-b090-2851c503554c	11.1837229437229446	0.932004871284271341
ef859344-88de-4449-b573-6689c8c01037	0	0
77831017-0c65-49ee-95b4-e209147853e2	0	0
f430f3dc-90c1-4a62-99bf-f39612956ca2	17.1436818181818182	1.42868301071969683
9eb32ddf-40c4-485e-ace3-a3d19132cfab	0	0
02a771c2-140c-4d9c-b9e8-beec025783ce	16	1.3333733333333333
16527d85-e0a0-4259-902f-2938a35db4ab	0	0
7e6d0605-77ea-492b-9ec6-fab309882f6e	0	0
a27268a5-194b-454e-a65c-52e581826dec	0	0
6debfe4f-3dae-4b24-9adb-3d049c74a3dd	0	0
095bac9e-9eb9-4d6c-a764-ca97f516e81e	0	0
6cfe3ad4-4e0e-4a08-a598-87c1eb062b8f	0	0
fa4f33bb-24d8-4a65-87ab-c9ffcb5c8762	0	0
ef392434-58bf-43b3-87f3-b0f4dff5bc82	0	0
7b9db5b5-0f6b-4b08-8adc-e531d1bf54ca	0	0
ab9b5b2a-4d15-4bb7-9580-b40e86692f2d	0	0
4b5f5457-a6d0-49a0-8b10-9133f9334e63	0	0
be89ff32-1c73-4be8-a313-fadae3ea09b4	70	5.83350833333333352
9491d85b-1441-425c-91cd-69bbad517242	0.594125249072381956	0.0495135730837352669
6ecd1a6d-0bff-4356-9ef1-9d837c6e85be	0	0
a5f564f4-a393-44f9-8049-4b1048ab8616	0	0
9a581794-fa17-4ddb-9cd8-d05d22e7dff2	11.1837229437229446	0.93203593718133726
0cf60f67-61ab-48f7-a5db-1c09d685f654	0	0
5dc2d4d7-1cb7-4410-83fd-f7052cf52397	0	0
2a72548a-901c-4d0f-98a1-c24c9d9dfb28	17.1436818181818182	1.42873063205808082
2e718990-510d-4706-b136-9a4419fab2ea	0	0
581d54a4-0f54-4026-be08-4e5bce664de6	16	1.33341777777777781
7340f1d1-2a18-4592-9c1d-e78a640927ec	0	0
ab87d61a-566c-4ee6-acfb-2b53ae7c72d8	0	0
26af3bae-0f5f-4d55-a747-41c942aff653	0	0
106a0e0c-fe5a-4480-b900-2301a7565fb1	0	0
ac2b9826-c72c-4f10-af78-32d85dd0ffb8	0	0
3f5afb27-0ddb-4ef4-9ff1-34dd066bcb51	0	0
a9c0a6fa-8d68-4694-9b6c-0bfa6f75002f	0	0
be0ee43c-c770-427c-9fdc-2871ae964441	0	0
21ab008b-26e1-4a69-9760-92decc193157	0	0
e6ad8412-3cbc-41ca-a60c-9bc838c50221	0	0
75af8441-3d82-4c46-89ec-4db5304dc3d8	0	0
5f18a9e5-2f93-46c0-9c70-6206c74bf707	70	5.8337027777777779
13265a71-66c4-4a6e-90bb-be0a99864036	0.594125249072381956	0.0495140681881094877
a1a1937b-74a6-4eb4-9183-ec38a7aadc8d	0	0
522bbda2-4f04-4f32-9962-c8558973ca47	0	0
051d58da-1803-4419-a8a1-de1ad3401f67	11.1837229437229446	0.932045256950456924
d5fb1b35-8093-463d-9ce9-180fdd00d6c6	0	0
3e063216-7b83-475f-9526-4ee69e574068	0	0
150517f5-f845-40cd-a2bd-109bb0a11bc4	17.1436818181818182	1.42874491845959595
24f60978-1677-49c1-b22d-8962d77e28b1	0	0
efb1b6f9-3f7c-41bc-86c3-e01e572db108	16	1.33343111111111101
f7d8111f-8304-4e56-b0cb-e8b5f92f6568	0	0
6f760dd6-6fbc-47ad-a507-478da96a8e05	0	0
2db497b2-8211-4318-8c67-bad846bc4561	0	0
90c586ad-0d64-4f42-b382-cf35c0c39712	0	0
d3e42de0-d524-482d-ade0-644bec1eb34d	0	0
38777894-bacc-4f5d-ae97-1a15672e6da1	0	0
4b41dea1-f9fb-485c-8496-d77ab599beb7	0	0
4625633f-91a0-4f4a-97b5-81c43e276317	0	0
ce45b270-6600-4988-a38c-d636500d59a4	0	0
6302cc40-1e56-4cc4-b9af-7799a1211d2f	0	0
7c724221-1c8e-4b6d-98c5-741eca36ffe8	0	0
790825cd-dbd2-4b77-9778-8dd33c5c21b4	70	5.83376111111111051
5c35d8d2-2de1-4579-ac72-95be558f3007	0.594125249072381956	0.0495071367268703141
58e96ed7-5bd3-4426-9d51-19070470025e	0	0
b0c96981-dcaf-4d02-92d7-857174048d3b	0	0
d1abe165-f824-4ac2-b03a-31cc94404a4b	11.1837229437229446	0.931914780182780289
12b5b435-488d-4d70-910e-6935630f387d	0	0
3b299484-1408-47e0-885c-e005fb6c99b8	0	0
d632fa4f-08dc-41d0-a8f0-b2c7e5cbf489	17.1436818181818182	1.42854490883838392
4b979603-c0d5-4b10-9dd3-c344410f7562	0	0
2f123dc2-a2e2-41f8-98d7-99a5f1c42445	16	1.33324444444444445
13d2111e-b5da-4443-a104-e3cbfcbb6ebc	0	0
db609af3-9e21-4a94-912d-84737978353a	0	0
8d5668f6-3336-4155-aac1-1e53e8c87117	0	0
7dab28d0-d3a6-4a5b-8d0e-3174ab6e6dd1	0	0
41d1f3bd-6a4b-461e-a2c5-01d555ba6ab0	0	0
d36b1a01-4729-44f7-be8b-c77ccf06ea4a	0	0
61d889b8-3187-4ef4-99ce-38f0c683a24a	0	0
5f9e2544-ca12-4d8a-a0bd-b9108c93c734	0	0
f84a116f-02b7-4284-8036-574cc79cb050	0	0
7a1c4e8c-0844-4944-ad21-73bfa5d084f2	0	0
eab62d5e-558a-436c-9c8a-ef27c994158c	0	0
f132df97-3926-4119-84a4-385a085f92fd	70	5.83294444444444427
32e991c9-ab54-4140-8481-0ead9a5f031f	0.594125249072381956	0.0495190192318517713
cb5274f4-4f90-46f2-9d99-882b53da57a5	0	0
6a7def19-18c7-4436-becb-84815d0ebd69	0	0
6f3d5d90-51b6-40df-a771-347f0ab358ca	11.1837229437229446	0.93213845464165479
46b95843-cf53-417f-a277-db6c6ef9e530	0	0
2b434cc1-2d1f-452c-a931-b7b3eba90d1f	0	0
92592cca-5b94-4040-92e2-915eb680fe15	17.1436818181818182	1.42888778247474768
e6556f49-118c-41e1-b457-1206f9034bf1	0	0
39e77326-1818-49be-afe4-752c06cd491d	16	1.33356444444444455
f315d350-6db4-4595-bcb1-5d910391e571	0	0
1bad7a76-e3d8-42fd-b7e2-7c4300497c18	0	0
7f15bff6-054a-4433-9bf8-5df2696e5e2b	0	0
a7cee9fe-afb5-4eb7-b5fb-4f9e2e308929	0	0
f382286e-458d-4c03-b25e-b7498f67f6bd	0	0
45e1363f-691b-4716-adf5-b38e547fd7a1	0	0
4e86fc6c-94c1-422b-8887-e21f7c1575ce	0	0
6b01c9f2-be02-4f89-a03c-0f20a4f46385	0	0
f3919682-71fe-4c14-9ebb-a1f54ea356c8	0	0
971f712c-ea91-47bf-b9ef-43e6ed14a687	0	0
9dfcb80a-39ba-4cb2-836f-b3e2689d5ad8	0	0
8ef32018-f8b2-4dd4-8968-49c4922a2def	70	5.83434444444444456
8ee2ca5a-9162-488a-a0c0-12bfad1b38e7	0.594125249072381956	0.0495135730837352669
8274eab0-33c3-4ada-87bf-91cb6368a4c1	0	0
73064ec8-b048-4737-908a-d0e7d258cc5d	0	0
87490667-ec26-47ed-8fd1-17f6cdb128ae	11.1837229437229446	0.93203593718133726
c85e5736-fde7-428b-bc10-22ea6c600f2f	0	0
62a7ef0e-1dc9-4666-9400-1cbd4c924702	0	0
2e44d8d5-7b69-4b39-9080-1af9dca9e2ca	17.1436818181818182	1.42873063205808082
cc02a325-2df9-4aed-b95d-31424e557235	0	0
d5127e73-f790-40f5-8e86-d21842398f53	16	1.33341777777777781
9e2eb31f-94d4-4e2d-b9ac-d066552d7407	0	0
1741d6d1-aff8-4667-8dc8-302e14353d14	0	0
1cb8b6df-0963-4819-8bed-d160968713d6	0	0
eaa5f83f-c414-4c68-8df0-4999760c7bb1	0	0
755b415a-cc8b-46bf-b566-1fadcfea3877	0	0
03e85a04-4c13-4ef3-b13d-0fc44519c93d	0	0
c8802214-1afc-4d67-b016-0d51fc6895a1	0	0
83f8e56f-0ca1-4c2d-a0d0-966ce87aafd9	0	0
ceea782c-bad7-4dde-be9e-62982154071d	0	0
af7813e5-8319-4eed-ab8b-2a3afb730c35	0	0
ce5747d0-0d33-4763-ac34-0e0cd8fce1fa	0	0
3daaa977-cd8d-4a33-bcd2-a5bc0a92d5d7	70	5.8337027777777779
34f7faa6-7189-4c64-9310-9bec8e6cdfe1	0.594125249072381956	0.0495168737795634445
066f05a1-a71a-4235-b37b-ee58ed3b09bc	0	0
da8162c3-1cc3-464d-be2c-e1d6ade3f136	0	0
643dbc69-f576-43c3-a088-6bf7ec35f1c9	11.1837229437229446	0.932098068975468985
b2ee1283-f140-455a-823e-a381cf82dfbd	0	0
3ee0969c-b8ae-4986-9bce-dd68356f8c9c	0	0
98eb300f-4251-481e-b6d8-1ee1ebfb3098	17.1436818181818182	1.42882587473484834
c58df8ce-0a1a-4863-8da0-abb5b8c129c4	0	0
6963d5bc-5ec3-4ab6-beb2-4863d598ea2f	16	1.33350666666666662
7d11812d-bafe-4be7-af98-d7cd8c0de96c	0	0
603d549e-5651-42c6-b536-3231f8717104	0	0
f004b36b-0d25-470a-bfbe-209aa33b2fbe	0	0
bda02f9b-08de-411f-b2f1-76c49d9bc0ff	0	0
7aa5b951-535d-46ca-a42c-ccd44aa43675	0	0
cc5ff2b9-61e1-48ea-becb-45247d6e0a4f	0	0
37d0e3a9-3e18-405c-a269-f8a50be224cf	0	0
72fe45ea-c7fa-46e1-88dd-e331be3dd73e	0	0
33505c31-9cde-48b7-8233-fdc1fea968df	0	0
a5041787-dbf0-4c3b-bc60-21e8b244a089	0	0
0b01a877-f0a5-4d7f-a58d-bef56171902c	0	0
ed2900d8-2501-46eb-abaa-418483e72e5b	70	5.83409166666666668
da7d85ae-3e11-419d-9d94-03acc1cec348	0.594125249072381956	0.0495099423183242709
acd402e5-5555-41d5-8a19-bfe4b6c0e583	0	0
6e16f05e-cd7a-43cb-b2ec-62f870957fcf	0	0
f1f80f3c-ffbf-4d4f-af9d-22e28fd63d44	11.1837229437229446	0.93196759220779235
5273b082-1e7a-47a5-a284-d60b49d21d1c	0	0
1609ccaa-55d9-4678-bc68-fe43a1a9e6fd	0	0
9d542893-b917-4e7b-bd63-e6109334551a	17.1436818181818182	1.42862586511363654
a388211d-21b5-476e-8907-3d3053b0d489	0	0
ccb0055f-42c3-4424-bfb4-922194fd7cbc	16	1.33332000000000006
f70e3918-fd22-4f39-b1f8-297177961806	0	0
19d236b6-4d2d-4439-a7fa-74be3f85f229	0	0
595b9703-fdf4-4d0d-a225-8f149b4723c9	0	0
ef5a57d3-f362-452c-9b3c-d134c6519551	0	0
351a1f11-9980-478f-89a3-81d2323df29b	0	0
b22db515-4643-40d7-a586-29a7877271ec	0	0
8362ec8d-7be5-4042-97bf-f1748cc6944d	0	0
9b5f6101-255e-4fc8-a57b-59e06fc949c8	0	0
c357b1e1-109e-40e7-bc40-c6e84a4574db	0	0
2156c3bc-2779-4acf-8d6a-c1d311f5a37c	0	0
b03eed9f-c587-43a7-a036-b64fcac87af3	0	0
65991c90-36b9-4901-a192-06f06c0f0de1	70	5.83327500000000043
2918028c-f670-4f5b-b566-e3cbbd5a662c	0.594125249072381956	0.0495115926662383563
9ebab492-cbd7-49de-8d88-48bb5cf3c329	0	0
039aad46-7c3e-4c61-bc59-983dc5bba896	0	0
cd70ee28-ac0e-4599-9d8c-fa2959e15b82	11.1837229437229446	0.931998658104858158
f7478b02-434a-4636-8c0e-a09334c166ac	0	0
9c0de30a-808c-4272-af3b-f4e10bd9a350	0	0
8dac675d-fd0f-47d9-9188-0cecd26e5776	17.1436818181818182	1.42867348645202008
646199ca-f140-49a4-80f6-a1061d5d6865	0	0
076bdc0e-5735-49ff-9658-b6a1570236b1	16	1.33336444444444435
911a8123-8dc1-4e10-a23d-155e6cb75104	0	0
3473acd1-439c-4511-8100-0e95a0f386cd	0	0
0f5b8095-4505-4792-9c6d-7a8b349e77b0	0	0
b438e358-970e-43e1-90f0-006ea218be02	0	0
b200d1ca-70f9-4c04-9eeb-4531a75384a4	0	0
941b454d-c368-4773-ba8f-6bae8a31681d	0	0
0062ed27-7e8b-410e-852e-c17570062c7f	0	0
66cb3436-2ec2-4298-8baa-1ee7c7773daa	0	0
1a8b74d2-453b-4039-a78c-46369a61ca2c	0	0
f8af8d78-d750-42ad-90ce-9608a3198ad4	0	0
09f294d9-10ea-464b-8b0e-85c28c4dc88d	0	0
766b3269-b3a4-4479-9c89-5f0063e59280	70	5.83346944444444393
f94b60b2-83bb-4c0f-a888-8842c0e28216	0.594125249072381956	0.0495178639883118998
25ded8e6-6ebe-47e2-ab30-4585b78ca609	0	0
19f55a2d-fa93-461c-ba73-b290459e6fbb	0	0
d086efbb-f280-429b-acc1-b629bcb1658f	11.1837229437229446	0.932116708513708536
2ab91b57-3d42-435f-8024-62fbc4b4ee0c	0	0
ef4b9d5f-73f1-40ca-9099-0edfb358c120	0	0
44fcaf91-8b31-4c82-8ee3-8ea19b7972c1	17.1436818181818182	1.4288544475378786
08134e35-2e89-4c55-a9a9-303a0ef5c6e0	0	0
89146992-0857-4b76-8487-80e244953693	16	1.33353333333333324
73e134f7-7aeb-4a14-a707-558af8d39b7c	0	0
ec1456fd-2706-4c13-92be-221bbc5a41aa	0	0
35b18fe6-936d-4a98-bf05-f1d9df45cc2e	0	0
4cae2546-b98e-471d-86ba-46a6322a3b2d	0	0
9abba629-3e0b-4d89-b07c-1080ca522a1b	0	0
890957a6-5794-446b-bc1c-79631f585249	0	0
654124ee-6277-48c1-95a2-814fa891e04a	0	0
cccbfc79-c035-4bc2-9a9c-9c882f0086a9	0	0
0c0a45de-d5d1-4835-add5-cbd72373eb77	0	0
f643a618-e298-4ae9-bb74-2e5c47a3d9ed	0	0
e436b6cf-3dd5-4aed-bef7-767be2b5af91	0	0
78b53878-ba71-465a-8067-6bf56571f265	70	5.83420833333333277
aeab4235-e072-4b52-a8a3-ced4b2540024	0.594125249072381956	0.049511427631446954
90684abd-294c-4b9c-9726-d485ebf52619	0	0
4c95424a-357a-490c-9420-6e84a54ba244	0	0
2d2add9a-471f-4323-b1c0-bb66de66a830	11.1837229437229446	0.931995551515151677
ae384af1-ea4e-4219-9b75-817e150cc89c	0	0
1526eab6-ec3c-4135-b4db-7727d848de08	0	0
094d4ed4-a326-42a6-af4c-429cf645882e	17.1436818181818182	1.42866872431818193
88c1ccbc-89a4-452f-a948-5f841163c153	0	0
8c8ad35c-07f8-417d-87f6-3710e5a1e403	16	1.3333600000000001
162fcbac-1f4c-4890-b5bb-1af2c1d67ec7	0	0
ecae6a5b-8a85-42ea-9fa8-941e4090d4fc	0	0
9ea55453-2d31-4669-a528-f47cb0afcb18	0	0
b5aaeb75-0063-4de3-a129-e4ae50520f39	0	0
08ed441b-5b59-40f4-93f5-9436563755d7	0	0
3646ed03-12c4-41cb-9789-15c6ce068b7d	0	0
e07e76fa-c202-471f-b374-88b9cd231b25	0	0
067b5e99-53fd-4f93-a3c6-3177f90eaa96	0	0
ba316f19-cdfa-4de4-8013-76c0b382fa86	0	0
5e5b535f-8dcf-4ec7-873a-fdf770192956	0	0
8672ec28-5504-4076-a425-e96706aa8968	0	0
bb59f751-e707-409b-b905-b6a6c86b2c79	70	5.83345000000000002
e5fa1dd0-2ae8-4013-b626-930b39679bbe	0.594125249072381956	0.0495162136403978145
3119df70-05d5-49c7-884f-97f3debeef34	0	0
7548220d-8415-473a-ab86-2d57bd84e2b9	0	0
541ae19b-c2b8-4404-9c65-fd0c1845d855	11.1837229437229446	0.932085642616642729
1586d362-265c-45b1-81f2-17fabbd68453	0	0
9c55af23-5a24-4740-952c-3aaa7c0b442c	0	0
717d14c3-9a1a-4f93-a2d3-b4c972dcfa38	17.1436818181818182	1.42880682619949506
e7b5fbfc-b822-4b90-8df7-5a057eff0cf2	0	0
78af9c2b-5337-4e2b-bf60-4ad99fe7317b	16	1.33348888888888895
6e439026-517e-483d-b404-0cade4300a99	0	0
589c3b91-e840-4119-aeeb-01eea3fb7076	0	0
3688ff42-5886-42ea-b2cc-7aceb95ed2bc	0	0
337040f2-42bc-42f2-b053-80c249de43ea	0	0
cc06f145-a1a0-4634-86f8-6d316708288b	0	0
49c8690e-7d11-4352-af3e-0f8c8d3e6722	0	0
278fa3c0-3af2-41d7-934b-c404437929c2	0	0
d258f4f6-3adb-4cdd-b3e2-7ebf3dab5e48	0	0
000b2ca4-ac16-487e-b60d-d7072f9ed9d2	0	0
f4ec12dd-c976-491e-9fe2-a1604f90038f	0	0
17068321-7a10-4b7d-82c9-93d932bd2cec	0	0
e3e015e6-5db6-431a-8839-335271d7071c	70	5.83401388888888928
ff9982e2-1c74-4803-9a1b-744832db1180	0.594125249072381956	0.0495117577010297655
5a32a0cf-ea2d-4bbf-b57e-3c444c34ec38	0	0
ec1601ef-91d7-4ab9-8466-1eba5126e87f	0	0
23191343-b293-427b-a987-bd0ca2581e55	11.1837229437229446	0.932001764694564749
631b8cd0-df48-4734-9b7b-1031c96a4f29	0	0
5ad9cd84-8dd1-4a00-9e1c-2ed640a3dc5a	0	0
4d07c679-47e2-4c10-ad5e-276e0c0815cc	17.1436818181818182	1.42867824858585846
393ababa-5319-4e89-beae-1a2f052a6dfa	0	0
f9f1213c-14b4-4234-adf9-ee62bd61de3d	16	1.33336888888888883
3593fab0-c411-4998-87c8-9ae368827fc1	0	0
e552f1c8-cc48-4dc3-b1e9-d746018c5a43	0	0
67a2e1e1-3233-4fc6-823a-c41313bee817	0	0
ca7168b4-0373-4353-a3aa-b66b6b9cac7b	0	0
d2a7e0f1-377d-45cf-9c98-15b2f35e4a02	0	0
8d5e1b99-0d06-4de3-9fb8-338126806123	0	0
b919d64e-752e-44e7-a248-e5482833450a	0	0
ab1ecec6-a63e-4870-962d-98a53e8a3271	0	0
938765f3-a074-4eb9-8686-2c31927b2c33	0	0
badeffe3-aea5-4f6d-b688-6efa4169e34e	0	0
fef6cdd0-9a66-450a-ada2-3fd0e049ded0	0	0
0d3d86dc-8088-49c8-b372-cacee7e8d8c5	70	5.83348888888888872
6afdde68-f96b-4492-b21c-24e914c60f8d	0.594125249072381956	0.0495155535012321707
08f0d842-aaa9-4783-8823-db349f60c4ab	0	0
cc0366d4-f7fc-4fe7-a9a9-8a23a87be8e0	0	0
3571fe71-e2fa-42ac-8919-b2aea19e1ddc	11.1837229437229446	0.932073216257816251
1386eec3-bbdf-4cc2-be27-8e0a6eb6aeb4	0	0
10d806dc-3dd3-4ad8-8d27-bd45c6bbef58	0	0
f4549339-fd69-4c0f-96de-eb8d75d0dfc2	17.1436818181818182	1.42878777766414133
9087c707-6ee3-46de-8047-645786a6b30b	0	0
8da9d0b2-0070-47ed-8fb5-3270262f30c6	16	1.33347111111111105
e0262588-dfc4-43d2-abd4-25d15677df4c	0	0
5ebc6453-3236-4328-b181-27e254a62417	0	0
7dc914d8-e236-490c-a319-ba81459e6ab1	0	0
068eaaf1-b9c4-4118-9c43-6668aafea264	0	0
6790e265-374d-48ab-90d9-fddfcb370c02	0	0
63f89768-584a-4876-8663-2c444fced6e7	0	0
a1ccd51c-ebb9-4012-a6d9-6e1adbe6f7e8	0	0
3d149bb1-72d5-47d1-84cb-b609ad0a3725	0	0
bffb393d-5a0a-4161-abaf-e7391c3d765a	0	0
3ed8fe4d-8b26-43f8-be81-fdfbfa3333be	0	0
7aa2fb37-4ceb-42cf-bbd2-fbef981a0b9c	0	0
42893043-d7f2-4081-8334-414d025c6068	70	5.83393611111111099
4ee08966-fc93-4f77-976a-f6da82143512	0.594125249072381956	0.0495152234316493592
ffaf6003-a449-4e17-b3f3-bcfe0fdebc8c	0	0
a3e7c500-0a86-412b-9f00-02bf40d8fdad	0	0
a81dc055-8ffe-4ee6-a4c5-b6477ba10727	11.1837229437229446	0.932067003078403178
55677247-5a80-4baf-a2ad-1f00250d2ad4	0	0
b5bf727c-78ef-4bff-9641-84c3926dd847	0	0
34428d5a-5c8a-48ed-ab07-cc152fcc313f	17.1436818181818182	1.4287782533964648
8f25d0c1-a8f0-494b-b48e-b5657e2d210f	0	0
d56ae003-290d-4738-be62-bb70899efae4	16	1.33346222222222233
01034d0d-c550-4bbc-9d91-ac130769c140	0	0
1e279a00-0c18-4458-8e16-8947644d81d9	0	0
9c7b4420-d473-4c2a-9f21-f021ac334dd8	0	0
a40348b7-727f-4445-a005-427d32ce252c	0	0
8b777f51-5c66-4936-8989-eec07cd0b9b4	0	0
89b2ad35-f480-4f18-bf40-088d14fcbf3c	0	0
b21cfff3-e5b5-4b2d-ab47-13b5dbfffef0	0	0
9be594c5-6e61-415c-b726-0471760aadde	0	0
6cd5e179-f692-4991-bb29-6e6f14b0206c	0	0
0d579605-5aea-4576-b91c-2fde63dbcb90	0	0
dbde90fb-700a-4457-b8f2-817604f53645	0	0
6cfecbd1-db99-4a40-8062-66171a3bd2ae	70	5.83389722222222229
9854ef67-abf3-43d3-90e5-f8a796890242	0.594125249072381956	0.0495120877706125839
9971762f-d30e-432f-bfed-43b618bad817	0	0
f73d1f6e-ebec-4ad6-bece-991268299d6d	0	0
3e613bb7-7fce-46fc-8a03-02c0db5d0bc5	11.1837229437229446	0.932007977873977933
0c71a44c-dc93-48d4-8500-aa1db5e6c874	0	0
f423abd9-0ff4-4e11-9a84-51db2ff15a5e	0	0
b403c9f1-621d-491a-91d3-dadda882eb8d	17.1436818181818182	1.42868777285353543
bd32991c-1e2a-49d6-b1f6-7fdbb5cd0a9e	0	0
8e5e7a78-79ff-41d9-b37a-56b6d25b0566	16	1.33337777777777777
fadf2e40-6677-4202-ae7f-6c49c88c8895	0	0
0f530b29-6986-4526-b84b-d6334e73c83f	0	0
02a7b1c7-8e72-418d-b41b-0ca242dc2abc	0	0
42bfd97e-99e0-49b2-aea7-b4dbb27ef035	0	0
9b96220c-c28e-4b93-b285-6f34d29d857d	0	0
e4bb3538-203c-43ec-ba2c-068881a2049e	0	0
746059f4-0c28-46a6-b61b-ec3be9c3d539	0	0
9c619eba-7a38-4e98-9b95-8e5fbcdce075	0	0
17ad1dfc-bdaa-4430-8919-3dd4e90f7181	0	0
ae7253ee-705b-4431-bc08-cb827ef98ada	0	0
f751d663-34c5-4548-80e9-68c1d33cfba9	0	0
fcde8561-e97d-4af1-b930-9ee47c2d5a52	70	5.83352777777777742
5903ae81-a608-41e5-a5b2-a9753a543fc8	0.594125249072381956	0.049511427631446954
10f386d3-770a-4c58-b10f-b57c88bd3f86	0	0
66a23ede-4bd5-47a4-a18b-1e855681188f	0	0
d3f7ecce-a54c-421b-8722-b3cf67717fde	11.1837229437229446	0.931995551515151677
22d19d8d-9f7e-4abd-84d1-bf6921ef42b8	0	0
f876dd6d-b892-4c8d-bb32-9a4f7170a5ec	0	0
740d9a1f-5d93-44b1-bf07-9f12d657fa3b	17.1436818181818182	1.42866872431818193
fc45a9f1-3c6d-4dd5-b400-b45cdaab11e8	0	0
75b2d316-38ae-4d7b-83e5-971b7bf20525	16	1.3333600000000001
b2099c64-f991-4f6b-b241-97735dfded82	0	0
6d924026-ec8d-48c6-b4bb-5df03e029322	0	0
c567f87e-cdc3-4b5e-8141-f6e0e7769d06	0	0
36c04f8a-45bf-42e2-ad8a-78945de77d3d	0	0
aa15eb30-450c-434c-82a8-b36f1926007b	0	0
21ca195b-fef2-4177-b81f-585e4dae2e5a	0	0
8aabbf8c-7277-4a9b-86de-e307c17c62db	0	0
3295ffe5-7088-4828-bc67-0b4f34ff2138	0	0
81673b2d-a317-40a9-a021-937a8cd8dcbd	0	0
e6ef9d98-6615-4907-8e23-3394f882b587	0	0
4183967b-a816-452f-95d7-d00328f87bd7	0	0
c98f214e-4871-4875-9fb4-2cb14f683166	70	5.83345000000000002
22ff5205-70b5-40e1-9888-96448017e688	0.594125249072381956	0.0495109325270727263
eade4e2a-cf2d-41de-976d-64ca51a81929	0	0
c88230be-f22a-4d2e-9be5-26e9c56e0599	0	0
1a81a77d-6d5c-4201-b187-81aa544facd4	11.1837229437229446	0.93198623174603179
4076745d-a0f3-405f-ab33-6cdbb450fe53	0	0
396176a3-c9a0-46ad-a811-b2dfca365d62	0	0
3f9ca239-5b53-4c81-b08c-d8c90cdd5dca	17.1436818181818182	1.42865443791666658
160ed267-069b-4bb0-a528-addc1fdfe8b6	0	0
daef4198-fef3-4697-9909-e0a4cbefe3fd	16	1.33334666666666668
982772a8-11bd-4285-b977-b63bad73778b	0	0
ebad1a4f-41fb-43df-a7e3-a187332383e2	0	0
35c368fa-c811-4ac6-927f-0b06e3349ef5	0	0
45d485db-4e45-4f6e-964a-158e88de2149	0	0
825cb710-4d45-44fd-86d2-55a4bab26346	0	0
8bee1a38-b0a4-4c79-aa13-57e4edeff917	0	0
e359eade-bc90-4c89-b9cd-d436daf177ea	0	0
b0a427f3-564b-4bf6-bd02-c47ae55895f1	0	0
7d67e7b4-34dc-4205-95f4-0b49775576d1	0	0
bcd59581-2397-41dc-bc3e-43bc45bac717	0	0
451ecee4-9d78-4bab-85a2-e248cae208d9	0	0
16679b31-ad70-4f51-b9b2-5129352391fd	70	5.83339166666666653
92dabf50-d8f8-4a9c-8087-0d84822b13b4	0.594125249072381956	0.049561763242826698
6c45ecaa-9d41-4624-9ca0-b1a1804a199d	0	0
93688297-c880-476b-89f1-cf43ccd27d48	0	0
f16fe23a-cac0-4f27-a119-169dfcc2da75	11.1837229437229446	0.93294306137566152
5d08c0c6-b2d6-4e09-aa55-61f365c36908	0	0
b95d3c9c-5299-44b2-a713-fa7a665c66e1	0	0
07aae07c-9111-41a5-a489-766ac558ba54	17.1436818181818182	1.43012117513888892
0acdcb83-6054-4deb-bc0f-3197253e4a8b	0	0
a3277881-ed98-4186-8bc7-bac9626851d3	16	1.33471555555555565
f8d93565-9a52-4353-866a-6a533b4f589b	0	0
fdf81e63-380a-4634-bfc5-7e543b65e24a	0	0
fac2f533-eefb-42e7-be29-2af3c088cfac	0	0
c417c1f7-da25-413f-b29d-9694c38da5d6	0	0
e6b5816f-e193-45ba-a24e-ea048af73fa9	0	0
bcda3000-f903-4ae7-aaf9-3ef789ddb1bc	0	0
830fdc70-6373-49ed-b6d5-c28aa1accae0	0	0
31ee5252-caaa-400a-9f14-e54454e3bf4d	0	0
6697a560-04be-4f21-91f1-65993251390a	0	0
29854395-1bc9-40ab-a538-bd4ea4b4db2e	0	0
e23f4f76-2218-4490-8e0e-f9192a8e2835	0	0
fc2f1b86-a5f8-443c-b800-a2f0a1ef4881	70	5.83938055555555557
7952848c-9baa-4086-909f-62569c1894c6	0.594125249072381956	0.0494635675419383483
71af1016-70e1-44f5-b5b6-cd5ad2222eb8	0	0
4631ce39-ca1c-4d53-bceb-2649abe40f93	0	0
b47e9d88-61b4-41cb-8ff0-18483c675cd3	11.1837229437229446	0.9310946405002406
fe525158-0de8-4162-81e6-4c1f1b555f9b	0	0
13ef0cf3-6bd2-400e-ad93-b7fd9fe1776f	0	0
c310e2bd-7bd2-4eea-a6df-093625fdfff8	17.1436818181818182	1.42728770550505057
ff9100dd-6fa8-4556-8a7d-9cfb1da00582	0	0
c643538a-5bdb-4731-be76-da4d9a9997f6	16	1.33207111111111121
da9a538a-b661-4e39-99ba-889b048dc8ae	0	0
e01d7b52-7669-4346-b841-761d6b557e96	0	0
919a8449-d66b-4386-a6ac-130b07ae32e0	0	0
0884f017-9ece-43bd-aa3b-76b4aaf796b2	0	0
e2d37038-27c2-49e7-8668-f0a38e31d9e5	0	0
13fac1c6-0a18-4491-a4b6-0fe93ee4d0b5	0	0
74151f35-0f71-4345-af13-17a1ef7e064b	0	0
b03ec048-93b1-4937-997c-10845715bceb	0	0
4cb3fd95-f531-47b8-b5f4-bcd63dfda961	0	0
b84c70a3-430e-43aa-8c69-e9da21584f61	0	0
3817897f-9136-41f6-9567-61704120e942	0	0
592f351a-0f54-4fb3-9a3a-f70c2e2143e7	70	5.82781111111111194
c8179d02-8a05-446a-aee3-12cdf132332b	0.594125249072381956	0.0495241353103854365
e7e62748-cc5a-48f4-9039-7d711af807f0	0	0
c6dd7830-a438-42a3-8ed9-2f563a8fa3d1	0	0
2b778e6d-cd82-4f37-9795-0e622e57a027	11.1837229437229446	0.932234758922558915
e3553887-2006-434a-9262-6a695db74dd7	0	0
e855fa87-95a7-4f5c-be6f-cd685b3309d0	0	0
3e94e780-adeb-44af-baa5-8cd424b01091	17.1436818181818182	1.42903540862373735
2439fe63-c3b2-4fa6-869a-0f5fd848c9c9	0	0
c189579b-93a4-41a9-a910-84c3194505d4	16	1.33370222222222212
d78472d5-a73b-48db-a96d-e7fd21f94bfd	0	0
09b0638f-a1e4-46b0-a665-4b0036dde094	0	0
ff4c7ef3-77a0-4924-895c-a4cf50d67670	0	0
1dd7d79b-cddb-420b-a2d4-0d0a8abed18a	0	0
f4720b58-17cc-44d9-bbc1-e858fed66e0a	0	0
7e081513-d04e-4dfb-a7cf-a1b26f0e7640	0	0
3e54af72-90b7-4ba6-8f49-21826fadf220	0	0
b334f187-7fcc-4e20-8043-a39180804001	0	0
5e1e2c7b-8ae9-47df-8b9a-49738ea0ce6d	0	0
e96c4bad-dc6f-4694-a436-450b67df66c4	0	0
9248c8f6-2be8-4297-b892-de63b6160888	0	0
d672a472-907b-413b-bf13-5d0d86e0cef4	70	5.83494722222222162
02021b28-4085-4b91-8f8c-074dbdf93cf4	0.594125249072381956	0.0495106024574899009
9438a27c-bb61-48fb-8095-241f5f5db47e	0	0
3ec822b3-8260-456e-b20e-fd5845cdf293	0	0
c391f4f0-2e0a-4ea4-9436-54c290ed8f57	11.1837229437229446	0.931980018566618607
c51b74eb-d647-4de7-ad9e-4d8394056290	0	0
1a9622b8-1bb9-495f-8c8f-cc3fc62d609f	0	0
8ef7c21b-7eb8-49c6-a20b-fff5cdfd38d6	17.1436818181818182	1.42864491364898982
25532b85-af5a-454b-a11c-058ca6be97c9	0	0
54168ee8-3953-48e7-899e-c88061452e46	16	1.33333777777777773
ab6bd941-8ec1-4672-8826-766a98f73dac	0	0
e393ed5e-ee07-4ec9-bec1-7ef0a85c2580	0	0
d775727a-2f84-48f1-9664-4291b0688199	0	0
ea9c7392-de73-4707-a953-6d0400df29e2	0	0
9debbd31-72cd-4e0f-9514-f780fc76c209	0	0
8d205b38-df83-469a-867a-0bed40c455b2	0	0
72c729ef-f276-4b28-be58-da6dc5ca7169	0	0
83737daa-ef41-413f-b339-41a46a5a4182	0	0
37c671dc-7914-424c-b174-aa6733a1a170	0	0
01ce776f-052e-485a-9116-0b819698188f	0	0
4f47273e-9e04-40fe-bb8e-79e8262c92fd	0	0
696d08df-2a6c-4842-bd24-7b583cce7891	70	5.83335277777777783
9d8a995f-8d95-401d-bb42-ae48f59727fe	0.594125249072381956	0.04951291294456963
5fbd08ab-7bb6-4d3f-aea0-c82ba6c9a6c0	0	0
1efdbc8d-7982-4f84-8ccf-2513094c50fb	0	0
0297d154-4e74-4c2e-8e36-36a1287ffc58	11.1837229437229446	0.932023510822510892
766f7272-bf5d-453a-9311-16b2459029e5	0	0
99906d13-58fe-48a2-8a54-819fef63047e	0	0
9375813d-d0df-491a-9846-f4adc89b9153	17.1436818181818182	1.42871158352272709
710f94b8-8287-44fa-a8a8-73e2dccd0e26	0	0
b7f076c0-bee2-4c72-b2cc-86bca60aaa77	16	1.33339999999999992
79dbc94b-2bc4-4fa7-b97f-84f28ef84444	0	0
4c65c47f-4e1e-4082-aac6-d60b8baf2dc3	0	0
fd737810-73be-43c5-9b3c-9f4aa57ffbc9	0	0
8bf49f3e-2877-4719-915f-3bb78fa283bf	0	0
f45df671-6cc7-4a18-abb6-0d88d38cba63	0	0
f9ad992c-d8bd-4875-828d-cef1f00fbcca	0	0
3135ce09-036d-40f9-8981-3c19df66236f	0	0
6ca617b1-c046-466b-adea-0718619ee74d	0	0
ba56186c-ff7f-4c72-b9ec-338fe710ae37	0	0
e12e98a5-7c56-4b7c-b92c-318a13c6558d	0	0
2eec22fe-ff19-4888-bedc-4ddb3a31cc80	0	0
cd22eed9-911f-4b21-be4b-fa8ba2e47dde	70	5.83362499999999962
4db2ed46-f22d-4da4-99a6-2b8313000053	0.594125249072381956	0.0495152234316493592
298933b9-af91-4ba8-9241-3143028a3fc0	0	0
79d2eb9d-2076-47f1-9d5d-6f7a28bf5e7b	0	0
a11a1bab-53cc-42c1-bb3a-9dd208303155	11.1837229437229446	0.932067003078403178
766ec50d-52c7-4a8a-9330-555c4633f471	0	0
97856ed6-0abf-45e1-9ab4-42cfc0f09f98	0	0
38d6c5ac-3926-48d4-8837-0019e2485405	17.1436818181818182	1.4287782533964648
14c35993-2097-4237-8f87-88a8b9141093	0	0
245904b4-b2d6-4b32-8153-c1f40d185e9a	16	1.33346222222222233
fb564d0d-ed57-4199-9440-dd866fc21d75	0	0
02db4e7e-eeed-44b4-b9e1-2b661bdeec15	0	0
ed59a170-9334-4cda-8336-c5c09483e3b2	0	0
e657f0d4-5dfa-4d40-9560-50c5e5cfa814	0	0
d447460a-01dd-48fa-9f88-ea9d2f487436	0	0
66d4bce2-7b76-42c6-9f20-12976efb071a	0	0
e8f3f8f0-ffa6-4d6f-98bd-c2fe1be96611	0	0
21b47f00-b173-4c70-baf4-12497e5115cf	0	0
e20b5f1e-8b63-4efc-8c1c-47d4b1b33e26	0	0
a663bd6a-690e-4e1f-9c28-ee41edb3ad6f	0	0
51031ec6-0e90-48e4-b27c-a24edadaf603	0	0
2532e809-f1e0-40c1-a114-93fdeab03d8f	70	5.83389722222222229
6ceae774-53e2-4b15-b6d2-1a7fa128b938	0.594125249072381956	0.0495112625966555447
0749046d-25c5-49bb-adc9-1e66c3c64980	0	0
ced0fe16-2782-4ead-93ec-0d1fc2ff5dc9	0	0
bf9b69b5-38bd-4d17-9874-dc5dfdcc66c6	11.1837229437229446	0.931992444925445085
7ee7cc1c-1eb6-4b92-a3c2-dc9cb8d8ffdf	0	0
f2a94765-bcba-4f3e-b1fd-4ffbd2753ae8	0	0
f60a872c-fe5d-455c-824f-7aae72e8d536	17.1436818181818182	1.42866396218434355
b43d8c02-6591-4272-9a1c-548cfdcf0be0	0	0
ee1ef4d2-8829-4078-aa93-a63131a22946	16	1.33335555555555563
8fe579de-5243-486f-8176-ac7611450405	0	0
24517604-4a2b-4884-91d6-9fe07937eb7c	0	0
8ae778c2-c80b-4142-b5e0-887bfcdc16d5	0	0
eacaa87d-75d7-4330-8c10-784f9339537d	0	0
7828df57-f263-4046-b6c3-862442efc8fc	0	0
30e89467-0bee-44f3-8faf-d9d823da8a1e	0	0
1eaf5ba1-9e76-4aeb-a14c-cef35c3e09a0	0	0
fd9601ae-eca3-4139-98f8-624d1c985f0c	0	0
833d2d85-fafb-45e4-a85a-234bbfbe63ed	0	0
f9071326-8954-400a-93a3-542268b85770	0	0
faa8ae77-e03d-47b0-84e4-6d904cd5682b	0	0
04a53573-847e-4cc5-951f-fd5e3cec3222	70	5.83343055555555612
3a9f7fba-60ae-4504-9de8-b5c5da41a539	0.594125249072381956	0.0495139031533180854
e6e3b60d-23ae-4676-b0d6-d19b257b23ec	0	0
79e536f1-3d4d-42df-96aa-91ac9cbe1169	0	0
5cbff69d-76e8-4213-aef9-a11508e5e07b	11.1837229437229446	0.932042150360750554
3712d888-579c-4dd3-8244-be9d5cd143b5	0	0
6b1e11e4-73e8-4d2e-a090-2d6ca6b46722	0	0
a50f2e80-f222-4021-8585-05fe6500f758	17.1436818181818182	1.42874015632575757
d9de1b34-ae1d-40be-a63b-fd68cb744c3e	0	0
a1fb9500-8851-41fd-8761-1e43e1e2f0c8	16	1.33342666666666676
49f58cf4-450b-42fb-ae14-2ffb225bd275	0	0
a7ec2b3f-4203-489b-bd0b-79c1282e71f7	0	0
494fbd2d-5f25-49b3-8e0f-8ee7b27e9e64	0	0
11f83140-1007-4f03-8d82-b0441f8ea010	0	0
8b5805ec-7fbb-4692-9f15-38d6dcf6e1d2	0	0
e567a2a2-7a4f-4f70-a1df-d143ca502d5e	0	0
61d3a802-6bc5-41bb-a323-20c3d3ff34ef	0	0
fb56ef07-2029-4f14-86ac-8f4c5e1a5a71	0	0
fa1272fe-0993-426d-851b-c2501c9d4dad	0	0
014a689d-311a-4202-aca4-ea1cb2369c5b	0	0
fcef04d7-b367-40b8-8191-647fd6420ca6	0	0
5e4f1334-aadb-48e9-899b-2ef328605a57	70	5.83374166666666749
19882fb4-4019-45bb-ad24-06c68f9319ce	0.594125249072381956	0.0495142332229009038
59fc66c2-7138-411b-97b2-a4a37082b82a	0	0
e5c3c77b-fc07-488c-9b23-815928669018	0	0
6da7fdef-3fbc-4b6b-800e-6f92fca5823e	11.1837229437229446	0.932048363540163516
9ef50557-c352-46e8-aa95-7672ee7fe4df	0	0
08fe0b27-abcb-4be2-983b-1308d1b6f586	0	0
86a0908b-48a3-42d1-962a-ce0e7a37c1b5	17.1436818181818182	1.42874968059343432
e1d5f95b-a13a-4608-8597-468876585739	0	0
fe6f463d-7120-4d98-bd2b-442c65cc71ca	16	1.33343555555555549
11615259-233d-4c0f-be42-6504f6ad4a4d	0	0
a30b3c35-7651-4205-bdbb-3037010c6411	0	0
35e003b7-675d-4ea3-b154-e38b9093be78	0	0
bc18fb5d-62f7-4b21-9714-c9e3be909455	0	0
9566c02a-38d1-49bf-b52c-dc9191ff50b7	0	0
8effbd2e-ce90-4334-b5dd-60409da0eae6	0	0
cfe9b0a0-7501-472e-be69-618d40ea15c3	0	0
adbc807e-c869-402f-8164-1c25c2fc2b36	0	0
28d374cb-07b7-40be-8430-bdb540f0575e	0	0
b2ad4ed7-523e-4a8c-9b72-8e9bde807966	0	0
80892a4e-9ebe-4df6-ac18-d9d36c478eda	0	0
c492a9f8-c26a-4a43-b763-cff5cc45a3f6	70	5.8337805555555553
96a8c3a0-f590-4846-861a-81de3e6b8aca	0.594125249072381956	0.0495142332229009038
734e1891-98f6-4d67-8d8e-d6b75ca8f875	0	0
5a60e188-e798-4a9a-8348-a3bf3eba26b5	0	0
2f0db0d5-ca8c-400c-86a1-dfc2918eacb8	11.1837229437229446	0.932048363540163516
c640e555-4539-47bd-88e9-efc7158ef5d3	0	0
ccf993ff-4b5b-41d3-b97d-141ff2397c9f	0	0
bba5465d-f9b0-41f5-942e-e6ed2962f3f1	17.1436818181818182	1.42874968059343432
fc215134-f3d7-4776-801b-99c9fba02084	0	0
9d3424c5-3961-4393-be97-be6c720e5e1f	16	1.33343555555555549
ad2e10d1-1e26-4d47-8773-8b9f5ea6831f	0	0
884650e7-d502-4a5b-bec4-e5e529b31079	0	0
eca448fc-7d18-4b6b-bf5c-34879922d6ed	0	0
1732413e-040d-4f70-b091-88f5ab027b27	0	0
6539c4f9-f15c-4e48-a6d8-24585525a4ae	0	0
d8ebb55b-ff5b-471b-9992-21e03a948d44	0	0
fe9056d9-8728-43f4-9895-373c9ae33155	0	0
e1e65dfe-6df8-4616-bed9-1c01dee7b941	0	0
bb3fe44e-5c2b-4b5d-8d69-b4c5a9edc441	0	0
a23c83a7-129d-4fee-84d0-d71117f0bc36	0	0
74fdb7ee-7733-46e4-9c90-0862160ad421	0	0
51e3d68e-b6c3-4c80-a30f-8ba3126ba812	70	5.8337805555555553
1c9b0a92-0a96-40d0-96a5-c08975ad9c51	0.594125249072381956	0.0495140681881094877
7c293bc4-41b2-4fd7-9edc-32d1c7d6a4a2	0	0
a23cc686-ab47-465a-80c4-a28804423564	0	0
26a88ed2-6123-4f8d-87bf-78b6798a2b62	11.1837229437229446	0.932045256950456924
bd07f02c-0c82-4c4c-9809-9c577ba9b523	0	0
6dee97c8-9e64-4663-8aeb-b858bfedc4e7	0	0
ca9c5c82-c03a-4efd-a0dc-0d80554d7a5b	17.1436818181818182	1.42874491845959595
d24a961f-8221-4f73-afb7-d01c96c0c840	0	0
198095b7-6f6b-49f5-9228-dc9c648f23c7	16	1.33343111111111101
3bc29c0e-b3a5-4dbc-ae0a-e2156405f5e7	0	0
68c744d9-1130-4cc9-b3a9-b50203024e92	0	0
fc85be9a-979b-47e0-92bc-7785050572cb	0	0
1254109d-f3b5-4453-82fb-614081eefd84	0	0
96c900ce-37bd-418d-81b5-657f501d6ed7	0	0
7fc86d69-9679-4b03-8ac0-df7e6ce88f9b	0	0
590509e3-0127-4c4b-b2d8-d7abd5a920c7	0	0
17577b5a-311e-44fd-b992-82d7010af366	0	0
b919870a-733e-4e1c-aa9d-b63ae316467a	0	0
1f4fc9b7-29fd-4d72-bc54-3b6f6e2f8964	0	0
928af648-e0d8-4030-9e4e-e28c429418a4	0	0
08c854dc-be04-4788-9bff-e1cdc2f19145	70	5.83376111111111051
13994209-e216-4a64-a211-1166e632e65e	0.594125249072381956	0.0495087870747844064
4c592496-fee5-4999-9e08-f46b1306dc48	0	0
a0bdeaef-8042-4efc-86dd-c85b637423bd	0	0
7f69625b-3a9c-481a-a57e-e5c14aa2d49f	11.1837229437229446	0.931945846079846207
46e3dd48-833a-4594-9511-a7f6ea8ffaa4	0	0
809de33c-ec97-48e7-ba24-5e3a5342a30b	0	0
79063db0-0509-4824-abed-ecbfd430d2cd	17.1436818181818182	1.42859253017676768
cb32664a-9779-4801-9370-6d173e580c6c	0	0
018d42f5-006c-4182-8348-d9db8b7352ba	16	1.33328888888888897
0a514673-9d89-4c18-8bb5-95308ca4b7f9	0	0
690120f5-3ace-41c2-b47a-afc0d883042d	0	0
6d749659-9ce7-4bed-89ce-70b0b263c78f	0	0
f698154b-8c1a-41da-a788-46028eed2c26	0	0
0eb708a0-77db-4276-9a62-ce4f47ee67e8	0	0
19ae6c9b-d8d7-42c1-a7d0-605d4df496b7	0	0
0d9dae10-eefa-420e-8579-95f01c97b07d	0	0
65837659-36dc-4960-8bae-ce82b4041432	0	0
a5c6501c-2242-4955-96bd-a540905c330e	0	0
14b14453-9ac8-466a-93c2-590152bbc0a1	0	0
393392ed-c2e6-4066-8bd1-5b928f98896e	0	0
97396931-f1de-4c20-aa70-dfce791eadf0	70	5.83313888888888954
cdd2fa56-4986-4045-97fc-e9a375738dd7	0.594125249072381956	0.0495170388143548537
63b71a4f-68a5-48d8-8c2f-fb20c801d7ba	0	0
276b0725-ddf5-4861-b248-875e98f793ed	0	0
0f79729e-66dc-4ff8-a506-86261f78a6e7	11.1837229437229446	0.932101175565175577
8e1d9241-0056-4937-a5f0-2d71a2ec7c10	0	0
c6255976-6d7e-4437-adc8-35c26c5599b4	0	0
f5dc63a6-e707-4da1-90aa-f79db3a67be8	17.1436818181818182	1.42883063686868694
1c2b9816-2db2-4979-88e5-61a01971f2d2	0	0
45cd158b-a12e-4bb0-8c0f-47a5ac466330	16	1.33351111111111109
fc009f24-747f-4593-b35c-9e2dfdecdc64	0	0
04cebc7a-da93-41da-93f1-d4d2a1506a91	0	0
5edd609b-ba3d-48e8-b9fb-144276a208d1	0	0
b5a4eac7-e029-4373-acdf-c1ef19b699b7	0	0
91bc732e-566c-4cc3-a4f9-d29e29344309	0	0
ead4374a-c42f-4df9-b7e6-fa9465c71501	0	0
0b1e4dc4-2a16-4886-9fc2-28da72feeceb	0	0
cb1d8580-4462-4d1b-bd71-c48bc7eca80a	0	0
c390d806-fe8f-47b1-8827-236cf4919665	0	0
dd168175-5d6c-4045-a518-5e29ca434d3e	0	0
e8fd8d4b-af61-4d8f-86de-af3d890a0bb6	0	0
d3ae831b-21d8-4f97-924b-d8bace5aea9e	70	5.83411111111111147
5fb901d6-eba0-4399-af4d-d399e0c66840	0.594125249072381956	0.049516543709980626
8103f435-0530-4cb6-89f8-c36d916590cf	0	0
67252464-5561-4ed5-b24b-3c0dbb3626d8	0	0
e05c5da1-2ff1-4846-9d41-203ee382d8f4	11.1837229437229446	0.932091855796055802
ca844cd7-02fc-4893-b59a-4d2d0f5be580	0	0
cd048d30-0b6e-4066-8d3b-4d9bd6024244	0	0
ea5a9d46-b4fb-4d88-8c40-7a4e7d2b2ec7	17.1436818181818182	1.42881635046717159
1dca5651-e642-4081-920f-b07f69d2c88f	0	0
f1997bd5-8905-4025-ac2f-686371da2a83	16	1.33349777777777767
d3c5ca07-08e7-4ad3-8bdf-07af82055c07	0	0
23eb417a-1009-42f9-a7f2-e336660ef577	0	0
9a450208-3da3-4397-a4c3-ddf4a26eb78e	0	0
518df520-a7b1-495b-a7f2-98953cf11681	0	0
2b034ac0-94f2-44bf-befb-a250d9cc9668	0	0
a02e0894-c487-4b8b-965d-e982a63bb710	0	0
4948031c-3dd0-44a2-8988-e5596cf0814b	0	0
82e2f81f-961f-4090-bcd6-1f0ef67ad0be	0	0
5f386277-ef4b-46ef-bdde-f630b7af6513	0	0
7c47958e-e794-4115-8e41-6456f03c4d6a	0	0
43efd344-a850-4af8-9553-3bb9507d750b	0	0
9c5ea07c-f9ee-49ae-8a63-97f464d5321f	70	5.83405277777777709
02e56466-78c8-4663-8d55-be06ecf31f08	0.594125249072381956	0.0495124178401954093
be72fc7c-4517-439b-a978-4eb4be40b124	0	0
94174a37-0dd4-4d8c-8e7c-2586a99c223c	0	0
4fbd8fc3-e8a7-4357-bc3b-b1a1392038c0	11.1837229437229446	0.932014191053391117
a76a3b7f-6436-48b1-b51b-1c537709f158	0	0
5f2fcf03-ceb5-474d-844d-75420dad1672	0	0
2976de51-a4c8-4541-9f6c-09efdf32bc2d	17.1436818181818182	1.42869729712121218
65086e33-a467-4c7a-a11f-983a9693f997	0	0
165d3799-0f91-45af-8bfb-9cf25707b1ac	16	1.33338666666666672
5dbba810-8564-4278-bc1e-00a2cc078cb6	0	0
24d3c7f7-f412-41c4-bbbe-0f239d3bd734	0	0
34c006a4-32b8-47a2-bcfd-a3013344e58e	0	0
3890e774-522e-42ec-ad62-68b1c141c40c	0	0
f44c37ab-7048-467c-a81a-d24ad975d2f8	0	0
c5bc68ed-7a12-416a-b33d-e95a36ab1469	0	0
dff63754-e0f7-4c3e-bba1-d10ce501cd28	0	0
94ef6ce1-09c8-444b-9bd0-dd12fe8e00eb	0	0
b10ddacd-0a62-4ce4-bc87-ac045c323b63	0	0
9e885347-7859-435f-8412-11494e731a26	0	0
ecf66745-02e6-4ea0-9e53-857fb9a3553c	0	0
0720dcd1-5057-4660-888f-9c8a851e7366	70	5.83356666666666701
0996eca1-7019-4627-960c-ffff6ff676a9	0.594125249072381956	0.04951505839685795
ed852b6f-480a-4f4f-9b24-42dacf2f158b	0	0
bf1fb8da-edd4-4dd6-a852-683d865103b1	0	0
857fcda1-189d-45db-a1eb-30266468d462	11.1837229437229446	0.932063896488696586
f9bf86f3-5205-443a-9df3-f3e2c8c0398a	0	0
da85d413-b28d-4dbf-a070-9bd9271983e9	0	0
261b1d17-55dc-40af-8769-b8ba22f9eab6	17.1436818181818182	1.42877349126262643
c6434c66-1552-467f-98be-9f7762f2003f	0	0
e99e3982-ed55-4eda-bdf1-32d94176afc8	16	1.33345777777777785
9a0a305d-c21e-4d6d-92a4-ebcd65d39d44	0	0
61eded1a-63ab-4e06-9b8e-228e4e226383	0	0
09fa792f-e926-4879-9b4f-5585c6583d83	0	0
aee4df5b-45d1-486f-8943-6263638937e2	0	0
0eeb5c16-9fb0-4ee9-909b-c93a8ac015ed	0	0
2610fe8a-50b2-40e2-92ae-0b4d79601fb4	0	0
3ddbc7f1-b2e9-4dbe-a3b1-c59bf92018d4	0	0
3f5c417a-487c-408f-81ec-4e0f580f4c7a	0	0
a18f97cb-f336-4c60-8fe5-65d9be0ea7b2	0	0
d6c752da-5243-4053-91a1-412c48f72501	0	0
0181fa46-70ad-4bf4-a81d-75e974f1ce96	0	0
6b9e79b4-e64a-4449-b158-2b7996db6e40	70	5.83387777777777838
ac32738a-4952-4f9c-86ec-5e4fd67b6831	0.594125249072381956	0.0495124178401954093
2677def5-57bb-423d-aedc-3279ac4990f7	0	0
56fab451-1c3a-4e16-bf2e-3844404af8c6	0	0
625ab522-bd16-4963-a16b-c258137ae64c	11.1837229437229446	0.932014191053391117
dd5ce168-93a2-4c37-b815-665480d991cb	0	0
4ce05c7b-a67d-4be2-af54-ee03ef0266a1	0	0
f0532ebc-0879-4bcf-af78-8fd9f2e56e9e	17.1436818181818182	1.42869729712121218
1966e006-fb2e-4eed-a532-8b5e4075cc53	0	0
66a4ed61-2170-4548-9fd8-f82e701c1f5e	16	1.33338666666666672
39f96cbd-dc2f-48bc-9563-579c2ba7fe6c	0	0
68c40724-1dca-4249-81d5-3499838764b3	0	0
4e94a49e-1b87-450a-b4e0-09905bc60d82	0	0
8163777f-776a-4c2b-8f99-d311dfabf3f0	0	0
394af33f-6863-4553-8df9-e10101980e0b	0	0
f5d1cfd4-6b69-45c6-92fb-d4f39d17a2c7	0	0
cd789eac-74c4-4e0b-aa08-32df5948e214	0	0
b1767201-6967-47a5-8b39-2a7f6568d8b6	0	0
859725bb-fada-4c55-8b83-473cb62ad405	0	0
5c9f5f41-a6e7-44b7-943b-ab51e77d947d	0	0
1efdd19f-4a7b-45c4-bd44-dcf4f96b0c7c	0	0
61a69d75-2350-43c3-a53e-23063c5a2839	70	5.83356666666666701
1d0c10a8-fff8-43bd-9cb4-e0ae581ede0f	0.594125249072381956	0.0495130779793610393
21b072fe-7d23-44c4-a5be-eccd963bb49e	0	0
78f8c8f7-0d08-4c9b-aac6-3d68438ded8f	0	0
876dc847-47b7-43f1-b428-3967a3fe7854	11.1837229437229446	0.932026617412217484
d2bd81a8-3958-4737-8fee-0da0a3a4f1da	0	0
6c96023e-ab01-47f7-9f59-61ea23c5a959	0	0
13d9b17a-af96-49fa-8d63-65d719efc2c2	17.1436818181818182	1.42871634565656569
576bf6cb-a4ac-4f88-a88c-499ce7038902	0	0
e2f7a57e-e31a-4953-8a37-4b230b3edaa1	16	1.33340444444444439
a59f618e-556a-4394-8e2b-462a17b57d15	0	0
e21f85c6-b6f5-4944-99c4-409f328daa6a	0	0
647e9f1b-3454-4fbe-b557-d3f70b331356	0	0
6f92d1d9-b5b7-464a-acc7-735a7b58b4e9	0	0
20f19ef8-8560-42ff-8f59-7d6120244ef5	0	0
74c67d1b-6c22-4e22-aa06-748ee073f7b8	0	0
4cb78605-ee13-4a41-876f-b9b9ef8024b5	0	0
a992ac16-8c73-49da-9c1c-f4e75234c2cd	0	0
9dc4ffc8-2b7b-4105-8027-4e6ae37caed4	0	0
7be8e21b-546d-4ede-bc13-228eb18fb8ad	0	0
dfce0677-f82d-46f1-8a56-eeeca901cb58	0	0
ae88ab8f-f33a-4ce1-907a-68085543e73e	70	5.83364444444444441
d6fcc878-09ab-48c2-8f4f-6a2a53d0d99d	0.594125249072381956	0.0495134080489438577
360d31ae-c702-4a58-a69b-b86fe79549a9	0	0
28afb138-1125-43a0-9e9b-2a74feb042fb	0	0
152c7252-0716-48ae-8b2f-32a35a7d5fcd	11.1837229437229446	0.932032830591630668
f797a498-37c8-4227-9143-35478d1a5912	0	0
f9722205-52ff-4abe-9b5a-9fa55736fafc	0	0
f0c9c6b6-c08d-4d01-abbd-d3379aa1440f	17.1436818181818182	1.42872586992424244
88f95578-83fe-4c68-b85b-6024be2ef0fa	0	0
a5957c59-862f-4565-bf78-57080a613fcb	16	1.33341333333333334
be357458-53d7-4436-8fd3-f82ca2f45a22	0	0
8b35aed1-4675-4ee0-8d26-991e1b75a0bb	0	0
3f328939-4b26-407c-b579-935ab966722b	0	0
edf4297d-824e-49ff-b2cb-ede7abeec639	0	0
14573bca-f6c9-4cf4-bc82-c494c3849719	0	0
e5769b8f-eed1-46eb-b782-d381d85a6515	0	0
a90228e4-44c9-4e76-a2eb-c5b9740cc41b	0	0
21445120-d8fd-4b55-99fc-1c57beddf8a9	0	0
7518bfeb-3e36-454c-9ad4-24c1d2bde3f0	0	0
1e06fd6a-14a7-4303-b36b-456abca136eb	0	0
febddb56-ab69-4572-8534-47532c22c6c6	0	0
60b47147-7d71-439e-8cb3-0b7a6d442231	70	5.83368333333333311
e6808014-cf14-4b57-ab3f-191a66861ac0	0.594125249072381956	0.0495168737795634445
ed3ea606-5677-486f-ad59-6efb853cda7b	0	0
fb1f268b-d78c-4a6c-82e6-ecbf76f7efe9	0	0
ee8d8dc6-a86c-4e05-b7d5-c62712a39523	11.1837229437229446	0.932098068975468985
8b2e1aaf-d6c1-4338-bdee-091efe338815	0	0
fb0bd32e-3cd0-4744-9105-db4dda60b3d4	0	0
d23895ff-2cca-4700-9f05-e4d2093a1313	17.1436818181818182	1.42882587473484834
7045b461-412e-4e90-8235-cc83d7fc1a51	0	0
2971700c-ee09-40f8-958c-79314fab9759	16	1.33350666666666662
87b4acd0-0871-486c-9957-e508090db654	0	0
c1452d8b-bcab-4ce7-ba5c-453034d5ce99	0	0
f151b685-5925-46d1-a598-fd5a4c7ae74b	0	0
3e4a0e2a-f5d1-4fd9-af0d-e2112d766718	0	0
1bc6cbea-c127-47b9-affc-3882bd1da069	0	0
f93d0eee-9814-4121-8928-5e5cef4695de	0	0
c21d9b9d-ce61-471d-b075-45e74e157966	0	0
aa4ccf2c-781b-40b2-8460-e83a2e190826	0	0
e2eee6b6-ed8a-46b6-9661-12827dae43b8	0	0
a27bca21-ebd6-4b80-b343-a8cf65b8a10c	0	0
000e292d-8106-429f-8f36-80b71b7f5d16	0	0
a3958693-fa35-4b6c-9caa-31fe8cc4a1d9	70	5.83409166666666668
e2b1566a-b338-44f2-8a1d-7e130cfd6344	0.594125249072381956	0.0495115926662383563
03cb03d3-c7f9-4299-a5ae-86f03da08616	0	0
0e98fc8b-bc96-4f43-8b97-d93364963271	0	0
ec23b3a8-d927-4d74-88cc-a52d5f5ea64b	11.1837229437229446	0.931998658104858158
5f1ab9bb-7caf-41da-b0cb-7440e0a5de06	0	0
d73be666-ad2e-4652-bf03-6e23daaf17b1	0	0
995176d9-5c85-43f2-bddf-f500ce869b89	17.1436818181818182	1.42867348645202008
d384101d-b335-4084-89bf-4ad664407b45	0	0
7671e087-c5d4-444a-9054-96e23cbc31a4	16	1.33336444444444435
c792453f-7161-4871-991b-9c83e5e52108	0	0
399e80d4-8b90-4009-bd37-ade36907035a	0	0
5d3d328c-1ac2-479f-89cb-33dc274be31b	0	0
66e66707-d088-48b9-ae97-bbaf3866cfa5	0	0
3776324a-d8cf-47f8-8689-ee69736f9224	0	0
f4b2164b-e999-433f-bf12-1939fb7bc89a	0	0
0ad83390-8462-4f7d-a44a-83ea25b17924	0	0
4cc115cd-ca06-4659-8505-b0839790df99	0	0
f0f76fea-eb93-4c4c-8ee8-a9027f823336	0	0
3a490915-940a-4e0b-b711-c2edfd8eb8d9	0	0
4640b787-8aa8-4099-b6a4-5a64cdc96af3	0	0
9f72c896-3b6b-4590-bb11-1d5843a3c8fa	70	5.83346944444444393
e54fc4ca-b75f-4e57-b92f-4f70ec1803cd	0.594125249072381956	0.0495137381185266762
e32afb9e-01c6-4a83-a810-acb4e702cb08	0	0
2b13218a-4b17-4d31-bc51-2aa6a761a0a5	0	0
7ed5326d-2d1f-421e-b8cc-96d7b0a6d763	11.1837229437229446	0.932039043771043851
f805fe47-8370-4fd5-b9db-f8737872dc07	0	0
7c3c3dd2-6eb4-4560-b050-150530791332	0	0
4d1dcf2b-b0e2-4a85-94ed-1d02d4fa5a12	17.1436818181818182	1.42873539419191919
bdf67a3d-e562-4014-bed5-bdca9fb4efc4	0	0
3dbe694c-07c4-4b95-a801-f61282077435	16	1.33342222222222229
4720e213-f5a9-46d9-8362-0adf181b8c26	0	0
20b42d89-6c65-48d9-b8fb-acd9a01b84f0	0	0
1be1a979-7951-434f-bbc8-3e4c7580be6b	0	0
83ecef70-4df1-475f-bbcc-46b6aeff3bfa	0	0
6428b3b4-e413-406f-8a34-88557fc868c4	0	0
35ec4393-5db4-4279-8d59-2776ee7f1c64	0	0
1801a035-0d32-4f76-9dfd-c59de44c2257	0	0
f631a2c5-6271-43c9-a61e-b79f4ab866b9	0	0
9139dcc6-e0c0-4fa9-a974-69b538d7cbba	0	0
60f1373a-d4a2-4e04-8a2c-975a0079f309	0	0
62175c4d-9646-4728-a167-8f46957fd02b	0	0
734bcce4-be3c-47bf-9248-4630ffa9dcb8	70	5.8337222222222227
d2e6792c-247f-4a76-a27c-ac8bbb4a4b53	0.594125249072381956	0.0495124178401954093
bb49ab17-70a6-412f-b8e9-a5e991a4ef24	0	0
f796a126-b8bf-4aef-9dfc-938112de0366	0	0
4c97f2f6-048c-4d84-91ba-1b8cf032b676	11.1837229437229446	0.932014191053391117
98dde105-b9cc-42b5-87f9-24da80cf0301	0	0
09b49ae3-34e7-42af-a5ca-a0402b38bdcb	0	0
c557c2b8-47e0-485d-abf7-7f47c6519bcf	17.1436818181818182	1.42869729712121218
394dc917-d8fa-4978-a482-c1f754397b9c	0	0
4ec26301-f4b9-4daa-a4c2-24a7e5ef4b00	16	1.33338666666666672
716c4331-92bf-4cfc-a51f-a209bbfa63b7	0	0
9fabfe31-abf0-4b8a-9daf-5528bc445356	0	0
234b08c1-7001-4067-98cb-a20da4fba0f5	0	0
fa5a939c-ecf8-4a76-8833-f360c585b282	0	0
c3bda91b-9248-4530-baa5-3bbed4e836e1	0	0
84cf6685-c2e2-4b79-920d-ea12c318a831	0	0
f6016a36-eb24-412f-9854-9371412378e3	0	0
d24f7dca-280b-4b73-b67d-b14a52838efe	0	0
faff58d0-d2fa-4e17-98b8-8142a27cca60	0	0
104926c0-ff49-45d2-a2bb-597c344e1e5c	0	0
a47f8dbb-aeef-4b34-82b5-5aef02e1694e	0	0
bb6d352e-a3f1-426e-9d8a-f52de445bb40	70	5.83356666666666701
6825adef-f682-476e-ab8c-051d20474704	0.594125249072381956	0.0495178639883118998
76c8559f-584e-4bf0-ac04-deb3eace1db2	0	0
afffc291-da21-4254-ac4d-c5de458bd76b	0	0
371dd96f-6fd9-4b78-8b40-448d80bcf2db	11.1837229437229446	0.932116708513708536
8ceb684f-8504-4b5e-941f-b65d5b2988c6	0	0
b92b1ddd-f7d6-45f9-97c7-20e091c2132f	0	0
a5dd7f7a-6ad7-49ed-b625-e967da52ab94	17.1436818181818182	1.4288544475378786
e0d7f152-9ac4-4605-a6a9-e9bdc8bd9bbf	0	0
90ae043b-37c8-4399-9975-794e9bcb1689	16	1.33353333333333324
ac2c175b-4883-4213-955f-77eeedbbed99	0	0
c24e4044-8e26-47e3-8d2b-b1f10711e89d	0	0
e24d2cf2-fdac-4c58-9106-a079ec25f317	0	0
9b46994a-134e-45d8-b4ae-1406a0a85986	0	0
95e2088f-0a99-4a7a-a2ac-0b3b523e014f	0	0
7ecfd8a8-b361-47aa-80ae-6b01048fa9e0	0	0
1f03eaa0-310b-4fe9-8500-a76f5f085ba1	0	0
9d693c44-f509-4bb1-bfb9-b1c44bbb9847	0	0
6d35521b-7a66-406d-b3ed-d6f48aec787e	0	0
f8187534-1e31-44c6-982a-4fda1552670b	0	0
7158e014-a26c-48ba-b26c-e07b26a36664	0	0
f3710293-6a96-456d-9e23-824527da240e	70	5.83420833333333277
5b701828-eae8-436d-a787-057075418871	0.594125249072381956	0.0495051563093734104
3311262c-32b1-45cf-a8bc-88061e82c3a7	0	0
75246123-1f0d-4c26-a965-498e53e66820	0	0
c2ca27fe-cf6f-4bd5-9ea2-f4395b214b2c	11.1837229437229446	0.931877501106301298
9d89b354-efec-4619-8d9e-63ba8ab78be6	0	0
1448c04d-2a45-4890-8134-ab3e8239cc98	0	0
8b1a9f41-1188-48e5-8e6c-d2e6f2e7f188	17.1436818181818182	1.4284877632323234
85f06d7d-d38d-4d51-a904-1e8d27c51db8	0	0
f5f172ad-7aee-44b7-9054-a69559b008e7	16	1.33319111111111122
2b46faf3-29bc-4a98-981a-4d0679ef9ae1	0	0
c2e2bb22-9676-4255-ab61-193d0173c7c5	0	0
b2844657-cd75-43f3-926b-99127bdc597d	0	0
ee0c2ef1-3107-4d2b-9bfb-f870f3d76ed8	0	0
af80ae1d-7eb9-4684-b346-f05a4a043511	0	0
989a735d-fb04-4fe6-bdac-1902eec96629	0	0
0e0720e6-897c-4597-8ea3-05bf7ccda085	0	0
316c0574-ae15-41f7-bc82-ac2d8d0a6311	0	0
2d751b7b-4797-428f-aaa4-7cf6642d614f	0	0
d6735feb-3b88-4d0a-b374-786fda1df548	0	0
becd5acc-71fa-4d97-8a22-c32a660bd0fa	0	0
f3a9ae69-cd0b-4f8f-8ac9-4cb8b2787910	70	5.83271111111111118
ee7e9a65-af9f-4ea9-ba75-157b3305dec1	0.594125249072381956	0.0495205045449744405
45d2af1e-49b9-47a2-a036-1f04c8a45cb6	0	0
8248e8d4-549c-4e6e-afa8-468c973e3499	0	0
3ca41733-c383-4738-8ffc-8e49a8e5b277	11.1837229437229446	0.932166413949014006
a8d155e4-6c50-47c6-be76-4056d702266e	0	0
9d2a9710-5f70-40d8-90b5-aee04561b543	0	0
bb50ff5a-571c-4599-ab8b-68139acb233c	17.1436818181818182	1.42893064167929285
5c26ddde-1e41-491c-815f-4b97615a5b69	0	0
46516943-4447-47cd-8812-79055aec921f	16	1.33360444444444437
75a4e1d6-1afa-46f4-a5cc-c44f4b7c8e77	0	0
e8f24a08-c264-4cf1-accd-56ea83cd0c9d	0	0
c343d7db-6e29-4c33-8b10-92b74645e1a7	0	0
7478b230-d67b-4985-8afe-29e7ce867bb1	0	0
9fb7c37f-6ae8-4bfd-996a-2da6c9e758e0	0	0
530d9792-4c8e-4c13-b81e-0b20af88f80c	0	0
eee53b3f-19ad-4546-bd3e-eff97dab503f	0	0
0b0e8c71-8ffa-4f25-a30b-0143917d1ddb	0	0
1f00fad2-b496-4430-8783-2f4e1579c5b7	0	0
8b81afaa-c174-4aed-8e76-4069c5a728ca	0	0
8d29aa02-6f2f-418d-828d-dafb82218aae	0	0
25ee244d-cc9c-4e32-ad2e-220fa019a0d9	70	5.83451944444444415
6d52ca45-c558-498b-b2de-e7fbaff23382	0.594125249072381956	0.0495134080489438577
9a3f7ed7-d031-44c7-a825-c8fe2bce7557	0	0
a0106acf-0633-4339-bc59-501d0b745072	0	0
41de6b84-dbfc-4d3a-bff7-efabbaa8d10a	11.1837229437229446	0.932032830591630668
8bfd9739-1bce-438c-8c35-2210bb1a6653	0	0
a2bfe62c-5b89-4f44-913e-6149acd4c067	0	0
103a61ef-5b7f-4efc-8db4-a774c5ab45c0	17.1436818181818182	1.42872586992424244
cc1926cd-daba-48a6-94ea-f328262aeb76	0	0
b5d64263-8764-4e84-8ad2-800811cc9669	16	1.33341333333333334
ac40a193-af39-4175-bdd3-aef0564d27a4	0	0
f8915c15-e412-49f6-b7d9-07215ec02b9e	0	0
387bfd26-d8ac-434f-9613-94fb57600101	0	0
a14e9c77-71be-4b5a-972f-c733d89fc4ad	0	0
19b7cdda-3e1b-4223-b0c7-07ac22fb179d	0	0
021620c6-036c-4f89-add4-0dc851997553	0	0
60f63a9f-75f9-48b0-8190-2849f220b85e	0	0
989b4e2a-ffa3-4780-a19b-3506ff8287e5	0	0
ce4332e6-379d-415e-811b-a18004a55f12	0	0
ec3cb8b6-3f60-4343-8871-2454e78cc6a5	0	0
9532e3eb-bcc0-4f7e-ba3a-a038bf61a4f4	0	0
9c8f4394-c4f8-4cdd-b48f-9e3a2a3d2092	70	5.83368333333333311
7acb7ce4-26f1-425b-8f33-c95e5d9d9928	0.594125249072381956	0.0495139031533180854
5bf0aa87-6dcf-4362-97fd-97a6282a291a	0	0
558481e9-3479-4178-af18-dd38bf709c19	0	0
dd1c6f0b-4811-400e-8f5d-f5564d9ec5a9	11.1837229437229446	0.932042150360750554
d68da351-1da5-42ea-aebc-77ad5c2cc402	0	0
f2ce544b-6527-48d8-8588-6593140fede1	0	0
9d32d4e7-0b84-4096-bfab-43b208812d63	17.1436818181818182	1.42874015632575757
96e98d50-cea5-4658-9222-681115b95106	0	0
cfebbb28-2a62-4129-8488-5fc5c8d05e86	16	1.33342666666666676
a6c489cc-8b94-4354-8e0a-81b3923f50d1	0	0
07732ba3-4c03-4952-be0c-646279b1d88f	0	0
f564f212-836f-4935-a0d7-78b19ff04891	0	0
358b0509-1aa8-4d70-9dc0-80a9be769739	0	0
553ba4e6-204b-40bb-ad8c-1722aa14d541	0	0
f5e4ea2b-f13f-4791-8637-c7017e75cc85	0	0
3f3e4f94-7242-4a35-9b6a-bb2c61286902	0	0
2aa7aa95-2864-454b-aa85-164a36967c1f	0	0
1c7113b3-71fa-40ad-99b7-8fd05086906d	0	0
f304b32b-bf99-4c4d-8129-5038963ad42b	0	0
93b69697-a23c-45ab-922f-36757c90ede7	0	0
e83b575a-84e4-4019-acb7-38e83e949f36	70	5.83374166666666749
904d37a5-0644-418c-852d-5b1de3fcbe72	0.594125249072381956	0.0495120877706125839
6b3593e1-3b6e-4861-85f5-58b7b4ee132f	0	0
08f038de-0aec-49f4-99b1-9636a1d9af6f	0	0
535d48ca-4f3d-4ab3-a4f5-94cd85d52aee	11.1837229437229446	0.932007977873977933
527f7a2d-602d-47ac-bdd2-c3012a978c6c	0	0
ce92846d-8265-4b2b-a67e-9728abefc2fa	0	0
852f375d-8da1-4052-b481-adbf1354b3a9	17.1436818181818182	1.42868777285353543
dfcb6efb-dae9-4f24-94d6-f0eeca3d15fe	0	0
fecc72cf-e05b-49a5-ab3d-78fbf3472c37	16	1.33337777777777777
f93200c3-b374-4086-89fc-dd316d5445ad	0	0
25b6fe02-f696-431d-85bd-29d62927a3f6	0	0
00e47bbb-c2e6-47e6-a48e-28546429ac0a	0	0
18e56976-b42d-4cbe-88fe-699067031697	0	0
1e22f7fe-b87a-47ed-bc3e-b729a866f1ab	0	0
975bed5e-0d57-4885-b1d2-2802c518d888	0	0
7b5006c7-0ea6-4366-9795-1d4cae5f731c	0	0
359fba4c-33fe-455b-a5a5-9374ac3b471a	0	0
5e77846f-7d9c-48f7-a993-a05e633aa453	0	0
64b1255f-7cee-4b12-a0cc-654748259b41	0	0
2c6e8ec7-58a6-4e80-9d7d-133b701e8735	0	0
9ef3866a-6ee5-42f2-bd7b-921f286c37fe	70	5.83352777777777742
5605988e-0c28-4dda-a665-07c4006edc80	0.594125249072381956	0.0495147283272751315
bd62f279-dca9-4746-bc19-0ea39d1d3c85	0	0
f4e3b0ff-4d3d-4a7e-868a-560eb7374c77	0	0
19fe0720-7405-43c0-922f-183ede49b889	11.1837229437229446	0.932057683309283402
0fb39179-4147-4a93-b3a5-c3044ca493e6	0	0
96c193bc-e544-4030-bd76-e85f826ef475	0	0
1740bea8-337b-4172-a423-07bb1d8d66da	17.1436818181818182	1.42876396699494945
5a963bfc-7303-4c2c-8ef6-01f019067469	0	0
a07a42a1-bd75-4eb7-a175-946e679f28d2	16	1.33344888888888891
92687a86-bebc-4cad-b608-b0aec10bcca8	0	0
067b5de5-b207-4297-bfd2-f4685845a871	0	0
928f6e28-fa89-4554-b47d-1a817e8b24c7	0	0
04559b5d-9d1b-4b70-8fd3-119d3b4fdbb7	0	0
5b915a43-0f68-41fb-84f4-432d30cdd778	0	0
f24a1e97-534a-4b3d-80c7-3da194124431	0	0
790a8e29-c369-4f1a-b17b-f6d2ac7b9bd0	0	0
fb517c8a-0fec-43e4-b1eb-4338a0c5655d	0	0
7ca8d8a9-f05b-4bad-923c-22a07eee6dd4	0	0
4fc9afc0-7097-4f4c-89ee-63327ae2fd04	0	0
25ba4458-c885-45a9-98f1-3c14a544df80	0	0
ecf4153e-630e-4d9e-a9f9-81fdf40cf144	70	5.8338388888888888
20492840-51ff-4801-8f79-6fafb7b4c2bb	0.594125249072381956	0.0495130779793610393
ec4a23a4-8578-40f7-9737-2dbbcb323461	0	0
8fdea52f-4879-4a24-bbfd-ffb1fb7eb488	0	0
066457b3-848f-409e-9514-ae0308cd1c24	11.1837229437229446	0.932026617412217484
85691067-faf2-4066-95cd-920a4a423519	0	0
e5855d96-98be-4107-a5bb-eee0f45f0ad2	0	0
2033c099-9ff1-4053-a4aa-d39434c7c2bf	17.1436818181818182	1.42871634565656569
2f97ebd7-b14c-427c-8dd9-5fb38133d83c	0	0
4d64a898-ac01-451a-9577-ac68171bd285	16	1.33340444444444439
c4cf6eaa-69db-4923-8c54-01e22da3a3eb	0	0
7dffee53-c3b2-44fd-b623-300af6ec0a98	0	0
f6e905cd-00da-4b0e-b37e-717aac07be95	0	0
953a7f6d-1f42-47a8-ba4c-bf43d85eef97	0	0
9b9a7d3a-d738-4cc5-be78-8d4de235672d	0	0
b5b07bdf-453e-48f3-83f5-5087d59d9ffa	0	0
35d5d5b6-1ae7-4abe-95b6-d6df914e5ae5	0	0
fd970672-c415-4935-99dc-4896180080cc	0	0
87905651-f355-4a41-9708-eca9f4131e46	0	0
f2b8cb22-943f-46e8-a0d5-b83709c34b8f	0	0
08a9ed17-f41d-4aee-92ef-6302b02da546	0	0
f6d74fd8-9ddd-40a4-9123-47c780a57eea	70	5.83364444444444441
fb2cb175-6d7a-44e0-8bdd-db5232a15175	0.594125249072381956	0.0495132430141524485
75b8ceb7-347a-4b5b-8c6e-61cd0bdf5e08	0	0
2ae6ba2b-96ed-4a5e-bea4-d0bf142d32f4	0	0
898276f6-4c55-429d-aa7f-61fe58e9285b	11.1837229437229446	0.932029724001924076
28c27941-557a-4f09-b873-5a0fbad4ad26	0	0
c1593248-b9c3-4249-a734-f465f661d4e7	0	0
2f0fa0d3-a09a-4122-a6e4-141d17d4ac22	17.1436818181818182	1.42872110779040407
7aa4f172-af58-4e7e-8798-b98e588b66b4	0	0
da183d4a-aff8-44fc-a1c6-5654522da869	16	1.33340888888888887
cafaebee-cf2b-4ad0-8204-4c9712205351	0	0
fa29d8a1-9e4b-4a61-a1f1-f190ab0f88f5	0	0
a996b660-e175-4b72-ba44-3b251069fe0a	0	0
32b77367-9fbc-4816-ab2f-453609c69474	0	0
b12efd1e-c173-4603-a0c2-3575d3720f94	0	0
5ba310c0-e21d-408f-b29d-1892ff565f3e	0	0
f718394f-d2a3-4484-92bb-d9e81b42fb87	0	0
dd109bd0-7bbb-4d76-96fa-e21479ecbbb8	0	0
6eb11b0e-c9d4-4cb9-8b57-273c12f31a46	0	0
4e896dc9-c83a-4aa1-8c0b-f76cfb3c5c5e	0	0
674d9417-d371-46e6-ae14-240ea7a5e79f	0	0
9f29a06e-4df3-4083-a4ac-353dfa41ea2e	70	5.8336638888888892
09d11ced-d187-4ef7-95ea-ecc06110542c	0.594125249072381956	0.0495147283272751315
b9d183da-986b-4d33-a55d-47e511e8911c	0	0
3c7cdf33-fad5-4944-a593-0fdf592eb82f	0	0
323c5c0d-a8e5-4faf-a40f-f19b0a771868	11.1837229437229446	0.932057683309283402
cbdec2d6-df0c-4360-b2c1-1e8f1b18db07	0	0
2d3defbd-ab3d-4eac-a654-61f00ed83585	0	0
98e8d537-a297-42fc-a789-35c29cac0e81	17.1436818181818182	1.42876396699494945
8dd3a442-6007-482e-aad6-468c0851063a	0	0
418cf008-b76c-449e-9bcc-efaf996a7f94	16	1.33344888888888891
8250534d-6500-4dfc-9592-91c9a8fa4128	0	0
0ea30373-ca36-4876-9844-7f0737ac2c38	0	0
94f428ae-b7de-41a2-b4af-6202464edc2d	0	0
60025a19-ced5-4070-95b0-368b875eb5aa	0	0
e3f94526-b555-499f-99a5-688a874df8f8	0	0
bddb2551-c6c8-4c1a-a91c-c728ef79ee53	0	0
4dc07d5c-5a3f-45fd-9b23-791f6819535b	0	0
d28cb9ec-06be-49af-829f-051a71368877	0	0
19255fdb-e5fb-4c16-beb5-82c988f6aec1	0	0
4f41b072-5220-4174-afaa-8d87df607bad	0	0
7579b581-f9e6-41e9-9fc2-6b79bfb421a3	0	0
38680851-cd51-4991-b278-8be6eb94a584	70	5.8338388888888888
71049f28-8a6d-4bd0-ad98-7e4b8feaa54d	0.594125249072381956	0.0495140681881094877
5643bd11-53b4-4f0d-b957-eebbc298f460	0	0
cdc8d051-04f2-49ee-aff5-a76b4975741c	0	0
a5f29b32-7971-4092-a9f1-b1c752b7e3d1	11.1837229437229446	0.932045256950456924
728e736b-618c-4612-9fd1-41e7cc24a83b	0	0
9d1a4437-7d0f-41f9-9294-e5454f5af9d4	0	0
02b2d4a1-41b2-4a83-91a4-c9b93cc345bd	17.1436818181818182	1.42874491845959595
e1d66518-c638-4713-846d-c1ad2b7ab07a	0	0
958a3242-db45-4305-a096-dbfa52b73e10	16	1.33343111111111101
51bb1026-2e8f-4520-b235-0014278b7a10	0	0
b3201eb2-efe1-4986-b168-860f08b84d91	0	0
a3562ec4-c884-4741-841a-8ef76770915f	0	0
6ddb50ba-05d6-4bbb-8149-db6840e7a011	0	0
633e42c8-9256-4b5a-ba06-c3dbe9d73ede	0	0
8b088aa6-bf7b-4a3f-8d3d-d33a3841d897	0	0
2bcd1f8c-89b3-4d88-8cb2-e99e9dd27b36	0	0
f21a16ef-1b9c-4fa9-afd7-ec0379d8184a	0	0
613f6dc3-6871-4063-9188-5ff1a92ae3bf	0	0
817a0fc4-c736-4ced-8689-a193affd39d2	0	0
a504aa65-add5-45d8-94ce-04c08f982ef8	0	0
382d4690-f38f-40a6-bd38-230dbc4188e6	70	5.83376111111111051
8ff6fc64-b91c-4529-bb87-f50853c69254	0.594125249072381956	0.0495117577010297655
dad35456-a253-49a5-9a52-758751bffb2d	0	0
fd2dac93-41bc-4bc3-9323-c519085b7496	0	0
886c3316-58fe-49ce-a8bd-f3217fe37905	11.1837229437229446	0.932001764694564749
43843b47-cb69-4e3a-ba97-8d49d890685a	0	0
cce0db29-3d19-4f5c-90a6-ab7ca1ef7290	0	0
52aa5250-7215-4550-b348-98a0716cc28f	17.1436818181818182	1.42867824858585846
9c2a5688-eb32-455e-ba60-5c270072bdca	0	0
68aa7142-8350-4700-8d6a-8927654f997e	16	1.33336888888888883
263f9790-dc58-40f9-b1db-15d503dbfb75	0	0
977e2e23-cb43-4803-a39e-b5aae44ac361	0	0
f4ce1ea2-a67c-407d-bc15-1971a565647a	0	0
d9462d83-2924-49fd-a6cd-708a6759467c	0	0
cc98e63e-2939-49e2-a144-c60afc78b15f	0	0
8a521f24-11ab-4f9c-a78e-7369b0be4cb5	0	0
72d28ebe-c064-4c8b-b8d5-dfe767a26c6a	0	0
c086e464-11d0-463c-8a57-1e5eb2855ecd	0	0
a03d3d98-e9e2-4292-83ce-45e0a43194ef	0	0
e7a3c448-f9a6-4059-9b1c-a9e7ab8f2be2	0	0
98d3621e-fffd-49f9-aafa-41b54d81bfc0	0	0
8deed5f5-c9dc-41bd-b408-27ac9498d00c	70	5.83348888888888872
28dc1923-8424-4a90-8dbd-7fbe3fe63e6f	0.594125249072381956	0.0495172038491462629
1090c362-f272-4924-87ec-298c191a9b50	0	0
165dfdf7-92cc-479f-b177-2cf1d32bd440	0	0
db40e8ea-b3e7-40e5-9d23-a076bab48790	11.1837229437229446	0.93210428215488228
85e52be7-e84f-49ec-9c3a-93453a9399dd	0	0
79fb2e44-9203-490c-b897-8642181bb116	0	0
bc79ec68-ed36-4a84-a7b7-57d5b356bae2	17.1436818181818182	1.42883539900252532
49298307-ad33-4579-a1d3-9cf8630ab05b	0	0
aaf17ca0-b1da-4584-b5d1-b3ba59628b0a	16	1.33351555555555557
ec98a853-3db4-4681-a021-537a58efb5ac	0	0
350e06cd-4f48-4125-89c2-8f26b1ead72c	0	0
b7937134-2909-4225-b1fd-034a22f88564	0	0
cc69a134-b4a0-48ad-b66a-4f2406942258	0	0
25f223a1-7cbc-4b54-be66-696834b40959	0	0
0b6606ce-f065-4940-852f-905b62ac26ce	0	0
84e36876-4d0f-4a0b-b19c-6d2773b1559c	0	0
97bfb49b-c23b-4b64-84f7-537ba65ed5e3	0	0
7f52a166-3be2-4098-8b33-9fa11c20a6ae	0	0
977e8579-bfa6-4054-bb2c-4456d952982c	0	0
08400c6b-8f5e-4008-9cdb-cb2a25e34dcd	0	0
4b6451b8-fc93-4be5-a946-8dd8db9b363b	70	5.83413055555555538
fd9cfd33-676e-47b7-a804-58e487e7e6d7	0.594125249072381956	0.0495117577010297655
c8dad8c3-7bbd-4b42-84d0-8bf6843f233b	0	0
f773198c-5dad-4c0a-9565-3c4a8d6e61ec	0	0
6e7813f3-c4b6-413b-aeec-198a44a78656	11.1837229437229446	0.932001764694564749
880d79fd-660f-45a4-a327-6e2c8393939b	0	0
db49efab-4da9-4d1a-9e75-836d5747c254	0	0
c7430109-5ab1-4218-8552-6137b68e4024	17.1436818181818182	1.42867824858585846
329c6a3b-0237-46ce-ac8d-86291a39828b	0	0
d51b62d4-0fb8-4e29-b282-936ff7a2a18f	16	1.33336888888888883
964560cf-deb7-42c2-9f98-395bd989ee40	0	0
8862dd7a-c89c-4945-b4d7-04c3acbfb7a5	0	0
daea8e4c-b1d8-4d38-9cf3-08bdf5cb8143	0	0
e1c14709-b7ce-4659-b5a3-3a01773a529a	0	0
e15eaeb9-e7b7-453c-ac6a-b3242d255d82	0	0
0198a8d4-9fc9-4389-948e-3908463c75ae	0	0
4a86e220-cca9-4dbe-b477-64257b0270a3	0	0
3d9ab062-246f-470a-87c9-bdf177942997	0	0
3184cdf3-a2ce-4d72-8f3b-d9b2164ed519	0	0
13799951-8bb5-4ec6-bf16-d36bbc38bf93	0	0
06b621cd-aa75-4977-a5cb-03718928cf95	0	0
ec45570a-1f50-44fe-8f29-198b4c41265b	70	5.83348888888888872
1dbae463-bd7e-47a4-800b-13a9f33b15d9	0.594125249072381956	0.0495142332229009038
c4ae6842-edb7-41ab-9543-23f0b8fb6378	0	0
3aa1ca33-cb57-4465-91ea-edd0217cb212	0	0
7330be53-9498-40c1-a624-fbf18b705ec3	11.1837229437229446	0.932048363540163516
d3f65be0-ae34-47ec-9156-6b14b7486d9f	0	0
3f57fe5b-62dd-487c-b8c6-69546939f9b4	0	0
f6ca1b5c-8c4f-4096-9c4a-23b86d6404a7	17.1436818181818182	1.42874968059343432
7f8ecfb4-8574-46fa-ac76-b7cb9fbe9283	0	0
414aca57-644c-4e84-bff4-55b1f3f72ba3	16	1.33343555555555549
109bde7a-8203-4302-960e-ccb1d7a5ba18	0	0
82fb2907-5417-4b6b-aea1-2cf25c958932	0	0
40ced279-29e6-493f-826d-0abdcbfd265e	0	0
4136d3fe-f35b-4f4b-8940-a1f37ada3c4a	0	0
2aaaba58-da68-4bbc-9cee-8a78bd8ef8ef	0	0
8cfd74ad-9716-4528-bcaa-f9fe39fa8dff	0	0
84ac285e-c7ce-4a3d-8f28-26ffd72ed8fc	0	0
c1707805-e7d3-435e-8898-f31422f30da2	0	0
58a540e8-763d-42ad-99c7-5fcf6189b01a	0	0
05b03c32-4e64-4257-a33d-3cc78c1b4d23	0	0
cd98635c-56b6-408e-8fc6-fa4ba65f9257	0	0
08148c74-906b-48de-a0df-bbe3011e3e8b	70	5.8337805555555553
2383ee6c-53af-4c9e-9543-0e0c3936f94b	0.594125249072381956	0.0495127479097782208
2a0d37a6-103c-44dd-ba58-f7f39bc22e9d	0	0
544d0f38-bfb6-48b0-9d18-1087ccf82f65	0	0
8128a6b3-ae8e-4b16-9386-107a1d6e755a	11.1837229437229446	0.932020404232804189
18d03001-a41f-4c61-8860-8aee89d68a2a	0	0
36ca179a-2314-4b20-b0cb-1c162134488f	0	0
93c2f98d-cc6e-4084-a63b-95a269c77f93	17.1436818181818182	1.42870682138888871
3c8bea6d-bec4-4b61-962f-7f0bc8751640	0	0
be61eaaf-d02f-4cad-9a2c-ca5903b19869	16	1.33339555555555545
c2be5beb-5c70-4910-879c-549629e9a6fa	0	0
a784b9dd-c86c-4718-a873-9baf2c38e4f4	0	0
6d46e6df-48dd-4a16-94d6-1d81c783ffd4	0	0
9a19dba8-0827-493e-8fbe-848d3e3bc78f	0	0
3eac98f4-5460-4a28-aaac-257192ddb679	0	0
b3e8130b-d029-48de-b962-b94d92ed8c42	0	0
031c1834-fe45-41d3-b013-749c4ecfebd6	0	0
e0379d09-dd99-49c4-9353-e1a2f70ddf99	0	0
680105e7-20f2-4aa7-a146-866bcae631bc	0	0
bd16b6cd-5c28-4c22-b38f-7ce5de4e7cfe	0	0
52a38a55-cd3c-4552-96de-cf5e3274889a	0	0
1e764a5e-9440-4c45-8e8e-857c36a79c43	70	5.83360555555555482
a61c1c28-2608-41b4-a067-4e93add68513	0.594125249072381956	0.0495135730837352669
e0c33534-98fb-46f4-9460-b1135a95fa96	0	0
bbafd616-3112-475b-b36d-45d869a88fa1	0	0
0d69dd34-fd56-4162-ad74-a113815f055c	11.1837229437229446	0.93203593718133726
e78ba813-b402-449f-a6d6-e51ec3987f76	0	0
5177c024-f6ad-4d67-94b2-2002a6a39434	0	0
a41c6af4-c38d-4b0f-9396-6b55ddf0a5fa	17.1436818181818182	1.42873063205808082
4422b9b0-d7f6-412f-87a5-a513b80fa6f3	0	0
c3bb1068-2152-4230-a7cf-6ed3e4566502	16	1.33341777777777781
2a74f5d0-f155-427e-b96a-b03b5e86ad9d	0	0
afa0079c-8363-495e-87f1-bd022dad2270	0	0
ec3149a3-4298-4b38-8b02-4341662fca06	0	0
701a3267-743f-482d-93b2-c800b86837c5	0	0
b04350ac-7aff-4651-a2f2-b3a351cb4900	0	0
0c219ada-9cba-432b-9eaf-70c7ffbd02f8	0	0
90fb7809-107d-4b1b-80f5-fead06630fea	0	0
f76c65d5-8c86-4252-a48b-25e66542b07c	0	0
cad7a251-e684-4446-abc0-15198b893593	0	0
be404786-5d62-43b8-b310-104a9b2e48eb	0	0
02bbefd6-0cbd-419b-8b17-b33dea0ab059	0	0
5443f4d8-88fc-4d82-9976-bcfda98128d5	70	5.8337027777777779
dcf199f8-fc22-4668-b061-d2da15290318	0.594125249072381956	0.0495147283272751315
f403832b-f380-4e84-ae58-86b6c4c8c262	0	0
8cc3c141-dd5d-46e1-abfb-77c769e71b67	0	0
7e863a4f-94ad-4f82-ab8e-ff7799341150	11.1837229437229446	0.932057683309283402
e3993295-b451-404c-bf7d-746035ff7f18	0	0
0372b96b-c273-4a5e-8e0b-7d33809d8a59	0	0
64b077be-1763-4259-964d-c2bdbd0a1f8d	17.1436818181818182	1.42876396699494945
19b5ceea-6e36-4af6-97b7-abd51257930d	0	0
136ee30c-e30f-4e75-96f6-6b1887a8467b	16	1.33344888888888891
2ee77c64-7e75-409b-a1af-63c6a65c4c5b	0	0
3d5bd7f8-6560-4ca7-9b83-8ddcd14cfc1c	0	0
36f4018a-c01e-4e1a-a881-d8e471ca95d8	0	0
44d550e7-4b07-46d5-b19b-cc9c9ce7b798	0	0
888e8a78-cf77-4e8b-8921-0d3a623feace	0	0
ec5fb0fa-d3aa-4450-b2e4-4a6b94249037	0	0
d2213224-2dd3-4cb7-b335-8df8fe58860b	0	0
170ad44f-060e-45f4-9e36-9972ecde3163	0	0
33567cac-da4b-4510-9ba1-d24208355cf3	0	0
85c83074-c2b2-43bd-b676-75e1f432ad1a	0	0
2b2c61c6-c4b9-4e86-a898-489868448c58	0	0
5e08dda4-49cb-4d23-b4fc-3809e9baac0a	70	5.8338388888888888
4ac5a384-fe6c-4987-aeb4-a4b68ed1c084	0.594125249072381956	0.0495107674922813171
9f82149c-89aa-4158-9377-2914815c03c5	0	0
ccb74bca-455f-46d3-a367-8725cf5faf88	0	0
6ebb4716-1404-4ee6-9555-190f8097b05f	11.1837229437229446	0.931983125156325198
47598398-2791-4d40-a9cb-e87d63b9ca75	0	0
5bd54978-54cd-4a0e-b444-657217a29e42	0	0
3943e6de-b32f-4659-b2a7-5a1f781b7ee1	17.1436818181818182	1.4286496757828282
65026250-bd7a-45bb-a503-f09e117ee8bf	0	0
ec8c6ab8-da34-48f3-842c-149418887f24	16	1.33334222222222221
a5430394-0584-403a-9e1c-9f2535ab4efb	0	0
c1e124ef-4171-4061-8430-d9c0ea489b98	0	0
25dd5ef5-087e-4497-bb26-1f55affbf765	0	0
19ba7de3-477c-4901-9be2-020ad227d960	0	0
8b1eee05-f4d9-48a3-8062-0ec21deee686	0	0
6b094d04-d11e-4c38-9d85-3012352fadc9	0	0
585bea1d-cc21-461e-9f2c-c58b8cd6e036	0	0
e4a374b9-f6f2-48d3-88b2-c8e416690fcd	0	0
8cccdfe5-3eab-490e-a5d6-717be8d5baa6	0	0
f184d402-4df9-4cae-a0df-ca400127180e	0	0
7ce04405-c705-4bdf-a2aa-4a7d6f4fa193	0	0
978daac9-b292-4a75-91bb-371d03cd932f	70	5.83337222222222174
5a9b31f1-a300-48ac-a076-2dba6d9f7d95	0.594125249072381956	0.0495167087447720353
032517a1-6eb8-433c-b0e2-d6cb438160cd	0	0
d7d7da5f-a343-405d-8b8b-9a8f27a1370f	0	0
ff484960-d19f-4f0a-9e24-538852ee94bb	11.1837229437229446	0.932094962385762393
f2bb5be2-1060-483d-9114-27bb70067875	0	0
5c41eb73-5c56-4bb2-a54f-2b5708156b62	0	0
da89f35b-014a-4448-9062-ee15c6abec7f	17.1436818181818182	1.42882111260100997
895bb19f-f55e-4584-ba12-bc52a7e5b793	0	0
3afb85e9-9b36-4b66-9918-907b1b095688	16	1.33350222222222214
80f0284d-40bc-492c-be58-a16cdab10b83	0	0
859ae286-d2a0-466d-98e3-3ea9ab78495d	0	0
4cbc2be6-1ecc-4fd7-b56e-b1ee637467d4	0	0
3ca9c039-4574-401a-9bea-3369113f9da5	0	0
a1b49ff5-14b6-458a-8bec-68d933cde011	0	0
a4925c21-5de2-4fe7-ae50-90a4925d5472	0	0
9459eefa-17bd-462c-94d2-52d9345b0177	0	0
0ce83a91-063f-4060-b56c-a60c5a1feca5	0	0
8fe9df8b-6d80-4070-aa25-486fd2236b3b	0	0
390dc480-5c9d-4e18-b68d-05ee82414f45	0	0
1e2f3918-648d-4237-b52d-814be631030f	0	0
55ffde6d-ab2f-4fb7-97be-d06a525584ec	70	5.83407222222222188
778a58bb-a272-4a34-9580-9d8985176ba3	0.594125249072381956	0.0495147283272751315
03cc1635-baa6-4977-8618-e3dfe00dcff1	0	0
7389d625-0966-4d1e-bdc5-473aa7a5f91b	0	0
0c93ef60-fb59-43ac-bdb1-a32d54467851	11.1837229437229446	0.932057683309283402
4094c339-4a6d-4ead-9db2-d9784bd520e0	0	0
6e45ece1-066b-4760-8184-01e7b9d4deb4	0	0
b9ae46c0-db67-4a04-b631-a242f64b47f9	17.1436818181818182	1.42876396699494945
0bdde998-38b7-4af7-bb34-d6925d547e9a	0	0
b1a05580-df53-4c63-b458-477da9bde3bc	16	1.33344888888888891
16070118-81b0-42dd-80ad-396a5a444205	0	0
4d5814ab-6bff-4444-b564-f5bf33340e68	0	0
1a4ed4a0-14ba-4a6c-90b1-d8732bf5ac0b	0	0
d9ddb200-d682-4433-9ba0-f7230c009a2f	0	0
9b79434a-bb96-47f6-b5d7-578dbcfa7547	0	0
a1cc580a-0ebc-4dcc-9a90-8ef242bfcda5	0	0
f42e44ab-bf7e-4c47-8197-081a774141ea	0	0
bffcf10f-9209-4a26-b5ea-f5a4e02b356b	0	0
4e990c45-1af4-45b4-8ef2-0bfe19e2335d	0	0
cf28ef9f-00a6-4517-975b-5415825ba9c3	0	0
46af26b0-9ee2-484a-9ee4-d4788d280a3c	0	0
a4c44712-91a2-42a0-9633-630fdae4b929	70	5.8338388888888888
1fe91da1-3a9d-4b2d-b14f-de73d9b47a4c	0.594125249072381956	0.0495125828749868185
b0500f91-23e3-4634-87a6-9287a010bf8f	0	0
fdfdca23-40b0-44bc-b30f-900d75f03f34	0	0
51e93ed4-5bed-492e-8fbe-f8d1047a5a5c	11.1837229437229446	0.93201729764309782
204f6d65-2faa-4457-81a3-c513aa5157f9	0	0
a85d02fd-cb41-46fc-855f-91c26c908530	0	0
02aa2102-e9ee-4642-ab0a-8db36290c373	17.1436818181818182	1.42870205925505056
ea8ea260-ea68-4ff2-9ac3-2fbe8931bb2b	0	0
8ebb5cf6-e038-48af-8b6f-51803ec62474	16	1.33339111111111119
4b5ad452-2bb0-408f-801e-1fccbc24af93	0	0
8cf19cc2-58a3-41e0-9758-1e00f4c93983	0	0
62caa32d-493f-4f45-b159-e0a0325e6efb	0	0
c9803a1e-79fb-4e9c-ba8e-791e62d94231	0	0
8940c6f4-3668-4afc-b783-0706ae06d203	0	0
9ba251ad-412a-4ec0-b8c8-9c61b25f2473	0	0
49916aa5-7a9c-45d1-8150-b19a0ea12da4	0	0
e950520d-8c76-4781-b6f6-ba0ff631c7d1	0	0
e9af1d71-881a-4db7-aba9-bb794f0fa627	0	0
e090dd69-de72-4492-b5af-00c833d296cd	0	0
c59b4183-d7dc-4c35-bcea-ea020e6ad923	0	0
5084e273-1678-4233-983f-e861ce1087be	70	5.8335861111111118
98a16856-fd1f-40e0-ad80-7ebab588da02	0.594125249072381956	0.0495163786751892238
71080479-dd10-4ec9-85fc-a66f07e1e06b	0	0
154563c9-d711-43bf-9423-2ad5e7404e21	0	0
a4ed99f4-e0a3-41f8-ac07-19991432005d	11.1837229437229446	0.932088749206349321
f00c3f9e-7bc5-46c7-8543-86d789fa689b	0	0
7aeb42ae-ff05-48fd-be1c-a4c2cd6a05ff	0	0
45e2d880-cdeb-4f30-844d-afb1dbab4bda	17.1436818181818182	1.42881158833333344
750923f5-44bb-4954-851e-d88aef10e23a	0	0
6e02c4ea-7876-448a-84ff-25741b935cb9	16	1.33349333333333342
9e1e3008-6f87-48b5-947a-51ba05881ca8	0	0
4d61cc50-ce4d-44eb-b37c-47766d07c0fd	0	0
b183c875-da62-460e-9670-d840994d6e76	0	0
6db62321-b73a-48c7-8d48-57524ce6d39d	0	0
16f2cd56-16a3-4da1-9fbf-a217ea2b2a3f	0	0
668bcde3-5530-4fd9-86ec-c5ab80785448	0	0
4c7afa16-bde0-429e-8cbd-5e7b428e60c4	0	0
5879cadd-f192-4811-81ab-0202ec425293	0	0
13f80629-c552-466c-97e9-26839ac45535	0	0
0a6819a8-0a50-4877-8624-07fd94008a46	0	0
d41f406c-02b7-495e-9c84-08835b4f0ca6	0	0
f67f5d44-fea0-4ff1-9669-9cf85e9add21	70	5.83403333333333407
e081ff2f-4cef-4404-b347-71395154b21f	0.594125249072381956	0.0495122528054039931
b4b3086e-87c3-4471-bd33-4774b1c1cd1f	0	0
5e3efa67-f952-4fd7-8303-2fdb0a551d95	0	0
3fbf5061-e183-4a40-8df1-1bd44bb0f158	11.1837229437229446	0.932011084463684525
b43513e7-0e99-4592-8f96-f09fd7657143	0	0
23c0b510-d44e-4bba-8b56-341e620e6c19	0	0
08816ac3-cad3-4f3f-8fa9-21830bc1ee6c	17.1436818181818182	1.42869253498737381
1060acbc-ccaa-4bc2-9db4-9eb1a6a42625	0	0
7c6a1270-09be-4e60-98cc-65969cc801d3	16	1.33338222222222225
7e94eba8-0004-47b8-9de6-1e2e3b3d2945	0	0
47f3b39f-34c9-484b-91bd-d6ba27e99858	0	0
ce39daa1-7da3-4881-beaf-1db7e4cd0e85	0	0
15313f8e-0ede-4080-a5dc-75ae947f813b	0	0
c24a6f4b-c478-4821-bee0-8dee0f453a09	0	0
54225001-51b4-4331-a44a-77823da0430e	0	0
6fc21e7f-f369-423b-9cf2-3009d427d8d7	0	0
d91e6a9b-fb4c-433d-b5f5-1e288b06e98a	0	0
b5b77b28-4e0d-4e4c-b803-5f859ddd4687	0	0
ba47d8e2-af2e-42fa-bc54-fe587e03ed9d	0	0
2587ce2e-0de1-4d43-8623-1b3ccb6f3b00	0	0
240af90b-7f31-46ef-ac25-52f43dbdc6a4	70	5.83354722222222222
34d3fc00-a662-4a22-bc9f-e001c935a86f	0.594125249072381956	0.0495107674922813171
ee054119-f49c-4776-97e8-504e0c9431d4	0	0
887b0a90-89f3-4882-80ff-f0de9e6cddda	0	0
3774c0c3-92fe-4983-a2b8-5d94da353c58	11.1837229437229446	0.931983125156325198
cf1a1ab0-9d2d-46ac-8c53-1d07fa78aeea	0	0
75d0c409-fb83-4a71-af88-2da9b2298beb	0	0
a6e97dbc-ebed-4636-b705-44fb37736f82	17.1436818181818182	1.4286496757828282
8916799c-b161-4c65-8e09-ee526aca0ec5	0	0
a077be99-1610-4248-91fe-3126ce69805e	16	1.33334222222222221
7e85a1d6-0c93-4871-8aa6-0d5431da8439	0	0
2c64fc54-028d-424c-9c2d-cd537ba8a8bb	0	0
f378be70-ce4e-4da2-bb83-74025971406f	0	0
a04d6885-a258-4248-a6df-b5e9dd1eafa0	0	0
74e8728a-2ea3-400e-bc2a-fa90f245c9f3	0	0
b56ebf10-df27-44e1-bb5c-164a1d825f16	0	0
2f31222e-f28d-4239-9ef0-639406ab3242	0	0
990eef99-27f3-4355-91ff-cffcafe7f6c1	0	0
e9674d10-656f-4e49-9699-f4c881dbac11	0	0
c02bbe3b-1537-4ea0-962d-e427e8c0e63e	0	0
28022cf7-4d66-4b9f-bcba-9e4f5b211a20	0	0
b9532adc-0070-428e-b9f3-e8b50f534d44	70	5.83337222222222174
5d9351db-5281-43ff-890f-f6cf98a43fe3	0.594125249072381956	0.0495175339187290883
66f6ca56-ccb4-4a1d-8ce6-78cb1a7a9054	0	0
460b370e-6ca5-4920-af74-31fdcb49ecf8	0	0
3562ed27-c380-4aac-807d-293f21982ab4	11.1837229437229446	0.932110495334295464
16aca42d-df2e-4d0e-a28a-918db0a8e0a7	0	0
acbf9611-e063-4972-9f9d-1904d69732d3	0	0
6ef6805e-fdac-4147-9a8f-f9b997194843	17.1436818181818182	1.42884492327020207
b212bd6e-8e45-499e-a8ec-40962428f071	0	0
f8292194-e823-4262-bc76-530ece9ebf12	16	1.33352444444444451
5a09a8fa-476a-4e63-9737-2433ec376593	0	0
8b542b1c-5383-44b0-a894-6db431f7d504	0	0
22d7b59a-15cd-4885-b3e8-745c492cc852	0	0
c8ef9258-5933-4f5b-993b-5819aae3ed69	0	0
58d9e166-de88-407c-a1ae-ff50bf090088	0	0
33d5533b-91a2-4e20-b13f-a9e037ce8d2a	0	0
08b8c407-f3de-43e8-8e21-3e6b7679baba	0	0
41ca1de8-0ade-4833-822f-e84cf290a42f	0	0
ee06e638-09c0-4be8-a730-721455a49001	0	0
1528047d-3b4f-4df4-a963-d916634998e7	0	0
a6df9684-2d59-49b3-bc85-a4b7575d91c4	0	0
c626ba08-263b-4506-9504-7b0bd95a672b	70	5.83416944444444496
b88dde9a-b3ce-4396-89e4-0454538044fc	0.594125249072381956	0.0495147283272751315
5308b6dd-87bc-4d93-b039-ce73bafe8a0d	0	0
e8e76f56-ca6e-473a-84db-739c2afeaf1b	0	0
a03fd52d-6881-472d-9274-34ca697a2934	11.1837229437229446	0.932057683309283402
7e67c42b-9191-4b52-b9f0-3ecf9c40a4dc	0	0
3d64c5e4-6bfa-4020-b625-eac5dbe32749	0	0
6c2a873c-fcd6-45e7-9433-a3b8ffbf3b6e	17.1436818181818182	1.42876396699494945
2506c0d2-2f89-470c-8992-70c425da81ad	0	0
330d2306-a1c3-4f6a-bd66-b258c6f5f337	16	1.33344888888888891
67e8301c-14f4-4334-9142-4a9d4c5a2849	0	0
db8b0371-6e11-4bfa-9062-ef54f968ecfe	0	0
f8032beb-8e8e-48cb-9d0d-d9f43987cdaa	0	0
6912d149-110c-49de-801c-f1b75f2d2873	0	0
03022a1c-dfdb-4573-a1d8-fe08dd41ef88	0	0
23d8c48d-b4e4-4b86-976d-aec920289b8b	0	0
38e7d3ab-16f9-4a68-a07b-0f2b2f9a3b25	0	0
2cc8d151-7dd3-4b7c-8011-66da7d7663e6	0	0
f311482f-df74-4e3e-ad7a-d91a32396b3e	0	0
04f0c7ad-0d43-4930-abdd-856c4b511ad8	0	0
2847ed9a-d33b-4d6b-bd72-dbac12f71d71	0	0
f674276a-a977-4177-9d6e-f420a002cfe4	70	5.8338388888888888
c3b95225-57c0-4e35-93f5-0c167beba443	0.594125249072381956	0.0495145632924837223
49a9905d-0670-475a-a7bb-d4690b1e6fd2	0	0
8611cad3-9e3b-4372-84aa-b669781ac506	0	0
8b3e7f8e-2120-4a89-aa68-397f855c26a7	11.1837229437229446	0.932054576719576811
fbaca9e7-bcd7-4c80-b390-ae4858c129c6	0	0
42686102-5629-4182-a254-33e58bdc06f0	0	0
793af5ca-9818-4106-b581-e1b807e8ac87	17.1436818181818182	1.42875920486111108
ce1e02a0-af83-43f3-8c83-e4cb168327fe	0	0
bd4699d0-2529-4bb2-8bed-49993e97072a	16	1.33344444444444443
faddbe1d-7811-4911-a66c-cf8bc0c59cfc	0	0
c1234a18-630a-4af1-b482-b6e4a97d3cfb	0	0
a32f0509-7f91-44da-8396-4361c7829f56	0	0
57db405e-4a5e-4ac4-9a52-80711d452d55	0	0
ee4b9bdf-98b8-4b35-bc7c-7eca470e4de9	0	0
1dd16966-bd1c-41c0-853c-088108370e59	0	0
a8a23700-c879-4880-a563-b651da256f3b	0	0
7baf7949-3fee-44fb-89fa-40ace798090f	0	0
19ff08d4-51aa-44ed-8312-4e711a446ef0	0	0
2ab8f87e-fe6f-4f5e-9684-87a2b3fbf3b1	0	0
8648d5aa-5acb-4f0c-b592-0730d962ae26	0	0
1466bc64-fb25-4fbc-9235-c578da9381a1	70	5.833819444444444
2dc7a6fd-1c04-4547-ab0d-9810ab0dcf2a	0.594125249072381956	0.0495125828749868185
11823e88-3e27-4e12-8d22-46997b30b1dd	0	0
25a9602c-d021-4ca9-b77e-daf9a77eb7a2	0	0
d62b7a58-b2ec-4ec2-85e8-6cd3480895cc	11.1837229437229446	0.93201729764309782
807d390d-ff2d-4e7d-8d17-fcb26d01cef9	0	0
4e3c3ab4-314f-41c9-b5ac-d62763e453c7	0	0
db7e7f04-462d-43c8-a65e-9d95386eb1dd	17.1436818181818182	1.42870205925505056
3ec68a12-06ef-48cd-97ed-a046c6c464f9	0	0
ad0730ff-2a80-44ef-ad98-049936a67548	16	1.33339111111111119
19f5a06b-ceb5-4b1a-88a2-8ee67e5b246f	0	0
8a555fa4-ba7f-4d43-b276-eb6b197f38f6	0	0
d158cce8-46e5-4049-a4a1-b1fffa6ae4ac	0	0
4c3c2c48-e831-4e2c-b615-f97680f7f4e6	0	0
830a453d-1b3e-4741-9d36-194d4cf452e2	0	0
3dbe18fc-2b79-498e-814e-d5f8f94f76c6	0	0
83d10101-b211-4bb7-8a06-3e7ec07acac5	0	0
8815e10f-afca-4e74-aaad-d40363a0c691	0	0
95a25487-b218-40c2-a8e5-9944d5e2dce8	0	0
d31babc9-182c-4d29-a873-0d07942febd4	0	0
7a587000-3459-4cbe-9f44-d525d4e9bdf4	0	0
2ccc0a1b-c228-45d1-a451-3e745b9641a8	70	5.8335861111111118
0349010d-c505-4ef8-8730-367594e33175	0.594125249072381956	0.0495170388143548537
8da5ab1c-34ae-46c2-b6ca-ccf6e7f78f15	0	0
c8618623-ccc3-4a40-8185-70c3be77a494	0	0
91b4312e-edb9-4714-b8c7-44861c5ac8d1	11.1837229437229446	0.932101175565175577
f33b3808-3d6d-4932-b1f8-46916b1f9b8c	0	0
9b0dfe6b-2a05-4f07-9e70-dcd06799242c	0	0
6c0260dd-23b6-41b5-8e5a-2c83b1217fdd	17.1436818181818182	1.42883063686868694
acabf2eb-b49f-4487-93cb-3f2c7cbe7d8b	0	0
c02d44e1-a5b1-40e1-90eb-74b03bd1fc8e	16	1.33351111111111109
e2324134-fe63-4b7e-9d1c-7b838c07d7e3	0	0
b672fad6-bd1b-4c34-914c-d2336a58c2c3	0	0
32b5eef6-532d-4ce2-9e8d-ba092a7370b7	0	0
3e69bfe4-d38a-4bcd-9137-89cdcf6530ca	0	0
d6cef3bd-25bc-409a-b553-c1a3ce13066d	0	0
438ccae8-f113-42cd-a681-985952a4cd10	0	0
30917f14-c228-4fb5-9719-658463b66599	0	0
5088016a-0194-47fd-a251-45bacecb0d29	0	0
16bcbb85-b92f-4ab5-abd1-4e76012b6d51	0	0
5e86ef94-90dd-4111-967e-63de47443e93	0	0
0065ad40-81d2-434c-9c4e-9d06bc29808a	0	0
11759a0b-43b4-4915-97c3-97832446fd0f	70	5.83411111111111147
d6fb658f-1e07-4a4e-a8b8-45006fdbd833	0.594125249072381956	0.0495084570052015879
7928e92a-c32b-494f-b8cf-d168597766a5	0	0
4f52880b-d416-4cb5-b996-c5537c2f1e71	0	0
5363f7e9-3494-4f73-ac8f-c4d487e70509	11.1837229437229446	0.931939632900433024
45fbc0bd-bcb2-4df1-a748-179539e875d6	0	0
ecfa09be-ed03-4da1-97c7-8e1173ce1f96	0	0
daa339ff-5328-4865-a358-d9db831fbade	17.1436818181818182	1.42858300590909093
e965ba29-8987-4e5b-ba7a-4e94988b2988	0	0
9b3581e2-2aa1-4c41-8c9f-fdd593206498	16	1.33328000000000002
f732bc9d-5d4b-49a9-8985-44b7c4e43eac	0	0
beec4ccb-ee16-42f9-b65f-7302dd1f8c25	0	0
8f17347b-884f-4123-a024-48329592e7bf	0	0
8ae5fd2f-1908-449f-b702-b774b8374f4a	0	0
fb22666e-ea77-4069-acbf-0455ccc47012	0	0
033f3c31-c90c-43aa-b89e-cfc09e6c1de3	0	0
d65b38fe-5df9-49eb-9f5e-bab6ad665872	0	0
dfa0a6ca-4848-4b57-99cc-62fca26cab45	0	0
70dd224b-9219-46e4-b328-aebcd3e92c49	0	0
b6301f6c-712e-4c7a-b390-7e8d74cec6d9	0	0
5238f1f4-6f75-4d6b-98bc-2b75664abb39	0	0
8d7620ac-d913-406b-8a15-14fe0ba48d86	70	5.83309999999999995
ac2b3470-3602-4cfd-9307-06728c239d26	0.594125249072381956	0.0495106024574899009
6e395918-51a5-43cb-ac47-06dc8e80eeb6	0	0
0764f759-7b6a-48df-b1a3-ccfbe2203077	0	0
cb385e6c-96ea-4872-aac2-0c89d032a5d7	11.1837229437229446	0.931980018566618607
05545a8c-a352-449a-bd46-a32044e5fbdf	0	0
ef0004ee-01fc-4c89-87a4-ae237d267c41	0	0
6d7c957e-ca2c-4c29-bd5c-39e83ee7b9e9	17.1436818181818182	1.42864491364898982
53c6f8bd-da97-42e5-b203-658fab13d720	0	0
3ecf896e-808d-4e20-9960-099848fe5ed7	16	1.33333777777777773
4d67c379-046e-4c86-b126-945133a8c50b	0	0
f72b7b51-41b2-4b24-b454-41066ea48941	0	0
ccbbc1bf-953e-466b-8a12-a03bbfc7ce54	0	0
0739e191-2670-4396-85b5-7f2ec05af4ec	0	0
ffb4c3fc-efb3-41ef-9ed7-16c9a23cb914	0	0
5d150e4b-2e60-4d4e-a018-975131f9e638	0	0
6ee432ec-cc60-4f46-bdb3-3848ccbef988	0	0
8ac7bfe4-3767-4c84-b20b-3dc4238a7343	0	0
724f6880-fcf6-4af8-96ed-a87764d5f0b7	0	0
e7720364-1c8e-4261-82a1-2a2b2dbd428b	0	0
cfa36679-a421-483f-b10a-a877642060e8	0	0
4d7ad61d-c091-42be-bd09-e90309e1ef51	70	5.83335277777777783
44a65f0a-7055-4615-8aae-a997d5867e55	0.594125249072381956	0.0495208346145572589
32985f80-6cfe-4c81-8fe5-ade9296b2793	0	0
a8e4b566-f44d-4edd-b71a-2f13ba43ed6c	0	0
14b70008-d7d3-4248-8cf6-6181192806c4	11.1837229437229446	0.932172627128427189
f856a14a-6ec2-428c-af1c-e111fe3f1513	0	0
ffd28969-7cd7-42a5-91ed-545609e4ca63	0	0
601b783a-b250-4551-b503-f392a850983d	17.1436818181818182	1.4289401659469696
57e34347-3756-4ae4-9500-bf7bc9871879	0	0
21e77968-78b4-4447-a609-29087a471d83	16	1.33361333333333332
ad8d2c3e-5c0c-435f-a489-0b53fe5c1cc8	0	0
fe7e4dbc-5158-430b-b54b-17a11e1c40e7	0	0
18df2164-379c-4914-a5b6-9f5ca36e53fc	0	0
ea8c8e1e-75fe-49b8-b11c-48de7dbf7bca	0	0
2e08e650-9a92-4097-a56b-fcad9144a9e0	0	0
48bb2a4d-d1e0-4445-803b-83a1171e60da	0	0
7a8a6e21-49e3-4da9-a22a-1d80f8f3b76e	0	0
fade8b58-f218-41a2-8ae4-a8dd68a46438	0	0
ba4543e5-a008-47fe-a473-c274bd60ae51	0	0
a6278721-f13b-4b2b-8c59-0cf65369fd91	0	0
4f91d52b-9c6b-484e-bc21-feed50677de2	0	0
97461f55-94bf-4bcf-b5ff-012b50292131	70	5.83455833333333285
e1d59d0a-f589-43e9-814a-0d2226186f98	0.594125249072381956	0.0495135730837352669
faa0f191-83a8-49f6-acc1-4972b7aaae3b	0	0
10b6cc2b-4455-4339-99a6-8e751af35a94	0	0
685dedd9-de22-43d8-b5b3-b26474a1cbc4	11.1837229437229446	0.93203593718133726
994cfe9f-1534-415b-b4c5-26554ac9604d	0	0
146c0ac4-7dde-4785-a5dd-00283f7100b5	0	0
baabdd4e-79eb-45d9-8daf-4eb06ea7412e	17.1436818181818182	1.42873063205808082
3d43a80a-d81a-47f5-bc05-6b1c1103db02	0	0
9fb41722-dc27-4adb-9dfd-ffb40c1d94f4	16	1.33341777777777781
875864e6-c37c-40fb-b015-7c7c4170b9d9	0	0
9dc5ed46-575a-4675-8b6a-c6453f034a97	0	0
e846122e-c41c-483c-a5cb-4b5fb38c6970	0	0
533b8900-1f76-4a6c-916e-77fca68906ba	0	0
60a597c4-bce5-441e-8d55-57726250363d	0	0
d24ac1bd-305e-4fd9-8df6-95bd221c6f41	0	0
6f7cb43a-475e-4a50-805a-59cfbd29d0cd	0	0
9ea5b1b1-04bc-4bef-bab8-441b564f6b50	0	0
207256c9-7da8-40cc-9cf8-847b34e66e9f	0	0
788b3413-91de-4cf4-b51b-710be4af7968	0	0
c0eeddc1-3004-4fcd-9127-c93689b8d7e4	0	0
755938cc-a378-4d44-9658-07dfedd8e556	70	5.8337027777777779
fd151684-f9a5-42f6-b557-9b50c898f9de	0.594125249072381956	0.0495139031533180854
65f9013b-c10b-40af-94e3-c10c8fe45c15	0	0
44b48939-18ee-4b9e-a4db-b2cb677bbef3	0	0
b9a8f717-94d1-47ae-adac-f8c2d0f6b655	11.1837229437229446	0.932042150360750554
bea9a807-bed6-4e99-a385-7e0785665779	0	0
5bdff5c3-e509-431f-8a77-dd9d3d8b37e6	0	0
cc85727b-103c-4936-8352-a265d09a83d3	17.1436818181818182	1.42874015632575757
a654c37d-36b4-4b0b-ac60-be50af3dc70b	0	0
54e51384-b76d-43a2-92ca-2e099a4e0b4a	16	1.33342666666666676
11a46af0-b6c1-4b71-81a0-6397f03e115d	0	0
b5ac6c88-58ce-45b5-a09d-af776a8d4a12	0	0
43eabd82-6aad-4fb0-b1e2-d7637da8fe43	0	0
595b0311-8c56-4dfe-a320-0972d52337b2	0	0
e03b4642-ecc8-4ddd-a0f1-00d0050175e4	0	0
234b1da0-800b-4c9e-830c-451fc822a7a4	0	0
449ae82c-4786-49e3-9d27-c33a4a352477	0	0
1f161fbb-9e9c-4e3d-9eba-6c014a63e54e	0	0
60a94776-c69b-4b98-b8dc-ea3cf8032dd3	0	0
5c31df0a-9db4-4f63-9558-876e0fc19d31	0	0
2b702e3f-52c2-46b4-9603-3a0144e6670d	0	0
31d9b423-2c2b-48e3-bc3a-2f9433286a03	70	5.83374166666666749
c2f30fb5-048b-4dd6-b5e6-acfa5a4d9b45	0.594125249072381956	0.0495134080489438577
b6c14b13-8129-4928-907b-0ce79ff4d47f	0	0
78583e28-0288-4cfa-baf6-381fe293159e	0	0
61703bed-663d-4541-8716-f16cfbcd92ad	11.1837229437229446	0.932032830591630668
4c4cc20a-bb87-4035-924d-48c6f929fde9	0	0
50dd8f12-4ebb-480c-b874-c884182c1c10	0	0
b8e1026d-93a9-4ce1-ba57-466ee5e737f7	17.1436818181818182	1.42872586992424244
60a512e6-8762-4512-a666-28de5a8e1cd0	0	0
34f6f147-6735-42a6-b6c1-6384332ae680	16	1.33341333333333334
d69e1f4f-cffd-4504-9f87-34da5176d675	0	0
e85a5e61-fe4a-4a27-9639-9a7430016436	0	0
a5336ca4-b6b9-431a-852e-34ecae74d6a1	0	0
87b8ee77-47f4-4fcf-86c0-8cc383be898c	0	0
f5b65bb0-fa16-4eac-a4c0-12252679b8dd	0	0
06c105a2-2777-451a-b2ad-01370dab1b52	0	0
a4ce825a-2aa2-478e-8d8e-07b40f90e7b7	0	0
863ac3d0-f2c9-48bc-9bc8-5d907f5d8c30	0	0
fe40ea59-ad0f-476d-9518-a1491f011cf9	0	0
0654af89-3d52-4a9b-8d76-2bac98835473	0	0
b9296605-0250-4728-8a6f-6c70877cc88c	0	0
3ceaefeb-21f0-448c-80cc-b15fcda5c176	70	5.83368333333333311
2a1352fb-01d3-444d-b5b3-06438a19d869	0.594125249072381956	0.0495143982576923131
47d59efb-224f-46f5-9fa0-4ea208f958ef	0	0
cd769f0a-9dda-4099-83ab-0d83f98aca34	0	0
7ba86e95-7117-4c80-92ff-0df8c36e4840	11.1837229437229446	0.932051470129870219
57174b60-c164-4411-bd5f-c1ebd52a3a93	0	0
9bc16b5b-bf6d-4306-94d7-66fa72378b5a	0	0
c81c07a6-9297-4d66-b583-c1b8216a5ac4	17.1436818181818182	1.4287544427272727
6f100733-b99e-414b-bcaa-344b71d5398c	0	0
700f5b47-9bed-4856-a255-ff6ae87a7939	16	1.33343999999999996
b947a899-0767-4796-a0eb-ae9b40587ec3	0	0
56f5bbbb-0d2f-4d86-997e-101221ed3655	0	0
f7a1096e-56aa-4de8-9931-d6cd74848ef2	0	0
687f080d-b81f-4ddf-b774-239f477ec1dc	0	0
a05b32ce-9ce4-43cb-836a-60f2e945f841	0	0
193d5fce-90f9-42e3-b96e-04bc3f582f34	0	0
a04db329-4d74-4ec5-8fdb-860ee1c28826	0	0
18f12fd2-478b-422a-88e6-8ee4be3cbe59	0	0
add21096-ef09-4e91-a1fb-6b803ab85072	0	0
ac543e80-954c-4895-9c29-07f5be41fc04	0	0
063d2e7f-eafd-4857-aabb-009ab5c765a0	0	0
fec7bc8f-2e3d-4235-8ea9-ecf200ee3d93	70	5.8338000000000001
61a1fdf5-57e8-4ac7-8e07-19c7235f0a71	0.594125249072381956	0.0495142332229009038
38f25291-18e8-4dfb-bb51-548d0efa8566	0	0
91c320d5-6aec-4ce0-9347-542a2bef7951	0	0
b1bfe77d-b363-4ded-bfc3-fac6f259bfc9	11.1837229437229446	0.932048363540163516
ef320d51-87bd-4441-ae1a-cf70b207f584	0	0
2b16ddd3-e82d-4315-9c5d-204317c0e71a	0	0
3d048205-6bbd-4678-8a09-74c1f01ae24d	17.1436818181818182	1.42874968059343432
f564f35d-6e9b-4dd6-b318-b2a3642bef2f	0	0
93017754-6cf4-4048-aae0-29d9b63a2a30	16	1.33343555555555549
a34953a8-4f6d-4f7b-a77b-39f50a8b8233	0	0
38921814-189b-4407-9396-33f035fd4977	0	0
663205b4-032b-4f19-afe7-d997f129ad3c	0	0
026bc2ec-4856-4f7b-9f49-e8bd90f08bf2	0	0
303d348f-6d8b-4187-9a0c-8db8f41d8d84	0	0
29bb712b-acb8-45f9-abdf-6aca4c050396	0	0
2c4db9c6-f463-4d21-a86a-7dae6e75747e	0	0
ee5ef7ca-4df1-43f2-b3ba-5f437c44ac6f	0	0
9a6fb8ac-27b7-44b5-a916-1482e743b22b	0	0
e54c6774-3c6a-42b2-b148-1fefb5cd84cf	0	0
4728f0da-6fc6-466b-ba91-7a336826a2c4	0	0
19d9b1e7-bcdc-44f3-8186-98dadff42338	70	5.8337805555555553
fa9bdc7a-d719-4f22-b8ac-6ad4af638f27	0.594125249072381956	0.0495140681881094877
f00532c8-a446-40e8-89bb-528c4e89df0e	0	0
bfcc680f-85c8-4eb4-901a-2e099df180c8	0	0
8b4c5f78-90c2-4d37-b74f-b79b61df967d	11.1837229437229446	0.932045256950456924
18fbb184-301a-4935-97bc-a1c5c7bf6804	0	0
90c3c62f-342b-486a-bb32-555beec7bd9e	0	0
49d73fcc-d2c2-4a3c-a037-e6fb387ecc8d	17.1436818181818182	1.42874491845959595
6024c288-14a4-4e48-bde5-d30808c71a2c	0	0
210f366c-a028-4a51-a622-f8392892e6d3	16	1.33343111111111101
718b58a6-7756-4bee-b127-64b156cb0a2b	0	0
d2e76852-6d72-4b01-86bf-4a447622988b	0	0
89f3cbb5-9609-4551-9185-c5be0153341d	0	0
f12fc7ff-075e-4a3c-a84a-b0a8a238e125	0	0
1e869e27-10fc-4263-8fab-cf012b795225	0	0
593ea03a-2c9e-4e01-bf3e-7cb85517fb67	0	0
f3ad667b-5adb-4ec8-97b4-319fdbd62ed7	0	0
dd75c5d1-bc5f-445c-a004-3db174416741	0	0
d991f6ac-b8ac-4e96-9fd0-6d2d4a64bf99	0	0
263919a3-3cb6-40ff-88c5-55f3dee4b393	0	0
797c0b00-b3c7-4a36-ac9a-e8180616e030	0	0
561ef89e-e6cd-48c2-bf12-05bcb9c6264d	70	5.83376111111111051
ba9db1cf-338e-4f77-ad90-2b691aa47ed5	0.594125249072381956	0.0495132430141524485
c410eea5-7a85-48c2-a076-e27ccbf38f3e	0	0
2b608f15-9457-49e8-8718-508030fcbbba	0	0
6ced9825-5cfa-4236-ac7a-aa98155f6335	11.1837229437229446	0.932029724001924076
aa576c70-fe51-4f35-b613-fd55ddf52423	0	0
82b29be1-562a-4ad6-a6ac-1555b3bb321d	0	0
73ba253f-01df-4311-96e3-c9564f64e13f	17.1436818181818182	1.42872110779040407
62d787f7-95dd-4344-b6b2-d93734873ea8	0	0
542de8be-f481-4a2c-94b5-ac70fa1d592b	16	1.33340888888888887
679e62b0-2683-41fe-a44d-fadac61478d0	0	0
8b9a2884-3efe-4d09-b73e-b050a0336617	0	0
e27ed359-56f5-43aa-81d6-adad0ddea38c	0	0
946310d1-cabe-4a00-bd87-ac0dbb8d2720	0	0
af4cc30e-99a0-4ef2-b8e4-c7660cde2572	0	0
6107a397-0915-4c20-b6fb-58402eda52d8	0	0
9684262a-5c7a-40e6-bb6e-4b60c2c8f434	0	0
93ec1475-e41f-4e58-b220-dff9205e19fe	0	0
2a9e57b8-6857-4e4b-9578-24ba790497ce	0	0
30972df8-389f-4626-8cdd-8487501e8d2f	0	0
ab3d7cda-7751-43bb-a166-3e1aff85587c	0	0
fd95d624-d821-46ad-903b-fef296a83765	70	5.8336638888888892
7aaf3d7e-6c7b-43a9-a55e-fc04b6203f94	0.594125249072381956	0.0495140681881094877
a7d547ee-0c9b-40c7-9e95-12f20ef307e3	0	0
c86e90a9-768b-4028-9810-38a068407fb0	0	0
99cdfec2-b32b-4038-b965-dc38b0d25570	11.1837229437229446	0.932045256950456924
7a6a47ab-8e09-4161-9818-51416b35b448	0	0
f2518b2d-6fbe-42ac-ae14-8e7f9f5ab118	0	0
d15a0149-0d3b-4016-9b1d-e9283533ae1d	17.1436818181818182	1.42874491845959595
af9e8add-66e4-40ed-8e7d-3f62b8c8ea54	0	0
804ed692-4514-470a-835f-695541717727	16	1.33343111111111101
169d5d53-06b7-4d26-aba1-58615d433524	0	0
361b2c7b-4ded-4fab-8447-5094c2cab369	0	0
7cb9140a-e559-4af4-88f5-bb85dd9f6801	0	0
d9ca3c93-a089-4c97-88b3-b82ebbb6e325	0	0
3ce12530-b582-46c2-9f5f-1fa311fabfc4	0	0
1231b909-abf0-46fd-9879-9952baba66bb	0	0
4b8b33cd-47fd-4bc4-bd0b-46644741660e	0	0
65b6ba3e-3ddd-4ab1-b9e2-3df25b5ce9ab	0	0
4e2029b2-61d9-455c-ad59-a5fc1750d1e9	0	0
7e9ca63e-a758-4c11-9e01-8cff7e5a11c9	0	0
671aa390-bb36-4b1f-8e51-e5f704b7fd6c	0	0
7de01339-85e5-468c-bc1d-4bec97266ed4	70	5.83376111111111051
bc7bae50-af82-48c2-9a97-e1b8b7a61422	0.594125249072381956	0.0495143982576923131
caaf39c7-ba96-4828-8ee4-d251dd01f92f	0	0
944b9957-244b-45e8-ae96-b048845d1c0e	0	0
7d4928b2-5f2d-43d5-a485-6bb703b1182b	11.1837229437229446	0.932051470129870219
5bd83931-9a29-4ec3-b8ab-f04f9737dc3a	0	0
5af74cc3-31e8-4bc8-86d9-3b7cf51e9f32	0	0
ed45cc66-e0cd-4a1c-8e6a-597edeb05c30	17.1436818181818182	1.4287544427272727
2436c4ab-b9dd-440f-b16c-2ef217709e89	0	0
fe96a4ce-32e9-4b9c-95fc-79c5030e6552	16	1.33343999999999996
11f271b7-cdc6-475d-b5b5-9a2821f721f7	0	0
761e45b4-28e8-4bb9-8094-bec345cc2cda	0	0
7e1190f8-16ff-47f2-8a8d-ee11ae029dfe	0	0
2aed400a-18a4-40d7-b4d5-d14d5858f52e	0	0
15e6ecf1-d26b-4a3e-861f-4b229ccf8011	0	0
e5439cab-277b-4368-8ee2-25562a1b504c	0	0
8aa6d7a4-03b1-42ee-8721-c60558ec2d73	0	0
b3facfc8-7c79-4875-bf53-b55cd26a83dd	0	0
741b7fcf-01aa-4bbc-b6f5-c5b3c9fbb9b3	0	0
99142f72-38ef-4a2e-9a9c-96c6eb803502	0	0
455d373d-43d4-4c52-bc18-9a3690007b1e	0	0
e453a12c-9020-4ac7-b80c-f51a4bcf4aa5	70	5.8338000000000001
134b063a-b614-4d6b-bb10-b1ba7c3b8365	0.594125249072381956	0.0495124178401954093
d42162cd-57a4-4ca6-b0fa-725f7a8b54fe	0	0
0f2cde8b-19a1-4b5c-bd81-e3824e9eea88	0	0
4466fcd1-df31-49dd-b6df-c2649114b942	11.1837229437229446	0.932014191053391117
66bd6e9e-d79b-4486-b4a8-9b5f11b558ae	0	0
6c9a1402-9134-41b4-bb42-b8e463048771	0	0
3c08b661-6c74-43ab-8d04-ce87e68fb04b	17.1436818181818182	1.42869729712121218
5ef19ea5-de47-41e4-8101-762431be1b36	0	0
d31b7fc5-b1d2-47fd-a7bd-11291cbead88	16	1.33338666666666672
8aadff11-1947-4ffb-9897-24755cd162ec	0	0
320e5027-245f-437d-823a-bcb35827f34e	0	0
bc6d534d-dd8c-4b05-9a93-d8b2a4d8d4b2	0	0
5dcb1831-1aff-4a8b-8cfe-df6634d67c82	0	0
1ad5f23a-5685-4e75-951b-9ac937c4e330	0	0
aabc0a41-12e2-479f-a438-9e86ceb597c5	0	0
c84e27a0-ff95-4127-a715-0276cc98577c	0	0
c8bad924-0c95-41a7-9b6f-80419794703f	0	0
facffc2c-b6ae-4374-825a-afe9366cfabd	0	0
fb00944d-43ed-447c-9c0f-9b3075f31c65	0	0
b7a8755e-949c-45c4-959d-9c4abfb50127	0	0
ab3c9658-6efc-4e47-93f9-c7cc235b430b	70	5.83356666666666701
d33218fc-95e8-4169-b1db-472f0892a460	0.594125249072381956	0.0495147283272751315
48970d01-f177-488c-a01c-09b5d6b3f0b4	0	0
2995e435-7d4b-451f-a818-2e058144b10a	0	0
cbf41db8-973d-4cac-a98e-ca8d00b2bb4b	11.1837229437229446	0.932057683309283402
fc0d8e94-054d-4a37-94cb-ee8cf3eef226	0	0
e5028059-8db7-41f4-a6e3-2df6ef630135	0	0
3a1f952a-3dfe-4145-b651-ebae695236f7	17.1436818181818182	1.42876396699494945
b11182b0-2125-4be3-abcc-14dd2f03b032	0	0
a0e4e289-9c07-4f5e-9509-0fdb55f8f4f3	16	1.33344888888888891
eec49df3-1817-435f-b8d5-23d1149a3a1a	0	0
de1cc144-6605-4196-96ac-7e16d5962401	0	0
71dbfc1e-2d9a-4a2e-b977-86e765e37409	0	0
31e01c68-1c61-481c-8390-04a6b6f9e743	0	0
7f217bc8-7994-4a51-9e20-f2145cd40539	0	0
5feac560-161f-4f1a-a6a2-0a371324d248	0	0
7d1d2c66-e9e3-4875-8b73-6dd641db6076	0	0
256a568d-31ca-40a5-a1b9-4e3c48100fee	0	0
5b3b8ed2-db53-4ae1-9d34-e91d1368959e	0	0
b86f8a0b-269b-49ae-88c5-a3860b9a0060	0	0
815bd93b-c0c1-4976-a4d4-b1a507e47b8c	0	0
5429c299-9540-4436-8dc1-467117c5b6f9	70	5.8338388888888888
23a8c659-186a-4a5e-9b25-1c23a5ff703c	0.594125249072381956	0.04951291294456963
2b2a5d9d-1d2f-4db7-9250-a367977bac07	0	0
e9fac3bd-d76e-4eed-9084-23fba736823a	0	0
80386180-eb64-46cd-ad26-d598b8e3a034	11.1837229437229446	0.932023510822510892
7bc32cac-56a9-489b-a1bb-56355069da95	0	0
3b4445d3-5571-46d1-873d-3d009307ab7a	0	0
7d4fc18d-7884-469a-a950-4d32f67a48a7	17.1436818181818182	1.42871158352272709
572b72e8-6f40-46d1-8e74-35a0a658ada9	0	0
0f038286-91ff-46e8-a10c-8b364acf79e0	16	1.33339999999999992
c93c1d3a-42a1-4533-8f37-35da386282a2	0	0
8c2c3149-9495-447a-b304-d69a9f7e353e	0	0
10f3bb3f-ba47-4535-878d-b1bd5d6defdc	0	0
4dd6ea1a-b4ff-47f0-b07b-e3d40fb7fce7	0	0
aa43abb2-5ba4-4cdf-b0f2-5c60a27cf9cb	0	0
d21266db-6e54-4113-b771-1c0d209c16a0	0	0
b17620f4-7ff2-4dc0-a42b-f15bcb25578d	0	0
bfa584ea-254e-4786-9e0a-20920d5d0abd	0	0
cef070d2-e39b-40b9-a433-5e9445e26dbb	0	0
f0963124-997a-4fa9-a5c3-3f5dd0658905	0	0
df2c76d5-b33b-4909-8570-6fa25227cdba	0	0
cf7f5a8c-a126-4bc2-8ce2-ac24446ed6b9	70	5.83362499999999962
395a429f-5af8-4840-97bc-43ed69d97b65	0.594125249072381956	0.0495036709962507274
05c243e2-309e-4343-8768-917c44d9d70e	0	0
f6698977-f129-43a8-9bd0-408b4eccb530	0	0
26d20603-b030-4f7a-835d-a7946024bf05	11.1837229437229446	0.931849541798941972
33542331-9c62-4282-8743-61e88c17960f	0	0
8bf61b7c-65e8-4e13-9444-bc494b30c416	0	0
b5b4c733-0c0c-4c71-83cc-011e060e8058	17.1436818181818182	1.4284449040277778
09a9addb-a251-4a5c-8ecc-4f7c09aeaaf5	0	0
8020ed4b-6f94-4552-8e0c-d160661a5531	16	1.33315111111111118
3405b7a5-994c-451b-bfb1-867f60012939	0	0
513b16d7-d7d0-4cd4-acc3-69f2e800136f	0	0
4ee2e4d4-c7e5-49f7-a795-bea535c85bfa	0	0
c1c508f6-cfe9-45ce-92aa-4f6b1e457fc6	0	0
030edcb7-069a-4bae-ac2b-220a2ecd2a3b	0	0
a04d4532-192f-4690-aa93-4e5c971071c5	0	0
98c5ead4-7a6e-487d-9268-ec18b8a9348e	0	0
d60b729c-ad86-45be-859b-5b57e6bce7eb	0	0
b38dd828-1b71-4c3f-a897-13a4fe4cf6ad	0	0
26a7e521-4eae-4783-8647-867c8d9b837b	0	0
9e29c20b-8ab7-4a74-8e4f-e0f6192fe32b	0	0
6c9b2936-875c-4702-96ca-95abdc257a70	70	5.83253611111111159
3727d157-3998-4e18-94f2-eab3fe6251ff	0.594125249072381956	0.0495249604843424895
63e42e22-2359-4fd1-bf67-77c940fb7be9	0	0
7a1c6c92-3d5b-45f3-97e8-dee62b44c4df	0	0
0bfc5574-b1c4-4c75-b624-94bd1f3be32a	11.1837229437229446	0.932250291871091985
fa49ddb3-2df0-4c4a-9eea-602d6a8eab6a	0	0
6fc7dbc0-a84f-4177-9ff8-f5ea25d4da38	0	0
b287cd07-3b60-4bc6-9470-ef437b614924	17.1436818181818182	1.42905921929292945
43b21ef7-67b2-40fe-8508-5348692c2004	0	0
ed8b11c1-cef3-4968-af91-cc47bd533301	16	1.33372444444444449
baee8c9e-07bb-4c1d-a2ea-c2ed8b70736e	0	0
d5f7feec-93bd-4107-8664-35628924f400	0	0
958a080c-a733-4b55-bb6a-925487ad8177	0	0
93bf229d-7b28-46b7-97f4-e0943f89e734	0	0
9a418af2-ceed-400d-b03a-eb66c701c707	0	0
ca8fc8ef-ec0d-4107-928a-ea31867858a0	0	0
88615093-eb62-45b0-a72a-72407f9b90f6	0	0
ab9347ab-6423-44c4-a844-71e1f0649006	0	0
05391fd2-b473-486f-a021-d2e0c5edcc5c	0	0
f0c01a9a-f9db-446a-abef-262bc3c81322	0	0
f9370810-7f5c-4fac-8d53-0379598f9285	0	0
93523495-a6a6-4bc6-983c-ab2093aedf52	70	5.8350444444444447
f66303dd-f84c-4e37-928e-6e9fcacd4faf	0.594125249072381956	0.0495091171443672179
001df4c6-6b3b-415d-add0-d44f3c409c79	0	0
b0a66f9c-6f38-4572-ac73-a21d9907f980	0	0
a8915e55-2008-4e11-9834-d842e00de09a	11.1837229437229446	0.93195205925925928
270f7417-8266-4a55-b0e7-7ba50d98b972	0	0
f18ef728-ef7a-4964-81da-f633cba16537	0	0
41c43d21-48d8-4648-a4e0-9886ddd4c5de	17.1436818181818182	1.42860205444444444
ff35a4ad-30db-4efe-8ecb-996482f0c39b	0	0
f9e75d69-7cd9-4fd0-b2a9-4b07daf22978	16	1.33329777777777769
9e3ca999-4ab6-4e96-9c8d-92e768e40c0a	0	0
583d814e-91c6-49ed-bd69-814c7af9e837	0	0
02d1104d-e191-4d0c-851a-543f3574ca22	0	0
d125f445-16b6-40a0-9271-7c6630908683	0	0
68e42b3b-51f6-4793-82ac-db782fcae811	0	0
658430dc-3031-42df-a9c1-b7a7c2b8c47a	0	0
0b0fa12e-d2be-408a-811f-f4b7a1f1dd5d	0	0
e0c55929-4656-44ff-8699-a13a06d09703	0	0
1212a6b3-92f0-4dc5-ab4a-39065f4614de	0	0
33944879-4006-45c7-972e-b563e6db95f5	0	0
32167bed-a828-4a91-a3ff-e50d096d988e	0	0
b8ace53c-7059-4585-8928-3f5d1fb35ad0	70	5.83317777777777735
05747bc1-95bb-4284-9c9e-63d037b19896	0.594125249072381956	0.0495208346145572589
e93f03d0-7ebb-448a-b781-9258598f1b04	0	0
aeb8a598-da87-44c2-86ed-5baeef28f982	0	0
92047e42-9258-4937-b884-1d4a19521727	11.1837229437229446	0.932172627128427189
dc645413-fecc-4e6b-9c43-739308e02432	0	0
6c66948c-f06f-4ee9-883e-92b389f075ed	0	0
e0608000-cfe7-40ae-986e-d2ddadcac0d5	17.1436818181818182	1.4289401659469696
95a9b551-a531-4c52-b626-40e0818f6e9a	0	0
7dfcff84-4746-4704-b8d7-3ea7279213c2	16	1.33361333333333332
7be0b9ff-1e69-42d5-bc70-9972ad51853a	0	0
43822517-ff2d-42fd-8621-ddebc859ee95	0	0
d13caaeb-154a-4c37-b276-326a5d849972	0	0
f43793ce-5465-4fc2-8bd0-4fe93745023d	0	0
23f4b4f8-9987-4abb-9958-217a580953e2	0	0
401e4c7f-e84f-4183-9812-578edb725b6d	0	0
3e4d01ab-42c1-48e2-9ac5-d1e2f4fffad9	0	0
0a6c9ed2-8a57-4fb7-9bd7-4398b72d844b	0	0
606d233b-9562-4807-bc83-f7f673ded978	0	0
2f9d8000-9f8d-4f20-a21f-012d1944393a	0	0
37ce87c9-177e-4df3-8c4d-a5ccce522a1e	0	0
122ba6f3-701d-458a-9959-603f9e555c2e	70	5.83455833333333285
e72bde44-1b96-4b5a-9977-115a25c976ac	0.594125249072381956	0.0495119227358211747
265084a9-6a36-47ac-800d-b2d6a73260d3	0	0
8e3d352d-0fb3-41b5-92da-910d87c47abd	0	0
9e051b9b-173a-4b76-b921-dd4bacaa6131	11.1837229437229446	0.932004871284271341
17fe8167-c3da-41ff-b7ef-cdc3cba01a30	0	0
dfbe41ef-2d96-4bc2-8327-f5a72972d30b	0	0
d3f9789b-6512-4c94-88e2-cdb323762908	17.1436818181818182	1.42868301071969683
f70f9a8c-b81d-4238-8f73-4cc9b4b43cef	0	0
e7807c4f-6366-47c9-84a6-94a6faa0f144	16	1.3333733333333333
f2ff8578-b8b9-4bdd-bfcf-f0d8db5bcf42	0	0
0c4cf5c5-5652-4cca-a894-3f92e1bc3ee5	0	0
2ea3c3a3-e4aa-41b1-8d82-d7e0cf6a2440	0	0
5cbcdc36-43b6-475a-95dc-771500835343	0	0
f75d7ac5-9374-4fd7-b0e6-96281f184536	0	0
0c3ad331-62a4-4fb0-9954-bfabd5501d5b	0	0
eedf079d-eaa2-4e8b-a0e6-b787465ae0c7	0	0
fe4ea8ce-d13b-43f4-9802-7906277ffb67	0	0
5040522d-7f3e-4245-a63b-034cbf7dc19a	0	0
aa4840e8-3072-4320-a012-06a7ec439afd	0	0
c10b9656-0b51-4801-adba-102699d9a716	0	0
78361d1b-8af8-49f6-99a3-13d7d5d303b5	70	5.83350833333333352
06940e3b-9532-4398-87d7-bbe33b0e1ceb	0.594125249072381956	0.0495139031533180854
739b4ba6-dad1-46aa-9eb9-e3cfa8f66d8d	0	0
b9417f98-d044-4dd4-bde4-2eabda1f1bfe	0	0
dd2471b7-8e3d-47d5-bc37-0a34285b82ea	11.1837229437229446	0.932042150360750554
deda38dc-49d0-4771-bfb0-94604cafe066	0	0
8f3188ec-84ec-4d03-9484-60514d912150	0	0
df6dcbe2-1837-4e30-bfa7-023a27833a83	17.1436818181818182	1.42874015632575757
f31e942e-0a0e-416f-962b-5723b7f27f24	0	0
f171ef02-ea4c-48cf-ac3e-8d68b06c9385	16	1.33342666666666676
fb242dc5-aa57-473d-9ff9-1c2f073ccb2a	0	0
33a87cde-c50d-4a2b-b147-121dd6b35f9e	0	0
48347086-6e50-438f-8461-5a5bfc66c766	0	0
933a0573-7bef-45d2-9b82-90934f0b0288	0	0
4b17c4b5-c0a4-47d7-8e46-b6e1b5a367c1	0	0
fa6b1acd-123b-4e50-b353-90a4ea12879b	0	0
16109e08-0526-4fb4-82de-5772a681e087	0	0
785938b3-c020-4a1c-8dfc-cd2a629cfc24	0	0
36fbf963-842d-43aa-ade6-f7a7e95277b7	0	0
e2ddba8d-7151-4864-8529-a3badb91442b	0	0
9f380970-6a28-474c-a48a-fdd924b07984	0	0
f661e79e-88d0-4873-a5c2-b355957ff60f	70	5.83374166666666749
2552af19-bb29-4fe0-a70a-b3e15af93838	0.594125249072381956	0.0495155535012321707
9ba1754b-021e-4e5f-892e-fc434e18be0b	0	0
84d5e5cb-759c-45ac-9abf-04891f0b8b8e	0	0
551fdf39-5b7e-43f1-8a4e-96716949df73	11.1837229437229446	0.932073216257816251
3bb7fa8c-5083-4f6e-af7c-c4d0c3a3a891	0	0
50ae9422-0f83-4674-ab2f-8c36d7017f74	0	0
ee8226eb-a6bb-4169-a00d-65b3e7114ceb	17.1436818181818182	1.42878777766414133
143b2bbf-4291-42ac-9a53-63432e8fba98	0	0
8c25cda0-d5a2-4c82-b2ee-891cd150fda8	16	1.33347111111111105
947989aa-f773-44c1-8ce9-d1666124936b	0	0
f432aef0-531a-41fe-a4ed-e3164d82b127	0	0
55488cfd-e9f4-49e2-b5d5-e621a8c038cd	0	0
89023e12-21d3-4230-b1fa-8b3b7e51035d	0	0
d8bb3daf-5995-44ff-8251-24c26c7626c6	0	0
d3961817-f572-40b6-8e6d-2a8e6a897ff1	0	0
ff7a4fc8-a74b-4633-8fc3-a6ca95566ad2	0	0
47176199-6722-4e93-a9f4-42b576d2c30f	0	0
0e1dd6e5-329e-4131-a6cf-931e9be89c5e	0	0
2f286358-e9c1-4575-9373-f3e6113c2249	0	0
a77016ad-8c5c-4c06-8ec6-adebf584fe60	0	0
f9df8a01-29fb-4f74-89e2-29179083e1a4	70	5.83393611111111099
4deccf73-d122-4f39-98fc-f2fbd2e76f93	0.594125249072381956	0.0495074667964531395
7c36e00b-20e8-4fdc-aaed-86506adcb518	0	0
52f3cd82-e283-42e3-8e64-5dc220b93503	0	0
77a03c5f-ee4f-401a-9a41-9ac3cab571ae	11.1837229437229446	0.931920993362193473
780ab7ad-d67d-4f97-a0e1-9fd8a5a45bdf	0	0
960aa726-0882-4d77-8248-3b581549768c	0	0
6bc9bdaf-75d3-4a5e-b601-2405a31c3b98	17.1436818181818182	1.42855443310606067
2e32633c-a23c-4e1d-8111-2ea9c34a27cd	0	0
e8ffe706-873a-4e12-8243-f55874a7e3f1	16	1.3332533333333334
76b5408e-4796-4575-bb65-138cee8d1a59	0	0
918bc18a-1794-43e2-aba5-f06b83274901	0	0
45fc07fb-6461-4581-8bd8-143ff91a780b	0	0
ec29575f-3bb5-4d40-8491-0e20e42fc51c	0	0
650536ae-8cbe-47ae-b4c6-75c3b4c8a421	0	0
b2258a04-854e-4c75-ab5b-4d0a940139e4	0	0
ba63c295-4d96-4aa2-b39a-32cd9cf79579	0	0
c2a8ed17-2623-427b-95ba-05a8990dcfe0	0	0
9a23d3a6-461d-42c0-8b3d-ed5daf4def32	0	0
6d4fc984-d34a-45fa-8555-7368dacc2046	0	0
94acc757-1869-4e75-aeb7-f674796296cf	0	0
d46a77dc-f6aa-458f-9a6a-ea7520f82c5f	70	5.83298333333333385
693920ab-0d81-4cb9-bcbf-06d95f968177	0.594125249072381956	0.0495158835708149961
4d2cdc75-b666-4c6f-90aa-e8cdc0a18e53	0	0
9eef0e5d-3726-4a0b-899c-baefd3110001	0	0
3dd3da38-8955-45bd-9ba7-ef452931090a	11.1837229437229446	0.932079429437229545
9d296f9c-a09e-409a-9409-01baa2cb69c6	0	0
ab904f3c-c800-40c1-adab-85782a84369c	0	0
afbf36ac-c714-4fb4-b78b-c016b1eaacec	17.1436818181818182	1.42879730193181809
25ca7daa-d0eb-49b0-a9e9-b0c5dbc71e7e	0	0
e1281293-5d9b-4a2b-9903-74ac5348520b	16	1.33348
76a049d7-b3bf-4d23-9d2b-a8870bd112cb	0	0
6a5d2e2b-fdcf-40aa-881a-23732ad55cfc	0	0
0b59ceea-efde-488f-8d0e-a1f67cf899c3	0	0
d322ef3e-b74c-4e0b-bd2f-7ca0b1153981	0	0
1fa08ca8-b497-4f07-ab8a-2ae82daee5df	0	0
af62a6a8-9fab-4372-9f42-28514a011ed0	0	0
b061e867-3dd8-4529-98d0-6fe5a929a4cc	0	0
690385ea-b704-4f40-954b-916f289aa41a	0	0
99d377bb-63ed-473c-a46e-5250beca576d	0	0
616be794-8712-468f-a8b3-f2efee8bbdd0	0	0
6ccf0a55-3921-4e24-be91-088d004a6718	0	0
42a732d4-5282-4c30-a232-ae6d85985fe3	70	5.83397499999999969
71fe9e63-64db-4439-9a04-c721f344d67f	0.594125249072381956	0.0495191842666431667
aa14f679-f3a0-4e52-a17b-27c49821fa44	0	0
df65de00-e197-4677-84f5-a22fc5ffa45a	0	0
4ce3362a-3328-4330-90a7-01d243d164ca	11.1837229437229446	0.932141561231361271
3a5048f9-9355-49a9-b151-0c3a455854c3	0	0
a7ab3412-e0be-4be1-9f69-55027886d26d	0	0
f3c41652-43d4-45b2-8248-3f1ab9523599	17.1436818181818182	1.42889254460858584
516a7792-fb40-441e-a149-a906e7a67335	0	0
1db81362-8a46-4a11-8149-8c0fc02939eb	16	1.3335688888888888
02f085d2-e40f-420a-9e27-663923c2b8cf	0	0
208f3b42-7d78-4c4b-a3ae-85cff38fc1b6	0	0
ec04c2d5-137e-46c6-84d2-ac27e408f6ac	0	0
9967fec7-b513-405f-8aa8-2e32041b8804	0	0
a883e797-ced6-45d0-bd69-2eef9d1d3aa6	0	0
db70b759-ed62-44ec-a4c4-1237474a7c2b	0	0
4cf7c71a-f2fe-4f5b-8539-e8412db50f9a	0	0
d57350fa-87cb-40d2-a92f-7b959e225606	0	0
a49cfe55-e776-4cdd-8705-d099edc6b59d	0	0
fbf9a9bf-585a-4ddd-9608-206580fa04c6	0	0
50944f8f-24c9-4a27-add7-dd9abafe34a2	0	0
cfb0d3b6-238f-465e-ad3a-74ef4bfdbea5	70	5.83436388888888846
77173661-d2c2-4401-a694-819e22b41011	0.594125249072381956	0.0495092821791586341
989e3385-da63-4c4c-afc6-8d00dfa69ad5	0	0
6b0069f3-89f2-4f94-9012-1aa4ef874104	0	0
fd5155f1-8e69-4ea7-b7b8-a9d10aea4c8f	11.1837229437229446	0.931955165848965872
de8cc1b5-e1fa-4fe3-bcfa-755522d58193	0	0
045e7605-feb3-420d-b4f0-89f627da257b	0	0
8be3e872-b8cb-4499-ab25-2e3def881868	17.1436818181818182	1.42860681657828281
731b8391-894f-4135-a331-d4357e0d56c4	0	0
1c398cdb-0b9b-467b-9d81-c1d27277e6ba	16	1.33330222222222217
53d90af2-0ce8-49f5-a1b9-d8043791a4ab	0	0
4dacb7c3-d226-45b2-a01b-40df0e095cd8	0	0
0f26310e-2ff5-47ee-b9ac-131963569f09	0	0
2779090c-0b8d-4554-a7cc-587ad98458c9	0	0
c10314f6-6638-4235-b5f1-c819cccbe966	0	0
3cb7c7b4-ef97-4f24-8121-8fe6b146b6f3	0	0
ce9754a3-5d10-4cd8-96a6-e242c588558c	0	0
69fdb563-1169-4f31-b4ac-af01bd88276a	0	0
69902590-52cb-4072-b97c-15515f2b8508	0	0
e88f79cf-622f-4e6d-b457-16266a71992b	0	0
4e450be5-2690-4a11-923b-ac13d4237c41	0	0
d980a8b6-9f22-4eab-b628-cdaaf7af6be6	70	5.83319722222222214
3b708fb7-8032-4aa3-8fa1-67d751d304ab	0.594125249072381956	0.0495124178401954093
a06b4254-9b90-43bb-ba81-0cdebbf4d4cf	0	0
86578fa1-f268-4ba5-94c9-4437d4843588	0	0
e6b0e8b9-9fd4-4399-af28-f0d7dc53a477	11.1837229437229446	0.932014191053391117
a9b38259-64c8-4f04-8462-ee959c91dce6	0	0
a77679cd-4e18-4503-b68d-5fff549a4ea4	0	0
9e154ff0-9bf9-4c02-bd60-8fb1d52e9005	17.1436818181818182	1.42869729712121218
ecf6dc69-96dc-4f0e-9642-c43f6e4ed286	0	0
df69977b-d930-404a-a4ae-45a228286bdd	16	1.33338666666666672
f50a44a5-8feb-4923-805e-df5ff2589f3b	0	0
180f8886-a216-4662-a319-50a428bc0c47	0	0
66abb8cf-8c2d-4a74-97b1-423fda7c25b7	0	0
7e0dc47a-b575-4e89-845f-7d53c23f97cf	0	0
f633ee7b-d97c-41c5-897d-6bad7adbde29	0	0
01a71f81-da5e-47dd-95af-768841dac6b1	0	0
6b4a3b5c-d37c-4c79-8ef3-9132f4c1fe8f	0	0
10f16f4f-6375-415f-8540-34adc84cbb99	0	0
7496c41b-99ef-4c58-ad22-c01426e7bede	0	0
c449523e-eec3-49e1-a1aa-69a226bc21fe	0	0
015c8c4c-7c10-40e8-a18e-e0598bae2beb	0	0
b53c29be-2467-40a0-a5d7-9f2065008190	70	5.83356666666666701
41a6403c-0156-4617-8ab2-c31a08671dd4	0.594125249072381956	0.0495155535012321707
535c2952-35e9-4994-a90f-39a3b27ced97	0	0
1e3d244f-cc95-4a28-8507-e28c04c6a470	0	0
1a638417-bdf0-40d0-aace-de660c6af92d	11.1837229437229446	0.932073216257816251
00cccde0-4203-4abf-9ff6-f70cf565c651	0	0
efaef3df-bc47-4fe2-94a1-63c276815a4d	0	0
89cf9106-c425-4554-93e6-9eed058b3a53	17.1436818181818182	1.42878777766414133
25a73a88-e9b2-4413-b679-852c9289b059	0	0
f7eddc5b-95e3-4eb0-b6ce-ea8540e41a5f	16	1.33347111111111105
048ea08f-5b0b-4993-b4db-730cba914ae6	0	0
cc970496-8fba-4072-9a7c-1eb7c9b53011	0	0
7aba76c4-3321-4180-b4f7-015ab78446e2	0	0
d0cbdd6a-6788-4dd9-84bd-8f4859f1caea	0	0
ddddf71f-23e3-4ef5-a0eb-8ea2656e5675	0	0
4215bf6a-3eaf-45ca-9cf9-0155ac4f00c8	0	0
5b584364-353a-47d0-a905-28ed645fe9a7	0	0
e90e3109-20b5-4dc1-84f2-d51c3b269ab5	0	0
4baeedd1-bb89-424a-a042-42b5786596d0	0	0
da58bb8a-c229-460c-b895-810d37f296e9	0	0
9f50693e-1e85-4a7d-871c-874a1c42e2a6	0	0
e4b8531a-04dc-441e-8d73-786f89ed0cfd	70	5.83393611111111099
7ca4a30f-277d-48c3-a9d6-074b0e858cb4	0.594125249072381956	0.0495125828749868185
ef878749-03f4-4fbd-a2e4-1bc5bc450262	0	0
02edc539-5ad3-4d4d-b595-5cf7fdc4c799	0	0
9f2ff54e-53a5-42c8-be7e-6282f0238778	11.1837229437229446	0.93201729764309782
14e5a999-791a-4eb9-b8c8-9f9ae54e399c	0	0
79412ea1-77c5-4df0-9a94-9cc4965a511d	0	0
2ce0d9e3-8a96-4f3b-974d-cb0482d4b4e0	17.1436818181818182	1.42870205925505056
17dc9e56-0c1f-4bc2-8fff-907cdb71557a	0	0
0023aa23-08ab-45b0-b44b-5468eb6b9f6c	16	1.33339111111111119
de81b403-25f2-4788-a287-1204a39ded37	0	0
c2f95058-f73b-49e8-ab96-abf31043c5ce	0	0
42978b21-faec-47b0-a732-c40fe8ddd66a	0	0
497870c6-ec2c-4783-a33e-c69d1c9dc065	0	0
35eaf584-a622-47a4-92e1-fee0b71b2da8	0	0
891a0a04-9517-4e6d-889e-d66e090c3da6	0	0
1aecf1e0-665e-4540-a96a-1b363e58ff65	0	0
18662082-d272-4463-aaa2-4c17fb232a11	0	0
285a6789-113c-4878-bb6b-121980965d64	0	0
6cc43c8a-5e81-45f1-94e8-c9ef04fe1f03	0	0
32ec94a8-2ea0-4145-80c8-0225b8d8818e	0	0
94be894f-a643-4529-a168-c9d4f556e7d8	70	5.8335861111111118
c4d3d683-7e04-42bb-816c-31b83093944c	0.594125249072381956	0.049507796866035951
b82c7adc-3c18-4bd9-b24b-27ff93cd4c1d	0	0
4d3e0cee-9f11-47eb-ba4f-fa9602c0b2c4	0	0
3416825a-a9aa-4332-9b0e-ef21aa604b89	11.1837229437229446	0.931927206541606545
935b36e7-58ab-4eff-ae88-9bde944406ba	0	0
7758a124-02e5-4947-8d3a-f36e662ce5c3	0	0
9906389a-acac-417e-b2c4-5347e7300b3b	17.1436818181818182	1.4285639573737372
524b0dcf-2ab6-4898-9fc3-2ec9156e70de	0	0
aefa0d07-af93-41aa-935b-6e7771aa8622	16	1.33326222222222213
4e7f18fc-e4b4-4cdd-9754-85adacabeb5f	0	0
8c43ee6a-0862-41ef-a6c7-9039f440a4c2	0	0
689cd34c-4d40-4f95-8882-d2029d723acc	0	0
38d67c7c-70dc-44c5-aaa8-4834dde21498	0	0
34aaa1af-d0b2-423d-982d-ab662e071b6e	0	0
6b115255-5b83-4aff-9c73-50080b24a546	0	0
b6747153-8aac-41cc-8d1b-52eb90bc6f04	0	0
633c48b4-1334-43ca-893d-5b2001c3d28d	0	0
ae40f5f8-76ea-4d16-96ca-9e9474e47385	0	0
bd36e1fb-9b86-48f0-8bb6-ad84da68d248	0	0
f3472a8a-3b7b-471b-beba-745ef1ac084c	0	0
2e7f8688-b907-401c-8500-2236b5aaee61	70	5.83302222222222166
94367d48-f618-4b30-a1bd-ad6262b04827	0.594125249072381956	0.0495206695797658497
489b85d4-ed09-4fe1-bdcb-74551729ed0c	0	0
18a2e606-744b-43a5-b73f-8393af0d1588	0	0
c500bb44-c064-437e-8f29-85e184d699ab	11.1837229437229446	0.932169520538720597
68296252-0a6f-4ae1-b77f-c9d76042f246	0	0
cdea42ca-e40e-4a35-9244-0733eb2e0727	0	0
d0c86a7e-6529-48f0-aeea-7ed0594c35e3	17.1436818181818182	1.42893540381313122
a28efe96-6d0a-40f2-bd5b-a171caa3cfa3	0	0
20dc02c0-8113-4074-866e-3426143818cf	16	1.33360888888888884
f940067a-9590-4454-b05a-4e69bc682282	0	0
2751d0f2-7d7c-48cf-9753-d9c0bcba158a	0	0
7bc6093a-9a47-41db-8eb4-b46337302c5f	0	0
acae1676-e83f-4f9f-9297-217666d4b97b	0	0
a3a52b0a-7021-4bbc-8b34-18b290f77448	0	0
9af78212-6dac-4385-964d-ec5eb4f2649d	0	0
1cc82c2e-0cc1-4533-9dac-28ea8d0b8670	0	0
3c55d78c-a364-4c4d-82c4-70ecd26906fd	0	0
683634a2-b199-4741-814d-bb3b004e4b4d	0	0
16114bcc-bfed-4824-ade1-6d95298b36df	0	0
a27f66d7-f946-4459-b53f-2a29e8a9e7d8	0	0
2679c652-69e0-4b83-a0e0-3871add0073b	70	5.83453888888888894
8b4251ef-11fc-44ca-a379-0cdf62749ac6	0.594125249072381956	0.0495124178401954093
94b31f0b-a41b-4a59-ae06-a4f154f3bfd5	0	0
e8a0ea1e-0e65-4094-9d85-888137486b5c	0	0
c265c89a-0844-47c2-a81c-0b144e86d3cb	11.1837229437229446	0.932014191053391117
10cccebb-ae7d-493e-8c18-5228dcf0fb05	0	0
ec8d5dd6-e462-4018-9868-ae64a446e5d2	0	0
f2f55d50-5e92-4363-8193-972e55caf1ed	17.1436818181818182	1.42869729712121218
d3db3dd8-6ed7-4423-9c82-7ab2334ee1dc	0	0
8bfb4015-8623-4fba-82ca-5bcbbacd74c6	16	1.33338666666666672
950b28e9-9819-4378-9b55-0dbff8ab0e2d	0	0
6817621e-55e3-4606-884a-43df5e1f1658	0	0
a0850f90-90d6-465a-8341-bc6ab75ed93e	0	0
654273e5-fdfb-4969-a77a-290a67037065	0	0
815fa4c5-202d-4813-8ad6-8764b54ea18e	0	0
35500840-98df-4f46-a553-978365c544f1	0	0
9df26c26-50b1-44aa-9736-ea39a558d089	0	0
54489c83-a941-49ce-bcc4-67b8661c62ed	0	0
5e8069ed-d7f7-4886-9e6f-3b5c307224c3	0	0
3cce9db4-9455-49cf-93ea-057871466ead	0	0
6b8acd32-9c26-4d83-aab9-b62549a22d77	0	0
afa538f3-3ae8-47e6-ab72-0058f993e7ac	70	5.83356666666666701
fc48e493-3223-4094-8045-d3925e9edccd	0.594125249072381956	0.0495153884664407615
6b72723e-16d4-4146-8a47-3e962a6043d2	0	0
ab776bad-3ee4-4343-bfb0-7a7e856aa990	0	0
cab57dcb-d248-47c9-a6a7-248326fdd95d	11.1837229437229446	0.932070109668109659
90bc37c3-85fd-4f32-8e53-4b25cecb0192	0	0
284f9cf3-8696-4d63-91cd-8a89f473362e	0	0
954a1ae2-b3ad-4387-8021-a568d85bfaf6	17.1436818181818182	1.42878301553030296
53ea6402-89e8-478c-b818-7899102aac2d	0	0
e6f2f1a5-d2a0-4d28-8cdb-b09d861e1c93	16	1.33346666666666658
99614f65-8021-4aa2-a36d-22e3463540bb	0	0
bc16f12f-f791-4fb4-bc91-d2f6baa65bfc	0	0
24c2bfe2-51a6-4873-9b7e-107bd1b4e9cc	0	0
c58d758f-7e1f-464e-a57f-b500ce159ff8	0	0
67691163-9294-4e90-beb7-f5ff4a1661d4	0	0
a94c5305-6052-42aa-9af4-c1bd01e8e5aa	0	0
475669a6-40aa-465b-a1d9-7cc3b0a09ee0	0	0
ad2e9726-910a-4df1-8863-fbcc79cdab84	0	0
d8a93e39-cd02-4f01-944a-ef4ce1e37466	0	0
d0ffabfc-2934-49f2-ac9d-1144766af990	0	0
83587c49-1df0-4770-b20f-ee0b63274cdd	0	0
f23a79a7-583b-46fd-bd3d-088df5b6d6c0	70	5.8339166666666662
5881b1ba-06c1-4410-ae15-061249c275c9	0.594125249072381956	0.0495073017616617303
b45a66f0-fdb8-40f1-8f8e-38eb5e540565	0	0
6b85c1c4-9367-4034-a4cf-5e76d3dd8a27	0	0
45d45db1-008b-42f9-aaff-f24d1c7d3992	11.1837229437229446	0.931917886772486881
09716c3f-95e0-4f39-89d8-09ecb6c8a691	0	0
29bbcdfa-efa9-4af2-8f62-caa0e0a14509	0	0
8537a8c8-c7a7-4387-a915-2ab0e5b0672e	17.1436818181818182	1.4285496709722223
b30a40f4-4d82-45a8-bb8d-5fdc4e167240	0	0
7ef86a78-a8ce-44ad-b735-56ca42190a27	16	1.33324888888888893
6cc483e6-66cf-4b7e-aeb9-a50d2518e91c	0	0
b06bc9f0-26bc-4906-8ea5-af931dddf3b6	0	0
15ea6991-21ae-4edf-add1-06ef565b9d52	0	0
7d4c39ca-6dff-47ae-abfc-01310f92e855	0	0
c44c1b0c-c476-497d-b230-9aa2554a89cb	0	0
e6e0cc72-fe9c-4db1-8f4b-4e1dbe6abc1c	0	0
d88c58b5-32ba-40ac-b86d-63f097bf53a6	0	0
fc54c582-6ba1-4673-81a3-c58156f4363e	0	0
10ba91ce-5512-4952-a7d0-812e2586b7b6	0	0
1d388965-6c63-418d-986e-57e75a27f372	0	0
32a99ed5-48c2-4bb3-a75b-d25a405c446d	0	0
0f1d59f5-b822-44cb-8093-3362d714b150	70	5.83296388888888906
583d3eab-ffbb-4f6e-898b-fa2844c5946c	0.594125249072381956	0.0495205045449744405
027e8059-efe4-47e5-826e-2e9dbf324139	0	0
93d42385-909b-4582-bac9-6f3b575220a4	0	0
d0a0b60e-5e0f-49cb-bfee-b2ecdfa8947a	11.1837229437229446	0.932166413949014006
6a4e4090-bf6b-45c2-9337-3f7f67347e17	0	0
913e55c1-58d1-4c80-9452-c00f4bffb63b	0	0
f5210892-e448-4451-a70f-7e79f832a98d	17.1436818181818182	1.42893064167929285
dc7fa558-7666-4c86-864d-53736d4bcc81	0	0
cc26b92c-922d-439f-9104-c65d8fa5a796	16	1.33360444444444437
604ed6a0-0287-4d62-95af-b0a8017a8071	0	0
f4dc77bb-8509-42f5-a414-b6d6e6ec246c	0	0
7e1c5520-fc1f-46e8-abbe-b50a74dfb414	0	0
51468114-083b-4d00-ae98-7cd590c64d63	0	0
7524aaf3-1e66-4efc-a8fa-a077433a2bae	0	0
a88f2094-c3c6-43a1-9211-5c386d8af84f	0	0
fc4575e6-706d-4044-902b-837d01c138da	0	0
7b342bd4-75cd-4c94-be87-771f73ae29a0	0	0
df87ca6c-9cb9-4e1f-b8e0-16d582e5aa87	0	0
bae5b2fd-c30d-4f53-8197-39bb31287713	0	0
547a373b-736a-43a9-865e-be31cac95ca9	0	0
1fe12d65-abba-45c8-9fd7-0382cdd1e0ac	70	5.83451944444444415
84272d9a-3a3a-4cf2-80b6-786b7878b80b	0.594125249072381956	0.0495658891126119147
83ea6d4c-4ec8-498a-8789-4a9f97d2b176	0	0
decebde9-b9ac-4aa5-b694-5a342098a020	0	0
d8f7e2c2-8b8a-4eab-9807-99b648dc3bcd	11.1837229437229446	0.933020726118326205
eef02903-dcdf-4830-8bb1-479f9a58a3f3	0	0
302b5442-8273-4c2f-8d09-e81bd9bd2dfe	0	0
c173521b-f3a0-4a08-a341-97e1d76273b3	17.1436818181818182	1.43024022848484833
460bbe3f-93ec-4215-9cfc-84b7df00fe43	0	0
661b5358-0a82-44f1-bfd9-e100afb20dd1	16	1.33482666666666661
65458d86-1c4f-419e-b44f-d1ed59122538	0	0
446aac71-99d8-4d38-a131-7702714f61f5	0	0
aa190cd1-073c-4ccc-ba92-f8e6f307b51f	0	0
04c8b46a-661a-46f8-b623-46a9537ccce8	0	0
d209cf9a-7fc4-4e54-b83f-9acf795525fc	0	0
c97083c4-8ec5-4f8b-93ac-d7c01471b186	0	0
898cea98-39e0-4b81-a746-8681e03fff73	0	0
5e926c19-3246-461c-b924-e1b00c7d8049	0	0
d453ed22-ada6-4567-8ed2-84b2bc6db4e8	0	0
aebea3a5-7cb4-4035-8d0a-48218ba3b164	0	0
1a60a12c-69d8-46bf-aafd-af0f073cf716	0	0
5630df0c-ec86-4f4a-b040-f4e7776fd47a	70	5.83986666666666654
ee521a53-9c0b-4d97-9deb-04bc4827da14	0.594125249072381956	0.0494630724375641137
e3a3569b-0d7d-44c7-9903-31e6ca8ed049	0	0
97a1a1cc-586d-4ebd-b95a-17a655435d51	0	0
2b61ed3d-b1dd-4339-a7e4-ce135bd2baca	11.1837229437229446	0.931085320731120825
cc114754-d069-46ae-905e-f84841838ee5	0	0
e9239f41-1cf4-44e8-917e-f1d0d3f82750	0	0
9c18cf74-e716-4925-b1ba-2527c390c909	17.1436818181818182	1.42727341910353545
80dc9ca7-bdfb-450e-9748-348673ada756	0	0
aecd5a6f-f1f5-4c25-854d-386ec2f263f4	16	1.33205777777777779
914409bc-59b5-46ed-ad9f-a7df8dd29383	0	0
c5aeac6f-b855-4f41-887c-6bccf90455ff	0	0
f0af4700-b0b0-4a3f-9057-3554d2d93d55	0	0
5b8e175a-c6ba-4eb5-bb88-f802e1346dcf	0	0
2126d076-6a11-4d07-9443-e8669cf5a85d	0	0
4d90e3d7-b651-4dcb-9aba-4191c2f0f9b6	0	0
3ecc6c35-0b25-438e-8954-fe41e1ccc620	0	0
9c611b34-7a1e-4b59-a6a7-0560642e4f63	0	0
53da3cf2-7cd4-4d80-9dc6-8ccc105261ca	0	0
3800c17b-0c90-4280-ac85-23a390f5d654	0	0
2b1408af-8226-4ab9-b34a-817e12261204	0	0
fec38c9e-d6b6-4690-8c7a-6a6248afa35f	70	5.82775277777777756
b0ce4c16-7376-4e90-8966-7ef86f2ec239	0.594125249072381956	0.0495119227358211747
5801cf75-cdc9-4d73-8416-e975a934f4a0	0	0
ee2c3dcb-f95c-458b-95ef-d830f59d40c3	0	0
01ed904e-63dc-4d11-9ed4-2e8fbb2d3453	11.1837229437229446	0.932004871284271341
5a50bc68-9435-445e-b3cc-5ea14b250a04	0	0
4b68714d-161d-4405-8a33-ed907b1a9852	0	0
580b9816-7860-4ae4-a532-960e43185015	17.1436818181818182	1.42868301071969683
5d04cff4-fc2c-473e-9820-9f5d8af02fe6	0	0
a5420a45-707f-4f22-9ef6-d25e978a904c	16	1.3333733333333333
6f668815-bfe9-4818-92b8-b50f7d76ea98	0	0
7bf2638e-2dd8-40eb-a4eb-1ef439e4dd06	0	0
7fe54a57-efc5-4fe5-9e93-4cc5733fe81a	0	0
45a93b85-366e-42d7-932f-6e219a2a60de	0	0
19cdc621-3508-4d18-b048-3b720a4d03c2	0	0
cf6abe20-b862-4d49-b4af-6020eeae3aa8	0	0
c27928da-20da-4bee-80bb-7f9f039766e8	0	0
9ff5a2d3-a27f-4cfc-93fb-876ff24d493f	0	0
c97e47cb-bdb3-4082-a550-2231f2bf3868	0	0
634141a8-394c-4d09-8532-eb92fd4dbcba	0	0
9586d5cd-10ff-4179-90f8-72f889eda1bd	0	0
21b9c9b4-ebba-43ba-9799-02e499e706ac	70	5.83350833333333352
4dcac31f-0b36-4327-9fe5-257d65e88535	0.594125249072381956	0.0495155535012321707
136e07a7-0567-44b4-b875-609d70df3502	0	0
221f087c-d530-4a81-adf1-287798350023	0	0
bdf35edf-5cdd-47d3-8ecf-ad097641e9eb	11.1837229437229446	0.932073216257816251
3b8f590a-9128-46dd-a761-964831dbef24	0	0
7a2a8a82-23f4-490e-9705-3b120adba87c	0	0
d13447f2-09d7-4e6e-852c-adfabdf98743	17.1436818181818182	1.42878777766414133
43818901-bfce-4dc3-9cb3-c95940090006	0	0
0f5afd4e-a85d-4f67-9664-e4a0f391eeb4	16	1.33347111111111105
843ed523-0c04-4496-bb43-cf89c1c96c68	0	0
d56bef64-5f7d-4a80-8de8-d9e21d2d722c	0	0
7b0e1dab-e94f-4cf8-8177-01dbe3173742	0	0
0d4a8b6c-a986-4aa7-8541-a2c70734b4f7	0	0
f27beef9-ca67-45d4-b08b-b74828b183bb	0	0
4c594a60-11db-4e30-88bf-4154063dc369	0	0
84e3bc51-88fb-46c4-bb4c-534826bd1fe4	0	0
c858f22b-cd94-4a07-ab92-c7f47b7afafe	0	0
64b0535b-7122-4965-b4a8-3e706928a8ce	0	0
60522f45-dc76-4574-aa8f-fd81087ba81b	0	0
514c5bbc-4e25-4a8f-b701-b769104e3b7d	0	0
8b1f40c2-be3e-4ed4-83e9-07c032795284	70	5.83393611111111099
01861378-ca65-47b0-ae34-c14b89860ebb	0.594125249072381956	0.0495107674922813171
827e1864-1ae4-4f36-8a81-d89eaabe60f5	0	0
24831626-e089-4475-b760-753c9f7d0423	0	0
56932bec-9c92-4006-a441-9540757ffafd	11.1837229437229446	0.931983125156325198
8a6c0008-cea1-44c7-a10d-1d2ebd0e991c	0	0
42256314-2352-4c96-b7a7-e42d9ecc59f6	0	0
b851a17f-f5cc-44b1-b922-b0d53ba2bf10	17.1436818181818182	1.4286496757828282
67673691-9615-4e52-90bf-80f109f25b4f	0	0
f508eeb5-dd6b-4514-9aa5-957dabbec026	16	1.33334222222222221
d5a0cd0a-0a0c-4d6f-a459-c1f36428fc72	0	0
665ad58d-b827-4aea-8b41-d17c172d06eb	0	0
3b52f3ed-5b02-47d0-a0ab-3946088b8051	0	0
871ca4ff-753d-4645-8d67-93dc52a13b6f	0	0
7d738840-7634-47c5-a14c-9153bb74462a	0	0
3b128249-bd3f-4777-8288-863d975b2eac	0	0
b391a3b3-095b-4f46-b6b1-bcad0e46d280	0	0
f8f60438-a2da-4750-8a63-6fa03967c1b2	0	0
8fe056fd-ed1f-4f59-8fc4-4a1f03503eae	0	0
dea22c79-25d1-4278-8d91-f0440f82632d	0	0
34fd7fba-501b-4a1b-9bde-4790681c4f24	0	0
60558628-46c5-412c-999f-24553302ff71	70	5.83337222222222174
349a22f7-2bb4-4b5b-b208-2fa590b1dc9e	0.594125249072381956	0.0495162136403978145
38e40619-fc9b-4625-ad61-7be611d3dfee	0	0
1a31f5e4-3487-4a26-85e6-fc051272d205	0	0
89bdc39c-984d-426d-adcb-18c472e218a6	11.1837229437229446	0.932085642616642729
4072552a-a5f3-4a31-ba47-124b4be14c0f	0	0
682c6101-4a51-4e37-bd18-3e3751112830	0	0
65bad073-b410-4ccd-9087-55682880a514	17.1436818181818182	1.42880682619949506
20f3687b-9d49-4203-bcd5-4e244901d5d8	0	0
351fbb5a-e7a4-43db-8d07-7e79233f4c0c	16	1.33348888888888895
cb2c4842-3031-442c-9d6b-b577612a2eff	0	0
3d5ebeae-0164-4ac9-b6c8-cc6e06ef2694	0	0
d16aa648-2451-498b-a958-e1e16050c373	0	0
deca106f-3051-40db-bf40-16a16551c2fc	0	0
5405e113-a333-462d-a758-a614d8511a7a	0	0
5221fcf1-14b7-4108-8130-acc493f5585f	0	0
88cc3afc-61e6-409a-9a67-03a23613f77d	0	0
24c9f031-db38-4dd7-87e3-d5d7f1174f77	0	0
97e70e96-181c-484d-ac12-86762732a2bc	0	0
64955329-a929-4058-930b-b9664e19f9f3	0	0
467fe502-1ba6-4c64-99d7-967a4a19be8f	0	0
176953f0-ccca-4933-9681-55b1ea8abfa6	70	5.83401388888888928
82715da9-7a1a-4c28-8385-353bfc7b2186	0.594125249072381956	0.0495132430141524485
6c367e78-567b-4811-9bb9-2726e581ddf6	0	0
f755ecdb-933f-4eba-8343-f0ed49683716	0	0
4294e9bc-f510-43d0-b03e-f51e615973bd	11.1837229437229446	0.932029724001924076
882ba9e5-02c4-4c6b-98f6-e4a2178ea846	0	0
5a9a800d-cba5-43ca-8e2f-4aa4622df8e5	0	0
e81ca779-0c9b-4487-b43c-ac550ae143bc	17.1436818181818182	1.42872110779040407
865d1428-e48d-4be1-bd15-c075cf3ac004	0	0
80435a6d-50f3-42b4-a775-39a3695e53c5	16	1.33340888888888887
f475327c-94a1-46ff-a487-c4889c9eb65b	0	0
addd0f01-a94a-4a08-940a-fa59dfe4dc8e	0	0
49f9c206-8ee3-4365-a554-69957ed6121e	0	0
e1a790aa-9c6f-4da6-b7d7-fec40086823a	0	0
e6b0bd29-a2b8-425b-9759-ac270c1a1f84	0	0
c5271333-7dc5-4b35-bf31-a014b9ce2bde	0	0
ba3b4074-4cee-4121-8801-2dcdb237b136	0	0
2262d39e-d28b-459d-b83e-dd73908ad573	0	0
47bd8f53-e858-4b19-b415-86a73e593f1e	0	0
3059568a-29e4-483a-b5ce-279376bcc985	0	0
97150fc7-1706-43c1-997c-0a501b23396b	0	0
3b3849cc-67a8-4252-bbc7-50d43fc78a0a	70	5.8336638888888892
83cf1269-d4e3-402a-9c0d-4aa37edd2759	0.594125249072381956	0.0495157185360235799
f38d9e9a-b9d7-4472-abde-f9bda1d22b06	0	0
5471e164-85a1-4ce0-97e3-23083f2dbcd3	0	0
63105bda-9923-4f2f-a946-2785b450b39c	11.1837229437229446	0.932076322847522953
4bacf897-af44-4436-ab55-ef5d61054acb	0	0
9fd7caa7-9ae5-41d1-a738-3f377c576330	0	0
390af1ea-faa1-44d3-b04c-1e0abbc4b7ca	17.1436818181818182	1.42879253979797971
e5467e11-d669-4358-b9e8-1766d7038172	0	0
0d63df28-7a16-44f7-86ff-3aa572ca3e5c	16	1.33347555555555553
85118863-19eb-416a-9199-d25845334547	0	0
297d350a-58ca-435d-8c83-1871eddca7b3	0	0
44dc48ad-4263-43b5-b071-f94e6c92a89d	0	0
be0816ba-690d-4461-aabd-a80068fe764a	0	0
ee0e0be0-8403-4975-aba6-75181e371b89	0	0
1bd6537e-322f-4bd2-b163-da1245d48fc9	0	0
4cd1b2d7-c506-4678-839b-d7d5c404b074	0	0
fddef287-704e-45ee-bc17-9d77bf555803	0	0
7cad95d1-2ecb-432c-87e5-26cc8b5254f9	0	0
22c5fbac-210b-4c82-a757-b78c6fcb3acf	0	0
64fe09ac-7538-4d85-a427-a3f67f6ac1fd	0	0
223ff5f9-dfb9-4504-a54e-ff06c7d8323b	70	5.83395555555555578
f0f9b74c-2238-44b3-857e-5101b16cbf80	0.594125249072381956	0.0495134080489438577
237384c9-7445-4ae2-aa92-88672809a58e	0	0
855c1c93-ec85-495d-9b1f-e4973a4b9f9c	0	0
39e2041e-8146-4854-b736-92fcceefe83f	11.1837229437229446	0.932032830591630668
d734b000-f837-415f-97c7-feb5a8e6aacd	0	0
ea951ac6-6b29-4ce6-ac03-a4e07cf5a95d	0	0
e3a0c433-88ec-4f42-ae8a-53a1d56f85ed	17.1436818181818182	1.42872586992424244
5e6dac26-017c-4d91-b517-017c6db895e9	0	0
c4ffc253-a151-42db-95d4-978cc9c57392	16	1.33341333333333334
cc35b6c7-ab35-4131-a1dc-94ac2ae839c2	0	0
08fce51a-b5d1-41b6-bb2f-c73ea538bf44	0	0
83164725-2848-48f5-b72f-1a01a3484320	0	0
23e1a419-3c78-4c36-aeae-cad7273eee27	0	0
5dfee39b-5781-4c2c-8131-9eaafd2ae8f3	0	0
4b18613e-d56d-41f2-91d1-8e15932bd105	0	0
dddf1f27-adec-4a88-8c8c-546b60f02e85	0	0
5438876e-3fc3-4d8f-8e55-fab76b523c3b	0	0
5af48361-1d08-483f-9a4f-eb478e6fbe8c	0	0
4c4f88d2-8fb0-4fc4-bb94-065777791bcf	0	0
d46eef15-b499-4ed6-af3e-763dcb9f08ed	0	0
994ad9f8-fb2c-4fac-9688-60d103f5746b	70	5.83368333333333311
4635fa04-7e43-44b4-b4b0-7ba633352655	0.594125249072381956	0.0495160486056064053
a50b84a2-d1a4-46c9-93b4-b19ed25042c7	0	0
0d0b6b03-9b05-42e2-9ec6-1041ba01782e	0	0
4be089fd-9898-4097-8f6c-ee64c13226d8	11.1837229437229446	0.932082536026936137
6f10c59e-4a41-4d2e-98ae-3be5a3134a94	0	0
566c38d2-c2fd-4db6-8c30-686c2bd97c67	0	0
2e500d64-220a-4054-a99d-090977a85b82	17.1436818181818182	1.42880206406565669
8b007e73-8858-4ca8-a86f-98a28de069a6	0	0
5f35a457-374d-4dd1-b8fb-aaf1e861c52a	16	1.33348444444444447
c7a16603-2eb5-4b7d-86b9-e1ee461e9654	0	0
806cf254-6362-4a0f-aa48-6aaad79f26d1	0	0
444efacb-de09-48b0-bf79-33540b5b7dde	0	0
70cf9f8e-dd9d-41e7-a455-a61f6cc82244	0	0
08cb4d18-0b2e-4706-bc49-0a2d7b3b3cf3	0	0
8b1b28e2-0aab-4bef-b6c9-fc3269b2de92	0	0
23b20f1a-acbd-461c-90ed-950b50f9276c	0	0
1467a51e-55d7-4451-828a-2b8c034bbbd5	0	0
1d199bfc-f3db-4ed0-967a-489a9e284adb	0	0
b8e79d05-70c1-44bb-bdb7-bfd8023f3a1a	0	0
497d02ac-669c-49d2-8a80-979eaaae469f	0	0
2fa56a1b-9e45-4091-99bb-55c323108ce8	70	5.83399444444444448
1a56d29d-c888-470d-a9b0-05b836970438	0.594125249072381956	0.0495163786751892238
e5c40bf0-0528-4ee0-b43a-93d3fdaf370e	0	0
d35e353f-5f38-4816-bc0b-1ba789f7f9db	0	0
aec8ac5f-0c1f-49c6-8bd8-04db0a07ec3d	11.1837229437229446	0.932088749206349321
59c472e9-c6c2-442c-bad4-a74e3e617b2d	0	0
be3fcb06-c5fa-4456-bec0-23645b7ea4b9	0	0
bc484ab4-23c0-4337-b5d0-3d434c16a4d5	17.1436818181818182	1.42881158833333344
09c08e49-af7b-4d8f-946b-42fa54e11157	0	0
343085fa-27d5-4dce-b622-7c023e87dbe3	16	1.33349333333333342
278dc481-96a9-4fd2-9bbb-4befd44b10f9	0	0
a07ff92a-2624-45ee-9bbc-87983983ef76	0	0
d29fb7d9-5f6c-4b79-a199-b5583ef2174e	0	0
6eedac81-3715-40e3-8ede-3000427495be	0	0
fa328378-f29f-4b59-8487-a05912d76c86	0	0
1c565cd1-00d2-4d1e-a6f0-da9fc6e9eeba	0	0
a44c36f3-743d-425d-ae6b-5b7cbebaaa55	0	0
47b15eaa-bf63-41a6-9a3a-b4ee30362f8d	0	0
26ffa646-1ab0-4d8b-87c7-09810c0b87a2	0	0
d6fcf299-2ebf-47b1-b1d5-8e7eba73fe62	0	0
7f9afec5-a02e-45d4-a83f-93aab417e0a2	0	0
8d28489e-76a9-44bf-a25c-b30decdb1f77	70	5.83403333333333407
cf5238a6-227a-4aef-8149-1375afeae84c	0.594125249072381956	0.049507796866035951
92fa0044-6151-43e0-baf5-b08c4b1688b2	0	0
85a7be31-2ce0-4a99-b5e5-78a0bead3032	0	0
627cf25e-89e2-4a7b-989a-298489d3a850	11.1837229437229446	0.931927206541606545
a02d7ff6-f844-4eb7-8d37-24f978ab5b81	0	0
8faa5c6f-44d6-4ba8-a77b-b92bd122dca8	0	0
dec4e892-9bc7-4cc8-bdf6-0d5611587e8d	17.1436818181818182	1.4285639573737372
9c35d436-fdca-44f4-a7b7-5cb26bbf2bcf	0	0
34b549ec-fe97-4256-bb0c-34dc911d6009	16	1.33326222222222213
e891efa1-5151-4e08-a6bd-f9936714a41e	0	0
28ecd0e6-112f-4e66-9794-112f19628b80	0	0
3f371988-c1b0-461e-ab75-b7ad66be177c	0	0
af9b209a-605f-4113-8551-799caaf08400	0	0
1e400258-8507-4dba-880c-2af50e1f9b84	0	0
563c6612-504b-48eb-be6a-e1dad5a2d0f6	0	0
84305f25-d04a-4eb5-92ac-6a4514ab9845	0	0
7b94246a-b63c-417e-8167-f7a3698ac903	0	0
8433d3f4-897a-44d3-9c73-e7e34082c863	0	0
945401de-5cb0-420c-9bac-2e0b3fab5228	0	0
147265ef-d247-4562-aca0-cc519af03878	0	0
cb12ebd8-5136-4021-9330-270a38dcc81f	70	5.83302222222222166
ef437fd8-1e15-4dbe-83e0-6dc3625c4adf	0.594125249072381956	0.0495162136403978145
823ec7fb-2e88-45fb-b802-982276134e19	0	0
f4438d70-72c7-42a0-92e8-c92ef6192bdb	0	0
9103142a-cb78-47b3-a879-3e17b5222cd5	11.1837229437229446	0.932085642616642729
c54a86bb-b5d8-46d9-a86a-00a4853410c3	0	0
248cc458-51fb-4816-8298-33d226c89d65	0	0
25499cc9-427c-4192-96df-b844cdd27192	17.1436818181818182	1.42880682619949506
760ea316-806f-4617-878c-9348d95ed43f	0	0
a32af196-7271-4848-b2ff-f6c0c088658a	16	1.33348888888888895
32addffb-4132-4a4a-bb94-5f3ef53ef318	0	0
662b6fbf-05f8-471c-873c-43f08c621884	0	0
03138a65-2657-42eb-bcc2-14977342ec24	0	0
ec3b4ba8-f50e-4ae3-8f19-69bc12e6789d	0	0
ec32a3aa-dda7-456c-a64f-90d59ae63b6b	0	0
0bf5766b-7fb9-415d-b5e5-933215d949d1	0	0
06a33249-4ba6-47f2-b52d-60b86d03c3ac	0	0
69719f0e-b855-4e61-81ed-1def4044d066	0	0
cc43dcb0-7d26-4d82-ae16-0c1eb0f19066	0	0
f67a2a7b-8a1e-42a6-ba23-042c1f854c64	0	0
b037b996-4fc0-41a2-bbf8-4aae2412d97e	0	0
7c49eecd-7b69-4921-a7c5-e17fb0b50ffb	70	5.83401388888888928
ad610c6a-2321-4ea4-a728-c66f4f291af7	0.594125249072381956	0.0495134080489438577
e93d4f11-b401-469b-a30d-7e80364c4792	0	0
8ee62808-75d4-4fd2-8ac0-d00932a773d2	0	0
896acd54-26d7-4ff1-913b-f491cd2c09d4	11.1837229437229446	0.932032830591630668
5722cdfc-5a35-4c30-aeee-76a9ce5029f3	0	0
67827203-540b-421c-8cd3-b89482ec3e2b	0	0
06b3f998-7202-4caf-9e58-1e12a447ad8a	17.1436818181818182	1.42872586992424244
adef80dc-f5ed-4dd8-85b6-ac946a0f433f	0	0
cdee735b-ed6d-41cb-b72a-89c12bb2d240	16	1.33341333333333334
d9ac583d-32e9-4b94-80ff-81189051b20f	0	0
ba22f63b-43ce-4c07-8738-a16885dc448b	0	0
c1339e25-cabc-424e-90ee-cb2aac9668bf	0	0
591a861a-3a24-494b-8832-e2ac7ef43083	0	0
3fa8be2c-a4d7-4050-95d1-a4f86f92ac77	0	0
1824be80-2694-41b3-a08f-2dd2c8a8ba99	0	0
89001253-75cd-4312-bd59-0a5dca3d6d8c	0	0
34a1fef1-6824-4b66-acbc-fb3ce0115ba2	0	0
4e94a37f-432b-44fc-8c31-acd6ad354602	0	0
376f4c29-cd6c-4116-994b-4b579cca8e82	0	0
ac2d6567-d936-4564-941b-68bc7894d7b1	0	0
aab7d915-e1dd-4f1e-96f7-add0f068bc93	70	5.83368333333333311
8a7ae38a-851f-4bcf-8eaf-d791f3e25ecc	0.594125249072381956	0.0495124178401954093
a0a5369d-e61a-44ac-90e5-0524818ee65f	0	0
8b8483b3-bb89-40e5-beb6-8617c5c25c25	0	0
98eb06ed-364d-41dc-8973-158fde4724f9	11.1837229437229446	0.932014191053391117
f889801f-4101-4533-97dc-1185e91b39ea	0	0
e9c52abe-43d0-4763-b442-c1c9537c9157	0	0
32d5386a-cf04-4ef6-afad-f0d8f8801382	17.1436818181818182	1.42869729712121218
f63edcc2-83b9-49b7-a5e2-e77466b30690	0	0
64c2b06f-ebc4-4d9d-8b73-42b09f508b92	16	1.33338666666666672
7a46fc84-870d-4ed5-9d5a-e3dfd2f9d49b	0	0
79fd88f1-87ce-431b-8508-8e56a7fa0aa5	0	0
0c894f6f-75df-4af3-9efd-af3b1db0fedf	0	0
98d8cc19-04f6-4c52-9511-d70d6fafc4d6	0	0
870db7fd-c795-44c8-a639-82244f0af1d3	0	0
3e74eac7-794d-42eb-9e26-04192930ac07	0	0
d6d088a3-73d2-4c3f-84a5-a81ba99fab85	0	0
e224a009-cc4e-4284-8d99-5d1e0516468f	0	0
89d80f83-6b7e-41e7-80aa-3bdebd28e25c	0	0
7a9be48b-f312-4756-8b39-b30e260472f6	0	0
1b8f9acf-9b5d-46b2-843d-585976efdac0	0	0
5c08041b-72db-4466-996a-009cfa754504	70	5.83356666666666701
db98a5be-8149-410f-acee-283221c5703e	0.594125249072381956	0.0495173688839376722
8988970d-16d4-47bf-a516-8cfa513f4835	0	0
9442beb8-d719-4eb9-b21c-fadebd9b233b	0	0
4c5a908f-2899-4389-bc65-8244560b9a8d	11.1837229437229446	0.932107388744588872
96de34f4-4118-4eb6-8142-64f009c800f9	0	0
83902fc0-fd99-4bad-9e83-c5fb0416b9b1	0	0
5b0db1cc-9313-4bbb-b548-c8b1cce0e8b4	17.1436818181818182	1.4288401611363637
18cc1290-9039-4a62-80ee-bbfad2ff79a6	0	0
051b2141-790f-4687-9588-880a5acee64d	16	1.33352000000000004
97bbb3dc-5cd6-4419-9563-275537f54768	0	0
43e2cfa8-c976-4b9d-a90a-3204b8917227	0	0
b89a3caf-811d-4a18-9be2-f8c611046fae	0	0
73462663-a708-4a09-b30a-985f67f859bc	0	0
15aa9510-35e8-4854-b930-4e6b319d0a11	0	0
220b9eac-50d5-4988-84d4-82d975c105f2	0	0
63151a91-1ef8-4078-9174-538f0ca9c8cc	0	0
5cb725be-f1fc-4a71-af1b-411346246f48	0	0
c41b692b-7793-4b08-bddf-28d5fe0877e8	0	0
af6ae284-1c45-436d-8c64-560fca706d30	0	0
fb87e997-b92f-4bd3-9e62-de9dac49fc37	0	0
002b44da-09a2-41b4-9ac1-8494aee49a5a	70	5.83415000000000017
333da17f-6f92-48f0-92f2-77e2063fcabc	0.594125249072381956	0.0495109325270727263
9ffc5bdd-9756-4227-b0f4-74cfd7559807	0	0
527149e4-1008-4af2-bb11-ea928dce8744	0	0
80b7057a-5782-47ad-a3a3-0f4dd28ca4f4	11.1837229437229446	0.93198623174603179
4c7cc352-3a87-43c9-9c4d-dc2483207617	0	0
f976a14e-dad0-4526-bd61-16630f477810	0	0
8102637a-eaa4-4441-a531-bf5a6f907242	17.1436818181818182	1.42865443791666658
11445206-427d-432a-aab4-d4269c78e93e	0	0
9a073c4d-5d17-4e26-b18e-202d7ebcdaa6	16	1.33334666666666668
4f8ab342-03de-46b2-8f2e-cf0e936ddfd6	0	0
131e567e-0ead-425e-be9b-816a95929a01	0	0
52cabc38-162d-4906-82be-03283ef581bc	0	0
70661fe7-eb09-4588-b03f-9bbad915c8e7	0	0
35e1d883-8f1c-4ac0-8e46-a68dade42d29	0	0
aab4562d-fb54-4998-83a7-cfaa19cae756	0	0
46c5e54c-218f-4e7e-898b-e6a850e5a993	0	0
7cf2425a-b883-4a7d-9b1a-300a27196568	0	0
0ae27060-a2db-4bf2-a4a3-352e7863d4ec	0	0
3ce890ed-9178-4830-8707-61b647094868	0	0
1406da0e-2b22-4321-b57d-94703fc9d1c9	0	0
ed301bcf-c3fc-44e3-8ce2-f0aeb8aad5d1	70	5.83339166666666653
39c16d9c-596d-47cb-9464-2b6e12215bf6	0.594125249072381956	0.0495137381185266762
713476d0-3b85-452a-82d2-b4f916a36f05	0	0
702f378c-44cd-4c06-955a-b3600592f165	0	0
757dbf5b-e036-4416-b7ea-93a36f22b615	11.1837229437229446	0.932039043771043851
7f699ae6-8926-4163-9001-4a12e53ff4df	0	0
adbc3b6a-1af1-429a-8bc8-2ede1255e60d	0	0
ae4610f0-3552-45e9-9225-4c9fac6f3f23	17.1436818181818182	1.42873539419191919
1074b974-252a-4dce-bd0a-54c0462b1c8d	0	0
02e557cb-24aa-4889-b857-03d3f12110e9	16	1.33342222222222229
ff1e73d4-b6a6-400b-9f9a-908f50365eb3	0	0
f8a768a9-1aaf-42f5-9c06-9c6cf4ccdd69	0	0
12acdd99-4a0d-4456-af4d-14126a4823cc	0	0
bb6412d9-9e63-4a8a-b7fb-7c83a04417a4	0	0
4cf75d0c-3402-4ea3-a2bd-b1c3e6ae5281	0	0
166891ba-d2a2-409f-87c8-b28f07bdf2c2	0	0
1e46b721-1f98-48ba-ae7e-2dd826e0b820	0	0
e37ab40d-b7e5-4820-8dc4-b25822e7e782	0	0
e9f0dde6-ee43-48b3-b05d-ecc97df5bdfb	0	0
fa30e15d-ae48-462c-91d5-f1f260e37f97	0	0
04a4af92-7bf7-4b24-a60b-37b04a0ece88	0	0
4e50a257-f119-438d-8591-52c90c651671	70	5.8337222222222227
735794ce-fb30-4231-a75c-12492209beb7	0.594125249072381956	0.0495142332229009038
34ea0bdb-f98d-4f97-9199-b3e8582b49a5	0	0
200e8dcf-457b-4801-96d8-4b191c05759a	0	0
d1cd203d-42c6-4141-ada6-79ac772203eb	11.1837229437229446	0.932048363540163516
d7ce6781-c02c-4237-beb8-112ed68b71b4	0	0
28dba0db-439e-4269-b4a1-113ca2d20b2e	0	0
760c03a2-2aaf-4a20-9a82-3446c15e6935	17.1436818181818182	1.42874968059343432
75c67c3c-3d37-4de6-ae04-80af1862d599	0	0
186697e2-698d-4b67-84f4-55f0a969baf2	16	1.33343555555555549
1d42e24b-fd79-4b57-81c8-90ffea71fa35	0	0
f0e082b5-b000-4063-9f9e-15b32fc1be61	0	0
4cbbfcb3-2b87-4016-a59e-5c386f5ae861	0	0
ae4ef24d-2228-4922-bc2b-f617d119090b	0	0
06421fac-f977-47f0-b1ba-7c2b27f294c3	0	0
9e884043-553e-46ae-b5c9-f4dbadfb43c6	0	0
ac288182-8923-43c9-8d67-f35bf377881d	0	0
883ceb85-5cfe-41ce-aa88-799cbeb401ac	0	0
0c30bc70-dd5d-42e4-8f9b-2051a8610758	0	0
16c03bc4-3673-4b61-b22e-3085bf11c6f4	0	0
5a0ed5f4-4656-458a-9a86-b9739c9270a5	0	0
91212166-4ce5-4625-b287-bceb513bffbe	70	5.8337805555555553
a549e477-fc28-467e-a107-fa5fea69d2e5	0.594125249072381956	0.0495099423183242709
650a4cb3-51e0-433a-b39d-2c1f5e3e4c38	0	0
06ce2773-04e9-49bc-b7d0-3e56c16ec44b	0	0
87fad58a-a8f5-4983-8fba-9aa0ea830b60	11.1837229437229446	0.93196759220779235
15f8dd91-8666-4ef9-9aa7-45b3156774b8	0	0
02c1742c-3963-44ed-99ba-b80bc0b19754	0	0
bb3ffc1c-6468-4dbe-945c-41f480eb2875	17.1436818181818182	1.42862586511363654
4910a05f-7278-49f6-8997-8130f175f098	0	0
1bca864d-b01d-45ff-841a-b947688ac35d	16	1.33332000000000006
ebedd221-3181-47c6-ac0f-8fed6094922a	0	0
fc4be428-8398-47c2-a35b-6116640f7ef0	0	0
0a7f123d-76ce-42ca-becc-7bcf3198a598	0	0
a477f6fd-c92f-4cab-8de4-be574fb6862a	0	0
ab51b050-3aed-47b5-bd86-20d3638f4202	0	0
b4b87bd5-c963-483f-a0e6-2b78ef658f0b	0	0
19d006f5-ff09-4b17-b564-031d331ffd88	0	0
b4adc811-5f4c-4532-b10e-8564dfedb694	0	0
a1451af7-3f25-42f9-809a-5b7ff5368229	0	0
6ff5c84a-bb25-4206-9306-cb46455aa963	0	0
a77aad3a-6e30-43db-baf3-0c46caa0a580	0	0
8a1f60ba-7b30-4859-baca-3580d1253784	70	5.83327500000000043
f12198de-7bc4-45ce-bbbe-1b3ae1bbcd9a	0.594125249072381956	0.0495180290231033091
75235e25-b8e2-47fc-a6aa-7aac4495b1a0	0	0
958bc079-0822-474f-bac8-65cc28ef037c	0	0
f90d85a0-6ea1-483c-bdf0-14af2dc9e3b4	11.1837229437229446	0.932119815103415128
76704ac4-647c-43aa-84ef-d6a9642e731c	0	0
6c8e4c13-5ed1-4f3e-adb8-c3c34f46e00b	0	0
4c1316c0-4505-479a-8a39-372e05b6bde2	17.1436818181818182	1.4288592096717172
65815b31-023e-4208-8709-a189e2d79893	0	0
fb609547-debe-4452-a056-89dad699dc23	16	1.33353777777777771
9f9d09dd-c8b7-4dd7-ae35-6e7c8018d4bc	0	0
b586ad0a-4c20-411b-8492-36f8e3e3107c	0	0
06c674cb-77aa-41f4-9772-f615ae82475c	0	0
edf4b919-139a-49f6-9df4-8f5d543fbdcf	0	0
f262bbae-a096-497c-aa86-c68cf678e285	0	0
20093702-a961-4cd2-b59d-1b9b451a4bdf	0	0
d58dce7f-b031-45a8-a6b0-4f2ffb50595e	0	0
c07c55f9-bf5a-496a-9d9b-4fca5055355b	0	0
1bf1062d-c24c-4f5f-a633-2a0038c42be4	0	0
4c1495b2-335b-450f-bc93-4f022df1bf4c	0	0
3aa725e5-d7b3-46d7-a3fd-c364c8a9c7fa	0	0
eb944375-5aab-4ce8-b6fb-1e372537a329	70	5.83422777777777757
828aa30e-f7c6-4228-820c-085481a308e7	0.594125249072381956	0.0495157185360235799
bef3f0c4-eba8-4476-978f-e5eb13f42100	0	0
9d5a1043-5e2c-4cf2-9e7e-f000754e73b0	0	0
05ae79c5-78d5-4460-ad63-8c3eaf87f52e	11.1837229437229446	0.932076322847522953
b7d67ea8-4102-4752-b1fe-531b2a8ab717	0	0
2d1b1045-a111-4e6b-a427-d26f27435707	0	0
62fd995f-d60c-4ad4-a4a7-0fce534da8d2	17.1436818181818182	1.42879253979797971
a3c4e579-bb51-4722-bb49-61deb55d59e4	0	0
c13da2ee-afb8-47f0-bfd8-a8b704518e6b	16	1.33347555555555553
c84bcdf5-bdf6-4143-a6bb-495ba47a4234	0	0
9ea2a19c-ccff-47ea-ad3c-f0e8d11f3571	0	0
de31f187-26ae-4554-8129-f6ccb3ba8d04	0	0
cadd2f35-cf99-451b-82ff-05120651d697	0	0
c234e5a6-bcec-4254-931b-960e4b373fc7	0	0
f432d9d9-3c27-4111-b106-d5ccf099c9d7	0	0
0b64cd77-753e-46eb-bd17-1b69423d3cbc	0	0
bcfb956c-22f8-4004-8ed3-14429e6d1625	0	0
28131639-d259-4cda-8026-b10ecb48466c	0	0
1bb01631-d22e-4c16-a21d-2d6fb037a949	0	0
22f91df8-fbd0-449c-a5ab-8d3f6143286c	0	0
b19095a7-8d8c-4aa4-92cb-e5e9ced23a3d	70	5.83395555555555578
26f06eeb-3967-449b-8e2d-8df92bb2ca8e	0.594125249072381956	0.0495117577010297655
576e452a-f4a3-4332-b18a-35c42f892e82	0	0
7214ca21-a182-4e53-9e24-a5772c703dc5	0	0
f05d560f-9a24-4993-88a4-1988545c4a64	11.1837229437229446	0.932001764694564749
862fc6a9-0730-4128-8c98-477ce541571a	0	0
58c248ba-9bb3-4501-b69f-6d6b519416ff	0	0
72b6b2f8-9bc2-4d25-8b22-b6f091ff6154	17.1436818181818182	1.42867824858585846
0eb04431-ca55-42e6-90c4-de1a09e46c3e	0	0
c14f214b-1a3e-47fa-8727-44b8f2e69dd9	16	1.33336888888888883
903d4e4e-6881-43fb-864e-579d1bcacd35	0	0
cd5cfa2a-4c71-423b-8d42-bd27c9bc059b	0	0
2663e50a-d82f-49f7-961e-125f85c8711f	0	0
895d803e-948d-413d-917e-0865c7d230a9	0	0
e01afe4e-93ec-451a-932d-d7eb271a8413	0	0
308173af-a308-4686-9d0f-8a24faf8eeda	0	0
813f0b53-c75c-422a-8df7-64c66d261bd4	0	0
a41b02ca-a5f8-4d1c-af51-71c8b43372b0	0	0
64a63c65-b38b-4ee0-8c2f-dadc3ee5ba65	0	0
6612858f-d038-4c32-987e-d21d31a63da7	0	0
86724e27-4ee6-4d87-b555-142db45daf66	0	0
993cc1f2-0ecb-4b32-802f-090fc06d3076	70	5.83348888888888872
915eca4c-0ad0-44ec-a147-497e0fe39820	0.594125249072381956	0.0495148933620665407
3207b0e9-eb7c-4a3b-ae0a-f7435d97ec6c	0	0
1a66267a-ba65-4d8d-af07-86525367e9c4	0	0
520f298b-c9cc-4ec7-a4f8-06c9cd2bd384	11.1837229437229446	0.932060789898989994
95f4fb21-c500-4784-b586-e77a5389bb9f	0	0
6cf51b05-7206-4d5a-b0b7-7d02350b2b4c	0	0
520cdb7d-2e07-430c-904a-e893dab13c87	17.1436818181818182	1.42876872912878783
f97007fa-34e2-4d34-adae-a05a6fbcb9d3	0	0
2f9c775d-0956-4f41-a753-627bed6021cb	16	1.33345333333333338
3cf26780-985a-435f-b4d3-da9661b795f7	0	0
e62991e6-9b27-453d-8d64-964983548879	0	0
2f2d5af9-836b-473d-9791-b3ccbf5e579d	0	0
1f158cce-77a3-45be-9c2a-1de8bb8da5fc	0	0
d35fe923-7463-41a6-8e57-d561848239a6	0	0
100bef8a-84ab-4389-9ca7-b668d283febf	0	0
770bd5af-4f83-486d-a6ae-07516369fef3	0	0
521525db-f9f7-4503-bd6f-7096a1b895c0	0	0
f6252d3f-83b8-4eeb-a60e-e519cae9a828	0	0
1b16ee68-ca24-43b9-ab0a-b8af4428230b	0	0
c0962c4b-9e04-4fbd-9f22-50d9f43f6dfc	0	0
ab5353d8-7172-4e00-aa1b-bcd195158e9d	70	5.83385833333333359
79d39fb0-6c50-4a05-9506-81248ffd84f6	0.594125249072381956	0.04951291294456963
dda8a397-24e7-4292-b235-8d8661228c2b	0	0
c742e4c4-62cc-470c-9f97-365571d62853	0	0
dae40663-dd89-4096-8b17-53d7ec9ecd63	11.1837229437229446	0.932023510822510892
7ea6433f-2cf7-4409-b893-e6cd2535d048	0	0
377b8c1b-29a5-4ec7-8ea8-ddf6a8b7e03c	0	0
72ce4e83-39e8-4291-a648-7c3ec97ac557	17.1436818181818182	1.42871158352272709
fdf36489-41fa-46d9-8fc4-13062762e5ad	0	0
49fe5584-5600-4cba-b895-f204578548db	16	1.33339999999999992
e5628439-378f-44d3-b4b7-a010e838c1b0	0	0
f811b679-ae8c-4faf-abec-784ad9e71cea	0	0
32b8d42e-8766-4eb7-a5c6-aff9a2722a6c	0	0
130aaa98-90ea-4559-88a7-63b88c53a364	0	0
97bb087b-c333-43dd-b7b6-17b11bcc45d9	0	0
2ccd75f2-6eaa-477f-a654-10c8b57b07e4	0	0
aed6af4c-c717-496c-addb-0e9370406773	0	0
130f87e7-a3ee-4dde-9edd-013c95d3649e	0	0
cb03dcdb-3ba2-427e-8506-13b0d597d37e	0	0
68caa718-75da-434e-94df-6ff97fc04686	0	0
1a7c3895-5a05-41d3-992b-b7aa78133cb2	0	0
47f9f3bf-a613-418c-8312-ebfc76786e3a	70	5.83362499999999962
40ade8e6-f2d8-432d-85d3-115c9595a3d9	0.594125249072381956	0.0495089521095758225
43d03d30-bcc2-4cd7-96dc-aa8d2a10fd9e	0	0
826bd076-7c59-4bd7-84b1-e85f5ba7ca77	0	0
b8055087-62b3-4f49-97e3-a9bacaf35c12	11.1837229437229446	0.931948952669552799
0db44dc3-f270-4ae9-8329-249c71ddded0	0	0
f4bfd7c7-9224-4f2d-b5e5-75a63b6bfa98	0	0
da204639-9261-41a6-afa6-26c5b9a35b03	17.1436818181818182	1.42859729231060628
9dd5ea5e-cda0-436e-9be9-93994374e849	0	0
9fd15010-c764-4241-9c05-c1f82f594c44	16	1.33329333333333344
fe7d8be9-4cea-44d4-90e7-a0ef78503faf	0	0
3927b9fe-f2f3-4939-ab9f-d34afc7739be	0	0
c709d020-a256-4771-a243-958e565c496d	0	0
a34f2ff1-4830-4335-9e7e-c23e810ba811	0	0
1bf32a98-6e9b-4e29-a363-693a50c08dec	0	0
f75f9be0-e65c-4d13-9123-2ace356dc0b4	0	0
482d09b6-8827-4a69-b343-adf71cc5d434	0	0
6b96b970-d147-42ff-9f46-c7a8d932ff9d	0	0
1077ef71-9ede-427a-80f0-509ef0df049f	0	0
ee5a7e86-5bb9-4f01-bd5b-d2a15b4895be	0	0
1c7af299-9c61-466c-890d-5072b7746ac6	0	0
f15e0877-a5c3-481e-b966-7d1d08c95b58	70	5.83315833333333345
8229497e-6e96-445e-b674-239fcdb4b811	0.594125249072381956	0.0495198444058088105
b30ca350-ccfb-4754-8982-fdd8035acf00	0	0
d4129325-ff73-4cf3-b52e-8054740e9d3e	0	0
06e4572d-00e6-4c06-832e-a8f1cd405b2f	11.1837229437229446	0.932153987590187638
40c96103-cc86-486b-9e31-5cb74ab1df46	0	0
6ef1f37c-b4c7-45bc-a9df-f69b1fce2083	0	0
3606a0c7-7d9c-42ea-83d5-5761e584019c	17.1436818181818182	1.42891159314393934
86826a3e-ee87-4ed6-9182-ad276731d285	0	0
66ef8c8a-143c-46a3-9943-2ab805fb3194	16	1.3335866666666667
fd9569bb-82fe-4685-b043-2ba59b41b045	0	0
196549b4-a227-4d36-b9e3-9db940284b3e	0	0
35b77203-43e3-40d6-8d54-395761529158	0	0
d54b9217-c4e3-405a-bc0e-0cbe7963b8c6	0	0
22349cef-756c-4323-8138-87a8ca6358c9	0	0
d47fd20e-fa63-440a-8f7a-1492bac34940	0	0
b6d3b4c6-49ca-4078-93dc-c05b660981ed	0	0
3fe6f3f2-738e-40a7-bd62-58d8b65c6df9	0	0
b8d41f7a-cc65-4da0-9fba-2886edc7c26d	0	0
f535f1f3-332e-49fa-80d0-7a69222ed312	0	0
b91977ad-a70b-4697-9274-d51ea016cc3b	0	0
d704f346-1335-463a-bcba-fb53c9c620c1	70	5.83444166666666675
f7ec6059-12df-48e4-be03-01e712a7765e	0.594125249072381956	0.0495127479097782208
71aebcca-085d-473e-8e41-740b44210dd4	0	0
08cc8372-b18e-4eb8-b595-e1d8ecac1d8d	0	0
38e6a0d5-2a84-4e16-a40d-1436ae8e1e54	11.1837229437229446	0.932020404232804189
ffb5a22a-391d-488f-afeb-83d03e50b044	0	0
c35d21f7-e533-4f6b-b5eb-11a37012c91a	0	0
87cd8cf3-4c12-45a1-b6ca-64938799192f	17.1436818181818182	1.42870682138888871
3d9de597-575f-4bad-85e5-38fe581f35cf	0	0
df538a32-e2fb-409e-b938-e8302b642882	16	1.33339555555555545
e9da604d-1904-4cc0-a140-ce6e0a7777c8	0	0
b60e4148-3c59-4daf-b9a4-1feed5d3323a	0	0
7a3cc709-8b24-4435-aba8-265a5e1347ca	0	0
614698ef-8681-434d-afe6-07d85e8d2aa7	0	0
fd4eec89-3eaf-4da3-91bf-d19abf28d8c0	0	0
995d24af-2141-4db2-b938-d6f717a45f7e	0	0
945e793c-48b1-4d9e-ada5-f0f942c18846	0	0
f4e7d943-ceec-480b-aed1-923050d5e0e4	0	0
7bfa785c-3392-4084-a210-c562165c2ee4	0	0
aedf496d-64bd-449d-bb93-d81d1e832a44	0	0
c7499bdb-2a3a-44f6-a941-35ebf1aa2ef7	0	0
22fbc156-20cb-401c-9903-d9b2a57dbfe2	70	5.83360555555555482
2811ccfc-1c74-4d93-b450-6bd4ae183fc5	0.594125249072381956	0.0495143982576923131
df5cd89f-2251-433b-ae3d-fea085a65a5e	0	0
2566f70a-3b09-4942-8164-24dce4d1ad80	0	0
56de8f17-5b25-472c-9229-856992fc15cc	11.1837229437229446	0.932051470129870219
e6f2889b-f457-4460-9d14-3461df4a9954	0	0
a037ae6e-0e44-4f21-99bd-c183747fc4be	0	0
3b9b0601-ec6f-460e-833e-66fb3caaebf1	17.1436818181818182	1.4287544427272727
161996a3-a77f-4039-9f0e-38ef3bfa156c	0	0
867a0667-de4d-428c-b0d3-fb4535a3e49b	16	1.33343999999999996
5b18adf6-8385-4b7b-b9d9-a19ce9a86daa	0	0
3062d3d2-a597-49ea-bb9d-96329a32e4ea	0	0
c43225d0-6ce2-4110-a4ed-1b6016ca164f	0	0
fdbbd038-a2f6-4aba-a81c-759cab0478b8	0	0
86881172-ddbe-4a21-a67f-1372c22478ea	0	0
843ff9ec-cf80-4dca-8fd8-5b844dcdc275	0	0
5ad04ad4-3637-4d1a-8465-3f6b2e4872b9	0	0
c22339fb-f966-4017-8d05-11e5cd3570b5	0	0
3a3e23f3-eaac-417f-9cef-9dcc921abb13	0	0
218816d8-aed8-4eff-a159-cbfef58e0dbf	0	0
1942a799-f0f4-439c-a281-05fd5ff759a3	0	0
65a55056-a2f2-46c3-a05b-1f1c54bd7934	70	5.8338000000000001
a54017f3-5703-4d19-976c-c8eb3d6b389f	0.594125249072381956	0.0495167087447720353
90f20f5f-1de7-4a38-8c75-64fd98bbb499	0	0
6f77de53-1fba-4f66-99e7-bf2730c01e4e	0	0
a8671300-19cf-4845-886b-8672a4ab1d79	11.1837229437229446	0.932094962385762393
e0a9b4ee-571a-4177-942d-6292803137ac	0	0
8ec7bb12-d49e-4b6b-a5d2-dad46c780548	0	0
8f2e0190-72ca-46de-a5e0-caf0d260ee1f	17.1436818181818182	1.42882111260100997
f0af24a9-e931-4bee-b24b-a038d85536c6	0	0
78df5e61-e55c-4122-b982-b7dfe9d6a66a	16	1.33350222222222214
1ec17eeb-be63-4e42-9ea0-ef976eb5bc5b	0	0
5206ab97-b936-4394-bc8a-e8c5659bef2b	0	0
1f233494-6cc8-4612-aa28-d243b7e610b7	0	0
18784036-a1dd-44c3-87b5-26098213f4cf	0	0
a5424c99-fa7e-43e0-86cb-3b50c14e2949	0	0
20129626-d584-4c87-b023-161e957f5b82	0	0
6bbc1744-70be-46b8-8e2f-89a2c8610280	0	0
61167677-016d-4aa2-a921-7b8fb08dbf0b	0	0
742cdc13-e48c-41f7-9b25-5bb5e28f8f40	0	0
ed0ac81a-0b6d-4672-8535-45159fa80942	0	0
6f19027b-61f1-44c2-8885-797508d25bb2	0	0
fab3bb5b-9ce4-448d-96d2-85b8d22de3d8	70	5.83407222222222188
41e6fb24-52a4-447d-8188-8649ff3edd87	0.594125249072381956	0.0495115926662383563
0563dcb9-238b-4570-9f09-ae080c6c91f5	0	0
339ab614-b755-4303-832f-0ab2bdcab31b	0	0
3ab8ae2c-e6dc-4e5b-a8f7-fa9237017bf4	11.1837229437229446	0.931998658104858158
c3218e52-ec6d-48ac-bc86-d73f6bc9cfa2	0	0
452ea510-3c34-4aa5-82d9-99d8620f117c	0	0
eb6074d5-602c-4da8-b38d-c6ba81e886b2	17.1436818181818182	1.42867348645202008
7f787fab-f061-491b-bbae-8273531989ac	0	0
9d722330-981d-4e7b-8fc3-f7c4b03825a2	16	1.33336444444444435
bf32bb4f-9e35-4be9-9f9e-c9d2ed4edf3b	0	0
a41132ea-44c7-45b3-9518-0b925aaf4f2b	0	0
c992e4c0-c609-401f-aec3-25e975bb0f7c	0	0
e2eb4894-4589-4d4e-9072-e0a665c8db68	0	0
db5fbc73-aa54-4258-a904-7e2225e1d465	0	0
c225f88e-1497-4e12-950a-7408696c8821	0	0
643b7508-951f-4d04-a500-f8f05f0ddbd8	0	0
be7e48e6-4951-4372-88d2-76db1f823a8d	0	0
bba984e3-7450-4271-8338-1c32c9a7cbb8	0	0
14263224-2125-46b7-862c-f163f488bc90	0	0
2bb9119e-705e-4c36-9218-e7b7e6624858	0	0
547fbf43-b58a-4386-962f-9e566e6fa3f3	70	5.83346944444444393
1aa1a996-683d-4c03-b297-f3d5eb3b9ec2	0.594125249072381956	0.0495140681881094877
a8a79f15-c79b-42d0-acda-4438535c1d63	0	0
447ed427-b5f4-4f32-974c-ac8047c1a5a1	0	0
1ba72c04-4220-45d6-b16f-fade9b2b1104	11.1837229437229446	0.932045256950456924
a1c755b3-e445-48a7-a12c-dbbda53eb61d	0	0
155df0e3-cf7d-47bf-9ab0-28d9a0bc89d6	0	0
f1010a81-dfcd-49bd-a02e-9024bd8ce261	17.1436818181818182	1.42874491845959595
1cf69b54-a4d9-488c-b442-db983cffd986	0	0
af62207a-daa0-4fbf-87da-a3e7ce43aa63	16	1.33343111111111101
ef6e6af6-5b8d-46d6-94f9-646babac064b	0	0
08a28910-f5ba-4af0-b170-b33b4af0d87a	0	0
577b7d79-6a1d-4286-a84e-50f03e4a751b	0	0
4911db14-cee1-4ad0-9e37-6131336780ac	0	0
eccc13c3-f558-47a6-87b5-fd8b4d563781	0	0
508ab05a-2c02-45a6-9a8b-3c2fc357d7ba	0	0
6e7a5806-3de5-4333-9127-744d57f659ce	0	0
2bdf1957-3f80-4465-9a41-6cc7bbb59fc2	0	0
6f4a39cf-d600-4109-8acf-26c84c6b7041	0	0
3b7b6b3b-3802-4d04-8937-6f8ce9059e01	0	0
14ffa1c8-5f6f-48ce-885b-48599ef51375	0	0
b553a8c9-bf8b-497e-a992-2eb55f0d3ec6	70	5.83376111111111051
8c6e0480-1987-43b2-8edb-7e31ef530a5b	0.594125249072381956	0.0495107674922813171
32a963db-c891-4e7c-b508-5271b99513ce	0	0
52dd1ba3-fd00-4f07-b916-f984a8a55718	0	0
f90ee194-30ac-4320-9afc-efbd87d276fa	11.1837229437229446	0.931983125156325198
e4395cce-0111-4c8f-9895-672b3c5396bc	0	0
18f24cba-8936-4114-a19e-c5ff1ed49cf4	0	0
87d2561e-b5d0-456c-90db-cb530397af1c	17.1436818181818182	1.4286496757828282
bf7751c0-fe05-451a-9d69-0f4daffb670f	0	0
6c5ebdd2-88a2-4595-ac5b-0699d84d14ea	16	1.33334222222222221
53a437f9-4bc8-452d-a83b-fdeffadc2234	0	0
05f889d1-7e75-44ef-9eb3-f78296eec5d1	0	0
632c1157-b1fd-46f2-b087-655001509f41	0	0
450c1771-5c66-4dbd-90d1-6ee885468f61	0	0
27b69df4-b429-493b-9331-ea65ced538f7	0	0
57ffb440-f555-4d88-be9e-d90101a13b33	0	0
e7c96853-b5c4-48cd-bb9a-fe5b99c3fe7f	0	0
c007aa33-5ce5-40ee-90e6-4e9aa25d64e1	0	0
3d21f848-6e19-4271-a463-4471473052c6	0	0
2c293d07-b9bd-401a-b3a7-da37ad76f812	0	0
e58ad60a-abba-4269-b93e-4af7fde05162	0	0
8cc254f8-00e1-4d48-b704-cfd7f2a9bef7	70	5.83337222222222174
79c68e00-02b7-4859-859a-9224b29e815c	0.594125249072381956	0.04951505839685795
e2747fb8-5bb0-440b-aaae-bb46f7306a12	0	0
8049cd09-93a6-4390-982b-7404081a46b8	0	0
79744000-cd95-43ea-9751-bff8b79fd53b	11.1837229437229446	0.932063896488696586
73123ca9-d7db-4f2d-b1cd-71f81d1f67bb	0	0
5503dca1-6811-4143-a513-505df342e79d	0	0
1b616ea8-7bb7-4ed6-96b0-4127a59d5b4a	17.1436818181818182	1.42877349126262643
a693a307-d0cd-4ff0-a2d5-06f486963e8f	0	0
a298f8b9-7bdc-499c-b2ca-d3af49533a0e	16	1.33345777777777785
c70e6d02-a1c4-4424-9d28-76d76a97918d	0	0
7716fe6e-0866-4e84-9f31-00fa0a633761	0	0
edbd7ca9-db79-4a9a-9866-3f08a1accb23	0	0
5f6ba93f-b8c5-4323-8fc6-c557ebf949e5	0	0
a9f7d869-db07-4b42-9ae9-61bd32f08a35	0	0
68b3363f-3eec-43c0-a614-9486dd5bfb3b	0	0
1700def3-8a8c-4b9c-9a4e-43e18eee2cd0	0	0
10be921b-d378-40a2-a903-cc9068bf4ddc	0	0
51f88f63-b140-4e3a-83a7-28e4c5c1fa9e	0	0
4891e9c3-28d6-4a03-87c7-96cf2c8eeee0	0	0
8c822a97-4e00-455a-8f43-1dac5c62d18c	0	0
d77850b1-1c9f-460d-b985-1fb8970f907c	70	5.83387777777777838
bf4f6732-1ad4-46df-ad27-17170eca8888	0.594125249072381956	0.0495139031533180854
ad3bdc51-df65-445b-b576-8781aecb2144	0	0
812914ca-f146-4577-bd23-ea7b4ab8fd80	0	0
7b805b10-50fe-4b62-ad92-c7e97472ed5e	11.1837229437229446	0.932042150360750554
801fd128-58ae-4997-bfd9-858e1284f7d6	0	0
31315ae9-e9ae-419f-b0d8-86bcc86470ee	0	0
d401ee56-cd44-4d59-9ff2-816c69a2033a	17.1436818181818182	1.42874015632575757
22d6eea1-d962-4389-85e9-607d32549735	0	0
0be72d67-e558-4477-83e7-6dd581c32dde	16	1.33342666666666676
3bdc69a6-96d0-431f-a915-5f6fb8bb686a	0	0
a320f732-fc03-4eb1-8525-cbe942fac964	0	0
45182d5c-ce73-427c-964c-c6bb0cd9f80f	0	0
4b8dd02e-8c60-4b82-a2f8-bd07b5788152	0	0
f2605867-d0ef-4f1e-9120-babe7a39c837	0	0
8eb49159-5707-4ac1-9f87-66b34dc27d6f	0	0
051a40f6-1a4b-4117-a67f-d88880a7578a	0	0
795bda3d-f172-4ba9-82aa-614868a0f2e3	0	0
9764e820-7a9e-4222-892a-cb32d95a0f49	0	0
dcf3e71e-600e-488e-8597-0479ca858349	0	0
9b45b530-29de-460c-bc76-e9e016312a00	0	0
749f4b92-c23d-4287-90be-8cf3159785f3	70	5.83374166666666749
3f30ddc9-4cc2-47f8-a251-dc48450aaf5f	0.594125249072381956	0.0495167087447720353
f82b912e-972a-4245-be7c-00552d1b2a1d	0	0
6910b77b-c2c7-4344-bd7a-71b737846f2f	0	0
a9840ddf-52fe-4510-9232-e3a7dd07d659	11.1837229437229446	0.932094962385762393
56455f56-6698-489e-a9f9-fb25206d8744	0	0
070a2261-c13b-4984-afb1-0eeacc548153	0	0
97f9ded6-1efe-4817-af81-e977dc07294b	17.1436818181818182	1.42882111260100997
ca6ef6a9-c57b-493d-bcb2-a23757afccd3	0	0
ab49047e-453c-4997-bc28-78288cbbf083	16	1.33350222222222214
93e5504b-b610-4dff-9b64-16e00ecf747f	0	0
bc872659-e16b-456c-96f5-210f6ab4f6b1	0	0
da175de6-c58a-4ac2-bcb7-48fba1fd8ceb	0	0
041b6be2-21cb-494c-a80d-89275263e44e	0	0
10604744-01c1-441e-b449-bb8e015ab926	0	0
b621252f-cde8-4268-bb18-562e3046f8fd	0	0
4c281529-20f9-4853-bd50-57ccb6d13d59	0	0
708baefd-7efc-4a9a-ae53-2b0937befa04	0	0
9228bc3c-6159-44c5-9337-18cff05559de	0	0
4acd6d65-598a-46da-b6e1-1251eaef343f	0	0
7592897e-1e6d-4e19-864b-8264428a190b	0	0
f9c343fd-cef9-428e-9538-9c86296ea3ee	70	5.83407222222222188
41a8176f-6281-47a6-82af-ec7ed0f7947e	0.594125249072381956	0.0495132430141524485
fc47f9f0-ac77-4c2b-8ad5-656c54aa3913	0	0
002f02f8-e66b-4065-a80c-1d8c55b13c88	0	0
b7d8b07e-dcdb-4069-be50-79b3320d5a4b	11.1837229437229446	0.932029724001924076
8492339f-2f70-45b3-8513-0844f302248a	0	0
c8a56a5f-0688-468f-9e3f-d0bfcc36652b	0	0
64a84e71-7a73-45a3-9e1e-ee3c6983ad5c	17.1436818181818182	1.42872110779040407
1786e554-f9c6-4f80-a427-1c898fc97ab9	0	0
28ceed24-fff2-4fd5-a89f-a807a80cb577	16	1.33340888888888887
1374384f-3d58-424a-81af-24cbf46dfa55	0	0
edfbc317-f63c-461c-9aa1-da06769ad705	0	0
ed90cfbe-95a2-4f72-aba9-53951b7d3e73	0	0
031c5c7f-7c52-45bc-9f8e-d104a87b1310	0	0
09b58050-71ba-4ebf-b07e-128ffa5b36f9	0	0
c98ed66b-88c5-47f8-88f0-a3918398aa2d	0	0
3a10feb2-66fa-4624-b57c-24da1bdca40f	0	0
82283baf-1883-49a4-9f3f-15c95ac1d205	0	0
44315a74-44e3-460a-9358-223bc7d0ae09	0	0
24d766ea-efd8-4388-b471-2caf2d328308	0	0
3cc37abf-e640-4ac7-8da5-48d51f824d84	0	0
38032f56-26a5-4a58-9413-35626f20f6e6	70	5.8336638888888892
cec2bc75-5fc2-4cfd-9a18-7fe67d6adc55	0.594125249072381956	0.0495099423183242709
3460dfa4-d2bf-44b8-b583-e016fc6886b1	0	0
bd0be1f5-1a02-44eb-9dfa-787c26aaad12	0	0
69b1364c-55c4-46a3-b810-60269d3ba0ef	11.1837229437229446	0.93196759220779235
74d41e9a-f711-4329-9dae-1367fcffaa26	0	0
91fde174-c82c-4bc8-b940-c088ef712c14	0	0
2be9a2ca-4c55-4227-9e40-e34e523916d8	17.1436818181818182	1.42862586511363654
5c1bdb49-7572-491e-afd9-63ec8f1ff8a4	0	0
e3754167-a347-4f4e-8221-28dfe1485ed9	16	1.33332000000000006
1bf262fb-8cfe-45ef-a5f2-20be4dc634fc	0	0
532503ac-fdc1-433a-9dbf-69cd9b056352	0	0
0b51e93a-5825-4292-a5a5-0035c1f39d99	0	0
d3574f1e-784b-4604-8e17-3f0a0c2ce775	0	0
f4dd71a5-f143-437d-8e11-bd1ae8b5b79d	0	0
898017ec-5646-4dcb-b78e-60b64fe440ed	0	0
9d5cb4df-791f-4e4b-ad03-546aa4cc0f54	0	0
5847b3aa-60c3-4883-a60a-1176de8e6170	0	0
ea66376b-218b-4535-ab9b-1c792bf75e1f	0	0
e2d4b969-2c4e-4741-867b-77ead8aed159	0	0
908744e3-8524-44ab-8fcc-752db4fcfcb0	0	0
85582670-70f9-4446-8052-055636dbdc78	70	5.83327500000000043
eb5adf0f-d7d0-42c0-8939-5e54eeea325f	0.594125249072381956	0.0495160486056064053
19055701-d8d6-42b5-b65c-08d3e1959f64	0	0
e9b59c13-8bf5-4a62-8bfb-17ae5f90d0cf	0	0
f21fd23f-5aa4-4721-929a-877d7c92618c	11.1837229437229446	0.932082536026936137
147b624e-e3f1-4b32-86ab-7a5e4690dcec	0	0
0b138d2e-2d76-44fe-a7f7-d54241b31d65	0	0
5900c24e-f098-41db-818e-a307785332e8	17.1436818181818182	1.42880206406565669
d74be697-33f6-4b74-b238-dfd619d59ba4	0	0
26acafb9-7bc9-46c4-b71e-9f4f7446dafc	16	1.33348444444444447
caea2c43-e5ae-4164-a798-d5c704729271	0	0
3d10c6c1-7b0d-42cc-825c-03b44bbd5b8e	0	0
2bb6a926-5fec-476f-982b-1e3d346f564d	0	0
5ffd1a95-ed99-494b-99c1-3236a757a607	0	0
b7e5eafc-cbc5-4d6a-bd03-9a40f4289d0c	0	0
7f6ed772-6cf1-4aad-a38c-050cf56fcfeb	0	0
72e1801c-401d-47fc-a5c6-5fa641a52163	0	0
2035797b-6ff3-4b53-bc83-108a0345550f	0	0
1891c21e-844e-400b-a858-38e9d88defa4	0	0
d9007096-eeab-46bb-91f7-9bc9cb3c31bb	0	0
375a4b79-a4f0-48e1-973a-e35fbe68d575	0	0
90e01387-e5fe-41e9-a3eb-60d73e2f72c3	70	5.83399444444444448
8cd07952-dfff-40f7-9d06-52c216a9bf5e	0.594125249072381956	0.0495132430141524485
54c905b3-65bc-42f8-884e-79d6d5703e40	0	0
8b55d2e9-6f35-4f04-888c-866ced4513b8	0	0
f3090247-40c4-41f0-ae9e-b3a88b4a2a8c	11.1837229437229446	0.932029724001924076
30ed4e80-cfd0-46e4-afba-8857d37a68da	0	0
f93d5997-99dc-405b-80b9-a05b123080d8	0	0
8831668f-f0ad-4f77-bb8d-abf8cfafd4b5	17.1436818181818182	1.42872110779040407
2453b2f5-bb0b-4825-9877-3db38dc7930d	0	0
969bff0e-a3d0-4eff-9e3f-b6a6c3aa7e35	16	1.33340888888888887
3932c19d-08c1-467b-8822-d7a70e592330	0	0
d8e5439c-d724-4887-bac8-6afe5278d51a	0	0
a1856d3b-ab95-45a0-9965-e3733fb93cb3	0	0
bc8adb56-7873-44ee-bb8a-c960276549ef	0	0
12a3e77f-b6b2-415e-ad6c-3109e3bfc1b0	0	0
beca6dbf-4b6e-4b91-9268-fa2b0d6ac777	0	0
726d2d27-c36c-4a0e-b5f8-4fb9cdb9aa18	0	0
f7563a7f-f8cd-431e-a04d-7165307748f6	0	0
f54e84d9-4bb6-422e-9e46-b7ef54e5b30c	0	0
9373546b-c1bc-4566-8d04-28d70f6b5896	0	0
aca99430-cf3d-4ebb-b6d9-871094f1d4ca	0	0
86d7ac4e-59fa-4ba4-a6c0-a2c7b10bccaf	70	5.8336638888888892
cbf75cb0-33fa-4a2f-9d6b-fe0adb44dcb6	0.594125249072381956	0.0495176989535204976
89ce58f9-711b-46e2-b674-282a9aee8256	0	0
a08aa801-fe1b-4242-b5f9-22c55427fcb1	0	0
74798ee3-cfe2-4448-bd2d-a1ab73f3efff	11.1837229437229446	0.932113601924002055
7baf5559-9786-4238-b52e-2a51128557b7	0	0
ed0a0a60-9e6f-41a9-80d6-daac3c772494	0	0
3dc2d259-eec5-41c3-9868-0a98ccebc900	17.1436818181818182	1.42884968540404045
45d9472d-ca40-47b2-be19-0ade82aa3b04	0	0
34a91b41-4e71-47a7-856a-eceec940acd1	16	1.33352888888888899
47394b42-31e3-49cc-a082-cdb76dcbc45f	0	0
e6cd2261-ef7f-490d-aef3-59d114d7b9b4	0	0
9db78a81-cf94-453c-9892-8aaccc545fc6	0	0
92712b2c-dca4-4b99-aa62-7a925b99ae21	0	0
4722ee3f-fe26-445d-aa49-07eb35bb13ca	0	0
f7bfc7c6-a273-463c-8084-8026d49bb476	0	0
09b86aa4-5ae0-47fd-af2f-ef5a92de0190	0	0
6bbef8e5-dddd-4103-9a0c-abc8a55e04db	0	0
f63f27f8-237a-4070-b265-02b796290576	0	0
79926cef-18ed-473f-8823-eef26894f9a5	0	0
ca5e8da9-00fe-41b1-b4f7-2d1804f94b29	0	0
415a2252-58ee-44c5-b7d1-dbe4769ce62c	70	5.83418888888888887
af5ad8ea-0fd8-4bf5-90e9-31f42ab21e36	0.594125249072381956	0.0495107674922813171
4f5aa7d5-3fd6-4613-9214-ce4dac2310c7	0	0
627ac9f7-be3b-4818-bc99-4c6bc71e209d	0	0
88b0753d-6961-4cb4-ae02-3a884a0eb091	11.1837229437229446	0.931983125156325198
84a66ba2-200c-4cfa-aa8e-c9b5ed07d85e	0	0
df00b211-3614-4e6d-92f8-eea844484e9f	0	0
5b42a4f0-729e-4afc-80e5-5952f3486b9c	17.1436818181818182	1.4286496757828282
166a2468-4189-4723-962d-d36459ca122f	0	0
9182d2dc-be1a-465d-8312-ff25c73f6bd4	16	1.33334222222222221
da7eded3-da35-4089-925e-431f6c89be30	0	0
def09836-fe63-4434-9186-8af85cda015e	0	0
6ec38ba4-3664-4aa7-8912-3ddc99e1e12e	0	0
e16b8b55-9f4f-4362-a163-0e28165bf96f	0	0
495d4dea-7f03-49c4-a35c-7ae36e973eb1	0	0
42d29e8c-8d74-4f15-bdb2-28cbdcff95d3	0	0
a3a9d81f-819a-49f8-b0b1-a68e36d41d8a	0	0
23a14916-4141-4cc9-9c3f-3618d08ebc5e	0	0
497808e5-f8b3-4b18-a81d-af56346ed687	0	0
a738f5ec-8b12-42c6-b3f3-315e772c6aef	0	0
d0daee0e-4e73-4a8d-a020-1cd04b4da548	0	0
9146812f-85df-4022-9d2b-1d5279aa6013	70	5.83337222222222174
3adae661-5579-4677-b31e-c92ab89383a5	0.594125249072381956	0.0495051563093734104
64c9a664-aca5-4c5e-8260-e33066a7f3de	0	0
ded55c15-14ca-466c-a860-9b87c8b2cfa1	0	0
a8cac2cf-1c8c-481c-bccb-460079cd80b7	11.1837229437229446	0.931877501106301298
d8c38262-e507-490d-86d4-9a634ec6aae2	0	0
75c04dcc-9264-4b99-94b0-a3990a23dc1a	0	0
15779150-3818-4398-bddb-68c89a951c8b	17.1436818181818182	1.4284877632323234
6c3a7aa5-39b2-4880-bfa7-9c8c61cf321a	0	0
02c0289a-be4e-4e39-9e67-48c5c691f2b5	16	1.33319111111111122
25f08473-27d2-41a1-a475-3d4b6a0dbfbd	0	0
cad2f742-615a-4d42-9e47-d8e9f05e3263	0	0
3ae5699e-adda-411f-8e3e-c8ad0745a857	0	0
43f83b4b-f44b-47fc-94fd-2262f5ff91b6	0	0
60705722-559b-4824-8d8c-7654c1e37b53	0	0
62fbe6b9-db18-472d-8fac-cab031803d86	0	0
0e46a37c-825b-4fc3-8f7c-cda2609ab4ba	0	0
a459df48-50f9-4997-8d32-3bf78473f70e	0	0
f072f359-592e-4127-9230-db6d21b42426	0	0
bc5c09b0-54e4-463c-ae72-cfa25d6a1368	0	0
c7d7a7af-2cdf-43d3-9bba-95be24e0b1cf	0	0
96ffb637-65a1-4391-9781-d1410267f67f	70	5.83271111111111118
c99396df-d000-40f0-8467-a6cf7ec2f4b1	0.594125249072381956	0.0495221548928885327
1c11030b-dc28-467a-9553-fd20504c7a35	0	0
187750e4-4871-480f-bc96-87c68ac37cb1	0	0
2fc9848a-ef1c-4427-b2ad-b3fce7cfabf1	11.1837229437229446	0.932197479846079924
d005e6f9-18a3-4243-8947-f5c064ad27c4	0	0
e89258ae-adf7-4873-bf4f-defbef1739f7	0	0
d991e1d4-0629-4f34-adf0-92b2de987364	17.1436818181818182	1.42897826301767683
3fca4b53-786a-4baf-9341-8a4699198f4f	0	0
df7525c0-9c47-4685-a14f-6a7662549c7a	16	1.33364888888888888
41bc760c-0006-494a-8edb-dd7865ef7eba	0	0
a25e17fd-1e81-40dc-a3c2-814605141e76	0	0
f3e6dbc6-5224-4572-80a5-1e5f861f628a	0	0
66715c3d-e1a0-4f44-9c6e-603f267dd5bf	0	0
14f2af97-dcc6-4585-b9e6-5c4756260953	0	0
5428b6f9-ee12-4a2b-b41d-5374a48b066a	0	0
1a7874dc-132a-497f-bd51-57cb2c870524	0	0
84285058-4473-48c9-a896-36f5816803c0	0	0
fd4fd32e-c3d7-463f-b6e7-88b8e49d847b	0	0
4e7cd69d-36ab-4e35-94ed-0ef5bd87ba50	0	0
707d7289-e451-4782-a05a-fc514af6f5c9	0	0
12d1b32c-5fd6-4f47-aa55-1e4e8410f72d	70	5.83471388888888853
0ff13264-7f96-4541-923f-cc2fe49d2706	0.594125249072381956	0.0495142332229009038
4eecdb1c-f5b6-4176-b0e2-8e5701a2eb46	0	0
bd2e4eba-bac1-4314-8a8b-72052973a04c	0	0
dc6d9bb6-fbfc-4e77-871e-4caf9c44932e	11.1837229437229446	0.932048363540163516
a3678dfc-56cf-4b8f-a254-7355c62e79f2	0	0
8a36126d-e486-4fc3-aaac-f96546ee3017	0	0
29d83dac-426a-4f59-805e-046f764873b8	17.1436818181818182	1.42874968059343432
e821c073-4f51-4d13-99eb-79eadcfda7e9	0	0
e027b43d-580b-4e8b-a41a-2fda24a30fe8	16	1.33343555555555549
45b8abe2-85a3-4ac9-9334-ede9fc88bf0b	0	0
8a9d0f25-2b40-448b-a134-e62b4d79ca64	0	0
b16ea911-b076-4f3d-a8b7-9a11aa1c4268	0	0
008cb65b-26af-439b-bb45-01083068c140	0	0
1ebbb228-f90e-4e3b-bde7-f5030e144bdb	0	0
5c3b48ae-4b2f-44c4-8c1c-49c2072defcc	0	0
e3c87cb1-1ec3-4ad7-8ad0-b941260f7943	0	0
4a7a902c-56db-4e62-94c4-d5f661782ce8	0	0
b73ab875-c610-4742-a1a0-8af4bdb2f82d	0	0
66d66454-54f1-41c7-9f1e-130a77a1bfa3	0	0
9a48c5a6-54eb-4c99-b6f3-5dbd5a734c2e	0	0
cbc0951a-5c59-4493-9b22-23ab8b1812a9	70	5.8337805555555553
a38d71cb-cbca-41ef-9c44-82800c5e0d4c	0.594125249072381956	0.0495134080489438577
d0b496e1-d07d-4232-9c8d-472bd78fb439	0	0
548886c9-180f-491b-a96a-922d7e249c79	0	0
999157b3-39e9-4cd5-93e0-b1fb02560fbb	11.1837229437229446	0.932032830591630668
6ae84ba7-4e36-440e-9048-c25bec110ad9	0	0
3a7cb1d3-7902-4a79-b918-11fe756af290	0	0
ad4d11dc-e314-49f0-add3-1d135ca0d0a5	17.1436818181818182	1.42872586992424244
3001d828-941d-4842-9051-789a1434836a	0	0
18054c23-66f4-44a6-9273-0327082a30c9	16	1.33341333333333334
db74a181-20bd-4de7-8f09-d06b4e2f4c7f	0	0
8daf7006-8fed-4d74-a36f-c1a53e5bfd4c	0	0
75d585e8-3706-47d2-bb0c-38db5e9f0725	0	0
4562a299-5faa-4b8c-997d-c83fd0ba98f9	0	0
a8ea67aa-505c-4112-a0e4-dcb9f61bcb93	0	0
d22e203e-7f90-44f3-a493-3b5ebd7eb9af	0	0
2afa1bdb-dd67-4a1b-a4e5-5de1d0430228	0	0
68f51d56-015e-49e1-a19c-8e696abea3eb	0	0
9169cc3b-0c5e-4789-b275-39d8b5e48ca7	0	0
d6307175-1564-459e-b6bf-d2446ab80ea6	0	0
f5a3d0d8-38c2-4586-a05c-5ff87661e89f	0	0
fb7e0f16-db1a-41c6-9f6d-1e4b4db0dfb6	70	5.83368333333333311
f059e6b3-878c-4f09-adf2-52bd717470a8	0.594125249072381956	0.0495145632924837223
2d06465d-9946-483a-83a1-6c35601d8155	0	0
f5d60b13-de77-46c7-8820-262912eccd89	0	0
660c19b0-a764-4048-ba22-c5599f6f6c3c	11.1837229437229446	0.932054576719576811
636b1347-20e1-49a3-a914-03b876108976	0	0
9bce20a1-fda0-4d9d-b9cd-25b106550e8a	0	0
baea7f83-9e8f-4d86-b20b-d42fa1123ab4	17.1436818181818182	1.42875920486111108
89538da0-42c4-4d0c-b5c1-8c33ce7baadf	0	0
212a3dd3-4702-4e77-bf92-c30a3a1ef01a	16	1.33344444444444443
f9411086-3b48-484f-98a9-b9ec8b6ee951	0	0
0b7efc4d-21ae-4700-ae4e-2fa2fafb9d8b	0	0
02fcbb35-3967-4960-99e4-f532f628df48	0	0
1fc302cf-1988-496a-84f1-7ab7e931f4fb	0	0
a1e95ebb-38aa-450c-aeb9-7cca2c76373b	0	0
516b979d-c198-4ac1-bf6b-99524c552990	0	0
f5956995-e902-440a-b9bd-9783d83f43ce	0	0
300596c8-2e8f-4db7-a5ed-a468dc4b05dd	0	0
3c075fda-3416-421f-8984-28a2c0ebe7aa	0	0
b5d4f985-8622-40ec-b9f2-d598cc208471	0	0
b3c73a0f-e207-4420-88c7-1e61e478375a	0	0
90e5349d-2b1a-419d-afe3-333c4c1ac380	70	5.833819444444444
bdc4d62e-a994-4c23-879f-77ea93c291ea	0.594125249072381956	0.0495117577010297655
a5cc1769-903b-4438-88c0-b1eb31f6957e	0	0
2629abc1-a51c-4e55-9322-2c9df68b397d	0	0
db9a8dcc-1901-4815-979b-6097670bb75f	11.1837229437229446	0.932001764694564749
41020752-7062-48be-b28a-018025eb2886	0	0
11f5c701-8c0b-496e-b22c-90cbea5948ab	0	0
2d7b577e-4b39-41c5-a7df-00d923a1c306	17.1436818181818182	1.42867824858585846
1ffe5228-bc30-4755-b5f0-a840ec594abe	0	0
9dd7723b-62c6-4e9c-ab7a-97971d3bfdee	16	1.33336888888888883
67505030-a79c-4469-b18e-51d1d444e335	0	0
8c6dda20-37c1-4407-ab3f-130989992b78	0	0
a11d7983-faa5-4bf2-ad93-535de394fb5a	0	0
bbb4f1ab-1cd8-47a5-9c96-f6b28601479b	0	0
e661c128-7e30-46bb-9251-3c8790a73da0	0	0
4ae80dcd-4578-44c1-b79e-f393a2eacd23	0	0
b0ef6c32-78ca-47b4-b73e-0d96b90346c0	0	0
51716d7e-bb4a-458e-8b80-5867f1357eba	0	0
17baee03-2d96-4d04-a45b-68ccd46ad33f	0	0
35fb381a-a071-44c6-8a40-0c387ee70ca2	0	0
fac066d8-bfd4-4d2f-b1a7-0bb987a50980	0	0
01896a46-695d-4991-9def-37aa0f01f42c	70	5.83348888888888872
ba513280-8a47-4b60-ab7a-1a19777c60a6	0.594125249072381956	0.0495079619008273603
821220e0-5251-43e4-8872-3e8e9b12c1b3	0	0
68194fbf-2b4f-42ac-bc7a-f54029f9f150	0	0
3173e012-84a7-4623-9cd6-33235ec3fe07	11.1837229437229446	0.931930313131313137
ad727353-59a3-4306-870e-fc4914e795ea	0	0
67ce4237-cf95-43e7-951b-1e7c6d22f911	0	0
67c47bc2-79c5-4a46-a897-65459cfa38fc	17.1436818181818182	1.4285687195075758
58eda290-d53b-40a2-8951-e686e14d9853	0	0
e707b2b6-98ce-48ed-86cb-58ebb661d1c0	16	1.3332666666666666
36d64543-64c2-4994-bd51-08777ccf550b	0	0
53970c69-ec6d-4923-b2bf-9e81e0bd43c1	0	0
59e0c9b2-9159-46fe-b77f-2d2eb72b13a8	0	0
651cc495-ee94-4f96-b958-d89a8feb7d0a	0	0
33e7951a-2817-4715-b27e-198d238aac60	0	0
561d0636-7e67-46c9-965e-a0e774847d74	0	0
efc14457-70f6-42ea-92a7-5e0d24d82656	0	0
a52ce416-1211-4f1c-8526-fe367e62638a	0	0
e96f1f27-6b2c-48b1-b29a-e83e9b01a5d8	0	0
00646359-a4fc-4a73-8cbd-824ac1e1d9e8	0	0
6cfb2980-bc14-456d-8e71-6cdea3928bc6	0	0
88a77ee9-c39d-46ce-a273-f6282c2cdf9e	70	5.83304166666666646
4ad2eb18-6848-4251-baae-87486c9cdb00	0.594125249072381956	0.0495216597885143051
cbcc29e6-b9d3-43ed-9221-a57188b56300	0	0
0f028067-a06e-4508-ae03-cf6225c6cd65	0	0
8668fd1c-5a38-4d31-81f7-0ee5735d5f3b	11.1837229437229446	0.932188160076960037
74f248fd-e826-444c-add7-348935d0771b	0	0
7b2ae7e6-f564-418d-af49-cccf338b31c1	0	0
e5b3e993-fbbc-4ead-baef-44ae5417913d	17.1436818181818182	1.42896397661616148
9e627ccc-694d-4be5-a89a-ddd697620829	0	0
7e28d9ed-654a-47f9-809e-de73a01ad2b0	16	1.33363555555555546
bc897871-c9c8-447c-b95d-a3342635d884	0	0
7c525676-6dd1-438e-8859-a7c72505259a	0	0
1b92bdd9-974d-4285-897a-83ed2f9b816f	0	0
06b2b074-d51f-4782-a7b8-3c8f4b8f1e43	0	0
39e3c616-9ab2-49a6-bba4-6b6da9d61f91	0	0
1bbfcfef-8d72-4443-bda3-306457f65f63	0	0
b5e12aba-517c-4a58-8b75-2a9a14e93712	0	0
6442e9e9-00b9-426f-9fae-454b1468e2a7	0	0
29196fd4-eb7f-4041-84fb-e788a60c9ba9	0	0
f13401a5-df0a-4779-b16c-54580faac474	0	0
4ea6f0e3-64b0-4f79-8669-2c7f819d374b	0	0
156a3d08-142e-4663-b9a7-6181a825132b	70	5.83465555555555504
c3407384-9bf4-42cd-80cb-81f333daf595	0.594125249072381956	0.0495135730837352669
9476d7bf-eeb8-4741-a46c-92be309fe889	0	0
017e3162-dcde-4e3a-90bd-9a9989aeff14	0	0
b564defe-2872-4be8-ac92-bf1b3b4f8a78	11.1837229437229446	0.93203593718133726
e15ddb45-c93a-43ac-b57e-12277e17fdf6	0	0
d9f36938-996c-4f64-81d1-9cb832abaafa	0	0
c5aaba5a-c0d0-4137-907f-8aee7f7e2b25	17.1436818181818182	1.42873063205808082
b3e25b51-60fc-44a1-b41a-2ba23f0eaf68	0	0
82e1e051-2a53-4c9c-8708-5b563767385c	16	1.33341777777777781
ff0ef6be-27b8-40cd-900a-d168e0c8ac72	0	0
a4da7d5f-b34a-4bab-8694-756ef40f87f0	0	0
bd07a11e-babb-4abe-8ab3-865a5a8a2ab7	0	0
3c76bffb-5197-4cee-a721-6137e2ed64f3	0	0
7411735a-d278-44ad-a593-38d8dca99521	0	0
6585f6a5-a21e-40b5-83bb-c7be24e9789b	0	0
ee827a55-f3c7-4fff-bf0d-261ae555b6f4	0	0
0e06fe07-d321-4603-a736-758a7b58f1a9	0	0
6b53ea12-769a-4da4-ba54-54150178d2a4	0	0
956d68d7-0476-4e19-bbcf-d8fbc2c05ec6	0	0
e861af68-b3ee-4b6a-8580-db4e8d76ce35	0	0
4a07bed9-890a-414a-bf97-103379826178	70	5.8337027777777779
694cf78d-a607-4cb0-b91c-9eeaa45f9975	0.594125249072381956	0.0495122528054039931
2de9e2d5-7715-45f7-9ce9-e1474bc41ba6	0	0
65e95dfb-d003-404d-8269-0040a0a6574f	0	0
1fb4a97c-8b2d-4ba8-a7ae-ba4ed511f7e5	11.1837229437229446	0.932011084463684525
01493806-dceb-47e3-a607-f34942352fcb	0	0
47f5cfd5-576e-444c-9d86-908c0551f6bd	0	0
13b4c22d-9f31-4327-bad1-64e0467a0bce	17.1436818181818182	1.42869253498737381
d2564aa9-056a-4371-9339-04784b346bb7	0	0
3fbf1f6d-ce9e-494b-b837-4bfb5227b9a8	16	1.33338222222222225
c52d5b94-114d-4c1c-976b-76c5310106fb	0	0
f5c8d2f1-1599-4845-b41a-275cb32b3ff4	0	0
d2fab4b1-c4c3-499b-9ac8-c8132b6d4ab2	0	0
50c16dad-cf56-42ca-a2c1-96c0255c4649	0	0
2b3179c2-542a-4092-862e-4dcb47e1c619	0	0
972b3418-215b-4622-acd3-dc1e7fb779c5	0	0
53ef9fd7-5796-417a-8a80-99bf57c3dc48	0	0
c6ac32fe-1697-48f3-b271-023672f3362f	0	0
0b4d9ce1-eb41-4729-9dbd-6b8f8df3aae7	0	0
b09133aa-1300-4ef4-a80a-aacd530891d7	0	0
5ba4c689-258f-46e5-8142-4e8c4eda59d3	0	0
2272ac7f-9f54-4758-aee4-9d943a05a07a	70	5.83354722222222222
357c2406-3b88-41ec-8c8d-ce1b77230a7a	0.594125249072381956	0.0495155535012321707
1349bca3-c133-45c7-856f-8259088f55c9	0	0
bcc21303-f20f-421b-9b28-0fe1583e5988	0	0
f3eb0578-459f-4a96-aca2-6ee5bfb23979	11.1837229437229446	0.932073216257816251
03a00228-832a-4328-b75c-321ac6cc2323	0	0
56cfe782-9cfe-4fdd-a775-0713fb0d38ee	0	0
5676af80-fb84-4d7b-ae7e-4b29819d6d2a	17.1436818181818182	1.42878777766414133
ba6a34e1-89ca-484d-b144-1ef88a33ffbf	0	0
ada508c3-c31a-4e76-b156-83c021ce23be	16	1.33347111111111105
3279ec77-e4d6-4f49-97f1-853df9a7932b	0	0
b67f48ae-1f7c-4219-a76f-59c25f80e214	0	0
308d7bfc-e7c8-4764-b697-af6ac351eee6	0	0
7c065900-1d1f-4dc3-a852-9a033da06b07	0	0
e2733487-37aa-42e2-b552-95a0912b3da4	0	0
a3237e28-4340-414c-8814-9087e0e18225	0	0
92bf167d-b68c-4c36-a303-21ec71a4aa60	0	0
b1228ef6-e292-441d-9fc7-369de08355b4	0	0
a23b48b9-1613-4db8-a10f-b3e461454f83	0	0
16424dfc-155f-42d0-8be8-9b423ae01777	0	0
38d4282e-fb0f-48b9-860a-6f33a6800f91	0	0
a2488516-957d-4ffa-a364-4cfb83a70ff4	70	5.83393611111111099
08f44fff-55b5-4c15-a95e-1588975c7ebd	0.594125249072381956	0.04951291294456963
336c50c1-7acb-4a4a-bf76-7545b73ef1aa	0	0
3974b8ea-1446-4018-8a01-a37f2de6df59	0	0
ff66d39f-ab8a-41be-b235-f38123da8be8	11.1837229437229446	0.932023510822510892
44267d58-b44b-4767-9d16-caeb54b21e5b	0	0
1649ccff-6b9c-44c4-bf97-b4cedd2006a0	0	0
6facb730-c1d9-42b3-837b-f61fe06d2428	17.1436818181818182	1.42871158352272709
0b68fb9d-554c-4096-9995-6001badfcba7	0	0
9217ef32-8c06-4b73-b867-45db6509a6fc	16	1.33339999999999992
e1a08e5b-d127-4691-b4d0-e789a42294d1	0	0
9071e0e8-64fa-41b2-a98c-9125856f6101	0	0
9ece8ea1-3b6b-4542-bb36-4e344b0a9d28	0	0
5ae33906-ad08-488c-9be7-96d9ffe85209	0	0
58d4f4af-ea85-4f91-98cd-f84a9037bc25	0	0
2f7eddb3-8235-4456-aa01-182e8553520f	0	0
e8c2231d-a75c-43bb-a69a-768c3e6bc126	0	0
e949229c-e1db-4cb0-8b94-9a72bed7e9d4	0	0
f475144a-8308-4dab-b642-8c5469fce2ba	0	0
a8b06958-f9f3-4464-b92a-85c58a3d3b28	0	0
0432a60a-c838-4a8c-8ec3-6c68dc9299a4	0	0
720ae22c-f64a-434b-92e7-296df419d9cf	70	5.83362499999999962
7db53543-665b-4f3e-bfc8-cde872c4223e	0.594125249072381956	0.0495139031533180854
631fa01c-bdaa-49ab-bbcb-a5a9b17e5220	0	0
95f198eb-e827-4ee7-bfd2-443bf96c718c	0	0
75de98e2-ecac-45bf-9638-5c4e592e54ac	11.1837229437229446	0.932042150360750554
5943d19e-41f9-4740-a6fc-2996bf49d467	0	0
98955fff-aede-4814-b2fb-3e82f9119ed7	0	0
42030938-6dbe-44cc-a61c-341878dc4196	17.1436818181818182	1.42874015632575757
61ff7043-6dea-4207-bb5c-a8ebd5adc6f8	0	0
9e0e6751-b568-49b6-9138-e4846a707616	16	1.33342666666666676
d4f4dee8-7fe0-47a3-b6d2-2a46cc631ccf	0	0
c28b8d3f-dd4f-40c7-a343-a6bcb68be920	0	0
d6c78084-c19d-407d-8965-81bc7307f508	0	0
807b5ff4-eb72-4f1c-a290-3d92f3bfe190	0	0
4e4f3f9c-c7fb-4768-98b7-4e2490238a42	0	0
4a9deae8-6378-42a4-bba2-9aeac7d92203	0	0
e2bb4f9a-0671-461f-820f-d31dae8c95d9	0	0
248450fe-463f-40d5-81e2-cf9da2f47038	0	0
6399c40c-808a-4883-87ef-8f10e1c6ef2c	0	0
56091524-3a2a-4e27-8161-7a9666a60100	0	0
fd93cfed-7d7c-4875-bfd2-e46b6fbdfece	0	0
76c89462-5035-4c33-b8eb-6a822e9523a7	70	5.83374166666666749
639dcb3e-1592-4507-bb4e-d61897a5c139	0.594125249072381956	0.0495140681881094877
a4284802-fd07-4a20-b9cc-606a04ebb1fa	0	0
a9c35221-bcf4-4134-aec0-69fdde5bfe7e	0	0
ba1c2795-7d8e-4fe9-b37c-e7dd4e39191a	11.1837229437229446	0.932045256950456924
54b421f6-a098-4d62-bb31-f41206b3f331	0	0
777d188f-0279-4187-a412-74ffc5ea3af8	0	0
f1e6cf41-7aaf-41be-a70b-a523b6f6d21e	17.1436818181818182	1.42874491845959595
a1df6072-8a8e-4f01-8d47-542489b5915f	0	0
6cc88d1d-8442-4d87-b815-b327a7e7cfc1	16	1.33343111111111101
e8cc994e-b501-407b-b62b-51ff04d6dfc4	0	0
8781f5b5-2e80-403b-bada-b9c69071226d	0	0
d25d7d00-1701-4dca-8d24-d9ec8e881b58	0	0
4349d80c-43e0-40ab-9ff2-149db7a700ed	0	0
cf98a756-98d1-4f9c-b16f-bd8360882fae	0	0
23b300e1-b16f-436c-a58a-f921e19abb59	0	0
3c0cfcbd-fc3e-4237-83c6-91547c7e6cad	0	0
94efd5dd-6eef-4644-ad8c-30c4f94fcb6b	0	0
1fd54962-644f-44b6-9d9e-1ff5bdddcd83	0	0
6a9c18e0-6849-45a6-b39f-87e2588bc779	0	0
0502c4b0-e8dd-4609-b948-ec6b19c63eef	0	0
a7f6710a-1608-489d-b713-2d74cc4faa6b	70	5.83376111111111051
4374f9b0-94bf-42b7-aca9-67314f6a051b	0.594125249072381956	0.0495099423183242709
5c1511c3-f441-4489-b12f-1f4f99f21d65	0	0
733d526f-1e18-42ff-8761-d5e57e32a9fc	0	0
55c4973f-92b7-485f-b2db-89b1c02618f2	11.1837229437229446	0.93196759220779235
75b3ae58-6657-4c1e-a930-7d1685116986	0	0
be22ea97-78e1-4dbf-b4a1-30b427e7ebc8	0	0
6afacff0-86bd-4be6-8b5a-80b33a01150a	17.1436818181818182	1.42862586511363654
402ca681-c74c-443e-bd63-bd4cbda99a2b	0	0
40c1e78d-3328-46a1-9c5a-f615095e13ec	16	1.33332000000000006
c9f44aac-4a09-4ddd-bea0-e2f16e62022c	0	0
38c8ecd8-41b7-46ab-a8e5-2fbbefdc01f0	0	0
9b5bf16f-7b94-4d76-b696-2555afdf1104	0	0
03bdd91c-7ef8-4468-9577-f2f91500e1ee	0	0
ac2b4d08-40ef-4393-b85b-9d3aa7325d27	0	0
f1558134-8793-493e-bc2b-e9d96ff823dc	0	0
b1df27e0-c92b-47ca-90f3-a6c6a220e8a2	0	0
602e34b5-9de5-450f-b5cb-264e2dd33410	0	0
3c1b3438-fd4f-49bd-81cf-59764f1d5490	0	0
8aee85ac-add8-4bde-9f99-ca6a6774d398	0	0
8f05d989-fcb7-4b4f-877c-8fd038848ff4	0	0
0423825e-79d2-4047-b8f7-86033d26343b	70	5.83327500000000043
b67f3203-2773-4b1a-b307-f358e474824d	0.594125249072381956	0.0495196793710174013
15b5450d-ae0a-4016-83d0-86d77eaebd77	0	0
6d7942a7-4fca-4400-a3ef-724aa7bc3cdd	0	0
f4f7a883-a316-4917-b639-d1af7686aff0	11.1837229437229446	0.932150881000481046
22437560-9487-45f0-9be7-a9a4357e5bfc	0	0
8b1d06bd-8d97-4dde-a14a-64cc18c8baf8	0	0
75250628-b341-4c5b-8cbf-8ce1d9e0aeae	17.1436818181818182	1.42890683101010096
3bf49dd6-b402-4d79-9926-180073433997	0	0
bf41d121-6edd-4953-8b3a-a09622d2f41c	16	1.33358222222222222
93d27edb-f460-406f-8941-1f4b0f5d85ab	0	0
1183a70d-2a19-44fd-b094-a7a3557d6e62	0	0
ef43f143-3926-455e-a03c-bbe2a7b90e42	0	0
38843359-80d3-40cf-973b-4c88fbb1d99b	0	0
4fefda06-b2a0-448d-ba24-d725dadf03a9	0	0
a5fe7384-b0e2-42d8-a47f-7466b3edc026	0	0
f97ca2b9-74ad-4381-bc25-ec5c8c170147	0	0
b7dcf091-7b86-4842-84fa-19a1988acf7a	0	0
89401c7a-809d-400c-abcb-7f3872b964fe	0	0
f14d0a55-a950-48c5-b511-c592c46d4af8	0	0
a11c689c-2098-44dc-abfe-d535c70fb651	0	0
802743fc-ea44-4115-bfae-81b698698327	70	5.83442222222222195
c2df3f5f-87b1-44fc-92d5-07fd321f3cd5	0.594125249072381956	0.0495137381185266762
9d2a8d52-d617-4e8c-bd7c-d74bb9dd896a	0	0
28beffe1-1e45-4fd1-b69f-e6d03c7dba29	0	0
f859a9f6-61c3-4e21-8388-8931394267d4	11.1837229437229446	0.932039043771043851
388d1cb9-1948-482c-912a-2a47aab79e12	0	0
6bbb1bfa-6e50-4997-b30b-71e4fe928d3d	0	0
b6934e83-8fb6-490f-a457-b25dc74c45c8	17.1436818181818182	1.42873539419191919
b0555d1e-d888-47c6-b6fc-60b652d3af61	0	0
8e2de2bd-6823-4eec-bc8c-c345333f3647	16	1.33342222222222229
9ba1e143-2dec-412e-bb67-4336cb120be0	0	0
f80feece-527b-4119-850a-33d8a411c16a	0	0
fcbe7c39-4bf6-465c-a6ea-a3f1abfa8924	0	0
3e643db7-01a2-44cc-b87f-539c0eab12ab	0	0
d87951dc-112a-43f7-9f6f-338d7a5c5c3e	0	0
4e0eb8be-e9ec-40b4-a977-996157f75502	0	0
050e8baf-7e8d-4cd2-92cb-877e27a1440c	0	0
ae3d1cbc-7102-42cb-a9df-68542dc8260b	0	0
f4cfd9ed-c9ea-4107-9f62-d2274396379d	0	0
18b76d1d-a52b-48b4-a075-8245bda4c929	0	0
48539012-1610-4ef0-a697-744883bf306c	0	0
cc45709e-45ab-46e4-8b31-dc4b1084c46c	70	5.8337222222222227
a5749d5d-9d3b-45aa-b5fe-8a2e0e5d7e71	0.594125249072381956	0.0495127479097782208
746eaa17-a4be-4043-9173-a970261ea60f	0	0
50c492ae-03db-4bf1-9a91-4c202b7c762e	0	0
a6ce7f31-1937-4ae8-bdfd-f9d16e8f7c82	11.1837229437229446	0.932020404232804189
179437df-edbc-4635-ab7a-c18666747743	0	0
32ad868d-6361-4487-94df-d898538fe224	0	0
0f447813-2964-49bb-aced-610817d2a80a	17.1436818181818182	1.42870682138888871
45eefcd4-5e05-4c21-93bd-22b910577ef2	0	0
04051820-e4db-4c69-b0c2-b27a9c89a9af	16	1.33339555555555545
1ce238c1-2c1a-4c1d-9688-486de5dfa10a	0	0
368f5a54-83d9-4877-b48c-8de04ef78889	0	0
597a870a-d731-4bd5-95ea-950ad2e409d1	0	0
57026cf7-9862-4f25-b117-120cd17d8711	0	0
14e1824f-7c84-4bb7-a2a3-f03e74c4640f	0	0
37e6752c-cc34-4f6a-9436-223f0a063315	0	0
70de7757-328b-432a-9585-84aa1c6123aa	0	0
3c70df66-da6f-460e-b9b8-f58ff81bb508	0	0
b724273f-68a2-4e49-a1ce-544ede959963	0	0
61ef405e-9510-4391-b128-fc0fc0425c3d	0	0
fcf79288-afad-4acb-9bb6-b7d447e59b9b	0	0
196f0c80-67be-42b6-a485-89bd6ac619ac	70	5.83360555555555482
59ebb315-136e-43f1-86bc-f43cf506ee87	0.594125249072381956	0.0495168737795634445
0bbe71cd-e651-48e5-94d7-30be8515130c	0	0
6dfc7e57-29f3-4728-833b-d40cfe04ae7e	0	0
d1e73bbe-173b-4d65-9dd6-8ce851dd799d	11.1837229437229446	0.932098068975468985
4bac493d-84f4-4da8-b1b4-9bddc7988b0a	0	0
7f880967-05a4-4ebe-806a-4c2e2b0c0b02	0	0
e78790e3-449c-49b3-9a40-1310b84b447c	17.1436818181818182	1.42882587473484834
c3ad9e31-3dfc-4903-a40d-93cef4d291c7	0	0
76766ed1-6c37-43c4-8915-f12300358853	16	1.33350666666666662
b85b8a3d-fa44-4e21-a179-fcb101631353	0	0
e1aab912-b977-4e10-85c3-e976c7085cf1	0	0
624ca0e2-7ed1-4dfd-8017-39aa925fa08f	0	0
91fc0b5c-3a21-4536-bca4-2d1b91382f9b	0	0
704b0f98-1c4f-4ea4-b2fe-7cc71abbbac5	0	0
6edf576f-6018-4591-9347-56895b3728e7	0	0
c08996c3-df17-4642-b595-7f986db6ae00	0	0
ab10ec21-1226-4e94-8578-01fea77a133b	0	0
fba78aa0-02a6-42fc-a91a-0cfad6ed604c	0	0
6e1fccbf-e31c-4d0f-b5a4-c3be2313f4f7	0	0
a7443a1c-1de2-4dec-b2b6-a21dcf7762a7	0	0
5fa61ffd-bc1d-4f9b-83fe-7351007c9f2c	70	5.83409166666666668
bfa35b48-cde9-4149-b028-35bfbdb8270d	0.594125249072381956	0.0495134080489438577
f435db12-220b-4ed8-b919-f6b4c90b7a5b	0	0
295c5f8b-a5a3-4220-9fef-7c654a89b98d	0	0
1d5f3e46-dffa-4c42-9569-e7758e6fc2e6	11.1837229437229446	0.932032830591630668
a98fa195-39f4-412f-be01-3dba0e200106	0	0
73810b7c-7496-4ae7-9a4e-3bee6e876989	0	0
35c32591-b0a5-4375-953f-0b8c4d3bf70c	17.1436818181818182	1.42872586992424244
e8ac206a-0e1c-4ee3-963d-535b0e1b8645	0	0
55333067-2853-46d1-85ac-0050bff93442	16	1.33341333333333334
5c7cff03-240a-458a-a825-3a18b7eca6ee	0	0
a6c237c0-3e0d-4459-b4c6-1c0a501639a5	0	0
51fc674e-0fed-412d-9e65-d175e5a5c439	0	0
6557a135-801b-4c6f-972b-0bb449d25c65	0	0
8da6771c-1c70-4bd1-a392-90f282cb2e80	0	0
67b4d5fd-7d39-4974-9f54-9aa41f0d5b10	0	0
65e02ea4-eb81-430e-a00b-6983b1f41ba7	0	0
0cca6278-17b4-4f49-8636-fa5f89afeeef	0	0
a6ff4600-27f9-4375-acf8-4e9d9fce73fb	0	0
9eaa48b2-f289-41a6-a622-8a40b8e2e249	0	0
c9053f53-db19-4c85-9d33-62f244df1195	0	0
73eb40cb-8302-447d-95fa-ca012411587a	70	5.83368333333333311
71bda970-8d59-403e-96d7-4fec36fd85fd	0.594125249072381956	0.0495137381185266762
29dcaad7-2c89-49e9-8cf3-84ca97133de8	0	0
7b26bded-adb0-49c6-b6c7-78c0165f91a3	0	0
aaa1a0ba-dfed-4235-99b0-a2e84df642ad	11.1837229437229446	0.932039043771043851
0cad25b0-6a0c-4540-9468-9de920c08ef7	0	0
8e3c923e-50b5-4254-a2a4-126342c115fa	0	0
27dd2be4-4b59-4ee6-98d9-0b4ae7c126b7	17.1436818181818182	1.42873539419191919
bf76687a-7c66-41de-9806-ba843cd7c241	0	0
0a0611cd-592e-4791-b3a9-e9e9d5572799	16	1.33342222222222229
949865aa-2983-4022-82eb-93dd24edfa22	0	0
ff632953-e397-44f6-8d41-c3b4d376755c	0	0
fea1d48f-58cf-4dba-9a40-547e4202ab63	0	0
3e7eb81b-0a82-471d-b9f1-20c7b851c2bc	0	0
f3b5f8c7-9d89-4b25-911f-20c8fe3431ec	0	0
2dac4b67-dfb2-48e8-a345-dd66d99a522a	0	0
4e3598ae-6cc6-43e2-be19-d3394c0b5bc7	0	0
bf09b80b-903f-414c-9039-c08901ecb959	0	0
68535265-c1fa-4d89-9f06-11f61b5dd962	0	0
da9b3785-5428-48db-aaeb-5cf64e5d06ce	0	0
638ba0bf-cf54-4fb0-b5e6-3ac19081ae10	0	0
09fd84bf-54d5-40a5-91bf-30cde1e77a8d	70	5.8337222222222227
ae21b8cf-a7c9-4981-8df7-53e086bb60e1	0.594125249072381956	0.0495122528054039931
e586d168-0b06-4818-be41-e2e222d50d0f	0	0
03891cae-974e-4b5f-b6d9-73ad6c419c87	0	0
7390c42e-b0db-4432-a6b8-d06b23e6143a	11.1837229437229446	0.932011084463684525
9e0bb40f-aadc-414c-86d5-02c03ead2883	0	0
a6c039c0-06ca-46ff-8838-5d4f79ce7fc3	0	0
c190156e-4066-4a6c-acb1-ba57c7262888	17.1436818181818182	1.42869253498737381
ccebac55-220b-4dcd-a9d0-d1776137ca22	0	0
6963fe71-aeb8-41dd-ad21-826ec054d5ed	16	1.33338222222222225
af8d963b-cedd-47df-a4a9-af80d70f6e45	0	0
0d9b83ee-2458-4659-b00a-6df3710753ca	0	0
c551f70a-a5cd-4655-b572-d8f9b43fb90d	0	0
ba5c6df3-3cf8-4eb0-9bbb-b3a3bdb225c2	0	0
90aed0ae-3e29-4748-862d-595fcc643113	0	0
819c0eb5-6f9b-41ec-b8e5-b44ebb93bfe0	0	0
0158be39-b35b-48c9-8d2c-28b6b31598e6	0	0
f5f001bf-bc7e-4a00-9d18-8f51b9b21483	0	0
3aab79dd-f0cc-4c4b-8129-c6df2e3b94c2	0	0
f8a16e72-1e34-4301-bfbe-d615434a71b9	0	0
3806fe67-450a-4ae5-85ce-75415504857c	0	0
744b731e-3f8b-4e15-96f3-f6de72cc60f6	70	5.83354722222222222
67946bf2-a40c-44ef-8898-a01a92163ab2	0.594125249072381956	0.0495081269356187695
9da4293c-185a-4a48-b3f4-44c62a0ff6a1	0	0
9a5eb5ef-0586-4eb5-af8e-0edb0392d1d5	0	0
c2ec7897-f8cf-490b-a684-af6cff106420	11.1837229437229446	0.931933419721019729
32c8bc24-44bb-4ffd-83c9-a145b9ea8957	0	0
d030210e-ab32-49ed-8a5d-b277ab755ffd	0	0
dd1bd04c-2682-47a7-9c1d-f2b295130a5e	17.1436818181818182	1.42857348164141418
93f9d391-fc56-4627-9663-4d1b13ff7cfb	0	0
fe03ddbc-49e6-4b4a-88aa-5978d0aa28bb	16	1.33327111111111107
b010e037-038e-4063-adef-e35bbca8fdda	0	0
a231fe4c-b192-4608-87d1-e863a85068e8	0	0
5b37a7dd-854c-4703-ba08-d4b02a69fc30	0	0
5ffa3cc4-514e-4edc-b9b8-6c39d162fabc	0	0
50dca4c7-b686-446b-9248-bb84959e59c3	0	0
ff99f189-1489-4a92-b574-77b742e92672	0	0
b0ee19a3-254f-449d-8ac9-29374235924d	0	0
13e08bc3-7b0c-40d0-9cf8-e609b0e7a457	0	0
1f2787aa-2ca1-4901-b968-c85654ce06d9	0	0
530ae97c-bfb8-4916-a2ae-3f1aa16bab30	0	0
0a2c5fad-3d15-4b19-9bbe-4b0a72d6a823	0	0
3a3c5e9c-be38-4cea-804f-8296f7585d30	70	5.83306111111111125
f7fbe283-3199-4c63-8239-cbb209a92e38	0.594125249072381956	0.0495196793710174013
4a89d324-ef33-4be3-a0d6-c67fd605123f	0	0
66b546da-315c-4fea-afd7-a67eb912ee99	0	0
1d52eb99-12ef-4a02-bc5c-8d6d4b2fc8ef	11.1837229437229446	0.932150881000481046
2b9322b1-17bb-41d9-b708-71f38c281b23	0	0
d5414cd1-0127-48df-bd7d-cb0ec6bdec3d	0	0
2ddbd298-76d0-4827-a848-bffceae2051e	17.1436818181818182	1.42890683101010096
9505ccd3-0351-457d-b466-32db873a7b31	0	0
d7c872eb-2fb0-4ec8-9ca0-77803996dc33	16	1.33358222222222222
3c3c37b2-9364-4bc2-aa1a-998d524d4a90	0	0
3580ad93-f6e7-4688-83c0-d0e232806574	0	0
d0ffab05-0d3d-47d0-8ba6-05366395f086	0	0
abf360a4-9a22-4791-b689-e6e82a37e660	0	0
9642a41d-7752-436f-8e13-e57b6ab719e5	0	0
3ca85013-e65d-4a48-9896-424a677f7ad4	0	0
e8968640-3a9f-4ff8-9cf6-bf249901616b	0	0
a76e94a0-0dcb-4667-8b5b-7a755c46bbca	0	0
76e63063-9ee1-4529-b8eb-0642d42de990	0	0
325fa61b-4d91-42e8-9703-b26f6919d127	0	0
44a2e4b3-471d-4c03-946e-5f5530a15974	0	0
65706cdf-f30d-44aa-98be-0f876c55528b	70	5.83442222222222195
d0e2be60-087b-40d5-a10e-4be4ca49178c	0.594125249072381956	0.0495112625966555447
b877ee58-de9b-484f-b09f-af7a410ada38	0	0
31ab8833-b00c-4ff4-a298-06d84bc7e5d6	0	0
fd423811-a79d-4e7b-bacd-2408511fdd8b	11.1837229437229446	0.931992444925445085
9aefb7cb-c6ec-47ef-8359-794d9a3427e9	0	0
53f88322-2907-4caf-b5c2-1ae6e71936c6	0	0
1692939f-c2fd-4a64-b92c-c926732e134a	17.1436818181818182	1.42866396218434355
46715d73-a9f9-4971-8b71-56bd9f7a7e6f	0	0
dffc0a2d-217e-4bc5-a914-b112a9813711	16	1.33335555555555563
2ae33d6f-4d74-4b32-83f0-78a0600db698	0	0
ecf4a9c0-e200-453c-90c0-dca8f80cf79f	0	0
99c281f8-aec9-4bcc-babe-56a97f039c06	0	0
c20bf535-89ca-47a9-a957-489486fe6a7b	0	0
33e4f50b-6786-44bc-80c2-feeef6ec4093	0	0
af3d336a-228e-47b4-ad49-fa827bc9e0e0	0	0
86ac8581-65f5-4568-9918-510b8fbc2ffd	0	0
971962d8-c86b-4451-9e7b-164c927675be	0	0
b0b38f5d-0deb-42ef-8c00-ef89327904f5	0	0
0a67ec62-a0a4-4ee6-872f-21185bc18749	0	0
80c8f88f-1295-477b-aea5-5600672a7a42	0	0
7ae89287-8fe2-4a94-bfc2-8bc6b4f45c22	70	5.83343055555555612
df02ebe7-9e17-4a24-8d42-97678677a1a5	0.594125249072381956	0.0495142332229009038
10fc99c6-2874-4600-bc96-84aa9bf95ce6	0	0
7de482fc-0198-47de-86c6-1c9f0d169cb3	0	0
c5042fef-0b0c-49d8-bf4b-0b2e7169adc1	11.1837229437229446	0.932048363540163516
ff377f2d-4398-48f5-82ba-9e1e3b726383	0	0
48d813d4-d133-424e-a235-af7f726a1eb1	0	0
fdc28701-2b22-447f-9ea8-e6787e8b89b4	17.1436818181818182	1.42874968059343432
ef373ee7-9d37-40af-99aa-ac9d34c7a4bf	0	0
e4ec9083-3005-47a9-ba54-4cad3223db91	16	1.33343555555555549
38b8a4dc-0eb3-4621-be3c-2a87b85c9076	0	0
670a0006-802b-4d50-9f32-4be55fc8fd3d	0	0
960d7963-a139-4255-8c57-0bc57ea9768e	0	0
8e680c57-49e3-4dea-a0bc-99ad7704c807	0	0
f547c30a-2a2b-4ca2-8f1b-cd1c69fff714	0	0
3167e3b0-323c-44e4-b376-1f7113181a6f	0	0
924696a3-f9a9-444f-9274-054aa66c56d5	0	0
32e2438e-7366-4449-bdcf-a1d7fbf41de7	0	0
f911cb4e-882d-461b-91ca-7870c9e68a73	0	0
7d04b623-6b58-4212-8ca6-54d3f2456769	0	0
0e2b0c20-3860-40bc-8a9c-b29f3f069688	0	0
133283d3-76d1-41ae-95ec-4a2a127eef11	70	5.8337805555555553
4d01cfeb-ff57-4b93-96c8-934dd2dadc55	0.594125249072381956	0.0495142332229009038
21df55ad-5d8b-497f-aa4c-5647a5edccd6	0	0
44af3aaf-9cfe-48a9-a652-9b589a883a63	0	0
85c9dba4-186e-45fd-98d3-6ed4d5f13585	11.1837229437229446	0.932048363540163516
1650fa6b-97c3-47d3-8d19-e9e8e97a575c	0	0
9945c5a0-8723-464f-92d4-595e72e7dec6	0	0
192c0aac-4b91-4d27-8ccc-6708cd2234e5	17.1436818181818182	1.42874968059343432
f2fe99cc-c5ab-408b-9849-cb91f2b52b81	0	0
53286d92-f49c-4ad3-8855-b45c293b840c	16	1.33343555555555549
7310987b-4634-4652-b16c-3015d9194824	0	0
39fb2b37-acd1-44cc-9629-15908dd924ad	0	0
2f2c785c-a206-4228-aaea-74b001f903d1	0	0
328b5e63-072d-4456-924a-9507635c0f03	0	0
bb7257c5-2a5d-4a12-8ee8-309bc29e9cec	0	0
176b49e6-d549-4c2c-a19d-3da315d34bae	0	0
4f768b76-ec51-4987-8ee2-4a30a173833f	0	0
11ca27db-2dcc-4ff0-a7a6-5bd8749419ee	0	0
fd535ccf-410b-449b-ae52-773dfa199cc7	0	0
42a13d6d-d9b3-4dc0-8bdd-70b2775709cb	0	0
f2a949a5-cf86-4f6f-b1cd-4b6b88057188	0	0
41190517-43e4-452e-ba2c-da98ea022147	70	5.8337805555555553
19ad90ac-3ce1-48d7-b660-42c8655fcafd	0.594125249072381956	0.0495155535012321707
d8723235-772c-4f8c-8f8c-9f986e32f219	0	0
d9d1f5dc-7915-4e3d-ad0b-19de854c8127	0	0
34f8bf56-5459-4846-a72e-8a15d71e412e	11.1837229437229446	0.932073216257816251
ba9b7b57-e644-4375-9813-7dc1696c4e98	0	0
cf151118-1a48-479d-b6a3-5c72bf98bc86	0	0
5e83cd76-1311-497d-8c6c-b89f310b1b7a	17.1436818181818182	1.42878777766414133
22b32af2-38d6-4bad-8d84-804c8cae8c55	0	0
24177f0b-cfff-413a-b7a0-c9550339d865	16	1.33347111111111105
edcd9d9c-d3d2-4aec-b89d-d67c9f18933e	0	0
02b0683c-92ea-475e-9f70-f5f72762dfb9	0	0
9c4f43e5-4224-496d-a243-39f4611e1279	0	0
3df6659f-ee88-4d14-b142-e88e193b25d0	0	0
cc3bbf80-ac23-4cc2-8039-e7ad2796320c	0	0
64d27090-ab6c-4e79-bf1f-2680628198dc	0	0
bc9d87c2-63c7-45dc-8dd2-e15847897b3c	0	0
67cb7eea-3052-4976-a225-2592a98e6f5d	0	0
a40780ec-9785-4aa4-ae63-3faab0885b86	0	0
9c1e32cf-4bfe-4dbc-8b3c-e026c56551c9	0	0
1d84a8ec-71b3-4002-9dd7-2b82ecff0d4a	0	0
24646cfa-566a-47b6-a61e-541ccd2f076b	70	5.83393611111111099
38af78f2-808d-4d69-b188-44a8bbea9c77	0.594125249072381956	0.0495140681881094877
48f68344-352c-421b-adb1-6e882b2e5109	0	0
23016ef2-56f2-48ad-990f-9bf85cdaa774	0	0
6976bc98-d6ec-4020-81ba-ba9360383efd	11.1837229437229446	0.932045256950456924
05c630c6-9c03-4a36-83bd-2ff7f10c7810	0	0
935a2265-f192-4243-af58-c9980188a031	0	0
63c88200-b0c3-4753-b66c-2e862d33b7fc	17.1436818181818182	1.42874491845959595
92f3571d-293f-4877-970f-a017a850b20d	0	0
0be8d86a-9441-405a-8121-0cadc2164f2a	16	1.33343111111111101
1dacb341-67c3-4430-8508-07c6f3989f29	0	0
90d24c65-193b-4e09-852c-fac286dcc1c9	0	0
2f5b6577-8ad7-466b-9299-dce4ecf9b552	0	0
5ed5293b-756b-4312-9f8f-7ec9b227d379	0	0
8381a107-9b28-40ac-843e-e29d23f13d09	0	0
b7c4741f-924b-4ab6-b709-ec199c1882b7	0	0
41e3ec47-8fb3-4d49-8aef-9788c21cd9e1	0	0
2a2d0c12-25ed-4b60-b256-9665863c6040	0	0
3199af75-1706-4531-bb40-8d59ed1485f9	0	0
6f865a05-81da-44cc-9721-273f422fcab5	0	0
84d09ba4-4bd7-4ad5-b770-014db8288f17	0	0
d49567e4-2a5b-488c-ab1f-5ef25c957504	70	5.83376111111111051
188c3d9c-00c8-42b7-b4b2-f55836b3db67	0.594125249072381956	0.0495148933620665407
450d7982-a9e3-4656-8b4a-1a1779f00446	0	0
4ff2f055-edd3-4cac-bccd-fffde9dfca1e	0	0
5df60b68-e930-496a-bc07-42166d4174fb	11.1837229437229446	0.932060789898989994
6c036580-12de-4f03-ac3c-1610a6df51d3	0	0
30fdc2ad-5a16-4dc6-82ba-4da83b8e753c	0	0
d69c3e9b-389f-4e2a-9839-ba8dfe7e0255	17.1436818181818182	1.42876872912878783
d5a30997-b1e1-43ff-9515-37c3b5ce75fd	0	0
1b06bbf1-a16d-4ec0-bc87-05bd575f1102	16	1.33345333333333338
049c0eee-aed2-4f70-8174-b4ec441ba320	0	0
5f4bd447-8109-4c91-aff9-918e97c41284	0	0
a08e81a4-254a-47a8-8be2-daee336a9688	0	0
6b01ec8d-b0e9-40bb-bb04-c3cede7649b0	0	0
8d2bb62d-1d90-45ae-a09a-d2ef3560318f	0	0
3950f953-fbd6-4af6-bc31-6834a9740ea8	0	0
808541b2-60db-4084-9192-e5f7073980de	0	0
831ff74e-c2ce-45f7-8869-16e2cbede595	0	0
5dc44781-34d3-4e39-8159-0ed21cc5fb36	0	0
f3d1b0e0-cf7f-483e-9a56-58a71aa1aa94	0	0
7a0ac3f1-f6be-4e16-a9f3-3e3c65dce60d	0	0
1c0913c7-94c9-4d44-bab0-b47c65f4c7ef	70	5.83385833333333359
3c3a781d-27f8-4f5c-8071-6fc2cb1b9688	0.594125249072381956	0.0495068066572874957
bede7ca9-3a15-40cf-ba9b-8e1581973916	0	0
8dbb67fe-706f-471a-8c9a-0a0cc268c137	0	0
9d1ded64-2efc-4a9b-ba3a-5f8224f11137	11.1837229437229446	0.931908567003366994
60a932f7-7093-4cb1-8803-20a624010b94	0	0
7c645b97-62fa-4983-9cce-e4cc01698507	0	0
b95591c0-6fcf-48e2-abec-c2ebb578e404	17.1436818181818182	1.42853538457070695
32de6be2-d925-4b9e-afbc-7da2745e3958	0	0
02c9e8c7-3beb-4978-b851-995811c55bdd	16	1.33323555555555551
9e233ba2-ffc8-4ec1-ac5c-9db4f00fdff5	0	0
742a45fa-d6b8-4665-b7ad-df110d3ed66d	0	0
68ef7ec3-9a4b-43f4-b192-7864a2a639dd	0	0
28e5a0ac-59a8-4422-a05e-81809aab185d	0	0
9c866ebf-fc18-4a1c-85ea-7265bb661833	0	0
997db660-afec-4ce6-aaad-640d80cf3375	0	0
ab07b65b-6318-4bf0-b7c4-095e5f8e1c23	0	0
a0adf80a-a219-47b6-be25-7a514aa11ba4	0	0
67ac284f-41bb-4a5c-8230-7c0184a00fc4	0	0
01e24eea-a634-45b9-9b76-fffffeac0c67	0	0
baeeabca-2e80-46a0-95a4-00f87872aa21	0	0
acbaeab8-4842-4361-b3b4-be65d08acee9	70	5.83290555555555557
70443c28-e7a5-4568-bcc8-8985fd4e5b7f	0.594125249072381956	0.0495195143362259921
64fd483e-eef6-4244-a055-69ae7ed6d80f	0	0
ec45a7fc-657d-4e45-8a99-b5653ac18e48	0	0
17f567af-5cbb-4ea2-bc29-07050d0bda3c	11.1837229437229446	0.932147774410774455
e0e36faa-a1d9-49bf-8077-d295254cf6f4	0	0
0b7f2661-5741-45f8-820b-b0efd7dac2d5	0	0
73ab4e38-ae3b-4b50-890f-91cd91632a32	17.1436818181818182	1.42890206887626259
e7212593-05df-4257-9280-e6f0e96dcc62	0	0
790bdcc0-bfd0-449a-ade2-0ebdefcc516b	16	1.33357777777777775
fffa9f6b-7d6c-4b8f-8509-4e8339854c3f	0	0
6eb3d1f0-6267-4208-859a-e80336013fd1	0	0
aaea8dbb-d4bc-43a6-91ce-9fa8b83691ef	0	0
23ba1531-9e2b-4566-9efc-b3991886775d	0	0
ebddbc85-1c07-4eae-8058-192067aa3bb6	0	0
4c0a1432-d960-4093-9d7e-cf1cd8076bc2	0	0
15083b03-8d5e-4552-8179-e537982449c5	0	0
42a568e9-df19-45fd-aebb-891e966db31c	0	0
46f75771-da18-4d07-b3c9-673d78883929	0	0
27454a31-f9a3-4c5d-91ae-cc1abbfbba17	0	0
6cb4f2f6-f2df-4707-8e52-bf47ed4a2f0d	0	0
c249d11c-1026-4c2a-977f-3e21b422f706	70	5.83440277777777805
9b2603ca-eb9d-4d3c-b393-24b47cdefd04	0.594125249072381956	0.0495127479097782208
51ccd614-1cd7-4c54-b9ce-b3132ddc11c7	0	0
bfc525f1-9331-4760-b974-4e3c8d1e461f	0	0
7f91a612-9b72-4b60-9fd3-f05896901290	11.1837229437229446	0.932020404232804189
9020fb5f-114f-416b-bef7-7da0a41ad151	0	0
db20688b-ce4c-4ea8-82fa-387a69000543	0	0
888348ed-eb3e-47e5-865d-71f4b4891781	17.1436818181818182	1.42870682138888871
1dad5bae-aefc-40f2-85af-5ddfa43dedd1	0	0
fe940ac7-a5d9-436c-818b-b6dbbfb14daf	16	1.33339555555555545
c5e51466-9087-4402-a49b-68d7e727abc1	0	0
6b6ab74e-dd93-4a10-9cb4-777d9a483f58	0	0
7baea3b3-7162-4480-828a-f8c45468da39	0	0
981d68cb-3cfc-4582-8570-2b8ac41eb6b9	0	0
feb0358e-40a7-48b7-8ef4-97b59f20e95f	0	0
c3da03dd-25f8-495c-9ac0-6e6eba84b276	0	0
06ef30d5-fdb9-41bc-ac49-2f60f85508d6	0	0
ad9b08c1-2a90-4921-9c00-69e7af983e89	0	0
cdca5ff2-7984-4c6b-b218-b1b80108ad28	0	0
67eb5059-c8d6-46eb-ad8b-ac6524ff0ccb	0	0
8523437e-77e0-41b4-b618-a6d8941349f3	0	0
18ee2bf7-6b64-42b1-af68-509a90c86167	70	5.83360555555555482
cda596b4-5342-4590-ba2c-833c69a34f30	0.594125249072381956	0.0495140681881094877
a49000eb-9f59-4608-845c-55757bcdf16c	0	0
1648eee4-adfc-41ca-b283-248a0d5f580a	0	0
0ef1a248-c2f2-44b9-bac0-a74ebbae6f04	11.1837229437229446	0.932045256950456924
4b49c4cb-da91-45f5-a9bf-adfc38b87bca	0	0
f312a99f-eb03-47b2-a4a7-c5575e31b57f	0	0
568cd67c-a125-40de-a240-b4cef1d5483f	17.1436818181818182	1.42874491845959595
63f29a8f-b27f-4c8a-a3f4-5f4d800d1574	0	0
e5bb3f76-4a7e-4703-96bc-12130b8d2122	16	1.33343111111111101
dba5c399-a6a6-4fe3-b38e-8f1591dac8dc	0	0
0e42ccb8-0289-4d8e-aff9-3f5af0c03956	0	0
11d694dc-cce9-4b38-afd4-62374b4eee8b	0	0
6bd40878-7597-4de6-9863-ac1422153000	0	0
83823e92-f2c0-49e3-abe7-dd99a4350e5b	0	0
19008ad2-ac1e-454d-96c8-8065588cd00e	0	0
44e58d01-0740-4335-80fb-c79782d2f533	0	0
d2115287-0e55-4e04-b0b4-3211975c4db9	0	0
256a63cc-5281-4c3f-9352-1f265c1fd62d	0	0
4994defb-2fc6-48a0-b84e-07d6a1088264	0	0
d35b914a-a1de-4222-abbf-b1bab346a479	0	0
6ae64261-df5a-4b78-a7c7-3d19dd3e8780	70	5.83376111111111051
91672f9f-858e-434f-9afc-fb54100c89aa	0.594125249072381956	0.0495173688839376722
96803d15-8bdb-4d32-8bcd-0ae3e6aa5646	0	0
206a4a2c-57cf-4407-8d0c-d330dfebd296	0	0
6db41b8b-2f38-4508-b9dc-2ba16a214662	11.1837229437229446	0.932107388744588872
e03bd427-ae18-4fa7-8cc9-f7c39f0670f8	0	0
80fef699-d45e-4e9b-98ca-5bcd4f1d1f74	0	0
d51db71d-0c28-4942-a3d0-f825a8043622	17.1436818181818182	1.4288401611363637
4c677ab6-6cfc-4318-a5ef-8a2253fe828e	0	0
6b2e3ff7-1ca3-4612-877c-e62d1c92bbee	16	1.33352000000000004
9ba03bb4-4a69-44bd-b9f8-7a17d5bf0a5c	0	0
69225d50-39cf-4917-b0d7-5fdc52081b01	0	0
2cfd38d9-d08e-40e8-af1b-8128b80f75db	0	0
1b571716-7452-4c15-b789-30d3aacdb1f1	0	0
5ab7c30c-54f5-45c9-b355-933e22512c54	0	0
6c754590-eeb1-4317-a4ce-965a42330e1d	0	0
f7dacbbf-33ce-4cf0-b7f5-e97774fea507	0	0
33a0cc6a-87ec-48d1-b5b3-0bb72aa1e27e	0	0
ad9728dd-dc0c-41e5-a3dc-732d45e5a033	0	0
7de26b9f-1beb-4518-8b57-88d0b4440f7a	0	0
e7b49a0b-2bd5-4274-88af-b5814dacc7ce	0	0
854bf052-e7a9-46da-bcc2-f1bc52a8ccf0	70	5.83415000000000017
a992805f-b14b-4bcc-a9f9-c3c9b4253daa	0.594125249072381956	0.0495048262397905919
3f539300-4652-4587-898e-eb84895e10ea	0	0
08012c56-af65-44ae-b863-0277415f1204	0	0
b752f6bd-767a-4574-aff3-098b4bf504dd	11.1837229437229446	0.931871287926888003
0b75df49-97ab-4a75-a4cb-90f8a5bf93fb	0	0
454a05e2-69ec-4e09-a7ad-272a980b063b	0	0
ebffa089-b794-47d4-bcb2-1f6464fe7eb7	17.1436818181818182	1.42847823896464643
c4a28afd-41c8-4eee-9aba-1713707ca8a1	0	0
02512a93-a15c-412f-89e7-80e2b92932ef	16	1.33318222222222227
ed424080-c659-4a67-a1a6-00d42969cd34	0	0
aeef313a-118f-401c-b745-0feb4e9a28e9	0	0
29c2631b-b1a8-4556-810c-9b78aae6999b	0	0
9d43a1d4-c7d8-422d-b7d3-c5b9eac11522	0	0
41db5363-7179-47af-802a-cf84b3e1d144	0	0
2ceed81e-c839-46ca-9e1f-4f7d4b29d674	0	0
97eab45b-60e3-4670-ba5d-9abeacdbdfdf	0	0
b9870ba5-8a7a-42b1-ab99-7168d160eddd	0	0
c750566f-0285-4862-a080-48965c90201c	0	0
e9dc0c14-9b77-4907-9914-ba429c891a21	0	0
65bb7b49-7eb5-4cd8-94db-91ab7a2dbdcf	0	0
b24a6f57-33c2-43da-a63a-e2b68d6037f0	70	5.83267222222222248
b5739851-9f54-4390-84d2-6e9279b9198a	0.594125249072381956	0.0495196793710174013
e1ca6c71-eb4b-4722-aa3e-a7f95efa17cf	0	0
45a2d736-e09b-4a3e-96ee-1612ac8c475d	0	0
9b7ab91c-9ca2-41db-a6cb-992dfc3bcdee	11.1837229437229446	0.932150881000481046
b22fd201-1d0a-4f57-ad35-0ee67fac9bcb	0	0
51dbf308-54c7-4680-8472-82541aca907b	0	0
e09168bc-ce75-4134-a128-bc64e2231b2c	17.1436818181818182	1.42890683101010096
6745ff3d-c2e9-4c95-9b42-f7a5d0732d8e	0	0
12fc3ea9-a3ba-4289-9eb3-bfbe2637b820	16	1.33358222222222222
ba3946ba-c3e5-47b6-a9e4-476ff769aec1	0	0
bb9e2324-d873-4a01-a25d-971e56b3d4e9	0	0
bb86bea6-bc7d-489e-bb73-7373a9af0f7c	0	0
0755cc47-a8ef-43ee-893c-c9709b9a8280	0	0
51c7ca84-de4b-45a2-8902-9334d19be1ee	0	0
c8bbe7e3-ba22-4793-a7f7-a8f53f4698aa	0	0
6d1b3054-5a2c-49a4-ae3a-b94c531bd7bb	0	0
a44deec7-578e-4fe4-b693-4f1986e53091	0	0
bc3539c9-ad7d-44fd-9f6d-49e243870fab	0	0
4aac1b09-1fdf-4162-b312-b8fc22d71f02	0	0
7b3e4fd2-c7f7-498f-aee7-bbc146210b10	0	0
580556ef-5f25-4db4-9d66-f600a6c4c012	70	5.83442222222222195
1f1dc43b-4560-4614-9d2d-f0d0e3b45d16	0.594125249072381956	0.04951291294456963
af9bc744-3fdc-4970-a96b-ca7635c7cf4c	0	0
d1250590-1b4f-4631-b762-7c9eae1920e5	0	0
062c8064-a2f4-4cde-bb6f-9139cdc8bd04	11.1837229437229446	0.932023510822510892
1430c6f7-6091-47d8-99ac-0063def5149b	0	0
301f8e80-0523-4415-9e8a-7425142bff65	0	0
a9aa6a6c-07a5-4d54-bcfd-e6a404590813	17.1436818181818182	1.42871158352272709
5c27adda-617c-49e2-8c68-8f81a87eea78	0	0
000134d5-b2c8-424f-a56d-a0710a63a799	16	1.33339999999999992
df263ab7-a261-4ce2-815e-20bd23599de4	0	0
86de2943-2024-4977-b89d-e8d79770bfe4	0	0
82d634fe-5944-4227-97c3-fc14a8e5df0c	0	0
746270d0-1fba-41eb-9c2e-355f31eb0b0c	0	0
865a443d-edab-4f34-870f-424630c2db76	0	0
cf94f9a0-0bbb-453b-ae65-d1df76de28de	0	0
5d842875-57f1-43da-b05b-ae689a68945c	0	0
74764eea-99c8-4cdb-a91f-ffc71ab1e01f	0	0
ff7f6d03-afc2-403f-ac1a-507f13553652	0	0
0e0bea00-9c2b-418f-badc-2a73aafe1ccb	0	0
af2bd990-9fdb-4e9a-b59b-6db6bc54f4d5	0	0
5acfca64-6a6f-4261-841c-590b3773b3de	70	5.83362499999999962
1fff042f-4fbe-4f05-b67b-9552901f5190	0.594125249072381956	0.0495148933620665407
b3d2f60b-77e3-46c2-8582-104cbc475696	0	0
6f53530f-b38d-49c2-b15d-1b72fa4e9db2	0	0
475e6bed-c18a-4e59-893d-b40869bf2ae1	11.1837229437229446	0.932060789898989994
41cf3208-2dad-4a49-b8fc-a663f5b54aa0	0	0
164285cf-ec7d-484b-ab3a-d4e6139d6583	0	0
688c645a-becb-42b4-b8f4-58de0f4928ca	17.1436818181818182	1.42876872912878783
39fad5e9-2e20-45a4-a9b0-8551349ca756	0	0
dcbed665-7526-402b-be83-b0659b69842d	16	1.33345333333333338
182c5c78-8bd4-4c23-8a16-9654346a5bed	0	0
8e01e56f-bcf5-41ce-b9cf-c7c7b23fa663	0	0
aa0f2e13-a4ed-48c2-8d7d-3f3ab8d47fdd	0	0
36adc1d6-7891-4c45-9013-9eac6749f252	0	0
f2af4147-af4e-40ba-add0-64f5087c35d7	0	0
c770917c-21c6-4852-af38-1ad678e6fa41	0	0
f4b7a5a8-4c7d-4be6-8abd-7e3238a8c89e	0	0
6125c883-bac0-4563-bd31-c8f8541971ed	0	0
bda34648-68c3-4017-a8aa-fdc2428dc9d2	0	0
06040cc3-0918-4402-803f-8ad734db00e3	0	0
b9214651-2f78-4d10-a536-c4854409ae6b	0	0
e9085527-7cbe-4d5a-aa92-8869758dfe0d	70	5.83385833333333359
8c0551bc-3962-466f-be03-f8565d3fe065	0.594125249072381956	0.0495104374226984917
4568b435-2302-45f2-b59a-8a913a561a49	0	0
7a609e6e-3933-41bd-afc0-3d2d0887e1ee	0	0
558f4d3a-58b9-4393-a7df-cc30281f39ec	11.1837229437229446	0.931976911976912015
b7c61b98-e797-4609-8f35-34d108e5b66d	0	0
c0860107-0fc7-4ffa-a955-4b008ba62911	0	0
e52068ec-3298-4a3a-bea6-67ca80dfc3ba	17.1436818181818182	1.42864015151515145
e5128428-f6c7-404d-9f42-3a7ddc625f60	0	0
d180f897-f2d7-47fb-b758-318332161555	16	1.33333333333333326
c45ca7f1-1baa-4059-b9c7-f3966f9869d2	0	0
2c1e3c86-8619-4a5c-bb78-1e44d9c2cc29	0	0
0d343264-5267-45e2-9f12-a278e3215cea	0	0
14f787de-0eb5-448e-8327-ee8c23adce87	0	0
8c1d2625-b25d-4d71-9ca5-b9782e1aace1	0	0
f5719fc0-4599-4290-8fdd-979faf1be1b6	0	0
db40b7dc-697d-48f7-8c71-0d49bd922a35	0	0
9831f94d-ece7-4cdb-bbda-48b5ea6e01bc	0	0
8f107455-4dee-483b-bdea-88b6fab3e77a	0	0
938fd7bb-90e4-482c-8ab5-aa501b56f875	0	0
cb950356-42ee-4b00-a4a0-a362a5b3f23c	0	0
bf581190-f666-4ded-a7c8-16da0388155d	70	5.83333333333333304
e4e54194-e181-464d-937c-6c31e38d6ffa	0.594125249072381956	0.0495158835708149961
88aecbed-1e0e-4ee9-b16d-0a0d8e517c10	0	0
eb0a64d4-50e5-4222-88ce-8e893ea63f46	0	0
1e359bbb-913c-4bf3-a559-cbc9a12182ce	11.1837229437229446	0.932079429437229545
625b8352-4620-4ff6-9ae3-4dba177103e5	0	0
4274af1d-4309-4534-9853-2d9cd6bd43c0	0	0
de6a0a54-2f81-41f4-900a-6416b25f7796	17.1436818181818182	1.42879730193181809
158b9c29-9f34-460e-a8a1-bae27983c1ba	0	0
57113466-74e3-4b7c-835f-eaf91107c258	16	1.33348
aadb34d7-e414-4f81-82e0-828525e9e5a2	0	0
191b70c7-448c-4a29-85ed-732a39f24f24	0	0
d93ab800-9659-4b5a-b050-4ecee2b7d216	0	0
dd1b41de-d9e4-4dd0-999f-eb9c7f8f322c	0	0
a6691022-520b-4a20-af7d-fb988bac01df	0	0
1a676e24-2b6c-4cb7-9183-8bcc3dce2143	0	0
96163444-1d82-4e02-aad2-5a4c9aceaf65	0	0
f3694e69-30e5-4691-99d3-13c6e7356556	0	0
f56b4ee7-4af2-401e-b2c1-482b53f70532	0	0
d710a6da-b2f3-4905-8f0b-7845d1c4010f	0	0
a5d9efdf-31b7-4e9e-a7d6-18ad8c52fa39	0	0
46ae1b6d-6dcc-464d-b146-80e447b5b8f9	70	5.83397499999999969
30b3831a-2258-4bc4-a90f-0f77b8ba63bf	0.594125249072381956	0.0495145632924837223
eca6b292-6d3e-481e-8dd6-78976d68e8dd	0	0
42bf48c5-3bbf-4cea-ab51-a8a2b34d8733	0	0
5e7ca67a-abbd-4f38-8da1-f5d55981b411	11.1837229437229446	0.932054576719576811
8c39b3df-7934-42f8-a81b-a34dcc98352e	0	0
89a43256-4a23-4f50-9007-3399952b95de	0	0
07457d92-0e93-4786-b30d-d44a6dcc761f	17.1436818181818182	1.42875920486111108
5eaa966c-f1a6-48e2-b609-085be049200c	0	0
3f960739-faa0-437a-9a7d-6e40b57564b8	16	1.33344444444444443
dcbdf49e-9b49-4cb3-8b18-2fe8e95af304	0	0
bac9da69-294e-4c58-9918-3e21055affa7	0	0
0cc029e1-44dc-468d-b557-dd584c65413b	0	0
ab7a8033-6c44-4fa0-8e47-446998d10a7a	0	0
f1f9da51-d5a9-442a-ae2c-0cf4f27ad634	0	0
16773a35-1c41-4109-a4b5-d6bdf3ed6df1	0	0
f86f8a75-908d-4c73-96d8-43a941cc00ba	0	0
d2c58dcb-3bec-4654-b4a9-7bf2ff9a75dc	0	0
9d2d5b3b-e41b-4506-9bb0-ca92ed94e708	0	0
84e0b450-4fa4-4a03-a2f2-ab4c52129268	0	0
35af5c04-c4d8-4230-8a34-345ce903611a	0	0
32e16e8b-9f88-4c1a-8528-80c14a7aeb45	70	5.833819444444444
fbe89b20-8eb0-4e3e-b599-6b643b99ed7a	0.594125249072381956	0.0495058164485390473
9715fa52-2343-4e9d-8fc3-003d3c3b2360	0	0
6baa7cff-626a-4e4e-b675-2bdff08e441b	0	0
a7426e4e-569f-4418-8643-192f3b986d33	11.1837229437229446	0.931889927465127554
4a46d768-3ceb-4f3a-9847-fec47517f542	0	0
789d26b8-a6a9-400e-947d-59986ce47e4a	0	0
579a0324-7e29-41be-a4c5-201898336546	17.1436818181818182	1.42850681176767669
501b8459-76de-4b93-8f0f-3ae6ed8a184c	0	0
532fa796-a4de-42e2-8724-028446e1ed97	16	1.33320888888888889
8acf60f0-67f3-4bfc-a7fa-265fddb08acb	0	0
630f9c68-c8b0-46ca-a1fd-f7e6eb4ae389	0	0
4b37dfd4-e314-4fc4-81fc-bb83951e434e	0	0
6c46a523-d701-447b-9d1e-0c15966eabf2	0	0
451f9072-b3d3-4e0e-8985-4c030295a221	0	0
9081d988-f531-4dad-90ef-9e818500c59d	0	0
a2665a8d-64ee-4ac7-b6d1-63ba03ca2796	0	0
162150d0-a345-4c27-90c5-bc5ce96aec72	0	0
54b8042c-3b44-4aa2-8757-e91fad3fc673	0	0
12b70554-1532-4a02-85e7-8e4c44462a19	0	0
b4707707-51ad-4efa-a6dc-efd297273392	0	0
b38a9295-5359-4b94-9161-ca394b3ddb60	70	5.83278888888888858
7f5b58a5-d0a1-4a49-9064-4a73ccd26976	0.594125249072381956	0.0495658891126119147
a8c6b720-88de-41e8-b5ed-f283e35b7ed9	0	0
689a69b8-619b-4c67-8836-049a02d6df50	0	0
af0c9e0b-d89f-49a2-b839-23d3ffd584e6	11.1837229437229446	0.933020726118326205
4814e470-901b-437d-9cce-9f99371cc1a8	0	0
3b02c8d9-099c-4986-b525-a707fc840bbf	0	0
63613fe9-c247-46ca-a87b-2014eaf7bc59	17.1436818181818182	1.43024022848484833
ba67b119-0573-4395-8c30-badcf43ac605	0	0
034a33b6-4aea-4e2f-9d2f-d8f3b14b1533	16	1.33482666666666661
363d681f-0c86-4cd6-b998-638f3a861a92	0	0
57474e97-07c7-4980-be39-54bc0e0b448f	0	0
82bd7e17-2710-44f0-b66e-6a4c621e2900	0	0
b23bd2db-df6a-446e-9974-fa486cfe42d0	0	0
b2e55b03-a37a-413b-a5c7-e711a2201559	0	0
49d6cb3f-f89c-4032-9396-6dbcfbfb9f2d	0	0
8841477c-34b4-4b8c-a79f-c3981ddec8f6	0	0
48ea714b-7400-466c-968a-410a0adfe2c1	0	0
e2e62a34-d7b0-41fe-9a27-b34042c4c583	0	0
9809d595-033e-4a2d-8b9e-ba7ce48bfd72	0	0
9fcc939b-107f-43ff-b47a-c196eedd1342	0	0
12242b7a-2279-4b91-bdee-049fe8a9f417	70	5.83986666666666654
f6ef16f2-2ee0-49f2-a004-b75134725e8b	0.594125249072381956	0.0494686836204720273
31f051bd-4635-468b-9618-843d8486ef4d	0	0
bfd939a4-c8e0-4020-bdfa-eed993fab9db	0	0
186b57da-c930-4fdc-b463-b3291fa01d4f	11.1837229437229446	0.931190944781144947
1d71e2df-3c31-4285-94d4-acd4433b5354	0	0
00b07361-79c7-49c9-b2d0-2d5672fbe6e2	0	0
b68c58af-f6a4-4db7-a61c-ca5907893bd9	17.1436818181818182	1.42743533165404046
aa74e067-d504-4f64-955f-762f260d4303	0	0
eb3be89f-f192-4dfc-92e8-2b07dab84ffb	16	1.332208888888889
8436fd8e-3edb-45f4-b2d3-9f9bca19e245	0	0
6e94eaea-05de-473a-a965-4f4dc8f9ec64	0	0
2efe59f0-637a-4cb8-94b4-462e9c808f4c	0	0
1c91c2f3-4c50-4559-9a2a-8efd01a19252	0	0
bb4c6767-3914-49a7-b3be-d2b2a4799f00	0	0
da30622e-57da-4b89-8d37-0e7132fc94a0	0	0
0499f33b-a284-41c9-8771-16a3b869e1eb	0	0
99c61b9e-c380-48a7-91d8-cbf51e0defd0	0	0
b5eed7a6-bb0f-48b4-b13a-3535463638f4	0	0
59bb895e-da09-4006-aa2d-32b49eb94403	0	0
4811603c-ecba-415b-b5aa-b035cbcb9cd5	0	0
03767535-0459-48f3-b05c-4a9fa547a191	70	5.82841388888888901
da3f185f-315f-4847-9d57-622eeccb435e	0.594125249072381956	0.0495137381185266762
8275ae4f-29cd-4e21-a548-def60818b2c2	0	0
1e9d8d3b-7b5b-4918-ac77-70affbc4e9b5	0	0
2cc1b792-edbb-45a3-954c-957ef0b2f723	11.1837229437229446	0.932039043771043851
a0f87e8c-72f7-4cec-a46b-c72b76199d0f	0	0
e37af6ba-5c10-4699-8ae1-b883f6037679	0	0
ec603d50-c328-469d-8898-7cf67cc2cded	17.1436818181818182	1.42873539419191919
ef4949db-94e9-4290-934c-5c7a9b45baa8	0	0
f48c1f25-a167-4d3e-85cb-befbf784d96b	16	1.33342222222222229
20f75336-f036-40e3-bc48-117630f0ce22	0	0
c35bab5f-7f73-4925-91bf-6ddb62b2ef72	0	0
a2809f89-b724-422f-8c2f-9a2ef8652844	0	0
a3f2cd79-3982-4dd5-8de7-d072c7bf978a	0	0
e3d02268-34fa-425c-b216-a9c6b13408f2	0	0
dc24a10e-4158-4155-b147-7e9254c1587c	0	0
cb4152d0-54e8-4a53-a6c8-e45f8444c5c6	0	0
af94cace-69a7-4a95-b861-1e5e5a47d1fd	0	0
4b59645a-d876-4b75-a3e7-2cc1e8c28ed4	0	0
dbd8c2d7-fa24-4618-abeb-61d9a8e3a2c8	0	0
e8cdadfd-f8b0-4e09-abf6-f883a5cc87ec	0	0
0d58ad5d-0423-449b-8779-784ca0a0eab9	70	5.8337222222222227
a25ad34d-1a39-419a-b0f4-6d92d5a8dfcb	0.594125249072381956	0.0495142332229009038
e5b8b0b1-6e1c-4cd6-9f83-0ce742b3e8a4	0	0
ba52a510-c2ef-4092-9497-3e498e21acbc	0	0
f54dd015-2700-4bbb-b9ed-289db8bf51d9	11.1837229437229446	0.932048363540163516
c566ff6c-b8cb-4afe-aa03-a805e854ef81	0	0
3318a5f6-94d6-4a0b-827c-f0e17212892d	0	0
83a20728-656d-45ab-9cb8-541f019c20f5	17.1436818181818182	1.42874968059343432
d661a45f-55d9-4c59-ae60-7bed3dfe3a8b	0	0
d1da3d94-89d0-426a-832f-b9a91c55c44a	16	1.33343555555555549
7e3c4908-5e07-46f4-beb4-41d9c7fec63c	0	0
c083d0db-478b-4e48-90d1-58ca86e70ef1	0	0
80d9fecf-c10c-49da-acdb-83a1969b2db3	0	0
ba88d984-96e0-424d-a4c1-7a30bf2b4ab4	0	0
1153ce5e-411a-42f8-8438-9e9c4d638f79	0	0
0c93e7cd-bfb7-4762-a44a-2d86f28b4d05	0	0
edddb7db-fafb-486a-acce-b09a1d78b2fa	0	0
3204569d-e5b9-4e4d-aafa-9c277c6fd47d	0	0
dcf41455-9f20-4359-b251-e4e5bbf50388	0	0
0f4d7d32-1f6f-4a55-b71f-17ecf560d4cf	0	0
99f164db-a214-49dc-beaf-4e01bb6ce9ea	0	0
01858a38-f28b-46db-b0ce-4274d983ecbb	70	5.8337805555555553
2d237293-ee93-4fc8-b3f2-230efd8e6fbb	0.594125249072381956	0.0495127479097782208
be024471-6d6d-4db6-87c9-16c990dddbbd	0	0
d3182d65-3ee8-4e5c-8a87-c0b922613f9f	0	0
0d6f5b47-50be-4f89-97da-a3308084d324	11.1837229437229446	0.932020404232804189
4a3ebd54-8732-4e17-816f-b5b34c48f99b	0	0
f2ea5d12-ba77-4fc9-95b9-dc1b6dcf5430	0	0
c28a9bdc-d355-4291-be84-779b76e90e50	17.1436818181818182	1.42870682138888871
37177144-80d9-4aa3-a9c8-e0fa6bb18a70	0	0
a25452d2-c49e-449e-94b6-15ab378b65a1	16	1.33339555555555545
cc1444c3-4fa4-478c-910c-0d54894d351f	0	0
2de11c28-2b8f-4d14-8a2a-4780ef8f37f2	0	0
aa22f410-f67a-4c6e-bdd6-a31bb2120028	0	0
a8e59aa7-4053-4cdc-97f0-0d8a068002a8	0	0
cf04aafd-6c8e-4514-aeb3-0d396e07bedc	0	0
a0096708-5999-4af2-97ef-1226d0f53a94	0	0
4cd1f659-e830-4c73-a36c-5d0918b48f86	0	0
c2f53a79-e95c-4abf-a3a1-3b1c74685e8a	0	0
32938b64-e931-419f-b288-cf1bdbf2b674	0	0
41f622ab-7cd2-44b6-af80-358c9e3bc1dd	0	0
4c9236ee-555c-48c9-adbb-9a36aaa3dd05	0	0
49f1e855-cbbd-43bc-8f50-7929d0730e3a	70	5.83360555555555482
3b0e8a7f-87ce-406e-a709-2585d0ed8ebe	0.594125249072381956	0.0495140681881094877
41844c17-4e77-4c00-af3f-3f5604e9814b	0	0
5c17b8a2-4641-437d-ae0f-7373be84d1ae	0	0
f7ce40d3-65c5-4e07-a4ca-5bbb4cdb202b	11.1837229437229446	0.932045256950456924
731e7b9c-406a-4fe7-886f-7c18ea1ec8f9	0	0
53b03fb9-6585-49dc-a56c-c0868d1e089b	0	0
1c8f29a6-c1e7-417d-9d45-73f1b745efc7	17.1436818181818182	1.42874491845959595
fdd4c19e-b9c1-4a4a-aea2-77c55d62ae94	0	0
ca19d0e2-5842-4408-9b88-eb6df506a926	16	1.33343111111111101
8d671f33-f653-4022-84ec-16b0785fdaa6	0	0
d7953919-9edc-4c60-90ed-e4e2e23e2a60	0	0
12a5f68a-2468-4ce7-bc07-3120b5495963	0	0
856a54f6-d2ff-425a-a116-35a8cbd69863	0	0
3ab49f9c-86b8-4fbc-bb23-e37b8c3cb697	0	0
24292f3c-ba60-49cf-ba92-853779cc9d00	0	0
234d5dab-f976-4bd5-bca6-6c2a5dfde5ea	0	0
495bda10-7d4e-4a97-897e-7addbaa7eb61	0	0
b209ae28-2f5c-4351-8d00-810b2d5e30ec	0	0
222b8df8-5997-497a-afe5-2357fe3748c5	0	0
d226a647-9b21-4239-b3d1-660144b9e17f	0	0
efcecb49-8f00-4892-a0e1-ea31a0e6f1d4	70	5.83376111111111051
174e225f-53a1-43bb-88b6-b99153d2bac2	0.594125249072381956	0.0495153884664407615
31439913-5bf6-4565-8045-a114f14b51ee	0	0
e326f646-f329-43cb-bfff-79c5ccb47204	0	0
ea67d704-ee17-444e-a603-0dba6004ee70	11.1837229437229446	0.932070109668109659
158f3403-8cf0-45a7-988e-64f305435ab6	0	0
d6ddfcbd-3f72-4d7f-8da4-98ef936b6156	0	0
d496c205-afd7-4e59-af2a-8f3790b50a9d	17.1436818181818182	1.42878301553030296
18d35c1c-b698-4cc4-80c0-b964959378ae	0	0
9dc1e8aa-55a9-45cd-a161-0036526be86a	16	1.33346666666666658
47703c2a-4eb7-4299-89d9-65198e45cd66	0	0
678db93e-10c7-427e-8ccc-044bd05b5019	0	0
8b014290-9ba3-42f3-9504-623f1daa926c	0	0
a9bc3c21-ee37-4188-9a79-deffbcbfb814	0	0
20baffe2-b3dd-4047-b1a9-7077eef6e9f9	0	0
b579e0ee-5d3b-4384-8c36-157d0f1172b7	0	0
4e0e34e7-f1c1-42c1-8ef1-14918187a9ce	0	0
0704c0cc-9457-4215-9b16-afcccb5113dc	0	0
78b839e4-6a95-4546-b53e-596eaf5bd930	0	0
adecb82d-b2f3-450b-95cb-83d005fcc72e	0	0
8343f11d-a6a5-4553-a12e-d72b70cc9d55	0	0
1c29eb07-7c44-4159-bf43-a833ba944988	70	5.8339166666666662
2a7e2cf4-cbe1-4912-b79a-c768fe66fb80	0.594125249072381956	0.0495079619008273603
3a99e237-7aaf-4668-a8b6-250ab193ef22	0	0
ae55dff0-f2ed-42d1-942a-1bcb3fd0a550	0	0
9a90713b-369a-4eca-ba97-64e4e9668feb	11.1837229437229446	0.931930313131313137
d0d8468c-c3c6-4b24-9ff8-57fb49ff8335	0	0
4ab65629-d37d-48bf-814e-41000eaaf4bb	0	0
80c76325-7e69-4548-8311-8fbfae859efe	17.1436818181818182	1.4285687195075758
a72b5641-22b7-4372-bcc4-ac1601bb83f7	0	0
f5b3b89c-a390-4edc-a957-ec2aa0d8f3e2	16	1.3332666666666666
89876038-a32e-4b6c-9c33-d82837467e95	0	0
94a82c0f-34ef-4231-89f4-4b42fc5356e3	0	0
d835c087-438e-4c5f-95e7-b1b4d124ce5c	0	0
af99df2f-ac4b-40ae-90ab-2a99fd7c677c	0	0
2af711b5-4f4d-4482-a9b3-de0800c34728	0	0
70c088e2-6682-451a-8cbd-f84e1054cb00	0	0
ed113467-2a7e-48ec-8976-ac1801cc05db	0	0
bea03784-bda3-4fa1-84a1-0c7eb80f63fe	0	0
b1b41ae8-6855-4496-9949-e702e1f66801	0	0
4e76758a-8593-4e63-a5f9-0aa1ddbd5ebe	0	0
9e476156-d837-49a3-b9d3-a491199309f7	0	0
1957ed0b-b072-449d-a086-a71ffb4ee33c	70	5.83304166666666646
b113db7e-c8dc-4b6e-a269-d4801614b8cd	0.594125249072381956	0.0495185241274775367
eb9a625e-d2af-4631-935d-91f6962683b5	0	0
b101aebb-de92-4fd8-9493-1dabf1fd77f9	0	0
5903de90-e631-4e7a-8d83-6e5bbd4bb1ae	11.1837229437229446	0.932129134872535015
7e1d743d-1a1f-455f-85d0-7eeb9ff40b91	0	0
ad0c9df1-07de-4f09-9a74-59e2ad82620b	0	0
944c53f3-b80b-4f2d-ab93-d7a9b881798a	17.1436818181818182	1.42887349607323233
3ce6817c-1779-4638-96dc-714e19664cbb	0	0
8db17ba3-3f85-4c52-b5ab-fb889e2c6bcf	16	1.33355111111111113
91859815-f256-4358-96ef-8b2a5dac13d3	0	0
14b27c11-c76b-4e68-9649-4f48d61310a2	0	0
b0bbb42b-19f7-407a-a4c1-c50a0730abff	0	0
eedb6243-9455-4d1d-a013-0c938d97770b	0	0
064bf852-8730-4b50-aaa1-2f8c45ed1cba	0	0
a2773541-639f-4e77-8cd5-a7ef3c9f0ae5	0	0
9ea70ec4-c4a0-45df-b0df-bc25803e17d9	0	0
ba283cdf-84db-4612-905a-dbddb970375f	0	0
c7c9d304-5686-40e4-94eb-f394787e9f83	0	0
5fdc9c02-2be1-4d92-a402-50411f4a9b61	0	0
8da44ccb-54c4-4a1b-8947-5834cb3a6121	0	0
4b5736d9-d970-46a7-a915-367dec141553	70	5.83428611111111106
99889673-3678-4e81-a826-021c4f483c0b	0.594125249072381956	0.0495147283272751315
2b93d6df-51d5-4712-9479-9c8244a9a4e8	0	0
23c5d647-0865-4859-a7f4-1caa10f657cd	0	0
9e7cd9d2-2122-4cbd-b073-557bcddcb1e2	11.1837229437229446	0.932057683309283402
e77a4512-3a03-4f16-81de-0eae768218ab	0	0
44dc7cfa-9ed1-4443-8379-28e43127ca7c	0	0
df3ad853-3177-49cf-a0a1-84ea64ef6f55	17.1436818181818182	1.42876396699494945
1c238782-3f4d-4a7f-a2b9-95dd8f40049d	0	0
57375ebe-c56a-4150-aea4-9015daa6e4db	16	1.33344888888888891
4ff7e021-eabe-4382-a386-6a877ebeb0fa	0	0
ccc511d1-01f9-43af-9a28-e32ccd8865db	0	0
80b29c67-b9b6-4be9-8f1e-545e89f83d6c	0	0
a49230a1-a562-4101-a145-0c5d654f8c6b	0	0
97a52d84-2c6e-4710-994e-6d191c0bf0f9	0	0
38f77659-2d0e-40fd-b160-e5690fa1bd87	0	0
292ac527-3971-46f0-8384-1e29bc16c260	0	0
a022957b-5765-4065-89fb-cd9ad002cb29	0	0
3a71300a-39a7-47a2-b7c8-d3541aa4c22d	0	0
09f1a12d-414f-4e0c-92b8-76cb246e1ad5	0	0
25749ae3-7ae9-4e80-a6ad-7898917dfab7	0	0
5d91e58f-c9a0-48d0-84a3-2ec6d0979e60	70	5.8338388888888888
e620802d-7029-4f95-9cf6-191f023447be	0.594125249072381956	0.0495147283272751315
ca6934d7-a30b-4540-9dd4-3d4d160472fc	0	0
4c2c3479-54a1-4292-874a-9bcd13b91a18	0	0
c8415797-1369-4569-b917-6a0dbd3ef240	11.1837229437229446	0.932057683309283402
456999d1-2f75-49ab-9dbb-87e4482b5844	0	0
45b1a04e-3cb5-4455-813d-3daa772e93df	0	0
6a00731e-9adf-4d58-ba71-029775c66f6a	17.1436818181818182	1.42876396699494945
7c453d74-e9d1-4a0b-848a-230497c2d1c6	0	0
398c5d85-7669-465c-9ca9-97a5ec6e315f	16	1.33344888888888891
02c4853f-821a-4ada-932e-b370afa4401d	0	0
f48ed5ad-e4fc-4edc-bc28-0ca522bd1883	0	0
6de328f4-1a35-40c3-8f75-01b02644265e	0	0
cb540cd3-81f5-4ec4-8f0c-a5424ce7a4b1	0	0
82e52cc0-960b-4c61-b68d-3a77d4648a8d	0	0
626d9a0e-2e57-42be-b3fe-53f13d888e0c	0	0
de7c68ac-beb1-48e3-9bbd-0bbf8fe4d97c	0	0
31ac4c5f-70fa-4e31-9617-a6380d891dd7	0	0
aac688f7-fd78-41fe-8a6b-49338bff22ff	0	0
8efba169-b316-43ce-a662-39a3d6f20909	0	0
65e1d4cd-0342-469a-99bf-475bc5dbf35f	0	0
8ec58b05-f657-49d3-acf8-222e33d47b14	70	5.8338388888888888
88c8e2d6-54b0-491c-a4cb-17b2e139a93e	0.594125249072381956	0.0495127479097782208
3ba41dcd-41ec-49e3-98d3-ee3e0f4be0b1	0	0
c5a1c003-0831-4e7b-a9d6-4f6da2863175	0	0
032fb123-7193-46be-a284-628e9af22b03	11.1837229437229446	0.932020404232804189
7d15b401-03a8-42c6-9d5a-e964b13b1626	0	0
0e710c9f-670b-4b66-9a89-93e2d912cda1	0	0
e52fef09-ec87-4371-be8b-fe94d6984a5d	17.1436818181818182	1.42870682138888871
2b1b102f-376e-4d08-9714-794f38bd09cd	0	0
aa48c85e-d421-4a3e-9b38-7e3e35f2410b	16	1.33339555555555545
65901bc6-e490-4417-a974-eca39f71f105	0	0
f5a64ee6-6827-4a01-ad77-1fbab3d09bc6	0	0
b1ef2ebc-6534-45ef-b1b7-63ddc46b0094	0	0
2cc59495-e6ab-4c4e-897e-c817fb68e75f	0	0
f21eb89c-21e6-43ae-bf78-06ce5a6a430b	0	0
e6d8826b-cd95-45a1-a425-0ee5cbb56f68	0	0
e4fa0161-c028-4111-862d-f1e3f3f5d62b	0	0
bc71a5cb-6128-469c-87f8-bcf2b864f84b	0	0
e9b366a3-6ee6-4e17-8038-212220869ef7	0	0
063e230f-bfa3-4fd3-ae39-5d2f8762d724	0	0
785aaca8-d235-48cb-aadc-979c931841c8	0	0
a21a0a86-e97e-486e-aaf3-4a80290ee0aa	70	5.83360555555555482
48fbb51d-98bd-4509-82df-ca601ad5c4db	0.594125249072381956	0.04951291294456963
cc8b8ba4-14b5-49d1-abb5-4d3de2cece0f	0	0
a6a8d684-a5aa-41b4-9d4c-ef2ac55847a4	0	0
9e2d0270-bb2f-4fcd-bfd2-59542c25152b	11.1837229437229446	0.932023510822510892
fc811082-d0e7-4380-a8aa-1a924faf9670	0	0
451198ac-0631-4aac-b697-fa6afed24efc	0	0
f267337f-d523-4532-a719-86bd389bba97	17.1436818181818182	1.42871158352272709
f3fffa8c-4cbc-4879-8566-caf567eeb2bf	0	0
dd955fcf-83ef-4223-a436-f5d87a07d321	16	1.33339999999999992
263ac1c2-616c-48ca-ab06-c1739b42a632	0	0
b0dcef9f-65af-460a-82ea-f6d9e4df1ccf	0	0
97ecba62-6fdf-4239-b49b-fa879f31288d	0	0
ac99c46e-5bd7-49e4-b666-47c57cd15227	0	0
384dffb3-c06f-4d1d-8305-1361f6fb1ef2	0	0
b2fc25b8-ff51-454e-bbe1-982ec462683d	0	0
483a3d9d-a8ea-4681-99f6-ae5a303505d0	0	0
9fb8276c-e31d-4fd5-8d57-84c4cb4bc540	0	0
7ec4ecb5-6985-4357-ba76-f422affb02ec	0	0
40d48cd2-a87d-4ba0-a63b-9a55a20fe75d	0	0
eb143ab7-ed4c-456c-a412-42f2f629d9e4	0	0
51054767-5c33-4130-af99-2f023d758c75	70	5.83362499999999962
da98dabf-bb1f-4f19-99be-88ed4ccf4184	0.594125249072381956	0.0495198444058088105
3d22ff07-a73a-401b-b835-da0f6568f3f9	0	0
342efd63-276c-4e3d-8ade-fdb132a044cf	0	0
2856cc7f-6b53-4c39-821b-a8341a100c3a	11.1837229437229446	0.932153987590187638
2b0a574e-cc6f-4d8e-b1d8-7e8415e2205b	0	0
2213114a-d790-4b56-8c10-ae09779f0807	0	0
c47802ec-23ad-4ccd-a3ee-ada1ca078d0f	17.1436818181818182	1.42891159314393934
122dc819-b062-49c7-bea0-4e85384e6010	0	0
4728c29b-1655-4d60-a7cd-71ace06575c8	16	1.3335866666666667
07c7f62b-aa72-47f1-8117-ef20eb90d496	0	0
71d30c17-82bd-4b42-9a7d-67d14006d0d8	0	0
4cb563ea-68cd-4e68-b713-f8e2b9962c4d	0	0
cd7133d7-988d-4955-a850-9c00cedfe6d0	0	0
c659d090-1881-465c-903f-9cc06d9f36df	0	0
e820dfac-d367-4571-97e2-147b78c2f32a	0	0
1fd7dfad-64ab-4294-a7c1-87399067188b	0	0
2a0fb254-52cf-4d0e-9d3a-b7a71ef28ddd	0	0
6b992dfd-4345-47b4-bed3-e2c2726c0ed3	0	0
e094aa7b-bba6-4675-b766-6c0fbd51151d	0	0
14487caf-c0ad-4a23-885d-69d6c701e42d	0	0
e0aec69a-6f02-466b-9c87-19a557afcf6a	70	5.83444166666666675
07bc6915-3918-4166-90a9-81101273a07d	0.594125249072381956	0.0495115926662383563
cc1f3909-c6d3-4baa-9161-9144fa7b0240	0	0
7f9d00d5-637d-497f-ba54-0c74055a05bd	0	0
57569e46-3581-4c0a-98ec-030bf27186b7	11.1837229437229446	0.931998658104858158
bd7f3f52-105b-4479-a788-a428340a86d4	0	0
cfd51c2c-bd39-4fe1-a800-31c542cc227d	0	0
d3778b70-e3de-4c99-a561-ab05a072cd5e	17.1436818181818182	1.42867348645202008
6a294be6-3d48-4355-b193-21c710b6c34c	0	0
461df26e-e99b-42b5-9ee4-831d38ddd459	16	1.33336444444444435
afdf6ecb-8ae9-4ee3-80bd-d22fd8a1b99e	0	0
b08b02a0-f9d4-483d-a570-fd89968b6ca5	0	0
620b0143-6c9b-4955-9f9c-f58c5edc105f	0	0
0236b51b-7c39-40d0-b4e6-30d4d7cdff1d	0	0
af44375f-9057-4ee0-a506-5ff86e2651c0	0	0
13b50797-2806-4048-b7e6-51b0a0b0c10b	0	0
629da8a4-08f1-4a47-8a5a-859397a76970	0	0
e5930cb9-a1e4-41ce-8294-63fc9d786fd6	0	0
05d2a703-e382-482a-9917-be75806e8ae0	0	0
56da3c6c-c7ae-45dd-b277-d3eb6e00eecb	0	0
ce9c8268-2aa9-45b7-a4eb-65ea79e6e6f5	0	0
a051e8c1-e02d-49f4-b67b-94bf0e2022ee	70	5.83346944444444393
c45a19d1-4bfb-4518-ba00-fb133abb3e07	0.594125249072381956	0.0495132430141524485
2df321a5-d04b-4129-abd8-aaabf0c5acd8	0	0
98485681-204a-4787-962d-e99d0702fc60	0	0
7ecffd61-9c38-4b04-81a8-bd51216e1157	11.1837229437229446	0.932029724001924076
8d67f7ca-0180-44ab-a4df-4e8ff804ac96	0	0
07fdfd85-7709-4932-9eef-cfe5d2a79de5	0	0
1fe27a27-a5cc-42dc-b20c-a761a253c86b	17.1436818181818182	1.42872110779040407
4fbe81b7-61bb-4f4d-a336-7c2072ed744a	0	0
f4311a1f-5cfb-4d5a-9613-c5552a93d920	16	1.33340888888888887
b46c7545-efb1-4d2c-a031-d59be6052d3c	0	0
496796e2-c867-4fa3-b29b-72a53550f908	0	0
525e7a5c-cb05-44ee-9097-4a1a0ce043f9	0	0
21cb1bc2-4122-4a4f-a5cb-bec1690f49c8	0	0
6d96060c-0d63-49c3-a132-ffdac85a665e	0	0
7445d3be-016d-4b73-bad0-fe84ad48e27e	0	0
2da20ca1-7992-446f-8ee6-a44c044a4ddf	0	0
fc641a57-a372-4b02-9767-a540c9606cf2	0	0
ac1e9151-5a3e-431f-b70c-f914a830a658	0	0
6cfb343c-938f-426b-bc3f-3d1092390f4c	0	0
1ab53715-ceed-4c33-84fe-0f22e958d7c0	0	0
12e6b9df-3b23-4150-8ce3-3953a50f1c9d	70	5.8336638888888892
36e99c35-dfad-43c1-ac2d-5a5238af7af0	0.594125249072381956	0.0495143982576923131
b5274832-754b-4661-a6f0-e5cb707fc1fb	0	0
211f68bf-bae0-499f-b2c6-5763c9682020	0	0
d70c4760-38c9-4c9f-ba10-88c706040a8e	11.1837229437229446	0.932051470129870219
ec5d4c77-791d-44d1-9790-07e032704154	0	0
aa82a12e-254e-4479-82ee-a8e873a7350c	0	0
cb271a58-b743-43c4-a9e4-3ed6fffbffa9	17.1436818181818182	1.4287544427272727
e15d1ae7-05d4-4d4f-a97b-07330504ba66	0	0
dd5486cb-961c-40ff-bef4-82c7444d9765	16	1.33343999999999996
a305db2a-9548-498d-859a-3db9c3551e0a	0	0
dcc0f9cf-801d-4ac0-926a-5356868f1371	0	0
3bfd0479-e4aa-4ca7-86bb-9b889187f513	0	0
2b3b7456-2871-4190-abbe-974780b61119	0	0
f33ea361-93db-4e4f-adab-52394bbe1e0b	0	0
b906950b-ef9a-4e9a-876a-49c2df3b2fea	0	0
f6687578-663d-4cea-a840-f44ffe14bc4b	0	0
473bee4b-f7e6-41b6-98c5-f245235d3ffd	0	0
f8481001-5ebb-4e92-b054-c4d1a34fca43	0	0
6c41aab5-e2a4-4dee-8e20-7f989ad73c87	0	0
3e82c2e4-6e17-44fc-afbb-a913dfe420c2	0	0
f7cadd15-89bb-4778-9389-1cb0fb60cadd	70	5.8338000000000001
e92ff6c0-6f69-4e49-a7bc-dd76fecb124a	0.594125249072381956	0.0495147283272751315
fa8f9bb2-a85a-4b27-8add-84ff94d6943f	0	0
d8a581eb-4561-435f-95d4-e15e07f56bf8	0	0
ab101a5a-4265-4676-b2c9-37244ff71661	11.1837229437229446	0.932057683309283402
ba6fbf96-7f6b-4b87-84ce-43e9bdc5769c	0	0
25312546-e963-4821-b342-fece72a235b1	0	0
611bc66a-d8a5-4fa1-b294-1968e59a78ad	17.1436818181818182	1.42876396699494945
96da4e06-a528-48e9-bf3c-468edc5110a3	0	0
20924267-caf4-4066-a0ba-52203106fbb6	16	1.33344888888888891
f06b415b-1751-4eb0-b258-d77c59c2dac0	0	0
eccafcfd-d682-418f-a0e7-31735bec46a8	0	0
1b9fcc9f-6c50-46fb-a443-5dbaa6d4dd46	0	0
b1bea1b2-db99-41d2-8195-3248b47cedb1	0	0
d95e5f4d-6c7b-44c7-8ab6-ac22c8d18538	0	0
71f6b389-2574-41cb-aa19-a05ed21056aa	0	0
922c2ab0-d2db-453d-82b3-e0c223814e99	0	0
10158e42-9052-4f08-be3b-a3c4643cf863	0	0
0c2d5ed8-40b9-4068-86c0-1ef3e10852ff	0	0
c4772a94-3f48-42fa-ac2a-e8f5f070e392	0	0
c662d104-f005-430f-8487-c1a60bea1b0c	0	0
caf28b52-d7a2-4f7b-b7a9-2d2d962e38d5	70	5.8338388888888888
455d3ab5-6f73-43a9-ba6c-005e23a7b615	0.594125249072381956	0.0495139031533180854
dfb7a528-7865-415c-85e3-edb91188c5b9	0	0
e16a4544-7937-4c0a-960c-9f6278eaf214	0	0
85dd3b6c-e416-40af-8699-16893955b188	11.1837229437229446	0.932042150360750554
aa96033c-9072-4746-a231-733556a960d9	0	0
15161803-37b3-488d-92e5-bbb7efd562a9	0	0
178eb539-fcd7-4269-a625-8681481034fe	17.1436818181818182	1.42874015632575757
ebdb783a-c626-4ce5-aaab-9b8b1a18a6fb	0	0
14c41a82-4579-46b2-b765-2e85fc4dc80c	16	1.33342666666666676
29d34712-64d8-4f30-ad2e-f84405b68b6f	0	0
2cd905ab-c760-4163-9d59-698c87c2e7d2	0	0
b6950719-3a80-4cf9-9122-7196acb43504	0	0
1764ae1a-8c4e-435c-bc99-70e5e6cbe4fb	0	0
82a0f2a9-f6fe-45f0-9b27-d84e5a9b1bef	0	0
6eb9ff89-c103-4992-9a3d-482ce1be8c62	0	0
6651b838-b919-4014-b31e-fa9ef1e777e5	0	0
e297204f-2030-4f98-a7dd-cb0157ab37fa	0	0
2fad1747-32ed-4ce9-87cc-827b9e0c319b	0	0
fcb10144-f561-4278-a89d-37578a2eaad5	0	0
0f33359c-d56a-40ad-b674-02aab76efb61	0	0
1b052034-339c-4696-a26c-eccf9bb3b930	70	5.83374166666666749
3043b4b0-a2d8-4b34-b28c-b54d94f3a45d	0.594125249072381956	0.0495071367268703141
4837f302-1673-491f-918b-19639a3ab216	0	0
869c03e7-c6a3-4b87-aae4-18b8a69af45b	0	0
b1d77eea-bf13-4cc1-baa4-b9ab9259a675	11.1837229437229446	0.931914780182780289
f362af43-94e1-4bfa-9680-b04f8e30030b	0	0
353015b5-7b5a-42e1-b96a-16353649a018	0	0
21e7ad41-a9d3-4af0-82f9-4fb16315a722	17.1436818181818182	1.42854490883838392
ff18beb3-d241-40a9-9f4e-81a6413208db	0	0
74c06e31-4540-4cfe-9a66-3aea273476fa	16	1.33324444444444445
0c87682a-7fbb-4f85-ab14-e06d273226e4	0	0
208ec34b-dffc-4bfe-af97-b1cad202a3e1	0	0
96aa9d3d-bed2-4529-874c-819e0b543b0b	0	0
10cbba37-6de1-4451-a178-8a9201a1e491	0	0
e9fc7c5e-1741-49a7-b527-ca5f48ca349f	0	0
8b1f31ea-985f-4906-9c25-cd9028dec0bf	0	0
326162c0-5617-4ae7-8be5-f7b1be96d6f9	0	0
e885fda7-3fb0-4252-8eac-e9ed035ce0e5	0	0
eaf718fd-55ef-4722-a964-c1a3ecb23cdc	0	0
96657f92-1441-420a-b7b3-1c1e7d5c4be5	0	0
3e55b05e-7329-4d95-b384-b20943d61a4f	0	0
344bca15-4612-4511-bfb4-08d3bdbd7cdb	70	5.83294444444444427
6a53b61c-6176-48de-bfdb-ce61e82d9b7b	0.594125249072381956	0.0495196793710174013
9783d088-1602-4fdc-a2e4-a6d9eb413ce9	0	0
522add44-9484-4db3-b463-14060fac42d4	0	0
b20a35f1-9f25-490b-8b8a-6646091ac6f9	11.1837229437229446	0.932150881000481046
e36e16e0-b84b-4231-a3f0-fb973a91d7c9	0	0
3846e571-32bd-4810-a526-b2e828429b63	0	0
4a5c1d68-3be9-46e9-a64c-da7a9d420e52	17.1436818181818182	1.42890683101010096
47529c66-f737-4be6-ad08-1d7e35d384b0	0	0
f1c0b4d0-5ad5-4000-95a7-90c3430a2c68	16	1.33358222222222222
323e7b3b-5536-4b1d-b8bf-f782d30280e8	0	0
966f7461-75ee-4845-9c40-3c0c47825978	0	0
d86375f2-315c-4766-ae76-f6bf2f797e86	0	0
c9416426-7f43-4592-90ec-eef449dad054	0	0
6ee0bba9-60a4-44db-aa98-2fb0967ab65d	0	0
f44a4ad7-d562-498c-b4ae-74f65a4e4753	0	0
f44c64eb-ea8f-493e-bfa9-3f8eacfe9acb	0	0
6f3c55cc-3a46-4cdb-9754-04b9784ff886	0	0
bab45fe5-a123-4312-97d1-9b7ea8a73be8	0	0
341a65d3-6f44-4111-8f98-b3b85b83e1cc	0	0
f6a52474-2a18-483e-afd5-a44c65198fcf	0	0
1b509d5f-030d-4d00-9d30-21519a764dcb	70	5.83442222222222195
d2e28256-148b-4a2b-bec5-70361bd04a17	0.594125249072381956	0.0495152234316493592
222851f4-8475-410b-b824-c1ff0b740fa8	0	0
15a6e9f6-ca86-4882-bf37-e5b2ba95f35b	0	0
29e0e629-ce51-4dce-ba1b-488cdb6d0ecf	11.1837229437229446	0.932067003078403178
6f92dc08-3f19-49b4-866b-899b8089fbeb	0	0
7bf20b49-05ff-4cb2-93d2-3426ee868241	0	0
ca6e1ebe-1c9b-4a11-9ce6-981d7b42b5a6	17.1436818181818182	1.4287782533964648
46b2f000-18b0-4d66-9e5d-116913602978	0	0
76c2aa96-1d1f-441e-ada5-d1428d62fb46	16	1.33346222222222233
39df4039-17a2-4f78-9dbc-6e8dd186bfec	0	0
bac2319f-5050-4cbf-9881-4fb6e66131af	0	0
0d7f0e32-ddc1-48d1-b849-052dd99d9692	0	0
487a34cd-df1e-4dc0-98b2-68c8ba2246e3	0	0
0e82e4cb-bc5a-4765-a244-b48afff174aa	0	0
2ae39279-3117-4d75-beb6-dcb976a18fe5	0	0
23eca0b2-39a7-4da2-ace4-baf966df3a4f	0	0
eb8b13f8-fca6-4ea7-bc9c-0622d369c23d	0	0
b1a1ca7a-8b4d-4c5d-9261-4e3d9d503f91	0	0
f6b8e59c-4401-489a-8529-b87b595a62a3	0	0
9f1b8c14-6a53-4db8-bb70-29b87ea8712a	0	0
52032b63-44e3-401d-8e7c-de4afbb614ba	70	5.83389722222222229
f8496856-e969-43fc-8499-356ecebf2048	0.594125249072381956	0.0495132430141524485
6413cce5-122d-449a-b734-5bac3c790ef5	0	0
dd36501f-728a-48a8-876b-b117671dcbc1	0	0
00b35adb-0921-490f-81a5-9cedcc0eda12	11.1837229437229446	0.932029724001924076
731db33d-0c85-4a02-81aa-7681d9c43725	0	0
d8ca2763-ac9c-4f93-8193-77cb54e911e3	0	0
a7be00ec-56dc-4e45-96ce-d90642b55961	17.1436818181818182	1.42872110779040407
2d665b87-45e7-48a9-ab0a-f6ba8c49206c	0	0
e0cae8eb-f57a-4988-9b71-03cd5ebd93a7	16	1.33340888888888887
027d6c91-bd67-402e-8e70-d690eafca5e1	0	0
3d73fca1-ca03-4a19-bc66-6e41071afb12	0	0
2a251e46-997e-4900-8983-c1b5e0aaa7b7	0	0
5c5ac275-634b-446c-8405-bc1151fe0c5d	0	0
bf4eecf8-c02f-4f89-b1a8-9a6e567fb1ea	0	0
a74048f6-69f2-49fc-8341-5766b4a89514	0	0
edf2fc43-db1c-4e70-833d-07bc5b9fa66e	0	0
c7ed4710-90b3-42d7-8781-1938dbc8069b	0	0
18078769-bf56-4638-a420-e41ace430f68	0	0
2d933f8c-5c14-4b63-bde7-8370456aaf28	0	0
1f57adb0-348e-48ba-bd77-c50785a2b0d6	0	0
14221960-3489-454a-9f7b-b703307292f5	70	5.8336638888888892
96db81e0-f3a0-4db3-ac86-e8e2d3e2d5ba	0.594125249072381956	0.0495135730837352669
9c1f4c06-7b2f-4ff7-b50a-7130f48486bb	0	0
ccdd0c92-aa27-4ce1-aed3-a490828d99f6	0	0
45291a64-8c79-45f4-9d9c-eedbc5a58ac3	11.1837229437229446	0.93203593718133726
8db28535-32cf-48e8-abb9-2fb32d152332	0	0
dc1dd0d5-2e12-4b14-bbf6-0a7293aa9066	0	0
5dfc6a34-7d7c-462e-b877-fb9fe67a148d	17.1436818181818182	1.42873063205808082
e333be5d-ec68-4231-ba36-fae89ddd4a27	0	0
bd6cf9c3-9e11-4ec4-9925-2f21560c9873	16	1.33341777777777781
01a2876d-72b2-4f34-a5cb-7fedc4b8311f	0	0
df90e5e5-3380-42db-bd18-318e1747eb54	0	0
c1b9c0f3-0701-46f0-988f-3d8118cb92b7	0	0
fec0cfbc-ece8-496a-a0aa-04fdba4b851a	0	0
6e5c4da4-8ffd-4df6-b0de-789bbfb746f9	0	0
62129b3d-17d1-4253-a6fc-0354e0ef0dbe	0	0
94279c02-99d4-4d8e-98e6-414e791fc188	0	0
aa181762-e67d-4240-92e3-de5620a5d633	0	0
14f4e214-5acc-474a-828b-3685592b556d	0	0
0ad76b31-70a8-4c19-bcf5-cd92c4b6d3d1	0	0
0380a914-a92f-48ef-8f6b-3ca4113b45f8	0	0
18351774-b503-4fc3-8c8d-b6f85ec41463	70	5.8337027777777779
b4c16da2-20c1-49d3-a57e-a4f1727dde06	0.594125249072381956	0.0495117577010297655
d2b5dd9a-6e54-4188-84a0-154a1651cf65	0	0
e9e6c2a3-8fd0-4f84-a040-54a3dd1170c9	0	0
edbd56db-14f9-4d2a-9281-d705afb8af72	11.1837229437229446	0.932001764694564749
097ebe5c-e461-409a-b1c0-c3e98420215c	0	0
39949b63-43ea-42f6-adf3-cf6e387dfb10	0	0
821ed508-3ff1-4dd6-86bb-473e03e1ad05	17.1436818181818182	1.42867824858585846
a2a217f1-c217-493b-a8df-032be8105b7b	0	0
cfd468f1-e632-4d08-abc7-51086ccfd381	16	1.33336888888888883
c19b800a-0a8c-4011-be07-18b3b7739fe4	0	0
e306ed53-7303-4eb1-bdc8-2233993d26de	0	0
d7f9764c-187c-49fd-b5c5-803ccb29ebbb	0	0
1c235e48-8bf3-4f90-94e6-b7661435a801	0	0
5f69513d-da1b-4a51-995a-b5ca96a19abd	0	0
d438a3ce-f13c-44a0-9c74-571fdbb84ecc	0	0
bbedc39c-6e24-4e46-bbb1-0ec1602622c4	0	0
b242226e-1adb-4d47-b5d6-72d0ade36ee7	0	0
29e1daa4-d202-4e36-a095-3b4079150885	0	0
98bfd966-bb59-4163-8c57-8138c9678282	0	0
3cf969a7-f103-4dba-afcb-e66c3170386b	0	0
67c07102-63c8-4605-8b02-dcd8f050065b	70	5.83348888888888872
da7a947b-f196-4216-a28f-b9de1d7be48e	0.594125249072381956	0.0495153884664407615
37dcae84-d14a-4d53-a4cd-1ff246f78af2	0	0
c9b6e1d5-5925-4fbc-9dac-4ebac6aa3d62	0	0
219bbdf5-285f-4e74-a695-32f6e520d491	11.1837229437229446	0.932070109668109659
f6ac9e14-d3ba-402d-acd4-f52580ee2b88	0	0
ba177ad1-94e7-4785-8b76-600913df071b	0	0
654eb9a6-01e2-4ee8-9fc1-83294bbfd314	17.1436818181818182	1.42878301553030296
0635ff0c-04cf-470b-aeaa-a38eb6359015	0	0
f9e56782-abc4-4996-abcc-0e119138eecc	16	1.33346666666666658
78f5ac23-e0ab-4246-bcd8-affee2005d75	0	0
522c06d6-09de-4229-a3fd-744daf49ced0	0	0
4575fcfc-c365-4466-89c6-41e4efc688b0	0	0
c47604f7-bf61-4c23-b672-906fc1a231db	0	0
d0244b22-9aac-4f86-9563-bdda3e331e05	0	0
9aae7a10-2ddf-4f8c-8943-f764a498f90e	0	0
d6e14b18-c149-4fd9-8acf-3e0e3d9be781	0	0
ab155a98-3c43-412e-92fe-1d81b667fe28	0	0
1220b6ec-175f-4fba-afdf-69923a0d8b0f	0	0
7d81f154-4007-4654-a503-bb5aa36dd850	0	0
b70e7b72-ebbb-4d5b-bd05-74b3f28630a6	0	0
bcc1d7ff-0a68-48b2-b4e1-f6a9d8a2c397	70	5.8339166666666662
a4caacd5-a023-4102-a5da-0f9668de4560	0.594125249072381956	0.0495140681881094877
d3fb1f8f-3526-4bbc-8b26-6dbbcf2c8577	0	0
de6252c9-9346-47ab-b311-6c3e11047c1b	0	0
7a0ff953-8d83-4efe-a3cc-9cd54558dde1	11.1837229437229446	0.932045256950456924
4d5bb50e-6038-4369-96c5-7c6050d96300	0	0
3b360d44-0e52-40eb-98e2-76d5dac438bf	0	0
c0c3345f-a543-48ca-aad8-572fa9fe06ce	17.1436818181818182	1.42874491845959595
819388f6-626a-4d7f-8d6d-0b4ba33ffdad	0	0
fdb945cf-3eaf-42e3-ad3e-421b28e58325	16	1.33343111111111101
3b3f8b01-ccb9-495c-886d-ae12fe0f2b13	0	0
6fe6cb6d-523a-4246-b0c4-749659051e9e	0	0
13b005c0-8c02-4d8c-adfc-e73ae234fdb6	0	0
36875833-e8af-4db2-86e4-a23a521df6f5	0	0
c143a74c-fb5a-42d4-a9b9-fbc33c363500	0	0
1e5b17b4-83b1-4349-aea7-5eb832893bfe	0	0
c431aaf6-7d36-42d2-a030-c21387158b2a	0	0
23a5ad7a-b511-4f87-81df-86d4d1a3c0ed	0	0
fff4b1c8-5cfa-4cb1-ad80-6e3f50730799	0	0
940c484a-5155-4881-ae29-30e0b9baa923	0	0
749baad3-971e-4278-8adf-b79b4b76644c	0	0
506c0ff9-fe45-4e66-82cf-e871441b4f54	70	5.83376111111111051
65e3e398-cb48-43a0-a76f-1697c3af1ccc	0.594125249072381956	0.0495142332229009038
ef62f4c2-a6e4-4644-bead-6eccea480474	0	0
7b0d48e0-1403-465a-ba55-db159607b884	0	0
6b360281-3674-421d-a416-f6b7113ffb78	11.1837229437229446	0.932048363540163516
4d0eb7c2-943c-40d5-95dd-8193f80a64a4	0	0
c6caed5d-3c8e-4519-9786-4f07da4acb3e	0	0
57a2bd46-b980-445c-87fa-a2b35b2867f3	17.1436818181818182	1.42874968059343432
a2cad2e3-807b-429a-b310-9a682cbce484	0	0
69b29516-f863-4a95-8fcf-26eb8392bf6d	16	1.33343555555555549
00244b2f-3f33-400f-a72d-27a947fa78ee	0	0
2576010c-d4cd-4a58-8115-54c4363e4023	0	0
d174b33b-9acd-46d3-a76a-e577c5c74876	0	0
1c0ff6ed-86af-4674-ad20-1730e6a483b3	0	0
3ced0213-db58-41d9-a935-3f2d28460faf	0	0
bc04f2fd-2c79-4d1f-be94-c04527ae5df8	0	0
558ba61e-5737-48f5-8c8c-ddc57f7804a1	0	0
86ba7923-fd4c-4d13-9df5-a02b5a8fc98c	0	0
83b64710-ee6c-47f6-97f2-110a01587cfa	0	0
66d247cc-4e4e-43fe-9a97-1a2895e92a09	0	0
a051b493-9423-4853-9833-b617b250a792	0	0
222d2bbb-ac6a-476f-92d3-fb84be139341	70	5.8337805555555553
044c4a81-bc41-4d46-a9e5-7f16c676ee3a	0.594125249072381956	0.0495158835708149961
83d26897-f828-4542-a792-cd6de61d30ec	0	0
2115c21c-17bf-4db0-914b-1cfab37f8acd	0	0
b07d9899-81f6-413c-8616-d166652675c3	11.1837229437229446	0.932079429437229545
de16ace3-87bc-4ebe-9ee8-30282784182a	0	0
33b8b1c4-91b3-44b0-832c-76f912872629	0	0
9af20c6e-c085-4353-af16-fe51a37d0ebb	17.1436818181818182	1.42879730193181809
3443ebb7-84a6-404e-b090-94681d00a8cc	0	0
18ff10a9-efd2-4c56-a5e5-3cb33fc384ed	16	1.33348
13ff258d-6289-43a7-b78a-640e224f547e	0	0
fd33dc85-5d36-4261-bea3-9a2e050e4d34	0	0
4e94d3a8-6a51-49d7-84a5-9b34c4a33651	0	0
f66fc6de-2616-424f-a48d-5928039edf20	0	0
f5982203-0c62-4994-991d-4c4b19e85cf1	0	0
73e03bb9-f46f-4e16-b989-67f1a597f6b6	0	0
af74591a-8455-4b12-93a1-0ef8572f5f52	0	0
b24c7fa8-803d-4688-bf14-1946b5451f58	0	0
e0b6bcbf-2ce6-403a-a035-edcabdb7c20e	0	0
eb69b20a-6459-4308-a3e8-cbed22c44a99	0	0
ea1512c3-8039-4159-afc3-5a0924c39060	0	0
d0033353-b77b-4356-b398-26b276734c88	70	5.83397499999999969
3f065684-2f4f-4f2d-8ea3-e8fb2cff06a9	0.594125249072381956	0.04951291294456963
e74806d0-08aa-4aa6-9fcd-87519a743560	0	0
b0ba1c6d-30be-4a46-a9cf-166eaed0286c	0	0
730ef443-063f-4594-b0a1-bebf338be9d0	11.1837229437229446	0.932023510822510892
80b80e95-3731-4e12-9401-9a61c84eab86	0	0
6b91b386-410f-421c-ac26-ab56b84d955e	0	0
ac1386f5-4d4d-45e4-ace8-3832d0c6c62f	17.1436818181818182	1.42871158352272709
f1ef5da9-f940-4714-8b28-8bb2092c5c62	0	0
b507b336-b276-4260-8e08-9b2d3827ff0f	16	1.33339999999999992
dd38ff72-2bda-4517-9e25-3fbfe0e2bb0d	0	0
d8d7a168-e22c-42f9-a047-b918fc411e6a	0	0
ac299f51-0353-4662-96bc-81ee70d87fdd	0	0
f68be01b-94c4-41f7-b3f9-44acdf2b6f5b	0	0
c088564a-a5be-45ae-90c3-897a77fd21e3	0	0
2d47fefd-e02e-4d29-b40f-6cdf212880bd	0	0
13516f89-39d1-44e6-8f39-ca91e9f2655b	0	0
f7e57428-f800-441c-bb0c-0c96b458f5ec	0	0
faad0778-eff4-4265-ac34-86590a5dd42f	0	0
2a7ab8c1-e504-4ff6-a271-600fd0dee798	0	0
30d268b5-f7ea-4498-a1f4-905530aa1e87	0	0
fcd8e3ad-c181-45c4-aacb-192c585134f2	70	5.83362499999999962
979c4626-0769-4651-b56d-c1ba84eb19ce	0.594125249072381956	0.0495120877706125839
abd94bf8-9380-45c2-bee6-87a1315d18fa	0	0
0b1d85a9-88c0-45ea-9928-3e2ae460a8fc	0	0
223b3dd1-5abe-43f8-944d-fdc3133dc129	11.1837229437229446	0.932007977873977933
7e008ff8-41fb-4da4-a821-ef76a6baa8a3	0	0
b7342e28-c9fd-42d1-88df-f694c555515f	0	0
93f0419e-fd53-492e-895e-da8593c2418e	17.1436818181818182	1.42868777285353543
967d20b2-0e3d-41a2-80f9-d97fbb7a93e7	0	0
ec7180fc-ceae-455b-912f-4713184dcea2	16	1.33337777777777777
2a7dfcae-d833-44bd-8a2e-947ec9154b17	0	0
5c4f061d-78aa-48f3-8218-0c063ffc6cb5	0	0
64823d29-b3e4-4bae-aef9-2384253d0987	0	0
2d7d8181-5358-4289-9930-eb36a10ae7be	0	0
9d21ed8a-196a-42fc-8a4d-56ffccd8e37b	0	0
1b93b787-549f-4183-9fab-67735bf9c7ad	0	0
97895f5d-d1a7-40fc-9cfb-2336c9998547	0	0
62d34e49-ca1e-47ea-a6b9-929f7332549a	0	0
5daaab09-cc39-4aa2-bba8-4f3f88f708ce	0	0
695bf8f6-4804-4957-8b25-4a8b2fac29bb	0	0
f20fb305-7c0d-4061-a76a-d2361fbaf540	0	0
9adcb1d4-c084-493c-a658-647766427fe5	70	5.83352777777777742
17a96f78-4351-43b1-be0f-5eac2825816f	0.594125249072381956	0.0495145632924837223
bfafec37-0fc4-4a28-85b3-db5c94ff405a	0	0
07a193bd-2665-4bef-b23e-95708c5b9f4d	0	0
ad775123-cc6c-4cd2-a230-3f2e520aee58	11.1837229437229446	0.932054576719576811
f4d5ce25-5fa7-4ece-882c-1c5d3a767096	0	0
a88db3fb-da4a-4f6c-83e2-8ee16d3e3be2	0	0
3afb4e8d-69fc-444d-b31e-287a0cf57700	17.1436818181818182	1.42875920486111108
c31598eb-0d58-4556-bfcb-a5f8a44b82dd	0	0
67e24a3d-a1f6-4f2b-bab8-8b11a75e43ea	16	1.33344444444444443
3ce12002-be0a-43f4-9d02-f1cea63834b3	0	0
484b99d1-711b-457a-9756-ae43ff0413e1	0	0
1f9b0957-9645-4b0a-8525-0c821eff2e26	0	0
bfe05ce0-6fd2-4db3-a2a0-670ed4dbcccb	0	0
c1b3005f-a35d-4a1a-9e0a-02b51b5fc1b6	0	0
3884f061-33d9-4b29-82f3-666764cd2062	0	0
0f621852-d6ca-42f3-a2dc-4bc52bd7427a	0	0
1e36f102-6675-47de-8cd6-9905869b02ea	0	0
ce19ed38-653d-4a60-ad7d-e140ae5b59fc	0	0
403d8f35-ddb7-4c9d-a8c8-da8a31705c00	0	0
49d68e74-6646-4af6-9394-0c018528f277	0	0
2b7739f5-ec05-43bf-97a5-5d3c830b1ac4	70	5.833819444444444
14986769-dcc4-489e-aa56-f701679e31bd	0.594125249072381956	0.0495140681881094877
bcdff653-33c6-448f-a9c4-8c1b18175ef3	0	0
325fa17d-7835-4d0a-aa13-06929f662b0e	0	0
3f8b0c2d-6052-490f-97bc-88b51dd6870d	11.1837229437229446	0.932045256950456924
cd6d3cb8-d7c0-4692-8b12-45118d1fcbc7	0	0
81daa240-a10d-49e1-9b6e-ebe7479caf87	0	0
dfd4f540-0303-4c55-9ba3-dbe1be743340	17.1436818181818182	1.42874491845959595
19b56c0b-a2e6-497d-b5b0-e8cbec958ae6	0	0
95055bbf-4bc3-4a8d-bfbc-4d3c77eefa1d	16	1.33343111111111101
4ce57efd-9022-4bb1-a45c-c129f4057d07	0	0
fea33c86-3a8a-43bb-9603-f08808e2dd49	0	0
8f0f0a42-83e7-45f2-8715-1bcb533cd530	0	0
d1a1c370-81ba-4f33-9054-30818f83955e	0	0
2c628e82-f4b1-455f-8625-7ef49a075e91	0	0
b198b79d-9251-4706-9fea-21fc6b11ff49	0	0
c4a209a8-d02c-411c-9ade-04ff7aea3310	0	0
e64e5d5b-a221-4ea9-83c4-0f23427951a4	0	0
1d1d1454-3339-4404-a730-8f2a87615c1b	0	0
e374426c-6d6c-40b9-a669-c134f29d5cab	0	0
949c0fce-b680-44f4-a447-ff8d496186b0	0	0
7b870a98-4dfa-4efb-b770-20defb32a00c	70	5.83376111111111051
aad56a43-7dc8-4039-bdcc-3986aa3a0180	0.594125249072381956	0.0495134080489438577
77ae7e10-be1a-4eab-b03d-bff1593ae15e	0	0
a944c3b8-73d2-4540-90c4-d202fb0653c7	0	0
191abded-5019-4138-9700-a161d8c0192b	11.1837229437229446	0.932032830591630668
1d962118-3a6c-4f97-b458-1cc538683069	0	0
e4671776-5d65-4715-b392-e291423d2d52	0	0
9085ac5e-6c32-4ac1-972f-74646290cd25	17.1436818181818182	1.42872586992424244
2ec48fea-9739-4bf3-a6e1-2565d791d8ea	0	0
f5c8dd29-4c83-430f-b262-fe386387b8a7	16	1.33341333333333334
49cb8a1b-d456-4785-b148-97fdb3a3e170	0	0
a22df348-fdf5-4917-852f-f24c834504b4	0	0
3de6cbac-dbd0-4e74-9e17-934066cc7d7d	0	0
f977fc29-d545-4ae2-8de8-f9bf42c34fb5	0	0
7cf49aff-9b52-49c8-8a2a-903d8199e99c	0	0
b711a186-68e4-4283-9d35-2bd33b6a6fb3	0	0
2071c05f-8afd-48a4-8ca0-b7defcfd62c4	0	0
d939539f-7910-4898-ab67-3a0d8a00524d	0	0
aaf0b0ca-081c-43af-bc38-b20edd659c40	0	0
c42eca6e-9b35-434b-b646-c2b8e41ac94d	0	0
5b52cf9a-eabd-4e19-8d92-633b67e66fde	0	0
e51802aa-242d-450f-8bd5-44532aeb78f1	70	5.83368333333333311
ff12ca3b-9d41-4f83-9d32-ecd9521466dc	0.594125249072381956	0.0495135730837352669
7b499f9c-b7f2-41aa-ab2e-f22ae459f82c	0	0
9b382efa-795a-4a03-9768-1578c66e4956	0	0
b26286f8-699c-44a8-b893-e93166685f12	11.1837229437229446	0.93203593718133726
aa669dbe-898c-477d-aae1-dfc49fc6ee01	0	0
ac229673-02e8-4c83-a060-572f2385353f	0	0
bbac64e4-824e-4496-af1a-263301f7bc1b	17.1436818181818182	1.42873063205808082
0b92d72e-a538-49b7-8175-7d4cda226a06	0	0
c5b7eca9-c020-4056-ae58-7a8c5805541a	16	1.33341777777777781
53f95fcb-7d6b-4379-8ec6-faa801ced9f2	0	0
de4c2920-ca3a-44d1-a4a1-36c2f54ff5c6	0	0
838ac721-ab65-40d1-b9a3-bb0796a809e2	0	0
e0c0bb9f-0f8c-4480-9725-d82f5e623cf7	0	0
543bfd12-768f-4c00-839e-658ec3bc8206	0	0
e5e4ffd9-b364-48ec-8af8-3dc465d49739	0	0
aefd7733-f911-4491-885a-b83af9645a97	0	0
022b16d1-ab22-4e70-9d11-58bcaf2f2528	0	0
1b633c75-6130-4846-837f-97eb87f5a8e4	0	0
a26c9b51-ceaa-4a17-93bf-9255e36c51d6	0	0
7f209bb2-305e-45ba-9aec-1ec10a5c0775	0	0
67a7f31b-05d6-4245-80c3-ee26a3fcfbff	70	5.8337027777777779
ff8e4fea-b72e-4d75-bf2a-a0edff37d848	0.594125249072381956	0.0495097772835328617
a51885e8-4080-4e6c-a89b-f4d9c336c7bd	0	0
b4927175-0fc6-4ba6-bbdd-8e19cea1e564	0	0
699001bb-41bf-45f6-a66f-eb16c355d532	11.1837229437229446	0.931964485618085758
bd5e7c6c-1ad8-4a75-836f-5535f52ba695	0	0
d303a37d-a8c7-4a6d-a784-cb6993524e37	0	0
6f118b58-2e5b-4e8d-9706-97e9fbd7529d	17.1436818181818182	1.42862110297979794
9c64bec8-0d1e-474e-bcac-48577f6c0240	0	0
4f70cb2b-f0bc-4abe-8d95-cd9994302dcd	16	1.33331555555555559
087c0d4c-8f64-4a4f-95bb-2b3ba0b8e6dc	0	0
d02360f4-baa6-4e59-b0c4-676a3d0f4b81	0	0
63e7ce62-2942-4ab7-b0db-4a21ac743f6d	0	0
24a0f652-0b2a-4666-bdcd-40ca4979b813	0	0
a58419f1-3579-4e1c-92bc-177917b0ff0f	0	0
efeb8221-32bb-440a-acc3-57d7c31aef4d	0	0
f3009631-6397-4892-b2cb-e6a2c13c097b	0	0
4f57ab33-cc44-470e-9c20-f7a6b1f35dea	0	0
81c8d701-0584-4867-b4b2-b2a831672c3e	0	0
5980b878-a40f-4db4-8ea8-4c4078eb4fd3	0	0
bf4b33dc-2f08-47cc-ac7a-300b6b3b361e	0	0
434ec120-8735-4d77-8972-dc43c61502c8	70	5.83325555555555564
94e4bc12-52d2-4421-ad3b-36290d8c1858	0.594125249072381956	0.0495219898580971235
6f0a946c-9988-4bd5-9188-0b0591cbcfe0	0	0
3459c29d-9d3d-4341-8d11-b104b9ec36cc	0	0
5a2f2ba8-b93b-4031-8a88-e4cb5ebfd3c1	11.1837229437229446	0.932194373256373332
6de11f5b-4ec1-4e2d-bbc4-d9e33afcef29	0	0
69a8898b-f35f-426b-ab72-7b184f653f02	0	0
08e72b89-54a4-4691-96e9-33ce9aa7b436	17.1436818181818182	1.42897350088383845
889c8d04-afe6-45e7-b30c-d0c058786e29	0	0
944d81aa-079c-4c20-b015-312fd4ef9561	16	1.33364444444444441
af604aa4-3d96-4e9d-9219-0d7366477281	0	0
28b6c6f7-9a25-4d31-a551-cde3e2657c92	0	0
ab9ff80d-fd25-4642-99ec-3de545d29bb1	0	0
4fdaf3c3-a073-4d4e-aa66-d91bcf14ff25	0	0
eb67d05b-2b21-40bf-bbdd-0551945cdd3e	0	0
ead94741-cae3-48d6-bbed-3e3a1b1750e7	0	0
c1315a40-37a3-4017-bb27-39f376de8590	0	0
b400d084-e12e-484b-a7d1-19746ad2b519	0	0
7ddf20c6-d914-4946-b484-91b21320b424	0	0
28d5f7b4-7fe2-4d95-82c7-04b4e1913176	0	0
a34e72e7-2c40-47a5-ba41-2f6246a2f7e9	0	0
47ca0616-29d6-4288-868d-700af0eee676	70	5.83469444444444463
ee5ca3bb-4f2a-49f9-8012-0eb21c0ea76e	0.594125249072381956	0.0495120877706125839
e9c0b147-a483-44f5-8e18-f1ec3f38c69b	0	0
9466dfd6-b920-479d-bf99-2d7cd1f56110	0	0
1236feac-90c1-4f04-8f1b-5fc67bee6076	11.1837229437229446	0.932007977873977933
cef91c1b-d93f-4212-aef0-bdb83630ef23	0	0
3d4d8c61-8a33-441f-9e38-9a1e3b311439	0	0
201aef5c-04b5-436d-9a82-bf0665ac6f4a	17.1436818181818182	1.42868777285353543
69352861-3e94-4dbc-bd50-226c0dff4049	0	0
7eb89e45-54e8-48f3-a8f3-fdd66ef1c052	16	1.33337777777777777
6719e2b0-7c3c-4804-939a-9d00b874246a	0	0
fdd550e2-2f4f-4131-ad2c-53d4fb170add	0	0
0fb55970-e04c-4425-addd-495613f8426a	0	0
5e39d470-8b07-4979-b9a1-335cc267b2ae	0	0
6c5b7696-6056-4dc0-81ce-6216cb84b53d	0	0
0b96dd80-da36-4acf-809a-951a30dba18f	0	0
ba470ac7-2c4c-439e-a172-30acb1e7a258	0	0
25dc0591-21bc-430d-8a00-1df52785002a	0	0
8f7c10d0-9fdf-476d-9e92-df147ccb11fc	0	0
a35baca5-6238-4bed-8289-657179334a43	0	0
a09598d4-b182-4753-babb-028a0884271f	0	0
b2dc4c32-ff2f-4d4b-aad0-c47511643421	70	5.83352777777777742
07cbbe52-d12f-4104-b2ec-f75ef7305bae	0.594125249072381956	0.0495130779793610393
53535fdb-7d08-4a1b-9ef3-e50c729cd252	0	0
4c9e38ea-0536-4c10-85ca-f48d1af96c57	0	0
08c6f2ae-65e4-4aa7-959d-f3c22ce8b8ea	11.1837229437229446	0.932026617412217484
9a6813fa-7849-4d3d-bce9-9ef2d3c7d47b	0	0
bd16b093-45fa-44ef-9fcd-cb2a5b33008d	0	0
17aa4dcf-efbb-46d7-8e47-2725b7ccc60c	17.1436818181818182	1.42871634565656569
de268f16-c4e7-47a1-ab55-42d7f2e556fe	0	0
71c270b0-8b7b-438c-b55f-b5efa6009ae2	16	1.33340444444444439
a7843378-72ed-481d-9d40-67bbe2e10cb0	0	0
ab974f23-39c1-47e0-9494-edafb8da3724	0	0
c67a8481-0bef-4dcf-8050-2351f1eaca84	0	0
257e13db-88e8-45d5-8dba-9c7ddb2f0ed4	0	0
e393fd42-a7fa-4d2f-b234-ff8e7d1ad66c	0	0
2fbdd72d-5733-46d9-8318-4acd1e0b8c17	0	0
a68581b2-234e-4b84-a2b8-a847fce0a03e	0	0
3f9c0881-2a85-4f2c-a4f1-286e360a8b88	0	0
f6a3bdb6-0cea-4122-ab1e-51f692ef0313	0	0
2b8390a5-7f42-47da-b87c-7e9e1155e596	0	0
170eb8a0-2e4f-405b-823f-b1ad40ab37a1	0	0
e621b569-d063-42e1-be47-3c41d011e100	70	5.83364444444444441
f431878b-3c21-4449-95b3-8c42c6c9b1c5	0.594125249072381956	0.0495130779793610393
0be4a85d-e2ff-4f91-8bf3-a8d391ed682f	0	0
db316b95-e113-482b-847b-ecde3ef82cf8	0	0
5698fd49-09e3-49c5-8d5d-62dfbd3406f9	11.1837229437229446	0.932026617412217484
ca07a65f-5cb4-453a-978f-11116cd0977b	0	0
d92ffb4c-8186-4f81-8014-2cb8be710bc1	0	0
4213c76f-c4ff-4a8a-a112-5969d8d19f12	17.1436818181818182	1.42871634565656569
71e95f76-8f30-41e8-b359-6cd511db60f0	0	0
5776c02e-ea5a-4c6c-9dbb-8520a921d409	16	1.33340444444444439
0fa9213a-a8dc-469b-81a7-a7f157693b3a	0	0
ef5f14fb-a1af-4929-8896-5349e1fd86ae	0	0
143e8804-ea7f-4e23-b6f9-b5dbe1710dbd	0	0
a4830522-c46c-48ce-b5ab-85e83a656a9e	0	0
9cc10897-f9f7-42b7-b920-759dfe5cf1d5	0	0
82aea00b-87d0-45d3-ad96-02498558760c	0	0
c65cab88-014a-410e-8f7b-b37edeeaf479	0	0
045b0ab1-b166-43de-9d06-7eda245ef91c	0	0
c83ce8df-6c45-4190-a51f-10544d28d7f1	0	0
12aa1067-43f0-4fab-9b50-65e7478fbd07	0	0
d0b2d5ce-6219-4d3e-a237-56593b13c2a8	0	0
d1200d71-0337-4b1a-bfd8-5d2b503cd1ae	70	5.83364444444444441
e40ac522-7aaf-4b67-a95a-5b6459843f40	0.594125249072381956	0.0495185241274775367
3bbf0179-6cf0-4b18-a6c1-1deadca08ec8	0	0
4c2e4169-8598-4062-b84c-dcb50518240d	0	0
8ec4d6bd-ae6f-42a6-a252-d2e534abeb29	11.1837229437229446	0.932129134872535015
f3c472b9-b8a0-478f-aa0e-3606382cac88	0	0
03547b60-a450-4a4a-b23d-0cf55a76cac6	0	0
f02a5ba1-13e7-492e-bb41-4868a2daf3c9	17.1436818181818182	1.42887349607323233
fd54bd6c-078e-4064-9b2c-68eb09de5e06	0	0
5e589f6c-a3c0-4f90-b15d-f2e778a0c654	16	1.33355111111111113
0b5ca5f9-6f67-4a41-b6e4-a31fff1274aa	0	0
d738e4e8-7dec-4170-b717-fe283a639489	0	0
54918980-8fd4-4156-a74b-35801a0e8542	0	0
a63c69ad-d238-486e-b318-5be737274da5	0	0
c3bb6825-5de4-4351-a52b-ad6f72f8cc22	0	0
dd4e2de9-5f01-45e1-b206-c7b975f62897	0	0
f5b08376-93b4-4170-80f5-da3b4da960e4	0	0
80af318d-0894-4300-8487-d8fc0cecc290	0	0
bb838818-3b1c-4e36-9ee5-4593863a5198	0	0
abbf9362-a943-4049-915d-c169a1a2c69d	0	0
40c9c8ab-623c-4137-857d-9d8cbd4e96ad	0	0
7aea5434-d95b-470d-b96e-0420a6665469	70	5.83428611111111106
b502562c-9e9b-4a86-8e30-2f7be4701706	0.594125249072381956	0.0495110975618641355
c9e2027c-d195-445d-875d-5d0fa713bfbb	0	0
edfc1676-a6a2-49b9-bb19-e216b662d292	0	0
f25e13aa-b9f5-46fe-89de-30bb627cab93	11.1837229437229446	0.931989338335738493
b166dec8-b5cd-426c-899d-16d3ad19562d	0	0
37b92518-fd36-4cc1-a4ef-ef6e0d9b0ce8	0	0
166c86c1-6acd-4929-a090-fe3f713fbbb4	17.1436818181818182	1.42865920005050517
fbeb0267-3937-4746-bd94-4dedc5873ba7	0	0
fb593bea-bebe-4ac8-9581-0b0d1357aa74	16	1.33335111111111115
69eec742-1c14-4b13-acd5-26bd8749ed6e	0	0
873d7f09-7f1a-4c66-8722-9cb1be8a60e3	0	0
ce329a30-99ce-41e1-8209-1fa667ab386c	0	0
39aada19-2d40-4cda-b205-5b9f174066f7	0	0
4923ef79-d20b-43ca-941b-36a3ecdb0897	0	0
1b1dd743-dfc6-406c-8e74-d3b561f9b8a1	0	0
2f1d6290-fd4a-41f0-b28b-a02318035cdb	0	0
0d660680-8bf9-4a07-b977-a325818e4dc0	0	0
b8bb7e7e-97b6-4b85-9fb7-ae464812a484	0	0
646637aa-7ff4-4ab6-8e0b-4fb5bd0498a4	0	0
a9c3ae1f-2ce6-4f01-93cf-ae94c2e6f929	0	0
0d33b1e1-9ee8-483f-b7cd-972692b0ce0d	70	5.83341111111111132
0c186d67-7606-4b5e-8920-b1873756ef83	0.594125249072381956	0.0495127479097782208
46b6f45c-54ad-41a9-9559-15be2a06890a	0	0
0a2eff8d-e64e-4336-b388-cf1d1d138900	0	0
1a51d22f-940a-48ee-9261-92e4fd2b999a	11.1837229437229446	0.932020404232804189
f092129c-e961-49c0-b488-e1ce86305ad0	0	0
5ec226b4-83dc-4a84-9149-2461092ea95e	0	0
da59f961-4104-40ef-b89f-f44f7d862632	17.1436818181818182	1.42870682138888871
063b53e0-c3de-4ec2-8f75-1c05ebc1bbab	0	0
782e85ab-c736-4238-9dc0-4dac1d89daee	16	1.33339555555555545
c7574bf4-94ba-41f3-904e-c31921b7e1c7	0	0
8dbe1ebc-9e75-4002-8d85-f1fb58333b43	0	0
54e3aa47-e9d1-4bd6-92f4-aebf93d1641b	0	0
9454187a-7a5d-40ef-a413-ff8cc6150aeb	0	0
746a703e-0694-494c-bddd-49f884b267a4	0	0
66b71f6c-2509-426b-9779-bb266475b921	0	0
8180336b-d113-4f3e-a549-2a73eee7d6ab	0	0
34b9bc61-4742-4df9-8624-63e066d2bc20	0	0
c94b572a-4a58-4167-b764-5a5033687f3a	0	0
2b1b2eb9-0ac6-44c9-b359-a9e90585963b	0	0
fcbd316d-219b-44e0-8692-f6201a8c5a23	0	0
1088f3fd-263d-49b8-ae3f-0c71d819bcae	70	5.83360555555555482
77a9dcba-43ac-46cd-9ed1-9f666d93bac4	0.594125249072381956	0.0495132430141524485
646f7511-3994-4a2a-9d06-3d574da67c4c	0	0
9e63315e-232b-4774-98cf-d3446e07fb8c	0	0
11e46fd7-790f-4f2e-9657-a1409fe5c5a7	11.1837229437229446	0.932029724001924076
7180cd50-ae81-421e-8370-65ce874a6825	0	0
31f03d78-1903-4a05-86d4-f0ab579d9dd3	0	0
b776a95d-dcbe-4575-a609-990f716a616a	17.1436818181818182	1.42872110779040407
cd3fea63-cffe-4310-bcbb-51c626e1aea7	0	0
10a8efef-fc15-4958-8dc2-ddae14608cab	16	1.33340888888888887
6610cf06-9871-4c7b-a46e-6c9da8b18b22	0	0
e3b7d715-6f0e-41a0-809d-464be8cdd99a	0	0
d61fad64-8577-4dd8-be39-cf877d27d59f	0	0
f5ebe267-1689-42dd-90dd-f215286cf5d4	0	0
af5a7548-0e67-49f1-95d3-c0aae8626516	0	0
61f3b2c8-866a-4ba6-9830-257c2bef3b0c	0	0
34e2a901-180c-4668-a966-6f4434e9997b	0	0
c56508ed-fe91-45cd-8a54-814d90ec5210	0	0
705467cc-ff03-418a-ba90-a67300895fa3	0	0
b28e927f-fae6-467f-ad9c-1cf617f87b96	0	0
53471d9b-8cca-4083-84f4-5b5fa671b99b	0	0
1a666525-c865-424b-b7f1-7dca7fa63134	70	5.8336638888888892
9ebd53b7-dfeb-4149-ab30-d3b14e8baa2b	0.594125249072381956	0.0495148933620665407
5f7abf89-1087-4927-a89a-66d653eea764	0	0
97bc9e34-15f2-4d4d-bccc-9af9fbe896f9	0	0
82a2ba45-9c8b-41d8-8447-0eb3d004c7f7	11.1837229437229446	0.932060789898989994
29d6cb35-e855-46e6-8bc7-ee31b9d59638	0	0
0c31e265-77c1-41f3-a7af-2114ef0633e9	0	0
434ff5c3-3f00-4b7d-b9e9-98938254ae38	17.1436818181818182	1.42876872912878783
f9dbc1ad-0fcf-4363-9652-e902dfd02b1e	0	0
85331e7e-adf0-4377-a0e0-66f2c98b148c	16	1.33345333333333338
acd25427-94d3-48a2-a600-1bcd809be3d9	0	0
82e2b605-978b-4996-b96a-3b03afbc69b3	0	0
6fe9d6fa-e60e-49f8-8f09-9f6b69723704	0	0
1d310b64-b915-4d60-aaab-a7692ff38deb	0	0
b38fdb05-815a-402e-b5fd-0d7d665a32b2	0	0
e8d06afd-bd81-4d7a-acad-1ae6eb6cc094	0	0
fcdde9e4-a3f2-4838-b9d0-2b1d4ef03cb5	0	0
68b56071-5bbf-4a20-894f-9d3024388873	0	0
96fe4f81-dc6b-4fb7-bb0f-c66d2ce095d2	0	0
db164bc2-ddb0-4f9b-9184-d41f41f343e2	0	0
54d1c580-c4a7-4be6-8995-d244e70d4b27	0	0
25717349-a12d-4dee-8ce7-2fed85865cb8	70	5.83385833333333359
21b8093b-9013-4c3e-8cf0-ded41f254023	0.594125249072381956	0.0495135730837352669
3c7d7123-ef64-4b04-a10f-19c808d44b9b	0	0
5edef56b-9c37-4019-a18e-572e719d9d82	0	0
241a4bf1-aadf-4fb4-af1f-65247d62d1a9	11.1837229437229446	0.93203593718133726
c6e50789-ffb6-46f1-8dc3-0bcf04bb63a1	0	0
df88776b-b586-408d-b1f5-4913c0114218	0	0
a5ee63c0-0ca6-4977-839f-20e47827771a	17.1436818181818182	1.42873063205808082
b2ef12bc-fdc1-4b56-b135-4061fc2799cd	0	0
b206148d-44b9-41c1-b16a-c8fd77b1daf6	16	1.33341777777777781
fa1b1db0-2a32-4451-8d9f-8a51b68d8a60	0	0
7622595b-bd08-42b4-889c-0acc7edbe62e	0	0
1d338215-ca9f-41c5-9d4d-7eb8cdaaf539	0	0
e3f1b8d4-a788-4bb3-9c6c-a01c8967c1f5	0	0
d3ac131d-6fad-4201-adbe-cc5aaaf33302	0	0
6f90d44b-ac78-4706-9901-89662139f4b8	0	0
771f9c0d-0881-4dda-8cf2-2f4d3259a564	0	0
59c4bc46-84f8-426a-8caf-27574f08051f	0	0
f796ae99-9842-4643-a636-e9bb16e2e738	0	0
f39f585f-2a98-44a6-b63c-4c8e1db16701	0	0
9aff63ae-2a1f-444f-a29e-c95efb0177df	0	0
46e6493e-deab-4507-9d3f-a87c02600781	70	5.8337027777777779
52976c2b-eaa3-416c-87e0-64edc6f66477	0.594125249072381956	0.0495140681881094877
ce738d28-6cf8-4343-9ee3-5eafcf598631	0	0
21befd74-ee0f-4ee7-9b0e-01a2dbd5830c	0	0
af2a69fb-0ce8-4d2d-9991-53870c7d6c03	11.1837229437229446	0.932045256950456924
1ececf2b-1ce7-4cb3-a375-b1641bf0bd40	0	0
f686ad26-db0d-461b-9820-671d99c771df	0	0
ca0c1eb7-1ba1-4300-b020-5be423d14146	17.1436818181818182	1.42874491845959595
98df658c-7bce-42ff-abf9-7ce29e583010	0	0
203fd66c-27d2-4f0b-b248-536ed1524f75	16	1.33343111111111101
55b4bc4d-a164-4b93-8281-6198d43cd013	0	0
a29d2725-ed89-4e27-a5c5-a79ef365393a	0	0
6f1e48cf-bf13-4b3a-a04c-7bc503eb3719	0	0
2c8189d3-679d-44a6-8df3-8fcb9eb411ab	0	0
8df8514c-bec6-4bbb-950f-e905bc136c42	0	0
46104631-aa74-46e1-86e6-bf30a1aba189	0	0
f1e43d58-0db6-451d-b68f-705eabdbb0f2	0	0
e5c74a77-affd-4792-858d-74198d9646a9	0	0
69a136d9-7c4c-4f5c-869e-a7935ac0cea8	0	0
d2ac7930-b582-46d7-af32-963210314dee	0	0
d2e76e18-2249-4b6d-a2ad-e517f20b1580	0	0
bd8e7f5c-af8f-4dcf-87f5-41f9ccbaedd5	70	5.83376111111111051
aa7f7150-5457-4169-afa5-9525df8b98d4	0.594125249072381956	0.0495139031533180854
0c005106-7359-4f26-bba5-b539a358179b	0	0
1305089f-28d3-4918-b05f-c4ce40c283c6	0	0
cf917a85-8837-46fb-b716-53624297ee01	11.1837229437229446	0.932042150360750554
73153c17-6beb-4bcd-8905-20f40af7d92f	0	0
bd0ddd49-465f-4e29-8ff7-cf0899d286c3	0	0
94ee7e10-b9db-469a-9a3d-488922c854ab	17.1436818181818182	1.42874015632575757
6c5d36a1-873d-48a7-b038-c71536e9aa7c	0	0
db763948-8a9f-4224-995f-5ff84fd7c57b	16	1.33342666666666676
2d17eeba-2cd2-4996-aefc-a150a3e476dc	0	0
1c3bb844-0966-472c-8352-d56aafdfb025	0	0
9ef53727-095d-4304-b7f5-74a95cc93edd	0	0
60862df7-a796-4428-9b38-c275e07c38d2	0	0
5b8c604b-3d43-49d8-8eac-8df7fab9cec2	0	0
ae902a58-3342-4265-9494-cf95912a6d7a	0	0
44ff513b-e54f-4a06-8235-0531cabdbe6d	0	0
b88b77be-2a17-432f-bc44-08f3a2e38c4b	0	0
f5a006fb-f1b5-4e22-95c8-cf9d3fd48a55	0	0
b1cdb3a9-9296-47d2-be2b-271d3fdc1f17	0	0
9a7c7cfe-1a9f-43ce-8ad8-649d310ef739	0	0
b4adaf56-0f10-49d7-a7a2-f702d3dc7d0c	70	5.83374166666666749
1a52a079-1522-4c78-bdab-aeaad5b68774	0.594125249072381956	0.0495147283272751315
b9e1a1cd-31da-449d-84cc-34a6e3c882b3	0	0
b105e1b8-9bb7-498c-84db-2c6abf2dbc01	0	0
7b22d047-5032-4550-af22-235a6fc52c41	11.1837229437229446	0.932057683309283402
13e5ea36-e7d8-4366-a05e-bf4e6d1bbe6a	0	0
43a36e48-287d-48aa-9c9b-4c01e02033c8	0	0
f03137a1-863d-4fff-a9ea-ae5fd5aaa529	17.1436818181818182	1.42876396699494945
3a22414e-866b-4a1f-898a-f198e490780b	0	0
327baa57-32a3-4d5f-924c-26bd1986dfcc	16	1.33344888888888891
7906cc88-4a10-4c7e-9d91-5faf63779f1d	0	0
bdd325af-1fa8-4d28-a3b4-c03237be2e97	0	0
8cbba62f-9207-4f91-be95-53e824fe9b2e	0	0
725000da-c0e4-49f1-a48c-d76226491f2b	0	0
27185e43-3b53-4602-8fd0-7f204fccb01b	0	0
eec3b13c-64e7-4633-87f3-133d1d0388c7	0	0
52514bf1-2010-4bae-9726-1ac3d0cda7a0	0	0
384c3785-969c-43b1-bebe-6b855163b4dd	0	0
43ebd888-fb0f-4148-9bb5-525db54f9804	0	0
33068e50-97bb-451c-ba98-46e20510fc4a	0	0
fa7dc4ae-3858-493b-b3f9-d385ad875885	0	0
ca6a877a-e8a2-4443-8e18-a1c7ec8ec2e5	70	5.8338388888888888
73493232-15b0-46e5-b223-733f38a8386b	0.594125249072381956	0.049507796866035951
92bdc355-1f9e-4d3d-bf66-3983b743413c	0	0
75f38c10-95a4-49b9-b0ec-c4a91b6d1e17	0	0
4fe9d84c-b297-42d1-8707-1121bd2eed07	11.1837229437229446	0.931927206541606545
12f145dc-a465-486d-a7de-a65653784917	0	0
9240e3e6-1189-4b06-9fbf-e03dca08ff68	0	0
250d7c4f-8453-47cc-925a-831df4942942	17.1436818181818182	1.4285639573737372
5eb981d2-3d32-4662-9b30-eebf54c74b8c	0	0
fea93cb3-a6c9-48f6-815a-1471f20bd98e	16	1.33326222222222213
cf370b49-65a2-4dc2-9b04-620d62149d59	0	0
5b8d2c54-3354-438b-bbfc-a7a01de2a994	0	0
3a49f6e9-1ec8-455d-933f-efe380e6b84a	0	0
8549d36b-ef1a-48b6-ba09-7057b6ac11f7	0	0
ef87d2fc-dbaf-41a8-abf5-8876ef17ec6b	0	0
f46b1417-5e53-47f8-8068-1a99bf4bc616	0	0
f7c6ea1c-807b-4aea-9216-01f79b916a3e	0	0
5cdf2cb6-ece2-4579-b096-ced7038b8b2c	0	0
221a6c57-e945-43fc-a214-ef02ad448d46	0	0
9fdb76da-7da1-413e-b9de-e7e903e164ae	0	0
37fbfc65-963d-4b83-9078-226539d46ee8	0	0
a9483530-1e21-4cc4-b274-86bce4b7c23f	70	5.83302222222222166
1769e3ea-5ee7-4366-932c-4ed416f35a45	0.594125249072381956	0.0495196793710174013
d783df86-a44a-4a47-83e9-e0b99b0c9224	0	0
4a9b08d6-4563-4ea0-b795-4cdfabde9b4c	0	0
789af3ff-3b38-493f-941a-377bc139a352	11.1837229437229446	0.932150881000481046
2097bca9-2498-45cc-869a-7fd0999caae9	0	0
c4f26d02-208b-41bb-8f4c-6b0f6fca3c7b	0	0
6b60bafb-2e5f-45df-b622-37947c9316e9	17.1436818181818182	1.42890683101010096
bd3f63b0-a32f-4b70-bb93-fb8fce93ae39	0	0
ae0a5dfc-5384-49e2-8166-e080ed050c3f	16	1.33358222222222222
4256a452-d64e-4122-aed1-bccffcd9aa76	0	0
67179bb0-e83b-4152-beb7-41080cd14306	0	0
b6ea3e98-dada-4f0c-ba2c-29e6b646eebc	0	0
2d28d89e-8688-46c1-82ce-69963c0d9a5b	0	0
da8a0416-38a1-47ab-bc4c-debb60197701	0	0
61347ded-6bbe-4f4c-95c1-f96bd55bda6c	0	0
d6d0c338-0cc0-418c-97e3-75a868f492ec	0	0
911c2a49-6f4e-43b3-8a3a-edb6c682801c	0	0
d766d0db-25a1-49bb-ab21-58d9f3481088	0	0
bbecf7b8-fa0d-4ec7-992d-3a504f781b7e	0	0
c3aba823-b97b-46e2-b8f0-2aeda2cf5154	0	0
6c720d31-47ff-44eb-aa4d-ecdc3dbeed88	70	5.83442222222222195
71a29c64-44e0-490d-b378-6ea740fc228f	0.594125249072381956	0.0495137381185266762
64f435d9-32c0-433f-a7db-ffccb1adbd5f	0	0
d6cad5f5-1c01-4c72-9db8-a33c365d5ef4	0	0
ace4c418-9401-4bd6-ad3c-8e121f1e6a3e	11.1837229437229446	0.932039043771043851
5fbfe73c-82b6-43cd-afbf-d823194f1794	0	0
14c630d1-de5f-4f7a-b955-d14a4aae78fa	0	0
0b70fac5-014f-490b-83ba-8c50943ade73	17.1436818181818182	1.42873539419191919
134eebc4-9cbf-4cc6-9012-60e9920d86bb	0	0
857d8e70-5570-4da7-9125-d4c019043fc8	16	1.33342222222222229
27084118-b0c6-4c53-97e5-87a5fb26cb9b	0	0
3baf911e-e584-4889-8a37-c0f7b8166493	0	0
f0331e3e-24ef-424a-8b82-5d3815ef94f2	0	0
c98942cb-5436-451e-a272-5469f2bf7a08	0	0
ccf07c5a-8306-4a47-bc7b-aff471e2370a	0	0
ead9832d-c461-426f-8765-5c4d263897e1	0	0
bd5f38fd-c9c7-4033-8418-2779f3c75124	0	0
1dfd4a88-10cd-4bb6-8e4d-fc97c6a46d51	0	0
ff3a373e-64fb-4a85-9a98-2c81f6791969	0	0
13b5226f-8bc3-4cb6-871b-f9194cdfa5bc	0	0
ee183e4a-ed87-4d82-89c6-21f6fe5586ee	0	0
3dfe5f62-48c4-4c76-ae04-69fa9bef1b5c	70	5.8337222222222227
dc5ad30a-6153-45c7-844d-c262335d538b	0.594125249072381956	0.0495132430141524485
dca20d4b-9248-40a4-b9da-de794807a2ee	0	0
e14dfddc-86d3-4b6d-adc7-49225dd2632b	0	0
33ef3de1-6532-4874-8bec-af81aff9dad1	11.1837229437229446	0.932029724001924076
f323a4d0-cafc-43d7-8dc9-566df241b07d	0	0
f91985ef-a351-4fcf-8c4a-71030050cce9	0	0
88d03abc-e8f0-4755-bfda-251c8cb86404	17.1436818181818182	1.42872110779040407
1f1bd968-b8c4-4a80-a854-ea5c26549740	0	0
0dfbe6fa-01c7-45d9-856f-fd1bbbbd5fde	16	1.33340888888888887
9f64f0e7-2eda-41c6-a413-a73d05f2626e	0	0
ebd92dad-1e2b-46ea-8c18-e61a3a520769	0	0
6e3d5f99-b8c2-4e6e-abd9-5dc49493b24f	0	0
4c359a07-98f7-4eb3-a770-b041caca7687	0	0
226b7d0f-e7ff-4578-8ba6-723cba374a6a	0	0
d641f533-c21a-492f-9894-9874b136d106	0	0
3d3edec0-32d2-4bce-9c0c-3648ef988c99	0	0
1a5a147f-c6d8-41d4-9012-15d6d977b3a0	0	0
5a66e297-b6cc-4149-ace1-055a1661da20	0	0
b3a68232-3e0d-4aec-a889-2fcb27ad9173	0	0
c15dac46-e39a-4d04-a8cc-cd3606f966e3	0	0
e7622fca-e532-48ac-b790-cf22753f3886	70	5.8336638888888892
96cedb27-ff1b-4799-a2ed-c6c9a8f65790	0.594125249072381956	0.0495139031533180854
fc643053-b242-43af-9a27-ffaeb18d7d4a	0	0
2b6570dc-06ee-4f42-a7fc-021e4bdcd3ed	0	0
869eb595-69fb-4def-8df6-b5e53282ff5b	11.1837229437229446	0.932042150360750554
2b7c643f-ec57-4f53-b044-893634d6c819	0	0
621a71a7-e1e0-48e8-a586-d6518ab9e598	0	0
469c9e1a-9e19-459f-8021-bcc02be5d0cf	17.1436818181818182	1.42874015632575757
20a81c06-4466-4272-b3fa-599d78684e1a	0	0
52ed3734-fd90-40f6-af9e-3f12cbeace40	16	1.33342666666666676
d98e0603-d2a6-495c-a80e-74288a8a4f9a	0	0
59ebdc89-5e7b-40dc-9341-4fcf7c3f2afa	0	0
f63d7f75-e5dd-4144-a144-575b147249bc	0	0
268b4f5b-bf28-42d1-a610-a72f40c8cba7	0	0
4323bb63-6138-41d2-a36f-12936aad3f9e	0	0
2d37f7e9-72d8-4d80-bcd9-5aa93ed2759f	0	0
fe103390-043b-4a95-b622-88343523836a	0	0
b8949308-18c5-4919-a28e-40b5d5f65034	0	0
ae310ac2-4be5-4170-bd54-364ce1615676	0	0
49ec3de6-93b4-4dbe-9180-1d355b3fda73	0	0
5680ffe2-8f4f-4876-a5c7-5c39108bc966	0	0
04aedae9-53c5-489f-8bd7-e316afe3828a	70	5.83374166666666749
97728a60-0909-4644-bc65-c1d71f08d8d2	0.594125249072381956	0.0495137381185266762
7866cae2-3475-414e-98a6-b8ce57030a60	0	0
731a55cc-90e5-4da2-a9dc-5522387f40f2	0	0
04524121-eb03-41a5-9e81-6ff970180b06	11.1837229437229446	0.932039043771043851
7058f9dc-a473-44e2-9920-09ba776c4b37	0	0
8a5b8296-9cf8-4344-be38-3b9ce5b1ffc8	0	0
c05ad2bb-8708-48f3-b970-ea7df739b299	17.1436818181818182	1.42873539419191919
ed59a832-7208-4659-a68b-3fbf8f9773c6	0	0
d701acb3-6a4b-4975-84dc-7ff4cb3290b8	16	1.33342222222222229
4deb82dc-883e-44b8-bdae-085e727541cb	0	0
d93eaffd-7cf9-49c6-937a-05f89f5514d5	0	0
194609b4-2f49-4e96-8c45-560b4f01ab43	0	0
0e352a09-e5e3-423e-b922-636757ab0d02	0	0
191f4a46-a16f-48ab-b894-f00d48b8b80e	0	0
2f177f04-0b7e-4834-bc76-4959acf76fdd	0	0
6d4b3409-6e3e-455f-9c06-1c9537ec0be3	0	0
14470738-f53c-4e8f-8666-015fdca07866	0	0
0361caae-2f40-4d2e-bf47-1269c693d108	0	0
30195130-fc4e-4603-8f21-97976be636f7	0	0
def76583-4873-418e-9f49-15d4b0d88f46	0	0
02de1dbd-8983-4171-a029-b80a09112da1	70	5.8337222222222227
52cf0a19-b407-4aa3-9c01-9a0a6af4a91a	0.594125249072381956	0.0495073017616617303
62280b53-ce04-4f5e-9314-0b798e235b7b	0	0
fcbafe2e-35c7-495c-ad9b-494ea2f0dc30	0	0
0c4f73d3-46ab-464f-9b54-d3fc465f0d3d	11.1837229437229446	0.931917886772486881
5610a656-5acd-4f98-94f1-42056af6ceed	0	0
df71fcb9-4c64-4c23-b40d-bf19bc9b376c	0	0
1d022536-72e6-4d04-871f-d9a44fd83816	17.1436818181818182	1.4285496709722223
7eadeaef-ff0c-42e3-8785-5615318fa2f4	0	0
3425bb2a-bd63-4d09-acec-b70496e82783	16	1.33324888888888893
2e319714-b20b-44d9-ad5d-6836658f9535	0	0
d9d29483-e49c-44be-b3b8-291a53042277	0	0
e4015044-40c2-47a5-8482-881c20132453	0	0
28409e21-468e-46e8-85cf-bd7f7397b809	0	0
40cad071-3795-4e2f-92b1-e6ca3da14558	0	0
f5d856b9-04de-4115-8c28-4580d3d4c036	0	0
7b2072a9-7a80-4469-8e49-e014f7af9f9d	0	0
03436dc8-2a66-43b1-ac93-766f41f1bc6c	0	0
ca2dd487-d4e6-4682-91b4-cd763ff0f614	0	0
201974a4-47d6-48c7-8db6-c710b00b1a63	0	0
a2e4ccf6-a5e7-4c3b-8f63-55d48aa0024e	0	0
28691a70-c27a-4972-b816-eb7b4d879941	70	5.83296388888888906
cccfee10-67f9-40e7-acf8-81fd081a8d1c	0.594125249072381956	0.0495203395101830313
d595d775-ee11-4b47-af78-cd7d15215f6a	0	0
c836e87f-24ac-40b1-8653-281c06ba9e6c	0	0
2a7308c1-aa52-48a0-8320-e7c7f07f69bd	11.1837229437229446	0.932163307359307414
1fa7bafd-fac9-44d6-b5a3-2e99c71440f0	0	0
d4d25f63-6f85-4534-9094-21cf52274267	0	0
bc774d23-c91b-46bc-92c2-ed98cfbcf37f	17.1436818181818182	1.42892587954545447
5317655a-63a1-4415-8bd5-b8e136743af6	0	0
42f7845c-d832-480b-ba7f-a3aa000a6637	16	1.3335999999999999
1d73b6b4-7e70-4dd3-b0c1-880842f31d2f	0	0
c09af7b4-2c0c-4101-ab3a-258a848dbdbf	0	0
eeed7640-8fa3-49e3-b881-2311c9f146c5	0	0
f043ce42-29a3-4501-840e-c82a05b27482	0	0
b43cf580-ac1d-43fc-a350-0f9e89820a30	0	0
02db75bb-efb2-4268-8728-60b9eee0f7c3	0	0
a70b8b81-6bae-4d62-838b-ec0656ade374	0	0
1e4317f4-5591-4728-a70e-27076a42c946	0	0
d96309c2-9fe5-4b27-81d3-64ca5fe4017b	0	0
9a90f318-70a8-4a16-a954-28c83b33fcce	0	0
a7199c0f-4277-4f44-a9bd-c9819786df8f	0	0
05cac2c8-48f7-4a66-b396-b224b5f688b6	70	5.83449999999999935
cee44ff0-f56a-473d-bdb2-41f119707ab6	0.594125249072381956	0.0495137381185266762
f14ad97c-5bc8-4b5d-88bb-1842f9e0333e	0	0
b46e3144-dbc1-4c56-b9c0-b05dba30be67	0	0
58d9883e-caba-4e74-a52f-7cc1969876ae	11.1837229437229446	0.932039043771043851
1be7ea9b-0e31-46ea-b780-e1daa221fd7d	0	0
faa33f7d-6633-4c3a-a79d-b4c448282090	0	0
fcd126f3-cb06-42d1-93df-880b7aebe5c5	17.1436818181818182	1.42873539419191919
be84e6b7-3969-4ada-b26a-19d46426b531	0	0
2aabf0b7-c82b-4be8-9c87-710187749102	16	1.33342222222222229
ab555fb5-bdc7-42fe-ac34-53c8e4e84c06	0	0
3ef9475a-71fc-4573-b28a-3ada603ef22e	0	0
d39ffa77-ec9b-4d6f-8502-ecb8b0094104	0	0
31acadc7-30d1-47b2-9007-a67c037a62dc	0	0
48a5a71b-4cc9-4ee8-8115-d77bed69f48b	0	0
51c4e867-c778-41d4-9946-138e241273c4	0	0
ea158fa2-ca49-48bd-9cea-cd619a26fe98	0	0
43c5ec8b-fd4f-4df7-9917-7e71fe7e86ad	0	0
c3126164-83f2-4bb4-894c-05f7e034798c	0	0
1a4aca89-c615-4459-9f44-be54d994821b	0	0
8c8edb34-58c0-4868-a5f9-e5c78ae5b067	0	0
c1dfadbe-1817-49e1-8c01-8cce7f9e452a	70	5.8337222222222227
81f4a6a2-8df1-41e9-8188-b2c235a575c3	0.594125249072381956	0.0495163786751892238
fa745276-da53-4874-b1dc-87374695dafe	0	0
a56473e1-29bb-4e8e-9a5c-62ab92c048aa	0	0
35a7bea2-7241-4d95-8dda-83fbd84e5fe5	11.1837229437229446	0.932088749206349321
9e84d711-f955-43eb-9c46-c306389813d0	0	0
889f4e5b-8efd-4b52-a414-b21eed5638a8	0	0
e65f74a3-f2d1-4874-9ad5-9e4bcc7edfac	17.1436818181818182	1.42881158833333344
686d3dcc-146d-46a1-ba11-3042188320f2	0	0
0aaf7ccd-4dcd-402f-942f-b98185f4c763	16	1.33349333333333342
78d83329-e046-49a1-a5dc-e84f511d2ac7	0	0
afa3a068-4194-4165-a3ba-5977b0d242cd	0	0
604cb1a9-7f4f-4157-9009-128039ec3cc8	0	0
42d28497-fb26-4fd8-ae1a-4bd93bdcb237	0	0
95aa73c1-55e7-4aad-97f3-bd4fb5265510	0	0
4abf7b87-1537-473f-88c9-dac2a69baa4e	0	0
f00a0253-a388-4183-955e-408c653049ec	0	0
53fc59d7-0959-4231-9cc3-99828f5b58db	0	0
5dc2c731-bd33-42a8-8fd1-6ab13989f02b	0	0
3c4db607-7af3-4e94-aa36-ffb4b001dda9	0	0
3319e019-1bb6-4663-a421-10f9d9b3151a	0	0
1ad0a5bb-522f-4f79-b908-133d6945700e	70	5.83403333333333407
0854c1a0-0e19-416d-9ff6-6fd933dbbedf	0.594125249072381956	0.049511427631446954
fd17fcfb-2589-4550-9c5b-2bb8cd5146a9	0	0
896ca1e8-9baa-427f-9c58-e90713b11ea9	0	0
95035aa7-aaa1-4325-b8a7-17c62b5806e5	11.1837229437229446	0.931995551515151677
d9177b6b-cc12-4e10-a735-af40ad86855a	0	0
ebf65a22-1374-4461-8627-95eb947d7ea1	0	0
de84f54d-9f10-46cb-b803-735441f25b93	17.1436818181818182	1.42866872431818193
8765426e-dc7c-4dc9-9df2-7527a47e08b1	0	0
ad35e6ac-4c96-4236-83bb-5e060d63cbed	16	1.3333600000000001
3a1b5fdd-0682-486f-b28d-df1019ef1a06	0	0
1aaff7a6-58d3-4998-97a0-a092cf5972d9	0	0
52238573-e365-4069-9b6a-100c361bc9c6	0	0
8038a5e1-1964-4c74-8685-c371f68f8358	0	0
2ae6a3da-ebb8-494f-abf6-8222b75c613f	0	0
da784bef-eb6a-42e9-8c53-1fded9658f02	0	0
9a0517a9-1b69-4aa9-bed2-fc36ab999304	0	0
29dafa99-0e80-4ef8-8681-73481eab16a5	0	0
ac9158cb-78f3-4079-b808-246d94745d5c	0	0
fa09d647-63a6-4793-9dae-5b09370e14ed	0	0
d83ce762-6646-4a96-bf3a-3ba5b2453180	0	0
500e1ae9-d24a-48dd-a138-fbf35e1f1999	70	5.83345000000000002
dc2e996d-d7d6-4509-b759-4fe0bb222552	0.594125249072381956	0.0495139031533180854
71278b7b-624e-4401-bee9-b52b51aab68a	0	0
00ee4845-0824-49a4-a6f7-c45036ef12e7	0	0
29b163cc-3dfc-4992-b45b-88c3252bc12d	11.1837229437229446	0.932042150360750554
32e656be-8dc6-4c89-8f3b-ed62a33e13a4	0	0
42c0a3a7-e32b-4c42-a3dd-17d5a755f0dc	0	0
6e658baa-3bea-4ff7-8f5e-290a12320050	17.1436818181818182	1.42874015632575757
9ce68b9b-e981-40ca-aaa9-d38d46a8ef0f	0	0
66fde867-6f7b-4143-9ef8-baca8cd4df9e	16	1.33342666666666676
7adda44a-5b17-4d9f-b921-c85c47992bf6	0	0
56505d65-730b-47c8-9388-255c6e78d561	0	0
c507251d-1ca0-4280-b71d-c3454b0a3cef	0	0
aaea4b73-55b8-40e4-b4fc-fbc18c5f6fa3	0	0
57c762d7-eb5d-4b1d-bac3-30d2e022bcf7	0	0
86561f17-cae8-491c-a442-a95f29778638	0	0
0247cad2-251c-4c96-a886-2768e83da845	0	0
b18e1c83-7b0b-478d-b8e5-d85e35fb64b7	0	0
9136f3b7-1e98-497d-9dd5-4e8a43cd8894	0	0
34c2cafb-2782-44db-b635-eb8028d03236	0	0
2a16a58e-320a-46db-a01c-b368510c245f	0	0
bdabeb0b-af9b-420d-a544-c2fc88d7a5a8	70	5.83374166666666749
73636f48-fe13-4b58-805a-dff7be5553f7	0.594125249072381956	0.0495127479097782208
36aef542-128d-4ea4-9ed9-f060556a06e5	0	0
2f24b15c-c922-41bd-bfc5-bbce50364ba9	0	0
80e6d4c8-b9da-4736-9161-d9cf65acff86	11.1837229437229446	0.932020404232804189
12d97eca-14a3-48d0-a425-b12c6f7a94ce	0	0
8689e60f-35d1-4476-9851-f2a0ef4ed82d	0	0
bbbd4a03-4c65-4768-8584-3381f346072d	17.1436818181818182	1.42870682138888871
d217cb67-f20a-4157-a241-e122f644e17b	0	0
8bd5bca5-05a1-4356-811a-1cfbdd1aef22	16	1.33339555555555545
e9898207-fb83-4623-b0de-8a0711bb4bea	0	0
c8f8e3cf-e7e6-4195-bf7d-6998c5b70f7b	0	0
20e83be0-6e6c-4f6b-92a2-2bceab3722ea	0	0
882e15fd-1112-4f94-95bc-2089cd533f4e	0	0
6e9ebecc-f878-43ef-8423-ac1270308eac	0	0
d79b5a06-9f0d-4fa4-af72-8fcff8d0bd96	0	0
14fbb902-9b79-4fb7-89fa-4e9206229851	0	0
694dcef3-5891-4f7b-a8d1-3df4efc72510	0	0
5ae8ac97-6021-46c3-8472-7e327c2b1db3	0	0
f9f03075-6a41-43b7-b5a8-52da8f80baaa	0	0
b7d2b0ac-3372-4c1d-afb5-d64f4f0386fb	0	0
f6b47943-6ccf-47e9-9362-ecb1ec103e9e	70	5.83360555555555482
8f48cd24-ab55-4030-818d-cfe53e2bb9f6	0.594125249072381956	0.0495145632924837223
754cfcb5-b10b-45c8-bd81-c6f6e8b8608e	0	0
5b54b952-1fd3-4821-ae82-6580760d26ea	0	0
58ade76c-1d2a-4a6a-af6d-6b8dee66a62f	11.1837229437229446	0.932054576719576811
7ff582fe-78b4-447c-8133-cc52fac980ef	0	0
4ad97325-76aa-4867-aebf-ac623272e524	0	0
bcb96634-2765-44a8-81f0-42dc9b51b8f1	17.1436818181818182	1.42875920486111108
21149a92-a13b-42b1-abed-794034548fce	0	0
cd8fa893-4baa-4bbe-af4f-2cb9ceb883a4	16	1.33344444444444443
3af8806b-51af-4967-8e34-3a66b626f23d	0	0
a999c050-927e-45d0-a3cf-dbd049b24ed0	0	0
ef6bba73-8919-499b-89f5-bf065192e11a	0	0
4276551a-0a78-49d2-b5d3-3922da0446d8	0	0
e2cc6764-90a7-4f76-abfa-1e9950bbfefe	0	0
8bad2697-6f86-4bc5-80c5-a553006bc284	0	0
4d94b13e-6ca9-42aa-b819-d7e9e818d827	0	0
3134154f-9f97-4a8c-8eb5-0a917c69201f	0	0
bb78d2e4-2fd0-46b4-ae17-05018e84b402	0	0
b53547c2-7e1e-4e7d-a78b-98f177cfbdd1	0	0
8127e909-9485-4eef-baff-7decaa0e3797	0	0
c2fbcdaf-76b1-4d1c-9a80-2b039aa193be	70	5.833819444444444
7c4fda07-2768-4ed7-91e3-6dd647c6feea	0.594125249072381956	0.0495170388143548537
657bb168-b0d9-4482-b699-c45ea3c0861b	0	0
2ae96e37-4c6a-41de-a3cb-1f05aa203174	0	0
655a3f10-68f4-4175-8e97-c1ebcee4d766	11.1837229437229446	0.932101175565175577
02a2d332-b3e7-4c0d-afcd-9ee0b3a5d773	0	0
a600fc22-0dfc-4003-a820-72c795f34ddb	0	0
80f38769-2122-4716-bf4d-b16bb9ff0c9e	17.1436818181818182	1.42883063686868694
e557a319-c76e-4235-ae48-67493845f59a	0	0
9fbde000-5785-4e54-84de-9b0ef2ee546f	16	1.33351111111111109
030ad747-aa3d-4202-bd72-ea2aa74c7adb	0	0
c8290ee6-0dbf-463c-b356-87e2542815e7	0	0
6c27de26-8c3e-41a7-a97a-8d8caa5eab08	0	0
bd209c96-5107-4500-bfcb-8e046bdac629	0	0
cf045ea9-ee45-4fc3-aeb2-0fb89eb7b540	0	0
513e9da7-eff1-412a-aee7-648f2ef677da	0	0
c7a91323-61c9-496c-baf5-ef1107cf54b3	0	0
89161fe3-c39b-4e2b-b47c-64bbb954ee63	0	0
707c8047-e564-4b77-aaa2-a54ca25156ea	0	0
1033f42e-3726-42bc-bbda-e3ff927d2966	0	0
2fc97c3d-3818-474f-8355-2ede62b53628	0	0
329807d9-e5a3-49b4-98dd-6e777b7ab300	70	5.83411111111111147
ea382e89-10c6-42ce-a2f1-2da0376d452e	0.594125249072381956	0.0495112625966555447
5df4e9dd-14df-47c6-b2a9-7851e408dd77	0	0
ef692923-7a09-46ff-ba2a-603dd3f1d453	0	0
fa91a69d-405f-4a8b-ada1-22073ec8dd44	11.1837229437229446	0.931992444925445085
54cef089-ec05-4f9d-b12b-63778a12571e	0	0
40f0ec3b-bb84-4043-8452-a2907aea4621	0	0
11cf46eb-6343-4d77-8e4d-23f077287a1f	17.1436818181818182	1.42866396218434355
8a245ccb-d1b4-4737-b5d2-f45e8056a7d6	0	0
254b3a56-fcd8-4080-8f78-8d2dac86503d	16	1.33335555555555563
ccbcb9ce-6411-45ea-bad3-c6c66f09bbfb	0	0
e47d39fa-0098-45d6-82f1-9ab0b3c8cddc	0	0
6884dfac-46da-4745-8f87-8eec138ce4b0	0	0
78928d01-79ea-4cbc-9a41-3992d550b839	0	0
83a46fa6-f341-40d2-a4d3-5bb6c6ce12f9	0	0
a83859e8-728f-47e1-833d-6cf50278ae0d	0	0
6733e33f-a36d-4d69-bc2b-733ca2157455	0	0
6e518336-1785-441c-9d58-e3525cb5c869	0	0
0cb11b30-0ccf-49e0-90d6-ffebeca9223d	0	0
8093e9ee-aa7c-49a5-a630-d8f75801aba6	0	0
738d7e9e-d6e5-43d7-998f-d37ead882c63	0	0
2affa5e1-c88e-4cd3-a768-cbb7be9d691b	70	5.83343055555555612
d74e493d-5dbc-4c33-aa41-bfee27e8f251	0.594125249072381956	0.0495139031533180854
efe2a4f0-6365-4b86-8641-01bc10b7eacf	0	0
0776a1b0-9616-458f-8051-24bab75080c0	0	0
cadef26b-f892-43fe-90b9-001f2bb4a6b0	11.1837229437229446	0.932042150360750554
a3a7ac29-2b2d-4a38-afbd-25ab61e6a973	0	0
072d1fbe-d134-40cb-a081-6a15e8c1d418	0	0
6c8da56b-9964-43ef-88a2-91c52541d9a4	17.1436818181818182	1.42874015632575757
180fd0b0-81b9-499f-ba3c-c1c71cff1c0e	0	0
d6e4d6b6-1b1d-41ae-8f36-202a614000ec	16	1.33342666666666676
34e1107a-26d1-466c-8042-eb3df973054f	0	0
9e0dec40-a254-4150-a8c8-e0308ee19bbd	0	0
8ce609b0-da6a-4c4f-9474-9ec7f3c966d8	0	0
440e42aa-4050-4a7e-84a8-13e3444e2d9b	0	0
a1fac402-e7fc-4e32-9c98-03981d062372	0	0
f0fa4767-7efc-4b1d-9af0-459631717099	0	0
0bc3a91d-d999-4eaa-9a01-43174f9bd6bb	0	0
8ea2d2a6-c271-4f54-aac7-e746da0177cd	0	0
50e01772-d488-4c3a-bd88-4599a9679ca4	0	0
825a10a1-ad91-4946-8cd2-7815ac0eb1b9	0	0
a34c518c-f277-4f7e-9154-6647d76379f7	0	0
24dd759e-00b1-4f01-90df-6471388f2575	70	5.83374166666666749
c6830a7c-5595-44c6-9ecf-8da57c923ff7	0.594125249072381956	0.0495137381185266762
d62eb495-4418-409f-a853-b019ebdf91c6	0	0
18cffc94-ee03-4669-bd2f-748ec5fde5d9	0	0
3a1474f8-2f0c-4a01-9f20-c0d4ab29fd33	11.1837229437229446	0.932039043771043851
453bf4c2-ed97-4238-b04f-3da584933f5b	0	0
37d22a8c-37ef-455b-bb30-5117099412cf	0	0
584628f1-5e26-45bd-8bb0-048fa849a45b	17.1436818181818182	1.42873539419191919
86a4380a-0921-4db2-9a6c-c20bcaa796e7	0	0
7eba6ea3-8779-48f4-b336-6c35cd151486	16	1.33342222222222229
50011db6-6237-46ef-9a1e-56d5da47cb27	0	0
488ccc89-324d-427a-a403-495982bb4263	0	0
768b8a93-a95f-4fe8-a860-a077077ee553	0	0
a0f6b43b-b97e-4929-a4b8-cab8ad34485f	0	0
49d258bd-e08a-46b7-89f9-f5698f14cd4a	0	0
d5c94a62-e23b-47b7-a998-d075803d7501	0	0
1b0ce358-8b86-44cd-b029-2ca47b3a0a5c	0	0
88e6b21f-e982-4b39-89c0-5141c13c1049	0	0
149a3bb4-de2a-460b-9e38-ceeeb21c815c	0	0
3dd7dd2e-cfb3-4fb8-9c41-fe8f70846a90	0	0
853caeda-5f3b-432d-b4a7-ec9d2fadc5cf	0	0
bb563940-a168-4cd4-91ae-dea8dccc30d6	70	5.8337222222222227
39148f07-2aff-47e4-a464-1a262d6a54ae	0.594125249072381956	0.0495148933620665407
c4a0b021-efd9-40b1-a271-bf9d2ebd3a1e	0	0
ae60912e-127a-4fda-b7a3-ed9c9e84eae2	0	0
1de300f3-5f01-4784-878c-3bd7d05764cf	11.1837229437229446	0.932060789898989994
b4b8e2e9-d2e7-4ff0-b4b7-2e2b26b08f89	0	0
5f53d0ed-bae6-48ae-b242-e9f49387d21e	0	0
31f83095-9865-4350-812a-8db39935a701	17.1436818181818182	1.42876872912878783
8299eb18-e066-4f0d-b131-3ae044ae8857	0	0
30458bd5-b71f-4a46-86e5-5819c59f07ed	16	1.33345333333333338
ae6ba3a8-9024-48fb-858c-e3f3375c85bc	0	0
ed169281-3b0a-47c2-9153-4e6aec0fcb7d	0	0
e75f039d-c0da-443c-909e-c994b3570c49	0	0
42ca7c0b-040b-4ee2-82b1-0d632c3e03e3	0	0
883436d8-4596-4622-b04a-ab0726fa0861	0	0
e0c74a2a-8b6a-4e1c-9810-0ebeea1c918c	0	0
e619602b-17fe-4909-b078-ed6e2881cafd	0	0
5b93755e-125c-4d40-8cec-e610bb3c63c0	0	0
553b7cae-19ef-4bd3-8ce3-f6ecf820a241	0	0
8cb1b977-4f11-4568-834e-1acf390c6c6d	0	0
79b19e0a-2a8c-4e60-8a2b-81533514ec55	0	0
1690a2a7-09dc-4f87-ae6e-18c32760a392	70	5.83385833333333359
7133c1b3-58fb-4a2e-83a0-417ec1c20811	0.594125249072381956	0.0495130779793610393
f2d5da07-775f-4a79-b338-b33e3916e4fa	0	0
4f503b99-7f71-4a58-b242-b2dd17d4eac7	0	0
daba4e35-322a-478f-a6b1-c7c11e0779d5	11.1837229437229446	0.932026617412217484
fe5cb285-a37a-4866-84e3-26637b81e4db	0	0
3daa7a11-caf7-47e3-90d6-131bbac0d39a	0	0
65c436fe-b2d0-40a0-ad22-4df66351f95d	17.1436818181818182	1.42871634565656569
972f00c4-20c4-4fa6-8d37-5d31cc823bdc	0	0
8037cd7c-b571-4e66-bf5f-63f2e4d6dcae	16	1.33340444444444439
b5615313-3733-4f13-b5bc-6785abbb9134	0	0
4723f85e-1aa1-4fe5-825e-bf21ae8e50ab	0	0
19cc394d-e84a-4cfd-b353-583461ea7aad	0	0
44fb57ff-c369-4506-a165-5a7dbf4e895f	0	0
123cbfaa-e9f7-4e05-91c2-5375af00a2a1	0	0
8dc2d2e7-3185-4213-98a4-d2675fe7064e	0	0
3e65592a-2517-457a-9bfa-b5c33468dfe5	0	0
2897efb8-ae8b-4739-950b-c00c99bee6c2	0	0
47bdc516-c8df-42ca-8a03-da51d8109c4d	0	0
1e2a1664-30d9-4547-8986-802f5172edb2	0	0
332e8e91-ee2b-4e35-a709-5608e5332653	0	0
9f4aef0c-5035-4a9d-a2cc-b9c7dbc0ae62	70	5.83364444444444441
f7ce6428-dbe0-406f-b197-6f798bce501a	0.594125249072381956	0.0495145632924837223
e118ddbe-acbd-4d82-b69d-cf98532fe8bd	0	0
c39c834f-1ac6-4c5c-ba4e-cb06cd4a214e	0	0
a8c10327-b3a6-40b2-a60c-78f550dbf16d	11.1837229437229446	0.932054576719576811
3a01f660-2e15-4a4b-b625-2ce0594eea5c	0	0
11e6e3b0-0584-4a75-81f8-f15109385ead	0	0
a5b495b5-5ba4-4675-a4d9-fcc692b02d70	17.1436818181818182	1.42875920486111108
216a39f9-b500-4b39-870f-078b379ce474	0	0
b08de667-a178-4ddd-ad80-266368eb533a	16	1.33344444444444443
07f52b8a-3847-4455-bef2-9d43f3fdc30f	0	0
a530406f-2fdc-4fef-9d4f-20205de078df	0	0
89175532-0fe4-46a0-8af3-9678870ca05e	0	0
31a4a28d-5ad6-4567-80c8-3bb969de0a53	0	0
7f5ead4f-27e2-4224-8067-45c1d9309275	0	0
97542cc6-14d3-439c-9157-a683f0b36c71	0	0
25741cad-22a1-444a-939c-cc1aab9de4de	0	0
b1237be9-28c4-47ae-92ef-4bc6b1238710	0	0
9e9c2c1c-bfcc-4b16-9002-11d92389a5d5	0	0
89fe5cac-fb6f-49a3-a544-f63e1f91580b	0	0
f2d659e0-1e3d-471c-933d-0248da74a9bb	0	0
aa55f13a-1f60-4723-9c27-70cce13279bf	70	5.833819444444444
354ec5f5-ce8e-459e-b3cf-7e943cb70adf	0.594125249072381956	0.0495125828749868185
dac2ac93-498e-4a1e-97de-98b01098c6c9	0	0
6e93c863-6ab1-480e-bf62-90208c325808	0	0
c7549e6b-dae8-4332-860b-535212546a12	11.1837229437229446	0.93201729764309782
4533f16b-932f-49ba-8035-446ab4b44235	0	0
a2b63a9d-6527-4adf-82d9-c275fb543ce4	0	0
befb0fa7-2d3b-4fa3-89d9-326da7a361d9	17.1436818181818182	1.42870205925505056
32ecb5ce-74fe-43e4-84ed-92e6419c3976	0	0
7f9f467e-70a4-4e4c-ae6d-725a1814ef2c	16	1.33339111111111119
28779c75-72d5-4749-a870-5b07d4b98467	0	0
3027d66b-d480-4dde-a990-3a0ba77671bd	0	0
e26a9dcf-e477-4b83-ab19-1e193617d678	0	0
b9d71e66-0086-41d7-97a5-24feac54e894	0	0
4f8b1a68-a0fd-405e-9afe-0beab4793414	0	0
39fdf1e2-ab29-4b6e-a716-e65a27e9ec0b	0	0
ce62510c-ef6c-4557-938b-dd11406b6793	0	0
62cb2025-b804-4d7c-8ce4-f9dd3dc421e5	0	0
ede78d2a-379d-43f6-9f38-ce239a5035ac	0	0
ca005034-ec40-4683-ae71-d0e2bdb10343	0	0
98ae0240-689b-46c6-a762-6c362593aaa3	0	0
b4932c27-1e1a-4bda-9e28-5c37945428ad	70	5.8335861111111118
61e73fde-cf92-43f2-8c5d-5936ffb1725a	0.594125249072381956	0.0495132430141524485
e5d991b2-dc30-4415-bcf7-067e3a316a55	0	0
a5b5a35e-fe04-4488-b340-88d79c2a8dfb	0	0
49fa43c8-2079-4bfd-8e47-ad2a3ba5e4eb	11.1837229437229446	0.932029724001924076
45762f95-d7ca-4213-8643-bbd03b3b3a12	0	0
bd3beadb-cff3-49e8-9abe-ce5dcb64f2f5	0	0
290fbb0c-1cf5-4f6f-8d83-b672c97ba02a	17.1436818181818182	1.42872110779040407
794ee8ae-8a64-4813-96a2-3a740b0b2287	0	0
5b8584d7-73ab-4f86-a813-abc59e4dad9f	16	1.33340888888888887
0844be7d-5ef7-4b51-88ad-6ca497ff925e	0	0
2a88943a-eb11-4b37-a3d8-9beb9fadbab5	0	0
3b7bc330-1416-499c-8b1e-5c5f4724bdad	0	0
5bf47592-15cf-41c3-b07e-151270cd3066	0	0
47c8a584-c635-4aec-a3af-0dc950a21424	0	0
895a080f-0e38-4d0f-b0b5-5010d70edade	0	0
de5e0fe7-fba6-4676-8212-9dc651c51007	0	0
7ee1290e-07d7-489d-b6b7-9ba313ad7475	0	0
c247d731-623c-4a78-a40a-c6896a166b4b	0	0
52364d98-2aac-45bd-9ab0-12d19567da33	0	0
fc7f0194-b57c-42de-b81d-93e2cef1fa9a	0	0
100422ed-d616-435d-96cc-304da211e3f7	70	5.8336638888888892
9131e3b6-2db3-4c35-aea0-48b5e97038e8	0.594125249072381956	0.0495167087447720353
57fcd6bc-a631-4060-b91f-3f691576bad1	0	0
1f08bf8d-5f58-4251-927c-c0a982087f72	0	0
1bfdc9e4-7ca8-4fcc-b7c7-aa8f454d7615	11.1837229437229446	0.932094962385762393
41aa5c14-1f2b-4932-9d6f-6a7749aa76c4	0	0
b55aadc2-c345-4852-a0f1-e941b068fc5d	0	0
a779b669-3159-4d86-8bf4-8cefb8c78383	17.1436818181818182	1.42882111260100997
a0c050e0-8065-4ebc-8779-b6dfd41098f2	0	0
526a093b-ba14-48d6-97bb-be6f2d6b2722	16	1.33350222222222214
34363be5-bce0-4988-bf6a-f91b0e57196f	0	0
f7caee93-b05a-4ca6-ad24-d744575ca491	0	0
082c2b58-a48c-496e-be50-7da46c04ef0c	0	0
f96c60e1-37cf-4c2f-9365-35ba29efd3f2	0	0
279e94a0-f7be-49ba-b6c0-e89d5d72e5a3	0	0
02ccbf2c-1d21-4214-9cc2-ad9797118cac	0	0
0979add9-290d-4f88-ba96-4a04025db6de	0	0
faaa5e56-50fa-4f34-bb75-c21c3f836ccc	0	0
d2e0306d-0262-4871-ae02-5baa35354c98	0	0
fc9ab6bb-5ed5-49ac-bafc-4b9c980a6858	0	0
32513769-83d1-424d-a2e8-b63e041f3717	0	0
5b0d3594-2a55-4a83-b31e-3a10fa5dff5b	70	5.83407222222222188
86415a8c-1fa4-42c1-8c71-37773fa7350b	0.594125249072381956	0.0495109325270727263
18e24448-ee14-4ee4-a14d-a624e068fe2b	0	0
bab3210c-dc6c-4b32-af21-95da0ddcb7b1	0	0
16fbc1d2-c0dd-43b9-87c0-19e41a6a4429	11.1837229437229446	0.93198623174603179
de2175c2-3fae-4593-ad48-59dc70a59b1f	0	0
aa50c23b-35c6-4399-a5ab-95d10474429e	0	0
86a19794-88d7-41e3-9d0e-c60cc148fe74	17.1436818181818182	1.42865443791666658
33053af5-e06d-4ecc-81e6-0f61c0964938	0	0
d09902f5-51a6-43ad-93cd-25868a46215b	16	1.33334666666666668
68b82f75-b07b-47a6-9cf5-3a5d8dca9f03	0	0
f29d2278-a55c-4fc6-8ad8-9fa4e04c797c	0	0
54611ed1-f33c-42c5-bf6d-a5164b525647	0	0
71e41052-9010-42ee-9a10-5738b399291f	0	0
5417acdb-9ca2-48a6-be3f-3635b2863549	0	0
6c57a740-5181-4635-9404-df6b13a1942c	0	0
95642638-ea67-4647-964e-f40d74e5a6d6	0	0
c23ce52b-11a7-44f7-90d2-4d140dff82f5	0	0
32aa8560-38e5-4ee3-bf75-cb4c14f57447	0	0
70b67e9c-bd63-4f74-b0a2-89ea2e52c968	0	0
c151a118-d9b3-4f6e-a0fc-92ba66f55171	0	0
bfcd5cce-b29e-4c66-bf04-8f2883383f37	70	5.83339166666666653
23b04534-576d-4302-814f-93278b12599f	0.594125249072381956	0.0495130779793610393
393fa7e9-5687-47f4-b915-ccc1075bf2ae	0	0
6c6d2fcb-c15a-4c5b-8a25-5475dd5c5289	0	0
32296e52-f6a8-4cc1-8076-05e7c9cf1f86	11.1837229437229446	0.932026617412217484
d30699eb-15e7-47b1-8146-fdc9e888f9a2	0	0
e93165d2-3728-4260-877e-8b10d2310380	0	0
2753b78a-ff13-406b-bba8-f140b300801d	17.1436818181818182	1.42871634565656569
ff9c6e64-6e95-4192-995b-28839655c845	0	0
03d62428-eab0-42ed-894b-438fb802b63f	16	1.33340444444444439
cc337e22-5f01-49ab-b689-5919e8ee5ba6	0	0
432b130c-407d-4a5a-966e-4bb6855fc30f	0	0
8872354a-ce02-476b-9c77-748b71c8fdad	0	0
1424c4bc-b5df-403c-90ae-165294813c2a	0	0
42cb6011-2ea0-4971-89b8-d1a49b105cc9	0	0
407220aa-f63c-4f30-9ece-f440e40a2d6c	0	0
1c315b7a-30d5-4718-9589-ce2713784af4	0	0
deaca0f2-a8fe-4fa9-b821-4546ff1a3247	0	0
c2419a28-27e8-4306-ab91-6582ea2dffbc	0	0
e5172a56-9bc0-4e11-a569-f682aa3b32a2	0	0
25e6a878-8fae-4e4e-8756-d6074d9ba4fd	0	0
6bbedffd-d2a3-4073-a845-63e08b28238e	70	5.83364444444444441
89a6a549-08f6-4aa0-a3fa-d452d19e1fc8	0.594125249072381956	0.0495130779793610393
b61b4a5e-64aa-4360-854f-f04f0abcc58d	0	0
b7228d98-6beb-4117-9261-7f4fe8ca9e2b	0	0
c0135b64-6065-47ef-a934-5bcd9e7d6b74	11.1837229437229446	0.932026617412217484
adccc5c3-6c56-4e03-9b24-b312372cf0b5	0	0
ca35228d-4241-4a1c-b65f-492267883306	0	0
ebdff3a7-370c-456f-bdf2-cad5ae41cd68	17.1436818181818182	1.42871634565656569
80967027-999d-41ea-8e09-ee1cee97925a	0	0
21ee8c47-d193-467a-9f11-b58f18241fcf	16	1.33340444444444439
caf6e3f8-a677-4be1-bbd8-be316c99f110	0	0
fcfa4210-674a-42b9-a054-800bb1349180	0	0
18281478-0306-4d3d-a9b7-c2434343d481	0	0
513a8279-c08e-45e3-af2b-c2ba1b14c0cd	0	0
1c68acfd-d258-43f2-bc7b-d81fe469a001	0	0
6aa5eed9-e1a6-4644-a2f4-b6f1d21dff4e	0	0
5d7513e5-57f0-44d0-a5fa-1c6062cbba64	0	0
0bfb9007-c7a9-45c2-9545-f0966249ef76	0	0
c9dda0ef-798d-4894-b720-96d3cce2d3f2	0	0
b4d0b464-3381-4617-a47a-9dba3f3f6b75	0	0
693f29a3-26d0-4040-937e-a4e06d16086d	0	0
80b45113-ec45-49f1-9750-1fb4f297d02e	70	5.83364444444444441
db2a3ee9-6a27-4273-99bd-ac43c47d4792	0.594125249072381956	0.0495094472139500433
021d6cc9-e284-4980-b15a-7efc10e8385a	0	0
4b5566b3-b007-487a-9ec2-5f186e1581ef	0	0
94787efe-8e64-4614-a613-c709a7c7cca3	11.1837229437229446	0.931958272438672464
0ff98ab2-3846-420d-8766-8e1431b313d0	0	0
c241edc7-2879-41e3-b5c5-699e00247bca	0	0
e0422710-1890-4ace-a4b3-8f2292326067	17.1436818181818182	1.42861157871212119
49c2e73a-ba89-4c8d-a27c-5ac157f9bef9	0	0
75c7b20f-e29d-42e1-a3b4-8f91815bd5a7	16	1.33330666666666664
2660d354-98c5-4666-8114-7ec86793eae3	0	0
80fb78c2-fb26-41e6-961d-446d212e6989	0	0
f2c9c7bf-01dd-4878-87e6-5df3872d3f37	0	0
cd8b4f12-62ef-4e20-bdba-11dbe764e9cb	0	0
387a2969-0628-42f4-bdd3-bb67c2c2f7f1	0	0
a27883b9-b71f-4123-a313-6633715134fa	0	0
d24afc72-1377-4ce7-aba1-2f891c84a984	0	0
f51daab6-4cb5-4999-a595-3021fd30401f	0	0
9d327df7-df2b-41d5-910a-8979fb7754c1	0	0
adda525e-0a09-4b77-bddf-575fd02e65e7	0	0
94640adb-8fa1-4ec4-a4ac-3968f80c80ce	0	0
fd0370fe-118a-42d0-b88c-c50b15dac2e0	70	5.83321666666666694
dee333b0-2523-47e0-add0-2455214b9dbc	0.594125249072381956	0.0495137381185266762
f5310884-b631-4a8b-b27a-85cc7b5b9e98	0	0
7264ed5c-ae3f-4381-964f-d05b8f5f8533	0	0
f0428796-bb55-44c5-b912-a3d7e76e502e	11.1837229437229446	0.932039043771043851
e15d901b-b13d-4665-b24c-8bead2848323	0	0
41107774-2030-48d2-8250-de75e79377bb	0	0
a664e057-9acf-4c02-bf68-546290ddbf2d	17.1436818181818182	1.42873539419191919
81b91563-0b10-4c6d-88d9-7cd9819fa9bf	0	0
d54cb71c-b50d-4f8a-ba13-9a26293e97de	16	1.33342222222222229
4c4c4711-a3b8-47a9-9720-819df2efd08e	0	0
0283f912-82e4-417c-a762-b69ff1ae72ee	0	0
a508627c-9728-4259-a175-ee17fe6b09cd	0	0
83e7c432-79b8-4c59-b4d5-1cf51ec7982e	0	0
b5aba0bd-93c6-461a-8bdb-d30d4a705c52	0	0
7b316a29-1eb6-48d4-850d-87607b4ef91a	0	0
7ca86d6d-9282-40d4-be19-bb9de681685d	0	0
277b6f02-d97c-4710-b456-d28f0329fbd1	0	0
24012b24-3a47-4371-a572-e26057df7f31	0	0
38ed51a9-377c-4ad2-bb00-dfd1fbdac732	0	0
e56efe8f-0d52-4671-8f5a-3c0b67056501	0	0
197dfce7-56ec-4ea0-b8a5-2c525a73bf67	70	5.8337222222222227
8dc40745-d43e-440d-97f0-cc5f15d09dd1	0.594125249072381956	0.0495094472139500433
cade9bc6-4225-4d03-87d5-16305f49cc18	0	0
47163285-1dc8-4738-8e60-19acfdbb243d	0	0
5f1af3cc-348e-4b2c-bd19-542f2aa90233	11.1837229437229446	0.931958272438672464
5a83d286-8133-41e2-8471-1f5b2cee0d0f	0	0
26e8fa2a-04b9-47db-a49a-39e7b56f6ad1	0	0
7b2f54a2-2b6e-4522-a72d-b62c6eee1046	17.1436818181818182	1.42861157871212119
78781cdb-b255-4344-9905-93b2075651bd	0	0
1a369802-6fb2-4b38-94bf-dfb14a07f75f	16	1.33330666666666664
8ec0a5f7-8805-4009-aa7d-c0186a98507b	0	0
33bbc563-e5bd-49ed-bec8-00440fef9e20	0	0
a396364c-80b9-46f3-96ad-efdb9fe749f2	0	0
a09712d9-4540-4f53-948a-776c10479b51	0	0
f48b091c-23e8-4f55-a5de-91d2f52dd7c6	0	0
0fc8143a-eeb8-4ef3-b475-c9e3e6d3a818	0	0
75c56bac-15dd-4341-aac5-df5e5768db4b	0	0
2adc5ad6-1271-408c-b61a-ef70ccb5520a	0	0
6b0cd549-8ee8-4e88-b94f-a5f13557dab2	0	0
ab1c01ad-a95a-41dd-a0eb-0451ce05b2ba	0	0
cf0758a3-6d8d-48d3-9388-cbedb5f30146	0	0
c194e4ac-5700-471e-beb1-8a8ca93945f0	70	5.83321666666666694
064dcc18-4545-4368-ac63-552206e74e67	0.594125249072381956	0.0495209996493486751
329d6d3b-5957-4899-ba17-2e0e71a78654	0	0
d9d9114e-0bb9-493a-bc48-253530780d9f	0	0
0b1b4d15-2cf1-4749-b075-5773ded02ef7	11.1837229437229446	0.932175733718133781
edee5b1f-5c58-4a5f-a1b4-1fd65b77ec62	0	0
a5437579-40df-4248-a047-eb9d577f89d7	0	0
8047d260-8b82-4c93-9d6f-75ff2445edff	17.1436818181818182	1.4289449280808082
2692064c-8afa-4d85-8429-54669aa55a6d	0	0
aaeb55df-f7f7-44d8-a3bd-c87b85e58939	16	1.33361777777777779
25377c29-0ee5-4b19-a149-8b0de3c36850	0	0
ce333e5b-2768-412d-b72a-91779de0de88	0	0
e3c9e561-aaa8-4b46-93f2-a7a665a627c8	0	0
63820f8d-a9c7-4038-a202-11be898f903d	0	0
63bdeb08-b4f8-4bd8-8b4a-c28864535b14	0	0
1bf9fe5b-4d84-4d3e-9d25-cf4d7e437f28	0	0
ecabd168-75e3-4c65-9976-3c0234858115	0	0
5889f12d-5056-4a24-9ce8-d9238dbab084	0	0
ad83a9ef-b010-4906-a828-2e21cb2a4b6b	0	0
2695a2c2-ef39-4d34-b5d1-06d1dcf53c66	0	0
ea74f7c3-b66b-4784-a4a7-f214a12dfaee	0	0
25567047-35c0-437a-a8ce-831e8ca83b1e	70	5.83457777777777764
29751ab8-509a-4a4a-92a7-2b06caea7091	0.594125249072381956	0.0495173688839376722
e262dc85-cea3-4c8b-b5e3-847044eed48e	0	0
2042ea5d-6948-486f-b1b5-f1511f7bf813	0	0
74a50677-a2d1-407d-904c-21348d0d5485	11.1837229437229446	0.932107388744588872
9cdda933-e9bc-4844-91ba-ae7e6664d257	0	0
975139bb-bedd-4eee-9e24-83629454a395	0	0
fdac8622-b457-4e9e-bbcb-c9be6559eb7b	17.1436818181818182	1.4288401611363637
f369a90f-28ac-48e6-a3c8-068ed1cb23b9	0	0
b4171da0-df14-4407-8980-68a4cf92b671	16	1.33352000000000004
65e67108-9ca6-457a-94fd-0c958aae2782	0	0
a2d9fdeb-0e70-40f3-9bcb-82c96ac7cf76	0	0
59a590ec-ec96-4bfe-af13-05b410bd7f54	0	0
2f33ff8b-9d03-42a0-b606-ec627f74aa21	0	0
55be6a68-d96e-446b-9bb8-35853dfa7ff7	0	0
98db7060-ddfb-4396-b7fe-3660ae5ece37	0	0
ff9bf357-ddbd-4779-9e6d-98e044de3450	0	0
3aa7ab27-d650-489e-80f7-9f9b9f27b5f8	0	0
e4d78a3d-f947-4f64-867d-f880e4020959	0	0
82849b7e-9621-4391-8ef8-fca00a3c2fc7	0	0
b2506887-f75e-4daa-a0ad-17d2aff5a300	0	0
70c5d403-3afa-4297-ac43-8322d633eb47	70	5.83415000000000017
7095150a-e243-44e3-a72e-558fb8c14767	0.594125249072381956	0.0495145632924837223
297e08dd-109c-489b-8814-e0062146ec09	0	0
4c15d398-ebd0-4f00-a1c8-fc0a2d0dfdc8	0	0
74ace21f-5282-4e5c-b9c6-e65a3cab3669	11.1837229437229446	0.932054576719576811
696d841b-2359-485f-a453-a7445b969569	0	0
4c0ba04f-7d86-4e09-8f97-7984ece6cc70	0	0
7439e9d6-2e69-49b4-b7f8-96c5dedbd92f	17.1436818181818182	1.42875920486111108
0f4a883d-e3bc-4a70-a456-dbc1a09847c8	0	0
5281789b-3830-4331-bbfe-8d80c434c901	16	1.33344444444444443
fd3847a6-d4bf-4f79-8183-9fbaa83ff0af	0	0
6e9bdadb-4002-4d28-87c8-56777a60fb21	0	0
c9bc53ab-93ba-4b90-80f2-238f0167d69a	0	0
690297d2-d166-470a-a3a4-22377436a6a6	0	0
da06b8a9-0277-4550-b4eb-d8cf571e9514	0	0
6784dbd2-19ac-4a35-87b9-e8e9fc98f378	0	0
afc7fbd2-108b-458e-b777-abe756424838	0	0
4c6e799a-2edb-44cb-8b40-c82adf3c5f42	0	0
a31b00bb-d687-4e81-bdc9-0ed7df3b10a0	0	0
ea074a43-e57f-437c-b9c3-8525521af961	0	0
007dcf0d-51f2-4635-83ab-421bf8879ef9	0	0
e3afe9c5-22d3-4da5-bcd6-ddb0846dbd3b	70	5.833819444444444
d2b4d555-550f-400b-82d2-2725486b70c5	0.594125249072381956	0.0495069716920789049
2155733a-f7df-49b3-a0fa-2ba421aadfeb	0	0
a3182e46-f492-4192-8d35-16417eb7efd5	0	0
c9ec6e2d-413d-44c3-a63d-d794f30f72c0	11.1837229437229446	0.931911673593073697
4e0def0f-c767-43b4-939d-e8c2a1ae8f21	0	0
5c8322e0-c4d5-4e17-b22e-8f80bc3a8d94	0	0
1bedb029-d4a4-4ee4-b471-0d36476b0c57	17.1436818181818182	1.42854014670454554
c4c08b7d-0c35-4bdd-862d-b4ce5a8a790f	0	0
5da6844c-7665-446f-8a91-bf787453fac1	16	1.33323999999999998
337f5d4c-0aa3-4a6f-a759-8f646a30bab8	0	0
bcc693e3-1e66-4ae4-8307-462069afa719	0	0
32b83778-99cc-480d-8e1b-66812929ee85	0	0
2ea44a48-c57d-4989-9582-930383c095bf	0	0
fbdc7bfa-6c7d-42d0-ba25-7704a779b1df	0	0
d763b01d-0c0f-43cb-b7db-215f1a8bf7f9	0	0
ca36d997-7582-4709-a62a-15948371cbcd	0	0
8bdc4fef-faff-4302-b261-31644d855cf7	0	0
9788bf2e-1413-4991-b1ad-42d00a491750	0	0
0c8e026e-4fad-49e6-9a1a-3ae5bf56d69a	0	0
4c383239-7bee-42f1-b523-1615b3c576b2	0	0
f1556dce-76f5-4368-a7d4-16d1def1813b	70	5.83292499999999947
563e3245-70c2-4628-a647-676c40dd921e	0.594125249072381956	0.0495176989535204976
f9c4dd57-e965-4d59-82d1-eb1d0d5a8268	0	0
748c0f9d-0aa8-43af-8369-673d4f95f21f	0	0
4a524099-ced0-4ec0-9168-96a262df384f	11.1837229437229446	0.932113601924002055
a8ef7f41-8a06-48ab-9f56-77fe115627be	0	0
9f03d90e-54b1-4830-aef0-c761b4d63d3d	0	0
8f1e4aaf-5421-4904-8f7c-156e31ab0e90	17.1436818181818182	1.42884968540404045
4ba4a5d3-2ddd-4995-b790-3a8097316357	0	0
a5180a20-9ffa-4e20-8e80-604285b9b3c4	16	1.33352888888888899
ea999f54-c28f-4578-b631-7d6f10342211	0	0
4042efb5-11a0-487c-9e7d-5de908646852	0	0
438be5fc-6403-4827-8586-be0ec6ed1bc4	0	0
66fbd0e2-19f2-4da3-8ed8-9164866a7f5b	0	0
2cc4d6c8-d816-479f-8147-99053123d337	0	0
7befa58c-e1b9-4262-b890-04464c06717d	0	0
d1498a7d-cbc7-441c-8dac-d28858a450ed	0	0
b7d282bc-8e7f-4a36-bd54-ef74925684b3	0	0
efe0b11b-7e1e-4847-b798-51e5072021e4	0	0
bb158339-bcfe-4a7d-ab02-23ad154b0f55	0	0
8a4e0392-71ea-4754-8ed2-702e51e06337	0	0
1af8ac45-f690-4837-9db6-a7da74d7215c	70	5.83418888888888887
34469bc1-ee36-4b37-866e-862afcc12b4b	0.594125249072381956	0.0495139031533180854
2063d7d3-305f-48e4-b17b-02e242ac426b	0	0
31f452cb-96b0-4902-b75d-b9a7b0406a18	0	0
69ae924a-0034-423f-9b57-153cfca1187b	11.1837229437229446	0.932042150360750554
b47d483a-e610-44d1-9259-dc2d866278ff	0	0
44c59ead-f458-427d-9375-cf9200262944	0	0
f98c7dee-bb16-4bb2-b59a-fc24dcbeda5a	17.1436818181818182	1.42874015632575757
d16021d6-88bd-4561-ac0d-a7b2bd639659	0	0
9f578f0a-97d4-4f9b-9728-3807e8b88459	16	1.33342666666666676
4fc9b14c-c1df-4aba-a176-06126cdc1eb2	0	0
a6f317dd-4f6d-476a-867c-6b463129a54b	0	0
82e2b070-8d22-449b-a931-da9ee7585622	0	0
f27e1c08-97e6-454f-8bb5-eae418b498cf	0	0
a529e809-27cf-4428-be39-486422a861c9	0	0
5d8b952a-03dd-4a7e-bdd2-3e77164bc3cc	0	0
05f7ff8f-6c66-4f8c-83f0-4fa7ab03e315	0	0
b792c4de-22ab-41ea-abb3-6c74e604b445	0	0
4bd8c803-cda1-41c5-8709-4bfe7c58747e	0	0
9fb25d3c-c4c2-4258-a7bd-9a3d99823449	0	0
beaab4a5-62bb-41b7-9038-e3b66de109b8	0	0
ae06ba68-73bb-42f4-84f9-274b2fccbf0f	70	5.83374166666666749
b95f22f2-f0e7-4405-9cd1-58d045e8904c	0.594125249072381956	0.0495132430141524485
1b88fe7e-47ab-4c45-a3a5-431229753bd7	0	0
abe0b565-a7f3-48d9-ae58-55cd6f4708c7	0	0
0c023eb7-0964-47b7-85b1-3952b5b0d5d8	11.1837229437229446	0.932029724001924076
9200ef77-af24-4a43-91b3-2682f13a9c7b	0	0
2cf4d4f1-d733-4122-9a62-9cd8c8c794b9	0	0
d2432c45-b98b-46ea-ac75-5700d7131757	17.1436818181818182	1.42872110779040407
b8a2523e-ea88-4201-a406-e918a601bc68	0	0
c0ded3d4-c4fb-45ba-adad-4aa8f9eead2c	16	1.33340888888888887
88770acd-208e-40b3-b556-d731c2eef75e	0	0
e0b4cb82-203f-4174-b514-32edea17368c	0	0
565ec605-2726-4875-aac2-9311a33abc90	0	0
667d6d01-7b0a-4757-babc-7c84dbfe60d1	0	0
3918ff0a-9049-41eb-9bcd-522a2cc88349	0	0
2a84918b-c1e7-473d-8bbb-c3fc1cb12014	0	0
d9eae5d4-6641-4c25-98db-82da5ad553ca	0	0
5a410df3-6bb8-4719-98f8-e98ad295e681	0	0
ec1a3bbb-75b6-47e7-a1cb-50460eb18dae	0	0
a20f1c35-0955-4bd5-92eb-43f0a4104f42	0	0
c28437ff-ef5e-4fcb-8ee8-4a7e2e51e1aa	0	0
30320d8e-2077-499c-8f17-adb6d8f5cfcb	70	5.8336638888888892
c552ecf7-7b00-4070-9591-05b62fc77e81	0.594125249072381956	0.0495196793710174013
ee493c6d-7f4d-471c-bb82-47d17afd4b28	0	0
d3f53b13-f5e5-43f1-9b43-d1d58ca06e83	0	0
10ae3a48-6ed2-4dfd-a05f-b21116fd618e	11.1837229437229446	0.932150881000481046
0753235c-f3ca-4e7f-9253-10b5a178671c	0	0
c01ddc1a-dc27-4c62-8028-5983702a7698	0	0
e37f3c5f-8779-48d1-b166-e12d4a370641	17.1436818181818182	1.42890683101010096
cf368a07-1b08-438b-a1e7-c20986615e9b	0	0
b1772eae-3222-4c3d-94d5-37cfac6e7f62	16	1.33358222222222222
2101883e-4905-4928-86f2-efa6142b88d4	0	0
b3b84a70-b5bc-493e-bdd0-169cf4507187	0	0
104fe1d6-ea7b-45de-9834-afcf0cc2a349	0	0
d26950c1-ef48-466b-aaa0-00275ed6419d	0	0
d9e8f054-174e-44f2-aa06-5fd346dbbafc	0	0
17bf4c19-c5f6-4cd1-a240-0d4594f2e431	0	0
68e966b4-ada3-46d4-af86-ad28df1706dc	0	0
5802524a-b559-4fec-b2da-472ab5f2b5e2	0	0
e332acd1-da6c-4cc6-b4e0-4927423e60a5	0	0
a026573c-60fc-47bd-9076-e37222e26b79	0	0
e7c11d5d-e27e-4122-ae59-55235fb34ef5	0	0
b7dbd3fc-5f3d-4efe-b634-6d71d03791a9	70	5.83442222222222195
56f1be66-8715-4a4b-8b10-5698adde7b3f	0.594125249072381956	0.0495073017616617303
5b45052d-4337-4fcd-923f-b5b6d4c0e2d8	0	0
ec61e158-8cf0-4199-91f1-fb502b0b12e4	0	0
454d077b-5152-4821-b027-12661d42484b	11.1837229437229446	0.931917886772486881
586d7611-4a55-4660-88bf-f9daa5a1a865	0	0
360244e8-450a-4d6f-93df-4761f3d38038	0	0
7e307b85-28ce-47b7-9569-354768b8313d	17.1436818181818182	1.4285496709722223
60e4545f-50e8-4203-acce-6a6c29600a2a	0	0
b5849c21-f74a-4d4c-9df7-990e5888d2ba	16	1.33324888888888893
e622db5a-438f-4ad2-ba2d-93331bad7d8b	0	0
c91c05a0-ec1e-4be1-91d0-52a50a1234e3	0	0
fb1e0d37-e8b0-435c-9338-2faeb2803872	0	0
a63a2cf7-8b60-4387-99eb-7e78a844fc70	0	0
09bfacc0-3b60-49f1-bc3f-66d8bca2a3d3	0	0
9e3c5079-eead-43de-90ff-03a99e1edb29	0	0
2cf3ebf6-7872-4b17-a08a-2ce4c24e0341	0	0
535294b1-2abe-401d-95ce-b719dc39acb4	0	0
f9addeee-0775-4e43-af2f-7d27e4cf55d3	0	0
e227babf-8403-45ab-8c0c-3b611354e4f2	0	0
8af25680-5147-4205-a873-fa71a6a9f509	0	0
3f297625-6330-469b-99a5-248c13446206	70	5.83296388888888906
95f27598-3fd2-44f7-afe2-8036ed602016	0.594125249072381956	0.0495152234316493592
3b22809d-067e-4972-a07a-7899f2f6ef89	0	0
ba9c6405-dbf3-497b-b00b-16522a0d03cd	0	0
0bcf25f7-1c9b-44ed-89db-02f02fc9aa27	11.1837229437229446	0.932067003078403178
17a83f5b-599e-45cb-8e9e-144aef5f9401	0	0
3ce294a1-6a59-453e-9c46-897ef9e2af4e	0	0
605956cc-e99e-4734-82b7-fdcac96c5bd6	17.1436818181818182	1.4287782533964648
ef52296b-270f-450b-91f5-23e7692a44ab	0	0
9f683b75-1624-45c4-b703-6fc42f6a67da	16	1.33346222222222233
5c862ff8-60d4-4484-a29c-22e9b16075ae	0	0
f906099b-78c7-45ad-bb7f-7084c4ecb871	0	0
1a9a2ee4-80da-496b-920a-88f1e60eae6e	0	0
797df378-da23-4c9e-bb4d-56afba7bb157	0	0
86b8b71b-da13-4a81-ad4f-968856f5cf4b	0	0
815196f1-8e67-4319-89a1-0d24883d76b6	0	0
7ec58661-02b7-4ab5-bc33-96f275d6365c	0	0
613a67c4-e14e-4584-8343-c00c6b14e113	0	0
66eef2ab-1afe-4c6a-8e79-de7cc3ce4714	0	0
cf416362-0ebf-4750-89f4-a5da88ac0668	0	0
0c54ee1b-dff6-4819-824d-48708ce67622	0	0
4c927ca5-4e46-42c7-b556-2fbb52951c74	70	5.83389722222222229
81cc1be0-043d-4f17-ad58-f0b8fa12deb0	0.594125249072381956	0.0495134080489438577
63b184d5-9b47-4c6f-9a7b-7035a7d2b73c	0	0
e20ac7aa-2499-443f-8aac-9212fb1196c1	0	0
9fb9a0d5-a673-43bb-9271-8a1e16ecaa95	11.1837229437229446	0.932032830591630668
c36e95d7-d535-4511-9cd5-be9cbc85ddb0	0	0
a352ce05-1a4e-4a64-b059-677570e160ed	0	0
3c42b38b-7fb4-487f-b251-56b9c8e2838e	17.1436818181818182	1.42872586992424244
7cc09d61-493a-43a3-a241-d728174cbe57	0	0
a0d24016-b767-479f-8ca4-2b7027136634	16	1.33341333333333334
80500e7b-d03d-4b9c-8042-a47e6c49cbaf	0	0
91e014e0-bb03-4c0f-ab8c-9022082b00d3	0	0
f254b7f1-43fb-4340-ac9d-50eecafdac40	0	0
fd5d3ac7-689e-45d4-90ff-321524b50449	0	0
5ccd529e-8ef9-44d1-92cf-2734c6e200fc	0	0
1ffcb4da-d857-4c7c-aed1-2c5a2f1e5ecf	0	0
c0c46a00-4970-4940-a55f-d3ceb331fc15	0	0
628982a6-a540-41c1-9618-3535abd35e51	0	0
1c3d1138-9d0f-4eb5-b960-abf45a296c66	0	0
57a98c71-62fa-4c74-9c8b-8e544fd4df69	0	0
24d381c0-d66f-40d2-aac1-c4acf05bdce3	0	0
94d875d0-47fc-43f2-aeaf-fffec4532a57	70	5.83368333333333311
11957b87-2187-444c-a291-c2f58c865ca9	0.594125249072381956	0.0495120877706125839
5a0c817d-3ad6-4652-846b-6e7d2773a683	0	0
13f375c8-2718-46bd-8ff0-08d50cf7541c	0	0
632af572-db64-4e3d-9fd6-8461b8c313eb	11.1837229437229446	0.932007977873977933
435e8cc0-4eab-4789-8701-b5646f2ce9a3	0	0
11fc5464-042d-4b04-a7eb-594811feb88f	0	0
d1038b3a-5b1d-45c2-b9e5-150d111a73d7	17.1436818181818182	1.42868777285353543
222d3cf3-b757-40b4-acc7-b4e97e90d8aa	0	0
819a2d24-b95f-4af4-90c8-51cb6a0fc3ad	16	1.33337777777777777
4338c0de-15e2-437a-8dbe-42ad187abdae	0	0
6fbc0358-8f2c-42e3-ac7e-83e0751d395b	0	0
62edb3de-5410-40aa-9ea3-4f7e6f280ad1	0	0
c020da52-f602-4727-a99b-6a414bdd3e6f	0	0
bc7462b5-f1dc-4e2c-b21d-594b1e61673c	0	0
22031a85-db7b-4c0a-83b7-ad583645ed9b	0	0
1e7d86dc-7416-492d-90a4-daff46c0314d	0	0
7332b9cd-f177-4c43-934e-3ba608cb4523	0	0
fae28581-cc7b-44aa-aa18-0b2cd7ae632a	0	0
f6460580-7e30-4e13-9fc2-ef00283aa6e6	0	0
c9211df7-95be-4b34-8732-476f4f975091	0	0
7a187a18-ee97-45d9-bb41-3afc62ee9488	70	5.83352777777777742
3828c481-eb6d-41bf-89bc-0e0fcf4dc051	0.594125249072381956	0.0495145632924837223
c5eafa86-b7d4-4d80-baf7-ceb5a0e8f7ab	0	0
34a5e307-9a47-4c0d-b61a-1111475fb9ae	0	0
6a78b560-d4dd-4c47-9af1-1a9ad2fec0f9	11.1837229437229446	0.932054576719576811
2aec99d5-8c7c-4ef6-9017-c4407ce3ef41	0	0
1f5f70e5-ad30-40b8-a565-0e8e9c38af39	0	0
5e36c36d-6ca8-4da6-b91a-63e22ee63617	17.1436818181818182	1.42875920486111108
2f1cce13-8dcc-4608-81b8-0b92a378b809	0	0
c600df1b-62c4-4757-8266-e2fac45acfaf	16	1.33344444444444443
607ac8ef-0e98-47d5-af89-afcffc6e17cf	0	0
67f97886-91c2-43a0-a1f1-03373650bf79	0	0
d3c68f85-1a74-4516-aeec-bcb6306a7473	0	0
3ccb064e-c426-409d-b74e-d7a234660f49	0	0
6c364d28-25a0-4c7b-ad6d-ab5f5c039b26	0	0
6db1d570-a814-450a-9fc3-06fd7b37a22f	0	0
6576a815-0657-47c7-9823-f49dbf3822b7	0	0
61fd5e52-03db-4603-899f-b857c65dd9e9	0	0
15d6374f-b1c3-40f8-a09c-c94291753c46	0	0
c43628f7-7456-4936-8198-f397832e6983	0	0
fc45d478-17e3-4583-8e0b-3b3c33bd8899	0	0
3683cab1-9322-4e0f-b7d0-5c6ec45de4f1	70	5.833819444444444
ace2b2cd-65a4-4335-b270-73bb8573b1b5	0.594125249072381956	0.0495134080489438577
bf223a14-0439-432f-9696-93b97791b60b	0	0
9b05dcb0-14d4-4309-ac14-109899965b80	0	0
12b6c1b0-720d-4b7d-af9e-9af909c9ed11	11.1837229437229446	0.932032830591630668
8b25a0b7-780f-42a9-93cd-a09c913a7978	0	0
f915e589-d985-4654-a118-a8738cd4f0f4	0	0
b575853b-d89b-43c5-aa87-4aeb6c97fb37	17.1436818181818182	1.42872586992424244
eabdea57-86b7-4af3-9b0b-80f760ce5b92	0	0
13bb58dd-d905-4175-a298-5e49b7591c40	16	1.33341333333333334
6edea5aa-dc38-4954-9b31-bb0c0dc289c1	0	0
340701a7-9aea-40f3-afe4-10e4f1b5ad37	0	0
88bb2b18-189f-43e0-9050-a4faf88500aa	0	0
b1a2014a-6b8e-4008-850f-0d11c828e76e	0	0
500ed796-a8c1-4f59-9afc-3e27c6553b10	0	0
99e49284-2024-4bf0-9aa2-3af6f412f069	0	0
ea30c454-376a-4624-949e-15533a0114ec	0	0
5377df68-39e8-405e-9ca2-60bc9a6fc51f	0	0
c1f1c41c-224e-4287-a4a6-3ba69aead3b0	0	0
417af770-fe74-477c-be99-6aedf54b0b34	0	0
d6aa06a7-b7d2-4996-87be-f63ff53e0a8f	0	0
17082513-e7ad-4d27-99ac-0bad1acec841	70	5.83368333333333311
02037bfe-9cad-4967-917f-5e7e4db81e1f	0.594125249072381956	0.0495066416224960865
5ee95793-e898-4d4a-9183-90f2ea61f1f7	0	0
5d68d9e6-d45b-4afc-b834-67e6f5e12f65	0	0
352e0a85-0679-4420-93c1-c137020643da	11.1837229437229446	0.931905460413660403
c94323b7-6d7c-429a-bf30-1ac6b6652a1a	0	0
0155b9da-cef0-4aa6-8ec3-db3f3361cec0	0	0
f28a099e-cdbb-4bde-8136-75d239537792	17.1436818181818182	1.42853062243686857
bfcfd2ff-5c4c-4ac2-9b82-c783f938bd58	0	0
9bdfabfd-6c06-4f2c-b13e-b5f13f99192a	16	1.33323111111111103
5cd20a46-5517-4abc-af78-2ae8e57f4ee0	0	0
4f1161c9-c6b3-4661-a56d-212cde1f134c	0	0
0a1b9f28-365f-4015-9214-ac91fe6b0aed	0	0
c7f81ba2-839a-4d0f-97c7-cbdb8691c23c	0	0
b1807b5c-647d-49b9-a847-a87b095bfd53	0	0
72359f48-4787-4d49-9d9f-dd56f86e8486	0	0
789a3f7a-59df-4645-8efb-6014dbb57fb5	0	0
2dd839e1-c702-4eab-9514-098df284d13b	0	0
72104fa7-1b45-4f35-ac9d-936ba48883e7	0	0
895013f9-73a6-4ed2-a545-8f9d0263ef1b	0	0
f421e7a6-721e-43fe-a4e5-3557fb3aef4c	0	0
81767bdc-6567-49fc-868f-988e00359e38	70	5.83288611111111077
d4e2217f-5b0c-420e-96da-08bc3071693a	0.594125249072381956	0.0495188541970603552
a6ea1c1d-aa73-4c8b-8a97-887868196570	0	0
d1adf0f1-d46e-4627-aef3-89d1726084b6	0	0
5c05379f-31c2-4b0e-ab66-d14924cdb54d	11.1837229437229446	0.932135348051948198
fde8e8a7-2084-423c-9980-ad64386e7e1d	0	0
0e0e9636-9f15-4d31-b13c-239ca994232a	0	0
430941fe-6631-4657-aa38-c3b36eeb17c6	17.1436818181818182	1.42888302034090908
9984cd01-5130-4f77-917d-84db89f693ad	0	0
4e77cf07-8169-4bd0-bcf4-a6cf55387c05	16	1.33356000000000008
9d61e346-7afd-444e-8af0-7f0359ba45c2	0	0
7e7e2fa0-ab3a-4f9d-9c8d-63e5add4e989	0	0
0e81513c-f45a-476d-859f-72692d3989bc	0	0
49d99d6a-2271-4302-b6e4-5e5f3f92f2d7	0	0
d3781669-029e-4b5a-8e04-cd83b61ad39e	0	0
48762099-2e89-4a2f-98d5-e79fef94c9f2	0	0
81a101dd-d188-4a5d-8fa4-91a96dc8d898	0	0
5103cf00-dc1c-44c0-9a79-a53e6328e84c	0	0
72a036a9-99b7-4bfd-9e60-3041c73b9a2d	0	0
67160b7e-d949-41c1-a84d-6e134eeed772	0	0
41488397-6ec0-433a-ac83-b7f078e4c7ad	0	0
8b00aa4b-5b60-473f-805d-bf4015db19a8	70	5.83432500000000065
c5757b92-ccf5-4621-a500-c79e01e3effe	0.594125249072381956	0.0495132430141524485
56d0a36b-f7ba-4310-9b10-51a7e648bd1b	0	0
09347fb1-3008-40fd-bb94-b2e4b29601f1	0	0
a8b5fe2c-d945-4ac1-a7b0-e60caadb8711	11.1837229437229446	0.932029724001924076
fac2c583-60be-44b6-9993-819234b5f690	0	0
97005d15-396b-4136-b673-9736656211fb	0	0
b8f19e65-d01a-469d-a142-2ff355ba085b	17.1436818181818182	1.42872110779040407
9c2bd63c-54af-43fc-8b29-5738ea7b695b	0	0
7e7fce5f-fff0-4b8f-9822-e24c43af45ea	16	1.33340888888888887
fe14e434-4418-4b8c-96e2-2e134b72e79b	0	0
f8c45fb1-7c78-4cd4-af64-8e97b7023cb0	0	0
d81e3471-7527-46cf-a0aa-7b36bd3f4dbe	0	0
200f65ce-df40-40f1-84d8-2b09f1133229	0	0
0818f55e-8d8f-4a83-8354-72530c0cd3f0	0	0
1a804f2a-ff28-4767-bb46-e76212e556f5	0	0
f9c8ac3a-788d-4dae-b835-b5d34c1ead01	0	0
c805566f-5761-411e-a0c2-fae5641583ab	0	0
263f02fd-f3e9-4562-ac4f-4daa1f56edec	0	0
3f733767-9037-4e83-be23-226002a75db5	0	0
221145c9-9232-466e-8465-12bed87985bc	0	0
334f7d9f-4b55-4f77-be4b-a32cc9133c63	70	5.8336638888888892
04806b41-e9b6-407d-9593-79fd7f3df028	0.594125249072381956	0.0495137381185266762
2c699588-118c-4328-9f9a-148303871916	0	0
254ed8e2-0110-4e3f-9908-06a740e65d69	0	0
1004511b-6d1a-44a8-9c08-5d4b224e1d66	11.1837229437229446	0.932039043771043851
7e17d6af-5291-4d6d-97d0-5a5e62e7e311	0	0
56f421de-f1eb-426f-be55-3ad4cc9a638f	0	0
c9b8ed9f-72ce-44c0-90c3-ea825ee04750	17.1436818181818182	1.42873539419191919
d8cc6664-2447-4e9e-a234-80d6fb219bcd	0	0
7071fdb7-953e-44e5-a5f3-6afcf2f75882	16	1.33342222222222229
e7333482-9189-401c-a815-1cdc68be4ff8	0	0
7d0f3e97-38df-40e2-a275-3703a1659db8	0	0
2d0f03b7-f704-439f-bbe2-4fcf61408dcd	0	0
1fe31468-4325-47ef-a0d9-a28d1be27f4c	0	0
e4e62479-6d81-4776-bb26-98c5e53a29b4	0	0
d306960d-ccf8-488b-92ea-d769b6732730	0	0
cdad3ca1-1f72-4c88-a299-8c6d6064150e	0	0
178e4492-6699-4c4c-98e4-3676126919e5	0	0
728422e5-da15-48a3-b1f1-4cdc607f5bfe	0	0
3642e6cf-70aa-44e5-bd00-df518e33738b	0	0
1486632c-3721-40e7-9653-ed42bd49bff3	0	0
6c35913b-afaa-459d-a3df-960327203147	70	5.8337222222222227
119279f7-c0d9-484b-9fa4-25d7f6019cde	0.594125249072381956	0.0495147283272751315
0651603d-ffbb-48c0-92a0-e54f7caec0c2	0	0
0c507bbf-7dd1-416d-8189-6fb86348fa11	0	0
d60531c1-a61a-450d-b72e-a917d280328d	11.1837229437229446	0.932057683309283402
2d7eea71-eb64-4ffd-9083-66804c0991e6	0	0
05fc2f5d-6a78-449a-8213-080e0db4112d	0	0
23ebae07-f4ef-4386-8ec0-0811ebeb98a9	17.1436818181818182	1.42876396699494945
37e37d3f-c393-40c6-a233-1a11d51b2457	0	0
1cee089b-aad1-401c-9c2f-0e8538a05c75	16	1.33344888888888891
a34e24ef-948f-42d7-a671-968e55855b13	0	0
a5ca024d-653a-48fe-aa15-ffe2502a2ae7	0	0
17bdd8be-2141-4571-af2a-f579d06c0d14	0	0
f4301515-b7bb-44ca-9862-93945b1e2b8c	0	0
8293399a-e26c-4c25-bddb-b33342fc288c	0	0
68315fdf-ed4c-48e6-8c05-d294bcfd974a	0	0
962b6220-f799-4fd3-9aac-48e170e879e8	0	0
cdc1d614-37bf-4d19-b82e-40f8fd81ddc1	0	0
4fae208b-f0ee-4e8b-8c8f-c2f4e4fa7a60	0	0
9e0b8781-de28-492e-ac9e-f1ebeb7a43df	0	0
c7d3d044-b282-4c02-8c49-f373e1c69ef7	0	0
f2aa67a1-fb6d-4e6e-b4d9-3227ed3d1f50	70	5.8338388888888888
fa53194a-bd8f-4c57-94ac-1cb793a421e7	0.594125249072381956	0.0495160486056064053
f1d0465c-1b6d-480e-9861-5b8b8753ba3c	0	0
485a764d-a0ea-4f73-95d9-821008f2f6bc	0	0
18655621-d8ad-45a4-8f72-2d05a24b29b9	11.1837229437229446	0.932082536026936137
892f7e8e-5771-4c76-b79b-e5fe6cf6a00c	0	0
e060acea-0200-44d8-aeac-b1f53af5e3c2	0	0
fc66434c-7f43-47f8-90e1-f0cfa56827fb	17.1436818181818182	1.42880206406565669
6b942a0e-8548-45b6-9fdd-be56346414e5	0	0
cd0ecde2-e6db-498a-8758-ff5484bb04ae	16	1.33348444444444447
ff4a722b-69bc-4f4e-bffa-661ad1feff63	0	0
745f8deb-ef04-4e80-82ea-bba802e227f7	0	0
be1b4fc5-1b02-4967-9267-01fce65e5a2d	0	0
02d19f8c-6220-4b8a-b430-ab834def24f4	0	0
5e08d742-28c7-4ae1-a020-70fb99ba3b50	0	0
9d1a6939-2c11-4875-9bb8-d6ba83eb1e98	0	0
34b6fb56-2498-4226-9319-48789374009c	0	0
a366e14a-cd88-4f13-a886-b39c8d8e2819	0	0
33da0c1f-198a-4c56-b32b-96b7eae4bc2a	0	0
8be9b96e-07c1-41c1-b645-7492b6f9c18f	0	0
b9e06880-73b6-46b5-a0b6-7bfec014da55	0	0
a4515d16-a2fc-4ed4-9299-2baabf23946b	70	5.83399444444444448
dd7531e2-cd18-47fb-8e77-90c603ce0f6e	0.594125249072381956	0.0495076318312445487
45f66b9d-244b-44a9-bfe3-7e819c35bb39	0	0
f3743421-d13b-4f8a-baa9-46b4709b6aea	0	0
01effe68-3cc8-4c09-95e8-efaf8353f76f	11.1837229437229446	0.931924099951900065
5b4b4307-a06a-45c1-9195-b22ae1cde845	0	0
53f03675-3d28-41b2-bc76-c370daf3f1aa	0	0
4ab40e00-0bb9-47a0-bdc1-76161b14747b	17.1436818181818182	1.42855919523989905
60b2b514-f6cd-423c-99a6-4505f060b431	0	0
be6c1f98-1a61-4d72-b49b-3e2f87b32da4	16	1.33325777777777787
343e825a-ef34-4cdd-b5d1-61b8709762a7	0	0
6a022fb7-77d8-4852-84e9-341a03822e5e	0	0
37bd80c6-0b84-4252-a4ea-2c661425b8bc	0	0
554acdd0-32a7-49cc-8d33-e2eef3a517b9	0	0
8d574bcc-415c-4c94-8d11-1da857c638a3	0	0
43b80eb3-c1f3-4108-968f-a479c040bac1	0	0
6334735b-a813-4b5e-9bb1-4d9abe884e14	0	0
1dc9579a-62a8-40c6-ade8-b93c2c6cb3cf	0	0
0d87e422-4198-488e-bdf2-c57713f17b11	0	0
2a63c899-7712-424b-82b2-8baf993c17c3	0	0
643f369e-ab74-4831-b1bb-3ed7f08bdad4	0	0
be349349-7e06-49a1-b700-6d15253ccc01	70	5.83300277777777865
96afcbe3-8614-462a-8401-08f049466609	0.594125249072381956	0.0495198444058088105
31dfda88-6316-4f58-956f-993c2daba619	0	0
c76c5741-ca26-4f46-8e6b-99be044ba2d8	0	0
cc425372-42fc-416a-96f3-e8e8fb3cc1be	11.1837229437229446	0.932153987590187638
9022f72d-ed88-4b24-9e85-9beedce15006	0	0
fec494c7-4ca0-48a6-b743-9e03d6d2aa7f	0	0
c6c14e72-1b7d-4a6d-bee8-65d1fb715276	17.1436818181818182	1.42891159314393934
3749c063-fcbf-49f2-8675-a6936afcf8d0	0	0
0c58d824-f752-425b-9a48-1ccb76262f57	16	1.3335866666666667
a9f6d662-fbfe-4c69-a85e-7c610b3aa662	0	0
3a52c19d-30a1-4934-838b-c00343b3aba9	0	0
bdb34baf-dfa5-4a5d-8e04-b3c2e8189ab8	0	0
30c274f2-b885-46ce-8079-9868d1e20b2b	0	0
1ec4bd03-7d0b-4a47-9124-cda1404e57cb	0	0
74609c70-b17f-45d0-971d-775e43ed2e93	0	0
6426eab9-1296-41af-9fc4-3a5efd8ffed3	0	0
0e1cdb7b-f1dc-437d-829e-7b0bee7dce34	0	0
04fdcabc-8aef-43db-ae69-3ede2c0b9a3c	0	0
9bc204d7-0733-48e9-9fac-380e4d0e029a	0	0
55fd7535-1ac4-43bc-b7c9-62f7b4f4bbcf	0	0
16b2dbb2-3554-4daa-8297-9e168d77a327	70	5.83444166666666675
2e4e401a-c6da-4b55-b7ef-17b3a3fcc512	0.594125249072381956	0.0495142332229009038
45701b77-2bcc-484e-9507-4d10144027d3	0	0
89a3e496-8b30-43d0-92b1-ca782a169f1e	0	0
eece7531-c1e6-49ec-879b-fca403f29e81	11.1837229437229446	0.932048363540163516
104eeecb-7a4b-4ca7-add0-b50006d066b5	0	0
774d7d12-c5dd-45ad-bf91-57980207cf3c	0	0
5ec053de-d31d-4cb2-b058-071c78f487b1	17.1436818181818182	1.42874968059343432
13175773-ea93-488f-995d-fdf9fa55bbdc	0	0
c560eb6f-fcb2-444a-b229-aa7b36b5e8fa	16	1.33343555555555549
6826515d-bd75-405c-839b-017b6444f843	0	0
f6f24105-d371-419a-9c95-51a66e76a8d6	0	0
27f42ebe-4a31-4b89-bbed-da51d2498003	0	0
5ebe5b1e-95c0-4ae2-9f95-98ece422203c	0	0
d7d5b65e-a513-4164-ba44-dbb2b65599b3	0	0
084be1fc-92d1-4aed-9b78-5a0c8880889e	0	0
a3b56876-eb1a-42f4-a671-2fc4d73391cc	0	0
66da07e5-1bf8-4996-8e34-0a5156aeb0e1	0	0
bc32b0fb-9403-4ced-93ed-64e9ce683077	0	0
d35f336f-5589-4ccb-81d2-e6f0d3e5ddd1	0	0
9c73262c-37fb-4960-a2b3-92ee8d7b2a36	0	0
49b7d987-9cc4-49f8-941a-3b6ae2e673f3	70	5.8337805555555553
3cef0255-b1fa-45fc-a9bc-25873999de3e	0.594125249072381956	0.0495163786751892238
55ddce1a-3d64-4c50-8a6b-37489aa032a1	0	0
162abd17-8ea8-420f-87df-98954e32879a	0	0
731650d8-7966-4965-84b4-db69a0a26b19	11.1837229437229446	0.932088749206349321
33c41683-8584-49b3-9a8d-7a7e0b8d1fc0	0	0
3ffe6230-3c31-4ed4-96dc-fe39ed780ad1	0	0
9e2aa073-d751-4784-84be-72a913ca836d	17.1436818181818182	1.42881158833333344
1bc31327-8946-4a5e-a6cb-42f94fe4e207	0	0
d8d34507-51ef-4076-a970-30aebd6aefc6	16	1.33349333333333342
5dfe87d9-e763-4faa-98cb-59932945c506	0	0
4420fdd0-364f-4e96-ae01-8f403c6d8fae	0	0
a1ed409e-fede-4336-9364-22c89a18ba5b	0	0
dc0223c6-0feb-469c-ae32-f66ebe00c2e8	0	0
5e54e614-65df-4382-8e7d-e0d42b87e3ed	0	0
60034360-815d-4052-b085-9ecceb230c08	0	0
bce03d8c-744f-4cc2-8bb0-0669003bcbb6	0	0
8be396a2-babb-41af-a841-0a980f005c84	0	0
000699b9-536d-4e82-a0d8-ed2b496a03b3	0	0
88458b3d-bfa0-404b-af44-99939a0ab2e2	0	0
eeb44ad2-f512-4e4b-8060-e654d5ad4d13	0	0
130ca470-1698-4421-b61f-cdc030f217a7	70	5.83403333333333407
526ad35f-3474-4892-9f2e-bfada6a0b310	0.594125249072381956	0.0495134080489438577
00a36905-0c70-44c6-a49d-6b1f12e1a72b	0	0
24447610-efc6-4e41-b058-b65b96847f96	0	0
daee48e3-3c84-462f-9134-85fc171f6d2c	11.1837229437229446	0.932032830591630668
b87c2d40-fb14-4b0a-aacc-c5d6e43da8de	0	0
154725bd-2ea2-4e59-905d-d02c657b065c	0	0
786f8bfb-ca92-4331-846e-3decb040408b	17.1436818181818182	1.42872586992424244
4265c6bb-392d-40b1-ab10-995c058dbe9b	0	0
90d23c01-a32b-4e50-b63c-ab0cddd7e1ed	16	1.33341333333333334
1445fac9-d07f-4d06-8425-7b1edb8b6a43	0	0
c44639a3-f519-4b11-bd12-bb76110b3ab1	0	0
ee52b98c-4fd8-4c9e-bccf-700ae19e25a2	0	0
6660fec0-c159-42df-b1e1-f2677c38587e	0	0
69ba2e31-af2a-4884-a2e7-9d0bea0f10b1	0	0
6bc4f2c4-fc05-4e7a-8757-c1b0ed215c93	0	0
8887f62b-b930-4561-a859-76518e294768	0	0
fcc7aede-b917-45ec-9664-5acfd3249de0	0	0
6ade25cc-b5d8-449e-9524-c166e3b0de00	0	0
b25e4554-9790-445a-aab6-382db989a528	0	0
541b551a-7817-4696-8d4f-87f8780ff605	0	0
70825c3e-cd8f-4253-8799-69e33befa640	70	5.83368333333333311
930072ad-0c7b-459b-9e5d-b59c0cd3e001	0.594125249072381956	0.0495124178401954093
93d7e9be-3b57-44e3-aa71-322001c5126a	0	0
49157e2c-db40-43bc-95ab-b973779b3820	0	0
386eb972-881f-47da-bf3a-a67a65c03e91	11.1837229437229446	0.932014191053391117
4bcfca58-450c-4071-aa9f-7b5e0b5f7729	0	0
335ca9fe-176f-48d1-91e1-366429586363	0	0
86918197-7656-4644-95c1-fdb405c5bf5e	17.1436818181818182	1.42869729712121218
5d1582be-edf3-4046-89f4-a5ae611bb412	0	0
b8aedf77-5c14-450b-a9db-ef5e78e9b9a9	16	1.33338666666666672
823ad9d2-a239-4d94-8524-c5a988986479	0	0
cb0ac0dc-34a5-4f08-abc8-a081aff30de7	0	0
27c85f2e-90c6-4568-b415-d5255f6f34b6	0	0
2b006327-3c4e-4b9e-8643-aeafb8ad4639	0	0
d04be315-8235-48ee-958a-76ac769904b4	0	0
e85de077-916c-420f-830a-01d3e076f09a	0	0
a5f2af23-a019-44f0-b708-778c9075c88c	0	0
8a6b6c78-04c7-4c43-a331-aec3d4d8cced	0	0
c682d57f-a11e-454a-8e85-1deebb3ed432	0	0
63147ffb-ab2d-49fa-ab21-fad05b6443bf	0	0
7fb324d6-a444-4f69-9bda-3291f3f9d8eb	0	0
5f289012-e910-401f-a4aa-7b45cc784d68	70	5.83356666666666701
2d480133-4b63-400d-bd5b-d2a83eef3318	0.594125249072381956	0.0495140681881094877
707b05ca-c082-4cce-a397-b85ff9ba3145	0	0
e4376577-44be-4768-98dc-e85c38732197	0	0
e4d35f8e-433c-40f5-9406-05ec0de6b34b	11.1837229437229446	0.932045256950456924
3dd4e960-516b-4b78-b38c-7839a2d4676a	0	0
72d31d81-71f4-4620-a31a-f1e3bb06b138	0	0
2f865f38-7d71-47bc-bb9c-65215bfa3201	17.1436818181818182	1.42874491845959595
c8e6fac3-c2ee-45c0-8e8f-ceca0a286903	0	0
e3012f3c-dc11-4fb4-8279-af76a506e122	16	1.33343111111111101
3b1cb696-534e-4902-852b-4ef5cffb7fda	0	0
44ea62d7-8b79-4ac1-86e1-eb071676463d	0	0
f47a1e74-8091-4a04-8881-1b10622510cd	0	0
06175a39-7056-4ece-990b-429b0d40e437	0	0
20bd0025-34af-4201-98d6-88ebf55479fa	0	0
e9cfad3d-c6e5-47b8-816d-81fb69d4326b	0	0
b6a6b162-a232-409d-a01f-5aa535b6c231	0	0
b22a7716-44b3-4a67-bb9d-e115499c82b9	0	0
a6754026-27ea-4f44-80fa-e38a4122c38d	0	0
eba31576-61d0-41d1-8af6-096139f5632b	0	0
d4a11a67-eb97-41bb-aaaf-b0312f3a0771	0	0
02d26c1a-658c-46aa-bf67-521b9bad84e0	70	5.83376111111111051
aa442d00-9567-4740-966c-9aa60a0024ee	0.594125249072381956	0.049511427631446954
1127504b-fef7-4fe4-99f0-25f0585ad648	0	0
61156b8c-2ceb-4cda-8d7f-a850482c4fde	0	0
3994e28e-6edc-4a46-a777-f7f77bff3796	11.1837229437229446	0.931995551515151677
d4aed233-aa27-4382-a6f2-36c3375ffdab	0	0
f99e2cc0-56b5-48a0-ba8b-37f5296c9a49	0	0
d1f0b898-3e19-4bbc-8437-71337248683d	17.1436818181818182	1.42866872431818193
b08bfcd0-785e-46fe-be79-134bec3ddd50	0	0
c45ec9a2-d6f1-45fd-aaa7-207afb1d8b63	16	1.3333600000000001
91d62dd0-bd36-4c6e-b7d4-4d4c425e0c38	0	0
44dd32dd-cf4e-4d5d-9ad9-d18e496f9df4	0	0
91f4ca6a-ba38-4a90-8461-9261c656600b	0	0
9b9fd223-8912-4102-a9dd-c284b0bcf318	0	0
ea58bd89-1ce9-439f-984b-4a23d99ccf84	0	0
ba59040e-5911-4286-bc37-ac9ac0f4c3bd	0	0
669d26e4-4c20-4181-b69a-a6805342d872	0	0
6edbdbee-bfef-4ab7-8a52-ecb0d79a787d	0	0
bf35f780-96b4-4b28-93c1-f9ddab688b58	0	0
7fe40e75-d3a1-4070-a28a-1f021705d141	0	0
8029844b-faca-4215-8b15-dc765475a2ba	0	0
3ad9068e-f75f-4f5d-9e74-32aae5548460	70	5.83345000000000002
e4eda0a3-aac4-422c-9d8e-eac9c28ca8d1	0.594125249072381956	0.0495672093909431885
ac3e34a7-9ec0-4995-9f59-c499a0055ee5	0	0
1dfbb3a8-8dc6-4407-b6a0-97500d8ef92a	0	0
dec4f9a9-9c20-480b-b05e-2c6229736e8a	11.1837229437229446	0.933045578835978828
2a9c33c9-4de1-4efc-95e9-36a284f87ef7	0	0
dedc0564-574a-4f0f-85e5-b929589332a4	0	0
2675e6b7-aadf-46a9-97ad-694dae88b8fa	17.1436818181818182	1.43027832555555556
f2d71f57-9ca2-433a-ab7d-d5d7cff2f92f	0	0
80f1a2dc-099f-427a-adcf-be7c0bbbe335	16	1.33486222222222217
34c73c28-7beb-43d4-85a0-1576cba8ca5e	0	0
a5aba4b4-40a5-49ba-97a5-996c1e22c18f	0	0
0caa7731-e43a-41be-85e1-415b728570d3	0	0
6d1c68b6-ee09-4156-9ba4-1ee204baff24	0	0
07151819-43e8-4bcb-bd54-f9afe2359e9a	0	0
70bd87e5-a226-45d5-8474-120c212adf19	0	0
dedad1a6-8482-46a3-be31-45175a4b2d53	0	0
ba66a9e7-ef97-4886-8ee4-fd631d41c1ca	0	0
f1fbdce3-eee1-45b6-ad13-d1ed33534115	0	0
7c0d161b-9e5c-44b6-a351-60803a0954c5	0	0
0b7d0f19-c484-4b7f-a067-7aac85dcdc29	0	0
9db6d9eb-c897-4763-a26d-02b14c01dd63	70	5.84002222222222223
5be8a0c8-93dd-4d65-ab7a-c5f013c03c69	0.594125249072381956	0.0494615871244414307
9d52f1d7-5bfa-4f64-bbac-2538cd4e524a	0	0
7cdc2e92-0487-4f5d-8e1e-082f0d4bcc4d	0	0
28e37409-985f-460c-9f2c-3e997da48823	11.1837229437229446	0.931057361423761498
31d8886b-e2d5-42ff-95a8-bd335b0a6148	0	0
6ee018ea-350e-4235-ab2c-a25f2bb464d8	0	0
c21dd40f-e83a-4f26-9569-0f02cf45f681	17.1436818181818182	1.42723055989898984
f4b912b4-39f7-4a06-8cd3-ab7e229575de	0	0
3e243236-18a8-42e7-9b33-4c5dcbbb04c0	16	1.33201777777777775
6f729400-6b2d-4b61-aeb5-25def63b5b3b	0	0
022b5a35-0c7c-46e4-b5c8-b81e2970176f	0	0
cfe713a1-edec-427c-93b6-ac986200153c	0	0
8ce8eab1-9c60-447a-9065-42bdf103124c	0	0
355a25bc-e6c0-46b8-b946-79dfa439c0b1	0	0
8bc87b8e-7216-40d3-bac1-2f7083d9c07d	0	0
d0865897-5ac9-4f4e-8feb-10539c7b4e49	0	0
ef164d2d-0bb8-4050-bb5d-c2e9ddcfec65	0	0
3af57743-5c5d-47a9-af71-a59f49a9d10f	0	0
84432949-0b0f-4a06-bb1c-d59d52c43494	0	0
6a8814e4-f075-4d60-9bf9-c543898f051b	0	0
f90b45fc-d448-4569-9638-f5f1c70e2818	70	5.82757777777777797
bd641835-de60-4909-88f2-876d6e064095	0.594125249072381956	0.0495130779793610393
2f4682bb-6c30-4642-a1cc-1d2fa3f39112	0	0
132df9e7-eb5c-4b54-9bf5-e7764d2c27f9	0	0
2bc645f8-8931-48f6-8a26-d088d0b6fc5e	11.1837229437229446	0.932026617412217484
aae7e456-1d00-4dbf-afef-2a5cb35882fa	0	0
76fcb068-5d67-4a4c-9cc2-82854434c7ca	0	0
133abc3c-beb5-46ec-8a05-26ff46c0e933	17.1436818181818182	1.42871634565656569
3d5993ca-9f65-4ffe-a23a-733f420d5c8d	0	0
60bf0ad3-36f6-4692-9cf8-8f12da105729	16	1.33340444444444439
d08f2ef1-6035-4b71-adcc-8cd9ac01d67f	0	0
8b8e02af-00e1-462b-9c2a-25e7de7c514f	0	0
7fac6816-f527-48a0-8732-5f79ea6ace8a	0	0
4635a53e-6d13-4352-9db0-74a713f911ab	0	0
942c9e7d-78c3-4962-9805-bfa39d16b810	0	0
4f176877-3b37-4ece-a863-8d41741fb57b	0	0
3ee137e1-9aea-405a-ab43-40c03cd8fe16	0	0
ae84acdb-89eb-47c1-93d5-5f9458f26c34	0	0
c20eafc9-0042-45a9-b402-793b7b43a8ab	0	0
10276ec1-c636-4080-8931-05b50f0d927c	0	0
f068ae2a-8b54-439c-86c5-421cb26d0165	0	0
9cd875af-e15f-4a88-bd95-8272fa7d3c16	70	5.83364444444444441
58fb1e48-b97e-4e6c-ad75-140b2818052b	0.594125249072381956	0.0495125828749868185
be6972f5-3a05-459b-8aa9-468a4ce27fd2	0	0
109d3e58-3e8e-4d09-a80e-b90b706be6f9	0	0
5e5f0b8f-4ad4-413d-8c93-8bd6bf10f27f	11.1837229437229446	0.93201729764309782
7d8be905-d60d-4b54-8c5a-8f94bc56a402	0	0
e8655d3e-40de-4594-af51-9e099d7afebb	0	0
3f99142f-7242-4b4f-ac45-193711d17618	17.1436818181818182	1.42870205925505056
bf00e28d-a4ec-4093-9ed2-bd6adeaa8704	0	0
1b7d090c-2f61-4fe4-8b26-c345e003a1b2	16	1.33339111111111119
99717885-6faf-482f-a683-236854bd373e	0	0
ed8de751-52f8-4984-a1e5-b6b746e037b1	0	0
ad8b0df5-fe2d-4438-bad6-3a861a08450b	0	0
82375808-7887-4a4c-b3eb-d387eb437d0f	0	0
88e292fb-aed2-436a-ad51-072308b431af	0	0
7f07a595-55bb-45d4-ba93-b25a5fc9600e	0	0
baefcee1-7c86-45f7-80f5-6875ca8b9151	0	0
afc3a5ab-4232-48f1-8915-4ec00328432d	0	0
6fee7c0f-10e2-4dc8-a78a-f24309baf52c	0	0
07183f6c-78af-484b-9abd-919b0f95a210	0	0
9e3f4e3a-41d4-4a71-8d72-cc8ea0b04f77	0	0
4d6bb209-3b13-4b80-bdb3-180c6e6b2fe5	70	5.8335861111111118
d81e974c-8a07-46b8-ab76-9dc1423d147f	0.594125249072381956	0.0495157185360235799
3fbb1d3e-75f6-4209-b438-653fbb680d8f	0	0
2f99aec3-5300-4298-a853-8f95311a3ec2	0	0
eaaeaa16-dc1c-4392-a453-a5053d4163d2	11.1837229437229446	0.932076322847522953
65af6d54-8ff7-4290-a453-4ffb35395c5d	0	0
96816c78-2734-4b22-b12d-05afdc86c297	0	0
c176b8a9-5687-46de-9332-b15e093ce6f3	17.1436818181818182	1.42879253979797971
e8af628f-5ce6-4df6-b7c6-c54c2a25952b	0	0
08c3c431-46a5-4ea3-82c0-eec80b8022c9	16	1.33347555555555553
69673bf2-5c69-4a63-9b41-8ae2692307ee	0	0
5665ea61-ce5d-4878-9a63-b5d6ac50caeb	0	0
940c9c1c-762f-4bf8-b077-43113d6becab	0	0
875e709d-5c34-4244-ae02-30ae947c85ba	0	0
5de7b51b-ee6e-411e-a8cf-fef09e68b907	0	0
8450937c-d429-4dd1-bc48-17ac6d6bd708	0	0
24db86f8-45bc-45bc-b64f-fb4108676211	0	0
5513e574-caae-4d4a-afee-9af0a058b697	0	0
7d97d039-c739-46ec-953c-cabbe5b2c8e3	0	0
4ab1e0d7-43d1-4141-a321-ccff15ebe584	0	0
dc79b3eb-ad79-42d1-8aa4-7ec6d095f951	0	0
08e0ac29-0edc-4682-bf0a-a1527eb18a2b	70	5.83395555555555578
abeb8f90-6ab4-457c-841f-80ef5dcc30b2	0.594125249072381956	0.0495122528054039931
3daf5127-43da-4977-b969-4c1c069ebb96	0	0
ff56d224-30a4-4f77-9bd0-4660d97dd048	0	0
f02694c1-7721-4c55-8c5b-3a2a6c6ae0cb	11.1837229437229446	0.932011084463684525
aaf7e112-cdd8-48e3-a668-cc1165db11f3	0	0
2d8cf110-fb98-47cf-b83a-a692ee22fe4c	0	0
5ad77502-e42b-4177-aa36-dcd8a701c8a9	17.1436818181818182	1.42869253498737381
cec7b958-78cd-4d91-840c-00d6d115e837	0	0
cf9bf2f7-5080-4a30-a1be-9855ef8e5258	16	1.33338222222222225
c6235448-dd1a-4330-925c-af123605de2f	0	0
d32a4979-450d-4b7c-996a-25fd3e72275d	0	0
86077824-42f8-4d94-b1db-97a42d408a9c	0	0
64f1e740-afe4-4e6d-983f-5ca77882851d	0	0
e370ae9d-ab48-4789-acbb-f2273b5a9e4f	0	0
93705fc3-cf6c-46d2-8922-da318b40106d	0	0
805a387e-e619-4f6d-b793-d9943ff04421	0	0
78f343ce-79c3-4ae0-89f5-72e8c97e7beb	0	0
4cc3f1a3-a85e-4875-87b3-dd008ccb3ea1	0	0
8b4f38c5-a2d4-4d02-8fc9-674c31be1dfc	0	0
89f085de-4c55-46a3-8444-25275a8a3095	0	0
12b720c9-d12b-47dd-bc6b-9443bc498890	70	5.83354722222222222
9400df3c-802c-41be-b9a9-074bc30f22fb	0.594125249072381956	0.0495140681881094877
577e6d9b-328f-4cf7-aa50-665ac3e5a621	0	0
d6dbf9c9-b88a-4509-b60b-976be5a0d1e2	0	0
b7407044-68f6-4d7d-a56d-7d476320c62d	11.1837229437229446	0.932045256950456924
313e3745-d49e-4eec-94f2-a69c8f73a075	0	0
143b4545-db94-4e66-beea-069e59f18b26	0	0
30fd40f4-2da9-4eb4-970d-04767a9e8829	17.1436818181818182	1.42874491845959595
525fd89c-cb3f-44a7-827b-77c55ea010b0	0	0
b54e2b4c-69e7-44dd-a7f5-4fb10bf682ef	16	1.33343111111111101
f5fc38c7-5440-427b-81b1-2120b2907056	0	0
45c6aaa2-3401-4bd3-b683-8e2a3879a6a5	0	0
17bd3573-a18c-4040-af96-a79ecfc969b7	0	0
aaf0bdb0-9dc0-4839-9194-d8fc41e5e5e4	0	0
a3ac72cb-1c1e-4f5b-a035-de76f308d75a	0	0
53203916-bf0e-41cd-a92a-19efe1e994c1	0	0
eba8a720-f0b3-4b60-9580-e5a6e9fcc3a8	0	0
56f402f1-d158-470b-bce9-1ed0d57b9beb	0	0
9d18dde0-c3fc-457f-a1c0-c15eb0f9880a	0	0
067a31e3-facb-43ee-ab70-b48d174702af	0	0
58f1712d-a97e-4583-999b-a3889cbe3809	0	0
24e90ca2-8b59-45e1-b1f5-e2adc6bef0d5	70	5.83376111111111051
691e0c56-ea52-4d90-945e-3451cca88c25	0.594125249072381956	0.0495168737795634445
a1996c58-058d-42ce-bf23-d8b9886973f5	0	0
fd28add8-ffb1-46e0-b8f0-cb3c36a72f0d	0	0
ae2aa0d7-243b-43bc-824f-ed9ba50b6be5	11.1837229437229446	0.932098068975468985
0f86c398-bbad-4b28-add8-16c7f3000c76	0	0
6368f66f-3f56-49ff-8e99-77dcf7133252	0	0
f365a920-07da-4f53-8786-343925987475	17.1436818181818182	1.42882587473484834
02478fcf-f050-4cf1-b91b-a5a10056f8c4	0	0
8598274c-4149-4e39-a4dd-f1ecf99a451c	16	1.33350666666666662
e3a74d33-9197-4750-bb3e-40eda7262d9b	0	0
58f4ce06-9058-47ff-96c7-95e6f90f0758	0	0
ab993c48-640c-49c8-8650-221ca218aa5c	0	0
443cb608-980a-41b4-9e8c-9c16b22dbfa6	0	0
73c5dace-70fe-46a8-b441-2b1f7fd4a40e	0	0
cf01b020-e775-4621-b2b0-f2acf723ecba	0	0
0e216810-e8ef-4972-ac31-f6e9f8f7d294	0	0
31af4a63-6a51-4110-9d92-d47b0da88ba7	0	0
184df31d-729b-4722-b565-329cb4754c51	0	0
76e01c99-a6e3-43e1-ac8e-a17b0090eedf	0	0
2985993f-7f8b-460e-83c5-43ea7f230339	0	0
2fbec425-4fa3-4c54-9100-49a8b60ec0d8	70	5.83409166666666668
617238d3-ca2a-411b-bc3b-3c46cf65b203	0.594125249072381956	0.04951291294456963
376dd933-a397-455e-b575-061bbd25f1b2	0	0
29abeca8-a36b-48d7-b465-94e96e58fc82	0	0
7f485339-1e90-4eed-bf68-78b99513aadd	11.1837229437229446	0.932023510822510892
f8876818-7646-4fde-95aa-6eb2ffe014d4	0	0
1845d428-d5b7-4572-8a4c-a4c3110f484b	0	0
db109447-3517-41e4-99c2-1359c9cd808e	17.1436818181818182	1.42871158352272709
4f123d2b-c99c-4193-a350-a6d5de73337a	0	0
365d2949-64be-46b2-94f2-0416c75ea8cd	16	1.33339999999999992
456c0a14-184c-4460-a4c6-8bcf15cfa132	0	0
39f40f87-07f6-4641-b0f4-45f080a6211a	0	0
02182377-0666-4b32-b151-7ef6910df4c3	0	0
a8c04cbf-68ba-4c38-9318-8a1dc49e0d04	0	0
d0ae79d9-8f0e-4030-9513-6fea8e4d6a8f	0	0
05bfac38-1e18-4176-aebc-682ebfb5d3a7	0	0
37fe370b-fc16-4a2f-a9a4-175a12060e2f	0	0
f15bd682-5116-4da0-8953-2998ae722257	0	0
1c6db518-17fc-4354-a370-a9fcfed2458c	0	0
74dbf8ac-2f43-41de-a70a-cb3b2ceccfca	0	0
97c169dd-7d5c-4a31-9d0b-d221c473617d	0	0
1e489a13-e3b2-4815-b294-41ece26446a7	70	5.83362499999999962
1a785d4f-add0-4e53-bbda-0ed4fe81b38b	0.594125249072381956	0.0495122528054039931
468cd5b1-f9c1-4c2b-bd8a-defa44307c78	0	0
94e8f8fa-15cc-418a-ad9d-3ba4d4dea746	0	0
f1032c29-c82b-4605-9390-d9e248c274cc	11.1837229437229446	0.932011084463684525
5ab568ab-8599-4709-a8bb-fc59934ca49c	0	0
3a0753ec-482e-459a-9754-bdb901c2a925	0	0
7894a2ae-8ec1-4f5a-a4f9-68760711b800	17.1436818181818182	1.42869253498737381
8f1f369d-139a-46cc-9d01-ea134e372866	0	0
71babe94-dacb-4034-8614-2647ee686ff0	16	1.33338222222222225
b6710b17-4265-4b68-8fbd-47fbe3955588	0	0
bdeece0b-2479-4d54-b549-564c62021fe5	0	0
ad0c83ac-9660-409d-bfce-0d260e9e7f8f	0	0
f79f793e-8ac4-48ea-88bf-9a07b6a8f745	0	0
44e83f1f-47fe-4ff2-9274-1cbb0c76e009	0	0
51034259-bc8f-44c8-b899-c28ab282b6c7	0	0
082c61b0-c8e8-4df6-8253-7e66d214147b	0	0
7edbe24b-569a-4c0b-9420-17dc80c15cda	0	0
003b9cef-25c1-47ab-a840-1faa55fcbb73	0	0
4bd56de0-0acb-4a6a-b0b1-7c90e78164ce	0	0
6a6ea214-87e5-4bd9-8580-4f0c213f18a0	0	0
6066b959-b4be-43e5-8025-628f57d37d6f	70	5.83354722222222222
bdec5737-3fbf-4576-ba58-b22d46d6c18b	0.594125249072381956	0.0495130779793610393
e50404ad-b692-4418-9fc1-4152a0678d81	0	0
abdc3e29-217e-4dc3-b767-0e66effc7016	0	0
2273f84f-c8e3-4e82-87e0-e8bdb102ad02	11.1837229437229446	0.932026617412217484
81e671cc-1064-4f29-9284-a4994fc976c7	0	0
be7735ca-32ab-4243-b902-19f150d346be	0	0
04c0e413-f0dc-4c94-8bf6-7df0e0d8d301	17.1436818181818182	1.42871634565656569
c422d6d1-44f9-4f3b-99d4-83e3e0c12c35	0	0
fd5b7636-ac4b-4b80-9c0c-d71a3bcbd631	16	1.33340444444444439
f9c37ff9-5fa6-45d0-aac2-265a082516ab	0	0
a5d9bbd4-bee2-4312-9a50-acbcecf13644	0	0
9fdf051a-7522-494b-a368-4ced01a5b25f	0	0
dce8b10e-ce1b-408d-ab1e-176e0f14f73e	0	0
d28d0d56-ff19-4c22-b714-cb24a82fcbf8	0	0
54015eee-ff3b-4fe9-a77d-8e24c60dbd9d	0	0
1c0cf917-d893-4f80-91cf-99c8cf4e0070	0	0
0e35803e-cc65-44c6-bf2a-ba5a0fbc89cd	0	0
86a58d18-9be2-4a67-884b-f5988c8a918f	0	0
7dc24f4e-160f-48ce-9a76-66148fe1f1bf	0	0
0c11ed0e-d10f-476e-a29b-6e5f313508da	0	0
57733936-213b-44d0-b4f0-6d2ad70cf679	70	5.83364444444444441
1078d32c-617b-4fcc-8625-9abb72c2ec57	0.594125249072381956	0.0495153884664407615
ac387c3a-6fda-453a-8e92-bdbe0ffd8984	0	0
32f8879b-1515-4b7a-adaa-cf304fbb2595	0	0
92311af9-0f7f-45ab-b07a-e03348009bbe	11.1837229437229446	0.932070109668109659
410866d4-72e2-443b-b53e-c7a976a5a2fa	0	0
0f46b481-cd0f-4513-85cc-b0d239fb1f0d	0	0
5ce076f1-e08a-4655-981f-4fa813c3c1b7	17.1436818181818182	1.42878301553030296
cc67d3ab-d2d7-4f04-b6ad-f2d5defceb5e	0	0
58ca66fb-b83c-4b3e-8e64-98e453700dec	16	1.33346666666666658
db0f8a4d-66b2-4849-8ea4-e925f34549aa	0	0
282bd61c-be75-499f-b2a2-38546c90a5e9	0	0
f183d764-d37e-4dcf-9ba8-69334a833778	0	0
1bdb6d83-7d2e-4fe1-8a97-630459b30712	0	0
5532e525-0fd5-4d6f-9184-c44d4a2a97a7	0	0
c50ccc83-fec7-4920-ae28-1aac3716efb3	0	0
9386a5db-de01-41d9-b0e8-5e49cb2a7d0e	0	0
db750e18-cb76-45ae-863f-f3109a91ed54	0	0
c37f01e3-f5d5-4e97-996c-d2581c684a63	0	0
25ed5a25-3a2e-414b-a069-5214f88ee7ad	0	0
a87f3627-55b6-4548-9587-7ad94fe76f47	0	0
6417ee78-bba3-4347-bb4c-d5206a5b078b	70	5.8339166666666662
7d48abff-e78a-4719-aa13-d289b5c9558c	0.594125249072381956	0.0495145632924837223
3abce235-cf2c-4148-945a-77e5b6f4f168	0	0
b9816637-2f71-4140-8a23-a4153aaf8cd5	0	0
08efd7a6-934d-4ae3-9364-24618afe33e7	11.1837229437229446	0.932054576719576811
e3e97fb3-f183-4a53-a904-a7b2417d81a2	0	0
7d733553-011b-4f19-83a4-5a7ebc4be939	0	0
9623cb21-7f12-4204-ad35-695586cb1d61	17.1436818181818182	1.42875920486111108
83536621-a738-4d33-a54d-8fb07df6759e	0	0
4ab6b477-a1ee-4c17-bdef-65f4d60c87a0	16	1.33344444444444443
e40608e9-c605-41e0-b64f-2342ce32e8da	0	0
ac464ee4-b3b4-407a-9ed6-1d2f62f82c61	0	0
266fa2c9-cdfa-4515-a305-d135c4a6aedb	0	0
e464fc4a-1207-4fd2-a47f-3f474341940f	0	0
5941af49-7bc6-42dd-a6cf-dfd1b7309b33	0	0
04678ced-1abf-4fe2-911a-4ae4299c5b24	0	0
4254b374-dd99-4d06-91c7-be87aa91890b	0	0
c7acf911-4eba-4802-af6d-ae5c386fe780	0	0
d8acaba7-10e2-4f36-9ad3-97ce8e64efdc	0	0
29d03a14-7e85-41de-b63f-2c53fc6f26f0	0	0
21feed3f-f603-4bfa-a792-8171d799f5a6	0	0
0aa17ed5-9806-405a-8054-199ca9d56fd1	70	5.833819444444444
4e192a67-f18a-468f-8727-971d7beb8821	0.594125249072381956	0.0495208346145572589
33573fa0-7d48-45db-bf7f-6da1f6bbf669	0	0
05a30d46-45d0-495c-b666-ca0218b0d6a5	0	0
c57a1433-8c5c-4039-b90e-4c7d60fd699e	11.1837229437229446	0.932172627128427189
c9ad5493-84c0-44a7-ad0d-7b62c320045e	0	0
036994d3-df5f-491d-964b-0a313cfa14cf	0	0
419ec3c3-cd4b-4704-ac9f-127e8b60de1c	17.1436818181818182	1.4289401659469696
ceec8199-3b8b-41e6-bf74-5d5daf652000	0	0
9f70663c-cb3f-4459-a4be-18b278f73617	16	1.33361333333333332
7bf6324e-a1ed-4779-9c73-64770c0f5431	0	0
aada7143-7028-4318-8319-6e20862e683a	0	0
ea1c3d25-a5b5-41d7-a9b6-fcd6f97cb23b	0	0
8f4411b1-0a47-4eef-803a-fa128c210f86	0	0
45a56193-7ed1-4f3a-9036-2bc13f092c22	0	0
049a5cca-b61b-49bd-be84-ac76758b7544	0	0
1bdfb857-8157-4e32-a5d5-c6153cc89252	0	0
0c70bcab-164b-4756-938e-a64d2220d4b3	0	0
94063008-d9a5-4ac1-96b6-bf15706f45db	0	0
a9785620-331e-4dd3-bebf-d26ae0bd5487	0	0
c803894d-3e71-42f0-acbd-a62393ac7223	0	0
ad589bd7-88e3-4ea3-a7f3-247d0ca5b7c1	70	5.83455833333333285
5eaddbbd-63d1-4e44-bb42-867e51850a9f	0.594125249072381956	0.0495058164485390473
1aba680f-57af-450c-ab85-6a6bada91903	0	0
5b80b0c0-ae2b-4bea-bf6f-c08a25b1ec81	0	0
9b68c219-b264-4162-90da-453d0ccbec8c	11.1837229437229446	0.931889927465127554
bbd20bc4-2da8-44f4-8ba7-ed710b5a7008	0	0
eef5fb03-525d-414c-b12f-36fcf8e4fb95	0	0
435ec164-3660-4c20-8fab-7cbf1559294c	17.1436818181818182	1.42850681176767669
f6b10d2b-d30b-4a54-bc44-ac48cad5840f	0	0
4c4a9302-aca0-4e38-8f59-1556f5a52172	16	1.33320888888888889
17ff99b9-c9cb-431b-b752-f26e4788d87e	0	0
8a0de5e3-d5de-49c2-b08e-1ce8224e82be	0	0
f221efcd-0cea-47a6-93e0-92a456fbec1a	0	0
7262e906-ff79-46ea-9920-b18c1693d436	0	0
88b67cb7-f853-4b1e-94a1-0ec416ba0aef	0	0
f8b59c8d-f966-4b85-ac67-cc74997aab90	0	0
a40fbd85-afab-4d59-9f02-8238911956bc	0	0
dbf53d60-48c8-4ae3-af37-7223b1ed283f	0	0
e6cdd61a-5205-4a90-bdf8-d8d66641d4c8	0	0
e6f83961-3f99-4eb6-ba93-3b1a2fdd5a5b	0	0
58743e12-a88d-4cfc-8835-cf7cd241bb00	0	0
50622ca2-fc58-4bfe-8c4b-4f3dec59f8d6	70	5.83278888888888858
1437864e-f1f1-4bc5-ae87-b22c14eee025	0.594125249072381956	0.0495135730837352669
caafb071-4d79-4bce-be38-bd4b28d77aa2	0	0
7963878d-dab0-43d8-8d66-23063dd77f1f	0	0
04a110bd-32a2-4ea2-b8c1-09ebadac9bc5	11.1837229437229446	0.93203593718133726
034497af-c90e-4084-92de-998996afa778	0	0
87fdd665-bea9-4380-966d-06519c109a96	0	0
6ab6b4a3-5874-4481-b4c2-f7a9f5edbb55	17.1436818181818182	1.42873063205808082
d3d7b333-bce5-4c03-b47f-df9fbd42ac45	0	0
d12b0a7f-7290-40da-8ac9-91aa301a1c07	16	1.33341777777777781
bc745994-a918-4dca-bc54-129455d96610	0	0
cc5648af-61f6-448b-bb6b-e59cc4884670	0	0
0a8d71d1-bb54-41f4-8d5f-5218e4221994	0	0
eb7228ad-7933-478d-86c2-116324044ec4	0	0
3d7afabf-bd55-4a43-b8f4-d1529c1c3948	0	0
d91b28bd-a379-439f-8649-afcce293f6d1	0	0
acbef66d-2510-4c1a-8344-268ab1b591bf	0	0
f3933813-2140-4f0b-b249-333dbb368eca	0	0
d21906b2-f015-40fe-9464-40b39aa36eae	0	0
c0345329-a8b9-47b7-8a97-92c4b0f9b6d9	0	0
7bd79306-e2aa-4519-a4f4-9f17ad657680	0	0
2ae71386-a706-4ea8-8e7f-5c5e81b5a224	70	5.8337027777777779
7335ab61-154f-4705-b9b2-b50a0b76a792	0.594125249072381956	0.0495102723879070825
13509381-493b-4270-af55-23ba7752738b	0	0
e42b84fa-218b-4f24-9e72-05a275581a3e	0	0
c7690dc1-9648-4a1f-8391-5be1f078cb1e	11.1837229437229446	0.931973805387205423
a1130f9e-ef22-42ba-a1f4-46727d574e8f	0	0
8f0fd8a6-75e4-47d1-8b05-f7029ff77c3b	0	0
a858b874-abde-4a66-b0e6-86d8bb37ee37	17.1436818181818182	1.42863538938131307
e7d2b142-1a1f-46cd-946a-d147117f7e58	0	0
7de137c5-2dd3-4723-b5ce-76d51f5fb04d	16	1.33332888888888879
028bdb01-c1ff-4149-aa44-ed5580c18e21	0	0
86f8ace1-a47a-47ef-83d8-692ee81a774d	0	0
1b995804-ac70-43f8-9047-bfa00350076c	0	0
5214ee0b-959b-4f27-9b69-ff4c7bf8ec7a	0	0
b2081e57-5f9c-41d8-9897-937ffe806725	0	0
2bcf2f4a-f68f-4d80-9a2f-896444259a40	0	0
b951ba28-d497-4fe4-9be9-2aed6222082c	0	0
32609937-69b9-4a34-a74f-1765816ccf3f	0	0
0f735fdf-58eb-4145-9f27-b5b60360d159	0	0
6bc04769-1b2e-4912-938b-67093826dcda	0	0
77f2ef17-8ee1-4afb-9b00-ad7f384d674e	0	0
534af69a-cc75-416f-afc5-ebeb9b34b296	70	5.83331388888888824
ffe52988-c646-4c78-8849-a03a84c88044	0.594125249072381956	0.0495147283272751315
b9d5d173-913a-4238-b76a-9ae7eb713813	0	0
1de93e9f-6052-4b19-a4dc-cf8d61bd7b64	0	0
dfecf711-e946-4d3e-b8c2-7aa3dc3cd222	11.1837229437229446	0.932057683309283402
f5dbc59f-c9d9-41d5-b04b-51db4a43e6b6	0	0
f79e2228-7b4d-4d1a-bbf8-cd9b3402800d	0	0
acde3862-901e-418e-b259-eb5b5e435d09	17.1436818181818182	1.42876396699494945
516b8616-3e5f-4105-8cbf-c8282793e427	0	0
73002fbe-984f-4cde-8204-65227a63c6f5	16	1.33344888888888891
73181bbd-df4d-4889-acca-c498e3247fea	0	0
4dbe0d70-0190-4278-8f3a-6df0f7cf62d1	0	0
47b015df-2cab-4329-a719-737f474e814b	0	0
d8d48412-db6b-4646-865f-4b909a108693	0	0
749b1c2a-8f5a-44bd-8d43-338f6a7e11d6	0	0
5ee84477-0ba6-4d70-a132-94e58360d4ed	0	0
024fae19-b493-46c4-9086-be5490a00181	0	0
1ca24c4d-c84c-454f-b794-df468d8662c4	0	0
75251465-8706-4856-9ec0-589036c68654	0	0
31dd2d53-ad2a-43e1-9293-5a9be90da13c	0	0
9b7bbff6-8589-4710-8c95-abe00583a4f7	0	0
9726a96b-7531-4a48-8436-4d2c2bdef64c	70	5.8338388888888888
60caff59-b63b-48e7-9a34-639a9a2052dc	0.594125249072381956	0.0495157185360235799
789972cd-cf35-4fb7-9724-5484afdde2c4	0	0
4d32cb54-b9ef-41ef-8d2a-b62a05f4dea1	0	0
8fed8709-e34e-44ae-b611-f1db417507ca	11.1837229437229446	0.932076322847522953
f2fbbaed-159a-4f02-bdcb-9b4356f85729	0	0
c4f3317d-140e-48b1-b81d-ab11acb41946	0	0
34895fef-9f02-4ec4-b8b0-7893c8e22abf	17.1436818181818182	1.42879253979797971
fe248259-fed7-4e0e-babc-8b8efdfa95f3	0	0
6e5f6246-e327-4512-9de1-3caa588a3a44	16	1.33347555555555553
c0a970ef-4162-432a-b86b-0dd2a7f9b01c	0	0
403dc1b7-8ce7-4f72-89da-e2857072c8d9	0	0
eb7c6181-b7db-435f-8785-2642286955f8	0	0
51cae3fd-4de5-40cd-924c-8bb2fafcff8a	0	0
96c2c8dc-050e-4aa4-8d13-b73bbef61c53	0	0
53e49162-e69d-4006-bef8-b71e193b55bc	0	0
f6d9afa7-17ed-42de-8271-fd6fd4733174	0	0
dcba1b26-f14e-4950-9152-aba32ef0cef9	0	0
0251a67e-4956-4da0-96cc-e173cd54e444	0	0
70fd02f3-3c23-4ad7-ad76-121fd9331658	0	0
a350c278-7007-4c48-8608-83cda068acf2	0	0
24b43255-a536-4778-a81d-01ff72f15f38	70	5.83395555555555578
2885d526-00ca-41b8-95a0-3426273cfc21	0.594125249072381956	0.0495130779793610393
e7a99430-92e9-4977-8ada-11e721786a87	0	0
cbfc2f77-f9d0-4018-b1e3-dc496b7ffb10	0	0
abd25b7a-8aa8-4fb4-9f16-15b1106b39b3	11.1837229437229446	0.932026617412217484
73a19d99-5b51-454f-93d0-ffff830711ff	0	0
a58113bf-6338-4653-80e0-24f1e75d3de4	0	0
d508b88b-8309-4331-a0b5-102453e49c80	17.1436818181818182	1.42871634565656569
c24c39f9-2fee-419b-a167-98f697fd6bfd	0	0
32907a37-dd23-4194-bd9f-4cb25d3ba3dc	16	1.33340444444444439
c413fe47-99d9-41d8-abe7-297ffa663620	0	0
c12d847a-6866-4a61-babf-f06fee228998	0	0
798ae968-ad7e-4b67-95f1-019905d5b94c	0	0
bd311b75-4a0a-474a-b024-94dd91a32a86	0	0
9b5c2f12-8c1b-4444-8bbb-2dfc6d2cd3ae	0	0
dc5c5077-cc9a-4a60-b70c-905d171a483f	0	0
42e6c55e-28cc-49cb-928b-654e27c30ff0	0	0
39e1f6a0-d0cb-4dd5-a17b-1c0975013660	0	0
c7a5a531-ec99-43c6-8630-10457ec4c70f	0	0
4e440eea-8d0f-451e-ad7e-63486bc0ad5b	0	0
ca4673fd-5c02-4161-b2c8-1174561f18de	0	0
9d670f0a-4777-46ca-9102-27a24063fa9a	70	5.83364444444444441
617e63b5-aa91-45eb-9173-db2745a0defe	0.594125249072381956	0.0495546667467961083
7410373e-ce2a-4aa3-a80b-00d7971052ca	0	0
b0f683fa-fcaf-4b0c-b7aa-98a2ff66a49c	0	0
ed3fbf75-ebb4-4a9d-8c2e-be0c4adaf943	11.1837229437229446	0.932809478018278071
6bee01af-ca6c-49d6-a63f-8d41afc3124e	0	0
c76dfdd2-dbf4-45b2-b497-e41a28a66fa4	0	0
be1ec9c5-0f2f-432b-9d4b-9ef4a7053304	17.1436818181818182	1.4299164033838383
ab730c56-0720-43c4-ad9e-23088be81ec6	0	0
35f67358-5408-4179-9a60-590e488a0047	16	1.3345244444444444
5d72ab88-17c9-4ac8-8bba-831df3c54b1b	0	0
428200e6-d749-46fc-b293-9177a688a260	0	0
2d1c737c-9007-482c-8a98-80c9abffecec	0	0
efb62e65-227c-4619-a724-389f830538a2	0	0
750e61ae-7362-4b34-bc8b-110deb00a2d8	0	0
7a8ffed2-c1ce-4480-a954-4b5b6db26f1c	0	0
9f7e3d45-f280-4985-8b2b-6a9baff2d5cb	0	0
1f7602d3-ee6a-4245-86c6-2135576b04ab	0	0
0cffea2c-4d7e-45d5-865e-269676d89d1c	0	0
6e127b39-4a1b-410f-acbb-25547e9f289e	0	0
da6d9b48-b59e-4c4b-ae68-6d5729835110	0	0
d3055e24-133e-42dc-a878-b664cd5f497e	70	5.83854444444444454
e6af8052-a3c9-480f-a886-e2c1e7196b68	0.594125249072381956	0.0495155535012321707
5bcee075-e3d2-41e1-a26d-cacb114aafbc	0	0
ce5b42bd-3d2f-4908-9255-5ee3af49ef4d	0	0
62cbf13e-6dba-4a6f-bbd4-39689a696f07	11.1837229437229446	0.932073216257816251
02cddd26-78fe-4379-b9d4-d58158e445ba	0	0
7feb6356-0671-475d-b56f-f0c37bd70f5c	0	0
7ffec4b1-621c-4359-a03d-ae5708425622	17.1436818181818182	1.42878777766414133
ec02a087-9c71-4455-afad-b0ac059a77ff	0	0
ac89969c-1fbd-4b61-a27e-eeab73d222a7	16	1.33347111111111105
160ce964-bd91-48b1-9918-9ff0983a6235	0	0
04d94730-740c-4f64-9c50-7437a354777a	0	0
d07d7f6b-aaeb-41c3-8b63-66e87dcb2411	0	0
f5c26be3-4921-4f66-b76a-af762b8491cb	0	0
0e7e24db-426e-4507-94bd-1e012fb2613c	0	0
9e2066a5-249e-4188-b691-12768af929ed	0	0
07278016-f26e-4182-97fe-dc695d3ff9b1	0	0
d46cb3c5-4b8d-4ad3-8997-5cbf35a86ed5	0	0
a292fd2c-bbec-4778-8293-65712cb1b64c	0	0
b6418c82-5477-463a-8edc-453fbd4cb148	0	0
3b4e50fe-b9a1-4911-8e9d-0e574265b46b	0	0
84fab8c7-abf1-4254-a49d-954add873764	70	5.83393611111111099
04fead85-4873-4d7d-bdb6-3a9200057b72	0.594125249072381956	0.0495168737795634445
3d4d5173-4613-4414-bbb1-9691abfadbd1	0	0
9a96220e-1ff0-4050-b3d8-a682e88f0650	0	0
bf49709a-1d53-4fa8-8e07-e208d0a0284e	11.1837229437229446	0.932098068975468985
c9f48a40-6399-4629-9a5c-f76f646754bc	0	0
cea8879c-d7f1-4a8d-ab2f-057b45495f5a	0	0
75059090-bfba-44c3-88a0-260b6da8c67d	17.1436818181818182	1.42882587473484834
d22406fb-b7d1-4fb4-bb1d-d220730c2a77	0	0
fe355c25-4ba2-431a-afed-a73d00c577bc	16	1.33350666666666662
b77be9d2-9aed-459e-9840-001ff3b66acf	0	0
8e27b2c7-1fe8-471a-b01b-e4786808f9a8	0	0
923dd9ef-9ba1-4fb7-905f-5fe44222cadb	0	0
d1de103d-7984-4d27-9ffd-e08766f1e8fd	0	0
81917936-0ba7-4a96-ae59-c9f091fc71ea	0	0
b83e9afe-7c1e-4337-814b-1ef4bb2752fd	0	0
8ad629da-cc11-42e1-9cd5-714ba8d0a517	0	0
66ef5e1b-ec1c-4344-94e5-0c6938c5d07c	0	0
f719740c-ae64-408f-ac71-86186e55fd68	0	0
93ae006b-6490-406a-a15b-70dadeedd390	0	0
3de2fef1-881c-4d3a-ad6a-9e17c63caf7d	0	0
dac84555-c922-454a-add4-3e4884bf4ea6	70	5.83409166666666668
d229c47b-9ca1-4d41-8ab0-5c634b4af818	0.594125249072381956	0.0495147283272751315
11686515-6843-4eab-bdb5-fae6a27efe6d	0	0
0d6790a7-7007-455d-800e-d97a4c866976	0	0
d2f0555d-fc37-4951-9c7c-ea84ecbd7f1b	11.1837229437229446	0.932057683309283402
526900bf-763d-4ab2-a75b-1d1d582ff9c1	0	0
5e1e1f4e-53be-4696-9d93-4c3d8a259aab	0	0
6e3e48f7-1838-4ad0-8f09-1e967a0361df	17.1436818181818182	1.42876396699494945
d4bfb959-8b7d-4ea2-8186-af39564e906e	0	0
4f3b6920-9945-4904-b2f1-6741a7a0f153	16	1.33344888888888891
e2042a6f-8f79-46bc-9b88-8d872cce6704	0	0
4ac8caf6-a796-48ef-937d-b65f3cd91f36	0	0
d69d6b6c-f5f0-49b2-a89c-ed3d3fb77a10	0	0
8c1dd43e-34bd-4d9e-afe5-71028a97d9e0	0	0
fe0c4ec7-f847-4ec6-a04e-8cefe2a4bed5	0	0
f778321e-2a32-405d-a7b6-46d91ae8d6e7	0	0
3a7081b0-9ae9-45a3-a875-b03e7dc9387a	0	0
eddda2b9-70e9-4168-8315-256a437e2b2f	0	0
63f509eb-8c67-440d-aca8-9e99e211e513	0	0
1e25be3f-a455-4e3f-9ac9-e8528a76544c	0	0
0f2da0f8-ac1d-4b67-89ca-0fbd8064ebf8	0	0
bd246b24-3feb-4e9a-811f-f81077fa3869	70	5.8338388888888888
efa92e99-c07d-4207-82db-07f7281689b6	0.594125249072381956	0.0495137381185266762
25f0f5d9-bf71-4638-8db5-cf4ac287f1e0	0	0
af15b19a-d34a-4603-8f23-39c2eb9974b2	0	0
81d24726-aec1-4120-92dc-2c86cd23474b	11.1837229437229446	0.932039043771043851
31bfcc22-e0b1-49bb-bc30-e69e276994e3	0	0
8c1ff3f9-4185-425a-a6a4-4791750f7ded	0	0
98edda91-72ff-44da-90fb-3414240c3778	17.1436818181818182	1.42873539419191919
8cd074d7-6ac2-467d-86de-8d780c274b8c	0	0
93a45a3e-5766-4151-abcb-d5b0b65c41ab	16	1.33342222222222229
eca95e41-a179-4a64-85d7-0dba26b625ae	0	0
eabd8e5e-02ad-4833-99f9-5d19b12d94d6	0	0
eb02de0d-0586-46b8-a399-92c5a4dce847	0	0
be242997-03fc-44e4-938e-f1378ad6c53c	0	0
641d6b28-7ebc-4052-aa46-74cd540370fd	0	0
1b88139e-5cf2-46d6-a922-cc9e149dae29	0	0
872e6396-a914-4b66-8aaa-62c5dbc58f62	0	0
79b0fcb0-cf72-46a0-8952-9b7734b22c7f	0	0
99cf978f-6b2e-4d8a-8426-3fe53e76414b	0	0
b2660976-75d6-4f23-b9c9-dde640676b66	0	0
78c6e63b-91e3-4ed7-bb25-b6fb2ac0eea3	0	0
3c231c43-7727-4cc5-ae22-7cf973fda736	70	5.8337222222222227
e0f2594b-404a-405a-bc8c-7cbb851670a1	0.594125249072381956	0.0495127479097782208
94e6d9c5-bb23-4110-8da8-2755bab111f3	0	0
a9390a58-85ec-4cbc-8cdd-ce62a5c129ff	0	0
e500f6e6-7549-42bb-bfb8-e3a5b73b2a72	11.1837229437229446	0.932020404232804189
5ea481e5-12dd-4d84-95db-fa85fd56728d	0	0
782764ea-3928-4822-88a1-6efc5afd366f	0	0
3b4341a3-6a77-4e12-9a52-1b1174d269c5	17.1436818181818182	1.42870682138888871
183510c9-fb04-4133-8306-fbfe7a640084	0	0
47c98495-d6d4-42ed-b7b8-e2883ef315a6	16	1.33339555555555545
5a808bfe-608e-45ce-a13b-18b56b000625	0	0
460282bb-bc2d-41de-bf4c-601aa3507133	0	0
3cf64709-fa26-4b85-93db-8c3b0d2c7426	0	0
056f1f9e-729c-429a-8e64-669ab3d6773d	0	0
302aa300-041f-4019-af32-4e68d64250e3	0	0
9f6945f7-8789-4259-ba14-b72660f5a3ff	0	0
7a375d28-9b69-446c-922f-9b6b7706e8b5	0	0
99f1a199-3a93-46fa-9db2-fc8737e5624c	0	0
2fd9d86c-2b85-4742-b828-873f64cbc7cf	0	0
c2fbe146-a6f7-438c-8499-60e01a860fbb	0	0
e9e7bccb-1171-41ef-bcab-096a104a0d91	0	0
7d622372-0d36-4421-8a78-30cf21bce067	70	5.83360555555555482
69829cec-faed-4e2c-8abd-fec2545f3096	0.594125249072381956	0.0495087870747844064
70dd51b0-6963-4022-b336-980bfa19f2bf	0	0
881a598d-c730-43cc-a528-171f952539e4	0	0
98d583ed-582d-482e-b812-95aa9db267fb	11.1837229437229446	0.931945846079846207
27808c16-0ac8-47a7-a61f-f57f054dd7e8	0	0
ee801043-d8ff-4fcf-b0a4-75abf62a9f97	0	0
31331e6c-9fcd-48fd-af2b-04a4d57fddca	17.1436818181818182	1.42859253017676768
9ab47c81-500e-4889-80ed-d60d78d77a8e	0	0
13f97d54-8545-4ff0-9a2f-fbe506558c59	16	1.33328888888888897
6db59ebc-663e-4fd9-af2c-1158ca3005f5	0	0
7a6b2018-4fb7-49de-a15f-f2260e2a0598	0	0
e2f3e755-4e37-42fc-a93f-34633390623c	0	0
90126fdb-1855-4c22-af0a-cd337a82b05d	0	0
ad85dc4e-0291-4218-b976-ea3bda6e6972	0	0
643d1b70-c0f2-47cf-91bb-e5bdc9d1c50e	0	0
a6cb3bc3-67ea-4804-b3c5-6ecfac98871b	0	0
fbe924ba-408a-4897-91c6-b5350c6eb10f	0	0
35c21504-c4c4-4be0-ae5a-c1e1f90fed91	0	0
59aac729-22dc-466e-ac16-f21038e000e7	0	0
561eeae2-f952-43b1-bde0-d4151681f724	0	0
e0566bb3-024b-454a-8469-9443fd95c6ff	70	5.83313888888888954
7b7e3b05-abe5-4c7d-86f3-99d825ee8bb3	0.594125249072381956	0.0495185241274775367
e3cc81b4-5734-4a92-badd-e611782c7ac5	0	0
dd088b4c-dbb0-4a1a-ba74-56940eacd8fc	0	0
deb51d7c-a615-4f5e-a76a-abd82d20af26	11.1837229437229446	0.932129134872535015
fef2f44f-5ead-4afe-8ab0-045e1864d2c1	0	0
e19a3869-6c68-43c7-875d-2708f5e307fb	0	0
6bae5f25-2db2-4395-bd47-836ed186d5ce	17.1436818181818182	1.42887349607323233
9ee9db26-7d10-4625-a412-a44648d01cdb	0	0
b3ea1a89-8774-43e7-97ec-dafe1d328d78	16	1.33355111111111113
1ab78c0f-4b2a-442b-b889-331beb216b91	0	0
8533bd5d-6e63-4255-9d74-a245949b7417	0	0
5dcd3def-1392-4490-9aa2-30d6b368d191	0	0
c47b646a-69eb-4133-9e23-d832ca055869	0	0
cce2271b-629d-46c8-8927-10a2708c12d9	0	0
567956b4-6710-4670-8bdd-8009af2f5597	0	0
a7eb78d4-7661-45d0-a357-c4b1ae615ce6	0	0
7ab57e55-e0fa-4e8e-9dd0-a17da0c2702a	0	0
9981dc63-0d0a-4225-85d5-4d0c0652cd39	0	0
4238a1e7-39de-43c7-9a1a-5a4bb30254c3	0	0
3312dd72-a61b-4462-a9b3-0c1b52a9477c	0	0
63067f0a-b540-41cc-84fb-fb7daf588be6	70	5.83428611111111106
b2f214b0-bd0f-41db-864b-14cbcaa8a671	0.594125249072381956	0.049516543709980626
9c2ae2b3-760a-438d-a55e-6a2e0259e789	0	0
a3a613d6-e801-47c9-9337-f61ef7976b8f	0	0
fce5aa01-929c-4105-a613-61655f8a00ca	11.1837229437229446	0.932091855796055802
2270cef1-dee4-4d8b-9bff-7c9843eeba0f	0	0
92c37f63-7425-48d9-939f-ee3bba5e6f1b	0	0
796d8880-7935-4273-b9a9-c3c03727ec45	17.1436818181818182	1.42881635046717159
17b0bc4e-b47a-47a8-b9f4-9206db1d2521	0	0
a4f5b534-a2dd-4c7d-a512-47b77891531b	16	1.33349777777777767
76bd7e06-d7f6-4469-8ca5-69427a67190a	0	0
3743d28c-591f-4838-b44a-7c6b7bdc9076	0	0
5dbaddce-f394-4106-ac61-2b47ed1934d5	0	0
e33e1ac5-b282-44e4-8a46-dd255cf4169b	0	0
cb5c7127-cc57-4945-9e7d-7e77562f4ee8	0	0
d44b51db-4fdb-4e89-9141-73af2e602023	0	0
d8613b11-73d6-4289-9deb-06c79b197390	0	0
b36d96d0-b0a1-4543-9bd3-b4618e279f68	0	0
bd763a1d-ba8f-4a2d-814b-0915c6c640aa	0	0
ceeb1d3b-ab13-42e1-b23c-f7f4fbb54914	0	0
9d340f31-d2e3-4d50-897f-8d892b2c3199	0	0
e96dbd8c-3dd5-43d0-ba72-e14f544a7b63	70	5.83405277777777709
1ac33089-c108-4f37-99e5-91937391cbb2	0.594125249072381956	0.0495115926662383563
70e7e91f-dde0-4c4e-859c-900a629a6f11	0	0
71dc74d2-5e4b-4489-b58a-c6e6fc81e1ad	0	0
55161321-1b83-4a30-9689-ae1592e3268e	11.1837229437229446	0.931998658104858158
685d1dea-0616-4fae-9410-7f03d9ab2364	0	0
21c108bf-fd3b-4c02-ba03-3e63cf19cf2e	0	0
3e40d552-47de-4568-a372-dfc74086e82a	17.1436818181818182	1.42867348645202008
e7d6a382-563e-4765-a0be-302f2fd42862	0	0
1befc2d1-d8ff-409f-8882-28d8189a70ea	16	1.33336444444444435
087df9f0-3a86-4ee2-a196-c481b47e4340	0	0
7e3ee5e0-7fcd-4a21-98be-afe042a6e124	0	0
d5fb071a-c7d6-40b8-9352-d94abc746ce1	0	0
9c69b9d7-7cb5-4a51-a143-f53e5d45b51b	0	0
3f7f1ff9-efb1-4b2c-bfc5-da29f4bd5d8e	0	0
297e6ea4-20d1-4574-a036-a31961df0cca	0	0
98a718d9-8326-4b31-9de7-dde0eabcc284	0	0
71880228-bb18-4800-b80b-02dbbdd3bca3	0	0
be44f1ea-330c-44f3-bdf2-72ead6cda9ff	0	0
71fe2274-fa4e-4a74-9910-89cbe818810f	0	0
5ff1b0c5-cd0c-40c8-acea-0545122811c7	0	0
2c167bb9-3221-493a-b8a7-b7fd88ed7576	70	5.83346944444444393
31f142fd-5fe5-4c7b-ac31-4d6042bf2016	0.594125249072381956	0.0495130779793610393
b0114021-53ff-459d-95c9-c520e8354494	0	0
2dd85832-fd30-4eed-85e8-910f575dbbc9	0	0
d1ea31de-c547-40bd-ba4c-849308f98636	11.1837229437229446	0.932026617412217484
7099f4f3-501f-4bee-95fc-66aef6415119	0	0
50b163aa-14c2-4f32-b792-ebbb525ed41d	0	0
e343d52d-d659-4c92-825e-bc159b16cdbd	17.1436818181818182	1.42871634565656569
e3e21ec4-12ee-4086-ba12-9299106c031f	0	0
ef3c237e-8867-40e6-9469-366a80b80ea8	16	1.33340444444444439
0e32fa2b-3f0c-44e4-bf7f-8ab4b5a2defe	0	0
a27c33e1-0f31-484c-8350-eb25410e5800	0	0
4ec09eed-8c47-4308-ae9e-efd1eece7a2a	0	0
a6aa4343-b3b2-4dd3-9ccf-1e0d5eeb5f18	0	0
e2be8fd6-5afc-4b32-831a-5118d22ec27f	0	0
c8a5f154-e9aa-4011-baf9-f936e5ed0a83	0	0
2ea3ac72-6976-4112-80d8-9ea089d29821	0	0
3ed6277c-e2c2-428c-83b9-3ad90d2b42cb	0	0
05307ce3-b005-4761-8def-6d775e88dbed	0	0
3bda75f5-227d-40e8-8f76-7e291a6db0d7	0	0
033c3d74-5c99-4078-9984-0410fa9d9150	0	0
4c70ac27-61a4-4301-9619-89601f4f5b01	70	5.83364444444444441
bdb8a140-9556-4688-9bf7-314df2bf7187	0.594125249072381956	0.0495145632924837223
3e08f54c-9e92-4c9f-bf18-7edeba1b78e8	0	0
d5453064-dca8-48cb-921d-0141a8e69b49	0	0
d9513449-901e-4428-b8e6-a9c42f2d1e12	11.1837229437229446	0.932054576719576811
476c02e2-9289-423f-ae3d-ee37eccf8d3f	0	0
54c4b4aa-2132-4d10-8d2f-e520dc039848	0	0
e8a50bbe-979d-458b-907b-2087e23cbea3	17.1436818181818182	1.42875920486111108
47fd8547-2e6f-451d-973b-40e07f530228	0	0
44f70b01-0383-4586-b490-29bfc45ef8d9	16	1.33344444444444443
d5792edf-eeed-4036-8acc-c41f6d7143b1	0	0
faa3d318-2f4a-4254-810f-53536dc19200	0	0
0e5d2a21-cd09-4f62-a9e9-c05650f3c076	0	0
e98c371f-e983-4477-9f5e-083877b88b9b	0	0
b1fca971-6a19-4f8b-a46f-915ab1e0345f	0	0
6afb2c95-106b-4e7b-b3ce-c5ce4c44fec5	0	0
ccc3ffad-64d2-45a4-b436-dd31d26eaefb	0	0
f1a76a7d-5178-4b5a-b6f2-40fb16a282e5	0	0
5dd809d2-93f7-4a99-84fe-44efd83c336b	0	0
5654202a-0a63-41a2-8149-f0caacfb4dc6	0	0
1ac602f3-ee82-44d0-bf18-397d03ef856d	0	0
f88ac120-e1dc-4f9e-b68e-989afeee4c61	70	5.833819444444444
eeec5139-87b8-4f41-95af-19e92736b64c	0.594125249072381956	0.0495115926662383563
5fd27f24-8b60-4d88-81cc-3bbdafbfe181	0	0
4b977bc2-4a19-482a-b636-6ef8721ee5d9	0	0
52e7ba29-6c51-414c-a933-4b17e1ae03fa	11.1837229437229446	0.931998658104858158
58010803-3918-4be3-ac7a-15bf9938c8f3	0	0
0bbc7dff-4dac-4eaf-8ee8-81b4968ac184	0	0
3c971c01-9c63-4598-a6fd-93af35df1d7c	17.1436818181818182	1.42867348645202008
131df35a-bbab-4b71-aa8a-78d7e164558d	0	0
5d391f6e-f912-466d-a7b0-af63c3042ca7	16	1.33336444444444435
fa2a0ca0-3231-4d1e-8cbb-90b561d330d1	0	0
1d150063-e5b5-4ef1-b54f-8cbcbe83797f	0	0
e9f0ed48-ae53-4702-be68-d590f03fb9f3	0	0
7b331888-93ff-451c-8150-7329c7d33484	0	0
1a7a6496-469b-4abb-9327-2045ecca5fc3	0	0
f70ead4d-cd3d-49c1-968a-3806e3139f06	0	0
742879c3-dc18-4ed0-9c63-1c69a89e748d	0	0
45f88311-59fa-4cac-8a46-cd38e0c51c47	0	0
62bae854-98a5-4174-8981-851bfc224f15	0	0
49a94cf3-e1f8-4594-9326-c2427115221e	0	0
42f23f8e-2969-498d-823a-6318e3bf0905	0	0
918ada2b-a43f-46f0-a51c-4d596eb34243	70	5.83346944444444393
33c8323d-c77c-4b6c-afa2-5f28dde23ad3	0.594125249072381956	0.0495139031533180854
be9fd84e-d5e6-473b-9603-952654e12477	0	0
28f5c100-7875-4066-9679-dbeecd276ff3	0	0
3e1c8f47-a047-437f-ba03-95150da056be	11.1837229437229446	0.932042150360750554
1b92822b-d6a0-4784-bf10-00de30837df3	0	0
96ceed24-aa01-4681-8364-9221af4dcf91	0	0
25305500-a9e3-419b-b818-88cfcafcbcc9	17.1436818181818182	1.42874015632575757
94a5aad1-3530-4238-954c-ea120734ec5a	0	0
0f073082-6c73-425c-ac7f-8ef567687ee0	16	1.33342666666666676
10a9272e-e9fe-4a47-99ea-6af308677c78	0	0
639a7f9f-e773-4e08-90d8-26cbd139ace3	0	0
7a5cdcd7-f096-4c56-a8cb-eb1b6da804dc	0	0
812f54e6-9035-4e9b-abd9-52a88b1ead7a	0	0
5f528aab-e43e-4880-9430-a9a641c2ada9	0	0
09fd9206-3b28-469e-b47f-067845280dd9	0	0
0322d7a5-5ba3-4b12-9996-545f5033f700	0	0
09e4a1f2-ef5f-4b4a-be46-7e533a1aa386	0	0
ba003857-254a-4d10-b708-026d9c30033b	0	0
c6b08754-a3e0-4b86-b41d-4fce8c600af8	0	0
b78ac13c-d9b8-4cf1-b631-a98486821229	0	0
ac1e6035-1aa1-43e5-8a21-5e4db115a966	70	5.83374166666666749
be47d70c-f516-4a3e-966e-1b3a6be5a23e	0.594125249072381956	0.049507796866035951
7ddb9547-c661-40d7-adae-bc452ba7737f	0	0
4fc8e392-13f4-46c1-a132-740da94dd1ef	0	0
4a4a0559-04e7-48fd-aa1e-88171024d425	11.1837229437229446	0.931927206541606545
ec4e77aa-b595-4353-abd0-67a5797ff355	0	0
28b57fa9-dc83-4a5e-80ee-3e47b973f02d	0	0
1960fe19-e764-46cc-bc6f-7533c7ef3614	17.1436818181818182	1.4285639573737372
d6d10f1d-25f9-4fbb-924b-a199d40133e4	0	0
72df2160-de0d-4cd7-86ae-dcf08cfd8ba4	16	1.33326222222222213
862dc5e0-3c06-4883-af4a-5a594ea7d412	0	0
b7f6c1be-775f-4380-a57b-1f8502db6274	0	0
f8e6ae35-2d08-4343-abc2-2ff46e1800d9	0	0
7275cdbe-8f5e-4cf1-8015-5c0add7d6952	0	0
4c7e09f2-128f-49db-8cc5-38f8ca2c2510	0	0
227b7f6c-4e30-43cd-be22-a6972ea2b47e	0	0
09708c06-8738-41dc-b844-a1c0b8f1f96f	0	0
dc4361d9-91da-4de6-bd43-438ae41e555c	0	0
c13751df-63e1-4564-9ea1-669d0afd0561	0	0
8aa52930-29a3-4f61-a49f-d5eafd4f2eeb	0	0
2e3d2c4e-8220-4807-a540-d8a6f2065d64	0	0
6a3f5bc3-7882-45d2-9a36-896477919fab	70	5.83302222222222166
5c12ee8a-364c-4180-b893-1c1c1d488526	0.594125249072381956	0.0495206695797658497
2bc394d5-1394-4a1b-b86b-c3198e689fd6	0	0
dd207319-06bc-48cb-bb92-9e44cf11e713	0	0
93fcd1c3-c785-4739-a5cd-00883773d89f	11.1837229437229446	0.932169520538720597
d18ab452-55eb-4400-a5f0-3c965205db60	0	0
e519ec9f-3f85-4fd0-9a39-ff49075edab3	0	0
c14bf511-5cb0-4c10-b39e-ffbe39c1f0ce	17.1436818181818182	1.42893540381313122
4f841ec4-726c-4150-b01b-92ecf4c81340	0	0
a5cb2b66-ecf5-4dc9-b7e1-67b7814c5a99	16	1.33360888888888884
7df79815-f473-4d5d-8bff-627513182f31	0	0
f4555d0b-8639-4b9e-84ed-8953db59efbc	0	0
3253faf6-b435-473a-963e-26c92f301be1	0	0
977a37f9-a194-4812-b3f5-017e89f67da1	0	0
313e497b-5101-497d-aa26-8ee420ebec9b	0	0
0ad01e98-f383-4dbc-ba66-c40bbcb89128	0	0
ab7f30ad-31cd-424a-8768-189ac3b44bfa	0	0
a36e212c-3a12-40a9-ad93-61e2ac71c020	0	0
f10c4deb-0347-48a2-adf9-da94d25d210c	0	0
597e0894-2b61-4203-8618-18a013686cfc	0	0
dd7000d4-06ea-4415-b90f-da9ad453b230	0	0
05b19a12-b811-41d5-83ca-535cf0d6128a	70	5.83453888888888894
ffb7b1e1-244e-4b31-98af-f238aaff50d5	0.594125249072381956	0.04951505839685795
127ac4ed-cb5a-43ff-8842-96830e270d34	0	0
3af16fed-08db-4ccf-ba19-aadc163084fa	0	0
8813f3b1-5e4d-4e68-9886-3a7043e7c1e8	11.1837229437229446	0.932063896488696586
0d44f8be-f3fc-4cc4-804f-7233008ce491	0	0
485b048f-564a-418f-9e11-bfbe3c6cc867	0	0
f2c376d9-db05-4f57-900f-bdfb84a46b07	17.1436818181818182	1.42877349126262643
2c20d5cc-5db0-41b1-8d1c-d14aaa6f1100	0	0
6fb38efd-310b-4bf3-877f-8730d3d77c85	16	1.33345777777777785
a8233e87-bee3-4d5f-84cd-4d2c8fcdbfdc	0	0
1065dbe4-7a9d-4959-906d-3ddc6134f2c2	0	0
32f9cf62-4d19-4d99-9ccf-7130d0cbcae6	0	0
e04e398e-8a4d-4d75-9eee-b6ac783557db	0	0
5eab8350-533d-460a-9625-edc16b83027b	0	0
141a2a43-48a2-4411-8972-7efeb85c83d2	0	0
70c42f71-f441-48e6-a090-c1143bb066bd	0	0
f4bb0e25-8c8a-4fdf-b82a-2880941e7d33	0	0
49fcd9db-d24d-4c29-bb37-5c993aab6457	0	0
3f084e80-12e7-4aa1-b3f8-53134013cf62	0	0
a7f479ea-afc5-44f6-8192-612295b9c67f	0	0
33f624af-4f00-468d-8e6c-856b5134ec37	70	5.83387777777777838
74f6362b-50f6-4911-ba24-577916557f13	0.594125249072381956	0.0495122528054039931
1e3abee3-ba7f-4962-8924-4cef9187df5b	0	0
d605ce8d-f2c0-4b88-88e1-557b45e8a7d0	0	0
558a7a6d-2ce9-482d-aec8-05c713b1fd50	11.1837229437229446	0.932011084463684525
b7b352f8-502a-407b-ba7a-0852ffd52c6f	0	0
afe44fe4-a222-4151-9e93-b1ddd3adda60	0	0
1a5ef6be-f667-4615-bed2-d8e8aadfe3b5	17.1436818181818182	1.42869253498737381
472c4e60-2e9f-40cf-87a2-e642ac9795ee	0	0
bd71c7c5-dc3a-4907-8cfa-f953f13eadcf	16	1.33338222222222225
89a2be7b-335a-423d-a007-34226520619d	0	0
3a8971fa-3fbd-4d14-a842-92cab9cb9849	0	0
12ca91d4-c654-424e-be47-344da0b74220	0	0
4d80bacf-c35a-43cd-b731-83693ba067e7	0	0
89dae106-c9f5-4872-84e2-1b4efa4b917d	0	0
f6d7529b-e786-42e2-9c84-26b71063fda2	0	0
7b28206e-5963-4997-bc65-433423252964	0	0
f1309df0-d2a4-47d1-b8d6-5ee374793539	0	0
1b4ba7ae-4447-482b-a573-adb5bf54e16f	0	0
04e6ec3e-3a1e-49d7-8ec3-63e859855f8c	0	0
67bafccb-5dbe-4f28-8acd-b99837d79307	0	0
c7c427dd-20d9-493d-a3d0-633247af8d92	70	5.83354722222222222
550a75b3-2dfd-41fd-8e8f-c585e9834dd2	0.594125249072381956	0.0495162136403978145
8f6367bd-bfef-4b5c-a5aa-4d30acd0e81d	0	0
223cbab1-fc8d-45a3-896a-35da1f3230de	0	0
d3dab502-d75f-4ef4-98c2-2f1be1724294	11.1837229437229446	0.932085642616642729
4ab5c16e-6f69-40cd-8b10-214cda6d9458	0	0
3b1ebee4-c8e8-4dc8-a9b7-b433c0b8b3b7	0	0
2c40eec9-9b06-45e1-ae65-98b31ee8559a	17.1436818181818182	1.42880682619949506
c337b03e-0d50-4f09-b9cb-22de6851c1af	0	0
065cfe56-5b23-4e67-a620-755a39282c06	16	1.33348888888888895
a0613597-260e-42fe-8251-8030e8eec4b6	0	0
d5278b46-285f-453e-b482-212058cf542e	0	0
78a5ba50-f762-4870-b882-1363bf89426e	0	0
de6e9180-4059-48d5-8403-20aec55b27e6	0	0
686caccf-67d5-4106-9184-560711676fa6	0	0
de93e760-e7fd-4f57-b05a-f2133db5c7fa	0	0
2e44bd91-6802-4362-ab59-1733fd53f381	0	0
eb0927d8-789d-4e95-9897-e715018b7e58	0	0
0c2746e0-9581-4bb5-8d06-8b3e68d2e540	0	0
1d976aa7-8fb3-4b71-8d08-15e4676b9228	0	0
dd9abb5a-aac4-430d-8070-043bed5d8ae9	0	0
c026d8da-dca5-407e-88cd-6d58908f754e	70	5.83401388888888928
595e5058-6350-4c9a-a6cf-6172b36a0334	0.594125249072381956	0.0495104374226984917
afa135ee-5259-4ace-94f4-8a12cda0a7c0	0	0
9806bf3a-2fb4-4b82-a1f6-4fba9dcbe899	0	0
9576d2a3-ece9-4dfe-b4b5-5dbe2a7f12e1	11.1837229437229446	0.931976911976912015
94218991-064c-4d0b-806e-d37c3628dbb5	0	0
944f27ba-f640-40da-b25c-73e3c3dff962	0	0
4b807c01-5841-4fea-8259-7ff5aad40d52	17.1436818181818182	1.42864015151515145
70428a85-0d38-4d9b-8f71-738f9a48ff44	0	0
7c617a4e-83c7-4a91-b1b9-8b3198418489	16	1.33333333333333326
a1458009-c775-486b-94a7-263ac8e4d256	0	0
9e7fcce5-873b-409c-ba93-67c71f624442	0	0
ba11dc41-c950-4e5b-8b7e-4f340b8fff5e	0	0
1d7a0166-6e9e-41ef-a3a7-faa4d6e6f846	0	0
0315e308-3935-4e3d-bfec-a70460e8d716	0	0
2a0508dc-f252-45ba-9ab0-1533538676ec	0	0
15d55d0b-3c7b-4694-98cf-bce812c8e600	0	0
5f0e90c4-68a7-4f89-9a1d-35193bd9d17c	0	0
f7fad014-635a-4984-8ec0-bb6ab71232d2	0	0
afaedb75-9003-4a57-a087-d315c38ad8a1	0	0
b7a6291a-fb05-4152-8b88-6ac0a8976262	0	0
b4d9f18c-d764-4d83-92f9-ab6147a54deb	70	5.83333333333333304
66277f2b-8b8c-4dfe-9ab0-c13aaa6e811f	0.594125249072381956	0.0495101073531156802
d421ccf2-45b0-499e-9cd3-8c05f7b3af62	0	0
f995c077-f483-4f4a-be46-9717a6765f0a	0	0
84b8aa14-41b1-4714-80e2-d451f21e2250	11.1837229437229446	0.931970698797498942
8ab79809-000f-442a-bb6a-21bcfd7fcf30	0	0
8b54b6da-c6c9-4ed9-aad4-647f7bdb3cdc	0	0
e678d264-3a21-4250-b69a-7d4facd78f37	17.1436818181818182	1.42863062724747492
3fc24a0c-0222-4fd5-8a93-42a5fcc8ae4e	0	0
34feb699-0054-475b-a474-2b08644c3676	16	1.33332444444444453
a055ed37-5cb7-484a-89c3-4c5f9798883e	0	0
aed42f9f-96ff-4ad1-a499-d24bddaa6f77	0	0
215a5c8f-9abd-43c4-87fa-c210ec6675f7	0	0
a96a65e9-0ac0-4e43-a382-9a9a86072306	0	0
ba29a55c-42af-4405-8f31-fa62356836f9	0	0
f5ce4db7-db12-471f-9106-b6638d86cd79	0	0
0e55dee8-8a29-4533-984c-820265d72c66	0	0
ef0f161f-c22e-49a6-8a59-09d1569ef86f	0	0
58829c1c-34cc-4fa3-9cdb-0ad26989ec5e	0	0
06ce2ae0-ff94-4cc6-9694-47254c61dc9b	0	0
256aaf6e-d7f0-4560-a42f-b414eb3ada02	0	0
2f09c24d-808e-41db-b6b6-b13312480e7d	70	5.83329444444444523
df523e9a-8c83-4d61-adf9-1578aa4814ac	0.594125249072381956	0.0495185241274775367
7e21548c-dded-419e-a5f8-3eb453d6d5bb	0	0
fc71e9a4-8ed0-4f3c-8f4d-70bb16a65e77	0	0
8d78b9ad-c205-4229-a9f9-3533e9e5697f	11.1837229437229446	0.932129134872535015
4969d1c7-f540-4fe7-9f4e-b4a11f54436b	0	0
350df47d-3952-4159-b654-5b7265862ad6	0	0
2069dd0e-f11e-4d21-b9a8-4e40a212543a	17.1436818181818182	1.42887349607323233
6c69f415-51c6-434f-930f-ae227b765551	0	0
b7698b1d-5d10-42ab-abd1-725fd7874c98	16	1.33355111111111113
352604d8-d84b-4845-95bc-3dba31ad13b4	0	0
1c698115-ec2c-4921-b041-978729b2c3c0	0	0
a8af8840-1499-4a3c-852f-d63dfc257446	0	0
c8880348-2007-43fc-ae24-40eadf2d7d4c	0	0
420c9452-26c5-4621-9ef8-767987097e2b	0	0
1078468a-6f79-4cee-952f-5db37538b48c	0	0
14c58a9f-01b6-4da1-b0d2-b785473e4dd1	0	0
b99e97f7-493a-4e19-a617-c31b57569614	0	0
e9e7a7ec-df55-4b23-9b21-8ca832123725	0	0
275f7264-6bbc-413e-9e2d-aa6224fc561e	0	0
75aa217a-77c7-4cc3-a295-c4778cb7abb2	0	0
55acd412-51f1-4bff-81cb-51a66a72e10f	70	5.83428611111111106
dfccfa86-31b8-41a6-9389-ad631a63a9bc	0.594125249072381956	0.0495145632924837223
c681e206-b46e-4c48-bdd0-b40b4796e570	0	0
d60cd3d2-1c67-48ee-a68b-71308be3a015	0	0
f8726ae7-0fc2-4396-ad5a-19f24506ff13	11.1837229437229446	0.932054576719576811
93c3030b-541d-4a8c-8a11-2bcbee59d896	0	0
cbd0eefe-84d1-471b-8a6d-4de5fdf5072d	0	0
c4372be0-98f2-4e46-947c-2f28009c5922	17.1436818181818182	1.42875920486111108
547959bb-7735-4451-a0ce-7898f4c551db	0	0
2a129870-396b-41b1-9e12-13121d899686	16	1.33344444444444443
99c8f312-e17f-40a1-91b3-a90f878d4553	0	0
4e5499ca-56ff-40a0-8fd9-0f309ca276cf	0	0
58b29985-8fd2-4a2b-b233-b3be850d6b85	0	0
236041bd-150f-482b-b5da-7ae2f66e989a	0	0
156b78ce-84e1-4f1c-a42b-fb7d1cdaaa3a	0	0
6e4d62d8-f61b-4ac7-9da5-8cbff79efd4d	0	0
c9a73576-68bb-492a-a4f9-1cf509ff6ae9	0	0
62e8688d-1d78-4cc7-a472-2d6f54c27ec3	0	0
70787933-0a11-490f-a517-74e3625d800d	0	0
a8dea82c-3474-4c3d-852b-c33f58aa7199	0	0
6fed1c8d-8638-4be3-b4e7-97ac39a327f1	0	0
5974afe5-a630-4138-a7d8-863b8821a666	70	5.833819444444444
af37529e-7a0f-4360-841c-333b5c447b31	0.594125249072381956	0.0495130779793610393
621da8cd-b02c-4526-956b-ab463a314a8f	0	0
7976aac7-f01d-4c56-af80-63697e85f2a9	0	0
4e2a36c6-4524-475a-b6c6-93f8cc65e424	11.1837229437229446	0.932026617412217484
3bcfbe8c-a238-4978-8119-c6e22bce3f2a	0	0
4e3c4390-0150-4bb5-91b3-12a7ac46b598	0	0
e2e446b1-a75e-473c-ac29-7978edacc1cc	17.1436818181818182	1.42871634565656569
00c6d553-9b91-4ee0-9d23-b79289d8f948	0	0
7252f572-7d2b-41af-aba4-b5256667217a	16	1.33340444444444439
6bf8dbe3-86e8-422a-91c6-298f2fac3401	0	0
6ce11dfa-e755-4266-a56e-cb5a0cbdec76	0	0
2e64e1fe-cf4c-4c13-ace2-19abcba9c4e5	0	0
5ef78170-3003-46f1-8e7f-86c648121844	0	0
f3f351d5-411b-4021-a92d-cbe6930e6937	0	0
2d124369-0e38-4f31-b3be-b79d60147def	0	0
04ebb735-8ea1-46c6-91a1-c957a5d04f66	0	0
ec61404c-cea1-4804-a828-940220babe3c	0	0
a7b32b61-ea13-4af2-bd10-a19e78cf2a71	0	0
a93e2c29-4bc6-474d-950e-78ac773f2561	0	0
4c4cd349-7848-4146-b82c-7a9c9b62e985	0	0
44efbea7-c6ad-43a0-a57c-7e15c9f459eb	70	5.83364444444444441
dc77e7b3-08ee-4def-b513-dbaf5472dd83	0.594125249072381956	0.04951505839685795
2991d54f-3b94-428a-a5ac-1eb795e12003	0	0
449acc55-4cdc-4101-b06b-de952b6b8959	0	0
bbee3e1f-b1c6-4d33-84bd-17bcd6c2833f	11.1837229437229446	0.932063896488696586
493fe61e-d814-4c0d-9d70-de5220fc5464	0	0
f85cecd3-c0cf-468a-b20d-5485c0821488	0	0
fcb77131-ee89-400d-88de-d4ae624299e9	17.1436818181818182	1.42877349126262643
beea4024-d392-4954-818a-c33f69e87e93	0	0
47c6e6ac-ddec-432e-b7a4-f3565fbf9c9c	16	1.33345777777777785
ef46bbeb-4881-44de-bd79-8fd02ddb643b	0	0
5265ef70-c843-4860-a863-01d077ef1345	0	0
ceb692e3-ca48-4d1d-b4fc-52acb7f34922	0	0
032d10d9-e8be-48e8-87d2-632665b385e7	0	0
323d34aa-5ea2-4381-87ae-c6ca808cb379	0	0
b059679f-7ae9-4e8a-acf6-f19eda02ad34	0	0
50e15e4f-7ab6-41fc-912e-c80f53397fe5	0	0
dbdbea42-3cd3-4a5e-b825-17574472dea0	0	0
e5077638-f5b5-4c70-9d0d-9372552542e9	0	0
d37b3ce7-0545-4b35-8b9d-ffd16d72fc56	0	0
46a13fdf-8102-4218-a1ed-d779f4ff7c5b	0	0
40c0cdfa-dcb1-4127-9986-7ad009aa4162	70	5.83387777777777838
5943f48c-b409-4974-9550-a3cdfdd2e706	0.594125249072381956	0.0495176989535204976
a4bb0af1-c203-48b4-8471-70cac76d8ffd	0	0
32f77965-1de9-468f-989f-179adc790f7f	0	0
25b029dc-0e2c-49c1-bab2-582a0a6c5da9	11.1837229437229446	0.932113601924002055
c1448786-cb64-451b-9a23-2c321177d112	0	0
7001ae80-33fe-4131-9126-1f70678c9a50	0	0
19ce255e-9d37-4737-bd55-e02b91392e60	17.1436818181818182	1.42884968540404045
25984fcb-0562-4f30-86e7-0c71e41b11ba	0	0
acebc982-1b19-4b5a-9ee7-0c2206dbaf44	16	1.33352888888888899
2c01c286-348d-4fa8-b358-0d5615cb0dac	0	0
a8512168-ec37-4fb0-b5fc-d7732f6cccc6	0	0
ff269495-2c79-4daf-aa10-fb67e3908da2	0	0
c3e3b5a8-b19d-4bd5-810a-aa380aed8279	0	0
09363b52-c760-4567-b1bf-03d0cef13b2d	0	0
41d6a366-a561-47e6-b94c-2d5685ec1e17	0	0
52e617c6-e9d1-41e5-bf91-bf709427b3ab	0	0
e1c84544-0afc-49eb-b0c7-65a7aca7685f	0	0
0e443540-30f6-4d9b-92a5-e3f508cba4b3	0	0
c90ceb49-6d63-4afd-9899-99a1647dfea3	0	0
8c5b9f51-688b-4e5d-97ca-c414f6c34913	0	0
23690351-e3e8-414c-9063-c4c9700dfd22	70	5.83418888888888887
2d07123a-8d27-43b9-8d11-b6890bf0aeb9	0.594125249072381956	0.0495099423183242709
1d07b463-1e24-4b6e-8851-66debce5f118	0	0
76cacfb3-da30-4a32-951a-fe192e46dda0	0	0
9cd65b26-f7bd-4b02-9c1d-310b0ef7fa98	11.1837229437229446	0.93196759220779235
4c1508d8-13b6-4302-ae3e-6e39fa9b190c	0	0
4715f222-220f-4a6a-8034-dc6c3eee2a11	0	0
519d6246-675d-4792-a9b1-84646d010c79	17.1436818181818182	1.42862586511363654
b9b12ea0-35fb-4bbf-a58e-b421d9631bf3	0	0
9369fe8c-2e1d-48b3-8d2f-c8114f6de278	16	1.33332000000000006
9534692b-c6b1-44f5-8dc6-4e011eb6bf67	0	0
00393dc1-2ece-4a9d-b7d4-d4fe4131be34	0	0
56a37f90-9090-4bd8-ae92-2c5969b9e0e5	0	0
08c1b182-75f9-4d4d-9d82-ddbc7dff638c	0	0
c1724bd3-969f-42a1-9ef6-353d87d666a8	0	0
b46a0403-461b-4948-83bf-aa68e5f1e3c7	0	0
8d81c80d-3757-4074-93ad-e3c83b136e03	0	0
6af984f1-e298-492c-9aa0-a6a0a3a28e29	0	0
b638c396-50d4-4500-a08b-42095f06ef1b	0	0
c846e7e8-084a-4c83-bfac-a1559fe3241e	0	0
d85e8a9a-4415-42c6-9721-9e31d9216f21	0	0
3ed86860-5bbb-4874-9844-68278cddb459	70	5.83327500000000043
d86bc0d3-f176-4b24-975f-32f2359db8ad	0.594125249072381956	0.0495130779793610393
d08ebcd0-c91a-4845-964c-cc735d1be93f	0	0
4538178f-99eb-4aa7-8279-2b029a8a028f	0	0
b511cc24-be7b-4020-880f-229bd47e88f4	11.1837229437229446	0.932026617412217484
f98712b0-3387-46a3-91fc-1e995a160c97	0	0
a676017a-4276-40c9-a221-38a1e775b6c4	0	0
9717f778-05dd-43f7-8cf5-43cc3009e733	17.1436818181818182	1.42871634565656569
8eafea85-c1ce-4049-8edf-1077daa70a4b	0	0
a590ad02-298d-4a36-bb7d-fe9b8a66241c	16	1.33340444444444439
9d621d3d-769f-45c8-bbdb-e184c5a338d1	0	0
121a3f26-ad63-4604-8bed-600a3d3f5afe	0	0
3ab7e389-cf9b-4851-bc3f-7568117be0c3	0	0
3fc787d6-e255-4942-b8ab-373acc9bb02e	0	0
668babcc-a54f-4aaf-b74e-57aece1450b8	0	0
bd1f2cda-e7b3-4283-8d80-4c0d42d2bc5c	0	0
0c3fd9ff-4dbb-4ef2-ac05-f1288d8aa9d3	0	0
28d48e92-0f1f-4b86-ab94-69ca06dacc9a	0	0
b149f9d6-ef24-47fd-8af6-17d3f7e97daa	0	0
5f00cfcc-2610-47ee-99fd-8f18876eb355	0	0
bf8a658a-d7aa-43e8-9c67-18022346a42f	0	0
71ca5f03-48c3-4059-b85e-85ae468915ec	70	5.83364444444444441
08ff6bde-9af1-4288-afd0-cb49941212c3	0.594125249072381956	0.0495143982576923131
7cbc1aa8-3b38-4770-bd84-ae22a8348e69	0	0
3d6473af-99ea-41e3-ae5d-a4e2e8d8b6d0	0	0
0cbb7ecd-12c0-4aa1-b981-d095e6c65a35	11.1837229437229446	0.932051470129870219
db1987e7-782b-465c-873f-07d52d607aeb	0	0
ca784797-a51a-4905-9b41-f343fdac712f	0	0
0af65588-d263-4431-8a95-f647673cb952	17.1436818181818182	1.4287544427272727
d536df4b-d612-4e27-880e-971e8a65f180	0	0
5d81c0ee-d83a-4af7-9b7d-a9d613b6eb83	16	1.33343999999999996
31d54a89-3d99-44dc-b1d8-3f11a471dd9a	0	0
ac7a774d-d0f1-46b3-87d0-55f22ff75b65	0	0
ae640754-f795-4c96-976a-7460cfcd17ab	0	0
30432116-8222-4b4d-9c29-e42cf0f93895	0	0
f8971258-a741-49e8-82b3-29ed34a0b003	0	0
4af6ecbc-06f8-4a2c-9c90-5c49bc6435c8	0	0
d9a4213a-c503-4516-b704-0bfe20dbff41	0	0
f65598ea-f4f3-4153-b0a0-efe48bcd3985	0	0
e9ee612d-a5e9-4b68-8c53-77812cc2169c	0	0
37d7f83c-cbc9-40d7-90d1-54051c62d114	0	0
206955c1-7887-4752-87e1-34c04ac76f8c	0	0
ac4f041a-dace-423f-a167-0839883e46bc	70	5.8338000000000001
f4dad118-fcea-464a-9548-698ff937ff82	0.594125249072381956	0.0495130779793610393
df68329a-1e56-4d6d-bced-57daf592d920	0	0
091279b8-4d7d-4d2f-bea9-826791bb0f0c	0	0
22c908b0-5280-4235-adab-50aa3c595785	11.1837229437229446	0.932026617412217484
d29e1365-6a92-440c-affa-8d0a9cca2c53	0	0
e97bdf28-621f-49ab-86fd-bb6e7fc129a2	0	0
7abd2809-7b4e-4a01-b858-d000e669fd87	17.1436818181818182	1.42871634565656569
b9e1fc92-8d33-48e9-aec6-fad4651ba223	0	0
8f062eb7-a551-45f8-a323-18a20f6b078a	16	1.33340444444444439
41273d94-d2c2-4072-8f47-558d9fe48d6c	0	0
362c151c-2501-4704-b4cb-bf1080996985	0	0
aa0714c9-9df4-4c8c-a30a-b3cbd1756f64	0	0
1cf676e9-bf46-4dbf-9557-ec84307dfc6c	0	0
af6d1701-2936-4c24-a62e-f8deb2acf701	0	0
e3fae649-d505-4b3a-b341-021be95968e5	0	0
b6216308-1ee6-4add-be2f-81922887b733	0	0
ae0cd51b-75f8-4ecd-b442-3a8a2436d181	0	0
6a4b6e7d-32fc-4206-80ad-7474451d2b63	0	0
b309155c-49c6-4a6c-b87e-515830df3368	0	0
4ee888f6-15ce-46b0-8a4c-1f6ff72c440d	0	0
bc4822f3-2e41-4ff3-93ce-ce581f1db378	70	5.83364444444444441
08154973-3cdf-465d-b224-fd15364a8ae2	0.594125249072381956	0.0495132430141524485
9e41d131-22e1-4852-99fc-b4842aeff312	0	0
49704ca5-62ac-4c0d-a377-27ee10602fa4	0	0
d8c6a088-beb6-4d11-92cf-b21c5c28e5be	11.1837229437229446	0.932029724001924076
6497ebc0-edf7-4083-a9e5-807c31a42782	0	0
cedc7576-a579-4737-97ad-830a68cf05c5	0	0
72659586-ba18-4679-86f4-afc3cfde331e	17.1436818181818182	1.42872110779040407
bf7542b0-b1d6-4c29-8fae-40cbe4f16ef1	0	0
81d520ff-0875-4834-9eff-d1d527aa3e23	16	1.33340888888888887
3912a453-3526-465b-9235-2da841910ec1	0	0
fee8d05c-2f1d-49a7-aa2b-8341de056313	0	0
900ca0c3-de88-470f-8fc8-82b8f376e8a7	0	0
dc89a039-2c3f-49f7-9c04-4c1cb73e93e0	0	0
03ba74d4-3bdf-4d51-9623-50ce7031fb86	0	0
4202dc28-18ef-4b6a-b9f9-57dcde1f36e7	0	0
e1f0741c-7731-448d-9c75-7509a46f4606	0	0
4fda6f95-58d6-49d2-a4f4-0d155f8209d2	0	0
d9604ccb-ae44-495b-9045-6d021140d77e	0	0
a84cdc23-45d3-441e-bc08-18d30f26dd4c	0	0
506138a9-5f40-4e7c-8c2b-0b0004599cd3	0	0
67bac4cb-4af9-4af5-a976-ea8aee1c014a	70	5.8336638888888892
c60f4b8d-a189-4b6d-850d-519001a4da81	0.594125249072381956	0.0495142332229009038
8be1bed2-7f29-47e6-8666-fd7bfcb549b5	0	0
65b73fcb-30e5-4c66-b175-74e1f2a6a50e	0	0
73778696-891e-4163-83da-bf097ab44cf3	11.1837229437229446	0.932048363540163516
0365ecc1-c1c8-4ab4-8895-f4addd612b8c	0	0
1b9e3bd3-8946-4bea-b3fb-39619c6b284f	0	0
0e086440-cc87-4647-a7f2-47f9df7f1eda	17.1436818181818182	1.42874968059343432
a49b9840-d0ba-45e5-878c-91afb5be8f51	0	0
33e57638-cb8b-42a9-90cd-eb7173d1ac70	16	1.33343555555555549
c5078740-20e9-4043-a938-e248cb23037d	0	0
7962350e-a407-4280-b436-66ba554b8874	0	0
4054bec6-9f4f-4fc1-88d3-7ee6e16bfcd9	0	0
b0d641b5-b4bb-4319-bb85-b2c3a29a2578	0	0
719063e1-a136-41ef-b233-97f532819486	0	0
468a5509-4d68-41a2-9406-8f0d74b6f924	0	0
79ede8ea-8818-493a-bd56-72328fa7c963	0	0
c54b4a6d-7a27-4e91-a378-1808e4568337	0	0
74ab8c9a-7c8f-4c01-8230-765c5a002a08	0	0
0e38a8c0-6474-442a-b74f-9ab1d55841c7	0	0
29df74cf-6da0-48c8-bf64-e948fed6a689	0	0
e180fa75-9be6-4cab-a659-1645186a26cf	70	5.8337805555555553
f375a4f9-40e2-4491-aadb-eeadaca98a90	0.594125249072381956	0.0495127479097782208
8c328070-a528-42e4-b37d-effae95a0918	0	0
b352fd8c-e6b7-4dbf-bd5b-9d91dd57bc7f	0	0
47aa2924-04b7-4b26-a0b1-24f24c32ba48	11.1837229437229446	0.932020404232804189
d4d4458f-e6ef-42ae-bc3d-aac081a07b67	0	0
f2de60ce-ba25-4b61-beda-beeac5e8fff3	0	0
9c545a8d-9e77-4b4b-ae39-8e1d0c085ee1	17.1436818181818182	1.42870682138888871
3705205c-bf76-47cf-971a-de685cb4804c	0	0
14c9519e-59aa-4f7d-9d66-25499a799441	16	1.33339555555555545
b064fb52-793d-4912-ae8f-17ea1de7cedd	0	0
5f5443b5-bf6b-43e3-a980-e95c0812bbcd	0	0
5f3f7096-a33b-491c-9286-dc09f371a25c	0	0
184f3479-a86f-4386-9c75-690e30799151	0	0
f3bdc567-6d4a-4bd9-821c-549e9d97699e	0	0
23c6ede2-cf96-4ee4-86cb-f88f5226dcf3	0	0
733e5b2c-1152-4922-8f6b-e60a52146c73	0	0
5e6e6a7b-c0f4-4a65-992a-935b30d638b9	0	0
1b0cbaa3-fe54-4d4d-885a-f5bf45604341	0	0
4fa86dbb-94fe-43d6-a0a4-803df3aaf8a0	0	0
50c1baee-c47a-4f06-bffe-b8dad33e5743	0	0
7822986a-5360-4f7b-aa52-70dcd6da732f	70	5.83360555555555482
b9e58786-7969-429b-a320-bea64ced38d4	0.594125249072381956	0.0495127479097782208
af6b533d-fd97-4ce2-8e87-edce19952829	0	0
abd3a1bc-74c9-4ec3-8f6f-92c5a8f8835a	0	0
82a2fab3-9e17-4ccd-8217-018157007af9	11.1837229437229446	0.932020404232804189
8d45e506-ccfa-4178-90f6-8b9e66910cf5	0	0
06a74b7e-43e7-403b-b3b9-3d003f9ad198	0	0
cb7305de-2ab3-4327-81ed-f6126b212f98	17.1436818181818182	1.42870682138888871
892a41ac-2d49-495b-813d-50d37ada3a6e	0	0
673a40ac-5a61-4dfd-a53c-b1373d87c957	16	1.33339555555555545
f6382543-a160-4111-9944-f9ac68beb5b2	0	0
04811b27-ae57-4424-b032-d49304b1dd36	0	0
c66624f8-4b4e-40f0-9726-4520431fb66c	0	0
611e2176-26b4-4312-bbc3-89ab572e0336	0	0
443b97d3-441d-45ff-9b50-e0b4789c90f0	0	0
3d3452c1-f996-4e58-a38e-63c17c18a865	0	0
ff680148-6a51-4ee2-94f7-cbdf7c2008ab	0	0
c4858446-2e70-4ca0-af3d-1e024baf4de1	0	0
591c65a4-49a4-4835-98ae-e11750c190f0	0	0
96c03677-9204-497e-bc42-33c334980b96	0	0
5d8ebdc0-d3b8-4205-afff-6be84658ff9c	0	0
0b775a85-fc70-4baa-9ad9-23b3acc53de6	70	5.83360555555555482
fe5986bb-e06e-46d1-a61f-70e231dced95	0.594125249072381956	0.0495153884664407615
17fda6e9-2207-40ad-a01d-7768cbfc3092	0	0
f3fe6b65-16d5-47f4-bd18-964010e11ab5	0	0
eb3b9609-3116-4ff6-8609-385f4d38aeff	11.1837229437229446	0.932070109668109659
e8a28474-5128-4f76-839f-ce2214e86e6c	0	0
9cfa53bb-892c-4bb5-8e8c-26e13fe4ce58	0	0
7eac5ea6-fb47-4c1e-9a26-24ec2c616a00	17.1436818181818182	1.42878301553030296
afab8281-1127-4170-9716-ef85f17aeeeb	0	0
31dd68c4-6ff3-4a18-85d5-02c93826593e	16	1.33346666666666658
9221ba93-ab14-4617-b92c-7933d02a1f3c	0	0
ec40624b-d310-4c76-83f9-5066886e88a4	0	0
f9197b5d-1a64-4658-bd42-ed9bdbda77e9	0	0
dc1686af-5e83-404c-a7b0-eaa4c2895404	0	0
a7a28917-accf-4b67-8bdb-4f4d04cc2742	0	0
baa4b7ed-3662-4d0f-bea9-a0b0628c3f7f	0	0
cc0a5021-a054-4a64-9678-57ea88602ce1	0	0
e32a61b3-308a-4ac7-a9e4-c70a4089d918	0	0
5a01e51c-1a22-46d5-81fd-4e32c096260b	0	0
3d16e8e2-9e0f-4d0d-b6c9-00eb327aaf8d	0	0
37346f24-ee8c-48b8-a13f-7c29d9f8a312	0	0
2d53fade-fd2d-4f39-9d0f-c4a8ba0aee16	70	5.8339166666666662
18952553-d4f0-4799-9ca8-d3d6a0a35449	0.594125249072381956	0.0495101073531156802
bfa5012d-190d-46bc-b7f7-e26b85408de6	0	0
91447959-17bb-4114-bc16-15135c63a002	0	0
fd1f7191-87f1-4b36-b08f-2fedde1e0ff9	11.1837229437229446	0.931970698797498942
137e4a88-8e16-4907-8cc7-e1466076714f	0	0
65facece-3808-4a8e-8618-88f35dfedd39	0	0
0d447da8-191e-464f-8c3a-6c06b29941d5	17.1436818181818182	1.42863062724747492
5a38233b-8681-4228-8e23-a9fe6a36c823	0	0
7628ec8e-e44b-4bef-9a0e-4b7d5f2fbbba	16	1.33332444444444453
b91e7de1-8ab5-428a-afe1-c540732383e5	0	0
545ca207-99c2-4ca2-8a5f-a0ba12f917bc	0	0
610de9cb-9bf0-4ba9-b0ad-e31d2e3fbfc1	0	0
217d3ad9-92bf-4caa-8602-109ad5211ef5	0	0
acf6e8b1-3164-4adf-8c31-903dcfe5283c	0	0
17a18b7e-dba9-4f86-bb86-c4d3cfe27919	0	0
9af6333f-2d24-4b58-8585-cbb0f2882ca8	0	0
5615edf6-cd6e-4aab-a9b9-df07923b2dd3	0	0
f6a54524-5789-49e5-949e-632cc3a26dae	0	0
2fdf99e5-2c7d-462f-beb3-74278c6a5ffa	0	0
0e4bcbcf-fe94-4ffc-b1f7-3e92a14d9489	0	0
c6071725-9a38-4e97-bfd8-74e0198abbff	70	5.83329444444444523
2556a6cc-091f-4cf0-a49d-399602ba3792	0.594125249072381956	0.0495173688839376722
3b803928-79cb-4339-b88c-90bd44d0b56c	0	0
c6d54971-aa1a-4614-8004-04b3503af477	0	0
629002e0-865f-4b0a-b6dc-0e6523713a5a	11.1837229437229446	0.932107388744588872
c7971e42-44fa-4321-a2d2-e95e473f029a	0	0
cfc4fd22-29c1-47f2-a4dc-e9fa6b3d1145	0	0
00eab444-f14a-49f2-b379-831a157e0429	17.1436818181818182	1.4288401611363637
4e02a4b5-8fb0-49a7-ba3a-ec07f2f0f356	0	0
744653c9-5d05-459a-93ae-b572b0635a45	16	1.33352000000000004
8f319e13-9ba2-4053-be98-e88b053c3fac	0	0
fe7f256a-3372-4cec-a69f-ca57dbb843b6	0	0
257eb55c-4335-4659-aa6f-4be9e47af9ea	0	0
7bfc6b41-5869-4b41-b669-b277d42f858f	0	0
208ca524-6a47-4880-93a0-22e131780d34	0	0
daae1e0d-fc3f-451d-a869-2b5017b7ba6f	0	0
813bb942-7694-4177-a62b-52a62153c5ab	0	0
95e4c3d2-0a7f-4672-bb1e-bddfec5eefcf	0	0
28e71e0a-359c-4309-b02d-f8557b43f68a	0	0
caba8964-18da-48bc-b753-28f45028c480	0	0
1d093814-ec4c-4137-86ba-75c22a8671ce	0	0
352fbc96-df30-4d2e-b088-f78fee908d44	70	5.83415000000000017
39a3540e-eb26-43a1-8b0c-d9a479bb6a66	0.594125249072381956	0.0495127479097782208
880f19b4-3a67-463a-9c85-a74c139025d7	0	0
faa02546-bd17-4fc8-a6a6-7a3a6ef9327f	0	0
399eec3f-89b6-44bd-81e0-0d1a7c44f96e	11.1837229437229446	0.932020404232804189
d1142b14-bc58-4a20-b390-cea24b57902f	0	0
c5573cda-c82b-41fa-b90d-42f86b99d060	0	0
a4f32dcf-6809-4a07-b8de-8de013e27e2b	17.1436818181818182	1.42870682138888871
6daa6bd2-7eb6-4849-86cd-892853cf49c6	0	0
f92d7b30-d3d0-4ad1-a554-6a607422fa4a	16	1.33339555555555545
cb2a6e14-d1c1-4dc7-b1cd-6801ed179431	0	0
656f5555-c877-4f72-a0dc-694bb1f978e2	0	0
f04a8e76-94b4-47bf-949e-8f2884e17562	0	0
a7f4265a-4e85-4c36-9f44-01004e252a04	0	0
90be29e4-398d-4641-9a1d-2b2ba2b82376	0	0
13a7a0c2-4a6b-424f-b28d-49a02e21dcb8	0	0
52d193aa-80a8-485e-95a2-e1cc590d9221	0	0
1749c195-3992-4c15-ac23-5303729e832e	0	0
ae4334e3-f4d1-4b9c-aeb8-36d9234ad183	0	0
25b6da64-1cb7-448d-aea4-d3482447e6cb	0	0
5cf04c2c-8ae1-49c3-89e4-f882a473151f	0	0
d84d9c79-01b8-4b4d-8629-6dda30dd83ef	70	5.83360555555555482
b20af46c-cbe8-4731-869e-24edc8089ad5	0.594125249072381956	0.049516543709980626
633095aa-0720-4b4d-a937-7eb7f7023d7d	0	0
03bc931a-da5c-4c8f-b909-6d2b0846d8f2	0	0
2034c280-fbf0-4e77-a4e4-ff9f8e4031da	11.1837229437229446	0.932091855796055802
8962e270-3e4b-4da2-b20b-63d08cce9428	0	0
11c56fe1-aa94-401d-8709-787b7877e873	0	0
5c30554f-7ee9-46cb-b1de-2876045c4c98	17.1436818181818182	1.42881635046717159
d19ff85c-46ed-4e82-a65e-8fa335345a76	0	0
0127f55a-470e-4e99-a0a2-dbcbf1de655d	16	1.33349777777777767
5d442564-2c1d-4ec7-9c17-c449db104ada	0	0
fccd3560-6103-4c6c-aa69-2ace2b3f4efb	0	0
25f9f218-ac46-446f-82a1-0e1f2f03d89b	0	0
99e2c61f-7948-4438-8784-e90d0a248196	0	0
28d4d7aa-5587-45c1-aa5f-2095801951d8	0	0
146c9817-8bac-4f88-b21a-59066519eb0e	0	0
d2e3b172-6c0e-4bd8-b095-a67646c0de61	0	0
258cd1fa-59d5-417c-9d4b-d7afad0cb421	0	0
a89260e4-78ad-47f6-ad66-e6ac389a0f70	0	0
e8f31aac-c4d5-4d89-a932-df1309d4b952	0	0
f4d00420-6b2d-4225-8930-b1e04c01b67c	0	0
21e9ed3b-c0b3-4ea8-9a26-207d4b5154b8	70	5.83405277777777709
ba7bfe01-7d95-4ea1-b972-614d0b965599	0.594125249072381956	0.0495102723879070825
dc3d7f7e-503c-45d2-8176-1c736606e975	0	0
717e492d-550c-41fc-a48d-3f09d0ae50b4	0	0
272b0904-c9a6-4b83-9c42-d7a78bc8cc20	11.1837229437229446	0.931973805387205423
2018a4a1-4f21-49a2-851a-627fb8737bd0	0	0
1a7d1206-d87a-496f-a337-ed05d2db68a1	0	0
b2be6fa8-d28b-46e9-b2dd-e0c30d245282	17.1436818181818182	1.42863538938131307
08869643-1562-4557-ba00-0fe662c7056f	0	0
f237bac3-8855-40f6-9757-896f5a4184d1	16	1.33332888888888879
57515ce1-f15e-430c-ae6a-55ff6d7f19cb	0	0
6b1cfa5f-6ab9-4de6-bdf8-4d098f5cbc34	0	0
be0c4351-ec67-4f3f-8f06-e52666952626	0	0
ae80a57e-ac7c-48f2-98d4-4be95e185bd1	0	0
3003d93c-6431-4820-b4f6-e99b279062d9	0	0
9c38ec14-4b78-4e46-be09-6b5da80a06ea	0	0
9475e098-39c8-45be-9ba0-c6a47165da9c	0	0
266ac2b1-31e6-4475-8d36-64b16373c7e7	0	0
51a82a1a-b856-47cf-874d-e615242ffde6	0	0
137a216a-9e2b-4b1c-9f9d-c4d2b69b044e	0	0
31747194-863a-4fa4-9481-71e3732c97ac	0	0
dbc47a30-7a48-4f5d-a6c5-a259b513804f	70	5.83331388888888824
7311e0fc-e792-4456-ae44-2fa1b0118b84	0.594125249072381956	0.0495135730837352669
ef0e0878-32b9-454a-a996-ccbf5560fa1b	0	0
052c1a3b-e666-4f4f-a021-33ca90178ab4	0	0
ea756e5e-6044-4771-8d38-3e27a13d47b5	11.1837229437229446	0.93203593718133726
cdb08367-ed16-4b2e-8392-8cc02ef3b411	0	0
3b8c5abe-fb2a-449c-b126-6105bf098346	0	0
bcdb4365-c519-4356-b706-fd85c1627538	17.1436818181818182	1.42873063205808082
4047b116-bd19-46d0-bf3f-695bcb644d07	0	0
3ae490b1-ce2b-4d2b-b313-f6011512e173	16	1.33341777777777781
914e25c3-9ae2-47d3-9632-cc7b05c3e641	0	0
719b68fb-e9ef-4f53-84b2-4e8a6c8ce3ca	0	0
b301e4f7-ae60-4097-86db-37e0336e17c7	0	0
80ee6db9-bd6e-4cc3-bb46-43df132ec807	0	0
d12b4589-73de-4bdb-b054-9143081512a0	0	0
7f475dc1-58de-4681-b0f3-0ab393057676	0	0
0f590b03-274e-4dae-b49f-961ee50b7f68	0	0
0cde53fe-41d6-427f-83f5-5096e010e666	0	0
172b824b-11ac-4c91-97d1-a9fbedbf234f	0	0
0e9b23d4-34f3-4fd0-a32a-4f9a3311f436	0	0
9a71d919-57c2-4d5c-beca-77d376abe815	0	0
988ea69b-4617-4762-8f16-45eec56625fd	70	5.8337027777777779
470a8f23-71cf-4b5f-9a9f-4024f944aac6	0.594125249072381956	0.0495053213441648127
66c87249-a7f8-48d3-8b69-29cf46252d03	0	0
b2d652a5-8680-4ffe-9ecd-dfd6d2c47458	0	0
501dceb1-4dc6-4c40-abec-ff7aad480910	11.1837229437229446	0.931880607696007668
eb195ced-ccf9-486e-8782-3df9f65fadb0	0	0
b21aafdf-4722-4d95-9f81-0cd9f2bcb0b1	0	0
4a8e6a47-02e1-47f4-bacb-148a84bf5544	17.1436818181818182	1.42849252536616156
64d9d2c7-42cc-43b1-abd9-a2a15a873348	0	0
122b37c8-241b-4446-8aee-d5b54b28f958	16	1.33319555555555547
bf59de6d-f1f7-4647-82b3-e97bfb7e6aea	0	0
1b8958db-77c9-4513-b031-9fd2daa85ac5	0	0
8286c8f6-951d-4494-bb82-c4c4cf424c54	0	0
953ffc02-9557-454c-b04c-351e1343b90e	0	0
4f41c360-b1d6-45e7-9c99-27f5ca3e1383	0	0
986fa395-5621-4b81-baf9-fcfda137c610	0	0
2d3f1f8b-1f6b-4da9-a6de-f2d70acf185a	0	0
6de9ee1d-7927-4b70-9c52-2f9fd648f6d4	0	0
27d353d2-b4e9-4aad-92c3-89f3790fef65	0	0
5960118a-aa8f-4721-af0d-e187aaea8608	0	0
18785ee8-61d4-4f59-922d-9d321493b4ff	0	0
b9132491-0f42-49f4-abb2-49b0df7665ac	70	5.83273055555555509
e14f7d90-9b76-46e4-9a0b-074b41aae2be	0.594125249072381956	0.0495246304147596711
18f02586-ef71-4400-8bd4-4f3ce0f835af	0	0
a066a61a-d223-41d4-a273-52b19e2160d0	0	0
d2a2f6ef-d9c2-43df-9151-b75c298a19cc	11.1837229437229446	0.932244078691678801
fc9d9c16-ef39-4236-8741-cb1eb4301267	0	0
ee6f8bcd-3686-42f4-81c0-598912f7bb01	0	0
8fcadaab-408f-4351-bdf0-64f26e88ed04	17.1436818181818182	1.42904969502525248
eb6d5313-d601-40ef-954d-5e05e5b049e9	0	0
9ed70f61-ed32-4a72-9ded-e13261b692e9	16	1.33371555555555554
34ba6e95-481f-4fd6-8bca-ef2dfea24c6a	0	0
6e9e503a-b4e8-4151-8a39-ea413012805b	0	0
2d42fc39-f792-47d8-89a0-63d731d41376	0	0
7a410792-7813-41de-8ce6-d1bef79d26f2	0	0
3947ce10-11d9-4f62-a3b8-e0e16a98c061	0	0
feb035bf-446d-41c8-a396-179e84569cf3	0	0
be94d5bd-91ff-419e-b4b5-0b0416e7e2b5	0	0
f96a965f-9bff-4f18-b901-2bd494180e67	0	0
2b4c39a8-c162-4acb-a8da-1d73eb9b789f	0	0
dfbd0fe7-b70c-4609-8368-4a7b474d44b8	0	0
89555302-a512-4724-8314-c24057f25381	0	0
88af79e8-7046-4dfb-bc87-90ff976a6374	70	5.83500555555555511
240a5a2c-091d-4baa-9fb5-e2ec33ea0e2b	0.594125249072381956	0.0495120877706125839
9b1b90e8-e59a-47ba-b251-5466e46c7514	0	0
5e6fad24-b0ae-49dc-88c3-c22ebf7f8d86	0	0
2daa77bb-eb4d-4da7-b05c-f60efec2d38b	11.1837229437229446	0.932007977873977933
1bbbb9c3-baf6-46f5-b481-4fbb275b0c3b	0	0
b2c08d4b-ea4f-4755-afa9-2c0eb4622c12	0	0
eb0b3d7c-6a58-4060-bd35-cbfc22a5bb39	17.1436818181818182	1.42868777285353543
63b0b80b-be7c-43cd-83d0-b79066589a74	0	0
52447158-af1b-41b3-8e0d-6dff1ec6be49	16	1.33337777777777777
bfbb5245-6791-4150-960c-3af25e226d03	0	0
b32945d5-efd1-4aab-9f22-9ff4519c48da	0	0
65c575df-dadd-47f1-a931-28cfb561a203	0	0
a0d9f306-1603-4209-a5f2-2ac61fe36949	0	0
6314640d-9055-4230-b98a-f8326eda5f3a	0	0
9b8af786-97ac-429e-aa97-19040bcd9902	0	0
a980d40f-2db3-4ffa-ba99-c7e677102200	0	0
376dfc32-0d52-48a9-97a9-a4059a914017	0	0
9d0e03f0-c269-4723-8616-8df7c8c9e068	0	0
0220c87e-b0b8-4e24-9b2e-3a173f0ff662	0	0
74ae140e-4e36-44db-a0fb-1e3b3a7ebd6f	0	0
b57f1d74-d809-4e7c-b094-ab9d4a036744	70	5.83352777777777742
086e5e12-6387-48ca-8243-932e19e11adf	0.594125249072381956	0.04951505839685795
3b4b23d3-c59b-459d-af05-63c76d1271fa	0	0
fdd709fe-08fb-4647-ab7c-a2fd52b3db31	0	0
9be06a36-35bb-4564-8886-a01e9e8a4b6e	11.1837229437229446	0.932063896488696586
c47d3bb4-d172-4968-bd8b-8e9de44a3fb0	0	0
bafc9d56-e94b-4f49-b956-ea6a0ef2b089	0	0
e9d0196e-2a9e-4d78-8251-3fdef5d0cd91	17.1436818181818182	1.42877349126262643
fba5a42d-539c-467e-a086-5e0c2ef7c7fe	0	0
6431beb9-c192-4a8e-bbab-08747bed100e	16	1.33345777777777785
579fa16e-5660-42b9-ac58-31392e6e8b58	0	0
7b2e02f0-c01b-423c-9d28-d5ab29c504bb	0	0
90340cb8-de08-4835-b271-3e8414b5be66	0	0
8de78698-01a6-425f-b9d2-5788802afc94	0	0
edaa6fae-227c-4c42-a29e-f6b604b61071	0	0
002cb625-1a60-4005-bedb-7d9540162768	0	0
576731b8-d231-4bd5-ad80-1778df4b7580	0	0
4b933dd0-557e-4043-b1e2-a033e8e2e720	0	0
e2d76484-df9a-4676-ba31-a42eda66ec61	0	0
ab4fe081-e8cf-4c36-8c2d-1dcb2bfc5683	0	0
cf9f4435-aef1-4286-9ef4-908204e6bb95	0	0
c5c3cd39-a487-4a2e-b7b1-b0c08ddc5462	70	5.83387777777777838
afb70e61-1fd7-466e-978b-ebe845498fa4	0.594125249072381956	0.049516543709980626
af676f13-df0e-4c80-9894-c304f9052033	0	0
970ad30b-f58a-4b4a-be26-b94bba41389e	0	0
e0376251-cedb-413c-a598-a01bb4885af7	11.1837229437229446	0.932091855796055802
d60aefd1-6ee8-49da-9145-50b0691c4056	0	0
40ea4dde-b881-421c-9f12-2eaea856da11	0	0
58449ab2-985b-4772-bf3b-f9a76e963820	17.1436818181818182	1.42881635046717159
29e75fd3-69df-49a9-b154-93a3c9ecd7fe	0	0
e81db2f1-6241-47bb-9d17-f9a7ef478c19	16	1.33349777777777767
22715ba9-dc85-4d97-9ae8-993e2d34ee87	0	0
1c093459-ecbc-4d33-b266-19545601c33e	0	0
88aab916-385d-4092-8f64-1a14dde4a2fb	0	0
3c8c11da-5794-4742-b2d8-e24af797fb1b	0	0
f992d5e5-5d87-48e2-8585-1d9b15e478b2	0	0
30b89de1-87ee-4856-8f46-84eb303bbfde	0	0
0bc9565b-87d1-4bdc-88b4-8f42cf1b9734	0	0
1eb75776-b4f7-415e-ab8b-20231999e525	0	0
8751a65d-c966-46b9-87f6-84ed054e472a	0	0
aeeeb0ee-1ab7-4ca9-b32d-4bbace6ef517	0	0
211ce7b3-d27e-43d4-8a0b-e805f4c85889	0	0
584c5a17-dcfc-4847-b0c0-84d1cf572679	70	5.83405277777777709
214b75c6-3876-4a76-8a99-14f0431a4d15	0.594125249072381956	0.0495092821791586341
d8594647-04d2-4717-945e-b70cb2f53cc7	0	0
9148f515-f81f-41b0-89be-904dcda22cbc	0	0
4bf8b43e-1675-4ba0-81a3-e5835170008e	11.1837229437229446	0.931955165848965872
621ab7f8-efe4-4887-b2f7-4815ff50a1e5	0	0
bc14b39e-f947-435e-882a-689b184951e4	0	0
93ac492d-a69f-4d08-a9a4-4b5e7ff77ee2	17.1436818181818182	1.42860681657828281
e6475641-cf7c-4b2a-9a1b-d1c8078e7646	0	0
655f399a-2dd6-4f42-a0e3-85a9beea4acc	16	1.33330222222222217
5707b5a9-2151-431d-b5ef-f163e285c56c	0	0
2f260e43-f33d-4b69-a463-b89c4bc8a9a2	0	0
c04c8c51-c139-458f-8259-98dc8b5468a0	0	0
c82de2ef-0cd0-4f3c-a00c-bcb742bda237	0	0
8284b294-1453-4809-aac9-5a34a9d31865	0	0
9b3759a5-457e-485b-83b1-083f4a02a774	0	0
bccc56bb-c879-44c8-ba27-a00a847960fa	0	0
51989654-a28e-46bb-a9b3-8ba773ac0b1a	0	0
3e1306f7-9b54-4964-ade4-fe7a1aef701b	0	0
6fb97958-4894-4411-8fae-4889b2310cf2	0	0
08ceb0ab-9d8d-456a-a390-875dbeb4dc9e	0	0
5ae5422e-0bd6-4aec-820c-8919cd95ae78	70	5.83319722222222214
c0de06fd-75c0-43d2-a26a-a145681db357	0.594125249072381956	0.0495089521095758225
611943dc-5036-469b-b4cf-65e41765d956	0	0
140b9923-a75a-4694-927f-cb115bff133f	0	0
9cad5018-a256-49b4-b1a8-603efe6e55c0	11.1837229437229446	0.931948952669552799
e994833d-5558-45e1-8aab-ec3cc87db099	0	0
4a835648-4c84-4450-99fa-be7edc43b6ca	0	0
a109d452-4e11-43d7-982e-ac8d23e49bd1	17.1436818181818182	1.42859729231060628
995bed74-5c0a-4c5d-aa8e-a1303b7e72fd	0	0
4dc7068e-2595-4f23-9615-bb17f0368258	16	1.33329333333333344
1fdc22a0-b292-4cba-949c-154d12b29695	0	0
52e49e0c-780f-4061-b9e3-3df455a134d9	0	0
b3d7ffda-73bc-4aa9-b492-36dfd5bed03d	0	0
49062b77-5815-46a4-bcb6-ee301b08360f	0	0
0bf775ea-680e-4a6b-ad06-34dac3c68d29	0	0
9aecc30a-46e1-4e1f-a60c-0a3202aba26b	0	0
92834650-b013-488f-9bd2-05eb3a2d93cf	0	0
86324123-2d8b-4b23-b363-6ac98b4607e1	0	0
9802cb77-52c3-4c20-83e0-f222154410cd	0	0
e6fe88e5-2e02-4168-a2d6-8bd3928ca167	0	0
fb1d26b8-4b67-4397-8224-416a42ad4a34	0	0
aaf254e4-1a4e-4aba-b1c6-6273c67bfef3	70	5.83315833333333345
21c7ad2d-2dba-432a-b6d5-5d077402ca33	0.594125249072381956	0.0495132430141524485
6f105b72-46fd-4264-bfa3-da5b687b869a	0	0
fa168ca0-54ca-4114-8549-459d76fba08b	0	0
c15edc6c-0e70-433a-aa2b-f236c1b623ea	11.1837229437229446	0.932029724001924076
8c1765e9-d673-43da-afc4-5bea8e81363e	0	0
58ccd612-0b9e-4b6e-9850-1bbe44b33f1f	0	0
90c954c6-aaa3-4c76-9263-42b8ed551ecc	17.1436818181818182	1.42872110779040407
1ec8890b-6f7b-46d3-9f48-9549a88b6485	0	0
b06b9194-ed62-4df0-a55b-01922151fff8	16	1.33340888888888887
09cdb0be-06b4-4018-9daa-f521ccc612ec	0	0
8e2dabca-bb5d-4995-a64e-616308256269	0	0
0e6ca09d-9c54-4ce3-b56e-86efba0e2510	0	0
a946f11e-e340-4b54-934c-c090dfecd0f9	0	0
234a1239-1b58-4809-8440-3bca1f7249bd	0	0
3e35896c-61d9-4ce6-9ed4-4e93bf4549e8	0	0
363f20f3-eaab-414f-83a8-a7d698c948de	0	0
90948a35-18b0-4c78-a952-c4aeae212d2d	0	0
9dd8095d-47c3-49ae-b58c-a8251516cff0	0	0
be7c9363-d9bb-437f-b186-5d8838195b30	0	0
66c7f49f-76d7-48c6-89e0-3f1eb3e01a72	0	0
9183c1ef-6505-4340-8161-f6e3c9213797	70	5.8336638888888892
11084915-7094-41cf-9ccb-a36831a357b1	0.594125249072381956	0.0495198444058088105
ed854d21-b93f-4675-aaff-e74d338a5ed3	0	0
8ef8476e-4715-40d3-8692-bac966b03ef9	0	0
8b680ecc-7215-4111-9bbb-6e462cab6cfc	11.1837229437229446	0.932153987590187638
4ee074b0-4792-474e-88c6-5703efe9ee2c	0	0
3929a5ac-b8ad-4485-b991-0e6dc8d12d01	0	0
445ccb39-243a-44db-838c-74b499e2cadc	17.1436818181818182	1.42891159314393934
e9f937cc-342b-4e30-b3c7-708ae4d597ee	0	0
367c543f-7b7f-4a87-a064-8590e8028373	16	1.3335866666666667
2dbbbc9f-ba37-4b7a-a8b5-1f6ec40c0f07	0	0
c2ca5ac1-73ba-41aa-a77b-670c83ad289d	0	0
902ffeea-98e2-46fa-9958-aa3353d571aa	0	0
a8574ed2-1638-41dd-887f-5814f173c5ca	0	0
07962ef2-a13f-4819-a7af-0ac1a3530366	0	0
a6a6d6cf-e125-4f8d-bbd2-f65573f7428e	0	0
5e25b001-f177-48a3-9368-60fdb7216a14	0	0
1dfd995c-16d3-4525-acdb-af1d9a857973	0	0
93383bba-7634-4775-8bb8-133de2aa3f20	0	0
3e35df1e-6345-477b-b6af-1b7324fcc814	0	0
711b8d59-df1f-4544-8d3f-d1422919f2f3	0	0
3881e860-f806-451c-ae31-2d8910dc6aac	70	5.83444166666666675
c3f724e7-02ea-4b05-8629-31e1b7d5af92	0.594125249072381956	0.0495125828749868185
0f6d91c0-61c6-43df-ad0c-1be651112ec3	0	0
421bfe56-fb08-46ce-9d93-5ff241723694	0	0
8eca681d-c974-4b23-adae-5b63479a7420	11.1837229437229446	0.93201729764309782
b7fd0c16-597b-43fc-9650-1c1d51e703f9	0	0
cad85156-ba42-4152-bee5-a60132826bfe	0	0
731ee240-6c0a-4b40-baaf-18659e70463a	17.1436818181818182	1.42870205925505056
c0a0f12e-5998-4752-b2ad-4d678f0edd0b	0	0
63694b04-984d-4dd2-a5b6-ff2bb7bd6709	16	1.33339111111111119
0793294d-c9fa-492f-90e8-d2268ab3281d	0	0
da2ba0bd-7026-4333-b9fe-57a4a6514b8a	0	0
685828f2-6ff4-4118-a891-7af2192494d7	0	0
8f87ff85-92ca-4983-b310-32c30deaf774	0	0
7e08f719-29d4-4eaf-8168-682e4a3b460f	0	0
915bb50d-43ec-43e6-ac6a-4359211a3bfd	0	0
fa51b958-f1f7-4c0b-a4b4-5d7c12b850a7	0	0
65c10cf8-ab1f-44b0-8a3f-86d9966b9c11	0	0
8d2e1bda-a00d-40ff-b159-36af19afbd3d	0	0
2773698b-241b-4647-a697-ab85e98e3be1	0	0
54a8281b-2850-4e5f-970b-31a9b3a7fe7e	0	0
1dd8427b-51d5-4c4c-8ece-de8fdd95cc8a	70	5.8335861111111118
5c693686-4d31-4905-b760-5068a5c455e1	0.594125249072381956	0.0495147283272751315
ec1e012c-9000-4f89-aed3-99d36f64c319	0	0
ca1ad56f-aaff-49e7-b54e-a076b4ca346c	0	0
746854c8-d459-4f4b-85e6-0fec72bab6ac	11.1837229437229446	0.932057683309283402
19c2990a-dac0-48ce-ac2a-1968b53f56ca	0	0
8af174f7-5332-4d33-82c6-5fe3afd718e6	0	0
5447b131-cac1-42f8-867d-a2369469a9e9	17.1436818181818182	1.42876396699494945
23eb20cb-e00b-4dbf-955c-41a49777fb5e	0	0
cfcefc5e-2b08-4d01-b25b-203192133004	16	1.33344888888888891
dcdfa0eb-5d0f-4b34-b104-679bf40d7d03	0	0
8ebca724-4497-484d-8bec-85233209f6bf	0	0
cbe6efda-d85a-428e-8fda-9c660acffca8	0	0
0b1a9359-656a-43f4-8e3f-297abf751059	0	0
adbd6d68-f8ae-40c9-aab1-145fdaa60174	0	0
340e455a-6a80-404b-aadb-1c3ade6022a9	0	0
78f39bfd-cd36-4ef2-aff6-58fcfa48bfeb	0	0
dcb42926-ac2f-4eac-b063-f7aa56b93190	0	0
982fdd78-0ad8-4393-b24c-d4e04bd60346	0	0
f78bcd6b-2d45-42a3-9c9b-1a03d6ae30a8	0	0
60599e7f-cf80-4387-a644-0b7fef26df6b	0	0
a9596e4a-9194-4707-bb39-1aaf8a15ba99	70	5.8338388888888888
dfa4f8ba-8751-4cbf-a09a-448c870a70ec	0.594125249072381956	0.0495143982576923131
4c5ab6a6-3a14-43b7-9d98-763a952e4acf	0	0
6ea84f83-d925-4147-baf4-bc1accb833e3	0	0
b1637c50-d92c-40d4-aa4d-5119402a659f	11.1837229437229446	0.932051470129870219
62c50748-954a-460c-bb52-30932bb49e7f	0	0
b499a66e-a491-45e1-bdf3-4fc172c81794	0	0
cce03437-9c51-477e-913f-e86b9b756eab	17.1436818181818182	1.4287544427272727
9f104d4e-30ba-4185-9f32-cb4a448f8437	0	0
783324c4-e5cd-46e1-8a56-7162329d9038	16	1.33343999999999996
c80df4ec-51d1-4614-ab07-26f89ec9b2d5	0	0
380464c7-04fc-4206-8c1a-f845d69a00f7	0	0
a119384d-ab39-414b-aa7a-4bd5c922e2b7	0	0
e0fda933-dcc7-458b-b632-77d6ab6cedaf	0	0
c50ba201-2098-4b66-ab00-407ea7963bf5	0	0
5dc5ea45-b2ef-4c5d-b144-84d60322a593	0	0
753fa11f-24f8-4b86-9886-10c847f1ebd8	0	0
a6ca78af-fb67-4ac0-bc34-ff7d1d853c24	0	0
fad3914c-4544-493f-a149-f5b295aecffb	0	0
68482bd8-9bbc-493e-b35a-251a73cd27c3	0	0
cde10045-a23c-4866-9d5d-cca542c707e7	0	0
037ee68f-5301-4eaa-9d1f-2a94a535ff63	70	5.8338000000000001
4cfacf52-0b67-4b38-9070-9635d44b3d6e	0.594125249072381956	0.0495142332229009038
c4d18d72-7aeb-433f-8c04-ace4c6a2e03c	0	0
a44028d5-656d-4cc9-99e9-518522cba479	0	0
df624bf8-f9a8-49ef-b1cf-71668aeecd9d	11.1837229437229446	0.932048363540163516
96991fba-bfa5-4af2-a85d-6edad98b6f64	0	0
68213703-7485-4c91-8af5-870a255bb8fb	0	0
5fed6bee-a25a-44df-a9cd-ea5edda17688	17.1436818181818182	1.42874968059343432
5d41055a-6d16-44f6-afa3-2524038ad71a	0	0
29bf0e70-3a96-48c9-a75f-f57812a7948d	16	1.33343555555555549
800b35cc-ff3d-422f-8b32-93806381fe11	0	0
c20a8108-13e6-4630-9bf1-2f89985541d9	0	0
d87fb922-f35d-4358-afc8-a470edda21ee	0	0
4fbaa276-d11c-4349-b90e-649b55aa35fd	0	0
f5c753ac-9dba-42d3-adf2-598383ab2838	0	0
2ee963ca-5617-4b34-98fa-cf1ec1424d56	0	0
177e0522-b996-4042-b9e8-ebc66cdd0d09	0	0
1622b48d-d10a-47a1-bec3-bc8a9e08b3ff	0	0
467dbefa-4719-4965-8fc8-bee30e0b9255	0	0
afb1bd9e-3d41-4069-aa81-9d134a338a27	0	0
46ab6fde-7e1f-4b08-b895-744901b78e71	0	0
858eb2e4-8950-468b-b949-99264dc57b6a	70	5.8337805555555553
d76bf8f1-a8b6-4e0e-aeec-5c35de7f6c13	0.594125249072381956	0.0495059814833304565
ffc7d460-71a6-4bcc-a4da-471d9ba0bc97	0	0
1290680e-9205-4b37-ba7c-237a51109fe3	0	0
9cc684f3-e380-4252-aad6-1ec2814e3c35	11.1837229437229446	0.931893034054834146
2787c85f-431d-4262-af24-5afaec5dbab2	0	0
ad35fe31-dbdb-4870-9901-e033b4e66c0d	0	0
692e49ab-47c7-45fc-819b-e18337b6c150	17.1436818181818182	1.42851157390151529
3943c2fe-a976-4f13-ac41-da0be79471a8	0	0
dca6d953-30a9-4384-adb8-cb3a48d253c2	16	1.33321333333333336
2587c45d-f95e-4588-b14e-0e17c8d0bf21	0	0
195c7833-f2c7-4f6e-a322-df72d38d5118	0	0
081aa0dc-b791-4b4f-9301-0d7f02e53632	0	0
5b11d540-5380-480b-915f-20b1a73c101e	0	0
0607f094-ae69-4c4c-b568-2e4e9afb7c0e	0	0
181c017e-5ce0-4bce-9830-76b27e7f1221	0	0
f54401b9-4e7c-4750-80d5-b27ed3d6edcd	0	0
7d930406-4a65-492b-b8f8-f4182d995930	0	0
6bbf5625-b041-421c-a870-042893be52ea	0	0
d5b44e1d-740f-463b-bae0-50ec43c5dfbb	0	0
0450e134-67f1-4d5a-aef4-af78ecd2aeed	0	0
0579e37c-74d6-4ce8-a354-ff6a27cb14cf	70	5.83280833333333337
7524cdf2-be8f-43af-a6d2-3486b5efea4d	0.594125249072381956	0.0495216597885143051
f3233bbc-4ea1-4e05-a7c2-a19280018e3d	0	0
92148eab-121c-484d-ab09-dad7147257df	0	0
7bada226-9a00-49f7-8d92-8569b9863b15	11.1837229437229446	0.932188160076960037
40003fbd-95ba-4187-9f6b-5369a3c53dea	0	0
0870ecd2-a245-4eae-a5c4-e0d9ae57be26	0	0
b443795a-b72d-47ad-850f-0c3e03ca3008	17.1436818181818182	1.42896397661616148
19e9b19f-9ca1-45c5-9b36-e6d861732f0e	0	0
81aefec7-af27-4519-830a-24d7c49f7f59	16	1.33363555555555546
55badf91-c0d8-4a4e-aa8e-f8fb7e2240b6	0	0
11a90eed-f8f8-4d2b-927f-ef6bb5ab170f	0	0
1d8f146e-c8e6-4d91-b6fb-a27adecb2467	0	0
ecf8c1fb-5ad9-429f-86bb-ab4284465e1a	0	0
13afffdb-dfde-4785-b4c3-4afecf89718c	0	0
2848a28d-b5ac-45a0-8fdd-4b95c6d351f6	0	0
d6b94450-752c-4970-9c07-cd71a7a646f4	0	0
d623f322-30d6-4f30-99c7-26377a47032f	0	0
b81f86a9-a4c5-45a0-9c3f-1966cb2dd960	0	0
d69cd35b-7e41-449a-92dc-b48b4361936b	0	0
4b0f1f95-df6f-401f-9f2b-961b2ca172f0	0	0
2698e62b-4015-4f88-adae-c606006fe647	70	5.83465555555555504
ea47ffa8-7240-49b9-9984-d3cf7c0e3334	0.594125249072381956	0.0495168737795634445
8e2b07fd-1e24-4587-b151-777a23ab9fc1	0	0
16687985-f280-4077-a018-4ee71955f2e1	0	0
5fef9dab-3757-4bb3-8a87-ae245e7ba3e1	11.1837229437229446	0.932098068975468985
65e92046-baeb-4b25-ac02-19cfcc3d72fa	0	0
78761aad-2671-4e9f-9520-32203078cd68	0	0
b8948bdc-d8ac-4d47-b6ae-10347ee47183	17.1436818181818182	1.42882587473484834
9bc5d2be-bcdc-4da8-863c-f9787696847f	0	0
079e10b3-03f2-46b2-8129-15b9e597c336	16	1.33350666666666662
96a0bf51-c5ee-49bf-b1c9-ec5eb6ffcc5b	0	0
21ccb534-eb3e-40a3-b11c-80fd924e062e	0	0
6bde3ebc-afd3-4298-abb4-e9ba021d5070	0	0
8d5e7186-d16b-44da-b156-1834e5c515c9	0	0
19cda3cb-389b-4e1d-80c6-87dd054f19dd	0	0
ad03d0f4-bec1-4fcf-9e67-175eb736b456	0	0
28044c7d-a42d-4153-8190-bfee990353b6	0	0
95aebdeb-1a37-400c-811d-9b3eb1a285e0	0	0
530ff7b1-0022-45d4-966a-b0345e7cc2cc	0	0
d675cc9e-1415-4f2b-aa93-bf2635e0f88f	0	0
e556b6f3-8656-485a-ab3d-4e31613e65fc	0	0
2e248f64-9fdc-4a13-abfd-49afd6bd9415	70	5.83409166666666668
8877f2ef-b80d-4960-9429-aa7ec2ae22ff	0.594125249072381956	0.0495127479097782208
ab874c9d-3a9f-4e4f-979b-f3b28350bdce	0	0
c71bdc26-1d0d-4cad-9520-fb008401727b	0	0
da7c8045-c1a5-4a98-b694-0bbf4177b3b9	11.1837229437229446	0.932020404232804189
83c6a7e1-e594-4fb6-92ce-aa65b5487193	0	0
c9e4a5cd-d83d-4b1f-8fa9-ee28605246fe	0	0
1dfb8583-ec12-47a2-8583-8ad6cc5e405c	17.1436818181818182	1.42870682138888871
ec41998a-27e9-4936-8d01-bd86e90fd1c9	0	0
d72f58d4-5fad-410b-bb3c-99a8e220b8a7	16	1.33339555555555545
90021efb-cd36-4e5c-a126-a9fb91096ec1	0	0
43c495ba-b0b0-42cb-9270-6bda18f70800	0	0
4dc83e0c-bf21-489e-a9f0-b2479bcc5be0	0	0
a43774f0-80fc-467c-941a-b981bea634d6	0	0
7e7155bb-23bb-4a0e-b2cd-b0aa41fa6acb	0	0
82fcc2a3-905d-4a8f-93c3-098106973412	0	0
618ce0b9-4341-4b71-b9ff-5e666d942adc	0	0
6ded7bc2-e7cf-41c7-8a85-1f2c833f1e3d	0	0
a5dfc666-c1f9-4efe-86f4-597d7fd46784	0	0
02a8b3ec-b029-402b-af4a-0a223fae86cb	0	0
2bb2cad7-fc76-4576-b767-08e061958a4e	0	0
c63bc64c-e4ba-4f09-9273-9f316b99217b	70	5.83360555555555482
a40eafbe-09ed-41b0-aa0d-27831187f035	0.594125249072381956	0.0495135730837352669
b1c84a4e-6398-4d76-86bd-97b356446cd7	0	0
1c0bb167-f429-4df7-ad9e-acf558d0b799	0	0
cb3af26c-5150-4393-acaa-8a6bd45ae58d	11.1837229437229446	0.93203593718133726
fb94ca87-e4e6-453a-a3b9-ead3e8a125e6	0	0
fb7affbc-b3ac-41ee-a33a-6ec4ec5175d6	0	0
56c521c1-20f2-4eb0-ae0d-dd95b6877d5b	17.1436818181818182	1.42873063205808082
92545400-aace-4e84-a9d6-6c2f45ccf8ed	0	0
65feae31-7a65-4eb3-8eec-f8484cdb9d1b	16	1.33341777777777781
8943027f-ac54-428d-878a-f3f33f965747	0	0
c50d3590-8475-4c66-9e7c-c417f905ebe7	0	0
05019d01-7ed0-4cc1-bf46-c970a06e5f9f	0	0
07099a18-2c03-4430-96e1-a5d348d4cfbe	0	0
1809c752-19e3-48fe-b6fd-61c1c9face6e	0	0
65a321c1-d781-47a6-a81c-7d2335d97ffa	0	0
9d56fdb6-3423-4dfe-b4b8-0e084c65112a	0	0
7b4ad19a-ac63-403b-bfec-6e1c4380cd2f	0	0
fb3b333a-1623-4464-a2c1-17f0db093c77	0	0
48f5b836-3db1-49d6-b7ae-28f183b9ba77	0	0
1c8056f1-1294-4402-aca4-bc1e42e58709	0	0
b2ec6237-dda6-42af-a56c-362c60ce6f7d	70	5.8337027777777779
3930239a-1e3a-4689-913b-71ca090befb7	0.594125249072381956	0.0495087870747844064
12133e23-9517-4b73-acf0-4277f227f720	0	0
a238005f-629f-4751-b1d6-5a4956c9cd02	0	0
88c52285-b8b0-49ef-9646-ab1d47d482f1	11.1837229437229446	0.931945846079846207
fe08d495-ff41-422d-8b62-d5b960d541f4	0	0
65efb18b-3620-4802-b71a-3b655a6503d7	0	0
57a5d2b6-d42d-4726-907c-805668c19ed0	17.1436818181818182	1.42859253017676768
eafd00a6-ac5a-4afe-87e3-2372974ed948	0	0
f06d40f1-264d-4c43-a876-634d501fff37	16	1.33328888888888897
84ae92b1-28d6-4786-bc36-d0633795b315	0	0
9a83b7d8-32a1-4aac-9b14-cda3d93a879b	0	0
ca6703a7-e96a-4a53-b661-69f5e01aff83	0	0
27d6da83-dcaa-477e-af7f-e8ae4e4e6617	0	0
794be1fe-8ede-4373-ad8f-337b84ec351a	0	0
a019474e-a9ec-4db5-b8ec-97f7db12c75a	0	0
ec2afc8a-06c9-4784-9d85-153d6f0da31e	0	0
55bf5e54-9b28-41cc-bcd8-b9236aeb29c1	0	0
36853905-17cc-4397-9d0d-5bd855f88a9d	0	0
295ded9f-e1ae-49ae-964c-825e2a39e145	0	0
e8d06740-d60a-4a51-b1ac-734a58010b4d	0	0
6fac5c04-58a7-465b-aa32-62b5fbf188cf	70	5.83313888888888954
5d0a3963-fca5-4504-8eff-16208f0107da	0.594125249072381956	0.049518689162268946
d203bf6d-df7b-4a07-8712-bc264133f7a1	0	0
4c6161e4-d3d7-4d5e-9a45-37c2caaad083	0	0
63305d91-95ea-455e-9076-13ad1f12526b	11.1837229437229446	0.932132241462241606
b601a2af-e776-46f5-b53d-0eeb5d4adbc9	0	0
72b15e15-a199-4df2-92ff-bb8daa7d93f4	0	0
8e4121f9-1bc1-41fe-a71e-1ab0260abe37	17.1436818181818182	1.42887825820707071
4d43aa4c-99b7-4033-9258-fa7876bfe744	0	0
37bb79c3-1b08-4408-a59e-630f80b40794	16	1.33355555555555561
8778c43f-9cd5-4bcf-9ea5-b2301dd3884b	0	0
78068b46-b79d-4267-9704-75eb6b617ea8	0	0
4713bb3d-fe3a-40d5-b174-6300abb6c409	0	0
cdb927a9-98d4-4a2c-93c1-169874a2b4ef	0	0
cbcb783e-b982-4cec-8623-b63e8140f5ca	0	0
08361061-0c76-401f-bd73-5321e728e1f8	0	0
f096d01a-208f-4ecf-aeb3-f7a54e66c380	0	0
28736899-c5b2-40bb-9010-d6929875f0e9	0	0
fc7eefb6-e775-441e-96ff-02fc7deb1d2a	0	0
73bf2d5c-dd41-4082-ad4a-52305dcfa340	0	0
1b53148f-a0ee-480a-934b-82f307c8edb7	0	0
26dd82e0-d12c-432e-a7a5-6de2bc98bf48	70	5.83430555555555586
5431ec67-1e0c-43f7-a239-98a95c3d7e6d	0.594125249072381956	0.0495148933620665407
668e1d7e-522e-42a9-bc8b-6796235e9be5	0	0
065a9de5-f1b1-43e0-913a-1527b974524e	0	0
c9de81e2-b914-4404-9767-c9a183eba716	11.1837229437229446	0.932060789898989994
af7fb2cb-f491-432b-b6c6-42a7dd615f01	0	0
4a55baed-98a6-4c14-bce1-096ee027e656	0	0
7db8f2a2-6850-4c91-a514-b08744cb6ba4	17.1436818181818182	1.42876872912878783
a5381c68-c950-4e13-9199-7e353b6506f5	0	0
35db51a2-e1fe-4d86-949a-72c437474feb	16	1.33345333333333338
d2ad6cae-cb5c-4428-b900-59087aa1f1aa	0	0
504bc888-4693-4667-bb9c-774c23f667a3	0	0
d5a29c87-bd04-44f3-a825-cb6cc65aa3e5	0	0
ace8b9b2-cc3e-41ad-be7b-33170da06ee6	0	0
254bfa7c-9607-401b-b823-6e7accdfb2f8	0	0
455714d5-3669-4f02-a231-ad0ceb03acb8	0	0
24a2344a-4f48-4a2c-9d99-707ffec3c0de	0	0
cc02f3b4-8d72-4707-8c27-e756dc8a2e0f	0	0
072c4c05-abd0-46fd-9f10-e0b698fd40b0	0	0
37afd9b3-5172-4d44-b4bb-e2164b7a1bfd	0	0
664542b2-f816-48d0-82b4-91865ce7a72c	0	0
80decaf1-d93f-4dd4-984e-abefa746136a	70	5.83385833333333359
1b9863fb-aee7-4b3f-866b-3bceb91f1cd6	0.594125249072381956	0.0495130779793610393
3d139bc8-2b1c-452f-a133-1c24937c1dca	0	0
1851e8e2-3618-4b0a-ac4e-b4b5899e9d39	0	0
66af182f-0ffc-4efe-87c0-e65c2e01ae34	11.1837229437229446	0.932026617412217484
5eebf13b-99b9-428f-bdcf-07a92b2c0cca	0	0
baf16607-a724-48c6-ac03-fe6016bf500d	0	0
a7d6b7d7-71d9-4d74-a79b-d1928872adc3	17.1436818181818182	1.42871634565656569
6f362011-8b3b-40ea-b678-135b71210823	0	0
440fb43d-3a4b-4ab6-8f92-d3db88bf3596	16	1.33340444444444439
cc3f8d51-edfb-419e-bced-63f4a6575c19	0	0
0db4c605-2411-4b5e-aa09-79bd91a4f4a0	0	0
bd488378-bd5c-403e-8c8f-32f52c2b0e28	0	0
65dfe288-c032-4e34-b202-23ca11d26576	0	0
9f4eea48-9eeb-4e37-b9c5-d43fd82d72ad	0	0
b9a26d23-6c8f-49eb-adba-544cf320e72f	0	0
a07d4aa7-8959-41a2-a626-5c004293be2c	0	0
dab612d7-da7c-4a8d-a040-8bf09f96949b	0	0
461112d2-394d-4088-94db-27917ffd5167	0	0
a0b8c918-4506-4461-babc-64183437d6c5	0	0
f5dd02c0-b8aa-4c09-952b-3d4061625627	0	0
83eeba21-6111-422f-8be2-d1d827d263ab	70	5.83364444444444441
7aaf8646-fedd-432c-87c1-99392d5eca2d	0.594125249072381956	0.049516543709980626
874837d7-3ccf-4adb-9336-b1ffbe9dbde8	0	0
666802fb-44f8-4587-a5a6-89b09f565f78	0	0
cb4452f9-2cf4-4b99-ba43-046505b12963	11.1837229437229446	0.932091855796055802
0b4e6724-ceeb-4932-b830-202096ccee88	0	0
ae3a7b5a-1f5a-469d-a4b0-dbd4a54e1c3c	0	0
ad4c13db-7a8c-482c-9889-ab18d5e6ea4d	17.1436818181818182	1.42881635046717159
4f4b14b5-bad8-4a54-b097-bb2b0c40ecd5	0	0
9b947b99-00b3-4465-9860-398ca06f3857	16	1.33349777777777767
b870d2c7-d2cb-4245-bcb0-27976022c9c2	0	0
09bf1187-123c-4923-939c-cef0a615bc4b	0	0
4ddfd3c6-d801-4922-a205-c3630ea44578	0	0
4ecd5005-2d6f-48ed-ada2-25e9a627c422	0	0
e6985417-0d81-4723-b5c8-6f1bd7b1cdd7	0	0
7ee290e0-36ff-4c5b-8e3b-298421fc673e	0	0
b1317d49-43f8-4a83-80b5-8b464780ee02	0	0
1c9727ef-1493-4a16-b25d-c1b6ea20f650	0	0
8036e573-7a92-4976-9e58-1e0d3621c0be	0	0
44814ffc-d041-4cde-a7e2-605ae4a1efa5	0	0
b50297dd-5d57-4d81-a919-0a692d3b9418	0	0
59322fcf-206a-45e8-a329-1ab0eceedf32	70	5.83405277777777709
246c3f6e-4b65-424a-b9e1-47f29f787005	0.594125249072381956	0.0495104374226984917
83dc6814-d840-408e-9703-767414fa6b42	0	0
a5572abc-8643-4fcb-bbfd-67065f92f328	0	0
4bff2372-aef6-4bb4-9a70-6402860c7776	11.1837229437229446	0.931976911976912015
7fa5fb58-d9d9-4d01-9018-c5e3c83b7836	0	0
e77346dd-0197-442d-b1b2-223a4974d14c	0	0
22bff872-12b4-44a1-9979-c8a15dd04d14	17.1436818181818182	1.42864015151515145
c3982be0-4749-4c58-b95d-49bb1e2335bf	0	0
619603af-b0aa-452d-8aac-ed1eb63d8f9b	16	1.33333333333333326
d8685f99-b857-481c-84e1-67b17b1987d0	0	0
ea0116b4-2021-45f2-a145-ee023fb1072e	0	0
9c860b2e-6f10-48b2-846a-f5eb9a198472	0	0
53f02129-d733-44bb-a9b1-7d415a7028f5	0	0
2ccfd13a-1fec-4ecc-8ea0-58a675bdda06	0	0
b91aa51c-e2a4-41b9-bc4a-d79a586e624d	0	0
998400b9-7d89-46a6-814c-cc6969e2c8e4	0	0
84d4d4b6-cb07-44e8-8b24-cbaa1086ef13	0	0
2a1f8039-3c10-485c-8c3c-20005fb41272	0	0
61b7866c-d0e4-4fa8-bc1c-16148bce94df	0	0
736fc439-fbbc-4080-a561-ef949cec0ed6	0	0
9d38ac98-adb9-4e05-8a7b-e7d95ecd6682	70	5.83333333333333304
a0709dfe-1293-4c89-8fa4-8022fb718429	0.594125249072381956	0.0495180290231033091
70f91a50-0c6b-4332-8551-d1481eb04827	0	0
2f321de6-a0d1-442b-8287-b17afd9f1d54	0	0
a195f674-41e9-4a03-aa92-c3b8bdaf1f3e	11.1837229437229446	0.932119815103415128
17ccbc86-883e-4bb9-a978-930f75ac41b5	0	0
853830a8-d6cc-4ac2-ab94-779319d8fafb	0	0
d38f6f7e-9712-4df7-a0d4-b9bfc8439a7b	17.1436818181818182	1.4288592096717172
f3b2b277-85a6-4bf2-a59c-363b2a16ef20	0	0
1d749f3f-e030-4ae4-bb3e-56c3c9f1e106	16	1.33353777777777771
d1080abc-4225-4566-92b9-fd48e61e7e3f	0	0
eec22caa-2893-4d23-a9d8-b1e623ab8261	0	0
87ba4dcf-690b-4c69-bb15-15a0744d9852	0	0
d1811c54-1d56-408a-9cb5-aab8d997e264	0	0
f939ba16-91a0-41ec-8e43-213ebc4c5743	0	0
057f5f3e-4ed8-49a8-94dd-d763a2fe31fe	0	0
b20f95ba-55cf-4650-ade0-250d09b349fc	0	0
7056e262-7eb2-4b70-9a97-870928e4216b	0	0
42fc45dc-6467-4d2d-a133-fe4f993f5fa7	0	0
b52008f6-7d2c-491f-a390-ba41d3a17b98	0	0
ba3a7f45-d613-478d-abed-db48abe735d9	0	0
efc3a85e-7e37-4744-b871-3be2f55233a9	70	5.83422777777777757
58247e29-ad2f-459a-98d6-47cdcd7c53cf	0.594125249072381956	0.0495122528054039931
2da224b7-6186-48d9-9a1b-c6420202e267	0	0
f28b81ed-7679-4d25-a65c-c63ec2e81426	0	0
1e0d2e3c-6848-447e-8f7a-7b391ee6520d	11.1837229437229446	0.932011084463684525
ff881bb1-b39b-443e-b4e7-f93cbd8ba22c	0	0
eec098b8-3f5c-41cc-81b0-2cd519ba2fd4	0	0
3ad0eccb-c62b-4285-b613-b9a49addf949	17.1436818181818182	1.42869253498737381
590c7875-65b4-4fdd-9d8f-8f1189796295	0	0
80d2907d-fb89-48cd-bf0b-2593ad722025	16	1.33338222222222225
878e2132-fc71-4218-a490-70d02f197c89	0	0
2fcafefd-87a8-4942-8093-c3ee537eb08c	0	0
0848a6b5-b633-4df5-b7a0-44cd76d11220	0	0
dca4a450-b17b-45aa-b76e-7aae55ea37c3	0	0
11138761-7775-4283-ad28-c9fa6d757baf	0	0
075b50a4-b47c-45b0-9c5a-3b45290713cb	0	0
799a0017-b236-4309-9365-62c6ea588e6c	0	0
58ec4927-2bc3-41b9-9834-e080802cd719	0	0
359eab9c-ced8-4b3d-a159-cdba8dff16e8	0	0
d2de3a55-bab0-41c7-8740-fd4847862dc5	0	0
8888c25b-deb1-4a4c-9f7b-c49136b1db2e	0	0
c9778e19-96f4-49ba-9d99-2a55e86b9868	70	5.83354722222222222
35487752-b772-4c47-a100-f4f6a6d88c20	0.594125249072381956	0.0495130779793610393
2b9f9e97-a621-44d2-9c25-746685686b07	0	0
6727f0e6-aca3-48b4-97df-936cdfa7d92d	0	0
d75f96c9-30ea-430e-96bc-5c14ff1a7d8f	11.1837229437229446	0.932026617412217484
474b415d-d672-46fe-ad0c-db05e39d3676	0	0
8c53597e-dabe-4d0d-832a-7efc579f2dfe	0	0
e51bf800-7dca-477b-8dca-785920d068ca	17.1436818181818182	1.42871634565656569
0c9b1e74-34cf-448a-a2d0-1ad8532441fa	0	0
480b233f-ffc2-4b0b-9595-861a391961a6	16	1.33340444444444439
a18e4cb1-13b9-432b-bb8e-ab6fc5f5109f	0	0
9e66b9af-d28a-4210-b77c-e6eec1674ad9	0	0
f452465e-27d5-4f21-ac22-d2fd888902fe	0	0
f10f3313-b676-465a-b88a-ae4bffb83fb4	0	0
6ebb7279-6222-4792-9b4b-41e09578ac6c	0	0
d3a7288b-cc33-4f43-a936-a25742ac2699	0	0
8a7358f4-6fcf-4882-8edd-34d46a9d9d39	0	0
238116f9-7726-4be5-a492-1fa8c0b41eef	0	0
f7020aa0-0556-44e6-9927-11aa7499e29a	0	0
ff2cb889-76d8-4fe2-8dff-27ded375ee47	0	0
24964950-5cc4-4a2e-935a-ee1965f40fbd	0	0
6e43a6c6-0eb8-4335-a705-0dbce160e4f7	70	5.83364444444444441
c1df0882-c8c0-4a51-ba0c-13686b87e11e	0.594125249072381956	0.0495134080489438577
2b70af9a-2e30-47dd-8247-6a7bb6e5d139	0	0
48dc415f-4a24-461f-8449-c3351121b254	0	0
8b334136-ed69-4b16-8383-151adfcdd14a	11.1837229437229446	0.932032830591630668
9ae07e91-5fd8-4697-8531-28627b79f2c1	0	0
601d6729-aac2-459c-8c15-d734aa01c8e1	0	0
921aa2d2-4d32-4d7f-9e5a-4f705c7b0975	17.1436818181818182	1.42872586992424244
d0553aca-1714-4665-aec4-dbc3632ecdb7	0	0
2c11b15e-1729-4c07-af55-b102e752e562	16	1.33341333333333334
431b59d9-6224-48d6-bebe-31b681363f17	0	0
042dd053-e45c-47e4-9e83-93d8a2ecf5b1	0	0
aa479cb4-c210-4a1e-b726-10e98e9eb0c5	0	0
1859ccf6-22c1-4855-847c-beda8d61a498	0	0
984bc89c-75d6-408e-adb2-ad2904ed6682	0	0
baf3f135-5b77-4c80-82d6-3a99dee8a6c1	0	0
d50922de-bda4-492c-b55b-273392fc5055	0	0
28460aa4-eb45-472d-8aa0-82f590682a1b	0	0
a966530f-6c36-432a-a859-ba88ff6353b2	0	0
77bac894-f3aa-47ab-806f-aceb26acde97	0	0
f7a43030-4779-43b9-a13e-ebae5a3deca9	0	0
8e3bdef3-04f6-44ed-bd5c-e0e4dc04a810	70	5.83368333333333311
3bb6b5f9-f5d8-4f55-bcb3-633235f09d9e	0.594125249072381956	0.0495104374226984917
be95e6c2-3558-43bb-bc0b-e306c2dd56f7	0	0
5f2eb557-ba7c-4bf0-8ce8-888aba2db780	0	0
445540bd-b0b5-4d04-bf12-e1c3b9973c3e	11.1837229437229446	0.931976911976912015
bc3f90d6-775d-4531-92e3-3d4749c3a013	0	0
b0abcb63-e8ff-44dc-a824-2144d554ade8	0	0
df3d8a72-5caa-41ac-82d4-93b95cb9a47e	17.1436818181818182	1.42864015151515145
84ad642d-a0e2-4efd-bb06-e9468b4dfd9d	0	0
80708081-4c31-4f49-aaba-b89407cd6357	16	1.33333333333333326
5bdf7b44-1ec2-455a-9556-9da65e71a38c	0	0
0dfde926-9b53-4c9c-8f8d-297494c8ecdb	0	0
2aa14336-a8d1-4034-8dbc-d35a6b7c1d39	0	0
19e7eec0-26b7-4c68-91b3-92f0e89c3f7c	0	0
73458b97-a50d-454d-9950-1198194ad3ae	0	0
376bc72d-00b7-4521-865d-85a753226fc7	0	0
0954f115-106b-4193-ac96-f45daa32a9eb	0	0
5f270403-0e1b-4fb8-a50d-4b74ce56ab42	0	0
2b9018e0-4410-4f1e-b1c7-650369f1e786	0	0
a4f2d6d9-37da-4538-9916-d2b302b93415	0	0
6726f8b2-6322-430d-9e1c-5ac52ea3544d	0	0
f376be38-815a-482f-ba38-4541508ab423	70	5.83333333333333304
81a942b2-5065-406f-93c8-2bee378aaab3	0.594125249072381956	0.0495152234316493592
07702d2c-8df1-445f-af90-ef047d1b84ac	0	0
ea6050b6-32dd-4ce7-89ab-1ca0859567ef	0	0
269d0c61-147c-4569-90f7-a6f0c8f4c29e	11.1837229437229446	0.932067003078403178
f1e685f7-81a3-4d57-9643-8d26e23cae87	0	0
6746e20d-26be-402a-bba4-7e85f43cec8b	0	0
11eb07b4-a3ad-41e9-83d2-ff8cb116170a	17.1436818181818182	1.4287782533964648
fada516e-7f60-49ab-9077-3850e5e48b8d	0	0
8710ac14-3cef-4d4e-96a8-f30e53ec5f65	16	1.33346222222222233
b4b598c3-129a-4514-8d5b-c86304f0be25	0	0
6ef4226d-b61d-48b7-bc70-e24895d680c1	0	0
c1270993-15fa-4a30-8c71-612daff40084	0	0
1190e7e2-8d16-488b-af7f-cca0569de608	0	0
749d97f4-51a1-45f6-996a-b1032f24a368	0	0
e1ad46cf-02b7-41ce-9c24-7df183e00ac5	0	0
b75ce5b1-e206-490b-9052-cdf3fe4f5138	0	0
8048f0d3-96b4-438f-9466-0e7cef7abc6e	0	0
ca7fa055-8285-4932-98ad-59e24d55da3f	0	0
2a67fc1b-0672-4bd9-b9c7-6de92bb57c0d	0	0
abe8e25a-f900-49d3-8754-4d07db6ae6d7	0	0
62ce981b-fb38-4f1a-b067-d6f1e8752342	70	5.83389722222222229
22900650-38d8-43ad-aae6-03be1bfc44f6	0.594125249072381956	0.0495155535012321707
a983d550-f908-475a-af4d-9f11ddc1ad04	0	0
3c1e44df-7a19-44fe-8b66-354521418623	0	0
b762d91e-b58e-4087-8212-3536fff6d4fa	11.1837229437229446	0.932073216257816251
d6c908d0-9e56-4377-ac80-14e9deb4d3f1	0	0
cb9c1fcd-ab9a-4710-98c8-5ca9efabd6ae	0	0
ff18eec2-be8f-4e2e-b5f4-265b2b05ca67	17.1436818181818182	1.42878777766414133
382eacae-1876-454d-a54f-d16cb629e488	0	0
a881089d-1e60-48be-84f4-0c2944ea72f3	16	1.33347111111111105
8cfff7d0-bb81-447b-b026-f38dd690d2cc	0	0
f231bd4e-7584-412a-872f-b7105e02921a	0	0
c0a64199-b5c8-4861-8ed4-0dd21f3ca77a	0	0
afd85006-6d87-469b-bc93-8741f4ad3aad	0	0
d352794c-e4cf-4879-bafc-fe937d1cb85f	0	0
bfc0e13c-a652-460c-87ff-49c94b55a7ef	0	0
fbf17681-f970-47f8-b4d2-5338b35a21cc	0	0
5c80db9e-4586-4772-bc0d-6ae48df91eeb	0	0
d3a538a1-fde5-40e3-afbf-7a6d88368b25	0	0
e4aecbc3-48aa-421f-90ce-4690fc8aa9ad	0	0
cdb81e83-87f7-43cf-9b53-c8c9f70a4480	0	0
4fa40d7a-2230-4028-8bca-57b824e88394	70	5.83393611111111099
25616b77-ca73-4cc2-935d-74a4750f9eec	0.594125249072381956	0.0495124178401954093
a95f750f-7aa4-48b9-a4b7-5af3add803c2	0	0
982220af-a92c-48fc-bca4-f4882bff1311	0	0
ed70453a-21b8-4c0a-9266-fc2f4b0a2c07	11.1837229437229446	0.932014191053391117
6d3d8122-d504-47e7-9d61-e32b23417149	0	0
0d6e16a7-cf1a-4463-8a13-994a0b177b65	0	0
1577f72e-65a4-46aa-91ba-8788b815d4ff	17.1436818181818182	1.42869729712121218
c540380b-b0cc-498b-ab77-43c5210d8beb	0	0
6a85221e-33f8-43de-832e-d8b92d5e804c	16	1.33338666666666672
74c706fc-171e-4c2e-a3d9-024bb526a5b1	0	0
6cf5ef53-a573-48ac-b384-def3bec37305	0	0
83f56596-51a4-4f77-8778-304103991870	0	0
b95df2a4-9ac0-42a5-aaa7-92b7f883ffd2	0	0
2a54f962-6487-495e-a75e-b0ad635c44a6	0	0
90ba99fd-f2a0-4d9f-b1c7-edf38280b767	0	0
8406928c-2dd5-4272-93bf-928332fe2345	0	0
ee0be3c6-d6b0-44e4-aebb-2d5bd9730c4b	0	0
2cdee948-7717-4261-8aff-1e6430be4ad7	0	0
c32de59b-dd15-4ab3-b314-69c968fc4992	0	0
c25eba27-1b91-47eb-b0f0-347bc79a58a2	0	0
b2bf1dde-8821-40e6-9e8b-d5856d17f207	70	5.83356666666666701
d38932c0-7115-4d20-a2fe-656be12ea31c	0.594125249072381956	0.04951505839685795
604cead7-e598-4bcf-99ab-05f64155dc65	0	0
7eb8cde0-7bb8-4272-8fe2-ddb2a926f684	0	0
3cc24ad7-54db-48ab-810a-b5136ed41445	11.1837229437229446	0.932063896488696586
40ea08be-1a9d-4589-8f70-51a3314fa937	0	0
ddea7c02-7a78-4acd-ba7c-648de014365b	0	0
b1c4510b-4872-4bc7-bd4b-c854700c0ec3	17.1436818181818182	1.42877349126262643
30629798-e74f-4b08-be33-e0ce3e2f2803	0	0
f40f6544-faf3-46d1-bb75-45d3ff6f96be	16	1.33345777777777785
9c828d37-2c96-4f18-9dcc-6901b8aa612f	0	0
b72db658-f5c0-4327-b4a3-3802f53c435a	0	0
620f33d3-46df-419e-9595-4bb859db4971	0	0
ccf5f6bf-8c7d-4bc0-a31c-f2ed57efe4cb	0	0
c64372b6-442b-4afc-a07a-726a07947a55	0	0
a008fbd6-77a4-485c-8aff-8af6f3e66e40	0	0
aa5d450e-c361-44b3-b004-43f47c8de724	0	0
1dc3f173-4b3f-4632-aa5c-40d426212b87	0	0
e5dd6b91-ec11-49af-a601-6d994eb74d51	0	0
bbf85f53-c672-45ac-857a-364a2124d7ff	0	0
0c95978f-74dd-42ec-9f95-00c7ff8d8983	0	0
9e619aef-5ae3-4881-bd95-9f87fcdbe1a0	70	5.83387777777777838
096dfa96-8640-46c6-bb81-678a6b582b16	0.594125249072381956	0.0495168737795634445
b64d1d7d-439d-4893-8aee-29ee5e5c85fa	0	0
a7f9bc2b-bdf5-4f27-a210-c3445dd5990e	0	0
18d967a4-258f-4796-a4a1-d28b8032f9d0	11.1837229437229446	0.932098068975468985
6f3a0407-4a06-4d33-8265-478ad0f5f2c5	0	0
5b501bb1-8740-4bbd-82a5-81ad90fdc45e	0	0
3d196773-3d2b-4b3a-bfc4-de48e0e15aca	17.1436818181818182	1.42882587473484834
68188c0d-6159-4fe4-a880-18d908e401d5	0	0
48859024-39e3-4614-a04f-9f110c1f5041	16	1.33350666666666662
8c41b80b-9b97-44fd-a9a7-939d149f13bc	0	0
5ed6e95d-fa03-4104-906a-fd0d0d7a783e	0	0
96d0c4c6-944a-456b-b2ef-680b0870fb60	0	0
64000a6a-6df7-4dc0-9512-b384d9f3eac3	0	0
20873f0a-b4fd-4756-867b-64509df112d1	0	0
92dc787e-da9b-421e-b43f-801a7e88bb00	0	0
8b4222aa-df8f-425c-b995-8be762a2a3e9	0	0
e5db597a-1400-411d-a4d0-d8f3baeb4ab8	0	0
5f3e18a8-1e05-468f-81ed-f0aede6fe785	0	0
0f3a89a2-9037-45c9-8639-6739840ba486	0	0
e4140f84-f345-4cfa-81be-1cac28fad34e	0	0
f465ef05-9f71-48ce-b838-d7febf2c51ff	70	5.83409166666666668
f5bcafcb-7e27-49aa-904e-73a26055ae40	0.594125249072381956	0.0495096122487414525
1130db8b-7b28-4b1f-a061-785701c1a952	0	0
80356165-0c43-407f-a300-43bba7b7de14	0	0
cd09c799-280e-4752-bddb-e81dbcd12e7a	11.1837229437229446	0.931961379028379056
8d5667d5-2ede-445f-9f1b-fcedbd9058a3	0	0
9fbc32dc-e529-4a7c-8a10-d3b6fb2c5ff5	0	0
41dbe781-753d-4287-8f2b-4be82b10e8b2	17.1436818181818182	1.42861634084595956
3f4e79ed-76b0-422b-b931-b914e1ee0319	0	0
af3de025-ff5c-4b0a-bb3b-73a92972680f	16	1.33331111111111111
126e4db4-1edb-4e5f-bd24-9568f50a67e2	0	0
b421224e-c78c-4168-b1a4-201ac624154e	0	0
7cceb446-53cc-4cdf-a181-2c09a2997706	0	0
304edce9-c0a4-4afd-a6ac-53abe3523f1b	0	0
a55b927a-6beb-4b14-8bb8-26af8424db22	0	0
57e99398-00a3-4889-a57b-04f0958d1361	0	0
c2246558-930d-47b3-a174-915b745c2d09	0	0
681c8971-ce25-48ff-913b-66297ed9d1c0	0	0
4eefc45f-8958-4830-b517-416cab5d479f	0	0
7f0e8349-4e7e-47a4-9aa1-db9805a39e12	0	0
90adf6ad-0590-4214-a107-26c227cd5ce4	0	0
ba2cd620-1456-46de-a961-e3ed8f2fe6fd	70	5.83323611111111084
7fd68984-4aa4-43db-a856-f9a3f57c3014	0.594125249072381956	0.0495124178401954093
42635e6f-2cdb-45f5-bf97-26c2251cd146	0	0
407e3d8b-2d95-4964-8899-9166984206e7	0	0
b5e678ec-c602-4cfb-a79c-3157a5496f19	11.1837229437229446	0.932014191053391117
5215e91c-dff3-45a1-8d9e-a7438b19cc23	0	0
a9186d11-85a6-4a77-83fe-6f80b03c8480	0	0
567bc390-710a-41c0-8538-68b2bd70da54	17.1436818181818182	1.42869729712121218
cd6584e6-94f8-4cbf-9219-44b2d1c806e2	0	0
0998e720-1a15-4d04-9a9c-f4289a6e2950	16	1.33338666666666672
83ce002f-a900-47e5-8013-6fe60cab900f	0	0
becf2ee3-9ee3-4daf-823a-009803cf4ef5	0	0
3fe0421d-10ce-43b8-8475-493699cb2d08	0	0
b5abafbe-9890-4436-af38-26ddc84e66f7	0	0
a3c6e593-4b5e-4e45-96fc-b9febfa385f0	0	0
ba03c486-b319-44ba-94f6-a616ac23d51b	0	0
05367fef-49a5-4cea-8ef6-a0dba065d875	0	0
89186d01-01e2-4bc3-8dfb-37831b3917e1	0	0
3d500bb2-72a8-4e6c-97cc-a75cb6bd9429	0	0
72c3a89d-9db0-4e2e-9a96-36af00874a15	0	0
fc81b8ed-b379-4feb-95ce-e8f311cfa075	0	0
50e8b1b3-89ec-4efd-8ea0-614d17382af2	70	5.83356666666666701
10bc4c72-cd3c-4807-87f5-9696afdb786b	0.594125249072381956	0.0495178639883118998
83da7c60-8094-4aec-9ffd-56255fbd90fa	0	0
a8237cd3-7283-46c2-aee4-01e93f3f3b7c	0	0
262c7de4-c760-4f97-86ae-8d57a778c5b1	11.1837229437229446	0.932116708513708536
6995f28f-1a3f-4bba-bb26-53921fc81271	0	0
16313084-f509-451a-bca7-1485dde02332	0	0
ec611744-0dbd-4745-957e-dc6ecd1bd914	17.1436818181818182	1.4288544475378786
89151930-f909-463f-935b-78fddcda4aff	0	0
37aedd58-1a16-4292-b119-7c87e0624fe5	16	1.33353333333333324
a8137338-a315-4c46-bfb3-8d15a5c79ae3	0	0
ff70a000-e226-452c-9446-388fa06f9a63	0	0
9d2f9052-aca1-4746-9069-419ffe988d8d	0	0
0eed16a7-4e4a-4afb-979f-56aa85b715cf	0	0
389676cc-308f-41b6-991d-b1c900bf5fa5	0	0
0bab1b4a-e361-41ad-bd55-e22948790ec7	0	0
7e2a23d5-7acc-4f41-9dec-136783dc6ee4	0	0
76fdd6b6-b50b-4985-836b-068a8cc6d053	0	0
cc03b4e8-43d7-47f5-9227-764b9b271b49	0	0
ee5f1b56-01a7-421e-9032-10afa449b615	0	0
253d1b60-7c74-4caa-a320-39c3826329a2	0	0
bec8214f-e434-48f8-bba9-d0bab3738af1	70	5.83420833333333277
65e1e6e9-c253-4017-b5a2-6b738f474ad9	0.594125249072381956	0.0495115926662383563
883ddf03-9a0b-4a63-9c86-2d2806b2bef5	0	0
d2e5205a-6e6e-43db-9b92-c14ea6c195a7	0	0
bd9cb7a1-048c-4a2f-9057-a62fb9d25507	11.1837229437229446	0.931998658104858158
75485015-75a9-4209-a363-6cbc96c94817	0	0
9211e6e6-ddd8-483e-a487-656cd02880da	0	0
fbe3cc97-06f2-4530-bc6a-7a4acd5f46f8	17.1436818181818182	1.42867348645202008
66f92e77-324d-4265-b159-c96481899039	0	0
d229d2d0-b015-4f8d-89b0-d510059198b5	16	1.33336444444444435
3f453681-1ea7-4c07-95f4-d1f9bc2796c4	0	0
c82e0de6-b9bd-4c3b-8456-7a63d6600741	0	0
9713cda3-0801-4e4a-af96-dee78f65c3f4	0	0
bd2393a9-0811-4cb8-b211-5a734e29f1c7	0	0
db2d3472-8363-46ee-a027-94b552c0dfc4	0	0
2d3b3fc4-fd8a-4be2-ad30-25370683f49b	0	0
f8425b8f-435d-4286-8b2b-138b9f9cd1f0	0	0
6c6238ae-6abd-477a-8847-6f34548d8c98	0	0
4f3492f8-2b53-41ee-8916-f993e50b0b80	0	0
62b488f1-f8ad-49ae-accb-fa9699aa6330	0	0
6f783020-9d9f-4b99-9d34-a775e9baa5b7	0	0
8513d6b3-d904-4f4f-ba4b-84017576d0cd	70	5.83346944444444393
fac5b625-6c71-4913-ac5b-d1716c229033	0.594125249072381956	0.049516543709980626
334ac58d-b356-4d68-8644-9eb83b745665	0	0
be05baaf-db57-4cd3-9274-6f9355af5bd2	0	0
e6e8e5ce-dbc2-4f3e-96a6-803b359044e4	11.1837229437229446	0.932091855796055802
5d405cc4-fcb5-46a5-a3b7-b490451b3ac1	0	0
2f8a0c29-0c8c-43f9-967a-0d93533c3ada	0	0
41bd341c-5389-42c9-bb6a-fd018e36716e	17.1436818181818182	1.42881635046717159
43904cba-1bb6-4b78-aefe-a7abdd3a696e	0	0
c00930a2-cb9d-4c3b-9a9c-74ce6c751e3a	16	1.33349777777777767
b3a4770c-6823-4a34-988a-2708704bb79a	0	0
67c624ea-a3af-4be4-8ee7-f60a75c83795	0	0
313e03ec-592a-4fee-8a24-93b0826171c7	0	0
2209ce16-21cd-42e4-83b0-2a4b0ac61e5d	0	0
7840a944-6344-4211-8443-67ef4fc28a72	0	0
87f8dd5a-e614-45ef-a39d-ac1cff55d1c0	0	0
c8c76978-fbd9-4e34-a980-0473b4d27c59	0	0
f8bb9a75-dc3f-47c0-b0ba-b789195a5550	0	0
aec09965-fa6f-4919-93fc-46a14daf66c5	0	0
8c6dd692-3f97-4c18-aab5-e1c33f4b7037	0	0
840d0c76-fd93-49d6-ba9f-573520d36c9c	0	0
45991d4c-c54e-47de-a4a5-8978f16886a7	70	5.83405277777777709
b4bae347-46c6-46dd-8565-6368d5661697	0.594125249072381956	0.0495120877706125839
d6451f4f-c89a-4a1f-816c-bb981c583291	0	0
fe3f6ed9-ef62-4e17-ae6a-04416bf4365b	0	0
7d1ac371-f872-4a42-af36-035803d46a97	11.1837229437229446	0.932007977873977933
26633bf9-70d9-4b4f-848d-885d7ef166db	0	0
fa486454-0ec8-4870-8dd3-49b0837468ea	0	0
7d617a00-a41c-4cee-99f7-53a79f22e796	17.1436818181818182	1.42868777285353543
e94ceaf0-552b-45f2-b6a5-8dd57ad062f2	0	0
1b372034-4acc-4a8c-8af5-57fb82407c35	16	1.33337777777777777
0e33bfa9-14f3-4314-b162-9b77b648e36f	0	0
f4bda595-8ffb-4393-8b34-eb1b81940ed4	0	0
43b69e22-debc-49ec-a37c-9e44f046e112	0	0
2070b250-4e31-4f09-8cd1-54f2a2aa7953	0	0
a5ac0dd7-efbe-416b-b06c-613916e49c8a	0	0
403af6b5-1b59-43d2-a7c8-ca7066a22eec	0	0
6702dce0-6667-4b3e-a344-6ebfea695c02	0	0
a81b644f-5f92-4f52-b924-b2b6dfe854cc	0	0
fcfaadfe-04d5-4e17-bfd9-38a8c086e3ff	0	0
2f20751a-67b4-46b8-ba4c-d28392519a56	0	0
3b168b96-b2d3-4715-9684-7c3efa7ee186	0	0
6bf284d4-736d-471f-b2d5-a30237956e52	70	5.83352777777777742
422874fc-f89f-4e6f-a5f1-83ab3bbebc92	0.594125249072381956	0.0495109325270727263
040c8844-fd7d-4c5b-9230-6102d75c2acc	0	0
3db381f0-ba41-4739-a560-01d357fcac78	0	0
8cb413bb-6155-442c-b0b7-0b1acf7dce06	11.1837229437229446	0.93198623174603179
3398b321-4609-4e3d-91c8-ba73273c2bca	0	0
f2703725-6732-452d-9ae1-61c97742657d	0	0
a88c43a7-3fb0-4dad-a2cb-2c81c4642715	17.1436818181818182	1.42865443791666658
9a4e43a3-c2df-4c1a-99d4-9c79518e6f05	0	0
677b4ff3-8858-4207-8d50-a97b75f15f3b	16	1.33334666666666668
4aa6b0ae-6014-45da-bc41-0d28bd3991e0	0	0
5c9794c0-9031-4f9d-876b-b48b7d6f4416	0	0
ff862851-c34b-4cd7-90e1-5c1652204d22	0	0
4348f52d-a8f0-4c86-a9d4-5e2a2bec7000	0	0
bd2e97d2-9cd6-4ebd-9c80-10b1319b9525	0	0
3c56c011-61cc-46db-8c53-3cc715336bdf	0	0
3004e3fb-67e0-47a4-a7e8-fad5c903c20e	0	0
cbbf4d3c-cf54-47e2-95ef-d0b287449524	0	0
58203d98-5e68-41e7-9652-c44278b906fa	0	0
f1255ed3-ddd1-41b0-b7cd-c5347cfb2733	0	0
291086f0-25ff-445e-b7cd-e67ce978cd0d	0	0
f6b70934-d68f-4809-823e-275d2c97ff80	70	5.83339166666666653
3889d29a-4567-435f-b899-98e2ec084915	0.594125249072381956	0.0495097772835328617
aa971a64-898f-4e3d-9827-8f1d0f7bf1e7	0	0
b5dff218-92f2-49eb-b394-b9bbc97b67b4	0	0
cd64f6cc-7c1c-473a-a984-059d51753d00	11.1837229437229446	0.931964485618085758
663ed598-43a9-4cc3-8736-124cdb83da27	0	0
a74b29ea-f75f-4a0a-a881-d1efa82b731d	0	0
f8d285b0-37b5-47da-be17-8f15ed798baa	17.1436818181818182	1.42862110297979794
4a736ce2-7f3e-46e0-a1b4-eb9a7d8909ac	0	0
efb4b661-4ca1-4057-8392-b125a9822c65	16	1.33331555555555559
c340be9e-a785-4f28-b7b3-3a3e38bca4ce	0	0
2d1c27c7-8371-47cc-a3d1-049a43202b8d	0	0
90cafae6-e4d0-468e-9558-28da8506cd69	0	0
cd07664f-fc7e-43ed-95a2-d2e920d5adea	0	0
c91183c3-e316-401a-b752-2d1f03355f76	0	0
6999f125-a8bf-4ee4-a79d-aafef8f5d60c	0	0
d0937e7d-1dbe-4111-a23e-3b5cc57939f4	0	0
4886c4fb-98d5-4308-8326-792eb8303034	0	0
62c173c6-bd1a-416d-8ffd-a8ef414a107a	0	0
fb0f5555-9e42-433a-88c8-5c67e4783ec5	0	0
9af3cbde-35e9-44dd-9d77-e32b0bc5a379	0	0
52f0c56f-f6a2-48a2-858c-c6012dd03209	70	5.83325555555555564
2a421435-661e-4077-9501-dbad0a37ed3a	0.594125249072381956	0.0495195143362259921
2781ba3a-9e52-4e88-81f2-abc0e17168a2	0	0
a91007ee-97d9-456e-8e58-4b8ae586c211	0	0
2953e390-5968-4642-b193-9bc6afc52606	11.1837229437229446	0.932147774410774455
5f8c2436-990c-4a8a-a8e7-38d69aa7a824	0	0
19a18a44-8bdf-4789-a19c-43cea22f4b3e	0	0
96ae5e2e-0363-4fe7-9829-34d2ad13b8de	17.1436818181818182	1.42890206887626259
22761070-3f93-409e-a262-1864eb10e29c	0	0
930217af-4193-4059-9545-564d150d62f3	16	1.33357777777777775
c18ae80f-ce97-4248-a903-88ed04e10f9e	0	0
c49931ee-f2c9-42ca-96d3-b686290f1507	0	0
fdee207b-6d23-45d2-9ad3-0479f01804c5	0	0
957f1ee7-cf6d-4ae8-acd8-51ee53ba5080	0	0
959fb9ea-dbad-455d-b8f2-03ef52ebba96	0	0
a6d25966-383e-4586-a1d6-36fd2f15a466	0	0
eb3f557c-0900-41ea-b8fc-528503ed26ad	0	0
5d8db2fd-71d1-423f-94af-f6cf0ae7a64f	0	0
5ef6d167-5428-4b2a-89c7-cf48f44a66ed	0	0
bf955a39-3ca3-4e0d-8d0b-f44ed287c1fb	0	0
b64de78a-f4c1-4316-9f80-9225b86be496	0	0
82f5ae6a-a59b-4898-8215-5a144d4c8829	70	5.83440277777777805
7eca3282-ef60-459c-803f-7f47cdfe8c65	0.594125249072381956	0.0495162136403978145
224d09dc-0015-47af-af75-3fb2dfa2d139	0	0
15134ec6-e451-4e73-b07d-4e7859801d7f	0	0
381a0f1c-64b0-405d-8e5f-785fb17b3353	11.1837229437229446	0.932085642616642729
e63c37fe-b6f1-4921-a223-881efba76bfd	0	0
e5b778ac-513e-4ff1-9920-dd236c9dd987	0	0
6d2aa6d1-4a73-4eba-aa9c-169c4ef0d382	17.1436818181818182	1.42880682619949506
a4df285f-b1de-4a39-a4d5-9b0ad8e9e185	0	0
28ec6a9f-8249-4006-b35c-dd44b383ebb2	16	1.33348888888888895
2dd75eb5-eb29-43eb-8630-c04823bae28d	0	0
426aa13b-1b13-42ef-9cac-126becd26559	0	0
f4cdefd7-d516-47c3-9ea0-6a58a60c7565	0	0
dc8c14bb-e06b-4c13-b60e-431837570f3e	0	0
4fd0045c-905c-4c29-a971-d18947bb4974	0	0
1ecbfd5a-eb0d-4d16-a707-1293e80914eb	0	0
d7b9a48f-a665-4dcf-9c78-ee893d931d66	0	0
195bd7df-2740-4c69-a322-a5fd19f1988c	0	0
714b9b76-cc03-4f3c-a313-136f70ff3419	0	0
5b651af6-360c-4676-9be7-8c51dfa50177	0	0
7c27ce77-ab3f-4b1e-bc5d-24dede77e7f4	0	0
a5373803-2ccd-4d18-a024-b5305ee6e494	70	5.83401388888888928
3bdb70cc-2d17-4cfa-a50f-59b788c822da	0.594125249072381956	0.0495132430141524485
e271344f-e028-46f3-b15d-7709275ad9d2	0	0
c2d6bbf5-aa3f-4bf9-a78a-c499c017431e	0	0
81559d4a-1c01-4db6-88b9-8a2080b8c1d7	11.1837229437229446	0.932029724001924076
93bce36f-7752-42a9-a879-822bb4fe02c5	0	0
ad0de469-1140-493a-b82a-c6b5c98afc56	0	0
895ce58d-085f-474b-bd02-9507afefd7ec	17.1436818181818182	1.42872110779040407
4758d99b-5e5a-4627-8a57-b62c3e0d21a1	0	0
27cf745d-abb9-455c-ad1b-0ce55a8407a8	16	1.33340888888888887
3c8b8fed-eab9-427e-b118-3a489892862a	0	0
f6b96606-e3ef-443e-baab-8c249e4d72f6	0	0
b674d5a8-f1f5-4f4d-b6e8-6be15033f7c2	0	0
c1ea6e37-76b3-4430-921c-44858d57d479	0	0
10c71f46-355e-4cee-8e96-a726a9de06e8	0	0
29a1dfc4-6117-494a-8f31-8b67791804d0	0	0
7c9a7434-9525-469d-9d13-263731c8dd6d	0	0
330c6a6a-023a-48cc-a08b-c30adeb78e1f	0	0
c1530004-2b66-4c04-990f-e6b2493278d7	0	0
7f14567a-3425-4be8-a66c-0ac4f3e4deb0	0	0
26c314be-15af-4272-812e-35c872758e37	0	0
29949b83-0a55-4d7b-aa79-e1204faff73e	70	5.8336638888888892
6b18eb65-aefd-4e69-8e93-e3395fc74d6c	0.594125249072381956	0.0495125828749868185
32b87612-a2e1-493e-9f80-3eadba5c4a60	0	0
3737a120-c604-4002-9c82-b9d77ee9b961	0	0
33aba100-7862-4193-a933-0a9dfacfd16c	11.1837229437229446	0.93201729764309782
0010dffb-8140-4c2e-84b4-3ede7f570c68	0	0
8a650478-c9b6-4a96-8aac-b25f32b92383	0	0
4f9c4864-1694-47f0-8ce7-8d8ee6c70155	17.1436818181818182	1.42870205925505056
16bab271-492e-4759-8236-8be5b63c37fb	0	0
bbc45a9a-58f4-41b8-9622-c18565577f8b	16	1.33339111111111119
b89ee8b4-d437-445b-b854-74be324a22ac	0	0
7bf387a8-a081-443e-849a-8c5680e2c72a	0	0
f42e1da1-ce73-4dd0-a4c0-b640ba230452	0	0
9c7102c1-391d-4da7-afe0-30f0edde0a59	0	0
31e10c26-d2f6-444d-ad05-ee61538460e4	0	0
918521f3-4310-4085-84e9-ee52c70cf934	0	0
d2a55e53-5f5e-4ff1-b224-6b06bedf217b	0	0
f0bd340d-a005-41c4-b14a-9d587b454dc5	0	0
61e7747c-3fa8-4768-a8b2-20c829460b10	0	0
21469818-d1f1-418e-9ed3-e2cb4c76a80e	0	0
88e16795-752d-4445-ad1f-aca4773d72c1	0	0
8888b683-6601-4712-b1df-9096377f2fcf	70	5.8335861111111118
86809932-0c93-4f76-b716-8d37092465d9	0.594125249072381956	0.0495124178401954093
21f996cd-04e3-4e16-affd-701610f9402d	0	0
53cbb880-2763-4d6e-859c-318c2e052c61	0	0
8a5b6550-d96c-485c-bda0-932d97c93007	11.1837229437229446	0.932014191053391117
28b3b894-173e-4e51-83f9-0f423fb0c3c0	0	0
afcb38bf-48b2-48e3-b53a-e09cade6a440	0	0
e3ecf1fa-38de-4e56-937b-44dd1ca3ae02	17.1436818181818182	1.42869729712121218
a86fcae8-0216-4d56-8c88-a5f60615d0a1	0	0
d1583a75-8538-4579-bdd3-06264dcdff5d	16	1.33338666666666672
e8c3c355-ae28-4e49-9dc9-c505eb4703c1	0	0
f8cec32f-b089-4342-b87e-5d436ab55638	0	0
1e89e88f-4f3d-4b36-9c96-ebbfcc9d5920	0	0
e81eea21-8611-43f9-844c-57b27629e370	0	0
99a7a930-d73c-41af-998a-f610d51ac756	0	0
cc2bc59d-378a-4226-ab36-5d2f9fe3b313	0	0
a2c9a552-5558-49bb-a48b-de4fa2866ba5	0	0
e4fba3cb-6ea0-4a9d-9b17-71e574f0c40d	0	0
e619fcf4-9aae-4420-ae81-21b52d15fb80	0	0
6ed78eb3-6a29-4999-8a21-9a26161d98a7	0	0
8ede922a-8a3e-4d95-b99f-ae4e2b4ad6fa	0	0
b3f983df-64c2-4953-9b2a-fe147756e7bd	70	5.83356666666666701
07fdd3e3-54ba-421e-aa6e-e117387fae12	0.594125249072381956	0.0495139031533180854
c0404c64-b234-44e7-afaa-b63fd3736e27	0	0
16bd7299-df25-4f8e-9c5f-478e67adb13e	0	0
f7c1ddc0-8b19-43c3-94f1-eb9994965309	11.1837229437229446	0.932042150360750554
503220f9-7b74-42b0-a613-1de9092da0ba	0	0
d0a622e4-6367-4d16-8545-fdafc096c10d	0	0
9d436b13-e3bc-4409-9395-cc0734ff02b8	17.1436818181818182	1.42874015632575757
0cdaadb7-5565-4cfa-bb41-dfe107992a5f	0	0
d3737534-0e58-400d-9c71-1b4c526b1590	16	1.33342666666666676
7636d594-51c8-4379-8373-9f74f6fccce9	0	0
4770af94-d2ca-45a0-b612-13210a9261d9	0	0
46d449ab-ef30-4faa-a96d-9773c5a02ec2	0	0
da9ccc17-cd43-4563-a410-a0215138234b	0	0
7052069a-b618-44aa-a137-f4bb553619db	0	0
f9d252d7-eb85-4f7c-afdb-c68f91e10043	0	0
bcc996a0-0bc0-4006-bf2f-c145c64ee567	0	0
6d78f030-5b9f-4337-8cf9-9837967c34a1	0	0
be9edb33-d4bd-4bf7-b0ca-eb666424c2b8	0	0
ea382de9-ea38-4ce7-a542-2d7be51171a2	0	0
eac95ab6-4d9c-46b8-b0e8-fc30409eccd1	0	0
82249c15-c6ea-4a0a-9299-2000f10c9fa4	70	5.83374166666666749
14e63927-4520-4647-a29c-fcfe08fc33e9	0.594125249072381956	0.0495145632924837223
70da071f-87f8-4c20-a0da-b389f8f3365e	0	0
975dc360-f237-4523-aca6-6105b75d9bbb	0	0
60ec1bcb-2749-444b-87f6-e538a3e44631	11.1837229437229446	0.932054576719576811
e9ccabef-dad2-4b1d-9042-4930211bffc7	0	0
9399f9ac-1d19-4bd2-b9b0-1a6b51f8fdf0	0	0
83f5223d-2263-4659-b8dc-c841771d632e	17.1436818181818182	1.42875920486111108
292f3f1f-2f5e-4921-a1d3-13a62ef25005	0	0
383064ba-d0d7-4b42-b51d-e9ba23a65a8f	16	1.33344444444444443
2792edc2-bb8d-44e7-a42e-cd343d1c4fb5	0	0
7308f3b4-8484-45dc-949b-c69d62b44dbc	0	0
158cdfe3-4977-4835-98ab-2105252bc06d	0	0
b915345f-324b-451a-99c0-75a6041a9602	0	0
17eb24e0-2f5e-4c0c-8dd1-ac7124c022fa	0	0
2cebccc0-a8f5-4450-814f-5479084e2072	0	0
c9f4832a-3f21-462a-ade1-b85d389ce4de	0	0
52e2f4bf-d809-4a72-9f78-ecc267425531	0	0
1a7fbcd0-a925-4585-9c7d-12a6860879aa	0	0
69c4a69f-a1d1-420f-8acf-74e0afa56ba4	0	0
eada8d6d-d3c4-4084-b50b-109aad0ab0d2	0	0
9a29974e-6638-45ea-adf4-df22b597965a	70	5.833819444444444
d0da9ab6-d4b4-456f-b3cc-e6fcf3e380b0	0.594125249072381956	0.0495120877706125839
852aa69d-acdf-40c7-b486-30c7b2fe84b9	0	0
fdce27e6-4fa6-4601-9655-64cb909d072d	0	0
f327a2df-9010-44c3-a6dc-b53587129921	11.1837229437229446	0.932007977873977933
6dba2a12-1709-4adc-9b87-1ee9d83139c3	0	0
82514c30-5bdb-457b-932e-6b37fa948363	0	0
9a1d26cb-708e-44cd-96e8-5c10e835aed3	17.1436818181818182	1.42868777285353543
214f003b-3cc6-4661-8670-ac335b5cac2f	0	0
9977fdf4-df28-4641-a59b-ac06d4ff47bf	16	1.33337777777777777
adb2cd14-458e-41d4-8015-f76c2acc677d	0	0
39b5ddd1-03a7-4038-90f7-7847b3506388	0	0
b721c52e-0e97-4ca1-9521-3c788d2ffbd2	0	0
1821e0c2-5024-4544-843a-e99fc15e0bdb	0	0
6da8fcb7-ea2d-4bd2-adaf-b79f76bb252f	0	0
9c4c383d-762c-4a2b-a89f-6aacb4b63482	0	0
988084e9-97f1-4310-95a7-033c16ae7ad6	0	0
b0684ae9-c0e1-4d45-a1c2-f96af35a5429	0	0
ab7b33a5-36ca-4df9-980c-1c3498e35da9	0	0
ca6b1767-cac2-4d86-8010-87f2f6c8fa12	0	0
6af17b55-9f2c-4fed-a274-af16e2683d91	0	0
b05ef016-4131-419d-b8e0-e8617fdc1697	70	5.83352777777777742
5bdf7495-7b9a-4a34-8efe-afd043fe9c77	0.594125249072381956	0.0495142332229009038
fb836b64-779b-4bac-8196-d605c1a9a29d	0	0
cc363727-fb03-4558-a7ce-3b89c06dcbbf	0	0
89826cbe-5890-40f5-8e56-7843104dc669	11.1837229437229446	0.932048363540163516
d0018112-501e-4ab0-84c9-9335332d9cb1	0	0
531ecd29-b08e-49aa-a899-7b708c4122be	0	0
1551ee77-22a6-472e-a7ff-3552562cdab1	17.1436818181818182	1.42874968059343432
e07d5b80-febf-4085-9213-d30426ee6630	0	0
b06b4762-d065-40f9-bf8a-3eccb3cb6681	16	1.33343555555555549
d71650ea-7891-4652-bc89-aba6ee249cac	0	0
6130984e-8054-444f-ae4a-4cc653ec164e	0	0
de32f341-a2ce-42fe-b0e9-89fb21ab602b	0	0
dde6ec67-345e-47c9-a11e-c8d2cd05c055	0	0
c832145d-e95c-420e-8f40-c25d35c09ff3	0	0
6721f8c5-d54e-4d8f-b73f-6a889c55988c	0	0
f43e6255-7ac1-4d10-9a2f-7107a314efb6	0	0
000205cc-323e-49e0-881e-c771b9a8010e	0	0
85faca45-f11e-4e85-82b5-8483d4465b02	0	0
d8254b05-af99-46aa-84f6-50dff23d220b	0	0
36b277d0-a741-45e5-9366-05423088c5e5	0	0
c2257325-3537-4dca-af0b-21e270cafcdf	70	5.8337805555555553
f959c277-7ee4-44f1-bbc7-66228d29cb14	0.594125249072381956	0.0495139031533180854
9218716a-1e0c-4534-bdcd-1e8456e739d5	0	0
c95266e1-a769-4926-a897-d50569384950	0	0
c84b98da-81f8-48ab-aaa3-46f1e466a77f	11.1837229437229446	0.932042150360750554
76aa434e-7ca8-427c-801f-eb48b4320643	0	0
b2a1ffef-5c9c-4c06-90ef-fd736939a1fb	0	0
cdd22ac7-3433-45cf-ba80-c5ba621cef84	17.1436818181818182	1.42874015632575757
5db1efe8-cfd6-46ef-8ddc-7b7f2e4013f4	0	0
bb3ffe8a-79ce-49d2-8d3d-1f6beb62d52f	16	1.33342666666666676
c84ac86c-3705-42bb-b520-4dfd285b42d6	0	0
16780f9b-5d6e-4c8a-b295-6861077252d7	0	0
73996c4c-8a11-4558-a15f-6a2c1fc85e81	0	0
fc71fab7-d174-4836-8f7a-4e2986d9cef6	0	0
9851b396-94be-47a9-97d1-5bedd7aa5a19	0	0
9b445a5f-db90-42ad-af42-4ebea2ffafb9	0	0
ee9568df-faaa-4919-9623-b65b4b8266a1	0	0
3b0ba29c-3876-44ff-91ec-8a967139bd3e	0	0
210bab57-5cbf-47ab-a92c-8c8cd9d98358	0	0
6be6a7d6-b31a-408b-a340-0199f4fd3a3e	0	0
94050c7d-07bd-496c-b6f1-8e1a8a094ee2	0	0
5481604f-124a-487f-9656-494f8ad062bd	70	5.83374166666666749
b313ed1a-e1f1-40ac-ae50-dedebdabd892	0.594125249072381956	0.0495152234316493592
9d3b107f-a555-47ff-b947-ab9c81db04e0	0	0
18286614-ae44-4a72-8acd-135b38266538	0	0
3073da1d-2271-4bda-9588-f5a6f699480e	11.1837229437229446	0.932067003078403178
6ef876b7-2e0f-4c4c-acc3-e66f1136f545	0	0
55040c16-6a8e-46de-98f9-e186cab821c1	0	0
dafeb235-859b-4ab2-ac51-e2dc29039ee4	17.1436818181818182	1.4287782533964648
c32469c4-01c1-4f44-b58a-e50117e98e45	0	0
d6425448-a1d3-4dfa-9e3d-116adc5ed1c3	16	1.33346222222222233
c822d757-5a2b-4dc4-8333-c319a6c00860	0	0
a96ebef5-a61f-4c14-860c-0c7d47ebc04e	0	0
036c42ab-3c9e-4dcb-bbfb-7b555c58ccb5	0	0
40459507-4da7-4c28-b197-70c2c54d7d2d	0	0
46790fda-fe0f-44be-9f19-c3285736d175	0	0
349f4e28-bf96-4a84-bbf8-0600c207290a	0	0
4bfaa990-3f35-453f-8e60-6218fa4c17ee	0	0
471e376d-cddc-4fde-8f83-873b943d6c9a	0	0
f36272e6-92af-4600-bff4-34284895b10c	0	0
7b3ed463-9bbf-4db0-86c5-e78aa1fca528	0	0
2828dfd2-a5f7-4ab9-b203-9eab6237eaf1	0	0
e1885168-7ae1-4a91-abae-49c85c69a017	70	5.83389722222222229
f0971d53-082e-4a3d-ab46-a4a8c49bf85e	0.594125249072381956	0.0495074667964531395
24530215-db25-4bbb-acb2-34aca44c1b9b	0	0
94c57b2c-4137-41fc-953e-5c04b8f6463a	0	0
3d25aa87-a03e-460b-bfbf-10c5fabf1ff6	11.1837229437229446	0.931920993362193473
4c283929-2a13-4ded-9075-12ed1bc2cc22	0	0
f8d72099-3adb-4819-839b-c9c0b8a89dee	0	0
045fd441-96ee-48b5-890c-b76e66ba55dc	17.1436818181818182	1.42855443310606067
d394de26-5c83-49f7-a77e-5ab13bfe9ed9	0	0
2d6b316a-07c4-42f7-b76c-3f020d417452	16	1.3332533333333334
7986172c-abc7-4c5a-a975-1f86e790a3b5	0	0
309eadca-e3e0-437e-8131-24fa17826dae	0	0
592d86c9-324f-47d6-a7be-d634174e27e9	0	0
f403d626-d7b7-4936-a245-683c03790be4	0	0
72ed8ddb-09db-4700-8970-4f80dae694d9	0	0
324170ec-4593-48ee-862b-2de52b49de0f	0	0
a036c8ce-e3f6-4baf-819a-9be56f6e1306	0	0
650b0096-69f2-455d-8ef0-bec7ae7789b3	0	0
be0c2b77-668f-4ad4-a074-a35453bfec90	0	0
9c458db8-5e53-4306-b7f7-aa2fb9bede2b	0	0
60f1f6fa-b3a2-4366-8841-5454db6cefed	0	0
546c4295-40fe-426b-a0f8-2acbe0543ffc	70	5.83298333333333385
b24b6a2a-1194-4b1c-a7e0-4ec0d0a47e33	0.594125249072381956	0.0495191842666431667
1312cc4c-5e9b-4f4c-9e11-7915a047b0ba	0	0
c171401b-b61b-49ee-b751-42be269bf330	0	0
5a2dba6c-7921-477d-a144-5a92b9ad5894	11.1837229437229446	0.932141561231361271
c5d80aed-0037-458f-ae93-8db3efa85074	0	0
2630e5f2-937f-4efb-a672-51b5b07171c3	0	0
5bf71aef-d5c9-4be5-8902-53979412333b	17.1436818181818182	1.42889254460858584
2d0fd830-254d-457b-a0a7-4ff35a7d0498	0	0
5b789804-3473-4431-b86e-5d817fe6d8e5	16	1.3335688888888888
ad8a396f-12d3-489d-9365-b22c7d8363a6	0	0
d2516349-b9f3-4a25-8ba0-16056d02ac6b	0	0
879f59bb-27ba-4225-890d-5d6076830498	0	0
804d8542-5773-4793-aa15-317f2caa9acf	0	0
cc2259a8-483f-4876-b002-3271c5a658f1	0	0
228893a2-2fea-41a8-93b9-50808aad6464	0	0
05af8301-0bf7-4244-82d5-6c8f31cc38a3	0	0
9d4cb1b1-7fa4-458a-90a9-a82cc0cac64d	0	0
671b58ab-df17-4a91-aa82-afb6b6c2ce16	0	0
29113839-55da-4799-ba94-c9d8f5152b7b	0	0
dd1840f3-0f01-4d7a-bac9-1b84b2edf2b4	0	0
335781bb-d95d-4ec9-b35b-1eecb4e20cf4	70	5.83436388888888846
15775e2f-c32d-4eb8-b16f-db23a69053b6	0.594125249072381956	0.0495163786751892238
f077214e-fa6a-40dc-97fc-424eff09a973	0	0
9bbb1ea3-066c-4220-b157-8efc8069ba56	0	0
733e68e2-905a-42d5-b055-b8725f41f08e	11.1837229437229446	0.932088749206349321
bc18d7f1-69fb-4bfe-9bb7-393f3bd7ac7e	0	0
35535328-82ca-4228-99b8-64682e2a398b	0	0
c819ffe2-10de-4eef-9bfd-57cf540547bf	17.1436818181818182	1.42881158833333344
fde9135c-fe26-4cac-a123-f9d4f11728e4	0	0
0c8d2e41-3d98-4ed7-af68-44e76cdd8cd6	16	1.33349333333333342
86a07c2e-ac39-481b-ad7c-f8d1214a3e54	0	0
51ece918-7b1f-4b45-bdb3-b17cca681577	0	0
5298362e-e6f8-43d7-8c41-a9ba3d6425ad	0	0
2af25b14-ffa5-4792-941a-7ca7fab91758	0	0
cf9dcafb-382f-41da-b084-f70651a3148e	0	0
c6a11416-d125-47fa-a4b7-a70c961cabcd	0	0
b11e272c-2c27-4d76-8015-f3533c644c7b	0	0
93dfd6d5-d2e7-4073-ab8a-695217d332cf	0	0
0cc6d275-aad1-4ac9-b736-bea58a99ca7f	0	0
cfdc89b6-e58a-4429-9c9f-437be1b0c350	0	0
5ea2b57e-814b-4701-9e57-26e3bdce9eeb	0	0
27dcf816-95c1-47cb-a135-7ab1ae887d5f	70	5.83403333333333407
19f68810-7b60-462a-866b-b581dd109dd9	0.594125249072381956	0.0495143982576923131
9aaa343a-2687-4bdc-882f-140da77f73d6	0	0
9089c80a-3473-47d9-ad50-aa34c14f0d8a	0	0
fe330754-49be-4e15-9091-7334be2fe1c5	11.1837229437229446	0.932051470129870219
c4ba0258-5a8c-4be3-9b6a-c7f8fde42512	0	0
aa9341df-5573-4fbb-aab0-0b340af7f80f	0	0
d6f3537f-5999-4186-85a6-19c819d08788	17.1436818181818182	1.4287544427272727
61da7648-d9b2-4dad-bc8b-40b3351492b1	0	0
8e4b159b-e899-4190-be44-335b55f0eba2	16	1.33343999999999996
93e233c9-a20a-4d8e-837c-a8dad2f17d8b	0	0
7715c301-b2a4-47db-a2c2-25c673927ef6	0	0
69edb290-7262-451c-a554-3760e10177d6	0	0
095a37f7-8fe9-4dfb-82a7-41d0c2101c9a	0	0
b2c30d5f-5d27-40ff-8443-04cba2242291	0	0
67f15c64-e718-4a5b-ae44-0f25184bd738	0	0
606cf8c7-f399-465a-94e9-8f0a85fd8c6f	0	0
64998702-7f24-46f3-832c-fe9c922f84c5	0	0
c21aa803-f3e4-4ee2-9754-da8931f2552b	0	0
cc12027e-991c-49b2-8417-71b515f56015	0	0
e746fbfc-d0fc-463a-b356-5cbf2209485e	0	0
93b508c3-e6bc-4d2b-9c0e-9b7dc09e0a67	70	5.8338000000000001
7db6d837-4351-42cd-bfb2-6fcb906288c4	0.594125249072381956	0.0495132430141524485
94a4aa34-d2a8-43d2-bf2b-c1a489f0da4d	0	0
038f5776-71bb-404a-8a86-561765b4e8c5	0	0
e22a9bca-d445-4b72-9b07-ff517d1f3d63	11.1837229437229446	0.932029724001924076
16fea32d-7a9e-46a2-b163-8d8c5fe86546	0	0
44a674e3-88ba-40e1-8e62-69edd5422ba7	0	0
ae989b23-ef7e-44b2-ab2d-770e6814c77a	17.1436818181818182	1.42872110779040407
1a8ece90-a8ea-4299-a0ea-5d90065b255c	0	0
50f7c22f-b3a9-47a1-b962-55de0c88e5a2	16	1.33340888888888887
4c3a34bd-59e9-41cb-a1fb-7f627e9fceda	0	0
1b3a0979-937b-43bc-9df2-6848f3f108b9	0	0
dcaaccb0-3b92-4546-ab41-ee539130017b	0	0
813326dd-772f-4665-aab4-b3157c523e87	0	0
0eebba4f-efe1-4d9d-b864-3325ff26255a	0	0
e2ce4432-f138-4469-91b3-1a299ca92f0b	0	0
a20bfdef-170e-4a9f-bac1-3afaeba5f43e	0	0
38b3a760-9674-426d-b4d8-f70d7f55906c	0	0
6fc2defe-c0b4-4942-ba65-e2e62c9d177c	0	0
1cf00e48-2135-4355-9158-afe61828df3d	0	0
16808ff1-d8e2-4e74-bc11-83e248033fa1	0	0
0b347a70-acaf-40dd-8779-e26d12489fd7	70	5.8336638888888892
59a8fbf9-a705-4058-8c56-052e1cc4372d	0.594125249072381956	0.0495137381185266762
7483e576-9167-49c8-9ff4-84a2da57fd87	0	0
19d6c4dc-ffcc-47d2-9111-9db3c9d34fa7	0	0
42dde2bc-58f3-4433-8ca6-b76ca6274f26	11.1837229437229446	0.932039043771043851
86395011-de22-4452-937c-12122d6cd922	0	0
337af9d8-50de-439b-b326-31bd70080ea7	0	0
9a79a138-0d6b-4ad1-a0b0-09af68497d14	17.1436818181818182	1.42873539419191919
599e87d1-7e89-4d03-a422-4998c5f2bde2	0	0
d347842f-03b0-43be-bf0b-300e165113b1	16	1.33342222222222229
115dab25-e830-4549-bd3f-1c7a438498d7	0	0
bf5335ef-a094-46a8-a51a-2255fcc23ae9	0	0
79ed08b4-fbab-4b3b-bdb9-5ab8aa28aeb6	0	0
67b2fd49-f71b-4358-8e6d-9d99cd920979	0	0
7d633c03-db46-4364-a761-849a7d949d85	0	0
b7f89047-f4f4-4622-8574-76711566d612	0	0
ec0541ca-d9d1-42f9-9d40-65cb4e92e15a	0	0
e574e6c3-2af2-4251-b912-ea5e31556482	0	0
77a90480-ace7-45ee-acbd-cacdec7e02bc	0	0
266e26b7-a319-4e23-b7f2-3c6b51731b5c	0	0
596aaaf5-cdee-47f8-9166-0f589d55dfa6	0	0
cd75a04f-4e57-4289-8f4e-a2ca0c316287	70	5.8337222222222227
b8e9967c-ddf0-4aa5-ac78-50120998527c	0.594125249072381956	0.0495073017616617303
7f9a7d0c-a7d1-4014-945f-c98b37c35f61	0	0
b8a38f05-a0d8-4f71-a386-6e1d8aadb7d9	0	0
56fc9b68-941e-4c52-873a-6df6c67d8f09	11.1837229437229446	0.931917886772486881
cadb80e4-1e73-4862-a6a5-91c379818dea	0	0
ec2db5b4-d23c-45a3-bd71-4c4f276bb9af	0	0
b224e3ab-344a-40fd-87bd-caf2447da91b	17.1436818181818182	1.4285496709722223
9b75c097-52e8-4d8c-b150-7b26c2621f5d	0	0
18b8f9d1-99c4-45c5-ae05-bc566c4f90a3	16	1.33324888888888893
e56b9558-bf1c-4388-89d9-c1819c29d01e	0	0
b34c175e-b849-40c0-af0c-abbb97255e19	0	0
baad5aae-1958-457b-9d75-65662a7b752c	0	0
398c2753-c116-4b23-b855-4d87d0993472	0	0
6e577098-5942-478d-9c39-0353a3f33123	0	0
385aa791-e602-4abf-9d9c-fc028ce16e73	0	0
a15983d8-6a08-47b8-9d9f-7fdbb823bc03	0	0
366979b5-ba81-431e-992a-c18c756dc270	0	0
407ed4ee-14c2-4f26-814e-5c81e45fddcb	0	0
cac9e40d-0547-4a96-8a46-ded5db9275f8	0	0
97f68bc1-26d3-4202-85c1-d71d3434a4fa	0	0
61c72a0f-4380-44ac-94c0-de48bfebd226	70	5.83296388888888906
e08f07c2-e750-4fae-9e5e-5f21528da7f4	0.594125249072381956	0.0495203395101830313
13a62e42-99e6-4ad2-98ad-8ad05ddeb20f	0	0
4230c9e5-0588-4095-91bb-b6868cde9435	0	0
6f9f818d-df28-4e5b-bc09-c0a33922f0aa	11.1837229437229446	0.932163307359307414
6a45c56d-3bda-49d0-9aef-a7530d3cd98f	0	0
494500f2-24c3-4c5c-a2de-c49778b9de7c	0	0
6303be5f-a4f4-49be-830f-c7166de2318f	17.1436818181818182	1.42892587954545447
4519c30a-3ef4-43eb-8ccd-6320c483ee88	0	0
380a057d-2447-4fb9-9ef2-2783106aa381	16	1.3335999999999999
49ed5bb5-c13e-4b6a-889f-d5a2a0f2edb5	0	0
c64eca9c-2e28-48e5-aeba-a533fa65d4e7	0	0
9a843087-0bc5-422a-ac31-ee81b79d7f42	0	0
3c947c5a-b115-4221-9628-cfd178d6d2a2	0	0
44beb642-cb30-4ef3-8ea6-9a2cf671d187	0	0
0e7b7f09-a74e-4ccd-8f4e-92d9d53d8889	0	0
5e6f318d-ad72-42b7-a291-21b3af7a92aa	0	0
938252fd-cf9b-4426-b491-69a074f30d44	0	0
4a5ba0e2-6fd0-4a82-b9ff-a8d23b582e59	0	0
a8d86be6-04dd-422f-a370-626336fbb5c5	0	0
464a52d4-678c-4433-a494-cb84bdc78a7a	0	0
642a8d93-00dd-4828-aee3-3ff1675e8079	70	5.83449999999999935
c0c66dbb-2a37-4582-88ca-e81eaf16d2fa	0.594125249072381956	0.0495132430141524485
62c9a346-fa05-4434-b741-435716b5220a	0	0
27eaab2d-ae9e-429e-a638-a88f019de05e	0	0
77065cb0-6d29-40bd-a345-fbb4e1197d2f	11.1837229437229446	0.932029724001924076
7548ba85-5936-4552-b2b3-40b0b0e6fbdf	0	0
b448ffda-d213-400d-b23c-1da6e4d0ff75	0	0
416a3570-219f-4108-a1e7-c9c68b6cc225	17.1436818181818182	1.42872110779040407
93b49692-bf85-426b-97d2-cde45b1f8b41	0	0
fcb1182f-141e-499b-82a4-3dd3c09e8e49	16	1.33340888888888887
c17d07c4-a857-41cd-ad8c-52beb6df6f55	0	0
68f02927-0855-4391-8114-94ac6b291de6	0	0
888118ed-4f09-464f-b314-6a754f936e29	0	0
f8944b52-1f1d-49c4-b044-7ae052a44026	0	0
d8d25065-3350-4c39-bc53-f85c5692c960	0	0
7340b481-74fe-45f6-ab41-d1a19e3b6cd1	0	0
9583b0b8-ec75-4c98-96c0-5073dc043b69	0	0
62285cab-28ea-47d8-a0ef-9b80bde0aa3a	0	0
76daf825-7e6f-43b8-9065-d1c288d6c478	0	0
bbe4e5b8-f9e8-44a4-a844-ec11901b8442	0	0
c3a1c297-c8b7-4682-9fd5-fcdba40f7fd2	0	0
bbad1c7c-9a1c-4164-b621-4d93e5d37611	70	5.8336638888888892
15098d6e-3e3c-4ccc-ad42-29a721a6902b	0.594125249072381956	0.0495147283272751315
0fe1b0cc-c80c-42a8-a1de-dd2a55e47d49	0	0
dffdada9-cb07-4bbd-91a5-af3c7a930de4	0	0
60954fc0-d660-413c-bf46-4cdd9eddccb8	11.1837229437229446	0.932057683309283402
e9238bc9-bfa0-4617-b3bd-cf4d67f057e0	0	0
8db4dbb9-1d61-44b0-98c2-2550b394bd3c	0	0
dbdf9134-f5d4-40fe-a6e9-46aa07ea097a	17.1436818181818182	1.42876396699494945
0364d457-ac5b-42e0-a36a-d5fd82360899	0	0
b0fab57c-be12-4496-be30-aa83125a6731	16	1.33344888888888891
b79ba0b4-eb71-4367-9220-5a2b961c00c1	0	0
6613b997-b504-4d6a-bf48-9b6a0e6e7801	0	0
fdaca49b-a225-46f1-b24e-1649aa4e7432	0	0
efe0f06e-6c1c-4dd1-b1bc-c7794e2cc2fa	0	0
9e2484b0-63f6-4d58-a68f-ec2e576e5b1a	0	0
5a2b69a0-eaef-4815-88bd-7675f80ba188	0	0
dfd03245-b240-4db3-ad96-45c8e984d430	0	0
476d861e-adcb-45bb-bcc1-1cd0dc5ae62b	0	0
beb0ee34-9877-451b-8a20-032d4f309b43	0	0
6d3447ca-29d6-4026-be61-a223ecf5a317	0	0
2effeca9-6037-47ba-baa4-033e52d78a3f	0	0
93e0aa02-9ab7-427b-b7ee-c9a49a832f8c	70	5.8338388888888888
f6049d76-0524-4251-afe5-7674e987cb7a	0.594125249072381956	0.0495122528054039931
0593f5da-4bce-4388-9056-c5e5455e8b9d	0	0
8fff0dd6-41de-4afd-a26d-a293219f639d	0	0
09733e29-238c-4377-ad26-1ba5ffb17965	11.1837229437229446	0.932011084463684525
a988fb58-2a8a-43b2-a68c-b8d39397bbb3	0	0
80caefed-a579-433a-aadf-666fad6d669e	0	0
ab44614c-8573-482f-af05-125090615aa5	17.1436818181818182	1.42869253498737381
3a369bb8-af0e-4ab1-8779-f914e506aea6	0	0
b0217b76-5758-43b7-8a43-b8e250ab5693	16	1.33338222222222225
a7a24684-a4c1-402d-8481-d8044b23680d	0	0
2903c517-b592-4ddb-b947-b6e73c6066b6	0	0
758b03e6-3149-4134-9b93-d226a3e415d5	0	0
4ed3e115-eead-4a80-b132-42cff4763b31	0	0
6f192b8f-3a11-470f-864f-5d78a827d3b9	0	0
811ae16f-bce8-425f-ae1d-5426eb92d632	0	0
bc29e5ee-6348-43bb-bea6-11b535b85c65	0	0
e4cc129f-5236-4546-a4ab-030caa1db4aa	0	0
6cd2f4f5-aa81-451e-9c79-0df5fe0c6d6f	0	0
2ffe1aaa-e069-4727-ac88-413932a3ace9	0	0
03954b6f-6fa6-40e8-a167-05b0ff33850e	0	0
cdf6de45-ca2d-468f-ad83-9059c8156fda	70	5.83354722222222222
88397fc7-4faa-45c2-8eec-2b871372a66e	0.594125249072381956	0.0495148933620665407
ba9aa644-d522-4e2f-a3be-583079973abc	0	0
d9ed23f7-35bd-40ff-9b0b-b4febf1638ac	0	0
1e1cbc2f-f656-4b18-8477-50765f0eb329	11.1837229437229446	0.932060789898989994
30c5fdc3-5c0f-4380-aac0-15fb92d6a6a5	0	0
b3729abe-849f-4d18-b214-c1012892f09e	0	0
12b5a017-0bbc-494f-b710-0189ff949809	17.1436818181818182	1.42876872912878783
0626ddfd-7bf0-4793-b519-ea26c310590d	0	0
9ce8584e-b1c6-41dc-9dd9-e61fd1bb67df	16	1.33345333333333338
96a24fc3-c532-4def-84c4-2d320c2ea072	0	0
3191b6ea-5ff5-4b80-a6eb-f33e4d0ed0b1	0	0
016706ea-5121-4d65-a633-105533d73bff	0	0
26880d12-061a-4aac-8856-7b01efc2d5a9	0	0
d63593de-3c3c-41be-9526-3d413839cd9f	0	0
2cc3b7fb-f913-449c-91bb-6bbc1b0cb1f1	0	0
bc446a7c-8594-4b71-9bb6-98fff5aa8db7	0	0
2acce340-a34f-44f0-9653-8153ec4422fa	0	0
b3e2f9ae-b768-42bc-a882-19f68a9a5fa9	0	0
9f2db7ea-eb6c-482f-939f-3df927f2e28c	0	0
594ec81c-220f-4e95-a5ff-9c44a3ace185	0	0
c8f7f362-580e-4d49-9e33-428827c58adc	70	5.83385833333333359
9404ccd9-efb5-4059-94df-5e06a0761558	0.594125249072381956	0.0495122528054039931
fb52bdfc-8605-499c-a780-4972e68e64bc	0	0
8876b515-086c-4595-bdac-201230c9aac5	0	0
df891195-5fd1-4618-8cde-eaa85be92f09	11.1837229437229446	0.932011084463684525
2bf357d5-88b1-42f5-9d3f-cff7396093b5	0	0
7a11ed5e-60d5-49ef-a293-31239f2b98e2	0	0
da882d91-383d-40ad-8530-07bf8ac77cc5	17.1436818181818182	1.42869253498737381
cb24fc8c-7571-4e64-bc42-8cb4b694a096	0	0
1e4ad5f1-81ce-43e7-806f-891da83ad2a3	16	1.33338222222222225
4520bd3f-56b3-49ed-978a-844a92a009ad	0	0
9e2d5b93-e802-4d67-b526-b7f383085cb8	0	0
ea4d4694-2a25-4ab9-8282-cc35c3cec12e	0	0
97e6d529-147e-4873-8932-d0666f7ee652	0	0
dc7f5616-c0cd-4112-876c-9d63c11cb1e6	0	0
49f4ee26-d506-4576-8fae-100f227f1d37	0	0
e77cc4e0-d531-4fda-bfaa-56545389fd97	0	0
051d74e9-22a7-4ddf-a8f1-36f2d64a8a24	0	0
14152e53-e4b8-4109-9149-1b8da40a8527	0	0
9fc53b8a-6162-4c90-a1b9-fb68ce4bf992	0	0
8e7d0dc8-7065-4923-8a27-b8812c37d29e	0	0
32f0ef5d-99cd-43f0-a80f-99bd0948a561	70	5.83354722222222222
e2e182d5-5033-4db6-a9d6-2c93b691ce55	0.594125249072381956	0.0495175339187290883
e73905a3-713f-4e90-ba84-07596603bfaa	0	0
cb786650-2b79-4f32-a4dd-c2cab0d3cc76	0	0
a82c03aa-9738-48b8-bc73-fdb0c528936a	11.1837229437229446	0.932110495334295464
14cd0b91-a382-4972-817d-053f27da175f	0	0
9d97b31d-9e9d-4dbf-be4e-8cc2fd808791	0	0
a4a0e4c9-66d2-4762-97cd-09416caf5910	17.1436818181818182	1.42884492327020207
48389b14-8682-4d1c-a5ea-dc3a8b238d9c	0	0
b16f9d55-ace9-4939-abcc-879e0a4870d8	16	1.33352444444444451
a12c6b87-893b-43ee-9c2d-5d3a2a883d67	0	0
771bf38d-b9bb-4cd6-87f6-75569437a228	0	0
93b3b076-6d4b-4f9d-a0d2-01068bdcb7c3	0	0
504179dc-52cd-4a13-b1e5-312dc22dcf2b	0	0
a030271f-159c-445e-9c12-1b55e367bae7	0	0
6534aec0-a7cc-4270-8b83-d984655dccd6	0	0
6ee7453b-f69a-4b9f-9730-334989871cc9	0	0
96ae7c22-69cb-4b33-9aea-7d6804475011	0	0
2c71c5a4-a6b9-430e-b34e-39d3118d5c20	0	0
bdb2b974-057a-405b-a0f3-73c2b03923da	0	0
76474a30-4b73-4a20-b958-aaa8a43ee335	0	0
772e7248-d01f-4da5-b040-dd355e652bea	70	5.83416944444444496
5fcd7571-ccb6-4704-92f6-f029edb3a41a	0.594125249072381956	0.0495089521095758225
a2c5b39d-8c73-4512-ad5f-f98b83bc71aa	0	0
cd032206-81b9-4890-b034-5cdbc196d3fc	0	0
b0bf504c-79dc-4046-a410-1e340a435d42	11.1837229437229446	0.931948952669552799
22e50787-1c3e-4bbd-9349-ba0b165b1507	0	0
42b342ac-aa1a-4c3c-8ab5-2d68175d898c	0	0
8bf010b0-287f-44bc-ad1f-cece136d9460	17.1436818181818182	1.42859729231060628
db4bcb2a-3af6-42c4-8a13-5fc22cf39678	0	0
08eca761-4550-491b-a8df-93612d4bc42f	16	1.33329333333333344
3bceda40-1edb-4c04-934b-36e7387634a4	0	0
1f1cc831-f897-474c-a3ef-24d956a87136	0	0
5d1bc04d-3cb6-4db8-8e19-a66c77883771	0	0
5ad7517e-cdd0-4eec-bcba-dcaaca5d90d1	0	0
b84d0bd8-5d1c-4b3e-aa43-ecea21e943e9	0	0
244b8086-1ac5-41d7-a8e3-6c1c32082d6b	0	0
bb00a4a4-631c-4d20-9768-ad11379d3bf9	0	0
c4051191-c36a-4855-9adb-76ee309a1e6b	0	0
f164405f-5a8d-4bae-81ca-e964b5251f7b	0	0
de937f77-a526-4d1a-bb9d-9f18721a34e3	0	0
b860fa3d-e5fc-4c1d-a1c4-8c8fa6efbfa0	0	0
ed59026f-9375-44b3-a030-e99210000f44	70	5.83315833333333345
2d5b19e7-a845-4a10-80d0-9f29c39cb965	0.594125249072381956	0.0495142332229009038
bc0fe2c8-3c76-4003-bbf7-5085f8b2d871	0	0
eed6d27f-6ca9-41c0-8663-9aca1b4e624d	0	0
8c3f840a-ed10-4da2-bb3b-f41cb733078d	11.1837229437229446	0.932048363540163516
3c92e0ba-5958-4601-a733-3d0f69d5bc1d	0	0
bdb3bd5e-61d1-48be-bafb-d96028d32282	0	0
a3662b36-1d86-43a8-a581-fe2ce350cb35	17.1436818181818182	1.42874968059343432
3f329781-2b6d-41cb-a837-2f52c4a80cba	0	0
2089ca99-5f80-437f-95ca-ef5aa27a8a85	16	1.33343555555555549
9640b35f-227c-49e6-8090-cf59be479762	0	0
32e271e7-19ea-48c5-a175-6d915a4566e8	0	0
9581204d-75e1-4310-bf55-f15f50773155	0	0
a02d62e4-0fe0-4082-bcaa-8bd72d013c81	0	0
1d382c3a-977b-4844-8256-7dc7c7e8fdad	0	0
a79be74e-db18-4d5c-b35b-fe631bb8e627	0	0
dd308f00-6ca4-4045-966f-662e215fc2a2	0	0
d456b316-aefe-442f-9fc9-76c823ef419e	0	0
101d200b-be08-4712-9a36-038b046612b5	0	0
281410c1-b810-4d0f-a7e5-fb2721b259ce	0	0
b3ba24ce-16ad-4c3a-8e90-35b309e2fd1a	0	0
cb9c26af-8bb4-417e-9e0e-ee5613b9e60d	70	5.8337805555555553
2e8b90ed-3024-4532-9859-914f59ac74d7	0.594125249072381956	0.0495155535012321707
7e5f7b9c-bce7-40dd-a769-ea94c5e4ca3a	0	0
3e8cf56d-221b-47f4-93f5-3ae4235dc62e	0	0
5b53e3cc-dcee-4669-88d4-6951ff8dbf1f	11.1837229437229446	0.932073216257816251
a4b0a0b6-e8b8-419c-974d-8d4cccfe3732	0	0
586a18b4-68fd-466f-b9d8-be40ab65101c	0	0
3946a851-abfd-431d-a945-b323870d1fc6	17.1436818181818182	1.42878777766414133
92f19c85-75ce-409c-a2ff-91104adb93b0	0	0
730797ab-b0ce-4f11-8d54-5fa6b99a08af	16	1.33347111111111105
2a4ec1ac-37ae-426c-8d1e-067089809a2e	0	0
82895afb-468d-41e7-86bc-ba920ce544fc	0	0
0ec7797d-8329-4e17-8415-e81569de54f4	0	0
8ff3fbe7-aba8-486d-82f4-e1bab2066ef8	0	0
1ef3974a-590d-45f7-9565-46bcd6d5605d	0	0
ced712f3-a0f3-425f-b04d-24451869b852	0	0
6acb80e4-a154-492a-9cf3-6d572c024fb7	0	0
dac829c7-4c83-425a-ad10-33b669cd9e0a	0	0
6a988b65-18af-4f41-92f8-9fd36159a103	0	0
45da3754-77ee-4595-9daa-f5bb6be855b6	0	0
caf03bdc-9bdc-4bd8-99d4-14e39b2be74d	0	0
dfa47a6a-42a2-430b-8704-b3f8fe82bd20	70	5.83393611111111099
b997bd88-a07e-4f77-993a-1f216da876e2	0.594125249072381956	0.0495079619008273603
68f104d5-ece4-45d5-8c14-05b15cab3ca6	0	0
5e387a3a-0a5b-47b0-a930-da05dac42368	0	0
651f0d99-5b9f-4040-97ee-b875e36564bd	11.1837229437229446	0.931930313131313137
530513ee-8f29-44ce-9d9e-c8da34a2da3b	0	0
316df9a2-eb20-4b0b-8402-095096b647bf	0	0
5a7d9e60-4481-4704-8d6f-a66edb83d640	17.1436818181818182	1.4285687195075758
f2b3dda9-20c1-48b1-af9c-e594021e45b9	0	0
cb9c9331-64c4-4c89-93b3-0a5aa40695d3	16	1.3332666666666666
60526f02-8c38-4eb9-b83b-0f6678f57008	0	0
26d4ec28-f417-4d52-98cb-351cb160244b	0	0
a18499da-da86-428c-9bb4-6518220219b8	0	0
3b656c42-ef95-4943-b22c-b14747a8730a	0	0
23d525cc-a0e9-4e58-ad06-eb6ed5e04afc	0	0
ac9c6397-5de1-4d9c-a218-740beebf570f	0	0
a05851bd-df8a-4b25-8df9-86eb793a442e	0	0
eff9d582-471f-43b5-bd33-6b86fa6a4447	0	0
3902616a-26fb-4eb6-9c45-a5437722f443	0	0
0c3b816f-321b-46f4-aa10-0955aa0e591c	0	0
df6e1fd2-b045-46b1-afdc-dd02b96510ae	0	0
be8c489b-c987-4a3f-8c33-8bb8db83ba09	70	5.83304166666666646
cd572840-2a78-420a-b5ce-ec68cbd13dca	0.594125249072381956	0.0495209996493486751
8913c9f2-2f5b-4c66-9275-52a8ce20bd77	0	0
a021977c-7a8e-4d11-a353-dadace39584d	0	0
04af1f92-74c8-4164-998f-06a456eb25eb	11.1837229437229446	0.932175733718133781
fc67289f-01a8-412c-878f-c5208c63b4cc	0	0
8f1a13a4-ef72-43e9-bd55-bf83987b8919	0	0
d3627e15-77ef-4a22-93d0-7c579c748624	17.1436818181818182	1.4289449280808082
1efecb68-0403-4791-8af6-873dde032bd4	0	0
42e560ad-14a1-45d1-804d-ac2a35127efc	16	1.33361777777777779
20677cd9-fcec-439f-a240-c00181e16e07	0	0
a65a0d60-5316-42dd-97dd-0bb5a4b4efe6	0	0
cb8523f8-dfb7-44af-a2c4-d4812acbf37f	0	0
9f1ec7fa-8cad-49a0-bccc-c7d4c82ce776	0	0
f918e515-fa3f-4f9e-9ebd-1d0984804d49	0	0
39532ff1-c36d-43d4-8f43-84ba80782395	0	0
d41ece54-3d27-4424-82f1-34f2d775cc00	0	0
3c487481-6061-4e37-9274-bf63e736a801	0	0
3c76205e-c4e4-4bbd-98af-eb26d6043cb3	0	0
93f2e787-2aea-4749-9ab5-3b6970c29741	0	0
e2fb0c0a-aac5-4125-8b8a-6b78aac67763	0	0
94d79517-5fce-4ccc-a9d4-e066491fff7d	70	5.83457777777777764
a60f849f-6478-4406-8465-08729e767727	0.594125249072381956	0.0495089521095758225
e251179d-09af-4410-8b91-ae7ef623dc15	0	0
77509a42-6b7a-4b5c-beb1-89d4f685508a	0	0
5c8bddff-fa85-4dc1-9d8c-caaaa2bc3468	11.1837229437229446	0.931948952669552799
9138523c-0e22-473e-95f2-35edbf4607cb	0	0
2e8ec210-e719-42c9-84a6-5dd4568a5892	0	0
2a158606-5f79-47b1-a357-b20bec7a17a9	17.1436818181818182	1.42859729231060628
51f830c0-b7c1-4994-866a-698b0ac2bad8	0	0
27418e63-16ea-4ab9-a489-7f99cdc8e7d3	16	1.33329333333333344
99dd30cf-b7ad-4a11-86fd-602a4ef5724d	0	0
a7527c95-bca6-4b8f-b37e-025865375077	0	0
d565c412-1293-40a2-9f61-765bb3c97284	0	0
f8c70a23-f6fc-4a92-8bbb-42bf2dbb0162	0	0
4330fb7a-545f-462f-826c-55ec37fda4bc	0	0
1ac5f373-518e-4eb8-8a07-8f14a7f4543c	0	0
28f1b5b3-b05a-4a6d-a945-8b85e27efb0d	0	0
cd9747e3-4321-454a-96df-41a0d03c82f8	0	0
c6da5727-1c30-4de3-9de3-8ed8b5956efb	0	0
95de30a2-7416-427f-9cc7-3e299acc090b	0	0
fc32bc7a-ec38-4861-a24e-60cfcd539346	0	0
1f9c0f8f-6ea8-4f53-8c84-d1a593423316	70	5.83315833333333345
9c2ac382-b49e-4af0-9be7-1fe03dfedf72	0.594125249072381956	0.0495191842666431667
acb592dc-2a30-4956-897d-c2dc7873cbed	0	0
43cf5105-3e49-4b52-b0b3-97b9ea445b9b	0	0
099babf9-2877-4dbc-b786-5c7a39763790	11.1837229437229446	0.932141561231361271
39c584dc-3482-4fed-a8e1-9ced2308879f	0	0
9472c758-74a3-490b-9554-c0818e599d5c	0	0
04536a22-10f7-4624-846f-873fb4edf011	17.1436818181818182	1.42889254460858584
46a32674-d8b5-4ec8-9247-976a7624e0b4	0	0
b848b0ae-4f6f-4c98-bbc9-141b55d846ed	16	1.3335688888888888
70102d47-1145-49bc-b44b-e6012b3a46e5	0	0
a50fd981-1c00-4f85-9b7c-93a6963c9a02	0	0
66b5e0ac-4ac7-400c-b3a4-b7925a1a72fd	0	0
4154a4e7-7b27-4f7d-afc8-a49f562c79e1	0	0
0b78b9f8-5bd5-4b9b-8e25-b0d4b4b9e8b3	0	0
9dc830bb-8c39-46d9-a74c-0c0ff212b1e6	0	0
45ec1810-1f83-4788-9831-732c0528dae8	0	0
bf501c57-a06f-4245-b6a4-c702da603824	0	0
fe5632db-5ac3-475b-938f-8553ac05ec3c	0	0
4a7816ce-5bd8-4d53-b6bc-d3cefd494419	0	0
1a279cd6-fcdd-418d-ac46-954d1797cddf	0	0
40ac9750-1b7e-4f57-8d7a-2e0a4f7beaf0	70	5.83436388888888846
42b4027d-b65c-4f90-97b9-4e7b324a1b04	0.594125249072381956	0.0495125828749868185
634e8d65-6a23-4470-a5ed-dbb096c01621	0	0
d946b6c0-8e54-4e9a-9f25-32d2c8cc121f	0	0
a3697483-c4c9-460e-b77a-45e5b44ccd65	11.1837229437229446	0.93201729764309782
ce6991b2-40f1-49ec-b3d5-9ef34bdb97a1	0	0
ae4e8c3e-9590-4a6e-8ab2-be3e7a166f3c	0	0
dec983d0-8417-46be-98fe-f8202c10f063	17.1436818181818182	1.42870205925505056
14500d51-aec7-4991-bbc0-4589f82542d6	0	0
177a7f33-4e77-4316-bdc9-8eb89383a8bd	16	1.33339111111111119
9da446ce-62c9-4532-a117-bc48028bedfd	0	0
ec4f62b0-be27-4733-9e1d-568d43e8bd78	0	0
747ef378-1f8f-42af-ad99-7b105edc1acd	0	0
bf97a32b-d7fb-466f-bfd8-4e9039600012	0	0
a4d36c93-3d1e-4d1e-b608-ef67b107d112	0	0
3fb55b80-b90d-4a56-852e-779d5719f7a7	0	0
c2b75031-acd1-4523-a83c-81fa1a72359f	0	0
28de15ea-009d-4ced-9ab8-bb26f8fa1e9b	0	0
f829a7e2-70cd-4a06-b92e-ff76adccba5a	0	0
178ea264-492c-4aaa-b2fc-062401a5506f	0	0
f8faa052-a28c-4c68-938e-f58bc98aab31	0	0
2f7fe4d4-c984-47cd-9f47-be932f551354	70	5.8335861111111118
5168b702-d4cf-40fb-b601-e8c1c3ce88d2	0.594125249072381956	0.0495139031533180854
e712430d-9f36-4d52-9e09-1e99bece14a8	0	0
635fb088-805b-433d-8ae3-591367863312	0	0
26c5f6d1-a4a8-47af-bae5-0afa708642aa	11.1837229437229446	0.932042150360750554
f7700f78-ed33-4018-9a85-dc85053ab537	0	0
b555af6b-0bcb-4973-baff-f8f72471fb21	0	0
b54124be-5f72-4276-965d-d79da8af3681	17.1436818181818182	1.42874015632575757
013a4104-1906-43ad-b475-935ff6d75fcc	0	0
af175ab4-dd06-4555-8b89-49b25dddfa4c	16	1.33342666666666676
b40c5ddd-eb06-4660-be8b-2f85e6e47ab0	0	0
1c7023bd-e7ed-4f3b-b70c-54fa279cd637	0	0
f4a5fdb1-f4a6-4bf8-9474-8281cb49d2da	0	0
85fc4710-43c0-4d4b-98ae-ee5865960734	0	0
bfa72891-77ec-4375-858c-7f3db2e5bdd3	0	0
ff7085db-081f-4451-b7e0-ef59c6d09fc7	0	0
ad927946-52ca-4f10-9d7b-8d6c8925fc79	0	0
c729c671-8b54-4700-b54a-064f4f06f6db	0	0
6611270e-1ba4-4893-ac46-0b39afbcceeb	0	0
0b7a7fc5-223f-4257-982f-5b7b9a65b744	0	0
d4d3fc76-975c-4957-b888-92c0a2f56c0c	0	0
0a6a67d7-00f1-4d68-8b7c-1eaf8afb1e39	70	5.83374166666666749
b5518b70-979d-454c-8100-87580c138319	0.594125249072381956	0.049511427631446954
fe9db78f-5931-4e70-8657-cc84c724e836	0	0
d16be542-15b2-463f-804b-83c4ccc0c2ca	0	0
b547d002-2386-4e84-a049-2862528620f4	11.1837229437229446	0.931995551515151677
a66936ca-24ce-4ce7-bfa3-3839b66aee66	0	0
0d3cdf0a-0e2a-49d0-97e4-3e3c823e9e29	0	0
3d9196a0-5ea7-48af-9b59-9de6dd3f0ff3	17.1436818181818182	1.42866872431818193
a4a7851d-95ee-4199-8684-8debaf529820	0	0
f88abe58-48a5-4650-b008-a931cd36e182	16	1.3333600000000001
71821649-eda4-4ce6-9f20-705748f7d42a	0	0
e10b87f3-7303-4da5-b649-fcf1a6397c72	0	0
ba75a64c-f3df-4e42-8267-0de52250e6c0	0	0
e97d2f4d-e6b3-43ae-a9dc-7bedad5a72b2	0	0
6a24aac0-42fe-4692-9496-aeba90eb135c	0	0
a676136b-d672-4996-bb9f-d42c8485b95b	0	0
25d9b20e-2df7-4d40-a8c8-76cd60b70638	0	0
b61e3c24-2256-419b-a5ab-dbb94cc2c06d	0	0
800f7b11-e139-45a7-a442-ed80627ca7b5	0	0
c83c4adb-92e8-49c3-bb2c-d2e582045c7e	0	0
23666a8b-6acb-43e3-8242-03d143a7e71b	0	0
cba5b8a0-a9f3-4f7b-8ad8-3e0eea6c9615	70	5.83345000000000002
27b61841-5f57-4d4e-bd98-ffd4b7826a99	0.594125249072381956	0.0495112625966555447
87e8239a-87ec-40d3-b6d8-2d9d3389210b	0	0
893bc46a-f01a-4a5e-808a-1b851e509a18	0	0
0cc22fce-8d3d-4c29-9420-dc6131bb77d0	11.1837229437229446	0.931992444925445085
094150b9-e269-4d37-a901-382854677999	0	0
301a6649-90a0-47e7-8c18-e0fb2477b9cd	0	0
5cd81f05-ffd2-42dd-9657-51e314d83156	17.1436818181818182	1.42866396218434355
cd903bf2-dd21-4569-8121-a08ee6a0d842	0	0
34a461a8-697b-4d12-b05c-fe5fe42dc5d4	16	1.33335555555555563
9292597e-ac2c-4052-b9c6-e614534d2a21	0	0
dd812e1c-ab8e-4ab1-b9d3-d9072822677f	0	0
28f5d7b0-fa0f-4847-bb18-f671ecb91849	0	0
261b9bb9-0751-4ae0-8419-3d0f2fe28ef6	0	0
dfa1690d-fa24-442c-9202-c7620704b027	0	0
c16d55b8-6c33-439a-8a4a-3a01033ea63d	0	0
ecac7ab6-fd8d-4358-87da-7816cb26277c	0	0
a9cb846d-34d7-4b43-8868-b0b251a65a41	0	0
01a8729e-7b85-4c12-b06b-4d812dacb3dc	0	0
c1effe1e-6106-4bb9-91b2-f8f74624a615	0	0
30f85dc1-0b28-4e2f-9fea-d9316d8dff20	0	0
1b2a8b90-f2bd-4b0c-9694-562c90eaa6b3	70	5.83343055555555612
b1e54b0a-004d-4948-8f6e-cd43aca61912	0.594125249072381956	0.0495176989535204976
5a1ce79f-c915-40c7-af3b-42c16701f589	0	0
99737e55-f028-4551-ac89-2e5407ea0841	0	0
b81f6891-6951-4753-ac4c-0e63c273595e	11.1837229437229446	0.932113601924002055
c3c54f2f-2bce-4c83-91dd-bdfe249469f4	0	0
ab42a592-d493-4253-aa22-d47a2baef528	0	0
c8016f5e-78a3-4024-a5b7-405d17b6374b	17.1436818181818182	1.42884968540404045
35093d58-9c11-4761-9c24-03bfb744ac6c	0	0
6bbeb573-7428-46cf-8787-de5caa121c17	16	1.33352888888888899
998c97f9-adf3-4309-8db0-fa653f689fce	0	0
72dfccd9-dd19-4cbd-842a-48b8e9311584	0	0
33f4012c-de41-4959-a766-98ed9433aa0b	0	0
13435de9-ab9e-462b-bfc4-c61102b0cfdd	0	0
05f41444-7b46-4211-80ab-064f28d14641	0	0
e433e002-3c69-42d6-8637-f5e4dd72b2fa	0	0
2118bdcd-b940-4b66-a9b6-b41ad3f91f64	0	0
79636fb9-c1b1-47cf-80fc-7191024d535a	0	0
d7d05165-3d3d-407f-a477-2266cbbb941d	0	0
eb5cd526-7373-41bc-9af5-f0b538abaef6	0	0
c8144201-b422-451d-90dd-d305fcb93edb	0	0
5f7f1d09-959f-434b-b1da-11809bb64316	70	5.83418888888888887
0865bb9f-8351-4acd-acc4-f12740a7b942	0.594125249072381956	0.0495157185360235799
2d5939f8-5111-4d08-a8e4-91f70b5037d4	0	0
f01040c0-69e0-46fe-bbcf-19a1ad6bb135	0	0
1d1c3c8f-861d-47ea-af17-d1aca5e52596	11.1837229437229446	0.932076322847522953
d6a14e16-4583-4cdf-8061-aa0e81ae8e84	0	0
df6cf34c-345c-4aff-ac98-972eb7aa2951	0	0
0557dbbe-ee7f-4355-abd2-38e14686d0a6	17.1436818181818182	1.42879253979797971
82c19b34-0e04-4ca4-8b44-662790acad3f	0	0
15639dc9-0e00-4c34-a5ee-4b2029bd13d0	16	1.33347555555555553
568e1017-6419-49f2-8c49-49a34d8fdb9a	0	0
8335752a-dee3-434a-a5d7-4d0fa0200ea6	0	0
39f18aaf-3813-4bfc-9bad-5d96f252a65f	0	0
e59dbe92-2649-4e6f-a7d0-5ed96f7b22b0	0	0
06ce4648-a10d-41a8-9a7f-326675a35bb6	0	0
8381893c-1c50-458a-98a2-94f1fe2ecce8	0	0
c584d1d9-d35c-4064-ae8a-c52d5fb2f3c5	0	0
d9417e5b-c4a2-4ccd-b398-678f76953e2a	0	0
05e4133f-a83c-4afd-b26e-7d46124ec225	0	0
73f3b963-267e-4ca8-aa99-3f745420ed96	0	0
37c43c29-e3c1-412e-bc80-d8ce3b7ad395	0	0
d21da015-f69c-43a8-af4d-b16c4fde6956	70	5.83395555555555578
5bde4e33-98a1-4bc3-a599-c7fcf2e38ee2	0.594125249072381956	0.0495120877706125839
71e6685c-0637-4cf8-b1a5-763c2ca35f92	0	0
a1aa6e8d-bb10-43da-bb11-6b181a06910d	0	0
8594b0df-03b4-47ed-b7db-bff7069e17d2	11.1837229437229446	0.932007977873977933
a902c06a-8f8f-4b2f-8db7-96db04792701	0	0
010ea0ce-2163-43f9-bbfe-80d9fb33b046	0	0
e64d5031-1df8-4bbe-8f47-d97a2bb91b9a	17.1436818181818182	1.42868777285353543
e58642ee-2d6a-4d9e-a010-e32820e584ab	0	0
b0ad7866-3f12-4edb-8022-0cf20d5c1bb1	16	1.33337777777777777
15e02352-4ace-4ae5-8297-54f6d6bdab13	0	0
adc9ac83-793f-4a25-94cf-3f6050b420cf	0	0
bcc610b6-a98b-45c6-a983-5d26ccd5cfd1	0	0
cefd9c47-511a-4549-b285-2fab0e282eb2	0	0
3262cacd-3839-4d1d-b82c-2d74195e5bb6	0	0
0930d714-ec6a-4b74-abac-02f03f83fe8b	0	0
1ed253ee-fd27-44ee-a60d-d9f2fdd8e084	0	0
2d1e3986-2cc5-40ad-97c3-670d25aee900	0	0
f034f4dc-d9e9-49b4-8877-f4b8782622e7	0	0
695bbc63-8929-4057-8ed2-5c5138606871	0	0
ba0478b8-9328-48d4-8cca-98f411f022dc	0	0
d3cc0e2c-a77b-40e2-afa5-ae8698db5044	70	5.83352777777777742
a3eeff28-b1a8-473d-b564-298d3869dc7e	0.594125249072381956	0.0495147283272751315
c746e8bf-c22c-42b5-a4b7-50bcd257406d	0	0
49856b7f-8dab-4e69-a047-b4db1ee73f9a	0	0
181aa8c1-6346-4453-b76e-f20147b80dd7	11.1837229437229446	0.932057683309283402
8857be52-e68a-4e47-b8bc-335245ca7d30	0	0
3e193fe6-da4a-430e-bdcf-64be920fee08	0	0
6b0b5e35-104b-41f7-9a57-7f9172141af9	17.1436818181818182	1.42876396699494945
b44cf48d-179a-42da-a934-71b43c34fda5	0	0
9859833b-bdb5-43ae-b7c3-e2c03fe213de	16	1.33344888888888891
980b00f1-949f-4308-8951-d2d148f91c38	0	0
7b1a0518-615e-49ee-bc31-432c437e5f75	0	0
a9b117ae-00ab-41d2-bd30-c05a1730b830	0	0
5ff56cd4-837a-4c33-b743-b54fa7fee95c	0	0
3675451c-c6ae-490d-b7f8-06df15d5fef1	0	0
3aadb278-6a2b-427e-aede-b51bd6009756	0	0
9a57433a-d5aa-4d69-a61d-b141f8f25283	0	0
fbbd9e6f-b3b7-47c5-a8e2-e30ff239a43e	0	0
c8566c2a-054d-4b74-ae19-4154aed9691e	0	0
3bb7d79f-abf9-4316-a16c-ef0a30b47371	0	0
fe687d3a-6046-4ca0-83b0-4f3cc859f490	0	0
d7434c83-b25a-436c-86e3-286429a823ea	70	5.8338388888888888
3db1e0c0-f5ef-4ea9-8228-99d6d90160ec	0.594125249072381956	0.0495134080489438577
4dee9373-61d8-487a-9fd7-331f239ba6a3	0	0
acc8dfd4-6b21-41d3-850a-533e3e14f34a	0	0
4e0c6cb0-fb72-4771-9799-ff04c91b6a1c	11.1837229437229446	0.932032830591630668
db529084-1f50-40e9-9ff5-4817a2267372	0	0
097d8683-c1fd-405a-9ea4-25b6be1787d9	0	0
83bad79f-7e3c-4010-833c-18b99372d3ee	17.1436818181818182	1.42872586992424244
f392ea2e-d762-40be-9441-2809b7f2647f	0	0
639525e4-9797-42ad-89c8-23bcfffe976e	16	1.33341333333333334
b5ee2a39-ed8b-4752-8caa-324dbbf01537	0	0
0861444e-4aa0-44ce-b5f5-9b1f4c7ab962	0	0
2f7cea23-a700-45bc-ad70-977338db010d	0	0
7db9e439-9577-4130-a7ac-82cd680f6481	0	0
58d644cc-75c9-486e-ae57-232ac677ea86	0	0
f849addb-1031-4445-8dcb-ef5c37b2f99b	0	0
eb6ac28f-524d-453b-b122-e0798f73cb3c	0	0
b1c467a5-e6be-4271-bcdb-d201cfda63c5	0	0
a689a5c6-dd69-47ec-9489-ba6cc8d8b182	0	0
dac9202a-174d-45f8-a619-7ae68c6bf80f	0	0
543fec80-b4e0-4d3b-a58b-0a73f19cb3c0	0	0
af0457f0-c227-4767-bf7a-e75f7f979737	70	5.83368333333333311
609dbac6-289f-4d52-bc83-410bf30a820e	0.594125249072381956	0.0495134080489438577
df09b61d-da6e-40c1-8d37-8fdbd42d1105	0	0
f30560ca-01d1-410e-9bfb-e27f85ba5f5f	0	0
f88bd151-d765-4f05-8bda-2a8af35a3a09	11.1837229437229446	0.932032830591630668
0a8abb47-8543-4136-a643-fbae9a00dbbb	0	0
29fdb1fd-a1c8-4a69-9cef-2df19f05d472	0	0
a0d28eb9-0356-4109-9aac-05e8604e9082	17.1436818181818182	1.42872586992424244
419820f9-6fca-4a49-9925-0e3372437356	0	0
4fa9d0ee-9b14-476e-9de1-eaef55c0b1f7	16	1.33341333333333334
8fec1041-5e1b-4d82-ab7f-7ae2647a79e4	0	0
68e9b907-55c8-43eb-aca9-12bab009f509	0	0
db039f20-dfce-430b-aaaa-889dbba73f37	0	0
83a13ba6-ec80-4916-88b9-345b519277ac	0	0
e0288ba5-96b3-4134-8fe6-0a83814828df	0	0
e9431b7d-9af0-4c57-b599-e7a4fd56bfff	0	0
f0ab6314-33b7-4c11-b92d-9acf95745fe3	0	0
2c99182a-f7c5-4083-a389-4722b2c60663	0	0
ee1e4cb0-4548-4180-8fa2-3db79139b2e6	0	0
ef7d51f7-dd77-4554-9a73-bb0a5b7106a6	0	0
f064fafe-2e38-4fff-b1a1-d130ca30ae72	0	0
0281a7df-2a2b-49c9-b4ce-ac7c40987238	70	5.83368333333333311
56a29196-ae38-4f8c-820c-fd008055fb9b	0.594125249072381956	0.0495143982576923131
6d8c9c52-0e70-4199-9a17-f97aa5a78ed9	0	0
5640680f-6d3a-41d1-8983-fc74724ebc02	0	0
f583d2a1-704b-4009-995b-c5ac77bb12ab	11.1837229437229446	0.932051470129870219
3fbf2669-24f4-4c25-808b-d116fd26411b	0	0
e06ef05d-1dee-45b2-a557-d93d2460572a	0	0
c708b779-340f-4817-9cb8-60958a263c8a	17.1436818181818182	1.4287544427272727
5b681065-e741-471b-ae91-eea53cef7bb9	0	0
93bdd7f0-7ec2-4fbd-8d61-dd3ceb92bdf8	16	1.33343999999999996
e873cba2-b393-499a-9568-a8fbc9382e7f	0	0
50b8eaf4-e572-4525-a9de-4a7c56e669e8	0	0
1c72743a-3fe1-4d3e-9a75-0ab2a0216f7c	0	0
5fc4f05d-3096-4f8b-9f83-2d16bedfdcae	0	0
11350dd6-aaf6-4eea-849c-02d1a012d5c1	0	0
0e4fd467-1621-40d9-9af4-b6f60fa83470	0	0
d85a484c-5306-478c-aac1-37f2701672e0	0	0
486df3d7-8bbf-40e6-9edb-b1fedd82932b	0	0
339511a5-f876-45e9-9b76-1c744ac9c452	0	0
ea63aa07-dbd9-426a-82ed-c84d2ebb40cb	0	0
0c721ef4-a3ec-4ac3-987e-615fd6a44012	0	0
f8b6d9fd-100b-49cb-8307-08749fba1a82	70	5.8338000000000001
c9f47013-a9b6-48ab-8356-95d7db1f68e2	0.594125249072381956	0.0495183590926861275
efbf4b75-0f27-4a81-9454-08e453cb01d8	0	0
e93c9108-f1cd-4a6e-8f28-5a8e1c25c23b	0	0
efa95424-16e8-42ec-92ae-f4498bd1840c	11.1837229437229446	0.932126028282828312
282a5203-495e-4b74-bffa-4700fedd7dd5	0	0
39c477f0-58bc-4bf1-840b-47291286bb96	0	0
5ef3e88b-42a5-47eb-b57f-acc97ff282ea	17.1436818181818182	1.42886873393939395
9e660ce1-7510-4adb-b2d4-4424493b4634	0	0
f0e928c5-0f0c-470e-b86a-27e22eb63016	16	1.33354666666666666
ec0f9685-7069-4940-b52b-21a3ac3f0e7c	0	0
c1c88214-218c-43e1-aa70-fdd2dad52343	0	0
f8df4702-46d3-4096-8021-5978fbfd8f74	0	0
97b57155-e6b7-4eaa-96b5-e2c7436abd6f	0	0
16d5a0c4-eea0-480b-bd02-9b17258ea1b4	0	0
2c3e0fe2-6fdb-4dce-a85f-71d631a4f267	0	0
88ccce03-e099-469d-840a-090f626d0cdd	0	0
a6570cdb-9f4b-4701-9a24-50af51475a5a	0	0
242361e9-1895-4d25-8071-93523a993131	0	0
0f1179ec-9088-4fdb-8d80-c782c65505ba	0	0
a0633444-e5ad-4c38-82b2-aa27e2d935fc	0	0
4cca8e88-8ce0-4288-9450-cbff6ad4a44a	70	5.83426666666666627
dbc6ed5e-0f0d-40bf-b551-b1b1cfa3cdf2	0.594125249072381956	0.0495097772835328617
3a4b1f99-9c00-4c9e-9d1b-a7531fc9a462	0	0
69afad23-7cd8-410c-8fa3-6e70c7d67184	0	0
d357a190-96d6-47c7-bbfb-ea2f8c36fdfd	11.1837229437229446	0.931964485618085758
b43d9a04-c115-4ead-85db-0d133003926a	0	0
a87807f1-8f03-4561-822e-282f9a42e4d9	0	0
6bf7c473-27ce-45f4-ab20-3fcebc481c71	17.1436818181818182	1.42862110297979794
dd9b9935-6c31-47c6-913c-dc8823c2408a	0	0
f64a2db1-3b2e-4255-ac3c-a0461983a420	16	1.33331555555555559
6f13950d-d617-4b74-a768-84123726375c	0	0
d3b89f57-37ef-418f-a32c-c083b454e7d0	0	0
9da6ff4e-fdc3-4159-93b1-364df5dd6793	0	0
e1ad8d23-e3f4-4b5c-a874-8e70e6088670	0	0
95a196a0-4dd8-4fee-82e7-5bcf765ecf8e	0	0
29a04dd7-7d66-44b5-9a00-9f31054f0627	0	0
d3ef3ad0-9384-4f1a-9949-8488a8537198	0	0
2e8dc75a-35a8-4260-98f3-48ff8233acab	0	0
4c1c0334-47db-4691-bb0b-c930dabf35c5	0	0
ffd9ab90-6e83-4176-a284-f626e230e98d	0	0
ef4c9397-7efc-478a-a85f-7e40b2051ac4	0	0
7ebbddd4-a7d2-492a-b4d2-709558abf72c	70	5.83325555555555564
ea7b6ed3-48c5-4e56-be15-9270ed28fec2	0.594125249072381956	0.0495127479097782208
4bc03414-3025-46a4-acbe-87477c471242	0	0
06a40422-fd0a-46e2-bd05-b8d5fbf0fa95	0	0
684947f7-1603-4a36-a910-3d9373d6f68d	11.1837229437229446	0.932020404232804189
9c65d899-2e08-4fea-8479-1ceb47e9b9ba	0	0
bf6cc8c3-ba9b-4cb1-9c44-51c0cdb36111	0	0
f5066280-07e4-4e6e-a779-86136caf0b3e	17.1436818181818182	1.42870682138888871
41df73b4-5252-4d08-a769-f6c82ed5daaa	0	0
0ccee9bd-23f4-47b7-b6b5-e8c063146bb1	16	1.33339555555555545
1a3d3b53-059e-448d-9852-e8e57aa4a836	0	0
fd9d5f60-c678-46ad-afdc-50f2caba17f9	0	0
31edcad2-ef8d-4bc8-b26d-82e0465a474f	0	0
015ed087-519e-4a0d-9cdc-57c8f9b9ee44	0	0
c665e5f0-2b24-4f75-9890-7c7e65cda409	0	0
2442a42b-e399-41da-890d-30eb4c5952b7	0	0
2cf5994a-50f2-4975-8dd4-044327fee9ff	0	0
c82f85a2-0955-4c21-8c42-d9b75094e8c6	0	0
999f9fca-267f-41c7-89da-ade98556f93c	0	0
ebffa20c-69a1-4d93-828e-71958a7fae67	0	0
fcbfdc1e-8dab-4b50-a2dd-09abc90e5d02	0	0
03ba64af-dd16-4c5e-898b-a7896eb1749d	70	5.83360555555555482
4152ea13-dab1-4f32-aada-372b05ed0db8	0.594125249072381956	0.0495181940578947183
043ac6e2-881a-4a2c-a74b-203506d10741	0	0
c81c8425-f2ea-4637-b80d-178828f7972e	0	0
962ebb91-cd53-4af0-add8-be6bf3d51ec0	11.1837229437229446	0.93212292169312172
4c8128b2-b61b-49d2-8b85-559d8f1dbb18	0	0
3c90e9a7-55e8-4d5a-bada-a402e72ad032	0	0
806ebd5c-25e5-47bf-b65a-bc8ecdb8d6ad	17.1436818181818182	1.42886397180555558
d1d2a27f-d2f8-4d45-9063-ed9ed5cb0033	0	0
df336147-57e3-4f5f-ae08-ba887113f6ce	16	1.33354222222222218
3a6f55e1-7b4e-4c3e-b4c5-0aa396c0d3b2	0	0
892d3ef9-4200-44ee-bb87-2aadbf779b71	0	0
f3807eb1-8cb5-4c24-ad81-8088759f4311	0	0
0e21c0eb-f473-4fc3-bd41-6549bebe76ec	0	0
2ee0f31c-c5ad-4ed7-a9f0-d3843e552e65	0	0
df39fecd-3a73-4fa2-826e-c7b388667edb	0	0
e903606c-6806-43e1-b2a2-60f2f1539ecf	0	0
064ad984-17be-48b7-9ea3-afa71b845e4e	0	0
e048b78c-75d1-44b6-8150-dab9dcfc062f	0	0
b834f1c8-0373-4978-9ca1-167f3a023bc8	0	0
1f683178-dd06-4843-a0ce-822b664dc3a9	0	0
f460c635-6c76-4863-9be8-586e96d4a7c1	70	5.83424722222222236
b5a1173c-2dd2-4f16-b220-6bc5f8b9f301	0.594125249072381956	0.0495068066572874957
3cccd8e8-d132-438d-ab0c-4b068b2c952c	0	0
da305be5-b6fd-46eb-803b-83c9957494be	0	0
3cd171b8-f755-457d-82fe-61623218d5a2	11.1837229437229446	0.931908567003366994
a90085fa-4619-4f97-9880-9eb10a363057	0	0
39043074-7d9c-4948-b5c5-6e74094794cb	0	0
9a0a2e4c-6182-411b-b84f-6faa23a313b9	17.1436818181818182	1.42853538457070695
4d5186a9-e65a-415b-ac7c-0a147160c63b	0	0
0285a900-002f-4c66-8cbe-5017c25c61f5	16	1.33323555555555551
961ea90a-0ff5-4cb7-9316-e46473719957	0	0
ee5415ea-4303-4e9b-933c-86b6aedcdd78	0	0
d1aca1b7-18ad-45f4-9924-a6f8699da254	0	0
ca522f05-f05a-44c3-b3f4-70f0756886d2	0	0
43d35e2d-3280-49ce-8884-e8b1eee305ab	0	0
14a7433f-9e8a-4581-b269-829f8c86c1d2	0	0
b6ae7542-160e-4d39-a21c-55ece33597e5	0	0
49e258f0-b864-4685-9991-31d281256d8d	0	0
2af40323-fd9f-4a68-8642-de29b103604b	0	0
7fe48822-3177-4c23-ab3c-f5e1f7b2452e	0	0
9b1ce8b1-f58d-4f03-97d2-7b8ef5138a2d	0	0
5db7f63b-b35e-47c6-8e3b-8b0862da8bd7	70	5.83290555555555557
b608591b-e7d3-4a7e-b367-e2b09d630a95	0.594125249072381956	0.0495183590926861275
b4660e2b-ea39-4308-9085-d954aa1bf094	0	0
6589f3e8-478a-4fe9-a59a-22ee26bb38b3	0	0
56276be0-ce17-4551-a6f4-287b27f40435	11.1837229437229446	0.932126028282828312
5d15db29-7953-4334-b1d9-3f0050a6656b	0	0
f96bf2ca-d566-4129-a8ad-57687507e7d4	0	0
6f5d3641-91aa-47aa-994a-15abe85c3854	17.1436818181818182	1.42886873393939395
7307c25e-23aa-4074-a2bf-905cee24fd92	0	0
dbda6696-5172-4b09-8766-7a61a497ca76	16	1.33354666666666666
6f777f8f-3884-4995-b60b-99dea4a07b75	0	0
f628657a-6dd9-4799-8b84-aa8fd2609a4d	0	0
99f74af0-93de-4723-b485-be8e3ba91652	0	0
f67f4ced-f46a-45e1-86b5-3062641f9523	0	0
bfb90704-d086-4d67-98d8-2fa7cc56fc60	0	0
8635f7f4-1e3f-475d-a15e-a441f61a4b78	0	0
561343da-ee22-41d2-b545-675d83636725	0	0
a6d7d617-4f82-4657-85a0-799a2b26ea4a	0	0
2e242309-89ec-41b7-abb1-9bde9f7e01f4	0	0
1bd584ae-2b84-44df-875f-4cd5f0206e4f	0	0
fd4b77b7-fdec-4fc5-8e7f-1dbb9c9cbf7b	0	0
0f007178-6387-41ee-a033-3bd0deec9fd1	70	5.83426666666666627
ad3956df-6704-4f11-85d7-aee1886c3139	0.594125249072381956	0.0495135730837352669
2ded0893-808f-4905-9e6a-8765d664efbf	0	0
174332d1-576b-4a52-a31d-70317598e9ad	0	0
8b07c264-fd18-48a8-88c5-fff347ddf8e7	11.1837229437229446	0.93203593718133726
b4fd3576-ca5c-4fd7-a951-79997c800707	0	0
90ed6d72-4229-45df-bff7-62040eaca002	0	0
edc0ab48-e3b6-43ea-a92c-4c30da7833c5	17.1436818181818182	1.42873063205808082
7a067083-3ce7-4346-af22-84392ddce679	0	0
83706784-a4df-4da7-bea5-09a6ff580136	16	1.33341777777777781
f588a9a7-939b-4809-bb69-63c6f6cf207d	0	0
124a6b8f-f718-4791-94d7-cc1467cf2e71	0	0
00c6efe3-9bc3-478a-b665-386092cd18ef	0	0
a51d27ac-e624-40dc-b8fb-85397181342b	0	0
d919d1d6-f775-4bd2-b6ca-e09e41f0babf	0	0
b175c6b5-442a-4b65-84e4-202f152518f8	0	0
2d68de5a-e079-4a6e-9a88-60590aebfa86	0	0
c9039476-a89f-41ca-8f13-18624193a57e	0	0
555f566d-72a1-4141-a52f-3d37e5a26d71	0	0
2f4ffc22-b0f8-4acc-84ed-72e4761293c2	0	0
3ffda030-e492-4c5c-869b-76828fe8fe10	0	0
9ef76ba8-daeb-4c50-bb2c-009f0affad78	70	5.8337027777777779
8700c64b-5bed-49a5-9324-feb48076cc55	0.594125249072381956	0.0495125828749868185
4e850f41-dd69-4d10-95d3-4a138457803a	0	0
142b3dea-2d3c-427d-bf52-a22891ad3a47	0	0
95ac5bcb-fe97-402c-b575-fd664dfd6f62	11.1837229437229446	0.93201729764309782
817eb639-6fc3-4a1e-bdea-0aef307a9f17	0	0
ff772d59-049a-4292-9d4e-013d3613b66e	0	0
99c73d5d-1674-4eb8-9244-f37b936700e3	17.1436818181818182	1.42870205925505056
5788ef36-0019-4078-8007-6a2524560eb2	0	0
9260f351-1ec3-4133-a55f-92097b69ce97	16	1.33339111111111119
7adcc3ce-ca71-4c6e-aaf0-fee4c9cc912d	0	0
4091083b-dab4-4720-b08e-f7f4a93b9e84	0	0
c77036d1-35c0-49f0-bc28-d290df1425e5	0	0
133d9b24-aef2-409a-adef-ccd50c2c3345	0	0
6b707f28-3f32-4f9c-b320-aad377211306	0	0
118120f3-0c42-47c5-a889-37370a3248ec	0	0
bbcd16b7-8e80-42d7-bde2-3ab319e16ec4	0	0
f7b2271c-6ca0-439e-9c89-7b31010909e7	0	0
4d718d85-0a00-4d68-a3d1-a4d8317fd588	0	0
1b5eae07-526d-44b1-9ecb-c3e7e4530889	0	0
b2f4772d-c55f-4a47-be85-34daa01b5c12	0	0
005ab3d2-4868-4af4-b69a-6d83fa12917f	70	5.8335861111111118
526487a1-4f01-4832-8fb4-9a70a52af6b7	0.594125249072381956	0.0495130779793610393
61e7a58c-89ca-40c0-b488-35f53d94a1ee	0	0
eeb7c942-07b4-4ad7-aeb5-9467c7d6aed4	0	0
7cafbc91-d4aa-4df6-8459-a97d039c5420	11.1837229437229446	0.932026617412217484
4e8d3356-8641-4f82-bb45-32285daf76e0	0	0
00d34d5f-dd6d-4dbd-b91d-b8dfcee3db5e	0	0
beb22bc0-8dcb-402c-b524-9b51fadaef5c	17.1436818181818182	1.42871634565656569
aebbe9f6-4e98-4c2b-9f19-1ece65463475	0	0
724da897-c9cc-4cf8-8e1f-803ce8fa79e6	16	1.33340444444444439
07ef29b3-ddbc-4a97-b6e7-b8f8eed29d26	0	0
82034b74-47a5-4751-b3ca-9343ce8d8cae	0	0
6def797d-8b8d-444e-9d63-0a3e11936b4e	0	0
adc48f73-a6e3-454a-84f4-819b6e09bc8e	0	0
380cce07-6db9-4832-a403-37556a04e053	0	0
e3a778a1-54f3-433f-b522-a7aab38d705d	0	0
bb4618cb-f23e-435c-8798-d50903f8c8bc	0	0
dd400128-c015-45da-8d18-b7d8c649537c	0	0
2ba8c699-a27f-428b-af5d-6d18f114fb2f	0	0
2c12e30b-38fd-4ed5-853b-ead67f26e9f0	0	0
81e52f37-9f44-431b-bb1f-5671a96b7473	0	0
83217935-5274-42c7-9331-2c73c07647d2	70	5.83364444444444441
a5ef7d41-880b-4c88-97ca-3b7f5c84ebc7	0.594125249072381956	0.0495153884664407615
b4d6717b-7510-42d0-b593-3a3e47ad9535	0	0
68df6295-d8af-4823-b546-66a551e3b051	0	0
4971e34c-b847-422b-a757-9f16c7cd9189	11.1837229437229446	0.932070109668109659
39765cf5-7317-498c-9297-1e4f459d5750	0	0
401e61f8-0e34-44fd-bb62-f0b94f399a1f	0	0
949b33a5-c20a-407e-9f54-e7e30a1fe773	17.1436818181818182	1.42878301553030296
8d8310b9-81aa-4082-916c-2325d1cbeef1	0	0
6223d09a-5345-4e4b-997d-1203e8a27226	16	1.33346666666666658
e23a5631-8e94-4495-9117-08fb3a3473ae	0	0
29c74747-e6f6-4223-acdc-c5e623daae3e	0	0
7b80dfcb-f28a-4d55-9d81-ead3d8d4a3fe	0	0
f9bca025-027b-43cb-9e77-9f023a87aa4f	0	0
a051217d-7360-440f-bf6e-d10ee382e1ce	0	0
e4665402-caa6-4280-b11d-6415500f0364	0	0
3e4c120e-f27d-41d1-8b18-ec84fc947eba	0	0
16ebb699-a277-47e4-8a5e-33f3120775aa	0	0
b620269a-8bcc-4710-be0b-739e47eb11a6	0	0
c0b9c21b-8925-4e94-a534-884f45240dd7	0	0
1b552142-223a-44c6-8fa4-7c55ee1dad41	0	0
4691d369-860f-452c-b544-86b031c7a8b6	70	5.8339166666666662
7adf3cef-e4e6-4199-beb3-267054fbc8ca	0.594125249072381956	0.0495132430141524485
d608b361-3a40-46e6-b6e3-51f513dd15b7	0	0
5789a961-5ba0-46f9-a693-fb903949c5be	0	0
c5afa453-5b87-4379-b313-965d2c80f086	11.1837229437229446	0.932029724001924076
a633df79-7fcb-4416-823c-1a55cc745932	0	0
9d6b558f-b2b9-435d-b651-554dce311ad6	0	0
bc02b03e-246d-45bf-8b85-24d4ee3b436e	17.1436818181818182	1.42872110779040407
4eb10ff8-35db-4a30-b51b-f099944bec06	0	0
393f30fb-ef8b-4c1e-bc7f-184e03701582	16	1.33340888888888887
6f68db09-a5bf-4a15-88a3-c5eed94f5bae	0	0
ac2640fb-f8d0-4211-94c1-b2b9689113ad	0	0
5099f7b7-8462-41c0-98a5-9c48022ca106	0	0
9fc8c31a-9390-4ae3-bd25-d3951f6459a0	0	0
ec9aacd4-964b-4508-80f1-bc867321c43a	0	0
e1d24660-8986-4645-9aed-4871a23c6c79	0	0
d278c76b-49f2-41de-bf3f-642ce18c4199	0	0
d27f9629-ab33-4cc5-8370-ae531b92181c	0	0
97c610bc-170f-43b3-9e23-3c04eed0dce7	0	0
35720f6a-778d-4a2b-b849-98b5dc640d6c	0	0
30237727-2c84-419a-95ae-1c39bbfa88f9	0	0
347adae3-0dda-4143-b5cf-fb2690477c39	70	5.8336638888888892
dce830a2-19c8-4ced-9c59-51f2919e0a2d	0.594125249072381956	0.0495130779793610393
6d8bf412-1bb1-4a40-97d6-f129a6987ecb	0	0
b9e1f556-d317-4282-9963-d17f0d8e27e7	0	0
e2793c82-06f4-440e-8f11-bbd351b33c95	11.1837229437229446	0.932026617412217484
75eaac78-0ff2-4e2c-8aff-569c0db6f967	0	0
9f3eba20-a9e6-4d97-9a6c-79707698a985	0	0
70a76d07-af29-451a-bbe2-5c1c9d8c6f1d	17.1436818181818182	1.42871634565656569
5d556182-e17c-4f9f-9ec9-59fe4cef5535	0	0
16ee1254-d3f0-4194-bae8-0c50306ac471	16	1.33340444444444439
b3a8f90b-fde6-488e-b453-678b5d5e1cc6	0	0
49b44772-9f95-4bc3-8237-442449e58549	0	0
f98e67ae-9b66-49ef-aad2-d4e50b110757	0	0
57fc39a1-c07d-4eb2-95a3-efa8015a3446	0	0
f7c5b131-8850-4de3-b95d-da24f6118249	0	0
87958ad1-8d83-4439-ab4f-738cac8ffa90	0	0
acfbed87-7f86-49bc-ae6d-67ef0d1695ec	0	0
77a64981-e63b-44a0-8bd8-45a288c6cb4b	0	0
1399cf00-cec6-4065-a3a1-4284359708f5	0	0
41fe54b5-b4a6-4b4c-85dc-e4e84beefacb	0	0
c28a529e-3d59-497a-a8cc-4b81be3a479d	0	0
94af32f9-5364-4530-bc87-366e194c1762	70	5.83364444444444441
7cb09c80-8335-4728-91c2-70ae5a0081fa	0.594125249072381956	0.0495137381185266762
e15ec259-5ac5-407b-9410-122f26b18d25	0	0
6bf400b7-eae0-4dc8-be83-b09555a6e839	0	0
0222d139-37b0-4a15-8aca-75a2f0ba0b11	11.1837229437229446	0.932039043771043851
53c20d27-e18d-498f-979b-5621b4952ce0	0	0
576eb298-0412-426b-b052-103d7c661173	0	0
bb1fbcad-3dd7-4c9e-abe3-28bbdcf8bd71	17.1436818181818182	1.42873539419191919
4a089f61-1ad7-4f54-97bc-fb977a9fdfa4	0	0
2d994b7c-06a5-4b90-a562-da595e2fcbcc	16	1.33342222222222229
2297508a-6070-4203-9957-39af73f37e45	0	0
eccf7539-a4f9-4ca1-9e28-c4e43c0c1861	0	0
9fbf945f-5a14-45a6-addb-fb3ca9f15f29	0	0
c1fc187f-64c5-4b97-803a-aba1348c7d15	0	0
9867c54a-9cd1-4ee5-8df9-d7fa6e0dc569	0	0
4856516e-ea63-4a23-835b-e44a1346382c	0	0
0c1a4850-75a8-403e-8b6f-27ca95ebe0cc	0	0
d52e95a2-83e7-46af-b532-9b957412fc82	0	0
efad0135-7515-4b52-a98f-accd6bf276f5	0	0
1577782b-4893-4ed8-a222-497e2f6003d0	0	0
9be59205-5f3c-4241-bc62-a27d09ffb5ac	0	0
53481891-ec42-4c0b-97c8-9f51c95eec04	70	5.8337222222222227
63ea731e-19ac-4fd9-bd2e-8f426d822956	0.594125249072381956	0.0495147283272751315
ecfc2467-1d93-4ce7-a209-175b5bc52381	0	0
8cb00a14-8250-4b86-89e0-b7e4912ea4d0	0	0
4a10df67-d733-4caf-b3f8-f347b8e9ec08	11.1837229437229446	0.932057683309283402
570d58b3-d4df-42fe-80cc-3dbcb8d44679	0	0
40ba7c97-803c-4c79-b78e-e7e7a8f4eb59	0	0
6cb8400d-13be-4d88-82eb-89254094a331	17.1436818181818182	1.42876396699494945
3e077286-d331-44ef-a025-9769c0d446b3	0	0
0a097398-574e-42dd-9f7a-5a35ccc9e53b	16	1.33344888888888891
90a71dde-f105-4304-9603-bf88ec3b6e85	0	0
738b1d49-0a6a-49a7-9a6a-53bb818ea501	0	0
87d3d5f5-7994-40e7-999a-7e3d01758000	0	0
554116f6-5342-42c5-bef5-069134daa1b1	0	0
106728f1-c20c-44de-bfab-7ff528024081	0	0
b5990414-5b63-42b7-aa94-18e2869c7bbd	0	0
cb82daae-11b1-4d03-9426-ed55d9d6e532	0	0
76763658-38ca-4577-b0ad-fcc89f24642b	0	0
6219ca09-a7bd-42e0-ac6e-938ef96b8b30	0	0
698ed16f-055c-42bc-90b5-b35e42e2e03c	0	0
8c9a0103-ac69-48b3-a2ad-6960d15863c1	0	0
21dc1284-a767-450e-a326-48138f4cdbec	70	5.8338388888888888
76004073-bcc4-45d7-ba92-2db5f339fe19	0.594125249072381956	0.04951291294456963
8fa9dcac-601a-453d-a472-6bbb99864060	0	0
60d815d2-8cbe-4704-a026-517e08f7b171	0	0
9da2eaa5-41e7-4a00-86a8-d4af9e958fe1	11.1837229437229446	0.932023510822510892
38c699b9-0e4b-4ab6-b296-5a65061c8194	0	0
416684b4-93cf-43dc-a1a1-5ef9e2434d0f	0	0
955af61f-a05b-4224-adea-3fb9d864a065	17.1436818181818182	1.42871158352272709
ab5ec7b2-8cc5-47ac-b803-64da52804ddf	0	0
b936c5c5-1eda-498d-9bcb-f823cb26884c	16	1.33339999999999992
1958f396-42ef-4a08-80f5-af39c69a558f	0	0
a73cbcd4-4fe3-4d78-b924-6119c0af5fe2	0	0
18227c71-f550-4ffb-bd7c-c6be8f06ac5e	0	0
be35343e-071f-453c-a8c7-a55b4c74d1e3	0	0
7077f7d1-7f3c-431b-94cf-fdb12ff474a4	0	0
3bde2ceb-54a2-4c01-8e7f-4e6dfb8a8596	0	0
43ee0089-fd9f-41d8-b700-4db0bd20b0bf	0	0
5c917260-a047-4a28-be8c-3d607aa8b85f	0	0
9a344311-a5ac-48d6-a5da-fae7864d1921	0	0
604a508d-33f6-4e8b-81d4-f94d4aec3af2	0	0
754456f9-0348-4a91-ba0d-7d6223ac0127	0	0
15f62c13-4fa4-490b-aebd-2aebe2e54607	70	5.83362499999999962
8d9b039b-099a-4b8d-8331-976808ef383e	0.594125249072381956	0.0495175339187290883
9b14576c-f10c-4cf4-a0c4-c4bc083116e7	0	0
e3076617-5aa7-41b9-bf9e-0055bb6dac69	0	0
0d5949ad-86ee-46e7-9170-51ef572fd3ae	11.1837229437229446	0.932110495334295464
9bcde3b0-762b-48d4-a38e-c743df15452f	0	0
871921d1-00ed-481f-984e-038ddc816913	0	0
5644e08a-cfdf-4060-ae39-6e742ac2d64f	17.1436818181818182	1.42884492327020207
1df4315a-70c0-4729-9610-7ea0a70d591c	0	0
2a1a8e2d-33d0-4915-aa57-9fd0e7e517f9	16	1.33352444444444451
9b32978e-2361-42f8-8f92-d07a1df9ca5e	0	0
96eb62a8-08b7-479b-b6c3-41b2cc13a357	0	0
6ebc30c7-f379-4268-8f1c-6543fc480b32	0	0
2f30ec32-52aa-4c3b-a3d2-387e916c9053	0	0
f24dfc62-6d40-4abf-9795-1f7b9aa213c9	0	0
6b603cbf-3f3a-4434-958d-8f5c2d64f57c	0	0
68ec4a92-9f27-4aa1-bd1a-5459dc6879e7	0	0
1bd6be5e-1d82-44d3-bbb9-eb168017aedd	0	0
d1668aaa-fe2a-48f8-9a65-4e1f33f71a63	0	0
7ee54ca2-9c4c-4ebc-9803-6015e9620fda	0	0
15358a22-2008-41bf-80e9-c21ed474adfc	0	0
611d1e0f-ac85-4552-b4f7-a40256fca04e	70	5.83416944444444496
f05b5f75-4ad5-41b1-b723-b7e703c1b2e1	0.594125249072381956	0.0495068066572874957
7654dee6-d846-4c83-a335-ceed07e55c47	0	0
1d0b6dd9-c6ad-4379-98c7-dfe059c93ff0	0	0
2b929857-6e1e-41b7-b029-4827a8903509	11.1837229437229446	0.931908567003366994
036083fc-4f36-4192-9325-b6b665e8651e	0	0
6fc36a0d-5f3d-4a1f-8f2b-2364c6756996	0	0
06b834b4-ee2c-4bdd-8fad-f68835285d0b	17.1436818181818182	1.42853538457070695
f6e85bc5-ff7f-45b1-a99c-c23965479906	0	0
3d8b2256-1f94-4658-a268-33b8f8425e75	16	1.33323555555555551
7c0fb0d3-fa02-4657-a957-72167d66010e	0	0
205252be-046e-4f55-8bb5-3c67a4aea70a	0	0
bbd6bdcd-4a1f-4e26-aaa3-b142e379136e	0	0
adb61811-6d6b-49a2-a648-3a075d96e6c1	0	0
9ede55a4-7a16-4078-a495-3bcfd9b4ef5d	0	0
c57cd520-2080-414f-85f7-aed4d3446034	0	0
3def0f47-f67c-49be-98a0-a0897dca9b45	0	0
e8b5373a-0731-45ca-9a4f-0c75f317a0a8	0	0
168a45c9-74c1-4ac6-989f-70c465b7386b	0	0
cd8f044b-efd3-407f-9ec5-47c803418e7a	0	0
65e54d44-ea3e-4405-8b7b-181bc1636107	0	0
aad14914-a082-4196-982b-2015b423c97d	70	5.83290555555555557
ba83b031-4ce3-4ffc-aa45-ab02bbb4a5da	0.594125249072381956	0.0495135730837352669
945bcff8-e96d-4e2f-aa8a-b63442cb9d2a	0	0
ff086553-46b1-462d-849b-eee4970c9956	0	0
8e47dd73-60fb-4252-ae8e-5c78898b1852	11.1837229437229446	0.93203593718133726
5b1d9ec3-aa59-4997-a69e-6038824ba745	0	0
d0e78078-2404-4e18-b69e-e96e26a17b8b	0	0
fcea7fd2-1172-4ebc-94c0-bba7d1e5bdef	17.1436818181818182	1.42873063205808082
1fcf4f00-76fd-4861-aaf0-bf3cffc8f7a5	0	0
33b2a3a2-012f-4fd1-9519-3c3ba06abc83	16	1.33341777777777781
f2e06184-2795-4e8b-b758-60bdaf869621	0	0
40d863ce-a87b-404b-910e-0f06b2675cf4	0	0
1a0d0325-1ed8-40a0-8a0a-9191d6cb2607	0	0
aaeba6b5-b253-4e09-a45d-0dedc857a4c3	0	0
0a07130f-5182-4748-a4db-b8f92340242e	0	0
6c22bb77-79e5-4af6-8ae3-3bb63f108fe5	0	0
e4161462-db9f-48ab-a543-455566b309c5	0	0
87ab4466-fa3c-4b4c-aa16-6a36c94b2a3a	0	0
dcef60f9-2336-49b7-b887-8a7c96312289	0	0
8cb5a7fe-d4aa-4279-9767-c54508939f05	0	0
d67eba14-109f-438c-b34d-6d4fcf086228	0	0
2dc975dc-57b6-47e0-b98f-669f7a1992a0	70	5.8337027777777779
c662b234-33db-42e8-ab56-7ba308bd21fc	0.594125249072381956	0.0495183590926861275
0a853ddb-43ad-4d4d-a62a-661c6fb8be40	0	0
6d73416a-4abe-42e4-868b-380ed9209de6	0	0
8688f457-b0ae-4842-b7f5-4b58a0ac4c7d	11.1837229437229446	0.932126028282828312
472119b1-03cd-4a73-9b7e-5f44f1d1443e	0	0
e885b058-3295-4fe2-9c6d-ca926db38e2b	0	0
22e0df9a-ac6b-4fb3-8395-8214a3bf7e88	17.1436818181818182	1.42886873393939395
8c5c5d20-ce67-4a52-bcbf-e4f7f40bbe1c	0	0
afd24471-7015-41c6-a3da-650d24e285c1	16	1.33354666666666666
4e7ab5b3-cb50-4e60-9a8c-7fb999541651	0	0
bfb6a5d8-4716-4e58-8005-48b100df0a69	0	0
3b139ea1-b3c2-4d44-8409-dc6fe76dad8e	0	0
a0be42f0-3ab7-40ae-a46e-0c9f517107be	0	0
e4c65895-99e7-4d10-8a45-f241be9550ba	0	0
7427494a-21bc-4601-9a27-e0d5d9afdf93	0	0
d8a67dea-72d2-447b-8fe3-d6ebb8255290	0	0
5d815162-5ba6-4072-956e-98bc32e79c79	0	0
526b17a1-875d-49fa-8d23-26a40e6d44c7	0	0
250c4672-4751-45dc-a7d5-99248391ab39	0	0
19f572f9-dcfd-4027-8a92-40d9dcbcc3fb	0	0
2fbdaff1-146a-41b8-86b7-47e180a30855	70	5.83426666666666627
93c54066-28d3-4ff3-8a4e-2715b58df26e	0.594125249072381956	0.0495143982576923131
8bcb2d1e-223e-4935-9ad6-68893a2855b9	0	0
8947ae74-dc91-471f-bda1-ce7c53449350	0	0
c96978f7-91bc-4309-882d-2a1f00e031ce	11.1837229437229446	0.932051470129870219
3ee7d505-1a8c-4a7c-b0f4-b33846f9b322	0	0
cebcf901-49a1-4446-b5d5-ce3b64b57a2e	0	0
cdca8ab4-20bc-477e-af92-b6a294c79886	17.1436818181818182	1.4287544427272727
258925d5-eb0e-4aff-b6a8-3ea83b4349a1	0	0
e1e43143-fb63-48ac-9419-b936ac2e5a77	16	1.33343999999999996
8abea0d7-d468-48d7-9ec2-400e85ba661f	0	0
88337f38-4a95-4bb3-bcbc-2113dd74b2a4	0	0
0b48d238-8f97-447a-bb7a-ba95c5adc6c0	0	0
1674c683-a26c-46c0-a0b3-fa7e8f4595ab	0	0
3d0c2caa-570a-43e8-8fcd-6d367abc7201	0	0
aedeb429-07ab-4f9f-b4b1-f63493b5fc8a	0	0
6589ebbb-1c06-4767-9293-3dd09e10feaa	0	0
524ae573-dfdf-491e-98ca-0def223905c5	0	0
9af2ffb9-a82b-40b8-b25f-b8c52a7d0f91	0	0
b3bfcd45-c3cd-4a5c-b3a8-747bf2ebee77	0	0
ea1128d2-9b41-40c9-9f39-10b1dbc7672d	0	0
88ac8fd3-6576-4f47-b545-2548312fc425	70	5.8338000000000001
4483d473-ae81-4fc7-a040-387deafb7deb	0.594125249072381956	0.04951291294456963
e24eb9fd-bf30-4c5e-b720-501568955de4	0	0
15692dfd-67b0-455e-a36f-81988be2edb2	0	0
a9659085-79fa-451d-9d33-1cd81d7ef674	11.1837229437229446	0.932023510822510892
62e4fb28-2cf0-4adf-aecd-5feafb1073d1	0	0
38a3b68a-f58c-463f-98f1-813c248d60bb	0	0
491463bf-5341-4883-ad0b-c9c199867be8	17.1436818181818182	1.42871158352272709
08e6eb39-0b8b-4218-ab94-f31a53d7bb98	0	0
db4a2689-7f63-40b9-ad4e-cebb6d2c5f20	16	1.33339999999999992
7c81ebc3-19fb-477e-8a0a-49eff849779b	0	0
bb6d839a-ab51-4485-a612-e60b3e965016	0	0
a78ab07e-6e55-434e-8eb3-b23f8e4d0c87	0	0
56d065ea-9b7c-4d67-9ea9-2cd75abc437e	0	0
ef57d46e-ceea-4062-a09c-7c18732c0a6d	0	0
5f4c9394-2ef7-4e90-a377-8eac618a6b18	0	0
caf3fcda-af77-4e6e-97d2-c4dc27d67417	0	0
24bbca49-9fdf-4019-95ef-3162034c634c	0	0
1d20d739-1c50-47d8-a1aa-e75d2ad97330	0	0
189c844b-c3a5-48d3-b861-4d3702e20b54	0	0
64fe1c77-1901-4974-9f8d-3e7631e6823d	0	0
4cbf6868-1e1a-463f-ae59-e9a1f4d2f48d	70	5.83362499999999962
5044d895-08e9-4735-87bb-c632ba4f6b0b	0.594125249072381956	0.0495142332229009038
a6f4ba03-a8c3-47cb-a819-c875569cc22b	0	0
90d294eb-2f9d-4949-addb-d39a1fdca5a4	0	0
ed0ccf94-b7f2-44a8-b256-c0afdd764dc2	11.1837229437229446	0.932048363540163516
b1831b76-934f-4528-b2f2-c1279a910bc0	0	0
510ae896-6eda-4d5b-9ff2-b3b18c86d4a9	0	0
f2ed9efa-bc66-4aaa-93e3-dde008befa27	17.1436818181818182	1.42874968059343432
097db941-95c8-40a6-9525-bcb523be1855	0	0
04df43fe-7765-41b8-b071-ded8e213e835	16	1.33343555555555549
91286945-2b7b-4432-bc49-e67881c03b49	0	0
4308cdac-c787-49ef-9282-63b972a483e1	0	0
5b9f2c77-cdd9-4bc5-8708-c0a39df16051	0	0
6b59ffd7-d4b0-45d9-9b9c-0e647cf24733	0	0
e6d28ff7-8697-4e6f-b944-6c3e481a2491	0	0
8805ae9b-009c-492b-817d-0f9cfadc75c5	0	0
2094d4ac-115a-426d-bcb7-72b6ceab6f33	0	0
493709fc-dfcf-4f0f-85da-a068f6130a01	0	0
3b7a529d-bc01-4213-b183-cad99abffcb6	0	0
3834e6eb-8a4a-4fdb-b5ce-ce50e07d7b86	0	0
a1f6ae78-c2a5-40c3-a6fc-8d413bcf7c02	0	0
171252a1-0529-48b7-b221-afa5ded82001	70	5.8337805555555553
1ddc839b-76d9-462c-9fc2-e300dfa29f84	0.594125249072381956	0.0495132430141524485
26d75e63-6cbe-4fc7-9e40-74c20f728cc7	0	0
1a4e4026-fd43-4687-8763-f5d63d0185fd	0	0
35999cd1-7b57-4264-9937-39cc08aefc01	11.1837229437229446	0.932029724001924076
5c91f86a-6c92-4796-a0f3-adc3354ce49d	0	0
3550fb9e-46e3-4059-b260-25effbe07b59	0	0
c5834e4a-4568-409d-8e21-5e01702c70d4	17.1436818181818182	1.42872110779040407
87873d14-83fa-4f5c-83d4-c3d3b01d3901	0	0
090543c0-364b-4234-99f0-b1902f9baecd	16	1.33340888888888887
8b51ef1e-5518-469b-ba2d-b1eb7adc56aa	0	0
f34034a6-f039-4fa8-880d-4a541752aa94	0	0
c69498f4-15ee-480c-9a76-e9a970616fa4	0	0
972a2e91-0684-4463-b842-661e6159e079	0	0
2fabe9e4-af00-4398-89db-7243db710bd7	0	0
9db65b6d-b94d-4bdf-994f-b656c8a955be	0	0
fd28ea18-3edc-4f21-ba9c-510c0d126f23	0	0
de2a62f3-bf86-41f1-b866-85568dbe9fc2	0	0
f8e88086-6a81-4cdc-95e6-c0e626ae8d0d	0	0
9a65c278-fee1-4cc0-8b4f-b57c8faf2d27	0	0
cc2263fb-ccbd-4645-a2e2-7d5cb6a0e0f6	0	0
70620329-d772-4006-a732-31f6d17e57b0	70	5.8336638888888892
233d66d8-f6cd-4b03-92d0-0349465ba7ad	0.594125249072381956	0.0495101073531156802
456edef7-575f-4091-b652-15432ff1fdd8	0	0
c6e3b476-ff71-45e3-bd9f-8eee344b301a	0	0
369c0dcd-df73-4004-be70-b793e9c199ba	11.1837229437229446	0.931970698797498942
447ef3a7-8a9d-4019-99a8-50b37281d207	0	0
67b7dea8-fb10-4483-bc56-957c3389b19c	0	0
100226c0-640d-4876-b29b-14043bd12455	17.1436818181818182	1.42863062724747492
78f80fc2-a0ea-493c-8805-8f70285b27af	0	0
4659e7b8-95a0-40dd-9003-32d1165735de	16	1.33332444444444453
806ec6e5-fc4d-460f-b80f-fe2e70656979	0	0
26976d56-2a4f-41d6-bac9-df682c2fb778	0	0
6ad97ab3-62a0-4905-9e77-b158c849d44f	0	0
02bd657f-1eab-49bd-bee8-5ab55cf62702	0	0
50ec440a-fcf9-43d4-ac28-fad5d0b8952e	0	0
df901cc4-cefa-4e1a-83d6-0784c73bdb95	0	0
6ee79c0a-687d-4cbb-b7e2-6b567a22d552	0	0
7696e4fd-2d33-465f-84ab-cf72bf67915e	0	0
9c9d0cfa-9598-4fdd-8098-616465f90290	0	0
5d516e23-69d6-4403-b9d4-fc197a0870ff	0	0
dc91ad5e-15d7-498d-b3d6-16427498c106	0	0
46d35182-2871-4121-a1f5-5b38369c6bc9	70	5.83329444444444523
1356961e-3404-4582-ab5c-98883e076d2d	0.594125249072381956	0.0495168737795634445
56c91207-e64c-434e-aec8-ba0f4cf0afa4	0	0
8bd2f69d-f24e-494a-8694-ab5482aeba37	0	0
6445c390-e726-4fb7-89c9-43a181869d14	11.1837229437229446	0.932098068975468985
ff69a17c-6027-427b-a7c6-e843b0ee4404	0	0
ea82f5d6-fbcb-452b-a0bb-2a212d8a2570	0	0
44b55cc0-1198-421f-94d7-847c3ba536ab	17.1436818181818182	1.42882587473484834
ec2c1e29-1356-49b8-8641-6ba2aa9ce717	0	0
9f9a839f-df7f-4121-a49e-b7f97e7929c6	16	1.33350666666666662
d8257721-ab25-4fb3-8fd6-f0499191714f	0	0
6af2e862-5efd-46a3-a8e2-dde10baa3383	0	0
a3b93f70-3b5f-44d8-b001-256fde3b464b	0	0
c4eb10a1-4a09-42f9-bc06-286e131c21c4	0	0
46970db3-9183-4385-b270-2ec1252196b6	0	0
ee8b7850-d596-41f8-ae8f-2b1081b41bf5	0	0
ec283665-6948-4bcb-9a15-6a66839382d1	0	0
66ffc704-850b-4431-988d-ba4e31ee2519	0	0
fb51f754-557f-49c7-b1bc-d3ef6ef7dd1a	0	0
be537606-896b-405a-aa14-262cc71e9544	0	0
abde0b3b-0c5c-4b2a-8acf-7ee91481d089	0	0
011a975c-c46f-4766-b9d6-e37b76356072	70	5.83409166666666668
3a0f5733-2630-4c7f-80fd-fa3ee1e971bd	0.594125249072381956	0.0495160486056064053
29c15df1-dc86-4ba9-8441-1e7a445747aa	0	0
41b88bbd-074d-4779-9495-440e6d788b28	0	0
95a33b63-02da-4302-aeac-73e19b8808e5	11.1837229437229446	0.932082536026936137
8f94e845-afdc-45cc-913e-6e364ddc315a	0	0
a8f9bbdb-0871-48c7-b677-d8c5e0ea9e2b	0	0
4db25d3b-c8c0-4b0c-bb11-99e432562f3e	17.1436818181818182	1.42880206406565669
4d34d682-fe74-497f-a225-6cdd021cadc7	0	0
50bc2cea-f010-4131-beac-25826d44f862	16	1.33348444444444447
94146470-0648-4633-850c-2fc310b2af6d	0	0
36bf3098-feac-4266-9a8e-81db88016768	0	0
a0c667dc-2f4d-4a85-a6d3-1fd4336db6cc	0	0
c8ddf2df-248b-4eb0-b5c4-fa052bb705e6	0	0
f45f434b-7b8d-45c6-a730-ff4fe3b72d72	0	0
11ca9cda-7131-46a5-bc61-8bf034177b04	0	0
14c7da1f-68ef-41fe-bb79-05fdf257514d	0	0
f2d1f753-d339-49ff-a6a8-8f92d3d2e646	0	0
a8b3e40d-06ab-4acc-866d-621b9e0a2144	0	0
5e2c5c88-c4b6-4907-8eb5-3bae7f4853fe	0	0
f2046b56-2caa-429a-b582-468a864a8362	0	0
29193774-c36d-4b57-8989-cfacf8e7de07	70	5.83399444444444448
2864b340-b020-49e5-959a-5c444d388ccf	0.594125249072381956	0.0495122528054039931
57cb7cc8-cb2e-40da-a6c7-d332a48354da	0	0
a6760ca9-5921-405c-880b-9009e889e0ad	0	0
7b0e07d4-caf0-4620-b339-9bdcda5f9185	11.1837229437229446	0.932011084463684525
b060911e-e889-4eb0-b4b7-cced04925450	0	0
b7701ccc-e4a4-4688-bf39-ea1424982033	0	0
492be57b-2980-4468-a811-15576327e201	17.1436818181818182	1.42869253498737381
d88b7381-d85c-4293-b483-70c74e5704d9	0	0
dfc2c0ee-4733-4e36-ada0-b428a09c8843	16	1.33338222222222225
bc184e1a-00f2-4c5b-aab7-171098b893d2	0	0
4882af1e-c81a-4e33-9251-f0737df769cb	0	0
74fb5f0c-345d-4aaf-8c33-33f6ff448f8e	0	0
4ea86e2c-df4d-4e92-886c-dc4412a6fc11	0	0
03b7a4d0-6811-4ae4-a744-80ac735f052c	0	0
88720925-5f60-4508-83e0-81493aceb08a	0	0
23c39d08-7acb-4bce-a1ea-1f17ccac4cd7	0	0
4c524a21-c1dd-4db1-933b-a5ae9a0a6c9f	0	0
8fe5421c-5936-4579-ab85-81eaf9e7988c	0	0
46b4637f-2c7e-4aea-8a73-c9a16f435639	0	0
7118693d-f9f8-4223-b572-7d97483404c8	0	0
ca28923a-5de8-4cd2-89e7-e11bcecbde7c	70	5.83354722222222222
a0d667d9-203d-4ef9-a9cd-4826e5c1b38b	0.594125249072381956	0.0495145632924837223
f4133643-624d-46b6-a3bd-01718a4842ea	0	0
44a9d12c-7967-40d4-9f26-4d24b3f7be40	0	0
f60f428d-ef61-4f99-97f0-74b40a684f73	11.1837229437229446	0.932054576719576811
22bfa54d-d9fd-4395-a044-176ade720fcc	0	0
6d4505ee-0307-4787-9d70-ab4e2cdbeb23	0	0
61ebf699-ec97-4e47-9c5c-a1dd39f8c730	17.1436818181818182	1.42875920486111108
4fd6305b-f397-4a3d-acd3-75535fb7b1e7	0	0
07c48b27-e287-44f9-b0be-50c2f0a11d1b	16	1.33344444444444443
7c0eb660-690c-43c1-a04f-9f797582a74f	0	0
ddbe5685-16f6-4b8b-9079-b46d946a2577	0	0
37b0cd01-e3a1-487a-b397-c7b6d71c14b1	0	0
99afcfd9-cd67-47a0-aedf-0aa5dba3d71b	0	0
7c4ff8b4-a2c4-4b9f-8fe8-3b6c0255262a	0	0
a62eff78-735b-4086-b09f-588b0dfc0cb5	0	0
dc253581-65dd-451c-9aa3-d33ffe995c21	0	0
cb180934-44e3-4af3-89fa-fac75a7bb879	0	0
4358cdcf-d1f2-4a2b-b0ff-e254d6542b28	0	0
89f93bab-22fd-424b-846a-78c02c0d9351	0	0
6c6dfd52-863e-43c2-b003-4b57957b5818	0	0
6a277b32-55e3-43f7-b803-544dbdf9d2f5	70	5.833819444444444
165b4c3a-ab2e-4641-8c30-5e8ba3ebaa04	0.594125249072381956	0.0495135730837352669
ebca9abd-154b-4feb-ad1f-10cc68ee5a45	0	0
2d720b9c-07d4-4ad2-9807-cbcd99bf2522	0	0
9b9132f1-d8c8-4833-9268-1c85fb8ae6cc	11.1837229437229446	0.93203593718133726
1038e130-5d62-4e74-a8aa-13472b5525f9	0	0
fed357ef-ff0a-4989-9ec8-f7c365b3590c	0	0
c1a1422e-6ec9-4798-b20f-2f5e731bc6b9	17.1436818181818182	1.42873063205808082
f1186061-e873-49f3-83cb-75da4f1439d6	0	0
e54271a2-a1b5-4b33-9242-cb91bdc849c8	16	1.33341777777777781
ebd9297c-5c4b-4049-874c-91f5d49b84ac	0	0
17d8d676-3f04-4e22-b614-af62feb32467	0	0
c8408b8b-a2ce-4767-aacd-fdce0983d2a9	0	0
1fc33873-33d7-4224-ac6a-7c06395070d2	0	0
39878156-a57d-41bb-b8ce-d1f6b27d191a	0	0
226d5ae7-0bbe-4e55-b956-3a13a2351355	0	0
8349856d-fc71-408d-90e3-4f6cd9c2ecd1	0	0
dd3c4605-91a9-46ea-8556-d6d518e9bd48	0	0
8c1f7ed2-b16e-42eb-908a-e62addc5f7d6	0	0
ee1c93ad-6dc9-44b5-9875-933f4708d6e4	0	0
00d9d6f4-09f9-4515-b298-15728d8071db	0	0
4fd53679-000e-4652-a6a5-9181055ab1eb	70	5.8337027777777779
9bdab0e3-dd02-47ea-bfa1-b1b39d10e1a8	0.594125249072381956	0.0495139031533180854
0624b1f5-e3f2-4848-861c-c411a7cc15e4	0	0
bf7795fd-549b-460f-ae9c-2355f989f567	0	0
6501b3e6-24b3-4f2a-93d4-f3df49b9878d	11.1837229437229446	0.932042150360750554
7362dc30-e08f-40ba-b60f-c648db53fec8	0	0
11830bd6-cdd9-4e70-8f31-c8ef94d3fc80	0	0
6aa8f12a-96e8-4192-9831-47243569dc95	17.1436818181818182	1.42874015632575757
f91bd8fb-07e2-4335-aa56-ac7a908b2725	0	0
4b6c839d-8ba0-45cd-acd2-6d6f042883f8	16	1.33342666666666676
d5ac007b-2f99-430d-955c-894ca891735a	0	0
d5d1cab5-33a7-4eb7-9e89-dad727572ce5	0	0
ec92823e-29d3-43ed-bf00-7b5173042e40	0	0
86adb536-171f-4b30-9c67-fbe3ad47d1d5	0	0
cc9ec8df-6daf-4695-a7e3-07f2ef9b4c00	0	0
24279cca-cadc-41a1-9912-876a8a5ca86f	0	0
1864d50b-590e-480e-928b-7ec70a923b4d	0	0
70c5c329-6481-4a1b-8104-ea301f275fa4	0	0
b82dae49-839b-4d42-a6bc-3e2b216de4b0	0	0
6a9f1c8a-8b3a-40c3-b232-9b5f8a664cfa	0	0
f3418d6e-a242-48e8-a4ef-7bf6514f1859	0	0
839f3c8c-9c1e-4637-b5af-ed7908716302	70	5.83374166666666749
4f0d1177-0c70-46c2-b351-bdd96ca46d72	0.594125249072381956	0.0495066416224960865
2033b17e-d53c-4f53-9047-8813426ac193	0	0
7d420303-a171-404f-86d1-890e0f2afee1	0	0
f9065aa0-b34d-424e-98c4-2ce7d4013c77	11.1837229437229446	0.931905460413660403
a7db27ab-d0d6-4cd2-bced-dcf1e7d19bbc	0	0
2bce1fd5-f99b-4885-928f-86f55ff15ed5	0	0
fd4ae783-982b-4db1-aa5d-c8f542a58302	17.1436818181818182	1.42853062243686857
a5b2078f-109a-43b5-a097-717c6de5a262	0	0
50dee4b5-bdb6-468b-bbbf-4e28bef94107	16	1.33323111111111103
5c6bff3c-a0b0-4c0c-9e05-80d348ad7f78	0	0
6f1644d2-7bc7-4fdf-845f-abd5eb91478c	0	0
0c8b59dd-fe74-4009-a912-571a1baaf693	0	0
3d251371-c18d-4373-94bf-4d80b92b784c	0	0
9269f559-413b-4472-b790-20dd0c0c524a	0	0
bb051122-500a-4a78-b8e2-150012597fb6	0	0
9f65d2aa-7385-4f22-a322-87d1f36977e7	0	0
f4e2a717-e122-4327-b8f4-ecede4ef4653	0	0
57da26a5-8671-4d59-803e-b824b29c25f8	0	0
4147465d-e4cf-4359-a5b7-97088a26f8a5	0	0
9aa28728-a39a-47ef-8bfd-19c49a272f71	0	0
2c75f962-bde2-4785-8cdf-8058a585287a	70	5.83288611111111077
c8aeaef2-f061-4b1b-8afe-2ed7168bffbd	0.594125249072381956	0.0495142332229009038
412d0de2-475a-4255-9243-3cbd90519c42	0	0
ac9d3430-ada5-4cba-ba88-1705955b88da	0	0
8d810c85-b5a5-41d7-9dc3-d924bbe4182b	11.1837229437229446	0.932048363540163516
7caa0453-74c1-4892-b9c2-b30c025b2d5f	0	0
40964e92-e2e8-47d1-8e91-cabc9fecd41d	0	0
17567f3c-9dcc-4f4f-a96f-d96ab44a8839	17.1436818181818182	1.42874968059343432
9f466f93-bd46-4ed8-af74-3083c717cadd	0	0
3add0e4d-3f3d-4ddc-ba77-ae1039cac251	16	1.33343555555555549
13924a85-bd38-40ad-af34-e562788a5037	0	0
938ed90c-9364-45b2-b5ef-e11cf0773a0e	0	0
a2f0c578-41ba-46c4-a8d0-a5eb13f3f587	0	0
c38d56b6-18fa-4b24-bd66-a826e16e9bfc	0	0
f40dd522-d5ee-4623-ba88-25c5d9dc65fa	0	0
b8559bdd-3380-4392-b5fe-d586d7632eb2	0	0
6ee87806-e72a-4746-a8e4-3940a8492b8a	0	0
0f524797-4fb6-42fe-a0e5-a5f7ea16081e	0	0
fd77d9eb-d0ca-4766-9c33-074edc82b612	0	0
a41e5b76-c148-435e-abf5-761903439b57	0	0
c7bca7c3-ac5d-4caa-9819-0154da23bd79	0	0
1d852d9c-6593-4d4f-bf84-434dac3b7c2a	70	5.8337805555555553
4ac64713-0c5a-4321-baed-671c8279d0c2	0.594125249072381956	0.0495185241274775367
2097ce60-7c31-45a9-86d2-35d6f2081f08	0	0
b655976a-646c-4b51-94cc-e1a2eb70f81a	0	0
b077bcb1-96b1-4c06-91bb-851dc77331d9	11.1837229437229446	0.932129134872535015
312039db-0de3-4d19-a080-6a3453ae96a5	0	0
38437975-f301-4d1e-9f2a-aa997e71b406	0	0
a22984e9-7827-45e6-a0bb-dad2736b8358	17.1436818181818182	1.42887349607323233
9dc100b5-df29-464e-a38b-bb1531ef575f	0	0
151e363d-1536-41b7-9a40-374866e36086	16	1.33355111111111113
3651f835-4565-4083-bebe-eadd337c61c0	0	0
4eedd70f-a5c6-4189-81a2-43f9d8598b7a	0	0
dc894a19-3d33-4a08-bd1d-a68657614871	0	0
d3142571-3751-4270-8d60-c35fa02409fa	0	0
a28ad2d1-46de-438e-b7f3-c39857e603d7	0	0
acf2fd1c-803b-458e-9133-57413d3bc49b	0	0
d99fca24-232d-47c6-b5d5-4793721a4c1d	0	0
392ca30e-ca37-4cb2-8496-ac9739c16512	0	0
930e0614-f236-4c90-8ff9-a71a66ecd6cb	0	0
1024fa38-c7c9-4bee-bf58-6d841a5a02b3	0	0
ae4ec6db-779a-4233-88b9-2614e768c0ea	0	0
8fe6c111-d9a5-4e26-82f7-7752e91ea42b	70	5.83428611111111106
8d04e40e-0725-463c-8c03-2e3c66b813c9	0.594125249072381956	0.0495119227358211747
94feb8c1-8e54-4429-9c38-4594a6b42912	0	0
04053518-d1ff-4b1d-8b37-9bc13184e545	0	0
256404b5-441b-4345-8471-3a1ff2cfb0f5	11.1837229437229446	0.932004871284271341
14d72651-ef1a-498c-b909-81dd76f82f89	0	0
2b10ca4f-295a-4ea7-bbcc-19917d24e830	0	0
1a70bc25-acba-4cc5-8d37-d84dadf263c1	17.1436818181818182	1.42868301071969683
74cfcfec-a5e1-445d-926f-b8e50a57fff3	0	0
8f0153df-cc5c-472f-a210-c0fe9d54d16b	16	1.3333733333333333
ffe3ae6e-b678-4af4-83e3-16fba53212c6	0	0
8e26a803-e3a8-4c9d-8bbe-9b01d5b91c2e	0	0
b6d9f09d-c7b6-426c-9cba-b702a48bbc28	0	0
6cbc228a-e039-401a-b1c0-73fb57b8208b	0	0
d8ef6b02-7ad0-4716-bc16-7ab817e1ea72	0	0
76a25b2a-81d9-4c29-9d48-adec330bc74c	0	0
4f7e59f9-3404-4d9a-802b-834fbb50cd36	0	0
403e1570-f67a-4569-912b-10df7a0a0d97	0	0
7227c5ca-f63f-405d-8d6c-89d111c14dec	0	0
f72b1bd5-0a5d-4da3-8acb-e1f088f7eebd	0	0
30be7772-b171-4422-a90f-8ac40553d50e	0	0
6cf7a7ba-eadc-444e-b22d-e2d3d7ce215a	70	5.83350833333333352
d3027309-4788-4380-b1ec-3db1e54dfa46	0.594125249072381956	0.0495145632924837223
4e372258-ec8d-482b-8cde-fd3e958b12da	0	0
542f7bdb-c064-4678-83ea-7b7d0a35877f	0	0
408ae7a1-8ab1-4024-8c35-911699e6811e	11.1837229437229446	0.932054576719576811
d84093bb-69f2-45ac-8840-e5b5c70f63c4	0	0
881b07b6-effc-4e09-9bb4-b7d99bf35023	0	0
002ce4fd-e53c-424b-bc10-8737e53720f6	17.1436818181818182	1.42875920486111108
b171d5c5-e6c2-486a-9856-705208cacbee	0	0
d4da0f9a-dadf-4ff1-81d0-10755ef0838b	16	1.33344444444444443
50ab310e-ff4f-4942-817e-1494f67533cc	0	0
708a91ea-ebaa-4274-97fc-fa3a41e75906	0	0
c1890064-62a7-4ed1-a84f-c7b0b59f0131	0	0
0010ce5a-8e2e-4d90-9f6f-c752a6b82ba6	0	0
740f2abd-1ce6-4c2f-9470-fa1e19c9ad3a	0	0
136bd4e0-39f4-434e-9224-34327474fcfb	0	0
376d3e6f-8824-4d89-8b15-21d2e5a66132	0	0
a6ccbb4b-d1d3-410f-aa31-5418946ae29f	0	0
b1acc7c2-f702-4e5b-a0cd-2eabd1ba9902	0	0
5b54f6e8-74f0-48a7-98f8-6b9b2e426003	0	0
0bd9d349-364d-4560-88d0-6542b0c83023	0	0
8a438e62-ee98-449a-9083-1f1b9c8f8b50	70	5.833819444444444
a3e54edd-c347-485c-8889-908c059cdfc0	0.594125249072381956	0.0495152234316493592
1b657a17-f63c-4717-8133-b65a1ec5ab1e	0	0
6805b69d-35d0-4e2b-b560-7924b397ca52	0	0
8f00591d-83dd-4479-a836-855d775612d9	11.1837229437229446	0.932067003078403178
3c138eeb-06bb-431d-8e4f-048d3cc898e2	0	0
13a30cab-f26a-4236-9b85-fbf1808a9c4f	0	0
621340b1-7f62-4791-a7e4-ab76a2d42d65	17.1436818181818182	1.4287782533964648
9ab0bf37-dc52-4d13-b3a0-84780ba08c19	0	0
807b8d72-7980-49b9-bec5-137def3552e1	16	1.33346222222222233
b389488a-9fc5-464d-99d8-fa5740b2ae30	0	0
5a795c32-a3d1-4c0c-b91e-ecd385d69c63	0	0
8d87e133-b994-4238-bd9e-34f18ed14141	0	0
c57ebc4e-e9d1-4b25-a221-0125fca297fe	0	0
da404592-6aaa-40dd-b1b7-93ead733dce6	0	0
bfa86a48-3667-41e4-bd58-c47b66652697	0	0
9fe8f12d-1ab9-439f-b0ac-94084ff9a7cf	0	0
7fc5d39f-f4ce-42e9-9936-49d1cd5baab2	0	0
66b6b230-9b24-4354-bd29-0011363e01c0	0	0
543c652e-497e-4ca7-bf0b-62adf223289f	0	0
a73b211b-ae73-45c5-9484-1b1ec762b3a1	0	0
a89a1f8d-5de2-4475-a0e5-1290a288695a	70	5.83389722222222229
dcc1b412-7fa2-41eb-ae6e-9e0f1492af98	0.594125249072381956	0.049511427631446954
71e5c0de-115b-4052-91e5-9965e0887b1c	0	0
8ac705b6-e1e3-4e17-a028-e934dcb8e495	0	0
e6e9b856-1b85-4910-9c14-ba0028259313	11.1837229437229446	0.931995551515151677
a2fcf72d-fba8-4132-8e0d-395459108c46	0	0
ee13b896-6ec3-484a-a0af-7fec7c3ed1b0	0	0
28d95482-c349-4306-a0e7-812f543dc41f	17.1436818181818182	1.42866872431818193
dabeef75-0436-49fe-b48e-4f20385f8fb5	0	0
5972d660-8244-446c-b943-0d0a1bbab648	16	1.3333600000000001
f57a9f99-645d-4cdf-9f36-8516c31d9bb7	0	0
c6119e38-c07e-4b41-9e18-dff26ce2d79f	0	0
5ed41b0c-eda0-4056-8e7e-31202479bcf2	0	0
776475e8-6856-42a3-836a-9b41708b779c	0	0
fa768914-8572-4547-90e6-f2b39b14da8c	0	0
6143a28a-63b1-4f3e-bb9b-38f7d4ab0adc	0	0
0c81ad11-5461-4913-a6dd-8168e1cc5175	0	0
a063f7ee-842f-4d9f-98dd-cb32f28ca445	0	0
1c40771e-8fc3-4a9b-a13e-036468cd7339	0	0
46d28891-aa24-475c-99a6-25401691ce21	0	0
941e6477-bb95-44b6-a510-2bbe7e0adf2e	0	0
0e5844f3-3e87-41ec-b75f-533e2f3562c9	70	5.83345000000000002
cc3a66b1-6e93-40c3-9f4e-5c051b9fe4f8	0.594125249072381956	0.0495162136403978145
d03e76a6-0dbd-4f08-9743-68ee6acbbb0e	0	0
e999ebea-5850-42bb-8117-a8dd271985ce	0	0
6ee720fc-5bbc-4bf8-92f4-e39e76ce21a9	11.1837229437229446	0.932085642616642729
842aa82a-64fe-425a-bf8e-cab8aa2b159b	0	0
bb448e85-b4b7-4737-87f2-2d709db78092	0	0
529b2d6c-3992-4c5e-ab02-c0d238e675ac	17.1436818181818182	1.42880682619949506
51202716-58ba-4e40-ad48-5c3d59c4c47c	0	0
d17b6299-e8b6-4954-a93c-5f00c87f8552	16	1.33348888888888895
46f26f58-4e93-46a4-a74c-4db807735a8e	0	0
edcf784d-51bd-4ffa-a244-f161125f1b56	0	0
6317006c-e80e-44f0-8e5c-95cf76b339f7	0	0
ed90a499-5830-40e8-9baf-deae207dd673	0	0
58806875-4606-4f68-a6af-d72e40343f38	0	0
774822b9-c4fc-4425-8f20-7cb71b28b49c	0	0
ab164ff2-15b6-4c34-a538-9986b901b69e	0	0
66156fd2-ff46-4b59-8a2d-90099a267347	0	0
d8c4185a-89cb-4dda-a43f-0b1d0edbd3f7	0	0
9f567af0-5463-417a-ac9f-db1b5bc0b6f4	0	0
bed7b645-4549-4144-8111-b60811d8d71f	0	0
945ee1c6-718a-4bb5-8fe0-c1d62d6739e4	70	5.83401388888888928
87f18c3f-cf8d-4fba-a49b-b2085ebfcd51	0.594125249072381956	0.0495135730837352669
2f92da48-3d39-453f-ba65-4e6105a39e40	0	0
d8807960-0749-459d-8ac4-67b5d92e5d3e	0	0
c308c605-2ab5-491a-a24f-330771260364	11.1837229437229446	0.93203593718133726
71f2ce87-fc94-4ddc-af04-f1b5f34e6ce8	0	0
3a38bbb3-1a97-4727-b887-8dfae793cdf8	0	0
f98bfe68-dc64-4e65-ae53-86eb41589115	17.1436818181818182	1.42873063205808082
dd6aea17-d426-41e5-a780-853302183d2c	0	0
cf7744d5-4901-47eb-96f4-f5ac9318e135	16	1.33341777777777781
71b4dfe3-585f-4827-93ac-f7de9ef0b400	0	0
bbd9c566-9a7e-4f25-8aa8-e483e9ff3a60	0	0
d5cbe655-9240-443b-9c5b-78a1adf6d805	0	0
76870d19-ca5b-4402-9641-54f079493156	0	0
6423d721-ef63-4293-bc8a-9b8f4bb47c5e	0	0
c15ab04f-3c69-4073-9ae8-b7aece8ee014	0	0
939947df-7d46-4ae7-8df7-26bffdda8aad	0	0
93bc52f3-d840-44df-83e4-36442ee8e4c1	0	0
e20b5497-ca91-4abc-8e70-a3e67b31600a	0	0
ef0531d3-3d19-429b-afe5-becd52acb3ec	0	0
e25b6262-6848-4258-a179-01b322ea6ae8	0	0
e35e7b98-34cd-4cb2-83b2-732f119dbd51	70	5.8337027777777779
2bcb776b-44b0-475e-96a5-3b99c5f1932d	0.594125249072381956	0.0495148933620665407
cdf27e11-3f39-41bb-b535-44d6dffe09b3	0	0
31f69b44-b4e5-4c2d-868c-059b4c69083c	0	0
2d5d2fb6-0665-44de-893a-616941629e5b	11.1837229437229446	0.932060789898989994
09bc6852-42c9-4640-aa4b-f03b3cb70de7	0	0
2949764f-86ac-452a-9060-a3472d9d64ca	0	0
68439a75-6f84-4df5-9d13-f4fd426ce6f3	17.1436818181818182	1.42876872912878783
14dcd900-c629-47d6-bb7b-f50edab835b0	0	0
d03859b0-a150-40c6-8767-20a0119c2133	16	1.33345333333333338
f7a3676c-62a2-46de-9565-37d85c3468c9	0	0
4bd47b50-4add-46b7-bce2-5ae8f20a8da2	0	0
b9b826ec-8d7a-4bda-84cd-871526032711	0	0
e2e22b2d-9ea3-4625-acdc-5fb2f7f10bb6	0	0
161f31a4-993e-49a0-8bf5-cdd357aad70e	0	0
8bce0bf2-6cd7-403e-a109-cfe84c733786	0	0
29b14578-1d05-4dbb-a8c6-b47976ee6938	0	0
9bc9eb62-b0cc-4b88-be05-1deb3abf0679	0	0
ed8a912f-0602-40e1-b4e6-15d7d8d90967	0	0
08aea69c-dd4b-49e0-8f63-c5b92f10a591	0	0
868720f4-21c9-43da-9371-02e9e0341570	0	0
34112dcd-d238-4ef7-ab68-7758e3f5a304	70	5.83385833333333359
fd48ac32-a883-4de2-9b07-19d290c78e6a	0.594125249072381956	0.04951291294456963
6cf24864-7040-4e35-b97e-684cecbe6fda	0	0
181e2f5e-f3a4-45a2-86de-95c6f4c7e2a8	0	0
61195c88-407d-41a6-ab25-a2ad3a055ef2	11.1837229437229446	0.932023510822510892
9597c935-ef6d-4e20-8db9-13c2902f255e	0	0
d51bc274-58be-4448-9d91-776933fb0f12	0	0
37aaf4f9-db42-4a7f-98cd-a3f4db923e44	17.1436818181818182	1.42871158352272709
80c84634-a055-4f76-a0c7-67aa8d0b5ebe	0	0
970e58a3-1b63-4d0d-84e9-af44d1a9eb0e	16	1.33339999999999992
f6fa7884-c3b2-4716-a775-74376ab1015f	0	0
60f42ed3-0ba1-43fc-802a-5c09f33a3d81	0	0
695f81a1-d4df-4b9f-8aa9-66e10364225f	0	0
ab184b76-0a74-4ff6-b88b-4dcecc10cc0e	0	0
5e0d3f17-0264-4f1d-b3a2-0767c617daa2	0	0
5fd9f498-4553-4d39-966f-46150cf54b0a	0	0
8652f4c9-ece5-4654-89a0-c031a29b1735	0	0
1b2a570f-66e8-4c2d-a155-e71049f556e8	0	0
3bdcd591-a251-4bc0-a2e1-82d2971ca4b6	0	0
31980fdf-c465-492c-84b9-884989d780f1	0	0
126f9f38-0523-47fc-98da-e04511ab765d	0	0
834848d3-4f6b-4f82-8b7e-b0f89518e99a	70	5.83362499999999962
93c69fbf-9dcb-498c-892e-78344721e44e	0.594125249072381956	0.0495140681881094877
1cd72e9f-d6f9-4c5c-969b-315a4d65f30c	0	0
17572b5f-a4dd-42b8-a9ef-b528f14902f3	0	0
c8d4c15b-a2f7-46f8-8b9d-1d3a2fb1c9f4	11.1837229437229446	0.932045256950456924
1df08f1f-2e72-4f15-8adc-1fe6414effa5	0	0
7aba4d66-e762-4fa1-9d43-64b11cf3b3ad	0	0
41c957f1-d2a9-486b-a85c-1b007c397b19	17.1436818181818182	1.42874491845959595
1f3fe2cf-bf91-4614-b723-f779332f7680	0	0
a41db3d4-6aa0-47d5-ac75-7f5ba7236fc5	16	1.33343111111111101
0ef3f150-211a-4115-84d8-64b75f5cdd3e	0	0
d3dfef8f-d16f-453a-9238-1da6d870066f	0	0
c11ea0fa-fd7d-423f-91c2-5041ef2c7c2f	0	0
d75e15b6-512b-412e-9d06-162613eacfcb	0	0
9f12d916-e580-49b9-b08d-e10ac707e425	0	0
f8de9f47-98cf-419e-b507-8ba35dc6bdb6	0	0
f34811f3-84d5-429a-a323-3f97851f7856	0	0
a5bfd70a-780f-49b9-80d6-b531829078ea	0	0
c6b54b57-7bcc-4901-aa5f-77f398e1308f	0	0
5ed23b4a-7299-4371-97fc-903092742f23	0	0
315dc4c7-64fe-4852-b639-8091a9df8da5	0	0
8dbb7770-32b1-49b0-8c63-ab43862a2be7	70	5.83376111111111051
3441fc7d-57bc-4af4-aab9-db360b377c5f	0.594125249072381956	0.0495122528054039931
5314ecf5-b0c3-438b-b6bc-fcaffdc2eeec	0	0
57fea875-0d22-4278-96ed-6fcdb88dcf14	0	0
0c8abd65-0c20-42ad-a95a-ad896983e131	11.1837229437229446	0.932011084463684525
4bbd530b-d83d-4a3b-a3bb-acbcc6d1353e	0	0
6c36067d-2897-406a-8179-8cf9ff36a04e	0	0
33e11d93-ff31-4dca-a712-52eec2242ba7	17.1436818181818182	1.42869253498737381
1c080404-281b-4431-b0e7-550f6442b995	0	0
edaef85e-875c-4627-8ec7-265338653a46	16	1.33338222222222225
e732fb5a-9349-492e-9b12-9a21d9a9f9f0	0	0
a0f79c97-f90f-4cd9-b5c4-b932047dbfdc	0	0
151ebc6b-a16d-40be-b2af-10bd1420bbd8	0	0
a16fb0e4-5c00-447f-ae26-a9dc1b770679	0	0
4be6e7f4-c664-4941-be35-81659198209f	0	0
6ba2b01c-ebbd-4388-8712-46329cb0a5a1	0	0
d83fedaf-6d31-4faf-9831-61d7bbe179a4	0	0
48515770-5c8d-4644-8a83-c21fd8b55519	0	0
f2831e7b-cc81-4c7e-b518-335e63d57210	0	0
cc9901b9-cd27-4a0b-9e92-854e0cc23229	0	0
32aa3594-daea-4007-a4f8-5e17b03cdbc4	0	0
445af586-7bdf-4f3b-b242-03d4d20358f7	70	5.83354722222222222
4548f99a-8757-4e63-b3d1-329607fdaee3	0.594125249072381956	0.0495033409266679089
25f3fdd8-02df-465e-aec8-1e426699cb7c	0	0
926aa113-e235-4d40-9517-65d2109cf0c9	0	0
df290601-6e1c-4620-8003-d26bffebb28d	11.1837229437229446	0.931843328619528677
ab2308f9-12d2-4e72-96fe-1471f27c0f43	0	0
cfcdae3d-835a-4cf2-951a-a3e03015e095	0	0
d3ab651a-5256-42b6-9a42-d9915576c9cb	17.1436818181818182	1.42843537976010104
c4baf967-22bc-4df2-9cda-49d751798d08	0	0
c6ba9a2d-d735-4d4c-8db7-7c0c8536b991	16	1.33314222222222223
767f3f5e-289a-455e-a566-4bc97e79d7e9	0	0
5cd04f5b-cf44-43c4-8441-eb0a9d5f8191	0	0
d6a2d39f-8856-45d6-b568-acc725543ae7	0	0
4cf2f2e3-7750-402e-b1bc-0c4699eab3b7	0	0
9cfd22a1-eb33-41ce-8cb4-4b65240367ca	0	0
c965ed4c-80c7-4801-9509-cc32217f9e55	0	0
fd031cb6-e8e0-4264-b059-5a4acc4b75a3	0	0
81e5ad98-c355-4e5b-939d-d4ff2a176e19	0	0
f761a0a8-5407-46de-9f29-5fe52cbe3d0d	0	0
0ba91e20-8879-4f47-8062-552326808df3	0	0
4de1c674-0261-4f0c-9f76-70050f675674	0	0
93d4c33c-eb4b-4b27-a145-d7a7d90e4ac8	70	5.832497222222222
bef4440a-83f0-470b-a491-208729dabbcc	0.594125249072381956	0.0495257856582995287
2ae55c00-c529-4792-9f3f-4b548995c890	0	0
eaf68448-6dd4-42f9-a5d0-719a6bd6d886	0	0
6535c790-18c9-4598-ae19-bf7e2835d73a	11.1837229437229446	0.932265824819624833
ff07c65a-f123-4b50-96c4-e923d8c21c7c	0	0
dc032edb-99ca-429a-9c38-e0fccd403078	0	0
6e6b0652-6934-4025-8cf3-009793da2d85	17.1436818181818182	1.42908302996212111
135edd50-63c3-4e80-9b00-3725ff33290b	0	0
e3475aea-2425-49f2-a22e-81bcaae3d5b5	16	1.33374666666666664
e1643182-d866-4f64-8488-9cd5427e544a	0	0
2143bc4e-b433-41ff-92f3-efe5e476aece	0	0
05cda07f-f641-40b1-a632-905799243085	0	0
9ef9321a-b022-4900-b28b-3798ec9dfee5	0	0
6fdc3aae-6117-4d2b-b73b-ca720037f194	0	0
61fd92fe-16c0-4c8b-a968-43c1bfcb27d1	0	0
d5f69476-9d53-4af1-a88e-62531142d6a1	0	0
37686bb2-efb6-40ff-a1ad-ebd746bece7f	0	0
316c1f4e-2711-4468-82d2-63a062be3e60	0	0
a52e348e-26d1-4157-86e6-e41ce6dba7f9	0	0
004cd5f1-b43b-4859-ac70-081a7e2fd8ec	0	0
4aed947e-d1f0-417c-8715-c937fb305764	70	5.83514166666666689
412b8804-f230-4de5-b600-73c3a38df441	0.594125249072381956	0.0495142332229009038
19c78540-0633-4e43-b8be-f2cf5c3e64b0	0	0
71ab1af1-0609-4e09-be98-2d48bccb8413	0	0
94d5a3e9-fa0b-46f6-babe-9e2a628ea729	11.1837229437229446	0.932048363540163516
5f6e813d-abef-4819-837f-1edcbb48e50d	0	0
0a8c82ee-81e3-4d01-a283-305c32bbae87	0	0
24364287-40da-4057-a734-ddd4ed5e7d1f	17.1436818181818182	1.42874968059343432
f1c14cee-52fd-489f-8e93-d1ced82eb6ed	0	0
27284215-b01a-4794-aea0-be999e6b2512	16	1.33343555555555549
5e53c209-baa4-4ad1-bcc5-314a6135e020	0	0
0de636c5-ee09-41bf-bc11-eb814fb286d3	0	0
b01dea1e-f03a-4f86-a374-b27cc19167a9	0	0
85ec0633-7d88-4430-bf39-26b45583e55a	0	0
bb723867-789e-43e0-b9b3-38a75eece3c2	0	0
6185c318-e329-4342-9f8a-b98c55851309	0	0
3c9f4504-a1d6-40e4-be18-799ca705d553	0	0
61bc0578-a8f5-49ae-b39e-9e2fbd5e8686	0	0
37eafd14-ed0d-4261-aee1-11dd11cc1ecd	0	0
5ba9739a-2015-4167-8322-ed2e0bc9fcc3	0	0
3be99415-53bb-4a03-b2f7-0e1b3416ae2c	0	0
e6e93382-ae04-4ccd-b419-2cd200d1de73	70	5.8337805555555553
421cf075-c353-47ab-a7d7-76b4c276cf5b	0.594125249072381956	0.049518689162268946
1b7f8293-08e1-4275-b23c-9f7b244e6c35	0	0
ea116ad1-fec6-4da0-a087-63e679e8b646	0	0
ea1e5b53-0039-44fe-ad46-85e0cb89c172	11.1837229437229446	0.932132241462241606
e0747015-dfa7-4dc6-9c81-f1778f2a402f	0	0
438a536b-3c0a-460a-bb85-7fca56832b00	0	0
9b7a4161-71ca-42c6-9e12-148f17856976	17.1436818181818182	1.42887825820707071
0954342d-5339-43a9-8472-94f8ba89e313	0	0
ea5f0aef-68cd-42a5-91c5-f461d9f54b12	16	1.33355555555555561
15696b9c-3218-46e0-957d-a0ba0ec2e658	0	0
da231b7e-d700-47f5-85f5-171fa90e8d11	0	0
072a1ecb-49dc-47ac-88ac-3a5d6604afd3	0	0
55319dbf-58c5-46c1-8868-f7d0ecec96a7	0	0
abef6046-69f5-4fc3-9c74-fe1512bdff6c	0	0
be43cbc2-9d09-4481-805a-c860733385ab	0	0
44221321-8e4a-40a0-bd0a-543efb3122cb	0	0
8e751290-f4f8-47c2-9f6d-40c515d93b4f	0	0
0b696bcc-4afd-471a-aeaa-aa2dbe4a6713	0	0
ea21e6b1-0a7c-4d25-9d34-8d4f26f9ea1b	0	0
9ec49904-8f39-4744-938a-0bf1cae53549	0	0
9a68b660-7700-45a3-8589-26266479e631	70	5.83430555555555586
4917b0c9-7a90-4702-87e4-02c0a0405d2c	0.594125249072381956	0.0495099423183242709
eb00e44a-7a6a-4510-a561-3a42e85cfd3b	0	0
a27fd232-d081-4c24-a919-c1f8225e4e1a	0	0
dfcdf69c-aff3-4da1-a6d9-e5ec43e023c5	11.1837229437229446	0.93196759220779235
39257aa7-b4d1-42f1-a5d6-714229985718	0	0
a931e013-c811-479c-b2e8-88c75e1a4cba	0	0
a07dedcf-01ae-43eb-895e-0a049d49788f	17.1436818181818182	1.42862586511363654
89351b21-b46f-471e-bead-263a1c27b005	0	0
8f72231a-2de4-440f-ba01-d85703bc7805	16	1.33332000000000006
4373bebc-1813-423e-90cb-100c1b4f965f	0	0
59cc5fbd-a704-4519-ab27-b44f51d7be43	0	0
f5ce2ede-c7c9-449e-947b-6bc5c461ac0b	0	0
e04d0874-35e5-4370-9392-8b19b599b589	0	0
6d8d143a-a6f1-47f5-ba90-e6a785771252	0	0
a5dd9934-1e32-4082-be05-59cf1feebf4a	0	0
123ea611-f874-46bf-b557-d28dd953d707	0	0
35b8f5fd-b1c0-49dd-b6b3-43ef00332274	0	0
4af34f64-94fd-479c-b801-e5afe29f6c0a	0	0
01df46d3-ba09-4bd0-8066-28e6c45b1d33	0	0
8d13cc90-711d-41d4-a3a0-a577c89e6312	0	0
6b3c12a4-a7e4-4dde-aea4-01abfac65998	70	5.83327500000000043
fbb3720e-8da7-4e12-941a-5a1002b62d68	0.594125249072381956	0.0495122528054039931
d4953302-4533-40d9-8a1e-c893a14cb306	0	0
383e479f-ca22-48de-9b96-938bbd1a9315	0	0
4d7f0675-b332-4155-bcb5-fee1c28f6560	11.1837229437229446	0.932011084463684525
32b93712-d3e1-44ba-88d5-7726d7129b12	0	0
17b4310c-72e6-4a79-9b04-65807df3c3f8	0	0
a8f1e594-142e-43ce-942f-7d638e521140	17.1436818181818182	1.42869253498737381
c6c9943a-b9f9-43e2-a6dc-a30e07fcc836	0	0
f8b0c2cf-101e-44df-9e9e-ea669042f337	16	1.33338222222222225
f598745b-fb64-4c07-be9d-770f626ea640	0	0
2569fd2e-baa6-41bd-bd02-c5f99376711c	0	0
d95c44bd-c182-4fa1-a838-c271f4c9e9be	0	0
f2fb0a95-8e97-44b9-8d15-c899bd32e7f6	0	0
6eea8d6e-b19e-44e6-afae-c1b4454ba261	0	0
fed27dde-29e0-4975-96be-4ddce587e7ea	0	0
556c9220-262f-46af-a7dc-6943187f0610	0	0
3b9a0168-b31e-4c97-a4d2-4bef78556594	0	0
da1ec61f-aeaf-4212-a7a8-188b5e76c950	0	0
cccec451-977f-47b1-817b-ba1a15ed19c4	0	0
6c4ae250-6e8f-4a07-9e70-478422791450	0	0
ad39bd00-35a3-40ca-86d7-f99e378f368a	70	5.83354722222222222
150a7ab2-1757-4f8f-9cd5-755108400357	0.594125249072381956	0.0495066416224960865
2c53020c-f742-4bb1-a2c9-30f3efb17d0e	0	0
108938b4-35e2-4192-afbd-ccfad099ab79	0	0
8669c3b4-e2d9-4fc3-80d7-52a0cd25ce37	11.1837229437229446	0.931905460413660403
e6f50d66-7070-4d2c-94b7-60b5c1fc46a8	0	0
41fa5d2a-7660-4a88-ae44-f8efa33edd9f	0	0
2541a197-7b29-46df-913f-f2b878fb1328	17.1436818181818182	1.42853062243686857
21b006cd-97fb-4bf7-9e34-9f29f8963704	0	0
7868adb5-1190-4e83-b28b-49b4163647ce	16	1.33323111111111103
47a3f2fd-eda8-4e76-83bf-da893c1fcf5b	0	0
31f4f8d3-eded-4e79-85a5-304647f0b9bb	0	0
de5d7e9b-8884-4807-a3f8-10179330aef9	0	0
25fe4a09-3eb4-419c-91d2-4f702aea5530	0	0
485101c2-4a63-4974-ba39-f9352021b7d5	0	0
94f359cb-1d7f-43e7-b055-43ea62ea65a3	0	0
779c191f-f8b2-4dec-b81b-3928a783b64d	0	0
6c9f6b52-32f0-42dc-ba4a-15a42832c42d	0	0
35d71fb7-cfa2-4f00-82df-c6322065b3a3	0	0
43275bd0-8507-4ebd-a38b-dbdb6d04da30	0	0
3091b060-d645-4cc0-888e-9a56d60c2432	0	0
3c0eabbd-3ae0-4786-a7b9-8051b444034d	70	5.83288611111111077
14e9f672-4f5c-4cb7-9129-33d9ae9640f0	0.594125249072381956	0.0495234751712198065
320dbb5c-7d78-4873-b887-09d0cf110c0b	0	0
fbf4bfda-74fd-4249-af2d-cb80a784ee04	0	0
a01d7fed-291c-4e0e-8c0e-9fce6a77b594	11.1837229437229446	0.932222332563732659
cc102724-4862-48c6-bc13-d3c04963dfab	0	0
cbc18c5c-46ba-4c54-a0b5-393aa1828f41	0	0
bf69a736-2d8b-4c15-b30d-221defda436d	17.1436818181818182	1.42901636008838384
387b4ccf-48ad-4d52-b15d-b17d5cbf702a	0	0
09f63b4c-00fe-4d8c-90ab-e5b63febc5a5	16	1.33368444444444445
5331052e-4722-4aff-a1cd-20659dabe589	0	0
92440e95-dd44-4827-b69a-c0ee466faa7f	0	0
35563033-7c5e-43e2-8ba1-145bbf6ac738	0	0
321baf80-f03a-4357-b810-2e6b7a47ca06	0	0
157579ce-7ce9-4858-a14f-5a019c2308ee	0	0
c3213d49-8259-463a-9e5c-2f68e94ff5c2	0	0
6b4e3781-5af3-4948-b282-c78bf3a01d0d	0	0
5df0da77-8873-4b22-afbc-ca069050912f	0	0
c737ed47-1c86-485e-903c-bd131e560638	0	0
85982211-a39d-4ede-aa63-49bdc904c0cc	0	0
2540901f-5004-4255-a987-04633aa81b59	0	0
31f8cd5b-4b16-4266-b54a-a2e1fd59c11b	70	5.83486944444444422
8d8c1183-b24b-40b9-a12e-3d6386d509ff	0.594125249072381956	0.0495109325270727263
f9d6027e-a774-4f6c-b577-07f1b26136c5	0	0
19c369f2-b90f-4fc6-80a3-862da2ca9d13	0	0
9644b107-981f-4211-a08c-451fe95ea335	11.1837229437229446	0.93198623174603179
fe8920b5-28ca-4e69-a837-9b92b4541396	0	0
10222ec8-7fca-45ef-92eb-9154ac66009b	0	0
3c87b5df-b309-471a-9061-8dc268f3c645	17.1436818181818182	1.42865443791666658
35b414e6-784b-45a1-baa1-0349aa17f52e	0	0
af4b4c9c-70f1-4a45-8f02-e0e3770eb7e2	16	1.33334666666666668
773ed1ed-2bd3-49d2-8383-e8e6ba3ff569	0	0
341e6189-d804-4321-bbaa-dc15ad23e4d9	0	0
f0ef7667-713b-4601-ae17-915753acf68c	0	0
3516c051-252b-4397-b26f-9e0149a5851a	0	0
51b160c0-920a-4777-9fef-701b780466ac	0	0
f928bb5e-b864-47ec-b09f-59c543f069a1	0	0
46bbc0b6-8092-46c8-aa60-75d72f1bbbe8	0	0
d4860b69-e7e3-439b-8e34-468fe6bd00b5	0	0
da6501f8-22d3-4269-89b3-5dc1dda0f80c	0	0
db85a122-bb95-4d36-85c5-c7197b96e890	0	0
15e3cb24-8aaa-4f33-852f-d675dc643f29	0	0
266c60e1-776c-47fc-8c9e-72d01f1adf5f	70	5.83339166666666653
12f412b1-20fd-4ea7-9479-2d4b5e39b4c3	0.594125249072381956	0.0495152234316493592
76cfc1b2-2f85-45db-a76b-21be6746992e	0	0
4430dff3-628e-46df-8143-cab764a0509b	0	0
72464564-767f-4964-8de1-6afdb25df11f	11.1837229437229446	0.932067003078403178
387d31ae-ac16-4c04-a482-4920725493c6	0	0
5513be7e-1604-4cc5-9b80-6c2162b11cb2	0	0
8915c406-cde8-4dd6-8f88-07e686e8c3db	17.1436818181818182	1.4287782533964648
f640e306-01f4-4571-9f4d-548a038f58ae	0	0
6d741775-ed56-4833-a41d-ebe76f989ba8	16	1.33346222222222233
5b3ca69b-2d41-4342-8564-321c1c9614af	0	0
db63e18c-a3a6-41e9-bd86-c25f1cffd73b	0	0
8a43f035-429d-4d75-a1b8-74a5ad817713	0	0
dcb4d1c5-28fd-4cc7-84db-5b09b7e59b23	0	0
6d7bbf43-8b16-42d2-8a36-e33b31e5156d	0	0
0b5ea616-a021-462c-b8f5-aab64775dca7	0	0
eed0e197-d2eb-4a44-adf0-718741b23a14	0	0
2d9c197e-f5d2-4d8d-89e4-91a1044be7a6	0	0
bb997c90-53dd-436f-941b-cda67268f015	0	0
6139c0d2-6cbd-40e8-b902-b28ac8be2ed9	0	0
08387b17-3dec-4ae6-8997-c900c2aef89c	0	0
11997705-fb19-484a-8c92-aa6c277b1ba9	70	5.83389722222222229
d909656f-c6b7-4a30-a251-f2fa1d7b2f63	0.594125249072381956	0.0495143982576923131
9e0d22e3-a2bb-4673-8ab3-4904aff92726	0	0
a9af400e-3991-4e4b-9ab2-f3698bb06c3a	0	0
9226af94-2701-410e-9526-8b9544ed0146	11.1837229437229446	0.932051470129870219
a27934ae-63f0-4235-be32-b8af5cfa5cd6	0	0
55503333-d993-429c-b713-788d1e645aec	0	0
c9be0962-0085-4cbb-80f0-d648997e19f9	17.1436818181818182	1.4287544427272727
7609faf7-7b6b-4296-be2d-043ae80db6f4	0	0
29125c1d-e0c5-4569-94cb-1ec4cc7bd4a2	16	1.33343999999999996
703ec918-bed4-4fec-826c-bfcaf9b44240	0	0
7a0855e4-2f84-4d4d-873b-90f69c58c5b0	0	0
1af761ff-a8b5-4d67-8df8-c680e49fd806	0	0
74c81007-41cb-4e69-a0a6-db3dfbd101ec	0	0
2adfa5ed-b7e7-413d-9b76-126c113eb50e	0	0
e80b7298-6624-4219-a161-e9bfde28299b	0	0
09f91d6c-a52b-4f45-afb3-1ea12e0a806d	0	0
df03febb-4403-49a9-a7f7-581c136672c5	0	0
785bb9c8-37ed-44c0-acb8-48224d46b41c	0	0
85de01a4-24c7-4015-9cb1-d3dad62b1068	0	0
a742aa72-1584-46cb-bfed-984c2a61df4e	0	0
15b27f3e-9ee5-4feb-a2c1-4a142a4320f2	70	5.8338000000000001
cc69530b-1711-48ae-bf24-5e9f42721bc9	0.594125249072381956	0.0495081269356187695
c02992d4-4cfc-441e-8276-04dea611406b	0	0
dd9bd9f2-9741-48db-b109-fa69fa75d1f0	0	0
ec04469d-fb19-42b2-a1ef-337ab75a6ece	11.1837229437229446	0.931933419721019729
cdef6912-1fa5-4c8f-ba6f-6633e891568e	0	0
4068a7ca-869a-4392-9a82-dbec80926009	0	0
dc5d16b3-4228-4998-8cf2-682b8a4470b9	17.1436818181818182	1.42857348164141418
ae1d656f-ef4f-4d37-8d04-351e9eaca511	0	0
492a2ce6-c19f-4927-9bbd-6c26daddc8eb	16	1.33327111111111107
c2fd286a-f919-45bd-b865-1d3b10b0c293	0	0
f1b6158d-c759-44a2-8415-1364b1a573b6	0	0
24818791-8290-4467-b89f-534811f3c560	0	0
4d9c4d5e-fc14-4541-9a7c-2d6ffef4c787	0	0
1a103d85-aa92-4cc4-8540-8b34ee8d7aca	0	0
f8e8a177-452b-4f63-bc19-8546dd0016b2	0	0
ff2fdd82-db50-4e8b-9ac1-919a9d1f3653	0	0
f9803627-c185-47da-8f3d-c2930c688912	0	0
740f8313-eaa9-42fd-8128-e44580de6832	0	0
e8e2ada2-2e18-4914-aaa5-a8f3fc549d2f	0	0
df5464cd-4847-4f56-bdc6-021a413d6d52	0	0
9959a863-7a7f-4bb3-a8bf-3dd258e62ef0	70	5.83306111111111125
81420e9c-64ff-473c-9a92-f9aa2ef489cd	0.594125249072381956	0.0495195143362259921
36678b27-cc57-4785-b450-91190cfcd82e	0	0
b57379b9-9566-4b2d-a8ba-8cc84b593db7	0	0
9d88be6f-df1f-4148-b7f4-afd02f8a72f7	11.1837229437229446	0.932147774410774455
5fba6129-09a6-4538-b91b-70512624ef39	0	0
01eaa532-023c-47ba-b08e-14d1d0dad214	0	0
f5d42429-2e66-4d7d-847f-d17878ba8c86	17.1436818181818182	1.42890206887626259
2400d0b0-d903-4b4d-af30-17cc1a09e62d	0	0
950c203b-168b-41ac-ae90-65fc6bd5164a	16	1.33357777777777775
c68a55c1-aae5-4e34-8600-2dfa5ead0815	0	0
e3e2a232-fc39-4518-8b7c-2c509eba764e	0	0
5bfbd99d-8653-4be4-948a-b513246dd35c	0	0
603ea329-b330-43e2-bc7b-a650d048b2db	0	0
1a1f87de-2a54-4f13-a4e9-4fce76d7b23c	0	0
83ffce5d-5b9f-415f-9c5a-4864873c3e22	0	0
7c3e4f11-8720-4069-980a-16255d2cf6f6	0	0
1b7ca1e7-3b3c-4c19-9a88-96474412886a	0	0
0b5526e1-5d82-46ae-96bd-ab1d9d15fc61	0	0
26e585f6-a6d5-4712-b6d2-f0568ab616f4	0	0
17c31562-50af-4cfa-a44e-4151744e436a	0	0
b1e2e9c6-ed81-4410-9742-5646b82afd0a	70	5.83440277777777805
09ca3bb0-3695-46ef-9a81-782ae5f83322	0.594125249072381956	0.0495137381185266762
580f40e0-ce3e-4bd1-be91-e6a5b7462b5b	0	0
ae47ca17-8ef9-4ce7-87a3-cf2bee1ac8c0	0	0
f93d1134-4771-4146-89d2-5a1cb80c9848	11.1837229437229446	0.932039043771043851
6082da07-ae8d-4440-82fd-05c36e3b86e6	0	0
576c981d-95ba-4d4f-8985-e478b7419e3c	0	0
c5430c08-58a9-4f32-992d-da9fea8a8fa8	17.1436818181818182	1.42873539419191919
b2a0ef6c-a539-45e4-8a5b-747955f9f678	0	0
38e5e78b-09a2-4eb6-8b68-7806e387e810	16	1.33342222222222229
93f80e8f-8846-4066-b77e-657a7e6936ba	0	0
014bf8a9-f7f7-4fdc-858c-b231b6bf6e35	0	0
f3fd0c5e-6ed5-4575-a831-bb16390fd35f	0	0
c1f58842-55ae-48bc-b16e-26aff0f7ced4	0	0
9a3c409e-9e44-469c-8adf-539d4b728ccc	0	0
39f25f79-4cfe-403c-ae30-84d39932ef67	0	0
c0b6fbfd-efe6-489b-ad06-64ffa97953f2	0	0
df294784-b39f-4de6-bc77-3aaaaf79cb2f	0	0
563eff75-8a18-4561-a1ec-2648de628d7f	0	0
c4e5af02-d341-4a11-a37f-6cab69e83b98	0	0
f24f7eed-7655-4500-95d6-e5c1a3ccd15f	0	0
ad101a08-d41c-4c73-9fcf-fad4641f1bc3	70	5.8337222222222227
d47fb155-1694-4a42-8a63-c878364909ef	0.594125249072381956	0.0495140681881094877
2b17644c-8235-4141-84d8-adc2f1952a77	0	0
56c9cda5-e3df-4873-a2b0-fa74a8b64d32	0	0
4ab851e3-6c3f-4118-b60d-45d3b6941d5f	11.1837229437229446	0.932045256950456924
28378870-4496-4933-a709-05d5b0f66d67	0	0
fd639fbf-1f73-43ab-bcbd-26f97845205d	0	0
a0d60679-0ad4-48aa-aab0-9ee515e2d69e	17.1436818181818182	1.42874491845959595
42262da3-8d64-4760-8bee-95adc58bf1fe	0	0
bae3ed42-6cf4-4e14-8571-4f055640f283	16	1.33343111111111101
9b8319f9-cfd7-42ae-8745-06e0dbc64843	0	0
6554e41a-8d9b-490f-ae58-249f89160b82	0	0
8339004b-d115-4bd7-b328-4abffd9c91d4	0	0
01682791-d1fc-460f-a841-30542b6c02a0	0	0
749e2f2b-b457-4a47-aef0-221ca37e97d1	0	0
9cb87f58-7a5f-4a80-8c8f-461ed2724d1b	0	0
f113d029-9969-47fc-95ca-f5b7e3d3ceb9	0	0
4e3f3282-8c68-448c-822f-7ef172f8172d	0	0
2c82e4df-d87a-4928-a5a1-dc100e316a8d	0	0
776b47a0-c7fe-431b-9c70-271198b2fa5b	0	0
9d5e0080-d8e8-41a4-a6af-870abec3a82c	0	0
641793be-d5e7-4036-a039-de14f853c5a7	70	5.83376111111111051
e08c2406-ca61-478a-ab40-1e8443d309c9	0.594125249072381956	0.0495132430141524485
38df7726-0464-4fbc-a8dc-41df0653579a	0	0
b6f21970-a031-4032-b2a1-af7b0db117be	0	0
7f420a64-0c90-4077-838a-9f58efdc7f16	11.1837229437229446	0.932029724001924076
6e53876b-4897-4a98-9d57-8ce34e92149b	0	0
9bc875c6-c54f-46fc-8230-32af8021314b	0	0
ec0d1282-1fbe-455d-b619-a2467b94f6e0	17.1436818181818182	1.42872110779040407
8116e2de-fb89-433a-8ff0-eec000201991	0	0
66710557-6c1b-4de7-b12e-18d5412c32d4	16	1.33340888888888887
fc5e3303-ea63-479c-92a5-f1cbbe542381	0	0
3154d378-4899-45a8-8aff-cd08ea4ec8de	0	0
5911bec6-67bd-487b-96df-6431bfba7ec1	0	0
a34515e2-cbaa-4525-8305-4d11a2f974e5	0	0
81a92a88-cf7c-4738-b226-6d727cc03ea3	0	0
847c0ed6-283b-4b67-b606-7a9eb3f71511	0	0
c8c5e75f-a959-4ca3-ab24-40c7ee6648ce	0	0
356e6ce9-ed02-4611-bc63-d294cb57e9c8	0	0
fd8ac238-d194-41a5-a208-8ef3f1e85b53	0	0
c0b22da2-832c-484e-a6f0-4de3c04fd3ae	0	0
793a5c40-4ea9-4c3f-acb9-de962a12152b	0	0
6361b22e-5f95-4fe3-9bf8-b185d4ecfdca	70	5.8336638888888892
eead3ef1-6b78-45cf-90f6-1a1ee86f8982	0.594125249072381956	0.0495148933620665407
ba3d78f2-0af3-4a82-acd9-7d333adc083a	0	0
2876fd39-aa4a-4151-b58d-25d1dc77e0a1	0	0
fbe7c2a5-1f8d-4805-9143-49bc5011f93a	11.1837229437229446	0.932060789898989994
e4882279-a340-46d2-8e77-0ace723384ed	0	0
a6939f21-2a42-4bef-98a0-af4fe5353aed	0	0
eb9ad94c-6bed-470f-a01d-b3dac4979309	17.1436818181818182	1.42876872912878783
e2b7fc4d-d179-462b-94af-683e7595e439	0	0
8c7395a7-0a4a-4b93-9b18-8d8360c0f658	16	1.33345333333333338
58f6a893-8476-45c5-b5fa-b0f9dbf810c1	0	0
16038d46-417f-4ab9-8368-bb96295de0b2	0	0
b4d99f2b-92bd-49ec-9f3b-cc06629ec53b	0	0
c764ace8-1330-4396-98f3-6b342c95980a	0	0
d9b324d4-58df-49ee-8b75-5112f4411431	0	0
754e4f37-92df-4cc5-a9d1-53c278ab72cb	0	0
09c02bdf-ebc3-45b5-a78e-46cdb05ba965	0	0
9abeaa81-11d2-41b2-937a-50810a52780e	0	0
7d573397-6010-49cf-8dd3-ad93dd9c4d9e	0	0
ded92879-ff5b-45a9-930b-2326120b55a3	0	0
38c84a23-9761-40f9-903f-ba430688c985	0	0
290c40dd-fbd6-4fcf-ad28-30cebff88dd4	70	5.83385833333333359
25d71896-f659-4edb-9639-9d66e47ad948	0.594125249072381956	0.0495087870747844064
e0c0724a-fa15-4600-a4f4-eef59ff3d7d5	0	0
45a11634-27a7-4cd1-bc36-06f218468093	0	0
f999aa69-9f88-4cee-bd70-152966432877	11.1837229437229446	0.931945846079846207
750e7c78-3092-4244-8dd0-c10232e554e3	0	0
1e8ba17c-980b-44ad-8e6d-7a8f50a43d0b	0	0
bdf8793e-16e5-4e88-8949-8f5ffede8b56	17.1436818181818182	1.42859253017676768
dc857bd7-baa1-4170-9d7a-04c0d69deb1e	0	0
00f0dd31-694c-473e-a0c6-24e7539441da	16	1.33328888888888897
6d136a0d-6c2e-4d04-967c-aba7ca10137d	0	0
b6fef66e-cb60-4e91-93eb-3f967fc8b2c0	0	0
b11465a7-b64f-474c-b817-f044093afd00	0	0
9159184c-b4fa-489d-a9c6-abdcd260902a	0	0
e30b2f36-d917-44f8-8464-e15f1d51d922	0	0
8291c243-5f9e-4a7b-8537-afe4322176fd	0	0
0ccc151c-dbec-405a-a07b-968dbbc1a4b3	0	0
0f47312a-c60a-4a92-99cd-367ad28fff8f	0	0
7166f99e-b34e-4e07-9196-c52aa0bd9621	0	0
073d1097-a344-4a75-84e1-0f1036b0db18	0	0
ce7e78c3-ed8f-486d-912e-f7d8709ac48a	0	0
8436fecf-acf3-4a26-92dc-bf5f5bfc7e12	70	5.83313888888888954
c5e4495c-0433-4b4a-b159-7befc055be37	0.594125249072381956	0.0495224849624713581
7a521ed5-2d6a-4a1f-a326-2e6f74ce36f1	0	0
b4ebc25d-1fae-4d17-a562-7aaeb6d1471e	0	0
02f5cf33-7979-4187-81be-da24ae7ee218	11.1837229437229446	0.932203693025493108
afa82953-b938-456c-8fa0-7dbb39e2ccb8	0	0
0f6f591c-35ef-4713-802e-9d6d366386a0	0	0
66039078-de5a-45c4-9599-daa9ede68298	17.1436818181818182	1.42898778728535358
c23ef0f4-7da2-449b-9f75-f1f90c326602	0	0
9605a21c-78c3-4f6d-934e-3777222bddb9	16	1.33365777777777783
cd2032c6-21d3-4d7d-8187-7b0e35a6c16c	0	0
905c2377-382c-4003-b4a7-b4a04076a1ab	0	0
fbf725e5-746a-49c2-8201-20c50e979ddc	0	0
192407d9-c5ea-4dcc-8170-68ef50a1bc93	0	0
672d0200-d627-489e-b42d-8ab7f47fe2c3	0	0
7670fde8-fab5-4d82-9160-be50a9be4b95	0	0
c1924876-509d-4acd-befe-d675d5910c71	0	0
9b989aab-fef7-4de0-8554-b04c98950dd7	0	0
916b6887-4649-4fda-abed-9de3989da862	0	0
1502ec50-4a7a-412d-b8cb-508485daee16	0	0
b75cde2a-9bd4-4e54-8627-85593a2e51cd	0	0
7179f088-ce5b-48be-a059-9f99e7041d84	70	5.83475277777777812
e83215ce-3d2b-41e4-989a-8647943460cf	0.594125249072381956	0.0495094472139500433
4795327f-6a2a-4c9b-9b44-3dfda241c539	0	0
1292b46a-f0bf-41f2-8667-577f10685fdf	0	0
dee0067f-72f1-4310-b1c4-732ec3b8604a	11.1837229437229446	0.931958272438672464
3520e31e-5137-4fa6-99d2-0e3d79d663d5	0	0
6e611f13-aecc-4de5-ba8a-ec65bd0cb85d	0	0
e6972b68-2555-4e65-b62b-ef205f9edbbc	17.1436818181818182	1.42861157871212119
6200dccd-e5fb-43f1-af74-0fe02623e860	0	0
137b4f90-b777-456b-80c1-e5dc123b2b28	16	1.33330666666666664
6680d8d6-d346-4d1c-b1fd-1ee6fa1c1df4	0	0
073475bb-79eb-40bc-960f-5ef3dbc1a500	0	0
df3cdfb3-d9c0-4ed3-8a30-bb24434f07f7	0	0
c8ff7c31-5040-4daa-97e0-4a90eff65703	0	0
84b98937-be88-4a07-bdcd-ac95a7979a6b	0	0
69ea93fd-7e66-470f-a0a2-1f6fcbd43355	0	0
9fa5dd77-d26d-4b72-8acb-70d50ac383ff	0	0
459912ea-2fd0-442e-b1ba-7c290668e494	0	0
95813e34-fb9e-4495-8c36-8cece8d9c91b	0	0
6186a0b7-2e84-4db3-b160-73b9285b40db	0	0
e7adfe73-b529-4ab6-ab73-2000cf97c815	0	0
448483bd-6abb-4eec-999b-671b87e60347	70	5.83321666666666694
e8899aff-bdc6-49a5-ac51-bc4f32c39c4d	0.594125249072381956	0.0495160486056064053
67b48cc3-7fa0-4055-805d-2c2c86234e58	0	0
2408f973-1f16-4879-b616-a95a641864b3	0	0
5d7e47ef-9a64-4b91-8135-5aea45566276	11.1837229437229446	0.932082536026936137
adb613b7-deb4-422c-96da-3983f059fbd4	0	0
b412777e-b510-4a8b-8c9d-0388dc9f3077	0	0
15c57587-a5fb-43be-acf6-7525ee153821	17.1436818181818182	1.42880206406565669
45ae42a6-4fbd-4e02-8b27-22c7e29bb7c3	0	0
3cc4c2e7-2f2c-4e88-ab4e-908ebffcbb96	16	1.33348444444444447
f52405de-efb7-4790-8df7-5ded55c68550	0	0
33b406c0-5d48-407d-b493-8444e77c2b68	0	0
a1ff78d2-71d6-4195-a91d-ad16cbf8236c	0	0
a35227ee-bf3a-4ab7-90a9-cc831a104695	0	0
5aa58712-6c09-42ae-8397-5c712802d428	0	0
8683964d-8828-493e-9203-66ed885deeb4	0	0
665d595d-b3ab-4e5d-931d-ded3d8aa79a9	0	0
345b26df-e39e-448f-87bd-179bedb575e5	0	0
d47765cb-bfd4-4f6a-89c7-1e019b30eabb	0	0
1367ca85-7292-46f3-a587-06d8bbd95ba3	0	0
8ae1a2fe-df19-4470-ba4a-2be4d0d7f7f7	0	0
13b24e8f-f2e8-4b93-a988-64a4e17641c2	70	5.83399444444444448
506305cb-9ae4-4c38-a67d-4a8ee12d9c8a	0.594125249072381956	0.04951291294456963
51b5ce2a-4ad2-45b5-a7a9-8b49fb96f1cd	0	0
205a2062-0628-4c36-a301-6a2ec0a3be8a	0	0
a9c48f3f-100a-44a4-b0f8-cf86226ce75d	11.1837229437229446	0.932023510822510892
28458459-7c70-46c7-a3c1-cb26e7c26c79	0	0
d7e81950-d333-476b-b8a9-22dd319744b8	0	0
8906d59b-6add-48e3-ad87-91fbae4c5872	17.1436818181818182	1.42871158352272709
816e6686-1647-4c32-812c-df2bbbd0e917	0	0
f64c636a-6826-4f3f-aaf0-b8075147203f	16	1.33339999999999992
d3f3c995-7a82-4fb0-8994-39a72a1c3f46	0	0
2f6762cb-31f7-4ad5-9966-b065562042ec	0	0
355edec8-08d6-4056-bc3f-8d9ab8034587	0	0
82fe8d53-6d16-47c2-87bc-ba2ff418e8db	0	0
356dbe1b-d590-4c78-8e81-6d5d76ae28cf	0	0
85a47ba7-92d8-4c9d-b3fe-bf5667a43da1	0	0
563ee79e-9b25-4c15-bdc9-41a1ba6e7921	0	0
e37e5915-dc05-444c-8bb4-aabf68348b0f	0	0
88422556-31f0-480d-92ad-a1afc502ec29	0	0
6cf29c40-15a8-4056-8118-bd3cda0fc20b	0	0
0f61f549-4a89-4431-9dfe-f095cec1b5fa	0	0
4c41b23f-62c6-4914-a497-f08d23b19d7f	70	5.83362499999999962
5ba06543-f8c4-40de-ac74-88af7e17838b	0.594125249072381956	0.0495160486056064053
edb92746-d7c8-45a5-96a0-cf10627f9940	0	0
3e6497a0-718c-40c7-90b8-45db10a6e7eb	0	0
accaf0ef-5387-4452-9957-2389726fe1c0	11.1837229437229446	0.932082536026936137
0af4ef6e-8b8c-4b61-8cde-3484aab93cf6	0	0
dc737b88-9e78-4de4-bdba-8defc676f575	0	0
16bfe6bb-9b23-458a-8d4c-4882962047dd	17.1436818181818182	1.42880206406565669
59811c23-9809-4b61-842d-224690820e59	0	0
2504aa82-dbff-433a-b61c-99884576794f	16	1.33348444444444447
ccf7b617-e158-42ed-b3f1-41b6af5c0e29	0	0
3977cbbc-0d02-43e8-89fd-b46175c24ceb	0	0
2bf6eded-c85e-47f8-b890-a4aebadfe46b	0	0
3725387c-225a-4d97-b000-5b5501f85930	0	0
9596881a-3df7-4fb4-94e7-5faade042218	0	0
8fabed26-9622-41e7-a778-5db55d438e2e	0	0
27a4720b-d0fd-4a6f-8d20-04816fc48040	0	0
80441ec9-7b54-4c05-b931-bdc42f9ab865	0	0
377047d5-fdce-4247-a6aa-37cd6c9f8a08	0	0
22f0b134-6ee7-4757-b4ed-515e4172ce4a	0	0
2f1afaab-e31f-46ab-b534-e723dc978dfb	0	0
885355ff-3729-4cf1-af5e-9197a7603c3e	70	5.83399444444444448
ab9cfc13-525e-429c-837f-d337d326bc51	0.594125249072381956	0.0495071367268703141
b182a1e9-0f39-4e49-b40f-f8acfc17f27f	0	0
9c328619-2ab9-4e63-a4e7-4c02226b47bd	0	0
b86cdb59-916a-44f3-a6be-ae86fbf186ae	11.1837229437229446	0.931914780182780289
f6880120-f993-4b7a-b5df-a5ccb0d08c38	0	0
85129081-e77a-469b-80a4-683c6813ed66	0	0
5e6f89f8-9ac1-450c-b068-203559570168	17.1436818181818182	1.42854490883838392
6259fedf-6f24-4a52-9d23-78de8468cc96	0	0
f750f0c8-b026-45c5-90b9-c01a2f0ee2e6	16	1.33324444444444445
ff171048-587b-4275-b125-41e54b2b0cea	0	0
cf1f1538-83ad-4529-ba38-f0d620bbbbdb	0	0
0df60e12-2eda-4a90-840a-bacbf4db201e	0	0
c270fe99-9d0c-4db7-b210-6d2f72b3b167	0	0
c1d54b2b-f7fd-4db0-8c1e-f214e1a11064	0	0
3247a428-d7b2-44ab-89b9-6257571c4219	0	0
89551765-42fb-42b6-bd0f-75bab36ffab0	0	0
8a3c3a43-627c-406f-bf03-b7a690340997	0	0
01bbe0a0-2a43-44bb-a18f-22f71aff7121	0	0
367a79c1-6b70-4fb9-bdb9-b215038aead7	0	0
ff006a20-814b-4ab2-9928-cd30e6e83d69	0	0
880d46d3-5b8e-449d-a47e-85d666debc36	70	5.83294444444444427
f1dfbab1-eec4-407c-b0ee-7e830eb55793	0.594125249072381956	0.049520174475391629
3d4d3abb-d7dd-4210-a2c6-f36ced961f65	0	0
d6610652-272c-4da4-a306-4ea306e8a810	0	0
0f1eedc7-42ee-4baf-80db-4af1e19f90ea	11.1837229437229446	0.932160200769600933
dd5fcc45-50a7-457a-990e-1ced13e3942f	0	0
d91665ad-1a4d-42e4-a210-d290b33d9a9d	0	0
5c63458f-ef33-44ad-9bba-a782cbc118cc	17.1436818181818182	1.42892111741161631
4ec04034-60a4-445a-becb-5f11d82291e6	0	0
6e08e63d-8da7-4937-94d6-ada20bce8fbf	16	1.33359555555555565
ab9cd135-96f5-45ba-8946-3878bdf554ea	0	0
1b00665d-d1c1-4ee0-aabf-b17aa3cd3f30	0	0
b140602e-ba56-4c48-949f-1648ee937d2a	0	0
21772283-a8a1-4697-b344-f246b70a691f	0	0
67f0f0fa-206b-4899-b983-34f2eb2fae4e	0	0
e1b5e000-cb9b-4e7f-8381-83ea762ea1a8	0	0
592636f5-5cca-4819-b1a5-b8b0f245dbe7	0	0
bc7d5c3e-9f46-4a7d-9915-6da4ed14f570	0	0
cb45a028-1ca4-4df6-8815-ab0840f7d7ad	0	0
89722850-0439-4805-a666-385a3a7e03c9	0	0
f1cbac8d-1f19-46cc-9fce-4f630c113814	0	0
db5de097-cc01-48fb-97e9-317039408a54	70	5.83448055555555634
d9a78ea8-3691-4af7-b890-c5a990aecc8b	0.594125249072381956	0.0495125828749868185
49687437-f6a4-41c1-b242-8561f478e565	0	0
c085dfb1-d3a8-4072-8d39-3eed9e532802	0	0
e5080eeb-8c67-4eba-883f-16485e6f618e	11.1837229437229446	0.93201729764309782
8412bc97-0523-45f6-9174-1ddbe8831ff3	0	0
68d0d898-3022-4d28-a2c9-06a41ca601a0	0	0
d1cf6a1c-4aaa-4a3e-891d-1e155ddee71d	17.1436818181818182	1.42870205925505056
73bc52a7-8fd2-4af0-b54a-baa3969ccd58	0	0
0f290df7-140a-4919-a3c9-88855e0745e0	16	1.33339111111111119
45b9fa00-9ed7-474d-9042-88a967a7aeda	0	0
b6185ad0-f885-474b-ba2d-97b1a156b176	0	0
e02652a7-069d-4ef9-a9f4-88e922553130	0	0
de30cbfd-2de0-4ec3-91c9-249f096336d5	0	0
507b3785-f2de-428e-87d8-c82a47bdea2a	0	0
7d89a233-c45b-4475-9d78-0ddb07396ebf	0	0
b2307c2b-f854-4ce5-930b-f1bc8fadb838	0	0
46524bf6-36de-43a2-bb8e-664337357158	0	0
5a60fef0-3393-47bc-9926-534cd39e0e8d	0	0
5bff550f-23ac-4ca5-8084-141f23ecb8d1	0	0
7d9ba544-a5a2-4f5b-9f89-3a2946f77767	0	0
41e2e435-021f-4a2b-af6c-caec24291ff9	70	5.8335861111111118
ee9b4ee9-f3c0-41e9-8ee7-f2c92b79ece2	0.594125249072381956	0.0495155535012321707
4bc27890-1774-438e-b8d7-7fc4361dc5dc	0	0
dd19991d-a997-4e21-91bc-6465a4147753	0	0
699a64b4-9dd8-4e46-bf5a-cb54ba516eeb	11.1837229437229446	0.932073216257816251
0901ccfc-a0f6-48ee-a4c0-958413325016	0	0
46049750-628e-4e3c-bca1-ffafcea9aec7	0	0
05b39a69-b08d-4350-a03a-a75921203046	17.1436818181818182	1.42878777766414133
3312e229-13c9-4546-a5ca-bf0a00826271	0	0
3b51c11e-074a-473c-9cac-a246147114bf	16	1.33347111111111105
e5611983-b444-4d28-9cdd-ecf98aee1518	0	0
f3386393-72c1-4791-9585-29fdc43debf6	0	0
183f4059-e6c3-4b20-add4-e63f247b1167	0	0
c3586852-af40-497b-8f6f-0ebc558a7d9f	0	0
996ac37e-899b-4270-8b2b-e3a27a0166a9	0	0
8d712190-9094-4660-8698-09d490de56f0	0	0
8c9c3ad0-c4e4-43b0-a1cd-cb3e874b46a0	0	0
b2e726b9-13b0-4c17-bbec-ed23d733d8be	0	0
6b8f3588-6117-4ec0-aca6-7e6250432574	0	0
0c8f54b5-b6d4-4c3f-9acb-b06144fb8c76	0	0
33973f3c-837a-4433-9e81-88f83fe6b7fa	0	0
35ba601f-783f-42a6-928d-3df76848c5c6	70	5.83393611111111099
e36e9275-6a70-4bb6-b2c4-0448bc56338a	0.594125249072381956	0.0495119227358211747
378f79fb-c99f-4e93-8c49-bd0da36d73dc	0	0
ba286729-c5b2-495c-8890-e422d14839b9	0	0
83b747b6-415d-4ded-a3b2-9a1a0091b2b8	11.1837229437229446	0.932004871284271341
b6e9db13-5645-40b8-ad1c-d378599009dc	0	0
9f06db40-18af-4a0b-9ca4-8e34e349c5ea	0	0
15446596-8c8c-4170-a7ea-f00f46ef84b2	17.1436818181818182	1.42868301071969683
fba45f27-968e-4b5a-bbe4-200b31437b86	0	0
a3922638-3577-4059-85f6-8ab2b3271077	16	1.3333733333333333
faa25394-e48a-41f4-abdf-9cb0246ae5ec	0	0
4c9d38a1-9d0e-40f8-85ce-db0f04fb1c6a	0	0
ab1b7115-fe0b-41cc-b8d3-4a31f4d0cf58	0	0
a5266415-a940-4227-9a46-131214f65cdb	0	0
bc8e8551-2d80-4bca-94fa-7a88b21a22a3	0	0
57df1dad-b162-454a-b3f2-b5c9f48e3a64	0	0
c98db75f-273a-49ff-a3a6-fe3aeaea8164	0	0
6c97d298-3405-4387-80ff-f0fcecc2c3fd	0	0
087eab62-d795-4cdb-9b5d-7dc04270262b	0	0
a3b299af-f24d-46b3-a626-937e05ae86ad	0	0
7c462729-7538-4ec3-b95c-93b3fe71aa14	0	0
a84a27f9-ea74-4bdf-889d-c9702d4feb1f	70	5.83350833333333352
59909261-d104-4fcb-b8b6-0467ae8435ff	0.594125249072381956	0.0495157185360235799
6c208ab1-d4bb-4a52-86ab-ade331698c64	0	0
9014e81f-43be-417f-8ebd-32985d6853bf	0	0
269cb931-0c29-4679-be74-87be8f17cb0c	11.1837229437229446	0.932076322847522953
384f43e2-fc6a-4172-b16a-8176a8989b32	0	0
35a9503b-dc0c-4c05-989b-7dcf6eee91e2	0	0
fd73622f-1221-472d-b34f-edc3933260e9	17.1436818181818182	1.42879253979797971
aa5146cc-c9eb-4ee5-b41b-21233d2c7531	0	0
763777ae-d43e-4db3-9f09-f8b8785aeca4	16	1.33347555555555553
b9afbaa0-0cd2-42d7-88c3-84298896aaf5	0	0
3f93b1e7-7bc8-4705-b782-bea023036e73	0	0
0f0e8a9b-129f-47a5-8e44-a6fdfefa14a6	0	0
de543d3c-689a-4368-b7dc-653b6195a4a0	0	0
d2773ab2-aec9-4f2f-a52e-f0d9516d1a16	0	0
1dad96fc-5b2c-4fcc-aae0-6caad51dbfa5	0	0
cc715d47-4188-409d-94d1-3fefada11ba8	0	0
50433031-5ecf-4a26-b495-f5b710a3f086	0	0
282c5542-8319-4334-a568-1125b927da06	0	0
c7626634-2b16-4223-a2c7-7e96c5d5d0f7	0	0
59b38306-9a41-4e51-8c87-b74564f75e64	0	0
f4d46e5c-327b-4e74-b27e-b390b529873b	70	5.83395555555555578
199123e7-d91c-45b0-932d-9389bbebc20c	0.594125249072381956	0.0495102723879070825
dfa7b3bd-b02e-4ce7-a019-3956af645eb7	0	0
0573cd05-2486-41f1-bd24-a30a9ae247e4	0	0
bde4ac2b-56cf-425d-b000-226de4f6063a	11.1837229437229446	0.931973805387205423
d3110225-7efe-498d-9774-d98519268be4	0	0
a0465e2e-b650-43f1-80d5-a033ada88eb3	0	0
c0435ea2-f17c-4653-b37f-23dac07f86ad	17.1436818181818182	1.42863538938131307
7bd7b204-d512-4819-9f01-df97a52618b3	0	0
ab1b3862-660d-4e82-af5b-8c520494a718	16	1.33332888888888879
8c56e40a-ff38-46fd-bf4f-316097740175	0	0
ca876ec9-a6a5-45c6-a52e-1b114bf06766	0	0
6d383c90-0b53-46e2-8f26-c7eabe765cf6	0	0
efad6611-7599-46fa-a3a2-89dc854df5af	0	0
0c9cee63-69eb-4c68-8fe8-15114ddf20e6	0	0
be038714-b602-49ce-8bb8-04f813668780	0	0
2816940a-e04d-46d0-9594-3a628a7827e2	0	0
91b70dc4-5665-43c2-bd70-5aaaf69249d8	0	0
22e7523d-67ef-446b-a374-1d4bb2cc2391	0	0
a4e1a6e9-e873-4b1a-ac9e-4be245c2c296	0	0
da24d60d-7385-4183-993c-76f9fc93d43a	0	0
0ea3a0f9-3b7b-4963-b11c-03477ce0eacf	70	5.83331388888888824
df31d46d-34c3-463b-8ae6-862a769da39a	0.594125249072381956	0.04956902477364869
57e23083-89f1-4d7e-96e2-550a23035bbb	0	0
d000ab68-6d40-4e20-9d5a-8677ecf4e5c3	0	0
87e3efb1-d631-4b30-97bb-800b6e7aa9e7	11.1837229437229446	0.933079751322751449
b05f1548-68a6-44da-a85e-edb16cebe253	0	0
742e6946-a0a9-4e90-b1a3-ac9ab05dbd17	0	0
b027131a-e823-43d9-a5c3-885ed27731cf	17.1436818181818182	1.43033070902777792
2f363304-2e40-4b1a-8b6e-4cd04dd91124	0	0
74cffb3b-54c1-4dea-9103-9788591035d6	16	1.33491111111111116
33a97dce-1f2f-42f7-9962-e6de4296da4b	0	0
431571b6-91ce-4ad8-83ab-8bd2bad8a3cd	0	0
79ab0127-4d00-42b6-97ef-ed71ccd7b417	0	0
8fb9d2ff-389e-40f5-9b06-f0db55735cb4	0	0
58c1532c-dcbf-4a7d-8c86-b99f3fc97777	0	0
8f4fdf2b-45a0-4f00-8cad-21c573d58c97	0	0
1856b7f4-8114-4a54-bf81-0cd7f8965ff9	0	0
5fdf5097-e72a-4d69-8ce2-b19753425fff	0	0
5bb03b32-4948-4537-ae8b-fcfb7ac5e472	0	0
73f19825-ddb4-4e0d-8f45-c896ab8046d7	0	0
46a4a38b-7c0d-4088-b6ac-79445eb307a1	0	0
9876c88b-ee2e-4356-8a21-61471593e507	70	5.84023611111111141
a5f2ad90-9027-404b-84e4-bfcb7fbd65d1	0.594125249072381956	0.0494607619504843915
989b325b-d4e0-4656-82d4-846b2010bbc1	0	0
27f062a2-e596-4af5-89a0-27a18cb7cae2	0	0
97c8669a-ec95-40b4-8d3e-05a7b9e383c1	11.1837229437229446	0.931041828475228539
ae2552a5-492d-4b53-9007-b2653237ea0e	0	0
b7d273e2-9edd-4c43-af76-85c2b6c48dad	0	0
7ff93642-aeac-427c-ba4e-7f606a434a39	17.1436818181818182	1.42720674922979796
2cb2825a-48f2-4c2c-8fcd-fb4c8da7e4c1	0	0
b0cf4ae9-a8fc-4db7-8bf0-d0d48c3144e8	16	1.3319955555555556
66b34b99-5aaf-4a35-95f1-22a118418a62	0	0
af8d11c5-d267-44f4-bbb4-921f3fa6382b	0	0
ef3fdf7e-2070-4dbc-b80c-0dfc22e575bc	0	0
4a6e472b-5e11-47e3-bd20-2491157a1e63	0	0
637aa894-1ccc-418f-90de-d5918f4e7512	0	0
a934a3ac-e7fc-4bd8-acc7-e135a41dac18	0	0
bc17f135-7da5-4857-98ed-28653ed7b8d3	0	0
af446201-ec10-485e-928f-02b4b82a19f7	0	0
3a59d82f-b347-455a-a741-c1728a8b515c	0	0
20f09f08-8d90-4b4b-a21a-25aa34a439b8	0	0
d2f389d5-8f7a-442d-83d6-54efe6db853a	0	0
a09f49c0-217d-47a8-b4dd-5cfd63744ca2	70	5.82748055555555577
f65eb979-1136-449e-af45-f33fc9155eb6	0.594125249072381956	0.0495145632924837223
558143ef-cf69-4000-83bf-e3686822b3b3	0	0
b5af0f17-8156-4683-94d7-93fa222c7975	0	0
b14391c3-4ec1-43d0-afdf-f4207af1af91	11.1837229437229446	0.932054576719576811
57fa1e55-13b6-46f4-a838-0fabc5efc490	0	0
9ab026a7-f803-4278-a7d0-efb8904290d7	0	0
b141a127-ca95-49b9-881b-473ca20d277e	17.1436818181818182	1.42875920486111108
aa6ec882-b8ca-4a62-9771-41773189c2f5	0	0
491f1cc4-1a0d-4812-bdd3-e5a5347e6448	16	1.33344444444444443
3a3ab9d7-1688-4098-94e1-8f81910a3565	0	0
a06a812b-6dff-4635-90b5-c5a159a52299	0	0
3b81d0e1-971e-4385-aec7-45571350a83c	0	0
a0f968ce-4579-4102-866f-6f61ed025c10	0	0
96efd42c-7896-4b28-ac2f-ae5191544748	0	0
a898caf1-f989-4d94-8b93-cee52d85348e	0	0
214c0e32-cd04-49e0-b46a-7871f1e36567	0	0
63d895bb-e05b-49e6-a59f-cb796d18b04c	0	0
d05bf9a1-f37d-44b2-9b57-33dc14ca67c2	0	0
f22b7b5a-105e-4f65-a9aa-90f9f332fc2b	0	0
26fc39af-d136-487d-9fc4-6d4641dacf5c	0	0
98542323-f7ce-4658-8658-bdeb07e05f75	70	5.833819444444444
1324d38b-6c54-4a4f-9faf-2f97e2a017ff	0.594125249072381956	0.0495130779793610393
fe8dd18b-f6e7-4ed8-b926-8fa6e4661d03	0	0
8042b2fc-f3d6-4c31-884b-2f2f85ad5acf	0	0
3f66a3a2-5ab7-4e5e-bcb3-61a7001ba046	11.1837229437229446	0.932026617412217484
2103f0fb-e3a9-4660-a741-763a1003c554	0	0
20b34197-3eeb-498d-9855-5f06d556ed20	0	0
6d933e8a-8549-45c9-8af8-c88da00f5bb5	17.1436818181818182	1.42871634565656569
807397a8-36d7-4f28-abab-28afbdeaaefa	0	0
d9ff4256-bd76-41e4-834b-c5f8d3343830	16	1.33340444444444439
0c047681-b059-4b79-8614-563ad0f2bbf5	0	0
e7c446ec-49ec-4150-a5be-b72917420db3	0	0
31af1397-ab8a-4c17-be52-0841833d8d49	0	0
b46fc1ac-7025-4516-9afe-0f06c0e176ea	0	0
1be54c05-8c8c-4a86-b7f7-b32bbc00f8c0	0	0
8db0dad3-eccf-440f-896e-b7bc3e736c99	0	0
f89c2636-cc16-40ab-a7f2-908caaa7bbe0	0	0
38a8433f-6f06-47ee-b27b-81c6207823ce	0	0
deba9419-3d46-46f9-bded-5864e9412152	0	0
9c131268-9f36-4663-acf3-bdc73cd919f0	0	0
96c3c2b7-b12a-4170-a071-7b4f3003b08d	0	0
87072c81-2804-46a2-b217-bfc98f8719f1	70	5.83364444444444441
e3292496-c1e2-4a6f-aee2-b5f36b3a156b	0.594125249072381956	0.0495137381185266762
532be58b-be98-46ae-ade8-e9e4cd8f71c0	0	0
56a866e0-0ffa-416e-80ee-7ed9238cf195	0	0
4cc65051-441d-47a7-8a4c-d06bbeed786f	11.1837229437229446	0.932039043771043851
79c5b85a-3622-4901-86de-70e808fdf339	0	0
7d59a301-7c98-4cfe-882a-6e46bf185a33	0	0
4486e4ba-b3c8-4be1-a712-dfe4c36df949	17.1436818181818182	1.42873539419191919
465feab6-fdd8-4ba5-8e3c-be8a995cdfe3	0	0
8ee40297-bdf3-4e4a-8075-7dae9c415d51	16	1.33342222222222229
cccb83d1-322b-43e7-9540-5b0344243e21	0	0
1f1f4571-2b1c-4293-86da-5d9eac47dde6	0	0
fea5b759-b390-468f-b140-bc78c75d966d	0	0
c0c9f9d1-78aa-41d8-8630-cdabfac96af8	0	0
ac55ea4a-046a-44cd-82c8-58a4be0f8335	0	0
9ae65b29-9ccd-443d-8a31-f030da1b74e6	0	0
0f2cdb6a-5196-4148-b5e4-b2df5ece1c98	0	0
0a098931-5a9b-41b6-925f-c2e1b1808de3	0	0
7fa5b4a1-6730-4f98-8b72-ffd7995de85c	0	0
a4a063b4-eedf-469b-94cb-12754df0c241	0	0
2c011d91-2d8c-4c03-9049-4edb3fa59ec7	0	0
8585f007-399b-454f-908e-75ddd8e333d3	70	5.8337222222222227
d9de2af3-d58d-40e8-86e8-06dbd19f4e83	0.594125249072381956	0.0495134080489438577
804aaf6a-c2e2-40f5-9ea8-2eb6ab44e21c	0	0
633a7fa7-fa91-4a8a-950c-ffeb5382d02a	0	0
b1a1b55b-399d-4f13-933f-273cc69fc77c	11.1837229437229446	0.932032830591630668
d8664072-c96d-4f86-a6d4-08b5ed8712c5	0	0
78f439c9-c800-448c-baee-6ab19f6e0fbe	0	0
6b0ef7d6-0508-4fcb-b43b-cf9e9bb83fd8	17.1436818181818182	1.42872586992424244
09bac054-f171-42a3-8c8f-661a8e95b38d	0	0
c070aad4-1521-4a2a-b9a9-93973842324f	16	1.33341333333333334
6a545519-892a-45d4-9b54-08db8497229d	0	0
8cd36227-ae1f-4013-8b7a-2a6b199f0cdc	0	0
85cf6ccb-6601-47e9-bf6d-430a9cdd751e	0	0
5d550d69-333e-47bb-ae3b-f8683ec214d5	0	0
26791c2b-d9f3-46f5-b1b7-f49c34e6eaad	0	0
72246101-a078-480d-916d-c86dc7c662fe	0	0
462090c1-03ed-4c08-9ce0-5512cde781df	0	0
e2764b9f-a450-40eb-ac79-cb3ea4eb47db	0	0
2ba683ab-6f14-4144-953c-af787ce2a6f3	0	0
8adbad9e-7110-4bee-8887-e4df8e545467	0	0
750fa1ba-7aa2-43c5-b064-abba0d8d37ac	0	0
7c3604b5-05c2-4d89-a13a-85fb81985262	70	5.83368333333333311
60b92634-d4d3-47ab-8f6b-b68f4c7c53c4	0.594125249072381956	0.0495124178401954093
6c47b011-a646-49f4-b128-7d6b36405b00	0	0
355ccd06-2e81-4078-a612-f6e85807f8c3	0	0
c0e8e7a1-0a4b-4774-8292-864352f27296	11.1837229437229446	0.932014191053391117
d6704e6a-cbe6-4bf2-902e-0aee4f45cbaa	0	0
e1e8307b-42ab-4754-b8d0-eb86dc4177f0	0	0
c50776e1-143a-4e8c-b209-9d38faf181da	17.1436818181818182	1.42869729712121218
3a798c8c-63f8-4fca-8361-05d9e9d9a0a8	0	0
22f870cd-2c00-4b51-b4cc-c0dfa37ee5f4	16	1.33338666666666672
eccbdebf-9de1-4971-990b-87457af346a3	0	0
1c0729e0-5113-4066-a68d-2f58754a203f	0	0
18e6cb34-7c99-4f40-8b31-a542a7a70265	0	0
6389bf64-673e-4895-bb59-0a779ae35315	0	0
11bab28c-8896-4a76-a6e4-c3a5d0817fec	0	0
a57cd44d-3bb8-481c-8afa-1868ade5d6f4	0	0
08ea3c84-b912-45d4-8b6d-4ef289427960	0	0
ef3c8f2e-314f-4238-8606-a292cd1b7ab0	0	0
866c6bd4-4d15-4285-a502-fd38416d9481	0	0
33da5ecf-dea7-4c36-8366-34a3a5d76aa3	0	0
9bf634a6-ff83-4f6e-aebb-016d626f6d60	0	0
30517546-b8d4-41a8-a9dd-a1a3f0de974e	70	5.83356666666666701
b93fa391-15d2-4e66-9974-865aa1713981	0.594125249072381956	0.0495176989535204976
44aef757-9831-4b24-a8b9-27e2e8997946	0	0
1e996d08-5127-4a16-9d82-7f1ab257f57c	0	0
b091a6cc-b885-42e6-8337-3f6045a8ffea	11.1837229437229446	0.932113601924002055
c25f11bd-95d1-4eea-892b-3b2c5d94a15e	0	0
1dced5fd-1fd5-4085-8ca5-c1ef1b0e21ae	0	0
189f347d-1cfd-4263-8eab-d0eac4dd2af5	17.1436818181818182	1.42884968540404045
24a13ec9-7be7-4177-b15a-4729178dc3a9	0	0
51212a43-da10-4a47-8b4c-7bd7e62ec8b6	16	1.33352888888888899
b8a61e43-2a26-4f65-a28e-15e5b5fa83d2	0	0
8e3b5ec0-980d-4e9d-85a3-380c204217a9	0	0
bbfabd69-b530-4be5-8117-9922decee426	0	0
9555a5da-ba9d-4b44-a0a0-5a7bb24347bb	0	0
6ecd6440-a922-4878-bda4-cb761602ac01	0	0
f5cc8bf0-cf20-453d-b460-48df0dc2134a	0	0
02c08304-a241-4d07-b2cc-6d5d5af8cab9	0	0
70ad9c09-5805-4330-b2cf-69bc375f52c4	0	0
8f26dc39-af99-4df8-90d9-66c49b1beecc	0	0
6748953b-5344-4cc2-bb8e-74f2747350b1	0	0
6273ac9b-fbe7-4561-9101-4676d98f505a	0	0
fc481bc1-b8be-444f-842e-a7fca39b5652	70	5.83418888888888887
8a05f3c7-e0e5-4637-b18a-553879422706	0.594125249072381956	0.0495130779793610393
fec9b8a3-7d9b-42ca-8079-e2c31814634d	0	0
3f013a4a-e504-4fcc-a67c-4bc2f34ca4d9	0	0
065fef04-4f26-4110-bb48-49437b402a41	11.1837229437229446	0.932026617412217484
093b9a73-5e8e-4a16-a4f2-0427e905db22	0	0
68d5a129-13b4-419b-822b-7196deab2637	0	0
c5a74a0f-75d8-4dc5-93a9-a743b2dcafab	17.1436818181818182	1.42871634565656569
2f1b5515-6d79-4e44-bd05-ab974b3138fb	0	0
98f57efa-8ed9-41c5-b632-919d9e8d20e2	16	1.33340444444444439
94a423ae-6233-4620-92cc-ed0280e485d9	0	0
c20383ed-b2d9-47e6-bda5-42827b6c85ba	0	0
c65fb378-89e1-4355-a817-fea0f06125cc	0	0
82fb6a34-2cd1-4603-a740-f9fcf6f66937	0	0
d6c0e781-e7d9-49d3-8611-6a915f267b80	0	0
1cbd2ebf-7200-4e70-8778-580580bd4a83	0	0
533e3860-5de8-4602-acc7-9eed2f579add	0	0
aa511fcc-b4bc-4f0e-987b-d2db3c4f60dd	0	0
8c5200a9-4dcf-4ba8-9adf-dd71f0945824	0	0
76837c74-b0b6-4ecd-810f-e94d51f83a79	0	0
29aae906-51e4-4557-91ce-99e28542a916	0	0
93e50a33-5a74-455b-aa40-6e68cd0fc3d0	70	5.83364444444444441
c45b4bb8-35b7-4c67-a282-f5528c8dd215	0.594125249072381956	0.049516543709980626
48761e34-8979-49ca-955d-4b1f15b8c2cb	0	0
875eaf7e-086a-47bb-8240-263386e45c48	0	0
bc7cf9b0-b25a-47bc-b777-4d92b023c7ee	11.1837229437229446	0.932091855796055802
d5e7a5ac-4199-46e8-bbd4-0646cd570551	0	0
380b1a99-8dbb-488b-9c7c-eef7b9ab685c	0	0
797ec2f4-e77d-4ccd-a916-a3f184e7dab5	17.1436818181818182	1.42881635046717159
8e7e95ad-67a4-4816-8cf7-a50f1052c63e	0	0
c2b6176f-c55a-405b-b3a9-82dacaf437bc	16	1.33349777777777767
28562840-28b5-4a1d-848e-aaabc5903066	0	0
12fed4e1-85e8-431b-a91e-3e1809cd541d	0	0
7cec6fbd-6c36-4ad1-8e14-73d1a01ea390	0	0
9c1f89ab-f980-4371-86bd-6b66f5d6d3bf	0	0
8b553ee8-16fe-4fd3-9f8c-1c79be76e915	0	0
41028287-f50d-478d-9aba-e350e1abb837	0	0
db555654-5cde-4071-92de-f2b99088e524	0	0
5fd2106a-c01c-43aa-930e-7f3fee8d1a1e	0	0
1965b23f-0d04-40c2-a2ee-65f50e748ef1	0	0
d5eacc1e-cbcb-476c-ae3d-0749afd123bb	0	0
d968672c-c385-48e8-9716-cac0b39cce34	0	0
8f6b129c-6516-41ba-9131-2a7b241a3295	70	5.83405277777777709
bf7bf7f0-74f3-4e20-81e7-05afb6f47753	0.594125249072381956	0.0495132430141524485
bb3873a4-25b1-4de7-8ef4-2a5313b94eb3	0	0
e50f96f8-02dd-437b-9463-43c59a494f87	0	0
459b35df-5b21-4316-86cb-75e0c7e911c3	11.1837229437229446	0.932029724001924076
cef36586-826c-44cf-8505-23922c30daf4	0	0
5d3ef804-c941-4888-b3ef-bf62b965a95a	0	0
bc5bb695-879c-4c37-b514-4c8ac70abded	17.1436818181818182	1.42872110779040407
262ae3d3-b49b-49bf-831b-495cece1a2c8	0	0
6b3b85ec-fe8c-4d31-8597-8254c7f9083d	16	1.33340888888888887
bfcdb630-8d31-41f8-ad0f-52cf27b3e44b	0	0
cc4f7089-e5a6-4895-8ff8-9bfb5c9ebd2f	0	0
924313b7-c43e-49eb-b8fb-40d60ada6dc0	0	0
492b4a88-97fd-410d-a812-1befef0c6a95	0	0
e59bc990-01c6-45e5-a688-0cd8682417cd	0	0
f0139124-5baf-417a-b223-96705b38f279	0	0
ebdbc797-bff8-4707-bb85-02c744a758cd	0	0
12e901fa-619d-4048-a038-12ff2d3ab462	0	0
9158bd3e-d83c-424e-9b40-03889bef53f2	0	0
a99e7778-5b6c-4cff-82ae-825b9f545b60	0	0
ce10e93c-32eb-4fd3-a9dc-8d1d4058171b	0	0
a11e511d-3ce1-4ebd-a0b8-db022a6816d5	70	5.8336638888888892
c50d9318-a35d-443b-88c6-0e6c5f76162c	0.594125249072381956	0.0495087870747844064
ab359553-c46b-4634-b784-4ec8b93b18d8	0	0
3830e73d-e57c-4ae5-a5e3-5b4562768f68	0	0
a832afde-3d8b-4fed-9880-8c136aa53aaa	11.1837229437229446	0.931945846079846207
41da7a97-5aee-4f36-8ca7-7ac574ca68b0	0	0
4bb48eb9-bfec-44ce-9696-eeae55a30fa0	0	0
f2b1c82f-e98b-450c-ab4b-280cf0164cc4	17.1436818181818182	1.42859253017676768
31b2a033-c5ed-47a4-9476-2a3fdeb0d909	0	0
6a1fd704-f17e-4517-8b41-7eaaa174bc8b	16	1.33328888888888897
5cb500df-7cc5-4d8c-9813-962aa6a382c2	0	0
270bbd7b-e25b-4b91-be7e-5c8fabd9a81a	0	0
247f388a-a18c-4955-8b6b-896ab401eb5a	0	0
c5310e44-7159-4e12-b789-ecf9ee240303	0	0
bbd905c7-107c-4534-a8be-9dc5a17b89ee	0	0
07cb60e3-ee3c-41e0-9b6f-04a925fca7a2	0	0
9da48e5b-07af-4373-94bf-71fdd8570fe0	0	0
b68da679-de44-4e03-b20b-08b814d2fb12	0	0
72c7d47a-371c-4bb4-8aca-8a6ded8a1cfc	0	0
e4448886-1c16-4259-b94e-fcd50b79d387	0	0
40995114-5213-453a-ab86-54ef837ec88b	0	0
c55c89ff-bd32-4099-8970-33efc8f9b48a	70	5.83313888888888954
79986c0b-3042-4f47-8e16-5719e536cc8c	0.594125249072381956	0.0495203395101830313
fea9eb60-9ff2-4625-89fc-ad70b0bfb250	0	0
f342f0a3-41bd-40c8-adf1-e33c48359a67	0	0
e810ebcc-97b9-499a-b60a-b626662b3d17	11.1837229437229446	0.932163307359307414
4791ba10-c378-4e97-8d9e-bf6cdf2501fa	0	0
06642a88-1a06-408d-a407-043917c34565	0	0
12c49f2f-a1c5-4dcd-8b1f-bb5294753d89	17.1436818181818182	1.42892587954545447
8c286b2a-44aa-4be6-a4d9-3d0fc5795f8a	0	0
fe5305d3-ee02-4f4e-8f3e-5e23bc167890	16	1.3335999999999999
fd3c133a-84da-4a1b-a6f7-10507ab060b5	0	0
f951feb7-0e08-4c58-8d42-4622d78f154e	0	0
e03f9c3e-e440-4436-acfd-c5ae0349309b	0	0
c931c798-1751-43b7-ad25-53c751a45d14	0	0
b5f777a4-d708-422d-abfb-d972714bc586	0	0
d40485d0-c5c1-402a-980e-6b30bd05d89c	0	0
9e3dbced-f34b-4912-8f87-a0e996f318b1	0	0
58ad5f12-654c-4176-aac7-314f32d475ea	0	0
54631641-117f-4460-8418-bcedb45e3f40	0	0
68160a21-fd45-4392-b7e6-4334f6853b5e	0	0
f623a579-ea09-4237-9872-4f316c868634	0	0
341e75de-94ea-4a87-ac4c-126095b95207	70	5.83449999999999935
42ac43f6-9363-4840-9992-0bb1e0265f75	0.594125249072381956	0.0495130779793610393
44bcbb55-c749-4e00-8659-8a772463962e	0	0
62b719c2-22e6-44c8-827a-c30634d1e59c	0	0
34821c38-4c57-4338-a111-587347f1077d	11.1837229437229446	0.932026617412217484
9177c9f7-37ac-4549-a7c5-6c8657a8e4f8	0	0
5659cd54-2561-4480-96c7-7ace352badf9	0	0
add9e29e-83c4-4a19-bfab-0deabd3bab0a	17.1436818181818182	1.42871634565656569
7fbb8927-c0e6-4e60-9889-74935cf57f7d	0	0
4b782d95-4da5-4e52-ac7a-9d1cb42c97bb	16	1.33340444444444439
ec5e2e77-2f2c-405a-b5fe-65a7b0a44624	0	0
7837dbe2-5fb2-4b99-8886-3d6810ed160f	0	0
716f819a-35c5-487f-9903-54374188ef76	0	0
e2d0f416-745f-4986-befa-1884e594c49f	0	0
570afad4-f487-4404-9ec0-8e08ded46c02	0	0
6f76967a-84b0-43d7-98f5-c6587db60ebb	0	0
a4446095-14ff-4f57-ba10-f8e5ae93ae0c	0	0
e5d68d4a-4adf-4bd3-a144-2dd2cf1238e5	0	0
85ab5a24-b46c-4202-b6a4-92b8369d0f2d	0	0
f09af951-da0e-440d-8bb3-e54123b2f27e	0	0
319f62b6-1839-4e51-9708-f05a8b77dee9	0	0
b5465308-99b6-479e-89ef-31137d017a1a	70	5.83364444444444441
8ba1ab4c-4400-4872-9a85-39edd93981fe	0.594125249072381956	0.0495127479097782208
4340cae4-0d04-4405-a44a-13dbb0e8919b	0	0
52e506b2-c4fc-42ec-94d9-c727868dc1dd	0	0
5d1c2a34-4fe1-4643-944b-c8f771f49940	11.1837229437229446	0.932020404232804189
35ca0316-df61-4d5c-8a19-37d37ab3b8a1	0	0
f8b29097-b1ec-4fd3-aa36-9499f46daba3	0	0
405be7cf-492e-4aed-b4e5-5514da6a606b	17.1436818181818182	1.42870682138888871
379b7020-ffba-4cc7-aac5-9710cc8a31f2	0	0
f47f0e9f-347a-42b3-97d7-bcd1e403d05b	16	1.33339555555555545
f1b2084b-bb70-44db-8af1-918a073552fd	0	0
23f0ba31-742c-4567-a10a-bf8fc6615067	0	0
f208e463-bc8b-43e0-b9b1-88c4bf15ba6b	0	0
2870c71d-71ad-4f68-9957-c24393538c1f	0	0
f316d4f1-6e02-4d71-820e-ffa65cf12240	0	0
138c5f8b-fc7c-4ed5-bafe-c49da2513fa4	0	0
d52596a1-ce10-4acc-8630-202ba2466ac4	0	0
4c254ec4-32e4-4ce1-8faa-e315ab2819dd	0	0
a7d6da99-67a9-40c7-a2a1-0a22084caa43	0	0
f19e889f-fc43-46b1-a21a-1ac7a0fb2a62	0	0
f33894a2-abc0-4c17-ac90-0ef53a74a4c3	0	0
ac651556-b9d0-45eb-bcfc-96403ac9e805	70	5.83360555555555482
e9fb5b77-8bf3-4883-9aa2-78a1f9752613	0.594125249072381956	0.0495137381185266762
5d784685-8ac0-46dc-86aa-e4d080d6e5b6	0	0
f93ab5ec-6f7e-4eb0-bd84-d9fba1431ad3	0	0
115f0f69-9943-4f11-8499-721ee5fe8707	11.1837229437229446	0.932039043771043851
7d4fcf82-ab64-4325-a37b-9019ed446369	0	0
80d2fe1e-f8d8-47f8-afd5-be771d4e916a	0	0
c02cd97f-9c91-4630-9409-7a4cdc9f2fb0	17.1436818181818182	1.42873539419191919
80ee0831-5d9f-485a-9621-3445a496d94d	0	0
b8f53e7a-00fb-498b-9fe6-a4f8efd08b24	16	1.33342222222222229
26a36652-aac4-4ac1-b4cd-06170779b48d	0	0
c1f6963a-7750-4606-a967-a9f2980dc3eb	0	0
21b0c95d-6cb5-4570-95fe-0c154cd0eeec	0	0
5dc1c383-f770-47cb-b970-d9d418fe23b4	0	0
448ea03a-4563-4ae4-b66a-2805ad009eb2	0	0
8b864eb8-5045-47b8-8c94-21a8fc5de9eb	0	0
2459b029-382f-4ca0-9e83-757d4958ee4f	0	0
17b0086c-b44e-4b07-8098-d8ba80661195	0	0
4e429d70-bead-4042-9538-e7bc06dc0b79	0	0
8f8e659c-feac-4124-a2b9-16df9e0353a5	0	0
da65e510-92ba-4a7b-81bb-c136b1a6b3b0	0	0
d8a0c254-d0c4-49ac-a89f-6fdd6115b5b0	70	5.8337222222222227
053d7123-ee7d-4906-a893-10275bd76279	0.594125249072381956	0.0495079619008273603
1ba41398-365f-4bad-9b49-1858683637c4	0	0
69d50b20-2b70-4e31-8aa3-1501995f5b2d	0	0
d7c43532-4c36-45e4-813c-7f18e5f6ddf0	11.1837229437229446	0.931930313131313137
56a5653d-0bce-47fd-a7bd-09be54cb2519	0	0
564c66e1-ec32-4998-8992-95fdd7268a35	0	0
db74f721-2a29-49ee-a0c6-ae0f3aa04469	17.1436818181818182	1.4285687195075758
241aaa54-6d3f-4c21-9a0c-94354d2f2818	0	0
a01302ca-6e12-4805-bfbf-1a76eb5956c8	16	1.3332666666666666
2edc27fb-efca-440e-8927-d03f484a9fa9	0	0
37d1a852-9bbe-443f-9e8c-c43c6b9d433c	0	0
ef16ada7-f067-4886-9a5c-0484ee6c5966	0	0
287d0dd7-0be4-4526-8323-f5599a763137	0	0
4cdc8621-a4a2-4146-bbf5-a3c41da7b118	0	0
fbcec889-0ca2-40c4-a0a4-3994ac1e9027	0	0
c0cb49b8-2bd7-4939-a346-c757496d79c0	0	0
3060e0fa-622a-475c-95d1-02c98b147a22	0	0
d0fe9d05-0b3b-462a-ba0d-d0c631879720	0	0
9c51d07d-94ea-4660-984c-97e36260271f	0	0
aa445f8c-eb7e-4f25-836d-c54852aaa3c4	0	0
2b88a9d9-352f-4756-911b-7a5171be7199	70	5.83304166666666646
37b5afbe-ce15-4437-bdef-85cc75363921	0.594125249072381956	0.0495181940578947183
b875046b-18e0-4c69-a5f9-ce1d73608e51	0	0
6c3e08b4-bcde-4458-b430-78d1052e3ae3	0	0
4fe584cf-8fab-4d14-b900-e9eadfb100b1	11.1837229437229446	0.93212292169312172
d18f8b03-17a1-4d01-a90d-9f93ba8beb43	0	0
c9d682b6-08aa-41d3-a6ff-81d2a3d7e263	0	0
d0c284e5-9650-45ef-b55b-430d5a7adf91	17.1436818181818182	1.42886397180555558
baadf311-5965-4844-a553-7f4db2bcaf0f	0	0
02fe130f-2473-415b-b108-cdebe3d20ed7	16	1.33354222222222218
799a8a29-202c-43b3-a335-3e0f331eb33c	0	0
31c08b7d-63d5-481e-b1d8-e3aea555b3e9	0	0
7396240d-a729-4185-8371-198704054b76	0	0
dd73c1e6-4ba3-4e85-b7fc-5815c9a6a95c	0	0
a5b64e55-2051-482c-9b03-4d6670f94560	0	0
f1ee4609-2abf-4f37-be79-52366986984e	0	0
4fb60107-3c6c-4ba2-8cf5-602062dd6867	0	0
413f9adc-3674-4d7e-9371-73914b274201	0	0
0cf53797-98f6-4da9-8293-e25fe1480f29	0	0
ca0e32bf-e82e-40f3-a2c2-81e52776b676	0	0
b0fe5879-3948-4bc6-b627-9703ba735fa3	0	0
01399562-ab4d-439d-8643-5653f0b950d2	70	5.83424722222222236
098cd308-576d-46aa-aed0-89b2aa825b63	0.594125249072381956	0.0495153884664407615
f16f4810-6a6e-47a9-af65-963c39d3372f	0	0
859c5743-441e-424a-bbc3-b57e29e5bfdb	0	0
694426f7-c05b-4b5e-ac21-2ac630eb2300	11.1837229437229446	0.932070109668109659
e5cfa893-7e92-47ba-b06f-ac16c87f5e38	0	0
bf38453e-8d83-4af5-a9ec-13015101a27c	0	0
2f04beb2-9fa1-4f78-af97-31657262aad4	17.1436818181818182	1.42878301553030296
b3f462cf-7d9c-4214-a1ec-8ce46c59403f	0	0
c898fbcd-cd82-4058-b17b-73b160992303	16	1.33346666666666658
4195dcfa-93b4-42e2-ace7-8363f0205f59	0	0
1935b8ed-117b-4259-abe8-7fc839c188d9	0	0
2d5b91c2-b0db-49af-9a28-60586e63548f	0	0
34983355-e7b6-4e8c-85bb-816ab63fbca5	0	0
393c0380-5281-4121-968b-b7eb2f1c4006	0	0
96c16e6b-3ca0-4da6-9f32-c3a670f40842	0	0
0e552046-098e-4847-8f8e-28e47a36ce7c	0	0
e3bad1dd-fbb4-4a48-a57c-b796ce6dc073	0	0
223269b0-e4df-40ae-a4b0-9a9e68b96d8e	0	0
77bbcaf8-8b21-4164-a0fe-f3ad28ed5976	0	0
17d95e73-7b60-45c1-bf3c-ca7440a2a649	0	0
93010bfe-9fbe-4e48-bb41-9b12e983fbcb	70	5.8339166666666662
78b27a39-8fb6-49dc-bc6e-2dabe9d7a186	0.594125249072381956	0.0495134080489438577
5053d8f3-8b87-4f78-84d0-c3b93abbcb4a	0	0
7ca112d1-280a-4cc8-b66c-eacf5f8ef429	0	0
6db162a5-80ad-489a-a823-63d6f7bbfe5e	11.1837229437229446	0.932032830591630668
fa3629cb-d303-4c01-a872-7ea89f46e041	0	0
8657d2ad-94fa-4ac8-89f2-ad18bf9d2098	0	0
6bc59aca-b1ec-42be-a5eb-c33724bf5d59	17.1436818181818182	1.42872586992424244
f5e016ec-76d1-4ab5-9fc0-d0971d7393aa	0	0
8eb9e09a-6bd8-4247-85ba-e4e3bea6dfcf	16	1.33341333333333334
1e2a4589-b34c-4dd4-93ca-2b7fd717686b	0	0
3472c5e2-68b9-4f3a-977f-bfae97c3af0e	0	0
404173f1-3599-4a22-ae56-43efc8b18147	0	0
dd06c547-4293-431a-86a0-b1b833c3b561	0	0
cc69fc8b-5da9-46a6-b6d3-cad430ef0c77	0	0
bcdccf42-1b58-4be9-b17b-4e5e214d2957	0	0
999dea9a-8c69-4371-9e8e-526e39b6df11	0	0
4dfb1e74-0005-426e-b0ec-1fe63f20904b	0	0
806a95e4-557b-451b-b72d-bfd4b8c733a2	0	0
969f9179-3b63-4f3c-8d2c-5f0567996bf4	0	0
0aeec363-9f50-4eef-8af2-3b765d08eea2	0	0
5409cc7e-8a23-4a15-b4a5-0126d6f65797	70	5.83368333333333311
66dc0494-6be7-477a-bca6-770875251ab9	0.594125249072381956	0.0495139031533180854
11b7fb5e-55e3-45e5-bdc7-bd67477b9bd3	0	0
ddf0abb0-6665-406c-b00c-2a4dc55c26fd	0	0
c3628b6f-ce9e-4346-9c32-cb3f3ad8e885	11.1837229437229446	0.932042150360750554
3a4e9263-1eb8-42d9-9ed4-604a85ef4916	0	0
b694eef9-2e40-47ab-84f3-8dcfa5881f47	0	0
051c521d-26c1-4d5c-8729-9dfdbb230f60	17.1436818181818182	1.42874015632575757
dfc2332e-a29c-4e3e-9ee3-db1666822d63	0	0
5d2fc623-43ef-484c-9ff0-8a110e9b20bc	16	1.33342666666666676
fe1c1bcd-32a1-43ed-be54-4dbd3853d7e1	0	0
5603cb54-63b3-44b2-bdda-f1d87ae1fe1c	0	0
1c9e5fcb-4746-4b41-bd4e-8da16b3cdccc	0	0
9c102e0e-bd78-4c3b-a5c0-928034a4cb58	0	0
5541eb70-d937-4790-b1d1-02df82df7285	0	0
c156ffc7-3f79-4e17-8365-f101277babfa	0	0
42baa0f2-e323-42dd-acda-3712610142ad	0	0
cbb6b2c6-ccee-4a60-9fde-8e89c1d4a982	0	0
b93995f6-5551-41f8-b054-f83c6d83939e	0	0
8c6896d6-ff29-4a8c-823d-39458d7112fb	0	0
28cbae17-2db6-4ecf-83b4-5f19a4268c0a	0	0
99f0bba1-fc5a-4123-8d38-c649b2bee9f9	70	5.83374166666666749
bac6ca41-8de1-4950-97eb-0ce1a8bf6761	0.594125249072381956	0.0495137381185266762
f3991b7b-11c7-4986-a925-703f102da332	0	0
d1796bd0-bcec-4433-bee8-1a4dabcd8fb6	0	0
a1667ff4-1fea-4c73-ae00-8dd19d5b8281	11.1837229437229446	0.932039043771043851
22ed9147-43b3-420a-b91a-56c493300330	0	0
cd739b70-b5c8-4263-8955-382d64bdfbfb	0	0
2d4e0ab2-f5d6-44d9-b35c-503af9787273	17.1436818181818182	1.42873539419191919
e2f0de02-98f8-4091-a461-e0de4ef524a9	0	0
6b4a24e9-751c-43b7-b871-c570dbae2918	16	1.33342222222222229
9807612b-f6e4-4339-9202-a9f3284decbd	0	0
5abfad53-453d-4a81-9c5b-7076ec3f6b94	0	0
8bbb2c0e-18df-4f09-a79c-1c16a3d82de4	0	0
d4225d45-e70f-45f5-acff-6dc541ad5ef8	0	0
987fe615-07aa-499b-8937-d314121c0c21	0	0
6680ebe1-0a05-4313-971e-00aae27b3a77	0	0
8cd5791a-5710-4220-a228-17eb34ac5eea	0	0
20181666-9ba6-47d2-af7c-4bb6e96558d5	0	0
cf2d5050-d1de-47a2-ae44-f4af0b7486b0	0	0
50618005-74e0-439c-b643-d07ceba2d2be	0	0
f348f34b-2d3a-4d89-b921-4c06dd09eae0	0	0
71712fa4-c0a1-4204-bfc9-afe98a0b607e	70	5.8337222222222227
a54f3896-a124-4dd8-9af1-5fda63230fb6	0.594125249072381956	0.0495101073531156802
87fc29d9-d82b-4e81-bd33-825bc29b28ce	0	0
8a935821-b2e6-4da7-9a6f-610e9cc8b7cb	0	0
ed156646-4ddc-4cc0-87da-5152d1d0bd05	11.1837229437229446	0.931970698797498942
7e8741c5-0a8e-4ef6-9da8-c0e45cdc944d	0	0
425d0b50-8459-4f0f-9ed7-acbcabc32dee	0	0
29a2e8be-f9b7-49f2-b29a-fb9345358c64	17.1436818181818182	1.42863062724747492
9770d3fa-ca4e-4057-83c4-ea5fc0b0434d	0	0
9d2b3891-27b0-4f78-b894-6fd5e015c653	16	1.33332444444444453
e854081e-37f4-4caa-a13d-ce4d3c274366	0	0
001567f9-880b-495e-b71c-8b4b56af2012	0	0
1e81010c-a2ff-4296-bdcc-54ec36b02c83	0	0
215f567d-8e74-4912-b039-cb9cdb454132	0	0
1f2dcd07-d6ab-4a1a-aec3-5eba7997d2da	0	0
790a75c8-0b9a-47e6-ae94-9fc3c3aa4e94	0	0
ad5a0608-f451-4c0f-bbaf-895d62e45cdf	0	0
69141357-9725-4d87-a068-df6fb8efc5b8	0	0
60c0e3a1-60ce-46fc-97c6-888a03a152ce	0	0
22bb6df9-ef11-4893-9dc2-8fd2deafcaeb	0	0
845435a6-ca1d-4f85-9209-4cc33e4fb42e	0	0
53211417-f42d-47fa-9cd4-2ca3659a831b	70	5.83329444444444523
28efb337-b717-49b2-8730-912f853f2f83	0.594125249072381956	0.0495172038491462629
135c9d62-039a-47e6-a075-fe6ef4ba9787	0	0
8df99009-e2df-4213-bd65-0d898cc0af85	0	0
d64b3a28-2262-4868-83b0-f4f5d1f6de16	11.1837229437229446	0.93210428215488228
136c74ef-2e8c-4d9a-89e6-0daf1d90951b	0	0
f59f446c-a9f4-483b-a2c0-46aac66a837c	0	0
48560825-d8aa-4fc7-99c1-ffde47569864	17.1436818181818182	1.42883539900252532
b8bf59d2-a957-4648-9fb9-ef5fc8a6a282	0	0
aabc94ce-fe16-489e-8e86-21f0056cd899	16	1.33351555555555557
4a86a768-c1af-4e2f-a736-31fcb9dd009b	0	0
c62c1d70-a98b-4de6-a409-87acd4523607	0	0
d436e32a-7a0e-4941-a248-635cb127b5b6	0	0
01918fa8-5bd3-4548-b22a-793cadee8534	0	0
ad51981b-fd3c-4ccb-b568-5177ed41c6bb	0	0
14e050a3-736a-4fb4-b683-29767f25acee	0	0
e540899b-e54d-4ec2-ba11-88df730ecf74	0	0
9086923a-077d-4fe3-8559-103ca8e9af3c	0	0
8f6e1b40-802c-462b-9796-fb8e1792e12c	0	0
09e79cbd-092e-4f46-ab5b-3957b7fc46a2	0	0
fa9e521b-20bc-4b87-a6f8-975b25ad4a30	0	0
2bce9de0-57f6-458d-8a33-52a8a900350b	70	5.83413055555555538
4136f4c3-5529-47ab-833d-a9529d84c317	0.594125249072381956	0.0495160486056064053
a9ef6090-2022-4291-9198-04589ee608cd	0	0
2127a557-4b60-4ca1-b727-7db028b38f03	0	0
ee20488b-0c2d-4ca8-be29-de5b764729be	11.1837229437229446	0.932082536026936137
a51bd296-45c1-45ac-8055-ec20adc71c3c	0	0
02b2e39d-8101-4b3e-a2d7-7d5e185a363e	0	0
ef75994e-5c0c-4e47-b59b-d723b1f4fec2	17.1436818181818182	1.42880206406565669
eaedc2eb-e7da-4b69-911a-fa216d39848d	0	0
6bef999d-51fd-4d2f-bd15-81b844048729	16	1.33348444444444447
1e97c793-2616-4cb3-81d5-a6b00b88946f	0	0
2922c386-cea8-4a77-a803-7a083f9f2730	0	0
a1c2dc3a-be3c-40cf-ad4d-3f6c95c03795	0	0
1413773d-f10c-49f1-b675-12a5c2686b2a	0	0
8ed0fff1-ea38-4d56-9d3f-bd8f2ad21acc	0	0
1bbf7295-56a5-4540-a3fa-e031a773a855	0	0
c68bf7d4-8b57-430c-8009-d070f05d53d9	0	0
4d96cfbb-d003-48a3-81be-3a1d31181491	0	0
a5111db1-991b-431c-8af0-ecd4acdfeaeb	0	0
ffa90dcc-ac92-450d-8d92-aa020b76159e	0	0
bf18b086-965e-4adf-b319-443e9a58605c	0	0
e4b56e30-ae0f-44d8-92fc-aa3b96e94db9	70	5.83399444444444448
36039713-a4e6-4f7e-9ea3-92c6a30593d5	0.594125249072381956	0.0495125828749868185
21db9538-ba10-43f0-b73f-57acd9cdf45a	0	0
397cb624-15e9-4a22-bab3-89814f520b08	0	0
a92cc1a9-39bf-4bc4-ae68-0dfba4f7e360	11.1837229437229446	0.93201729764309782
22c81ba1-7292-4e2c-bd86-78e5b5bf0b31	0	0
18a5c6ce-39f8-45af-80a2-cf60c159e2cc	0	0
3ae396d8-4f81-4d2f-93a1-bee0df5e7553	17.1436818181818182	1.42870205925505056
1b172d81-fd0a-46ca-b4f7-b0ca2a31a6ba	0	0
e138467e-ddd9-4723-aa23-88f156e02de6	16	1.33339111111111119
787bf2c5-3b63-4f1d-9f51-bcc616dce916	0	0
b2957288-d345-4e93-8329-861bf7333443	0	0
dcb121b9-5329-497c-8b13-b315b7192868	0	0
568bbdad-a9a4-479f-9a3d-1852a5a3bf01	0	0
945cd646-56c4-4f68-8d37-bc38acb83fa7	0	0
e6d2c4d5-4c96-4915-8644-d9ee5d994e3c	0	0
a55b6a2f-a717-49f8-ace4-0b9d01889aff	0	0
885cbbf3-a678-430e-a36e-33325176b7ba	0	0
14413a60-88ec-40b8-9186-8d96a39ec942	0	0
612ab89d-2a1a-46d7-8e6d-032750a09fb1	0	0
81e0bcd7-06bc-4795-bbc5-bd48949bca4c	0	0
bd88f1aa-28bf-48e4-a59f-a8cabb639efa	70	5.8335861111111118
c6be65c4-9563-48f2-90bb-05a8213f7c57	0.594125249072381956	0.0495130779793610393
6ec8855d-54b7-45b5-967c-a8e8a3dc492f	0	0
6a74058d-dda0-4676-a550-f0e186e3876c	0	0
57a72114-940d-4ade-ab50-36c101a7efbe	11.1837229437229446	0.932026617412217484
b5540ab3-dcaf-4aaf-95d2-92ad98a13f89	0	0
cea78282-57f5-4319-9080-05c8b3bb2e26	0	0
2e238971-d5d2-43f6-a6f6-9036061da29d	17.1436818181818182	1.42871634565656569
e1aabfad-878e-46a2-a330-fa420920ea8e	0	0
b27a9199-0b97-4001-82fb-0bbbf9296051	16	1.33340444444444439
ad105b2a-145b-4dcb-8b75-986c22600437	0	0
3cbca619-65c2-4b39-a1d3-f1bbb60107b0	0	0
ee86ea2c-d7e2-4eeb-b011-f576f4f84cec	0	0
1a25b6b8-e75b-4550-bdc9-a19e4d7ed5b4	0	0
3dafe9c7-2db2-4d8f-bb04-755de03222a4	0	0
1e5415ed-398c-4892-bddc-d1ae28a65821	0	0
645e4c0f-43bb-4c94-b29c-d665eb40102f	0	0
a32459bb-bac9-4665-b1cc-692a7abe2f80	0	0
135edecc-40b2-4f08-889f-5bbaddabe05f	0	0
4e4c81d2-9c2d-4c60-8640-49f009e6586e	0	0
c8096d44-412e-4aed-afe8-70d61c9eeb93	0	0
67ec1c20-bc35-4938-a5b1-f225a00ceef4	70	5.83364444444444441
46ec752b-3cdb-4c4d-b2ea-9a9712c358f5	0.594125249072381956	0.049571170225937003
f31645d2-4d01-490d-a95b-2d69734e0e2d	0	0
45b1fb18-31c9-40a9-92cc-433bd8adcb9e	0	0
2ed11aa9-2926-425d-8aba-9aa051a9788d	11.1837229437229446	0.933120136988937032
af25dae4-bcd9-46aa-b08f-9b3f5169f874	0	0
41713d87-26e6-4f4a-9103-82473bed9a73	0	0
9dcdebcc-57da-4746-b78c-18b0855797b1	17.1436818181818182	1.43039261676767682
41f9a510-8a3c-4647-acff-f9ff48267325	0	0
5328e815-9682-49cc-ac3b-bbe9e9688b54	16	1.33496888888888887
3df0dde9-d0b0-43f3-ab98-5ec915bf81b7	0	0
d0cb9dea-28cb-44fe-99b0-c47a124f33fe	0	0
79976578-f9fc-436d-a731-f499183876c0	0	0
deb83854-50fb-445d-b23b-e78fb8a47606	0	0
ca6907c0-4e47-4c9d-ac99-b8e3263d59d9	0	0
c5a9c28d-ddfe-41de-b22d-26eac1b3a048	0	0
842936c2-65bb-4c34-8a0d-1ac2aaeca7a2	0	0
d77b4695-7f0a-413f-aecb-c5a4d56fdb5e	0	0
63417d43-8b28-40be-90be-a1eafcfac3be	0	0
36f6e772-f4f3-4bae-8fa2-91a021debc0b	0	0
9a07a6d0-d060-4212-a9d0-8253de70a230	0	0
1f800a62-03dc-4b17-9544-927f572fec1b	70	5.8404888888888884
4a041f88-2066-4017-9ab2-780d7a28860b	0.594125249072381956	0.0494597717417359362
d5a08436-6496-40ef-94ca-56241e287c91	0	0
0e6a3278-7df1-4eeb-9175-5843e22b38e6	0	0
729913b1-29b5-4598-8c85-9c86628029fa	11.1837229437229446	0.931023188936989099
69cd3d44-f532-4533-bc2e-03e572d7d3a8	0	0
419c682e-d129-405e-92f7-6ba0a44ea1d6	0	0
0cf6d7ff-0aa3-47f4-8449-9ad63fc44844	17.1436818181818182	1.4271781764267677
a4ee1032-48da-42cd-854b-2c06748ead34	0	0
c143389e-213d-49e8-9cee-423a1ede7992	16	1.33196888888888898
ae0f735c-478a-49f7-ae86-e58f8638085e	0	0
9186794d-e8c8-46fa-838e-76b3561fceaa	0	0
28c2d23c-37c0-4f4a-bc72-7a72f4eaffb9	0	0
1a658532-9e73-4f5c-9b8f-4b2555a08bf9	0	0
276b3b84-762f-4534-a6ad-cfc2acc68945	0	0
46aaabea-805c-44d4-843e-f8be8cec1542	0	0
83d35467-109b-4027-b773-d39d0bc56197	0	0
59c64486-dd83-46bc-a973-69fb27c1ae1d	0	0
cbdad13b-bcaf-4658-b500-bf187db43198	0	0
2f3d9d00-5685-4e2e-9f86-833e18d40134	0	0
5e2186e8-96c7-441f-9179-0e65ee8642a4	0	0
c4749dc0-3643-4e64-a4f0-8b271798d424	70	5.82736388888888968
57bc4f48-033d-4ab8-b055-a620addfd5f4	0.594125249072381956	0.0495101073531156802
7fd6b959-2c73-4a10-a1dd-f4de744370b0	0	0
f9d342d8-f70e-4358-8912-49f87a832165	0	0
5f9dbf03-7e1e-4272-a5a0-19cdba23d2d9	11.1837229437229446	0.931970698797498942
26507379-c504-40c9-9c9f-b590c6911401	0	0
b893847b-d433-43b9-9be9-49f7a70fa40b	0	0
75c7e3d3-d758-446b-a59a-6f4ed8f789b3	17.1436818181818182	1.42863062724747492
d840a411-d7bd-44e6-abf7-dfcb62cb4c1f	0	0
bb425b08-5648-4f7f-911f-4e4e3c7829e4	16	1.33332444444444453
6b5aaaf8-0b13-4638-9a7e-374583e97f7c	0	0
fbdb6cb4-319d-4ad2-bc95-2319e4653f5f	0	0
9a6f07ce-d6b5-4cc1-bf56-dd867cc02783	0	0
9b45cbe6-58ff-4db0-9b04-c5ecfa94e920	0	0
9b5c1bd5-515d-4986-b74f-874adcf70613	0	0
86315230-621a-46bb-ad61-7b7a2d3ebe0a	0	0
b660062a-3953-4aec-98f5-6f7db2a8faa9	0	0
3b494775-d308-4dec-8684-e1bc757785f0	0	0
587af7e1-2f6a-45a7-9dd6-fc0636f62e99	0	0
5e6a732f-1c68-46ec-aafb-653da27010e8	0	0
0e6ee174-fcfc-411f-8821-9a537ed7372e	0	0
76177895-4b38-4699-9c37-e393d7387c23	70	5.83329444444444523
13e1a3ba-53f4-4585-b580-0c0889237980	0.594125249072381956	0.0495163786751892238
6fbdb6ba-d79c-4f53-98ac-58516a33a412	0	0
62cfff7a-21ac-4f34-be09-020b1d6ee49c	0	0
e26971f7-87a4-4eaf-8db2-4eb802aecef6	11.1837229437229446	0.932088749206349321
14aeefa3-3067-4671-9714-3a6213106603	0	0
40735160-5573-4ddf-bdf6-58ea70832015	0	0
b7661f3b-09db-49a1-bbb8-35a89d49d653	17.1436818181818182	1.42881158833333344
6c82ee08-df1f-437f-8d3a-630e407b6085	0	0
515528d3-3317-438d-92c0-1ddfea2d97aa	16	1.33349333333333342
828353c0-4ad4-4d57-bc1d-b265a312a0f9	0	0
3a6c36de-9d7d-45fb-b02f-6678b57f2e45	0	0
39b84b86-2053-4d2f-aeb9-3292249a5aac	0	0
333958c4-e7a4-4380-afad-579667f3d277	0	0
d6ad3aa4-c562-40de-8fc8-94c208af5c5c	0	0
3dc38191-2ca3-49d4-9a7f-22c06ee72469	0	0
69f1fa6e-8d3e-4808-964d-90fd793111df	0	0
32346219-e2c2-4b68-b155-46445c4c7f1e	0	0
9e5a2adb-36ba-4a87-b2ce-dc30f3afc075	0	0
07f8bc70-29fb-4356-9c8e-490935c4aa54	0	0
20996061-d302-4c2c-8f05-b7bd640a0864	0	0
efd152c2-9382-418f-b985-cac71cad971c	70	5.83403333333333407
8d765cec-7a6e-42c0-b150-23e4b7d224d6	0.594125249072381956	0.0495142332229009038
134a0df2-17c9-4933-9fc2-c0cdba8fbb77	0	0
b83ca807-fc78-4922-97c3-fee4886ed5fa	0	0
f4df1754-c46a-4958-809b-10855862c07b	11.1837229437229446	0.932048363540163516
32ee6471-dd79-4eb5-9597-1ac59df46fd2	0	0
22929cfe-a753-43b0-b906-67a617cc55f5	0	0
5da69315-c4d5-406c-9076-884b8baf4404	17.1436818181818182	1.42874968059343432
e7636ec1-db2e-45c7-82c6-1dc3d2f0d1f2	0	0
0e93cfc0-eb28-4daf-bcfa-4c42246d26e5	16	1.33343555555555549
9eae53b3-6df7-47f9-b12e-a6d1d8d3166e	0	0
c01843a4-3186-4519-b5f1-1e78abde3f80	0	0
10fac660-aa37-4fa9-937c-23ae27893050	0	0
f1483646-b329-47ab-a73b-d01b308a7a13	0	0
a2b458f2-07b1-4779-885a-aa2e69fd6aa3	0	0
698e2293-8409-4045-8640-263960dcd080	0	0
9e9e7593-2e5b-4437-9d5e-3445ea22a934	0	0
ce9245f6-ff12-4bd2-afb8-822f449d0d24	0	0
75a37e5c-ec4a-409e-81e4-356c6e133472	0	0
181eb7c3-42ea-4188-bfe5-5ac7343eb4ba	0	0
279b4242-fcd7-4a48-aa7b-fe7b960e1add	0	0
f0a68994-a5ca-4a69-aea6-519961641128	70	5.8337805555555553
9c6ae279-5659-420a-9467-1a6d101e3122	0.594125249072381956	0.0495120877706125839
8b2b24b8-04a6-41b8-bf6c-d69d67a50511	0	0
0d7fcf8f-b460-4889-8457-dd0984e75eaa	0	0
c0fb32f3-1047-435e-a35d-a0c9c58d0852	11.1837229437229446	0.932007977873977933
e20d5a92-bb86-4505-8c7c-1afc0122a6b9	0	0
f27f6362-ee51-44a5-81d6-d245bf42593b	0	0
9624b2e6-814e-4b79-80b5-556335781f93	17.1436818181818182	1.42868777285353543
5b4d7229-e54d-4ed5-85b3-ccea074850b9	0	0
33c8e62a-1834-41b3-b8b6-5494a7477a2f	16	1.33337777777777777
bd7463c5-d92c-49de-8b53-9bd8dedcef65	0	0
a2cd2b6a-ca35-4a26-8449-f9ddd3e1a549	0	0
8ce9b1b8-5cc0-476d-a358-29ec09c151a5	0	0
4ee7104b-ec9e-40ae-a0fe-e01d079e4a81	0	0
37392b4f-8457-4862-9f84-874f6fbbeb84	0	0
6907d348-3fda-4f51-bcfd-b81771a62e14	0	0
7105024f-704d-4253-b695-3229636a8516	0	0
5ea0d726-2401-4bd5-8ebc-9e8800f5bd45	0	0
0464407d-9905-42f5-8b3f-f31000a0b39b	0	0
471de057-6c43-40b1-9c9f-76b777dff331	0	0
946aeb1d-58fb-44ad-b699-b2890616dbd8	0	0
0095960a-5864-4f45-bce1-07d118f84cb9	70	5.83352777777777742
dc882115-a635-4681-8bdd-6226a6187496	0.594125249072381956	0.0495143982576923131
11fd6358-c365-4c97-b1f6-f93012874c23	0	0
8f69a95e-8898-4c6e-bf49-15590dafb561	0	0
1b2ccd10-3f2e-4289-9d4b-87194ab15fc0	11.1837229437229446	0.932051470129870219
1057c07e-a28a-4fdd-8eaa-207917811159	0	0
cbf01069-da82-44a0-b1f5-d65bd0e6788f	0	0
326984c0-9a6a-4b52-ae1d-3838c88fb0ec	17.1436818181818182	1.4287544427272727
434b5aae-d5a3-45da-989a-0c752fcf08f7	0	0
3dcf7c2d-1f06-417a-bf9e-f2958f6de1b9	16	1.33343999999999996
03a22b3e-add6-4228-9391-4fb255d385f0	0	0
ce839d32-9c39-47bf-b0a3-da1ea08cf057	0	0
2c11eaab-e21b-4818-9e5a-00525f3b54ee	0	0
b5965de8-ff73-48ff-9db9-6c0d40545f63	0	0
c721845f-b4b6-4b74-8ca0-9b36704e9308	0	0
ed2d8940-2e40-4cbe-8dd5-ab42d3e09040	0	0
7b3501e9-3166-4cb7-b1bd-92351160c481	0	0
9786027d-a6ae-4204-b817-5daad44f395d	0	0
e4c2dd6f-d130-4e07-b18d-46497092be21	0	0
b946e05a-fbe0-4930-9468-638344d15d58	0	0
81a09259-f48d-4911-8a2d-32e72781ef35	0	0
c76a1727-dc9d-4bfb-ad95-4cef00cda14b	70	5.8338000000000001
3c407df0-7503-42f4-94d7-01cefb540ef2	0.594125249072381956	0.0495163786751892238
9e10436f-903b-4261-b05b-abf1352954a6	0	0
b4d71e5e-5006-460a-b7ec-99fb1df4b6bd	0	0
d32c05ff-e741-48f3-afff-011ab119b866	11.1837229437229446	0.932088749206349321
f3ba55af-3036-450e-8dff-fd10e796edea	0	0
5f9f5f33-964a-4a73-a56b-11842e79797b	0	0
2fd97a2d-1b9a-4232-a7a3-cd243cc5cc96	17.1436818181818182	1.42881158833333344
5e326e46-70fd-4e49-9359-598572dafb28	0	0
4bed1cda-f819-4704-9e67-11ba2b74e259	16	1.33349333333333342
87e38175-d355-47a1-b0fc-83363fbc1519	0	0
1715ffbd-8059-498d-9d72-8c0962af9c8d	0	0
7207cc33-b9fa-4613-89af-bc1b964e631a	0	0
2b6a900a-a3bf-41fb-afe5-f94ca0228505	0	0
9330cf8e-148f-42e2-86ca-7e22edf2eb49	0	0
9c14e37c-6907-46a3-928a-07ebeabb70a6	0	0
3ec68b4e-d1c6-4437-87c8-9dd05df7e2c7	0	0
8463fe3b-856b-4b47-ac43-1964244f202d	0	0
b8235495-a711-4ce8-a3fa-6a081c80157d	0	0
a05c27bc-2031-4eab-94a2-c7c80d6c0123	0	0
5e309c72-56ba-46c2-9a38-4259f528be58	0	0
6f95b663-6cbc-4daa-bd0e-3b27cf6e218d	70	5.83403333333333407
f112426d-ff46-466b-894a-20fd4f489696	0.594125249072381956	0.049506311552913275
a41abd8f-9f09-45b3-8f22-b9af8d541410	0	0
d5be5bd6-18a3-4e6e-ba88-97b2aeb15599	0	0
c0cbd121-a234-4868-a7d1-55e3ffeba14b	11.1837229437229446	0.93189924723424733
d706b413-305b-469b-994d-a68df49a6f15	0	0
4cd6c8db-c420-4ff0-b8b9-d2cb9842a9be	0	0
dd2201fa-714f-4166-87f7-18a5cb8c065c	17.1436818181818182	1.42852109816919204
bd8f9edb-4af3-4b1f-ac54-b168e3b4967e	0	0
94ff46f5-adb2-438b-93c9-5b9a4816a777	16	1.33322222222222231
71c415f8-4b81-43ef-b1c5-bd272864abac	0	0
9e7825b7-2d32-4c2f-ac57-67c7a1a47d4e	0	0
8dc1a497-a768-4642-90ba-8bddae20b69d	0	0
2d8c4273-c0cf-4562-93bd-8543df9d276e	0	0
13104155-86c4-4be7-b36d-07d8a461a267	0	0
640ffd6f-fdf2-4573-be61-fb24a0f95b3a	0	0
df3e3a46-5c4c-423e-b607-ad854305dd19	0	0
f578971e-7bcb-498f-aac2-51e8aa54c970	0	0
09b0c31f-d20d-4bd4-b8bc-b9df60c421d9	0	0
e31796c6-577e-473c-9771-dceee64001c6	0	0
e181d814-2107-42da-9abc-27a6d6ee7854	0	0
2d8daa3c-cd4f-451f-8c66-fe873ad9dcbe	70	5.83284722222222296
86e22838-3ab8-4e0f-bcfa-158aba5a8ac9	0.594125249072381956	0.0495193493014345829
3891c712-0c30-4352-a3c4-69c1720dfc51	0	0
6e213cc7-b933-4670-997c-585999a346bd	0	0
d44e16bc-b5b0-4254-89f7-a4a7d9bc2ea8	11.1837229437229446	0.932144667821067863
3fc395ec-19d6-4a44-a199-8b75dbc278e5	0	0
b245ba46-db8f-4f4a-a10f-b94fe789a603	0	0
fce3b34d-66b5-43a8-81a4-8b33080d5cb0	17.1436818181818182	1.42889730674242421
3ef264f5-29e8-4b14-8f19-365fe4e6da61	0	0
bb230c90-29ad-4254-8acb-439a193991a3	16	1.33357333333333328
e0c2bd53-bfd7-44ee-94a7-8b27c004a914	0	0
932ef37d-fed4-4ac6-99ea-c01828d4f2fa	0	0
a39a4bd8-0816-4cc0-aca9-19792f19f1e0	0	0
b070b027-2a10-4e63-bff7-a9ea9a0a987d	0	0
12135089-89b6-463b-9c8e-d47f53712600	0	0
535e0c97-aac0-43ee-b0b6-5640677ac441	0	0
5e211378-bf1b-4ee7-8a2c-be6f2bf0e9bd	0	0
4970a591-7cd0-4731-829a-5360c48eb399	0	0
ad00661a-2da2-4b27-8077-4579ed2834ee	0	0
4f982113-b193-43b7-ab7e-eaf9542687b0	0	0
524501a6-2368-411b-b434-8ea9d72b5106	0	0
709caf81-5792-41a1-8cc4-505c0069520e	70	5.83438333333333325
5d7416fb-67fe-44b4-80aa-40bacb95078c	0.594125249072381956	0.0495132430141524485
3db2f75b-9534-48aa-9474-fac49ef792f1	0	0
f02389df-fa04-47b7-800d-636294a7b691	0	0
0c85cee1-bdfa-4ccd-a578-cbb8a373bcf8	11.1837229437229446	0.932029724001924076
a9d54ea0-4fea-45ee-a102-37645196ce6c	0	0
75cba91b-826e-43b1-973e-5e6cd410c51a	0	0
b3f086e6-2004-49d5-b2b7-5f2883b134c1	17.1436818181818182	1.42872110779040407
10680e5b-2590-4c83-bb07-f31046d37bf0	0	0
ae19efd1-f661-4493-b448-40a9bc58cde5	16	1.33340888888888887
ea97f214-5dab-449c-b5b4-b49cdd5b8f22	0	0
cf52e7ad-4de1-4e3e-a513-96684c6088f1	0	0
611cab44-739b-43c7-a6e1-dbced81bd3b2	0	0
9ab5b823-9b52-40f5-a799-0887009c5f1e	0	0
8789257f-536c-4b8c-a2e7-8ca01bde3376	0	0
3e8d740d-4ca3-419b-87e8-5307544a55cd	0	0
6a81ec58-08cb-4529-ab76-56bd09a4d55a	0	0
00fbc8ac-b088-4bef-9c98-946815d3f1fe	0	0
d9b92e7e-03e1-4392-815e-00db57926400	0	0
84c427ff-3afc-4ec8-91ce-0cac2d092abf	0	0
695e7bbe-450b-48ee-86ea-350583a9559a	0	0
76996115-279f-49c1-aaeb-a83e4b1f2534	70	5.8336638888888892
de0ef720-0f8a-4a7c-9050-928a32bf2abb	0.594125249072381956	0.0495130779793610393
1b1b95a6-2a3e-4112-90ba-ff8ac20bd249	0	0
3235e5cb-5c8f-432b-a5fe-aa18350d66d9	0	0
9bbb56fa-6336-4fd4-b1d2-87663179f371	11.1837229437229446	0.932026617412217484
860f963e-65d0-4ac8-af6d-f8682d491a3f	0	0
3bd26e33-39f4-494e-a9fb-4cc2fada6314	0	0
f741d63b-5393-4d80-84ee-c9033bf441a7	17.1436818181818182	1.42871634565656569
07e14cbd-a6a2-4d72-9982-f5982d67aa73	0	0
4895118a-680c-499e-b05a-ef207f12a1e3	16	1.33340444444444439
cb250c21-0f3b-4d6b-8cc8-bfbcd703f16a	0	0
2105b6e0-464e-487c-aa91-458b720bfc8e	0	0
28edebb2-ade8-4c53-a5bb-ae7f67135668	0	0
7266d588-d9c1-4d30-a66d-d3829b42b5e1	0	0
d5449ccb-c2d4-49b6-9c22-5e9396e0dd06	0	0
1df96dc6-3f58-4bd0-ac8b-b1f0ee8b8c2c	0	0
b7841335-6e1a-4653-a8e9-ea68a93c5c2d	0	0
aa9c9efe-11dc-4add-be59-9b893e9c4e54	0	0
986e1e26-d50e-4793-a9ad-74d83bfdbfa7	0	0
2c65efa1-0642-44db-a3b6-c135bb38fc74	0	0
cd399727-a709-4e17-8f56-f7060d0a29b3	0	0
73d540f4-8537-4822-8007-e6ec40231d57	70	5.83364444444444441
4d1cfaa2-8154-423c-8b2d-e045ac5f126f	0.594125249072381956	0.0495145632924837223
27680d18-0089-4099-9837-3f5871106dc3	0	0
1ced027b-1a90-4611-b07e-46d81cc1fc2c	0	0
95d860f7-1072-47bd-82cc-082a13c7f6a8	11.1837229437229446	0.932054576719576811
bfbe5512-baf5-42b2-b87c-ec8ec8577539	0	0
22fb2897-40e1-4a5e-a823-c819d648e81d	0	0
703a7022-e233-4ae0-b873-7d9c166c0f06	17.1436818181818182	1.42875920486111108
0b14485f-a108-4170-b7d5-08baba8c41e0	0	0
0a5f8720-966a-426f-8968-72372dc6c532	16	1.33344444444444443
1fce055b-853c-412f-9aab-1e2aa74019b6	0	0
b09981d6-925b-4bcb-9d18-910de4b139ef	0	0
6fc2a6a2-009a-4683-ab04-00c04f9d717b	0	0
77cbf7e6-0f4c-457c-acf0-2ffa8172c237	0	0
d95d3cd6-5a98-4d23-993b-7a5a805a89fe	0	0
5056e7fb-fc7c-49c8-811c-a6e9fd2145c6	0	0
a5369408-f67e-47f7-bf8c-634f6fff037e	0	0
0929b511-f93c-4b5e-aed7-a8012d64ed74	0	0
7a8f3863-c584-4a24-bbe5-501a659a77b7	0	0
3b0b174e-ef00-468e-aaa3-b4e2d2894e19	0	0
6a39ecc7-a8cf-42db-b878-737c6d295fb3	0	0
d3232cb0-d1cb-42a4-9d2d-1642666a2de1	70	5.833819444444444
265a0287-01e7-439b-8fed-58268c135397	0.594125249072381956	0.0495127479097782208
37fb0f56-fc33-4c2d-bd1a-a22923fb8abe	0	0
37d097fc-ec25-4dd7-bb1c-bd47cb93f1a4	0	0
8ca301c5-5200-447c-9238-6797bcdb9fab	11.1837229437229446	0.932020404232804189
403dd5a9-5da9-4bda-97fc-fec95047630e	0	0
19ac567e-f370-43a2-b66d-9eb84fb8f338	0	0
538f2749-95ef-47d6-b658-ea328c90805b	17.1436818181818182	1.42870682138888871
42e20457-c464-4349-bfbf-a0d133788c6e	0	0
3b02eb74-6e98-4a6d-b9d8-82d53bd7b990	16	1.33339555555555545
6096d91c-981d-4d2c-a1d0-41d3a8d63868	0	0
44e93e35-0045-4207-a4a6-734698023dd1	0	0
42dd9ec4-516e-44cd-b6dd-99f80f88ecd8	0	0
eece877a-2e81-4738-8505-cbf1c6d90c08	0	0
824bd661-ae58-4d7d-9810-bf667b1a6372	0	0
5f93002e-59cf-4496-98cf-761aa0d3eec1	0	0
99c55ea7-18ff-4ce2-8981-9cde96fd3a60	0	0
7fcf6ed8-bede-437d-957a-ba1177d3ece6	0	0
be6d1051-58c1-4fcb-b82e-cf7931e4843a	0	0
2cba09e7-54a5-4cd4-be82-dbd639785fae	0	0
513eb590-083c-4a50-8fc4-1d4dd888eaa3	0	0
e9e70d58-3111-45d6-a209-cb6df4643aa2	70	5.83360555555555482
1ea22e0b-6e94-4220-9f90-54b12b3724b4	0.594125249072381956	0.0495120877706125839
423fd866-2bfa-49a6-a753-ddcf04d35f49	0	0
d134528b-b007-4d06-be80-36f063c57bf6	0	0
64cb1b6b-822a-4b8b-94e2-c50560739ed8	11.1837229437229446	0.932007977873977933
7056ef81-5b78-4dc5-b746-0f6e232a3785	0	0
03c1a13f-53d4-4d1c-93c1-fcf2ab296aa8	0	0
5c75cc90-73a3-4c9a-bd5f-f65f0ce306f6	17.1436818181818182	1.42868777285353543
f6f4b6a1-f37d-4fcc-bb82-4783457fb72f	0	0
47a56eff-cb89-4371-8daf-0fd121a8027e	16	1.33337777777777777
75c8dd2d-971c-4b6b-aaf4-667e599bf6fc	0	0
1d6570dc-7ef1-4025-835c-aad97f3a55c9	0	0
fb3666b5-cfa3-4b32-b5e9-b0fb4d410c9a	0	0
300be648-1d62-4662-ae02-ee74c34acf03	0	0
9f29b1bb-d973-41c7-8efe-4fbd50cb3632	0	0
101bd214-d536-4235-ac2e-7479de71964f	0	0
1ddb8cbc-46c3-40eb-926d-de6b9ce582b4	0	0
9f6d48e2-9f1e-4b56-bec3-1f75d68948ce	0	0
bdf2ee9b-9ae7-4bee-a568-60563f3b20aa	0	0
f7f82218-b475-4701-8fc6-c2df7ffebd5a	0	0
f9cd6210-a377-4028-833a-4ba2d44adae0	0	0
ab2157e3-a249-4408-811a-229699567dc1	70	5.83352777777777742
58a303b9-f7ab-439c-818a-3bcb38322419	0.594125249072381956	0.0495152234316493592
01a37e94-0eb9-40a4-8199-102c8cb91729	0	0
62afe4d9-a847-4428-841a-092e43f5f9e3	0	0
e60ebb61-9766-42a1-8560-549f7022ef8e	11.1837229437229446	0.932067003078403178
3f1e72db-34ed-4a7f-8d21-b824b76ab2d2	0	0
5521f64d-7448-457f-8b1e-0835887bb76e	0	0
72840c0f-f815-4963-95f1-faefb24ad6fc	17.1436818181818182	1.4287782533964648
fbabc4bb-f334-44fc-b6ee-affd3b8d7166	0	0
6d9f19b4-3912-42ae-860f-78d51f82493c	16	1.33346222222222233
616d1190-7e0d-4187-8dc8-46b16aea9655	0	0
33fda9ce-07e2-4fad-a6ad-c60d058b79cd	0	0
7883d494-8d7d-4058-8bd2-b332a1557a23	0	0
f479dcef-ce84-4aaf-a492-fc72614649cd	0	0
3daea560-1105-427f-9894-67232fbd8aa1	0	0
347fb53e-3f6a-4354-b3be-39e2c2129758	0	0
0e50a12f-2707-410a-89ab-2acca43ea8ff	0	0
9fe70c33-ca54-4836-985d-7d8f85782be6	0	0
f82bfa14-6d2a-4f7c-bb18-5e09900e1037	0	0
02d3c9a1-af4c-4623-908d-306ab97f9c40	0	0
79d59aa6-498f-4f4d-b831-6ca33fa22d46	0	0
dce28855-f66d-40f5-8e86-b56f4af4cad3	70	5.83389722222222229
e5b0ce4e-2afe-41bf-b546-0059be37bfbc	0.594125249072381956	0.04951291294456963
9b6e229d-53d2-4364-acbd-63fec57629a4	0	0
2bb8252b-ddce-44f9-a36d-e22b1337b5e8	0	0
1a4fa753-c05f-443c-9f12-254ff74aecdd	11.1837229437229446	0.932023510822510892
a53325dd-1522-4f34-808c-c86f31d65836	0	0
4eb78dbb-1246-4c0d-b65a-f4f17502e33c	0	0
057d1e97-543a-47b1-8c1b-b1db944fa65e	17.1436818181818182	1.42871158352272709
e6f5146e-477b-4986-a2b6-0f2821150889	0	0
e0875768-f0cf-48a2-ac10-062bfacc62bf	16	1.33339999999999992
8c31e177-04ed-4e9a-a5ac-a21c21f1d79f	0	0
5d2c601a-2609-4c86-b781-10c717206394	0	0
3279b085-7054-46a0-8ab2-8808f729dcf3	0	0
4ab7d869-c147-4513-857c-55452b698334	0	0
a1463490-28ab-480e-b56e-f67c8b904dc5	0	0
4205cfff-08e6-4112-b1f9-05c6f8b24266	0	0
13d52808-d4e4-4504-a050-0bfa3a9f6412	0	0
6bc3d1ac-0e0f-48a7-aef8-45490565d126	0	0
5cc8af74-85bc-4926-a96f-5fa11d8da1d8	0	0
eca31cf8-bf3f-4a67-b717-1a489e2208c0	0	0
a0d84026-37f4-4ba0-9ea2-a81a2b04a286	0	0
8b8a5698-dc96-46de-a0dd-3ae9ac6b8e43	70	5.83362499999999962
b61d8d83-1137-4d1f-b131-83a159521aaa	0.594125249072381956	0.0495160486056064053
cac8bf08-f08e-413d-99fc-d59d1d3ed050	0	0
ec435746-888b-4001-8951-70bb4cf9b0cf	0	0
fb23fc83-abda-46a3-9f6b-438ff73cdf5c	11.1837229437229446	0.932082536026936137
ba3857be-6fb4-4d3a-8d27-0f749867dadf	0	0
1cc5cf6d-c349-42bd-af40-ccfb30252d5f	0	0
568df3f1-7021-4206-a3c0-ef74f2306991	17.1436818181818182	1.42880206406565669
63b8a4a1-7d0a-4f83-956f-2ec8e46807a0	0	0
2e6dbe56-da07-4457-af4a-c2adb9cae84f	16	1.33348444444444447
7621f3fd-260b-46fa-a78f-20b3ecb09af1	0	0
6be01d79-e397-4201-8abc-900f4cd8da15	0	0
898d7589-4dd5-4eaf-a148-0b10e2db37ee	0	0
6c30388c-fbbc-43a0-80b8-96149ad40f28	0	0
56341af8-d1eb-4e40-9fd0-befae7b0ef93	0	0
e29affe1-c314-4094-9d1b-13c02ccef48f	0	0
71aea80e-d96e-4bd2-a917-e32ba13b4957	0	0
175fe584-93bb-4c93-ab42-d9b99ad7ce0f	0	0
16504a54-5a4f-44e1-9645-db84fed2f955	0	0
1806ec31-c6b8-4b3f-bdd6-6bb435472ea4	0	0
502e6843-511f-4fac-82cb-db7398039558	0	0
efbd700a-1db4-40e3-8b68-9251d60225da	70	5.83399444444444448
0a978d48-c4b2-445e-859a-2847052dc8ef	0.594125249072381956	0.0495124178401954093
ed7fc083-ae6a-439b-8835-6bbe0f622423	0	0
33ce167d-9246-4798-b7b3-a773a2737003	0	0
74c8d125-24fc-48b9-b23b-22b090d6d264	11.1837229437229446	0.932014191053391117
e263a676-ba83-4c92-8cbc-d9c479e43f4d	0	0
fb1e9789-55b1-4f7b-966e-4dfcae709cd9	0	0
fcd16e21-984c-4a60-8760-c7a6cbf2618d	17.1436818181818182	1.42869729712121218
a4a221c3-3093-400c-918c-f277a5650fbd	0	0
02f55fe2-a093-4758-9c44-dad6e0de27a7	16	1.33338666666666672
24e8726a-a385-4fba-941a-3bbca0694bd7	0	0
c79991ed-776a-4ef7-82a0-e533a4c16cc9	0	0
f29fc77d-d6cd-4207-8daa-efffebec84a5	0	0
7f32c5b2-0df2-40c2-bfab-4845ac3928f9	0	0
d84bd414-31f5-4d78-bfc0-415fd0aa29d5	0	0
7c7bea0c-d641-4e4d-a8d2-8825b4a48aeb	0	0
3a58cbdc-38ab-41c6-bdb9-0668298f8fe7	0	0
457936a9-46bd-4537-a694-41c27951d6ec	0	0
7417a576-4daf-4127-8103-0302e3fc1417	0	0
3afdf9d9-f35f-4829-88a1-b7d098e7f05b	0	0
88ddbab6-819f-4430-90ed-d8e45ecf5714	0	0
7f68a8f5-cef9-4022-999a-8f5d7712d34a	70	5.83356666666666701
bd067203-a890-4370-8320-03934df74006	0.594125249072381956	0.0495140681881094877
df49bc52-6ff2-40b2-8bc5-4681c1adac43	0	0
f94c5bff-adca-431e-93b2-481f83ce9a83	0	0
73269cf3-b029-4007-8d7f-03bca62f9b74	11.1837229437229446	0.932045256950456924
d5fee78f-8b23-4b83-b4ce-1919f0e0faa6	0	0
e5749286-4f1b-416d-b223-b18ff2b9309f	0	0
331813ff-232e-479d-8bd6-f7cdb03974f1	17.1436818181818182	1.42874491845959595
b73095d9-ea5c-4e5c-a3f6-d2fafb4fc9f1	0	0
4fa0068d-f8ae-4b2a-b836-b7aed01172c1	16	1.33343111111111101
132db5b4-e6d1-4e7b-aec0-19f8eecdc5c8	0	0
aefb6f56-233f-4957-a76f-f09ee2ee56c9	0	0
54925957-af15-4ef4-90c1-5511ac614382	0	0
e0a32598-3b09-4389-8e6b-f9cd60ac2527	0	0
aa3ab475-c456-4e37-9eb8-d26ce3714ba9	0	0
7bbe200d-9e86-40dc-8a2f-b10a94961a02	0	0
ac068592-315c-498c-9e9c-b7a87f40563a	0	0
9c8a7990-aa57-4487-a802-8a5281629fa5	0	0
183ea083-1fa3-48c7-b6eb-57e1f649fee8	0	0
d699d655-e3d1-4ab4-bf76-8c5aeb4f69eb	0	0
b098f708-91a1-4b0a-b1b4-ad5128a10f02	0	0
9b20dbf0-6c0b-4988-83ac-092dba425adf	70	5.83376111111111051
45d1dfc1-5da4-4ff1-93fd-3e8bfc196959	0.594125249072381956	0.0495134080489438577
5ba18be1-3c15-4ffa-85d9-d82ab7706051	0	0
d0b6921a-4b38-41c6-a597-8172032fa92d	0	0
481103e0-016a-46ed-8145-74692b3e8e66	11.1837229437229446	0.932032830591630668
dd04ae23-8ed0-48d1-ad86-617ba9c3ad7d	0	0
37f3b74a-b150-4412-a1c3-5c1769d77288	0	0
e867e948-a6f4-4a9a-a218-268d10a68c0e	17.1436818181818182	1.42872586992424244
14ed3a53-c53b-4226-82df-c4cb091d38d7	0	0
aad0fab1-b158-4474-9a99-4c99de1f1ecd	16	1.33341333333333334
7aab2951-21c9-4fcf-a3c0-8d06107cb17c	0	0
412b9614-1eb0-4d32-9a6a-8b1cba454817	0	0
9855c4a9-116b-43a1-a266-8f5cb5425587	0	0
1b2ae2b1-648a-4cde-ad08-2b557da25064	0	0
5317898a-22b0-4481-b57d-92dbd77146eb	0	0
536da6ae-59f1-4d8d-a5a5-7099c7f3e052	0	0
319798aa-dfa6-4acb-9ea8-3231845586ea	0	0
fc46946f-f217-4f5f-a129-b3a8831777c6	0	0
74fafe68-2524-4f62-9bec-e3816411f1a9	0	0
4434c606-efb7-499d-83fd-0e893a82d3ac	0	0
8133ef96-9e95-4049-82ad-7a74a8a2ac0c	0	0
4e1b675b-9a04-4791-b67a-30e1761e4efd	70	5.83368333333333311
9a68b54c-fd99-45f3-817c-8bf7ad261c4c	0.594125249072381956	0.0495142332229009038
b4cd7799-9418-43e9-96c5-02592c1cd951	0	0
e114b54c-84de-4e9a-951a-e3cc16cbf4db	0	0
01e6d15f-af29-446f-b4c6-e73ccd22675e	11.1837229437229446	0.932048363540163516
1c135444-04c5-4527-b36f-4393c059c768	0	0
0a31a0f8-b226-4918-a571-db085ca818f8	0	0
31eaa4d5-efe0-4463-b0ba-39f3b017df13	17.1436818181818182	1.42874968059343432
09e8a213-a0c7-4601-ac3e-6f0c9919450b	0	0
00f26934-a028-47bb-9225-6458bd653a2f	16	1.33343555555555549
e2c5a410-a32a-477e-9ded-910d5e8c33d9	0	0
49776d02-759a-414c-8568-a62687bf560d	0	0
2f71faea-0fb9-430d-b9c1-f9a53da95bfa	0	0
df8d0c5e-66a7-4eb0-b200-80d071a644ae	0	0
a7d9ca91-87e7-4732-a9d0-abb8c1408f0d	0	0
b30a7c50-65e0-4364-840d-cfb7228df41f	0	0
62a658f2-3982-41b3-977c-cf2366b38588	0	0
3c4e03d0-459f-4b5a-8610-54acbaefb5fb	0	0
997094d7-1344-40fe-918b-1e258e952212	0	0
66a0d17a-3774-4fd1-a56d-e578f5487b37	0	0
daff4ab2-7120-428e-a9c0-15cb29998826	0	0
edc563d5-ec66-4c0f-8113-1e2f923aaf8f	70	5.8337805555555553
3d363cd4-3d46-4f1e-9796-0deb7d24733b	0.594125249072381956	0.0495148933620665407
d8a4f087-ab86-46df-b1d9-ddcdc480b845	0	0
f5798815-49b4-4038-be32-207f5d313971	0	0
04849fe0-06e1-4e47-8649-588166f9dccb	11.1837229437229446	0.932060789898989994
fe857fb4-638b-4f54-8e82-4072c79b57c0	0	0
e16f6783-68e6-429c-bab7-f7eb9229fa31	0	0
f123901f-efb9-41d6-9e79-de2f51321374	17.1436818181818182	1.42876872912878783
14e66d36-6291-4435-a315-18a39e8ca854	0	0
c6ec91f2-2edf-4dbb-8d90-4b23666811b7	16	1.33345333333333338
d901de34-2e29-4d36-a613-491d014aa48a	0	0
50822745-930d-4016-8151-a825ee795ea8	0	0
39bd448e-7be4-48e3-8896-94b3165764d6	0	0
02d5017c-e300-457b-a4cc-001aa6068cf0	0	0
6655ec47-c0e3-4d4e-bb95-e23746690d51	0	0
0f301a03-4e90-49d5-98d8-0b4fbe9567e5	0	0
566a6117-06b4-4045-8b03-c061b4c92b32	0	0
7cd01e00-1df2-4ff4-b804-7a13f985aa20	0	0
3d6af763-cc21-4e81-88a7-43c17416598f	0	0
99fb24b7-5bf2-454b-bfdc-45c7636367e4	0	0
f958caa4-213a-4232-a19a-6ad2d52da21b	0	0
04c85e8f-3739-455f-9136-8e3c66790553	70	5.83385833333333359
81dbfad8-9366-47bc-a16c-8ed136908152	0.594125249072381956	0.0495120877706125839
4b43c8fe-d8a1-4dff-be0c-9c565c182e82	0	0
f78ee39d-ebce-4721-a290-b8a7dcfe68e6	0	0
e5c92562-37b1-4a62-93d5-3bb1d2195c22	11.1837229437229446	0.932007977873977933
dccee621-411f-4f9c-bf73-f5fa662dafd2	0	0
1f2e89c3-8a62-44db-b1c7-958cc1c40da6	0	0
77f0cc78-5251-4f0e-8af7-f312777ba91b	17.1436818181818182	1.42868777285353543
7488fdad-4a42-482e-ac9e-66a3b4190905	0	0
dc1f107c-6c4b-4197-a7eb-c413f688d319	16	1.33337777777777777
c6e08068-0758-4b89-9d2b-87d15b7d8890	0	0
622b65f4-5e9e-4760-950b-0c110c145045	0	0
dd35ed08-3207-4f15-9342-7b1d5fbea5ff	0	0
ee32c1ff-ac57-4661-b627-6d60ffc735c4	0	0
6ceaee5d-0481-4d0c-af60-6f957ed52567	0	0
a87f2ebb-fe9e-4398-9eb6-997ddc41479d	0	0
b586c956-211a-4d08-a377-e34ade1aa83b	0	0
a3550388-4d66-4934-951e-4635f994615a	0	0
ab0893a4-46b5-487d-b412-fa1360c07fdf	0	0
dbd9c109-0bf8-40b8-9baa-ee34f0c3e4d0	0	0
c93d4fbe-c5a8-455f-b9fb-44effe359863	0	0
e632afab-7cf5-489a-85f8-4eb3188c1595	70	5.83352777777777742
60d766c5-33ab-4bee-bae8-cb3b6e2d3d02	0.594125249072381956	0.0495147283272751315
8c965bf4-8116-4f39-bc8f-418b54d85c1a	0	0
1c5c0e7c-a547-4149-af00-f85dbff979b6	0	0
234e8824-613d-4f99-9505-79ccf04c2f58	11.1837229437229446	0.932057683309283402
8c6ee18f-70c2-4f07-983c-8d27ef62de9c	0	0
457c063c-223c-4a23-8a29-9c8e29119c24	0	0
c1f1360c-daa0-44a9-af00-1b4197c3200e	17.1436818181818182	1.42876396699494945
fd829c0c-6618-4ac7-93af-92b2528263c3	0	0
2c8cc67f-b1f4-4ff3-ba51-476c4f5a3cc2	16	1.33344888888888891
9a12f3a1-186b-4f3c-ad9c-0521a08d24f9	0	0
463317ef-6e74-457e-8186-8a7209c803bf	0	0
e84f492b-7871-4bc7-a173-7a3531e454aa	0	0
ba88a8d2-8080-4354-bd43-c804f3389c43	0	0
045398c9-60a0-470f-b685-8ab2a27d7bc3	0	0
63eb3c5f-1e94-4518-ade0-3ce116953026	0	0
bd6f3a93-7e88-4998-9f18-1bc98e432ed1	0	0
35038375-e2fc-4604-a7f3-5b08333ee41f	0	0
0f7b9fd8-9fab-4321-9714-bb0fa025163f	0	0
7b9ec9d7-6172-4b0d-ba02-8f0e6c3cea92	0	0
07c7a5ab-d937-47cd-80ad-b5a540386624	0	0
84f132d9-408c-4797-811f-c8a1f0c3b27f	70	5.8338388888888888
3a0a8cd2-900c-4bf6-b2ab-cbf98907ae2a	0.594125249072381956	0.0495124178401954093
4b45aa08-147a-49c5-987c-25a688fe80f3	0	0
6697d999-2650-48e2-a2d9-7e65f60bd565	0	0
2c6b2896-d207-43ad-bd0d-da43bdfcd781	11.1837229437229446	0.932014191053391117
9b77fc46-1446-45cb-b698-16340c4842a1	0	0
57905c08-e0ba-401a-94ff-c26124c116fc	0	0
df2b0462-deca-45b9-a7ff-0233449b741d	17.1436818181818182	1.42869729712121218
3fb88a27-b306-450b-ad32-de6239903f66	0	0
0d503863-4b16-41dc-a8c6-e6e050802ca7	16	1.33338666666666672
bca883c2-1d7e-421f-9315-7006ee616d91	0	0
8b1c0004-65a8-4153-9b85-4743ff5b052c	0	0
9d50c2a1-eeb8-439c-90c4-26bf91783a54	0	0
f600cb3f-5f8d-4f37-8268-18e840d2cb0b	0	0
29df9cba-5bbf-4732-a279-85d1035ab612	0	0
4b24f22b-a804-4233-b6c6-9f3cd2308770	0	0
b8642a3d-f825-49b0-b1a9-a53797aaa5ce	0	0
2e25c6fc-5c8f-4700-9bbb-1704102e90d6	0	0
c0f4f03c-2848-48c1-9487-373bd7b5bc28	0	0
0b55c395-11af-4113-8c54-bfd51f2f114e	0	0
f1ef4d13-ff90-4df5-bd05-daa5d5cbe9b7	0	0
66dae3fb-569c-4052-937a-b058b717aba8	70	5.83356666666666701
891b47f2-9283-4fe8-bc55-a420c7998bc3	0.594125249072381956	0.0495148933620665407
e37316a3-1f3a-4a22-8916-c7ad3f80c492	0	0
7a6ad461-7dd6-44ed-9aa2-d1f574bf5bad	0	0
fe63b7c2-3e73-44dc-a9fe-864f10aad575	11.1837229437229446	0.932060789898989994
1ecaac52-9aac-45ae-8df5-e783c6819249	0	0
4ad293ea-ffb4-4b40-9a74-38f3f3b58412	0	0
aad71350-d80c-421a-98e3-f8e15661265d	17.1436818181818182	1.42876872912878783
819fac55-ac3e-4648-bd29-24a79b235baa	0	0
8c7bbfe2-01c5-4e00-aee9-6287937215c9	16	1.33345333333333338
56993091-95ba-4856-ab4f-45e576131003	0	0
2372c086-965a-4295-a647-152695f1e0e7	0	0
4793f295-57d4-489d-96e5-04d340f9ed95	0	0
2a2b5caa-3685-4dc0-9147-f392cb49a508	0	0
8f58643d-05b7-47e6-a4fa-f014d3a7016e	0	0
badbde64-4d14-41d5-add5-7c7cda8fef90	0	0
881053dd-5565-43bc-a0ca-1cafdbd0fc50	0	0
2a20955d-a9d1-4c29-a359-38e1c4d8c51a	0	0
bce0a6e6-9292-400a-802e-de9d4e928d54	0	0
e8952eba-62aa-4c20-b749-ffedcd658e21	0	0
4993ec45-39e5-4dd1-ab76-f8e08a9e0d9c	0	0
ce93f247-264f-41df-b9e4-0bc76f70cb49	70	5.83385833333333359
2aba27be-0ab8-4597-b080-adcfad983cba	0.594125249072381956	0.049556647164293019
fde550f2-1146-4fd0-84da-6837c84f3fe2	0	0
06201681-c7ee-425d-ac18-77e654271d68	0	0
4bb52e2c-ed35-4fe5-9c06-a4d972cabceb	11.1837229437229446	0.932846757094757284
c08a03ae-7f52-4603-90a9-b34d2d9307f9	0	0
78738a2a-9c6d-4bf0-8162-897411de93ea	0	0
c3586793-8bc7-4da9-9dda-764bdcfc6685	17.1436818181818182	1.42997354898989903
e92aeefc-4e8a-4466-9d84-3b33097b8904	0	0
8f340657-7e24-4dd8-bd87-999f44fd2fe9	16	1.33457777777777786
ab0edc53-470a-47db-b572-ab9885f0619d	0	0
4fbe4dd2-5e96-4c22-8802-ca363177a221	0	0
48d99fd5-ca98-487f-b2e8-5d128f7de9f3	0	0
67ad9f08-9db4-490e-9814-61a31cb13f11	0	0
f56b477a-e37a-45fd-b8e1-f099453158c7	0	0
b4538cd9-b39e-44a7-8af7-0058bac829eb	0	0
ad68ac2f-3067-478d-a38e-e1eb7c3c561e	0	0
38b55ff7-dcc2-4e45-9c18-bac249b77a59	0	0
0c01e2a3-98bf-4dec-b7e2-466b20b1a0d2	0	0
407fffdd-c934-4e89-a83d-e060a5e7d97d	0	0
8bf67eea-2ceb-4e45-8c2f-e7b0928611b5	0	0
38f97276-c761-4a33-8645-aa40b8d5a843	70	5.83877777777777851
3ad1defd-39e3-4935-a71f-fe62fd1be34c	0.594125249072381956	0.0494724794206744256
8e9056a0-12b9-48cf-8c71-c1716732b29d	0	0
8441e837-ea7f-4eef-8e25-d368a4ea8985	0	0
29414321-4cf9-4a00-9818-34969ee57890	11.1837229437229446	0.931262396344396337
e0436457-09be-427c-9770-a8bc5bbdcd30	0	0
2a9fef7f-1ed8-4035-ba5d-7891cc139b42	0	0
4b156b14-36a0-41e2-a6b1-72dbb036f805	17.1436818181818182	1.42754486073232312
c5c2e710-01a4-4cd1-9339-4b32b96ed379	0	0
9519ef41-d468-4aad-868e-1f4f0a3a09bc	16	1.332311111111111
99025572-991f-4875-aaea-a073fcfc69c7	0	0
9033c205-5ac9-43b3-aba4-befa6c1d05d7	0	0
fbab0fbc-85a3-4d9a-acec-ca07baf4059e	0	0
4d3a8618-34dd-4e5e-aa59-6153395a944e	0	0
9b08ee7b-0bf0-499d-9d50-9c94d2e1ff60	0	0
c36aa22a-237e-43bd-bbfb-936203f28eaf	0	0
a622bc61-e7b2-480a-8413-fe7283ee3b62	0	0
2e6cdf91-150f-40b2-abb9-66036e68b6ee	0	0
e1b4e9ea-9ceb-439d-bb82-aa522794e5e4	0	0
be3f6e1d-aab9-4073-bfd2-bd705921d981	0	0
884380dd-b6dd-408a-a4f1-3f8c99f645fb	0	0
db81786a-2e2d-4edf-ac37-3c74628c1e42	70	5.82886111111111038
50e80ab0-46d0-4610-aa52-f590f907998a	0.594125249072381956	0.0495122528054039931
a1408c91-80dc-46c1-9d6e-f3daa9a38148	0	0
e7b433c8-d7ba-492b-9fff-8e2154a1b6b8	0	0
28c56fc0-42f6-430a-a37c-85676f0b284f	11.1837229437229446	0.932011084463684525
f41ac201-efc4-47f2-8616-82e80d029cea	0	0
b13194fc-4e1f-4009-99b8-0ec6e4735a5d	0	0
48bc1fbc-9b8e-4c61-aa14-0966c3f8849f	17.1436818181818182	1.42869253498737381
3f6fbac4-b5d6-4582-8844-1e7397f181eb	0	0
469a26ca-8f08-433d-a39e-9912e484fc5b	16	1.33338222222222225
b762614a-a6ab-4e76-906a-ed2603196057	0	0
c2de48e8-79c4-43f6-855c-362c4b0c6c28	0	0
3c8edebd-fad0-454c-b750-988ac7844fe7	0	0
c83b6df8-1587-498c-84f5-f844f465f1b4	0	0
630a958b-1362-4fb7-99da-84760f1ba6c3	0	0
63537941-96b9-47a5-aae6-f604edf890cb	0	0
8ee0c520-f963-4c4c-b156-37b7cdb7e233	0	0
d4472ddc-fc80-4bce-905e-3fedc328efd0	0	0
0521a1f8-7d04-4f37-99e2-2c929e46549d	0	0
2f9d800c-af47-4a66-bf52-7c55a9aafb35	0	0
01dc9ca5-bfcf-4507-b1d3-3d043e48ec37	0	0
e5ca77ba-81fb-4547-95ac-292407dc51f0	70	5.83354722222222222
09435539-4c8a-43a9-8d18-57a9fc956077	0.594125249072381956	0.0495125828749868185
73bae39f-631f-4f71-a6ae-f5536e3cb32a	0	0
c3e92a78-f6ac-4161-ae65-fd952f6d32a6	0	0
d80128c6-297c-4cdc-a7b8-2b206981bde6	11.1837229437229446	0.93201729764309782
056a3f4a-becb-4668-8c52-19f7e96d8196	0	0
a22a621a-e480-4363-9d2a-597261a9b0ae	0	0
4aed4715-4822-473f-9fa0-2201c9b30910	17.1436818181818182	1.42870205925505056
80f32294-9fe7-47ec-97b5-29c1ed69746c	0	0
27ab20b4-6b06-45c6-8e44-41ddfa7804a3	16	1.33339111111111119
f3a2686f-d2ac-47c2-84e2-52a9f1c0acb3	0	0
f68c8565-b21a-4fbc-85ba-31e2c5484991	0	0
181f640f-7486-4c16-964b-cfd53f513597	0	0
7102e9be-d124-4898-9ca6-3b254fa30594	0	0
3a71d7a2-6e79-401a-bdbf-23ffc10bd228	0	0
2745cb54-0d39-4fea-8e46-78208422f3f3	0	0
d5c152ba-c0d9-4c6a-975f-fe8c298b0a0f	0	0
99a717c3-7f11-43a3-b116-b82164aa63d5	0	0
5a0ae16e-c517-4cbc-846c-479eb2fb20c3	0	0
70e3b20c-4431-45af-950a-6ee6c94399c7	0	0
8b563e83-cd85-411c-9d8d-c7b2b69c2ef9	0	0
d64521a4-c77f-4d5c-ab10-9b071c9fa199	70	5.8335861111111118
16e1412f-e6bf-47b3-b255-b379193bd6ff	0.594125249072381956	0.0495183590926861275
4028f807-021e-4766-a015-5acb7e48e1cf	0	0
435fd22b-ef61-4d9c-8dc9-2cc45a80974d	0	0
d2d5afcb-0bfd-483b-8e7a-555022bf11dd	11.1837229437229446	0.932126028282828312
cfc779d1-130c-4b92-bf23-c514a37e0353	0	0
4b5aa8ba-f0fb-4ae0-9e4e-719a41af4b8d	0	0
0b7af6d1-30fe-4e78-b872-1b5cd9540286	17.1436818181818182	1.42886873393939395
36524760-2659-4686-8f0e-bef673a2b95a	0	0
3ec10c3b-97fc-477f-94b7-e9320f0fc64a	16	1.33354666666666666
df43fc2b-379e-4574-9415-330fd2ef01d1	0	0
2017ebe4-3930-4fda-b613-f2443f773a1c	0	0
a4f5e21b-4095-4e99-8ceb-89ed8c625bac	0	0
2dfe1986-db66-4e65-b737-58c66742a451	0	0
615268fd-2d58-4483-a723-aecc2188f378	0	0
1c573785-ecf1-4d54-a743-365d936019df	0	0
afb4e497-ea0f-4ff5-8841-142bfc906905	0	0
794f1148-c618-49c1-8fb8-f8f6e94cb391	0	0
a6eb1302-de9a-4a11-9341-e64c120706de	0	0
7005306d-73b6-4b39-9196-efaa4a7eb2ef	0	0
ed8082ad-d48d-42e4-8c4d-0821aea9b23e	0	0
834ff5c6-f42f-4ad5-aa6d-bebf7d0d79ac	70	5.83426666666666627
7178a31b-2096-4db6-94a8-85c95307217a	0.594125249072381956	0.0495112625966555447
49ecbef0-0bf8-4ad5-ba60-69afcd4e2e97	0	0
01108805-7bc2-4881-a235-e13a6945ec32	0	0
c78bf5f3-3e60-4605-b903-a7cdac7c0846	11.1837229437229446	0.931992444925445085
930a5118-9dae-4117-9855-52c79bd74007	0	0
76221315-cd51-4761-b1fd-381147de931b	0	0
0fb73203-d0dc-45ec-bbdb-a3c9885bf080	17.1436818181818182	1.42866396218434355
88387240-99da-4ebb-a0f9-c4ae90a8b4cd	0	0
67dbf6fb-a9b3-4d83-950e-cda64b5f184b	16	1.33335555555555563
579926f6-a2af-4a71-a3ad-7e5750941f00	0	0
fc1ed1a8-7688-40a2-92eb-f465be53e7f4	0	0
cb82e08e-7bc2-4e3d-9045-6847f6453b57	0	0
36d4f199-3b08-4ecd-b5a3-0c582980a74c	0	0
497731e5-7dcc-4edb-bf2a-ab465a165d09	0	0
c48a09cf-d8e9-4ffe-bb57-f97f75f31082	0	0
b8151b23-29f2-4efe-a415-8fa9f53a4e82	0	0
084b31c9-b410-4562-a965-41a4482c7630	0	0
7f05693c-81e0-4b50-b2f1-41cc1e8aa5ad	0	0
c88e397f-6034-4a41-b5a6-41da62ed8037	0	0
97092282-7f6f-467d-82d2-cb152bfc5947	0	0
5939b69b-51ff-4137-863a-5e80159484e2	70	5.83343055555555612
82b70b82-fb36-4dfd-8e21-e5f200388990	0.594125249072381956	0.0495091171443672179
e8880293-f48e-4dad-979c-3c5dffd6fdb9	0	0
8f8606d5-ad74-42cd-bc06-edc413907226	0	0
6af83cd3-a7f8-4bd4-950c-b41239e16670	11.1837229437229446	0.93195205925925928
e1d18d99-e768-42d5-b6be-75df191533f9	0	0
69dbfa8b-5758-48d2-b47e-87184384ae44	0	0
40a12ced-592e-45dd-884d-00badf44de83	17.1436818181818182	1.42860205444444444
1a2e2597-19ec-4f2b-8457-33cd82d89b5a	0	0
99d6960f-18de-4902-8750-efeb06a11ada	16	1.33329777777777769
c50bd477-3ae6-449c-adce-325d8126e465	0	0
77d34ab9-445b-48ce-aa83-efa9c334782c	0	0
655215e5-1903-418a-b108-033173a19206	0	0
45c43c1f-b719-4f9a-8d82-044223a15e85	0	0
53cb3921-08e0-4f0f-9823-2b0790a1cbc1	0	0
ad52eebe-100d-4c3b-a645-7f8ccf5b431f	0	0
7894063b-52be-46b6-b332-b60e5bc0cab9	0	0
a0aad2e1-26ff-4e4c-bc17-954ecbeb460a	0	0
fb691bbd-7173-4b33-873b-b50adba325b0	0	0
fac07eec-4a0b-4e68-9929-7b54ad3b61dc	0	0
3a93c2dc-5bd6-47c0-94b4-bdcb44ebfb1e	0	0
5d66d1ae-d153-466c-8a9d-9bab9c061394	70	5.83317777777777735
1a3d6fe1-dedb-4b99-b7c9-74885631fd98	0.594125249072381956	0.0495198444058088105
cf386eef-0cbb-4b31-a8cf-af742136e6ac	0	0
169c63ca-8b28-47fc-b551-4dca1c461a22	0	0
4925cbc2-b32c-4d19-8811-932c8b96cea2	11.1837229437229446	0.932153987590187638
1170937e-c1c0-4026-a9d8-a91d02f07b31	0	0
44bafbaa-7c53-4b0a-b5af-2555910df416	0	0
36002d67-4f18-46d5-b049-380eba6f213d	17.1436818181818182	1.42891159314393934
4b14f5e9-0863-4e46-b402-15cd8a484208	0	0
f8e2eb62-af6d-474b-99d8-125539c568ee	16	1.3335866666666667
0c4e3b76-8afc-4f11-8795-c3edb93fc333	0	0
fe90402b-de0a-48df-8c05-6a9d89af1126	0	0
f4805f1b-058c-4ea8-b620-896adf695d40	0	0
6646b185-e712-4e21-82c9-c2464a1277a7	0	0
b0ac21d2-830d-4ed0-97af-796550ac2a95	0	0
37d7cccf-65fd-4ff0-91fa-747cf12715d3	0	0
1272438a-1831-422d-8dde-d05dbffa2f68	0	0
706b576b-46ef-4d27-a415-72985aaaff03	0	0
10ed867d-fe49-430d-9af7-bbe47062d842	0	0
b07c277f-7f9f-401c-83cf-62eb57bacb20	0	0
8417b6ec-73f5-446f-a6c4-b88e9ee2078a	0	0
3b6fdd46-0680-4776-86d9-07e9326e04da	70	5.83444166666666675
cd24dbeb-4596-40f4-a49f-9c72304e44c6	0.594125249072381956	0.0495158835708149961
1e98ad12-beff-4a7d-9045-723a3ad7d024	0	0
50b1eded-89c1-4d95-8643-c1bf70afe154	0	0
55309c40-1a57-4fb3-a556-a5744a197fb6	11.1837229437229446	0.932079429437229545
da220ddf-68df-498d-a05a-b75f4b3dce5e	0	0
bcbf2502-188b-4d10-bd9b-cc2fe6d74196	0	0
55ffdc4b-07f5-45c3-9585-98a46c028b72	17.1436818181818182	1.42879730193181809
899f3a66-5d19-41a6-8c31-959392e0bfd9	0	0
ecafccb1-b4e0-46c9-8e22-2a73d8fa4de0	16	1.33348
da22233a-9707-4b9b-a4c5-77b4a334ea88	0	0
552340e4-da49-44d4-89e0-817b7a52054d	0	0
276d5828-0663-4ede-9238-219f26305934	0	0
37e89625-2e37-49f5-b59e-031f49586684	0	0
7468306f-0804-4aa5-acf7-8ed868a5c1e4	0	0
5cd17094-49c3-4934-bcb4-62aeb36d4b0f	0	0
76967b97-6913-4542-a35e-ae792ac042ca	0	0
d8da907a-4aab-4891-beb0-30d9c9281586	0	0
a430e3a7-3fbf-4016-90ee-95de1601da60	0	0
1e2562e9-6252-4d30-8499-488cf1cb2aaf	0	0
a4c0e489-99db-4d5a-b1e0-9e719b6fc927	0	0
6a36542c-603c-421b-ac6d-9bc633e07bf5	70	5.83397499999999969
23044a0e-f622-4268-9fec-dc2cd8a5455c	0.594125249072381956	0.0495094472139500433
dbe1ce74-969a-4c94-87a3-6a8a48a0df61	0	0
33033cc4-d0ac-4b7f-9c40-7feea0f53949	0	0
5742f67c-daf6-4217-9197-fa62b277c000	11.1837229437229446	0.931958272438672464
56d84658-6d3f-433b-bcfc-fe31ee14df60	0	0
944c0280-c1de-4005-91e6-3936afcf32bf	0	0
2fb8b8df-04b0-44bc-a863-f20f126be119	17.1436818181818182	1.42861157871212119
5f62ef60-2053-4c20-b077-23f96bd98d15	0	0
2379026e-b3df-4305-ae5c-f846c7683c06	16	1.33330666666666664
e13e2892-5ff3-4d2e-a411-180cb8deb71c	0	0
f31e9581-c35e-414f-94f1-1fccb7f060cd	0	0
a64afc55-44d9-4e81-a49b-0ddaab557e7d	0	0
111098c1-799a-4059-9af3-dc481e50deac	0	0
1b51acb4-3964-49ff-96ae-0fd218396429	0	0
c72339e7-24c4-4451-b68c-a8c64f161fe2	0	0
384bd2b1-15c9-4fbd-a63a-ca28f0b6be42	0	0
19416126-8251-48ae-ba01-b608623ac398	0	0
a04ddc46-002a-455b-89bd-f96924e0e7f1	0	0
373cd5b7-d6a0-4c30-a64e-1e4b9af117fb	0	0
6b1a2220-07b4-4d7a-9cc4-ccf4b98698d3	0	0
014d7ff3-9e2b-4a4a-bac6-26575fe03824	70	5.83321666666666694
467cabe6-f2e1-480b-8080-2b56d909b53b	0.594125249072381956	0.0495167087447720353
7c882e9e-d5a8-478f-ba15-361064b37240	0	0
b8e2ba7c-e39f-41c5-96b0-b36a25e8ae65	0	0
6cd4bd71-f7eb-4783-a269-a8938b15d87d	11.1837229437229446	0.932094962385762393
d2ca0a0c-39ef-4d96-b638-cadee38f3a94	0	0
d9ed7047-f52a-4442-aad9-437cec4cd4db	0	0
544d0e5d-1e7c-4102-babf-3014139ff156	17.1436818181818182	1.42882111260100997
c31e0a79-1a09-40ea-a61a-9186131fba3c	0	0
fa24516b-2b21-42ba-9347-0c62b472ef5a	16	1.33350222222222214
a4f1f25e-b701-4ed9-8ee9-5507bcfa6c29	0	0
18b753b4-80b6-4bcd-b162-a26ef2b30675	0	0
6a6d5cd1-8cf2-4d48-a194-63f4a7088f8c	0	0
b73202c6-3d47-4bd6-aa98-57451a4f6940	0	0
fbcfe951-55c2-43a6-ac82-1d5b65a467bf	0	0
cd45f5ff-fb31-49fe-b85c-37d34f9c0866	0	0
39f870d2-c8ea-4ed3-9205-129e1fa88a6a	0	0
bda77cd7-6bce-4dfa-b054-62fe8d54abbc	0	0
510a049a-a313-47f9-8be0-4308a8597a1a	0	0
8e1d0a31-78ad-4f20-9c57-0da20955a69b	0	0
d73b2e0e-3ba0-4eea-98cf-6faf7ca6b1ec	0	0
0edfd9d8-5c60-4b10-b253-4649b7c2fc21	70	5.83407222222222188
fbceeedf-245c-40c4-8559-7a2617c7f9e5	0.594125249072381956	0.0495112625966555447
153c8a8d-dea9-4c4c-ac2b-90ca218ccf26	0	0
508d6adf-62e1-4ba8-b097-331f7868e474	0	0
f9d39362-2d60-4722-b368-a43a93585605	11.1837229437229446	0.931992444925445085
6b60303b-169c-4d70-9704-5fa476cddb81	0	0
d6cb1713-7931-427c-aa6c-24a9ceaaa6eb	0	0
211d7b48-2597-4c90-bdee-d63e2bece8ed	17.1436818181818182	1.42866396218434355
2802cb47-fad1-435c-bf0d-59a30f73cc27	0	0
5198854f-4f1d-43f8-b178-3fead93e6a57	16	1.33335555555555563
de9f1558-3f1c-4f80-bd47-74350232e1a4	0	0
f84f2d6c-c698-4f6a-b47e-5ae49787da52	0	0
db3aa9a6-b0ea-4000-baf1-4f0d030635fc	0	0
0cae598b-e31d-4deb-9795-bded4dd124d8	0	0
ad67428b-7923-4264-a27b-d914bd88de6b	0	0
1773a0f4-a9ea-4e64-afe2-a694535bd2f6	0	0
4946086b-623e-4522-9286-06ccc7bbff0e	0	0
91e26ca3-b406-4894-bf87-85cb1fbb8075	0	0
c82e959f-1c27-462e-8e4c-ec4aab674e32	0	0
b62484de-c688-4091-8088-6fc30f684d6e	0	0
c7949a34-71f1-4619-913e-0f4987ff439b	0	0
408d689d-3de5-40bf-a43b-409893aa3a54	70	5.83343055555555612
5e28d32c-9cc2-4368-85ec-f2c161566f86	0.594125249072381956	0.0495089521095758225
1f47a69c-01f2-4104-9831-3fd8b4f7fa45	0	0
9408879f-0615-427e-985f-6885f221a5a0	0	0
84f58337-c17c-4b8b-a5b0-268c833ea704	11.1837229437229446	0.931948952669552799
a520e5ca-1058-45ba-b2c6-50bc718c5ebd	0	0
5e0f13d6-74a0-4c28-8b58-37deb2d1d92c	0	0
ae36dc35-bfa3-4388-bf68-3653539c8c6d	17.1436818181818182	1.42859729231060628
e4cbd1c6-7625-4140-96fa-893a7ba87b77	0	0
0e2349fc-65ec-4bbe-a530-df33dfe195c9	16	1.33329333333333344
c3016869-e62c-4535-a546-702b43bb45f3	0	0
fce3a233-6d87-49c0-b693-892d6bad4a1d	0	0
e845c513-13d4-4473-9b68-b04cfa08b604	0	0
4b8c8243-f501-422d-b2de-10d6e627b579	0	0
389f9a8b-2548-4555-ab23-a8b73ae87089	0	0
0acafa17-9c78-4999-a61a-d06186da2b84	0	0
bb1b9573-569c-4957-924b-a4b28f0fa3a2	0	0
07d53b89-cc2e-4ebe-9909-d4117da652ae	0	0
0d32d7e5-32aa-4caa-8f85-79e98ce3f804	0	0
0341488d-abea-479a-9905-182b0d2548af	0	0
7ce7edaa-f9d0-4417-8816-a00c5732682b	0	0
eafa7a7d-7294-40cc-9704-6bf5e9c109f6	70	5.83315833333333345
98a20ab7-ead7-42e5-b411-72216043f358	0.594125249072381956	0.0495205045449744405
e1c73bdb-9602-4484-95fa-36720bdfa9a4	0	0
a041b7f3-83f9-440e-b7d4-2d7dc895cca3	0	0
aaab64fa-dae7-47a8-807e-6d3161754a08	11.1837229437229446	0.932166413949014006
dd879bea-2d61-4872-bd0c-7aec251bc073	0	0
cd093d01-c78d-445b-a28c-95d198b8fb98	0	0
d260e8cd-a5f7-4e56-89d8-29d2bc9646cc	17.1436818181818182	1.42893064167929285
82114179-5eb2-43c2-991b-5810997e33e8	0	0
0e9acb73-64ac-4beb-b0b2-d0bb2d094df7	16	1.33360444444444437
2a461dde-b27a-45b4-8aae-cc168043a4ee	0	0
63e19873-9b78-4076-b1f6-6115991e9dc1	0	0
751f41f7-2fcc-4057-84cd-21abc780bdba	0	0
ac453575-0b6b-4da0-9716-9f5a552c61f6	0	0
c3652e70-63fe-4030-8681-32f25ea89edc	0	0
2aaab11e-437b-4200-b98c-acbae59d3857	0	0
10bbe290-bd3c-4606-8d49-5631c66f47bb	0	0
1dfaed92-5157-4cb4-b516-f6665f036185	0	0
b244a574-34bf-4fe3-a90d-805701a36bbf	0	0
1b62e92d-324c-41ca-aec7-8fc5c6994a92	0	0
5ec15134-7285-42bb-9859-bb96b3f2ae04	0	0
c348eba4-ecc9-44fd-b22b-756e5c971409	70	5.83451944444444415
fd3d4683-5810-4bc1-bf6c-c0b2d91c5c6c	0.594125249072381956	0.0495142332229009038
e8fb716e-6c8d-4aaa-80ae-0de24038636a	0	0
8adec5bc-44d9-43c3-abc8-3c5c4fa4793f	0	0
6a47dc47-2155-4d35-89ee-d14badc6c1c6	11.1837229437229446	0.932048363540163516
99493191-44ea-4295-a9b5-8c9eb7f30691	0	0
7ea2a029-63be-450c-b35e-3bd97494f1c5	0	0
f16aa009-a481-4407-a9f8-944ca5a114cc	17.1436818181818182	1.42874968059343432
07942aa5-71ca-4950-904a-e8dd8aa5ce09	0	0
3de8e09b-b5c3-495c-923b-2cf6dedf9cec	16	1.33343555555555549
a49ebfea-5caf-417e-9576-6dfdf22cea54	0	0
f4e3aa68-306c-4525-ae74-0d567a62a746	0	0
5758bf11-3de0-4435-be09-8df06a81f131	0	0
e7d28bff-e991-445d-a2a1-d93ccc19cef2	0	0
1bca2d24-fc5b-4a06-aeb8-90a400f94eae	0	0
4b999ac2-29c8-4d30-bc7a-cfc37e75f537	0	0
cc1706fb-ad5c-4f41-8853-a89d1e7a1e70	0	0
b9792a40-f07d-427a-a84c-cb786f06c447	0	0
ff0b5d20-c501-4df0-a40d-57f40a4657c3	0	0
635cb8a5-08f2-4a12-b8de-3233f1406146	0	0
b26ed1ba-2bed-4df5-bdc1-13e27a2fa635	0	0
1bcc4efd-a572-40ac-b74a-4449c3950607	70	5.8337805555555553
f0c572cb-50c6-41d0-91f5-dbec27eb6f81	0.594125249072381956	0.0495162136403978145
22665155-6bfe-49c9-a991-233507aa92ec	0	0
b7840657-2e9b-400a-bb60-f1fec401d387	0	0
d61b84c3-b539-4af3-997d-301c5ac8098d	11.1837229437229446	0.932085642616642729
6dd362dc-59a7-4f2b-a833-9900bd8572a7	0	0
e114392d-5b29-43b1-914c-92f69cb0e7ee	0	0
7f0f04f6-84bb-4e83-93b5-d3fbe0c34332	17.1436818181818182	1.42880682619949506
bddfe77e-3bdc-4f35-a725-b1759c10e607	0	0
8389bfb4-92b4-4752-9768-dacada0acac6	16	1.33348888888888895
f51c17cd-9ee4-4ffe-b236-4b67addb59d7	0	0
0c9adead-f975-43ee-96f5-fd125bb03432	0	0
75ba95a6-4f53-491a-8c3d-dba093b7d767	0	0
55259d9c-1690-49b5-a16e-6b3cc3b5e81c	0	0
5b4f4ba8-5e04-4e42-8f50-7c4d215abb84	0	0
2bab3b90-b165-4043-998e-a841db292202	0	0
b8adfd29-c534-43af-813b-e8302d59adcb	0	0
4eeda17e-d64a-47cc-b8f0-6f46607fce4c	0	0
def41c8c-72ec-4856-aef6-436a0ff1a18b	0	0
fcfd7998-cc22-439b-8864-ff5e39644d83	0	0
08c85526-30a1-4fdd-bce2-22685458cfb7	0	0
9723cb21-c445-4c6e-bdee-52412a5829df	70	5.83401388888888928
c0b1cb7b-e930-453a-ac75-b17f3ef94fd1	0.594125249072381956	0.0495145632924837223
687738bc-abf0-485c-bc46-ba39d0e4eaa3	0	0
cbb482bb-0567-48ae-910b-cdc8740a7adf	0	0
39882947-ea84-410c-a2ef-69555af8a769	11.1837229437229446	0.932054576719576811
6c52eae8-be34-4dda-a400-350e7c0d5053	0	0
89b60bb0-8c40-4ad5-8c49-67c2d7ac9818	0	0
74d10a91-1055-42c0-a2ad-1248a4858cca	17.1436818181818182	1.42875920486111108
6b2f23e8-22e9-48e4-9032-e37066d4ad44	0	0
8510b150-6149-4ffe-aa31-29e691d7ca3a	16	1.33344444444444443
94a02c16-a365-440a-867c-537c0e0a90a7	0	0
e85d8dd2-9f27-4309-b34c-528c9a6a3dd7	0	0
cec64c85-72ed-448d-bbb7-0cfcf945f245	0	0
d862c895-7a4e-4f27-b3c8-aaf0705a4072	0	0
384b8031-e6ef-46cf-8b30-4616ac07f43f	0	0
2a423303-d4d8-4532-a3f0-fce5291ab3e4	0	0
0b034452-653a-4449-bed1-1ad6074edc8a	0	0
179f7870-1778-4a94-82b3-e056950a6786	0	0
0974775d-7603-4cff-9241-21f5f2cf9888	0	0
7c026808-63f2-4dae-b364-9972eb986c8d	0	0
2cc0db23-b90f-4756-b3fd-e790233605e9	0	0
57bc7d46-51e9-4682-bd8d-3aff264965ae	70	5.833819444444444
d8fed7ff-919e-494f-914c-479b3fbed06d	0.594125249072381956	0.0495152234316493592
003c3c12-4a4b-46d0-913d-4306ff389d5f	0	0
dd034f6e-1930-4544-8eb1-9da4f2bba2f4	0	0
617092e7-305f-4432-86e7-332d9560b231	11.1837229437229446	0.932067003078403178
6e73e2cc-44dd-4e18-845e-f4f24404998c	0	0
ca6a17be-03a9-4bc7-9572-f2f92d112609	0	0
6e5ef581-0c72-46d8-9e6f-3f7e85412eba	17.1436818181818182	1.4287782533964648
56571773-cebe-499a-8a2c-53016351b275	0	0
5a8530b1-303c-40be-93a1-debc38fc1ed0	16	1.33346222222222233
8498dd31-41dc-462a-b954-371005c14761	0	0
f35b59a2-c1fa-4589-8787-b59af4c44c25	0	0
523c2669-9194-4a47-9115-281444fcdeb1	0	0
c7c59dd6-ce1d-418c-884f-78ad4c8f02fe	0	0
07c214d4-9c1c-497d-b686-d571e83956f7	0	0
b718ab9d-f59c-4648-b18f-70150d453e76	0	0
48016868-4d4b-4be7-a846-5fc397e06039	0	0
00efe51c-d35e-4b77-942f-ad59b6fa26d4	0	0
49b06f09-e201-41bb-ad84-5813d5e2cb8b	0	0
dbdec91f-5218-4886-b0f5-57761c5a32bb	0	0
513bd594-ab10-406a-9b2d-2ee2807d37a1	0	0
fedbf62a-2bdb-43ea-acc0-e6d87337e727	70	5.83389722222222229
769f97c3-0180-4f6f-bb24-6f5582fdb161	0.594125249072381956	0.0495035059614593181
de98cb9b-5300-439a-b4fe-aa1d81891f9b	0	0
55b1744d-b88c-4015-a0a8-34c76d7be996	0	0
aa92cf58-5faf-4061-95e5-ef9ffeb6457e	11.1837229437229446	0.931846435209235269
295b80c9-ddc2-4149-881b-a9907d998319	0	0
d7a5d3cd-48b5-4821-b36e-4c9c652bf228	0	0
6e3032c2-2bde-4d9a-aac9-c24d8690c252	17.1436818181818182	1.42844014189393942
2dc80964-c049-4e44-b057-b86ebdcc8668	0	0
6420554d-62f1-4cb2-a44b-80b76f82eea5	16	1.3331466666666667
d2e500e6-0600-4195-be34-03b754b66ecd	0	0
2a64fd1d-b5e7-4146-b4cf-a2a9f3581603	0	0
60ca605f-4eca-40d2-9ed9-17489c011738	0	0
6c826d16-f742-43d8-9219-d29515977681	0	0
f83d8d3b-9814-423c-9755-2841416f7b6a	0	0
84d5364d-c908-46bc-a435-3a60b07e2e54	0	0
68f8c1a1-744c-4075-9bf7-c607517f938e	0	0
5d067a28-430f-4e2c-8eea-84f16b000d25	0	0
9625f2cb-0c0f-4340-8d69-2bac53577cae	0	0
b627d776-d8e2-4530-91bc-b48ba71533a7	0	0
408b0472-6b90-4b0f-9b48-f62a26092763	0	0
70e66ca3-acaf-41b2-bbd8-4c8174fe3790	70	5.83251666666666679
308efd0c-2dd8-4131-86f9-6f0c2e6e9b16	0.594125249072381956	0.0495181940578947183
49e7b187-6a0e-4217-a225-c21b547934fb	0	0
4ab5584f-d604-470d-9112-b25c0ab8bf8e	0	0
b0fed7f5-3daa-4de4-94cc-fd3e7cc0bcb0	11.1837229437229446	0.93212292169312172
feacb555-65c5-4298-b844-026b11467c45	0	0
75c57394-2681-46bc-815c-ec50fc6e2eab	0	0
db9c1a54-6e6c-4dc4-8972-8811d8f4d7f5	17.1436818181818182	1.42886397180555558
f2fed60f-ad2a-451a-af7d-8e65fe7a862e	0	0
05e25d00-c055-42e7-b924-96c7a3da390b	16	1.33354222222222218
4610bfdd-34ed-4175-a34b-9f578c93b0de	0	0
2074f4d8-2936-4ab7-af23-81835f506a29	0	0
6728d589-85bb-4aef-8404-ed6a815bdd29	0	0
43cdef3d-0ea4-458d-b37d-417eeaab83cf	0	0
589aea37-7bc4-4d41-8780-478886ecefb2	0	0
ec3c1a90-141c-470f-8020-33ed472fc0de	0	0
21a9088c-938c-4400-ae82-b88383e36941	0	0
d2b1dd09-9796-42d8-9369-c2ded213201a	0	0
afcb2130-3495-4ade-bf98-63b780d8bc3b	0	0
0438a6a7-3399-45e7-b7e3-084b5cfa185f	0	0
bf0bf468-ee22-4d82-a01e-c7ed764d0774	0	0
023fba2e-6dcd-4fb8-87e8-ae85862af5b9	70	5.83424722222222236
dcea8f05-bb6f-4691-8ae2-1618a7ec7a00	0.594125249072381956	0.0495153884664407615
785bae70-29ea-40e0-90c6-4b41b9bc89f3	0	0
c2e0ee93-3f7e-4c8d-aba4-9c4f493f1a4a	0	0
151dbc56-25aa-4d77-b725-6aa8bba19b5d	11.1837229437229446	0.932070109668109659
359c0d12-1b03-445e-b6a1-2a1b672700b9	0	0
29dedbea-8e5f-44aa-b6e3-1bb72a9825aa	0	0
f036a112-3dd0-45b3-93a3-acfeaed006e7	17.1436818181818182	1.42878301553030296
cc5ef46d-25f8-4a2c-b7e6-de2701f51d52	0	0
29fc5d03-025e-4bf1-817e-12c090df719a	16	1.33346666666666658
16d54939-ae28-4928-a005-f84ed6f4dce0	0	0
702aae12-b389-4854-8c39-bddbe6cb4242	0	0
fe1190e0-5f75-4b98-9ed4-e4db39c35c78	0	0
c22efbf2-daa5-4458-bb86-01636df51f31	0	0
049f61e5-cd4e-402f-8342-e5d9b99efbfc	0	0
cfd664fc-d202-468d-a87f-cff5246efe39	0	0
57229c33-c693-432f-a4c1-49351afd4acb	0	0
ba6167ab-f42a-49f8-a5ea-9672879cfa60	0	0
67bad34f-861a-44d0-ab6a-5fe94f4ff9e0	0	0
0da97748-24a3-4b77-bdcf-b163858b69d4	0	0
0ebc7e10-ea48-4034-9169-36b3a1e86599	0	0
d31a10dd-0cb1-433d-b3f0-149c313a0c05	70	5.8339166666666662
95375e0c-6dc0-4a17-97d1-30240bb89405	0.594125249072381956	0.0495137381185266762
eca6d67a-9627-416e-b3a9-9dc32d7ca260	0	0
2763d36c-8c75-4d00-8d44-612c7659b1c0	0	0
1a9133f5-6365-49f2-810a-bc7fd1db7f99	11.1837229437229446	0.932039043771043851
d6141d61-1970-4386-bc0c-cf82896fefe2	0	0
477d9a1b-0dc1-463e-919f-43600112e2a8	0	0
490c4a18-a49d-4221-8c6a-35372e2d8814	17.1436818181818182	1.42873539419191919
9881eaff-2735-4795-9ef2-6897d228dbdb	0	0
a6abdc94-0f5f-4473-a3be-bda0bc0e40d1	16	1.33342222222222229
fc2d2d30-08d8-4a07-8362-940f0d4f1073	0	0
e1148b8a-c551-4892-bf58-a6a2972a5e99	0	0
650ef020-b7c1-4e06-9c75-9c0d15453caa	0	0
4909099e-52c5-4650-9b02-2fe3e85d7b3b	0	0
87e323e7-a0bf-47c8-8a49-258ec4d3eae7	0	0
ecb4d6ed-1839-4f49-9651-6160be89eb6a	0	0
bd90c9e9-1e7a-4e25-a4ad-68e93c6c4d67	0	0
cc908c87-7fd1-4694-98b5-222b004e28e3	0	0
3719fae2-5966-483b-87e4-6d78c18bbb49	0	0
b8fba138-f441-469a-9566-1e5d6bfecfba	0	0
6872ee10-1cdd-48ce-9b9d-6f98ec229e54	0	0
f3fe1bbd-c315-4a36-a415-d4a0840fe3c8	70	5.8337222222222227
ee33c6cd-bd93-4873-a5e4-5e73d293209a	0.594125249072381956	0.0495132430141524485
a861a82f-d745-4c79-b247-3ad7f85edc55	0	0
ebe5f13c-eb94-4f9a-b23d-11e243493f8b	0	0
db6c07c1-7f50-47fb-a5ec-9de67e223f76	11.1837229437229446	0.932029724001924076
514abab4-d834-4f3a-b62c-4596a3d675e1	0	0
7de4ea04-43de-49b7-a96f-b7522a858a49	0	0
6c75e1cf-78a4-4e1f-8c05-88d6f45c385f	17.1436818181818182	1.42872110779040407
b6335154-93d5-4f7d-a076-c47a1ff250f6	0	0
21ce4f00-54dc-49f7-bdc6-2f5a5ec74ad8	16	1.33340888888888887
a6c5bf3a-ee8e-411d-9479-4c45b3179223	0	0
b83117d5-ff4b-4146-8524-155c2004655c	0	0
326f0980-22c2-45a3-a922-c862f7c2e0b1	0	0
21afcd64-3288-4171-b5b1-111e2cff2e3d	0	0
4312a90d-d8a9-431c-92c2-2b2bf207ee51	0	0
e1c75832-0588-449b-8a8a-04ef1f6a8dfa	0	0
878c7cc9-9c82-459d-b417-86bff80efd8a	0	0
deef44b2-0244-47af-9764-e9814b8012f8	0	0
e54dbeda-4f5f-42fb-b72b-cb712047d368	0	0
ec322253-e021-42e2-8a4b-b7c7553c24d2	0	0
20f88dcf-6785-4a89-b35a-9b905a60d908	0	0
8aba5128-caae-4e7a-9056-f2a015bbe45a	70	5.8336638888888892
ab11ce97-af7a-4172-a76a-9e2113b71885	0.594125249072381956	0.0495153884664407615
cbfcc8ad-6394-4c40-81c7-ab19722e8d9e	0	0
6755c5d3-dc55-437c-9b5d-4c1109513713	0	0
f0fa59cd-7b38-4ab6-9336-b8cc6b05e5b3	11.1837229437229446	0.932070109668109659
39ec52ba-7795-4746-89d3-78ca4ec8d280	0	0
2f92663c-cc70-47c7-852f-9afa806ed79c	0	0
9eb004e9-98d3-4970-87a5-d6277bb400fb	17.1436818181818182	1.42878301553030296
84f218a4-6927-429f-bc41-1a34e2095db9	0	0
2b694a35-59be-442c-893e-a385ac739722	16	1.33346666666666658
ffea4188-37ff-4ec0-8983-e358f70df7c3	0	0
91e280b4-a781-46b8-a670-0c077fcb8247	0	0
7e11c6d9-4252-42d4-b4ca-95a8eb363b3d	0	0
e8686d0d-3c97-4c33-819d-72f0bc29a88e	0	0
b18f4085-1306-450d-ba18-6a81a22411ce	0	0
4e2c86c4-2fbb-46a7-ab04-44d734d8f62e	0	0
66da665a-2bd8-4acd-bf77-f5400283f449	0	0
316889d2-d50b-4f2f-bde9-84952d66b413	0	0
19ec10dc-815b-4c1e-b0af-8c3d595a8bd1	0	0
c82a46c4-43d3-410c-96be-16fa827be428	0	0
5101e1bd-0e4f-4c94-83c9-5b27eaec6700	0	0
aa2090fb-2c11-4550-92af-1fd31a01cd30	70	5.8339166666666662
89d68755-e075-4a80-8129-98fc89117e5c	0.594125249072381956	0.0495073017616617303
9256210f-070e-4d27-8128-e1ec8cbf7b63	0	0
d949fbc0-a856-4689-95cf-97c1d89fed9a	0	0
7557aa57-7915-45f7-b8b7-083b5570b4f0	11.1837229437229446	0.931917886772486881
bb3eb4ab-dcf2-4c7c-805d-ead14c57e179	0	0
a5ddedd6-3753-4b0f-a800-5258ea31bbcc	0	0
0755675e-ab6e-41a2-92ca-da8575205b90	17.1436818181818182	1.4285496709722223
40c3643c-4f47-44ec-a787-422f4d20bf83	0	0
5e2d337e-d817-4884-9891-5a2aa98142f7	16	1.33324888888888893
0c4bae2b-41ca-45b4-81f5-eba70f79fea6	0	0
c3ad4cd9-22ef-42f8-aca2-e8a841b8a0d5	0	0
89b6070f-998f-47fd-9865-7772b2146a1b	0	0
88668b5d-7440-4997-8ceb-497d2b6915c1	0	0
126496d7-d2aa-4089-8f29-7e06998052dd	0	0
cd10179f-6280-4f9f-87ac-bdd49377c50a	0	0
8cf37557-5215-46d1-b503-24ef0febee4e	0	0
575bfefe-c194-4d67-9f22-ea23957c190e	0	0
2eca93db-8c62-48de-b62c-276a255dfbd7	0	0
588757f9-355f-446e-b872-ad0c5e661b6c	0	0
02d26853-7f6e-47c9-8f07-03d71706ceea	0	0
79d65e84-9a52-46d0-afde-eb25a61b17af	70	5.83296388888888906
eb6af03b-0a1c-4639-b9b5-cbdd68ec7b90	0.594125249072381956	0.0495190192318517713
326811e3-22df-4703-afd3-718864f88784	0	0
2da5f281-a14b-4666-8364-cb3c53df459d	0	0
193cdcb0-494c-444b-b098-b39f479c81bf	11.1837229437229446	0.93213845464165479
2a6515e6-d9a5-4fd1-8f94-5ec69213229c	0	0
a6610032-a541-46c0-94b3-4c8ef4bf1a20	0	0
24cd6a81-85e7-4a5a-b2c2-a90e0e7a6a55	17.1436818181818182	1.42888778247474768
9d5f599e-7306-4f47-a21e-d190aeb2eae9	0	0
1b0f5488-51dc-4dfc-8eff-7b02304cfd08	16	1.33356444444444455
22d428b6-3b07-4df8-bf0c-2d852acc78ac	0	0
98c2992c-9a17-4d89-9505-b2a7047c5883	0	0
43c92dad-74f2-4003-ba3f-93e40ad9a266	0	0
99285671-32f1-47f2-b2f6-8893d7e99d26	0	0
71330f57-3ee3-4391-b3ae-983a6b1cc315	0	0
02903466-a2eb-4f30-9621-4f4a4f439164	0	0
9b3382e7-6447-4e27-b4b9-b513366725b6	0	0
d2a73827-8cee-44f8-848e-f13893722ef3	0	0
96a3f76c-a44e-454e-b094-ceeb3192c8fb	0	0
f84f4cd6-b542-4886-bbcc-7900c3d035ee	0	0
e2722448-dbdd-444f-b7b3-9e23583bf7c9	0	0
d4431b64-e178-4ec1-8299-70744dc4ec0f	70	5.83434444444444456
9ada1024-8dc7-4d94-946e-518bef9ac96f	0.594125249072381956	0.0495130779793610393
88a8ad77-cbe6-4c73-9c9d-d3ae9bc7202a	0	0
8f67b99b-516d-4feb-896c-1746da1ab397	0	0
62f0772f-5605-48a7-a502-a3d5f4b9101a	11.1837229437229446	0.932026617412217484
c3ecc3ab-63b7-4538-a827-0198a004a806	0	0
c86b0dec-9fc9-435e-9d42-88a72aed6ca6	0	0
c1b7b386-ede5-419b-8ca8-9a699189e281	17.1436818181818182	1.42871634565656569
6505b554-b209-4fe4-8bca-6288f8cc7d59	0	0
b56d6e9b-5d09-4f14-9b8d-24b216465ff0	16	1.33340444444444439
8e1015e4-7c9d-4d32-84d5-5bdc4985a6cd	0	0
d6002d4e-b867-4e0a-8aee-c27f75d77502	0	0
2b937ee2-fb57-453d-ab05-4a8e1ba38a56	0	0
d5ced553-1e00-4ab9-b0a4-fb8408a6d478	0	0
0e2bef3d-d4af-4835-88b4-75ec66acb3c1	0	0
6e7c5b4c-0f67-4384-82b6-5b8fe2b0a95a	0	0
a8ed18d5-60c0-4e70-8170-9d5dc803bbef	0	0
c40ff1a6-1794-4f1d-bc2f-d647a46a55b8	0	0
d0e1eae0-d31b-4b50-8420-5d0d9fcd060b	0	0
34055afe-eafa-40f8-8b58-9d91b352dacf	0	0
07b4151b-c0e2-451f-bd18-8724f8993fc0	0	0
ca42b6a9-b062-4af3-b200-44d5da2a7950	70	5.83364444444444441
ab8460ac-228c-467a-8ee1-3eac26130a92	0.594125249072381956	0.0495143982576923131
47f82c44-81cd-4c27-939f-e7925b8a9fab	0	0
3f6d7c32-d08a-4157-87ce-c623fdfb88da	0	0
542816ec-8dbd-4912-85dc-84ed244cb6cd	11.1837229437229446	0.932051470129870219
5b5379bf-9484-4f09-ad3a-5e7798078c2d	0	0
e69f6c5d-3d27-4004-9986-8c14df7a8d8b	0	0
3502db3e-87d7-49c3-9325-beec7cc92257	17.1436818181818182	1.4287544427272727
37b68bf8-aefd-4959-9086-3b86cdeb594c	0	0
2f8822f7-ee16-4290-8fd4-e8af2ca9db23	16	1.33343999999999996
6db69bc2-43d6-43c7-acf2-d3e3aadd229a	0	0
dfd231e4-fbf6-4843-b829-2661a284ff0f	0	0
3b990bce-263c-4d88-807f-dc6d208bc79c	0	0
1c5aa4bd-0100-444a-8429-9557d9333a33	0	0
8f519245-9807-450c-9b7a-b1646cfd1189	0	0
90ad1070-7af8-4627-89fd-06e8e934eea4	0	0
83a456b1-2fd4-4406-b743-19a3364bf07a	0	0
3962f79c-0412-4801-9c7b-fb4c6a281fec	0	0
9aa09d7d-7c5e-4348-9792-f75460d39f18	0	0
9ef6cf44-6875-4c92-ad60-56f2cbab4ff8	0	0
bf54460f-0af0-4aa8-b2f9-e5351f17841d	0	0
bf945464-8435-420e-89fa-f5865f55e5a5	70	5.8338000000000001
1950e6d6-65dd-4708-babe-8bb3756440c5	0.594125249072381956	0.049516543709980626
dd31596c-22a6-4396-9150-11c3f14f08fe	0	0
7ca9e033-602c-4765-9684-d642b0d938ac	0	0
74e2901f-ab60-4a80-bee8-059764a588d1	11.1837229437229446	0.932091855796055802
49dcd867-1337-4c31-9b95-c8e0eb03c5d7	0	0
293b12fb-8621-48d9-b1a0-fd2ef98b8866	0	0
3f330428-1727-4582-9fe0-30c89861702e	17.1436818181818182	1.42881635046717159
4de81d55-11c5-45ff-bcdf-74c20c598d31	0	0
db2d327c-cb0d-477c-a123-19261b8ac512	16	1.33349777777777767
ae5707b5-432e-4ae7-a609-971730280182	0	0
8807308e-100d-41a3-a4ec-e63d50065817	0	0
397ae8fe-ab1e-433a-928b-f15c693846d2	0	0
e77f7553-7987-4642-a9bc-3a8daa457441	0	0
5728b78a-6999-484d-b7d7-55927a01ea97	0	0
8da53739-c7ec-4630-9f93-b5ec871d5171	0	0
63a51331-6ff4-469a-b2a5-e07878f14a61	0	0
ee979b8e-1065-492e-a51b-6ea816fd4131	0	0
a1aa8bc5-9cbe-4a49-915b-cf35c0c6ba66	0	0
86345536-c779-48bd-a292-ee287347a8cc	0	0
2e5e75ee-9c0c-4100-8e70-d5a07e66d8e4	0	0
4eeedca6-981e-4e09-aff7-1ee0eb8fb66f	70	5.83405277777777709
bb4ef09c-8a24-426e-b100-cea3c7525803	0.594125249072381956	0.0495137381185266762
da830caa-3ae9-4d53-8d1f-eae1783d578f	0	0
e52a5141-7fa3-4e99-9bd6-7f3390471a57	0	0
f92c8c08-9111-4e90-aea8-40bd5ea4de63	11.1837229437229446	0.932039043771043851
93534131-22fe-467f-b7bd-f8bcabbe6bd7	0	0
b72371b7-33c4-4077-b1e1-214f572221f0	0	0
fea5f333-56f0-49d1-8c99-639c8c79599d	17.1436818181818182	1.42873539419191919
e4443eea-f993-45ae-bbcb-123a89c84cb8	0	0
afc4dbdf-6f0a-4b6a-8664-524688e0d7d0	16	1.33342222222222229
62adaac2-9d3d-4354-b478-ad61a5b53db7	0	0
6e527e91-8d41-4d54-bac6-6ca11587656c	0	0
67ed9ae8-251a-4414-a8ff-6667f83a90f5	0	0
4b3b613b-c20f-4439-a2b2-cf6489e05acb	0	0
e97f3016-a55d-4a2d-b27c-ad5ee93927a0	0	0
752d9682-2206-4ac3-9ed9-b062ccd8b1ff	0	0
6a41fcbd-d440-4fe3-a122-e54eefbdff03	0	0
62e8bd4d-3ebf-498f-acf2-4be355337b5f	0	0
c02642ed-906c-4500-8287-2f71c914b677	0	0
680b18e7-028a-49ff-931f-67d874adfcbe	0	0
3c725209-98e9-42f8-9b97-cc9c6990946b	0	0
b0f47ea8-cb75-4197-8b7a-a0b217bd30f3	70	5.8337222222222227
d1939947-0253-46e6-b4aa-1131a74aa720	0.594125249072381956	0.0495071367268703141
37488242-4505-49ab-9806-7fdb398c2d30	0	0
1b562dda-94ad-4832-a323-3a0dbe9831e8	0	0
da0b8b38-6a0f-4996-93c6-970fbe8e31ec	11.1837229437229446	0.931914780182780289
f8392800-9aa9-4c34-8bfc-bd6722c89340	0	0
95939248-47c9-4cef-ba67-e4c7001b56c1	0	0
aae3b28f-3f88-4307-aed5-7a7b9a3192b1	17.1436818181818182	1.42854490883838392
7d369c70-e6e6-41e0-81f3-2aeb4637c0c6	0	0
6d55a680-ba35-4c93-851a-164e65579586	16	1.33324444444444445
720d3c7c-d241-4cdb-b4b6-10041866ad26	0	0
34568ab1-1704-4e44-af06-c849bdeab4be	0	0
3c1b13d8-55ce-492d-982b-6c2bd8ca8a10	0	0
f0091452-9455-4714-ba87-906b031a0b59	0	0
f5f93797-e375-4bfb-8a30-08f32d591f31	0	0
b286c4b8-5770-457b-8b65-417e9bc5c58c	0	0
d51adfcf-ae1b-40cc-96c5-39dbff0992e9	0	0
c6efcc5a-afa5-41b2-8e7a-e674d20ef633	0	0
4c334750-d4f7-4bbe-ad1b-6a4e78fb44c3	0	0
7fa3b234-979d-40cf-9a19-aec5f0ba08a3	0	0
7cefbab7-d2ec-410e-86a8-df1c916ff109	0	0
1c098088-e6c4-403e-a810-0b0c4082bc91	70	5.83294444444444427
3a99645a-1a99-4b59-9919-8076ee13ddee	0.594125249072381956	0.0495193493014345829
a4b8fab8-c46c-4ce2-b371-0b0a634f39c3	0	0
6d9d4842-e86c-4eb7-8aff-b2a115b76b4e	0	0
f588ecb1-d62a-4d19-94e8-f31dbc5144c2	11.1837229437229446	0.932144667821067863
c874176f-182b-4fb1-a553-d23e7209d4ef	0	0
271fdf17-dca0-41f0-89dd-3cd9e72b3b3e	0	0
9d9c3c08-14e8-4392-97f7-3dde2257e0bb	17.1436818181818182	1.42889730674242421
61840af9-805f-4c7b-8808-68a70cd0716d	0	0
bd3da586-5f38-48f1-9dea-49395992ea91	16	1.33357333333333328
9b28d3df-4b06-4c30-aa55-4fcbae0673cd	0	0
64fdb393-4246-4912-8c89-40713928963d	0	0
6a6f9a41-3ab8-43ad-bd12-a341dbc1942a	0	0
4ae62878-1a83-4ee9-9de3-0206985d925d	0	0
5a928d0b-8388-4794-ae4f-c2b31bd751d1	0	0
ce3eeb18-13f2-44d0-ab7a-489b4fc20a00	0	0
5eda5ae5-c3cd-4871-adda-47f41bcce2ed	0	0
ef7c028e-475d-4a84-8527-757374f4c168	0	0
38c42b60-20e0-4014-a98f-8e21f09879b0	0	0
b05ec056-0ae1-4861-be5a-d55831125e16	0	0
4fd6bfab-3edc-4867-b360-56d12ffb8827	0	0
ece203d1-c006-4b02-b9fd-5d49c804d493	70	5.83438333333333325
36016cf0-3b06-4b22-a4c8-e8fa0d07b37c	0.594125249072381956	0.0495140681881094877
ca80f392-bf96-47f2-968b-c1d9d9d79414	0	0
1802fa1b-9486-4eff-a2ff-83afc351027e	0	0
d8c58856-3f24-4f7c-8a7d-5db1543f840b	11.1837229437229446	0.932045256950456924
b9b13a28-0401-4c6e-bf8d-853b342ff2a2	0	0
5f40a163-3aca-48e8-92ca-6898fb6057a5	0	0
e055af4e-397c-4ebf-8670-a29333845e0d	17.1436818181818182	1.42874491845959595
2ded3946-71a6-45db-918c-05e6383d247c	0	0
f1ff5f33-e1a8-41f0-bc21-e55f95ed399d	16	1.33343111111111101
9674da28-647d-412e-b461-ee4a84c5fdfd	0	0
c636070c-2fed-4b06-a488-f121c080dd2b	0	0
bc5507ad-7d3f-4c76-b67f-3817d527ba38	0	0
202ec9be-5f3b-4c0c-bf10-17a934ef8f03	0	0
788ed47a-0ec9-4470-8d51-c14a28d5c2cb	0	0
9b43c47b-7dca-4bd9-97cd-ea51cd9879d7	0	0
5777fdf2-1fa7-4f26-8a30-88cce98cdae6	0	0
f260d825-fb70-49be-8468-a90350f230df	0	0
70ee1dab-125b-4371-9af2-30209d3b8ec5	0	0
0531fef3-9c39-4a71-9952-e4956928debc	0	0
62561aed-e8c4-4a0d-865a-4d933ebffe40	0	0
c5e79f3c-7d5e-4283-82ba-3d1a65ebda3d	70	5.83376111111111051
68687125-8abc-40d0-b545-f188c8abba3d	0.594125249072381956	0.04951291294456963
44901acd-5fb0-4ca6-a6cf-183aba69d33d	0	0
17eb6d32-fc78-44f0-92df-ac0cc2da42d8	0	0
a9257a73-3bcf-4e4b-b21a-42a437d2b1dc	11.1837229437229446	0.932023510822510892
7fb7aeff-c9ad-492d-a39f-29096ef246f2	0	0
9c09a8f5-56bb-40f4-8b52-cba1371b2f6f	0	0
702f91ae-d3d8-4331-a9a2-30444dcfa8e8	17.1436818181818182	1.42871158352272709
da7f980c-5175-48e0-b604-be849f0aea46	0	0
c5a9461f-44f0-4d7d-b310-e68d870dbd34	16	1.33339999999999992
c6e1239b-faed-4f12-93be-4da8f773168f	0	0
b9b580c4-6283-4b46-b7cc-1a2abc41d2b9	0	0
14d99215-293e-4729-8ca9-8d9d6338ade8	0	0
570f466e-b5ef-4f3e-8800-9c864da2adfd	0	0
17ef9daa-f5a0-4c1a-8c30-57b28d19e7c1	0	0
86a1b630-bea4-4c7a-bdc9-e9fc7d70776f	0	0
766b6ac5-96d8-4d5e-9ae0-032b8dd2f5d3	0	0
e9fbf031-ad1c-4214-be61-2d67cb33da54	0	0
85a142da-8c48-4bc5-8a1b-471616586c5d	0	0
ce42bc33-6ba4-4e94-98b0-63c068d40b28	0	0
3b288c12-4be5-4dcf-a929-541a78e3f060	0	0
d54804f7-b29b-43b3-b7d2-fcb04c36609a	70	5.83362499999999962
f1e01c00-c102-4199-9805-7bfea73ad2c2	0.594125249072381956	0.0495139031533180854
da51e200-9f4a-4e6c-97da-bc365fd2f9ec	0	0
04dc8953-d65c-4dcf-8d94-710d575dacd8	0	0
c516b521-dd58-4bea-a576-69639c342112	11.1837229437229446	0.932042150360750554
28b51b75-f2ff-41f8-a11a-a51885db1d85	0	0
294af81b-941d-430c-8dc5-f7d40f8feebc	0	0
d18cca81-fee6-42fb-a265-89c4790ed921	17.1436818181818182	1.42874015632575757
d3ab3ad4-6177-4ecb-987e-f65c356aa122	0	0
50cfd751-95b3-4ffa-a4af-e4f397e88385	16	1.33342666666666676
973c6448-d863-410f-bc5f-938aede705d0	0	0
bdb85676-8700-4e00-bc11-1a5da2721cf5	0	0
1fa400ac-e423-49cf-b2dc-1cb722621c0c	0	0
d9e315b5-1567-409d-acdc-965b9d388b44	0	0
b54a7a0b-dc41-4fd0-a5c8-87a1c404bafc	0	0
c941e5f8-a727-4eb8-9fe1-6dc0eb6ae987	0	0
711ba7e1-1fb4-4e5b-87d3-8eeea09ec5ea	0	0
7e15160f-9421-4f5e-87f0-b6f65a21758b	0	0
50a89ba2-6c3f-4980-949d-138044a10833	0	0
0de1f8b1-636d-442d-94e6-a95e80ed61ca	0	0
bca28da0-ade5-4701-8a97-cd6707bedd8b	0	0
ffcef8e0-3b88-4685-a850-fc44337d983a	70	5.83374166666666749
90cc0431-67be-4d2a-9ba1-0a51141372cb	0.594125249072381956	0.0495142332229009038
018d6ad3-f46b-4afd-896d-f2a781497085	0	0
ca62d653-0546-41ef-8eb6-e644ed0cb74c	0	0
7d9ed093-730d-4601-b25d-f1466cae413a	11.1837229437229446	0.932048363540163516
fb4034c6-6f9a-45d7-8235-6b47e9b38bf2	0	0
b902abe2-1f1e-4de6-8b0f-628a83d1fd35	0	0
2c6f7030-e005-4272-8b71-2685e19c16ce	17.1436818181818182	1.42874968059343432
fa4eb0b4-7e1f-4d94-a4c6-a3c7ed12e2eb	0	0
d1accc95-89c1-4709-9cee-4376592bd736	16	1.33343555555555549
3f6bb825-ef4e-4253-9a8e-0b6cccca4826	0	0
cd2764b8-f367-409d-99cb-e7d7e233dc28	0	0
a68596a8-b3a6-4b1d-9d2d-403f5166eddc	0	0
46242f4a-7089-445f-a8b8-4c77ddc153f6	0	0
47c1a74a-a034-433b-b813-9cc91f04dc57	0	0
0b441cf1-f71d-4acc-b3a9-5513086e2c16	0	0
c0b536b6-ebc1-4f36-a5a7-f12f857f9c6e	0	0
04314dad-276b-4b98-a960-d7d1a1a48762	0	0
b9199b73-458e-4639-920a-4823826d9526	0	0
c25f8fd0-92fc-4081-a74f-c85869831dcb	0	0
db223e1e-14ab-4264-aea0-2942c5b545c9	0	0
058ed383-c0b7-406b-9659-b5eea6c38348	70	5.8337805555555553
8c809ca0-24b6-45bf-953a-e2ccbaa67797	0.594125249072381956	0.0495120877706125839
95ae364f-155c-4d4c-9a57-0d1763083f5c	0	0
56bc196b-911a-44fa-8115-715bf665c091	0	0
472ceed2-5abb-4c28-801d-bf014eb07c5c	11.1837229437229446	0.932007977873977933
22aa7399-4faa-4c10-81c9-238ad37e62f1	0	0
3556c643-1c33-4468-8b53-d2119c335ca7	0	0
8c4ce435-e3bb-4ca6-b2d4-b53d48cabaeb	17.1436818181818182	1.42868777285353543
35185557-7125-40ae-949a-d7d26efc29dd	0	0
994ab935-9801-4e47-96a8-0c6fd689a714	16	1.33337777777777777
4b0b4fd7-93ff-47c8-990e-824a30701906	0	0
62e8ed7d-e0e6-4fd2-95f1-381e7538fd0e	0	0
c5ad9227-7847-4970-96a7-aaa003f39f91	0	0
70471f91-e3a5-419f-94e4-fd4a120188c7	0	0
5148241d-d0a2-42a1-89b6-1cfc5f1c3788	0	0
4ca3ad78-3452-45e0-8b18-700dae01d9bc	0	0
e69de0ec-67ac-457c-a221-12bb3d102d5a	0	0
7d1d4ee2-644a-499f-86b8-487b737352a0	0	0
2e32981c-2e64-4ec9-be91-d4ccaba01793	0	0
e0f55f99-39f0-48c5-9417-86514f0e54af	0	0
1019b3db-596c-4bb4-80f8-e0b65c82e43f	0	0
8912b364-4202-4dcc-b37e-e308d3504d44	70	5.83352777777777742
62329cec-4c25-43f9-afba-188a3da71e47	0.594125249072381956	0.0495148933620665407
aaabd9c6-818d-4ada-9485-31e3fbea1263	0	0
f0ab23f3-8fb0-4ea8-b8a1-9e207ee6d5c4	0	0
e766e660-3cc0-4742-8ed5-5b129a3db9b1	11.1837229437229446	0.932060789898989994
cd875d84-0961-4eba-89ef-9568d836e3f9	0	0
0f509204-625e-4cc1-8888-6c3a1ef15e6a	0	0
e8a9b9ea-d1e5-401e-87ae-f44d98971037	17.1436818181818182	1.42876872912878783
861dd6a8-2aa0-46f1-833a-8d37f8ea73cf	0	0
fa15feee-6e96-47da-9f18-2e55909b6880	16	1.33345333333333338
0ad8feee-8093-4746-93b8-a37f4e2b6353	0	0
9dce3414-df68-454f-bb5a-83448d0a3e12	0	0
c56ef21c-23e7-4885-ad9a-740c08fd75da	0	0
7b3dd4b8-c13f-40a7-b0a8-ec4f9f558d72	0	0
79001832-9b2c-4b7b-8e15-078898310db2	0	0
b4189443-f39f-4300-a983-a6d2b80060b9	0	0
10b3fd07-69c5-400a-a2a7-d495731b9d8b	0	0
4c532a8d-8b44-4e26-935e-dd7f6122deb1	0	0
f7dd5e74-7514-42d5-b274-6bd09413a16b	0	0
86b30f7f-9d9f-43fe-a92c-e2ed102be0a3	0	0
f7679e20-25b1-462c-b9c3-4bb775b21146	0	0
80355c00-221f-4b08-b147-d764f25f43ca	70	5.83385833333333359
951aa477-56cb-48f0-b644-8db304da75fc	0.594125249072381956	0.0495137381185266762
29536a1f-eb4b-44af-bc5b-c6e4851863d7	0	0
183eeb66-06fe-407b-8730-3e4a3a9a2f55	0	0
94dba127-032d-4457-a6dc-28d768fdcf24	11.1837229437229446	0.932039043771043851
8dfdc16f-c810-4b74-b160-b753f2e20c33	0	0
4211167c-69c3-43ab-b328-546ed489a3eb	0	0
46fea883-db63-438c-8718-acfd019899c0	17.1436818181818182	1.42873539419191919
3a5ae167-fa83-46a6-8bb8-e36f76d184fe	0	0
2ead68dd-9992-471f-9921-f099419d8068	16	1.33342222222222229
c4d0fa45-8e48-498e-9771-b5df9a56cb71	0	0
f62c92ae-fd80-4103-8134-45d1017afe4c	0	0
3afc6331-c3ba-41f7-a052-d36d94e0ec20	0	0
18675ab0-bb4a-4b7b-b35d-84911d3b6f17	0	0
bffe03ff-cd46-4028-98ca-0a2657f1f609	0	0
bf259213-d50c-498d-9cd6-77d588c3b4d0	0	0
225772e1-7a9f-47d8-9126-cfaedd2503a3	0	0
02937e42-5bc3-4cb7-9968-cc0133f40c31	0	0
f3876c0e-f080-4f1e-b98e-417452618527	0	0
85fe121b-cfbc-4393-bda4-ef4cc949cf86	0	0
0cb1f4d3-2d0d-4535-b9a9-f77dca89429b	0	0
81ed9f53-0057-41a6-9fb9-9a6cfef7aa9c	70	5.8337222222222227
74aa1c78-6357-4958-a5e7-1d07f8820280	0.594125249072381956	0.0495160486056064053
2d34b72f-9780-4a1d-9908-5f81a4dc09a1	0	0
442d3de9-d2fa-4221-8c53-afefc474d672	0	0
a4632f90-002d-4ac0-82a5-25b532c8f907	11.1837229437229446	0.932082536026936137
ab2766c3-23e4-49b0-97d8-950448f3ec4a	0	0
2a92fd32-f20d-401a-8f41-24d525da5e86	0	0
54156211-b58d-48bd-b330-1409fac958e5	17.1436818181818182	1.42880206406565669
000dd175-d0dd-4a8b-92f3-2e9613d879ed	0	0
777e2453-6fef-455e-999f-fc0771743cac	16	1.33348444444444447
54a29c67-e07f-4043-be32-4eda196ac1cc	0	0
405d7259-6b2d-43fd-8223-99bde1578a56	0	0
45f8098d-8de2-4c1b-8544-bc7f5a01fd2e	0	0
2321b3f8-c802-427f-9826-043f69b4f1ce	0	0
712c7890-bfa1-407b-a389-2eba4658fcf8	0	0
254fae95-9973-4ed4-9aec-cf75ded3c80a	0	0
c4a8681e-1a0d-4adf-bd3a-d267a4e3e33a	0	0
6f1e55e0-f2eb-4aef-953a-9be8b6b2fba7	0	0
bfe87fa9-45db-4e48-9c26-ac321d602deb	0	0
776ae90b-6369-4340-a2a9-6d21164cdd76	0	0
e1423651-7900-41a2-bb6b-59392bdcf8a7	0	0
1caa0701-9c06-4431-9bff-57cbd80cafa6	70	5.83399444444444448
bff0c2f9-6912-4921-8e1b-60554dd485eb	0.594125249072381956	0.0495142332229009038
a06b70e2-5040-419d-83e3-4f67e4c3ca4d	0	0
3365174e-3774-4a5d-b0b7-438deeb2b6c7	0	0
c9928ee3-f8ce-409c-91ce-223230614cef	11.1837229437229446	0.932048363540163516
0f5f313f-90c2-41fe-92db-621a3c740bc1	0	0
24b2d9ff-8448-4863-81d3-df37006bedf5	0	0
864b31ce-044a-4410-b8a5-ea3ca9961660	17.1436818181818182	1.42874968059343432
f7ac7fc5-b900-4967-8d31-02c63b3c7fd8	0	0
ce3fe51e-a389-4a96-8244-e4e2731d4c81	16	1.33343555555555549
8cfd5141-b038-4378-a6dd-a62d2fa18668	0	0
04d7e604-145e-4086-a09c-df4c3a956902	0	0
0f8e3d64-4e7f-4414-aa66-fb4f6302927b	0	0
b0922e16-9df8-422b-a532-5574f6645bea	0	0
8f8f9bbb-1866-4747-991e-222ac4dcb49e	0	0
5c8fb2dc-be94-4942-9407-935db5e1223e	0	0
8609e472-debe-42bc-9c7e-ac2d701a2649	0	0
35464357-5c7b-4b2c-bcc2-ad1f0f66d32d	0	0
040351f8-c362-4944-8076-4a287e7f3dd6	0	0
fe10258c-890f-4161-9c24-e4f09c1d0031	0	0
e5f10951-bc9e-43f6-84b4-3779a4c5ee0a	0	0
d327a072-53a4-4084-a7d9-473ae5b25e18	70	5.8337805555555553
e09a3718-98f8-4fa4-926a-5043952fe392	0.594125249072381956	0.0495122528054039931
094ff5e5-96c4-4507-81fa-557153d404ff	0	0
7d18b9f9-195a-4b48-9c29-3723de09b936	0	0
bdb32a53-9c9f-42bc-bc66-721828645541	11.1837229437229446	0.932011084463684525
53a4262c-253d-41fd-80c1-ae91835b15a6	0	0
0dcf784a-96b8-41b4-98bc-01ab1c54ce09	0	0
b35e3cd3-d9d2-4d4a-b97a-b41fe683f7fa	17.1436818181818182	1.42869253498737381
6490f9ff-6bfd-4c47-a80e-d180ee7119bc	0	0
911077c4-bcf7-45a3-b79e-c57d3611801c	16	1.33338222222222225
74ba74d7-17d2-403b-a77a-25d3e5c0fe7a	0	0
8b755693-3603-4981-89a6-0e63a9283141	0	0
28f777b9-c911-4753-b353-ce457a9816d1	0	0
97b50085-2c08-425a-a81d-7e7a177f4dc5	0	0
3c0b7798-329b-4415-934b-7f786c258988	0	0
4bd5a123-9cee-4834-ade4-15a325465bdf	0	0
7a2b669a-3636-47dd-a167-3e0f207f1cec	0	0
976022ab-4e9d-44a8-b5dc-f33df8a6c6e8	0	0
ef025fd4-5bf5-4b46-991c-3f47e021eee8	0	0
9499acf1-2e95-4016-bcc8-6f7fde7cd749	0	0
c13feeaf-a44d-4bec-883a-b318f3cc2057	0	0
248e52b1-8805-48b1-a796-5d632d33a03d	70	5.83354722222222222
4f6894e2-c3d2-4a17-8463-25a64fa48a2d	0.594125249072381956	0.0495153884664407615
b588685c-4258-45a7-a963-404da335eab8	0	0
22d1a12c-6cb7-4af5-857a-0fb96c908475	0	0
db431782-ac5e-4b53-bfb7-38ed7a1015b1	11.1837229437229446	0.932070109668109659
e3155db4-bca2-4155-ab62-fd8db84056f3	0	0
0ee72cdf-845d-4506-9cdf-9b639a7846b3	0	0
ee7bb01f-82aa-450e-a79d-cc1c482d993b	17.1436818181818182	1.42878301553030296
648dfad6-ba1f-430e-80c6-5dfeffebefba	0	0
bef19d0d-245a-4164-bda2-d902c3feb784	16	1.33346666666666658
ca344d59-06ce-41e8-8e22-86e0871b2a29	0	0
bd365487-6883-4782-933f-6d164c0f4a78	0	0
4f0e7913-f252-44bc-b786-8f3672d2f8d4	0	0
3e9252d0-1707-4878-b1ca-9c1277510890	0	0
ebcd69a1-bcfb-44a9-bd7a-0518f097874d	0	0
32090cf9-60a1-4377-9407-aa0d7fba0e2a	0	0
f9dcf132-fe72-47d3-8804-2532ed442a2f	0	0
613472f3-1c62-4882-8079-e4b39207b5a3	0	0
be350ab3-48de-4694-b4d7-474710fdd603	0	0
8b2cfe7f-4266-4b60-9596-ecd2ff4cba04	0	0
68b325e6-aea4-400f-94b6-f4c0e8112232	0	0
330d2873-5ae3-46b8-aaf8-89cd92be7326	70	5.8339166666666662
b878d118-5bff-42ab-8d97-5ad62dca8ee2	0.594125249072381956	0.0495094472139500433
d998a44d-553b-4307-ac32-121389831b97	0	0
59cded73-bdc3-44e7-95bc-47d3ffa3360f	0	0
3b9919a8-b369-41db-ad61-7a02e1802194	11.1837229437229446	0.931958272438672464
6e593fde-3911-411a-8ead-b7f2808734fa	0	0
45d9b7d7-23ec-49b5-b189-fb67adf1f7e2	0	0
655d1e7b-0890-44fc-b945-c6de29ce9038	17.1436818181818182	1.42861157871212119
3eb8eef2-f64d-4770-bf63-1e5aaa2bb395	0	0
68f72a1f-b347-4759-ae20-d2a73608233e	16	1.33330666666666664
eb671204-2f08-47db-a2e5-8e52b9eec634	0	0
d82325f1-9fed-46bf-b500-3a5454b8bddb	0	0
963eceee-b896-42ce-8230-785e4fb45bd6	0	0
462ffa39-a8be-49b5-908d-270b5aa07512	0	0
bfda3cb1-9cf0-4a97-889e-463989a40c42	0	0
0511609c-625f-4f47-b02a-a93531441a01	0	0
7c19f528-2bea-4802-b7c5-8a84a30a64e3	0	0
cd7df6c6-fa04-413c-8244-45bee8271d02	0	0
923ec101-9e90-4b79-9b26-aae5f6e34033	0	0
9d82ca8a-242d-4f6d-ab01-cde74cf4943a	0	0
4a298e12-e083-4588-8643-5c33b80043cd	0	0
7bd7d88c-aa3d-4329-9dca-46c05c541573	70	5.83321666666666694
b32ffe14-25df-4dd4-ba62-41f141aac828	0.594125249072381956	0.0495120877706125839
6cf318ea-1000-44d9-b173-4d58f30f9d68	0	0
30841651-c18b-4152-83d7-b20a488ae3ab	0	0
f5f6eb3e-a8af-4857-aee3-2cd45996f1a3	11.1837229437229446	0.932007977873977933
2196f010-91b8-44d2-80c1-a42abb6e101a	0	0
c37b48f6-7e6b-4090-90ed-d2d27efed820	0	0
055085af-b453-400d-9720-a45a72e4f864	17.1436818181818182	1.42868777285353543
843d5c2f-e782-482c-8dfa-86c0f51a0c44	0	0
d484c10b-a908-4ba7-82fe-abc6a552af2e	16	1.33337777777777777
99ae229a-f5b6-4ede-b918-dddb3e2a4c8c	0	0
e3a72e17-4f48-4ced-9298-0a990497ac6c	0	0
b07852d6-e67d-435a-ba24-5a615ec03bea	0	0
19e73ffd-7910-48c5-8977-91174326431d	0	0
b339f93d-5ffd-4dec-bee1-4e79c69de0a2	0	0
99f40a96-6d94-4269-9f9d-2e5f01293b61	0	0
1ee338d2-f495-40b5-8289-70f62ec8db99	0	0
776ba9e1-cfaf-4682-8abe-eff62ce6e166	0	0
426e82b6-ee76-4a0d-8ceb-ee9f66ba9d38	0	0
a600fbf8-3a88-4ca1-ba74-cdfebdcc84b2	0	0
f1d0856c-2b3d-4021-badd-bcac415036ee	0	0
1c91e73c-e320-44b2-991e-3707e20308b2	70	5.83352777777777742
d4d8e9fc-6aed-477a-9862-0f15db6d654b	0.594125249072381956	0.0495132430141524485
f633dbd4-2d44-4a54-9bcc-7ac6f67ed3cd	0	0
bacf9a0f-29c7-4621-86c2-3b4db8094f0f	0	0
3ab41858-5bd5-42be-8054-abcdcfe8c206	11.1837229437229446	0.932029724001924076
c1947447-82f3-4b03-9547-4af5738470a1	0	0
7819ebe0-87ef-4aa1-9140-0d3a7a1118f6	0	0
0d8134a4-9cba-44cd-a631-a33f4d29c209	17.1436818181818182	1.42872110779040407
fb1436b9-b142-446b-ba25-7b56266f4aee	0	0
6abdc382-5c54-4c89-9da6-2c0bcb51fff2	16	1.33340888888888887
82af707d-423f-4a77-8bc6-1e8ab94c4305	0	0
a48833ee-b0ce-4b91-841f-692b884669fe	0	0
1b10dfe5-967f-4fc9-87ac-e6808e018a7c	0	0
865b3398-c754-412d-a549-da3c37667a8d	0	0
e66ccb20-2395-402c-a512-8b00e475bab9	0	0
1013bb80-8c18-4643-a66d-cd9c66fb8670	0	0
e33a7ce2-5ecd-409f-bf37-0164c19d10e5	0	0
646e2539-b2fd-4986-b515-6ff42ae683cc	0	0
082c03f6-60b0-4b0b-8ad2-3f6c135d1b40	0	0
39fe2f8d-a18c-44d2-bbd2-cd38e93e10db	0	0
4f97d5a7-67fe-4cfb-bbde-a3c4bb2470c5	0	0
c7f62b2b-947b-4f15-b5e7-14e18adac035	70	5.8336638888888892
3947c18a-d596-48a6-a8c5-8908d4889018	0.594125249072381956	0.0495130779793610393
21dc09b6-2b10-4a21-af6e-7f9454488875	0	0
b3aa789a-7efc-4a5d-af3e-7608f41dc88e	0	0
5ff7517c-1bc4-492d-9e41-d2f931af585f	11.1837229437229446	0.932026617412217484
d4cc2ed1-085e-4797-b2ad-ce6bc115bcf8	0	0
1e5fa765-4020-43f6-852b-95de0e7db4b7	0	0
7a22c951-0b9e-429c-b676-f161815bdd2d	17.1436818181818182	1.42871634565656569
1f33ef65-448b-429e-9fb7-688088da3234	0	0
d85f9104-ac03-4795-8e94-a43ea7f0f975	16	1.33340444444444439
3ab980f3-8953-4ff6-8b85-91ea86ac988a	0	0
e4522fe7-de7c-4d78-9141-90487dcca88e	0	0
1e29ffcc-0be4-4409-a127-085c5ee15a97	0	0
c78073f1-51f5-4380-b508-4ca85e834b49	0	0
bcee7d33-8935-43c0-8307-93ac47967973	0	0
eeb9408c-21de-4fd7-9b37-8a7e20f45fc6	0	0
ddcb797a-7f8b-4ea4-a972-ebcb97aa12ae	0	0
4329a3e8-1585-4690-932d-08eea2bb5e49	0	0
87afcc17-615b-441f-a132-49b607dd22b6	0	0
d8808dc4-e3f9-4cb8-80ba-df4e2cb08ee6	0	0
7850d869-5f29-4893-b2c2-48cc4222b8f5	0	0
eaac57fa-d6ff-476f-965a-879a9133a441	70	5.83364444444444441
7f267ffe-af24-4af1-ae69-cf49b7d59622	0.594125249072381956	0.049518689162268946
2a747b68-d4f5-43bf-aff4-45ef654bda4f	0	0
1e7fa968-b574-4d78-b2df-19384d8a0ea1	0	0
45533085-d470-47f4-8bab-8d9bcd9a1ca2	11.1837229437229446	0.932132241462241606
c1e2980d-acbf-4ab0-bd86-13ce64498f53	0	0
66eed940-fa4f-4b75-b29b-04090cc99c97	0	0
4ebeddca-4f6c-4f48-a57d-6db4b42fb08d	17.1436818181818182	1.42887825820707071
7e951e83-c1a8-4ac6-a53d-4228c3946d5e	0	0
61ecfa2b-1b76-4633-9a49-4b04e2730998	16	1.33355555555555561
b992add7-d813-4147-847e-8833d86ea455	0	0
a057388c-be22-49c4-af42-644a1a6413df	0	0
e74aef1d-8373-49f6-a085-79fbddeae2b2	0	0
9d594a37-7880-40bb-9a9f-efe2d3ce66df	0	0
efafd7a9-4081-4a22-8afb-7e4bb61f5a2a	0	0
2bf96b89-93c2-449c-be1b-2558b4580a48	0	0
67890579-20fb-412d-bc1d-2c2c89d9c008	0	0
6f32aad2-d338-4989-8f93-2341abdfe598	0	0
39ba7a91-1f9c-4bec-bf1e-b5990d9bc9a4	0	0
3651154d-af81-4e42-82a2-0e0edc5abf6d	0	0
54359f0f-0913-414c-85b0-f52bc240d97f	0	0
ba003393-9de8-4e52-bb66-a2635fe0daef	70	5.83430555555555586
216b4629-112c-4232-a0f7-1ddfde76b4ed	0.594125249072381956	0.0495145632924837223
9149f42d-8d09-472f-9686-3836dab42f29	0	0
51e335d4-9c6c-4689-bc3a-cb99031647a7	0	0
a921f75c-2df2-4c5b-a80f-71431a783e9c	11.1837229437229446	0.932054576719576811
83bf4954-6b47-401b-b373-9eeb3d4eb577	0	0
1b2ced0b-2517-41c3-aaf7-79e13965600f	0	0
9bd944f4-32b5-40a5-a0b2-fabbf9a0a975	17.1436818181818182	1.42875920486111108
712bd5ba-6bd3-46f3-a9f2-ccef0cf39df1	0	0
d7aeb31d-7ad1-4104-a8a2-cffa5e17fb9d	16	1.33344444444444443
943ac71d-f8a2-4c8d-859f-e03bafa741cc	0	0
d8c59b68-eb6d-4df8-b2dd-0df0e0c0851b	0	0
ad8e3ae9-1e6a-454b-931c-0e5e43005b39	0	0
b21e6744-1435-4e6d-8c85-41d9c7ed9deb	0	0
1b631944-ddee-4170-b9e7-8b22c648decd	0	0
d9b6e535-73e5-44e2-add9-2c6f698424cb	0	0
cfba0bb2-5a6d-4afe-b45a-b5d992ba4761	0	0
e1e29233-dbaf-4612-8ed4-65335273a7db	0	0
56a1228e-6bb3-4e02-b589-41f9a0df9008	0	0
4a8fa54a-3723-4d50-988b-d7a88e804152	0	0
c5740646-42d0-4b8f-986e-10642cd21588	0	0
0951896c-39c4-4ca8-b7f0-45783f20f074	70	5.833819444444444
fee5995d-12bb-4dca-872b-f0e91f28f10a	0.594125249072381956	0.0495167087447720353
725ce782-71cd-4e69-924d-fff06303cd78	0	0
def89619-b170-48df-b1c8-5556ecd93a98	0	0
77d7334e-da96-4117-ad29-664ba4bf6009	11.1837229437229446	0.932094962385762393
e9ea32a2-223f-4e4d-876e-457bc63d73d5	0	0
dc301029-257a-47a7-822a-d583da5f5562	0	0
64b3db84-2003-4350-8240-3d35a1b9093d	17.1436818181818182	1.42882111260100997
90a4e6f5-7a72-4c78-991e-b86f94fcb3d7	0	0
2159b168-b942-4425-953c-66c8e953316a	16	1.33350222222222214
cacc560e-61de-4f61-adf4-e1baded4f206	0	0
392d4ad8-f0da-45ab-9471-834777d22135	0	0
8b3f2036-8a6c-4c19-82b7-8a8313356e80	0	0
bc59e7ec-2057-471a-a2f7-272771cee231	0	0
e85d4a29-412f-48d5-bb91-7fba93000009	0	0
88f8bc4b-f42e-48ec-96eb-8de0c2fa5eef	0	0
bfa661f8-a3fe-4423-ad82-2713b195a9ad	0	0
63b6ec22-f529-4fa6-856d-e91eaed22d07	0	0
47c6bbee-fca5-49a7-b458-0d83878e7ee6	0	0
d1f274dc-cda2-4a8e-96ed-a95a6f9e94be	0	0
51030889-b5a0-4299-8807-d12f0ea6ea6b	0	0
e4ef8390-cf7b-4d69-bffc-804fde9ce0ba	70	5.83407222222222188
3810c1fd-6ca4-4d90-b2d1-4893a5711d24	0.594125249072381956	0.0495124178401954093
ea73cf24-538a-4d11-a020-e62d5e21132a	0	0
6bad44f2-fee6-402e-b0c8-19b556eddfcd	0	0
9588f13f-9cc5-47de-8bec-120a3135a70b	11.1837229437229446	0.932014191053391117
63e2c3ab-8bd8-4441-86f4-d23c35d7ae3f	0	0
aa2374a3-6845-49b2-b5b8-5fff09bb5b01	0	0
3bc9f3b0-c022-48e8-a584-81a7f067ca96	17.1436818181818182	1.42869729712121218
b83ab21d-205d-4a48-a717-27b61e611c21	0	0
c6587451-5fff-4a40-b4a1-d4b66ba3c1fa	16	1.33338666666666672
42070cc4-93f0-43d8-b431-9a7adc9df87b	0	0
25e93423-170a-4b07-8eb3-1acbb8d7faa0	0	0
d999b97e-769d-41ae-be4a-873654bbfbe1	0	0
6251293a-85c1-45d2-a493-7612294035ff	0	0
0c9a2e7a-0122-43c2-b642-41bc68fad3e6	0	0
8dbde7c9-05f8-4872-8316-bd5638b22ad8	0	0
84eada54-8951-4ca1-bebd-86caf368c2d5	0	0
916cec98-b20b-427b-85fa-df0ae63a694d	0	0
ebf975de-6e5e-45d4-880c-9985b0467ed5	0	0
14bedefc-f495-4823-8c58-4512b7580ad9	0	0
87facf2c-ec5f-427c-91fe-c8151d76ffd4	0	0
3f56f97c-1cd2-4857-80ff-8e8cfdc2fc78	70	5.83356666666666701
8c152bce-e9a4-418b-b2f5-3d05f05a7c35	0.594125249072381956	0.0495135730837352669
a09a8502-f5df-4c62-a9a9-e936523747db	0	0
40b16c64-c404-410e-850f-705279a8a6c2	0	0
85e8f0e5-1c08-41c4-9548-bd1adbd132ee	11.1837229437229446	0.93203593718133726
4bb5f9a4-e637-4849-b7cd-9dfc8e01b3fe	0	0
2afb57ed-2605-42e3-bba1-6a2a63789d8b	0	0
a40bd48b-a793-41d3-b5cf-9a8bd061fc1d	17.1436818181818182	1.42873063205808082
1f8065bf-c892-426b-b622-0275279b4fbc	0	0
3b99f668-8823-4732-b83d-644fee348be2	16	1.33341777777777781
b678b9a3-9a77-44f2-9d55-54ff1294c10b	0	0
3c1f7b38-4588-4063-b0ba-4ba1c3ca3220	0	0
d7548112-dd48-456e-94a3-0b41c479e635	0	0
b8b5a4ba-0938-4729-83ee-e6dcb839e99d	0	0
48c9d8c1-ea1a-47a8-8d1d-c35dcb1f6bdb	0	0
e0137c4a-7d83-4cb7-a27f-d40b95792377	0	0
1e296206-4c9b-4ea6-a83d-685ad7588408	0	0
a69c56ff-2331-4f98-a36b-47794ec1ec9f	0	0
02d1ddab-3072-4a69-915f-7fd7d190257b	0	0
bf576a14-80a6-49ac-8986-8cf1c7711a52	0	0
b73d316d-b439-4630-98a7-4e64550d6944	0	0
6e67ebfb-1a12-4fe1-91d1-8b402ed2c220	70	5.8337027777777779
34b59194-e461-4d3f-b3fe-255b595d40a9	0.594125249072381956	0.0495172038491462629
28e80d12-2a1a-4a60-b688-21de254eae47	0	0
21f7377c-4f8f-49ba-8e1a-e0bfc37d2362	0	0
23da4f8f-7f1e-493b-95dd-8f9ca214f4e1	11.1837229437229446	0.93210428215488228
beafbe56-12ff-458f-96ad-d01595185dc1	0	0
fbbafe3f-36e1-4738-858c-399cac0c003b	0	0
cad218ec-7d5e-4162-96df-28e9c4f5f98b	17.1436818181818182	1.42883539900252532
0ad118dc-dc82-4175-83a6-d651a9286465	0	0
949ad381-10fa-4a33-818a-668cbb588498	16	1.33351555555555557
0471ae31-aca2-4733-87b5-e5bfecb234ef	0	0
9b02892d-ee3a-4204-aa6e-92b2a8cf8280	0	0
6a3ffc71-25c9-4512-ad8e-1b86bd06e731	0	0
dbf8d16a-fd2f-4ecc-8c1e-245db5b1bb46	0	0
0287c017-6c46-4697-b4f0-6a632069ee66	0	0
37d17738-a0fe-450f-bff9-ffe42672eb00	0	0
23d1f51f-b6f8-4e8e-a47c-129a263e53df	0	0
be8d34f1-4fb2-45cd-a7e6-14eb17923d8f	0	0
36e3df00-6b35-4523-bc3d-857a92a8940e	0	0
cdcba479-a54d-46c5-9755-2e4d6a610d2f	0	0
9a51e764-3424-4a82-a569-0b33819f662a	0	0
ec153682-c573-4a78-a244-5318f2360d0a	70	5.83413055555555538
261ae83f-ebfc-4fcd-85e4-2fab5ba3476e	0.594125249072381956	0.0495101073531156802
c15c5b59-acbd-4f3f-9775-48f5b2751613	0	0
3dbfd4ca-b08c-4802-931a-cb9522496e46	0	0
192476f1-3505-4f2a-9bb8-57cc95c23f0d	11.1837229437229446	0.931970698797498942
19535cc8-fae4-4bb0-a09e-8ea5a4f3326e	0	0
9e38482a-5947-46fc-af36-51eb988bc1b9	0	0
e94fb4a7-1681-4e39-bc61-b6fd148bc96f	17.1436818181818182	1.42863062724747492
40463af9-9285-48b5-ba17-cd931f7b221a	0	0
e8db75d4-f27a-40d3-a603-f24fa8a93d2f	16	1.33332444444444453
f45dd93a-9d16-4c2e-8984-aaf0bf253ad8	0	0
1c9347a9-020f-4595-8b34-9c1535200d29	0	0
f448227e-f776-4f6e-b560-630e5c832a6e	0	0
3ce26996-95ce-47d9-8b91-908e41f1afba	0	0
7c594061-8b48-4c61-a98e-c70c7e3071d4	0	0
bb80a96c-c0d0-40a0-909f-340b2d53f0f5	0	0
6f71a616-4e0a-488c-9ac8-253c9152da17	0	0
d37c5ab1-cfe2-4bea-aa32-b2155e673d48	0	0
b0f2f97c-6100-451f-b486-84deb6e2fb93	0	0
6553a468-993e-44fa-9c1d-62b43bc78839	0	0
d69b54a1-c4fc-4cfa-8954-67ebb6dddb21	0	0
20b9291c-072f-4218-b350-dd06b2ea6f06	70	5.83329444444444523
c6192d01-2f4f-46e8-a5dd-c2b7cc425ecf	0.594125249072381956	0.0495157185360235799
73751bed-a523-481f-90c7-55eb1cd57f2f	0	0
7fb67961-62f3-4f7a-b043-1d9614767832	0	0
653ac727-2681-40ba-a957-c500e56465f7	11.1837229437229446	0.932076322847522953
07f76c53-8f37-4d67-982a-6eebbf4d5438	0	0
b5349924-287d-461a-8878-3050017fc6d0	0	0
664b6c35-cf00-454e-8c09-fb70d1d934bd	17.1436818181818182	1.42879253979797971
43ae115a-7a07-4442-8995-f925d10a56b0	0	0
f1114c1c-467c-4d53-a778-3c71e10892b4	16	1.33347555555555553
eaa30ade-e8ae-4f5f-8acb-b1263296ccef	0	0
a088d3ed-0f18-4207-a304-6c777150ce3d	0	0
61fa878f-a666-46a8-ad9d-faa6c1bdddab	0	0
6170029d-2951-4838-a82d-ac0da24564ab	0	0
bb4c5c94-ad44-402a-a65a-f53e5722d66c	0	0
bc498ab5-5dde-42f1-8bb3-c824145eb530	0	0
66062143-0408-45c3-92d1-90fde4b11b90	0	0
c28ff79b-8d90-42ad-9e27-aa36443125fb	0	0
bad5a5cf-8421-4260-879e-73e5bd7322e0	0	0
1049ba6a-3e43-49fe-8100-54bd0cb88fb9	0	0
69356134-6f05-4895-95af-f0bd68eaa517	0	0
175a59b7-4a2d-4b39-82ae-f9a3a405bad2	70	5.83395555555555578
afb3a9db-86a6-45c6-bd61-4577e08b73f8	0.594125249072381956	0.0495137381185266762
9c17fd27-9180-4ee4-a636-f943c1009aaa	0	0
8cf08397-4283-45c5-b268-ccfac4c8479c	0	0
dfcfcc5e-7f1d-491a-8432-feb25392dfc7	11.1837229437229446	0.932039043771043851
9f029e38-3249-49fb-b973-9185bc27cf53	0	0
07ea04ee-4e01-4171-91d3-ec4239d3477c	0	0
036b2e18-d5ef-4e91-9381-ff2e88ed60f1	17.1436818181818182	1.42873539419191919
28f12d01-9d36-42ce-8e33-cb9c2f63bbd1	0	0
610af540-c45c-41e6-9689-5d762ff212bc	16	1.33342222222222229
b8c0d819-9369-4b9c-a3d8-248b14ed86a6	0	0
870e3513-1c77-4070-96a6-716032c5ed93	0	0
b4fa3ef3-b8dc-45f6-8a07-f90e1f2fa705	0	0
2515bc0e-c6f4-4b8a-abd3-96ab420a1423	0	0
3c8ddc96-134a-4303-aa4c-8ba0af629818	0	0
05b20699-9363-4b66-b25c-a0e7cd17d767	0	0
faa5a406-1503-4e0b-8048-c1e7158e3f7d	0	0
4c9a92db-8a54-4324-80bf-6185c268fe14	0	0
9dfe24c1-d8e7-445c-88e4-36b13a9d89cb	0	0
4ed1d318-9d2f-444b-9aa7-de936ec9ce32	0	0
cd5495ee-4e7c-46a0-a578-5eafd537c5f8	0	0
b13d43cc-8b86-4386-8484-f44bd30bb578	70	5.8337222222222227
6b2c5af4-7d1a-4e7c-9c2a-1dea9fcbbca0	0.594125249072381956	0.0495127479097782208
e2d49eec-431d-4c64-8aa8-fec6a8df8a02	0	0
60f7a5e6-0ec9-4d56-b0a2-abdb3f52fffd	0	0
16f2e80f-30b1-47cc-a9f7-e7eb0f1f9574	11.1837229437229446	0.932020404232804189
4d3116f4-a66a-4dca-94e4-bcccf3cc0de9	0	0
939aad2e-dde3-4f1a-9ed7-4753f9b727f7	0	0
1f1f2f80-446b-48f9-a6d5-fe037a8627db	17.1436818181818182	1.42870682138888871
e8c5d9b5-ae4c-48e3-a817-e5931d5517f9	0	0
32f95062-72f0-41d1-832b-29948197390b	16	1.33339555555555545
36a3b55f-b9f4-44a5-ad9b-6f2d69f24cca	0	0
c40794f0-5c21-47be-b393-ec4e18f6c368	0	0
5d9911a5-ac73-492b-b649-3e3a3f3c7acd	0	0
2772699a-e92b-4154-b34e-bac76a8eff9e	0	0
0f6c8eec-3f11-4e34-81fa-fd29e436f728	0	0
b60cccba-cac9-47ce-8607-ab878b8638b8	0	0
331ae852-63be-41ad-84c5-3858f9b3fbf8	0	0
96c9cdeb-8574-4fb3-9c9d-44a3f70d45ab	0	0
86af30d5-ec89-4451-b197-0df6ae59d344	0	0
a4dd9ae3-18ef-4204-b46b-df1a674e12ad	0	0
7f4a90fe-478b-4698-9c50-4d40bdfc33eb	0	0
00be9057-fc24-4629-ae5e-eaeab4f1e0a8	70	5.83360555555555482
ad55d43b-39e6-445c-98a3-1b3c3bf477e3	0.594125249072381956	0.0495137381185266762
9621a617-b5af-4daf-989f-10090708fe22	0	0
cd2b9f02-acb0-4682-849a-683dae714b08	0	0
c3d99165-6a8e-4a71-9c3f-356b7c415714	11.1837229437229446	0.932039043771043851
78215fbd-37e3-4a45-88ed-b59902fe3ba1	0	0
39214ed4-720f-4e9a-98f1-c0cee24a8aa3	0	0
66532f53-7b6b-4862-b7c6-fedad37ca70f	17.1436818181818182	1.42873539419191919
6c82de1c-1bd0-4771-bdce-5e821c8488b9	0	0
d53c1085-1875-4790-ab6d-d0c95c75b998	16	1.33342222222222229
e7c09cbe-48ee-4f3e-b871-32b6a5d45be6	0	0
30bc1c51-329f-4879-acfe-ca037c3b85dd	0	0
c74a29c7-dcc5-417c-8655-29dd1b7fb991	0	0
87e1c073-9a31-464e-ad33-702fc6636e58	0	0
848cf40b-8d6d-4e94-a5a8-fb96c1996f03	0	0
ee99a1f0-51a6-49d6-b630-904041447b85	0	0
13fb6e21-1172-4baa-a7fb-fa5555adc75c	0	0
bec9de56-3fa9-4b76-8705-2cdc087c85af	0	0
c4ab1d89-7c64-4e35-8647-9d8dfb829798	0	0
099b7c0d-fbd2-47c3-b22c-0c522d78df23	0	0
cc7e9d67-495b-44c9-a438-7cfd9267911c	0	0
b19f8bf0-40a5-4bb3-ae78-63049438fcf5	70	5.8337222222222227
4169c885-b20d-428b-9324-3045e383f894	0.594125249072381956	0.0495158835708149961
9060c7c4-98b1-491a-ba7a-92eb5b28bb6d	0	0
8b2d88fa-8e25-4bcc-a973-9aa227b149a1	0	0
ef5d30b0-6fc1-40bd-9699-45b63c313e63	11.1837229437229446	0.932079429437229545
30809533-eaaa-423e-9a2a-52a7e599c4e5	0	0
3a7a8c61-3fc6-48ca-95b5-fb1e8dff020d	0	0
2c49dfd6-7254-4ef1-8dfb-cda9269b0bf1	17.1436818181818182	1.42879730193181809
249cf251-5746-4f19-b42b-ec9a3740a433	0	0
37031581-0e3b-4f02-baa7-606e8d8b246c	16	1.33348
c2f890ee-62cc-4dec-980e-58d1fc4df7ea	0	0
f528ab0e-2f9a-4e75-ae05-624bdcbf9c71	0	0
34fd11c3-5e7c-4e6a-a737-1be6486067d0	0	0
f8ec4e89-af41-4623-842d-dd54687a50ba	0	0
8bb0e4cb-f43c-4d9d-b916-5d8ed1525842	0	0
cd24d79e-7825-49ae-8484-d84d1cfa0887	0	0
f512f754-11f8-4628-b24a-30d158a481f2	0	0
2ebe54f0-1ffe-497f-9cbc-cb5020a46106	0	0
ec073bd5-8f62-4a46-98c9-6c1a86d2a082	0	0
f46fe11e-c6ab-4c60-b5ad-ad2cdba84af5	0	0
c59df089-e491-4e4c-afff-5d1e016ba022	0	0
d2c772dc-e859-44ef-996e-d3f8f8459052	70	5.83397499999999969
4f55d895-4bed-4fb6-8ed8-bd35283bd04a	0.594125249072381956	0.0495125828749868185
12b1f8b3-65d5-4cd0-a121-40cc65b18e4b	0	0
e7f0dd1d-699a-43ab-9478-d854d6475ffa	0	0
6a4c9efb-a64e-4c1e-a3d1-6fa75c52b47f	11.1837229437229446	0.93201729764309782
f76c895d-7d22-4e62-9026-23a7e5f16b68	0	0
f763e504-bc6b-4d5e-93fb-ce18245ca90a	0	0
cc06f030-3b9d-4e2d-a26d-23ca46cecf6f	17.1436818181818182	1.42870205925505056
fafeb55a-a281-4724-9fbe-490f8adbde83	0	0
bb9c5856-38f5-48b3-aa04-a87ee4875116	16	1.33339111111111119
1a1ee444-0038-4024-8b11-5e13d54d1d98	0	0
0c1720a9-57ee-4adb-bb09-e78f5a322289	0	0
4462ba6a-5dd9-4a94-8d3d-03d3a580dad0	0	0
b95a4a44-e3f6-49ea-9610-a5aaaa9c14b1	0	0
61c63feb-8a05-4402-9ed9-3d695d89e587	0	0
f7686d7f-e16a-4c19-b4bb-5caa02f13769	0	0
8e4f6962-c4a3-41d2-806f-19efb9709cf3	0	0
3712e1e8-2a22-4c74-aba2-de619cb804a9	0	0
e040c879-2c17-44d0-b571-f3c7a6820120	0	0
8deb3bfe-3bb4-4231-adf6-946a29d939ca	0	0
21d2083d-2373-44c2-a50a-580548b08c18	0	0
d4c2e624-1f5b-453d-944e-a5b0fab80671	70	5.8335861111111118
a96a9d5d-6d60-454e-9db1-d8a67846f857	0.594125249072381956	0.0495140681881094877
d89f6a50-6039-484b-8fff-7e09d8bbf678	0	0
1b9a846b-269a-4089-ac43-9d792d2986e0	0	0
bbdbad70-a330-480b-84ea-c50528987da6	11.1837229437229446	0.932045256950456924
d9502aab-54b1-4531-9469-225880c5fd55	0	0
965f300e-a8d9-40df-82d9-55f8e25d8798	0	0
cfe1bd5b-64b7-4989-a2d4-92919bbdec1b	17.1436818181818182	1.42874491845959595
4087c6c6-cfd8-4c3b-9eb5-35a403d2c2d0	0	0
67d70553-70cd-4688-823b-d999e2a39731	16	1.33343111111111101
f3c9547a-4307-43a4-988d-837ae1cd10eb	0	0
18d0e45c-f8b3-4eaa-9f0d-9986b760a930	0	0
90014f82-1ab7-440b-bfa7-7697bde8ebed	0	0
50605ca1-01bd-45c9-beab-0c0841d17e73	0	0
402f425d-e470-463d-a704-5bba5ada2d59	0	0
d6c7f78b-2b57-4c0f-8d6d-45e497fb7cf1	0	0
e43d7b84-6b06-4a81-9b73-586c3b0e2adf	0	0
6f754834-a0a5-4f52-8cb4-0a9ab21727b9	0	0
c443d16b-2eaf-4241-a5ac-db291dc3cc4f	0	0
8459a359-5d81-49e2-a808-143147bb397b	0	0
23e28170-732e-4cd4-b721-ed5a82bb2555	0	0
94732465-e2ad-4b90-be85-82e4eef6297b	70	5.83376111111111051
aa9f7db5-1be3-44c0-84c9-6c48b621f5fd	0.594125249072381956	0.0495139031533180854
91bbab8b-4130-42ca-b1ff-cb66d94f7a9a	0	0
36fb9601-a6a4-4bd1-b5f6-daa2fa9a208d	0	0
0815b25c-80ed-480a-b688-97d0f5ac34f8	11.1837229437229446	0.932042150360750554
0a0803ae-5107-4555-a5c9-b7feb25cc79a	0	0
1742e76d-a7c8-4323-be99-3d55625530fb	0	0
46f33921-b591-46b9-8c18-c209695dd870	17.1436818181818182	1.42874015632575757
f97c0ffc-55bf-4654-b2b4-6c52b364a93b	0	0
44748cfa-8492-4503-a0d8-1a9c03b01be6	16	1.33342666666666676
7b49a533-ca9f-47a7-a055-d505fc04b69d	0	0
6d27d423-b295-4e97-9ad0-55f311c42bed	0	0
683c314c-3072-46e4-9d14-c46a54de2e3c	0	0
690592ab-778b-4620-97e2-be6910c185da	0	0
73709c1f-6ba6-4fc5-b0e3-ead2f535e0ed	0	0
bda4c8e3-05e7-4cc3-857b-960535d7552c	0	0
22d1be27-1ed1-4d31-aba6-77fce445625c	0	0
089c898c-4221-4e18-b39e-ccffbd49068a	0	0
31aafb83-4863-4e37-9cde-d113a29b37a0	0	0
9e32d61c-6ec9-41b9-88e3-de21efe2989b	0	0
c6e2dd2e-d55e-489b-85d7-6c75733fff12	0	0
4c9cc26d-bc0f-45a5-9f40-4b935162f233	70	5.83374166666666749
c16b8e8a-9af0-4a1d-bd1a-10c1089cbc06	0.594125249072381956	0.04951291294456963
51b8b086-65c4-4a2f-8fc6-084f2e09d865	0	0
eb72c375-e0a6-4e7a-8090-db8b6dba0990	0	0
ff5d1412-d3bd-473b-9bd0-c6ef1fd2c232	11.1837229437229446	0.932023510822510892
9fbcf657-ff5a-416d-a27b-ff7d7a06f7e2	0	0
b969e605-b1e7-442d-a634-deb0f66450b9	0	0
38904f74-7b2d-4a03-81ef-9b7587137ce4	17.1436818181818182	1.42871158352272709
fd8ecf5d-6312-4131-a36b-840ba3869813	0	0
73f07e13-95f0-48f0-8632-10e0e4b10a18	16	1.33339999999999992
28676b69-6ba1-48db-891b-def5ba279f9f	0	0
7ae52f11-79dd-4ada-8f84-c4e491c93765	0	0
d79a9d2a-b5c4-42fa-bd79-4b3dc675a151	0	0
911e9b2a-7c56-45ef-9528-e111b036b34c	0	0
e6004e02-a8a6-4241-bb78-fc64e80fc937	0	0
5c245160-86dc-472c-adf0-6a6f53bb270f	0	0
73f9fb91-aff4-4a20-a807-3cbf07cafb5f	0	0
a42c7836-a78a-4898-b21f-a4a5b750f0b0	0	0
9c6a8baa-077c-40b6-94a7-63f60a6f72d2	0	0
531feac1-3a51-4ef2-aa12-eb8db0b2d178	0	0
b0b5c2ad-9ae8-4867-85a7-b835b612a95d	0	0
30892c9b-5c49-4f95-8dd4-8f78c971a3e0	70	5.83362499999999962
4880a77b-2319-4d8d-8af9-81c051dd4cad	0.594125249072381956	0.0495148933620665407
c26cf8f8-04f2-4430-bce8-09c69d043ece	0	0
c617fd71-0175-4aee-92f4-19c59429b446	0	0
f96a0564-15e2-4252-911c-dc7fe0b49d09	11.1837229437229446	0.932060789898989994
2d7ecca5-3d03-4709-982d-4b84859d9f67	0	0
b5dfffcf-954f-46ba-a651-4bab6621cfa9	0	0
a4c1c510-8905-4f81-88e6-170b751c8f73	17.1436818181818182	1.42876872912878783
1146df87-d001-49c9-b028-af2840eaa8f9	0	0
f1e33da7-82ab-4a6d-8c94-c47fc2cdb153	16	1.33345333333333338
0f5012ce-877c-4361-8021-58ae3dcae45c	0	0
38303d0c-6117-4e81-af92-e6ef77ac33f9	0	0
fd2eb8e8-4b5a-4f07-b0da-71c7ce7d9c81	0	0
4d29bed6-dc27-4fad-b5e1-942ea3f77d24	0	0
215700cb-356a-4de0-8986-2dc54b096b22	0	0
431fbd40-2353-46e5-accc-b5dc97c16e24	0	0
caee82e9-2832-46ac-83b1-a05e1d30f816	0	0
18869d5a-9506-4e7a-a998-16f5f5e664d1	0	0
d4a54976-08f4-488c-9064-94d2d57aa43a	0	0
7b2b49b5-98c7-4e41-86cc-f2fdd606ce5d	0	0
83086dff-1387-4976-9d4a-99b6cec075cd	0	0
031a79b1-91ec-4115-9b8a-b86e4a8fda7c	70	5.83385833333333359
97b8e890-d31b-40da-9240-74b897f7d9c6	0.594125249072381956	0.0495125828749868185
9d5f206a-7fc7-4cf6-9040-731180a3bed3	0	0
29d184c6-fe4d-4d77-a477-bfe508b03cc6	0	0
118c4676-0524-4817-a2e0-24d2d9ceeb49	11.1837229437229446	0.93201729764309782
182d4c15-b922-4b35-90de-f32d87bcf59a	0	0
002a88f1-1f05-41db-bdbb-ec2d53b8b230	0	0
d934d45b-d534-478d-a456-b10fff8b65ab	17.1436818181818182	1.42870205925505056
50309ef4-c2f4-423e-95d7-7d1cf428705e	0	0
237a0942-e9ab-4fa0-93ec-000412a580a7	16	1.33339111111111119
17919fc4-5e61-4760-816b-712f9d9ab108	0	0
22dfae71-1279-49d6-82a5-6c33d43ce170	0	0
0cc32a2a-4be6-4921-b2e1-09d0e787fbde	0	0
7edf3dc5-b14f-4242-b6aa-7c2319ddb993	0	0
18e4996e-faa1-4949-8055-3084af81ab50	0	0
efbfd575-1473-4093-9b17-7654acddadef	0	0
bcb07ee6-a407-4ca3-962c-09b35789a4c1	0	0
a181e631-2007-4c5a-a589-e533a353d0b3	0	0
b2168cab-96a3-4b70-be4c-42078e31b104	0	0
1e30cbb5-6423-4ad1-b3f1-ef7d25b630bf	0	0
b39aa10a-6f38-4dca-a63d-b39a6f4cdce9	0	0
f01c3c04-24fe-40b4-97b6-f1eb8b227af4	70	5.8335861111111118
8450571a-ecaa-4eaf-b678-dbd8e848d355	0.594125249072381956	0.0495147283272751315
3ff4b72a-a2fb-4e8c-b50b-5e4585b8daf5	0	0
3406d731-16be-49a1-a891-0f4b18d10553	0	0
f9209b76-bcc1-408f-ab97-b61be5c39be5	11.1837229437229446	0.932057683309283402
be3d269c-be5b-4a0d-a5fc-c5f4bba04a51	0	0
1b2d1ee7-e482-44f9-bdcc-55a089788650	0	0
0170a2de-dd51-4402-a1fc-87d43d90840c	17.1436818181818182	1.42876396699494945
a46732a6-2d09-40a6-9a55-67f5d1cb37bf	0	0
57507ca9-e3ba-418c-a953-6216c9b1255c	16	1.33344888888888891
e477ab4f-a32f-495f-9b61-65d0d408e609	0	0
f8cbe308-05ec-4dee-a54f-9b93e5e3be23	0	0
9245079b-d793-4790-9827-40d4fe593f76	0	0
e56306e1-5700-42cc-8c27-ce0e530f94a4	0	0
eaf1a3a6-4a74-4f6e-b71a-9e8605c8418e	0	0
d1d95ba1-c860-47f3-8aea-97a28f1c62b0	0	0
ac247674-3eb4-4012-9d81-37591b141506	0	0
a23afcd4-b352-49f4-b98f-070112be5a3e	0	0
22420e03-0c97-4b55-9042-57239746a0fb	0	0
c10ca826-442d-4932-8af5-498805fd77b3	0	0
536cf6eb-1bae-4e6d-9e74-9af7b9b9745b	0	0
b9143ef8-5396-458c-9324-05b4a3c61fe8	70	5.8338388888888888
1ce64d69-262f-4db3-8a76-dbb3a9419570	0.594125249072381956	0.0495167087447720353
15f3165a-df97-4372-982a-1a4fadb8cc63	0	0
6dc326db-2554-4024-9688-c9524749d03c	0	0
f1bef522-f618-4958-becd-dfbdc77acee7	11.1837229437229446	0.932094962385762393
ee6b03ef-85a2-4f25-9aa5-88426722ef0f	0	0
280bdc3d-14bd-470b-ab8c-ad4f373dc9c1	0	0
b4126fc0-82da-406b-aeab-24d4492ff89d	17.1436818181818182	1.42882111260100997
3e4139fc-18ab-4f78-a022-12eb5cfa49e1	0	0
bbd8da4a-2050-4032-875a-40379efb1ad3	16	1.33350222222222214
aa0b58d3-816d-4250-a2dc-8030b4a27aef	0	0
39816895-e700-4f0a-bd24-ffb2280ae481	0	0
9a9a3ba7-a9ac-4898-910b-8e5733e6c2f1	0	0
01c04d5d-c8d9-42d7-8a1e-e76a0185e01f	0	0
fd4fa4ec-9cbd-4abe-baff-39434aa0d98f	0	0
5ad30a23-f15e-4e79-a458-e8e0d1c3baed	0	0
ab60a7ca-f852-4e73-a162-30283b537d23	0	0
463756f5-eef6-4e5c-bb1b-94f0ba199f1e	0	0
90725548-d14a-4a6b-851a-9f2828283658	0	0
99961651-2a46-47ef-8e3d-33cad0956a10	0	0
f9a327ce-9e6b-4833-bded-637a6fe4d0f4	0	0
297f490c-fa76-477b-90d1-90b8416993e6	70	5.83407222222222188
99e49b0f-5583-4e1f-a34d-4ed9fe27af98	0.594125249072381956	0.0495122528054039931
4a4e62a2-6999-4ca3-bae3-b7579aa79ba3	0	0
a1bde231-9242-4441-8067-ff01ea0c0dff	0	0
9ee66de6-658b-4fb9-a6e4-eef1abd16413	11.1837229437229446	0.932011084463684525
a898454f-fd82-4740-bcfb-d21cd16cdee6	0	0
845a71ee-329c-4e6c-816a-a661853e60f9	0	0
bebd268c-dfac-4ac0-9edd-6d4d30479aa6	17.1436818181818182	1.42869253498737381
d0bb25ce-d50f-416b-8102-06ea6dbda676	0	0
82fd84a4-de0c-4e41-be8b-b35bc21a663d	16	1.33338222222222225
25e53911-a63f-42f8-a9db-d08efbbd36de	0	0
c8955ce8-9745-4a87-b22e-a0a2d1e9dcbb	0	0
eb3cbdd6-b8ed-492b-997e-0d20731e3814	0	0
4686d7c3-6ff6-4a9c-8bc8-889ef924ffc0	0	0
67e5c5cb-2f5a-4137-ab74-8453070f69a0	0	0
dee7865f-b3df-4d57-8676-2b543fd961ce	0	0
0dd9bf03-0e5a-4359-9464-82466ff2ae2a	0	0
dd26896c-8713-4e03-ae88-7ab65c83c932	0	0
6701cda4-06be-4cc9-8293-532d4c5e356c	0	0
83840b83-a95d-44a8-8ea6-1b1161ae7fdc	0	0
d511f845-9c57-41c4-bd0e-92c37917cd8e	0	0
fa519963-ab80-4b3a-b124-c7a9cbefe5e4	70	5.83354722222222222
8215eb7a-5d91-4d64-9987-52d4915b0cf3	0.594125249072381956	0.0495143982576923131
89772f7b-f310-4bd9-b8a2-1e68294c7f05	0	0
96523e6f-a331-4c5e-a5ef-b6a15f2df702	0	0
488ea5c1-3a31-4af0-98f0-60fc19a146f3	11.1837229437229446	0.932051470129870219
cd8a973b-0a51-43cc-b67d-334eecc9b563	0	0
3225a301-3a85-4e78-9bd2-46069ed97c8c	0	0
85c38685-dd88-4a78-bd72-07e8ff114a4f	17.1436818181818182	1.4287544427272727
28c036fe-9f8d-476c-ab7b-8463fe11d88a	0	0
08a3e256-d558-47d7-8116-6c872ea12c02	16	1.33343999999999996
7e41fc84-9376-4ed6-b15a-914d802b9732	0	0
b1a466a7-3550-4d81-aba8-6025445337a8	0	0
419b69a7-5e7f-4be1-833e-25d02fba08fc	0	0
2602b6d5-c5eb-405d-9fd7-4c62830eba34	0	0
d4af66ef-5cad-470f-927f-77be06dedfa2	0	0
8042deed-1dd3-4a8e-8726-c7882d495994	0	0
d181a1a7-4578-4c61-ab2d-e2d7ebe1ea4d	0	0
404c3ba5-a31e-42e3-a077-9ea3798f5401	0	0
155fb782-414c-4e8a-9663-f89251fb2f41	0	0
fe3078cb-26a0-41cd-9a95-d93eaaf282e5	0	0
749b5014-b2a5-476f-9287-f2e8a8424968	0	0
e36661ac-f280-42e6-bff1-b26c8c73406a	70	5.8338000000000001
12e757fa-271e-4533-a17f-80b54b1826a4	0.594125249072381956	0.0495143982576923131
0355aafc-b6bc-49b1-914d-1d6343367264	0	0
acb31e8b-b5e8-441a-9f00-19382221d44e	0	0
ed1d62fa-0551-44a6-8779-16fb532a477c	11.1837229437229446	0.932051470129870219
71b99b8d-d13c-4c1e-b274-fdcff09aa945	0	0
df81e943-42d8-4299-a87c-3a831870c459	0	0
ef389c28-1eb3-4607-bd42-1ce87675a1b9	17.1436818181818182	1.4287544427272727
71bf083a-6d85-4724-a589-746852eb7434	0	0
b6ca39d8-6ec8-447a-9506-93729ab77079	16	1.33343999999999996
db0ffc07-84c4-4d3b-8adf-3591733510d0	0	0
4e2acf08-ab64-42d2-8984-39dd1580a09b	0	0
4d54a962-031a-486a-aa8d-315fb14b7c62	0	0
1e7dbcfc-4fe3-4019-be38-dd164d04075d	0	0
1a5c39e7-5c01-4aba-90ce-e32cb7ecdc04	0	0
b8175a47-d2cf-4377-84f4-39f155f66bad	0	0
db91cbd1-109d-4e29-a14e-92d19717679c	0	0
d9eef7bb-dfd8-47b9-9ef9-46cf28cf4cd8	0	0
f1895dc7-16df-42e7-b69f-80bb0d0b5815	0	0
735c8e44-936f-4ae1-bdc9-aed2cc976791	0	0
4d906cdc-f74c-437a-ac6b-3b69fe25139a	0	0
e3ddb0e2-9b24-42ec-b6a2-292e0b9f9957	70	5.8338000000000001
10aacad7-1445-4daa-94d4-77b552948007	0.594125249072381956	0.0495178639883118998
428fdb9d-e46a-4a2a-ac2b-a2d9eaecb15f	0	0
36f56c1f-628d-47c1-9b39-1cd47ff5f972	0	0
814cd495-9e54-4f7e-bb3e-0728a2a66879	11.1837229437229446	0.932116708513708536
48c40760-77e5-4859-9780-089d05ecae51	0	0
412ad2cc-a764-44be-8407-8a358cd20e2e	0	0
ad94ece3-5914-4a02-9c73-6854f350f9fb	17.1436818181818182	1.4288544475378786
4acc699c-64d6-4c61-bdc9-b27a1a41d802	0	0
31c83bf0-23ad-41d0-a391-7742ac75c737	16	1.33353333333333324
c2f00bdb-ec10-4571-a8fd-ab9a177e7275	0	0
70c73df1-c606-44e5-ab17-2c549d1a646e	0	0
57716afb-6fb9-4cf8-9cc1-7402b8ed8d0d	0	0
a7af065c-c3f4-44d4-ab6d-fec6ac87e93c	0	0
8152a925-aab3-4b26-a89a-b2b21f73eff0	0	0
6b28ac0d-f9ae-4c8b-b01d-1b14d136f9e4	0	0
1cd2cc9a-86e8-4e5e-adea-f0e31fe0f989	0	0
ac7a4c27-3501-4d43-8612-04d89300aea3	0	0
bfead937-cbe2-4786-9b07-8bc5173e4c07	0	0
10129d12-e10c-4ef4-9186-6878e0dd1f57	0	0
44e9fd73-f519-41d8-a19d-6deca0382e6f	0	0
63fbfc83-4cdc-40cc-95b6-f88e5b7a3bb7	70	5.83420833333333277
6145b30a-cc4d-4efd-9079-2d1cdf785b24	0.594125249072381956	0.0495082919704101787
f43abddf-98d6-4567-b75e-df448003aaa5	0	0
b9c853ef-c11b-4430-bdbb-072c3f2e36e3	0	0
ba0952a6-2f40-4b5b-9699-0be59a418aa9	11.1837229437229446	0.931936526310726432
3f2bb932-1f4c-4e29-8b24-b0ac24f91a79	0	0
c254a789-44d3-4f77-80a3-21f13e690672	0	0
326a8a76-a572-456e-8c38-4d39666f1ebd	17.1436818181818182	1.42857824377525255
3093f93d-fe94-4831-9b82-e256ec23186b	0	0
b363191d-6c93-46d0-b24d-8a4ceb71c49b	16	1.33327555555555555
ef6de251-4e47-4153-ae40-4b88e691c810	0	0
46f48d75-a716-49fe-9c5e-3f614d71cbeb	0	0
320836f3-7e0a-4769-a428-fc9456eafa26	0	0
7c46ecfc-ae39-493c-8f0f-1d10b00b5f46	0	0
0e27dda4-4fb9-43a9-89fd-540976894e02	0	0
1a895d6a-bb2f-42d0-b51a-b26f8a2d529d	0	0
bfda56e2-3e6c-48cc-95d9-d6e5cfe2c721	0	0
6092fefb-4628-4cae-ae61-d7a48fbf7bc8	0	0
7d099240-4284-4156-a473-a19ed22ef1b8	0	0
fd498d58-26e3-4731-b827-ccb8e9de6517	0	0
4aa4f823-2f96-4219-bf60-f21506bc9c3f	0	0
ff3e88fe-389b-42f2-87e2-c2c50de4b9e7	70	5.83308055555555516
7fac24e2-ce7f-4638-bbdb-6cee7487396b	0.594125249072381956	0.0495153884664407615
280eba40-fb2a-470c-8d92-f4a22d3a680b	0	0
28c727b5-c9c9-4546-bd62-53442e0d8789	0	0
a1a5fc59-c5c9-4ae1-97d8-79ccf6373539	11.1837229437229446	0.932070109668109659
8b154cb2-2c72-4de0-8765-298bfe54fa3f	0	0
5d6b0e70-6539-4759-b1b8-06ff7109b362	0	0
427d3a3d-ce03-4087-8a38-18b8c5dfd279	17.1436818181818182	1.42878301553030296
af866d02-bf77-4bf7-9216-fa3c91578c35	0	0
c6d71a9b-906d-4f60-9f9f-2a302f528586	16	1.33346666666666658
b35044d3-9434-4342-b5ac-e918a767af40	0	0
33cf3c7a-46cf-4c3e-ae14-66b4945867b2	0	0
4418bfd7-99cc-497e-a546-ce65d4b0ec02	0	0
5d5fb22d-e2e1-4b74-b402-4b5401f8d1ae	0	0
90130501-454f-4830-a0d7-91f9c12bdf32	0	0
6961568d-30b3-4ec2-9547-57365c482928	0	0
f497d886-3870-48c7-ab7b-a6c5408efc31	0	0
18cb3238-320a-4acc-bf61-330922bf43ab	0	0
cac0d050-bc7c-4f4b-81b8-96cc8de61a70	0	0
1c050e65-37ff-43e8-be77-6cb778ec80f2	0	0
c6ba0fb1-da06-4d53-908a-6a69656f2213	0	0
b46b745a-9405-44a3-9939-89158d16da46	70	5.8339166666666662
93b947fd-c05f-45d0-84fd-8cde154831df	0.594125249072381956	0.0495068066572874957
e6edf755-915a-48d1-892f-7e5933503898	0	0
43e10d77-ca20-4b83-814a-ab2791fae916	0	0
12faf53b-fe39-4811-b01a-53881fa99398	11.1837229437229446	0.931908567003366994
7d994713-0cce-4416-99f8-b366bb52c235	0	0
6101692c-fe28-4038-863c-da3db424af21	0	0
d92d2dd5-099b-4daf-8091-d0a0fff139e9	17.1436818181818182	1.42853538457070695
68465472-aaa2-4a46-98eb-5d4d4add087d	0	0
29414809-1fd9-4cc6-b59b-4a6ca8e74833	16	1.33323555555555551
e3c87d14-708b-4d8e-8df1-e8b55322d2fd	0	0
6c2782b4-17c5-47f7-a66c-dd6a5785dd31	0	0
1a0aa760-5b4c-4f2f-8770-9da845ae6ca4	0	0
9a2e1e48-a4fb-45da-a498-7fdfeadb04aa	0	0
3f197d94-034d-4e08-bae0-9de1657493f6	0	0
e0b3846a-84ae-4fca-9429-11dcae2ae50e	0	0
a2fa3140-80a0-4de0-8c24-3ef315ba2c99	0	0
c0a81c62-c7fa-412a-b2a5-5e21325cd5e0	0	0
9beed468-35a4-4a8d-b687-e2bc0552b201	0	0
62b94cf5-747e-48bd-a99e-31f0b3c536c7	0	0
1d3c6cd3-1488-424c-bb3c-69f148fbc70f	0	0
0a9a5e20-5de2-4d98-8a2f-286722846ea8	70	5.83290555555555557
93ffa9d9-c6a1-42b6-9ea3-45769eece8d4	0.594125249072381956	0.0495209996493486751
787ea0bf-ead5-4613-83af-6973571f2d15	0	0
22912d52-5baa-43a1-8049-6106b9762437	0	0
f88a35c0-8b33-4f0b-8b84-c793b53bef16	11.1837229437229446	0.932175733718133781
22c7b507-5c19-4a73-84da-102b094d3ff6	0	0
6f68586e-dfd1-48bc-acd9-d3d5fe393af4	0	0
7c7e2de4-7438-4db1-abd5-ec552446fdfd	17.1436818181818182	1.4289449280808082
86026fea-5f74-4dbd-9248-87a4fcd6ddcf	0	0
e8505b70-0525-470e-9424-fe19c705e0d8	16	1.33361777777777779
3caa69f9-ffc4-423a-9959-6b525f940747	0	0
6f9e62e0-4624-44b4-b0ca-6876b6ee52cc	0	0
6ce7b1b6-d6a0-427e-bc01-592deff92905	0	0
742cd42f-d902-44ca-aec7-ceee5526fd03	0	0
8f22b3f9-26b2-4865-bddd-f1d4ebd76c48	0	0
8cf761b4-1dda-40f5-9f53-8ad673a156c0	0	0
65b9d99f-ae37-4d33-879b-d7547d721fc3	0	0
1d2d0a5d-99c0-4022-862a-e4b16a255685	0	0
5aaea708-9a6b-420a-b06c-3ebfe17e94c4	0	0
bbbb5cc2-e635-44c8-a93a-9a7e212cfaac	0	0
99c9f9ad-2ec1-4923-9702-0e45c3e8b9dc	0	0
531693a9-f201-466c-9060-c5bffb83ba98	70	5.83457777777777764
dcefac97-21cd-45fc-bf54-adffcbdd36b6	0.594125249072381956	0.0495140681881094877
cd3c413d-0468-48f5-8f38-a8e8a18c2d89	0	0
ce3a151a-d554-40e1-a9bf-22bef989df1b	0	0
7df70249-ca52-4018-ae28-553011008dfc	11.1837229437229446	0.932045256950456924
ce17f1f8-29a4-4c4b-a15f-5e45d1cf6176	0	0
164d7f42-4bbb-4ff2-9d7d-32037da3d796	0	0
ac5dd297-b5f6-4f08-b6b3-3af3512fd5d5	17.1436818181818182	1.42874491845959595
4f0416a6-5e6c-4be9-8bee-6f439d43f9e2	0	0
ff775366-0405-4368-a816-35344fb57a44	16	1.33343111111111101
9ab8e1a2-2ef6-4c6c-a8b6-0995e16d2cff	0	0
33db8237-ccbd-4385-a1f9-55d61013eb2f	0	0
b05c444d-f212-4dcc-a210-47453a514a94	0	0
4f6c0e54-8887-4f46-85b8-bd53d67178cb	0	0
28e4b150-2977-4709-9594-eb237d3315c1	0	0
3cc66eeb-0f46-459b-a5b7-a3a19731d6f4	0	0
8b0759c1-5fe1-45de-bf63-33a72ffb2f05	0	0
f053b1de-e1c8-4fb8-8d79-c4d6e46bcc43	0	0
13122533-0f8a-4540-93de-3045c0052910	0	0
d6207c28-8c42-497a-bdbf-bc2760ddba31	0	0
70ea4fd5-9096-4d8e-b1c4-b7147d6e1a98	0	0
90489281-2998-488e-9cec-55ba02f2372c	70	5.83376111111111051
f61dcc0f-e503-4e5c-9aad-b1456cad50f8	0.594125249072381956	0.0495097772835328617
f95d605a-5eb7-420d-95a9-5722a00d0e24	0	0
fbbe39c1-bcff-4328-acd8-b851467eab47	0	0
a17d31cb-6f4f-4649-ade1-6c6b4222bee3	11.1837229437229446	0.931964485618085758
acef17a3-5ff2-4556-94b1-dbbd9a98eaee	0	0
4029705a-17c1-4816-8d30-a95dfca5cd1a	0	0
1e5daed7-7ad5-4df8-8c62-c869f5fe313b	17.1436818181818182	1.42862110297979794
25ebb431-991a-4e52-9e17-68dbbfa74f5c	0	0
8aa94926-d53e-438a-9f0c-cfbfd6db3075	16	1.33331555555555559
d22e9205-8582-4253-ac7d-9cbf18ab3d54	0	0
9411d082-5b09-4336-91e6-9d006e42b21e	0	0
8d499314-0cc2-4779-879d-bbb717bf3cf2	0	0
79ddb53c-1b2d-4d5e-9a8e-3f5217a779cc	0	0
f297faa9-07ba-43d2-8c5d-1975641e0351	0	0
c2a69bbc-e65e-4e1c-955f-6c12731f94fd	0	0
3698a8e5-1092-47a1-a483-fe9b46672da0	0	0
0548f8e2-3298-4521-8cdb-180fc319f891	0	0
c96a1a59-d2ca-4c62-8f07-0f016db3bf5e	0	0
daada54a-7398-4506-9aba-d39bc501073d	0	0
fc9f9253-193e-4db4-b7dd-bd9229d0882e	0	0
4e779d68-c0a4-4e0c-b553-f62e5cc57b98	70	5.83325555555555564
6226bb1f-7377-41f4-977a-095fc3f33b8a	0.594125249072381956	0.0495142332229009038
59565e70-df47-4c5b-8700-2fca79200e7e	0	0
37d4fb6a-72f4-469b-bd04-7b53e9bf9029	0	0
1c5b1391-d07e-4ab0-8a5e-435c168845a9	11.1837229437229446	0.932048363540163516
030c8f4b-c254-4ab2-8bba-113bdf33d77b	0	0
227001f2-4164-4895-8930-57c63f3a2455	0	0
24c7cf49-7ec2-4338-9f12-8aa66c1b8c74	17.1436818181818182	1.42874968059343432
499aa999-61c6-4ab7-84ad-ccba7fa76d98	0	0
5b79f0d2-5d9f-48cb-b19c-0466eab82a8e	16	1.33343555555555549
f7e774da-6baf-445d-953e-d6d332d65623	0	0
44429289-573c-483b-931a-a7ec7b148cf2	0	0
71ad68bf-647d-4097-ab96-16e57e3d27df	0	0
bcbdb1f1-7029-4741-bf14-9436bb01a7c1	0	0
549011c8-482f-4b8c-b8fb-be2fc2fce232	0	0
77592964-6adb-4925-9f4d-25d73476f6af	0	0
36f1d43e-c7bc-4c00-a365-a385059a8375	0	0
23063b21-6fa3-40ef-acbc-fc9f506fe84b	0	0
67e0da99-e092-406c-aa83-c8468900feaa	0	0
78c6e832-87c2-4ff3-aee7-59e364bf1ad4	0	0
872d7270-e17d-4407-9bb8-0edf4a28b44b	0	0
817ef035-e99b-4103-b8a2-ee4116e04556	70	5.8337805555555553
38b51203-e9dc-41be-a506-9e85f16031e7	0.594125249072381956	0.0495160486056064053
514470de-0d17-4b7b-8b0d-7a85008f4df8	0	0
2dfc606c-dae0-4b7a-b975-685c9128ec26	0	0
ab367867-4eae-4d11-bef2-72d021db9963	11.1837229437229446	0.932082536026936137
c7ad6195-4ad1-45fe-849a-0dadaedd0120	0	0
916c183f-e6cc-45a5-a238-29f070cb2589	0	0
7be9063f-bc1a-4923-adc6-642518ab5d0b	17.1436818181818182	1.42880206406565669
b98b1f66-489e-48d3-b1e6-e25cb2125ccc	0	0
23d7c994-fea4-4034-8ed2-ce2690dc8148	16	1.33348444444444447
98d26946-73a1-4a99-be6d-8195ddd3c7e8	0	0
b3154c4b-f848-44cc-bdf1-ee48a59f854b	0	0
d3f47830-dd64-4102-ab8b-a29cbe26b1e7	0	0
1bf8e79d-c6e3-467f-8787-92f6f4c2cc3d	0	0
365d91d1-1824-4fcd-bdf4-26506e9badf3	0	0
40791ba5-fa50-4ad3-90fe-ed8be532f807	0	0
2d9fbdfb-b85f-4a27-8621-83638def0720	0	0
ccdffbe6-fa64-4340-ae04-4fe4cbc24e70	0	0
05f2a173-9ddf-4529-9211-6cad67b3db3d	0	0
4e9b636e-9cfe-4fae-9309-38a7d02c18c6	0	0
26baee10-04a6-4019-8012-d5f77c657c90	0	0
009032b8-c901-4de3-8737-d81c81d2f74f	70	5.83399444444444448
76d301d3-4350-40ab-b50e-0ce9ce84df85	0.594125249072381956	0.0495160486056064053
93be253b-838d-451c-bc28-7a4f5166b35c	0	0
c1f2c2bf-7ea2-4b76-8d59-118d326e0fd9	0	0
33f8b5f0-6b87-4b24-b82b-dd09b8602005	11.1837229437229446	0.932082536026936137
804ba23e-2085-4807-8bb9-b84afcc420a9	0	0
b88524be-0855-459b-ac5a-aff157895f8e	0	0
79ad1350-f432-4e9c-9505-cc7e6b748b68	17.1436818181818182	1.42880206406565669
53975463-25e5-4329-abc5-0a9b48688987	0	0
e4b5ee58-461e-4ec1-9342-7b3fc2473e01	16	1.33348444444444447
a686e5bf-7af8-4712-9d7d-a6612cb3408c	0	0
3d3d46a3-0219-4f16-9127-0e773eb5666f	0	0
8e10abcf-e47b-4b53-be59-d1c1f93c4be4	0	0
16251e3a-6df4-4fdb-ad4e-ab2d2ebff57a	0	0
11b9b4ec-d1d2-4cee-b9b0-68650aaf8540	0	0
2de9d18f-ea53-4722-a174-fc7146f2d882	0	0
bcf814ed-73e8-4f50-bd98-b50ebba5e024	0	0
d285c5ef-e3db-4196-878a-311517fb6ef9	0	0
4dc261a7-62d7-4048-bb23-50a3d1286cec	0	0
c9416b8d-616c-417b-85fd-166b415ce473	0	0
5f0ce325-10eb-4d8a-8754-f645909d929d	0	0
76a4830b-7f95-43b2-83d5-9c31263eef4e	70	5.83399444444444448
d7b80b7a-a619-4caa-acca-9e598bc44809	0.594125249072381956	0.0495046612049991827
4186d7ba-9542-40ba-8174-bb8d61c27c3b	0	0
8f7eeb6b-1f79-448b-a6e3-f999e9adda22	0	0
ac4e7a64-4207-431b-b2ee-ba441180871f	11.1837229437229446	0.931868181337181412
918ec1d1-3d1b-4419-8147-341ec3c4c9b7	0	0
eb856831-a7f9-43a1-8be1-a1eeb846076c	0	0
43d3ab18-cf13-4713-bbfc-a5167ca0fffc	17.1436818181818182	1.42847347683080805
ece56f41-9e76-4ee2-9747-e07adf39b55d	0	0
7652c1fb-7d34-4a40-a7cc-d14f05b46253	16	1.33317777777777779
be93ea88-5f7f-4dfc-baa4-86a2cea400ad	0	0
11a426e1-c232-4850-a18d-1a53b47ad337	0	0
f5f658d8-4ca8-4a59-b2a9-c9a488e80e2c	0	0
d2116117-82cf-40a3-8138-aa755f5e6de1	0	0
71258188-4d68-49b9-8f2c-76e6946263fd	0	0
a57ffd5c-bad3-43b0-a651-1a1be87e7463	0	0
5e73d266-bc1b-488e-98c0-ad946281f76c	0	0
be839699-6735-46b0-ba54-95c8393e2e5e	0	0
9eb962b6-5d1a-4262-a989-6112c31d7cb4	0	0
916246ca-d895-49be-9125-71ae5f3f2cf3	0	0
fe485162-dc95-4721-8f23-5bec93e44220	0	0
c054e866-cd9f-4fff-83de-6c180d3ceba9	70	5.83265277777777769
86f2e6ee-fd59-4ae0-a1db-c63824bf9050	0.594125249072381956	0.049522319927679942
38acde7a-9bfa-4033-8559-202d95b826b1	0	0
9268b0dd-abcb-4895-ab91-a15ffe9e850c	0	0
28b28f95-2bd0-4404-b282-2e5143ba2f85	11.1837229437229446	0.932200586435786516
b4587544-6849-42cc-8b80-794d92ccae1a	0	0
f87101bb-9c04-4a16-a1d7-bac4e477f166	0	0
6c903c82-39c5-4fc7-99af-2c7b7c0bc5e5	17.1436818181818182	1.42898302515151521
9a529f9e-507f-452f-92ea-9c74c96f15c4	0	0
226f58ee-db16-4ecf-82e2-9007bd61fdc9	16	1.33365333333333336
2b0ef535-33d2-4a12-8bbb-f4109108c04d	0	0
d4dd92f3-0235-4910-aeec-cd6a5a3cec40	0	0
254653d8-ec89-4d64-85f2-d4fba2587fee	0	0
d58f00bf-dfe4-462e-b770-e7cbcc5a43e3	0	0
886ddedb-6235-4ee1-8362-58c855484eba	0	0
aa54d493-c149-4b9d-8cad-20cccf910f09	0	0
9e082a54-9818-4569-bd32-8f8f4eea1d67	0	0
a4beb7f5-a307-47d8-9885-ab14af99e6e1	0	0
f4ba4f4f-9b88-408f-8050-42f1a4c34f51	0	0
67ad66f9-3ba1-46a6-a71f-e114764c665e	0	0
e6c1d52d-e00b-4f67-b5bf-9c1528dc0ad8	0	0
179a7625-a955-4539-a31f-0efe0701418f	70	5.83473333333333333
0fb50f84-6da4-4a6b-a656-83c322fd13b3	0.594125249072381956	0.0495097772835328617
985246f2-b2f5-423a-b144-8a91911899e1	0	0
95a8dee7-d331-4da9-9bfa-aa8f1da8a18b	0	0
ccf92e93-b7df-4a7a-9966-e77840be7efb	11.1837229437229446	0.931964485618085758
2658fdf3-8c2e-49c6-b30c-03de67cde382	0	0
66dba823-0a6c-4fea-8697-7cfefc1acade	0	0
874d8d8d-99ea-476f-a08c-8010b78c7794	17.1436818181818182	1.42862110297979794
c0d0bf60-cca3-43fe-89bb-e7e82d98c674	0	0
a211c3a4-5f62-4f28-9398-b0b8469a7f66	16	1.33331555555555559
73ef5cf1-6199-472d-99e3-f36951e9f12f	0	0
74613a4d-1098-43fa-9a47-a2f1addada7b	0	0
02934ac1-f79b-41ca-8090-ef8d71af5b6c	0	0
02c1eb78-be07-4a08-b54f-f634d1301830	0	0
611eb5aa-9ba8-478f-9257-4bc6de44e8ae	0	0
7a9456e2-495b-461c-bc8c-1ca94ab33a75	0	0
e532e912-244c-4031-8a52-ee1ce653a00e	0	0
d27f43d4-bd1c-4210-934a-4bc1ac25df32	0	0
3747cc62-b311-42ac-91ab-1a2cbc302589	0	0
cab120e2-c92e-4ce5-8344-139b6d6b775a	0	0
1e5a6939-9be9-4f0e-93da-f24608663000	0	0
50a7c14b-5d2d-4f56-bc61-942afa15e34b	70	5.83325555555555564
4dbda41b-b127-4973-b755-03f6b9d73dd5	0.594125249072381956	0.0495157185360235799
21eef6fe-d20c-4160-a87d-d8477b248322	0	0
af04bad5-d73f-4012-80a0-1a5f656f0761	0	0
42f2d5bf-2410-455f-b034-1312502f78b9	11.1837229437229446	0.932076322847522953
a4709d72-19fd-4400-8e95-b71b5c0ac334	0	0
4da25b87-a75a-492d-a9ab-f8bf21523c83	0	0
2b143869-b74d-488a-ab77-6926267777e1	17.1436818181818182	1.42879253979797971
e1523a27-4869-4014-9663-2b2840cd843f	0	0
dd9810ea-73ae-4c8d-a71b-b3739862549f	16	1.33347555555555553
f18fa9ed-ff99-48a5-8cf4-10483993a402	0	0
fa2d3811-25be-48d0-bbaa-5e9a5a55c7a9	0	0
195ad482-68bf-4b6d-937d-0812a82d54ea	0	0
1d360027-c16c-4598-876d-cbd375e18c0c	0	0
1915e6f0-b795-42a2-a91d-eb81b4def947	0	0
79e009a0-bee9-432a-a2e6-0b3bde8adf46	0	0
013224d5-98a6-4f58-aa1f-f226a32d41b7	0	0
01d6a134-b57d-4bf4-be22-133776bb0b33	0	0
3212ac26-5f47-48d1-9a0e-b67159ea3cc5	0	0
420042a8-e349-4fda-9348-b37d39d2cd97	0	0
3399ebd6-e1a1-4041-a880-2927652a59b0	0	0
af41b2a9-1840-41f4-bf59-8148a99789e8	70	5.83395555555555578
3d51a564-1a2e-4a0c-a592-c0766aa17d2c	0.594125249072381956	0.0495125828749868185
02f52a2f-3beb-4793-8ee9-a90731985d4b	0	0
ecad2b7e-4c51-4c56-8d07-29b75ea054e8	0	0
88e0d163-f6e1-4f3a-8163-57f793302e9d	11.1837229437229446	0.93201729764309782
e6c1f99d-76c0-4e3e-84ba-4e144c4b7ac5	0	0
510543d2-edd1-4a56-af74-a0955e2aacdd	0	0
b583db00-962c-422b-bdbc-e07d4e8104ee	17.1436818181818182	1.42870205925505056
8dbe2beb-a67d-4e45-9a75-00e989213933	0	0
82434a72-2f69-434a-aba0-1e56a4174b9a	16	1.33339111111111119
7a53d0c6-2b50-4278-bd43-890e29dce228	0	0
cd1839f2-3d93-40e0-8503-3dfe5c2796d1	0	0
b0130598-18b0-4b47-b668-988d57eff71d	0	0
e5ff0804-e65d-4dd2-9c6f-8a6b6eab776e	0	0
fa9d9b66-d8c1-4f0e-a0d8-ba2883d95f13	0	0
866b903e-2bcf-4fe2-a6f4-731bcb85b245	0	0
aa6a0577-e37a-4998-b15b-bb2f1da9c0b7	0	0
a520158d-6f5d-4b4b-8980-19615168df86	0	0
ac254d90-af9c-46e0-8580-d3919e79ce43	0	0
9df34d41-03dc-411b-9634-0ece366deb24	0	0
32a3691f-8e27-4c8b-8ea7-b16a7a8e9e95	0	0
b70a830a-4f8b-4974-ac14-6809a7f76469	70	5.8335861111111118
c3bb7271-e562-419a-89a0-b74f5a1d54e2	0.594125249072381956	0.0495135730837352669
86734cfe-ee3e-4397-a4b8-47833d2437e1	0	0
ddf113ac-8a51-481f-bef7-2ac71d2be875	0	0
74dff163-72f1-4be8-bb7b-9a7d064a89d5	11.1837229437229446	0.93203593718133726
d059dbe4-aaf7-48c1-b039-866abd171198	0	0
3f1bcc3b-4d7b-4327-aeb7-067f6e9cf979	0	0
eb53059b-59ff-47b9-9da3-e9293a5103e5	17.1436818181818182	1.42873063205808082
7c450bb6-9fe2-40b0-ac4f-d1e82d785869	0	0
776c6145-13f0-4d8a-ace2-ce216887ec26	16	1.33341777777777781
8b300ef9-3ad1-4882-bad3-a1f62dc4715a	0	0
adfff818-e75f-4213-957c-e8ded92d4d58	0	0
01efc3f8-1165-4f07-b6c7-e96a4ffb8969	0	0
81623464-69ea-46df-9d25-c168268211ea	0	0
2763043a-21b4-4247-a7f6-e3bb5da67e80	0	0
ea3c71a7-6406-40e0-8bbc-9245f6e56819	0	0
97092047-b65a-4600-9b04-224a7fc6c65f	0	0
634e81b7-ba1b-496e-9788-e5b4a59da99e	0	0
b8879890-c80b-412a-9855-8e6ee1a20cf0	0	0
9202f829-d92f-4795-9744-da4e692a4c31	0	0
6fd956bf-d166-4a35-80c8-4ca4386d2de2	0	0
30d42524-bd0f-478e-a45d-092f52e50bd0	70	5.8337027777777779
68519b65-0bb2-4f38-b5d5-7e29c0092b2e	0.594125249072381956	0.0495109325270727263
cf1e81cf-6b96-42dc-8a36-02c648a75e06	0	0
2662370b-dc5d-4839-91a4-5574ccf524e0	0	0
33fc9937-489c-4854-b870-3e197cc12dba	11.1837229437229446	0.93198623174603179
aaa1e005-724b-471a-8958-788d15e49aef	0	0
9bf6e5f4-67b0-49e0-bcff-97f195dad849	0	0
782c0944-69a1-4d27-baf0-94da1dceb45d	17.1436818181818182	1.42865443791666658
17f5cde6-a6e5-408e-a9ff-d17cd3260aea	0	0
f47d6311-91d1-44db-955d-76dbfe513f64	16	1.33334666666666668
ad06d9d5-b645-4a4b-9f8f-a2356319f224	0	0
ae122c55-7100-42bf-a619-a8c34ddc1254	0	0
8ca4a7b4-dbb7-4943-a024-092f7c0b9926	0	0
44e96fe0-d2c4-4006-af26-eab79515ea84	0	0
93181320-7c41-4f1f-90a4-8f6007d24e6f	0	0
2817f23a-af79-4ac1-8cb4-d50c9b76e55e	0	0
7efb11df-e8d3-4592-b1e2-a8dc8318b986	0	0
e0fc9a4c-388d-45f3-a4d3-817b2d71d58c	0	0
c1283363-588f-4510-a5c9-cf71812e2f29	0	0
56a9bd1e-aaab-455e-a644-4f5c30db5252	0	0
716a4472-b474-41ef-90f4-63c4444b2d4f	0	0
8c7c7d93-cd6e-40db-a4d1-67d5a3d74350	70	5.83339166666666653
33d201e7-361a-478c-9bcd-4d28fdbec5a7	0.594125249072381956	0.0495173688839376722
55bce71e-696b-49e1-b44e-9bc7965d677f	0	0
9904bdd0-d4f3-485d-8885-d9576e0d0dfb	0	0
4a34f953-6072-46ef-a870-230f72562e13	11.1837229437229446	0.932107388744588872
7c783d51-0746-4df1-9342-0421e70c7417	0	0
d06d995d-0f6d-4e5b-88fd-49059d9cb43c	0	0
3a58b5a1-dafc-4c65-8e4c-b2e31df3fa27	17.1436818181818182	1.4288401611363637
6f988dbc-84a0-4e16-a5cb-507b084f6d78	0	0
c84a22e1-751d-4fbd-ae33-179e22cd0216	16	1.33352000000000004
b1a6546f-87a1-427b-b0aa-f29a83fd4d88	0	0
f566747b-883b-451c-b9ff-d7d2fcf0935f	0	0
0a520867-32cb-4014-9847-ba4eae69f912	0	0
c6a7870a-6bb4-4650-b7b6-bec05bf7c598	0	0
66f2d747-ce64-422b-bd04-1a95231eadee	0	0
31443445-0f3a-4286-abbe-d283eb6f84f4	0	0
8da74df0-1a49-4630-9676-5d723d83ddbd	0	0
5b64232a-b3c2-4675-acdc-d240126a852d	0	0
3821cace-ce5e-48ab-9bd9-01ff628c10c3	0	0
07f7e651-2338-445d-b59a-4e999ea0c868	0	0
b4296cf6-66a6-4595-939c-1349d2e9a1e8	0	0
8f042172-6741-47aa-854d-453039d3204b	70	5.83415000000000017
6b6a435e-2400-432d-a924-ea82f7ddf454	0.594125249072381956	0.0495147283272751315
638c73ad-e275-40c6-b16f-9c2686f0b0c6	0	0
5178f394-30a0-473b-8dda-866d6d64f8f4	0	0
6fee7195-0f97-480d-9689-3cced65c2c39	11.1837229437229446	0.932057683309283402
9c6260e6-088a-4335-b173-7539f6f839d6	0	0
7ef46ed5-c0b2-427f-89c7-b58ddb391f93	0	0
6427e901-8bfc-4af7-b2bf-d4f332c57783	17.1436818181818182	1.42876396699494945
a72f4eaa-0b47-4e94-b300-a4ab643746c1	0	0
2ba18242-c7b4-46c7-882d-9d4151dee12b	16	1.33344888888888891
e2469738-19d7-4c89-ad28-452fc8685cd9	0	0
8e03a4a5-3903-49ec-adbc-b82f39c51e93	0	0
e653e345-0826-4c44-a3b4-21424f9d99f6	0	0
5356585f-b3da-493b-a424-3f8b3e2c7f5d	0	0
98ebfce0-119d-4c01-8a6b-d92856622a03	0	0
1d84d45d-577d-45f0-9b4b-7059f89fb20c	0	0
5c055810-1e64-4ab4-b3a9-2526c6c1bfd6	0	0
c9d14512-7021-4804-9d85-c778b5f787c3	0	0
5aaa311b-d33b-49e2-817b-f609e8742334	0	0
95ca81fb-6262-4a2e-aa46-4e4480c0c15a	0	0
7a3c1ee4-8c0b-4f6b-aa93-c946488d69c8	0	0
b3dfdbcd-3984-4ce7-8322-1ed2c1085dfd	70	5.8338388888888888
898111b8-49d6-471d-afe5-6f1f7aa2f4f5	0.594125249072381956	0.0495106024574899009
4295eb09-c5b5-4d34-b9ed-57b46473e6b3	0	0
d626d0cc-a432-46bd-8312-454da4fdcd6d	0	0
25566426-0d61-457a-af8c-625385dce0cc	11.1837229437229446	0.931980018566618607
9087bd1b-9705-40d2-b26a-f67e0f310d92	0	0
11835042-7dba-4745-b54a-0d2a52cc7e6e	0	0
d361be5d-2f08-46e3-ae21-851e268e6dda	17.1436818181818182	1.42864491364898982
194ed118-8e62-4692-8c48-b948d5991109	0	0
47870e2b-c996-4fd7-ba23-e7b619a44363	16	1.33333777777777773
d5775811-827d-4a04-a3bc-92033fd5647a	0	0
1f121e73-f4ab-4cc6-b5c1-d682f65010de	0	0
6cdb9ff7-c9b7-4044-9626-57ace75c1f46	0	0
dfc444f6-5490-446e-84c6-ac0d6e313910	0	0
cdd3f30c-9bdb-43a4-95ca-f801f28b1512	0	0
d26cc392-5c5d-48a5-87a0-c5d1b9db912a	0	0
9177e436-f362-41e7-805d-ae92575ff862	0	0
5c1fedf8-b69a-4d90-a92e-e8a96a7ba1c9	0	0
84852ca9-aa77-4371-9317-4568d32ae5b7	0	0
58d5df17-1455-40c2-b7d3-308fa45b6af1	0	0
0813a6d2-4c43-456e-9414-5939faea255d	0	0
70d2e1ff-d2fb-44be-b6db-476a27e11241	70	5.83335277777777783
0eed0b8d-07fb-493f-a198-2f5e7f9e9172	0.594125249072381956	0.0495153884664407615
95af477e-6137-4b55-b960-9022cfb6c26c	0	0
0b080323-c1e3-4645-a4ff-b01b909df4b1	0	0
7f42595a-bd34-4c44-9c64-e7a746e36c48	11.1837229437229446	0.932070109668109659
a0ff1fb3-ac08-4f6a-a90d-a1f3809bfbdc	0	0
cbc8384d-628b-44f9-a613-db5b2a3737e9	0	0
9ec5ac90-07a5-4942-bb7a-c3efbb4c32db	17.1436818181818182	1.42878301553030296
c199ff7f-e558-4294-a52a-df448dcaa595	0	0
944367d4-b9d7-483e-ab38-ff0b5fd1a241	16	1.33346666666666658
c3cb36a3-b569-498f-9956-36788178be03	0	0
8fc6b071-cb45-47fe-888a-314ec41e74b2	0	0
bf093a3c-bc6a-493f-be9e-3656d6471b5a	0	0
1eac2972-8d5b-4a35-89ef-5cdfdee5056b	0	0
cae71a8c-d6d8-4977-82cb-4f48d9bcd820	0	0
13374dd3-e1be-41dd-84ed-8cee9153b23a	0	0
0f4fa9d3-6603-4f77-909c-d32528052c9d	0	0
ea3d060a-41d0-4fa1-ab37-73a12a8e143f	0	0
c6fd6140-5ab5-4b35-babf-4abbc1645b54	0	0
b5bec965-2024-4263-be06-e8dfaea66cbb	0	0
a0889957-26af-4a9c-8e22-ab088774ff53	0	0
abfd0d3d-c384-4da6-9d65-08c0d0d2c196	70	5.8339166666666662
4ad67b75-2f47-4d73-bb22-4219695a8e8c	0.594125249072381956	0.0495134080489438577
5efff10a-e53c-4b22-8ad1-1c12c3592080	0	0
b17d4c84-882d-4f94-ab10-8e37f3ee13e0	0	0
48b19e5e-561e-4f16-8cc4-765df1e909e7	11.1837229437229446	0.932032830591630668
8bc484e0-1b32-436e-8fe0-0c7da515b34e	0	0
4fad1687-aec4-4cc4-9eaa-76db266bb3f4	0	0
41a586f3-5adb-4ee8-8f5c-3c45fd82e84f	17.1436818181818182	1.42872586992424244
a00e0b92-fbca-4f8c-a712-ac760343c2ab	0	0
4018de93-6696-414c-a67e-e005b54508de	16	1.33341333333333334
ad2a1aba-3f17-4e27-9156-2de0bfd9a32b	0	0
3dce38be-8d20-4afb-803e-e78fc6f58717	0	0
c5e1426e-d480-4afa-9632-776499c5e5c5	0	0
13c7a9aa-f983-4f50-96a8-dd20129d367a	0	0
74e56eff-930e-47aa-8ff9-9e7ec3e55874	0	0
2d18a834-e801-4875-8355-0be34d8c2e8e	0	0
abe724b6-ed4a-4c9b-bfc0-2dd80d9d0b1a	0	0
87f0b785-8cd3-4206-911c-0c6af44a8bbe	0	0
9118fe2a-94f4-407b-8db1-f8149943d3b8	0	0
f6f3a257-347d-4139-8886-39251f845f3d	0	0
cbf669a8-aeb7-49eb-a40a-b16d5e3d306e	0	0
255ac5b2-b293-471d-bc5f-0da3c20a8919	70	5.83368333333333311
142c1618-0ebc-4d59-8f2a-b09551423dd4	0.594125249072381956	0.0495127479097782208
e23d7553-4953-4824-be56-68005fd34b84	0	0
5827420f-98b1-4f26-89a0-14320ba2bb15	0	0
412a14e5-8dcb-4468-b08f-04db282f5320	11.1837229437229446	0.932020404232804189
5634f550-5116-4554-b3f9-22746b9f2700	0	0
84e2e1b3-b48c-424a-bed5-81761a7f8daa	0	0
63c1f768-4c93-4d4a-b0e0-2825767a8be4	17.1436818181818182	1.42870682138888871
7ec4ee01-79fb-470c-8946-4301c68ad889	0	0
9a5797c9-3219-40ba-88d9-5648f41b749c	16	1.33339555555555545
beefe74e-e8ef-4150-a361-f9395ed9b30d	0	0
fbb0099c-254c-4440-b1a5-708b1208f00a	0	0
a1b527c6-8e09-4c40-85fc-db4501081fc3	0	0
d188c6ea-b6a9-40b0-8a73-59ced42e5ab7	0	0
244fe017-7546-46d4-ae54-59544034f6eb	0	0
ec860011-1d60-4f34-8b8a-1835c4147287	0	0
891c016b-eae1-41e9-9504-7557c9224c53	0	0
668ae730-681b-4b0e-89c4-3d90dfd03b6e	0	0
f1afd768-cc05-4518-8721-9024784d99e0	0	0
93df7abb-a734-4f31-898f-7b283c4f21bc	0	0
e78430b9-0a06-456a-aed6-606b7407c34a	0	0
476a3843-8593-4146-adf5-56850358ba91	70	5.83360555555555482
db845f74-e820-4eac-b602-0d809b825f30	0.594125249072381956	0.0495087870747844064
898ee365-1d19-4f74-acd4-b0b3065cfa88	0	0
eb9f40c3-6ea4-4bd3-963f-e6cab4806bd7	0	0
6f97c5a7-525f-459c-b6cc-490a8874ac4e	11.1837229437229446	0.931945846079846207
e1140eba-6d04-4c10-a5de-c7feb1895ee7	0	0
e0aad623-7406-461b-9302-4f2789ff2ac4	0	0
3eeb0972-4e45-4372-8b91-43841009ee57	17.1436818181818182	1.42859253017676768
64e238bb-c411-4be1-9a3a-75dd2892769c	0	0
b9bb484b-8b8b-46dc-8523-2e6bb6e78f21	16	1.33328888888888897
ff16481e-52cb-4bb1-984f-e477c014cea6	0	0
2635d1ac-4d21-487b-a33f-8cdc2fb183a9	0	0
7c35d5e5-b90f-4e88-94b9-34ceef3bcac6	0	0
e4822986-4927-4719-b925-cb84c395505a	0	0
d6eee08e-7ca8-4256-8b5f-86ecc6df01ba	0	0
c8158575-0962-43ef-9f73-b1a8700f878a	0	0
afc2740a-2f83-4b02-9e40-8cb74bf1e3ea	0	0
f9eae98b-e1de-49d8-a295-9288016e7f7e	0	0
e7e8adb0-811f-4bfe-b15b-d78bdc7eb2ef	0	0
c36ca9cf-e234-4ce9-8361-e895c8156685	0	0
5968f9a1-289c-4b61-bcab-bce7c8fed27b	0	0
5d81bf65-cdfa-4f04-a104-b393a28db00d	70	5.83313888888888954
d8331427-729f-474d-b387-ee2948475ec3	0.594125249072381956	0.0495198444058088105
4291909d-c53c-40fb-b187-0b71343b44af	0	0
0650996d-edb4-486c-8912-bd1ade67e3fe	0	0
41dff5e3-79d1-4bf0-a1e2-7b95e0937aa0	11.1837229437229446	0.932153987590187638
293717fa-09cf-4203-b6f4-879bb444eeab	0	0
83ec99d5-bbf7-4d5c-9d45-99d71a40505a	0	0
b70b5fb8-fe60-46da-8738-58cdc739319c	17.1436818181818182	1.42891159314393934
d53594b2-25d8-4d21-b89d-88f78cb92b89	0	0
075b3b87-0bab-43a4-964c-bcd718bd6d93	16	1.3335866666666667
02545543-8c9c-400c-bb56-37080ca5407d	0	0
bab78c20-0f00-40d6-85c1-fafe292a47bd	0	0
9120dee8-795a-4b4e-ba6c-56ea7a180974	0	0
6ae13519-cde5-436d-8ffa-b1922020a3d4	0	0
5aeec10e-294b-457d-851f-aba357208af2	0	0
5ceeecd9-c202-4fc9-875a-ecc4fac429a0	0	0
de1ebe3e-0a96-4e2e-b4cf-71a3aa274586	0	0
78f69d85-a609-44ed-9f14-a08331e95e0d	0	0
8413c3e0-36a7-4ce2-93b0-135cab423028	0	0
c0cc9c77-4d0e-4d2d-95f3-22d4582fdd56	0	0
ef3e7527-fa9a-454c-8899-bfc3bfd5b6e9	0	0
224f54c7-6acc-4548-8fc3-15390c35c3a0	70	5.83444166666666675
51ba6594-a7a2-472b-99ef-c562d2751e88	0.594125249072381956	0.0495155535012321707
32599498-c9aa-4969-9bc6-1f97e7aabd33	0	0
e202db47-4f11-460d-b2d8-5160f3fecbef	0	0
628c65d9-6848-49cf-b854-3f5a850a7fcf	11.1837229437229446	0.932073216257816251
9a0686db-22e7-4685-9b72-391710eced2e	0	0
173e4f29-776f-4191-9e2f-e9b244e3c478	0	0
216a1ccd-669a-4c93-bc74-9bdbe038fcdb	17.1436818181818182	1.42878777766414133
4891c268-d446-4552-9b2e-3e8ecbf0f553	0	0
c9cb6ac0-e5a5-4aee-b3cc-ad9749964aa1	16	1.33347111111111105
17efc110-fe2d-4751-9827-6b2e5ebb0f76	0	0
25cb2927-7efe-4493-ac8d-72027f77810c	0	0
59820290-6fd0-41b2-94b8-300b1b6622a4	0	0
0b71d85b-e146-4b9b-a4e2-682ad9a4ce69	0	0
2b3bce32-9897-4202-9439-2697e1d3ea00	0	0
15bc641e-76f2-401d-9737-1f35ae9a637e	0	0
b8ecc2a3-f76c-49f8-b991-4259270f4248	0	0
153dca97-91a5-4f30-8e67-91a5f0976bb6	0	0
b8fd6f73-40d1-4a5e-a754-0a78e73934eb	0	0
2d55a3c5-5192-4e99-aecb-60cd5350d338	0	0
c54fdecd-f2a7-42e4-8fe9-f82b1662b5ed	0	0
61641497-5539-4697-88be-383a212f8660	70	5.83393611111111099
1cd30cac-e751-4a5b-92c0-2e0cf0c1080c	0.594125249072381956	0.0495125828749868185
e3b81d1a-37e6-4cc3-8383-f5274fec48e0	0	0
2eee0b96-80ec-44ba-ad42-08722b88027e	0	0
f117ec9c-5418-4d81-b119-f91d1c62811e	11.1837229437229446	0.93201729764309782
91327765-2121-4b61-95d1-549e8d5243b4	0	0
f1f2281f-1441-40a9-9933-6e2d69e823d2	0	0
02095141-781b-4206-9684-7298184f06f6	17.1436818181818182	1.42870205925505056
a87ae313-8127-4ece-926b-3b1dd042e3a8	0	0
582b773f-a9fd-4a7e-8c1e-b1b2228a8d54	16	1.33339111111111119
0ef77447-0af5-4dc7-b03e-7a11c8974f84	0	0
865533d5-621d-4aeb-9051-5d50be54a816	0	0
e5acb507-8edd-40a3-8994-2528154e1143	0	0
a3b8b75b-b254-4112-b569-b3fbe08e94e7	0	0
9a7d6e43-c877-4eaa-aa8e-c0cbd1ec942a	0	0
6674e69c-102c-4888-8625-c801534ef646	0	0
dc1bc415-26ee-4b85-85c4-517d12dd8246	0	0
368c5209-f7bd-47e8-931d-55831ff9e155	0	0
233daadd-7ba0-4dc7-84d7-4c1d3a75645a	0	0
9849a587-3e42-4d00-9155-410147e9f692	0	0
6535bdef-7e45-462f-a061-f30d06277a79	0	0
5737d036-68c0-4c41-b7be-c7210ef1056f	70	5.8335861111111118
f527539a-e047-42ee-94c7-8526b589a3a6	0.594125249072381956	0.0495145632924837223
d3dd1998-e87d-4755-b472-1a684bd4f6ef	0	0
2a94b80b-3b05-42af-a122-bfe8db44d964	0	0
4a2e02a5-fb4c-4833-8695-0ab6a86549fd	11.1837229437229446	0.932054576719576811
21f8f305-61c9-4186-93f8-deb9bda814b9	0	0
e208a385-8d04-4ede-98b8-c89ea25829e0	0	0
daa50eec-8d71-4905-965d-f9e4a65221d5	17.1436818181818182	1.42875920486111108
39a86f39-296c-42c7-b34c-fdb9b0552ac0	0	0
acc9aa60-cbd8-442f-9e2e-16112b458b14	16	1.33344444444444443
c43e870c-39d6-47f3-b71e-d8909ca97822	0	0
9007cea3-b2b6-4b83-816b-4fec9e9cb09a	0	0
d0fae347-d176-4657-ab28-5796321673b5	0	0
201b00c5-2cf0-4c53-94a8-041701cec73b	0	0
bab5a2a5-d136-485c-a4d8-71f45b326878	0	0
1a458e53-bbd6-4c70-a261-394d1927c50c	0	0
3b37d303-8ff4-42c1-b5c5-472d7c0720f5	0	0
bb0fd914-97ed-4344-84ac-f4f09299571a	0	0
2501bb1e-0494-445f-806f-2c73853e741c	0	0
8cf6ce6d-14f7-430c-ad51-2c4c9f85efa8	0	0
91ba8e42-51c0-4b76-a533-4d39acbbdf10	0	0
10c0a659-338c-4c39-ae6f-2b2cd64380ae	70	5.833819444444444
928d210c-717f-4bed-9a9d-1224d5880d03	0.594125249072381956	0.0495124178401954093
bcc42aec-3540-4637-9c82-40ef69f46fd4	0	0
fe52464f-21c6-48ce-a076-f35e080814cd	0	0
21687712-eac0-49cb-be8e-5ab03ba84184	11.1837229437229446	0.932014191053391117
b9a3f012-e02b-4153-9853-ae7562d0c316	0	0
27bb6127-efae-4a86-81b6-607371f90230	0	0
0c616710-449f-45ee-b3b7-1fc845a33de2	17.1436818181818182	1.42869729712121218
89127630-ee4a-43d1-abfe-71fae6432b78	0	0
3289a787-675a-4057-ac61-707ae1b57c3e	16	1.33338666666666672
e6b71bd6-5748-4fbc-b964-2066b5310e38	0	0
a6eea40f-55a2-4986-bea9-8d754c0dd4b4	0	0
16a3fb9f-380c-424e-ace3-da22239bd3e8	0	0
5014db8a-5b7a-47c4-a520-ec328bb1f7e4	0	0
c4914f95-ab8c-40a1-8751-caf50606cc23	0	0
413a1212-acf8-4f83-9de0-af65c08c2bf1	0	0
e8acc9bc-ab79-4769-9fd7-a4a0cf4a90cf	0	0
9030e8c8-99f6-4093-8e83-4202528ae40a	0	0
ca5d5d2e-82e7-4da6-af6f-e3ae27679ee8	0	0
fa6ad68e-d875-4785-b26c-16f17a7bec81	0	0
5a71ce87-89e8-4065-bc29-595f2384b020	0	0
ff4feceb-661f-4692-a1c2-8c1da18c0cbd	70	5.83356666666666701
3f63c3c7-31a9-482e-b4f8-18fd748b06df	0.594125249072381956	0.0495109325270727263
76976e8e-8bab-4b98-9eae-befcdfe30b17	0	0
2506f37a-f49f-405d-a7d2-77fe05c4cba6	0	0
304be587-ce1b-4ddc-aca9-4274758f1b43	11.1837229437229446	0.93198623174603179
dd6eacd7-f638-48b0-bb55-3183c564b1d7	0	0
01ba4857-91ea-4445-a03b-1e2fe65aa0e9	0	0
fabd94da-a03e-4b7a-95dd-a11745560772	17.1436818181818182	1.42865443791666658
e0afee57-addf-4fdf-93a7-ca03e0666001	0	0
0a13a489-dbd1-4507-879c-a23c38f2783f	16	1.33334666666666668
a8cd2c80-e06e-4f8f-b082-87f8c2e2ec50	0	0
93dfd544-409d-4226-9d95-03e77093067d	0	0
3e51a64e-ffb4-43f0-a622-01d00d982fcb	0	0
7ae6d633-3bba-4872-8049-60ac65f8b5a7	0	0
21d4a709-b447-4eb5-9b2b-09ffe36059c2	0	0
9e09b22a-6e7e-4632-934d-295a2686fe0d	0	0
d89cebc3-8111-453c-84b7-1546ccb49642	0	0
e09f9d85-0122-4305-b1d1-bd02a407485c	0	0
b2f56d16-52c0-4702-bd9e-516427570fc7	0	0
bca6fb2b-1802-4b63-9d7e-aa0b8b0426d7	0	0
4076b7d0-a431-4cbb-8fd8-d0b5fdc149ec	0	0
ae1b48b9-73a2-42a1-aab6-14dad266cc26	70	5.83339166666666653
2c2b9ca1-b4fc-40cc-aa49-6dc499f2749b	0.594125249072381956	0.0495680345649002416
aaa1288d-9359-4096-8d69-0621699961f1	0	0
b95723a2-ac4f-4fe5-88a5-88f7152dc93d	0	0
95ab49ec-1fed-4518-9763-04b98f2832b9	11.1837229437229446	0.933061111784511898
ac7bb8ad-c1a9-47f1-92dd-4be923698ad2	0	0
63ce7642-4fd9-4b18-ac2b-92e59c33627f	0	0
9ee867d5-77b7-46fc-ace1-e09b9e1b42ce	17.1436818181818182	1.43030213622474767
32213a6e-df67-4d9e-9910-b990cf91b658	0	0
10b3bd63-cc52-4dbc-b3d6-060a908b8762	16	1.33488444444444454
645c87fd-9006-4716-aeab-a035005597f0	0	0
3392f0ae-5660-4745-bdc5-ffaaf642da2f	0	0
f11b9307-a949-465e-bbae-71313e4971db	0	0
7e49639b-ff0e-473e-89d0-fd95d1036b49	0	0
a1bbbc59-d174-4318-813f-8ef9bd181a0f	0	0
abaa2f7a-806d-40a5-83ab-681a99809dfb	0	0
52ce44ae-d69f-460a-a071-595d9161f29e	0	0
c78e33f5-6b62-4f86-9ed7-5ee1cc9eac94	0	0
9f329a6f-7a85-4b7a-af7b-d551ae7d3e7f	0	0
fc507c71-be8d-4fe3-85c5-41e53108aa78	0	0
b649ba19-d497-45cf-b42f-307d5c361b1b	0	0
69034b95-e93e-4089-a55c-5ee80b31e7d8	70	5.84011944444444531
47de9ed9-3de0-4e6b-a54c-6cc93f8e4f21	0.594125249072381956	0.0494577913242390255
5ed46999-4367-44a8-9b12-6adb68bf7765	0	0
430c0072-f8bd-4f81-b0e2-c0cc76995ad1	0	0
f75369bd-b680-4e9f-bd11-f04cb9d23d19	11.1837229437229446	0.930985909860509886
acf83799-6f21-4f2e-acf8-498c9fd1c89a	0	0
b6f011dd-c8ec-462e-aa33-c86f2fbab1ae	0	0
40c62898-14f8-4c0c-b725-3ba401f372fd	17.1436818181818182	1.42712103082070696
89a41b2a-a47b-43e9-8e23-dc60c6fad879	0	0
30371960-0a26-4dad-81f6-2acf4e4ffe11	16	1.33191555555555552
bc633a74-2e8c-4d5e-bf5c-0634c19d63f8	0	0
0f65f2a5-5456-4022-b197-b821b69293ac	0	0
cab09182-422a-4933-b8d9-4c590b9afe84	0	0
d35e0ca9-a7a3-49d0-8ab3-7f70cf884549	0	0
bcabc746-4004-4b52-944c-00c44b45ddee	0	0
95d463d6-b056-43a8-8a9d-3d026df60ba6	0	0
29c29068-b6d7-43c8-a975-5e67f1e94a74	0	0
3bf6b4aa-81a2-4732-b9d4-33da2924fb60	0	0
ebbea6a1-7e6e-4e99-9a79-9c2d19edbb70	0	0
b6621891-ab6f-4ec9-97bb-7d9088e5aa49	0	0
429c480d-d1a0-4626-9d61-568172f5a102	0	0
fd76113c-49f1-40cf-8a80-b2ae7f293113	70	5.8271305555555557
d5ea4f13-3a73-4cac-a933-c7bae662ae0b	0.594125249072381956	0.0495167087447720353
d07964ed-128c-48f6-ba82-4eaff247a17a	0	0
bdbe008e-ac68-4b2f-a239-8151ae5c9f95	0	0
df272d49-251c-42a4-be69-c7f40e66faf1	11.1837229437229446	0.932094962385762393
6463a135-a4a9-42b8-8e9b-44fb747afc9b	0	0
55faa710-e9ab-4dec-a121-dfc8271bf7e1	0	0
5d56cb7d-ebf7-430b-9b85-0fc40a0806ca	17.1436818181818182	1.42882111260100997
1b1db7f0-18fa-46b6-a06d-d62793e1911e	0	0
428b7341-2828-4da2-9f1a-1115d45fdeac	16	1.33350222222222214
721ed50f-65eb-4d63-a8ed-46e50bffea1c	0	0
fb18da02-7403-4a29-b64d-fbacfb81a287	0	0
7103f43f-e3fb-4457-a13d-bd58dd34d729	0	0
6470d278-0ba5-4e18-9c5c-0bb436538830	0	0
baf81d91-09ce-455a-b5d8-c30d60453664	0	0
b463c3ca-1bf1-4e48-bf7f-d88a9d5a2491	0	0
519ca0a8-ce3b-4eee-982b-9a8e9bb10b34	0	0
470f5348-9db8-45ab-92cf-2c9c6cac193f	0	0
bef015f5-36c9-457b-9981-cdcc8aa524c6	0	0
1e06b520-3673-4367-88e0-f54b007f21dc	0	0
770d8ec9-6cf4-4ad3-99e2-5b04f51e4be6	0	0
ec927490-58e8-449e-9965-f1ac1e736979	70	5.83407222222222188
d033b616-2515-4ffa-884e-5c5c251606ce	0.594125249072381956	0.0495162136403978145
67a8aea5-13f5-47b0-97e3-088372448014	0	0
0e960b3b-513d-4536-9ce1-6d47910eb86d	0	0
6e1324fd-45aa-4427-b68d-beec7f32f602	11.1837229437229446	0.932085642616642729
6e590e1b-6ef7-4f4e-b3f0-c9eca033931c	0	0
b34be999-11f2-48af-8199-a075270d5b2d	0	0
7469358c-f90f-4d1c-b76e-ae779b28f959	17.1436818181818182	1.42880682619949506
d022bae9-53d3-459c-822f-6b6445e4a5df	0	0
54a3cd03-1a5b-4b85-8b28-4cbddd227c8a	16	1.33348888888888895
4ffe6780-5df8-4d7e-8a37-d232dc273184	0	0
3426c2c6-6c79-49f5-b52a-a61d1f34a726	0	0
b21c0be1-e8ec-4df9-a00c-84bb238a02b5	0	0
a9ce66c9-8d78-4e1a-a7a3-23d349b6604a	0	0
3dfdce3e-95d7-49a1-acb7-cff5c94331f9	0	0
8878ae27-f8ba-499e-9a4b-5bbb0f49019b	0	0
d8811fb0-3d5e-4ded-a7ab-803e9ace0da0	0	0
a8cf473a-feb8-4856-b48e-9888abdf125c	0	0
fbd67f09-472f-40a8-ac93-8fa970a393e3	0	0
6a5cf96d-9828-40b9-bff1-2d7974a7d209	0	0
7d2b32be-2c93-4e3c-b1a4-71c6da5648e0	0	0
296de419-ad02-4279-8c3d-3e701366ed54	70	5.83401388888888928
75bcf93a-e3f8-41a8-ba12-6448ac4d0dca	0.594125249072381956	0.0495145632924837223
46ee35c3-5ba3-4676-a384-48cbc89e718c	0	0
b6a1ecb2-bafe-4cb9-afe5-dcd4a858e002	0	0
1d722cc1-d28b-4de4-a656-f196fed1ee9c	11.1837229437229446	0.932054576719576811
5d69e0a8-5809-4e50-af22-9f3bbeb31e17	0	0
1e436b78-61d5-4eb4-9782-bff8f62f06c4	0	0
3ac7908c-97d9-4fc6-ab1e-4b4471d3e8ad	17.1436818181818182	1.42875920486111108
b703d2c4-734d-4a2e-aaf4-2f0573ebe27a	0	0
9b8c0388-9166-4d9d-8bc9-cdd86a91d3bd	16	1.33344444444444443
60782c81-1f21-410c-94bf-f325f635c0b3	0	0
9b9437ad-8ae6-4a1b-9622-1432a4922b63	0	0
b5035b63-741b-4fad-9d11-f61929cd30cc	0	0
cb6ff7d6-590c-4fdc-b419-37a4bcbfc79a	0	0
448d39cd-689b-4440-a03c-a8505039b109	0	0
a8836ac6-d2da-41a4-8ab1-a464c8e418f3	0	0
5d7975a0-4cea-4d50-b9a9-95c95e4d95d6	0	0
839a1d34-2f9b-4203-8326-ce9ee0586632	0	0
3907e586-f670-49a8-93b8-9b9b81ee3b66	0	0
127268b7-b0ce-4066-b32e-92b464bddfa1	0	0
1e518a83-6c75-4968-ad30-497daa4f773d	0	0
d1d4c513-51f3-44ee-ab1c-191db634c070	70	5.833819444444444
d8f31743-7444-415a-83fd-7e3be38dd039	0.594125249072381956	0.0495134080489438577
1cbdb54f-1e4a-4678-8c5f-48a36839f578	0	0
0d42286d-5cf8-460d-a8da-8744dffb57a1	0	0
4a06f946-7ef2-4a41-9ac5-c6e9de96b860	11.1837229437229446	0.932032830591630668
224254ae-665d-4c46-984b-e5b34e152ce1	0	0
1d61bb42-3f79-4bc2-a267-89e5d8cef103	0	0
bd84d702-f2c6-44e9-be1d-bbddbe2c915f	17.1436818181818182	1.42872586992424244
e1f79928-7770-466a-80c9-0c67f0f7c339	0	0
448002cc-1479-46de-9e86-00570f38fc0c	16	1.33341333333333334
8e5ee3a0-1be1-4cec-b4e3-df56b4c0bbed	0	0
ea8d3a9d-e33a-4d0e-9fb4-2038e807ab5c	0	0
73f1a73a-1136-4836-b859-fe704a3540d1	0	0
c1a4e1ad-7ce5-423e-9afd-75ed7f86a73b	0	0
6d8fec64-54d1-4589-9d1d-48f98eaf9c44	0	0
bdcd1a3e-396c-42e7-8e37-f6b8ab7964ce	0	0
850fcf6b-a56f-47e6-ad68-70f8b310b0e5	0	0
35adcc77-4223-422d-89de-22a10d055b80	0	0
f8d56586-0fee-485e-93ef-c8f05b491628	0	0
de5a4782-5c9c-4f77-9810-9275872a992f	0	0
919359e4-c274-4faa-b9ed-824136525371	0	0
015ae990-0663-4715-b83b-5d831df782fd	70	5.83368333333333311
b4057f92-a8ad-4dc5-92e5-5ead2030d5a0	0.594125249072381956	0.0495132430141524485
818f4992-91e3-4eda-b622-2fd7fb31c77f	0	0
1aa99bc2-64d2-4b17-b93a-5d35296b6eb4	0	0
00c560e3-c67e-4556-af26-71701ced8c02	11.1837229437229446	0.932029724001924076
349586c6-5068-4b8f-adce-fdeab51afaeb	0	0
b732efb4-fb99-4974-b14f-2cc3b555d017	0	0
e400c42d-7c0a-497f-8120-f9c89c7e6f21	17.1436818181818182	1.42872110779040407
07a6d4ee-92f2-4cae-8a5b-160fa50785e3	0	0
a75e7f88-d469-458e-bcd1-82b8b5799557	16	1.33340888888888887
e095ab1f-b61f-4907-88b3-163d489af94c	0	0
1cb418f9-815e-4941-9058-df79b35084b6	0	0
1763070b-5297-496c-af2c-fa4105286a91	0	0
e2594fcb-fa19-44ec-b50b-4059caf2db60	0	0
1ee3a5ca-f946-4619-8239-ed4fbf3c78af	0	0
082e54b2-642a-414d-8e94-8790b0b576a7	0	0
c46cc541-fa01-4ad1-b8c9-7056e9f60c2e	0	0
3bdc0529-6c76-41eb-818a-071cd2e569b3	0	0
72db3589-2478-44a5-9073-e733a299c872	0	0
5852130a-7285-48e1-a9da-101369581aed	0	0
3c4a21b4-5a69-4662-a6de-f862adb09227	0	0
101cb9d6-19f6-485d-acad-7a67605b81ea	70	5.8336638888888892
4e9d98a9-7892-4b67-bf25-a944eb8d7cba	0.594125249072381956	0.0495152234316493592
acb0387a-5820-4c6e-8057-c8bf9083a0a4	0	0
6afd389e-9d52-4ec0-a1e8-72a23ce18adb	0	0
5362b3db-cd06-4019-9f78-770a6a1a6f93	11.1837229437229446	0.932067003078403178
b47fe513-a3f2-461f-ada1-fe123e734503	0	0
5f8fb567-c584-4194-9e38-189ab89475fd	0	0
08eb546b-dc28-4684-a68e-c7bad138630b	17.1436818181818182	1.4287782533964648
9b74ab10-9455-4e57-8003-875c9422f042	0	0
123d5cba-52bf-40c6-9f12-e3c50de932d9	16	1.33346222222222233
9c80a2c4-15da-472e-bee4-8cff1760bd76	0	0
1f00f61a-46ed-4ef7-8f30-81e3251d79ad	0	0
6f976417-c740-4bc3-8c44-8e86dfa9e4f3	0	0
7d7a2344-bdf3-4d43-a542-8e1727b7f5f2	0	0
8ef55f14-1b70-4af9-a74a-461467550fc0	0	0
03718097-5e3d-4502-8e47-be2bd8c4bd3a	0	0
9caa4f07-c579-49da-9e7a-4ff598883072	0	0
da9ee81e-d0fb-4f47-aeb2-7c951b5515fa	0	0
5a9ee4f1-bd28-4dce-a35d-dfb0f68cf6ff	0	0
369a68e9-a4bb-4137-8b9e-cc5aa47b0e83	0	0
0eb92184-9d04-44c3-adf4-7a8854479937	0	0
6a21f355-f1cf-4ca8-bc21-fe054b529674	70	5.83389722222222229
5cafbadc-4ea8-4613-bd99-999dba6d7d9d	0.594125249072381956	0.0495176989535204976
3d4417fb-bbb0-41f5-a9f3-e5da42881e79	0	0
afb2ce81-c68c-4842-9ba5-1a8a5fde00e8	0	0
682dec75-8b17-449a-8fb9-c98f6a544d43	11.1837229437229446	0.932113601924002055
a524645a-e648-44ab-8242-46837d4aa507	0	0
ebb0ba75-7378-4182-9165-d7993b2facdd	0	0
805144c3-d87a-4748-87a3-51d0d87bcabd	17.1436818181818182	1.42884968540404045
e8307260-72bf-43c0-bb3c-e6b9abac68ee	0	0
1a4922f0-06d7-41da-8fc0-f3ac1e3bfd74	16	1.33352888888888899
d821dc47-860c-4c11-8d6c-130ebf2326f6	0	0
c27e22bf-8c35-4ee1-b9aa-db520c7ba128	0	0
461a4e22-3894-4a7f-b0f1-f749f1cffe82	0	0
77a30009-8d1a-4e4a-bff4-6eb3a02c6c3b	0	0
124fb31a-3348-4a90-bcac-835bea9ebc3c	0	0
e279ac7d-4c62-460e-abcf-07e60d48ac5d	0	0
84d2afad-db1c-4465-9d02-24391a95571d	0	0
69601c21-2fd7-4957-84a4-dffe273a7eb8	0	0
950a2cc6-1846-4ee7-9365-41772381c00c	0	0
8733f176-47cb-4290-be76-f98716ff770d	0	0
ddb89ef0-563d-420c-8883-056b44ea5c2d	0	0
810e949e-ec29-4213-bc25-89c39d8d5814	70	5.83418888888888887
5ecdb4d7-0def-48f5-ad08-867e6f339281	0.594125249072381956	0.0495112625966555447
e35742bd-cf45-4eb3-aad7-62b2b2ce8e5d	0	0
24b962d7-ed54-4584-b84b-014eeb2e6264	0	0
8a8b8580-4e84-496d-b951-e00efd1f49eb	11.1837229437229446	0.931992444925445085
793b4dca-78eb-46bf-bf66-65acb5a6a228	0	0
21b0365e-452a-4686-84ae-2036f9e35637	0	0
f92f26c0-c859-485f-9174-3d4d6b695ae7	17.1436818181818182	1.42866396218434355
e6057b33-fa2e-4c3c-bdd2-fbb516b0a060	0	0
23f8c082-2470-4dc8-8cc3-e2773868d179	16	1.33335555555555563
d427a0b5-fcaa-43cc-87f5-60f00913e08d	0	0
240e269c-ff0f-4459-a45a-785640bac1a2	0	0
810384fd-f96c-4ce8-82b2-2b031fc8f9a7	0	0
9c069fe1-2bb5-4b8e-bef2-a5f282995829	0	0
251c5057-af55-4f01-b1d4-720386032e4d	0	0
ada967e5-a729-498f-8451-c0d2c2b4b424	0	0
8aca4a4c-d997-41e5-a84d-7934b5100036	0	0
a183546b-8830-44b1-99f4-d99ff5b85513	0	0
a6c80da0-33df-41ad-882c-9cb7fcb1a7bf	0	0
de1e500c-667b-413e-9648-7038d9611e55	0	0
fe33b318-9a31-4d80-9a46-325ceb729cd0	0	0
4b5e99ff-8ee0-4193-b662-26083215920a	70	5.83343055555555612
bf1bc7b1-d1f5-4de8-8cf5-0763c2fa14b7	0.594125249072381956	0.0495115926662383563
8b222a59-8951-4e00-a996-514514c561cf	0	0
4256b165-1969-49df-bb0f-2ff88fd008b8	0	0
eededf19-5a03-41e5-bf6c-a092c769fa9b	11.1837229437229446	0.931998658104858158
fde8b8f6-8945-4f61-9142-c92a225c5f2c	0	0
8ea80743-14d6-4bda-bd6b-9c44894181b8	0	0
cf314ca2-b63f-45a3-98d5-9987c326fc86	17.1436818181818182	1.42867348645202008
e61a2af7-df3f-4570-880d-e4484b8de1a9	0	0
5940e208-db25-4adc-a828-f8e7d71260a3	16	1.33336444444444435
24c6424d-e09d-4cce-9570-1224ac8f9358	0	0
551b4128-98cb-42a6-820d-7e07761acfa4	0	0
0163c2f7-dedb-4657-b512-06b31622c034	0	0
2c09837f-e9ba-4f75-80e0-5b6b162cf72c	0	0
2f9a0310-9337-4e3f-b0df-60375e209efa	0	0
0e94ffd0-b075-46e1-9466-7bb9c88c2beb	0	0
b3782c75-c231-4d89-bf68-25f425ed70c6	0	0
8986d7dc-3ba6-453d-acba-e2758135d88e	0	0
deeafa23-1508-4c79-bd42-368cce46509c	0	0
d852f806-2074-49c6-a753-36c41fe92ac5	0	0
bf8ab115-06bc-45ec-a21f-3c133e03e9ea	0	0
5e64a77b-3823-43f8-bab3-9a9d69894bf2	70	5.83346944444444393
7bb56d44-b46f-4c22-aabf-284846c079c6	0.594125249072381956	0.0495097772835328617
5b24d9e1-3137-44c4-8385-22bc2919cab9	0	0
bf19de15-459c-4206-9e38-a8b1483497d8	0	0
e61e2b62-a040-4038-a70d-920291b0678c	11.1837229437229446	0.931964485618085758
061fe96a-0f5a-4051-a8fd-42344711b0a2	0	0
1b43d019-d392-43db-97a5-eb2d7c43f056	0	0
f40aa264-5c97-4d97-8b4d-6d3900b195a1	17.1436818181818182	1.42862110297979794
cc8dc617-d474-45ee-a1e9-b6d1ca9bdf41	0	0
131004c6-19d3-4d0c-b5b2-51a4f136e0c9	16	1.33331555555555559
b6c83ac7-d0e9-44fe-a78f-3774a5beeac5	0	0
7a0de6a4-0ace-40c1-a1b9-a65e2af4035d	0	0
724be878-4ffd-477a-835f-053d48880bd0	0	0
8549e695-dfb0-4bff-9028-a2c700712835	0	0
9e6999f5-d53b-4eee-82b9-1196a24aee7a	0	0
92fb9a82-1819-4f04-a693-707bb95386ec	0	0
9297eb69-984d-496d-a474-74d8825068f8	0	0
815bdb45-0a94-4882-9093-2fe22e33646e	0	0
2dcc8fdd-6a06-4113-908c-728fa5b9b113	0	0
68cf2aaa-527e-42e6-be17-6cd0117d1553	0	0
b8c6ce41-9008-436d-8696-ad88dc9df511	0	0
9013e300-2990-40a9-a94e-181ffd4c0203	70	5.83325555555555564
33061a22-1cce-4de1-b54d-b25849da7b8f	0.594125249072381956	0.0495236402060112157
37254fac-95e9-476d-b3a4-7cf2f7d2d8ae	0	0
9ae64236-a319-45a6-b8c6-da23bb99387c	0	0
dd262b81-98a5-4abe-8462-a79559e9a1c7	11.1837229437229446	0.93222543915343925
17ffa653-1c62-4374-ba8b-ef66a63b2036	0	0
5d1e8ace-bd60-44df-ad65-bf66d89522ea	0	0
5ef8e997-7cc0-4867-b115-81f232d5c6d0	17.1436818181818182	1.42902112222222222
f9e79d36-1fbd-40ab-8687-f073b661c14b	0	0
24df7dab-9dd8-4c34-802d-9e4781b842e7	16	1.33368888888888892
cfecd945-517d-4605-b41d-33cf17ee4ce6	0	0
6ffa91d9-35c1-4634-8ff3-c65895f101d7	0	0
e44a39cd-89fc-44e4-be01-e6e3a9b5ea2a	0	0
6dd76596-8755-4637-9a9c-beff94880188	0	0
89011838-560c-4ebe-b11c-e4a25b0981f1	0	0
8e5aece5-a2d7-478a-bf12-84b9e6a24e43	0	0
719c954f-accc-48cd-b667-96c029665345	0	0
a60b1f40-6e2d-4716-b531-588708d32584	0	0
6ff7cd95-9ddc-4c2b-9224-2a486f170f70	0	0
7060ff9a-faf8-44d7-a2c2-c73380c9da38	0	0
9e813464-4929-463d-941e-d7e770df8ba7	0	0
14d1ebae-0dc6-4990-a52b-cbc5f8d237cf	70	5.83488888888888901
80312eb2-ca88-46f9-9ccc-a50ea551e59b	0.594125249072381956	0.0495119227358211747
1586d36b-ebd5-4ed3-b032-03eb9651dfcf	0	0
e1819c03-466c-4044-b2c0-f27079809310	0	0
3fbd1e4c-ca9c-4573-8b13-9dc7a13a16fa	11.1837229437229446	0.932004871284271341
40fc9cb4-fdf3-4ec9-93d5-37ecd4848fe1	0	0
b30ca10c-8cae-4741-b403-ddfcb03b0fd6	0	0
f4dd9fb4-4431-4703-99d9-fa0e3ece79d5	17.1436818181818182	1.42868301071969683
0f227ec2-fe84-40bd-9fa5-6e467d2a0a14	0	0
10c3cb8b-6b7b-4aaf-80ae-da090e4cac18	16	1.3333733333333333
e8acccd6-7d2b-41cc-80a8-81126f03c7cb	0	0
28b0f8ad-acc0-43eb-a2fa-110830cc5c8d	0	0
3314f0b5-5fac-413d-b29d-a8471b3d6965	0	0
4b832225-11b8-4b9f-8cf0-fc6a312b7d96	0	0
228b7016-d153-4129-ad36-8e0cb0132729	0	0
cb292dbc-a317-4ebb-8f4e-5fa1c252d9f3	0	0
a6c40307-5f1f-42a4-a17d-f2b806c20111	0	0
d8d488ba-bb9d-47ed-86f5-e7d8986617f9	0	0
b62fa1a7-0b07-47b8-9831-c7f3e12d8c04	0	0
6749f474-3539-4876-b718-64dc2740e57c	0	0
ba283047-c035-4205-8515-0547f9c659b8	0	0
1136649f-e230-4c03-81c8-81cbe1336fcb	70	5.83350833333333352
5fe24e26-fdfb-46ec-bbfb-fa7825b9154c	0.594125249072381956	0.0495148933620665407
a847450b-9cc6-421c-89b2-0df9d3bc83c3	0	0
542787e0-946b-49f3-aacd-c705893f5a50	0	0
2a2d0cb5-da7d-44bc-8a3c-21669708cb5d	11.1837229437229446	0.932060789898989994
5973783e-ff9b-42c9-bac9-41e19f2da42a	0	0
d6cb3e32-22e7-4cc4-b5b9-1e35545732ee	0	0
1738930e-69fd-4655-bda5-ce25acb397da	17.1436818181818182	1.42876872912878783
0aa228d0-abee-4687-8d7e-6ae66ac0d187	0	0
5570e33d-3213-459c-be56-cc3f54347beb	16	1.33345333333333338
f3aaa29e-734a-41bc-b10d-b86aa7fbff9d	0	0
ea3e1845-d9a9-48b7-9de2-41ebc9de9788	0	0
3fb3a619-5d66-4459-8d41-5119dd3e0fbe	0	0
190908f4-484e-4346-94f7-708a15c7d07d	0	0
24d65588-f92d-4ab1-8832-7e277537e064	0	0
211f3985-e518-459b-aee1-c3ab41af9b3e	0	0
bdcbfcfa-54ac-40ec-86e9-113a5f5f5a28	0	0
075e8e52-61c0-41df-8096-326c4c512295	0	0
36eaa7b6-847b-48bb-a2dd-0c00b8eb7d02	0	0
7372d5a4-8714-4f70-a772-8ed198b97082	0	0
c68b1c09-fc83-4095-b21f-3726798dd4c2	0	0
b787b19b-9f18-4c9d-9cf4-7f25d91395fd	70	5.83385833333333359
50269272-1e79-4082-984b-de416b5a236d	0.594125249072381956	0.0495115926662383563
6a335e8f-f8d8-48ef-839e-c274c67a9453	0	0
a1fb86a2-cfde-4bac-8e02-92a836502d7a	0	0
8b9b7012-50e6-4bc7-ba05-0299ec9aa096	11.1837229437229446	0.931998658104858158
1a38ecd8-07ce-41e2-a2ad-9b50c1ad6f49	0	0
8459a24f-f2b5-4d11-bdf6-1b126bcd6dbb	0	0
1dee98aa-96a3-4cda-bef1-c715f947e798	17.1436818181818182	1.42867348645202008
e43550ab-89b9-4424-a914-d03485257bba	0	0
72e950f5-105f-445a-b5f0-35b0d4686bcc	16	1.33336444444444435
9b4412c3-3b45-48e9-bfc0-bcbf07158117	0	0
9af72a07-03ae-4df5-9357-36a97daa6f94	0	0
ad87cfc7-40c2-46aa-a501-239b6bfa2629	0	0
93b19d60-6fc2-453f-8dd6-c3eba8ec8113	0	0
dc373061-c40c-4eab-a81b-782d79641f79	0	0
13d24bf9-23e2-4db3-b573-c0dfeeaa88f4	0	0
f570ba28-d5ce-4c6e-b2dc-b928f1f94e9f	0	0
4b480ee3-b4e6-476e-bda3-09bf98db848f	0	0
e0efba27-282a-4b52-ae49-ec1f5b3ce139	0	0
322e2604-776b-4180-aa57-d26befb221d9	0	0
235dd09e-2034-4493-9256-0661c21aa888	0	0
f1ab2b24-87fe-470a-9817-eaa927dfeb9b	70	5.83346944444444393
28e0cc0e-10cb-46ee-9184-fd1e53f40467	0.594125249072381956	0.0495147283272751315
08e85b84-e639-40b8-a53f-78a6cde21145	0	0
ccb639f3-3820-4007-94b3-35fb37252223	0	0
b2c15850-7973-4b5f-8624-69bc6ce8727b	11.1837229437229446	0.932057683309283402
8052b7ee-16cd-425c-acf0-1c81c96838f1	0	0
97fe657b-d011-442b-b209-123c6ad3484a	0	0
464344d6-73c1-4526-832d-988e59fe9b7e	17.1436818181818182	1.42876396699494945
a43def51-88ae-4889-8a72-5000032e14b8	0	0
4bf8784b-9827-4864-943a-eac17c725b67	16	1.33344888888888891
6b452d0a-4d43-4dd4-afe0-7a72c6e90624	0	0
a8fc5e64-b46f-4e6d-b461-989ecdbbfaa6	0	0
03d771c8-4de1-4a51-9385-48ca366a19c8	0	0
96fedd3a-07a2-45ed-8a92-2d1b0f6920bb	0	0
f0ba89a6-14cd-429f-9051-e680023a3f94	0	0
f66ea9dc-44d2-4851-9ea5-28b6d90ef29d	0	0
50e0ec47-4c64-4b3f-a837-91c415786b33	0	0
8c7b362b-85b8-40c2-82b8-68709da9fad7	0	0
c5c0ae7f-b4da-47d4-a500-24af00f339d2	0	0
8cf392fe-638a-4bf2-8f9a-8b1c08cb1ce0	0	0
738537bb-9a2c-4edf-844e-350eb8fcc4c2	0	0
3c12ff91-25f0-47a1-9708-d152eda07dcc	70	5.8338388888888888
93341c14-5a01-42ba-a28e-4ab30bbc21fc	0.594125249072381956	0.0495066416224960865
6649ca05-97a6-4bfc-bf24-899f3c477b7e	0	0
a3e19719-a529-43d3-ada9-b806833583ec	0	0
388bcd28-d35a-481a-885d-1200a60d65a6	11.1837229437229446	0.931905460413660403
0e444a23-efdc-49c0-9203-1772567d3fc2	0	0
c524b825-dfcf-412b-b6c0-3ede5a917c6b	0	0
5240c0b9-adec-4daa-82b8-74183d2003cd	17.1436818181818182	1.42853062243686857
b61c265a-6625-4c23-b7e7-2acc5a52b0b9	0	0
5ab98be2-d3c5-46bb-8928-b6cb352bce73	16	1.33323111111111103
915c9d13-f2a6-4304-8158-36d13f95a132	0	0
61fcbd58-0cfa-4ddc-8812-f1ce81330358	0	0
f9f33caf-5a6b-480d-b34b-47ea815982b7	0	0
b677da32-e1f4-4ee7-a48f-f0d2d9f86dbd	0	0
8dedec7b-3874-4e9f-81c7-bc2cc653ba34	0	0
0a093244-ba26-44b6-bcae-033f89b7c225	0	0
c0e7afe1-d51e-41de-91f5-d118592886f9	0	0
6b0a3174-8c40-4b6a-b528-f64d34717881	0	0
b85971f7-8b03-4327-a85f-d700ab7b453c	0	0
2a3d4ebd-3a07-4713-84d1-ccef92811c7e	0	0
b91dcf5a-4570-4580-a8a3-e4a517aefc09	0	0
b5747dc1-1e7b-4e80-a595-b257ad1bbca4	70	5.83288611111111077
c4a73ae7-de34-4427-99ff-469f131352ae	0.594125249072381956	0.0495185241274775367
18501062-76f9-4525-b0a8-1f4d35a19970	0	0
2a56a9a1-1fb2-41fd-86e0-40a30e9045c3	0	0
032d011d-8ecd-4fb6-86cc-e14f244c3202	11.1837229437229446	0.932129134872535015
d8f754c1-268e-4c50-9bda-769655838c38	0	0
17e5ad8d-211f-4e7e-8ceb-190583164248	0	0
d82f5357-a318-4814-ac06-ec87571b9e53	17.1436818181818182	1.42887349607323233
1fcdb988-f5dc-46ea-a3d9-eb905eb4a3b5	0	0
c5161c71-96a7-45c6-99f3-d7ed6cf52c71	16	1.33355111111111113
3e26269b-9a8d-4f83-9999-f94c9a566d0d	0	0
9f4d031b-78e2-4353-ae98-89325fa64e05	0	0
974b27db-2518-4793-a957-4c8a6efeaff3	0	0
b2279316-e270-4418-ada6-1b5cd5855157	0	0
09e58f82-06a6-4dab-8ed2-e94e33f85ca7	0	0
b586000c-309f-45ba-adea-e3ca4533f7f9	0	0
38ddb7d1-a0dd-4197-88e7-61f6e30024bf	0	0
6360e294-12ca-4c94-ba74-0869f5d4597f	0	0
c0131bf3-8e44-4d03-8b91-26c1cd5ee876	0	0
0a599a9c-b2d9-491a-b83f-b85e39f85576	0	0
1ed8078b-2842-4ac3-881f-aadf1bca0610	0	0
97eeeeaf-2509-4154-a27b-60899c45ed9c	70	5.83428611111111106
43aaaf8b-9225-44d8-8352-821d1be92866	0.594125249072381956	0.0495142332229009038
1d910bbf-9e5e-4e51-b481-68e1224080be	0	0
11b3b1c6-8986-4fed-9e8d-55519dafdc84	0	0
e8ab612b-1191-4db7-9cbb-5dc299772e60	11.1837229437229446	0.932048363540163516
12b20dc0-1e80-4f78-97a4-cd6e0697abda	0	0
a200fd2a-06f0-4b4e-886c-3549b3f4002c	0	0
d52ff6b4-db82-4449-bdad-7203d8fcf7e9	17.1436818181818182	1.42874968059343432
2df332f4-4d3a-4821-9ea1-7b36cb900eac	0	0
8004509c-3a03-42d8-9614-a86df214dd16	16	1.33343555555555549
d6aaa495-6226-4634-b633-5861d64acf4a	0	0
bc0900f9-23bb-42ac-b713-00ac377ab369	0	0
14c2cfeb-5cb7-4795-a89d-353bc4326280	0	0
a460ff6e-1066-481a-afca-25c829cf2ade	0	0
f8749133-8eba-433c-beef-e5eb46288457	0	0
7b855453-3a1e-47b6-8d51-c8d60776c1cf	0	0
45214bfb-1682-4857-a763-fa7eb8ce0acc	0	0
11ce1fb6-cf59-47ee-b3b6-ae825ac7ba25	0	0
5b60c0bf-af21-4d27-a97d-29fad2e5420e	0	0
b379aa3b-92d5-4014-8d06-f4837d72832b	0	0
2cc4dbf3-a0b1-4bc9-8e3f-421fae35613b	0	0
dd13b1e7-82ee-40aa-a8b4-25f76060006b	70	5.8337805555555553
09b30949-6405-4e7e-beb5-e18439acd699	0.594125249072381956	0.0495145632924837223
10dade5a-ec22-4b99-9bfa-5fe5048d1d37	0	0
48cf9a52-3da8-4f35-8956-554756bb3b1c	0	0
2e73f242-bfb5-4a38-a2fc-aba8904cda80	11.1837229437229446	0.932054576719576811
c4355843-f69c-4067-a92d-f7ac5ab431e9	0	0
a3c7233f-b716-4c35-8d27-03bfe242bcd4	0	0
77f11514-4a2d-4702-afd7-ff832fdd50da	17.1436818181818182	1.42875920486111108
b55b81de-ff95-4985-b18c-7dcbd5711d82	0	0
15c1ce9b-04d4-4860-90d1-c50f68f0cf72	16	1.33344444444444443
d69bb88d-95c1-4437-9c61-b3d8dda2eb1c	0	0
86927def-5225-4bb1-b003-5b1d7e11e6bd	0	0
4ff81fe8-2727-4f90-aa56-67052aea5854	0	0
e136db59-f101-4589-8b2b-c8db14e2e10b	0	0
691b7754-9e0d-4cc6-bd13-580c1c6194a9	0	0
67b4cd34-a568-49da-a9ad-c192222143c4	0	0
e3955d84-e014-4ce6-917a-8774c8a6339f	0	0
0248f690-4346-49fb-934d-edb1357c321e	0	0
0b165b6d-f0a4-41b1-99aa-5298b1e37262	0	0
60e21659-f8f6-41a1-af11-8a430d88c9e6	0	0
9d6a7533-18c9-4c42-a04b-7e486900df52	0	0
48173b66-9fba-4df5-ac2b-7c7ed58ad82d	70	5.833819444444444
9aa0b90d-136d-4848-ab07-e1cd03275615	0.594125249072381956	0.0495139031533180854
4954f184-f12d-4c0f-93f1-1e5331b405e0	0	0
66ff239f-0cde-49d7-aac4-812a5623311f	0	0
514fbe3c-a3e7-4a62-9869-1d0f88ef2650	11.1837229437229446	0.932042150360750554
534f5084-aa90-4d89-8600-b248aa9049ac	0	0
38e809cd-4c35-4530-ac9e-a060f574fc00	0	0
d9f3f1d8-f112-46b8-8229-5974cb392dbf	17.1436818181818182	1.42874015632575757
ce988688-073e-4377-9307-adc4c3a46aca	0	0
ac72c2e7-e89c-47cd-bdae-1874b2bb2055	16	1.33342666666666676
61cab6ca-74dd-4d5c-9453-fe9e69a74300	0	0
b04f4c23-5fa0-4100-902e-a7182c315a4e	0	0
f72ff8d5-f3f1-44dc-b388-db0b3f090ce0	0	0
48347276-c5fb-4187-b10d-6cd1f62c0a33	0	0
bf0bece4-d754-4c32-974d-ea33f869d586	0	0
d50f8a11-1711-4acf-b320-e6526e77aaed	0	0
5e4e6e6a-eeee-4d31-b7ae-b937324d72bb	0	0
9cec63a3-5c41-4cf1-9089-682bb1aaeece	0	0
b8adbb6e-7167-4c78-bc00-fa127651ce19	0	0
64c70d28-8fae-4215-b163-447853b0058f	0	0
6101172f-8635-426e-8c22-ac2d6362dbc5	0	0
76a98f3f-156f-44d6-9827-07e73ea55a7a	70	5.83374166666666749
8189a67d-af76-463a-ba15-7743f11cc0da	0.594125249072381956	0.04951291294456963
ade58b2c-a0bf-41b5-9b64-f6c2d2727e82	0	0
b3974182-d16d-48c0-b159-90f4af6d8b04	0	0
eba6e83b-b8b5-452f-8dea-e9f548b0247b	11.1837229437229446	0.932023510822510892
0ce8a762-bdbc-45dc-ac09-158e5e8a53a4	0	0
aa7ed3b5-8e28-4023-b423-c0bc9991e364	0	0
c1a1db6c-b938-4332-938e-a3b7940d0659	17.1436818181818182	1.42871158352272709
2e761b25-deb8-4bca-8c75-2d99995d66d7	0	0
a9964894-1587-47f5-a1ae-2f95a7ed276f	16	1.33339999999999992
ee5c9949-df0f-4cc5-b5e9-bd3baee8f454	0	0
79a528ea-46b5-427b-ae35-13df93a5309f	0	0
a54536f5-00c3-401e-9cfa-fba60abb8a97	0	0
512b57c3-72fc-4dce-9a69-4a5eea5ea513	0	0
058e275c-313e-4ecc-a31d-7af10eb131a5	0	0
03568d74-b9f9-4f01-a829-0d801be9f3f4	0	0
457cda66-e7c3-4c08-aea0-83a4c2eaa983	0	0
71efebdd-08a3-4b63-ba86-77fba4e18f58	0	0
605d4f7d-bbec-4993-b83e-85828791726c	0	0
191187ab-d399-4815-9e97-646fd918407f	0	0
cbf3f7ee-480a-4992-b933-f31a8e44fb44	0	0
faa3ab15-bc7c-4cb2-9c23-bbb9a563bfc6	70	5.83362499999999962
f50d8c50-cfb0-4a7f-aa37-677c103dfe4b	0.594125249072381956	0.0495068066572874957
fbb942fa-3cbf-4c3f-8c9a-eae7a91b9cf0	0	0
00bd6617-0519-4b65-b971-367ddf8b8b94	0	0
74402fa0-ef86-4b90-97da-25a8967378fa	11.1837229437229446	0.931908567003366994
cea53990-9e9a-4ac2-9834-35a2791bca16	0	0
c4f5ae06-ac44-4968-b75d-e59c62c7d27b	0	0
bdf7c9d0-0bb5-4fe9-a218-b725032f57ce	17.1436818181818182	1.42853538457070695
0a5a172e-c662-4bf3-be53-ecd2f74b7daa	0	0
6da7ba02-1ca5-4d55-bc18-9fb89ebb229c	16	1.33323555555555551
96cfaf5a-4bc2-41cd-bc68-bb3891ac0910	0	0
2570dd35-6b3d-48eb-992b-f049947c83cc	0	0
7835eda7-07b1-4b47-a944-149b6f7ea11a	0	0
e859d899-eda5-4aed-862a-bccc52beb1c4	0	0
2d1dd789-cc7b-4bea-9732-66edb7695a6e	0	0
73c5da32-bcf4-4c70-b530-eeb6388b0589	0	0
7c712ddb-8868-42dc-9f86-cdce358c3ba2	0	0
62767aa8-6c55-435b-b3a1-e17bd3afdb68	0	0
60a6c05f-5115-4d08-b45e-520d4b613179	0	0
8ef6710c-cd6a-48b9-be6f-311ae86adca8	0	0
15d71c78-3986-45ee-b7ff-6e6590c2ed65	0	0
380329ad-532c-43cb-9bb3-eb83e169dcb7	70	5.83290555555555557
d6bd7449-aa8d-4edf-8ab0-ab490d38f684	0.594125249072381956	0.0495231451016369881
4812a5db-71b5-401c-80e7-1a08a666720c	0	0
3442d988-fa6b-44b0-88bb-c2b6689d23a2	0	0
d0644138-f610-46f2-92b2-757e3fd68a26	11.1837229437229446	0.932216119384319475
25ffee83-0499-41d6-8187-c3d2310a0e52	0	0
de98441d-7364-4157-8c83-032024a1feda	0	0
421bd7cb-e680-477a-aa3b-500710548df5	17.1436818181818182	1.42900683582070709
92faf038-21a8-47aa-830e-2738c8296f42	0	0
e07b3731-8f40-46ec-b0a1-ef5462e04bc2	16	1.3336755555555555
468d44e8-a200-4d6d-8505-39d5452f97b8	0	0
8c6b274b-792a-4763-a591-1ee04bd7095a	0	0
4e0542b8-2224-4b61-bd76-047c22411b0a	0	0
11ddc176-3c25-4d39-82eb-a9580a5e99e0	0	0
07c12440-7c6a-47c8-b2e8-831c364b47b8	0	0
3c21f69b-a422-4309-8a0e-a1505ac3cf40	0	0
80cf687b-fd51-413c-8037-dc631b472fed	0	0
7f5015a3-e379-4384-8209-2e255a7248b6	0	0
9c9069fe-75d0-41fb-a3e9-e67e1198935e	0	0
718a38a4-aa58-4603-bbcd-44f10019978f	0	0
bb61e52a-1540-4d5b-85f6-8220097c557d	0	0
6355d94c-9fe2-47a3-b3ef-f85a9c588e36	70	5.83483055555555552
516cf1d9-a35d-4c60-bb6c-f1340cb2990f	0.594125249072381956	0.0495148933620665407
66b48c21-4f94-4a96-addd-cafaadda8e14	0	0
45b2f843-d479-44ca-bff8-cd5c40701aca	0	0
0f123b4f-8fd3-49ef-aabd-e656c0f06c58	11.1837229437229446	0.932060789898989994
6ab4659a-b7b5-4c05-8953-3b1b926d3cb0	0	0
c83778be-8c7e-4b84-9db7-80f441417ce1	0	0
ec895920-2308-4339-87a8-3b056e5f077d	17.1436818181818182	1.42876872912878783
3cb7e634-7a87-4149-ac8b-953873e22116	0	0
628058e4-b6dc-4b5b-a179-a2c4a0588f68	16	1.33345333333333338
355da22e-4c10-4229-9d40-62e112ce97de	0	0
22164f9f-600b-4a19-8c2e-e24c90c0c169	0	0
ff3a69a6-829f-4924-b31c-16f27c91b21b	0	0
3b286b32-49a0-452b-b7ae-d6fe23528784	0	0
01ec08c7-8b5e-4651-bf8d-66019ea14ca2	0	0
78ccbe37-dfc1-42a8-8a59-9b50b28ea27e	0	0
6a7fe53d-c4ed-45f6-b788-5f11ec40b39d	0	0
169c86ac-1a5a-41be-8787-dd5fe4c2b93c	0	0
4612b19b-7e7d-4c54-891b-1ea768d509cf	0	0
01c30a95-25c7-44a2-8119-6641600f72a1	0	0
7387f083-679f-4af9-ae16-2b50a1c6d408	0	0
e7ac59ca-a388-423a-9284-4efcabdf30ad	70	5.83385833333333359
8e67d680-2a44-4691-9900-f6675f1768d2	0.594125249072381956	0.0495148933620665407
2aa80aaa-656d-4907-b76b-de92dc5469ca	0	0
22463f51-fafe-457a-8172-f81b3e32acc4	0	0
21c9143b-90cb-4dfd-ba60-8c34723c9e55	11.1837229437229446	0.932060789898989994
06649a03-b84f-45de-be58-0d9bec56df13	0	0
b21e2521-46e8-4619-99cd-70dc4b333b1e	0	0
a024779a-1ca0-4d61-ac87-49d72a25feae	17.1436818181818182	1.42876872912878783
a92664d4-bbec-4a86-a148-21b1ba29c256	0	0
b288054f-22e5-4bd1-9753-560fa9504d9c	16	1.33345333333333338
053182a6-c334-4d64-a4b8-a005c986d43f	0	0
2361c428-5bd4-4f87-a123-5864fdf952e2	0	0
00c45245-73a9-4d52-b7f3-fe525675caf0	0	0
2f3ce5d0-39a7-41fe-a794-dc9e3d1f640d	0	0
ad0d9006-a0e0-48fd-86f6-d986b183d7f9	0	0
628d3103-e55d-407d-a57d-6150cf57c2cb	0	0
53c7e260-f698-4617-bd6c-23ea1126464a	0	0
635a40c5-fed8-453d-a375-96317c48df00	0	0
d2804254-f25a-4fa4-bd81-dd83d8a2df77	0	0
9395fec5-8c66-49e6-9c45-00a2c8605e80	0	0
89999ea8-c9a4-4865-afab-45b985155608	0	0
902a6d1b-168a-4435-8981-c62a763bd1e6	70	5.83385833333333359
60445f04-90f4-4e5d-ba86-a760feaea53e	0.594125249072381956	0.0495109325270727263
c0b2d00b-d347-4e97-8704-9f6a28fee31c	0	0
d19510ad-b8b4-4d81-a6ef-07625e8ed43e	0	0
c9a09096-7074-4c96-9a72-0a95c2a49686	11.1837229437229446	0.93198623174603179
07707a8f-b7eb-414d-89a3-55e2056b6969	0	0
c91ba193-299f-42bc-8e26-1fc3f194223f	0	0
23de5ad4-53a9-43b9-bbe0-19a231664e2d	17.1436818181818182	1.42865443791666658
8eb8ba29-b1dc-4131-8bd0-3551444d6129	0	0
9ae03792-9328-431e-ba37-cb682be90f57	16	1.33334666666666668
baa3dd05-e443-41aa-9ed0-e7cdc87b439c	0	0
492a8fe4-384b-4169-adc3-ee875b5ff77c	0	0
8416143c-7711-4fbf-a2bb-19b1bb2b14f0	0	0
923d50b6-511e-4228-945c-386416a6ad36	0	0
a9f67e1e-1fab-466f-b4eb-e83f926da925	0	0
df0c7949-0f3d-4af1-b984-2af9bfff0be1	0	0
b1b165a7-8bd2-4253-a5c5-6893dfe659ed	0	0
9406b561-1aac-48ce-bbff-45fbc5049502	0	0
072cc41d-57b9-4393-8619-5c0c223dd923	0	0
aa8a4cb5-1f7c-4728-b341-53a4bb433edd	0	0
102cca92-e089-4b16-a0b5-ebe2929aec87	0	0
dc1738f7-1656-489e-9635-b4e85a25f7cd	70	5.83339166666666653
37578161-0fa9-47c8-8c54-f66be5b52c86	0.594125249072381956	0.0495122528054039931
5cee30f3-dc7f-4ced-8165-e98a5b8ede3b	0	0
9a7c1a1f-54d3-4971-b88b-1f1bdeacba1f	0	0
5c6e3c46-2aad-481d-b548-344fc6ded3c2	11.1837229437229446	0.932011084463684525
88a3ed1a-2630-4204-8f81-eac4b05d36a8	0	0
9028d41c-2c37-46c8-b80f-dc9bd8397a8b	0	0
bed71966-045d-4d97-ae90-71259fa78ccf	17.1436818181818182	1.42869253498737381
dbaefa71-c9e2-4890-a771-cfd9adfbe72c	0	0
625883ee-cac5-460b-a696-d87c2b3c8540	16	1.33338222222222225
58e83d25-13e3-4033-91d9-904a98f9d5e7	0	0
4bcc138f-0b7a-4eaa-86db-4f344983394e	0	0
5a50be57-8383-480f-bf87-5d16a11f00b9	0	0
803f6ce2-d865-46cd-9f01-fd161830a965	0	0
c3a9d506-52fd-452d-8fd6-05b557f21b27	0	0
ec3ccd32-56d2-4f25-a6e9-101c1e47e5b0	0	0
68bdaf6d-b62a-4a29-ae5f-f8add5742407	0	0
0275315a-4221-459c-9203-ba0dac10c326	0	0
cd8b03b5-e0c1-4d6b-91ce-9610ab516099	0	0
e8404398-4419-462f-9574-52d73770635e	0	0
3cf7fc48-f4ce-448a-9722-1806ad76c03b	0	0
8da24d36-841d-49fa-80b9-e6a4cacf0b8c	70	5.83354722222222222
691db4c3-5788-443b-87ca-1d38f34c5bdd	0.594125249072381956	0.049507796866035951
49371f96-14d7-4242-92ef-4387d0168c13	0	0
dcb57191-8eca-415a-9a05-d72497ff6535	0	0
b558a678-6b08-4a32-937a-40c851f21277	11.1837229437229446	0.931927206541606545
c18482e0-fe0e-4d1f-b639-a03821953645	0	0
99a063df-0a0b-4945-816c-267f28b689f5	0	0
de28eedc-de8b-4e74-9532-077774ef36ee	17.1436818181818182	1.4285639573737372
da063990-452c-482b-b1d3-e5ecd2719b44	0	0
9aa801ed-aeb6-4bfb-8c04-b9e01c32fbf4	16	1.33326222222222213
b368daba-6e3f-416a-9624-3772a1ba5bc6	0	0
1adf7cb6-7268-4407-857f-a43448250df5	0	0
4b9cc84d-c814-414d-91e4-f75a1aaf2648	0	0
0b0f062f-f259-4aaa-8ea3-1a5a38dce70e	0	0
52ded712-949a-4e13-ae7e-e66f253684e1	0	0
78150cd8-aad4-446b-b62e-a2e820f2aaff	0	0
1b8bd898-0ab4-4b70-9759-908232e4b2b4	0	0
cb5f98f1-4c38-4fba-9728-fd5045b4f93c	0	0
ad3209b8-8f39-4f70-9d9f-b7fe1f77a5ec	0	0
32edba1d-26a1-49cf-a34e-9760ff8cafb3	0	0
8c2f1ee6-99ba-4d08-8335-f330bb62d9e5	0	0
a5b569fe-40c8-4f19-b533-6a461250ef43	70	5.83302222222222166
a2ed726f-7133-4461-9004-32c50a90a95a	0.594125249072381956	0.0495208346145572589
1c38c398-2ff8-4a5a-8022-f707ba036fb7	0	0
4eca3980-ce9d-48ca-b9fb-2f635495bc71	0	0
a548e854-020c-4087-a1aa-db9bed9a7950	11.1837229437229446	0.932172627128427189
aa5baebc-df1f-4a98-9afa-a03593f7f7ab	0	0
2dfbd6a9-f465-4c04-9170-693f0236a933	0	0
fef2240f-5ec1-4470-b3f1-690411b64000	17.1436818181818182	1.4289401659469696
2ba0900c-306f-417d-9605-aefc3443ee0d	0	0
adda54a7-a133-44d7-a99d-1de8099ea7f7	16	1.33361333333333332
d53568c4-f58f-4283-a3eb-5c88908bea41	0	0
5bba1505-a218-449d-b397-c3251d3ca0d8	0	0
e113fea5-6f70-433e-9e14-de6b2eee80e2	0	0
db321628-04b6-438e-bea3-ac19d690ed34	0	0
f75c4223-3ebd-459d-a960-379cf19dbc9f	0	0
2db6a8fa-e976-4d41-b95d-9c97de29c358	0	0
4284a5bd-d091-4885-a423-32ad730e6a2d	0	0
ba60769d-6fd4-48eb-9491-942b101d9c52	0	0
41032961-3ba0-42be-a3cb-e1c5bce3e856	0	0
21eb370a-b286-4e79-95e7-5208dd126f94	0	0
a7ffaa72-ff2f-406e-bc77-536a296ec740	0	0
aa1bb8f5-07c5-4fbe-a062-12ac4ea6a000	70	5.83455833333333285
502f4b7b-d082-4107-89f1-fb3eaa0715f6	0.594125249072381956	0.0495115926662383563
5a35f40f-fc49-4ba8-b0e5-e048ee796bd1	0	0
2a6272ad-d960-4e1d-81d1-5faccf2052f4	0	0
5152fe5c-1847-46fa-bd48-e9c238fef8e9	11.1837229437229446	0.931998658104858158
a3bff03e-ed31-4a7b-98e9-25f983dac29d	0	0
91fa01fa-fb16-4151-889c-db892d41e131	0	0
f909eaf3-0aa9-4cba-8d1c-35c27b3e2fc8	17.1436818181818182	1.42867348645202008
c8f4083e-5afa-4799-9d7d-00a353dca06e	0	0
035d70bb-5d81-4c0f-b0ae-ed67fe0e39dc	16	1.33336444444444435
acf18c56-64ec-410e-ad4c-f8acd8a4bd17	0	0
75f5686c-48ce-4f0b-83d5-5f22302e6ddf	0	0
57859262-f172-48b3-bab1-b16545852b82	0	0
a8e385d6-2393-43e4-a995-938f425cd2d0	0	0
fe590851-81de-4f2b-9942-1ac64c34c640	0	0
6266a615-2e92-4155-95a6-68a534183d6f	0	0
4faf9e01-2e2e-4e80-a55b-eab7206a68d0	0	0
19cfb9cf-9c22-4d96-b745-20ebfc5f5b65	0	0
8344e5e9-e505-4e09-92f6-8fffcb4f3e55	0	0
fc6ff3c7-b9ea-4caa-b841-5eb2724cb7f9	0	0
b47127fe-4a60-41b4-8636-79103d11382d	0	0
e4d139da-3a43-4f6c-a5c2-e55523784422	70	5.83346944444444393
cda0f411-4696-4eba-bd07-57b1d88dbbde	0.594125249072381956	0.0495175339187290883
d16bc9be-38f2-41b7-99a7-c40ad261ed07	0	0
0f2e9f97-7490-4ba3-9358-8803f16be5d8	0	0
8f1013a2-e57b-42d4-ae29-42eba2a79e57	11.1837229437229446	0.932110495334295464
aae64b15-2ce7-47e7-8f42-0ead17c1179c	0	0
07a283a7-7ab2-4c30-9cd2-ec9ae35be5a1	0	0
4cc62b75-18c5-49a9-b0e1-f69379622deb	17.1436818181818182	1.42884492327020207
ced56d0d-4d77-46b0-b280-937aaa84c60d	0	0
1d12e70e-7172-4e43-a214-284100e36f5b	16	1.33352444444444451
d733cb4b-ec44-4460-9f2a-d37930918bd6	0	0
dd54b64c-f5da-4119-aa30-dffeb3443fa3	0	0
1efc2fc4-e703-47d6-8050-799159b050a8	0	0
948492ce-5c3f-4410-9394-cd2b0ee4774e	0	0
4a94fa5f-c062-4145-9636-9dd702403780	0	0
310195c9-569e-4943-8d71-2dcf7c345468	0	0
e610015f-7cc4-455f-9643-473561e22e95	0	0
98b6cf6a-d654-47df-867d-38c3eafbf5e0	0	0
5535535f-54ab-49ce-a247-70b767495146	0	0
f9874f67-3b7d-405d-ba2c-988a50ae749e	0	0
c243cb91-16ab-43f5-853e-0ea564886d0e	0	0
59964e5f-9af3-4d85-981f-feb942c5e5bc	70	5.83416944444444496
a0ff9425-5d50-4eeb-9ba0-3157b29f1506	0.594125249072381956	0.0495122528054039931
dba7001a-a805-422d-9446-f5a928f975b0	0	0
55dc77fc-896e-464e-a021-de79da09fd52	0	0
9872adda-3d6e-4f84-9032-b90d6bd4e1cf	11.1837229437229446	0.932011084463684525
312d5114-dc69-4947-87af-a0ceef5002f4	0	0
0d5b6254-e11b-4226-8571-ec0e2d29b8f3	0	0
9606ddc7-64cd-4113-ab5f-b53032b019d8	17.1436818181818182	1.42869253498737381
b93919a7-ec93-46e1-be45-5479308c289c	0	0
c8592c18-71ce-4288-acb9-ceef2388927a	16	1.33338222222222225
7bc0b545-78b2-422c-b0c5-fb3a99656206	0	0
816878af-01ac-4a48-b572-d76d4e94aa7c	0	0
e2fe544a-17ed-4e26-971c-a7661cebfc92	0	0
5a856001-7292-4a48-adeb-693adbaeba07	0	0
133d3891-f389-41f4-98eb-63d6d667df43	0	0
dfb711b2-7f41-4336-a65d-804f5efa6f4b	0	0
f15902ed-e8c8-4c4c-b7d5-e1af32433591	0	0
0f25c714-ae53-4de5-9bc6-cddd48a04f32	0	0
67a88000-6ccd-4357-b361-3e1fca06ec51	0	0
cfb6065a-e6d2-499e-ac6a-88f6984c9e38	0	0
50bb59c4-2e8b-43c4-97c3-e0dbea2734a9	0	0
573f63e2-1a9e-4253-95b4-4e5543f1a0db	70	5.83354722222222222
c0a9d06f-1a93-44dc-a263-5a4c1b8f38d8	0.594125249072381956	0.0495130779793610393
692fe5b9-4b5a-4e0f-8fe9-5eb6ab831627	0	0
9efc6401-771e-4cd1-9476-e575a5f9631d	0	0
342c4464-36e6-4878-add9-e3e9062a771c	11.1837229437229446	0.932026617412217484
ec473277-33cb-45d2-9a43-fbf727685359	0	0
b0c0e935-12f5-4800-89f8-1af81f0a88f0	0	0
acb8b839-5c54-4f60-a08a-143640c5c6ef	17.1436818181818182	1.42871634565656569
acd8d6d8-387b-449e-a107-8eac3bf2fc09	0	0
2043b426-bc68-415d-951e-b46228f45a4c	16	1.33340444444444439
ccb75fb2-91ef-4096-b0f6-7382684e2de9	0	0
c3a2442f-0781-464c-af4a-6c66ed13fb08	0	0
f4ad058d-7f3e-49c7-b8a2-7e967e83ed20	0	0
ae094efe-1ab9-405d-8306-746b9cd120af	0	0
c408d7ac-480c-4c57-8837-4d0516b1c8ec	0	0
a8920f74-f536-4626-87e9-b302f9c150b4	0	0
5123f96b-1a08-42bc-bafe-cf0c7e421527	0	0
7f42594a-7e3a-43a9-8d10-40c742a45050	0	0
19c4fc87-74f1-417b-a6b0-674fafcb6715	0	0
4fe0a8d1-20fc-4765-864f-02d2c8f0d122	0	0
d61ba227-bf1d-4ac4-9a63-d0ffc299d9c3	0	0
59e17d30-638d-4ecc-8c39-94f1a935248e	70	5.83364444444444441
2db068cd-2993-4f49-83e4-ee56c2a9cb78	0.594125249072381956	0.0495158835708149961
e90d24ed-e622-4e93-b951-a3b2c2c62443	0	0
70593827-416a-4dab-b0d6-b1d77a58617b	0	0
60f764a8-409d-42df-a80f-19d2190da8b4	11.1837229437229446	0.932079429437229545
eef0c4b1-589a-4d72-b50d-393fb47a30f6	0	0
7004719c-6a86-4865-96e2-cbbd42bc99b4	0	0
20f6604d-b4a2-448a-a31a-daac047d9a9c	17.1436818181818182	1.42879730193181809
3cc837d7-010f-429b-a6a3-889554b2359c	0	0
17ab28a2-18b9-4222-b13a-d1ba9a643f43	16	1.33348
2d9f8274-61d6-43c4-8124-1beda4265f05	0	0
8bc855bb-5e8e-4a14-a8af-13016f12c391	0	0
f62a7f23-b415-4273-9f38-9a35007245f9	0	0
2cffe2ad-e184-4d97-a323-1f712fc9fb30	0	0
4b353cab-ca38-40b0-b092-75748aad46a5	0	0
6f211f72-1faf-4fbd-8753-3afe13e410e7	0	0
c5a49dda-a612-4419-b9d1-9d0e5fad8e1a	0	0
e405fe92-0674-4c16-bb0b-a3b7954de712	0	0
fde01697-c046-48c4-942e-8ab6df9eb31f	0	0
46293ac7-e537-4c32-a2d8-bd8e6918337e	0	0
f1de8dcb-b708-4470-b278-ec8f085ca0d6	0	0
1cfad982-5e52-4e9d-a482-c1a5bc13bc22	70	5.83397499999999969
de04e896-8769-4e2f-8558-ac3e008bb60a	0.594125249072381956	0.0495064765877046772
a1cf212e-0386-4d4e-bb5e-02b44c6790ab	0	0
a0194d7f-19cc-4cee-a0ec-a6e4fd9c7d46	0	0
01619e98-93ce-4517-b6aa-3b226f2fa370	11.1837229437229446	0.931902353823953811
78cf053c-0c64-4a38-ac35-32fe709ea5ba	0	0
ef1a7d0d-1911-48e0-af07-2aac72a7e59d	0	0
c32bfb94-b957-4e29-9dd1-e86c18897bef	17.1436818181818182	1.42852586030303019
319cf383-ceac-43e7-b12f-482cffd58092	0	0
ecbd5280-d699-4129-adf1-cf65642d3938	16	1.33322666666666656
981a54fe-30e8-4880-b920-bb02d064ed07	0	0
73a7b86d-25b6-497a-9ff0-077a5ffed92d	0	0
5833eecf-d891-45d5-93e0-b4b9c5e167bb	0	0
a583e248-2876-4119-b8bc-8dff7d74b5c2	0	0
ba2e01b5-5166-4651-bbc4-2319a5d12b43	0	0
6397dd9a-8e67-43f3-96e5-cef2f30ae021	0	0
2274f9d0-0564-4c21-aa98-da351aabf82d	0	0
423a15bf-f85e-4646-b998-dd957bb50884	0	0
c70a8fe4-f75e-43f9-b557-782e3b8bc972	0	0
fd284a3d-22c9-4b92-be46-58e1ef9bd407	0	0
0c6a574f-6e61-47c5-848c-473667cec102	0	0
b2ba5de5-0b8d-4255-a842-e30d78f3c871	70	5.83286666666666598
ebe51063-c851-45fb-90d9-607015278010	0.594125249072381956	0.0495203395101830313
ccebe69f-b12d-4dbb-bb4b-56bf96bb3122	0	0
1ae271f5-4ca8-42d4-aedc-8feaf975b0a8	0	0
7011a240-8ced-403b-bf22-29d6fe422159	11.1837229437229446	0.932163307359307414
4dbf78c5-d7f5-4676-a85e-b751abba098f	0	0
e8f859eb-4750-40b5-b553-3389f531d8b7	0	0
2531da5e-179d-4e0f-94eb-9633a34066e7	17.1436818181818182	1.42892587954545447
fa2b392b-cb40-41ad-938a-6dec4fe8ea2d	0	0
d2845315-10fb-4958-a486-13b3d9ea4b7a	16	1.3335999999999999
483e0a17-d80b-4688-a695-9d36e3ce4084	0	0
83ae0a35-68ba-4a70-a13d-9dbbe4db5963	0	0
09c03b72-eb83-4496-b880-0c85b262dbbf	0	0
84311ff8-09f1-43c2-a37e-c7fb1832b4aa	0	0
0c175c38-79bd-4a12-96b1-1f72d87e4679	0	0
39145be9-580a-43f6-8768-53bd6263fe0e	0	0
1b33b8d9-6274-4ee2-8f80-86c90dbf52a5	0	0
88b83e3c-5306-4a03-8781-072654a61f5c	0	0
9cee7156-0c35-426a-ac8f-f591438f3304	0	0
ba17576e-c249-4898-a96b-1240cc1667a1	0	0
13e09eb1-4dbf-4907-a273-38b2681af87f	0	0
c71b05ad-7327-4736-9c65-9ce4fc95bbe8	70	5.83449999999999935
b61d36d7-af84-4a32-a86d-da249e3f9c0d	0.594125249072381956	0.0495120877706125839
0e55fe66-310e-439f-8010-eec7145e20fa	0	0
1a2cb200-9b84-491b-904f-4bf106b2f1c4	0	0
078f059e-ece9-411b-9c2d-4b8b06342b55	11.1837229437229446	0.932007977873977933
18c6118d-c7e7-4d96-a521-9ffb5d921a48	0	0
e418d07b-c480-42dd-a4de-db5c29709485	0	0
e51e8eee-d1fe-40ea-9308-baa7332e76bd	17.1436818181818182	1.42868777285353543
9f509d10-2bc3-402b-bfc4-c68e7a50cf7d	0	0
8ba32ae9-580b-445e-8b36-628ddc57803a	16	1.33337777777777777
dffa2282-a135-4c7b-9ad1-02564f35ea9a	0	0
6511825b-2d59-4226-b5c9-fd7407ab1e99	0	0
a3f38d4d-71fe-4976-b74b-6075c6369c7d	0	0
f312f654-8ebf-48bb-bd6e-cc3f35245586	0	0
1b4064f3-dc32-4e49-8584-dbf9a28dbe72	0	0
645b873b-b0e7-420a-bd13-15a0aaa7518a	0	0
eefbaf31-c6c4-4545-9528-67e10b4c19fc	0	0
41f9aa31-115b-4d39-a815-c9d9e00ec870	0	0
622ff3fa-f315-4da6-9b04-baf4f48ef530	0	0
0ef6cb2f-9cf3-4cbc-821a-bf0cc3c2858f	0	0
efeaf9c6-57fe-4c5d-9787-2d11a88d469a	0	0
87b06140-3310-42d5-861d-9d609aa20d64	70	5.83352777777777742
f698bdc5-80a1-4be5-b223-511d6b00d76e	0.594125249072381956	0.0495137381185266762
ee43d202-8924-4028-921d-16a3cae4eab8	0	0
651a373a-1726-489b-b098-eab50b8eb78b	0	0
aa01f3d8-416c-41cb-86b1-534a2ae8d154	11.1837229437229446	0.932039043771043851
07d0e38a-7f65-4c2c-b1d1-d8e6fa87c774	0	0
4cddd5c9-a383-4ecd-84ea-39be64627a09	0	0
f3c778d3-8439-4a03-a70d-3aa08943b151	17.1436818181818182	1.42873539419191919
1fb78465-2f40-435f-aaea-ff26b46be0b0	0	0
2b7f2783-019f-47e2-8b88-443032431821	16	1.33342222222222229
a1f4ee8d-a675-4f90-9045-d0d3083a8d10	0	0
755cfa70-f9e1-4fca-8041-30eddf137a0e	0	0
154835a4-3230-487d-9cfd-5a7d41ad9e07	0	0
6c3521a9-d0f3-43ef-9740-314f0243f4a5	0	0
d0319a00-47ef-453f-9ad2-ddef91a92548	0	0
e80ba472-e923-4a83-ae13-f0d175eb0c75	0	0
f0d0f50b-b166-4847-9084-eeb4ca6cafad	0	0
714ab160-0fd2-4019-908b-398137d7c254	0	0
45253baf-7def-4f77-90c3-835dac10c632	0	0
6143924a-89ef-4c1e-a415-ef9814549a3b	0	0
0b769fd6-babc-4af1-820a-34ee59d7951a	0	0
bee6b753-a336-44d2-bd41-3756830b4c10	70	5.8337222222222227
0d1e8719-18c5-48b5-9326-fd90c8cb930c	0.594125249072381956	0.0495152234316493592
c83c83e6-724d-4bfc-8826-9c72d56a0e65	0	0
1133d6b2-aa4c-45c2-95f5-645afd02a611	0	0
9ba95411-28ae-4439-97c3-5ef0deb7ed09	11.1837229437229446	0.932067003078403178
d53dc414-fddf-47a4-b3da-e31839d449c8	0	0
a68ae4c9-6361-4f84-bfc0-d665c8e26e13	0	0
0542226e-e432-4c50-92b2-278cad1843e2	17.1436818181818182	1.4287782533964648
d31bf4e6-0ab2-4455-a326-ee38ce35f360	0	0
4df2d914-59dc-447d-a20b-fb9b8c4d3675	16	1.33346222222222233
d1705185-f493-4ae6-8c90-d6e9af49e9a5	0	0
069555e6-069f-43a1-8517-fadea20590ee	0	0
c23e5b8f-b6cd-4e1b-b2fb-6c5ff2abd5ac	0	0
51c7a845-0659-4c9d-9c00-361373ee2167	0	0
f23934ee-9db1-4b01-908f-20d3e568870d	0	0
74cfba26-fe03-45fe-b10d-bfb2545288ae	0	0
58f69d59-dcc3-4187-b017-2b615cf13fd0	0	0
989fbb09-5dcc-4d24-a298-16359c9da88c	0	0
386674a8-39ca-4613-9803-93f3614373b7	0	0
f4cb833a-db43-42f4-a0d4-a52563bd50c9	0	0
6f581159-fe60-4c9b-9f0e-6e4e713eb7fe	0	0
07ad0f3f-e4fe-4a2e-93ae-382b7a99ffb5	70	5.83389722222222229
3680b6cc-aea4-40f8-aa6f-b190e21cefe0	0.594125249072381956	0.0495134080489438577
57370c2c-ccc9-4960-85c6-d4bb5afd576c	0	0
13e15de3-125f-48fe-9f7c-cda66bca513d	0	0
fe1b60d7-5568-4a60-a415-0c9cf3ae05a2	11.1837229437229446	0.932032830591630668
e005ffdd-6d3b-43d6-82d4-a590517551bb	0	0
d2843357-ab0d-47cc-88aa-141c26ee8142	0	0
0026cbbf-f22d-4d03-95f4-bb810c7b953c	17.1436818181818182	1.42872586992424244
2040f935-2deb-42ec-ab90-05d117508fc8	0	0
273bb587-e040-4264-a734-9d8885909ada	16	1.33341333333333334
a6c607d7-89b1-424f-8e0d-9a18c5a7bbe1	0	0
d6568d33-db55-4049-8dbc-53dce213dd3a	0	0
144a606f-af1d-409d-8387-2705a870f43a	0	0
d1a6e3d6-4886-4667-8e07-a9c0b26a091a	0	0
7cf739a8-3a9d-4287-8ce4-cd232109e243	0	0
253ee6e6-eb0a-4e22-80fb-3a91336a118b	0	0
137eb917-c17c-4199-ac46-968b1aae77b6	0	0
cfdd9973-6fa1-4659-8e63-7d2bcf94fb34	0	0
d048c4e8-b826-4284-b196-cdc9078dd4b2	0	0
6d94f045-6692-4c6b-b5ee-8edd514e3714	0	0
93580401-df93-4502-903d-c0ff4f7da69b	0	0
6f1a083c-8998-4b6a-bad5-c51842e8e163	70	5.83368333333333311
15b422d2-1d28-4e78-bdce-8e3b0d7694e4	0.594125249072381956	0.0495139031533180854
43f785c6-1671-412c-9ab9-f8ace9dcb935	0	0
c81225a9-d08e-48da-8f53-03401cb3eef0	0	0
252bb3c6-f7f7-4ff1-8988-1f1ac637a002	11.1837229437229446	0.932042150360750554
aae4292b-4b45-4b54-9417-31847a6f4006	0	0
4a42991d-bd34-4467-9d3e-59d7d524f8c7	0	0
02498fac-24a4-491a-919e-40a45e9897ad	17.1436818181818182	1.42874015632575757
ae1413a2-b9ef-4878-9d04-86fb4442205a	0	0
5e0f44a0-7bce-4f70-9428-998b22795b94	16	1.33342666666666676
abd5e643-d40c-4493-8a38-d4a4d5019b7f	0	0
bd47907f-5a50-4832-96e8-41c56d3064ad	0	0
9dfd0ae5-ea76-416f-8dc6-b71baad7d1e1	0	0
be96964c-b429-44b8-aa88-fb33f290ed8d	0	0
848c611d-c3c9-4af7-8d4c-ad8c2168497c	0	0
7384932a-8e93-4fb9-a3b2-788af31db40c	0	0
604e3042-887f-46db-a279-8608c970741c	0	0
2393afb9-d054-4143-8f9b-dfa357783734	0	0
0d3f59fb-45c3-4eff-a08d-e0df7ec78f3b	0	0
d3b9fc21-a2a4-4ed3-b4af-83a34a5b6157	0	0
bf77a4de-8c59-42ea-a5b2-32efd880e9fa	0	0
aa6a4020-7fdb-45cc-a299-566ca62386d3	70	5.83374166666666749
4a086fa8-6072-420c-be20-819fb366aaf2	0.594125249072381956	0.0495132430141524485
1f089bd6-778a-4d4d-9918-81b5d275586f	0	0
d5496d6f-003b-46d1-82e9-9c91ae966f58	0	0
488d1052-8d58-410d-a9b0-0ec7b0a14cc8	11.1837229437229446	0.932029724001924076
fce8b3e5-9908-4341-9959-f99948f9995f	0	0
504b5e1e-03dc-43f5-9689-303291c31d81	0	0
9b0c5a6a-f4e1-4117-bb85-d4cc4dbdd03f	17.1436818181818182	1.42872110779040407
2f19b7e4-409e-4f1d-8233-91b4f41fccd3	0	0
df80a789-1d60-4f72-a485-ee83a68e84c4	16	1.33340888888888887
36e48433-ccfd-479e-ad51-27073ed1421f	0	0
1f428fcd-4bad-4712-83ec-d613c60c6242	0	0
5f4b045b-652a-4e22-9aa8-ecb1beea34ed	0	0
9352563c-5895-49eb-a498-452269a1297b	0	0
41274585-19f2-4544-8438-3357b5fbda0c	0	0
536366f0-49ba-4f0f-b97e-c86f0eaf4e8f	0	0
4ba419b5-acdf-4d42-9125-b65347bf7ccf	0	0
6113291e-c136-48ec-99ee-421e611a2bfb	0	0
70257a3c-aaed-4dcf-b0b6-fa11f94aff0d	0	0
1ef7db18-d113-48ea-9074-c89247afaca3	0	0
be9cb59c-25a1-4030-bfe6-7e183b060041	0	0
e4f40dc6-c840-42df-b55c-1def9ab476c8	70	5.8336638888888892
5de7a6d3-781a-4153-b93d-c440d6953a0b	0.594125249072381956	0.0495139031533180854
9955ab01-ecdd-4775-92aa-7d9dc48829a7	0	0
57cb95e7-6935-4457-a733-2c7bc1eb0cae	0	0
137aed82-a4b7-457c-98da-c90d4a0f0b4b	11.1837229437229446	0.932042150360750554
d4b2f18a-e816-497e-b9c1-4faf444d33af	0	0
3f834c8f-2cc7-4e50-9c18-8475b4a32340	0	0
3145e8f1-fa15-409e-af99-5bd1682ab398	17.1436818181818182	1.42874015632575757
b9b4d88d-8b0a-48e1-b521-cd9bed65200e	0	0
af6b465b-f89e-4b8b-a918-b8a4d0897bd6	16	1.33342666666666676
5f36c406-efa2-495b-b805-2a7d737ad15e	0	0
00f74722-4925-4200-8435-b028b1d3005c	0	0
37fdb0ed-9027-45e7-a037-c7b7ec4c9150	0	0
2f6f1adc-b3a5-484f-bff9-32c77266b412	0	0
69129a23-d84f-40ca-bb17-2106532215b2	0	0
6727d9d7-1613-41a2-85b5-87e6702e858f	0	0
a8af92a4-c0d3-4455-9c0f-022651281f1c	0	0
30189344-0fce-498a-95e2-9f3edc0bd075	0	0
d1bd2b49-f358-4205-90ce-c6d2795aaa38	0	0
e302a59f-b2e0-43ea-a14a-78ab4874809b	0	0
c2beb457-eafd-40b1-9ec9-bc396839969e	0	0
e00c5e13-6050-42f9-aa3c-32c02520f91c	70	5.83374166666666749
7de54896-fa8a-4535-9765-a2fff8580829	0.594125249072381956	0.0495168737795634445
0eac188c-465c-4e51-8e03-f398c5c9f5f2	0	0
9fb649fb-7d03-4385-989a-88841394aba1	0	0
d29c27e7-57ef-4141-bbed-1cc4e0d342c4	11.1837229437229446	0.932098068975468985
3c980060-7838-49d8-9229-24775212fdff	0	0
1af9aac9-e7a0-40b8-b86b-4313f14901d2	0	0
fd9f4fae-5064-435b-b1f2-e26eb5746ede	17.1436818181818182	1.42882587473484834
854ac984-5299-4984-b544-053c4f9df1a9	0	0
4639c717-7710-49f3-9eb2-4ae78a0adf5e	16	1.33350666666666662
dd9e54ab-37a5-4968-9005-9a0cd2f1c480	0	0
2f3f7837-dd9d-4be1-bc7c-fbdf2fc0c5ff	0	0
0af6f212-a9ec-47ee-8cde-e1e80f3a2410	0	0
0ddf181a-4684-41de-bf76-15a33d8a5bba	0	0
1640c66a-8668-4cf0-8709-8bf3b4ca40fd	0	0
2bc36f4a-1468-49ee-945e-5aae2cf5c5a9	0	0
df2daa8d-2920-4093-baef-4fc2ec1b0bfa	0	0
70f5eda9-474e-4926-80c3-b3ffc1d46ad5	0	0
072ebe77-a0bd-4c99-a179-a61ea5ecc61b	0	0
d0c76085-5295-496c-9d97-9a00837029bd	0	0
e4f8ac14-7dda-4bab-b703-940a503b9c38	0	0
d00404df-9fdd-45c1-a565-c6d2f8ce9c52	70	5.83409166666666668
26dd591b-db3d-408e-892d-14dc1a31bec1	0.594125249072381956	0.0495109325270727263
c35b1c57-dbb2-44c9-afbb-bac21f179fd6	0	0
f8c24d0e-4ace-4c55-9d07-174a94bccd59	0	0
fd3dd229-5b6f-44c0-9e31-c9694a6d871f	11.1837229437229446	0.93198623174603179
70a113bc-6420-4f97-a811-676a0b3b9edf	0	0
1898c535-eac4-47d4-a2b3-d3f7fb9d1d38	0	0
9607a47b-e7cf-4349-b1c3-acd5a8af57e2	17.1436818181818182	1.42865443791666658
a26295a7-0223-4716-b1ee-232ab414b1c8	0	0
950b5a55-8d93-4387-aa2c-593c148be430	16	1.33334666666666668
f7a7b0df-1cd8-46bd-816f-28e53053f0a2	0	0
88ba91d9-8f03-4e27-95d1-27ac1abf131f	0	0
d4f747df-64b3-409f-a782-dbb1910c6324	0	0
c13ff4f6-2297-4fd2-baa5-a8107ab8762a	0	0
21a8463e-86cb-412f-955d-c2ec08ab659a	0	0
0ae29c17-ca25-4814-8c43-43649886a7ef	0	0
e0ba682a-7a8c-4225-adbe-abe837f9cceb	0	0
9dfd4d77-0619-416a-95d5-aff0dc8cc764	0	0
640ce3db-ba9e-4f0f-8df9-b521a9242545	0	0
41f3ed82-a108-48de-a5c5-36e722c325b6	0	0
efe589a3-004f-445e-a14d-bcc9be0742f1	0	0
a3194930-b239-424e-8001-0892813d2b92	70	5.83339166666666653
b5c07539-c56a-46c2-9b25-551654594115	0.594125249072381956	0.0495155535012321707
b02d8c5f-580f-4a8c-bd8c-3da2e6d79a37	0	0
fde7e7dc-8e15-48c2-b924-9d17fcdaabb6	0	0
04615626-d486-4d28-9583-6c1d33bcd746	11.1837229437229446	0.932073216257816251
5bc9fdb6-ba41-4709-a9fd-8987f15e7eb1	0	0
3fe18093-6b81-49de-973c-8a55d50d9721	0	0
97df7002-78e0-4bcc-9009-a914bf3494d2	17.1436818181818182	1.42878777766414133
63c91214-6fbb-4f81-b5ce-2b17e9ac618c	0	0
430d2474-df6a-4b85-bc8e-adc5147d9405	16	1.33347111111111105
900ebf0d-18a4-47e2-bfdc-1a2c0b255a7c	0	0
592825b8-dc74-4e9f-9aa2-b207746dd269	0	0
450b26ef-7e7b-4051-935c-9436d8a8d412	0	0
5ec8e54f-58ac-40d7-895a-cb3f973a13ac	0	0
2e252213-4692-4711-a73d-68892af6ea59	0	0
7749fc5f-e4d8-4e8f-8632-e3bf0e016699	0	0
14a07400-8204-4ea4-9a86-ea5417ea08bc	0	0
ef6d2ffd-d9ac-4e97-a4f4-08ffaa5b22e8	0	0
942741f1-1995-40a8-9f88-822b15429872	0	0
91dcf2ee-52b3-4e27-ac66-ef8f9b940df7	0	0
d50534b4-f854-4633-8433-87bd2f0c7811	0	0
e90efdba-73b3-4060-ae5b-42f52656dfae	70	5.83393611111111099
1b2f28f2-b71d-4d43-a59c-750a668ac9a4	0.594125249072381956	0.0495137381185266762
9ce9db08-1689-432b-a233-f0bf85c9bd86	0	0
cb68a01d-8fad-4cbd-91d5-9213742a9a3f	0	0
0b4fa609-bd1d-4c17-8256-943bc9c980b3	11.1837229437229446	0.932039043771043851
91ac9cf9-ad90-40b0-afdf-ae5adaa7901c	0	0
397b8cf1-f772-4f01-b545-977b33a6eb79	0	0
bdee13b5-72b1-4d0f-9245-46314fd075c4	17.1436818181818182	1.42873539419191919
cd642fa6-9578-4f53-949d-7084b6468817	0	0
5c6f89a1-cf6d-42e3-81bd-6b11f8ce4f64	16	1.33342222222222229
cea93262-c704-4cae-9766-b071737762a4	0	0
1a498364-1c33-452f-b3f4-af1ee3264055	0	0
26800bac-93f4-4ffc-879f-ea32fb0dc2b7	0	0
171d6268-ebe4-4d56-8037-da568956835d	0	0
8afce64d-6889-4765-acb4-1b289e38b56e	0	0
c4bdd2e7-8acb-446d-baf5-304e239733e3	0	0
a8a890da-8e03-48dc-9736-e4966726bd70	0	0
598692a1-9333-4513-b99b-7b23ab291be1	0	0
48989b63-5bdd-4c68-a2ef-9fe04a2d506c	0	0
b054c715-7546-4f05-b975-953e823f6669	0	0
f044b3a1-f47a-4cac-b10f-ddc51bc9de93	0	0
94c285a1-13a7-4fa6-a247-788a8670b6c6	70	5.8337222222222227
442c3c17-ea20-4c4c-9cf0-577fdcd8f9f9	0.594125249072381956	0.0495125828749868185
331232ce-bce3-427d-b917-fe8e7ef24ce8	0	0
96e99a3e-ab96-4d13-b434-751a50f2b130	0	0
ddf823c2-67c4-4b84-8375-4ed71abcb287	11.1837229437229446	0.93201729764309782
048b6e48-7b8f-4ee2-b013-c617c8a0c302	0	0
cd3500cc-9870-4a21-be47-3e3fa161d93f	0	0
810ec40e-686f-4009-b489-9d378a4766c0	17.1436818181818182	1.42870205925505056
a0197eb1-c542-46e7-a1ff-cc65b95e6504	0	0
9ce0623d-0693-4fbd-8c63-7e8d1e2fcbc4	16	1.33339111111111119
0302c28c-2090-48f5-a062-0ef49b7314c4	0	0
7039727c-bfbe-4953-ab6e-53a13e80b40e	0	0
a5e23b05-4d18-4261-80f7-ba794babbf41	0	0
aaa26c3e-639c-4719-93be-9be4799f81b8	0	0
41501d97-7e1d-4545-a445-d15f99307e77	0	0
a0e9e20b-da42-4b25-a839-d675ec954a52	0	0
62eae914-96c1-470b-86f7-b6d65e5bfe99	0	0
05a1585f-d172-48df-9eea-d0f882b2e475	0	0
f1da24d8-5b5c-4aa5-83e4-f4ae5b12a482	0	0
ba24189a-6843-4357-98b2-ac277a434dc5	0	0
df4f6767-66e4-4b1a-8d20-3f9c5b5e0ed2	0	0
1eec05cc-8a48-4f07-b176-5b80c11cca85	70	5.8335861111111118
c41d7c0e-4954-4770-9712-4aff3650d0d6	0.594125249072381956	0.0495167087447720353
1109f613-b497-4058-88b9-7fe98f0ff892	0	0
021105a2-d007-420d-bd62-fb0a2d592d51	0	0
c2845702-eb0b-42a7-9461-6fcb97c22f28	11.1837229437229446	0.932094962385762393
841e406f-43e6-49cb-9a33-db899f592380	0	0
81335f42-18cf-45a0-95c5-084b277931bd	0	0
0c89bb7e-4189-46ca-b240-faf17d03b93f	17.1436818181818182	1.42882111260100997
f23385fa-7b67-45d5-98e2-0a3f106bf114	0	0
aa30faa8-115e-40c1-b6e6-7ce9c6d7942d	16	1.33350222222222214
d73c0e89-c09e-4570-be6e-f48fe78b3d90	0	0
150e6c2e-3f41-4dc8-b1af-d070e71fc236	0	0
744a3ec5-d72f-44d8-9af1-7a2ed3ea75eb	0	0
6c387c7f-820f-42d6-8f3e-0055354e4952	0	0
476339c2-1267-4e1d-9c8b-75d27a4e71d3	0	0
1628c513-8b47-4b5c-b554-d9a7ea9348d2	0	0
2fac0362-5d31-4355-8476-28b8d03f6bce	0	0
11de793b-a3cd-46ea-b4d4-b35ea1f3b6dd	0	0
4fbe9c39-c605-423c-b9e5-6bc6e14d83d9	0	0
0cca8ed7-7512-4b65-9a35-32323b497b0b	0	0
2c9675b4-4f57-4335-b2ea-2c42b8b09a49	0	0
f620d875-7cfe-4e40-a857-4dcb1f752e92	70	5.83407222222222188
ff01e8ff-3101-45a6-b1c6-06f59b681af4	0.594125249072381956	0.0495115926662383563
982cf574-2353-4fed-bff0-c96083e0945c	0	0
d9808f03-d551-43bb-be9c-e43b60b37625	0	0
bff24daa-d03b-407b-af6a-07483aa9c0bb	11.1837229437229446	0.931998658104858158
c1302eb7-65ea-40d4-bc1f-2b8c37977ee1	0	0
2772c14c-58d4-4cbf-b319-f9a304160ec0	0	0
aff9a5eb-5153-4e77-acee-d4c3685f14c8	17.1436818181818182	1.42867348645202008
51ef074e-c865-47fc-97c9-a0e29ebcfa0d	0	0
d6280db2-77a6-4278-be5f-52ba80c4fba4	16	1.33336444444444435
902f764e-2331-411e-a1e7-7e6abb6f1618	0	0
881ad068-140d-4757-a048-3095c60d20c3	0	0
6e992ad6-0744-4c5d-b35d-92336c805693	0	0
63b43d8a-f961-4ff2-832a-a49028ea746d	0	0
760f71bc-4af0-4bd5-b294-5ecdbb806848	0	0
eb1a8273-20cf-4ac3-85b3-46be82cd25a3	0	0
e7ed8491-b400-4c37-9976-92800f84e761	0	0
f1975c45-9bab-4f79-9c14-89cf9b14f53d	0	0
cf0ad676-cdaa-485e-a361-176b9cf089c0	0	0
ce68467f-8c61-493a-a4b1-66901990fc68	0	0
e3aa8af0-97da-4b23-8655-7f2dddc41d4b	0	0
5f6e5f85-ad9b-441f-b63b-64bab34e93e5	70	5.83346944444444393
71ebc972-3b41-4ab9-875f-36aecb5ee7ba	0.594125249072381956	0.0495152234316493592
1e1f32be-a5d1-400a-994e-d71df82ad35e	0	0
3d22a394-a5ad-4e9b-8eee-a9241c9cc9f0	0	0
68c68993-6dab-4461-9ee6-10230950f7c5	11.1837229437229446	0.932067003078403178
795d9e23-297c-4919-a873-f69530ef4754	0	0
82212e98-dfcb-4f7e-aacf-3d3cf3329287	0	0
b55608ad-f1f4-4aaf-a52c-33a94e731abc	17.1436818181818182	1.4287782533964648
da532e82-3b37-402f-a59e-5cd9807893cc	0	0
b2bd2873-caa1-4d98-8878-21356956d665	16	1.33346222222222233
75921ae3-c865-43d6-8223-aa7184678082	0	0
5b7f968a-13a0-4fae-bf04-ebeed9de9c1c	0	0
46ba9428-c3d9-48f2-af9d-7896ccbfa201	0	0
c8df3d8b-ba15-452a-8a3f-7363aa46c2c8	0	0
9b14bcb0-c003-4f82-b84a-c19f12c1bc22	0	0
f43be24b-f551-437a-bcc1-6234497628c1	0	0
fea60824-ac95-40ee-8b47-5cacf044acb3	0	0
3cfc5c00-6718-4490-af08-2dea4806a96f	0	0
d534d94b-b5f3-4854-9b60-f916f182ddff	0	0
46dffab0-b1b6-4301-a7b8-fdf0afe8cf11	0	0
8c5b1713-cafb-4e8a-8627-e68eb21ddacf	0	0
11afbae3-58c2-41ce-bed0-e7aeb47eb4ef	70	5.83389722222222229
b0a87a81-2ce4-477d-9adb-057360a240d8	0.594125249072381956	0.04951505839685795
5af345cf-d2b9-420e-aa18-f54522e285c6	0	0
5b0e2c40-135d-4462-bf8f-26df39b6dffd	0	0
b56d6e50-3df7-413f-9ff0-aaed93a9e815	11.1837229437229446	0.932063896488696586
525b5352-70df-49f8-b319-64825998097e	0	0
bc9b5af3-0c5f-44e6-b801-e653e25c6ba5	0	0
50b695e1-3b50-4d7c-91ed-2c68bbf5ecd9	17.1436818181818182	1.42877349126262643
15ba64df-d07b-4bb1-a385-9a4208fc8226	0	0
a33ce4ce-24bc-4ff4-b963-30b6f9fa38ff	16	1.33345777777777785
d0648bb7-3756-44f9-a12c-ff01f7e9509c	0	0
c0c71136-ba69-4b81-a5c4-ece119fe885f	0	0
7317036a-5648-4be0-9c39-728842091220	0	0
1e5441f3-1100-40b3-bfc2-16321c6e6e39	0	0
d3620a78-ef44-480e-a2c6-6148e4cbef27	0	0
b101fdd8-0404-4697-ad2d-d983fb3f8fa1	0	0
8a87d2e8-9925-453b-8e1b-ca4910087b50	0	0
a4c36dfd-fa9a-46cd-88d8-15699cba4dc1	0	0
8991d5b0-5305-448d-9c40-9bbd8b04e15a	0	0
bc354975-2ef3-4bfd-958d-08a986915988	0	0
04dc5392-f42f-4917-88a4-a5f0596b43e9	0	0
840a3d8b-8751-4915-bf7f-5f3de3abea79	70	5.83387777777777838
426596b5-d862-49e2-9266-96609eabfb40	0.594125249072381956	0.0495142332229009038
6f67110c-82cc-4bf2-a9d3-968014eb77d3	0	0
d7fe2556-c868-4033-9a85-969a744dd952	0	0
aea6bf3e-bbc5-4b96-a777-33f6b6a0c644	11.1837229437229446	0.932048363540163516
293a06ec-0672-40d3-9ace-22e60655355c	0	0
a22f95ed-66cf-436e-833a-42321618dda4	0	0
38172281-2e90-44f3-bfe7-934002e4635d	17.1436818181818182	1.42874968059343432
fc001c6b-ad41-4608-8553-e2d42a13e37a	0	0
e027d523-8af3-4ce0-ad23-4e30e4dcd98f	16	1.33343555555555549
1049db67-bffb-4df9-9835-a2af958ec3f1	0	0
26c3224f-30ab-4337-b513-d6a917191395	0	0
ab8a0223-3a6a-48e6-a6d5-8439a10a19a2	0	0
4e970ac0-cada-4c85-9cb1-53e6dea34ea1	0	0
6016d3a8-2145-4a05-9f5b-29e0f6af004e	0	0
456e22da-7544-4c55-8a1e-c51a2fd9a14e	0	0
3b5c2639-8318-47e3-b785-f5c03bae9684	0	0
09779560-5848-4f60-a28f-a1edf7b99b8b	0	0
73889e20-d0cd-49af-81e8-959c2ba0e8e6	0	0
97cdd6f3-3064-4bbc-b00b-3b30d38371b2	0	0
7daa1d74-32eb-447e-b8be-d134668290ef	0	0
0c7e9010-dc27-4046-b2e0-371923df782d	70	5.8337805555555553
7cf80bf9-6b66-418d-abdf-0ff310d745a9	0.594125249072381956	0.0495134080489438577
f2c2ffc2-e024-4e87-96bd-cf0f901cac63	0	0
e32b6255-7c57-4d09-b0d9-446ac3ec7acc	0	0
e8ae3768-31d4-4b94-bc32-2afc2a49f2ef	11.1837229437229446	0.932032830591630668
2b4a1012-5665-4bb8-8149-fc4d050b2465	0	0
893b0db8-91f5-46ca-8e50-6778073afef8	0	0
5008c261-d123-421e-800c-02ccba0f7feb	17.1436818181818182	1.42872586992424244
3fbe0c6d-8b3b-4db6-ad64-1050d12f4314	0	0
b84c0791-1beb-4e46-bbc5-1597d906a509	16	1.33341333333333334
8dd7d701-a806-4452-9ea7-a426fa514b1f	0	0
934dcbb0-f8eb-44da-ba2d-a1e8c428bedd	0	0
8594ec49-f050-400a-a23c-66a369dc92f3	0	0
3086e716-4766-4c9c-bae7-721b28551c4d	0	0
11d2fdb6-8fb1-4478-a4a8-91e438c95b82	0	0
306ab471-4054-4480-bc77-85c3a055f6fc	0	0
e0c8f288-9b9e-4b2f-8e18-fa741c577513	0	0
86c2662a-3372-4509-bfdf-e6ba24a7d8af	0	0
293be815-678f-45cd-b598-738360e9c17a	0	0
58bf23d8-482f-44e6-a9fa-5e17342fce1e	0	0
f429e41a-6ade-49a8-8d39-952f17b46a44	0	0
987c76b4-ad56-4bd7-8288-edcc2a3d68e8	70	5.83368333333333311
59a05856-2b9e-41d0-ac88-ebda56fd20d5	0.594125249072381956	0.0495145632924837223
42b7d314-5f58-488e-ad57-b4460a57b392	0	0
7c7fa24c-6dd7-4665-997d-6887de9a89f3	0	0
4175be1a-1267-42ac-aa31-2f3374dac141	11.1837229437229446	0.932054576719576811
7cb1db9d-ab5b-4954-8121-40863331d1f4	0	0
043b7e54-15b7-4b72-bdd9-d83ad2e9303a	0	0
73c8edfa-f6f6-42e8-bd7c-8f315dba2774	17.1436818181818182	1.42875920486111108
da6f742a-135a-406e-ba85-5d9b19bf41a1	0	0
a088c792-9e72-447f-b020-738cda347bbb	16	1.33344444444444443
c6f79ab3-d6e6-4f89-82f5-ba87e316ee9d	0	0
009ad7a6-8494-468c-bff2-2e05f36d3ecf	0	0
4914df52-65c3-430b-ab63-aa087ad71a66	0	0
eadecb1d-87db-446b-981d-303236748598	0	0
26a31cce-5440-4dd7-967f-f89d1133297e	0	0
ba261b68-d2f1-470a-98a7-8e8d11b70213	0	0
92bc49a8-25d0-4701-9a34-669d50d30301	0	0
1680e796-0001-42bc-b0f7-4412c1bb37c4	0	0
45970fae-5e26-487c-8d70-54a03c019b88	0	0
869ed126-3f30-485f-8a52-72bf931a0652	0	0
c5d9f3e6-d3d9-4943-b4b0-e4ade56932d8	0	0
60bda998-b145-41af-ad5f-b240b1bddfc9	70	5.833819444444444
52b2d976-053f-4991-9902-7d5a101a936f	0.594125249072381956	0.0495119227358211747
77600b9a-b3f9-410e-8a98-ee263ff9fba1	0	0
a846c070-d084-4c8e-9160-d5d086b3910b	0	0
393397ce-55ab-4024-ae7d-73af225f72e7	11.1837229437229446	0.932004871284271341
1e19ed84-f2bc-4a17-b773-e04111bc79c7	0	0
9c98e413-0b1a-4423-b7c0-8083ced358ad	0	0
277afebf-46db-4587-bf1e-3602d6b66607	17.1436818181818182	1.42868301071969683
4f0d2ae0-6f5d-4d85-9a99-169bee03bbc5	0	0
40da280b-c143-4fe6-8ff3-c8091523cfb3	16	1.3333733333333333
9bee6a2c-b3c1-4414-973c-4788a6b19165	0	0
0d96f48e-c302-48b7-85aa-37e288a156fd	0	0
1ef9da6d-b115-4096-9c46-92962aa768ed	0	0
ce60f733-f768-4f23-9a47-534ccdb52d82	0	0
f04e08b5-0ec1-4383-bb12-91c01ddcf9a1	0	0
3417ab15-2034-4537-8bb9-2f1602b17012	0	0
c9af5eac-77b1-4f27-88f8-841724df3658	0	0
064f3298-7839-4907-96ac-582e8e7d856f	0	0
37f0ba5c-a982-43ab-9628-8676625b785d	0	0
3b7c5753-2468-4f86-901d-e08abb6e92da	0	0
667f441b-64b3-43af-b717-20d08ae28859	0	0
095c304f-3a4b-42f4-9a9e-ffd53bc67c9c	70	5.83350833333333352
69c6141e-3161-4f98-8485-c18117093bec	0.594125249072381956	0.0495167087447720353
255263b8-d1e9-4197-8e87-c42f73620b57	0	0
63de6838-6d21-49e7-b6e7-201e2313bbb9	0	0
5b773aef-e8fd-461b-bfe7-c28ada1b9396	11.1837229437229446	0.932094962385762393
bcb399e3-a16e-411e-96a5-3862af0875c3	0	0
08cd6bb7-3767-4c6d-9c03-0fb3e80500b1	0	0
da73e923-439a-4331-9d8a-0550b5a50354	17.1436818181818182	1.42882111260100997
74a6fb7d-b0cb-4e33-9268-072aa26a471a	0	0
12f8df10-86ef-4336-800b-c11e5f7fc392	16	1.33350222222222214
82822fa3-df72-42b5-9e52-299daaabdc46	0	0
a7a2e082-250e-4566-b501-a39d4d0cda9f	0	0
af73524a-d4ed-4d2d-9939-afd16118786e	0	0
84df8200-92e4-4f3a-a7a5-7bcf694369e7	0	0
9ef66d9c-bf4b-4305-92cb-b80f7fb72444	0	0
70924b98-a356-4692-82a2-b8096a9d3ac3	0	0
7dcd0c20-c5ac-4c8c-b363-a82101386ca3	0	0
9bb918fb-b794-419f-ad66-96099b2db6bd	0	0
621d04bc-d84e-4029-a91c-5da32c76ec5d	0	0
6993d1da-9845-47c0-aeab-e1c6bec8fdae	0	0
295d8412-6f02-406f-8180-bdfbfd686090	0	0
233ede89-786b-4747-bdb4-34cc71dd5f5e	70	5.83407222222222188
e581862e-93c5-4aa4-91ae-0c2e6b560204	0.594125249072381956	0.0495155535012321707
33c68aee-20d8-4ef4-ab3a-51273f033744	0	0
f2ca9d4a-8b7c-4107-8f80-bda0846a2dd9	0	0
75d6df90-c7a7-4084-a8f0-8ab64457ef61	11.1837229437229446	0.932073216257816251
d95e44e7-3cde-4fa3-a5c5-7d8a99a199d7	0	0
3f73cccf-f2f6-4529-ab4d-80a2d5f920fb	0	0
b9a22ce0-b55a-427f-8a08-e03ea3af907c	17.1436818181818182	1.42878777766414133
43a9b95e-66ba-474b-8e74-ea6612a80706	0	0
d8e65848-02d4-4075-a0d0-59c1110cc891	16	1.33347111111111105
4111495c-693b-4035-af33-7b4ed28c847a	0	0
60b641d9-69dd-4f45-b9b4-b655bfcd4f14	0	0
1e1a2e03-1417-49a7-853b-53ec97b3709e	0	0
26b35851-763d-42a1-ac89-2922f1c0ce99	0	0
691ebd47-0e69-4ce4-aa1a-4e4a00550d37	0	0
52fcdbac-ab63-4b5a-a991-8c993ca2e02c	0	0
c6dd4f10-2b5e-464a-9e09-44633848f596	0	0
c46b4c16-42b8-42a8-acaf-1e42252ef86d	0	0
6e5219ef-9cdb-462f-bce0-74db4cd58460	0	0
4f13bcfc-3f73-45ec-876f-113220441e50	0	0
95f7e8ec-ece6-4885-9d72-2a011ec7380b	0	0
1e7a1654-89bc-43d6-9ea0-6ea3528dd054	70	5.83393611111111099
b0bd4a7b-e002-4226-946c-718a801aa372	0.594125249072381956	0.0495120877706125839
fab6c1f6-2608-4f40-8ee3-5a0b29ff7035	0	0
cf03e303-1440-4660-b3c7-b380060ce2fc	0	0
8f2e4413-097d-4328-bbb1-96a675b720e1	11.1837229437229446	0.932007977873977933
7b801871-73f2-4915-b299-8df047710b38	0	0
90ff8d79-ce03-4897-9aa3-0653b24423f4	0	0
9981e16a-1787-4be4-97d5-044a8596c0ec	17.1436818181818182	1.42868777285353543
c91f1fb2-8da4-4f2e-a6d2-0bf67f61a4a2	0	0
095a6239-c67c-40b2-b70e-9971ededad68	16	1.33337777777777777
920a5462-5e67-44c6-b1fd-63dea755c96b	0	0
8b756169-1c65-464c-825a-d75e63c852ed	0	0
6911b480-e174-4012-b5f7-b9334ee6ac82	0	0
347944dd-420e-43f4-9a77-e62762a108e7	0	0
dfb30296-7c47-4fd5-a01d-01b9bf926b8e	0	0
a3919555-09c4-431e-af0e-cb1f7c8ee480	0	0
9e20fc95-1399-4cec-b61c-91fbfe66cc70	0	0
b08c64ee-5d38-412c-9dbe-b121fd7a9dc9	0	0
924d13b1-4f57-452b-9ce3-12d6dc27f292	0	0
5ac8a53f-6d0b-4a66-b2e3-c9d13d5f9513	0	0
db45d532-bee8-4dc7-bb22-96fbc4920f15	0	0
67abec00-c26e-450c-b3c8-03c18d3748cf	70	5.83352777777777742
2e8829f3-87ee-4eba-87db-ffb02f58baef	0.594125249072381956	0.0495127479097782208
3249753b-adc7-4f03-8972-b058b58ea25d	0	0
6c356bae-dd53-4f27-8e60-5947bba64395	0	0
68941ebe-542f-45b5-9251-e82dc731f592	11.1837229437229446	0.932020404232804189
9dd43770-88db-4d3b-8e82-599fe270646b	0	0
20fd7ccb-31f8-4b6b-8369-fba0c0a41647	0	0
a9fa53bd-0f3b-4c11-9155-c406dbc5cfc5	17.1436818181818182	1.42870682138888871
f3c915e5-143e-44df-bacf-f6989dc980e8	0	0
423109b7-3bc9-4f08-b944-9b073fb6db20	16	1.33339555555555545
435cbd83-84aa-4ec3-a551-c0add7ef3685	0	0
a839a86e-7c82-4e3d-95ce-7fe7ed4a4fa0	0	0
93356b4b-a303-4ffc-816e-70ac6afcf861	0	0
b85ecee7-80cb-4401-9a70-de403fdb8629	0	0
b16252cf-65cc-44cb-98c3-7e0092b88c92	0	0
553aade0-6e33-4da7-a183-3fda87eeedaa	0	0
e542f4b1-a4d0-4c0b-b480-7b36b5942625	0	0
dc9718b0-d396-4343-965f-829ff1c520b5	0	0
5c8b84f6-2164-4a94-864d-310904a185ec	0	0
2132dc35-60d6-4a7c-9777-8bc9ab2722ff	0	0
258549dc-78fa-454d-ba92-9d798bc0401d	0	0
ec5d8967-b0cd-44ec-bc9f-505ef7c78e95	70	5.83360555555555482
4575d5b8-ef7d-452e-a43e-94ac2381f06e	0.594125249072381956	0.0495110975618641355
ea8a266d-3f43-4467-b00d-638fe4ab0a4c	0	0
d5c2ae24-5d94-4621-a0f5-f16552ccf1c9	0	0
9ad14ecd-22d5-4920-8447-68ad654cb856	11.1837229437229446	0.931989338335738493
20b811cd-5e2e-427f-9afe-c68abfccfefc	0	0
bc0e768f-304a-4752-9489-529bad087fc1	0	0
08c212e6-6dce-4d4d-9d78-f4bbfe9eb8fc	17.1436818181818182	1.42865920005050517
a707b58e-3fbc-463e-ab47-6f478dc87a8b	0	0
ab6b76ad-858e-4454-89f3-3bdf060f0a10	16	1.33335111111111115
cf44a06f-632a-49b4-b5c4-1b61bc67d8ea	0	0
3cf4f88d-b406-4c33-8bdd-d70f467d2cb1	0	0
2022f8c0-6132-433a-8e89-3b0afda62d0e	0	0
f27b6b43-9dc0-40e7-a487-11f6d78e08aa	0	0
c0a0818a-5dd1-42f1-80f5-e6c5982e0af2	0	0
a918fc59-f3ad-4a33-93fd-22deaa30f4a4	0	0
12c383e4-6a56-4dcf-b36c-f45891b709e6	0	0
85a17a4f-bec2-4e44-b13b-62a1a0639c1a	0	0
b2eb2d99-7967-4fbc-be63-18691c84fd9c	0	0
653e6d68-43b5-4944-9877-f229bd5d6e88	0	0
aefdc554-7512-40ed-bf26-4ddd9904d033	0	0
88118ec7-80e9-4a0d-b6e6-b3c1357b1b19	70	5.83341111111111132
66062e19-418e-46f6-8ffc-5d992db5636a	0.594125249072381956	0.049518689162268946
88a14024-511c-4008-a240-f1c429610d45	0	0
6fd578cc-cf2e-4b32-8984-bc5475eb430b	0	0
3535fd7d-e107-455d-9f9a-9ecb9ee0c8d5	11.1837229437229446	0.932132241462241606
189cc66d-e4e0-47a5-b81f-9dfc690bc118	0	0
ece40e64-bc2f-43a0-a873-1bfaf17877f3	0	0
e5713011-2f0f-43e1-b800-b99ee6374adb	17.1436818181818182	1.42887825820707071
6660df14-62b6-4ff2-bd1a-d6728b6430fd	0	0
76b85e91-d0c3-44cc-a50a-8bdde3360dfa	16	1.33355555555555561
8aeac7c9-53ca-4d62-8300-6a2c603b6d16	0	0
82ef1198-e751-47d8-bfa5-12f32419a536	0	0
efbb3f01-3bab-4129-b00e-28752c70934a	0	0
9f928b41-9297-4613-bc97-e75ae6bcb3cb	0	0
f689ea52-06a7-4ba3-8001-499148f88458	0	0
2d718585-a4a7-43f3-9d03-1a263dbacacd	0	0
6377f30a-9e53-44cb-8b56-9a2e457dfed0	0	0
a16518dd-910c-40a8-8ff6-7398ecd88068	0	0
73c67839-0c74-4a9c-a04e-c4ac64c6ca5d	0	0
5f467a9e-8016-45a0-974e-0394f6a3c118	0	0
5aede06c-175c-4126-9b8d-f8d0910e6a71	0	0
ab0d9ab5-ce53-45ac-8d7a-ff010dec6d27	70	5.83430555555555586
50ef8537-60b7-4f32-bdf1-01576b2b67a5	0.594125249072381956	0.04951291294456963
4a176bf8-30aa-4938-b757-ee491618ddf2	0	0
d0d05925-48e7-4ee4-ba8d-5dffe2c24d4b	0	0
51aad612-e681-4623-8d92-5bc2621925ae	11.1837229437229446	0.932023510822510892
453f333c-fc32-4345-bed4-6f0b224c4c2d	0	0
aab92c91-f600-43da-ad48-0939b2c5b97d	0	0
1d128bf1-83b6-4423-b257-39dd227c5a43	17.1436818181818182	1.42871158352272709
da3f2850-512f-4475-89aa-41f31fa9841d	0	0
cfa034b7-e152-4085-a305-3ca0eefa0a05	16	1.33339999999999992
d6802028-fd7d-4110-83bd-da1a7447464a	0	0
15c1ce5e-cc0b-4373-85b2-72c730224022	0	0
338ba525-6001-4541-8be3-64a5d86dc707	0	0
176a198f-8df3-4cd9-9b15-cc68dbb56e42	0	0
2110e7d4-2877-4b95-bfb1-21d6fd23e380	0	0
fca1cc55-6492-44f6-875d-de3a2a831118	0	0
adea48b4-9924-446e-aa06-449acf5667e6	0	0
b34b8827-daea-4a62-8af2-0ad5da845922	0	0
3a48313a-da8d-4c75-bb9b-fde33ba4fb67	0	0
63c937f0-324b-43a9-bc2d-3ca31611d6b5	0	0
cade9eb8-22d2-427b-a043-04a2031e7d9f	0	0
c003a73e-89d1-4182-b498-053872c209ba	70	5.83362499999999962
fb181581-fb3c-41ea-8794-846d56184edd	0.594125249072381956	0.0495130779793610393
fb95fe27-29a4-4497-9cd1-5eac504c6a9a	0	0
6abbd119-5db0-4a8f-8415-f2d7e0961b57	0	0
41511458-dfea-4d98-b5c0-4b91fe100d06	11.1837229437229446	0.932026617412217484
f5a1c8a2-0996-4c24-832e-e01cfb14fe0c	0	0
97d0ba8c-2f17-410b-827a-3f829c2b6ff2	0	0
0987dee5-e1de-469a-aa6e-73533aa7241e	17.1436818181818182	1.42871634565656569
a66376d8-9f87-428c-9cea-8448c24fff46	0	0
8df72ff8-63ff-4fe6-9187-c4afa34f13b3	16	1.33340444444444439
cfb3929f-c9df-4172-a5d3-d6f77b3d8ece	0	0
94e7deb7-e7cb-4d87-9e1d-41d11bb63888	0	0
f10b78ff-df3a-4361-a894-ffe04c584a10	0	0
08db715a-c075-4ad0-b96c-7e67524b611c	0	0
c2b80e0a-13a1-4107-a301-6035f7ad727c	0	0
c5b3d601-8a20-4b96-8f07-ea1bb3fdfdf4	0	0
ab0092e4-74cc-4ad2-a164-f370cc68a815	0	0
7077b51b-feaa-4685-bb92-37f4f22bc312	0	0
351305e1-cc1d-462d-87a0-cbec41996ce6	0	0
caeb0135-d450-45c9-96ee-1f2b35045de2	0	0
90f63bb9-2dd8-4466-aa5c-1173cde8c1fb	0	0
af84ea42-0501-499f-b6ff-08c634ffc8f0	70	5.83364444444444441
633ebc5d-3f91-40e9-b83e-af3a2bbc5a5c	0.594125249072381956	0.0495147283272751315
51551f6b-1147-4157-abb3-d1a872d34060	0	0
b780d460-5291-4001-8a02-11542edad582	0	0
890af936-d004-4cb1-8dea-a6a5e901433e	11.1837229437229446	0.932057683309283402
009e6324-c3bb-40ff-846f-71879c3099f2	0	0
04f0a1cc-db66-4f4f-abae-01a05a975cc0	0	0
dff1b593-335f-4599-aef7-0c0b2b7a49c5	17.1436818181818182	1.42876396699494945
03582516-b8fc-468d-8700-898775c0257a	0	0
4198fcc3-c7f6-4603-b3af-fa32809c0f17	16	1.33344888888888891
662cac24-e99d-47d5-b6bf-47c2ec44128b	0	0
d1f5b4a2-0756-421b-9875-f93b52d80840	0	0
252170e7-9f17-4ddd-a581-8ccb90d50ffa	0	0
929d80d5-4219-4c24-9bf5-78d90eb4aef2	0	0
9c153a19-8661-42d5-8973-6eed6e006285	0	0
e774859a-0789-4c3b-9be1-ae36bfabb045	0	0
c77e227d-74d8-4a3b-8603-cd543466dd51	0	0
818435a2-4ec7-44c4-9c86-d9adee818f32	0	0
43a11023-58bc-4d9b-bd4c-073ab2c324ee	0	0
ad105ecb-1e43-41c3-9033-4675d947a309	0	0
eab9cb32-688e-4def-afb3-361ba8b774c9	0	0
0a6c4759-56e3-4258-8b38-d1665283be70	70	5.8338388888888888
efda5fa7-6265-4047-b0f5-b41d42c9a9b3	0.594125249072381956	0.0495143982576923131
97f100fe-e6d7-46dd-bd56-0e41ac789df7	0	0
c946c243-2900-4307-87f1-9104093f3fb4	0	0
7ee7414e-9fb0-4af3-afb6-319cd128f66b	11.1837229437229446	0.932051470129870219
7296a996-e7e2-4c05-9845-c1c6f27d682e	0	0
7fcc2110-55d1-45e2-8078-93869d49c8eb	0	0
de3e1d79-5146-4cef-a50c-41e8fbc112e5	17.1436818181818182	1.4287544427272727
7bb9eaf3-2e7a-4255-b999-8e1ac4fb60eb	0	0
0013404d-d2ba-43ae-80f0-1becc82872b4	16	1.33343999999999996
bcf72fad-07f6-40cb-84a2-8817976d2b9e	0	0
2888dc7d-628a-41ef-81b3-65974aa5c3cd	0	0
a5e460be-335a-4074-8405-ca2731efe7f6	0	0
f9bccab9-cf58-4a77-b327-fcabc143ac3b	0	0
e7cfe800-ea8e-48b9-84d7-8bff939568bb	0	0
747a47ca-b2b3-45b2-9f2a-4e9a3c2021c4	0	0
8cb211b2-167f-4ca8-9b8e-0c1ebdb9ed22	0	0
cc3bba15-b8f7-4822-81de-002b8ba099b6	0	0
5e8afe02-55d1-4b02-b0c6-b03b76138381	0	0
768a85a6-6cef-4d9f-9541-4490ba6c9a64	0	0
3d75656c-809c-4852-8f84-f27acf23329b	0	0
0551943e-4d7b-48a5-b5c7-1afe7a7c7dd9	70	5.8338000000000001
d2b7e059-5446-4f9d-b6b9-3f8631cccd58	0.594125249072381956	0.0495097772835328617
f18dca30-dd0d-42bc-b476-9b0c96e155c4	0	0
b4ab7a28-fdcc-47e6-b9c8-e2444b965e38	0	0
cd5a9dc1-6f81-471d-baa6-6d17ada3a651	11.1837229437229446	0.931964485618085758
0017675f-dfef-4fd9-9883-e0155d85aed2	0	0
db62097d-3fe6-464b-a74a-b8c424e8c10c	0	0
7128562d-70bd-439e-9e52-3835f0f034a0	17.1436818181818182	1.42862110297979794
c946d6af-1da4-4289-afdd-0785b1d814fa	0	0
c5ba3e95-8869-4572-b92c-acb5c2e53c0d	16	1.33331555555555559
2e0e7c4f-2805-4f32-8e31-6c7fbc7347cc	0	0
7b389434-95e1-4ec2-aee2-aad05235c007	0	0
8d0247c5-6c20-4394-9b11-85060736e041	0	0
5e1fc32a-adb3-4763-a26c-ba35ccf597f4	0	0
1ed5b2dd-baa5-4a5a-9b87-372c7d6fdf2f	0	0
abbac7ce-9bff-4da2-a82b-ce329f27783f	0	0
44f1b759-de6f-4d5c-9704-799cad693c20	0	0
9409e297-6bc9-4457-94db-747ee3230a80	0	0
2a17d01f-8d59-4b58-9204-d2b5244a6080	0	0
e293141e-db12-4357-ad1e-97e46e972a9d	0	0
332fd091-1ea2-4159-a7d0-2d3896ba891f	0	0
55160b0a-59ba-4a0d-84a4-1911488b7ed3	70	5.83325555555555564
8dda86b9-05e2-4e38-90b5-620b0b43c630	0.594125249072381956	0.0495137381185266762
77879430-6d77-4c9a-a599-e6b1ca89704d	0	0
5dcf275a-a8e8-45c5-b1b8-ed322fb6d61b	0	0
a8605658-7d2d-4dc0-8802-9a76d6458d3f	11.1837229437229446	0.932039043771043851
b853a3e4-dbc2-4c4a-aa48-7d5bbb04ceb0	0	0
d73c7f86-747d-45ea-9a92-6af0df07c260	0	0
5b24a2b6-c0e8-4961-8160-99352cfa3e50	17.1436818181818182	1.42873539419191919
b1fd83ea-983d-4c9b-a4dc-0ec4118bb039	0	0
07746b15-654f-4270-bff0-fd3cf1dc608d	16	1.33342222222222229
29f4a239-1cf8-4f4d-acf1-574df0b385f1	0	0
a0235567-caaf-4fc8-b224-4e697368e3e9	0	0
b72b606a-3118-46b8-a922-9deb9adf8c0c	0	0
c6288f1c-04f4-45f3-97da-9413f4e4d77f	0	0
85791663-ab28-47b1-a332-57fe20f882a4	0	0
432defc5-5868-4d65-a8d5-f286c5e74e0c	0	0
3fa6dd8a-5ec4-4d58-b6c1-86f512d834ec	0	0
4c43f5d1-e3cc-47ee-999a-d3f21cb1a769	0	0
abe3ae5a-4d15-41d6-9742-b86345e729d0	0	0
796b4b17-4ec7-4244-8131-0646cd7d6034	0	0
f0023aa5-44a8-4812-8c62-0537a26f1753	0	0
b65a17c5-adde-4e60-bc07-a184337fa3d6	70	5.8337222222222227
81d61d65-bac7-4fb4-a026-072ae2e4d304	0.594125249072381956	0.049516543709980626
9ded15b6-08c9-4463-99d1-5275328b2218	0	0
236d5de8-6fc7-4d37-be1d-7ad978473009	0	0
3d7a9a1a-eadc-439a-b820-52cbfc322939	11.1837229437229446	0.932091855796055802
4d7bd2bb-536b-4ae8-8fa6-d0feefedf5c6	0	0
a6e7cc22-a36b-452f-b8b9-8f613ea237df	0	0
90f1ae34-1ab3-4c05-885a-03f7a7d8e8d2	17.1436818181818182	1.42881635046717159
4437c83f-b804-4bd9-8b04-79fb4cbb4360	0	0
45ac6976-e68c-4f08-bc5a-4e9a04b07dbb	16	1.33349777777777767
ac6f572b-a5b4-47e2-b884-93c3d0e93573	0	0
d13bf1b6-58d8-491f-870f-3318eee8c388	0	0
f8352b3e-399a-4cd6-9691-d206e3bdb9c3	0	0
145055ea-1dd1-4d9d-b33f-19b628708ef8	0	0
a3d6d48a-184b-4176-9b2b-1f7f86eadd25	0	0
efdc20d9-5b8b-4e18-896b-505342f8c06e	0	0
1d704e6d-caa4-401b-a05c-6fa02b9656b8	0	0
81284984-072f-459f-8476-2432e0806e45	0	0
b49b9ae7-470e-4316-b693-5af32304cfff	0	0
5d4dbeed-fbb8-4d7c-a884-be67833fba7e	0	0
72bfc5a1-8948-4595-a0bf-a273ac051914	0	0
3b90f121-d2f2-4d29-98f8-a52a1e92f369	70	5.83405277777777709
4a6bae08-fd5d-46e9-91af-9e7921eee7ab	0.594125249072381956	0.0495135730837352669
ae8b3ccf-b27b-418f-8bdc-ab2a01f77fd4	0	0
f5a9bbf9-ff61-402a-a77a-5241d6f008c8	0	0
0ad6546b-65e0-47bc-a044-a9463545a3fc	11.1837229437229446	0.93203593718133726
aca6ce87-bec0-4c34-9a48-68bcdb1a3d99	0	0
8f1894b5-c513-4afb-9a1b-794ebfbca1e9	0	0
1af51e63-9298-4e44-b4a9-e73930bc81b4	17.1436818181818182	1.42873063205808082
4c49c633-eb71-439e-9849-fa7d43877fdc	0	0
ee145397-5132-4cb0-95f2-de91a1ef9595	16	1.33341777777777781
563f59e3-5942-44cf-8490-de3520e7d199	0	0
d9d72dd7-e23a-486c-803b-9b26838f8c8e	0	0
d6c67b3f-95cd-4180-9419-1ac17178cf2a	0	0
20efa456-5329-40cf-b418-343cb996b2f8	0	0
b70d1d21-0cd8-47f9-9139-23c08e223aed	0	0
081a62b4-c558-4fa5-a2d5-0656e3157b73	0	0
b28a6649-790a-4da9-8822-797a6b6e21da	0	0
e1ac3af1-a620-4142-8767-9effc3fe6d1e	0	0
c42858a2-ece1-4149-a2c7-0970663b37f3	0	0
f74aa385-bc13-4251-8682-199c1a413763	0	0
40c15ee6-f9bf-4023-afa2-aa089391eef3	0	0
7e40deea-59c1-4caf-bd9b-4016ffa1f49b	70	5.8337027777777779
db6c5426-bcd4-49b8-bc3b-ec2dc85daa63	0.594125249072381956	0.0495143982576923131
1289a7d8-b0e7-452e-9741-5e8ab8f65d02	0	0
9c8d0f7c-4893-4ff8-bd9c-771e78a8c6b0	0	0
d152b328-c4fc-4cef-a730-952612c7d502	11.1837229437229446	0.932051470129870219
4b05de84-6e18-46cb-86b0-2830adecc2d2	0	0
9d5573a3-7ee1-44fe-a2d2-3bce56b10aec	0	0
9be8162b-21ca-4d4d-988a-dcf9095a108a	17.1436818181818182	1.4287544427272727
d967bd88-7e8e-44e9-90ae-ae56e3fc7712	0	0
0467b60d-777b-4d6a-8723-b3a0c27a230d	16	1.33343999999999996
a7a37a7e-36ed-47a7-966b-efaf9b0a541e	0	0
2fac3e40-2106-4077-8df9-5edc5682b7fe	0	0
f8e0dc71-ee3c-49be-8d00-bcaf4c0f8b3a	0	0
3e803428-2525-4f33-b77e-8f90b3e8a81d	0	0
9e400e85-13b3-4c5a-b7c6-589406f21bdc	0	0
18cc6705-a07d-45b4-9716-ba75036689aa	0	0
ccd9b8ec-26b0-4e69-9266-577470836458	0	0
934f7978-81aa-426e-bac1-b7f5235b9850	0	0
d546edfc-7062-4862-9816-489ba3a365b5	0	0
ce511db3-ed80-4cdc-96aa-0cd80f4a9cff	0	0
84a1bab3-5548-4bf6-96c3-45c7067b14d0	0	0
c7f81108-4887-4a72-8aea-d86d5f244af4	70	5.8338000000000001
ffde7f7a-5c7c-4e86-a55f-de169c53ae38	0.594125249072381956	0.0495127479097782208
b826bb2f-f9e2-47f7-8f4a-b9d2316482f0	0	0
3663522d-eb39-494a-9bd3-f70826985b67	0	0
5c8f0603-5cb9-4e82-af73-6763a70705a2	11.1837229437229446	0.932020404232804189
5ff6d7b4-4c36-46b6-a7d3-14c67bd9cdc8	0	0
f2d06eaa-fd36-4af0-95f1-2f1b72be2c0e	0	0
730d39a9-7062-465f-a70c-654d7c171850	17.1436818181818182	1.42870682138888871
f2ce83bb-9080-4d2d-9911-d9a478a8fd8d	0	0
83effea4-895f-4247-a013-f7988cb2b0f1	16	1.33339555555555545
6c300692-4598-488f-8549-46c975b6367f	0	0
5118846d-e088-4a3e-bcd6-96630b60f463	0	0
cac06200-529f-4df4-9e30-dc6861ce1396	0	0
295e8ebb-09ca-4214-9b0d-1d0db7135784	0	0
7356cd17-7ec1-4694-8ddb-1fa043c15044	0	0
af799eed-4928-4eed-8a95-d32ef91f78f0	0	0
084d1283-b51a-45cb-bc18-a9670b0ea82f	0	0
f2b2df66-2b53-4dff-a450-42d3103c0fa1	0	0
464ff613-9a61-4662-8868-b180abf7dd66	0	0
a7b1025d-404e-48f5-9d6b-1e6937b5af99	0	0
7b423b0e-731e-4027-b1ba-8fdc77367827	0	0
7f326325-1bc3-4ff6-ad1a-0f23c3c41e19	70	5.83360555555555482
080f422e-e237-47d1-9553-547913bf52fa	0.594125249072381956	0.0495153884664407615
ae8757fb-6eaa-48f7-b800-3ad5c946be7d	0	0
4ec57638-4cb6-43a7-a011-5ae0d07188ef	0	0
a596f444-5232-458a-88e5-22ee05cc2090	11.1837229437229446	0.932070109668109659
ad8e261e-8026-4b10-ac15-7d414a5953cd	0	0
8ac74fcf-aebc-4b32-b2cc-f6c9657945d9	0	0
dead7f4a-f55e-4ded-9f31-60a2ef3c6287	17.1436818181818182	1.42878301553030296
5ac85f8a-4d45-4a9c-ba3e-d7a8f9adbd5f	0	0
704631dc-3ce6-4bc6-a5d7-d32c4d7bb46e	16	1.33346666666666658
3d56a5c2-cfa5-40f3-b596-9347da234cbe	0	0
6dcaffc2-4100-409f-a06a-89ab62bee210	0	0
9e9a6628-6069-4be8-a1f9-b313c44dc4ed	0	0
7461da9c-6c5d-41b7-bf09-8068f555e2db	0	0
f8887a3f-ae70-41cd-8f61-e6af3ad7d323	0	0
94f89f20-8415-4d64-babc-5d5a2030e0d9	0	0
c8e54dec-772e-4dae-aaf9-2271f5679c67	0	0
40b20355-b4a2-492a-9858-96d5570f26dd	0	0
b13f24ce-6075-4a3a-b3ad-29b2ed019b98	0	0
3c6ddbd4-98b2-41c9-83b3-d4947498e2cc	0	0
e468b967-e802-40ec-a924-afb11bfc6341	0	0
f3b4a29a-336e-4422-a109-2563a9d90755	70	5.8339166666666662
7ea0335d-da17-4342-832e-727308644349	0.594125249072381956	0.04951291294456963
1389e353-f67a-4e4b-bf88-d98d6554e6f7	0	0
b384d046-5436-408d-8141-9e685a1d2d42	0	0
f1951523-9a39-4d43-8d07-2b716547388f	11.1837229437229446	0.932023510822510892
236d87d6-13e7-43c2-b8a3-7036480489e0	0	0
949a12a2-c103-4490-9532-c1c249fb8ed6	0	0
a0197664-37bb-4661-abfc-698a4a660950	17.1436818181818182	1.42871158352272709
2a1a901a-597b-4518-b26b-510ff95a5b30	0	0
2275af49-465b-49e7-b0d5-62e4e7c9ddaa	16	1.33339999999999992
ddc1997d-02de-45ef-8b3a-4ccc88762f75	0	0
dd565f2d-2adc-4efb-b6c8-82baf34d72f8	0	0
7e242eb1-a291-4895-845e-8cab27472a75	0	0
83b533bc-0612-4404-bfb1-f54f77e04152	0	0
1ebf9744-4bb4-4b16-b6eb-9e60b38dae60	0	0
c4a911f6-2492-4b5f-a037-2b2aa2368d43	0	0
0195b7b7-b3cf-4149-8f36-52f3ed9355a7	0	0
4e20af52-de23-4410-995a-077d7bdee8ca	0	0
173ecf45-2ef6-4721-971c-9fe69cedb809	0	0
71f07bd5-765d-44d6-8ebf-ef49cfc6601a	0	0
a88fa26e-d2e0-4426-b513-846eaee13997	0	0
d6e058e7-b170-40cc-93e9-4b32b33df55a	70	5.83362499999999962
36e486f4-c98e-43a0-9ddc-af615361731a	0.594125249072381956	0.04951505839685795
64640edf-313c-438e-85ff-c53549fc6b2e	0	0
b1805926-4aac-49fb-bd31-fc41292eab62	0	0
e4b487fc-0885-4a6a-b46e-1c7f12c7d5f9	11.1837229437229446	0.932063896488696586
72ba75a4-19a9-4239-ab77-23851ca78b7d	0	0
1ab5d41e-fef1-4fc3-adbc-63c79723b109	0	0
967d6078-bc5d-4a2a-8fd9-aff327dd596a	17.1436818181818182	1.42877349126262643
e3229a03-7e0a-4509-b46b-d4ea65303f71	0	0
0d5a41b9-c5d5-46df-a164-042a3d4633cf	16	1.33345777777777785
95c78cda-6a2e-44bf-b951-ade998e6f7d4	0	0
2a5a3868-8600-40f0-8c85-4b935d885840	0	0
4b592c5c-d834-46ec-a4a6-d178cc19a68d	0	0
70bd317b-3c3e-4d49-862e-d6b775380e09	0	0
70d00c31-3c2f-4d07-8331-31156d5b9bfe	0	0
4a20da12-cdaf-4c21-ae6b-0ec4c1bdb710	0	0
b3dd1734-d815-4be3-83cf-b8f7b11da1b2	0	0
8c8015e2-a616-4b22-b54c-b014513762d5	0	0
fcd40e48-3b13-4c30-b743-7a98f39f2d5d	0	0
d50f1c4a-24e0-497f-ad59-742094df5531	0	0
7abf2b3b-165c-432c-94ac-046953ae3ab6	0	0
ab41e602-74fb-4a86-890c-11aee20efb21	70	5.83387777777777838
c6ae2530-7915-4fdf-b684-700bde04c0ea	0.594125249072381956	0.0495086220399929972
f2a3b716-a29c-44da-b3d1-7238399fe900	0	0
1e56f5af-7dd4-42c1-a301-a04f981227da	0	0
48de61db-08fc-4eb4-8aa6-c1ca1cfb9589	11.1837229437229446	0.931942739490139616
f07089d8-f9cc-46f2-8f8b-1f0dd1829f79	0	0
4f4caa0c-6b8e-4dea-b48c-b7dc78f9b867	0	0
4868202f-7b44-4087-b075-9eda14474f80	17.1436818181818182	1.42858776804292931
2795061e-6e8c-4215-b2cd-abdde019333e	0	0
3247cb51-daf2-443f-b004-44318c2f3c42	16	1.33328444444444449
3f1f26e5-8a6b-4122-bf51-1bd374a28afa	0	0
f4b1cbe6-b56d-43b3-80b0-08ee8c475de8	0	0
568bae43-2661-4b76-b3a3-24bf364a1adf	0	0
78af5444-ea41-4917-8365-7dab2aa5e9ab	0	0
eddf03fc-adf5-4638-90ef-153c6a6ce125	0	0
6ce45f9e-4bf7-4efe-a79f-a9b5a18a51a5	0	0
9609f90f-c4fc-441e-86a0-43f5bca292a6	0	0
eeee740d-ce84-47c7-bd30-64656c7de040	0	0
533748d1-383d-4e3a-9e4e-b8cdc6f43994	0	0
75bae28f-99b0-4397-9265-e0f6ef1efd23	0	0
d2c16b19-dbe2-41cb-8659-fc1ebc77fbcb	0	0
d5ede999-efe2-4424-ad38-93fab86e3adc	70	5.83311944444444475
4002357f-e28e-4f0d-8a1e-e580e5237be2	0.594125249072381956	0.0495190192318517713
7f610303-4b08-4f35-a179-3d0c5708f8a1	0	0
4d8fae3f-6331-422c-8483-fbcb994894b9	0	0
704fef44-096a-46a7-acc7-2f52a398ab5f	11.1837229437229446	0.93213845464165479
610b51aa-ac6e-4ce7-99b5-16f72966588d	0	0
5abfc802-d33d-485f-8216-1240eb434995	0	0
c985d66f-a396-4210-a65b-f669e96d241f	17.1436818181818182	1.42888778247474768
856c2cbe-11b2-4ef4-a31c-b33729ba7e0c	0	0
6651bd16-358c-433f-9834-44ca09c70b98	16	1.33356444444444455
7e81571f-5bc8-42d1-8803-bbbd70a46d9c	0	0
85e68805-83e2-41ce-b3cf-c681f7b32d1a	0	0
b719483d-a5df-40fb-be39-d1c90ca0e852	0	0
1b3e9526-7ebc-42e2-8253-10d5d784ebd0	0	0
4e0c6ca1-bc32-4ba2-baad-57c9d1f6b23e	0	0
5aafd981-770a-4495-91b6-4516f165d442	0	0
094be7de-5f05-4d64-b3e6-52c694512536	0	0
fb778760-fe3f-46e8-b619-eb672a9b4058	0	0
1e86e14b-311b-4cf2-b449-c6d099b6a02a	0	0
a67d29e1-12c9-4afe-b902-75ec392bc5b0	0	0
6606a8af-1add-4ada-b583-2d5486dd288a	0	0
92c0a897-607e-4f49-9788-621c009c04d8	70	5.83434444444444456
035778bf-16be-4590-b39d-8af2ebdba20c	0.594125249072381956	0.0495139031533180854
47a1306e-23d5-4aef-aa55-3eb3ca667e89	0	0
ad6ea8f5-d9f5-497f-9e94-0cb00508ccca	0	0
62bcf2b2-1544-4f2b-9939-fd8cd638f54d	11.1837229437229446	0.932042150360750554
cea5edc6-20c8-4f26-a642-0611c6053eaf	0	0
c33b627f-ce39-4071-bb36-f1c5af300890	0	0
60b77fad-2433-4dc2-bf8e-14e507ffc5c2	17.1436818181818182	1.42874015632575757
725638e5-b7d7-4dfb-aadc-5ac992d2f88c	0	0
a7417be3-287d-420c-a4c2-415a9583c8fe	16	1.33342666666666676
2c969146-dd34-41c1-b10e-9d8fe37ce61d	0	0
bf940b59-4bed-4cfb-b41b-a782ff3eb08e	0	0
b7f6f707-1ff9-47a4-9d39-10b7371c3160	0	0
5fd85425-fd80-41ce-a2c7-58a52aa3b8b6	0	0
f150afd9-4639-4f6e-be0c-ec8577232350	0	0
7b7e0800-4628-443f-bc9f-1a0d49091690	0	0
799f37e6-086b-43ca-8b7e-9ad7bc24b925	0	0
0a921517-4d2c-4d73-8eaa-2f51d9cd3a2a	0	0
191a3c88-d0a2-45ec-a092-ddf0e1e797fb	0	0
ac1af42c-e15c-42c3-ac46-81a4a703b716	0	0
6c76b1cc-0f1e-48de-8b11-5284b54a3e7d	0	0
0c31fe26-594f-4a04-9de0-448f723b30a9	70	5.83374166666666749
1c02a8fc-2b20-4a93-9168-d01e5b6297fd	0.594125249072381956	0.0495142332229009038
f08cc95f-db73-4baf-80b6-a64a764eaba8	0	0
fb4b1818-7380-4fc1-9f27-25929272eeda	0	0
3b913d7f-c573-49cb-9857-b1e4131be49b	11.1837229437229446	0.932048363540163516
7c0d95b3-b537-4271-842d-5dc1c76d9bc0	0	0
4e78b98a-6bb8-47f3-a9c1-d08be5aef6cf	0	0
ef43aa46-8c8a-4704-9315-277974460ef7	17.1436818181818182	1.42874968059343432
6bcb4de0-64d9-420a-ad85-38d4ccb205e1	0	0
1d1e8ffd-6ea3-4cda-a275-e2ae2f6822ef	16	1.33343555555555549
c3c66055-a615-4b0b-83bc-c84c9cd22a39	0	0
04f5ba2c-1efa-494d-b638-135f82984c50	0	0
4bbe5d9f-fa0b-460f-aeda-d6c24c59a5c0	0	0
dc7d5f19-3162-4c2b-b8e6-54e687b58838	0	0
09bde6af-1ca7-4216-ac7c-c69f4c9a697f	0	0
cd0ddfac-8bc2-4824-83c6-67558f12b709	0	0
d5f5a361-f9b0-42d0-b035-88e65cc29f55	0	0
7574b08f-c809-4dca-a0a7-a1d43a753ad2	0	0
0458c024-63cb-4d7b-a1b6-bca605ca4f9c	0	0
87922246-3c72-466d-8e4a-230a9fb905db	0	0
80810750-e873-4bb3-8e72-f7879f71a208	0	0
b1f6ac98-6fe1-4ca1-9381-acea0fd8ff1f	70	5.8337805555555553
3f3c6be6-efab-4654-94d4-d3204136fd43	0.594125249072381956	0.0495634135907407833
7dbf524c-3af0-4b15-bf7a-455fe9f523c2	0	0
9e2ea03b-fc3f-47ab-be7b-2eb29ed0896f	0	0
3fd1609e-1391-4f67-b578-cea3ae2fb7bb	11.1837229437229446	0.932974127272727327
d7b768f8-4700-4c1a-be76-312a191085a3	0	0
00ec7014-4ab3-447b-bb51-a47de13837ae	0	0
c217de64-b45c-4387-b246-8be7c1901606	17.1436818181818182	1.43016879647727269
4447eb75-e631-4d8c-bbe9-3f005c7ff8f9	0	0
e8482973-a373-4711-8b00-33b7d1a52a0f	16	1.33475999999999995
133b677d-ac92-451f-a5db-f1eff238c229	0	0
9ce3aaa0-5f21-41c2-8625-b3262ae8b8a2	0	0
ff1d019b-8f10-4eca-b6cf-4babecdb2eca	0	0
3d80b550-1f57-4fcb-a9e5-e3525e1b78ea	0	0
55eb069e-2bbc-49d1-94a5-6855f08ed1ae	0	0
6803da54-acbe-4822-add9-5bf0e74e5e61	0	0
7de83101-d318-4cd0-a436-ee6c9dd9cef7	0	0
506fdca5-7d09-428d-8a37-93c483fd45a4	0	0
4fe4cfb9-2cd7-4dbc-a19e-2e6f5cdc15b4	0	0
3f4d1eef-756a-4b05-ae4b-78b7cb1a0211	0	0
a7db229c-721f-4327-a925-0ae81882a938	0	0
60733a17-d23c-45e5-9a80-7761b53cc632	70	5.83957499999999996
09b7bafe-3844-425d-b479-9ac7b92e777e	0.594125249072381956	0.0494642276811039783
90f263d0-8ba3-458b-849a-e65c86cdafaa	0	0
6928fca4-f97a-4e5f-98ef-59e717a63a3b	0	0
7470349b-a742-454d-94b8-b4c5b10df338	11.1837229437229446	0.931107066859066967
61d9a920-9241-4908-9c39-550c5c59892c	0	0
cc97b8d7-e05b-4866-acdc-97609e2d0435	0	0
14b0fd2e-e234-4536-b2ef-ac55bb0ae91a	17.1436818181818182	1.42730675404040408
47b72c87-d325-406c-98d3-4deeaabec1d8	0	0
7b333462-2631-4a07-9607-4502a0998a13	16	1.33208888888888888
623a1734-d9da-4590-b00d-519d22831e30	0	0
56df42a2-ba76-4547-aab4-e0eb30e0e80e	0	0
7e24f821-4630-412e-a75d-4f487bfbfa26	0	0
a37829d0-6e8e-47a6-9763-93923d07b747	0	0
a652e3fb-a9e5-4e2e-9c20-633dbbf2f2fd	0	0
ceafb0e4-4a15-4223-9db1-9e4d9b816bef	0	0
7012be3f-20f8-4952-b693-39c2b206be51	0	0
f4247c87-aae4-4749-953b-f3e13948f61c	0	0
fcec5447-387b-40d1-a56f-5763358e8ccf	0	0
a93d48d3-ef6e-4323-a12c-62c776c8e097	0	0
5afc0721-d567-43fd-85a7-d18b7b67ee64	0	0
0b284b7c-6116-40ea-a010-08ebf745611a	70	5.82788888888888845
c4e32044-4d74-4fab-9195-58d92a9ad078	0.594125249072381956	0.0495145632924837223
6d359bd4-d289-477e-b45d-265519255c1b	0	0
196cbd12-ecec-4334-adc5-05e14594a24b	0	0
d55f4588-518b-48ff-9c68-68f209e271b0	11.1837229437229446	0.932054576719576811
185d2829-1513-48bf-ac71-6d75873de1bc	0	0
ffb9b05d-b982-407b-b554-17c0e45c908e	0	0
9414b28e-930f-4a44-94a6-f59feaff6a2e	17.1436818181818182	1.42875920486111108
b5fe4088-944d-4d5b-87e5-ab72ce17bec8	0	0
7349d87e-8b71-4522-b265-b9794c098f5b	16	1.33344444444444443
379a90fb-2cc1-41c4-9e85-3e89ffece51b	0	0
29f37ad3-c0b2-4939-975a-952a907a498f	0	0
624a0910-190a-4735-a03c-7328044d313c	0	0
1cdfb3a9-25de-4d37-b4e4-a3b91208fbc0	0	0
4fa1d5c3-763f-42a0-8be2-08894d6ea675	0	0
a0d9b078-7568-4e38-bcba-6fb5576c9580	0	0
8100e5e0-a98d-4fb8-b10c-8b83c6b78194	0	0
1941dd10-83f2-4a22-96fd-e40ca76bd02a	0	0
d7be0d6e-f748-4e76-8434-f9c4b50dbafe	0	0
3a03adf7-68f4-43f4-96c6-0a5c478f9875	0	0
9645e5f3-980f-44ff-8c63-be814fac8740	0	0
c235242c-1edf-4174-9742-65bcceefb9c5	70	5.833819444444444
f744a95b-c0b3-4f34-818c-afd5f15dc195	0.594125249072381956	0.0495053213441648127
7ade163d-fff1-40aa-abf6-f9df62ff592c	0	0
6f093db6-02a3-4a6b-a0cc-a31572e2ca45	0	0
f389c888-c67c-4140-aed1-db61fca91e4b	11.1837229437229446	0.931880607696007668
07efa8e7-4359-4324-a42e-177ecaa3ab76	0	0
ca9ab038-c730-43bc-8378-c7eb6712644a	0	0
0ae27c28-1810-4394-bfc3-283957dac0d8	17.1436818181818182	1.42849252536616156
823fce8a-e838-42f8-a24e-53b5f3ffc4d8	0	0
78daae1b-e113-43e0-ab6e-0c7005c03165	16	1.33319555555555547
21ef73c5-e207-4222-abd0-4a321e69c90c	0	0
f66ee56a-deef-444f-99f3-434e1e3f450d	0	0
f9552019-8381-478b-a24c-16a076e43325	0	0
7d8bf3a5-cbbd-4296-bc51-4f693a20baaf	0	0
481ccaac-fd85-4613-a5f8-7899ac6a611b	0	0
cc2b045a-ffb0-4c30-a745-ed453757d580	0	0
4c5f4260-1f11-4842-ae7f-1bb9561b4408	0	0
10277a21-11af-4209-aa45-9a9986417614	0	0
53ef8398-7bdd-4aed-bb1a-1d3565ee4928	0	0
28cd8c1f-3779-4e56-8671-e10c10d20b0f	0	0
5299f61c-30c5-4186-8bae-86fe757a7234	0	0
9b205315-09dd-4d54-9d28-d237b01b2cb3	70	5.83273055555555509
8432d4ad-a3af-413a-8720-de32d7a79bd2	0.594125249072381956	0.0495167087447720353
0bbdcb82-f605-443f-ac80-0b7c0ed3aebd	0	0
7e07e2f7-f679-434d-abbf-1107434a0b36	0	0
598846ff-2237-47a4-aab6-afdfffade32a	11.1837229437229446	0.932094962385762393
39f0f9df-20b0-4f28-96b3-8450e5dd560c	0	0
1c49cd3e-7ddd-470b-9126-38e36f5d9e91	0	0
f358171b-1a02-4519-8dcd-a90bdb872e50	17.1436818181818182	1.42882111260100997
8abfe930-2772-40a4-88ef-b4c1b164111c	0	0
8f6705c4-5202-4689-a80f-0953f29b924c	16	1.33350222222222214
0f558d1c-93e1-4deb-9758-a5a285cf02ee	0	0
f5290640-8803-469a-8379-3a8f571b24dd	0	0
176c1aab-ae34-456a-a96d-2232957a05cc	0	0
6d449b03-0989-4c16-b01e-80ee522cd721	0	0
b2a1c9d4-bb4d-4702-8889-a65a801da7b3	0	0
9dd80379-ee2a-4cba-a4df-dcbd019056e0	0	0
0abbfee1-a600-409d-a5d6-8ef8d2b8ece3	0	0
ab5cab63-c53c-4cf8-8154-eec68fa09304	0	0
9c1bf021-9e19-4ed9-9141-ff4497b05971	0	0
e79fa839-4dbf-4891-8144-971666b71bd8	0	0
d1e1e884-d242-4dd0-a45e-b946a59eccc0	0	0
54c81d1b-c881-426c-b12a-71d4937e09ea	70	5.83407222222222188
d614ef91-3693-4830-a275-65dfea8df49a	0.594125249072381956	0.0495176989535204976
72e6141d-3ee7-4d47-8f65-1b9de3e9ae10	0	0
a5a90f2f-1b95-42f6-9e0f-234b92c6bdeb	0	0
213d90fc-3e60-4430-9d21-622b0733eeda	11.1837229437229446	0.932113601924002055
d8d54085-725c-47ee-b5bb-49e784acc0e3	0	0
8b3bed6a-ddee-4dff-84f3-41943a398a47	0	0
bd9bc37c-9cea-449b-b99c-e63b15a4df54	17.1436818181818182	1.42884968540404045
910ec05d-d452-4039-88fc-c69d3298ab09	0	0
0dc6e84a-52e8-4be2-8170-398876dbfb26	16	1.33352888888888899
17fd9edb-7d49-4c45-ad23-c5cc629b644a	0	0
ebbf0c44-5a34-4d96-89af-740daddb4dc3	0	0
3641d888-45c2-42c2-9219-baacf0609a2e	0	0
4464579b-16dd-4f07-9d03-dcffae520cd6	0	0
98f4fd80-c99c-45e6-a985-3a792f648bbf	0	0
ad680b6c-08f3-47fc-b141-3f381809ba3e	0	0
d8160535-c24d-4ebf-8274-37006cfcc33c	0	0
b3d3d683-597d-49fa-b0db-7b3ccbb16494	0	0
13a48431-c9a2-4252-a2c6-4ee0afd64451	0	0
bebb1753-5b16-4c5a-ba2d-4b2edf2b2d45	0	0
f864bf13-fbb7-4dd0-9c26-0a858013c024	0	0
92afa454-f70c-4757-bf34-e99bfbb69dd2	70	5.83418888888888887
4e69cae3-128f-41e8-ab91-ede70db4abf0	0.594125249072381956	0.0495130779793610393
d35eb990-1440-461e-9ee1-d5e7db82582b	0	0
618fdc45-55d0-4d99-aff0-e0e7b113d2be	0	0
50584154-ac71-4116-81f8-752a314f3861	11.1837229437229446	0.932026617412217484
c6c31def-8a11-40ce-b906-823c0249dda8	0	0
339bf85f-ee14-4828-9fb2-93acdf149489	0	0
806575f7-6350-4178-a62b-fd4c25b4ecb8	17.1436818181818182	1.42871634565656569
5ba60843-4db1-4d00-8758-2d5642ab279c	0	0
c9e978b2-6267-435b-90c3-f21fee127e21	16	1.33340444444444439
90604bc7-e220-492c-9bb4-423d898d085e	0	0
4857480f-fb0d-4f02-9253-2eaa20c15188	0	0
09d3cda1-30c3-4501-800e-99fa8ff3c089	0	0
c1439cb0-e996-422e-b54c-377f3a5de5c5	0	0
16052edb-ebd7-4e5f-8b02-3ef5c163d3a7	0	0
3384a3b3-6329-4a58-8bc9-5f2f1b5a0c0c	0	0
ff8d1021-a051-40e1-b067-d9540b2dd29e	0	0
7ae7a1f9-19d6-4753-b7ad-82ce60b12227	0	0
9c9fde62-bdc2-4fca-989b-7f76340f725d	0	0
80f27fcb-cade-444b-968e-f33a9c43944c	0	0
7fa628e6-100e-4a35-8f9b-70d42989a335	0	0
21f808b3-c271-479f-9814-234981acc3ee	70	5.83364444444444441
0c6beba3-1bfa-4440-91ac-5f1467a18a24	0.594125249072381956	0.0495139031533180854
81160b51-3c46-4a53-8e89-35e440b32006	0	0
1ab9035b-3169-47f1-b114-4cd6a1784df4	0	0
9caf2115-84ac-4ba0-bd3d-68c5b7275f17	11.1837229437229446	0.932042150360750554
daadec4e-bd3a-40d3-97f9-e2120581e9ba	0	0
25575cee-4e96-4d0f-8cb5-9e0d54f05cd8	0	0
50b5247f-6fc2-4e2b-8573-765e607f5701	17.1436818181818182	1.42874015632575757
e45776c8-cc11-4cff-be4e-7d780c3547d6	0	0
54d3acb0-0db7-4471-8515-638f6b33594a	16	1.33342666666666676
6d7cb159-f589-4e7e-af53-ac5a05ec8391	0	0
0f93d04f-7ab6-4d86-9150-97efbfae3fe8	0	0
c7ea4262-5e27-46b1-a792-85ffe833080f	0	0
5b84d561-1d1b-486b-837f-565eedd222f7	0	0
e99abad3-d156-4621-b851-d61ce81bd6e4	0	0
ce180d95-ecef-4572-b9a1-2cdacfc9018f	0	0
affa75e8-4ec6-4e7e-95cc-155fe886cae2	0	0
1cc129ed-db29-4a7c-b448-2b718af16903	0	0
62dbc80d-c1f1-4fae-a46f-166e4b2f35d4	0	0
56916637-617e-4aac-bb51-7e4479c622fb	0	0
ebb0a326-63c6-4457-b29b-ae82fd8b70af	0	0
0a78f2bc-e9b4-4a5d-b6e5-6537f72f5613	70	5.83374166666666749
595f58ab-fe21-434f-8217-ac09674d69f6	0.594125249072381956	0.0495142332229009038
fe984103-889a-464e-aa13-c39990f15a2f	0	0
aa4d5b43-a98e-40f6-bfcc-9230c3653979	0	0
67321b34-1cee-45f3-b55f-ab834ed62c25	11.1837229437229446	0.932048363540163516
918c6104-c989-4114-9fa6-69eec75f0e71	0	0
55de0412-9bd5-4da5-9211-24d79114d6d1	0	0
b335a0a8-5359-4c26-973b-79140c293407	17.1436818181818182	1.42874968059343432
566297c3-22c8-4a94-86e2-3f7848467868	0	0
9f21f9b3-9af9-4686-8259-62028bc128af	16	1.33343555555555549
e829087a-5082-47e3-9aa2-e5b68b380f77	0	0
20549e50-df86-47e2-8438-a9dce126dc95	0	0
d7ed9d9b-4896-4b8f-986f-d410d2e7667c	0	0
951de462-41e4-4122-a677-14b83a9bc03e	0	0
a1021c93-497c-4dcd-8cc3-cb2f928840a7	0	0
cfb45c86-4cee-44d4-bcd6-2d430fc4eda7	0	0
696554df-b9cf-4c58-ab09-aa64e1bf508b	0	0
b20d79e5-1083-4d0e-8e89-c5599f1beafd	0	0
d4749461-a7b2-4178-9666-6e2675b95585	0	0
e9dfd8f8-6d78-456d-9260-de8b6869d0dd	0	0
d3c7f4bc-e34c-4f3b-9d24-2ff188089ddf	0	0
02582e6e-7f44-4231-bc49-40c8f136b468	70	5.8337805555555553
9dd656ea-7d94-484c-bb99-25c94f2f7b0e	0.594125249072381956	0.0495140681881094877
75ea08ed-7a0e-415f-aa1d-063d659ffe17	0	0
430df7bf-34d3-4b1d-abd6-062943d16eba	0	0
797e9efb-9f31-4861-b0e7-b0b62c80fe76	11.1837229437229446	0.932045256950456924
d17fd0d7-7242-429d-bdf1-c6d0bc980d13	0	0
5282bb84-c7e8-4ebe-8589-720af1bbe914	0	0
f28c93e0-e7fd-4aa1-9daf-534748fe6c82	17.1436818181818182	1.42874491845959595
7f6b2534-3c62-4c6c-aaf0-878cdd8d138c	0	0
868e7be3-1ba2-4b35-ad52-0c8ed0c9553a	16	1.33343111111111101
95cc9f3f-090b-4051-b574-3aa3ea20f667	0	0
02207914-2d4d-4cc8-b2ca-466490b70b5a	0	0
53ecda94-6979-4b4a-95cb-8ac73d2a8196	0	0
fc43bc57-9a26-4a5e-907d-5bccda29f400	0	0
5e463030-6237-44d1-aa5f-e999994e0811	0	0
73cc3e7c-28be-45d8-8087-eaa317dfe392	0	0
5a4dae78-b136-4d8b-9f84-70dd4a92e1ec	0	0
52015413-2bab-4e3f-a2bf-abf2020f060d	0	0
d258af76-0c92-41fb-a156-05be3d1f62d3	0	0
053d087f-e453-4861-b4d0-1a5e56866a1d	0	0
29b4d162-d9c1-40a3-a5b9-132f301b69dd	0	0
6c4dcfda-192b-445b-8868-5c106b972c6a	70	5.83376111111111051
cce4d011-51c2-48df-931b-bf6eec9eb04d	0.594125249072381956	0.0495101073531156802
751af017-e353-4390-a6b4-e2e7642f83f9	0	0
cc6b0b22-1e6c-44e1-8845-70c2d37dc43e	0	0
a76d0753-afec-470f-b4e0-178b412dbda9	11.1837229437229446	0.931970698797498942
70971f0e-cdc0-4665-9e43-ca95766107a4	0	0
091ee005-15c2-4a3d-85e9-2f579fa7a6eb	0	0
16fb8155-ef84-4aaa-aef4-48d12071f220	17.1436818181818182	1.42863062724747492
3a5559e0-8279-454d-9f5c-0e7996b15673	0	0
a57c40d4-84b2-4104-b354-881464f5a978	16	1.33332444444444453
ce9d75f5-2554-4721-b6e8-5e0a8f0b2012	0	0
0e971412-fa1d-4250-88cf-0a2c7fce02f1	0	0
d8a40370-df23-4bf5-8b74-c5270867ff0b	0	0
2b73a579-e405-407a-96e7-61a19fdf9009	0	0
912731a4-fe12-4223-afa5-c8070a998473	0	0
99dfd3b2-15bd-4252-9497-db9c324e7329	0	0
aad76ee1-1cd2-4f8d-ba02-85ad563b88fa	0	0
5ff663c7-271f-4ce8-a64b-edab6d56bfef	0	0
ff0f3945-7f89-4a1e-a74e-642cbc2a6b86	0	0
d5f1977d-bf17-4de4-b7b6-9da26271d29f	0	0
ebe9d011-b59c-41dd-bc93-3cd5a89dd309	0	0
09667e56-dbf8-4e8d-9890-5b1013dc3965	70	5.83329444444444523
60e74299-1ee3-43cc-9de0-1888434cef91	0.594125249072381956	0.0495119227358211747
f46dbffc-67a0-4d23-9c54-a747068b4ca1	0	0
a791ff8f-8c1f-467d-9df7-bb3e1e6845d0	0	0
0600ae57-06a0-4211-83a5-417a6b18d3b9	11.1837229437229446	0.932004871284271341
b2b202e8-a4f8-4c42-add4-74994c54355b	0	0
faf88bd1-a82f-4704-a3c7-79de024d5692	0	0
a6b813c8-465a-4c37-95a4-c697b15b0912	17.1436818181818182	1.42868301071969683
55d378ee-a38a-4560-9ed6-7993e4ec2f65	0	0
c808e63c-9985-4183-96d8-fba8484b34a7	16	1.3333733333333333
4c5694d8-da53-413a-abdc-e61cdb51a4bb	0	0
7106cc3f-7ae0-4459-b37b-354432d92d6f	0	0
5a1d82c4-4350-4046-8565-395bc6315c1d	0	0
1cf21d29-455b-4a25-9f70-18460e58ecc9	0	0
8b4710c8-20d4-48bb-b384-78b3917131f7	0	0
42e2fd9c-32cd-4b83-9bbd-5af2383ce014	0	0
297e1d45-2b8a-4a03-a862-60a2fe9c35e3	0	0
7edd0904-6d6e-4a84-ba46-b86c5cf61776	0	0
4759556c-f03c-4932-b20c-a672ea4f8b2d	0	0
4c5ef014-7e8b-4e5c-b0b2-feba333879b4	0	0
062210cf-f09e-488c-a084-b9238e90db27	0	0
e7f44931-f039-4769-b457-e5f5c3115c10	70	5.83350833333333352
3a117c0a-6700-444a-875e-a6d928925327	0.594125249072381956	0.0495135730837352669
e1d08d6e-7b1e-44c2-bd6a-3c205dfa1e4c	0	0
812ecb57-a077-4c29-89c7-0606762d2928	0	0
744101a0-a91e-4055-9d13-f89250a25461	11.1837229437229446	0.93203593718133726
74e54989-033f-4167-94be-e7d076873881	0	0
a55f2cf0-a02a-4d57-a7e8-1f48b06d8112	0	0
3955aa59-236c-42d9-a9ed-1cc20c3a6aa9	17.1436818181818182	1.42873063205808082
6dd80fb6-5a90-4d5f-9f28-7c8e63f6b767	0	0
80b94211-57fe-4bb8-bc5f-1b2489d01d44	16	1.33341777777777781
68ad386a-3f53-4107-badd-2acf02d4bee9	0	0
a6463ebe-02a4-41aa-8850-02e757c48cd3	0	0
ec7a2669-996f-4a7a-9d46-d7648824d08b	0	0
47e5cd3d-47d7-409a-bc27-4ab81763734f	0	0
f9fbff73-bc6d-4d9d-bf63-b9028be14434	0	0
f6f2196a-4924-4685-9128-8847bcb4f8cb	0	0
4963dd9e-7fac-44e3-96fe-6784a557fc6e	0	0
061694b1-112d-4b1d-8bb2-dcb066750a60	0	0
4fac1d6f-3a28-4ce9-8976-11b62ad73f5f	0	0
7711abdc-245f-49c8-a14a-3fb08580a299	0	0
42c9ddf1-1a22-481f-988c-d3874a5259c7	0	0
534aecb8-0a1b-48df-97af-607a05f85dd3	70	5.8337027777777779
c858a6f1-6fbc-4b2a-ae4a-b97a0aaa4cbc	0.594125249072381956	0.0495148933620665407
6768f901-031b-4dde-be9d-117a731978fa	0	0
04282a12-468f-4c06-9b51-00725f8cb42f	0	0
8366eb68-47e8-48df-8393-a130db69f017	11.1837229437229446	0.932060789898989994
f440b410-ad4b-4f1a-b809-1a66b9584205	0	0
e146fcad-12c3-4ad1-bfb4-8f78735ee79b	0	0
6810defc-6577-420e-913c-261cb5b73a28	17.1436818181818182	1.42876872912878783
8e3e6195-dd2f-4436-a610-08ecdf5f8bb7	0	0
2ae8f55a-fd82-4417-95c8-64b806a27686	16	1.33345333333333338
7fe81415-d047-4de2-a191-1ea45f9ecd9f	0	0
901ab870-53a2-4a63-9da0-8307b7d234a5	0	0
d8d3bc6b-1ddd-4e0a-a3e5-a72c22b4116c	0	0
f7b9399a-2a34-4954-93ad-4b51fe2d63ca	0	0
a7c50a5f-7330-4d79-8f6b-25ca7c6df4fd	0	0
3d58b2c9-6aff-4c18-8ff4-b1aa6f4f1203	0	0
62aa0115-fdf6-4496-8bde-f359656f1018	0	0
86d4ae7f-fe51-40ee-8a01-444ca18bc0ec	0	0
2c7621e4-1b35-43b0-9277-5442b96ca8f8	0	0
19393445-760a-42fc-afe1-54c67d33ee70	0	0
2c7e1234-9c25-49da-8ef6-78cc5cbb9351	0	0
afab8161-b072-466f-b18a-f7dcdeaac6ec	70	5.83385833333333359
39c414de-91c5-464b-909f-dc017ece9bdc	0.594125249072381956	0.0495140681881094877
f8a047e6-f707-4610-839a-af8b5e7fad90	0	0
c6995757-a050-4589-8885-1068b9475ea9	0	0
fde6bbc6-8697-4c5a-8138-fcd622569dcc	11.1837229437229446	0.932045256950456924
83c2fd2d-b31f-4aa5-8222-1f1907b1fc82	0	0
901dcce2-a376-40cc-90ac-fd29fadfddee	0	0
373133b7-310c-480a-b415-95b4e925344d	17.1436818181818182	1.42874491845959595
b0f54a43-3fda-4b6b-a3df-8f1865458b39	0	0
77e117ab-d72e-4ab5-9597-52ef2606a071	16	1.33343111111111101
e6f45d3c-c78a-4de7-ae3b-bf013af7b6a7	0	0
e4ad5c12-f4c6-4e1a-bcd7-3d543ab931f9	0	0
5cae1553-87c1-4862-80e8-8fc4df04fc8f	0	0
f5004545-dc3e-465a-9071-933bc23e6bcc	0	0
e1d87fd6-0e1d-40b0-af81-0e56a4e60361	0	0
bb632c4d-f001-4170-9ed5-0ad002751c6f	0	0
636876c9-8010-4745-b9e6-be9c417bbf41	0	0
4d1a4da5-a629-4e72-9f5c-b0f233169db7	0	0
d2021c8f-436f-49c8-af63-b96d920eff88	0	0
2a17a1ec-bbf8-4eaf-bd93-eb94aa539e74	0	0
c5d928bf-e322-4867-bbca-6f4fbfeb280c	0	0
49dc085b-7060-4669-a096-6c9457a00e95	70	5.83376111111111051
ea25826a-2b58-4fd4-9fb6-f272328bf018	0.594125249072381956	0.0495188541970603552
778ca3f9-9e50-41e2-9424-0b2ac028b86f	0	0
04e7e3ba-921c-46ce-9bd6-66c51da6eb5d	0	0
08eb7a99-4778-4268-8f69-46b818583233	11.1837229437229446	0.932135348051948198
76a090eb-94a1-4af1-b599-22701bd2be6c	0	0
dd4789f1-f54d-4373-9baf-dd86fed180dd	0	0
b074d066-20f3-4d9b-80ef-1b9dc1ad2ec6	17.1436818181818182	1.42888302034090908
7ea94c2c-c641-4865-baa8-23498fded115	0	0
71a003f6-6516-4346-967e-0e9e0a503391	16	1.33356000000000008
583a38b2-6d85-4754-977a-fb58fb42ab8c	0	0
6387093b-daa5-4e7a-b4d8-9a382c08d5a2	0	0
ff8bfdfe-a3a8-4755-a9aa-1a479b627640	0	0
9875f345-ee11-4b31-90ed-ca535031c3d9	0	0
5b6e9a54-8b9c-474b-9c78-7ac11c54b1b3	0	0
7a66930c-ef80-4a02-87d8-6e99669f1285	0	0
e216cdbb-ac28-4a18-a740-4ab537aeeb51	0	0
28399157-527c-4f9e-8000-870404c4da65	0	0
1e40d824-b17b-44a8-a4ea-da9612a92435	0	0
bd5e033c-782f-4aab-9b8e-0f3c1ebd6037	0	0
3090dfb3-affb-4a6e-b2bd-dc89e8477f3d	0	0
aaa7a839-8ead-4af8-95fc-711087bd1bef	70	5.83432500000000065
006ec39e-39b1-476d-83bc-a28c7dd21ab8	0.594125249072381956	0.0495125828749868185
d67cf900-d827-4bfb-b3b9-ad0416bf434c	0	0
ca642c9a-cc67-42ed-b631-1b616ceb8bbf	0	0
9b622e0e-9f3e-4587-8417-d851a8a34858	11.1837229437229446	0.93201729764309782
e05911d5-7c24-40c0-aa70-8bf6e81d7eca	0	0
ed56b2ef-b7ec-41b8-8b0f-0586cb817f0b	0	0
28ee906e-041c-4062-9602-870b329a5f23	17.1436818181818182	1.42870205925505056
2b03a668-45ba-4746-96dc-867131ce2992	0	0
b94901e8-db5b-4516-aeab-ed6a902da243	16	1.33339111111111119
e8a0aa83-9166-49a8-a10e-7cf52dd7139c	0	0
ce1f56eb-ffe8-4489-9bac-784192e2e7b7	0	0
359515fb-e09c-4bbe-b70d-581bacc44011	0	0
5b5d4ab5-5791-4c17-82ef-783e5c0f8f73	0	0
db8c4847-2475-4d09-b7d1-bcae743e76c6	0	0
57762703-ced8-4c83-af26-fb639d5404da	0	0
8fda376d-e2e6-422a-8b06-963a32ce3569	0	0
91afb080-7612-4d41-8b03-a595d09339c6	0	0
fe5ec1b5-c5e1-4e76-8a21-d1b16a0064f0	0	0
a1152658-d8f3-48f9-9e74-0f40968ef90c	0	0
cf3e967f-3543-4c8a-ad05-1b5cbe569b47	0	0
3e82ff38-f02e-4852-9124-0514b4a15de6	70	5.8335861111111118
034c3685-66b1-493e-878c-fb6ebd912008	0.594125249072381956	0.0495153884664407615
d64b0db9-0a29-4c86-abe2-79208d0070e8	0	0
0f22aa56-2dc8-4619-9cd2-51f9a4cb8279	0	0
996a843a-040c-4a08-a0bd-5bb0b777fdef	11.1837229437229446	0.932070109668109659
1f901ca4-4173-412e-8096-8e5fff6cc3b8	0	0
98e7ae00-d1d4-40e3-83ec-e95a998e7c51	0	0
b1067487-5e07-45d9-a414-cc1b21b4e3c6	17.1436818181818182	1.42878301553030296
6c1a6aac-5469-4c71-a069-188ea8d48740	0	0
b386783a-5a42-4a2c-a015-da454c30e32d	16	1.33346666666666658
2b4a0623-01ad-425f-8ab8-1b5cd8c811ca	0	0
544ef873-b27f-4a7a-a69e-d5c0b752bc68	0	0
a5a3d015-6273-4ec8-91c4-99c9b0807522	0	0
570ca19b-b1ed-4497-8df7-4f63cc95aa26	0	0
a25816b1-4f98-4b25-89dc-bf8471b0f2bd	0	0
8f541948-22ac-4568-a14e-d717b6c65c75	0	0
06c75fae-187a-44ed-ab60-293264ff296a	0	0
c14fa97b-dce2-483a-8c4f-7805302767fb	0	0
3ef2dcb1-b4bd-49f9-b844-48c8359ed970	0	0
6a36a9c4-4191-4df6-9ac6-d026c5c179cf	0	0
317a644b-e339-4ed1-b6e3-c2be8a0fb047	0	0
0c7feaca-038a-4941-8c0a-26f0afb462bb	70	5.8339166666666662
12ac2e26-156a-40b9-9251-468b3b5b07ed	0.594125249072381956	0.0495122528054039931
7e179968-9322-4f61-984e-44af49f96754	0	0
25eb19e9-197a-4fcb-a449-4860b13a8f54	0	0
5acc7ed8-c3bd-4caa-ba22-f9f1ee89d5da	11.1837229437229446	0.932011084463684525
75cf70a6-00c9-45d1-a703-6ebb84105c20	0	0
9d34c9da-937e-43a3-9678-d6dcdc76f2b7	0	0
66ab5b6a-43dd-44ce-9176-3be3d986006f	17.1436818181818182	1.42869253498737381
0cecd00e-7ed1-4e18-808b-a894d936caff	0	0
a7badc10-83d2-40f4-b96d-87b79e5b3862	16	1.33338222222222225
336db394-4337-4fc9-8ac5-43ca58e12137	0	0
1dd14325-f648-478e-b9d0-a508ad6ff823	0	0
ed9cc310-c7ed-4cf8-a275-fe96889e291d	0	0
d9ccfcd2-d3d3-4e73-8065-df8e018498d6	0	0
8d06d47e-7555-4f5d-a146-515ddb6b979a	0	0
400051ae-bd41-498b-a45e-156e11ed9f45	0	0
b33c4ba8-0802-476c-953b-d04aacd89680	0	0
5f86098f-a689-4178-947b-e508c5731370	0	0
81843d19-f5b8-4563-97ae-bcdfa94f7e76	0	0
51b779a4-527e-4214-b664-3a2dcb11f231	0	0
4a9885bd-6e21-4b1a-9793-fec56efabeb5	0	0
67b6037c-b066-48bb-b54d-bf64e0bc16c9	70	5.83354722222222222
6f3ebf16-3845-482c-8d6e-a3703445ec84	0.594125249072381956	0.0495153884664407615
9b868bc9-7300-4cf3-be0f-e825680b21f0	0	0
2acc0041-1ca7-4381-9398-9f5720678ac1	0	0
5ce867f1-6976-43e5-9f96-85b505df604f	11.1837229437229446	0.932070109668109659
31dcb366-b53e-4f12-b369-80185508e089	0	0
e868b02a-a3de-44f3-8b61-698691fc4446	0	0
09d82270-c116-4a7b-bf20-05db3a342f20	17.1436818181818182	1.42878301553030296
fb5f85c2-fb62-45ce-add7-44a78478049e	0	0
62fe1144-aad1-49ce-ac2a-946dd7298d9d	16	1.33346666666666658
2a4da645-8766-4e35-9dc4-c92ca242e686	0	0
1666ca86-ca2e-4ad2-9b9c-522c606002d0	0	0
54270f4b-0911-4327-b35f-31662f36bbce	0	0
bd56bd91-99c5-46cd-bc96-64cec9c9ecaf	0	0
e95986d4-f460-4b45-a6af-fdc78d66b967	0	0
ac6fa087-e449-4a02-8f29-c1ac2fd4fad3	0	0
e6e9bc37-a268-461a-a9a0-67e3d885e784	0	0
b6a08e80-7099-4f3e-a8e2-f62d4f541072	0	0
719b230d-9338-46d2-aaee-9d06c441ad14	0	0
7cd633d4-9f61-413d-b79b-71e38591d067	0	0
eb175b81-ad06-4923-8b9b-7d7b077783b1	0	0
a4ad43b5-8431-4841-864e-8b07e3e367a1	70	5.8339166666666662
b9d87ab6-3aa3-411b-8f85-e08332e1a768	0.594125249072381956	0.0495073017616617303
d5c6a0e9-163f-404e-85c5-dd0c2829e3ea	0	0
299ce379-66c5-43e4-a3a2-c72044af3cef	0	0
09dc2ab8-6b04-41d1-8282-b62adc8f2ff7	11.1837229437229446	0.931917886772486881
f4b905a9-5630-4342-a788-3f89520c3f68	0	0
bfb108c9-fd52-4333-b4a2-9cd81009b8ee	0	0
8ceabc0e-c37b-424a-8c79-aaefcce16e7b	17.1436818181818182	1.4285496709722223
a3a09d34-93ad-4841-b09a-da24d710ef95	0	0
9b5a981a-b3db-4644-9374-8c79607a4f9e	16	1.33324888888888893
bb7f1a34-1de0-433f-9fa6-658f0da20501	0	0
0b2db2b9-67ea-438c-b167-8707f6aeb14c	0	0
3b5a9986-416b-46cb-9100-1cf19595ee9e	0	0
e514a485-780b-4a30-b75a-3c1d01f5ed6b	0	0
061938b5-0829-41fe-9dfe-bb0074639e10	0	0
0b81c206-b25d-4fa4-aac7-72dc5fa73bea	0	0
9db985ea-9d2d-4a36-bfe6-01e180ce25b3	0	0
2ef27c88-b543-484b-9a2b-f8146f93bc7d	0	0
69d9adb4-905a-40ce-a8de-8dc83da5502b	0	0
c9d282e5-10f5-41f6-9aad-006d2c2ead8e	0	0
2e5fe55e-53b3-4ae7-a64b-4c9b2a17383a	0	0
4417c738-6f01-4bea-9865-0d74cace1b75	70	5.83296388888888906
b0af1781-d48f-414a-93b5-0d6e438fbea9	0.594125249072381956	0.0495228150320541696
c8f663cf-6881-4224-a417-255ded03ff24	0	0
37eb49a2-5315-49d2-9b91-2f98ed1e43f6	0	0
ace94212-9a88-4afc-a470-4d37f80028c2	11.1837229437229446	0.93220990620490618
d68faf92-5c56-4553-83b3-1ff1cf8b3d01	0	0
b32ebdb1-1cd1-49d6-8e0e-6f4244f1f1f0	0	0
70304afd-ce92-45fd-9aa8-57028b6c746a	17.1436818181818182	1.42899731155303011
ebc0d5ae-0369-41a2-92f0-c10c0d6c334c	0	0
13c57d22-a271-4bcc-b9e0-91176228d439	16	1.33366666666666656
2610fa9e-c3ad-4d7b-993b-9624929b69a9	0	0
7bbee7cf-fcbb-486b-8dc1-da33383851c2	0	0
e8cee7d5-46f5-4cd5-af60-b7eb91fa2e6e	0	0
6efb1c1d-852b-443f-bfd7-e0003b1af69d	0	0
ad5c87af-2eac-4621-a4fe-e66f2dca9087	0	0
95c83202-1117-4ffb-b11a-923e04313601	0	0
84ba2321-6256-42ab-95b8-0282974fb2e7	0	0
7e3c4236-38e7-4b58-922a-36c81af29672	0	0
8a5bafd9-68b2-4f22-b574-a4db9995217e	0	0
96140b75-9562-4a4b-b4d4-d6d4e03b4aa9	0	0
adae4904-9454-4caa-84de-33835e609b6a	0	0
2634225f-1fbf-4c33-b3cb-5af31c0d671e	70	5.83479166666666593
b4a6e170-b62b-4902-8c02-20a677d8f853	0.594125249072381956	0.0495071367268703141
a3e3b36f-abe8-47d4-8af7-3eb49b733914	0	0
6b6f742d-72f8-492a-b650-116b03e499b5	0	0
bdfcba48-e987-4204-bbeb-b11c4bf8d000	11.1837229437229446	0.931914780182780289
9ba022af-b8bf-4f7a-b739-ebd78a6c582f	0	0
acc962f7-51b7-49e2-a158-37dc6fc165a8	0	0
bc4e9a3e-f9b8-499f-a1c8-9122052ff380	17.1436818181818182	1.42854490883838392
601c140a-ccf9-4bee-b39c-3708b82d4d29	0	0
11e40e83-ca4f-4ccf-b393-f8bdffd4546a	16	1.33324444444444445
3f4cf9a4-2984-47ec-894a-9518f44040c6	0	0
df8468de-ccf0-4568-95ab-e0e329f70bf4	0	0
80294fb6-ea53-4e7e-b07b-2e9760f4b5de	0	0
1c682a37-ae63-4c95-876e-5662877ce11a	0	0
189ec193-b4e1-4dbb-b23b-1967bb17df12	0	0
95bccd6e-6f50-4814-b63a-594385b44904	0	0
d325907d-f4dc-44e6-919f-9f2cfe2e5a80	0	0
5b2670b2-5c89-40f4-b7f5-e7cbebcaa00d	0	0
ad791e0b-02fc-4395-bca0-d265a76f7bc5	0	0
1fde108f-2305-4f32-a048-42debe2adfb9	0	0
ca7d3572-5db6-4fec-95e8-c3dc0c2e3f77	0	0
dd3cf0dd-7769-4673-bc9d-a8315618bb9a	70	5.83294444444444427
4146f14b-56b5-4915-ae99-675ddfadcfec	0.594125249072381956	0.0495183590926861275
54629265-1324-4868-91d6-3ec264a3cd69	0	0
c11b9c94-f194-4b4d-863c-35594e8558cb	0	0
3e24d1e7-d21a-4d2d-8ddd-865d0f5eac29	11.1837229437229446	0.932126028282828312
220e24b9-4136-4559-94db-d02c67953d39	0	0
0bce5165-c5ca-4032-8f2f-6dae2ff07ea4	0	0
aeff0bb5-fd53-43e5-a254-ef60dbdc8afb	17.1436818181818182	1.42886873393939395
9cac02d0-988d-4ca7-b397-d7cd406bb3e9	0	0
d322ff8a-d922-4d6f-91c7-8f1eaaaecc0c	16	1.33354666666666666
411a3e8f-f048-48f3-8a97-53f3a129ad63	0	0
288ae1ad-daab-476b-9f10-6e0106ac9c79	0	0
8c4c18c1-70e0-440c-ae1f-e8ceb0c4f294	0	0
e30410b2-527f-4193-9c91-73a736b11500	0	0
e9cc4ecc-3dd1-47d0-8c1c-05a7bb6931e9	0	0
1aa74b88-9ad4-410c-8e7b-0182c5e38760	0	0
95f26fe7-ec2e-4542-b301-81ae7eb77540	0	0
91bfeadb-3d78-469c-a150-5823fed239df	0	0
a64b0e40-e44f-4075-a9b3-265017c19e92	0	0
88a448a1-8a11-403e-afbb-fd1682cfad70	0	0
9a64598b-bbf7-44ad-b803-c533bdde4f45	0	0
fca65904-1ad0-4d29-b7fb-164fb84ee52d	70	5.83426666666666627
7e0eb09b-2c2b-49c2-b5d5-ef7312375932	0.594125249072381956	0.0495124178401954093
bcce651f-2629-47ea-bfba-ed7a7085dce0	0	0
dc7fc8bc-ba18-42e9-9096-81cc4dfaca7e	0	0
b3e0fa6e-df3a-48d3-a414-f0c16b57569b	11.1837229437229446	0.932014191053391117
55ca428d-07e7-40f1-b884-3b430b9947dd	0	0
7834d210-7323-4a9c-a61c-ffc54258e0fd	0	0
aead489a-951a-4e93-992b-1538d0885489	17.1436818181818182	1.42869729712121218
6f87fe05-6a0a-4a56-b351-d419a1903e96	0	0
ec834337-69b3-4c24-b252-7138bdd225bc	16	1.33338666666666672
9bcc6106-1b5e-4659-a4ae-2d192da013e3	0	0
5d75f35c-4513-49f4-98e0-c74edcb2eec0	0	0
8f58d35a-f292-4035-a4d5-657c12a0cf85	0	0
4b2228c5-fa48-45b7-b4fe-7c96235ef39f	0	0
6c51b70a-4093-4d0d-ac9b-d7bd037898fd	0	0
f77c938a-29fc-46e7-8b6b-2b9d3b98a1ba	0	0
00c0b30b-0321-40e6-90c1-0976eb83360f	0	0
38bf5313-4ccc-4e39-9469-2b8161d11e95	0	0
74e0e61a-f27e-4d0a-836b-498f33f8b449	0	0
cb2c7f84-ecda-42d8-92e8-d4b661d378d4	0	0
f6adeb4c-c39f-46f3-98e7-8f0a26bd7266	0	0
c7ca1d4f-fc36-4032-8841-28a0b0ae22c1	70	5.83356666666666701
8daf218e-e562-41fb-b52c-8088d73655f5	0.594125249072381956	0.0495145632924837223
4a2098e2-f11d-4bbe-acf7-a31f4b88059a	0	0
a31a494c-db85-4051-a194-b9190a800eda	0	0
76df130a-4016-4e81-b3b6-d37caeb07709	11.1837229437229446	0.932054576719576811
ffbdc628-e682-482e-94e9-a828cbcff529	0	0
38caf03f-19cb-4229-8c52-0f0187c92c94	0	0
af80fed8-ea92-4698-895a-cf15666b0f1c	17.1436818181818182	1.42875920486111108
1509dc65-b3b5-458f-8b71-b3d5bb4cbdf4	0	0
e90f2fe5-4fa4-4b75-8606-de17d9f86757	16	1.33344444444444443
234dca6d-9a7b-4fdf-b657-afae101775eb	0	0
e7e43937-f100-43a2-9cd7-164112b1aef2	0	0
2c923596-0c4a-4b7a-9731-f8dacd5c95d1	0	0
0ed388d1-0400-4d3f-8401-8adf0dd55e7b	0	0
717cb933-c3e5-4b68-b649-399a7fb4418e	0	0
e8a90d5b-2edd-4080-bdeb-ef628776e3cf	0	0
2f821701-b7cb-4451-8fe6-8eb408232d3b	0	0
adab2ebb-2635-43d2-a9ea-6206ac26874d	0	0
157143a7-a535-44ed-a02f-252b76253bfc	0	0
12d6b770-ecaf-4bf9-b2a9-49a4e180a44b	0	0
30e435b4-3b49-4a4e-9a8c-a1f954bee7e0	0	0
c85325ef-e93e-4e16-a24b-a8d7a774f626	70	5.833819444444444
f6cdb063-9c2d-4541-a349-9e4e6deed533	0.594125249072381956	0.04951505839685795
96839ab4-d98e-40be-b7c1-f8c1aa85150d	0	0
6a2e2256-2725-4ff5-95f7-197b09e7fc1b	0	0
56af8349-6d85-419d-9618-8f517f2d654a	11.1837229437229446	0.932063896488696586
cd2252eb-fe90-48d1-953d-8c3ab7cdd3b0	0	0
f4601bb8-03b2-4835-a161-c87ece482a5d	0	0
5174f829-a222-47b4-8525-d0a8df55d6d5	17.1436818181818182	1.42877349126262643
4933b3e0-2c4f-4958-9f96-ba02f945d801	0	0
12d1d5b7-1888-4f95-bc47-fab325d83b60	16	1.33345777777777785
7ad010ad-b3de-45c4-a1b0-ea99bf4997f8	0	0
6c776cc3-7b2e-4447-99a1-1031e0110d25	0	0
40d302d5-a6ec-414f-ae76-d5dffc1b115f	0	0
ae2daeba-46bd-483c-b877-1e37b037d712	0	0
09ab2da2-ae68-44e6-b399-0fbe4d127862	0	0
18bce1cf-fa3e-416e-b10b-3d7aad2bb0e7	0	0
50aee1f0-24ed-4502-a461-fc1712a2da12	0	0
2b923db2-d713-4373-8aca-166f0ae6e8b7	0	0
f8e77528-febc-46fc-8af0-066ccf7e8d1e	0	0
6b757273-674a-40dc-9cdd-49bf9bf940d0	0	0
19327889-59cd-4c67-9b87-1f8bfe3adb47	0	0
18a24fc8-ce88-498e-8c50-eb38ac915594	70	5.83387777777777838
4d46a72e-5519-440a-a006-517698a25314	0.594125249072381956	0.0495135730837352669
3616b133-c69c-4d0a-80bc-12af3db7ae6b	0	0
825b5f2d-32df-4ab7-a848-245ab543fec0	0	0
c84b4a7e-1778-4792-ab52-34bf12e2badd	11.1837229437229446	0.93203593718133726
79b15aa2-6f42-4514-860c-fa1277418c58	0	0
55e13068-8809-46f6-96ef-cebe919d6639	0	0
741bc638-173c-401e-8af8-867ebda35217	17.1436818181818182	1.42873063205808082
ae7a2627-9983-4cf3-87e6-cd23d66a0140	0	0
08b1a731-0cb7-49f7-a002-c95a8f7df9f2	16	1.33341777777777781
1362f207-827d-4023-bdae-9752f14ffb8d	0	0
fe8b5f2f-04b2-4550-b67a-eab946729c16	0	0
1349ba96-9f4a-4402-ad7b-c6ef6548c9c3	0	0
26232d2b-48a1-4389-b560-78481ba6853f	0	0
1f5b8bb1-f0e6-4ef3-b9b3-cf4d8011a91d	0	0
c1107c37-23de-4ee1-8cea-5e5e0ab51398	0	0
601146ea-3eed-466e-8d46-8751b1cac10f	0	0
6be98a4a-78a7-4ab1-91dd-4a23283d643f	0	0
cf258411-39a3-4d8e-9907-9ea9720d7b03	0	0
8d8ca642-b7ef-4531-afb9-c906c5ebb37c	0	0
3ba0b573-984d-4e49-82d3-ef264edc763b	0	0
8e50c6d3-c99b-4698-8d24-6beaccf04b33	70	5.8337027777777779
ffda91af-3ee3-41fe-a0a3-0519a648d580	0.594125249072381956	0.0495127479097782208
7809cbac-8308-4a6d-8a3d-144a229639ab	0	0
71f87a91-e213-493e-82e6-7ede0c17b1aa	0	0
8a5b246b-3d7d-4ef3-9650-7dae67c6575b	11.1837229437229446	0.932020404232804189
751c0b9d-8aa7-43c3-9d6c-509237f26859	0	0
22fe428e-6839-48b1-80db-e9b3bd322ee1	0	0
8a60ccc3-2753-4d56-b52f-a39f0558bf3c	17.1436818181818182	1.42870682138888871
745209c5-0828-44e9-a466-c7e94245f0bf	0	0
e27ab5c6-b8b3-4aa4-8ffc-4243620ca4d4	16	1.33339555555555545
ab119347-754c-4ac9-8a4a-90956f3d663c	0	0
7e303eb2-4a26-43b5-81a6-e2a8cf003147	0	0
8033e936-44bd-414c-9761-ff66c5072c18	0	0
eb3d9324-8a68-4eb0-a55a-d4aa74cc5f95	0	0
115eb9f3-219b-4919-8ed3-a740a5f99805	0	0
d4f9db14-1787-4fff-b1da-a21e1fa8f73d	0	0
8d7de482-e413-424e-abfc-adc9324786bb	0	0
75d41a45-9fdc-4859-a700-39259fe77642	0	0
e7ab98a6-a08a-4be6-966b-66bc70b7f16e	0	0
ab10aced-a03d-41d1-b30c-a529a3dd1198	0	0
0de3d00b-d7d4-4bf7-9840-fb86c5913b9b	0	0
e6cceec9-9366-4402-abd8-72ecaba4ba02	70	5.83360555555555482
d2b7865c-6fce-4b96-abb9-52143019ba0e	0.594125249072381956	0.0495173688839376722
8eb0f635-2dd8-4f1a-8e69-a9ffc51dc658	0	0
0a8316cb-32c4-4845-b835-38f9937fb08f	0	0
c9cba206-4cb6-4a73-8d18-80af812873a9	11.1837229437229446	0.932107388744588872
040ff4aa-cd33-42df-b035-a799f2f99b42	0	0
a6b526b2-7e16-48fd-9073-1da2d0840a3e	0	0
03f100c3-4a7f-4ea9-8d96-2508d0c387d9	17.1436818181818182	1.4288401611363637
4bef6ba8-8437-4a94-9993-e10521413a23	0	0
b02b06f8-a7d0-4d8e-8b8f-fb0975eebdba	16	1.33352000000000004
a4ad8c66-985f-4971-a135-fbc59224605b	0	0
2d18a1bf-eed3-4377-a9a4-5873b7ad8628	0	0
77982ddc-2dc7-4c90-afe3-c7f0db2cf98b	0	0
96c26b3f-596a-4977-8a53-e350085f858b	0	0
14f03658-4448-49b1-adca-c8b8060558ad	0	0
07a8fef8-d73a-449e-9ac4-a0342465e530	0	0
553b0b44-6d1f-4e61-8d66-b21e3b4e6ebf	0	0
c27bd43a-ef20-4d79-80e5-9429e5a156e9	0	0
4314c09b-e404-41c3-937f-b218becd589c	0	0
2bb6e866-c7ff-45ca-98d3-c5b4bef8e54d	0	0
44f36615-09ca-423a-a7c7-f415cb9a4269	0	0
77a25e61-8d76-48f0-bc5f-98466d1cd026	70	5.83415000000000017
32da3617-9770-4247-9530-70e3e4f4eaf7	0.594125249072381956	0.0495117577010297655
7ae4965a-4b8b-46f2-8258-32d9ccb8c71f	0	0
973bc55c-bcad-49ca-b34b-f29da1a9c12a	0	0
2d224f5c-c57a-4cb5-8e7d-80f80cc259bf	11.1837229437229446	0.932001764694564749
fff4bdb8-d409-49e9-a701-9d216d390eaf	0	0
faba1a08-4bf6-4388-8336-18dd52404bcd	0	0
9241826a-dc41-4b8e-bee7-552b10ee4c36	17.1436818181818182	1.42867824858585846
7bd0534e-4812-4a84-b593-162738a71951	0	0
92429b06-9a2c-4cca-be8f-415ebd51094f	16	1.33336888888888883
dcd41d9a-a305-4726-884e-cce0dd0273af	0	0
b9d7a8f8-b13b-44fc-8e02-6c4eeb2bac8b	0	0
c385d7a6-77ac-412d-8240-653a3bf10a57	0	0
8cd99e66-d7b1-4b6a-9fc1-7d090ace9b59	0	0
3a96ea83-2a71-4851-a808-d2259081354a	0	0
41c3fb2d-a30d-482e-a430-3c1fb30a3c3c	0	0
e3407b34-15c6-4b46-b8d6-7b4f38f0b7e8	0	0
a23ddad7-ae74-4759-9b4a-28277b7c87cb	0	0
b32515c9-8647-4f6b-b1bf-f4240d155aef	0	0
4a892f6b-9100-4270-a622-2a23bfb47e32	0	0
7eec11cc-c00e-42c2-9016-68729a2c10a5	0	0
9bf250e3-7763-4ff0-8a61-b8cc691924cd	70	5.83348888888888872
3f4d9d19-c7ea-417c-8e69-b9142febacfe	0.594125249072381956	0.0495142332229009038
8e847de1-6962-4b5f-b916-74ff75fb419d	0	0
1371380b-8d42-4a4b-b01f-16dfd494e7af	0	0
8139d25b-1c5c-461f-b93f-3034fc6092eb	11.1837229437229446	0.932048363540163516
590b176b-8b2b-4895-baf7-35575ad1c9b1	0	0
3328e289-5a92-4421-98d0-2db0a4c01152	0	0
3af330e6-6a71-4e6a-9151-676271a0f6f7	17.1436818181818182	1.42874968059343432
8725955c-08be-4e2f-a823-3ce17200b00f	0	0
1c6df593-b474-47d4-a22c-150015355658	16	1.33343555555555549
0a80d073-80ce-4dfa-98b7-f2754474bd22	0	0
e6b40515-b5c8-42cf-b570-4a1a9b395eca	0	0
ee23cf82-6052-4dc2-a3a2-b2379a5e5e86	0	0
73eec245-09da-439d-85bb-4182103b2967	0	0
6622e835-2bfb-4ab1-b984-d066bbbebafd	0	0
c6369aeb-abc9-48d2-805d-761dbc799ac5	0	0
bfcd879c-c1c0-4d6c-af07-d47cc9e06c83	0	0
0008857d-1012-4d2b-b744-c5509acd6f27	0	0
92232ca4-a3e6-4b19-b730-6d093d8b1cf1	0	0
51662c01-5616-48ed-9519-594b7fe4d399	0	0
09c50c60-c1e0-4eda-b92b-33ba29e085d8	0	0
b4d273d5-70c0-4cb2-b01d-c8c75a4c75b7	70	5.8337805555555553
294432be-7163-459a-9525-a94930e09ac5	0.594125249072381956	0.049516543709980626
d4dc4e60-1d36-4684-9fb6-2e73a05aca2a	0	0
d10f0bd6-1b46-4047-b379-b47e7c5d3008	0	0
2fc34d16-b8fc-4534-8617-bc9ac4aad7c9	11.1837229437229446	0.932091855796055802
b1e56855-3adf-4f6e-a0f0-ab23e8318209	0	0
7490f762-0c39-4909-aa06-a7c3735fc289	0	0
c1bf0519-b3e6-44dd-9d78-3d202de778b7	17.1436818181818182	1.42881635046717159
b71ce209-ca0d-4c65-a779-9935ae5dcbd5	0	0
00d1105c-689c-40b9-b06a-e4c8e8ecf0cb	16	1.33349777777777767
b6a559c4-fb25-496c-b8c3-ae269b00abb8	0	0
1b0d5518-e782-4b95-8d99-68dac4e0d7d8	0	0
5aef7e3c-0ec9-4b24-ae30-8164ee802ad1	0	0
abf7b007-3261-4ce6-9da6-f24a5a151ee9	0	0
53216905-0db6-408a-81d5-ee4995bd46aa	0	0
ce09380b-8b92-4fea-9f12-4ba02879a341	0	0
956f7686-fccc-483b-926c-bd128fe55d0c	0	0
0083238f-6e30-49fc-8398-791c2bb3cc72	0	0
070335a7-09c7-4c3b-b5f5-518bcf861e33	0	0
446e11c0-8d53-4fa4-8183-c720402c5aed	0	0
7736f652-decf-48c1-b399-36c57f4e0c0b	0	0
f144efb9-67a3-45df-8d5d-9f02bf868089	70	5.83405277777777709
78967c32-1c84-4b0d-b1d5-a4415acda7ec	0.594125249072381956	0.049511427631446954
1ee2d25b-c367-4723-bd08-c44e4667960e	0	0
b7883dc8-2057-4c1e-ac45-a432bde54152	0	0
63088561-1a9e-4252-91bc-78c049b09b08	11.1837229437229446	0.931995551515151677
8a3711e3-4607-43aa-854f-53f1b6e11624	0	0
7cbbc413-8f25-42c8-a0fe-b9319311ae99	0	0
90706fe8-c742-4ea3-9d78-00ae58ede312	17.1436818181818182	1.42866872431818193
6e589443-457c-4504-8d84-e395ba31463e	0	0
14babeda-0821-408b-b209-13e5f6d7165d	16	1.3333600000000001
f49b032f-1b47-4d32-978e-6970b851eca0	0	0
a60ba470-58e2-49f7-8290-a2e8ea03fdf0	0	0
a442776a-4be5-4a91-8ec8-8046e7331668	0	0
ebbc6cc7-9df0-48dc-942b-04ebfba16a65	0	0
11eb3d42-d18b-430c-9e3f-24f53657a696	0	0
fa39868a-bb31-4840-8e04-8a8338a3720c	0	0
738461aa-fe2e-4dd2-ba54-b90a817eb006	0	0
7f7016e9-66f6-4c48-ae70-debf09aa9ff4	0	0
ff575b8b-36fe-431b-bcf3-8036194a2618	0	0
5be256fe-f005-4917-adee-d6c2e421a7bd	0	0
71404cb5-5639-4710-8764-58b36e48dd27	0	0
c12733da-6a15-4f9d-bf03-93f07fe61649	70	5.83345000000000002
4df465e7-4ed2-46fb-bd3e-127bb34fb5c3	0.594125249072381956	0.0495139031533180854
543807da-32da-487b-bbe8-b89ef8437161	0	0
cb73b6bc-7337-4eb7-9e15-9d4eee464ba2	0	0
4eaf699d-8cd0-46b7-8095-f8592ad6cb63	11.1837229437229446	0.932042150360750554
abe355dc-7116-4d16-8031-54801c93b3d0	0	0
66fd08ee-bded-4f85-a1cb-46e3cb958394	0	0
54aa35e9-0ad9-4ce1-bdb2-c70975d09a1b	17.1436818181818182	1.42874015632575757
945abdab-e843-431f-af8c-69a7619e19a0	0	0
c018a88e-7ddb-4812-8d63-4c9c7152d4f2	16	1.33342666666666676
8fcaefc1-4e03-4144-b9dd-9c35586e1f05	0	0
12189412-0646-47b4-bcc6-6a57768d6d15	0	0
dca90acd-d0eb-4dc0-b91e-a74cf246072f	0	0
2f627ca4-684a-4f39-ac97-61bbc1347796	0	0
89d982a0-800a-4bf3-b400-2cca0a5be08a	0	0
dd4014bb-6f3b-45bd-9c5b-e2680a02b0fa	0	0
36f119b4-94ad-4afa-97b1-2304eb4836b3	0	0
5f5e34f6-c136-401c-a4dc-23c07966e472	0	0
5f97876f-648e-40a3-8dee-137c09081338	0	0
3a346a3f-6776-4175-9c9b-bb3222665fc5	0	0
736530e4-37a5-4470-9439-61efb013740e	0	0
89676eb4-f305-450d-942d-6d5c86ff0d14	70	5.83374166666666749
8c378d63-aa94-4a68-9709-386c44617fc1	0.594125249072381956	0.0495130779793610393
37a1f5bb-316b-4d3e-82a5-1225850a0e52	0	0
8803862b-3043-46eb-bd3c-9afb9d235b72	0	0
2db8527d-10dd-4bb8-bea3-b20cf1cbee06	11.1837229437229446	0.932026617412217484
f231c5f2-32b3-4637-8d52-b40bc4874be6	0	0
14266a91-0ad9-4160-816c-9fba8a6df3aa	0	0
83b8e04b-3de7-4b64-a165-8b2846e2246c	17.1436818181818182	1.42871634565656569
d0046b5a-12f2-4c8f-961d-113ad17b42ac	0	0
e7af1caf-9666-451e-95a2-137134e2a1ee	16	1.33340444444444439
eb155938-1ed2-492a-970b-c881505f5fc4	0	0
985efe28-fbb2-4900-9b0e-76b00f62468b	0	0
3d591e44-dc80-40ac-8985-3042d419d5af	0	0
7ad499ff-d66e-4382-a1f8-f0a2c4384e2b	0	0
b549255f-e3eb-41b4-8f0b-fce4b89c896f	0	0
9e0a7846-f062-49c7-9d9b-07d2615ac021	0	0
c57d7533-996e-45cc-93a8-53fdc973bee2	0	0
3c5dd79c-13d7-42f4-a8da-1719fe574f18	0	0
de1bd3c1-175c-444a-8ee0-9d042a5ce1b9	0	0
c325ca1e-af33-43d7-988c-df8a50148f8d	0	0
8c93362d-c695-4695-a8c1-77912370e264	0	0
3154ac33-5b43-46d9-b695-61c988d8f19c	70	5.83364444444444441
d93f2ed1-6cb7-434c-b04d-9d6a02095ae8	0.594125249072381956	0.0495142332229009038
4e9fddb3-74c9-4882-9461-f4dcada58c77	0	0
3d82ffd4-d32c-4520-ba4f-662b641c58da	0	0
2f63d8f8-4bcc-4b80-99c8-ca1c2b09692a	11.1837229437229446	0.932048363540163516
a2bcb425-ec97-4bb4-9ef9-106442596fa1	0	0
ff6943e6-d04c-44a1-991f-9388f14100c4	0	0
28562d13-37e2-42dd-9c27-74971d268e49	17.1436818181818182	1.42874968059343432
40e16126-7c6b-4d38-a9ef-da9f547951ae	0	0
4ec94dad-0513-4175-98e4-fead66d5bcca	16	1.33343555555555549
f207fda7-e2f6-45bd-8de4-aaa7038e41e4	0	0
77a532aa-755b-46c7-ad15-66dd80d69357	0	0
7257e2cd-1463-4648-9a34-f9deaf2430da	0	0
29d80286-d922-4257-9a16-091425a1fc5f	0	0
abeff956-c2f3-4ce0-b533-023c9b854158	0	0
7dd9d80f-62b5-4308-958c-a2c869d2852f	0	0
df8d26d2-bc36-49b7-bc38-6430e6a1ece6	0	0
51139c44-cfcd-4e50-aa6a-5238469870a0	0	0
a3fa0db8-d336-4947-a678-8679f90bd153	0	0
535aedb4-f8b9-4368-b49b-08c4a6f3199b	0	0
501c7576-0524-440a-8fbe-aace4a35a2f8	0	0
192437c1-4979-4245-a4cb-98f60696c80a	70	5.8337805555555553
c187aa74-9870-460b-8c5a-74119ac2c767	0.594125249072381956	0.0495137381185266762
5c085754-0bc6-4e7d-a452-272d15f461a7	0	0
917c3b88-8c50-4d94-983c-bb20fe22f68e	0	0
ba1d406e-d889-4412-8fca-bf4b68de599d	11.1837229437229446	0.932039043771043851
a9d32307-312f-471e-98b2-328f274c6750	0	0
5a64b936-a30d-49cf-9670-f51e3defe0ef	0	0
ba55a27b-aaa8-4876-b2ba-ff43327f6be2	17.1436818181818182	1.42873539419191919
2f75e388-0aed-4cc2-9795-dd989f60ace5	0	0
7bcce3f6-7119-4655-bad2-9ae43780c8e6	16	1.33342222222222229
1802478d-12ba-4a29-ae14-84ca08b630ad	0	0
9ea63a17-d380-40f3-963f-6c257ae65347	0	0
f7bbeb30-6688-43e7-8d67-ec683d20b7c7	0	0
0818405d-ee65-4f8a-bebf-a7daae454a24	0	0
4ba3a863-4a09-4aa7-adef-bd8ba21eb534	0	0
2fa40dfe-76a5-4589-b916-506ada892345	0	0
02930445-1b6a-46a3-bf23-c8df3eec2dc6	0	0
ff4da1d8-190a-4fe8-b534-2e5507df4fd0	0	0
4db3a2ed-6410-4879-9615-1ff6e21626c7	0	0
cc275af7-f931-4688-bce4-cf0ff293b33f	0	0
3a442ccd-7e0c-4b35-9c49-87652c4a5e43	0	0
a0611093-41bc-4c7c-82d0-99fa0fe2dcc2	70	5.8337222222222227
8abfd6bf-457c-49ab-9751-56aeafda2a2e	0.594125249072381956	0.0495142332229009038
db32f3e4-2f88-4860-84ba-275fa5918280	0	0
7ac165ca-5c7f-495f-8cb6-b89dee01d494	0	0
a53c3fef-f467-4b1c-8fd7-baf274122040	11.1837229437229446	0.932048363540163516
912deb43-c664-45bf-bfa2-b813b5b9a669	0	0
84cae71d-97c4-4cec-bf37-1023ee685008	0	0
0bc985ed-e1b5-43e1-ab7c-812b6192e455	17.1436818181818182	1.42874968059343432
bfee4755-29f6-4b32-9d34-7219eef8d9ac	0	0
02759463-f49d-4524-b2cc-addc5d38d0ae	16	1.33343555555555549
cb7f3413-11a9-49fa-ae5a-9662528ac15c	0	0
7d4a837f-90e4-4094-89b6-fef5ac0db809	0	0
b0756fd3-35fa-412c-8258-610052bfa843	0	0
7dde05db-4a55-421a-951b-f39651bfac29	0	0
ee6b1e78-670b-4135-bcf3-4c1f815f9ddf	0	0
53617930-ec88-4239-8dd4-0320395d2082	0	0
fec90b83-0214-425d-bb58-2aa8169b344e	0	0
a69daf2e-9b13-4da0-b78e-06d6b1c265ef	0	0
b9233bef-aa17-4c61-8b46-21ae4d7713b5	0	0
fdf3a5ae-37c9-49f7-bb6d-5aade87ac683	0	0
add44e5c-cc8f-4d43-b2ab-dfc350680a9c	0	0
b6455329-a476-483e-ac60-5f3c9d3950fa	70	5.8337805555555553
f8cc874c-e20f-4152-96b9-afbe281405f7	0.594125249072381956	0.0495167087447720353
dd979570-a950-4caf-9297-812503295456	0	0
dc214d4c-dbeb-44c8-8baa-578135c4170b	0	0
94cc7ceb-53a6-4ab6-9e8d-29983fb5d6c5	11.1837229437229446	0.932094962385762393
660886b2-8598-4ff6-8163-3246ed2fcc51	0	0
bda64ebe-dd20-4ca0-bda8-d1710c5407d1	0	0
07c085fd-966e-48e4-927e-d914249a06a6	17.1436818181818182	1.42882111260100997
13beb43a-80e2-4114-b3ed-9694590f669d	0	0
89ec54a9-d869-4d9a-a65c-2553805e2ec2	16	1.33350222222222214
fe977882-d1bd-4f82-a644-e3d47ea18050	0	0
4afdb80f-cd4e-4639-8755-4f451f701430	0	0
a7ba0b60-069e-488b-8fd9-d1d5314ffddd	0	0
bd830395-490e-48c5-9e15-818ebfaa4fcd	0	0
8a639164-032d-46c6-b8db-4172512394d6	0	0
6d6c41d9-cd1f-4e39-88bf-a7cb96fccbc5	0	0
a1fd672a-37c3-4a98-b33b-5f42bd47cd07	0	0
00c875ac-97fc-4d0c-b922-30dca2ea37f1	0	0
9bfcea0f-17c0-4e83-8ecf-51b1b1eec110	0	0
d4fba8e2-27d1-4b35-aab8-d8105b4c6f40	0	0
64a2aad4-2266-4992-8024-06dbfa8c109c	0	0
b65de4f3-2f51-4ea8-a171-c47e9fdb1434	70	5.83407222222222188
79b91ca5-d0e2-4a06-a2e5-9d71b635cfe7	0.594125249072381956	0.0495086220399929972
f90eecd0-c87d-4418-9c3a-e9bcc82bb58c	0	0
7b6e5a87-5498-492e-bdae-c839b1b3541e	0	0
69618d16-8385-4bc2-b1fe-84970f94ef02	11.1837229437229446	0.931942739490139616
6a8b267d-ebaa-4833-adb9-6b1909b9a450	0	0
a9b988df-2a25-4140-92e5-49d8857d9e85	0	0
c29030ec-f726-42b5-80de-8b6197aeac06	17.1436818181818182	1.42858776804292931
8f0f8621-ef03-454c-bb92-01319c27e9f4	0	0
e83043a0-a535-49ed-9274-3514c6dc6b17	16	1.33328444444444449
abac56fb-8dc5-4ca5-9309-ec5368e5a417	0	0
2babea03-5568-42e3-bef7-e19ced677f1a	0	0
5a6cd24b-af44-4a70-aab4-1c26587e4fe1	0	0
620ee79a-1863-4fcf-819d-4b655fde9ecf	0	0
467097c0-6e02-4ac2-8938-5fd75b0a885e	0	0
d7837a1b-8e5d-47f3-b89d-51dd3323c220	0	0
67268a49-7d39-4c38-afce-3c302cac9702	0	0
536a8b01-73fd-408e-a3c0-f2252e5fcacc	0	0
3ce9f9ca-a17a-468b-bc35-c5c7390bf431	0	0
7b045523-a946-45ce-84c7-696bc5863a60	0	0
6468594f-71ef-42a6-a7d1-5a43ecb06ce6	0	0
18d4cb24-84f0-4c53-9446-738a0c630618	70	5.83311944444444475
c712772c-95bc-477e-bbe0-224abaa4fa1a	0.594125249072381956	0.04951505839685795
30b9a745-7d88-4375-ad6a-a55566dd9651	0	0
a11d2b2d-8776-4579-82c8-e52107999246	0	0
25c395cf-280d-4a72-94fa-ba83f0f7acee	11.1837229437229446	0.932063896488696586
79d462f5-4fe8-43e4-aa20-c0ddef6919d1	0	0
d803b8ec-dbaa-45c0-8ef1-08a90f5f51b2	0	0
51399e38-e8ee-442d-8286-b601eafc6d87	17.1436818181818182	1.42877349126262643
2be3ace0-7d4d-41c1-88b6-81952d08dfb8	0	0
4024024f-d042-487a-acde-84faef98b738	16	1.33345777777777785
2022770f-0260-46b7-8377-6d92ddefeb99	0	0
243fe7d9-5577-4ea7-8e9f-3d933773a98f	0	0
16b5000b-c312-4dfd-a37e-e46955503cf0	0	0
54f15231-3f3e-4542-bf80-bf9a7d96b069	0	0
1af57b02-ab5c-42da-972d-b59dac9e4b2d	0	0
d407a308-7551-43a0-b8e5-ced67c32f5e9	0	0
41da5dfe-cf71-4629-a330-a0be1e77dc64	0	0
52dbc389-ff2a-46b1-8056-af4c41eca606	0	0
80488531-09fb-474c-aa48-bad14bafc1c7	0	0
80910a73-1bd9-44ce-bbf0-1964b7ec553d	0	0
dae49650-7f7e-484c-9d4a-95ff1f058d31	0	0
1244095d-eb6e-4b90-a953-1a8fb21f3aea	70	5.83387777777777838
6a903b07-f09e-4ca8-a08b-21d39c9d9664	0.594125249072381956	0.0495109325270727263
d15c2c67-ea22-4e6c-8633-f7e8aabf1bcf	0	0
ba9a3bf0-ae51-4906-856e-3965283bba34	0	0
d37370cb-a788-4590-be70-44baf6602bee	11.1837229437229446	0.93198623174603179
843c5620-3141-4bdf-b3f8-5998f3ac7c46	0	0
609c7a78-d972-4af4-864d-0a8099160a39	0	0
d5e6243b-5a07-4009-b671-eb7643e68eff	17.1436818181818182	1.42865443791666658
15827167-4ee6-4f57-a36f-cb3d4935f73b	0	0
b4b2b799-075e-4b00-987e-fa85c93f40f8	16	1.33334666666666668
33c2fbb9-53b1-4ecb-ad9a-f22dafc44763	0	0
ba3af0f2-73fc-427b-ada5-0aff58c8ca0a	0	0
5842b2a3-8183-47dd-9fa9-c1d77b1a3982	0	0
6c066aff-bded-4b1c-bed4-59ad8ca6fbc8	0	0
a5b25928-6451-4d03-8159-805bda011e4f	0	0
d501dcc7-36bd-4c4c-bddd-b353d9373017	0	0
c20af1c7-e692-4642-9ea3-59e4ba96c360	0	0
b775ec1c-59d9-4484-bd9e-bea29dbcfdb0	0	0
7f7fd9b6-4005-4d8d-a22a-baffcddffadb	0	0
1bff4afe-73ed-4e42-bd7b-ba2758bff90b	0	0
8800b0ff-0473-45e2-9f21-6eb6225af8fe	0	0
ca6e85d7-e5ae-410d-8f08-fcc72d53ce19	70	5.83339166666666653
81acef22-47e7-4113-888e-bc256c18f4cd	0.594125249072381956	0.0495120877706125839
2bfdb840-2df3-4150-bd67-54ecfb55783a	0	0
67c9bb19-02ca-4b14-986d-d897bebba1bc	0	0
06963d9b-a9fe-43d7-8aca-8bfeb1c3d711	11.1837229437229446	0.932007977873977933
5c5633e1-fe5d-4c03-ba03-a8e0f5126675	0	0
57e5d0a5-a7ed-4983-a68e-d7769311c8f1	0	0
318f1e05-17d8-435e-9024-f255387879a1	17.1436818181818182	1.42868777285353543
e103c113-9fd4-4b67-910b-f1db8eac9acb	0	0
ded1ef99-72c8-4b69-8195-ff27948df91b	16	1.33337777777777777
752afaa2-680a-4b46-8073-79a7c216671c	0	0
667c6060-bde8-4c38-855e-d28f242da164	0	0
b5d7f05b-6e94-4374-8e33-9cf9f429c02e	0	0
dec97468-4406-4e03-a663-034beb303a6a	0	0
03a0f805-116c-4386-b4f5-8ec504347d82	0	0
5d58e534-4661-4382-9151-af13bb2c8a8f	0	0
1a70d755-8684-4e1a-9037-f8f430fde023	0	0
05aa7f4e-007b-4749-9e3b-7124627b859c	0	0
98839f23-dfd1-4981-a640-1b2852e30c59	0	0
fa089fed-66b6-4792-84bb-15cd5d2132bb	0	0
01f72f70-cecd-4c0e-9ec8-a72167fec566	0	0
7008abce-921f-4625-9538-6b8c12bca037	70	5.83352777777777742
9977728b-820b-4da0-8b55-1456ce4482b1	0.594125249072381956	0.0495665492517775585
b9b437f9-05f1-4d7c-9e12-7879d001c5a0	0	0
a3945031-7c59-4922-8047-aebc355e5f40	0	0
98bc4d15-7377-4f3e-b950-211e5e054f0e	11.1837229437229446	0.933033152477152572
d70a28fd-21b1-424f-b970-0d2438e060f8	0	0
7833a09c-efb8-4c07-a44f-6c3a5f917170	0	0
5ea64c38-530b-4e43-8311-c25a14932ac9	17.1436818181818182	1.43025927702020206
f2b65585-e4f5-4066-8314-69700a2c6306	0	0
ff5cb17f-49b2-41fd-9fc5-61a7da0bef3a	16	1.3348444444444445
28d55717-fbff-4831-86f1-3703d8e12a88	0	0
1d27034a-f4e3-4387-8776-531131e6317b	0	0
f1c6a55b-7828-4a0a-a0ff-322da2d17d1c	0	0
709654ec-1f20-4e6d-a96e-f76e7fcf2bc1	0	0
6e30993a-1ffa-4db3-9b5c-c153721cf9b7	0	0
b2cde6f7-295f-42bd-bb96-186ac10648a7	0	0
91d383ea-4d82-47fb-9516-5bd6ac468f60	0	0
43077354-328b-4d43-b102-c53a4fbacdaa	0	0
1f0b4330-f1a6-42dd-96f9-335de54e6d30	0	0
b8aabb61-f131-45e9-b547-f777d1c2cc60	0	0
c4ad77d2-dcf6-4c2d-a671-9fcb458d9c4c	0	0
b2cbeaed-8798-45cc-9e3d-cb3b3dc5b486	70	5.83994444444444483
3e3c174c-f1ef-4dd3-b3d9-2c7148faa14e	0.594125249072381956	0.0494685185856806112
da785a3a-8257-49ec-b13b-b28f8f84517c	0	0
098112d9-a994-4e41-b2fd-408a05b695c0	0	0
5f6ea8e7-73de-43ce-8ea1-a1dc7164d397	11.1837229437229446	0.931187838191438355
8720afa2-50b7-41f4-a345-5b6e9a7ec1a7	0	0
4270369b-b091-4dc9-be86-074c4874c071	0	0
0fe0eca3-4f0f-4d91-8806-316adc738653	17.1436818181818182	1.42743056952020209
e2cdb81d-c501-4e78-b0ca-a4f19e1e6b3f	0	0
87abc8e5-9718-4d57-8ee3-70fd1fed1df0	16	1.33220444444444452
d54ea159-acda-440c-bfd2-61ef83b6f78f	0	0
3aad2e16-944e-45bb-9e84-8846bbcc932a	0	0
2575c392-1400-42de-993c-f6a8c14115c1	0	0
c4d3cc32-f42a-49b6-aada-062444c5dbdd	0	0
dcb2cc98-ef79-44e4-9847-386abbea5062	0	0
000163a5-cb4c-405f-b844-2dc816dede72	0	0
da3372f8-cc86-4b21-b8d9-7cc433765383	0	0
a61230bd-2929-4b68-933c-5ca0205db7fa	0	0
39f21b51-caf3-480c-9f2c-1b280c04828b	0	0
6a834f2d-4bc0-4444-8fec-9efde7051e1f	0	0
cb74c1dd-1168-4cea-9329-b1653d3f13cb	0	0
b356d8d4-9dfd-4a35-9474-12cc14ab6dfc	70	5.8283944444444451
b37ed1f7-0d50-4811-85d0-203371cfbcda	0.594125249072381956	0.0495115926662383563
7e41c448-b71a-417b-aed0-93b332ec4b1f	0	0
bfd69cc9-f88a-468e-8274-551123921230	0	0
abf1dae6-cb04-4553-b884-30b68ea23eb4	11.1837229437229446	0.931998658104858158
45500141-2696-4a53-8093-db2d0a857ecb	0	0
334b6016-2a6f-4b2f-b092-8dd721638f71	0	0
a6624c1c-f007-4ae1-bbc6-1838b09820b5	17.1436818181818182	1.42867348645202008
9f7bb18e-d950-416b-8f35-666ef3d5171c	0	0
4e35e5fb-f239-4764-b797-f90895902e49	16	1.33336444444444435
541016d3-b0dd-4190-a41b-85790af2072e	0	0
6cbd7738-0baa-40c6-bec1-7b83ce6efe89	0	0
e4622d4c-e608-40a5-ab0f-80b66dbb962f	0	0
133f28e7-314f-4083-8285-0f23b3648704	0	0
b5d05684-5640-4a8a-8b75-8d34b56e6bd4	0	0
caa8b935-9a8b-4db4-8b9f-849254374804	0	0
07d14691-7908-4c7e-a3e1-e5de90e5a734	0	0
3d6d3b1e-7b59-433b-8001-2fb4db26fc07	0	0
f186d4ec-c9d3-4ebc-a493-28f68b0d9c92	0	0
e84b863e-7c84-4c30-8bb9-54305a9bd441	0	0
4f2222c0-fdb8-42eb-b8bc-631071b3385c	0	0
e1946b1d-0146-4f30-aabb-92d336b47a42	70	5.83346944444444393
e4a862ee-1b94-44ae-9cac-4cb95c8a06fd	0.594125249072381956	0.0495142332229009038
abbe3d11-c458-4e73-8615-a38d11950ea5	0	0
0b71ec97-3a8a-4492-b346-354aa3f68489	0	0
6af26b5c-828d-4607-84d9-dd7cae010331	11.1837229437229446	0.932048363540163516
3df0061f-5998-4808-82e3-4431f2db25af	0	0
bce78389-1cb6-47dd-ac88-1bf5317f1ed6	0	0
18573fc8-3d9d-4e66-af5b-5deae12ab134	17.1436818181818182	1.42874968059343432
591ed498-2797-499d-a57e-7b5fc0bf5b98	0	0
452146d1-da56-4cab-b891-efea44a97685	16	1.33343555555555549
4b91ae17-e050-4626-b83a-97a30824cf49	0	0
1838657e-0ad7-40e6-a6e5-2b5b3b9d5101	0	0
d89a72f8-4f1b-4aad-b3ba-785281b405a9	0	0
eb23e902-7ff6-4fec-a961-9af54fe57b4a	0	0
6706edc9-0f62-48ff-8bf7-392708542dcd	0	0
f77038e4-8996-4015-8917-068c7c0ec43c	0	0
38ccb793-d109-4802-a023-52ec045869db	0	0
6d831db0-61e3-446f-95f2-aa47a814ee88	0	0
1bc37874-5d96-405f-9fd1-1c3a66dae412	0	0
9a2ba0bd-d7b3-46c7-ae47-1f4315888289	0	0
da2c3351-41d1-4952-970b-c64721c4ad0e	0	0
1a89c44f-5009-4dd8-b08a-14e48c42c98e	70	5.8337805555555553
a0ba113b-75e7-4910-9ec7-38bec39236c2	0.594125249072381956	0.0495145632924837223
d2380ee6-bac4-4c5d-bcfc-d78c24ba08a0	0	0
7e7f6a0a-67c8-408a-b8d7-1364a9382848	0	0
3d07100d-1c49-497a-9fae-bb32a8e06809	11.1837229437229446	0.932054576719576811
7c823e62-6e9c-4515-a845-258e38f9b742	0	0
b4c1bdea-8d6f-4a3b-992b-278f5ed74b3d	0	0
00b7936b-794a-4666-9aec-30ad219b9ee3	17.1436818181818182	1.42875920486111108
4884b258-4a9a-44ef-9de6-50967d908d61	0	0
d634c954-8f8d-4ca4-856b-e2e6c1200b20	16	1.33344444444444443
d7bd2874-bc63-4bc7-a5af-a1d4dcaaf7e3	0	0
93c2e302-c08e-4f3d-98ab-a0d6ad3f535b	0	0
31ff943d-197e-49e1-95bd-22c2cdcb49fe	0	0
4eb8cb19-6099-419b-82f2-7f03bfe7e8ff	0	0
de0c6f98-b786-492b-ab00-f7f35a578803	0	0
ba8138e7-1824-4a12-a055-2152fed1749b	0	0
4c1cf452-523b-459c-abdb-7fd7fb93d9fb	0	0
967ab189-d5e0-4211-af96-21d6a27012e0	0	0
502d445f-2758-411e-abe5-88d6dfc41cb5	0	0
d7d00608-413f-449b-949f-dc8938993607	0	0
06efbc75-8e56-473d-b5be-6b93c1936b2c	0	0
c31971ca-db02-48e5-941e-a7b569042b7f	70	5.833819444444444
a6e954f0-bc4d-499a-86b9-fda882fbd2bd	0.594125249072381956	0.0495163786751892238
ce7ae75f-e454-446b-baf3-291a85bf1ff7	0	0
5e962cf5-3b15-46db-aefe-da524fe09d42	0	0
c0b7daa4-35b8-40e0-b4d8-d76a6a4833db	11.1837229437229446	0.932088749206349321
066f6bd4-6fde-4fcf-82d4-1207b69586d9	0	0
5970a2bc-0bbf-4601-bb29-943ada5bb80b	0	0
42b65300-d1f6-4dd7-b798-4412a64f16c5	17.1436818181818182	1.42881158833333344
91c032cc-f9cd-479b-855a-6e453d1deb03	0	0
860ab48d-a6d5-4d2e-8803-b4d83f290cdd	16	1.33349333333333342
b4bb6408-292a-4b20-a7bd-7aa4357acb87	0	0
eb67b208-6372-473f-9d20-6781f8fe9587	0	0
c156f5a1-e087-4c5f-956f-85183d63e104	0	0
4ae5e724-8091-47f2-be0b-a2f14f432a4d	0	0
fd415f28-64e7-4ad3-afe2-8dd51de746e7	0	0
dc6a0e83-9038-494d-aaa9-f06d296301d0	0	0
569b50cf-5b1e-41d8-a931-e09c8d956604	0	0
d2e944e2-225b-47a5-a84c-b3a767f61811	0	0
5065e15b-efec-40b9-b76d-19b30c729789	0	0
7215d427-7622-4f9d-9d3f-a9ee195fd375	0	0
b42537f3-4ec3-4dbd-a30f-30819754f09a	0	0
51badf54-e318-4b30-a964-50487b6625e1	70	5.83403333333333407
83f2c385-86e1-46ce-b3cc-ab8505580a67	0.594125249072381956	0.049511427631446954
a2fb8391-b9b4-4b62-9eb0-bfea3e07c040	0	0
bd83f168-778f-4f63-a7d9-e3c127b8d920	0	0
8c91af3c-d2d6-496f-9e73-c0bc91178b64	11.1837229437229446	0.931995551515151677
f377e422-2fe5-479a-a0e7-511a0372aae8	0	0
711cc735-652c-4be1-ae45-a7fc12d8be69	0	0
dc85885e-0620-4926-90e7-d99fe5fa1557	17.1436818181818182	1.42866872431818193
77d017f0-792a-4ed7-a889-90534931ae2c	0	0
7dd86fe4-8dc2-44ad-b22e-073377978666	16	1.3333600000000001
89c4b999-db15-4280-939b-8d406cb4f667	0	0
36f96d59-9a4b-40b0-afb3-c10fb86fc54e	0	0
fb7a0703-d297-4777-90b2-0609e11af175	0	0
6bef536d-a41c-47e9-ade0-c3d392aa9351	0	0
3e7b6133-25bb-4cb5-a2d8-d53c394af2ae	0	0
0d6c6404-da93-42f4-a18b-691e7f24d455	0	0
fdfbea2c-b319-4faf-a692-d1cc912cffaa	0	0
32903274-4378-40bd-92bc-efec7c80a188	0	0
8557a97c-86b8-4f08-93eb-08efa7a8752b	0	0
274807f1-dfbd-4cb1-8ac6-84a4f03909de	0	0
8a99f9af-42a6-47bc-8d2f-a9aa1e51cc66	0	0
33333919-554e-4a2c-8eb9-2a8fe2b55252	70	5.83345000000000002
78921911-2eb7-4324-9d02-0adc0e5d832a	0.594125249072381956	0.0495142332229009038
79043f82-8339-43e7-afb7-7f733af2f938	0	0
15fa96d2-d570-4a29-a816-34c5d64f27bd	0	0
d1f6a337-ab5d-4939-acfa-9fcf34ab05a9	11.1837229437229446	0.932048363540163516
61e56c98-653a-4843-ac03-651d25c1b889	0	0
aa6dd02c-6eab-49ae-8bf4-63886362bc8e	0	0
360449cf-f95c-4fe9-bf88-22d5f2b00c6b	17.1436818181818182	1.42874968059343432
35e4b13e-b177-45d0-8e65-23fbdf512f3a	0	0
10a1b82c-6d83-489b-9e2c-908e2898d0ed	16	1.33343555555555549
191357e6-355a-477e-8f68-ec572acf4dd4	0	0
96fa617a-4d02-4a81-8fb7-8ee28f7f594d	0	0
d217a2cf-8e11-46dd-ba66-97c28aba47e5	0	0
42503202-908c-4602-86f2-ea1191f1daf9	0	0
9cceb94d-c11a-46a4-8fdd-e59fc5022415	0	0
f2f2ca89-dc21-43f5-934d-2dabd1bbb702	0	0
d4d4ac5f-c09a-4354-93d0-646129f56b88	0	0
808cfe3e-559e-4b12-be60-39de86ab55de	0	0
05f19528-3af4-4780-9e2f-25598b92b124	0	0
15b46093-762b-47ee-bc33-1a582be4cbbd	0	0
2236eacb-e885-40df-b43c-ca45475ca624	0	0
0170482f-bc14-48ae-a704-f4bd8393197f	70	5.8337805555555553
27e25f02-2239-4ee4-b460-08552e1c89b8	0.594125249072381956	0.04951505839685795
95009bf7-8fe4-4b84-b7d3-68d00360efcc	0	0
e60e12b2-e8ac-4a65-9a5d-e6dc114e70ec	0	0
a97014c0-183f-4cb5-890b-d589fb67dbe5	11.1837229437229446	0.932063896488696586
4d012ee0-3765-4040-9576-66bb42393157	0	0
d2d4b16f-8bcb-4da5-ab23-01dbf89d35ec	0	0
e74e3f24-e606-4abc-beab-90e0302b6255	17.1436818181818182	1.42877349126262643
11bbc157-489f-4c12-b99b-c5c87b7cdaa1	0	0
77697b35-431f-4a5d-a22c-17554828ace8	16	1.33345777777777785
f65dc79e-0d12-4ce2-a21d-520a5d6f67f4	0	0
ade4b0a2-91ce-4c0b-9b89-f59cd954d4da	0	0
36c686e3-be2d-4478-9706-9df46ada317b	0	0
e4b21cfb-c1cc-4891-9509-7a00c6e0ef24	0	0
c8e9a821-36b7-458d-a195-bc39ba2ab21c	0	0
628eb296-ae1d-4ac1-b3e7-7af088871b56	0	0
1d9d540a-8f59-4d3f-90c2-979ea4258d68	0	0
e99510b8-f3f1-4e39-80a8-c6c599d490b9	0	0
15ea1972-bfce-46fe-b899-da377ab250c0	0	0
4efaf51e-d1e0-4057-bcba-4a6209f0dac5	0	0
e09f9d9d-2c69-4a2a-8f62-2e44020c05bd	0	0
bcbb25c6-d5dd-48c5-a87f-d8fa976f8360	70	5.83387777777777838
d9a6a83f-80f0-4657-b71e-f09e997908ac	0.594125249072381956	0.0495135730837352669
0c37a6a4-383a-407f-88e9-d9aa61951fb6	0	0
57afdb32-3495-4753-b26a-ef09bdd81989	0	0
1f0a9988-44c0-4af3-9449-a48e9fe0e46e	11.1837229437229446	0.93203593718133726
baecc591-42d2-42d2-bee6-9488bb46828d	0	0
15ac73b3-3e3a-49c9-9769-a35a73db0280	0	0
3da22b7a-7129-4f18-8c01-7dac6fa1aab9	17.1436818181818182	1.42873063205808082
278943ff-1019-4f7e-97c3-f9adef2ae17a	0	0
c103bfed-cd7b-4d00-b250-448883b0f145	16	1.33341777777777781
7c10bfb6-166c-4cc2-9a64-b6d961cd9bfb	0	0
b4be4c38-0228-499c-b009-8f76b99c12d1	0	0
b97b1ebb-0b8c-4c20-ab35-4c6fd2bd4145	0	0
db166aaa-c14e-46c0-890f-5322a8ed637c	0	0
75919922-44b7-47f5-a14b-78a2f0d681db	0	0
f40085c8-d439-4c8e-af45-b1e12925450c	0	0
5fee65f1-b8cc-4dc2-a02a-bce813ca637a	0	0
7c4335b1-4e35-483a-9ff5-a062f0bf4830	0	0
fd4683c6-f05e-4e66-9fbf-87f9e95c7fb0	0	0
90d5c9ec-2249-4051-bb6e-b2e54d64d0bd	0	0
9d053565-d0d6-4afe-b9b9-5708bfd03439	0	0
1ffda918-380e-4aee-bf08-5d1358ae8df0	70	5.8337027777777779
dc3f0478-5ab8-4800-9e7a-1caa842e1928	0.594125249072381956	0.0495135730837352669
47d0a9a7-d5c0-452e-b42a-7a1224bb1d93	0	0
9fe5b665-5232-4b5f-b3ff-b7fb0c28882a	0	0
b19ed643-6b77-435f-a86e-6ca8fda5e759	11.1837229437229446	0.93203593718133726
33188a75-85a6-44a9-8400-edd3ff850ed7	0	0
8001a93f-c9b4-4d1f-b4cd-b3673fd2d3ca	0	0
ad9ea3d8-20eb-422c-96c5-938a0a9e538b	17.1436818181818182	1.42873063205808082
e030c277-e1c2-456d-9bc0-52fc1bf19333	0	0
9294b9c1-cfae-45b7-9d87-ce405dc6d3a0	16	1.33341777777777781
c21bfb6e-19bb-458d-b5e2-f780159f54e1	0	0
90690152-cca8-4158-8e74-4497cd79345a	0	0
1604be52-34ac-45fb-be0e-a643aac6591a	0	0
ee3b6181-b14f-44c6-b5b9-784bb274315a	0	0
fc1fb640-7c47-4cbe-bbc5-a782de185086	0	0
9db962c0-713a-4a38-9752-9bbaa2dd7430	0	0
94154fb3-5138-4723-b79f-6406533bfa93	0	0
44915b7e-2617-4cb3-9349-d55cc62e6e91	0	0
f9a099d8-d830-477b-865e-46675ffc169a	0	0
b34c40d3-6fbf-4d23-80f7-62b9b3cd5b47	0	0
1ab0c295-de72-4af3-9029-c40808aa759c	0	0
a7558494-813e-4dbb-bd63-df520bf40944	70	5.8337027777777779
0e1e9924-2f39-43b5-a3b3-b82443e57d3c	0.594125249072381956	0.0495134080489438577
eb357648-76f4-4ec3-90c6-62f583d6d79d	0	0
ca8ff419-4e14-40b1-858e-acc91e68eb0f	0	0
28d43474-b8ed-482e-8381-84e515528a71	11.1837229437229446	0.932032830591630668
aad4f2d9-251e-4725-9ba9-78857cb2eff9	0	0
4e385607-e0e9-4f52-85d1-dde878c1c4f6	0	0
fade4c19-8a14-4bf4-9e36-380c4dc970de	17.1436818181818182	1.42872586992424244
5fb3457e-52f0-4dfa-9ab1-9ed3f00c4ff1	0	0
be2241c8-2be8-4b26-aa9e-f07417495e0a	16	1.33341333333333334
d4bf2fc5-9097-4568-8c24-9a23a75b0028	0	0
163c0e82-07b1-4dba-87a9-b87ca46ee71a	0	0
12e83136-670d-4c6a-aef2-ae0af54770f5	0	0
6ac9357b-4ae3-45cd-be1f-49a54e6a62dd	0	0
2f6f5604-5dcf-47ae-92bf-f04c16191e5c	0	0
6f2b4cb0-1efb-4a3d-97fa-806ed9806052	0	0
89217ad7-d007-4ea5-8cc2-1c958cc74b08	0	0
92d9ba42-134d-4542-a278-1c56e923fd7c	0	0
e29b7290-1a3e-43cf-a385-a36c247c66e0	0	0
de5e5a12-0f42-46cb-9b84-a74c5d85d809	0	0
a6c9eebf-42eb-4f08-ac83-d310fceccb3a	0	0
d6f194d8-2e3b-4bc2-9b17-ac5c5de2476c	70	5.83368333333333311
e91afe2e-2b5f-4c3c-a93e-b86faa37293e	0.594125249072381956	0.0495145632924837223
6ab88fd7-4fac-471c-b71e-710c45287e95	0	0
f05c3b61-580e-4bf7-b98e-79f11269b518	0	0
b8b73dda-beb5-42ce-bd2d-f8f2d13026a8	11.1837229437229446	0.932054576719576811
1d493d8f-e7f6-4640-8ab6-51ef3ecb97de	0	0
c65b2c94-773e-43e6-bb37-924f4b4c1ede	0	0
72512130-3258-4299-9103-d8efa8bf0849	17.1436818181818182	1.42875920486111108
e8fced9f-cf9b-48cd-9d7e-8042d93a4af7	0	0
84559602-f4d5-4b8e-a257-798a787ba21a	16	1.33344444444444443
83173fba-d5f5-47b2-88e7-4a34bea75b8e	0	0
0f040968-cec0-492c-9b6d-51f5c74ac4c8	0	0
1879f01c-35e0-4228-962e-3afeb1a1b630	0	0
d675bc57-3f48-4278-805a-f2e0b0ea66c7	0	0
714a8acd-4863-4d4d-801e-f917234ed9c6	0	0
a65e9f02-23fe-49ef-a35b-7ebf15f476d9	0	0
805a6436-ebb0-4697-9018-371add114b70	0	0
5482ac57-9bd4-4d7b-95b1-98668b9f4fee	0	0
d9bb1531-327e-4bad-979b-e90949508bcd	0	0
beff25ef-fbe2-4830-ab2c-b05413e45615	0	0
80cc6b40-72c2-474b-9254-5f28231accbf	0	0
608df3f3-c1e7-4a6d-98c4-88da601eec71	70	5.833819444444444
caff8fdf-dfef-4765-adef-3b5ce9a6254b	0.594125249072381956	0.049516543709980626
b8fa6e40-21b4-49aa-bb97-c27a38673162	0	0
eb2987a0-ae43-4843-8fa9-49900f30c925	0	0
92cdf731-0fe1-4b68-8067-5200ff502d79	11.1837229437229446	0.932091855796055802
d00270ea-9523-4be0-a85e-abb71466969d	0	0
8fffd129-9f0f-4e64-a71a-7afa560eb0ea	0	0
29e74b41-da5a-4ac2-bc66-9692cc12bacb	17.1436818181818182	1.42881635046717159
fb1e7804-65e5-4e30-9c20-12855aa06c67	0	0
a8a6867f-e47b-473c-ae8c-b5c9e23bf6a5	16	1.33349777777777767
55b0feaa-46bc-4e1a-a995-76bcc9a8f8b5	0	0
6cfde002-2670-486f-bc6f-df469c892459	0	0
5be58030-8a5b-4b12-beb8-e0c019c05a37	0	0
0cf583b4-18c4-47ca-a667-5ba5191101ec	0	0
f407c03d-bf11-4390-9faf-63e418977de7	0	0
ae6eb744-a253-4596-81fa-e53d8619198e	0	0
69f21414-eb24-48f7-98ba-7794bf3f421a	0	0
8aa931b7-e438-4f06-b230-10b9f0eea122	0	0
87c3a1a3-e471-4415-8c62-78377c08a1c7	0	0
c7f12780-0dad-4d62-9d3a-cb0f8e3ba2ae	0	0
9c4277a9-3b12-4680-90fd-400e35ae044f	0	0
196288eb-f430-477d-b5ff-f0e4a1216296	70	5.83405277777777709
afde14ef-1d75-40e5-867f-803db721e2b2	0.594125249072381956	0.0495082919704101787
b0aa3997-4fb8-420b-a201-62bd3839cfb2	0	0
55f3f16b-fe62-4081-ab9e-45a10276badd	0	0
ad84655c-cb44-4e87-9ef3-274b2630d902	11.1837229437229446	0.931936526310726432
f66a2ee9-4db8-467f-b7ea-bd5e6f6b7f86	0	0
64b05563-d982-4bd7-aa5a-b22cf5178858	0	0
e501df24-b755-4228-afdd-5eda9386451d	17.1436818181818182	1.42857824377525255
86def8ee-a3f9-4a73-8f87-de5151fce929	0	0
f83c7186-af42-45da-888f-7215a16910b4	16	1.33327555555555555
803e63cc-d30b-48be-ad11-25826b1b0fd5	0	0
5bcdaca9-b79b-4df9-9ef2-2b8828332935	0	0
8f3749a9-0647-4057-a458-9e44f49419f7	0	0
2beabab2-04bb-49e0-8120-c921de11af2b	0	0
e433ca19-1bd6-46c2-9b0d-e17fe1415763	0	0
2ef7a564-dd25-4aa7-9251-a54da2b855cb	0	0
cee196f7-7a74-42bd-9f7b-b423f9773e63	0	0
15fd8633-4343-4d2f-9a0a-3140fa3079a3	0	0
37c6ff72-3e5c-420c-9f4c-c9b0cf868ea2	0	0
aed69928-09e1-4902-91a2-13566eb164a3	0	0
e4a1e1df-7f4d-4651-bd31-317aa304d4cc	0	0
0850fc67-f333-467b-8e9e-c95b510689b5	70	5.83308055555555516
0ddcf528-af9a-4d53-95fa-4b562803cd91	0.594125249072381956	0.0495099423183242709
454ed761-3eaf-4494-adeb-0ef7a7f30851	0	0
d159d3af-0918-4a95-8085-ed8da0f84fd7	0	0
64a11ccb-47c5-4287-b37e-8499ff2fe90a	11.1837229437229446	0.93196759220779235
3c7d772a-f5bb-4971-994a-6560f2ab4896	0	0
5ab409a2-bc8b-4aa6-962b-410588e2e590	0	0
89a9d3e6-cb7c-4d27-a2a7-29b47f9df439	17.1436818181818182	1.42862586511363654
92cc6269-de64-4a0f-8d16-c3de06acd4d8	0	0
c6737690-d26f-43c4-8c01-6241ed428236	16	1.33332000000000006
71019eb4-014e-4b57-9cce-161ad484fa36	0	0
53386fe4-ed78-4274-a0eb-8fea08bf7ea7	0	0
8de86b07-b922-4e78-8e66-32b2d191f284	0	0
14b10129-025a-4300-a7bb-6aa3764b5c7d	0	0
9c0d820b-ceb8-4ec9-9ea4-8260f3d4412c	0	0
1fa7f708-5f6f-48a3-8be1-2c55de5c1134	0	0
7ea394d5-2921-4fb4-b8ce-40762865091c	0	0
6d49206d-74b9-4a16-becb-aea2ddc48c40	0	0
ca128ccc-452b-47e7-9f11-e8fc08f6f54a	0	0
e177c652-72f6-46ac-99c7-235393866c47	0	0
23aa0720-4bdd-4b14-9b4c-37efa29e095d	0	0
0a25106c-3f09-47b0-b483-6b65af196df4	70	5.83327500000000043
95a7ad0c-f5d6-4f67-beb0-2f886d91e809	0.594125249072381956	0.0495158835708149961
6c5f6ad9-05e1-4c73-a3cb-3eae6885bcf2	0	0
d4a120bd-e887-4d51-80d9-fe644d8c2cc6	0	0
fd7ef459-ab7b-46a7-afe9-d1adc8ddbe53	11.1837229437229446	0.932079429437229545
3530a577-8def-4360-a421-203521f62ca8	0	0
39261256-b3a9-4936-9642-dac0bcf74955	0	0
cff2b65a-1d38-45b4-be34-353f3879115f	17.1436818181818182	1.42879730193181809
9e114f03-7741-4120-9ca6-539a7b0bdbbc	0	0
948dbd07-c7eb-4674-b954-19dffae444ae	16	1.33348
0109ac66-cc49-41e1-b006-1fbc3c133910	0	0
68f8377b-b9cf-4dfe-8cde-48c9c943e93e	0	0
d63d5637-f773-48f5-96f3-c9a15c195b0b	0	0
749a07cf-5c44-4848-a257-3919597b6508	0	0
d3e9d9b0-9901-468f-8172-100f52ef552a	0	0
634447c0-9c3d-433f-a756-ca65235107da	0	0
7113aa2c-eb8d-45e7-beaf-d452150174da	0	0
576bd66f-6058-4975-a694-78cf649c791f	0	0
9a6589dc-36ca-4205-9143-d44c9c787015	0	0
dbf60fc6-7e32-42cf-97fb-a3cc613a9f62	0	0
6a95c91c-5d44-4faa-a877-e6b333d2a5dc	0	0
7d0e8730-c4a4-45ca-999b-92ecfa6aa75e	70	5.83397499999999969
99a00f06-56cc-43e7-a49b-525a99e8d47e	0.594125249072381956	0.0495124178401954093
3b37ab34-dd6c-4465-a6bd-4a37ff6e9e25	0	0
9eb32996-5ffe-47cf-aead-daab4d177f92	0	0
a65d3035-43ce-4013-afee-30a87e3b6a0c	11.1837229437229446	0.932014191053391117
70eae0bd-b15a-4080-be45-41ade232f6ed	0	0
079bc537-ff9d-422e-8012-1ada4fca38bb	0	0
c9b86b0c-c54e-4025-a0f8-c2c2b23e930a	17.1436818181818182	1.42869729712121218
c93597b3-d863-41b5-866e-ff8211598cca	0	0
e5e7025b-7176-4b18-81ff-18306b78af46	16	1.33338666666666672
cfd1af82-9aa3-4cd5-b924-af25218acefb	0	0
24be905f-427d-438e-930a-c8108070124a	0	0
20ffb00c-19a5-481f-88c8-abfcda6b743f	0	0
e5b0ad91-ae7f-4e43-9704-f8ee8357550d	0	0
1e118813-57b3-41dc-af0c-9281cdcc35d9	0	0
c552056d-9be8-464e-824b-1fe125ccf58b	0	0
02326970-e0e7-4969-84bb-7f91f89092d0	0	0
543304aa-3742-4b36-ab19-3676354b87d9	0	0
9d77d504-5de3-4192-a6ba-9d060e306511	0	0
ef957b1c-ce1d-467c-8a55-0d86ebb6eebf	0	0
df27019f-6b68-4e2e-80b8-fda878fd218b	0	0
5d42c8cb-52c7-43de-9e1a-82d0563f1c5d	70	5.83356666666666701
68323171-fd3a-41bd-b786-9b9975ee82bc	0.594125249072381956	0.0495142332229009038
58bb7a3f-7e7a-43ae-b43a-6594da255f14	0	0
775e9449-e1bf-48cf-8c3e-df72b4ef028e	0	0
378c5019-2342-4117-bbaa-4a5116ae00b8	11.1837229437229446	0.932048363540163516
188bbad9-f28b-4abb-9054-7d8776b782ef	0	0
f90acf35-670f-4b01-9697-9a3234bd7cd0	0	0
240bda97-70d6-4bfd-92ec-db113103f4d2	17.1436818181818182	1.42874968059343432
a7ecc460-b8ef-405c-aaf4-81242e68f35d	0	0
2b97b98d-4b58-49e8-ac0e-2f1c5d3083a1	16	1.33343555555555549
0195a28c-fa7a-4768-9805-49ad4e0b654c	0	0
80d79e54-91cf-47ba-a44f-35cb4f8dc323	0	0
7cce2741-81c3-4ca4-a92e-890f68aef242	0	0
7e7dca90-a0e3-4467-ae83-ef3b359874a9	0	0
473f38d2-8bb2-4f2a-82a9-fe851fdddcbd	0	0
a46e9144-23a5-49da-a620-a2e1206f90bd	0	0
172d7459-ad06-4e65-a749-6320f8198f48	0	0
41d0f963-5af8-4051-87fe-82401a5b4661	0	0
d207d2b3-e6dc-414d-967b-4aafb305a644	0	0
714c7b23-ea71-43ed-85b7-6797166bdb68	0	0
5bfce7c1-9684-4634-ba2c-63c6272b6bed	0	0
3353715c-98d7-497f-9c36-fe2daf670caa	70	5.8337805555555553
f7f2b094-aa66-4cd0-914d-c7ccd6980991	0.594125249072381956	0.0495153884664407615
b871a493-1c78-46af-9909-716819108856	0	0
330d414d-0567-49d7-b041-874bf41e0906	0	0
fec3540a-234f-4f12-b273-ed52f9b317e5	11.1837229437229446	0.932070109668109659
d7b98491-54a2-4b76-87ea-1ac223829ea1	0	0
f2364c2f-70c3-4b55-91e2-e101eb9a2d87	0	0
dca73b68-dc60-43fb-9f8a-98b95330e744	17.1436818181818182	1.42878301553030296
9c915259-ac51-4110-9e7c-5f43365db43c	0	0
af7d333c-c400-4f43-ab64-b3acc59523b9	16	1.33346666666666658
587a9c78-12f9-4a42-8345-51d08c6de4ec	0	0
cab57343-1b81-4a30-928c-967d80f09b8f	0	0
98a3acf5-66a6-4d80-934d-59c3b6fbd506	0	0
e3445c60-76d5-4941-88f0-cd484d8b8bdb	0	0
18ca3a24-6fa2-4821-9747-ea1efabde539	0	0
77b1527c-5967-44e2-ace4-deb686756861	0	0
aee67ecd-6408-4eaa-9a95-91d9657ac5fa	0	0
9a8b485c-14f5-4931-88f0-43cdb2d6bf4b	0	0
23b10810-8560-4178-b028-b0eb80ebe068	0	0
52a325a8-ce5a-4eb0-b1f1-453403717bd8	0	0
3618561c-488b-4f06-a799-f5e560c44daf	0	0
a4397886-4938-402b-93b9-012463954c23	70	5.8339166666666662
08fee700-2d14-4443-8f03-aa3df493bfe1	0.594125249072381956	0.0495115926662383563
646ef3d3-44a0-434b-932a-f3b5c6a687ed	0	0
444b4f64-1d98-47bc-82b6-d7e5bf27a6b1	0	0
1997725b-e46c-4661-a548-b502c7644e9f	11.1837229437229446	0.931998658104858158
9221a582-221a-493b-bace-9a742aaad072	0	0
d7965284-cbb2-4841-933b-c3551f45623f	0	0
41f2fac5-1af5-4a6e-87a2-5ae77ffd9c7f	17.1436818181818182	1.42867348645202008
10df71d1-e8b6-4163-b46a-9d3c63a7edbd	0	0
963a2f9e-d25c-4825-985e-19995b41c25f	16	1.33336444444444435
40d40d37-2728-4a0f-b3fc-486441f08a3b	0	0
c6708561-6145-4b25-be72-4c13a39becfd	0	0
d8e4d895-98a0-4098-a41b-6b01a91eb394	0	0
20b99060-c94a-4007-b022-b0a49e2c6149	0	0
b0f5af25-a7db-4c60-8a25-a5e1af489142	0	0
809dacfa-63b6-494a-8d58-36a58ef8ab01	0	0
8c709a32-c301-4e27-9233-14773f07123c	0	0
695c959c-23d7-47b0-ba73-1fa4198596fd	0	0
6bd6e53e-d8d5-4b60-9edf-ce8a58ac5af9	0	0
ffeffccd-38b3-4264-b7fc-6097a2c2b726	0	0
1da61cbe-1bdf-426d-9632-9dacd73bb032	0	0
c04ef8c7-e11e-46be-b536-f9da01c25586	70	5.83346944444444393
cf9992af-600a-469f-8870-ee0a9ef12982	0.594125249072381956	0.0495157185360235799
66eb4032-6ac1-44eb-a6d8-eb31f3e92d26	0	0
99ab85a2-6263-443d-a8ac-2803e0e375ff	0	0
1d7fab3a-cc17-4a18-8698-0b3ded13313f	11.1837229437229446	0.932076322847522953
c0c39e84-70e0-4e64-9cf6-0e7b2208ab45	0	0
b032da0d-3ab0-4ea1-aafd-bda5a29513b1	0	0
1e0b7d88-a360-4740-932e-8ef94ce3b740	17.1436818181818182	1.42879253979797971
a8a08c17-354b-475e-9475-de3c89249e07	0	0
124f3ada-5768-40c4-8d75-b8bc4da8c85d	16	1.33347555555555553
ced8b04a-a5ea-494a-b028-20acfec3e985	0	0
d9fe38c4-b46e-4c1d-92a4-624d95e4e60e	0	0
735bb18f-0d4a-4de2-81ee-4e91c0c8f49b	0	0
7539703f-56c1-420f-8bde-922d9afb361c	0	0
199e6f86-5371-46b3-b0e1-04b4e1301fa0	0	0
a43ef5a8-712e-4148-b0f2-00bb49a6b011	0	0
04cdb5ff-6eef-44bb-8b21-e4664674fab4	0	0
f6cee1ce-e4a0-4d6b-8886-ee96fd2f4993	0	0
12eef067-f5ed-4d36-982f-8b7e8212ff7c	0	0
4e2b366e-3233-4193-afaa-abc1ca53ee09	0	0
c03d8ed4-6e14-436f-bda0-7e158bd995e4	0	0
77db0c07-7f70-4de3-8ab3-23b551d9b351	70	5.83395555555555578
72fec9d2-6768-4a3d-b9d1-cca24f4700b7	0.594125249072381956	0.0495143982576923131
6d63e266-ba68-4274-9671-12882d03e7bf	0	0
3f66ef47-dcd4-49e2-823c-2a0163ca08f1	0	0
59e1fd3f-c8a9-4a51-b395-303f3da06113	11.1837229437229446	0.932051470129870219
fdb61adc-885d-4478-abd1-ec0525a80662	0	0
69ebb9c2-32b5-4372-bca8-3a2340cb13ea	0	0
608ce71e-be98-4342-9460-6f45506c9cfc	17.1436818181818182	1.4287544427272727
9f874227-a25c-4462-ba74-3d342d1cdd86	0	0
1ed80f25-d0e6-4aee-908a-4f52b18b873c	16	1.33343999999999996
f1f98f5b-9f65-452e-91ed-684f49371453	0	0
8b7ffdb4-f2a8-4c99-b93f-47cce3334724	0	0
ed8e3032-2c3e-4a38-a5c4-991abad60ff9	0	0
f7d0a24f-e155-4115-a311-fb1a054f55b5	0	0
34eb9ae0-5c76-4369-a6d4-a0aa4d1c61be	0	0
1ad9b7ae-c0eb-40eb-b9c8-f08ec5e55499	0	0
a158cdc1-712a-401b-8459-7ea06a9d86fe	0	0
6c3438c4-ab49-466a-ab0c-c2ef728fbf86	0	0
bc50e4ae-a208-4839-bd3b-ef608f19158e	0	0
c034d669-064c-45b8-8c4a-b66be9e3dc78	0	0
a265b767-eb5f-424f-a042-29dbc2cdd057	0	0
333714ec-9dde-42f1-8d44-a6b1ee7ab6f6	70	5.8338000000000001
54b34124-a1db-4bf9-b545-cb749e96e122	0.594125249072381956	0.0495155535012321707
2c5585a7-1fc0-41fd-8fe1-c4ede82db01b	0	0
07539e99-0290-4c6b-bebe-2f2f9d2170d8	0	0
07dd5036-3d65-4733-8c6b-f27664172c75	11.1837229437229446	0.932073216257816251
1e85d589-285e-4db8-a66c-24e9821afdd3	0	0
6062a632-af48-4249-89b5-e2df11401181	0	0
75282204-ebfd-45e4-88cb-c1419dc7a280	17.1436818181818182	1.42878777766414133
0395e83f-b3fe-492b-8912-28c61d283ffc	0	0
d41235ee-82c1-4e0f-a1db-42f852b0e5df	16	1.33347111111111105
ce0b5f9f-d51c-4a23-9418-6ff5eaa9bdfd	0	0
f546622d-1fdc-436c-a012-869f0bfa88a1	0	0
d6eaad2b-b414-4dd0-8650-f9f355f7fdd2	0	0
d58c23e2-a953-41ed-b1aa-17fcf6a23e62	0	0
b70b5806-5984-466b-9830-408114676f4c	0	0
d292d660-6025-4663-a33b-eaae91afb6fb	0	0
e1840ae6-8a49-472c-a259-9ea5d6a66a7d	0	0
c551499c-119e-4eb3-b38a-d2a28cc20b41	0	0
f51d67a3-fb42-4e5c-b493-e9843a565f10	0	0
c80c1b77-9139-4081-b5bd-a9cd7a4b159c	0	0
afcf90d2-66ef-4f43-88de-eab4e498c026	0	0
221a908d-3986-42bc-b1bb-bd9d9e83fadf	70	5.83393611111111099
002e7666-07dc-4d94-8ee1-1e9cf9c65230	0.594125249072381956	0.0495155535012321707
9c072bb4-21b1-432f-bf63-f76672e4e93d	0	0
e1dc9a18-f665-44b5-8ffd-72e960595518	0	0
0a6324be-a0a2-4c43-8d12-08933ce2acd6	11.1837229437229446	0.932073216257816251
ca7e6f03-3408-4ba9-9af5-3469ae6d5dc8	0	0
653d9d76-368b-4d8d-bebf-7edecf7a21d3	0	0
7144baa7-ac12-44ad-807e-02841de92fab	17.1436818181818182	1.42878777766414133
400920ff-2fe3-487a-ba4d-8ba81acf0a6f	0	0
7032d033-956a-4c9f-a8ef-dbb7fc92644a	16	1.33347111111111105
a4d27884-ded0-485a-a67c-cc18e30f4a64	0	0
6de5e4ed-d3d3-4b01-b4ad-525f3db4e349	0	0
17f0a4d5-27d7-4a1b-a4ab-a0d869f0a5a1	0	0
dd4f154b-0fbf-4251-b3f8-a7100273be6e	0	0
cffdd1af-ef96-4171-8f05-e03bc743a692	0	0
64395560-52f3-418c-ab02-840f51357470	0	0
6d88b1eb-96a7-4145-aff8-ebcbf9132f33	0	0
a5dd5dcc-9cdd-4c15-8145-db12855eb418	0	0
a9a8812e-3b03-468c-bca9-b4a6dae2fd0c	0	0
be2c4d40-7049-438d-a61c-63ffcd56f9b2	0	0
e39d89f7-971d-4702-baac-6add87a39d12	0	0
b558f2de-63af-45a3-a485-464eade389f5	70	5.83393611111111099
3dffff9f-371e-4b26-919e-b45a0f2810f1	0.594125249072381956	0.0495163786751892238
82da294c-9747-4d6d-9a62-9db5c7f53669	0	0
a5972be6-0a30-4933-801e-d2d5984b3fea	0	0
5ea45cfc-4a33-485a-90a8-7383aff501d4	11.1837229437229446	0.932088749206349321
af6a351a-4be6-49af-a204-398c338acb3a	0	0
a7e390b7-5cec-4cb7-a620-206fd43b21ee	0	0
212bcc3d-07c7-4580-a6d5-b437789d541a	17.1436818181818182	1.42881158833333344
4245f908-27d5-4e53-8caf-71d83a32743f	0	0
8d076aeb-5a0d-49c0-9955-7f027564155c	16	1.33349333333333342
4bdbffd5-5359-4448-b8be-c8ef5b8d8f5e	0	0
9831946f-cc36-4047-890e-85a0de3a24e1	0	0
b43edc12-7fa4-4d43-a7eb-5280daf7f342	0	0
26b920fa-d091-4d4a-b32b-4a23590932d5	0	0
8e6f6578-0bad-4b99-9cca-a6e435880b9b	0	0
26bb187d-559c-4471-b71c-0e8ca6e5dea0	0	0
d9a8827d-db7d-46fb-9ec0-2e4cab37253d	0	0
a6ceedf2-64eb-4a79-a33b-4916235472d2	0	0
4023b326-c0dc-45fb-878e-5a408020e5ef	0	0
43930c88-88e9-4b0b-8725-1697b2a1beb5	0	0
1a6518c7-d32f-4d15-b65f-f30262974b39	0	0
1ba406a4-77cf-4b4d-99f4-8c7d780a8546	70	5.83403333333333407
fe237e2d-9841-4372-b1ed-f683d85cf3dc	0.594125249072381956	0.0495094472139500433
1ca6e09e-3af8-4c04-b503-0b8449c82443	0	0
531910f4-c24a-4ca3-aaaa-6d62dce6445a	0	0
fa2b835f-b791-4384-ac2f-3a946d42fe33	11.1837229437229446	0.931958272438672464
1aae86af-c43b-46f4-99a2-bc256c5bb724	0	0
b31ddc29-33cd-4871-910d-b88ef8b24d52	0	0
fff55ba8-9c38-41b7-80ab-5040c66bb85c	17.1436818181818182	1.42861157871212119
819723e6-5814-4ec9-8ea1-c7699b9e6575	0	0
a9746af1-cb1f-4afb-9d67-8f433bf9bde3	16	1.33330666666666664
34536a4b-4edb-4b31-97fe-0c7bd3d40d79	0	0
c0e7a8d7-f1ea-4c66-96f2-a4b1a974f0d5	0	0
ea3bce67-79c5-4939-a4ea-08bf174646db	0	0
3a1059cd-64f3-400f-ab9c-024ea4c2da12	0	0
bc12542a-3868-41cf-afdf-3085d26fa7ec	0	0
9c46356d-31fb-484c-add0-9a079e3a41f2	0	0
8b2f787d-8227-4516-b546-a9ab5bfc7a05	0	0
8b8d3f0c-b0e2-45cf-80f1-9cc8921b7203	0	0
5153bbd8-54df-4ecb-bf7b-fb437697ac31	0	0
ead4418a-4014-40e0-9ea0-0f1d94f4fd1e	0	0
b26132c0-6c84-4be9-af24-4ae5012f268f	0	0
e1f8c43e-3459-4e81-a4d3-01118815c221	70	5.83321666666666694
98f1cd57-cf4f-41bf-b451-a1a5469a3468	0.594125249072381956	0.04951505839685795
64444180-418d-47fe-b658-c56c8a4386b3	0	0
dc402cf5-68ea-4d71-b3bb-d60ef6e392e5	0	0
1013c2e3-5d36-43c3-927e-0c38276e0dea	11.1837229437229446	0.932063896488696586
77bd1d3a-96fe-4655-972c-626b630a6698	0	0
42fc9989-402a-4ee2-85f1-674b09005d55	0	0
c27ee4d7-fa8c-47d8-9c1a-269e6d1eb50b	17.1436818181818182	1.42877349126262643
82f48c4b-3c4a-4b69-84dc-872b6e6331c8	0	0
506453f1-7e37-4ad2-af49-7789939b178c	16	1.33345777777777785
ef5e2237-5369-4443-ab80-06c314e0b19a	0	0
62faf61b-f14c-46dc-9317-5c528c644af1	0	0
5bbb6e41-883f-4b83-9e4f-24611bdb581e	0	0
18295bb6-2ef4-4e48-9640-8922ea196fde	0	0
c0de25ab-b540-4a68-ac33-55d906071aae	0	0
a274291e-da0f-4d51-885f-5bd1d75bb42f	0	0
79c9b979-3579-4faf-8f2c-a170d87f9025	0	0
df0e4fb8-11a2-40a2-8c89-5d80620a7dfd	0	0
55f3da83-4f91-4fd9-9047-5f46fd2f1c3f	0	0
47c18f0a-2024-4691-a3cb-29682691eb93	0	0
dc768156-58d0-4d38-b6c2-48e5471cd1ad	0	0
52235986-69c7-4a87-8872-645e37edf397	70	5.83387777777777838
46939307-218f-4776-832a-0a58298e4d36	0.594125249072381956	0.0495155535012321707
f726fc6b-8988-40ea-aad5-b1e07f56a8fd	0	0
d4a99e42-7f70-471d-b118-6a9bf93ad4c5	0	0
6f18f37e-78a8-4e57-8d2a-04e7a685a30a	11.1837229437229446	0.932073216257816251
c837c629-ac59-43da-9c2f-b84fdf0baa4c	0	0
080d35e7-7951-4faf-8817-88cc241d1218	0	0
50aee14e-b580-4480-9e14-f8ea4281a875	17.1436818181818182	1.42878777766414133
e5b92d0c-5870-449b-b653-2878afbe003f	0	0
4f9f0417-fd89-43b1-a296-0f72a6ad40bf	16	1.33347111111111105
1f74e9ab-05bc-412f-80fe-7b5700afb796	0	0
203c7056-2919-4c19-b4f2-ae47af3d9e9e	0	0
31296424-e28f-4a1b-938c-55c8e689683e	0	0
a65d1575-3d04-4d3c-bc3a-eccceb1448fe	0	0
b41a3e72-d29b-4e51-af98-eaeafa02f3e6	0	0
8a10299e-27d5-4b3b-9bc1-dd93a909ce97	0	0
2b4edf82-9c4a-4871-9ff0-615a8ccc774b	0	0
89854334-b2a5-4b1e-bef0-2759a50802be	0	0
d821e3ad-732e-4913-a641-bdf7e8395111	0	0
08d2f490-c7db-4f25-a902-5e112cbfc046	0	0
facdbb8b-bd1e-43b1-802f-b15f4a60a897	0	0
0707f1f1-77d3-4f1e-80cc-10ac3c254764	70	5.83393611111111099
b2aa297d-522c-428f-a038-c3774c2072ed	0.594125249072381956	0.0495135730837352669
25ca0964-21d0-4e35-9f7f-8f067cf5064d	0	0
b412247e-1975-467c-832f-b518e85080fe	0	0
3ce2f275-0580-42cf-a052-f2789bb0eae7	11.1837229437229446	0.93203593718133726
3d7b10a3-aa25-4ee8-a593-8aaffaefcaf0	0	0
065f65ef-514e-4650-a858-55ebcbeefd70	0	0
cb855968-e65e-4c89-a246-616e78594e00	17.1436818181818182	1.42873063205808082
2207248c-3780-4360-86ab-9ea3ffe64860	0	0
944d6904-191b-4afc-b018-abffa21cc1e1	16	1.33341777777777781
c6e2a6d8-2a75-47ac-bf82-3793d862d6c8	0	0
163a6c19-c4ae-4407-98bf-a0d24128906c	0	0
689f0b46-0a8d-4152-9ea6-bdc0b21fa211	0	0
c03ba922-bf3d-496c-b771-590b6461f5c9	0	0
1d836c53-abf1-4e83-832b-47fd91188c32	0	0
61685b7b-16fe-458e-aa90-20ad46d7f5ae	0	0
9f50e58f-b059-430b-8908-3f6aca30a1cc	0	0
b5991e52-a0fa-4189-9946-2d85ac9b568c	0	0
6f705b00-4151-44bc-8994-bf5e305b4f82	0	0
e6351cee-253e-40b7-8b1a-2dc0415b49e9	0	0
838cc440-8ec6-425c-8eb5-e74ad8852988	0	0
3ec05a5d-f79d-4333-86ee-a3834a745fa6	70	5.8337027777777779
8ac692b1-e4b7-4e4a-a308-ae1e90121942	0.594125249072381956	0.0495143982576923131
173e30f0-9c54-4490-9f72-7e63725bfeed	0	0
5337b1d1-670b-4ed0-8130-1e9072438907	0	0
0c4f7ca6-eb82-48f9-989a-f3135d74638e	11.1837229437229446	0.932051470129870219
0075fbe0-6a94-47bb-94e2-2b0c16747f9c	0	0
2357c7ed-6002-440a-96e6-5de09150e798	0	0
8f4098ad-fe1b-4fd6-94ab-3d9c6745e74b	17.1436818181818182	1.4287544427272727
4ae47e5c-b724-48ec-a74b-abb0634f901a	0	0
936f0b2d-6cb0-4e13-8dff-d563bd62fe67	16	1.33343999999999996
8c994950-92e0-4390-9f8b-0dccffde49ef	0	0
8e1a7ed7-a9fa-448c-9700-3025db49f77b	0	0
ff806b43-c3a8-4704-b432-398e502cb587	0	0
b3257c1d-28a7-4b1c-bfc4-fee8ea5f3b37	0	0
8b6a5979-1bd3-4810-95ed-b321b0ad16ec	0	0
d016aee0-f515-45dc-ab08-02374104ad89	0	0
c2c3caa7-b064-4444-a295-dc3a2a0c42b3	0	0
6fab5be3-519a-4009-a5fa-57f0cf329ba9	0	0
7f7082d5-e17f-4c54-ba21-88a512fe6afb	0	0
abcb8083-1391-491c-acd4-aafe37e05e6a	0	0
e84acdeb-aa7a-41b9-87f1-4d8eea76a4f8	0	0
e4b97b50-7c57-4991-80fc-f9a82be91543	70	5.8338000000000001
7ee520d8-4488-4ff9-941d-072b03525cbb	0.594125249072381956	0.0495122528054039931
06b236ff-ee4f-4293-ae93-4441a2e686fa	0	0
59da0b1b-7646-49f8-9706-537eb5c39de4	0	0
77e027d9-fbb8-4182-978f-9c2ea9e465de	11.1837229437229446	0.932011084463684525
87668fb3-e486-4cc6-be45-4792ec1e16e7	0	0
6e6e378f-6fd4-4530-a893-63e30759e16c	0	0
7ceaa7ef-6efd-4cac-8aaa-140c47e03850	17.1436818181818182	1.42869253498737381
e27c12fc-7c7a-4f63-9b56-ada0a7e1222e	0	0
53c71ea7-cef2-413e-8429-d2c3ff25f80f	16	1.33338222222222225
f771b9e8-0b14-4155-ac66-dddfbe697bdf	0	0
64e88f35-8ae6-4a2d-8abb-f430c18b36d2	0	0
b819647c-08c2-48b5-9809-19487d065cd5	0	0
c4b17fb9-5c6e-442b-8b45-34b01c08c55e	0	0
a9fbc4d9-6bb4-4c5f-b3ab-91ac5048456e	0	0
2fd1200c-b9e4-489d-b019-eb61eed3bf9c	0	0
247f46a0-9676-47d0-a1c6-1dffb75cd2d4	0	0
3507e019-518d-4aff-b920-6320b4436379	0	0
7f1bbe10-52da-4e6c-9671-4cdd2b7025b6	0	0
2a5b05b8-cc5e-488f-9201-38d98ddb8732	0	0
90d6b44a-fee4-4f9a-818e-c177189fea64	0	0
a8c8372b-70f2-492c-9755-ea430d51aa43	70	5.83354722222222222
74e8cd40-2b69-43dc-9959-891217b9fb2d	0.594125249072381956	0.0495124178401954093
720af148-a880-4597-8392-78c86276684f	0	0
db053b82-16d0-46e4-adff-6125b2617378	0	0
622f3886-0e3c-47ff-a0b7-e06532023df9	11.1837229437229446	0.932014191053391117
16bf3184-1769-4016-a896-71d3f4bd06db	0	0
82f1f4cd-9c71-4785-8f66-4d52d05894c2	0	0
f9c27721-7ee0-4c83-983b-e959824c25c5	17.1436818181818182	1.42869729712121218
0fdf3187-ad0d-4a29-a88a-104167959c4d	0	0
b53aac60-d3c2-4684-bdf1-1a8baa7a62da	16	1.33338666666666672
f634f72d-fb5a-4a6f-8afc-6d16059457fe	0	0
11c0f19d-1051-4788-8c94-bab4abddc8fe	0	0
a8311de5-8479-4bbc-885e-b84b7468d285	0	0
09ed08f6-301b-4195-b95d-080d512827ce	0	0
c0347643-6628-4d37-8cbe-82ae9c521fc7	0	0
861f4998-711e-4e6e-843f-f8d2a17f7e43	0	0
e55b8c65-28ce-485e-ba46-086e6d92981c	0	0
96240160-897b-46ac-b115-42d914fa0219	0	0
4f3b974b-9ef6-44c1-94a0-67f0546ef498	0	0
aaecc4a3-4c89-4c41-a266-41234347c801	0	0
91c01cba-bb0f-454d-8567-9c5e5e944b7d	0	0
7eb93ad9-b4b6-4aa2-9170-5cd885859a28	70	5.83356666666666701
7399e123-3fea-4b4d-978e-0eefe1ac1613	0.594125249072381956	0.0495142332229009038
cc66b2c6-7ecf-42fe-adaa-ab7c2fb6cc4d	0	0
b6fda8af-eabf-4ea2-bcfd-6674ca41b48c	0	0
7a12b4ea-4c21-45ce-9a6a-0f844acdd9ff	11.1837229437229446	0.932048363540163516
b593834f-617a-44d4-b307-07279d62fb6b	0	0
48f1233a-d156-4f0b-b2a4-ab6a0d969a33	0	0
2951f4fe-1b67-4f13-b296-1dce2ccd64e6	17.1436818181818182	1.42874968059343432
0bc17ee8-04f8-4823-bdbf-91846e1f2dcf	0	0
a0a32017-3fee-4b33-9862-75171511343b	16	1.33343555555555549
a15fad36-88c8-4138-84cb-a9ef1040aa69	0	0
3100c365-0910-4c07-bb0f-c3ffd7cb2879	0	0
c082280d-5b5a-4cdb-9db6-a3bb09d81675	0	0
71ecf6ba-2dbb-465d-a9bf-46054efed33f	0	0
b927cf9f-7115-4f31-8ef5-521c11d46d56	0	0
651aa442-3b8f-4718-929a-06e3c2504d2d	0	0
6e84514b-4cb5-4adc-ab14-47ecdbcfe218	0	0
98545ff6-4647-49fa-bccb-d332668d73c8	0	0
e971b751-db0e-497a-bc2f-70c3b470b41e	0	0
43505027-49d6-4fc0-bcb1-d63a0e34612d	0	0
4b61c336-05ca-40bf-bb5c-135b9240b147	0	0
f8686725-9fa1-4ab3-9cc6-b682d8469685	70	5.8337805555555553
0e4cd6db-6acb-45a2-a466-19cea336c994	0.594125249072381956	0.0495086220399929972
b65d0600-629b-419c-b225-de576495000b	0	0
c8b3e867-d2d5-4caf-b32e-f20382074209	0	0
0274838a-9392-417e-85d1-8cdc95bc19ad	11.1837229437229446	0.931942739490139616
e677750f-0bad-4b41-9966-cc73ac405ce8	0	0
d6c20606-66a2-4a2b-a312-84c9a9d83ca7	0	0
c769f49b-d10a-4189-ab94-e7e5634862d3	17.1436818181818182	1.42858776804292931
ff46ea9b-ff6e-4af4-9add-f57da279fa59	0	0
3116e548-e3d9-4c6e-91b3-c8c45d446e7b	16	1.33328444444444449
8cc6d9a9-af56-4eea-acd4-a18f9ec280f1	0	0
6053b54b-623e-4688-b232-e2edad20512d	0	0
a3a06776-c0ea-476f-9aa7-e5229e01b770	0	0
5b0ead28-6596-4a0e-a7f9-3426d7e10947	0	0
4979b08d-5fad-438f-b30c-7cd892710751	0	0
f4d1dfd8-0682-4be6-ade9-e65f0ceeb3bf	0	0
c48b36d3-6dc9-4a6d-9e3b-aee3375fe4d3	0	0
639202a4-92dd-402f-a86f-a0cdf2d84d33	0	0
3705847e-41fa-4c6c-8732-37630428288e	0	0
cc5901e8-e1d0-4654-bb01-955fd08eb057	0	0
fbfe667d-6386-419a-85e9-f0e1e2ed921d	0	0
ba916ea8-2ecc-4335-a9d4-c329fc74b102	70	5.83311944444444475
91265206-05f1-4de1-bd2d-3322421319bd	0.594125249072381956	0.049516543709980626
1536fc4a-ae14-4c3a-83ac-cf08bff27096	0	0
465cc727-2b41-49d8-8f39-47df52b97763	0	0
84461978-3a4d-45ae-b0a8-2b72a8e47ebf	11.1837229437229446	0.932091855796055802
3f0176ec-8141-4902-baea-8ac39321da7e	0	0
35fd8d41-64da-493e-8fc1-e950744beac5	0	0
573f79fc-165d-4f9d-861f-8083475361b6	17.1436818181818182	1.42881635046717159
e5b88af9-ad55-415c-8734-44a074c355ee	0	0
ff51f712-375f-49bc-8d00-6c930e2571f3	16	1.33349777777777767
32a74882-6f14-4925-9638-36975a09fde1	0	0
cc5fd176-2644-4b2d-9f3e-27708492a65e	0	0
42078825-a459-4d8e-aa2e-9fe265e1d9d8	0	0
c34da0e2-e2c0-453a-869f-4663994d1e4a	0	0
2c0629e6-7a0b-4f50-aa83-acc57a21531a	0	0
18682bda-8de3-42f3-8096-64792ba830c7	0	0
1407ddaf-11b6-429b-b388-7aa7d6504dc9	0	0
85a13882-a910-4557-aff0-634060c63fdb	0	0
a9ff5b9d-ad80-4456-8ccb-881fab07f1d3	0	0
921d1e1d-029b-4cd2-a670-e29b5c09d253	0	0
d5dbf65b-f64b-4402-aa27-48f84163c643	0	0
ce882348-a4d1-4514-b915-33b649344ffd	70	5.83405277777777709
95990107-a1f5-49c5-8024-d71819cfa30c	0.594125249072381956	0.0495142332229009038
41f50adb-abd8-4b1e-ad82-f7d564a55c5b	0	0
c0343946-c2b4-422d-a1b6-ff9ebad9e9cb	0	0
0294ef45-dd7a-4175-a605-21fc30f0937d	11.1837229437229446	0.932048363540163516
2fb8f66e-c396-45d2-be23-7e9824c88f84	0	0
31c3f194-4cb9-423f-aa0e-5a209e3723bc	0	0
c85be5e8-7fef-410a-83a7-f738c2131095	17.1436818181818182	1.42874968059343432
17c4e0b5-755a-4694-8944-3a50f55da3ed	0	0
632a8be8-b831-4b95-8d4c-a3a36b7de654	16	1.33343555555555549
31ff0218-15a6-46f7-962b-bc9df1bbbd09	0	0
26593f56-6d4f-4d0e-b45e-5ec12b97a9c9	0	0
61314294-ce76-4635-ada0-ef2eb35b4300	0	0
3babb582-1228-4a40-88a1-197cd8335741	0	0
c29cd00d-7778-4ea2-ac7b-f9d7e1849df3	0	0
10977941-8c72-45ef-bbc3-b891c314f955	0	0
3813df11-97bb-4d0c-aafc-dce48098acad	0	0
29967bb0-bb51-41b4-9a5c-e4f7e9b16290	0	0
758bef20-cdc8-47c1-a0ca-667a1f1027c3	0	0
632060e9-d9e8-4027-8ee3-c3653fcc9b24	0	0
6db9d6d4-b58e-4550-94cb-40510b3bd021	0	0
318c9975-0f2c-41e2-8633-0639158ccc04	70	5.8337805555555553
1d3d7bb1-25fb-45db-a6c4-aa4394824581	0.594125249072381956	0.0495139031533180854
b4f6f33c-b419-4bd5-84e9-5d0a7723b9a0	0	0
c5e7e4bd-775f-4cea-b8c5-b54188cb801f	0	0
5ff7febb-ed2e-4334-90c9-187dea053708	11.1837229437229446	0.932042150360750554
b57408ff-5dec-4a4c-88ae-75173bf373e5	0	0
1a38853a-4907-4881-a4d2-57dbc5020892	0	0
ccc07008-943d-4cb0-b404-262643cbf795	17.1436818181818182	1.42874015632575757
51dec9a5-a25d-4035-a794-89e518a9f362	0	0
aeeb6bba-0f17-41e8-b554-3b38df0860e9	16	1.33342666666666676
7a99e553-0b5f-4bd0-be5e-304a1e2f41a7	0	0
1c275bf6-c1fa-4c13-bd92-98c6ad0d704b	0	0
6c6fd56d-8e0a-4d70-a6c7-534ae127292e	0	0
2fce23c1-16ce-4bdc-9486-70f2af1321ad	0	0
96246da3-585b-4e49-8283-06043a230b68	0	0
ca928f0b-bfbe-4c1d-a9d3-3462d43f8fb3	0	0
ea6a0a0f-689e-472f-b9ba-6c95a036636e	0	0
9f59590e-0b4d-4d43-b8d5-b0ef0f44568e	0	0
6c7bf4a1-27c3-4b2b-a1eb-c8a80ad278bd	0	0
88eca04a-a0be-47ab-ad64-a5107d7fdc6d	0	0
72f19f24-fb31-4b8c-87da-d2b9202c273f	0	0
d927755a-ff94-4039-8dac-e87a439fe18c	70	5.83374166666666749
2060f997-ec2a-415e-8a26-73687e8aa78c	0.594125249072381956	0.0495125828749868185
e8034239-db0d-4c3d-afee-987cc5708c83	0	0
de728dfe-4106-4f5c-89a3-1a668547b3d4	0	0
a85cb11b-6efe-457b-93d2-a6bec833d13f	11.1837229437229446	0.93201729764309782
9774d32e-8c18-43dc-bb69-79edbdd7163e	0	0
2141565e-8cb9-48f7-ad0b-020e89939ba7	0	0
5850cfee-0666-4796-a8a8-2a3313146dae	17.1436818181818182	1.42870205925505056
8e708df7-7894-411d-888a-4caf791fe1ec	0	0
08a08a31-9c79-48ec-8982-cbf76b6803f5	16	1.33339111111111119
0ec49b14-35f3-459a-908c-36b6ac1e6d44	0	0
8971bde6-cebb-44cf-af75-f272121079b6	0	0
23f64856-bc6f-4bf5-80db-5b85ef3abe88	0	0
91e7add1-8110-4092-92eb-f3b40f012ac8	0	0
a7855ef7-a82a-469a-b8fb-5c8728b1df30	0	0
547c41c1-4dca-4673-8e89-0f49c465c6d3	0	0
0f2fff61-af7c-48d8-94fe-328bed4e8991	0	0
19fb6dfa-4afd-40d3-99fb-578158bcf938	0	0
4b674d9c-de56-47a4-a86f-8a55bd951cce	0	0
4d639bd3-9388-4fd5-9b62-7854343691b4	0	0
517ea2ac-6c76-4bcd-bbcc-22d679c01843	0	0
6f96bf46-252b-4f15-8e48-d70fb0761933	70	5.8335861111111118
38dcfb28-ae04-412c-bc1a-45bda80bd422	0.594125249072381956	0.0495167087447720353
db774783-76fb-44f7-8b8d-090488cc18e2	0	0
79f7c5f7-811c-4326-8eb3-fcdd12af10a4	0	0
2adb5ff6-aebd-4c0d-87bd-8c9971fa5b09	11.1837229437229446	0.932094962385762393
c22862fe-4d58-4320-84eb-d951e2fb08e3	0	0
8ff41d7a-305e-4081-b3c4-a3a012b5f2a8	0	0
41a1362f-d7d4-41d9-b3c9-938a5a13a694	17.1436818181818182	1.42882111260100997
21619c6a-02ed-4035-9601-93ce251c1505	0	0
ceca8433-b6c7-4fe8-ba0c-cdd7f3eca6ff	16	1.33350222222222214
1937593b-f61d-43af-bb39-52c4f0e0a1d8	0	0
4952dba3-9bd5-43fb-8d52-07f245694903	0	0
76e6d085-f583-48c3-b7aa-6a1359358a61	0	0
bf601971-3256-4b46-94ec-e4901914a8ab	0	0
e5dc0f64-bd6c-4f78-919b-ec540085cbf9	0	0
def74d4d-34f5-4fb2-93fd-9403dce36a87	0	0
77cd92e9-ee5f-4499-8b3a-148656ca1dc8	0	0
98d9660a-6b35-41ba-b098-0f1a1eb37001	0	0
3137f94f-65e5-426b-aed2-200ac4c32d11	0	0
eea64f49-1256-4a08-b0cb-29e8572ad417	0	0
577e9360-74b6-45d0-ae66-6e9c085ccbd8	0	0
212ffa71-d6b4-4c6c-ac71-52e082437eb2	70	5.83407222222222188
6c746e86-0f70-41c5-b755-8921e1e949ca	0.594125249072381956	0.0495124178401954093
fdfdd642-d412-47ec-a475-42b220420cf9	0	0
8bef9598-1550-416b-b7fb-473053b5b307	0	0
c72e88e9-899c-4837-bf46-4798d69ab7c4	11.1837229437229446	0.932014191053391117
ee5b6ed9-90e0-4809-8639-d2fe5b8430af	0	0
8be1867d-449d-4dde-a520-3c3a0d3d344e	0	0
09bd8aa8-113c-4257-af98-04cbe35bf4c0	17.1436818181818182	1.42869729712121218
711973e3-e4bc-417d-b72d-da6da2dde49b	0	0
3cf22d81-9633-46fc-8262-e5bdd4cd66d4	16	1.33338666666666672
f79f92c2-0463-4251-a9be-d4effdc449ac	0	0
d558e221-c740-4bc1-8409-cdeb4516082f	0	0
1d2d78c0-bdf2-4ff3-8b30-8f6a13474b68	0	0
fc84ec85-fec4-41ec-9db6-cd0b0e0e4e1e	0	0
943860f0-668e-481a-be08-9fb4fa663628	0	0
72377057-7a0e-4d25-ac37-922c3d8d27ab	0	0
2135f2d9-81a4-4129-bd66-18ba28cf5fde	0	0
56cf76e3-f7ab-4453-bf41-ecacf096c39f	0	0
e16fb395-50a6-456c-84f7-7b6b943efb0f	0	0
9d915316-4b24-49d2-a0a0-9ea8c0876c46	0	0
b3c43f24-2260-45ff-8786-5e91c61587c6	0	0
21c0e1b1-bab2-4824-bc17-abc664a3c38b	70	5.83356666666666701
770c8bd8-044c-4eae-906e-fa1d631ce77a	0.594125249072381956	0.0495695198780229107
b1eee0b6-c7da-40b5-b283-8e389651c8a5	0	0
83f6189e-ac0f-4954-ab33-c28c99ed1de3	0	0
8c663264-24fd-4ff3-8483-0fac037f0f69	11.1837229437229446	0.933089071091871114
f5afb834-0871-48b7-a9b4-51668d824023	0	0
51e8f5ee-f8cf-4652-ad54-31bd30c1b23b	0	0
e3e7c195-a298-4d1c-92f9-850eba29126c	17.1436818181818182	1.43034499542929283
314c6635-71c5-4146-a9af-87ca308af6d3	0	0
33c5217d-a8db-496e-a9e3-a9e4fe3fac77	16	1.33492444444444436
c41658c7-6de9-4865-a499-97bf5e6c650e	0	0
adda137a-b256-434d-95ef-e8b447431b9b	0	0
fb1019a5-1225-4086-80c3-2ed530d49d01	0	0
1637e3c1-b17d-45d5-9541-0a4879c614ca	0	0
7a5c2c97-a03b-4343-b523-7bb4760b6eb7	0	0
1f48c9aa-e734-4e45-9170-205529406d78	0	0
ba07df82-2aa4-46f5-9749-73343539fd69	0	0
35f56e3d-0f99-40f4-af76-0038029ab8b5	0	0
854729a5-2a85-4fd0-afe3-dee4ee84147a	0	0
6e6fa479-ff5d-4d67-8de3-affc527cc4ed	0	0
a40d86ea-08cc-4791-a8ab-8a185102665d	0	0
a3a81a89-bcac-42c0-bfc9-a60d2fc2182a	70	5.84029444444444401
0cb1e2da-01ee-4df8-aeb8-29b7c2e87b0d	0.594125249072381956	0.0494564710459077517
a995af19-81d9-4b01-b83d-c9531d9424a8	0	0
034feda4-8671-4e60-9b77-fff46e018ce5	0	0
8d203f89-0aa7-4c72-baa0-e68cb68deb98	11.1837229437229446	0.930961057142857151
d8c73d3a-b900-484d-a8e4-131452272e47	0	0
ecaf4291-5820-473c-862a-2a2352b01581	0	0
17bdd236-9379-4b52-9706-5a8bbcb58d3a	17.1436818181818182	1.42708293374999995
dc91e485-b234-464a-aa10-18daa6e4cbe0	0	0
84980664-87d6-49db-8748-492507c3b3c3	16	1.33187999999999995
d4e771a3-27ec-4f98-a64a-0227add43a53	0	0
20694546-6d1d-4d2f-b275-ae9cfa416653	0	0
d6627de8-96c6-49f3-96ac-d515f6f56442	0	0
a478cf14-6fa2-4cf1-ad13-dacb48303e51	0	0
38a0fb3f-c7ba-420d-8dda-05176a12e513	0	0
ae2ae7d0-a79b-4e6d-bef4-1010fe0b92f7	0	0
66871aef-cbb0-4b82-94c7-538fec7eaae9	0	0
fb77016c-7742-404b-bbba-31580dde4d61	0	0
5a2e2639-79da-4233-ab4d-d819c7b867fd	0	0
99274a75-ff4d-46ce-9514-f1efc4d501a7	0	0
f18706bc-6a2d-4e5a-991a-e402bae6770e	0	0
c38d3751-437b-4946-90da-ea9df7fd0a23	70	5.82697500000000002
a0d3b8b6-d1a8-4ff2-9d40-e1cc7de09768	0.594125249072381956	0.0495147283272751315
303a16dd-0614-4af7-9d59-3c2af7c1654f	0	0
fd6555ed-9358-48cb-89c8-c489feec4408	0	0
94bf730c-910f-4542-9484-06f76188c057	11.1837229437229446	0.932057683309283402
dd36fc1b-7ec6-40e8-9fd6-826def3d46aa	0	0
cb63fdd0-c0d7-4831-99ee-a5a07f888d80	0	0
62ee8662-e575-41dd-8247-57e841067bc6	17.1436818181818182	1.42876396699494945
4ca5ebb2-277e-402d-ba02-0c7dea500bf7	0	0
84cf5b12-1d75-4eec-8edf-242a870b8edc	16	1.33344888888888891
0c7dbf05-f8be-4bca-84a9-5e6d46e803ce	0	0
2c0a4a49-4f56-4e51-949d-ecdb4bfbafd5	0	0
6d16c6f6-cc0c-4619-9ca7-ccd25ecb8158	0	0
ad867875-ecb1-4c2d-ba40-e2bc2e57dac7	0	0
9d248b41-ef6b-4aca-bbaa-ffe76d6f2ef1	0	0
ffd08611-6f10-41c6-aecc-f8b6d51df683	0	0
154c88ca-2923-45f5-946d-c5fe17ec5d6c	0	0
86ef2254-5648-42ea-8708-80784b82842b	0	0
d63841e6-2ac6-4f8f-99c4-6823a6b1b3fb	0	0
6ae4e2d1-9112-489b-93ff-11e68086d056	0	0
49f16f38-1b00-4f87-8930-e3d9517f76b3	0	0
5a89ed1d-8020-4d00-80c2-2fdedd59de77	70	5.8338388888888888
5d930f54-29c6-4410-bc7c-8c21ce6bd698	0.594125249072381956	0.0495127479097782208
a2160ffb-854b-4161-87f8-eff601190fa6	0	0
a146532e-cc76-4192-9b38-ee67cf456372	0	0
7cb07fef-efde-4fe1-a31c-63b49133b41a	11.1837229437229446	0.932020404232804189
3a38e1e2-06c4-48db-9005-6a2acbc3cf7a	0	0
63fad13a-52cd-4bbf-a2f3-eb3a7be1ebcd	0	0
6016efaf-0f5d-4953-8c35-1a136d63d352	17.1436818181818182	1.42870682138888871
75809ae3-1855-476a-a971-70d71d942423	0	0
35c3ca18-79d2-48cc-9ab7-f328610530c0	16	1.33339555555555545
bdc62cb6-9bb3-4677-a645-a91da81cd553	0	0
70e3ea02-3d67-46ae-8d7b-d08338a28fa8	0	0
9abf6ce4-e18c-4b60-8837-3286fbc42241	0	0
b812f887-3943-433e-b739-e6be6059c9db	0	0
4eee6d57-3065-4c5c-9acb-6bb2f50d87d4	0	0
86447d91-7804-4c5e-bc32-56fcd02c7935	0	0
624ebafe-1151-408c-8bee-d376bdc3210f	0	0
0ce52084-29a0-4561-8437-e31ffa10f6de	0	0
cbcd261d-88fc-4c48-86c0-30ed6931cd0f	0	0
11822497-3852-4451-861d-0f80032d6ae1	0	0
47d03fbb-f039-4e86-b8c6-75c07c3a35fe	0	0
4adfc1f4-d5e5-4f7d-8ad9-07aebe9efaa4	70	5.83360555555555482
d30adfe2-98bf-41b8-bb52-5990f02b67a8	0.594125249072381956	0.0495135730837352669
03c9da0c-cecb-4d77-a616-03931bb34d6f	0	0
feb88042-28dc-497a-852d-4cd225476574	0	0
085fabd7-753f-45fe-a8de-e9a0261f8dc7	11.1837229437229446	0.93203593718133726
06bb12c5-ec4f-4d62-a5ce-137589193094	0	0
49d74a9d-391c-4344-9723-5d26813caeac	0	0
5e61a2c4-82bc-4f09-bb79-6a10d619db95	17.1436818181818182	1.42873063205808082
136ff799-e1f8-4399-b4d1-7744f74fe13f	0	0
669396c9-beef-4683-bb14-441c3a746b4d	16	1.33341777777777781
31709908-b335-462f-a2f7-bc6cb846a5cc	0	0
243108a4-6a31-442b-980e-d2b7c2877363	0	0
ec67916b-524a-49a9-aad4-905a7d255933	0	0
99fb3dcd-3507-42a9-b005-3f7763b8db97	0	0
c7cde785-d3ca-4926-ab8e-9ad1b18c4b8f	0	0
e32d4f18-31ef-4f7e-b0f9-d402e9a08475	0	0
715f6c95-69f4-49d6-9e32-7e22d4856400	0	0
928a80c1-1e55-4585-8514-698a696d0ff4	0	0
ad1c0bdd-768b-47c4-a7dd-d7e3e8048c7f	0	0
176bf489-8122-469f-8741-d604869b5c5d	0	0
7b65d697-0560-4bb0-a469-59ec237fffef	0	0
3e7248b0-dd41-4cb6-8254-38504a806444	70	5.8337027777777779
67bb988d-e07c-4cd4-92f2-2e509f5bda62	0.594125249072381956	0.0495170388143548537
88b6d134-1142-4494-8e56-b2b23af5cde7	0	0
bc0f2642-3a83-41c9-b45f-ae6be309a917	0	0
882f6563-5c90-4f1b-b89c-d86ff4bfa7b1	11.1837229437229446	0.932101175565175577
ac627820-78c4-49c3-863b-41056762dd3b	0	0
d656d95e-c748-4e08-a99f-15feb2701328	0	0
f33ff0c0-7f23-4fc0-98b3-83b6b24ec1b2	17.1436818181818182	1.42883063686868694
e51b5fcf-6913-439b-be7c-1b65280a7691	0	0
80d7d274-3979-4e30-a60a-c1547b457edf	16	1.33351111111111109
a1f156f1-f42b-4bbf-9c86-d06005a0d388	0	0
2e70d0e5-2dbc-4bb6-81ae-976c28615c2f	0	0
41739897-0711-4083-9773-77c25d588fa9	0	0
4e2dd6ae-fc6c-4088-b01a-4718cead1432	0	0
388a1127-69a1-4780-a09d-bfc379034b64	0	0
e3773374-03b2-4f40-a6ae-6727fc0641ca	0	0
161b7508-9a91-46dc-96f7-dd4772c1c5cb	0	0
0686c701-b6db-415b-b33e-765425d4e751	0	0
7eb6e701-f674-4bd3-aadd-7c984656ebfb	0	0
df8dde29-4758-43e0-a3f1-73da38315ec9	0	0
762aeb9a-b409-44df-8998-ebf403f3576f	0	0
907cda91-ec7b-4a35-a266-48a382032379	70	5.83411111111111147
bcb3877d-a4b6-4dc5-b710-4384524cb838	0.594125249072381956	0.0495120877706125839
3ce64991-a88a-4132-82be-c5f67142caf5	0	0
b705044a-ae9d-48fd-9604-9059e5208b9c	0	0
2673e5aa-6f3f-43b9-a2b2-6cab84feb1f2	11.1837229437229446	0.932007977873977933
a9907a0f-7f91-4af9-bf90-25a38bca6859	0	0
0c1c12bc-43ae-4083-a6bd-8640377ef343	0	0
1d9d4355-6c7a-43ba-97ea-a96ca56ec52b	17.1436818181818182	1.42868777285353543
a26506a9-f796-4e2d-8b29-a7eb49c6a9dd	0	0
a1796530-5abe-4c84-98f7-e493a0dc1261	16	1.33337777777777777
1ec81b0f-8a7e-4043-855f-14edeb62d5d0	0	0
da653484-b283-495c-9d27-be575e48b6f6	0	0
8ca338b0-0205-4074-a85c-fc8978eb69c9	0	0
7b03908a-690c-4a41-84f3-e18103502c56	0	0
d882c8dd-d421-450a-88de-700af7d80f78	0	0
4ef7c329-6583-4440-8833-3319aa8c4989	0	0
ee09961a-4515-47b7-b2cc-99f9e9f8131f	0	0
59b3f33d-85c8-4767-bb63-414403d27557	0	0
e7c0a8e3-1eb3-485f-b8f4-3c110eeb86b2	0	0
739bda0f-bb27-42a3-8175-2f809e68fe22	0	0
959d2ec3-6009-4819-923d-7c21ff995ca0	0	0
d2c08493-f9fd-4281-916b-2c7a2e855afb	70	5.83352777777777742
1590b5bd-6d6b-4e35-84a0-111016f3ccdc	0.594125249072381956	0.0495119227358211747
8bc4780c-ef9f-40a6-a607-2678a5063a88	0	0
9cb33bc2-0ed0-4b11-b9ac-478ae61665a3	0	0
0cf03b78-606d-4814-a532-7d49262033ed	11.1837229437229446	0.932004871284271341
f93b954d-8e5c-4b7d-a72c-8b1179d32160	0	0
8ce904ba-376d-4a01-8465-ed30e5c7df8c	0	0
4e20c29f-a999-42db-8eae-3c75bb81cec4	17.1436818181818182	1.42868301071969683
d76e6ef2-d3a5-461b-bd2f-e2f438d56e17	0	0
3b8f85d1-a789-4168-b718-6da8e60e3db5	16	1.3333733333333333
e09ae83d-1152-45b5-a6b2-44fb1e2c5b2f	0	0
8a262c3e-8c4b-418a-ac37-a99ad3381b13	0	0
59f97dbc-3044-4b63-8b50-e44b15dee2e2	0	0
bcf60045-9c86-4c28-9bb3-42dce1fc6fa6	0	0
14bff9e5-4f85-4e00-9841-751fc68478ec	0	0
80541529-793d-4bad-bc46-b6fed655b9df	0	0
002c2cca-13ac-4849-9e67-c80429f6cdf1	0	0
028d7f5e-9779-4564-81b2-32ac1835b50d	0	0
24e99568-b492-4a2c-82bc-47b2b32e5716	0	0
f709ca21-d020-4a5d-a828-84dd660b31dc	0	0
286b85ef-82a1-400b-a2c7-ffe375d8a9f0	0	0
e28cdcf2-0af2-4c68-99b1-289657023df9	70	5.83350833333333352
6b41584f-6c46-4717-94bf-22eb7d75193d	0.594125249072381956	0.0495153884664407615
70679f6f-60b6-4180-a65d-ddeb15720f57	0	0
89f57b47-7eeb-4703-8530-6af376d232ba	0	0
9feb8382-3fa5-4584-b080-9c616bb6d3a3	11.1837229437229446	0.932070109668109659
f929e1c5-887d-4c3c-9861-98d6a51b6504	0	0
0fddd211-b95f-4d95-80d0-8897677050ee	0	0
b852ef17-ffca-4377-aef9-76cbe94861cc	17.1436818181818182	1.42878301553030296
4e8e37bd-5e30-4e85-9193-e566f96de232	0	0
0b4079a0-74e8-4f52-a380-3c93bd75da8c	16	1.33346666666666658
a1a604ab-abc4-4210-9f03-f57d60188750	0	0
47d23fd7-0d7b-472f-9f65-535db4c18b32	0	0
d48158f4-7f1e-4afc-912d-1a09bdc971a9	0	0
8c31ebbd-138f-41fd-abb0-ade63281eb94	0	0
57d69b20-d702-4f1a-ae2f-9aa8f5d87332	0	0
38e4f5f6-7185-4b5a-a760-43e78b3b17fb	0	0
5e01c79d-19ab-46ec-88bc-db37d9ea89bf	0	0
047efc65-880e-4074-8b1e-de4188998e5e	0	0
4e3de2a8-f6aa-4a39-8092-79c11e2682fb	0	0
9e4dce8f-1eb5-4ebe-b5c6-e6ca4ea91a96	0	0
a2a1a37b-8f9e-4326-b41e-e4f6398fe325	0	0
d407905f-3878-4e40-8388-e632268b83a7	70	5.8339166666666662
e4259b4d-eb2c-4ba9-ac75-7c2d4da0892a	0.594125249072381956	0.0495135730837352669
21a78eca-7ad5-4fb4-986a-e27985287cc4	0	0
db3e6dcb-73c6-4d38-b8e2-e1d45613fa46	0	0
2d645ef1-d859-4b97-9832-0673b980498c	11.1837229437229446	0.93203593718133726
1e1c1309-683e-44d4-b641-e0acc1d04ffb	0	0
bb8c77ec-0568-4e50-a9c7-4db167d1b7bd	0	0
fba7eaa3-d335-467f-8e03-2cf295a6b6b0	17.1436818181818182	1.42873063205808082
d46eeb23-d70f-45a8-9b01-ec32086baecc	0	0
03226acb-f2a1-4f95-9ac5-84349ad6d7ce	16	1.33341777777777781
ce93bb01-7864-4d5c-88cb-1fca04d90fc8	0	0
e3977aa8-478d-4c94-af30-5366fe7902a4	0	0
68cb3a9a-f2c3-475e-91f7-633abf70e666	0	0
99d82071-987d-40bc-8869-a40eaa3e5bdc	0	0
0a61472e-e513-4d9d-8893-5bcbb640ae81	0	0
66c7d465-9e11-4680-ab04-c7c5cbf2ff5d	0	0
4af68773-2137-4509-a3b7-e2a739a1ff1d	0	0
69f30c04-2e41-48c3-a256-de66fa853962	0	0
057b926b-46e8-4782-a2d4-612147d5aec4	0	0
651adc16-9915-44ff-90ec-0ea6552bb2b2	0	0
3f805a9e-ba4e-4423-8b7d-eb0835d06882	0	0
bf89d911-1b2d-487a-b3fe-3df4444a849c	70	5.8337027777777779
f6ac5152-78e2-4de6-8a78-ee816f60a96c	0.594125249072381956	0.0495117577010297655
8f3e045d-c697-40fc-a316-b06f61f11264	0	0
d351133f-62a8-41b3-bbdc-151ad84c2dd2	0	0
a729fe38-9371-4a20-afa8-5aa784da88aa	11.1837229437229446	0.932001764694564749
25d46ffe-48fb-4229-bc44-0861966d4e71	0	0
bf1c6a34-bb07-4bea-8f99-7f197fb610db	0	0
9e2bdaa6-fbe3-4421-bf22-8b3410c0c49e	17.1436818181818182	1.42867824858585846
41ce194f-2a7a-4924-93af-376f31bb50c5	0	0
e3d55df4-519e-4a9c-9082-a8cc2c0fa043	16	1.33336888888888883
d1f51bb5-f4ad-4542-909b-70db7f71abd6	0	0
7771bfe3-6438-4d59-a360-cf3fe7d43eee	0	0
b8c882d8-cff4-40a4-86dd-f60ab01ee450	0	0
8517c45b-d55a-4348-a3e3-2c8aad9c257d	0	0
48c90616-7247-41fa-a3d1-fffebb9394b0	0	0
942cb1ab-1032-4bd7-9cba-e6c7a88294aa	0	0
0b85a592-8f4f-4206-9920-be8080328023	0	0
8ab1ad49-4683-4b5b-aeb2-9d101ee06dab	0	0
0f474b27-ae10-4f32-b36a-bd5ae566e9bb	0	0
2f12805d-ac2d-42f5-a2e2-f653a6a1f157	0	0
5e7165b8-1d44-4ff1-848f-0c44af977ef9	0	0
d8c63225-ab53-445c-81bd-34fbcea79b04	70	5.83348888888888872
7643fc07-0aa5-4b55-9ca5-a823867e25bc	0.594125249072381956	0.0495188541970603552
1bbe7ee3-9d3d-4c95-9418-53864dadade7	0	0
7ce95c7a-ab42-4128-b488-47a899d00caf	0	0
439f88e7-9cf3-46f5-99af-8e03e1edfa7a	11.1837229437229446	0.932135348051948198
2ca7b0a8-1d7a-44a8-93b5-a3c097c42144	0	0
e2e8e5ac-b6ea-4d23-934f-9517492a0fb1	0	0
c054c95f-7739-45ee-9d0b-825a55383b01	17.1436818181818182	1.42888302034090908
ae910e69-c80b-4b51-abb8-a5564bac3154	0	0
ad7a349e-96e4-4d93-ab35-13309e071699	16	1.33356000000000008
b8101f4e-1312-49d4-85f5-31196c155466	0	0
e23f180a-5bf8-4853-acb1-a7dad255059c	0	0
4a35e002-88a3-4504-baa4-5616f22115c4	0	0
da251b68-e80a-45dd-b897-3a49c57ab8ad	0	0
2a383e43-18fb-40b6-8319-2311fe126c97	0	0
f1cd2ad2-ce2a-477e-8369-bc30b1368545	0	0
9c40e49e-73d0-431f-9378-01c32f516a9a	0	0
125b1671-50e5-4d69-b8ba-8652164daa12	0	0
51c9f279-bd4e-431a-a467-69b0738e6453	0	0
97fbe6d3-8316-4dd7-b428-f21320ded043	0	0
086ab4b3-b937-49fd-adb1-71ccb135f095	0	0
02a6bdf3-25fd-4e66-9d37-21a435d49f22	70	5.83432500000000065
548c4253-da50-4e6b-81d2-c8f6e545b68c	0.594125249072381956	0.0495079619008273603
0fb7b737-9637-4801-b571-329be6a3ff66	0	0
56908d44-2774-436d-8260-0dbcf22a7c77	0	0
a20f9ac2-1c09-4862-a7a2-77a71215458f	11.1837229437229446	0.931930313131313137
8af4b93f-f7fd-42b3-b553-b71a550f9e10	0	0
9b7b1c7e-dc7b-4e25-9012-1c140e76d5e3	0	0
2dce3f7c-e569-4924-847b-41238ed029c9	17.1436818181818182	1.4285687195075758
ecca2ea5-1ec9-4d2a-87df-055222aea36d	0	0
39840b70-ab79-4143-9cf4-30daef593bc3	16	1.3332666666666666
0108cbf8-7c46-4c19-8192-7d33a7b5b03d	0	0
3992799b-daba-48a5-bb64-c1e21298f2a8	0	0
76b73d2c-517d-4810-a8c0-8db24356113f	0	0
68eb1639-3a17-487e-8f88-d35d2e13824b	0	0
5d9be22d-4dc9-4153-a56e-2ddc93249b94	0	0
43d6700d-23e3-4b2d-bceb-20fa396d9fd3	0	0
8f40ff16-2de3-4dfd-af46-8e9c4fa8613d	0	0
84923594-15ab-45fa-af46-37761c5ccca1	0	0
900d37a0-4d2d-40ff-be9a-9913bc2feea7	0	0
f848dbd4-eff2-4268-82ca-6409a5bb5b42	0	0
eb990d35-516b-4c1d-bbf1-2d5e8da0a85b	0	0
05fd711c-f881-482c-b08a-105679d2ba78	70	5.83304166666666646
bcd9a913-df15-4938-b816-d37cb5e8a281	0.594125249072381956	0.0495153884664407615
62244fa2-0fed-4320-91fc-555d23b9466c	0	0
14b0be8a-9f74-4f3f-b625-1d323b5dd745	0	0
8973fc42-c05b-49f1-828e-5d140be90375	11.1837229437229446	0.932070109668109659
93813dc2-b5bb-419c-b3ce-10316ad02740	0	0
65987b66-73c3-42d2-b07b-9ef85e3526ed	0	0
53206ca1-334c-48cd-886f-91659e00e2ad	17.1436818181818182	1.42878301553030296
b3ef5023-d737-49cb-a7d5-0de6ffa003bb	0	0
c6643d25-9753-4736-b864-3ff5eadcd440	16	1.33346666666666658
f7fa3577-0b27-44fa-8d97-8e473034273f	0	0
236e0682-1952-48c1-aab5-aef44b299b5a	0	0
a57d617b-8a68-4422-a024-7ff5f5481483	0	0
d8bb0d15-2f89-49f9-b628-230979f5ab91	0	0
12a79bc4-f71a-4b8c-86ad-0b6f35300cdb	0	0
b0996621-b504-4312-895a-e9016740b242	0	0
4ea86499-7111-4c89-83d2-3a30b9884c1d	0	0
5749eaee-8052-4c09-acf5-a41ac80b5f4c	0	0
6ad2adf5-62f4-481d-924f-bd5521b72aac	0	0
77457b35-db5f-4613-8f2b-2fe5ebe50c0a	0	0
6e65f50c-c1a4-4e9c-8958-0bcb55a5af15	0	0
2985d193-f84d-41a6-ab40-19374fbda69e	70	5.8339166666666662
6b0f3922-c031-41cf-904e-303282123430	0.594125249072381956	0.0495153884664407615
f70b4c3e-840c-442b-a46d-8b7883062f78	0	0
ab403e72-6179-494e-9ba7-8e96b06ce2ef	0	0
62422eba-6630-4786-937d-0387896514a6	11.1837229437229446	0.932070109668109659
03670052-5ea7-4f0d-a363-7f094492b7e5	0	0
082c0aa6-6b53-4bb7-89e7-b201ceed046a	0	0
3bc9e99d-4ddc-43d2-b26d-ea93c42812da	17.1436818181818182	1.42878301553030296
969c57f5-1ca3-4a04-a1a8-9fb5ca356fb9	0	0
58d8ea22-bce4-4a63-8def-b12a15a47801	16	1.33346666666666658
fa408352-d8db-42e8-a636-723796ea44f4	0	0
a6c0c89d-4a06-4631-b96a-393add084135	0	0
b54aca88-c57a-4f7b-acae-139169645fca	0	0
df5e4698-1ed0-40a5-8237-c9db2d518372	0	0
01846d14-0956-47e9-b803-e3075c3c8466	0	0
37eb2c16-0a5e-463b-822b-ea657a8fff07	0	0
3da3a0bf-a00a-4fc2-a465-84a675e83637	0	0
71d8c99d-8e8a-4970-adaf-1d1a5ef0b392	0	0
a5ce1a0d-02da-4bbc-9f5e-9b33270c9504	0	0
03f88a93-8f75-4a7e-b33a-9828b10d1774	0	0
457b3bf1-54f2-4606-825e-1181dd57ea5a	0	0
fcfc0c3d-4cab-4089-9b30-2db933f06930	70	5.8339166666666662
d057f9fd-a19b-4de0-8bfc-de239208a936	0.594125249072381956	0.049511427631446954
191353c0-1081-4d8d-9b4d-8ee76aac10ab	0	0
a68baf99-78c1-4fc8-97e6-683f301423ef	0	0
71d4c46c-d9d1-40c0-9fb9-ed72d8f0848f	11.1837229437229446	0.931995551515151677
6eb17a40-c397-4fbc-90c3-43b0a2239842	0	0
32a1b373-54d7-4641-b801-35e8d186f681	0	0
84e7cc06-75a0-4bfb-8bad-fd382cd29410	17.1436818181818182	1.42866872431818193
2187c582-e94f-4d37-bdbf-62caf5d4e18a	0	0
a043627a-c736-41d4-9aaf-564cfcadbb22	16	1.3333600000000001
5ce28cfa-b7f1-4bea-a8fe-ebe8556fd072	0	0
af848320-7d55-4fae-9e60-ce6586c389fc	0	0
58f4354b-a677-4efc-92d9-7a4cba8319d9	0	0
eede65c4-9778-4273-b63e-9bb0f272e953	0	0
ff5048c4-e7da-4b33-b66c-b0d525bc1796	0	0
dee7f5c0-b100-49e7-8311-0bc76d490a87	0	0
0174e413-996e-488b-937c-23bc678ae2a6	0	0
443a55b2-7ac4-4421-935c-1df3cc23b8d6	0	0
4094ecbe-6622-4a27-9e69-a09c1f2d820e	0	0
1f185e98-ae1b-41bb-9e06-fad3680c5edc	0	0
0ac35d16-b341-48f0-a087-e919f74c108a	0	0
17e73612-a0a1-4b8a-a419-d0bc3cd59ca7	70	5.83345000000000002
38512f26-ceaa-4b84-b347-a0ccd60198b7	0.594125249072381956	0.0495097772835328617
43c5fb91-2fcd-4527-8997-4113c940e2ab	0	0
37a0b372-1ce0-417d-aa45-9cb9c28d1f77	0	0
39ef66e6-dbdf-4358-bbf9-74334f8e15ee	11.1837229437229446	0.931964485618085758
8d0d4de7-fab0-49c4-a55c-a6075117b788	0	0
4f8c5cec-5ec4-4672-bccc-e1f853cdc9b8	0	0
ec698f95-1b1b-495e-9437-4970e39f1399	17.1436818181818182	1.42862110297979794
f5f77289-b994-4141-af98-8992e6668b98	0	0
b29d0a71-aae7-4915-8e37-4367569fbc5d	16	1.33331555555555559
f3dc31c5-313f-43c0-90a0-b34ee5b43cd9	0	0
9a86b596-4082-4742-a9a0-a6f1692ea33f	0	0
c82c422a-3ad1-468c-b106-318345c822c8	0	0
a693658a-5460-4c7b-a263-ea214c6166be	0	0
2deadb83-8eeb-4c11-8f18-110259096e95	0	0
e85e3f8d-0f91-4be6-bc7c-94ef9b778bdf	0	0
00f8dcc3-10fd-422d-9468-c4285f6ba7ae	0	0
f0a62f12-3fba-44ec-b743-c5744405955f	0	0
48d32528-2c79-44bf-9cc6-33ce53f21b8f	0	0
a349cec2-0488-452f-9c6e-1df38ec89c05	0	0
97025821-e63c-4594-b617-a47794232065	0	0
ef0b3d2e-1e57-44b4-900f-9df5c4b4fe46	70	5.83325555555555564
bfc2a40e-9f13-4175-a556-b0775fd8796a	0.594125249072381956	0.0495191842666431667
a32c6c92-7e5e-487b-b3a9-85a79e1321c7	0	0
4085230c-482c-4762-b77a-ec51a337955e	0	0
8f637d37-cd3d-4ad4-9ff3-af088f4d9c50	11.1837229437229446	0.932141561231361271
ed6ca849-e5da-4635-92c5-b1d41f125695	0	0
987b7930-e5e3-4f00-8aac-b867a9cb3be4	0	0
33a99c0d-9fee-49e4-8571-33a6f0c09df0	17.1436818181818182	1.42889254460858584
0a220f36-9e85-46e4-b22b-85e2d12e7337	0	0
3e53ef40-cc40-4900-ad52-8109a7a6cd48	16	1.3335688888888888
733940b0-9c0c-436d-894b-4baf5a25a99a	0	0
ba97b52f-418f-46ae-8295-2ca7449e8d3b	0	0
a6dc7350-77fa-4de2-8b02-a351caca7f49	0	0
e4d63261-a9a2-4003-a87f-bccccf062df4	0	0
d9364bdd-29a1-4eb6-95b7-958815677ce3	0	0
4dcc7218-6689-4f58-8033-6272d11a2594	0	0
8cbf5f38-ea23-4aa3-88e3-2661e952ada5	0	0
567f1424-5f5c-4347-a726-2a14557ff67d	0	0
c3ca17ea-45a4-4c7d-bdd5-f09be7ba3ff1	0	0
9f160d1c-e74f-47b1-9560-c5cbb495ca6f	0	0
ea0c134c-7f09-4238-96f6-093975fd1ee8	0	0
6007356e-e2a3-47ee-9f63-ae6a585d96d2	70	5.83436388888888846
23f44ef6-2402-42e4-baf9-c05f177d72a4	0.594125249072381956	0.0495153884664407615
f5982075-3512-46fd-9bd3-2021bbec7b7c	0	0
aed21f72-02f4-46f7-8e65-a274c1a39c75	0	0
e8fcdf70-c874-439b-a398-b26d169b5b3f	11.1837229437229446	0.932070109668109659
1d95a726-2b7a-464d-b974-3846599db3ef	0	0
cc7d9c90-d463-4afe-a282-fff4fc7a2b64	0	0
c2f7daaa-7826-4a7a-955d-56ec7dc25ea3	17.1436818181818182	1.42878301553030296
221ebb06-9205-45fa-9898-9918ab5be4f0	0	0
a5f9f45f-b03d-4073-9ce4-0abafeddcd2a	16	1.33346666666666658
6e20bb5d-3a02-4138-aa58-b75eb47e4190	0	0
748752f0-57b2-461e-9ee0-c1ded3ef0248	0	0
9471deb6-b3c5-4da3-84c0-5c55ff4955fe	0	0
f3721d15-43c6-486c-b01a-0d36ac727862	0	0
5427c0db-322a-4fd3-9e59-4d41f22fa1a5	0	0
67fff5ff-a831-475d-90af-36f1a9dc5b0e	0	0
ff63672c-a01e-4d5c-b7b4-6ae8c75ea1ef	0	0
ed8367a4-3f2d-4212-a543-68f338c5c54a	0	0
7a687b48-4370-4022-83a5-ec3b0848e73e	0	0
44833f83-f14c-4595-a84b-c151a6959402	0	0
e0feb23c-ff3d-453c-a2dc-4820e6e0e7f8	0	0
95f1388a-ecca-4904-bf2a-158233f8ab64	70	5.8339166666666662
6964d44f-c36f-450c-9f65-62df4fc26032	0.594125249072381956	0.0495120877706125839
3597e9b7-e55a-4b9a-9265-6f3221932c6c	0	0
e8b215c8-0b05-48be-9343-9141583fbf4d	0	0
0f0e85fd-ed34-4146-8649-e6feaecc6029	11.1837229437229446	0.932007977873977933
2b6205f2-7f08-4c4b-b5db-bafaffdead8b	0	0
e69311b1-ddac-4893-a3aa-dea474a8c5d0	0	0
664a4366-a3b3-4bce-8b5b-14a1ab88844f	17.1436818181818182	1.42868777285353543
ec3f2601-41ce-4edf-a5eb-0d8e870bd28a	0	0
fdd37785-9531-4cd4-8799-d5b97e7a4cec	16	1.33337777777777777
e43f8fd9-aae8-4160-afde-9b993ec14455	0	0
ca619abe-df00-4482-b6c8-578137ffd204	0	0
feae46b0-fca8-42bc-aa38-80018f758ee2	0	0
c942ea56-a36d-4a13-9d87-acd3a72b5af2	0	0
5cea3943-f15b-4732-ad45-302391fcf008	0	0
dc14f7b4-c4b2-4d65-ad98-4715e3fbd203	0	0
86fb7a93-e3c9-407c-b57e-07afb8c18ec2	0	0
4af71cf5-c4d1-4906-a99b-f0fe8f2a1b7e	0	0
04cd2eec-43e2-405e-bc61-2e97c1c900a6	0	0
80ae7ef0-f50e-4d40-bf49-95819d3b43f8	0	0
9e0a7721-4e12-41db-a41c-7e6dda728d3e	0	0
ce8549c7-5386-4a27-b850-4bb385006d58	70	5.83352777777777742
33e41857-da15-436c-9ca5-b26ca4e2a9e1	0.594125249072381956	0.0495139031533180854
23e017aa-c63d-4f0f-a687-be75a5126a31	0	0
9477c535-a941-4ee0-ac10-da22b3fa794e	0	0
7e96d58a-2eaa-4514-9e20-ca8568381ee4	11.1837229437229446	0.932042150360750554
97f1f6bf-d4b0-42f7-a06c-b4cca9bcc7e2	0	0
c8a7149e-2161-4629-a77a-17d6ff5c26e7	0	0
a6acffa0-6a9c-44b6-bea9-88a9f2a7c0b9	17.1436818181818182	1.42874015632575757
7501ce53-3786-4239-85d2-ed95470a5653	0	0
ca20f593-de65-4808-b187-993c70cfc7c9	16	1.33342666666666676
a2451958-5dfe-48f7-af28-1bc09b611783	0	0
0f812af9-393d-46cd-920d-59b06885690e	0	0
ae91e885-46cd-41d4-8e91-901fee4ec841	0	0
f1b9193a-7b33-408e-a255-8eaf77086d61	0	0
db775be1-3c61-452f-bf4f-e6f3ef859fdb	0	0
5f59be63-d809-4972-b16e-15561116d1c4	0	0
70600cdc-d1e0-4a00-b69c-2b69e8b84e61	0	0
99871d34-81f7-40a9-bffb-f6fb39fcfedd	0	0
0e85410c-dd37-4627-a8d8-e6709867efa6	0	0
994aab3e-a2f4-4c76-a4a6-d7c47c7d82e4	0	0
f7de6f7d-6b07-4c20-b9c4-4c31ebba2895	0	0
ba778571-e05b-475c-8c73-a1685a6e5fc3	70	5.83374166666666749
fea5ea14-4865-4089-9a33-e48fa95863a6	0.594125249072381956	0.0495140681881094877
1a96aef9-f5fb-4236-b1a4-beff5a4b8f7e	0	0
e273f06f-68e2-42de-96f2-44bdca42d4e4	0	0
bd0de08c-1e82-426b-a883-a5f225ad8af2	11.1837229437229446	0.932045256950456924
800e86f5-fdea-4005-96eb-fa5e8a9b769e	0	0
b5b7b239-d7cf-4866-9f9c-63eadbd1bead	0	0
eb0c7908-4bfe-4809-a199-f5387f599c0c	17.1436818181818182	1.42874491845959595
b8612727-57f5-4bc7-ae19-52e64d7ada10	0	0
63485e6a-988f-49cd-88c9-bafce63ebfb3	16	1.33343111111111101
d9dfb803-fcf9-4439-a631-893b079432d5	0	0
dda4b54f-2d7f-46b0-8f56-ee3bd90f48e3	0	0
ef39b521-b601-44fe-8a8d-47a9420a82d2	0	0
9ff266bf-3549-467e-bb88-2326cedb6dd6	0	0
b7233b3e-2827-437d-bc00-111ac13dabdb	0	0
ce644d05-8c5d-4b37-9bb5-212b96d84f33	0	0
9d1d4631-41b9-4242-a11b-1cade99dcc2e	0	0
67395566-409b-4f0c-bd1c-c6583e482e56	0	0
1edc1b69-1e90-4555-8548-54998cd93c0c	0	0
853c5bca-fbf9-4ed8-a435-5e1ff299bd72	0	0
2e310593-cabd-4d56-99b5-4e0aed67e3ce	0	0
94fbb487-8004-475d-bb07-80632447b57a	70	5.83376111111111051
e417f2f0-8787-4644-80e0-b6130bebd193	0.594125249072381956	0.0495139031533180854
0e34c6c7-10de-489b-bb83-45b2b8a2e52d	0	0
8dc8a57c-e2c8-4591-becd-24ad25f8aa23	0	0
932618b6-4cee-4d08-a2e0-563baa7bdb18	11.1837229437229446	0.932042150360750554
8d6c502e-7968-4adb-a56e-7d93f10615d3	0	0
2fea6071-4c06-431a-a421-573dcba633cc	0	0
f3af39ef-5a69-482c-a53a-009f43e6a930	17.1436818181818182	1.42874015632575757
1aaa1f9b-986f-497c-9a04-d36cf818170f	0	0
8addafca-ba76-47a9-8870-ef686ad2927f	16	1.33342666666666676
6ab542d9-f0b3-442e-82a4-7ef296f222b8	0	0
59bf02f0-0ccb-4a92-a67f-d612f14fc9cc	0	0
e8ab8a42-fea2-4ffe-8b31-aa949a2ae04d	0	0
d1d5006a-b97c-4a8a-9dd5-da40218a1e74	0	0
b468f6aa-703f-4071-a886-c43320afae45	0	0
32b25024-5a41-4b56-8e73-fab6516564c1	0	0
573b66fd-6642-4dec-9743-3d08b1be3548	0	0
fa22af6f-33c5-451e-87ac-17f98bdd4665	0	0
a3943c59-62d2-4e99-af0e-3d12ea6123f0	0	0
7e7414ba-2d5c-44f8-8f93-e816474eb6e7	0	0
8f8cff0d-0509-422f-94cd-a9cc975a53af	0	0
116b28cc-9c08-4b54-bbfd-949fd4ff33e7	70	5.83374166666666749
752c2937-f9a7-4429-85b5-913067731280	0.594125249072381956	0.0495081269356187695
e7a2ae40-78d7-4c02-bebf-b809dbc2311a	0	0
67a1f28e-cb04-42ff-a2eb-f984ad4e1a69	0	0
298fe610-badb-4310-9813-3408b2ff359e	11.1837229437229446	0.931933419721019729
be5b59af-a6df-40c5-9da4-0d256c5543e2	0	0
4397a889-d853-48c1-8b80-d2fd6fd5b93d	0	0
3a53fdd0-f5aa-4c22-a951-908cbff3af24	17.1436818181818182	1.42857348164141418
c8cbb7cf-03bc-4f5a-8511-5eceea976f17	0	0
ec5d4d4c-c5fc-48e2-bc45-fecd007cc481	16	1.33327111111111107
09630072-1b2f-4a9a-866b-4f4a459616bd	0	0
c2c63234-96bb-4b61-a9af-a592d317a46e	0	0
d7d3baeb-0e2b-4945-97a0-d6259786caf6	0	0
9c815c7f-2cd4-4a36-9f16-9534bc74397e	0	0
33a0aee0-35e5-481d-996a-212851e69287	0	0
b14180c5-c895-4e35-93d7-2440924d7884	0	0
af8a44b1-8497-4dd7-b700-af919fb86fd1	0	0
987db903-e0ca-427f-8e03-298045d50a14	0	0
1a0dee5d-f3ce-48b4-8c3f-1041aa7382d0	0	0
57c3a7ca-4451-4ddc-8f55-121cac44cce5	0	0
f2f47743-2250-495a-a8d0-cde2475e802e	0	0
a8a54efe-bfef-4e53-8407-222b2e35c367	70	5.83306111111111125
6caa48e2-c57b-4d39-8f61-a7fe1aac1d3d	0.594125249072381956	0.0495193493014345829
5c036c3a-c502-49e8-92a5-8f3238049461	0	0
19145786-e89d-4b44-9489-00c0211aed89	0	0
4de881d6-0db9-4ef4-984c-51638c83cdd7	11.1837229437229446	0.932144667821067863
dcb97770-7fd6-42f8-a9cd-385b95c009b7	0	0
7a081b68-d5bd-4f11-bf0f-49ba173c31cd	0	0
8bacad22-381d-4ab7-ae4b-264eab3cbe2c	17.1436818181818182	1.42889730674242421
8fc809ee-1166-4f3c-9c65-21f24e25500b	0	0
311babc3-ca5f-4323-8cbe-683ce0e8a23b	16	1.33357333333333328
84e1d8af-7142-498b-81f4-83ad9337be34	0	0
28526fb9-8624-4097-9ea2-d68a3bb77346	0	0
38d89cff-c600-4933-a335-8243c15288a3	0	0
9ec8ce39-7b9b-4f57-9579-d2852e9b9202	0	0
704ed5ef-8a6f-405a-ae15-48762f1be5d3	0	0
c86a46cb-5a1f-4498-b513-19274257afe8	0	0
6c676994-e1cd-4f5e-87bf-50a446a62de4	0	0
1330a2df-29af-47a1-91fe-657c80b0d13d	0	0
6d41e524-a475-41ac-a3ec-afdb3ad10145	0	0
2ae2f4dd-9711-4f78-94b9-e6ab81177050	0	0
134f9ca2-780c-4b7d-884c-44abb8490923	0	0
a7cf2751-f33a-4581-bc8e-999822bf51a0	70	5.83438333333333325
860f4773-a867-4fe2-be4b-8c3b3c4de8bc	0.594125249072381956	0.0495160486056064053
a2b0d0c0-21d0-4ca6-8ef1-1cc990d7f4a8	0	0
bda37971-429e-4b74-bebd-401514fbe0c7	0	0
0293ea45-84ef-41b8-9b88-3038236b2c27	11.1837229437229446	0.932082536026936137
4b3f0b2b-66a0-4baf-b8d0-0645c1be286e	0	0
d6ca09ce-cece-4a81-9cf4-e3068037c798	0	0
297d2866-1920-4a69-b7ff-ca01986eef14	17.1436818181818182	1.42880206406565669
462576be-b48e-45a3-a4f3-aa3f7e00d0ca	0	0
0bfdc711-0be6-4269-8f0a-9c5a6d023d19	16	1.33348444444444447
400c3469-50ff-4b11-99b0-229aace1244e	0	0
338238d4-8432-42ba-82a4-fb2e27dcb42e	0	0
1c63f15a-a770-4b2f-a82a-472182c37f00	0	0
f84dec78-7fcb-4977-88e8-72ad47bbce89	0	0
98e9e105-1707-4301-9de3-7a632cae1dd0	0	0
d44a4062-3a5a-4255-a6d2-da02b8e2d147	0	0
2ffc6a7b-6075-4a4f-a236-dfc0e5b015e1	0	0
e3eea6a2-b7d2-4cf3-86b1-90fbe70a7d62	0	0
791615c7-07be-4f9b-a306-aa4a129db716	0	0
7954936a-6681-4cd1-9219-913baea32798	0	0
5d3692bf-75f5-4149-9966-ba4eb18ad8f8	0	0
9bc839fc-57a6-45bb-aa39-d34138615039	70	5.83399444444444448
cf282831-33ef-4732-b2fa-f9eb46042f7c	0.594125249072381956	0.0495148933620665407
3a95d10d-2185-4757-8423-0dfb1c5efca6	0	0
30fe894e-96ae-4f57-81f9-5fd3ccebb638	0	0
8d0b0132-7650-4214-ada1-442ea2e2d36b	11.1837229437229446	0.932060789898989994
f2809568-f8fe-4f2a-8660-45b1c7ed63f6	0	0
dd4d846d-188d-4da8-9a5b-b51b015ee2c0	0	0
62acbc9b-edde-408a-9482-0ac39bcda068	17.1436818181818182	1.42876872912878783
2b9113ed-7fe9-4bae-a32a-10a56045c720	0	0
e9419cae-dd63-4ff9-b2ad-fe771d0da1eb	16	1.33345333333333338
c5601b8e-01c4-4f11-b7a6-f4097c1dda97	0	0
3eeb0d05-b9c8-4878-936e-5ffcb4110b3a	0	0
425e9ce6-db0f-4f7f-9dbc-06ecea071a2a	0	0
5aacb6bb-213c-4b25-afc7-0194786207bf	0	0
cec7941e-9ed4-422f-b314-386c55e327fc	0	0
85caca66-9c8b-455a-a56b-4a63065e7d8a	0	0
b3921bed-4489-420e-9aaa-4289213301b1	0	0
81bfd7f4-2a8b-40d1-a394-15997663f9d7	0	0
926448ec-f21a-47dc-a681-d9a1f0af33cd	0	0
f53a3973-8430-433f-ad20-d92ef0e32c18	0	0
42ca76b4-6fda-4663-823a-55d302191cd7	0	0
76c966e4-33db-4d37-984e-f4f070a5a859	70	5.83385833333333359
78ab8a23-fe78-4a8e-8185-582866259c37	0.594125249072381956	0.0495117577010297655
e184fb73-851a-4863-86ce-0a826b7f4b00	0	0
11c801d1-cbd0-46e5-a066-57edd53bd5b4	0	0
f52bcb8d-5856-4ece-be1a-15048a8479ed	11.1837229437229446	0.932001764694564749
b14e9123-8dc3-4dab-a090-92e42d8d1b8d	0	0
bcc7d999-ff48-4641-80ca-7225c5b031b3	0	0
983edb52-809e-4181-b717-bfa7276a97c5	17.1436818181818182	1.42867824858585846
132d2f14-0afb-452a-bd6e-13be74ba5fb7	0	0
31ced04e-aa42-4705-a112-c3f4a04bd03d	16	1.33336888888888883
8d11836e-607f-43e6-9ced-29957a06b4b7	0	0
420ea1c5-1880-455b-b18a-1b2b7b642429	0	0
dd3d1aab-f1e2-4cd2-8052-172346b2dc0c	0	0
be7153b8-d623-4878-bd3f-3239b29cc221	0	0
2abf2476-7a56-4eb3-97d5-cf0aafdb7c99	0	0
d3032361-ebfa-4908-9ee6-ad204b2d5863	0	0
7960f45d-9313-40e2-85a9-6a9a0667d03e	0	0
ec3b91ab-07fb-44ee-973f-0e38418a5bf0	0	0
9dabd886-4e47-49a2-8608-b7cfcf97355c	0	0
af341e26-b3cb-476a-905d-ac62d734c174	0	0
fe12a1ea-dcde-4915-a9c2-25db579097c6	0	0
d345c204-3e1d-43e5-8ba6-2256fbef261b	70	5.83348888888888872
59307008-b10b-4fb1-8e75-538f86b7ada1	0.594125249072381956	0.0495124178401954093
1cd50bfc-b00e-4bd8-ae8d-9543f7fdf7d0	0	0
f09ac11b-f6a4-455c-be0e-bc225f95d53f	0	0
3a1b5f9a-df19-4110-b98f-4046f5c84465	11.1837229437229446	0.932014191053391117
91875136-9feb-4d65-b544-3411808631ab	0	0
9f56d829-eb9a-4ff6-8d16-1deca435f89b	0	0
298ca1e6-ddf1-49b0-b761-894fb069bc02	17.1436818181818182	1.42869729712121218
878b18bd-973f-49f0-b599-eca619098b25	0	0
335c1585-5666-42f7-99f6-7a5514e91d48	16	1.33338666666666672
e6b7494d-2337-4928-a617-6eef7d460342	0	0
b4f509b2-5d64-409c-8ec7-07484325720c	0	0
9fb09330-1724-4deb-b0c3-c6d21dd3652b	0	0
cd84feee-83de-4f37-bf25-432953a21652	0	0
0b5fcdb8-5f4c-49bc-93dc-d8ecce81b4b6	0	0
6b67886e-7e81-4eb8-86cd-2c0af5b27142	0	0
8d9b87cc-deb4-4539-9ece-2172e96d4372	0	0
2764808c-6161-42d2-b6c4-b65f3c0a3f8f	0	0
3d4a59fa-674e-4fc7-9ea0-00b853f71773	0	0
1fa26607-8644-4636-a3c1-d05ec91c79b2	0	0
4032633a-b643-4509-84c1-3caec40a7038	0	0
3e3ee68f-175b-4000-add6-001c09dc646c	70	5.83356666666666701
bf8e824b-c461-40b7-b000-46a90cfac60b	0.594125249072381956	0.0495157185360235799
330fbd43-e48b-41e6-ad82-93263c61ec4a	0	0
3ada9cb2-085c-4a0a-87d9-603c4c8b3b9d	0	0
7b695034-ffb2-43f9-8956-9651af4754d9	11.1837229437229446	0.932076322847522953
b2e56a92-5a1d-44f4-a3b0-a65d5b992b18	0	0
53f864df-1d5a-488b-84a8-9247e887a551	0	0
45fc21d4-1e53-4c33-a252-b52f773c8285	17.1436818181818182	1.42879253979797971
7f56a3a2-66b4-4b3e-82ae-3feeb07853bb	0	0
a27bf07f-fa5f-4fe1-affb-a0d10c1b6304	16	1.33347555555555553
3db80303-4088-48e8-bdb3-c4e90bb5dafa	0	0
1a8485d2-0df9-43a9-9703-2089e1c69a07	0	0
dd005f62-0630-48f2-aed0-47546856e9d0	0	0
bdc7972c-7c6e-488c-aa37-077e1332143d	0	0
aa829dc2-877f-4b86-bdd2-279250a9e015	0	0
d1263615-e7dc-4b8e-8dbb-acf3e630f3c6	0	0
6d3b4fef-156c-44fc-ae6c-663cd1544163	0	0
91a668ad-cae3-4300-a66d-c7705114e179	0	0
c962eb09-f0f9-4978-b804-e9ed7c636ffa	0	0
52c6c088-f0a0-4bc6-9f36-b9b5e14214a0	0	0
9597265c-4331-4cd6-8ed5-49210bf9152f	0	0
0f565329-8d5a-4661-95fb-b9b6bdccbb86	70	5.83395555555555578
a925dbdd-f4b3-4baa-aac4-100c106bcfd3	0.594125249072381956	0.0495130779793610393
2b420d97-449c-4d94-9b40-a47e143402e4	0	0
a507234b-6c81-465c-9024-ec2ef698967b	0	0
4362ef6a-e01f-405c-9c38-4011f7ea2127	11.1837229437229446	0.932026617412217484
32c3dd14-e61e-4250-bd97-2217f8278670	0	0
946ad56f-8381-4f99-a30e-723fde7e43cb	0	0
986e0613-5b6e-45e6-9b63-3c3ec3786e14	17.1436818181818182	1.42871634565656569
f9863f82-cbd6-47a8-b2ce-fc46e3ad8863	0	0
7a6e0e44-34f6-4bed-98a4-6febc6b92c60	16	1.33340444444444439
9b8ddfb1-4cd9-4aec-8ccd-0f97f16dd8bc	0	0
dcb6f69d-ba04-4a5d-8e6d-7128b4b00703	0	0
f071c6d8-8301-4d7b-bf71-fe008c50dbfc	0	0
f2787b6b-353b-48ea-bd13-7ac401dbd7f3	0	0
57679546-a7c0-41f1-b33f-afe40e73e7a5	0	0
59904e19-42a5-440e-a369-8df24dfa857e	0	0
6e14e7fb-39a8-4cb0-942c-d9262b75f15a	0	0
77528a46-c172-487c-865f-c6a3ee7204b1	0	0
dc993d78-9f28-4d45-a194-0f8742ab836a	0	0
1a9d59f2-baf9-425e-a92b-73e653a953df	0	0
4491373b-de11-447e-9ab9-9e84c5720d0b	0	0
d92ffe12-afba-4ae0-85cb-479aa8c15a83	70	5.83364444444444441
1d281513-547a-4d41-8850-f08c85ab378f	0.594125249072381956	0.0495130779793610393
e2bfa02b-c53c-440f-b1b2-f514230cbd4d	0	0
5794926a-0c46-4cfa-bf26-11c0e5fa73d0	0	0
8067ee7b-c68a-4471-afcb-5a792ff057dd	11.1837229437229446	0.932026617412217484
dbccb103-8f27-45c7-a146-c2fad07c052a	0	0
c4aaa752-0582-4e22-828a-5edac46633b2	0	0
b13a8ed7-142e-4feb-a9b5-8a853f75fe5d	17.1436818181818182	1.42871634565656569
cd003968-d8f1-4dc0-b384-fd07dce0855c	0	0
22334244-138c-4bb9-8a26-a8874efae0bd	16	1.33340444444444439
c90388a0-5bbc-47fd-9305-19a382dcda35	0	0
d906a71c-b107-4edc-aff9-48d71862568f	0	0
57ee3e31-5400-4fa7-8cbf-426bd2aa26a9	0	0
2c76698c-0b2d-46d2-8cc0-644820f87179	0	0
51feef28-8f4d-407e-bb5b-ad79fbf02671	0	0
daf02cb8-89c4-4b4b-b4dc-91600c996b1d	0	0
b4f296cc-24e0-4023-aed0-e721241fe173	0	0
313f1d99-93f1-4da9-ad3e-0338960b9d01	0	0
cfb6096c-c537-411e-8645-372e8f330138	0	0
73946115-7152-48cb-812d-30f3033affaa	0	0
09351faf-7e85-48b1-b35e-2b4ab41c2718	0	0
8f1f35b4-2949-4386-9714-df9f7b5d2ed3	70	5.83364444444444441
3cf81084-1ac4-4512-ae0c-1fd7791c33e3	0.594125249072381956	0.0495147283272751315
43f3bc7a-ca56-40a7-8d42-6d828ce77618	0	0
756e6e2a-c820-4a8b-b6e1-bef772eeb2a4	0	0
19a5a4e2-ec9d-4883-8117-1976db19d0ae	11.1837229437229446	0.932057683309283402
d189ae75-91ae-4596-a4ea-537ffccd8a10	0	0
001e44e3-eefd-4523-80d4-57371b8b5882	0	0
ba498c40-74d5-47f1-bf9a-08ccd65247d6	17.1436818181818182	1.42876396699494945
6c5c67f0-62fc-4e91-8928-e34dd9391a2f	0	0
de2a591f-3914-47ae-96ff-6875899c82cd	16	1.33344888888888891
289efb5c-4bf5-4e85-9224-d2453ec68c23	0	0
a5f2d38a-2ff5-4bef-bb19-fca4d82a5a63	0	0
941568a1-234e-43b0-bccb-e88a33dd4dde	0	0
94a6def9-d030-4333-97b9-2d61a9018e2a	0	0
fde000ea-a914-4032-9a21-6080147573d5	0	0
93ce0442-c29d-4136-b853-82af6f140ec2	0	0
e99362a7-6d15-4f6a-b1e8-e9a76350a293	0	0
5de5d3d6-e4f3-4aaa-9f87-91d8e67e8a54	0	0
b27d966d-fe0c-4771-83e9-844b3913e33e	0	0
44314f0d-7900-4921-bf74-f31b8076af76	0	0
b1a46468-5bb2-4dd2-993e-12c6ba7e60e0	0	0
6e176fe8-f524-4547-abd4-a60ff6734f26	70	5.8338388888888888
c19dff07-ddcf-4d37-887e-a6c570c02b6e	0.594125249072381956	0.04951291294456963
e8e9f19f-3677-41d2-ac25-dfdd547f6219	0	0
93627b12-5e45-4d81-81b7-36d263f4cf06	0	0
53265c61-d5e5-4a3d-b324-f65059eeebad	11.1837229437229446	0.932023510822510892
28fe5971-483f-42bf-920c-d79beefd4fb9	0	0
0ce8e3b4-e5e9-49b7-be37-f80a8e5cf0ec	0	0
2698be88-f8e4-497f-b8d9-bcfbff111d15	17.1436818181818182	1.42871158352272709
29a4c3eb-4a4c-4849-bad4-3a3e57358448	0	0
5ce6f9d0-93ff-4d91-8eba-53bfbf740437	16	1.33339999999999992
4e575c0e-ff5b-4e2b-a30f-d7a0b0e6056a	0	0
c47fd675-7829-4a6b-b4d5-008e7f9a1c12	0	0
ec381bab-6e1c-4b94-82dc-f30584cfad50	0	0
91d28e43-d9e3-4e28-90cd-344d9d1ab4ca	0	0
3f2605b6-f2b9-4db0-b200-d4627fbec45f	0	0
fd4ce728-a926-4425-b5f4-48de1940bdb8	0	0
60b1dd7d-250b-48b4-bd45-ee8fa84a379c	0	0
830e2fe6-d2c2-42e3-b258-54c4f090c21a	0	0
3bd7d465-7ea4-4e68-9559-18ba61022bf4	0	0
05ee2a68-0d58-4693-97dc-3fa1e82c186b	0	0
ae5a8cee-4012-421e-ab6d-4a20d50a36ed	0	0
73bb038d-736d-4236-9cc5-885101f71ac3	70	5.83362499999999962
0883983b-2a96-456b-9453-a1f93cd6586c	0.594125249072381956	0.0495142332229009038
48e7c363-9297-477f-9e31-ebae211308f0	0	0
dc471a3a-09fc-49bf-b67f-ab1e1c0e3b0e	0	0
87482fe4-1028-42f9-bf46-44edc32d965f	11.1837229437229446	0.932048363540163516
47eb83a7-e2b8-4862-b545-f7c88b162c40	0	0
b6400da6-0479-490d-8069-92be29b694c3	0	0
995a1f4e-bee1-4a5b-acd0-963fd72519c2	17.1436818181818182	1.42874968059343432
417578df-d27e-4261-ac81-bb8677b3f3b4	0	0
77e975b1-1abb-4bfa-89a2-22f4d22b8dd7	16	1.33343555555555549
8bb9dbaa-cc5f-42b3-aa9c-bf1fea1cf9f5	0	0
40ab8740-847c-4f1e-b566-319b23d2c9f8	0	0
c9532632-c0aa-4077-b1c5-bbedbb0d7a9e	0	0
37722efb-23c7-4dfd-8e88-88cd7b2cf1cb	0	0
346e5ea3-d4be-4313-94af-4ad726acbccf	0	0
5413cf08-dc1a-4506-a3fd-c0760bfa1643	0	0
d1744a57-f254-411a-a4bc-f26f9799debf	0	0
ce796a46-c040-40ad-9f76-e3ede88c3aa2	0	0
4cc0429e-6d87-4ecc-bb73-bc7aeca6a2f7	0	0
1b923f2d-9ea7-41ab-9877-a13ca9d8733c	0	0
d4465e82-366d-4397-b80c-eb304eb540b2	0	0
6b4c5fb2-98fa-4a5c-a9dc-1ddb7a9d759b	70	5.8337805555555553
50c95003-ec64-488c-87ff-b1a9612770f5	0.594125249072381956	0.0495106024574899009
97f7c047-7ea9-4c7b-869f-296663b61a0d	0	0
c6607af3-dba1-42e5-b74a-52356476cc9f	0	0
23ed78c1-350b-4ddb-a1da-b8aba65c8afd	11.1837229437229446	0.931980018566618607
e3511adf-7173-4cee-91f7-22d961dbf667	0	0
a613eba9-f88f-4c9b-87fc-ad0a94aad320	0	0
9399be4b-13dc-435c-b7e7-dca465b5bab1	17.1436818181818182	1.42864491364898982
77262fd9-786c-4d0c-959e-d553e5798ae4	0	0
72d96710-c4b4-4fad-9ee3-94c93df14aaa	16	1.33333777777777773
0857aebc-f1cd-4ced-8687-434d935fa42d	0	0
d9180c35-4528-4da7-be39-3b8b89a61a34	0	0
e36300ef-bb45-4041-9564-e5f0d9918bd3	0	0
3e833007-aa79-4850-8f5e-36ed1eed6755	0	0
9922a9ff-fe40-4f05-9558-1d3781225b62	0	0
1982970e-e41a-496c-a6ae-16e5dd3a17e5	0	0
e4ef1720-5c16-4166-a470-b4ce3f856147	0	0
55acde8f-e3d2-409f-842f-e89cd3a4fc35	0	0
0bb4d8d5-e526-4dda-a936-036e7baf60c0	0	0
c3b62eb5-4083-4400-bc2d-b022a9830f75	0	0
94727f4a-8c88-4e3e-bae0-d95dee2f58e7	0	0
94a2665c-306e-4bb8-ab07-592beb7ed94d	70	5.83335277777777783
a6970110-116e-4768-af5e-7907cb48b2e1	0.594125249072381956	0.0495152234316493592
5692e9a1-7b60-41ce-8c83-a3ca74f2fe9d	0	0
d49dd2d5-c471-449d-87ad-8bcb8fd07124	0	0
f909ff69-be26-4398-b45d-860fd7479152	11.1837229437229446	0.932067003078403178
75c6e8a2-586a-4248-b578-b6bda9b4831a	0	0
214223db-c553-412a-a051-4a37689e0abc	0	0
bb5a5991-ee33-4a8c-87f7-2176daf62509	17.1436818181818182	1.4287782533964648
e580b1ea-c152-47c8-8cc0-75d674fcf5e3	0	0
7ccfeff3-a18c-4b5f-aa21-aeb1352d1d4b	16	1.33346222222222233
2922798e-6460-4d71-8207-230a49ad7791	0	0
5e81526c-9e7d-4985-8f2e-db4b0eacb0f5	0	0
192187aa-0068-49a9-ba41-a1213faadc08	0	0
e5e302c3-1855-4ddb-8c99-ddd54d4c7f3c	0	0
1a4d68d6-1b59-4faf-bce3-b0b99f552cf5	0	0
5a7f7d4f-cf14-472d-8a49-5e8a23d71d14	0	0
852579bb-8e4d-4add-8f70-7872348e969f	0	0
05cea682-497e-406f-90db-cf2130311ca8	0	0
736996f4-ef52-41ae-b93c-06d97ef63373	0	0
38d9613c-f6a6-4c18-9946-f5079d516822	0	0
062d8e71-8287-4286-ad20-3158f846eaef	0	0
bb059e5f-3d59-4f31-8e4a-97005a26df78	70	5.83389722222222229
3645737d-5e5f-4f8b-b401-d76d21ae41b5	0.594125249072381956	0.0495134080489438577
de686d7f-4261-4d95-9783-b57b2dbb30cb	0	0
dd0432e8-12e2-43a6-b26e-e342c69b9886	0	0
dc67f5b6-c06a-4875-9cd2-f4d0b49c51fc	11.1837229437229446	0.932032830591630668
76339bd4-5a14-4a42-ad3f-aecb3076835a	0	0
a5538e82-33dc-4ecd-8578-59f46a688f9d	0	0
9ddb0a49-566b-4262-9791-8c006575bde3	17.1436818181818182	1.42872586992424244
cf071f4d-463a-4009-a35a-8cfb618bf027	0	0
da0ce8ce-9253-41c5-8e99-8ea9caecd032	16	1.33341333333333334
be75c42f-5c3e-45b8-9eb0-7ed1e04006a9	0	0
7f20fd7d-b267-47ea-bbb4-3350d78f35fd	0	0
5a915163-12e5-4ba6-b8e3-47138ed64143	0	0
c7c6a454-31e7-4d8b-9023-133ce08f1981	0	0
4cbebd95-351d-4cf1-8bc4-7058966f9234	0	0
becc4f29-aff2-4dcf-81ae-0227ceb18737	0	0
f2192339-266a-4173-973d-0eb36e12d836	0	0
35ec0c40-15df-4735-96f3-428dd74b74cb	0	0
5285a6e4-ea0a-47dd-a585-9f5a588ea058	0	0
acbef8e6-3940-469a-8ef5-64ff45a7bfb8	0	0
bebb1115-ad0e-40b0-afff-f33abf23902b	0	0
b9510c50-61ce-4008-9ba9-6849730ad58e	70	5.83368333333333311
38ae5d66-1f4c-4a58-901a-abd9ac7926f2	0.594125249072381956	0.0495120877706125839
04d1bb8b-625e-458d-a1d7-188ebe309e67	0	0
c6cb3416-4966-4abe-8e53-ef68c39ab652	0	0
5052c833-ed91-47d6-831f-316b7f3661ab	11.1837229437229446	0.932007977873977933
4487f11d-89b7-4c98-b2fa-ac10fdf3f219	0	0
7730bfea-b8b7-4f7d-b493-b8e881a1a31b	0	0
f5ea232c-1c89-4aee-b06d-aa8564e43110	17.1436818181818182	1.42868777285353543
6e2462fb-0e90-4e87-95ef-baf37827aa47	0	0
6b03107a-ee87-496b-ae66-fe2b2443ae76	16	1.33337777777777777
815c943b-c1d3-425b-b5fb-0283acf5a8b1	0	0
17fa76c6-a4d5-4975-a6ca-d3a48e385f31	0	0
40076541-b0dd-42be-b298-48408b751661	0	0
332b1678-0e8c-416a-953f-2a8fe14bac08	0	0
d1808e51-2f0c-4bd4-9e0e-060abad0d89d	0	0
2b6356c9-44d9-41a1-900b-54419526038e	0	0
96147549-3974-4543-b354-9693ed81005f	0	0
67f65214-3d94-491c-9166-6405d4829a76	0	0
8b2749ad-1440-4d36-9d23-b38036ad51b3	0	0
f0b39671-0906-4e71-82b5-5a87209b6efd	0	0
fe08b2ff-c77e-4fb4-bdd7-c4f5b2529aef	0	0
dd8e1923-1c93-4e01-8261-f6cc7f34b01d	70	5.83352777777777742
155fc891-bf27-4f0a-b89d-526ae8929f71	0.594125249072381956	0.0495135730837352669
7dbf84b3-6b97-4725-ab8a-6aadf0a5a858	0	0
ca7a06e0-8fbd-4bf8-825e-3f399891b40d	0	0
f7ca7da5-9210-4c2c-8ffc-e8a1170e864f	11.1837229437229446	0.93203593718133726
8a1100a2-8525-4a1b-a2f5-489f13ef904e	0	0
4c2f7380-1a5c-4a32-b6e9-4d0c6ccb6b64	0	0
11029ec1-7495-4473-8d17-e1e4891a5658	17.1436818181818182	1.42873063205808082
c09dc693-b92f-4004-bf82-87ffd7283b9a	0	0
acddedff-79b7-40cc-8d78-3f75b41a2b5d	16	1.33341777777777781
8f88fbf2-c78a-4065-aaa5-86bc2bb50a5e	0	0
c5b451bd-a584-43c8-87cd-b5fe7a9cb40b	0	0
ff173234-e6c4-4f68-9d8d-17aa7b593b8e	0	0
2ea2356f-eec9-411e-a39a-2e38c2258fd1	0	0
65cc5216-375c-4ff2-850b-a498fc324231	0	0
99cd12e4-f94d-4564-ab9f-cd34f85e51e7	0	0
9a84850a-1364-454b-9dfa-23f2cd818007	0	0
ff9a64d2-5dad-4a95-bd4f-8cb2db2f34d4	0	0
e55a040e-a079-45ab-9a8f-aafa4095573d	0	0
4b975707-6486-40e8-8e88-aff027b16699	0	0
aadded76-f56f-42b6-a065-156be8f2da33	0	0
e902106f-ee77-45ac-86a2-219113051d0a	70	5.8337027777777779
a9c0ed48-7e34-49d3-a03a-33b027821eeb	0.594125249072381956	0.0495183590926861275
039692e3-88dc-41b6-9149-18a4ae343a36	0	0
6600a7f4-6498-44bf-a3de-ad52abd36af3	0	0
ab0448ce-5180-47bb-a441-0520465e0121	11.1837229437229446	0.932126028282828312
24b4a532-42d0-4202-94d7-0376f674abff	0	0
ec70467e-bfcf-4315-a4bc-02ac92ac542b	0	0
c34e9e56-7b8d-45fb-8bf1-e75fa2367303	17.1436818181818182	1.42886873393939395
dcf01a07-4dc3-405b-b63d-40ccc1c880c5	0	0
107d8fc4-9f4a-4f1d-a663-8260dbed2670	16	1.33354666666666666
577c4185-d401-43b6-935b-15ba89d258e2	0	0
6b4435d1-abd0-4708-b242-5fd8e838c609	0	0
da25863d-2438-4491-a0e7-9afdf90303c9	0	0
7d669461-84c6-4579-9b96-f3dd358132e3	0	0
43bf0fe4-51ec-4cf6-bb6d-98de7236aa06	0	0
255a1b41-5139-4fed-b949-365961de643c	0	0
17725cd5-f2b3-4591-b678-ff35243da06f	0	0
50f3a49a-0be8-4c05-bf7d-784225bb29bc	0	0
8ea3e2de-5767-41f4-b7c7-b75c0c58890d	0	0
95dd08bb-5b0f-4a55-b469-0669cc570922	0	0
bb66734a-71a0-4ef4-8bb6-2798f527c94d	0	0
b399c916-b330-4bc6-883e-2896c786569d	70	5.83426666666666627
64c37c9c-e7a6-4e6d-9db9-6baf74b53533	0.594125249072381956	0.0495056514137476311
fe0f5cf6-48a6-4375-b354-2fc62b12d0c0	0	0
bc247a98-d5a1-40be-bb1b-e6802c0d22d6	0	0
9b6f2e42-43e6-4941-9661-32e906db9285	11.1837229437229446	0.931886820875420963
8f51d19a-f51f-45a2-9305-768bbd2b2fc8	0	0
63b6fd53-5a29-4225-9f70-55bf2a2ec5ba	0	0
88205555-de40-43e8-8a1b-d6af5cb944fe	17.1436818181818182	1.42850204963383831
4a84180a-9e73-4427-b2d1-8f3c70ea1771	0	0
cfcdf511-c21e-4e35-a718-9e53b54fded5	16	1.33320444444444441
6d681c54-6c2a-4419-881c-e7183643c0c8	0	0
f6cbffc3-2e57-4fd7-92f2-8ee2e3eac254	0	0
32fdc1f3-ffe2-4515-9677-fb2b96491925	0	0
d86e0fd5-e22c-4b13-99ff-b7b4b37fb6bd	0	0
e696e78f-51c9-49c4-b5cd-61361263cf9d	0	0
3d129e38-e49a-49a0-bc68-1a2d6ce4d5a4	0	0
d9616efe-6b75-472f-9233-f10568390be1	0	0
4086959f-9606-410b-b44a-eb3c187dbc49	0	0
591b4037-0a85-41ea-987b-e30ef85001f1	0	0
2b40ff28-a1b1-4cbb-812f-b599e9a0eaa5	0	0
877374eb-ce61-43cf-b688-6a03c4ff9ebb	0	0
b2fcc28c-973d-4e92-b501-14371a42dd87	70	5.83276944444444467
c9e89882-d5ed-449f-8d6c-c7df954d8d36	0.594125249072381956	0.0495181940578947183
b2401c77-9183-4609-ba29-10ab854e20ae	0	0
473b9c4c-cfcd-44d4-90fe-3553480e0810	0	0
f586bb20-ed83-4f61-b33d-11a2072eb93e	11.1837229437229446	0.93212292169312172
859408d9-74c6-4cd0-afdd-ca5fca5af5d0	0	0
21745ef8-8d83-47f3-9716-ac64942748e1	0	0
f6ab56dc-b3a0-452d-9d17-1e2e00f46a0d	17.1436818181818182	1.42886397180555558
015983e6-ffbc-4952-8f79-4645bc23d26a	0	0
c9d7afdf-8cca-4e82-bfe6-81e881758908	16	1.33354222222222218
22e53ff2-b27d-45be-8ce5-8f3b011ffdb5	0	0
40d1f585-3237-4b82-abe2-115827ddf674	0	0
8679c9d6-e305-422a-9475-eba405a36004	0	0
70d182eb-8be8-4791-8d0e-2b445ed8bf67	0	0
87a7e363-df77-431f-9a39-aed4b5a7a9b5	0	0
0b222f71-fe1b-457e-891f-4627ee1e081d	0	0
3437fd05-912f-4389-b623-ee880d416bb6	0	0
72dbb6a3-474b-428f-bc37-5055644d7ceb	0	0
3c1e8d9e-3a2b-4c9b-969b-982d70624039	0	0
0a74f322-c2a6-4c54-8985-d6705c5df084	0	0
214ceb68-3c73-4279-ace6-54a059863c49	0	0
113ca6f5-88c6-4a4b-9708-88dd848e1b96	70	5.83424722222222236
8d994ff9-f24d-4f57-aeff-464841b7e170	0.594125249072381956	0.0495132430141524485
15c219b8-eff1-4d83-af2f-84ef97f32cae	0	0
4890a798-966d-4b87-8fb0-4b63c79189f6	0	0
7c12838f-6aaa-452a-a6c4-a75442eb8b22	11.1837229437229446	0.932029724001924076
bfc3127c-438c-4d4c-a161-0bdc8a7b5564	0	0
17cf0a29-d755-4b42-aa0f-f781ede0d53c	0	0
06ffd115-2b59-40c4-97f8-8c39892e7009	17.1436818181818182	1.42872110779040407
072c8f38-36ee-4b45-b795-ce60465fd47c	0	0
8b1627f9-7568-4bd9-b30b-bbd866a34d69	16	1.33340888888888887
d78589a6-0606-43db-b6b1-a6ed589e5338	0	0
a5b00811-cce5-40b3-b5cb-59df40260188	0	0
f3c4e750-7c1a-4877-9e57-2617ea55b448	0	0
62513f9b-8f89-49aa-82d8-e9caf000c984	0	0
8ac577d4-c717-4965-ab33-f7fccd79020b	0	0
6f643b5e-5b94-43b2-bc0b-8e6ce63dbff7	0	0
3d072b9e-1c22-4264-92fa-8150bca41476	0	0
7010811e-f70b-401c-9d96-63a7f6f94299	0	0
5554f548-3a57-4f4b-bc9d-42ae5bbb931c	0	0
5da9ab1e-bfec-4b67-9fe7-9567fff5db13	0	0
1fa79892-ea2e-4505-bcc7-d0e8ad29a279	0	0
877ec6dd-146b-4fd0-aab8-17856c4c34b1	70	5.8336638888888892
1b9b3b43-b21c-44f0-b0e4-4eac218a67b6	0.594125249072381956	0.0495125828749868185
9a42f07e-ec1e-4b76-8434-558d1c9fd1d1	0	0
2882d3e3-92df-4911-9f25-fe20779553c2	0	0
56b0449e-b327-4597-b636-eda7d879b439	11.1837229437229446	0.93201729764309782
16ed0720-131d-4a1f-b427-f045525b40cf	0	0
bdf1f323-35cc-4c50-be03-b85541abfaa6	0	0
4439296f-7d6e-4620-a4e2-62bbe5d372e1	17.1436818181818182	1.42870205925505056
b934726a-c185-4680-8659-bdef3d25a8b8	0	0
b02aca08-276e-426f-945a-1181e179ebe8	16	1.33339111111111119
97f77e66-9101-4b79-8203-5d26e2798652	0	0
668dbbf6-23ee-4391-b00e-83c3ff475512	0	0
ca0d3913-6b59-4645-bec8-d0642690ee04	0	0
b16a3855-238b-4dc8-bb6a-79e9045bebc4	0	0
e70d7b97-b939-4061-9d9e-5cee175d802b	0	0
42b65a7f-aeaa-4cb0-9be1-b2c36c637f29	0	0
281e6df1-3a1a-48f7-8e2e-a5385681c856	0	0
0904d1b8-51cd-44fd-8734-5cad0d365ece	0	0
d1f57341-8366-4153-b6a6-1d79c270f67a	0	0
8943c656-41f0-42bd-af78-38fd47a77865	0	0
ca00aa3f-25ef-405e-841f-8befd05f7930	0	0
d5c30a34-ded2-4256-a9cd-93aa3c3534eb	70	5.8335861111111118
4413ed29-9520-4318-8199-702ded88e70e	0.594125249072381956	0.0495122528054039931
0fc6a960-a699-4322-85ab-0d15eae9b4e5	0	0
6471e265-611e-42e3-81ea-8649c4b7a146	0	0
5450ff8f-f463-4cff-8f33-2dbed0165080	11.1837229437229446	0.932011084463684525
945e097c-4bdb-4427-8da5-0ea6e7c559ac	0	0
083c030d-e0a3-48a4-8bcd-b32148f0c77e	0	0
8b882693-af43-4c3c-932b-608a0bc41f4c	17.1436818181818182	1.42869253498737381
4caced3a-5f3d-4681-aafe-1337d86bfb86	0	0
21c1edf1-7943-4844-8d9f-3b89bdb1f69a	16	1.33338222222222225
09bda579-b047-4bf5-8851-bd613861303a	0	0
4489415c-c980-4f14-ad30-f4dc278c2e68	0	0
0da3ee65-3a3d-45d2-a574-b7ecd22e5581	0	0
9b889043-14ac-4167-bf1d-84aa723e0644	0	0
7d76f5ad-8a19-4f9c-b8b2-2fbfe46a8a7d	0	0
0a9ecad6-fe38-4417-8bee-5d99457ac996	0	0
8b7d2e18-8b96-4375-91a3-6065755dd92c	0	0
87601bf9-93d7-47ba-b7ec-b97116aafcae	0	0
a2d799ff-2997-463d-a863-31beb3dcd602	0	0
095d289d-a1f3-4bcc-bf7a-2afcd1cdc6cd	0	0
891ab3f3-317e-4789-bf02-389bd85ae34a	0	0
e5546d1b-afa0-4ed7-b08a-96fe5f2b70a8	70	5.83354722222222222
0f6b3ff7-4f9c-4f5e-9a7b-c85e089a0c42	0.594125249072381956	0.0495175339187290883
5146a74d-1b6e-407a-8137-1e6b3012d3b1	0	0
c112ba28-06f8-4078-9e90-fb6b5a2115c9	0	0
0a5affef-a60d-40c7-a2b0-af785c625475	11.1837229437229446	0.932110495334295464
d5e56dd1-6886-4de8-b22a-2dc351581610	0	0
3869be60-b51b-443a-a081-13db1bff5141	0	0
78ed1bfd-93f3-447e-9db5-e66bba0827f8	17.1436818181818182	1.42884492327020207
a638cbf3-1739-461f-b7d5-f75ba6418daf	0	0
a0a07021-2423-4237-9ea1-9f642deacaa6	16	1.33352444444444451
77fb0def-5ec3-49e2-8484-2b486cf01a8d	0	0
5386e257-5fb1-4470-8967-7a1cfcc41f90	0	0
d507869c-9130-441c-a6c6-94d8a6820081	0	0
c3d9fc3e-9b8e-46b8-af67-4a6997078386	0	0
d74463e3-5a5e-444f-abae-d6dae3a1e1d5	0	0
c85e9a3e-4e6d-4986-9398-8b1c8c7a1261	0	0
9b3505b0-6f3a-4494-91f6-0bca9ae6a19c	0	0
2bdcf7be-7746-44f0-8f23-12db29bb28af	0	0
02783458-cee9-4799-8f8d-d2a5bd5786b3	0	0
a8bd73ea-86fc-4bd3-a874-fdd782a6cc9f	0	0
edd83685-04bc-4024-8490-40c0acb3cade	0	0
f79e90ba-e889-4d8f-a189-af46f5ed297f	70	5.83416944444444496
9e1736b2-6289-4f76-9aaf-91e82a3e2e3e	0.594125249072381956	0.0495073017616617303
8e88ee59-ab35-4e8e-a1bd-8b478b5ccbe4	0	0
9bae3051-939c-42f3-b89b-f8ddac968ec1	0	0
1a186228-17ee-43c1-ae0f-62e47816b464	11.1837229437229446	0.931917886772486881
5b8a36c0-f7a1-4c8e-b389-3e6bc1fa6d24	0	0
ac6a7050-ef17-4280-8a77-d534566f6ebd	0	0
5440098b-55b3-4928-ab91-f357b5c7ed90	17.1436818181818182	1.4285496709722223
d2021a55-cbff-40e1-b178-16b7d47299cc	0	0
0109d78e-b8b5-4e14-9726-372f3a3208c5	16	1.33324888888888893
1b4cfb2a-8ed1-4656-ba53-f4eda0eec55e	0	0
7db731fe-4ede-493b-bf8f-c3a528280006	0	0
6204e48d-d498-456f-ae4d-8af1a57b4f52	0	0
7c832567-2846-4934-ab09-2349c87321ee	0	0
079d0143-b196-43a1-8c4e-ac10d10f2766	0	0
33338a45-2f41-44c0-92dd-7edf41d28296	0	0
40134c07-a94f-4d20-8da1-fed2f17e7624	0	0
b9de759f-afd1-4e07-a1c2-368da5bd4e4d	0	0
9c485150-a347-4726-9f9c-42608df05e38	0	0
11e42c7e-2cb6-41c9-a804-307228df0c41	0	0
a86f0f20-90c5-4797-81bc-2e426ebfa2fb	0	0
4d8138ff-565f-4517-8798-5ea45d3eebed	70	5.83296388888888906
6d5d7088-54e9-4a60-9220-f2ef5e63e042	0.594125249072381956	0.0495175339187290883
c6e05160-042f-41be-b5d4-c446cf4bde28	0	0
617c582b-388e-472b-bd80-ab72bc35ef39	0	0
faa4f2d7-5d5c-477d-96e6-1ac6dd088727	11.1837229437229446	0.932110495334295464
0540296f-ba05-432d-98f9-47b2ad934828	0	0
fab80642-0dbc-40b3-812a-cd31d188510a	0	0
a9b745a9-486c-4de6-84f6-1ecd533e7901	17.1436818181818182	1.42884492327020207
a1e5d3c2-af9e-4f9e-a315-46c10d108d64	0	0
efacc276-cf5c-42d3-abcc-3f6f603adb5f	16	1.33352444444444451
64e97240-1f92-45b3-92a1-41e8994ec6a5	0	0
a4543c55-8891-4ecb-aa8f-309e231541c7	0	0
8e5c9258-ce4d-4ade-8ea6-0e5389a29435	0	0
36de2b2b-0a6c-4145-83a4-37bf570f9a52	0	0
176083cf-c6d0-405b-b437-15753a871582	0	0
8af66ce8-256b-41de-8d05-bdab09ab73d4	0	0
2dc703dc-879a-4f83-b31f-469e761fad11	0	0
aa9b1ab6-b8dc-4ad4-88c0-997993bb6410	0	0
4b5462de-291b-4339-bfcf-12affd803cbb	0	0
0d5937e1-70d4-4539-ab64-03a72892df70	0	0
f500db1a-a6bc-4c39-af1f-4ddb7b620ef4	0	0
1ef36cfd-ce6f-42c9-8a13-34b4be5aa288	70	5.83416944444444496
009b614b-e9cc-4984-87f8-2b2c53e0ce01	0.594125249072381956	0.0495145632924837223
fb305419-a9c7-41f6-ab7d-b4206a53381e	0	0
f905b821-89b8-4a58-ae1c-db14a70a1fa6	0	0
04e31bb4-bb42-4911-9862-bb65ef6cd641	11.1837229437229446	0.932054576719576811
58b8defb-971c-4869-a81e-e87cad06bc7b	0	0
012c337f-5936-4ea3-9076-f723c0fcb0ba	0	0
721b867b-6bba-4796-a2b3-c8eb99ee0cc5	17.1436818181818182	1.42875920486111108
46673a67-096d-40bc-a59f-21f1ce25e9cc	0	0
cef1bfd5-351d-4256-aa14-e0a4dbeadcfc	16	1.33344444444444443
460b794f-24e3-4c72-af24-62f626b7831f	0	0
c12ea000-2aa5-4832-8d5e-f274aeb54ca6	0	0
6b0975df-d169-452f-91a8-e5317eb92ab5	0	0
631f239c-a16f-4755-a7a8-7f23ed427322	0	0
2566343b-a864-4eb6-b108-02cb5852a82d	0	0
c57b7371-359d-408c-8751-b6af1d4f0262	0	0
794b58da-5558-4d1c-81a9-1d799c219690	0	0
5056c29b-2202-4735-8fbd-4f1662e3657f	0	0
b32ae9fb-9efd-4342-ba41-ead22ec0b842	0	0
a8695fd1-b10f-458f-a9f2-153e357231d9	0	0
2e6acd7f-61a8-46fa-b8e4-a5a6b38991a3	0	0
1dd5d227-43a8-4374-8c7c-91e10e69a41d	70	5.833819444444444
0f5ba8dc-cf63-40bd-afbc-260516bd375f	0.594125249072381956	0.0495142332229009038
4fb22c28-49ab-4887-bf5b-12a24cfcd911	0	0
f3aab036-36ff-4d38-b2c3-add8e30894cc	0	0
c62804bf-2002-4a15-82d8-d3a91cf01feb	11.1837229437229446	0.932048363540163516
9f907219-e4e3-45aa-ad4f-f6167dc04f64	0	0
4ff65e99-ca20-48a8-be6e-84c160efa35a	0	0
2becab3c-8b12-43a4-b309-ded03b4a6d00	17.1436818181818182	1.42874968059343432
3d3ff746-edbb-4d82-9531-723a4d6102c2	0	0
90f49ad7-3b44-4d93-a465-e37edf9c70f9	16	1.33343555555555549
c1e1c645-a14c-40dc-a79d-6ca15600c96d	0	0
371fb981-6a14-4240-9e21-56cba3ad5178	0	0
b8bdb5ef-1eb7-44dc-b744-4b7a5a39ea94	0	0
32858a4a-e64f-4d9d-8872-ad0f3d126dfc	0	0
10570a80-beed-4f8b-9d3a-b674041da5fe	0	0
5e2a16ed-b7ab-448d-8889-4882983b4058	0	0
7e21ac4a-ebdc-4348-be57-126922ef17e7	0	0
734d5ae5-ebbc-45b7-b852-ab56dfcdb3a0	0	0
39366959-f8cf-4be3-82c5-35ed18cdb988	0	0
7ff11014-1542-4b47-98fb-1623e43a3efa	0	0
a90ca1fd-ca32-47e1-8688-85e3a4a08381	0	0
0589c0db-e926-44bc-b4f9-4ed666825165	70	5.8337805555555553
e62a64dd-b6db-4553-a334-c21b04b94d43	0.594125249072381956	0.0495112625966555447
24a66370-d738-4f1a-a489-3e4b86f4ad5c	0	0
6cc11826-a0c9-4232-9d1a-734d7f0877ca	0	0
03ec468a-613d-4a1e-8739-074f101c7a72	11.1837229437229446	0.931992444925445085
1d26e2b4-e535-4830-b649-41194be6ff3e	0	0
ac646b87-7c87-46a3-b2fe-be41a4711fe3	0	0
d410c197-509c-4f9b-b7fa-fdddfbcad6ef	17.1436818181818182	1.42866396218434355
9ce151ba-889f-4f14-947a-dd3fddaa723f	0	0
b94ba490-c3d4-494b-8e47-3cc7f9cee62c	16	1.33335555555555563
238ce1dd-3944-44ff-8753-6053f01646ae	0	0
ced71ea7-583a-477f-acc3-38710f3bb5a5	0	0
a1fb2bb6-b37b-4be9-b8d3-f8c66393168a	0	0
bb049d9a-9fbc-4667-bfcf-15ebbefb03c0	0	0
a6c9bfd4-9790-4deb-ba20-583d3aaeba73	0	0
e52361e1-5c01-4813-9f78-e09c693e4827	0	0
5864f93b-ba87-4fa8-a46a-1c3cc1742f8c	0	0
9535e859-b27c-4502-8b21-9c9748c0ecfe	0	0
715d42c1-a519-4393-a3e2-db4489424f40	0	0
d6039a93-04bf-4da6-8c02-a9743e83d29a	0	0
3b87b591-1a37-44bb-9e52-8c2f06871074	0	0
bc7b7dcf-6f50-42e9-849e-a4de8706af80	70	5.83343055555555612
389def40-a908-498c-8c58-98eaffe17ee1	0.594125249072381956	0.0495143982576923131
42ae669a-5ec0-413f-a723-d2d23c018b93	0	0
55e58072-e896-41c0-bf9f-626212fb2815	0	0
6975cf6b-e5b3-4011-83aa-1612746f8af4	11.1837229437229446	0.932051470129870219
1f94faae-4b4a-44d6-8982-04bd45ecd9f7	0	0
3bca7374-d192-497d-8ec3-15489231ee2b	0	0
554bd359-2c9e-45f3-868d-f7fe8ccd2776	17.1436818181818182	1.4287544427272727
25ca50bf-d3e2-4ceb-8f37-836181828b32	0	0
87dfab6b-86f9-4d46-892b-0249e9792bc0	16	1.33343999999999996
163287e3-5f6d-44b3-b90c-f79873f8a9a9	0	0
26470ce5-98a4-4438-bfb4-cd7499ab4662	0	0
041dd764-0557-44d9-837f-3b8ff2f984d4	0	0
568982cf-7d5a-429b-91b9-b88266755bdf	0	0
1c582d88-c7ae-48d6-8969-ee9d4864bf14	0	0
f5fa027f-5280-4667-a576-fa60b9229a78	0	0
e9ddf0a4-1e01-4c08-af5b-13820ccf20a7	0	0
03289ac2-7368-451d-b7e0-f8437414f6c4	0	0
05196a92-deb2-4ae6-9b99-c9704a662186	0	0
1657c250-4851-4d36-a0bc-76e6ddf37e3f	0	0
e2306851-834c-4187-8a5c-b92b9aa26341	0	0
44ff0937-7862-4e8a-be71-5cdd05ec3dd9	70	5.8338000000000001
16306615-b407-4764-8241-b3870a484333	0.594125249072381956	0.0495094472139500433
9976d859-ab1d-478e-8a88-9d45ab8004f8	0	0
c2280422-0037-4582-b55d-a357b180b02f	0	0
bcf40607-a8ab-4432-ae1c-3ef32ce1ab93	11.1837229437229446	0.931958272438672464
044d119f-882d-4cfd-8b85-f9f8eec1b3c2	0	0
ead182b3-398e-4f40-ba07-fcb4bc39867a	0	0
71e9635b-7d9b-4bee-beb9-3bbb8421d17c	17.1436818181818182	1.42861157871212119
2653dc8e-2f36-4c4a-8132-d080e354a191	0	0
e46df782-2b73-487e-be8f-1706dff6a699	16	1.33330666666666664
36bee3fa-dc09-40da-9cb8-e72f68c184be	0	0
bfc9ccbe-b092-419c-953d-48b61ecc5521	0	0
32ac3f10-061a-4f0f-8754-fba9920f0abf	0	0
c6dfc3dd-1aa1-4cf6-b78e-8db11ba8152e	0	0
de9d81e4-b4a2-4828-8103-cb51deaa7a5b	0	0
032b21f5-f17b-4040-8712-4c9db9d9bbfd	0	0
69f13582-b95b-4daa-9cbe-5ca16d3e6149	0	0
105c0a54-0a08-4e5f-86be-27cbb7e4d94c	0	0
2c63d5e2-7f9b-4bf3-bfb8-96a51cc2b7f2	0	0
41819b0e-2355-46c2-8d8f-847ad207234b	0	0
1ee34249-e4a9-41ce-960f-767bc9420f96	0	0
d5eb87e1-aba0-42c0-a5d4-e39a20fe184c	70	5.83321666666666694
7de2fdde-a107-48f1-9a70-c4a898d89070	0.594125249072381956	0.0495190192318517713
30f4a50f-87a0-40c9-a291-f312b4f2ff32	0	0
e1a59a51-75b3-4a95-93f1-f37da3f0c4a9	0	0
a9c0b52f-8bc8-410f-825d-ab28c496693a	11.1837229437229446	0.93213845464165479
f8604bd6-95cd-4b08-8a82-b77857c948fe	0	0
36ee4da2-c7da-4400-a79c-b054e67931e2	0	0
bd474529-72f8-4ad4-a108-94a89abe1ad7	17.1436818181818182	1.42888778247474768
b16785e2-b2ca-4d02-a212-9b66d008370d	0	0
b1a9fe0f-4e95-4796-8256-d526f89795bf	16	1.33356444444444455
c55631db-adbc-4b5b-a62f-7d7ba34a3c54	0	0
c452f472-f996-485e-965a-51c4d24aeab3	0	0
00fef48b-542d-4edc-98f6-f03e367e9671	0	0
b988faaf-e481-4b30-8e6d-b4f4086e1dce	0	0
c263668d-fe4e-44c5-8027-3d9bdc29ed09	0	0
4a43a573-c119-477a-bc3f-6d1fc86ad8a4	0	0
02c99f42-8299-4ed9-a9f8-3a65274adee0	0	0
98937bc5-aad4-4abc-81f2-77fc5e64fd16	0	0
66fb1b5a-c478-4c6c-bf83-5a73afb5a3c8	0	0
72cf3494-d4cc-4f79-b529-158302c49c38	0	0
67e7c789-b44c-4e43-8115-a2c9c4d9a08a	0	0
860fdad6-2191-40a3-a397-63c5bb193630	70	5.83434444444444456
05150588-4393-4834-8d27-c5ac0ae1c8f9	0.594125249072381956	0.04951505839685795
890480ce-6b0c-41fd-81fd-728545c7feac	0	0
7faf9e2d-3b6c-4579-a7d3-dec4f51d8542	0	0
cefa347c-6b93-49af-98a7-829f2c671627	11.1837229437229446	0.932063896488696586
6304ceb1-1424-46c3-8659-fbe94ff0d80c	0	0
f945bb8b-d79a-42ee-8d1e-92ad525b63aa	0	0
7dff36df-e6bc-483d-9b29-31f82fd2941a	17.1436818181818182	1.42877349126262643
59163b97-8727-469d-bf72-65a23dde1f19	0	0
c12ada33-0416-4d69-bbac-e58313d4bd56	16	1.33345777777777785
f31d660a-1a40-4312-a49d-fdc077abff04	0	0
8af61891-3330-4a5c-84c4-ed33b52a004c	0	0
03017b38-5459-4ca4-aa01-639aa23789e1	0	0
841e79cb-fba2-428f-b9d2-7154fde90a8b	0	0
06996eb9-8872-4a2d-ba70-5776ba0b1a77	0	0
a2b16cd7-6bd7-4f4d-85ac-3ad48c6cb6b5	0	0
316b6081-9df8-4eba-8950-7fafb30c9837	0	0
e4000ba4-cfa5-4da6-a099-3d025be1ff1d	0	0
dfd41579-b6d2-467a-87a0-7030e45ecd18	0	0
a149d08a-f953-4851-a98a-641f92352c9e	0	0
1443e45d-2f3a-4dc6-9817-29db2114702b	0	0
175122b3-619d-4d16-8018-2684da5536c9	70	5.83387777777777838
991eea32-8cea-4a73-922c-6988c6d813e3	0.594125249072381956	0.0495198444058088105
9bb1d929-ea8a-4230-bf95-7235b158f237	0	0
149bb4c9-04c3-40d5-b377-66dd020db889	0	0
5be1005a-e1f0-4981-ab93-b895248aa1d3	11.1837229437229446	0.932153987590187638
02fec3d2-e701-4160-b0e8-af88c1b0595b	0	0
0151c2b4-c4d1-4462-9b68-4e188024b8a7	0	0
92d2fd22-81b7-430a-bfe2-c93b7da8142c	17.1436818181818182	1.42891159314393934
7ef88185-f6b2-4ec0-aa76-b8e8538a3fe6	0	0
1a06da30-dff6-46a5-b425-1f4a0a7b0b95	16	1.3335866666666667
0a08a686-85a7-43a6-8379-e88052f0a57f	0	0
18861026-353d-4706-8770-2fed46cdab2a	0	0
33134376-f2ba-4ddb-bc56-e8ead32d223d	0	0
e944a0d0-657b-4e86-975f-72d0097c391d	0	0
e8b38f3d-c715-4766-bdf1-e29795c75b91	0	0
58a04c0b-9668-4a06-85e3-84f8bc946bbc	0	0
d0c216f7-f848-409e-81b4-4fddd8e97879	0	0
40f06c15-bfea-476b-82fc-d4a6674667a0	0	0
f383ff62-abc2-42eb-84f1-c8faa7bf20ae	0	0
d65a9729-826f-4afa-a9ae-00838fadc478	0	0
be1942f0-1bfa-4cc2-9936-eadd90f06ef9	0	0
4ffe5ec2-4768-46a3-97ff-756132cc9560	70	5.83444166666666675
1090506a-0e38-4631-9da4-3c6e8cbfdaa9	0.594125249072381956	0.0495079619008273603
5af94cfd-0a92-4eba-9c4e-e04f2e12f3bf	0	0
00f568ea-3595-4114-9ddd-1038fbcbbabb	0	0
39b1b793-90a7-4aea-b34d-c545ca2f6927	11.1837229437229446	0.931930313131313137
2a1d0394-1e58-4f76-962b-b092dcf450e1	0	0
b6540853-d86d-4f91-96b4-9fb8d54b5f80	0	0
236d62da-002f-43f9-9f61-0f2f88c6fba1	17.1436818181818182	1.4285687195075758
5563179d-9e8b-41b4-8b80-bfdb5d11d1b2	0	0
25baf9d8-fee0-42d2-b8f7-fee9e6d90091	16	1.3332666666666666
8a655b3f-9a71-49ba-9e6f-4fc607f8e868	0	0
bff3bd6f-9025-4b91-8998-06259f6e9074	0	0
9293a359-f30a-4046-8339-8ff470273296	0	0
99af7793-3a08-4523-a247-fcf55c196bf6	0	0
02bf3e7c-9f5c-4ac0-91a5-87b7ac04ab80	0	0
dd6aca0b-573b-4625-8097-b206aeaf2881	0	0
46f51633-1a70-4273-a8ce-a4a584bedab4	0	0
4c65d89b-b44c-42f6-bdba-63509bb550fb	0	0
d22507b7-b6c1-4815-9649-48d7f0784cc5	0	0
98ab5670-47a1-4cb4-bab5-f24bf5cfdbd3	0	0
743a322d-057a-49cb-ac9c-451a95786498	0	0
dbf62ec0-ebce-4615-a22e-d63a70e89493	70	5.83304166666666646
204b1067-e51f-49db-a92a-ef9105477536	0.594125249072381956	0.0495127479097782208
36e945df-06b0-4d1b-a5ff-c8d34337a607	0	0
4e7b1467-e643-4694-b1e2-2bf3b56d057b	0	0
96a2850f-8327-4d59-866a-29f2e3b72496	11.1837229437229446	0.932020404232804189
8f309a19-1759-434e-a9f3-ef378cad9bf8	0	0
548a4bf4-5d4e-41cc-9c45-6063b582a563	0	0
a418e940-f40e-42b7-bb0f-2e02711e5a14	17.1436818181818182	1.42870682138888871
08981f94-7082-4126-8b0d-28696dbb9a6e	0	0
4ad04817-9197-468f-adfb-756a8683a754	16	1.33339555555555545
6a9112db-ab93-4406-944c-ea5cda9da13d	0	0
e0184fbb-f4be-4edc-9fbc-5a74b82f7e0b	0	0
ce6ab532-a485-4707-93cc-2d93a1e77a34	0	0
10392d09-7cb7-4a79-a769-39868a8ebd80	0	0
45020b56-b876-49b5-9a84-7ca19a01aab8	0	0
f142fcce-1b45-485d-9cca-dabc6433cf96	0	0
db2159a4-690f-4475-b028-28bb9d14931e	0	0
d672d2de-bf0c-4665-9106-24be15fc66b3	0	0
1f12ee26-156d-4ab2-95e0-55fecca00af8	0	0
7fc9b96d-a8dc-446b-bfd6-c0c64a7329fd	0	0
62c9e7df-d71c-4c8c-9394-00d885e5953b	0	0
0c400089-3ea0-47a7-9311-6f19c7a4036f	70	5.83360555555555482
260a1ffe-44dd-41ca-9b75-090eade77ce1	0.594125249072381956	0.0495132430141524485
12ed14bd-4fb6-42a2-ab5d-05bff1400a58	0	0
81f174e9-ef4a-46b2-9050-14eda4372833	0	0
5e9dd1a0-0ea8-4ca1-8857-c9f682c5917b	11.1837229437229446	0.932029724001924076
5c515ea8-6332-4b7c-8d83-e4cec05aed1e	0	0
15c71f08-361f-4aa4-968f-8e81e53a16ee	0	0
61b9c2d1-ef9e-4549-852b-1f47055a9e78	17.1436818181818182	1.42872110779040407
110c4c17-7695-4e44-83a5-963171937c5e	0	0
d358de22-17a9-45c0-a4df-66fec3e06cbd	16	1.33340888888888887
0591dbca-4f53-48a0-a04b-e48b8e37a785	0	0
854b9d94-7d4c-44d6-a2c0-70bd9bb02b94	0	0
b3973abf-4b32-4672-8bef-cb6644940153	0	0
505a619a-97ab-47d1-a7fc-4eda4c10b0ce	0	0
b3ea151a-b72d-4ded-beb9-c3e05ea7184c	0	0
431719fb-53a2-4b7e-8764-6a3837404390	0	0
ee9e1626-e760-481c-bf1d-0b895f0fbe7c	0	0
d0b8fad7-b6eb-431c-93e7-2cf7f0ef42ac	0	0
4593a2f5-ea7e-458d-a1c4-ecd37fb2e3d6	0	0
c7354f6e-aea0-486b-b395-a50628921eaa	0	0
e15fc984-748f-40bf-be06-232f0a9a7212	0	0
54f209cd-aacb-4994-b620-6161cefa24cf	70	5.8336638888888892
6507a178-89d2-41c7-a814-e337ed97fc58	0.594125249072381956	0.049516543709980626
159fa054-5c3d-4d58-9455-dff7c984fd2c	0	0
0d095e84-9bb8-462b-a6ab-12fe0402deb9	0	0
fb38730f-7e64-443a-9b4d-ecbbde5f185e	11.1837229437229446	0.932091855796055802
4f22e4e9-bffa-43eb-8a34-661abb04674b	0	0
fe8589ec-da59-421a-82cc-32e051241ec8	0	0
38a0a1be-ed99-4bef-a5e6-0a9997937e05	17.1436818181818182	1.42881635046717159
a4bfb4fe-231c-4495-ba9f-c4858484f9fa	0	0
bc9a9d1c-7025-4783-aeff-f985ac187bbb	16	1.33349777777777767
d353342c-5bd9-4971-8a07-6204e501596b	0	0
7d42b5cb-4dae-494e-b26b-8605ee9a2cb4	0	0
03abd76a-72b4-4540-8dc5-409ed31ad032	0	0
b8fefb1b-587c-4c07-b66a-80addb78681f	0	0
ad5019e2-3a2d-44eb-a261-48bab698c554	0	0
63ec701f-f46d-4900-894e-96d06127a284	0	0
0473254b-3832-46f9-baef-8c317e99dc73	0	0
a2ef6851-cf8b-4745-ac8c-640ecc33b577	0	0
69f93f4f-5e92-4edd-88af-d0c40180591e	0	0
a62a1a20-62ac-4f92-97a6-cc214494ea02	0	0
9f86fd6e-3ddd-416b-b3cb-629359a9292e	0	0
e64794df-4b96-4d5d-9ab7-a53c777d881e	70	5.83405277777777709
56f25c33-d9f1-4c9f-b8ae-6a976ed12a22	0.594125249072381956	0.0495122528054039931
6ffcea59-cf21-4379-af9e-85c3f5541cde	0	0
e2cf8e6f-9920-409e-a7c6-1204ffe4c6ea	0	0
245a1551-141f-42ef-a12f-8742e855fcf9	11.1837229437229446	0.932011084463684525
c3ea9178-5cb4-4b0f-b209-2e723c83f6b2	0	0
39e286a0-6d4a-465b-ac75-79373f8229fb	0	0
420157cf-69ab-4731-8dba-9df6388dd5c3	17.1436818181818182	1.42869253498737381
ae3da6c5-1c92-49d4-9200-f688189e7eda	0	0
77c92d63-c9f9-4a96-8f81-c38ccd0332fd	16	1.33338222222222225
e6895052-e13f-4743-8926-e26131df55b8	0	0
a718352c-8a36-4b32-9047-3e568e3bf366	0	0
3ff013bd-635a-41f9-89e1-80bcbb0214ac	0	0
2701efac-4707-43e7-8d3f-8e45c5dddf71	0	0
173973e6-6565-431f-93c1-74725a67930d	0	0
b1523c0b-5e14-48cd-9242-64b039875b3b	0	0
fd22588c-db91-4444-b6d6-3262ef07cec8	0	0
26e52fef-6c1c-4396-b026-b98576b5e246	0	0
1d5f89cb-1af4-4e87-9202-4174381b49cf	0	0
66e23811-cafb-49ad-8fc6-906767a2e375	0	0
5c2f6d8f-3b93-43b1-a3e7-b1b13ef430a4	0	0
1c9932cf-bf92-4328-a165-bf4a1277e1b7	70	5.83354722222222222
5cc85f6d-59fa-4526-b2a5-2f7dc7121e79	0.594125249072381956	0.0495153884664407615
ddd5b1e4-aba6-4bdb-9c56-92925ba1b833	0	0
3d21471e-44a4-444b-9d94-d964afc1f214	0	0
01a39379-b5e5-4461-a01f-f0b17209ee11	11.1837229437229446	0.932070109668109659
1ed67b94-d72d-4968-812a-6f3c2aa3801e	0	0
742a0a89-8a56-4fa0-a1b6-94e6a786928c	0	0
734c0a6a-5779-4622-b435-cb6b4371b75f	17.1436818181818182	1.42878301553030296
f8064253-2b00-4e3e-bddb-a711da1f479e	0	0
bf6c22b0-40ce-4caa-a6ca-a25aa5080ebd	16	1.33346666666666658
373fe2a0-5b9b-4844-9eb0-cc210790723f	0	0
35222610-9916-4511-8aa4-777c964b30f7	0	0
92a84f54-f981-4b20-be74-2f2a221f6276	0	0
ec1fe912-b0ee-463a-acda-47e2f24d0ecc	0	0
131874a4-f413-47eb-a9ad-4eed7f980c35	0	0
31783bb5-0c4e-4b5e-93b4-c51ba19cedd8	0	0
931af8c3-a215-4a75-bdea-daaeb88f8274	0	0
ea78858a-e6e3-443d-a4f3-7c98c72f0d01	0	0
9ce8a17b-c49a-4446-b9d9-d52883bb2218	0	0
11a0115e-8327-4cc3-829a-f9e3ae40d096	0	0
1832e9dc-3d54-41cf-9f92-5ca7885fc559	0	0
7f915878-75c0-4d17-b43d-6cb60066f8d1	70	5.8339166666666662
523185a3-cff0-4b5a-ad45-8b016980b174	0.594125249072381956	0.04951291294456963
a0a9adee-8f2f-4e8d-ae5e-2a5d3da6e634	0	0
33dd017d-776c-421d-9838-02bba2fa1f29	0	0
45c57448-c4cb-4a07-8124-1be517a515b2	11.1837229437229446	0.932023510822510892
902a1441-28ce-483c-9ae6-30300ec988a9	0	0
87895a45-62b3-43b8-ae24-990583db10e4	0	0
3c738e52-fec1-4b0b-a440-7614772e72a7	17.1436818181818182	1.42871158352272709
5e260497-1251-44a9-923d-f15d2918c67b	0	0
3bbea618-378c-4721-a92d-1e2bbfef15c6	16	1.33339999999999992
ffa321b4-b755-4896-8d02-9bf92721898d	0	0
8d660aa5-8e48-4881-adce-0de9fab99f07	0	0
6657961a-8e05-463b-a70d-f55ac797596a	0	0
fc3af298-d14b-4d80-815f-ce49874318e4	0	0
3df9000b-f2ab-42ee-958e-9011fecae241	0	0
7c617870-b536-4567-b07d-577231da6ba3	0	0
48bdee2a-f755-4e3a-9a8c-d29dc04f6b49	0	0
25db8275-9462-42bf-af1c-03aa17d89e82	0	0
4a1ffe32-e1ed-4e5a-b8c9-214074544e51	0	0
fc2896b4-1f46-47e4-8e3f-18be68689587	0	0
fec453a7-db0c-4fc2-b59f-e9da9eb67c94	0	0
fd82c7f0-d916-4a9b-84d9-53087d100d61	70	5.83362499999999962
ee425db7-46bd-4b80-b4c4-b70615d4aa3c	0.594125249072381956	0.0495153884664407615
42932078-a576-4e59-aa94-eaf1df7937e4	0	0
2a257533-e8e9-4d3d-bde1-4aa7a938ed15	0	0
f747e5cf-dc6b-4e4f-b790-971b1bf11bd1	11.1837229437229446	0.932070109668109659
1c1572c9-7e76-4716-a019-c687ca97d2a4	0	0
8e58dfc8-0228-4447-a189-ebfbc36ec152	0	0
2943cbb8-3177-4d60-8e3c-0642b9c84293	17.1436818181818182	1.42878301553030296
74874d4b-89ad-4673-bb84-e572bd5e42f4	0	0
f9088268-fa6c-4f6b-810a-ec5926e9e11a	16	1.33346666666666658
41b0b018-32bb-4355-a4eb-7f58a0257683	0	0
3eea5d6f-2cae-4d6e-9e2b-2359985c9d4a	0	0
3395ecf9-de69-4c0f-9cf3-001fa8bd0778	0	0
53c98c78-0121-4f52-96f6-0782a53ffed9	0	0
39ce00e4-2af1-4681-9eeb-30900bffb88d	0	0
df8b6e6b-16c6-4d46-b5d0-5901f7f7c85d	0	0
33d203ed-7d6f-4ceb-b448-ee1fd199367e	0	0
eef847bf-8d08-46cd-ba7d-46a180647af4	0	0
c0020522-6815-4c56-a3b6-012665ce029c	0	0
6c528eb3-b7c7-4a1a-aac2-2f42f05c4284	0	0
ff185a24-a59a-4a87-a9b8-685b17152e4d	0	0
d16c61f3-da0c-4820-a6bc-d437ae694ede	70	5.8339166666666662
331a1ffe-4aec-49a1-aa54-603856749642	0.594125249072381956	0.0495117577010297655
1996dc23-dd39-4531-9b78-0654d8bbd2dd	0	0
27d2c487-7632-4419-8bbd-53a455c4d4c0	0	0
97bc5f18-f61f-43b9-97a1-fb7e66560af5	11.1837229437229446	0.932001764694564749
90882329-7f20-4056-9c37-cbea5cb96c72	0	0
01b891cb-d115-4b0d-84dc-e740a22e73ec	0	0
7b8742bf-fe6a-44c3-ae70-a28f5ee94ba3	17.1436818181818182	1.42867824858585846
bbdec182-729f-4e20-8da0-854cd84534be	0	0
e0eb1b47-5fee-4fcb-8586-f1bdbdc7af2d	16	1.33336888888888883
07b26682-75de-4fad-888b-990cf755ea36	0	0
0e789086-2209-4f24-bfa0-2254b904040c	0	0
f227d8e8-88a6-4574-949f-2d48749c7d50	0	0
98803070-56f5-4b02-8a63-d6a32511e055	0	0
6438df05-d729-4096-8743-f6a89fc051d5	0	0
bda5e63e-5ce0-42f2-b048-7c8c336b2e57	0	0
9f31f340-a564-4c43-9c8e-d8d37a11a5b3	0	0
1c56ab9c-f276-4f6f-a4dd-bdb862d960bb	0	0
0e79aa61-4e93-42d5-84be-4032b4e471cc	0	0
fe59a4f1-b613-4338-a0dd-e6c39cbf1032	0	0
7cc0b5a8-7390-47c6-9f11-8d82efe5f328	0	0
3eb2c2e6-08a8-4589-8400-d5f525388d51	70	5.83348888888888872
1e2770a9-9340-451e-b7d9-4055f4c94e45	0.594125249072381956	0.0495157185360235799
a4579a4e-5501-4f55-87ea-8e11976d3971	0	0
af4c9e56-45c9-4d91-8882-b6f2f8c05ed0	0	0
f88d85f3-d1e2-4ef0-8640-49c762d31ae6	11.1837229437229446	0.932076322847522953
4e081b29-6f27-45e2-bf7c-026aa4a12ca7	0	0
7ea9d217-8826-4ed2-bc0c-82bc325e5a43	0	0
4e8547f6-fd43-4b64-85a3-1158de641665	17.1436818181818182	1.42879253979797971
09583886-b47a-4dbb-af78-c519214dd1c7	0	0
57b3a94f-621c-445c-923e-b05471eaecd7	16	1.33347555555555553
a2207913-a008-40cc-8d50-718c067c8767	0	0
3ac60bd4-952a-4a3b-b80f-126f686d8d84	0	0
bdf60763-acb9-4538-b731-63c1411fb024	0	0
e8c3b9f1-c8f3-4515-a3bc-5a184842aadf	0	0
5d91fbe0-9221-40c5-a8c4-2703e9c1a3d9	0	0
7a212f37-b497-490b-9bc6-1119d3aa071d	0	0
d070e24a-8d20-4cf7-bc90-bc0e39bbe15e	0	0
4a45b2ac-34b1-499f-b881-3f5984716184	0	0
55cfe93d-a914-4819-ae83-eec1229c3016	0	0
6d6d7a09-5f3f-4f82-9332-fe573555ebe0	0	0
343b37e3-3a99-48ab-a2f2-169b0ab89f9d	0	0
72ec324b-9d8b-4598-b0c3-eead3003314d	70	5.83395555555555578
bcd30d27-54e9-4c95-8d85-392bafc45cc5	0.594125249072381956	0.0495117577010297655
5ad83a30-1049-4692-83a5-e2ae1e439f09	0	0
ec56b7a4-9509-4da1-bf38-f0d7ff5fd359	0	0
4ac1cd9c-0334-4d42-97b3-2582b336b90f	11.1837229437229446	0.932001764694564749
cd0216b8-8a38-4047-a484-2c3503b0c3ec	0	0
80b46cbd-50bf-4f9a-ba43-b98c6c03c10b	0	0
9bc5ac37-ff1b-4355-a360-11964d97a331	17.1436818181818182	1.42867824858585846
de646dca-5691-4260-ac66-7a78a4c04bec	0	0
86d2eaef-a508-455a-899a-efd44a00724e	16	1.33336888888888883
b1d7085a-148d-4dd2-91ba-e9af44459f9e	0	0
0aaeb1bd-ecca-45e0-aff0-c612225f282b	0	0
162b0db1-3e5b-4a42-9a58-9aebddecb5c8	0	0
67df595a-ee4d-4f57-9722-cd1119ee0455	0	0
8f2eb6bb-099b-4e32-a54d-204505c88440	0	0
9dd6511d-93c8-43c9-9614-bf1aeb6286f9	0	0
44c034c7-09cc-4d45-bbe2-6540d3910500	0	0
8e9cfffc-db6a-48cb-b514-ebb3d87c2408	0	0
1f879484-ce2e-4c04-94ab-4d3c42eefff6	0	0
ba35be26-13b9-483d-92d5-de12a546a806	0	0
48445089-130b-4700-9a7d-ab6e14dda2fd	0	0
bb8bda6e-8b45-4f54-b235-ee7accac48d5	70	5.83348888888888872
e6e7394e-8f1a-4868-a62b-f4f361aab4ec	0.594125249072381956	0.0495137381185266762
10d78f64-3931-40da-8ad3-500d4c2e1b82	0	0
3c091b40-1e85-428a-a915-c56c4d8be564	0	0
2905d664-6db9-407f-bbde-c84a325d0ad8	11.1837229437229446	0.932039043771043851
d8c650a6-c5f3-43c1-920c-be57db5caa60	0	0
335a9b2f-c54f-43da-9db7-c478c90be7e8	0	0
99611235-fc5d-4411-a766-8f2f2cf4fbc5	17.1436818181818182	1.42873539419191919
3330f6d8-806f-4642-8358-b76639ef4d16	0	0
a17b78c6-d5fb-4739-b17b-a4587fb0c01f	16	1.33342222222222229
c5ee396d-70b5-4e5b-8496-25a017477aaf	0	0
954ba11c-3f37-48aa-b924-ed1b192d5c0f	0	0
7138aada-4ed4-434a-849c-04e925f91c68	0	0
6019b90b-e70a-471f-b94e-c84dc0774b36	0	0
8cf171ae-5958-4cd5-b5ee-ce16dc0f44c5	0	0
2154131e-70d0-4a9f-878c-ea4f6dc0367e	0	0
631cd6bb-a839-488b-8683-bdd1ecec08cf	0	0
ab9b51b2-3602-498e-802c-ae02de1f047f	0	0
dec80f9f-90d2-4822-aaac-205a19a03fd2	0	0
0d609bac-5e9a-473c-908b-addf86176d12	0	0
0f1a5eb0-5b27-42b7-b493-96c70ddd9f54	0	0
86d941af-3e4c-4d44-bac5-547bbfb2be83	70	5.8337222222222227
2600d13d-8fad-4866-b1f1-c10b15af2ba2	0.594125249072381956	0.0495142332229009038
bfe390c3-ff8c-42ad-ac22-99218e885670	0	0
340a537d-1f5e-40b8-826d-803e02ebfc96	0	0
3d7e3aed-9a2a-483f-a561-f8f154820350	11.1837229437229446	0.932048363540163516
e8c15104-3f87-4331-82d6-bd76134ed058	0	0
5d8732f1-401d-4d28-8795-3749829b2295	0	0
36ff5398-68de-4404-ace3-969975453352	17.1436818181818182	1.42874968059343432
f8f2e7d1-0f6f-416a-b15f-4f3d5897a0ac	0	0
86e9a60d-6c26-4aba-8bb5-930b0eea4923	16	1.33343555555555549
23b7eaea-0eb4-4fb3-b6ff-bc9ddbec11af	0	0
9283c720-77a8-4c93-898b-a83c20cf691a	0	0
bbb1eda5-1e99-4914-8cee-f88b0161fa29	0	0
d32dc0a8-b2fd-4956-9825-c62586e243e4	0	0
4351506a-9e89-4d15-807d-33636b995ff1	0	0
d479371b-b164-488d-bef8-a681464fc39b	0	0
7e73987b-9413-40be-b3f7-42048660b643	0	0
277cbaa8-d7e7-4b38-8727-f09e01e7ab8f	0	0
76636533-8610-4e8e-9887-e792cd9c51c3	0	0
d4dafdf2-d7d2-4f81-8b3b-1dc2f123a91b	0	0
1bf9f2b1-2cf3-42df-838b-d8f71ba2722a	0	0
950edaf5-8c2a-41f5-afdc-1001dacb453d	70	5.8337805555555553
ada7cf19-6088-4e50-bb9a-b8c8dc4fa9d4	0.594125249072381956	0.0495132430141524485
39d577be-57ed-4ff6-a1f4-820914941530	0	0
4964f788-bd64-4902-bf60-7489172f346d	0	0
d1a75c0b-42ee-48b3-afb4-415e07e243ef	11.1837229437229446	0.932029724001924076
ecfb14dd-47c0-4d21-925e-901e4efd45b6	0	0
772042b2-5fff-47da-bb85-c3fb12911c0c	0	0
b4098939-7269-411c-8f18-84250fdd1609	17.1436818181818182	1.42872110779040407
00b720f8-7756-4c8e-8303-5a32c7a5b436	0	0
d49df826-12cd-498e-9a2b-8329599bfdc4	16	1.33340888888888887
5c90297d-32aa-4ac2-bca6-0005badc8915	0	0
d8c46af3-2874-466c-8a76-b7ec6d96892f	0	0
d29b3aa1-3326-40b5-a0c7-fe099876a05f	0	0
d4ea8c38-739e-44b3-a651-d20555697b88	0	0
dd58352f-0dac-439f-96be-dabd47814800	0	0
aa85596a-e17e-46ee-a755-7e00fff55b7b	0	0
ed65299c-7609-4670-b958-9393c30f2373	0	0
7112f730-8723-440d-a16f-355e593b562f	0	0
7972cc16-6fa0-45e8-a3dc-3dfdaa8aad85	0	0
0f246b6e-0e30-42a0-9e2f-24bf071e71e2	0	0
174b9bab-9d84-4dd7-93b1-d0fa8d7a87fd	0	0
5d0b0c2b-8a7e-4463-8fbd-3cf17b956861	70	5.8336638888888892
bc71203c-a6ce-40bc-9f9d-0ff4c6b26b57	0.594125249072381956	0.0495158835708149961
40f42446-650c-44e4-9056-56caaadce2ac	0	0
c4fc4166-2edb-4872-b2e3-7a3de7cbeac0	0	0
6cfe66ad-479d-474e-869d-6db432dbd91f	11.1837229437229446	0.932079429437229545
d0839093-0dd4-418a-8682-56c0176fd401	0	0
262b59d4-b657-40d9-a94e-cecc9b1bf79d	0	0
f6822f18-377e-4a3f-8c0a-93162d364f6a	17.1436818181818182	1.42879730193181809
0a72d6ab-e6d6-4078-86ff-23864bdc0348	0	0
22662547-4961-48a6-afd3-582a9ddb754b	16	1.33348
ba7d3b0b-adcf-47fb-9b63-9baa4f4b0bd8	0	0
e3cb30cd-608a-488c-a555-7d98770ca495	0	0
8d6f80ca-b309-458c-b54e-76091089aee4	0	0
3ab2204e-495b-463f-a5ca-92d85bc34cd8	0	0
0c59d479-95b7-4fb9-94bb-308b0969c2dd	0	0
29773bc8-5b25-4f5a-96a6-8d4acf820954	0	0
fc59c584-1195-4579-9b01-37e849814644	0	0
8b734d59-fe28-4605-a623-0447b5927f63	0	0
17752fae-9f3c-479a-b71f-d4c2b63cd8a8	0	0
0da03794-1b5b-49b3-8a39-ad050ea26c82	0	0
d7749968-19c2-4e00-a6c2-d2bdf0ef3b0f	0	0
e85f61b7-0d4a-4a3d-959e-009b8beff2f2	70	5.83397499999999969
b95eaaa8-f60b-456d-baee-53854507a305	0.594125249072381956	0.0495120877706125839
5ef52299-82c6-4f4d-871d-fafd7e461562	0	0
fcb5e5db-e54f-4f54-b066-5771f54b4a00	0	0
23b75fe4-fe64-4901-8c42-0550b466a01e	11.1837229437229446	0.932007977873977933
5677ecf2-bff7-4bf6-9c37-3029c8246af3	0	0
1f2cdd4d-8b92-4e4f-b8dc-cc1703118cdb	0	0
68c8dee6-e7c0-49fa-a74d-29e1bbb9ae11	17.1436818181818182	1.42868777285353543
fc7f2cd9-d3dc-4662-8d29-db604a5f474e	0	0
5049ff27-723c-4838-9584-8c69f73dd24c	16	1.33337777777777777
7a213512-8950-4302-84fa-a80b84bdb5ab	0	0
a77e3e7a-a5d0-46bb-a918-db755d951754	0	0
e7076403-314d-453c-9e88-472be4318dc6	0	0
552b955e-476b-482a-9611-6363cf1f8be0	0	0
29ef7bbf-894f-4768-ad99-2e62e9204901	0	0
da7cb6dd-d5bf-4b97-aa79-ab6132ab74f1	0	0
18ece03f-f47b-474f-b804-91185b5f5f51	0	0
cd408174-ddd7-4ae8-ac06-f27e09b386aa	0	0
b1391b8d-b0b0-4d09-82db-3e61fa4925ac	0	0
47dd4a20-9fee-4ebd-93c5-3215a58f560e	0	0
112eb737-1f52-46ce-9076-87e306801242	0	0
664a843e-80a2-4102-bd28-1f63727a5509	70	5.83352777777777742
9a3e3727-8036-424e-b632-84218836c297	0.594125249072381956	0.0495139031533180854
3bc082eb-b958-4399-9356-5557343c3181	0	0
5ca0a9aa-1e01-4ade-a861-4db39c78faea	0	0
67da1d75-3970-4907-a2e1-2130dec8b01f	11.1837229437229446	0.932042150360750554
a9a4146c-dd80-4904-a769-82f61f09d6bf	0	0
a382be89-b3fe-472b-96a5-1b5ed704335f	0	0
713e872d-97d1-4e0c-95f8-9f5bcd53479f	17.1436818181818182	1.42874015632575757
66f67ace-27b1-4a6b-a662-7c209e7ceeb6	0	0
f10cc415-d989-492a-b2e8-a96db64b56a7	16	1.33342666666666676
a3578263-4dd0-4414-b3a2-d57009ec0939	0	0
a18d3dca-c675-4de6-98b2-7a6814607d85	0	0
44807314-cb8d-489c-ae10-ce80dd5bd2e5	0	0
abe4b9fe-d212-44bb-b37f-a6b7728f98b5	0	0
4f1131f5-415d-42d7-8a1f-2866c5e4e185	0	0
0e84aace-1ad6-4208-82e8-916beef9512a	0	0
1f7ff9ed-f002-49f2-a21f-c25f2fd09aa7	0	0
fd1c8c28-282f-4c73-b61c-510d84a34d86	0	0
8af586fc-b0bc-4635-9caf-d6b2d20028c7	0	0
d7fdfa92-8479-4b0e-a487-afc61b7a58a9	0	0
8d1c7ee5-b020-49a4-bdfa-53901b27c4fd	0	0
2cde5eae-82b9-4dc4-88e0-f408bcc744d3	70	5.83374166666666749
526f7c6a-19e2-4767-be4b-e50045b1b3f7	0.594125249072381956	0.0495104374226984917
14960148-cb45-4dcb-bbb7-0663e6864f7b	0	0
d0dbf465-72e3-4c81-ab66-eed5c5748df4	0	0
1f311ad7-85df-472b-9ac9-306692c2f44a	11.1837229437229446	0.931976911976912015
605ca69d-fc71-436c-833f-40c5e4a96786	0	0
7e508696-5337-418b-996f-61435f1d9f82	0	0
d49ba5a9-6ead-484e-8361-2e3f6803c37e	17.1436818181818182	1.42864015151515145
14c43248-4891-4a24-b139-c891032095db	0	0
9d15a59a-248d-400b-9c8b-211811b5c4da	16	1.33333333333333326
815edd65-416b-4a4a-93d1-3ec956abe3d3	0	0
8916f760-27df-44ea-9046-5e519336ca8f	0	0
1b716386-5b83-4f4e-aed7-c994c852b34c	0	0
585deae9-f57f-427d-8785-01d80b96b40b	0	0
4b39518c-6165-440f-b9f0-e787c10ea0cd	0	0
e1908c7e-025a-4843-8429-7cdc60af52fa	0	0
21cfe0af-835a-49fb-8e5d-753d144381bc	0	0
e59482b6-656b-4019-b1bf-41b4ca598443	0	0
7e669a76-b51e-4550-9765-fed99687acc0	0	0
078176b8-edf8-4f41-b621-d8bfa00773d2	0	0
78c2e0e7-7482-420a-b146-145015ab37e0	0	0
22915998-ee8a-4aa4-863a-b88601035f7b	70	5.83333333333333304
b4c2b663-f5f2-4c67-b867-7f117ca0d66e	0.594125249072381956	0.0495168737795634445
033e8b97-9472-4105-871b-9e1cd0f7c014	0	0
5bd60987-cec8-47db-91a8-24983ba735c5	0	0
3c9972a9-fbfc-44be-90c9-aa5966374bf3	11.1837229437229446	0.932098068975468985
e090e69f-0a50-4a7a-929a-69fa405f0ed9	0	0
a3263279-07b2-4db6-9054-0f485b08e8e4	0	0
3697fd8f-ad91-40b4-938f-b5a671d498c0	17.1436818181818182	1.42882587473484834
c468ea55-c62d-41c0-9734-c2ac6de4426c	0	0
a6df1256-0c5d-45b7-a584-4144c1918bdb	16	1.33350666666666662
f1ac9ced-f8ca-4152-b2df-8fe349f6bfc4	0	0
4a470c89-53e5-4ae6-a784-aa08204d2865	0	0
085ea79c-557b-4653-a776-47abcc2109ff	0	0
013b8445-7875-4d5b-97f5-48b9e18d5ae2	0	0
181b6790-1a2e-4ab1-a900-1a1b9d603faa	0	0
507426e9-4a81-4f43-83aa-1002b238bf80	0	0
77fb9b47-7b89-42bc-88d5-fa2d330ba6d7	0	0
6480cf41-e3e1-4682-ac4b-dae3a9217392	0	0
ed8ce24e-6e71-4384-8496-751a0775153d	0	0
c727060b-72bd-4180-ac6d-8b45d1bdd874	0	0
dfc3edc5-917c-4374-84e6-a612d39eeeaf	0	0
31a6167d-315e-4dd2-bb6a-daec8fbeb1de	70	5.83409166666666668
48ff87dd-a969-40fc-9c17-d4443b0ffd88	0.594125249072381956	0.0495143982576923131
386815c8-870d-489a-981b-bd75a3cab57a	0	0
5d04ffa7-c296-44f7-ae2d-1f01f9e8612e	0	0
c4196497-6ad1-4f64-91ae-0d2ec103cfe0	11.1837229437229446	0.932051470129870219
f90036b9-fb55-47ec-bbc7-ce98620c347f	0	0
de13e8cc-53f4-4624-9665-ddcc29b40f2f	0	0
3590e071-7bc2-4e29-8b39-9df33f929aa3	17.1436818181818182	1.4287544427272727
e0289346-c6d3-4bf8-96a9-7b183d2fb120	0	0
58414ad9-ccd6-4b87-8372-b1e55e699d20	16	1.33343999999999996
98042d06-bb5e-4585-a82b-22f20a0e8a5d	0	0
06f5ecb9-2a11-45b8-8bdf-d6fa5289b4f8	0	0
6965add7-ef1d-43a2-b1b3-2390779b0a18	0	0
6839976b-aaa5-4121-99b6-8409c3603cff	0	0
65d822be-6d93-4b5d-9f60-62024504d4a2	0	0
57119fdb-dce4-4e10-a0ec-09bbf89724a3	0	0
1eec1b1f-f886-4e0d-9da9-f1fdf75249cd	0	0
df168969-7621-4b2e-9ca9-821da36952e7	0	0
9d2cc80d-76eb-4268-a395-b868e464774b	0	0
8fadd4ed-45da-4551-a4de-9979ad8d8765	0	0
79136631-b1a6-4904-9250-90b15d4c6ba4	0	0
60f37235-2d92-418d-b68f-e4c11ccbb41c	70	5.8338000000000001
9851d932-7659-45c1-bd90-b0b752c0eaea	0.594125249072381956	0.0495155535012321707
0220d53f-a16b-442c-9b2c-3dfaed4abb19	0	0
74a269dd-e61b-472a-9efa-a0361dacdec0	0	0
857d2989-f594-48b6-a463-a1dc7c1a2267	11.1837229437229446	0.932073216257816251
98bdbdfd-f56b-42af-bab6-74c6a12b7a2b	0	0
1abf3acc-399c-44f1-a6fc-75f66ce83769	0	0
e03b2176-1131-4d25-bf6a-948a111e710e	17.1436818181818182	1.42878777766414133
407a9981-8e2a-4539-b43a-76e1a304d86e	0	0
a7e5a7cd-974d-47aa-8377-d552f0a056aa	16	1.33347111111111105
e01be472-2ecb-4be0-a69b-f62a0f709df8	0	0
2b9fd80d-cd78-4f14-89d5-0492e243512b	0	0
cc4aad3f-d52f-4ee9-8af1-6ba3cd38a5b0	0	0
5f5ff2ee-6d0d-47a6-8368-6cfce17fde1e	0	0
2bcf885a-3eff-4813-8622-05cb275c45c0	0	0
be6b8a86-c425-43a5-955d-ea10f7218e84	0	0
903ba6fe-de55-4bb2-a023-a3cabdb47c60	0	0
dcc8e0ec-a9d4-465f-b17d-f9d33f0c1536	0	0
abfb4c80-95e3-4201-8922-78ea6860d253	0	0
4cdec2b8-026c-44e3-ae39-dd16735c27d7	0	0
2bb13779-090c-476c-b123-6cf30681a7c2	0	0
057eef0b-77b5-4813-a29a-1dff8aac82d8	70	5.83393611111111099
d4da84ae-a9bd-4130-8769-e4e218b53960	0.594125249072381956	0.0495132430141524485
b0d7aee4-b66e-4d1a-a101-05a960666463	0	0
5956586a-1e8c-42e3-9ae3-b1c2a09c09c9	0	0
b8d04bfe-4c03-4c63-80e9-4f425b8167cc	11.1837229437229446	0.932029724001924076
1f66fdda-5ebe-4233-9a5f-d2203b735c6b	0	0
98366414-136a-4e78-a239-db0f18a2d653	0	0
d30e5ba7-7af7-45f9-989d-c1cd3db3d204	17.1436818181818182	1.42872110779040407
cbfddedc-c92d-4142-8b61-98671776b157	0	0
b19aacf6-35c3-4665-a002-1234fabf2d2e	16	1.33340888888888887
80747d4d-b7be-49c5-9ba9-a926faa69520	0	0
2c276102-0a2e-4a8d-a70b-ca35ec31788a	0	0
0b4a9267-9730-4f8b-8cf3-98af4824ad7b	0	0
92898d7d-023c-4bd8-b3e1-918e699c87f7	0	0
d381d95a-e86a-4890-9c33-d349c1d3a490	0	0
851295ec-7228-480e-9a0c-470a020e264f	0	0
251275da-04e8-4d51-921c-403bd4de56b7	0	0
2b7bfc24-ad96-494c-9b09-70b1cefca1d0	0	0
b90c5fe1-3e4a-4270-91a1-cbd509d0c6b3	0	0
0d253f77-4cd3-421c-81e9-c08c3fa6994b	0	0
8b40f0d5-bd4d-4c38-99cc-eaacc2928e65	0	0
fd72d361-0f15-4c1d-a0d0-ee667f02e6dc	70	5.8336638888888892
885fdd99-5788-463a-8a72-7c5a00e90e10	0.594125249072381956	0.0495140681881094877
0cc3aec3-1a69-4d8e-9d6e-4ca87515b716	0	0
6a598755-da1f-49c5-a650-99b69453231e	0	0
68718ac8-674d-4e85-b776-2816980f1482	11.1837229437229446	0.932045256950456924
7f73afae-c5d8-4cc6-9168-28ad1ff4ca6b	0	0
647a9f0a-8bd3-4f40-be40-beece7d0d1e6	0	0
b942a713-78c8-4a42-9c23-3984dc286370	17.1436818181818182	1.42874491845959595
72fd60d6-8db2-424e-958c-9dc680dfd936	0	0
941c2dc6-0c8b-4874-9c5a-886766b7d977	16	1.33343111111111101
b6de7df9-b510-4dce-bf35-d009f79dfd53	0	0
7585ca26-c03e-441f-8757-ff74373596fa	0	0
bdb2452c-0f3c-42a7-916c-10f8c304dd6c	0	0
cc1d60f4-5e92-4c3b-a46c-a9a2c6377b80	0	0
38dd25ef-e299-4ce6-bcaf-6881ea72b81f	0	0
66bc55ec-3d11-4110-b198-078ad9d7dce9	0	0
10284400-112c-4ef1-bbb9-d20fc3bbdf85	0	0
839056d0-c56a-4a03-ba23-663b4bb1274b	0	0
f2c285c3-8248-4530-8099-6be7afa49457	0	0
a8ad273e-62bd-4750-b0b6-7e8542b6b33e	0	0
329b0336-0822-405d-9f73-6b0409d00cf4	0	0
d3011d7b-ab4e-4272-bbf8-30cd31e5f31f	70	5.83376111111111051
a9154dad-b761-415f-b3d0-6068a6772711	0.594125249072381956	0.0495167087447720353
f5e928e1-60a4-481e-a831-373f9ddccb4d	0	0
3c5447c8-141c-4953-940c-5efbda98104b	0	0
651b4f0f-3de6-4fb4-9b49-83d02efa058d	11.1837229437229446	0.932094962385762393
83337b72-7a70-4f3d-8556-80ada9512b6b	0	0
1fb52b42-d61a-4928-846a-11bbb4919e4d	0	0
23b2b88a-206f-42ea-8dfb-ef30d3c3557b	17.1436818181818182	1.42882111260100997
86e66bb4-4527-42c9-a5cf-3d61835f761f	0	0
85765869-f876-44a4-a7ad-035187f1ad9a	16	1.33350222222222214
f5e317f1-e219-41d9-a880-e82fca6d064d	0	0
15a2d46a-4a4c-4b70-8fa6-270b3b55e755	0	0
8634715d-5bd3-4974-8ce5-e84683e9284f	0	0
3ddf4761-34b2-4ba5-a701-56a58c1a8564	0	0
47383f66-6296-4c7e-bf39-858cbf600f30	0	0
68d8fa2a-cab9-44a1-a601-030c36e35d34	0	0
85283dad-e489-4e6d-93db-8059817d91e1	0	0
719b6ee3-392d-4381-a301-27fc631c9c3c	0	0
9f8dce81-f749-4aa8-8c8e-93e372b7f56e	0	0
39d2d804-9f11-4518-b862-7551345f452d	0	0
45a7b420-9df6-47f7-abae-2ad522b36462	0	0
23602074-d01e-437a-9b52-c0c8b25d7eee	70	5.83407222222222188
bc278e29-79d9-4f0f-b6f9-ea67b41ac4da	0.594125249072381956	0.0495127479097782208
ddb637e7-8791-4d38-809b-d71bab9a1bbb	0	0
a78661cc-2a1c-496c-b301-a47bdea86fc2	0	0
431df279-bfec-411d-b3eb-a8bd37aaf854	11.1837229437229446	0.932020404232804189
a3288bb5-2220-4962-9248-3aae4f573fd4	0	0
4d1368c3-8241-41d9-b92b-4caa7d91d5e7	0	0
e11c8fa4-adc7-4c28-890e-c36183caf47b	17.1436818181818182	1.42870682138888871
973356d3-43ae-494a-8a37-b5c7cd6f47a0	0	0
1beaffae-4d84-4a66-b1e8-afdcca164786	16	1.33339555555555545
c47a2250-e676-48bf-b119-84f45f33d572	0	0
ab33541f-2284-438d-ba00-2a964d42d1d6	0	0
cdd0f340-40c8-41fd-89d1-0a4ed67522dd	0	0
f6ab2c05-9c2c-4e03-8723-6a5e6c4c579d	0	0
223cd675-e40a-4d08-998e-d9381b60ace7	0	0
d7072a08-df2f-466b-b7dd-ab894f98e4b4	0	0
575b2287-5a3b-4106-a9ac-b757e1ce8a4d	0	0
b6bd05b5-c2f5-41a4-a983-3780956788ce	0	0
ca20b59c-73b4-4e24-b0e4-e9bbd33ed95f	0	0
1d420e64-c26a-4406-bc91-a6f458d7aa80	0	0
4886c3cb-36a6-4155-8382-6454d40b1bc6	0	0
19f400d3-d246-4be4-a5fc-06a9d70e1d21	70	5.83360555555555482
57bd7f3c-5509-4ec2-836a-2b2ff699a568	0.594125249072381956	0.0495132430141524485
6dbf1b9a-f17a-4dc7-8057-1c682bd65697	0	0
0dff05b8-1fe0-4cb4-afae-76d47f3c1128	0	0
5494f8c2-ff41-47c2-bcb5-656a7fb365e6	11.1837229437229446	0.932029724001924076
6530dc98-1bda-4d07-9430-6e26ce53cd80	0	0
3d5b0200-4ae7-4858-828a-020fbe1b1843	0	0
126c2477-3c07-46b4-8af9-5632d853574e	17.1436818181818182	1.42872110779040407
8cb7b66a-533c-408c-b645-0c95f1f118fb	0	0
b2e724e8-c6b8-49cb-8e7b-c6a4c79c7c12	16	1.33340888888888887
523b54c3-3980-4698-8d4f-6d31a78cd8d0	0	0
d4e6ce4d-23cc-4c77-a0b3-17bb66fa457d	0	0
598a3efd-26bc-40f2-ad5d-2e4c66419ff7	0	0
651d8ca8-8058-4185-ac5a-91d37335ce1f	0	0
65b98047-aa85-4712-a5fd-98f8bf6870f7	0	0
6aa0722d-31ca-4a10-928c-31dbe45972de	0	0
8f8f9f90-1d7d-4b9a-8e63-1f06d830e8bd	0	0
61658996-5d57-4618-8788-5bb2018c3b0a	0	0
b0e3c263-4ad5-4d1c-8101-d304701b257a	0	0
c5a37de9-5cb2-4402-82e4-b02e87b23a8d	0	0
2cfd00b1-11a4-4197-aa57-20c7d0b3f9d5	0	0
e906fedd-f43f-4faf-9804-bc3a96e9166b	70	5.8336638888888892
559c9c99-47c4-43c2-9b0e-228a1cbe3f27	0.594125249072381956	0.04951505839685795
6a04f0d9-868b-4e7e-919d-785af979a16a	0	0
3f6de110-b393-4503-9649-dc84be0525b5	0	0
875256e2-d347-42c3-83e1-da23b6dc716b	11.1837229437229446	0.932063896488696586
4e773a0b-07b2-4295-8db9-895575c6c438	0	0
8ff49b59-6dde-457d-b466-b6999654e0fe	0	0
5f18025a-4644-4a2c-a3f2-89d6cfb6c170	17.1436818181818182	1.42877349126262643
1f0cb6ee-2d46-41ad-9f8e-294f5c843339	0	0
615e2418-f0e7-4223-8b1d-d8b64d63647d	16	1.33345777777777785
163b7281-d904-4bf6-a766-0ed860d0dd27	0	0
dc25618b-cf8c-48f6-9c82-7869fdd402b9	0	0
e1a9849e-d93f-439c-b369-e5b34afb92f2	0	0
23548589-8b74-4dd6-83b6-a46624cffe16	0	0
26b281bc-ccf4-4cb8-8c0e-4aad581d7ea4	0	0
aa25b59b-d15d-49ed-b155-0342960e0fd2	0	0
bf96d618-4434-41ec-81b1-3a59a26e7db7	0	0
e750dcf3-b46d-4bc7-a79c-f1cef0aa25f2	0	0
9af8347e-3722-4234-b64c-8c7404a83450	0	0
bc191b66-39c6-45e6-9eb0-c88dd02d1d50	0	0
2762322b-1087-47bb-bfea-1b87a1953875	0	0
7cc3aed1-7752-4ced-ab7a-d5b9c2732142	70	5.83387777777777838
4d977928-e4e2-4b25-953f-8f078c6761db	0.594125249072381956	0.0495180290231033091
0bda4254-7c94-423d-b0d0-7bb84eeebc11	0	0
37bf8f0e-7243-4524-a19a-973fe5a003aa	0	0
706ee4b0-9231-4318-ba7f-36f8240f1b3e	11.1837229437229446	0.932119815103415128
94d3ff4e-76dc-4501-86a9-c960c0d7394e	0	0
3f9ffc5a-b1b9-452e-91a9-c01096c5b536	0	0
09c5da76-4422-42d0-93bd-4ca7e1a2bbef	17.1436818181818182	1.4288592096717172
03c9f148-f8fa-40f7-81ed-34f81ebb57af	0	0
d78b5e21-93c5-41d1-9af6-561309784418	16	1.33353777777777771
984b3726-4c1d-4b68-a4e2-959f9dde043f	0	0
d7a8fd7d-3e1f-45e1-875d-6d00a32087ce	0	0
1a9d1142-6c3e-4713-8382-5f350809ce52	0	0
8096a9ba-ee6e-40fe-ab84-c6f197c05334	0	0
b33463b5-2194-4b1f-9aea-307d8e3743be	0	0
7db99a6e-a2b4-48e7-a183-cb38ff0c5540	0	0
89975741-ea38-4a72-a06a-581034a7292b	0	0
56205c9b-199b-440e-b1b4-bb68e1d71793	0	0
a84e1798-c385-4201-aeab-42d8b5004b8e	0	0
c9e21fb6-c512-4c74-926f-8dfa8189684f	0	0
bfbdb12d-b017-4023-9904-44da84692228	0	0
2b83edb9-3701-4ff2-943d-9847159ee828	70	5.83422777777777757
50efbf9e-9425-4211-886b-d9609d953950	0.594125249072381956	0.0495096122487414525
de887402-4bb5-4c52-acda-906f2200d603	0	0
de7dd136-b2bf-4e9f-9f87-949f99428656	0	0
73d83def-4d8c-4e6b-9b1a-ed6643225357	11.1837229437229446	0.931961379028379056
d162328e-e8fa-4e8d-81e9-bafe97d57767	0	0
3bb49b3a-316b-47de-a941-44573e7bb25e	0	0
27a86ce3-f81f-4294-9e54-9d95ed141145	17.1436818181818182	1.42861634084595956
fc3d5217-ddb7-4e82-88ae-59483d6adf94	0	0
dc6a6126-b13a-4165-894d-320294e62d85	16	1.33331111111111111
34f9ae24-0041-4188-90be-7572123946e4	0	0
d7643f58-7221-439d-868b-52f8732c5a95	0	0
44811648-e7f8-4532-bddc-b79951de9c93	0	0
37e96aaf-e5c5-4404-941c-ecc10771a055	0	0
d970733d-6ac8-495e-835c-4ddc151055ef	0	0
9262030d-dddb-4532-b4a8-2cb44069bd42	0	0
e9930609-c973-4e49-a22b-27221d569da1	0	0
d8af1acf-0954-4907-bbb8-1b8bd6068b5f	0	0
0dbf9f39-8793-4d3c-9b8d-275195baa9e7	0	0
389eda13-c450-4766-9863-8bc45fdb95e4	0	0
996011a1-bd79-4d9c-8190-69a58e379a59	0	0
38c88a57-6a97-46a9-806f-49039b5d83f4	70	5.83323611111111084
71a001df-4d17-49a1-9dad-c39800042461	0.594125249072381956	0.0495124178401954093
6763ccff-011c-482c-aadc-9fa7f2e55808	0	0
df9d16d6-aa89-4dfb-9245-bf09971bfd36	0	0
6a969442-4272-48ee-a308-d2a076af32bc	11.1837229437229446	0.932014191053391117
26e10a54-f38d-4979-9973-466a4f269780	0	0
e4a03aad-6eca-4465-b4d8-60a75b92117b	0	0
a75d6bd0-7322-49fc-97d7-a2d5ff82b5d8	17.1436818181818182	1.42869729712121218
76cf0ea4-7bcf-43cb-b516-00c50c20fcc1	0	0
dcced75a-10db-4e0d-8a0d-911924762487	16	1.33338666666666672
e0da0425-6f21-473e-a557-ce40ded4c2f0	0	0
4f48bf97-52d2-47c9-b25a-d86c4ee2d722	0	0
c9fe4aac-d418-4b51-a162-e299f9d46fc4	0	0
ed01b68d-d985-46be-b44e-50f32a816ea2	0	0
2e035dd9-902f-4671-97f3-6e8ddff720fb	0	0
52d57b3d-4617-4587-bb27-f4f63d7c7bb3	0	0
bfa491ca-b6d5-4023-9d78-03c286548f67	0	0
db2d9f36-2e09-4295-8b40-e868e4dda722	0	0
d984d7c5-2a29-4f91-86dd-7572576731b4	0	0
70457360-f15d-4b87-bffe-622de44d5871	0	0
5602c5b9-2345-4aee-bbe1-541f61695df8	0	0
6c9a9b86-9806-4607-9f81-d80bcd1fdc76	70	5.83356666666666701
226b4066-b8ab-4af5-aec4-db613402aa73	0.594125249072381956	0.0495178639883118998
696249dc-5041-40ae-8626-d36f033095e0	0	0
45e17006-2d1f-4ec5-9789-e56ecb14022d	0	0
d23b9769-9cae-4d9b-a789-b6a6b4a152f9	11.1837229437229446	0.932116708513708536
905aec94-2e97-47e2-9bca-c81f4c5c9602	0	0
a972d75f-0217-46d9-aaaf-e4ed7fed012d	0	0
9ff5e8c6-e81f-4d62-a9d9-fd84011872f7	17.1436818181818182	1.4288544475378786
1268fbf4-4d94-433a-807f-6b44e91758be	0	0
18b8747b-882b-464b-a0c1-f6c54fb68ac8	16	1.33353333333333324
725f589a-277f-43ae-8aeb-d7e8c1810fc7	0	0
adf0a81a-0a8f-407e-aa84-53fd2106f1e9	0	0
b07c4bf3-b184-408e-b31f-07389bfd94aa	0	0
505e1607-e004-4631-b00e-917a88646bd6	0	0
dee0df93-9131-4b96-8ea8-ec23f720e153	0	0
28b6ddad-ca29-4193-88b3-cb5765584849	0	0
b3f4a859-72a1-465e-ad04-39508322f5b2	0	0
979c87b5-dc73-4a21-b9e1-bbd121b409ec	0	0
d81f114a-4388-4088-8116-531f7fa126a4	0	0
96805a84-6e22-44fc-9442-2dbf4d3678dd	0	0
f95abb3b-e91d-49f4-9a40-66ec46b13ce6	0	0
cccdfd20-bdaf-41a2-9f29-f15cbc3b3d62	70	5.83420833333333277
8328a189-189b-4c2b-bef2-bc9f3080555f	0.594125249072381956	0.0495089521095758225
f33ba0e2-ef53-4e8f-b1ef-a8335064bb34	0	0
506a4417-6e0d-40f3-9068-0c191f73ef27	0	0
22eeb7ae-646b-4699-b75a-ce1caf9e1f73	11.1837229437229446	0.931948952669552799
0b2d2360-d074-46f6-960f-7667dd17bbcf	0	0
9ad13a56-7a69-4a82-b773-9908482fa45b	0	0
190008b3-4f8d-43ee-94a4-f996fd6ca651	17.1436818181818182	1.42859729231060628
4f2e2176-3bc4-4482-acef-34dcb8f0c4ce	0	0
dd90924c-0a5a-43a4-a557-2d64ec715778	16	1.33329333333333344
cbb5749b-8dc0-4fdb-9a85-298fc5db8bdf	0	0
cc374516-0a31-4f18-8853-aeff43e4d116	0	0
7274af7c-2cc9-477a-b956-de986c5583c1	0	0
4cd31591-8d8e-478c-88de-459a68a4a626	0	0
f76c4de8-fb44-409d-b77a-81c105ab1a68	0	0
535a9292-ef9e-438e-b001-b9818cd6dd49	0	0
bd46efbe-5765-4c9c-b689-cbd72549163a	0	0
0ffc07c3-ede9-48ca-926f-c75cef4c3558	0	0
29106390-a80e-41c1-8f16-8a783217f46d	0	0
bed5843a-bde0-4fae-8147-eb91a4b60d5c	0	0
a22dbfb9-6017-4012-bf52-20d7daec6f57	0	0
b1e8526d-29a3-4889-9aef-d7649da2d8c0	70	5.83315833333333345
565773bc-0879-4521-9475-5f39135eceba	0.594125249072381956	0.0495082919704101787
7d333c98-16e7-4878-8da0-8c69ea010de2	0	0
020feed2-9ac3-4708-b4ea-e48213fa6e34	0	0
19812989-03e1-45a6-894a-f840132e0bd5	11.1837229437229446	0.931936526310726432
0a762c74-e212-4108-ae14-e31b495034ca	0	0
437e2f04-c601-45d1-b8a8-426667528815	0	0
9b39a39c-309e-4402-aa79-8cdfe2bb46ce	17.1436818181818182	1.42857824377525255
c01e0286-c5f1-44d3-9e03-4512f6cc85bb	0	0
5e1f9927-8a3a-4174-9c89-3d46dfb823b0	16	1.33327555555555555
5f143808-4148-4bf4-8da1-1f84bd82c498	0	0
68027b47-499e-4b8b-a111-5130627420a8	0	0
cd37781a-4c4c-4861-abe3-6018f2e4e5a6	0	0
54646882-935d-4449-92e9-b70fbc76a54c	0	0
321ac4b2-b41c-4ad7-84f4-8038906f196b	0	0
e17aefbe-c03a-4f92-8999-c1bdfd9181c7	0	0
5388e9bd-494d-49ed-b602-d3a1f3c78e16	0	0
fae9cdb6-d136-424d-b084-5c231fa1ff9c	0	0
6346f703-ed38-46d8-9ff0-30616c339512	0	0
dc037bd8-8618-433c-be2e-bb59ff802f26	0	0
0ec56023-61f4-43ba-8e22-17828c849f82	0	0
145bbb71-5583-48d8-bbe5-986f0ec7e1a3	70	5.83308055555555516
75be79c8-da14-4804-8eb8-ccd9c2d91057	0.594125249072381956	0.0495152234316493592
bee31cee-bb7d-4499-b987-fa3d2eb1c6e8	0	0
5546bfcb-c5bc-4010-9cf7-b1c485051980	0	0
abdf4dac-8c81-4f98-882e-83030152cf97	11.1837229437229446	0.932067003078403178
4de173cf-aa67-47bc-bcaf-566d8817e64a	0	0
ed2f0c7b-4770-469f-851c-2996e6942792	0	0
68a1f7da-2085-4ab7-8360-57086501762f	17.1436818181818182	1.4287782533964648
02174872-abcd-4328-b890-48df7ccaa96d	0	0
468bcd35-253b-44dd-8e7a-91e8f52e5682	16	1.33346222222222233
ede7ca29-3ce2-438a-9bd9-1cb346bead49	0	0
f99e1d50-2264-4beb-b0be-baf602fa6b3c	0	0
c153c796-cdd2-4e1a-a209-350281005007	0	0
5fc5768f-2b34-4511-b7b3-fbe566bed760	0	0
d695b11f-dbd4-41c3-8db3-e389b4ad2915	0	0
3d461cc5-65b4-4a66-9942-778c542760cc	0	0
e6e8470c-a1ad-4ebd-a2c1-ec49b1fc2d7e	0	0
ca10fffa-0d7e-4a69-a0b7-8f7ee6553a47	0	0
ee4e0b75-fc28-4ddc-99af-5bcc18dddfdf	0	0
fcc6c5ba-e9dd-4bce-a31d-427e4b26afcb	0	0
4c53dff5-fcab-469f-b510-2232b4ddf2a0	0	0
60137ec1-338c-4c76-8ba2-c16abbc55da5	70	5.83389722222222229
abbe87ce-042f-4e3d-b045-0e5cccd47601	0.594125249072381956	0.04951291294456963
f33a9e35-5817-4f99-94b9-a751fa1c4ea9	0	0
783e1fee-f41c-4465-bb15-a4808a08c1f5	0	0
02bffbef-5036-43e6-9aea-e309afd4cbc1	11.1837229437229446	0.932023510822510892
057fbf01-6d39-4883-b757-aadb8c942719	0	0
51bca2cb-b9a2-4c62-9b0d-9d58c128f1cd	0	0
b53348dc-8147-4b3c-b9a2-da06bce01443	17.1436818181818182	1.42871158352272709
9511c926-51ed-4a7d-af15-ee0c02921e1d	0	0
5903cdb4-0c28-403a-88ea-aa10b4820253	16	1.33339999999999992
7af0b2b8-44c2-4961-a3c0-8e393e912a89	0	0
cbb26822-df7b-4160-a1fe-3e543981b822	0	0
2a5de7fe-e128-4457-9f9c-bc49b19109dc	0	0
5bc7d5eb-87ea-4731-8aa7-4a6aa2b449be	0	0
c18b7565-6d31-4ea3-b3e1-955b20077614	0	0
4a3eea94-1476-4c4c-9738-095a7ede76ad	0	0
087162b3-5ed4-4189-82af-17c5cf5402ac	0	0
2d0c135a-c555-4ab1-b588-26b41bbbbfe5	0	0
04923468-d4ce-4dcf-8eb8-f3ad4f0198f0	0	0
3ad7de3d-d537-4168-8a16-4f1746ddab7f	0	0
c7f53f5e-167d-4142-81aa-e1a3d0f57e65	0	0
0f680596-b69f-4c67-9332-a572ed1de5c0	70	5.83362499999999962
d20e4d55-23af-4aa4-a21e-4c6ddc365a99	0.594125249072381956	0.0495208346145572589
04c413e1-16eb-4f9c-968f-97d57cc17067	0	0
132406d9-2cd4-4ed2-8047-e335baed1d39	0	0
bdd12adc-93da-4b09-ae46-eb6beb76c638	11.1837229437229446	0.932172627128427189
104f3e68-b428-426a-ad61-14649fdfefef	0	0
807b75c2-bab4-41c2-9d9a-482778f01aaa	0	0
dc9f9810-a2e6-49de-bd70-81ee44b0e6c5	17.1436818181818182	1.4289401659469696
fd34163c-13e7-442b-bcb3-a38ccc7e0693	0	0
aae1d7ba-2f9b-4d47-9b28-28a63c64202e	16	1.33361333333333332
11da777e-460e-4867-b5a5-2e50ca37a127	0	0
f127f56c-2683-410e-8bfb-ae9a3593b31e	0	0
795e99ba-3917-4be9-b51f-63e0c6ed1649	0	0
5ff611d8-6821-4401-9670-1a570aa48dc5	0	0
86d24f2e-7f30-407b-bb9f-d6be953c3598	0	0
0529ab11-668f-44c0-b8ef-c0f503e0a75b	0	0
8a569af0-041c-43bf-b361-7ce349dc9af7	0	0
2dc4d97a-aa1f-4915-b7df-8c5a0bc2a4e9	0	0
aba5d473-55c8-423a-a9a8-5a1e636c02a5	0	0
3e95a20a-e463-4c63-bde0-cfccc2c5cd27	0	0
4e74c903-7c84-4534-a716-d5b7f79ba866	0	0
9e05f69b-7a7a-40b7-a699-c6caa1772bcd	70	5.83455833333333285
c293f71d-37de-453f-81e4-c1eb2e813584	0.594125249072381956	0.0495071367268703141
064ef6e7-e78d-478e-a368-a025c3687566	0	0
85405147-d36f-420d-9ffa-019e4bc05a79	0	0
67802923-09df-47cd-b39c-6a8920846e0a	11.1837229437229446	0.931914780182780289
cf99ae68-b710-4dae-b3ed-ed018994a75d	0	0
4d24428c-9996-447a-b6ba-42f301e0514c	0	0
fc35b5e3-0469-4e8b-86e7-55d27a681749	17.1436818181818182	1.42854490883838392
89ec7d7e-fcff-4fbb-bedd-213e94c797ef	0	0
6bd96cf2-4d36-4c45-abd1-f9bcfe39d751	16	1.33324444444444445
9ad8767b-3892-40cd-b86c-05c0a297d1eb	0	0
16a22a42-bf8b-4bca-b955-c1766a935a3a	0	0
a6965c49-db13-4098-8c08-6885e13afaf6	0	0
c2e319a0-a58b-4d62-8078-33012e32af81	0	0
ebc6ae41-7f69-4ff3-9c85-e431db47482b	0	0
430f9ac4-6d9a-4802-9d27-1439a2dd0192	0	0
3e95a3e6-0479-499a-82a9-9cd012cefdd6	0	0
dc26fc8b-9d0f-4382-a441-c589b6475548	0	0
f235cb63-3c82-4841-ae83-d4c21be04828	0	0
39bdbbbd-b7ab-45ac-b963-6b46db85461b	0	0
fee93745-1e43-4ade-bbfd-8f4d1564fc38	0	0
3822c024-cd44-4d99-9d4b-1b670b0cfee5	70	5.83294444444444427
b30fd1a0-1f4d-450b-9292-9da1e4d2e5a7	0.594125249072381956	0.0495180290231033091
0eab543a-90e3-4fbb-ae88-383ea92bc0d6	0	0
48ba171c-8e51-4515-95bf-49abc563ce19	0	0
06578a99-3a14-49b8-b949-0362ee3f6673	11.1837229437229446	0.932119815103415128
7719d3a5-fb92-4cb8-9367-b4ead769798a	0	0
0c38fc74-3b8d-4707-b723-5cc4fff8301d	0	0
0a9697db-2e06-4d28-8728-f022b466d035	17.1436818181818182	1.4288592096717172
97b9efec-74d6-4dc8-a116-d45c88029a5b	0	0
9c0fd115-cc2a-416d-a18f-5ae8a81d0914	16	1.33353777777777771
3e0ba8f2-da01-4117-a8fc-4c2f988a2724	0	0
3f9489eb-272f-46fd-a77e-1e803573f1fd	0	0
8a4dedcd-2fa0-4828-b40c-8e71aa7f539b	0	0
8c469844-5ff9-48a7-900a-53c447d6a1cd	0	0
6c1bfd42-e5c1-4c53-973a-bd1f95811ece	0	0
eb9ec8ef-9354-4e7f-a0e0-dbe13b67e07a	0	0
f8a1ad29-cea2-4673-ade1-df160cbc46a7	0	0
0004bb21-e724-426b-b59f-79a90bbed09a	0	0
265c0ebe-b06e-4014-8086-aaa4f99befb3	0	0
1c605a7b-e8fb-4581-9115-d4609fe19336	0	0
4d1b3975-288a-4a99-8e8d-7aa257075c84	0	0
9346ac51-b23e-4ee0-8669-8821f9ac9d6e	70	5.83422777777777757
64e822cf-295a-4e38-b094-9bdffa80e742	0.594125249072381956	0.0495153884664407615
3e067ed5-d60e-4b3f-945a-b992ecec2cd7	0	0
8cd9abbe-f72a-4a31-987c-fbc2134ce9ee	0	0
e29e3b45-7cb6-41e3-90e7-a0f95afcfbc9	11.1837229437229446	0.932070109668109659
71ee4bff-8db9-4b1e-89de-98c2fe290543	0	0
d7b3a2c4-2901-4ebb-a523-244ebddefdce	0	0
32585bd1-d189-4c4d-8e37-b69982c0d1fa	17.1436818181818182	1.42878301553030296
c414f888-2a5d-4d55-a055-49b7e5fb64b3	0	0
93a37738-0d89-4e1c-afd2-c0a8e5b3b589	16	1.33346666666666658
762ab063-b4bd-4421-9108-f9f888744354	0	0
5a6bf7a9-10e7-4975-81ef-68c61f5b6fc4	0	0
208754e4-157a-4ea5-9742-f813b2633f4b	0	0
53dfbee3-2c76-4cb0-9ccb-16b6ff15a2cb	0	0
cecf0a50-43d8-4be4-b8be-4d768db207ad	0	0
3468e078-9d54-4789-9163-5216f6c31a76	0	0
189e6731-e289-42e1-9bae-832e0c085e72	0	0
f1c712e0-e3f2-4946-a93a-372e650ef259	0	0
6ef057e4-9661-44d6-a595-b37f1c428a11	0	0
3fe75328-b59c-4f04-ab9d-bf689d9f598a	0	0
377af458-f4bc-41f4-ae8a-f7667fc76edb	0	0
8711a0d7-e7df-47da-9dfb-9fae0aec1465	70	5.8339166666666662
3ef81702-cb21-4f5f-8b40-21e4469853e3	0.594125249072381956	0.0495139031533180854
73fa95c2-201f-45e3-964d-a9206c1d3090	0	0
e4a71f03-a9a3-48a1-8f45-2c864d6b45b1	0	0
40ca0668-6fb1-44cc-884b-8c076765c4df	11.1837229437229446	0.932042150360750554
af294f84-ac2c-4b5c-ba9a-13a6791b08b9	0	0
c5a28981-e353-4c4e-b95c-49f80f095d9e	0	0
722b48d3-6443-420a-8c6c-1ce730163066	17.1436818181818182	1.42874015632575757
17d7b589-0342-4aa1-9ef2-836d38eb0923	0	0
6b7ac12c-ee01-482e-95b3-a8ee84eb5147	16	1.33342666666666676
b6474490-81cd-4caa-a0ba-d9878e9430d5	0	0
b8c3c2c1-d339-4a89-aced-1ae659e09d42	0	0
7462a9bf-3929-4631-99f2-5bbaa0375c4b	0	0
ef82e22a-1bd3-4f54-92bd-236f828da69f	0	0
a5a2a0c9-1a08-47bd-bd74-bf0ddb50bb19	0	0
00af486b-bfdf-4568-b312-d4a8d0229165	0	0
bbd382fd-72f7-40d4-b52e-f78dc399f135	0	0
f99c241a-6787-4cc9-9825-65efb1f765ea	0	0
a1b02049-61d7-42eb-946e-8faa2b99425d	0	0
4a3e5bc9-4c23-4664-803a-eef8b5ac58ef	0	0
faaf830b-2905-4ba0-8122-362f5c30bd54	0	0
ecdfb347-55cc-4c99-ae84-8e43572ab6cf	70	5.83374166666666749
7555cd04-2a90-4307-b51d-20473e200461	0.594125249072381956	0.0495124178401954093
1c97db2e-f93e-41d4-bf87-d615257592bc	0	0
e4684a9b-56fb-40a6-afb6-6dde9b535ae3	0	0
c0f2fd68-22bc-4184-9f45-9fedf858ad8d	11.1837229437229446	0.932014191053391117
a63d4b85-d353-4415-880d-d204159b870a	0	0
6155841b-dc03-48cd-8243-adc507e8cd18	0	0
6102e164-ada9-419b-91a6-c974226cd0af	17.1436818181818182	1.42869729712121218
b1225d62-1b03-4958-8b04-4394e372deb1	0	0
12b073a7-aeaa-4f5b-9479-108a81a03b2a	16	1.33338666666666672
2fa5bfeb-d674-452e-97a1-5bfb27728c10	0	0
c3481a3c-e9ca-4513-92fc-ee1b7fb16787	0	0
8e84204f-6e83-41d2-a4ab-8ea7219dcef0	0	0
a351e52d-3a38-4d90-9070-5d1edd1f2fc5	0	0
9f8ab68e-f187-43b9-a744-b994bfed88d9	0	0
ddf900e7-1873-46a3-8a93-46be6b28e5b2	0	0
72b0965c-91bb-4b17-ab73-7eecbc515254	0	0
34b72ebc-7f2e-4e64-8929-52323b3ea93f	0	0
338040ff-0965-4c6c-a433-1dfb5d256005	0	0
12ec4724-8c81-40b0-b884-2dd81b522ad2	0	0
cbce241f-a35a-4ad9-99f0-8ace83b582d8	0	0
667f34d7-ab15-4e5f-af4a-f9660d0a9f5c	70	5.83356666666666701
77ccc203-27b2-42e4-816e-8f64b00047e5	0.594125249072381956	0.0495162136403978145
075481e4-61f8-4c3e-84d7-f180d9f7a95b	0	0
0d8061f7-195a-4df6-b27e-d95215119a31	0	0
838f19d9-bebf-4a82-9814-b05b4a51f223	11.1837229437229446	0.932085642616642729
f2b5faad-f207-4159-b6e3-e7ce9bf4bad0	0	0
19ddf6cd-341e-444b-89c6-3507596d9b25	0	0
93f69339-5ca3-4b14-9996-0e20457dc6ec	17.1436818181818182	1.42880682619949506
e0f3af38-5abd-4c26-8e38-31f146e71cc6	0	0
724742c7-9f1c-4cd5-a277-1fa4e846ad33	16	1.33348888888888895
91a1db48-2220-40ec-8739-8a15035b0241	0	0
d43c8ea2-1d6f-46fa-ae3f-b1b05b5849fb	0	0
7fbdd03f-ce17-4547-b3d1-2e093780667a	0	0
d48ce56d-affa-4daf-aa3d-87db23a609ca	0	0
4e8f44ad-5e83-4385-9e03-aaea3de9fa56	0	0
afd491ee-af79-4dee-9992-60c16f5aeb65	0	0
32af27b9-55f9-4e91-97b7-123ed4ac127d	0	0
d54c434e-dfb5-4236-991d-2d78f21b362f	0	0
51eec5dd-ad40-4261-bb55-beae0c108633	0	0
80203dce-a79e-4bb0-b868-f5fc0d749348	0	0
d99b4eeb-7c00-465f-b8a2-2a438d2892f6	0	0
e0387928-4209-4049-b2a2-2013a8fa6ebc	70	5.83401388888888928
876fa753-a8b1-4f32-8561-1ebae66c17f1	0.594125249072381956	0.0495102723879070825
4a98cb20-3473-4459-8f2c-bcff3cfa4051	0	0
1ef5724e-9775-4f1b-a467-621f87d5e877	0	0
c3ffda71-107a-49f0-9ba6-1a58c8c173af	11.1837229437229446	0.931973805387205423
30757c8a-e35b-4898-8d0d-8ef79efa16bb	0	0
706adc47-1d7b-4117-8532-fd950e96dde4	0	0
c57f9489-7e2a-4c54-be44-812c2e80dbda	17.1436818181818182	1.42863538938131307
50c05b28-2430-4c8f-84d9-7b85a0a10b5a	0	0
25e54db3-54a6-42af-ac26-209cf097d50c	16	1.33332888888888879
0ff606c9-4b4b-41e8-b945-81056a7a2ece	0	0
e7fe0bed-f4b0-41a5-9add-5af771feceff	0	0
535f1411-1957-42a7-944f-90cc3d233ddf	0	0
d9c89f05-af63-463a-98c6-ed751c118dea	0	0
0836504f-2946-4eac-9aa4-4171e5c56f94	0	0
6779f1c6-d01b-49b3-a5d2-3bc8295217dd	0	0
814f1605-2b26-4eee-81a9-4c6d52c0f01a	0	0
a9202185-bac2-4963-9137-0177dd9ec21f	0	0
e2e69871-f1e0-4856-9669-d2717b25e178	0	0
25a60882-5646-4d74-a5f7-ff242a33c822	0	0
2ef5b4c9-91b4-4409-9269-568f7e58369e	0	0
501a4cf1-35d6-420c-a5e6-1f9dd1b671e5	70	5.83331388888888824
94c4dfe4-daff-41d2-b882-193a7fcc71e1	0.594125249072381956	0.0495142332229009038
b104174a-deee-40a6-aeed-a3dee5f8fbd9	0	0
22c90b7c-73dc-494f-9d22-ad237d4ebffd	0	0
791ee1c2-2755-4674-b540-46c7a7803d1f	11.1837229437229446	0.932048363540163516
13a6cdf3-716a-43e1-9a6d-c79cffc2172e	0	0
ebf09b3f-f99d-4d71-a059-e6945ed1b9b5	0	0
8676c7b7-a661-4185-b842-67b5c61ff3a7	17.1436818181818182	1.42874968059343432
e12edd81-0037-41bd-8817-737349196531	0	0
b7a6ef1a-ef98-414d-9181-46b0484d151d	16	1.33343555555555549
6cf28f97-d5e9-4d93-a4dd-88568ae57671	0	0
1d3b9dfc-8d85-41e9-b46b-c1dd5dfb3e33	0	0
424ff8b5-948b-4b58-8227-d63b18579b7a	0	0
74b2c9c7-5a2c-43f1-85d7-4d1ff47a6b7b	0	0
1311f3c1-4b76-444e-8bee-844dc7f8ee45	0	0
4b5edd7b-34e2-45a8-9516-eb91116342e9	0	0
d18215e1-ebe2-469f-932a-0119b972c09d	0	0
63d4fc6c-5874-4645-8c73-64600f6c923f	0	0
4bb51aa3-c025-4670-8aee-850f07f64ffd	0	0
5580269e-66d0-44e8-a0eb-02a3f1b8b193	0	0
2dc04e2a-257e-438f-9e4c-9a70897d34a3	0	0
25b6ed02-cf59-480c-b676-12baeefc5720	70	5.8337805555555553
c9b8dbb5-a234-41d5-b1f8-014b4ab2884b	0.594125249072381956	0.0495155535012321707
0156502d-eecf-44cb-8b15-c1c58506720b	0	0
f4b2b4cc-289c-433c-886c-eeff364bdb67	0	0
db6c6f18-5fcd-460d-bf22-15d9652953e9	11.1837229437229446	0.932073216257816251
ac09820f-d350-403c-8251-ac843adaa426	0	0
5a3d6bbc-1816-473f-adf3-4ea7eab2cd5e	0	0
b16598b4-9eb9-49c5-b6d2-da628e0d9fe8	17.1436818181818182	1.42878777766414133
ddb5f08f-b7e2-4a9d-9fb0-1feb349f32b2	0	0
0a24ebcb-348a-4f06-8e5f-035df05816d3	16	1.33347111111111105
1dc25886-1206-4f93-889a-946aacc9c1d4	0	0
0eeb8f63-0dd4-45a9-9b6c-a0464de82b41	0	0
af8dc2bc-f531-4088-a060-b6043b36dd3f	0	0
31f86c54-2688-4d25-8fee-44c117040ba6	0	0
e92897c8-4362-46e2-9a03-402f12d02048	0	0
f289e2b8-25ee-484f-a6d6-4156792226f2	0	0
50284641-d18e-449f-905b-44b90c977bdb	0	0
d0f42cb1-cb24-4b3b-bf73-9b422023d8a2	0	0
ba573e1b-d49c-4397-85c1-a7cf762e11c6	0	0
7339ea16-7f65-4024-a68e-9800062e2b82	0	0
ea51bebc-744d-4165-9cf0-d1b4ecf883b1	0	0
03328491-5729-401c-890b-bcc0172cf53d	70	5.83393611111111099
234fe01a-f9b7-44d5-8988-30dcd84f4f1c	0.594125249072381956	0.0495130779793610393
4ea56d29-770a-4ff3-90c3-04addd77e473	0	0
935ce805-c9de-4670-bc54-ca1eb1dcf168	0	0
812afc7e-b5fb-4ae9-b39f-8ae24460eaf7	11.1837229437229446	0.932026617412217484
2b778977-4cb3-4051-9adf-115642d2aa34	0	0
42a7f0b2-a3fe-4b04-b4da-ded8ca031c5d	0	0
946843a9-b106-401d-844e-db1f9e212440	17.1436818181818182	1.42871634565656569
70647c25-c58e-460b-8a02-b8cd03b2c014	0	0
8524c6ee-bba9-4c94-96ae-09e0fd72f8cd	16	1.33340444444444439
3e4787af-c488-48a7-8bfc-8d21fc02bf65	0	0
3d717b98-f794-4aa5-bddc-4e82a830e93c	0	0
c3cd76b1-f2c1-410f-9e57-fa405a5dfab0	0	0
34d4b429-65b2-4636-a901-e78eab5183ac	0	0
4172654f-db11-4ffa-b0bb-7dac8842cdf7	0	0
c169d862-a250-4281-9ca3-9d9a506c9b11	0	0
3319b492-5c56-4029-9e7b-a55c1fa360b5	0	0
64f0bbb9-38c0-4269-9a0f-92d72670f6e7	0	0
98e9a870-8526-42ac-805f-0b4d6ca73579	0	0
9051ca29-b11e-465e-b73b-b53d748c2a08	0	0
09fb394d-1050-4bcd-9329-a02a6160088f	0	0
71fb09a3-6955-4dff-a71c-d0b352ecd91d	70	5.83364444444444441
d0623b95-f8f0-471b-b68c-8a4efe9dd23e	0.594125249072381956	0.0495155535012321707
d2fe269b-3563-4eaa-810b-d54c45b39d25	0	0
7954ec6f-cbc6-483b-bf86-9a02ae562b8e	0	0
8c83d674-24d4-4658-91a1-b10a24ed2a8b	11.1837229437229446	0.932073216257816251
46e94159-5ded-482f-b306-171ab6a65e90	0	0
8134c8e4-974f-4c67-944f-ec3d9c794e2b	0	0
480d925f-2fe1-4296-8e66-ea0f7c283eb0	17.1436818181818182	1.42878777766414133
d892d21e-f2f1-4215-b9c2-39fe8064f6f4	0	0
fe60817f-4e06-4a3d-aae2-8db011d613f2	16	1.33347111111111105
706c58fc-8d00-4e9d-9106-971ff9ad9c3a	0	0
1263b445-939d-4dec-950c-ec7884d5bbe3	0	0
45138ee7-9f3c-4af4-aa3a-0c3f29cfbec4	0	0
cc959415-4874-4234-be59-a13d1aceb575	0	0
55ca2516-9ad0-454d-9ad3-66b4d80b8aed	0	0
22ec80ba-92bc-4913-bf67-f3c4bd91de18	0	0
62d84997-f786-4016-93f8-50d818bc23db	0	0
19589250-18fb-4628-9e73-69e15a588684	0	0
76dfb695-2489-4f5c-8d64-28d20e238b42	0	0
3306475f-6ae0-4288-8a1b-093ad4119459	0	0
f3e98cd8-11c9-49ae-ade7-1149ee5b8390	0	0
ac435740-4da5-48e9-aa69-fe1f659774c8	70	5.83393611111111099
c751b13c-0d53-41a5-b322-b64bac312b3a	0.594125249072381956	0.0495124178401954093
2cbd22e6-a55d-4614-9288-966a07107e05	0	0
7c754514-cd1a-442d-913e-3760327e0afa	0	0
834084ea-67e4-4b10-964a-c4dd72dea588	11.1837229437229446	0.932014191053391117
dceded57-9431-495e-ac26-2cc67a02a4fc	0	0
1f861e3e-2bb3-483b-a4f0-b5e582021e4c	0	0
d906b54d-06d5-4af0-b5f5-68a539141be0	17.1436818181818182	1.42869729712121218
b528ab9c-88c4-451e-8721-0e6bc61ec697	0	0
49477eac-cc9f-485b-96b9-c0d3bef3a3d4	16	1.33338666666666672
937da8a5-7954-4ca4-97cf-f5c1c5fe9fcd	0	0
bbb6c2fc-f7bd-455c-bef8-b7bad37f2bcf	0	0
e5172a01-f961-4efd-83e7-18c5e352b603	0	0
4c97d2c1-a1c5-4e02-9a74-7a85830c465b	0	0
2d998a52-191e-4b76-a1ff-03fdb7e24da5	0	0
aa9c79ac-a47e-4963-91c5-76b999b57481	0	0
e497525e-c018-4a72-9dde-9049c356b885	0	0
be17d1ec-5a3e-4244-83fa-57cc6737e35a	0	0
d9bb5300-e1b6-40c8-afad-c10578765713	0	0
bcafe749-79f1-4170-891e-ea5e40f9a7b5	0	0
582f4fec-9cb9-48cd-8ab8-83ccfe701dac	0	0
70d6dff7-ac20-4a17-a6f3-b43f27b6ccab	70	5.83356666666666701
e09d1b80-62ff-4e10-bfdd-4e0642570896	0.594125249072381956	0.0495139031533180854
9b9159c9-b3c6-4f7e-9550-ccc1595dfe25	0	0
32f669c6-1d4f-4112-8568-c480fdb9405a	0	0
681f0fa3-b77f-4de5-90c4-fe5d430a3f02	11.1837229437229446	0.932042150360750554
911bb01a-09e7-499a-8784-21320ef1f3d7	0	0
8e0f1cfd-b629-4041-9b60-44618f5d4e5b	0	0
c63a6c68-670f-4590-a698-151f7e0cb6d9	17.1436818181818182	1.42874015632575757
14744b07-d6fa-4079-97e1-839fc98fd4ee	0	0
bc055993-5e7e-4a25-bc4e-ced597539a93	16	1.33342666666666676
dc44cf61-8ba5-48cf-8caa-faf977237d15	0	0
61f47255-7ee2-48e7-abce-b80bd12e0865	0	0
48ad98b7-80d6-4908-910b-2a6db8a07bf0	0	0
e0784dfb-ae9a-423d-a3e4-507414ada6d6	0	0
deff2bd2-a02b-47ca-884f-f933d8665d9e	0	0
51e03163-7472-4c19-b652-ba0fefaa0da2	0	0
d1dfe10b-fec8-4a96-b80a-9b97618e80e4	0	0
0cac757c-74b2-45e7-bf4a-7e88d7bda504	0	0
c215fd2b-c8b0-439b-9892-814649fe02b7	0	0
6947f082-45da-434e-8103-5ab875a5a8fb	0	0
b89d5d94-9c66-4c91-8b1f-bc5aa8de5135	0	0
e7bd79dc-3b54-4fde-8211-6861d0d80219	70	5.83374166666666749
8112d07d-7ff8-410a-bad5-a2364dab9ddd	0.594125249072381956	0.04951291294456963
794ec923-469b-4b3d-ab2a-d1322b8d1b26	0	0
5a81d68b-de01-45aa-a3bd-ddb5c729670b	0	0
3d367f3a-73be-41ba-a7e9-7ed4a3f9b1e3	11.1837229437229446	0.932023510822510892
bf759424-f962-49cd-80bd-1d8c6411b094	0	0
df4d0ba2-eb53-4f14-a1d0-29c5aaa8cb29	0	0
14d26ad0-6d07-464e-a75f-588dec8a7eb4	17.1436818181818182	1.42871158352272709
cecb1f17-b51f-4007-8641-201b649d7096	0	0
cc8f65d3-167e-435f-b518-75e9675b0a3a	16	1.33339999999999992
e346cbbc-8d7b-404c-8314-65476e18c256	0	0
730629c4-d499-4e58-b5d1-87d78f45ec92	0	0
94348621-9102-4bf1-bbbe-58cb5ac4e4d6	0	0
0a4636ca-bdba-409d-bbc6-673dd3426373	0	0
e24f7fe9-806e-4abf-aa5e-f70a13def256	0	0
c1ae3656-fdb2-4ce0-8e4b-9ce34bf92afb	0	0
c6b163f6-2279-4010-9edc-79e033627e75	0	0
70931ad1-cab6-459a-8fd5-6d1117e08dcb	0	0
6d81daeb-e130-4c2b-9ca5-a42fa5264b2d	0	0
f36f55a3-81e6-4181-a604-7fbc57a25953	0	0
39330d90-b92a-413d-8113-28de5ab6cff7	0	0
35238f76-40d8-4dae-ba3a-a6a381cf366a	70	5.83362499999999962
22fc398a-0590-446e-82cd-7f57d8796809	0.594125249072381956	0.04951505839685795
7580b530-bd3c-443c-9cdf-ef18ed9a3707	0	0
2a5cca6a-3cbd-4d23-b6ee-ccd2356e3db1	0	0
a613d64c-9d7f-4c95-ac5f-81114ae55dff	11.1837229437229446	0.932063896488696586
127de9ec-81b1-43e5-bf48-61ad63d480a3	0	0
8889cfa0-6094-411b-b20b-08f7943b3bcf	0	0
72952406-ad5f-4a21-b45b-f336bc80a2d2	17.1436818181818182	1.42877349126262643
59f5b9be-cf93-4ac7-818e-6da8b6ce716f	0	0
3e4512cc-4200-4085-a1b0-475111b75f15	16	1.33345777777777785
1771155c-0ce3-41ce-b78a-a19829851341	0	0
9729a2c0-8ca5-467e-894f-607c8e90b285	0	0
2994f286-5afe-441c-8740-868003f0b85b	0	0
3e4827b9-9f94-450a-a49c-ce185a1eaf7f	0	0
38d17dc0-6340-41c2-9966-da232553428f	0	0
5d370afb-8d67-40aa-b3de-b7168bfcb9b4	0	0
809a1b43-9fc0-4f21-9904-8173548077c8	0	0
ab71e04e-6ea8-4add-aede-5def27fc677d	0	0
d84fb2a3-4de5-4e4a-9ae7-fd78bfb0c9e1	0	0
374be20e-eee5-4c16-ba9d-cdeb3b69dc0a	0	0
efa48ed3-5fc5-4eee-ac5b-52ceb85343da	0	0
499d17d4-4992-41c4-a201-110fb43faa56	70	5.83387777777777838
67cac682-9783-4bed-a381-214933e661bb	0.594125249072381956	0.0495064765877046772
374dedd9-f2ea-4836-98e8-7d6e35e9c0ab	0	0
e3cc9b2d-00f6-4086-ae9c-6556710e8863	0	0
af99a3ee-7273-42e3-9a77-2b6d711fb56d	11.1837229437229446	0.931902353823953811
4a71f564-da22-4d06-bed1-2f1ccbcd6cb9	0	0
66d5edef-0b2d-4383-979a-cc8865c70998	0	0
d40a3891-bd61-4ae4-9a94-41994d9f4483	17.1436818181818182	1.42852586030303019
fcd7a84d-877a-4be9-af03-30828f9e40f9	0	0
5158c434-faf0-4af8-96fe-f62123d4c98a	16	1.33322666666666656
408b59c4-5c00-4a57-916b-455cf63d584d	0	0
bede4bb6-d787-4ef5-b1df-1486f402dc3b	0	0
1caf8e0b-d6e8-4dd0-abaf-cd6e3d503e8c	0	0
7fa5edce-121e-46c1-a28e-987dc15fe0aa	0	0
9cbcda5d-9f3c-4d8a-a849-1f2fdd2282e0	0	0
361963d5-d663-47a8-92dd-875e6e84aa61	0	0
7218cd77-f9f5-4068-85de-a2826b8054b6	0	0
8a62b7f1-d411-4a1a-94bb-f6a4a0c52c03	0	0
ff12b039-254b-485c-b789-2bdb67ef900d	0	0
3fa5c3e5-f88c-4a80-8201-24754a557be8	0	0
32261b95-4e1c-41c2-be55-87b869580d6c	0	0
4f8f6e20-c0c7-49e2-b938-307c9d8dea48	70	5.83286666666666598
de43ba19-0b0b-4056-8a76-c4405eeec6ed	0.594125249072381956	0.0495226499972627673
3c85b6d6-381e-4fb8-bc3f-23167eb75362	0	0
89da4a93-f8eb-4d33-96c9-d8bdb6b8b747	0	0
26b21cd1-f289-4284-a5bb-96b00d33fb09	11.1837229437229446	0.932206799615199699
ab95e285-3faf-4ee1-9ab1-5521024670a5	0	0
e9ede48b-a73d-4fa4-b955-a33e403b1b3e	0	0
06d445cc-3d24-4313-b625-0078f81501cd	17.1436818181818182	1.42899254941919196
2ba9417a-8e0f-4fa3-a363-a2496a78fabd	0	0
abeffb8b-6abf-4aeb-869a-987d1cec631e	16	1.3336622222222223
12ec21d4-a2fd-4d81-ab81-15fcec3b95ba	0	0
db8fd2e7-1a11-4ed6-af9e-f440a4ff18d1	0	0
d5eefa96-e8e2-4e85-9cb4-7aa961731eea	0	0
8de104ec-8263-469e-a13d-a9f0e75f0197	0	0
74778735-c215-4f99-be30-c364bb052727	0	0
b041ba87-f8d3-4273-b0c4-4e7bdb13192f	0	0
7a38d561-04a1-4bf3-b4b3-c1f0ef84e2d9	0	0
9cb990b2-185b-41fe-ad2c-b92302348855	0	0
a235d013-fd3c-4c01-bfdf-26070d3d5e42	0	0
f64b4eaf-7d9e-4cea-a103-7efd7bcb547d	0	0
491b34ec-0676-4c16-8a5e-d74d38708557	0	0
46e26037-246f-4357-9591-d4e8f13f0479	70	5.83477222222222291
3b6ab5cf-219d-4985-8ad6-753ae1a75127	0.594125249072381956	0.0495104374226984917
00f856f4-e968-47cd-957d-f699a2207c09	0	0
6af2014f-87ca-4ba5-9665-afe7e6f24ff9	0	0
740a29bd-e551-4ced-8dc8-29c4f47200e3	11.1837229437229446	0.931976911976912015
43b6e997-9e2e-4132-8571-e0c52d63f627	0	0
a043340b-f9e4-4557-8328-cc7bfbf0f9cc	0	0
e55cf264-ccb9-4f50-bcd5-78ab2746f997	17.1436818181818182	1.42864015151515145
b608e35c-92e8-4f58-88bc-b75d7450116a	0	0
c7419310-ffb3-43b3-b2cd-d245f398cfd5	16	1.33333333333333326
47dcdd9d-4f41-4cc2-8759-d58735d5a1f8	0	0
efcd590b-9f1e-4a0d-9057-45aca7b87ab9	0	0
ffb43604-926a-4ada-a8eb-f232ad5105db	0	0
9af19430-daad-4df4-a7b8-c2a2f906529f	0	0
5bf02238-ed97-4ebc-8afc-9b39fac19c96	0	0
9e073d9f-01aa-4dad-b01b-a17ea955e7d6	0	0
48a21834-e78f-48e8-b2e1-00fa5a02a3fc	0	0
3e30cdd3-41d4-4728-bfbd-8d9b3941103d	0	0
0728065d-bc95-4242-ab37-fa1b40e8ec09	0	0
565b1b00-112b-4399-88d5-54f910e8c98a	0	0
6f215ace-9255-470d-839b-6cd4b20b2c1f	0	0
a030967e-cf10-496f-a723-d01eea277447	70	5.83333333333333304
3915cbd7-b143-4e3b-9d63-1da819f839a6	0.594125249072381956	0.0495143982576923131
324e6c0e-6521-40ed-88bc-220b0b5b65ab	0	0
610462b1-75fc-4ed3-931c-2471f2fe32e5	0	0
f69ee494-8c40-4009-ad8e-8e0fe280cbc2	11.1837229437229446	0.932051470129870219
ccfc3020-49d5-45e2-a49d-3efae7445cb2	0	0
6b41d96b-da34-4038-9d8d-cfbf58bef8b0	0	0
bacf339e-20f1-40a7-8dbe-eb88fccb6f1d	17.1436818181818182	1.4287544427272727
405d0b0a-d536-4a34-b666-b174175c3899	0	0
4280afee-f42d-4c10-b2fd-cf50b6206f34	16	1.33343999999999996
54e01ec5-3405-4121-a254-9806266486b2	0	0
ee751e71-46ae-4a2d-b0ee-ab721d0decf7	0	0
9f73c63b-e84c-42c1-8602-d15fbfb4bcc2	0	0
957352ba-63d5-4975-8eac-1a6fe0810bbc	0	0
d21c55df-c32a-4670-b2c0-49a7decbbc13	0	0
e2698389-d593-4d34-8c34-49d1bcb22b15	0	0
1178ef57-b067-44ad-8c11-37b715141492	0	0
5aa0e275-ef24-4577-a279-25246bfe5c28	0	0
aa1b2df6-e398-4333-9433-ab6f6ad5ca5b	0	0
f116aede-202b-4f11-a2f8-928b51c1b105	0	0
e4d8ff78-f1cc-4ab5-bb79-dac3b8fd0644	0	0
e1fc6734-1c7b-4983-97df-ccf59acf2fc4	70	5.8338000000000001
2f7b49ce-740e-48d7-a7f9-250bf3f88587	0.594125249072381956	0.0495180290231033091
862a8d1f-f134-44b3-8138-ab59b0db7e3a	0	0
2b0bfd02-58cb-482f-b8b0-ef5ffc0a80f0	0	0
261c64ef-9ead-42c7-8757-2ede5107f730	11.1837229437229446	0.932119815103415128
ef13cdcb-639c-471d-8154-f49c320e4393	0	0
09a3b5ac-34b9-4bb8-8dfe-64cbbfdb56e5	0	0
7a41a27f-13e6-42bb-b9ae-ac306c070f06	17.1436818181818182	1.4288592096717172
3daa4230-67c2-4e0d-8ee5-1971517e1c65	0	0
4553dc24-31b2-41d9-a324-60c962a11570	16	1.33353777777777771
2ae7e786-ac24-4f23-8651-10bcaaca8a76	0	0
40595132-3483-4d6b-bb50-34b83d8f6eb9	0	0
e9897133-110f-40f4-86b1-9dd494b9ed2d	0	0
c9700857-8d40-4034-9023-2a82924eff84	0	0
2c8a87de-e353-44fa-9aa1-037c8de7737f	0	0
58a76e19-e1ae-4128-a87c-fd3e6870b627	0	0
a76f1acd-2ef8-4e40-977f-894d6fdf0066	0	0
f601cbbd-d089-4041-a78f-6f86fd8f1d12	0	0
f0614031-a025-4637-8613-e5c14dda2270	0	0
c382085b-4e72-45a7-93b8-69be4bfa22cd	0	0
edcd72d2-1b2c-4c07-b2ec-75afa9241525	0	0
c80b66fa-22a9-4eb2-bf43-95ec0715bd28	70	5.83422777777777757
fb8f0bc1-fbe7-4d17-b850-48e633958e84	0.594125249072381956	0.0495091171443672179
f3917765-acba-4a17-ab82-b064c495a700	0	0
84750f68-c43e-4c08-80e8-fa9d30d03e38	0	0
9e4a9398-df77-46c0-a168-a8453736aa9f	11.1837229437229446	0.93195205925925928
229cd25a-e4af-48b0-befa-db38caec22db	0	0
e2ec4b7d-bfe4-4a76-9ccf-7e9ef037bace	0	0
5db1778e-f9b2-4170-989b-532b996d61f6	17.1436818181818182	1.42860205444444444
37f9a7f1-d11f-4fc4-a8fd-50925f0cc36b	0	0
d2d28efd-9460-4fc1-b57e-41bb757bc7e7	16	1.33329777777777769
ff1fbefe-52b6-40cf-8bdf-c5073a6ec8e5	0	0
c70a5519-3712-43f7-970a-8d0ca315b753	0	0
6e82a151-3585-4ae6-b1bb-1f5964643d50	0	0
49581050-c85c-4e90-afba-0fc6f9eca38a	0	0
df03d01a-e841-455c-9e33-9603c2bd77dd	0	0
5825da6f-dfd4-4545-8ad7-8d7e28cd4b6b	0	0
c2bd7d79-8df9-409f-a1f7-11da431a187f	0	0
1e8c47df-4436-4e8d-a783-f18ff9f0984b	0	0
4b4a3616-cf52-4e89-8c9e-d4d9689a6f87	0	0
d0b8f59d-0eda-460a-9cc0-3b4ab2a5533e	0	0
c898e44d-28f1-465d-8958-7915cd46d2f5	0	0
58169982-ea2b-4b41-b3d7-399f8ed3deaf	70	5.83317777777777735
b6556ef0-e477-45e6-b1b5-2003a08d3f30	0.594125249072381956	0.0495155535012321707
c7a5814d-d2e1-45dd-9412-8ab81e252cc5	0	0
01773cce-424f-436c-85b5-a358d82e36a1	0	0
43913241-ff3f-4c11-80e7-46647c042c76	11.1837229437229446	0.932073216257816251
2ee26486-af0e-493d-b7a2-1a05bf2ecd59	0	0
aec898a2-5efa-41d1-8262-742374336c89	0	0
d291f83c-fbab-4a24-8e5b-7322bef26bb2	17.1436818181818182	1.42878777766414133
99456f02-6e9a-4605-a049-04e1fb9a1e24	0	0
33a8679b-ac00-492a-b742-64ef7c226e45	16	1.33347111111111105
82e48f9c-7cf4-44b6-84c6-c829fac6199c	0	0
d97b787c-8d79-430a-85ed-6122bdfa6c42	0	0
847dfd9f-6bcc-4a0d-bd43-3e849ebe9eba	0	0
b1093e3b-9fe8-4f32-ad4c-ea77a47cf58d	0	0
acb4ffa7-e093-405b-8a03-b1d5fa59135a	0	0
212706a4-4a54-4463-8560-8a3331da4e97	0	0
cb38a3e5-6422-4b86-8dfb-00317ad40fbe	0	0
7e6f80a3-f006-4b2a-a1e5-925b8fe14e14	0	0
84438177-a71f-4d66-80e6-d8266f00e581	0	0
a23782da-118d-41bb-89b8-cc0d962f0a95	0	0
ddf22db0-a4f1-46d5-a468-7c44a94dcf26	0	0
19c44b36-81fc-48aa-b3d4-068c48aba0b9	70	5.83393611111111099
340d5e5b-2227-460b-b092-42e5a347957c	0.594125249072381956	0.0495046612049991827
361652cd-db2e-41a8-b598-a5ea2bb12a31	0	0
ac5cb51c-77bc-40c4-b9d5-ac28ab848930	0	0
744c1b3c-d1ee-4de7-bead-86b15c63a901	11.1837229437229446	0.931868181337181412
436cd545-2aad-4e0e-825f-25bc4c2817a1	0	0
a60e692e-24e8-4353-b5af-65936d30043b	0	0
b549f3d0-7a9f-428e-bcc1-99bde7aa4d76	17.1436818181818182	1.42847347683080805
b69da203-1f4a-4653-9287-a813b086a007	0	0
fe30c467-265d-40c3-a32a-5296739b3b0a	16	1.33317777777777779
cb6710b5-15ac-4a7b-a5b5-bc5bd207f63d	0	0
e4bed36f-bd06-4578-b324-9da4d7ac3ca5	0	0
a3998385-ef2d-4f51-ac62-5eb68701a3b2	0	0
19e78057-bf58-4baa-a6b8-80eec80e6acd	0	0
1896f20e-ea5c-4a49-b21a-70464f03c143	0	0
2b7a5239-8d0a-4ded-9ed4-d2c2cb4045b6	0	0
a5c7d86b-1b18-4493-a9d5-fb4bd49f00f3	0	0
3507b544-1619-4737-9c43-4cb1e335cb8f	0	0
6a3836fd-dd26-4e08-a41e-0ed6af621a41	0	0
9d10195c-bf5d-47cf-b337-f7d417fc1575	0	0
e40215c6-725b-4460-954c-bdecaa7ca3f6	0	0
2495cb00-6609-4120-a5c7-93b42e86ce9b	70	5.83265277777777769
e0cae177-8ffd-40a1-944f-b149d28754bc	0.594125249072381956	0.0495205045449744405
38258905-12e1-44c4-95c0-24c333693885	0	0
7d686563-22a7-4064-8629-9d72c2099e80	0	0
7032e212-f0dc-43ce-8f1a-53076ac997f9	11.1837229437229446	0.932166413949014006
eadc2f9b-2619-4522-baa5-f97fa0c88a49	0	0
5aff1cee-c9d7-4760-8a22-c9496eb2fd73	0	0
0f53ef74-e8cb-402c-b811-884ca88563c5	17.1436818181818182	1.42893064167929285
acc6317e-365f-4daf-b968-79ca6421c756	0	0
8d924aad-0b03-47fd-be1e-b1e2f0b79af2	16	1.33360444444444437
edbbfe64-121f-4f1a-9617-067314cd5ba3	0	0
aa3be053-21b1-46a7-a617-ab4fc1c55a27	0	0
1f409b09-7a61-4494-b902-807693377529	0	0
b7fc7717-ab51-4ff4-aee0-2e7928d386bd	0	0
34819516-183d-4591-b997-f2b788e722d4	0	0
6ae262f3-c332-4e56-9a5c-301f79358af2	0	0
a162fad8-6906-49e5-8c92-c8d73e7fa6eb	0	0
9bf75153-4fc5-48d0-b8b3-421535663bae	0	0
5f84024c-5a9f-4402-a373-5a1cc96614da	0	0
a86c8b66-032e-4577-8b2c-4ecb07f54b29	0	0
099992d7-d128-4a06-8e36-8ff45613a469	0	0
545fc79b-3cc4-4a36-b5bb-45f47c5b5574	70	5.83451944444444415
76dd2610-b19a-4f7c-b533-8bd661e8596c	0.594125249072381956	0.0495143982576923131
fbcf5439-e2b8-4515-bfe1-fd5e76b9ef5d	0	0
5fcde1dd-0e6c-4ae7-8709-803f502b7b9c	0	0
14c77b98-a820-4c0d-b1e5-5527b3112f73	11.1837229437229446	0.932051470129870219
75fabd37-7ba5-471a-b67a-1c1020a6ff70	0	0
4ed2be47-cf77-4122-a705-63b427b23900	0	0
e8b63e28-f33e-42a7-b935-22178517c0a7	17.1436818181818182	1.4287544427272727
0b908d73-c344-4917-aeac-5422048cd060	0	0
9dfdca1f-bc57-4af8-81d4-c584f6b3884e	16	1.33343999999999996
f308c67b-8e9d-4044-b93a-79b57563b437	0	0
8f17c009-618b-4a1f-a54b-a6c1a7ec0504	0	0
76c29305-630c-48e0-9255-725320891027	0	0
851177cb-8351-4986-b8fa-5c294e2e59ba	0	0
e53cf5b2-1f96-45aa-8737-fadd08dc866a	0	0
3d88392f-9506-4aa0-b0bb-cc74e7926e8c	0	0
77ad7564-8d99-4fc3-beaa-ee42ca4fa870	0	0
2365513c-08ac-4ef7-8c9c-418b970d2c23	0	0
35e6a96c-9a8b-48be-98ea-fa1198733620	0	0
d26455fa-8694-40da-bcfb-0248ef288b9e	0	0
9770766c-7392-4c10-af05-fe73acd42fed	0	0
f32799d3-409c-4186-bce9-ba6dcd438500	70	5.8338000000000001
2618c9e5-4251-4ce2-9f37-5fa5c4b2257c	0.594125249072381956	0.0495158835708149961
c8f8146f-32cb-470d-9f24-8c3733431d30	0	0
54463b94-31cd-49ea-a5ba-cd6e9eb51d29	0	0
c4f402fd-2a3f-457d-9c0d-d3e0e2793722	11.1837229437229446	0.932079429437229545
0921dddb-eaa7-421c-80c9-d858885031bc	0	0
668c1e77-6ece-410f-a651-8f2657f95541	0	0
13bb039d-a973-4a5f-bc7f-de4966f81856	17.1436818181818182	1.42879730193181809
8e2b9a19-1c48-4223-b074-e096bc1a6544	0	0
085fac1c-8ccb-457f-bd0b-6072508e6f39	16	1.33348
d193a0a6-d769-4769-9257-8949cad4fefa	0	0
e6df5e09-3107-41bd-8245-317690ee4a0e	0	0
862359e1-b1c7-4aa9-a196-4bf4673dd5ce	0	0
e8079991-0650-4fda-80f4-c68086dfbc9b	0	0
95f3591f-4e8a-4c13-8959-b4ce0a687356	0	0
79cec1c3-4ed0-4602-baba-800335c1d517	0	0
81cae69e-f6db-4921-9d07-f71da3de5fa4	0	0
9b546741-cec5-4dfd-b492-b681061fcc07	0	0
9ffd27a2-16ba-40a8-b0b0-b3fe4dfe4dae	0	0
d4d6cdd3-4d16-42b5-b835-0503fba52b80	0	0
348bc014-373c-407b-8711-11d75edb0b53	0	0
e60c7f92-c246-4b75-b83f-d499b9d8419a	70	5.83397499999999969
b47a86b4-f2fa-4265-8700-7b9c99e64560	0.594125249072381956	0.0495140681881094877
ab24207c-6362-45e4-9515-2967043933c7	0	0
ed45446c-fa43-482e-a2ca-11c23536494e	0	0
27de71db-699c-454e-a3eb-5ee0cee5b85f	11.1837229437229446	0.932045256950456924
8d838341-5b4e-4a2b-814e-c0baa1e17397	0	0
1260bed7-0b85-4287-b2c3-8d85116a6d87	0	0
bd60d801-e717-4bf8-aee6-997a79596baf	17.1436818181818182	1.42874491845959595
88035e1d-085b-4600-97d5-0328e7f5ba60	0	0
7f2bb999-873a-4bc6-bb5b-b41e8c3fa503	16	1.33343111111111101
f34fb3e7-513e-42a7-af9b-be6a740275b3	0	0
1f85d0bd-1a7a-4625-9a17-13e1157708a9	0	0
9a8dbc12-3e40-4902-b566-ba35383dbd74	0	0
5ae90ae7-ad6b-48de-93f7-6821dee1e3cb	0	0
294d1011-734d-462b-9bda-ccfe9b9f4603	0	0
07a730d3-b6af-4762-b233-6a21aa96b37f	0	0
920a8936-66f1-4c0f-bbfe-da8ab13dd294	0	0
03a29c00-5f62-4430-b859-cf54d36bbcd9	0	0
cac34bc1-70cb-4de4-bb0e-8651d920703a	0	0
5f6dbae8-7525-4bbd-843e-c296677b2b85	0	0
f6d1a02d-e0f5-40ec-98a5-19801dbabb5b	0	0
2462ac0a-f2e7-4ce0-93ef-ee0837563b85	70	5.83376111111111051
84a176e7-d8ba-48bb-ad8b-4c40f62150f2	0.594125249072381956	0.0495132430141524485
17acc03f-e311-4335-9949-396146a883a4	0	0
0a163826-7c60-4884-b1de-c4a1520c85b1	0	0
7292fa4a-1378-4b22-9923-4e279201c912	11.1837229437229446	0.932029724001924076
52511c8e-c865-43bc-91eb-ec312d898f0a	0	0
c079a8d4-eb6e-413d-ae0d-36567af7cc1d	0	0
f760b34d-c5f4-4dbb-a71d-3d2aa548a67f	17.1436818181818182	1.42872110779040407
259acca2-c20b-4ef2-993e-fbed65d82293	0	0
90b269d3-1e6b-42ad-a1bc-f0fdb78a3e9c	16	1.33340888888888887
c06e2d71-e18a-41eb-a19f-6a70f64ec0f7	0	0
f383abe6-4d52-4a79-a4ba-6ea899133140	0	0
c59f38e1-240a-4e30-b228-4525ce8a26da	0	0
bc166eba-6670-4551-91b9-539a2e4c251b	0	0
3187da12-807e-4f8c-8e67-ce37ce2e49b9	0	0
4fb175a4-26e2-4733-82e9-bfdec2616e86	0	0
141d787d-6062-44df-b670-41fe81d86f6e	0	0
8fc4549b-91f6-430f-97c0-cf8f89b079dc	0	0
793e4275-ac08-47ac-86af-556e460de7d1	0	0
32df7708-fcdb-4857-9dbd-c4674fcd8d2f	0	0
727573ef-10e8-46ca-aa8b-7da96f056eca	0	0
cde14f27-8860-4aec-bf8c-190efe761456	70	5.8336638888888892
139cad39-7e8a-40ae-9aef-1a4aeb4101da	0.594125249072381956	0.0495620933124095095
0a1e9d7a-2ec1-4ea0-829e-f4c3ccc80f47	0	0
8aaa8062-8f10-4a36-bafe-064beed1c58d	0	0
dc614366-fb84-45e4-8ac2-b6af5b7ef40a	11.1837229437229446	0.932949274555074592
3616f308-a487-45d2-b655-04d31fcafa54	0	0
33872c2f-e26a-4020-901f-9c0c36a01a00	0	0
35d6f5ce-6db1-4cf7-95d8-625bde760162	17.1436818181818182	1.43013069940656568
2f75c91e-84d0-4ec2-9b0a-984d64499e20	0	0
067f4e84-2af6-4016-aa33-9b2b68563424	16	1.33472444444444438
c8e943dc-657a-4612-9ba5-2db7058d7750	0	0
6a0620f2-e6e1-470c-b0b0-131fdeb4ae58	0	0
3003ac6b-2034-4e9c-b6bd-261603d62904	0	0
3b5f1efa-9b55-42cf-b17d-973fcc57fcfa	0	0
a5069355-e39c-475b-9e58-0ed6a5fc2f9e	0	0
252e4a15-66f3-4e21-933a-915c185c22bb	0	0
f717d48d-49ff-4b51-90e5-4138938e463d	0	0
c66c01f8-e117-4171-98a3-38b902e8769c	0	0
4c43066e-7735-4433-a135-e331e60727cd	0	0
e4a47877-9016-4365-9271-97d7b68f4258	0	0
e50abbe4-3d3e-4373-ba3b-29b3baff8651	0	0
7ac9d736-2e0c-4286-a882-b156d9522bdd	70	5.83941944444444427
d0c9be08-d49d-4cb8-b745-a50f4d34f228	0.594125249072381956	0.0494663731333922913
3f182e80-bb1e-498c-9b07-0b22a8b68fab	0	0
9b0ef9cb-184c-4427-b730-b880af3ee874	0	0
ec364dce-812e-4850-b63f-770aced40a0e	11.1837229437229446	0.93114745252525255
c7a2073c-50bc-461c-b78f-62b8c646506f	0	0
18f9ea63-925d-4c0d-a88a-95490dfb9cdb	0	0
b8639748-b1e1-424c-af41-83e2108f0859	17.1436818181818182	1.42736866178030297
4bbc98b7-8cfc-4494-ab1c-64728326c7dd	0	0
faa5db2e-2e28-4f72-b614-1046855be3a6	16	1.33214666666666659
1246ee5c-c959-4961-bde0-277d423dfb9f	0	0
1de10fce-ec82-45ea-8b53-d34fcf8e2a75	0	0
031cc18d-076f-4a2a-a837-e14abed899aa	0	0
dc1f57ef-1cb9-4c36-b54d-ffc5cd973e71	0	0
05b01b9a-2cad-4692-b621-2c6979520b6c	0	0
5ceb18ce-157b-4598-b325-698a542eb64a	0	0
c75f6200-b1c7-4a50-96b0-682b51c86b5b	0	0
92955035-4c18-42bf-a2af-b0b76cd29299	0	0
00301b51-93c6-4a05-938e-673229c867d1	0	0
e60699cf-1aad-4819-aaf6-289399f8733f	0	0
99e84629-8be3-4e32-baec-0d64983f14a5	0	0
3e09abc6-403d-426a-b88b-083bb1dd966c	70	5.82814166666666633
d1f04671-234d-44e8-9f35-d66ec3ace5b0	0.594125249072381956	0.0495124178401954093
3213ce6a-9906-43ee-aa6f-9ea1ba2c91be	0	0
2360dcd0-0d0d-48f1-9ad2-b5fbe2243bcc	0	0
79af2ba1-972b-4687-a8ae-cf97cfec4f84	11.1837229437229446	0.932014191053391117
6795aefe-66e0-43fa-9eaa-48dbcff4d54a	0	0
0e7cf647-0c18-460f-8e20-9f684c199319	0	0
8dd98777-9887-4387-971b-04dacbf37714	17.1436818181818182	1.42869729712121218
6d2f52db-4ce5-431c-8e20-ff5a56e46011	0	0
831f576d-59b9-4583-b4c0-51403f6973e0	16	1.33338666666666672
99338279-cd34-41e2-a600-be753ebe85d6	0	0
62313a1f-ccaf-416a-b753-f1fdeff7adb9	0	0
337d9b2c-17e9-4a86-afb2-37a296340368	0	0
b819eb91-57ea-4e7d-8a72-785c57a86536	0	0
25495493-09aa-426d-9e2b-6490b1c7045f	0	0
05132cff-d2ad-4777-b9ad-8476add5e4c8	0	0
fa841e18-fe46-4eb6-8e62-67af37c43fc2	0	0
9c125164-a84d-4204-9fb7-4a9443e2455c	0	0
1800c2a2-18ba-48fe-bd90-2280f3c2f42a	0	0
a62708f4-1b88-4bfe-b324-9959bd946d2a	0	0
aa58d14a-9235-46a6-a6f6-af83aa0450e2	0	0
42082e9e-64c0-41ac-9542-463ac9747b42	70	5.83356666666666701
f96adecf-e2c5-4d25-8576-fd2dc3b9f324	0.594125249072381956	0.04951291294456963
95a95a5a-f552-4280-9c85-0a181a52092b	0	0
8d0ac20d-f533-4aa4-ad1d-d81a58918a74	0	0
8ca5f310-a7ba-445a-9e13-32ed5acca3ce	11.1837229437229446	0.932023510822510892
efe04cf0-0bc9-4b92-8310-b2b8633f0f07	0	0
909e0532-02d4-420b-8430-c936bb4a7115	0	0
b7fb1a93-0c9d-49cb-8a10-9ac26ba7d148	17.1436818181818182	1.42871158352272709
c93560d2-d6ec-4fce-aba3-873e42f86fad	0	0
55dbef66-b010-4c71-975f-d93f44c8e76f	16	1.33339999999999992
dc11356d-3dc7-44cf-9028-5ddc97fbba03	0	0
52d339a4-9165-4c67-a10b-a367d6d716e1	0	0
a8922ab6-ce7a-4b09-bb53-e4e14fccd801	0	0
e21d3a1a-ec46-45e6-9408-cc22452832b2	0	0
6e71756e-ad19-42a1-99e1-1d1d697168f2	0	0
075cd5ef-5f25-4eb9-82d6-7f59370f1653	0	0
c571b740-da7e-48c2-b28c-1cd090b5d8b7	0	0
b316c2ed-d5d9-416d-86f2-82954402d451	0	0
9e994f87-6af8-4403-8c62-171a28054783	0	0
7a91e45b-0235-4625-85c4-3a983bf99588	0	0
e346eb08-1947-4e48-b3d2-a5a26242b6b8	0	0
f1adc35f-9b68-43c1-9390-f781d3df165d	70	5.83362499999999962
dd255956-7967-4021-bdda-b1d237cb1d7c	0.594125249072381956	0.04951291294456963
23cba799-0409-4948-9ec7-00cde09772c3	0	0
242250d9-7018-4b66-9d1f-d2b8ad31c2ed	0	0
f0ebc350-bfb8-4149-bf88-3fd03a70a2ab	11.1837229437229446	0.932023510822510892
651213b8-18cb-4ece-a704-4d2edb4471f2	0	0
a624bc42-0ccf-4dfa-b017-5df2ed9e9008	0	0
f1ac013d-23f1-49d6-996a-0a1fa106d68f	17.1436818181818182	1.42871158352272709
05fb3584-cc44-4413-b644-59ac61fa334b	0	0
b6b42fbd-0e8f-4c28-a8db-9cbc276fe046	16	1.33339999999999992
1b178218-51ed-4473-ad0f-add63b722aea	0	0
43b1cd52-d7ed-4483-8978-a61f5a509493	0	0
25ff1851-88bf-49f0-bb4f-30331fce38f8	0	0
906bd716-0f58-49fc-bdde-f3240938293f	0	0
cdc807b6-1e1e-4ca9-9b99-112c3f6fabd5	0	0
bdbb9d9c-3abb-4338-8d7e-9491830055f9	0	0
b151c397-2f8a-4397-a0a5-7ca9ff5a9153	0	0
648c6e85-3f97-42e3-9c08-83b83ecbdd3e	0	0
f75940c8-805c-440a-8866-91a2edaef452	0	0
ebf9ccf9-a319-4391-af15-9b9671f84612	0	0
92c6a646-d4a3-4cfc-a02a-cd2cf8dc8b82	0	0
661fc209-17ac-45d5-bab4-a5782e6dbaee	70	5.83362499999999962
20b85608-a727-4cd0-b0ed-b2db249528f5	0.594125249072381956	0.0495145632924837223
ceac6315-ffc4-4aea-a896-4d6bf8595815	0	0
a7c0d3c7-beaa-4ad5-997d-a1a7d79d2d3b	0	0
b0b150bd-44a2-4bf8-898e-115f3c15ae21	11.1837229437229446	0.932054576719576811
43339321-9b3e-4e3c-aed3-c8b7b94f8e67	0	0
381b43f6-bf38-439b-9c31-546aae0495a4	0	0
ffb7beda-dda0-4cbd-97c2-366fd6805d99	17.1436818181818182	1.42875920486111108
d3ce9261-6d7a-4d98-9361-7102d412e32a	0	0
a46aeb9d-cb29-4846-9bc6-cff6ddc3ad44	16	1.33344444444444443
0f0b5103-3422-4c4b-a2c7-bc82b0dc5cfb	0	0
20ae836d-07e8-48a8-a539-67a39825d05a	0	0
91270f9c-8b88-4555-a0fa-db0e5eddf73a	0	0
69fd511e-862e-45f2-925c-ae9bf477a7df	0	0
55259819-99ce-436a-9048-049fc3f100dd	0	0
494baedb-88bd-4765-a6f5-56323c55ffe5	0	0
580c75f2-03ae-4340-89a8-aeb2b027ae61	0	0
6220ffd4-fd55-444d-b26f-73d6890d7e9f	0	0
0166772e-8e2b-4ac7-a7c5-dae7f78e6abf	0	0
a76f0e97-e1c8-45b5-9349-d2982372c202	0	0
a6154fa8-53ca-427d-b867-aa3ddc153f0f	0	0
334577cc-9524-4873-ae10-13da00beab19	70	5.833819444444444
c8229d87-95d3-46cc-887a-01683fef349f	0.594125249072381956	0.0495167087447720353
8f0d51d6-82d9-4ad7-8692-2a3ff402734d	0	0
0c8d2bd6-2141-4e55-8aa2-2aebe7bde646	0	0
e2ffb399-455d-4e29-abd0-d385c2f96a70	11.1837229437229446	0.932094962385762393
7c98821e-22e3-4cc5-b3f5-2c4d43ff5081	0	0
b0bd1730-0774-401d-82cd-b3e67ac4a755	0	0
fcbbd2b3-6643-4803-ada9-b60ff390937b	17.1436818181818182	1.42882111260100997
21645631-c46a-4b1a-bee0-eaaa1060e58b	0	0
c48b949d-652e-4431-a9c2-44112a402eb0	16	1.33350222222222214
85a04af2-b341-45c0-ac8f-1ffa335a423a	0	0
d3fef210-1840-443a-900c-c51affa762f6	0	0
fc810221-3d4a-45f2-bfe8-200287a916d8	0	0
2e9fea8a-bb54-44a0-8be7-da4ca8c6c73c	0	0
f76b2ec7-21be-4395-a8ff-d5e103c876e0	0	0
ca4016bc-49d9-47f0-96da-8ed51f614f4b	0	0
2551cc11-5b94-414a-add0-40b0996bb62d	0	0
1d8b6d66-959e-4724-a0a1-2acd6426cf90	0	0
53b41501-7787-4963-8e85-382ab73f35cd	0	0
61d009b2-88a0-4aa2-a185-f593a88910ff	0	0
f3baa5f6-5d38-4f7b-849c-262953b12fac	0	0
f9ef234e-b51d-40cc-9e26-d5c501fc961b	70	5.83407222222222188
965a9c31-e5e3-4fc9-9cf8-2652bd25f80f	0.594125249072381956	0.0495059814833304565
006d28d6-6d52-4108-92c0-5985d90f11cc	0	0
954abde7-3f08-448e-bc47-94460c1bd061	0	0
bf7c1f05-abc6-4272-a9da-67b4939a00ae	11.1837229437229446	0.931893034054834146
0dd3f12f-d3b0-4566-8ab5-aec68a3f4011	0	0
782b455f-e29f-46a7-8173-db9d21d78a9a	0	0
35407e05-d083-444c-abda-0a723badc50f	17.1436818181818182	1.42851157390151529
ae5e5d2b-f34c-4ffc-92ee-83d771c9c6cb	0	0
baa41c5a-9584-4b47-8303-bad02848f4a5	16	1.33321333333333336
4cded696-83a3-44b8-8def-2465d707fcff	0	0
bf2913b4-8089-4296-8e61-562693884669	0	0
390c21f1-e188-4e2c-94ca-7230ce835d07	0	0
ad85ee6c-ef3a-4ba0-994e-05384d704ca9	0	0
d0b3dd9f-4f85-4e9e-85ae-1c968771f078	0	0
8ce6e044-5531-4be8-a8ea-ac1658aae954	0	0
b5798546-56cf-4fed-be2d-5600b7d7c377	0	0
31836bdf-4100-4ec7-a224-850078a88cc8	0	0
f4da76d8-391b-47ec-b7e1-da0ddb46ab47	0	0
a391ade0-537d-4c50-80e0-fd7db97a8251	0	0
62fea5e2-cdc2-4d3f-becc-b40e3a92c218	0	0
bd015e84-7411-4e2d-9d95-52e3f9aa6d88	70	5.83280833333333337
150aa039-a608-4784-804c-8698deb3fe69	0.594125249072381956	0.0495198444058088105
2248a5ea-abe6-440f-8595-88595310bfad	0	0
7229dcee-a10b-427b-b39e-ddf2476057b3	0	0
845b6456-23cd-415b-8332-4264663bb85c	11.1837229437229446	0.932153987590187638
6fd0e135-1851-4784-8511-e42b88d5e713	0	0
4fdb1709-f01e-43f8-aaff-4c02281e3dbd	0	0
6ac02dfe-0da6-4222-b9d7-04e433fd6e60	17.1436818181818182	1.42891159314393934
3fbf7037-cdb8-4310-9f0f-17edb4961df9	0	0
04887177-1673-41c7-9e21-2f9ae6e3df31	16	1.3335866666666667
d7f27843-a4eb-4616-b9d9-bf6c6d549b3b	0	0
1990571f-0848-4d44-a885-fe8147103b3d	0	0
8ed11d2f-4088-42a8-9d7f-26fa0855bd3b	0	0
a7bc14c1-a73f-458c-a9dc-1e45c70a6de3	0	0
04cbfebc-6f54-44a7-ab17-7088d320d0c6	0	0
117d0aba-8e79-45d3-b52a-8eead20047a2	0	0
ef475671-2ded-45ed-9937-067493c209ac	0	0
fb38afa4-4bf5-4aab-910a-9acad4397812	0	0
a62d684e-5223-46e4-9152-3d1d2b2b0b80	0	0
86259c1e-7ddd-4927-abdf-5132dbdda23a	0	0
ecca1c50-cedb-465e-8ea5-1ce368872b41	0	0
0d0b94c4-d9e7-4cd4-aaaa-0796fc9c7fe4	70	5.83444166666666675
f9678985-054f-4102-8fad-3d9cbd3f35d9	0.594125249072381956	0.0495140681881094877
f35c0519-8bc2-43c4-8ad3-e4d35eff6194	0	0
c4bc4c4b-5464-4c98-b666-97511c3014bb	0	0
88a5c97d-0919-4d3b-9288-bed4e37f77af	11.1837229437229446	0.932045256950456924
293cd498-87e1-4cae-ac04-76f98f6f8813	0	0
c6241d4b-5da5-44e0-8120-01ce0aec5727	0	0
2522fd6c-58bc-4b79-9f07-b65c2a4b9fc1	17.1436818181818182	1.42874491845959595
69a95a1c-6f26-4658-9588-7506ae27ca47	0	0
1bb1728d-bee2-4b6f-95e6-e0f1c57a2b75	16	1.33343111111111101
3c3db8df-63d6-4c77-926d-d7f8bdc0d830	0	0
fd51bf5b-bff8-4b4d-b63d-fdaa76401639	0	0
f8b97a00-3cf4-4ee8-b2cb-6a02d2169ec6	0	0
2bc9f554-113a-43b7-9b25-25b06a334980	0	0
3448112f-f629-403c-b7a5-b100568b6507	0	0
2822a631-df91-4103-9a14-a2cdb0eccbde	0	0
1e55c860-dcef-49ff-8970-a6c518a4b0f0	0	0
49788551-d808-4638-a6c6-5b3ad87ab1a7	0	0
687184cf-9d99-4801-93be-d77a8771b642	0	0
ab1971cf-15f8-4238-9aac-3503cdb69993	0	0
4b313691-4952-4850-b316-6a37587e24fc	0	0
83b1e49a-3331-428c-a06c-8d2b266e60b8	70	5.83376111111111051
fd6a591a-5956-4246-b979-bf8d1bbfe51c	0.594125249072381956	0.0495137381185266762
19196a2c-dd7f-4746-b508-a6f821b26312	0	0
a51f2a55-347e-4f32-9c4d-d5fce324a603	0	0
5ff6489f-a86d-4ef2-b38c-f7d2cbb0313e	11.1837229437229446	0.932039043771043851
d48a50ca-b599-4d49-a3ee-7520934c63b5	0	0
29e0c84f-60cb-485d-9808-e3116b083020	0	0
6c01d8b9-5af6-4fec-8c63-b68480aa7be6	17.1436818181818182	1.42873539419191919
9e7e61b7-ae28-4c2f-8727-672998abb98d	0	0
4a493e14-8bda-4e9d-89a3-ad385df395c5	16	1.33342222222222229
573a4080-aa0d-442f-a76d-42b893a36855	0	0
e3bc558f-6e98-49a9-9613-dfa579e2c791	0	0
34a8aef9-0eb6-4de1-9068-b6f54f2aa352	0	0
f34c8457-725f-475b-b150-6e7d07257735	0	0
8aec3704-1c8d-4c7a-9bd3-7610ce342818	0	0
0737f022-3c8f-4e8f-89d1-3e51697da640	0	0
c9955931-3adc-4b21-b60b-d6bc536f4f26	0	0
014aae7a-05d9-4bf5-ac55-8eba829c0ba4	0	0
123ed45f-45ec-4b1c-9c90-55116f380018	0	0
9d7577fa-6d48-4c1c-b823-7f459b777479	0	0
fe9cee19-dd69-4502-8547-b0ab876c0d8f	0	0
c55df068-9537-4616-a57c-302064829d3c	70	5.8337222222222227
17f0d5a1-8a56-4691-9059-4274c003aa12	0.594125249072381956	0.0495153884664407615
803fbbc4-2919-4afb-b7f5-976f2fcc393c	0	0
a046f5d4-c2d3-42ac-979b-c329bed1cf62	0	0
843d16aa-8b71-4dfe-bbb7-430ff3a47e30	11.1837229437229446	0.932070109668109659
a882f2e0-ba4c-48e0-bcc0-e31696dfa0ed	0	0
4cb7ab36-a0be-4217-9d9b-2f402774c3ba	0	0
05ea82b9-608a-45bc-9bb7-69ad8c46a149	17.1436818181818182	1.42878301553030296
89c95951-ab03-415a-81f1-11b14ebcf2d1	0	0
3402e110-730e-4581-84b2-078f6d058d6a	16	1.33346666666666658
ac8ea4cb-c061-469c-85a2-3ea298c08f2f	0	0
e6d59596-3f8f-47ce-b0f6-501d5d29a02c	0	0
61eb832f-e157-422f-9b1d-f602642d1168	0	0
b5e12c07-789c-484f-a23d-10a0c086f6c4	0	0
a927fed1-9e2e-4a05-96eb-f385e1a23ac9	0	0
60d6bda4-528e-4ac8-806b-e4fb21202757	0	0
1960919a-3ef0-48bc-b8e3-5e991ba90192	0	0
4c3ff1ac-e2ee-4c05-9fdf-8ed083d79527	0	0
737f47f4-4efb-4589-89c5-1f335ee76736	0	0
fe7039a7-a418-4622-9e18-9820dff84767	0	0
00bb6493-eaa2-4ad3-8712-9ed89bdb2ada	0	0
1dbafdd5-c522-4136-bb93-0aad234bcb1c	70	5.8339166666666662
2b162ade-abdc-40e6-b462-4f0f43204310	0.594125249072381956	0.0495125828749868185
dd2ecf0a-2f44-4b88-b2e3-ef4cb7dfa0fd	0	0
83040280-87a9-46b8-9c57-dacc944324ea	0	0
0161a3ac-96f4-4b93-9209-adc5aa7dcf54	11.1837229437229446	0.93201729764309782
67eeedb7-4f98-4c8c-aa57-e83455276897	0	0
194e7efb-b4db-42d5-893e-0380bc499fec	0	0
f68ab428-c0c8-40ac-a44e-5db2656ac127	17.1436818181818182	1.42870205925505056
85b54ff8-0544-4dfd-a3c5-81a9785fa54b	0	0
91091211-72eb-4c68-b27b-435c2983bb53	16	1.33339111111111119
c10efa65-d062-477d-ab47-210f62748e1b	0	0
09f1d542-d129-4cad-b461-3a9d330b9f6b	0	0
c50a73f3-fd65-4338-8136-075a01beb95d	0	0
a505370d-8d87-4316-abd4-413f326ca6a9	0	0
7f466132-df65-423c-87dd-173bf6931d26	0	0
6e4de06a-0b4a-4c26-a98c-7d32b290606d	0	0
0e08459b-7b93-4642-9487-bc75460ef505	0	0
8d022cba-f709-4272-8f99-452518a7276b	0	0
75948944-6952-493f-9bdd-2ecf20442964	0	0
e19e8124-8fa1-467c-bb68-60c6fcac459a	0	0
001a30b1-95c6-4adb-bcc1-68b387e45d5a	0	0
c76892be-5e34-4fc1-8908-8c45f971592f	70	5.8335861111111118
89334675-e2a8-40c8-8a6b-5b5da3895e03	0.594125249072381956	0.04951505839685795
684d8849-e83d-4d0e-a3eb-b3cd89ec0524	0	0
a1b3eeae-d6a9-4e1f-80bf-5fa84798e512	0	0
6989b7fd-a6a7-48ce-bbc5-c04b27091d90	11.1837229437229446	0.932063896488696586
bcafbeac-b7df-4418-9bfd-c8566bf94b14	0	0
6af1f741-90c6-4b14-b769-c766f9bbbff8	0	0
aa3f4086-ba0a-4205-8e20-a96bd6c5da6c	17.1436818181818182	1.42877349126262643
3b06e14e-8403-4d15-b0ef-cf922eb2640d	0	0
5a74474b-90fe-4159-bbc8-d81f81c7ff1d	16	1.33345777777777785
497ae686-f600-4028-8c81-98fddc4fb23e	0	0
ec317fc3-f97f-4b60-819c-be04db2c0d32	0	0
ffe26043-4091-4ed4-9268-6401e05057a8	0	0
5334365a-279c-4924-b944-d2dbd2c2394a	0	0
dbf9b991-a2a6-47cf-aa21-0574e767a6eb	0	0
6d9dd207-f2a4-427a-9f22-e77fa953d38e	0	0
614a9316-5409-456f-96b7-5332f8e77db1	0	0
b2b8861d-c8b8-439d-a98c-ddf76b14d64a	0	0
0455ea11-bc80-4eed-86fa-664a90860252	0	0
1584fefb-2330-435d-b8b6-8f2e64f07b25	0	0
d45a9691-2e44-4401-88a1-cf1a6a46570c	0	0
aa8a00de-84bb-4ad4-b3b6-d955f0f2f0a8	70	5.83387777777777838
bd6122fe-ac17-4d41-bd7c-ee9b95094e72	0.594125249072381956	0.0495130779793610393
56343055-6571-4af1-9717-4a2a5635e941	0	0
a74d0dbf-489f-49ff-9d7b-1d20fdc44a93	0	0
f709534f-f750-47b4-ad68-0086a0a313d6	11.1837229437229446	0.932026617412217484
b8e0f207-a9f9-41c6-babe-f47597ea7509	0	0
29f747d8-705d-4c08-abf5-4b6d547d8c78	0	0
f1f48658-7ba9-44e9-9fc0-81515ed0254a	17.1436818181818182	1.42871634565656569
c4c4d3b9-7ba8-41ba-9d8b-6d6ad2040988	0	0
8f38262f-0ce1-4a2c-8848-321753279f62	16	1.33340444444444439
93ef06a4-79ba-49a0-91e1-cce85c170e48	0	0
db25842b-64f7-43a2-af2c-80435620c44a	0	0
369906c9-c273-4990-98f6-6ad916b60c41	0	0
d4c8203d-bb86-4ceb-8df2-1c77781a364e	0	0
f238aa99-6df2-4f2e-ac89-e03e51c7c5f7	0	0
2b06898d-9ce6-4928-93e1-b3438975a15b	0	0
7e4ef9f4-b566-4866-9d15-f235c7c19b2f	0	0
06279c2f-eae6-4c19-9d56-be63d6a285ac	0	0
c7f20e2d-c570-46a6-b012-a4a6d8defcc9	0	0
8791be68-1fb4-4b2a-9fe4-01d026f10ac6	0	0
5d5bcacf-d8dc-49aa-987c-5a7f4ae50792	0	0
69b84df9-c565-45ca-b54d-4ea500672def	70	5.83364444444444441
b9089c66-f4be-4ff3-a3d3-0017e5c22b67	0.594125249072381956	0.0495124178401954093
d8da6f88-0ca3-4885-af11-652439dd1ac2	0	0
520957d1-80a8-437c-ae6f-b3482c429ce8	0	0
2dd5a27d-48ef-4e4e-a724-7c7c9f70e912	11.1837229437229446	0.932014191053391117
0cea13eb-fad2-4867-9473-5b9e33650937	0	0
9c45f6c0-6cb7-4baf-8c39-4328d1d273e6	0	0
b7d96f76-2552-46d8-9a9c-d78513436fad	17.1436818181818182	1.42869729712121218
4c53ad5e-155e-4158-856d-92537bdf5f73	0	0
fc6561e6-6842-4dc2-941f-fcce8070c80e	16	1.33338666666666672
5898a62f-2ca0-492c-bc48-af8c99ae9e81	0	0
21cadc29-6033-4d5c-9d63-24b75f233bc8	0	0
905a6b11-5b80-41be-982d-965d66960c7b	0	0
e0d37a4c-c154-444c-8903-d6c3d51aefed	0	0
f3fe9a69-f339-4a31-b7fe-cb6f66ccd9e4	0	0
4cbb794d-21ee-4f3f-944d-5a195fcc54e0	0	0
b50f5aab-cf3a-46bb-83c9-dc3d79d3f7cc	0	0
432dc2d4-6e5f-4fbc-b783-5437866e1f55	0	0
880671ee-a3b1-4e06-af57-8ab635873a85	0	0
229fff1d-1918-4ea9-8972-31fc189fae11	0	0
c830d2d2-dce1-4ad1-88fb-0c698c339431	0	0
215618ee-6261-4cce-8501-a17484335c1c	70	5.83356666666666701
1f7bc508-dbc5-4609-ba97-4a492270c47a	0.594125249072381956	0.0495139031533180854
246b26a9-fad5-4786-8403-ee6a39323b62	0	0
6a573ee3-8bda-4126-9f3a-c6ed3a449d15	0	0
dac6f112-d795-4e75-aae0-7f44aa3f2054	11.1837229437229446	0.932042150360750554
fe080563-dc3f-48fd-a7b3-1ac7519cb310	0	0
febb2ce4-c354-4228-a7c9-f4b276f589f0	0	0
ad31feec-cdbd-4e31-8e10-0e361a66b1e5	17.1436818181818182	1.42874015632575757
d4056005-9ad3-42af-b1bb-b79629278882	0	0
9fa3f232-8dca-4115-94d0-5bfa13feeb02	16	1.33342666666666676
efd95a76-5963-4d57-9a34-75f8bfa2d22a	0	0
3e165fa6-bd09-4430-9d1b-610a0d36856b	0	0
e8588155-5411-4a49-a551-0b9f6ef24201	0	0
07ca0062-4a8e-4f45-889d-74e4e2246d27	0	0
5bcb942a-e66a-4e27-8233-fa7a28107b54	0	0
69905ff9-c768-477f-a93b-0b1d7ccdaf57	0	0
7640c54a-84cb-46fc-a869-66455d07b442	0	0
1215f68d-9db3-429e-b28b-68c98808e123	0	0
a7f2f3c5-9429-4bfb-a325-5b8bf9c1b56e	0	0
d2edf53e-05e0-42a6-be73-90b2a76dca3e	0	0
0b8c07fa-4d94-4ce8-ae79-c88269354fac	0	0
c7eb7a7d-3a0c-4ffd-aed0-0a71bcfff8ff	70	5.83374166666666749
84323603-0e33-4365-b4cb-18cfc9f3898e	0.594125249072381956	0.0495139031533180854
8d3e1d42-e5b3-4651-977f-b91934a9ad05	0	0
d6774367-6bc4-4679-a12c-ce516eb363ad	0	0
288112f1-d06d-4603-bf24-304c2c7c3e63	11.1837229437229446	0.932042150360750554
22df692f-73f3-4603-bec8-d548d71af885	0	0
cbb560ba-d263-4f4a-b9f6-6a3322ae6c3f	0	0
5bcec99e-df40-4d6b-ac23-10e5f59c53fc	17.1436818181818182	1.42874015632575757
de3b5af3-c699-4d77-a55b-becbcf50d028	0	0
7d9131ed-6b66-4b1d-a390-9be3a6ea952f	16	1.33342666666666676
f36823db-1e05-474d-ac85-485d234f3c59	0	0
3be22bde-6009-4e77-a2cb-166dd73e6edc	0	0
be1b7e5d-fe29-4c95-85d1-4d47e831899c	0	0
b8ccb457-2f7d-4b53-8cbe-26653824b199	0	0
f7414897-3cdb-465a-b063-afa265197f6c	0	0
d7d3bbe2-bbb7-443f-8a3f-521e47d3f4b1	0	0
8774588c-6d0c-4003-aff8-97985d041ba5	0	0
3d1167c2-f29d-4a01-bbbc-1b8f4a72ebf1	0	0
e085f04a-7023-4be2-9c35-5ba7b28790d3	0	0
bef5fff8-0be7-4d56-ab0c-c35e2de839bc	0	0
6db1b4c1-410a-4816-ba78-9aaeb7e079a9	0	0
a21e02b7-afdc-4c58-a675-56ddac74c6bd	70	5.83374166666666749
f29b328e-7b60-4043-9185-f12755feffbb	0.594125249072381956	0.0495124178401954093
628a20eb-f87b-4a23-80c0-b15dd687d4a4	0	0
652be387-6704-4136-a13b-95ba21b79a64	0	0
f3d89d06-73d8-45ff-9aab-78a16a02a621	11.1837229437229446	0.932014191053391117
2fe22955-b676-4b8f-a76e-bb3f8be04bf6	0	0
02973586-b3e3-44d4-9780-a20eabe9bd2f	0	0
5e87141d-ce32-4997-b6c4-a5bd7678e670	17.1436818181818182	1.42869729712121218
2cd7ccb6-4e4d-4345-9efc-aa7e3ee5f228	0	0
fe3c303f-42fe-4668-a26a-b80c364857be	16	1.33338666666666672
83c2f2b6-4b9e-4ce8-ba85-63adaa51344f	0	0
dd4b4097-eeaa-4447-a5e0-e79e44bcbe36	0	0
9585a000-5efa-4e6b-9918-8aed885069b6	0	0
87612393-0fad-4c01-913b-cd2abf27fbbc	0	0
787d0dc8-1c7c-4ae7-8252-89a942503d03	0	0
4e777f7d-fb78-4dc2-84c9-003f5be34628	0	0
f627d2b3-82eb-47df-ac05-7b16cf9cb70c	0	0
b12a39b2-b0a6-4d6b-8df2-8532631cff4a	0	0
2cd102ee-67c3-4a38-bf8f-512eee1b2949	0	0
fa76f331-29d6-4bee-a00c-e62871a65b64	0	0
b583c965-c9ed-41ed-803f-f60acecbd65c	0	0
d692a6e6-df6b-48ef-a155-c948bf20bcd1	70	5.83356666666666701
c653a5d3-589c-4268-be51-42d743fc9d17	0.594125249072381956	0.0495176989535204976
80c6fe66-fc70-4175-bcc0-dff3b169f7ff	0	0
3b3b762a-dc97-4502-8980-3feb02f43354	0	0
782951de-4488-49c1-92e5-455063619328	11.1837229437229446	0.932113601924002055
b8d4f8f7-6534-4452-b95d-33d78a3ca016	0	0
c0afb305-d59a-400d-872b-8fdf7e9dcdff	0	0
cd6f699e-d2db-4a86-b218-1bd169ec7127	17.1436818181818182	1.42884968540404045
94a91c93-fb81-4dc8-9c46-5b764d84f371	0	0
2916a6a0-c0d9-41bc-8215-2aa1f9d51d24	16	1.33352888888888899
ee1026f0-63b5-4269-8612-2a9f1579dceb	0	0
299dc40b-508e-45f5-92a3-e4ddb85db62e	0	0
e109a33f-472f-4ea7-bf9e-31634228020f	0	0
9c0b5d0a-946d-4ed9-84b6-219d56a20cdb	0	0
86f24f97-cd8b-4958-9245-d7f4eab8087a	0	0
a30fceb2-e3fb-44e9-a7cc-910f19d6fed3	0	0
e58d84f0-11b6-4c5b-98f0-5b54faf6d12a	0	0
66ca4245-ec12-43ab-ad97-9e6c31f3a169	0	0
d0daa507-ab34-4203-b8bb-90edc3e92353	0	0
48507cbd-b59f-4506-8ee9-6acb4f8c1539	0	0
839c2008-ffb8-4708-a263-6a07fcd38686	0	0
d4b81313-c6c4-4c18-b610-53dc6e71f3fe	70	5.83418888888888887
62f1786a-8985-4f9f-a6f6-d24484e292dc	0.594125249072381956	0.0495068066572874957
050cf221-4f16-4e36-95a4-e0f12f000533	0	0
92a9aaf5-9e49-4b7d-bda0-4da96dcca0f1	0	0
a300d9b5-29d0-4990-a01c-b1d2c12d9ce0	11.1837229437229446	0.931908567003366994
00a79058-7184-4a4b-ae86-423ee1c19315	0	0
ea88c066-fdd7-469c-9c70-3fa97e8b23d4	0	0
c797e882-2c10-4689-9fc4-bf4f86d5c478	17.1436818181818182	1.42853538457070695
fbc17e1f-3484-4c7c-826b-1bcdc3ad9449	0	0
0582dc93-99ae-48f4-ad1a-c93cbec0c2f4	16	1.33323555555555551
9b446254-ccdb-40f7-8add-26b9e6e93911	0	0
e9889774-a942-414a-bf3f-6c17d4da1a29	0	0
a28bb529-a83d-45bc-b4eb-1098622c7742	0	0
95c32a28-63de-4d2f-a59f-1331f023e50d	0	0
ce994ee4-a1cf-4381-adf8-e73d4c67e56a	0	0
7cc647cb-17f7-43d0-8b13-edd18927815e	0	0
daa4ba9a-2008-4141-8749-01b1c5f9f753	0	0
c098c485-285e-4104-afc5-46f76a3ae47d	0	0
d7d39f10-8654-416d-bb20-a6249ff5eb62	0	0
bf2ee262-85fa-4811-87f2-cae93a66ca1d	0	0
6155854b-2e60-4650-921d-385b7b9fb564	0	0
ab1d4a96-f97d-4236-adac-aea468c1ba45	70	5.83290555555555557
d1afa755-db2a-41c6-b91d-cb48dea67c75	0.594125249072381956	0.0495196793710174013
c420896a-737f-459c-bc4a-e2bdb6f16b9b	0	0
c62299a5-216e-4d07-bf79-beb66b653fbc	0	0
4cf3d338-3f4a-4dee-8878-5f849a39083b	11.1837229437229446	0.932150881000481046
3d270144-dd19-4a97-abb6-6a50d2270979	0	0
fbb98b3c-8e1c-4bf9-a475-01b2f384e1f1	0	0
6b9c7c64-ce19-40df-aab5-4c05a0b38834	17.1436818181818182	1.42890683101010096
29be0ed4-1deb-4964-ba04-538ccda78d7e	0	0
ffa98526-6c23-41ea-a6cd-bed41b541eb1	16	1.33358222222222222
134c9a5e-2e83-46ec-9ff4-3ace127a7fc8	0	0
2f1e40ad-fae5-4f54-9068-1f07deea6f1a	0	0
086aff93-f3d9-4e67-b237-79f7982885fd	0	0
9dbef146-d726-456a-b613-dcd3ee2ff530	0	0
ccfd2278-d9f6-4c76-af2f-1126bf6ab852	0	0
32d1c0d8-54e6-4d67-8436-53435eb7093a	0	0
6a44cada-d8b8-4550-8808-f88a41d756d3	0	0
73036aef-8f39-4c0d-bda0-2af5cbed2113	0	0
9e798bdf-708e-4be6-a256-0d4d9ce9ce96	0	0
9c1cdda2-b266-4f5e-928a-60ad6160580c	0	0
5540aa49-072e-4d86-b63c-b11fecd3561a	0	0
2534824f-9421-4308-be4d-10b17230998d	70	5.83442222222222195
8f33ff94-cdf3-451b-92e0-e98280975ad2	0.594125249072381956	0.049511427631446954
a7e59cdd-959f-4e8f-82a8-e568eed16c6a	0	0
6dcf3ea7-f0f4-4775-a2d7-52e6ae527d51	0	0
0e34b47b-1656-4ace-8691-d2bca06e0160	11.1837229437229446	0.931995551515151677
72f11aba-8ecc-4977-908a-6736be64d79f	0	0
2ac61f26-9f00-47af-b829-5e1a0afcad8f	0	0
3971f404-9b7d-4310-a5c6-2c0419b8548e	17.1436818181818182	1.42866872431818193
40285108-63a8-47be-9674-b2e400d7006f	0	0
34b1e86e-1621-4fe9-9914-766717ec3711	16	1.3333600000000001
e9ca894d-ad21-4331-add2-6137aa81f285	0	0
6efd376c-279f-455f-878d-3f4b2c62ac37	0	0
e9495887-6a22-449a-8245-dfad0952f395	0	0
c30282d6-08c9-4e97-9c92-063ce0ddaf8a	0	0
8cb1b999-257c-41d7-ba39-b16c724fb333	0	0
15043213-b629-49b3-8367-7e27ef9afc15	0	0
65efe8eb-7d25-40d5-a371-06a4224f19fb	0	0
d6a744ee-2f24-4abb-b9a1-a1ac87c69d29	0	0
695e41ee-fdb9-4346-a81a-ee177a9a5e07	0	0
4017666b-d4bb-46be-b426-e90a95039cc4	0	0
5ba85de7-6eb0-4662-b232-617e3fce328c	0	0
be94d3a2-2d8e-4d21-8a1d-0103164e127a	70	5.83345000000000002
0f6e64bd-e863-4f37-aeea-431315285df2	0.594125249072381956	0.0495124178401954093
9075cade-6a41-40d4-9897-c01faf0d58dc	0	0
a2b330dc-9445-4223-822d-65cb44c53f6c	0	0
b79352ab-52bd-4a41-98e9-8b5d93a25b95	11.1837229437229446	0.932014191053391117
6be0fa31-a212-4cc9-af31-7c0878f71787	0	0
2a0718b6-d7a2-4c81-8706-64d7a486957d	0	0
fd4afbed-fa38-4009-bb99-21d9f98d6e47	17.1436818181818182	1.42869729712121218
38d2daef-7f26-49ba-a2c9-59ec9a1e04c9	0	0
f0d61225-cb87-4131-9c4b-71c7ba4a7ed1	16	1.33338666666666672
84b5477e-aa0f-4a63-b05a-bd572a5c174f	0	0
134f2779-5bf2-4c36-a70e-ae6e08bd2fab	0	0
d5af74e5-795f-48f0-bc59-13d9587be72a	0	0
11a7a2a4-b4c1-4a4f-88c8-3005d4780af2	0	0
7131bc20-52a0-4e23-8bfc-09821d55ce16	0	0
f38419d4-f39b-4d50-b500-96fae338b734	0	0
84168766-8059-452d-a9bf-e19d34408330	0	0
a76a1f4e-27c8-4834-8695-c57b5f249004	0	0
cf10a040-c043-47aa-b3d5-618d7b6aa700	0	0
3eec806c-12ec-4502-9ad3-f875362a84ae	0	0
39dd0780-f461-4cca-a3bc-c3618084f43e	0	0
152ad71a-f9e0-4c09-bf39-62d653d16465	70	5.83356666666666701
a27eb68f-1c8c-40b6-840b-257ca22181ca	0.594125249072381956	0.04951505839685795
c5d1f87d-9521-4825-b7a5-39e4dc35059a	0	0
a45001d4-908a-44e1-afd1-201b9a9df2db	0	0
9395ee56-2edd-4d1c-bdf2-ba35d367037c	11.1837229437229446	0.932063896488696586
908b1b70-c49c-4b80-9ddf-1083bf842a1e	0	0
b658f9d7-86a3-4f40-9c51-5de6531e5b7c	0	0
d378448c-8638-40ea-98d6-2b2b574e2dda	17.1436818181818182	1.42877349126262643
b4d77e7a-8061-4aa5-92c1-f49dde5c5043	0	0
b071c191-5528-404d-8973-057369400f22	16	1.33345777777777785
cee7a439-ec6c-4416-8b58-0b16fc9d45c3	0	0
a79060ac-7e12-49b9-9f83-d051cc11a305	0	0
9d8117c0-fd0e-4237-b507-313c8299492d	0	0
e8380d72-e323-4887-91da-59d2c3825cd3	0	0
e21a4d23-d65a-4686-a97f-69720381008d	0	0
0f6cca51-0247-4020-b777-b33215724201	0	0
a4dffdfb-253b-4f01-87b8-fb79ce5ba133	0	0
1c1f8f4a-823b-46ce-b233-0f2f3e3efebc	0	0
b87096a2-15b8-4264-b8d4-9e023817f7fb	0	0
b55e4a9a-beaa-44da-ae3b-cacb77decee0	0	0
eceada39-997c-4914-b63c-62d9c06f9c3d	0	0
b83f99d9-5929-4ec0-90ef-76de6ca85c2c	70	5.83387777777777838
096976b7-80d6-4bb4-b83b-655234478ae4	0.594125249072381956	0.04951505839685795
f0ab3e60-6985-401d-b666-cb475e3996d7	0	0
d4da0f25-4cb5-4435-ba19-154ff4f76295	0	0
af50b215-aab7-4001-b1fe-c64340a38475	11.1837229437229446	0.932063896488696586
1baf0571-4052-46e8-9783-c267875cd5e3	0	0
ce0eb65c-720c-4add-9b29-faa34bcf1af8	0	0
9df92449-36de-4956-8af2-61bb6d8e5c8f	17.1436818181818182	1.42877349126262643
4ee75fcc-81be-4ccf-abd7-64d7e41f1712	0	0
116ee221-6bac-4c36-95fe-998963b63e32	16	1.33345777777777785
81256a6d-9663-4e8b-82d5-153c1ae0db69	0	0
09d35a2b-f2f5-43d6-91ea-5274152532f9	0	0
2e22a1ad-e3a6-4731-a48e-517251130a61	0	0
cd57880e-dbbc-4a48-b9b3-17838d296d45	0	0
825e5a33-c99d-44ab-9080-704a3e63cae1	0	0
bcb532a0-adaa-4f1f-970c-c0f4bb2e67c7	0	0
50c7f1ee-b65e-44b4-9ae9-be4081ea7b31	0	0
624ca818-a2a4-4398-b959-d7dc40deb5ab	0	0
660c74f9-05a0-42f0-83a4-b10655c93df3	0	0
5a4b233b-e84e-49a6-9429-c949b3122a9b	0	0
1240c01a-72ba-4698-8eb5-5a78ab1de9ce	0	0
db2d9c32-ebba-4c43-a3ab-4ebd1ea49741	70	5.83387777777777838
828e0274-b6ef-4729-8013-b2981a478d89	0.594125249072381956	0.0495089521095758225
82bfd6d6-441a-447c-b383-cf25aebdacc0	0	0
9d4d89be-43a3-44a6-bfd0-6016a4666dc3	0	0
7dc20fb2-5a94-4e8a-96b0-53029677de3e	11.1837229437229446	0.931948952669552799
077d071c-3fee-41e3-b4c0-536c152cfd27	0	0
365f7375-2a59-4c3e-90a5-5fb916ff66c0	0	0
454b1cff-d1fa-469d-b86b-73ae710e0de4	17.1436818181818182	1.42859729231060628
2a996245-67f0-4e8c-8d81-d3e42a459cf1	0	0
f9760dcc-c4ad-4963-ac89-4bfc393c3c65	16	1.33329333333333344
8c652f7a-5295-4695-ba7f-41ee2ce2eba4	0	0
d38fff60-1ae0-44b3-82db-1ec5ab96863e	0	0
c7b47144-be43-47ab-89f2-2601c0ac4ebb	0	0
65543ab3-22bb-4160-a782-03683dcd6ae4	0	0
e70f85b8-114f-4ff9-8329-57560f155963	0	0
ff020094-73c7-4e2e-a52d-3d01b70bb38e	0	0
90847343-8e51-4b9c-851f-242af8441f18	0	0
2fdd74fe-e2ec-4d63-9aee-c469ab518fb0	0	0
c5fa37d8-089b-4e42-a25c-8da9d1c9e259	0	0
2e50ff79-b817-4ad2-bccd-986a645bb321	0	0
612df7d7-ee55-47fd-a152-55e312db9fb7	0	0
13c9e9e1-1dba-4c01-90f4-baed096511b0	70	5.83315833333333345
f1e93439-d377-4aa1-a3aa-0ee73e382ca9	0.594125249072381956	0.0495209996493486751
e93a5a6d-6b29-47c4-a61e-55374164b251	0	0
fe525caf-9222-4f46-8ea8-b6f2b1b9021e	0	0
d93cd145-e8fe-40ea-bd8e-4c05ad09829a	11.1837229437229446	0.932175733718133781
f486af8a-7a60-407d-bfa3-a14b82ea2ef5	0	0
7b10335c-4a40-45c0-944c-5a01942dd8c9	0	0
4c8de6f1-b643-4fa7-8b0e-1f3f6ca16f4a	17.1436818181818182	1.4289449280808082
3f56f196-fd88-46a1-949b-1532a360ccb3	0	0
abad4065-7750-4d4c-91c4-88df7219f7b0	16	1.33361777777777779
aa3f7af7-957b-4f51-9504-b74eb55e1037	0	0
b8a4834c-9c10-4957-b725-0c373c5cdce7	0	0
b0bfb905-ea7a-47a5-8aa9-51f646400e2a	0	0
42a8f4a7-bfd8-4687-9bcf-8d7bb3604be3	0	0
2a73efb1-1759-4365-97fe-ca1ddc5967fd	0	0
763e6d2e-60b0-4887-ba08-1c25d3d60f65	0	0
6361fb08-69a5-426d-a9a0-0bb399ac52ed	0	0
dc022f1e-142b-4edd-b4c5-71fcbfb9d77e	0	0
94dde146-d7a6-49af-b3f8-0672c56d8a87	0	0
f58e11fa-eb4d-4ff9-9ea1-eb7834cd8e17	0	0
2c21f0e6-9dd9-4fa8-92b9-4794524bb0d9	0	0
364b1119-f9b2-4898-bd6a-918726b05e6b	70	5.83457777777777764
fdecd5ca-53b0-4a87-afce-de5f412d1996	0.594125249072381956	0.0495122528054039931
db193c14-19bd-46ea-bdc8-9511b71c455f	0	0
9a2b4e90-791f-4af0-8e98-503c235d029e	0	0
8b774dcd-af00-416f-bb1d-d891a0b30879	11.1837229437229446	0.932011084463684525
7c7a1c89-0d70-483b-9e29-1518abb4d6e5	0	0
c97bf8ce-7b14-432d-aae3-ffa492ef9c01	0	0
08c1665f-bca3-4d98-b514-4c4ec25d7c09	17.1436818181818182	1.42869253498737381
659b0017-21c8-459e-aee4-fc047aea84a6	0	0
5bc10056-cd76-44aa-8426-37c286141fa8	16	1.33338222222222225
7ccc389a-9744-481e-8137-074a35a3fac9	0	0
1dcdc674-d2c8-4429-bf27-e11ea6b2a52e	0	0
2317fc44-7655-4a03-8751-fedfda39a511	0	0
5ea66e83-b8d5-4980-aaa6-ef06d159b4d6	0	0
46f8b1d6-eefe-4b19-904f-ee6b15154242	0	0
8345f999-db89-4a0f-b20d-9ea630ac365a	0	0
54e9ad62-6a6c-4af2-9dbd-ddf52a50ed76	0	0
3050e804-81fb-4a21-8ad9-98fa7963cad1	0	0
2babcd92-11e3-44a7-953b-da699b1b189b	0	0
19a41eaf-5203-4c2b-885b-884139141350	0	0
34585480-4811-44e9-b7aa-516b19863eb1	0	0
f3187cca-6b48-4a30-b506-aeaf2ba17dae	70	5.83354722222222222
af27cb3f-4508-4c75-85a6-19c1f19d7c85	0.594125249072381956	0.0495139031533180854
5752c051-d684-4b20-af84-3c0fff60c5f8	0	0
71b5a5c7-d3c7-4399-9f38-e10e5eed52d1	0	0
ae2c3ba6-559e-44c1-b42c-076623e92f8c	11.1837229437229446	0.932042150360750554
fbd1bb5e-a07e-4820-96cd-e5136a48db31	0	0
51f02516-6608-4b2c-887c-f8f2433f400c	0	0
c918e0c1-447c-49f9-a3e2-2b77d3118124	17.1436818181818182	1.42874015632575757
e0b3a4dd-4da5-483c-bd8d-0a29b5136afc	0	0
c137ef7e-8700-4f84-ad49-7e0fa18766ae	16	1.33342666666666676
8170d593-5c90-490f-b451-5b5fc5d78a18	0	0
e4e35a34-bb97-4b62-8c91-d3f7e726efcd	0	0
146daab6-36be-4a6a-9e14-fe9684c386d5	0	0
1566a711-c217-4331-8423-fb44173843c8	0	0
f1947640-36b2-42f5-981d-6966362c1276	0	0
be2df56a-490e-447e-a51e-dcb30cf5fabc	0	0
eae2a9e5-47e0-4b17-a344-7eba848ce87d	0	0
f21b25da-0365-4003-8c99-2675646f030d	0	0
25233881-155b-426b-8230-342bbea93fbc	0	0
39c6d993-7e4e-4fb3-9174-befade95f37b	0	0
7aa1cdd1-104a-4c4c-87df-a6710c438b25	0	0
5c497e57-3580-437f-a043-126b14b102eb	70	5.83374166666666749
4ec905e5-2e1a-4cc6-8ef4-d37e6e13b55e	0.594125249072381956	0.0495120877706125839
92abcdf4-1c81-4f0f-842f-87662b804c64	0	0
f61a99ed-10e9-4b7b-a7db-c2df09fa9332	0	0
a7dd402e-47f9-48dd-ab29-75ec9800e380	11.1837229437229446	0.932007977873977933
27597e36-4ac9-43e5-aa7c-2041803f2fb0	0	0
ba0c7680-37f9-4b0d-acb0-82243d38753a	0	0
47927260-898e-4608-a359-f62fbc60bee2	17.1436818181818182	1.42868777285353543
48621a3b-804c-415b-a9fe-d9a54851f9e0	0	0
f3cbc033-975f-4d4c-9b1a-5c9bc6bcf452	16	1.33337777777777777
e243de0a-3be2-4221-805c-c417cbe1fe2f	0	0
69064fc7-8ee9-4078-8619-21b016a27b68	0	0
9bdbb0a4-cf4f-454f-b427-491cda325141	0	0
83b44a83-05b4-411f-b6d8-dc99e6ecde52	0	0
3904e5b0-c9b7-44eb-921a-a68d57fc393b	0	0
a33a069f-9de7-45be-b1c8-01b58b7a1047	0	0
60991c7d-5575-4c49-8966-567422b30fce	0	0
8d514f15-f310-4a05-a7eb-a984a40a1f63	0	0
9bd516c5-2fa1-4840-9a8a-d4adf2985172	0	0
80a414d5-1436-402c-a3f1-04db7e14bb5d	0	0
6df6f000-ad07-4ba7-ba26-75f01fba0164	0	0
81fd300e-0c80-4f5c-96f1-0f95a5c7cd39	70	5.83352777777777742
dda013ff-14c5-46ee-bdb8-66ac236b7ca0	0.594125249072381956	0.0495163786751892238
afdcdda1-38cd-4bfa-87f5-cf4e4d854aba	0	0
5766c12d-0aff-4a83-a8fe-ea45109224b9	0	0
f2ad85a4-38b4-4542-9969-6bf9dc99fdce	11.1837229437229446	0.932088749206349321
0988152e-2323-49b7-90c3-08c5fe8c2f89	0	0
840550fd-0c91-4e04-97d8-43ab94d2927c	0	0
08198f34-db05-4562-b857-fd09b0bb1ce3	17.1436818181818182	1.42881158833333344
c8f9d45f-6bee-4488-ac78-5a54d5a18df0	0	0
352a3567-36ee-441c-8374-6b27db787cad	16	1.33349333333333342
e3544aff-8e0b-40a8-b7cb-ce79a66f86db	0	0
5282dfd7-ec56-4b90-ac4d-1024461a419f	0	0
75c595c7-dde7-4fe3-8076-207cac4331dd	0	0
50c14661-ff3b-4661-99dd-b87fb6b59352	0	0
03d86a59-44a5-4fa6-9b04-888b7e227626	0	0
1d0ef605-fb90-43c0-8d95-b90e4ecbdc18	0	0
d31eca88-0d08-4a55-a082-d3c5152ae2c5	0	0
95e61562-6cca-408b-897a-59c834ae21d5	0	0
c5ad0790-2dcf-48d6-ba6a-f206cd736179	0	0
69bac1a8-f0a0-42b9-b833-0555948616b3	0	0
b37b07bf-9f73-4bc7-a619-0de4102f3e95	0	0
882e2e62-56c7-48b3-8e2e-63a508658620	70	5.83403333333333407
c71221cb-7e32-4922-aa54-0db0767c422b	0.594125249072381956	0.0495124178401954093
fc1d1c6b-dc02-40c4-8278-55839fcc2e5e	0	0
98dc80c6-c70c-43a7-b6c3-b8df267094be	0	0
822f77b2-8f43-4aac-bcba-6168f1bdb40b	11.1837229437229446	0.932014191053391117
33806335-07a2-44eb-802f-806bb0b6a2d1	0	0
47397a08-317e-497e-b8b1-2b9fad58c7a1	0	0
43fc4378-db6c-4cdc-913a-4ac8c6bcb4b9	17.1436818181818182	1.42869729712121218
d4a61829-df52-4b3c-9c84-14aa3352dca9	0	0
547dfd71-21db-446f-b04e-811c9d7c32f8	16	1.33338666666666672
7a1cf070-e480-45e1-9d43-f7b9cbc9b69d	0	0
3c953bc2-2223-42d5-a581-a6f2dd3d986d	0	0
799aaca6-a79c-41a7-a299-4a4f8d07f8ed	0	0
06fb22c0-dc67-4342-a91c-32cd8a1fab21	0	0
30676bb2-2ecf-4b69-a673-294378160f31	0	0
c79ccd0d-6a21-46fe-a3dc-6aa13e6e2c62	0	0
2f953c51-b449-4a34-bd41-a82383ac6af1	0	0
ae08e656-bada-41a9-8a6c-fea2ecfc0385	0	0
e458c727-9848-447f-a6ad-62a9f2b320b6	0	0
f8b6428a-67ff-49bf-8449-f6e2f7cb280a	0	0
541ffad8-b953-43c1-9b9b-99fa5b167fef	0	0
d3047f7d-baf2-4b5c-8581-5d5e72f387ed	70	5.83356666666666701
7b19251c-40f3-4440-aa87-e59550d786ae	0.594125249072381956	0.0495142332229009038
653cefc3-ca58-4ee6-a8b9-237c11baa048	0	0
19d05979-b97d-4af4-9acc-cfc4c01aeed6	0	0
ae4952ef-066e-4f55-a2c6-8edf04085511	11.1837229437229446	0.932048363540163516
fcb1b0d9-c792-40b6-ad00-282d5cb41c28	0	0
ababec53-981d-471e-b42d-c9deb1a0781b	0	0
05ef64a0-4290-4538-b6b3-af30a56ef24f	17.1436818181818182	1.42874968059343432
30c2b7e7-9bc4-4ba1-951b-09c4efda6925	0	0
cc561b0e-94b8-4a02-aebe-35b231fb8c98	16	1.33343555555555549
78976718-e97b-4524-938a-4b38c102d4fd	0	0
b3b41ae6-0cb1-4c19-bece-089ea5b59162	0	0
c2a5d8b6-0d07-4d05-a3e8-9eb263079e76	0	0
be840062-77ec-4577-9192-f433a481522a	0	0
eefc36e1-3df9-4c08-91da-8d30a19075e0	0	0
1f2757d9-adfc-4251-bc3a-ba9b45a5ff0a	0	0
595df7a1-8a60-41cb-b2a6-4327c5bb7b75	0	0
635acb4a-b310-45c5-beef-83ea332f55d9	0	0
2dbb0057-8e4a-478a-9700-9c636be89a62	0	0
d8d651ec-b225-40e6-9226-0aa31a2137f2	0	0
a897c031-187c-47cc-8235-da3c0d3bf449	0	0
440a547e-fff1-4710-9d71-f0feddbf13c1	70	5.8337805555555553
0a2bb4a6-ee4d-47a6-b197-5d95a354c780	0.594125249072381956	0.0495071367268703141
19800cb2-c081-460f-88c5-8ac7341313d9	0	0
cd34fe6c-4e6a-4a73-8437-41c5b07465c0	0	0
5573000a-f44a-48e0-8c0b-c5c49a127ddc	11.1837229437229446	0.931914780182780289
335343b9-92c2-4772-a120-a15a45e16c38	0	0
87f9bdcc-d132-4eaf-866b-971100bd462a	0	0
398405e4-9f8b-49c8-ab73-cf2b7112219b	17.1436818181818182	1.42854490883838392
41e50fe5-8e5f-45cf-add1-e985e449c710	0	0
8aecb154-bea1-46e5-afaf-d6b624e4f988	16	1.33324444444444445
1489921c-c259-4711-85fc-2a969f60d1cd	0	0
21f4f8af-b395-49cf-b766-e7319bb6f7fa	0	0
bc113d62-288a-4748-a879-1cf0d7765513	0	0
7d08d2b7-953d-4dfc-8651-6b20b75863ca	0	0
b1c595de-4187-492d-a617-26aa2dc5a0c5	0	0
b5b10fd9-e985-420d-bb5f-dcf849ded41d	0	0
e54f878b-c637-47af-b473-50472dacd9a9	0	0
c8594732-2f87-4073-978b-01ec6b42073f	0	0
86954617-0f7f-4492-b3c8-f4c52678fb7f	0	0
241becbd-ccff-4911-baaa-757d6ecdfb23	0	0
0123aa28-a1fb-4ba2-a660-35598c70d8e5	0	0
7bb21c4f-7a4a-4248-b811-dc332e92d8f9	70	5.83294444444444427
13ebec78-bcff-45b1-a5b7-38fe3724cd73	0.594125249072381956	0.0495211646841400843
33de2ebc-f4cc-46bc-8996-f47f90ac9fc8	0	0
bb037d0d-afd2-4525-8f60-e2ef7a3f6a1e	0	0
59683f6f-1b86-4ee3-846d-fe502ff134f1	11.1837229437229446	0.932178840307840373
961255c5-fe37-4d2e-ac0b-d85c844f1b17	0	0
e40b62b4-64a8-4b4e-b9bf-459fe1fe92ac	0	0
f59e4d14-644f-463b-b308-0930a365ab58	17.1436818181818182	1.42894969021464657
b8441e3e-cc4b-4f49-9177-0a9f629432d8	0	0
bde7b7e6-86f9-43d8-bade-c40848cc54d6	16	1.33362222222222226
9851ffce-5eff-466c-9f32-b1945739ca43	0	0
1b724ae0-5fc8-4de8-96ac-e83a3a94d760	0	0
56b51dad-54ed-4d9b-b5bd-948bfad149ec	0	0
23ec0e40-1d7a-4464-82fe-769d43f18b1a	0	0
e4fac906-9538-49a6-86fe-794abb36277e	0	0
223de3f0-47a7-4d59-a02b-9e661d3da95d	0	0
3667bebe-dd26-4a44-aada-f4d9cb6df086	0	0
5b168343-8b99-4b83-af1a-084121836e41	0	0
f4709580-b9f1-4ae2-9dc5-9bd1b50a5ecd	0	0
dce4a188-b658-4058-ab22-0405c0552d33	0	0
cf0c79e6-66ff-4ffb-aa3e-a507d7f1381b	0	0
7649074d-3f6e-4871-b5d1-e9f78d3e8dd2	70	5.83459722222222243
21cef31d-6091-46b1-a252-54f5f256d648	0.594125249072381956	0.0495140681881094877
d7439d73-f4ee-4681-ba04-bfab972abdff	0	0
990737a2-629c-44d1-bd38-c3606bce251e	0	0
ff0b469e-31a4-4ead-a2cb-a2ff72cadc3c	11.1837229437229446	0.932045256950456924
789c6966-fb52-4403-af61-50748043c06e	0	0
e2c8858f-37f0-466d-83f6-0ed36c3128fe	0	0
98bd119b-5aac-4d16-b65b-f187eb8677ac	17.1436818181818182	1.42874491845959595
d570463f-9def-40cc-bea2-e5de687b2a74	0	0
f72f7b27-da42-427e-ba04-91f41ccdf211	16	1.33343111111111101
2a1d4ebc-a16c-45a1-be32-ce753b4176cf	0	0
29bce349-c3d1-4c81-8d44-3bc9cd51a169	0	0
9fa84b2b-109e-41b1-bc83-badc7d26499d	0	0
ea3b6f50-30ba-4b2c-9efa-4f75c1241c09	0	0
8078f98d-9d3a-425c-b23d-0e786a7b3f2d	0	0
9e3f7986-b595-44b7-b6c0-09e6be5d8461	0	0
3098d189-41a2-4b00-b181-775e5de1ca74	0	0
5e3046d0-bf15-4108-b108-ef6af5c4b416	0	0
d64a4d5b-f1a6-431e-98bc-ab1243afec3d	0	0
d50e36a4-82f4-4d06-8aa7-2e01efb23c4f	0	0
d41dca9d-f8d3-4730-9b34-92e960d9dae8	0	0
c62883ea-c09d-4e2c-8a52-4731c16deca9	70	5.83376111111111051
fdadf92d-3f0e-4d9f-bfac-18e8b93e01cb	0.594125249072381956	0.0495130779793610393
9716a6bf-9f3b-4c3c-81a5-7f0ecae92efc	0	0
3f7c8666-2961-42fd-bbf1-264fb0105ff2	0	0
69f3d826-e14f-43d4-807b-a3bf4f88a034	11.1837229437229446	0.932026617412217484
add124d2-650e-487c-b809-056f6ccfe54d	0	0
eba68a6c-5fa3-4b9f-af7f-aa3c0f31b23b	0	0
9273e4d5-54cb-4101-9677-77cf29352768	17.1436818181818182	1.42871634565656569
cf3dec06-8872-4106-8a25-ba1a07019c2a	0	0
efdd0cd0-7b49-4233-8b01-c15856d68167	16	1.33340444444444439
04636e41-d150-403f-9b78-9f841bc71841	0	0
79d26c28-82c3-4847-94e7-492959cb35ea	0	0
ab88078d-cdac-4bd3-b8b2-9a902cc52729	0	0
04bd6343-4fec-403c-aef0-cfb061ffc020	0	0
55443f9e-a5d2-47ab-a1ea-5e110b51e9c8	0	0
6a3a8957-0416-46e4-ae05-d5154369602d	0	0
a7f5f495-88b1-4fd3-b589-eca639a9a36a	0	0
28d35cbf-a130-43fc-894d-c5a27a38142c	0	0
bf39aa58-7cea-46ca-ab23-0a76886b19b4	0	0
b2bdf94a-8c1c-44ce-b9e7-b0aea41df937	0	0
3db674ce-7111-400b-bc8f-747f69b08106	0	0
c231f8b5-0c27-4c0d-8b5a-68d2f8905966	70	5.83364444444444441
61001ecf-adcd-4b47-8636-66a866854735	0.594125249072381956	0.0495152234316493592
be6ced83-0087-4c51-ad45-4994a74807ee	0	0
4e508212-0011-4b45-89f0-8988e6c04239	0	0
bb14f9db-d3ce-4c4c-97ad-85c690d43677	11.1837229437229446	0.932067003078403178
f6ed2889-4c23-41c8-a5de-04050f8b8827	0	0
011483ed-e6cf-4068-a36a-49e47bf98caf	0	0
620dd033-27b6-4173-809e-464ddbc1aef2	17.1436818181818182	1.4287782533964648
286f12e2-4aaf-4223-b301-1acb92109319	0	0
17703c16-7c75-4681-b316-616f81ca6e9b	16	1.33346222222222233
a3233b4f-db7a-4b79-8a0a-983382a28e04	0	0
cc5b1cc3-779c-49fb-9c0f-6dc5d25e7be5	0	0
1099dc12-2cfb-44bf-8276-68bea3801159	0	0
2718b0cc-c413-40f8-a21c-d876058a7933	0	0
688345d3-ec41-474f-8b91-fb3d3e37f708	0	0
9f6d91cb-42d1-4211-b196-6b487f75d5d2	0	0
68ae078c-e324-49cb-a819-693f9702745e	0	0
6ae902ac-80ce-454c-ad85-c367ec94e630	0	0
281baeb4-0966-4b56-9447-c9fc6582ac1d	0	0
b819221b-5606-4e4c-b35c-408a08271614	0	0
01b4b08c-d894-45c7-be6d-2c6d0927f91c	0	0
1ec712e5-0ad1-4bf5-b09b-224e05eed8b4	70	5.83389722222222229
23350577-7f56-4b96-8528-4cc4cc86c33e	0.594125249072381956	0.0495094472139500433
b0ad92f7-0ddd-4de2-927b-72da2d134967	0	0
a4ace317-f593-4af3-aa8c-526727f047fb	0	0
5b07d977-634a-488e-9ed1-5983dfd9520e	11.1837229437229446	0.931958272438672464
970c0298-7a42-4bc5-98e5-23f86299bc0a	0	0
dfde2d9c-c31a-4980-ab79-83b0290350d5	0	0
cc289cc1-9dc1-429e-8725-52986dbf3abb	17.1436818181818182	1.42861157871212119
f68db252-66a5-4816-9dfd-95a6209e27c7	0	0
6b37e0bd-7667-4e6b-862e-5dc4d50ffe5a	16	1.33330666666666664
a8711928-c353-4ccf-b056-25d90bbad140	0	0
20b783be-456e-453c-8b2c-64f623f2a795	0	0
5c56e453-4387-43e2-85aa-ce4c725ecced	0	0
8d74b219-9099-40ed-b4fe-0f097e299cf3	0	0
dd952b99-15ad-4ee3-a891-7d654a0ab8c7	0	0
e918989d-d422-4b50-aee7-d847733c5c50	0	0
0ce4bcb5-636c-42b0-b0c8-39f5d2394187	0	0
07d56970-7ce4-4798-a650-cb0d8aac22d0	0	0
a862c702-ab8c-402c-841d-19152e9c617a	0	0
53900dfd-3d7a-4a08-86df-cd34474e37a9	0	0
17191911-16f7-4c32-b3f4-2bad6e08fcce	0	0
142b3f22-f0be-4dff-ac35-75f00bdd6e92	70	5.83321666666666694
d4a42a8c-f3ca-49cf-9103-0b189d30e6ae	0.594125249072381956	0.0495168737795634445
4f4ab99c-4960-48c3-9dbb-f7a407cf18ab	0	0
9b467552-3947-405b-a939-318e701c069f	0	0
e8746281-563f-497b-b626-1e219990e5b2	11.1837229437229446	0.932098068975468985
5b43518d-a7e5-4995-a2e6-730159390645	0	0
a3055522-e757-4231-937d-fa19b24be9ce	0	0
d1080d3f-03dc-4fa9-a3f2-3d4b8a9b5238	17.1436818181818182	1.42882587473484834
df54cfd2-a54a-4e5f-8d14-f279cf806d39	0	0
088c855a-52f5-420a-8a85-5e5952d702dc	16	1.33350666666666662
70d1e70e-9a4d-43c1-abd7-df3a7eb1f43e	0	0
5e4fed69-34dc-4294-bd34-f85d99ff99bb	0	0
5541852d-f514-4786-bcd3-76d0f1265206	0	0
78dbb06a-7484-4861-b8c4-aac38418e1a9	0	0
e8a83bdd-09f1-4ecd-9032-807a9535d9d8	0	0
c9a0d0b4-ebff-40b9-8a6c-f8e696681c31	0	0
30b83323-80bd-4ef4-b698-8b2674616060	0	0
3cab31f0-7212-444a-a3f4-a18e18d08975	0	0
af2b423d-086c-4410-bd93-c01b832b0b8b	0	0
4cf66b57-9c9e-41f0-8d11-65d67a2cdd9e	0	0
95282786-638f-4f3f-a649-5922a73aaa6a	0	0
91115b99-8577-4ca9-a1e1-2e3d352e47bd	70	5.83409166666666668
e2ad1afe-6e00-43e7-acbf-b556377d10ec	0.594125249072381956	0.0495122528054039931
c607d100-a239-44de-9847-e6ebafe611a8	0	0
bf96c586-fb8b-42e4-80c4-21e342e79305	0	0
9800d4c2-d815-44a6-ad96-77f820dabfcc	11.1837229437229446	0.932011084463684525
63cbd5fb-bd5d-4604-bf56-89c31534c1cf	0	0
d96b487a-30ca-4758-8d51-744a1084dc87	0	0
b54e5896-22cf-4c69-b8e8-1aa25f70e0e9	17.1436818181818182	1.42869253498737381
10b24adc-175d-4e6c-a367-c401b7e9391a	0	0
cfcf1ee4-94f6-45e7-89ca-3fcf30a4a78b	16	1.33338222222222225
24a6fb11-e706-42d5-b87b-616f52d72667	0	0
2caffb62-72ba-400c-9ce9-394b9771cf77	0	0
e841d402-e698-4db1-ab1a-042cc066df41	0	0
4ed64142-2b25-4d68-9371-b475013264e5	0	0
711ab70f-77ba-4033-a7f2-ec99bbffbfe8	0	0
55cf83ad-cf1e-469b-9905-40e1ecbf9de0	0	0
ef0e9635-429a-4754-8ab2-f06496931be0	0	0
40e0168e-7da4-4e01-b25c-d15dde434baa	0	0
d8e7394c-8445-4844-9a62-5ad9830d3c3b	0	0
18c00219-bd36-4dce-a901-732214ac5090	0	0
a1709856-0fb3-461e-b4bf-a40a7d5fc09b	0	0
07a1975e-41ea-4c07-a37d-7c1067d30558	70	5.83354722222222222
3b4eccc1-dc99-457e-9d44-7a99432e010f	0.594125249072381956	0.0495145632924837223
626f654b-47cf-4053-8253-3288e523655f	0	0
619959ec-6cb3-45ee-991d-a73b5102a395	0	0
75aa27c4-ef71-44fc-a7d6-6a0bc87f4b69	11.1837229437229446	0.932054576719576811
e8b9379a-5c1e-4553-b0f0-6549a4317a49	0	0
b9fed87c-c08e-410f-b650-a34cf332ef99	0	0
24e94f84-a136-453d-b4f6-e004d4343ffe	17.1436818181818182	1.42875920486111108
8ceb3602-6e8e-4e1b-a77a-c38e058e547d	0	0
820b285b-c62d-4933-81dd-1e600202766e	16	1.33344444444444443
35eaa2dd-b4af-4e8f-b5e4-73c3c35677a4	0	0
dbb77e0d-f790-4062-92d8-df6c6ddbc802	0	0
33c9f8f1-0463-4e87-9b34-ada04f808ec8	0	0
858e4cd3-7b88-40a4-b129-29b2a1289ae4	0	0
05339b4e-2ce8-4fac-ab36-a81654a188d1	0	0
ff4b0d44-cfb2-4551-98e3-bd6dee9bfa98	0	0
3425a691-14a2-4ae6-9c7c-8c2cf1ed5039	0	0
dcd76aa8-c944-4e66-82fc-e3416f237a13	0	0
9a83d7ea-a714-4a3b-a12c-c50f97920d17	0	0
60316e31-a625-4bd0-8d1b-c4ca7eb7c83f	0	0
8ae9fa4a-c93f-4dd7-8091-f79b090af85c	0	0
3a45dae0-e93b-47f1-b4ea-553bd8fbf37c	70	5.833819444444444
21de78de-be9a-4b60-9fba-4fbf888e6b3a	0.594125249072381956	0.0495158835708149961
9d9a9af7-cd34-4642-8040-b1208dbe6687	0	0
8aa3fce4-22c7-48d6-a0ed-abd1992a2b72	0	0
5602b08e-1d64-48f5-8185-8c1f8e764d85	11.1837229437229446	0.932079429437229545
23661057-83d7-456c-859d-e8cad0019476	0	0
babaef5a-7e15-4838-b1c6-8ea378435ca5	0	0
db7d0eee-18aa-41d4-a8eb-28eb022f0b83	17.1436818181818182	1.42879730193181809
8296272a-635e-4ec3-8e52-48fc97fa302e	0	0
8437303b-e4f2-41ac-9b5c-86f84ab0f24c	16	1.33348
b7f44e23-f8a2-4bda-b54f-54dc633fc712	0	0
5c0ef049-69d1-4827-835f-207bfdd61d8b	0	0
1547b72b-75dc-4f29-9ea1-f0714d15fd0b	0	0
080490aa-f362-40fd-b956-4c4c4b7a440a	0	0
139c9b53-4b9d-4afe-8009-2740e9700bf0	0	0
f0264204-d519-40ba-a7b7-a9a7c5b53d83	0	0
6a0e0ed2-bb19-45a5-841d-ed25241d4395	0	0
56a86845-f03f-4afe-9c9e-6662a652da0f	0	0
08b63a10-ed1b-496b-bc01-a81b81948ca2	0	0
0651230e-9b2b-4dea-b3cd-8153f095b1e7	0	0
6a28a77e-ad02-4105-9b9f-e033024e8ab3	0	0
8f0bfcb6-20f6-4373-91b0-5699cbf6dbb3	70	5.83397499999999969
d6040958-77e0-4ef4-96c2-a9e4b4d8fe31	0.594125249072381956	0.0495106024574899009
8dd5e264-0d53-4517-9aee-30662d3a05eb	0	0
5dd1002b-71bd-4371-9951-f4250eb19b23	0	0
8eeb19dd-dde2-4524-9025-b5ff4ac8b79f	11.1837229437229446	0.931980018566618607
cb4aa051-51f1-4c12-aa19-1d72447b8ace	0	0
8227f766-47e4-434f-a2c6-7595f3e5d633	0	0
75fdb991-8f35-403b-8d67-2caec7a0fedb	17.1436818181818182	1.42864491364898982
c7ea0e52-7fb2-4339-8298-b43f332b9c09	0	0
23085289-d79e-4ae0-a137-7800a706c03a	16	1.33333777777777773
b21c7612-25cc-475c-b25d-4c02d618e146	0	0
68d664fa-0df6-480c-a609-30df5e359722	0	0
36a7df48-b242-43bd-9d58-328132f1d8d0	0	0
cb970b07-de38-4360-8f7a-35afd33625e1	0	0
d80e019a-8474-4230-a119-b497c8cde27e	0	0
304202eb-a7c4-447a-920c-37211d3399d7	0	0
574eba3d-730d-4690-8465-ae67682183f8	0	0
6359fe28-70a8-4c31-a189-504cac9400fb	0	0
61344674-3ced-4ac2-b1a7-b42493f505f7	0	0
213a6da7-c80c-4517-9830-de6241b9a2a0	0	0
a024dc71-a522-47b7-8f21-f0efa93674fc	0	0
0c74fc9b-d352-449f-ba84-8c861dd7fef8	70	5.83335277777777783
969d1f3b-bde0-44c2-89c7-1a2e1ca8b5fd	0.594125249072381956	0.0495152234316493592
e34e74b1-c0d3-493d-85c6-44d56fb916a2	0	0
28236d93-ffc4-48e3-8b8a-d8461402035e	0	0
41064bef-5694-4c67-b921-aec21c9aebf7	11.1837229437229446	0.932067003078403178
fefd0c9d-eab3-4cad-b7e1-347d286727c4	0	0
69ecb443-3921-462f-aa5e-3ddef5088914	0	0
72298222-865d-4d7e-a8d6-d9c15fbdfeb8	17.1436818181818182	1.4287782533964648
86b6916a-d834-429b-8536-19b52eb49ee1	0	0
860e392b-7851-48de-8415-2ed5f5983219	16	1.33346222222222233
11b9e202-f4ee-4a19-8be2-4b04132a19c9	0	0
fb8c9681-fda1-4161-ad7c-7a2f9277ead1	0	0
eb8172ab-f102-4d8d-9c59-c95a511d8572	0	0
f91b8a0b-64c5-4b8e-85d0-ebf1dca43cf4	0	0
ce962bd3-122b-4088-bf12-f2f907d913f1	0	0
0a5df9db-9cfe-4159-9b70-6305fead0b2f	0	0
06e58e58-7f04-4ac3-8f71-1da6d71f273b	0	0
9b3ad50b-d9c6-4448-a14d-138fd4eb5d83	0	0
a11337b9-8b65-4088-a718-b468573c2926	0	0
045cb9a2-8bca-4760-9f45-43efbe5c3ec0	0	0
c0b9aa00-e453-4c95-a351-b5f76d932e8f	0	0
69561739-bb50-4f5d-b2be-0d7c699c4d49	70	5.83389722222222229
ed9c9073-7008-41aa-80e9-9ded46568e2e	0.594125249072381956	0.0495082919704101787
9538cb01-256b-4d90-a4d1-157e0927e660	0	0
80ea4455-4de1-4f67-8ad5-dc5b42d57b4a	0	0
616578cf-0a9a-4855-a358-afdccd05d080	11.1837229437229446	0.931936526310726432
5a10edd0-2103-490c-a803-94b3769d8f82	0	0
82dae25c-0fac-48ea-b673-44debd727f6f	0	0
20dcc565-9845-4641-9fcd-d231094c84a8	17.1436818181818182	1.42857824377525255
a7b669bb-54f0-4e94-a3e6-8ef2734f7f9e	0	0
c46f8df0-ae13-42f1-9b76-ec204747d939	16	1.33327555555555555
809e4322-1649-4ce9-b986-1ac73736dbea	0	0
b4cfd928-1e19-487a-833b-cb739b8a70a1	0	0
c04e1bef-a80b-470d-b258-78b45124045f	0	0
7f949d8c-5e2b-4482-a8bd-b22e7fe9be29	0	0
46184e63-2e26-4b71-ba75-138d7f69f59e	0	0
5d1c8843-baed-4c07-af33-72446d95fe4d	0	0
82d6053b-18f9-47cf-bc6a-e1869b938feb	0	0
fc0f9237-8f23-444b-83fb-a9175c3e9dd9	0	0
ab778d6f-455c-4a59-aa0a-0c0374a3f642	0	0
8e0a8a5f-d604-4c0e-b66e-e7513291516b	0	0
121fc106-e915-48ca-84d1-f619493e8587	0	0
8e2af582-0cdb-4c7d-b976-635a4c181bf7	70	5.83308055555555516
cd2e96f8-3f92-4729-ba7a-5a8473524408	0.594125249072381956	0.0495200094406002198
be303ef3-1f0a-48c1-b72d-9a7f0dd46e11	0	0
5c9f6260-c3ef-468c-a0ac-f6d159af58c5	0	0
6ef63374-cbb0-4911-b325-093441c57c2a	11.1837229437229446	0.932157094179894341
d9cb9b15-aaa4-4642-9da0-a7863fe2cc2f	0	0
a355a5c0-529b-4d17-b5c0-3df47e6af754	0	0
6215c1d6-2f46-43a2-8e2a-37fe5fa85364	17.1436818181818182	1.42891635527777794
29b91b2c-3d38-4817-b4dd-ea663a442a97	0	0
5e0d82a0-c0b1-400c-9911-3c0063ba4851	16	1.33359111111111117
e7749d96-560f-44e7-8f77-ed8d3798a875	0	0
8160214b-aa7d-4e22-93bb-88e442299e54	0	0
282f38dd-7b90-4fbe-a1be-aaad9391c75e	0	0
45ff52b8-fabe-40ce-89e7-66c11b70edd0	0	0
dc3381d2-b755-4b07-be96-49075fe63911	0	0
7807e3de-e8b1-4bfa-b1e8-0524eb846a4c	0	0
8f9eb195-6cf6-4947-a387-090d7733b126	0	0
3055dbec-d31d-4e1f-b097-e1e223b7c013	0	0
b2af51b9-8390-4f53-931b-7c1e35840f23	0	0
907e396e-31df-4e61-b145-67a5ca06ae4c	0	0
653dbc29-17c3-489c-b4f6-a4384cb21f2d	0	0
facc157d-f10e-45fe-b334-014b77eab9b5	70	5.83446111111111154
90a96217-bb1b-4531-a241-1c0ed0cbd35b	0.594125249072381956	0.0495112625966555447
55ea9506-3687-44a2-bc38-44fe272bb56d	0	0
fe49bc6f-5231-42f6-bf36-281c47c948fa	0	0
14ea804c-46d8-4f30-bd49-d5f32f056a1a	11.1837229437229446	0.931992444925445085
872ff6cf-7eab-45dd-8dc5-b6b3b19ddf8a	0	0
be0325b1-ea75-45a4-955c-6e5e93d01af0	0	0
28502362-b4e1-4d62-a28e-9d9d8c9149fa	17.1436818181818182	1.42866396218434355
c6036ba3-d057-4676-8bc1-423f765306fc	0	0
7401222e-287a-4791-89b7-43f9ffb239c7	16	1.33335555555555563
54f48979-35be-4d9e-bb0c-b6b0b0045eb3	0	0
75af0de8-f99c-429e-9d25-1dd9ec7d7802	0	0
35a90407-4b4c-41d0-85ee-7c1a94463764	0	0
e50b9779-c8e4-4db8-8ad1-354d2e8bb682	0	0
32d53690-33a2-44a2-97df-668e098f4c35	0	0
cad2015d-2e19-44fd-bc0a-dc4c7764cc32	0	0
47b183f6-b71e-44d0-a18d-fc0caf4d1d91	0	0
7f4a5faf-8190-4e0a-82a6-1a4616dc1be1	0	0
220827d9-1055-4bcd-b719-83ca46d85398	0	0
6912d5f2-aaaf-4683-bc19-b77bd9393398	0	0
a25d0546-ea23-4195-a638-64d2821e5801	0	0
5895bbe7-d2fa-4aac-85d4-2badc565cccc	70	5.83343055555555612
1184fbc3-a0ec-4ebc-ab00-0c9241b7a2fb	0.594125249072381956	0.0495178639883118998
4da45025-3cbe-48cc-b5e1-75b6edf4054d	0	0
9b096be3-8ebf-4e59-9b1f-79a16b8f3f8f	0	0
90631385-a57c-4d9b-98f8-0732f8da9f46	11.1837229437229446	0.932116708513708536
069e9818-2a6b-480e-a761-78216a22a93c	0	0
c1a14e9e-5ead-417f-8c8c-8e8212e9c4e8	0	0
4ccf50be-b9fd-4156-ac2e-14cbef905f4d	17.1436818181818182	1.4288544475378786
bdeaebe4-5556-48f8-9f7f-c36dda04831c	0	0
211bf546-a071-4207-bab1-ef92532fd41c	16	1.33353333333333324
2f313a17-f361-4742-b9c4-1dbda044dffb	0	0
9598c27f-6ba1-4f0f-9ac4-eba3dc94889e	0	0
2e478435-0ec1-492b-a350-db17b81710da	0	0
e8a71606-fdfb-474c-a3ce-78e2c708955e	0	0
6fb96123-63d6-42c6-ad37-999494c7dedd	0	0
33363ffb-814b-4062-b21f-51c0a3116860	0	0
5d17bcde-b9f1-4881-a144-8fa3cff9bcc8	0	0
27c49a57-6a07-4c4a-857a-20b216ca8e16	0	0
a46ae00e-cb46-4440-b244-cf08ef6d07a7	0	0
a2e15b36-a2f8-4495-b914-c7fc22d8ea08	0	0
9066caab-1afb-4c34-98ce-e410e2d88792	0	0
98cc23e8-f7f9-4971-b52b-5c75b3105212	70	5.83420833333333277
6c0fe1e4-225d-4bfe-9ea9-f1765ee4b31b	0.594125249072381956	0.0495112625966555447
7256d87f-0f97-4260-83b1-911523abd618	0	0
ca462ca4-d90f-4b70-bc27-dad313310c50	0	0
5ba9ebd0-9988-4433-8bae-8346fd34e5c5	11.1837229437229446	0.931992444925445085
706bd8c4-dbed-4276-bdd0-be544000048b	0	0
1903cb65-08a8-4a9b-a230-4cba97c64108	0	0
d42e04e0-34f1-4b7d-a09d-c5bdd5e3dad8	17.1436818181818182	1.42866396218434355
00829634-318e-47ee-aafe-ec6a4c1227e6	0	0
36c7efd2-144c-4428-8b1e-9cb35fc8ba72	16	1.33335555555555563
40998e11-6929-46d2-9fe7-ccd7a3e04e1e	0	0
61e0874e-7cf2-49e2-9f10-6f3cc9d3a022	0	0
241159c4-8a17-4df7-bc6c-e9c135e47238	0	0
2bab2aea-efb0-4cdd-a881-e34cf3ba822d	0	0
a6d0a561-9515-4e43-96ba-921ce9489188	0	0
aa04e051-3975-48ed-aa84-b1a04a809748	0	0
2011a26a-8ea0-4a15-a773-8c0a4f3b7299	0	0
229ff10a-ad65-41a0-bc0c-63d6acc5f7c5	0	0
8a4931c4-2ad8-47b1-94b3-b4214eb7a99d	0	0
5b86b8f3-ce32-48f8-a13f-e86c7752092e	0	0
5f70d594-d195-4467-acc3-988026db06ed	0	0
351d4b0c-af87-409d-8586-c48b2fdee4b4	70	5.83343055555555612
ad65e3e3-c6bc-49a3-8a05-1c5a329b925f	0.594125249072381956	0.0495147283272751315
fcaabf5d-7cb4-467f-8887-983e1f328cc3	0	0
03da2f35-610b-4ddd-978d-97fed3be5b47	0	0
12c22199-3cef-412a-8404-891f84f54165	11.1837229437229446	0.932057683309283402
6864d711-3a60-4597-a19a-0aa40dda5fdf	0	0
31d8720a-0cd1-47f1-9848-7df9085ba575	0	0
a2a826fe-7143-45cf-957d-b78dd0f8e4a0	17.1436818181818182	1.42876396699494945
9e3fdfc7-6006-4d43-a386-2d73ada73939	0	0
d54d9756-a28a-4668-846a-8ae47fdfbbff	16	1.33344888888888891
ba8fe556-e667-4f56-878a-79a85bbce3fb	0	0
7e8a1593-6739-4256-9b89-780fce047d2b	0	0
17397a84-a05b-425b-ae5d-71370c64d349	0	0
816902f9-fc32-4922-9f9d-d6dd9f4f2266	0	0
98814286-e507-4502-a470-5848a6a184ac	0	0
50d69419-996e-495d-9114-6385a62672fb	0	0
1c73e749-5bf5-4bef-ae15-af30fb418c82	0	0
a277e285-0791-4a6c-81aa-b51d54119d4e	0	0
e13b82a7-4bdc-4265-ae9d-c9785f6560fd	0	0
623e3cda-7214-4738-8b7d-90332eb5d168	0	0
716e3c70-057a-41bb-8fcf-ba60fd914fd2	0	0
39ee1c66-7225-484a-b70d-a861c157b3dc	70	5.8338388888888888
8c5b83b6-f3de-4e21-a04b-e1ad463e608d	0.594125249072381956	0.0495058164485390473
3d5c2812-ea71-41a5-a481-94ce55896e4b	0	0
ed2aa966-4bad-419a-b012-edcaa39afd64	0	0
c01358b4-5462-41fc-85fb-a97c15a7d772	11.1837229437229446	0.931889927465127554
743fce2c-b26c-4bfd-b9d7-0b1b3665707c	0	0
c0aa7460-57fe-45ff-a3ab-ec10e43ac248	0	0
29b2c96a-c6fc-413b-94d5-f5f776192f4a	17.1436818181818182	1.42850681176767669
185c62b1-0b9a-481f-b00c-a89e0a21ffb6	0	0
fa9bd437-e0ca-44b8-9074-445eb39aace3	16	1.33320888888888889
8836e388-c31d-4ec9-9a77-d86a840dbaa0	0	0
fcfeefed-e622-4362-ad24-737a7b48a88b	0	0
4841eb2d-96c0-466f-b967-bf6dde6665d0	0	0
9824c16e-de58-4308-8538-9baee4ef1605	0	0
5694fb78-e31a-4837-af4e-026235224723	0	0
fe54e1df-4e6b-4a79-ab27-cd1f59f26505	0	0
f44fa2de-a7e4-4a50-a9bc-6c1aa2fe84f5	0	0
93abcea3-0f42-4355-bb7a-9f94e0d1a0c8	0	0
cfec004a-fa70-4db2-b278-047629b66564	0	0
55f65844-6e1e-453c-aaaa-13836be3ca7e	0	0
c83988e8-12ab-4fde-b11c-2278da9800d2	0	0
b47633be-beef-46f7-99d7-8ca3f623ca94	70	5.83278888888888858
87b84bef-f4cf-4896-8a10-6f8a6df8f430	0.594125249072381956	0.049522319927679942
1c531318-636b-43eb-b2aa-0111c0a451de	0	0
b03edb89-2078-45ae-862c-40e450682557	0	0
06445225-d2fc-445f-a8f9-f6d218269a08	11.1837229437229446	0.932200586435786516
4f661e14-319a-49df-92d8-b182848aaca6	0	0
8f8d6018-8641-43a6-aa99-5541385364a7	0	0
daf4186a-df55-4ac3-9ac6-8afda1f27a86	17.1436818181818182	1.42898302515151521
5eeefa45-3e45-416c-93fe-798ebb78cd8b	0	0
8ae9d832-6863-473b-80cb-70d7a0f16869	16	1.33365333333333336
3b827e87-1e6d-4b6b-ad08-0fe347b095f6	0	0
a3d39caf-4c18-478c-9540-ea0aa7f7d223	0	0
653df4f0-6efd-4594-9de2-acafc6097757	0	0
04f2f9f9-bf43-408b-bccc-01bac2011f78	0	0
07976f52-023e-4671-8d37-be180d6cea6e	0	0
f035e3a0-d29a-47b6-ba58-d2d5c62d09a9	0	0
bf027aff-b0b5-4975-996c-dff1503c2025	0	0
2e422287-bb2c-4b5e-b44e-07740ac33f22	0	0
c01ad73b-e8aa-4f81-8837-92a3a7a52c59	0	0
19434001-9697-43fc-8d17-6fbd894c2bae	0	0
28a70929-b4ab-417e-bfeb-b50523d10d7a	0	0
4b5a77e2-82a6-4a2c-95ec-7be8dce59666	70	5.83473333333333333
bf369861-a9c8-4b9d-bf37-d7ad117c3ff0	0.594125249072381956	0.0495142332229009038
8fb8df30-22f5-4e50-8dd7-de002f4340d6	0	0
a9ea9ee3-77b3-44ba-82bb-ff6688252211	0	0
9ad54ccd-835f-4b5d-9ef0-a497cb11060d	11.1837229437229446	0.932048363540163516
488ec52e-f18f-4346-bf87-22ac3a5f74be	0	0
7c8eeaae-61ed-4ed6-94d3-1a687c8c6969	0	0
bd877aac-c7fa-4702-87d9-5775438031a1	17.1436818181818182	1.42874968059343432
9aeee801-f20a-4dbe-a6ef-6871ac7029f6	0	0
f1094c0e-314e-4d59-99e4-71af66c3e48e	16	1.33343555555555549
c8366ff5-7e35-4a4d-876e-e2fece4d4c21	0	0
b59be1e5-55f1-405d-9c52-2236b03d789e	0	0
89d00081-d0b3-49b7-b8b4-697d113f7e4d	0	0
a52e7e73-6266-48a9-ae90-cbc0a03399a6	0	0
68338f93-e447-4576-b143-32f9789c99c6	0	0
011b1988-c2b0-4655-ab84-7bd7fce8c10f	0	0
4778c1bb-5326-447b-8ec7-9e659d2714dd	0	0
58ec0d7a-cf2d-4bbf-98d6-622338fb2b5f	0	0
67effe9f-e96d-4712-b76d-abad12b46e8c	0	0
ddb19992-8d9e-4b7b-b729-f750b0cd2b61	0	0
fb51646e-c81e-4922-ab72-6b573e8e9aca	0	0
c948fe89-873f-4041-9d42-8f497c81e0b6	70	5.8337805555555553
b0067caa-4140-4564-9b15-f56843def07d	0.594125249072381956	0.0495163786751892238
e001f06e-a86f-4156-9a70-950f4c60e4ca	0	0
d7e84ad2-4067-4738-94ac-765e4293d9b3	0	0
903e949a-ea5a-445d-b1e5-5acc1296fab6	11.1837229437229446	0.932088749206349321
067b3d5b-4f39-4a0b-bd7e-787648001beb	0	0
c5b5b936-0157-4558-bd3c-a6d73402b392	0	0
417a3b3e-5019-44c9-8a03-9c31d77d98ac	17.1436818181818182	1.42881158833333344
56ba5c5c-7305-4c4b-b92b-2f46e30c166e	0	0
4c70d801-ba9b-4785-9ee9-16fd6a0c7c66	16	1.33349333333333342
6418443a-612d-44fa-89df-ea1fe4820e9e	0	0
a1b3a1dc-4113-4d52-8268-5062d7ef4ffc	0	0
c2ca1cce-efc7-4062-9474-0a3a7c738cbc	0	0
e2417e76-eff4-4d5d-a2be-1c77886fb3b9	0	0
dca9c946-eeb5-42a5-b452-d3306a986c6b	0	0
b4e365a4-0627-43ab-81f5-5e43ac289f25	0	0
24b19356-5403-439d-8091-a4a8ea192399	0	0
6b2d1676-9c7d-43fa-a99a-0f6c5c2def58	0	0
595cc38f-daf0-4674-a2be-421bec79c470	0	0
6b89f380-3ccc-4215-a0f1-1ddc7cc51a58	0	0
5bc9a7c1-ef7f-4559-9a9f-caf4e2643748	0	0
969d65e2-79e4-48b2-b615-631268323f60	70	5.83403333333333407
f1789006-4194-4e2f-83be-4cd5c3bff2de	0.594125249072381956	0.049511427631446954
95de36d4-2709-4244-9374-1d0f33d63703	0	0
8abb8601-6e5f-4145-99da-1f5a65203d5e	0	0
b25b1ca5-f677-4ac3-93b1-58af266806fb	11.1837229437229446	0.931995551515151677
4efcfae5-ec7c-4755-bb8f-49cf4198daa7	0	0
f3805a1b-847e-4a98-86ad-7f56be08bd9e	0	0
a4c87871-13fd-4e61-9719-c8f7ea761b04	17.1436818181818182	1.42866872431818193
bbed7637-cc19-4921-90af-eda09ad9819a	0	0
ecc64b6c-602f-4ef4-beb8-51c338b5fcf5	16	1.3333600000000001
3585610b-8abc-452d-b5e9-bf30b4de39b5	0	0
1e011d80-57c6-4eed-a752-8fb0ed6f1af8	0	0
4af2a01f-c390-431d-b49d-9603dc34a41d	0	0
b442253f-e40e-4deb-923c-5a4fc8cdf36b	0	0
01c5f096-1d71-4cb2-8a65-11aa9e4af66b	0	0
2b7a5b48-fddc-4c55-843d-5b6de9f726e6	0	0
5dc131dd-34ac-40d4-ba9f-741a3ece9daa	0	0
9a90a386-3241-45bc-8ad7-9afa457a1828	0	0
b7084329-6d56-4d5e-ba51-b538273d380d	0	0
d2d8c3a4-da4d-4116-879a-c627ba7d3d7c	0	0
14c1fef6-303e-4e3b-9fc7-51cea9f6ca22	0	0
f15852d4-f827-49c7-aca9-9d83872dba77	70	5.83345000000000002
c3e80c8d-fe25-418d-8022-b46c4fea3b29	0.594125249072381956	0.0495120877706125839
02bea523-6b4c-441a-b011-efb85e4c60e4	0	0
8dddbd79-e40f-413e-b256-46f33fbfe11b	0	0
f83a771e-5d1d-4904-a1d0-193dd93078ed	11.1837229437229446	0.932007977873977933
b69631fa-ac8c-46f0-a2cc-b5d9194fd9ad	0	0
9ba5753a-4d7e-4193-821e-65f10b4510a8	0	0
d60f0005-6b1a-400b-b56a-40ce306b61b8	17.1436818181818182	1.42868777285353543
8f8354ca-6622-4838-bf49-dba0bed2739e	0	0
fe129fa9-7f4d-4dbd-88e4-41e9b6c3a47e	16	1.33337777777777777
b8224f2f-d186-4bb2-9353-af8bce3fd4dd	0	0
ffc9e7ce-0a93-4e2d-af43-bb54d9bca3ab	0	0
75c783bd-dc15-4372-9985-cb1dca04771f	0	0
29f0bb8f-1e69-4e71-ad3f-e2ae3cc49565	0	0
988cd572-4138-4ceb-886b-c56caab26e46	0	0
ad59484a-65ed-4dd5-97fb-0f8f4aaaa261	0	0
6a56efa9-215a-49a3-87e5-19d2d4652a9e	0	0
8a3cbb5a-f452-40da-8a87-85733723f211	0	0
f8f6e8ed-7d4d-46cf-be33-9ad9d1ebe74c	0	0
d2a18293-ad6d-4d4a-ab08-ac0fb5e512e4	0	0
ba771fe5-6f65-4000-93e2-5bf6b69435a0	0	0
d0dc3d3d-b8f1-4044-b3df-765a9cc1ead7	70	5.83352777777777742
0383509b-c677-4d0b-b33b-f8c3e9dfecb0	0.594125249072381956	0.0495092821791586341
27fb43c2-3f8c-4fb3-a7d9-ec8101432249	0	0
4b1bc69e-fc42-4e78-9758-6eb5600aa805	0	0
6dbcf02a-3f79-4e98-86db-2fd3ca901c20	11.1837229437229446	0.931955165848965872
9bc0f39a-3bc1-46ca-bca5-8a9bb089e58f	0	0
79b6dc78-04f6-47e3-81a0-b8cbfb63fe56	0	0
aa73f489-104b-455b-91c2-5886af0a3c92	17.1436818181818182	1.42860681657828281
22c8d181-5826-4361-91c2-da1a2e1344f6	0	0
b7b0c1e5-e43c-426b-88ed-1a75ecce0376	16	1.33330222222222217
9ce4be3e-d160-4500-9032-ffe62a281eae	0	0
8ce5399b-f72e-45bd-8c26-fba1070a2547	0	0
a4994d26-1066-46ca-832a-25d517ac05b0	0	0
240c3312-bb63-44e3-959b-3f81ef72d013	0	0
7c45ce67-5e06-415f-b1af-108a2d0ac214	0	0
67bda558-2b37-460c-81c0-f78c66047f73	0	0
43d7f206-04c7-414e-a51d-135a392a2bf1	0	0
1bd853c4-14be-410c-bb23-b884ad2c0f10	0	0
b44d7e46-946c-4b0c-bd68-4291018ae7ec	0	0
f3e0094a-bb3a-4356-97ca-b82218dd72c4	0	0
fc65ec3a-2181-4c65-93d0-1df51ae3170c	0	0
f103b1bd-40aa-455e-a0d9-85600ff2aea5	70	5.83319722222222214
60650710-0ad1-4f76-96bc-1a0381c173be	0.594125249072381956	0.049520174475391629
5fb0e7be-cf46-49d9-acf0-110682b9e76c	0	0
7f3fc06e-737b-4627-b37d-b1280a8d1ee0	0	0
b7dd101a-a1d3-4fbf-b3a3-cc1a6de279e5	11.1837229437229446	0.932160200769600933
360643fb-c34e-4ed2-9b6e-5e4912747174	0	0
2294805e-da34-486a-9be5-6dcee0e263b3	0	0
dbfc505f-b56d-4cdf-8965-68194b922f0c	17.1436818181818182	1.42892111741161631
59819329-8d75-4cce-abbc-54b1b26dabe5	0	0
bcfb71ea-991e-4880-80a8-c82bafa3954e	16	1.33359555555555565
8cb91780-a030-428a-8b16-d89f31f021d4	0	0
049d144c-aa64-4b9c-ad1e-fc58f4140d59	0	0
eafbe799-ce2f-4281-98ac-6c59dd0661ee	0	0
c810ebef-dc20-41ba-baa2-83776665caf7	0	0
3bdce1bb-dbeb-4953-bee1-047f53fa3996	0	0
2029296e-3115-42de-982e-83df5aaecd5e	0	0
09bfff37-dbae-4a12-b197-2b4d3f757721	0	0
56682ae3-bb95-40c7-982d-e29b7b46adad	0	0
dffd73a4-3324-4e25-b44e-b7180ca3370d	0	0
bfbdeb65-ef3e-4880-b990-34e6e7ccb39a	0	0
1db60a6a-14be-44c9-82fd-de18f3a4d891	0	0
ddd7411a-c8ee-4a82-9f18-bfd3f996e1e1	70	5.83448055555555634
3f821585-a118-4c4e-a3fe-6d39c8d89bd1	0.594125249072381956	0.0495137381185266762
2d299b63-7c40-4d9c-91bf-71fef158270d	0	0
a3009268-8757-48bf-84be-87f9f07e8aef	0	0
dac361a4-8d98-4ed4-8f36-06594810bbeb	11.1837229437229446	0.932039043771043851
d5d73659-371a-4667-86e8-ec5b079d24fb	0	0
8053c30a-ff75-4432-a8f5-b620d035df03	0	0
5c56b870-8f98-4b4a-8aaf-ba9f1b608c4c	17.1436818181818182	1.42873539419191919
0d97cd5e-c662-4da9-98ed-c7515c290f7e	0	0
6563e81b-f044-4e2d-a520-fa3b1455ddf4	16	1.33342222222222229
82c9cc07-c994-4924-96a4-a61cb7c6abb7	0	0
f5cfcb55-ffad-4620-91df-bbe18c9436a2	0	0
07442a2e-87b9-4ee6-b8e3-a7167e16a253	0	0
ef0dba02-2bc5-4380-80ee-1d811c0161cf	0	0
eae8a476-207c-42ee-bdef-ee743967e986	0	0
d3790aba-313e-4013-bc02-0895f96e76aa	0	0
ac790747-23b5-433c-9396-840bdc5feaae	0	0
cfb8318b-d950-4065-83cb-0ea8623950b8	0	0
f7bf8fb4-1c2d-47a9-a7bd-a871f2e90fba	0	0
e5901057-fc12-4669-b331-99c5b83d8d08	0	0
78d58fc2-0ad0-4dbc-ba71-ac4accd586cf	0	0
e4884114-ee36-4382-b6e1-844cf7453864	70	5.8337222222222227
140e87f2-2ab8-492e-b62b-5aef3562b9df	0.594125249072381956	0.0495677044953174162
00c8b136-fa0c-44ce-b64c-04f0b0fe6178	0	0
55dabdfa-ee59-4a9a-b34b-d6e06bb1ce4e	0	0
39cc20b8-1577-4e30-851a-b34536fcc6a0	11.1837229437229446	0.933054898605098715
1127ad09-6d35-4f70-bac6-ede584935ea3	0	0
2cb2510c-3990-4d55-b439-3db4998878ba	0	0
a2d323ea-0904-4626-b10c-aadc230e3baf	17.1436818181818182	1.43029261195707069
a795f5bc-9a50-421d-95a8-593903b4d9e1	0	0
54dc3c1f-0d24-40ac-83a5-c373a9379eec	16	1.33487555555555559
8820fdd8-c049-4911-b1cc-a4f91529cf03	0	0
50fa67e7-7dcb-4b88-974f-43c325eb140a	0	0
05cf3346-f0dd-4d4f-af67-e9f148971f05	0	0
e556c910-b17d-4d1e-ad4f-8703bdfdc95d	0	0
d9009ebe-9803-4e9b-992c-ff0f8ac38217	0	0
5c525ce9-efdc-418a-b980-6dc1faa1546c	0	0
f2e180e6-8ca1-4c0f-888e-d9e296775338	0	0
7c5d0fa0-6a79-4ff1-8f85-ada3cff24a7a	0	0
67bc2e0e-8a9e-475c-af51-1276e969e2bf	0	0
4da94448-8f2a-4e3d-98ba-d257288fd4fe	0	0
9afc794a-2701-4394-a875-9c7a8cadbdc6	0	0
47b445b0-9b31-467f-aeb9-00ddd3c0ea14	70	5.84008055555555572
4b66effc-47d6-4003-b2c9-850a362a1567	0.594125249072381956	0.0494609269852758007
c08adb7c-70ca-4126-8a6b-e62b8dfa192e	0	0
9eed0155-7126-4c30-9368-2f48cd5ddb52	0	0
eabd0f61-c6c8-4ddb-a7a2-deab3f5c0f3f	11.1837229437229446	0.931044935064935242
30155ff7-368f-46e9-833f-180284471cc5	0	0
9bc63f5a-0b4c-4330-89d4-7d79de650542	0	0
55aaa812-5126-4191-a6dd-e5788a053fa5	17.1436818181818182	1.42721151136363655
55298999-6787-4022-9e74-39acde8e25ad	0	0
b784cc1c-c5d7-444a-93dc-6511267ed900	16	1.33200000000000007
1cddc15f-e40c-4f02-aa8f-78ea0c3a3125	0	0
f9cf7adb-13d7-43b1-b1b7-004739a6c3f1	0	0
997c45b1-a7ea-44b3-96f8-6eed8b69c42a	0	0
5a8b580c-1fb7-48f4-9944-e3f72708ffe6	0	0
4bf18487-5f98-4dba-b0ad-327bb7072ae3	0	0
7b2ac16d-d307-4222-8832-06c1b3a6e383	0	0
dd4c750f-3cbe-4bae-a1a7-561c7611ab74	0	0
6a9f77b7-7c5a-4d66-bbe5-0bbe7fc16b05	0	0
3804fe7c-69e8-45f2-92bf-04581d7336c2	0	0
e5269b1c-5770-45c4-acde-649b1b2b37b1	0	0
56999f65-3ac8-4e54-9875-d216677d243d	0	0
4198a58a-3669-4f12-beb6-4fff678af627	70	5.82750000000000057
24d9d013-4ce9-46e1-a06b-9ee44081ce23	0.594125249072381956	0.0495139031533180854
143ab52f-0577-4252-a97b-34022e65ce76	0	0
e7791a68-5220-4ef0-9dc8-fd54953f5a8b	0	0
a02533da-ada1-41aa-ae7f-b7ded6bcfeb9	11.1837229437229446	0.932042150360750554
2cbebe78-0c73-4e32-a198-db336cd81275	0	0
628dab32-5b91-4ee1-bf04-a5acb379bc04	0	0
0e729ba3-de68-4277-8556-481f1fbecb87	17.1436818181818182	1.42874015632575757
203c1c3e-9304-41c2-8e41-0553a3f1fe31	0	0
a69e527d-8b4d-422a-ba24-272b4005cf6c	16	1.33342666666666676
e77dc8b1-aea6-4d1b-aefd-9246826e3377	0	0
59588922-ef43-4809-a141-ab11bb4b7e4b	0	0
f4c5a3fb-2af6-489c-9df9-4555914bd79c	0	0
e9e4f068-4655-4a9e-be59-2b1e2f6dc21f	0	0
39022924-cf0f-4a46-a988-dcbb8bd4532b	0	0
4d724787-df4b-42eb-989b-4ce8a02122bf	0	0
37ad6dd5-68de-466c-8b07-7ab37396f7bf	0	0
cfe1a4fa-766b-4155-95a1-aea7ac93d916	0	0
94b66738-2708-4e63-b01a-28621b96baa4	0	0
33e47614-f255-4eb6-ae06-c002047f4a98	0	0
f5a7cf0a-411f-4345-b1ab-8c8c1c96225c	0	0
f5dd7792-67f8-42da-927e-7fdd29aef45d	70	5.83374166666666749
bfac578c-ca4e-4304-9d1a-2e72e1ab91f9	0.594125249072381956	0.0495147283272751315
4d0dd4ae-b0de-405e-9b1a-3e9331af7aef	0	0
599d3eb4-7173-4c9e-8bd5-ac259b165cf4	0	0
97996db2-05c7-459f-8b7c-45c39fffc9d4	11.1837229437229446	0.932057683309283402
588093e9-488d-4fed-aa55-9cf35115098a	0	0
5a7ea4a6-f95d-4d1d-9ede-605bff0a0791	0	0
24f956cc-8d94-42a5-921a-ace3805b3465	17.1436818181818182	1.42876396699494945
7d009cf9-19a0-43e6-ac2c-7a271ddbfd83	0	0
417e684b-c1a9-40c6-ade7-8c7ba357149c	16	1.33344888888888891
44394b93-b106-4045-ba71-8bb6d78055aa	0	0
c2b70e6a-e22a-4084-b31c-4b0b23805af7	0	0
26a32e1f-584f-4afb-876a-bcf3654d7082	0	0
c1aa2aaa-1445-4a4a-aa24-cc1e954b26bd	0	0
01106262-a0c7-4640-935a-a2e1870a3429	0	0
820e150b-227c-46be-95eb-a8c5d6a6adaa	0	0
18d1cb4c-9dbe-48a3-91fc-18282f7c4581	0	0
1738cf7a-d83b-4f9e-a14c-7bdcf8aa2d2d	0	0
163ede48-92ab-4b62-95fc-284c11bc1ddc	0	0
c29d95df-4ca7-43b1-8647-3a7fedbebb97	0	0
9c563b26-3c91-444f-ae3a-dc31ba6f4fce	0	0
5104def9-f878-4622-95da-930881b78f25	70	5.8338388888888888
ee63f73e-7093-490c-8413-c5aecc5aeda5	0.594125249072381956	0.04951291294456963
4597ec6b-d68e-44aa-b346-ce950d1ae1c8	0	0
a1afbafa-02f0-40be-92f0-ab0d4c16aa2d	0	0
389397d1-0385-403d-bb88-e4eea6c4de3e	11.1837229437229446	0.932023510822510892
f61e6658-aa30-4abf-a435-c5948f9f29ff	0	0
3fd04970-5f5d-472d-932c-4829e8a6f7c7	0	0
d577d495-0ba4-46e8-9900-f942b0c7220e	17.1436818181818182	1.42871158352272709
7f86a7c6-bba7-4106-b9f4-794355ff8e96	0	0
1fd9c229-b37a-4be6-988c-5e1d9b52855a	16	1.33339999999999992
56d1db06-4d9e-4537-baeb-b54f535a13ec	0	0
3a49c8cf-6d26-4dec-9e34-0f47d9064584	0	0
e4afbaf2-eced-4104-930c-00a7b3ce1a5f	0	0
86fb45a6-8c58-4e94-afd1-041a1572cdb0	0	0
61664be2-c9f5-4a65-a5cd-8799c17ae8f8	0	0
30be4f14-0818-45e1-883d-ea365bef3dd0	0	0
8ba0127c-c2be-4424-9ccc-3f1f5a444ce6	0	0
87327fe9-005d-4e89-b089-44c3bad6e6a5	0	0
5f6a4c88-316f-45c0-9521-e80dd51a9dff	0	0
b5641d2b-7cd9-4782-a5d5-4dcb5c26cc7e	0	0
083b6cf1-fa19-4abb-9d02-fa4b31db3ef1	0	0
65e128a3-a0aa-474b-a9da-a3ae909b7b98	70	5.83362499999999962
b5364923-9e99-4217-a981-442e1eae800e	0.594125249072381956	0.0495132430141524485
91c03c9c-c0e0-420b-801d-1e194547bd44	0	0
74180d1e-2ee5-42eb-a11b-e8e8cd9080f6	0	0
d65e5582-1449-4d03-a81c-09e4a2cdbfd8	11.1837229437229446	0.932029724001924076
5e530dea-e262-46fb-8400-9d92267e21ec	0	0
f8c531c4-e0d0-4cce-89e8-a171d6f54deb	0	0
b031c2c4-4741-4a8f-84d1-2ebf05bc4671	17.1436818181818182	1.42872110779040407
1558255b-b7c8-4980-92aa-c2ea6969a85f	0	0
34a4a0cb-884a-48f7-b701-634cfd68d9a7	16	1.33340888888888887
b86e9049-f670-4581-a000-a993055c7727	0	0
54310294-e372-49ad-b38d-3acdfacd9fc8	0	0
723ce8c9-d184-470f-b71c-53b31f83d724	0	0
150e1247-7002-4766-8114-31d7156c5ba7	0	0
ae622d13-5847-4a5d-8b00-3e593aba11dd	0	0
5e88b7d6-f748-40a6-851c-f8ef23074136	0	0
60c40966-1ffe-4c29-b52d-b280fa3cb794	0	0
53ade4fc-ea18-4295-9bcb-158d0143f10c	0	0
c91e965b-0399-407d-a37d-04e715a832c3	0	0
68de7983-ef6b-4c7d-a0d0-7a7bd11fcf2e	0	0
5d033e1f-5ea6-4f7a-96c0-bb7fa677f3a2	0	0
d4b697ab-f918-4b26-9549-15dfb4e59ffe	70	5.8336638888888892
cc21b4cd-701d-42c8-99b6-be028fc83e75	0.594125249072381956	0.0495101073531156802
740db7e9-9814-463e-bafc-2aadedc04b6f	0	0
a665d512-7da3-48b3-a019-9ad249f2ea1b	0	0
3513f035-f8e8-4da6-942a-e3aa55ebb74f	11.1837229437229446	0.931970698797498942
977449fa-4a98-4f31-a62c-6d214adf880b	0	0
eb1a3abe-99e0-4c1a-9840-58a1352d4354	0	0
e8b62453-dd5d-407d-a0cf-6a1dbd810af4	17.1436818181818182	1.42863062724747492
1bba8ff1-c136-4a73-b815-38c6458fd1f6	0	0
055f4c9c-be73-4f71-9bf1-1084b40ecb73	16	1.33332444444444453
65c79d16-55e2-4c5c-b1f6-ddf60bba69b5	0	0
fe4b8750-2fd8-4e7b-88b5-0579af61c209	0	0
52596209-55ad-476f-932e-986d25cc2ff8	0	0
661e597f-2aa5-4db3-8740-36d3084a458c	0	0
4b3836a6-e3e6-41e0-91f1-c4ce8f3b9af4	0	0
a65e6d39-1008-4875-956d-06724fbf7ec2	0	0
2cd537c2-1c18-447a-9c5b-4b4b13fb1a41	0	0
95693687-d6cd-403b-b78f-5cda88efca5b	0	0
d5f1310c-3c8a-433e-85ba-966a609a1ae2	0	0
ad924b24-2a70-4e68-877c-6e6117108953	0	0
c7e00774-8c03-44d4-b195-f46391a1463d	0	0
04a9716d-54a2-4ae1-b9fb-a3a2c5cdb238	70	5.83329444444444523
ceae6eac-c4f8-4657-9baa-13955fc8420b	0.594125249072381956	0.0495193493014345829
7de1a3d9-fd0e-48fe-8f30-041e7465ceae	0	0
91fa91ae-93ce-4540-bdca-bca73fbdbd28	0	0
da62a06b-11cc-4138-995a-952bc8ca91c0	11.1837229437229446	0.932144667821067863
3effcc3b-c52e-42c4-8df3-58b435818fea	0	0
22e8c027-2298-4070-8f32-d964415db0b5	0	0
77b941be-079b-418b-9b36-551a99acc8c8	17.1436818181818182	1.42889730674242421
e742b949-1162-4ec4-bede-a5a281a46a53	0	0
b6d63de5-1e32-4710-a1a3-50f2d3657f56	16	1.33357333333333328
cf4ebefb-7da1-4642-a075-8b17bc381cde	0	0
0d06a593-b8fa-43db-92d9-0c23052f9558	0	0
449b2d74-f1c2-4135-b2fc-ee1a54d9804f	0	0
bb7bc078-799e-4aab-850b-545000786ab1	0	0
cd0fc8e1-d963-4971-811c-45fc748f1074	0	0
3dbfdc46-93aa-4222-904d-cc9df5bcc16d	0	0
613511ff-1fcc-44d8-b139-1fe2a25d3c9b	0	0
74bd17a0-b0c8-469b-bf2c-0a58958c0d77	0	0
62f217c5-2297-4a15-bab2-751aaa0c3cac	0	0
43fa30dd-2e5f-4638-a33d-356983b900ff	0	0
e220cc0f-11e1-40da-8d61-b24b5d3694b2	0	0
3e3278eb-bb94-4ead-88a6-67b98c7a22ee	70	5.83438333333333325
0a0daaaa-0cfe-4dfd-b4cf-271ea074f4a6	0.594125249072381956	0.0495130779793610393
42718e55-8a44-4c62-9857-cba05f94077d	0	0
e867ef65-f996-42ca-a1c6-5de81f970871	0	0
1aa304fc-6688-46a6-ad54-44b4e8bd6659	11.1837229437229446	0.932026617412217484
1447d402-645b-4465-894a-a6618b2080ec	0	0
e05b46d8-8dac-41b9-b4f2-e4c754448083	0	0
0457c3d8-dd45-4432-8009-a42031e4dd1b	17.1436818181818182	1.42871634565656569
5b2c3750-2904-41ca-a8f7-c9a9022c84ef	0	0
4ab2ad54-2e91-42c4-8069-b26345a55435	16	1.33340444444444439
7643463f-86d7-4c8d-a56d-0d61a0f919c6	0	0
489b9969-42ba-49f1-b97c-b7accbf38b76	0	0
4f5af60b-6347-4a05-a314-04dd15394f21	0	0
6e7123e2-faa2-4d9b-b39f-f925dcb16375	0	0
c96f4a7c-ac8d-4b64-8d46-f3e35082d631	0	0
36cc02ba-7a0e-401a-8475-cc0654e7b1b8	0	0
3b4a98cc-7baa-47bd-8d2e-0377445a5d5a	0	0
cd0261f6-5f32-4c5e-b311-5a3ca7012e4c	0	0
84d1a40d-8682-429f-96a6-678dbd741690	0	0
0dfb9a16-a869-4273-8cac-836827910097	0	0
ed131e66-9ccc-412e-b274-6b21c2a89add	0	0
1790e6ee-6484-45c6-aced-63ac7c8db766	70	5.83364444444444441
0853d78e-853a-4882-ba6b-5883f6a66897	0.594125249072381956	0.0495143982576923131
97946198-6461-43f0-a079-3097dbd46e43	0	0
b47b4e81-c1aa-4cd8-ba4b-92b279ded972	0	0
6250e6a9-1bdb-4980-9d75-6e2e34290559	11.1837229437229446	0.932051470129870219
38e4c473-95d8-4abb-bca2-21a4f2833b94	0	0
94e51e56-d6e3-4974-827e-f416fabb0752	0	0
fce5e16c-85ef-499a-9625-b7e3817e05b7	17.1436818181818182	1.4287544427272727
3d0631e4-f823-4788-8cb7-45143fa54d33	0	0
a1d77984-94fb-4916-926d-7eb9ac09639e	16	1.33343999999999996
2af6c2c5-00b2-4619-b816-a2bfbc604ddd	0	0
13a67234-1292-40bc-805c-5000b3259232	0	0
3e3fb2d2-1a4e-4242-94c3-8c88b2249042	0	0
c6502306-82cc-4ab8-aeb5-0693bf768ce6	0	0
a38b4915-6135-4f3a-982b-639d6d189e4f	0	0
6bcfbd6a-9aa3-41da-8497-1f551b66fc14	0	0
fc1ab4af-25ca-4bba-bc63-a31b4d2b0931	0	0
cff3514b-18ef-4614-87cc-14cbc30217bf	0	0
0e9b0452-271a-4fc2-8d1b-759488792646	0	0
14a17be9-e71e-432c-8514-997519600726	0	0
beecb9ec-c699-48e8-9f07-0290e6f4d176	0	0
c37ff770-e064-4856-931b-377e03dcce99	70	5.8338000000000001
bff23dcf-e1c5-4360-988a-3a8bd7be43c6	0.594125249072381956	0.0495122528054039931
27d71c69-f246-4a3e-bfd8-4a8be19807ef	0	0
f14822f0-4928-431b-a949-374ab674197c	0	0
b541077e-120f-4d42-81f3-76d407cbf7b3	11.1837229437229446	0.932011084463684525
c86c51f8-6d86-4676-8f0e-85c39481d3de	0	0
2d663237-ebcc-49ee-a5cc-1d577a8b7b85	0	0
07376c05-a96b-48de-86fc-91a502f5e87f	17.1436818181818182	1.42869253498737381
69efe976-5a54-4a61-9dc9-ef5411d6c977	0	0
d97a6e56-4f20-4d2b-be6e-c73f59e40a25	16	1.33338222222222225
5c099782-bcd0-4a3f-a88a-d95b61551627	0	0
67af31f3-7cf7-4d53-b4cb-a38a25726180	0	0
e2da9537-a78c-4ab2-93c1-bab8697d150f	0	0
f2faec6a-018b-4cb9-a950-f600c3ef9c64	0	0
8a026e18-a60f-416a-bdde-9cd6f1ef6b35	0	0
ed9eb5b2-6589-47f7-9312-a28114bcbb47	0	0
9937c228-2bee-4f82-9fc7-718f40b0b508	0	0
16bafe92-346f-4143-9dbe-0bdea0840341	0	0
f57b24b2-e2fa-40f8-9f94-c79ae2d133e6	0	0
8f53f428-16f1-4c6d-8409-19a84fe9e6c6	0	0
b45a69b4-a21b-4d32-8e3d-db099a099b47	0	0
fb017aef-b5f7-4f36-b574-385223466ccb	70	5.83354722222222222
bd240449-de01-4a0f-aaa7-8c35ce9abc61	0.594125249072381956	0.0495139031533180854
d930cf31-1928-4b06-8414-4399451a92bd	0	0
22726394-f73f-42c6-aa10-b1a40dccbfbe	0	0
6a030f8b-c0dd-437d-a8a5-779d131cb75f	11.1837229437229446	0.932042150360750554
9c2ab257-48f8-46f0-b3a8-90d81f6566b1	0	0
e3fe7bed-2dc8-4be0-9a07-66f98c113a31	0	0
f7c20bc5-0af2-4005-86e0-311f361bd215	17.1436818181818182	1.42874015632575757
91639637-ab49-479a-899a-54e85724eba6	0	0
9e8df91c-8ef7-47ce-a4a0-24b3977d34f3	16	1.33342666666666676
e4d037cb-ba3f-421d-ba57-9ddf0ce0c783	0	0
a9b45180-8088-4a89-9ccc-5cdd21f94abd	0	0
60b30031-fc7c-4512-9c19-2b0c47ec1a7a	0	0
873dc684-c936-40ee-88fa-0975eb08796f	0	0
cb0c2b81-d112-4fb9-93a0-75dff56f510e	0	0
6b4a4338-ac49-47a4-ae9f-f6dd0c25f64c	0	0
a02d019c-ad8b-4886-b067-8fa75a26dfd7	0	0
b32d40aa-dcda-4636-bb64-02521bd2d4ab	0	0
4830f46a-7a8f-4169-966b-e473570a9297	0	0
484e1cea-ea13-4559-a800-2c5070724a52	0	0
a4e36b5a-4ca6-45cb-b156-90bcc382d2a1	0	0
e6785aad-b54b-4c66-b9e3-4e543190cac4	70	5.83374166666666749
535325eb-a411-4754-ac4f-64ee720d02e4	0.594125249072381956	0.0495130779793610393
12f16b97-dc5d-44bd-82e1-51311a8c6048	0	0
8140be69-360d-4522-9dbf-ad2779fe2dc7	0	0
9c3ee001-5d0c-43ca-ae67-19565bbf353d	11.1837229437229446	0.932026617412217484
d4e9b307-46ef-4427-a693-6d5f2cb551f5	0	0
7061163b-6a2a-4856-ae54-a68b34803df1	0	0
7ad7a078-a725-43fa-980b-19127efd39e7	17.1436818181818182	1.42871634565656569
e596cef0-a54a-4771-823f-6c873e44e862	0	0
bfabbd8a-c416-4c54-a85a-5f66ad12e31c	16	1.33340444444444439
2781e6d0-8d79-4c31-940e-9b68dccfb764	0	0
7e845e80-3807-4bcd-88fc-5d4f25956b61	0	0
2379ac79-8ee3-41f5-ad49-0dc24277568b	0	0
5e3bab01-c245-4b7f-83b7-ef0913094438	0	0
c54b6cae-532e-4179-ae08-d1ebbb412663	0	0
3f183382-080d-426c-afd3-3bf68f197d4d	0	0
a8562157-c7b1-47cb-92dc-5cda9badd8a2	0	0
4eca4bc5-fdb3-4c51-a97c-e9f163bb2cf2	0	0
5884327c-d799-4463-8266-d37181c79889	0	0
66c3638a-919b-4105-a40c-5b842c62f775	0	0
7ae737b8-212e-41a1-92e7-7f6a527c2bb4	0	0
693d3a72-d07c-4e84-a394-3ca8e6657487	70	5.83364444444444441
a251194a-743b-4412-9758-2f3da9870c00	0.594125249072381956	0.0495172038491462629
6401f282-a8c8-4a2f-8455-e31f849fcbfe	0	0
dbd556dc-324b-4359-b4fc-a4de21f7c16d	0	0
94e6b266-ac36-41ec-9441-782faa56fd97	11.1837229437229446	0.93210428215488228
d116eb86-4449-4610-abbc-516042754e0b	0	0
0425e676-9718-4c13-9488-7dcbfe89c3f1	0	0
fcbc542e-4382-4a00-8e95-ab34de41dc91	17.1436818181818182	1.42883539900252532
7b805dc3-c8a4-4404-88ab-169333d67959	0	0
0cbf5d57-49b9-450d-afc0-1e9b7fff08a5	16	1.33351555555555557
c40503e3-2929-4716-9552-54fd5fa567fb	0	0
ea688899-5026-4e8d-9ca6-c7624ad45c28	0	0
f2c07136-5bef-47bb-8e73-92432380cf6e	0	0
e908fdbe-b455-4be6-9caa-a0d5ac86b06e	0	0
a6b0f9f3-ef3e-4b50-a4f6-b5c60fb68197	0	0
ed24e0a2-694b-4ea2-b347-85cbf7df6a62	0	0
e937a54c-96b9-4d34-be07-b3a1f92053b8	0	0
36ef3521-d236-4359-a71f-a087d37870d6	0	0
08afdf84-39cb-490f-9d00-2a73b50781db	0	0
5119ed20-faef-454f-8313-540e7859406c	0	0
ba514434-0353-426f-9ed9-21c96a02e4f1	0	0
e663a6cf-5eb0-464b-bff4-cdd27e36c05d	70	5.83413055555555538
0ff3c8dc-3e7b-40f5-85f5-fc757f8534b7	0.594125249072381956	0.0495056514137476311
dc33cfa7-3ebd-47a5-ac7e-be0fce019b88	0	0
1887106e-8b71-40b7-8f5f-cee17a4ef86b	0	0
331004ed-44a1-438a-a3a4-a125b8b69f38	11.1837229437229446	0.931886820875420963
8dd13a6b-d175-4ada-b3fa-eff469b46def	0	0
ebbea1ad-7bc7-4be6-a929-b7161d9db8e3	0	0
ea98760d-79d0-49b8-a0ad-80f8cbaefe3c	17.1436818181818182	1.42850204963383831
79f83e0c-e6c8-4564-ad2a-b8d592d60d6d	0	0
b0812ba2-0a1f-4a92-95c4-c73a2142d181	16	1.33320444444444441
931deffd-ecb3-4cd7-8c04-c092b1ec2ab3	0	0
edffc9c9-1c56-4dc3-a111-26f77480ef00	0	0
d7905a6f-08f7-4aac-86d0-cfe7df678c9f	0	0
183bf5db-ce22-4cd7-af3d-310e397cea27	0	0
e2f1c63f-e37f-4799-a789-944c66342ab3	0	0
9d1bd718-854c-45b1-a029-b8b8b55403a0	0	0
8ba28384-b59d-44f5-aa03-70188688e9d9	0	0
610a91a5-9812-4ba0-a344-9f47e55177c2	0	0
5dfa670a-6b52-4ebf-843e-63b9b51fa61d	0	0
7d0b13bc-37f6-4697-afe7-b7a90e42e218	0	0
ad01d9b0-2085-42ae-a179-eb05a9aff1dc	0	0
9f8c0129-7374-447b-a80e-407257e2895b	70	5.83276944444444467
bc32ce4c-0da4-488b-b043-9edaef231878	0.594125249072381956	0.0495195143362259921
b8f7d1ec-f5db-4244-a077-b3e8106f9e88	0	0
6a69819e-4eb9-4904-b7a7-0668bbf90c4d	0	0
437b3da2-9fc0-45f8-86bf-bbf35ad4e689	11.1837229437229446	0.932147774410774455
45cf61e1-e1dd-4f6e-bfd8-5f7231ebd663	0	0
a09b0ec7-15e3-43bb-917f-18629e01e1c5	0	0
b8bf5871-b785-4647-9023-2a11413ca661	17.1436818181818182	1.42890206887626259
825ad5a7-eacc-445f-90e8-c13b1b34d9ad	0	0
7a448f5b-cafa-4a7e-9411-e78778a62dfc	16	1.33357777777777775
6d9b8f14-301d-4247-aaa9-70f810aec954	0	0
e7c314ab-7630-4cb9-bbb4-85baec0c96c2	0	0
81094611-a3a5-4917-b5fc-fddad4e6e08d	0	0
41317bfc-1285-4fbf-a2bc-742b52bf71a0	0	0
23878fcc-3f3a-4d35-af16-80731503c771	0	0
14dd9334-6f67-4cb9-8fee-1908d3e54a6a	0	0
6396fd28-7a1b-4172-b188-6238840ec45c	0	0
caf56f1d-68c2-46d9-b981-6c45ec0943ba	0	0
3f41c853-2989-4e67-9595-70d4aba46c5a	0	0
835f76ce-1d95-4b18-b1de-23d76a2c7ac6	0	0
2c74a040-1c0b-4150-b21f-3fb8327c4c72	0	0
a4ff611a-8e61-4619-bedf-761f83245708	70	5.83440277777777805
d4a3ca08-ad19-4d35-bab7-5ec2f36ef15d	0.594125249072381956	0.0495135730837352669
c2d45328-208a-4f84-b411-46acadf35e44	0	0
b1714565-2b44-40f7-b6ae-71812c800218	0	0
c986771b-2bb6-4ea9-a7c6-a13800e8fc5d	11.1837229437229446	0.93203593718133726
2c4e3df5-d6c4-4fbc-97ff-e6080b4319d5	0	0
352b1639-98d7-4c56-950f-f9fad6ce7e88	0	0
a33c1c29-0e53-410e-8ba6-f07d2db1f5f1	17.1436818181818182	1.42873063205808082
2b45b149-44e2-41bb-96a6-434776ecb2f7	0	0
2a1dd162-4f13-4fb4-95d5-fc7028673bb8	16	1.33341777777777781
ffd51de3-b788-4f68-a6a5-0a2395041caf	0	0
e82e2184-833e-4866-bc9f-70179d676286	0	0
c02acb7e-10b7-44d4-9868-6f72b2fb65f9	0	0
2572748a-aa29-4f1f-9f07-b47f5ee45b56	0	0
76c7c397-ea79-4c99-a05f-8da4a53b04b3	0	0
631effa3-d98e-440f-93ec-6209ded7b816	0	0
422749f4-cb06-40f8-b8bd-8b44e5267652	0	0
580cca5f-4f32-4b2e-8463-6f2a9061dd5e	0	0
7128150c-5c42-4078-bce6-324eaa81407d	0	0
562a5aa3-e720-4c42-aa03-b127b2c4ab04	0	0
4cf73358-2f81-4b62-a4e1-57ae4ad187b5	0	0
af4581b3-ce7d-454f-b2a0-c916df5145a3	70	5.8337027777777779
a82db187-2809-42c2-ab4b-3eebd512b0e4	0.594125249072381956	0.0495135730837352669
3dc7df6d-f5e7-44e3-9c5d-c5233e36bb82	0	0
f3ab1c23-ae13-4d8c-9173-4f8c6a984652	0	0
fdd56f24-e6ea-4151-ae4c-bcfc89fde779	11.1837229437229446	0.93203593718133726
cad3ca11-8952-46cd-8bf9-fdfe201bf9a7	0	0
0ce945d1-c55f-453c-b816-b683ee3fa07c	0	0
0f3a1796-a210-418d-8c1e-e8e8bbfe67c0	17.1436818181818182	1.42873063205808082
6a97becb-306b-4bba-8876-dd61645a7c7a	0	0
04167d7c-dc50-4a45-8bbd-591b9d63a957	16	1.33341777777777781
36a9c86f-d2e1-42bd-8159-78b6423ae732	0	0
83f81257-35d1-4259-bde7-5e4faa37ca40	0	0
5cf18f29-28c3-473e-a7a3-0f70a41b873c	0	0
b49e30b9-3cd6-4e2b-9f5e-269dd800756b	0	0
d0e6e302-97f4-4861-b5e8-30abbe1bc369	0	0
95b9004c-a7f9-4743-8b39-a44356c847b8	0	0
ec3e80b3-ad9c-4c53-8eda-f9d512fb3801	0	0
7cde5341-a7bb-4075-9baa-17fcc4bd412c	0	0
594d5fbc-c906-4110-848e-5f8251acd58e	0	0
7cdbf528-0047-473e-b062-6b29cce8d5b1	0	0
c13f4cee-4446-4dc4-8ce1-e58428965170	0	0
9d54f244-e292-41e6-8bb5-4633700ade0e	70	5.8337027777777779
b3531179-5df8-4242-93d9-58ed757073dd	0.594125249072381956	0.0495157185360235799
d0c270fa-d80c-47a1-80e6-7a9c9a6caea9	0	0
d1f5fa1c-9cd7-44c2-8e8d-7e8fbca4ccc2	0	0
198c8b40-4419-497c-82ef-9c7acf90c9e2	11.1837229437229446	0.932076322847522953
a4466aeb-bf21-48ed-8681-dfda6dfc1c4d	0	0
78002373-a53b-4df3-ae5f-7746cf70b8eb	0	0
c85b963d-77aa-4d7c-ae4e-45c1e9a1421a	17.1436818181818182	1.42879253979797971
47a86f7d-55cc-45c1-a2d0-d1251c61aa02	0	0
e251b75d-e417-413a-a3c4-965f8ec06f05	16	1.33347555555555553
cc5a1d08-a571-4cc8-8710-0238621ed111	0	0
b6d783c0-9b5f-4fa0-8497-fdef88c70441	0	0
c97798c7-4f86-42cf-9c84-c365d3b915c6	0	0
dc8d4697-7bc5-418a-916b-99f251ff68f3	0	0
9bd94839-6afd-4faa-87ae-686e5e2470a3	0	0
8da52504-017b-44c3-a48d-cc25a012eac7	0	0
5b768503-e63c-4e99-87cf-c6ad7671ab17	0	0
484eee8f-9603-4f2c-ae99-38852c2a7699	0	0
56a4d58d-4cfc-4a74-9652-f016c1847e3b	0	0
479d420a-c8bb-4d96-8490-a2195886b44e	0	0
d4a181b2-803f-4ca6-af91-570ca29d84f2	0	0
f51e37c7-365e-4a7e-88f7-7fe286f310e8	70	5.83395555555555578
3b3a1338-c7a1-440d-a078-0388dcb9832d	0.594125249072381956	0.0495115926662383563
b4783200-a931-42db-8ef1-a1ee40e18e2c	0	0
ea1d8f2f-430c-4415-aeb8-17183a3fd55c	0	0
12569743-a0a3-4003-abae-6d723fd1b2eb	11.1837229437229446	0.931998658104858158
6c1f5044-00bc-4d80-a354-a4d108b71ac8	0	0
48351ac8-9862-45a1-aa1d-84c589d3ef0c	0	0
d8c3509b-212d-4650-870a-9077aaec9d99	17.1436818181818182	1.42867348645202008
87e25a6b-374e-4301-8740-f80429d08690	0	0
39f25176-7869-447e-8c9c-61407229edeb	16	1.33336444444444435
c683dd44-4e9f-4bc5-95f4-25c3327dcbcf	0	0
d34fb68e-26e4-4c49-b0cd-d1cfb694b58d	0	0
d8bf9985-d799-4d8c-96ba-92ce3a37e845	0	0
a47f5f12-c74e-41c0-9996-9126ad321431	0	0
dee992ce-6110-459e-b27c-b588c10c8b7f	0	0
9d8d015d-997a-474d-83cf-04fc29b3ce44	0	0
de82daef-d88d-4380-bd6e-e8b4668876b9	0	0
5f24f8cc-fbb4-481b-a25c-5c7ce9cf13bd	0	0
de0268dd-5f81-4836-9bac-a68f55559629	0	0
958bc241-309f-4eb5-8e04-a3ae8f2e85ca	0	0
bee79ab7-ffc5-487b-b705-ae9923a372d1	0	0
6adc2f80-1311-475c-b211-cb12ff352218	70	5.83346944444444393
c16e075b-91a9-4f1d-9667-25cf3cf7b9e8	0.594125249072381956	0.0495097772835328617
7140b8a7-b257-4f5f-91e7-d4e792e05765	0	0
937e131b-675d-43ee-8543-30cbc592d185	0	0
6c5d8001-c10d-4a5a-a328-0426958b77ed	11.1837229437229446	0.931964485618085758
13c92669-42e9-49a5-9940-b1ee04505bc8	0	0
b087238f-c374-45c0-833c-4e17caa879e2	0	0
9bdb8935-5c92-4e24-882f-18bfe7fa8e12	17.1436818181818182	1.42862110297979794
70cd04a8-f73b-4755-9a06-9fd35f70d281	0	0
a70175d1-86eb-4fb8-8bba-73c8c2e6f154	16	1.33331555555555559
2abbb3df-3ee9-4f49-a03d-703decd24764	0	0
51101124-118e-4a06-b381-3df6e8eb9a3d	0	0
2746d7dd-48e5-4157-a739-6c176b543b0c	0	0
65a0888b-6ffc-4d36-af9e-218093d1a9f5	0	0
9ae2a0f6-2a59-4df8-9207-28055b65684f	0	0
31af23f8-9463-4584-9834-b631ecf8da85	0	0
1e04c8d4-7327-4075-8a29-5846a8099e97	0	0
1a938f48-9e1e-40f5-9587-7e97c41c0593	0	0
b113478b-bb50-4411-829a-6bfbfc96775d	0	0
3bb69c19-1f7a-410d-a08a-cc3403d03590	0	0
a144ec6c-14c9-4dd1-8c0f-8d427c1593d8	0	0
548580da-d657-4770-aed8-b7db7b8187d8	70	5.83325555555555564
c53fe030-e5cf-462d-8481-aad208ef139c	0.594125249072381956	0.0495120877706125839
6c7a297f-cd64-4b3f-a028-64cf96b580fa	0	0
60dd82b6-3461-453f-8eb7-0dc0812d50f5	0	0
233e85ce-4a3d-499f-99ab-02d544ec6196	11.1837229437229446	0.932007977873977933
c8cb791e-f5c0-40ad-a34d-9534542c8a0c	0	0
8fb7816c-8af3-433f-86bd-ef50db1f4ac3	0	0
6b11560b-4141-4f24-a924-40d4855a96f8	17.1436818181818182	1.42868777285353543
29d573a6-36c7-4067-9709-27bf59e45957	0	0
1e30f6c4-50d5-4cba-8bce-9e3beb4e4da2	16	1.33337777777777777
7bdd0a88-1ec4-4a92-b432-e6b0f67a089b	0	0
43ad13d3-6ddb-4356-b988-70d816807ed3	0	0
312d3815-6fd0-494b-9f03-1d9a050cdcc3	0	0
0d9b4571-0718-484b-bc82-aab14f79c004	0	0
deebb2bf-096e-41d6-9839-74e798e3a18e	0	0
eb9d3416-822b-480a-af9d-7ada57ba6519	0	0
13806f05-3167-4b0a-bd4d-4b656ecd0eb7	0	0
ed19babe-a3ba-4b06-af64-dd777d8efcc0	0	0
cc0cb2e7-279a-47c2-ad7b-0665014f19f3	0	0
8c93695a-07c3-4a2a-acd3-f0f59b3cbbfe	0	0
200aa86f-2624-400d-92aa-0ec567a994fb	0	0
4d046bf3-2743-406c-9dbb-e3726333cdd3	70	5.83352777777777742
8b97c325-a5a5-45bf-9b3d-98413b4b61ce	0.594125249072381956	0.0495206695797658497
134f8f23-62c8-4762-afd1-dd5e64b79eec	0	0
5de7c20e-7c08-4469-8a3b-0e6c9a4c66b9	0	0
e21fef9e-6341-4f0f-a7e7-6db9f2e24922	11.1837229437229446	0.932169520538720597
ca68eecf-ac06-479e-b74a-a9b5a5f34325	0	0
fb1ff13a-601b-4e65-9dee-215d403b1f20	0	0
4f050096-2ba3-4b81-bb85-52ee99ebe8dd	17.1436818181818182	1.42893540381313122
ad86c0df-f906-4838-8011-e0a3dafbd511	0	0
04cc0946-381d-4bd3-a9d0-2fbf9dc61f16	16	1.33360888888888884
7bdf7f09-cd37-4cfc-bd0e-f60f27ead20e	0	0
ccb299dd-8d32-4559-a9b2-dfa45f6de3c4	0	0
6245e796-98ca-4a87-8364-69fa122cfa16	0	0
d8ce6d03-b83d-45a8-87d6-6f30ac3e5862	0	0
ac971776-353b-4f55-af12-8de35d70e6e1	0	0
3ddfafeb-6834-444c-9b8c-30504f8cb80b	0	0
75cf50ff-1c46-4ef5-ac44-f07497ebfba6	0	0
f0c0ec46-1efa-43ea-87bb-fb561801ae40	0	0
7726dd30-83b4-4280-b6c2-a92ae93d7939	0	0
f072217a-5eda-40b6-96e5-7bd5027253af	0	0
558bf89b-beda-4c0b-b7b0-a6b02bced921	0	0
bba883bd-7a63-4c04-a0a3-db4f684659d8	70	5.83453888888888894
68944e8e-bdb9-478e-931d-7a34b09015d3	0.594125249072381956	0.0495137381185266762
d201cdcd-7571-4aab-8846-8d88df7500eb	0	0
d82a3ce8-bc14-4f23-8986-4c8442fda5d7	0	0
04e2da3d-f80c-4820-bb4b-04a66c72909e	11.1837229437229446	0.932039043771043851
7a5ead7b-f777-4da9-9404-465e347d9040	0	0
7ab82594-c00d-4cfb-9ccd-50a72b352af8	0	0
c1b12e2c-4bf7-4e80-a2fe-d1b0b719a925	17.1436818181818182	1.42873539419191919
0b9d98e3-9cf4-4f8e-9473-0a562068ae47	0	0
be4dfced-dfa7-4d28-ab34-6066aedd8a22	16	1.33342222222222229
306c7585-b845-4a6d-ac5a-97bed4959b3e	0	0
eeea87e3-62ff-471c-a89e-c2d1ba0643c7	0	0
962fc895-7239-4c6e-8211-fe458c787dd8	0	0
753f76db-f3fe-477c-93e1-369df771408c	0	0
640b9691-ec91-48c9-8f1a-eedbd6abbdc3	0	0
690fbfa1-e9bf-40d6-a319-2055736bbd81	0	0
45a76474-4a65-441d-b80b-35d7a31d3a03	0	0
b9cd8da7-ca01-4981-8ee5-fe962bf0b5ab	0	0
eb8d2be2-e894-438c-bd39-0b799a717662	0	0
32557e99-38ac-421a-8489-eb369de4cd02	0	0
0a9cd725-3395-4bba-92d2-8ac7f2d529c3	0	0
43a8e7c1-dafa-4a0c-9b40-b097a171ac44	70	5.8337222222222227
8fc040e1-6640-4414-b0b2-de1aad9ff3e9	0.594125249072381956	0.04951505839685795
d7ac1650-c47c-4bcb-b47a-599548e32c6a	0	0
3f2e6397-d6ee-4094-a577-843ae848cde8	0	0
5e4bdf33-6ae1-400d-872c-7c77fb63c1a8	11.1837229437229446	0.932063896488696586
9211a8d1-9134-4427-a495-241b74901478	0	0
3aeec15f-7e52-4554-b8a0-83015e034617	0	0
8482f56b-ba85-4c0f-aca3-4060712108b0	17.1436818181818182	1.42877349126262643
c100f4fc-bd53-4f80-92e0-761eacc76a6c	0	0
c50f4726-2e46-4521-aa91-f990ec7a6609	16	1.33345777777777785
03c7c76d-0c36-43ec-b376-e6ef9b10aa98	0	0
540b1acc-9b40-4f06-8aad-9a6627585579	0	0
c46311df-c060-49d6-8cf8-ef68d1ceb1a8	0	0
5e63d820-4ff7-4953-a57a-83f0ab299eec	0	0
516d81ff-7dc7-4610-90a3-d880b937dff6	0	0
81bab6c5-4118-4f17-b3c4-c216065fe4f4	0	0
1aaf84c0-2705-4225-9b69-02dc0387d164	0	0
3a43c371-3563-4dab-8267-8c030e3a5ece	0	0
7e343cee-b5aa-482b-b3d2-6b3c9f910877	0	0
5f8085f4-c74d-44f5-b236-0fd5fb98a659	0	0
42e7f7dd-9c9a-483d-aeb8-c9f02d65ddd3	0	0
d3b13a4a-b581-49b1-b5c1-fa3178ded7b8	70	5.83387777777777838
7c6c2bea-57e3-4ae8-9e50-ea64d87b8b26	0.594125249072381956	0.0495198444058088105
d3c7cf50-53f1-407e-ad10-08a396d36345	0	0
85c73d25-5b35-4090-9e52-c4bc52377aec	0	0
6920bc7e-122e-4a2a-a855-842b96bb9f68	11.1837229437229446	0.932153987590187638
71f5c395-4d6f-4f2a-835b-985e93523251	0	0
bce1c5ba-0ddd-4d68-a336-d8f85fa70f7e	0	0
7f30fa25-dddb-417b-b1d8-057c50c62e9a	17.1436818181818182	1.42891159314393934
7aac111e-419e-4f43-beaf-071508c6b5c6	0	0
31ce0abc-d704-4a1e-b367-f06ebc789729	16	1.3335866666666667
91846be1-1307-4c67-9556-ad3a277c3d69	0	0
aeab0cb8-30bd-41f8-bade-35f75d88c6b7	0	0
44bdf934-9c92-494a-921e-f145c33dd14a	0	0
80a80bf5-df51-47cd-ad7a-1ea4137c3c55	0	0
e4a195b2-c932-4d48-b95c-b93da85a25d9	0	0
74886c4c-aa31-4829-94b8-273529de9c2d	0	0
a7b0a2b3-9b3f-4fc3-bf33-1504a4cef79c	0	0
1f83a491-9d62-4233-b0e6-d547eab0d272	0	0
b0a72605-ce1f-4a05-a482-93a6a3a57b8f	0	0
3360cd67-a2c3-4f34-9d60-2286bf3c1332	0	0
4a45d352-6007-407f-bc02-3097cfc8ac69	0	0
a8a6d390-f4b8-41c2-9b28-47ea29f85b4a	70	5.83444166666666675
0e4b45ec-70c1-4224-8f10-4e02571a63ff	0.594125249072381956	0.0495102723879070825
024b7a54-f8d5-4f86-9898-a766167a448c	0	0
99afd954-f6f0-4300-ab18-01fed83300e2	0	0
22b5f5f0-8fe9-45c0-8a92-0112d9891135	11.1837229437229446	0.931973805387205423
38bb4709-70e0-4dfe-ada3-44c9c4f28e5e	0	0
5700025d-f651-4608-b274-5fbb0c34f0ba	0	0
3f44e9c8-c405-49c9-8f37-450f5b80d9d8	17.1436818181818182	1.42863538938131307
cd9f903d-cdd2-4df7-9273-e6cdde05d358	0	0
1affd96f-d197-4513-92b7-16f2bb61eb89	16	1.33332888888888879
4bd1ff1b-f658-4869-8421-8ba70980ff34	0	0
9d728c2a-a1c8-447f-8f76-710ee5c2afcb	0	0
53b14d96-caa3-4734-9c57-f6a7c147cddc	0	0
b5b719f0-41bd-4235-8744-674f47c9a11a	0	0
b4263b73-c047-4e52-97ce-a2d49c733278	0	0
b2875177-59e1-4618-b184-1fb4531d188a	0	0
6584bfdb-749b-4035-98dc-0cd1b95c341d	0	0
812e964c-b52c-4f45-b5c0-c4d4dd322329	0	0
60e54d2a-f505-44cf-a878-fe0ff9cb7cac	0	0
49b3e0dd-d009-4c05-bf4d-bca0866435f6	0	0
bdb50459-1d98-4ab6-99df-0ce5fccdd9f7	0	0
902a4d86-a87d-4af5-aeee-36651556c345	70	5.83331388888888824
3d1d3f38-a78c-49bc-a036-444f7053b471	0.594125249072381956	0.04951291294456963
2ce7f351-8f82-4c80-9e8f-dde998388c5b	0	0
d7c45a60-b477-48f1-8f39-69f1e70a855d	0	0
7305bc67-6a7e-41c0-a615-def881b2ce8a	11.1837229437229446	0.932023510822510892
28d55165-a078-4c54-8bae-bad6bf04f912	0	0
0ba5b211-ebe2-407c-a793-bdaa7bab289b	0	0
fda037b6-84dd-4eb5-b37d-211caa8453ae	17.1436818181818182	1.42871158352272709
741cb5a0-0547-4e93-942f-9f997cc75115	0	0
e76f956b-481d-48c1-a9d6-6f10d3e1cf64	16	1.33339999999999992
757b2c3f-2703-413c-b1e5-bc6175b8b13d	0	0
9b47a32d-c6e2-4943-999b-b9a59459bfb4	0	0
43194f15-5bbd-42b7-b12d-9cffcfde1c14	0	0
387ef6d4-6d76-408d-9d33-2c2d0066ca73	0	0
8ee1726f-e1ac-44d0-a8ef-e315f9ccb629	0	0
51a6a70a-f3f5-49ee-aea4-269f9baab544	0	0
dd910ba5-d842-4ed9-9271-d8d5d1a66422	0	0
79920df7-82b4-4bf5-a275-6e4b3e32a658	0	0
245198ab-e599-4eb9-b32f-aba0f7d8ed7b	0	0
7f5deade-7b14-4326-97e4-15a4ecda3a84	0	0
016b5c7e-d5df-4a13-9984-8e0df35c10c5	0	0
810602f8-443b-43d3-9019-50aae339bdb6	70	5.83362499999999962
5e27c243-3c6b-45f3-91e2-41d83528950b	0.594125249072381956	0.0495135730837352669
917f7664-fe26-4073-9609-c8dfbdfaf633	0	0
42678fbe-8c11-4ffb-a3fb-c29362b487e6	0	0
b209a1c4-bf23-4b4d-bff5-d8bb8ce84c6a	11.1837229437229446	0.93203593718133726
c7991cc8-0605-471e-b804-2ec79940cf6a	0	0
79528b0f-1404-4896-9b59-dabbd917dca3	0	0
5e36e48f-fd36-49f1-9480-06a861b6c08a	17.1436818181818182	1.42873063205808082
a0555ad9-463b-4f06-9a69-7ec8f13f73f4	0	0
f1822142-23b5-4cd4-b12a-66135a32e13b	16	1.33341777777777781
78032a72-164d-4cfc-af08-59800017ccb0	0	0
e468c62a-983a-432a-9c67-6e4a0c763e78	0	0
b928bd5a-f54a-410a-a8af-b4cd7ee54931	0	0
3403a5fc-4c22-49ba-86fc-c0584177651c	0	0
5d70f467-f52d-4521-8dfd-8856b3be958f	0	0
e20c77cd-cf7c-4a6d-8022-6a1ed87e47b7	0	0
faf3672d-035a-45ce-ba10-6edca4c95dff	0	0
ae43926b-9944-458f-aff1-8376db2007ef	0	0
ec4bfe3a-9d41-43a3-b87a-ca81ecef0059	0	0
bb646633-b1b5-48ed-b8ac-898bb30f2a58	0	0
e5e808aa-85c4-4d86-8d50-dbfca42747e1	0	0
46b89f31-acc6-47e9-a7e7-0f068aab257a	70	5.8337027777777779
333c7281-4e77-421e-bb05-6cfa5ed89815	0.594125249072381956	0.0495110975618641355
60f801a5-ea0d-4344-a71d-dec06d68e7c6	0	0
b2e97550-286e-463e-a744-54d0eedfceda	0	0
4e097719-90c0-458d-87d4-da14062b7fbb	11.1837229437229446	0.931989338335738493
028e275d-88b9-4be1-91b0-7a91dd0e0447	0	0
8c5d57e7-b05f-4200-9cb4-25674f7b4b5f	0	0
0c6ae7b1-b46b-476b-a8aa-4747250ee255	17.1436818181818182	1.42865920005050517
7fe942cd-ce7b-47b7-90e0-bd8ba56d85c1	0	0
47d187be-76d3-4a27-b567-f0635bcf9a18	16	1.33335111111111115
565120b3-e0ff-4bcd-a575-7ae771a1989c	0	0
3d981704-2799-48f4-9d4d-9c1d36ad146e	0	0
03ed63c2-fdf9-47f5-bb57-c1a872d3def8	0	0
18921b96-d62f-4fb0-87a4-1b03a722c6d7	0	0
14bd5296-6e77-46f8-a54e-1ac0a174aea1	0	0
36e1c34a-93dd-4b33-96bc-3ad9bf3e8aae	0	0
6169e282-acd7-469d-ae29-d10aff295be7	0	0
d67e30fe-a808-4a5b-a0dc-3a520b4b4b22	0	0
170f7d86-c061-41e4-bc37-dabfac6b605d	0	0
5dab621f-ffcb-4c34-bca7-6362911d90d1	0	0
2ddc06fc-c264-4020-ad73-7cdfa9fcee28	0	0
a87d9ff8-da0a-4bed-8306-40c42a554d4f	70	5.83341111111111132
df45ca01-cdf4-4288-bba7-e8ca98a64503	0.594125249072381956	0.0495117577010297655
8ccadf5f-d245-40e2-b398-6d7d9382e5a6	0	0
5080d57d-239d-495f-8f41-4ec7320e8a8a	0	0
1c83f5ce-51fe-43b2-9da6-25a1d57aaa69	11.1837229437229446	0.932001764694564749
b5323204-36b3-49b4-8d70-568f1009c6de	0	0
87597e4d-1ea1-4731-b52a-6116ba1b16a7	0	0
920084d8-03e9-4c63-922c-25eaa269cdd0	17.1436818181818182	1.42867824858585846
b473b416-1ce0-4039-a915-0cc207c90ac1	0	0
4329b8af-5e31-407e-a8a1-c34798995dfe	16	1.33336888888888883
36c4a3d5-ff3b-4fb7-be31-2df52e3f79e8	0	0
dcd3cf91-7067-4efc-85f0-3a586c3abd04	0	0
80f68ad7-199e-4ee4-b1c1-3b1cab60a393	0	0
fa95c118-ae2b-4dbc-a826-e1d5cb8a7be3	0	0
7302aa0e-0918-44bf-b4fc-756533668bb5	0	0
fd6214dd-59ae-4ccd-82e1-04b7c547d6e4	0	0
c7ea6510-8649-4beb-a099-75d1bd9dbaac	0	0
da7c6972-7cbf-47dc-8403-dbed5f3ae5ba	0	0
dfa82371-e78c-4037-bfa2-e624d1f5e971	0	0
80e871c3-a3fc-4f0a-9f95-b7beb99e52f9	0	0
79eaa929-464c-46ed-9c0a-f28db5b45b44	0	0
24ba7e5d-542f-42e7-98cd-05063fc62a74	70	5.83348888888888872
e32fc0d8-96dd-4171-aed1-54f1fee2c864	0.594125249072381956	0.049511427631446954
7d2db137-bef5-4df0-90bc-6ea308273726	0	0
4e074fa9-34e2-466f-8ae2-e817d9845c15	0	0
bf8b6622-0f6a-499a-a0a8-26997f41df16	11.1837229437229446	0.931995551515151677
2cf408f7-b37f-4c18-b32f-499ada467adc	0	0
7c2a2d76-e645-4659-b5c0-f90e5b4bcc07	0	0
ab5c4c32-a909-45c1-80d5-8eea0fa1f90c	17.1436818181818182	1.42866872431818193
bfbca9a0-6bb4-4e05-a43a-6a6b32d5b4d1	0	0
84b607bb-9de0-4b33-a03f-97ab15551485	16	1.3333600000000001
ec0b5b40-d28b-436e-b77c-4e04d8268809	0	0
d1dae369-6f77-42da-99c9-54230e54a917	0	0
b015104a-f6bf-44f4-b74b-6778cd5a8410	0	0
ff4db0b3-21a1-4fa3-a18c-29354605ea9c	0	0
fe229940-4344-4f4f-b19e-e8e211094298	0	0
5c986a1e-363f-44ce-b7da-fdda39fb1cd2	0	0
d6749185-8038-4f6f-9067-861420532fb5	0	0
d5bb8860-7ac9-417e-9534-ba03de33071f	0	0
5a4f93d3-0f65-4238-a3a4-db54eaf0e2c9	0	0
61d359b5-e0e8-4be2-bd43-2b1656b7d073	0	0
fdaaee90-211d-42fb-a219-466daee5cbee	0	0
e0fd3ea1-6cfc-4f77-8bc9-b5324d2e4b99	70	5.83345000000000002
7a094cf3-6c29-4472-8c23-9bcb558e5961	0.594125249072381956	0.0495196793710174013
7e0f8f42-838b-405d-8340-61edffd9271d	0	0
b6a17767-210e-4050-8c51-733463f8fb99	0	0
ace2d56c-f636-4612-b8fc-48537b7bf5fa	11.1837229437229446	0.932150881000481046
c883a874-dbff-48fe-a34d-4264c91921c1	0	0
6dea9ddb-4392-41b0-90d7-a2420e4124af	0	0
460ced66-9539-4871-b211-3a2ea26997ba	17.1436818181818182	1.42890683101010096
387a11b6-351e-4292-aa04-e064e98a2ea6	0	0
bd91a30e-4a8e-489f-a142-b252095a4a81	16	1.33358222222222222
078f5681-3bd8-4445-895b-3060114cb688	0	0
c87d53db-272d-405f-9beb-c9bc4128f47a	0	0
783df3f5-bd58-4bb6-ae80-721b0a9519c5	0	0
ac49c8b5-562e-4921-bdd7-5f6c7709b4fd	0	0
db3aeffa-8eb9-44fc-99c4-0a6171b5f9d5	0	0
62b7289f-48b3-4747-b594-db2387cb5f44	0	0
6aa439d1-fbf5-4405-891d-3e14efe711bf	0	0
baff1d15-f826-48ee-8ff3-2befdf5abd4b	0	0
a63b32be-7f9c-4603-b35c-b8c5c7873c09	0	0
f14420c6-4e7d-46eb-b304-512e945681b1	0	0
354d3d19-c6dd-4bda-915e-e5d5da876f3b	0	0
0d6bd045-9225-4f74-b44f-aac33ef03cb9	70	5.83442222222222195
3e144332-4c63-4b20-bad0-196806cdca0f	0.594125249072381956	0.0495139031533180854
6c76a272-b37e-4ef2-9b49-f161e866f5cb	0	0
0173ff39-e6f5-4916-9163-8096ee8bdff0	0	0
39c75309-c724-42d4-a3b7-feaf49942166	11.1837229437229446	0.932042150360750554
bdf8d536-1c63-4c8e-a860-7b09a105ec9e	0	0
443d51af-1b3c-4be6-ae5a-ccd61db40a6e	0	0
0230f4c2-9f11-4521-b17f-b610bec956a5	17.1436818181818182	1.42874015632575757
1cc07004-028f-4770-a34d-cf421d8cf977	0	0
1ce0fcb3-87b1-438d-9c00-d0caf0ff9708	16	1.33342666666666676
01b016ab-aca5-433d-b15a-492bfb83e80e	0	0
be06354d-fb57-4826-b210-9dcbfcca4921	0	0
fcce33af-f8d0-4313-a98b-3f50ee80e0e7	0	0
db389dcf-5055-4147-b68d-3027341dc73e	0	0
4d19488f-b72c-4995-9ab9-37485190a776	0	0
75d5f9c3-bb43-48ed-9fca-3d4bb5aac190	0	0
8edd8435-d2ba-4320-b9f9-b8f1aa26d349	0	0
8554870d-e66b-4f10-81e0-e2d841293838	0	0
fb8b6f6f-e8ed-4c35-8a0f-151f0d6f7037	0	0
9fa9655d-bf7d-4bbd-8995-d25ba32d9dee	0	0
8c1fa003-f87e-46a3-bb5f-ad07b92922ee	0	0
9ac124f1-7607-46b2-8fc7-f0034d1da0ac	70	5.83374166666666749
5564f5de-64b6-46e5-b139-67199a1a10f8	0.594125249072381956	0.0495130779793610393
d4a8c2d3-a61b-418a-ae8f-9f0566d72219	0	0
f16c79c2-f21a-4106-9e60-9cc6f699de08	0	0
5245af57-0621-43a2-a360-c1358b9b3d85	11.1837229437229446	0.932026617412217484
40c9ae56-65c9-43db-a70d-adfd4345be7c	0	0
da238331-40f3-4004-94ee-8d7b161ba6ac	0	0
ec12b5fc-ad96-4ee4-a785-de5559031077	17.1436818181818182	1.42871634565656569
06756106-9218-4b91-8d4e-601228a5c60b	0	0
ab5f6716-5088-427a-adfa-38d88f6e917c	16	1.33340444444444439
280312ab-2681-4f0c-aad3-1ba512f3a81d	0	0
ae4008c8-aed4-4913-a466-44d2ac442362	0	0
718e486a-97e4-4eb5-9938-1e640c2e8967	0	0
540eb564-89c4-4439-85a3-6e4a601fa074	0	0
4b785d09-f64b-4129-9d02-3daeaa19f25a	0	0
cd316828-c61c-48d0-8e94-3bfa307f7e9b	0	0
a74f19d3-f670-4038-8f12-7d173d07191c	0	0
01f546ca-b1af-482f-b83c-4e0f78f4fbaa	0	0
243c9752-22d8-4a28-8a8a-86824c7d69e5	0	0
ff22e7f0-5f68-4d18-89e0-9bda056d3e22	0	0
c05dd645-5804-4662-8e96-bbf3023b1996	0	0
0e8beb07-57c7-44eb-94d2-d4eca062ed2c	70	5.83364444444444441
5abb5ec9-93ae-41e2-8709-81608bbe6214	0.594125249072381956	0.0495097772835328617
fc958fa8-7ef8-4366-8fc4-06d34627ba6e	0	0
51ea7e04-4c07-4954-b860-3d8a5b417bca	0	0
c51bc900-1196-4908-9dba-21467a1a0a01	11.1837229437229446	0.931964485618085758
0c7c0c17-1936-4d5d-a490-311711acb983	0	0
83197063-3676-496d-bc53-9bfcb082b6ad	0	0
0d9a41c7-7f14-4ea0-b26a-761f291b8a4c	17.1436818181818182	1.42862110297979794
39ca06d1-714c-4143-8196-e8e9853ec051	0	0
13f0b35e-c907-4c02-8dad-f59851611c01	16	1.33331555555555559
b0724623-7acb-47b9-8203-5b9d67a6f670	0	0
00f23b55-4df8-499a-9835-3b959057b10a	0	0
c9d9052f-a8fd-4116-99a1-065d2c17eac4	0	0
0960ba31-bd4e-4c0a-9e89-6140f6a64ea7	0	0
c1c5d62f-5cb0-4e00-ba62-d06eec720b7a	0	0
ba9c1406-8cb4-44e7-a9ad-929677cefc89	0	0
74e3eb48-dae6-41e8-9333-558edeb53bf5	0	0
7e736d0d-a2a8-4339-b239-101243ef1999	0	0
15101e87-e66e-435c-96cc-9f320769be06	0	0
0ca06408-fbe2-4d7a-9612-c24945920816	0	0
bea4ed45-2b67-4d72-b063-da9d5ad6dd00	0	0
ad1f5202-29ec-4883-9e02-d300a7e26a65	70	5.83325555555555564
0b1a1d8d-dfc4-4d84-b5e1-34e376039c87	0.594125249072381956	0.0495188541970603552
5b5e0b03-727a-49c8-a5a0-8674a9fdc382	0	0
d9d257a1-e3e5-4787-bce4-bc6bc68ff1c2	0	0
709b0d5d-a9cb-4e52-bcd6-a8535ad6f1f7	11.1837229437229446	0.932135348051948198
fa1818e9-a2e7-4caa-a074-dc8e2c72fd75	0	0
a57f40ae-34a1-4ddc-b5e2-ae25274f985f	0	0
ea906a97-4d28-42ae-bf03-fcc6bde7050c	17.1436818181818182	1.42888302034090908
16d4f43b-4665-4421-84f4-47af59bb9e15	0	0
46ea2ac6-ee45-4fd4-b944-35b42a2597b3	16	1.33356000000000008
5d129ea1-36b0-4ed5-a4f5-74957d7805c9	0	0
869ccbc3-b695-4393-9152-7a0448cfb49e	0	0
3b318ac5-6ac3-4bde-85ba-9d500b387e44	0	0
de7cfd31-7941-4202-9e62-0bd19741f016	0	0
d26aab25-5d5d-4f39-ac2a-c7066119f8cb	0	0
bc9ed644-1058-4d08-80ee-ceba82f27188	0	0
8aa3d7fd-fcf1-42c9-8636-9e065629ed38	0	0
5539fbf7-a0c8-44ba-baa1-e7beb1621887	0	0
32445124-a742-47d4-a7b4-0a51e2dd5879	0	0
9f57b667-4b93-4b84-9d73-52b921e6e380	0	0
614f70b6-0aa1-4c70-ae01-a792864d707b	0	0
5e01c07d-29c1-4e3d-850d-44e6064a5362	70	5.83432500000000065
dab02d36-d049-47ab-85f0-05669dde89a8	0.594125249072381956	0.0495140681881094877
5d5c3309-25a1-4214-a6c5-2dec14b402d0	0	0
ade684a2-28ad-4b84-ae42-8d032f2ac429	0	0
38d632ea-d0e4-4153-8f3c-c77de06c0b82	11.1837229437229446	0.932045256950456924
17e0bd2f-df7c-4864-b131-b31beb4e0229	0	0
ddc1a89c-acf9-449f-b9e9-58f36cbb2b56	0	0
03bdbcc0-2fa4-4479-a89b-4a44487ae270	17.1436818181818182	1.42874491845959595
f72166ba-f0fa-4760-8c1f-e75406acb6f9	0	0
1e2776e5-20e1-4c8e-b59c-8230c83800b6	16	1.33343111111111101
322bc0a9-20b9-4cef-a073-7ca5f8fa2bd6	0	0
768075d1-6f8c-44df-8fa2-10763d50d876	0	0
d6c2fb88-66bf-45e0-980e-94114de6fc4f	0	0
ddb26979-61b9-46c1-81aa-f8916b8fdda9	0	0
2691c682-2145-486e-ba38-851d9e34e8e3	0	0
0a97460a-57b1-4724-ad44-9554ac3d357c	0	0
b59f0e16-5bf8-466c-aa94-3621ea681b99	0	0
9e3a71b2-7bc4-4b9d-a8ef-a6905c427a7c	0	0
5383c6c5-0fec-4026-874e-e4904bc86325	0	0
27107054-7231-446b-a274-392b7478f8e9	0	0
0db05910-e44a-45ea-b508-481e29f38527	0	0
b11dd1e3-4d43-4160-926b-a37a68063b75	70	5.83376111111111051
18d6b7c8-3ecb-49ed-b57c-05ab1eaf8dbb	0.594125249072381956	0.0495148933620665407
be44dcd2-194c-4b5f-a9dc-2ad8b12aa384	0	0
a6a29b85-ce0c-4e89-8d68-1417a4bdf4f6	0	0
106fe312-0b13-43f5-a28b-026e68da0c29	11.1837229437229446	0.932060789898989994
d35d3a32-8fa3-41b7-97ba-903e96f9d297	0	0
00b0d9c8-e388-4dcb-b293-7f071159afa1	0	0
d234d4f9-b317-4818-bbba-63dbb14deb2e	17.1436818181818182	1.42876872912878783
77c49106-2d58-4661-9b32-cf46a204cbf6	0	0
11a3de47-a91b-4107-b269-b97a1442c22d	16	1.33345333333333338
7724616e-ac3b-4a3f-9be9-702360e36e74	0	0
e464c64a-51e1-4784-bdc6-53a8d92adffa	0	0
0b838005-9362-4726-97c8-dbaccd798931	0	0
bbbe5901-ea42-4a05-8c73-a2b5d12b12df	0	0
2b28a052-af57-4fd5-b987-14392c2ab247	0	0
ebdc7a94-25d3-4367-9b26-931004fd865d	0	0
1f76752a-5d6d-45a2-b7e8-660b5b592e3e	0	0
998b5e6c-fac3-4e2d-aa44-dc206810c85b	0	0
ebc76892-acd7-4474-944c-47e1128ceb47	0	0
bbb73595-7d0b-4238-9904-16829bf4ec55	0	0
62f43310-20c1-4ca8-a370-f0044a07f4fb	0	0
55c34f22-dcf1-4f3c-a7c1-2b83df545e85	70	5.83385833333333359
b1ddd7d5-7c40-4fbe-a3f8-f0d65701eff7	0.594125249072381956	0.0495140681881094877
281985aa-1cdc-4b28-8a72-99bb5e375922	0	0
3a3dae8c-0122-416f-ab70-4539dafd5bd0	0	0
e93f109e-6273-4041-9e0e-3784844446e6	11.1837229437229446	0.932045256950456924
109465e7-50d1-4c26-9112-c9b75e5bae4f	0	0
466c11ea-0e34-4a41-bded-0688ff8d0eea	0	0
1b5f9181-b01c-44f8-82f8-fec9258f7d58	17.1436818181818182	1.42874491845959595
dff2f9ab-8237-4879-a9b5-b2591b9596b3	0	0
c59c189d-b8f8-4a0f-893d-b40aec734fd9	16	1.33343111111111101
eb96cc43-83da-45e0-b409-5c5d9c78e387	0	0
9091bb3e-4a00-45f5-8766-4963c38e0adf	0	0
20a04ae7-71e7-4fca-bbe7-14fe3727b1cd	0	0
15c21d97-a47f-47e7-85ee-9b80f5d6ed5b	0	0
e6ec434b-67bd-4801-a445-94ed299f8446	0	0
42dec504-8d57-4fed-8460-6604420541a9	0	0
2a873db0-bedf-4222-81bf-d1041104758f	0	0
fb717ee8-3e5e-487c-a893-d85a93bedff5	0	0
d9cfe099-5a4b-4cf7-8161-dfca6e59a52e	0	0
6ce43c8b-92a1-4f5c-add3-bad769733dee	0	0
d046cd62-2f9c-46e3-9e43-7f18af9d123f	0	0
dfbb007f-2cfe-477d-bf34-60e6c93a05f2	70	5.83376111111111051
c023cdac-73a4-46fa-9be8-087172ed6d80	0.594125249072381956	0.0495152234316493592
ae4e5c3c-112f-440c-990a-c1adbe653c5a	0	0
454ad44f-f7f4-4e17-977e-9206aa4b9c85	0	0
0bde587b-3773-41eb-a8f9-6ad715d95ec1	11.1837229437229446	0.932067003078403178
84c9f6af-3563-4de2-8e51-25e91e91dde7	0	0
76844536-fa0d-45ea-b579-69e03e30a33b	0	0
9e0bfda1-4bfc-476e-a30f-f6700585bfd8	17.1436818181818182	1.4287782533964648
edad52c5-53ba-4b04-9715-9875fa0fb5de	0	0
9b9578c0-9daf-4b01-989f-cda339d24b4c	16	1.33346222222222233
91bb48e0-09c2-4221-bf78-0e8acc279804	0	0
eb409adf-3a75-469b-8c3b-119147773f70	0	0
faaec8ea-571f-4438-9ff8-2529bc3e319c	0	0
364fd80f-dc12-4f7f-968e-0eae5bcdf0c9	0	0
9b717367-159d-4f10-9ad8-62a2996b558d	0	0
8fc64ffd-1bfa-450a-bca7-963a6bf8ec40	0	0
7ad37cfd-521f-488e-8cf1-68a08f7ec1ad	0	0
734234a6-85f2-4887-bb66-6785da269539	0	0
62fd306e-dbe5-4920-8947-2570d6d7b4a7	0	0
9d731c0a-a486-48a6-937b-ec4c15e0baba	0	0
835a36a1-b744-4353-b195-41917add8847	0	0
26798361-6121-4895-b52b-05e7618af52f	70	5.83389722222222229
f9ac0f3e-007d-44cd-ad3e-e231207a07e7	0.594125249072381956	0.049506311552913275
542209b0-a63f-4b3c-a6f8-42ffda580867	0	0
46b846cb-55f9-4bab-b3b6-9f97b713672d	0	0
cf6dbdcf-c0dd-449f-93fe-4c0669b1b345	11.1837229437229446	0.93189924723424733
11a9fb07-1b49-49c6-9f0e-02c8d3a8e9c0	0	0
ea760ed5-5764-4635-aefa-c5449e67f0ef	0	0
c3f11d33-2c9b-4105-b06b-c889efa5c198	17.1436818181818182	1.42852109816919204
66259a82-2c6c-46bc-9c30-9f9cbc02b77c	0	0
4494b118-2747-4b06-97fe-6af0556147b0	16	1.33322222222222231
3b6fe58b-973c-49cc-a83b-80e7a6badef4	0	0
8f797038-99f4-4e65-98b1-0431a3662f3e	0	0
efc88016-ff9a-4da0-b8bd-a7fd16aabafe	0	0
56627d17-c926-4a2f-9796-442764dfefad	0	0
a9cef75e-fbe0-49f7-bd05-674dfbf84236	0	0
7d909d54-27ea-42e9-a72b-ef5e246f7e4f	0	0
089ac770-7d82-4213-a62e-7f948ee928b9	0	0
20ebeeeb-c8f8-4227-accf-ad1b20c78709	0	0
e443cecc-d184-44c3-bb90-313d38f05820	0	0
44b775f2-4b2e-4817-9c8a-c0b0f4b28243	0	0
67bfbcd4-0d62-4af4-bf7a-39b73e47720b	0	0
00d5dcfd-afe4-44c5-bbef-d610479791ad	70	5.83284722222222296
e4fae3bb-566b-4689-8343-807e3e6805dc	0.594125249072381956	0.0495198444058088105
963fd35a-4631-45e3-8866-7f140b438edf	0	0
9b4c15d5-50c2-4303-a5f8-89bbe15f3f1d	0	0
2635f3cd-f2ca-4969-a4c0-6a4f70760209	11.1837229437229446	0.932153987590187638
74fdb79a-6d11-46e2-bc94-1588f024661a	0	0
b48b990c-0a75-422c-8b17-7afe21c69763	0	0
887eaa36-5a1c-4c0f-a1c8-858ec1d6723d	17.1436818181818182	1.42891159314393934
951ca848-5394-4f09-9d57-b6c8f111ec77	0	0
c6a57c69-169e-4954-b67a-1ebacafb6e54	16	1.3335866666666667
823d7f1b-2a49-4d8e-880c-ccf7f28f54fb	0	0
29e22784-4a25-42a1-860a-4b585c4d910f	0	0
1096f762-29f6-499e-b1a2-a77cb2b1ec62	0	0
9d6f26c6-ee9a-40c1-8e2a-b6c69980a970	0	0
58f218d2-c6de-47c6-8a64-db471d1c6b33	0	0
8dc6437a-2326-4aaa-9920-5fc469b00885	0	0
893b3596-4ff1-42ad-8637-51abd142e2a8	0	0
c943a197-329f-41d8-beea-bbbbd709de2c	0	0
1505d94b-932f-4532-9171-592717570977	0	0
fd1180fd-c570-4cc2-a7f0-1250ea87a625	0	0
fd146d18-7c92-44eb-b1a0-8ce58d51113f	0	0
086e575d-d1b5-49a9-b55c-2572318ebf83	70	5.83444166666666675
ea2a1660-f6cd-4fb0-b477-9c0bd3ed5204	0.594125249072381956	0.0495124178401954093
a4f62db0-cca7-4dec-8dfe-6f7a4859afe5	0	0
a110dca1-ab52-4dd2-9e6d-6ec67638ef7e	0	0
ac99ecbe-b2db-4764-b7f5-e3ec53ca3d88	11.1837229437229446	0.932014191053391117
90f6ea09-ed92-4cc9-8d00-baafa98ba304	0	0
29cc2f11-17d3-4865-a0c0-0b928d6e0d41	0	0
03536a7d-c1f5-4128-97cc-01bceb60fbcd	17.1436818181818182	1.42869729712121218
63756556-2098-4b27-9e88-8e05245c24a4	0	0
d3c3732d-9e7f-4f8a-b724-2be2a579f267	16	1.33338666666666672
f68b3d7d-e30f-4e92-ae18-fad80cb1989f	0	0
6a612708-4751-415c-819e-d267ca146c70	0	0
ab884078-dec5-45d5-8593-cdae1452c4ca	0	0
19ced4bd-ff8d-42cb-9b68-24d65288276b	0	0
ac24779e-75a9-4312-89fa-bbb73efda6d6	0	0
da40f99e-0bab-4fde-b3ba-c48871ff9443	0	0
d5b81907-4a8e-4287-9836-2fa99d17da3c	0	0
de54c845-3cd9-4bf7-a5b6-23bc315cf7f1	0	0
efcdda62-1d39-4f40-92a8-8e45cbba003d	0	0
b0a25107-966b-43bb-89b9-deddbe99e457	0	0
5d3c97b9-80af-41af-bf38-e56c17970226	0	0
4635ef51-d043-499e-af23-fabd5f8eb13e	70	5.83356666666666701
daa4aa64-48d4-4b5f-af61-cbfbf06ce280	0.594125249072381956	0.0495170388143548537
99d58dce-c6a6-478c-8261-4a33d9b33591	0	0
286262d7-58cd-49ef-a4a2-bb59b8a017c8	0	0
49fc44e2-b998-4d55-abda-d37288f9ccf7	11.1837229437229446	0.932101175565175577
0c5fa211-3c16-4776-a121-b8509f248562	0	0
fa8609d8-9b73-47e3-b84b-1d80148c5083	0	0
80c19fd6-b6eb-46c9-961c-ff793784d84e	17.1436818181818182	1.42883063686868694
43760fde-e01f-481f-a054-73f9ece534c4	0	0
b5174159-86c6-4703-8174-8c7a6ddf58c0	16	1.33351111111111109
6bad9169-7abe-4041-820a-6e6f67a8bc1f	0	0
6449e3cb-a748-453e-915d-f5a149321cde	0	0
17f6357e-6674-4be0-a937-e43b94249ba5	0	0
cac7cbea-9256-4652-9661-6f98e5abb7a5	0	0
da3feabb-89db-4a45-b0ee-37def6f3748b	0	0
f6876211-9709-4267-87c8-76c6f642b318	0	0
329d777a-2cd4-4720-9f5b-d7a440470d20	0	0
9bd37a9e-7076-4504-9a2a-251b4e6cd4d8	0	0
0cace86e-4f3c-4ec9-9f08-88450050b3e0	0	0
4ebe66ec-9e2d-4ecc-b040-47b4b59cb061	0	0
fd81064f-fd9d-49ba-a6f3-7a31e0848b05	0	0
e4cc51cd-af62-4207-a1b8-63c6e58dc58d	70	5.83411111111111147
d6b4f179-12a5-4e83-b68b-9d1769d5c1f2	0.594125249072381956	0.0495124178401954093
b5668449-0bfc-4cf4-94b2-5d62998fffdb	0	0
3c7bf304-f190-482e-9722-caf6f1636b4a	0	0
5b971560-512f-4bbd-af08-a4e29b2984e1	11.1837229437229446	0.932014191053391117
1c28605c-63ba-4cb2-81db-bb1ba665cec5	0	0
5a39caa3-87ed-4eaa-87f0-57a041b19561	0	0
245e7413-1b42-479a-843d-99de84ee6cc4	17.1436818181818182	1.42869729712121218
26f02ed2-5ed5-4af2-b82a-f44fab0fd7e0	0	0
96156565-33dc-497a-a1a2-a583e7e11527	16	1.33338666666666672
2a261a17-5f76-4c21-8269-77b4ec211ee6	0	0
c0205fe6-71ff-4e75-ae45-2fa395e7ead8	0	0
be61e293-8aef-4f1d-b3b2-4c93603ac05e	0	0
d22f1a05-ba8d-4448-80e8-540f68330bd2	0	0
a9a6d1ee-7ec3-4760-ad99-ad94d8a92d89	0	0
9a12a948-bf43-44b9-b49f-acb87d7cb6a1	0	0
dc0acf07-91ed-4410-bda5-23e3c91a46fe	0	0
f6d8a0b2-c2ab-464a-ba01-de8265b999d0	0	0
36a12d92-27fe-40f3-a061-ef4bba3ad234	0	0
9bc23357-31f4-41d1-bf4d-06060543824c	0	0
54f92da0-7683-4f45-96c2-aa43ffaf135e	0	0
371d4578-34a0-4254-a3ea-3e1091fdbc5e	70	5.83356666666666701
4edaa045-1577-4da8-be43-39510ea4f8b0	0.594125249072381956	0.0495117577010297655
172afe5a-a7df-4f6c-b4af-002048f4fae6	0	0
1ed609d8-c8ff-4182-9203-3f5c9aff2310	0	0
e610e626-3cc5-479f-a153-7d2a7589e83d	11.1837229437229446	0.932001764694564749
b41b1bcf-e497-4fd7-8a24-a280f341590a	0	0
8743a59b-84cb-46f1-a424-0a84b0e45eca	0	0
942ec26a-7318-4a44-8735-964c90ab51cc	17.1436818181818182	1.42867824858585846
4fa42ed8-d8fb-473c-ae2b-f2596faf99f1	0	0
bcfb846b-e8a5-48a7-94c3-c1bcea7bb849	16	1.33336888888888883
e648b40d-3eb1-415b-9286-fbc5063dafca	0	0
bc998603-b956-4f42-958b-41aafbdd9010	0	0
5a850ea0-f563-4b0c-8ae3-7960e21cc2b4	0	0
43f2222d-af5e-42d2-8ff9-bd0e0c61853e	0	0
bc0684da-1211-4788-a66a-30aa886a6528	0	0
d62d2b44-7861-44b6-8715-91664e7eb85f	0	0
0cfc6a04-dbe7-4821-b68a-e14ff693d140	0	0
1bfb6f0c-e85d-4b99-9387-17556392633e	0	0
a706df65-a244-4fa8-9895-6b4a39e7603c	0	0
7003b678-22dc-4e78-a2cb-6c6b13c5cdcd	0	0
09015d5a-5663-47ff-b72e-b61aad8db02a	0	0
8ddf670f-f97f-4360-bf59-69f3f4559516	70	5.83348888888888872
22a0ed1b-10d4-4628-af68-f485d32418b3	0.594125249072381956	0.0495140681881094877
56677fe6-455b-4914-ad2a-128da71e3ffa	0	0
b1d1c78d-8ba3-4ab1-b93c-bc75b68baef7	0	0
0cdd32fe-47f7-4395-88d7-ba034e55ec89	11.1837229437229446	0.932045256950456924
d59efc84-068f-4a99-a131-98cbe4ef6a22	0	0
cb45d8b2-412e-4c02-a5ac-63845580e20c	0	0
25396ad6-9e77-4d5f-8bf8-fd0bf07bfbcb	17.1436818181818182	1.42874491845959595
f43c9615-1a7d-46aa-8d43-e037dc383e94	0	0
d9829c94-0436-4831-9401-33eb0fc7c150	16	1.33343111111111101
584aaa68-ef02-4e1a-8b88-dda057db35df	0	0
61c0f17e-cb5d-49ac-98e3-19e0eaedc69e	0	0
10f99ee4-e809-4039-9d5a-55b0abf6b1b8	0	0
3fdcd944-a92b-4ed9-bf6f-437bac7b9227	0	0
0ac8b7d5-e62d-4399-8217-0258c9d38e7a	0	0
4d285682-4c21-4de5-aca8-0341f37a437d	0	0
a4957e3b-734f-4a36-88bc-5a809c1ae670	0	0
b4869fe7-2738-4a73-90b1-46bca53ce7d8	0	0
933e043b-d189-4c94-9b6d-6a36dc897bc4	0	0
17d591a1-ac69-49b4-8735-4a87de45212c	0	0
7dd0b41a-fde6-4941-85a3-b85f283f4aff	0	0
06311d95-21b8-4628-aced-818468a5958e	70	5.83376111111111051
5dd662b6-489f-4e77-861d-ee719e4635c8	0.594125249072381956	0.0495069716920789049
a128d16a-87f4-428e-afe9-77c40896f1e2	0	0
2eb0b86d-07b6-4be0-bd0d-442700fb70c2	0	0
c47c9308-af26-4e5d-8342-7c6105081759	11.1837229437229446	0.931911673593073697
e52f099b-676a-4179-92a2-2f05d3d8be6e	0	0
b1127d46-64e6-432d-b341-d4be8a2d67b5	0	0
c7b1e7ec-4a1c-4bae-b1bf-0a7b30ce7077	17.1436818181818182	1.42854014670454554
d4df3ef4-70b1-40a8-8667-b3b3f4e0714c	0	0
92e1bfad-4ca2-41a5-8fc7-62caf5307c3b	16	1.33323999999999998
3fdc1ba9-9cd6-49b9-af71-33b89311732e	0	0
ed0c018a-5747-4f5e-9b4a-ddcca1ae1d7e	0	0
0e8c39e4-3642-463e-8a09-1eb532f5d2ee	0	0
00cd0f93-0cef-43a9-b991-a13b139623d6	0	0
bf328906-3f8b-47ef-9c3f-b178b15d9c0e	0	0
6b769005-155d-4ab7-a0a2-65b9abd05eaf	0	0
31340ae1-bc08-4c6d-bbd8-db10a13b0d2a	0	0
6fcc08e7-a0b1-4438-b2d8-39d8d046207e	0	0
d47d9ebc-2143-4e1a-b27d-bca6b872b0b5	0	0
e63e7d5d-7ee9-4352-a2ca-09b03caf1855	0	0
01553ed0-9db2-470a-beec-d0f097ce9224	0	0
3f2cade3-d546-4d47-aab5-c21e77d32a75	70	5.83292499999999947
2c95671d-cf49-4812-97da-81b95b5204c5	0.594125249072381956	0.0495193493014345829
2e87ca06-ca7d-45cd-a48a-525b06826066	0	0
59b58045-72bc-461e-8939-6e420207feaa	0	0
3970bee7-4f19-4241-b2cb-5d271c3fa1bb	11.1837229437229446	0.932144667821067863
435c0792-9240-4c45-ab60-bc74a460d626	0	0
db638866-be6c-44c9-93a2-dea2b42183e0	0	0
db26a0cc-23a3-45d3-9346-d78aa1e7399f	17.1436818181818182	1.42889730674242421
72f37fa7-8a0d-4121-8f89-88c50178f6fe	0	0
b6ec1033-f1cd-46e8-b953-803c17ba19d3	16	1.33357333333333328
85443535-aedd-48b7-90da-dbed965a7184	0	0
7a3b2147-50e0-40ba-b308-d9a70a5827d3	0	0
2fea491b-aed7-40c9-87da-00d306a244d3	0	0
c0db4e06-e7d3-4dd0-9c71-84cc511798b0	0	0
ec29ac7d-e012-4893-99ca-a68e31a0dedd	0	0
7339a0e2-9892-4ff8-9c9a-73aabf963079	0	0
df501b47-9ffa-4c41-b703-857a25d8f8a3	0	0
4ff081fd-5be1-430a-a34b-7db5eb2c1522	0	0
826518bc-40e8-4943-b617-424a2b9685d1	0	0
8d63f9eb-8707-4f13-aca2-a77932a75050	0	0
210c9f17-c6fe-4ec0-b0e7-b4d899e9c3a1	0	0
ea91e14c-f361-4b55-9359-3898e080fc8b	70	5.83438333333333325
503d4459-7fc3-4fad-b034-369743dbac80	0.594125249072381956	0.0495153884664407615
2b8e26a6-0792-48ac-8cad-2738f417de0b	0	0
7c5a1c6d-89dd-4f9e-a07e-fb8d36d9302c	0	0
7ffdbf33-ca23-40ac-a2e1-e81c0f1ca966	11.1837229437229446	0.932070109668109659
2ff983be-bfba-49a8-becf-4f7e9fdc19de	0	0
80eb53a6-3305-4f08-b879-6cbb0657ef0b	0	0
537f6cae-1781-4b18-9075-e43097fac596	17.1436818181818182	1.42878301553030296
4d5536c3-8ab7-4de7-a41d-d20d455d5805	0	0
13aeea84-0caf-492e-b45d-6e39f81b85e7	16	1.33346666666666658
aafae5f1-9fa0-48a5-80e4-417d8efa9b45	0	0
e9f70c6d-e9b6-4466-840b-db15541404e3	0	0
e45824cf-9c73-4b5a-adcb-20342cef56fe	0	0
daaa9423-910e-407b-99c8-2685a3a89fc2	0	0
e4fb3451-e929-40cc-8551-a6e06f63b42c	0	0
21a91740-e6de-4b78-8c9f-8b22b965faf6	0	0
0295d867-76b4-4ad4-8682-60372ca7329c	0	0
21c666b7-e126-4dd4-9f7a-68b9c7536428	0	0
0cf99717-8246-47d4-8a2b-d4b0d14145b7	0	0
d3ee65b8-a3a2-4d93-b797-bcfed850bf74	0	0
4445e255-d852-4e3a-93e6-91911a7444c0	0	0
8c9d702e-bcbc-4c2d-96f1-3aacd2f57557	70	5.8339166666666662
1e5a3738-fd1c-45d1-b4f3-b66afb395bc4	0.594125249072381956	0.0495137381185266762
66a79453-a8b6-4a50-87dc-9c94388fcd36	0	0
d7c426c6-5f36-4594-9e2e-492cb4819d26	0	0
9d53355f-bbc9-49ec-97f9-072d2785cb4c	11.1837229437229446	0.932039043771043851
5617a154-e6f8-4629-93c0-c83ecacf012c	0	0
a0d62c71-b1df-406b-a62e-4be37c76a899	0	0
a4afed9b-8848-4fdc-8d7e-c69766f87122	17.1436818181818182	1.42873539419191919
ec132bc5-d23e-48b5-93bb-ec285253c2fe	0	0
1ad3f350-8901-4f24-bb4a-17f1b76600f3	16	1.33342222222222229
59af6d0f-d4f0-4981-8653-24b5aa89af6e	0	0
b1d61b15-b274-4c23-b12e-9d97452f909f	0	0
4f33fb16-fe02-4658-868b-c1b73e52eda2	0	0
c11bbcc6-6264-413b-83b9-49804a36000c	0	0
613b0cff-2401-495a-a9c5-0a616ebf9de3	0	0
ab5551e3-4d25-4d2f-93a1-be738ed18742	0	0
e01a7658-83a0-41e4-94b5-a86b227cc0de	0	0
65be4f92-5516-4aac-bc99-6cc44bfffc0e	0	0
b09304e2-bc2e-41d6-b497-94581b3c294d	0	0
f375ecd5-2769-49af-a433-ce0bdfd5c36b	0	0
e184da29-876a-4bc7-b776-b910746cc920	0	0
4f6103c3-1a48-45b0-8ab6-98cc06d261b7	70	5.8337222222222227
a0915797-4a40-4d41-a7a1-474373dfb112	0.594125249072381956	0.0495130779793610393
3353502a-2d13-42c7-8589-20ffcaad221f	0	0
44b3a084-74c1-4223-aced-15eb72b5b345	0	0
540321fe-e5e1-41ae-8be6-3324ef79405e	11.1837229437229446	0.932026617412217484
0810e698-480d-4aca-9acb-2b56475d620c	0	0
cef87e40-d863-4639-a951-d92c0200a6aa	0	0
88a0473b-5d7e-499a-8a25-f54ef5472420	17.1436818181818182	1.42871634565656569
b1de30e7-c676-4fd1-b7cd-6f799e4d1f15	0	0
4167ab01-fbc6-4be6-87ad-c92632b1ab0f	16	1.33340444444444439
12d55045-931e-4b9f-8cc9-6448e0d06bf5	0	0
b06155e5-0c5b-4ee6-86b6-a5ebc74f6fb3	0	0
f00a5aa9-cdc3-4a24-b680-647e9119645f	0	0
daafab30-d238-44d6-a70f-c508985be782	0	0
d0744a60-1cf4-4cfb-acde-0a6c8de23bda	0	0
99d459d3-dd79-49a4-9c7c-b68fc701209c	0	0
f535a4e0-da40-4776-8e1b-76f46ad8b392	0	0
f54b8e12-aac2-4525-bb8f-fa2eaf0e6a10	0	0
90cf7d1a-3ca6-41cb-a0ff-aa2c322adf0a	0	0
3083d9c0-250d-4e9e-b90d-2c6c9a4e727f	0	0
e75fdd45-577a-4682-a0e8-0dd0ef9084be	0	0
4f5336f8-96d2-4847-be8c-bdc85393f755	70	5.83364444444444441
6134a79b-c7af-4e9c-b19d-196a0d9c2e04	0.594125249072381956	0.0495139031533180854
aa1bf9a0-b615-478c-aaa6-d2380d1cf4b4	0	0
d5bf2d4c-4041-4fc4-867b-227b7763df81	0	0
fdc8c1ad-6e28-4d9f-a0fd-2cc73847993c	11.1837229437229446	0.932042150360750554
9f599bbe-6675-4704-b4f7-6c132787439f	0	0
d21fe070-1d32-4956-8d75-ff31ef844152	0	0
01319c66-788f-4031-9c71-8d5dcc831daa	17.1436818181818182	1.42874015632575757
09fd0601-020c-4bab-b9cb-b9d7037b099c	0	0
037688bb-03e3-4e89-977b-cfff768d5d2c	16	1.33342666666666676
926a9c2f-633f-4447-8b48-86fbac737191	0	0
96949167-9f56-4507-9076-b04a847aa473	0	0
1d733b61-643d-441f-910a-e3f9b35576b1	0	0
ef3ce3e3-0366-4362-8b22-74df6918f376	0	0
cfdd2323-e0e6-47b1-89b5-3e89398ded4f	0	0
ff8c5ccd-0deb-4d0a-ba6b-37346aafaccb	0	0
49aa2497-56e1-4f1b-80b3-da4c26863429	0	0
61ce4a92-0c58-400c-8a32-53977f9f58b6	0	0
71192109-29cc-41bc-9bed-fbf4ff4c9759	0	0
fb9426d5-0724-4ae4-9b46-e2a708eac80d	0	0
2a6ac71a-74a1-4b92-beec-5a8fb25d461b	0	0
8afe549c-6e9b-4f6e-8758-65500f723b29	70	5.83374166666666749
860567f5-1793-4efe-b70b-f68107dd2bd1	0.594125249072381956	0.0495092821791586341
43d7c6e0-0d8b-431d-b88b-099253e8d1a8	0	0
f66a6385-5fcb-4a89-8428-423465f6eed7	0	0
81b8d606-873c-4e3f-a4e9-6c11d96144b7	11.1837229437229446	0.931955165848965872
8e705206-ef3b-47a4-8fcb-bcaeab88e3eb	0	0
28ee60ac-d2d2-4432-962d-4f391219175b	0	0
feaa3ef0-d039-4159-96f0-5efa66373e84	17.1436818181818182	1.42860681657828281
d459e3a2-dec2-4f7d-a887-ae32f8452635	0	0
e277c1e4-a68f-4e98-af91-ae3f36089d44	16	1.33330222222222217
b3724f62-1e61-444e-bd61-1c45adc8b246	0	0
05f7f6ad-e5df-47c7-af18-3167e5c83e95	0	0
67aae3db-4a4e-44d5-8f2d-8f7bd77c98b7	0	0
0ac3b5d1-7884-41b9-b067-82f1772b044a	0	0
3f22cbff-ae37-448a-b653-f15ed8fde100	0	0
98549e78-0390-41e3-b88b-02811ca190cf	0	0
06b85b07-c040-4164-aa46-6c0d92d97cf8	0	0
b82eae74-7ac2-4473-bb50-f22289b5c95c	0	0
19dbb099-252d-4836-9cae-5d6f3357c3bf	0	0
2ceb8e19-3277-421a-90f0-9ab8a2cfdb56	0	0
7b795872-22c5-4e79-aee1-b2425f3b62a7	0	0
789e74cf-113c-411b-8f8b-0494e1d5b29e	70	5.83319722222222214
94a82cc3-282a-4036-b2f3-2c09763670b7	0.594125249072381956	0.049516543709980626
1dda4b6e-96b1-4520-ae5e-5f0c4c08dce0	0	0
d714ed69-ca98-413f-82de-bbb21aa6b892	0	0
39d63766-b9e9-452d-aa0c-67c3950f0c84	11.1837229437229446	0.932091855796055802
f550e135-2ec9-44fd-a483-b582f0287dfc	0	0
297ac047-82ed-4caa-9db3-04867d555256	0	0
6e2908e3-5e11-42e8-9924-f5a89ee2de1a	17.1436818181818182	1.42881635046717159
99c06b9a-34c8-4a3d-87e3-2a33fc8181a6	0	0
1baf7483-55fb-4537-ac44-c5e650d9cc5b	16	1.33349777777777767
f3898fc1-03db-4480-bff8-f0beac1caeee	0	0
8cae89f1-e76b-44c5-94f6-55947347ae4a	0	0
47a47877-5077-4cad-b75d-ec8d01913038	0	0
b8312c89-a6eb-4479-b2f5-c03a26f03042	0	0
2666d3fb-1a6b-42c4-8677-c187383c44df	0	0
6b38a995-8fcc-4bcc-b66b-da3296d40e61	0	0
b74c8d19-e435-4548-86be-8bfee167a63d	0	0
9ab91475-5daf-420f-92ff-6422144dc1cf	0	0
4121e80a-e257-4442-9da7-2e90dd2dc0d0	0	0
8bc14b0a-0aa5-4a96-84e8-cdb987d0b12c	0	0
c2b020d5-bcd4-4ef8-bb0a-337844fe6db5	0	0
5069620e-80e4-421b-a475-7e03744ccd85	70	5.83405277777777709
f928ed5c-9eb9-4c24-9424-0bb82dca2a11	0.594125249072381956	0.0495145632924837223
d008b46b-f5f4-4910-99b1-06a835065a02	0	0
03228171-3037-41b3-8ed8-0f22a284ddcd	0	0
98aad319-ce9d-4d3f-9fa5-73f83f526965	11.1837229437229446	0.932054576719576811
dba9b475-106d-4465-9185-5c75722d1ebe	0	0
30f01e73-dc0c-4de5-8020-75a0cf0afa78	0	0
894ec301-9dde-4936-b302-b33d7173a6cc	17.1436818181818182	1.42875920486111108
4c70554f-7db5-486f-8a07-0df4cb2bfbdc	0	0
541a20ee-a553-4aa0-894d-39d0db317a53	16	1.33344444444444443
95e852a0-6494-4dd4-af92-ed991e802c94	0	0
531a5aaa-69fe-49e4-ab37-658c778ee7fe	0	0
a5a6e097-2726-48f1-94db-10a14cc47637	0	0
b988d46d-448e-4bf7-9643-d00469610abd	0	0
eb69a04b-0e8b-4343-8bb7-521e16218d42	0	0
aaef1c3f-ee5c-46a2-b057-1765c8c8cd9d	0	0
3c8b730a-a760-4e5e-9d1d-06dce301aa36	0	0
daa61028-3ce7-4b5c-b767-eef2a557d038	0	0
09a44643-60c5-42f3-9f00-c01988f69862	0	0
3d6478e5-9585-45f6-a351-7399c126132f	0	0
0321e8fd-f39a-48a1-88ae-fa7a5f84a193	0	0
3ae8fbb8-440b-487c-9d62-f5e00050338c	70	5.833819444444444
7a55afec-ba14-425c-b887-588b0516a415	0.594125249072381956	0.0495137381185266762
76977a48-22b7-4132-9a51-7fceaf8e2cef	0	0
2b360fd1-6717-4300-b001-97a837f7bd5a	0	0
b99ae484-3d0f-4d0f-be65-e2175e015bf4	11.1837229437229446	0.932039043771043851
65aff0d4-7ac0-414d-83f4-c2ce3f84d739	0	0
33e038f6-ea2f-4f31-8988-984c3435d945	0	0
d5ff5299-15e7-439f-8629-d6c3a694a974	17.1436818181818182	1.42873539419191919
08ce687a-cb4c-4cb5-8275-7ee06bac928e	0	0
e28c2302-c03b-4fa5-8e1b-a61e8c393860	16	1.33342222222222229
86307d25-d76a-4008-9515-58cab498d707	0	0
8adfd065-cb65-481a-9cae-1d7456706806	0	0
6ab564c9-8f2f-4d70-af60-d58a28e4cf1f	0	0
aa10ae0e-7f6e-410a-945b-e7b918639bd5	0	0
73ffbabb-d452-4abe-8a45-f1a0dac30b1b	0	0
67809cd0-b891-40cd-8dab-3d8955952987	0	0
931b7125-c436-44d5-93f8-b48dcfc47f97	0	0
37d764f8-e8ba-4f09-8718-e6df8364f51c	0	0
2fa3e3e9-0726-4fd6-bb3e-5ed6f5ff5fb3	0	0
c7c2ef20-1572-4997-bf12-bad1136b5307	0	0
448bae43-ba2e-404e-98da-581e9b9b2f6d	0	0
774d047e-c1b9-40e5-8394-1e3556b59839	70	5.8337222222222227
338b70b8-aad8-49a5-9d15-8c01078c43dc	0.594125249072381956	0.0495127479097782208
8516ea61-5348-4ba6-8a0b-f46a3f34de2c	0	0
92b1c58c-8985-4d17-8562-a107663ee6ac	0	0
c069ba28-ae23-4f41-b803-5cb05e89f91d	11.1837229437229446	0.932020404232804189
129b0e11-af3d-4df0-8a28-176971e51369	0	0
3a854b2e-40b6-4873-b9f5-929544a1b2d7	0	0
24771316-b391-4219-b7bc-c8ed7da574df	17.1436818181818182	1.42870682138888871
0e7ee0b1-ebf0-4cd9-8c36-1c7d1003e903	0	0
4a27ce83-d8f5-44ed-addc-3fd5696ed0f6	16	1.33339555555555545
e40148b2-632c-46e2-8321-7a6d7eff97ac	0	0
cb7ccf97-ae6b-489e-bc24-4e65bcba6b49	0	0
321ec14b-f7bd-454e-af0e-c568d186c3b1	0	0
345135ba-c244-472b-b901-f8603c8f7e0c	0	0
9e0309b8-242a-48e5-acdb-773970ac3ccb	0	0
0d1c7991-ea4c-414e-808d-7b126b7b7660	0	0
e4bc8309-2635-47b7-86aa-874cde3d45ca	0	0
7b209b2b-d6bc-4ab7-b975-df40b33b6aec	0	0
c0030214-748b-4e0c-8c34-28e8a54702fe	0	0
38064e93-8047-406c-921b-ed232cede43a	0	0
f193149f-b1c8-42e8-9127-51db078a54a0	0	0
48b9f254-f8f4-4ed0-949b-b6b94822ba0a	70	5.83360555555555482
4c498f37-807e-49b7-9a5f-bcca7a448780	0.594125249072381956	0.0495162136403978145
99568ab8-a37e-4c3f-b84d-aa8c0465f67e	0	0
8502097d-621c-40b3-b1c1-240fe6c37a33	0	0
8bc829d3-3571-4c76-8423-f612bd6841f6	11.1837229437229446	0.932085642616642729
7e2fe33d-8369-4148-b0a5-1055fb6634c4	0	0
9fda1045-7913-4451-a804-9eed8a1033ef	0	0
776f69d3-9e51-4d13-a2ae-52665fa9f667	17.1436818181818182	1.42880682619949506
c28a95b7-51ed-4574-a162-b3c27b22f374	0	0
adbae0c0-6ae1-4ef7-93e6-24efae0b3451	16	1.33348888888888895
f8937554-5c54-45c5-b0ab-20195e3799c3	0	0
458e1132-6d05-48b1-8fd3-0da628cfa410	0	0
b5e68d3b-4fc8-4584-8531-f559390bde5f	0	0
e96ace7d-14d6-4325-a247-d7a03595b397	0	0
a699a6b1-ac55-46f1-80bd-edb4c48fb638	0	0
e983d4a2-9c2a-4357-a671-6bf1624fef3b	0	0
2e3207bf-d36e-44e6-a090-28a957c3aadc	0	0
afd8ed08-68b4-471b-b9ec-4af70d8d3bb7	0	0
f23ea046-3474-4005-accd-da77e0212723	0	0
b8ff8f64-55a4-40ee-be9c-082b0b0ca3a1	0	0
b2cf8256-8b5f-4651-990d-774f224d3f9f	0	0
05b87edb-eba6-4d81-afec-35c775194da2	70	5.83401388888888928
7b102c38-8187-4b7e-9598-cb78a10f4936	0.594125249072381956	0.0495096122487414525
9af3c30c-3952-4af7-8fce-8cbb973e3694	0	0
19a34531-6919-4b52-976a-76fc4d339163	0	0
7b1bb233-bdc0-46e0-a706-9d9d05bd2482	11.1837229437229446	0.931961379028379056
6b61f179-a8dc-42c4-9415-94410a69875a	0	0
34ff2c65-477b-4e2a-88a9-8c12320c8368	0	0
523ad77c-45dd-4588-8470-841fdb84fcbf	17.1436818181818182	1.42861634084595956
01b1d4d9-6d07-4c84-bdec-9ac836c3cd03	0	0
c3bbc549-61a9-46c4-b583-a6aeaeb5ef66	16	1.33331111111111111
dbf3dc57-6cac-4403-9e83-8f5da3c292bc	0	0
96329e2e-2856-4243-b2a4-defd6d417a4c	0	0
ad4fd85a-0031-4a56-8d4f-9c2b5595dc46	0	0
27d5adca-2b94-4533-886d-009b3e8bbd21	0	0
28cfb123-dbfc-471e-bb44-3aed02b88fa9	0	0
391b7a6c-0fbd-4d12-a6f9-a025c139e8cb	0	0
7d6ba420-6c20-494e-9351-f08a2d6f1e69	0	0
2aad52fd-c2a2-449e-b359-ad2965a22533	0	0
2399ba9f-d992-4329-83a7-66a632617681	0	0
a6efb4a7-1138-450e-bdbd-637e62aaba8b	0	0
1cba1e2c-21d1-43c7-8ef9-222f0e20b125	0	0
ed809a75-6848-4594-86b8-5af95110e2dd	70	5.83323611111111084
de6e1877-c15c-49e7-bb31-99bb51de762b	0.594125249072381956	0.0495099423183242709
f7e38ab8-a4b6-4865-b817-f041c55eb8a0	0	0
09d1a516-11d3-4a63-8191-b181279e4dd9	0	0
8381b1c5-fdaa-41d7-8a70-6bf48bb4b7de	11.1837229437229446	0.93196759220779235
d9529fe6-52f8-4815-b311-f3b8a82f52a6	0	0
ace6608a-639c-4c2d-8cf9-27917b35cb0d	0	0
6acf8bfc-514b-478d-b299-e6f42a0c80d9	17.1436818181818182	1.42862586511363654
8bf0c834-f237-4fed-b465-666065ab176e	0	0
db11f6a5-59fd-4884-bfc7-d3093e86731f	16	1.33332000000000006
e7e4565f-f8bd-4003-891a-807308272f78	0	0
10a62d39-927e-4efb-b25e-510b3473f292	0	0
fa4fa697-e01f-4be4-b3a8-52ba60938413	0	0
d75d49ca-e84d-4555-8b72-c07643da37cf	0	0
461b58f9-19fa-4959-a8ab-0dbb8d691238	0	0
b55dcdcc-1d9e-4440-83ee-fd91a05957a0	0	0
32a4a5e3-8175-49c7-8813-8ca588e9c870	0	0
38c5ec93-f8f7-49f5-bbd9-752df493cbce	0	0
aa93b754-89a3-43b4-9927-35e0b7dc21dc	0	0
324245ec-1a1e-4340-910a-4df1246c750c	0	0
a90d357f-f02b-45f5-a36a-81b85b79c71f	0	0
835a8a11-0c79-4331-9791-da32e1483809	70	5.83327500000000043
0a4f2722-572b-44b7-8e13-97979f3e9838	0.594125249072381956	0.0495208346145572589
da16ff12-bf8b-4a47-b6ee-1f7d2a29a129	0	0
89065900-e993-4452-ad25-79bb84b95eb1	0	0
63b6e77c-d64f-40a6-a05d-cdcb0289a08e	11.1837229437229446	0.932172627128427189
37b0fbcf-3045-41d7-8424-70cefbdf5e81	0	0
f24795f1-6783-488e-8359-374879c33ab8	0	0
1a41a6d7-6eb7-4aea-8d96-9166a8e1b841	17.1436818181818182	1.4289401659469696
5566f310-4f7c-4c45-95b6-25e226effa43	0	0
c163682f-f312-42b4-8cdd-90b38008c500	16	1.33361333333333332
4670dfc8-2cab-406c-9047-05637e54290b	0	0
bd385305-11b9-4142-b5df-ccee13e0d9db	0	0
4902a2a9-4f2c-40bd-9030-e6ff14c0cd77	0	0
be600e57-277a-4153-b334-5c8d894c426f	0	0
21f2d9c5-1f49-45ea-826b-9e08371648cd	0	0
c9ccdce1-16c1-412e-aa0c-fb26b7505775	0	0
22a162ef-1b16-4f21-9d28-bae493c0de67	0	0
8cbe66fc-67c6-4b2d-9720-b0b4b3948c69	0	0
62924cdd-6c4f-45fa-8c51-a96a1d819965	0	0
5369bcb5-79cb-4b32-98c8-244cef38ddc1	0	0
d7d18bc2-cecb-40a7-bcbf-e46e9987967d	0	0
4dadc234-bffb-4604-9624-bc628555a1c5	70	5.83455833333333285
22b3d0b9-aa75-4ba7-bc07-e2a14fc199a1	0.594125249072381956	0.0495155535012321707
37ecc3b4-ca73-43b6-b1b2-1b33f5706560	0	0
23f7d498-b295-4957-880a-c8a9232e4d2d	0	0
4ed95d84-da0b-44ec-9e68-c9816a424b9e	11.1837229437229446	0.932073216257816251
428ec452-f755-4b06-8296-a0249df69c63	0	0
fde03a45-d839-4bc9-9fce-c703c906aca2	0	0
739ab60e-4970-47f2-92fa-98296d4a66d7	17.1436818181818182	1.42878777766414133
a18351ae-8dc4-4e1e-b237-fa01ba855708	0	0
086fddc9-4c37-4284-8e93-56c701c591f3	16	1.33347111111111105
4724c040-abaf-4bae-aeff-9e4946204309	0	0
bf79398f-c1fb-4ca3-bd4a-e23627f7f9ec	0	0
e780df85-14fe-491a-84aa-8c05e45d60e0	0	0
4d554b40-723d-4d8b-b1d3-2fc0f261a099	0	0
4f9d6e2e-e05b-4c1b-9082-77c2cb619139	0	0
e4a8403d-323b-4a67-aeb5-bb17ab32ac27	0	0
9ce3c300-a92e-4d15-af0f-721c0cab8134	0	0
ffea73f1-b210-4406-b344-a332056c5074	0	0
4dae4779-2047-4d8e-ab8e-7bc84c2f89b3	0	0
3a677fe9-fb77-4164-adf1-adc1077f8158	0	0
9e90032a-7d84-4cb2-b79a-85db8aa12bc7	0	0
76d46de7-6e31-4904-88d5-ba8f7ef14d91	70	5.83393611111111099
ce77a2e0-fee2-4451-b594-54f36420c465	0.594125249072381956	0.0495120877706125839
503c1125-951b-496b-84c4-6098feae294b	0	0
222d87ef-2c16-4f35-8aa5-27463071c3a0	0	0
0f28eea6-f57d-49d9-a2bc-02fd6f040959	11.1837229437229446	0.932007977873977933
b8e69a52-0100-4807-b4e3-718ab501cb71	0	0
8bad9dc3-447b-44af-8518-33c20b4f43c7	0	0
1cef0dae-63ee-42c9-8003-f97271d78fbb	17.1436818181818182	1.42868777285353543
1ddb4424-b5ae-4453-87b6-9f08cab2d40c	0	0
5c84b8e5-4018-4102-9a3c-2d811dac2171	16	1.33337777777777777
d7f8a676-410b-4c99-a66c-cab0408d895f	0	0
e5e75b64-17b7-4f15-b109-81287c6eb131	0	0
b3e933f3-1628-421c-962a-4628ee5f3842	0	0
9cabf97f-75b5-4f2e-b2ef-fd611f1fb759	0	0
5d5b03cb-3540-4e6b-b944-278b43e61e90	0	0
80d562e2-03b6-4d29-9d4f-708ab768c820	0	0
7be75609-0a8a-49ee-87fb-d113c05e15f1	0	0
c6ba4818-ee3b-480d-be78-d27e66699fb7	0	0
99d6bb14-0042-4d17-948c-053a08e22076	0	0
96072933-e9f6-4260-86b0-48173aac6b97	0	0
d8e506d3-f3cf-4658-8325-d21b7e620388	0	0
11a825ba-37d5-4d9b-9b1d-0ad52f8d24a5	70	5.83352777777777742
5ff23473-8bf6-45a9-a922-abad04081ac0	0.594125249072381956	0.0495160486056064053
21acba9c-c2c4-4ed8-96c9-22d90925335c	0	0
160b04bf-9aca-47d2-a636-33158790a53c	0	0
fca4226c-47d7-479e-b680-5a581a0cb725	11.1837229437229446	0.932082536026936137
5b75d359-e928-4e56-8cdb-99a8f219f319	0	0
e5eda46c-395d-4915-bd02-e25102e01ef3	0	0
0f0911c9-0078-441a-8ae4-d6f6175f6cac	17.1436818181818182	1.42880206406565669
ea351f18-7255-4203-a58e-0a50cb643b73	0	0
65621f01-1bf5-49b2-84e1-20ab9ca324f4	16	1.33348444444444447
9ff64f11-0bdd-4394-8d3a-823772cd79ad	0	0
63fdf85d-a8f1-4189-a64e-d003e1263bfc	0	0
74fd88bd-95b0-40d5-8bbe-1920fae44c2b	0	0
047331d4-f9b9-48bd-a4d1-b7cb5b2faee6	0	0
bbf2772b-d403-49a1-96b1-7d81f7fe651f	0	0
45567b61-7ada-4887-be31-0e4de288962c	0	0
2ed9e3c1-6c29-482f-9f47-fb73ec35dea6	0	0
00f62afc-07c6-4237-a2f3-16b7ae5717b5	0	0
749222a8-26f2-4f03-a945-51359b208ebd	0	0
d26322f1-4779-4d00-ae1a-baef64c7229b	0	0
f35a12ed-083b-4ed8-8bd1-696bdf8e2177	0	0
3644ac27-5132-4328-a5e5-680f74d7fdd1	70	5.83399444444444448
52965313-dba7-4859-b108-cd3eb5979542	0.594125249072381956	0.0495140681881094877
017225a8-8149-430f-b1c3-765501047072	0	0
70d0f241-b2db-48d8-9165-07814ba62fb0	0	0
ff5830d9-18a6-4b67-a045-648450b7aa9e	11.1837229437229446	0.932045256950456924
2bd0edfc-a178-4700-bcdf-9a222e36beaf	0	0
7f824eea-0a99-43a1-b4f3-b953cecb69f4	0	0
d67d0884-bfdc-4c12-b44a-a79183587f0c	17.1436818181818182	1.42874491845959595
803fcbeb-3e69-4b7a-a701-cdac8da97ea4	0	0
7606f8dc-8fa6-497e-87d0-f7aad3cc7933	16	1.33343111111111101
921f9915-2ddf-4b6f-9f02-6773caddcd96	0	0
5b1fbc88-7559-4267-928a-682f4ef99a79	0	0
dae81a8c-e5b9-45a5-a630-f04ec7d91632	0	0
e13cc301-46a3-4aac-82a0-b346e6a0363f	0	0
03e8eeaa-57a6-4787-b972-632a09cfef71	0	0
945554f9-1bee-4e2e-811f-78ca6ea09f62	0	0
c4cb8225-fca1-45c9-b95f-c9af468a5300	0	0
60448586-3425-48ce-a165-9c3ca3c12dc4	0	0
e2dfa56f-eeef-4fc5-a2d3-5f2a1304cf37	0	0
9514d3ad-5e56-4076-8615-50e9eb63e477	0	0
a894559f-a133-45d4-b0e3-61f1aed85aeb	0	0
076cac48-5bc7-4291-9efc-7b79ebe9b891	70	5.83376111111111051
c3295cca-6f51-44d9-9885-d236ac8d8134	0.594125249072381956	0.0495124178401954093
16963793-7d65-45cc-9b05-22a4737508fb	0	0
2d47d357-476e-47ef-a238-900aac4177ab	0	0
e3248ad0-3fa5-4193-9569-210dc44a16ce	11.1837229437229446	0.932014191053391117
175ded47-e974-4b4b-955e-b8ad961a8fd6	0	0
ff38c7ea-d3b8-48b8-9a91-e59a5d63410a	0	0
80337c5a-3538-4dd4-a363-4e52e83717db	17.1436818181818182	1.42869729712121218
19946c28-552e-4d07-b40e-3982db306ce8	0	0
2bc08195-69f0-4dfc-aa46-19f9427e5259	16	1.33338666666666672
38a1248b-fd6a-41fd-b071-df82f3a66bcc	0	0
58ecd987-aad4-4c9a-917d-9d397f67c962	0	0
1713113d-6f15-45f9-9e91-0b86d8ced1d6	0	0
a036748c-674d-431c-befe-f87f3893b3f9	0	0
34bf1004-e18f-4f95-92d9-fba7ed078b3b	0	0
883ac7f8-77b9-4d4e-9504-3ca4581f75ea	0	0
9f74fca2-8521-4a44-b2fb-76fb9885be6b	0	0
84252e6a-1662-4c81-8ecf-4e69f1400ef6	0	0
a84864fc-c947-4478-b074-299b1461d1c8	0	0
0a0bc460-477c-4386-a07f-d13fe28674df	0	0
15ac51a8-1bee-46a5-bf34-83a722df936b	0	0
9fc76244-dbec-4657-bec6-2b45b12549fb	70	5.83356666666666701
8d045cd3-aca2-444b-b803-e02db6b997f9	0.594125249072381956	0.0495091171443672179
0856505b-4299-45b3-9181-24184dd93463	0	0
ce53f8c2-b15d-4465-a21f-8c7272f30c33	0	0
b36e6936-fa17-451f-ab83-c63d6688b536	11.1837229437229446	0.93195205925925928
0a209bdc-f7a0-47bd-a2d2-cd37c91999db	0	0
f31d168f-10e9-4dac-babb-635ed9f56ee4	0	0
373ad9ef-255b-49f3-bd98-a76a996768af	17.1436818181818182	1.42860205444444444
0dbebf0b-fed4-4368-8675-8b1559af6d32	0	0
21ac6573-62aa-4376-881e-d5753f2809a8	16	1.33329777777777769
fb8b11d1-df28-4334-a5eb-f79f6d7e3146	0	0
21ce4fb6-79e4-4dc6-9f11-b5e7f588aa16	0	0
fec3c9d1-4ab7-4ac5-ae68-307f691874d3	0	0
6b393113-3dc1-4b69-8fc2-c4cb33ff8ffc	0	0
a5046c07-11c8-4b59-b464-69c12b491519	0	0
06ef15a4-9754-415a-82f2-d2de5c674f4b	0	0
94c2d66a-e10c-4724-be0e-007823913b9a	0	0
ed1917fa-b409-4aab-8b26-3857b78bd58c	0	0
33c2bc5e-9ea6-4ae6-919e-108607982101	0	0
fafa7a3a-08d1-4f05-8ba4-c701b735a93c	0	0
50f3d2e7-4710-4857-8407-267345dcd32c	0	0
42b5e7e9-649a-44bf-847f-6a5bbc1b74e7	70	5.83317777777777735
8fa1dd57-dbc0-4c21-b993-bce3825c856b	0.594125249072381956	0.0495167087447720353
a86107e0-1f9f-4688-9c71-baac86296980	0	0
8561d012-1092-463f-beb8-e942bec00ace	0	0
bca02288-b638-4377-aa4f-09f18c7f6fb9	11.1837229437229446	0.932094962385762393
013f9fc6-ab26-41db-8ecf-5912e4131a61	0	0
b27f3ad2-a23d-4bb0-a91f-e52759d3ad85	0	0
3b104623-26c5-45e8-9eae-5f55698cbca0	17.1436818181818182	1.42882111260100997
a8f36d23-936c-47a2-aae5-32538923317e	0	0
5449580a-ab4c-4b7a-8ae0-9645271024b2	16	1.33350222222222214
0497e56f-eda6-4302-b98a-ece30cd7b60b	0	0
258781ee-0163-4edc-8b7e-991a3ba3994b	0	0
25166539-a7f9-4059-987b-9ac9e1b2c934	0	0
81c5e6c4-b6d4-459e-a90b-9f9622bc66c8	0	0
ea64a22a-4c21-4e3b-a39d-795f8b2f103d	0	0
d6826ca6-93be-4667-a947-0c4b9ba4e41b	0	0
eb1071cc-2c65-479f-8abe-ca5ab2465cb1	0	0
76663cdf-f9b8-4067-9e3f-2efc41c1dac7	0	0
ecf5c9cc-17c0-4a6d-81b6-3484d9fd861f	0	0
b268d47a-ab72-4fee-901c-fe7133cda46e	0	0
62da48de-4d14-4d83-9181-5175bcc0cf93	0	0
83872aa2-d552-4cb2-82d6-da263028106d	70	5.83407222222222188
481752ec-82b9-42f5-aaca-71f5f0a8d53f	0.594125249072381956	0.0495160486056064053
a8a55acf-9dc7-46cb-a5ba-704243fa9534	0	0
81bf22a0-f6f1-4ad7-89c5-36b23159b58e	0	0
9cee8bcf-d482-42a4-9790-0c7ae8516c8f	11.1837229437229446	0.932082536026936137
a3469987-2eee-47d9-8ba5-4080935d730a	0	0
f5815746-3cf8-4884-97ee-6d04ebc91722	0	0
6602f560-6d1e-4a23-835b-64c7b082df9a	17.1436818181818182	1.42880206406565669
8c55779e-770d-4290-b227-72f55d58c8c4	0	0
1cb0336b-77e0-476a-96dd-522b05a6883e	16	1.33348444444444447
c236db04-a974-40ff-ad3b-da397b5e92c0	0	0
0b78c64c-3112-483b-a908-dd106ea8e16e	0	0
72198ef0-dfe9-4948-9f84-958c3af21032	0	0
6335c494-f18a-44b2-818b-242b5419f97d	0	0
450c624f-14e4-4e03-bcb8-248f3f1bf36d	0	0
0ec7c9f5-a490-438e-862c-06c09b85e543	0	0
97086a92-521b-4fad-887e-b47ee93ce67d	0	0
db474768-a80b-4952-97ed-24f8b5e561ce	0	0
8c26bf01-1b2a-4a44-89f2-61cb2a66a534	0	0
970304d9-08aa-453a-8438-c2e34d64d147	0	0
a9dfd780-8178-41dc-9557-a557efa543f8	0	0
fa37bbc5-fbc2-4376-ba81-799aaf453532	70	5.83399444444444448
6f285a78-e2ee-4009-9131-b4c745e21919	0.594125249072381956	0.0495110975618641355
b250c42b-3a85-4784-b809-dfa537bec684	0	0
f218090a-f92f-4ec8-ae4b-09a219436ef6	0	0
f36368b2-3166-4c24-86d3-340a2a4a2236	11.1837229437229446	0.931989338335738493
fe0e0917-2b4a-4a74-b357-9619068b6db9	0	0
9dbf7996-a307-4b34-a938-b15ed1265904	0	0
23d98352-2507-4328-9787-b70eceed9f04	17.1436818181818182	1.42865920005050517
f112e857-93b8-4891-98c3-97eddf0818e2	0	0
5933b7ed-b80e-4c35-947b-4652a5bad9f8	16	1.33335111111111115
c17829a0-4c1a-425e-8e63-b4f16a7d69f6	0	0
7c773a9e-3e8a-4998-8bb6-7136a07d7138	0	0
20ee6309-c2c0-4b57-9d63-4e6ab9a0cce1	0	0
86559100-605b-4ef4-9a10-5ec7cae2018a	0	0
e188cd75-f387-4430-8e16-316e475ca2fb	0	0
fd121e1c-416d-4104-aa5d-d3799ae9b781	0	0
8ab3ca60-14de-4d3a-994c-16c9b19da111	0	0
f3ed312e-7e37-44e2-8ca5-afa3ad4a0c5c	0	0
516271c8-09dc-4719-b6f9-6e97893272d9	0	0
a3c5e0e2-fe37-42fd-9db4-f3bd6180146a	0	0
692d7658-0daa-44d2-92ea-38f98b85d99c	0	0
dc84ba66-3e86-4eea-bb70-cb5f2ec5b705	70	5.83341111111111132
6d2b3f04-491d-4b87-88f8-0d849778853d	0.594125249072381956	0.0495160486056064053
16bfe6da-94de-4f1d-aa7f-23dc256bc22a	0	0
f8959293-2b08-4974-99d3-a4f7f4e7fcee	0	0
fa04f78a-75cb-4236-aff4-4fb8374bcf1b	11.1837229437229446	0.932082536026936137
50a80f9e-4d5b-4157-8436-3ac44edb1b04	0	0
5039923a-4a37-4fd3-b087-1ab2715795da	0	0
280dd443-a8ff-497b-99ed-358b874d72f6	17.1436818181818182	1.42880206406565669
0717bbd7-9831-41f3-b012-d47adc08a375	0	0
008f6c6a-8a70-4355-ab59-e093e884315a	16	1.33348444444444447
12ca47b1-bc97-463e-9e4d-52f3455b8b31	0	0
b2c9d971-d0b7-43d2-a221-c1e8bb2ad8ba	0	0
e92df94c-775f-4754-97b3-8a5d75955dae	0	0
4aa7df40-50f3-4ab8-8406-89514c15d850	0	0
488803fb-4b62-403c-a644-776cbd2953bc	0	0
0217f5ee-7272-4b61-bc7c-401514bd906d	0	0
3272b8a4-990a-4d4f-a835-5289b95d1fdc	0	0
472fc4f0-4833-4eab-b205-f67e0ee5172e	0	0
b210ec6d-a154-499b-8b44-8667b69468fe	0	0
04838dea-888c-4747-ac69-ef978f7b39c0	0	0
f6da0a6b-6542-42f9-9ea3-b3bbb26cdf31	0	0
f1b8a4ae-6411-41e9-a7db-6dcf6da2db82	70	5.83399444444444448
bf5a8c8b-a262-4014-a03a-e7a14bb16c58	0.594125249072381956	0.0495142332229009038
b0c3d176-917b-4f99-9cb3-67c872b312a9	0	0
3c61567b-7b35-4425-80df-c6ef3fe98bd6	0	0
b3c59302-ce30-4b19-a0d8-33e18a6437f7	11.1837229437229446	0.932048363540163516
0ebb477f-d22a-4c44-9012-40164baa7c08	0	0
3ad66d1b-3dc5-4c41-af32-f192d4fd12ac	0	0
76c9fac0-f7cc-4bb1-b8a1-77e550f2fc9a	17.1436818181818182	1.42874968059343432
1104066d-5942-4024-804f-d6052c78c045	0	0
a63d2fb1-f4e5-4623-8d3d-403c6be4b47f	16	1.33343555555555549
526e27a9-7da5-4d12-b3c4-6409a50d923f	0	0
bb942b38-e1c1-4308-aad7-d1624ca9f730	0	0
c8877b19-13e4-4872-ac14-34606e3f3a65	0	0
819dc6de-f012-40f4-aa71-8bcec9e9a9b1	0	0
5e86da72-b301-4f16-a40e-c6dd38d3c469	0	0
5cb81952-be21-4512-bdd2-4641c03e7a14	0	0
04912764-700e-429f-9391-028c988e3db4	0	0
a221bd6e-537c-4b08-aea3-ce9469cabc68	0	0
39423991-9e90-4580-bdfd-e648b93e3b04	0	0
91563989-d326-47ef-b75e-8c692c4c579c	0	0
e69305b8-306f-4d00-889d-e29ca591cf57	0	0
ab03be33-06c1-4796-971e-6485408d6001	70	5.8337805555555553
cf22892b-33d8-489a-ab99-782c839ad66c	0.594125249072381956	0.0495127479097782208
faed88c6-5839-49f3-8389-17dd0846f148	0	0
3714728a-7cf5-457d-ad2d-95e8f1a9e6aa	0	0
067f6454-4096-44a0-baeb-e1ce3c19a30e	11.1837229437229446	0.932020404232804189
4903855d-d22b-406b-b009-627c044843a6	0	0
e7f070da-7eda-4492-a9aa-ac872814b482	0	0
a011d782-e4f6-4c10-9df1-746dfdb54b8c	17.1436818181818182	1.42870682138888871
4e6d4677-6572-4f7d-a59f-53fd29af7734	0	0
a6441c4b-0b31-4105-a6f7-2b11abf27176	16	1.33339555555555545
e3bbf889-1bd4-4b08-bc74-7ce620d0c9e2	0	0
7b0e57fa-9488-4f93-b0d8-dae578d5b248	0	0
65187a3a-cc2e-477d-a29b-5a420baf0314	0	0
63ff9536-a639-4794-ba09-e1271cd89eb9	0	0
96adb4d0-a196-46e6-8df6-2728ae45b0c1	0	0
2cbe40a3-8001-43cd-b033-72d8352168f1	0	0
c72d392b-1ca3-4dfc-930a-e710d6cdebee	0	0
9207da4c-8e8c-48c5-9a5d-9e8ec18074ee	0	0
365cd441-6d8e-458c-b561-975e5a5f3983	0	0
26a2ebfc-d67e-4c0f-bdc3-737a187e4673	0	0
bc8e87b4-91ba-4204-a244-b1099d85a6c0	0	0
ae2cf4b2-fc2b-4a67-8cc8-d39ec34e3db0	70	5.83360555555555482
811287f1-8190-4b87-acf6-f54b15f975b4	0.594125249072381956	0.0495051563093734104
135c8170-0972-47c7-9358-1320fcf27b0c	0	0
3c8edb2c-9077-49ee-ac92-6657f6e3c1d0	0	0
572243c7-bb28-438e-8efb-56a47b0845aa	11.1837229437229446	0.931877501106301298
38fb88de-5da5-48db-885d-3a1096ca8c5b	0	0
ffcb30c3-e305-4287-ac19-1a41226f4bcb	0	0
6e9f7c0b-86ed-4a14-bc4b-334300cf7184	17.1436818181818182	1.4284877632323234
92c930ec-3b61-4ffa-bd05-af1b79ee29e9	0	0
367c0ffb-3212-41ae-af23-082671550603	16	1.33319111111111122
5068f3cf-8cc2-4ada-afb8-268da392438f	0	0
a88582b6-c25e-49cc-a486-e71db7dca08b	0	0
38c58a63-4a1d-46a9-80f6-4810196ffc71	0	0
c632d10c-b33b-48da-812d-81177a4bfda3	0	0
0236b200-eed9-45f8-91ff-174aae8edfe3	0	0
da3dcd1e-5e27-49b4-ac23-b1fe746c800c	0	0
6f4e972a-f509-4d68-98ff-e4cb5069af2b	0	0
3b76f011-089c-4c69-a18d-7b58147c8ead	0	0
85067156-6d2f-4f09-989d-fd0fd49723a7	0	0
effa245c-0c1a-42da-af2d-313fec3b082a	0	0
cee7a333-0405-43b0-a6ad-a7fc6c02448f	0	0
17a81e3f-9b3e-432f-8904-4a0001f887c1	70	5.83271111111111118
11166ec7-fbb2-40dd-b3a0-9903ac9dc160	0.594125249072381956	0.0495216597885143051
862d171a-dace-4386-a0a4-cec85378d989	0	0
1775e840-2d2a-488a-8c6b-59926424fb34	0	0
9ad2085c-4ddb-4b2f-9245-5250e1484628	11.1837229437229446	0.932188160076960037
b2355e1e-d45a-4c4a-ad27-4c51114d506c	0	0
d08d4349-9b1d-45ec-8069-738756fefa77	0	0
414c7600-1287-46c7-889b-bc6c56ba38e1	17.1436818181818182	1.42896397661616148
02aaa6c1-5b3d-4cdd-803d-9b95cbb2aa92	0	0
057f47f1-16e0-4c60-ab74-db887fe4fde7	16	1.33363555555555546
462795c8-120d-4c19-b14a-9ce3d89505e8	0	0
7fcb8f16-eb75-4456-a7c7-01346af8331c	0	0
1dd8eef9-c5ad-47f0-b042-55c799ffd26d	0	0
e04e1171-02fd-4372-8588-1c24f202c5ad	0	0
81e5e1f6-efa0-43e8-b86c-d013f40b0f42	0	0
909117f2-4d05-44ef-b33b-963a8736536b	0	0
571de99f-cc0c-48b8-96ab-3eb96a88b1d5	0	0
18962c4d-9ae4-49ac-8a8a-b0026ee38d63	0	0
cd2dc9bb-86d3-4aaf-992a-30e81182ebe8	0	0
c2ced702-221f-40ff-a353-5a48fdaaf334	0	0
58ed3a10-7c9f-446d-ae17-fb5064fb2d11	0	0
296c73a9-63cc-4e20-9e6a-01edc85bd23c	70	5.83465555555555504
b16b82ee-7270-4fe1-a577-e2324663ec54	0.594125249072381956	0.0495140681881094877
cdbc296c-440e-43f7-b9af-bb3a28414214	0	0
8dd1afba-ac75-48ce-9ac5-1ac9c5bd7937	0	0
6ea74ccf-32a8-48e4-abc2-a5a9a676fbe9	11.1837229437229446	0.932045256950456924
572b1674-e001-471c-88f7-d153c3d6dec1	0	0
477e233b-0a25-4230-af6a-25216382d3ae	0	0
9c19c40d-2a77-411a-8ee2-02f5fafebde5	17.1436818181818182	1.42874491845959595
fa8363ac-15d6-415b-bb7f-85a3b7272445	0	0
021bdd0d-7200-4838-8bef-dbfd79b6d93d	16	1.33343111111111101
f3441bf5-1f64-44e2-8bb0-8450a8c4ba77	0	0
4f9fa3c1-6bc1-4c7a-9607-3e2ab40a81bf	0	0
c6cf942c-c29d-4b3b-9a46-fbd88abee37e	0	0
df93ad81-e8cb-4dba-a8b0-ba932ba8d9df	0	0
50c7a2f1-512b-4320-afa1-342891732798	0	0
5461d70c-d915-49d0-b502-971fdbb24636	0	0
8d039c86-e412-4888-8043-f49ac6fb753a	0	0
8175a6aa-d986-40b5-9be1-29965c669f2c	0	0
80ed76df-c608-411c-9d0e-fee5c5454f74	0	0
537e3e87-5401-4c8a-9a1f-cf7400d01a8d	0	0
9b606f9e-966f-4e66-8138-4a002373a155	0	0
c5307750-e9a3-4e84-9a13-9073142da1ed	70	5.83376111111111051
e5e791ff-10c5-42f4-a199-4a597160b55f	0.594125249072381956	0.0495137381185266762
e80bb94c-9d83-4b85-900a-91c44b7d3203	0	0
33e568b7-3dac-4fc1-8750-41a9fc8081b0	0	0
6aafe8de-b9db-4621-932c-7f64b0111f33	11.1837229437229446	0.932039043771043851
340f44d5-64fb-47b6-8522-0d91855432cd	0	0
df77e102-8dbd-44a5-8bb0-70cb3ac8045a	0	0
7b0b8731-fc4a-4f2d-ba90-1b2d8a6d8cf9	17.1436818181818182	1.42873539419191919
82b628b8-a03e-4175-a33e-7770c8256e20	0	0
c40a7b62-811b-4488-9453-39ab4be23c7f	16	1.33342222222222229
9e78b9f3-a9c9-4819-b0ba-13564a48f9b5	0	0
61214c3d-0872-424d-a262-172b62e60b72	0	0
29e5eb7a-3df3-46a9-9e4e-f79d951a6e79	0	0
f2127d99-26ef-435e-acab-4ba9a6aee85a	0	0
b7a4c86d-faac-4357-a951-e17ab8e8b51c	0	0
207f2d57-743a-4468-b3bb-7eb81672fe54	0	0
7fda876a-ffda-43b9-b436-b0150a3cfb5e	0	0
f589d564-20c5-4d0c-bfe2-88ce2e7f77c0	0	0
ec8a83df-9390-4c6d-a14b-2e0d20afc9d8	0	0
0a381d42-95df-436e-a2ff-e8df4bd7825b	0	0
6968b0ac-5ee9-48e6-aa70-3943e561ff6d	0	0
fc3bb950-e586-41a4-adb7-f04f265e3093	70	5.8337222222222227
cd481065-2a13-4644-8b0f-0f7531cf0a9d	0.594125249072381956	0.0495143982576923131
1dbcd653-e4c3-460f-802f-896c429bbeda	0	0
c0630b3c-848c-48f8-8e03-fefdd481bb90	0	0
22e8b933-a223-42a5-ac8a-ff75dd9a75ce	11.1837229437229446	0.932051470129870219
ada14170-0aba-4d55-a9f0-19818f8e6e5f	0	0
b5f4c8c6-3e61-4bd1-a615-d3b01d4eeb01	0	0
b373cc01-21f0-4339-bc2b-bffb4a9a37b4	17.1436818181818182	1.4287544427272727
39c0cd60-4b45-40f5-aea5-921d44d182d1	0	0
3756b707-9620-4bef-8685-3bcb8a90e2a6	16	1.33343999999999996
3795c937-5498-4f1b-a8b6-f9f92ea0cb57	0	0
3130cc1d-8654-4b91-a298-cff73e99355c	0	0
4d52057c-609c-4a1e-8c76-ed0eb830aa7e	0	0
fb132ee1-95b7-4306-8a5b-4a3701f5f8b8	0	0
7f919dff-41d0-469d-b18c-2784b12eee58	0	0
f0f2e805-b4a6-45bd-840e-9b78e340544b	0	0
5a2d253e-c0cf-4321-9eda-86b634ca77ae	0	0
95d11d24-7063-4954-8e38-de2ff0d06bf4	0	0
e925e496-72d4-4857-8a4d-c935e2d4ed16	0	0
257be63b-548d-46b3-8e4f-ad6048a3a929	0	0
02d6a107-abe5-405b-8f27-66bb58915042	0	0
c1b0513a-15e8-4c39-8b21-e84191948760	70	5.8338000000000001
85ed649b-495b-481b-94bb-89f5ff518ab9	0.594125249072381956	0.0495124178401954093
6f34883d-ac8a-40e6-8f5c-4070cc8b05e8	0	0
95279540-1c73-44e2-a5ca-b03558309669	0	0
e0e462a1-fe66-4a31-999e-e337649b1cba	11.1837229437229446	0.932014191053391117
8d72ebef-4d99-405e-add9-37759eb0e41a	0	0
1bb1c0a9-f1d8-41de-b07c-7a7d99fbab77	0	0
327f646d-f137-4f5f-9006-3d5cb16d39b8	17.1436818181818182	1.42869729712121218
bbe70813-d139-484e-a41f-94122345a8ea	0	0
a38180cb-4d35-4d01-804c-79f5128878c0	16	1.33338666666666672
f697cc05-a39e-4a73-a0a4-98ba27551f6e	0	0
fb6a29db-296e-4f5f-87ab-803da2b9d3c8	0	0
df332a9e-38ce-4178-8aec-6f765cc0d215	0	0
20875da1-1994-4924-834a-007bcdfec771	0	0
8dd16f87-9a5f-4c34-98e2-3f5c26807c4a	0	0
1d9c32c8-ebed-42d1-8b06-4dc2bebea9d4	0	0
1b651a16-5cd2-483c-badd-24411fc59619	0	0
c3ea79a8-668f-41c8-a431-a5d830d66d26	0	0
c6e2027a-da52-4725-8a0b-5956df8b08c0	0	0
1c245f89-5915-4227-8575-c78375a50ae9	0	0
a8e297d0-70a0-42f5-87ee-c915b2662af7	0	0
5af15932-0ed5-4f09-99f7-67eb873c5c8d	70	5.83356666666666701
e99b3a55-cfa8-43a4-8e42-78bb7eedcccf	0.594125249072381956	0.0495096122487414525
6520aa48-46a0-4dc0-9c55-263114c7f417	0	0
b041b69e-f25f-41c6-b8ff-977f374e5cf5	0	0
3d3cf1e4-acbd-48cc-9aaf-2ac8cc47a3ec	11.1837229437229446	0.931961379028379056
61922550-392e-436a-ba16-ca1c30a9e46b	0	0
93e63a5a-ee90-4a83-a6b6-f34c98eb70b8	0	0
c851692e-550b-4fe2-8e37-17b6eaad6690	17.1436818181818182	1.42861634084595956
83ede08c-7f8f-43d4-aa26-e8ca0ffd5f8e	0	0
daf89519-5f35-4254-a600-18267d360bcd	16	1.33331111111111111
9baaa9c2-24bd-4650-a781-1ad29ad8cc60	0	0
d5e137f6-5030-4913-b752-d1acac46f419	0	0
16f8b95f-2ab9-40dc-a877-3183d3a415f9	0	0
7d286c48-10ee-45fd-b38d-cbf7228dea85	0	0
a56e39bc-2297-45fc-8867-1d0951c237a5	0	0
95645423-0a6f-435c-8cf9-e9fa3b8c5461	0	0
bd40e61c-1413-44c9-bdec-6004c7fc64ef	0	0
70b422d8-1dd8-4099-abad-5faba2a14b6e	0	0
8d25a5a6-b06d-47dc-bb4f-8ebd7b36887f	0	0
fe0daecf-435e-4a3c-b882-e2d3b29fdd80	0	0
8576594a-03d3-449f-aff7-f9724fd70234	0	0
69aecf28-c5cf-42dd-bc89-d8df28aafcf0	70	5.83323611111111084
8b7ceab4-126d-4faf-9a7e-6d59ed36dd96	0.594125249072381956	0.0495203395101830313
a0c4b900-e9c1-45d3-94ed-1406c00cecb4	0	0
82a7696a-1735-4f26-bfc8-175823afa92e	0	0
03f759fc-8b7b-4b2b-8c2b-19c237ad6710	11.1837229437229446	0.932163307359307414
9d8122d3-1de1-4eae-b11a-901d85d840be	0	0
5909948f-0de9-4444-94a7-378bfceaa95f	0	0
1b50ed12-dc4b-4131-b7b1-4fd07975bf81	17.1436818181818182	1.42892587954545447
cfcadc31-2942-4f3c-bc0c-3fca96039661	0	0
868557c4-6d89-4117-921d-391060b2fca0	16	1.3335999999999999
a3941573-635d-43d4-9837-70f9d2c010ab	0	0
98c0e603-552a-4f2d-800e-04aebaf766a2	0	0
3fb3c9fd-f7fa-4490-ab2b-8ceeaf372029	0	0
353b2c8c-4dbb-4efe-9520-21afd4820a83	0	0
31fd9f42-cd2e-4d3f-bbdb-88f58733660d	0	0
d820dea3-5de1-49f8-8e03-7c1040fd335e	0	0
8a9b626f-98fb-48ea-b492-4bc89ade6b9c	0	0
225547d9-8739-43d0-b695-c839f5558d7c	0	0
0c81eaad-2094-424a-9691-15c74beb30c6	0	0
35d88d8a-917e-4933-bcc6-b36356c5d045	0	0
cb56571f-40b5-4a0a-8ecf-9a36148a3add	0	0
0bb06545-eeb1-4753-9177-0946dc23cc44	70	5.83449999999999935
0e55da2e-8007-4e38-a848-c3c5e3f08604	0.594125249072381956	0.0495130779793610393
f5b1c500-288b-4f47-b102-42db94cc4f3f	0	0
a8b018c5-220e-4d06-a56b-b61355eeb82b	0	0
3e273b46-681b-4e92-8080-0fbee5dd82d3	11.1837229437229446	0.932026617412217484
b18b0598-29d5-46ad-a859-63ad79a357db	0	0
c33d5e9c-49e8-45a9-a166-02600c4333cb	0	0
32851116-891d-4f29-b498-3ec6b1a460dc	17.1436818181818182	1.42871634565656569
90cd7285-1eeb-4172-b4a9-0783d6bc3c24	0	0
a55d6a15-0e3e-42aa-be91-37c9e0bd80de	16	1.33340444444444439
364aff5b-8b1c-4eff-977a-735016407d64	0	0
e0083cf2-5377-4041-9a4d-aafb5a7ce431	0	0
535b3ff1-9a08-481f-b513-74962a96af33	0	0
2df2bdc3-28cc-4da0-bf0d-0a59d2b522d2	0	0
8b0bfef6-3cf4-441d-bf49-f231b7faea98	0	0
ba82e9dc-1850-4a1f-99f2-176289e5e5b9	0	0
d5485ecf-d83e-4347-bd89-84df63c3ec0e	0	0
8d7195ce-7cb0-490d-ba70-8e2fe544350e	0	0
893071eb-e625-4f8b-8779-344e01b06c80	0	0
5f2570da-ae2f-473d-927a-7af71b1b66fe	0	0
7c7733ca-ac8c-4258-a1ce-450549a3fa26	0	0
52439ab1-43c8-4bde-8d42-e9cc901755cf	70	5.83364444444444441
710313c6-381c-4231-9848-bc13e18156e9	0.594125249072381956	0.0495163786751892238
e55d218a-a393-4274-ab88-5b7a80f5ccc2	0	0
b58de9b1-fa16-4848-9b15-bfc48fd795ed	0	0
11ef0898-fc34-42bd-a281-798ba1d2f1b3	11.1837229437229446	0.932088749206349321
32b61ba2-5f34-4b37-8883-bbd02dc6cfa0	0	0
dbc63a24-6bdd-4dda-a712-4f4776390318	0	0
636daa1f-2e47-4dfd-b651-aef4f7b90855	17.1436818181818182	1.42881158833333344
c564d00b-4235-495c-8054-e9979001b162	0	0
752d8a5e-30cc-46b5-85ed-330a48616532	16	1.33349333333333342
cd85d2ae-9a62-4eec-ae27-90485a856bfc	0	0
b3928c09-1cd0-4825-abc0-4884bc8bbe20	0	0
8f9951b4-fe33-40ae-bae4-80a16eccd733	0	0
1f9bbd57-80d3-4d94-850d-e20cd55fa637	0	0
1dbbb3fe-74c3-410e-a4a4-28fc2d73f1b3	0	0
16bdafc6-2f9e-45a7-8d6c-0f6d4266e225	0	0
899abd94-6a86-483a-a0ee-df2bcc1efd5a	0	0
286a30d3-0778-4753-82ed-aa453adac62f	0	0
826dee35-5f2e-4287-919a-4c73c88cd270	0	0
2874b4b4-c0b5-4f3c-b997-e5bc0b05bd0b	0	0
ab8d9252-3ec5-4102-a2df-5b4eebc04cfd	0	0
c70c1348-c157-4fa1-a666-e2bdc800ca42	70	5.83403333333333407
525ca0e6-61aa-4f07-8434-08a73d68179c	0.594125249072381956	0.0495120877706125839
18690fa8-cd6f-4d0c-886c-af03cf22ff43	0	0
86d93a0e-3bd2-47fb-83c6-9e81f7a5cbb7	0	0
5cb02470-6326-4424-83c9-ea81f49384f4	11.1837229437229446	0.932007977873977933
0edca816-9a3d-4b15-8500-5420a7fe953f	0	0
f38cc132-307b-4786-a942-3bc40cf1b301	0	0
67c7d163-4bcf-493e-84bd-ab7d935375fb	17.1436818181818182	1.42868777285353543
13ccedb6-f5e5-4143-95a1-757790aa5348	0	0
25d468c1-26b1-4524-8dde-7db59303a3de	16	1.33337777777777777
a0a6a458-2b61-4c38-b9e8-8d76af43fef6	0	0
1b83d150-7ea6-4eb0-a791-8c9106bb9c02	0	0
23231015-8bf5-42d7-9a3e-359743bb19cd	0	0
9d5e5517-17bb-4a3f-803a-0f0afd54c0fe	0	0
f113a007-ef63-41b1-8747-a473683e7f3f	0	0
10c669cb-0d33-4ceb-842b-73b5e62c69f7	0	0
fc61397f-1786-4a1c-aeed-4ac9076a81c4	0	0
520e1637-409d-400f-b037-7da5237a4c75	0	0
34c36404-6115-42d0-b36e-ffd626ba6616	0	0
db6c2810-71f8-44b3-9b82-afbeec67e35a	0	0
089db5d9-f6da-4a5f-8ce9-07f3e0e93b9c	0	0
73bf4d40-724c-462a-b872-4c720cb32c87	70	5.83352777777777742
a1e6b31d-e3ab-4aa7-9b58-400be7937740	0.594125249072381956	0.0495127479097782208
ec367fa0-d58f-45b2-812a-e8cd271bf82a	0	0
26a668ce-d0ec-49a7-9efc-7ea06d5f6c3c	0	0
76b0da13-bed2-4691-b448-1d79d363723d	11.1837229437229446	0.932020404232804189
e04cf0d0-fb99-4a80-ba20-21936e86e6ae	0	0
4a20a654-510a-4ce5-af6c-ec9a32833269	0	0
6ee01955-104a-453f-a139-c5e801b62204	17.1436818181818182	1.42870682138888871
42c271cf-b61e-4ccb-b76c-c9757aca2c8f	0	0
ce11e0ab-2f31-4652-b062-2df205de3e10	16	1.33339555555555545
3f194759-ec94-4e03-9e30-44df9ba6f4df	0	0
bd4163d9-3c11-4816-9173-04c3eafcfcfc	0	0
f3058138-6f33-4e71-98cb-e3f96f7a0263	0	0
ad2383aa-0dfd-465b-a764-a5018086e8e3	0	0
1a030240-31a6-4a46-82b9-ceb09232118a	0	0
321f3d39-b928-4414-b4ba-d8eef9cd005d	0	0
07b2eaf3-fc9d-4b46-996d-ac94dee8fa72	0	0
bba06def-e3e7-4c18-8df2-04d6a80b855f	0	0
ea7628da-6155-4c22-b6a3-5a9b32fa6b00	0	0
272221c5-a44a-418d-b968-a66e265546b1	0	0
749a4cbb-e175-43dd-828f-b29fd8c74ace	0	0
6d95e7ab-dd6e-4a7d-a79e-5e034dced0d7	70	5.83360555555555482
21428fb7-042c-4b3f-b9a8-7be3f157bd49	0.594125249072381956	0.0495152234316493592
58e3c7f3-b47c-4e2f-8424-982c5918c4c3	0	0
0d1c67d1-9d48-4978-8285-4d324caa25fd	0	0
5f91dbb1-f5b5-4b89-9381-a7a2a56f65fc	11.1837229437229446	0.932067003078403178
9b97ecb3-c638-4a29-9960-aa14d9fa93e0	0	0
3a4eb9de-9e55-43f0-8578-a29796e52b5d	0	0
4dc67d02-8427-40be-bed2-d41f7925898e	17.1436818181818182	1.4287782533964648
a85c52e8-b2a8-46c4-aad2-f0fc3754d4bf	0	0
b4a9ac73-4d58-4dc1-a957-5151f58f54ab	16	1.33346222222222233
a98799a0-1b8e-4117-9a48-a7a8ce3e4f76	0	0
0cc0c373-567d-4de4-9449-3a9e03aae36a	0	0
4765e140-8941-467f-b943-f2bc70e5ef27	0	0
209af1dd-f41e-498f-a5cf-f8de2a95671e	0	0
6eb9277e-3f8f-4f00-80e5-ad05a94cb3c0	0	0
417dc085-463e-4c19-9e32-d7cbef29d257	0	0
94365bdd-b7b3-4257-8d08-c67b93513ea1	0	0
4381ae1a-e5e4-446a-b2ec-f3f91c016fde	0	0
42f75851-7854-4036-981d-9ae214446623	0	0
92167713-c74c-4f47-bb08-4fbb99cee80e	0	0
19a29315-4ea0-41f0-9cab-eec2f10e7564	0	0
fa6099ee-c321-4342-903d-4db6757abb23	70	5.83389722222222229
74300561-9555-4621-8109-580b1fab2e3f	0.594125249072381956	0.0495139031533180854
9b348f3b-71bd-4568-b8bc-1eb78e883ffa	0	0
652ccdda-22e0-4057-b55c-680476ce123c	0	0
09323b78-4cf4-482f-bd09-aaf5f4982127	11.1837229437229446	0.932042150360750554
847cb091-711d-4407-b759-9f1a6907e466	0	0
d201bad5-e908-4a43-adc2-3506c374fb80	0	0
abd4aa5e-891c-43c8-b89c-3a7779dbd123	17.1436818181818182	1.42874015632575757
b5dd9024-1f5d-459e-a9a1-5d5760b7b2b2	0	0
56a2799c-848f-475f-bc7a-bcb14e661833	16	1.33342666666666676
99624d2b-9ca1-45bd-b23d-74a861530cc4	0	0
3ac09e95-5583-4aae-b757-82f26bb08df5	0	0
476409d5-90e9-4aa8-83f3-cf6847ef3d54	0	0
c7e9843a-a49e-427d-998a-e043b4c8c672	0	0
604072aa-79aa-425e-accf-c603fe0c1059	0	0
75f5b649-02e0-4452-a286-74c0ced771c0	0	0
c2bc0647-6093-4ecd-9a4c-68d4b383f308	0	0
9a5894ae-5892-4746-8739-217a3d414300	0	0
f4ace650-6aa9-4759-81dc-8a11ed0eaa54	0	0
3096c410-ce4a-4c7c-9a29-f8446f7b36e1	0	0
258d55fe-848c-4d95-aa81-103389593428	0	0
9f7eb651-2728-4eb3-ac24-d1681274bbb7	70	5.83374166666666749
d0242f15-2cdd-411c-a2a9-75e65f2e2811	0.594125249072381956	0.049511427631446954
b13c80ee-4146-48d2-8787-5521034b2336	0	0
076123f6-4654-4c8c-a7dd-89846912b3a6	0	0
ee698759-9728-4998-a2df-d3dfd553e554	11.1837229437229446	0.931995551515151677
f81ed8c5-886b-40fc-b301-56b3912b5990	0	0
d24205d3-f6aa-40e3-a5fc-5233e54beed3	0	0
ff25c9ab-bbbb-44c6-9bab-eb1b0b9c1207	17.1436818181818182	1.42866872431818193
15a93c33-e7a3-4e88-bd07-cf7e9c23207f	0	0
0a27d53d-63d6-4a0e-85d2-b617e7fe03f6	16	1.3333600000000001
956496fe-3d2f-4718-afd9-2c337f67bf68	0	0
6d067dd7-1e1f-4eae-9bea-b777224aeff1	0	0
bc958560-b725-47b4-8ac1-9d1f73d33386	0	0
d10f9a9e-0142-48fc-8c7e-877a5f29fd0b	0	0
fae5eab4-91f0-42f1-9e12-09b2ff9eac9c	0	0
3970ddcd-39d9-47ba-8203-78a28035779c	0	0
984d7a30-325e-4103-9c5d-8804259e4b78	0	0
cc967156-cf57-4fe8-8da3-5c4f59a7f152	0	0
ec72dc40-f506-4474-ad1a-6024c777e588	0	0
8bad0c1d-5a28-4326-9eb0-66e6d9ee6f6d	0	0
783468b2-9470-40ff-8b87-203768d471d7	0	0
99ae834a-27a5-4802-a01f-e526a75360ff	70	5.83345000000000002
a25fa066-2237-4622-9340-b9a3200851d4	0.594125249072381956	0.0495101073531156802
7d3efe25-ab0c-4b5a-bacf-7bf20c4c8217	0	0
9470d26d-c41d-423d-9387-cfc9ff7461bf	0	0
b75fd67e-fd62-4963-a387-da01f9ec51db	11.1837229437229446	0.931970698797498942
457e09b8-9df0-4d70-8f32-2f5805a89d2b	0	0
eaa336db-d73e-49b9-aade-71ce00be750c	0	0
4f407b73-8b0e-46f7-854d-d6bc1aafc9db	17.1436818181818182	1.42863062724747492
169e9d33-4767-4cfe-8ee7-73445ad529f5	0	0
196b34fe-8428-4cfc-9557-9e903e11e22a	16	1.33332444444444453
4f30bec8-0a36-4d98-af1b-52371ffb06f6	0	0
68c7daea-f8b7-40cf-a2c5-8e0125e277cd	0	0
46a85441-bb5a-4b2c-8df2-623b5a88fa4b	0	0
35a73c15-9802-4d0e-a71f-9f5375089472	0	0
dc02e8ac-efaf-4352-b24a-64693f00cc71	0	0
75457e62-4560-446d-802d-e36a963920f9	0	0
17784f51-801d-4d63-b34c-c5c16ffd7018	0	0
7dfb65db-e728-467e-a902-dc118be328e4	0	0
83cdec9b-4c24-4eed-8026-a8404270728b	0	0
2f08475c-0fb5-446c-8fc7-f98b5ba5e8fa	0	0
8f7d14a6-0353-44d1-a7ab-eef8107c42f5	0	0
b3bca362-cca9-4bb5-99a4-7149b8b6b3a5	70	5.83329444444444523
2737344a-271e-4fcc-9777-44fe5f2fe02f	0.594125249072381956	0.0495188541970603552
5fe96a17-12a0-4007-b406-8da9b3c04ecb	0	0
77c5ee3f-1c42-4455-b7b4-1e37ddc49dda	0	0
71f85ecd-02bc-4a21-ab6a-da5bc61f27ac	11.1837229437229446	0.932135348051948198
4c1778a7-7667-4976-82b6-f779c9efaa67	0	0
f44ad44f-3210-468c-8ad1-c2d8c92ffa34	0	0
9734dffa-97c3-4bfa-91f5-bedeea0076b3	17.1436818181818182	1.42888302034090908
847db8a6-787a-4121-8d1a-bdb01584d5a9	0	0
9e6568d1-01b0-4b2a-a8c2-6849581933b7	16	1.33356000000000008
b08b971c-ce3b-4356-8968-32ab2070fb1e	0	0
78413fe3-b35d-46c7-bdc2-0b2eb48c8637	0	0
7000529e-30ab-48d2-8940-7b06aae5d4c3	0	0
2ae99043-ad44-42f0-8f39-8a247ac2f6a6	0	0
a9387223-2ea6-445e-b104-b19ca694fad4	0	0
9174871b-20c2-4fe7-bac3-40e3904c3344	0	0
b4c59e84-5e43-4949-9548-56dd2c771495	0	0
2b251e62-700c-4feb-ad65-ad658ec15471	0	0
c0f4190e-6f2d-4520-bea3-ca1a103cf476	0	0
9cd81444-f8de-4f91-a42d-9cb97b75877c	0	0
b5e39135-d8b3-490f-971d-26c8fe52b771	0	0
3e3b65b2-7562-44f3-a9af-02b0e0aa9cf5	70	5.83432500000000065
8d809524-ce39-4ced-99ef-1d3386382188	0.594125249072381956	0.0495125828749868185
b59faee9-54ec-4777-91a7-817756a75178	0	0
50fe6b71-1968-4cf9-8708-329e6ab289aa	0	0
2db25fe2-5eac-4997-b0bb-a87e8ec97194	11.1837229437229446	0.93201729764309782
1eb122e4-23df-4715-89bc-8b6d30d42416	0	0
234c4a45-0a47-4241-bdc2-0b146fb81ba5	0	0
d4f08873-5b4b-4e46-b160-2ac6b50b36de	17.1436818181818182	1.42870205925505056
ae1032e6-d896-4256-8366-efb00b7f8535	0	0
e5055b9b-e91c-4ff5-b90f-f77a39d0fa9f	16	1.33339111111111119
0781b22b-ceff-4908-8144-3cde5e2b6196	0	0
52cdf5d2-9a19-493d-b604-b38f4b3d2da1	0	0
b3489206-27e3-4d1c-9903-9889a02f0697	0	0
4333f87b-c6d1-428c-bc9c-5d33519bdcfc	0	0
2e4b5ecf-a780-4f1a-a03a-45f0e210594d	0	0
67e7970c-e974-4b0c-ad93-e8b74fe6c85f	0	0
cc8babc0-73dc-401e-8989-44a6fa389058	0	0
0046ed23-fd3c-4263-9eaa-b5e2f183a55c	0	0
93ed30ab-2285-4dd8-a878-3afd74a74b04	0	0
28d8d0a6-25a2-4142-8899-268118bd4d27	0	0
fdb10f07-23cc-4156-9f1c-943b36309b62	0	0
9aefd316-8f32-49c4-bb65-2918f84c5753	70	5.8335861111111118
0d9c2190-963c-4451-984d-4ea0057b2482	0.594125249072381956	0.0495155535012321707
ca89b5cb-0dc1-4a7c-a271-2c011e7ca534	0	0
be832439-1845-42dc-9af1-6ebeb2f036b3	0	0
4a57d5f1-3a27-4767-bed1-64a3c1c9b149	11.1837229437229446	0.932073216257816251
9daf45ad-89e3-458e-8886-da93fca1997f	0	0
6f07a1e9-48b2-43cb-b820-dd6eb663efe8	0	0
aaa560bb-751e-490f-ba77-d48b3407d4c8	17.1436818181818182	1.42878777766414133
f4773e86-8035-47de-b36e-5ecc8898de43	0	0
dc7ed1aa-ee91-4a52-8dfe-525353aa0765	16	1.33347111111111105
171f1db0-76c1-42ab-abaa-f4fda2cea53b	0	0
88c199de-10b1-4f35-a31a-769127e3c932	0	0
4dbc2298-50d5-49da-bd96-d0b151dd528b	0	0
781286fa-810b-446b-9455-43bcc90f1160	0	0
e417a1a5-04f9-47ee-9b35-ab57c053cdfd	0	0
0a813060-fcd2-4c6a-ab64-1f55efa06653	0	0
c6919fd3-f258-49e1-acf5-a1293a1a25f8	0	0
c3566756-bd28-47dc-863f-c83c6adb189d	0	0
21bab2e2-d3fc-45c0-8747-8e3bc8ad5af2	0	0
f7802214-ded2-4c5e-9d81-eef48f347e76	0	0
937f49b5-50ce-49cd-84d1-8888f955c87e	0	0
141f5d6f-ae34-4965-af85-6264d4b6f20a	70	5.83393611111111099
deb8a661-1791-4bb1-8953-dc3b5456451f	0.594125249072381956	0.0495139031533180854
25e640bf-8404-43e4-86de-ae27492737e3	0	0
f20083d9-ef2c-4c40-b5fa-7d6d9c1f0197	0	0
aa8b5f9f-4e7f-47ac-8a9b-fbeeabb96a0c	11.1837229437229446	0.932042150360750554
a611a0e3-9b96-4486-b8b9-e1fc60cdb3eb	0	0
faf4a59a-fdde-452e-bc17-efcf02631e11	0	0
b2a2e123-9957-4e74-bce4-b143e17e0736	17.1436818181818182	1.42874015632575757
7c413cb4-0454-48d2-8a72-8ffc1004b60a	0	0
f4b56beb-3075-49b4-a873-38e92e302168	16	1.33342666666666676
e945615f-c592-428f-bb3f-8c991268f8e3	0	0
20e29530-af4c-4a15-abf0-5789198a75dc	0	0
1b5c2290-1dac-4de9-9ec0-47a56ebb88f3	0	0
359d685a-e20a-486b-b51d-62952abf4e0e	0	0
ab604551-df20-43b4-8a30-660b86b98b44	0	0
2381792a-66f1-49db-9a0f-d02a6854243d	0	0
38a25871-64b7-473f-b39e-0f0560a1b5a6	0	0
0845caaa-7945-43b9-b15c-4a0303fbaf4e	0	0
d6308b50-a4b1-4288-95bf-dc0dc590a216	0	0
9bc5539b-63ed-456b-afd5-85b892440133	0	0
3155891d-1e4d-4bca-ab20-5b54f630b140	0	0
d48ea576-e257-4161-bd2b-8b1b1ea51850	70	5.83374166666666749
822be090-3f6e-4d7a-8f95-78a102eeaba7	0.594125249072381956	0.0495127479097782208
6655b12e-93f7-46ae-bcf0-16623d005012	0	0
2ceafed9-3589-45d4-8bb8-89529debbc3b	0	0
1038c1f6-1d19-4ef2-8fcd-dbf77366d05d	11.1837229437229446	0.932020404232804189
cbbfee8e-820b-4ef7-9485-7421b0d939d5	0	0
6de6b314-0bfc-4a8a-aec2-cf3314fced19	0	0
b24bc42e-baba-43a4-a653-8cb3a7cb9ceb	17.1436818181818182	1.42870682138888871
33488739-82d0-461b-abf3-ebd3cf810551	0	0
9ed9133b-8924-42ed-bd88-0ee78e6bdd36	16	1.33339555555555545
e4ab7c81-5c95-488d-86d6-05c7feb1cd66	0	0
31f32279-96df-4ae9-b148-0b1146c0f134	0	0
a49225b9-a0f2-4109-9724-0839612d21f7	0	0
56c5d658-1bee-4470-9142-d5df39baed9d	0	0
cadcdbef-4eaf-464b-a3da-d98bd1d54062	0	0
b9786f1b-9419-4e61-a7d8-0d591539323a	0	0
67d04c24-1793-46c4-ab31-57c9ad6f4d5a	0	0
9487dbb0-b8c7-4c92-a88e-7b1e3d02141b	0	0
1638ac6c-5800-4235-a49c-f1c4db43e1f6	0	0
f29d6d7a-8bf8-478c-b324-800510a42222	0	0
c4efa199-ae67-4d52-994e-cc6a75a6a125	0	0
cefd6374-2168-4c63-9bdf-c49c0bfc431d	70	5.83360555555555482
0937eace-3952-4e23-9dd1-8a4f8ec758b2	0.594125249072381956	0.0495139031533180854
89d3aea0-584b-412d-b1bc-00c46e3abc6e	0	0
111ac50e-05e7-4c81-a84f-d943c66b1c60	0	0
7ae84054-cb26-4712-bee7-13bd0a390310	11.1837229437229446	0.932042150360750554
9cc67014-b746-46cd-96ba-cac0657b82bb	0	0
301180fb-bec9-41b8-a9c7-aa51dee09191	0	0
241f6dda-3cd0-474b-8a24-7f36c237d718	17.1436818181818182	1.42874015632575757
47f6e50e-fdef-4216-bafc-3e55b9de8b1e	0	0
144cd8fd-5c53-4645-a135-759a6933a97f	16	1.33342666666666676
3e9c4901-0e72-43d4-8c22-103416844e2b	0	0
89002674-1244-4ff7-a2c0-09f5d90d276e	0	0
4cceb9c6-514a-47a4-bfb7-f673a61b12f5	0	0
66f8d57a-e0e1-44a5-b00c-3d52cdb3699a	0	0
c74fe352-b872-4d8a-ac13-6d3614dc9da1	0	0
df60c947-05ba-4384-87bb-84d97f94c1a0	0	0
602c0f63-4002-4404-b5bc-d895de514414	0	0
c422a23c-8fa3-4c3d-9327-4d1b0a46ceda	0	0
5b1f44a6-c4c3-444d-8160-373ab54ba77e	0	0
a3995527-a5a3-461c-b9cb-50ca8276af09	0	0
6dc6f116-9bc0-47aa-87f5-fcdee87d7206	0	0
19087190-0ea1-4120-9e08-508ed640cae2	70	5.83374166666666749
44c7e77b-5833-4a21-bfdf-b5b45d1348bf	0.594125249072381956	0.0495143982576923131
b773a876-7289-4d7f-a694-a745ce29c7ae	0	0
a01d6d25-0b66-46eb-b9a8-3d5bb7e6118d	0	0
03867b81-8527-4921-b312-a3cd24334e4e	11.1837229437229446	0.932051470129870219
7be78425-9dae-450b-8e64-198bec42a4a6	0	0
ea6960fc-101d-40d5-a4ff-5342548f419f	0	0
b172c8a4-8c23-453f-9c8b-d6c5df160d84	17.1436818181818182	1.4287544427272727
3335f4f4-a2a8-4b71-9d45-346a3f9c9069	0	0
9dd59ef7-989a-4832-9b81-1f9140982220	16	1.33343999999999996
aec5b106-84b8-4066-aee0-03a29c094ea7	0	0
15fa5f55-a8e6-495a-8a66-60f19a63e479	0	0
84c30076-7019-49ec-8c63-8345fc0ed2c5	0	0
03daf100-5146-49ca-8dec-1ee8371e9e96	0	0
bbff61be-57f7-4452-9274-a012665d4c6b	0	0
e38c49a7-56ad-4424-a22e-b8e1200ab7ed	0	0
74ebe2da-1e3c-453e-8a0c-1685039ff3ed	0	0
dcb4c978-105d-4b2a-8a73-66ee7d166f3f	0	0
74e2c793-ddc8-4ac3-86fd-f0d80df05049	0	0
300806bd-680d-4ca7-8cbf-873dc8bb7099	0	0
340a801d-944d-475a-8a4f-b47a2f6d4212	0	0
98466b8e-f5ba-4026-9744-b5b65a2f2ef2	70	5.8338000000000001
1bf545c5-9609-402f-91f9-461498bd9db0	0.594125249072381956	0.04951505839685795
0768b597-1354-4656-a60f-fdff0dcc0f23	0	0
a30c042e-f45a-43a8-82cb-22b43f50aff5	0	0
9bfcf6c3-7d1d-4494-9c34-3aa3681edf2e	11.1837229437229446	0.932063896488696586
a0c7ada0-4f67-431f-8ad7-d8307c10d301	0	0
bbbf821f-5eec-41d8-9d92-08a4fd16564f	0	0
1dee5982-f7af-49fa-9172-e947adc80f86	17.1436818181818182	1.42877349126262643
753d9b67-61dd-4518-9c01-d4469299610a	0	0
30aec040-1b0a-4efe-b36a-634b9ca60b4a	16	1.33345777777777785
8ff800a5-2512-4427-848f-5ab59c862a69	0	0
5a3b991a-15c6-4318-b96d-f3706eb48acb	0	0
0efd287d-1d12-40d9-940b-f96f63b19ebf	0	0
c8372ae6-4c02-45d7-ab09-f08cb90fc827	0	0
0a367d55-09e8-4313-9e1f-21415d8ac961	0	0
1ee36653-373e-43b0-b947-a6a9ed5e7820	0	0
6dbe95ee-fb22-4734-9de6-42d048916dcb	0	0
0c5d8029-5ca6-4dbd-932f-1e52ccf6eeb2	0	0
cfd1b1c1-6345-4c5e-b006-acc4d61b34de	0	0
57cc5609-2c84-4da3-9f80-5ef423190fe8	0	0
02ed022f-1459-4963-91a2-7e66a600a89c	0	0
14aa087b-b411-45ee-82c2-2acf9d925db2	70	5.83387777777777838
7526bef5-44c0-479b-b39a-d9bf56c76045	0.594125249072381956	0.0495139031533180854
1a1c4d20-9e3f-45ed-8d34-06ce46b16897	0	0
b649ef62-5fe3-4bf9-bc86-0d9a59a94573	0	0
5fb6da99-6d0c-4bf1-a3ea-c6ab9e25562a	11.1837229437229446	0.932042150360750554
4cbf6bb5-d35e-4c20-808a-c2979ed76dbf	0	0
9da19c7d-e4a9-4dc5-8b1a-99b115169e58	0	0
16a47ef8-e668-448b-9d16-bb028c36c5d5	17.1436818181818182	1.42874015632575757
8e475696-5933-4aec-b78b-b86c35fb394f	0	0
3b3628f3-16bc-412c-ba9f-db146978b006	16	1.33342666666666676
6c2e85da-50b5-404c-be55-b47f1f82d639	0	0
72ba985b-6f08-48e3-9283-e78e01ec160c	0	0
486983c2-879b-4e47-86f5-3c0a3853048d	0	0
58db9c66-1440-43c8-9d43-b7c3449b33cd	0	0
9e602160-fb09-456b-9b99-65f0ea0a53eb	0	0
b8f41705-ad00-46d0-b018-91345fe3173b	0	0
b9dc75a2-c356-4883-ad44-8e7a3ba643c9	0	0
c4fbeca7-4710-45a7-b61b-2c372d083e9a	0	0
1ca7434b-b633-41a4-aa35-ab73ea96b84d	0	0
5aa65964-1631-46bd-986a-5ed0c0c83f62	0	0
707d3209-c87b-4a65-bcfc-75c98d629677	0	0
5f040203-1ca0-4cd2-bc69-b2e9f8487efd	70	5.83374166666666749
cc2e255f-205a-4d82-99b1-28c73963ca1e	0.594125249072381956	0.0495137381185266762
958d0ea9-fe26-4390-a6af-fd4e60e6f8d6	0	0
12eedb8c-4a73-46d9-9096-cac68b68c656	0	0
f5881e6d-49d6-40ec-9e39-bd9575a06f5c	11.1837229437229446	0.932039043771043851
69d9aae8-d928-4e68-a454-a682c137eced	0	0
8345d9ac-a193-4680-8fce-1e473108a2bb	0	0
911501f2-5638-4f8e-94b2-875815215ce0	17.1436818181818182	1.42873539419191919
90205e16-dcdd-4810-98c3-97dd38407fd1	0	0
9b44cc57-1af3-4e8a-be90-ed589dac5d63	16	1.33342222222222229
2b7dfa52-f005-4b59-89aa-78c4be733b8b	0	0
2385c0d8-5ae1-4953-b696-e759f6b203b8	0	0
b295784d-a27e-4533-86f3-98acebce41d5	0	0
c4fd5c7a-3d5d-4d2f-9ad4-ab361e6493d7	0	0
1e8b3620-31f8-4764-b5e1-6d66b24c5834	0	0
2a7563b1-1adc-4d26-a087-1cdd0e63d410	0	0
710fe27a-661d-4b95-b955-048fa5b45af5	0	0
8ed5b279-2aa7-400f-91ad-e13cc6990e91	0	0
1ce57ef0-1e09-4243-acba-63cb3366eb33	0	0
9151c673-7d8f-4f5e-838c-93ba5637a58d	0	0
f1332da5-871f-4a71-916a-fd131a7ea691	0	0
6c1e9313-7407-4cdb-a266-accca1c68c32	70	5.8337222222222227
cdf79974-c57f-4a7e-89a1-11246a69e1c4	0.594125249072381956	0.0495120877706125839
106a9abb-dfd3-43a0-9935-0ee78484515c	0	0
75553724-eade-4eb9-8fb4-26b3d3ace1d8	0	0
ace3aa3e-a342-4a0a-9066-0c4a10dc9a71	11.1837229437229446	0.932007977873977933
2087d9b0-2d4a-4a65-a392-238f281a36e6	0	0
c7545493-7ffa-456a-b184-c32407ca8e8e	0	0
93c7739d-ac29-4a92-b7d8-b8d38b3323ab	17.1436818181818182	1.42868777285353543
a45b80b3-304a-440b-bd83-dcf7ea2a3853	0	0
5b9e0909-d366-4768-b698-e4c47a15e11a	16	1.33337777777777777
79d11973-c28f-4293-8f09-75839624c55e	0	0
e5270e5b-ec1c-4dcb-b813-b64b990577a6	0	0
c95822a5-928e-47c1-9c48-0f050d39c6ca	0	0
10d8fb46-86c3-44f8-afdb-2242cbe41d2f	0	0
eeec894e-c02e-4f35-87c1-a0e3a8a1901c	0	0
e5fac2c8-bef2-43bc-beb6-b10629a0b3a4	0	0
b9a194be-6937-42f9-8b36-9046ebde9c84	0	0
fd64c118-e548-42b9-8469-cc21d79e6e9f	0	0
d7b35a55-edc0-4d64-8d25-4a6f11787c87	0	0
2db4d4f4-cbfe-469d-b99f-84ef116c95bd	0	0
b09484e9-0264-4f8a-9898-15adc923180b	0	0
39fc07de-a985-4f14-85fd-677de132c554	70	5.83352777777777742
125c3a2d-8765-4da9-ba66-ed9843b271fd	0.594125249072381956	0.0495142332229009038
88e461e9-9e4b-45f7-b63e-b3bb606b8dbf	0	0
33a9a620-841e-48bd-b4ab-7f4f348a5674	0	0
68c0ba6d-945b-44d0-9c96-86bf7398db73	11.1837229437229446	0.932048363540163516
c39dd327-367c-47fd-92c0-c6c7af58bd9a	0	0
412d12e5-bcb0-4e4a-a2cf-f0175ece3846	0	0
db91ac70-022a-4294-94d2-8fb8b0c23701	17.1436818181818182	1.42874968059343432
eec982c8-3969-4ec5-8fa3-f55e368d1005	0	0
8c362844-5c55-4edb-bf87-ae19343f45fc	16	1.33343555555555549
7886092b-d5a3-4133-abfa-a43fe6672e2e	0	0
e74d7bd5-75c7-4543-8b2f-d16e9170b1f1	0	0
53913d00-5019-4de6-9a81-08e6434eef34	0	0
3146b53a-d1ec-4d02-bdff-efa6d61d2cd1	0	0
116608fb-7ced-4575-9391-2e6d28975e62	0	0
72fbf5e9-8edc-4ebb-9df0-c0c4638687a7	0	0
c44f18c4-3442-42b0-a837-288c10e45299	0	0
66c56ef0-d0b9-462a-8f11-de54bb8e37c2	0	0
ab9cda61-a395-4efe-9ada-373710199f39	0	0
110cdf86-cf5f-4ea3-b2e4-a3399cb2a6f7	0	0
4c12ec44-ebab-4519-89d0-fe2f9b28f133	0	0
93396ab3-627b-4b9a-bde8-04c35a6065fe	70	5.8337805555555553
2c5f118f-7bc1-487f-9ef0-840c12b9ad40	0.594125249072381956	0.0495102723879070825
e09cc346-54a8-4f37-9a77-d60b91aa30c0	0	0
7670a9d8-d05f-4787-a05c-d697694a7718	0	0
2c2e8b7c-707e-4945-904d-89f0fabf8ca4	11.1837229437229446	0.931973805387205423
afbf65b5-4f50-491a-9625-641e3c0abaf7	0	0
305291f4-89e7-43cd-9910-481a162a39b6	0	0
4686c4b3-84ea-4ec4-b710-b8c08e57e9e8	17.1436818181818182	1.42863538938131307
8f549546-c120-4599-a8b3-b0f3aeaf868b	0	0
c255aea0-24ac-42d7-8b0f-f27629f3da43	16	1.33332888888888879
a4b155d7-65eb-4a2f-abeb-8bfc7c9f2efe	0	0
389a4eb5-3adb-4184-852b-358dceef5dc8	0	0
068341f9-7a22-4fb3-9bbd-2b8baf09b69f	0	0
acf1174a-f427-4004-995c-6566fe46b3bd	0	0
2f733fd5-3bc5-4c32-9d4e-d23eb481c597	0	0
d7452152-2638-4e82-854f-c7f6084db03e	0	0
a295c163-3f62-4d2c-a2c8-33e48fbe3355	0	0
7c359c10-67ee-4ea7-ad95-62d27acf59f0	0	0
b4d7ad1e-f5ce-4ead-8c65-83319de3669b	0	0
ac62d48d-c8a3-4e56-bc64-6b426b57eaf6	0	0
e223f837-2ef4-448a-84b9-ea6acb12a1f2	0	0
e09a6ba2-d7dd-440c-bcca-a8ab3e8eacdc	70	5.83331388888888824
e36f905d-495e-46aa-8ccb-f7221f59f438	0.594125249072381956	0.0495190192318517713
7efc638c-be6f-4955-920d-322324e0997a	0	0
32f852a4-9101-441a-9f79-3ce9dcf38fbc	0	0
42cbf283-08e6-4c9f-af3e-d27e0b1533ce	11.1837229437229446	0.93213845464165479
f0fff78f-f482-473b-a1b5-01c61d44ae3a	0	0
c7febfc9-8798-4edc-9805-fc56141e4bb0	0	0
d6594067-c277-49c8-aa2e-4ef127338da1	17.1436818181818182	1.42888778247474768
50398698-e580-403a-ba64-21d02a4356df	0	0
fb01e616-9833-41e3-bb10-813f346efb53	16	1.33356444444444455
6059da5b-3a6d-4301-91a3-5cc54bf46132	0	0
9184d9ad-15f8-4720-8514-8a3c08f7144b	0	0
eb82fac0-4a12-4dcd-baff-0f99d9de0444	0	0
098f7a4e-6eaa-425f-9175-64bf62df60ef	0	0
79d1e217-80f6-4c67-81bd-0071b7b28be2	0	0
a2ce233d-9317-47f2-a9a4-0aa86f72d5aa	0	0
8775e5cf-495d-46ee-b0dc-c9a32a33a6a7	0	0
b60893e3-ad83-41be-a27e-46efffbcfe04	0	0
8532bd85-5a1d-4e85-a3ba-88bfc2301a4d	0	0
aa9360be-66ad-415c-a98b-039eee25a4d3	0	0
06eb424a-fcdb-4003-9fca-5f1893737a80	0	0
de22d5c7-19a3-4b20-b96e-49d8c60ec53d	70	5.83434444444444456
76d6920b-15cf-4377-b68f-ce411294cdd2	0.594125249072381956	0.0495153884664407615
9b134804-5b53-40de-8a26-538e58cdf5cc	0	0
eda74071-1935-4dba-82ee-51bb8430953f	0	0
4f465163-1a9b-4c88-b095-28eec9974f09	11.1837229437229446	0.932070109668109659
95a61759-a819-4263-8f03-91b499a13da5	0	0
b25459d8-7048-4f0f-a917-e7ac13e6ac8f	0	0
76a3faee-ce2b-4114-a25b-10d54ef0ce37	17.1436818181818182	1.42878301553030296
d3f0ce33-30bf-4259-a928-8a85601b1ea5	0	0
ce0328a7-8c52-47b4-8884-a05cfe3f4dd9	16	1.33346666666666658
9971aac0-91e7-4da4-afde-ce69ca344706	0	0
803dc668-8709-45f1-958c-6273a8b6741b	0	0
8637c7c1-fe32-45c7-a643-b4777605cedf	0	0
7ac29ac0-a7e2-407a-bfd7-40454be11ca9	0	0
23dec782-1bb0-4f29-b113-964ce666f140	0	0
0b98d145-e662-4420-a662-8c2512a85916	0	0
2cf568aa-d8aa-47b2-8b1c-6fea8b6e43d5	0	0
dc9b65e3-075a-4878-a032-5d17dafdeeaa	0	0
3a2c405a-de4b-40cd-bc44-6f58db2f3045	0	0
eef2645d-0af3-4645-99b3-3990129ad808	0	0
adcb4f3a-24ad-4f2a-9532-156eebe5fb74	0	0
602e4be9-4bf8-4198-8428-438b181a9fbc	70	5.8339166666666662
d726427f-fb52-4692-871c-f426c3c34f78	0.594125249072381956	0.0495132430141524485
6bc15637-96a4-4469-a7be-219bb4480713	0	0
264e15cd-918e-44eb-95cd-5fa9c6ac4ff6	0	0
2449dc0c-2003-43f8-930a-197d57050e43	11.1837229437229446	0.932029724001924076
58fdd509-675f-4d94-9133-c36be7afa2a9	0	0
567c4a89-9a0b-4901-951b-3f49a0855308	0	0
c231d0eb-6069-49ae-96da-1242db215379	17.1436818181818182	1.42872110779040407
8613b0a8-ab29-403f-a932-0565481990a0	0	0
c8b3d296-b232-4789-b838-3344d03a8be3	16	1.33340888888888887
115b2666-6990-427c-a7e8-aca42f833271	0	0
eeb9f15d-9e7c-4577-a7f2-ea65175bb992	0	0
a9ff303e-8d79-4785-b0cb-c0d892f3ea1f	0	0
51a580da-100e-4f61-a25a-ad27df40c528	0	0
ae7bb26d-0a6a-4e3a-93dc-2653e3511bea	0	0
36e3068d-786e-4bd3-b714-7ffae19c2921	0	0
989ac7b3-7787-4bdb-b21e-d66a0b07f9b3	0	0
c5e0b43c-8eee-4bf6-b5dc-c57bfeb8e83e	0	0
6c260031-c6cc-4983-b1d4-cbcd1ba4658f	0	0
bc4fd98d-70af-4214-932c-cda870076c12	0	0
3272de64-c025-4f56-8393-8ad6b39322ea	0	0
ed65e763-f5c6-4c71-b0c5-4105cdbc219f	70	5.8336638888888892
e8c8ff55-3cd6-4541-aff5-31ce36ac693b	0.594125249072381956	0.0495134080489438577
eac24149-f543-4f37-b37e-839b7b33c8c6	0	0
6c5fb621-921f-45fd-97e9-a847e3b9d97d	0	0
eb57709d-7e0f-4d16-b888-8ae2bb5cdd65	11.1837229437229446	0.932032830591630668
9ecb6d80-efb9-46a3-9e70-3acacfbf7614	0	0
cbf77dbe-de1c-4976-bdb6-33f2ca22dae5	0	0
d20873fa-8591-469f-9fe0-e395123df0cf	17.1436818181818182	1.42872586992424244
ca624977-cbdc-4291-b47e-56c2f2c4e369	0	0
1e21845f-cbba-4dbb-8a13-c66b5fe7a478	16	1.33341333333333334
0d3cca70-e350-4b4d-9b48-fdda2cb80066	0	0
9f38122e-a962-4d81-a0f4-e867e024bb36	0	0
98ec7170-dd09-4857-b5b8-9c033d21d388	0	0
8dc54341-db49-4335-afae-7287e3ebd9db	0	0
8decf560-de56-44ea-bb73-843dc1aab9fc	0	0
eb75f65d-8b76-4fc9-bf57-e9abda632d49	0	0
7777f19e-cd64-4dd2-98e9-ea48c3d214df	0	0
7670768e-8f4c-4448-a75e-85befc76a1c1	0	0
65f3afcc-9adb-4ccd-a678-63b629c464e1	0	0
99bf1a17-8f0f-474c-9b21-157016e5a577	0	0
04d41cc3-035f-420b-a404-2a5065e0737a	0	0
9e65ab1e-9b48-4de3-8573-cc49af3f52d6	70	5.83368333333333311
d5f0230f-399b-438f-9ca2-2746c62cbbb7	0.594125249072381956	0.0495147283272751315
a1301ac6-4746-45d0-97c5-99ded0318a90	0	0
0c8df3f1-641b-4e39-8132-d2134ac7d180	0	0
c2ad6f08-4626-410e-b941-35e348d035b6	11.1837229437229446	0.932057683309283402
816949de-e719-4a06-8b52-baf5440ac391	0	0
fcf31227-8afe-4a31-90d9-1dd6becff46f	0	0
b196643c-93e4-4295-abf5-ce6d73b0e568	17.1436818181818182	1.42876396699494945
a1aadba3-cd51-47c2-ad79-16a796cc993c	0	0
460a7505-aeae-469a-b14d-bc91ea0f5080	16	1.33344888888888891
16e0db8b-fba9-420b-bc30-25c012dfa828	0	0
ccf14e99-219e-440c-ac09-4129d94fb6a2	0	0
9a4c6102-73c2-4871-8fda-b613e28e64e4	0	0
9b0fa7f4-b724-4144-86a0-37f3c2d2a32e	0	0
8aaacc9f-6a27-42b1-88e5-ab18de864935	0	0
d8adda19-abe4-468a-8f83-9c44bd05c491	0	0
09df2cee-8071-4a2f-b397-a46b7c6d39ff	0	0
65738516-3fe5-445d-bbf1-c8efb7e39b95	0	0
ef0e9e0e-8c50-41aa-9d52-162fa9d2d7e1	0	0
b11c179a-e0b2-43b1-8e8b-2f72255b768b	0	0
30af2fdb-59c1-4810-97e6-690aa3ba37b3	0	0
5078a4e1-2f84-40b0-be39-f032bcd3059a	70	5.8338388888888888
f1785c1b-093f-4f88-a1ed-fb69bdb7774a	0.594125249072381956	0.0495152234316493592
e529cfa7-f486-4e68-b182-d6de5a301213	0	0
b2fc9581-b7b6-4e53-b9d1-5722724c99ce	0	0
3ffed70b-a28f-4c61-a46f-73c8864ccc56	11.1837229437229446	0.932067003078403178
d1b23e27-8329-4a59-b3c9-bb10469bf861	0	0
b64c3a4b-81af-42c0-9244-c7e2c7bd9c3a	0	0
7ae6b231-a823-4175-a627-88e936ceb2af	17.1436818181818182	1.4287782533964648
b7c43105-bdea-4ded-9e6c-a7a8733bd4b9	0	0
297cc4e3-cbda-4b91-b038-b99baaaa3643	16	1.33346222222222233
1b33d6b1-d667-40b3-9ba8-3abe485dff10	0	0
6b5ad34e-a0ed-4e4a-a42e-faac69a3b40c	0	0
bdefe236-114a-47a1-8cb6-dc6361e59bfa	0	0
a3e7f30e-1444-45df-bb2c-c49ddf50555f	0	0
35bb86e7-11a0-40bd-b33d-8f7680991c84	0	0
ce96e244-2972-4c28-8d58-32a5416551e7	0	0
0544fce1-e64e-4020-94bc-c80f62c3851a	0	0
8a837b5c-abc2-4b60-9b8a-d99258776e13	0	0
3df96f32-40d3-4d8f-a7a7-0a8486e9da73	0	0
e92af0bf-2f58-4039-8750-746ee38e2d25	0	0
4cc30581-1460-4296-92fd-7b882507bdf4	0	0
c2c77e95-186d-4797-9d5e-0c4ad9dd1872	70	5.83389722222222229
5865bbe9-7e6a-411e-8f89-d40caf724d0a	0.594125249072381956	0.0495124178401954093
aaafae66-857a-43b0-9901-2a834992cfc9	0	0
dd749682-6905-4280-a4ec-262b0449d503	0	0
bcbaa05f-7837-4e38-9b46-5a0993ec2deb	11.1837229437229446	0.932014191053391117
9b13a52d-5def-442d-b954-5ffbaa9d6d57	0	0
f3363424-c2a3-4c17-a530-888810d468f0	0	0
5c7f160c-df47-42cf-9354-caa3d8f5bee7	17.1436818181818182	1.42869729712121218
8fe62c4a-4cc7-476d-b2c6-3a458cc34673	0	0
db6aecab-64c7-47f7-b87f-08707cf7e1c1	16	1.33338666666666672
8cb576e1-ad04-4431-b006-27cf074415a9	0	0
daf2f979-6bb3-485d-97c0-633ddc49f905	0	0
3ee5f60e-52ae-484b-96d9-bf8fa27434e8	0	0
1d251676-bba1-4fa6-8fd2-cbfb03bf7ac3	0	0
b3ea874f-67b5-4847-b541-5d4071cf717a	0	0
59063162-1966-4d74-be89-11e753df2bb6	0	0
5b850066-e571-4dfe-9b74-79962326adbd	0	0
4e0f553e-fed7-45ee-90b8-4e35e387aacb	0	0
c96af2fb-c448-400f-b32b-a9ce051c83a6	0	0
bf80cb02-c094-4837-bd75-a1471cdaacaa	0	0
69a94b21-ec20-429f-b19f-ea54d380406f	0	0
f2a6f3eb-6a28-4bb7-93d0-733ea4c1ef6d	70	5.83356666666666701
b1b6414a-b973-4916-8da0-2967303c0d2d	0.594125249072381956	0.0495127479097782208
8c9dd285-8eb4-4063-a886-1d549f85b6b5	0	0
4c7f7264-3f86-4be5-8905-c9f448fe1abd	0	0
87e503a8-ad31-44bb-85de-c580610834cd	11.1837229437229446	0.932020404232804189
f235dc3c-e418-41b8-b6f5-9bcc759fb7b8	0	0
58c87f45-85ed-4eb1-b8f5-31955110b03d	0	0
a801b6b2-1575-479d-a77b-abd6e0572884	17.1436818181818182	1.42870682138888871
fa0958f9-3e4d-4341-a329-8782238fb4ce	0	0
2525564a-4a00-4037-967a-994379cbfe2d	16	1.33339555555555545
d4bb7d1a-1faa-44d2-ab84-3a2d941b6974	0	0
b4e678fd-de05-493b-b5ea-d107c7aff8d0	0	0
df256ab8-5a24-4ecf-b090-aa791e7e2ad7	0	0
163d56d8-5405-4bf2-8af6-d21d97882e5a	0	0
7c148c2b-931a-47e2-89ba-62612c1dddf5	0	0
1778fe6b-6964-4b04-a390-aafecca5b0dd	0	0
51088313-2a0b-42cb-883b-8aa49023dd55	0	0
d152cc8d-e28b-4bc7-ae33-09dd90028486	0	0
35f3c4c0-52a0-4adf-b0a1-2b9c8be428fc	0	0
8422ea3a-4c9d-44d6-a81d-aace11f5cbee	0	0
01f1dccc-90b3-4b87-907b-10e0c1eaa1c0	0	0
f580896d-3a0c-4958-a17f-5e7cbe06ab90	70	5.83360555555555482
7ef07db6-ecb2-41b6-8a96-57f9d2fe54e7	0.594125249072381956	0.0495084570052015879
ae68c056-4b66-4a36-9aed-558e1eb9e41d	0	0
bfd5383f-e1d7-4baa-a384-f428bb42e374	0	0
661bcd23-2815-4189-aec0-0341263c9a1a	11.1837229437229446	0.931939632900433024
46a24b0a-e5d6-4c92-806b-ba5548c2a3de	0	0
fef5354d-b1b5-4f99-9887-bdb8a15eb59c	0	0
3cedda54-0e9c-4a27-9210-49afade218b7	17.1436818181818182	1.42858300590909093
b4fc48d9-23ac-4b25-923c-655f40129647	0	0
cdb73eb4-8659-43db-b906-42db651b4e3c	16	1.33328000000000002
1688a0a8-593c-4ccf-ae05-c1c635abb53b	0	0
1604828a-c9d3-429b-a9ac-8a09edae91e4	0	0
9de9d0ff-0970-4f0f-a018-f41a63793cdd	0	0
e65c7359-7849-4bd5-91cd-bb307a274356	0	0
51fdf96c-886b-4a47-a75a-1922552b1ea4	0	0
d39b9f03-0231-4745-a796-9ae517371b93	0	0
27a56f92-5b03-4495-ab7f-1c78466ef959	0	0
b6fdf9b6-d222-407c-94d5-492f055d6fcd	0	0
6e39009c-032a-473a-a59c-b44ea0b4e86d	0	0
420e567b-f2fe-4ddf-a4f2-c380b0efa2b9	0	0
a9081aaf-3767-4d9a-8319-1973c07683c4	0	0
09930fe7-17f7-4670-a90e-b1d4dcc6e932	70	5.83309999999999995
e00af96a-4414-402f-af39-2f3e37f86cdb	0.594125249072381956	0.0495214947537229028
edba86c3-3148-49df-8ebb-95a05104154b	0	0
bff9cc7b-5eb0-4d14-a66e-eb86a63d74e6	0	0
fdcc3e37-5325-42b0-83b3-7ffc4ddc384e	11.1837229437229446	0.932185053487253668
584325a2-76de-492d-84a1-85fe8193aced	0	0
4287f5e2-e1e0-453d-9369-63b46b41d309	0	0
437bd5ef-eaf0-4a2f-859d-4a68b9d5e9c8	17.1436818181818182	1.42895921448232333
b78c538a-286f-478d-881e-151dffb71b4c	0	0
ab9bc26d-94ef-425e-b8a4-6475cd81fb05	16	1.33363111111111121
1ccbde1b-a67b-44f5-8569-650ad5763263	0	0
369fc7eb-b060-4ce9-b781-86ad30442271	0	0
7064295b-e11d-4683-8b09-1f836f28bc1e	0	0
c7e4bbe1-c6ae-40f0-8dca-98bf5e9cbcaa	0	0
b87f1610-3fe4-43e3-958d-2e81f4d2cd83	0	0
4e239b08-cf03-41df-a34f-4e62181fd0af	0	0
6ca2717b-a1bf-4bb0-8210-59ed9287c988	0	0
6581a029-281a-4acc-8dc5-de7dcbfcc855	0	0
786fe57d-e5bd-456b-8f80-c871ecf9efd1	0	0
2b4cd1d3-6e68-4afd-8ff0-f5e296934157	0	0
b99f72fd-df5e-44db-bb17-d343a6c57ee7	0	0
dd934986-3555-4637-8328-3f91d5a0f972	70	5.83463611111111113
bf9ab3d1-d264-4e17-a3bb-8ec5877a8272	0.594125249072381956	0.0495135730837352669
cb251bdf-6eb6-4372-bf99-7b0829c77727	0	0
0217ae38-9ddb-47a6-a3e2-bb25c0182094	0	0
d2cb9bef-72db-4ce4-868a-5e5af4fd47ca	11.1837229437229446	0.93203593718133726
5703ff90-da29-4ad2-8622-b4785b24aeec	0	0
47620c57-f283-4a6f-8b54-704f8dc210fb	0	0
72a6418b-62ff-4e59-959e-ab30c1fbd4b3	17.1436818181818182	1.42873063205808082
984c8b34-e4b9-4d31-ab3f-86a073bc536d	0	0
b09ee8ee-8a39-4374-8551-f77aa35f9f3f	16	1.33341777777777781
0bf50a2b-bb7c-42b5-bb18-8ad20bd92167	0	0
f4842856-2182-4b97-b704-367e66fef9bb	0	0
2409dcc7-af69-49ee-bba7-fc148385b874	0	0
a58e050a-15bc-439d-841a-c0ecd49cffa7	0	0
29b4b76c-7e4e-4f9e-b02c-4d0106faff0d	0	0
8b3a8829-53df-4b3f-a993-8f181ad9db99	0	0
b6acda07-c049-4eda-b731-fcf5eee4a669	0	0
5d4fde33-c32d-49d5-ad93-9ba3156f3f33	0	0
c90613d1-ccf9-40d9-8688-128f2bf3a8b2	0	0
07bcb96a-219c-4968-aff5-6613b1e44c06	0	0
3d3ca7a6-ed1e-4a4f-b470-51eea7b0ea7a	0	0
205ec120-919f-469f-b2f5-092f8993d816	70	5.8337027777777779
2f03fa8d-8c5d-4fc2-b313-0ac4189b361a	0.594125249072381956	0.0495124178401954093
4f9f451a-5c22-4613-8d09-590d2b2a33de	0	0
a606d217-66bc-493a-adb4-9ab3aaf965e0	0	0
42f156e1-3917-42ae-b6ba-a6ed30b4da93	11.1837229437229446	0.932014191053391117
4a3011dd-9eec-424b-8b41-3296ebe1bc2e	0	0
cbcd0b7d-8237-4635-9ae7-20ab0fa33147	0	0
133b753f-d6fa-4b19-aa6e-84c67d4564ab	17.1436818181818182	1.42869729712121218
a00850bc-4d0a-4b97-bbfd-92f8af98672d	0	0
5908901c-22af-4809-99da-190e312d7885	16	1.33338666666666672
2c0edd12-5c4f-4f12-bcdf-58a84decc3e7	0	0
9c2e439b-b85f-4a34-aad1-5eda4145a453	0	0
dfe148c6-c3e2-491c-91c0-19c91ff4a132	0	0
fab19b05-f35a-4d2d-b374-aca9c00ffc2a	0	0
3dad12db-9ea2-401d-9237-da8b729231a6	0	0
4ef0b794-e57f-411b-9293-91973c8229c1	0	0
3dfda959-4ed1-4dfa-a758-f0cbac1e76e4	0	0
8445b6bd-5b1e-4c6a-9265-dff34d97d955	0	0
530a244c-5d02-47cd-b453-597754203008	0	0
dc44dad4-f8f4-419f-9ab0-6ed92eca8283	0	0
1ea0c2d8-e26c-4343-8d4f-c80f1d3d4fb9	0	0
7d625362-2fb3-4920-a171-5dafa57d662e	70	5.83356666666666701
753b3058-0f16-4582-ad25-f5c1b31eb2d6	0.594125249072381956	0.0495167087447720353
d7c07e6b-454e-4369-a8a6-98df5a34607b	0	0
2e0148e8-47c9-454f-b9cc-2a714c89bf1d	0	0
3b1248f5-a541-41ae-8030-5f14b6ae34f8	11.1837229437229446	0.932094962385762393
665f41a9-ad30-4b15-85ab-46a2efbd1ef8	0	0
966a02d2-c9ab-4685-9c98-ddcf7ac8f645	0	0
c146f2c7-cdb6-405a-9055-db46bab28fb4	17.1436818181818182	1.42882111260100997
1ab28d49-89a0-46e5-b8c8-0879bcb40f85	0	0
29879961-f6dc-4345-a999-ebc326787994	16	1.33350222222222214
02056471-cff6-4c67-8938-c8ae17a11c74	0	0
edd8cd08-9a5e-4c27-acf3-3e29adfdacb4	0	0
b659e136-cb4d-4543-a996-df89c82cb210	0	0
367ae861-0fe0-40d7-a390-47e29db9e32b	0	0
1dae2a14-53ee-426d-8503-8e55b66fc8ee	0	0
93ad0ed5-e142-4f44-8e5e-7256ca975620	0	0
f33bfcb2-99cf-45dc-91ca-985529cc54f8	0	0
828a01d3-ba46-4e84-86a4-7e41fc85f4a3	0	0
b5810d14-a99c-43a0-9586-dc5bc261ddea	0	0
210b8417-be80-400f-a469-47d56913a2d4	0	0
0d00b7cf-75c3-474c-a152-3fd2adf04dc8	0	0
6c1d4f06-f620-4df4-8942-bbad07c3b6ac	70	5.83407222222222188
cb2927e7-addf-40ec-a6e8-6133619dabeb	0.594125249072381956	0.0495036709962507274
309e5dde-b280-4e75-b79e-517cd041573a	0	0
e3de1ffa-28b9-4227-9311-1e174da9a4b0	0	0
a95fd03a-5408-4df9-b47c-7105e412cdaf	11.1837229437229446	0.931849541798941972
247cc289-8e9d-428a-a311-17a4f5e31da1	0	0
f5731f7a-0798-457c-937d-1881afc968ea	0	0
3403d77a-c565-4265-8944-40d9c6da3982	17.1436818181818182	1.4284449040277778
2c54d4fb-59cb-4378-96d5-146ef38a36b2	0	0
c71c8f7a-bd35-4850-b498-ad386f8164a1	16	1.33315111111111118
1d24b1fc-bdfe-42e4-adda-5f2bcd3bf005	0	0
0e708922-17f8-425b-a7bf-e4478f3bcfa5	0	0
6e65f5a5-b571-400c-a0da-8a4cb1c970a6	0	0
102de1a9-d2a1-4107-8cdd-e01cfd4fd74e	0	0
3392b2b3-a298-41c3-961d-770456c516c9	0	0
9d2f6e78-093f-4bb0-b0fa-74bfac340945	0	0
cf80d6e8-bc96-4360-b33a-a55f3979b584	0	0
40aedd6c-0b73-42c4-89a3-c5cfc2243cc2	0	0
45ae0015-1ad2-449a-adc8-de21bb603df0	0	0
dfb9ce61-231c-4bd4-9350-b0069765e3e6	0	0
7c3b7eaa-43ca-4d0b-93e2-d32c849f128e	0	0
ea11019d-e534-46a0-9ac0-255b0f002406	70	5.83253611111111159
f2d60ee2-eb6a-408d-ba27-b9da2a9f1404	0.594125249072381956	0.0495218248233057143
bb7fa1e8-dc44-4d8d-baa3-22d37d5cfb72	0	0
e1559ce3-144f-4445-9213-a47a36aff0a4	0	0
cd0c7e89-651b-42eb-b789-ab3978e9ba3e	11.1837229437229446	0.93219126666666674
9e490eb2-cc3e-4ffc-b736-77a2df8c9136	0	0
9cd2a932-32de-43d9-9ac7-114812f6540b	0	0
01d925c4-4351-402f-9e44-3d78ca81e6c0	17.1436818181818182	1.42896873874999986
562583b8-65f6-43df-800a-c0a3cdacdf7f	0	0
826c1a9e-9bab-4eea-b329-a912ab9aa031	16	1.33363999999999994
86432247-1b86-45c3-a2d4-50f1184ab193	0	0
44d40b9b-ede5-4e89-a9cf-09f78c83b935	0	0
d0bfc5b6-e503-497e-8884-dea3f9cb05bd	0	0
f0fa8245-cfea-4e71-9041-0e2ebf2084f6	0	0
8d359f75-0060-4f61-8a35-22c0c3cfe7ee	0	0
cc71d028-f640-4d43-bdbc-00a8ac79b6a7	0	0
36573d86-7f93-418c-86a5-9ffcb5fa14c2	0	0
16586f0d-4730-4553-9062-23fceb22d741	0	0
8900ba8a-7312-43bb-bdf4-395940e0ba21	0	0
01451c4b-09e3-419b-b931-dee943417147	0	0
70893724-1e48-4a41-a88b-9600b6242a7c	0	0
9c3f6f5a-42a9-4eb5-a2f6-d027f74ebc51	70	5.83467499999999983
c9389b4b-2fe9-4db9-bcad-2d0d140930fb	0.594125249072381956	0.0495176989535204976
f1aced2a-3a71-4b51-ab9a-740104a13e62	0	0
dbce41c7-32f2-41f9-9c03-d89bcc2d31f1	0	0
47f8047b-9512-42b0-be3d-1c4ab9d5c439	11.1837229437229446	0.932113601924002055
f4709675-d71e-4b82-a8c3-8d1e2326f174	0	0
064c73ac-a2e6-4583-9ce4-631af05bd920	0	0
d6105e1b-23d2-4f0d-b700-9c7628bdf648	17.1436818181818182	1.42884968540404045
2d6b5d34-715b-4f50-a6f4-daba6a81c66c	0	0
57b6df01-e233-4b6a-9178-2dd210347ee5	16	1.33352888888888899
a0cc8498-b0f0-4159-bbc5-c17a358ecb81	0	0
d15be493-744f-464c-b12b-8717a9db3642	0	0
53b2243e-6302-41ff-876a-a6c53889b412	0	0
732229c0-7094-45f2-a6f8-1cf139068a61	0	0
09fd0f57-7c04-45c8-820e-5ca74a224101	0	0
62a8e075-ab0d-4b65-804d-ef8952d64334	0	0
789eb1ba-3f17-428b-9349-9c903d70fc3d	0	0
991dd46d-3551-49a9-bf92-0c84aa25149a	0	0
9740d833-ab5d-4f23-b2ec-2394275e6a8e	0	0
a7476ba4-659b-430d-a557-fc14a3c2ae06	0	0
21555411-d8e1-42e6-aea4-0c9b03736c9d	0	0
8a7972d6-62f2-4c3d-93ef-7e6531f448fd	70	5.83418888888888887
934baae7-002a-4f21-a412-9bda39483f8b	0.594125249072381956	0.0495124178401954093
aa23028d-27fa-47b5-9676-b7a67540978e	0	0
794d657b-5202-461a-aeae-3535a10980b4	0	0
81602f09-8dad-42b1-820a-da9bb2ed9fd7	11.1837229437229446	0.932014191053391117
3360d66f-9d45-4de8-b38a-281e75092fd0	0	0
3a219cfe-6097-4529-a797-40c77a1dd67e	0	0
30d41f74-4de0-475b-a80d-1d6b76d76f54	17.1436818181818182	1.42869729712121218
24d60fd4-d114-4aca-9ee9-ca042b931926	0	0
f050254b-092d-4b47-87bf-cc24015ae3b9	16	1.33338666666666672
bfac665e-ac94-46df-8182-4ae314798943	0	0
fd7602c8-2a35-43cd-9ec7-596e2cabd71a	0	0
481d194d-38c1-4632-ac87-2c0df9b16f97	0	0
f840d1c6-d213-4479-8173-52a6e47044d8	0	0
f1a01f2e-f40a-4557-93dc-e2d4db2e2d68	0	0
979d843f-79f1-4c26-a1de-ecab2bb970a9	0	0
9abee53c-2e09-4672-9912-4c7bf4eb3faf	0	0
56ea2cb4-0355-4f56-90d7-76e5f3342351	0	0
172914c0-9601-4879-94d6-bebbf1a9bd19	0	0
43dea1d4-4f5c-4f5f-9f98-b5ceee949d8b	0	0
23178959-83f1-4639-80c9-0a6d093bf294	0	0
dc64ee7d-5efb-4156-90e2-425360f2ce4e	70	5.83356666666666701
3476fd2e-9dc0-4353-86dd-aa8cb19cb8c3	0.594125249072381956	0.0495096122487414525
01567422-7e80-4e06-85d9-bec724529580	0	0
8a68772d-56de-4d8c-953f-b653e32b9339	0	0
515930e3-aca0-493d-955b-3dd63b4fdede	11.1837229437229446	0.931961379028379056
8411a883-a9e8-4747-8bac-b7d389f6e8ee	0	0
da37f20d-0d37-4c65-8ff9-0023cf7e9a38	0	0
3505eb70-43bb-4fe9-8c52-672c8c4c6bc5	17.1436818181818182	1.42861634084595956
70ebda06-3035-47a1-9cf4-b34f1a20631d	0	0
2ebdf4fc-807e-4ad3-8692-dae89582dc8c	16	1.33331111111111111
9a7919e2-cfaa-4942-9a30-65ab2e317b2c	0	0
0282a7af-fbef-4b61-ad62-a2461e348b82	0	0
cfb0317e-b07b-4755-918e-9325d34fedb0	0	0
15ef6ab3-28fc-4e3d-bcb4-55bea5b09ea2	0	0
db3d241e-a150-4903-828c-362c8cd57797	0	0
140990ea-24e0-4667-93a9-50179947b20c	0	0
2101349e-089f-471c-aa48-cf2e0ec38ba0	0	0
1f6b375d-962e-494a-8bac-f6d5a3c9b200	0	0
e4c22376-09fe-4b78-aacf-5bd1294a26e2	0	0
da3bf12f-a87b-4f69-944b-75ad49163cbd	0	0
9aa4317f-00b3-496f-ad40-b72aaf125078	0	0
4d458d52-6b60-49a2-914b-a8a9b9a7d82c	70	5.83323611111111084
2b3bbf6b-ab35-4d4b-8cde-cf0ba30ebf97	0.594125249072381956	0.0495667142865689678
27b574e3-8238-4077-850f-0c398beeebf8	0	0
27f7d655-c33d-42c6-ac0e-ea19d96e7b99	0	0
f5f23f06-8a32-4d20-8703-83fd89f77c2f	11.1837229437229446	0.933036259066859164
b0c05041-30c1-4cbe-b9b2-6fafc10d5046	0	0
512984c8-b040-46ca-b022-21683f921d55	0	0
522fa3b6-9377-47b8-b8ef-1d101ac3ce4c	17.1436818181818182	1.43026403915404043
36e67c04-8bdd-4120-a260-808a86a3a8b4	0	0
daea06c3-b95b-4738-a562-f73c8f9c17ee	16	1.33484888888888897
18717804-0cb5-4793-924a-e31409571a5b	0	0
463fb443-b673-4203-b403-e596b2a0638b	0	0
d03aeac6-22b4-462d-9655-8633e9c8b6f3	0	0
65012845-e526-4058-a792-341c18d55e63	0	0
b248187a-2f86-459a-bd05-27d61f539101	0	0
c4d08f1a-edef-4334-ba79-72e2153c4995	0	0
d7224087-dca6-4aac-a649-6412fa743887	0	0
e196dee8-70ee-4bc0-8ce1-59918e8bd5bb	0	0
a7cbdf14-0914-44cf-ac9c-08294ab58087	0	0
86198eaf-331b-47ed-aaab-2154f9f7cd5a	0	0
e21bf909-62d3-4e0b-8f9b-f04f61a80bb7	0	0
00c9f3b6-9923-4274-a8d8-6006fa4ff568	70	5.83996388888888962
b4d072ec-7f21-4246-8229-a1e2157f345b	0.594125249072381956	0.0494620822288156653
a72e8f94-5f7d-480c-a5a4-8d24a0d1a123	0	0
19161288-108d-442b-8f48-177ce34702dd	0	0
613acb57-ec32-4a82-95e6-5333fcc55232	11.1837229437229446	0.931066681192881274
7bc11e4b-06dc-4c78-9c49-de7b927ba68c	0	0
dc023445-0b67-4fc2-9dd7-93b493be6263	0	0
ae8b76c8-2146-44c5-9417-b1e1761babd6	17.1436818181818182	1.42724484630050519
4a2fa480-a2d7-4a46-99f9-c3408902713a	0	0
ecb645d1-6ccb-4cd2-b5e8-28c9ce80f51a	16	1.33203111111111117
19ec9e56-4a1c-4ffd-bc3a-12c7e11d2a1c	0	0
fd7ae180-ccda-4878-af99-1b9ca596373b	0	0
cbc4f8be-0c27-43b8-92b5-f17fe25344ee	0	0
e371951f-e02f-4424-ac21-2485c1e215e6	0	0
a614ce0a-f8b7-412d-b867-a561e7639ab8	0	0
ba5ee9bc-971f-4cf0-b0fd-70cdeb7661d2	0	0
5f0ec5c4-d786-4c1a-a183-084879ff0530	0	0
39297dbd-9773-4362-94a4-a43f4d8e839a	0	0
a62c276f-afc5-40ab-a620-ac1f33b26295	0	0
9e80835f-99c9-4b65-8081-50d0b17c5d67	0	0
4463f838-7093-45c6-9395-c0cc2733c79f	0	0
b263d237-9984-4cce-8f3b-30915ebf0ab0	70	5.82763611111111146
c15fa231-a89a-46c5-ae3e-95664d42ade9	0.594125249072381956	0.0495148933620665407
6fc877d7-f4d5-4143-aadb-1170a4203ae2	0	0
f0ff1d38-d2ca-43fb-90f4-970af9843460	0	0
1073c801-b110-45f0-a0a2-58b6ff51062b	11.1837229437229446	0.932060789898989994
bdcf5262-ae99-4d83-bb94-b98c15d7fc5a	0	0
7cf9cd39-f266-4df7-8503-212efd49cf3c	0	0
311adabe-1270-46fa-b2e6-9f823cfb0c5b	17.1436818181818182	1.42876872912878783
8fa7d18f-c783-452b-8ea8-62b961a5e3a4	0	0
f5d415fb-52cc-4cb4-a72c-89d224c79a60	16	1.33345333333333338
4adc9f97-1978-4e2c-ab5b-b1ac94dcabb4	0	0
d43e2741-0580-4ba5-bfe5-4b7a82aef001	0	0
5ebe8000-a805-44a6-93a3-2689ae2c72fa	0	0
84c9944b-8fd5-49a4-8ba1-23274170afb6	0	0
b23d2150-ca2a-4055-9b2a-899dfc8bbd4c	0	0
27209cca-d7ef-43f6-bdce-63f85482a91a	0	0
215c01a8-b3eb-400a-bfd0-85557636d7d8	0	0
5829f286-9433-4e2b-86a7-b701eb8e42b0	0	0
42470e66-c8a9-4578-8b43-7a49d832dd0e	0	0
1d389f04-8963-4b6d-a917-39b9f2024ad4	0	0
3f506c49-bff3-415d-bd68-ed1992a9bbcb	0	0
cc6acbfa-3561-4fcb-a9cb-3ee7504784d1	70	5.83385833333333359
7ff4c265-067a-4fed-b1b8-5271a923b407	0.594125249072381956	0.04951505839685795
926f2891-b0e4-44da-a1c2-b100a77711c7	0	0
6f95a4bb-e2dc-40c9-9be2-4322bdde911b	0	0
be270204-fbf0-4214-a491-9a406d18203a	11.1837229437229446	0.932063896488696586
3d357431-9d3b-47f4-bd5f-8caffeb10493	0	0
89073a98-a31b-41e5-ad4d-fb6a930b3821	0	0
1d7117ab-ce87-40fa-8d38-f29eb39d057b	17.1436818181818182	1.42877349126262643
32930c10-661c-45d3-98b5-2d597dc9b3f7	0	0
bd4d0ec4-38cf-43ab-bc99-5903c3ce9092	16	1.33345777777777785
41957f5b-d336-446c-9a04-34501526f58c	0	0
5e3c86a6-b474-4641-95b5-6be412719bf6	0	0
5a2d1614-3be0-4cc8-ada3-8b452482fd92	0	0
b0aa95e0-e570-4307-8703-01896520d998	0	0
5d17be7d-7a1b-4bfc-a2c3-9f389eb97e0b	0	0
12c239d8-a2cb-4a40-abd0-72e110a8bd58	0	0
311346dc-3e99-40d2-b267-2d6f1171fbb0	0	0
d22b6cc2-4c8b-4a06-b2f0-4d76771589e3	0	0
c5fc9be6-5662-42a6-b039-20a1f026a9e4	0	0
f225d3f3-695b-4508-b62c-8fd2a1c4ab72	0	0
2ac5e2a2-bbcf-485d-bdb3-1498e4f54e2d	0	0
ddfbbec1-5cb7-426e-a12a-b021081083b0	70	5.83387777777777838
7c19ac31-b2df-4586-b752-7d061fdd7954	0.594125249072381956	0.0495109325270727263
756540aa-7330-44f2-8b0e-3014f5f2592e	0	0
dbbe9a76-7d9e-4540-9f29-95b9ace18420	0	0
7d933bae-0c0e-427e-8b6a-fb4d6a6499cc	11.1837229437229446	0.93198623174603179
2e32c279-19ca-4f49-9b4f-d16e550657f3	0	0
e1ce6ee6-9096-4365-9309-d8244e7bd6ec	0	0
92a6fd7a-6a78-45cc-a42e-e5c037c16f29	17.1436818181818182	1.42865443791666658
b414b012-f6d3-4211-82ba-13663460ccbe	0	0
dad5eb53-dc70-4493-ac19-59e3d20ad8fe	16	1.33334666666666668
bfbd52db-c816-4d56-86d1-fffb78d19cc3	0	0
04df77f5-bd58-46e9-854b-1dce7cefe8aa	0	0
2daaf508-67ce-48ab-9aa9-465d28ebf0c3	0	0
737655a6-f6f2-4de9-950a-69d5b6ed055f	0	0
6ae6c292-3958-4cec-8000-1066710f3838	0	0
46e610ec-61ad-40f2-84d1-f53f82bd2d6e	0	0
e4d4a1c3-9c58-420b-9270-a1f0f48843d6	0	0
4eaf8e58-0a59-4ca3-8d31-2db82cc6a13e	0	0
b5e4152b-7a88-4e15-9cd3-cc15ea7dcc92	0	0
f7c2be04-5103-4e3b-8f2c-ba240282ac2e	0	0
3b96a53d-d0ed-436b-be97-ff2e06adde72	0	0
7fa684e0-74ea-4ce9-b031-7634c06bcfd1	70	5.83339166666666653
b1f501c5-e894-4118-8b6e-215c3de83ccd	0.594125249072381956	0.0495153884664407615
11688bfe-2500-475c-870a-5428d61c5362	0	0
d723dc33-84d1-4ad2-a494-677e92a76864	0	0
bd0cc267-21a5-409d-bbec-cc05432b7e27	11.1837229437229446	0.932070109668109659
7e443208-583d-46a5-b418-044e12c83615	0	0
be7efc88-15c6-45cd-acdd-a8f1a330b125	0	0
daf174af-3d98-4792-b2a0-2311aa96c31b	17.1436818181818182	1.42878301553030296
f4c4734b-4c5e-4b30-a297-146c6d20bc06	0	0
5cf8103f-76c2-41cd-b082-10077ec1cfc2	16	1.33346666666666658
4b589d5a-cc0a-4075-9659-7ad08a3891e3	0	0
09b125b1-6782-4fcc-af3b-42a3db8c0e2c	0	0
8eb1c6df-8a21-4689-af23-21d93ffd376f	0	0
a817d02a-8e6c-404b-86c6-a9b5b111577c	0	0
df8fb4b7-4d34-4d7f-bee2-1f4ee783bae6	0	0
fcd4325b-2620-40d9-8b81-e7289e154558	0	0
1234ee76-ef49-44a5-99be-c65e0f62c1f9	0	0
4d287c3f-b6d4-49f5-a3ce-6fc2cdb58c65	0	0
763657e6-aea9-4cce-8b40-84b0e46eeaf4	0	0
89a2e8d8-227c-4c4c-8e14-bac2a5a4022b	0	0
e413bae2-d603-4bf9-978a-32cdfee66bd8	0	0
59e89975-3a9f-4542-96c5-84a0a4449a21	70	5.8339166666666662
4aa469ac-30e9-48d6-93a5-02135112931f	0.594125249072381956	0.0495125828749868185
62ecdb66-8266-4a9d-b657-5026b33a1e69	0	0
f8fc95cf-218c-4454-97ab-37a23ecd8f44	0	0
52bd84b5-dba4-4952-9718-3f258ae22479	11.1837229437229446	0.93201729764309782
c73fbc7b-dfbf-4a9c-bbbe-a7efad36e35b	0	0
09f07246-18f8-4209-9fab-b71a807fcdc3	0	0
b953cd13-19ca-4941-9273-6d8f468a22c0	17.1436818181818182	1.42870205925505056
b9084371-89cc-4f1a-b6ba-e2b819c75064	0	0
e6fabd26-d365-4bd3-9ab3-17f37b9bbfbb	16	1.33339111111111119
4a6527dc-af47-4a36-84ac-b9c58191d5d4	0	0
38ff8770-f120-4a1c-bb7f-394db5a1ef16	0	0
b6a9f1af-264e-429c-b1e6-74c0fbddd50a	0	0
ed83ada2-6eee-4476-a92d-fbf2532a1782	0	0
dedb7700-5aeb-4c3a-98c3-c4885692c3fc	0	0
21f7501b-d0b6-4521-9e32-d947101129b5	0	0
5f129c67-3a4d-49b2-9d6e-bb7c5c34707a	0	0
5b62a49c-5f88-4c08-88f8-8820c8fc701e	0	0
438abb32-f30a-4e28-a5ea-00cf23bb4af8	0	0
4812960a-1f88-4927-8705-328dbd16a150	0	0
d8e98aa8-4a88-4756-a46f-09026113bce1	0	0
5fd0fba9-147c-42a3-98c9-1d9b68ada3af	70	5.8335861111111118
465c7f3d-bae8-41be-9fb1-9a2d323680d1	0.594125249072381956	0.0495148933620665407
16d8c899-9c91-47b3-a9ad-662e76ce4cd5	0	0
8b1567aa-7491-4ad0-aba5-8cca64d3154d	0	0
6bfa0d1f-0d08-4fe1-babf-e539317fd27d	11.1837229437229446	0.932060789898989994
4ef005ea-0153-4501-9e4e-7f48a233eb81	0	0
fb8e9423-451a-499a-8b42-03cb3c6fbf1a	0	0
6baecdaa-4c9a-4d57-b117-82647614d232	17.1436818181818182	1.42876872912878783
22ad72a9-ab97-4c96-9e7d-574b781dcf42	0	0
ad540076-941e-4763-ad38-148f7460bebf	16	1.33345333333333338
e2b96de6-8970-4ab1-b722-c6916fd72b1b	0	0
ef91c173-412b-4321-a9cf-d6d0593a74b1	0	0
1d00904e-80b3-4b8d-ad94-242061562ee3	0	0
940a9a65-92a1-4fcc-a9b3-5305c8033f76	0	0
e8911ed9-7a24-46c4-a5fd-6ba1979bcd7f	0	0
33b88806-55b6-4f79-b1b5-be9180d6ea2c	0	0
e9f0def6-1a1d-4d5a-970a-7fe4defa11c8	0	0
9a246547-c1d0-43fa-83dc-4d6fcab232a1	0	0
cd34beaa-146e-4987-b0bb-ff70e4749409	0	0
6d5816f7-4c22-4807-a889-0303dc5d4fa8	0	0
26fc7b45-c94c-43c8-b5b6-4e6a7e311aa2	0	0
717c609b-d7cd-46a2-92d1-f6615dd7d2f9	70	5.83385833333333359
037008a4-4bf0-4a17-907d-a2bd56b80bc3	0.594125249072381956	0.0495145632924837223
d0265832-947e-442d-856d-9c5eaacdeb83	0	0
5da8c667-b5c3-461f-90ec-3903b315146e	0	0
d7b3c34b-769b-417a-aafc-095053141b98	11.1837229437229446	0.932054576719576811
d7acf747-1299-4e48-bc52-7ab4416b0dd8	0	0
2383fc01-fbb9-44a2-899d-f33699620b45	0	0
bd547ccc-1a73-462b-8d87-c016cf87172b	17.1436818181818182	1.42875920486111108
94a2af6a-047d-4c06-b94a-fa8ddbdfdc27	0	0
555c5016-3912-4b47-ac33-851dcd3b1004	16	1.33344444444444443
fa35b96c-c45e-4d65-926c-02436766a945	0	0
9209b2e6-472c-4d61-b752-bf2243d4b3c1	0	0
044f5be9-086e-43e7-805e-629f6cb51ecc	0	0
de1ce8e4-36c4-4b3d-9633-ee11ad6f5b65	0	0
e880baa9-5239-4045-b8c4-8de0db5708b1	0	0
fe9575be-b3a6-4b09-aa54-4dfda46ab0c2	0	0
40ba2108-716f-4bb8-add8-d11e782d3641	0	0
564526c1-182e-4e9c-a87a-96706e9be473	0	0
fc05ae64-3d0f-4187-ab10-3ad35fd67b38	0	0
fd986b7b-bd30-4a95-b6fc-508e95b8ef0f	0	0
0f08e124-5187-4b66-a9fb-833811aa1521	0	0
d76093dc-8053-4d33-9e87-19bfc0e22c7c	70	5.833819444444444
703908de-5c58-4d26-85d6-18ccefb251af	0.594125249072381956	0.0495096122487414525
cb03375b-df58-4921-80bb-26d2288f35b0	0	0
2d28b1fa-06f6-4b82-9e42-8bad68407687	0	0
b18e4570-9350-44cc-967c-07079181aba9	11.1837229437229446	0.931961379028379056
2073ae3c-b698-4021-b884-db11b8d86219	0	0
18df65bb-5ea2-4449-b0a0-be4ee4a4589d	0	0
7084cc13-af30-459a-bd25-283defc64d78	17.1436818181818182	1.42861634084595956
e1e35f88-6e9a-4eb2-8631-e071960031dd	0	0
ac1aa4f0-75f1-41c3-9404-e61c5b96e697	16	1.33331111111111111
b0bcda8d-ad4d-44c3-97bd-7343605ea54c	0	0
69432328-489a-46b0-be7c-24e45e9386d0	0	0
062852ee-681c-492e-9dab-7264b248f386	0	0
cc7c2728-0439-4807-b6b7-30bd48095f85	0	0
2a592524-6d46-4600-b54e-5d42083f741d	0	0
2832fe8c-fdd9-4892-94a5-39fb7daada05	0	0
aff13581-4751-4dac-ba16-9ca4709416d5	0	0
b3192815-b403-42e6-825d-81d8786be38e	0	0
e51785c9-7131-47f6-b432-716191ae5e1c	0	0
ae938035-1609-45d8-b662-ad3a309a7f01	0	0
cbf94fbc-0e71-4451-872b-548c0726e961	0	0
54e0185c-f92d-4410-bf11-e8685255c326	70	5.83323611111111084
4b7ebbec-904a-4d2a-a3d9-8f0d242b91e2	0.594125249072381956	0.0495188541970603552
31882471-ee09-456c-99dd-fbf731be2b67	0	0
4e3e8e33-39ac-4722-af91-008f6f722283	0	0
652fd8a8-61fc-4328-8ab8-6d2e4faf72ac	11.1837229437229446	0.932135348051948198
abb11284-095c-48ae-9658-bb57113e4a0c	0	0
baae2bd5-9290-46c2-bb93-f23d04f71178	0	0
8b138961-4c3c-4866-bba8-dff5c84f6aff	17.1436818181818182	1.42888302034090908
c47e5e1d-af1c-41bb-bc47-b6872b57134e	0	0
7fa46a19-b283-48a8-9260-f27d7853b01a	16	1.33356000000000008
877d72c4-5a5b-4918-8106-51ee088fa11c	0	0
1666925e-6cc7-4ee6-a3f9-f00f165f9bc2	0	0
f33addb1-4dd0-4de9-a4af-80209bee980d	0	0
d5f0ba50-8272-4f82-94d6-2ac2d0951f29	0	0
37e33c94-6729-4a05-bc8d-82331dcaf125	0	0
ad8dc908-ece2-47f3-a0be-a73651617a1c	0	0
1c4a5c08-8260-446d-9415-430388d94194	0	0
a68381a0-523e-44d3-bce1-3cd98ccd3c4e	0	0
0060f765-a6fc-4cab-b336-a86f39803064	0	0
2173ea30-b8c6-46f2-9c70-8ad52d380dac	0	0
d03c2db8-bce3-489a-9b3d-2fbc59aac7c8	0	0
3a06c1da-b07b-40ed-b021-f7c50d2a1d0b	70	5.83432500000000065
2ff8f138-c0a1-496f-bd0a-6e70fad70ea5	0.594125249072381956	0.0495145632924837223
956b3e9f-8314-4af5-ab3d-3219ce5bd017	0	0
ef5565a8-c555-4dcd-bb08-722a80328488	0	0
a593cfb7-cbe0-4cb2-9736-2d0114b20d45	11.1837229437229446	0.932054576719576811
5bd29e42-4bc3-4815-b035-ea305f424b49	0	0
7da02f21-0609-4ee6-a627-69cad97f1de3	0	0
52af4977-d0d1-44d7-8969-da7990321a58	17.1436818181818182	1.42875920486111108
a664dc70-63d2-446c-bb43-a2d837bf22bb	0	0
b8c4bf34-5712-4034-b47f-b732140c0680	16	1.33344444444444443
d0df07b0-7b48-4f73-b4ff-1859f23c9f7d	0	0
f7fbfbec-5b31-41db-a531-b1c474a67a63	0	0
bb293470-14f6-4400-bcd1-eeb39f3a8ef0	0	0
ab4f67e4-d4a0-45ef-afac-d411e1f8859b	0	0
c77f65a6-bf55-48a2-bc8a-18aeaf0ab7ba	0	0
cb226993-e756-48c2-9573-3f35a874acd7	0	0
23ba9d5d-e07e-4e8d-8bb2-632aae19dbc7	0	0
71d6e66a-9946-4efb-84d9-26e2f539e788	0	0
bbe63d5f-f6fa-4441-a054-5299c7a734c7	0	0
662d8bfb-2c5a-4cf0-b57b-71755e85572b	0	0
38e34803-b111-4339-a07d-1de3e0d1c904	0	0
e6448031-5901-404d-9e29-38d8467a8066	70	5.833819444444444
78f50c2f-2d8a-45e7-ac11-5d08df593fda	0.594125249072381956	0.0495152234316493592
fe5137f0-9dd1-4297-9406-02b916a9043e	0	0
f5736026-39c5-4a30-ae02-939761d269d8	0	0
9659bb67-b182-44ef-abe1-44c41cc38c0e	11.1837229437229446	0.932067003078403178
f0214e31-7176-41b8-8fd3-140b0bd7ce9c	0	0
1d272d82-c751-4b90-84be-1abe3d6907c2	0	0
9a4c2f7e-a0d4-4b72-a61e-2c038d8d579c	17.1436818181818182	1.4287782533964648
5cb5885a-ed06-4d79-aed3-e96ebc266c01	0	0
2d958e75-0ad4-4496-abeb-40be0d11d429	16	1.33346222222222233
77b33a43-0938-4369-9dc3-16ce3621df6a	0	0
fe25dd4d-b6ad-4336-86f6-4a52f5f7e729	0	0
41482adc-828a-4e72-9fbd-1cdf8e94de31	0	0
fa66a00f-9b39-42dd-b836-ca7d1d4a3140	0	0
86ceba4f-9d09-434a-b528-04e736b749ed	0	0
0df0ebdd-bed4-4152-9c68-e1ab94fe2e00	0	0
66fc0a43-68c6-4bc4-8866-6f63fa33f77a	0	0
96aef75f-5c9a-444c-bc54-9ce3f1881710	0	0
908318aa-cfd0-448f-813e-536dca3b70f4	0	0
d7fb56b5-0f21-4056-b32d-c26e295653a8	0	0
43c9adc7-6c08-4dbd-8ae7-612f4b307f72	0	0
8a1fa768-3ebf-4c9c-b198-42dced5f853b	70	5.83389722222222229
73837d4e-eb8b-489d-9e69-47501d01a671	0.594125249072381956	0.0495132430141524485
54ad37ac-804f-41ff-8c96-ae8950adb8c9	0	0
d5dab5c2-fd65-40e1-b72d-1cb3514dd330	0	0
024cf7dd-7902-48ea-91e4-975f046743d8	11.1837229437229446	0.932029724001924076
ac5b0028-7b74-4617-bb79-16b5911facf9	0	0
f18d4bd6-eb23-4bd6-bd62-1ea7647b898b	0	0
953bb4b4-af0f-4428-8d84-643a73252993	17.1436818181818182	1.42872110779040407
7664d9dc-b4de-4c1a-b554-a9c4643b4144	0	0
d8ce62f2-a6a2-467f-894a-868e7b2ced37	16	1.33340888888888887
35d759df-136e-4980-b944-c892a78f04a9	0	0
aa7ed76f-f0ec-4a70-9468-3cb2bce81312	0	0
ac6ea901-18a5-407b-93dd-43f988de0612	0	0
3e64afa7-0eb6-4a6c-ac0e-5800f1ab74bb	0	0
498be7a8-868a-462f-8910-9d41a4f1f729	0	0
84ec49c9-b4c4-4323-a8e0-984a3188babb	0	0
cf191185-0c22-4ef7-99ae-33b8dc91981d	0	0
a8800920-cb22-4cd0-ad97-09b739bec481	0	0
f0fdd52a-44b0-43c7-bc27-10ced8d61146	0	0
6128f6c4-d71e-451f-8472-aa1992772de3	0	0
bd0d9108-598e-4a81-9558-460298796821	0	0
8deb14ae-430d-48c8-bff6-0c492c44d5f4	70	5.8336638888888892
63eb0023-3567-4f4a-9d8c-0c21275f9eef	0.594125249072381956	0.0495142332229009038
755048b2-8b40-4eb6-b924-113179f82777	0	0
d94014eb-2132-49d3-bd30-2233bdd2eaa6	0	0
dcc5f4aa-41cc-4dcd-ba16-43225f3a8237	11.1837229437229446	0.932048363540163516
ece1dc9f-3b7d-498a-8a6d-91b2e11afcda	0	0
ee1df723-3ee1-46b5-a8bf-fb2715b2bd8c	0	0
7306b81f-9929-4e2b-b6fc-ee8af939a1a5	17.1436818181818182	1.42874968059343432
d16e0bfc-afcc-40aa-aff6-cae744f5db2b	0	0
84f32100-b04b-4023-b961-26b257146575	16	1.33343555555555549
45ef80f9-0632-43c3-8826-92464c169f49	0	0
af49f8a5-ce76-4d30-bce4-30fdc9814f07	0	0
5b487f35-4752-45ee-a458-8e4886f59df2	0	0
1c693437-244c-4aee-940e-d6fe58c0d8ba	0	0
c64bb691-c030-47d0-ae07-70c1ad229a62	0	0
79e21047-13d3-4dce-b1ad-b98e73ff870d	0	0
aa8956f3-4172-407e-a9c6-d9c46a0c416c	0	0
48d3bd1b-b10c-4465-9f7e-16b39212cf42	0	0
be4ceca9-91c7-452e-a9b6-dde1d18f9c14	0	0
d3f1996b-4630-4940-99fc-0385e98b770e	0	0
9e96e929-5d9e-4965-bc6f-a7e92beed308	0	0
20efe3cf-9316-445a-949e-7e2ea1bba1f1	70	5.8337805555555553
a1b09523-f39a-47f6-976c-4b336ddcbdba	0.594125249072381956	0.0495112625966555447
81b282d0-eff6-4487-9853-86007afa40aa	0	0
d0730e89-8549-48fd-974a-d1348de8f21e	0	0
ca96415e-f5eb-4a4b-9d14-b954091d22f3	11.1837229437229446	0.931992444925445085
ea873ebc-745a-4f5a-a619-d6bc90c30bde	0	0
23e7031a-fa74-4fbd-be89-a549ca7cc236	0	0
1f4a5c64-fbcb-40b6-81cd-f3ee9091e5b4	17.1436818181818182	1.42866396218434355
ec133770-9e7a-4bf0-825b-94618f92ceeb	0	0
9f1c5987-b731-4040-b601-ab2b7cc6f91c	16	1.33335555555555563
9ec64f69-4603-4741-adc2-bad87ab12734	0	0
27f4e440-362e-4665-843c-87b56628edb8	0	0
d8ae6d44-ac9e-4d6f-a55b-6141e7b5987f	0	0
ac2a7c6f-1180-4214-bb66-dc64df3e52fd	0	0
2187f083-c14b-4f5e-948a-75543b215ee7	0	0
67a8406a-540a-4095-993c-6dab70d53bb2	0	0
08ec6cc7-019c-4966-a9c8-aca1a5eb2d0e	0	0
3b4ddd2b-e970-4197-8f3e-55f8af4a3d7b	0	0
8248fddb-77ca-49a9-8b8b-243f11340256	0	0
7802f1e7-56ce-4b5b-acc5-9423a032f34c	0	0
db3416d4-2c18-4c5a-928d-2e4be0da490f	0	0
174da7c0-253a-410b-a4a2-546c5271f9b1	70	5.83343055555555612
ab5a5e32-99b0-4077-ad5f-c30c8256d48e	0.594125249072381956	0.0495152234316493592
704a4e30-7c52-47a8-b143-ec18345e3418	0	0
c576839a-8ce1-491f-a08b-1351732a3f4e	0	0
cdaf8bcb-c353-440c-b992-fbd9f44a2737	11.1837229437229446	0.932067003078403178
a8848d24-6a84-4f0a-b3db-53ae1e89e7c1	0	0
d678a626-4ed7-4df2-9f44-f1b411765259	0	0
b61ac111-a06c-41d4-a95d-f9081f0094e3	17.1436818181818182	1.4287782533964648
683e0e83-827c-47ba-b911-3802b5919a01	0	0
9c7ab81a-cd52-47dd-8f0b-31263d3becf7	16	1.33346222222222233
4a26e4ea-cc1a-45f6-92f8-ecaf038e070a	0	0
3117eea0-8e7b-43ff-bfaf-e8ee91227219	0	0
fe78eb3b-e142-4ad1-9605-89b0021ac0b1	0	0
c70a17f6-973d-47f6-a8c4-7142afd4facb	0	0
129af77e-2fa2-437c-b9da-f4a481f8fe2f	0	0
2a1ac3e7-1563-4f49-be55-e405356516fc	0	0
e5da4f8d-d39e-4dc9-8cd8-6ab6d3b0cdea	0	0
59d97d5b-611a-4c6f-9083-698ab9726236	0	0
48d75299-dbff-44b0-a2b3-916112a0deb0	0	0
f2ca857a-ead0-4e7b-a603-c8d46202fe72	0	0
6673a536-614d-45a6-96f6-12573a542876	0	0
864bdea8-5c62-4d54-ab25-f0344a5f5306	70	5.83389722222222229
85a81fc6-e08a-4677-96ba-a7409db36d1a	0.594125249072381956	0.0495142332229009038
4edc7b50-7f4a-4d8d-b161-8cbff29761de	0	0
a1236724-4519-4db3-b175-5709a3b039da	0	0
934aad9f-7836-49cb-844f-2178f3fae507	11.1837229437229446	0.932048363540163516
475fc41a-19bb-4021-a650-215c351bd372	0	0
ba0b8904-dc09-4ee7-b1cd-31285aef7fc1	0	0
b959ac30-6e10-4d2f-a7fe-a9a2cae22958	17.1436818181818182	1.42874968059343432
fcf56715-b56c-48a9-9318-37b2ee3b901e	0	0
f17f3614-21a9-4afd-9a4b-9a596b417476	16	1.33343555555555549
3d51cabf-41a2-4d75-8694-46902ffea2ab	0	0
ae2ec65b-2525-4485-9df6-29e577abc28d	0	0
62c7ba40-5492-4f36-8ed7-3251097fa92d	0	0
dd824933-e6a1-4453-b06d-3a5a833a740a	0	0
261ad4ac-f8d3-4fe1-92f7-547b531b283a	0	0
52d64725-bdf0-4b0f-ab7b-5c3edd2ec745	0	0
b57009c5-1728-43de-84f4-37b32ee3a15c	0	0
f23aac33-767a-4693-9bd5-1428d173620e	0	0
c0a9f845-5e9b-4842-8590-8ab0574fbec6	0	0
9b9ee889-2ad6-4fd7-85d1-be84ca493506	0	0
3de6524b-ad56-4b27-ac6f-9db0c415e70c	0	0
eabeab32-991c-48c4-a2ca-0fd83a00a435	70	5.8337805555555553
1a742069-40a0-44f8-a010-e06e38714889	0.594125249072381956	0.0495110975618641355
4a8296f3-9f98-4e65-a326-150f7e04a67e	0	0
b240f8cc-6e15-474e-8574-fd4a7f050385	0	0
c8b848e2-edc5-46d3-86aa-5bac24c60478	11.1837229437229446	0.931989338335738493
99841605-c5c6-48cc-8394-2d1ad8a69439	0	0
40234f9c-924f-4b22-8272-af9aca6e9a33	0	0
be48633d-ea62-4520-a131-25e5fafe14f6	17.1436818181818182	1.42865920005050517
c222a5c4-0e31-47ef-99c9-efdd94e8de8c	0	0
6576d250-b873-40c0-98d1-d54cba1210fa	16	1.33335111111111115
ae9121f7-949d-4a10-88f0-89889ecaf3e7	0	0
34a0c4ed-34b6-4bee-95b3-811216cc0f7b	0	0
d104ae5c-d520-47d0-9626-d4756df88dda	0	0
85544c21-ba99-4cd5-a3fe-0961e7d1e48f	0	0
084349b4-1dea-4cba-910a-f7c355bc2fbb	0	0
a997f8a2-ec03-42dc-a457-1ca36d2cab60	0	0
43e0ae14-70f9-4cb8-8e77-829e85559017	0	0
e0a48f9d-b44d-4581-8b23-5ce6eaba0f3e	0	0
625a5d2a-a4a8-4eeb-b8ec-6b17bc15236f	0	0
141875a8-c028-4d9b-ab46-6be2c38f8a33	0	0
c9f6dba2-b44b-42b9-af1d-66ddef09189d	0	0
262ddc4b-004b-41d7-93a9-864e5d52fcc3	70	5.83341111111111132
61e41a17-2f2c-4c5a-b8ac-8c7cd27b36fe	0.594125249072381956	0.0495148933620665407
b996277b-2cbc-4870-92b1-4292bac4c2ac	0	0
546226ea-ca8b-408f-ae04-540c98ea7e98	0	0
62259df8-6892-482a-a197-f06b6acdb01e	11.1837229437229446	0.932060789898989994
70afa44d-a930-4d74-89aa-95e17674f0f1	0	0
51a57bac-c17e-475f-be58-26e0da08ab64	0	0
3c24301a-48ec-47d2-be16-2c6b8d3eb749	17.1436818181818182	1.42876872912878783
05a688e3-5b39-4aaf-a840-4251b39359db	0	0
a31d1ab3-d8c3-4e1d-88fe-a322f7104033	16	1.33345333333333338
da8cdf94-82dd-4bbe-968c-11e3db9c01ea	0	0
88bb1c08-5f47-4638-b92c-d0feb9818e46	0	0
35aa5c5c-e652-49c2-9662-90745763f56d	0	0
9e17c998-a100-4185-9d57-434518055095	0	0
151fa99f-fbf2-466b-a132-85373547a825	0	0
0f4c4a68-6f08-4cbf-9d74-6e20ef50584e	0	0
3a10eb0f-952b-4cc0-9be2-d11dbedce5d7	0	0
65c29d42-7b87-4dff-a6ba-5375496762e0	0	0
5e350f2f-08ac-4a69-ac25-88ccb14bb468	0	0
eb97c18c-d4c2-4a7d-afb0-911691ca9718	0	0
dc1c4bff-7bfe-4f9f-ab73-62015a309007	0	0
13df6848-f80c-4c6e-ad45-cf0e0dc96831	70	5.83385833333333359
760e417c-7443-4f18-b31b-f7c9e03b9aab	0.594125249072381956	0.0495125828749868185
9b27f1e1-08aa-4581-9e0e-99236f16cee1	0	0
5f03e9e4-0446-4e3d-be64-ca34684e732f	0	0
0adfd7d4-2ecc-4cfa-bc6b-0ba92fd549af	11.1837229437229446	0.93201729764309782
b496f2c6-29c2-4856-b40e-987d77331f84	0	0
a2d011c6-0084-48a4-8821-59f458f9c516	0	0
c6a21427-b955-46b7-9dfc-e06469344432	17.1436818181818182	1.42870205925505056
dae11ece-d732-4760-a103-f053e1b57158	0	0
68a85738-6949-4058-a3ef-ccf223785db5	16	1.33339111111111119
779053f5-b48f-4f6e-bbbf-2f847bc1a2a5	0	0
99a4f7c7-564c-43ab-9948-d3b47a1311e6	0	0
f027b126-2d5c-4121-8bf9-912434ddd739	0	0
ca5da0dd-88c3-4f40-b5bc-2bec56d33739	0	0
c6fb0971-f00f-4a3f-96c2-39b9f770d984	0	0
0baa4c62-d1c3-433a-b924-9c2bdf272492	0	0
f13263e6-1cf5-45e4-948b-55482eacc748	0	0
ea35cd8a-82d2-4d32-a6d0-6098a20893bb	0	0
7c9a6c28-c94a-41ff-8661-af8597a17fcb	0	0
43660393-bfbc-4730-bc7f-fec4bae3ebb8	0	0
b582318c-8069-463a-b26c-7d664ea97fda	0	0
89605c13-b2de-46b6-92cf-bdcca015af2e	70	5.8335861111111118
320dd1aa-cb09-4977-91db-eae40e8b890e	0.594125249072381956	0.0495135730837352669
ce7d1b09-a612-441f-ad14-4fe86ea01d7c	0	0
af262607-f15d-4819-a9a0-1c68cad6f6fc	0	0
fbd28772-1252-42f2-8329-dcc1a87d9a0b	11.1837229437229446	0.93203593718133726
2902afd3-725d-4780-8c3f-e3abe7c0053f	0	0
26bad6c2-ebed-401a-8958-96dc10c2092e	0	0
442b3e97-9866-4914-a26e-8bc6b312c9d6	17.1436818181818182	1.42873063205808082
6d602970-da7a-49d1-9bf6-e14afb644d38	0	0
3d40a3cb-e778-46c6-89c0-822a192be49b	16	1.33341777777777781
3ab80f53-8072-47ae-be14-e9247a45c48e	0	0
ea085489-83f4-4acf-a301-b91ae036e797	0	0
69cda6f5-94a2-4a91-8012-4cf5336d077d	0	0
bf5968e1-3d57-43c1-aacc-475d4d942dce	0	0
0d26204e-5fbf-43f1-be9f-63cfed4d0a43	0	0
714ee4c8-dcf2-4640-95eb-c4b8cd07d1b9	0	0
98c45395-875d-4c41-aabc-5d0356f5a416	0	0
1410fdd8-9ed9-4ce6-9128-115aa9ee2c11	0	0
9b210a4c-23d8-4a0e-9507-7862166ac564	0	0
4660806f-0e12-4484-986f-e57088b4c39b	0	0
f05e4781-c7c7-4bd6-9f57-e6a0fe6cca0a	0	0
fc165e65-e72e-4f94-a272-154805ee5071	70	5.8337027777777779
c777f484-41a3-4e2d-b099-1d6eb9f1c595	0.594125249072381956	0.0495205045449744405
0114f252-e7c8-461c-8654-9576c0a130b8	0	0
c485145a-ab71-4317-a92f-6c1b26f6b86d	0	0
c551df78-110b-44c9-b61d-0152c16c0065	11.1837229437229446	0.932166413949014006
7d5cd9e3-c749-47db-9188-0648868cbe47	0	0
cb3c9c74-d9f8-46f4-9703-fe9e51d5698e	0	0
03c697d6-d457-4cdc-8fb5-bdfd80cc1740	17.1436818181818182	1.42893064167929285
9dee349f-fd74-42c9-a679-08065dc0b796	0	0
e10498a4-7271-4890-9511-7ef9716dc913	16	1.33360444444444437
310506e4-5dbc-46bc-a210-40933cebc8c2	0	0
4d3a1f77-b207-4c89-9ee8-c25e6ddc2f88	0	0
cd51f8e5-4a23-4276-8ffd-76b9ecebc845	0	0
c478ea64-2bdb-4f83-9c24-8998fb770fea	0	0
9abd4a04-b7a1-43db-b8e3-b02d09b470e6	0	0
92832eb4-b5fe-4fce-b932-0478d436b06b	0	0
49450484-ed70-4b3c-b9d8-13c512ffe5ed	0	0
c18721f2-ac82-4f3a-b797-fea03f58fb05	0	0
26f1860c-7f65-48c9-8e8b-3e853b72b3de	0	0
4a24d0e2-0d30-442e-a68b-76b3fe768e72	0	0
60dd629a-10e1-47ff-84f9-8fcd7f8ab226	0	0
e5bffd4c-c626-4355-8898-859e06ff12ac	70	5.83451944444444415
6a2dc4f5-43e3-49b9-a767-36a91a941d0f	0.594125249072381956	0.0495092821791586341
e94bcf4a-6526-4d77-b42c-d5ae23fb4ad8	0	0
8b60416b-e461-499b-a86f-c24092a46ff6	0	0
118f735f-5cd3-409a-bc4f-a6c09addab8c	11.1837229437229446	0.931955165848965872
b387e03b-bec5-4371-a896-0f7c041b7ad9	0	0
67255a0f-7fab-4799-b8a3-edb35fb133a1	0	0
0dd3a3b7-113e-4f55-950d-91e6faca5756	17.1436818181818182	1.42860681657828281
81d184ec-eec8-4e47-b68b-3b874298f93f	0	0
c414009d-c9d0-4019-be31-4e127a80586f	16	1.33330222222222217
8a379541-8d5d-46a5-af8d-8de97aea364b	0	0
f1cabea9-d830-4a52-bbcf-0d2b047fe018	0	0
e0027b34-b96e-4060-971a-d3f7927d0bba	0	0
9074e021-91a4-44e2-a556-4fde1159c7c1	0	0
f6a3f61a-11bd-4435-8b5a-aedb6907fd54	0	0
0fdd0851-05f4-44bb-a36c-3c01add04fa8	0	0
e1ad9f93-607e-431c-94c7-ab7f6c110fdb	0	0
7fa44610-e3ee-45b3-9826-df2476c7bd95	0	0
ac5740fe-e69a-469d-af5d-d6362b7eda40	0	0
80a660d7-be99-4462-a30f-9a63bee89386	0	0
c4cd058d-2d32-4f44-a3d9-e15133483637	0	0
51f70b02-5326-4331-a5fd-9bb0a00795e4	70	5.83319722222222214
1a95e4c4-7846-45c9-99a8-4a21dc449d22	0.594125249072381956	0.0495096122487414525
5dd6d902-1a0a-438c-93bf-4948390001cb	0	0
763ca675-2306-4f2f-a472-819007edebd2	0	0
ad8c38db-7a52-41d8-b675-7421e71fe1b2	11.1837229437229446	0.931961379028379056
fd3bfdc1-cff3-40a5-b100-f16c824f1b63	0	0
7655785f-da07-42f7-9ff8-4fab4d160020	0	0
a032dc52-a728-4f00-a850-62fe53c46217	17.1436818181818182	1.42861634084595956
49957715-dd97-4529-b17d-04c4912355fb	0	0
02d01697-b937-4b22-be9b-e4a09e5ad962	16	1.33331111111111111
e9200764-469d-452f-8084-a72b3c6ceeb4	0	0
b2d844fe-9867-4349-ad91-3c18a610f6fb	0	0
cd3d394f-e7e6-4b95-86e0-1407ce6ee243	0	0
fbc38726-c03e-4d82-98f0-831cada04c9d	0	0
9eab93d1-cd66-4c30-9474-29be0dc23d35	0	0
314d0255-6971-42f3-a8e1-738437f36b36	0	0
ca09e660-7259-4384-bf28-9581b748622c	0	0
71087875-7a8d-4c56-8c43-ffce2a2226e0	0	0
66a01c20-b92e-49f9-90f0-b945553417a9	0	0
550e10c2-5ff5-47af-99cd-19b5cfb96a90	0	0
fb7c91da-da8a-4d26-accd-dbf4bfcd8784	0	0
1832feeb-e376-4192-9bff-acbee6a52738	70	5.83323611111111084
dac5325d-bd22-4862-9b18-78404b3364ae	0.594125249072381956	0.0495183590926861275
5f312ba7-9bea-463d-a9c7-3ba2082c906e	0	0
b60092d1-c5d7-49bc-a651-8270130ab5f4	0	0
967ec2a8-a356-4b88-a05d-8112c2099c57	11.1837229437229446	0.932126028282828312
bd7411fc-435f-470c-940d-6e3d98e08ba1	0	0
390b081a-297a-44f5-a78c-a4f629e74ffd	0	0
d31ca3fe-5a0e-4d66-a842-f8bd416e9206	17.1436818181818182	1.42886873393939395
0af08e49-59ab-4e5f-aaf2-64b118256b13	0	0
b5415d52-3fdd-4dcd-8fc0-4b0aff85e341	16	1.33354666666666666
e4c1ca2a-c99d-4071-93b0-433010050e2f	0	0
8665caf2-0e6a-436e-8a43-cba1a7e70cc7	0	0
f387cce3-6ffc-42b4-9de7-e4a233968aee	0	0
1d21fa5e-30cb-4fdc-a274-786b16606143	0	0
ee428d17-3d7e-42bd-8a38-c765d4d60f5c	0	0
28fa07d2-d364-414c-889b-6718d5ec2ee8	0	0
83273c7c-4629-4da7-9b2e-09f59a683147	0	0
e1b4057e-80d4-4c5c-92f8-222aa820c4ff	0	0
bcd33a05-05d3-4d24-99b7-da08eefbf1a8	0	0
2000a0cb-c87a-431c-b291-09a681f45281	0	0
e8a3d21a-132d-41af-a6b9-5b02e4af720a	0	0
27e3a588-50f0-48c4-8bd5-d56c5d7b5ac7	70	5.83426666666666627
75112b92-2a38-4e22-8f86-7d341e57775e	0.594125249072381956	0.0495142332229009038
122cb344-53d9-489f-8f77-46866f038385	0	0
e8d34f60-4e2e-4c2d-8ea7-a7e416d43e8b	0	0
ba6969f7-5772-4d7f-91a5-08dbf8048a53	11.1837229437229446	0.932048363540163516
9a288ccd-7209-4b44-b205-3d2a3c2c2538	0	0
f1cd5ab1-8587-4c89-b12e-04c22e48b1ea	0	0
2691ee30-1143-4e4d-bf75-539b746f5010	17.1436818181818182	1.42874968059343432
78ae3444-15b3-42af-8f28-1f84f2fb6056	0	0
fe0f7937-a0d7-476f-a125-aef6aa6080e4	16	1.33343555555555549
291b678d-8d15-42fb-8664-62bbf0b4ee30	0	0
e5251885-a9c2-4309-8854-4ded9f5d8464	0	0
ea2e761f-7224-4270-a3f1-5605931a52f1	0	0
62852f3b-38e6-4b6c-be3e-2bd2fd67cbc3	0	0
aef50eb4-a0b5-4367-b2f0-4dd091e09c91	0	0
3bf70e69-ff3d-4f38-b313-dc016254fe14	0	0
3aeca869-2b66-4993-9a1f-b7d7a1c4d4b5	0	0
502a80c0-bcc0-42b5-b658-a489f7c6743e	0	0
0790103c-edcb-46c3-b3fb-aab74204b29e	0	0
348fdb69-a5fe-4a25-a3ea-0e90f9ecc3e2	0	0
0bbbe8a8-8938-4407-aa9e-47e9cde1947a	0	0
62eca41a-228e-485f-920e-92363edf36f7	70	5.8337805555555553
6ae9336a-cc96-469e-8b9c-c98e26f45d83	0.594125249072381956	0.0495140681881094877
2aaaa829-c211-43bb-abd0-57c70f0b2a6e	0	0
b5459978-6210-4a5f-a819-65fe1810ef15	0	0
eaaa9cb9-f238-4f2b-ad74-8e2ed2911619	11.1837229437229446	0.932045256950456924
379c3f81-e1de-47ae-b977-301381db534a	0	0
1ad3e720-8865-44fe-a516-916a7afef531	0	0
86b26b1d-825e-4f0c-b18c-354533ee68bd	17.1436818181818182	1.42874491845959595
4bb4df58-b16b-4336-9217-c7d7cdc66bc6	0	0
6862fa1e-c007-4e47-9bb9-b92d29fce093	16	1.33343111111111101
2d802459-7c10-4e73-b282-bb9bae902b4f	0	0
3e6433d1-24a8-4949-98c9-279a68066385	0	0
098b73ea-d5d3-4d6b-b5fd-1a9188ceb1f1	0	0
eec967d3-75bc-4db6-8052-943fdc9a3e10	0	0
a6268ca3-b18d-4e62-8228-42a82bf00ac4	0	0
94884a66-813f-4d22-859b-b25a33e452f8	0	0
22ab81eb-fb63-493a-b102-bad01257cb75	0	0
9d2e0d08-214d-4056-8762-b167ad8117ac	0	0
a0f64a85-f126-4613-952a-03eb4163ac02	0	0
3802cbbc-5600-4729-9ea4-deae0b8f9257	0	0
cd23be16-660c-4d23-94d3-30a90e2abe01	0	0
0d376699-a457-4735-970f-6b27b20d615c	70	5.83376111111111051
219153bc-da4d-4038-b85e-ed8ca34fe8f2	0.594125249072381956	0.0495157185360235799
1e2f4d7b-b19d-44d0-abb6-67021bd7f58d	0	0
8467cbf8-d958-4874-abd0-cc629c265747	0	0
43318f75-f079-40f7-bf0d-632df0e82c72	11.1837229437229446	0.932076322847522953
e1c4c21b-7027-4b20-9ffe-fd25aac878f3	0	0
ff412af6-3dc4-425d-96a0-dbafb44720a2	0	0
45656063-2c9e-40f0-b070-80305dfc1c03	17.1436818181818182	1.42879253979797971
7e319ac7-c0c2-4f23-83d2-fbdee9deab2d	0	0
30beffcd-fcf9-4047-9cb4-bca15feece87	16	1.33347555555555553
f02ac9e3-c8d7-40d1-94c5-47eeb9c7d497	0	0
962b1e19-5159-4b1d-946b-7504dc737674	0	0
9c34b15e-864a-4b01-81ed-ed0910426dd8	0	0
70dc79a4-5f77-4658-b341-c9a4d97139af	0	0
ba9429ba-c2e8-4ebd-bafd-681bbf1fda9e	0	0
ce40c8ac-8162-48ea-9acb-620e35e6f117	0	0
5f9fdf12-a9c6-45ff-a968-4bccf2d791be	0	0
312ea913-9623-4191-a27f-e8b03173074f	0	0
58eb8b46-28e0-466e-b4ae-deb0a19ad3e2	0	0
dd5fb4e0-18ce-4706-90a9-b71c6d4cbb99	0	0
7c755a85-fc42-49d6-92f2-3a03456c6be6	0	0
e2f74cf4-8b9e-4531-8849-9251a7d58000	70	5.83395555555555578
5fe27d34-4bcc-4570-baef-6e8aa735a192	0.594125249072381956	0.049507796866035951
ee86e398-e666-4af5-bb60-468587fc3e65	0	0
94016178-1c5f-4f4d-bc82-ec3c0b06a660	0	0
78496028-41e5-4691-90fe-26c7ee7bb1eb	11.1837229437229446	0.931927206541606545
c717f90c-62e3-4288-80fe-faf24d5e54aa	0	0
0db0505f-857f-4c64-9cb3-3c4a4a1aec8a	0	0
8500aae7-94e8-412b-8226-66cca64a01df	17.1436818181818182	1.4285639573737372
a23daf28-e827-430e-bdd3-79093dd47448	0	0
7a109290-6525-46e9-8e19-6640a047e0f5	16	1.33326222222222213
cdda7aee-5e32-4779-9c00-ae31d8eead3f	0	0
a260d4d0-1464-46c0-bd00-bb7d0b1e71d0	0	0
839897b6-2f67-4592-939b-c6f1cd550e54	0	0
3b73e29c-686b-4e6a-88e6-09771928e7b3	0	0
b9732f68-cd0f-41f5-9d5f-6cea40e127c9	0	0
15b6f2ca-8cad-4787-be36-2ef2dd1f2fcb	0	0
60de894b-308b-40f0-8a6a-c720b318fba1	0	0
2aeba51a-c3cf-40ae-bba9-1ce2fa41fa6e	0	0
59fc207c-43fb-48d4-8154-beee60207b6b	0	0
3499f325-92d0-4b74-b697-6c81fc4264d6	0	0
0d081d4a-9f88-4e3a-bd6b-64fac780d8b2	0	0
eac8fc40-48aa-4577-9caf-b437ad5cbfd4	70	5.83302222222222166
4c5e2790-c50d-4b21-916e-a50fd6872861	0.594125249072381956	0.0495140681881094877
d5b670de-d6e7-43d5-b3f9-e2d9d87a5917	0	0
bfb0cd08-1e4f-40f3-b9fd-d4fdf68df1ad	0	0
11457200-179b-4ea6-81df-bbbfaa8b5e14	11.1837229437229446	0.932045256950456924
dec4a2b1-cf92-4832-b7b6-f288ec1a26b2	0	0
289c46b6-4eaa-4f6d-ae94-cefeaab5936c	0	0
a2c471b1-8b48-419b-b0da-bd5f09e9f0ac	17.1436818181818182	1.42874491845959595
a1a1ed89-acc0-409a-ae5e-8bee081a91c4	0	0
0fc3376a-83ab-4226-a11e-6bf6233a36ce	16	1.33343111111111101
e7776b6b-3535-4014-ba7a-8245629e0eac	0	0
b932eabb-77e8-4108-ab1c-69f3c562234c	0	0
8a5f92bd-61ca-4e8d-aea9-f0d34437ff04	0	0
159cf609-c4f6-44b9-87c3-66a5eecf9067	0	0
30fcf73f-a3f9-4369-9b2c-f55c2816351c	0	0
15a05f5d-c4d1-483b-82ca-5749fcfe8897	0	0
4f6d6beb-ebf6-4aa5-bc6b-e79741c2bb1a	0	0
a3b4e146-040f-43db-b93d-1a863cc2fbfd	0	0
076bd763-1d12-4995-a643-b692ae4aa94c	0	0
332ea03f-af2f-45c9-8b93-748164e2e86b	0	0
fbe7e1b9-9297-415b-8926-4fead81f16ed	0	0
3be5e3c5-c29c-4901-b627-9b46d3ed2c59	70	5.83376111111111051
8082c8cd-65c0-4207-9823-271110fa5e74	0.594125249072381956	0.0495188541970603552
8508d5a8-698d-4e06-a5b5-b7f78a4ff38f	0	0
72b2f961-4881-4b6d-bb2b-005a06d54ecd	0	0
a0773d43-5c13-456b-958d-c3281bc4bd9a	11.1837229437229446	0.932135348051948198
507ffc27-d8f1-44c1-b765-639317c3c769	0	0
2344559b-8f52-4783-94fd-6eef1bb32981	0	0
fd4c084b-fca8-40a6-815e-54d530712002	17.1436818181818182	1.42888302034090908
a30fbf3e-2d03-4287-8e9a-8de86f9c54dc	0	0
e42c18f2-875b-487e-ba58-65c2c1dd9e60	16	1.33356000000000008
19fb48be-6054-404e-ba78-cbaff94bdcad	0	0
cf526894-3cbd-484f-b6e7-29e448de4dca	0	0
12c9042f-344b-43eb-845c-aee835942c6c	0	0
0e6399c0-16f6-43f6-9e50-2b0c1d53f272	0	0
29634cf8-7889-48fa-b9ec-e0e72d9e7318	0	0
5692799f-6856-4d6b-b4f2-3b2c9b7e62ae	0	0
f2bf5da8-3b97-403a-b273-2fdd537fa9eb	0	0
9b6d4b6b-e842-44b6-8efd-f2c7fd41d9e9	0	0
f052c1c3-104c-413d-8519-26699a84d59f	0	0
6d88df1a-8b62-4c76-bcbc-0d4c06b8bd74	0	0
2a03304d-f402-47f8-81cd-a62e7b673b4b	0	0
bb76dbc1-ed09-426f-8a13-c16705b07807	70	5.83432500000000065
2180b45b-7230-420d-bb0b-0897009de88b	0.594125249072381956	0.0495135730837352669
e0eaf674-5d44-406b-9975-77657d1dc391	0	0
e14dfcb5-479c-4add-a48d-a613ea1c73b3	0	0
a12b43b1-0cf1-4d52-b088-17bbdeb69556	11.1837229437229446	0.93203593718133726
0a50ed0e-e9ba-4a03-abfd-2e6b63e83bf5	0	0
705fde4f-a638-4ec3-b5c1-f2e43d49cafd	0	0
076d6e10-bfda-488d-b109-d0911f196602	17.1436818181818182	1.42873063205808082
26824fdd-d93b-4781-8bd9-c42caa353ad7	0	0
8e32e424-f34c-432f-b3d8-a3e0d0b5f7b7	16	1.33341777777777781
60557245-1d0d-4401-9e0e-51f7d6d4d49f	0	0
d3700637-9254-4cf5-a491-0b25acdf5b46	0	0
ab2f001b-f7e4-41e6-9467-e7003f38e345	0	0
51733c9a-5b55-4c11-b170-2cb39a176a55	0	0
129ac5eb-7e5c-4e3c-a5af-844e61409d75	0	0
3a557f80-0363-4a53-ba11-f02f34d4f7b8	0	0
4b39e89b-2351-43ab-95d7-26328708fb3d	0	0
425f6b1c-01ca-4c09-bc9b-a6fd6d0a1d3d	0	0
438e02ec-7aaf-4a01-904e-df84e79ec7f1	0	0
a0d73cbb-f701-48ac-8d66-bb8c43ba8840	0	0
9acabe4d-ebd5-4846-a5ff-c41a8b24a35c	0	0
4f6a1e7c-f3c2-45c7-8abc-12302c7fe78c	70	5.8337027777777779
25c463fd-d31e-4a32-81c6-4aeaf3a9c27d	0.594125249072381956	0.0495172038491462629
ee45c698-0899-4d9f-9ef4-40e308c19203	0	0
7d619347-c789-4bff-9691-9c8e62c68a56	0	0
7b9c393c-e60a-4358-bdc3-d3a8137291f5	11.1837229437229446	0.93210428215488228
0f515688-c955-47f2-b878-fb139a51434a	0	0
b5823287-045f-46a6-b0e9-9ad6837170aa	0	0
398db334-f4d4-4520-963c-035a3ac717f2	17.1436818181818182	1.42883539900252532
9bf14819-db67-4fb8-8c4a-5d95b8596686	0	0
ed24bba5-f86f-406b-9c49-950a4324bdd4	16	1.33351555555555557
8387d6b0-5d81-417b-94ce-117e23f945a6	0	0
7fc20900-ae8a-4cd5-864e-1f71a3d1843b	0	0
386c92a1-c12a-42cd-98f2-85b6c809c61c	0	0
36f3d822-f2e0-4e2d-a83b-96126aa1d8d3	0	0
a7116018-3cf5-4111-a970-f7a11cfc4abc	0	0
02a7fbca-034c-4276-852a-44a896f2efe2	0	0
5a485660-db96-445d-b8b0-b0e20867991b	0	0
c75e0c5c-fd50-41c5-bf44-89047f6bd96f	0	0
3ad9fa57-b5d0-442b-a09e-ca2c3c6afa9e	0	0
422d7866-4ce8-4d91-930f-cf0eed08dbd2	0	0
0f2138ee-3b17-4f9a-af58-2605d5c77733	0	0
c4caaa27-62c6-49d8-8f16-036282447c26	70	5.83413055555555538
9f03fe4d-36e6-42a9-a556-26ff05bb2e4b	0.594125249072381956	0.0495127479097782208
a3bcbc7f-ed87-48c9-bc07-0516729a187c	0	0
a47ab12f-d591-49b9-b225-42c752fa88a3	0	0
4592801f-ae33-40cc-a124-6aa614912784	11.1837229437229446	0.932020404232804189
88ef5c3b-3aaf-4dfa-bb29-b8886e63ed28	0	0
5c8f9904-5647-4bad-8066-a6d7e422be83	0	0
9017572a-1f15-46a2-b9ff-7962a0344145	17.1436818181818182	1.42870682138888871
6770aeb7-972e-4c5e-84b0-137fa5057cd6	0	0
10c4b096-837c-438d-ae74-4ded70b7361a	16	1.33339555555555545
ac89f100-7ff9-4845-be09-d6d949991b5c	0	0
891a87c7-cffc-4fe1-9078-70476226efd8	0	0
533d35e8-dd1a-4ff7-9a72-c30c2ce4d220	0	0
8fc73e92-a673-4e2c-bc58-00535561375e	0	0
235005c3-e690-4b8b-bdd0-b35437e492c7	0	0
3afb447b-1371-482b-820a-86c384b297c9	0	0
6f407193-2524-41b1-abdf-bc503508ec6d	0	0
f930361f-dedf-4fbe-be6d-7c70943a29e0	0	0
32f0b9e5-f68c-402d-b9fa-a5530b7cb2c4	0	0
1869fb89-8d44-438d-9aeb-57b4428afbbc	0	0
fbf35818-f327-41d3-b862-af2f0ed7d9b3	0	0
c0e4a285-d664-475b-a7b2-24433c4a5bd5	70	5.83360555555555482
e2bb5083-1909-42d4-a4fe-609d34498706	0.594125249072381956	0.0495130779793610393
668308bd-5440-45d8-846f-8947616c6fb4	0	0
b7d8bd50-0ea6-459e-ab04-9d66d2387b64	0	0
ad130813-28eb-4441-a5be-b05ccaf620ba	11.1837229437229446	0.932026617412217484
0ac128c9-408b-4638-bb7a-e366a3f5b590	0	0
a92311ba-918f-44a0-b3f2-e5c37cf17dd5	0	0
90e36a5b-a4bd-4b63-bbf7-559ff6f5c621	17.1436818181818182	1.42871634565656569
a1d14089-5e9a-4dee-bcd1-591200c5cf90	0	0
78c08dbe-09e7-448f-95a3-5b17e79eb905	16	1.33340444444444439
87df9dbe-3a33-435c-9d71-bc794be8a749	0	0
d54e5b05-73c2-405f-8a50-c639174aa253	0	0
55b383f8-007b-4905-9184-c60dbbd285a0	0	0
cd455f62-fdc8-4c16-a357-eb098f21892b	0	0
39790517-cf81-4601-b88c-48dfdd0148b3	0	0
00865704-e502-4ef6-b9a5-54434337a5ea	0	0
33b84b8d-d7bc-4868-90f2-21c3fd787ade	0	0
371ae45e-91ad-4cb6-9f02-9c34f2dac4e7	0	0
c4c926f7-8aef-49fd-b79e-ca7f2dc7cb68	0	0
8d5f936e-2e60-47a5-bf31-f45b8037e185	0	0
185aa312-89ce-4737-ba9d-336f8fc57276	0	0
8b7eb0db-37f1-491b-9c6c-49ac4af19cb4	70	5.83364444444444441
66195525-b235-4660-89ac-e464936ef5e9	0.594125249072381956	0.0495135730837352669
7ef9bcdc-e52a-4389-8455-b0b3452f98f3	0	0
8091c44f-ea98-4479-bc7d-f8e37b24c6f6	0	0
caece440-6e7c-4c93-bf8d-334d941eb845	11.1837229437229446	0.93203593718133726
f60a7eac-dbcc-4513-a47f-7cc452a322b0	0	0
c9a6da56-753a-49ea-99aa-149dc1ef51a3	0	0
59b262e8-5185-48dd-834a-dd0788c3b4d1	17.1436818181818182	1.42873063205808082
b49f7b46-8753-4b61-8a69-d56272a61aba	0	0
e599d322-aa65-453c-984d-fdaa1a782d04	16	1.33341777777777781
755e585c-2241-4bec-83ff-e4cfe1030967	0	0
4ee36fa1-8852-43a0-979d-1fbf122ebfea	0	0
62c1fa6a-6f92-4b85-8db9-459c8a463031	0	0
48ff8bbc-3cc1-45a2-89a6-22f5c9dce1ce	0	0
e28b85ec-6c04-4121-9dba-f54e45b36763	0	0
2f18819b-27d9-43ad-85ca-ef3718021ff6	0	0
1666a0d7-4d35-4653-aaac-24a6db61f80b	0	0
445a5819-6c72-4618-b7e9-d6fe0f94df2e	0	0
b84de7e8-63c3-4fe5-8f5a-a9860d699394	0	0
6e940c95-7b4b-4c80-a1b5-11c9c5f24c75	0	0
0b1305c3-a547-450c-8453-d9c21db3a33e	0	0
57d56158-21de-466b-8253-5ed96d5ee850	70	5.8337027777777779
4b7ec131-d846-4e6b-8b91-562581a669e4	0.594125249072381956	0.0495125828749868185
519e9552-1591-402d-b8cd-ceb2a1aa0eb9	0	0
e1e1e77e-a6c6-41fa-a594-ba03e3ecba48	0	0
dab760f9-2f42-4cba-acf6-6872b1c86ce6	11.1837229437229446	0.93201729764309782
1f6d91f8-b3fd-439e-98fc-ac083e6b2630	0	0
ac98eec9-29a8-4989-af88-96a6ed042a6d	0	0
82b12284-be92-42c4-a5c9-37db34a755c1	17.1436818181818182	1.42870205925505056
9dbff3d6-6d2d-454e-b33c-046ae53f376f	0	0
4492dc03-2484-4dd1-9d20-a18fe6524c39	16	1.33339111111111119
e0598aa0-f6d6-4122-ba6b-331ea14aef76	0	0
0102eaff-a98a-4f6d-a5db-abfe03e85c2b	0	0
65568bd4-5db6-4a31-95ca-200c05c0112b	0	0
c842acc7-dbf3-4ce1-8696-822a7085ae87	0	0
ff5390b5-6daa-4a24-8afb-9b737b657e8f	0	0
61bd80aa-5747-4183-a2ee-4d0e664fd163	0	0
356fec8c-063d-4026-b43f-3902acbf79fd	0	0
b8f4536c-b5b4-4968-a803-18d7042cc346	0	0
fee5bf41-5487-404d-a161-df291ef9456b	0	0
fa71d990-3105-4d91-93f2-6f6f4b5a20b0	0	0
6e29b514-5c55-48a6-9448-b99da964e893	0	0
29cda9ca-9eb0-48fb-8060-5b4471e16ee6	70	5.8335861111111118
9bb9b193-28f5-4ccb-817d-debb27ff2bb7	0.594125249072381956	0.0495135730837352669
e8eaa1b9-0585-4e7e-96ee-1feebf4a6fcd	0	0
4e8a79cc-4116-4d9c-b455-14237b99cb96	0	0
25c9bc2d-95b1-4613-bee5-89b7426f08d3	11.1837229437229446	0.93203593718133726
cbc5bb21-0bc1-45b2-b6d1-896891cdaa01	0	0
359379aa-f0b2-4d9f-9887-d07bd4db6f45	0	0
7ddd9ad8-a250-4d1d-a342-39543bcad591	17.1436818181818182	1.42873063205808082
7f424cfe-0d6d-4441-a0fc-2e904eda849b	0	0
93c7024d-47fb-40bb-9718-ec96c36fa233	16	1.33341777777777781
5c8e584c-405f-4156-8a23-435189d20727	0	0
89714074-ed3f-4085-bae3-02617821c782	0	0
b0ad94b9-8dc0-473a-ab7c-a850eedaccf1	0	0
24f4beb7-b1f0-404a-b39a-6a7aafbbcd5d	0	0
558d6af4-f97b-4538-b15f-1daa747445f4	0	0
9b209eea-dee8-4a45-b2a5-828c1c577d8d	0	0
a00e1d76-e701-4952-be54-ae933aaf8635	0	0
6e000788-675e-4f17-ac2d-87bc29c6fcf4	0	0
74f5fc32-b9f1-4efe-bf9f-fee73e327793	0	0
62894c43-9018-4446-ba67-c30f6fcbca7a	0	0
4343d8a3-a649-4e23-9dd0-b29ba296daa7	0	0
14033ce0-2bf8-41bd-aba7-41a9efd1cac1	70	5.8337027777777779
a2ae43bc-3d89-4f7d-bf93-270ff9464e7f	0.594125249072381956	0.0495143982576923131
02d55696-95a4-4873-9730-95f1fc78c26a	0	0
489b5af4-3623-42c4-b7dd-990fcd09fcdf	0	0
d85d1088-bc73-4fb1-802a-8a929dba54ee	11.1837229437229446	0.932051470129870219
23b69313-47aa-4a2b-87f9-416e2526fd71	0	0
2eb0653d-c84e-4a44-b9ae-8a3716a1b209	0	0
71561edd-950d-4b11-aecc-40bf97ac9d48	17.1436818181818182	1.4287544427272727
7f98d4cb-ea4a-4209-a3b7-c5ee85e8ca37	0	0
1936090b-5755-4da1-b991-be8a332b063b	16	1.33343999999999996
ce60cd1f-064b-40c9-b72b-6020b6eec52b	0	0
8fa5b716-44aa-4216-995c-d6063af5a2ae	0	0
4e01db20-b15c-4ecd-b112-e29b1dca4f7a	0	0
140019ec-0244-4e65-985f-43b635e544e4	0	0
1787b5aa-a818-4b7a-800b-e5f4674d778e	0	0
406d5ccc-3a7b-44a1-8281-5c43429e5fae	0	0
95e79cab-fd46-4769-b589-9d1235e0cf8a	0	0
2b98432b-05c4-4541-82e1-8c65c42292b4	0	0
7e202fb2-8652-4e63-be96-86a54f9ab5cf	0	0
c4bd730c-0513-4257-ae45-d0d13d64f690	0	0
907e1b4d-4689-4516-b88a-92999a7e55f8	0	0
f8e9ef47-b374-4eb7-9151-e0e960c78ea8	70	5.8338000000000001
d2dec7e3-ab53-44f4-8782-a1fad0ad20eb	0.594125249072381956	0.0495135730837352669
e832e166-71f3-4b0b-8ce3-26749417e6cc	0	0
61cdb1c1-8d2f-48ec-87a8-6051a3ee5d72	0	0
cedab732-882a-41b3-a853-d3604da14d91	11.1837229437229446	0.93203593718133726
6a6ab5b8-0d56-4844-b59b-53a07a9f0348	0	0
eebd1de6-f205-44e3-b161-17bec4a86f9c	0	0
55adab60-daa1-4d78-a028-36b82e49b25f	17.1436818181818182	1.42873063205808082
2d9c668a-55c2-42e9-a68a-dc80dba72b1e	0	0
940e6e34-e86a-4963-8592-79400bbc7ad6	16	1.33341777777777781
ef2dd9df-e679-4086-a012-cb9f9a93c21d	0	0
6a2247e6-2711-4234-a52d-b2771824488d	0	0
2e0a0ce9-e29a-4812-9880-72229c7afacd	0	0
15daa654-2820-49c5-bb33-0fc5f587ef96	0	0
587e2363-12a8-49d7-842d-cb3e096252d2	0	0
9db10c7b-af61-4415-a73e-2ff176b73fab	0	0
08e7146d-09de-426d-883c-26a27819af10	0	0
e2d57406-ef6f-4b3c-a2d7-b42683c9c281	0	0
3c37d390-0422-4b9b-bad9-636ca9d6744b	0	0
71b04585-2e87-4499-a40c-93f2c69e6b71	0	0
bd3c949c-9ae9-40dc-b324-d7c8e2f0a7d6	0	0
e594f18d-ff73-40be-a56b-9bbe5f777ccb	70	5.8337027777777779
2ed93f74-2dc6-4f45-a97b-0deda0fb7d16	0.594125249072381956	0.0495148933620665407
31d5c789-ea0c-4ce6-9516-a207fcea2bc4	0	0
adf202da-847f-4c71-9965-d75a0dc4109f	0	0
ce634df4-cc9e-4836-b6bc-cb50ecf5904e	11.1837229437229446	0.932060789898989994
e8f8530e-1a25-4d6c-b3fb-bb44296e4e2d	0	0
c16b8381-0ff2-4840-9749-17f1437ae6e0	0	0
78cd2dd6-f96d-4727-9a16-665205a22e68	17.1436818181818182	1.42876872912878783
f5bdb204-27fb-4ceb-a23e-d8613cca3424	0	0
f42d9ca1-5963-4307-b4d5-782d759a3095	16	1.33345333333333338
46ebd0d9-fdf4-4276-bd1d-d62c36d14fc5	0	0
cbcbc304-9e89-434d-a37c-39c571d1dddf	0	0
d50c965a-8f34-44c1-bf43-788942e288a9	0	0
d7367dc3-5eac-406f-8098-fe9c54114e2c	0	0
4b746b10-f1ed-4495-94a4-9eb607622562	0	0
46d86ef4-d0a0-439d-a444-21796646b9be	0	0
ffbb75a7-552b-4f4e-bf3a-42c46fac7632	0	0
28e658b4-461d-40a1-b6fd-b44ce93f27e2	0	0
e3d7eefb-25d6-44c5-add1-9bec41b5eb31	0	0
c3eb3465-b1a3-48ad-9a99-424278c02ede	0	0
9496352c-24cc-44a0-b993-8ebc70064821	0	0
a9eccdbc-b854-452e-a51a-6e2f120236a7	70	5.83385833333333359
ccbf7abf-d031-43bf-95d5-04847833eb9f	0.594125249072381956	0.0495125828749868185
b2a0de6c-6ae9-4c15-ab70-de50980d77fb	0	0
72c2913b-6b7a-4784-9837-9aa800a3ca23	0	0
9d7bc6d5-22af-45f9-a749-dd70c30fec3e	11.1837229437229446	0.93201729764309782
1d633949-cf01-442a-bc75-eca8e5414569	0	0
bc4c4587-ec63-4d13-a516-e6d74f0da2d2	0	0
613849c1-c70a-40fe-b247-0d4768a3ec81	17.1436818181818182	1.42870205925505056
76df21f7-1251-4ee7-87ee-ce90925581b3	0	0
b46636d4-bd63-40c0-b6f0-9c6a98f3e857	16	1.33339111111111119
bb1fe1f3-2cd5-42fa-8e3f-967320d402ac	0	0
ddc354a3-dc27-4956-b92e-f96b34097d1b	0	0
a817e88a-b816-4673-b0a1-0c16c2dd59ec	0	0
7cdaf8f0-ec46-493b-99da-b93562483978	0	0
b97d593a-78ca-46b0-8b01-eb368325ed28	0	0
3b1c7d30-db52-4cff-99b7-f8ac30d1bc64	0	0
a5bcb374-aed5-48a5-9128-82dc5fa13d86	0	0
7c0d1622-fa05-43e7-a154-c2d04cc3ed50	0	0
b4083e6d-64df-49dd-a36b-e4f9f7eacfff	0	0
81fa9725-9f40-429d-a746-c1d6fc9b5809	0	0
6137d7ec-7903-45b9-ad74-b42924552a29	0	0
00c71d99-13ff-4557-b3b1-3fc3bad80f0c	70	5.8335861111111118
05ea2566-5e8f-435a-8c70-f8bb1af98ae8	0.594125249072381956	0.0495181940578947183
4a90ec9b-60cc-447b-880b-ee0f17853941	0	0
ccf060ae-9523-479c-b753-1e81fcd63279	0	0
d6677908-f8eb-4ec8-9f4a-59926ba8ffe9	11.1837229437229446	0.93212292169312172
1db10e8f-3ffb-40de-b5f0-dc77c39d4022	0	0
a21ab213-f49f-47e6-a95f-cf9567d3b08f	0	0
ce7452da-faa6-4839-9295-e36fcf64842d	17.1436818181818182	1.42886397180555558
820c1da3-995e-4bcb-bc20-60d015eab1b2	0	0
af8b684a-30c2-44c5-8b2d-517d2d30c88d	16	1.33354222222222218
dfefde23-33d8-44ce-a9e3-7226618d81d8	0	0
9b039cbb-d6bd-4ade-8573-e4deebb20328	0	0
5a2dc434-c1ab-418a-b2b6-5a7f1f2a9cc6	0	0
36c39081-0baa-433d-8409-9bae54951a8f	0	0
d1151c4f-2267-49a4-85b7-4b4241002228	0	0
0e1a4a5d-cc50-4bbe-b64f-300e6715b7a7	0	0
3b2a0221-d211-4954-af95-75bd6a610f9a	0	0
54538b5f-0ffa-4472-a515-bcb4b63cbda8	0	0
302fd7ac-9083-4334-9b1e-cb2f4739896e	0	0
14cb10a0-07e0-4ee3-9f2a-ac19959f8f7e	0	0
a68f768a-e2db-46fa-91dc-501acb65946d	0	0
a72220d8-8fcd-4257-81fc-d4d77d22b4af	70	5.83424722222222236
604f3bbd-5898-45e8-bd06-04182d7099da	0.594125249072381956	0.0495112625966555447
1f4027ba-cbcd-4526-8667-a71aa04711ff	0	0
738b3f58-21e4-4163-a650-fce4676f3316	0	0
d8210c91-51b5-4271-8aab-49e0d7eb528f	11.1837229437229446	0.931992444925445085
b6a07fa6-2a99-4d99-91a3-bba456a048ac	0	0
3a8b3cb0-7cb4-474e-bc50-c3f0562274ca	0	0
ed118bc9-971d-4e7c-98db-19f60cc3bf16	17.1436818181818182	1.42866396218434355
e9b53d57-0399-4a02-bc6e-a8b71faf0da5	0	0
4f52b7c3-917d-4f70-9aca-2a4efeedd10d	16	1.33335555555555563
8bde2ef0-be66-4a9a-8ce2-d4ceae247514	0	0
db567f9f-4f06-4cf0-a9b5-2006d54664d7	0	0
8b33010a-a878-4f2b-9577-b65e74793395	0	0
3425ccc6-808a-4e78-8efd-e1e59a2a71a1	0	0
ecb5fcde-ec6b-42f2-bcec-431fe7b8fe6f	0	0
ccde3dbe-199c-4575-8306-e31d773f97fa	0	0
29f6ad71-a3ba-4ff2-8c0a-332562db8336	0	0
5442d907-7a80-4a15-9ae0-621dca80f172	0	0
52f65c15-1657-4afb-8c28-b3f8ea15d727	0	0
d12ce968-8d46-47c4-8c06-3b5d5a4b565d	0	0
77add822-d1db-4d30-9a5e-2424017b15c7	0	0
5a4d5bd9-f0ec-4a68-a0ec-fd0b8668bc3a	70	5.83343055555555612
95eaf5cb-33fb-4398-bea0-57544e0332f5	0.594125249072381956	0.0495139031533180854
8dabfc7a-7e8b-4035-ac2e-3dec7a1feb61	0	0
476ce72c-aba2-469c-9ee4-cdde1c02d4ef	0	0
2592e2da-7bb7-4f8b-9004-be7f1fcf770b	11.1837229437229446	0.932042150360750554
942a20f3-3791-489b-b43c-549659843f05	0	0
a03e582b-ff97-4689-b52f-aa138c72fa7e	0	0
306a1b21-9a7b-43cc-a744-95bcbfbc3c5c	17.1436818181818182	1.42874015632575757
709f60ac-0184-4827-a412-2c89cefee4ec	0	0
7e11b709-389f-42ec-965d-dba53b1261f0	16	1.33342666666666676
43f98307-4f09-415f-b793-ddb518f5beac	0	0
6008ed7c-9221-4b57-916e-3b1386342ed5	0	0
0e5ecaeb-59f9-4e05-82e7-6773a2003f88	0	0
be603756-bc6a-47c3-85b1-9ade3b3b1df0	0	0
ca64f635-35df-48ea-b7bc-67f1d2c2bdea	0	0
b0302e39-a498-4988-84bc-71fda739f0c0	0	0
0e3bb5be-13a2-4d45-b668-fe3f10f32fa1	0	0
041d5662-f7ba-48ab-8509-d29486af2189	0	0
ffb05161-eaa0-4816-a198-c1b7cb9c42cc	0	0
f9ac8576-cfab-40cd-805c-7d1d1e204103	0	0
6527fc44-3e2e-48bc-a1c3-e10f4d2fb050	0	0
beb8b7db-6b6c-40eb-a512-32fa48a1c9eb	70	5.83374166666666749
8ee169ec-15e5-4760-a68a-e484b10f55bf	0.594125249072381956	0.0495130779793610393
3d43b77f-981c-4557-ad0b-736230e55c2a	0	0
98f5ebaf-a39a-463f-9e5a-9f9a70f1e968	0	0
dea024a7-45ec-4392-867f-9c68dc211a3a	11.1837229437229446	0.932026617412217484
69536db1-b967-4e2f-858a-f83400cdbd54	0	0
a30a987d-f190-4a56-bc49-c3a4b40a9bf1	0	0
25b9f8b7-9e97-4669-98da-955ea77e30bb	17.1436818181818182	1.42871634565656569
7dc71d42-56ed-44a8-9cf9-3ae6b0c26393	0	0
d23e0cf4-b44d-492d-b080-95c971e97578	16	1.33340444444444439
72ea4941-8268-4168-b356-133985438f5f	0	0
9c3e6793-ca6f-4baf-a920-52cce50a614c	0	0
0ed142aa-09a3-4a6c-b822-0ef7be44fda1	0	0
bf2ad678-37f9-4e78-9887-a80b07925845	0	0
7fa525be-4822-40dc-99dc-d175a21e895d	0	0
19405e94-7a1e-40f0-8c4a-e7f2e055d9bc	0	0
f9d8422f-8fc3-42ff-9656-e86b8e4587e4	0	0
b70a3736-db05-4a6e-b528-7ea81a3b5903	0	0
412b0ba2-5d21-46d5-975f-ebab2674a8fd	0	0
7a577b6f-01ab-4a87-90d0-4bcd24c56df1	0	0
09f359f7-0f09-4365-8b04-613e25cb217f	0	0
63212a72-0ac1-43d4-88d5-46340c202c70	70	5.83364444444444441
53f81774-e116-41ea-bf00-cb8e52435a27	0.594125249072381956	0.0495135730837352669
15b17740-18d1-477e-8ea6-1b5968ef7691	0	0
67adfcb3-0841-4c67-bdbf-a4a74ca9cbf8	0	0
087aa66f-29b7-41e2-83d0-aa90e165205a	11.1837229437229446	0.93203593718133726
3f4cf7fa-3a3c-4600-babb-cf07578a469f	0	0
41bc8919-edb5-4671-8e09-feae55b377b3	0	0
118c145f-1a00-4c39-849e-3707b80928bf	17.1436818181818182	1.42873063205808082
cb125d4a-e9e5-4b47-a021-00e6afb71222	0	0
fe96fafa-9426-449e-be91-8d460be5c39a	16	1.33341777777777781
4093d518-7ed4-4b0b-8452-4ecf01bf8a35	0	0
2d648e6c-a6bf-4898-95e8-a422b3704a1e	0	0
c2bab5f5-74ff-4d3e-9961-f67e31763859	0	0
83951844-b64d-439a-b6fb-54c0b6718a01	0	0
51fce67d-66fa-413b-8033-931854567171	0	0
3ec80386-3f01-4ecb-9d49-e1b0e2f7dc61	0	0
fbcd51ad-18dd-4d86-9bf2-03337a260e40	0	0
af125022-b556-4c30-aa69-89082c18514d	0	0
82f053c7-7d3c-458c-9dc4-72cfbe24909e	0	0
aff36125-3464-48c6-a833-60277aedaebd	0	0
fb757557-797b-4318-a44d-61556c3532ce	0	0
f7a34fdd-e644-4c37-9dc3-fe99c1b7e8c6	70	5.8337027777777779
72ae4ef6-32de-4927-9aed-561ddfdf77bb	0.594125249072381956	0.0495152234316493592
45f0b843-e3cf-4f84-9263-cf0c68824f86	0	0
9177ff85-44d7-4269-a219-463c9a382b00	0	0
9b3be1b0-57aa-4100-b578-35cf66c39a34	11.1837229437229446	0.932067003078403178
b37f9b76-60dc-41ec-b8b3-b881251819d8	0	0
46da0436-9fc3-44c5-83f5-06f894d5b3c5	0	0
402755ac-2161-4d8f-ac91-20c2d94128a4	17.1436818181818182	1.4287782533964648
b71c2852-321a-473f-8078-4a4ec5027287	0	0
d065fe80-b6a1-4965-8019-bee8d9d837d9	16	1.33346222222222233
e6b9c856-27de-4e5a-af86-5c58e17d1b55	0	0
c4590331-65c7-47e9-8655-a0dfef9beb0c	0	0
182c1e06-30d8-4797-9c73-e4f54f9a1c5c	0	0
2ca0c82b-6fce-4606-8a12-c57c205a8d17	0	0
fdaea1c4-5182-4155-bd4c-a1d5d27c4dd2	0	0
4a840232-0c03-4f2b-aab9-d4635745b648	0	0
c3df3e3a-a811-4888-b539-897e603c625d	0	0
f3b9f19c-fdd2-4230-8d1a-f028dc6ca2bb	0	0
e2d0f6ae-9a08-4e60-a9de-79c6b63f04f9	0	0
cf284a29-21cf-4722-97bc-0f1947730758	0	0
8fb611e8-2d67-4dda-bb23-f023b54d3874	0	0
a59f514e-f8f5-4458-a578-4d139312dfd4	70	5.83389722222222229
ce467b5b-50c1-4074-af00-7481e839d881	0.594125249072381956	0.0495145632924837223
e26b71c9-38fb-4eb1-b55a-ee2e1f990527	0	0
29ceb206-fb11-476d-8d1d-724431a3c252	0	0
97915a50-ed89-475d-845d-7fd7821f1249	11.1837229437229446	0.932054576719576811
db917304-bafa-44c1-ac3a-a6764b115ac7	0	0
5b10b8a7-b1f3-4fd1-96ea-479468846cc6	0	0
bdbc53a9-29b2-4a22-b3ba-a502b5de81c3	17.1436818181818182	1.42875920486111108
9ecdc4a8-3503-49cc-bdc8-3188a0f43421	0	0
03854415-b49e-4ef7-889c-7be075341308	16	1.33344444444444443
f2cfdb96-b4d5-48c0-b033-a72076fc2c14	0	0
f657a1ba-5295-4948-888a-b09afde09839	0	0
f5d6dbd9-b4cc-4798-9516-ee372f68b620	0	0
075b1720-186c-45ef-9a62-07e78876c935	0	0
b85c9de6-1664-4446-9b62-6417da0f1888	0	0
077940dd-d105-4e61-a982-6b6ad4973ac6	0	0
d18e43fc-2219-47d5-9b2e-c5c94c4eaee9	0	0
69181373-fe8d-4eb7-8c9e-6385eae510e1	0	0
22d79484-cf60-4656-b563-b7d661f56dc5	0	0
d22fd57f-3bcf-44d2-9e88-4f236caab19f	0	0
e9166130-b949-4a63-9a70-2275e12acc0b	0	0
b5da3d9e-a72c-4f4e-b60a-e1d072385949	70	5.833819444444444
d3884062-745c-46a8-a3bc-b4ae75c263bc	0.594125249072381956	0.0495137381185266762
5fbd38f2-bc72-4f82-a310-cc1b70aaacce	0	0
30e87f54-c78f-40b5-aca4-4fbbf276ebca	0	0
832bf8f0-a113-4d24-8377-cebeddb6aa56	11.1837229437229446	0.932039043771043851
ed94c5a9-e5d9-4f43-817b-b8ee30a5caa1	0	0
e8a47694-5dbf-42f9-a2a7-f44dc109804d	0	0
51085a79-c1d0-4b24-b663-fddec0c80db0	17.1436818181818182	1.42873539419191919
e405711f-a031-4d38-8ac6-8c858b353ed1	0	0
4f93711c-9eb2-45aa-86ea-d7ce54d1a7c5	16	1.33342222222222229
182f6d3e-385c-4780-b1e1-3ad46fea190b	0	0
3dcd7064-e6f5-4086-9e0e-00dd346f1cfc	0	0
c12d9e76-3a32-47e1-ace1-4d605a79214a	0	0
a3d313b4-724b-4c0e-a71b-f61c91f9e122	0	0
7ab24375-5350-457a-9c8a-7b18c1d669bb	0	0
6f3ef55f-1829-4a53-b9ad-fb91bd126952	0	0
672b5fb0-9be0-462a-96e9-e78cf0a45c4b	0	0
303f042e-c879-4c7b-8866-b209bb9d73b4	0	0
3af5e118-3949-401b-808c-569996e6a9f4	0	0
a8019637-7825-4646-a079-6dc6f553d9b5	0	0
722e835d-8274-4cca-84d3-9ca5dd1d9be2	0	0
f00d5f39-e299-4895-86a2-840d05c826cc	70	5.8337222222222227
d4f3a502-8c4f-4130-bbcc-163cc2870dcc	0.594125249072381956	0.0495130779793610393
f7be9385-b18e-4bf2-9218-6ad4043d7c8a	0	0
a865d45f-89ae-493c-ad44-f2db454207ca	0	0
1c4c9844-ca4c-4299-b57a-775c19ccea85	11.1837229437229446	0.932026617412217484
1ea61ded-b145-4746-b66a-7c7b745105b9	0	0
c160d7e0-90fa-4029-891e-53fa8e8dd92c	0	0
8f1a9a0b-dc5d-41d6-9f13-d1dc6d762bec	17.1436818181818182	1.42871634565656569
6f34582c-922a-4fb7-a5df-85800aa0d063	0	0
9687e92d-1a08-4ad1-a7f9-88fb5c58f0f9	16	1.33340444444444439
9cfc6921-9129-4dbf-a646-2d0da5ed5a59	0	0
2c9c344e-1e7c-4dd9-9a21-a0a04633711b	0	0
340b0dec-1907-4728-9dbe-f3acdd945b7d	0	0
57f3a492-7ed5-4dec-8870-50676aa982b3	0	0
664bbc29-ddc3-4c78-ac48-a53db17cdf80	0	0
1c7bf965-3037-4137-8f8e-566c95eff55e	0	0
25d1d653-22b2-4bff-aa84-367a526a2916	0	0
8aa8cbc2-8869-4962-9ee3-a11749726881	0	0
6f9c0494-f539-4851-87ae-25988be81a8b	0	0
dcd01296-162d-4ba1-9b0a-e2c515b8e11e	0	0
cb1a2ab0-16dc-473a-a53b-c57dcaf7f6ff	0	0
78ed969c-807a-403c-940d-bcbbdcf8113c	70	5.83364444444444441
07dcc986-f5d5-4f3a-b32b-6cf8c0f13b9d	0.594125249072381956	0.0495086220399929972
dcd2935b-7e25-4e35-bdec-207f0baa1f26	0	0
c378ec51-4ed7-41b5-bf64-4656df5b0ad1	0	0
cac651fb-b2b3-4aac-9d9f-b01663c5dec5	11.1837229437229446	0.931942739490139616
4dd3fd1c-7038-4989-a9e8-9489b20b5a4f	0	0
81e08d66-6a4f-4e56-8e02-c81bf2940cf9	0	0
81f131c9-7828-474c-af39-af08e21c4783	17.1436818181818182	1.42858776804292931
bc5c0621-f4ad-4a92-9ebe-cc302a09c646	0	0
96dab75f-6eb9-445f-8bcf-acc0700d5a1b	16	1.33328444444444449
8f491eab-0ee9-4a99-b952-83808c362d12	0	0
183574c7-e4e5-4599-8c41-f6c6598539ba	0	0
8b1dfe30-ae5d-4e56-9911-4a6babfc147b	0	0
02490c1e-2481-49c0-b98a-694b5fcef50e	0	0
911149f9-827b-4ef8-9721-3420f49211c5	0	0
f6b328af-854d-4048-b80f-cd67a72f5717	0	0
70e96da3-d83b-4d88-8af1-a0b3326a3499	0	0
95dc41e9-f9b8-483d-8288-5f4b79247158	0	0
bd7b3e2d-caab-4f19-8407-b78e46e1d278	0	0
ebe27987-e8f9-4c19-ac62-7bc28717ee9c	0	0
97e220da-9b17-41cb-9581-d320f340cf08	0	0
223b12a9-f82d-4a83-88b9-8076a855efea	70	5.83311944444444475
19009dcd-caa5-4970-9b8d-1899d0f2b68d	0.594125249072381956	0.0495163786751892238
72b70673-ee4b-4ecc-93d1-cecd76840072	0	0
f9ff6c00-a701-4f70-9fa4-084ed6a2cb3d	0	0
56b439d3-8848-448b-a01c-a337e997f075	11.1837229437229446	0.932088749206349321
a80da72f-c589-434d-a9f9-b4fd0d6278a2	0	0
e5c5fb2f-e48d-4b6f-bf2e-15f26a9ffb14	0	0
27c73bb5-7001-40b0-a95d-d173f08409a0	17.1436818181818182	1.42881158833333344
244b9f07-c991-4f93-a31e-f63c826f3d54	0	0
c0eadafc-d14b-4a57-8846-a82ac7c976d5	16	1.33349333333333342
d336b3ca-074e-4a83-bd66-a89cd20b3d26	0	0
5dc7d4f3-b70d-4123-aae6-4d154526d7c7	0	0
fd88cf8f-aeb7-47bc-80f2-afa2997fc675	0	0
890c0d32-568f-4437-b92d-bc72e3f0ae22	0	0
0b8ae6f6-dccf-483c-92fb-a35fc6e05556	0	0
badf1b7a-bb6c-4f70-b230-d2ba6cd93482	0	0
4867c902-2848-4cf6-80a3-0fd3931f7264	0	0
6f9eeec7-1454-4e4c-9a3b-3d6cddfe14e0	0	0
b032e145-e607-4ffe-b13d-272c5538fb02	0	0
25c6197c-ba08-4567-a3b2-735984bfdf2a	0	0
c17d3f62-a1e8-4b00-a10b-f16fcc182daf	0	0
647312bd-caca-4f3e-a1f5-98352c48eacf	70	5.83403333333333407
dcfb3cf6-7b3b-4a32-bac5-54e08c3d2e94	0.594125249072381956	0.0495181940578947183
95db3ac6-67ee-4b59-899c-873e4aad56fb	0	0
c98a1f6d-c5e3-41c3-b52b-438e07ee2914	0	0
1d7aa97b-71c7-486b-b417-010a04223d95	11.1837229437229446	0.93212292169312172
199a7814-19df-4d0d-8fe7-f6684e1c66bb	0	0
d23c7b6e-5799-46a2-ab61-1ac9f44cdcd6	0	0
a07463c9-00c3-44e4-a54b-c0e533213c8c	17.1436818181818182	1.42886397180555558
254e5636-0e2e-4356-b9d1-40e42f3634a1	0	0
63771a8f-176b-4c8a-ae32-542030987f15	16	1.33354222222222218
11660d7c-9ed2-49dc-8ae0-2d613711f7fb	0	0
f5140525-9062-4dc3-925a-b0921857a264	0	0
15403508-33f2-457c-bf72-c7fdea22b7fa	0	0
421f1c2a-6c13-44b6-bde7-8e76475c26ab	0	0
e14aee93-e30d-4a68-9102-1fa6afa32c98	0	0
f41b6556-f42e-4366-b8bd-bacad92451b6	0	0
35968862-c6a7-4a81-863f-31c45979e2c5	0	0
a54854a0-d02d-4a09-86eb-34ff0689f1e5	0	0
8091790d-6b41-431d-8e45-e371dfc42118	0	0
4dadfbd8-d7c4-4192-8b98-0e798edcf751	0	0
7b02c900-bdc2-45d4-b2a0-4b403f0ed0f1	0	0
bb7f0278-fcd0-46e1-a743-19500371de9b	70	5.83424722222222236
81edc701-af79-484e-ad18-2e53969035e0	0.594125249072381956	0.0495130779793610393
84c9f0c5-dcb3-4ff3-827f-a80bba8b63e8	0	0
6671aa73-3cb0-4b3e-a468-f9ef274b4f45	0	0
7da325eb-14d4-4421-a413-57156622e73d	11.1837229437229446	0.932026617412217484
644f17f0-3525-4578-bdd4-35c95a9e02c2	0	0
b5fedd80-1bae-4fbe-9c11-54328d2676fb	0	0
358937b5-edf7-48b2-931e-51699dfc5226	17.1436818181818182	1.42871634565656569
5e18f1e4-8668-420d-a24d-8de771af4792	0	0
ecec2086-aac9-40fd-91c6-8d932a6a3c77	16	1.33340444444444439
ceb76f75-9158-4493-84ef-c19538f2ba98	0	0
d6ac3d15-c7a9-4e80-9541-b11b674678a1	0	0
e208f4b7-2085-41ac-b384-add48efe61ef	0	0
c82e6d5c-3ffc-4351-9fd2-0a560f264bbd	0	0
b9b003f3-7c33-4572-85f3-88ced69c3ae6	0	0
f1cf9fb9-716a-4b05-a6c9-c56e6258472a	0	0
acf71b86-b7cf-4d7c-92be-43f53a3b438e	0	0
9e8527ac-faa3-46ac-a496-f15a250b7c5e	0	0
215d718c-674b-4412-9e35-4ed4d6dcbcb8	0	0
20a35a2f-e89f-4068-bb8d-3e7a0606565a	0	0
5adad414-418a-4626-be84-5f2d4393391a	0	0
33d37b3b-8199-498c-8e5b-38abbe4d0bd3	70	5.83364444444444441
34d31344-2af8-493c-8801-8126665bd937	0.594125249072381956	0.0495115926662383563
0226af10-371d-49d4-890d-bb017c147769	0	0
3816f349-33b8-44e4-88b8-1b7419eb3443	0	0
9db1a575-a3b8-4b64-84c5-1d8ebfdef6a9	11.1837229437229446	0.931998658104858158
e0620a99-77b9-4a6a-a240-b81d09ee1cb5	0	0
d120acda-9ca8-4c80-a050-a5f4ce9be441	0	0
dab97895-f2b0-4dff-96e5-0c22aace0057	17.1436818181818182	1.42867348645202008
4ea8673a-7590-41e1-ba52-1f5b12b1d6ec	0	0
fc6d27c9-85df-45b5-96d6-7c2e1358a55d	16	1.33336444444444435
2c3cc43a-a464-42c4-a17b-46eca50145a4	0	0
d98b7cf0-039a-493a-9907-89820802e3f0	0	0
6a1688de-504d-4981-aa83-5eded2792fc8	0	0
49637d4f-1f73-4d57-9744-d8fdbf8934ad	0	0
aa2dcc9a-a884-4ce0-8808-b0850a1b4557	0	0
71bf741f-a69e-4717-be65-7c7a8f0a392c	0	0
cd25d37a-5bb0-458c-b059-96eb868e9892	0	0
814ff897-116f-4166-9965-6faa2109aa9d	0	0
dc7df4c3-f56d-48e6-8580-6ca8b5058679	0	0
d784878f-7144-4f75-badf-27032fa52677	0	0
ab881358-3e23-4cf0-842f-db77e11a2a1e	0	0
2fc6ecd6-c348-4249-b2b8-7d8ae99b8819	70	5.83346944444444393
b46b9b9d-18ab-4535-84a1-d61de6f9b52d	0.594125249072381956	0.0495137381185266762
3249b730-1204-4952-bcd9-bbc168610d53	0	0
74b2c6e1-7357-4f64-9c81-f10ba8da39ec	0	0
ab33ed5c-9389-42a7-bdcf-38244d27b842	11.1837229437229446	0.932039043771043851
626ae0d7-f815-40cf-adba-1884558f770b	0	0
8d785022-1858-4ba9-9c61-7ea6e486e793	0	0
a0162586-961d-4480-9762-19fd05c02057	17.1436818181818182	1.42873539419191919
664695aa-5f66-4aba-8ae4-030a453fb797	0	0
8e888eba-0269-45c7-ab99-c7cc463bdbc3	16	1.33342222222222229
4c023917-6223-4823-a83f-de3ba2912c0c	0	0
66259262-406d-4135-93bb-4f8d96f0a8d0	0	0
daa6c25e-59db-4ff1-a7a0-8f9663d64870	0	0
b60c77bf-2c0c-4858-84a5-37ea42368947	0	0
e2355805-f42c-424f-b0e1-f7b6f1387e49	0	0
38f54158-8418-4889-82a1-3fc926da81b9	0	0
ff7d6da9-f22e-42e0-a68e-bafc632514a8	0	0
f717040e-5ca8-4c7b-95e2-972f33d99017	0	0
4ec64016-81da-4971-b682-cc357838f7c1	0	0
e8585a74-ca62-4945-b4a6-cbffe6a85f22	0	0
a9405ff6-20ef-4d2c-80c9-d431a7f1dda7	0	0
71456877-a59a-4c45-a0c3-f876e7835684	70	5.8337222222222227
b4a04735-7088-49bd-b3ca-a8b539b89915	0.594125249072381956	0.0495132430141524485
a88e7d99-3c95-47bd-9a5f-80faf6ec2375	0	0
b2a9b9fb-42c6-496d-941c-09076fdac268	0	0
65d81eb8-3d37-4a59-830d-69715f627581	11.1837229437229446	0.932029724001924076
a66dc620-c0d9-436e-bba1-f037dc4e0ffb	0	0
516019a5-977f-4b93-91ae-1c2b2d9af5cc	0	0
5e37e471-9209-455b-8b9a-450019c658d5	17.1436818181818182	1.42872110779040407
bbda8e76-d927-49e2-ba70-3a0d7614db48	0	0
23e7f1ab-85b5-4820-9cee-4cf4e78c76ae	16	1.33340888888888887
b85d7425-d98b-464e-81e0-6eefb4893fe1	0	0
3987860f-d31c-4e69-a7ae-721422812a1b	0	0
b66ad43d-42da-4a54-b2d9-db155d194055	0	0
70f7017f-f67e-4dcc-b81c-366b6f84cc44	0	0
f41df6c4-bc45-424f-a930-c8ebf34a9601	0	0
64d1936b-bab5-43c8-887f-3fb99e7e2d8e	0	0
7d586bb0-e824-4ad0-9bd7-6715b56772a7	0	0
dc61aba4-6b62-4b13-b9ef-12e17875ae40	0	0
31866072-7144-4d6f-96ca-d66393a01f73	0	0
e960c9eb-f535-4bc9-a78b-4826032f2c49	0	0
dc123ba4-a617-4e23-ac18-993eb5a5f61f	0	0
90ba2602-fc25-47f4-aeda-a9c2ccaf3aa2	70	5.8336638888888892
446a6e46-0c15-4cfe-af5f-2ee26d6b3463	0.594125249072381956	0.04951505839685795
bd7aa257-2b7f-40ce-a926-b19696c5562d	0	0
dd83db8e-48dd-43d2-8cca-1c89500df41e	0	0
202ea5dd-b29f-4f08-a218-fa2d6db97d51	11.1837229437229446	0.932063896488696586
4b225963-4d56-44d3-a8df-44115c3e35f6	0	0
6bc2b4ed-18d1-46cf-8eb3-6120159ef32b	0	0
d2fca109-2dcb-4c0c-a67e-9291f672c783	17.1436818181818182	1.42877349126262643
11761731-d783-4967-8ff9-f9e55dbc0acf	0	0
587ca754-ad51-4b1d-9779-1b7dc81f8091	16	1.33345777777777785
a4fea3dd-8036-42bd-8daf-dca9f7d435a5	0	0
9edadeb7-26c5-4f2b-9b73-bf74d587e7b3	0	0
62c11411-376b-4ae6-b09a-16598c48ed88	0	0
2b02c19d-1e59-4d0e-abc4-fb72dc8f78fa	0	0
bff2e8d8-d05f-4b8e-91b4-a6acc4536c44	0	0
8b43c40a-b1d8-4c98-9131-184582c55cb9	0	0
ef87005e-2ef5-4149-a7ed-f1b5b73deeb2	0	0
117cbe69-e96a-4cb5-922f-623ed99f2c89	0	0
f7f9b92a-70ff-4445-b260-b3be5e5be14f	0	0
a4f04d2c-e9ac-40a4-874e-da0ae7c9059f	0	0
dded45ef-7e2f-42cc-ab11-9812e3bda3d6	0	0
2724965c-59ba-40e0-a442-32529b8adbbc	70	5.83387777777777838
edeb6837-3ff9-4929-b351-995de16814e4	0.594125249072381956	0.0495157185360235799
f2c79254-c0c7-469b-a570-b9d06bf8179a	0	0
e83b4198-4e07-45e9-ad8a-dc5ab7c16188	0	0
71d1bfa2-7dd0-4ba3-8584-707112278e41	11.1837229437229446	0.932076322847522953
befd28e7-f948-4f53-9c74-e88c7c0bc9d7	0	0
0459907a-f655-46b4-87df-0e72155658c6	0	0
a71e64e9-871e-46cf-a6d0-6074d2842571	17.1436818181818182	1.42879253979797971
b0104bf2-8129-4a28-876c-233ed7b789b0	0	0
fbc3249c-6ea9-4bf9-be80-93378b9a815f	16	1.33347555555555553
64449d7f-0275-4e0a-8162-68950e869f2e	0	0
69fe2f81-7280-4c8a-9cf4-c597929afffe	0	0
dfb0b35e-a491-4081-ac7a-6f513520f009	0	0
7313a61c-f2d2-4e63-9c07-c4f6074548a5	0	0
c961c6f2-032c-41ca-a6ce-d92fd55262ee	0	0
fe9b6bed-0897-4ed3-a257-655bc058e856	0	0
3ec17f89-7bb4-467d-984b-0af03eea6537	0	0
e9fa04a4-0aca-442c-a56b-5c3814afadcb	0	0
025488e3-debb-4253-b623-eaace88d5709	0	0
2699f91f-95ab-4779-8ae9-92b6392ec520	0	0
0e67a39d-b092-409e-b4c3-5a8639408aa8	0	0
489629ee-8bcb-4041-992b-6b7111769008	70	5.83395555555555578
ce87fdea-efa6-4e7b-a198-4d591b86ae60	0.594125249072381956	0.0495112625966555447
01f9fa28-b3ab-457a-ad67-e67a4e87c1bb	0	0
739f693c-01fe-401f-ac1e-c79e64f4838f	0	0
3b28dba7-a050-46e6-8cb1-bd42395ba459	11.1837229437229446	0.931992444925445085
dca855ea-c6ef-4b24-9190-288ad2fcb439	0	0
f301c87e-f749-41ec-9b45-86bf388f0477	0	0
c8040542-45ae-4977-9972-7be18446e5f8	17.1436818181818182	1.42866396218434355
15a12f61-dbc3-4f50-9154-305e3ecde104	0	0
eae7605d-4ed9-43a7-bdae-059c1140686a	16	1.33335555555555563
06cbe035-0abd-40f9-8a55-d5fae74e3b7b	0	0
86ce2bff-714c-45eb-a507-8a64fd1f07aa	0	0
78c49081-eba9-430f-9864-88020ac89e1a	0	0
314934d3-2ae3-4d57-97fe-91ae3d62c7ee	0	0
9e7ae8c6-42ca-438b-b35d-dceb75e697f6	0	0
892618ff-b7f8-4074-a3f6-750993bd4fdb	0	0
97223632-bebd-4442-94aa-123be4ed358f	0	0
3976f606-4d60-4efd-b608-84fcecb0aafa	0	0
406c76fc-869d-4245-8940-e8453f292def	0	0
48642eb0-d82c-4bc1-9ef8-7240dda8d02a	0	0
a25e0b80-31ec-4bcf-9d18-edd041c72f02	0	0
dc321cd0-3e6a-4415-82ef-0a331cc42779	70	5.83343055555555612
7fd7c364-fcbe-4ad4-9d9d-4c5f223c4a95	0.594125249072381956	0.049516543709980626
be85cdf3-2939-4a7a-b56a-c7e67d05b7bb	0	0
b7229046-2227-47b0-8533-1c84aacff672	0	0
12463ab4-4d2b-489c-bc32-e915324cd378	11.1837229437229446	0.932091855796055802
46e972ba-860c-4bf3-afa5-c81aa0bbd82f	0	0
62994973-bafa-4e36-aafa-0d179a275261	0	0
12d0884a-b9ba-471d-a345-a8a3b59a8735	17.1436818181818182	1.42881635046717159
e0106717-1544-4be6-8dee-b8f5898a8639	0	0
ec345312-2f47-4f68-be8e-270475a21b7b	16	1.33349777777777767
912bdecd-e97d-4139-8971-dd5892cd73a8	0	0
bd270f05-6a24-4c2a-80ac-ad9e2d71a846	0	0
6c776617-5050-4a79-92d2-75d0180c6764	0	0
c83f4dcf-b006-47bb-ae2e-1ddc4b770ff2	0	0
f3c733cb-821d-46fa-94ab-9c286b9efa06	0	0
656a19f8-9b3c-41a1-b24b-b87983c4a817	0	0
25cc6bb6-fe69-42f6-91f5-3652168842db	0	0
84222923-262d-4790-9312-11a929dc9b01	0	0
f43c95e7-3171-40ec-b921-d5bd1b77426d	0	0
d30767ea-febb-4af4-a82c-733b26dc7c8c	0	0
73a5bec0-d6fc-4bfe-9f54-3a3bd19d9c40	0	0
41c3df20-eb06-43ce-bf98-5d86bfb0ce4b	70	5.83405277777777709
e8210b9a-2403-47b7-97df-45c26306ffe6	0.594125249072381956	0.0495125828749868185
46f5dd8c-c223-47d4-a6dc-0a518ece7a4d	0	0
b7eb0a20-6b39-4aea-b4cf-2ce5f39f17e2	0	0
390d7a86-6af5-4079-9da8-a98f994f4e03	11.1837229437229446	0.93201729764309782
24e996a3-4c74-4c6b-bcdf-ace0fbcd3499	0	0
ad7307f4-eea1-40ca-97d8-f9ef99972bd4	0	0
2be3009e-9354-414b-b6da-a5597b2191b6	17.1436818181818182	1.42870205925505056
19d999d5-e876-472e-8a81-dc94efdf067b	0	0
cfcd9c10-ebfb-454c-a4c0-3455a3c68c03	16	1.33339111111111119
f2c068e7-641c-403e-8931-1b1212e84878	0	0
9bdf8ce4-e24e-4064-a86d-7e85798c5cde	0	0
8afbe543-9130-4396-b452-e5fbd1d53887	0	0
37ef7624-faea-4c08-8c4c-c60b4da0e363	0	0
1a283226-5324-4993-88b9-ea6de48d3da3	0	0
cb3be7d9-ffde-47f4-aeba-eb3a69ace1cb	0	0
36051e75-7460-435f-be5f-7d57ad8400e0	0	0
dbfae1c4-3b05-4b83-8abb-346de2e402bc	0	0
e92e20fc-03c3-4b99-925d-bb05dc6167e6	0	0
443c7b81-663d-41a5-8f4e-0a3c0dbbb059	0	0
44f7545b-42de-4740-991a-7786bee2eb67	0	0
a4c486e9-9eb9-4ee6-9154-358de2f78e85	70	5.8335861111111118
65f3b834-b6b6-45ff-9093-253afc6773cf	0.594125249072381956	0.0495135730837352669
e517485a-b17b-41cc-8757-60b32e4b341e	0	0
070534a0-12cf-47e0-9929-43e07846afcf	0	0
de0b4696-3e25-4788-8bc4-dd0b8d490d61	11.1837229437229446	0.93203593718133726
a146d924-352f-4a1e-a0ff-39d13678884c	0	0
fef526a3-cfa1-4d3c-9278-704691a96023	0	0
a83a42dd-1d11-4615-b0b1-de56860f07fc	17.1436818181818182	1.42873063205808082
2f6a24ea-3a71-4bf5-933a-56d9311ef54b	0	0
ac80ad87-3366-45db-bc09-c31363b06bef	16	1.33341777777777781
1c401634-1f79-4169-ad6e-c8fc65a65618	0	0
a33ed099-7f45-4ab6-9a37-0cc4c39abb66	0	0
ac33fd58-1efe-4f2b-978e-2271e1ab49c3	0	0
9d1ec776-c175-4042-b4a1-911a43d77cb6	0	0
478491c5-3c43-4191-976f-6ad7baee6adb	0	0
d25c4306-ea92-4ac0-a7f8-1db01b3cc02f	0	0
f6aea1f3-3b90-44bc-bbc7-05cf5430f599	0	0
efd251e0-4f6f-45bf-a602-4a48eea8593c	0	0
8717a22e-c25c-4f09-ab31-d3b1beeb30be	0	0
6ceac040-71c4-4da8-8576-5de9c0a1a61b	0	0
e98ef13f-b50c-4720-8d58-bfbf02c8d983	0	0
f1eb499e-defd-4a04-a072-024f20121e13	70	5.8337027777777779
28867ba1-b600-481f-9ff9-71b3bfa144a9	0.594125249072381956	0.0495081269356187695
9ed8b763-16cb-44a4-b20f-031fc32ec61f	0	0
58b5821d-3539-4886-a2df-bac15dc44601	0	0
ceb4c96a-2472-4c87-be25-c7eda3a89969	11.1837229437229446	0.931933419721019729
c89f1bda-336d-4492-8222-549770639613	0	0
9c3cff54-6c5e-408a-860a-7b9f0c1f1354	0	0
95a5c76b-7c26-4ca0-982d-7abdea915de0	17.1436818181818182	1.42857348164141418
aee37431-73c1-4061-bf63-a799afca359f	0	0
533cbb65-91ab-41df-8f28-1b0326cab9f4	16	1.33327111111111107
9c833552-dc33-4c13-96f3-2c2b86927ef0	0	0
fbf72145-5706-4711-91a3-4885310fb548	0	0
bf599b6d-4f23-4b8a-a033-248f56117d61	0	0
a890c7dd-251f-4816-a3b2-3b89ce75af9b	0	0
8fffad2d-f613-42e4-9f58-3745eb571e16	0	0
ac6e017d-c968-4d23-a665-89c725485826	0	0
701b7bf4-2a6b-4e88-a817-b77b012bf611	0	0
48692e6f-08d8-4ebf-a22e-eacbc370d64d	0	0
a49bfd87-7c30-4ad0-afa2-34f0386bd636	0	0
aff6f969-b1e7-4b5f-950b-ad38ebc652bd	0	0
3632fb67-cc87-47fa-807d-639e475fb601	0	0
15b50b6b-25ae-4f84-82b5-25f142841368	70	5.83306111111111125
7d0ea871-34a8-4afd-9086-86a44ed7441b	0.594125249072381956	0.0495191842666431667
903c93f1-9014-4ef7-b576-fe93458580cb	0	0
23cde560-e3d3-4a43-9bcd-7c9ae5f06ae6	0	0
1ed46659-67e6-45a2-a75f-1fd507944f95	11.1837229437229446	0.932141561231361271
b5b10466-6724-4b59-aedf-3c2c6201806f	0	0
43590074-6cca-4541-8be6-3cd54137cad6	0	0
3d899e0e-511b-427b-aff7-444a90fd7375	17.1436818181818182	1.42889254460858584
2485ec01-c2b2-4ba6-8b3e-4c0d3eb848f8	0	0
4c2eebb2-1b2d-4b18-b30d-c92b23f833da	16	1.3335688888888888
bea19d21-78a3-458a-ae93-39e04dfd40ea	0	0
18e3b966-00e1-4b97-aae9-a1a1d7283010	0	0
ac3c6c2e-2cc7-4238-81b3-a58223abe77d	0	0
63242628-3a35-4811-8002-7d1eb2b08461	0	0
893adbc0-871b-44b6-8856-a869e4c50b8a	0	0
d5f421b5-3722-44d5-9020-a66aa60cd179	0	0
7b482131-3884-4b01-9102-f45e3a559ea7	0	0
b3f2936d-3414-4e72-bc72-682c4adbc9ea	0	0
43c8b024-5f8a-419c-9ba2-ca43d2fe62f9	0	0
a762c8d7-3261-43fd-8394-fbbe977c29e2	0	0
999e3609-d366-427f-af78-3d6bc699a44b	0	0
d1772a8a-cc2b-430a-9970-0973463f4e20	70	5.83436388888888846
73ea76f2-eacc-4b33-8e0a-fd571ca715d2	0.594125249072381956	0.0495130779793610393
09b8da3f-91c7-498a-9a81-8b61bd96a164	0	0
af52ee95-f65d-4788-bae9-b34f437758b9	0	0
460cdf92-3575-4e15-901c-4557172ee62f	11.1837229437229446	0.932026617412217484
8e603134-3bd6-4be0-82fc-7309a5303983	0	0
3f8c4c16-4001-49fa-8c62-3717b1ca7d30	0	0
f4777a3f-b0d1-4f58-88b1-fdf0ceed4665	17.1436818181818182	1.42871634565656569
bba8b793-b3e1-49ce-8ca9-ed25beb61be4	0	0
4ec1fa60-d5d8-4240-a549-a072675e5435	16	1.33340444444444439
8aeaa40c-55d1-46fb-aa71-1b45db2f2abc	0	0
4abeb71f-ba27-4f13-bc14-a3d72bf7f7eb	0	0
9670eeb9-5ca8-46f8-a707-6cbdd06a0e38	0	0
14cb65d3-9cd1-4dcf-a8e0-737aceb2450a	0	0
37c4c29c-1182-4e92-84c4-63395597f2ce	0	0
fa6321c4-75a5-45b4-94e4-dbe08fed3b06	0	0
44953ee5-4db0-4552-a57c-18ff12b5a54f	0	0
3061f773-7fe2-4868-974f-b9b78d2c6853	0	0
98daa2ed-5b37-4df4-a6d1-c8b6d9cd63c0	0	0
9c000e29-98c8-4967-bbaa-3ccced99a55f	0	0
7fe2b970-0bce-4737-8293-731ddab34e5d	0	0
2a647517-46c5-4618-a6dc-12349cef4a0c	70	5.83364444444444441
0955bb93-8acf-45c8-930c-a3f29fd23edd	0.594125249072381956	0.0495148933620665407
85c0307a-94cd-48bd-980a-c79b65263dfa	0	0
80c5bd3a-43cc-4aaf-b0b6-d86720063145	0	0
bec985a5-4dfb-41d9-acb2-d016032330e4	11.1837229437229446	0.932060789898989994
3871fd3f-148d-4ae8-a18a-6a9fc550f651	0	0
8d5a9641-a329-4f4f-83c0-8dfb14e23bf7	0	0
67f1eea5-1631-4700-bf3e-63e0db62dc4a	17.1436818181818182	1.42876872912878783
dbec2cf1-76cb-42eb-9b65-628b2b0a7203	0	0
7fc75658-db2c-4ce3-ac7b-69db447c08ac	16	1.33345333333333338
3476851c-60d0-4723-9444-068cd6b3fe67	0	0
762bbad3-e92c-405c-9401-91fc1ad77114	0	0
e1397360-d5dc-4f81-9def-99e4de97191c	0	0
1d318e9e-d961-4322-9269-02359af9fde8	0	0
3918231c-4514-4861-9744-266fc2636654	0	0
c8276f6c-b157-4c68-9870-5c77d64126c5	0	0
0e910932-f41f-4627-9a3d-e9f9c7ffb452	0	0
80223f4e-4361-4932-94bd-ae35ce809c47	0	0
f81f6528-9515-4e09-8a98-a6b89758a1e8	0	0
bae006d9-de7e-48b6-9a13-e28d70c6e2ef	0	0
3c8284c5-7ce8-4c97-8b1e-c8c611a5d81f	0	0
f92e6d64-3421-4f5d-b88f-0b6a5554fab3	70	5.83385833333333359
e1be262a-f3b1-41dc-8b60-a42ce8bb4b47	0.594125249072381956	0.0495153884664407615
3d0f7be8-c350-4247-a8b7-d3c20b60eeda	0	0
5f3f8250-069c-4740-9296-1e7dced8b6ed	0	0
dba83852-942e-4de8-94d8-9ffadadc9210	11.1837229437229446	0.932070109668109659
50b36ab9-45a2-4c7f-b64b-6a40e3e3602b	0	0
b611e9b5-11fc-488b-8749-e78dcc90beec	0	0
20a8b5e0-8918-4a70-b71e-56183bcdc0e6	17.1436818181818182	1.42878301553030296
8a9e9135-45be-46a9-98a9-2ece6301e2a4	0	0
d60a620c-e127-450f-a5a7-05aed4e63635	16	1.33346666666666658
afca306a-9707-498a-80c5-173d3f24b750	0	0
1dabc29c-268e-4446-bcee-36b17729db60	0	0
5af5ca50-90a8-4beb-ac95-7a0c4af727f5	0	0
64ae5283-9f0e-4dd4-bd05-ea26c045a433	0	0
bc87a5d7-a2e6-4587-a4e1-83d7cd506b4e	0	0
8c9afe64-9e5d-4dc3-b9ca-5102c34a9ad4	0	0
e0dbd793-a9a2-4ae4-8238-2ba93810c78d	0	0
337f3a60-494b-44d1-bd67-228cb35afb9e	0	0
56322d2e-94b9-43c9-95ad-ba4b36fcb160	0	0
78fcefd5-dbd9-4e49-99ba-f202ae5f1708	0	0
7f190772-a3f8-4201-af66-acd377c7c06c	0	0
b6e7fcec-f187-4231-9d8b-905feb1d1b3b	70	5.8339166666666662
0184b54b-a130-476e-b832-761b456e7dd6	0.594125249072381956	0.04951291294456963
644daac1-821d-40b4-a0fb-33ef065de9af	0	0
6d25b0b2-c35f-4495-8743-b5b04f90c0ae	0	0
41514c6a-bbe7-4430-acd2-845e32d8ef41	11.1837229437229446	0.932023510822510892
255d1f8e-0d71-4bfd-8961-dd887a0672e4	0	0
9e4e1ec9-f38c-4f01-9c2d-3ce05b87887d	0	0
146da5db-8f9e-4554-b605-e8b9993546c9	17.1436818181818182	1.42871158352272709
d2099f95-7095-44ef-a8ea-a2efe810274e	0	0
8575a376-d62a-413f-b4fe-bdf1cf48ba43	16	1.33339999999999992
40911bd7-4282-4ede-bf99-e2eec73459ac	0	0
5ea59dce-30ae-40b1-a732-821f0202b673	0	0
d88ed459-4035-44c4-9fdc-389a94446f97	0	0
f7485259-d76f-4b9e-b314-9cdc2d961458	0	0
8e66f770-2f99-472d-b524-7ee5810cb524	0	0
dd1f3874-e45c-4181-9cba-42401f65edb3	0	0
3961b3bb-8ed9-44b1-9c42-f5fadd730508	0	0
e26a2fcd-0083-42c8-a63d-606d44f7089e	0	0
73c9ad72-ffde-4dbc-9644-de08d1fdb5c8	0	0
04448c38-f8ad-454c-b5ae-a1e91545b43e	0	0
b6de3b57-e618-42cb-b4e1-826ef278671b	0	0
f8851021-741b-444e-983c-f24c39f46366	70	5.83362499999999962
eba43655-9c83-4801-b3f1-8ae8440ecd04	0.594125249072381956	0.0495091171443672179
16e331f4-6d52-4ff8-82d0-76d69b6467a8	0	0
d8b9d9fa-d4f9-4ea6-a412-054f91707f57	0	0
582efb42-a6c9-41a8-9b0b-009ddab9b739	11.1837229437229446	0.93195205925925928
3ffcbf58-8959-481e-8b18-e80a9fc8d85f	0	0
26eb2070-8f7e-47e7-9106-499d68ecbd9a	0	0
192446d4-cdf4-4b2d-a17a-b171a46b07ad	17.1436818181818182	1.42860205444444444
3b66bb25-3a21-4a93-8ad2-bf4d16d5b0df	0	0
1819b0d1-2ca7-40c9-81be-98a7fbfb3436	16	1.33329777777777769
11841d53-4e23-43ee-8e95-05f38dc15bdb	0	0
cee06be2-631b-41fc-9d99-047fb34f406b	0	0
5d6d0441-5e5f-401e-ac89-5680cef0c1da	0	0
2f8823c4-f36b-4b4c-8a7f-4eb2c8d2d814	0	0
f4216e9f-6f80-46d4-92f1-bdba3e3d8b1b	0	0
0fa0c0c0-8789-4e42-aea1-63e857e370d0	0	0
8a475144-317c-43ef-8968-2943848dd817	0	0
d90c3710-a6b6-4d11-87d0-f7eea511a0ab	0	0
9e7a63cb-63f1-424b-98d7-167ef87c667d	0	0
b790a126-3cb8-4a89-9b02-b4251a80cf1b	0	0
78e5b96e-6984-4fbe-b2a9-f51d684ad704	0	0
86b688f5-5989-44cd-a4f0-dba1edcc45c0	70	5.83317777777777735
a181cfbc-efc5-4062-9987-4ca48a3374c1	0.594125249072381956	0.0495188541970603552
a55a9409-a68f-4e77-838d-06ee7467af8c	0	0
e7bc6fe6-b8c6-4212-ad91-810f6d35626f	0	0
6950ea01-fc0d-4f55-b13d-f3f55e33cd70	11.1837229437229446	0.932135348051948198
2074fd08-b7f2-4c0d-87a0-e5bb19803618	0	0
4fd8513a-a07c-400e-acb2-ae078f1b6d66	0	0
a6f4ad14-d809-4cca-a3f7-7494acc950c7	17.1436818181818182	1.42888302034090908
a5f691ef-ffe5-46ca-9345-5f1c6dd128de	0	0
11e575c5-3823-4d26-a8f1-75456996a8c2	16	1.33356000000000008
9a2bc027-49c0-410f-8ccc-8cab75e22027	0	0
18996a41-0539-484b-8318-c845bd804c0c	0	0
17d3bd6f-ea11-4226-ab62-5b2e9f47ab0c	0	0
34d48839-a211-4564-93aa-02aa5e263098	0	0
81329687-bd94-4fac-9032-0eb25ac25d80	0	0
9baf255d-ef3e-4435-b66e-da7426954441	0	0
eb35748f-666d-414d-9269-cf380862d62c	0	0
aed0449a-31cb-4b25-9498-6d1581d9e47c	0	0
de895470-de72-4d84-8a23-4ecb36ce77ea	0	0
47d43503-5085-4eff-ab11-a76d10cb5d15	0	0
4ef16b97-6f82-48fd-8ab7-f1ddd96cad7b	0	0
21ab0915-7912-4239-9bf8-10e9eafc5a47	70	5.83432500000000065
165a319e-ce5e-4561-86a4-84e2aff4c797	0.594125249072381956	0.0495139031533180854
ee03f473-0f5f-409f-9699-6a55542c7049	0	0
dcda93ca-6f49-4064-aeb0-f0d0d39ef0ad	0	0
86fb7b3b-14d9-4f6f-ad74-e088803b6c37	11.1837229437229446	0.932042150360750554
61e29994-e4fb-4942-81d8-9abe1240df48	0	0
6bd7584c-85c5-41be-9624-e1c14e711043	0	0
ac461fab-3945-46cd-8ba6-99beece7749a	17.1436818181818182	1.42874015632575757
fbb0b064-c490-437f-aa04-875417d2497f	0	0
7ae8c86b-72e5-4376-b66f-35a47a75367f	16	1.33342666666666676
344213e6-902e-4769-aa52-05e39d9d499b	0	0
b7327df6-57de-4f98-bb37-7339cb099b2b	0	0
b5057a40-f729-42ce-ab54-c4153195d7ca	0	0
a693935e-7e92-4530-b3b2-3e5bafc763f1	0	0
35b765c3-2cde-47e7-b2f9-87632251e095	0	0
961beba1-abba-43f1-9a2c-b17ae8a137f9	0	0
1ba78181-bb04-4147-a620-8f2bc3eab7db	0	0
142ab472-78a8-48fa-a96b-e4d171c9be38	0	0
8728f8f4-3bec-4a7c-a101-415c5d03ea81	0	0
083ef5de-df5d-4019-ad28-79442ab5898f	0	0
3e63cf0d-ffa4-4531-96c9-388e106fd164	0	0
ad10fd04-44e9-49ea-99ca-540b75f4881d	70	5.83374166666666749
3e2c8d0f-eedd-4469-82fa-e76d2c4a12ea	0.594125249072381956	0.0495145632924837223
d303ef3c-de6a-493a-bec2-dcbae92690e3	0	0
30afdac8-ec19-4db4-a636-10e5964896ed	0	0
cf4feba1-eeb0-4761-91db-9e1589d10ec4	11.1837229437229446	0.932054576719576811
fd303060-e76f-4658-8aa9-25f4c205aaef	0	0
e2684a38-f8d2-4698-85f2-93da1302a215	0	0
167f672f-10c8-4b61-845c-2fd4143e8fc1	17.1436818181818182	1.42875920486111108
dcdce889-5db8-4916-9ed4-d36f989fa1f9	0	0
8c307899-6ec4-4b4d-863e-7f30d640314f	16	1.33344444444444443
7c402923-d9b8-4b13-b8ae-bdd01a2326bb	0	0
0af66cd9-f5cf-4893-9805-824cd14e8f3a	0	0
30963f92-2233-422a-8fe6-fa2023f91303	0	0
957f3589-eb35-492c-a84d-925f958caa62	0	0
741a14e2-149c-41d2-8a30-0f0fd4b5b002	0	0
445fbda8-40ac-4166-b250-8304b7a5d667	0	0
c9fdbb3e-c8f1-498b-992a-c77ccb73673e	0	0
1c4ff755-69ab-492b-b592-9b6c46477b35	0	0
0f7455d8-6db7-43c6-86be-6b4a129fd4aa	0	0
99a53cf8-cb4e-434a-9371-50258b8db1cb	0	0
1728bed2-9711-4a23-9754-0ea102dbe828	0	0
e607c9bb-0c21-4510-9a74-d8b5123debda	70	5.833819444444444
2bed00b8-d4f3-48ef-b71b-52c7b0c39a1e	0.594125249072381956	0.0495153884664407615
10a0bc80-7889-4add-8559-6cbf41701b25	0	0
5628637d-7b99-4266-9c89-0fd00e2cc4fe	0	0
e18c855d-9024-4cfa-a9a9-77c331585d51	11.1837229437229446	0.932070109668109659
c674a095-5ec3-4261-8fa8-962f910994d5	0	0
91df3cef-6ff8-42fa-ac25-5a24e0a05e35	0	0
1ca1a993-a848-45ac-b64c-c611ad67dfe8	17.1436818181818182	1.42878301553030296
bb1a8833-3582-4680-a87f-863a3194b751	0	0
1623dfe6-f07d-46da-967f-afccc0de3d25	16	1.33346666666666658
3de71944-ba44-41c2-a4cb-7f4b6e7cebd5	0	0
9aef032f-0d6c-4f9a-abc7-0349b420e5d4	0	0
08966d99-a78e-4aaa-b7c0-b371cabb8470	0	0
e90415c4-7de4-48d3-99b3-c30acb0ef0f5	0	0
d50d6433-93e9-48c4-8ada-2dd8c388de35	0	0
001d9895-23b9-4131-9a5a-5c23417d0ae3	0	0
9ffc9459-9c55-487c-92b4-4e2e04d464d5	0	0
43149b0a-d6b7-452d-b5f6-1f1de7b5562c	0	0
bb5c25de-934f-4581-b242-0706339dec0e	0	0
2d305509-6516-41d2-9218-8011e981fa01	0	0
3e31c76c-7039-4fdf-9474-db31707c8184	0	0
e66154ce-0b73-418f-a5c0-7cdfb8709f76	70	5.8339166666666662
b212be46-df6a-496d-9758-6021ba2a74f8	0.594125249072381956	0.0495112625966555447
f3131a7d-065f-4129-adbe-a3f683bbc4e6	0	0
d65fd342-9748-47d4-96bc-b85d061c6209	0	0
18dafb05-e50d-494e-a01a-145bad9182a3	11.1837229437229446	0.931992444925445085
095f64dd-1a12-4d45-b2de-661e9138b406	0	0
98b9acd4-2b98-4853-951c-2e30c3930243	0	0
1e66d489-70f9-40bb-bbcc-e5becbb5b7e2	17.1436818181818182	1.42866396218434355
bfc7f52b-6f54-4902-9613-25ae3248da98	0	0
57192740-bb33-4c05-82f8-27339b3acf6f	16	1.33335555555555563
1a687c5e-4443-4e39-a530-bbe514a530e2	0	0
15e8d1d1-43d1-4320-bffd-1e2c6f77ca5c	0	0
5abd32f0-3353-46c0-a57f-7e2a13c879f1	0	0
7654ce77-877f-4082-816b-fa1a6a88b7a6	0	0
9ade04c8-d706-4ea8-9ff4-33cf3ef54489	0	0
cf105c27-ea49-4c1a-a3fd-4ed2d353af8e	0	0
03794fb0-cb2a-4b18-8561-927f21913d8d	0	0
9ae11c3b-8e24-43f1-a2d5-61384ed0c908	0	0
f00c691a-3dd1-493e-b951-eb7b9554685c	0	0
486654ed-2796-4189-87a7-ee211c84cf76	0	0
a2aaa74c-a75f-4955-a9e4-d9d4d1f0a17f	0	0
c39133af-6cc7-45aa-8d5e-e6566f6764d7	70	5.83343055555555612
cafe4bc5-f6ab-4a28-87a6-5bdd4df98ac2	0.594125249072381956	0.0495137381185266762
01feb5c7-7c7e-48fc-9a2d-d3fd261234ea	0	0
843ad63a-38fe-461d-82bd-eb9971a92ab7	0	0
5309f8f8-35ed-4a62-a670-19115de58306	11.1837229437229446	0.932039043771043851
590a45e1-efae-4460-99ca-1afab40ae652	0	0
9d2cf8e2-9481-4ed3-9adf-47580690cb56	0	0
9c649590-34e0-46c1-bfec-6e1d3bcb7032	17.1436818181818182	1.42873539419191919
7e5b1680-4562-4929-afa0-f2aba8fd9142	0	0
23e58590-ae23-4a35-b6f9-704a287cb822	16	1.33342222222222229
8a779929-ba35-4511-8d4e-a33033b639bd	0	0
07619b39-5611-44c2-b62f-54478826269b	0	0
1b14dcea-87ea-46d1-9afb-8b97eead4d3c	0	0
d836966f-c9dd-470e-8bf4-bac14b4c4301	0	0
458d78e1-fa0c-4868-8a62-0fba5fac136b	0	0
da949898-17e7-4322-911c-05efd8bb9fde	0	0
c0d97a2e-0ccc-4489-ab8e-8217184aba79	0	0
94b420b6-eb99-45e6-8f7c-9e854240abb0	0	0
b8cf3dc7-bf8e-478c-a6ef-ae72a1e88101	0	0
6f6a41fa-c8a2-4cb4-adb7-5bada8a87401	0	0
27622b18-682e-4d4b-800f-d117e4c1c8eb	0	0
de1913b8-4135-4d03-bd82-d740fdeaaf7d	70	5.8337222222222227
ef5ae0e0-29e6-4387-9de2-f44c5a7ce306	0.594125249072381956	0.0495145632924837223
cd6ad821-0e74-478b-96ea-be66bd4729ea	0	0
69d89552-c46b-4452-b169-29bfcad06b85	0	0
c493e750-c027-4e6d-8a2e-5da20b609666	11.1837229437229446	0.932054576719576811
9239551b-de3d-4955-8110-db87e5f0935b	0	0
51ce637e-22f3-44b2-9600-d1e1fe9381ca	0	0
19a87c80-3805-4a95-9c48-2adebf90fe93	17.1436818181818182	1.42875920486111108
818aa22a-84cb-4315-a649-c2fb62a6ab28	0	0
90752840-4f69-4626-99fe-a37d89e1fd3c	16	1.33344444444444443
b9f3c337-2139-4c62-ab7c-dcdbb9d0a89e	0	0
b9a5239b-4ee3-4f43-a781-c2fe4bbce1f3	0	0
53c41c14-4837-4bb2-a0b0-cf216fc10ef2	0	0
e5cfdaab-e9e2-43d9-ab34-f6084a948396	0	0
5e8eb026-18b4-469a-a709-d11deb22be2f	0	0
074b307a-4646-4244-94c3-fc01c1076963	0	0
5c8008a2-7a29-49f3-a24a-d91c5ba43ace	0	0
c18215f9-c6f0-4b38-a6e6-a0d55a0083d0	0	0
2d25543f-86f3-4f51-bda5-31fd28053812	0	0
6fdb242f-9d41-4990-ad74-08e1cef767e7	0	0
6018ad7c-f231-4bdd-8540-d25adae2ed96	0	0
b8e62e94-ccd5-471d-a014-708fbc05ef52	70	5.833819444444444
709d2f48-28c4-4411-b250-b08d3060cc01	0.594125249072381956	0.0495043311354163643
c462a532-2518-47fd-867c-974b9be8e844	0	0
54bca4d5-038e-4c39-866c-6205ade51dad	0	0
41455b35-cd11-4af2-b1ad-bc52756f3038	11.1837229437229446	0.931861968157768228
4a043749-a87c-4325-bcd4-1392b3e2931f	0	0
e3a265f9-380b-4273-8f05-85177675e406	0	0
0d7d4278-5b26-4365-a2ce-855bb75b663f	17.1436818181818182	1.4284639525631313
9978bcc0-ac6b-4994-bd5c-73042205d66c	0	0
22e5d398-cf03-4673-9d64-d8c019867de9	16	1.33316888888888885
29b72cd5-e4a5-4550-ac4f-c8b3a5abb196	0	0
c7ae03de-0b4a-4ce9-9598-fe73cfc68c3e	0	0
a0aab376-8672-40cd-8dd8-6b90871c4d9e	0	0
0d1c2eac-c42d-471c-bf93-0f15b2205f51	0	0
cb2aa364-8a8b-49ae-8b08-df198e9d4c2d	0	0
644a374d-fdc8-44e7-b2cc-de790ec659b2	0	0
8397cc67-973c-4119-9a73-07b9044267e5	0	0
8ee9fc7c-d762-49d2-9615-c933421e46c5	0	0
0163e512-e7f7-41da-9400-44a002817bd8	0	0
40cd7d4e-ead6-4e1c-855e-18e20277f572	0	0
2b4bde84-46c3-404c-ab15-ac6b52437023	0	0
3e839520-b8a5-46fb-86c0-5de334695c17	70	5.83261388888888899
d162923e-0f5e-43cb-8d36-c59536a8445b	0.594125249072381956	0.0495695198780229107
0be84419-f355-4aad-a7b8-659c5ac2a876	0	0
d2bc3dba-24d6-4186-b339-3f779b15644d	0	0
594c6109-f55a-49f2-917c-f5f887153fdb	11.1837229437229446	0.933089071091871114
a4b2349b-1011-450d-9abb-75ea418300f0	0	0
d512383d-821d-4799-b892-6564410da765	0	0
0700e91a-6fb7-4b8e-aa78-c8aaed2a4bca	17.1436818181818182	1.43034499542929283
5907581e-0d59-499c-a2de-755c23f7650d	0	0
bfc60007-8527-4059-ae75-69a82eec3a06	16	1.33492444444444436
416d87a0-1c94-49a0-8810-c916d296faef	0	0
95a2e70c-d6c1-45fd-835b-71f508da7801	0	0
5e5e2c31-27f2-48f3-861d-184f6d8c5fe7	0	0
8fc145f2-1669-47c4-abe3-bb14a206bbc5	0	0
2d9f9446-a12a-4691-b1ef-fcfdde0e64e5	0	0
3ee6a647-db52-454e-b783-86d6a12e3c51	0	0
c67fdbf3-545b-42d4-a132-ad08fec05b6e	0	0
8a2694c9-6916-451b-a6ee-9896ed5d420a	0	0
600bfac0-0cac-43ed-ae2a-ad8627c0a332	0	0
97a1dd60-6999-4a22-bc87-f35726d6782b	0	0
95ddf77a-96b1-46d4-b6d3-70aab8f20048	0	0
0af3c4c3-555b-4503-9a57-05eb2c63c2d4	70	5.84029444444444401
c18e03f6-07eb-4b9c-ae6d-ef97a1862057	0.594125249072381956	0.0494647227854782059
bda2b70d-3fe2-4b12-b1f9-90fdafb22bcc	0	0
b224108a-9603-4fe0-bfb9-4e557eff8fe7	0	0
00e09b5e-5386-4ec3-b2f4-5ae5435ecffe	11.1837229437229446	0.931116386628186743
8b5769c0-658a-49b6-9886-e9468ca34ddc	0	0
61991f9b-5775-456d-8ff8-d1498402835a	0	0
52abbfe9-2ca4-4ab4-bd39-b0525318d1d3	17.1436818181818182	1.42732104044191921
23415d04-7ae1-4d38-9fd3-deb78a5b289e	0	0
9cfd362b-d0da-4fb0-b408-4aa432f18785	16	1.3321022222222223
6b14d484-dc1e-48d8-b5ba-d1b3d9fc17c9	0	0
e1e93d5f-ec6b-4f0e-8366-9e9592294afa	0	0
3949fb4d-dfa5-40ff-b7a7-b5f49a503c4c	0	0
86bdcdf5-5aa7-4239-9d6e-a71f770fa3ac	0	0
1d846b53-ab8d-462a-b67e-de1690de41cf	0	0
ba2a4b4f-ac34-4575-9941-db618f07a3d9	0	0
e701ca5e-4ce1-401f-b4a1-3021fbd105b6	0	0
5592a6db-178a-4acf-b9c7-068919ac35ec	0	0
7746c9b4-9b9f-450b-ae20-9fdda09b7092	0	0
f31517c4-b8a4-4378-a177-1e07a9df279a	0	0
16f6cc26-4b6b-426e-a41a-d8ba426d01d3	0	0
6689abc3-16df-4944-8f99-0303e0f0b58f	70	5.82794722222222283
05ac571a-3d42-4e05-b8f9-8df4d21a4c10	0.594125249072381956	0.0495160486056064053
c07542f7-942e-4346-ae99-0f6df36411c7	0	0
2e79261a-3094-4c18-8f28-dc160f1a6dbf	0	0
0414bcef-1341-4c4c-822b-c8e50666b479	11.1837229437229446	0.932082536026936137
398a88ca-9e72-40a6-9f2a-6409e32794fa	0	0
1a65c0a0-e61d-4f96-a5e5-7457447b9c41	0	0
f7329b04-cf0a-4992-b8b4-1e92071690e4	17.1436818181818182	1.42880206406565669
a4867561-83d4-4171-9d63-841f319ae5f1	0	0
7bf513f5-f4c2-4e37-968c-7f8e058e0073	16	1.33348444444444447
59051edc-3675-48b5-ad8e-7f37d2e89b80	0	0
d3f3ecef-c6aa-4b31-a77f-6d80fe6b95f8	0	0
34043fff-a200-4601-95c3-f3f296fdae19	0	0
da419ca4-f23d-4043-8587-0b894fccdae9	0	0
8510ee01-8981-4c98-8faf-df1a9d42245f	0	0
ecd61504-761a-431c-8bc7-780bc4e07449	0	0
f08cb8f8-e7b3-4e2d-afa3-078c93b30214	0	0
88422bf2-8740-41c0-9cef-80cfe4ebc267	0	0
32db9f44-60e3-4baa-9341-3e134756bf07	0	0
9ce74cfe-9754-4f48-aa9b-527f0489ac4d	0	0
6119064d-bee2-4856-a9cf-f731f8edc0a3	0	0
54780cee-85ee-45e5-84ca-df14c5f0441b	70	5.83399444444444448
384f3ade-0772-40f1-900d-7d840757e9c5	0.594125249072381956	0.049511427631446954
461d6230-be27-49e4-bef4-3dccf13acf4f	0	0
df14d14c-a78e-4285-acaf-434366129d8e	0	0
ded48041-bf1d-4e12-9515-145d7ce67714	11.1837229437229446	0.931995551515151677
6de2db22-761d-4f8b-b309-5e9a42655297	0	0
6bcc4764-dcb4-4233-a2c7-b181ac511f2e	0	0
319bbaa0-548c-4c9d-8188-e674fc10c583	17.1436818181818182	1.42866872431818193
cb1a7917-3db3-4f0f-b98c-cd6f04ac8be6	0	0
62d4147a-783c-422f-857a-94559041b3a0	16	1.3333600000000001
9c714e74-0347-4d66-ae5a-3cef7adc7bec	0	0
079edf2b-8325-4d00-9ef8-902944569aeb	0	0
1b5db67e-9cb9-4598-9ac9-01ecbd7e5c27	0	0
dfe29a95-e960-4772-8245-89d17f0c81f0	0	0
18835b0f-8ff2-4bfb-9c7a-d1e420d792b5	0	0
8344bd2a-a3c3-4f23-a12e-0c52cc667e20	0	0
948df489-1408-4c3f-9339-aa659575fee9	0	0
199b396f-ef11-44ea-81ab-6ddb87c64707	0	0
83ca19be-e1ae-4128-a5c8-989f5bc0d437	0	0
60bbeed0-2667-4584-859a-4b00df021a6b	0	0
8f8e5a31-12fd-419a-84bd-c14ec4532e9e	0	0
a61afd1b-99a5-47e4-89ec-2bb53535dc5c	70	5.83345000000000002
314684b1-75ee-4597-b7be-38c4e8293bb1	0.594125249072381956	0.0495158835708149961
6b732e9f-303e-4f65-8692-6760646e89aa	0	0
5345c9a3-d6d1-478f-ad2d-ffa329261324	0	0
8b609cae-355c-4435-8959-e57ffcae4616	11.1837229437229446	0.932079429437229545
a4654450-fecc-4348-b124-05c4e35af51e	0	0
e11ab396-5864-41df-be66-35199e8a7c76	0	0
d278d71c-df19-45b9-8ae7-c4b01b5c2da0	17.1436818181818182	1.42879730193181809
994ba12c-8ccf-4de9-a98c-9c27af287fd9	0	0
2a5de3e5-2437-4ab8-8dfd-b7dfad20c201	16	1.33348
d7a8eede-5a40-4847-b7db-44e6502ecb8f	0	0
1ebb4f61-602b-44c0-935a-5e031db50d29	0	0
256a6c46-972b-4a1d-8ca0-2bad598e446b	0	0
7e81a027-3c00-44fd-a20f-f56bc519e85f	0	0
66fd79c6-2fd3-4431-a930-036c1ee207c5	0	0
fdc9b9ba-298f-4ae2-9663-cda96c4b49f8	0	0
1a99d6ab-930c-424f-8001-b25500430236	0	0
c29d49d0-3ca7-40f3-a4af-8c9e8be0ca12	0	0
5cc97267-7d18-453b-ba3d-b8d22054c012	0	0
05c07926-cfde-445a-a6bc-c2c576788fd7	0	0
5ee35ce5-1f58-4323-abf1-0cb09e47e76c	0	0
50089870-1565-401a-970b-1e10ed40ca3b	70	5.83397499999999969
bf8cab4c-b264-40ea-a6ae-91d1c76aafc9	0.594125249072381956	0.0495124178401954093
f68c79fd-d2db-420a-9af6-c0886f37ad3d	0	0
d5594f13-cb9a-401c-bf84-376707f96c99	0	0
17a364ab-e798-46e5-8e95-1e8c75b74b60	11.1837229437229446	0.932014191053391117
058021f5-9d42-49b3-91e5-9424eb50a9bf	0	0
454e147f-0fcd-4fd4-aaf1-36780c2c2ab2	0	0
356c8180-825f-4e79-9998-feb232ed0aae	17.1436818181818182	1.42869729712121218
cab2c5b0-5112-44d3-bf61-fdb767431352	0	0
3e2f95d6-60b3-4511-92cd-566cd4aa1105	16	1.33338666666666672
57a7bb99-5f9c-4557-a2a6-6973454ffc2b	0	0
b674e497-6d45-4e7e-89d0-f45cbef8c8ff	0	0
f6200a07-a855-43e1-93c2-43f9f93f9870	0	0
4961fca8-24ac-4b89-9e90-4112198b5546	0	0
89d2f977-e5dd-4e5a-9684-1b8bb717b910	0	0
60b1c4f7-ebac-4268-9958-b1d48d2ea2ee	0	0
9f2db86b-bf35-493e-aaaf-d3d5b5a3b747	0	0
54fa4e58-8d92-4b11-bf8b-e37bb31b493c	0	0
cb4b938a-e1e1-4406-a730-1e61e29c7774	0	0
dd384da8-440c-40fc-bdfe-9550b765d4a3	0	0
1220b843-f09e-4ea9-91e7-e9998c70b4c2	0	0
6b2cca17-38ff-47fb-991c-ce6560daadd0	70	5.83356666666666701
6b6ddee0-c33c-47b0-bf25-c8c2c686bd24	0.594125249072381956	0.0495155535012321707
81ff3519-09f5-4b92-bc84-53a4b4e627c1	0	0
71c4109a-e461-493c-83ab-7d9cfbd598af	0	0
3b751ada-e1cc-4c67-bcd3-1952eb254c58	11.1837229437229446	0.932073216257816251
7e99ef2e-dbf2-4d97-b41a-10f94cbf5fef	0	0
66ce23ed-1aa4-436c-9cdd-8900c86f29a7	0	0
b351f1e3-c323-4805-8c48-cec418bf5762	17.1436818181818182	1.42878777766414133
44c7873b-1c77-403d-8821-75fabd1fb2b6	0	0
a3c9fa18-c156-49a5-8d2c-12973bde0328	16	1.33347111111111105
79948c60-499a-4903-a027-066c118bff74	0	0
db853279-5ccf-448f-9bf0-3af49d6ede8d	0	0
46761943-f2c8-4f31-bba6-1c6eb4b74bc5	0	0
68f62b8d-b6b7-4537-aba4-dfb4d19c5245	0	0
de59b0fb-cf52-4072-93c6-9aa2be54e35e	0	0
406f2e08-348f-46f6-a6ae-80bad9bef25d	0	0
76ad212a-9c19-418a-9954-efb2af0bd504	0	0
4c7ac991-9cb4-4680-8040-94a00df08e6a	0	0
16784ee9-021a-425f-ae2b-5f73d6e7190e	0	0
1997e52c-08d0-4681-9408-8035c3dc90e3	0	0
5c3eb9bf-622f-4460-9960-f85f005166f6	0	0
c2c066fc-0bd4-4773-913a-c0805d82447c	70	5.83393611111111099
67b80f38-4df9-4c0e-a12d-f8f7319ffbe6	0.594125249072381956	0.0495117577010297655
1301b707-faf3-4204-910b-750c11a83e32	0	0
2eb75280-5ec1-4cef-a4e0-4684def2cd97	0	0
2dc70d22-7209-474d-8065-00e5da40c8d5	11.1837229437229446	0.932001764694564749
03bef935-e6a4-4018-95a2-59c7f868c265	0	0
2395649b-099f-4a72-bc80-db5c455d53d1	0	0
5e91d2e1-8867-4e6b-b781-40cec1eab7b5	17.1436818181818182	1.42867824858585846
1ab07b7c-1781-4186-a047-8dde0d24bf7a	0	0
da0b349b-e9b1-4843-9706-9875b38ece02	16	1.33336888888888883
15e3995b-f170-42d1-9118-124a7e8d33ee	0	0
29acf2e9-127d-44d2-aa0a-470f42caa6a1	0	0
e8e23855-36fd-411a-a69d-7df35a215211	0	0
925e1259-5161-4411-8519-a237bf9d8490	0	0
3bb5bba0-10ad-4959-a416-0da19d195cc7	0	0
84815190-2a72-442e-ab0e-0378ac99eff6	0	0
e495897d-a890-4607-b6bd-8831f7922d23	0	0
ef452b0f-d78e-4dd5-b568-a948dae8562d	0	0
b29d9712-beae-45dc-b667-ca322a715b78	0	0
44183f5c-1b78-4220-8519-53251e85e225	0	0
bab28bf7-1b37-46c1-aacc-7dc34354e354	0	0
451c514c-1347-434d-9535-1a719052d97e	70	5.83348888888888872
7e66cf9c-2664-406b-bd86-c0be8f156a7a	0.594125249072381956	0.0495153884664407615
9e16281f-0d20-4d54-ad12-9d4d072be955	0	0
a1929d41-3308-450b-b5d1-66370548dba5	0	0
a4260a2c-bbec-4aa9-80e4-a15fd7a79f3c	11.1837229437229446	0.932070109668109659
51da25fe-388d-490b-86f3-c9cec8da7338	0	0
141b3ba7-6890-45f9-af89-d013c7a94ac8	0	0
d7bb6cfe-c060-4bd8-b8c2-549b8a624152	17.1436818181818182	1.42878301553030296
ad95e692-1c9e-4f54-995c-84825fdb7188	0	0
1ca6f974-02cf-4b21-ac0f-04338e0a8043	16	1.33346666666666658
5bad893a-8f95-4a69-80a9-952a862c1727	0	0
49c40cf5-f6b7-4a43-b68b-5b43437e4a61	0	0
2cb83d7e-5810-4e90-b177-f99a355b1779	0	0
8584845c-8e1c-40be-b76f-d55b92281c86	0	0
42f63f2d-c398-4936-a104-7a5a33b6d889	0	0
95f1c7df-86c0-478a-ad57-e95bb9e8c4f9	0	0
c6e32c35-4ed2-4548-9f44-0ad1477a9fcb	0	0
bfc76a84-face-43c0-b577-3b32a1edc879	0	0
41ac35eb-03f0-44a3-8f4c-b33843cb8565	0	0
a53c3cd9-cba2-4987-a1bd-62a376e52436	0	0
603590d9-9244-4248-af1b-5770023ce724	0	0
852aa5ca-adcb-4782-aaaf-8e0044ed5045	70	5.8339166666666662
96970509-fc21-4581-8790-f5ea23d27166	0.594125249072381956	0.0495127479097782208
0088b4a8-3b32-4d3f-8746-4ec549e294c6	0	0
9871c588-a734-427d-8dbf-902c64e11e1f	0	0
6e80ce43-68b4-42b1-8792-c051a0331864	11.1837229437229446	0.932020404232804189
bd6e6736-ff20-4e26-b804-c453df5b25da	0	0
94b1b76a-c6f2-4eda-965d-b57bc116d3de	0	0
d74506f5-6352-416f-969b-60729897b11c	17.1436818181818182	1.42870682138888871
381a6422-a60d-41a8-bea6-e129db2fc466	0	0
45f22384-6901-4e46-a2fc-a9597bc4da42	16	1.33339555555555545
573dcbce-2493-486d-a69a-9f91859ba81d	0	0
d154b55e-a20d-40c0-bb02-3617060e0dbe	0	0
6e259cf2-285f-45f9-b031-c8fca88d3a95	0	0
f5609942-d503-4cfb-86ce-2c5c69c925b3	0	0
f5f3826f-e27a-4dfa-8496-0d429b7b6c4e	0	0
f98cdaa6-1778-43af-8c78-685fd2fec336	0	0
de069e3c-6ae2-4c02-8c2d-c574a18fe2e8	0	0
0315f399-5259-48e9-8eae-c66b8d9e7539	0	0
15c702d7-8185-4f7b-b3b8-2e5abeea74ab	0	0
4a34efab-1f77-4b43-86af-2669bcc61551	0	0
97c8100d-8a6d-4ad8-8606-0ab6de875e16	0	0
4a993bef-0ffe-4b06-aba0-e8ee05ce81c2	70	5.83360555555555482
cd421eff-fb9c-4fd6-8cad-cbdd6af6a851	0.594125249072381956	0.0495084570052015879
03358377-9bd0-489f-b8d9-939e28f705cf	0	0
051b1195-cbe6-4726-a7f4-61329a02a31e	0	0
68d5b288-e2fa-4712-8664-b6669ad9b8e2	11.1837229437229446	0.931939632900433024
e52474f6-59bc-489f-926a-b9aa73b421bb	0	0
59be7886-69dd-4e7f-b8f9-3409b0e817d7	0	0
f1db4799-38f2-4fc0-99a9-c0ea14b867c0	17.1436818181818182	1.42858300590909093
73e8b3d6-b5f0-4649-9120-715c0d720b53	0	0
55fa8b6c-8a05-45af-a459-c271d693ddc5	16	1.33328000000000002
df1784cf-b595-4363-a0ad-1a44e5d8b51e	0	0
2efc4717-7301-442c-8285-1d16b1bedb9e	0	0
d0ad0db5-def4-46ac-8c13-0310f7f8af64	0	0
877b3dd5-4424-4645-8ee1-1b28f148d2b2	0	0
a5eebc5e-df8a-4f45-97b4-24e50ea32a43	0	0
f78228d9-eb08-45a1-bc27-bdc14244789d	0	0
f7cd3a34-343a-49d1-aab7-3c443d536cb4	0	0
d52bf517-5b6a-4301-b7ca-8a446c5255dc	0	0
8b42f2de-8287-4a90-af03-d73c75a50850	0	0
a46fe4f5-a202-4682-aeb7-0b0a288a5ab9	0	0
49f7d172-a364-4783-9a69-52a626972e49	0	0
3907b35a-ac47-4401-a0d9-dc122ff176f5	70	5.83309999999999995
6731413b-40be-47d2-891e-0acfa3ffbe5e	0.594125249072381956	0.0495170388143548537
b9a2b661-0e29-4558-98e1-40311c52e2d1	0	0
830e3086-c49c-438f-86b2-a766d7dc772f	0	0
2475cb30-c2cd-45e1-a259-2cedaf276173	11.1837229437229446	0.932101175565175577
d662a3f2-ecdb-4b4c-80cc-a3ab8491f143	0	0
7097f7e5-0ec0-43b6-8de6-3ca40c0fb110	0	0
7de926dc-798f-4a48-b81b-3ba84ce05ca4	17.1436818181818182	1.42883063686868694
7a4d5d87-c760-430d-9dc2-be84d27c8000	0	0
59609ac0-bb00-4c0a-a14d-7b8826612564	16	1.33351111111111109
20b66d5c-4be3-46d6-acdd-acc0e7156197	0	0
25bd61ad-32e6-4268-8532-7289eb1d3486	0	0
5282ec6b-a94e-4cec-a63a-68acc0741904	0	0
e3589da2-1335-43b7-ad93-47b667c910dd	0	0
37a33230-5b8f-4f00-af86-828748fabf35	0	0
1a252a61-1489-4c75-984f-498337d56ffc	0	0
3f9e0869-620e-4feb-bc8e-f6a24b2cb865	0	0
03b4931a-672c-40f5-b78d-eb83d226b30d	0	0
81675fa1-7c62-4e62-9512-548ae323c86d	0	0
7e1b17c1-2add-4fe1-b009-291e6ecaa236	0	0
b69808c0-135a-4462-a8dc-d6474d3330a8	0	0
b3b8fb87-f651-488d-9b31-36fd27bb9a41	70	5.83411111111111147
c9892b40-838a-485d-adef-16fed70834f0	0.594125249072381956	0.0495167087447720353
ecd2d0d4-6812-4130-b486-1077744e2102	0	0
d6494c31-f53c-44ec-b60c-331def3f51fc	0	0
be308785-4de4-4ba7-b420-eaeb920511d4	11.1837229437229446	0.932094962385762393
9c2057f3-2860-490b-a14e-1ccd3a8ce38f	0	0
168b5a8d-c463-446e-8993-6c084df29749	0	0
4793191d-ac1b-4231-acf9-c7e7758be41d	17.1436818181818182	1.42882111260100997
aa2b08dc-47dc-46a8-b1cb-c9f357f273c2	0	0
dcb2bc77-e002-4d32-804a-9b8cc16433c2	16	1.33350222222222214
18355ccb-0b5c-482a-acd8-18007ec6ce11	0	0
9e4e33ee-72b2-44cd-9e5b-24f09b7371f0	0	0
938eb9d6-0a0d-4fe5-99d6-a998ff8edf45	0	0
c4123a02-0552-4b31-b494-2bf221689a1c	0	0
c93ff9af-d19a-4fe3-81c7-7a7c5d652f89	0	0
e877d0d2-1b1d-451f-ae48-0ea6620c3b85	0	0
400233e3-51e3-4738-9e94-eacd92962a00	0	0
73209665-745f-45b1-b835-deca56d4964c	0	0
4e41c9c6-08ae-48ba-8ae9-75a63b37d549	0	0
7aa84598-cfd1-48f5-a5a1-6ac83b5d6321	0	0
1ba98e11-b530-4e6a-a242-047730de68f1	0	0
fa4c2de1-23d2-45c5-9f43-33a66367f624	70	5.83407222222222188
0016028b-e766-448e-a057-0b9132f4deb7	0.594125249072381956	0.0495152234316493592
6a4c1391-ca55-48d1-addb-e46bd8b7416a	0	0
18141dd6-ed93-4fd6-a9ff-93b74987c087	0	0
d70b4f57-41c8-4270-9f45-0c13cf05d5c1	11.1837229437229446	0.932067003078403178
de55372c-1cc7-4815-b4ea-3482b2dd2c8c	0	0
6d2b5fc3-59a1-4f08-985e-9602aa523956	0	0
7ed22324-8189-47cd-8fae-d676433249bd	17.1436818181818182	1.4287782533964648
d583b865-f985-4cdb-aef7-b46ea2369d8f	0	0
e96b46a6-29f9-42a3-8ae5-f23b762db1b6	16	1.33346222222222233
59349e53-527c-4258-bf2c-89ad248c05c1	0	0
e5ccd9b2-5dd0-43af-9c9d-5d629840101c	0	0
b4e2e1e3-4cc5-4766-a97f-60f62f0ebc23	0	0
ce2f69bd-19f2-4074-a5b1-219a9ffc5e24	0	0
840140c9-3a8e-43e0-86fa-ecc4836622f2	0	0
eef1e8b3-bd7a-4fe4-9fa0-f3c32ff34492	0	0
9ba21314-7e05-4eb5-b134-da78fb08940b	0	0
cdb059ef-911c-48f0-9a8a-02272b657fb2	0	0
2afc82d4-fb7f-495b-a723-b3f4c73db482	0	0
703bff6f-be1c-4181-b906-70a030ab3c62	0	0
dfae297f-b947-4582-af8f-afa40f298235	0	0
3b352368-3e32-445c-85fa-22888ba9968c	70	5.83389722222222229
f0cfcf4f-3bb1-45de-99a4-6f3a5b14df50	0.594125249072381956	0.0495107674922813171
abfda907-d689-4315-b595-62d1279224bb	0	0
fc15008c-06ff-41e3-8f68-bc51c92c6327	0	0
8eccbc2e-dcb8-46d6-bd2a-e4b7cc3d4f39	11.1837229437229446	0.931983125156325198
f3e467cb-aae5-4696-bbc6-ad0d49178e30	0	0
eea4de09-05fc-4cfb-a711-87548529bea3	0	0
9708768c-e91f-48f1-84b7-a0a0d83c1acb	17.1436818181818182	1.4286496757828282
504feb42-b20b-4721-b41a-43bdf38e250a	0	0
322c57b0-ac34-429d-91e4-b85abbf6bfa9	16	1.33334222222222221
d1d77993-e0e2-4d44-b3a8-5212e869c612	0	0
e4240974-65fc-4b55-903a-18a9485f8c81	0	0
129c8648-c999-4d49-8b32-01fafe7696ff	0	0
c1eedb71-55de-46e0-be8a-bb7bc561aa01	0	0
71e38476-44c3-431a-ae73-33d2ef5b4664	0	0
f1475524-9d82-489a-b425-44fc795e1fc0	0	0
e3975c41-a059-47d4-8615-4ef560c4e993	0	0
460e3aa9-e9ec-49cc-ba03-6a230ecb4b2a	0	0
8bdbfb54-114f-4eaf-ae76-cfc64ce0784c	0	0
f583311e-2588-4710-9f07-1de264b4921f	0	0
56a0e86d-adcb-4cce-85e3-8cb23b6c33bd	0	0
ad6de44a-94be-4d38-b19a-e374482b901e	70	5.83337222222222174
c90a760f-5ffe-4623-bcd7-a73ea4aab463	0.594125249072381956	0.04951505839685795
b34131c7-21a6-48f2-af6c-2af9dd44c0b8	0	0
e316b462-55e4-498f-a03d-3745736df146	0	0
2a6dd71d-5456-407e-8272-5ef6bef46984	11.1837229437229446	0.932063896488696586
c7288876-0dde-470f-b2d8-685c6bc95257	0	0
1ad4a267-a6e8-44a9-8d41-04eac2b8a54b	0	0
369143da-1cb4-4a13-8b99-b7babda8e44b	17.1436818181818182	1.42877349126262643
21fb0bab-5dfa-416e-bb86-2c7458ceaeef	0	0
251a6c7b-59ce-4c03-9bcc-641a7fd3ad1f	16	1.33345777777777785
69f52c80-bcf1-4f98-8606-26892a684a1d	0	0
6392b405-ab34-44a5-b6bd-11b44be04f0f	0	0
935f126d-5819-4250-9935-a859cf922685	0	0
ca16acec-34e2-425c-aa60-73b65cbdee29	0	0
a77c5a04-6f4b-45f1-9352-5cd2b84df82a	0	0
095617fb-be6c-425a-b3f8-0ace58d7f663	0	0
2de78389-b218-456c-a736-ac8113fdeaf5	0	0
1dac572d-39da-4431-b912-2e6007d94393	0	0
940ccbd3-7c5c-4125-82b7-f69a19f9535b	0	0
c65ce5cb-067c-4507-af0b-6698e06f55e0	0	0
ba95f609-5171-4f1b-8f6e-38ec7d6d72a8	0	0
85d558b9-0b2b-4f1b-a425-aade5c3a4303	70	5.83387777777777838
56bb8e0d-3a88-49ef-98a5-1dc38a412a1e	0.594125249072381956	0.0495153884664407615
05e110af-d3cf-4d55-996b-a2fbfd1ffe36	0	0
c4a5be39-d5ed-4bfa-b158-5eb35fb79f62	0	0
0d2423d4-51d6-447d-9de9-1aa86cc550db	11.1837229437229446	0.932070109668109659
47729433-b3eb-44c3-80fa-7e38c5706cc9	0	0
3f8a1419-cdf6-4300-99b1-7bcbeeea462f	0	0
8f15583c-bd31-4b29-bc71-443337bb57d7	17.1436818181818182	1.42878301553030296
1f38295e-da7a-427c-aecb-affb64e583f4	0	0
1efeb0fc-a49f-4d16-af3c-56a0a61668b5	16	1.33346666666666658
aa73d287-839e-452f-ae9b-4baf7b89574f	0	0
1370a302-53f1-4d66-84b2-10805def61d7	0	0
0bfcba13-dbab-4978-9bf3-a1cc0a49d513	0	0
13b50a73-112b-4709-a2f8-f24248f2dc70	0	0
1aede20a-a2db-4b09-b3fa-fce6c458de17	0	0
6a1e5d09-9fb2-4817-b657-7b874c9e94f4	0	0
7649f79c-678d-462f-96a5-529efaebb33b	0	0
b339ad61-15a3-481f-8943-a4b14abc651b	0	0
cf447ca5-2150-4ac8-81ae-ab69ce09beec	0	0
434a1f39-ed5f-4cbc-bbc4-8f881e1fd75e	0	0
68302866-7a40-4561-b553-210c0c395da3	0	0
d92999c2-9b04-43e9-9941-228e92f6bd77	70	5.8339166666666662
f17fe859-6cdb-4cef-8ba0-39eccb91c458	0.594125249072381956	0.0495104374226984917
20d2172d-ce12-4643-a35e-0a2f9360b06a	0	0
fc641418-4846-4e78-8a12-48c1de0eacaa	0	0
7923f73e-a88a-4844-8193-6b6570c594eb	11.1837229437229446	0.931976911976912015
b26035e0-54aa-4602-a9db-5ba92f22fa5e	0	0
21a33d3b-14a8-43ef-b1f8-116c3570745c	0	0
0a9d9f88-bd3a-4da5-b405-a683a3283647	17.1436818181818182	1.42864015151515145
cb9bd128-d543-4985-a48c-8d9754c0c8ab	0	0
1bfc184b-2572-4114-b6ef-e913854e4ffe	16	1.33333333333333326
4d592300-b46f-4276-b3b8-f61ebe4a55b6	0	0
61b4c95e-722c-403d-8acf-a7c6df0e96bf	0	0
d856eacc-4127-4b1c-a42b-3108f4b2be01	0	0
1932286a-f713-4fc1-90c7-63969277ec24	0	0
f77fc38b-c2d7-458c-b96d-01944e6fbc4c	0	0
db462932-c65c-44fc-a5e3-50733fb01450	0	0
541df4ee-8cea-442c-a3c9-3fcd47a06ba2	0	0
669ab8a1-3f57-47c6-a6dd-9899696401c4	0	0
e6917b66-b671-4c71-a945-4ea5c51ef465	0	0
92998125-db03-4fd6-8d83-5b35aa0455c7	0	0
5166a0de-5362-4e9b-ada4-2752b7bb7104	0	0
f99b8c85-079b-4508-9c72-9441d4903c62	70	5.83333333333333304
bb34d963-abfa-4835-9e50-9f8e3204728b	0.594125249072381956	0.0495140681881094877
5ff0fd10-f295-4a66-9e54-7f1bd5a4e063	0	0
565b0596-b642-44f6-be08-6ee3ff39c247	0	0
8333dbd7-2e8a-41c5-a7b8-d04cfcdde768	11.1837229437229446	0.932045256950456924
b19b18d1-d0d2-487f-ae98-2397ab5e996c	0	0
13135a44-4945-46a9-9e78-519f5d779aba	0	0
f69eebdf-ced2-4c1f-b415-3ff58792bbe0	17.1436818181818182	1.42874491845959595
fd3c16dc-380e-41c8-8454-2672f6e36a8c	0	0
4229ae8e-0293-4032-9540-3b6307fdb237	16	1.33343111111111101
562253ca-1859-4ff1-a8ee-36de3a6519a6	0	0
49b14503-b8e5-4c9d-9fe6-2bbfb2a28cba	0	0
817c25d8-77b1-41ee-8f3f-c984d324c20e	0	0
57227d7f-087b-426a-b2a8-7c1e7ae37947	0	0
9faca220-69e8-4106-a7ee-de65b30f26fe	0	0
c93eed96-cd89-4765-94d7-1e38d55c76a3	0	0
f9f0100b-8aeb-434a-8c3e-cfeedc41ef80	0	0
d003189f-8795-47e2-afbd-1db3f49d9542	0	0
60cc7e3f-9237-4e0b-9c81-9f76d3938e00	0	0
c105a396-da4c-4182-a212-27045f2d2dca	0	0
31767dbd-31e2-4ac3-b428-d9abbee57531	0	0
02ea2fd0-d303-4694-be6d-5557e42c964b	70	5.83376111111111051
d6673de6-5ca1-4bda-9901-6bd5f2e289d6	0.594125249072381956	0.0495122528054039931
50f39728-b5d0-4785-a0d1-1364f98d42d5	0	0
83e3d215-b2bd-40d0-b098-f286d39ca105	0	0
8c2445b5-8f24-499a-b08a-8b6f9cc5a46d	11.1837229437229446	0.932011084463684525
1e7da7dc-bf82-4cfd-8f10-eb19687ee8e3	0	0
771dd8da-2e1b-4ae7-a20c-35f85dc06755	0	0
82976bd9-4c83-4184-9e30-0f000f87b74b	17.1436818181818182	1.42869253498737381
5514d5cb-86f9-4fc4-b8a5-1156370c1709	0	0
08e1f92a-4698-438b-b498-6f329f298daf	16	1.33338222222222225
6603eb77-1607-4b20-a5ba-30c9eb7cc318	0	0
6de9c611-2334-4f7c-8794-69348aca8355	0	0
74bcd4d4-02d1-4a43-8873-4e683e338f06	0	0
bd3614ea-3e69-45e0-afd0-01c67f0bd94d	0	0
8464e653-b09d-4f3a-8507-a6f3b4382f2e	0	0
08c74220-5f48-42f0-ad25-f13d0891e856	0	0
2bfef82d-2f2e-4ef9-83f7-563fa71b142a	0	0
8c89fe37-b449-408e-9c47-8fd7fdedf7bb	0	0
da74c0ed-d30a-4b95-963f-861e6f46d9d1	0	0
a9b68764-7b91-417d-a271-589032128acf	0	0
a17bcc5c-d468-497e-8260-f1da4699df0a	0	0
a7382489-3066-43f8-8d8d-d40007007aed	70	5.83354722222222222
eb2f38ac-ccef-4547-a14a-cfdcc4d70608	0.594125249072381956	0.0495143982576923131
baeebfc4-6e97-4f70-bfb3-99bdfda48ca9	0	0
d9fefa78-5a6c-43f1-ae87-60335ebb60e7	0	0
2895bb8b-2002-4c9d-8008-a7dfcb302735	11.1837229437229446	0.932051470129870219
892cafc4-90b9-4ed9-a3fc-7401b72c16bb	0	0
05710637-84ad-4a5e-a916-303ee5682017	0	0
f8df3f00-05b7-4853-9e0c-678671f58c7c	17.1436818181818182	1.4287544427272727
9d54e658-c024-406a-b9fb-dd20e6ebd533	0	0
c407b273-3370-4072-8eb8-effba91a46da	16	1.33343999999999996
60065f4c-4df2-4b37-868e-fcf7c1980313	0	0
df9564cd-a1ad-47b2-afda-599ec910b4da	0	0
4cf00d91-87b0-4059-a769-4258b91b579f	0	0
551037bc-72b4-4b28-976d-18423794bb42	0	0
af09c0dc-f451-4f81-946c-f594cff68125	0	0
4fec96ba-91c7-4380-873b-19fb72806c52	0	0
e7098bb8-075f-45ee-a568-5f8740ebe481	0	0
8cb3e88c-ea22-41b9-a64f-d71b534684fc	0	0
cf4c707e-0222-4a23-ae3a-1365828510e7	0	0
9d015bb6-1c86-42c6-8934-38d0baf0809c	0	0
b891682b-2b79-4076-937e-f2b99ea1da8a	0	0
552c140b-3ad7-4bdd-97fb-874b483f48dd	70	5.8338000000000001
7db22131-010b-4f73-8e22-ac8ae5ce7e13	0.594125249072381956	0.0495143982576923131
d8734ebf-c4fa-4fb9-b29b-8d605171effe	0	0
6e9358d3-982b-4e36-9e68-1d28e74971e9	0	0
9a2f3bfa-9636-43bd-a8a8-696bc8689b73	11.1837229437229446	0.932051470129870219
8ea81514-9b30-4ee2-9b41-51388a53d9ea	0	0
6a05a9df-30ed-4ec4-9d15-52aaa0208fe1	0	0
a2013565-c221-478e-a6cb-7a1fe102716e	17.1436818181818182	1.4287544427272727
daba2c53-a7aa-4957-ba8a-2e01228ffa3a	0	0
f7f5208a-180b-4e46-877c-ecf6d3e09c44	16	1.33343999999999996
0d56a763-3329-45b8-8e10-3cc7171e464f	0	0
ed3e1697-0a34-4c47-9971-355c9e468f18	0	0
86181b09-61c1-46bd-b36b-c4031bfc8010	0	0
d8dc9374-f8fc-4a97-8254-2673b9b327b5	0	0
0aa6f6f3-65b8-4654-8e91-fb2d16253af3	0	0
30757dc2-30bb-4fa7-81fa-aa89f69be958	0	0
17dc92e6-90f9-4c7e-a196-0e233097542e	0	0
e0d2dd68-2b15-4bf7-9856-a5148c859dda	0	0
2279499c-a310-4684-bd69-ff5a9235440f	0	0
0f5898e3-3b4c-4adf-9a68-cd4e99225437	0	0
ee548432-a342-4c35-84a4-de6b78909332	0	0
93f9b1a7-08a8-4e62-ab6d-b6cf598cbee3	70	5.8338000000000001
cd1e3127-56ee-48f7-a2f1-5ecef1e206a8	0.594125249072381956	0.0495163786751892238
d78059e4-7a32-4ff4-bf12-90b206726621	0	0
f1d76b03-5a9b-4cb1-87b4-b64740fce0cd	0	0
712bcd88-6a63-4aa2-aff3-83e7e8b66a33	11.1837229437229446	0.932088749206349321
846b1698-cac2-4038-bb66-17309078775c	0	0
8af3c9a9-1e96-41b4-88d4-84ab029e905a	0	0
e362c2cd-41e5-4a3b-9c1a-7dba1457851b	17.1436818181818182	1.42881158833333344
41f222d6-3e0e-4691-8871-2d4275e64e54	0	0
ae48733b-4fef-4224-b812-ccad2a87e665	16	1.33349333333333342
9767a0cf-8ca1-4a20-a98d-2dde80c36bd8	0	0
b82031b2-7b53-4fdf-8ce5-739eb79da569	0	0
b5be1a78-faa7-4a23-8356-1633b17d9a45	0	0
8c677d1d-46cb-4716-be0b-8c909b61c415	0	0
c289d372-b0de-4609-8802-aa15004bf443	0	0
a554dd7f-c4f2-46c4-bc4e-05f8a0ee5609	0	0
d22034c5-6b16-4338-9f4b-a853a3b10146	0	0
8ff3e504-dcd8-42f5-a67e-e53d855c1ba9	0	0
499c99c9-ad2a-4c8e-a868-e883d3e1d04b	0	0
df41b36f-15bf-467f-8327-9c78e11df446	0	0
a010b90f-ac6a-418d-b8cf-ee94afb4691d	0	0
367c1b01-7303-4b67-8452-be5aeb0ed42a	70	5.83403333333333407
7540cb84-96e9-4ac3-a9f9-b3977a79f4af	0.594125249072381956	0.0495119227358211747
399d04ce-33ed-4a4e-883f-878c17527eff	0	0
4d277483-e90d-46f9-a965-11d6f4da8aea	0	0
12c955f2-23db-443d-a421-d448d6e34b72	11.1837229437229446	0.932004871284271341
c4061ae7-de04-49ca-a188-e487c77b7988	0	0
29bd72e8-e035-41ae-b660-8c58ec5899a1	0	0
decf834f-2803-4e77-b0cd-235063417655	17.1436818181818182	1.42868301071969683
c548ece7-6c94-4d6e-ac1f-4cdcf168a7a2	0	0
b3c9c581-6433-455e-9eca-1c737023300b	16	1.3333733333333333
fc917746-dbf8-4607-859c-a4dc91119f42	0	0
a6e1c495-6490-4d5b-a8dd-504a133ef899	0	0
8340edde-66cd-44a1-8fab-9f82df4a2b90	0	0
8e817638-52a6-4436-b4c0-1c98d18bdd0e	0	0
d3987405-d8d3-4d9d-9696-f9aea82fdda1	0	0
d458205b-4ce8-4692-9d98-e80f210a0b87	0	0
a097db03-264c-4165-8918-51e801956ed3	0	0
499ef3c3-15bc-4e1b-8c50-561dbf491801	0	0
76e05d95-d05b-4e16-b22a-f883a7360e61	0	0
fe93df78-60c7-429f-acbb-6e1b14497fee	0	0
08c09725-0d8f-41be-9bb0-5ed3b2b02489	0	0
186e8333-cf0a-4be4-b78d-02335ac3859f	70	5.83350833333333352
ca788e0d-4298-4c37-9c3d-693d30d699cc	0.594125249072381956	0.0495137381185266762
01e618e0-cd8a-407f-930c-8de0087296c6	0	0
41fb8d6c-dc71-4d4a-a1c4-9dad88f11020	0	0
bf9dfff0-406b-4901-af16-c7c4ae72c54d	11.1837229437229446	0.932039043771043851
25bd64ae-e065-44f0-8916-31100038131f	0	0
ebd0ed86-a30d-4693-be1a-04ba48295c3f	0	0
64541ded-b995-42fc-bb73-5706f4868490	17.1436818181818182	1.42873539419191919
00acef2a-9423-41fe-882e-60563dc308e9	0	0
5f98d3f8-f3a2-4c5a-8d0e-66c301d5e01c	16	1.33342222222222229
7e9ead2f-70ff-41f2-883c-7229a095fbc0	0	0
4bd2e1c1-3050-42d3-a217-fc43d93658a4	0	0
cc111091-0938-46a2-8263-2e2581f01529	0	0
561de54e-4a04-4f74-97d7-5dac885aeb4b	0	0
9119971d-08bb-4243-86b7-238dbe61da61	0	0
a1320898-97a5-44ef-90ec-38fb6ea8ac95	0	0
501fdd70-c61f-4942-a38e-a40bc4868b67	0	0
fa52bede-1145-4dab-88bd-2ef35a210eda	0	0
70847236-c83a-45bc-abdc-f4311486c5ac	0	0
83504c59-4b87-4801-8228-433832a3d2af	0	0
34aa9fa5-6d06-459b-b173-fed609165474	0	0
7d12e6a4-0ede-4e7b-935d-501036921aed	70	5.8337222222222227
2ddd33e4-2b7a-4e68-970c-fcbfb73f931a	0.594125249072381956	0.0495125828749868185
67461c18-cdc8-42dd-b9f1-3bac632fc1cf	0	0
de04d223-37dd-4683-8135-9d4934916d00	0	0
00dad3bb-aaa7-45c9-8946-1052c4c2fc47	11.1837229437229446	0.93201729764309782
8ecb539a-23a8-472c-a636-1c21f6886d01	0	0
8d774f64-0139-4cc6-9019-bf80330cc172	0	0
3ef42120-77d0-40ab-9e35-1c634c49cbab	17.1436818181818182	1.42870205925505056
f102d867-5bca-42f7-a20a-7e588e2a97ec	0	0
158440fd-a073-4985-a46f-fd5ac4e73930	16	1.33339111111111119
ba61de6e-d0f0-4361-875b-003a5aceee00	0	0
40f547d1-4ccc-40f5-b7a8-32a5b9fc0138	0	0
8ddbeef1-9390-4328-a80c-a3d131ee7164	0	0
87c16922-d605-445e-9acf-fdbb43005fb8	0	0
45f26ee8-8303-434a-96e9-8a4238ef4a8d	0	0
a2833bc2-f267-49e6-942e-bb14d991fa6d	0	0
eb9c3e59-29dc-42d3-a039-3d9c35c15c2f	0	0
dad9c967-fc34-4715-8e49-2802c247e48b	0	0
b4ac5e86-7b09-484e-acbb-2299f1cfdb1b	0	0
0c5a706a-465e-48f5-959a-4bda25180482	0	0
84c33e49-f0cd-4646-a234-78aa9fd493f6	0	0
0ac168b4-ea43-40bb-862b-7b88dfb53511	70	5.8335861111111118
03b12e84-2909-43a1-a306-bf330cb5d6ad	0.594125249072381956	0.0495069716920789049
26ea9c65-113b-43d4-839b-48794bb646a8	0	0
53ff6e68-d31e-4798-b05e-d5f85570002f	0	0
d64bee0a-775d-4661-a272-e56b613cda84	11.1837229437229446	0.931911673593073697
cc56b13b-3928-49e2-a782-99dc91b2711e	0	0
00ace107-ac83-4aea-8782-d3763d92d728	0	0
997e562e-0310-4968-98d9-8442c9b96e61	17.1436818181818182	1.42854014670454554
3f66c9ee-404c-4213-906d-75af5228c29e	0	0
af4d3bcc-c8ce-4936-8e7d-66d769bcb323	16	1.33323999999999998
20f194e1-5c27-4c02-9cb4-6ed02251646f	0	0
bc47fc9a-56b2-4858-8c18-265b0959d5e5	0	0
3065cac9-ebdf-4658-8531-ff52332c8e3d	0	0
38937b6c-7f2c-4d72-bff0-fd9654b38e0c	0	0
9b74b1fc-c588-4ca4-89ef-e626df4e52a6	0	0
2f883dd4-63af-4b32-a9b8-55b18b91710a	0	0
4a2286b4-1042-48ee-b90d-1a1723ee62ee	0	0
792473ac-a645-427e-89f9-70c7939212bc	0	0
0f2f310a-caf7-4c8d-afcb-b37c470fdcb8	0	0
4825d2be-a2d4-468b-a827-d836beb17276	0	0
7babe1ab-91ae-4ded-8775-4ad553057687	0	0
9190201e-142b-49a2-bfc1-cb853fbff655	70	5.83292499999999947
19870083-22d7-4fdc-b887-ebdd14960545	0.594125249072381956	0.0495208346145572589
8e782ab5-3c37-4130-a86e-e0174110372e	0	0
89bd138e-89de-4305-b425-f7432f2bc322	0	0
bbc4a515-0b7b-400b-bdc6-e6a8e71dd88e	11.1837229437229446	0.932172627128427189
4cde2dfe-caba-4a01-926b-811cd065b6eb	0	0
28bbe8f5-5798-49e9-a7b3-700181347e63	0	0
16da2a0f-6c90-4aa4-9ee6-2bd30eb577df	17.1436818181818182	1.4289401659469696
ac397eb9-e0ba-4194-bc7b-176d88d19623	0	0
c72c7c46-5a40-4825-a4b1-3d5b50c2bd3f	16	1.33361333333333332
dbcef2d5-fa7b-4fdd-b5cf-37c49f994b0b	0	0
062b9cdd-d95c-4357-8d7b-c872304c96d9	0	0
0bb2fe4b-a3af-488c-ae1c-7f1da7b57739	0	0
5397a476-d96c-40ea-ba28-59a1b9981a84	0	0
73feda2a-ffe8-4706-9d63-0ce6dc7e4a8a	0	0
20122baf-b755-4c95-89d7-0486249c8d18	0	0
e1e15fe9-ee72-4ddb-92a0-0246863ccf94	0	0
d46a7c32-6c1d-43ba-af66-26c526cc6aff	0	0
a7e14e30-0225-455c-b4ac-1b461ce8feec	0	0
aa9a6672-9da2-4ca1-82d7-dee45b31383a	0	0
da8e6d97-1a29-4ded-9b31-5a4e4ccfd23d	0	0
bf494eae-6c39-4e59-a16b-3e2c1429a9fb	70	5.83455833333333285
73d6da21-f62b-4360-97ed-2a3055632210	0.594125249072381956	0.0495137381185266762
c7f05958-224e-4a22-89df-df4e375a2719	0	0
1e99474d-2f04-440b-9904-fc4251ae9f14	0	0
627f9e31-33b5-4816-bbc7-b5b96a6e4223	11.1837229437229446	0.932039043771043851
d5294974-c2c3-49b8-9ae6-ceba19a32908	0	0
642af6e8-229b-4b19-b767-b13fefc6717e	0	0
7b9a7f60-34d6-4a46-b81c-466e5e519ece	17.1436818181818182	1.42873539419191919
b31e7a79-59ec-4d8d-a92c-3bf7cb59304c	0	0
b78752c3-fa4e-46b4-8f77-ee5882e190f2	16	1.33342222222222229
fd2499f1-13c7-4e88-9781-e3f01865d082	0	0
63780297-e5ee-4f78-ab99-3109b86db8ff	0	0
e7548700-6797-4927-9f28-8f8cb3c27865	0	0
300ad45e-1982-402d-b8ab-82a3827341f3	0	0
ac427100-d0b8-42a3-ba46-54753b7ff03e	0	0
357f494e-2d27-4d31-80ba-6b834b2e5ae8	0	0
6fdca319-cdc3-420e-a6b5-056f269f544c	0	0
6cd22d1c-aa9d-4b08-9504-868037b1bba2	0	0
66bd7216-8c64-4c6c-b8bf-da2af2c40970	0	0
ff988b01-6a17-42cb-8e34-f9f00cf8f3aa	0	0
96b661cb-14b7-423c-81d4-5dbc1ecc2583	0	0
63bd4256-47d9-483a-bc24-ad9cb773f4f6	70	5.8337222222222227
c99985e6-3708-4272-9865-bd7fd991de67	0.594125249072381956	0.0495183590926861275
38e4a62c-2ae2-4559-9870-f933e8d2719f	0	0
48bf5117-12c8-48be-abd9-7746f9a2df1f	0	0
c16d4d85-7c14-49c2-93c3-7bf3138624e8	11.1837229437229446	0.932126028282828312
69e58b8a-964c-443d-b7b6-6b27ba808278	0	0
c6977be9-b2ab-4c62-8c4d-94616f5a3203	0	0
30855c77-e5b6-4a95-94dd-456f5ccfd403	17.1436818181818182	1.42886873393939395
02877eb4-98e3-4952-9e9f-5b98c5a61759	0	0
02345962-a908-40a6-b599-1bbedbf70da1	16	1.33354666666666666
ac09179e-5dc9-455b-a6b0-71524d6eec16	0	0
f39f9adc-de87-40a0-a326-5553d21b0da6	0	0
0fc424f5-30e3-4991-bc90-da918dccb01b	0	0
229e28b2-5e4b-4bae-a8c8-a745bf12142a	0	0
d4988716-4572-44aa-85e9-cc5ba9be222f	0	0
5dfa89da-86ac-47fe-8465-3a4d159daee2	0	0
f47c51f8-a9f8-40db-9d2a-4bb0b8f209be	0	0
f6f049dd-7b99-47a8-9314-18572e88ccc8	0	0
7ad30244-9198-45c8-a3ff-1aa6877d30c9	0	0
391f5c1f-940e-4500-bd21-17b646474429	0	0
28acb012-38f1-4138-a1ec-8b1efd967c65	0	0
4a97280f-ac2f-497a-adfd-d017e5e738a6	70	5.83426666666666627
e238c145-38a2-474e-a250-e1208806b68c	0.594125249072381956	0.0495157185360235799
44a905f3-aecf-4dca-a358-7d6d9b9e2c14	0	0
eba8fdf4-1100-40ac-b726-28fe610aa744	0	0
435fde95-6699-4f1e-8dfa-b89c8649089f	11.1837229437229446	0.932076322847522953
cd899d74-abec-409f-9dc4-53b61ff8e4d1	0	0
8d8e7597-fee9-4bbe-b939-b44cc859592a	0	0
fa755739-c76e-4e88-af21-a438ba85a920	17.1436818181818182	1.42879253979797971
32363c9a-e606-416a-84ad-94eb8e71aede	0	0
e41c148a-3c8c-42ff-a2f5-64b5d8dea2ae	16	1.33347555555555553
3a0116d1-6eb0-42c9-b8b0-f348801637c1	0	0
196c70e4-bce2-4da5-bd3b-213ecb08aa92	0	0
04cd1480-d6e3-4148-a137-01e3a8b734af	0	0
d1da873f-1c2f-4181-ad35-67713dcd437c	0	0
0da11b66-b783-4e40-9ca3-d815b97319bd	0	0
242206cd-977c-4a3e-9dbc-388a2a9a295b	0	0
0d7710fd-f209-4261-8375-0828677d7f7d	0	0
683514a4-1150-45a7-9056-58e92f0805d1	0	0
736c2000-0b66-474b-baa7-d3ca56f253b1	0	0
f34ea8be-c298-4d77-8fb2-7d932f159ada	0	0
40d74876-9086-4957-a47a-e0a5d61bc1c8	0	0
a005b407-cfe3-4bf4-b827-9b2c65c63b33	70	5.83395555555555578
a23a2a22-0a9a-4a77-b26c-ed0e5ec8399b	0.594125249072381956	0.0495079619008273603
46cefa54-a633-4a60-9aaa-bb9c6eab1f50	0	0
afa053f7-6841-482c-bada-9c668082ab07	0	0
c17a76aa-e93f-4775-8fd6-68f42bc35d58	11.1837229437229446	0.931930313131313137
d2d75160-1c8b-4f6d-a637-8dac3313308d	0	0
7607e104-01c6-422d-9e2f-2072bef6a9ad	0	0
ad194808-47d6-45aa-877d-b82c22794fda	17.1436818181818182	1.4285687195075758
a58198a0-2e3d-4f6c-9bc3-d5ddfd524368	0	0
141feba4-2c30-4606-bf16-800f2e45d5e7	16	1.3332666666666666
cff402c9-fb86-4edd-a70b-91521b0abad3	0	0
d3546481-0e58-451e-a496-7bc058e968bd	0	0
62154b08-8714-47ff-9f4c-476c7c65ebc5	0	0
e75dd453-9132-4fef-8631-bbc5c41d165e	0	0
e25882be-6237-472e-b02a-c2a80c8f73f8	0	0
1c12e72f-2571-4b0e-b8ff-60f0bdf47552	0	0
465dbf3e-905c-4c5d-9bde-35afaf1bde07	0	0
97641981-4f0b-4db5-8f6a-b93a64399926	0	0
484ff836-6c91-4842-ad21-ad96f10bef63	0	0
6a72424b-b093-4587-9e2d-6fba009e7998	0	0
fdd453c3-ebfd-450c-a07e-af7ec3bee472	0	0
b1ca075f-da18-43c9-a975-7eb55c3b6c41	70	5.83304166666666646
7d5ced8b-407f-46ff-bc14-dd2689fe3ff0	0.594125249072381956	0.0495142332229009038
66f7ff72-90f1-4fec-a1f4-9f285bd21518	0	0
4a1b0585-3cc0-4b02-89b7-d281dfe8c3f2	0	0
065af185-bcab-4d66-b2aa-a3624423b93a	11.1837229437229446	0.932048363540163516
70bad89e-e4d8-460f-8aab-c773cfb96819	0	0
c97c91cb-397b-4224-bfb1-bf8e4bfc1c54	0	0
61a99a5b-06d0-4c16-a74e-06a1a34e4a2d	17.1436818181818182	1.42874968059343432
3799c258-aa61-4242-a866-e72850543449	0	0
1ecc76d6-57b8-4033-86b1-e7c7636b5ac3	16	1.33343555555555549
c9e9b310-cbc5-43d0-b673-4647f6c151f3	0	0
8068ab93-ff21-4159-8e65-13ab28a7be2b	0	0
113e3436-6a28-4cb1-9927-6a4dd276011b	0	0
08c0c8ff-638c-4355-868d-736344b8ee30	0	0
e012cec3-87de-4cc7-9a88-017672a6cf32	0	0
5dbfe8ae-3189-4b8a-8331-b9a0097fa8de	0	0
9918e554-d20d-4634-91de-cd34cf47b82f	0	0
227565f1-297a-4ad5-96ce-acf37fd66894	0	0
9152b94c-dbe5-4e45-aac2-def59a448cbe	0	0
df659aeb-41e2-4d91-83e6-1870ef0aad87	0	0
9d519d5c-2e9b-469b-be97-b9ba5eee5824	0	0
2f2f831a-bbdd-4ef9-83cb-a571d2bcad3f	70	5.8337805555555553
79467172-bef3-4599-a972-61efd8250adf	0.594125249072381956	0.0495143982576923131
56bb8d95-0b70-43bd-8147-43316ecbb46a	0	0
17f574e5-96cd-4edc-9774-65f3d6e25042	0	0
5d7aa85c-3bf7-4bec-9ec0-800ad1d7cb67	11.1837229437229446	0.932051470129870219
d1893880-39c2-4737-a8e0-473eb015ca28	0	0
37190136-c60a-4a5f-9f4c-46278b38ca6c	0	0
c6298884-e230-4ee0-a135-e9c8eedfc364	17.1436818181818182	1.4287544427272727
12541a36-f81a-4849-b2c8-95fdf4e79eae	0	0
6ba3e06f-fe7e-4a56-8a8d-f55656b79750	16	1.33343999999999996
17b07e77-ca25-4442-b20d-facad45ed1d2	0	0
58bd6b62-14ad-4092-9839-63ebcdea7baa	0	0
5e96d6db-274a-4444-a096-d7bb40294481	0	0
50349d10-33a5-4158-81f0-35e227147817	0	0
daa31b14-5df7-465c-bfdd-0a26c9e8a407	0	0
22f26ddf-9934-4b81-8f1c-7453ca9bf433	0	0
d8674cb4-ffc3-42ca-a1d7-ac0444562777	0	0
8f9d77c2-c34e-43df-9b2d-a14f7f2dbe1b	0	0
bef8e522-7617-47da-9c2b-55fb3725d42b	0	0
5eb9c65e-1408-4d33-88a0-107299c53381	0	0
92b4daa9-d9b1-45f6-9ccc-45bbae1dae98	0	0
d993d8fa-fdf3-46f2-8d49-f519b9521bf5	70	5.8338000000000001
b076bbf0-03fc-4653-ad42-c04ae62f303c	0.594125249072381956	0.0495125828749868185
854625ae-ef14-4980-b571-b5dc2fa08118	0	0
a50a9297-94dd-4cd4-85a6-791c797ee831	0	0
b3018417-52e3-47b7-b786-2fa4bbb4787f	11.1837229437229446	0.93201729764309782
055d1ced-77d0-4a2f-bd86-176d6ba9b270	0	0
5b08604e-7212-44e1-802d-a73f2ab16843	0	0
1a4788c1-c9c9-47c9-b96a-caecfb134aae	17.1436818181818182	1.42870205925505056
3685c7e9-f819-4e8d-8be4-628a6a74401d	0	0
b2a67d72-43b2-416b-b8a0-ad83f2a7c19d	16	1.33339111111111119
f72911cc-c566-4a5d-808e-72985fa53b1f	0	0
3c536b2a-95d5-4551-a870-f88245e01584	0	0
382c8f60-5851-4f31-b58c-4d08a1b76455	0	0
f5c8df0d-5d20-4d21-89d4-7dfc43bcba82	0	0
b9173d8a-ecaf-4026-8e00-1e61acb89224	0	0
83b28a3c-a076-4de3-b029-f18ba99a1245	0	0
f1a9c130-d45f-4f0d-9c1f-eeef2932d181	0	0
4c4fee3c-669d-4cc8-8724-f03d885238fc	0	0
eb7a81ae-b505-4c29-8ef7-1bbbf8710baf	0	0
3a31622e-77ae-41ba-99f2-6911f13fb115	0	0
df132396-5c1e-42c7-b263-63dd0351e6cc	0	0
1cf3215a-71e5-4af5-914c-e2d1cd252c37	70	5.8335861111111118
01354112-d46d-4b38-bdf2-3f896970f3f8	0.594125249072381956	0.049507796866035951
1f1c58db-172a-4143-ad67-4adc99aa2016	0	0
fe0ac644-d99c-4f2f-9925-e0a564d903a2	0	0
1fd37aed-8a70-4828-9f30-d6721668bfd9	11.1837229437229446	0.931927206541606545
dae6d221-a664-4c8a-9591-e00a9fdc8119	0	0
195169c7-ad2e-4863-940b-3b990dfaf387	0	0
c7996105-6672-4381-a79c-3b52fe08281a	17.1436818181818182	1.4285639573737372
6549e0bb-fa11-4179-88b8-1e2158eaa0c2	0	0
b4555602-e541-4b19-acc5-7416c8bcda1d	16	1.33326222222222213
faaae22d-717c-4048-9851-52b3bef17d23	0	0
83e9dca3-fe0c-4016-ba54-e9654e817ae8	0	0
eb492bc3-b3f0-4aef-adc4-0fa6e0924cbf	0	0
f97e3f77-654a-4790-ab8b-cd2264ce0a8f	0	0
bda3e99a-fcfd-4204-ab16-9c987fb88a33	0	0
f05257bc-61b9-4845-a315-3c495b82a94b	0	0
6328958e-5969-42dd-8eff-c52f178e2b78	0	0
6657603d-32ba-4474-ac40-bca9fc7161e1	0	0
4c50acd0-1e5f-4066-9638-7e6a53f6cb9e	0	0
fc974fb6-5b07-4a66-aab1-cde0e87e3fb0	0	0
7c7f2520-fd63-4416-b84f-66dc4c947872	0	0
853b79e3-7e9c-4cd4-b012-9e1ee027ef23	70	5.83302222222222166
3c242543-5ecd-43f9-96d5-1cb8fe720ff7	0.594125249072381956	0.0495205045449744405
c7b8d935-0fd2-4540-8d19-cdd7fe75ae98	0	0
62107dba-0a6d-4846-8deb-f94ad2e78c99	0	0
2298220d-e803-4900-8e84-30f1a11f824a	11.1837229437229446	0.932166413949014006
df80aaf4-7d9a-4eea-8956-6633bb04d6af	0	0
4dd070eb-cc04-4a24-aa55-93bbf76030c4	0	0
cba20aea-df4f-4b64-bc8b-0ef4dd228573	17.1436818181818182	1.42893064167929285
06e65f4b-e4ad-4913-af7a-71c2f95c0294	0	0
2dabea17-c222-4dcb-8af8-50e88e233e8c	16	1.33360444444444437
72ab8490-935d-4a39-929d-c57e0ebc4e7e	0	0
deb56440-66b1-4195-8bb0-71b3ae23499a	0	0
b4fccf71-9000-4119-bdfd-ecf9cf007174	0	0
93c2f4c7-0a47-4b79-9bce-996ad39da8a2	0	0
d2984540-2914-403e-acba-adaed6a7602e	0	0
67cad6d0-960c-4b95-a702-a0b0264a5fa0	0	0
eeb42632-6c07-4123-ad72-fe55d8614fc2	0	0
01ba351c-96c4-4ac4-9a06-e1971ff75326	0	0
d0f73ebc-0b22-4464-b294-a8ccf0951d49	0	0
76ccbcb6-cdac-480e-9cc7-af64e75e6a79	0	0
cc1d5e2a-79d4-440d-964e-3153903e6298	0	0
c43bbff3-38ef-4c7d-ae67-d47cb994f585	70	5.83451944444444415
493309cb-b1b4-4760-b915-3e20ef0ba46c	0.594125249072381956	0.0495115926662383563
3d3153d4-fe58-466b-923d-0c369426e12c	0	0
0a7839a6-f50f-4bc8-8c9e-db6cbc7d74d6	0	0
bd792433-2baa-47e2-b688-1ce484e9095c	11.1837229437229446	0.931998658104858158
a87a6b86-0c10-42e3-9749-ee7399213ba0	0	0
0142e008-cdae-48ea-aba3-821b9f5c069b	0	0
779e3c93-3e42-4598-9db4-a9c6c37d8b44	17.1436818181818182	1.42867348645202008
7813fd14-9a04-4d9d-9ef4-32ff1def4f0e	0	0
d8b13bd6-4195-48b4-a912-28b2f07c6a9c	16	1.33336444444444435
3a42fa69-9cf9-46ba-9dbb-fdac67a125be	0	0
817ef021-020a-4517-9cc4-194f16eaa141	0	0
6f869b0e-1d1c-46b3-834d-37bb196f2c2d	0	0
d5225b1a-0e40-433c-92d5-0ca296b6214e	0	0
0f9e1c10-7d63-4d61-b21e-aa7d194193d7	0	0
3ad1ffcd-aed5-4719-ab75-4b49cc04d3b7	0	0
c005f51a-fae4-45c4-86dc-186e80e1502a	0	0
973d1c46-c53f-4f5e-a08b-b2a1c586b8a9	0	0
d47c616b-aabe-43d3-94ae-5dc221cf406c	0	0
0c288faa-322a-4e1d-b79f-6fa70779778b	0	0
2455fe2f-68f2-4bff-a92a-cb8b0cd82dc3	0	0
8e06e472-2d05-4bfa-a675-45790aa35327	70	5.83346944444444393
34101cd3-d8a1-4053-8cad-3adf793e9eb0	0.594125249072381956	0.049516543709980626
be914d02-9c7f-4700-9122-07c7d2e6c97b	0	0
1905d031-63a7-4a9b-9d95-5d1235963f02	0	0
51a8d3a5-24dc-4e6d-99e0-cfcb019909f4	11.1837229437229446	0.932091855796055802
2b668ffc-2984-4160-8e7a-de11b57611c4	0	0
be2762d5-7411-4489-9045-5e2dd0813d82	0	0
14f4b19e-a04c-4019-9d0e-e5e7e9626438	17.1436818181818182	1.42881635046717159
8e125ac3-2111-40e7-bf3c-f65b849dfa2d	0	0
52915913-49ec-4d7a-b1a1-89803647417d	16	1.33349777777777767
a35baa42-c92b-48b2-829c-76a395ad9a34	0	0
e288f212-87fb-4cf6-9210-03f1ffeac595	0	0
0f1f64be-ce16-4439-b7a3-629e20a8c31e	0	0
3b182df5-4a0f-4321-af3d-e95c16e1d631	0	0
e1efe482-0956-4d52-b925-aeba84cc32e5	0	0
b851bf5a-2ec7-40ea-933b-e3257c0aa9b7	0	0
3a435483-cf49-4fda-90cb-526509bca808	0	0
765d1234-eaa8-440a-8c85-578921a74f6c	0	0
f7ab85e8-1a2f-4df4-8f82-799eaafa0afe	0	0
55091345-4e5c-4413-a0d9-35952a70b126	0	0
88fe3fbf-6812-4dea-b404-c31e02ed11a8	0	0
a121f95b-289f-4f4c-b46f-83fb8f45edb7	70	5.83405277777777709
f4ce2568-f945-4988-b5a9-588b3f86647b	0.594125249072381956	0.0495143982576923131
9a303116-70ca-406f-a8a7-176bc2200315	0	0
c87deecd-cdce-42cc-ba0f-1eed3a2e44de	0	0
0b8abc21-0669-4ed5-8eb7-474d16436780	11.1837229437229446	0.932051470129870219
138a93f0-60cc-4242-84dd-c6c46076729d	0	0
019add41-203f-4612-86db-f81d9af60a8a	0	0
af433516-80ac-4fe0-b39d-ce6891d51a00	17.1436818181818182	1.4287544427272727
8ec78fe3-9976-4a6d-8f7b-9cfd19892c46	0	0
e1fa4ca5-d6ee-4157-b24f-e22dd75a6381	16	1.33343999999999996
ce1bfa36-69e7-47db-9e54-1f28be28fac1	0	0
e3dd24e8-b340-4299-99aa-742b261cefb5	0	0
202485b4-1765-438d-ad38-fa434ea77681	0	0
5d65f720-0773-4b30-81e3-f163d6c28a85	0	0
1b4a73b7-b41c-480d-9b96-b59d7cbcf4cd	0	0
d576c769-8234-41ae-b77a-bff5de476945	0	0
98b82a73-5c9a-488c-9fac-a49249962202	0	0
cccec987-7dd7-426b-9ddf-e67a4f3d4eec	0	0
7345873f-2153-4bd2-b7cd-1610fd265468	0	0
16e35e08-d17a-439a-9f88-6905b78815cb	0	0
c6af47ad-08a7-4325-aa7f-2dd2765f1482	0	0
d7234de1-bf5a-432a-ae38-1656d46acc1e	70	5.8338000000000001
473c1b16-7279-4530-8854-d1bb0893b344	0.594125249072381956	0.049511427631446954
294b2823-543b-428b-8cd0-55656ddfb5dc	0	0
2071d388-e034-4352-9ca7-f3e2a910f9b9	0	0
42e6b44e-542c-41ae-bf74-a5580bbe999a	11.1837229437229446	0.931995551515151677
d1440d82-9657-4d82-886b-e91531254951	0	0
6fc1a5c7-4f02-4789-a411-c7b83c1306ae	0	0
dbb99df4-2f50-4530-8b82-106b3166b86a	17.1436818181818182	1.42866872431818193
34d08c67-1e1a-43d6-a419-ab70f7336064	0	0
d06fbca4-d06b-4740-bd63-3d707e810f88	16	1.3333600000000001
11722794-2e7f-42b9-b525-0c4a0e7078d8	0	0
cf83c0b2-5609-45a5-98e9-faf2d2263fc6	0	0
664d5dc8-3bbb-4858-b64d-9d954103867f	0	0
8b493e27-cd98-432f-9f9a-93536dceafc3	0	0
388e907b-e8bf-493e-863d-922d33a4f91f	0	0
5453263f-c7bd-4a2e-8a6e-8bac692ef272	0	0
71cf4bd8-d396-4774-a99b-0e2c6e9f97f1	0	0
1c2a2bc4-d771-4a61-ba28-cc6781fff56f	0	0
d7ca02a4-663b-4e82-bf3d-6330e6226592	0	0
abe4e5b7-3a5c-43e9-96f7-0be498ea3eb9	0	0
3c5daf74-e20a-4894-b448-5c080c4e38cb	0	0
a61efc09-d8cc-4ba6-a8c6-def3f41cbcf4	70	5.83345000000000002
4f6649ff-ef53-483d-8d06-c1668306e6e3	0.594125249072381956	0.04951291294456963
dbf972ae-d1c0-4ec2-8371-19334aad2832	0	0
14db3bf6-71dd-4bd0-93b3-9e7f67b9ddfc	0	0
8553e980-50e2-41c7-8ad9-077ec4a05b5c	11.1837229437229446	0.932023510822510892
48213702-e799-4e98-a8d2-5eee2b1293b5	0	0
dcf049e3-1dd3-47e1-886d-1fa552307574	0	0
ef3be893-e065-4171-8ea4-d2100fb6f6d8	17.1436818181818182	1.42871158352272709
5695b50c-77c8-446e-8e2f-16c6e3984cb6	0	0
a4160af7-2b7f-4601-8f22-42893a053db1	16	1.33339999999999992
cc4b25ae-e550-4f50-a608-b7b694570f06	0	0
f33f59bb-3033-46d8-aee9-1ace55c477e7	0	0
d9bb9c54-04d7-42a7-8434-5f415dd57ba3	0	0
ce4be4d0-c7e8-4ba8-a78e-03d64d2ceeb7	0	0
22424771-e2b9-4570-830c-2cc665fa44fc	0	0
35528962-1113-459d-9d99-0f3e963f917e	0	0
fa3ee377-81c3-4405-bf40-cca9ca8cc655	0	0
6a9e17a9-1dcd-40a2-9337-77e31da62937	0	0
d9117348-85d8-4921-a47b-46c5cc4c1371	0	0
ee6e6dc1-470e-4414-a21f-a7abcfe39359	0	0
89c99a72-6eae-46e9-a1e8-e9b27d1f6788	0	0
105b97a6-5c11-4434-8fc6-c81ba5b8b78a	70	5.83362499999999962
9763da34-2a8a-4403-986f-650efdffbeaf	0.594125249072381956	0.0495092821791586341
a391db3c-03b6-4148-8d1b-012faf46222d	0	0
8fff2fb1-c3b5-422d-954e-f919f5a47d60	0	0
25a2fff4-edac-4261-b02c-4769f2121de6	11.1837229437229446	0.931955165848965872
57fb0528-baa9-45a9-b73a-00ced12add11	0	0
c508c89d-1f66-4ae8-bb43-5cacb9de40b2	0	0
dbf2650a-cc1b-410f-a8de-5474fa17e2e2	17.1436818181818182	1.42860681657828281
8d9d9b49-a093-44c3-86a1-e79117461690	0	0
1ed926f5-c4e9-4ee4-9a97-e2c55820f471	16	1.33330222222222217
21766136-3224-46e5-bdc9-33a9aa334108	0	0
5147aa3b-c680-4712-b83a-76d90d40cfd1	0	0
3da9b5ce-c357-423a-8c5b-920a98652a09	0	0
e7d0fd26-a86b-411e-86a1-ea1dd2520c10	0	0
48fa2273-403c-4d89-9e81-73f44d588797	0	0
49b4d184-0a1f-48d1-87a1-d112c97db297	0	0
17d22d51-9fa9-4a5c-8981-8ab4d1814b1d	0	0
9f548f5e-e4ac-43e1-afca-21217611b8be	0	0
8337294a-8f6c-4354-92a0-9243bff395b1	0	0
97398735-d678-4775-8f47-82189032bd99	0	0
dea6cab0-d90d-441a-a1da-2610ea70a0df	0	0
67dafe6f-0f49-4b9c-8572-cd8f844e024b	70	5.83319722222222214
ea455f36-df08-427d-abb4-18b73c0418e7	0.594125249072381956	0.0495117577010297655
d9a7420e-900b-4fe3-b24a-3083e5a1991e	0	0
d153f95a-0138-4a5b-a46c-09a4b9a6cec6	0	0
57dfc958-8893-48e4-98e4-cf488bce1575	11.1837229437229446	0.932001764694564749
4f866da7-292e-41ea-84c8-c65b3ccd96db	0	0
c55abfc6-b668-4057-9aa9-484decef5e05	0	0
4c31b0af-abd3-4ad0-879a-2a77f6dcd577	17.1436818181818182	1.42867824858585846
e913582f-da25-400a-9fbf-ae29338aedce	0	0
416ae410-648d-46eb-a4e6-c326a2184254	16	1.33336888888888883
c1587ebd-852f-46c5-b72a-f6cc010a395e	0	0
28ae1321-87d6-4e3d-888f-58e3f767514f	0	0
90970432-93c5-4310-83b8-08a222a3e5a2	0	0
d5dcfade-fc44-4931-a67f-3c7136d8d974	0	0
c0140f97-2ade-4087-aa79-6ba820a0b376	0	0
064f7576-c5d5-4182-9c9a-40f8bf07ff8b	0	0
a6f4a22e-ec9a-41b3-9173-08acad12f945	0	0
20afe22b-191f-4fa4-a186-0d8468c5c339	0	0
6c0590a0-ebda-4c26-a941-8bb52b10f69c	0	0
f5db6ae6-ef66-4600-b8a8-3cbd37062422	0	0
ce2eb441-9f70-4602-bca7-01c0c04b29b2	0	0
e079b1e3-a8b5-4b73-ac39-b5abffe7499d	70	5.83348888888888872
55c47d3f-be41-4a1a-b77b-94aacbe5157b	0.594125249072381956	0.0495233101364283973
811f99df-0292-487a-b46c-c42656590800	0	0
ee638084-25d5-486e-bcbf-e2f7ca99c84c	0	0
8553417e-e1a7-4081-8385-17c1a1143b5b	11.1837229437229446	0.932219225974026067
a13516ce-1bd0-45f6-a881-cd60c37cafc5	0	0
7baa7bf6-1336-43b3-a548-9b0043a81662	0	0
ca4953fa-f124-417a-b40a-125602cf9261	17.1436818181818182	1.42901159795454546
724ebc43-3593-45d3-b171-171d49502305	0	0
89c91c22-5a9b-4403-a49d-37b336d3ad98	16	1.33367999999999998
838902e5-c3bc-429d-b493-2b47e393ab22	0	0
faece720-e28c-4213-80d1-117abd0ce264	0	0
b3b308b8-5891-4e0c-a424-66deafb629b6	0	0
76f94ccf-5f47-46b9-934f-d84963f1ea54	0	0
872b7700-338f-4751-8596-2bf575403b76	0	0
2da6e30a-f1e4-42c3-a75a-6c9fdc5254c2	0	0
d1eb98fd-bd1d-4d16-bef2-247435630490	0	0
7b0edde8-9bc9-40fb-a0ea-734d7c4719c8	0	0
23f07dac-9062-4416-a180-7efc8a2db963	0	0
5d3608ed-a36d-4752-ba5a-9604cfa95b59	0	0
865733aa-7f31-4ba9-bb10-cd58e197e543	0	0
62304513-0a9f-40cd-9a7d-b7aa0c344cf8	70	5.83485000000000031
649fff1c-3a07-49f2-9890-c592b44a87e3	0.594125249072381956	0.0495125828749868185
b06140b1-d0f7-4635-bbaf-e0212a8797d4	0	0
eededeba-1a27-49d0-bd13-f44826ecaf32	0	0
a38a5e5d-c9f1-4b3b-b88f-1cf24fd5c98f	11.1837229437229446	0.93201729764309782
e5629673-bdf7-4ef1-b900-8100cffd7ade	0	0
cd29e82e-a6d0-43ef-a859-318f7a4973e6	0	0
3adc8704-1ae8-4fad-a096-8e4e2ea842e0	17.1436818181818182	1.42870205925505056
1fa1816d-d310-45ab-9c1c-135f7a81bb41	0	0
52a6f03d-2389-4999-af4f-ec4e4ee3d31d	16	1.33339111111111119
50612eb9-c7bf-4b46-8e80-bdf5c57db9c6	0	0
285553b2-c5ff-4b95-9c63-18a161b2ef57	0	0
07a3f51c-caba-49d0-bfb3-48f883388085	0	0
cb3cb739-3cde-4ed3-8b1f-7288455dffca	0	0
4ba14116-7356-433e-84af-ec2477e8f424	0	0
edccb26a-3765-4160-bd66-a2e19f5264e2	0	0
e602e3e4-21c8-4b62-b569-1136a36ff875	0	0
3edd948b-2ce8-4dc8-8aff-de042d2e3ece	0	0
689721d0-04de-44b4-a6d4-df3ed64cecec	0	0
d2a75f1c-524e-4a43-8ab3-1dc6b4dbb78c	0	0
2c2b241a-36ab-4ced-9cf4-3194d0c1abd7	0	0
3fe6452d-0455-4763-a27e-be7023ef8bef	70	5.8335861111111118
f8475c61-4909-4d64-9537-96b51a7f9c05	0.594125249072381956	0.0495160486056064053
bdeb1191-9be2-4ed2-9bc7-d103fabd280a	0	0
6d6c32b5-9061-4e2d-9d05-cc5d2baccbfb	0	0
20a19962-6046-41c2-9e39-ce3669784fd9	11.1837229437229446	0.932082536026936137
91f58a1c-771b-4442-adc8-4f505ef22eb1	0	0
d4025bd8-59e8-44d4-bc5b-19484487cdd8	0	0
1a8c9050-8a92-4eed-ac8b-8495d49b0a23	17.1436818181818182	1.42880206406565669
0cc5e821-9955-4406-abfe-6cb3d625228e	0	0
74efd87b-787e-4a88-8309-258d60a2d852	16	1.33348444444444447
c20380f4-1f64-4bfd-909d-1c25cbf79864	0	0
8bab1da0-fae7-42c0-bd96-c203c0d52e73	0	0
3286aa84-d369-48ed-8914-448ded87fe89	0	0
859e2361-f51f-4113-b365-64f0e5b85808	0	0
9bb2c2ff-d6ec-4158-af52-e05e1f4b556e	0	0
42a5cadc-f30a-43b4-a9b5-1f3b7c3239e0	0	0
d35fb4ce-c0eb-42ac-bf89-f54bfd62851e	0	0
aae45774-461c-474b-a9e7-660d67feddc1	0	0
cebac83d-6b13-40eb-a809-86c3cdab141c	0	0
9a195b30-65ef-40cb-937a-d676e19a1a75	0	0
40cc62e6-7256-47d1-9039-3970f8adcdf4	0	0
5a169ad6-bf1d-4945-88f4-0af727336469	70	5.83399444444444448
1dc06877-d23d-4a0b-b0b6-66cb1971756a	0.594125249072381956	0.0495127479097782208
43911392-303f-4422-b8df-6ef4f837f30c	0	0
6171ee79-34f7-4dd6-a32e-c765fa716e5f	0	0
4685f12f-177d-4eb3-a3cf-f91e0a579564	11.1837229437229446	0.932020404232804189
906d0517-a76b-4a95-bb40-c914f712cfa1	0	0
22176bb8-37fb-4bd1-9585-0510ab5d5048	0	0
5863d8d9-6259-441d-bb56-f268b92f4555	17.1436818181818182	1.42870682138888871
139bd197-3673-4e9b-9eb3-5b650849f37c	0	0
6e057ba6-f404-461c-a87e-6ca855d1d485	16	1.33339555555555545
0b437abd-b9a3-4587-97c2-da630113ee77	0	0
5335139e-974f-4edc-b0b3-47fcec88e947	0	0
42e24dfa-4f80-4d1f-b18f-9d2ba4b8c5d8	0	0
83e77a04-40df-499a-8d87-b4c6d806aaf5	0	0
40391243-2359-435f-aecd-0f9c89be559b	0	0
fcbc5abb-60ed-4224-aa24-bd5d1c5ea52e	0	0
10b382c8-344a-4919-8473-ead68fa0c7d8	0	0
253e473f-790a-45ed-a43c-3bae3eabeb02	0	0
71dbf462-2607-430c-975b-f436a3978522	0	0
38686cfe-3876-4006-b992-70117f72ff74	0	0
f1e0fecf-3ca1-4bd1-bb7e-3d323163a551	0	0
f158e1cf-f9c9-4806-907c-343af5a0a56f	70	5.83360555555555482
9ad29f3c-343e-4b21-97ed-8c28cd6933a1	0.594125249072381956	0.0495119227358211747
c3453f53-57b5-4e35-afb0-9e37ae070e80	0	0
f1d6774f-db70-4552-b4dd-bcb4a4b11ff3	0	0
ffeb8c8f-cb8c-46d8-9e9d-10be7dccfd9a	11.1837229437229446	0.932004871284271341
43bd65ff-435b-4e21-8a31-2dcaa5861045	0	0
ea944c2b-aa1a-42cd-a28d-4a69b735e8dc	0	0
ac70d485-a3b0-4192-9efe-207c02135a0e	17.1436818181818182	1.42868301071969683
8bf845d8-04d8-4004-b271-a3c064eca845	0	0
e969d681-dd0b-440e-8000-c1190919e646	16	1.3333733333333333
8d2f17ff-3829-4627-aed8-697b734ad288	0	0
49ebd9d8-f4fa-449c-95a2-dee38e5b5820	0	0
c9a38fb7-a2ec-4759-a5e6-ec6a4f7b137d	0	0
672cc230-9e2a-4f66-9912-cdadfa945e93	0	0
952fe844-ecae-4a27-b933-04d33f72576d	0	0
a871f70a-94c3-48e0-8646-4cae5cbc88b3	0	0
0a6bfef1-3da8-414a-8632-fd70bfb00342	0	0
f3ec9ce6-9987-4091-bf9c-7b5c834aadd6	0	0
bafc8176-8dcf-4f70-b332-189258db3d53	0	0
d125dc36-250b-4a90-9f25-db7b9ab3f7b8	0	0
cd1b95bb-4f0e-4043-b6a6-e1157ad6a898	0	0
92090831-97e3-48a0-8253-4823903ab59a	70	5.83350833333333352
2c7ed266-8a31-42d3-b59b-46933d7201ec	0.594125249072381956	0.0495132430141524485
d46345da-12ae-43f5-a50b-baece65e2ff9	0	0
022fb0dd-c8c7-40ba-af57-202c4a2d4a32	0	0
f23e2e12-7cc5-49b4-8d04-3d92d1f4b2d3	11.1837229437229446	0.932029724001924076
708d17b8-d97a-4e12-8680-767e00bff9ea	0	0
ee1ba0b8-8cb1-48f2-aab0-1958cbac1dc8	0	0
3878bbfb-5da0-4020-a156-dd2a67084597	17.1436818181818182	1.42872110779040407
b1faf7d5-481b-4172-8890-942d9c409485	0	0
cd3f8566-7495-4410-9030-d0f4f0ae84c0	16	1.33340888888888887
1efc2317-9fa0-4110-b4c1-02505f715326	0	0
23809f63-0a1f-4e3c-a837-07d3748216ab	0	0
6f02b488-48fb-4c5c-987c-6bfea603bd7d	0	0
b32070de-2602-43fe-8979-70fe2767b2be	0	0
65766937-04cd-4eed-b296-a733c3d73908	0	0
4db80484-4459-4f25-86d5-fa87b40917dc	0	0
9e7f5732-d798-4e9d-84c4-267cd3ed9404	0	0
59ca6d77-e6f9-4e71-9dd7-44830e64c291	0	0
385d83ee-de8e-4bbc-a594-8d26f2ce8c81	0	0
25fea037-e25a-4d36-94cb-bd9374b8c8a0	0	0
42dc7453-55b0-4d9c-8f8b-e5077d14b790	0	0
a987a36c-4047-446a-8359-3f532784c234	70	5.8336638888888892
5502d1b7-22d1-40ed-b11f-62babf2e684e	0.594125249072381956	0.0495145632924837223
68c72c20-ea2f-4835-846d-fd0d6b7ec70f	0	0
cf68b7ef-63b5-4aa6-b14a-a08da77795bb	0	0
13944afc-7f3e-4cac-b660-6fd8b6e5d9b8	11.1837229437229446	0.932054576719576811
4224ea94-c5fc-46ee-9058-d85a58017ab8	0	0
09878405-776f-4f2e-9337-3b69f557b29e	0	0
21d9cf42-f892-45d9-bd9a-319fb865cab6	17.1436818181818182	1.42875920486111108
83b84b56-9137-4785-8fad-5b282b47ed54	0	0
48b21a9a-e065-4b20-9603-f1615ba509a2	16	1.33344444444444443
9fbc3cea-33a8-4afb-8f0d-31035b3b2500	0	0
940b801f-3837-483b-a93b-cc14adbb4f2d	0	0
b7c37c96-b962-4fda-93e8-e3535de0c30a	0	0
00fd2e7d-b5c2-4c8c-a4a5-9f039e8dd1c8	0	0
e460d8dd-9266-4faa-8099-64570a2b5d88	0	0
b4a07fbd-04dd-4f01-a79b-71edcdbf3b6d	0	0
3ee8519a-0ae2-4a87-9c98-31bdd02d1b8c	0	0
d0930ce7-3e45-49cd-b6a1-8ac319e1fec6	0	0
c0f45865-c1fc-4228-bffe-c2267eec24a8	0	0
579de256-135f-4714-ab5a-b66602367e5d	0	0
f40d6be6-774e-4281-81fe-d94abb5888c5	0	0
a5fcdc76-6b23-4797-9a54-4b7b943b2766	70	5.833819444444444
8fb5736a-463e-462d-ac45-a2af4fe5b76c	0.594125249072381956	0.0495137381185266762
0d926594-a0ba-4b7c-b95b-6ae9291e356b	0	0
6fa087e4-f87a-412a-9d2c-5920b91dad71	0	0
0440890c-cccc-49c7-a03a-2cbfab91ff03	11.1837229437229446	0.932039043771043851
738db234-6378-42c7-95d3-eba2ddd68c0e	0	0
ada23773-e0e0-4b85-8313-93dc15f18df4	0	0
57a88feb-4c08-4dc2-87c8-2dffbfbadaf2	17.1436818181818182	1.42873539419191919
9ac9f73f-5dae-4457-b993-a7019523393e	0	0
d9c48c77-cd83-469a-982d-2cc7f954215a	16	1.33342222222222229
1b89f56a-dc20-41f6-aa96-829b5ded9dae	0	0
d66ad40a-126f-48f5-9dae-c06c3054ef7b	0	0
ea7d4d43-31bd-4bf4-a5d6-f031fb2086c9	0	0
14ca0a62-6210-4548-83a0-5b06b407b314	0	0
a41fdd8b-77e0-4d0c-b601-282b85fcfb36	0	0
3bb37654-315a-4deb-a7b1-54d5e9ae6c34	0	0
5b6d876f-8a35-436c-9b83-e40a42aa26d8	0	0
7cf208ee-ca26-4604-a7cf-cd3677892f26	0	0
5d01d019-b0e6-4ae2-a16b-51fd58b0c0c3	0	0
3a603730-a24f-4b97-8616-abc9ee136715	0	0
443a841f-034a-474a-9e03-ff4fe6815685	0	0
fe7aad91-f3be-47ed-b260-81afa8dfa03b	70	5.8337222222222227
82339b31-2c60-4c4c-b4e3-5c4c91687deb	0.594125249072381956	0.0495104374226984917
845f309b-4f51-40c8-bfe4-48512748f251	0	0
cc09fc24-b361-42fe-92c4-d2a8e0db3964	0	0
d880142c-8365-4586-939a-4a8abd7d9bfc	11.1837229437229446	0.931976911976912015
406e05fa-485b-4d01-b486-e02a28988560	0	0
7598054d-36de-4e68-be5b-6c92e3775a05	0	0
e9d4b3d2-afef-4431-bef6-b7a4e2dc2b7b	17.1436818181818182	1.42864015151515145
2f9645fb-bf11-457e-aa30-34829a9f3778	0	0
5904e8f8-bd98-4bff-a140-0f8fd7e97e78	16	1.33333333333333326
6a502990-34ef-4e9f-ae55-93d534892ffc	0	0
5e4f5793-6f3a-4273-9bc1-fff878a8ec55	0	0
8968ec8d-3d2f-4e4e-9d30-fbbd65c57f10	0	0
4c834c86-73ea-45d9-b937-c77a200ba746	0	0
44e5cd12-38e6-4fe1-b599-03115b2c15cf	0	0
1bb13eec-61b3-4f2c-8026-f03f916e0d20	0	0
eda8a072-5874-49fd-96c6-c4c9a3405adf	0	0
d481567e-5565-41b8-bc39-f60b72d6438c	0	0
46d36eaf-f37f-4a31-891e-a8bf464e565b	0	0
4b7457c5-2b89-4e5c-a0c8-e6b3b5d4f0b4	0	0
ede4bdbd-c677-494c-b728-1a7fd370efdb	0	0
d9b98709-a111-4ea4-8c47-c2abff55e601	70	5.83333333333333304
6a8ab7e0-f1f5-4e0f-9f8e-ae04b1858845	0.594125249072381956	0.04951505839685795
76d7399e-a6b6-4395-9550-7793823e6a50	0	0
00f1f616-59fc-4d41-aaa6-a829811196b9	0	0
72ac4e9d-a8a2-49cc-8a77-c2a673d2bb95	11.1837229437229446	0.932063896488696586
b7e6f6ef-07c2-4fdf-b5ee-9456b9a8ee28	0	0
f1d3a088-669a-4777-86f5-80dd405f9b93	0	0
3142dbb8-ae1b-472f-b162-20c0deaa6bc8	17.1436818181818182	1.42877349126262643
83b253b6-1604-4a66-b973-32deaa57552b	0	0
4e594fdb-02f5-414c-b555-45666f035110	16	1.33345777777777785
e617a1c2-126a-42a8-860f-8ff88fab1b1e	0	0
c572737b-e11a-4734-b743-79c5672ef04d	0	0
ecea28d9-7f71-43e6-a263-26799ba5d2f0	0	0
ba5d95d9-983d-4797-85a5-4286708ff587	0	0
6b62a1ae-9afc-419a-9ca2-fc6c3463f861	0	0
c0dc04ca-20a2-4c7d-b0a8-633146ead225	0	0
566ffe9f-8225-417d-87b4-351e622d25f2	0	0
ec1e4d9d-09d2-4411-8a58-0fa96763d4a6	0	0
c64b3a00-5600-4fc2-b39d-2066faf31a62	0	0
b9de8946-9f76-4e58-ab2d-1d25be927fef	0	0
2624d568-0623-4cbc-bd7a-80f91f524d05	0	0
b909e840-a8c4-4c9b-86a9-12bcaf3c8f9c	70	5.83387777777777838
8a5ac995-23e0-4c9b-9ea1-5ff389d94a54	0.594125249072381956	0.0495081269356187695
fa0caceb-37df-41ff-94e3-59941599cb4b	0	0
7b11ca17-74a2-4822-ba0f-041beeac0390	0	0
51478955-2511-4886-8306-9c0db5e4ac8f	11.1837229437229446	0.931933419721019729
8805dce7-cd16-487d-bd50-4d8b4175bcd1	0	0
6e201106-4b84-4ce2-a9bb-1e4cf3ef85e1	0	0
d7cbbbc3-a146-4e52-aee5-d274e79f097e	17.1436818181818182	1.42857348164141418
fb1d9e6e-6637-42a7-870d-a56974982b00	0	0
588e6127-ea58-45d0-850c-84dc622ffca6	16	1.33327111111111107
c5f67442-aaac-43ee-8a65-02ea856aa4a4	0	0
0e96d847-5d35-4f42-987a-bd80adbc75a5	0	0
024bc500-5d00-47ae-90d4-2ee5b96f50d3	0	0
73a3501d-aa0a-4e89-9155-c7b7edcc293a	0	0
19e07d5b-63aa-4a1c-8b6d-85d5cd94974d	0	0
f7b37fc9-1989-459b-b452-724075f86969	0	0
5825478d-1923-4ec8-847d-099436c7a8ae	0	0
fa74ee4f-bd6a-484f-bdb9-6d01431fe0e7	0	0
ca5da16a-9ca7-43d9-81c4-cb1ed06814b1	0	0
a4f8e478-f818-4089-a5b6-99dfd30bb25f	0	0
69401163-1f18-46ab-8bc4-b4b4ba1e9434	0	0
c9446345-c231-4f6f-bd2f-a2e3a55b05e3	70	5.83306111111111125
223b9b6d-db31-48e3-8eab-ad6b97599c1e	0.594125249072381956	0.0495172038491462629
e8637d30-4d81-409c-8f85-48c2ff30643e	0	0
40be2d41-a46b-445e-aaa0-a9427ed219ec	0	0
194b3a22-8883-4c70-bdd6-c92757a7736e	11.1837229437229446	0.93210428215488228
732d6593-f5b3-46a3-94cd-cdd39252df0a	0	0
aded749a-2196-4162-b8d3-b1a452059480	0	0
45049455-bbd9-424a-abb5-44b6e7ec20e5	17.1436818181818182	1.42883539900252532
eadd4f8f-499e-4fd5-8a93-ef602d0e385b	0	0
e91d8cff-e4ba-4337-9ec2-230c5040861f	16	1.33351555555555557
de34bedc-0c67-4727-ba1c-b4a1d55e0c03	0	0
fc0a818f-f378-4aff-8203-1fd521536f57	0	0
9644b4f4-de16-4a2b-b976-1dd1c9e574a3	0	0
a62c4818-6fd3-44eb-a5c0-f803024a5a71	0	0
5cf88eb8-ce60-468a-bef4-e4d4335e36af	0	0
f4a9dd54-1f5e-4bcd-a202-5c37800f33d2	0	0
74bb4069-6186-4690-b01b-0471e630953c	0	0
6edbe60a-a810-4d61-a267-5f0887bace30	0	0
3fe389a3-44d2-4631-9c5e-60304cfe22b7	0	0
c3e07ef2-d229-4b45-ad61-8f8dbc0ae290	0	0
571fd258-f390-4241-aa17-53372c78c8fe	0	0
6ee1f57b-1a06-42a8-926c-4ef21c909de9	70	5.83413055555555538
eac7835d-653b-43a8-88dd-ccbdc774556c	0.594125249072381956	0.0495167087447720353
535f5686-4989-4c7d-8ed3-b08a1af6a6c7	0	0
d997fd44-03d5-4fd7-ac5e-5cc168e763c5	0	0
b9649946-ba80-4369-a5ae-0cb9b49b54c9	11.1837229437229446	0.932094962385762393
12dc52f1-5479-4804-a882-c827670b4954	0	0
baf5418b-b668-4036-a665-3f6e46734547	0	0
b3f55761-2965-4203-9dc6-cac92bcf9666	17.1436818181818182	1.42882111260100997
e2e1387b-3a93-4bcf-8a6e-b4ab654b6bd7	0	0
20f49519-c14a-478c-99ff-701cee9887b3	16	1.33350222222222214
4e4901f3-86ad-4c65-a8b3-d065f7ebbe79	0	0
ea29833a-b9b6-41cf-acba-c27fb1885a68	0	0
35bcb0bd-894c-4f20-8313-28a87983a5c1	0	0
3759def3-a86b-4a1b-b44b-e483f3c8ab43	0	0
91d7032a-8e79-49db-aa6c-197e88efc3f4	0	0
dba2320d-b32f-40fd-87f0-21aeaf152a1d	0	0
3a36064b-7728-4f55-a6b8-64d586aa70dc	0	0
cbe42ae5-175a-4190-92fa-a5065659b3a4	0	0
e41aa2fd-8eee-43cc-8cef-0a4d7519b6f8	0	0
74381d86-47e4-4142-8920-c394b41e4a08	0	0
0be99e1f-f444-4aa4-915c-135af3638005	0	0
4e53635d-4b74-4986-9d7e-a40f4b22eb77	70	5.83407222222222188
4bbaefca-201b-4992-8e86-8f7860b18b45	0.594125249072381956	0.0495127479097782208
960ce4c0-ce2c-4841-8f9b-879acfdc00f6	0	0
55116823-38e2-42aa-a11f-7850752c4100	0	0
5650473a-7fe6-460e-83b4-ceabd5c967d7	11.1837229437229446	0.932020404232804189
bcae44e6-6264-43ea-858f-003e27c39220	0	0
1a1221af-d5cb-4e2f-8333-a15314377d46	0	0
2d2c4ade-1bbb-46e7-a827-6e4ac4aef770	17.1436818181818182	1.42870682138888871
473d75ae-28c7-4291-baae-ff25a114887a	0	0
d1d52391-132a-42a8-a753-a1fab7a303bd	16	1.33339555555555545
8dca6acd-5d13-4bf2-b86b-a07d1db0485f	0	0
00d756ef-aa87-48db-860b-ccacfdc2e843	0	0
531a55e2-81da-4d28-bab7-a5b0bbd2e0f0	0	0
823c49ca-da95-4525-9018-71415b163cda	0	0
eebc9076-1810-448b-b387-1930af258e58	0	0
bc89f0d3-c26a-4fb8-8417-f8b8df5b60c4	0	0
229bbb13-e7c1-4d71-97f8-91a73ffc77aa	0	0
de674c4e-fdfe-406d-8c43-9c56ef7b79e2	0	0
d18ad6a2-a5f1-4433-9ebb-ce571051d238	0	0
de904e5a-2e90-429a-9a3b-8dc11eaa2e2c	0	0
d3690636-476f-4ac0-a27a-812645601c5c	0	0
89c0bf61-29d4-43ff-ad9d-9efc26842ace	70	5.83360555555555482
9bdf995d-0cc2-4fc4-a002-5ab087d33a6e	0.594125249072381956	0.0495127479097782208
f8f2d8b5-b4b2-4522-bbbb-94c8fb5ecc29	0	0
fe7608f8-124e-4a42-bf93-876a43e94721	0	0
02f98958-60fa-42c1-bfcc-e65f6e92f4e9	11.1837229437229446	0.932020404232804189
bd55b509-3248-4f8c-8916-458e14d042cd	0	0
2d3c3a38-e4e6-46d9-aa72-25d404af6118	0	0
12fe5705-a5f7-464b-a342-f22897e9dfb4	17.1436818181818182	1.42870682138888871
55f960dd-6688-4678-b104-f30da9ad786c	0	0
75969d0b-b31c-4d37-ba25-6237a57d0818	16	1.33339555555555545
e7101c43-6617-4a83-978f-2c20036bc360	0	0
db68a259-3479-47a9-aa69-ccbdf75ec8b2	0	0
462a0ef7-4adf-4460-9f49-3d51fe83140a	0	0
ab7b0365-f74b-46fa-9730-36e06f457efa	0	0
c69b2815-f158-4530-8efc-d25b6d987d2f	0	0
a63fb6b6-8c0f-4d0f-ae9b-c8f32dbc3b38	0	0
0199d13d-8cdc-40b6-8655-b54295746d19	0	0
6a1929ce-ad8e-4c8e-aee9-3be0828f3d93	0	0
f808ebd3-288b-4d13-8b2d-e74a74e31586	0	0
30e775ba-61b2-497f-9ed6-f3873e742307	0	0
120bd121-23a3-4257-a018-ce1cbd3aa840	0	0
e4ce615c-21e1-4ab2-8111-a04b40893774	70	5.83360555555555482
aa1eeacf-3af5-46be-b3c1-129af22718c4	0.594125249072381956	0.0495172038491462629
c73e840a-3a39-4b8a-b33a-134751dfe3a3	0	0
10e41184-0bdd-41d0-9237-ad2d785583d7	0	0
98a46832-cb13-421b-aa77-0eb9550dc53d	11.1837229437229446	0.93210428215488228
cd7b0f09-1d1b-407d-b03c-a0b6dfc90365	0	0
1dde40e1-19fb-4ac0-a613-fa9be0185942	0	0
5504b8b5-d7fc-4066-9053-eabb5a81a231	17.1436818181818182	1.42883539900252532
4ded3f0a-ca8c-4738-a00f-317cf123b5fa	0	0
e0c70a15-4fbc-4cb0-a026-ae6db3a2267e	16	1.33351555555555557
8fdce718-aad3-4ded-8cb6-49214ee4e5af	0	0
25055a99-a571-4ba9-8445-4d3dd6cef8a4	0	0
c24b50f3-cf59-4b21-a003-5895971670ba	0	0
fe4ff42b-9f16-42af-8d2b-81831e620086	0	0
6c9cf3ce-d0b1-4f96-9497-271cea83a1c9	0	0
2c2b5dea-e80a-412c-8f31-f44f83b451bc	0	0
5d47e0e1-19d3-4dad-b77d-ddff43d73f8c	0	0
c7cb3ed2-8495-4c31-a460-343a13ac285d	0	0
f49931a5-07ad-4ade-8a4e-48b56a6ced28	0	0
4d15fd59-e936-4064-a357-19996257221b	0	0
5cd30741-3e81-4540-bd4f-35a8dfae078d	0	0
a4021ed4-d15b-490e-9d68-e6f9d1140ab3	70	5.83413055555555538
e46b0c14-4e06-457c-96c2-e8078ea26efb	0.594125249072381956	0.0495110975618641355
12fa215a-b792-4bb9-bfee-403fd8e33a47	0	0
249e9406-2af6-4d47-a0f0-550b93110769	0	0
e612339e-bfb3-4ffd-866b-498e58480eaa	11.1837229437229446	0.931989338335738493
ab33e5f7-3e37-4ed1-9f38-f4f7f033b84c	0	0
32ce9ba2-947c-47fd-93c5-559076ac071a	0	0
14561147-2553-4fce-88b0-818eae573cdb	17.1436818181818182	1.42865920005050517
e4938fbd-ac7d-4aee-9c53-7dc1bd752a33	0	0
480442e3-0a67-492d-a0bf-d0fe6e8d29fe	16	1.33335111111111115
64c05db3-652a-4245-bb84-66e64adb5fea	0	0
5328f834-cedb-4c45-9c9e-995ef37a931e	0	0
d991701e-6e7f-445f-8d06-363ab16eaa8b	0	0
e79779a5-bc4b-4755-b5eb-242227f282e0	0	0
470c4823-4a82-4047-9925-340ace3b21a7	0	0
2ef4aaf2-1b0c-4c94-820a-f2a615bddb52	0	0
bf662d2f-4957-4057-9161-598e02fdeb6a	0	0
0fa8d951-f271-482d-a512-1709242819c5	0	0
8bbf1e51-5211-49b5-be5b-a55b0fd7d8d1	0	0
2cd7b7a4-2d02-487a-a949-9495d21b5aa5	0	0
29e8c996-dbdf-4476-a6de-35bc17914ff5	0	0
e1dcfeea-0d45-48a5-8d40-0d3ebcca83c3	70	5.83341111111111132
2964700c-f7ee-42db-92d1-cb76b8da48e3	0.594125249072381956	0.0495125828749868185
b7c77d03-3ad8-4d79-a442-b178f1700e15	0	0
10e3c9aa-1bad-4c04-994f-eb0794c033cf	0	0
ad79cd3b-9a2d-46b3-b792-e99f0963a7b6	11.1837229437229446	0.93201729764309782
16adc2c4-f5a3-4366-9445-e100ff48e110	0	0
746bb918-cbc8-4696-9a75-58cbe72312c2	0	0
acf6e209-d710-4994-bc8a-5a5a03c9136e	17.1436818181818182	1.42870205925505056
f1c36a20-7df9-4cad-be66-f76029289d02	0	0
e7aaa587-d519-4c9b-8330-6bb79acca946	16	1.33339111111111119
8007b074-fbad-4ba0-ab29-14b2fae1fa6d	0	0
4e5a9925-f2c4-4605-8d20-674b74f1ac5f	0	0
c0da51fb-b66a-449b-9f95-5a3595b0a21d	0	0
f8df9ad4-3967-48a5-a381-e68c10b6cfd7	0	0
93771163-31a0-4ef3-ad00-a92f5696c88e	0	0
bb9334e1-518b-4e64-a99c-4aee2973ad74	0	0
5eaf08cd-0812-4f65-a2b1-9e91f47c9c6d	0	0
49e6d700-b465-4d55-bd3a-790bb47449d9	0	0
2fba1c36-f617-4128-8d5d-259203b301c9	0	0
eecfe5a6-141a-4a89-9fd8-872c0aee99c1	0	0
58ed9842-dd2c-4532-a4f2-d6d5995c701a	0	0
15378d8d-5ca3-4646-b3b5-4469ae583acc	70	5.8335861111111118
03f28025-3cc8-4ebd-929c-f99c34909064	0.594125249072381956	0.0495163786751892238
ce5afb99-655a-43e7-86cc-c697cf08590c	0	0
f39841c4-b6b7-4b4a-9c40-9f226130bde6	0	0
01080af6-e873-4f60-a7a0-fb34dae193a4	11.1837229437229446	0.932088749206349321
a66fffd1-b718-48d0-bb0a-98a78edbe9c3	0	0
0292e747-0d3b-42d8-8919-9520ff2303a4	0	0
c6285351-4346-4db6-9896-2f3f02896189	17.1436818181818182	1.42881158833333344
688bf2e2-582b-4fdb-ab9a-30e55170a331	0	0
6e4ff26c-aeca-48b7-8e6d-2f04bb88bc88	16	1.33349333333333342
83ca8754-0207-46d6-bbed-41cd08e13265	0	0
b73d231f-985f-452c-b6ce-fcf4bb312a00	0	0
d7f5a2e1-abd2-48ad-9b41-bdda71e5ccdb	0	0
c546d22f-5d47-40f7-bd2d-715afdb4daf9	0	0
e658fe82-a265-48be-afb8-8d3dd9108210	0	0
726a8c39-1e3b-4224-8715-024f5ef44cab	0	0
89b46177-a029-4427-804e-5010c247a9d3	0	0
a6155610-cde3-4c1e-895d-204825030bcd	0	0
1fca5886-6e89-44a4-a796-b058f1570287	0	0
6454df9d-f315-4d21-817f-e8b7a12aa15b	0	0
778ca548-7514-4adc-975b-adce53065a8f	0	0
1490204a-8c2a-4f17-9893-9289cedab2d5	70	5.83403333333333407
ccc8d122-bf6d-4476-87a1-e721c50e82ab	0.594125249072381956	0.0495137381185266762
88244b7d-9181-4486-91c6-e4c72aff86fa	0	0
b2841b1a-5a2c-4c66-9310-0f01008dc297	0	0
bf6fd2bd-bf61-4beb-b58b-500f4021ce95	11.1837229437229446	0.932039043771043851
6f9c792f-aab0-42fe-9145-50d5679cef21	0	0
2ac94848-0847-43a4-9090-43f004228044	0	0
536aa9ec-f535-4c85-a2c4-8cc0f10aa648	17.1436818181818182	1.42873539419191919
01073552-4466-4837-a57b-94d1ff4e7f3f	0	0
3740dd1b-4729-4a08-aa6a-e9fd0c827f62	16	1.33342222222222229
86585b8b-3c6c-47ee-93a4-4dfb5237cb6c	0	0
b5e1d599-4893-4acd-89a1-604cd94e8c3e	0	0
09dbb85a-6b7b-4bc6-89d2-07653085c923	0	0
f794858b-7fd4-4bc0-b509-47130e6133d5	0	0
a80eb268-3d88-4d74-ad85-4c050d0d9010	0	0
e709460d-9fd4-4c53-8fbe-0abbf252c1c1	0	0
bdc54cc0-c6eb-435e-81a6-454cc6437db3	0	0
625259c9-2fc5-4d5f-b165-de29b3d0461d	0	0
89d37c02-01de-4bc2-9dfe-3cf78833b5f0	0	0
9b26e3de-0b99-455a-a9b1-e27dba7ed3ca	0	0
40c42062-a283-4e44-8453-e7aa5d0e528d	0	0
e50e6219-b3bc-4ab6-99d8-84f3a58d4438	70	5.8337222222222227
9fc4ab80-7f42-414c-8026-944f0ccab4f7	0.594125249072381956	0.0495160486056064053
eb62ee55-fb43-4136-947f-cd1e60e345f6	0	0
f38f248f-24eb-42d8-afcd-0562141e239a	0	0
e79133e7-0bc4-45b8-b0ce-499fe4f1e897	11.1837229437229446	0.932082536026936137
9d28b098-25a3-4a06-ac32-6972049bf874	0	0
d3dd3ff0-2c69-4328-b93a-39d9836fa503	0	0
8260adb6-bbf2-4504-a3d8-6eaad478cfec	17.1436818181818182	1.42880206406565669
f0aadc8e-984e-4936-91ed-244000998c91	0	0
429e9113-2866-4464-be35-22ddc74604a6	16	1.33348444444444447
f42f3507-daf0-4c20-bf1e-2f309e2785db	0	0
51581b52-3eb7-4c51-a059-a92939fbf0db	0	0
d199e504-e40e-42a8-8f48-e6fd1b747de2	0	0
85b20a67-43a3-4b2f-9bd0-140226070352	0	0
a0dd452b-4e41-42e6-a637-b25bf3fd3bae	0	0
c3df054b-d8bf-4922-bd0a-332c4cf10edc	0	0
28cb2add-78b3-4ec5-9bc2-6daeac00eca8	0	0
dce82f7b-80b7-4983-b8e9-2e3f2da0b5ab	0	0
161558a1-a04f-4287-b090-d8cf1a2c9a51	0	0
4f0b4172-1b7f-4084-966e-dec6d6939c5e	0	0
ca89b186-78a7-4d32-9e3f-065b0480d110	0	0
aab0855e-118b-4c40-bbc6-e7e760939f0d	70	5.83399444444444448
0703062c-0b1f-4193-a992-0acfbcb15ec7	0.594125249072381956	0.0495112625966555447
bf7a33a3-6a2f-4f86-b439-940ac0aae413	0	0
ff0736f5-a147-4840-a057-11c3c69b39f9	0	0
9fba7098-cb00-4d3e-bc26-a01705f66325	11.1837229437229446	0.931992444925445085
d531b0d5-d4f7-4620-a207-231cf7e18032	0	0
4b9a2be5-df93-47c8-8980-c04b34bda205	0	0
e8a98eb2-6a4c-4e85-8791-5dbdcf78f9fd	17.1436818181818182	1.42866396218434355
1b501f17-8092-418a-ac6a-10b884222fe8	0	0
66cc3af0-6902-48f6-aaf5-1c4c8a6435d7	16	1.33335555555555563
b5fd2d10-562f-45d9-bbe5-c60732e9dbd5	0	0
b6e66123-3d73-4a39-86ac-23e29cbaba21	0	0
63698e27-bec5-43e1-bf1f-54376aaa3901	0	0
34037f02-fad9-4aeb-a8f5-63506d94905a	0	0
d508b7d8-7838-4a46-9691-719d5359a0ae	0	0
7fa0293f-4c10-4d7e-8438-c2cdc920c5da	0	0
c5c6e82a-c65a-4109-bee8-beb4f32af6ee	0	0
086c1c47-6e40-4749-bb2c-07b071dde134	0	0
8e4186a7-353c-49d4-bbc8-637df2967718	0	0
cde5bacd-7f40-420c-ad6e-fbf4a5c68b1a	0	0
cbf46ba6-0268-4373-b657-8c75539e46ac	0	0
2bfd03bb-3a99-4a12-b2ac-b71065ba7303	70	5.83343055555555612
597934ea-ee75-41cc-88c0-2348456d77e5	0.594125249072381956	0.0495162136403978145
c9cdd15e-b67a-4422-b996-785457788ca1	0	0
a673c653-e8fd-4630-9cf4-2380ef4d857e	0	0
1710e849-bd7b-4e1c-bd8a-1a4e8f8b08cd	11.1837229437229446	0.932085642616642729
1cfbd1b8-2957-4a96-a6f8-c1b9e29b4f62	0	0
2bfdb354-f31b-45b6-bc54-16644db36cde	0	0
32ec6ae2-3eb7-4e84-872d-5c69937997f4	17.1436818181818182	1.42880682619949506
e74bad9e-a59f-4342-9559-4ba614b0d19d	0	0
1e53bbf8-b872-40b8-9a6c-63bfeea80b73	16	1.33348888888888895
35d4ed6f-4f4f-4396-9c52-26fd43c7887e	0	0
e121936b-dd0e-4442-90a8-13132e3817a3	0	0
48738e23-af40-4bc4-8b8c-f5c080f76874	0	0
87908e76-21c1-4c07-9355-623215e1b988	0	0
f0c12edc-4dd9-4f53-ac60-580be9bfb959	0	0
13dece32-2ef3-482d-8786-e0ec68f9a27f	0	0
7e295c9f-09c2-4f5c-8ce0-e18d398dad3e	0	0
eff63acb-9d34-44ba-bd03-fb3fc48d8ea7	0	0
fca95094-593b-42e4-8a82-7f2618d79794	0	0
d4ffe0ff-e073-44e2-94c1-517638a9410a	0	0
8d050a22-77a9-4061-a79a-1c5cdaaf6fcc	0	0
28b98b5c-2132-429a-83e0-9680c4fc7b5e	70	5.83401388888888928
5e5db999-2264-4a71-8582-6800dec2d19c	0.594125249072381956	0.0495082919704101787
0638e524-104b-4c6a-abe7-ff0ee4a25c0c	0	0
b2b49ef5-d70a-40a0-a1d2-7b1f7a16da5a	0	0
e6f32dcc-8987-42ad-b47d-7d0ffef30c54	11.1837229437229446	0.931936526310726432
a6ad9f33-e9ad-455b-a5fe-c88174d610d9	0	0
71cf811f-14a1-4794-ba1a-3eff6a6365f7	0	0
955391b5-b507-4e16-94c1-96165b036f26	17.1436818181818182	1.42857824377525255
e0f60267-7f85-487c-a9f8-31b59371a847	0	0
5c19ba2b-52f9-4f89-b6b0-32c639aa208c	16	1.33327555555555555
3804fa80-1bd0-42d5-848a-1b15e43d144c	0	0
07b624cd-64ee-4374-b667-6e9ba7a41510	0	0
eff46c4c-cc01-4b8b-9da3-7fec7f449daa	0	0
8abc6bdc-b1cb-4d13-857c-1c25b07b4fd3	0	0
7c5ed4f2-0c55-4cd4-80eb-30c7e13c15c6	0	0
fab358b8-8177-4949-ae63-8329e456acdc	0	0
c00029b1-152d-4c7c-8164-0fb5b14eadf7	0	0
0b6842d2-8816-4776-bc5c-479211c8c213	0	0
3bdbe1eb-ec98-4a27-b307-1ccb3efd1663	0	0
bbfb1a44-b207-4524-a503-bbd0de98acaf	0	0
26cbb207-bf50-4b22-b328-8509241ed65a	0	0
fb80fa91-80b6-4010-b07e-ac02ca9c3404	70	5.83308055555555516
aacd79b1-ca3f-4f43-a490-6b09c416b2d7	0.594125249072381956	0.0495162136403978145
0d16695c-5229-4f74-a24f-dcf75bbaba04	0	0
5f714a74-3f8e-4fad-a8c6-a58dbd72633e	0	0
4454912c-7b6b-4a23-a488-61acac3b70d9	11.1837229437229446	0.932085642616642729
f0bce3dd-6cf8-4811-8099-c3e3aef797e1	0	0
3eab563e-7e0f-42e0-bc76-a2db8add82e3	0	0
69a66b67-a5f2-4a22-b88d-a01cfdc371e8	17.1436818181818182	1.42880682619949506
ebdbb578-6afc-4395-801a-83efa4ab08a7	0	0
857eadab-adcc-4ed9-9184-71ac1242da34	16	1.33348888888888895
4a98c0bf-7325-490e-b833-4318c6e47887	0	0
3a38fe7d-ff26-4a1f-9432-990862d917f6	0	0
6f256fae-8bc0-4040-943d-e093099403e7	0	0
e9026c96-a25b-41ad-81b6-6155a016e6a2	0	0
635828ae-4b5a-4d06-a5ff-a422347f4b25	0	0
6c6081ac-d459-490d-8880-be3ddae31ebe	0	0
e2fb7426-d4de-4ab7-a13c-5d796ad785f0	0	0
ac3224d6-07db-4fa0-b3e0-e8cc66d65ec1	0	0
87df19a0-91ce-4a20-8464-605c7e40513b	0	0
92355756-3624-41be-bfd8-cbf9cc4ddee5	0	0
5cd99426-717d-4bcc-933a-25c246e7ad84	0	0
5ae84652-ccf4-447d-ae5e-a118b17812c3	70	5.83401388888888928
24018e54-d868-478d-a325-d7ec849aa478	0.594125249072381956	0.0495160486056064053
24566aa8-ae3f-49a7-9051-fbf68e441bf8	0	0
94557884-5b76-4593-a57e-5db4c87d10f4	0	0
af16ad28-3db0-4645-9acc-41f20f5d4c32	11.1837229437229446	0.932082536026936137
eafcb7d1-ebf1-4a43-b862-f76febcc9d76	0	0
0d62a82e-b29c-41e3-9def-81618bcc1224	0	0
1c58866a-8143-4813-a7e1-36b26764ee6f	17.1436818181818182	1.42880206406565669
c6952a0c-3b2d-4fc6-82c8-a14e0e5de873	0	0
c4af7a1f-1650-4cdb-b352-f40b94c8cb77	16	1.33348444444444447
2351d29d-db14-4588-990f-d78ac00ecc9f	0	0
7779c38d-a1fb-4d82-b3b4-7a965c9dc7a1	0	0
b01a37b1-2d24-4125-a411-6e7977ce3ac6	0	0
949ecc2a-23e6-45fe-a41b-f8c4fe19bdee	0	0
e2933969-991f-4e07-ab99-dcdf442a5cd4	0	0
84fcb23c-4d47-433a-94a3-251453019ae1	0	0
548f7c9c-ede8-4823-96ca-5ff23ad3d7de	0	0
c8c628ca-56aa-4ffa-b518-ac81b98abd69	0	0
ffd2a319-ba8e-43bc-9ab0-2c993662b237	0	0
54c8a677-8b93-43bb-b978-0133d19a29e7	0	0
aad5d953-22a4-4b2b-aa36-9a8cc4f0d60c	0	0
ae7e3242-add1-4056-ae0a-0247f88e716b	70	5.83399444444444448
0309e6ef-6e12-429c-9393-ab871dc9a828	0.594125249072381956	0.0495142332229009038
ec517197-9ad8-4eb0-8c88-eb7c2d0f5ef1	0	0
c7783c3c-73cf-432e-ae39-e151308961eb	0	0
d37e0ab6-5f94-49fc-875e-f9794b6cc8ed	11.1837229437229446	0.932048363540163516
b2af8444-7a9e-41fe-838e-46b809dfdd29	0	0
fdd8810c-243e-4a77-ac54-a19405cb3d04	0	0
d6df8953-7fac-4eb1-aa14-26f5b6aa55bb	17.1436818181818182	1.42874968059343432
3ab7281c-845f-4c5c-9ca5-ea0a1da58e19	0	0
acd4c90a-5eed-43e8-a90b-d01dff3f8a2c	16	1.33343555555555549
d3a7769e-01f3-4b72-ab15-e699694efee9	0	0
98115002-e752-4537-89ee-97db6e5a1de2	0	0
0ca59786-f97f-47a2-a5c9-deb0d0829f4c	0	0
5c7744ab-9564-4cb2-855a-d8da675f8383	0	0
7622592b-7c5b-42b8-b5d8-4c0d1a95f749	0	0
062aad29-e306-4ed7-8db1-73520115b9f3	0	0
acbc57d2-d58c-4824-a90f-2c88e281646c	0	0
d1c76f17-26e6-4bdc-8cf3-c85453129785	0	0
2431daea-e460-4d94-a264-0c270508da8f	0	0
51394c70-25a8-4d65-9e3a-8b344fbae3b4	0	0
76504c75-d3ed-4ab1-89d9-d8c2f0984f6c	0	0
b8f7e190-9eb8-400c-a111-438d2438fec9	70	5.8337805555555553
77f00a11-c800-401f-b294-0edd6f894f6b	0.594125249072381956	0.0495119227358211747
b8d88848-4ca1-42e0-88cf-09cff9c501a9	0	0
34f42d3e-3bad-4dcc-92cd-06b8ccc4de78	0	0
d49bd032-51f5-4e8c-b17d-743ede3faf12	11.1837229437229446	0.932004871284271341
47c2a80f-99c5-4932-a619-61ef83e212e2	0	0
ecbdc9d9-9cac-4058-97b0-bd4572136242	0	0
43842631-8b86-4689-9997-8b0d607a96a6	17.1436818181818182	1.42868301071969683
1112ef74-72a1-4201-ad63-35aab85d0339	0	0
79b050bc-971e-481b-8ba0-5f890d9463a7	16	1.3333733333333333
e3a477a7-9382-45ac-9768-6c93485a8f89	0	0
d02da87a-b54b-4119-b277-20804cbdcb08	0	0
5be0299f-bcac-4c64-baff-b591280aa3a7	0	0
e779d7c9-3c77-4ddc-965e-a1772129eb75	0	0
04f2c327-2d25-4cd3-b8c1-8f8150117481	0	0
188c815d-e5db-4e71-8e1b-cfcc6c825e97	0	0
25284a03-2d91-46f2-a9a9-fc083c7c24f6	0	0
af9a935f-7e12-4eb0-94dc-a00c3d1d9a0a	0	0
fd40ad67-99c8-433f-ac0f-3e920e537886	0	0
e86705bc-0afb-44dc-902f-8546966196fb	0	0
a7cc9c78-f7df-4fab-9ba5-47c896f5a184	0	0
2eb07c46-6b9d-46c0-bc3e-eb8f32d2be23	70	5.83350833333333352
e3e31fd0-196b-4e67-b66a-a4e9d99d8875	0.594125249072381956	0.0495152234316493592
345b45bd-6d46-46f5-8f1c-d9f5413ff185	0	0
02f469d9-279b-4d33-8f62-86f6160f922e	0	0
99b6a16e-63ed-4741-9dda-900255200c15	11.1837229437229446	0.932067003078403178
aead1798-dc65-4614-8192-05ff710e39f6	0	0
e96f42d4-4acc-45e4-9303-0691d97bd6ae	0	0
0843d28d-26f0-4842-b577-9c6f4597278b	17.1436818181818182	1.4287782533964648
5da1f0ba-531d-4f7b-965c-8f3e179f80a9	0	0
523bf746-0bf6-417b-bd35-81f72a888917	16	1.33346222222222233
993bad3b-539b-4cd0-81e2-6835da5eb773	0	0
4d4e7cfc-483e-4f5c-980e-f143dd27a76a	0	0
79e522dd-d6ec-4e9f-8b54-0ea050c573d8	0	0
891958d8-da9e-45e1-bf3c-528a378639e5	0	0
7586311d-e5af-4ff7-a22d-96d6db87908d	0	0
510b52dd-b4a8-42c4-a70c-701bc440d736	0	0
52371296-7728-4598-a3bd-e5069e08d7cf	0	0
2a0eceb9-3f96-4fdc-b8d1-1f6510beac19	0	0
5f4d9005-fb2f-419d-a5a7-384122cb8df6	0	0
93541b4f-e989-499b-a5e8-b71a2639fe7f	0	0
7681f4bf-21e0-4481-b2e4-b09f044aab64	0	0
069980de-b24b-4e1e-9a70-7ae036469aca	70	5.83389722222222229
c9a1047d-7fca-49d0-88e2-7c484b254c11	0.594125249072381956	0.0495112625966555447
bab36c2a-b4b3-4b2a-bbe4-3b27df62beb8	0	0
bc27f7e5-9b31-47c1-86a3-66c621d86db4	0	0
05b27cd1-ad71-475a-954d-546e43422f11	11.1837229437229446	0.931992444925445085
5d9c0b5d-9d1b-42cf-8b3c-9f8f896f820d	0	0
df1c7178-9696-47f9-b45b-040d6bdcbeb9	0	0
b37762db-bbba-47ba-a90d-f268b35cf55d	17.1436818181818182	1.42866396218434355
73c42bfe-9764-4199-83c7-326c852964b8	0	0
04584b13-c326-4259-a543-41353258ef45	16	1.33335555555555563
f1d4f9fa-a68b-4de4-9c82-667f8e96126e	0	0
19fbb8ca-ff41-4431-96f1-77bc711c656b	0	0
2a368220-d970-43ad-8daf-1d4336f7b0c4	0	0
a1d3411a-104b-4b0f-b41a-258145ecfadf	0	0
d59cd69f-a308-497e-a964-765203b38b45	0	0
c8d9202d-7172-4102-8be0-509180a8cec7	0	0
fd6149b9-da65-4a0e-aece-80be5095ebb8	0	0
65de5b9d-042c-481d-a4d8-1693cfe31040	0	0
c7b8452f-e6e9-4532-ba58-117a91d0f005	0	0
5b2e41c9-22af-46d5-8761-6a2effdc20f1	0	0
f09ddc68-a9b7-4729-b64f-1ceab212eb3b	0	0
d2f2504b-91ea-4690-926f-7ab07ba11403	70	5.83343055555555612
2646dea0-f5df-4a30-b106-e051b564167b	0.594125249072381956	0.0495142332229009038
3d2caf48-c77f-42fd-8074-e63fba3cd3b7	0	0
3fecfa72-39cb-4d70-bd45-e1eb7056ef06	0	0
49f39288-d5ac-4e9a-8e32-0d5531e72006	11.1837229437229446	0.932048363540163516
77e8de96-15a7-40c5-8438-760e03f17a5a	0	0
53270f46-978d-4b78-87e9-5dee9c3e4bab	0	0
7d0658d6-6b51-45b2-8e38-d1bb4b1557a7	17.1436818181818182	1.42874968059343432
13f2495c-f0f5-4d58-a729-c39a25f6aad3	0	0
5c06dcd8-3d9d-491d-88d9-128a9d656179	16	1.33343555555555549
d2f951fa-a447-48bb-b931-3299a0bd3331	0	0
21d85518-4d16-4c42-8fef-aaa63524535e	0	0
a10166fe-a1c5-4bbd-93f1-fbd94db06900	0	0
b6fb622b-c89d-48b6-8c7e-7b00cb72497f	0	0
79d5e505-d99c-4a19-a636-05770f595160	0	0
81e18441-3eb5-4dc5-b9a3-4404ddb38459	0	0
e5ca5085-3c09-4123-8e64-c6e67894824d	0	0
2440aa96-c1a1-4cbe-9433-27b7dd56af80	0	0
0a8eee59-ee51-4abd-99b5-9982e43019cf	0	0
0b118da9-ac8e-4afa-8244-e25d79144d63	0	0
7b974906-e5b7-461b-a7b4-b3f48430d866	0	0
f0fcd23e-527e-472e-9ca6-49d54b79ce3d	70	5.8337805555555553
54c87100-31de-4d8e-8016-66974510b57a	0.594125249072381956	0.04951291294456963
c7664c53-c2a7-4b25-ad40-f2432f843f7a	0	0
1b5b10d1-6396-4620-a327-bcf35adc5f46	0	0
2fccae7b-79f9-4b68-bce5-3dead6afb447	11.1837229437229446	0.932023510822510892
ed98309d-2baa-4d5a-8689-5ea82b414a4d	0	0
16bd8717-7acc-4593-86d2-2c503212f13d	0	0
0de2aca7-10b0-4e73-9546-37a98b037896	17.1436818181818182	1.42871158352272709
1ac81e38-8d29-4f76-a17b-2a63c250d9cb	0	0
932c0fe3-a9c0-4969-8426-7cd8ac3f41bc	16	1.33339999999999992
83a181c9-58af-41a8-84b6-451a8881fed0	0	0
688042df-2f80-4103-a599-5565209069eb	0	0
091fe77e-cade-4073-87a8-ffe016d7108f	0	0
90cb9dd9-c839-4823-9a92-d9ed9c9ddf7c	0	0
0e1fe335-33de-436c-919d-ac9bc0693a41	0	0
8d74957f-b24e-4400-9450-37d00d512938	0	0
200b93cf-7f15-48db-a013-c0ab3b2d0959	0	0
b66c64c1-9fda-4cd2-afb9-9dd593099f62	0	0
f53307fb-5624-4cde-a2ee-edd80573b83f	0	0
f9377cb6-a698-488a-a8de-b9767806b71e	0	0
6e021fbf-77ba-4893-aad1-fda31dd73041	0	0
45861804-77b9-44ab-9796-efec4f34abcf	70	5.83362499999999962
2135083b-fb29-4155-a47f-a371386566ea	0.594125249072381956	0.0495167087447720353
c259c1da-a3f9-469e-9e65-4dbbd5c3d3ef	0	0
4a2e5138-0370-411b-ab01-c7d23dc23ff7	0	0
fa33a874-343d-466f-8da9-3ba7b59c833d	11.1837229437229446	0.932094962385762393
6c6a20fa-1f2f-4641-8e27-d7ced6680048	0	0
60246741-c255-40d0-9414-34869a92cf56	0	0
742b3a02-0acb-49d4-b7de-d159e4c77f1d	17.1436818181818182	1.42882111260100997
2b8474fb-6b2d-48b1-a09d-e7ec498c0e70	0	0
9744b386-279b-4731-901b-739ca23ff31a	16	1.33350222222222214
1b35372c-df9e-4b47-838c-55ffcd2c0545	0	0
8d1e0fae-a42a-4de5-8d1c-dcba269d30e0	0	0
99ff6a41-50b1-449e-9049-b93d47ab0208	0	0
4862a197-fbe8-40a4-8230-f544fe0c0010	0	0
d5504b37-0771-4e0a-aea7-4d73a2748db2	0	0
8f32b2af-4a91-4a31-9a92-212acdd2517f	0	0
d21b55d9-5044-48ff-a074-78e71603c89f	0	0
a492f7ce-7061-48ff-b73e-f882b5e1f6fd	0	0
9ec310f3-cd33-4768-8815-b9749608b101	0	0
e66d9946-9cad-4e52-beaf-009e757247b0	0	0
09af6062-d912-4186-beac-b6a8a9536d03	0	0
d4e37a2d-286c-46e5-890d-de8aaf91c99d	70	5.83407222222222188
6002c9c0-f549-4d0b-ba6a-531f09c3f644	0.594125249072381956	0.0495122528054039931
9f3ba3a7-d74f-4e9a-bc44-a68a2f2e989d	0	0
ba084920-c550-45e2-b08f-44e2e8da6f58	0	0
786c2713-a915-42e0-94f3-d51c272be64f	11.1837229437229446	0.932011084463684525
8b2d83a8-4b4c-4a7d-aa2e-ed29e1ec8f8f	0	0
2475db9b-28dd-477c-a5f6-b39d629d6757	0	0
367de335-1910-462e-b61b-a907ff711215	17.1436818181818182	1.42869253498737381
762019ce-4735-4fed-a9bc-559b6f6e5018	0	0
63e7214f-9d2d-436e-b359-b5ec1a596492	16	1.33338222222222225
5448ec47-4cb7-4288-bf58-089158ae1ad9	0	0
bd9f200e-5876-4938-96bf-b77ae3b9b187	0	0
402957a1-5ad3-4355-8217-675ca021e79a	0	0
5cdba73c-4e4b-4d93-a1e0-92643a2137f1	0	0
d475e4e2-0dcb-4919-80c1-01a50baa52ff	0	0
10347d41-fabc-4c3b-a054-0294e93a82dd	0	0
d3d34793-44ee-44e8-bfd5-4ee1dedbf6b5	0	0
e36ba00f-ee67-42a8-bf4d-7d8b61d53dd7	0	0
7afdd0d2-3eb8-4d33-bae8-09cb18a60cbe	0	0
e47014d1-acb0-44df-8f05-4dbf21d6e254	0	0
fbdf52d4-4ac3-47dd-8122-142dda6da50e	0	0
5df7e42c-0947-484c-afbf-c641b01106f2	70	5.83354722222222222
a69a09e5-8fff-4d54-9d88-b0bf4596e642	0.594125249072381956	0.0495145632924837223
fe22e215-2d16-4f5c-a951-1dfe87069f01	0	0
d213cd97-4d5a-4465-8863-ef48ee1ea39b	0	0
ca9b5cd4-f441-4b04-a856-7e0d4508934f	11.1837229437229446	0.932054576719576811
b63faada-be63-42fb-baf6-76b4c2d12091	0	0
7c6e7c6c-3e89-4bd3-bef9-65b7757fd601	0	0
4dd1167e-e43c-4919-bbe0-c78cf0fb0ddd	17.1436818181818182	1.42875920486111108
fdce82c6-3e79-4321-8f5d-27208ac66a1a	0	0
859beca1-aca9-4c19-bf6b-a93b32fc0a62	16	1.33344444444444443
96b05991-06cf-4213-b2ff-6df055a00206	0	0
9c8bff6c-2cc9-4b1f-9700-8bbbd41bec71	0	0
17d0495f-ea71-4bcb-8940-d9fadf7ba1cf	0	0
ffcea457-332d-4ae4-871e-ac73d24ef683	0	0
ed1338d0-935e-4253-b8ff-39f1ac03e76e	0	0
514cddb4-2ff8-43d5-8084-9410587b8fe2	0	0
a3444ad2-1fd9-4333-beff-d2919392fd19	0	0
fa631791-5949-48fb-bb29-1971d7cbec3f	0	0
181b4fd3-63ef-4af3-bbc8-83c0a314415e	0	0
321ad03f-470c-4d29-b954-635b9993fe63	0	0
f86386a3-37e3-453c-9644-dba7f90a2c11	0	0
46b75622-d199-44f4-b857-a374dc39f435	70	5.833819444444444
ad91e6fa-7079-4143-a084-59711f7abfad	0.594125249072381956	0.0495153884664407615
b7e753bb-7fd9-4a92-846b-2eb3b7c15900	0	0
f5f2951f-74ce-41c6-a513-d8a66f38a289	0	0
28da7604-bdd9-4bb2-9510-eda3ae88d925	11.1837229437229446	0.932070109668109659
04cb1cad-a7f6-4fb9-894a-7154c10f8c58	0	0
ae7744e3-24b5-490d-b4d2-4d4f461bf610	0	0
4f7bead8-bd64-4287-bbf8-4d846bf03c99	17.1436818181818182	1.42878301553030296
95053029-d413-4648-a407-bb3917f161db	0	0
db770a38-c5e4-4044-8dcf-a5e16c9b4376	16	1.33346666666666658
35f69dc9-ff00-4724-be97-5a4c2e9ba29e	0	0
17cdc2a9-0db8-4d2a-8c24-7d5a9e733be2	0	0
f77b0799-e86c-4312-94a5-58f3baf43ed3	0	0
aad6f736-188e-4657-9f66-df521f092f92	0	0
12a6338d-b42b-4828-82e0-5dd7248a917f	0	0
1763ba56-abc2-4066-83fa-0a5d33c64151	0	0
3c51b4bb-2f4a-48a2-b8aa-d4c419a7055d	0	0
d870feac-1480-47ad-ad38-d6c84bfcd7c9	0	0
349e3c55-6f42-44b0-963a-c58361bfb2bd	0	0
bd88b40f-f7a7-4568-b295-1724b7eca9a1	0	0
a9c5fd28-ec37-446d-8c91-8897ab4e8f78	0	0
8d4f1892-48f5-4098-89bb-7e14d2949515	70	5.8339166666666662
75b63ab4-f76f-440d-9ff9-5bd2ff3c8933	0.594125249072381956	0.0495068066572874957
ac0b4a9a-0712-4e87-a2f4-dcb98848488a	0	0
66a958c7-638b-4a85-a491-93ac2a202cc6	0	0
18072946-ae4e-42bd-93ed-edb2526bee07	11.1837229437229446	0.931908567003366994
b9a63532-980d-41b2-b451-420d8607dcb6	0	0
6ea486a9-f49c-41fe-91cc-346614e1f7e4	0	0
434aba64-50ba-4c43-a345-c7ff3c413a20	17.1436818181818182	1.42853538457070695
236f3ff1-13c0-4238-93e6-bfa05b784519	0	0
a5cb2f17-0e2d-4e12-b698-73fa87c1899e	16	1.33323555555555551
8af2d88b-7842-4d28-9a34-e349d6445795	0	0
0faa313e-b12d-4889-b2c1-bbed9e02785a	0	0
63f61350-abe0-499f-81c6-a196ead5335a	0	0
d6f8e27f-0b82-4883-835c-b10285467de3	0	0
ef266998-9665-4592-9807-5c3c6e39ff67	0	0
7356bd34-055a-4973-a767-7928c58fbc8e	0	0
d9a80a99-2ed9-4f1d-a653-dd9f843284dc	0	0
74a0ff77-6880-4073-95c0-0965347ed36a	0	0
2e96bd7b-800e-4772-b487-61b12f4108a5	0	0
2e5c9de0-a67e-4b11-ae63-2b3fb59a91de	0	0
1aa1a69c-aa0c-4c27-83b5-dc7050b15537	0	0
1ba27dec-6b35-4d38-be4c-90b0c0d79a27	70	5.83290555555555557
e8b5e2a1-a0d5-4108-9ff3-96c6832d1ef8	0.594125249072381956	0.0495196793710174013
927f442e-82f1-4527-8461-5628dda639b9	0	0
bd3bb0f4-ec79-4bf9-acd8-e87ede920179	0	0
f9ba2cd7-6fb4-454a-9dc2-e1a6d1846bca	11.1837229437229446	0.932150881000481046
b7815d43-c8c2-4e00-95e5-8e924953b275	0	0
015cb9c4-a039-4a86-b071-b2223d90083d	0	0
8086b794-2169-45c6-89f8-fb4070b2382a	17.1436818181818182	1.42890683101010096
24f4b01a-d7d6-4a13-8fd3-68f654bb551f	0	0
1a714423-0f01-47cc-9997-5980153cdc8d	16	1.33358222222222222
f9d7577b-7243-446e-8bd3-fbb2f56bf042	0	0
c0eb9153-4201-4b1e-b77f-5aa329e0b419	0	0
58aa33ee-102b-45ad-9fab-0430f338075d	0	0
f323f1d4-2665-4f72-9775-1938bb5ae600	0	0
49e8b2ca-9079-472d-8d22-f3f2736ef92d	0	0
76dc3fcc-8ab3-49c7-be6d-d68f7aa81b25	0	0
d4c850ca-6ccc-4e3f-8bc3-f7bbd2ea14c7	0	0
95815884-d676-41c3-ba75-5cc71537a082	0	0
2bfa079b-773b-4ecb-b428-a83c091f2a11	0	0
25dab57f-f145-400d-9436-2797546340e1	0	0
d2da0d01-c4c8-4d5f-bf4f-4649262d9546	0	0
22472ad3-a619-42b7-bd94-7fed4486893c	70	5.83442222222222195
e53406f7-2d00-4d4e-ab0c-983da253873e	0.594125249072381956	0.0495145632924837223
f8db6f3b-f585-4eff-9db6-25e0f321281a	0	0
f35ae812-3481-42ba-8132-53592821e8dd	0	0
ee4d0197-2ccf-4192-94eb-62c2f0c1d10c	11.1837229437229446	0.932054576719576811
2c33bb27-11a0-44ac-a5b8-4ceb56e81cc7	0	0
847c0aa9-06c2-4bb2-bd7a-c0943aa02044	0	0
79a41551-e251-4042-b9f9-f2e6fffd6d1d	17.1436818181818182	1.42875920486111108
bc502c32-9d13-4601-ac9d-55c847cd128b	0	0
7ec93952-633e-4166-a918-89bf10a287b2	16	1.33344444444444443
3156932e-da78-4b19-93e6-6d5e01473f6a	0	0
3106db2f-9285-4ee8-a928-8d3f1399b31d	0	0
f0126b1b-a89e-4d79-8655-9e2e8bd887cd	0	0
8b5204ba-c5c9-4ab1-9514-8539b3418ccb	0	0
53ba8a47-bfc9-4d2c-a57d-0cd8b059546e	0	0
685f83dc-3ce5-4047-ad53-4d6976b6bf30	0	0
a80fc7bd-5453-4d8c-82af-1024cce85c17	0	0
c2d380aa-fbc6-4f73-9af2-37df948bd9b8	0	0
5f5b1f2c-33ba-4ec9-b773-900e98fdbffe	0	0
250ef9d9-cbdf-4708-8a78-605f30fa3361	0	0
6a302340-fd6c-4adc-913e-4113c48cdb0f	0	0
eea9ee41-b88d-46dd-896d-13114b9ae409	70	5.833819444444444
f255154f-3cfb-4f79-89fd-ac6ab50f9aaf	0.594125249072381956	0.0495115926662383563
ec4b9ca1-0955-493c-87c7-f66531d06bad	0	0
153292aa-8370-4a59-9b60-5036d61c87fe	0	0
d39ccb61-a82f-4035-bab1-f587ed908721	11.1837229437229446	0.931998658104858158
b38ec763-f62c-49e6-a37a-7dd7bdf795e2	0	0
6784f419-c377-4373-b791-743660835d42	0	0
25c4abe7-7695-45ff-83cd-bf6dd545f993	17.1436818181818182	1.42867348645202008
6256f704-6073-45b8-b42a-7eac2cfa2109	0	0
9eed2ad5-6a19-48df-a636-17e0bc9d1e49	16	1.33336444444444435
e20eb8ea-f6c3-4ba7-b1e4-d32d2935f517	0	0
4eaa2b7f-3d2f-4d9b-b7aa-711ae7c24ed8	0	0
1c3f0740-6e02-43b7-bf03-dd8c15a26571	0	0
3e8cf325-61cb-4b4e-ae44-ea8cbd4bb04e	0	0
03b91a68-c3d1-4b61-83e5-66bb8974acbd	0	0
8155a00b-21c0-4cb0-9194-3619f27f7fec	0	0
4b040263-923a-4e2c-b669-df7b20479fc7	0	0
dff10070-b565-4028-9fd4-8c19f52ffe4d	0	0
466b967e-82e2-4fb4-8a04-9981d1b728ef	0	0
fc7b5a90-8f5d-4e50-a4fa-502c1412715c	0	0
a8f3821b-cfea-4814-9f9b-e811adddad54	0	0
faad02d1-cdcb-4a30-b05b-78bd4e36a67e	70	5.83346944444444393
6f006ae9-0e80-4a2e-b95f-3cddc8c28dae	0.594125249072381956	0.0495188541970603552
08392747-0d19-4fc0-b83c-3e2cecbcd264	0	0
a6a42c8f-5573-406e-b8d9-6c696ec0c980	0	0
bd78aaff-9c25-45ba-a387-795765bba26e	11.1837229437229446	0.932135348051948198
7422cc33-e5f7-47ed-a0a9-ff0b6dcd04f7	0	0
ebca783d-e177-434c-809a-3019afe41741	0	0
58ba2926-858c-4b1f-924b-854ac28943e2	17.1436818181818182	1.42888302034090908
37d5e7d8-55df-4143-867e-aa7e11e7dfae	0	0
a718871f-0e53-4532-8f7e-3c2d5d03ae39	16	1.33356000000000008
ecfdfaf1-6e51-4dba-86e2-083dc6fb60ef	0	0
3b60c68a-4eb2-4f32-a8d7-c7136209d728	0	0
ac6a5584-2d58-4171-8431-a51d5238c394	0	0
e56f7085-7cd3-4566-ba9a-5cb3bb01fec3	0	0
a5eaef20-fae1-4065-a351-6cdd2d3e39c4	0	0
d0c7ef17-25e1-4883-b901-9189b28a4b11	0	0
e65a8bed-199f-418e-b2cd-e84a8edf4ee4	0	0
161c892a-1d3a-44ba-a696-5b9228365738	0	0
0b52578f-a427-4949-8b16-0ac7c457af62	0	0
35d1faa2-4ced-483a-b1c8-e1dc6d9c699f	0	0
c71dfe03-73de-4a18-b60c-200c7f56d053	0	0
929f880b-b212-45a1-bec8-88679177732e	70	5.83432500000000065
5605b547-34da-42f2-8ecb-22595abc7772	0.594125249072381956	0.0495101073531156802
c323e141-af43-465d-bd25-7e27b2e89ce9	0	0
eca80585-2791-41f5-93be-dd080d715c45	0	0
bc705710-d3e7-42d7-8c4f-d4f609ca572c	11.1837229437229446	0.931970698797498942
52538d17-0b6c-4ea3-a781-4e1e3c085f77	0	0
0b16f2c5-29d5-430f-82e6-7d68da3c4b2b	0	0
454920a9-4476-479b-9eb6-3b59d26aeee2	17.1436818181818182	1.42863062724747492
f2b3294a-100c-4108-acc5-11bb98700caf	0	0
1d511968-f2e2-4272-a529-cb8d9ce39824	16	1.33332444444444453
f6cfd74f-bfc9-4426-ba63-1b20b5cc758d	0	0
1b69f700-39d9-461c-80f0-f761dc5160fa	0	0
766d3430-2125-4568-9af9-d2f0090aca44	0	0
9dc19bc7-7f67-4931-a07d-d6b1d8715398	0	0
26cd5031-278d-412f-9521-518827056497	0	0
3e813c88-7512-4f52-bad0-31305a25058d	0	0
86b9d4b6-3e33-48d4-aca6-b715a6887482	0	0
424d9f46-4344-4c0d-97ef-f86a1c94bd89	0	0
d88258be-32ad-4c4f-b151-754a025f36d8	0	0
1a1918de-c78d-4245-a129-3dc8cfbceca4	0	0
3b1ef890-cd23-43a8-96aa-df625b7e845f	0	0
eceb6300-8dd9-4c43-9268-f320e12264cf	70	5.83329444444444523
95280908-9676-4566-88d4-b24b066b6244	0.594125249072381956	0.0495099423183242709
54e62995-6d19-4db6-94c3-326edc23bda9	0	0
a5ceb5a4-31c9-4cb6-820e-ac60ca1aa86b	0	0
9198f09d-f109-4f62-b504-c57cdbbe4a39	11.1837229437229446	0.93196759220779235
fc65cd05-8cc2-42d1-862b-4b4f1774619a	0	0
212d7d72-c7b7-4280-a3fd-8b93dae4cb26	0	0
8e9a5e0b-23ca-41f2-a8f3-c9e568f66099	17.1436818181818182	1.42862586511363654
54a25952-b17e-4444-9946-0a6f28300231	0	0
399c12f7-4193-4778-a0bc-3b08ebde2680	16	1.33332000000000006
612d83d5-0ec1-46b8-9ea9-0efbc84c8a7f	0	0
d8917490-e22a-45df-869e-6d9b4f67b2ae	0	0
e90c707c-6893-4d39-a19e-93b535be77f4	0	0
602c4237-51b8-4361-9757-5ad06207ead2	0	0
753b019f-17a7-443c-9854-4683a5e5b85e	0	0
031e7c08-ffd9-4667-b187-f3777611909d	0	0
f4d7a42b-9c75-46c2-9ac4-8a47875848ad	0	0
f080ec43-20b4-4bc2-b6c9-681564f9d545	0	0
20d531ee-f82a-4b57-a890-3627d28ef19f	0	0
68550a68-2d71-4ef1-9641-6c58a27ce0c0	0	0
1dafbca2-3fce-4dfb-8e92-22f265b7a916	0	0
346ee251-b894-4fb4-b7b0-17186ee3e944	70	5.83327500000000043
a595daaf-069a-46f8-a6a5-4ffe690b801c	0.594125249072381956	0.0495180290231033091
8dac1f6c-9bc9-4b27-aab2-8d6a9f3b3f2f	0	0
4e6ca729-8bfe-4767-8058-ce4ad3ba76c6	0	0
1819f760-2208-4f87-b54c-8c71ea21b50b	11.1837229437229446	0.932119815103415128
f4b6af7e-0c18-41a8-adb9-15a4afcb50ca	0	0
8e276e8c-5ba7-4d37-b860-6a983a065d91	0	0
d5079626-d27f-46db-ad00-fcc014e6c0e3	17.1436818181818182	1.4288592096717172
4f95ab8c-85c5-4a49-bdf4-79518536d0a2	0	0
cefa798b-348d-441c-bc93-629ff23fae1a	16	1.33353777777777771
7347f505-3c8c-4014-bd2e-2eb3e70eb58b	0	0
7e28e52d-a2a1-4161-842f-af25cfba0ee7	0	0
ee273820-dfba-46bc-8ee6-4f75412b1693	0	0
3e92f599-b280-4767-9875-904363572697	0	0
0c9f2f5d-2882-46a2-8dbb-d1605165d417	0	0
9de7c780-3489-4dc5-af39-e3733add3d51	0	0
8ae36858-16ca-46fc-a890-1e9b2154bdda	0	0
c66b4536-3a5e-4b95-b20d-b697b8b04dc9	0	0
6394bc0d-358c-4bdc-a747-14b3345e23aa	0	0
47e7d94d-2b4f-4d44-b437-38082cbef45d	0	0
26640ca4-16f4-4cf4-b902-32a7a763ecce	0	0
dfb15982-289b-42d8-9df7-d5a64c1303ca	70	5.83422777777777757
b88bf576-6606-4b4a-88a1-9142f196c086	0.594125249072381956	0.0495152234316493592
bc763132-9ca1-4b79-87b8-1156302ab7f8	0	0
926a51c8-0e72-4db4-a59b-7a0dfa15d806	0	0
aabe0326-3277-4baf-b29c-875f9d5b85cd	11.1837229437229446	0.932067003078403178
9e7fd1b8-fdc5-421f-b3e7-55cb21041ef3	0	0
25abf700-8cd8-4101-a497-5495e0133148	0	0
a47d21be-0dd7-45eb-827b-f5f8ba15503d	17.1436818181818182	1.4287782533964648
cc8972fd-81d9-4ee6-85c6-374b0c8fb25e	0	0
53e1c7d1-5417-4abf-a258-87034293174d	16	1.33346222222222233
a2e1db38-5fed-4410-801f-4b6d0c77c867	0	0
1124c213-da38-4c06-834f-2f705655b5e2	0	0
8e731c9f-7d94-4563-adb2-94629a7f5a6b	0	0
2a1621a4-cc42-43b1-8f5a-0c38bb2a567e	0	0
6d61cf2f-13ed-4df9-8ff3-735ba753d15f	0	0
4e57f0ed-7ae6-4123-96f1-23b7c0cdb4a2	0	0
f5b17760-e355-4d23-87b9-7cd960bff864	0	0
c13f8101-f1b5-41bd-99da-2d34137b5840	0	0
34a2cff7-1c40-4d4b-ace1-00551f0b3d2e	0	0
ac885319-010d-443e-9a54-a36822ee7ea1	0	0
7e9bff08-c164-4ae6-b503-53db5a5492b4	0	0
4aeade42-601b-4789-abd6-e3fc6cef27ea	70	5.83389722222222229
595e83aa-53e0-4db9-abea-3d2534cf4a6a	0.594125249072381956	0.04951505839685795
4759c9c2-de29-4e94-be4a-d88c462aad1e	0	0
dca6f0f0-2b6e-41ec-ad10-17b47f435489	0	0
94037590-df5e-49ff-b17d-c22b71365a20	11.1837229437229446	0.932063896488696586
85f14fdf-ea8d-4bc9-ac99-0f15426d1a71	0	0
ddf94ca0-4206-4c67-a31e-2806377e7f1b	0	0
af1778c1-29ef-4c5f-af11-ef93b21af80a	17.1436818181818182	1.42877349126262643
9a5b17e9-a131-4264-a395-691bd69d674e	0	0
96853cb2-ff6d-4600-a671-f89eba4c9624	16	1.33345777777777785
42ab5586-cd5f-40ee-8614-979188d898d0	0	0
1282ec17-ed67-42ab-a7f7-44637f91397b	0	0
f50dd814-91ee-4996-bbf0-89ea0eefe056	0	0
cebe682d-42d6-4e65-b3fc-8ff21818f36b	0	0
2634f1e4-d147-4eb3-8aef-a92b01fad7ae	0	0
82df7fff-015e-4b72-aa59-34078e10b973	0	0
abcd2d7d-8a67-4bec-b210-6c590e28a793	0	0
a0f9a869-de81-4616-a895-7709eb766064	0	0
3cd0a37b-930c-4ada-81ee-29da8120c6c0	0	0
8bb25683-aca5-4a10-a29b-dddaac452948	0	0
bd04481f-b52c-45be-adc2-2a2cd81adc0e	0	0
480ac85d-7fa5-43d3-ae00-fd80b09f919f	70	5.83387777777777838
fffa840c-b8a0-4a54-9f28-f384e8330661	0.594125249072381956	0.0495137381185266762
5ffa4eba-f21d-4559-b756-7d195734367d	0	0
f1debcf4-0a9f-4a21-975c-0b959dc85f58	0	0
9ecdafa6-5b53-4de6-866b-2e5b45fbfbf3	11.1837229437229446	0.932039043771043851
097fbfa3-ee4a-4308-9256-93692c21fe83	0	0
328010b4-146b-4c6d-820d-d3987d04bb2f	0	0
5e96fa50-01eb-4fb1-ad1d-8b71908dc113	17.1436818181818182	1.42873539419191919
0777905f-ccb4-41f0-9e81-bdd716dd5c4b	0	0
2dae9e43-bcd7-4f9b-a6ed-c2ab8eacc599	16	1.33342222222222229
52ab02dd-48cf-4556-81ce-d02ddcafad26	0	0
e2da252f-dc5f-461f-8152-3a65831abd98	0	0
e23bd5bd-8e67-4eed-b564-ee92450ea4bd	0	0
af726a50-2e4e-4acb-8040-47e1518e71e5	0	0
c6f541d7-aa17-42e2-8b70-ed558a2c6aca	0	0
4295cef0-64be-4d08-94b7-a19122a11e3c	0	0
eb9ea6b3-96be-429c-8778-553b9043708e	0	0
7e27cde3-d1ba-4b34-98a4-2b65a20cc368	0	0
368f75a9-8f9f-4454-a816-201ed37195ea	0	0
e0ed077c-281f-43ba-adb1-de38a9b35a15	0	0
4a2cf246-2816-4c1c-8caf-93b075ad6ac7	0	0
82e8156c-ea32-4295-8489-3dab3ae0a12e	70	5.8337222222222227
2eec867a-cfdd-4091-b6bd-a3fdc5e2fb19	0.594125249072381956	0.0495124178401954093
7f1d5c22-0f89-451e-ab31-b9525443ef75	0	0
dfa72e83-6d8e-4a64-9c96-387d3fa05123	0	0
698a7515-3d3f-4877-bd25-77fde7bd7fcd	11.1837229437229446	0.932014191053391117
75e27c6a-4fdd-41a6-93dc-53716a20f535	0	0
e9576163-8dc3-4e18-8c84-ffa4f1e9c61b	0	0
791a4a6f-7ad1-483b-b427-2d7228e36dca	17.1436818181818182	1.42869729712121218
5fd543ff-61bb-4485-8741-c4d1f6645de7	0	0
b40555d1-9424-4f96-a9b7-02fb5a8bc471	16	1.33338666666666672
c825b08d-47b2-4135-bc37-7975a25606cc	0	0
d492a7c7-54e3-459a-a1f1-7e620463f3c7	0	0
91908ce5-89b2-4da6-ae26-2760625fb25d	0	0
4c277a98-747c-4697-a066-da61913bc385	0	0
f1be1aab-c1fc-4787-9a08-48dc1f207fd4	0	0
8995c4c6-858b-4127-a81f-36b865fc422a	0	0
be66b425-093a-4e53-bed9-63007a913970	0	0
2ced2c71-ca70-4dc4-92ca-e403d185b524	0	0
2fcc7253-6f75-4415-a0c8-0fcf2d97b0f2	0	0
5c9cbf21-49c2-465c-94d8-f2d520fb58a7	0	0
1c9af531-8586-4c6b-9ce2-544fe98229e6	0	0
903b1ba0-65be-4331-bc18-de29d44c8b67	70	5.83356666666666701
0d1ddee3-6650-4d12-bd02-c42b923ca516	0.594125249072381956	0.0495147283272751315
288a771e-c4a3-4de6-b76f-5d895e10ca87	0	0
918e799e-367e-4ba4-a28a-3093c93de915	0	0
d6ec2aee-1044-48cb-a80f-9cdfb1dace30	11.1837229437229446	0.932057683309283402
26682b4d-e539-48d4-9d20-b617934d4936	0	0
52a4ddd9-4dfe-4086-af18-33d5bb7ac165	0	0
d6804c34-539e-4d40-a21c-525af91f2cf2	17.1436818181818182	1.42876396699494945
93f58681-a45d-4a5b-8c31-d97b9818bd0a	0	0
d657b671-5669-4664-b395-c3c68994659d	16	1.33344888888888891
10c2ced6-978b-4141-bb55-9c48a2875c49	0	0
9befb56b-897e-445d-9aac-7df992a6c603	0	0
98541b10-056c-4738-9eed-b153db737a65	0	0
cdffb651-0939-49f0-811f-1d31f6aafc29	0	0
09027165-1c40-482c-a592-8cd56c9b571f	0	0
c2f5afff-b837-4d6f-80dc-f94a1523a9b1	0	0
95e677c8-497a-43d6-bdcd-496ed455ac4c	0	0
3a2e3c6a-7372-4c4c-aa09-3bfd415807f0	0	0
7adf5f16-e49c-4da4-8173-3e4f0f15f019	0	0
b71478eb-69fa-4751-877d-b8c6935c2216	0	0
f274ae31-4886-4b62-b4db-72c63808241d	0	0
05164f84-4623-4ea3-808a-0b85ed95662c	70	5.8338388888888888
2713c50f-0daf-440e-b424-d3a82aabf116	0.594125249072381956	0.0495087870747844064
a4d4ed38-3775-411c-b865-d539a84b30c8	0	0
d5878567-d902-4a30-b0dd-84b39acaec5e	0	0
ef42004f-fa34-444e-abfa-7f0cb3ace175	11.1837229437229446	0.931945846079846207
9146d456-9f52-42a2-86f8-aa7a3f4c7fe9	0	0
da3d807f-59aa-40be-853b-eaa0e656752d	0	0
2f9d6437-556e-42ad-be51-bef26b91035d	17.1436818181818182	1.42859253017676768
ef47c416-702c-46aa-bd79-8386f56ef937	0	0
b7d38048-2cb1-4b93-9611-f6f1d7891ef3	16	1.33328888888888897
a14761e7-b9a3-43f3-8298-79b634bab0f3	0	0
169d3d22-5e47-46e9-96be-f05726d6aefe	0	0
e64a5251-2dd9-43df-88ae-64e7c412ebc2	0	0
4ab5026c-45de-43c0-a33b-e77199e195fe	0	0
1e60b8fb-e6ce-4ec9-af99-6bf847f5be06	0	0
6697181f-56ff-47c6-8efb-a6e318d59d3c	0	0
b6d632a4-cf27-49d7-b56b-d5cc35a50ac4	0	0
b63f0206-4e8f-4e37-b53b-f71614e69a8a	0	0
757572f9-9594-4b82-b45d-fdba094c4afe	0	0
11be7bc0-9edc-4305-bbb7-929992f4ad54	0	0
a2c6cfca-a7b5-4693-af34-7fb133a41d98	0	0
bb45d256-211e-4d25-b0e9-39e0af204bd4	70	5.83313888888888954
27ccb542-69ec-425f-b456-835aaf440273	0.594125249072381956	0.0495139031533180854
1407084a-58d3-4f7a-a91c-f7ce78833283	0	0
2c53c8c8-9709-4d1c-bcb0-982eae559a2b	0	0
8da5a1ad-4b07-432f-873e-6c74f3640dd3	11.1837229437229446	0.932042150360750554
add32409-4249-4be1-a703-596c44d4ceca	0	0
35560556-fd73-42cc-986f-76e82c4153e7	0	0
ede6c7b9-783b-4a14-9743-132570955279	17.1436818181818182	1.42874015632575757
fb650d39-da49-4451-8bcb-ac127a1b4b87	0	0
e21e0853-3649-4f46-8450-76e3946b438f	16	1.33342666666666676
33e62b77-efdb-41a8-b4a3-c7b01fd72be6	0	0
357f2cca-8302-4691-9017-4aeea6e0e0e1	0	0
bad1a33f-81fd-4c3f-b433-d2b5672fafad	0	0
18003a8a-e3f5-4dc7-81ce-ea95de5329e4	0	0
afe5848e-096a-4c0b-9782-17bc481dcbc5	0	0
17634cd5-b3ef-4ae2-911e-f445f456fb9b	0	0
c633c1dd-f9bb-476c-a096-8d1d4e9b6090	0	0
2cd1f27f-3805-4b0f-b0e1-41422c01d00a	0	0
c63c1c3f-71cf-4e90-8537-34b854fbb020	0	0
58c43598-fe3a-43a2-b0df-faf13945dd31	0	0
e8293bae-4508-4ca9-83d2-3d6031d36562	0	0
6cee8eb9-afb0-4073-a810-8567594780e9	70	5.83374166666666749
6db200d6-0e0d-4c1c-8aea-d989fa459f7d	0.594125249072381956	0.0495173688839376722
e22a5256-7bb9-44a6-9f4a-5ee3d82cec52	0	0
60afe6a0-bec7-4bba-bb99-e27a26778273	0	0
6369d3d1-7876-4f26-bf25-4a82cd680594	11.1837229437229446	0.932107388744588872
c15e4a2d-7656-4d9b-b488-5fe38349b30f	0	0
5df8f4f0-c969-4e66-ac91-522e8802330a	0	0
9f852924-22de-4baf-af76-1cf1ecb7faa6	17.1436818181818182	1.4288401611363637
5f563c9f-782a-4c25-8ad2-7b2e2630ee06	0	0
ed7e5a88-624a-471e-9d62-5b7c437e6d23	16	1.33352000000000004
6a23f4a7-fefb-4c87-981d-8ad306afe025	0	0
bdd225a8-9d2b-49ed-86d3-6519a3351297	0	0
aed55154-03ce-4af4-a7bf-91f50fd0a894	0	0
220611ec-0734-4716-9a51-01c1c4fc09be	0	0
1d8f0cba-5cfe-49c4-afdc-528e3e7067f9	0	0
476c5447-c299-4610-b577-c66cde14e2ba	0	0
ae947813-fead-44b6-b436-270e3980267b	0	0
84adfd3b-6513-493c-9944-a03e409fc6a5	0	0
9eca1b55-2401-4380-992f-5d7b27db26d5	0	0
4d2a0bc1-da09-47b1-b8fb-51498fe55214	0	0
063d3a13-451d-462c-8b46-c90a7677c4cd	0	0
4328d289-cc73-46bf-a20f-14563b396f91	70	5.83415000000000017
207910e1-1147-4493-9936-ba23c69dc850	0.594125249072381956	0.0495148933620665407
f8cbeae1-84b3-4f33-ae4d-d5750488fe1e	0	0
dcdcb4e6-ab14-42b9-a94b-8ec40dfa4a21	0	0
249ed53f-9078-4fab-8e01-4d8777f9d871	11.1837229437229446	0.932060789898989994
5b6d7d91-3096-45c7-8afb-88d7c3e468ef	0	0
9bcf4504-4301-4e38-b60b-08353d4a16b7	0	0
423e73bc-917f-4d2f-8691-1a3ef7ffbaac	17.1436818181818182	1.42876872912878783
404d080a-b943-4e7b-ba32-7095a0d82434	0	0
53496cc9-fe70-40c7-b49b-7136f199c277	16	1.33345333333333338
e0600a52-70b8-4489-9dc2-ce9014d51010	0	0
5f4667f7-acc4-4dac-b130-c7ebc1afea42	0	0
a49fa71c-47f2-4511-aebe-837e7211b201	0	0
fc774a11-57f8-415b-8abd-d82fe64cbc0c	0	0
d7e3f2f0-bef3-4528-943c-6eb9f5c546fd	0	0
27496c12-558d-4a54-8926-7468f83f9ac1	0	0
12096b34-6d93-4f94-90a4-f7303de361b1	0	0
a18adee5-f544-4bde-9296-208670f29006	0	0
61e395fd-eb67-443b-9f24-8ff1ca7aca1e	0	0
2c021bfb-698c-43b8-bac7-c796cbca849d	0	0
f14dc278-0f2c-4162-a63f-119ad70d8310	0	0
bbcaf05a-f524-4e07-a559-eb99ebe90892	70	5.83385833333333359
6ed68d96-55bb-4883-8670-23cd68e7e2ef	0.594125249072381956	0.0495134080489438577
0d53f5bf-0138-4521-97ef-4df1b07f7fc9	0	0
b15a1a76-b57b-4c8e-9e02-0fc9c2fdd85f	0	0
1b2f2a0a-bce2-41ac-a159-922c9e44f6b4	11.1837229437229446	0.932032830591630668
ecff8f57-b08c-4b79-becb-34a79b2115d9	0	0
eab8d4c0-467c-40b9-af6f-095bcd4f306a	0	0
1dcc11e1-7b2d-4ac8-b3ea-e5d5402ce89f	17.1436818181818182	1.42872586992424244
beec9afe-b112-4df9-883f-5ea051036173	0	0
f3e83ecc-707e-454b-85e8-2fad35c45c30	16	1.33341333333333334
a03a323f-f469-4bcc-80db-08276e5f21a8	0	0
4504b18b-bc88-46ec-9a2c-5b38f69593a2	0	0
9f9a065b-61f0-4e88-a213-f016750f9cdf	0	0
195f1f8f-4f29-4363-bda1-a3ab2890392c	0	0
6603fde4-6bf1-4ba5-b7af-7adaf83227ca	0	0
3aa6e040-fd74-43c2-a8e9-1b7bba92d434	0	0
e5766c0b-1470-48d9-b1e0-419e4bef770a	0	0
7b09ec1d-e7c2-42d6-9173-d3e043717379	0	0
e692fd65-633a-4525-95b8-c98a5503a90e	0	0
88aa7482-387c-4ca0-960e-a76b22619444	0	0
d6fa0c6b-15b2-4837-b0f6-8984c0f5b335	0	0
ab53b1fc-0ae3-472c-b26b-1b83e3decb09	70	5.83368333333333311
7ef68ad6-0cce-4bd4-ab9c-1dfda7a399c7	0.594125249072381956	0.0495137381185266762
1ef73dd2-c453-4394-8383-025b719214b1	0	0
f330e5db-a280-4fe5-9c16-b014ffd655e6	0	0
43a2c1b6-0b3e-4cf5-b019-3d3558bcd3c1	11.1837229437229446	0.932039043771043851
6a41fd20-482f-4d4f-8788-f4ffb22b1a6b	0	0
b8e41a51-f67a-4166-92b3-51bacde88fd8	0	0
2faf32b3-26ee-49ea-98dc-970f017eaae6	17.1436818181818182	1.42873539419191919
af4b20f2-a956-41b2-aa49-6538aeb5e793	0	0
fcf98fc2-3056-4615-8f10-a3a64974a7ce	16	1.33342222222222229
1821eb5a-8f0c-4bd0-acd0-aa50d5d9312e	0	0
5aa2b289-aade-4739-83fb-4b78e30a14d7	0	0
0ee08e84-c8b1-486a-b40b-4bb9e2820bd1	0	0
913f9fd5-76a5-4da4-a819-801e21538516	0	0
a88ae164-f941-4188-babb-ecfe81e103a5	0	0
7bb6a1cb-9331-4149-9a04-ed751dc7e532	0	0
4db69500-4933-40bc-968f-884b0ee78d33	0	0
55c8356b-4df8-4897-a48e-86c1171e021e	0	0
4b5add32-e0fb-4554-8422-fac70f387c31	0	0
ce6c0d10-20b7-4dcb-ba81-9a6d2714a468	0	0
0fa5e60c-9b61-4993-9482-833059f24d44	0	0
1f5d120e-91c3-4af6-b24c-564d07ff6c15	70	5.8337222222222227
0f59ce1e-9248-47f3-89db-ab312d7fead9	0.594125249072381956	0.0495143982576923131
fad2c749-cbbf-4e50-b0b9-1020b9c09796	0	0
3981c894-5294-4c43-9b82-14b82334884c	0	0
74a0b85e-7be9-45e4-a337-454389eddf3a	11.1837229437229446	0.932051470129870219
37629f95-4fa3-484f-add3-31cb0fd1ff9a	0	0
f9f6b0e8-6d61-48bc-badc-91df9d3ef426	0	0
c5062282-8c8e-4b10-880a-7e061fb19384	17.1436818181818182	1.4287544427272727
9c8351d4-125a-4795-85bf-efb81ccb6855	0	0
ac0b5b2b-55e7-4df8-b00b-3a6505bdf5b5	16	1.33343999999999996
0fa99f38-d3f9-4795-a87a-94ad5d847b1f	0	0
95669036-a76c-4dde-9db1-81db4566b33b	0	0
929f85ae-a03a-44ee-9967-30c075bbbc98	0	0
af2b614b-36b1-44c8-a6c9-b8f95c9be6ee	0	0
81139fde-9534-43ba-823f-30feb1963fcf	0	0
635a6ba3-1bd4-4b02-8c46-2565155fc771	0	0
7257ae39-cf5d-43dc-9e4d-6804b15e520d	0	0
28ac38fb-25a0-4cb2-875f-2c7b0ec0224e	0	0
fbdf91a0-a6e5-4683-81eb-13c3f1ca5eae	0	0
4dd123ef-0ed2-4b13-ab8a-2d08a745d942	0	0
147a0458-ab19-48a2-94ea-a4c6b1d44f75	0	0
8acb9aff-beda-42fc-add5-689e1dc7e435	70	5.8338000000000001
b078c6b2-4cf0-49de-9edf-a1a7bdcfdb1f	0.594125249072381956	0.049511427631446954
21e4f68e-ad0b-4e62-a0c2-7f3fca7ab211	0	0
b6e25fdf-c801-40aa-b7ae-e7346441bf8a	0	0
0301c62d-f4bd-42cc-b736-f7d5a35c77b3	11.1837229437229446	0.931995551515151677
c1d9f952-afb3-4831-ae9c-cc1a865c9797	0	0
87406572-1760-430e-a48e-06c4a1edd82b	0	0
2e42f047-bc29-4b2f-9280-76070c5bad10	17.1436818181818182	1.42866872431818193
6922c787-a03f-4c04-8021-89a2a2f12450	0	0
75571426-740c-47f4-83b1-5fd4b05fbe33	16	1.3333600000000001
74eaba7d-fa5e-4b28-8b0a-007e0652fd7d	0	0
ec2abfa9-be9f-47f2-9e70-d06d38330c38	0	0
d99ed70b-6841-4aaa-a062-3ef3720b17f7	0	0
7c165332-5425-4c0a-973d-e836fde0ee13	0	0
b0073fc1-b5e5-41b5-889a-cc80d45751c0	0	0
201795cb-9ce7-4c4b-a96a-2c56dc4989f1	0	0
237df784-05ca-4ec2-a37c-2b8f23008024	0	0
444a95a6-27a0-4ef8-9695-d520119cecb1	0	0
d26e4cd2-cd0d-4d5a-a61d-764ede0e1261	0	0
64018679-02c1-4e76-a46d-a8a8418f078b	0	0
79251ec6-2f88-4653-bde5-d98d4ab9e765	0	0
cc0a147d-8371-4169-8ff3-c6032f2e2cdc	70	5.83345000000000002
b600d712-de77-4b24-bd64-5527aa74dae7	0.594125249072381956	0.0495148933620665407
3770bc07-f962-49f8-ab8d-fe9252f4e8f0	0	0
6ae0cc08-d3ed-4cf8-846a-958e584d22f7	0	0
517a294a-e5da-44ec-b350-61e2e7bd7d5d	11.1837229437229446	0.932060789898989994
5103078d-b5bc-40a7-9c8e-25ca2a812e5d	0	0
1d93f229-0c4f-45e7-a322-de7ba5f12415	0	0
858074c4-f642-4318-b135-3943770eb164	17.1436818181818182	1.42876872912878783
66facdcc-492a-4303-82f1-9a4d6abfc4e9	0	0
f69e4cb2-7b54-455d-a445-57290007a725	16	1.33345333333333338
1f7820d9-10e9-4ca5-94f2-c323c5d98aee	0	0
c4fce666-2dd0-4e9c-a2fd-506b596fa207	0	0
01cc9777-ec15-48f9-a15e-7fe8b8fabf63	0	0
79e290da-7ff7-4d8d-8ef7-94ced32ffbbe	0	0
4b65a352-8371-49a7-96b5-bf250d362e10	0	0
c13f228a-1d8b-4bab-943d-d1cd8bb4ebb0	0	0
608c4cce-0e05-4524-9db9-873e11b4854a	0	0
36ad47f8-2893-40b7-b583-7d96c1b8dde9	0	0
9df5bc7a-6139-46fd-ac7d-13fb82b07da7	0	0
6e05fd38-7eed-47c9-8358-81e8bf609353	0	0
dd921fd2-58fc-4638-8871-3db46d40a0b3	0	0
73059255-edd3-4fc2-a3e3-045f36da509b	70	5.83385833333333359
2d746f13-7f6d-4f6f-8cbd-a17c09d85292	0.594125249072381956	0.0495158835708149961
2d33c68b-1466-48fd-8ee9-a4a02764943d	0	0
c5a8b1f4-4560-4aa7-84ee-ba53ec571f2c	0	0
cf57fdc1-ab89-4b12-82d2-cbc5b222ac5d	11.1837229437229446	0.932079429437229545
e4ace245-0f9e-4364-b849-7f93ec1e2896	0	0
3ba9ef01-2c07-4e93-9371-8b3420d9470a	0	0
cf15bf90-a521-4aa9-b745-a0d261aaf217	17.1436818181818182	1.42879730193181809
d7a9a0e3-f4b1-4f3e-a1a5-b2ebf082dddf	0	0
011f49e0-ba93-44b8-b8a1-863f4114a203	16	1.33348
1a30fac0-05c6-496b-a6db-836eeae8a3c3	0	0
8e75cfc5-bd9b-47f7-adec-f21d3d1f2f32	0	0
7b97a38b-480d-4445-9e38-7f9cf4f793d3	0	0
5dc7c505-d3ae-47fc-9807-df94fd918825	0	0
7f605603-d09c-4d7b-84ef-f0e5d32b1c23	0	0
6ab18e35-618a-42b5-a9da-3dcfa9fb0935	0	0
f74ceaf5-0701-4ab0-8cd0-189682435dba	0	0
3ca26f33-1a2f-4276-9208-7fc31886d10a	0	0
8e3bf4c4-9000-4583-8954-82a47d71db61	0	0
0205fbf1-7234-4309-b031-1399db0b209a	0	0
728ff998-5be3-468b-940a-04d76e65f3bc	0	0
2a39a263-1064-4bb8-bb08-3d87c2526ba2	70	5.83397499999999969
73b7aa35-d369-485b-b2e8-8e797026d1fc	0.594125249072381956	0.0495124178401954093
afeddcf2-011d-4e0d-9a17-24c9aac6c553	0	0
ff3312e9-8d5d-496f-b7c3-7d8c0564d399	0	0
ba118571-a9ea-4fdd-8674-7dcf3e030bee	11.1837229437229446	0.932014191053391117
2a9458ed-9888-4efa-bf3d-dd6f8adde912	0	0
8fc1c31a-5b58-46cf-bcfd-33340a717dea	0	0
cad57553-8cc1-44a8-8fc2-d1e348d492df	17.1436818181818182	1.42869729712121218
a4d560ae-b611-4e8e-9bcf-eea8f0ded536	0	0
46d631bf-91ff-40db-a84f-fb4e1712e403	16	1.33338666666666672
04507111-7839-40ba-8414-720a2979ddaf	0	0
142ac5a7-ec30-479a-875f-26a42c507399	0	0
6da7c585-e36b-475e-9cc3-6e0646f7286d	0	0
acc32255-5b5d-4644-b925-55de1f9c1efe	0	0
65d58162-e4c6-4aa1-834c-7956b4d9b1d1	0	0
5ac9ad48-fbe8-4d40-9d33-cb6a3db465fc	0	0
705b8413-6eee-4f34-a8d9-d997f97d59dc	0	0
f241bf0b-46e8-4f7a-862c-511afa0576d4	0	0
71418be2-e68a-45b0-a783-37527fad68fe	0	0
3c542efb-566e-4af4-b0e5-1f829a09cff4	0	0
64e2655f-deaa-4510-8bdc-86e21ff73ebd	0	0
95d55811-bc92-4d1f-b2d7-cf73277a7007	70	5.83356666666666701
e87a2776-5c46-4156-93ad-4bf40b81d9d1	0.594125249072381956	0.0495137381185266762
e24ed6c8-db51-44ec-b3e4-d9bebc55d0d6	0	0
6787da20-e8eb-483b-b65f-138ae73e1d7c	0	0
fc8c18cf-e590-4107-a341-a8631fc38971	11.1837229437229446	0.932039043771043851
0329e7ba-27cb-43f5-b758-c3922593ff07	0	0
36fe3680-17da-46ee-ad49-085e2f112505	0	0
15704902-9480-4966-9837-e0078e49450f	17.1436818181818182	1.42873539419191919
e45dca9a-629e-4108-a5f9-db06de240bb2	0	0
8be6f3ef-22ef-4946-a34b-a68ded99ee13	16	1.33342222222222229
78c2beb0-e53d-4dfc-ad38-d36c6ff953e9	0	0
0cef3955-5c0b-42d0-8dd6-72267db499f4	0	0
a9b65a82-921a-4de4-9f0a-881796002bf9	0	0
c7a8a430-66d8-4994-8a0e-d951d7b30f11	0	0
06b91f01-3cfb-4530-8fc6-878c010c21a8	0	0
8693d8f6-3351-44cd-a41e-5b10749f6f4d	0	0
6228d173-1dac-42b1-907d-53686cfec6c7	0	0
7d777c4c-115d-45f0-a8df-4d4926f4673f	0	0
75271b14-a249-4351-8cb6-9752efee02b0	0	0
884f596c-c2c5-45e8-862f-5c6e48938686	0	0
ee108239-e9d5-4137-a182-50fb06b4d90a	0	0
bb5b843c-7e6a-44b8-9699-720c5df2abc7	70	5.8337222222222227
454f9fd9-7566-4e97-82c6-14c3d9f6451e	0.594125249072381956	0.0495147283272751315
c6f6752c-8eb7-4b74-9eae-621353bea923	0	0
b513601b-4c33-45a8-9f4a-0bdd1650df26	0	0
ae195ea2-9758-4e8e-b23e-6f7ea15ecc60	11.1837229437229446	0.932057683309283402
fd01a05c-ca89-483f-8ed9-96fc12548b1e	0	0
b8270f8e-7ba9-4db9-99b8-e88a53c562e7	0	0
a6732d06-5b31-4333-96cd-f758eb4d6121	17.1436818181818182	1.42876396699494945
eab4ef56-591f-44f9-996c-18f9c043359f	0	0
e8cb110e-d4ff-4bd8-8abb-3e499a66563f	16	1.33344888888888891
ff349411-3c6a-4bac-ac75-d3589388279f	0	0
6826058b-c4bb-4a1c-9023-2559c198840b	0	0
5dd80db0-7c87-4407-9ced-4ac3a4152e81	0	0
bc8f332b-f0fa-41d1-99be-c0f2e84cbe51	0	0
2f639d8e-478b-4774-aa84-35ca85af5589	0	0
a5287e55-9f79-4a7c-a37b-b33acedf25b5	0	0
ae191eed-d215-4839-9b1c-0866bd04d635	0	0
2671d215-13e5-4c1c-99fe-0cefad99655a	0	0
73d289f0-18c3-4b81-9e4e-fbb18391916e	0	0
1ef9d625-2282-43b8-bc19-9eecc6437b99	0	0
8eca020d-edde-4293-9e83-bff966f4a67a	0	0
d5ae1662-4305-4ea5-ac51-6262451ffa81	70	5.8338388888888888
946e33f9-cc15-4a28-89c2-894d1ca11944	0.594125249072381956	0.0495143982576923131
840be43a-8b2e-4074-926b-11310fb119b0	0	0
401b02ab-c2b1-43f0-93d0-027c217183a7	0	0
541779e0-5107-4091-b19d-2d04fa9ad81c	11.1837229437229446	0.932051470129870219
3de2b2eb-0a3a-403f-b0d4-676ffbcbf11e	0	0
70f5c465-c23e-44be-9423-4690bdef9418	0	0
48fb6e2c-e544-4e95-8b80-0f0c09648b7d	17.1436818181818182	1.4287544427272727
1e244c58-260f-431a-9cd5-7dbc9c789bbc	0	0
3a02d3ab-1fa1-4eae-8c57-71e1e7ba3d32	16	1.33343999999999996
e0c805a5-4fb0-4b3a-8c16-f8568819b94c	0	0
9b1880a1-d1ef-4f78-8786-5039fbee162f	0	0
8b482df1-ded7-412e-a4db-4f9ebd56af6f	0	0
6c4e9b01-70b8-42d1-be45-c0666825876b	0	0
2d25d379-2289-494e-a4dc-63b46de589c8	0	0
3fd360ab-781e-408b-9cc3-afc7d5271082	0	0
ec088a37-af6e-4b33-8dd9-655063706675	0	0
bc820eba-91dd-40f7-aa43-bfe5fdeccd31	0	0
24619b0d-b5d4-4f18-90c8-aa77dce9f838	0	0
f3372c6c-7d6c-4b39-850b-b57cb368339a	0	0
6f1070a4-c05f-4d3f-aa91-5dda422bb623	0	0
6afea9b8-ec1c-42cd-a267-6574d5c34d68	70	5.8338000000000001
c6800371-d84d-4dca-902f-79343d1b7aa1	0.594125249072381956	0.0495079619008273603
5075dca7-9f26-40d1-9492-5b2b8a804b6b	0	0
d36a1dba-4366-4d25-94d1-3779a94a9713	0	0
1d16a735-448e-4e6c-9236-89e4c303713e	11.1837229437229446	0.931930313131313137
e971c7c4-6b2b-438d-a323-be113dc3ff85	0	0
c41317e1-395c-4a11-a924-75c86ccfa497	0	0
4d4217a4-ed68-408b-a9f5-5f532da02ecb	17.1436818181818182	1.4285687195075758
0ae4322c-9c56-4fdc-9cfb-5def2ced1bc5	0	0
99d9f8ae-0d50-443f-bb3c-105ca5316576	16	1.3332666666666666
4b18c925-25e4-4d94-8620-7af5d9af0fbf	0	0
ecc551dc-f048-4e2c-81f0-02e56ba7f593	0	0
3a138775-1cea-4596-9773-787555f8c21b	0	0
344c9a6e-af72-4351-acfa-9286ae896702	0	0
b9846542-13c0-4407-984f-5c84e87a85ff	0	0
143bbe87-fb38-4071-8bb7-dc6f0e8210c4	0	0
cda0ab40-d548-4fe0-96ac-2355d9748a77	0	0
5b53874b-5588-41de-ba72-6efd94466321	0	0
73c14819-8ced-40f8-8462-ad4d7a8e594e	0	0
ea53abeb-e55c-427f-88b7-1927e7ea4e2b	0	0
c84bfb2f-3362-4679-bb44-e19a4d0cc9a3	0	0
d4d7b6fe-3ba4-461e-b9d5-0c5636a3e548	70	5.83304166666666646
73f8ae6c-565a-41b8-bae4-007541b6e611	0.594125249072381956	0.0495191842666431667
d5542272-f865-4139-8cbd-d27e639151fe	0	0
dfe70ba4-2bd5-42f3-8e79-71a1328db369	0	0
eef10330-2262-48f5-9533-0b64d5a92d5d	11.1837229437229446	0.932141561231361271
5c3202b7-b010-49dc-a17e-74aced67ca63	0	0
a43b57be-7b6d-4b8b-b5cd-f228bac0b348	0	0
f04a1a81-3b4b-4afa-8ae7-c9f3d77b5722	17.1436818181818182	1.42889254460858584
8210a4d5-635a-49d9-b03d-bf110e06d2c5	0	0
0cee59cb-b54e-4515-a422-6253a5398248	16	1.3335688888888888
eabf0aa3-f068-4ee0-8c3c-2f9b6d45fe04	0	0
68d2dfb6-4a80-4aa4-9e5a-da6f98ec7b3e	0	0
c451f666-fca3-41dc-9cc6-51e8e61130ac	0	0
f4c1b904-1842-48c6-84ca-80211539fe67	0	0
fb62cbf5-8885-40d3-8d38-f84c5d727f57	0	0
93ffaa46-8c17-4398-994e-b3aa15b7b931	0	0
eafdbfc8-72e3-4f1d-9dbe-cac56d64798a	0	0
cf4a9ee8-ff4f-4a07-9b2e-6b6967a4336a	0	0
b5a0026d-35f7-477f-ab52-65938d3722ce	0	0
2d0146c9-22f7-44a2-abaa-ab27017cfaeb	0	0
cf306659-1ebe-4c80-b28f-7ce1ff8947a9	0	0
1a6f594c-cb4b-473c-a74b-88dc3422d5c5	70	5.83436388888888846
3794879c-3e35-48e9-9fa5-66e06c53b36a	0.594125249072381956	0.0495135730837352669
7ab72cde-6bc2-4b20-ab50-fb59fb564a79	0	0
e17eb25a-9d95-45f2-b4ad-c7d266fc223d	0	0
3563a58e-1fbb-41ba-affa-f9f5731a5982	11.1837229437229446	0.93203593718133726
9a15b90e-344d-4a82-a5f6-269377565954	0	0
272f3c01-343c-4758-9fa1-411b1837c01c	0	0
119ff436-6e1e-41e8-b2b3-751876cd8d8a	17.1436818181818182	1.42873063205808082
14e9d4bc-5160-47e9-bb2d-ff43f1b7ba45	0	0
fa2d3579-b3df-4e4a-bcda-5101adb11ace	16	1.33341777777777781
de3eb59d-ddea-45a5-9afd-8cc0d05d1c3f	0	0
3b30f135-8092-48a9-aeb0-0707d3f1bcfd	0	0
2c622300-ebe8-4108-ad33-6912b9718aef	0	0
cda38b7d-5477-4263-9559-7c37b024ed0c	0	0
f3af264b-7276-4894-acbe-6a6dd0543a9f	0	0
9e2d879c-7506-4123-8d93-d016ee0bca2d	0	0
05668d6d-425f-4fea-ab88-40a2de98c488	0	0
aa62c1cd-44ed-4f86-9171-41d77ed3377f	0	0
8b03961e-a841-4f14-8297-3aa7e8c21918	0	0
69e4b988-fc45-4ce5-9838-bb3df3f51776	0	0
0f09be2b-8b7d-4eaa-914b-1fd319e51e91	0	0
9d06474c-c1d2-46e9-94bc-6d751218adbe	70	5.8337027777777779
69c87a83-690d-4501-a3a7-9e3a78979e50	0.594125249072381956	0.0495162136403978145
5d5b3172-6644-4bc2-a8de-1be009283647	0	0
1fa2c51b-35cf-4337-b30d-b4bcae63379d	0	0
92e0b654-33cf-4957-aaf1-4d34ef160652	11.1837229437229446	0.932085642616642729
6f11456e-7629-413b-8e41-43a56095028f	0	0
e20c1c52-85c1-47d0-99fd-4e459fef6464	0	0
6007f165-2b81-4bfd-9111-58b65a2fd41d	17.1436818181818182	1.42880682619949506
ccaee07f-c994-4379-bbd1-4e532d51b255	0	0
95702ebd-7f78-4521-ae93-57110f5ed188	16	1.33348888888888895
af2254c3-0d1c-40ee-8e85-db508d432d6e	0	0
d8a5dfb7-63b6-4312-9483-9ec0390e5746	0	0
ff3f1029-8f4c-4837-bc2d-a0ae0305993a	0	0
75dd5fe1-2d0e-49c6-91e8-a4d142ac2d20	0	0
a81c3ecb-ada3-4ffc-9694-92b97df45146	0	0
9cf2292b-35ca-4523-9664-02086fdf7c43	0	0
2c98f53a-e465-4e7d-a820-c80f912ef42a	0	0
36173302-c427-4d3f-8470-81bd14d86d72	0	0
ccbe7a03-98a6-460b-b97d-eeca8c5ede43	0	0
1d70611c-23b2-47d8-871e-bff3bcfda761	0	0
4b8307eb-8280-46f9-87d6-9fe9c999ec13	0	0
df6488cd-d45a-42d0-95cc-64e02cdd36f7	70	5.83401388888888928
05634836-8464-4de2-b510-3ce4a17964c5	0.594125249072381956	0.0495120877706125839
8b0aad61-76ac-477b-95ed-01e470ee9e47	0	0
8575d014-435d-4644-8189-a9c9fafcfc10	0	0
952850fe-7a81-4483-a1dc-24e4ea0f3766	11.1837229437229446	0.932007977873977933
817cdd91-f8ff-4184-ae51-d3e3d4375460	0	0
4d6492f4-c82c-4519-893d-151fa984b3d2	0	0
336b4e0b-7767-40fc-9534-325a47865119	17.1436818181818182	1.42868777285353543
a9948793-2d64-445f-83f7-38b833549054	0	0
e9498316-1156-4b34-b2d0-4bb9516d633b	16	1.33337777777777777
6c19ce47-f33f-4ff6-8ca1-7af7bb9157cf	0	0
ad661b7d-c537-4f22-9225-45fef7d20216	0	0
31f3b444-9edf-4e9d-a47f-1a8a07dd030b	0	0
31c3d874-1f25-49ae-a468-7fd97bdfb8ff	0	0
ec067c42-93e4-4b83-81a3-9d318a44174c	0	0
be2f05f3-19b8-45ae-8c46-4c52082a0b23	0	0
dc84bdd1-119a-40d4-9da5-d29be09b282a	0	0
4703a6b1-671e-40e9-a45e-d51d1882a190	0	0
d54cfd1c-3ad2-4e2e-9469-e9fb7dd6fb9f	0	0
bf58c53a-725f-482f-9f1b-5830b0af6b7d	0	0
ff74eb0b-8c08-4231-9846-a9c4be04e267	0	0
433ee8eb-fbd0-4ee1-8179-5587eec34ac7	70	5.83352777777777742
89bd89dc-0ee3-47c3-a0fd-a525d0d18e98	0.594125249072381956	0.0495155535012321707
d3251e8d-f07a-4073-88b4-8452eeacc72f	0	0
4052e086-8a08-41ff-b91f-3ba9d00f9ef5	0	0
6a6c64c6-68b0-47f5-b433-e9ffdc4e176c	11.1837229437229446	0.932073216257816251
5ce18c56-cd04-4018-b6a5-30bfcd9281b8	0	0
672c63c3-d4ef-4c7b-ae76-3287c1be9cf3	0	0
c308b211-daf3-48ee-91d1-7704f788e384	17.1436818181818182	1.42878777766414133
ffd8a4f0-d80e-4888-a25d-fa2d0ac1e368	0	0
b828022c-06ea-4837-9468-721a5fe89c3e	16	1.33347111111111105
efe34fe6-07c2-4946-bbc3-9dffb74ef690	0	0
90a06ff5-2e1a-463d-b9de-5a4b3e0fa8b7	0	0
4fbe356d-c152-453e-bd94-d11289eb038d	0	0
f01a46d1-7447-41d7-9983-6f99d058eb42	0	0
24b8b60a-3551-484d-8e5a-ee8f308e218b	0	0
2a3925e4-9a85-40c4-be1f-3a4f9af95c75	0	0
2c0da49f-ff27-4ef2-bf90-1689e0d39d71	0	0
ccdf8867-bb61-46bd-8cc7-be9c79b5751b	0	0
41af6117-15b4-437d-a90e-65ae3986ae6b	0	0
3fcd99fd-21a7-4fa2-96d5-3bd263126fbe	0	0
3f456f96-9cc0-4b34-b71a-80251a5b340b	0	0
775f6a38-e44b-4eab-9271-ddf61af2caef	70	5.83393611111111099
6644a0db-c741-4794-9a12-d6e5cb47d238	0.594125249072381956	0.0495122528054039931
08590241-b179-4702-b184-cf7e3631aff4	0	0
9cd8b6ba-196b-484e-8d9e-5593a30e36c1	0	0
1f3bddad-796a-42a4-974e-c7fc8715d1bc	11.1837229437229446	0.932011084463684525
f4c3b42f-5f8b-4633-9867-9bd80c615d61	0	0
717f1515-a99b-409c-8973-24d60b3f92bd	0	0
225cbf96-480e-43f5-8c82-194928872d4d	17.1436818181818182	1.42869253498737381
22c9b96c-820e-42ef-91c5-21986423e9d6	0	0
bcf43c45-5e80-4d73-935a-c6793eced90a	16	1.33338222222222225
3a676f5a-4473-485a-a2ec-074df0502683	0	0
19f36e0f-07d5-4b50-afe6-f0be5c3f4c6c	0	0
8ff4f518-4b41-41ab-8dd6-e150af68aea0	0	0
595aca9d-df0b-4d18-acf1-b3a2e2f040e3	0	0
1b3f93a7-6c8e-42b5-8325-85ecdc8116f0	0	0
13b75722-f915-4010-9a31-1354eb7743ea	0	0
bc83e75e-b6fa-4e6b-8b4c-996b6b7af1ec	0	0
1ca2a4a1-b5a0-46e8-ba52-a90b3d0d6840	0	0
e6057424-5456-4d1d-b69f-8e5617fb1897	0	0
d5c46fe2-ba42-48ac-84a0-850d23e3447b	0	0
3b2dda0b-1ce4-43ec-8972-c0527993953b	0	0
66ec407c-3a51-4bf0-bbe3-97ec2e94dac9	70	5.83354722222222222
f6070dbf-1ab3-4a74-92b5-422f65424a77	0.594125249072381956	0.0495087870747844064
44774df6-c971-4445-9ba2-199b277ed000	0	0
4c1648b7-8d24-4411-9da5-f334ddbc0ed9	0	0
1e28b304-9f79-4f06-9655-1bde2897ea00	11.1837229437229446	0.931945846079846207
e33657c9-c37f-4e99-b5cf-72efc25bfa26	0	0
86075e2a-4b22-4324-95f4-f64301cbaa28	0	0
386d5d5a-df10-48ea-9b94-06b6ba4ef74f	17.1436818181818182	1.42859253017676768
4fad17f0-35f5-46e0-9d4d-2cf7b8ee1762	0	0
dd447ce1-0688-485b-9832-5737fb9501d7	16	1.33328888888888897
d86acfec-0b14-4293-9720-82032be6c3b0	0	0
91ded082-fbb0-403e-b49d-5e6bdeee1155	0	0
41bccc6c-ca0b-496c-878f-01cfc2a80bd8	0	0
6f34f673-970d-4b24-8875-10f252b04a00	0	0
ea537165-7637-4c4e-a93b-4bbc0cf1fb3e	0	0
c261c552-1732-450f-90be-0db183db2cc2	0	0
82552d4a-34aa-476b-9778-179c8c5d7b68	0	0
be3ac72e-e159-40b6-8c9f-d35c71e707a0	0	0
572323fc-14d5-4f11-8cd1-92ce374c1b85	0	0
c0c45362-c3c6-4581-9d14-c59a2890a37e	0	0
64080d8b-3838-4c28-873a-a121607baffe	0	0
1a99f316-9373-494b-88b3-d7363b4fb2ca	70	5.83313888888888954
4958aee9-5ec1-4b06-809a-f0190b653508	0.594125249072381956	0.0495132430141524485
9a59f599-617d-466a-86d9-dc015f49a07f	0	0
2ae9dcef-153e-4377-a5b4-ac37b8123a2e	0	0
42d4b1ee-ee0b-4e94-b5fd-01440c49b84d	11.1837229437229446	0.932029724001924076
149b7df6-a596-428b-a2bc-07f4e2dd67f1	0	0
28c62f83-b8a6-4168-ac21-8b2f4883d484	0	0
764b3879-fc65-47bd-9253-a23ec1f46e1c	17.1436818181818182	1.42872110779040407
8177f705-332e-40d0-921a-d53529d353ee	0	0
c40a7a1b-dcb6-42e8-909f-eddfe89d00a4	16	1.33340888888888887
48612c38-29e4-45eb-a854-90d5fd22e741	0	0
c756fe6d-911c-4687-b522-35e5aa3f849b	0	0
1d064720-af41-4791-a0e7-d3bbf356a3b7	0	0
b84e7e0d-9838-49cf-b4ed-b84d6cd1acbc	0	0
05964caf-8fa2-4b32-83f2-27e580a6bebf	0	0
652100bb-be1b-477a-bcb9-7e36d5aa863f	0	0
d58d60dc-de79-4930-b58e-94728aa9c177	0	0
a6107fd9-4bd8-4fc5-ad14-d254c43d80eb	0	0
594e3447-6f3f-43a0-97ec-dfae6c8c53fd	0	0
2574bb09-e1b1-411b-91fe-bd9c4d919330	0	0
936f1945-11d7-46bd-92d9-77a3e2e4d68d	0	0
e8666be8-e8a6-4f32-a3fc-c44df6ea71c5	70	5.8336638888888892
5bb15333-48a6-4eff-b725-5768a0340f7d	0.594125249072381956	0.049520174475391629
5470ced0-53ef-4966-83f0-7ec22e0f7579	0	0
cab53713-f6df-4645-a8c3-7434e1cb3e41	0	0
de6bfa6f-900f-4f89-94cd-28994b95d973	11.1837229437229446	0.932160200769600933
7d001d17-bec4-4ff9-9125-de83fee06b8c	0	0
fb788f5a-0bb7-4f0a-aa09-76e036819023	0	0
a74fdcc7-cc76-43b6-8198-73d58ee17ab5	17.1436818181818182	1.42892111741161631
607eceda-5d39-4355-82d8-9fc2b56a70d2	0	0
da855b71-dc93-4849-9aac-acb6aab9ac32	16	1.33359555555555565
7f2c0c01-f9e5-4ead-b229-a1d45b8b524e	0	0
ac50bfdf-a90c-4233-9844-867ae0d86ee3	0	0
852297f8-5867-4b65-92cc-b2f8fe0512b6	0	0
3e39cffc-8929-4baa-82fd-4c04e668d8ee	0	0
6432ba35-bc6c-4a9f-905f-195680d9efff	0	0
9da9a4fb-07c4-423c-a5e1-64a3add883a1	0	0
c021b52b-93d1-40b7-b191-c00c20718449	0	0
cf0c0043-bc40-4495-aeae-f1665becc6b4	0	0
c6c13e0c-a561-4e76-b17e-1009a616e559	0	0
4f86462d-c123-4929-a955-97df76df5643	0	0
481570bb-e3fa-4d1c-8112-8c25d424a4e0	0	0
129d505e-d3dd-48d4-8e09-0d0ff483cfba	70	5.83448055555555634
620c1bcf-a253-4c10-beef-230a9efc94e8	0.594125249072381956	0.0495122528054039931
2f24a007-6397-4e7d-afea-bc25176616bd	0	0
cc70e86a-3160-4c5d-a662-9da9b72fce0c	0	0
b51bc617-76c6-4ad8-ab3f-d048e103aba5	11.1837229437229446	0.932011084463684525
09354c8d-735a-437f-9593-7295dd1144a7	0	0
e39f11df-7ede-411c-9853-14b3c67ea4e3	0	0
d46d0495-88a8-4946-bf56-e11f914a6448	17.1436818181818182	1.42869253498737381
6702f31a-8296-4df0-8be6-51df84f8e921	0	0
f892a89d-fd3a-4d36-aaaa-597965fbb308	16	1.33338222222222225
d233185a-c283-42af-80e5-1e64292731b6	0	0
db0a0397-693c-4334-add6-75c030e6d435	0	0
dec3f482-67f7-4b84-818d-6cacfe973ebc	0	0
68ef03cc-7d81-4bfb-8d69-3dba543b170d	0	0
4ff1c578-ee0e-47df-a984-dfd8a6f6bbee	0	0
21f2fc00-99bb-4c73-b849-59d58117fbbc	0	0
124a35ca-c94d-467e-9be7-1b52c77273e1	0	0
ab564ae4-2ace-4f15-9dbd-4996523f4a90	0	0
3c545ce5-f31f-470c-b69f-8577bc38f5b5	0	0
943e5d59-a529-449e-84e0-d9cf6ec7e493	0	0
4540b1c1-e26c-4b91-864e-aead70329f54	0	0
db93d986-766a-4743-8d0d-3d9a67edc3b0	70	5.83354722222222222
9883561a-39fe-4680-a22a-d6214990da0e	0.594125249072381956	0.0495139031533180854
5d812550-7412-4d6d-ba86-35c65df7dabb	0	0
1a6f62f9-9faf-45d2-b0b7-df338d07718d	0	0
74bc8149-be5a-417b-9990-ddae8a8028ba	11.1837229437229446	0.932042150360750554
9dcb5d37-9bfd-4c00-9342-6940bc1902c2	0	0
f737e9c5-5977-4150-9db2-4cbe2962a621	0	0
fae45d7a-ab30-4082-a206-a7c93d8eaff0	17.1436818181818182	1.42874015632575757
88a11157-0230-4591-875e-c91741c534ab	0	0
097db0cb-ab0a-45e0-a431-c4f90a784336	16	1.33342666666666676
dad5b53d-d46b-4538-b02c-eb3af751ab46	0	0
543fe61d-3d84-469b-b488-f3b037bc4697	0	0
668654ff-6b4b-4a7e-9614-281f2f88a0df	0	0
3ef856ac-2e68-4677-8bb0-7106c54283e1	0	0
abcae9ac-3792-4c40-b6de-78884a76cd59	0	0
3d25f1ec-4363-4c36-b099-7a94d4764e6c	0	0
286a80e6-fc8e-41d6-aea5-ebfaf7266083	0	0
67f59163-9404-4bec-9dfd-3eb1b223a68e	0	0
ff8d4108-f6d6-4dc3-b1b6-2c28d7394d5d	0	0
3515c5d6-9b45-4ec2-a54e-e97df4aced8a	0	0
364b7afe-1131-4619-94ec-abac7337c491	0	0
4b0da5bf-f471-491e-b42c-9ecd7ef7e009	70	5.83374166666666749
d7da089b-9ada-44ec-b99d-f7e09c6c6070	0.594125249072381956	0.0495127479097782208
eed33e25-fcac-41d8-8c7e-e7e0a75e26dd	0	0
6e3ffeb7-8a07-4774-8ada-7fc55c983393	0	0
bcd32d1e-47a8-4f3d-a2d6-3d5ff9dac5f0	11.1837229437229446	0.932020404232804189
2b7b0329-61a9-406c-b559-339e5c653d62	0	0
c9c4f2cf-672a-41ac-a378-f8bafb864343	0	0
004ea891-22de-4b83-bfbd-82f08d53005c	17.1436818181818182	1.42870682138888871
355ebf33-1766-43b4-a397-8e75ea93ee2b	0	0
693dd458-e73c-4532-88bd-086f13f3f65b	16	1.33339555555555545
87c82fe3-4d28-4d5a-805a-24706436aa92	0	0
916e84a2-ec14-4efe-bc1d-ed8f8bf7f84b	0	0
2bb5b879-c8db-48c7-b56f-f3df23974f2e	0	0
250bbcd6-2510-4c79-a16e-ac86facb3d6b	0	0
d2b800eb-afb9-4227-9c2f-d41e165a0295	0	0
f3bd3b39-a734-4e4d-9e34-704f2128777f	0	0
7c7ad6b7-0617-494a-8f8d-00f87df81b83	0	0
f077e89d-cda1-42db-aeb6-9e69c9b32e0d	0	0
216ba572-dfde-4755-a3d0-d923c6d7d8e9	0	0
c5a1beab-86e1-44eb-9194-34e25a41ec85	0	0
59947718-89b2-4188-8f28-6743826677fc	0	0
93d90586-c501-4e95-a257-defe3a4bbd2a	70	5.83360555555555482
fe0e2721-b3d3-47a3-b0f1-23d37a43661c	0.594125249072381956	0.0495160486056064053
dde4b4e3-f226-4223-88f7-d035132513dd	0	0
657bb334-2327-4818-a4a8-3083d8ba1431	0	0
c20a0d30-6ce0-4db7-837f-551cf90fa38b	11.1837229437229446	0.932082536026936137
7f5421c5-5429-404a-ab00-846e224d27aa	0	0
a697b781-8fe1-48ee-a565-10d6c439c628	0	0
d95285bd-84ad-4eb1-9936-547ddc49edb9	17.1436818181818182	1.42880206406565669
2e8ffb56-a7f5-4efd-ac05-1f41fae8cb12	0	0
1e58c388-7789-479f-b2dd-f0496f70997d	16	1.33348444444444447
ced75285-1d18-447e-a3f2-612242406729	0	0
dce24207-2a9b-48e8-92e5-1d912e58f211	0	0
2bb45638-1a8c-467b-a597-fb0c0fb7ad92	0	0
3f12605a-1e4d-4158-a327-de5c86fbc430	0	0
7029eb3e-ffb5-4d1d-966e-139ae38de934	0	0
3c2cfac7-4306-4fce-9f3b-1bd1597291e0	0	0
3f188dae-cee4-4d4c-bd33-b53b7c5fd796	0	0
26354404-0d4f-4f56-8b35-12bc124ca3c4	0	0
4f0795a3-05c4-435d-ad49-98440bc56fc8	0	0
3c6de583-34c6-4308-88c0-63024d937c60	0	0
ccd36bdd-10f8-47d8-991c-e75d9cdc84cf	0	0
fe0c36c4-4d99-49fc-8f83-832153b668bf	70	5.83399444444444448
0c05c80e-bda0-4067-8eb5-b5ae6924f536	0.594125249072381956	0.0495122528054039931
cab12e20-9887-4eaf-9df5-a2ff6f17eb5e	0	0
0cf1d0ba-37df-4201-94ed-2a02370aca0e	0	0
780290de-a7d5-4bca-bfaa-3c5af560c467	11.1837229437229446	0.932011084463684525
d75bc3d1-1b92-4159-8a2a-1025c02026ac	0	0
7210042d-5a53-4ce2-b3b2-58b77ed8a62c	0	0
7b211721-9b9d-465a-964c-e41afe7a7ec7	17.1436818181818182	1.42869253498737381
188ec6ec-05c7-4c07-b84a-4c6ff9bc7177	0	0
09eb5158-af56-4e16-bff5-c2d88184c796	16	1.33338222222222225
c72d834f-a11c-4366-bf49-9d139ec7e5bc	0	0
7a864828-639b-4381-89dd-7e9a965595e2	0	0
54d54b1e-05cd-4976-9d49-9d95a4550d29	0	0
d5ef0a89-07c2-44f7-a64a-31ed7c692c75	0	0
ed1917dd-98ac-4bfb-b4c1-2b8928b67a14	0	0
3e04d6a3-033e-4bfa-907e-7be166a0f68b	0	0
97113623-194b-49ae-80dc-721f0b23c5b4	0	0
cc2f8aed-a4d0-472d-b392-5fa014caef80	0	0
da51fb18-e8d0-46d2-b119-4a9b2684672e	0	0
7f36035b-9d7c-452f-9ea6-61bab1e7a767	0	0
b76530ef-92a7-43fb-984c-e48ad44e9061	0	0
7f1b66bb-84a1-434b-a99d-055c90fb5316	70	5.83354722222222222
9f6f61c7-2400-4c9d-b1f7-a63265df2512	0.594125249072381956	0.049567539460526007
6cebae40-8998-4add-835c-4b0fce0ee0a6	0	0
8b210542-0a8e-4d15-8b48-b4ca179653a6	0	0
7f7327ee-1225-4c37-9d9b-7f2d20c07028	11.1837229437229446	0.933051792015392123
b1a47168-ccb0-4722-84d9-8f5bf8e39b88	0	0
6f2a8822-5d5b-41fe-8287-293094d0f402	0	0
18d50b35-0797-4be2-83c2-eaae5f491d98	17.1436818181818182	1.43028784982323232
79b34667-1ce0-4899-a605-34ed2f434687	0	0
c0f594a6-5ad5-4f2c-a3ea-266c32d407c1	16	1.33487111111111112
72d52a70-43ad-4962-ad1e-0c79abd1ecfa	0	0
7cca9c40-5cf9-4102-8f6c-08887060bd17	0	0
a5180d1b-5454-4d3d-98f9-63a00d5fcda2	0	0
14767a9f-f11f-49ca-b507-51b117f8016f	0	0
d16590c5-8946-4eb0-820c-b118d2a257cb	0	0
1b23e514-367a-4300-86ed-aaa0d64f8208	0	0
08ed5a08-0649-4558-802d-0c89be698e5e	0	0
fda0d0ef-3244-4aea-bd37-065c55f4ed44	0	0
dde86bb1-825a-444c-9973-54b9501db503	0	0
5fcd73b2-7a54-4fcb-af19-011aaf019c5d	0	0
bbe190e3-ad3d-4a43-8d3a-eda3035471fa	0	0
0fb47d49-3b47-4850-b49e-44b2db2f16f4	70	5.84006111111111093
c2fadeb8-cc00-4352-ab8f-9832751eb8db	0.594125249072381956	0.0494564710459077517
4ed43de8-892d-4ddf-9d5c-ce1b6f608c32	0	0
96892ef5-244d-4169-8739-c6e7da252396	0	0
95714f18-2fbe-4225-82f6-7b7e6e7d28d6	11.1837229437229446	0.930961057142857151
50b3c4f9-7d52-40d2-8390-10cafa067b59	0	0
8b8deb0b-bc50-4d22-abde-d6b5a71a00fa	0	0
45a80b46-fceb-40c2-a4b8-3d5a9da3d780	17.1436818181818182	1.42708293374999995
d7fcb2bf-509a-477c-b445-74658c5b9d15	0	0
a878f239-cda0-4ddd-b29b-88f01ee796cc	16	1.33187999999999995
116dae3a-999e-4fc0-8520-eb0d85a976f6	0	0
c017a17d-26be-481b-a1b7-78294e1fd63d	0	0
5b2c9d3e-dfc7-4304-a7e8-1b079d4e3641	0	0
3aebf02c-da1e-4356-b281-9695abf3499e	0	0
7d11ed56-cdab-4abe-8183-58a24bbaff5e	0	0
1fd4881f-1c61-40b8-8695-ed1bd9641d0d	0	0
bf617132-24c1-463e-b88a-7707aef33e13	0	0
ee8e65a3-bd6c-4bf9-bca2-9b721b6e2edb	0	0
e706b30f-3b3f-4f8e-98f1-07e2cef0b054	0	0
8e2c6da0-248e-454f-952c-fdcc5c6b32b3	0	0
3f3af879-8a79-4d01-a90e-645ce265c546	0	0
6f4b21fc-beb2-4aed-a41d-64c0da61fc1e	70	5.82697500000000002
8ffd008d-efdc-41c0-ac97-84a28f966c25	0.594125249072381956	0.0495185241274775367
05a9f94a-ce71-4658-a913-d0156bc0a499	0	0
743694a5-4314-4996-9671-7fcd1284238c	0	0
f690699b-5a07-4b71-b426-7acfbf4ba733	11.1837229437229446	0.932129134872535015
09cafd30-4fcd-4e85-a063-8553a8510e5a	0	0
8aa77bba-bb9b-4ab2-9aab-4e4b28cc64ba	0	0
48baf701-903b-4d1a-9974-9e14bc744e2d	17.1436818181818182	1.42887349607323233
3a01fee3-3963-4e8f-8bc6-7d079f6817aa	0	0
b0a5be83-007d-44e3-9b05-8d5c57e3246c	16	1.33355111111111113
f090a2fb-7555-40d7-afbf-e92d8d3c9faf	0	0
6a6846a4-fcbf-4fc7-a109-1e94f501cc33	0	0
1cd01f39-f58c-4fad-9c48-ce0d450ff07b	0	0
cd9244d6-8f3a-4774-bb53-18cb15165f0b	0	0
9a0579dd-da0e-46a4-92a6-75c7d4129c1c	0	0
3ac4ff2e-22d8-43b8-814f-2a2fcc59790a	0	0
4f1223df-4469-4154-96c2-02f3182e72ac	0	0
9841f4f7-81b2-4fb1-8927-090af6ff3b46	0	0
6c5d8889-a79e-4ff6-a884-8473fa4b1611	0	0
5275ab98-f306-43c6-9f8c-1dee21fca1cd	0	0
344428be-ac71-4787-8102-feb5932d6d65	0	0
0a92c72d-bd03-418d-b204-c0b611bce6da	70	5.83428611111111106
c7015f4d-b9c8-465b-9fdb-2e153a4c5a18	0.594125249072381956	0.0495132430141524485
edd83686-cccc-4ec9-927c-601ae0d82042	0	0
4e273e65-8512-4877-b7c5-9fa8592b6887	0	0
931cee72-a8fe-48b1-bf92-881567da14c4	11.1837229437229446	0.932029724001924076
d2a52a70-355c-4dab-b3e9-afb1407754eb	0	0
7272cbf4-b42b-44f9-9ddd-3370856a49ff	0	0
ebf6b5f6-f9e6-4e1c-b0e6-79f9064d5c73	17.1436818181818182	1.42872110779040407
4c1883e7-9d6a-489c-8b46-a4ea121d7302	0	0
65a1eb6a-eb1d-4f96-b52a-4e0f6fddf800	16	1.33340888888888887
0d38d043-8119-4040-b4db-ca79992008f2	0	0
2b44e455-5cdf-4fb4-abcd-bce1d420792a	0	0
84fdf181-8a4c-43b1-a166-18739fd59120	0	0
d7499d10-3504-436a-865e-971e19a121f8	0	0
aa76fc99-2e81-4e5c-9018-8b8871a44a93	0	0
69efd6e6-c8bb-4fe6-a3ce-3e7f0c75ac23	0	0
03d2d2d2-9a39-492c-92a3-a1ee95566d32	0	0
6b5acf3f-3502-4a3c-b40f-bed090384d1d	0	0
507baaba-7e88-4d18-9abd-1c5f24e0e1a8	0	0
63e05f72-7e07-4c8f-92fa-2be251a9ebed	0	0
63ad1272-2d48-4374-83d3-4c8f3fa6265f	0	0
c46421f2-9a8f-42c6-88c5-95ee2cf2c487	70	5.8336638888888892
f20f3a95-f43e-4002-9af3-14af11d1cb06	0.594125249072381956	0.0495153884664407615
e6d03a1e-2b93-482d-bdc0-3150165daefe	0	0
5ec6d9b8-5fb8-4a61-993d-676563988034	0	0
1999fa9c-d228-4efb-8a45-00266b21d170	11.1837229437229446	0.932070109668109659
f6be0064-1670-4ceb-97ad-67b68ed43e39	0	0
117c29c2-6a8e-499d-8138-8fc538c61598	0	0
deddbcc9-5ce6-4a36-8057-49d1dd8e53e4	17.1436818181818182	1.42878301553030296
80b497b0-9640-465d-a73d-cb9575260be7	0	0
9e4ed973-81df-4b5b-9658-6d91d5a1243a	16	1.33346666666666658
1699ca33-4b97-49ca-a2b1-cc88a792284a	0	0
6aa8f584-6746-44c6-befb-dc56caf77cdc	0	0
35db860b-24cf-41dd-b868-319f112314a7	0	0
3b4b7fec-27ab-40c3-9360-333a91e39244	0	0
aa4e8b77-058e-4626-87de-4ae3afd357c3	0	0
eea44d33-3a7a-4f77-939c-aa6bcf68866d	0	0
09b294ac-fe1b-472b-b169-e6e3b724d19a	0	0
018754e7-7330-4049-bbbf-d0150c71b650	0	0
f8b47400-e24f-4752-99d4-560107cc1005	0	0
19712a97-4593-4f78-9b5b-71c11eae53ce	0	0
bac35009-2c5f-4cf6-a968-7cdbad6b351e	0	0
f53a8622-5900-47eb-94bb-af2fc88ad171	70	5.8339166666666662
c999f284-01d1-44ba-8a55-3aa335a42db2	0.594125249072381956	0.0495142332229009038
51362b34-e911-4c50-9662-970bc63a90bc	0	0
ac06d4f9-2ef6-4bc1-bb1a-763c93196930	0	0
b854d076-895f-4b84-9d26-c81a26bcf1b7	11.1837229437229446	0.932048363540163516
55388bbf-82d7-4020-aae6-67e35ffa1a69	0	0
3a9c8b12-5801-4c36-ba77-b441e7af051e	0	0
eb45ca02-2d4a-43f9-b0b8-c69a6f8f684f	17.1436818181818182	1.42874968059343432
d4797ee6-9e8e-46ac-b9f2-c71228e42d1d	0	0
37ff0c50-31c5-43e3-a667-78081065a017	16	1.33343555555555549
41e942cb-5135-4272-a265-52716d7b57dc	0	0
8dfe50c7-cc5e-4dc3-8cb5-5aec3d0c4345	0	0
7f30958e-962f-4d5f-bfcf-42daeb23711a	0	0
6e55404e-a9ff-4f19-b4a3-75b5d89f5ee8	0	0
0bf3b0d0-3ea5-4f1d-8a9e-38f0172479a5	0	0
8043a8d5-c323-4d4d-8300-9d7a72fdc25a	0	0
bc551078-1eac-40f7-8410-5ce49a5f9473	0	0
4d317eab-ac4b-4111-8756-6bf1d6d7a9ec	0	0
ff274212-f88e-47f5-967b-1d69d3887316	0	0
9f191bc1-08d8-41f3-8ddc-d6dd797bd8ab	0	0
c28da580-b17c-46f2-afd0-aa292b47b7e7	0	0
244780c1-635e-4355-8e35-82b3ffa37931	70	5.8337805555555553
398bf4a6-d8be-495b-8157-4b31cdd16955	0.594125249072381956	0.0495110975618641355
0451705c-cfc2-4e3a-a33c-e69535e13290	0	0
9d315249-3c5b-4d38-8319-2352dda5c385	0	0
88e247fc-8a4c-4471-bcc2-5315ba3e142f	11.1837229437229446	0.931989338335738493
fbbcdb23-25dc-47fd-ad0e-d463a6cbc5d7	0	0
178ed4e4-504c-4726-9427-f3cee91d687b	0	0
c595e129-4787-4ba2-a709-71632eb82e02	17.1436818181818182	1.42865920005050517
c12971e2-8c36-4423-b1cf-5a2a912f976a	0	0
fcd8aa76-9cce-49b3-afd2-f64919946248	16	1.33335111111111115
7d90a6e3-dbf0-478b-9de3-126330d1fdd2	0	0
deacdd5b-8c79-417f-9eb6-dad0bde80fa8	0	0
a7667b29-5401-49b4-92c8-cf3d6ac906c7	0	0
5524ce39-6ede-4f41-979b-29b6ee7a9e19	0	0
beaaf6b3-8375-4d83-863e-b8f7bd446f9c	0	0
0be40a4f-4070-4f90-a7bd-241490531b51	0	0
8282c55f-ecd9-4721-a06e-61c7119df193	0	0
6e87d9ab-0389-48b4-8aad-a3e7fa123f37	0	0
19c7d779-ecf9-46bf-9366-242176ee7223	0	0
87b06c9e-5466-4dd7-9d5d-035305f52738	0	0
88e43785-02f0-4390-9011-173fa2fee0da	0	0
83733675-640e-4b6b-931c-987ff5ac7bda	70	5.83341111111111132
67f5583f-053e-4d7a-9af8-76352dee9c28	0.594125249072381956	0.0495145632924837223
f633c7cb-fa33-4303-9d77-304bd2b8281f	0	0
b70c78d3-ea3c-4f3b-b5a7-594506eaedba	0	0
7e72c5d0-d3ef-4068-ba76-aea74f163657	11.1837229437229446	0.932054576719576811
902e334f-806c-45ca-8c74-d7c96d76aeb0	0	0
534c8058-705c-4d36-be0b-c9c4424b6541	0	0
a23028ae-0462-4286-a3ab-f4797f410418	17.1436818181818182	1.42875920486111108
5f8d6a3d-5060-4b32-aa4c-8d9b359cbea8	0	0
2e653b8c-cb89-46d7-86c8-193d70bae1cf	16	1.33344444444444443
bbb5775b-c3e3-4e33-95e8-508146f9045d	0	0
28e116bc-7820-4434-94ac-e5a10217876d	0	0
e7a8c0fa-2622-4e83-9367-6d3bc64a927e	0	0
faad50c8-8b32-420b-84d9-5cdabda175e9	0	0
25e93063-7659-4fc3-bb17-3daebe008217	0	0
2b48e31b-6531-4581-b41b-bc2d68e6dc8f	0	0
59e6ed13-6bd6-41b9-bc99-fe11e0162478	0	0
6e03a77f-70e8-4b3f-8708-f334470de49a	0	0
46734370-61dc-4716-8aed-7357dc3ff342	0	0
2cd840d7-efcc-41ee-ab17-9ccf832ab2d6	0	0
fd6787cc-9fa3-4388-92d7-8c93c94e3ccc	0	0
17974b02-0fef-48a7-81e6-643a03b42c92	70	5.833819444444444
b1b6bcf7-889b-47b9-b8ab-b98013ae7022	0.594125249072381956	0.0495053213441648127
a585ffdc-8a16-4bba-b85d-d4236a78828c	0	0
b7e1188f-3e09-4b1d-aee9-7ba771b86937	0	0
27caecd8-bf75-44b3-937c-a5ec82d1b9ea	11.1837229437229446	0.931880607696007668
6a9f9680-53ff-468f-a85b-8edca171d2eb	0	0
8365e28b-49e6-4393-ac6a-12b7e97c4ece	0	0
fe420a35-c857-47dc-b625-cba9bb37dba1	17.1436818181818182	1.42849252536616156
7e4b4556-1c33-4c89-888a-1d12961941af	0	0
8361db4f-debf-4cab-bd68-f670db1c0c6f	16	1.33319555555555547
ce7d359f-7e9b-4328-8155-2bccbac3430d	0	0
b9907b2f-9058-4c8b-84a7-0510f16e6a10	0	0
d42665f6-d3ce-47ae-aee3-686191b95149	0	0
41352f74-aa47-4bfc-b14c-74303f9a4b3e	0	0
7d91db4f-1a83-47dc-b628-af3dbf38440e	0	0
7e155951-dab4-4424-99d8-195eef30faaf	0	0
cd7177fa-ada2-44fb-8aeb-b52dad1d45f8	0	0
3597c659-48b5-42a9-84c4-bc9feb4fd366	0	0
7660dbd7-4b51-44a7-b01b-76240d893a67	0	0
7bf12956-bf4e-454c-906b-1390641eb694	0	0
1c11c82f-64ef-4b97-960d-49d39faa943f	0	0
c6282163-d17b-4a30-908c-1c791e965f71	70	5.83273055555555509
c5ce2b55-08a4-4e71-9dba-64f340ca0d0d	0.594125249072381956	0.0495216597885143051
8707dbdc-f181-4201-99bf-f4b1199e59f5	0	0
d0c96b2a-11b4-4328-8954-03f023e0d75c	0	0
d572113b-8455-4326-b97c-83db0e40c371	11.1837229437229446	0.932188160076960037
ae1c22d0-9ac6-4026-8c19-d8cf16037c79	0	0
7e78bddd-525d-457c-b437-4b665509f1d2	0	0
266be7b8-814a-42eb-a688-c1d5afd1d7da	17.1436818181818182	1.42896397661616148
e3cb3c58-3ad1-4053-aa40-c117511ea2c4	0	0
17b32643-1c91-4afa-8616-5e4efe6dbe41	16	1.33363555555555546
87f9fc73-bfa1-4414-be29-1726820181aa	0	0
526e9db1-667c-4ad0-bf13-4e8765b54ed1	0	0
e9770442-27c2-4d2e-ad09-9ecdbbc97c43	0	0
212f9ce2-6218-4d05-bb33-b94da724f6a2	0	0
da2b8f26-90bd-41a9-bf9d-acc945ff33e5	0	0
e0cbd413-4ba4-4d5a-8e4f-1a5dc3861f74	0	0
bfc593a3-fa4e-4110-a0e3-e265a2e510fb	0	0
16eb25ab-2b21-43c9-b91f-e1c00fe8b6b4	0	0
7370626c-459a-4145-9636-2d3a1550417b	0	0
f0f62b6b-1c3a-430a-91c6-6a96b6ed9f9c	0	0
6196ba83-f919-4cdc-9aa9-d5ef6fd4e377	0	0
5b6fa330-21b7-483a-b9fb-02d4e4c27b4f	70	5.83465555555555504
ab2f213c-5a5d-4cfe-bbce-62b91ad4c27e	0.594125249072381956	0.0495162136403978145
d6443ded-87e5-4b47-8615-e5385b62976d	0	0
52487252-eb0f-4d16-a11b-69efeeb0f566	0	0
ab64c686-67f6-40a1-8d5c-2b21073cd9f0	11.1837229437229446	0.932085642616642729
9aa79c3e-ec7a-4d03-8ea5-731fdcb27889	0	0
ee8a87ab-dc19-4381-a64e-ff9165b003c0	0	0
c2fc75b2-c12c-4649-b4de-5e48c2f795b4	17.1436818181818182	1.42880682619949506
45bfd360-1705-4487-8185-b167939fe156	0	0
36cc180a-5833-4a8c-8fb6-45db7eda7aa8	16	1.33348888888888895
39f26eef-f5fb-43f2-91f4-43d6c739b4a5	0	0
5c362cb9-3350-46d2-b5a9-f7d4d6a65552	0	0
b1d3916f-b1f7-4092-8de9-4b4353b4f8f7	0	0
25c509ab-cac3-4b1e-aac4-c6101ec333fc	0	0
3d826dda-b28a-4ba4-b2f5-4b9f2464f0c7	0	0
da8efecc-38e5-4e3c-bb31-48f53bc9ec77	0	0
124f3293-b2b0-4581-9d62-16081e75d6d7	0	0
585bc28c-ca43-41f1-87b8-ff0493606eab	0	0
883db73d-7758-4bbc-a5e9-8702e61bba14	0	0
58e07bae-2513-4594-a78a-79e3e2efebdd	0	0
22260040-9dae-4622-8a63-b29be6c5706b	0	0
df1c775d-3d7f-4e61-a136-9d7de6456722	70	5.83401388888888928
117e7e76-33fb-44bf-983d-5b05cdda27f2	0.594125249072381956	0.0495127479097782208
b5472e36-d122-4ec6-ac39-7b5e064c2538	0	0
747d7bde-17df-459f-bf17-9dfe3820a55c	0	0
fb8df745-9a87-41a2-a9ca-f2d47a57b5be	11.1837229437229446	0.932020404232804189
92c817db-4043-4590-b2f2-71a612aca2d4	0	0
a2a8e48c-9332-4b16-add9-3688506f98e8	0	0
beb99bbc-ea97-46c6-8b81-b6e8f5ada667	17.1436818181818182	1.42870682138888871
e5013020-9e40-40b1-bd48-a8189587f951	0	0
d6589284-69bf-4869-a7b1-d7fa89309931	16	1.33339555555555545
8c1356fb-944f-4244-9394-ca3ac3a12bbd	0	0
635adb1f-89e4-4bf1-a364-d7f8fb433b5e	0	0
d4faf6a7-6b34-4a3b-9bbe-cccc3d320075	0	0
9c33be21-c138-45f6-a832-98e037749d1b	0	0
4cf179fc-6e95-4d61-9122-1736b2796172	0	0
cf947356-b3b0-4fa6-8220-3b03acf41cb2	0	0
947274b7-42f0-4d96-98cb-932304ed8c98	0	0
415af4d2-f064-42f7-be70-05f4b7e68238	0	0
c6be0634-feb3-4af2-b78f-b189d65f40c1	0	0
c62c413c-c9da-400d-af83-5f34c8a2aca5	0	0
8bfe4a06-086c-44bf-8653-e0540275ef6a	0	0
e4b176d6-4245-459c-8909-26a2adf460b1	70	5.83360555555555482
cf29951a-e0d7-42b2-8c26-8ef583ae8286	0.594125249072381956	0.0495140681881094877
91f83bdf-f4a6-40a4-8fc8-dbb5ae0e81fa	0	0
7ed3ccfd-210d-4be5-b0ab-c19c089fa14c	0	0
3fbeefec-287d-45bf-be01-d000b35ddead	11.1837229437229446	0.932045256950456924
d8ced2ca-bc44-47d9-aaa7-5329481c1216	0	0
dc5e244e-ee4d-4572-a9c0-f205dd44ec39	0	0
45f0f99d-b030-45a9-83ef-504229b7ccdb	17.1436818181818182	1.42874491845959595
017f2260-02ca-482c-a766-8be3a8d5ce07	0	0
bcb1f84a-4c09-4319-89fc-78ba833e0ff5	16	1.33343111111111101
67131c7c-1f07-4899-beb1-1d5e591f9bef	0	0
3da31bf7-d9d6-413d-8cd1-a6807ede3901	0	0
8867b00a-9234-4c1b-ba6d-7936ba17d907	0	0
5396053a-d397-40c9-beb1-25ae850ab896	0	0
5efddda1-6c5d-46e6-8318-926933fe3441	0	0
866bde58-f7c5-4959-abe5-e07477394610	0	0
c2c33306-250a-4221-9e12-db01f0aed0c2	0	0
49bd3e50-20f6-44b6-93f9-eab30bc597da	0	0
741e8a95-7234-49ba-81eb-58c29e7077ab	0	0
27f0ce17-e7eb-4e4f-b657-e9b2be93d7f0	0	0
5bc5ce65-8e1f-4e1d-a84e-a44b3c576d88	0	0
f73c5ad5-03b6-4e26-ab9c-57956e9a4527	70	5.83376111111111051
0e937a75-dca1-4ece-867c-91d16627cc99	0.594125249072381956	0.0495122528054039931
0506a404-5df2-4f24-80e7-ffd7aad5c1dd	0	0
c650dd8e-c3c4-404c-8106-b86f90e1074d	0	0
56926305-1969-41af-bc32-189225656fc6	11.1837229437229446	0.932011084463684525
79316bbc-8fca-435d-a05e-eb23f5b51b2a	0	0
961b8b6c-d62b-494b-97e7-390c2c117d93	0	0
f30cd97b-14b2-4cfb-b932-abf09a14f635	17.1436818181818182	1.42869253498737381
b9f35e67-c206-4d61-94f0-e5ee525eeace	0	0
213cb973-609d-439e-b210-4056e4ccc301	16	1.33338222222222225
bbb71ff1-fb73-414a-93e2-a94b332fbf70	0	0
c7426903-a664-474f-81d3-6fbe93423128	0	0
9c1b9637-ef0f-4be4-b5ae-2292de6125ca	0	0
c66d15f4-ad30-4cdf-9de1-6ec003425b7d	0	0
6c1a5968-2134-45e2-808b-3d53a0b8dc95	0	0
0982e764-ce05-4029-a613-28f9e6bd130c	0	0
67528582-6a2c-41f0-b70f-d0580803bbcf	0	0
9146bfa6-ff8d-4bf3-8a35-dea8809be556	0	0
6ae30888-f86b-4c92-bba4-2801a753fd6b	0	0
cf2e6c5d-4d1f-4878-805d-0c43d87f0acf	0	0
46e99b6c-2fec-423f-a4ab-00b1ea2e84c7	0	0
9b10bee7-096a-4761-a6e2-fef3a074a417	70	5.83354722222222222
3685fe3a-d17f-4513-b7a9-32fa0c0c368e	0.594125249072381956	0.0495115926662383563
ffee02c3-d0ac-4d6a-b28f-95e364a69440	0	0
5883532e-3881-41c9-861e-2f7e255b4b99	0	0
e7d7328a-7ac7-4f6b-9a4e-880df4344d6b	11.1837229437229446	0.931998658104858158
074057ff-d4cd-4c89-b6a0-d2a88bd2700f	0	0
efc5c90a-430e-4a06-9955-0a400dd613c6	0	0
f6f272ee-6505-4961-b79b-cda5109afd2b	17.1436818181818182	1.42867348645202008
3e889947-b67e-4fa0-b153-548ddc3c8629	0	0
7fb74104-bdee-420d-b039-8a7dcf3e24cb	16	1.33336444444444435
87c7c403-c73e-4f60-bf5e-d52723be724c	0	0
bb6a8d9a-7dff-42ad-b3e1-49d29971cdf5	0	0
01c7a37a-5566-405c-a292-b10ee9781cf1	0	0
d613d2a5-b776-4372-a540-35fd4d6e7d09	0	0
e5b366f8-39d9-4335-b1de-c77cbdf4ea77	0	0
86db789a-9e12-4845-895b-8e70ae7aa889	0	0
b310a4a4-5009-4de6-b00f-d66c7d52a215	0	0
86333178-37b2-4301-a62b-db8916c9b831	0	0
17a296c5-9629-4ac0-922c-4ed3bdb987ac	0	0
ce7703b9-d70e-4d98-9a68-eb9d33911fba	0	0
f8bf89a7-bb26-40d4-86f0-d56bd7e44e88	0	0
177f02f9-2188-45b3-967e-24028f1ed2be	70	5.83346944444444393
c0ee93b5-1de7-4b27-9ac4-07679f557e9d	0.594125249072381956	0.0495158835708149961
e10fe7ee-ea72-4e7b-bb68-5e720d41b5bd	0	0
0aaefb05-7177-414d-8a65-b7dddd6346ca	0	0
0c9cd459-8303-4b58-b56b-813824e8075a	11.1837229437229446	0.932079429437229545
a5591ab6-75bb-4c59-8a4d-96e0da49a5f8	0	0
887e974e-86da-4af0-aa64-a4cc438227ed	0	0
fb13fc4c-a9af-4f43-a9cc-bfc324bcdaed	17.1436818181818182	1.42879730193181809
3e7f0ce0-834e-411a-b99c-916936d666e5	0	0
0b8f9ec5-3afc-4ce6-a505-aa779e93dd50	16	1.33348
bf877822-0aec-481e-859e-55715217a97e	0	0
1bd43507-577a-4b58-86c0-dcd30ea4b47b	0	0
36be90f2-ac75-44b3-998e-8d2576a15288	0	0
e7cd9fcd-a85f-4cfd-944d-391cf571c3e9	0	0
75bd0dfd-304f-4c29-9719-efdc5083fd9e	0	0
9de27563-2e25-4b37-adc4-42bdef2fa298	0	0
aa884e08-dc7f-4a7e-af0d-4a484807580f	0	0
644dbc6c-f4fb-4f64-b51d-32464b6aab62	0	0
d36a7327-3832-4bc6-9091-8cb2e46623d9	0	0
c70ff1f7-faa9-4c71-8def-544013c8addf	0	0
bd4d4434-55a0-488a-89ac-3a3ddc8bfcf6	0	0
152ee90c-c49b-4479-9d3c-9557214d1a47	70	5.83397499999999969
30852b47-389d-47fd-9d1d-beb5997f2e15	0.594125249072381956	0.0495143982576923131
d3ada0dd-4388-4fd6-b78a-4e955961492d	0	0
a163d1d0-3c1c-482c-b960-8fbc026764ee	0	0
a7a37f24-a477-4536-8347-e5014d1255a4	11.1837229437229446	0.932051470129870219
089ca24c-1f29-472e-b997-2604c3f67287	0	0
76da9807-f9e8-4a40-bf78-01c7ea61da2a	0	0
85ce6e1a-1fc5-4884-a1e7-64feb3f0765a	17.1436818181818182	1.4287544427272727
c69d88f7-ecf9-43d2-ae1a-5b8dadfa5268	0	0
0c8968b2-0317-4d6e-9d0e-64f7cb7b9e7d	16	1.33343999999999996
7d2f8e74-44e3-43b8-90a4-b07e8358a2f0	0	0
1f54551a-21d4-4ac0-aab7-73fa0a6ea732	0	0
cd30e6c3-12f6-4d67-98ae-e04cdcdc8d20	0	0
5bfb883f-00be-41a3-8280-3dba6b45caed	0	0
86113207-26fe-4490-9e08-6afd47ff8a5e	0	0
0c82f371-a971-48c9-b31b-3e630076ee7d	0	0
72906f5c-bfc7-489e-ac5c-3c51741ef67e	0	0
4d4c4e40-dab6-4a88-aedf-da3a8b48d38c	0	0
8f625156-0110-46cf-87d2-2df3840be7dc	0	0
7cd87772-dad2-4266-8891-04699bd7d963	0	0
60602a9a-3969-4229-a933-201273ea47bb	0	0
4dbd2790-2b3c-4053-8c27-fc76ddf89bc8	70	5.8338000000000001
58aa38f7-31e4-4a4e-9956-ca2732cd1d1e	0.594125249072381956	0.04951291294456963
393798fc-e997-4435-81a0-5df6a9218cb6	0	0
41d55ee3-e63b-4d55-aa3a-bf50d1a93653	0	0
68e88c3a-196c-4f1d-bd65-3e358a226f05	11.1837229437229446	0.932023510822510892
89b90338-cefb-43f2-af1e-7acfba210266	0	0
b4d928f5-d585-49a0-ba61-a6b1803d6880	0	0
3d9ef38c-d661-4538-a068-39cc9b513623	17.1436818181818182	1.42871158352272709
fb502a85-8825-4418-88a0-ff7bd3e58097	0	0
ab2b9d6a-1c4a-4fba-8965-3dd469bbbce6	16	1.33339999999999992
dae4f8f7-235f-4a11-991a-4bb009b0beb7	0	0
0939aa1e-8c31-42b9-8560-0ef447bdbf96	0	0
7c3940db-0674-4514-8100-92c3971c2ff3	0	0
16d1d4f2-2460-4fef-8e86-cdb1b7fc7c0d	0	0
f6684430-5949-4b45-a437-7c163a7a3ddb	0	0
b014e3fb-a969-4aa5-852d-350730e192dc	0	0
b4f88de7-9705-4931-b937-f14a5084b583	0	0
111014d6-e864-4676-b592-ae67b54194b9	0	0
07761cc7-14d6-4a40-8f5b-5b9cab04cd71	0	0
e499d14b-3835-4edd-b3e4-c40a1e2ca9d6	0	0
84191d93-7ada-4a59-a7c0-4ac7b1e2f036	0	0
6f628e73-da48-431d-8006-899e76be231b	70	5.83362499999999962
b7154e2b-e165-4e0d-b81a-b61c537c34ee	0.594125249072381956	0.0495170388143548537
d0b9f1d5-69d2-4265-8765-8cfe12f2af48	0	0
d0d53730-35c5-4a98-83da-b62687d4cea5	0	0
aef69d3c-dda4-4f05-8de5-3a3462e41929	11.1837229437229446	0.932101175565175577
dfbc6da9-32c6-43fd-8352-105749e17db5	0	0
88b14e37-156c-4b0d-a5af-957dba42d22e	0	0
1ad0c8b8-020a-46f5-af2c-875f002b4b00	17.1436818181818182	1.42883063686868694
7d041db0-497f-4e2f-a4de-a442d012cf02	0	0
d1a9a324-a432-488e-b70c-55fd1de747d5	16	1.33351111111111109
c85f4b2f-c479-41bd-aeec-3b485546e62b	0	0
4d390beb-b55a-4e63-a724-a1902cc2638e	0	0
ff727382-caa5-473e-a923-4d07892c4beb	0	0
b7f71efa-da6b-4827-95dc-e53d709614dd	0	0
f832b0db-1e7a-4d41-bb13-78981c49c7b0	0	0
0f51f769-a647-4e77-8c73-1688a2d2b717	0	0
25c23b28-2e21-4132-9468-7eb8c29197ac	0	0
f9b9f01d-f9a7-4fa5-889a-b37c23ce2c43	0	0
81e7862e-8593-4162-9169-d720c2c9ce72	0	0
70a04d1f-87f4-4007-a1df-77c4222a9eef	0	0
b07c699d-0ce3-4c65-83b7-74620367a090	0	0
beda31b1-4433-4d93-ade4-d4702af398d3	70	5.83411111111111147
2a863e97-9100-4e37-b4f3-f7eebee23133	0.594125249072381956	0.0495096122487414525
81e47b30-fb80-4b1b-a968-5b9af1643840	0	0
7fd2e338-2370-43e9-a7ed-0a3914508e49	0	0
909fe2c7-99bb-430c-8b5d-c01893ee76ee	11.1837229437229446	0.931961379028379056
1b02f741-87fe-4694-96d1-69365ed15748	0	0
aa17de1c-d67a-4f29-98d3-5220263a54bc	0	0
b9958546-20c7-48d6-aafb-b2a6953a6276	17.1436818181818182	1.42861634084595956
b4a4be6a-718e-439c-bcee-90f84c60882e	0	0
44b861c7-9588-45c4-982f-f9c116482b04	16	1.33331111111111111
d18e827f-51fe-4f6c-b2a2-b90218878112	0	0
dd7e9d6e-1f44-4b0f-afe9-47460e3375a9	0	0
0c0b563a-ee49-42e0-a802-16ff7f166318	0	0
1250482e-bac3-4c02-8f42-c06dac6ed81d	0	0
c1b1ba2a-922f-499b-bbc9-6d436d805e6a	0	0
2912daa6-e54d-4baa-be69-de3c88f56236	0	0
76e60ad3-3568-4be3-ab57-55e0d11557fa	0	0
7ff8d7ff-527a-4abc-9214-d0fac8414f2d	0	0
5821e3bd-982d-400a-ba46-420fdcbd8ca6	0	0
5f13786e-db73-4ef1-977b-9d50e700469f	0	0
41ad8f43-7818-41ad-8eac-7dfcb388e8c9	0	0
48b0ad28-5579-431d-8105-cb70d2af0320	70	5.83323611111111084
0dde4503-e3fa-42e8-8012-64b21301bb9f	0.594125249072381956	0.0495147283272751315
8ef3d977-ad3b-4e41-8640-e08212f0b51a	0	0
c48ac19b-f6c1-493c-a239-159ee3c4fe39	0	0
e541b608-3881-4b2a-b3c9-abfe362e9a80	11.1837229437229446	0.932057683309283402
0fa0b579-1e74-457a-a24b-ce4468ecddfc	0	0
1b19b016-4a2d-434e-bed6-951d1f7b3ae1	0	0
9d9c9346-ab1d-46a5-9932-a07b28072beb	17.1436818181818182	1.42876396699494945
c2d12fe7-e019-4ac0-9c75-d16c59419d0d	0	0
8e50efde-1963-4b18-8f09-efcb51f493aa	16	1.33344888888888891
65e64c26-408d-4d5d-8739-06286e92d78f	0	0
4f18eabd-f662-4ef9-957d-47ba9e0c47fc	0	0
38fb6439-c15e-410d-a267-e2a1a7bed727	0	0
8c009f4f-19ee-4e7f-a4cc-86358b78d307	0	0
615f4094-c0dc-4f24-b384-c080401b49ab	0	0
a3446637-7788-460e-b111-e0a6f75adcc7	0	0
86826d29-912a-40a1-b5de-09c95f59d937	0	0
1d90957d-565b-498d-9c38-52d3c5c88430	0	0
4b51d732-aa9c-45b3-a049-691b50e89e8a	0	0
b3d09aad-a9a1-4290-a786-a01544d981ac	0	0
c8fb2aca-04d8-4db7-9816-b6691f23e872	0	0
21b56446-9279-4e95-9d9a-b0dbe55af5d7	70	5.8338388888888888
af63b59e-2ef3-4da4-a492-c4120c7cbe0c	0.594125249072381956	0.0495082919704101787
8f9bd2b7-c116-470d-b1be-1a949986632a	0	0
e381028e-bdcc-4f9b-9901-623220eacd4e	0	0
b660f5ca-79f0-44ae-be0a-279de992f7a5	11.1837229437229446	0.931936526310726432
8fc3aa83-e46f-47a5-8a56-3aef01baddfa	0	0
dffac643-dd76-4dcb-ab1f-768545a548e9	0	0
bec2862c-f8eb-4510-a3e1-e370efaba6bc	17.1436818181818182	1.42857824377525255
c0c2d58c-811d-4e18-ac7d-a803eb725bd7	0	0
a94f895c-f7fd-4d2b-afd4-85c206ffcfd8	16	1.33327555555555555
c522f6bd-814a-4a1e-ab62-2d193ad97660	0	0
f429358d-1152-4519-87ee-33084d094ad1	0	0
534d2a9e-efbc-4d9b-a842-3ff938690017	0	0
25f746a4-7cf8-42ae-ac58-17fa690db4c0	0	0
0fba073e-aac2-4542-a3c6-7f4d14c836e7	0	0
80765166-102a-4b98-81a5-e9c853912fc0	0	0
d74b6deb-dde8-4313-b448-c3b0baf73223	0	0
452618f2-10d9-4944-b216-f9f46e27aad7	0	0
f9e19858-bdb1-4665-badd-ce563fbfd9a2	0	0
41f25b0d-c011-4627-be18-50af1341f4e5	0	0
2dae1d9a-fd18-4869-92eb-091fb9bebd5d	0	0
05e0abf9-5737-4378-9acd-3b1d68888876	70	5.83308055555555516
cb2e91f4-4178-4993-8c71-c911ffd67459	0.594125249072381956	0.0495188541970603552
685a1621-55ea-4ea0-bbc9-be6cd8d0dabe	0	0
302c034d-25b7-4743-a2da-85ffebee1a57	0	0
b6255954-26e1-4818-a652-ca4e8b016767	11.1837229437229446	0.932135348051948198
a2482dfe-71f3-441e-ad68-e681480d8c03	0	0
79faf6b9-1f9f-4470-8fa5-13adb44393f9	0	0
e04c7351-afa7-4263-bd87-c71eec550540	17.1436818181818182	1.42888302034090908
fff9ee5c-ded7-4547-97ae-fa42c390cc23	0	0
5f9a142b-d03d-4587-83d9-cf92b451af7e	16	1.33356000000000008
ca51583f-0a22-4d46-ba98-71cd53ce9a7d	0	0
d1a3a46a-27b0-4ecb-b919-8a3c037408b9	0	0
89a39c3f-74e3-4d80-b093-ca7957151641	0	0
8f3b411d-76d7-4c80-935f-a3bba4226d7e	0	0
0f5fcfe7-7cb7-4a18-a161-a96a3a3fd327	0	0
8811f956-c886-41d4-9aa5-8609089166c1	0	0
7b54a0bc-3cd5-43f8-b997-474f372f0bb5	0	0
f0033f84-2c05-41e2-a721-76b1f655404c	0	0
1ade962c-875c-450a-a117-d9a2aff66b63	0	0
30c1a53d-d5a2-4c17-b17b-6c5ac2e7d3cc	0	0
ef5e298f-b326-4e23-bf3c-87c68b9c1308	0	0
5d883018-ce88-43ec-80ae-1034a53f480b	70	5.83432500000000065
cf9faca7-1cfb-4521-9c70-19a4a4f1aece	0.594125249072381956	0.0495122528054039931
9cbe84c9-e7c9-473c-a9b3-aa438b0dca7e	0	0
866468c9-a059-49ec-978f-f0670789bf22	0	0
5396e2a4-a0f2-4f42-9f15-26c384f38daa	11.1837229437229446	0.932011084463684525
e775ef1f-99bd-46f5-a09c-d1e3e6cfa8c4	0	0
40e92cef-4310-4c75-abdd-225335eab555	0	0
7380f93d-5c15-46c9-9445-bb66bdd50e58	17.1436818181818182	1.42869253498737381
7cc8ef82-5512-404d-babf-c4f5f3f43afa	0	0
638767cc-f695-46eb-a663-9ad46a0b013c	16	1.33338222222222225
693916ad-02fc-4c03-a9d9-60980e3ddb8b	0	0
9f49a636-a9fe-42ef-b0af-d9e499fa07cb	0	0
d2f590fa-976f-4cdf-82a1-fa32e3523f72	0	0
7a8d9528-8c8e-4991-9796-6ec6bd291eaa	0	0
d9bea318-8cb5-47cb-adaf-fe6df018db1c	0	0
401517be-db3d-46d9-a2be-f270fedc9e2a	0	0
95c1fe3e-a085-4eb1-b918-ce4a71492d03	0	0
f250ae42-db3e-4376-9390-8e6d054886c0	0	0
04dd781a-4e4c-4d7d-ba99-1c8c22767669	0	0
f8846f3b-ed67-4fad-9fad-9453ea21d893	0	0
d94a8497-182e-46cc-b7f1-51d07c627ee6	0	0
d0fc4e4f-241e-4373-aa0a-d815e3a20abe	70	5.83354722222222222
575a876c-1319-4126-9b31-b64620ebe2f7	0.594125249072381956	0.0495153884664407615
f98bb396-f594-4276-ad23-ab8fc281037f	0	0
fecba073-a68a-4b8c-bdba-5dee6887bf7c	0	0
4fd208f0-9eeb-4af0-a4e3-97e481b19ba5	11.1837229437229446	0.932070109668109659
5135c7b3-cb1e-40ad-8888-d1e0b2eab71f	0	0
a38b84ce-e7bb-466c-b9d3-4a55eba79958	0	0
3ea20b8a-669a-42ca-ab6a-0a38eb8fcc9d	17.1436818181818182	1.42878301553030296
4b6c01d3-a786-49cc-bec0-6dd454e720db	0	0
d22fe143-c6a8-41d5-9204-aaf6103d57a9	16	1.33346666666666658
08b482c9-e8bf-4b54-8b0d-da96aa2d0c10	0	0
ee4f8a35-6024-40cf-bae7-4dc1880b6c4b	0	0
6ebea6ae-0cfd-4b7c-a5be-da52ceec68a3	0	0
56482c37-c89d-4599-ab52-c78920317413	0	0
de832d92-13dd-49ca-b9f1-5729e321b106	0	0
87fc906b-999d-4a90-8cc6-ee9d1d6eb8f4	0	0
65ef4489-7c3f-4d6f-8d12-ae0fb95004fc	0	0
b29eafdd-100f-4495-b808-4a63c56de7d5	0	0
4cbc88aa-cc5d-4246-b80b-07a392f6e08b	0	0
9ecf4eb8-6f2a-4779-97ee-c0b7011a865a	0	0
1097d413-7b3b-4ed7-801c-df636d078189	0	0
ab7d91e9-a608-40a4-a35f-0f104f0c98e3	70	5.8339166666666662
3e18e6d5-0d1f-4435-922f-83d18a586494	0.594125249072381956	0.0495127479097782208
9b1dfd60-7090-4db3-9e3f-c556fec0074a	0	0
a919875f-97ea-401d-b44a-b6fb01c1a78e	0	0
46325465-ec3d-4784-83ec-1f741d10f936	11.1837229437229446	0.932020404232804189
c27ab764-38cd-4820-9660-e3de7f8fbfc9	0	0
22204526-0709-4837-83df-8758d9dc8bfc	0	0
d76616ab-6dc7-4c80-9f3e-ca506cd60863	17.1436818181818182	1.42870682138888871
84bd9cd8-1f45-481d-8574-d69eb1bbca7c	0	0
9ebf9b76-5548-40d3-b62d-2289d219e5e6	16	1.33339555555555545
08b909a5-fdbe-43d8-a3d4-608862b9408d	0	0
70536d9f-e498-4de5-a9ca-af095d8dbd53	0	0
941170ed-b9f9-47d4-9bf1-01fe94299539	0	0
84853d03-c635-4a46-8ed6-93984d8eb4a5	0	0
9ec325c5-606a-4d31-b741-4190545085fa	0	0
86b5616f-4ea6-49d9-8916-540e9a8a407c	0	0
595fb052-41c0-4152-a841-5d46cfad8026	0	0
9c128de5-60e7-4b9c-8a6e-acd83cad04b5	0	0
4299a1b8-b86d-4c6f-89a4-2734abfcb992	0	0
265bc629-7ce2-4f5c-8990-0d58604e989a	0	0
a2ba21af-c03e-45f0-9ad8-0d40b5a6216c	0	0
1b9fc98e-44d7-42e4-b878-f0ee962860d2	70	5.83360555555555482
541647ae-45e5-40c0-a871-3e6b680b9b7a	0.594125249072381956	0.0495132430141524485
84d353ef-f157-49ad-b1c5-53c8e6ec10e1	0	0
d5b9b1b7-f923-4bb8-bf15-bdf704a41627	0	0
9d6ee94c-678b-4b36-8253-75fe584fc8ce	11.1837229437229446	0.932029724001924076
9752ca37-47fc-4f4a-b74e-46cafd12822e	0	0
777ae190-1f42-43e9-b69e-20dbe1360251	0	0
3c2872b9-3cbf-47e4-84b1-e55530f42c53	17.1436818181818182	1.42872110779040407
9765cceb-5d30-4cbf-a4a4-a3f5b6de801c	0	0
f45357d5-6101-4bec-877d-07644fee910e	16	1.33340888888888887
7a97735a-6fef-43d8-93c2-b4a1c42823d1	0	0
148b2609-d3d1-4594-8c70-d1ef9ffd366f	0	0
9678c8a3-6a25-4242-88d3-96e715efc600	0	0
3d7ac310-8070-4521-903e-c2e43aa1cf8b	0	0
ce3ba862-a14b-4269-91c9-3e8db145b79e	0	0
bd6d01db-b95d-41e8-91c9-ffaf0830e73c	0	0
5ebd1fe8-8b64-49ca-aa16-1cc9e097c3eb	0	0
6bb86b15-7950-4709-a46f-3c87827a2ecb	0	0
3ca64c7a-bb69-4e0e-970b-36865e4fa50f	0	0
9b1c166e-ee9e-4b42-8712-39b78b040458	0	0
b2dde422-195b-495c-94da-1d3507f2418d	0	0
eaf9fabd-26b2-41e1-aa6b-f2b6f43f381e	70	5.8336638888888892
3eecd31d-6749-49cf-a6c5-31e032b1197b	0.594125249072381956	0.0495130779793610393
ddbeb53f-da31-4e0f-a271-ad77ac58c05c	0	0
36be8018-e390-427a-aa29-7b41bd14ddcb	0	0
9c6fe1fd-c5c2-4dee-816d-777db6301229	11.1837229437229446	0.932026617412217484
7b88cd95-d5e2-4891-8841-02338bd0a7c4	0	0
65ad6057-9509-4189-a03a-5d9cfc225254	0	0
9fd87b20-1125-4e70-a4aa-a14d86a762ee	17.1436818181818182	1.42871634565656569
e7d04346-01a3-4655-a487-7b12ae7a874f	0	0
33d019ca-21e7-4af7-9f39-ae1ce00a0229	16	1.33340444444444439
7ba403c3-ef53-41e7-aed9-943fdfe6aa5b	0	0
e5f48e9c-5bb4-4b09-ad3a-5afb0783ccd6	0	0
412fbc93-d507-4438-a184-caf55f865b7e	0	0
bf4e1a0c-278f-44dd-9baa-63a09860a80a	0	0
b621910f-0ffb-4aae-89e0-e9034bc78507	0	0
1fa661e0-70fb-48d6-bee8-3fef92b0ba4a	0	0
4b297a0f-d4a1-436e-866e-7b4833330558	0	0
422e6e8f-e5f9-42f1-b698-c69dd077dea9	0	0
9d8a5f25-1c30-4321-83c7-6b85e21ba5c7	0	0
80d4cd82-53da-4a8b-b4f6-23b753878b58	0	0
3c5e00e0-43b3-4d00-ae39-c8687c844b17	0	0
1feac2e7-fc45-4f4d-98c9-ddcd77b77b38	70	5.83364444444444441
577dc8ee-93f5-4597-a2b1-af60e16f3358	0.594125249072381956	0.0495058164485390473
61e582b4-a97a-4ea9-980c-a5168051a276	0	0
8df66e32-fdb6-4bfc-b79b-e99a5904141d	0	0
6dd81fe6-e3da-47e2-ba33-33bd60c838d7	11.1837229437229446	0.931889927465127554
994f2d14-6b64-4ffd-a021-3c633a909240	0	0
4e6538c4-60bb-4ea7-ad8f-10900771dfa8	0	0
428b2b59-a9b4-4ae7-b8ec-9072355a7ec0	17.1436818181818182	1.42850681176767669
f212a5e3-91fe-4545-8189-c592f805ddf3	0	0
1e914aac-d2d7-4aea-9c65-55bada0a2a04	16	1.33320888888888889
121e5c03-4ea3-472d-89f8-bc39f3ce2a7d	0	0
14183224-fc0f-4a56-9ca9-22062038926d	0	0
4ec80fb5-ebda-46ad-88f4-511b8064ac91	0	0
640a587e-6c92-4366-abbf-365a28fc073f	0	0
3399dbe0-f10c-4cfa-902f-db1dfdc2a4f4	0	0
baf42f29-0faa-4757-8abd-11b8a0698f82	0	0
cd846f56-8b90-4d2b-9ee9-0415045da267	0	0
4671e08c-9af2-4114-bee3-b173f5c7bf9e	0	0
2fe40d31-deae-4a8c-8c35-245ad05f15fb	0	0
9b4438c6-13d4-498d-a611-8895a7d37df9	0	0
9c4b27b6-e3d1-41ea-9706-70957a2dbbd0	0	0
085ae7f3-41b4-4a01-a7ef-a718abcb8e7b	70	5.83278888888888858
6a5bb4ab-8efe-40d8-ad8d-1f18d804c3a9	0.594125249072381956	0.0495213297189314935
befda2e3-66fa-48a3-b911-d911893f4c1a	0	0
0ac2427f-8fea-40c5-8bad-2ac26b0f80fd	0	0
1df6572a-3dbb-4844-9b8c-cc5b4435a2a4	11.1837229437229446	0.932181946897547076
4e8368c9-b1bd-41f0-b35a-b68a02e7d29c	0	0
a101f101-fd19-4ca9-a636-28ac435a846e	0	0
c0b91f4b-e2c0-4bb6-a915-9a3b78ef3978	17.1436818181818182	1.42895445234848495
e38e5333-5d1a-432f-b87a-b8501cab9e51	0	0
00c64c71-5985-4abf-8108-6d54710875b8	16	1.33362666666666674
f66d0526-9389-461c-ab16-3d6391b1a400	0	0
d2cbd360-df94-40ad-8832-e3190df7127d	0	0
d5b0606a-5af4-484b-ba50-e7ba1f3d1980	0	0
0e226648-9069-463f-8fed-21d02d7072e5	0	0
22838fed-7734-48f9-bb04-684c57eee1b7	0	0
17f6d4bd-4b00-479c-8aba-8dbba5b44aeb	0	0
bb33f6e7-3fdc-4d0b-9c1d-69816e9dd2ec	0	0
d352c450-5df4-473d-bc89-8b82f9f1062f	0	0
ba3712d3-809c-4249-abda-63e31392f9c8	0	0
593e8403-f3ce-4d1f-9559-3ca21be00234	0	0
5fced562-0b18-476a-ac65-6537b46a4a3d	0	0
2bb596ed-3ced-4965-ac6d-e4677ac994bb	70	5.83461666666666723
62d607da-1f4c-4ff2-9685-dfec6cf2dac6	0.594125249072381956	0.0495137381185266762
412aab3d-1288-41c9-9aef-39c56583eb9d	0	0
67de20d5-5f48-4a40-9c2f-510d223edb26	0	0
d7ad9965-fc98-4c7f-a9eb-840ca1c4740d	11.1837229437229446	0.932039043771043851
a3a684b8-ef39-4654-a568-2c356ce559fa	0	0
802a9328-e610-4d29-bfe8-410495645dd9	0	0
74b3db3d-c12e-461d-adbe-24504fab4e59	17.1436818181818182	1.42873539419191919
09572874-d71f-4650-af99-dbe10d406ff1	0	0
80eb3866-5aca-4179-83ae-28e7387df581	16	1.33342222222222229
8d1f88cd-0866-4149-97b0-b63b90e7d0ff	0	0
5161f47f-fb5e-42bc-9575-23112fa8974f	0	0
44c2898f-c4f7-4fb2-abd6-4d4430adff84	0	0
68716741-d27e-4ca7-94b3-f3b3323a61b6	0	0
02a42035-db5d-459c-8414-841e04304db9	0	0
60e2070b-edab-4039-b286-66ef655180d3	0	0
b42d26a9-893a-420f-a0de-5b23476f2d64	0	0
5f465c4b-29a9-48b0-b9a8-f3d9a90577f0	0	0
e9832d70-307a-4955-9035-fbc3128cba0d	0	0
0cc88918-9b22-4f72-91d1-5e77cf70fa20	0	0
33459bf8-c60e-4b3f-a6f0-697d1bce3083	0	0
6bda39c9-4aa8-4dd9-a15e-88b70f57f7b1	70	5.8337222222222227
d28e73eb-7a38-4017-b2ef-9c51db80af01	0.594125249072381956	0.0495112625966555447
e02ca167-9cf7-48eb-8477-6b05eb1feb44	0	0
ab380fcf-7f88-455d-a637-066ba7f62f37	0	0
be5a8743-2267-48ae-ab3e-b0891b8a2ded	11.1837229437229446	0.931992444925445085
665f1d52-6f62-4f14-8421-e459f6eea6cc	0	0
4015c3d7-1f79-4812-81e0-280b21e6662a	0	0
faa0edb0-86fa-45b7-aed2-a5d8219934d3	17.1436818181818182	1.42866396218434355
d1c10150-0426-4c70-b0ed-dc4faf0cd4d0	0	0
431d0e35-2c57-4f38-925c-d533862c08d3	16	1.33335555555555563
50aa4845-ff5c-4396-a841-1833b03667b8	0	0
d40dfaed-5317-4f8c-b113-2041923ff773	0	0
0c730ce4-fece-41d9-a1c5-9a0df397a8b6	0	0
42739dd3-7188-4289-93bc-40addcc595f9	0	0
9638c3c9-92e5-4645-9ca3-26f79aa66043	0	0
f4a97432-9b23-450b-a38d-e41f9938faa6	0	0
08318d27-4b95-476c-9587-ff740357c712	0	0
436ffac2-a46e-42f0-8569-65f91f9d375a	0	0
2d2a26b7-7505-450a-815d-3dbc3ec72ac3	0	0
f5388a00-1044-4208-a519-4a0d05916160	0	0
35efe0b6-ba2e-4efc-b6e5-20ca9a5b97b0	0	0
65771b30-86a4-4973-858c-56f863f03139	70	5.83343055555555612
4fad0c42-d9c3-480d-8aa4-e9285bb44921	0.594125249072381956	0.0495143982576923131
28d4ef81-d326-4a4f-b442-08e257b656df	0	0
e566690f-90b3-47d9-a05a-4d6c94ac5167	0	0
39d4dfba-53ec-44a8-bab2-8fa130904dcf	11.1837229437229446	0.932051470129870219
6d2e635a-d203-4968-8749-84ab3da3525c	0	0
20c7c480-9002-454b-9ea3-b9006f495cf5	0	0
88d7c031-fd33-4d2d-a0e3-e3079d3ee5ef	17.1436818181818182	1.4287544427272727
b19a33f3-8850-4ab3-840d-cae628da0cf7	0	0
fe5dd43f-498d-4e50-9aef-3af334755782	16	1.33343999999999996
258cb6bd-9911-425b-9a8b-53a3447af78d	0	0
1bb86044-2730-414d-9428-fd1e0c5d423e	0	0
3eea24aa-c90e-496b-ae12-34b68bf79607	0	0
49d00895-36ff-4c1e-827a-9f311be5c416	0	0
2da9fc39-c3fb-42fe-b4ad-e9ebab672b5e	0	0
b500f71f-b9c3-4d81-9c07-3591e62394b3	0	0
43b5610b-50f5-4d23-8dad-dd2553791572	0	0
e116fcb1-fe55-4101-b9e8-5bfcee258852	0	0
c56bb33b-4ceb-4e63-9d6c-db5bfab419a5	0	0
d79c77b2-a3d9-473e-a19a-a8e55e128daa	0	0
fad91369-f639-4c74-a7e4-d81ae5edffe0	0	0
d803e5a8-7b06-4e1d-9d82-f184f23340c0	70	5.8338000000000001
44dbfe40-3811-4419-a8b5-907eb590fac4	0.594125249072381956	0.0495167087447720353
7ade6de1-7ad7-4dc2-9dac-f967e5aa3fe6	0	0
276da868-a5b7-4bd9-9e56-a4ebe81aff2e	0	0
f39c7e46-f21d-450f-932c-70f946dc06f0	11.1837229437229446	0.932094962385762393
6ee2a9d2-2865-49df-8d40-bf7c4bab422f	0	0
df0c3494-742b-4459-b54e-6f34484c3dec	0	0
386042ab-9dbe-4c36-a75a-53b7b9e3c3e7	17.1436818181818182	1.42882111260100997
0e960fc7-3191-43fa-bf5c-6cf792d099ca	0	0
69626c04-bfb9-41fc-b17f-1601b308b8c9	16	1.33350222222222214
542c43c2-16d4-4d8a-a239-6424e4530bb4	0	0
b2c0d4f8-b538-429e-945e-a8fb7d09def3	0	0
b5996b9d-e852-446d-b6b2-750004039be8	0	0
2d0de7fc-2972-4a3d-98d0-51963336bde3	0	0
b014c272-28f5-4d60-967a-04ffc78ed253	0	0
05993640-1861-4ba6-a966-fcd8c1ce9318	0	0
020da7a9-b98d-4941-b673-d7ad7d424102	0	0
329e9d18-7ca4-4336-86a6-3c3138a1f0c0	0	0
a8395b5e-354e-4987-86a8-706120025feb	0	0
7356d731-0806-4877-b679-6c8a6ee2fb0f	0	0
9af9cb1c-9891-461f-8a3b-359fb1aa7104	0	0
c52696a5-b37e-4399-8f56-bf16cd8079ef	70	5.83407222222222188
de7d5857-4848-4067-a83b-0b5635c822ef	0.594125249072381956	0.0495082919704101787
b9ba41d7-35fb-4977-95bf-2913a85e621a	0	0
7aeaa202-fcc5-42ce-88fb-367ab579d9cb	0	0
95a1627d-deae-4679-9d51-6345d2d382ac	11.1837229437229446	0.931936526310726432
e7885ff7-d5c8-4eb0-af86-6dd90b45991e	0	0
2f369533-5a46-41a1-9011-ef8a3c55cc9a	0	0
9e6a25cb-db4b-43c0-8c9c-6c8bc0a5b2d5	17.1436818181818182	1.42857824377525255
db456ca5-9310-43c5-8fc2-ff074b033d71	0	0
a6916141-eb46-4533-a61d-1a166c07544f	16	1.33327555555555555
28ab275a-6a51-4bd2-aee9-01b445a4f7fe	0	0
ea0843f8-17fc-48f5-a659-b6731d0f8403	0	0
d61bb625-4317-400a-8db4-4d323629f187	0	0
eab4bfa9-0ace-45e6-af7c-58bb69b8030d	0	0
abf0a27b-63aa-4fac-b9f7-3606505e11c6	0	0
ec14469d-28ad-4651-9671-7e87cef34d02	0	0
8dc61315-d047-4731-a7a0-e6330bdac6b1	0	0
b68b702c-66e1-483e-a7b7-d6c8cb5ec742	0	0
1d1ed2fe-b1ba-4f93-b41e-b7dd95dd178c	0	0
e121b6e8-ec2b-468d-bd4e-92e1e903968f	0	0
5d20f885-367b-4030-b2ea-53ccdb836627	0	0
5bbc26bc-ef52-4502-868e-2cfc5da60ae9	70	5.83308055555555516
8a969850-a867-411e-8001-22b76341fbd9	0.594125249072381956	0.0495102723879070825
1d755943-7e2b-4b18-acdf-b40e66603173	0	0
9d4e1563-e7ed-428e-a861-d71fc65efc02	0	0
1a85f5ac-e056-4a92-89d0-6e91c44c347c	11.1837229437229446	0.931973805387205423
85e563c2-1a53-4356-9467-8d5669ac4fa5	0	0
7e6063d5-4eb2-4f4d-9e94-5e76b483f1ef	0	0
e7fb90d6-d9a2-462c-bf7e-1aeef5a28a71	17.1436818181818182	1.42863538938131307
81ab69a9-89a4-4f3f-b229-8c2ae775f3cf	0	0
014ddcaa-2e66-4dca-acee-33df2a6f308b	16	1.33332888888888879
a1165af8-82e6-476c-bfda-6ec3b8889ac0	0	0
6f62f16d-02f2-41e4-999e-79ecaa7dd4c2	0	0
3013195c-4e0f-44a2-a3c5-822216816ac2	0	0
8cbc7fbb-7cce-4b03-bc5b-cf747dbe7ead	0	0
e954bac5-c1e7-4f75-aa79-964ee7adb308	0	0
e244f9e3-aaee-477c-9a78-cd8a256daafe	0	0
60ebc76e-c7ee-49f9-a4a8-af68b78e3fbd	0	0
fefb97d7-b9da-458d-b21c-1dd4ce41edec	0	0
b9aaa3b4-00b2-410d-bd9c-081ee95c3f3e	0	0
2d1c43d0-f4a2-4bf7-96f3-6fe907518e8c	0	0
c6c806a6-e2d4-4af5-91bd-98a5375999fe	0	0
17d2ebb2-34c6-44a2-bcb6-5c524ef17a38	70	5.83331388888888824
e55f72ce-c3e3-4a88-aba1-688292bd64a6	0.594125249072381956	0.0495152234316493592
b8fcf50b-1b27-4430-bb1e-2659c67c7cb1	0	0
febf83f6-150d-41aa-9a3d-3b8b8a3460f2	0	0
43e3ba4a-a8dd-4ae1-a19f-a6173bca334d	11.1837229437229446	0.932067003078403178
2f4fb21f-4669-4c85-a8b8-e5c20cfa6acf	0	0
13df1641-b5bf-485a-8b5a-d151b0856434	0	0
1bb26628-de30-4876-b1a3-93f4a9e31c6a	17.1436818181818182	1.4287782533964648
1760fd37-5077-4754-8c29-a6b0ab77d3ca	0	0
d62ff5ef-f141-490b-a395-a1d5b10addbd	16	1.33346222222222233
7fc7adf6-bf34-4935-99fb-2428a0575858	0	0
ff66f420-848f-47c5-8381-6182cc235a49	0	0
d0e57659-9ac6-4323-af73-fd4ffa11e497	0	0
487b9875-d4ac-44a0-9cf7-f89fc4cb10ff	0	0
943ad9ee-bbc2-403e-8c4f-818ed0ca9ce3	0	0
e8fce095-a2d7-4758-975d-893f600b1d86	0	0
21ce2955-3d02-4df1-983d-1738c8f63493	0	0
ea139275-344f-4e82-a06c-3024bb4f28fa	0	0
13a1fb5e-2e64-4fe4-9d2d-f14dccfe2f65	0	0
fc1d616d-83a6-41cc-86c7-be17c7b8ba40	0	0
0282b4c4-5457-4c2e-ae63-7915e897567c	0	0
03181c67-7f43-493b-abc1-15697e0c922d	70	5.83389722222222229
41f4072a-91a3-40a1-8219-6ae109a727c5	0.594125249072381956	0.0495167087447720353
b552dfe2-1f83-48b7-a448-414d4cc09180	0	0
696ed715-18a5-44a3-bb99-e6ae7db34383	0	0
e606bec6-5a7e-4190-bd1c-fe7beb82797c	11.1837229437229446	0.932094962385762393
93a47f36-93c1-433b-9b95-79534fd4a094	0	0
e1bafcdf-d090-42db-8e05-01318e61e7b5	0	0
3d0ec65c-0403-4af8-91e8-74c8db923bc7	17.1436818181818182	1.42882111260100997
58fcccb0-de50-47b6-91ba-3abf366e311b	0	0
de101622-8926-4424-b4d2-f04a6fb9378b	16	1.33350222222222214
578e8a49-dd85-47cf-94e5-820439778595	0	0
196cb8b4-681e-41b4-8a63-a48add043ad2	0	0
644aa95a-6375-4f74-80a8-f09bf58782a0	0	0
98b5b60a-7683-43af-8b4b-9da65b63913d	0	0
c471709c-b630-414c-87ca-474cc1be87ac	0	0
5298ebd2-13ef-45c9-b7f4-c3759fa0c734	0	0
1882c2e2-bba1-4de6-bf67-bd42d4e42bea	0	0
1559835b-bdee-41a2-8269-2b18f6e8bae8	0	0
592b0a43-1fc6-461c-bb22-dbbb936d7674	0	0
3e6fc908-052b-4dcb-8fac-99e6c02f9753	0	0
12b3ea56-8cc0-4073-b70c-a4c00cf1fdb4	0	0
cd0d1d16-a09c-4d18-bdca-89b61e708b27	70	5.83407222222222188
1e997e0d-68ae-44c0-aa13-491cbf745dd8	0.594125249072381956	0.0495147283272751315
3b86b4aa-de33-4f7c-97e0-ec6ae5494fa0	0	0
663c21af-ece1-40c1-b89a-070c411ac0d4	0	0
4ca7ea6d-416b-45ec-b913-b65f003221ed	11.1837229437229446	0.932057683309283402
f8336e28-cd24-45d6-a03a-ea07538119dc	0	0
f1210340-bea8-43b5-93ea-73808440eebd	0	0
3f9451f2-0a0b-49ba-bf41-7bf3492d1cad	17.1436818181818182	1.42876396699494945
f82b7cde-783a-497d-af26-be12a2cc288d	0	0
10ec6205-f643-48b6-b769-7ec83c88ccd6	16	1.33344888888888891
b2f4ab33-03e1-4235-9154-41626bf30f33	0	0
26f490a6-d6c4-46fa-8f4b-ef6be60aedc4	0	0
fd8e6712-df99-4c18-bdfd-6e96662a1d32	0	0
c63d28d7-11b4-4b93-a429-1d4ca1c977b0	0	0
d5224521-3838-4987-a8e7-8f578ca40d88	0	0
d5640835-aa8c-4db9-8c68-e3ae7e6f6d2d	0	0
7d8ca91e-1b16-4c65-99af-5a3afd212f77	0	0
22095dbb-4b3b-4ec9-aca3-7d59911d8342	0	0
b4bd3778-78e9-4a2a-947b-0f5a794dd009	0	0
c2facc66-6131-4208-8372-6d4cef8e5377	0	0
ac0f2a31-bd23-4b83-8aea-4c4604504181	0	0
580ddffb-58a7-494f-ab8a-9df0d3a87f16	70	5.8338388888888888
ebf4e36e-ae93-4e44-bb26-9a38807c7f9a	0.594125249072381956	0.0495157185360235799
e662b2a2-1bfe-4979-8e1c-41e6cde8ef80	0	0
b14f9fa3-f15a-4068-91f4-db43af94d0d8	0	0
9aaf581f-2c6e-4283-b34a-a08e56e43f40	11.1837229437229446	0.932076322847522953
594ea67b-dbfa-4a19-a431-335d06eb48d8	0	0
973efffe-31e0-42b2-91a3-f4168ad14dcc	0	0
66d3e42d-8c5f-4179-9426-3520328c00ef	17.1436818181818182	1.42879253979797971
f218ad1c-1854-4cbf-af50-95bd955ceb23	0	0
02ff628c-edae-4409-8531-041d74a78275	16	1.33347555555555553
c60f6035-58f7-4a6a-83fb-3f9261e59dc8	0	0
fc643a6c-35a7-45f8-a5a3-665ae076b87b	0	0
338465a7-8218-4ad6-974a-1bbfb079e750	0	0
5e0ca0df-4bb0-4d99-95fd-5201f78efc70	0	0
8c06fbe3-3340-4b11-8695-f5be59f3d6c0	0	0
8b7432be-9f3f-436e-a0b6-9bf7ddbcb722	0	0
ee48a59a-c15e-42f1-8157-ffad22c74212	0	0
a3506fe5-ae2b-432c-9766-39c29261f48c	0	0
5f8f3976-5e4b-46c1-914b-d907f4a2a559	0	0
80c09862-5b76-4f75-9e39-c9e0b5761ae9	0	0
58bf92ab-3d90-445f-8816-a77126fad12a	0	0
e31d70a4-e12c-4800-bfea-a0edce3934bb	70	5.83395555555555578
99ee155b-e619-4d8d-91a2-81f10fdca163	0.594125249072381956	0.0495155535012321707
b26da479-91cd-4115-b40a-ebbb7ebbde2a	0	0
8eb41377-74da-4131-8f1f-f8ba9d784ca3	0	0
d0dfc3bf-2c63-403a-8ec2-811d7cc01fcd	11.1837229437229446	0.932073216257816251
a84b78f3-8e44-42b2-ac60-be300a097711	0	0
e4852d9f-08ed-420c-b350-66b9fa33f006	0	0
17e44aff-28d4-4479-a067-4d714f0ee34b	17.1436818181818182	1.42878777766414133
49cd351b-9ec7-4121-b0d7-d5fa682d2b77	0	0
984359ad-0d7c-45cf-b7bf-28e97c7ed0ca	16	1.33347111111111105
3cc767c1-a150-4901-855e-275211ef6025	0	0
5c9d99c0-0e48-4e2b-af77-11129ac81bb7	0	0
920f4cd0-ca8f-4922-a809-7cdc974f6c32	0	0
5f947663-5a86-43da-8ffb-f0055ddbb867	0	0
3ae3660c-2155-4b2d-8567-e83c5c2c3114	0	0
53979b49-60a1-44c3-b6ff-46049fd2f042	0	0
66806802-4cfa-4f0f-a8c6-1f48a778aaf6	0	0
f5297a9f-da51-4116-9ec9-fdc281c500f5	0	0
a16ab03e-a283-4f22-8df5-1c7b8114889a	0	0
166fa248-faff-4154-8763-e29015837031	0	0
2d99aab0-9ef5-48be-8a01-94b1a33037cc	0	0
196f9593-c5ce-4e36-bd46-cd6f9d9fd850	70	5.83393611111111099
85c0cce0-ac6b-4d99-88ce-0804ee826c95	0.594125249072381956	0.0495119227358211747
f7e08356-62df-4f31-9916-7b1a15d627cc	0	0
e71def58-639a-4215-a306-173d31f22624	0	0
df586f54-c4c4-4c66-a71e-c215ebdc1448	11.1837229437229446	0.932004871284271341
99c9158e-07c9-43ed-a113-50f9364d8a0f	0	0
9993dc20-7b26-40c9-9d35-d427e837801b	0	0
2f84c0b8-8fff-4b50-851d-2b101c5d1d93	17.1436818181818182	1.42868301071969683
840edbc3-541c-412c-807a-e58e4cc50df1	0	0
a4fbe099-8a77-44e7-8529-7923902b8da3	16	1.3333733333333333
5441a6e5-7648-4974-90b2-2cbcd40cc633	0	0
29d476dd-b3ff-4d21-a0b3-f056fa19367c	0	0
84c1ada9-a4fa-4896-8a27-4d62c908ec72	0	0
adfe7226-c5a7-42ca-817b-530c0b33f3ec	0	0
84c9f98d-f806-4747-9688-d88e3ddd0c0f	0	0
5784e815-05fa-4693-b5c2-133495979e5b	0	0
704bc2fa-e4df-4423-9d55-68769128b872	0	0
1ce32ebc-0bc4-4237-8f71-263824dd606a	0	0
2864bc29-4909-42ab-8a22-a236365c192f	0	0
5bde16e1-c698-4603-bb09-6be2c5a31fba	0	0
57612a45-15f8-4e9d-9ba0-09b60dde38a3	0	0
f2465654-03d0-4267-b7a3-440fa2fbaf41	70	5.83350833333333352
e5f4b954-43a7-4a37-a28e-80212ec712a2	0.594125249072381956	0.0495157185360235799
82ecad44-638d-4917-932f-a68765aa9e94	0	0
73b6caba-ece0-4656-b5f5-f0e70fcdf726	0	0
64f331e7-460b-4cab-8000-7a2eb6d7a4dc	11.1837229437229446	0.932076322847522953
3d412374-f2e6-4ed1-b70c-1ae40e5d5a7f	0	0
e07c5aea-30db-4809-99d0-c7973b7d22fd	0	0
81b8d320-118a-4aa7-b807-1cd01d7ccb6c	17.1436818181818182	1.42879253979797971
60070d30-9c0a-4687-8f14-aa6c5da0c238	0	0
7a3907ea-1a24-40b9-9815-f35a69764118	16	1.33347555555555553
0584c170-d313-4828-a02b-df0d021b8341	0	0
bd4898e9-8da3-4714-bbb4-a5beda730270	0	0
fb9f0b2d-d3b9-4a54-9c84-00490d867e9a	0	0
848a5c1f-56d3-4bec-a9d7-8d636e566c6e	0	0
8be31467-5175-415a-8e18-761e6c0f262e	0	0
a8fd8063-1e05-457a-b8e9-963c6fb69f72	0	0
04e24e27-4997-4d3a-80e0-f10de92bd29f	0	0
5e36a4f1-f0ca-436c-8b80-55811876fed6	0	0
7a06e7f1-2120-4cfe-9a3b-845b1a8babaa	0	0
f9e5d0db-66b0-4835-8594-2253de482b7e	0	0
635c240b-542a-4ae7-a48c-d6ef7ea0fefc	0	0
1a43cae7-0099-4f10-9aa5-e7fab0b57277	70	5.83395555555555578
f88c2612-5812-4c1d-b1a2-3746cb76a6c3	0.594125249072381956	0.0495160486056064053
50d3e441-1efe-4aed-9546-950ffdb0e109	0	0
e5f7276a-544b-41ae-87d3-a7dd262a513d	0	0
dc90a30e-4770-43a2-91b9-bf187deeed94	11.1837229437229446	0.932082536026936137
8ccc7533-3add-4765-b1a4-4b4ac564ecd1	0	0
cf42c024-3bda-4dba-a75a-c6630f8e7987	0	0
5403c14e-b56d-4f22-81cf-fc6b3b322f97	17.1436818181818182	1.42880206406565669
5716915d-4eca-44a4-9d46-9619bdfb79ab	0	0
4533c796-5153-4507-9c19-108bc0772b51	16	1.33348444444444447
9500ce24-1aa3-45e5-82b0-e08eb7e34c61	0	0
3591e119-0545-4f0e-900b-45f7e56c3045	0	0
a6ca6523-26b7-43aa-9017-5194e4d59df9	0	0
d5173be8-073f-42f1-8913-0279e768162b	0	0
84965774-9bf4-417f-b0a7-663f2c77eb6c	0	0
eb98fd21-312b-479e-831a-7decf6172a13	0	0
d6cdaa1c-67cd-4bf6-ac4a-4072a851a1c2	0	0
202fc767-4a68-40b8-a883-d917a942daf2	0	0
554dc741-458c-4ec5-bf54-9b04432278d5	0	0
422c238d-2b7f-4af5-9948-bcda59259a3d	0	0
f2054488-1172-4e15-b754-c3fa25ee4082	0	0
a6ff78d7-fe1a-453a-a521-a55c28304ed8	70	5.83399444444444448
b61d0865-3836-4a8c-aafe-79f31639938b	0.594125249072381956	0.0495134080489438577
7fb37a47-b01f-4723-b9cf-ca752dcbd843	0	0
51b2ac9e-d9cf-401d-aac3-c9b0812ffae1	0	0
c432a1f8-2af9-4c39-af95-3f43f3e48a83	11.1837229437229446	0.932032830591630668
17e44bd6-2530-4f33-876a-9571f88d563d	0	0
48a40ba8-919f-491e-950b-45b1796d7d79	0	0
233a7aec-7c53-456e-af8f-9c2f69dde98c	17.1436818181818182	1.42872586992424244
b4bbd946-a2fb-4f93-9357-0661a4059a53	0	0
8eef46d5-a9ca-4974-b001-f2d6ca96e901	16	1.33341333333333334
90433f8c-e0b9-4eb0-8078-3b9f9fc02e8f	0	0
b8e6e78d-130f-475b-9f15-0f0fdcc9671a	0	0
4837010b-8b2a-4654-8e90-953a132d1ef0	0	0
9e4439b5-f931-48f8-9ab4-0e83af45469d	0	0
0d4edf33-e2bd-4dcf-a4a5-d892d688b909	0	0
3245a2d7-4363-4019-8da0-9b76965d979a	0	0
72277319-f6b2-4eb2-ac41-b2b1ffbffe3a	0	0
0f587341-9a4a-4145-8345-acb02e9e3c2e	0	0
86aa0074-9105-4eec-9c4a-d96e0525af3c	0	0
61fd8035-4800-47f6-bf80-429c4cdee85a	0	0
e94a8ddd-6cfc-446f-a616-7950d6015342	0	0
92c7f9bf-45a7-46f7-87f9-637a7709fa07	70	5.83368333333333311
737f0c12-48de-4b70-8db8-8388e52a4596	0.594125249072381956	0.0495148933620665407
197c86bb-5613-461e-866d-c9427f3db05d	0	0
238166bc-1380-4392-b20f-1482366cf7f4	0	0
85da0162-4828-461c-95ab-29f238f192a1	11.1837229437229446	0.932060789898989994
30472a8d-9c3b-4a50-ae10-231924bb0480	0	0
442220bd-c7d9-4f65-a572-4e25a4315eb1	0	0
01558358-7a9a-41a2-8e3d-deab2061d705	17.1436818181818182	1.42876872912878783
096eb747-ea1c-40ee-b7c2-6dcc6d13dbca	0	0
f03e23e1-de5e-4f78-981a-524dc7d03d7e	16	1.33345333333333338
c4d74ec3-4882-4d5d-8805-6d44fcbaf812	0	0
8f8f893c-04f7-49a3-a85b-17b0ad8bc79e	0	0
7132dfcb-75ac-45e6-8cfb-dd927424cfde	0	0
b1989bab-5db3-469b-8960-7e5b20af723b	0	0
75abc526-8932-40b3-acbb-f6b094788a12	0	0
22aea3b2-709b-426b-a951-1c61bfc4b802	0	0
9be31504-7259-4e8c-b64b-2356a14a4013	0	0
dfcbc164-8d1e-4e73-acff-9ea48a1abffe	0	0
4b9a96fc-887c-4a67-a7ca-181bd33b0d7c	0	0
748b9e9b-1c18-493c-9da0-66e8a1327341	0	0
6f5105a1-940c-45e7-86c3-137174b83562	0	0
87de8f2c-adb9-4f3d-acae-ae104d0c5ed3	70	5.83385833333333359
7c384182-6018-49d5-b028-990996e18193	0.594125249072381956	0.0495135730837352669
e5f02809-e4a0-4b78-a6e0-e692d4d3ad99	0	0
bcff1be7-9357-4e7a-9677-88d849d76de0	0	0
7038d106-59de-4b51-b65b-15ed582357e6	11.1837229437229446	0.93203593718133726
6c0d0c93-d5a5-4d83-af0a-0a04c1b9b257	0	0
e9304408-5afc-4b4c-bd0b-f0f06b04b15d	0	0
b86910c8-4d2f-490c-b692-fc4a881330da	17.1436818181818182	1.42873063205808082
a41a4b40-989c-43ca-8ec1-caf2831b415a	0	0
5a07d3d2-3d1a-424f-a768-2ff2fb606f60	16	1.33341777777777781
59d43d44-06f2-4827-a8c6-91220710499b	0	0
b7d52480-a0ff-4b06-bac4-2b494942b2f2	0	0
84770d39-46e2-45d8-adaa-3f0571df62ec	0	0
f48933da-f392-4958-9e28-9c61f18c87cc	0	0
f4dbad05-9f8e-4192-8167-e4963045cc67	0	0
4af5f01d-2464-425b-8e7c-ad475d7af136	0	0
76be30ab-c55c-41fc-916f-79651a4eda60	0	0
16129355-5297-4f43-9273-00b081bcecfa	0	0
afed2e77-5ac4-4c55-ab3a-b26e04e125a0	0	0
0227136c-636e-4369-b19c-b8a970e67a91	0	0
b6683178-c705-4b66-9b78-1c7d98c89489	0	0
29800a18-9ec5-49a1-a1b6-9073479de2bc	70	5.8337027777777779
c65e8853-c709-4a14-b1e8-807c3f89d148	0.594125249072381956	0.0495119227358211747
153eda50-bbe1-4dc8-bf9c-a907ec3a7262	0	0
9ac029a1-a241-4e8f-b47f-4f2904cfccb3	0	0
dd37b67c-4b5f-44dd-973e-a5e5f5003f93	11.1837229437229446	0.932004871284271341
e9b3d075-e878-4663-bfbd-6759ccbf8330	0	0
b2fcb491-1a52-49e5-a4a7-18551f89fc4a	0	0
6480637a-7c21-4d15-ada6-862d30201ab4	17.1436818181818182	1.42868301071969683
d28b3fee-4a36-406f-baa6-f1f4a6b4e246	0	0
285bca81-de96-4730-9817-01f93cb6b0a6	16	1.3333733333333333
0bce095b-3796-4c9e-adbc-2e9c569098b2	0	0
93fd7245-b7b4-4cd3-9c8d-c789f3413de4	0	0
1cc76c85-a406-4745-aa40-2f9ea5aab688	0	0
7a9774d0-cfd1-477c-b28b-ef4cdd1d145a	0	0
5a0f566e-d1e5-4e55-a389-176bbc7bff87	0	0
2e2c2545-a78e-4928-a5f3-fb6e4b4065dd	0	0
36ea5a3c-7ae3-4e91-8150-f7429506cc3b	0	0
fe21d6d7-679b-4f45-b3f8-ccb51862d26d	0	0
f49f099d-eb9f-46d5-822f-01b886da09ec	0	0
b124e6f5-b8f4-42dc-b354-99adf735c172	0	0
4e4ce1a4-9eff-4619-9585-7bf22b54330f	0	0
d623d42b-f4fd-442c-9fa7-10a3fc18508d	70	5.83350833333333352
dbeacb82-d82a-447a-b50b-3651ced9a9e5	0.594125249072381956	0.0495143982576923131
370b33a3-a0a3-4331-8ea0-adadd96fef26	0	0
cf012885-123d-4df5-9f1e-a8f9bc5bce51	0	0
55d0e42e-a7b3-4c35-8fec-d9265864a3d6	11.1837229437229446	0.932051470129870219
b2af5e61-44e2-466a-acbb-5a7b2cc41545	0	0
2c421fe7-76ea-4be5-967a-5929e243a839	0	0
218b4b84-0da7-48d6-a2b0-a05a0ba1beb4	17.1436818181818182	1.4287544427272727
d78b467b-d3f7-44f4-8e65-82ba66d4e277	0	0
03cf30eb-fcf9-4bf6-a4d6-c17279ffe6ef	16	1.33343999999999996
cc361d1f-ae13-4dc3-a81b-163b09c1e0ac	0	0
ea6170bf-b3ea-467c-a5a4-7438b859d0fe	0	0
b2c9a5f5-4d5b-438f-b5cc-1493bfbf8a58	0	0
83811726-459f-48b9-8c50-d9268cb2e4b6	0	0
4335d187-729e-4ee3-a258-e76b8b9273cb	0	0
f1104fce-7a3c-48c9-8ca1-7461cbe635a4	0	0
ad2e562d-8813-4424-b2ee-b2ce46ead042	0	0
aa7afa48-c542-424c-812f-14c735f19707	0	0
473bb134-b47a-4ff0-8eaf-1105440332be	0	0
7edf10dc-3be9-486f-ba0e-d07aca9d9736	0	0
4fed6f11-4360-4642-bcc4-7beb6ad855d1	0	0
bcafd847-5f46-4000-95b9-6bb1344d3a43	70	5.8338000000000001
f4a19271-2a4b-4706-9036-097071c02fa9	0.594125249072381956	0.0495127479097782208
aa6db421-a7b8-4faf-ba1a-89b3e32560bc	0	0
c82bf023-38a2-4881-95d4-589ba5dc1605	0	0
fb311c44-74be-4736-95c6-2ca1e7dfe3db	11.1837229437229446	0.932020404232804189
f5092f38-b789-42bc-957b-6b3c812c9f2b	0	0
0eb62111-b711-4529-bbf3-ba38d999b011	0	0
9347242f-34c0-4d00-a08d-77410f0758a3	17.1436818181818182	1.42870682138888871
65f142a3-c311-4bf4-811d-bb70c67773ed	0	0
e0b5d844-c4d6-41a4-a823-3d4a46e12b4c	16	1.33339555555555545
0058475f-9243-4003-9f65-7b673d52e704	0	0
6354d7fb-959a-4aa1-ba6c-ba984e61f437	0	0
f8bea9f9-37c8-499c-afad-cf2a178926cd	0	0
b271ec16-609b-46c1-a3a8-9271c484cbd7	0	0
c6168b09-81d0-4ae8-b779-757178cc1131	0	0
1d227de6-4a62-4159-b43a-7fc490a8f81e	0	0
b8ce5b2c-c768-460c-8ef9-8fff4a98c234	0	0
dbdfb00e-f726-4913-8e5a-89356347b368	0	0
8874d33c-fe58-4a7c-9428-b522f7048676	0	0
44034829-2283-4a3b-aa2e-b027a2193086	0	0
cba22644-d3b2-4038-96c4-ba71dc902b49	0	0
cd79751c-05e9-4791-8ab8-84f1f8ee909f	70	5.83360555555555482
05429c3e-e100-4f68-9231-cbd8fe7ee442	0.594125249072381956	0.0495147283272751315
69ecd143-1aa5-463a-8151-9f676f719da0	0	0
2ea345b9-1aab-480e-b9a6-73c169a916fa	0	0
e489e96a-0fa5-4894-953c-e879a4a2455c	11.1837229437229446	0.932057683309283402
c6a4d934-375e-408f-9138-754d12803db9	0	0
80c0bb84-8bb8-4b7a-acd6-46f4f947411c	0	0
d3792196-2830-4dd9-8021-33e72c99bf85	17.1436818181818182	1.42876396699494945
e2dd66b1-a598-4927-8aa7-abb8c4db4c65	0	0
9f29e3f5-dad9-453b-b873-7812196a26f5	16	1.33344888888888891
9dc21f27-b7b2-48e5-9206-18673be2769c	0	0
5092fb65-f8a6-42ed-8dae-ac7e62599df9	0	0
21535c12-d916-41fb-b264-4908904f5a44	0	0
2606454b-31f3-47a7-84f7-21036be85078	0	0
2bbfec0f-ea34-45a3-a9fa-898f27694830	0	0
be633fa5-f1ec-4c49-bad3-c87f3c52966a	0	0
29725e6b-7a95-4368-bed6-52bdc979776d	0	0
88472c96-ceb4-477d-91de-079a342576dd	0	0
10077ac6-28dd-41bd-a357-fb2884ede1dd	0	0
980ad34c-b752-4797-baca-7afb34d808c2	0	0
41eeb5de-d6f0-48d5-b392-35fcdb666c19	0	0
9629e9c1-063b-4f74-aee2-ad90b9ac0c11	70	5.8338388888888888
1b561224-6eb5-413b-942b-28b7759f0e00	0.594125249072381956	0.0495140681881094877
ff78ef0d-31a8-458d-adf2-de6fdf1ad595	0	0
aa1c6e48-5826-4c38-81dc-648119fd3af3	0	0
27321c63-1f01-462e-a50e-844be6019cb4	11.1837229437229446	0.932045256950456924
e07e6a61-8963-477e-8c77-55690724d5ca	0	0
e12ae50d-f1a6-4916-bc6a-c02eea7570af	0	0
3ce8203f-58b6-4f39-903d-be0305de3a72	17.1436818181818182	1.42874491845959595
75406c38-fb33-4ece-a993-0fb1494c02ca	0	0
6f827428-c48f-4cac-86f2-37f19b025c00	16	1.33343111111111101
2a80484a-2ed3-474d-a408-d6f071738e63	0	0
85bcfe60-f3a8-448d-b27c-eef863b42d98	0	0
e7fa7a9f-2601-40c6-a4d7-1113badd9bbd	0	0
429c9dea-7573-486d-9d63-18efc57717de	0	0
674694d6-e6b4-43a9-a15d-047eed5e1139	0	0
3ab348c8-286c-40ed-90a1-e7d56269be46	0	0
996cb4e1-d7c8-4b1d-b87e-ea0a81273c22	0	0
c4d4c89e-0ac2-434e-9ca0-3a56945484bf	0	0
8224f3eb-c2f9-4e9a-89af-4ed77754db6a	0	0
1d62ac95-c52a-4e0e-8180-714428503973	0	0
6186eb77-440e-4749-92aa-701d47ffa641	0	0
16282c57-6e71-4072-91b3-3e5ab9865562	70	5.83376111111111051
e4b37b27-a3d8-4146-802c-e8ca8d68a455	0.594125249072381956	0.0495125828749868185
7437f638-429d-43b2-9f21-b499df1d1850	0	0
0c7390ec-7c19-4515-bb80-a5c0576c5aab	0	0
3e21e3d8-4582-484d-b097-236810bea1a6	11.1837229437229446	0.93201729764309782
ef36b097-3b0a-4363-ab24-66711028a530	0	0
747c443a-a5a6-475b-9366-8e7bbaa33b0d	0	0
29701d2d-bb3f-48cd-8b62-62a1eba9e0c8	17.1436818181818182	1.42870205925505056
a21949b8-9593-4fe4-9788-4f4487a6cad9	0	0
e508691a-b065-4de9-abb6-1f476853f84b	16	1.33339111111111119
3fa37848-5057-434e-8856-743d534c27c4	0	0
354a3ecb-39cb-494a-be59-b5e0824b5240	0	0
bbbd201b-7a6b-4ce6-8c0f-6fc5085befbb	0	0
9d490059-6d15-4396-bef5-6989f0a2877b	0	0
5c1514f0-fc20-401f-8cfc-2225feb7ea6f	0	0
7c9fd944-9106-4f09-b0cf-73caac5d753c	0	0
9de828ff-c78c-476c-821b-28227718108d	0	0
eb9343f5-065f-481d-a235-df8f6f096b46	0	0
94d84b9d-f2a6-48e0-9ccc-e3c5e8382dc5	0	0
85aa3eaf-18b7-4e32-b0e8-73873199ca4c	0	0
007005b7-bad9-4f8d-8f77-14345a7c61a7	0	0
24c4623b-ce68-4068-96dd-b38bec7e947e	70	5.8335861111111118
0cceff54-515d-4852-8d6d-66cf659cd7a9	0.594125249072381956	0.0495127479097782208
8a5b9c5f-ba53-48a0-9a5b-72d0c695c6fd	0	0
fb498f73-48f2-4b9e-b34e-0ca9aa1ef65c	0	0
3647d9ec-e6ae-484d-823e-4d534d5d2e47	11.1837229437229446	0.932020404232804189
e83669db-5f7f-4704-9f19-a36a3dba52ae	0	0
09f3af7f-e8e2-4d98-a7fc-ba49204f4fe3	0	0
75fc184c-08b7-488b-ab99-f1ff99ad4bac	17.1436818181818182	1.42870682138888871
a4cf4b0f-3b4e-45b2-b79f-4dbda7504b86	0	0
a574d221-fe7b-458d-918a-a319e86281f3	16	1.33339555555555545
c9335384-f517-424d-8e54-64f0e98b52e6	0	0
1b538d01-b7e6-47f4-b2c1-d78e7abf7d6e	0	0
137e20a6-a6ea-4a0a-935f-e9e3b4eace9f	0	0
e475601a-b923-46e8-bd2e-a9576b5e3d90	0	0
0e4ad873-7008-408d-9fb3-49d40a0a4322	0	0
024bedcb-1ad8-4d54-a0f9-119ee0163f4e	0	0
e33380dd-d988-43af-a8c1-bb3e9a9baca3	0	0
7660b00e-562a-43a2-9841-d07fb4ddc74d	0	0
18d25cdd-0191-44e9-af6e-22ff90619d37	0	0
00492121-1589-4205-aaf8-dd5dc9358b5c	0	0
9bb03838-6280-4e97-b21e-535ae3aff3d6	0	0
1c6efadb-2bf5-4e7b-b046-c2abc2200924	70	5.83360555555555482
6a83307f-fd7c-4852-9bf9-3afa171aa9a0	0.594125249072381956	0.0495097772835328617
961323b4-2828-4762-8133-b75862d0100f	0	0
3cdfe400-7ef2-4b76-bd87-8a138527f708	0	0
5d1ebf03-c1e3-40cd-8556-7616a62567d1	11.1837229437229446	0.931964485618085758
59072d12-7165-4db2-babd-cc7a8bfde24d	0	0
abcb12fc-7291-43ce-9783-d66aa1589fcb	0	0
8f22057b-68ae-4060-b22b-4505b58bedb9	17.1436818181818182	1.42862110297979794
878a32be-1bc4-4ed2-ac72-2870c4afcc74	0	0
41282615-d0bb-4820-8ba7-b1fbd16999f3	16	1.33331555555555559
d552cee0-fd0c-4ea8-bc0b-0b99a767247c	0	0
ee6af272-e61b-4cb1-84cb-d5ff2aac2965	0	0
35a75130-740e-48e5-b5b2-94d326597390	0	0
1249436e-64d4-4c23-b94d-c5cc8b781af8	0	0
ceb76fd2-0724-4434-9054-d7ed7451d66b	0	0
73ffdeb5-e506-4e26-bbda-2352436179f6	0	0
09a4a096-eb81-4a5a-9320-47879843c1b9	0	0
c03ce08d-3f04-4a10-81b5-9d1ffe446cd3	0	0
40fc7945-a225-4b88-a49a-39fcf929432f	0	0
b062d418-33bc-4e02-9103-fd832d6786c8	0	0
c83af982-4c3c-4dd4-b6de-8d8fc6f2821a	0	0
6fa22565-7c70-4c7a-80f4-148beda783fe	70	5.83325555555555564
07511b8e-39bf-4498-ab6c-d23d65308b64	0.594125249072381956	0.0495226499972627673
10da02bd-d333-495b-965a-d2f9905c5fab	0	0
6ae7bf27-ce32-4567-a4e8-25f56aca560f	0	0
cd9f509f-556e-4908-8656-370babdac75a	11.1837229437229446	0.932206799615199699
4919b109-221f-4e26-b1ef-0d20903d0464	0	0
aa52db88-b482-4bbf-8cb5-b1cf23712d40	0	0
951ff976-6091-4a1e-9cb2-f3385c51f088	17.1436818181818182	1.42899254941919196
cc7a153e-7ffa-44a9-8198-2b48014a31e9	0	0
6961bdb3-10c9-4de5-840f-b1b79d5b892c	16	1.3336622222222223
2dd8cbf5-447f-48c6-95ae-7a561ee4d833	0	0
6a235b3f-2942-4a01-81b4-b89d4d5a8ba5	0	0
b32ef80b-90b2-432f-b3ee-49bdbae7071d	0	0
912a8e66-f045-4ec0-9d81-dfd6f65b28fd	0	0
e50923af-e3ad-4131-9a7f-604fe7d610af	0	0
2b6fdd57-b000-4e19-818f-c8d83d5ec4ba	0	0
7ff93a87-af5e-4581-9bb9-731e1cf7e950	0	0
e31a954a-fbed-41fa-9953-fcaae743205a	0	0
6291458f-58f7-47b2-8440-71f3da4432bb	0	0
33eb257b-2652-4cb1-a78d-d0b73ab61d88	0	0
a5099957-e4f2-498b-9241-fe3657afdb21	0	0
eb679828-c0d0-4c75-991a-81ee6ce8e813	70	5.83477222222222291
119b0ead-c507-485d-baab-0d859b75dacb	0.594125249072381956	0.0495106024574899009
d5a94ab9-06af-4044-b66c-17243970e719	0	0
8cce897f-c9e2-440d-9891-f74bd1e772ba	0	0
aff8cd5a-5ad1-47e0-b756-62730dc87b20	11.1837229437229446	0.931980018566618607
532b172b-dd3d-4ab8-b735-0969348c26c4	0	0
4909090f-4283-461a-accc-6ed405371024	0	0
9fa4b1fd-d414-45c4-929a-331b69048a22	17.1436818181818182	1.42864491364898982
f954cf05-7c0c-44cf-a775-d6fe4b3522c8	0	0
c582603f-cf26-4fff-9732-e04aad6b87d1	16	1.33333777777777773
6da45c7a-d22a-4fbb-b0ab-0653ae7874bf	0	0
ba0f16be-617b-4eb3-a803-1d872ac2032c	0	0
058d58df-26f7-4d17-89f5-f1b3c9626b5b	0	0
6bfcb15a-b73f-440e-ba2e-3678ef7109a6	0	0
525f1d41-1806-4ac7-a51b-8da586219fac	0	0
3ac8e527-b6de-4615-92e5-43cce769bcb0	0	0
2891a667-c0d1-46fd-9190-168fa8656023	0	0
67540230-946f-41e7-a20d-7aae29b132e4	0	0
b148c6f1-ff9f-4eeb-8ce4-93b06b5c3666	0	0
00477721-5b8f-41c5-ac85-31758e671fa2	0	0
a6cfb95f-a3e1-4f2e-a9c0-71e086de58b3	0	0
04c69530-eb08-4a8c-9c53-edc78c7a49ca	70	5.83335277777777783
0ef28942-e35f-46d8-8ef9-b8ab193daeb3	0.594125249072381956	0.0495147283272751315
3c538540-c148-40f2-9c77-d55934b9fdcb	0	0
f8273613-fff5-4316-8940-b62fa69d0a4e	0	0
6e2d831f-5f01-4d88-bead-d1bc4672422c	11.1837229437229446	0.932057683309283402
d16459ea-0f27-4b3b-a264-7bd674eee709	0	0
4f65c2c8-0ee7-4a7e-b53d-717ec09cf6fd	0	0
eaf962d1-c8ff-401a-b665-4cb02b7b28d8	17.1436818181818182	1.42876396699494945
1381e5cd-bd46-4023-b223-386d4a56b281	0	0
feb84a85-056e-47f3-a66e-9d6503e0015a	16	1.33344888888888891
c6126718-a01b-48e8-96e7-17dc466be287	0	0
44552d77-93b7-477e-a767-128cc5843147	0	0
b355eb6b-18ce-4abc-8ca7-5d6e447c0dff	0	0
eff4f8df-34e0-4dc7-9b33-5af2eca0fc1d	0	0
59960a98-c907-4e19-b506-545d75da8a01	0	0
12f37216-3cca-4435-b266-ad6cc6c76bfd	0	0
d4026783-cc23-4069-ac7c-71a8ced2f820	0	0
f8ac3cb1-3d19-4b6a-a05e-c22532348d45	0	0
a83b0838-3d73-43fe-bb21-add9ecfcbd20	0	0
d1ecc3d4-f60b-47e3-9c11-2c7ae4a6ff8d	0	0
0f65c8ba-53cb-4766-a230-2a25268a9cce	0	0
3df2a3fc-6669-46af-8aaa-6b6daf4f29bb	70	5.8338388888888888
fcde7cb5-806e-4de1-b3ec-0ce5ad99df0d	0.594125249072381956	0.0495127479097782208
e9f79cc5-7c44-49f0-a918-d066105d46c8	0	0
52e56d85-3a4b-42df-9c7d-c2dc52dcc8a1	0	0
2ddbff46-7aea-40f7-8029-61871911da28	11.1837229437229446	0.932020404232804189
6481367d-abcf-4d28-a567-688cd4f0f279	0	0
425c6211-b4cf-4869-b42e-3f62a89f1d4b	0	0
d2ea2e5d-644d-4e8f-ac40-e4cbf6c23cf3	17.1436818181818182	1.42870682138888871
ba5f4211-7ae6-43a5-9226-0ef988fe3317	0	0
d3e7a52c-55f2-40cb-88f3-5bcf607e9229	16	1.33339555555555545
d96e17d4-cdc3-462f-b058-99934170a7f0	0	0
85e25bdc-bb45-4c9c-a9f8-4f85780b37cf	0	0
ae19a056-7a1b-453b-abd9-10ec9e7486f1	0	0
f5ee5f67-841f-4c47-9a5b-fd4fd8f70bde	0	0
fcc94b52-ca7e-4305-a9f1-181a2f8e5370	0	0
c76198ab-d455-42e6-8fe1-053be67c7c36	0	0
41104f82-3af0-4de8-91ab-6eb9796fb58e	0	0
72750b73-cc5e-4916-8e96-42153d800467	0	0
1122ee48-4719-49bf-9a45-6f112c858476	0	0
ebae48e6-f201-454f-b89a-4a54aa59b10a	0	0
d349d70c-f600-4839-a94e-c3decd941fd6	0	0
b9d524ce-1ba2-40e3-b789-5e9a077a5e83	70	5.83360555555555482
72dce15d-454c-42e7-ab07-b9377fc64849	0.594125249072381956	0.0495147283272751315
d3c5ca89-b9fe-43c8-b07e-3edc553bdba1	0	0
c41081c0-a31f-4171-92b2-e1d0b378ee30	0	0
3a67b7c9-38e7-49f1-b883-00b9bceb39ca	11.1837229437229446	0.932057683309283402
77fad84f-7c44-4f1e-9774-cfa250c69d20	0	0
9be422d4-2a26-49fb-bd68-34e1a284b524	0	0
432aa836-cf41-4a27-b2ff-3c8ac43a361f	17.1436818181818182	1.42876396699494945
1301c347-942c-4a08-a203-58fd542ef1e4	0	0
79529b1e-b0be-458c-94d1-08dc62ecd21c	16	1.33344888888888891
5b1b530a-c1a4-4dec-8e07-811721e90f85	0	0
1b3cfa26-a625-475c-83a1-1a70506e5412	0	0
7650e3f6-c6e9-4853-b77c-9715359bb2a7	0	0
e58b9f09-7bec-4551-89e1-3cbe0e4db07c	0	0
45f15269-2c6e-49cb-b9c7-95aa6a5dcd37	0	0
a44aba14-9dda-47ad-bde7-cfebc9ccb2a6	0	0
98f60cce-62c9-40f8-97db-8d3621e1e427	0	0
13fa7958-f19e-4a5a-a5b7-553e840ad15c	0	0
871c2d5c-1f52-4236-82d0-c2e7aebcf72d	0	0
bf1e74a1-aa4e-4c1f-a76f-1f923a9b847f	0	0
44b6b573-9169-447b-85e7-3aa02d34b71a	0	0
7c4d0c3c-2d0a-4320-8102-3111048be0a3	70	5.8338388888888888
dc566e1d-5788-4e19-8078-a7433914e633	0.594125249072381956	0.0495084570052015879
c8508765-13ac-4433-9142-12037ce9bcd0	0	0
7250cdd4-e207-4096-b1f0-e54ab98ba879	0	0
6308898d-7a71-4b90-b8ec-4d0a3241a672	11.1837229437229446	0.931939632900433024
a733c49d-33bc-4c6f-b7f3-2f6df7691af0	0	0
f63c2023-8acf-4feb-b223-feb95c708e4e	0	0
76ee50ff-c16b-459f-a23f-d25220cca837	17.1436818181818182	1.42858300590909093
786839fe-8ad3-4f8a-9b37-5bc9935c124c	0	0
5f8b0369-4a1f-4177-b4d1-6415773ae88b	16	1.33328000000000002
bb484038-0b19-45bc-8824-9a76b7a8e4b0	0	0
e222bfa2-ccc2-4759-a6a6-709a4360052d	0	0
b5d17558-a763-4f2e-8dff-c5ff31615b23	0	0
0c1fde8e-3170-4930-8840-295ae9f614ed	0	0
4af45fac-c89e-4606-bd7b-692671ed6d45	0	0
b26bf3c6-13eb-4ace-b5af-947004b1d8a3	0	0
e6ee1fc7-e088-4589-a6dc-8f5f1162f804	0	0
b6506489-f195-4d94-b5dd-e61abd7eae92	0	0
0e878571-65f5-4cb1-90b1-a89e1b35b65b	0	0
99ad7b69-e9d4-4c38-8d08-64226158a4a3	0	0
9df644c5-f371-434f-a106-36f49dd7c0dc	0	0
b323ebb1-65ca-4fb4-a446-9532b952379a	70	5.83309999999999995
0326df2c-6468-4a1f-b3a4-4cb69e71312c	0.594125249072381956	0.0495122528054039931
a600a0b3-f9e6-41c2-bdfa-ee589c930907	0	0
9e0cc0e1-94e7-4a4e-b430-a306495efdc0	0	0
5444dc47-3c40-4624-9715-c8e58ff13495	11.1837229437229446	0.932011084463684525
50497c15-6282-4eac-a215-8954e52937ee	0	0
2359b4ea-5afd-4354-9b79-98781b05aa2b	0	0
11fc3e8b-5c03-4898-aa1f-c6745d9828c7	17.1436818181818182	1.42869253498737381
fe89ae31-f942-46d7-8880-27d801ceab27	0	0
9a6bb3f6-34f7-469f-9cf3-81d208f7cbca	16	1.33338222222222225
6c3d74be-234b-4d21-a8cf-2fbb2e8d8ec5	0	0
5b2a4b29-2542-466b-9e16-ea3da16cfea5	0	0
a3d29b65-bc9d-4ef4-af2f-ee97c631d798	0	0
66912bc6-23d4-4752-a7db-7d80d87bf4b0	0	0
54698614-3429-49c6-a298-3c4869edd997	0	0
ad0b5b72-7eaa-4577-90a4-f818712f5a00	0	0
2cecb187-9f95-4e1c-b43d-fd28a38bb6ef	0	0
145f2547-f026-4faf-ba26-33fcd6c6046f	0	0
f2c270a4-a411-4bf4-8252-83f2509fdedb	0	0
267f0762-4daa-4c70-a8f7-73c209d798ce	0	0
977b46a9-3ad9-4a4c-bfd4-cde8b811e6cd	0	0
38e15675-364c-4a0a-aee7-cbbc2bf6839e	70	5.83354722222222222
df672638-f331-4d0b-adab-32a770852319	0.594125249072381956	0.0495142332229009038
6223c6c7-cca3-43c0-8087-ea69bff6aa2d	0	0
08c3acbe-690e-4000-a3c1-269ce889b14e	0	0
d88f3865-60e6-4a8c-b2d1-73ecc9b75ad1	11.1837229437229446	0.932048363540163516
b06730b1-7cd0-4b81-a7a9-6f6c3373b814	0	0
755dcb5c-d431-4714-9eb7-b745fd29bf80	0	0
cf5c37c1-8da7-45b5-a7f4-f166670fded9	17.1436818181818182	1.42874968059343432
412d4602-2d3f-4fa4-a99f-84a14561ff42	0	0
45c7162a-e4dd-48f1-8054-f35cff3b34a0	16	1.33343555555555549
97bccdc0-c2c1-49d1-8ddd-e8e8eb0f33e0	0	0
5b9b4432-42de-4a09-ba63-907d53033563	0	0
bb8c44b2-7dcf-41d8-b22a-4ec8edd933d1	0	0
e7859cc3-7a8f-4c1c-b68d-377a8333daeb	0	0
ff8ec92e-10f4-4b63-8cda-f321a21de3d5	0.594125249072381956	0.0495160486056064053
9084e618-5126-41d4-989e-17b7ff430197	0	0
ca4ec666-34ce-473b-a7f5-a46d6eff765a	0	0
185054ef-b2bd-46b4-87e8-c2767e7899f0	11.1837229437229446	0.932082536026936137
98a9ca51-7658-4a32-858a-2832fdf0a401	0	0
3e4557a9-ef23-46f1-b2a6-2d74410a39ec	0	0
265695ca-1aa6-46c3-8161-d32c84396a8c	17.1436818181818182	1.42880206406565669
5be940a6-2f84-4934-8e8b-20302bc16194	0	0
49585553-39fe-442d-b063-d5a007f4995a	16	1.33348444444444447
c3f22da0-185d-4f54-a67b-063fbd501631	0	0
c6d227c2-2189-43aa-a92d-b94f45c530f6	0	0
fa663b63-b396-4d19-adb0-b2b0eec0b79a	0	0
f60a9176-11b6-46ba-bc0e-46bb99264d0b	0	0
b66f3d75-00e3-4288-b9fc-7330b569e50b	0	0
a30e4287-ee75-4b4b-a46f-302ac9c91b9d	0	0
dc7e7cce-2898-4d75-93f9-16e13209ae71	0	0
221f89ec-88aa-496b-bcbc-913eed0e4dce	0	0
2b3ac468-84b3-4e2b-90e2-a39549f1fd94	0	0
cf14572e-ac84-4844-8c23-94315db15a35	0	0
d9fa6986-7696-49d6-9324-6a264b473021	0	0
ae5aa920-36fc-4cea-865b-92656e59bf33	70	5.83399444444444448
83e6299b-cd15-4a9a-8bba-59128ce5a2d4	0.594125249072381956	0.0495120877706125839
4db611a9-2bf8-474c-8114-a6fad95e2856	0	0
f8127a00-d876-41c8-8fb7-d7a535030e83	0	0
1c91ccd0-5d1f-479c-9666-6cba6163d7df	11.1837229437229446	0.932007977873977933
953cfb2f-b953-49cd-acbd-a9c24ac0c954	0	0
4183f518-2e54-428a-98e4-9b7dd53df362	0	0
d90f88ab-4052-4c58-bd47-38d3e6bd79e0	17.1436818181818182	1.42868777285353543
ab600fbe-1e21-4c2f-a4ac-b9664df6bc38	0	0
7979b9b6-7f8d-4bf1-8f38-76b3d556f5cb	16	1.33337777777777777
3dc9cf31-fa57-4ad8-80eb-99fae5e92efb	0	0
0ce1ee79-7e92-48ca-b5fc-6d055ac8944c	0	0
ea24009b-1bb5-4be9-bc26-c0a33d0e6520	0	0
a2032aaf-287b-4a06-a406-0eb697448705	0	0
b20ac0cd-8f73-42ca-9c03-b8b21c7861f9	0	0
eb7f26ba-01d7-43b5-843c-c3f59ca0ffac	0	0
cd1ea54d-2a8e-46b8-868e-eba4478b7c55	0	0
0a460c35-aa4c-4eac-b6d6-e261f8db08e2	0	0
2bc825e8-a88b-4704-a646-36bb18b35092	0	0
e03a73b1-4ece-49c2-8851-383c1594148b	0	0
35f71ee2-656f-447c-8794-acaa4760be5b	0	0
53c6add6-d26c-4a45-a687-43fe419503f1	70	5.83352777777777742
c0d8f868-f9e5-4e65-a41a-dec20728f076	0.594125249072381956	0.0495109325270727263
5f896f99-bdfd-4f75-9feb-836b9018f6a9	0	0
c6270421-47c7-4612-a895-1d87dfdb43a9	0	0
da06438f-a6a2-450d-8d8d-8718d31f1f80	11.1837229437229446	0.93198623174603179
b14ef99c-ef7e-4312-98d9-ab2c3d9be3cb	0	0
22c26f63-6deb-45ba-8aae-026dbb01b825	0	0
4dc2b952-280c-49e7-b51f-19cea4b9be4e	17.1436818181818182	1.42865443791666658
bf09952b-5df7-4b84-a981-6d12b2aae36d	0	0
04279419-7d23-4857-9437-b28657d02fb0	16	1.33334666666666668
f2d4a41b-38f8-4d65-a590-69995384db98	0	0
acc1434b-3326-4ad0-9ca5-a0ce947cf6d0	0	0
60d267f4-043d-4be5-9e29-0de940e95945	0	0
eaccca67-729a-4e48-a46d-3039f522add5	0	0
9657640c-7b03-4a9d-a532-6a960028f501	0	0
e9f91ff6-f816-4e74-bfb4-75376e245a0a	0	0
b5bf4ece-698f-4b13-a9b2-6b3be44ff148	0	0
cfed2fa3-43f2-42bc-97ce-4cbfa53479d1	0	0
3ecde8db-f1d4-4f03-b444-c8304c35d94b	0	0
94daa455-3b8e-44ea-9630-3cb77a5191b0	0	0
b51d2487-ef64-4125-ba82-85643ac5abbe	0	0
93d82f3e-13b5-4fd9-8d0b-599e97e00fa2	70	5.83339166666666653
9ceb92f0-94a3-49de-937f-cc7e9441d10d	0.594125249072381956	0.0495081269356187695
cb4ddad3-324b-4d57-a9cc-9ded119b9902	0	0
c4604a03-ce3d-4cfe-a591-125d68e4decd	0	0
1fe74816-b8ff-403f-b6a3-8980654c8c7e	11.1837229437229446	0.931933419721019729
1024f732-102a-4b51-b008-e8c45451f4a0	0	0
761d9bde-fc23-4a13-bfb1-72a64660432e	0	0
8f3fdb67-7094-4272-a38d-c5d9071074c8	17.1436818181818182	1.42857348164141418
1bfbac07-8389-459e-b1c9-692af4d99716	0	0
02e8ae53-e9b8-4186-aee0-c75bfdd66ae5	16	1.33327111111111107
07034129-4aea-4547-8178-fb1990311024	0	0
3fb8affc-2dcb-42fb-beab-e5b8a086fe84	0	0
8a0b0b65-0eea-4ec3-b9b8-e36fd3e2715a	0	0
30ab320b-9436-4957-9fd5-5431c42afe2d	0	0
1a4765ea-884d-4328-b765-5a6f6dc8b1b3	0	0
b164ed9d-baa9-4f45-8b15-bee4cb55b105	0	0
42ba6ab8-8cac-402e-9843-282325ab3bb9	0	0
157f9ee9-02fa-4710-b86b-f419a54b2600	0	0
6883e1fa-8ddc-4ebe-90f2-927130ea1f90	0	0
358dc8de-bfa7-4961-bf7b-f4e00f48c9db	0	0
f825ba45-966f-46fe-b78f-fa2e4c83054f	0	0
89fd82b1-5fb2-4fe2-87d8-9f761807e14e	70	5.83306111111111125
c3609c43-b920-4a59-b9b8-ff2f9804af87	0.594125249072381956	0.0495262807626737633
cc21a8e4-3327-46e9-af59-df522c81cc0f	0	0
8b4ec995-7052-45a1-882c-64c61d0972e9	0	0
5bc6ecda-a76f-4d26-838d-d2d116806768	11.1837229437229446	0.93227514458874472
b980cec2-48b8-46a6-ad91-94325a90be1d	0	0
96197521-2580-4788-8774-dff51fffced4	0	0
c5f105aa-2580-42c1-b008-707bdb782fae	17.1436818181818182	1.42909731636363646
af053627-092d-4e12-98ff-7781e5756391	0	0
818baa59-aef3-489e-9b98-8d705ea1b44c	16	1.33376000000000006
b61ef001-25fb-410c-9065-032aaf730a0f	0	0
1c1fc66e-f100-4a33-86d7-0ae5790b9590	0	0
f1d4fc33-1bac-4f22-ba38-680c4412100f	0	0
eca6fc2e-f256-4c6a-941f-342326c4699c	0	0
6a33c5f7-2041-410e-9b21-b37591b0d4fd	0	0
2b717230-4053-4761-aab8-cb88e1dca837	0	0
4834892f-27cc-4868-8b08-d77e93acf1d7	0	0
f0f2c74e-aa62-4e08-a2fa-dd8418d6c062	0	0
a3b83e02-7cea-49e5-9584-fcd3c5edb08f	0	0
ef737daa-ad2e-489d-bd22-696480357723	0	0
dd4cd31c-8f3b-4cc3-9397-85e8f32cc933	0	0
1e03148a-7423-4728-886c-fdd658076e84	70	5.83520000000000039
ecf3492c-56df-4c5a-b9ca-035ead49daae	0.594125249072381956	0.0495104374226984917
74e446f3-a0ab-424b-bbbc-1842f22eb707	0	0
8ce1a97b-e2b8-4aab-bf70-26deaafe930c	0	0
ec23c35f-fe23-4350-97c0-83d9ee55cf06	11.1837229437229446	0.931976911976912015
5afa9cf9-fa5f-42f2-b71e-431aa982e457	0	0
1c0aa71d-293a-4e80-84ba-854329796276	0	0
0a0163bb-5c64-4df8-af08-ccf8e328d5ac	17.1436818181818182	1.42864015151515145
e2c36451-63eb-42de-8081-3114e5a31c91	0	0
eba6fd3b-1c30-40dc-8965-cbae174b356f	16	1.33333333333333326
f5f573f9-7d23-4712-84a4-2600592c81f2	0	0
4745adb8-23cb-47a9-8da4-f1cf2e225185	0	0
26af76f0-2115-430e-afe3-8b090abdea75	0	0
1fe06674-fe64-4a01-8da1-45571b46c1ee	0	0
e2785bb7-91be-4bce-8562-3986d00d1e90	0	0
e9b91e23-f026-4359-91ca-138b9319d7d0	0	0
7b40b421-38db-4434-9375-5288aa10e377	0	0
21092283-0ca0-4900-b108-9abd743a8887	0	0
7bfa1369-20c7-4f0d-b7ec-4a6f723c95ed	0	0
4ace1173-b58b-433f-9d80-4ee0e4d2c947	0	0
07eb2d98-49eb-4b96-acdb-ba9840f7eda8	0	0
de903026-1614-4bf5-8779-b5d5e4d60382	70	5.83333333333333304
15916a27-d1d4-43cc-a154-f0eccc6eb11c	0.594125249072381956	0.0495132430141524485
974bbd63-bab3-4037-a41c-aa1b40453a69	0	0
15f75a99-7c19-457d-852b-97569ce12186	0	0
ff178b4e-da7c-4760-8837-83bceb77be27	11.1837229437229446	0.932029724001924076
fd3b7d88-f211-4952-96db-079248eb809a	0	0
a3008208-a6f2-4268-879c-42908666fd1e	0	0
68a4497e-0f2b-4b1c-9ea1-03f220088cbe	17.1436818181818182	1.42872110779040407
291f8b3e-9031-4a5e-ba4b-a3f78f56fe68	0	0
488486c1-0e34-4136-8237-8ecba9290a8b	16	1.33340888888888887
ba3d2e6b-0cc6-4fc4-bfb2-3b5640a57ff0	0	0
49164ba1-4da6-45fd-a8f3-7dd1ddc2a5b4	0	0
10309d96-42a9-45e9-a8c8-5431ae414be6	0	0
9295d6ab-299c-4912-8d48-242d0a50e6c6	0	0
c6248da0-31c8-4b0e-99ad-d4e44d7d598d	0	0
ec2418d2-cb13-482c-b628-679e881e82ef	0	0
433ab560-9ec0-4029-8270-f928ae856585	0	0
6d1ab872-be79-4ffa-9f8d-8606dfbe1562	0	0
b102bfe3-e50e-4423-9e14-43e6d7a103e0	0	0
484e46e3-b669-4f55-9573-28055da0e1a0	0	0
1e0e7380-05f0-49fe-b650-849eeff64f15	0	0
61273c5b-98a8-4808-bec0-099fbc2b4212	70	5.8336638888888892
34d8e07f-4aba-44b6-b851-39802138fd65	0.594125249072381956	0.0495127479097782208
222d0b34-8bd1-4d64-8c5f-f9954b94184f	0	0
7d5063f7-beb0-4be5-b17e-44008055be9c	0	0
e01345a3-5845-4c16-8cce-efde89f1f262	11.1837229437229446	0.932020404232804189
c385476e-361c-4bc4-b974-14e938cc15ea	0	0
886fa0ca-bd15-45ca-ad9f-39bc14a7dbae	0	0
2cc111e1-1219-4391-8d7b-3f11017d32f1	17.1436818181818182	1.42870682138888871
fe9f2a5b-9095-4232-841c-ce374998741c	0	0
305ee2bf-e488-49f6-bd73-34fd44b736cd	16	1.33339555555555545
af1663b3-23d8-4cd0-9dcb-b983a58237ee	0	0
590930ea-7353-4380-8f79-01f065c2c69c	0	0
482636bc-fbcc-4b2e-b8fa-eaa21587ac8b	0	0
e0f964a2-13b9-49e5-8418-4ba1552d7877	0	0
06ec1447-ec45-4d79-aacf-09e019fc023e	0	0
81a1820f-aa2b-4517-811f-9a23b97cea50	0	0
d91f18f1-7be0-431f-b62d-3fe3772245a3	0	0
71014b83-7694-4729-b347-d4f5d63eb7ca	0	0
54e5968e-b219-43f9-aecc-7c3e1ab069db	0	0
5f272b73-abdc-458c-b93f-452992358e9f	0	0
63172e48-4073-42ce-ba21-f8a0c6a61cce	0	0
989f2389-2e2a-4edc-a53c-22ccccc177b6	70	5.83360555555555482
e95c592f-c587-4b44-9d2d-156f4ee0c7ef	0.594125249072381956	0.0495157185360235799
8fe8d4ab-1660-471e-b4b3-83b8920ee705	0	0
4a708c81-08ba-4550-bbba-ff6198a687d2	0	0
8b0fa0a9-a9fa-462a-8377-3263d4e73a65	11.1837229437229446	0.932076322847522953
2e742bd8-8c57-47d0-a4af-a96579c39fac	0	0
6223a1c8-3e7d-459e-8457-70ec65ee20cf	0	0
00e95ce0-cbfe-4862-b6fe-7b33c1e932b0	17.1436818181818182	1.42879253979797971
4d13851c-2104-4d61-953e-621d4adc32f2	0	0
60957c15-7a30-430e-bd41-d2bd8ed5378c	16	1.33347555555555553
2f7805fc-a46a-4076-af60-9f2323ed44cb	0	0
a73527d0-722e-4765-a4f1-416db878019e	0	0
a9883f64-5e80-4999-b0fc-770038cadaff	0	0
a2f710ae-9d49-4611-836e-02425cee4182	0	0
12c02dd6-b2fe-4b23-a703-cdf7508631d3	0	0
23e5bc9f-eff9-4a04-8f37-3c275eb58b63	0	0
90c32435-af4f-42ac-bd7a-9ecbca819a0b	0	0
ba4e2ed0-f790-4479-9aac-f1b492ab2351	0	0
6a415823-3bab-4c54-b360-61bb89305d26	0	0
c6cd7e4f-b84c-4e01-a792-0a59dd7db1d8	0	0
e8a667be-a2b1-4400-95c8-ec25c6143633	0	0
57d25123-9bfc-4d0e-ba00-0e8d3fc794f8	70	5.83395555555555578
32d4831f-6ca3-4194-8c7b-932cc9f83b5d	0.594125249072381956	0.0495137381185266762
1067335a-c466-4575-a96d-39028311905c	0	0
0c554be6-0ce7-466c-a712-d5065701a590	0	0
2a5356e3-449e-43e6-a20d-7b3305b21eef	11.1837229437229446	0.932039043771043851
8c9b2a97-c102-45df-9cef-014b4f637755	0	0
4051e537-76ec-4b43-b76a-6f6ca5801771	0	0
5214c97c-c95d-43dd-b891-832fd12736cf	17.1436818181818182	1.42873539419191919
b9388d10-37f3-48df-85dd-bed1d07e3eb0	0	0
e4ab671a-17f7-44cd-83d3-b390339b8d1e	16	1.33342222222222229
8cdcbc45-a912-4366-8bea-0337f258a8c2	0	0
b4ae3262-e4a9-4751-8607-559b5eb5124b	0	0
5875fde1-b41b-428f-b222-168ba4aa86ec	0	0
7d789d85-2c92-4feb-97c6-38faaee1b2cd	0	0
ec94e9af-3183-47ac-86e4-26fe9b959a11	0	0
e2bc08b0-c244-4359-9bcd-620584e17617	0	0
a889741d-a003-4d16-ba04-ed91716037c9	0	0
e410931d-88c2-4926-b4ec-7ff961492da9	0	0
7ec7d492-dc4c-43ad-8c8d-f45bbb393fac	0	0
78f933d4-f876-41cc-9487-3ee0fa4b5e84	0	0
f93a51c3-5c82-4987-932e-843bdac8689d	0	0
f00b608a-7afd-4f2c-a03e-1f326e88e44b	70	5.8337222222222227
09a71f4e-0d75-4f4a-b031-6829f2443b8d	0.594125249072381956	0.0495135730837352669
a740af3b-c06d-40de-8ada-c8c2fe06241d	0	0
d6fe2f0c-294e-457e-a31b-c26c9ca4d0d1	0	0
19e7dd7e-c836-4b8b-9120-e43e24ff0893	11.1837229437229446	0.93203593718133726
def3acff-e9c4-4736-85f9-e04a8612d4d0	0	0
ca1abab9-5652-4d0b-8b8f-b4e7edb83ad3	0	0
7f751408-1dea-4526-9cfc-045ebde2809e	17.1436818181818182	1.42873063205808082
d4c572ac-f89e-4806-b62f-0d2b37d07393	0	0
b3ec0781-0a2a-4477-ae32-3908eb0b6f2b	16	1.33341777777777781
e64e6ef6-4563-4dd9-a064-6474cd1baf67	0	0
c894ba5d-1ba7-4987-aec9-f19e847632be	0	0
184719b9-b6fe-4421-9347-15e58f0ebea4	0	0
1c3b1c1b-4a1c-4bd2-ae9b-877a5de637ca	0	0
b59e91b1-2acb-4409-9dfa-52f08090024d	0	0
5783d6c4-7c65-47eb-bcfe-011652fdc45e	0	0
fd6090e9-d4b2-4b2b-8600-f30090e4f556	0	0
c3bd5547-58e1-46c6-a98f-f7d3d1fba7ba	0	0
88287b41-9ed3-43e0-ac0e-82fe1495bc61	0	0
c7ab30da-005e-4f67-a283-5f3f13eb4d90	0	0
80a68a71-2770-4172-ba9e-2fbfabffa3e9	0	0
9870f01a-8923-4313-a48b-0593de4c991d	70	5.8337027777777779
3decee8a-59e1-496b-a3ef-7b8ec219fa5a	0.594125249072381956	0.0495134080489438577
26828d82-bb92-4e12-898d-cad6710638ce	0	0
34cda5f7-88e6-499e-83ed-66811b983f80	0	0
3831bca1-5a71-46fb-b94d-a12343ab29ec	11.1837229437229446	0.932032830591630668
2615796b-108a-4c59-8032-a07cbd538169	0	0
cbfd2d42-2f2b-4a55-909c-460e912396d7	0	0
3f9c7bee-fd16-41b0-a907-9864e53ca117	17.1436818181818182	1.42872586992424244
3a60781c-14ec-4a7e-ae4c-9a9f958253ef	0	0
a91d1dd4-242c-40b5-9807-4d6547432eab	16	1.33341333333333334
0fddc7f9-0be3-487b-8154-91c96ba98acc	0	0
d8dfbcfd-2ec3-49a4-8742-709e22c767e7	0	0
52029207-3ef9-47a6-8b62-a773be18b593	0	0
49614c9a-fb4e-407f-ae6c-8a7b59fffa77	0	0
a966cf5c-3f73-466f-a949-01710bf5b18b	0	0
bcb081ea-c513-4178-8e9d-6a2885d1fb44	0	0
9821f1d8-7af6-4294-8187-79335fcd1b3e	0	0
0e7cb84f-85fd-4f9e-89cc-177d02fe89b3	0	0
b6f95b1a-9208-4171-ac6d-71e7a3e4d2c3	0	0
7a677677-2524-4db3-99af-9af7c644d5d2	0	0
b0342eb3-df80-4133-bf31-3b06c36e6396	0	0
8dd7796f-756e-4a98-9506-b16185dacf4a	70	5.83368333333333311
1bf027fd-7819-4c9b-9fc0-f5b588054605	0.594125249072381956	0.0495106024574899009
24732884-373c-4034-8b7e-bb77bf02519b	0	0
3e73fe10-a397-4b41-a3fb-c53c39fe06dc	0	0
518020bd-39d4-4473-a6c3-7191f03ccc74	11.1837229437229446	0.931980018566618607
3f53f599-4284-445f-b482-1b1fe938fe87	0	0
c7d0c5ce-0898-4e7a-b82b-945ded3e26ce	0	0
623f9cea-7198-41ce-abf7-118e99326e9d	17.1436818181818182	1.42864491364898982
57a21f28-418e-4f2f-9865-950d1914ffd9	0	0
a56fadc2-27a6-4798-92a8-2ba4d3d23993	16	1.33333777777777773
f8304689-1001-4590-bc7f-1c7cd4b00999	0	0
d865516a-4faf-4227-89c4-5e7f0891f929	0	0
7d32c182-a941-4429-a8d5-2de5d95541b7	0	0
dcb223ba-1e28-47c0-b770-58c6ffcf023f	0	0
aa38a897-f731-44c6-b333-48427f0057dc	0	0
595972b8-a9c7-4650-9646-d31413918636	0	0
2bfd7ac7-0638-42aa-b741-309f65143b61	0	0
150e03c2-d588-4ffb-a8bc-676029ac2abf	0	0
89d0069b-9d7d-4f2c-bf22-ea8e14e58fe7	0	0
63a052a7-858d-443d-968a-870530e22958	0	0
17c780c5-0753-4053-9643-2fd4d64361b4	0	0
dcf73067-f3e3-4562-84e1-f58b2c12f677	70	5.83335277777777783
4795ed4b-39e1-44cf-9d5d-1999106ffe95	0.594125249072381956	0.0495168737795634445
0d2e655f-91af-4685-b904-d16c6f45cdfc	0	0
8fac62f4-6985-49cf-8f19-2dc23f916dd5	0	0
9e8ddecd-e86b-4557-99e9-1614a6b8acaa	11.1837229437229446	0.932098068975468985
61616d7c-0030-4ee7-bd4e-e74ef8a73c04	0	0
6b24a6c8-608c-4d0a-b6e0-bf72cae1d4ed	0	0
f160dd1e-54c8-41fc-bb77-fad68f74c69d	17.1436818181818182	1.42882587473484834
f72ba085-6192-409f-b8e3-40d91b125719	0	0
773998a0-217c-40c1-ab09-b94fc989f67e	16	1.33350666666666662
9bf908f4-3a5e-49e2-84dc-c994860c80c6	0	0
fa2fca56-1360-4b81-a3ce-811ac0f9d2e3	0	0
cdd55fb6-3323-4786-a38c-1775bd7214cc	0	0
f6f12e03-ef3b-48b7-8205-a60c3bdddd6b	0	0
c4a855cb-829a-460f-96e5-ba2ffccc5354	0	0
2860aa41-0b91-4308-8c3b-f48f5627ff30	0	0
66fb0d8a-7f83-440f-b1e2-774b3aedd9a5	0	0
56580793-5db1-47f7-9018-42ea356e3941	0	0
ac383732-a56a-4330-8fd3-d17be512d184	0	0
741208a0-cf13-45ff-bf43-2d46cea47683	0	0
b65035e2-9935-4791-80fc-9cc70b0eda1b	0	0
1d81d3b1-68ca-4fea-af32-95e63b796f96	0	0
b25ae2ad-04c2-4ef7-86e2-8ac507c7ba82	0	0
fb464c81-bfa4-4a00-a302-dc57be512fdb	0	0
625470f5-d423-44af-acd5-0231ae418626	0	0
f68d4114-4206-488a-95a1-eee45664a85d	0	0
f32fa349-7951-4402-8b13-043c0e283b25	70	5.8337805555555553
da30ed00-4a47-4d4e-a940-43ca1d22a861	0.594125249072381956	0.0495135730837352669
fa941919-f232-4f34-9449-0b838baf0aaf	0	0
9801bb39-2fb0-4fcd-a421-583622834da3	0	0
89e990f5-9dd9-4aa2-85a8-767f6fd01d95	11.1837229437229446	0.93203593718133726
f58e21c2-9693-402e-a167-2b84c8b58a9b	0	0
e41b9111-ba42-456e-a241-bacdb480afee	0	0
1e329997-bb7d-4c36-82fc-36a3331fecc2	17.1436818181818182	1.42873063205808082
9e9310ee-d363-464c-9283-57484608ccac	0	0
50b501e8-96f3-4bf1-bd9e-b91c12c19594	16	1.33341777777777781
7fe7ad4f-3922-45d4-8182-e0ebd5c161f0	0	0
32af3f94-5272-4920-8fcb-3d1114e227b6	0	0
230765aa-6795-4ef8-9741-b652e6c1b7dd	0	0
09ab59d8-6d3b-4ea5-960b-003f763e39ec	0	0
33615d9f-645a-4c90-8579-67e98ad3979e	0	0
707aef06-fcd8-45a0-9b4c-493a80674364	0	0
4e699da1-0a8b-4fe8-b3f3-20bceee85d4f	0	0
2e45bc14-3e6d-48ca-9104-59f20054667d	0	0
f25430ab-bc4b-4c9d-b9ed-248906c5b850	0	0
78344621-6253-4ab2-a5b1-c3c38e511f0d	0	0
37ad34a8-ff41-4c96-ba57-ca197b62b23b	0	0
84d55b95-8ff4-42d7-abc6-bcc22d16015c	70	5.8337027777777779
d48e7686-1892-4399-9607-9991b16fd443	0.594125249072381956	0.0495122528054039931
c65bb4b1-6103-4815-837c-46c7e813dd2f	0	0
b8b4c460-d43f-4ec2-97a1-f565e15b130c	0	0
ad7db131-adcd-484f-b6bd-5f06459ade4f	11.1837229437229446	0.932011084463684525
893aaab6-a4e8-4bd1-966f-1f91ccf99cc0	0	0
068818d1-3742-4907-8ee5-68a18a01b695	0	0
e9f7115f-cfe3-4e37-bcb3-953765b4fee2	17.1436818181818182	1.42869253498737381
a1cf5703-a7a5-441c-8d66-e79e7d2e3591	0	0
48f45b98-fc61-4b5d-8947-8103fd75269f	16	1.33338222222222225
e93db0ff-6c52-4648-9b47-10d5fb824a6b	0	0
9b75227b-7928-449d-a9dd-4541d3d468bd	0	0
bb9feb33-8877-4e57-be66-d1f88a43bc72	0	0
2e62454c-49ee-4ec8-9430-9ae8c0812ad1	0	0
9005630b-bc33-4169-874d-f06a4b2210af	0	0
b4d42f5e-aec7-4cf2-83ee-78c82aeeb5c5	0	0
0ea2c6a4-7743-4b14-bc65-fc49ae08be23	0	0
7d27c090-3017-4c39-b3da-7a14236192e6	0	0
3fbcf3c9-1357-47a6-9996-1fae8f38b7a2	0	0
3b6a6782-7c93-445e-8356-e7d272c1fc2a	0	0
7c750da7-eae5-4ff1-ac1f-79adfdaf4650	0	0
bf351d80-251d-4c1b-b67d-c1783ac5dcd1	70	5.83354722222222222
2ab02314-da96-4831-b167-ec9ad62a0e1e	0.594125249072381956	0.0495155535012321707
a1791840-0170-468e-997a-a3f3d49f9762	0	0
ef204ee6-7c65-4daa-9371-ad8bb3011c16	0	0
80704e55-13a0-4841-a17e-cceddbcf8ae1	11.1837229437229446	0.932073216257816251
263d2855-bd75-4ddb-8dc2-60e6fd8fb278	0	0
5c35209d-43c5-490d-aefc-ff48371c2311	0	0
e61c5322-3305-4a73-89d4-326cb4a9f4d9	17.1436818181818182	1.42878777766414133
8d9ef58f-9744-416b-8b72-615651392e78	0	0
804a978d-9f9d-4917-aa91-e49493222729	16	1.33347111111111105
a2c8b394-3997-46f2-918e-4e31f395641e	0	0
54dbf37d-ea0a-4e92-b166-87e2fd9255a5	0	0
44c98b2f-e2b4-473a-b340-340868061d95	0	0
00c87b60-46b7-4ab4-8c23-ac3e6a45b46c	0	0
ef19721a-7986-4785-b0f0-07c61fe55658	0	0
60fe9b9e-b4a5-4679-b7ee-7ead7245ff03	0	0
4e9a910d-d010-4c95-a401-b7dfc1bf08cf	0	0
aa1c85e2-8eb7-4d24-a6e3-48f1e1cb6fb0	0	0
c5549286-342c-4168-ba02-97acc87837b3	0	0
975fee72-d393-48b1-b5f5-991f01daafbf	0	0
4f690c6b-53da-4a03-9cca-4cd8ba57dff0	0	0
d7deafe1-18e6-448d-a333-97461c826dc0	70	5.83393611111111099
f80171a4-430f-47d1-9929-e3869639d5a9	0.594125249072381956	0.0495147283272751315
7ef6c7b2-97c5-475e-b973-905a82f2324b	0	0
404115f3-fb2d-4a02-9f31-88f8846ef7e4	0	0
0da24049-a9a6-41b1-a5a3-576dd668fc42	11.1837229437229446	0.932057683309283402
4919ff25-f2c9-45f4-9661-b43d8f5323d4	0	0
5e368792-1947-4796-bde0-d68d1501b3af	0	0
64ebac3a-896f-4628-bec8-2180cffe1632	17.1436818181818182	1.42876396699494945
35ee1175-1655-47e2-84a9-8250be799de6	0	0
6bb5ca42-06b5-4639-94de-c955df5e091b	16	1.33344888888888891
83d536ab-3f7c-4753-8047-0452553a7d75	0	0
88356200-4e61-4d13-8411-f32e28c2d863	0	0
78101879-cb21-47f5-9f5e-bc22a6fa866b	0	0
d45ee0f6-598f-4ec2-a179-757f4d8b5034	0	0
a1da1dd6-79fd-453c-a92c-0f3f2b529c40	0	0
a059a1c0-0f67-4683-9a54-3b8002b51942	0	0
6686d7be-d9d1-4183-a9ae-c594e40d9565	0	0
1cb98702-cafd-4b6b-9abb-8a13638a623d	0	0
ff498475-c6f7-4dd1-a8e2-2d7518ca4896	0	0
2c99d166-be2b-4305-9dde-c1f53a5d4698	0	0
e03435f8-4844-4c1f-ad6f-fa7c15f0fb72	0	0
00bccdfc-b3b9-492a-9da9-432369c4bc3d	70	5.8338388888888888
130ea43a-4431-44f8-8916-d795d9999df2	0.594125249072381956	0.0495132430141524485
387fc857-a8e3-4e7f-a11d-fa17eaf27285	0	0
42301c14-b90d-4796-a0ae-ed0105f7b332	0	0
f837902f-1c7b-4caf-a385-e98afce3a9d4	11.1837229437229446	0.932029724001924076
35ee28d3-ef82-43ff-a652-680b8d7b69e5	0	0
64ea1918-f1e2-42b6-802b-47ab21d06afa	0	0
e7aadf41-dc92-42fa-8565-af7dbfc51a11	0	0
bd882d20-25c3-4cc3-bf44-c4b27f8354a0	70	5.83409166666666668
6c09adf1-25e3-45c6-9a49-6c7d1a29e447	0.594125249072381956	0.04951291294456963
7fdb92cc-e359-4a4e-ba27-5617df617184	0	0
01dc53df-6349-4195-9f64-023abba02faa	0	0
fc28b8b9-776a-4953-bf1c-944928f8ede8	11.1837229437229446	0.932023510822510892
5b29c4a5-9b7d-42e2-bc58-20063a33c55e	0	0
9f0f79ab-fe51-42b0-93db-5b4fc2828822	0	0
0d7576d1-8681-437e-919f-4e9666f57046	17.1436818181818182	1.42871158352272709
fe033fa9-104a-4d96-aea3-bf7e965884c0	0	0
3d5287ad-403c-4f81-b10a-1339f13dcc3d	16	1.33339999999999992
39ddf531-b77a-4877-a1c6-457b7263606b	0	0
7add07c9-092c-40d3-9290-dde39549e395	0	0
bdfcf725-7886-4ab3-9612-afc0d18ae729	0	0
aabebd93-756e-44d9-a0b8-6216c02139b7	0	0
512601ab-2b86-4dec-b433-5579bfd9c627	0	0
08424c48-7864-4926-9c80-36e5293165b2	0	0
6e9e95f9-5e0b-4d28-a9ff-5245c53ff682	0	0
bdae39f3-613f-4042-9001-36f3de5f0941	0	0
da36063e-83c2-4852-a3b7-7f5ed1354027	0	0
2753b0b7-501c-46ea-b905-b4d3866335a5	0	0
34aa9816-7835-4c17-9466-962abedcb084	0	0
791290db-54d7-4ef2-9de0-fd40776d63bb	70	5.83362499999999962
34c96809-9c8d-4bd0-bd06-dcb14f538353	0.594125249072381956	0.0495137381185266762
d3e96d77-e4eb-4ae8-801d-87373ef2dd49	0	0
8835658c-f646-444d-b774-6400d6bf2412	0	0
e400a3d2-c899-4820-be03-583d211f505e	11.1837229437229446	0.932039043771043851
cb6a643e-0c63-487f-918f-374cf189fd46	0	0
f16d4364-3aeb-4351-9f88-7a173e4dc9de	0	0
ac903b87-62fb-4099-8f08-2ea14286f58c	17.1436818181818182	1.42873539419191919
0e25f2ca-e1c7-4a2e-b0c2-453e7876c442	0	0
7cad12e7-5d8a-4491-88ee-097c3eadec3c	16	1.33342222222222229
fa234dd6-55f5-4c8b-bbc4-48817eff6700	0	0
7d555979-7902-436b-970f-98f7ea59262a	0	0
f7f35988-1c51-42b4-8f9e-4b8d6a390822	0	0
43fb8754-1e86-454e-bf08-fc9274a1c574	0	0
dcfadd79-0acc-4380-aee8-afc4276e0777	0	0
7fe1e42d-baba-4db2-819f-1fa576fa53f9	0	0
9e067545-3772-40a7-a5dc-2dacc3b5ed37	0	0
03ed7294-fa55-4843-b1dd-57d43f321a1f	0	0
52e05f29-2f09-49fc-b5cf-54a1eab0ab72	0	0
ff282aaf-e0f4-40b4-bb42-492090d2e772	0	0
be11a913-3c1f-445b-8065-0aecf01cb854	0	0
783b7fc3-d249-4eed-9849-435a9131b4a8	70	5.8337222222222227
2515b9bf-2773-49d1-83f7-fe6a7f2f4ac0	0.594125249072381956	0.0495140681881094877
b7210169-f7a7-47bf-bd93-d45f0233caa9	0	0
48966345-8904-423a-b67c-e26330f21949	0	0
6ff5baf0-024d-4165-98ab-3d23f8e2b254	11.1837229437229446	0.932045256950456924
2aa2d6d8-6a66-40b1-83fb-08303616d055	0	0
71412519-88f2-4be1-92e4-90bb4475e251	0	0
eebbe35e-cbe6-4408-9033-4e2f49ddb1c2	17.1436818181818182	1.42874491845959595
920396db-bb70-4aaa-a5fc-6e5152967a19	0	0
3a7927bd-2b7d-4b50-b5c6-9a5d87e67acc	16	1.33343111111111101
8d415aaa-915f-459d-8b0f-229b7fda2942	0	0
40a6cdc3-60f6-4d84-9858-56b93ccecd65	0	0
e0862c49-e9d3-40e2-b4de-e14dbcaf653d	0	0
610b2541-b6bc-46bd-9aa0-638fdc584f53	0	0
ed671a4e-acad-481d-84ed-0e5bc176f2bc	0	0
5722754a-7337-429a-98f3-eeb566998310	0	0
7ba33fd7-c746-428e-9558-c6ff46b0d21f	0	0
c33cd8e8-e8c2-4d49-9732-186624e94ef7	0	0
d8798d85-3589-490b-bd56-a72b30801c80	0	0
4e0d3e90-a297-47de-846f-914d5c9e260c	0	0
a8749b3a-11c3-446b-a278-6e0c32609055	0	0
fac086dc-16d2-47e5-b894-cf1560a8e120	70	5.83376111111111051
acaefc72-cd78-41ff-8ef8-fa48585156e3	0.594125249072381956	0.0495120877706125839
a29bd07b-0a81-45b5-8ac4-af1f358930a6	0	0
8c3f25c7-0c6a-4251-8926-11ce10b9a692	0	0
698aaf90-650b-4b68-9f59-7d9f5782ceaf	11.1837229437229446	0.932007977873977933
53fd9206-01fb-4150-8123-d78ea9b7d075	0	0
1a126035-8288-4d24-b0f6-c91f8580ffa4	0	0
288db32f-9f87-4aae-baa1-3f5b4fe574a2	17.1436818181818182	1.42868777285353543
abca57ae-b9cc-465d-824e-9e1a9a88477d	0	0
4ef5a228-07d9-44d8-9691-56182e06c0cb	16	1.33337777777777777
8862bdee-e940-429f-9726-5fb9ad2e01cf	0	0
688c0faa-00dd-4efe-a33e-71e677bdf2e7	0	0
4e821661-d937-4e72-a970-b2619e30c045	0	0
ca337d28-4409-4b98-87dc-1c90f6def2a8	0	0
8ac11d11-4aea-450a-887d-4d47778c4df1	0	0
12d57dae-f132-4788-a52b-0a067e1efb0d	0	0
1708fb21-14a2-4f17-8436-99b30051aae2	0	0
50eedb80-a9a7-43b6-b7d3-1eb1ccabc082	0	0
3f787cea-9338-4dee-9d6c-5ca95a330ca8	0	0
5a31daec-eaaf-4979-a09c-750f7717b7fc	0	0
91bb74b8-1d16-4578-8995-d1ee066f279e	0	0
c56624fa-b0ee-4698-99df-28194e320579	70	5.83352777777777742
8ec6b75f-a617-4f92-b79a-7552872eb807	0.594125249072381956	0.0495071367268703141
97988d04-9685-40bf-b9c4-5b5053aeaf30	0	0
3f559226-4b64-421f-8cb3-928c7c009d65	0	0
e8625936-0b75-4e5c-bf0c-b9325c3ba7a4	11.1837229437229446	0.931914780182780289
aabc19f4-3b86-40ba-992d-7c9496c513ff	0	0
31f812af-bfce-4fbb-bb4b-d15774519ce2	0	0
8ad07775-1e5e-43fc-93b2-afbcfb129e64	17.1436818181818182	1.42854490883838392
5941c81e-828c-43d9-b467-79d74195384c	0	0
c4413aea-b0d9-4f5d-ab14-0d2df708d0c8	16	1.33324444444444445
5057ff69-3641-4f51-8343-be50aabd4bbe	0	0
9e7a8108-eca8-4062-bf04-b49027dfea3b	0	0
6416889b-ed50-426b-9a20-c38baa2876a8	17.1436818181818182	1.42872110779040407
cc31775a-ee93-4d48-9325-d9f3ee33d53a	0	0
66750f00-4cd6-483b-bb48-1de77f83b3a2	16	1.33340888888888887
18d408d2-64f6-4169-ba5b-36682268053d	0	0
9ef0618c-863f-4632-a4ea-8c94a7d47960	0	0
0d83f06c-7104-44dd-8d0b-d0cd3061287e	0	0
aaaeac74-d017-4693-bd39-819f74014b48	0	0
b5f98656-568a-46e1-894e-769420d9d4d3	0	0
4c11be05-a7ee-4e6e-955b-d331447ede69	0	0
4f15432f-7d4b-4a82-8612-47d4a4dc22f0	0	0
b892c4a6-0d3d-4962-b7c3-2a9225d9b06f	0	0
673f7a9b-0d84-4b53-be8e-b675fc0fdfb6	0	0
b1e37008-def2-445a-a58f-2c0f7c58ebbb	0	0
fef4e146-2c93-482b-8060-523894f1de2a	0	0
5be27741-86ae-491c-b06b-1f4ed8e67c34	70	5.8336638888888892
3ae4ea1b-d9b4-4cbf-811f-1d963e5e86fd	0.594125249072381956	0.0495160486056064053
03896fb6-14e1-462a-b923-87ba49577d24	0	0
644f7f0a-5ca5-44fb-9f2d-5089a6c29707	0	0
e68ce2c8-855a-4e9f-810b-1091633c214c	11.1837229437229446	0.932082536026936137
dbccacb1-64ab-496b-ad00-c32ed64f5627	0	0
ef29ce8a-1b8c-4e60-9b1e-2cb7847e8f1a	0	0
93aa26a2-5aca-46db-8e7a-2bceba67d428	17.1436818181818182	1.42880206406565669
7a97be61-6ff7-4167-a9a4-41b44060e88c	0	0
3c1123de-a992-4287-8ebd-ad3da5529b89	16	1.33348444444444447
9e98f3e8-5632-4d73-ac6e-bc4968b2fb3c	0	0
7a700792-f1bb-4189-94ed-4df502ddb39b	0	0
07ee95f6-1df4-4e13-8e5f-04c94bd95e74	0	0
28a0f70d-040d-4f84-8193-bee1a0e85f68	0	0
f20915a9-5d9f-4983-a66d-313672ac1bb5	0	0
448dc7aa-b2e7-4589-b39b-4182865e5d2d	0	0
4fbbc1cf-5c6f-4e20-b508-94b2a4b99fc2	0	0
dd555a25-4ad3-4478-b5fe-8b3e4e633767	0	0
28f1e888-c856-4011-af5b-bfa49cc5b3e6	0	0
52e5b53e-7089-4e1f-a9e7-0f6b23031f90	0	0
555e9455-9e45-4111-8089-9efbbb5fa564	0	0
bc10dc5a-716f-4639-a6f4-0a5eee9bcf0a	70	5.83399444444444448
4c3d8c23-abbb-412c-af4b-1e1adf33dfdd	0.594125249072381956	0.049511427631446954
70a03b41-9c83-4928-b592-41b18ccbfca3	0	0
fafcb11d-c97a-4fa8-982a-c3d82593e1b4	0	0
5511d060-35d6-4ba4-ae31-bbf8a83c49ba	11.1837229437229446	0.931995551515151677
40a6e860-9208-452c-90f2-895e2f8f7dc8	0	0
495c41b7-3316-4055-aa78-824edc6b8e66	0	0
39dd3abe-11ba-4141-9240-df049976efcb	17.1436818181818182	1.42866872431818193
94a552c0-a98d-4574-9401-f888b568c52c	0	0
5c32f53b-eb6d-471e-976a-153993ee5131	16	1.3333600000000001
a5c946a1-871b-4d1b-b072-6b209ef367f6	0	0
09dc70f1-8863-4170-9e0c-d81d88442057	0	0
9ef6600e-3e50-497f-a96c-4424524b01ce	0	0
006b28c5-7991-4b45-b8ed-010925c6bd46	0	0
a5d9df3a-0eb7-4c17-b944-c97494ca7b83	0	0
3e7db5c3-222a-453b-9b44-bea9e7dd7354	0	0
a7c1a9e0-0fad-439f-8cf9-4c504c967352	0	0
94ba643a-9756-404f-bdd2-fbf140698ff7	0	0
449ca44c-fc81-4bec-be9b-1313e94dc23f	0	0
47edefc7-edd9-4fbf-aa8c-ebd267dbff14	0	0
6abdf1ef-5eb6-4125-8c55-0f658317390e	0	0
6b8c87f8-40e3-4d68-a439-8dd8e63e9eb8	70	5.83345000000000002
77533710-2945-45f9-9f8e-9c36ee0dfcc7	0.594125249072381956	0.0495142332229009038
e23e8986-0937-4db3-b8df-586b59579350	0	0
110a839d-4f98-44b2-87fa-c53144ec5606	0	0
2207160b-b4d3-421c-8f42-68f826ca9ed9	11.1837229437229446	0.932048363540163516
6a41fa7a-bd07-47d7-8961-bb6613dc86d8	0	0
7a4e9403-9140-49cb-a035-5112495a73fa	0	0
05781b34-dc00-4aa3-9186-f258af73d1b9	17.1436818181818182	1.42874968059343432
ea761046-1c4b-4fad-bc53-81d42606a7e2	0	0
9418bbfc-ea28-4b02-8108-bc913a879884	16	1.33343555555555549
6a5ce671-130c-4e67-b230-ca5d964c36ec	0	0
de72b112-7076-4229-8777-5f7845202aed	0	0
16fdf0ab-f58f-450c-ab6b-b175d53d3f2c	0	0
2d96fb24-c951-411d-bca9-ea81e5604442	0	0
751679de-ccb1-49e9-82cb-92b6596746ee	0	0
475b48fb-2d8f-4f14-a516-98ac8f466367	0	0
e7b75c58-a871-4c7e-a8b7-3600c36e8420	0	0
555c9b14-09ad-474f-8b6d-585a63020962	0	0
a8e13cce-8f41-40bc-a801-5cd22206c9a7	0	0
f4ee9a62-3656-4072-a5b2-43f7bd8180cb	0	0
9e778555-e96b-4ddc-b416-fa9a2654db3d	0	0
e1ab9098-16ff-4a8a-b61e-ffe4edaa9ec6	70	5.8337805555555553
34a95ea5-f39a-4bfc-b826-40f4a9d0d6ab	0.594125249072381956	0.0495155535012321707
1e5cb396-d54c-4c7a-808b-f7a203cb6642	0	0
1aa62da2-1793-4951-90e6-26ee8357ef29	0	0
ce7e32b7-e303-4c89-8ae8-3faaa2839416	11.1837229437229446	0.932073216257816251
75fd0d32-a074-43b6-83d7-c2a53fc6e5c5	0	0
e2bf4c86-bf59-49e7-806f-144fb9b95f68	0	0
414bf058-03c4-4cdc-b835-534016b2bf09	17.1436818181818182	1.42878777766414133
35bae80e-a4a3-4923-8ce0-1bd5e87a977c	0	0
62170b0e-a822-42c3-9198-79deb8841e63	16	1.33347111111111105
3691dac5-33fd-4488-a443-3d86c49229ef	0	0
02c8df31-f115-4b1f-b10e-7a7b52efee97	0	0
e4f10df4-3c06-4f8f-91cf-dab54f3f5605	0	0
090595c3-a54e-499d-9caf-f926063e8df2	0	0
274ece75-8829-45f7-a890-61b5ef75821a	0	0
5c07f417-1c98-4acd-a7ac-df9044711509	0	0
508fb59e-6a74-4212-9992-bf2476f0d3db	0	0
cc6d486f-99bd-4740-a05e-3b21cae28369	0	0
92d764b0-db49-4e5c-8104-0587c94304b4	0	0
20a36a5e-b3ba-4fd0-8e89-c3e9b1eb07aa	0	0
afaa0002-16c8-4a76-b6f5-ddc7f1168160	0	0
a277616c-e33f-41e2-9e53-548fa4f663e0	70	5.83393611111111099
ab3619af-5254-4319-989b-00229af70bfe	0.594125249072381956	0.0495145632924837223
34dd9dde-906f-498a-9988-d7f1fed72c46	0	0
b0f8330d-7c94-4a29-be7f-2add5789998b	0	0
1655f8ba-f589-4c62-b667-0390f75e93ba	11.1837229437229446	0.932054576719576811
be5ddf8e-84d4-4d8d-914f-9d1171a020b3	0	0
88e204a9-4c9b-424b-9397-03d659df49db	0	0
bc9108e6-0d0e-48ae-8279-e6195dea0011	17.1436818181818182	1.42875920486111108
a0330a7e-3237-4a59-a062-6d1f6c4b548f	0	0
dc7a57b2-a3b0-48fe-ba3c-6b2053c69cba	16	1.33344444444444443
36dfe437-2aff-40bb-9ef8-364f07f6a272	0	0
cba39745-cf86-4cc1-980a-4cbfcf54fb00	0	0
60d4fd1e-e45c-47ec-90de-d2578b0b8ce3	0	0
3e8bd374-6c81-4b6d-bad7-90620a629fa8	0	0
d999e17e-653e-4f11-b293-cd77edee60bd	0	0
c074ae9f-639b-43cb-ab0e-4fecde2a993c	0	0
33e44ed0-dabb-4145-8d6b-8db6dfd00878	0	0
c5a9e3ef-3c20-4f26-ba0a-92df4fd9b2f0	0	0
1b6a32f4-0e1d-41b5-b1b9-03f608770c4b	0	0
1d6bde80-88f1-454b-a429-cd9eebd25887	0	0
d1190e89-67d2-4866-af0f-90482f6b7a86	0	0
fd9ed350-6631-4b81-95df-b030d976c118	70	5.833819444444444
7b1826b2-d5fa-4319-9ebd-072bdee63361	0.594125249072381956	0.0495115926662383563
fb5d3e10-6797-4ade-a1d2-f8b0774697e4	0	0
25fe7cb2-9b4f-4e17-b7bb-095c627c6d0c	0	0
732b116c-0ffd-4079-985e-2efc43dc740f	11.1837229437229446	0.931998658104858158
24a9ed63-db69-407f-b0e3-bfd6c1f5e9f9	0	0
637c25e4-5bcc-4e3f-922f-704b1d0bc1be	0	0
0c3caf1b-4fee-4e64-a99a-c23a2f9f82a8	17.1436818181818182	1.42867348645202008
a5ce3804-1ca3-4500-b95f-6370e6409f7d	0	0
b0656dfb-324b-47a5-bbe6-20f21c925ebd	16	1.33336444444444435
f244ed2c-c6ab-4374-96a2-277e3b5f0c2f	0	0
c0515113-7e33-4ee1-b6a5-7d2fa61d4ba2	0	0
4ea3ab9a-63fd-4435-9184-369bd5f95ff3	0	0
624c4b5c-0170-4557-9795-87b41a5090e2	0	0
03fd9098-150d-4b31-a64b-bbc7cbe8914a	0	0
d3fdb00b-e8aa-4316-8324-2d584b3ef6be	0	0
6bbfca06-7ec6-44ba-a565-f06062424c71	0	0
c5858a34-18cb-4a45-85bf-c45557944972	0	0
d9653aee-d970-44ee-ac59-0578f5d2d9aa	0	0
2d047790-a539-4ad4-b639-6d817b8e4b3f	0	0
48774c7c-1bc8-4c77-8706-e11a27413113	0	0
5d187036-9ed0-44e2-9262-a98df621d6fa	70	5.83346944444444393
a98e82ae-e30d-49f3-8329-bc4c150391e4	0.594125249072381956	0.04951505839685795
3871f61f-7808-43fc-a20a-6034d03568b1	0	0
64f7de59-548c-42a7-8df6-aec7dd9effd8	0	0
aa16b2ff-3a3e-4cd4-8380-3217c166a576	11.1837229437229446	0.932063896488696586
a032f303-f844-467b-9ddd-6cc1c44ebc9c	0	0
ed1435cb-6d3e-4c6d-aafb-2896564e2dbd	0	0
41afa3f4-97aa-468d-bb75-301d43639710	17.1436818181818182	1.42877349126262643
80b88c7b-9b41-4bc7-ac19-4475ffcdccfb	0	0
9c91c5c2-6529-4110-8713-603a32d62f9e	16	1.33345777777777785
13469652-fa08-4e6f-a9cb-d7aabe9c3a2b	0	0
84e97244-9488-46cb-9f23-3ffb6506cfb0	0	0
fb4b84cb-56cf-4b29-974a-4732e1026bdd	0	0
16311ed7-d2ba-4ea5-927a-ce2b8efb5d69	0	0
4a5ad88e-fbb2-43fb-b215-0ccab1d747f1	0	0
3286405e-36ec-4ec9-a783-a62b3f07a4d9	0	0
8a9a0a04-c11b-49ff-9a45-bee6ac5ef1bf	0	0
ca38df61-92ab-432d-9d7f-923f3d295d5c	0	0
2de28af2-a10e-4536-bc8c-1b1b5162b1cd	0	0
ae71bd28-bb16-4b30-94d6-d4e87e09637c	0	0
a762a05c-175c-4912-b2b1-7a2c59ee8d92	0	0
8c0dffda-daf5-48f6-b322-1cb9b6001fd4	70	5.83387777777777838
154a4d88-9a19-48e1-8714-4e25c97f9a83	0.594125249072381956	0.049506311552913275
fc87129a-c9ae-45b6-9292-5854e52d68f2	0	0
6a64fc3d-04f3-4684-b817-099966c4b220	0	0
2b6e1be6-1dfe-48c7-a208-7140eaaffce3	11.1837229437229446	0.93189924723424733
b061c21b-fa77-4856-b4f2-53b2c3cafd43	0	0
7f33c3c9-9790-4cbc-9c30-43d34c32a77d	0	0
c1fc32f4-35a3-460f-9254-609190104151	17.1436818181818182	1.42852109816919204
64f68ade-2804-4189-80f0-f93b42a7aec4	0	0
3d23a099-97b0-4292-861b-15dd285d2446	16	1.33322222222222231
74351219-1ca9-43a6-b0b8-40b5a05fa533	0	0
e052a042-a565-4a81-b392-d593c51af849	0	0
2591e7c6-8394-40e8-a270-860eebff712f	0	0
2765a272-41da-4b26-8b72-e941648312e6	0	0
42b89d20-a4f4-419e-9e9a-eb5087e5cc21	0	0
5a744f05-197d-4452-b63a-3d1fa87b6be6	0	0
9756c90e-35e2-48d4-849e-162c6ddd353b	0	0
7701c8ed-1ded-4238-8498-ab514d63c76b	0	0
74335f8a-d4e8-4bf6-9c86-647ebcf9cf94	0	0
5a68fc3b-3c6d-40ae-a380-844e3d38b21c	0	0
399778c5-ffc6-4cce-90ce-c82bcc4b7a77	0	0
168ccdcf-1288-4414-8de8-1b849b280835	70	5.83284722222222296
2bf2b057-47fe-4c9f-94bf-879cfa4c1089	0.594125249072381956	0.0495213297189314935
847eff7a-4a85-4452-a033-4456a93a7825	0	0
cc90146d-6cac-475d-add4-b74e63f912a5	0	0
d5a28ff2-f3a0-4cc5-a5ca-7e2bc657e43f	11.1837229437229446	0.932181946897547076
c36cdb12-aa39-47fd-9bc1-8c1836e4fb0b	0	0
0d6658cc-3e67-4889-8447-8520d16527d9	0	0
6761c2ae-434a-4e01-94c7-c3014e89475c	17.1436818181818182	1.42895445234848495
5d85a972-7d05-4cc9-b3b1-cd09d8e82152	0	0
d11b4d2a-bb97-4ac9-a646-6802c3cad4ff	16	1.33362666666666674
6bd05202-6e32-49a9-881e-8883702f98df	0	0
6c3dbcba-d566-44d8-8e7e-b82e80365fff	0	0
af359495-1622-45e6-85b1-4e2e2c66f9f7	0	0
b2c7390d-d73a-46bf-97fa-e578cf290b83	0	0
53861073-b78b-40ee-bfda-7ed636117d62	0	0
65cc9c1a-43d8-4d73-aec0-9faa2b1f453c	0	0
72da9ee3-1a8b-4056-93c1-b431841dd9f4	0	0
314c36d8-fdf2-456a-9416-b45c6460dd62	0	0
3fcf6e26-0986-4bee-bef8-432e5e6a2dc5	0	0
0f93ecd0-9cad-4179-94b0-802ed5dd6911	0	0
f67d89e1-3fb4-4bbd-b40f-4f45a55262a0	0	0
47764967-a16d-4d1c-a65c-ae3413501954	70	5.83461666666666723
3ba3bb7a-1997-451d-a9c8-2c3a3f70a0f1	0.594125249072381956	0.0495127479097782208
274701fb-28f2-4d9a-b491-4d70a3d65b8a	0	0
51708c3e-a596-4305-89e5-4d2726508aef	0	0
662ef9ee-9297-45ad-ab03-6716bd9ae28f	11.1837229437229446	0.932020404232804189
988ff00d-8c1e-4b12-9e07-52dd04810826	0	0
ebec843a-8046-444f-a061-bab4d35a206d	0	0
f5f4f6c2-4edc-49b6-90f6-0eebf1e3e3b9	17.1436818181818182	1.42870682138888871
fdf55cac-6654-421a-b981-2c3da15e7fcd	0	0
762cee48-00b4-4824-82db-7b9e7d8d2388	16	1.33339555555555545
04e17820-45ba-4f53-b2ed-d12073232803	0	0
f0bb4f0c-088f-4fad-a409-151b905118a8	0	0
88e62ac3-78a7-491a-9e53-1d7c9967f214	0	0
7d383b7b-360b-4634-8936-95991d1ed0b9	0	0
179f00bd-a2c6-4126-a66f-de84466b8fbc	0	0
ee50927b-242c-4ded-b84f-ead095de6578	0	0
722a30e4-4024-4aba-b7a5-a7106ee6cfce	0	0
c821657d-2eaf-48eb-8691-8f5a60f6956e	0	0
13c503b7-9ba3-4234-82f0-ff5fec0ad403	0	0
effb240d-466e-44cc-a22a-438e9f733361	0	0
71bfdf51-d23b-407a-9dc3-7c4f13b498a7	0	0
18f127cd-b8a5-4a50-9a6a-fccc4bcbf280	70	5.83360555555555482
f7582255-da3f-4bdf-8068-ebb4f0108b8b	0.594125249072381956	0.0495145632924837223
448fdbcb-c516-4944-83b5-6b0d5390d556	0	0
98f30a7a-d757-453d-8461-c55368e080f8	0	0
c045e3f0-86eb-41ed-93a0-37879f990148	11.1837229437229446	0.932054576719576811
b5ffe12d-c669-4509-82a2-bc6f402a45f9	0	0
a5b13e94-b41a-45a9-99c0-90939df2e938	0	0
324f9e7c-de26-478c-9376-23ebf843baa5	17.1436818181818182	1.42875920486111108
d4d08869-70a8-4c47-b34f-9fc36ecf4e71	0	0
138e3f40-3d59-4f37-9a39-6169efc4a9a6	16	1.33344444444444443
ef7f4c79-4744-489d-9e35-40436d2739b1	0	0
58b39703-54b9-4882-83eb-e6f62a5b3fbe	0	0
6952136c-76c4-4204-b7c8-c322c07c131a	0	0
be158df3-e555-4bde-94dd-ec3b7dfdc3f4	0	0
20692a2e-889f-4717-9b5a-7fbc54c2e8cd	0	0
581014d6-3b16-4f0e-ac9c-05189a554b65	0	0
04e644da-6110-48a8-89cd-bb7122c0da62	0	0
9ca32a63-3eb4-4664-a748-501a78d19f92	0	0
74913ef2-7c3b-452d-915b-d3344f67004b	0	0
65a20f33-f679-41f6-901d-84b513a26a5a	0	0
82a413fb-63ac-42ae-a129-10ff68cc5d56	0	0
9ebfa224-06b0-4f60-82cd-8b02a3cf282e	70	5.833819444444444
a5f2de33-79ca-4ad6-8e65-a9edcd396493	0.594125249072381956	0.049511427631446954
132670bc-c4f6-4382-a49b-eb5e623bbfb6	0	0
d6aefab6-3618-4a24-93f4-e29e0a4ce598	0	0
9aee4b83-a7e5-4033-a109-6d530252864f	11.1837229437229446	0.931995551515151677
03d2c488-758f-4639-aa19-33c407abc00c	0	0
67e48581-c609-4848-acce-4bfc5d7b5cc5	0	0
5f1b66f8-20e0-4ded-ad00-24b56ffc94b8	17.1436818181818182	1.42866872431818193
6e7d3d04-ea78-4a65-a355-6fd9e24ab6e3	0	0
43acd2bf-90b6-4e86-b2b7-06dc0039a6da	16	1.3333600000000001
8ead952a-a67a-4909-b08b-06bfa59e25b9	0	0
46a95ba0-9dab-467b-8456-7081825d22eb	0	0
ee0adcf3-0143-42dd-b0a8-450f928d262e	0	0
a3ebf3fe-b887-45b7-b7c6-a44d08d22351	0	0
358c3a4c-1997-456d-908b-4c700cb58b7c	0	0
949d3a7c-8cbb-4c5d-b979-a284556de45c	0	0
3171ed6d-306d-46c1-806c-b0182be60e6b	0	0
74e2c8d6-91cb-4f03-a41e-aa433a1bcc39	0	0
54861274-69ff-4112-824f-0098abf48bd6	0	0
80d52875-429a-46d6-913c-c88d2bc97cae	0	0
70f558a1-c293-4740-adb8-0b88d7dbb5c1	0	0
44c9569d-bff4-4c65-a942-9d86d3f309d7	70	5.83345000000000002
cf7b0823-ce88-48c0-9425-1e3b5b2a54af	0.594125249072381956	0.04951505839685795
7b1cc8db-366b-407d-a85a-64dd51453ecd	0	0
104721ef-d3c2-43ac-a5e7-397d8d384667	0	0
f7f69449-e2cc-4ca4-9ec7-2bb312212d1f	11.1837229437229446	0.932063896488696586
97b31195-9ed2-4d51-8fbb-35be49ee9e00	0	0
2f050538-db8b-40b4-bd93-401e76c5eb5f	0	0
aeee3a9e-6a11-4c1a-96ef-1422bc14e240	17.1436818181818182	1.42877349126262643
38765579-1aba-4b52-a884-3d5f00da1efe	0	0
f3ed9996-f847-44c5-990c-1ac066aa3ae9	16	1.33345777777777785
669dfef4-7ab0-4f34-8966-e201961e95d1	0	0
8b3ffc4c-53ef-4dc6-bdad-e304b3cc6c1d	0	0
ae949173-7ee7-4b8f-a4ab-15b67c478c91	0	0
929d0ca0-198e-466b-8b71-5999c51f2d93	0	0
e08a8762-7c92-43df-ab75-0d1143c066dc	0	0
67ba9674-9106-48d8-b453-687fcab4b699	0	0
b2e484cc-7104-4e8d-b525-a1bd732b4c3e	0	0
684f931b-ebe6-4796-bba8-9a9e6d1c273c	0	0
cb91708c-f4a0-4b20-a260-d6c7aa64f0a9	0	0
2822ebb3-1508-4ccc-9bca-1811ffa3f2ba	0	0
66603a5d-55c1-413e-8389-d21221ac84c2	0	0
83ae4f06-d86c-4d08-bebf-1a0e92debcb9	70	5.83387777777777838
be7a1edb-b394-4578-8f4c-aa49203e448a	0.594125249072381956	0.0495140681881094877
04656281-ea2e-46b3-b16d-b00a49459358	0	0
5c719ea3-967c-4f56-a60d-2b1de09db5f4	0	0
b74974fe-5ffa-4ae2-8067-3d2b26b9c7d9	11.1837229437229446	0.932045256950456924
16979b41-9686-4ae8-8932-b727e3810d7e	0	0
7cab816f-0216-4b9d-be78-403769c3975c	0	0
ad4fbb87-9845-4541-880a-cb3472053c8e	17.1436818181818182	1.42874491845959595
27c7b7c5-b3f0-4138-9144-2be9dbbd34c2	0	0
8aaa633b-3bf0-4f41-9178-6f7fc64684bb	16	1.33343111111111101
700ad8bb-2425-499d-ae9a-a2040ea32807	0	0
8f92c78a-01e3-4b79-8cfd-ce273ce4ce7e	0	0
e7eac979-9860-42dd-bc6a-372c8634b8d7	0	0
d1729328-5428-4b70-9b9d-5563ca35b3b4	0	0
5d007950-db2e-4f47-b8d9-1e655873aa36	0	0
66724c72-51ae-421f-b79d-6e6622c48eef	0	0
4c5a0de6-4128-46ae-a9e3-9631927742d0	0	0
3d8fdc16-6a4e-4ea6-b276-11f7728a2a3b	0	0
f4377d96-ba52-4cd0-b6f3-4a0dd3568c6e	0	0
c2fac41b-303f-41bd-ac77-3b94c9197fa3	0	0
c5d635e8-ccc6-462b-8606-12a248110297	0	0
4e2af3ef-29b1-44cf-b39e-1ed189215970	70	5.83376111111111051
938d9fbe-9968-493e-a746-4a13f0738758	0	0
e895260e-8430-470d-841d-97c71c5c142b	0	0
c14aaf4a-21d3-480e-a32a-cb0359fc4b0c	0	0
6a19c5ba-7ccd-4041-9a7e-cb4276a78701	0	0
af1e4ece-634f-4a3d-8ef2-92a12fc71027	0	0
84377570-f8f7-4e9a-bdf6-abd48fd4a1be	0	0
fc5beaee-9ffe-47cd-9095-a722eae5e047	0	0
ecbb36bb-df21-4fc5-8b5b-5f793110d22b	0	0
cb0415dd-2ea5-492f-88f7-962bba81afb9	0	0
e8ca3495-e457-4ec2-ba7a-31ba9391a4b3	0	0
69275759-a23b-4d64-ba29-27eccc17f9ed	70	5.83294444444444427
d39691fd-094f-4cf8-9efe-993616afb01a	0.594125249072381956	0.0495200094406002198
1e93e59e-102d-48e5-ab2b-03677fa1ae09	0	0
d8c6f6bb-9987-42e3-b39e-355075919fcb	0	0
4de4d86c-0791-476e-a2ea-8ed069844c59	11.1837229437229446	0.932157094179894341
cae7503e-0d66-4f7a-8fb5-ae3210050249	0	0
aa8b0ab2-0e85-4212-b86f-c9ce2dad2679	0	0
b3278127-6441-4673-bccb-e30f09ab897b	17.1436818181818182	1.42891635527777794
0d59f918-7616-4d03-82b7-b70c56679855	0	0
45edabdd-1439-4786-b38a-542709eb300b	16	1.33359111111111117
b4b656ee-7d0d-45e0-a745-036c6bbe4070	0	0
adfcc536-7347-4762-8924-4c05193c3fca	0	0
4852a4a9-0916-41c1-a590-adb1512e3ff8	0	0
d906f344-505a-4646-8e75-b7ea5579f50e	0	0
2758f49a-3dee-4d1f-a04f-524b3e36a981	0	0
d8749e11-7e27-4a64-9926-0eac84dc3e4a	0	0
fdd18d01-6341-4724-9d06-6fed9a3787b2	0	0
651ec9f2-9de0-4d91-bab0-5762d031c897	0	0
9e1daa74-d81b-4ec1-bea1-955614c97264	0	0
bfcca695-2c36-42ab-b27a-3f782d858039	0	0
13a419d1-61db-4108-b631-d03951733793	0	0
578dcdb6-7bf2-450c-ac04-7f10736c3659	70	5.83446111111111154
fe976712-cdd4-4e87-aea6-0f6187c54f01	0.594125249072381956	0.0495130779793610393
f63d5715-16c8-4ca3-823f-355dffe08878	0	0
4d7d91a1-504e-446e-bed7-97594da3bd5c	0	0
ca5f7704-7ad9-4022-90c8-86ece7879342	11.1837229437229446	0.932026617412217484
80b3bc63-df1e-4a0e-b10f-09eddfb97e4c	0	0
800d2828-e249-429f-8f62-ff97d77b7820	0	0
1e77fda9-01d6-4f30-9f14-14a152712883	17.1436818181818182	1.42871634565656569
b823f8a4-f39f-4dc8-b730-6199f45e42f9	0	0
dfaec5f1-28d1-489f-bd68-8b0ad7f1c03f	16	1.33340444444444439
f57fc040-3a4d-4c1d-a474-befd6fee60b1	0	0
3ca30971-2f6e-4374-9e88-835a48688e5c	0	0
beb61d68-dbbc-434a-9f29-748e3a557bae	0	0
44bc8f21-b9b7-4652-9974-f90f814a1173	0	0
0b40e424-86cc-4592-8ed5-7f6c28e1ea0a	0	0
628c5ae8-0abc-4984-a4e2-21a27785b7eb	0	0
5970eec2-42bb-46dc-81b6-bcdcfdb94dd8	0	0
1ea51863-6396-423d-9b1e-3fcb494de5fc	0	0
834329b6-40de-4442-bf18-a05e86d06b93	0	0
3f5ebe77-29f1-4e12-8258-9bee5b13868f	0	0
da097651-a7ac-46ac-b380-87966c529355	0	0
7ad7c7a2-e997-4f4c-81f2-61bff9908c62	70	5.83364444444444441
d6b25df4-1d73-43a0-8f40-4ba46d983fa3	0.594125249072381956	0.0495142332229009038
84bc7c33-0699-48a5-b87d-1f46723b9a4a	0	0
ebbcf9bb-5553-466f-926f-7a92f1021c2e	0	0
8f2f8e88-a9b4-4f6c-8938-b15f9879e4c1	11.1837229437229446	0.932048363540163516
81b5c2cb-504e-40df-bff1-100b79064322	0	0
46f84d59-a521-4805-934f-48d85b1f8c59	0	0
ce7ed83c-fb78-46ca-9c6f-6073cfac1f05	17.1436818181818182	1.42874968059343432
593be10d-95a0-4143-9145-71e750431d70	0	0
5bc391cd-aaf7-4d3f-b799-78b3eec57ccc	16	1.33343555555555549
064435bd-c679-4b05-ab39-12e3f3b6d2f2	0	0
43be39de-8cc1-4956-a878-f96cdb7607e0	0	0
fb748476-db7a-4de7-82bd-e83f6ef4d40a	0	0
b45b7398-cb7c-43e0-93a1-acaebe08bcc3	0	0
04312e4d-ddd1-46a1-986c-6a57202a89c3	0	0
be950974-1745-44ba-997e-31f89e0e8588	0	0
9cc55939-707e-4a8f-8a30-594e1a3a05d6	0	0
979a2f29-9c7f-4ab4-9b39-9e5bfed5742a	0	0
fc6c4e40-eee9-4cad-836f-15aca0b1135c	0	0
c2b45aca-e666-42c6-bbdb-27070496cadc	0	0
b188e208-3cc1-4489-92fa-652343fdec15	0	0
31c1c57f-8fba-425a-b256-e209f6a39576	70	5.8337805555555553
f6bc9411-6c1f-4502-8d25-c160475ab1fb	0.594125249072381956	0.0495158835708149961
ec743b67-9f90-4344-a113-e2111c51fdd3	0	0
e7aa4be6-7751-446d-8e67-eb41cd2c12ff	0	0
a0f68375-e457-469b-8f44-d6fb93df9bb9	11.1837229437229446	0.932079429437229545
ec24f9d5-313c-4c88-95e9-0f3c55857000	0	0
5247ff1b-b68d-4a36-8c26-cd2ef9dc05f4	0	0
e4e9a478-e0ab-4ea2-b1fa-b7b3552f3363	17.1436818181818182	1.42879730193181809
de8d7e1b-52b7-4d9d-8566-0aca3d9a9ecf	0	0
700ae1a2-6ffb-4b64-9c50-6ad5fe3f996f	16	1.33348
1a54facd-67e8-4f1d-bf77-9407307a49c7	0	0
530e4268-0864-4d68-b841-2714dd1c6b72	0	0
f7470bb9-3427-4705-bc60-c136bc8c5a69	0	0
dcc45765-2980-4f9d-916d-57d6b2b56df3	0	0
81618e49-22ff-48d1-bb16-079ffc9eceb5	0	0
23a1c4a0-9956-4acc-a91f-0f077f289edb	0	0
07e46710-2150-4ade-b71b-9d2a426882e2	0	0
bcc142af-6d38-4c9d-83a7-b71c2951cfae	0	0
ce830ea2-5c2f-45b3-8e7b-d7caf6fad9f6	0	0
f142143d-cfeb-4eba-bbe6-cc74688e5ed0	0	0
129e1e1e-0d75-4012-bf19-ea0631f503fb	0	0
02f84aa4-6c8c-4f47-a78c-837aaf16955b	70	5.83397499999999969
6c2bdf93-ea8c-4cc8-8bda-c629dd6c41e0	0.594125249072381956	0.0495119227358211747
11014e09-9f55-4aaf-9e6d-6e46cf55fd44	0	0
58d213a4-09a6-4ad5-9dbc-75a0f17f6c85	0	0
1b4deb8e-0b40-489e-b179-9635e2d5f486	11.1837229437229446	0.932004871284271341
6eee1d17-e985-4936-9aef-4368fc88c1e9	0	0
3c695623-f98e-4a0d-8ed7-bb9f0e803f57	0	0
01150d99-3006-4441-b146-ef009ada650d	17.1436818181818182	1.42868301071969683
292c9735-5101-4dd5-b1f5-e44d431b849f	0	0
3b63b652-3444-424a-b140-90412ad5eb53	16	1.3333733333333333
e4c33e62-8c93-428b-9a39-0705dec7bd62	0	0
fbb4be2f-e1e2-4773-bf13-60dd5dc4b0b4	0	0
9608f6b1-220f-4414-8218-5228ca668726	0	0
ebb2dddd-6aa1-433c-8aea-101ba5155c6c	0	0
2b1f29d9-c92f-496e-8b02-413187d18321	0	0
c8de0417-20b2-48c7-999f-1ecf9effe7fb	0	0
35ca022d-5799-4f3b-9c7f-1bb473df1f72	0	0
60b1ef1c-e82a-486f-931d-ea4cbf83362d	0	0
a9649436-9fad-432b-9de7-9cab26d2b430	0	0
e0cb6107-84dd-4903-bf93-b70bf8271479	0	0
1f067994-1709-4a36-acb5-f3d12811a373	0	0
78a32cc8-a933-4bce-a9a0-25cd53e551f9	70	5.83350833333333352
a86977bf-f666-455f-9822-7f2c8f0ea52e	0.594125249072381956	0.0495145632924837223
0ece8a88-a580-4e51-b386-445927e5769b	0	0
93224659-2c49-4f84-acde-0e7a63fd58b9	0	0
2dea97a4-6f32-4540-8dd1-eb48a527fff6	11.1837229437229446	0.932054576719576811
956ac842-646b-4ea1-bef9-17e071af473d	0	0
35a78585-20e4-4365-9c76-e590018fd904	0	0
6b51a900-5ed3-4437-b601-641427b2bb6a	17.1436818181818182	1.42875920486111108
18eb59b8-fabe-4520-9103-ef277163bea9	0	0
9c3eaf18-98cd-40eb-a9ee-e355979476d0	16	1.33344444444444443
8299f09b-50f9-409e-ba90-f4fd57b43477	0	0
d7a78807-a7e2-4053-a8c0-539629d68a4a	0	0
794b19ac-7b1d-4110-b13a-30c145e663d5	0	0
81276203-7684-4416-9d3e-d30050526268	0	0
35ae2373-6c56-49e4-a3d5-9919f89c5e50	0	0
6ddb43e9-5096-4717-b86c-bb9382dea379	0	0
dd0af1ee-dcc3-4599-829f-00bb9f028146	0	0
371c3dd8-58af-4845-8f02-28b28615859d	0	0
a6d9c7c7-5c5c-4879-bd18-417bea4a162d	0	0
b8f90470-afbc-4ea8-9a4d-8395f1cd6912	0	0
0317eb78-312f-4320-8b6b-f233fe339ddc	0	0
a01fc38a-6366-478f-931e-affcdac2bd80	70	5.833819444444444
2651cbb1-e402-433c-8d46-36ac1fd7a600	0.594125249072381956	0.0495082919704101787
c4c73419-c22a-43f2-8b8d-5a4fbb883dac	0	0
0e0364f7-8fd9-4f5d-8cfa-4a101f8034d7	0	0
ce744386-77fa-430d-a483-59307bec700e	11.1837229437229446	0.931936526310726432
46e041e0-8505-4722-9edb-b2f49c1bc399	0	0
78dd5651-8e24-461d-b348-c5ad1d7e23ed	0	0
1e32ffa7-e256-466a-a23e-013fad4f15ce	17.1436818181818182	1.42857824377525255
026d4b00-16a6-401a-b5c2-a10c615c9498	0	0
c555c168-787a-4394-8a67-1d4eb18dc870	16	1.33327555555555555
07e15ab7-2ef0-404e-85cc-ac971e8787dd	0	0
eae74200-df6a-46e9-afe9-cdd596056eaf	0	0
10a510ae-8a24-4b8a-9869-16cc1f1749fa	0	0
f1dc312c-a9d3-4069-8c83-85dc29477882	0	0
83bc044d-04ed-44a0-a8ec-c56915381876	0	0
3e5105f5-79d0-4488-b1ca-1779ece6e54b	0	0
40624b19-71f0-4a74-8ed4-8dc31075f6c3	0	0
035ebb88-d19c-403d-8531-98809d6120ad	0	0
c0c2a0e7-fed8-4e7b-8226-2ddf4ed2cfc6	0	0
9a1087ab-8da7-44cc-8b18-eb981750ea90	0	0
c78c7306-f31a-43c1-b745-949a39ac605c	0	0
805dad1c-75b5-47f3-99f4-ac7bb1f7ff0e	70	5.83308055555555516
d5638f2e-eac0-42ca-93fc-b30b7050483e	0.594125249072381956	0.0495190192318517713
8ff204f8-77ff-459e-be49-c4c27920d328	0	0
5a90e751-4299-44a1-b0b1-61fd729fb678	0	0
49f5f185-5f3c-4f56-a7da-67b40791361b	11.1837229437229446	0.93213845464165479
9e8009b7-fae7-4eb8-bc68-6da4de558bf3	0	0
000d7151-21ea-49af-ac8f-3d9f67b45197	0	0
890d9a81-b04e-4fe5-b335-af0b6251b1a6	17.1436818181818182	1.42888778247474768
05c3103c-b6ca-4173-984c-4573b4390618	0	0
279d2686-682d-40de-a45f-e6734420102f	16	1.33356444444444455
2bb7967f-15c6-49ba-9bfc-904c61610748	0	0
ade45807-3875-4fcf-bc19-48a54b77a048	0	0
51860d0f-7086-41c7-afa0-6af665c26bc9	0	0
88bd722d-1432-49f2-a517-9e47606fb00c	0	0
dbaa7c2d-3c02-4b29-a21d-510e36205b81	0	0
f753918b-c7fd-4840-a559-8619dfcdb020	0	0
d9f552aa-facc-44d9-b5b9-8e7b1dbc7086	0	0
8ad0851a-a08e-43c4-ac4d-bcc445f7645d	0	0
4ccd2643-9be0-4ba0-a414-570a1035658d	0	0
45174522-0bcb-48b3-bc14-b983ce4d2620	0	0
d75c3678-8df4-4c7a-85f1-519d10f7d0ed	0	0
e522745c-234b-4839-b870-91b13daac765	70	5.83434444444444456
f000e25f-7db5-454a-ab28-e20422fadbc7	0.594125249072381956	0.0495148933620665407
8fbe2883-b420-4926-9d12-06e2827d3518	0	0
89428062-57c5-480f-9507-e2e9cd14dae2	0	0
fedb2624-99ca-475f-9e94-729c02043a20	11.1837229437229446	0.932060789898989994
9ef76b0e-b111-4543-8762-441188d2e71b	0	0
a17380a1-3c5a-4f78-acf7-bdb07b27f955	0	0
c824000c-b37c-4bf4-9786-c3c4505efbed	17.1436818181818182	1.42876872912878783
9cc3a664-c2ab-4765-acb3-636eff2ff85a	0	0
11d6d58e-4d79-4473-89de-934526761f4a	16	1.33345333333333338
c7c439d5-072b-4f78-b252-c6e2c1891227	0	0
8701701f-b412-4df0-849f-b992497bd047	0	0
8a00c68b-25e2-4661-b297-4aaf177d1eba	0	0
38c9a571-133b-43b3-a3c4-e94db4f4ccd2	0	0
744e0308-c0bf-4a92-82c2-edea4b0bf642	0	0
a7c7e02d-dbf6-4883-936b-7d9af69b303d	0	0
fd2721d7-b5bf-4576-a364-a74c2f08dcc1	0	0
50213695-34a5-4825-8433-03567237214f	0	0
6e9edba1-aac5-48cf-b04f-e4a964d62dc8	0	0
8b8b6a7f-4bba-462f-8deb-8cb68a8df0f5	0	0
defc7cd8-4ada-4a23-be1b-df9721828624	0	0
0b182f8d-fab6-4f66-8f2b-5d6d754701ce	70	5.83385833333333359
0ad4d6a7-bc8b-4797-ab74-0837b2e62b46	0.594125249072381956	0.04951291294456963
829661b2-8509-46e1-a9ec-3f7a0dd2c949	0	0
49db034a-53ba-411a-b66b-b14eece65e08	0	0
469d7451-b05c-4c2d-9a78-4ee4ed74d1de	11.1837229437229446	0.932023510822510892
52830cd3-35c7-4fda-b32b-41c1daf77c01	0	0
65c2c03a-74fb-4795-8066-1a3ae0a037ca	0	0
9d7378fe-459b-4138-8d2d-34135b2fb317	17.1436818181818182	1.42871158352272709
0be537f3-32af-46dc-9039-8a03ee2c4051	0	0
91bfbe98-af34-4668-8f9f-781d580bbb31	16	1.33339999999999992
f830b798-e9b8-4c67-9561-77167880be2d	0	0
9826e530-491a-45ee-8a22-51f4af65392f	0	0
1dfa8fda-69c2-4a12-9b40-9819c9426a17	0	0
f6e870a0-82e9-43f8-955b-e8848c8fd792	0	0
5d6978f4-162f-48c1-ba95-14f6e57378f1	0	0
b48af018-63aa-41f4-bfcf-0410d7e60fe9	0	0
531e70f9-2075-4aec-a9e8-979353572742	0	0
e1ebf72d-0ddc-46ba-bd50-eff4d9657036	0	0
f56dc367-35ef-470d-b287-10733d901ed4	0	0
5b68e926-7574-417f-b49d-001ab50d593a	0	0
13d4facb-bbc8-4b44-abf3-60471463b25f	0	0
30627069-5b71-4619-845c-3fea02f8f49f	70	5.83362499999999962
d16827e2-f69f-4c29-a01a-4d0dc017e209	0.594125249072381956	0.0495145632924837223
99fc5c70-096d-461b-a3c7-7cb35335d25d	0	0
f8ce31f6-d762-435e-bad3-43c696609126	0	0
857c5feb-72fd-455c-8056-8b91080f0772	11.1837229437229446	0.932054576719576811
63d9fe7f-8c2e-4a7c-8fb4-77d6e0d3f18b	0	0
5cfcbf7c-be74-4cbe-8b06-87cca3c37ef7	0	0
0c180e48-f23c-4873-8d04-188cc3d74995	17.1436818181818182	1.42875920486111108
00641c09-d669-4786-9019-4a57e5f7695e	0	0
31994191-004f-4740-8347-b1f923d86480	16	1.33344444444444443
4507aa30-cb2a-43db-9da8-6560be8630d8	0	0
aa8aa323-745e-48ea-a376-b08f8149eda8	0	0
b3c6196d-7eb3-4a28-8eca-7c506443ed68	0	0
5acf5a1c-ccc3-45f2-91c0-5125d5458b8a	0	0
730e8e8c-b87e-47b3-9a08-2659bccc70d9	0	0
4a5eb526-2ac2-4df1-bd86-31392f63fefa	0	0
631373fd-ca02-44d5-9c90-f063ec17edbc	0	0
1b34612b-6208-48f8-9aab-322b26eeeaad	0	0
1e31b322-fc65-440e-95e3-d8368e3e377b	0	0
190dae1e-acbc-4329-b711-d59c39aa8438	0	0
9c604b79-37de-4761-96ae-90b6c32c333f	0	0
6250cc91-856a-4a3d-bdc1-5d32ef93b3f7	70	5.833819444444444
df26a813-2489-44b8-9b05-e6dc26a97b9e	0.594125249072381956	0.0495135730837352669
99e15aaf-d02e-407b-8b30-899f1865c48c	0	0
d9fbf403-a06e-4d4c-a05b-225e6ff9925a	0	0
2570671c-34b3-42ac-9c00-f21f6473c09e	11.1837229437229446	0.93203593718133726
344b36a8-c93c-4ce5-a4ff-cc7f102fbda9	0	0
18afe83d-ffa3-409d-9ecf-9d693ff6aa9b	0	0
7b856654-c988-45b5-ad78-2214e136a794	17.1436818181818182	1.42873063205808082
d95878b6-4137-4d96-bb52-2ec28b09aeff	0	0
d807cc11-3782-40bc-aa0b-1c4b31855688	16	1.33341777777777781
9b4fd4e5-02f9-4f40-987f-dc35b3b1458a	0	0
3bb81234-82ad-419a-9a8a-642d2d39fc50	0	0
877479d3-96c0-4676-a0ea-4f33e7b74280	0	0
e9e91574-fa53-4813-8909-b2213712ff33	0	0
f7d1c4a7-2271-4fee-ad36-c917dc1e2fb4	0	0
3be6deac-6259-49c0-a38a-62fedbec0fd8	0	0
f3177ba2-57bb-4907-92e7-ac6557afafb1	0	0
37452373-da54-4ca7-b37d-799ff46820b0	0	0
a67607f6-cf45-4c74-a4ce-6f74bb5ff7e9	0	0
bfcaec3a-6adb-4e37-acc9-86ea2e28570c	0	0
9e13686b-d6fa-4e4d-b33c-cea749bcbc75	0	0
9e867ea9-5b1c-42b0-be76-7979fb1b24d3	70	5.8337027777777779
2c8b0e2c-a9fe-4747-bd0b-0d221597cd6f	0.594125249072381956	0.0495143982576923131
d0248409-30e2-4bb8-a001-a6319c2453fa	0	0
05f0a69e-7446-41bc-a874-98c0f6f5f77c	0	0
ed6a22a7-c983-4a89-8466-475916968e1f	11.1837229437229446	0.932051470129870219
0b7cf0c8-1c86-4aac-900a-2ed8419c6689	0	0
efc7b4ac-3fce-48d0-b5f9-d6a4b52e8003	0	0
a6649ff9-4c42-41ab-9eae-a5376b7137a9	17.1436818181818182	1.4287544427272727
629f66fa-5cf4-4507-9890-98d344ec7d16	0	0
9357fd1f-d015-4d12-88d4-4f7c60af23c1	16	1.33343999999999996
912389cc-f779-43f2-9733-a0aab395a65b	0	0
83b9815f-3acd-4bc7-86a5-53c3fac4f257	0	0
039d9e14-3cf6-4f92-b73b-bc0fde5be7c4	0	0
1754826a-f164-47ad-991e-0fcc70350886	0	0
b977701e-52ec-4ecd-83c0-fdf34db56572	0	0
dfae7302-4c08-423d-b8a2-b74a56365af8	0	0
87e8551b-21f4-423b-adbb-213b13c3e534	0	0
38e08f9f-8967-4536-aeeb-68eb6316423c	0	0
933deadb-a45a-44f5-875d-845cded0ca65	0	0
8145aa09-dcf1-47b2-a935-9f316736e68e	0	0
4614bca5-cc63-4bd7-bfda-c37610d8d9d4	0	0
17b87fa5-7437-4056-8d15-b2084d04b39e	70	5.8338000000000001
57b5a8f8-d505-430c-9e68-effd491d2640	0.594125249072381956	0.0495162136403978145
1d2aa35e-56f8-4081-81e8-82705811dca5	0	0
81bffa18-2a79-4d7c-b538-84ae74e92ecb	0	0
562aa79e-866b-4e14-8419-6bbeea65bf66	11.1837229437229446	0.932085642616642729
9aa86d4c-c79d-4653-8ff6-e5fbfae5e0d7	0	0
cb8596e3-7dc3-4569-bc5e-3827b90826e4	0	0
ae569754-2311-4087-bbc6-b6c3d9bd9dea	17.1436818181818182	1.42880682619949506
1c798f8e-a1a4-4ad9-a4e0-84bbbcc40d70	0	0
a1ad292f-00a4-473a-9d1c-423f7425a376	16	1.33348888888888895
025872e5-5275-4ece-94cd-789c5e0faef4	0	0
9ee94f4a-dca6-440e-9ec6-14fefaad565c	0	0
3fb811a2-1fdf-4178-9fc6-42ba4e030b6e	0	0
59e86eba-c7c1-494e-932e-9ad4ab6478bc	0	0
c980da26-c7d8-4205-9aad-edd3fc88efc0	0	0
7615a6a8-9358-426c-a8fe-1742eada2dc0	0	0
11583a84-9a5e-4c47-90e4-a555658956ec	0	0
87f0acd4-9006-4808-bd46-87fea4e95719	0	0
fe115ca2-83df-4447-b2f7-fed8d40752a1	0	0
38b3be9a-206b-4177-9615-3b6802ca2371	0	0
436926a5-5caf-4d6a-bae0-a5b2ff3c0a17	0	0
320b2339-e0c1-4109-aaff-38826f1f7771	70	5.83401388888888928
5778415d-fa71-445b-83ec-2cfab8b7646e	0.594125249072381956	0.04951291294456963
390fa3d6-ca8f-473e-aa4a-644f40380255	0	0
b7e37c1e-f283-4026-8bd2-784dc2b07728	0	0
6c30e260-f742-48dd-8129-28d4d5e885cc	11.1837229437229446	0.932023510822510892
86afaca6-c110-480d-84b6-f01a4e16b4c3	0	0
67178388-a6a4-4de4-b24c-9c78bf553fd0	0	0
ac6a3028-181c-4c42-954f-cac0ca16d6cb	17.1436818181818182	1.42871158352272709
7238ec08-0e1b-41e4-aeda-cadf6131c111	0	0
172ac857-e6e4-4635-b4d2-8b916767f15b	16	1.33339999999999992
a55ef2d0-87cd-4bbb-b260-f11398f147c1	0	0
45da0520-8803-45ba-ba9f-9e57ee891a0e	0	0
edf04bb6-d9c5-441c-9bb7-55491d388a9d	0	0
b0d0dd0e-0290-4226-aaa2-30410aee3391	0	0
fe037886-668e-402d-ac98-73f0452ec5de	0	0
51598aa3-2721-4445-a8e7-b4c0361499f4	0	0
d8ae12ef-123d-453b-a5fd-8579e4a101fe	0	0
12ed8c47-9063-4928-aedd-bd34195ceb4d	0	0
9977346a-867b-4c57-a260-e5b8cde1460d	0	0
c7334790-2864-4445-ac84-cf9cfcad7a90	0	0
8d004116-4355-49db-9124-328d899d5687	0	0
2525c268-8916-46e9-8093-474a3f4a4a84	70	5.83362499999999962
08ff0563-c898-4854-a67e-5e90c7208824	0.594125249072381956	0.0495132430141524485
c22bf11e-656d-4dcc-8b35-438c3aa5331b	0	0
7c91896a-f77e-4d60-b8d3-ec319ea0c94d	0	0
965eb39f-5a2c-4c36-98cc-5e05090067ce	11.1837229437229446	0.932029724001924076
45357da8-02c6-4f5a-80d4-2de161dabfa9	0	0
e9738784-9e80-404c-a450-28a024637589	0	0
773a5e05-82f6-4677-abca-74b7be98ee3f	17.1436818181818182	1.42872110779040407
955d0ddd-66e8-490f-a025-d24ec235e2af	0	0
e70f316d-077b-4f11-bff2-c7974ba24a2a	16	1.33340888888888887
9336112c-1fad-4685-8b1b-f4327af8c4f3	0	0
8da10a6e-b924-43a2-ad3b-deed18a1072f	0	0
0953b0e1-9200-4b35-88a9-bb9d08b83f9e	0	0
36a46f74-f582-46a4-a0b8-ff193cb62cfd	0	0
ec7cb4d2-d8b0-4ec9-bae6-29493d73df6a	0	0
47d77e19-849a-4c85-87c2-827eb64e4222	0	0
cfac8ca4-ae8d-41b3-971a-04eba58216e1	0	0
5e2684fb-4570-4baf-b47a-72426e0e89b9	0	0
89fed1f4-ca09-4012-b6e1-27c27f94e1e4	0	0
b9eacae4-a2d3-4bba-a1f9-ff106c10f1cf	0	0
92c5d4e5-0801-4c4b-93fb-b82cc8c12bd5	0	0
36e2da7b-8d42-4730-a02b-2540f087cf4c	70	5.8336638888888892
2504f369-9577-4c40-80e4-74db49b89fd0	0.594125249072381956	0.0495132430141524485
6f9d18d8-0cd0-45d8-99bf-894e1fba62ff	0	0
bde25aa0-67a6-4c1a-9721-bb03920fd9e1	0	0
eb079c84-83b1-4aa6-b57a-2cba3da8b661	11.1837229437229446	0.932029724001924076
d786d0a2-c4a4-4402-963a-8ff6ea03f429	0	0
d5abe24a-92e2-4017-9a76-58239f4d3c58	0	0
95755e8f-fff2-4772-b0f7-46b2ebcbed52	17.1436818181818182	1.42872110779040407
a4992bb3-c544-46cc-83b7-faa220f1a520	0	0
3fb69a95-c84b-4356-9792-cda313294d01	16	1.33340888888888887
e614ed7b-5664-4ea4-95b1-3dca2d0a9a41	0	0
7a7675a6-8927-4dab-8e70-3ad6b07d74cd	0	0
527c438b-5b51-4aea-9d94-abb9f8269176	0	0
ca882899-2485-4ae2-af3a-b524295e7457	0	0
2d3c949c-3996-4643-8734-f4a44e8bb82e	0	0
33ab14e2-970a-4e6e-a2b2-238be3042d61	0	0
953708ca-55d9-44e8-afac-5447d54c0811	0	0
88e54c67-973a-4e5a-8f8c-4e985b463325	0	0
d3a5c74e-0da1-4b7b-89f9-05befccd5dbc	0	0
02ec9cdc-c511-414a-abfc-f30d3f73be65	0	0
82596070-5a03-4f30-8603-0cc4910977b0	0	0
2af22616-0561-4928-b022-70a761f85886	70	5.8336638888888892
ce5a75e9-b1c1-4fe7-88c9-155420298d57	0.594125249072381956	0.0495102723879070825
48a2280d-403c-48e7-8a19-d1bcf4b09ecf	0	0
e6540c10-75fb-4cef-9517-69facb9e30a5	0	0
3a5d63bc-8e48-45cd-aefb-83db5fd4859a	11.1837229437229446	0.931973805387205423
6760f1ba-54d1-43c6-a245-5f94232a63ab	0	0
0e2050d5-9f2a-4e56-93d0-ec2e4c80925f	0	0
8cdb1b79-8e60-4dfa-a5da-b26514591b97	17.1436818181818182	1.42863538938131307
b29bbf6c-af9a-4b07-a615-5db204197f59	0	0
fd70bf19-c1db-4e43-bf79-5e963a2817d1	16	1.33332888888888879
208502b5-ff45-4341-8931-b8cf2818a546	0	0
94452117-fa09-4296-a5b5-da6049d5e5ab	0	0
ff8d6aa1-cde4-45f9-b758-b35f8c78a376	0	0
ae2baa04-626b-47a4-9d42-3b5b74e4acc1	0	0
a31e7027-eed2-4482-ab07-384d7d8ded8e	0	0
47fe83fb-a2a6-442c-886e-b166386281b1	0	0
7cfa80e1-66f7-438b-a2ee-27088af41f14	0	0
3aac5b4a-fd5e-4d50-b34a-4cd80d2e82a4	0	0
19d2053d-fe87-4ac1-b493-2583617accc6	0	0
9d41c2e5-5aa5-4a6f-a395-d5be76757bd0	0	0
908edab6-454c-4e9a-9a71-252ac238bbe4	0	0
2db75296-c2c5-452d-86d1-e22887c78932	70	5.83331388888888824
1b8c096e-70d3-4af8-84a7-af88f3623c01	0.594125249072381956	0.0495181940578947183
1a7f26c1-02e3-46cc-9ce4-4d4622662fbc	0	0
ebf41325-b979-4ef4-9e75-c410c84fa07b	0	0
87488faa-9831-4969-b4ce-06f629b45eb5	11.1837229437229446	0.93212292169312172
4dc125ac-58e9-44c2-87b2-d2dae696374b	0	0
e194a1a4-ee01-4603-81d5-13e5e1931a7e	0	0
dabd9a34-708e-4a5a-a944-630911394212	17.1436818181818182	1.42886397180555558
ff1adeb5-8e0e-454e-a5fe-6fc4e762f99a	0	0
80b4f659-a1b7-4d12-9897-b23249c095bf	16	1.33354222222222218
c39e1eb5-b0b0-404e-aab3-4e5cb90ea5fd	0	0
14bf4104-c396-4659-8ce3-60e22f0ac730	0	0
996504b8-bbfb-4097-b80d-c80d98aa92f2	0	0
277acafd-be14-49db-b799-1399a049dd25	0	0
4c4339e7-e114-44b1-a706-289b514583bc	0	0
2b02f0de-e9a2-4549-9049-7be01fc0d57a	0	0
777d96ce-d872-410e-99b4-3000dfcbe126	0	0
6d134827-92b9-4eab-9466-a180a23fbb97	0	0
7814a1d5-c0fc-476c-935d-da98a10c4f02	0	0
2970c165-f4fa-4357-860f-ff5dee3aae32	0	0
e0fe06f3-3d1b-4847-9d63-9c947e46e650	0	0
d3c8b99a-71d6-4d79-a8bd-808f8ac594ae	70	5.83424722222222236
deab8f1d-e902-4bbd-a937-0addeb69d913	0.594125249072381956	0.0495148933620665407
f2171953-d9ca-4b53-9c59-bdcc56d7cae0	0	0
95b56070-f354-4099-b2e7-3dd2f4f7b8ca	0	0
3c8c02e7-23e2-4df2-b482-dbba825c8b04	11.1837229437229446	0.932060789898989994
ca719019-6f78-44a9-8a36-90bee1dbaf92	0	0
3674885a-65c4-43f4-9bc3-7c6ab2262149	0	0
0e82f760-138e-4f8f-8dd9-5b40df3d25c0	17.1436818181818182	1.42876872912878783
47d3b071-dcae-4f7d-a033-44819044087b	0	0
8052413c-bf4e-42cd-8b13-4438f96bf169	16	1.33345333333333338
0cd7d5df-de4e-4fc4-a68f-870eeb17a285	0	0
99a208e2-c552-4749-9c32-f7ab1d2ea612	0	0
ff86cf2d-5edd-4f06-b7ac-853b3443ea4f	0	0
c37379e3-9124-4e9d-b2eb-7ef828db1e31	0	0
11a02fb0-8b40-4420-9d95-8558a9c53d3a	0	0
d48f8e09-356e-4b06-9ba1-04ba3d24d0f8	0	0
372f4c34-4f21-4311-8392-e420e5b8b4a2	0	0
fc62349f-8bc4-4e97-951b-ec5b05d69fc8	0	0
aa3c0aec-cc66-40c4-bbf8-442c0b2136c8	0	0
f53c9299-62be-437b-9341-984049d131d8	0	0
947a4729-4ca5-4316-8a11-1b05b5c0f8ed	0	0
2c9eaf44-0a06-4e84-978f-5cf34bf40776	70	5.83385833333333359
6b6b7058-7343-49c5-99cd-6d87a9d0bb4e	0.594125249072381956	0.0495153884664407615
31d0b12e-2c45-485b-8ec0-20e9bdd483dc	0	0
4ace54de-35ac-45aa-9566-f13f09dfabfd	0	0
d06653b0-2411-4db8-a7f9-d40229f3d404	11.1837229437229446	0.932070109668109659
e5e846fd-5b5b-48cc-ac40-d4a38dc73df6	0	0
57310fcd-bc51-4476-80f9-7f69d50ffca6	0	0
15892d4e-64a0-48ee-b9d3-e2065a887ce1	17.1436818181818182	1.42878301553030296
60408041-41fc-4f6b-81c5-54d7a3da7352	0	0
7a1acb4a-bcbb-441e-af8f-df934b498dae	16	1.33346666666666658
9c91ea02-f3a0-49f1-92b1-82724cfe2548	0	0
873cde3c-ca49-4a9e-a83a-c7039aabd001	0	0
15d4e4ee-808a-4681-add8-de9f555804d7	0	0
4d74cd8d-6f37-4a0b-a198-4a99f0e431b5	0	0
832afdbf-41bc-4abc-9936-8c978d082e19	0	0
083f81e9-fa67-45fa-b06b-bf453a81a121	0	0
fc583238-c42d-4248-9176-63ebf2104fa0	0	0
77356c67-9860-4e1d-b9ef-cf468ba7ac7b	0	0
4e68e39e-fc20-4734-baf1-2243709ad6f2	0	0
4f51422c-bde8-46f6-b604-61a4c1023ec0	0	0
4b9f33f8-830a-40d1-ab64-8336a1d2d775	0	0
d0c468ce-ce56-43d2-bd36-b974400c9891	70	5.8339166666666662
bc195c32-690a-4101-be9b-d159959c8492	0.594125249072381956	0.0495147283272751315
9ff870b0-b33b-4d6d-99d0-56f464d77bcf	0	0
7b1a540b-b5a8-4476-a0de-c43f95c851c9	0	0
527f7235-0309-463b-90e9-6985d0a76a52	11.1837229437229446	0.932057683309283402
9a034f22-7b8d-4f32-ac90-5a00bcd743e5	0	0
7fa19e0c-baa7-4238-ae02-64884ae4b748	0	0
e1ff87e9-83f3-4db0-9ccc-564996782c4b	17.1436818181818182	1.42876396699494945
933d08a0-62eb-4a38-a18b-2197696a24ba	0	0
9430b0a3-bbdb-443a-b218-d4434f8fbc82	16	1.33344888888888891
5b775ada-76eb-4e56-8817-c032a4e0c890	0	0
fa7caf10-8498-41da-b77c-7f18d62d4281	0	0
15ca371e-e15f-4088-bc48-f6e56d019ff4	0	0
cdf0024b-5e66-48af-b265-e92476f9d4c8	0	0
552aaa0d-2bc7-4eca-b330-c2d0610a342a	0	0
4bc2ac41-1cd2-4f18-8421-74aa6d617188	0	0
615e85e9-2377-417d-b5e7-065a9a7f6bdf	0	0
43975cc7-5911-4d7d-983d-ff002a576383	0	0
7f6f6506-3f10-4fcb-9fbd-a40d1de68b99	0	0
36bb415c-58cd-45b5-b727-bb8c3484cf07	0	0
56c2bbe6-86f9-40a7-9b9d-24c39ee2aea2	0	0
1564268d-0ea5-4317-a986-637326345b54	70	5.8338388888888888
d5a0c7bb-a44c-4125-bc21-4d023557c711	0.594125249072381956	0.0495094472139500433
75bb66ff-fd02-4e10-9cfc-07e57f5d877c	0	0
a06f36a0-bd83-44c2-9432-15758e14f294	0	0
6b45b4d2-358d-425e-91fc-c2f27e459c38	11.1837229437229446	0.931958272438672464
31f13453-79f9-4c02-b7a5-243e115ca88c	0	0
a225dcef-6e13-430e-a1a2-a4a96d7d3a49	0	0
876a4b53-9f30-4dfb-b41b-ea42afedd4e5	17.1436818181818182	1.42861157871212119
d326fd84-9900-4b4b-9d37-3561d922b61b	0	0
3aea0860-2536-42e7-843b-af4643edccf2	16	1.33330666666666664
8c6f6200-381c-4417-a528-397c0ee571b7	0	0
b1ddc658-e0c4-4b78-9770-65435f7fbad4	0	0
fdc165f1-5cdc-425e-8398-57ee36a921de	0	0
b398cfa0-2733-4084-bdad-7c21ce9b042d	0	0
574a167b-fefd-45d6-a07e-cff1420989b9	0	0
6715b004-35eb-4b51-9f4f-46af716ffd09	0	0
6c427a0b-a12f-45a4-8a8d-f756f2facbe6	0	0
02ebc1fd-5712-4b95-93ff-59a1147a87b0	0	0
5cf95bd1-f44c-4e0c-aef0-6c6ee9af5b15	0	0
c31007a3-9653-4856-a469-99ca01fca49e	0	0
5aad19c6-558f-4a63-a369-7dce570c588b	0	0
1564902c-ca1f-4d4f-ade6-7c666e99a15e	70	5.83321666666666694
cd97d840-6f15-4c8c-b2cc-c4b2c7e9b67d	0.594125249072381956	0.0495122528054039931
062898b5-76cd-4ac7-95c1-595f58cf2987	0	0
205afa6c-b4b8-4cc3-9131-8a01ae134a95	0	0
3e9e5d7c-7fc1-4ebc-83f6-8a95f211671e	11.1837229437229446	0.932011084463684525
5a85e1ad-8f7a-4014-a6cb-eb5362222624	0	0
ca6cd667-6693-4a5b-916e-d70bdb4ab72e	0	0
6f946c94-c17f-451a-9f34-cca8f9041415	17.1436818181818182	1.42869253498737381
f320a73c-5045-446c-a9ff-3d2c307180b4	0	0
8c11c741-937b-4798-9332-76c56d8b5e6e	16	1.33338222222222225
bd91ddb7-70d7-4616-aa27-a9634351c538	0	0
71ff2310-989b-480e-ba29-8f0675212d61	0	0
46a38065-daa5-45be-978e-6cae3cc72286	0	0
380187fb-986f-476b-a6c9-cc457da32ac5	0	0
1e4a1b60-a180-4155-b28f-32ff26fc4e97	0	0
8ed69b2e-9bef-4081-99c9-b1ac5763c1f9	0	0
61072883-472e-4e1c-8b30-80d081cd35fe	0	0
a33c096a-df25-487f-ab81-a922dc677507	0	0
0128e51d-621c-43b5-8f3d-9f63374403b1	0	0
cc864e01-510f-4409-b98b-918362afe919	0	0
0db8fce1-1c3d-4cf0-b75e-8444e44ad62e	0	0
e756aa2f-37f3-43ab-9609-b52f82dbb15c	70	5.83354722222222222
66bb8076-2e64-441e-915f-06be63ed6c30	0.594125249072381956	0.0495096122487414525
5b862592-d454-4db5-b312-258276127f5c	0	0
da81d225-2f6f-46f4-a8d7-102aeb2314bb	0	0
72302ad1-d70b-44e2-afad-52ee4eae068b	11.1837229437229446	0.931961379028379056
734d1dae-690c-4e0d-ae4f-9de7a732d0f4	0	0
caad0955-397f-4a33-abf1-d55cd006d6b4	0	0
337c3195-5cc5-435e-9f50-3a307029d36e	17.1436818181818182	1.42861634084595956
187cb686-d2ed-40ac-817c-82ef864cc6c2	0	0
07bbe8a8-41b6-453a-82fa-6a252ee61a8f	16	1.33331111111111111
f02036d7-7616-4522-9b9e-f8ed03f6e6e1	0	0
75da191b-f688-4cf5-87da-d4d04e3d913a	0	0
c14bc875-6180-44ed-84ec-ff64e2ea9fee	0	0
a0853d34-e953-4435-8803-058edbd6d71a	0	0
bcc10ee8-838e-479c-ab43-924b38d360fe	0	0
9917c0ea-753f-4095-b2ae-a2657e0ed19c	0	0
81c75b46-5aee-42f6-9637-78310603d9da	0	0
938d4ed3-49e4-4374-845f-34215b70aad4	0	0
05b9ad43-b5a4-4fa3-a430-a7f9b6fbabab	0	0
fb1ea045-9541-402f-9879-a9e23b3517df	0	0
976923f5-8874-4bba-97a9-d9be3e88f1c9	0	0
83b9a198-3be1-482a-9d78-bc48026166ab	70	5.83323611111111084
b550f7f3-c3df-4500-b70f-3cb0fafc35f6	0.594125249072381956	0.0495124178401954093
08a9082d-b8a2-401d-9cda-8b1c8b5cf72c	0	0
c62ba1a3-bdc8-4d2d-9e29-a58d2c961eb7	0	0
13c7d8f0-1d72-47d4-baa5-9abbc6c13eea	11.1837229437229446	0.932014191053391117
86aebee7-1737-4c93-a967-7b11623959dd	0	0
24ae416e-9b4a-4868-8511-76c19293a835	0	0
3061a549-cce1-4280-a0c3-3845657338f5	17.1436818181818182	1.42869729712121218
5df27cda-0093-46fd-8326-ca8e556db504	0	0
19975461-82e9-4556-aadc-f8a14fa757e6	16	1.33338666666666672
09093ec5-10eb-4456-bf41-e670ecd21e2a	0	0
ab03660e-4a95-4c20-919d-58a2b9cd5de6	0	0
1ac40dd5-38b6-4e0c-b25b-2565a043100a	0	0
c7a541e5-d399-47a0-9eed-1b628d07427d	0	0
d8e34fdd-6ceb-4336-8bf2-07588e7ca743	0	0
a187160a-f6d4-4c31-880c-ab14368aca2a	0	0
ad573b5f-89c6-470b-bafc-6460e357796c	0	0
b09c08ea-c9ee-4c4e-b5ba-75682b8dbfeb	0	0
b217ff1c-2063-4263-86c2-d2163c70569d	0	0
f2e9dac8-77a5-4b19-8924-959527ce57a0	0	0
b0f28b1d-3e21-4f86-86c6-1d8e3c986a7e	0	0
a1212f6e-805e-43c6-a295-5ce891d31e3b	70	5.83356666666666701
3b4a54d3-59ac-4b89-811c-24201f93d079	0.594125249072381956	0.0495208346145572589
696301bd-4723-4b36-af1f-11b72f36bad9	0	0
2dcea3ab-d1c9-4dbc-a7f8-c6c6152f8d2f	0	0
ed9c6aeb-750f-4d90-b449-f94ef60b27e3	11.1837229437229446	0.932172627128427189
a0ced1fd-0280-4c85-9274-67b419615a3a	0	0
63efb947-2e38-4019-b9fe-4fed1b941056	0	0
dc7b191a-392e-47ec-b2cc-860a539232cd	17.1436818181818182	1.4289401659469696
df4217f3-d225-4fab-98af-457fcac862dd	0	0
d4a1285d-fe6a-445a-8511-c4668d3f325e	16	1.33361333333333332
0379e290-bf3a-47cd-af70-ef160309b9cf	0	0
f179b826-4aa0-4408-9027-dee73d300526	0	0
b13ebdb7-09ee-43e1-b90e-2932f73c8b97	0	0
90909503-642c-4ccc-9076-3bc7242faf6d	0	0
62200ba8-4992-430b-91c5-9e2d09b48786	0	0
ecb4a58f-e204-41f3-a451-9efc73cc4c20	0	0
4a630ec5-0c5d-4bc1-ab1e-a278fc6e5d18	0	0
87bb1296-d605-4276-ab5d-90e4ea57dab1	0	0
2e04ab4f-e9ee-4065-8ea0-fd32c3beda5f	0	0
d8d878af-dc41-47ad-8216-ac759830beee	0	0
12f8def3-b05b-49dc-bb4a-aba618c8b92e	0	0
8803ec43-4ccb-423c-a97f-f00d849f705e	70	5.83455833333333285
e1d40af6-9eff-4bbc-b04e-d7ed093bb958	0.594125249072381956	0.0495132430141524485
240d51b4-db44-47b8-8f1e-1a1ccf87c61c	0	0
c23f5c3c-ec53-4fb5-a386-edfbcdbe3bf6	0	0
8454fbd6-c36a-4422-aa75-93ce4467f793	11.1837229437229446	0.932029724001924076
1a9a807b-b121-48a3-b7c5-71b590482f4e	0	0
63d3bb6b-b564-427e-b0de-0850d5456f82	0	0
de8d0f95-d9b3-44f7-88a3-52d6f7083b9b	17.1436818181818182	1.42872110779040407
3c2ed0c2-3760-4da3-955a-637230a885f5	0	0
16659210-3257-4e2f-9fe0-fb34e2ca476f	16	1.33340888888888887
09df06e0-49af-4c08-844d-6a58145169b8	0	0
2bd204df-199e-43a6-ae5a-e3dbc7edfe40	0	0
656e1459-0841-4401-bc28-8917e7ae950f	0	0
7ae52a0b-001d-4bda-95d2-a41fa01d23f4	0	0
b316535a-a35b-452e-b785-551bc9f289dd	0	0
9f18071d-7040-4ad5-af6a-f88b74d55a15	0	0
43b247f3-a4bd-445c-88cf-a279fe0ad863	0	0
abba58cf-5a63-473c-9cc3-3b2108c6c8d5	0	0
23138239-65e9-469f-bea1-3fb0f52ff399	0	0
1fc66cec-5869-41e5-9540-f82fdf19e96a	0	0
6bbe5f70-d931-4056-8656-f8bcef183a13	0	0
2b67b9aa-2537-41b4-b45c-8b0d5426d40c	70	5.8336638888888892
2b714195-c8cd-45a0-b6b4-7e73292a19d0	0.594125249072381956	0.0495139031533180854
0426d8e8-d6ba-49c8-86ca-b95d0eec429a	0	0
827e6afe-788a-4a1a-b877-5899ea6a24f2	0	0
4b42932d-04a1-44be-b6c7-70f204bcdbf5	11.1837229437229446	0.932042150360750554
66b8f945-9059-4d53-93fb-5d8ae89136ba	0	0
433823ec-161b-42f2-9de5-1e1c46a63ea4	0	0
ef1f4f64-3769-4709-ade6-c54e30ecf895	17.1436818181818182	1.42874015632575757
67c30f03-e262-4fa6-95a9-6e1410629b61	0	0
652a326e-0c73-47dd-9dda-9a7cbe4bdbc1	16	1.33342666666666676
a2e7a2ae-4dab-41a8-bdad-d19eb3af63d4	0	0
57dad438-83a3-4cbe-b805-4a096e31c3bc	0	0
7502c155-3749-4ccc-8b3e-42122580ac72	0	0
a098c077-e013-40d8-a6b2-58c313084055	0	0
2f3b0578-0b03-4eb6-b218-84cf1d633a76	0	0
4b12930e-6a50-4bf5-83ac-6f1ecd1cf1de	0	0
13534287-1810-46c8-b1b6-938c2c4bb6ea	0	0
59a73b77-624a-4fb7-9293-eecd785a441c	0	0
7d4b9730-61a3-4815-bc54-1097650f689c	0	0
5fbcdafd-d363-4115-9f0d-11c60933da13	0	0
3a18d71a-644f-46cd-a36a-c961f9f97f86	0	0
c2bc87c5-54f2-4231-ba88-2a8a65cce96a	70	5.83374166666666749
34739044-4771-48a8-a98f-cccd01299715	0.594125249072381956	0.0495167087447720353
efc9e236-0a92-40fe-b8be-7b22f9d6a4f3	0	0
e7afaee8-c480-4a9c-aec5-630c62863302	0	0
8d7634d3-efe3-4323-9ed1-496775551c15	11.1837229437229446	0.932094962385762393
48c3abe8-208d-40c5-982b-4f7fd5e32af8	0	0
5117347a-e708-434b-a93c-d4e220d81391	0	0
6810c5fc-98a1-48f3-9068-f57f125f44b4	17.1436818181818182	1.42882111260100997
c0f867cd-edef-49d4-9ce9-0adf89277f17	0	0
09416f40-2e84-4a01-b500-79fbfd6b76a2	16	1.33350222222222214
cb1fb11e-a132-4750-bb76-6a58f2c4ce72	0	0
665daa39-ccbf-46cb-9121-350df8a76107	0	0
2f9b6114-102b-4cf5-be40-ec29e918b7ec	0	0
017ef26c-aa20-41ce-8785-9c97a0639dcd	0	0
4682f699-d2bd-4845-982c-f501ba786e91	0	0
4ed239d9-291b-4031-bbb1-d06e7be32d90	0	0
c98576d6-2bd0-407e-ae3f-838b430e241b	0	0
1fa30f1b-e0e6-4d18-bba5-7676cf9f090f	0	0
71ab369e-8ead-45d5-9a21-4f341dd0fd34	0	0
f2501b16-ec29-4b36-ae5f-a07f3f8ceccc	0	0
a6dac630-45d9-4b24-b518-ec899b6e06f6	0	0
9f79afee-72c8-40db-89b5-1f6075f46d02	70	5.83407222222222188
8bc2fdcc-9e6e-4fff-aa49-180f6ad8f680	0.594125249072381956	0.0495119227358211747
0f848b54-3f58-4b64-b810-d36bdb4a637d	0	0
e6bdb970-105d-46b3-b2d3-0c0fdffd8d64	0	0
57368cb6-b6dc-47ad-adde-5bcc753a8c56	11.1837229437229446	0.932004871284271341
381ce1f0-9797-4b6e-9483-5c064ae3ca6c	0	0
947d6ee8-1e5e-4fca-858a-f3d7a5f17c5c	0	0
808f2243-f4ac-426f-bb47-806a95a0a977	17.1436818181818182	1.42868301071969683
e58fe21d-6033-4150-814e-8dd3432fd182	0	0
c305541c-1437-42b8-949b-b2c1696dc23a	16	1.3333733333333333
cb7a4cc5-7587-4784-be01-f3143c220ba1	0	0
a3a361e0-f659-49ab-ade8-270707f5cf42	0	0
af178fca-5e5c-4fe8-8839-2abb7a570e99	0	0
6bb247e9-92c4-4426-b9ec-2fe9289f38d5	0	0
845e6478-6508-46de-9852-1efca243b6d8	0	0
9a01e2fa-ab7f-4ad1-a615-de1964b13c2b	0	0
ceb09e88-254d-415a-bf41-419c87ffe1b5	0	0
ea988b7e-196a-4fbd-9c8b-06fc7207d9dd	0	0
edc7f1f6-4790-43f5-b044-4bad895ab36c	0	0
7c4af284-9474-418e-bd6c-0c7cd31eb51a	0	0
e1d03468-b3bb-4613-9a8c-2e39a95730ce	0	0
d3737073-fd28-4406-8ac9-13a939fe264f	70	5.83350833333333352
f34416fb-3bcf-45e3-ac31-a440c6a52a87	0.594125249072381956	0.0495157185360235799
42f1b3d8-d934-44a0-87ed-b067f83a1b42	0	0
5378f08f-7608-41a0-8a55-a1dcec5ecaec	0	0
bc7524b4-7873-41a8-822e-cd38464d9b8f	11.1837229437229446	0.932076322847522953
c85f402c-5c1f-427a-8cea-63c8b3eacd71	0	0
53ee4043-d77e-40f4-85d9-c9622ff5914b	0	0
c49e1752-14ac-42a0-a8c4-9ae0e3fa5003	17.1436818181818182	1.42879253979797971
28bbe200-155a-4426-b5a0-bfc5f5e78631	0	0
65be3d24-0396-4ccd-b47a-808fe42366ef	16	1.33347555555555553
5a194343-3a86-4d6d-8ce9-2ae948d39450	0	0
ba4ee914-d4e8-4b47-8c53-3d0ebc518cfc	0	0
c925b8b6-29a3-4e72-b3a4-7bcaaf2429b9	0	0
264af1d9-b906-4658-a0b9-92ee5996e1c8	0	0
15cfd5ab-4c1d-46d4-b06f-3963374da80f	0	0
aaa8c420-4ba5-48c8-8981-a579cf60a232	0	0
d785f41d-d625-467e-b1e9-067105cd4a0a	0	0
d0ecb4ab-9892-4e69-b900-2dd51b87e0e4	0	0
5032343a-2b6e-4f3a-99bc-6b8ddd323a36	0	0
158e485d-c825-4352-9e78-894fb0b50842	0	0
be378e00-b437-4bb1-9b53-6bb700787ebb	0	0
10217c0f-ad21-4483-8893-31e731d045ad	70	5.83395555555555578
0e2bddd7-7f4d-40f6-a551-3cff195e07d2	0.594125249072381956	0.0495137381185266762
87185ca4-71d8-42c1-a068-b5632a92eb27	0	0
a328a114-e165-4171-8961-ac43be991d53	0	0
55e1f3b7-8c37-4ace-936f-6031683ac8f2	11.1837229437229446	0.932039043771043851
04aa6a8d-42b7-47b1-92f9-ab17b3e08fe3	0	0
c6d389be-ead1-4cda-8d4b-19c930afbbc6	0	0
7823d88d-d34d-4074-9b3d-da5773f759a7	17.1436818181818182	1.42873539419191919
4c9733ee-8937-4b05-a0dd-86c53a987ee5	0	0
85c10ea7-3c6d-4ee2-87ef-8f33cdf42570	16	1.33342222222222229
42a650b7-2be6-4d1f-97a6-0401b5a82d1f	0	0
3ed2d8b0-b5eb-4acf-8149-07b271a7b07c	0	0
e873c9a2-8884-44a2-ac11-ebac90f44556	0	0
84ff8c2f-2c4e-4023-9090-69ebb8ff939e	0	0
dfe29e2b-bd25-426d-81e5-105b1c3fa2c0	0	0
fba9c2b3-de67-4894-8392-bcc5d0771a96	0	0
9c29fbcd-3162-4918-bcf6-7ea297d31e11	0	0
494dffc9-6b0b-4d09-b7ba-af00c9c3a005	0	0
8b6e41bd-8d17-45f6-9631-be924ffc83d9	0	0
9486d9e7-554a-468c-bb35-840fd6f01ffe	0	0
be09059d-4b4c-4330-a3a8-c94fc89499e5	0	0
9eda5b56-ee80-4858-a1f8-63fcef9521e9	70	5.8337222222222227
b2ba8087-581f-439a-b3eb-8e3e87f68892	0.594125249072381956	0.0495119227358211747
19ce4ae1-0e96-41a2-a305-62fcc1f8327e	0	0
2fb7bcde-b9a1-4886-99b4-0c457b8816d0	0	0
f965662c-75b9-44e9-b831-eeaf5fc36688	11.1837229437229446	0.932004871284271341
133479b4-a254-4143-84b1-d17174e5fa7d	0	0
b2b96602-b433-44be-be01-4cfad7e24a91	0	0
79d51602-c6a0-40e7-9812-c944591f8bce	17.1436818181818182	1.42868301071969683
b71a229f-31b7-474c-af8b-534ce6a06c81	0	0
1ad978bd-5e21-4ad0-b536-d2e6ebc2104c	16	1.3333733333333333
b05db4cb-4e1a-4d13-8218-2707f6737e8c	0	0
93efbc30-ba59-40d8-8de5-4d6d08b74b0a	0	0
b8f574ec-f483-4f6a-93b8-03d8d38ccb9b	0	0
96a1eed1-9313-44bd-a2a9-8031d26591b4	0	0
5beadad8-eb9f-4b5b-8813-5806fb693425	0	0
f8317f19-6bff-4cfd-89d9-7bcc31be6cce	0	0
16591a3a-76c4-4658-8dc3-841d223f625c	0	0
ca19506b-938a-4cc1-a5e2-b6101adb1923	0	0
b50aaadb-bc73-4337-8204-af43db4de1f6	0	0
e418f626-db13-4c88-8b87-df292e6bf016	0	0
abb49aa3-ed68-4a8b-8f10-cb90be163e5a	0	0
2a104e16-6715-4a78-9a6d-67c68ffe8b99	70	5.83350833333333352
69775853-1007-41ab-b63b-d80d7e0b053d	0.594125249072381956	0.0495155535012321707
00acaa50-e685-46af-90f4-78c67e898706	0	0
73513c76-b9bf-47f1-8400-ceeeabb2ea20	0	0
71c8729e-b21d-4c13-865c-2389a045ed78	11.1837229437229446	0.932073216257816251
20bcc133-4157-47a3-ae9e-b938fde98f14	0	0
6c385a6f-ab48-412f-b7b3-35bea77e0a5b	0	0
5b45c1af-6b88-47d6-880c-30274c22c1fc	17.1436818181818182	1.42878777766414133
e5e650f9-3e59-40ca-b75c-07b28a980eef	0	0
72df908f-b768-4526-8160-b0d164808061	16	1.33347111111111105
f19568b4-4197-49f5-bb26-764b9c802993	0	0
9d021015-f3dd-4b9c-bd71-dc7f365a7ee3	0	0
65655cd6-d5cd-4882-9a2a-969bf6935c65	0	0
affe50b2-c81a-4c73-83fb-d77d83daf8f2	0	0
41c4c4e8-8fc4-4fdb-9aac-6e0fb65d8524	0	0
b7e35ae0-3a29-42c3-9d67-b4413cdd0469	0	0
f7aa26b1-3e5e-4f2b-82e8-b2907e3e8862	0	0
4a56acf0-73ed-4124-aa6e-da94a2d4ffb4	0	0
ce21cd47-39bc-41b0-b883-7fad180f3e21	0	0
c5b27af0-9b3d-437f-8b4a-d1c95e200b89	0	0
f4921566-e965-4318-a6b0-b1a401d3e9b3	0	0
c1dcee2a-a412-4cc0-b8ee-a0c4415848fc	70	5.83393611111111099
46bfa19d-01fc-4498-8e4e-41f9ed0f0e5c	0.594125249072381956	0.0495122528054039931
e31757bd-4714-499c-9a89-33009ec27599	0	0
b395d633-3ae7-4aca-b33e-29b51e71e22a	0	0
07facde5-34a0-4756-b069-5aa4cf542001	11.1837229437229446	0.932011084463684525
13d1ecd5-b280-4ab7-889a-f0bc67228186	0	0
f54b108f-c8c9-4a33-b6d0-352a927ccc27	0	0
112bc83d-c03e-42f4-9ea4-5d85b0c04fe8	17.1436818181818182	1.42869253498737381
a8fe57c4-f4ad-4d13-8e67-eecd517c091c	0	0
131fb96a-bbcd-4a7b-8d92-23c8b763b104	16	1.33338222222222225
070e76bd-8b00-4c81-983b-0316963e74a0	0	0
d1fdd25c-96e0-449a-aada-6e3134620507	0	0
08a5adc7-7485-4646-a351-9aea45b26bc3	0	0
2cd20661-1285-46b4-8985-43ed97527c1d	0	0
d7b86a7d-bc74-4a54-88c1-b99031d2a0cc	0	0
331c63e1-5445-47b4-bc7c-60f0465a3e85	0	0
1411995e-c3b9-476c-8f6f-eb57eb2bc19c	0	0
353ac512-ffa4-4e01-8802-1ca96c1f9108	0	0
26c2c00a-4226-4d72-9307-bee7cb4a19bd	0	0
156eb741-fc6d-480d-8635-520ca33ed074	0	0
1ad37d34-0681-420c-8442-88b93d8dbfc2	0	0
b5497315-1a6f-41cb-9c63-606c3426853b	70	5.83354722222222222
441b31db-e6e4-4946-8453-fb8b46dc2c8e	0.594125249072381956	0.0495120877706125839
b6d50cb9-5e39-453c-bbbe-c6a20a116e86	0	0
68e9d27e-4a5a-4370-b148-6691b631fc59	0	0
91d31d23-c6a0-4bf5-95ca-69ad8149bd35	11.1837229437229446	0.932007977873977933
eb9acea3-d2f2-45c7-97cc-b2ea644efacd	0	0
302694e8-0d35-4cee-b673-ac8f865c1cf3	0	0
bc235395-5659-4783-a2df-67d9330af591	17.1436818181818182	1.42868777285353543
7bf63068-87b8-4843-b57f-707dbe1e6b35	0	0
b3a7c6dd-5dc0-4b94-9717-8dd8b43a9208	16	1.33337777777777777
75945d37-c619-44c8-887b-7a7e95948186	0	0
ae763c3d-c4a8-403e-bf78-5137682719f9	0	0
cdaab604-f559-4a3e-aecf-3bf9a1a04d0d	0	0
bcbfb9d8-eb46-407c-b333-e485a5bf2fa9	0	0
6bd05675-a4cf-4587-926e-0ce6a57da30e	0	0
df3a6f6e-00fc-47ac-81a1-54666d675ea0	0	0
515b35f5-b678-4b9e-8217-c74ff689b424	0	0
bbcfc884-3608-4b7d-8e71-424a89fa3fde	0	0
57bd164f-2924-4286-9689-5cd3d0f5e897	0	0
809ca6d3-8c73-4c9a-bc55-020cde137027	0	0
8e9701bd-5059-4fcd-8264-537346dcaded	0	0
986041ad-e3da-4a87-8da5-47f09fe6a441	70	5.83352777777777742
2d6b1e1a-4c89-45ab-ac5a-5994a6c0766d	0.594125249072381956	0.0495183590926861275
6da34ef9-e39b-4c3e-81a1-7aac4722df54	0	0
fc132bb6-ea13-449e-9295-a6fafb5ca1ea	0	0
c0ebf9d4-7890-425e-9480-437f4293913b	11.1837229437229446	0.932126028282828312
1fe8245b-ba83-4a59-85d0-866a578f77ec	0	0
61102aad-d777-4eae-b6f6-4e1e9a8afc86	0	0
2f24fff3-566a-49fb-8f4c-560ef0752baf	17.1436818181818182	1.42886873393939395
2ae59f82-77e9-4b8f-b214-edf652c38ef7	0	0
dbaada4e-fd96-47a8-8d26-5ce7503a4a0b	16	1.33354666666666666
b4e2ddb8-ca32-48a6-a461-89f4adbec259	0	0
da3a78b8-b89f-4779-bfaf-5569bf59cc16	0	0
28c492f0-bf50-4685-8c40-7e0aa9ec4f26	0	0
7ab267b3-219b-4eba-befd-8c7c009fcc44	0	0
abfe6aa0-8320-415b-b2f3-6a79b89ed41a	0	0
fc8d4e1c-55be-4f73-b1eb-175f45e9a8b7	0	0
c9a96283-5ef8-4ef7-b366-37645ace9465	0	0
b4f2330a-bc74-4aa9-8ab6-0994dad95f90	0	0
13444e7b-62a7-4f72-917f-469e5ba3e857	0	0
d7e3610a-3d28-4c6f-b38a-4f449730c130	0	0
fa4b1a2e-5d05-47b5-b165-a7682d72fd27	0	0
cd597369-4caf-4581-8029-dfa394f52885	70	5.83426666666666627
509791c4-68fe-496f-90d0-c2f8a8283d36	0.594125249072381956	0.0495069716920789049
3d6ba28b-8e2a-41b9-baf3-4a4912175c6f	0	0
721a1e81-1ef9-480c-876d-f6235edb76dd	0	0
89478414-8038-4701-b2b8-5a6e19efb85e	11.1837229437229446	0.931911673593073697
24cb2add-c7fb-43c4-8c27-bc09c3f0ad9d	0	0
7b27fbd0-f8e8-4835-b867-296b8ef6a5f2	0	0
b9fb4a37-1e6a-40be-8b8c-338092194436	17.1436818181818182	1.42854014670454554
ce00ecdc-4ea5-4f26-a972-414e53fdc42e	0	0
12c6cc6e-6e6f-4ae8-a4c9-a2fb22684da9	16	1.33323999999999998
5a5af468-8ba1-444b-bca7-fc74740794bf	0	0
2d10ef43-54be-43d6-976b-20668c4f2670	0	0
e3c3469f-3bcd-4f9b-9a2b-baf8d0ab0906	0	0
a321185d-df04-47df-aa76-6782e351ffe4	0	0
93fae192-851e-4e24-8080-4140372a8b2c	0	0
a93ac8be-fa71-4886-8941-ebdb8d9aa826	0	0
e9303761-77f3-4e35-adaa-f01676225d4b	0	0
a5912268-de6a-4f19-85d5-e9c06789f2ce	0	0
ad7aa7d9-bd4c-47d6-80da-a3916bdd54d8	0	0
fd78d674-6bb9-42db-93c0-7723a2bdddc5	0	0
3959d48d-8a79-4e24-8d6b-f9fcdd7ef9d9	0	0
bef54821-532a-4231-b086-95de08f37353	70	5.83292499999999947
f9925e0f-d0f5-44d0-80c3-c9f4397e65c8	0.594125249072381956	0.0495167087447720353
755936bc-b568-4194-8b84-6f5b1821fe32	0	0
463f5d72-a073-422a-981b-9334a376cefa	0	0
716e647f-6823-47b9-b2a2-59ac63f97ba7	11.1837229437229446	0.932094962385762393
c84c8ed5-37a0-48b8-b5a7-d82c2a09bf9c	0	0
8e9cc046-4e09-4fe4-bf7a-4230f5336b57	0	0
6adaeeda-0e55-49f3-b867-f288e9068938	17.1436818181818182	1.42882111260100997
661abb78-76fa-4978-b7f7-a6cc1ffa35e7	0	0
e4daf53f-da94-4b09-b459-25fc35233792	16	1.33350222222222214
f49917e8-6421-4de2-8021-bee81345d365	0	0
d3e51c7c-54d0-429f-b7d4-d685cafb3a73	0	0
b95667b8-f72d-4efb-8cc2-dca991d48d43	0	0
1a968ee8-53f5-480b-983c-7ea82f611484	0	0
91f39988-44c4-4c57-9650-c6d2d010f0de	0	0
4862857a-b1ef-486a-95a0-5b4e9d9fb2c0	0	0
dee609f4-5bd1-4bc4-bb99-d206e56cd87f	0	0
685995aa-62d5-4c60-ad91-db9efff9f991	0	0
6f06ed86-22b1-4540-9289-8dd5a9dca85d	0	0
aadadaed-ef5d-4600-a415-d350fc05cafa	0	0
ed147332-7156-4171-b777-ed9f8d101408	0	0
e648b0bf-cc31-4a42-bf20-c51d4f2a5693	70	5.83407222222222188
f0ff3828-3dba-4e23-b9fd-996ff676d0de	0.594125249072381956	0.0495137381185266762
00b24fd1-d309-4732-9478-bf9b317f3edf	0	0
b13fcdac-348f-40be-ba29-62b59bf3e561	0	0
919ee431-b18d-41fc-806d-180cb9a61d27	11.1837229437229446	0.932039043771043851
a8f5205f-f0b1-41b8-b486-ca54cbec596f	0	0
6a092d37-eba5-4e16-92d5-4751d5d5c78c	0	0
2e70bb3c-ee5c-40b0-8414-46d63a8e94f9	17.1436818181818182	1.42873539419191919
17965463-e372-40a8-bac0-39d06bc72eaf	0	0
314cf2c3-718e-46cc-911b-d2ae2a239417	16	1.33342222222222229
80531304-d84a-4395-81f2-e8b03b1bb22a	0	0
3a4829ea-f358-4ea5-8807-1e7b5800d9a0	0	0
f17e6ab8-9550-47c0-91b1-1c4dc6b55af5	0	0
8ffd8df7-3d4b-4e0d-81ef-9dd7de86533f	0	0
e82c6036-5237-4eac-b2a5-001c97a1559d	0	0
4671fc0d-d2f8-468a-8e7a-3fd3ee7c1ab4	0	0
462cb5da-b2af-46ac-858d-87231e3bea11	0	0
720ae8c4-a6b6-48f0-89ad-833e33edf7da	0	0
942f8f96-ffaa-415b-8abb-219895263fd5	0	0
0858b46b-2947-4834-92b2-085d2dcbf5d1	0	0
9b6b93be-d78e-40cd-8b6b-9a6a1884ffad	0	0
9a7724e9-fb01-4435-b8d0-40dcdaa739f0	70	5.8337222222222227
2a97a04c-dad2-4da6-87cf-4e0e21abbcf9	0.594125249072381956	0.0495117577010297655
09c286f4-f17f-4271-be1a-9fee68b8b0ff	0	0
973678a2-4794-4f9d-a5b6-4a4e34b3dee2	0	0
d249155b-2e1a-43e4-9053-3bbeb455e4e9	11.1837229437229446	0.932001764694564749
31b57f87-9404-40b5-a117-8487506e7e7e	0	0
eaddd17a-6bd3-4b94-8975-22970bd1f036	0	0
c760d423-2902-4082-9e1a-1df02edd422a	17.1436818181818182	1.42867824858585846
0315180f-aa7c-442a-9b5d-fac05a8dad43	0	0
e785c813-206c-49bb-ad72-83a63e4cc054	16	1.33336888888888883
5838d94b-abe1-4b41-910b-a862802011dd	0	0
958ecf76-71c7-4711-ad64-502876cdf98c	0	0
75c0e48f-74e5-4290-9702-f37927bc8f02	0	0
fe0cd35a-14ba-44c4-80ff-82027ea7bc26	0	0
c1279357-d1c7-46f8-a5e2-a734aeaeb02e	0	0
2c54fc9f-dddf-4460-9982-5189d21d7f41	0	0
66c2c757-a501-4bfc-8f14-484e946f4b53	0	0
943c8da3-6821-44cc-8985-17d8626a998f	0	0
15387315-6081-4dbc-8423-0653f82b5c44	0	0
2530e859-d45f-475e-ac12-1447c4063fa0	0	0
101133ab-c108-49cd-980b-605cb01c143b	0	0
fcc6a199-23ec-4d57-9bd5-d07b476e9ad5	70	5.83348888888888872
172216e0-0417-4baa-a08a-c7ddba49873e	0.594125249072381956	0.0495167087447720353
da41d89a-934c-445c-b671-754546a9d00e	0	0
a0747161-feab-4287-867a-3b24daded02e	0	0
b510498f-478d-40da-b6d4-cf7b28383de5	11.1837229437229446	0.932094962385762393
c7e09bcc-f337-43d0-bf66-5f5a63f489c6	0	0
bb4a8e92-3111-43c8-945b-fb5b73d043f3	0	0
74824d13-5055-4eef-bd41-737ec58d1668	17.1436818181818182	1.42882111260100997
3d0c521b-238f-4f20-84c5-ef3baee48454	0	0
e761c915-6001-44c1-9dbd-a6e7200fee89	16	1.33350222222222214
4668ceae-0b96-4c84-9c68-4b58230be13a	0	0
fdc109c8-fbbb-4946-bf9b-ffeedb746c81	0	0
dd82df8c-cace-4b43-b9d3-2a8e76ae3b1a	0	0
6f6edb21-7712-4258-bb34-547d68624453	0	0
1ca37f89-6e9c-47d7-9e44-65634921d333	0	0
1a86b5ff-09cc-4de7-bfea-ce4b0ade48d2	0	0
43e7a7a5-573f-4957-9d82-d7ef094a0985	0	0
c731a590-5e3b-47e0-a0ee-94aeb7a6f7e7	0	0
cfb925be-3dc5-4862-97dc-a6120f5695c7	0	0
ffba4040-6092-485f-8c61-fe69e99804be	0	0
1d46420f-dd6a-48d9-8808-3e485c00a660	0	0
d93353e3-d114-4027-a33e-3a516323cb0a	70	5.83407222222222188
3ebef939-6bf9-4489-b2cb-f1818c16ba9d	0.594125249072381956	0.0495101073531156802
0e7a3c1b-0a30-4a8e-9586-dc0b5f01ef61	0	0
696ff715-dd94-4a24-9ea8-ce65f12b1c7f	0	0
f9affb3b-7a3e-47be-a7cc-1628e3a1c8f6	11.1837229437229446	0.931970698797498942
cb3a30a7-ce88-40b0-84cc-fcebbe07567a	0	0
602d294d-d16d-466c-a73f-a6de562503c9	0	0
9cc4de3a-70cf-470a-8158-fe5b3e723abc	17.1436818181818182	1.42863062724747492
08463017-857d-471e-a2dd-6768fee31793	0	0
82a34db0-c8b1-4ed6-9102-cb43706be4ae	16	1.33332444444444453
1fc84233-6cb6-47d2-866a-5400eb78b1e6	0	0
ff31e5b9-67e1-43d7-a895-ce0bf36b365c	0	0
fdc3ea39-b9a7-4cba-8b44-bcad096cb6d7	0	0
57a270e4-f09c-41fa-a3aa-bf31369c5792	0	0
ac528b09-30cc-4dcc-a78c-1d0bc464934c	0	0
8a739190-faa5-476b-be18-2827df067917	0	0
19c5ca16-d480-45ee-9f7e-f5cde5ec301a	0	0
7a1c514d-e6a0-490c-9079-8130409225b7	0	0
5532b44c-c535-4f51-8388-09527ffe2a4f	0	0
4d5261d9-350a-4b1b-bcb3-44c8d2f39b4f	0	0
d577e876-f288-4123-9faf-352292d294ee	0	0
1a4a6eb7-8d17-4f39-bee0-b2c8e8989564	70	5.83329444444444523
6fb7539d-b696-4447-b1c5-24e0a0658f4c	0.594125249072381956	0.0495094472139500433
be4c56a7-e758-4a73-9cd1-a431b97c5a9e	0	0
4bf5a29f-7229-45d0-8c16-8c8679b9cf44	0	0
8c9ba66f-8998-41f8-ab40-7403014b4690	11.1837229437229446	0.931958272438672464
8ce47abd-8439-48fc-8524-feda3476e7e0	0	0
5bf07d92-fd81-47c3-92b7-f30dcbff5bf6	0	0
19300597-bfa9-484f-bf64-5ef41ff44f5e	17.1436818181818182	1.42861157871212119
ae3c6e79-56be-4099-a81e-1df0302353d4	0	0
0f49b410-314a-49ae-9f07-7e36fda55277	16	1.33330666666666664
e0dc884f-fe58-4b67-9144-fedc501b9cf1	0	0
a962de10-3d81-4408-84c4-099de67c1cab	0	0
2fc705fe-ffae-463a-8a30-69cd9d7f2df0	0	0
02121d94-a367-45bb-a44a-f70f0e0d857a	0	0
bcf693b2-effb-44a6-a509-ea449a788912	0	0
3e07f5ec-b856-4c25-92e2-6a7065fa08d4	0	0
13924625-aea3-419b-9adf-e9937c68be40	0	0
4f417e95-c676-4a4f-85cf-95b267f04cb3	0	0
7c6aeff9-b82b-4633-b65d-551d54f91c9b	0	0
20d8e387-5aca-4b18-8c73-025d812c203c	0	0
0c194a15-e27f-44e4-a964-23eb2569dfc2	0	0
0a4e4a3e-6088-4ad4-b0f1-b92890ee7e43	70	5.83321666666666694
357a9e34-6e52-4732-84d9-ff55bd0b9c57	0.594125249072381956	0.0495200094406002198
fe01aea6-6f91-4517-a58f-0d72d0bb44a8	0	0
a07f798f-3cbf-4109-bcf0-a37ef4fff002	0	0
ba6508c3-f884-4713-90a8-cb5d43ab08f1	11.1837229437229446	0.932157094179894341
56fe99ec-982d-43dd-b137-26d516db1d4a	0	0
f22b9063-a0bb-4a5e-aa6c-e2818a97720d	0	0
0031ded7-09a2-406b-9214-50e0623662a6	17.1436818181818182	1.42891635527777794
4ff5f7d9-357e-4ca7-9e3b-80ef276c241f	0	0
660b8d18-b087-45d2-aad4-5e33bc08fe24	16	1.33359111111111117
4565452a-fe55-4727-a4b2-30ca0f7225c1	0	0
5f7fe2ae-1d5a-4445-af27-c9968da919ab	0	0
cdd63810-6de4-43a6-8c5f-db9c15517393	0	0
9446effc-6389-4475-99e8-fbf54988da38	0	0
659e5533-52e3-4879-97aa-02fedb8b6e4e	0	0
1e519e06-95b9-459d-a2b1-f27cd063622f	0	0
72c915a7-797b-4b4c-ab6e-6aee4b046280	0	0
eb39fd99-e2be-4351-8216-124caa709cd7	0	0
587cc02c-bdf6-4153-ace8-0a173ec56d33	0	0
e4fb7b8a-efd8-4477-84b0-27c3079434fe	0	0
914bc6b8-aa2d-46de-b910-13ef227c112a	0	0
ebc14d42-6951-431c-9752-49341eaffcaf	70	5.83446111111111154
4a4e89c7-fdd8-4d15-9850-dc76c2acaaa5	0.594125249072381956	0.0495152234316493592
0e4ec17e-1eb2-429a-9cf0-e43b62953d26	0	0
6e89a7f5-c576-44f6-ad8d-76865238ef58	0	0
ecdec9be-ad0c-4708-a16b-cff0bb32510b	11.1837229437229446	0.932067003078403178
229e3cc5-792c-4fb4-881c-f3f00fa47345	0	0
948eb79e-9ebd-494a-9c14-166d141e2a86	0	0
4f1bdb35-ab97-4a0b-b844-6f2049617a77	17.1436818181818182	1.4287782533964648
096cbd97-dd83-402f-8f45-2f218b864bae	0	0
955408d5-5136-4528-be3d-e31d6ab7c41a	16	1.33346222222222233
48b605d2-d984-4672-859a-063f378265ed	0	0
493af20b-9f7c-4bb1-b608-f01f4694214d	0	0
8791bd72-f2db-41b7-ac0d-7eca96058277	0	0
073d7b82-447f-43b3-8c62-a2ba8dee29a1	0	0
2632d700-c2eb-4003-a155-f79dd462ac5e	0	0
33fb3b80-56ca-44f4-96a6-d13c096ef992	0	0
7b6650b6-1180-4e65-8df7-950fe472fd65	0	0
268d9f89-12f4-4b54-82f8-7d453fedf70b	0	0
7400baa3-d460-421b-b83d-59884042136c	0	0
370759a5-44bb-49e8-8cf3-df9a8036fd54	0	0
6201c2f6-a06d-4b78-a408-575ba84dc494	0	0
7b972b29-a458-41d3-8b15-9e2bbfaf0264	70	5.83389722222222229
7f177507-11a6-465c-ad51-eedccd86a7eb	0.594125249072381956	0.0495117577010297655
ccfde38d-277f-486f-ac6a-8db6a4cd41f9	0	0
e63bd1eb-9098-4fc1-bf3a-2b2977847d55	0	0
ec2c179a-8037-4f39-8fb6-65bf32ee031d	11.1837229437229446	0.932001764694564749
522bc77d-c766-41cb-a53b-f1f6d78051c1	0	0
37264567-2f82-48f8-9704-b82a215098aa	0	0
36562af6-04b4-469b-a4e0-c0e3f90e8756	17.1436818181818182	1.42867824858585846
9f1941c6-9a5d-4e00-8f82-c342f08bb803	0	0
f5187d8d-8fd8-4f21-bf5c-c5f43c3670ed	16	1.33336888888888883
ed3714e6-8ab5-4dc5-9439-d1b2b9ca02a6	0	0
e7d5f192-a096-4324-bd0c-5ec036a3f9d8	0	0
47a57bdc-e241-4012-8e1a-c938b42188bf	0	0
e97c9df9-90c6-431a-86bf-ceef0c5dd68b	0	0
ae39b71c-46df-4460-ac3e-f6075fed56f4	0	0
a2c3fbe7-62c0-453e-8c35-72b066b8855c	0	0
560927c8-ec83-4a38-b382-ff0de1c7c00e	0	0
c4f38f2e-59e8-4b88-901f-613d120a0e23	0	0
9d6eaa62-5fee-48e1-bdf3-7da6f19a075c	0	0
b733e3b6-3691-43f7-9c1f-ed012e2ab840	0	0
889dd181-e8fb-480b-aba3-323ba97e86f7	0	0
f1f24b32-d195-4980-bdd3-5e2c74283ffc	70	5.83348888888888872
3e7e36fa-087e-4ed3-ade1-6088147f0150	0.594125249072381956	0.0495160486056064053
c86cc226-a167-4964-9fe6-348bda4e68d4	0	0
77b8e37d-1904-4d14-be1a-2d0ae0ebc585	0	0
057d66a1-7a28-4112-b1cf-4a7f8178c00e	11.1837229437229446	0.932082536026936137
d94482eb-d520-4f2a-b389-d5ab63c2b6e3	0	0
47631aa9-ebba-47f9-93a4-fcd3d687867b	0	0
f96d5ed7-c833-401f-b81a-6a8449f1b4e2	17.1436818181818182	1.42880206406565669
b3ee2e99-714d-4433-b46d-3447b3fc52ae	0	0
287c0aaa-86d7-44f5-842f-adce7b685dfb	16	1.33348444444444447
20abf3ae-8b69-45f5-9b7b-ec696bce9ebf	0	0
ebe939b7-3c44-4c36-b4ce-df439018fdfb	0	0
3377b38f-e833-4f20-9d3c-47aca65b573d	0	0
38a22455-b51b-4f91-b644-3e55e005b680	0	0
5c80d895-6bbd-4cb4-b716-14b31770d3ab	0	0
d7cebd21-106b-4d2e-8adf-bba5c7e1278d	0	0
067db218-a30c-4f04-b8e4-2ed02de33866	0	0
bc086f6b-00a8-46db-b8b6-540f1878fae5	0	0
6cba6a12-8051-4a2e-b3c9-c1c4704c2fff	0	0
6ef4a9b5-b79d-4976-b159-14b03c91d58c	0	0
5085799f-e1ed-4381-bdf8-8649b1c64675	0	0
21666924-2d81-42bc-a4db-cfd3ac8976a6	70	5.83399444444444448
a4bd7d9c-e2f1-46c0-8bb2-c3d42ec383c6	0.594125249072381956	0.0495115926662383563
d74c3ef2-0d43-44b9-8afa-09b57e1caefd	0	0
c86a387c-f809-4086-b7df-5e36bceebc1b	0	0
800770e6-9648-40ca-8141-2a76f80d6df4	11.1837229437229446	0.931998658104858158
bca0653c-b410-4f21-b03e-8460badc1525	0	0
f1d88f46-5e32-4858-8310-e49e415df89a	0	0
35e55669-9705-4f31-b114-94ed89f27c03	17.1436818181818182	1.42867348645202008
0384216c-d6ce-4a58-89cb-f5cc8089ab87	0	0
59d0d0cb-9849-45d4-805a-0fa1d1c63b6f	16	1.33336444444444435
5d9092b8-1201-4869-bef3-daa331a6525a	0	0
49c8eff8-69d9-4eb0-a288-61c0c754ce39	0	0
ea62311a-16d8-4ada-bdd9-a234a368d593	0	0
1eeda6f9-cc0a-4a22-a665-7b92276d7092	0	0
ae7c266e-86b3-4164-be33-b612efd81af0	0	0
c6c9d825-8c59-4007-b816-3a54624cc689	0	0
22ef36b9-3329-40f1-b14b-6f0894f3ef54	0	0
4aaa48a0-bc0e-4cd8-94c8-65bd7f546e9c	0	0
abf8bea4-1e75-44f4-ada2-4ab5e2bf88eb	0	0
29a6a47f-04cd-4ef2-8b59-7f2bbe78fbfa	0	0
6086f30c-efba-4e90-a219-cf91a59bd30c	0	0
46065c52-fe98-4343-a0fe-4b9d16c8d177	70	5.83346944444444393
693e67de-80f7-43c8-92d0-2fa1a536e3d0	0.594125249072381956	0.0495107674922813171
bcb88471-c113-46d5-9d74-6f4cc30d621f	0	0
846135c9-032a-4bba-b757-f2c703326115	0	0
d2b84a3a-0273-4a28-8bb6-b5fcd71bfeca	11.1837229437229446	0.931983125156325198
23c320ef-5481-45e8-8fa2-f8cad55756de	0	0
01e6967f-a608-4dcd-9a91-f6f068a830b1	0	0
9e33e6c4-2e09-4158-9ab1-70990767bba1	17.1436818181818182	1.4286496757828282
1c23c810-5365-4eb1-a403-a372a3efc76d	0	0
7abd2c94-ad57-43bd-a142-e51d86997bb2	16	1.33334222222222221
4fa45879-5e17-49d0-8435-5548d52ae6bb	0	0
885b2836-6863-4d8e-8413-2ea438053d1e	0	0
47408fa9-e2ca-4c58-8343-0349588b25ae	0	0
0c85ce6d-4a79-493a-8c3f-01d462880f26	0	0
b535afff-eb1e-4992-9e87-f14691de6aa6	0	0
fbbae878-fef0-4469-829b-8c4b7fdfc4fb	0	0
3c7108a6-086c-4f70-830d-0f723e3f1ded	0	0
7229779c-af2c-4e55-b171-3ff9c52668a2	0	0
fb5b3548-e8fc-48c4-9afe-56cb85c323e9	0	0
d0dfe2df-168e-42d0-ade7-4c8eb7e37fbc	0	0
2875be7c-61f8-4621-a618-5a4f576bdcea	0	0
dc990d79-dd8c-4749-9584-2c77e49070a7	70	5.83337222222222174
a1cf2f6e-048c-41a2-ba27-321f8960808b	0.594125249072381956	0.049516543709980626
ff9a98f2-d58e-48e0-9975-1ee8427e6d4c	0	0
510958c6-5b00-4a9b-b088-4471aa096bd6	0	0
acbd919b-8a54-496b-a5a8-0d8d53eec345	11.1837229437229446	0.932091855796055802
967b7bd6-4aba-4bd1-9e05-fbbe4d77c19c	0	0
2c968b1c-1bc9-4997-ae2d-bbb7af410a4e	0	0
e296006d-638a-4f6f-8446-710f4bb4aa8e	17.1436818181818182	1.42881635046717159
3d98e9fe-1949-43a6-a82d-4279a1dc0c4e	0	0
4d8d4e37-92d8-4713-b353-bf6d92ff24bf	16	1.33349777777777767
bac46d1b-59f6-4df1-a361-c5edf34aba2e	0	0
7c14f7e2-340f-4ef5-b545-9f2ac738d672	0	0
cce5dcb7-3807-4737-a1e2-014f9908b172	0	0
ec2dfea0-51cd-4b37-a093-cfcba00d6812	0	0
b77cebf4-be4d-4151-90c4-7c98bdeadb2b	0	0
2b30afa0-3831-4c55-a81f-ed5e94a7bb96	0	0
a4b9c157-13e4-46f0-a4aa-c52d8d41676e	0	0
b4a89737-4c0d-4cc0-be2d-d8e80a2f69cc	0	0
a4af60be-81a5-48fe-a258-08354ebc5372	0	0
a824a2e7-f20f-4a58-8151-135b92e4a03c	0	0
2fe5a883-50af-4aec-a9b9-48e57bca1deb	0	0
93ff41e6-9058-405e-a2fb-112e88f9cdd9	70	5.83405277777777709
1881aba8-a8a7-4ac1-a90e-d0c291869b7a	0.594125249072381956	0.0495127479097782208
72e0466b-4162-4497-8b81-9db5e356e2b8	0	0
0d68614d-545e-4da4-9ab1-906a1ebb85f3	0	0
d266f7aa-8741-46fa-8d8e-8c1978d8dfaf	11.1837229437229446	0.932020404232804189
6e2c46af-fed9-4f13-b545-9558fa709918	0	0
74de3d81-be7a-4eba-946c-5e2ec4f2dee8	0	0
018fa62e-1528-4c39-8638-5816f3369fb9	17.1436818181818182	1.42870682138888871
239eeed3-d6d7-470c-b3f2-ac56be74b7eb	0	0
c1a38d47-3071-48ff-9ae2-a9c9532d42cd	16	1.33339555555555545
b9fb18f2-3d5a-4e44-90f5-507023799d9c	0	0
7127a9a7-f0af-44c1-8a3e-f320dbd17de7	0	0
65091c8e-77a6-4151-a2a3-b114b0a4610c	0	0
6cec0b5d-7619-4274-93d6-eff2b138ef6e	0	0
608ad078-2eea-4530-9fb1-a77b5a70cb7c	0	0
83513c86-9d61-43da-a410-0b716cca5168	0	0
c7a70f5a-b9c7-4730-ba11-79fe713e88d9	0	0
db16d6e6-a68b-460e-91ae-2f5d3cfa9024	0	0
b593ce63-eee3-408c-96bd-f97f61690143	0	0
dd2708a7-2ec2-4674-ab6f-ca1c7ba4d551	0	0
d13850af-c70f-467d-a57f-a7ab05c7a03a	0	0
95fcab6b-4d40-4416-8447-c01204997995	70	5.83360555555555482
2d8ae996-feda-4d99-9794-7d78cea80f88	0.594125249072381956	0.0495130779793610393
bd7095ee-b2fe-4bfd-a813-84d7b905dc2a	0	0
c1c2a979-58a6-4f90-a379-bea8e46ed007	0	0
f540f7dc-56b5-4e6b-991a-1537b0ccd41d	11.1837229437229446	0.932026617412217484
34b9c040-80aa-4a88-8b64-6ef85a26af7c	0	0
145fe4c2-5395-42db-9539-7f66ff730921	0	0
896f3731-cfcf-40af-81c3-13cfb97c61f8	17.1436818181818182	1.42871634565656569
4467cbc4-a00d-4245-99ac-350ad2dbe0e0	0	0
5fdc0226-c0b8-4c1b-ac66-8fe4fbe9cc26	16	1.33340444444444439
6860e64b-c0b1-4361-bc29-e1e6288b4c3a	0	0
005068ea-298f-417f-8a19-2db8cae61f14	0	0
b1c5de59-ec98-476f-9095-16c856c20aa1	0	0
0dc4382d-0c75-4222-bab7-1964465527b2	0	0
e7608437-1368-4bbd-aa31-3c6172ed2f57	0	0
0e315e2b-566a-47a7-972f-165a9ea30145	0	0
9a4f48f1-df90-46a3-8f9b-4bab735f69fa	0	0
79ad2550-6252-4e65-940a-62c6d5ef4eb7	0	0
3dd12a25-6dec-42a6-a0e7-2e643a4c37b7	0	0
50dd469f-7904-45b7-932d-9c23f1bcef86	0	0
ee8137ad-f087-448e-96b4-d401943828c5	0	0
2a3fa444-58af-45d1-a461-09f7a1a51c80	70	5.83364444444444441
018cf218-d9cf-4fc3-b5e2-b925d986f6ad	0.594125249072381956	0.04951505839685795
26a375ad-4530-428e-a51a-7adbef0e9799	0	0
85cfc2f8-b247-4ca2-b15f-1731d4b719f5	0	0
255e8993-344d-4e15-a467-a74fda1bd1cf	11.1837229437229446	0.932063896488696586
42542bd7-23e9-4f3b-8b3b-f0a683a43652	0	0
17ce2175-52bf-4a47-a632-4147132809ef	0	0
db584740-4524-48e0-9350-742abf9541fe	17.1436818181818182	1.42877349126262643
1c5e3cb2-0e7b-4a60-b3b5-fc61c6bf6a9d	0	0
08c08d5f-6460-4bce-9f6a-65a36445e36d	16	1.33345777777777785
ba606d43-0af7-4e15-997f-7e7d776e8152	0	0
aa99099a-17fd-454f-80f7-1f8a7fb3c0b5	0	0
aeb71504-2309-4164-bb6f-951e4679277c	0	0
1bd5f17b-e9de-4d64-aab9-3fa651a8f171	0	0
dc48c33d-27f1-4d08-ad57-a62d03c27945	0	0
9996e46a-2714-4632-9cc1-32e31022ace4	0	0
8b0d25d0-0aaf-44c5-a22f-afcc6f467e85	0	0
4b59e9c8-79a1-462f-8d87-427f54ec92ce	0	0
4898b882-c97e-43b1-8e37-d673f796af0a	0	0
c286bed4-2a62-4e7e-828c-799855daa7e8	0	0
a00fb21d-49dd-4a7b-93ba-324740281132	0	0
0e214fe1-4bad-46a4-8ba8-f665a9373616	70	5.83387777777777838
649ce936-8c9d-447c-bb0a-0f9bced9d032	0.594125249072381956	0.0495148933620665407
9eda8d17-c0fb-402a-9067-0147adb13504	0	0
15d2deab-b49a-494c-95e5-156601f6301a	0	0
ad0a0680-796d-47aa-b3a2-073cd0a2a84a	11.1837229437229446	0.932060789898989994
54ed5c17-0a16-4032-bfc5-5ac945f5efc1	0	0
8c43eda4-7da0-4f78-a2c1-857e3876bad1	0	0
92db9376-4f40-418b-ac55-a7cd78808c7a	17.1436818181818182	1.42876872912878783
dcbc3756-b1eb-4fcd-a6e7-824bea235805	0	0
ae2f9e75-053c-4dd7-8586-71ff6330dcd5	16	1.33345333333333338
46ffc354-1281-4ddf-901a-6d54b25f4c5b	0	0
535d770a-8339-40f0-851b-e20a56eccf9a	0	0
515ae1c2-5acb-489a-9d28-3f8d403b2d76	0	0
cd154ab5-8b6b-43f1-a0c4-453c8d61303a	0	0
437f678a-89ff-4280-8a4e-32dbafd7b8bf	0	0
182f69d1-808d-4b1f-ba95-3970b37dacce	0	0
2baaae6f-2d24-4b4d-b9e8-fd9551970531	0	0
a7b66be4-9c3a-41d5-9a80-af570fd9943c	0	0
097b752b-73db-4124-ab88-fc9af3cc0993	0	0
a52bf9ea-8704-4734-91a5-2f22a8477769	0	0
0fe5ae65-985a-4a80-b1d5-4e34afa3959d	0	0
4946f4c4-d1cc-483d-89c4-7da7e61c7649	70	5.83385833333333359
db0ac426-85b1-4cde-933d-5d22d29c2089	0.594125249072381956	0.0495139031533180854
223fdf95-c201-4dd6-9f58-78bbc7fca7a0	0	0
753c627d-8e87-49b0-9751-83893b2e9f87	0	0
c0011212-9b98-42b3-b2a9-a238af9a40a8	11.1837229437229446	0.932042150360750554
021216a8-dc29-4ff5-9e6f-09c176138838	0	0
597b609c-8983-4856-94cf-2f344a9e2c9e	0	0
0fb4b16f-de25-4bbd-9140-834ace0ca9b8	17.1436818181818182	1.42874015632575757
cf0045a1-1e8d-416d-858e-77c27162f7fe	0	0
477e26fc-00c0-488c-92d2-ea84bef24a16	16	1.33342666666666676
80c317b0-009d-40cc-abe4-521d7cdf7a19	0	0
32dac01b-a1eb-42da-bf00-1beec130d9d3	0	0
9d338a68-5400-4db2-bd05-f21a3a2a95f8	0	0
438f58dc-743a-4d74-8baf-dad5ae6abbf9	0	0
ce32143b-0c78-43c5-afd6-9cd167d650ac	0	0
a6c55720-cb5e-4734-8a3d-8cdcea29d680	0	0
92ea9cd9-c194-4c7d-8063-4aa6e9ceee73	0	0
0a65b24b-d0c3-4311-a800-03b986f940a3	0	0
aa9937cd-89ee-47dc-9613-3bf1486267d3	0	0
dc3d2b92-4fee-4a03-844c-ca980a5640dc	0	0
4ac536d9-2dc6-412e-be6a-8f944bf7550b	0	0
3154fb0d-0e97-41ab-97db-3788e756a661	70	5.83374166666666749
fa47f920-a9d2-48e0-8954-32dca2071d26	0.594125249072381956	0.0495158835708149961
c8664972-7c83-468d-8a27-9fb20bc350c5	0	0
69fd2cec-6042-4ca0-aea6-cb8d8d665767	0	0
e5c56f65-5817-4f56-8708-77c533d120cc	11.1837229437229446	0.932079429437229545
ed951e16-751f-44a8-8eb9-5f78020377b1	0	0
c4b34f4c-7f32-4470-871f-e06ea98e09f7	0	0
53591da4-4edd-44a0-b90a-87043d8afae9	17.1436818181818182	1.42879730193181809
6bd5cb99-c301-45e2-a3bc-e8b914275365	0	0
a6598193-4783-4146-a81b-f7c1340d7989	16	1.33348
b571d4c3-3281-4e3b-9226-34603d17e488	0	0
ae80d0dc-915e-4497-95fa-978c89e65965	0	0
946674f8-3778-48df-9fa4-5cec5d6665fe	0	0
526d2ca8-eb84-4c7e-b137-697214eceb42	0	0
b22ddd8e-f4ae-49c8-a329-0a3add76ee6d	0	0
e65576e5-c409-49b1-b838-a0ae8b45f850	0	0
27551a9b-d32a-4411-8892-d4133ac86cb8	0	0
a0a61ac3-7fc3-4c0e-abb6-92bffd6c8295	0	0
8cddc4ce-0fd3-4ddf-9497-fc6171b46572	0	0
3578a25b-8924-4564-913b-6035c7183210	0	0
34f2264b-3c9b-47a9-ae90-c996dd5ed6a9	0	0
98ed6c42-d1b2-4db8-b6e1-c81b6780833f	70	5.83397499999999969
f41c4302-68f0-4560-9dac-333ca4ce4ba2	0.594125249072381956	0.0495115926662383563
f63b3ba2-f50e-4b35-8ae5-7c328890710a	0	0
621d6c1a-172b-4962-bf38-d2ea12b5107c	0	0
04731015-5133-4926-a561-5450d021683d	11.1837229437229446	0.931998658104858158
b37df973-ab6f-426c-967d-d0fdaa806d6a	0	0
c14ca5d6-3bdc-4081-ae5c-8cfe0091d6b0	0	0
59ef4d84-2847-45d7-b6e9-0084181410d1	17.1436818181818182	1.42867348645202008
4d2e58a5-67c0-4d3d-848a-3c203b88e3c0	0	0
52e68698-05ce-4d31-a5c6-4e8d4064e41d	16	1.33336444444444435
14342afe-7ed0-4618-8caa-4a8643c88cc9	0	0
0d760225-085b-4dba-ab9d-3b799b75b1d5	0	0
b28a3bd2-d0f8-4609-8a1d-7a001085d451	0	0
e420e256-97b2-446a-a66c-5a9807b9ac3e	0	0
7027fcf0-f430-46ea-91c8-2b74d46efefc	0	0
24de5fe1-3623-4af7-8440-d72bf37ac138	0	0
fa80db15-e7be-4c9b-907b-660b67d20346	0	0
60ea0f3c-bcab-42b3-bea7-57ed1cfc619e	0	0
14816415-6df8-468f-b3f2-15f222d42a9c	0	0
895b82e5-60d0-4446-8339-987f953c6484	0	0
ee2735ae-728b-4c79-a58a-5175aa1d48c4	0	0
3b53c8d2-03d3-496c-8cdd-2de0ec793feb	70	5.83346944444444393
43b59634-35be-4da5-9acf-6f6e24ece688	0.594125249072381956	0.0495135730837352669
8a94666e-7b98-4628-af6d-e48684b702d6	0	0
5c50c0b5-332f-4bb5-8cf9-66ab89e1b82f	0	0
3aa8e1cf-0fcc-4cb7-8267-a3c180cf1fcd	11.1837229437229446	0.93203593718133726
6ab49b62-dc65-41e0-abd2-170ef749a6dd	0	0
f97a3f4b-8589-4a22-b494-113bee84ef3d	0	0
78f7f462-72c5-4c4f-aad8-4b9fa1e3a8e3	17.1436818181818182	1.42873063205808082
569e08f8-a69d-4827-859d-77b2bfe44add	0	0
b7400e5a-b687-43ac-9dce-0e5d2d5a49e9	16	1.33341777777777781
28877953-a1f4-45f0-8e47-9fc89ddb2295	0	0
b2920dfa-90ae-42ac-b52a-610552124128	0	0
846aae91-198e-4ba2-99f3-5d4dc2debd91	0	0
aec95e7f-7bba-43a4-95d3-46dd1d19dd98	0	0
c798979c-b722-4ff6-9fef-5958b114855a	0	0
e02b6746-5424-4339-b436-47689dc990e4	0	0
79e764fe-6db8-42ee-baf7-fb81a4913ec2	0	0
a60c5387-701a-4c7b-b636-8d63dddb8002	0	0
2535398f-7ed3-46dd-aaef-c579bbbf4a55	0	0
494a2988-3f29-47d8-9ed2-772d8e3567ce	0	0
c6a8bce6-cc3c-4976-be77-2c05490c68e5	0	0
0bd33759-e1b4-4e95-bc78-0d6e117d8f47	70	5.8337027777777779
d0f24ef1-7cb9-4905-adc0-0ed99bc8ccdd	0.594125249072381956	0.0495125828749868185
936e0fa0-1e2e-46fe-9606-b420e39b61ab	0	0
1e3e7f75-33fa-4a2c-8ad8-f38f050afa39	0	0
761cc18f-d674-474f-bc07-a958102abe4f	11.1837229437229446	0.93201729764309782
88690c81-1976-4938-b5b4-226e497e61a8	0	0
8fe0b3ac-6e7f-4f78-a895-c073f15c9e27	0	0
9b8c4f07-237d-4840-afa9-878d49c0121f	17.1436818181818182	1.42870205925505056
5fbd0955-a715-4370-afb6-fc0a0b33c41c	0	0
61270303-5dc5-43ea-9257-d2ba9b1b7c1e	16	1.33339111111111119
7b7f03cb-abf8-4ee4-a5e2-6efa5275172c	0	0
50c442d1-b85d-40bd-a6bc-1f5cdf141f32	0	0
ee5609c8-1901-40df-9c0e-b8deb687093b	0	0
18a60c57-1731-48a5-9567-c22924f6f9e0	0	0
115627f7-de97-4918-a6ed-51a1a0f8e382	0	0
83463e82-68e9-4dfa-b440-32a72af935cb	0	0
18a054e2-dbf2-4839-8b1a-4fb09d3d5e5c	0	0
7d1fae21-2188-4423-abf6-86d9a2253a3f	0	0
e613a41a-8475-48ec-8e75-48f58c0454e8	0	0
8a070777-2b2b-4992-be41-5d2f3f6423ec	0	0
4f7a8148-7d99-46c0-b0e1-8fe05fc461ea	0	0
6328b9db-7cc1-4ec7-87f8-4e6dbe3d40bd	70	5.8335861111111118
72f1eba9-6876-4002-887c-62f30a35e042	0.594125249072381956	0.0495115926662383563
923f106b-7dbc-4326-83af-bc2ee27dd11b	0	0
a3b06bb1-c80a-496f-968e-715a2ad187e3	0	0
5fcd2106-e95d-44b2-b06b-e849bde409f6	11.1837229437229446	0.931998658104858158
b2823eb7-9233-42e6-9296-54d8de7f2d56	0	0
82236a4a-9edc-4156-953f-05e1de91d6fc	0	0
ec68d7ac-18b1-4db2-b27c-4f7472c3bc05	17.1436818181818182	1.42867348645202008
6b7ba054-5def-4f7b-8a10-4a5289a74b25	0	0
788144c6-de2e-4c05-9d4d-17023c27312b	16	1.33336444444444435
41138e66-2c51-40b2-85d2-121b1e2070a6	0	0
4286825e-3ff5-4fcd-b25b-8309f0a4b48c	0	0
3491120e-c61e-46f6-9124-8dfbb5ee265f	0	0
ec68c415-976e-47c8-a0ac-0947b9af06c2	0	0
e72f4bdc-9a8e-4744-879f-82a9cf8e633b	0	0
8517b07f-67a4-440f-af45-04272e4cf2a0	0	0
3c50ec11-85ae-485d-9fa2-31a75efcb475	0	0
481557ec-f837-4909-8e6e-3036365aa04b	0	0
7e2a2bb9-7dc1-48a2-bf7f-743e1b93a3f9	0	0
e26c9cba-eccd-4948-b0dc-8cb0adf36876	0	0
671ccb84-b66b-4da8-9db7-0bae6a5eefb7	0	0
2455d613-0dca-40af-a474-6c91aeea44aa	70	5.83346944444444393
15ed9da0-d17e-468d-90ec-d035cb442207	0.594125249072381956	0.0495155535012321707
f4bec54c-c50a-44d1-9f26-89758aaac540	0	0
992928e5-9078-4cd9-8648-2108b44f2310	0	0
5503241a-68b4-45c6-9d23-87bcfae893da	11.1837229437229446	0.932073216257816251
4ed8c38d-29d9-4496-af8f-5a33bb4cf026	0	0
fd24cd76-8821-4080-ac97-8a6f2780282f	0	0
31c3b401-7098-4fba-83fb-da41e0d2c052	17.1436818181818182	1.42878777766414133
6ce00996-94d0-4824-a411-74f0e59c2b72	0	0
d3559744-8bef-4fc3-baf3-81fc6b2ef647	16	1.33347111111111105
c527e035-dc71-4856-94bc-3ea733b170db	0	0
2955215d-4bbc-4f4c-b32f-e2f8f89d8a56	0	0
cc6eafa5-2eed-4fc3-98c2-dc07feae88ac	0	0
540d43b0-c2c4-43c8-a7e1-12218aa0dbb7	0	0
ea0dcb6d-429d-4935-935d-c94d7633fd99	0	0
f2c5a403-f18f-43a4-8fe8-8bd09a447efb	0	0
bb8b610c-85ed-4d94-98cd-5ea873609050	0	0
ab88f567-d9d6-4680-ae73-a3a0cc3b5327	0	0
d6891dc8-6a01-452d-b504-9f65f1f1a12d	0	0
9a9c0e59-7535-4330-a6e4-869eb1492747	0	0
7d71f3ec-4602-4ac3-b465-90873ed062e7	0	0
c2661b04-2297-45ee-af6a-cac22ea98ad3	70	5.83393611111111099
caf21e92-d2dd-4629-af64-08cbcae51b79	0.594125249072381956	0.0495153884664407615
d40ed395-e3c8-4169-a5c9-a0617b812185	0	0
a58cae23-1217-4589-8acb-672953e58d0b	0	0
91612bc2-7d58-4f0f-90b8-081ca12a52e0	11.1837229437229446	0.932070109668109659
e819f50c-e564-4ea7-a5c0-0e3d9abc629a	0	0
62e226e0-1256-4fbd-835c-43d12207472a	0	0
8bdfe26e-0692-41a5-8b1d-c9a373e17644	17.1436818181818182	1.42878301553030296
1d8537ea-9bc8-4258-9784-5fe529382b84	0	0
11dc0bda-f1e9-434d-b3ae-dd24097df785	16	1.33346666666666658
946dbee0-2af7-4d11-9ac6-4fa8c847b890	0	0
d84f85a2-6247-4ad0-bd5f-59ed2ebe8510	0	0
1e30c049-dedb-40d2-b074-a3684c4aa970	0	0
c502e93e-8e51-4758-a0b3-ce7c4fcdb63e	0	0
be390d99-74da-40bf-b049-19bc46d79fb2	0	0
8c0b7614-3d64-4fea-895e-22a13784208e	0	0
b09eff22-97c0-4503-b680-4528488225f0	0	0
01eb67dd-554b-47a0-b6e3-265914123281	0	0
a5ec2f31-4a04-4e38-8c5f-efecf4d83b46	0	0
0779094a-d57d-4e7a-a17e-6716f560e918	0	0
6585715f-00df-48e5-ad6f-9aecfa773426	0	0
01c8eb1e-92bb-40a2-9f98-66d71dff53c8	70	5.8339166666666662
afcd61b6-3d59-4d55-9dc6-6eacef07a259	0.594125249072381956	0.0495132430141524485
1402f85a-fe17-4bd2-9963-622c57ac6c52	0	0
1fe89137-8617-40b0-b2fc-ab6272c79db2	0	0
95eb4a2c-ee3d-4778-ae28-00cb90b58762	11.1837229437229446	0.932029724001924076
66923946-7101-4f5b-9cba-c36705a19846	0	0
ff1e6105-54c6-4bfe-8541-d1594bc429d1	0	0
852e099a-5fd9-4852-a60d-83a1156e3ca5	17.1436818181818182	1.42872110779040407
fbd5f401-bbaa-4734-9730-de4e78416423	0	0
590f0f31-9b6e-4456-b626-668c6c58d2d8	16	1.33340888888888887
48ca1b62-8540-4fc3-8dbc-d7116eedd144	0	0
62003915-0a58-4211-8dae-e3e6bb93689f	0	0
c33abe0b-3191-443c-81a3-98c689920049	0	0
ee8f4462-644a-491e-883d-644c299f9ff7	0	0
6accf4a2-cc94-4c09-bb29-02c9fb9f04db	0	0
682c379e-1ea6-44fa-992a-fb5f9705bed5	0	0
198028dd-b4ce-40ef-8493-6036775ef522	0	0
54e23b39-8d67-4a50-8283-87d0b018370d	0	0
b4bbffdc-decf-493b-b32e-556c2898bdb5	0	0
efc47ad8-b07a-4f75-ba45-678f9eacfaa6	0	0
a73bd3a9-ddb9-47d2-ba1a-0cc288b83906	0	0
a283cd7b-f01b-4830-8353-f87ae79eaf8d	70	5.8336638888888892
c68de0db-d331-4793-9d40-9382b506634a	0.594125249072381956	0.0495597828253297873
fa91e519-2c4e-43ae-800c-2ff86278f98e	0	0
9a138ee3-564e-42ed-b4e7-05ffde1c9046	0	0
dd761b0e-6c13-4605-ae8f-8f19ba314669	11.1837229437229446	0.932905782299182307
a069849a-a243-4f13-b11c-afc4a68acedf	0	0
0018865f-788b-4095-bcfd-4e186d4a786a	0	0
53f49cbb-7daa-4dd8-8952-e083bca1a5f8	17.1436818181818182	1.43006402953282818
91410860-24be-4409-8841-cd7dc7ebb26e	0	0
a4069f50-e41a-4cbe-9649-2d28398dd9e0	16	1.33466222222222219
4c6c7147-fdc1-4b33-bd11-02dc28c078ef	0	0
6680d460-55ed-4c6b-8d69-190645e67fad	0	0
9b94430c-c98f-435c-b5a9-4055c8e891fa	0	0
849c9eb4-b794-4691-b984-326e01a477e3	0	0
44d5bc6e-1028-4c5f-bb68-5e6079aed698	0	0
3c0d00c2-c549-467d-851e-4e081f655f2a	0	0
d1b8c5ab-1d9b-4428-a636-81d80a0aac08	0	0
eab75fcd-33c9-493d-8b00-034b5f80f8a2	0	0
f94d9c65-9a6e-4d98-a6ac-17f17bf89ee7	0	0
337f143f-22fb-42fe-b2e0-aa687397f7ad	0	0
2b30386c-0456-4892-adda-5784727e19b9	0	0
e60d4c55-4343-4422-b323-1b63d59d96a9	70	5.83914722222222249
a80476b6-05bd-4f04-b355-3e8bd9e453a9	0.594125249072381956	0.0494667032029751097
ad98a3ff-688f-4b87-bd50-282fa134889f	0	0
eb6e37d1-a5f1-4c56-8537-01dc37ff07be	0	0
ef077cb3-96ea-4e9f-a1c6-043041391e35	11.1837229437229446	0.931153665704665734
1e5a9158-4db8-4554-aba4-8f588ab52394	0	0
04646f0b-d225-4949-9079-15fe0c4c4539	0	0
fa93bdbb-68ee-47fa-a68f-ef7aff9cb60f	17.1436818181818182	1.42737818604797972
d1bdb0ea-c9dd-4034-83bd-6921e90a65cc	0	0
156dbaf0-7537-45c7-b53a-ece088538330	16	1.33215555555555554
61397601-068e-49b5-bc8f-1ef35d19c771	0	0
295e6892-34ce-48f1-b80e-976c267691f9	0	0
1e32c087-0959-41d1-8733-adaf3f2853c7	0	0
74425ad0-e863-491c-b898-9d34c7667293	0	0
c7c60f78-5584-4ce8-995a-c9d6fff899bb	0	0
1fdf6317-8752-4692-b0ab-d4b65a290863	0	0
035b90d6-5cd8-4470-8036-7d52ab4fb807	0	0
7074165d-e553-4dc3-b962-f190be7666b0	0	0
d71500c0-54fb-4602-b1dd-1c5124786e31	0	0
280196ec-b0b1-4298-9f32-cdcef420de95	0	0
b31d4cc2-746d-4d39-ac1a-bca570e9c56d	0	0
48d2099c-2c12-49ff-bda4-550e6ea3996b	70	5.82818055555555503
746c92fc-c9b4-4d04-bec7-bbdae96e0c36	0.594125249072381956	0.0495132430141524485
3ab907aa-6cf1-4f9e-aade-f3d93f695268	0	0
870b824f-bac1-45d0-b00f-862c8ca61e0d	0	0
414e0f8a-8132-444c-8a3e-23110da12841	11.1837229437229446	0.932029724001924076
0adcce28-e0f7-4117-bb4c-dcf028b4ad5e	0	0
87ce8a3e-5685-4c39-ad4f-58455357013a	0	0
16f616f9-c443-49c8-9a2f-a8496e90bba5	17.1436818181818182	1.42872110779040407
26ab92f7-c023-4913-8657-008729c855be	0	0
376f5954-4d7d-4684-9e6b-a53d4efc173e	16	1.33340888888888887
6ca0456b-3349-4416-9a61-95435bc21000	0	0
b50286de-3e58-4f81-b644-42bd97fb7630	0	0
5fb98090-20cc-40fb-a730-20e43ef20fb0	0	0
70a4a364-17e3-465a-97bf-4772b0b7ba1f	0	0
352b2377-8498-47f5-afc1-f195a145d577	0	0
49265a02-33f1-4976-9fa6-258d2d4307a8	0	0
fa7331ad-d7cf-436d-9903-a358dab35297	0	0
cc79b308-9fe5-48ba-8291-41759e02fc10	0	0
06822a38-f879-4af6-acf2-fa4855874fd1	0	0
ff3b26d9-9fa2-4d87-baea-eff9778b33af	0	0
79ee89a3-7dce-4c02-9738-070655a43d90	0	0
d3a735ba-0389-4591-8088-4f0c1cd7ce41	70	5.8336638888888892
b236b594-e3da-43b6-8be1-c58b171305bd	0.594125249072381956	0.0495137381185266762
8830b512-f8b2-4a6f-b893-1b13eb80a19f	0	0
59358395-66ba-4ffe-b543-1c28e9d46ca8	0	0
29d924a5-d466-42cf-9a29-c7dcde349eae	11.1837229437229446	0.932039043771043851
651f9e74-90df-4d71-8d64-ec025d307351	0	0
ef0d8ab8-66d2-4561-9a75-25b818459b93	0	0
e204a021-c68a-4d0e-b01f-f8e46fd63577	17.1436818181818182	1.42873539419191919
739f9b92-3e32-40df-afbd-f62446fcec8d	0	0
dbff660e-7730-40ca-ac70-503cb789a11e	16	1.33342222222222229
361b9c9c-3a0f-4589-9e5b-abdbbb02b714	0	0
b9b0187a-a400-4e70-9d31-63b65fb632d4	0	0
fa5d13c3-4b8f-428c-a79f-4d20ba6a2da0	0	0
c3e8358f-832c-4b75-9d9f-b6194f82cb3f	0	0
aea25bcb-13bd-4359-af3e-99c1ac2c6a17	0	0
ce9447c5-2559-4f72-8a32-481fab1ecce7	0	0
0ef24971-a987-4d88-b84b-d81f55f9efc6	0	0
ea1ea837-0133-4a45-9b36-d143a56e86d5	0	0
ad13a5e1-5c23-4a7d-ade6-507cf206b45c	0	0
7288ea11-9b18-41f8-855c-24901a2d45e3	0	0
81fa5388-355c-4f50-bb83-52d9b6833669	0	0
a77cfddb-b00a-47cb-8d93-f5d537031509	70	5.8337222222222227
84c6fff4-08f9-4cd3-a813-6199b44ce3f5	0.594125249072381956	0.0495139031533180854
9043e76f-6995-43db-a08d-3285f054d1b8	0	0
246ca56e-8c3b-45ad-9c36-f0370f73eb0a	0	0
94f1f119-e48f-46b6-b6da-c4fde6a19387	11.1837229437229446	0.932042150360750554
75c58878-0c44-4772-a5ad-89230b7f7ee9	0	0
8791c6c3-4b17-4fc2-8a85-a53375aed193	0	0
23c0724b-7a7c-48de-bcc1-57d58b11027e	17.1436818181818182	1.42874015632575757
ea40fab6-7913-4092-92fd-2000c7f53722	0	0
964f2be4-7e5e-4be7-bb80-1f4cdc85e8b5	16	1.33342666666666676
4686c315-fac5-4b4e-86fd-b2dd5eb75f7f	0	0
615ee6d8-be59-4da5-9f76-361e75f4ce01	0	0
9264f879-8bdd-460a-91fe-1c9d381a7241	0	0
1578d74c-a4ce-4b45-8174-6b9cdeaf89a0	0	0
6325cf5b-00fb-44e2-974d-7e90b82d7882	0	0
39f72f15-3086-4a5c-b759-82df871968c5	0	0
45aec807-dd35-4e85-b74c-2c58b76d5b5f	0	0
bde7e92a-6d4c-4d31-b8dd-2c2945039adb	0	0
d49bb974-f65f-4f44-8821-cdf9352fbc06	0	0
605c3255-2553-4add-ba9b-a6310d17b31a	0	0
875a5586-be2d-4d86-aba4-a213d2412a4c	0	0
3b1472be-dec8-4cc8-b9af-7ed54acc6c32	70	5.83374166666666749
71d326f9-b6f7-440b-86a1-1a7bddcbda1d	0.594125249072381956	0.0495170388143548537
f92b89ce-7f78-4d8a-b183-b47b2ae63c5c	0	0
c0cc0838-6431-40b9-998d-b04c38b2f762	0	0
47af5ebe-5fd0-4a43-aa86-d708c28d935f	11.1837229437229446	0.932101175565175577
53c3be95-b253-401b-9444-c6d15c6fd467	0	0
bbc75fd4-ed47-4216-b204-5a1b7e48f0cf	0	0
7284ad27-6f88-45d8-8835-101033cbf99d	17.1436818181818182	1.42883063686868694
317aefd1-442e-4b32-ae26-da8ced7b6e3a	0	0
2716347b-5792-48d5-8c42-75c13e68db06	16	1.33351111111111109
d46eda41-756b-4e1b-95f1-56c048d3cfb2	0	0
91cf3804-fe1d-421f-841b-2af94aa1e4e0	0	0
005ade89-1a95-454a-ae0f-f4f2fdc79ab7	0	0
ced7c9c5-6493-4b28-ba3e-23232a1fb39c	0	0
1676fc17-da34-4efe-9092-64aa745d89ff	0	0
d69553f9-47cb-4cfe-ad14-53abee11c6cf	0	0
e82c5084-a518-4d4f-93c8-6ecf69c8fc39	0	0
6be41602-412b-4444-b711-d41797148257	0	0
dccaae45-6ba9-4469-9f95-0d4d98d25de3	0	0
e334d74b-b38c-442d-ac6b-30c9d72a947f	0	0
939e5523-e9e2-433d-84ff-d8f68d8b2fe9	0	0
6f62f248-b4b1-4f10-8e30-f1fd24024a5c	70	5.83411111111111147
35f3c26f-b016-4227-bf2b-6263ca6f62ff	0.594125249072381956	0.04951291294456963
0581a712-b8af-4f4a-9a56-5b846bc35bc9	0	0
fb4f11ec-9296-4d07-8c1b-3eafb4f2a30c	0	0
934c57b1-7ef7-4947-a98e-22ab34c8b2d8	11.1837229437229446	0.932023510822510892
deba1122-0834-428e-9e86-f93b81df5a52	0	0
ca40d9a9-fb66-4331-9c55-f9660418f470	0	0
163686ae-15e2-4d33-a767-1236f8ff2ec1	17.1436818181818182	1.42871158352272709
c45280cb-2b88-4692-a26e-cb41db772895	0	0
181c51b2-f7bb-43fb-bf58-637c7e511b53	16	1.33339999999999992
4aee7d14-1f67-42dd-882d-cb4c668edbf9	0	0
f2516477-af42-42e8-9c47-9970b1be7c27	0	0
e1c57d86-2144-48f9-8cd5-59ea961d50da	0	0
d75e78bb-455b-4055-b54e-271254ac6096	0	0
620405bc-81bc-4aa3-8a77-e5bccd0a320f	0	0
073a9ab6-1ab6-415e-b80b-ca3ddefb9413	0	0
89af48dc-18aa-4fc4-8e86-9d8ecee6d824	0	0
48704b29-b8b7-4230-ba01-2068a05ca02e	0	0
78687859-774a-4066-a331-1aca9401a8a7	0	0
cd282e14-7fdd-4b40-9cb8-759b26f5b404	0	0
ad990895-0643-449c-8f4c-721c49a1cdc8	0	0
5fcae561-80a8-4282-9c01-f6ec473599b7	70	5.83362499999999962
03374d73-1f62-4edb-8eb9-92b2dcd2980b	0.594125249072381956	0.0495104374226984917
1eb636c0-3db8-4dde-a36b-91e8e92d3adc	0	0
8fb35e2a-689e-4450-96c9-dfb9ee0d0166	0	0
06709bfd-27d5-47ef-9cfb-501c6e456eec	11.1837229437229446	0.931976911976912015
80a7ca93-3c7d-4075-b794-e577144bb236	0	0
164e1431-10c4-4529-9b65-02ed13e541c4	0	0
8ec35ba2-4379-476e-9d65-694788169f28	17.1436818181818182	1.42864015151515145
6ad76ef2-e017-49fd-9462-c6b145a33e9c	0	0
1345f3c1-46f8-447a-afe9-f78feab05df5	16	1.33333333333333326
b5288a48-345c-4148-8f36-db38e69cf619	0	0
e97929a7-7ba4-4d6f-b14b-7fc0f0690c85	0	0
2252bdfb-a056-4742-b34d-a5a6add59ea4	0	0
b11b778a-9705-438c-880b-d25c8714cc48	0	0
736f05c3-0603-4c43-bab2-6b0e4ec9440d	0	0
37db75f2-ab25-4157-b3df-0f5ba856efde	0	0
d5500f28-a753-48e6-a927-573dda2085e1	0	0
9d49c351-90b6-48e1-8c15-116d08af27d9	0	0
27842e79-484e-4b87-9b89-edb1f05d28bb	0	0
961e9a88-fd6a-4729-b97b-3d3bbe8bfb7e	0	0
12dd3d0c-1f9c-42d0-9120-2658f622363a	0	0
bc0bbbed-b38f-4487-8bca-fc9d27bba42e	70	5.83333333333333304
70934c40-91f8-482a-a3ce-8515a1215e29	0.594125249072381956	0.0495140681881094877
aaa40346-cf35-45fc-b375-10a13588c283	0	0
549fe1dd-f214-47ea-9adb-950c35e08a30	0	0
2eaa5f04-6457-4cb8-a30c-63fe28fef8db	11.1837229437229446	0.932045256950456924
89ef0e79-3e93-458a-af5c-0dee85921e36	0	0
71b70703-d225-4f6d-985d-3b13d5d18f41	0	0
60762f87-c499-48e8-98a1-e7e3b74ae4b1	17.1436818181818182	1.42874491845959595
2548410c-71a5-4c6e-be70-6034e2a7cb0c	0	0
980b287f-4372-4fe1-8927-86cf9472e4db	16	1.33343111111111101
93e09570-6396-4d06-8a44-f8e7f09cdaa9	0	0
0f046ce8-8e82-4daf-b52f-8ac0506c4058	0	0
fd4df92c-204b-4749-a0d3-4219f00ad69e	0	0
330aa18b-2268-4ece-8e53-b72896af516b	0	0
71fc9bee-9a7a-4c3e-9a77-a3be97e2e586	0	0
89d9542a-a4e9-4dbb-aa82-0e8eca9fa639	0	0
ac3d4935-c038-4727-acf8-43207c9f7919	0	0
e6a0a95e-f42b-471b-9122-816d904c60f8	0	0
33b23f8f-9520-43c1-9fc9-e140967f909f	0	0
e4618af9-43b4-46f6-9dad-d6502632a8e4	0	0
a5a2bc6c-bb9f-4edf-a95c-aa94b46622ef	0	0
5317a3b9-6ff3-4fb8-bcb7-6c8b6455f1c3	70	5.83376111111111051
e2436854-afa2-4272-b9c6-87c158c39fce	0.594125249072381956	0.0495101073531156802
b18ca5c1-8efb-4ea7-b51c-cf5fdd95e63e	0	0
60dd7738-c730-4710-b9d8-065767280010	0	0
4c843338-ee5a-46d4-a375-6d4e94a199a1	11.1837229437229446	0.931970698797498942
4654ccef-abbd-4d92-91e1-5b865a90e0de	0	0
bcc88e3c-7bbf-4d10-90fb-dd296cb8b2ad	0	0
92154dcd-9f33-4f90-9b19-2036d73192cc	17.1436818181818182	1.42863062724747492
ef851edf-6d56-4d98-8a6e-56e6f2964b92	0	0
a1eca653-344b-4e49-bba5-20d62e1639fb	16	1.33332444444444453
7b857e8a-ecd1-4e44-96cd-7fe8ca48d8d8	0	0
fd9a8ca9-fdba-451b-99a5-a42ced17340e	0	0
b136881d-962d-41c1-8a5b-82d9f1599c90	0	0
d62e2975-7983-4b5f-a92b-04bbcbed4ad2	0	0
6ed4e040-e59a-421d-b13e-9c3b76a2c208	0	0
e25ee624-399e-4c03-a44a-723889d35c16	0	0
db3bc54d-6ba5-40f7-ae7e-f09d10724289	0	0
d884f48a-c4bb-45be-8062-11989d0327fa	0	0
0bb513ad-f13c-4af6-aa24-6a26b9978d54	0	0
05e99ac8-b9f8-40e4-8d2c-78ed99281aa9	0	0
6fc3a785-b1a2-4e37-b78f-5882ff8198a6	0	0
518e6028-6edc-4217-bbda-ecf77edff356	70	5.83329444444444523
7a8e2b05-82ea-4de2-b60c-6a4a0836222a	0.594125249072381956	0.0495176989535204976
27394bc3-809f-48fc-9a66-ebd2cd5f6240	0	0
647d4083-12c6-445d-8cfe-ee276f52e9e8	0	0
c5879103-ea22-4d88-9b5d-59a277543e3f	11.1837229437229446	0.932113601924002055
76f7418d-1d0f-4d15-9d4c-fa66ed2321cd	0	0
ccd4a21b-b920-475b-9038-dff4d490bdd9	0	0
49018e3d-a154-4a80-a323-2c55ba6c21c8	17.1436818181818182	1.42884968540404045
f19e8cad-07e0-41f9-af7d-2d088f0aef67	0	0
cf7eb704-1799-4d81-a0ff-70a92767d578	16	1.33352888888888899
96aacf08-5b64-4e47-9481-01cb06f47df3	0	0
ba531c5d-7ec7-4a1a-9d12-9dca920454f8	0	0
124053f9-463b-4c66-9544-14e36b1788c5	0	0
0126bef2-eb64-4372-a06e-1c63a28a728c	0	0
dfa395d2-81de-4af5-bfe9-80521470c320	0	0
9aa9977d-17ab-445d-a45c-f720f14dcda6	0	0
7b5b4b1a-3f3f-42b1-889e-2752dfeeb6b4	0	0
048b5eeb-81c6-4a78-8c3c-2639fa94a241	0	0
2722597f-d50a-442b-a58a-99b2d2b1ba72	0	0
ecc6b5fd-508e-4d72-a46c-761447ac6654	0	0
f7c857a2-0fa8-4295-a9d6-9c5952542235	0	0
772cbba9-8d67-4e0a-9659-7495748daf52	70	5.83418888888888887
c8c44dca-1781-42f3-92c6-bd5727b66915	0.594125249072381956	0.0495143982576923131
9a3df6d9-bd2f-470f-a17e-65203175278e	0	0
811dbaac-cadd-412d-8dd1-77c1b67a93d9	0	0
4977e4f9-63d6-4d07-befa-36658c4a75a1	11.1837229437229446	0.932051470129870219
0a86e38a-191d-4e06-80ec-9fd878d9a14d	0	0
37bccbc0-b91c-4a04-a226-89ffb6e738e0	0	0
7552718f-8105-415a-81d4-0b824400a487	17.1436818181818182	1.4287544427272727
7ecb873d-0440-47cc-94a8-ca2a6d0958e5	0	0
1c3a5578-40c1-4a96-9814-887ab3649841	16	1.33343999999999996
670d9fd9-58ff-446b-b130-7feceddbdc37	0	0
f5ee0698-e9e5-4c07-9c6c-401132acdbd0	0	0
2e91f020-6217-4696-b23a-e9116b1040ee	0	0
22492ed7-8cfa-424e-9646-d7a4941be86a	0	0
6a4990ce-c197-43e7-913d-6d516693c6d6	0	0
c8fbe6fc-26f5-46d3-b710-e8fe638abe35	0	0
e6566013-2cfe-4823-aecb-7a1ec77243e5	0	0
1dfa22f1-21c8-4d68-99aa-31178bdc8007	0	0
7f7e145b-b22a-404a-ae36-1a516c59f90d	0	0
a0c6afff-3354-40ff-b730-271c92d6391d	0	0
0ba6d77d-47bb-4c28-ae1d-bf7a52678a1e	0	0
05097125-718c-4ba3-aa98-cb5c9b855bff	70	5.8338000000000001
a86574df-977a-4a1e-8598-0b7fbbf0016a	0.594125249072381956	0.04951505839685795
1b11700e-281c-489f-a8af-2adc0f913d47	0	0
c6c8b073-108a-4422-8d5a-452e2cb0cdff	0	0
e58ab893-2755-4860-8c1b-a9ef1ef1f542	11.1837229437229446	0.932063896488696586
7a2bbda2-6ae9-4e73-a890-4c0d9631e467	0	0
30b62e88-e9d6-4aa9-a3d5-8ffcb34c3376	0	0
d8359c65-3123-49ae-9454-c280a0160b26	17.1436818181818182	1.42877349126262643
758d8f34-5a7c-4003-babb-0c968afa3ca0	0	0
e33336bf-7245-473b-ad10-e90281bd4da8	16	1.33345777777777785
b1c7a654-c7f3-4f1f-b3da-b562b57e4e95	0	0
c3f31dd2-b3fb-4f42-9629-cab6bb5eb7fd	0	0
9121dcdb-b0fb-4cea-8788-57cf1e75809c	0	0
3d3c0c11-2290-4ae9-b04f-e8089bf1c7a1	0	0
2ebdc122-1950-4b81-affb-cdbddf0d00b4	0	0
0443ff7b-eece-4979-81c8-c421c6f5e4fc	0	0
07796ee6-6eca-45c4-a276-66368b9b8314	0	0
2a996b1b-b250-4645-8e2f-dc20608081d2	0	0
5e7aa3a2-0a5d-48cc-8f50-63255d57bcff	0	0
6484d14f-0646-4af6-8c3c-3c4f2bff5f11	0	0
d0858544-2e3b-4484-aad0-14da8cf53983	0	0
fe6b480e-4d2b-4c00-8270-c31177108095	70	5.83387777777777838
dc640e14-e39b-40c7-b641-fd689f993ead	0.594125249072381956	0.0495135730837352669
2d8cefca-e2c6-49f2-8d7d-a58380d4f95a	0	0
8de5a247-6f45-453a-bbbd-ce529d6a4263	0	0
8ee7d0c0-c395-4722-9934-2ae2c1a17691	11.1837229437229446	0.93203593718133726
5f4578fc-deaf-4f89-9297-260b87dd9d24	0	0
2969f5b4-ad8e-46f4-9f4b-20dab7a56655	0	0
a69f525f-e692-4b57-8af8-a566b8a5b448	17.1436818181818182	1.42873063205808082
ad2184c9-e678-4767-bdab-eca3780367ba	0	0
65476444-b463-4bb1-a854-8b43a45a4431	16	1.33341777777777781
5127255d-dc12-4ac3-9137-dfec25ab8ea9	0	0
ab06aa56-9a54-4a9c-93c4-274793fd60c5	0	0
b5bda54d-2dc3-4301-9865-112ccab03921	0	0
32b73fc3-3268-4ed1-b4d6-dae029caca30	0	0
0d27481e-f266-4bd4-8efa-ebf168bdec64	0	0
d08b9e80-8b20-465e-bb09-e81f11f8cd8a	0	0
05408c65-198b-42ab-b404-c69f24e5ae1c	0	0
bfbf0990-e6a2-4e79-965a-9879abc9d26a	0	0
7d995cf4-59c6-4f46-9b42-d2f4f140737c	0	0
bcbde05e-09ec-4ccb-8256-d06d78ea5dde	0	0
7afae9b6-7b5b-4df5-9ebb-8e7524ff164a	0	0
476ff768-2a17-4e1a-be7f-75fe87c922cb	70	5.8337027777777779
ffe247f7-4b28-4687-aeb2-f6699d275e5d	0.594125249072381956	0.0495119227358211747
80240b98-e829-488a-9cc8-d2af3c78be1c	0	0
26bb13d9-d982-4ac9-9d6d-e25d31545aa4	0	0
6a02aa19-95f4-42b5-ab57-5dda27732829	11.1837229437229446	0.932004871284271341
0af4f151-7230-436d-b2dc-23d13e292f74	0	0
a18e0da1-af95-42ab-b9c4-318402ea3456	0	0
74e84fa1-5ff8-4abf-9954-a4124e5bf3eb	17.1436818181818182	1.42868301071969683
1f399cb3-db68-461e-b1aa-6564661cbcb7	0	0
f9db58b3-0707-475c-9a35-3c50754ad479	16	1.3333733333333333
1ddaea0a-9a1e-4c35-b773-d2523d60f609	0	0
eeeeecd8-8a88-4a67-8fd6-fa000839e101	0	0
e4d7b896-6218-4c35-8acc-cb6c9d85bd99	0	0
f5377b98-54b3-4d19-b14b-f8d06d1cbdab	0	0
a9dbb293-7ecb-4295-aaf3-d23fc3eada2e	0	0
faf9accb-b27c-4668-8744-190a4a6cd12b	0	0
3c1468cc-0952-4503-a2e6-cf440738d8f1	0	0
18182650-76c7-41fe-9c43-b0d74d59fd11	0	0
236b079b-198f-488f-a72f-3aa5accc0ddc	0	0
2e4db0bc-c1ad-4436-b075-29a8c064b6b0	0	0
ee80d4c3-8163-4cdf-9ab7-019cb08964b6	0	0
6adb90e9-f587-4215-9fbf-bdd287681a6f	70	5.83350833333333352
fb021804-191b-478d-83a7-e2bcc93d14d9	0.594125249072381956	0.0495084570052015879
663f01c9-5511-4e13-b315-24a5b5486bb3	0	0
9ae4d378-9f36-48a4-8fb5-b7e9b4b662e5	0	0
faf326a7-feba-4410-9b44-2d8846e95aaa	11.1837229437229446	0.931939632900433024
bac6c978-ed83-4afb-8df4-f1e694b159ba	0	0
fff8c8d0-f174-491a-8167-ab651260f970	0	0
2b78d262-5d0c-41f8-a514-217927c71060	17.1436818181818182	1.42858300590909093
b569ae00-c33b-4034-9669-cab4ab147811	0	0
b07fb8fb-aa0e-4a35-a2ff-bd7677c61c56	16	1.33328000000000002
fed3a30a-9e25-46f0-832f-97650be520b3	0	0
67ad5a94-6107-4d15-837b-47843a327c6d	0	0
d72f63e1-e857-4d6c-86ef-0526f938476f	0	0
795031e1-ceb0-4f4b-87df-7b3574ce60f5	0	0
605fee74-9c0b-4a2b-8c4c-2245e99d730e	0	0
497c047c-da23-4999-b148-31f59cfe07cf	0	0
2a002244-1310-4c49-ba59-a877d5135ea7	0	0
6fc7335d-f707-4a7b-a209-c3eaedd04053	0	0
c5c21f15-36d6-4390-b19c-6d32d5e89187	0	0
65685d1b-ffc4-4a5f-affe-62a75e5fc0d1	0	0
c0b1b86c-5a84-4847-9b7e-5b99f5dc8384	0	0
e784bf63-e2fc-4ed2-9617-9ac85a03bb4c	70	5.83309999999999995
69e34599-0293-4f6b-9d64-59daf79801bc	0.594125249072381956	0.0495200094406002198
4f20f52e-4bae-44a9-8899-d9417071ea2f	0	0
81e7296b-fc04-4ff2-bb28-c9b1271f4f89	0	0
fdc9defe-7ae7-45cd-8b7a-c33532ed7b89	11.1837229437229446	0.932157094179894341
0599b5d4-a75a-4228-b296-e8a368037b39	0	0
740575d8-f606-4c7c-a7c6-76388c9929bb	0	0
6859abaf-0a1b-457d-b410-6a10ba759db4	17.1436818181818182	1.42891635527777794
a06beb74-28e8-4bc1-b3d4-edccf160c61c	0	0
981d165c-eab3-4acc-b3a4-e0a118b2925d	16	1.33359111111111117
74f3cb9e-7d3e-4101-bde6-ca1e66c7aa0e	0	0
0e44b0f1-f980-41fb-a821-4b2b111ee023	0	0
f69418a3-e245-4853-a87d-006cc3e725ab	0	0
2d3b5ff8-8476-4eca-891d-c0d68d08a289	0	0
3491e604-434e-4404-86e1-663834df8c2d	0	0
d7f20b01-63c7-4691-885b-77466a6a1819	0	0
15e9a65d-0a88-45ee-ba11-b932bb6bec11	0	0
9581a346-06fe-4345-ac3b-a44abbf7cee3	0	0
ec33790a-2c48-4a21-b3d8-2abb2714e61d	0	0
d4dfc8e9-131f-4695-be55-52065b741ea8	0	0
3240d3e2-cb9a-4105-b8d9-f7dbfd910738	0	0
73de4e89-ab71-41d8-969f-d24b04a8893d	70	5.83446111111111154
63470d41-382d-42b5-97b2-a7855c24f39a	0.594125249072381956	0.0495099423183242709
00a0a7d9-4506-48d0-81ab-00e857266709	0	0
d2197d7e-0005-430c-a06e-e79c02a73200	0	0
da3b3e89-ee22-4aeb-a36c-5df7d071b6a5	11.1837229437229446	0.93196759220779235
44d100a0-c1f3-4feb-b604-93ddfa8084f8	0	0
c60d761d-31f1-4a1e-a6c4-4daf83ced6ef	0	0
4db0debe-8d6d-47a7-947d-4c7e3d3725c6	17.1436818181818182	1.42862586511363654
0993d740-95c2-4fcd-8542-bb45380a8c14	0	0
97d2b292-cb3b-4691-ab3d-abb44045de62	16	1.33332000000000006
868d5b33-4e6f-4c8d-ac87-05bc447828d0	0	0
8fb9a389-7b91-49c6-a82a-d596ce4e205e	0	0
711c5643-968d-45c1-8589-ef0ea4d36fbd	0	0
fa8cf1e8-0b01-42fb-bb43-1804995a0be5	0	0
ede3dde0-50cc-40a8-9cc6-9d1469c3cb71	0	0
e58a54a9-17f9-4cf2-9169-3bfc7177a360	0	0
b7f3dcfa-65f4-47ef-89c8-226feafeb22b	0	0
2c57f37f-a41a-4f01-9962-3a963926601f	0	0
1731591f-5337-4b01-8d79-c7294a2f607e	0	0
e8445d70-ef68-473c-8c7a-8efaa934f09c	0	0
7b6023ac-8039-4245-9e43-0bfc732145bd	0	0
ef41de00-3e39-4b67-8eff-c5aaf4a3f541	70	5.83327500000000043
60e807e6-f70a-41c8-b1d0-8a51e9f6dd36	0.594125249072381956	0.0495178639883118998
5dd2a43a-1bee-4caa-b936-e3929f633700	0	0
63627517-b6a1-492b-8f40-c36abcd53645	0	0
3c6effd1-d6b4-409b-ad66-ae2bfe483691	11.1837229437229446	0.932116708513708536
122fe3c5-e90e-4ad0-b44e-3fa8a02946d8	0	0
17614bc6-f7fe-441c-811f-e2e05e1df9f9	0	0
aeec427a-0842-41f6-aaab-732343f99333	17.1436818181818182	1.4288544475378786
dd15c1d4-1a96-471b-9659-92fdef507e6a	0	0
f1133d8c-648b-4b43-b36c-a7cdd368923f	16	1.33353333333333324
b6a081d4-7dc5-400b-9720-0fc2d7766ad1	0	0
f608101a-0489-4da4-9574-ac1ff97aac3d	0	0
3a9437c1-8ccc-47ab-b9ae-7f08c824a605	0	0
1c9bea40-0129-4a5a-8baa-b435f7728cec	0	0
946672b0-6915-4d12-b8a0-232e4e695aba	0	0
3ed1eb3c-c8f0-481b-bff2-94979c0196e4	0	0
96795868-e0c5-4a3b-9cc9-f8849596ba12	0	0
c801d5ec-a516-4d77-8d5e-1f1c8b4023c9	0	0
f2eb644d-8aae-46bf-907c-217bec8eaf93	0	0
5c36258c-a925-485d-af69-57c4e83fc712	0	0
1672e1b9-aa68-440b-8f01-d23ad494ec08	0	0
3369037f-7b91-4ff8-9024-f553cda1a70c	70	5.83420833333333277
4c7ea61e-3cc3-4d12-881c-2bb1fad7c0d4	0.594125249072381956	0.0495096122487414525
0ee172b5-66eb-4b20-bd11-97e590a7912b	0	0
4b131fdb-d131-4a6d-aa21-50bd065ed3b8	0	0
5cdab98e-50fb-4a84-b554-582b8097d4e7	11.1837229437229446	0.931961379028379056
87e770b4-9dee-4248-b99c-6e0cd2aa91c5	0	0
1b9438cd-d175-4627-bc64-d0d36a7a1f60	0	0
57edff70-3ef5-46b8-9f4f-e42e7238663a	17.1436818181818182	1.42861634084595956
5ea95f9c-d47a-406e-a478-fab53b956a86	0	0
84812bab-d4d4-4d8e-8b25-8b0d22b7a3f9	16	1.33331111111111111
bbff1743-3d28-4ae0-bb40-01b4e9c5563c	0	0
7bd5a284-14a3-417a-98ea-1e7e810f7179	0	0
a59b2e15-ac5e-4816-9433-03bbe76f0ba8	0	0
a5cecab1-376c-43f4-b03f-290c2e986542	0	0
38950318-69ab-4516-95ec-270ce5e1c789	0	0
1e051816-1b22-4f28-b23a-1d24879b4d43	0	0
76f82cf9-610b-49c0-9a71-ef0719d2938b	0	0
efc0ad89-74f5-4aad-abe2-0c0fba8b0d5b	0	0
951b6ca3-827e-43a5-a802-57cd7f22fb7d	0	0
a5fa730b-941c-4bcf-aca1-1e73b41b1066	0	0
39091be5-1011-4424-9303-80d47b20b3c9	0	0
6ca6822c-4645-4f20-871e-1218e79b3132	70	5.83323611111111084
1cbf2b6a-d3fc-4031-acaf-cc2b8df30bbd	0.594125249072381956	0.0495119227358211747
6e7d1308-18f6-4a79-86e3-737756cc77ec	0	0
45f890f8-aea0-46fb-b49b-ecab859c2d8e	0	0
06166c5d-560e-49a3-a58d-fb83df8f014c	11.1837229437229446	0.932004871284271341
0c2c4553-7d0a-4d1e-8f74-a20fa3c8371c	0	0
59ab7153-89a5-4807-933a-1a44dc5565cd	0	0
64b9a26d-699b-473b-89f7-f253731a380f	17.1436818181818182	1.42868301071969683
fbbfa8d2-de03-4811-8959-90dc22233b4c	0	0
76df400b-87df-4372-b944-9b61cb8cf4cb	16	1.3333733333333333
b13638e0-cd15-4b99-8131-1f8e4e5d0d94	0	0
8f04c727-790e-4a95-b28b-2eeb315786c2	0	0
670de4e2-8542-47fb-a643-f2f941fdd3ef	0	0
c4646fed-4717-4bfa-a5cc-9a5d0e7b7c14	0	0
0f5574fc-9976-4248-9772-c3d080d641d4	0	0
b5c9ab5a-faef-45ec-b517-fb9774d052cc	0	0
7fea8703-d853-4d13-905f-87e89ddb7b42	0	0
f855f9ba-cf6e-414e-8ee6-120c95b71c06	0	0
711f42fb-4553-4b1f-a083-2e078aa523ac	0	0
d8ed4ed0-123c-4090-b449-d4129229a6fe	0	0
f85c0a74-34ca-4478-99fa-f163e58d3e7b	0	0
166400f0-189f-449b-8c8a-475e7978023b	70	5.83350833333333352
66dcac20-915d-4620-9b8e-c94494cd7ca1	0.594125249072381956	0.0495180290231033091
85867b79-fb7e-41f2-a2c3-bed28a94713c	0	0
ed0884be-bc19-429f-a3d3-6a6edcbdb184	0	0
946dfcaa-ab60-4604-8c69-b0cf195b8451	11.1837229437229446	0.932119815103415128
82c39511-cdc8-4fcc-a696-49d244a3395a	0	0
4ec47fde-1643-4a5a-b8e5-f1db0a8024ef	0	0
f7c6e3c8-f0d2-4690-b386-c88d98ff82c2	17.1436818181818182	1.4288592096717172
471e91b3-9f70-4522-87fa-1a132f0ac1a8	0	0
439ad037-ee8a-4a10-8328-dfa613034c9b	16	1.33353777777777771
f6e2bb0d-2090-4f5f-ab66-18849e0290df	0	0
2f09fb16-4705-4ae4-af41-fca8b6b0230a	0	0
dc1d76f8-7106-4013-81fa-c27302b6652c	0	0
be4e9f3e-bf42-477a-b89f-d114ed8341ab	0	0
d8d76b9a-8883-4b0e-b05f-2f747b1d4c73	0	0
4043dd87-ae92-4a4f-a4be-08217dead818	0	0
86e20607-5158-43d0-8b18-5f82f2c2e97f	0	0
80db56fb-4aed-48d6-99c0-563844cf4a3b	0	0
15f0d69a-e41a-4e4c-be70-c75441dd92a8	0	0
0d591d13-9c80-4515-bdd2-fe3d6e4e7a41	0	0
6e6939d4-b2a2-47a9-94ff-461fbb85661a	0	0
ee117aae-8558-4095-80f1-85e106e0a512	70	5.83422777777777757
a122ff1c-b75d-45e9-a42d-50455c07c4c4	0.594125249072381956	0.0495124178401954093
37fcbfb3-32bd-432d-96e4-39a07087a134	0	0
f7af96a9-10fc-48b9-8f3a-9a64d4ef2a5b	0	0
15ec4b13-8455-4a7c-9772-6f59b2d9a6c9	11.1837229437229446	0.932014191053391117
1059e90f-b1c3-406d-91e9-9839fb1ff6f7	0	0
b4a9b3b7-d2e0-4623-8a1f-b185525be837	0	0
f06576c9-aaa4-4fd1-ac15-451b48a75967	17.1436818181818182	1.42869729712121218
ecdd5167-a968-42cd-9eb5-9e31369646aa	0	0
6b2b3130-9b0e-47bf-96f6-4d991a5b5543	16	1.33338666666666672
72a86295-07a8-4e95-ac4d-d172c25661a2	0	0
4270fd49-01dc-4bf5-b247-72a16093132b	0	0
e82330e8-23df-416f-9716-a614bc6108fa	0	0
d327181a-4b6b-432f-ac86-d871aad0c951	0	0
e7141e07-0fdb-487c-b0c9-e3e92ea803cf	0	0
e2579a2b-6132-4169-a34e-15875eaa2a3a	0	0
c35fa2bf-f575-43f0-a719-30995ba9e125	0	0
8f22aa60-c0c7-4c6b-a691-e5f42cae9bda	0	0
f7b6113f-a5c4-4d0f-897e-329c71228a8e	0	0
08e67cbb-de6d-4d98-8da7-4ce1c3fd8530	0	0
0516fb48-d695-4307-8096-27a7118fa7c4	0	0
5d8934e4-94ab-4375-8e02-b234f6e0ed5f	70	5.83356666666666701
201f3bcb-9462-4ab0-8932-484563a61c42	0.594125249072381956	0.0495157185360235799
a78fdafc-4c76-4625-90b0-1c1f4091ed2e	0	0
e571f784-23e9-4e35-a48b-56919186c573	0	0
b4d83649-076f-4d29-8162-021cf16be8c9	11.1837229437229446	0.932076322847522953
9c2af1b2-b720-4149-9805-6a773bb7e2bf	0	0
052d7df4-e722-4b54-b8ac-666494e191a7	0	0
e0cebc46-cee8-41f7-bb6a-9f1123e640af	17.1436818181818182	1.42879253979797971
26c9de65-4493-4922-8dc0-4b8783588a85	0	0
71b08f29-8845-48e5-90cf-d12f1052ef8f	16	1.33347555555555553
573445a5-48a5-47e1-9a34-037a93b1e219	0	0
511be8e0-fa02-4014-9e36-bbb9d45d3a49	0	0
911981c9-b7cf-4c53-ab28-2b01e6a7ebff	0	0
fa031790-a8ce-4614-9c99-9e30222c4390	0	0
4c2bf4ca-b9f4-45ff-aa27-afb8b870ba9a	0	0
b10b7c98-06e9-4328-a201-cd5d1b78e75d	0	0
889c62b2-deb3-4cf3-b569-fefd26984ff5	0	0
de5b7861-31b1-49a4-9e97-27225b259cee	0	0
6021c3e6-3887-43a1-a75a-64f2953d0686	0	0
7f461599-530b-4634-b3bc-b7bd357601e5	0	0
04b6a15a-2696-48c5-a63c-47663c367ae2	0	0
05aa104a-c462-46ae-a98c-66d53a313b18	70	5.83395555555555578
0dec4936-a4fb-48c1-8078-a88c49c8550b	0.594125249072381956	0.0495143982576923131
5e654dd9-ea03-4892-9a01-d16d5e2c0d82	0	0
55a35dd6-b74b-4d8b-8125-ebc8d48bb30d	0	0
a9229c12-3ce5-4323-87aa-168e2c6a52ff	11.1837229437229446	0.932051470129870219
474ad018-f73f-46ec-8612-6dd48db707b0	0	0
afa48b5f-94be-45fb-b343-bf8c97a4c43d	0	0
3ca80a2a-1936-4000-b2c1-b90531c1a11a	17.1436818181818182	1.4287544427272727
f5c143d2-e5eb-4db4-a27a-140aa3133beb	0	0
3ddd0291-cca5-4b19-b118-4896a7c5b9c5	16	1.33343999999999996
38d4735f-8bff-4980-9538-ed4fd0e14c95	0	0
614a4d21-05ad-4a95-9268-c0e73e042540	0	0
d4ebb2fd-f3bf-43e3-a41a-a499d9987306	0	0
390508d4-a4d7-4753-8a9b-5f038b582e10	0	0
6c6c5305-5df3-4f79-8677-842b8c571f2b	0	0
99607eb6-316d-43d7-9ce6-ab54874bae29	0	0
9da96e88-988b-4324-8ff6-c3395f6eb6bb	0	0
6aac225f-353c-4e31-8fea-7dd3a52b2067	0	0
75b08cc8-e7ce-443d-a991-20e109ad311f	0	0
f73787a9-fcc9-486f-819f-544a7f6ec27f	0	0
4380a558-38b6-4021-a6fa-c70bab92ed36	0	0
5414604f-be19-4ad6-bd07-c05ee2c634c9	70	5.8338000000000001
4c973b34-1a34-4fbf-9fe7-5548c29c0665	0.594125249072381956	0.0495135730837352669
e08ff29a-7606-4368-aef2-6b6c52e1b52e	0	0
3ab862a0-a415-49c5-913b-c97b479dc398	0	0
b781e533-7966-4614-8ae8-913e64bb2a63	11.1837229437229446	0.93203593718133726
a675ce69-3c11-4662-a438-2c09c286c608	0	0
ddbb95a7-2bf4-4022-a86f-700f5c48db04	0	0
1f89d580-be69-4959-88d0-4440f57bbe07	17.1436818181818182	1.42873063205808082
5f307b7f-6c86-40c4-b8ce-d9469e1110c4	0	0
c4aeedf4-2603-4e1e-a501-0dfc96e1266e	16	1.33341777777777781
80b50ee3-c615-4ba3-a60f-7353e22dd98d	0	0
aafa6e82-8a29-4306-85e9-42b743190d6b	0	0
6038f32a-536d-4bc5-b011-825b89f8c5ef	0	0
b5aa3e97-ced9-4eae-bd0e-e9166572a0be	0	0
d833afe3-62c5-4575-a8ca-ab933aea17e4	0	0
3a8e524e-289d-4dd2-8ad8-e5411609b44b	0	0
b1ca8756-e33c-4f8f-be7d-9136b6e9ccb7	0	0
2c95aef0-351d-4d59-8214-ccda5d36c8ff	0	0
a3991981-9454-4ea8-ad4e-56f285592af5	0	0
16c937dd-d8e0-4ace-a1ea-b31c4023ce33	0	0
2811316c-69fc-462b-b704-f15609ec4cb7	0	0
e040c487-edac-49e6-80f6-733d283e5298	70	5.8337027777777779
6163d5f2-6aec-4ed9-9322-fb02d7ba0230	0.594125249072381956	0.0495162136403978145
436cfce4-2f97-4e0d-859d-dacf5c0ee71e	0	0
d16af27e-e07b-4769-9527-eb5ecd7e197e	0	0
9b7f706c-92d8-4000-b0b7-1d7b706343e7	11.1837229437229446	0.932085642616642729
877460e5-558b-4dbb-aa01-cc20fe624550	0	0
fa7d7a78-b0f6-4d77-8771-f5144115e32f	0	0
3fc8faa3-90cf-4986-91cd-bb0de2f9842d	17.1436818181818182	1.42880682619949506
12294b39-4a60-4a75-b57c-14f34b655200	0	0
82eaaa4f-8d90-4778-b1f4-abee5e2a06d1	16	1.33348888888888895
d01ff333-479f-43a3-94e0-2356dd7c4500	0	0
b98f0a0b-33a2-4818-bb1f-7e557ec039d3	0	0
a5a7a7dd-1406-44a8-9c69-a1db143b6dd7	0	0
0071d2c9-108f-49eb-ae40-d9ebb948d796	0	0
eb7ad994-9409-47d2-a5e0-776c0b76937b	0	0
ccae62b3-570a-4b98-990c-b1f84efea258	0	0
65614c17-d096-4d72-8e7c-9117a40fdd64	0	0
011f23c0-c8bc-4395-9c8b-97a1e7dac03c	0	0
3e82de32-9391-491b-9695-ce571c42f20a	0	0
4002d0a4-8efe-4801-8dda-23f9dec0561b	0	0
95a0ecb3-11a5-4d87-992d-6ca818980d82	0	0
6ea2e257-55ec-4cd5-aca0-cf52533885df	70	5.83401388888888928
5de7cd92-5686-4c8f-be6b-f90459792aac	0.594125249072381956	0.0495148933620665407
c78e5c65-0515-48fb-81e0-046a03d0b4ad	0	0
981adc79-b050-4350-93b8-de6719ed1790	0	0
391a2569-4297-4c3f-8f30-0637f2f99764	11.1837229437229446	0.932060789898989994
9462be78-fbb8-4dfb-aa57-09abfce3a801	0	0
2e779e98-76fd-483b-bb86-d4dc7fbba660	0	0
75c68003-5a50-4a2b-9807-92685618725b	17.1436818181818182	1.42876872912878783
29c2fa57-802b-469d-bd0d-d8cba7049763	0	0
464c9d97-ed78-47d6-839d-acf2f305ebce	16	1.33345333333333338
613256f4-a128-4136-b92a-a8bc5d3bd53f	0	0
083d7368-68f9-4cfe-992d-68ad984e0477	0	0
3e224bc9-0656-40eb-862e-777a90c6d909	0	0
9af0c57f-5b27-43f2-8361-1cf4cb5d161a	0	0
ba641226-546d-4b37-910d-4cecc6aef250	0	0
8daee785-925c-4efb-b66e-edab644b6ef4	0	0
8ca2dcd1-5072-45f6-9d5c-29b6f428a6dc	0	0
a499ffa1-4368-4049-a049-88594e4cd342	0	0
4587e706-54ed-4c7e-98ac-c2df5d2c38b6	0	0
efe8d686-90a0-4edf-b41a-1da7758f0075	0	0
d6cbe09a-be8e-46ae-8672-437654e366b8	0	0
226a1948-9a07-40e9-817d-ce8d4abd6e2e	70	5.83385833333333359
95d41018-37e1-41d7-b143-2743283045ce	0.594125249072381956	0.0495110975618641355
6289427a-f658-4091-9879-1c838cf6534d	0	0
7e29a81d-7d63-4b8d-87ba-d78da5995a4b	0	0
b555afb5-f823-477c-94d9-bae833e3d2ef	11.1837229437229446	0.931989338335738493
c386924c-fa5e-4bf3-83ea-74f206f5a010	0	0
5abc8180-7baf-4706-bfaa-e7346d86f6ea	0	0
2d983585-d0a2-4636-9b71-503110078d53	17.1436818181818182	1.42865920005050517
4fca57eb-2849-4b56-8d4d-e09566b82633	0	0
61dcf120-e2c8-4d0f-8ad0-88a2c0283352	16	1.33335111111111115
d641d6b4-bd9f-44ed-bd43-530b4d4adf02	0	0
088742fb-ad32-403f-97d9-d10922f31563	0	0
ef973a1f-e912-4a39-80c5-c3571be7fe9b	0	0
3568ca19-bc10-4532-a83b-fd0d85e1e3cd	0	0
0bb276e9-a7c0-48b0-9f5a-e1511623d0fd	0	0
50c954b8-8e9e-4361-874f-f1b86a16fd7a	0	0
adb05cde-c106-4044-975d-d2a3cde88965	0	0
4f89a57a-e179-4327-9b15-9c270e4b023b	0	0
5de8e1b5-21bc-46d3-ba79-b26f3a058803	0	0
430dafac-ea84-4436-a9e7-805d5e12c13d	0	0
2acb5ade-07b7-46f0-95a5-c00b59091070	0	0
3a60aac4-0b3c-4bec-af23-6e32747e4f4c	70	5.83341111111111132
dfe29700-d1b8-4e5f-af77-f7dd44a9f7cd	0.594125249072381956	0.0495140681881094877
e3136d57-7a51-47fa-8690-ba719964ebf7	0	0
be10668a-6700-475e-9d51-753ae069fdfe	0	0
9e2514ae-2396-4998-9d54-d368caa29d16	11.1837229437229446	0.932045256950456924
83e4d60c-994a-49d2-b8b6-59ef1ced67e1	0	0
32971f62-9fc4-4dd7-8c41-59e118e0c864	0	0
773f7212-c30c-4169-8da9-fff95a112bd8	17.1436818181818182	1.42874491845959595
44fbfdda-1e88-4f82-bd36-65723efa3ccc	0	0
b01a6542-67de-4aba-b652-c4760fdfb8c7	16	1.33343111111111101
c8e8ce8f-3c7e-4937-9c16-6dcfb4f69a3f	0	0
1023d8f4-8dd2-4d2c-80a5-0c01834e985e	0	0
1dfb87e6-186e-4b0d-9398-675f9367ac59	0	0
365aa077-6408-4f51-9f86-90284fb64aad	0	0
dbed3905-9743-4057-bf80-a6e6a4b54a49	0	0
149110f9-e5b1-455e-b707-e6d63fc19115	0	0
358f9e55-e806-484c-996f-d6ec0576280c	0	0
2dce4154-c740-4893-97fb-dbba3a68bce0	0	0
a5897a44-c0f9-4df8-b69c-f8ede86d1f32	0	0
b95204ce-88b0-47ee-95ac-57f02194de09	0	0
b7fccb96-438d-4464-86c0-1e431d35a29e	0	0
8d69c363-67f7-49d3-af99-b4c51590f351	70	5.83376111111111051
44b14df7-d2cc-4333-88f1-61491a9fb806	0.594125249072381956	0.0495137381185266762
16532c1d-db1b-463c-a102-6c682d212615	0	0
ab47c73d-a9d4-4c2c-83ad-313f280395a4	0	0
a8542698-247d-468b-82ba-7a3a2f062b14	11.1837229437229446	0.932039043771043851
35407ad2-d1bb-406d-9e05-687901d5f60a	0	0
ebcc552d-c2a2-4c85-994d-d0cdbcbb5593	0	0
620ef31b-f34b-4983-8472-e6c264bcd721	17.1436818181818182	1.42873539419191919
6fe0e5b8-94ae-46de-85d6-e1609ea58f40	0	0
28c0aa18-4a35-42b2-8df4-358e55e8a2bc	16	1.33342222222222229
1ac9ab27-41ce-4e00-8d08-e24dc54ed916	0	0
c05efab3-56db-40ca-a32b-cd5bd85e8050	0	0
b2bb223d-67d6-43cd-94ed-c059c26f62d5	0	0
69b58c53-805e-41a0-bd15-186b5c597ef8	0	0
028f5cff-3199-4c30-94b0-a43637b53587	0	0
bda7760e-6249-483a-9aab-2781a1a99683	0	0
5eba14d7-d54d-41c2-a84e-22fa0e28b4f4	0	0
8987431e-7444-42fe-a7b4-80eb6e02a031	0	0
996fa4f2-d6b7-4e39-a4c1-b30ac8534dba	0	0
59ec0481-53f3-4ee6-95f9-55698f16898a	0	0
299b5cd7-5166-475c-b09c-e7b3ea43513b	0	0
9c52c259-7120-45d9-875a-327d3955e470	70	5.8337222222222227
380fc136-569d-406b-9f2a-05ea9ef7e593	0.594125249072381956	0.0495082919704101787
f7816884-00c7-4028-9067-b08536d53f81	0	0
e90aeaa6-5b48-45f9-8d3c-6ab6407dfad8	0	0
d3f0b751-1304-4028-a6a7-96042de26d5f	11.1837229437229446	0.931936526310726432
76300238-52c4-4fb1-aeb9-1c0caf2dfb36	0	0
e2306b73-cf7e-46d7-969c-3f43dd2b333e	0	0
1052a0e5-7d1e-47f7-876f-4eba3c6e196e	17.1436818181818182	1.42857824377525255
7ad4ebf0-b436-4561-8cae-c252061f2aa9	0	0
9b55e678-54fc-43b2-8922-2ccc38113da8	16	1.33327555555555555
d1b4f7b2-547d-4440-babe-6901cf1fbd1d	0	0
8170b28f-6584-4a82-9527-ca6c0bf833be	0	0
62a04bca-aa55-40fb-b09c-5426b61dd692	0	0
c1fafbc3-a76f-4f86-b2a6-ff82839929fa	0	0
55a4896e-72e5-42a5-9d68-7997ba1644a1	0	0
1a011508-c7a4-4bec-893f-79e6c812575b	0	0
55b6843f-98c5-4f78-9e05-a34e7264423c	0	0
f5352ccf-8f1c-47dd-a8a7-47a8c3560255	0	0
49d39de8-4779-4b33-8c92-bb175cee1fdc	0	0
f852e70f-9ab3-448c-acd9-ead127699fb8	0	0
6eeb3d30-cbb3-4453-be3e-f9820cd69c4d	0	0
0fc2e9b8-958e-4142-9b7c-c4465e780626	70	5.83308055555555516
e5779b56-423b-4dc8-b851-8718f474cc39	0.594125249072381956	0.049518689162268946
c45b3020-7bcb-4018-888e-e3385351a58e	0	0
0db48d19-1db8-4153-937c-2d1db202a5b8	0	0
69574a0b-2bd4-4d11-9308-d7cf5e67d9fa	11.1837229437229446	0.932132241462241606
c2bb0ad7-ba31-4a61-a938-32e60055121d	0	0
cfb50eb4-2b5c-471d-a6d6-f540aa092b0f	0	0
c0b030cf-d131-49e8-a330-9df0b26d2bd2	17.1436818181818182	1.42887825820707071
df2399a8-839f-4a10-8b4c-423547a7952e	0	0
4d7c997e-b91e-4665-a326-14fe14197086	16	1.33355555555555561
04fc831c-3711-4953-b985-e4b820d09753	0	0
e6006092-a1b2-44e5-9a2f-21a8a93234b8	0	0
f2bdb57c-cec5-4aa9-b2af-24ab9dcb26bb	0	0
5d647cf1-a5e1-452c-a9da-cc95e7e73b6f	0	0
f6ae5d21-dd78-4281-9e42-a82516540560	0	0
7ee06be5-c247-4e2f-8d14-ab877906ea1d	0	0
8a09c86e-25c1-4597-b686-8326803be778	0	0
3909449d-9e22-4c6b-b17d-8609eac82c79	0	0
aa414076-f371-4669-97e0-53ccb8a2d2d0	0	0
85000d17-c9d9-4bb8-a858-87a4d3588d92	0	0
41417f7d-5539-415f-996b-59110103fa48	0	0
9135c625-8107-47ab-8f9d-e898bf60391e	70	5.83430555555555586
4dc5bdf6-7db6-46eb-baba-e71183e2e7dd	0.594125249072381956	0.0495135730837352669
2d60d315-d4ac-4a5f-a33e-27b6a7f12f64	0	0
4cba87fa-9e8e-45a3-adf0-45ad00085a83	0	0
ed93cef2-42ed-412e-abd7-051fe92ba487	11.1837229437229446	0.93203593718133726
bf70eca9-f23d-4268-9f90-7085a05546cd	0	0
61c19dd8-1007-47c1-af11-42e98423cfce	0	0
1dae6738-1683-46a7-849d-4c4abcf64395	17.1436818181818182	1.42873063205808082
bd0c44d8-c704-4cfd-81c7-9dbe0170f9a0	0	0
d1292321-71c9-4035-838e-af3f0f92ea54	16	1.33341777777777781
47109598-e2f5-4c86-97f6-cbd08106bc29	0	0
787c8d82-2622-46ed-bd1e-4ee3a794f9e3	0	0
535c1e5a-6a46-4816-bd26-73c1eb097425	0	0
2d441b37-d7e6-4bf0-a514-dcaafbd075c0	0	0
4e9d164b-f807-415d-bcaa-a8b6f9eabfba	0	0
6acde703-b0e9-4656-b0b6-514c5e8da3f1	0	0
ab703056-f51c-46d9-a656-ef31b0b385bb	0	0
1d785c70-4885-4a35-9866-faad3e17ab5b	0	0
8303801d-8525-448d-9ded-6d123909b276	0	0
3c794fe2-92a0-4402-8189-d79ebf468dd4	0	0
835886d3-e394-4fb5-ab9a-cf595401049f	0	0
dabb708b-5d80-4382-a3f8-e853b5b15f4e	70	5.8337027777777779
23be6977-20fa-40d9-9563-c3c655a6e99b	0.594125249072381956	0.04951505839685795
f7bb86a0-9261-407a-a255-e4dd20e46602	0	0
abc07aef-129f-4863-adce-f0b69df1ddfb	0	0
05390863-f24c-4cdc-aa19-96ee974286df	11.1837229437229446	0.932063896488696586
ca2e220c-a575-44c4-961d-acd01199c82f	0	0
d0f84205-e3b8-46a9-a66e-fdf5f526d712	0	0
0c470c52-8117-4080-aa87-a9704b9d7081	17.1436818181818182	1.42877349126262643
5b426f20-cd2f-42c7-8390-cf1475ff0b29	0	0
8688bff9-140b-4839-8171-c32b662f4932	16	1.33345777777777785
774c0133-414f-4e57-a032-87833d8d42f2	0	0
47a6d258-77e3-4f05-8350-fb5f8f383e9a	0	0
0c4f64ee-dcd9-4e8a-9999-ce27ea60c126	0	0
66d00cb3-c769-45c0-aaa5-670fda646e31	0	0
26c24055-7997-46c0-afd5-51c48f28843d	0	0
8c50dcb3-9225-4d78-b5ce-19bcd575815f	0	0
5c77a390-aad7-4493-9498-d0b4415a891b	0	0
d775fa83-8342-4354-8d5e-b0b4dfcda340	0	0
02bb57cc-89af-4068-8e7e-5002a636e355	0	0
9fdbdf95-9ea7-4aa6-8d14-b4acc3200623	0	0
7f01e3d5-453c-44a7-9869-c36bbd965c0e	0	0
664bd617-fdf9-4043-aaac-bdf8ce41c900	70	5.83387777777777838
b15f3f48-321a-4de9-a8c5-c4acb8ff7ecb	0.594125249072381956	0.0495160486056064053
cf509a19-5c7d-43a9-858b-7ecbfa242b17	0	0
8cc145ef-4b2f-4990-92bf-f58c71579882	0	0
19d46287-8252-43bd-bf7d-937ca4987d85	11.1837229437229446	0.932082536026936137
615496e9-aa97-4fff-ba87-dfbbecaca407	0	0
0d377368-bb28-422f-b348-d6a48c7434ca	0	0
26dc1f7b-2b71-4f8d-a3ff-868848b14724	17.1436818181818182	1.42880206406565669
47c41d92-df5f-4189-9b04-64ff4a399b6f	0	0
be837f5b-e214-4d9a-ab47-e5de1367ba70	16	1.33348444444444447
b64f7346-fbfa-45b5-bdd8-a41b1d5e01e2	0	0
a49c912e-6a92-45f7-b504-003d4993942f	0	0
ed365cd8-e499-474e-a0ac-a7c79b07f2a0	0	0
fca74718-20a7-4b65-8f2d-d2decce51a52	0	0
1e417296-b30a-47f7-9b5c-f685d091cab0	0	0
4850bd34-a3cc-421e-9f16-022cf4b6ee9f	0	0
d6c51a49-1ab3-4dfd-afc0-fa0444d55557	0	0
8193cd6b-9598-4f3b-a7b7-74ea3588a610	0	0
4963bf0a-6086-4637-a122-515eff4ffc7e	0	0
9f71e7e4-82c4-4e92-acd2-909149e55ab9	0	0
cfb76499-a189-4b87-8d04-d86a5e8a620d	0	0
4f72c0c8-4fc1-41e4-a636-b448de59c404	70	5.83399444444444448
b3152e8e-7527-4be4-958b-fa74e38df666	0.594125249072381956	0.0495124178401954093
d4c034ea-3ae8-4325-b31e-346ee4d50359	0	0
4b33c2c3-7b31-453c-be49-1c9b1ac71559	0	0
375b90e3-d742-4b2c-a56b-4b7ad1720d5d	11.1837229437229446	0.932014191053391117
ee11e903-5611-4bfc-b69d-17b3398c0ec4	0	0
bbf148fe-23f5-4ce4-b87f-6e552047dc7e	0	0
33dc318a-70d5-49d1-a3ed-0337d079a936	17.1436818181818182	1.42869729712121218
a5031ec1-18bf-4ef2-9c1a-9ebef979abb8	0	0
0fe40772-2f6f-4e96-a066-53ff5e2deec9	16	1.33338666666666672
9463821d-02bf-4b7c-a695-15e2bf0f12b5	0	0
acb79a5d-57f6-4119-8e31-66524f295f21	0	0
257ae674-303c-43c2-ad50-fe5b7ae989ed	0	0
8c32e768-a070-4799-a382-72546d9924ee	0	0
0d842117-19f6-4333-ad64-d7d4b70e1709	0	0
9b0d6315-09a8-4882-a80d-b88607f173a6	0	0
7a8bf368-7d6a-4783-850d-938491418388	0	0
1cd1c7c1-8e50-46c3-8063-1f7f8022ff9b	0	0
57c648f5-70dc-4aa7-a371-a6647af0cb23	0	0
bef2a613-518f-49a2-8fce-a3bcc2281ed8	0	0
39b27a0a-f779-44cd-a974-a6a4178028e0	0	0
b6ff981b-6595-4ddc-a99d-8ffaa2f6aaf3	70	5.83356666666666701
76c4d641-3346-4047-b7d7-d723968d1fd7	0.594125249072381956	0.0495097772835328617
ad7b2bd0-dddb-422e-9735-c7b4af4abaf8	0	0
c2960fc9-f5d2-4608-b86a-c282b5efa669	0	0
084cb707-f0b4-43c3-b8b3-8eb50551fe26	11.1837229437229446	0.931964485618085758
8fd63310-a4ac-45c3-9ca6-68858be858d4	0	0
2486cc52-fe9b-46a0-9cb5-082eb2a5bf59	0	0
b9a1ba24-014d-4d01-8daa-0338d72cabca	17.1436818181818182	1.42862110297979794
83a134a5-4657-4a05-93c5-20925eae0989	0	0
111e7101-94fc-44c3-9ebc-26fde74b0b1a	16	1.33331555555555559
cbfc4958-af26-401e-8dce-3a17c7ef0f01	0	0
6abc5e2d-5c53-4690-9099-26ccefded89e	0	0
da289b24-7d77-4758-9a65-f639cb116fec	0	0
f9db2d23-5013-460d-9a2e-448fd57f4cbb	0	0
a7fc9ff8-cd16-475f-af17-e53ad7feb339	0	0
2e46f1f5-0e4d-4462-bb26-09066504b485	0	0
482402c9-aa3b-43b2-ad52-6d2bd585289d	0	0
d6236234-abc9-40fc-80b7-ac3dae6a3191	0	0
228e4347-641e-45e3-b81e-646217ea353c	0	0
386966f3-b345-4a29-8e72-7711b247ed7a	0	0
e20455e7-de9a-4b98-9150-4c8a5beac54c	0	0
7cfdf788-a3c6-4428-8336-90943a414434	70	5.83325555555555564
4a98bbca-5ae5-483b-85b8-1f24ecc4b254	0.594125249072381956	0.0495193493014345829
307b702a-0eaf-4c68-a909-80a806b707aa	0	0
15f5b5fd-ef19-4c31-a66b-6e1f4774945f	0	0
23f79fab-44ff-4776-9c7a-d7ef23ca9fd6	11.1837229437229446	0.932144667821067863
8691578e-493c-4870-8a7c-5867a9fa7fb3	0	0
0badd81b-bfb6-46b6-a0dd-4c4184662f1d	0	0
a92f5d8c-dad9-4d64-9927-5d584bf7976d	17.1436818181818182	1.42889730674242421
b0472ed5-c2b7-4e91-8bd6-2da9e60e9ffb	0	0
e375a182-1369-477b-bd6e-20ee8f404bb6	16	1.33357333333333328
edff4a99-071a-4d26-99b1-699af4006ba1	0	0
41b7359a-45e2-4db6-8200-71f136ed0665	0	0
da2d0136-0fc7-44f8-bb55-48605d18106a	0	0
a384a0b9-85db-47bb-8d16-ce4edca89cf3	0	0
bc0baa1c-2aa6-4e67-aedd-3905b308be5e	0	0
4240a8e8-1ba8-49e0-8dda-cea4afdc219b	0	0
5e21f2ea-e956-4f6d-90b8-2f852ef85bb0	0	0
6c916633-147a-4d29-85ea-711c5b365c97	0	0
73bb8108-bfdd-4c60-b415-6dda55400512	0	0
ec743938-a144-4163-9c46-a65a02539714	0	0
f9f71bfa-5d92-4830-ae3b-6601ea0311be	0	0
b6335eef-cdcd-4c2e-898d-a4c207a645ae	70	5.83438333333333325
2ed481d9-9fd5-4fc1-bcf3-562c3d07a0a7	0.594125249072381956	0.0495104374226984917
1338e069-c832-419d-950e-78e3498ddefa	0	0
df03ce30-9fea-44fc-a341-2eb03e588de5	0	0
f9efcfaa-63a8-47a5-bd0f-87e7a30ff931	11.1837229437229446	0.931976911976912015
910f0d26-291e-4a19-8d9f-544be1f45d7e	0	0
84b8b24a-d76c-4855-b0e0-943751831ee0	0	0
e892d204-962b-426f-a79c-efe9fc83f307	17.1436818181818182	1.42864015151515145
783313c4-fd97-4f45-a80a-0f7f4da54e37	0	0
78061112-fe99-49ab-a612-95e93d980d8f	16	1.33333333333333326
72a0f885-e6c7-47fa-bb5e-5a2fa26a4488	0	0
1a21617c-c0ee-4f23-9126-815bcebca213	0	0
2b6db6f8-9a1e-4bcf-aa34-35fb68ef5a25	0	0
0a2abb8f-5f7c-4894-8076-1263c36bac21	0	0
3e12ada9-59c4-4171-b4f9-4436722949aa	0	0
7fbbbf21-1176-4d28-bb17-9905c80bb452	0	0
003a8fb1-609e-4bd2-b47d-cc9505938a69	0	0
6ad655a6-a143-49dc-bf43-16e4ff128f9b	0	0
ade20e09-9973-4f32-a490-ed07868fc4ce	0	0
0e24eee1-d32a-461e-9da5-017661b79756	0	0
be724d1c-e053-46c7-9a2c-ed89d485205a	0	0
dc0afbc3-ccc7-4269-ac88-d781de521c27	70	5.83333333333333304
b1a53338-49ff-4756-8381-dd26cada017f	0.594125249072381956	0.04951505839685795
30e27325-af9e-425f-ad90-bd820186aac2	0	0
86cbc4d2-66f0-4a71-b6e9-a47ecc5ef740	0	0
0aa22c7b-4e7d-478d-b345-6c8799a022a0	11.1837229437229446	0.932063896488696586
e337700d-9be6-45df-90d7-4669bb7eea4d	0	0
cd3bb9a1-ab25-421e-a227-b25866ac0a06	0	0
bc5d0a5d-e13b-402e-ac20-6eee9ce67238	17.1436818181818182	1.42877349126262643
87d1205a-7d5a-49c2-b97d-91952a95fce7	0	0
cd95d45d-11a6-44e1-b178-bd84402e693c	16	1.33345777777777785
cda2cd4d-e9a4-496c-9e9f-a2548ab8915f	0	0
52920dff-ba0f-466a-a9bd-e01bf2276aaa	0	0
02fd2ae1-ddcd-4215-94d2-ebe70eebc74e	0	0
a21aa5e8-848e-4ca9-a0aa-d06faca343fe	0	0
10ed24d3-3e6f-41a8-b4d1-97953b44c3c8	0	0
8435d3f2-51e6-4f01-82f9-7e90c011796d	0	0
d954bee6-9258-4d7c-8c75-145082d056cb	0	0
a58ee261-ab84-4faa-9feb-493c8bf93cde	0	0
c8bf5316-7b97-4c7a-b595-b90b21bf2ef2	0	0
75950067-e908-4703-bce2-d040d4019703	0	0
b9e51987-43fb-47c2-89e2-53eb62f62898	0	0
d10a6ad5-3d42-4c0a-a192-9283d4c1589b	70	5.83387777777777838
8ebf10ed-73bc-4c9e-b72f-38164eba375e	0.594125249072381956	0.0495130779793610393
1936b02e-de88-41b3-a26e-35d5aa51858b	0	0
b020e577-992c-4129-b5cc-191a727465bb	0	0
de35be08-a52d-4158-a2d6-b52e5632d88c	11.1837229437229446	0.932026617412217484
ae8aa4e9-f9a0-4936-8640-ee1f2cb7d29d	0	0
8fd53afc-e597-410c-819a-f7d5d71be68f	0	0
4ae78253-4f82-40e1-9f3c-4ae64d392cde	17.1436818181818182	1.42871634565656569
bab59da6-e04f-41e7-a7cf-d5983b7c89b7	0	0
efe5ee7f-f560-4458-ab47-34ace5f88189	16	1.33340444444444439
0fa61506-8968-4db8-8a0a-d89e9fa91a2e	0	0
78d12f59-fe5e-406c-8820-95f1a3b4daae	0	0
b7ed767b-ba4a-485b-a5cb-550762ac2dc7	0	0
cf341707-0573-48cb-a378-de0cea4f7be6	0	0
34783831-6ca0-45ea-9a16-81c876d8bae8	0	0
47ca1ed3-55da-4042-bbc4-b9d39bb97c42	0	0
05df4526-3f52-4285-af7e-37364ab00095	0	0
1ae33baa-3c2d-4523-bb1f-82a94affb3f5	0	0
436a63d5-eaa8-47dd-8709-de1a3e72206f	0	0
39da5829-6ec5-4e4c-b6b8-78ab428d3004	0	0
8089cdeb-f92d-4a13-8167-e3e2e3359bf1	0	0
6209089f-300f-4a48-bb0c-22b5b7d78260	70	5.83364444444444441
3d706643-c1e9-417d-a7bd-6bf5c61d9095	0.594125249072381956	0.0495124178401954093
a650b8ae-50ae-466a-b110-9ba1465cb197	0	0
b6f89854-6d69-4bfb-b125-b7524c9240d0	0	0
11f7021f-d65c-4b1f-bf63-c36809aee607	11.1837229437229446	0.932014191053391117
9042c9e7-2727-4895-bd6f-8c4d981b93ed	0	0
a4bd5914-b4fa-4e4e-8d19-cd49749e76bf	0	0
bf614191-833f-4aa3-93fd-14ad6343ff05	17.1436818181818182	1.42869729712121218
5ed81458-4f20-4792-914e-830588a0d69d	0	0
e3c07eaf-4b0b-4892-955d-8cc7daf39255	16	1.33338666666666672
21bd9d14-67ac-4095-b7e9-ffa263bc6818	0	0
646f7c78-e64b-4226-a815-05ac41b90cdf	0	0
05468f88-acbb-49a8-87f2-f06a16d6060f	0	0
4cbaa968-688b-42d6-8560-c9438043b55b	0	0
c5961f6d-ec11-410f-b62b-3fcf431703bd	0	0
7cbfe2c7-25fe-4cf6-aaa0-e84a7fbc31a0	0	0
35906164-c98c-40d4-a342-ae9dc2fa6747	0	0
cb8676ea-4668-4279-aea1-3e8ff336a360	0	0
78597bcb-b136-49a3-ab07-6c3ffc681854	0	0
a5eb44d5-9215-436b-9813-9ca7c3b6b217	0	0
867b951f-f1b9-45c8-936a-1158d3b14170	0	0
95493a2e-f8cb-457d-8ca7-752349519275	70	5.83356666666666701
8a481863-6f2b-4329-a652-fc973acd35a6	0.594125249072381956	0.0495158835708149961
6e7f7198-4bff-4773-91d5-3816e3fe16fb	0	0
dcfb6275-86cd-4439-946c-0ea0a6394d81	0	0
a666d0a9-bde0-40f6-b123-1bb41cd219db	11.1837229437229446	0.932079429437229545
562f887f-fe14-4f0e-a45c-681a45cb6919	0	0
5c23bbb6-b5fd-4014-b27d-1891118068c8	0	0
d342b155-cdf1-49a1-be5a-b9e6cd9eaf05	17.1436818181818182	1.42879730193181809
204cf36b-e327-4c3c-bf6c-fe564c72256d	0	0
45050651-504a-4ebb-8643-437fdee9c0f3	16	1.33348
662692a3-fc29-463f-a679-bf3a855e68f5	0	0
b2285b47-0ca6-4129-8e3f-ee536aaefe51	0	0
fbf60269-53ab-4a81-a900-7864bcc29fc3	0	0
cac00e83-634d-49cf-a557-0ba199b19d90	0	0
1af159c8-0447-414b-82c6-12cb86d587d3	0	0
76218abf-278e-4c8e-ad30-b76b0e4e3c02	0	0
27dc0113-d9da-466d-b4e6-d9ae46683bc8	0	0
b26f8702-7607-4412-a1f5-4b1ca6c69fb3	0	0
9ce1662a-4fc2-4f08-b527-a52f408655dd	0	0
d4e38238-0dbd-49c1-8b4e-39911e9c5a76	0	0
3fab2bf1-c929-4adf-863a-ff0b57671848	0	0
75d51336-89dd-4c0a-b722-07864e192810	70	5.83397499999999969
a0defd85-7e6a-45d4-8415-624aaeacad96	0.594125249072381956	0.04951505839685795
6eeca8ce-9721-4f2f-99ab-532387bfe1f2	0	0
cf3f156a-bf1f-4978-98c3-5fbdfa1a110e	0	0
7b9b1119-c675-46bb-b7de-fa1b40f70302	11.1837229437229446	0.932063896488696586
d783df00-e518-4bf0-bc6e-0a25a4632828	0	0
041bebdc-302f-4f10-a6a5-b60a5e47068f	0	0
bc15a5ba-f184-43d6-ae7c-01909da8df28	17.1436818181818182	1.42877349126262643
5fead749-12dc-431c-9936-52be0d97f99f	0	0
b9d8a2f6-2245-4769-9a86-503675186b72	16	1.33345777777777785
3b16c624-5847-44c9-b0c2-0ffc55761489	0	0
ba0b1805-5a02-4773-b608-569ff2a5436f	0	0
e57b2094-0a5a-48ff-a4dc-0be15cda57fb	0	0
50a4084b-8279-406e-9df3-3a034cf36b8e	0	0
3d60f8d1-79d1-4826-9536-9b5534fd1eb9	0	0
609dbb7d-cac9-43db-992a-a00e194f4652	0	0
c4d8d5a4-9315-4fc8-9b7e-5d91ed636c76	0	0
805cfee5-0169-41dc-a8aa-af2d1bfb293f	0	0
55f5443b-72a3-44a0-a84f-699d6c0e0e7d	0	0
c89ca9cf-e5b7-4498-b07d-68ba07d5c98e	0	0
201a6e12-442c-4815-9180-c6c092abe3ad	0	0
fd682c6b-fee4-4cbe-a476-6755e47a807b	70	5.83387777777777838
f264a8df-1404-4c6b-b324-b61ec3f0b50a	0.594125249072381956	0.0495135730837352669
93dd3d8e-790e-41be-9b79-15cbd4cb2466	0	0
0d74bcd4-69cc-4e29-b064-cdab85db2fd5	0	0
c8b2b242-e46a-4127-8b07-a2921a3e4938	11.1837229437229446	0.93203593718133726
266ec842-4277-4947-bd9f-aa9e83b05575	0	0
f36a324a-d99c-4e6c-b5b6-789a6bd6d88d	0	0
64fd95f9-8671-4528-b410-aff9e3a2f15a	17.1436818181818182	1.42873063205808082
a555b17f-1db9-48ca-a103-cbd8d8049ee9	0	0
df1232b0-5c83-40bb-b7a1-b91a5afc4148	16	1.33341777777777781
9b289850-6c0f-4462-b99a-c7eba147d676	0	0
18620d88-3535-42cb-9b66-f91e0ad5d643	0	0
f4f0575e-b5cc-420d-aa1f-ad844181f878	0	0
90f8d50b-19a0-4bee-95ed-a20274a646e3	0	0
9d64afc6-dc1f-43db-b6f0-74fd45745e2a	0	0
6d70efa2-f971-47b4-8255-0c2ae770929b	0	0
68e64d82-ed27-419f-a3bf-33d9201757f2	0	0
bbcb4065-69f0-4dc7-86d9-9d4f4cba5a06	0	0
9882111e-21f7-4f03-bfcb-fcdcfb3172a1	0	0
a6bd3fcd-95b2-46d3-8d4d-7c89ebd89384	0	0
4719d7cd-630e-4ece-8421-2f2d69ec3568	0	0
e6d6f8de-4080-407a-a61a-0fc179f35271	70	5.8337027777777779
9f3371ec-4c92-4df6-8d04-ae33eea43bca	0.594125249072381956	0.0495147283272751315
5da1b39f-aed4-43f4-8f1f-1b1a82e722b1	0	0
d6cf0569-9e64-456d-b1b0-528b78cca15b	0	0
02f5f70e-541e-435d-9683-384bcbbe5da6	11.1837229437229446	0.932057683309283402
ba069ad4-43e0-42ae-8d4f-fd5d7580deb0	0	0
7414fbe6-8ad2-415d-a745-1c52d7a63451	0	0
da74873d-a30e-447b-a375-5b6accf8dbde	17.1436818181818182	1.42876396699494945
892f55bf-7d7d-4938-b494-7ef78ce527b5	0	0
8c8e86c5-c11b-44b6-9a61-a10b65d9105d	16	1.33344888888888891
64b82c75-cf04-48b6-b9e5-043738a8ad46	0	0
7eb6a4f5-60f8-46fc-a5e8-07dc21a8e7f1	0	0
1d5d0acd-a3cc-4f3e-aabc-805d08c8c4fd	0	0
a03405d9-454f-4fb9-8a0b-62acc1fa04dd	0	0
677cbe75-75a6-4b4a-a9fd-f94aa4ea29cb	0	0
15fd35d8-f795-4ffc-bd8b-bd6809ac7630	0	0
768d2c3b-7604-41ab-86a7-d3ea2361857a	0	0
167c03a6-f92c-403e-9c9c-28d70793445f	0	0
9f3d6bd4-7a23-421a-b51a-09b5b2d66cc7	0	0
a0cd81ab-6eb2-4b72-b493-22d309b427fd	0	0
ac9fa680-fdd8-4647-9318-008b21cf80e6	0	0
b660d9c3-a4a1-4b6b-b157-737bc9da2734	70	5.8338388888888888
85fee1d2-70f6-444c-8ffc-91debb3e9e8e	0.594125249072381956	0.0495122528054039931
c3e309c5-a8e1-4cee-970a-31b0a10c73fb	0	0
ffa5eb9d-c7ab-4ed9-b504-569bd368c92a	0	0
b50aab91-7847-40cd-96de-da44c6b741db	11.1837229437229446	0.932011084463684525
ac89b25a-2a54-466c-8c36-1c1d31e2ccf4	0	0
cc27a263-3a8c-4f3d-8b22-922e35b0b8b8	0	0
8f4b6b3c-399a-4db4-9c20-a5f9ef2b9447	17.1436818181818182	1.42869253498737381
f89f6267-9023-402a-9ce5-f7be8747d1b3	0	0
273cc0bb-2ec2-4bf4-8db2-ae33538ff00f	16	1.33338222222222225
4e7fbcf1-f31c-4085-a9a9-40cd010a277c	0	0
5bc655be-d235-4a16-a7f9-2c0634dce322	0	0
17ebccc0-0d97-4a02-9118-c208b5dd310f	0	0
8afd425e-db10-4a29-a405-1b1051cd5d45	0	0
94db6f59-1bb9-48a8-9c3c-391be458b0c9	0	0
3baaca9a-40e2-4037-bdf3-599ec90a44e3	0	0
6db32dde-205c-47fb-a3c9-7c64b5b275a1	0	0
51236877-c2f5-47c5-ad7a-41cb8b00c25a	0	0
78f70d5c-b917-4a10-849b-a4e70fe52fdd	0	0
cdada095-7823-4dbf-9fe3-62401b6ddfbb	0	0
ebe92b28-b58a-44ad-b05b-258c2776d8ef	0	0
12391eaa-e2bd-4509-871d-e981cd495128	70	5.83354722222222222
0c621274-6fc5-41b6-8d98-f1e55c3e798c	0.594125249072381956	0.0495155535012321707
dabf30a5-fd7e-42de-9ffa-07df22856beb	0	0
207a9885-685b-4f3f-bf92-a9f328d3ffb8	0	0
e7ca6d22-53bf-498e-9de9-8682dc98090d	11.1837229437229446	0.932073216257816251
b1b7383d-bf9f-42cd-a722-3d267c485e6c	0	0
a6673cae-30f8-410c-89e5-582b6c925fa6	0	0
00c6ad27-4e9d-4acb-9403-e5057cda4099	17.1436818181818182	1.42878777766414133
4fe75b54-a63f-4a5e-b79f-0d71c0ebf1b7	0	0
ea927da9-6f6f-4938-baeb-6d6e31d7ed1d	16	1.33347111111111105
08ed7f8a-a726-4549-b623-11f60efc3d77	0	0
0c26450f-f81e-4a12-a5d5-bee8d4ddfe42	0	0
92f39533-d627-4b14-9d55-a991935dd6e8	0	0
441c0728-0398-4eeb-903b-be12a1c3f673	0	0
8d7f8371-a12c-4fdf-a483-033bcc0e014b	0	0
12f786a9-146c-49e8-a04b-d3039a9923fb	0	0
007eb0fa-8175-4f11-8064-4bf4d967059c	0	0
f3447865-70f9-4351-9e52-1875e024739c	0	0
39c8ac2f-a9dd-4cb6-a586-52bdf35313f1	0	0
adf5db7a-8b92-4e3a-a18a-c5ae19fb2119	0	0
b9702e7a-bc62-433c-b318-4a036c6c9310	0	0
5a34fdd9-66f4-4244-a31d-fb88d13cdec8	70	5.83393611111111099
3606dccf-179c-4f1e-9e9b-06976d59cfba	0.594125249072381956	0.0495124178401954093
b50cba42-c467-41c5-bb0e-a91fc0cfd710	0	0
fa405068-edd7-4c16-a582-d60380e75f09	0	0
f9e7d721-a352-4b2e-85e0-e025838d3f76	11.1837229437229446	0.932014191053391117
b009fe76-3dd7-42cc-9eee-7b05ee1358ea	0	0
b4d31e88-a5a1-4f2a-8fec-22769c693aad	0	0
f420300f-394e-4eef-8b2b-b1089fbb3f87	17.1436818181818182	1.42869729712121218
f728d61f-ce24-436b-8b9f-43d5e5860f38	0	0
89c7fbfe-dfc0-4d5f-8eb1-921dd879917d	16	1.33338666666666672
931d9846-6d06-48e1-80ff-0656cbd71c2f	0	0
a432c06e-70ed-41b2-bb35-93329d602ae2	0	0
c80c7796-9a69-4895-89d8-6652ba9b02d6	0	0
4fcb621c-3586-4520-8d85-3d15e9cd7ad5	0	0
2a691b53-6229-4041-aeb8-2aa4ad714d5b	0	0
f9b4dd09-2ba3-43da-b5d9-14385ce66333	0	0
ca895e8b-529c-4c0f-b706-225df611e625	0	0
ccf59e1f-6398-42ec-9c20-28c4c7470a99	0	0
5da58b61-13ea-42dc-9eda-7fd2e14e25f1	0	0
dfcc298f-89e0-4c94-a04e-22f368d2ec65	0	0
21623f83-b9eb-4c53-9996-326e88b409f3	0	0
5b03b756-99c1-4704-a80e-9685002347d3	70	5.83356666666666701
5dac7692-8d0d-45ac-9a78-2ca15e43f568	0.594125249072381956	0.049511427631446954
4233c045-1765-4f9f-bfe1-c507611a0170	0	0
ba245597-090e-467e-a855-4c46b59ec737	0	0
e0bf6bad-a59b-4ce1-aa4b-38c6e783fb27	11.1837229437229446	0.931995551515151677
f21c2c92-3cd3-4aa7-a628-e105edb66ff3	0	0
ff3310ab-2ac2-4ac6-b2d9-da3d4d5b718c	0	0
7228c1cc-2873-4428-a40e-398bb6344479	17.1436818181818182	1.42866872431818193
205fd499-c2c6-417c-896c-93c3b49d4371	0	0
a552c7f9-03a6-4749-87d2-78cdbb6523ba	16	1.3333600000000001
13913f09-106c-41cb-aef5-b889b72baad9	0	0
92b2a688-6bac-474b-8bb5-fbb530d58f6e	0	0
a3b51765-4ece-4189-a4f5-fc2bf3e6f906	0	0
83a4f328-f2d1-47be-b586-c60728818421	0	0
efd33326-968e-4795-a10b-f82cf71f24d1	0	0
98b23cdc-3171-4493-8c8a-d3606e678257	0	0
dfb59d3e-f4f8-4ed2-87d8-deec0c23fe1f	0	0
57f1fc58-22f4-4cda-b0c7-5cd07bc2f85c	0	0
74d7610d-393b-48a2-902a-a94b1513bd0d	0	0
9a762d66-fcf7-4601-9126-9b2e9a613f99	0	0
c609c15b-0926-4be1-a973-2d37abd0e3f7	0	0
1b6da19f-ade2-4205-83ee-4adb31446405	70	5.83345000000000002
2c5f1d12-75dc-40ff-a1c0-003e7e65624c	0.594125249072381956	0.0495170388143548537
87b62f13-286f-4069-a2be-48eee22af8d1	0	0
841a9b0c-4f86-420f-84a9-7ea8decbcb27	0	0
138958a3-1b8d-499e-8c29-5d0fa8a784c9	11.1837229437229446	0.932101175565175577
ef2c255e-dc2f-4dbc-a635-300340beedf8	0	0
190eca2d-2122-4a99-bbe2-54d97c15b012	0	0
8be7b3c3-f062-4916-972a-660f07fe4e16	17.1436818181818182	1.42883063686868694
3b7e93c9-493e-45af-88cc-2e691d227eb2	0	0
9f0e64e9-7d36-44b2-96e7-82d957226298	16	1.33351111111111109
3509e690-1db8-4783-8b1d-9f4bb8dbca48	0	0
aaec62a1-b537-49a6-91a4-3c9308986f48	0	0
a39ffba8-646c-47fb-b1b9-da33b3b2c1e9	0	0
97d9cfab-605c-473b-9fba-5a8b4230ce8a	0	0
01802e49-63fd-4737-97fe-2e2ce65e9244	0	0
6c8f2977-0148-42ae-941c-735cfe81fac9	0	0
1335bee1-83b4-44d4-a652-05f752c41137	0	0
fe4b4032-fa80-4809-96f8-acdf318cb514	0	0
f484cd36-3f8b-4360-9214-b68e99083b33	0	0
0cf70a94-86ba-4d76-9e97-1aaefc543060	0	0
9c8388b4-d5d5-40ce-85c9-7fac319b56ad	0	0
a2991282-b78e-431d-8cf6-6940765e44c8	70	5.83411111111111147
18fc8832-b7c0-446b-bd8c-dd4d6a7d1ff0	0.594125249072381956	0.0495134080489438577
3a1fe089-8d88-452d-b23b-f471f82c613b	0	0
5ee6371f-996a-4c2c-9fca-3b43c13671c7	0	0
7a939d1d-58bc-4662-b1f2-88e4afe1efdc	11.1837229437229446	0.932032830591630668
c92f9703-bf35-4c55-84fa-983ba0d77c87	0	0
899ea6a8-a6c7-4f3f-85c9-92b1e2a24df3	0	0
24e631d0-e435-410b-95c9-26c80308fd24	17.1436818181818182	1.42872586992424244
15156bc6-870a-47fa-89f0-03d1edd85bc0	0	0
b101c7ca-5d67-48bf-8270-f5a3bd04357b	16	1.33341333333333334
39ae03b6-3f4c-4138-8877-eae463e11dbb	0	0
bec2dbb9-a439-4014-b79c-49bc410f11a5	0	0
05ef136e-a9a0-4571-a9ae-c819fb0cea36	0	0
39240242-cf7d-4097-937e-e698da97a68b	0	0
d9f43e98-93ce-4cab-b7ea-da79d0ed86d1	0	0
2a32097d-5b3a-46ca-8ba8-8daafdcfaf29	0	0
308c5630-92bb-4030-8b58-596adc1028c3	0	0
a74566d0-97de-496a-9654-61063e774e0d	0	0
5e5b4c81-ab1f-4fac-9440-4f1b8cc67011	0	0
50c41969-db39-4cba-bfcc-db522127b830	0	0
ff40129a-14ff-4fed-9512-266f6d6aa338	0	0
11ed4a61-29bd-4c15-8c00-e05ffdd98c83	70	5.83368333333333311
6aa3428c-c869-413f-a4b3-2856879b05ee	0.594125249072381956	0.0495140681881094877
9c9ed5e6-7c81-4125-8afd-066c9c4c7722	0	0
1681e23e-c688-449a-8e5d-5fe3c0e1ea1c	0	0
adf0d7bb-aa59-4d40-8a13-0962f98429a4	11.1837229437229446	0.932045256950456924
66e4d9d0-28fd-44ad-8f92-66d907ea9c43	0	0
2366958d-4ff7-4ede-92ca-803e131c1b51	0	0
07510487-c41f-4ed4-8586-6a652b9b7f98	17.1436818181818182	1.42874491845959595
1dee098c-8ebf-465d-8688-2df119d13c37	0	0
5327b4c7-ff5b-4155-b333-e6acfcfdbc1a	16	1.33343111111111101
dffa5f57-9d41-4594-a5ea-5a9b1a5a38f7	0	0
aa79f511-f7f2-479f-87e9-fc164faf97bc	0	0
6338a903-89bb-4d23-af8c-b88fa33764b5	0	0
e862fdd3-3273-4033-8b48-cd08fecc7fca	0	0
f9b42679-15c2-40e3-b9ba-9ff0db49bb24	0	0
58c18531-25af-4b7e-90a7-c864c857a8cc	0	0
7c63478f-87b3-438d-9901-6c16fefe7f28	0	0
981876e4-81c5-46d1-b047-c5d7d97b7627	0	0
164fc020-c353-41e0-99ab-4cd99151b1c0	0	0
f3d5c947-3d9b-4d55-a99e-839bc1488b87	0	0
c97dd8b6-0dc5-46e4-9a68-6ba2c68c9578	0	0
caaa667e-9c94-4289-a8a4-0ac1f0adb026	70	5.83376111111111051
9e4550e6-af35-431d-93a6-f6f247d66760	0.594125249072381956	0.04951505839685795
fcc36980-57b4-4294-a0ea-b8a2f6531506	0	0
57c17595-0fa6-4268-845e-1a49797111f7	0	0
04d4ec7d-de77-4b17-ba93-2982d422ac00	11.1837229437229446	0.932063896488696586
6117592f-8d98-4678-9e9d-6d9f8891b3f8	0	0
b6c7d63f-8a7b-40be-abae-9a21ef7e4ded	0	0
a9307270-3e86-4aae-bc4d-ba7143b69286	17.1436818181818182	1.42877349126262643
34d319ff-873a-4662-94f5-9dc064679f87	0	0
fd55b125-2a31-4176-b2bd-f25c2be63533	16	1.33345777777777785
6bd5dfe8-2243-4f24-a927-62b7123f8dc8	0	0
5a224040-7bcf-4104-b253-e0924a393a49	0	0
6212b3b4-d9cb-4c69-a64e-a52c0748d8b0	0	0
08678193-7226-42bb-b930-c488616ead8e	0	0
15b031dd-c5d7-44b6-bee4-adb8edd6e0c6	0	0
cefe9cc1-7349-4736-944e-c8f1a4b1b321	0	0
1653ca74-1ec2-4063-aa8e-a041412cae1c	0	0
d565f489-e3dd-4f12-b7ce-0efadcedee49	0	0
7331bc31-ad38-4f40-8c52-5f025c02d197	0	0
083115f7-82bd-4324-9637-10d355135c91	0	0
2dd27fc5-fc5c-43cb-aaa2-8b7aa174a167	0	0
dea152b2-5a9d-4bc3-8891-8a70bbe3fd48	70	5.83387777777777838
548afb75-0163-4b96-aba4-2f17061b4c6f	0.594125249072381956	0.0495066416224960865
a0131194-59fc-40f5-be44-d081482d87e8	0	0
14553cff-0373-4aae-aadc-5d471fd009d5	0	0
f528e9d2-25b8-4523-9203-d9beafb284e4	11.1837229437229446	0.931905460413660403
dfb2d350-07c2-42e0-a88a-f03ae14e1814	0	0
c0803f62-4ff3-4a75-9545-742bc1218ba3	0	0
332a1c37-f7f1-4922-b426-b37e8be64c21	17.1436818181818182	1.42853062243686857
63d51531-5741-4b57-a894-6658ce4154c2	0	0
f50a6b65-dd68-47c7-b7be-34431267599f	16	1.33323111111111103
a8640ea3-0224-4744-84b2-98f885247324	0	0
206a3d3b-1fa0-4591-9c17-eba5103f67fd	0	0
3c288514-02c3-465c-8d09-dd6fbb020ba8	0	0
1e9075df-64dd-4370-ab69-0c2eb90498db	0	0
4adbfc2f-a2f2-469e-a587-fce5662d5e59	0	0
b0f8a155-527d-4b1e-b502-499c8f3c9016	0	0
ac4fd7ae-1f7f-41d9-bda4-8611761f9d2b	0	0
57d27f6c-76e8-416b-95fa-ae3c1dfd34db	0	0
df5a2409-c529-4c60-ba45-97c51d5c7a38	0	0
5363967c-65ce-4ee7-b920-7c6c130b9e38	0	0
de01617e-0aa6-42a4-a811-c8b35f556bda	0	0
a835e3d2-83ca-4850-a078-84f24eaf14ac	70	5.83288611111111077
8bf36e9e-8d4a-44ff-a202-6b063720d569	0.594125249072381956	0.049522319927679942
343145bf-4f13-451f-8254-25ce92725ce3	0	0
0b0d9dcc-bf45-4fca-b073-f245ab15d0d5	0	0
17dc37b2-90af-4551-9f0a-97f6ecc31098	11.1837229437229446	0.932200586435786516
3502da2e-3674-4e08-b831-4894373c2c54	0	0
d740ad60-aaad-4d5f-973a-edb753b41afd	0	0
b2d8e2af-6974-4999-9c25-70288e34312a	17.1436818181818182	1.42898302515151521
c3f8efeb-b62b-4964-882a-9f990324c39b	0	0
d63bd9ad-8256-4830-b235-4f0731f4a4b4	16	1.33365333333333336
52d2fc80-c400-401c-b8a1-7c58a4f358c7	0	0
5502019c-f471-47f7-a9b2-5d96a3a520e2	0	0
7a8ea14e-601d-4098-8965-bf6a762f179d	0	0
945d340b-c7e2-402d-9d79-cdaa3c6164bd	0	0
43b4dc1f-7a66-4b77-849c-ce2b8a3313a6	0	0
0ee838a9-e14d-4dd6-bd9c-01b8a149f470	0	0
b11a08a9-3f8a-4afd-8067-095811826d66	0	0
13b08ea2-0594-48ba-abb1-4a7e2c67f5d8	0	0
4b9f379b-d750-4b63-8ac5-b29f723d29b8	0	0
0574c499-d560-44dd-a7ab-9cdf32b658b0	0	0
292014e3-bbb0-49d8-90d9-ee8581b49401	0	0
c5274631-0ea8-49f2-9c87-28e4532b4b37	70	5.83473333333333333
738561ab-f29f-4096-8038-289262b3ecd2	0.594125249072381956	0.0495106024574899009
540cae66-1604-43de-826e-8964ae00149f	0	0
b120b413-1bca-4094-bbf1-d995be55c024	0	0
c9515594-867e-467e-b0e1-cd6e9711052f	11.1837229437229446	0.931980018566618607
5d38ae21-6ee4-4b24-b18f-4d3b53fdac19	0	0
4ac4e621-4165-449b-ac90-2ce1761ae126	0	0
20bc9aa9-5096-4e8c-97b6-e8b8577c28f9	17.1436818181818182	1.42864491364898982
8d689bb7-77a5-466f-9dd4-79b1d855f6cc	0	0
1623b816-e69f-4fa4-b495-a7e7890fdf4d	16	1.33333777777777773
68ba683d-6306-4117-b17c-ab4d87ce23c1	0	0
45d9cfda-f119-4f65-8efb-8cf5770e7188	0	0
29083889-f0e9-470b-b188-943a3dfaaa03	0	0
73347340-c915-4890-9bd9-3c60b4fc8737	0	0
bf8678fe-adc9-480e-a94e-a6dbe444e036	0	0
1d4c05fa-8f00-46cb-8558-4b57a979c708	0	0
4abad0b1-53cf-4d87-b5c3-29bd614ae048	0	0
3e3c571a-e5d2-43aa-9101-7e5a20b003d4	0	0
d66fca08-e537-4ac8-b7f6-3be1fbd59496	0	0
b3ee6f1c-14f1-458f-860c-40d23b732b3e	0	0
a500bddc-dbf8-4fb3-97fd-ad4328e15934	0	0
b0bebb7c-3ac4-4a84-952c-e46d914ea9eb	70	5.83335277777777783
35e1c051-1336-4a4b-ad1e-87033165dbdf	0.594125249072381956	0.04951505839685795
b2db26ef-286e-4b41-98fb-61fe0b4b67d5	0	0
4f628ca1-3480-4fa8-8175-a6bb890d4258	0	0
804c92ed-82ed-4dc1-a1fd-ebec3b91558f	11.1837229437229446	0.932063896488696586
27f85fae-74a8-4b68-9f4d-e7b0a7b739ef	0	0
1174e84f-002c-4499-85ce-1cb99894108a	0	0
51c725fe-8289-4f97-b7d8-e5d461831f71	17.1436818181818182	1.42877349126262643
83a79a6a-1498-4339-aa4c-be2de4348363	0	0
193718fc-b3b8-42c9-a34f-18be4df088b0	16	1.33345777777777785
33b9c91e-4001-41d0-b4b1-6022886c7d7b	0	0
6569ea63-2e76-45dc-a9c1-cc6244f1e4f0	0	0
b0147af0-95de-446e-a8f1-1ce542e2da88	0	0
bf3a7e4e-8d31-46db-b7c9-e6010ae4b50c	0	0
03a3c2b3-1a1d-48df-967a-cb09a017a060	0	0
4fdf7b40-db3c-40be-bb67-886ab48586ad	0	0
49b2c957-34c8-4bc3-b29f-e3e2b6289cb3	0	0
95d12933-118e-4d00-9036-30119bb61543	0	0
e39af6c4-8c98-47f2-9dd1-a7649dc248d4	0	0
a6672181-d0db-414d-8854-c35cadfdac78	0	0
0b2d8828-f7ed-4b8a-8f3c-ff4ed4c19dea	0	0
1e10b272-f1da-4b8e-a063-cfb611d3b85d	70	5.83387777777777838
17921838-e33a-4757-8988-501ecac3129d	0.594125249072381956	0.0495119227358211747
def5efa0-bd83-4b28-a825-c28062cbd606	0	0
f708280d-6100-4dd6-b101-0fa8a2c66ca4	0	0
9c1f0ef1-867b-494d-af33-a80c5c235ccb	11.1837229437229446	0.932004871284271341
fd3d6a8b-f7c2-4f0b-bfef-3f86ba7d35eb	0	0
10725f57-4d73-4fce-a952-d559525f8977	0	0
5bc0104e-c247-4bc8-8497-35520622cdd7	17.1436818181818182	1.42868301071969683
d8ee18f4-20a0-4001-a695-f94295450992	0	0
c71878dc-c632-41f4-bf37-4d2c5eb34749	16	1.3333733333333333
5570e08a-f914-431e-9bb2-1c14f07e6469	0	0
6a03a1dc-8a04-4d9f-b38a-f898103ee0b0	0	0
ce3f7cf7-d6f8-4739-b5a4-bb89f0fc7c59	0	0
632bcd56-1cd2-4ef8-b52c-17b867850ecd	0	0
fb9c9315-b4ca-4ebd-b3ab-bc4f0fdccb57	0	0
cd6cba4b-fd10-42bf-a75a-06c9a6ae5f0a	0	0
34a1b04f-f4f9-4cd5-8ba7-0217fa092e8e	0	0
573122e7-9037-4f6b-a465-bad022c70188	0	0
7bdb11a9-cd97-4b16-b890-d531f02e5ce9	0	0
b1b1b58f-ca63-4eeb-94fe-46f790de8738	0	0
8340faa7-dc53-4d44-905b-aec6cba04640	0	0
dc2c3106-abcd-4b8c-8d53-30826c75d6ef	70	5.83350833333333352
77614fa2-cf01-4a9c-9d68-f937676592c7	0.594125249072381956	0.0495168737795634445
3ac06865-9722-4c62-85c2-6a9a68202f7a	0	0
27527bf7-2a93-4ca6-92c7-4519c77c46b7	0	0
8f446a8a-6cad-4200-ae2b-7d58778d9a4e	11.1837229437229446	0.932098068975468985
bbf3e9e9-7509-4451-9102-e639a88495fe	0	0
830293f3-cdf2-4d8e-a912-e21d41e459cd	0	0
ccb5d6e6-2cee-4de2-955c-bc27305b278e	17.1436818181818182	1.42882587473484834
2c8e6e4d-98f6-4245-a60c-8108276b8594	0	0
04a8a6f7-3e62-422d-ae0e-4643f2df9465	16	1.33350666666666662
6bd08c2d-de54-4289-8f28-a5e74179bb95	0	0
5ce2b7a0-ddf5-4c69-b0b1-6f3f02d2de75	0	0
c0f41181-3f74-4683-84cb-72034b7c6964	0	0
27f224b3-32a8-42a5-9dcd-cb9c072ff9f1	0	0
7c804c42-2172-4e0d-be30-8374e04f4db6	0	0
9de9de80-a79c-4ead-b4e0-67f3dc93ec65	0	0
a9cc8e10-de6a-4ef2-a209-688d22c39342	0	0
61dc5c8b-eded-4610-a707-24822c09e15b	0	0
4ba472a6-7719-4696-85bc-72d146b8f31d	0	0
34c68b3a-2a09-48d4-8e3f-77d3baf6cc89	0	0
18248284-626a-4e54-8e2b-1a235acb8218	0	0
ac59b98f-2eb1-4160-875d-cce0e7cec69f	70	5.83409166666666668
c144e1bb-b627-41a0-8a93-6b383a8b07b1	0.594125249072381956	0.0495107674922813171
e6f6ee3c-21f9-462e-a70e-7ad7cc732d88	0	0
0952f3cd-aff4-4ff5-bdf1-efff94c2ade4	0	0
7f78824b-266b-4c2f-bca3-39c69f7a86e1	11.1837229437229446	0.931983125156325198
dfb128e4-c6ff-4c62-b420-2bf743ee002c	0	0
ce1742eb-20e3-433f-ba92-40a603778e41	0	0
2db02cf5-47d8-4c8e-805a-50a2f0934026	17.1436818181818182	1.4286496757828282
827bdd8f-d77c-4073-821d-120cb8125eee	0	0
59a5b278-1519-4b23-8fda-4cd5e5b9ea01	16	1.33334222222222221
8fbdae08-f00f-49e5-8697-d930e90566d8	0	0
e5d85a2b-dd8d-49ed-9898-aae25c1a402f	0	0
0e0a1968-22eb-4e48-8073-b5a6335430b2	0	0
086acd2a-1326-445d-9ce9-3b6b442b3204	0	0
84eeb454-e31a-41cc-9249-38da16ea48ff	0	0
65dfdadc-4804-4968-a37e-5f722b2b8aad	0	0
02036379-8445-45ce-8656-148c38ae19b8	0	0
a3fb4ce6-b56e-40ba-8c79-af67e2d56c5f	0	0
70e84c9a-e998-4b5b-8570-3738f60723de	0	0
bf2295aa-f4a4-44c3-a8dc-0542a6f0653e	0	0
0b6f9e44-c5e2-480d-a5d3-3d6c3ebdc09c	0	0
63b5d580-5939-4a29-bee9-c439f6bfa07c	70	5.83337222222222174
83a4924d-0ea9-47a7-a404-4fc39b541699	0.594125249072381956	0.0495142332229009038
e801fe24-7df7-4a69-b531-6572127f8df4	0	0
ae4f0a2c-8f9c-4788-92b1-21b0e79c7fcb	0	0
511ba528-c9bf-4d1c-86fb-bcbdbef4e1d5	11.1837229437229446	0.932048363540163516
d998ced5-4d10-4c17-8bef-4f1a77bdfbd0	0	0
97b13800-eaf0-4b51-ac00-26038602aad0	0	0
8604cf5e-57aa-43a0-8ec1-4e75e7f65a24	17.1436818181818182	1.42874968059343432
d465daaa-2410-41b2-a59d-abc20bb7e0c4	0	0
1330239a-105c-40a4-a019-1eae58529392	16	1.33343555555555549
381274f4-28a5-4250-b1c9-d749bc13ab8b	0	0
af4616aa-591e-406a-96e1-e7e7b04083fb	0	0
5c03fba4-41d7-4ab7-b9df-fcd390733577	0	0
c8cd03cf-38fb-4ea3-8676-058a02b8c5ac	0	0
dcf13d78-f683-4029-acbd-2e082b2480f5	0	0
a414abaa-5492-40ee-8060-0d79d17ef2d8	0	0
eafd4e36-b215-4ad5-8c6d-f3ee793c0509	0	0
e4bb02ac-ebec-4507-8bba-b52c3f5c80ea	0	0
898447d8-ec8b-4780-ab60-5b5a92b6ff7b	0	0
80d863c4-6b82-49b4-85b4-79b0fcbd945a	0	0
49e20369-42c7-4e25-b35e-a03c31b38542	0	0
5a04a345-4681-402c-985d-0dc38a257470	70	5.8337805555555553
60e21ff4-90a9-41d4-97e7-d2ef6beeae64	0.594125249072381956	0.0495081269356187695
16dbda99-0613-4775-8ce8-bb6896245686	0	0
bf4bc584-fcdb-43be-82bd-cc0d7992913c	0	0
a382006e-9095-4f6a-b88e-7df9d5e26108	11.1837229437229446	0.931933419721019729
6bd8a1b7-6dd9-4ece-9e0e-10ba80e9334b	0	0
93b86e60-09f3-4002-a23e-87337e9b7681	0	0
b59e4872-1c2e-4780-a61e-e97ddb8bd2a9	17.1436818181818182	1.42857348164141418
7fc21550-2281-4cc0-8b15-cf7e4aa24f9e	0	0
21bbab2b-56f9-48db-ba76-8c817ce393c0	16	1.33327111111111107
5c4c6613-c4f5-4a84-9ea8-e06bb916ddd7	0	0
77db6dc1-250b-4645-8a42-d13e3b8a2816	0	0
383b4ffc-f653-4d10-9ee9-d8321d6c3c95	0	0
198a334b-45fc-439b-831c-a3c1dbb87708	0	0
5485ae9b-39aa-4620-b1c1-782ca3a81620	0	0
0d1ce4b4-51be-41aa-9efb-3e4b9a391719	0	0
4aca27dd-b38f-4a65-935b-90b2f0b6850d	0	0
31808992-1844-4817-8bec-99bef8e66b41	0	0
81cbdac2-6f76-4da1-b299-519eb3dbb6bc	0	0
c306e304-9477-43ee-94f5-da7f47ef08e5	0	0
a6c9cb8e-92f0-46a6-86dd-09615bb7347b	0	0
7a4c500f-6487-4413-8389-eb20343c8b35	70	5.83306111111111125
e9266b83-b104-4d40-81b9-d998f57b3fe0	0.594125249072381956	0.0495181940578947183
a19943b9-b435-45d6-9654-ff2512da7aed	0	0
442cbff5-c3f3-4286-aff5-97601a8c24c8	0	0
5efafea2-5ab5-49ee-ad5e-cddd0f8bef8c	11.1837229437229446	0.93212292169312172
40fedd8f-2e53-485d-8421-a7eaaa22db7f	0	0
d5118483-97e4-4fde-977a-d753851dab51	0	0
12299cb9-87ae-4a11-92b5-18e5dc248d6c	17.1436818181818182	1.42886397180555558
31e19461-8ed6-4a16-a05f-72fb251141b6	0	0
e3d58874-fcb8-4f0c-9582-04276893635d	16	1.33354222222222218
7202efbb-c003-44e1-90de-c15627faad56	0	0
5dd650eb-ed16-45ea-89d6-3f90c6da1050	0	0
38cac54a-4c08-4fde-a48a-ea5253037937	0	0
21562bb1-cd69-4e87-bfc3-933cba0801f0	0	0
e639da27-9796-40f2-9da6-a5af7c59a501	0	0
65beaf09-77aa-4ed6-88f3-872851c821fd	0	0
842f0105-d4f1-4f5d-b96a-3e29720344ec	0	0
6940496f-0a0c-43e4-b7f5-531cbd03ef60	0	0
18750c2c-d86a-4b2d-b14d-4b035bb1e521	0	0
ee5dcd3c-ef5b-4f81-8d49-bdcc6adc7c92	0	0
729be664-370b-4c87-9f5d-585cbd868a67	0	0
d47e6c39-dc0d-46a3-9c56-8275de8e76f8	70	5.83424722222222236
0a9e3cf0-11d0-4851-ae73-f8420086a3c5	0.594125249072381956	0.0495143982576923131
6a63cb4b-3199-4ac4-8b15-589fef987636	0	0
61a25582-7a18-42b2-99ac-b3750ab30fb4	0	0
9feaf0af-416c-4793-98a0-74a27a1531a0	11.1837229437229446	0.932051470129870219
829f4e0c-0979-4e7e-b4c1-2926f5b06cdf	0	0
e9deb05c-06f1-4d2a-8797-f7f9788a5e75	0	0
95ae47e0-a169-4413-9ce3-b0fb40b6e570	17.1436818181818182	1.4287544427272727
8238196f-9d9d-49a2-8f4a-1e8d70a6e723	0	0
086f8982-38cd-43a6-9133-7e157af77948	16	1.33343999999999996
77a1bc4d-fb3f-44cd-8d7f-f62be8651121	0	0
70b1de19-7856-4dd1-9def-dde7941c5e32	0	0
db701893-3ab9-47db-8779-621a893a97f6	0	0
8157edee-77e7-4fc5-b27b-bc65375cce5a	0	0
41dfe77f-9399-40e9-806d-f6e06fdcc468	0	0
9be20f28-9a9f-4c36-b52b-347e00217a6d	0	0
1bd6fcd8-c066-47f9-b0bb-d72d8bcad540	0	0
87323138-dc9c-4dd5-9faf-8f988d89c6b6	0	0
783097b6-c6ae-4019-b011-0b8d13e803a6	0	0
a8c33234-b451-4308-8c4a-cada8bf2bde6	0	0
4049b931-fd0f-4db5-9c0d-914e0fb45344	0	0
10d077e2-09e0-4e50-a84a-5e81c7e2e576	70	5.8338000000000001
6b05a7e6-62e1-4c7c-a8c1-2ffa638de3f3	0.594125249072381956	0.0495125828749868185
736e17f5-987f-4d4f-8cac-2cba94335f7f	0	0
ddc20b51-8b79-4df7-9b64-b8727ce614b7	0	0
ce73aca9-5d43-4e75-87fa-4fdd5438df3a	11.1837229437229446	0.93201729764309782
912236ef-b092-4ced-b9d2-09da5fddc731	0	0
af920b7e-1622-4796-b392-a1fd279444f5	0	0
3868f84f-d617-4555-b6e6-db5237c040ae	17.1436818181818182	1.42870205925505056
4140a2d9-4e1a-40c6-bd53-5ed5884c2e1d	0	0
8e1ea687-63dc-4ee9-ab12-426fd4183ad3	16	1.33339111111111119
71b7c080-7b2b-484e-a9f2-ebbaca627765	0	0
ae88bd08-aa48-43d2-81f8-84d8dde372b5	0	0
a9399aea-3a92-44e0-b8f4-c6c4e3760dc6	0	0
4b69c811-787b-4ec0-a2fc-94e05b6c7f17	0	0
88afcdc0-7a76-46ec-8174-639fb980cce8	0	0
e725029a-f73e-4219-ab9f-4e463007f552	0	0
31ac2299-5904-4666-b8d2-40cdc63b2b29	0	0
67f948bc-53e0-4318-977c-45e9558da793	0	0
f930a6c1-1608-48d5-91b7-c3d6b1dce7a3	0	0
3e1fc694-e8c6-4e37-994f-f168b1bd0a83	0	0
78a9281f-e93e-48dd-81b8-c58df9c78919	0	0
03f06d89-9f5b-4b35-b6b5-c23600347e9b	70	5.8335861111111118
a02ddce9-ef57-4111-ba55-61e04611d28a	0.594125249072381956	0.0495147283272751315
f59f4a33-7f3a-498f-b14c-21ed0d0cb93c	0	0
3b1fef30-5e3d-469a-bfc4-bb12f1b42a2f	0	0
0edc87df-c3fb-4d67-8ef0-698a50535668	11.1837229437229446	0.932057683309283402
f54ee958-0a15-4847-9e18-0b2333c19013	0	0
1f2cddfe-a166-4b76-be06-e3a28b551249	0	0
c6cdf5fc-2e68-49cf-bfc3-a52f4972ea4e	17.1436818181818182	1.42876396699494945
b8e747f3-aa76-49d9-a452-065a876a4105	0	0
d57cf27d-df62-4b6f-be16-66a7f9d2af76	16	1.33344888888888891
9b8408c1-b6ad-48a4-a015-1fda03e9e1d2	0	0
b2bde946-c088-43e7-9c6f-05e68954cf39	0	0
388dc072-9262-4c3d-aa1a-c6cde553c4ce	0	0
a188a84f-8c00-4114-8cc8-7baa7c8f26e8	0	0
30537ced-33a9-454f-945b-3b746968b740	0	0
1f59d49d-65c5-46c6-be84-3ce207d7a1f1	0	0
4ad18992-6241-46ea-921f-06f5b265bf30	0	0
f4933b92-67e3-4237-b294-7e23bde88630	0	0
ecd15645-b250-4d73-840f-2781ccb41181	0	0
3f185e28-77b8-40ef-b462-5c384ee95af6	0	0
30d283dd-961b-415f-8c9c-7c60fd6549d1	0	0
a0d55ae9-edd2-44d4-83f0-0f76a4604ca5	70	5.8338388888888888
51573941-12e1-441a-90ff-7eb7a85d511e	0.594125249072381956	0.0495153884664407615
b470679a-3d84-4511-813b-97e6e78a1298	0	0
d9a180f7-0a26-424f-adbb-dddbc0459e0d	0	0
3d01f99f-450c-46bb-aa75-ab8c250379ef	11.1837229437229446	0.932070109668109659
c23a4b3c-1f34-4597-a673-90a25e690d5f	0	0
f1e76048-cd22-439a-8682-bb25347837fd	0	0
443fd66e-c978-419f-86ce-cd2c7556568c	17.1436818181818182	1.42878301553030296
e7b71569-e4c5-4fc8-9a4a-59b6cfb0c127	0	0
fc15a42b-933d-4552-85c1-0900b807cc8b	16	1.33346666666666658
c809ac3d-f40b-4292-bccb-f38ee20666e7	0	0
806d389f-b00a-488f-80da-ccac595648e5	0	0
2809c5cf-01d4-434c-b5a8-129d1d3c1627	0	0
90bc8968-089a-4102-88c0-1481bc4933b2	0	0
57449f3e-7d1a-46ab-a57a-4f592ac16573	0	0
5bbab696-daea-400d-826b-e73ff86523f6	0	0
42d3305c-691d-450e-860a-6c7161e34524	0	0
d9c779b8-59c2-4fca-b703-2b9ed6b5272f	0	0
c5f61285-e1e0-4e2b-8f3a-25c80cb05731	0	0
9906bba0-ab39-42bd-a2d0-9867ea7422f6	0	0
e5fa2c73-3d26-43df-a0f7-1a4ea6bab031	0	0
0eed4148-85ab-4715-aa0a-33a17b5331f4	70	5.8339166666666662
09eed1fd-8335-4c8c-ae96-78ebc0b391e6	0.594125249072381956	0.0495142332229009038
bf4480d5-efc4-4a9b-a745-02e82fdda60f	0	0
63c7ef8b-846b-4afb-bc98-f17db6e396f1	0	0
b24fe0e9-9eda-4454-98b4-3dc9b13a4d5e	11.1837229437229446	0.932048363540163516
4f9395d7-5fb0-4887-90ba-f6bf492f8644	0	0
dba3ad31-c363-4952-a13b-2fe7bc19809e	0	0
77982624-7604-4eb3-a195-adf932f95d8a	17.1436818181818182	1.42874968059343432
b8b75a20-5cab-4ab5-98fe-f0cd3e861d81	0	0
ad3441a5-82b7-40f9-874e-c02241c43575	16	1.33343555555555549
607738f7-19d0-46b9-a3e4-bfa75b9908b3	0	0
acdd20a5-d462-4f64-ac41-2c7813e40b5b	0	0
c9cb8ec8-ffc4-4c2d-8ed2-1524eaa2bf2a	0	0
d803408b-a3db-4322-8a5f-1408e818a371	0	0
99dfdaf4-793b-4ef1-a513-f8e070c00a69	0	0
f69a3020-74cf-49c6-a338-f33722273568	0	0
9a4e93e3-c43e-43a4-82ef-37b87a258b0a	0	0
4dbb8c7c-f7e4-4dfe-a3af-8f8f7aa9ee67	0	0
8fd78c70-7191-436b-a635-bb517d210e26	0	0
d8342439-12fb-4c06-94a9-c39659e7a14d	0	0
9e873825-1303-4f7a-a915-323c958de6f3	0	0
6bee5ff0-c534-43a3-abda-79fb4a6571b8	70	5.8337805555555553
884ccdea-5a35-4ba5-9d1b-5dd103b9199a	0.594125249072381956	0.0495069716920789049
b6a9e4d7-3eb9-47a1-961f-096b104f47f4	0	0
6f0ec56d-b9da-4ca1-9590-8529bf5edb91	0	0
dc94960e-9ad5-401d-81b8-d1ef305e2762	11.1837229437229446	0.931911673593073697
909cd984-d0a9-4d94-b41d-7a6ccf661886	0	0
2ad14180-43a3-4386-88ac-0ce5942dc4b0	0	0
6428ffa2-abd5-45de-9e2a-a33b05232ba9	17.1436818181818182	1.42854014670454554
04247c89-989e-4b6d-b5da-0241644002c6	0	0
4d7c78fe-9993-43f4-b9da-d19afeab301d	16	1.33323999999999998
085dcb5b-978a-4432-bccd-dc103412a254	0	0
9829bd29-2e38-491a-acb6-14a23a4514a2	0	0
8ffe3f92-7833-4bbb-a7fa-992722532b9d	0	0
3042f59a-a83b-4785-aa60-6c437d5b891d	0	0
a21c72ab-ddb6-4afb-bc21-9de140dd2543	0	0
d266c3c8-c9a9-4d13-9163-6be392bd29a6	0	0
45ef2c93-6866-4c4f-b0b6-5758994ce24b	0	0
9507a71c-b5d1-4405-93a3-eadd4d0f4dc3	0	0
1650662b-8280-4157-8b7e-6c944e289711	0	0
e4e7da70-27b2-46db-aeec-5120369320a3	0	0
e12defcf-24c7-4554-9467-54c2ec02a6df	0	0
5d3e228b-4607-4b65-bc13-ed194e159809	70	5.83292499999999947
8c20f977-bfe0-4056-808f-230b5ad1b9db	0.594125249072381956	0.0495205045449744405
ed5488a4-b689-4a6c-8f87-216b5d9d29c3	0	0
51c11462-55d4-4da8-a476-6f45a32722f6	0	0
ba122d08-210b-48e6-aa6f-d84d1c1bd536	11.1837229437229446	0.932166413949014006
8e60a114-b165-4204-b64b-27dd7a8f7979	0	0
33b8e35b-4db9-42da-9866-c81e4c821ea7	0	0
7c1e2cf5-c4ef-4ee2-b042-e615f54a2307	17.1436818181818182	1.42893064167929285
135fb3fc-6ea2-4ed3-88a6-2fa7be75c6f6	0	0
b65e226c-4f8d-4299-ad41-2a533b3137c6	16	1.33360444444444437
6a25054d-c10d-40f2-b542-7341583a799c	0	0
f472df46-0e9b-4211-8dd1-fc07d3e0f8d0	0	0
87bb2281-1a39-488e-82c1-0b7aeb3735b5	0	0
4807e939-8cea-4164-b66b-de8a3fb2e7d9	0	0
13854a61-92dd-46e7-8183-cb914d5baa2a	0	0
2c38fbbc-4d13-4f3c-b77f-82c5e02fd5ae	0	0
4c6ae34b-b97b-4cd8-aba5-f50f55f50e0a	0	0
5be493e0-63c4-4a69-a752-405ae89eb775	0	0
1d87be26-330a-4a1a-a34e-d5430c0f1ce5	0	0
8c2b020b-8ff0-449e-822a-9010cc08c078	0	0
2ce8ecfa-6b0b-46ee-96e0-b4fb223bcc6c	0	0
18d87f03-724a-481a-a090-f92e1d0f67a9	70	5.83451944444444415
356376a4-335c-46a2-ad13-fef2160788bb	0.594125249072381956	0.0495132430141524485
44635d7e-a07c-4a6d-8d9a-83c2e48073de	0	0
b668abf0-2fd6-41eb-bb21-bd6ec9f94abe	0	0
be839860-a7eb-46cf-b5bd-f7e594ec77bd	11.1837229437229446	0.932029724001924076
f9cabbf7-5996-4536-9830-32cdd5bd87b4	0	0
5f73eec8-80ae-4683-a82f-e09a87f792bd	0	0
105562d2-81fe-4b9d-ba43-d4210cf6fd8b	17.1436818181818182	1.42872110779040407
64392f8b-bbbb-4c84-9949-9d9a016ad0ba	0	0
572ee104-e1bd-400d-8c5d-cad0ba476b70	16	1.33340888888888887
c748d7f7-aa11-4815-9aaf-4f9a14d1315a	0	0
793d967a-7f7b-48e8-8bde-a139c9306553	0	0
99b4d335-88e4-41b3-a579-3a4cf484627f	0	0
52c7a220-7074-42b7-95f3-88b000cead20	0	0
3957cca9-380e-43e8-8e9c-2e07734406eb	0	0
616e5fd0-7526-425d-8433-33cb849d69b9	0	0
b3e2e7fd-e715-4238-9c7a-17c82d1e4993	0	0
ec4a9a0a-3363-437a-9b30-e5813d54a28a	0	0
d8eae34e-4ede-40ab-b58d-a4e97ed81293	0	0
c92eb919-56fd-400f-ba6d-689fd952f7be	0	0
0a3c8b81-6bf6-4d3c-8bd3-81d2f55e6b4f	0	0
3ead4de5-cd40-476e-939f-c8e3dc3a4b41	70	5.8336638888888892
f6825ff2-81e7-4e0c-a4e5-534748ca30e2	0.594125249072381956	0.0495135730837352669
dff3217e-cb0e-435e-98ca-5b2421bff546	0	0
2dad403e-2356-4386-a65c-960f4962e5c6	0	0
984b976b-ad64-4d6a-9936-831e62ef3d66	11.1837229437229446	0.93203593718133726
d74113c2-7fe0-4269-ba89-320c9429aa52	0	0
295cebf3-cbfa-4e43-ac89-1fef60bee26b	0	0
aafdc1e7-af73-4f24-a543-8bd1cae3e7cd	17.1436818181818182	1.42873063205808082
32a7486b-3b83-4871-9444-f10bfdd2e722	0	0
7830c297-b6a4-4a31-a1cd-4f9a25e15012	16	1.33341777777777781
25d67ff4-621f-4a1d-a054-85d2bb54dc18	0	0
cad9b709-d704-4882-905a-c629b1ca5168	0	0
10a65933-34f7-42da-97ca-5d5a7d6f660a	0	0
ed2fc167-9246-47e3-809f-bba499d5e4d4	0	0
8db63039-b764-4a8c-b1ed-cce82c40b3cf	0	0
1da949fa-b4bd-4be1-b11d-47eda17f9c21	0	0
1a38023b-3212-419f-ade3-e851abdbfee8	0	0
45d718c7-8a7e-4593-9afb-e4fd20ff4547	0	0
cdb9f47a-aa44-45e8-aa88-547933f1c2fd	0	0
8ce6a62b-1038-46ed-b7c3-3a4889065d30	0	0
a5d509f7-758e-4045-9bd1-3963b041debc	0	0
c3441bb6-73b9-4cfa-b657-758624e2d816	70	5.8337027777777779
e1fbd155-7e5c-4669-8d92-5e535f50a3f9	0.594125249072381956	0.0495155535012321707
8dd84bfc-abc0-4631-8c7d-4d4771bbd29a	0	0
7c293c96-814a-49ff-8cb7-0413b911b875	0	0
925024df-0313-461e-9dc1-7ee1ead4d5f1	11.1837229437229446	0.932073216257816251
9a44189f-d073-4617-9abc-988df7a2d5f1	0	0
a293c59e-b1ee-4821-8127-192b50364615	0	0
3d3bb79b-4d5c-4dca-bc3f-71d10b7a28de	17.1436818181818182	1.42878777766414133
20807459-cba6-4f27-ae88-7fdcac3c73c4	0	0
79397578-c798-416f-9776-c737d3447c2a	16	1.33347111111111105
af6347a9-b545-44a0-b193-d1e79bff92fb	0	0
f872ffb8-f642-46d7-975a-45aee9b4f6ac	0	0
40202af7-00a3-4406-bad7-59845116e97e	0	0
e84bacf1-04c3-47ad-a847-b133eebb3904	0	0
750119bc-f510-4cc2-ba4c-28414a96f29b	0	0
2ec607ef-4474-45ca-b118-e388a6a8cf47	0	0
d0d75c06-8cbc-4b9b-b19f-4074ea17cfae	0	0
08b3c5d8-f478-4697-9bb9-1061eda4c56f	0	0
9f6bce0a-3215-44ac-a060-4e726ecff845	0	0
71673247-0893-4537-9199-cb7fd33e27ce	0	0
760137d1-e10f-4cbb-af62-e7faf908e8d5	0	0
fc9003f8-0b1f-4967-92f0-8af410dd3601	70	5.83393611111111099
d6a41faf-b5d5-4558-9fa8-ab43004e8356	0.594125249072381956	0.0495125828749868185
8e51f4ae-ed70-4572-a655-7e5d83af0f35	0	0
cac47ded-90cf-4158-bef0-2a90ce9f84ec	0	0
6538fe93-0879-47e2-931e-3bc6feeee630	11.1837229437229446	0.93201729764309782
7dd6e063-97c3-4e5e-ad4a-737a896bbfda	0	0
7f0c3491-404e-4d8f-8c38-f965c61f9133	0	0
b5a427fa-8cdf-4a85-bcc8-2a8462af4809	17.1436818181818182	1.42870205925505056
a93d2563-e5d0-4554-86bf-3af4bed52986	0	0
694400ee-35a0-4bec-843f-c065a8b8c270	16	1.33339111111111119
34571753-52d2-4ced-b7b5-a0fe804b12c6	0	0
31c0e411-c143-470e-ace7-2a23cee0e9e3	0	0
ff9782d7-1c3b-42fc-a07f-caf826b718ae	0	0
cbcfd8a1-5177-4f4d-92c7-24245b25478c	0	0
ec7332b3-394c-4aa8-b06f-8824c177d4c0	0	0
a00bc978-583e-450c-a13c-97a91ea69558	0	0
d7ae77f7-dc11-43db-bb52-0af5d384a5c1	0	0
71eea9cd-528c-4f78-94f2-c564cac76957	0	0
8d016480-86d6-4649-8764-cbed05a8e44c	0	0
3d375e3e-11d5-471b-bdf3-7b83cdb257a3	0	0
aea6ffc3-55d8-4025-965e-cf08f7592778	0	0
133acc1b-10a4-4a7e-b142-890cc932cad4	70	5.8335861111111118
159da52c-001a-408f-9ca4-091ff09a4a3e	0.594125249072381956	0.0495092821791586341
902ef5c2-1cd6-4df8-98f9-89a3d11590d7	0	0
2bd9c490-f45d-458e-81c4-537b003afb86	0	0
815b2799-562b-4945-b1fa-89fbd140406f	11.1837229437229446	0.931955165848965872
ac9302d5-bdfd-4caf-81dd-11ba835580ff	0	0
810f5ec6-d820-45ba-b39c-4d69c51431b7	0	0
fee87b1a-9774-4f5a-89f8-769910ae042b	17.1436818181818182	1.42860681657828281
5d32437d-2f10-40fd-9834-a8633813c8fc	0	0
4af8edd2-2014-4274-b560-343a9e392468	16	1.33330222222222217
378d9551-e8b2-4ec7-a4e2-1336a5a14905	0	0
b2b29d1d-0815-42ef-9290-d58827b413c1	0	0
cdeb4980-a64c-4c8c-86c8-36671d164cd8	0	0
141f6aca-e774-4cf9-8c02-4714250ef866	0	0
c64837f2-e046-4bd6-8e3e-de534342c761	0	0
427e7d57-99eb-49e1-af2e-63279e66f2ec	0	0
dcefdcf9-a227-442f-8e25-1e9b54fd3212	0	0
8f56411c-49e1-4a95-842c-4c76ed1c3472	0	0
9b1d3b8a-8415-47f5-acc2-3bf4ada8e951	0	0
1e5d9880-30a7-4d56-87dc-0eb5417ebce5	0	0
782f618a-539c-42d3-9a94-b084fcace7ee	0	0
9b197cd3-0ae4-4b3b-baf5-df828027387f	70	5.83319722222222214
fbbdd9cb-0cdd-4da1-b965-62b3833e2bbb	0.594125249072381956	0.0495218248233057143
ab2b0b5a-bca1-46dd-86b4-ef9eba6f7eed	0	0
3fc673a2-c829-4fae-b792-8bfb56b93c5c	0	0
4115c7a9-708a-4753-8156-58499105886b	11.1837229437229446	0.93219126666666674
d490659f-9c31-4714-8508-9697a9d8cb80	0	0
047d7e5e-4a32-45af-9a20-d80313116f2d	0	0
4048f7cc-f67b-4ed9-b9a2-26653f3e7556	17.1436818181818182	1.42896873874999986
73cfd656-e596-4122-9383-caa47e0f9db8	0	0
1400f48a-94ac-4c88-b610-c4697c64d015	16	1.33363999999999994
e98743a4-b949-462b-8a01-b97efe884b8c	0	0
460d642e-aea3-496a-a2c4-6e183bdbf650	0	0
4a8c355c-d36e-423f-bfb1-adf6111602f6	0	0
3815241e-cd54-4480-b940-cc90bcec332f	0	0
faac89b3-3b72-4b81-a3b5-8502cbb847a6	0	0
db16e4a8-82cb-4c5e-ba63-e61cf2286a84	0	0
59cf4582-7c10-4dce-a5ad-cc6662485ef0	0	0
5b0978f5-fc4f-4b03-ad6e-0c14664404dc	0	0
e290d14b-0bfe-4eb2-97e3-499270d523c9	0	0
9623c2e6-99cb-4b3f-b1d9-3c6d2436965a	0	0
9fe8b3a1-cdfd-4bd0-823b-c775784ff2e8	0	0
6a46906a-6b45-4c72-b181-cc9fe7e35a4d	70	5.83467499999999983
53f6c562-1c7d-4da9-8bdd-ff918b781daa	0.594125249072381956	0.0495137381185266762
6f13fff8-94b2-406a-b5f8-1a122f26007c	0	0
a2ca1d2e-a162-466a-90ce-1c34c96d0b75	0	0
9840e7ce-34b4-42b1-96b3-68720378bf4c	11.1837229437229446	0.932039043771043851
09ccaf03-b013-4477-a176-af50f65b7731	0	0
89ce6037-7ef4-4c92-9123-9e92991feef8	0	0
b45f0063-1c76-47ed-96d7-d694b154be19	17.1436818181818182	1.42873539419191919
18fa1ac8-a20b-41b6-ba12-cedc4a045d43	0	0
a5fcff70-83c1-4921-96b6-a66016de5370	16	1.33342222222222229
4818c836-89c8-4cbb-aa72-e1b895305146	0	0
33e3fb10-227a-416f-a8a0-b6e52bb87558	0	0
6dfc1b5c-30b8-44a4-9aff-8024f3ef474c	0	0
79cd045a-bad9-40c3-bca0-8c6080bd08cd	0	0
75ec7c79-ac34-4cb5-9373-28488a5162c2	0	0
4f896699-821c-4615-b8dc-be6ce5625fde	0	0
19c6ba8a-8c03-4a38-af46-0699e53272df	0	0
e5309527-7a3b-4378-b828-b3abea536041	0	0
6c73209a-6cbc-439e-8fed-f6ab2b5573b2	0	0
defc8103-8d7b-4ef4-ad9f-824418f4091e	0	0
d5b8303c-30a4-4dfd-b19d-ee9a31b19a91	0	0
19dc0432-4455-4b1a-9e27-ef34c55f6266	70	5.8337222222222227
e0bab972-b92d-48f5-85be-65730c4061d8	0.594125249072381956	0.0495109325270727263
3484ba04-08b2-42cf-bf6b-11559122d6bc	0	0
16ba2d75-cad9-4d27-b356-611b4883c61f	0	0
2f959bd8-7940-4dd1-9c31-4027e89af8a9	11.1837229437229446	0.93198623174603179
f66cb35c-019b-4353-95eb-db07ba019b0c	0	0
955168e6-cfc5-4b70-8578-d51e93ffddb8	0	0
9d355049-fd6b-497b-a040-52a25c42eb10	17.1436818181818182	1.42865443791666658
e79ca8ad-5f78-497d-bdee-e2207b30d1dc	0	0
e45a3bb2-56a0-488f-8a96-bc6ba7852ea0	16	1.33334666666666668
93ff1e41-c198-4b9d-aee9-61004d3398ec	0	0
6e4d1f93-6521-4884-9641-ca5acaf9ea40	0	0
53b3bd6a-0cb3-4ac1-bb5f-6f7f77b92c36	0	0
e2873616-e008-4878-918f-cdc7dc8c5ce5	0	0
0f4b7b7d-cdf0-4c58-b838-d1e2b2ecf70a	0	0
4ee6f49f-587b-4d82-a8ab-8ee6ca08cd8e	0	0
75f8a093-ca99-4756-8265-9128aa35ec0e	0	0
63db9b36-b850-4b98-9486-52df77257c8b	0	0
4afba9ae-a728-4ca8-ade8-71a33158aec7	0	0
65e5a84e-9e5b-4671-a0cc-3538a4d40ac0	0	0
ec97a531-0a9c-4c66-b4f5-20e63062927b	0	0
001c02ee-16a8-4e06-a56e-ea28c807f926	70	5.83339166666666653
73eb2452-3ff8-4924-81d6-28661bb3deb9	0.594125249072381956	0.0495143982576923131
49ca6531-0709-41bf-aaa6-2ef694d6a954	0	0
7d8fb9b0-7099-401f-b0b8-86cf9c1627b8	0	0
201679ac-9376-4c47-a0f4-e29edd3e7ae4	11.1837229437229446	0.932051470129870219
e21ca422-25b7-4484-aa42-0f7683381054	0	0
ef3019d7-3b56-4d62-8684-03fdf6755fe0	0	0
3ab5ffae-7e64-4fb9-801c-b5d45224e4e5	17.1436818181818182	1.4287544427272727
5a6e9a45-19ee-4bec-8745-fae9f1ef3cfb	0	0
46613fcb-f286-402a-8578-7e0a5441fb59	16	1.33343999999999996
16212a5b-1457-4c2f-9276-1a447c6c4550	0	0
af6c4155-ab98-4448-8983-82847c24acaf	0	0
0500983d-7cb9-475d-83ba-d97dfd8923c6	0	0
1a9a6b02-394a-43cc-82eb-4c0ecb9a4db4	0	0
0084d9f7-b87b-489d-ac63-0dc18d8c681d	0	0
533506ca-4086-472a-be62-e451b18157a0	0	0
79e3b256-a739-4658-a02a-87a2e9d73434	0	0
bce480ba-d8ea-4e24-b1bb-86a693b5f1c8	0	0
6d656bf2-bfcf-40f2-9811-b536d4cc6905	0	0
10e032d9-87b6-45b0-91fe-5237220ecacd	0	0
237b71b6-a0ed-4f50-8ca2-4632f70fb990	0	0
ad160cff-9aff-4d05-a00a-f75f6fd1a067	70	5.8338000000000001
b87dfb6e-231b-4fad-8042-9b799726fd1e	0.594125249072381956	0.0495117577010297655
06bda2dd-72c9-4e42-97fe-3f60a6d9c1b8	0	0
c587adea-7103-4d73-93db-b83d93090b65	0	0
ad3d66a8-d4c3-4b50-8969-5ab008122b5a	11.1837229437229446	0.932001764694564749
870533af-5ccf-44fe-bbdd-84393839d360	0	0
dba48ba2-9817-4ade-a0b2-9a18f91e8cca	0	0
b43be680-a1aa-45df-b0ce-955264505083	17.1436818181818182	1.42867824858585846
62850898-7699-4d19-b915-587e32d7dd03	0	0
9f400419-e706-4651-9158-59e24d9d58ca	16	1.33336888888888883
dd34a56e-12a6-44ff-9776-ab01b7fa6ddd	0	0
8a523b43-3a5c-4cea-a481-286fdee33c2e	0	0
536279cf-e481-40ff-a735-a52d005ec8ea	0	0
b0b9f309-e62c-4fa7-baab-36af379fc8f1	0	0
d2c6c478-36e6-4337-85a6-6258b4f8ccb9	0	0
92c51106-73e1-4b6f-a34f-7cb862cdcb3a	0	0
b97c715b-f0ce-4a7b-b3da-4204282ff37e	0	0
662dbf5d-7a28-4866-bbc4-f49a72418e75	0	0
f67d62eb-84b6-405b-a8bd-2c02896c2532	0	0
d8c788d0-0efb-42e0-a9dc-5fafced223ca	0	0
8ed19aa1-d1a0-4310-8833-fca672c70ab8	0	0
9c038d7b-f2d7-410c-8f92-23eee800e3bb	70	5.83348888888888872
dce99de7-e31f-4be6-8cf2-e4f68d487c80	0.594125249072381956	0.0495158835708149961
32663700-9199-4b5b-9f4c-3017122f7acc	0	0
0a774917-b7d5-4b71-b23d-1d691bf40efa	0	0
b4f9da81-dc78-440c-a5cd-0f8f5a00bb70	11.1837229437229446	0.932079429437229545
efb769a2-848b-4cb9-927e-76f0531cc90d	0	0
a5f70f24-7df5-4f87-9985-a4175bf72b6b	0	0
f75a6cd9-3d5c-4533-b0c0-527d0948bac7	17.1436818181818182	1.42879730193181809
32b4c1e0-4661-4441-ad54-b4cb5a5badbd	0	0
390521f2-2eb9-4d9e-9903-5e96f5051ee9	16	1.33348
51737d05-ebbd-4f10-8821-ed2b5fcb410c	0	0
44f3d54e-07f9-4b32-8f8b-bc3ea88501d7	0	0
a2fde209-e817-4b5a-8847-b153dcea87b6	0	0
bfc56740-d916-4f31-9626-1d1f9b297133	0	0
890ef584-8225-4944-827b-1933bf783ee3	0	0
aadee4be-12a8-4474-ac2b-468c2fa9f2aa	0	0
8e81fb91-b64c-444d-8a83-17dc52cbd23c	0	0
c1e766bb-381b-47d2-a156-2d940f56982b	0	0
478fb4ee-9c09-410c-9d4b-85907a63249d	0	0
bd8a193c-c698-4c9f-bde7-7c4ef0561467	0	0
6979c9f2-d61c-485b-820b-0ee9796bbb29	0	0
538b4961-7fd5-41ef-8cd9-d416b6a47217	70	5.83397499999999969
0a5ccab6-1be0-44ec-bb1b-ff3400b6e42b	0.594125249072381956	0.049511427631446954
ee85c255-0d8f-4006-8e76-5cc182dc4588	0	0
587177f2-a486-45f4-89d8-06a3cb6bc575	0	0
73a29b7b-3e04-4383-9e22-fbce1e2d5fc2	11.1837229437229446	0.931995551515151677
0a5b55c3-07cd-473f-9e68-19736aaa4f8a	0	0
5a881cce-9964-4ec8-9913-b404b5e9cddc	0	0
1b9c813c-6ea8-44ef-baa7-0682dd2f3607	17.1436818181818182	1.42866872431818193
6eddaf3c-c713-433d-ab0b-e8ab026185e0	0	0
318a2401-12ea-4467-98c7-63a523634215	16	1.3333600000000001
972f7696-03ff-418d-9f9c-f80a856b315d	0	0
c7d3eb78-e899-4603-8841-5dbaee5d5cc9	0	0
397f09a1-9a96-49db-8b39-2d3735ed1961	0	0
25ce011e-9ce0-4533-834a-d61bec6e8ce2	0	0
2a70beb1-fd09-4ae0-8436-791a7530b9dd	0	0
7cdbe591-9240-40ef-b31c-503a95e4c4e5	0	0
a47671ce-93b9-4897-a3b2-83f5e4b0bfb8	0	0
efa19349-04b4-45cf-9e9c-16c35d8d8b20	0	0
278a1887-fa98-4898-a030-9f75fdacfac2	0	0
b54a0edd-1908-4daf-96b4-105abf2dd22f	0	0
4f338492-329c-4ce7-b9c5-e8145fed777a	0	0
76b9dd61-3031-47d3-9db6-f4fb21314c60	70	5.83345000000000002
264eead9-1fa6-43fb-9691-bd5e4c910150	0.594125249072381956	0.0495173688839376722
26732407-ce84-4f86-98a2-07c652c05c16	0	0
4e142c3a-a61e-470f-b28d-19ab257e94d0	0	0
2695889a-07b0-489c-a955-7e53d20e7a22	11.1837229437229446	0.932107388744588872
d469c570-a406-40db-b600-e5d8d403f9f1	0	0
b6ca3d32-6b71-4fce-8913-b3cb838081eb	0	0
02aa7b7b-38f6-4b50-bac4-3299813b07e4	17.1436818181818182	1.4288401611363637
e6d094f6-f23f-4589-8ed9-a2fb06445855	0	0
3221b420-9c0a-4edf-ac90-956abdcf33fc	16	1.33352000000000004
775e4d11-d8ca-4bd2-9ae4-80e9e4fbf09c	0	0
7051e459-0936-46f8-a038-b29ae08208fc	0	0
6ed60ffd-265f-4d01-a7da-eb5adf8bdc09	0	0
739bac98-dd00-46fc-b44d-f76e9aad4d41	0	0
8218af00-25ae-4ed6-b0d6-64d60de70af2	0	0
1e64f0b0-e260-46fa-9e2b-83317f3566b2	0	0
9d60e67f-55b1-4220-a228-c59d62a5eb4b	0	0
7515b763-0530-4879-adb3-b0a228fd1876	0	0
c3542352-1bc2-4aa4-a2c4-9d33607404ce	0	0
a663e388-c5a4-472b-b1e3-1460f1d2cec1	0	0
5eb08a56-053d-4ec0-af2e-b8f9e49b9e6d	0	0
b029b87b-88e3-48e6-a1c1-9e29acde78d6	70	5.83415000000000017
b6ed1026-ea0e-47b8-9c86-7a0cf99f74db	0.594125249072381956	0.0495148933620665407
55002660-eb40-44ac-b2f1-d863825e78cf	0	0
18a178d4-1347-4a54-b20e-4b81efa4884d	0	0
f4d9ad8a-e128-4210-842d-53151068373a	11.1837229437229446	0.932060789898989994
21da2fbb-cd9e-4ba5-b7d3-41253a972044	0	0
190576c7-0e77-4900-9560-7525299dd0a7	0	0
a12cfff3-eeb2-4a12-97d7-cb502e734fa4	17.1436818181818182	1.42876872912878783
18aea561-3b2f-4378-8504-967b1c35f70e	0	0
280e3ec3-2e55-4971-8346-541cd130cced	16	1.33345333333333338
34389459-2b57-4384-a75f-ba7115c9fe91	0	0
996757b9-2f48-4cf3-a670-3ef854b8a40d	0	0
5c7dcc73-c057-4548-a807-b141bb63f2aa	0	0
ad42683e-01ad-4999-af0d-46ec3e111e9f	0	0
c932467f-f818-4b54-bcd5-b475026a752b	0	0
54175ba7-a477-4e6e-aec5-70282c30348d	0	0
7510d107-78a3-4833-996b-28306f0020e7	0	0
75204b5c-5d55-4b5b-b243-85d7b7b53c09	0	0
cc1b94c5-5cdf-4268-9efd-40f569743671	0	0
010c5f0d-8743-446f-9a00-34fcaec87a14	0	0
8d428610-db97-4bd1-b4fe-8b00f1b24934	0	0
bc670e85-3c83-4991-8376-7d95f20805ec	70	5.83385833333333359
da8ada34-7fe7-4e3a-90e0-e652ebf0786e	0.594125249072381956	0.0495112625966555447
5f7c22b6-0a0a-4135-b931-919de5bdb424	0	0
24b9bb7e-3df1-4583-abb7-e810afd007b5	0	0
b688ef0d-bc62-4f2f-8598-e04bc561ac1a	11.1837229437229446	0.931992444925445085
5423221f-e8ca-4b7e-8b00-e14b13e90644	0	0
06d6b75c-2645-45f4-8eed-863c3e74ac36	0	0
846f59f6-53eb-40a3-8f10-494ffad4091a	17.1436818181818182	1.42866396218434355
31dbfb6c-1029-4e1d-af8b-646b8e836e54	0	0
18422661-8f06-4cc6-9ba9-9e7d018657db	16	1.33335555555555563
28883df0-e7b2-4217-b354-7b689faaa8cf	0	0
eeaa55e2-5353-4837-8ed6-89ae36dcb115	0	0
91847cef-e1dd-4434-9ea5-04b8781be083	0	0
b9277272-0607-4c6f-927f-05985422ba25	0	0
0f1d7d53-1089-466d-8fa4-01082f15371e	0	0
e946ae82-4990-4dfb-b588-dd255df7243e	0	0
23760d26-9793-4df4-9cb6-aef4e73ef67c	0	0
79cb93c0-eaa2-4e6f-9568-28fd38d897a6	0	0
a155bc63-08a7-4040-b526-157777ace200	0	0
ad3db2d6-775c-4572-9b45-9ecd709ae7ae	0	0
4a0a5c58-721d-4b2b-85b4-3927bf98528c	0	0
34670d7d-0b43-4944-ad9f-c96dd508e00e	70	5.83343055555555612
d77a4909-d1cb-4197-b32a-cdd5c3ee641a	0.594125249072381956	0.04951505839685795
68872ee6-5d4f-4ead-8a58-c9647bd3e904	0	0
79c5d081-5dde-433b-9e09-cd0addbc8477	0	0
02e8d959-89f8-403d-9c93-adcd8b61833b	11.1837229437229446	0.932063896488696586
0be79657-eba5-4b63-8f91-7c821d4df6d3	0	0
c9db3249-2ba4-443a-976a-3332ec672d72	0	0
85dfa4c1-9c73-4379-9948-6292a03fa933	17.1436818181818182	1.42877349126262643
e36e67a0-dfd6-4911-b8ec-41f57ed432b1	0	0
789471db-ded2-4477-a64c-0b28761f4e53	16	1.33345777777777785
747c97bb-9052-4e02-9cd9-b8b063934727	0	0
933dac15-c2d7-4873-9079-aafbd8a5acae	0	0
745cafc2-a5b6-4c6d-8ba6-3b2457078d55	0	0
ec9e0e42-e44f-48b3-adbd-b99c444106cd	0	0
ca786910-5f33-40d3-9f0e-70d559ba1214	0	0
08e0c3ca-481a-4bfa-a0a8-e5df7039680a	0	0
693d51a3-8b69-4c06-bf22-120058bf8d2e	0	0
428c6b0b-41ae-48b7-aef8-9a122a7a0c0a	0	0
b2c7cae9-98d6-424a-a4c1-6167534efb8c	0	0
fbe8cf53-02ce-4ed2-8d99-f976cc221163	0	0
ac367570-753a-4d7e-a647-6c00411e09e1	0	0
a8a8fcb4-ccb0-410c-8d60-41aaa101e151	70	5.83387777777777838
ede8ca67-4e17-4ade-baba-dbca76ee54fc	0.594125249072381956	0.04951291294456963
b6ba09e0-9ed0-41c8-b309-9ee4307d2906	0	0
6372c0ca-6a68-4f58-8bc0-01ef309154fd	0	0
ea6bdfcd-eb12-4e8a-a775-37801b0bccbb	11.1837229437229446	0.932023510822510892
eb3438cc-4ff0-4acb-b7b0-ab4092690f10	0	0
c1fac28b-d1d7-44d8-a846-2a91bea4fc1b	0	0
0e9f5a7f-73ba-4e7b-8f37-d96ce23d8bba	17.1436818181818182	1.42871158352272709
7697cbb8-82b6-47e5-b9fc-0293f2febbca	0	0
5b47fb0f-a043-49c9-a777-29ad971333c8	16	1.33339999999999992
4b48668d-d368-4cac-b2a0-a940cf980383	0	0
00726e56-7946-4b2d-b865-5dee199bc901	0	0
5c34301a-195d-46b7-9181-e3cb4eb77d63	0	0
4f061676-020a-4d41-87ce-5164319641a3	0	0
f4e97fcb-4aca-4ac2-b105-04195207eb7d	0	0
b712ff75-f56b-4279-90b9-2c1217002a57	0	0
8dab415c-ca8a-4320-b6e3-69f565b3bb70	0	0
827e54b1-e633-45d0-aeb6-676207be7e81	0	0
e2d066be-c686-43ca-be1b-d728694a929d	0	0
7931509b-3eec-41bd-aba6-0530acbf08a9	0	0
31a09917-74c3-467c-ab0e-3547ef5765f3	0	0
30eb907c-8ebd-46d3-b40a-a3f764106b38	70	5.83362499999999962
9b02c18f-f122-45ca-97a2-4143ee4543ca	0.594125249072381956	0.0495135730837352669
1b475bed-96a2-40ba-bbf0-5ec7f823de01	0	0
7b95d948-611d-48db-8304-fedbbc63bf80	0	0
f99bf15b-b79b-4d90-af83-1e2d7ef777e0	11.1837229437229446	0.93203593718133726
4f57a77e-4b62-405e-b8ad-c16ddf0990fa	0	0
f4c77534-c49a-4607-9ebc-79a01050b701	0	0
13ecf5c2-f50c-4b4e-825b-6114adc66772	17.1436818181818182	1.42873063205808082
6bcc4a2b-fdca-4c6b-b0b4-2b218d1e5429	0	0
20630d3e-a2a7-490c-94e8-693a72b11fcb	16	1.33341777777777781
e356e8c7-6d7c-486f-8d97-c5db78ebcc49	0	0
69ee8cec-37af-4a15-96be-22eebfe812ca	0	0
ca70bab2-7d36-4d30-a24b-92bc9dc5e468	0	0
573f796a-c3c3-4821-a64b-99811c8aee44	0	0
90ecc2fa-89ea-4893-9ca1-f5e06b6f7ed9	0	0
40e601f7-652d-413b-bde3-002713ae7aa2	0	0
82c521ae-c1ed-4355-9288-218603971b95	0	0
ba0b3c58-3a30-4446-ab67-980ce3006a87	0	0
adf68f56-9be1-4dc5-a893-bca87008c7b4	0	0
d1c1b7c8-9d18-4a2d-babb-19253e27198a	0	0
bfb76cca-ac5f-4d2f-82f7-ad828d9de0c8	0	0
6d423ac7-8b2f-4085-9035-b73054be6ccd	70	5.8337027777777779
37f25174-4496-44fd-a190-4df588d4fa7f	0.594125249072381956	0.0495087870747844064
f7f86e5d-8502-4ce9-bd5a-aff18128f197	0	0
e7f8bf6f-c23c-49a6-bd7d-706069e149cd	0	0
4b6a6d14-1328-4f48-b1bf-f116eabd3475	11.1837229437229446	0.931945846079846207
feeb213e-6031-4043-b03d-788dc06d08f6	0	0
b8de4d17-621f-4378-b60d-8518828076e9	0	0
1425b1de-aa00-4593-aeb6-7502eb44a0c9	17.1436818181818182	1.42859253017676768
337f5766-721c-4666-b485-f514ec8afd0d	0	0
7bc0b49f-4b89-45ef-8059-9ea25bd4cf32	16	1.33328888888888897
9a016d75-2607-4de9-b3c0-6088035e6e0a	0	0
db91687e-b6ed-462c-8d7f-13b2a38c3a83	0	0
fb55353d-7540-4e27-8da6-8e6b3dafcc0b	0	0
d1c182bf-e89d-4296-a0cd-782bdbc91be9	0	0
7f31fcd0-a4ba-448d-a07d-d712c3b23b50	0	0
95195d18-7a9e-4beb-b3af-ffef0e806f45	0	0
723a784d-6be2-4c49-8b19-da5724c1296c	0	0
cbe675ce-da6b-4145-94ab-0f00a1b8f108	0	0
5ac97c1e-6eb2-4552-8054-99f7e608fc20	0	0
5d43d1f0-94b4-4d0b-bd7a-45c7ecea5670	0	0
a6c1ce72-0c54-4b6a-8b93-016db6c19ede	0	0
8e6696d7-db70-4b68-8eb7-b54491c6c6a8	70	5.83313888888888954
6ea42b0b-3a66-4435-85e9-31328887525f	0.594125249072381956	0.0495196793710174013
92fbf8ae-6683-4dab-97b4-9f3dda92c4a8	0	0
6be1f984-f7a9-4c2e-8ede-d4585e7da62d	0	0
f4831cc5-0973-41f7-b873-8bbf8948abd6	11.1837229437229446	0.932150881000481046
a8011171-1a39-485c-abf8-3887fc1705a8	0	0
3fd3982d-9a47-483a-9daa-100c3f8c62ac	0	0
9031cedc-77cc-4595-8c26-12495abbe75c	17.1436818181818182	1.42890683101010096
7e4adf24-405b-43f1-b323-b77ea697b00e	0	0
ab16dace-0296-40e1-a99c-0a688134138e	16	1.33358222222222222
7d3335a2-ed96-421e-8588-c4987fa6bf36	0	0
f14f47c9-b8ec-475e-8162-0f8bb8bf1931	0	0
b8de2644-4a9e-4a83-ab8f-4587c57a3c8b	0	0
108f3e17-9b89-4776-94ce-bf1077aa5b6c	0	0
8085a0dd-e5d6-441a-b5c2-e7a38bf297a7	0	0
ff069b02-708b-49b5-83c9-050223fbeb06	0	0
d556b44e-7639-4167-a4af-0189b75f3fe9	0	0
6946a7d2-de6d-4b70-8841-17a4dc5584e5	0	0
d6ea0234-096e-4658-a947-c6915d93bc49	0	0
c8f9da35-7da1-4f35-b499-150a18ebb053	0	0
c8714954-6d15-4eed-b07a-ff4cf7709619	0	0
5b29c651-9cc9-4a76-9cf2-ea302950103b	70	5.83442222222222195
37a5c577-dbc7-41ed-ba6c-66a415910539	0.594125249072381956	0.04951291294456963
95b15bbb-9446-420d-9a04-2e1eaedda79b	0	0
c5909ee9-65c0-4435-a362-0429a15d6e98	0	0
9ace4478-7d7a-4333-bfa9-21404ec76e43	11.1837229437229446	0.932023510822510892
d1f28c1d-f022-4f4a-a055-601d8bde6992	0	0
0f25bb1d-2d8a-4219-89e2-10b2a2c30aee	0	0
3c2e7769-26e8-4785-a664-f84e659b98f5	17.1436818181818182	1.42871158352272709
79f55b77-6f74-43fe-865c-28deb846c7e4	0	0
4cdc9035-57ec-4b14-89ac-4998c74013f9	16	1.33339999999999992
62b224bb-ec4e-4b7a-a668-5fb901af483c	0	0
ee874122-bfd5-4bc9-81b0-062c3ce80047	0	0
38260014-1497-48b8-927c-4fcbb52033a8	0	0
68017d89-a7e5-480e-8ea5-b4d7dfce0c29	0	0
6d16d198-c081-49f8-b0f7-4fb1d86bd20e	0	0
dfdb6cca-55ee-4491-adac-5ca3c27216ef	0	0
c311c26e-94d8-4c3a-82ae-e663dd402610	0	0
d519b1a5-3b63-4eb1-b5fc-e2b76d01cf3c	0	0
f9420c9c-c9cf-4248-b5e6-09d5e2abd501	0	0
498f0d44-a632-4001-94e4-910e9bc7c6b1	0	0
63922094-ff9d-4771-8e3d-4caecc2b31e9	0	0
9e94ca2b-e3f9-43ce-9bc1-dfe650a95e0f	70	5.83362499999999962
c48d90c7-61b6-480e-b4b6-bbf0e8d9d005	0.594125249072381956	0.0495145632924837223
8fb74941-91d7-4810-9707-5716d32c9202	0	0
72fb33a8-062f-4413-9f75-ac91da6edc6f	0	0
5df21245-0b79-40ad-84b4-565894e75fd8	11.1837229437229446	0.932054576719576811
5e9963e1-f222-4725-a19f-d35fb5ecf438	0	0
19fde103-d79c-476f-b0c8-ba8ead312f30	0	0
7f7fca83-6ea7-434e-872e-4df772e54eba	17.1436818181818182	1.42875920486111108
aae32fba-1909-43c8-b2d8-d650c7263569	0	0
1f0a0e07-c44d-44a3-8726-c6c95856a880	16	1.33344444444444443
18b4f8fa-a127-4e7e-9f50-56bea9574770	0	0
f2a40ec3-8fc4-45a9-b474-be6cecc538b8	0	0
813bf26c-bd72-4337-8574-b5de81f27b33	0	0
d80fd4d8-8e87-49c8-ac17-db089e7a6802	0	0
0decbe8f-f154-4483-ac40-64435add57ce	0	0
e8dd26ba-a087-46c4-ac98-2921333fc648	0	0
707fcde2-dbae-49f6-afc3-9ab7a6427fec	0	0
63027410-57f7-4965-b15e-5057005fa179	0	0
862ff5ef-c469-43fa-a83e-40b1b26b2510	0	0
9412c724-6ced-43b5-b315-c41cda3a5af3	0	0
d08b91bd-34bd-4cef-a6cc-8f0a27b49a41	0	0
c552f89f-8813-4ac7-bb35-b822b367c790	70	5.833819444444444
5cbb4166-20a3-4710-aa18-43147b6c1304	0.594125249072381956	0.0495193493014345829
59d3eeb3-6cb2-49fd-b5c3-3389bb26facf	0	0
1e24a883-2bf8-4378-862c-09bb5bfba483	0	0
b64934a9-6826-45bb-97db-b308fde642b0	11.1837229437229446	0.932144667821067863
2d22a9d7-20ca-4f53-a211-3187eacfa710	0	0
339fa97f-95c7-432e-8329-b2950c41da0f	0	0
37b3cc2f-d774-4db5-aeb0-5cc231c414ab	17.1436818181818182	1.42889730674242421
6aebad77-58bf-4e5e-8e5f-aea34c666e8e	0	0
c3dbb0a0-4ca7-4823-99b5-3b5c17c56447	16	1.33357333333333328
bc7203f0-edc4-4f98-b8b0-5cf6b4090e18	0	0
7a4b7694-fbee-4fed-823d-02be92312324	0	0
57557e5c-9cda-45fe-9fef-a86b0baba701	0	0
5439b877-f8fb-434e-9eea-a5bebac757df	0	0
fd4f4fef-cb4b-4337-9a98-33785c9a34dd	0	0
8e6165a2-a383-4e36-877c-a949c152ff7a	0	0
7c77c424-5d93-41f8-8da5-ef9a24e453be	0	0
6463e11c-8c56-430d-9de8-9e643f989b51	0	0
6199e6bd-f342-48fd-8f65-8511b3adff85	0	0
f7b86a22-e6a4-44eb-a1bc-62a4502a8611	0	0
46fdc3f7-8362-49af-a6fb-cad10d173b29	0	0
016ee525-6660-4dd7-87a2-8ecd3d800431	70	5.83438333333333325
73cf18c3-cb6e-4409-8fd6-25df154b2033	0.594125249072381956	0.0495079619008273603
7aab9476-cbb3-4c9e-90a3-d957be33f885	0	0
1a86f35e-9b19-4427-be53-51d112d5ac98	0	0
ffdf4c6d-dc6c-47f3-8494-db8bf20ceea3	11.1837229437229446	0.931930313131313137
568dda7c-1ea0-4c54-b476-0787f295f772	0	0
7b815eb9-0b64-4f2d-8c4a-319bf2dc2694	0	0
5bc41f61-d924-4977-acb3-f112b128239e	17.1436818181818182	1.4285687195075758
6167a47c-4e80-4ff8-ad3f-8aa74cbfcbc5	0	0
cfdc0292-4cbe-427c-a3f6-235ab0182376	16	1.3332666666666666
5d1d8f07-fd08-469f-8907-e4d78a604994	0	0
9dc4be91-6d77-41a7-89d2-e95ad33e637a	0	0
d88a6d75-75c4-4693-bcd2-032cf39a087b	0	0
0dfe1266-59ad-4ef7-a559-07072cd5e007	0	0
acd85f75-a5df-4851-8a2d-d4bd5a5c6d77	0	0
59f38c40-c4f8-4d38-a01c-696065079e50	0	0
2713d174-8eef-438b-97a9-5ae739ad7e11	0	0
ac2f3f01-86ab-425b-91b1-ed2f348c159e	0	0
bf7ce2c8-db71-4908-923a-f19f01ec6111	0	0
31dc0511-d921-4ffe-9915-d710885a60f1	0	0
8278dae2-e04f-4fa4-8afb-d1537a81729c	0	0
75b08a4c-0cc8-4f7f-b75a-d930d867ef62	70	5.83304166666666646
2735db09-a8c7-4712-91db-92f1b51a4bc3	0.594125249072381956	0.0495119227358211747
391810a4-1485-4242-ad97-e2d38c01e40a	0	0
228f5058-86a2-4b12-9053-2fe0aab57222	0	0
da3d6da7-4c3e-46e0-a144-9640e651973c	11.1837229437229446	0.932004871284271341
4b55c999-52c0-42d9-98d6-916c1b7cad4e	0	0
db4f7566-ea84-428b-a48b-ff5172d61eb5	0	0
210712f0-5180-4f4f-b012-39cc39102fa8	17.1436818181818182	1.42868301071969683
ec904ca0-ec84-400e-99fb-c9685be831ae	0	0
9ac5d250-969b-4e9e-a05e-827c2e0c72ef	16	1.3333733333333333
429c6c5a-23d2-412f-bed4-96e962453d6b	0	0
a2d8636a-c38b-46d1-9a42-eb19d6c659de	0	0
4b1f6f68-5224-41b0-9280-733210fc4bfc	0	0
1ad4feb5-32ed-4857-ac50-d8220163c3e6	0	0
f473906d-b976-4cb7-affe-9801286c74c4	0	0
29f32d75-5e57-48a4-802d-0be4c0b54650	0	0
bfd05ba5-c241-478b-a6a7-a1b2767cb2fe	0	0
c011fab3-8d96-4245-8b63-a3ea7e901836	0	0
f1882717-f802-40e8-a966-9fb3c75e34ef	0	0
01a32444-6dd0-4ff4-90ee-d2db9f6b20a5	0	0
b2f0dbf8-82e9-487c-887e-9ccb58df6848	0	0
a8b57d62-1917-4b47-8711-b04f27cc38ae	70	5.83350833333333352
045d1c62-8aa9-4e6c-b606-8ad9e9ee2135	0.594125249072381956	0.0495160486056064053
329a347f-2c0c-4922-aeb0-e55efe9abec0	0	0
2adf5321-3ec4-4cf8-ae89-62fd7a7524b5	0	0
9969924a-f8ac-4131-9554-b066e769cbc9	11.1837229437229446	0.932082536026936137
d115f2cd-fcc2-45dd-bde4-7d4f8b0f8995	0	0
a88157be-46f9-492e-8f08-afd648a6bcb3	0	0
091514ac-8140-4be2-9d6e-5f8f6220fa4e	17.1436818181818182	1.42880206406565669
97a41718-0329-4c59-baa7-9c825be631a5	0	0
9d5f1e66-4324-4cda-a0da-deab42d7595f	16	1.33348444444444447
b14e4488-d5d7-4146-adfd-cfc092ed1842	0	0
79338986-47af-4d39-b526-d244362f091e	0	0
2a01984f-2bc5-4be5-bf55-58304d14be6f	0	0
ed1eb856-0438-4c53-8eb1-fa01628cacc0	0	0
299bd1f7-962e-4bbf-97cc-d1e9005409d7	0	0
6e29f2be-0af6-424c-b7d1-c3b6a584c7f8	0	0
55a13d21-9895-4f93-9fdd-431943117f09	0	0
6323dd70-fa55-456e-a2fb-df481e337aca	0	0
608a365c-1982-4420-860e-b3e0e1df10a8	0	0
196409ad-d76f-4fea-8a7b-52c08fd899a9	0	0
33a2cdc1-e564-4e94-b4f8-69faaf022167	0	0
c975aa3a-78ce-4cd6-9cde-44924e62c10d	70	5.83399444444444448
b9c95bae-843b-4c58-8d13-93121017062d	0.594125249072381956	0.0495137381185266762
07841d98-17c9-4199-bb11-1fd06e2952e1	0	0
c787229f-fb5d-4358-a6da-2c9cf69f5675	0	0
52f80dc3-fa30-44d8-a231-845ab1559067	11.1837229437229446	0.932039043771043851
55b8eb28-90cc-43fa-9450-a5d86d84e85f	0	0
9c07d889-93a3-4a33-a64d-bd0796caa9c8	0	0
516b6e53-a264-4596-b1c3-7b7bf5c4e4fb	17.1436818181818182	1.42873539419191919
325ba9c2-d4ee-49fc-a4fd-53bcb8082522	0	0
3305e7d9-3b25-4777-8ada-230c84cfd649	16	1.33342222222222229
b1ecf84a-89fc-4890-a5a7-f634d8c35ec9	0	0
1dd29f6e-771d-44e7-81f9-d30b1fa7db9d	0	0
9d06debb-048c-4df0-a503-fd3a38889b44	0	0
040932dd-ee3d-44f9-b718-b49e2e41e14a	0	0
38db8b92-4fb8-45a3-a70d-da576abfd6c7	0	0
0302d5e5-be14-4b85-8ef3-58720bfe530c	0	0
3ea05057-759a-4301-b4bc-4fe5b2f26e8d	0	0
59e21fed-af50-4865-a427-1f691f7afaf4	0	0
fbd89233-534a-4e7c-bb3d-d96e35155abd	0	0
115d4e1e-31bb-4cde-aec7-3a6d18c6a43f	0	0
608c17c0-d0ad-414d-8233-a1ed54e991de	0	0
b604230d-2a94-4196-acc3-b72c291d961b	70	5.8337222222222227
824ad049-8c70-4fcc-9894-44e0f150eab6	0.594125249072381956	0.0495168737795634445
d2fefa2e-9fa0-4068-bff5-86724dd6ca4a	0	0
a6511afe-573a-4242-bc7b-2c30cd4286a5	0	0
66e3a6af-016c-455e-ad3e-343fdac2cf77	11.1837229437229446	0.932098068975468985
84b6bd6d-c76c-4b03-bb38-c62945d15ca8	0	0
62515bc9-9da9-4534-95fc-7c20664b5f12	0	0
dd43600e-9800-4ecd-8e27-7aa00ab9accc	17.1436818181818182	1.42882587473484834
7f680564-7eba-4559-ba6b-83482712f176	0	0
07542be5-585e-4103-adc0-b15206126085	16	1.33350666666666662
30d3870c-3ed8-4ca4-aa90-51b40aaa154b	0	0
e2189d7c-de31-48ac-aeab-d123cc7a3d4f	0	0
aec88365-6437-477d-aa7e-6e4fdee15dd5	0	0
441fb441-43d9-4845-840d-974d8f5fdbba	0	0
781f5ae2-73c0-4e01-817b-23becec30b9f	0	0
f942d22c-f493-44f1-be79-310d21e6a737	0	0
013131f4-a84a-459e-b9f2-efc4b1cddd0f	0	0
d0c90c8f-5405-4b58-b6c0-859558e3e225	0	0
c8799120-b0c9-4fee-8139-63c63e916726	0	0
18dd7009-d798-4b54-9e83-e929c9761049	0	0
88e46966-7c27-4b0b-8738-50221da95865	0	0
56f619c4-4c1c-466a-8336-490eedaf3e54	70	5.83409166666666668
7d192f3f-d8bf-4ec1-9013-84e9f69ea966	0.594125249072381956	0.0495117577010297655
73ab4c24-c2c5-41a5-b9bd-929a3e5ef63c	0	0
d7f12dd0-dcdc-4a80-9c9e-05c4be61dd40	0	0
ab8c8ced-53f5-45fe-a782-1f08284f1b76	11.1837229437229446	0.932001764694564749
967c1f37-0b77-4486-bc33-8f63deec531d	0	0
0a522572-4856-4aa4-8801-eee004b991ae	0	0
9737df4a-99e4-400e-b971-93d1e4337440	17.1436818181818182	1.42867824858585846
deb04de7-753a-4a06-98a8-ecf7d7c39a4e	0	0
04b5ceb3-43ed-424b-b359-7e6495ba06b4	16	1.33336888888888883
63351223-aeb1-4b8a-a688-02204c60f51a	0	0
6fdb31e7-c828-4e03-badc-0187ba90abef	0	0
1c412cff-ace7-4f83-834b-d46621b30e2b	0	0
7ae13791-21bc-4161-aa92-eca8b3f275c3	0	0
2769d65b-b790-4078-863e-3ee97750a489	0	0
fe8c3863-ca36-4d04-bfde-6e054d673ff7	0	0
07101e34-7874-4a06-87d6-2526cbfb66e2	0	0
0160e846-c1e6-4cd3-987c-6219001f01c6	0	0
8b6b107e-c981-49d1-8675-42973ddb6a09	0	0
a2d309be-eac9-4a85-835d-04b6b5a25f38	0	0
689733ff-86d4-498c-9a83-df0f049837f3	0	0
fb080fb3-37f2-4abc-b9db-fbe1f53166db	70	5.83348888888888872
1f29385d-6079-411a-bf8d-e78e56591f07	0.594125249072381956	0.0495120877706125839
9e60209a-9247-4cd8-af19-7f9a1a4104c5	0	0
876fe0d1-dda3-44d5-a88f-de35d2bb6a8d	0	0
e8346d91-2b00-4ec9-b12f-ad5c7af08aed	11.1837229437229446	0.932007977873977933
883d4aad-11e4-45dd-a80e-68059030e136	0	0
02331667-c31b-41a1-8ad9-761fa9f03b43	0	0
8a23c6a6-f151-4d2b-a571-ede52a1264aa	17.1436818181818182	1.42868777285353543
659b75e5-eb66-4730-932e-97e3340cc417	0	0
3c51569c-3a67-4a59-864a-2320f8740310	16	1.33337777777777777
9a5fad69-3b6c-4d49-988b-269b76bfe905	0	0
d297fa47-d68f-492c-bc04-c7cdbecfdd52	0	0
562c95c5-3c86-48e8-acc6-4b12af110e89	0	0
23f082ed-4f6d-48c7-b6b9-fb22f9086dc4	0	0
ec79efb4-14ba-4e7a-a64e-4d279cf77052	0	0
222b883c-4b42-4e3d-8d93-23a258927309	0	0
f3e28ba3-889e-4c14-a89c-a2d651844825	0	0
f9a30b24-1b78-40f1-9e2d-293ffcd35c4e	0	0
a88035db-bfae-4cb1-aca3-d5b47c9b3fd1	0	0
d89aa620-fac6-463e-b8b0-71bdfda99817	0	0
ca17b3f8-0503-4312-8b39-53a0be315979	0	0
027e2520-29f1-40de-acc1-403b963c0a47	70	5.83352777777777742
a229c21c-b782-4570-b0be-f3ab227885de	0.594125249072381956	0.0495135730837352669
e938b113-8c84-42df-b540-cf983ddcf8b9	0	0
1729a373-bdcb-4f48-920b-a275603739ce	0	0
4ca85ce4-7636-4374-a80f-3ce7802e8a6f	11.1837229437229446	0.93203593718133726
94e501d7-9a03-4359-9492-4697d29eae53	0	0
7f68fe92-5545-4cf3-be38-f4f416553b52	0	0
92a87ad5-28f2-43fb-84f0-5e03907e6422	17.1436818181818182	1.42873063205808082
0d14c7d4-8f3b-4092-8680-417836550cce	0	0
3d1cb77a-13af-412c-b5a5-4ab706a486d1	16	1.33341777777777781
bc61d4e0-a889-43a3-a0d3-edbbf2064c7e	0	0
e0a21ff2-74ad-436c-9c6f-e995e84ff9f2	0	0
48b5c3a9-268d-4024-8f50-6ea997b19106	0	0
cae020da-8d7e-4334-9155-c34be9d5f34a	0	0
c5d68627-f3de-48d1-96ab-7c277004fffc	0	0
42809ff6-4f1e-4164-9f0e-c7f27789b833	0	0
64b6cc1c-96ca-4852-bf51-c039da8e6861	0	0
5f47379c-3376-4938-8064-c0af6106c65e	0	0
9c1e60e7-e689-4ebd-86cb-cab135caee15	0	0
5eab88df-8414-456e-ba4f-28abba364a96	0	0
c653b465-3838-4564-903c-19de45583ea5	0	0
a79e187b-e978-426d-840f-338b74ed647d	70	5.8337027777777779
a17470ab-79c9-4397-b8b3-024a673c9b70	0.594125249072381956	0.0495180290231033091
ff9d3a8b-8869-4e09-b101-ad9b5b8b3c8b	0	0
9f50091d-c681-4591-96c6-f33b1e44c325	0	0
742f02fb-3147-4c1b-9c18-14e3b738f803	11.1837229437229446	0.932119815103415128
6ec625d9-985a-4d41-8db6-1bdee2f31831	0	0
6c953309-fd04-40ac-b4e9-160c12fb2cf0	0	0
1ec067ce-732b-4d2c-a20e-d4f45edc88f9	17.1436818181818182	1.4288592096717172
a7153892-0422-4644-aef7-8dbd6619d8cd	0	0
d397e0e4-46e2-40dc-9896-a1db1ec4e0f5	16	1.33353777777777771
88c57045-220a-45e1-ae89-fc5056ae72da	0	0
60c61789-6ca2-4741-97f6-6c00af14d5c3	0	0
50d287e1-7817-4923-87ca-3fd5b43cd058	0	0
bd179c97-636e-4b9e-a605-4cdba4940aee	0	0
4d0aee73-a838-4317-8d13-0fcffbfea955	0	0
9ce77ff8-6f69-48db-b2f4-f1d92a21ea53	0	0
510048cc-cf2d-47cb-b93f-75de024c2cee	0	0
2453d8e1-4c73-483b-b130-8eab5a88969d	0	0
5e36a5ea-e9f9-44a3-953d-61be5258e4ae	0	0
79ee3e32-c68d-4169-b2ae-45d22eb30cec	0	0
29c4911f-7fff-499a-9068-f613f484a596	0	0
23aa2edf-4de0-417a-b1be-51248d4cca95	70	5.83422777777777757
bcff788c-7f20-4425-b1ba-2954069bd654	0.594125249072381956	0.0495097772835328617
0057075a-0dc3-49b8-a5c6-3151cfd9e79c	0	0
650605f5-00b6-4753-9018-2bca8e1634f2	0	0
4bcdddd7-d480-44e0-bd90-4b0baa152786	11.1837229437229446	0.931964485618085758
de09f3d1-3b1c-4284-b723-1ea8903464e9	0	0
b1c096a7-fab3-4498-ac2b-47eab266272e	0	0
7c3aaebc-52c7-45a3-8804-3afc9c6fcf10	17.1436818181818182	1.42862110297979794
8123cc6e-5abf-4a57-930a-bfb81dd9cca8	0	0
ec51fbf3-eb6d-4f99-afb0-bfe181a85038	16	1.33331555555555559
9c1ca642-2bd9-44de-adfb-de105dff0be2	0	0
4506d3bc-de1b-49d9-b000-7f48a27bb162	0	0
d46e4c30-5933-4002-954e-29af3ddcbc3f	0	0
b5b05437-f71e-4a41-98cb-bddf329942bf	0	0
93b66dfb-bf97-4836-a94d-e789c345ebd4	0	0
5be69a34-aecc-4091-badf-1398c862dde2	0	0
e59640fc-519c-403a-9af1-f0f9402513c2	0	0
b410ee75-ad31-4460-ad05-f93f8fed3a78	0	0
1b835872-9a5a-4864-b767-03cdc18346dd	0	0
1895b200-0677-4d7c-919d-519bda472c76	0	0
df11b489-5dee-4cf9-9090-3f929f52cc80	0	0
8be65221-f5de-4634-ae34-76cc9d2accc7	70	5.83325555555555564
e255cc78-3193-47e4-8f8e-4cead3d5e3aa	0.594125249072381956	0.0495142332229009038
5a263f86-1b81-4197-8ee6-82bd5fc15583	0	0
4a8b6422-2a0f-4daf-9130-dd24882c6425	0	0
c9f8e0d6-63e2-4f3c-84b3-a8d59437395a	11.1837229437229446	0.932048363540163516
bc31af1e-f6fb-494b-ad22-7a3cb3a4d7d3	0	0
d0e59f88-9f5b-4b13-9636-b945671a7464	0	0
123036b9-fdb6-4915-9955-b7425d9ed7b8	17.1436818181818182	1.42874968059343432
49eb7eb4-9452-46bf-bab2-dfa1374870e3	0	0
927edcf4-2d7b-4fe0-9f43-3afdfcb533aa	16	1.33343555555555549
3035e911-ef93-4c33-9e93-8faa0a86021f	0	0
5ec11404-13be-4639-a957-74dabcf077f8	0	0
5d3ede56-96bf-4998-8495-f8ac192ec9ab	0	0
5f8a44ca-bb3c-4a6c-87b3-0b5492e64ab4	0	0
577c3e62-a41e-47e2-93b3-921d0ab30a7d	0	0
03ee8761-ed38-4fdc-92d7-a864a4766c9c	0	0
10e2a343-1950-4449-a0be-c9d69b51580a	0	0
81b67a47-e954-4cdc-a08b-0098d2b0088f	0	0
b42b918b-372f-4231-b785-5438b33b43d8	0	0
8b3dc179-d2b5-4732-8b75-7187803da7f2	0	0
3766d6b1-f706-4bae-a878-f638421ea01b	0	0
20c3d742-5f72-4eef-afb9-c79f406b2a4c	70	5.8337805555555553
f2f65c6f-fed7-4154-bf8b-b22e750e25af	0.594125249072381956	0.0495153884664407615
20cedc54-1a5f-4483-b8da-91117e3ef975	0	0
48e5e023-cb86-4d9e-a696-c6381e42291f	0	0
62af94e7-ef41-4c6a-ac93-9c751c972b56	11.1837229437229446	0.932070109668109659
00651ece-009c-4330-8e95-4c7f43970ba0	0	0
4eaaa21b-8270-4a42-a529-7c514de3de68	0	0
a72e0411-6253-46f3-8ab6-5b9b391c52c6	17.1436818181818182	1.42878301553030296
0c5fa713-5085-4545-9fca-63fe51bde1f1	0	0
9075e0e4-0075-443e-81da-fec3467407e0	16	1.33346666666666658
02868fa8-69d3-43e3-a08f-d8a52c578200	0	0
c367fccb-e2a1-4917-b24f-23f384dae069	0	0
a38d7f7b-e082-41f5-b890-a327d2a7a062	0	0
a512643b-a307-42db-a659-5ac1bddfc811	0	0
20faec03-1fba-4799-bede-bd9eda3affcd	0	0
9b247322-9724-4b82-93e6-259ce16e329a	0	0
8f2dfd2e-973f-440b-a63c-105424356604	0	0
71219736-4cb2-41e5-9f60-407a2e21520a	0	0
7f294245-4d19-429f-aa45-fcde7591d576	0	0
ad9293af-1031-4b30-a74c-f560e8595b23	0	0
0ee93b57-2813-4147-8c3e-132c207e442b	0	0
b6765138-c025-42df-b561-0a63fe2231a6	70	5.8339166666666662
ad5e3d9b-5a26-4b0b-8e1f-b7235f445259	0.594125249072381956	0.0495148933620665407
ccdbc1b9-89d6-4408-830b-987750607a5a	0	0
44fbd5d4-16be-43fb-8a54-58c473c8231e	0	0
3e2a7913-f2f4-4435-93f4-3f49aca4d866	11.1837229437229446	0.932060789898989994
3e122b1c-93c9-4d8c-866c-d6abe89783ba	0	0
d39ab708-bb98-4df5-bb22-2df7fd162fd8	0	0
5d207a0e-b81d-4296-a397-ce9f2ae71ada	17.1436818181818182	1.42876872912878783
b1272e5b-9ec3-491f-81ac-f3a68148c6ba	0	0
1d0a6d15-0495-4dae-a934-d1ef321d072d	16	1.33345333333333338
32cd74ff-5458-4e0c-bd39-479540ec3ae8	0	0
75b54fda-6f0e-4b63-9c6f-0d2607d82301	0	0
b78a198d-c75f-4a3d-88cf-f2bd5725821e	0	0
0ecd3b6a-cc60-4200-8315-d72055d9f830	0	0
579230c6-f625-493c-8dc2-7661c2a4efe5	0	0
b6eec0c0-e59a-4d6e-b714-34030a1da143	0	0
2d44a7ab-0942-4968-9b67-905f8164d783	0	0
13f8e542-629a-4ebe-8345-1664133c69fc	0	0
534cb518-f166-405c-8cd6-09b108c8441d	0	0
621d856b-bcc2-4230-bb38-79a20cfe1430	0	0
a1424402-0a2a-4567-a211-92e077601559	0	0
daac8496-bfb3-43b6-8cd0-af8f955e22e2	70	5.83385833333333359
82924f50-4bdb-49c6-8d25-dc4d2fd426d9	0.594125249072381956	0.0495139031533180854
3ae599fc-fc42-41ad-848d-620c18660c34	0	0
92749b57-fd8c-412e-883e-4e89be359d2e	0	0
db2a72b5-ffd7-4fd0-9e79-5c0cb811db54	11.1837229437229446	0.932042150360750554
6584c4b5-85d0-45db-b42b-34d44c5c94a3	0	0
d111a626-8364-4c06-804d-79c4e182d4f6	0	0
75a3d128-84ac-4cce-8b7c-5e753652af34	17.1436818181818182	1.42874015632575757
94e5708b-4865-49d8-9d9b-7f2c1ea6cc7f	0	0
b280b000-599e-4c39-a93f-97dfd495c805	16	1.33342666666666676
157c6e7d-42b9-4883-b796-68c9f3e39fea	0	0
a80c7548-f610-46e8-bdf5-65730233e938	0	0
5bdd707c-a6ad-4cd2-83db-cf96e53f08cc	0	0
f10a3292-e89a-49c4-bdfd-74b4117ba9b9	0	0
46e92292-5066-48cd-80ca-a192824e6644	0	0
f1d4b454-d4a9-4714-9ee7-545c41921795	0	0
0e8f616f-f157-43df-ab06-731a706f61a8	0	0
585b528b-c853-4f84-a176-69679623e211	0	0
1b1b9841-dc44-403a-9f4d-6a0579110cad	0	0
2e8027b1-717d-47c4-b2a0-30e9728b1873	0	0
e7e5886f-f005-4757-ad53-31685c95560f	0	0
e4ff3b42-80d9-4051-a7ba-3eca6ea55c56	70	5.83374166666666749
26dc04f4-eeb5-47f8-8f92-12f346f57a9c	0.594125249072381956	0.0495104374226984917
edb5c5da-fdb8-406f-8229-45ad4c9641cc	0	0
57aa61e7-e54d-4f94-81ad-4ccdef4ad3a9	0	0
bdf4af77-6a72-4032-bc50-84e1cf1e5f4e	11.1837229437229446	0.931976911976912015
16332d11-920f-4319-9178-3dbcc71201da	0	0
376ecd02-ceaa-41f3-938c-e21457ff6559	0	0
5ff33614-097f-474a-b4b8-530a7c446418	17.1436818181818182	1.42864015151515145
025ef81f-b0c6-4754-a3ac-bee825959e64	0	0
dde8cfc2-6892-4356-b7c9-b5a8c55e8479	16	1.33333333333333326
4c8c51af-d1f1-4652-b267-b115c37aad4c	0	0
a44122ec-f694-4b5c-9907-c3e42c4f7896	0	0
607db4af-d93d-494f-b183-7dba90448b1f	0	0
fe3fbdaa-3f7f-4362-9cf1-d9d2ce9bf56e	0	0
6fa8ef35-be33-46d6-b3d0-cf0cddad0b13	0	0
696ada5f-c594-4468-b875-8bd039d22159	0	0
69d337b0-0ee5-4c37-8a94-dcd3bd786227	0	0
5b1587ae-fec5-472e-8e63-f350cadb2eff	0	0
71f8b1a7-6d31-4b09-a340-859b3603edbf	0	0
f3f4cdd7-4e5a-465a-98d7-0a245415fcfe	0	0
4b3382bd-3841-4684-a9af-eeb4d310aee7	0	0
e5f41ae9-67d5-42c2-89e9-48822f1fd47e	70	5.83333333333333304
87e3e73e-d227-43e5-8225-4992fab2471f	0.594125249072381956	0.0495157185360235799
afafe750-7269-4d29-8d81-d75b8794b621	0	0
b93524b0-6bbd-4e21-af4a-479c78380a2c	0	0
7e9a445b-3ec0-4aa9-ae0b-9736b99e8943	11.1837229437229446	0.932076322847522953
c967b9c1-326b-40ab-a35f-8a714aba8e80	0	0
b57514a6-3159-46ed-9ae2-31bf2f10f1c9	0	0
6780c0c9-83bf-4eb2-8331-640cbaa37c9b	17.1436818181818182	1.42879253979797971
e5421c6a-f11b-4700-b09a-5465c6ffe30a	0	0
f18c7c7b-4ce0-4fd1-8595-967868fde830	16	1.33347555555555553
e98a5d25-d7dd-4e79-b82a-a11d41ee3dad	0	0
6801dedb-d06f-4cce-8cea-eb1512b81fcc	0	0
53deff5e-b5b0-4b94-b83f-f9805b2c957d	0	0
200f4189-1fdb-4d57-aa7c-59dde0fc065b	0	0
a418e106-de49-4f85-a618-b9083c05da8c	0	0
5d6bf108-0d69-4e89-8014-2f09b667c91a	0	0
0a882911-a3b2-4670-9c66-c16e97625938	0	0
13e63ee8-5662-4f3c-9ee8-b1c1ce187a83	0	0
87c06f22-2fbe-413d-ae9d-c21466efd122	0	0
a0a384a9-b51b-4c43-bb21-7990649e53ae	0	0
20ec9643-fa97-4757-8fcb-92ad2f048e25	0	0
6d58e002-e331-489c-b675-55938c557525	70	5.83395555555555578
1ec896e1-0e69-4f2f-80da-f4532dd7747d	0.594125249072381956	0.0495127479097782208
d121a9e3-8500-4bcc-a48d-64b55cf01a6c	0	0
e3ea0625-a804-40a7-a18e-5d1fb36d9fc8	0	0
206073e2-c358-4d0c-8aaf-2141c05966f4	11.1837229437229446	0.932020404232804189
d691fd00-89cf-4fec-80c2-66faff56802c	0	0
2586156e-9fb7-45d6-be7d-d991de10420f	0	0
de56e17f-b542-4db2-8dab-bf9960b2d68a	17.1436818181818182	1.42870682138888871
9ad0c69d-39af-4cf5-acce-122aa3c61f16	0	0
455ea77c-0d57-4226-8e06-074be59f9a1b	16	1.33339555555555545
72eb04cf-1a9c-4fbd-89b2-14411afd7aa5	0	0
06eec1f8-59b4-467a-b6b8-a9eb5881b564	0	0
8e9eb437-84be-4fa6-9170-bd86099525cd	0	0
110f37a8-f67f-48d2-b9ad-33714e6bc010	0	0
74667495-d366-4f0c-9f23-3103a05e0195	0	0
2533919c-8d7e-4634-ba6e-b7ca93975255	0	0
44cfb1f4-423d-4a9b-bb79-d6700e35a072	0	0
2743bd9a-fc64-4596-bb69-2ff8e24c0541	0	0
c77c760a-bc2f-423e-8b3c-24051e4989bf	0	0
f78e9d0c-beb4-4414-91f6-fd4821f222d5	0	0
8fbd2b7b-5adb-4d5f-a85d-36c991a5d08f	0	0
7daa5df5-b67e-4dbe-bee9-8c41cf08ce45	70	5.83360555555555482
2b1f7045-2fbe-4a30-beb3-bdd7719ec3e4	0.594125249072381956	0.0495147283272751315
14a97f9f-22b7-4608-aed6-a785710a9bae	0	0
d7904390-7ec3-4e8b-a82c-f73fd4f5a531	0	0
a008e6c8-8e58-428a-9d39-ee0b94cfecae	11.1837229437229446	0.932057683309283402
4670a00a-161e-420f-8ce8-6a41fe92eba0	0	0
2fefe9c4-e4e6-44f5-8fae-540a5f5fbb03	0	0
941408ee-3f5d-448c-ac10-1329ef669ef0	17.1436818181818182	1.42876396699494945
3ca94dd8-22dc-4663-8c5f-b018021eaaea	0	0
c58615d6-776a-4dd5-85a7-b86b9352ee5d	16	1.33344888888888891
8846b328-8359-4972-a849-20b4f12b153e	0	0
ee793d74-bf3e-4eb5-9afd-98467fcf9853	0	0
36d60f96-721f-42d2-9a57-d38fcae646f8	0	0
8105d0fc-ea72-4236-8084-f52d5daa844e	0	0
894aad26-08c0-446c-986b-c462fda41a8c	0	0
f23976af-eac5-4867-ab0f-0d5eb77fdfdc	0	0
7818599e-cc13-4a59-abd3-5ad170343f85	0	0
69936d57-0dcc-4d94-ac56-711dd73ec4aa	0	0
b49649f0-771e-4b2d-8191-c914ca7f842b	0	0
0984bbbe-a8d8-49a2-b0a2-c7a868fbfb9f	0	0
b11373fe-9a87-40bc-9fb0-f51a9114fa53	0	0
d0122b8b-3854-411b-aa2c-501422bb8a31	70	5.8338388888888888
e0f5216a-fac8-4848-83da-3833b6106cfb	0.594125249072381956	0.0495089521095758225
8f1833dc-26ce-416a-93a1-065a6c9af6ec	0	0
35f99e4c-e992-4f57-9a7d-ede18e162cf1	0	0
dfbce5bd-e833-43b3-ae99-e816d29adcdb	11.1837229437229446	0.931948952669552799
5e8f846d-8672-4c46-8694-4c00d1167ae5	0	0
07876f91-ad16-4fef-a243-961bb81f5215	0	0
2c06d015-2ce9-4ad0-8eba-75423a48bd80	17.1436818181818182	1.42859729231060628
e9d4c6de-3f7f-46cf-835e-52bc0d16a6a1	0	0
aa1ce06a-7368-4f8a-a02a-ec4a7f00d3b3	16	1.33329333333333344
7fb1d82a-1c66-46e0-8757-d4b62f9c613d	0	0
e26ed478-e0f7-46ca-b74c-69d22c791e05	0	0
46fa6050-1c13-46a1-bb3a-cfa45e119edc	0	0
5f4d3ee1-e398-4769-8fc2-965924fcfa99	0	0
01b0038a-130c-4cb4-86eb-2ccc0601dc7b	0	0
a6f58473-a7bf-46e2-86f9-91fccbdb7363	0	0
46614ae5-a937-4261-8887-4e716021b824	0	0
2f370f4a-8766-40f4-ad1e-a7a82e1d8e3c	0	0
4b1004f4-0b4c-4932-acba-dc217b885855	0	0
5797dacd-9530-4c3f-957b-9241b570c434	0	0
5f1e6eb6-50ec-425f-ab4b-029828b7bfe5	0	0
8c139f47-9f7e-4a3e-8be3-47274077f4f1	70	5.83315833333333345
254850c0-af35-4b9d-b1d0-25de0b474b96	0.594125249072381956	0.0495110975618641355
b98eb138-63a7-498f-9923-7b8b82468559	0	0
0dfd3c96-658b-4558-9685-717226ee2951	0	0
fb200a50-2823-4127-a7ee-e88517205bd7	11.1837229437229446	0.931989338335738493
bfebb088-9772-4e2d-b272-3c379997c4a2	0	0
8bdae6db-1d2c-4305-ac91-4f344da62a1e	0	0
f35321ba-9594-496a-a4bf-3155f1e2b475	17.1436818181818182	1.42865920005050517
47f5c443-8a5a-4f34-8057-ccd7f1d5d6a8	0	0
727682af-87b3-45be-8a36-707f3ff8ca9c	16	1.33335111111111115
a7538b29-a440-4346-a3c7-cea8d76d3c4a	0	0
4b50d30b-de66-4a42-b6a2-8f2a37485dee	0	0
3f2ec47d-0c77-4f6b-b6d2-63e802de8edc	0	0
aa66c2ad-32de-422f-8727-a42aaf030362	0	0
c992ba90-40cc-47e9-ad08-3e9eb933e3ac	0	0
5cde2992-275b-4af7-bec0-ee18710cf27a	0	0
bceb9062-a63c-4573-aefa-063e3fe46dd2	0	0
773622ac-7c27-4817-870b-2ab263214bdf	0	0
beda61cb-2b38-4bdd-95c3-49511dee59ea	0	0
4d9da5a8-69a8-4f08-97e4-c53669f6c7a9	0	0
fdc0b8f9-da5b-41a7-9914-b115c0075ce6	0	0
74bdbc2d-45dd-4da0-b519-4d459751d158	70	5.83341111111111132
87d8b663-942d-4d8a-bf80-321a9ac6bdea	0.594125249072381956	0.0495183590926861275
54c8d7ea-ba77-48ab-9d67-861ef61c4451	0	0
339cff4b-e22d-4be0-b362-a8861af50c1b	0	0
5527a53f-6fae-47e7-918e-c1f4e21553fa	11.1837229437229446	0.932126028282828312
d21b4f11-7a6c-476c-a43d-1e7e6dcab47c	0	0
1bdc9489-a161-49db-8742-b101f8f7cda0	0	0
12517c91-d7d1-430c-884a-fd600b3b102b	17.1436818181818182	1.42886873393939395
465a93ad-a69a-4a54-ae8c-335b896c4b3a	0	0
2e40da3c-0352-4d43-b909-54ae50de87af	16	1.33354666666666666
d9f6eae7-635f-4b47-b551-aa04120e9820	0	0
43cddfcd-254e-4f0a-9d92-14b08156c08b	0	0
3f0a9d28-d0df-48fe-a2e6-2c422a8e6e97	0	0
3fa07f34-0aa4-44bd-8df5-e3b021348f7b	0	0
ed28f134-087e-4078-be74-ab33390f3dcd	0	0
9c97dc22-2643-4da7-b0f2-b0d3f673df35	0	0
6fd75ba8-dfb4-4bc9-af2b-3285c033a59e	0	0
35f3f383-b91d-44cb-bbd7-498b5b9ac0d6	0	0
6175750c-5020-4f84-9b31-cc3856bbce12	0	0
f96f12f3-b464-4e3f-900e-6952a1df6ff7	0	0
a5b4355a-9879-4f34-a28b-771056e38bed	0	0
9df8d6c0-dbc9-4099-a03a-c55c319f14b6	70	5.83426666666666627
a8523c19-348a-4ed9-a70e-05984b5307a3	0.594125249072381956	0.0495127479097782208
e0d63ef0-b6be-4e11-a0c8-3ec3a33efc79	0	0
f8d495b0-5bd0-4268-82d9-7d25292ccebc	0	0
6d3d3d63-2cba-46e8-a561-a1a7c74d7067	11.1837229437229446	0.932020404232804189
e83d98c1-5277-4988-91e0-92b8c7fb2889	0	0
3c6ed6b9-eced-452e-8331-96cd83435cd5	0	0
b1b38005-074a-4020-8cb6-6a15abc059ca	17.1436818181818182	1.42870682138888871
1de87879-3ef7-494d-ab11-55ef5cb4b257	0	0
93c2e3f5-c096-454f-9801-7d783252b2e1	16	1.33339555555555545
7d4584f4-d887-49fa-afcd-06116a0f18ca	0	0
6a86f9f7-8ebe-4763-892e-64c9dd0646b9	0	0
bae692e7-3442-4be3-80dc-d4ddb5bf851c	0	0
4176ed1f-a59f-4442-a77c-82038dc1084e	0	0
659ac569-4065-414a-94f3-9b4ff6e22ffa	0	0
7d4e43a9-fdd8-434a-bd94-8768728aa89d	0	0
2feffe1d-74fe-4e3f-acce-57ed8a676758	0	0
bb8da5d1-0932-48ff-8950-1230bc4a71c8	0	0
bce91dd3-51ee-49de-be8f-a327014471dc	0	0
269af391-e1d2-4901-b5d4-d2906b7a39e2	0	0
9df07105-9e0a-42eb-8aaa-6b640836d8f2	0	0
17686ac2-b4d3-44c3-8100-5c686547869f	70	5.83360555555555482
b3309fdb-b3d1-4182-8f77-9542bab49f92	0.594125249072381956	0.0495143982576923131
23646eea-086a-4f1f-8033-e1c8d0469b0d	0	0
b72d7b99-974e-4e3c-b964-244f4aa8c119	0	0
8563b3ac-791c-4a75-8962-6498f900d88f	11.1837229437229446	0.932051470129870219
c61f844a-7bb0-4e34-8fd7-c1c0fc826a98	0	0
ac5251f0-7d50-47a4-9664-eb97f09d112d	0	0
2222d5ff-8d26-41e1-9f7e-611fb60d91f4	17.1436818181818182	1.4287544427272727
c0f5bf1b-3318-44a6-b36b-2ccd943f5f6d	0	0
6c7a5468-8a99-4e89-94dd-d0be062512af	16	1.33343999999999996
2465ccee-c1b2-4c6a-bc99-ff82a78f2aa0	0	0
4a34ee50-9d91-4a6b-8b44-f6729724ba34	0	0
ef2bd3d2-0d39-49c8-afcc-f7060ca6f93d	0	0
0471b9c3-90ac-498f-a092-35f1514d76d2	0	0
59eaba9b-227a-4997-91da-98df3ad4c47b	0	0
1ba56e39-0084-4967-9b91-2b8c1136d6b5	0	0
4ab974a6-d9e3-41e9-9af1-b7138eb6f089	0	0
9ee153f2-66bd-4b22-92bc-87d09728dd3f	0	0
7b07f9f7-b133-4576-87f3-e3c969ab1aaf	0	0
170561b2-1125-4167-ba6b-204ac0c61076	0	0
462d5bed-209a-4474-a029-3d8157b84d5a	0	0
46e1f82e-3193-4366-8278-37c09d10a088	70	5.8338000000000001
5e3f1b40-c593-4b29-a0ba-9b9aa05c7b90	0.594125249072381956	0.0495143982576923131
e195c61e-34fa-4e99-9717-2e688a4965fb	0	0
38ebdd67-29bc-473b-a120-8053f281399e	0	0
3ad54cc9-14ea-4d1f-ae86-fe00db78314c	11.1837229437229446	0.932051470129870219
11b56d09-8af5-4ee3-9449-22b7b40772e9	0	0
d296aae2-21e3-453a-aea6-59427bea4fc4	0	0
b6e49108-28bc-4339-8168-9c9302398720	17.1436818181818182	1.4287544427272727
e1c5b5ae-8158-45f7-893b-94beccd4c35c	0	0
aa234e25-9b8d-43d9-bbce-c7e563a5c27a	16	1.33343999999999996
6208f49f-af8d-485e-a36f-62c6d99b4a4f	0	0
7c7d9e27-c7e1-4336-89b7-3434d2717d78	0	0
cfca26b3-d218-4ccb-a9b3-b9b256cc43d0	0	0
e29e2a1c-8784-4bc0-8eb2-6df333cd248c	0	0
8ae71f1f-36f2-4549-aa77-2cff8255cc16	0	0
aa7c27b5-4e37-4bf7-bab5-6997803b6e4d	0	0
f6364ddb-d442-46a5-b344-9474cd22fd4b	0	0
a65dfe50-3818-4b6d-ab8e-90770143161b	0	0
b219d758-f511-42cf-8ace-f43b533e4308	0	0
28223338-eec4-4054-ae04-66e703e0f008	0	0
e9a5b20f-b9bf-4753-beb2-d06a9772f5da	0	0
721d6957-eae8-4e59-98cc-c2ad4bae185e	70	5.8338000000000001
0dd68ab9-763e-42a1-920c-43dbcc7d618c	0.594125249072381956	0.0495615982080352888
0c1eeeb8-ef18-4f99-92bd-545d6f7c64ac	0	0
85f57283-2515-4937-bcfe-824816cec1b6	0	0
4bf6f192-6379-4b64-98bf-3807bba8edf4	11.1837229437229446	0.932939954785954928
d3b944bc-cf32-4140-97a9-6b5751367c9b	0	0
d1c29ea2-f251-4750-8b9a-54ccbcc7401f	0	0
f672c9d0-7f0e-46d9-8018-50e4dd6ca7ce	17.1436818181818182	1.43011641300505055
cfb9b61c-4357-46eb-8be0-cf9c6e44db81	0	0
89f35135-0e33-430b-996c-7b4f73b53509	16	1.33471111111111118
20958a25-5fa3-4444-a707-7b17df6ddf61	0	0
872c0b8a-3b47-4bf4-b76d-08ab4f36d5d2	0	0
2f774589-dc6b-417c-a5eb-90bbc7db4730	0	0
f2bb9b77-7ea3-48d5-8e83-5706dff18ff2	0	0
f98b0274-5805-4d70-af38-fec268df2d96	0	0
09215d07-065f-4e3a-a6d8-8f82e8509aad	0	0
34f5adab-e9f8-4947-b68e-2cb2daec838e	0	0
81f1412a-b519-4a16-b9be-f3e72fbd52fc	0	0
a749b63e-3ac3-4784-9a46-7269b5e807f0	0	0
102ddee2-8004-4f7a-929e-9868406efbb0	0	0
078bc2c1-745d-4d65-b585-49175548d5ea	0	0
3472478a-5c58-4e5c-83e6-f6741ae342c9	70	5.83936111111111167
cff690fc-d086-4e86-b52e-85d2db4046b8	0.594125249072381956	0.0494647227854782059
a247e87a-ae70-49fa-bbe7-4ee0f62a0827	0	0
1b78b49a-71ec-42d1-9fb1-36c40f1ea8d9	0	0
1aa89168-8ae1-4797-a098-0599ab1a2db7	11.1837229437229446	0.931116386628186743
ff6b3246-fbdc-4a7c-a655-0ab55256df25	0	0
fca9659a-04ca-4d99-8648-e45a1207a958	0	0
b41c8888-f986-4ac1-83cb-2a2168dfaff1	17.1436818181818182	1.42732104044191921
eb319fa9-1f6a-4a3a-881e-b8b4cee7fe75	0	0
4f5984af-f57a-4b80-91f7-506f3429528d	16	1.3321022222222223
71ad624a-5f87-4768-96d4-a832ee2c8ef9	0	0
c3a8ea8b-89bb-4895-ab33-21fbbb099cb3	0	0
9cc2f707-4078-4e10-9bdb-ee87e017c16f	0	0
d53a45b1-ae14-4e5c-a37b-c70057e24403	0	0
8e777a40-306f-4907-839d-e00954db6cc3	0	0
e0f63e5f-0740-4633-9438-bc87f2fca2e9	0	0
2993b007-bfde-4cbc-91ef-d9e17ce0e6fa	0	0
c296da0f-a8c7-4b8c-88aa-ca4af45aad72	0	0
5957fb40-87d5-4564-bd7f-cbc3f679b2fb	0	0
37d67874-afb2-4113-b55f-e3222fb90452	0	0
80fcd98a-632c-446c-b30b-40d204325edc	0	0
0a5cc23e-87bc-4c95-b441-4c2625bc4ff4	70	5.82794722222222283
c97ef5b1-3896-484f-ac18-325b61b7c3fd	0.594125249072381956	0.0495140681881094877
464f4285-419c-49b2-b8da-400e5639a4bd	0	0
b2749b41-f6c7-4734-8180-1dedfddf7451	0	0
95b60c20-8215-4389-af2d-033df6798b21	11.1837229437229446	0.932045256950456924
604101c6-4d95-44e2-a914-92763d8fb8f7	0	0
3f55cf23-2dcf-4d3b-b527-f8311fc4c865	0	0
32b87631-5f6a-423b-8b2a-1da92548ea49	17.1436818181818182	1.42874491845959595
2a98ddbb-54c4-4e60-94d4-4d4b599dd395	0	0
8eff2b53-f365-4e9d-838d-87bc07255458	16	1.33343111111111101
20784a96-1820-4768-9879-ab730aed5391	0	0
d679393f-8bdd-434e-871c-c73a0915bdd2	0	0
c06f639c-92a5-41d2-a541-c175f8723654	0	0
c058b1ee-34b5-40cc-aeba-be3a6eb4250d	0	0
f58e02a8-7735-4505-8025-bc07687ecb4a	0	0
06e3e841-3ac7-46b8-9160-5881e1f668c7	0	0
22644572-f9c2-4fbf-bc68-18bc3f79b8a6	0	0
a23e981b-73b9-4927-9128-4304cc260312	0	0
24b8f395-9b2a-4b92-930f-31f06c39acf1	0	0
fb447a92-b422-4b65-a690-1c431855ba5b	0	0
3ceec4a1-63c2-4823-8a3c-232dd50de444	0	0
1f6a0803-2e97-4d8b-adfa-3243666fc0c0	70	5.83376111111111051
f047736d-639a-45ac-bf00-697c1291f415	0.594125249072381956	0.0495119227358211747
8481ca29-36d0-45f5-8e25-dfdcb67cba61	0	0
697af64f-82bc-47f8-8829-45a97346a9a9	0	0
4dd44bc8-b517-4c7f-a288-e73638096711	11.1837229437229446	0.932004871284271341
8b62189e-f8e0-4045-a741-849e790335fb	0	0
4e6616af-2d85-4881-a42a-a1c052373bf8	0	0
4dfbd1a3-5eed-464b-8812-b256010f6995	17.1436818181818182	1.42868301071969683
7fb062ee-2514-446e-bc6d-2427ddf68d16	0	0
337ea7be-c6be-425f-9ca0-c83e26689577	16	1.3333733333333333
6065e286-7e2b-4960-9eb0-43431d08e25d	0	0
75cb7bdd-1c5b-4d8f-a1e3-11994a391741	0	0
ec6344de-1c30-49ce-a47e-013658900469	0	0
b9d8ab53-2807-4621-be4a-5a5f51441360	0	0
eb9f428b-5145-424e-b874-252a67e4740a	0	0
fa2bfcf1-c471-4155-93e7-b2a17da17450	0	0
ecc28e70-8619-4112-a027-e9125fd438c5	0	0
bd49aab8-61e4-4f1d-8f91-03728073d334	0	0
57147166-6085-48bb-8a4e-aee13883fb80	0	0
0b2cd41f-177d-4bbc-8a3b-f2592f3274c1	0	0
14a59b67-6b10-43f5-85da-5c5b76e4f23c	0	0
2c182177-3ab7-499d-89af-4e2a19458135	70	5.83350833333333352
b0f4eef4-876b-450a-9a4a-553aeb332343	0.594125249072381956	0.0495172038491462629
d2503e2b-8bb8-44c6-a90e-015d3d07aae2	0	0
afd3a6e7-7a95-4584-a046-ed53d1adf319	0	0
60363c0a-0793-476b-be2d-969cdae19c2a	11.1837229437229446	0.93210428215488228
603db456-ba40-4629-aa5a-ac608a35e9e7	0	0
c93263fc-8ecf-4b7c-a638-6963a4edeaf3	0	0
21e43fa8-4cfd-4a5c-86f9-c161ba9534d8	17.1436818181818182	1.42883539900252532
dd81c18e-c3c7-4612-bea1-b5b793c52b66	0	0
16dee801-8110-459d-a472-94132d1b9a11	16	1.33351555555555557
e17af399-ee47-4793-b488-5796aee1c032	0	0
7f3c359d-6d14-43da-90f9-f6b51f55056c	0	0
ea357440-ae69-4efe-ab57-19bd9287fce2	0	0
2dccf60f-2b60-49c7-81dc-d5968cd74a88	0	0
784a650a-0d87-45df-8885-7fd78a714094	0	0
d5e2b0ce-0724-4a61-a810-bf5cbbc4d319	0	0
a11e8202-360d-4924-b935-4390431011c3	0	0
fb911e78-5e3a-4c1f-b027-b36603e243b3	0	0
380156e0-4d5b-40e4-a21c-2ce366991a31	0	0
3c6cdd8d-c979-4f72-a9cc-aca420b32105	0	0
b4ae9115-ab3f-4ecc-b0ed-400aeb1e19f4	0	0
26a38653-c6f2-44f6-8064-cea41c6d355c	70	5.83413055555555538
664aeba7-aeb3-452c-a847-73732667c0be	0.594125249072381956	0.04951291294456963
4f61525c-c10a-4f3b-b279-f13d57225875	0	0
a352ec6b-c6e6-4124-981f-ac4a0eba214d	0	0
d1fb6a55-a505-4ab2-b7a6-e83ed107f494	11.1837229437229446	0.932023510822510892
42991929-a1ba-49cf-bfb9-c8d573653477	0	0
96d8dc40-8852-4898-b3bf-262941417b33	0	0
a8aaf049-ed65-4bf5-b439-5070935b6710	17.1436818181818182	1.42871158352272709
b099d06a-ae2f-4e45-850e-026359203115	0	0
4d22b2f7-b0c3-4d66-84a4-112888428882	16	1.33339999999999992
768d5b0e-89f7-43ca-b413-8159dd79e8ed	0	0
85154e70-d551-41af-a944-d02a0a467f04	0	0
24c0dba8-26e9-48f5-96d9-82c8f4d4e223	0	0
178b176e-8713-4b81-9d28-5c7e76ddf602	0	0
3ce34c8c-48f6-4dd0-adee-205fe3de29f1	0	0
4614de29-b51b-4a78-ba46-dd9be900ffb4	0	0
f5d983d9-fb72-42c4-82c4-e7bb7ed64fdd	0	0
bd5999cf-78c0-42cd-a829-ecaaaba0f77a	0	0
176c830f-0576-4dba-903a-3d069166f15d	0	0
3f10e335-5e7b-49cf-b890-b691caf8dc08	0	0
315d6bce-a543-4452-87c1-141b87f698a5	0	0
d5bb736e-f0cd-45fc-829a-e2696317d4e7	70	5.83362499999999962
0361cd05-352d-4681-9b92-f31dbe64411e	0.594125249072381956	0.0495167087447720353
d07bfd33-0083-43c8-9ba9-9e27263bb139	0	0
f931dff8-2481-4ec6-8130-dc5e221d90cf	0	0
5047d4cc-e8ef-47c1-af87-4d962fe5fedc	11.1837229437229446	0.932094962385762393
13b6beb3-1ca2-4268-9856-cd2225528e4d	0	0
f3d9652d-2fdb-4442-9990-5b1cc1975cf5	0	0
ec4c014a-792e-46ef-b0d0-973dfab9d8ef	17.1436818181818182	1.42882111260100997
77814394-7c1b-4234-b000-203e58170641	0	0
91be6096-9021-4ad7-b530-c53b58f6e19b	16	1.33350222222222214
9c283b3d-6e69-4acb-a229-e93c17b6ad44	0	0
c54beb54-241c-4610-bc75-b758d5024967	0	0
02427b78-9a46-4b6c-b5ae-ecf209ab323f	0	0
9676c16d-1752-435b-97bb-8feefa25df1a	0	0
7f04452b-1f5e-47e7-b5d9-5938abb1346e	0	0
2c3e0f89-2aab-42fd-a477-675564f51f92	0	0
e6a66a69-eafc-40ef-8d3a-3bc28635545b	0	0
44a8b597-b482-42a3-8c59-6af78932fdfb	0	0
b83cdda0-27c9-4c85-a0d3-a368f40c4614	0	0
afd2ac08-f124-4c5e-b469-30b48dff5d9c	0	0
ab5014be-2baa-4a1f-8d88-609195cd170c	0	0
94d8162a-eaea-41dd-beb8-b8e5c5143b7c	70	5.83407222222222188
b38fc5b1-99cc-4610-8925-6335c8854ef3	0.594125249072381956	0.0495122528054039931
43935e28-f59d-4c3b-8283-23b145a39258	0	0
89290569-e8ae-4b49-bc2d-7990f8ea754a	0	0
31227602-efc9-406e-b45b-3ba7bb92d7f0	11.1837229437229446	0.932011084463684525
204491db-449b-4c90-a631-f20056a5b215	0	0
ecc90b1a-baa8-47b1-a84c-89947c3c8a02	0	0
219bf3fb-8f1e-4653-91e5-d1cd402e04d1	17.1436818181818182	1.42869253498737381
bc16598a-ad5d-4938-93a2-defd066b61a3	0	0
efa938d3-42be-4555-8d7b-c25999082aea	16	1.33338222222222225
7aaa3568-94e8-402f-a884-76a0de08c3ae	0	0
7366eb6e-b3dc-4861-83a8-3f560be454cf	0	0
3edc173a-3247-490e-bfa4-72f72a3ec553	0	0
cbcb3889-c182-4a74-abc2-90fe6e9d226d	0	0
c3315a4b-720f-43b5-b0c4-abc851ec974e	0	0
9b659b0a-f9ea-420e-90df-6e7016135374	0	0
b18f9738-f4ff-4d78-b3fb-9dfb5553317f	0	0
de481312-fd01-4745-b9ce-cf13c875cc97	0	0
ec72263e-c102-4b2b-90d3-eda65ccac675	0	0
0a8eefab-8c55-461e-89f3-919f7210d833	0	0
fd364aa0-0eaf-44c2-a3dc-7233dedd8e04	0	0
4e9a9195-a3e5-4a12-9d6b-5c06c59f9bcb	70	5.83354722222222222
8a3acf18-6fc1-46c1-9f5e-b7dc5532cdfa	0.594125249072381956	0.0495132430141524485
f39a92fe-4e8d-40d2-8a7a-1429b752a554	0	0
47de4108-ddeb-4b6d-bc65-5547aee41f3d	0	0
59446cbe-2957-4890-a583-dc310b24b59c	11.1837229437229446	0.932029724001924076
c764e040-b8f4-4f2b-b057-fcc02b361a9c	0	0
aa0b86d4-abbe-4e7d-b6c8-ade78c64dd8b	0	0
f2a2df2f-943f-41c5-be64-a038270a04ef	17.1436818181818182	1.42872110779040407
ac574bf9-3d71-478f-ac4b-db122b460669	0	0
d114df4b-3283-44c6-8c2d-fbd1246ce529	16	1.33340888888888887
bc779941-62ae-4800-a4b0-417d1a61ccd9	0	0
26e9a896-a05e-4616-9b88-0a6da931bf92	0	0
91bc1dce-0036-4ef4-ba8f-f7589fc72097	0	0
be92e13a-6812-4c71-82ab-2a7c66f25534	0	0
cc50fe62-9021-4349-800c-7902893aa6c8	0	0
88ee31a6-d965-44fc-86c4-693d2991e39b	0	0
0a81d7f8-513e-4584-981a-ea0252768843	0	0
da52cff5-dd9f-4592-87e1-34f77a404a60	0	0
da6f2b4b-83b4-4648-8230-af8bc48f16b5	0	0
41bf6adf-a23e-4c7b-8ffa-4991cf3f688f	0	0
414941b8-05fa-4f66-828b-a9c54c8a6331	0	0
c4378d54-2503-4064-9338-03fc4c89c5c6	70	5.8336638888888892
047745cb-cb7f-4be9-92f3-2d66354f9a3b	0.594125249072381956	0.0495139031533180854
44480ee6-deaf-49f1-9bba-6ac08c99519e	0	0
8b00d6c8-429e-4cb5-b2a4-f75af0adde32	0	0
8bcb17ed-b18b-4a84-b83e-e1b1a1d7d2ff	11.1837229437229446	0.932042150360750554
3993071b-a19f-4236-a093-f7fb35e87600	0	0
3cdfc017-4b76-43a4-b54f-1a4360581740	0	0
b1463a73-3d2a-4033-af6b-73ae6cd516a1	17.1436818181818182	1.42874015632575757
69a58566-b007-406f-8deb-7a091f7c6164	0	0
1f65b917-90a3-4972-9de6-e6851e6c86b6	16	1.33342666666666676
c2977ccf-ba75-4479-93ff-fefa3fb35c04	0	0
84d14fc5-2d2d-463a-b6a8-2b9aa37ef5ba	0	0
9a416ff3-fefe-498e-b004-b5419dc28d76	0	0
fae4784b-25f0-4bd9-abf6-7ab94946412d	0	0
fb392e1c-dc5a-4634-9ff0-67f675e4b4c1	0	0
dec84a98-cdf7-43cb-86d8-819a25da302e	0	0
8bc574cc-a120-4a32-ba71-713dacd92ab9	0	0
96e7602d-2184-48ba-802e-182d2d5ed94c	0	0
497cd23d-b904-4c18-8cf7-7acdf6fe0504	0	0
26dab0dd-b8a3-4efa-96b4-418c56abe9c7	0	0
4551c018-0a05-48eb-8278-8490e4a77aec	0	0
613b48e3-42ed-4caf-b202-ee342ffec06d	70	5.83374166666666749
030693ae-e43c-4767-84f5-cac17ef27787	0.594125249072381956	0.0495147283272751315
44f178df-bd7c-4ae1-8949-af601d241932	0	0
14e98c4b-d2c4-4fca-b86d-577046e3eca4	0	0
c3a72cc8-be86-4278-8b68-7de1fbd91f1f	11.1837229437229446	0.932057683309283402
412d21fc-4abb-43a5-a8e1-562e43bf6ab7	0	0
dbbe6e0d-886c-4408-acf2-e0b6427ef08c	0	0
004feb74-8e53-4bb8-a154-a96ce5ed2328	17.1436818181818182	1.42876396699494945
eac6ee17-b988-4004-96ed-42b3b6db0714	0	0
7914896b-2597-470a-bae8-f2ac5bbeff89	16	1.33344888888888891
148620be-83e2-4043-a090-9b3980cad25f	0	0
88776969-a3b9-45af-b222-d293a215d115	0	0
81e8324f-9725-4490-b304-7506ed51ded7	0	0
052ceb4a-e85e-4869-b385-2f91f870c729	0	0
001bbee6-df04-484f-8381-6142a2c94df8	0	0
8305898a-2e05-497f-92db-fcfeb617f241	0	0
ad9dd490-6fc6-4745-b87c-f7171af569b6	0	0
13412686-df1d-449e-8ffb-dd2e3f9ea08e	0	0
7861e177-4df0-4fa6-8959-2d9d39db4513	0	0
02d259ba-67b8-4730-a976-3ddae3eb1325	0	0
9ba39309-00fa-4036-b1f4-e60b208a676b	0	0
608771fb-5c8f-4aca-9a2b-d87979348798	70	5.8338388888888888
dae3be13-e474-4078-9dc0-069682dd5f75	0.594125249072381956	0.0495137381185266762
15611349-576d-4c43-a58a-21ff7d0ae4d1	0	0
22298650-1625-4f50-a3da-cc311cc0f50c	0	0
c1650bb6-1d6f-46d3-8200-28519ae8e0ae	11.1837229437229446	0.932039043771043851
025b14e2-b311-42ac-ad47-811730eb1438	0	0
4f01e363-e347-4d8d-a18a-9a3d73308fb8	0	0
334ad11b-3ac9-47c1-9a11-59059875ad2f	17.1436818181818182	1.42873539419191919
80a2e1f9-083f-4120-9e3e-3888b80dae52	0	0
7797f88a-6b50-41d6-98f4-df91cc4b2c15	16	1.33342222222222229
cc065e07-442c-4b2d-b0fb-e93803b0cb5e	0	0
b1f4f721-4d59-4c51-b7f5-506c80a7df3f	0	0
a30e9d47-5ede-4e41-b203-0a649f3cb6cb	0	0
45cf9c15-b4a9-493c-bf5b-d4ccf25dcbce	0	0
371c7703-59b5-4477-bf45-f164d9eb763b	0	0
50b1c211-7df2-4b0e-877d-4bff86d488ea	0	0
79f29f7d-6dd7-4548-bd67-a433123a767e	0	0
8164206e-7aa8-4105-ad93-0b03111d6d99	0	0
27bee4f6-8091-4722-bac5-94831bd2ec46	0	0
b1082f6e-fdce-4ffd-a100-598f63b24dae	0	0
3a7b91bf-33ce-44e5-b2a8-c5631084c30b	0	0
d5603451-11dd-451c-b2de-bc53e9b4eb99	70	5.8337222222222227
1430bae0-40b0-470c-8082-022ff8e4f1c6	0.594125249072381956	0.04951291294456963
b5f713f6-f2ae-4179-98dd-b1bfda418b76	0	0
4c6e6db8-3ff6-4fef-bb8a-715b7403b4bd	0	0
625ec811-54aa-42ad-b37b-94213db54a78	11.1837229437229446	0.932023510822510892
ea694e3f-185b-4867-88ae-13a4c5d7e47f	0	0
4aa7ee0a-2f9f-41b0-aa90-aeae0adae00b	0	0
c0339b5c-d525-4f1a-81f8-e8a4fd5c2187	17.1436818181818182	1.42871158352272709
854c0e59-2f36-4d05-b142-4f0105b79719	0	0
da641dda-820c-48f8-8640-c31f06c6035f	16	1.33339999999999992
ad38c341-329c-4a25-8f76-94f955a6f058	0	0
8693e2fd-b74e-4104-9f19-147ebf2acc82	0	0
e23e49a7-a444-4950-9a11-b876a854366a	0	0
c9a61f69-e18e-4b2b-8fa5-8bf0958e202d	0	0
a97344d9-f2e1-4b5a-b800-8980008b6350	0	0
a3a5f30b-ccfa-4fa5-b3e0-f888ef6a6a40	0	0
2999546e-abd3-44a4-b7de-c0b082b9071b	0	0
4c774d9c-5f1f-4b3f-8374-72312e1d036e	0	0
45333e85-6bc9-40a0-bac4-59d2825c1183	0	0
77ad2b39-510e-437b-b6e9-d3778a68899f	0	0
5915c334-dcbc-414c-943d-c018fbf6931a	0	0
2597872e-65fa-4644-94db-1cb41004d808	70	5.83362499999999962
1cd2d4c0-5b4e-450b-bdb7-50a3b80798c7	0.594125249072381956	0.0495147283272751315
0ab7408c-194e-4a85-ac2b-ffd05ff63d30	0	0
5385559a-f957-4400-b08e-62e70aac8e67	0	0
a90685bc-d659-450a-9159-5b9577ee1218	11.1837229437229446	0.932057683309283402
a461d777-073d-45ea-b22f-d8c7b67be11a	0	0
80b20f48-7548-4237-8401-9ce3a714d1a2	0	0
f6d56cd9-822e-4199-bf95-087734232b79	17.1436818181818182	1.42876396699494945
26691268-1167-45e3-9e16-cd5f954f9382	0	0
178528b7-96c4-426b-8d24-2fe93210e0fb	16	1.33344888888888891
ca37f848-b1db-4a09-97f4-5ff61b8e70c5	0	0
7737791b-40df-4c48-adad-f0a7fbb1e3c8	0	0
81bd12e3-3fd6-497f-a7c5-ec655a542e25	0	0
155a7acc-2c34-442e-88cd-33242a293eff	0	0
fc9eab2f-1946-4de8-a926-4d4cf47c249e	0	0
7695bb63-b038-44f7-b032-3f2f7d0f1954	0	0
6a40d94c-c66b-461a-a9f3-5ab3a6bb59da	0	0
56782511-f3e9-4d0b-8ce2-e6be3e8fd328	0	0
7c94e08f-e723-4511-acad-1e4cead6feb0	0	0
2288de25-7e22-45dc-8334-c2caa3deefdf	0	0
e730a91c-ab79-4294-89b0-a55cc06d42e1	0	0
f5e98c8b-f05b-45bc-83c3-45f4a8fb6ef2	70	5.8338388888888888
66961d31-cdc3-47f4-9877-098f3926fc56	0.594125249072381956	0.0495119227358211747
0314d889-1535-400e-8b99-149a4f0276ad	0	0
7b09dbe9-3442-4af9-84f9-ec44d7904575	0	0
d1a5a7c8-8b77-40ab-8f47-d709da9fe861	11.1837229437229446	0.932004871284271341
2945022b-7f05-4d5e-9b93-87fdda4b4380	0	0
70136867-96ae-4c84-a3ba-83100ece952f	0	0
9ac24609-3661-4454-8290-6d7a9e0e7a05	17.1436818181818182	1.42868301071969683
50578766-43d4-4cd3-9b44-cd2d81196c23	0	0
e889e3e2-c106-4040-93de-46d901f0f9a0	16	1.3333733333333333
92ce20e9-a9cd-4538-9b8f-3d8da338fd39	0	0
7964bc49-b4eb-4ad7-8566-5161db788aac	0	0
7cbd4344-5b7c-4dfd-ad21-36e3779ce07e	0	0
e055be62-56eb-4969-a111-a848e37d7ea7	0	0
794b62c9-93d8-4972-851b-cd08cb5629f5	0	0
5942bb0c-123c-4d39-b7ef-d9aca627b546	0	0
4cf246c6-2cde-4759-bbcf-3a60f2bc2c2e	0	0
7b854e6a-a149-4b9d-9a46-1eec3314367b	0	0
21ef26c8-0b7c-4740-931e-3ba6b64b6a43	0	0
53c4e6d4-ee91-451e-be9c-8fa9f63884e2	0	0
9fa60450-1f33-4ef9-be3a-f5c226f99448	0	0
229fb64a-33ca-40d4-8210-8366ba436e20	70	5.83350833333333352
0782dc24-55e4-4845-8211-1b9b48f36d5b	0.594125249072381956	0.0495168737795634445
340ba08e-62b4-4dea-bc6d-0fe88f7bf131	0	0
aca3a439-d46b-4579-a6d5-0921d7cb7128	0	0
813742db-c973-4d69-83d8-929cab45cf42	11.1837229437229446	0.932098068975468985
60dafb21-cdcc-449e-a45f-ec239656dfe7	0	0
dec7a718-0b36-4cf5-80f2-4c85609cc598	0	0
146f697d-6595-4342-9af3-9219856975c1	17.1436818181818182	1.42882587473484834
1fa1ba34-54a1-4cd0-9a96-39840488ebeb	0	0
5c333f55-1ed5-4fae-b349-f4cceb6aef80	16	1.33350666666666662
822dc7e5-5c90-4d0e-873b-16f922b2498c	0	0
af87c76b-6ccb-4bd1-9d2a-48b946681f19	0	0
c5693ac3-5a4b-4283-bcb0-0b62922b2a0d	0	0
75060bc4-0364-4e37-9a34-af2ba92b6171	0	0
175df76c-6924-42eb-abda-96c10f890762	0	0
34895d8e-3c6b-4015-b1b8-2151b62cd80a	0	0
fd85d4d3-7847-49f9-a38e-8b8d8ce26115	0	0
76d94492-65ee-4676-95b4-7419044ba5c0	0	0
359fea5a-7167-428d-a9c9-7fa36f9998b9	0	0
70373912-c56b-482a-a503-3e562746573b	0	0
a63a905a-196b-4f23-8675-04435f8e0b7f	0	0
c94e47ba-9827-45b4-9bf9-33247b833d14	70	5.83409166666666668
19d4c6cf-3eac-4d02-be52-5151bdb23a33	0.594125249072381956	0.0495120877706125839
6e7711b9-9352-4b24-ba4f-7434e6fe6ebe	0	0
cabddc57-381a-4cac-ab4f-6d0ed29ec28f	0	0
07c834be-6fd7-4d1a-9e1d-446985a2f12b	11.1837229437229446	0.932007977873977933
699429fc-5901-42c2-a0ce-103043470e0b	0	0
e56cdd91-2c52-4872-b3a4-59faec0eca21	0	0
a2bf5ebc-73f3-44cc-8a34-86c898c3f80d	17.1436818181818182	1.42868777285353543
19f9f262-28b4-45f4-b60c-ee055d25bf0d	0	0
e30bd8ee-6d37-4f5e-94dc-4e396cecee61	16	1.33337777777777777
00dd9530-7d85-4208-9248-0a5d361d3ea3	0	0
b8243add-a0b4-4ef4-adfa-753181abb79f	0	0
f6e1b222-13b0-48d7-b087-942b342d6443	0	0
47a12586-a467-45a2-8953-0ff3594fe7c2	0	0
51cbd261-29e6-4217-83a0-43022057b031	0	0
0d3abc92-190f-4289-bff7-0e4972770efa	0	0
9e6f09cf-f44e-4e6a-9c40-3af954f36e2c	0	0
641c2a44-b319-45c6-b342-1c8fc8dffcd9	0	0
dc4d0e0f-01f2-40cf-88ba-f53c11b8b5e9	0	0
e15480fd-13c9-4faa-ab83-3aaa87e74454	0	0
3e5e326f-47ba-418c-b2fd-77bc1d19b9d6	0	0
b94aba2d-7b80-4560-a51c-d37f20423d5d	70	5.83352777777777742
8ab499f8-42ca-4252-9d49-50b400311d0d	0.594125249072381956	0.0495134080489438577
d1bb5039-8827-46e3-aeda-7bfb20870910	0	0
94240c9c-acb8-451a-84de-4b91104f38d8	0	0
20912c15-381a-4350-8685-de8aa603a389	11.1837229437229446	0.932032830591630668
67c050d3-00bf-4f9f-abdb-24e8dedd1ef5	0	0
e5524c17-c12b-42d0-9eeb-8b3fdd27a748	0	0
a485ad03-5778-4f5d-b47a-9df6771aecd9	17.1436818181818182	1.42872586992424244
692cd08d-6b74-4b01-aaba-50d23c209dae	0	0
8c340ecb-2beb-4c09-9d2b-f37f9914b678	16	1.33341333333333334
c0c526b0-b68f-4664-996a-7a8ce6b9b22c	0	0
16fc53ff-931b-4869-9d1c-e2eb836e80fd	0	0
c3c932b2-7768-49a4-a542-1ba16b448ebf	0	0
86c40767-801c-4332-baff-d83409024c47	0	0
98ffb464-5668-42cf-8485-651162548268	0	0
096052a9-2ee3-489b-9cfc-8ad55bbc98be	0	0
90ce3f5d-1cf6-42eb-8c30-ac5d43d10115	0	0
d39b79e2-8ff4-48e1-9ef3-d17473913fe7	0	0
eb311212-e2f1-4200-a1fa-ca99a78b21ed	0	0
709e6bf0-8631-4f8d-a02a-c2ff65bf5c47	0	0
3db1db38-00b6-48d7-be03-1df8f174aad6	0	0
380f6920-7c07-460f-b555-64f987c1788d	70	5.83368333333333311
d5dae93a-27c1-4e9e-a2f9-3d8c3122c7c0	0.594125249072381956	0.0495135730837352669
f8373d1a-5a37-4cdf-856c-002c306da7cc	0	0
39789300-b327-4e7f-a147-b0f036d15e09	0	0
88bd1612-230c-4cc1-a6fa-39285c39f630	11.1837229437229446	0.93203593718133726
170daad8-c7ef-4814-8954-67c0d8ce51b8	0	0
204d459c-b1ff-45d2-94a6-3b52f9f04023	0	0
f5d01a5b-83c7-4f8b-8e33-a42f882a58ac	17.1436818181818182	1.42873063205808082
227146fd-e88f-4d53-8b22-d72a8fe011bf	0	0
f7f5ab29-9d9a-4feb-94a8-33ec4b366387	16	1.33341777777777781
cb8b5714-2ba0-4e05-949a-4d533e02de30	0	0
583ccde7-5b4a-46a4-a60c-b53e25af624d	0	0
47ae3912-5641-4be2-9267-acfb2554fe9d	0	0
fadc7191-8cb8-43b6-9ffb-60d3a026266d	0	0
8505fe49-e1c9-4627-85c8-e457206cc70a	0	0
f02eb887-419f-47f0-bd55-564959b2f459	0	0
49d6c102-248d-440f-a0a4-e2632a4aa349	0	0
707d0d9d-dac9-455b-8958-a1a4f1e499c0	0	0
9c2cdaf1-014d-4256-97ad-ba3982af33b6	0	0
a0a7faa4-bce4-42d3-a86b-2f618f60cbdd	0	0
9be2f88d-a01e-44d7-a2de-90d7240b3219	0	0
8998b5ed-2b24-40b5-b113-23449f5cc4d5	70	5.8337027777777779
516a33ec-b00d-4dbb-92af-d1240ab3dffc	0.594125249072381956	0.0495134080489438577
d2dd9a3d-87d0-49f7-92c7-034f8c975b95	0	0
953841c0-fe9c-4780-9897-d02fb6ebce6d	0	0
d2707219-2a10-4cb7-b6c0-fdb754b36b1e	11.1837229437229446	0.932032830591630668
f8fa7086-27c7-4635-a396-b8381b3d25ea	0	0
d4e0bf4d-9757-4c98-ab65-a3644efc6db7	0	0
3fd880a2-c284-4b81-bec1-76174bff48d4	17.1436818181818182	1.42872586992424244
ffaf8bde-fb69-412a-b954-60e14ba1d2c7	0	0
b7605fc0-8faf-4e68-8385-67e9eca4a52e	16	1.33341333333333334
a6668682-773e-4279-a6ae-66553703d3a2	0	0
58a62e58-1430-4ee4-8a51-3066238e876e	0	0
97715c28-aa06-4f72-8051-d3b5969c04c6	0	0
c61b7458-504a-4bc6-ac16-5c84dff3c283	0	0
dfdcc6b6-4894-4b56-b49b-35a80d32394d	0	0
dbfc920e-e471-4e1a-9e03-5fbe04bf0b73	0	0
0191e9c1-40da-4ee2-862d-628270c63897	0	0
49d9ae9b-e608-4618-82ea-4b358065299f	0	0
3bbcef13-2c1e-441f-890a-fa5233644773	0	0
7710b95c-fe6a-4d07-94eb-615e2c658a9a	0	0
d49b5244-e127-4327-b181-b539a41ae01c	0	0
6d34ae9e-dceb-4401-8294-cc5cdb94e5c6	70	5.83368333333333311
94a58151-7ee5-41b6-86e7-ffb0e7388f2e	0.594125249072381956	0.0495148933620665407
043908dd-7c08-4948-9f81-7f5f99425092	0	0
a3eba201-ff91-45a6-a722-315a514f9ffe	0	0
cb18046b-f0d9-4125-b9ba-4c8c09a914f4	11.1837229437229446	0.932060789898989994
6abe1c4f-9de0-442d-aef7-af188e3cb72a	0	0
cc37a409-e453-43bf-b463-b534275f4dea	0	0
a5b258e5-a898-45f2-828b-8a40f899046e	17.1436818181818182	1.42876872912878783
34622507-d95a-4bbc-820b-4ef3dab775cb	0	0
90483cdb-3d77-4659-8078-364b80051bdf	16	1.33345333333333338
0039458f-3f82-4195-ae1f-2f23605cf13a	0	0
98c8f22e-98ff-44d3-b6d0-5295bc6b88f5	0	0
b71457c2-a906-4919-9367-0f37cc21666f	0	0
f8d058ad-a286-4da3-8fd6-0f9fe3948296	0	0
b150c529-b398-4c1b-9c88-6d727d280bf4	0	0
6da648ee-b66b-4cdc-8aa5-a86d036c7157	0	0
b9f0b72b-0243-4393-a40a-385201c90a7e	0	0
4dde6bc4-66cf-4b2e-b69d-2406fb57c5d5	0	0
d74dc695-fade-43fd-963f-1f7a38edd5d9	0	0
e40b277d-acd8-4e40-83fe-1a219a9e087c	0	0
3114559f-7688-4f1e-a100-f98f4473efca	0	0
39f5ae96-30fb-4e53-8647-a33049c3a36f	70	5.83385833333333359
3a1bf1e8-02a5-45e7-8610-1271e555984e	0.594125249072381956	0.0495135730837352669
36e6aa73-8245-40c7-9353-5bc7327a565b	0	0
64f78655-1344-4cef-8e7e-332789f6ac27	0	0
c091a5e1-c3c3-4ad8-a142-23a8e1dc09c3	11.1837229437229446	0.93203593718133726
937f49fc-e53c-4efe-8dda-d8170948b900	0	0
9ef1b739-fd81-4213-b7a7-51a67426e6fe	0	0
0b6eef2f-0f2a-4898-89c5-4053304afd48	17.1436818181818182	1.42873063205808082
1eed27d1-e76a-484b-adf0-3a00cb2f4b01	0	0
697b4467-7f75-4333-b35c-8c44e9479bd9	16	1.33341777777777781
d8b03182-d053-4133-860b-70f65e8e7efa	0	0
9483af4e-97ec-473f-a180-a142460912fb	0	0
d65b71c0-8da7-409c-8b69-c445a9a6bc72	0	0
74438bb1-61a4-4d4b-8082-8a0e82d1fb29	0	0
738b72bf-4246-468b-a1ed-5f86b16f0bee	0	0
8415eff8-f313-4368-a615-f9848e13ebf7	0	0
eef93be9-f5b4-44d6-b824-9bbb1e558f0f	0	0
b8053a30-0b4c-4cdb-a994-be1b08ca619b	0	0
54c8fb5a-6675-477c-8018-8d2b6e8ea984	0	0
57f258bf-3a41-4870-922a-c40f1d4b4418	0	0
d19b1475-df1c-43de-bc95-39a8e7b7ce01	0	0
9e6b4ef1-1bf1-48f3-aed7-30343c966cad	70	5.8337027777777779
a0b4f7b0-7fdc-48ab-9869-af1d6ba50ef5	0.594125249072381956	0.0495107674922813171
5d946e32-7cba-4ed3-a4d8-7794edcdf336	0	0
e4c5c5a6-927a-4411-aa7a-8f13e69d05a1	0	0
a858a0f4-d4ab-4070-83aa-436391a51946	11.1837229437229446	0.931983125156325198
8fcf1e88-ef37-4507-a2a1-03af4312d584	0	0
bc45fefb-8aef-45f9-a2d1-d6e14ce20378	0	0
471baf8b-d127-44f6-bbea-4ddfd454d124	17.1436818181818182	1.4286496757828282
2c104100-2b23-4a63-8e1b-2d4c20f95cbd	0	0
8f27026f-10b8-4695-b85f-42399ec71264	16	1.33334222222222221
1ba1861a-7a0c-4e44-9bfb-df8118ec934f	0	0
ab07c199-b3a4-48b1-b6c0-8bd2c203ed87	0	0
cda3147d-e664-4124-aab8-00f459a2a60d	0	0
a041f34a-0c94-4848-b6c9-f1241001ff86	0	0
4741f37e-ca2a-4004-88df-02f70bc6accb	0	0
a6be8936-dd55-4eeb-a5b6-660c3a425ce4	0	0
da365d0e-4b73-42b4-8c0a-f098f22d8dd9	0	0
bc051263-78e2-4639-92f2-84483d6e5b58	0	0
5f08b4fc-587e-47e2-8444-86b91516c6d4	0	0
dc920633-d0f9-422d-9bdf-6f05f9d484b0	0	0
7de6e5d2-094c-4f34-8157-cada7c2a6a7e	0	0
65701eed-a198-48d4-bd6f-13ffac5b9ef4	70	5.83337222222222174
7eadac41-d2c3-48f2-be93-978836cdd862	0.594125249072381956	0.0495178639883118998
93bcc516-ccea-4665-a3da-acb67fc5fe25	0	0
18906cde-6f1e-40a1-a0c9-06bfcda2e667	0	0
aa3be3af-4e83-4491-877c-3347c75099da	11.1837229437229446	0.932116708513708536
40e55c00-3582-4e1d-8905-b4e50da88dbd	0	0
b6fd2084-7c17-4a24-a327-8803059a3294	0	0
a9e2888e-93e3-4327-a783-793940e791b3	17.1436818181818182	1.4288544475378786
107d904b-0c95-4af3-a3e4-0b4abd32fc46	0	0
f3db437b-b17f-4e9a-b6d9-f482a66ca9a5	16	1.33353333333333324
8b160628-bc72-4576-b1eb-80e349e86f14	0	0
9fcbb8fd-904b-43dc-b72d-ec207a3a9f74	0	0
0ad5cbaa-f92d-4afc-8960-be7a4291fb3a	0	0
9b2cd6df-3da2-44ca-9a50-d4e93d7bc1fc	0	0
0db03d76-7f91-4137-beb6-952c4f824bb3	0	0
769c915d-70c2-434d-81b5-6cd5f5b2e01b	0	0
1f2ea242-969d-474c-8eaf-cea2f553b439	0	0
07e3596d-152b-4279-a0d9-fff9d63081c0	0	0
d3ad9720-5d1b-4a01-9f7d-98f588df2507	0	0
2796735b-f1b6-40d7-a731-1c6c2f69f6ad	0	0
7622495b-60e1-4bf6-97b6-6a2a6826bf29	0	0
04c39219-f156-40fb-8bce-8edd8af90dad	70	5.83420833333333277
2ed6794f-6c27-4560-8a5f-2aa51b7d8102	0.594125249072381956	0.0495152234316493592
f7c67825-c1b2-45b9-b5a9-16735a91d103	0	0
388e4f58-7ed0-4ed1-8bf8-8ecb2268a65b	0	0
09e57852-191c-4386-9c1d-3a517c779fa2	11.1837229437229446	0.932067003078403178
fe704cf6-5983-4c67-9367-888ba6c824a2	0	0
00d54e5d-9ee6-4a22-81c3-884832d19aa3	0	0
4e9d0565-e598-48ad-b8f0-bdc73dbdb2c8	17.1436818181818182	1.4287782533964648
acd2caf4-471c-465e-984e-68c1117baf88	0	0
5e8ee0bb-f2a3-4283-9b3d-d48f502b085d	16	1.33346222222222233
bc22dce4-2819-42ef-ace8-479cc9617d99	0	0
1593d3d2-441e-43cb-b88a-2d92fb43c0fb	0	0
4ef55bf3-5f6e-4052-bda5-4ce2f1623e1f	0	0
10eca154-478f-4d11-aa6d-ad80a6fc344e	0	0
32d011d0-2d31-4504-8ea8-edf5f9191939	0	0
14ac1d91-af74-46b7-9b06-b98c2d32bacf	0	0
3c1417b4-4ce1-447e-bd27-36b25ad2c8ed	0	0
a4555898-3ecc-4194-b373-d3ebf340a129	0	0
03be1b12-7ac8-41c5-8ea1-4496fed7bb23	0	0
398de6f1-ff60-4808-adc8-38cff3897344	0	0
b1bd3751-4c1f-41d5-96b2-6fc1ada0f863	0	0
47b5ed59-8c87-4e6e-a7d2-401399c2a7b3	70	5.83389722222222229
c50bd491-be1b-432d-9e10-b496b0018ce4	0.594125249072381956	0.0495134080489438577
a81d0da8-a188-4732-9bf8-2808f5b409d1	0	0
99e1c08c-73d0-4614-aa1d-0845fbe80626	0	0
8c49ec24-b2b8-4927-92ef-62f35ab805ba	11.1837229437229446	0.932032830591630668
5b1023a1-b224-4911-baff-b0892bc0aede	0	0
5171fdb1-b88c-4c79-986c-5cdf4479f652	0	0
46b4bcc4-6029-48ec-b0eb-695535c9fc39	17.1436818181818182	1.42872586992424244
bc8e5626-1ee4-4d52-85a1-0a6f965f92fc	0	0
7a215dcb-b71b-402a-9cde-7bb76444e681	16	1.33341333333333334
1e8fc881-0875-4c7d-8c1d-bfcd3a73bbc4	0	0
0654cd8a-7153-4591-9ad4-b53e09854b6d	0	0
f042bd37-aa0e-4637-9535-52faf98fd69c	0	0
937fcf89-41c4-489b-b2a7-8f08f6dd7d8f	0	0
e14651f2-4a7f-4c5c-bf0c-e5a7f7e3bc41	0	0
c83c25fb-883a-4b27-8b57-f51a1973c745	0	0
32518116-a15a-498a-abdf-e4f35b0737b9	0	0
7afb25bd-5ba1-4100-aca3-998581bdb161	0	0
947fb1c1-0484-4aa2-b294-fa3400933b95	0	0
4ed02f5d-44f3-4784-b136-23fa5c3cd769	0	0
011ace36-e715-45d1-b89d-7b0b28baa0a7	0	0
c8cc5eae-5d7f-4e38-be62-1706dfa332cc	70	5.83368333333333311
878242f6-bcb5-415f-b55e-b9e5fa22147a	0.594125249072381956	0.0495134080489438577
b014e469-0810-4426-b1ce-5075f7251de9	0	0
ed46bbea-ba31-4b36-89dc-5381ac8fa95d	0	0
9cd49dc2-01a0-4501-9643-e4aff95a4604	11.1837229437229446	0.932032830591630668
0ff9fe40-608b-4a7f-ae43-0e242c510faf	0	0
36167f06-4cb0-4cd2-a26a-6c8a241509ff	0	0
b251b3b7-3513-4936-930c-c0b6eaff1c01	17.1436818181818182	1.42872586992424244
c517fbe6-976e-4846-b73e-e0bc5316401f	0	0
e4811fc8-219b-4885-9922-11c6b3e42896	16	1.33341333333333334
382ea160-6a6a-4676-8048-a480b44d8f06	0	0
65f21947-0d69-41d1-befb-82e2aaf2ce35	0	0
01b763e8-6710-405a-bbf8-8dcc4aa6e7d9	0	0
ef4ec125-57b8-4d35-90d2-93bdc9356284	0	0
1ad61a4e-32d3-4e78-b9c3-170cdd614fd2	0	0
5aa5045b-f5ca-4341-b0a4-98da4cf0a7ae	0	0
7bf96e0d-2e56-4c60-a1c4-b8198b1c444c	0	0
1bf9b612-38b6-4af1-a5df-caa35241654e	0	0
ea32dc0e-d8d9-45eb-9f2b-d733f730e676	0	0
695ea9bc-7bdf-489c-84da-7e479aa8435b	0	0
24191c83-ca9a-4a36-aad7-af74d2bba322	0	0
807d30d0-826a-4ea0-b9d8-8eee7b0e9192	70	5.83368333333333311
11eb24e0-213e-47ed-b72c-6dfd9d1e0a86	0.594125249072381956	0.0495152234316493592
3c8cd4e1-67f2-489f-a18c-3d72cb00fdbd	0	0
93e0baf0-ca79-46f7-b1e5-16dff32cbe46	0	0
b5567738-7ced-4d96-bb02-aef0852618a8	11.1837229437229446	0.932067003078403178
db79d664-880b-4d2c-a99b-99fd418f5834	0	0
9aaa1a0b-41d5-41c0-b791-2acf073cb92e	0	0
a4ba85e1-a1d1-4507-8fac-e4e4d33344dd	17.1436818181818182	1.4287782533964648
68ad7ae1-a7c5-4f7e-b3c4-d966b2830773	0	0
ac72da9f-5253-40bb-8b6b-26369c03a993	16	1.33346222222222233
f05ad9e9-0dad-484a-be14-fe46bd6f1fa7	0	0
f7ed494c-8e67-40dd-a8fc-f76b17b880f2	0	0
f7eb2a66-f1e2-4b5a-b495-1054a9abc39c	0	0
5e85e8f7-6ae9-4d7e-a383-08980252c66a	0	0
5e778727-d32c-49ad-ae31-64665911ac77	0	0
3ac9f1fd-9a54-48de-8e25-9f9ab8de9973	0	0
dc408956-703f-40e4-a3cc-2169166c8cc0	0	0
f64cc481-5a39-4556-ab44-84f7ffe6fb10	0	0
ff0c9878-733a-4af9-8401-94dbdbde2c16	0	0
ad141916-3c51-421d-989e-889ed3a27359	0	0
8f1b04ca-00b7-4380-8372-f8886cb0fc10	0	0
a0d1db13-6632-407d-b239-ad7b8c616e75	70	5.83389722222222229
8799be6c-c5d0-44f8-bb31-c7f93b978adf	0.594125249072381956	0.0495132430141524485
3c0d21d7-a827-4573-8bb3-cc270056ce8d	0	0
ccac0c24-5652-4218-99e1-902c63456f28	0	0
ffb04034-203a-4cfa-b5cf-b92925644551	11.1837229437229446	0.932029724001924076
2e5a8890-a9e7-4507-a2c8-c579a10fd254	0	0
b0d20722-2594-44b1-9ac0-6faf550938e4	0	0
c26cb410-98c9-4439-acd1-f9f156ad6c1b	17.1436818181818182	1.42872110779040407
b6c01b05-bd45-4b2a-add8-abba14ec1fca	0	0
30196f25-a5bb-4c5b-9301-2546e14cc9b3	16	1.33340888888888887
121df306-3adc-4225-890b-ad36f4ba4aac	0	0
87ea8137-3c07-4d9e-b282-d5164378fbf5	0	0
d6e6ba26-e2d5-45cf-b1c0-9dad558531cb	0	0
b2ad4ba5-8b80-4021-a87f-3b0a57f1ca3c	0	0
884d46d2-71dd-44c1-8af2-c9537c13bf55	0	0
49f85333-bcd1-478e-81fb-a4104b69b81e	0	0
65518542-824b-490d-9ce3-d02cd1106fde	0	0
b2ee5855-f76b-4026-b69b-bd221c2a91fe	0	0
12384dc2-46d2-4098-9e98-091ce75f1bdf	0	0
de1c5326-a170-4a9d-b650-18e5e45a60d3	0	0
606b897a-84d4-4f5a-86be-cf0a86cc3964	0	0
e825369d-6a12-4f26-9070-de7960efb7d3	70	5.8336638888888892
e7911899-0074-4773-8037-22ff172a34e0	0.594125249072381956	0.0495143982576923131
07a724b2-8e5d-4414-b25d-7c72e162b415	0	0
3112ceb0-cee4-4846-a0d1-35fde7e1053d	0	0
fec72c59-d0e9-408b-965e-698c4d14f2cc	11.1837229437229446	0.932051470129870219
753918f7-3584-4efc-bdc6-ed2e7d05a1eb	0	0
fc1e3d7a-2af0-437a-ba75-1f6eebb42346	0	0
f201be79-e7f3-4edd-8b3a-3c5306fa29e8	17.1436818181818182	1.4287544427272727
ca73f486-4b1b-4bad-ac02-576db3a94d82	0	0
d7df776c-9c86-4e0a-a40a-5190dc8c12f3	16	1.33343999999999996
c43e206a-e1e6-4a09-92c8-24cfa9ef725c	0	0
f5f7783a-e398-480e-beec-7a278b5ec0ea	0	0
05059fcf-671a-4265-a05d-cc2550b73365	0	0
2795107d-ae4d-4a0d-8a36-f0abb16a0b9b	0	0
0828bc43-1aa1-483f-a1f1-08ee8b6552f4	0	0
462914f4-2b01-4d19-a0ab-708f5ead1ebd	0	0
a37cc9d0-58b6-4f18-b250-02317aaa704b	0	0
b2bf342c-63f1-415c-bf42-a176d9104cff	0	0
0a68ae82-29a8-441b-93e6-aa058098d649	0	0
d9c563b3-f673-4279-8b49-39beea928097	0	0
453f776c-6884-4562-a58b-da571e19a65c	0	0
163f0555-57e6-4251-a52d-359877d485d4	70	5.8338000000000001
fd195951-6df3-4b1b-9b8b-59e0eb3d9fc1	0.594125249072381956	0.0495168737795634445
262bdc63-95b3-4854-b3db-1c4357b2c3e4	0	0
bbedfe99-617e-492c-b5e2-3ffd4b99d022	0	0
2b5207ee-d091-4add-8ee3-960c3e334dfd	11.1837229437229446	0.932098068975468985
9d1f4442-9d34-493c-bc8f-62246af8867a	0	0
d41ba74a-b752-4d84-900d-354fa6ad240e	0	0
313be0f2-5343-4e40-adb6-3001c28b614a	17.1436818181818182	1.42882587473484834
63a8ddcf-422f-47a9-986e-359d7a0fa919	0	0
e9cbe56c-56f5-481f-801d-2e6af1964def	16	1.33350666666666662
59be3e35-eabb-4a50-b66c-254f3e20e41d	0	0
2027fc36-94ef-426d-b92c-7ec215d4b54c	0	0
ccf8e8a3-a977-4478-9fb2-1bfdded5e53a	0	0
f38f20f8-1f6a-4968-aec4-efea6dbd5b16	0	0
4446cd61-3a83-41c1-920b-0a1ff76907d9	0	0
6469cec6-fa91-45af-a04f-483237f432f2	0	0
a608ede0-12c7-429d-be5f-80f39aebc30b	0	0
d42cbec9-3c5f-4f14-b134-44a4caa4266d	0	0
052ade2e-b24e-4e07-9472-415d6ed0818a	0	0
56134bf7-5043-4af9-baa9-7f986e896d4b	0	0
43521cfb-c8a6-443b-9cd3-96d547362401	0	0
aea0647a-a86c-4ec9-b843-fe07aaa40c33	70	5.83409166666666668
43def139-11be-41ef-98e2-338c64e88801	0.594125249072381956	0.0495119227358211747
c33d4f5c-fdf1-4ff8-976c-2160453e7893	0	0
2618caff-3ee5-4440-8e0a-b953f4159b86	0	0
e8dbba22-ac1c-4ef6-b97d-2beb89fd56a1	11.1837229437229446	0.932004871284271341
2773ba94-c2de-4bb5-a29e-006a582f7cd4	0	0
de2ab282-e9c5-49ec-90b7-66171d3a1714	0	0
4a22159b-e352-4f73-924e-60bc1104cc87	17.1436818181818182	1.42868301071969683
1bea3b60-9941-4ef5-bdb6-9477eec33004	0	0
22c8ffd6-ca36-41e6-abf9-42c6dc30afba	16	1.3333733333333333
3632c1c2-a4a4-491a-ab56-c58eabc1ea68	0	0
701213aa-4a63-4d4e-a292-77dc17c67f53	0	0
ebaf5bc2-cf7a-4b1c-b78b-29aa4b521a03	0	0
f4341bd9-ef47-4d19-969e-990283495f30	0	0
0c41ff52-1799-4e8a-a848-de3ba33c58b7	0	0
9f55a54a-01dd-4aef-a1c4-a29457eb8ddc	0	0
28665bd1-2202-437b-86c6-fa3e570e74dd	0	0
74451faa-366a-4d26-b1a2-658930009c49	0	0
78235616-354d-40ba-90ee-109a5bd30e22	0	0
6fd3d57b-4157-4fbb-933c-9c2a8b8f40ef	0	0
f69ac105-aedf-4b73-bf70-5c56bb1612e8	0	0
c3af2a65-a14c-4846-a578-c8e84dd1d445	70	5.83350833333333352
9bcf0d37-4910-419f-8b65-d9854638493b	0.594125249072381956	0.04951291294456963
5fc1fccf-bdf3-4081-b535-c5057c6c6f1f	0	0
2ffc969f-377b-4cd5-bb52-7a1395c2d77e	0	0
a85482ce-b4a1-44c5-b324-d11c98e2f6e9	11.1837229437229446	0.932023510822510892
808cb507-1efe-42a0-978a-d2c8bd04ee60	0	0
f02ec0c5-9a24-4a19-93e2-d65f04a69745	0	0
2f8a6f00-5c93-43ff-9cbc-e0bcd899585f	17.1436818181818182	1.42871158352272709
ff7fc458-b85f-4911-b5f3-bb062d45ff56	0	0
2ad6bfbd-8a6b-4b3f-89cd-f31c53871f54	16	1.33339999999999992
5f179f38-a2b7-4aaf-88e7-66142eafa8f2	0	0
fe2e4c3d-b758-47d5-ab19-3950fd4da7e0	0	0
bc132012-93d8-4a31-8a93-97f3750cccd0	0	0
c4bdc49a-ed4b-4e25-a028-e4b7e06c84ec	0	0
1be1b085-ca12-4c38-b76f-2bb31e5c0a27	0	0
5c50e8f8-8d8b-4e9c-806d-b26dc7f38754	0	0
80157deb-723b-4f01-9fe4-def447b737bb	0	0
0230fe1c-7833-466d-b47a-0c0fd52fcedb	0	0
49780407-eb17-4d2b-96c4-d42d36fcd359	0	0
17d4791b-fafc-45a1-87c6-0efefabc3346	0	0
cc693301-13d3-47f2-ac10-0223eead7b06	0	0
d29e168b-bcbd-465a-8a6f-91b79eb3954a	70	5.83362499999999962
72ba24a3-e133-40c6-961e-f3a16b65998b	0.594125249072381956	0.0495137381185266762
f9c516ac-c805-4456-b8a1-7bf9bf4d15ee	0	0
6c33ab73-aa18-4b45-98b7-7f3d95be5ec1	0	0
57f26608-3631-476a-9c37-b1a79c5ab876	11.1837229437229446	0.932039043771043851
765ec34f-90a1-4a6d-a0f8-4b437521f78a	0	0
2d6438f2-4ec8-41b5-be9a-0676ba25445c	0	0
b8aa4492-34a4-4d7e-8e51-e937f5d687f3	17.1436818181818182	1.42873539419191919
7a34876c-d994-4a6c-b701-b7b904d4b7ee	0	0
df726df1-6f79-474e-9bb4-e069c2d97c4d	16	1.33342222222222229
660283be-ced3-4b1d-9820-702ca8393a0b	0	0
328b4fe0-38fb-40cf-9a16-c7ebd3b31d12	0	0
87adce94-f08b-42d7-a138-a5d67e43f895	0	0
b4e1dfc3-23be-46ef-8fb5-27d5ad1c7f5b	0	0
4f07804a-b3d9-4d81-8a75-5ef969f008f8	0	0
97240aaa-23f1-4d71-aeda-10dc2310a5c9	0	0
1e053302-90aa-41dd-a4b7-a973e60b562a	0	0
63c9dff0-2777-40b3-b786-c5aadeec3fda	0	0
9b8c6099-8dbd-498a-a4d8-a8904460ecce	0	0
45765aba-6067-46df-a3fa-534be3494b42	0	0
c09fb07f-12a5-4af7-9ea7-3a10fa26f6e3	0	0
3720bf6e-0fcc-48d8-a540-8d9d4c8a7038	70	5.8337222222222227
c27a8c9a-f2f6-4f33-998e-6b5590954f1a	0.594125249072381956	0.0495142332229009038
59442cde-6094-4c97-9a2f-86d6f4567990	0	0
709bc9b1-bf18-4561-a29b-e870fb700925	0	0
bb991b12-2767-4870-8867-38565b6ab8d1	11.1837229437229446	0.932048363540163516
c8814d6a-ca1c-4cd3-8a2c-97047150cf68	0	0
a57d35a6-0d62-45bf-82f8-f0bf5eff2f46	0	0
3ab55eb8-f176-4f0e-a433-cfbbde8298d2	17.1436818181818182	1.42874968059343432
6976e033-2e89-47ff-8b81-dc60b00f9e4a	0	0
dffe9a9c-8f79-45f6-8223-d2c0c9cb065d	16	1.33343555555555549
91f2d98f-97e6-4099-a67f-4848ff1e0852	0	0
cea676e5-b137-434b-93f6-02c87601ce79	0	0
bf8a62f1-2c6e-4b40-b648-9ed4987eefca	0	0
8a3dc7a1-390f-4f1f-828f-284ee6272701	0	0
b7bdb0f7-7259-4296-9c5a-3d8d9bccaa04	0	0
db210177-b813-4ae7-b5ba-a4580282b200	0	0
7acf1171-2179-47e5-b837-fe9c34c629b0	0	0
44da055e-253e-4dcf-aec7-db020917c8e5	0	0
3b06b48d-a74b-494a-8ff0-19d9dd9091bf	0	0
283a23f3-92ea-4a33-96af-23fecacc4095	0	0
3399cd40-6c0a-4d8d-a029-d7c49b49f183	0	0
fbd1e1f7-1de5-4b4d-9b13-3a1813790e43	70	5.8337805555555553
67c479a3-1f2a-478d-80b1-6b51e8ca383a	0.594125249072381956	0.0495142332229009038
00f7bf5d-8499-4f82-bbc7-4658dca8dff3	0	0
b272e6bc-21d9-4e21-b77b-9057d82ebfa7	0	0
fbb7c593-9b97-479a-b151-015e281936bb	11.1837229437229446	0.932048363540163516
49de729a-95dc-40b2-bd6b-611ff4ba2363	0	0
ec6e7810-4e28-436b-81ce-8d4ccdfad28c	0	0
a8401720-b4a7-4aa8-bbb3-fcd3b398a17c	17.1436818181818182	1.42874968059343432
f8c2a968-4d7c-4a73-8110-5d3729f2ea5b	0	0
693630a2-96d5-48c8-9aef-aae02b3c70e4	16	1.33343555555555549
b6e60f67-0dbc-499a-94e8-d7545736abf7	0	0
d03f9af0-45a5-4fd9-8589-09c18fe051fe	0	0
96797c20-ec95-42a4-9651-5f4d53371c5f	0	0
c1ce7393-ea3d-4462-bfb0-d8c8ff25e84f	0	0
ee1747f0-b2f6-4f38-ab25-4de15821042a	0	0
92285ebe-4ce0-4533-a7a5-f21389a29c7f	0	0
9d13b497-1fda-4db5-91a8-e34db98c5ad0	0	0
468d457d-dfaa-4482-bb94-515bd8690fab	0	0
3c1c3845-2c82-4067-951a-46222bc8e96f	0	0
cf5d9829-8146-4775-ae48-c7939eb0715c	0	0
ce41a62b-10cc-4c0d-b9df-c91e06f25abb	0	0
38d09ed5-f99b-47f5-ae4f-8f5d16492bda	70	5.8337805555555553
0f9992b0-8990-4067-a342-5c054cd6ae14	0.594125249072381956	0.0495148933620665407
caa4fcee-8920-48da-9645-7836a0bfa0b2	0	0
9688c2fd-0fcd-4685-8383-4ee79a6f11b7	0	0
d92721c8-d81d-4926-8e07-784601074f36	11.1837229437229446	0.932060789898989994
b2379e0c-857d-4f72-bf3a-4258d459c363	0	0
164d3e11-9ef5-415a-af35-8806d9d85a1b	0	0
23700e3e-c296-4671-a22e-ead452b371af	17.1436818181818182	1.42876872912878783
c07ae669-e6eb-4e50-b994-6938e0cd8d05	0	0
5ffc21f4-3258-403a-8183-2f6a7d4f82e0	16	1.33345333333333338
76473c6c-2e19-4ecf-bfc4-dbb124798dcf	0	0
f2c61420-c0cd-4fe9-9fcd-db43b053a79b	0	0
603fc05c-66c8-4f1c-8aa7-a86e9d630dbb	0	0
1178c200-ecc9-4bc7-bd70-2a7c5e2ad636	0	0
7d1b70e2-d168-4a0d-8815-207f33b958cf	0	0
990d2508-37cb-4c2a-9672-d9bf1a9fc029	0	0
5e90fb12-b4e4-4c1f-bc85-da81ba048315	0	0
d2285ca7-4cae-4697-83fa-d1dc8f4fe9ea	0	0
9e570528-4f03-4780-989b-2764b98e9e25	0	0
4906a2a0-72c1-4abc-a0c7-515c0cc37ff0	0	0
f7bc9654-e34e-4d80-9104-62803124a1ee	0	0
42ac12df-9d26-47bb-aac6-6145f6f5d97c	70	5.83385833333333359
4b39d68a-bece-4228-b0ab-d7dfcfa7e66c	0.594125249072381956	0.0495140681881094877
d2171c8f-7f00-4bf2-a4cd-3fe3b4f3187a	0	0
6eb1e6f0-a4e9-4993-9e8d-d259622926fc	0	0
57dfffd4-6801-4d7b-99fd-fbe7402fafd8	11.1837229437229446	0.932045256950456924
8d06f5bf-35de-43b7-a001-e63d419d0b61	0	0
dad2af97-e79a-4de6-82c0-d7faa4527807	0	0
aa67c3e7-00c1-4752-bbd8-953adf198dee	17.1436818181818182	1.42874491845959595
52cd3d75-8100-48aa-8d0b-f6412d1c6f34	0	0
cea3e201-3ac2-4178-8eae-7773f2ad7065	16	1.33343111111111101
c06adea4-e69e-4c7e-b1e9-c793be958842	0	0
ed60cce9-e7b8-468b-af93-d05349434003	0	0
faf1a982-3a13-40eb-8685-6919ce8cd18e	0	0
7e909bf0-471a-43f1-8677-f78d1ca51e03	0	0
565ef6d8-2ca2-4b7a-9c2d-12dde0bbae96	0	0
c611f8c0-15b4-49e0-ac71-c313517f55e7	0	0
e61290c9-adb0-492f-9df3-f00fdc32dd0c	0	0
3c8a4b93-960c-47f4-a281-29f02e22a37c	0	0
9f099700-3760-49ca-b3f9-8ed807053563	0	0
103ba8de-6b64-404c-a0e3-bab63fbe27fb	0	0
e928b17c-f0bf-4aca-931c-c8a50a5da1be	0	0
5c00e2a6-a86d-4eca-a8f9-4e6eb06fe9f1	70	5.83376111111111051
b8322c3d-be77-46b4-88a3-f314b3856b85	0.594125249072381956	0.0495130779793610393
7111c86b-e10d-49c3-b7b7-cdcbf47e090e	0	0
b2d231a5-c2b9-4c5d-a143-317fbf851086	0	0
0bc148bf-2e78-4318-8b06-bdaa32720b23	11.1837229437229446	0.932026617412217484
52c10302-d4f4-4a9c-ac63-059432426c8b	0	0
9a10a925-28dd-48b3-99b5-d8ff0c4c03fc	0	0
6a7242fd-7da6-44ba-9fb7-fe7fb0da856d	17.1436818181818182	1.42871634565656569
536be3c4-8c07-44ee-935e-d4c65d7cc6e7	0	0
e5e507a8-4fb1-45e4-8fee-b90ca9b4db99	16	1.33340444444444439
208f9904-1889-4d2f-8c39-600b1b0e5856	0	0
57fcaaf0-bb47-4372-9d60-321f4374fc81	0	0
5d465ec4-bceb-4eaa-ba18-7125513e801f	0	0
bf7cd605-8a13-4b47-aa90-a31ff75cbd06	0	0
a32fc341-1e7a-45cb-84e1-18105ac254b0	0	0
e62ed09f-6c68-4281-90f2-d740de84fb71	0	0
3161ad0a-f878-4dda-bfdc-feef4001f2d1	0	0
1b66b50c-7cab-423f-b6e3-0003705af21b	0	0
e4717f9a-267d-4503-843d-99af6627a278	0	0
a9bf8e7f-05c2-4db8-841a-e13a6b4bf987	0	0
0bcf8b23-4d67-482d-85c8-5c55fbc381cf	0	0
7fe823a6-4b32-4a33-929f-0be94a3ee08c	70	5.83364444444444441
81ec292e-a951-4711-a26b-45f0373dfad9	0.594125249072381956	0.0495056514137476311
3051955a-5762-42d5-9a3b-a691259ac20c	0	0
693f7318-f362-43fc-aa28-80fe7d0c0106	0	0
08444ce5-d085-45b9-8ce1-d6d48a0be24c	11.1837229437229446	0.931886820875420963
0a8d491d-2152-4be3-b834-85d5847e0ab1	0	0
bf505344-ed12-4cf4-8ef7-c8051560cfd2	0	0
ade03fd2-b15d-4841-b8c5-0aa3c7785bee	17.1436818181818182	1.42850204963383831
d55454a5-1412-4167-ab37-77c4de030b05	0	0
3314a19c-2a2d-4232-8cea-34ef18d1c45b	16	1.33320444444444441
4b5f6c51-1a74-4eeb-9e3c-1b7ed654e0c5	0	0
9f08d6c9-f672-48c9-a144-20be3c698c81	0	0
4302c0c1-cd83-42df-9e9d-4a1670e8cc39	0	0
80e05248-2360-4372-9238-31de90411843	0	0
da9a0ae6-da34-4c86-8724-c229193f6bc2	0	0
ec1d351f-e772-415e-b0e7-8760b0eb800a	0	0
8f3db193-dfd7-4399-ad05-eba3e9eaeac3	0	0
1169fc3f-4195-456d-a063-3e615589d0fb	0	0
26cbfc35-51d4-46a7-a93e-1930889eba62	0	0
cede31f5-91d1-4b70-96e5-57451919d189	0	0
5fadff27-4079-455d-b1ac-51f256952784	0	0
f29598c6-225e-4933-acf0-d9f2b0fe0517	70	5.83276944444444467
6a9f3835-214f-4140-b2a8-8753163b32b2	0.594125249072381956	0.0495188541970603552
aa18ebb8-8187-4552-9aee-a99f7aff25e1	0	0
a8cc2ddb-9b11-4d93-903b-8155b602e587	0	0
4dce8837-ef5f-41fc-8f07-757762d5bcf5	11.1837229437229446	0.932135348051948198
cad4c9af-662b-46d3-b64b-b2ec71c8d591	0	0
d57d14f5-e7e1-40f9-b650-57ee000873c0	0	0
3caeb01c-fb4e-4a99-8152-36ba0a0967f0	17.1436818181818182	1.42888302034090908
39ebd9a2-1a2b-416a-8789-f83362f40c6c	0	0
068bfbd2-aba1-401b-98bf-5eee5988b170	16	1.33356000000000008
c467067e-db05-440f-9437-c72a43a5a685	0	0
343efc71-80ea-4382-a25f-a0e2fe16722d	0	0
814ed72c-19fa-4e63-a591-1a466ca15dd3	0	0
0a1b55f7-5b67-4275-9f33-918b391dc837	0	0
14c1fd67-b0bd-4f6b-9a0a-7770aa57acd4	0	0
e35b6d2f-e6da-476a-86a8-b70157a2c14d	0	0
c2792d8b-10c4-4e38-a0cf-3bec7b4af809	0	0
20cb72f8-0070-43b6-962a-1f1738ce6fc6	0	0
9ceb689a-3825-4b49-a141-26a931c51eec	0	0
ce63b700-fd30-4734-95c2-d7f560b0078d	0	0
bf9f75e9-d69a-4aeb-9d75-63bc9440d83d	0	0
37316ef6-471f-40a8-885f-f8b80014a9f4	70	5.83432500000000065
ccf2c420-0a03-4ef2-a6b3-45d464cd9a10	0.594125249072381956	0.0495163786751892238
e44d958a-cffd-4a42-a688-4fe954cfb873	0	0
e1be0dba-af3f-429b-a860-483739d19c7a	0	0
a11e5bf4-0e84-4a70-a188-58dd17edfbfc	11.1837229437229446	0.932088749206349321
2523deef-f298-4cac-b40b-74a5d2f5b315	0	0
218ed506-88f0-4816-9285-eb3404edab72	0	0
4bb25b38-8928-4fce-962d-d15f1b75de20	17.1436818181818182	1.42881158833333344
24aff731-9662-4696-b0b9-4c48ac35f9e2	0	0
7b06ccb2-4789-4bed-a374-8e7db01c8f91	16	1.33349333333333342
6c78d7da-3f21-4d6b-a697-847c5565ac3f	0	0
dea6db8e-1b12-48b2-b557-7d88f468ee74	0	0
273fc74f-1742-4fe0-b2e7-ec1d4cf0d210	0	0
69372be0-5413-42d5-a63d-6ef8f6ab44b8	0	0
6ec9cb6e-ef7b-48ad-81c3-098d8426adc0	0	0
b37632b3-add0-40a2-9a72-8ecafac1f4ae	0	0
0d0b0598-b068-4719-b514-3d27cda88a63	0	0
a4954b22-ea9d-4a59-b5a5-69ee65c9478a	0	0
e71f64e9-e10a-4ecd-9d0b-e6302267ba06	0	0
b679ba17-f4e6-4dc6-82a3-838fb88ec276	0	0
8dc15176-67da-4905-8815-c815bc7d8f35	0	0
dc1f6349-1aae-4e0b-8779-e901c5f1cc5f	70	5.83403333333333407
7e55f41f-5d35-434f-8b1e-b5f64dbe8cfc	0.594125249072381956	0.0495132430141524485
b42e5529-f150-4091-b747-e70b1622642f	0	0
d898b02c-c528-4252-b046-036dce43b024	0	0
fea28813-0de7-4fec-9132-1eb8dc471876	11.1837229437229446	0.932029724001924076
2423c71a-621c-401c-9c72-dfc29ff0b0ea	0	0
42259870-bbb3-4c1f-83b3-46a5410ae43a	0	0
a9749aa2-c0f7-416e-9482-11e279a2ef7f	17.1436818181818182	1.42872110779040407
bfe58c1c-ecf4-4cad-8929-65d8b34ad8b7	0	0
daef8575-1e1e-4df9-aaed-987ba680d6e0	16	1.33340888888888887
395b835f-5d2f-4e0b-b76b-9874db9b0d74	0	0
7bfcceec-0659-418f-8a75-6023080b674a	0	0
0dd22304-65cf-42dc-bcb0-e276d9cb347a	0	0
573fde44-3fec-4587-98da-e65d12dd4e67	0	0
11285b5b-5997-41ec-ae54-5f5ba261a429	0	0
e6c0b270-746d-4999-a87a-bfc9a8f7b7c2	0	0
294a932f-0b04-4682-b675-5c2d65e7b282	0	0
a08e63d1-2115-457f-8c69-23e489a3db6a	0	0
7d4a900d-1e27-46b1-8816-07bfedad8214	0	0
cf31a45c-2381-44c8-9659-4c5cc3fdea2d	0	0
3f082b1d-8916-4d00-b6ab-ef56450bb8ef	0	0
fd0f868a-e6df-4cf0-88cb-1357d7e79f09	70	5.8336638888888892
c45fd61c-f7ca-493e-9ebd-697251fad53d	0.594125249072381956	0.0495157185360235799
9c22fc05-f03b-4094-84c9-633640fd1e23	0	0
6f815253-dc99-44ce-98b5-677e24b4299a	0	0
e10a07b6-915d-4846-9d42-90a65161c115	11.1837229437229446	0.932076322847522953
f2b77610-8a9a-4398-a926-c73a1adab19f	0	0
02c83f1a-c4c0-484e-a3c1-64cdda90dd8a	0	0
70aeb7d4-71ca-483e-b813-24ca610191be	17.1436818181818182	1.42879253979797971
78a20977-de25-43c0-b0e5-bf3eb37505c8	0	0
a305663c-0d4b-4434-9e28-8d4e4ca116ea	16	1.33347555555555553
1489bc52-3416-45b0-8086-82c7576db7dd	0	0
5e84a8ea-41b7-47d5-947d-64cd83d8d17f	0	0
07398d7a-6571-4ae0-9b35-ce4e726e54a2	0	0
16e110ce-137a-43c1-9b17-1c3a2934cbd0	0	0
81cba202-2d60-4866-98d3-1e3d9d5d8dd3	0	0
c61c715a-e630-455c-bae7-fc79dd487246	0	0
c4cc1183-30d4-489e-8597-c7b706a98c42	0	0
7cd38d35-865a-41db-8da4-cf842706ef67	0	0
1bfb5662-8a60-4ca1-a044-8f5d22413b52	0	0
7210e989-ac6e-48d7-b973-05bdf86ec16f	0	0
75b597ae-b51b-41ac-a720-6cff2643f3fa	0	0
cec798d2-cb11-4c61-a6a2-dbdf6ce9990d	70	5.83395555555555578
38f48efc-57f3-4983-afe0-6417a71f0916	0.594125249072381956	0.0495148933620665407
73ed72b5-eb45-4e88-aa80-2eb7cc68562f	0	0
c15c5fe9-c7e5-4dec-832e-4161b476a41b	0	0
1e3d63a5-5486-48bc-8994-3ce188ea94e4	11.1837229437229446	0.932060789898989994
ad50e4a0-f37a-45fe-a232-f0c884bba540	0	0
de9a4222-8129-49e7-81bc-b9262f802aad	0	0
900a25d1-a63c-4e11-af65-072f3e6068ce	17.1436818181818182	1.42876872912878783
2ce50784-dc7e-4150-a1bd-7e6d0cb2c2f2	0	0
1c54cba3-60fc-4e73-9425-abfccd991c9b	16	1.33345333333333338
110df3dc-3948-4a8c-bce5-286f73083ea0	0	0
6c420490-9076-4381-b1fa-e28782dd9fb9	0	0
1663f96f-2bd3-4078-b68b-0201d331fce3	0	0
30b6d976-d1fb-4f84-9f4e-be741d100b28	0	0
72bc2bb5-912a-4b1c-9622-27bbba142819	0	0
26c54737-6c35-4e25-a195-99dd9772fa7c	0	0
457a8df0-48f0-4b64-be5a-d6a882c2860e	0	0
fec1fe0b-4781-4c7e-83cd-b38981d2e85a	0	0
d95037b0-bec1-4024-8607-e5dfc3cf734b	0	0
76a6dea7-ba6c-4784-8d2c-f091effc91a7	0	0
24e91437-d52b-46f0-9fdf-f9ba783f37c0	0	0
b71949e7-4598-4cab-8e60-985ca5b53fcf	70	5.83385833333333359
5fa1ecef-f0f3-4e28-945f-f69f943a27be	0.594125249072381956	0.0495097772835328617
82107c72-18b4-400a-ba6c-8d63ff7a6965	0	0
d18be0ef-4395-4c62-8986-2bd4ecea9b4d	0	0
41e00d49-87f8-47f6-9be2-2e4475eb97b4	11.1837229437229446	0.931964485618085758
033f2f33-d9be-4ead-8994-a88f8241fd06	0	0
36731a49-5e99-4cb1-a89a-cd6ef2021afe	0	0
a4c0203f-0d55-474f-a51b-4cee3cf3128c	17.1436818181818182	1.42862110297979794
6c0f048a-0768-4af1-a591-36b98522427f	0	0
c4b33e44-d19c-4e36-a24b-6e91642acbe3	16	1.33331555555555559
cc8895da-868d-4355-8183-060b5bb6bd22	0	0
400cc074-89ea-40b3-9610-b302a22164e3	0	0
f8b68ae7-834b-41e9-9661-01867597d6b5	0	0
1b99ba1b-a821-4522-b467-9e24d1665385	0	0
496b2302-8f28-4fef-961c-4259fc2df0d6	0	0
371e5336-2186-4a7c-9d78-aaf8e10a322d	0	0
8554f9bf-5597-462e-9694-b6b8f3a14f7c	0	0
ecd7f8a2-2461-4a58-9add-9a028ccfb29b	0	0
d1574b82-69e1-4c64-bb84-ac7bcf146026	0	0
eb113f40-6604-4e91-a4c8-a5c8936c3059	0	0
f5106df5-dce0-4a6a-9fbc-eefd4b9b4147	0	0
343a282c-fbb7-4937-bb71-00662d9018df	70	5.83325555555555564
f9ccafb7-5b13-4b07-8678-c95ae8fa322c	0.594125249072381956	0.0495178639883118998
269ca607-43ec-49ff-970b-e33195df3de6	0	0
1ba57e12-7080-4a39-aa0c-1631ff043e66	0	0
e826daf6-7ac9-48a7-b215-d5440023b304	11.1837229437229446	0.932116708513708536
65d00265-2774-40a9-8b0c-13a4938586d5	0	0
310a8733-68f9-4b92-a71b-9309bac27d14	0	0
38bb1945-3c7b-4324-9846-3baaa981873a	17.1436818181818182	1.4288544475378786
3f9da7c8-c689-48bf-b167-491c40fef6e9	0	0
ad69635d-d224-4f1c-a3bf-d685ac9d806c	16	1.33353333333333324
a64c5c8b-4eba-4d65-8fe9-04a2f0e293c4	0	0
4f709c78-c80c-4f8e-b8a3-f462c8862907	0	0
90676fbd-7322-4de6-9f9a-1caa98bdbcd5	0	0
b9ce7324-cddf-4fda-aaa5-dd0aa152208f	0	0
2b0b22a8-d58e-4013-886c-fff2a20b5f26	0	0
15048cc8-1a07-4ee8-aa19-7014829771d4	0	0
41c60b09-a1f5-498a-a7a2-21f640459205	0	0
2e224489-2ca1-4202-8573-41fe6ebde211	0	0
c78456ad-3f66-4670-9550-4b1414c2b9cc	0	0
faba025c-75cb-4c81-bca7-50d39ad6aed1	0	0
dfbaa9d8-b1b6-4161-a90e-87fde618856a	0	0
c7895f8a-c642-43b6-ab7a-4733b5dbab01	70	5.83420833333333277
e5ff2772-1275-4678-9a63-8e15d3b9860d	0.594125249072381956	0.0495132430141524485
1f06c87a-0cb6-43f4-a7d2-47b4419479bf	0	0
5199db34-391e-4492-b56a-662e5692a16c	0	0
5a3de84b-c351-43f5-917f-6f0b306d4895	11.1837229437229446	0.932029724001924076
a48ae3f2-c145-4bca-ad16-a84bd551ba83	0	0
2b5d4919-f0d3-4af4-af05-e8ed79a186bf	0	0
68935b0f-85c6-4dcd-a7d2-a498a362bb05	17.1436818181818182	1.42872110779040407
2c0985ae-1b0b-462f-bd0f-6951e5047152	0	0
50c2a3e9-7666-4195-b123-172ee36e06e9	16	1.33340888888888887
261b0e10-b979-4188-af15-7592fee9b8b1	0	0
5d2df252-6c1a-4322-818e-552b2b9a2ee3	0	0
6be1af3b-4dc5-4224-993e-05907d73d851	0	0
f0b45d8c-a525-4f6c-b05e-609284c0bb91	0	0
60085a7a-486a-4ae2-82c1-74fa4fb7511f	0	0
42368ba9-d48d-4ef6-a7fb-ab3916c48d97	0	0
a6f9347a-0ebc-4e80-87d4-47d6dee45c6b	0	0
4fae4b76-c32b-43d1-b96f-1d4b1b39d9f8	0	0
8f9dbf3f-8541-4c73-b398-904d0c3fb7eb	0	0
5211f235-51ad-4ee2-b365-20ca7498653b	0	0
2c9733cc-5ba4-4560-8d55-eeff957acc9d	0	0
5ba8897b-6f3f-41ca-8a95-d96159fbf4c6	70	5.8336638888888892
7634927f-e4b2-46fe-ac47-c8af95981dbf	0.594125249072381956	0.0495061465181218657
742ada01-ccf7-4b99-a106-e45077945ebf	0	0
f43e7d20-6369-4faa-910f-81aeaa91ae6d	0	0
e96bfa2c-7cc2-4fa2-8844-1f3bdf05ec3a	11.1837229437229446	0.931896140644540738
677e15d1-e7f5-4eda-916f-0bff6750cd50	0	0
14ace52c-4f52-4682-8150-64266d10fb96	0	0
9a191ba5-5322-4f40-a006-ea117e04c5a0	17.1436818181818182	1.42851633603535366
2895a32c-4540-4ac5-9fef-92ec816dabfb	0	0
3832011c-cda3-476a-a4fa-1747f576ff9c	16	1.33321777777777783
f65802e1-5989-4f0b-a89c-86f8bf886794	0	0
f35b05d3-1c26-443a-97b9-7feba434236d	0	0
7722bd01-a58d-44ab-a60b-202090fc5127	0	0
38e49b88-678c-4b7d-a858-02c321c4be97	0	0
74ce3219-f714-4691-8fd0-146f8dcafde6	0	0
2ae25e62-0e7f-48ce-8cf3-9a55b072d7c7	0	0
d33c897e-e5c1-4232-bb9b-21a8e36dc687	0	0
37025e78-302b-461b-a03a-94379a963115	0	0
02d2f34b-89e8-4855-ac10-aacb665e4ee2	0	0
614d7fa1-34df-4bcd-9171-faf98399eceb	0	0
b8b13ea6-fc82-472d-aa2c-891c52a73a76	0	0
67f80e71-8f04-48f4-9ba9-f73114e96741	70	5.83282777777777817
46802931-916f-4e81-86f6-f8eb1dd0cc4d	0.594125249072381956	0.0495190192318517713
2f340972-03d5-452c-85e3-5f49df26d222	0	0
254315b0-613c-4404-b239-a19dcb9e0d9b	0	0
95d4483d-5050-40d8-b893-721bd4ba88b8	11.1837229437229446	0.93213845464165479
8b4df069-fa25-4999-b9f2-995fecda2006	0	0
ffda63c7-88a0-470e-b477-d384f8065bce	0	0
bea315d7-93b2-45a6-a396-41a21c96aedd	17.1436818181818182	1.42888778247474768
139a8f5b-fb6e-41d9-8db3-4817557239ca	0	0
aae343d7-7f5d-4a8e-b925-16201d131def	16	1.33356444444444455
fe5654db-4aca-4d0a-a8bd-06999a3dd8ca	0	0
d1a4dd63-8e99-4667-84ab-630eb1c4be1d	0	0
ce2594c2-5a18-42e3-888e-437b34229c5c	0	0
6a703ed6-3d2a-40e8-bab3-829e0bf3e3fa	0	0
7a5d8b62-bb5f-4207-92cf-0542c754ef8f	0	0
53f35609-680c-468d-b482-e91a66fb6fa3	0	0
31aae474-f6c7-4451-8072-f3a9823e6b2c	0	0
019d51b5-1ea7-4f45-abb1-981d75bc6f17	0	0
d96afe88-be40-4010-8003-7e9a3858a72b	0	0
4cf109ea-1eb9-4b03-b3da-9b43d0fc0bed	0	0
13667afa-b85a-4593-b9a3-86b9b613cac7	0	0
32f551ff-8ade-45cf-b93c-5fd4c9e27a99	70	5.83434444444444456
a414dc20-a098-4523-9118-22c338297c2a	0.594125249072381956	0.0495120877706125839
3c7731eb-cc77-491e-8c81-55e705a03f46	0	0
37f8e9fe-a25a-4bbb-8219-4d1e86e8d25b	0	0
49f246f2-06af-4298-ad29-874267656bbb	11.1837229437229446	0.932007977873977933
b8661456-1460-450a-a579-e404d6cf9974	0	0
0bfcf2dd-eee4-4451-be1e-9e1d7a89f487	0	0
72523b69-ec58-4235-bdab-39d1aa75a33f	17.1436818181818182	1.42868777285353543
8826a8fd-69b6-4093-bde5-1378ef0eb28e	0	0
c523af47-6945-4a28-885c-2e5f3ffc7229	16	1.33337777777777777
290ce389-2592-427a-a380-3b119d02c403	0	0
fd90a804-0335-4bb6-bc9d-9b665510c619	0	0
1b3185da-557d-425b-85d6-885b780d1436	0	0
f4e4a6df-0cf0-4279-9c8c-71abef00f60c	0	0
0c48da3e-72af-4332-b29f-943c4e2cb626	0	0
7ff168be-7325-4bdb-9620-899326308839	0	0
f927babf-3c7a-46a0-9548-8035a0455ccb	0	0
0ed888d1-405f-4027-98c1-f83752f9fd13	0	0
23e4fcab-c519-493e-b975-b82e4b0b97a3	0	0
c51501fe-c49d-48e6-9559-f63cc6372b4b	0	0
b140b529-0649-49bc-ae5e-b26d19832e39	0	0
717fb3c3-8938-4c81-87ba-fce390802a3a	70	5.83352777777777742
ca9611ef-e34a-414f-8a57-2817de7bcdc5	0.594125249072381956	0.0495140681881094877
cafa4d4c-41e7-40da-beca-19479524aba3	0	0
f0b87bb1-1a84-4f69-ad7b-b3c2ee2b0eff	0	0
96506bf4-256b-4a07-84e9-7fd842fce0ce	11.1837229437229446	0.932045256950456924
d0ba0739-10ed-4069-8898-964e7d69ab4e	0	0
ce82569b-dbb4-4cdf-99e2-55c31c9fb07d	0	0
8edf10ad-020a-4957-9d3f-54be4f7a117a	17.1436818181818182	1.42874491845959595
b77f503d-b48e-40a8-870c-e22dcf0f76fb	0	0
3b356857-46a4-434f-9bab-7ea0b0dc345a	16	1.33343111111111101
efa9e414-9e42-4ec6-9e0b-e8e8ff40acbb	0	0
75b51125-a967-4f5d-815d-c4a467fdba2d	0	0
7d40be9f-905a-4013-a6aa-e4887b126870	0	0
6124ff83-6ad0-4442-b1af-6ed9f87f5358	0	0
cb849de7-6a05-474a-b74c-ebcae9c7f9eb	0	0
ecdc23ca-cc1a-40f2-8c1c-603af3c17349	0	0
f1781c57-2389-401c-95ce-3bf5fb24bc44	0	0
ce32b5a3-1206-41be-b0ad-288c04072937	0	0
6f9b3dbc-a91a-41a6-aa26-391212a87147	0	0
4c6e78cd-529c-4bba-9b77-550982011cae	0	0
ac630d06-8448-44b5-8894-7a8ed54ca100	0	0
70a55cbe-2eeb-4425-8290-3f8101de4b08	70	5.83376111111111051
c22d07d1-8ab8-4c18-9aeb-28f2471327a1	0.594125249072381956	0.0495132430141524485
40b51a0f-cc43-4446-ab3b-6a1ef134b40e	0	0
bca3002a-ff61-47a7-b117-fc98d1d508de	0	0
f49aa6b6-7c12-4171-8902-3b75c4cf92b3	11.1837229437229446	0.932029724001924076
59186f37-92f9-4bc1-b329-6d3e0297fdc5	0	0
9a19b3a6-0a97-44ce-b652-1cd2267ea4a8	0	0
a2cebe14-fde6-45df-bdfe-23583578db89	17.1436818181818182	1.42872110779040407
c7eba048-80b9-419d-b6aa-e9bf1881aa59	0	0
879a6aa6-02ed-45fd-8393-11602d2d770b	16	1.33340888888888887
99493656-3203-4484-8357-f94797565b03	0	0
40d27d1b-36db-4a15-9cd1-d6e30fa4c85c	0	0
875aa87d-6361-49d4-b47c-915318f41157	0	0
1b32ec87-7eab-4237-a7d0-0cae8305f768	0	0
133d11e6-1d86-489c-8e8e-520af1d9f247	0	0
3631c0c3-cb91-4b3d-b970-f1d8b1eb3212	0	0
1c30fab2-8593-4398-9776-f7c288ca8e93	0	0
d61a5a88-1802-4f0b-bb0a-066608329ebf	0	0
b002c188-8544-4cd0-85a5-b98d4a1bf810	0	0
268d1e84-9719-44a5-bfd6-dd8bf237de9c	0	0
c673c263-d15e-4ae8-a5a7-52fe673b54bd	0	0
8503a700-4e4a-4bca-9661-0d7daba1e63a	70	5.8336638888888892
d8c62462-e616-476d-9751-4eacc44cb7a1	0.594125249072381956	0.0495134080489438577
f15d6f3f-cfea-462a-92f3-dae17ef3d510	0	0
6a7da7d4-1cfd-49ad-b30e-e8e391096b50	0	0
a67116ec-3373-4c62-abce-03c32b41f82c	11.1837229437229446	0.932032830591630668
9dded8d9-1d4d-427f-9540-982159af3974	0	0
647f3023-d018-4f89-ba7c-a71ec5601ab0	0	0
ab5acbfc-46dd-4c51-a955-934faa23143c	17.1436818181818182	1.42872586992424244
1871a8bf-1506-4b95-89f2-c79c8cb713bf	0	0
cfde0f12-48f9-4720-b455-d8c4a65f3875	16	1.33341333333333334
06f87314-17c1-4484-987e-2844628eeb8b	0	0
415dd43e-e1fe-4968-95d3-cc1ac1987352	0	0
04b217a3-1de0-41f8-a288-0cb64c00daa0	0	0
5a4e891a-9c13-4c68-88c7-73420551a800	0	0
7028d69b-f613-4b5d-94de-fcee7f94d716	0	0
44fc1e2a-e7b4-4488-bad4-028c6ff6c2e0	0	0
eb1f43be-4ca0-4eec-89c0-4bec0799250d	0	0
9c7e5cd5-5e96-4339-8c8f-4ce61a8583a5	0	0
af60e3e1-a86d-41a9-a7ea-463a22fd00b9	0	0
eb76ab0c-9b97-44e1-a9c3-e2af520f40fc	0	0
26dc448b-7491-4ee5-84fa-0aace9989f0e	0	0
07a79391-5b8c-4210-972c-0df33caec913	70	5.83368333333333311
68a77b28-6907-4624-9442-68169f99e6ed	0.594125249072381956	0.0495155535012321707
82d6db8d-d27b-405b-8149-69ccbc3cf2b3	0	0
ce3104dc-6d48-4244-aa59-2cacba0db515	0	0
53fe8639-3028-4962-9df7-6d4ab61d1d11	11.1837229437229446	0.932073216257816251
cf646652-4d2b-4702-880f-d17db992e6b1	0	0
a511388a-9429-44a6-b05a-1ff1b8837d29	0	0
246e0681-d885-45f9-98d3-a9c3218958ad	17.1436818181818182	1.42878777766414133
51be757c-f0ed-4cdc-ab81-42a749c71a58	0	0
08826f43-4c47-4bdf-89eb-7f29d6ac6d00	16	1.33347111111111105
216b8272-1b73-46d0-b78c-94d6298d5f95	0	0
a9d93a40-bcb6-4f16-92db-27ba9854b85a	0	0
a5273773-f2ff-4011-b191-4963b9e57de6	0	0
318d9ebd-3db9-4705-87cb-66baf9848742	0	0
b954c62e-1add-486f-a922-955576f2a955	0	0
5d4731a9-8d6b-4586-87b4-2e66cea75faa	0	0
dcb52a5e-c36d-4a6f-8ceb-ed5c27bab795	0	0
d39a309d-44c2-4db4-94fc-68889aeda0e4	0	0
5124a21b-8cfa-4139-a4ae-a4479621b1b7	0	0
cd582e9d-e275-4330-a7fc-080de4e4b7ae	0	0
6e55db20-0d50-41c0-b062-2471fea16c3f	0	0
5807661e-5334-4b62-8e0f-f8967a2e1ceb	70	5.83393611111111099
606f6a8d-83a5-418d-b66e-4324f759c55f	0.594125249072381956	0.0495127479097782208
18c962e8-c96a-4dcf-a1a5-1f91dc07cbda	0	0
2382f32b-ae6e-474a-8f9c-5da683876f95	0	0
b77246f5-0f36-4963-ba84-a0b11ff6c0a9	11.1837229437229446	0.932020404232804189
13e53e53-766a-4826-be79-591ded63fb18	0	0
99883b36-f59f-4e7f-a37e-80352962a436	0	0
539e6803-27bd-4907-9c88-b6b22974659f	17.1436818181818182	1.42870682138888871
1ed6a466-bb2d-46e2-939b-955379cbdf31	0	0
2da303e9-f0f4-4a44-a327-67969f214ad1	16	1.33339555555555545
995ea2cf-fcee-4329-a03d-e4867f4f2a7e	0	0
2ad91031-d7f3-474f-82b1-166327ad32df	0	0
f097dc1d-27ab-4988-8884-992cc1cd7b14	0	0
1ea249b6-7dee-4d75-8b11-bf1d2d6ce418	0	0
038e93ff-49f0-4cfa-8831-a03d9e4a65a3	0	0
09a7ede2-965f-4c3e-bb68-d032e765e9ea	0	0
f71939d9-7d8a-4f19-9f13-a895df60b55c	0	0
d2306670-2d95-490a-b4c2-f6d2e7c7df5d	0	0
27f14d64-ee8d-4615-bfe1-2e86e8542d7e	0	0
cf97a3a3-de45-45f9-ad01-4b107405441c	0	0
0587fb3e-c016-4c7e-879d-3f0366f30542	0	0
4f6149da-a456-4569-98a1-b3a9a9a287e9	70	5.83360555555555482
587b7843-bc8a-40ec-8e26-c37df0665c23	0.594125249072381956	0.0495148933620665407
2d1c5e7e-858a-404a-b625-83a2d7d43882	0	0
548d54a9-7fde-4d2d-ac35-24e0fcd72bb7	0	0
a457d3c4-4417-49c9-8d14-9e4c9e8a6894	11.1837229437229446	0.932060789898989994
64b0aaea-8f8f-4e5f-9752-e0d5ddbc895d	0	0
36de5122-bd7f-4524-8644-01ffbd08f5a8	0	0
be5ef896-8596-4201-ab6a-143612b75bf8	17.1436818181818182	1.42876872912878783
e42e61e4-7848-47c3-9701-0212a4f5a798	0	0
d01de2e6-a762-4260-a25b-1a6ccc01cf1b	16	1.33345333333333338
06858d93-56de-48e4-a02e-f6397ce1e865	0	0
fe1d2540-f559-4a89-95c1-a877c0b13223	0	0
ddb06ca6-9590-485c-9c54-b8f78452523e	0	0
adb42aaf-a026-42b2-bbd0-aa52d093c065	0	0
8429ebfc-5580-4efb-bd5c-ff80dbd60b8d	0	0
df4a97d7-c4f6-434b-80cc-cb365edeca34	0	0
ea8fae85-8dd0-4136-8c6f-0e47ba84fe2b	0	0
ae25b2e4-a820-44b6-88a8-44e8e71d219c	0	0
99b65e1b-fcc9-46ca-917a-725a32f58bdb	0	0
77d84d94-81d9-45f1-9e0c-d1bd7c681782	0	0
d41af5bb-bead-475a-997a-c16ec54cc202	0	0
cd5815a5-b465-44e5-8eda-e099409f4153	70	5.83385833333333359
d5f0b367-6912-4144-a1bd-a06fcc034ea6	0.594125249072381956	0.0495148933620665407
f65e5f69-e587-4ae3-b33b-0b7bd90af394	0	0
eeb29d49-b79d-44ff-a8da-fb706f1ae278	0	0
f0926e04-8ac6-4fa6-a680-7778179512c0	11.1837229437229446	0.932060789898989994
d9344528-e4db-407e-8455-182e53c8b477	0	0
6c3dddb4-bbe9-4a4c-b4bd-1e004953580a	0	0
be6cf7cc-7cf6-462d-9cf4-47ba5591a0c4	17.1436818181818182	1.42876872912878783
34ad6948-b131-497e-b5e4-4a1ca3be99ff	0	0
1c1fcf0f-e5d2-493f-9fd5-8c0e90d31ac7	16	1.33345333333333338
487d9707-b55c-4747-913a-61ce04becf30	0	0
57475af2-e57f-4007-8595-154d2e134ef5	0	0
70669350-d7df-454f-a83d-35d4713fdba3	0	0
3240e8b2-d1a5-42b6-8d72-04444af91e5b	0	0
73514a46-b1eb-422f-b24f-ed638fad552b	0	0
8bfcf8e5-ff1e-4789-b179-816bc523b377	0	0
c83c4183-7199-429e-b410-e5e3d0f7fb10	0	0
6b25c40c-b59b-4b89-9a57-72029f0051ad	0	0
2cfbb13e-e018-4e63-80e2-15dc6564f2e8	0	0
1ff5ea5d-f835-4ab3-bc32-e92fc9ba6e51	0	0
80bd1ad3-6002-42a0-9bde-1352f746f03d	0	0
99c707fa-db2a-4d5e-9eb2-96c5189f8d4e	70	5.83385833333333359
7e22c310-4527-413e-88d5-c279703a6134	0.594125249072381956	0.04951291294456963
9a547519-521b-4dd5-8cd3-b0f19e5d384a	0	0
36235b5d-c552-404b-95c1-d943514442e8	0	0
a942d57e-38bf-4ef6-8754-f9fbdc42593e	11.1837229437229446	0.932023510822510892
e636c94e-90e3-4b81-896c-9cbce7102e6f	0	0
9d7a64f7-0a43-4735-b790-c99372b4bbaf	0	0
3c5beb5c-203d-468b-ac7b-93544f37c559	17.1436818181818182	1.42871158352272709
3c53ba17-3cee-4769-b9ee-64a9fea995b9	0	0
bab92e28-e978-4c66-b80c-b3156957ed4a	16	1.33339999999999992
1d48cf30-82f7-4c91-9eb6-8cdde36e80ce	0	0
0a7a19cb-cda0-4399-a0da-96dbb96bbbd2	0	0
e4a0a67c-024e-4289-b13d-9949239de851	0	0
51d36db5-86d3-4b67-9c3f-1e3d30d32ad0	0	0
afdf935a-b373-4ded-b898-7a2040e58591	0	0
400785f7-bf17-4ae9-8ccf-88cee845bbd8	0	0
1687e5e8-6ff9-418b-904d-6b5dd391cd11	0	0
42b79a01-64f5-4ec6-8575-ab3435760d6f	0	0
8e8f5a70-b1d3-415f-a417-29832496f195	0	0
e1e845e1-f845-423d-bd19-d128d9179dd0	0	0
461e4107-aa21-4e07-908e-10182c4985bb	0	0
6e53c27c-f8ae-4d43-8164-43ce2034e795	70	5.83362499999999962
3742f855-86a7-46af-b6e6-f1cf6aa2eef9	0.594125249072381956	0.0495167087447720353
4d70673f-bf02-42a8-9072-5a058c71c466	0	0
7f92037c-5a7c-401a-ac25-c0aae6e16db8	0	0
875fc146-d109-4224-bb5b-efde1502629c	11.1837229437229446	0.932094962385762393
34f1ca5c-fbd5-4136-89ef-f9e32e2a4eec	0	0
9fee0f0c-493e-4580-900f-75b0df3fbc79	0	0
cfb894a3-2a76-4b6d-a9cf-e576e7e29b04	17.1436818181818182	1.42882111260100997
4440487d-b282-4887-91de-2882d14fdfb3	0	0
59d80fdd-6f1b-4f52-a09c-815e4f5dea62	16	1.33350222222222214
4b9b983c-3469-4891-87c0-84e665973d12	0	0
3dc47295-982b-4f6c-823e-069e217f7dc5	0	0
687b9358-df30-4255-b146-2a047bcff74b	0	0
702af0f2-48f7-49a4-8184-9b91efa5f7cb	0	0
75acca86-e65b-47c9-96b5-b42777bed6d7	0	0
d299c75a-2ec5-4bed-884d-c92b0a56b472	0	0
4ce03d37-1b8f-42bc-a55b-a3191902ccc8	0	0
8aa86049-865f-47c7-bee1-46a6c2efe2a0	0	0
86e7af30-0179-4d37-976b-7c9d193364fd	0	0
026093ea-9074-4ce9-af99-988cdb16ae5b	0	0
098c4efb-051a-4497-a8a2-231ae5621c11	0	0
68bf125b-4fb0-4560-b79f-3d0117cf5a64	70	5.83407222222222188
8ca35768-6c97-4303-ba1f-b649a336b6c8	0.594125249072381956	0.0495125828749868185
7d7aa007-7746-498a-9bf2-4e0e989f1f0a	0	0
c9004aac-492f-43a9-b8e2-08b09f5ddd16	0	0
2352a229-b9bc-48b5-b612-5f43d319db68	11.1837229437229446	0.93201729764309782
c4b3923a-3e01-4949-a243-c3b0e07090e9	0	0
56d3f242-c89d-4b61-9efe-5a87f0a541a6	0	0
b5f127e3-c7fe-4c81-9947-2e6753379420	17.1436818181818182	1.42870205925505056
a4aed6e6-c1ed-42c8-a067-e715854a8950	0	0
3f7d602a-2ee7-4098-a63f-ba5a9de3a16f	16	1.33339111111111119
98eb8c92-4a26-48f2-8c76-4737cd04f0f7	0	0
85beb9df-cb62-493b-8deb-3d7a55f0cd46	0	0
381b2a77-595a-46e7-97a0-87f0f6390fe3	0	0
cef17cd7-6a65-47ce-a4b7-a9c937f5a512	0	0
9cc9f65d-9fab-4b23-8604-8161998cd650	0	0
adb08f6a-ab89-41f0-b231-e98e1c0280af	0	0
62a52fee-18c0-439f-866c-64e730d42e8a	0	0
67b46c41-b69e-48a1-bf40-63d08ea665eb	0	0
2f97df0a-fa1c-48ad-b798-ae4c9d1e7368	0	0
84302e28-82bc-41a9-b949-c3a87784a202	0	0
35d8dacb-dbc6-4e1d-b0c6-586ac34e5d71	0	0
9c4f34cd-7512-4d5e-bab5-34160f4d547a	70	5.8335861111111118
fdf52a96-108e-4aac-b3c7-31dda8319208	0.594125249072381956	0.0495124178401954093
9de7a03d-99c7-41b0-adc4-510d494bf56e	0	0
46f58a4b-b33d-41b7-ac3a-a92093b2b84c	0	0
c1a4e6c2-40c1-4e25-8256-05c27c375b39	11.1837229437229446	0.932014191053391117
c65718bd-bf2f-4c82-bf30-71be7252cc66	0	0
a7eff2ab-16a1-43b4-aca3-a08cac33a680	0	0
40985b72-023f-4a7f-a87e-d146718c4051	17.1436818181818182	1.42869729712121218
adea4010-c7c5-4e1c-9b2e-5dcd935dbf02	0	0
18b23b16-fdf6-47c1-9a12-139a683a21ee	16	1.33338666666666672
70cb1030-547f-4f96-9925-0e82d3fca68c	0	0
b390f35c-5942-4d0a-aa8e-096d0007cd35	0	0
a49a2780-1ce4-4493-b46a-e3fee90f1d9e	0	0
33bac2e8-12e8-424e-910b-cadef5ebe672	0	0
e35f51a9-4b2b-4b61-bd52-c308e511d965	0	0
d0876e34-64b5-4889-90d0-edb5a405da4d	0	0
67835582-d229-42fa-847f-c75d5583e1f5	0	0
8b18def8-3ab5-4dd9-bc5f-e12f049f5723	0	0
4d51bae3-bbcf-4eec-91f8-e2417faa788e	0	0
ce991740-fa97-40aa-bda1-10b1fbf1e4b8	0	0
f21720ae-6485-424d-816b-ce29eaffeef7	0	0
a90a0c07-19ec-431b-8b7c-b33a1b459552	70	5.83356666666666701
aad191e7-4610-4885-832d-e6ea2365d21d	0.594125249072381956	0.0495163786751892238
05591bee-a46e-4dfa-bc76-4be27dc0ed29	0	0
da4ab540-c668-4905-a0e9-1bbb4bbd8909	0	0
a407f2cc-68ff-498e-9c05-d25cb4ba256c	11.1837229437229446	0.932088749206349321
f2694673-485c-4aa7-a6c6-a62be6934108	0	0
d9eed4b1-91b4-412f-b22a-d3578da6538d	0	0
70e762d7-b3ba-47a0-a554-93dee54a765c	17.1436818181818182	1.42881158833333344
933e5e10-9c1f-46e5-8dc2-ea37ce3f7efa	0	0
8828cce1-b927-40a8-a24f-e71538883e84	16	1.33349333333333342
806b04d6-6707-4dac-bc9d-d33b7fbf4661	0	0
2c1d32f0-55fe-4e75-a3b9-27ca0cdc9cde	0	0
e37db165-0cf8-4ec1-941c-3f2f9597eb27	0	0
d15245af-d653-4feb-8a3c-bb38e137c4ad	0	0
a5e244a8-4708-4213-8fae-ce1e976b6ac9	0	0
658ed45d-3e15-4874-82d9-60a6150a4154	0	0
83c79978-7371-42bd-9154-598a58a8e2c7	0	0
12556cee-8c95-408d-9ea4-8e7edc234398	0	0
ef0762ca-52bc-4e96-bed1-d48eaa7020cc	0	0
f790c9af-cb4b-43a4-9a85-fee36e1d69d7	0	0
d95dd9c7-9229-455a-9edf-9c244ee6b5cf	0	0
fe6f1b9f-4fcc-45f0-a2f3-8bdb1505465e	70	5.83403333333333407
afbd0d73-bfe2-49af-9979-14bafe82644f	0.594125249072381956	0.0495155535012321707
a1ccf3ce-2802-43f1-a986-1507a02f7023	0	0
e6d952b5-449d-44ee-b3b2-7d880b4c8fe6	0	0
baa09443-ba28-4acb-a977-8c752d89f4b1	11.1837229437229446	0.932073216257816251
8c3e9405-3eb1-4a00-8fc8-4cd55911e9a9	0	0
a7e47a93-6643-4104-8b1f-61bca7bf842b	0	0
9d1c8422-b5f5-41af-b6c6-f47a08a8b2be	17.1436818181818182	1.42878777766414133
2ef326ce-b932-4cc6-b6a6-67c8bae32477	0	0
563cae18-298d-4f54-a75e-fff761fd738c	16	1.33347111111111105
37886ba1-0778-4c62-9434-24addba60e6a	0	0
e4faf5e3-7e56-44b8-a05e-578b922846bc	0	0
930555e7-c2c2-4198-9b4e-21a0a3edca31	0	0
ff4283cd-724f-48e2-a2aa-b093e8071821	0	0
e2a4aec3-3291-469e-8f5d-2f78136d2e5e	0	0
9ec9ec84-1c07-4e91-8bd1-3ef1690cfc74	0	0
59b7278a-b4b5-4d7e-8de1-2135c64f23a3	0	0
fd677d52-00be-445e-8b12-68d01287fad1	0	0
3c86f4ad-b812-41ff-8d49-c3949f5c2a9c	0	0
e6cbfcb1-a5e4-4c58-aebb-02d95df1d91a	0	0
12dfd448-52af-4962-8acb-2980b9c8ae03	0	0
e051ba94-4e3a-4747-825f-5f667703db8f	70	5.83393611111111099
0bd556b7-2b2f-4350-979b-0f0745fe6a7f	0.594125249072381956	0.0495120877706125839
ad64586d-acaa-4950-a1df-d0f4120a6bcb	0	0
17f34ce9-b1ad-4b77-932f-815775ec2fa1	0	0
b5ff76e6-fdd2-4b15-b1be-b3693706b535	11.1837229437229446	0.932007977873977933
d1ce5272-726a-429b-bfe0-59ee460286ec	0	0
dd28abb8-54a0-41f5-b0dd-9187259e0942	0	0
5a1dbf55-40ea-4ce2-94ee-1a49f6aa4fa7	17.1436818181818182	1.42868777285353543
eedebb47-8c14-4079-807e-6244a7f500e0	0	0
99754172-d1f8-4c31-99ec-4821c248260c	16	1.33337777777777777
28592513-51a4-4a15-9960-e8fa5db978da	0	0
1128e6af-6d29-459c-ab58-869ec442051b	0	0
0d691fed-f630-4377-827b-de21ef3d2e50	0	0
d5a199e4-e528-4f27-8790-4fccca064459	0	0
ef772c61-809e-47e7-8d7b-52fbb7b1d510	0	0
0d7e310f-8c8c-43ba-9f9d-f94f59f58ab1	0	0
a20600ff-4b4c-4d64-b65a-44cc9d7c5e25	0	0
9c9bdb2e-fe52-4fc8-84c9-6fa1e073adf2	0	0
e4cafc40-aa63-4171-b41e-bbfbe78b521b	0	0
3c2b366c-d0d9-4413-a0e6-78911f239cb6	0	0
712d3acb-8378-41bb-bae4-a36b5825bb4e	0	0
409d0422-e078-474f-add5-20989092a55d	70	5.83352777777777742
ff27564b-ca85-4d61-ad4e-37db77da3664	0.594125249072381956	0.0495147283272751315
a5569609-dc58-497b-b5c1-260070f63cab	0	0
f0be955b-9a8e-4a48-b8c7-d9b58c1aa995	0	0
be8fdafb-68ed-4dc1-aa06-764914f6e958	11.1837229437229446	0.932057683309283402
32056d58-a139-421a-9b8e-512d91972fbf	0	0
69b2b4c0-e655-4be0-96b9-fabf8a8a9b6e	0	0
a12dc398-9802-4d12-8e55-ea5698a7086b	17.1436818181818182	1.42876396699494945
7b85d35f-e09b-4446-9f75-041b73d7f9c5	0	0
b70d19e9-b8fc-4117-9287-9f2faab83d5a	16	1.33344888888888891
b465b497-171b-4ce8-888b-5e574d9732d0	0	0
311a11f5-97b7-47b7-908c-ab460409c49b	0	0
3d163f52-85b7-440e-88de-6c23fae142e6	0	0
29bac5eb-a8dc-400c-adb5-19cef5d88d5e	0	0
c8f8c4fe-a53e-472d-a926-e45b7fe41ca3	0	0
e458d43d-3630-4498-89a1-2991aa61d328	0	0
f96af75e-7b65-47c2-a511-ee24b5dd62cc	0	0
684514c4-13df-493a-bcad-0bf42b5aafab	0	0
bf75c256-1c04-4f1d-adc1-b5d9879fb353	0	0
f84a3e5c-bf37-4188-9ea1-2be521e8a684	0	0
2625c6b4-e52e-4c28-b078-007584ca20f3	0	0
75b1f03f-999e-4b8c-a1e2-e8a8742188cd	70	5.8338388888888888
5b860308-045e-4ea2-9765-cdc6912605c0	0.594125249072381956	0.04951505839685795
8a7e95a2-f4c2-45d6-bed8-158b4b5a1909	0	0
a8934ff0-3e19-4b89-99b9-59868c3467c6	0	0
74450fad-79ae-415f-be8f-2b935148f30d	11.1837229437229446	0.932063896488696586
51594df8-0fce-466b-809d-af15096bbf16	0	0
fa8ad7b1-4810-4ca3-a935-1eba7d500b55	0	0
f652ad2f-d627-463d-b2d3-2722f5e51dda	17.1436818181818182	1.42877349126262643
4c6d8ff8-e8f7-4000-a178-25100379dc04	0	0
9d04fe5b-3c17-43e7-bd41-cd27647ec1da	16	1.33345777777777785
226c60b6-ef46-494d-ad30-ad72cd6481ae	0	0
bf62fd05-1066-4c20-9f09-550be37d905a	0	0
10988872-919c-4d20-9355-ddc8036695ed	0	0
77408e64-dd42-41a1-8fec-6dafe49cef4b	0	0
3421d6b0-c958-4cb3-a381-d8313e726449	0	0
d57f7df4-79a2-41e0-85b0-e0f15473050f	0	0
b5459cad-0895-4dde-912b-8eb34895dbc9	0	0
cb073462-e098-45c6-8465-4ff541e42813	0	0
191f55d2-f718-40de-99d3-8f3602216641	0	0
9eb53d8d-ab58-4569-827d-d0f3d8081b3d	0	0
5f6e82f1-4ee4-4833-b58d-6069402a97fe	0	0
e12070a0-ed75-4ff1-9633-85ccdd7b498f	70	5.83387777777777838
5e3cc318-b28e-4717-b3cd-e51464275c33	0.594125249072381956	0.0495122528054039931
5817eef5-fbf9-4337-a2c9-b1e21fa7da99	0	0
84cdea16-79a6-4fd4-9944-34ec691cfd64	0	0
e6786615-a2cf-4105-9625-92a41ad2583f	11.1837229437229446	0.932011084463684525
ccabb0b8-b292-4004-8528-d84dcbf7cce8	0	0
86283aa0-8af3-4887-90ad-23ad9de569f2	0	0
52e80757-a17f-4eb0-92b5-0ced092a2dda	17.1436818181818182	1.42869253498737381
f3cde715-07b6-42ee-91c6-fd4c38ac3555	0	0
9b9caf56-1ab5-486e-a80b-ed0b12253b8c	16	1.33338222222222225
2770c577-3916-4a88-9150-2938ffd9df33	0	0
2bcd7c4a-6644-4d16-b695-8ce51a382510	0	0
72b6bf47-8ba7-42c4-a017-ff00534d2c3c	0	0
d5d05e57-c044-4166-a869-6d8aee5cbca6	0	0
b757f266-5ccb-4815-b89c-87de5080a17a	0	0
8c0659a6-5aa3-444b-8bfa-f9363bf0cb38	0	0
f43b778d-0ac3-472a-b709-9e1477527e80	0	0
b9f062e4-ee7a-49b8-8484-1f96c57b646d	0	0
adb03920-df7b-49d8-b964-b00b4e162b9c	0	0
c394ce94-6d03-4fb7-85ea-bbaadc5f72a3	0	0
44600561-3531-4249-8efa-d3193e8ea0e5	0	0
d5176ba3-69ad-4785-b97d-30cc1e9fe042	70	5.83354722222222222
93fda5e5-552f-4439-9fdc-7ec8374ab1bc	0.594125249072381956	0.0495153884664407615
3c1417e2-eea4-47b4-8bc1-0a7fa8bba7f9	0	0
7dbeda37-098e-45c0-a70c-f9eb30ab5ce4	0	0
09be50eb-8421-4e71-9c7f-ee537f5402c5	11.1837229437229446	0.932070109668109659
d299f834-8d1f-4bde-ad7f-277ad0f90fd6	0	0
55c9be7d-e167-4970-b24c-e0f3158f5c69	0	0
11a499c8-19e9-45aa-89c4-745b15344acb	17.1436818181818182	1.42878301553030296
d47d5ab4-6a57-45cb-9c69-f49b4c75af09	0	0
855f5489-5a6b-47df-a123-502c016bdcaf	16	1.33346666666666658
67de2796-1a88-40ce-baae-4ddd555db731	0	0
e078d9f5-9c92-4ea5-8e0c-ee13d08c56b7	0	0
2e9d8f28-5c2c-4074-9563-2f0264817907	0	0
c9d306e0-ad04-450a-92a2-a31dd5e4365d	0	0
5e7e7041-c356-40de-86ed-3115dbb71fd3	0	0
1e77b84e-ef5e-4944-9809-fd5a974f7bf3	0	0
901c627f-0e78-4d31-a149-6f8e94ad0af5	0	0
d9b4fc42-b415-4659-9e2d-bab298526f91	0	0
cad51ec6-3e0f-4a4a-bb68-96b191bb78ec	0	0
3ef27680-5fa6-4d45-99f1-73a591be23a0	0	0
186ec105-04c7-4d53-86ac-9fbc56710363	0	0
1d383600-9d35-45bb-95e4-4fb9af174444	70	5.8339166666666662
2da908cf-42af-4144-ae0b-96e66ba77ecf	0.594125249072381956	0.0495109325270727263
aac90126-a1f4-476b-bdf2-6df0284b41f5	0	0
b35e7574-aaeb-4680-9674-b4563238b4bb	0	0
7d274ae5-d076-495d-bf86-8645d814b5cb	11.1837229437229446	0.93198623174603179
d114e784-089f-4527-9ff0-fa6ff998a411	0	0
6c0ef130-c145-4acf-ad0e-a156a996c893	0	0
9d4e4b62-5db4-407e-8dcc-e4f5f8bd2022	17.1436818181818182	1.42865443791666658
81624f3e-d0fb-485d-98ad-847670e16c49	0	0
2b936a1c-d60c-4362-844e-24c95f496280	16	1.33334666666666668
e41dedf7-493d-43b1-a7c9-c9e2361b34d8	0	0
807a260c-3277-4418-a319-43acf10d92ca	0	0
0a491eed-9289-48fe-bd91-f46bc86e926b	0	0
791e3299-99ea-4833-a59e-f49ea409fb98	0	0
0bb9768f-4262-465d-b4bb-1cc5943c5d56	0	0
34551985-f7e4-4850-a313-ba80d45e42d3	0	0
c57e7699-b8ea-46ed-81ac-edca529ad1f5	0	0
79dc4db4-6c10-440a-8bc1-18327559ed20	0	0
2c20bc68-4b5d-4127-ab08-bd505b048855	0	0
3e52876d-c6e7-46f4-bb69-4212597be5e1	0	0
79df95c7-f2a6-4624-8e36-12e15ccd070c	0	0
06f19773-9c78-4be5-9845-4a8f73c76957	70	5.83339166666666653
b5a02ce1-f669-4b64-966e-6a3de5f6c070	0.594125249072381956	0.0495162136403978145
c9251525-2874-43af-960d-2a1c43a8b9aa	0	0
2bfee1e9-d63b-404c-81f7-7f54b371b03f	0	0
8d4a4a93-011b-4b09-b407-8725fc3ba69e	11.1837229437229446	0.932085642616642729
e6f9073b-8f97-4087-811a-29ff8d3207fe	0	0
bc95794e-5050-493a-9836-bfba8d03d213	0	0
6e52e614-646c-4113-b0f8-faf66cb2fac5	17.1436818181818182	1.42880682619949506
6d004ae0-88c3-4fce-8259-9ac1bd2dc769	0	0
a418aeaa-8f77-4af1-8f6a-14c9e9b28333	16	1.33348888888888895
af77d1d0-cc8b-441c-b62c-821a8505dd6e	0	0
96d64f6a-a10c-4aea-b6f0-2c326b297ed8	0	0
b974b180-296d-44a1-821a-04ee52338913	0	0
014d8db3-b8d8-441d-9db7-ae90642d513f	0	0
9722695c-69c4-49e7-8f90-fba19779da15	0	0
b9a0a289-8a6d-43a7-921e-f6bdedc37b30	0	0
a0c09446-1903-42b3-9c7e-92958c3353a3	0	0
ff8613c5-90d2-4cfd-9e46-cf8678eb37a6	0	0
fe2c759c-4710-4bcf-8d19-56722b4941c4	0	0
b5f81ff5-cb63-49f5-b069-53525bd5b782	0	0
38e0fdc1-e83f-46c4-9456-f1f60ef84a8a	0	0
36e758c8-7c0e-4091-97b6-1748f7c2b191	70	5.83401388888888928
6026e413-ca92-4e07-8bf2-aa9ba0d98bf1	0.594125249072381956	0.0495132430141524485
94d30747-5f24-4e60-874e-2d03207037bb	0	0
9a3e381e-1b4c-4094-8c8e-ff816950baff	0	0
d59b8f6b-d4e1-4a7d-b6b8-477ee26b45f8	11.1837229437229446	0.932029724001924076
3dfeafe4-3c72-4e58-82c3-83b2c6849668	0	0
e3894fc0-a355-4c19-bd1e-625c0d029630	0	0
5c43cac8-d0e8-4c50-9ecb-d4090e13410d	17.1436818181818182	1.42872110779040407
b8d4a5f5-c093-4f18-a8c4-46905167f908	0	0
08671f2c-6021-48c6-95a1-9be30a598444	16	1.33340888888888887
677a44dd-0b07-46d2-bff8-61edbc67ad4e	0	0
efd8ebbc-26e3-4c39-ac6d-140cd1aab414	0	0
d5ca4f15-e005-472d-9f56-9f0c39adf718	0	0
0fcb99be-8521-4349-85ad-253c360a5ec3	0	0
551805bc-c1b6-4017-8211-9bd1c46136fb	0	0
ae0c8ae3-0e4f-40bb-8a6f-8d43dd104d88	0	0
e33d7808-5efd-4a97-9aae-d58c51687c58	0	0
00f04a4c-a1ca-4c17-b414-c7e5671f10f8	0	0
4709d3d2-a841-44fe-a84a-e4becb2919bc	0	0
bbb9013f-e4a6-49fe-a885-df182682439b	0	0
8d34471e-3b9c-4223-b187-de5aed819c35	0	0
f5000fcb-5b27-46b9-920a-3cb67ce49910	70	5.8336638888888892
c8694898-ed55-4b7b-9857-f0232b2a1672	0.594125249072381956	0.0495142332229009038
341239ae-7203-43a8-ba6a-d0ff6f41f075	0	0
4029017a-7814-4c81-8c3e-263ed7461a53	0	0
a14570bc-fd5a-4065-889c-c49872a456d5	11.1837229437229446	0.932048363540163516
1634e67e-d03e-4e82-add8-39f8ff8dc6ca	0	0
f33b3fe5-50fc-4337-9ccb-c90346f7931b	0	0
35bb6461-9e9c-4d4e-8b03-b6013d67b261	17.1436818181818182	1.42874968059343432
c119f993-e52d-4596-8b4b-024c660dd73b	0	0
b45fb5d7-6bdd-4ef5-8d14-ae5640d9c89b	16	1.33343555555555549
dbe300af-b921-435e-924b-dc1d32f106ba	0	0
c3f023f3-4f7b-44f6-aad8-54397c47855d	0	0
1a30ad0b-3f9f-4e0d-a9ef-447e0fbb4737	0	0
a586138a-e106-47ef-a769-be4d4c7f1b81	0	0
c20f4d97-8f5b-4fa0-a923-485d5416a019	0	0
6256c307-caab-4889-9598-2ca31a29809e	0	0
65d226c1-3774-4fbf-997d-9eda21bbd457	0	0
39687cf6-3b39-495c-8f9e-e7d229899a68	0	0
887d0731-c533-4151-9553-a04b2fc60479	0	0
29ab8338-6d52-432e-9a87-d095f957623c	0	0
c2be9c15-1370-4f57-a625-6cd99828463d	0	0
b9ebfedd-885b-48ea-bd47-98f6d83cafca	70	5.8337805555555553
c0733b50-3c6a-49ac-b922-a00092e80f5c	0.594125249072381956	0.0495134080489438577
4248bdda-c515-4134-aca8-d0189a35ce36	0	0
81bb2d2b-0243-46a5-a35a-7012f80a4294	0	0
23ef4354-63f6-4f2c-ac4d-b592960002e7	11.1837229437229446	0.932032830591630668
a154d079-b788-4038-97e2-ce6b618bd4d6	0	0
bfbca3a6-f1af-468a-b4a8-bf51320cac74	0	0
cfe160f6-87c2-4f40-acbc-000597dcc190	17.1436818181818182	1.42872586992424244
97330077-fadf-41e0-addc-92bd7f180bbe	0	0
ca0eece9-2395-49bd-8fa1-feee646000d7	16	1.33341333333333334
a153e7c7-e8ec-4a98-aaa1-27cf6d7aa1b8	0	0
9a3362d3-e12c-456d-a856-f30a92de87ee	0	0
909df986-c43e-49a1-9cef-16a1e57b8ead	0	0
48002f83-6ba9-4ff4-8c64-40ae55e59b06	0	0
897fb671-8e3b-4642-a56a-0238240c5d5a	0	0
d8b07cf1-26da-45a0-9f9a-50d94f95983b	0	0
0f8ab99b-8448-4d66-a533-c981e5f2e6ba	0	0
f2e40c73-1ad6-4a97-ab78-eeeca40505ec	0	0
843d1df8-0a79-40da-9f32-91607bed2be0	0	0
e5bbaf43-9238-42cc-bacb-ba93d3790f39	0	0
e3501660-b748-4942-b8de-335a73480380	0	0
55f3f6f6-e6b0-493c-bb4f-74fa8b0e249d	70	5.83368333333333311
74833132-3ace-460d-b3b3-d6b01a77f2ed	0.594125249072381956	0.0495145632924837223
be18cc6c-1ac7-4c64-a1c2-e7592cbcdeea	0	0
e8d793d9-4cea-4cb7-b92c-fbf8a5974bb7	0	0
eca7f5bf-b301-4e20-893e-61fe579746d2	11.1837229437229446	0.932054576719576811
ae75707c-5ccd-4345-be16-8a164a7a3049	0	0
df0f0089-b312-464f-97ab-1d2c0b168b9f	0	0
bee03a79-c8b8-4a1f-af9e-31e44f266534	17.1436818181818182	1.42875920486111108
ed66892a-0ae9-4a9d-a26b-13c0cb868118	0	0
15be8840-6acc-4845-a42b-ac1a4c09dfda	16	1.33344444444444443
1094ecb6-d368-42c5-bf1b-d0b6f56200ed	0	0
701d2cc1-34b7-4a57-8888-f180732a7c3a	0	0
12574a9b-f010-4f30-a001-6a4a054fac50	0	0
1bae45eb-726b-45aa-9fb4-30ac16de111b	0	0
2bb77d30-6f84-412c-8fdc-bd6920eeb6bf	0	0
573b3c27-06af-4af6-9cc4-1eb34de5c391	0	0
8c0d4d3a-a3b5-4056-a772-19c089684cb7	0	0
80b63f50-e3a6-4150-bad1-bf1b22d8ee75	0	0
98d93f07-8aa9-4cce-8d61-9389c4fefdfd	0	0
d1bf442a-51e5-46cb-950d-d145634f56ae	0	0
5f6a3a9e-4058-48b1-a6a8-7b7605d5436b	0	0
fcf2cc7b-26b1-4edf-a667-6fb86ff75422	70	5.833819444444444
d26a16b8-a6a3-4bea-b80e-b60ed8c859ae	0.594125249072381956	0.0495081269356187695
b23b50f3-4997-490b-a12e-031984494d5d	0	0
a32679bf-7dff-4d3c-9d70-8c5f95202ea2	0	0
4a823c23-79d8-4c1d-8be3-28e121bcf61d	11.1837229437229446	0.931933419721019729
c78f198f-47a5-4ae8-85c6-d03d1e1b4219	0	0
d97918f3-99c7-492b-aab3-a2e7a1457498	0	0
bf8e307e-1ada-48c6-b923-a46f402587f5	17.1436818181818182	1.42857348164141418
fb7e7c04-5b24-4308-975f-dd27da38d59b	0	0
f59ffbdd-64a6-40f4-b10b-b31522d67949	16	1.33327111111111107
00eecaa9-fc0f-49cf-a4c6-30430be7c373	0	0
05513a10-67c3-4f32-baa4-af2bba2874e3	0	0
1d88c0ae-9ddc-4d6b-b87f-7d6bdf74a53b	0	0
d0c8945c-c264-4538-b1d1-7e490ab90238	0	0
e6023242-c7a7-4d95-81b2-1e88d2a90dc1	0	0
da3f6f46-9d44-46cb-8221-446b8c20a1f1	0	0
20332c1c-d229-4d0c-8eb9-a399e5ff900b	0	0
a0ff48b1-02d5-4161-936b-69810fd10a55	0	0
998b56a6-91a3-4de6-a37f-6ab0020a8180	0	0
b925a169-a48a-44e3-90d3-7386f462715d	0	0
24e4d82a-2ef2-4960-96ba-b03a3463b43a	0	0
41f43df6-c07a-427e-bf91-050542ec99f3	70	5.83306111111111125
0118fb73-4700-4ff6-aa6d-3fc33d7ebfd6	0.594125249072381956	0.0495190192318517713
5e14fe14-b85a-4c72-8a01-01bdf62aafbd	0	0
aa046f9d-b67c-4388-be91-0a142d52f32b	0	0
a0e98277-553e-423e-b1e1-4315508ced34	11.1837229437229446	0.93213845464165479
60df8a9f-452a-42c7-b5c1-ce66df769fea	0	0
a88e57a2-5c51-481f-aaff-23b8c94eacaf	0	0
61124d4b-f6d5-4c78-8f5d-35bff0fceabf	17.1436818181818182	1.42888778247474768
edf10f17-a27a-42eb-b629-d19345194fbe	0	0
a4d19a69-5ca1-4702-b15c-85d3bfbb8fae	16	1.33356444444444455
0a98e6f5-4240-4a10-b985-d7527077a46a	0	0
ed8bca6d-bb99-4ad3-b929-dad3e369e7b5	0	0
2ab329c8-f1e5-4bd7-a609-d4de8fee81b3	0	0
4f28631c-4f38-4814-9d7b-36e00a020065	0	0
54220745-06cc-4df9-9fc7-fb4d8d1068ac	0	0
d529a783-8982-4aaa-919c-e4a669066b51	0	0
5c422ac2-1157-49e7-aeff-783e792e3325	0	0
1e4ce156-89c1-431b-935b-8be4178520b8	0	0
7dce2cc2-49c3-4daa-9508-165245f14810	0	0
e7cebab7-b5d3-4bed-aa20-e7c5e4721d9b	0	0
a5249330-25be-4639-86b4-954691a351c9	0	0
97c95db5-3161-4ef9-a9d2-bfd7230168f6	70	5.83434444444444456
241b339d-60cc-4d48-bb8b-a448078b7a66	0.594125249072381956	0.0495134080489438577
37af46dd-1eab-4b8d-a954-1eed21ecb1cd	0	0
d60f71e5-e792-4489-89d1-80d8620b58f3	0	0
1f130ad5-51e6-40cb-9f86-2342cb6851b2	11.1837229437229446	0.932032830591630668
6ea06ba1-69e6-4741-846d-c725636a9c6a	0	0
14822495-ddb1-498b-b146-03ffde4afa83	0	0
00a89bf4-9deb-4af4-b13a-6fe77e6640af	17.1436818181818182	1.42872586992424244
d5090688-3f2e-4dae-a12c-dc23671fd3b7	0	0
8bbf4363-4946-42ed-8550-dbc215b84ad2	16	1.33341333333333334
91e170be-26e1-453c-98e9-16b9acc70d5d	0	0
994b5520-edf9-4d83-844b-5d4ff340c5ef	0	0
43a6296b-6e2f-45a0-8e43-6007a3e61114	0	0
86e34c9c-cf1c-417e-bded-65ce630d3f22	0	0
610fe4fc-e5b0-4c07-94a7-d20b1e48a401	0	0
c92150b2-6b51-4096-81b5-d4aa25e2c852	0	0
ad965a26-ae22-4813-b764-99653e29212d	0	0
b6c32644-0ec6-49ae-87b0-aedc5dfef9a2	0	0
4dd2a43f-0107-48ae-b618-173a9118e86a	0	0
4cb30b6f-22ec-4556-afb0-ecc72c2d0e23	0	0
8d8b7081-a94a-4def-8aa7-6e751470d10c	0	0
81acdd0e-316c-4213-9207-3d8f6e678435	70	5.83368333333333311
6f7eb703-9f7d-4e9d-b2b8-2297a5c65fdf	0.594125249072381956	0.0495698499476057361
a2cf6084-621a-44d9-a9a3-db1de22a2cc2	0	0
21739350-b289-4877-84dc-619568f48f11	0	0
21a73082-baf9-4496-8a82-2f112389f18d	11.1837229437229446	0.933095284271284298
e08d78d4-def1-4c56-9210-90e45272e64b	0	0
464a26fa-3779-443e-bd25-e795b484d76e	0	0
660c7379-90fb-4b80-bd69-5e2655bf50ee	17.1436818181818182	1.43035451969696958
d91e47a2-f852-4420-a9e4-c8b414571d4d	0	0
3b1ada69-b0a1-433f-9132-f45c00e6eadd	16	1.33493333333333331
c499d695-2a08-4372-bd08-ffcdab2738a4	0	0
5630ecfe-86f7-46b5-8045-31455859a4bf	0	0
60696916-a1dd-4e05-98ad-557d7b6b4132	0	0
fb309116-3fb7-46cb-9806-45a777914cc4	0	0
1bf40b6b-5876-4bd5-b421-6d0664c52d2f	0	0
f326357a-77fd-4af5-864e-a5f1977a09e6	0	0
1913e12c-603f-40cd-ac30-6d145fb36ec2	0	0
ba7112fc-4cb3-40cb-a8ca-1c7190b9e010	0	0
c10b7978-50d8-4508-9c1a-c8d1b4f3b6d2	0	0
667899d7-caab-4b54-ae8e-bcde5e322f94	0	0
8d03bfe6-9940-42dd-9965-e1f2b9bc5d49	0	0
3b15bc95-78fc-4117-91d0-49e8f13c734b	70	5.8403333333333336
ca723a2c-41f8-44bf-9b86-4ec1c2d27d64	0.594125249072381956	0.0494577913242390255
d88ccc0b-21b6-4148-aa05-750e3e952c6e	0	0
e78aa1c4-7b9f-4adb-93a3-38c17ae0cf53	0	0
ba7ddc7b-6846-4729-9a32-b0cfb19eec46	11.1837229437229446	0.930985909860509886
c665c143-6904-449e-8f87-bd48586e8dc9	0	0
daa1746b-e247-402a-b396-3f530deb50a9	0	0
4251d486-ee9a-471c-a78e-884a05f0902f	17.1436818181818182	1.42712103082070696
0a5238e9-934b-4985-ab27-0f6013cceafb	0	0
fd522299-a0c8-4eb2-8ba7-e6c6957d561c	16	1.33191555555555552
4d2e9418-e556-4689-87da-a83df11af856	0	0
4bf52989-a862-4dc9-8372-ae7f7f7dfa8c	0	0
2e68f8f7-064b-4476-8bc8-1dfb315e1a02	0	0
ae987da0-df9e-4190-aae7-d935cdbcf4b3	0	0
30f29039-84e4-4ae4-9d7f-20985bcd02c8	0	0
2e9b2054-bdf0-4055-a3a9-2c64024043d8	0	0
2a1a4ac2-a876-4a81-8586-363279ee94d0	0	0
adb00a74-1e67-4293-bd03-aa409be98163	0	0
018a5ae4-1d42-46d6-8c82-8f701d58efd7	0	0
c1de9ca8-d9b4-4d60-8b00-35b07775844c	0	0
9455126f-a1aa-49e0-99a1-f0d6cce559dc	0	0
088fec8d-4d04-4b8a-be91-94a4cac166cf	70	5.8271305555555557
d693c2db-14c5-4166-b613-695b73807997	0.594125249072381956	0.0495132430141524485
f4eb66d0-1659-4033-b23e-9dbf77f0434a	0	0
edb1b43e-cbb1-4a7e-ac64-cccda365f19f	0	0
60c8803c-ab27-407b-bc18-37b4b65a728f	11.1837229437229446	0.932029724001924076
6f66fce3-607c-484d-851e-672a4500facd	0	0
5508159b-15e2-4d21-b6a4-ae4166f56011	0	0
daca1413-be27-41b0-97e4-250f77b0c3c1	17.1436818181818182	1.42872110779040407
9f085ac3-1399-4f9a-929f-ef4d97ec93ce	0	0
2158f993-77fd-4f18-97e5-193656011954	16	1.33340888888888887
c7c571f3-81e7-4462-82ab-0c25ea863123	0	0
ed651694-fc6c-4a1c-950c-66b51876b3d0	0	0
403dda3e-3f57-4c96-a1db-502633d3e173	0	0
b30078fe-f450-4370-9fb0-f47ccdd04f01	0	0
44f29ee5-34ef-4c69-b6d8-2c59cb5970bf	0	0
b4e304ed-3e58-4470-b920-b92629756795	0	0
4b5db79f-4c65-48ad-8b36-4e5dc768db97	0	0
855cfa9a-41c7-42d8-a584-b34d50a94e6f	0	0
730ec957-4aea-4d08-8c24-328537488efd	0	0
517e7deb-c5a5-4a80-ad29-413091518504	0	0
7aecceb0-0640-4c9a-ace8-d89a83bec25e	0	0
448c569d-768b-4855-b2cb-6a643dcd3636	70	5.8336638888888892
9abc6cac-c0ee-4ca9-a9f3-d0cb48d0c9a3	0.594125249072381956	0.0495140681881094877
cdb4b98b-620d-4ba9-b4e6-4e93eda633ea	0	0
30ec8148-76fc-4fbe-b0f3-ed2ef0a8e9e8	0	0
3d0694a5-48a3-41f6-8f1d-b0a12d5df94f	11.1837229437229446	0.932045256950456924
c5950f3f-dcd3-4915-b6da-06e7c845e70c	0	0
c3e6b8ed-1216-4cd2-9373-ffbc8c3870d1	0	0
746aeab8-6636-42fe-be73-154baf3dc9e7	17.1436818181818182	1.42874491845959595
8adb11b2-710e-4a20-ad1c-d4ce21f490a5	0	0
7643538c-2239-494d-a28b-a3639e6a1866	16	1.33343111111111101
54c24dd0-28e4-4552-8c79-1972816c9a9d	0	0
1eb0a08c-a6b5-498f-a41a-0f332316c4b0	0	0
bd870194-9f38-431d-8a0d-0b64fa38004c	0	0
af5e51bf-fdde-47f9-ace8-dcc0123c8a2a	0	0
9239ad00-fbd4-48cf-a8f4-4a441f70b129	0	0
73e5a369-93d7-48b8-aba7-addb7948d40e	0	0
178a8518-46f5-4a18-ac10-a3e39797c031	0	0
7ee912b1-54b8-4357-8ead-a301909fe9ee	0	0
7d3cf40f-7da8-4e22-bade-00ee0dcd3caf	0	0
d86b13e0-cb04-4f70-92c5-94889cd64035	0	0
59ec1c7a-360d-4321-8a72-d73cca1ac673	0	0
28dc9247-90bc-4fd5-a676-cf2cd05d8796	70	5.83376111111111051
5a286884-8947-4a7a-acd3-1d7bc489f9c2	0.594125249072381956	0.0495074667964531395
5689e323-99c4-4bde-a85e-b594dcea1779	0	0
7717f071-0375-4dbc-8b43-aaaaef2f3182	0	0
b5af650e-8dc7-4bdd-b378-39b7c9d06ab7	11.1837229437229446	0.931920993362193473
861496d8-243a-48f2-ba2a-2780ffbefba0	0	0
96a14d8a-8ee6-4aa8-9613-e3831e5c77f5	0	0
f1cfa5aa-9a78-4765-817f-a57b6e40b14b	17.1436818181818182	1.42855443310606067
6eee785d-d21d-49d5-8086-a40d557c3cdb	0	0
8f64492f-0756-41a2-9d6a-69ceedba06ed	16	1.3332533333333334
efa68d4e-215e-4683-85de-c2c7205bc215	0	0
b562f903-e03e-4180-aaa4-d17383f175c8	0	0
a49c5932-a148-4c32-9231-6c42ce6d851c	0	0
78c80d92-e086-42c4-8c2e-568d875a0d8a	0	0
e7f1ab6f-29cc-4d8f-a0ec-08d032699884	0	0
503710b7-ff25-4fd3-9d9b-4ceaffa195a3	0	0
96bdb68b-4b0f-471c-acb5-5be36ff6ad9b	0	0
8a3e98a7-77fe-47e1-bfc7-147e59ff63b2	0	0
a3628e03-dae3-498c-ba68-3a9e068be413	0	0
8830f3b7-a7bd-441b-9b67-8e67dcfcd3f8	0	0
04e104d0-97e2-4978-8bfd-da4626b8af5d	0	0
ce94f2f1-db26-4a16-b748-5b26fd8e1804	70	5.83298333333333385
32e5f755-917d-412b-81b3-362d245de8dd	0.594125249072381956	0.0495234751712198065
e73fe868-dd48-4f96-9d31-9e091baa7d5a	0	0
d04cbf0f-0966-4909-a20d-cfa1b2b17b9d	0	0
2cb8e515-454d-4ab3-abb0-b1c9127dcfe7	11.1837229437229446	0.932222332563732659
14da3e77-3606-43d0-96d8-bd4da602d456	0	0
81fcfed9-6369-4b62-87aa-4c5eb2ed27b9	0	0
9ab4af1c-2020-4fd7-931a-a6ea05192401	17.1436818181818182	1.42901636008838384
ab2966b7-16fc-4576-ab2e-81cabc917386	0	0
8f8bdff9-2ebf-46b4-bbab-6dfcafea1699	16	1.33368444444444445
57eb89e6-8dc2-4913-bace-c653469709ab	0	0
e6445904-ba42-4c3f-b0ae-8879d5aad709	0	0
7a41d7a9-2790-4056-8f1f-c781a7f3c909	0	0
f9097a19-2462-45a2-b39c-35eb086e20da	0	0
6ce65452-2d40-4565-b516-e0d30f267f9e	0	0
1e00bc16-461a-43b6-b5e2-0aa9813e5f8e	0	0
c0c937b3-eca7-4022-96c2-062b4fb83945	0	0
8c7aeea1-f52f-4beb-8461-1f23a994ce37	0	0
c61627f2-b7b8-420c-81a4-b28bb5ea4daf	0	0
26b7830c-d6f9-4847-8d9a-408c71885db0	0	0
a6b2a315-bb82-4761-8f99-e7a3a0563446	0	0
ca23e921-1b57-4051-9cb4-95ee9298d223	70	5.83486944444444422
1bc45a7d-771c-4509-9074-924c9a7564ca	0.594125249072381956	0.0495106024574899009
4e6531e1-9e66-4f18-8ab6-af2860d6cd85	0	0
c9eb89c8-0930-44ca-8639-efdd7408d2d8	0	0
f90c8668-9e58-4790-9ee1-5bb1f185060e	11.1837229437229446	0.931980018566618607
ce96ac4f-e707-4c5e-a76b-7e052938bd7b	0	0
9d3f88bb-f2fe-4d4c-878b-13d6a45ddd4c	0	0
0a07153a-c418-4511-92f8-cb08d226e77a	17.1436818181818182	1.42864491364898982
addfb55c-b4f1-4612-b076-ef69b2516398	0	0
20d95532-6bbf-49d0-9ad9-8cf203fd2f7c	16	1.33333777777777773
a207fa09-d863-40ab-9796-e5caae38d28f	0	0
54c6568d-ced9-4714-9f9e-2dc4a95a3220	0	0
6eaf3649-0996-4233-808e-09ad22c02399	0	0
65dbacc7-c92a-4029-b6c2-d4c7dc0f83f9	0	0
4f4c277f-7607-4d6b-945a-3260fb746d9f	0	0
af8e3342-dce1-46ca-a66f-f67ff7487276	0	0
7d0acdf7-9fa8-4dda-913f-3f5f92bb6845	0	0
282d788c-4045-4e5a-9010-f51eb2120f90	0	0
ff43a511-bc0a-4a98-857d-172a5e360f02	0	0
f4ef488c-11fb-4798-b80b-1af516f7eb9a	0	0
16e69793-cd9a-4a89-a471-fd742dc9da96	0	0
bddbf5eb-3e39-4a30-8bbf-b6ca2da84c97	70	5.83335277777777783
ae016af2-088c-4cfe-86f2-fd325b8cbde3	0.594125249072381956	0.0495147283272751315
f29bc26c-8b24-4cdc-9cad-1be0f8903e50	0	0
842c154d-8184-40e3-942b-00407d21f9c9	0	0
b2016b88-a401-45a6-9f0c-59072b635e37	11.1837229437229446	0.932057683309283402
bba2c6c7-2750-4324-abc9-2d6a13889961	0	0
31c700b0-6642-4d25-aef1-4de0a58be8ca	0	0
0675c1e7-58e8-4efa-9af2-9edd85a5f574	17.1436818181818182	1.42876396699494945
d8ac4342-c504-4f9b-8597-e47b68566314	0	0
c1b6ab9e-fceb-4581-9143-d9919becfddf	16	1.33344888888888891
40b11afd-0d85-49e7-87f1-30d98742cb2d	0	0
5a71efc8-d8f5-46e9-981d-138f68b95486	0	0
6a635b53-9641-404a-96fa-5ee3f82a3eae	0	0
d51bffc6-aad1-4d97-bae4-025dfa087584	0	0
9608fe66-d30d-4153-b124-f47d4301ef6b	0	0
b93af866-85c8-4278-80c7-aaed9d95c992	0	0
31363fd3-b341-43b5-82f0-c205aa27ebd0	0	0
985d1661-e4a1-4023-b248-02ecde44170e	0	0
c3cf530e-7c94-4cb4-b888-d2508e7013f9	0	0
b474b6c7-d226-424c-8ce8-85aff2f1a281	0	0
d3473504-b53c-4c59-9716-157a53234c91	0	0
687999a9-80af-4b5e-9ab8-7c3ffdbbaed9	70	5.8338388888888888
4450873e-d4c9-4ff1-8a27-ee78fb8adaa1	0.594125249072381956	0.0495139031533180854
bdcd6ed2-f126-4728-972e-153bc6ef2908	0	0
11f11789-f6da-4c6c-9273-47384c10ed47	0	0
d70a055f-39dc-4cfb-871f-fb9e52001523	11.1837229437229446	0.932042150360750554
9a41c2b5-455f-4bb8-8139-c5d88a6574fb	0	0
d4b6ea74-e391-4560-a54d-5abfbc1e600d	0	0
6e119d23-f1d8-43fe-bafe-7c75fcbd6027	17.1436818181818182	1.42874015632575757
d54d13e7-415a-4100-b432-0fc30daf525e	0	0
d0ddfd3d-d240-468c-979b-5a1104af665f	16	1.33342666666666676
48244d4e-1383-4d12-8e59-1211433c0e5a	0	0
470f9742-7b81-4206-8e2b-54664afc3276	0	0
2b35e60a-ea41-4aa5-8c7d-dd5139ca1e3f	0	0
dce9d546-ae9f-40ca-a3e9-0ddcad73caf8	0	0
9b98b2ed-afb4-4285-8dd1-7ac6fe707c4f	0	0
171fadaa-319f-4c76-ba49-ac67357f5ef2	0	0
6af8e167-20aa-4128-826f-369a54381926	0	0
f8cb1bc3-9570-4328-88d7-facdadfef4e6	0	0
ba52ac74-cc3f-4cca-a575-40a611746d47	0	0
39b23f9c-ae8b-419c-af44-013cde72c5c7	0	0
d49e6eb2-b3ca-41e9-9ad3-3591269d91b6	0	0
3d601666-9c97-4386-bcd7-db32811fbb0a	70	5.83374166666666749
34e5df98-4782-4986-b574-8d3222c1c50e	0.594125249072381956	0.0495163786751892238
2bf89180-d241-4a5f-8388-1cdb8a460b8b	0	0
c684ea39-a99e-4a09-a2c7-57af08398bab	0	0
45f27ad1-5bfd-4e76-a769-fd6c833403ad	11.1837229437229446	0.932088749206349321
202abf26-f7fc-42cb-81ab-2f699acaddb9	0	0
065d3e62-d8de-4300-8b96-492802e56900	0	0
a3f87706-c059-4ea7-b140-fc2c97011e51	17.1436818181818182	1.42881158833333344
38aa070c-97dd-4924-851c-2414578b25e0	0	0
2390fbaf-041e-48db-92d2-6671e08b498a	16	1.33349333333333342
e9a0237a-31cc-456c-8341-46a0be1f7c76	0	0
5612c0e2-1fc9-4ca4-baa3-2cdf99611f93	0	0
1fad6dcb-586b-4ffb-8809-f3fab44cebf5	0	0
9a6778a0-36ee-40e6-8fba-4b97914824c5	0	0
437818e4-0022-4ee9-ad13-d9d420fb30b0	0	0
a192d1a4-2ef5-46a0-ad00-ac4768c57ce3	0	0
69017f5e-a10a-4514-8615-e10d257c8d52	0	0
a6c65f70-71ab-4e98-b864-09527ab7f389	0	0
dbfffb2a-4184-45c7-9564-1ced3ba6edce	0	0
86229d15-8f2d-435d-97d9-289c6c1f0d54	0	0
f29cdcbd-62dd-4c49-acac-b834d0360910	0	0
668975b5-88ec-42f9-b28e-1f954e2da5d1	70	5.83403333333333407
73416520-b4e6-46ee-9ccc-5dd4b8b39ee4	0.594125249072381956	0.0495122528054039931
bfc8ab06-8084-43c5-915a-63ed5618bcb2	0	0
ab98667f-f095-4890-884d-ea324ecacfb1	0	0
41e3a72a-42ca-464e-83d7-814db1ee4c7c	11.1837229437229446	0.932011084463684525
97471903-3195-48c4-86e5-7bed2ff112b7	0	0
ef3135e4-926f-4558-9232-75f94b24abe4	0	0
1837a97b-a00f-4609-9971-a4e82363bdef	17.1436818181818182	1.42869253498737381
d8a4eb08-7378-4a0d-b3a8-afb62ab346e3	0	0
8e16e6e9-d6d2-4dc1-9d8b-ad37c8bc15aa	16	1.33338222222222225
36a852c7-216a-4b05-8636-aba1eeb18ff3	0	0
f7a6a957-d954-4d92-8fff-4b2d118bc264	0	0
6992407c-e8fb-412b-96ee-50abd8537fb0	0	0
8f846149-c49d-4606-9f75-314052ea7f2f	0	0
2a5b19cb-02ef-41a1-a0c5-2b2ebf1b3402	0	0
30e78fe6-9568-46b0-9047-8487a3ac5cd0	0	0
e797492a-7cbf-4b2a-afee-0194e735e7f3	0	0
a365f92c-1519-4628-b8bb-60de10eed5dd	0	0
dbc737af-9778-4b44-b5df-c55014d894db	0	0
075f83f5-2750-45fa-ae8e-4e9562eabdbd	0	0
402160f1-f294-4264-a14a-f138e400c33d	0	0
eb68a0d8-113f-413f-8a0f-ad58947ffad2	70	5.83354722222222222
4d4174d4-ab9f-4f3f-9f60-93e96fa81947	0.594125249072381956	0.0495142332229009038
d4a446b4-6ec0-41bc-aa80-7c6613f26a0c	0	0
cec858bc-0081-4102-9eed-3472602b8215	0	0
0fa9eff2-6e99-4bf6-96e9-7d5caef063a1	11.1837229437229446	0.932048363540163516
c9dacbf6-4150-4975-b8c1-345e7f7dc0ec	0	0
9cd87278-8c45-42ed-9ebc-f6a4593c03b7	0	0
a4cb04db-4286-4114-b6ab-174003a2140e	17.1436818181818182	1.42874968059343432
573633a0-d14c-4006-a966-c0e9537b8b8b	0	0
10bc979c-a65b-4ec5-8538-2d7fa7bcc88c	16	1.33343555555555549
0c0f2822-8c30-4487-a792-a8ae78d91708	0	0
103ce031-d4b1-4946-ab13-793ec27677d0	0	0
5de0e5b3-5c88-42ec-8603-2e0459e2e2cb	0	0
1a0e10fa-53ba-4815-8f2b-9c07137ec366	0	0
f99f7401-8a26-4031-bc4d-8c22c9d2cc15	0	0
06cbb035-80aa-449d-a1e4-c50f4daf49af	0	0
0e5b23b7-5399-4b16-a0f6-8a13c3052973	0	0
c812d9f0-27d7-45d7-8aac-013e172453f7	0	0
1c0962f1-5231-445b-b441-78affc23c9f5	0	0
33d0fb0f-87ca-422e-bd3c-1547bc950e12	0	0
cd6934fc-e70d-4092-9c5b-16a406258ac8	0	0
01f7ea01-bddd-4dca-9be8-cb411c6b6387	70	5.8337805555555553
95766a8d-9521-43e9-aaab-c2b154f0cbeb	0.594125249072381956	0.0495135730837352669
5041bde5-9af9-4c67-96bb-0b4f026dd99f	0	0
20c70065-b313-42df-bba4-304cfcad58bc	0	0
73086991-2e1b-45a5-ab5a-e047cc021193	11.1837229437229446	0.93203593718133726
7b064fcb-8b7d-4c09-9391-26227640c8e3	0	0
c2deecce-d3c6-4136-bffe-fac48cf41df4	0	0
cfa28808-79c3-4335-9a07-f8f3108b53e9	17.1436818181818182	1.42873063205808082
0dc88dac-cf54-485f-a2b8-1124d082a365	0	0
f4b72783-c8bd-42d3-9394-2374a2f93cea	16	1.33341777777777781
f62fc95e-227f-47ef-8916-bbcc1785951d	0	0
d7aac7fe-f978-4bcf-828f-50ee53d697ab	0	0
0da0f56b-0b0a-402e-8824-8a28ff0a2ba0	0	0
3a89fe94-1555-4523-8a0f-4a08584d3201	0	0
f74eae6a-3106-485e-a293-8641fdd216f0	0	0
761ab1e2-f6a2-4dea-a098-c05918cd02f8	0	0
0e52c119-a84f-47e9-bad5-d9912ad22bc6	0	0
794f1ea4-cbb9-4577-bf4f-ebe34ff410d7	0	0
0cef48d2-2dda-46b6-ab40-f5e6f3f6023a	0	0
3f92ff85-e09a-48e1-a2a2-5d12990185a7	0	0
6cf13655-74bb-4758-9279-5f013d257114	0	0
f31b7711-c8fb-47bf-8864-47b25da90917	70	5.8337027777777779
5065fc32-90a5-436e-a434-6681c96d0fe6	0.594125249072381956	0.0495153884664407615
f7d562fc-149f-4579-860f-1dba1c50014a	0	0
b7d0847a-3479-41fb-a4e9-0e3443228466	0	0
8589cab1-4ed8-46a3-bc84-a65bba12863e	11.1837229437229446	0.932070109668109659
23d2bf53-c74c-4408-8d8e-160401831100	0	0
8a28f261-9217-4418-9ed4-14ca09d79804	0	0
b7d8e08b-4f07-49ce-ad04-3cddea8d3f92	17.1436818181818182	1.42878301553030296
73dd93e5-8c3e-4b29-8eaa-4465e040a38b	0	0
a5980ed5-e363-4925-a67c-58d6c5770be2	16	1.33346666666666658
00814b15-3a44-40d5-8a68-092534511f02	0	0
c596d616-b084-44a4-9d7c-a82acf809306	0	0
bce61a4a-8754-4e61-851f-240a89661c34	0	0
5a0aa0c9-6dcf-48b5-8dd1-7beb14f87d3c	0	0
cf54a689-1cdf-4ee0-8e23-36ffa5b765c4	0	0
0d135293-0ddf-468e-a326-aae6aefa0dc5	0	0
369a2ba6-8d42-4b04-b4fd-5361843265bc	0	0
a7a4d2fe-6fae-4a47-aa45-a117db98b52a	0	0
5b3733ea-1235-4bbf-9e55-fe9a88e959ed	0	0
3ed8bd13-5633-4b32-a138-581423549e10	0	0
c946d3f1-4bd5-4d3e-915d-16a6a0eeca40	0	0
fa9379ee-5d9d-4027-a4b8-3dd7cfe3a836	70	5.8339166666666662
356e1178-d0b9-496f-b323-7b77594808db	0.594125249072381956	0.0495130779793610393
c64a5c3c-4035-4b78-b075-5f10b5e5fed6	0	0
38c26048-d229-477a-a7b1-893f98d56867	0	0
59599b68-0776-41f3-80d8-6915db8cbf98	11.1837229437229446	0.932026617412217484
30b0afab-089f-46e9-a8fa-2e73bfaa6835	0	0
4373fe3f-936c-4380-ae3f-d7c7d9895a61	0	0
08ded5a0-c3e0-48bf-bd57-8b214addd3aa	17.1436818181818182	1.42871634565656569
250dbb66-41b4-4d29-84cd-6e2df17fa912	0	0
56e23494-1e8a-4141-b1aa-e586ddbd5183	16	1.33340444444444439
8577430a-31dd-493c-a08b-3b059e215172	0	0
7c9104b4-b3c7-4fac-885b-bea39c7bb3c2	0	0
7d018438-d34e-41cd-8e8b-113ffcd75f04	0	0
e5f95723-f189-4ca5-83e4-5860beae333e	0	0
65ccb98a-7deb-48a2-a0be-a8d547154e0f	0	0
320d1bb7-90d7-4cc0-8c22-dbf190474776	0	0
f636e57c-130e-4595-a036-e613d2520abe	0	0
53cf8b3a-09ad-4ecb-be90-e04d9eade00c	0	0
c22ebb32-1f1a-47f7-9372-0a9c3b5472a7	0	0
9b823223-97eb-4366-9d40-82b9831a7143	0	0
5bd8805f-7661-4544-a4cd-47d7de2dcc00	0	0
e5f28c84-d7c7-494b-a787-cfdeea52a819	70	5.83364444444444441
1f036a2e-6060-403d-92be-7a8ec98edf67	0.594125249072381956	0.0495163786751892238
b5c9c445-61f1-4b8e-b7a5-bc52c2f631ab	0	0
097c598c-1640-4085-bc17-dd3f870fbb4f	0	0
c4f6a16b-f8aa-49ba-b957-614dcdad5190	11.1837229437229446	0.932088749206349321
66405c74-8d7e-45fa-a49e-3900ca1073ad	0	0
d4693cd9-acba-406f-bd7a-17953f2546e8	0	0
5e421e1f-82bb-497a-8519-5b535a9ecef5	17.1436818181818182	1.42881158833333344
a74a99c9-542a-4c54-977f-8ca85a5aa47b	0	0
07740d69-478f-422c-b9f5-45449b63ab17	16	1.33349333333333342
731a524b-5fc1-4e55-88a5-b6dfe1361a45	0	0
5c3b42d1-7c70-49e5-83ae-d1fe1b91aff0	0	0
56c391dc-cef7-46b3-bba3-b2080def0ed5	0	0
2833ad66-f7a4-4ab2-a44f-5c588df5b7a6	0	0
a1710245-1d19-4821-885c-958c4a91b8e5	0	0
4fb56856-222e-4a54-975a-f25b2247a0d6	0	0
c71ae63f-19ee-42ee-af6f-3e0f76d34cca	0	0
41c29c1c-2ce8-4f20-9040-15ad35f6199e	0	0
7addaff2-dd1d-422a-968a-155d71a36650	0	0
6b5535e8-c1c8-46dc-a039-1a5e4377f569	0	0
8a7002f5-d100-4fd2-a9a7-0d3369d20215	0	0
db2ddf82-0133-4516-a511-b06f90e2e328	70	5.83403333333333407
6e78fe7e-a4d1-42ff-b4a8-6254aac61c47	0.594125249072381956	0.0495064765877046772
ce0a88c8-f1a1-4760-9652-f97c34313c28	0	0
06d2842e-fcf6-4a0d-9732-0dfd3f4d2325	0	0
9b19b7e9-e1b4-48a6-9906-6438453572b1	11.1837229437229446	0.931902353823953811
2c9b946b-5eec-4035-9673-31e3deda45af	0	0
f05240d8-0362-4435-8d3b-6b8229157b6e	0	0
93afcb99-3691-4305-8ff5-2ebcbf5f2277	17.1436818181818182	1.42852586030303019
dae2ea50-7158-48c4-be1f-136a5224974c	0	0
12f4c0a9-4d91-459f-b6ea-c1b9ed40af72	16	1.33322666666666656
b3d90fd6-ade8-4cd7-ab66-554adf329fd9	0	0
89e6948f-ebd8-401f-afff-0fe4c4ba872b	0	0
f331fd4e-fd90-4957-b6cb-5d3f33579631	0	0
a5be67c6-dfd2-4878-a4de-f4b2fb839664	0	0
e89c4abb-f53b-4743-bdc4-4a9f2dd4732f	0	0
f6b8fd47-cb55-4f26-a32d-d9a77b1efb33	0	0
327a0835-c4e3-44c2-970b-d4922ed3b1b3	0	0
70352756-1775-41b7-954e-8ab32d6c9633	0	0
7abd1659-01da-4c9d-8671-a711d2970d15	0	0
97132ecd-c1b3-4016-9f34-ebaec786124c	0	0
57874b3e-1cb9-44b7-a03d-c65906bf6fce	0	0
a0647605-cace-4629-919d-5454e14c4007	70	5.83286666666666598
4a6d2096-ce68-419e-bd56-f02570327aaf	0.594125249072381956	0.0495178639883118998
c2150c0f-b687-4d1b-8ac4-4de4529f5531	0	0
fba0a6a9-b980-4418-a48f-49231d2726bb	0	0
11000a7b-9f7a-44a2-ab2d-bf8643983a03	11.1837229437229446	0.932116708513708536
d18c71fc-935c-441c-af57-6db652a399bd	0	0
8c5c2fe8-0e0c-4d19-bcb4-bfd0b4124736	0	0
9bcf8cfc-149e-4783-a9b1-7d255297d494	17.1436818181818182	1.4288544475378786
171c5cc3-9462-4f5d-ba92-24f26b8319b6	0	0
3be60e9c-fe10-4725-9ee7-2b45326455ae	16	1.33353333333333324
dbd36e48-1f81-41e3-860a-06f67925686c	0	0
98cf69df-d017-4cd9-bab6-8e6f0f4c1e3e	0	0
ef1144e9-1fed-4bfa-b626-f0fbb36c18a7	0	0
b39bf55c-5f5d-476c-9a44-65f3b6878eab	0	0
0778c501-43ee-4431-b78c-9cb20ab90870	0	0
951c37b3-c242-4716-aa77-73145433a407	0	0
6364c1e4-2321-4005-a254-5a9d85b4794d	0	0
7ec690fe-7181-420f-bb25-b0e5b071c2b9	0	0
f4e09cac-f3d0-49f3-be09-b59abb4b52e0	0	0
0599c828-b282-4ef6-8f4a-8c9ac7f28743	0	0
d20c205c-06a4-4cd9-a5e6-528ea7ec54db	0	0
b38a8a71-cccd-418b-b99e-3b19a0a9d34b	70	5.83420833333333277
8bf8782e-8842-4b49-99cb-bfe41996157a	0.594125249072381956	0.04951505839685795
e7b35198-9d74-4ba8-9680-2e6e42ede152	0	0
a8fa92da-cb1f-4922-a2ae-7996fa25f9da	0	0
4de68c30-4420-4ce5-93df-e4062beb73d5	11.1837229437229446	0.932063896488696586
f391395f-8be1-47f2-8051-6d3362d3697c	0	0
98683e73-0bbf-4f7e-b0a6-1f5133a7dc17	0	0
4abfe744-3455-43f2-bd7c-a2a037d8bdf7	17.1436818181818182	1.42877349126262643
927eb6b7-f488-4062-8816-d6255b49b092	0	0
7887aed3-346f-44c2-abe9-8a0419294ee3	16	1.33345777777777785
624d4313-d191-456d-ba39-9af47211b974	0	0
f65de71f-136b-4d92-aae6-b3d1332e06cb	0	0
57261cff-42c4-4a47-b1ca-fd7ba8467ada	0	0
bad76ad2-c47f-43ed-aea7-2d9b87b5fd04	0	0
41b436c8-9dd3-4053-b9bb-19cf0f8ad9c8	0	0
baee6b28-0573-48e4-8d61-414b3163089f	0	0
cbf78cec-26da-474f-a4fe-9551665ba751	0	0
febf86e4-2dc1-4124-9f8b-efe0e1a06c88	0	0
01b41b07-1ebe-47b6-b5fa-daff8f5f7d34	0	0
a89cfc69-6ace-45a2-baaf-b47132caa851	0	0
4c7ac6db-8bbb-4304-b914-9e4e3e7ad7c5	0	0
447b2c34-3088-4f53-85cf-6e3517d5303b	70	5.83387777777777838
26390a29-e6de-49ff-a8a9-f49591db92e7	0.594125249072381956	0.0495030108570850905
02dc1a85-0fae-454f-9214-ffbd04a553e5	0	0
0b59c687-eb95-43d1-bc11-19a1c3700499	0	0
20c54e82-4306-4a04-af84-6ac3935468f4	11.1837229437229446	0.931837115440115493
38639694-d1fc-4cf2-9496-eb4564839edf	0	0
b17a1b91-d620-4b6e-b90d-37b5ec8400ff	0	0
ebcecaf7-66ac-4032-882b-3b3b791357ca	17.1436818181818182	1.42842585549242429
d73648b2-634b-46d9-b1fa-8bcde1b578b5	0	0
b7c39b03-a531-4523-a63d-627603244891	16	1.33313333333333328
1c96fd10-d18d-4ab4-a56e-b071304cafa3	0	0
e5ba610c-2326-4233-8e2e-706b35021321	0	0
b6ba417e-f885-42b9-b6cd-c05ad7b4a831	0	0
04611a61-ef60-45c8-ba07-fb82e99a3813	0	0
d573fdea-e6e3-435c-8d26-149c84cdcfa0	0	0
7fb8528c-3628-423b-8d5a-483a1161fe18	0	0
fef4b10b-e6ac-46cd-bc54-6cfe0b65cd87	0	0
878aadc8-9b08-4b87-86f1-12d4246913c6	0	0
dfccbebc-b5c7-4347-b912-6764ce8f21bf	0	0
2f17609a-81d1-4e69-8ade-07a5fce38351	0	0
29825a5b-55d6-4719-bfa2-971844e41e0d	0	0
4023348f-dd08-4beb-a8b2-c3dc6dd3dee4	70	5.8324583333333333
38b039ea-4e75-47de-bd72-357f1fb19f13	0.594125249072381956	0.0495244653799682619
68ffa926-8d53-4b5f-8ad9-ea310451821f	0	0
09783a3c-9e47-47fb-9ab1-ceacfc3ef2d1	0	0
298b4fdb-32cf-4c62-b32c-3908d3df75dd	11.1837229437229446	0.932240972101972099
f714e376-b04c-4f04-a92c-7a0d7b0db4bc	0	0
6dbace6c-9d23-4d61-a19a-b34a6edbe2b6	0	0
bba72b09-72d7-43ef-80d0-7a34327d7b4f	17.1436818181818182	1.4290449328914141
f49f6b5a-44cd-47a8-9d6c-ce96c5b86829	0	0
d56150f7-4448-4ae0-9a78-9f59f01309a5	16	1.33371111111111107
f8731dcf-1f9b-417b-8f51-656294b811ef	0	0
1d9ca41f-f344-4516-928d-36997d630f83	0	0
633fef40-2823-4d89-af31-291030c337ab	0	0
a1660831-d55b-4d99-bc2f-ab55cb7675d8	0	0
1cdaf0b1-a932-4e3a-a436-cd678977e835	0	0
29774d3a-b020-45d8-9d9b-d6649bc0974c	0	0
19825cee-529c-4897-834e-a845d600b9da	0	0
aa9d486a-eccd-4f0a-b8cb-c048b5a869ee	0	0
d34c14e6-bd4a-479d-89be-15362c7bb587	0	0
ed42c875-b4d6-4805-92bf-716157168b1f	0	0
523ce5cc-7e6a-4788-a983-ba53746a2062	0	0
00db892c-2b53-429a-aae8-6a7166760415	70	5.83498611111111121
5ef89287-52fb-4511-a44a-17cb3e5f6459	0.594125249072381956	0.0495139031533180854
d5098510-480f-4798-8047-6ca48c0b8b2e	0	0
3591e364-f3de-44b2-92ec-97bd8079986b	0	0
dafe4991-18ff-46ff-a450-99d8881c0157	11.1837229437229446	0.932042150360750554
b3fbdd26-adda-49e3-a19f-4577bbab2404	0	0
d1fcc584-1088-4f94-a474-e8e49f782ad7	0	0
6a1a54c9-9b02-4fc7-9bfa-de9d6d79d5cd	17.1436818181818182	1.42874015632575757
ae902001-1ae9-4d2e-926d-a71130e91ace	0	0
9d61f5c5-f70d-4a59-afca-4dcfa85a8b52	16	1.33342666666666676
d16590ef-1114-4293-a153-76cab749ad14	0	0
33866991-c0de-48fd-ae0f-a73f789ba182	0	0
2e61db64-f4ad-404b-96bf-654455cb44e5	0	0
8cc2ea35-d89a-477f-9c4d-002a003cc2e5	0	0
1325014a-10e7-4c9e-bae3-5021b0bfdd0b	0	0
ad6fcf9a-eb4e-4394-8f5c-fe6bb589a259	0	0
4829f2d9-0164-4eec-8c0c-10e82da57bbf	0	0
432bb48f-1ccd-4415-ba70-bab137ccadcc	0	0
7da51235-bef5-44a0-8e42-2b03d49fab24	0	0
ede30320-f2f7-4696-979c-b8ba04126b8e	0	0
97143b0f-b008-4312-aa37-eb26e91f8a61	0	0
5f7b10c9-c7d5-45bb-9599-f5277772dec0	70	5.83374166666666749
5abcd346-8aa7-443c-98d6-02d6bfeea87b	0.594125249072381956	0.0495127479097782208
ec3ce35d-43aa-4558-8039-21f39fe406c4	0	0
34c54a21-e985-4e72-b85b-6ca11ed11f2d	0	0
a2db1f0b-7170-46a2-a57e-9a48c576403e	11.1837229437229446	0.932020404232804189
6ed7200f-d8c2-4451-a8c8-80985fdc41c1	0	0
82fbf75d-80ad-460b-880e-9dc2da995822	0	0
799bb424-2300-48a9-9fb6-c48fa2300d71	17.1436818181818182	1.42870682138888871
53f663fe-0059-4143-8e44-ef0cb7994829	0	0
2f910050-494f-428f-ad09-696a128789a9	16	1.33339555555555545
4fe71606-7397-4a5b-ac2d-b04391845489	0	0
12019ad2-314d-4189-bbe4-51a09e0bd83e	0	0
3b488a63-8d90-4658-ade8-9777f724fd4b	0	0
05dd972d-c716-438e-a07e-32339bbf0ffd	0	0
47f84802-672f-408f-a595-729196e1b3db	0	0
4138af08-d931-4177-88ca-e12ad984c8cf	0	0
dbb92219-4a14-48c7-8917-498cbf0e398e	0	0
1b0d0033-8ca5-4afa-9d58-8de2f8e8fb62	0	0
d3d327f8-57f2-4429-b40b-bf9d8c828fc8	0	0
750b5674-e7c8-4ec2-ada7-6b3a34fd0269	0	0
ad7be3d1-3415-4789-be0d-eae6e5943c2f	0	0
d54a89ed-385b-4c8f-a0d3-0a66c0db9acf	70	5.83360555555555482
946ed105-a370-4dc1-94bf-17c2311492c8	0.594125249072381956	0.0495142332229009038
d367fe6c-b7aa-4551-9de6-146f2b14eee4	0	0
419ac2a5-b1f9-4ae4-82d5-07eda602fa91	0	0
4a34be92-2f1e-46f0-b1e3-a73d50b0e2c3	11.1837229437229446	0.932048363540163516
caef68b5-f14f-4fe6-a516-9411be3e5860	0	0
ba896e89-dfff-48c8-b552-bd7ed439dcf7	0	0
10e5e36d-da4b-4823-92f6-a3e04ce288f3	17.1436818181818182	1.42874968059343432
5455c5de-1812-406c-a8dd-7cfd278b84d7	0	0
dd2282ee-b519-4048-b02f-a976b1a94c39	16	1.33343555555555549
16cb26c3-9b8e-4422-90e8-6d8f8a8d58a8	0	0
96962046-6a93-4cb7-9597-c499d647949a	0	0
262182c7-fbdc-4624-9e37-e81a45d9ef37	0	0
44fe6311-9826-46ee-b2e6-0b8329cfa0c0	0	0
18eb03c7-f3b7-4df5-8646-e3d4eb76497e	0	0
8868d67b-2ccf-4d2a-a129-c2c779c7683a	0	0
b7111db4-009f-4095-bbf0-cfeefbe0b995	0	0
c3c2af37-2548-4d22-aff9-c319d858fab1	0	0
3a44e175-6e5b-497a-93df-c82eaffe911a	0	0
58218d31-94c1-45ae-82d9-3c171f7b4e00	0	0
7a5c78f0-cf21-422b-a0d2-9e6a5f4c8983	0	0
92f5506b-ed7d-4d53-947b-03a9b63ad417	70	5.8337805555555553
cc1517b7-c7d1-4555-92a7-4bc333133152	0.594125249072381956	0.0495124178401954093
f0e1728f-d056-4068-82bf-20ae2f3f3c52	0	0
076e9ad9-3644-472c-b506-0bfcefd07c0f	0	0
05f55558-93e0-4168-8d27-9a0c5ee65b07	11.1837229437229446	0.932014191053391117
b374e995-27c7-483c-911c-0545f4dfce65	0	0
aa130200-670b-4525-9bb8-8c8f79d16395	0	0
9948cd6d-b596-4a11-a447-14caec4e0394	17.1436818181818182	1.42869729712121218
fd65d198-ebe5-485d-b81b-632f48538708	0	0
22e8b591-ede9-4f1c-894d-78349d5b3f4e	16	1.33338666666666672
c831b40e-e0b6-45f2-b8d3-f6666842207d	0	0
9c2940ef-2174-4401-b684-c69b35b2ba94	0	0
482cfb21-e644-4c40-8f42-8ed71e3492af	0	0
5a456977-2e5f-4c65-8c19-be4f9cae8747	0	0
d48305e3-8004-432d-9844-6971c2259f1c	0	0
ed913101-8a44-43fb-92ad-2da5323bef1c	0	0
1d6ffa1b-14b4-47ea-acfc-d962920ef062	0	0
c8411428-7e40-4194-a2ab-e8baf0a6a75c	0	0
22146932-edcc-4d19-bc00-8d41b62f5d80	0	0
bf4eb5b3-b67c-48a7-8dda-f4a57eea257f	0	0
f1695863-7ada-4c15-8e87-0ab4abb37ba1	0	0
658791af-b12a-4dcb-a98e-33bcd8415b3a	70	5.83356666666666701
283ea593-ac43-4f47-9c5a-e0985f14074f	0.594125249072381956	0.0495134080489438577
e61ad184-67c4-46bc-af68-02f16fe62165	0	0
cf864f7e-79c5-40a1-b905-244624035a81	0	0
a417662d-23b0-49d6-8cae-77ab0b17f45e	11.1837229437229446	0.932032830591630668
482452f6-85d3-4988-a355-eedf9bbd3cc1	0	0
31b4111b-2a20-4213-b474-be0c5bbe30df	0	0
dc31d7af-11ea-47e2-9932-6181deb9b687	17.1436818181818182	1.42872586992424244
bb734c71-19b9-42dd-9d96-e13862f1fb0a	0	0
930c9c93-88c7-4e7f-9268-1ae4c3682c7c	16	1.33341333333333334
5974b632-f8b8-431f-9183-d1908a0c43af	0	0
91fc6a01-dbc9-4a10-822c-ce6c003e275b	0	0
579d79a0-6ed0-48a0-8f5a-438c16837d79	0	0
8b82d6dd-0a27-44db-b412-4e57f05b498f	0	0
0ebe54d5-17ba-45b0-b77c-e3db241be10e	0	0
2584826a-cc28-44fa-a093-b7538340bbb1	0	0
70ed4f95-b823-45ec-8a53-5f9ea0baf566	0	0
ddda797d-566f-4173-8c10-ecbcfc485317	0	0
7b62a822-9aec-447a-8890-5d0ca5c0cc0e	0	0
c2f2431f-cc75-4c72-aded-b7965a961295	0	0
6d5df9bb-e526-40a6-84a4-1504db2d5591	0	0
e13c11af-6a03-41c3-ac8a-22907593ed4f	70	5.83368333333333311
61ef1030-cc4b-49ad-a664-0285e0a61956	0.594125249072381956	0.0495134080489438577
bcf2c3a8-3549-4a53-85fc-051f92aa26e2	0	0
298b7611-95f8-4428-810b-58d956cc383e	0	0
f7fb38b7-d7f5-475f-99e9-a41d472cadb2	11.1837229437229446	0.932032830591630668
a5af25b0-9fcc-4ecd-9fce-bee1db64f92f	0	0
628a44b3-a33e-4793-8bd5-357ab3797e8b	0	0
2df44dd2-fbb0-431e-9ec8-a32c29aeefa4	17.1436818181818182	1.42872586992424244
ea57c23d-6eb2-43ee-b420-0fc989ad023d	0	0
d6cb6f87-a20e-43b9-b2ae-77124cf07660	16	1.33341333333333334
81b99075-d28b-43d3-87d7-c3350994345f	0	0
918b0adc-b261-4ae7-9dfa-c87fe43a489c	0	0
3b2653d4-e93b-4932-8352-82ada52171ca	0	0
915aeb24-867b-4274-9a61-488e0dae1eff	0	0
93407481-7d71-475f-ac3b-164175210622	0	0
a9925866-3bcd-4eda-bd0f-ae767165aa1d	0	0
18fd5376-b47c-4164-9f3a-f5e631b00b53	0	0
bb231068-e227-4633-9d28-96b68a4f2894	0	0
d6d3c934-4bca-46cb-b898-20efc307f51a	0	0
79864de2-7c5a-4ee8-866d-1bc7bcd366eb	0	0
08d66fa6-5176-4589-80ec-32c95a0dc5fc	0	0
17881818-bf1b-49be-93a7-f2fddc719b9c	70	5.83368333333333311
7b8ed03b-9912-48f0-bc78-aa9dce5be52a	0.594125249072381956	0.0495134080489438577
1ebd6d34-8270-49f3-8337-d3d7a4048236	0	0
ffcf1740-883a-44fc-93e1-80eac32b1e2f	0	0
0562874d-8665-40f4-ac24-f5720ac4904d	11.1837229437229446	0.932032830591630668
f86fe8be-9370-4447-8798-471aae4cc8a3	0	0
7e5ac927-2b15-40b3-922e-b753e5f08cb1	0	0
79d75eb4-fb22-4b77-bd0f-28b0866c41ff	17.1436818181818182	1.42872586992424244
02e11311-c649-4ae5-8702-cecc7b0826e4	0	0
88ffce6d-3473-4a0e-949c-713d73ff03cf	16	1.33341333333333334
5ccbd397-be8c-4c50-9b68-a51b222538b1	0	0
e894ddb8-ff22-4482-ba94-66d91c234eee	0	0
8aa114c8-1242-4ed7-ac66-84f49ba0d7b7	0	0
812c3133-219e-478a-9c57-c25c11fb5f8d	0	0
891e62aa-e684-4116-a801-f8c331b6f112	0	0
19215440-cc46-45aa-a2a3-f25aae5b8427	0	0
aac3bb3a-6f68-45f0-9c01-ff943ae08921	0	0
605e6db3-4d94-4101-9f14-5f281732f304	0	0
419657c4-4284-425e-a520-4090adc04b33	0	0
71300b74-6e47-42d7-a542-874ebf7828ac	0	0
e052fb4f-b90c-4f7d-8365-eab3edaeba6f	0	0
537bf47e-f790-4933-8e95-eb46ac4bf45c	70	5.83368333333333311
64facfe2-ccda-4810-afb3-60531b3a3245	0.594125249072381956	0.0495163786751892238
c710b7ce-34e8-450c-a24d-1e8c27d469bc	0	0
08f5e182-2409-4220-ab74-bb49f3837d43	0	0
bdd4b5d9-0b30-4ac6-b656-562689ffbaa1	11.1837229437229446	0.932088749206349321
6887d44f-098d-478a-ab60-2805ca597a43	0	0
44515bd6-10db-478e-9237-1320f90ada3c	0	0
05930a42-6fe3-47ef-996d-b46e09c5a723	17.1436818181818182	1.42881158833333344
1412643d-d39b-47f1-9be8-dbc108ddb30c	0	0
0a4704c8-08da-4527-a4e6-c895b2eceea2	16	1.33349333333333342
0a3de95e-a5cd-4390-8612-5e68f9d54ce0	0	0
29d9ae0b-49b3-428b-833a-04f646f63fd9	0	0
7efc61f8-70d4-439d-8374-9d3f1c197f71	0	0
9fdd1ec6-8bd7-408f-8951-964b25aaa502	0	0
a74cc6db-7cb6-4c66-be61-2a10898c56fe	0	0
2cd18e39-b6f8-4c7f-b9aa-c2530ff64d6b	0	0
a572294d-e97f-48a6-a522-2b065078081a	0	0
09506ea0-b3ed-493a-b204-d1fe4d6b380c	0	0
2574fbb8-224e-4ac4-8a3f-03a5e0e4f36f	0	0
23c801a3-3377-490e-a207-c0b2db3a2dcf	0	0
6b32eaf8-a1bb-42f2-a6a0-2d106adae2f7	0	0
431bb845-954d-43c5-8de5-456160e5f985	70	5.83403333333333407
9aa1a138-eac1-4dd7-b7f7-b794e43f101a	0.594125249072381956	0.0495148933620665407
cf9e7c1a-89ab-474d-a4a1-a1b00a444499	0	0
de412a66-686f-4265-9bdd-15f3fb2c7f3f	0	0
f212c638-28ff-4037-b103-1c404bfd9a7c	11.1837229437229446	0.932060789898989994
37c8ed46-1ff2-4002-a08a-eff97c89b72d	0	0
bbfd03bf-f7b6-471b-8f7b-8c1f1780f416	0	0
177f0fbd-a380-4388-9e54-6f22231de1f2	17.1436818181818182	1.42876872912878783
2604dc01-fb2e-4f31-85e4-922383e09811	0	0
a58931da-3218-4b54-b56e-7540522829fb	16	1.33345333333333338
77bc73ec-9f67-483e-8ab5-574a270ee9e6	0	0
9bd7ae6c-90bf-4507-b50b-d5fcdc18f27c	0	0
f998233b-9d86-4343-8c7c-ae7a4f659a57	0	0
c016c4cc-d1b5-4326-a5b5-864a818da5c2	0	0
63d32406-df24-43f6-bbce-bf4ddbebf661	0	0
4d3b67c3-add2-42ea-8477-cbce759bc000	0	0
73bcd8ce-fba2-4f5c-8ffe-460d2137eaa2	0	0
83ed1395-9e28-4a5d-a9a0-2d41d4fa96ac	0	0
06359dd3-3c17-4b65-9463-015a0efc5852	0	0
97698f04-9d57-42bb-9023-e13ec4d8eac5	0	0
ae728a42-2d1b-4948-b6d4-31f90b5c2d26	0	0
e0a87aab-66ed-408a-8252-1345ee8cb893	70	5.83385833333333359
10722383-a76a-4b7a-8a64-af59499e01b6	0.594125249072381956	0.0495132430141524485
a5cf74a7-4600-453d-8806-aaa8ccb1b22a	0	0
47c82044-57c7-40a9-8b15-534a25596f7f	0	0
f6a22af5-cf65-47b9-911a-78734b24ffd7	11.1837229437229446	0.932029724001924076
a421d972-2b61-4bfc-a7f7-de2815ffa096	0	0
1f97f259-050d-4350-9805-3da3b282b3be	0	0
d9d9b6d1-860a-4b2e-8d5a-aa6dc3d13e8f	17.1436818181818182	1.42872110779040407
34ddee9a-994b-4048-ace3-74fbf5905412	0	0
e2797e1f-29f7-44c8-88ab-eb15a0f0ad34	16	1.33340888888888887
57897d4b-198e-475c-b13f-5cd953db2700	0	0
ebfbf5ca-ddf8-4516-b55a-5db5470b4559	0	0
4efc530c-3979-4fcf-9054-2a352a865f84	0	0
9e955eae-6e74-4fd8-9e19-26a568bef4e1	0	0
9ed7d6de-8d74-4039-9254-3d3fa0981a51	0	0
ee737161-b019-43b4-93e8-db66ff0c7ccb	0	0
5d2b600f-21a0-41e2-bde1-e3f456cc74e1	0	0
267c905c-94b2-40fe-a198-0d86c06c02c2	0	0
83271dda-f128-4c1c-af79-a966a8d0619a	0	0
19c11c0f-86c7-4bb9-af04-d602ddaf52c3	0	0
d524d345-6fb2-45ff-9260-3b97ba8fbf47	0	0
413d994f-4602-4f01-af08-07fb6eaab5c6	70	5.8336638888888892
c1335470-1c63-4b93-8d7c-119c542a55f4	0.594125249072381956	0.0495125828749868185
60ad0e29-339e-401b-9627-d42f261429ae	0	0
ef1bd0f8-7ddc-47da-9276-eab983019dbf	0	0
c4af4810-d5c2-47f3-89f4-7bc8e423d28c	11.1837229437229446	0.93201729764309782
6449833a-def2-436a-95b0-e5d4114632a4	0	0
ca252ca8-5e73-45ae-8f53-09f313034658	0	0
34fd61d0-b1e1-48fd-b731-00e13c365605	17.1436818181818182	1.42870205925505056
b731a7da-38c2-4a92-8763-235a6edc3c50	0	0
84be349f-e49b-4a9a-ae9c-c679f10e7dcd	16	1.33339111111111119
f3511a9a-7ba8-4f1d-a503-b0bb2400553b	0	0
4837f30a-a7aa-451e-9c4c-02fc45a64192	0	0
14979620-36e9-406a-a25d-b075ee9762a1	0	0
bf3dc1ca-3de9-465f-87ca-baa2d6b6fea9	0	0
32033324-c7a7-44bf-ac60-5ba4bf43bd5b	0	0
9934f3b0-1ae3-418f-bc32-421a5b54265b	0	0
e3ef8227-310f-4650-b6b9-afbbfa0c6def	0	0
c9bb9c7a-a33d-47b2-a538-a44118a44c32	0	0
260acfe5-1f91-4bc7-a31f-28e9e6e38ca0	0	0
ef27fbd3-7b28-4fb3-be95-a506c7a1401b	0	0
238c0929-7b58-46ff-8e32-4a109f94345c	0	0
67a90409-c3ff-42c6-a17f-38767eddfd1b	70	5.8335861111111118
bd06b4e9-181f-461a-b491-d58560061bba	0.594125249072381956	0.0495153884664407615
77aa4c21-7c05-4329-b4cc-5dafc301980d	0	0
0652044a-24b0-40a5-bf99-e8e654f2d600	0	0
83ceb9a3-566f-4a86-a3ef-676e453a6d5a	11.1837229437229446	0.932070109668109659
b2056c0f-3284-4b7d-b901-a16c79a1df33	0	0
5013b469-8209-4318-983f-3bcf5d538e06	0	0
e5616998-fc1c-49c7-bab3-f75ea3f1c53b	17.1436818181818182	1.42878301553030296
67d81be5-1f62-4eef-9f9b-eb99478d908e	0	0
40f3adad-5fd6-47d3-8fbc-63a3bbbc8303	16	1.33346666666666658
591719cb-04b8-44e0-8aac-6695af4113cd	0	0
5e1ca2c7-689d-4cc5-9eb5-4c41cc58c3b2	0	0
a07cba4b-6368-46c9-a720-d792512eb90d	0	0
b50f8f07-d0e5-4ffc-b0ac-17d922628a1c	0	0
e68b74af-07c3-4f4e-ace5-0f06333091fe	0	0
eb61c7dc-698c-49b3-8d5e-d12eaf6a8978	0	0
0b51a804-4d69-44ef-b6ef-833486933083	0	0
0a94ea78-4f98-4e98-a3ac-e4b30452ae48	0	0
786806b7-b0e9-4148-908e-19bceb69c132	0	0
64c6f57b-6c49-4dbb-aa89-36d36d229021	0	0
a5f89494-9ede-422b-b6fe-7ab402f84352	0	0
68579734-41f5-4761-9e8a-e3e76eb4ef09	70	5.8339166666666662
cea213ca-9aaf-47d3-973d-9e2c07f70cac	0.594125249072381956	0.0495124178401954093
3828b440-4d8d-49c6-a558-bec4841c2b14	0	0
5e698ba4-6520-4733-8024-5eaeac56ee3c	0	0
c52af2ae-7dd3-40e2-88f7-1aa359992890	11.1837229437229446	0.932014191053391117
7ec9185e-3e2e-4379-a329-d53c8e2fbef2	0	0
3e753fb9-496c-4f73-8926-a78eca9191d9	0	0
f2a445d0-e747-4da8-86f3-d509ee72b7ed	17.1436818181818182	1.42869729712121218
99b7b059-e662-42b5-8354-bb93cbc2df05	0	0
d90f08a4-3af3-4b78-a15a-82aa8b8f330f	16	1.33338666666666672
a6047fe8-3ad7-4a9d-a6b3-fe1a1c197336	0	0
81196190-46bf-4068-8bd1-faa008d42f3b	0	0
b5164215-6bd1-4d57-81a2-6240400b793c	0	0
9cc9bddf-a371-4842-99cd-457be6ff64f6	0	0
fc9b6cba-7705-483f-a0f3-c193850233d4	0	0
abf9ae9b-326a-40e9-81ba-06ae73a680cd	0	0
d1e92e06-4e8e-43f4-9029-ea1c00b62600	0	0
933a7628-b907-477b-a113-d04170203fde	0	0
ef6f5dbd-32a0-490e-8e6b-cf2cde25062b	0	0
4648e806-4d31-423f-be82-f44821f8bb66	0	0
f68c0397-ba7a-4cf3-a8ed-3491242b3a2f	0	0
7fc6a6e3-33b3-4dc0-97de-37b52e2df0ad	70	5.83356666666666701
9f9c106b-e5ad-4a68-bc66-94ee0bd78531	0.594125249072381956	0.0495137381185266762
b885835a-28c8-48f2-bd3e-6a500918621d	0	0
a46591fc-10e5-4589-b5cf-9a403fd395c8	0	0
54f47881-455b-4dd7-be22-3a5175757d5b	11.1837229437229446	0.932039043771043851
47d3d102-b496-486f-bc63-4866b1ef194d	0	0
7602abff-8616-4b11-9947-4e4386870a80	0	0
8c3ab644-67db-4edb-a989-c7eadec0e00d	17.1436818181818182	1.42873539419191919
2f7d474e-ab7c-4f66-b940-45e1839e8a61	0	0
cca1095e-e3b1-4716-9b1e-d5005ef179e7	16	1.33342222222222229
2fd1609d-7b77-45dc-9f57-a6fba5a2d281	0	0
87f8cf75-506c-408a-b3be-19ce3c857e45	0	0
0f98786c-53da-45c4-a4e1-ad427df9375c	0	0
5838c5cf-c12d-4bf1-98a9-9a17b20099c1	0	0
e1162e31-a97f-4284-8c81-b51cb53e95a8	0	0
b2626cc3-1be4-4b11-9eb7-41207cdd890c	0	0
4a13b68c-7a45-44b7-9b03-4fcafba02b31	0	0
f3b5cea9-4c25-49b8-9dd4-55d1221189ae	0	0
706faa38-d084-4bde-b307-8d4fc8e8d429	0	0
8c433e07-26aa-420b-9134-0e680cc9a40b	0	0
68fe0708-fd41-4d75-8fed-85530fca7170	0	0
2fb3d6eb-eee9-4c7d-be45-20ee79e0daf8	70	5.8337222222222227
8f52bde1-4444-493d-a8c1-e8c2f6a8e44e	0.594125249072381956	0.0495157185360235799
19b8799f-d58b-4678-86a5-ec28cb042855	0	0
4519fcb2-cbe4-4000-9d35-f301fe774601	0	0
874b3d34-9d58-476e-a97a-db0c62d8d2dc	11.1837229437229446	0.932076322847522953
ad877fa6-8ceb-4528-985d-8a99efd124da	0	0
4c7aba72-f0ef-429e-9765-afbc8935ede3	0	0
bc55776d-328b-41ba-b8ad-cb6bb5ff34a5	17.1436818181818182	1.42879253979797971
ebc6fd6d-bfde-4b3b-8171-e8b8065f9848	0	0
d37efd1c-eda9-423f-805a-0596a00df5b5	16	1.33347555555555553
a22ad47a-2976-4c9d-b198-0732c4845627	0	0
da70b005-ed29-4995-af16-7eafe50f1171	0	0
bd1eda1d-9b86-4341-9c64-93619dfa0377	0	0
93e9a984-fc6e-459b-853d-d39649f4c5da	0	0
9cc17ec8-9fce-4e37-8ffd-01ca597398ad	0	0
8dcdf54f-d371-42f2-a632-dbbc102f5c49	0	0
944ac171-bcc8-4516-ab3c-be6e4573a0e2	0	0
e6a2b1a5-ed30-46e6-89ca-18fc751e2821	0	0
32707fdd-c34c-4e39-a64b-d24a132202b8	0	0
65ffbf25-a3a2-460b-8029-96fd05a01e36	0	0
15ea8b9c-ac68-4dcb-9cd4-ca777671bb6d	0	0
6f3c3084-46c6-4a1f-a234-19ac24718324	70	5.83395555555555578
eb0d805d-64e9-4ebd-9f87-a5789e64e9da	0.594125249072381956	0.0495076318312445487
a2a367ae-2970-4202-a551-283d04469d6b	0	0
b08b9123-182a-4ad0-b467-ae7baee9ee4a	0	0
1af17362-124b-4135-98b8-58a1fa7d64bb	11.1837229437229446	0.931924099951900065
5d3d7a76-6e82-4208-af1c-1e0b67fc31b2	0	0
767ddab5-3574-438e-94c2-d6e3366c29e9	0	0
754f6915-0042-4ee2-a801-dfc3de5c0cdc	17.1436818181818182	1.42855919523989905
d87edb5f-b7fa-4ba0-be27-2d1e1f6ab7b0	0	0
e41ea8be-c705-4931-a1e2-afe6f531470d	16	1.33325777777777787
dbb1f60a-bfa4-496e-875a-45f96282e4e3	0	0
d9ed23b8-a11a-4d8b-9870-e63f9e41a7e6	0	0
a392f6fa-9f56-4075-bcb6-be6eef9fbe17	0	0
cbef236a-0d37-4e51-bcdd-59d18820d444	0	0
a8b8ddd9-93e1-4dac-9fdc-817dcb5e94aa	0	0
dba51ffe-9d2f-46e0-8693-5d63fd3bf2be	0	0
28c23484-3a7f-4da3-9c62-68177839e0b7	0	0
5aa963de-56b0-485b-b2ea-c8b034ea787f	0	0
a67a1979-9582-479f-8275-a025054f735e	0	0
3956d782-8ed0-4177-865c-0d096ef46c2e	0	0
be979ba7-de62-43bb-8021-7ca0ad77928f	0	0
3ecfad86-d8cd-4ade-910b-f23f81400755	70	5.83300277777777865
89cb19b6-b188-420d-a387-cfffddb8bce7	0.594125249072381956	0.049516543709980626
8f6b658f-803d-4fe8-ac05-3f1c80a43813	0	0
2ea4fe6c-cec9-43e1-849d-dd9848b1ef08	0	0
656865ac-7190-42d7-a520-7c66476a7168	11.1837229437229446	0.932091855796055802
1dbc0d0b-3606-43e4-8cce-b31f5e98dcec	0	0
f7f8e868-35f7-4050-a3bd-2fcd13f821f8	0	0
167c411c-16d4-4bf6-bbce-19b82c1b9ca6	17.1436818181818182	1.42881635046717159
2133c43e-d6b5-4a09-8d54-c4f81a32195f	0	0
de439239-3e72-4cda-bb53-1ce490f5814f	16	1.33349777777777767
66e7a61a-5e91-4391-b66d-155c6bfd468f	0	0
77ef9ff1-22f9-4165-b125-12a760b3a4e3	0	0
b2aac5ad-bb55-4d12-9fbe-dc310b59570c	0	0
37aa5323-3a8c-4d7f-ad3f-4f0c0d486454	0	0
40613d0b-6dc7-4f91-b826-e5c777bb5dc7	0	0
3b98556d-1568-4ddd-965f-96cdc8c1a6d3	0	0
0cbaa153-7194-43d2-9daf-d416e684a2df	0	0
494ae747-4297-4fec-92bb-c4603dcf7f1a	0	0
8fa30212-d01c-4d28-9307-fce4b441d608	0	0
110b55c4-487c-4b7a-856a-982811fac4c5	0	0
c99f83c8-e49b-4557-a356-310d9292f073	0	0
f612fdc1-7f74-477a-9060-dc849441946e	70	5.83405277777777709
699d9b81-57e6-4fb9-a605-600a906b5aae	0.594125249072381956	0.0495147283272751315
751e83bf-c714-40e1-8031-71f63ef89b3e	0	0
e4a3a151-81d2-41b4-a251-fc0ccffbc887	0	0
34e37ab1-dff6-4bf1-be1f-9c893dc9a3cf	11.1837229437229446	0.932057683309283402
571c6571-4ebf-409a-8dc5-ad08b6df4658	0	0
c0aefa9c-c70d-41d6-8fb0-e5381b728dd6	0	0
8b44ad3a-be9a-4d4b-8115-a8a517e00ee5	17.1436818181818182	1.42876396699494945
b760834f-088f-43f2-8a57-b26c2ac90d43	0	0
589aeddb-5831-44c8-9319-05423f197448	16	1.33344888888888891
db6f6a7b-323a-4336-a388-ff58b846553c	0	0
024ac99c-e601-4b69-89f2-372303ae43a2	0	0
456577a5-a77e-456c-b3ce-0aac90fce25f	0	0
b54dc49c-d7a0-4a57-8337-451a85ddfff6	0	0
4ef12722-fc53-438a-aada-ee4f90846651	0	0
7074a522-b8a7-45b8-90e6-491a0877a3dc	0	0
892f2ddf-023b-44ee-b517-b61ca42e13fb	0	0
c942f293-7332-4654-8ed6-cf432dd5fa11	0	0
8623ec15-fbac-4786-8b06-a1d917f7ba1e	0	0
0dde4836-a12c-4a23-9781-64986b026128	0	0
ce3b8ac5-557e-4bf0-af99-019fbf5e4edd	0	0
2a6d561d-70ad-4cac-82b6-32b23ac4362a	70	5.8338388888888888
64832365-c1fd-46fc-9a01-649b392f70db	0.594125249072381956	0.0495142332229009038
292994fd-c172-4472-babc-b3cfb7f66ef9	0	0
4e149fbf-9af9-4fbe-be8f-ff2925c9c927	0	0
d894d7e2-8905-46f4-8fc1-25d174f51401	11.1837229437229446	0.932048363540163516
c6b62fc9-3a7f-4233-b53d-36a70e0015e3	0	0
e16d8107-f936-46d7-a81a-192bbdc64f59	0	0
c1d61045-547f-4b4d-b6f6-f53107e68abe	17.1436818181818182	1.42874968059343432
93652281-d770-402a-8cb4-75b0dfcd68a0	0	0
62f24af9-b4a3-4ed5-a634-34f76016675d	16	1.33343555555555549
904f0df6-9418-4076-963c-112f4f5b05ce	0	0
04ed7aa4-e377-4388-805d-a8007ccc443c	0	0
78e2609a-6071-4c25-b1aa-7b31b92d7d83	0	0
362bb7dd-f700-4ebb-b834-201f0a481d80	0	0
9a64c49b-077b-4243-9b1c-083194a5fab4	0	0
cc193fa3-a435-454c-b9d5-da1795f3d8d1	0	0
56968b15-8754-46ce-ad9d-6ecfc987f550	0	0
d1d365e3-1083-49ca-a8ee-04598051ef7f	0	0
ca59a8c0-d08b-464d-a6fb-16fb68857002	0	0
814baf08-580b-476a-a866-a07b04cb83d0	0	0
aa399625-7846-4166-967c-b8dc98116507	0	0
3a7b3713-20ae-4293-a641-15238141db3b	70	5.8337805555555553
b71a70db-2d69-4f1d-9185-51fc6569faef	0.594125249072381956	0.0495115926662383563
49338a1f-4ee6-45bf-ba02-93f8c558d580	0	0
098b9d9c-87b3-4936-9e54-2dad78ec8ce5	0	0
60f28936-bd78-4dd6-a875-f27d0d98e586	11.1837229437229446	0.931998658104858158
f6c44037-2289-4f34-bd2f-41034ff6b7f8	0	0
33344dfc-7a39-4b3d-9ff0-23ac7cc43063	0	0
c8a4ef90-ab1d-4eff-b8eb-b9d8c4884d71	17.1436818181818182	1.42867348645202008
2fcc5fbd-8a03-4602-9acb-422b36f79299	0	0
b9cc9bcf-11ef-4874-bcd5-eab3bdbe1a2d	16	1.33336444444444435
b4eff18b-bcf3-40fe-add2-a9689623e122	0	0
987bb9f6-7d89-4399-aa3c-b7ede8520574	0	0
518071f3-3ea6-49e5-8465-e36dd9d64888	0	0
a09d73ef-488f-4768-83ec-741cde5b198f	0	0
8d0e5971-c22d-4dd5-9115-9eb5f883a04e	0	0
025cd6a1-1b2e-4cf1-a60e-73bf1a51ec7d	0	0
343d10a2-a2c6-4dbd-ae3f-2d65338b9c3e	0	0
f83bc33b-a505-4860-b97a-8ecdc1eb2ee7	0	0
3b0653df-7eea-42bf-8ce8-45cc1dbd7168	0	0
ff0abf97-a422-4798-8817-fbf4554bf813	0	0
421d9fa6-a3ef-4952-98e1-05d37849ac01	0	0
ac8a07da-7ad6-4e79-ad5f-c8e2b4164652	70	5.83346944444444393
37520187-1c7a-4602-a164-840e85ef7fde	0.594125249072381956	0.0495160486056064053
0f53c76c-bf41-4470-8701-4f3c67dd4ea0	0	0
4f8923d6-984d-4296-8655-b27e921d6259	0	0
55be5da0-8b6b-4917-b169-7b30b2e769b9	11.1837229437229446	0.932082536026936137
19a7378e-86da-4c10-90bd-ae92337cbdaa	0	0
9deb42f1-128e-40ca-8e67-d2a9a951c525	0	0
8543dac6-2012-48bd-9a01-a56280fa2665	17.1436818181818182	1.42880206406565669
0106b19d-fb7a-4e36-b665-cba2270ff9af	0	0
2246d268-f243-4ddc-bb4c-6085700720d8	16	1.33348444444444447
fab07561-9b0d-4eb9-b4ec-fab8eb1ea2d3	0	0
2dd86ce9-3dc9-4cd1-be52-6225f7d1ee20	0	0
2bf54847-cb00-405b-85bd-24ba003f6348	0	0
5eea4b0d-7b62-473d-a5b4-1e3ba9d93763	0	0
df4e9296-1bbe-4b08-beee-7bc2c4d3f7c4	0	0
ebe73128-e0fe-4eb7-b60e-48938caa23dd	0	0
30a7f6d9-860e-4fee-bec1-280d5d421c6d	0	0
ace9ad17-020e-473c-8b1a-afc9363b0768	0	0
e57fbec1-9a1c-44cf-9ac4-74b86980d9e6	0	0
03f8b31b-17aa-41b1-870b-554efb655efa	0	0
fb43f470-add6-4c1e-a07c-e97371c8c960	0	0
2b7adc67-ee4d-412d-95f6-5d50825d3fa8	70	5.83399444444444448
4079d5d8-7a32-4657-a421-1478514c8d3f	0.594125249072381956	0.0495132430141524485
decc3cea-8121-4df1-bab2-9a473ba3af62	0	0
ad556b1f-5572-441c-844d-163e1469bf22	0	0
0e753b83-8234-4954-8bd8-a1a09a9d2ed2	11.1837229437229446	0.932029724001924076
d4726a66-949e-498f-bfaf-13a9c3c04e57	0	0
07442192-05e9-4e23-9a4e-130d61d9e8c9	0	0
e49c5111-63db-4b36-8a4a-d2f304c7c7c4	17.1436818181818182	1.42872110779040407
1e830359-e259-4c97-b240-1c8a4d8a3e3e	0	0
8c29b22f-38ef-4e59-aa88-56584b02cec3	16	1.33340888888888887
8ffca5b4-b949-45c7-90a4-67c24c353089	0	0
730b269b-6262-426d-89fb-1d4498cd0ae2	0	0
0939db04-9f8b-4ba3-a4f1-0881de7d0f1d	0	0
5436a5f3-a233-4334-a1ef-fbc01c77f590	0	0
406af540-a121-4e10-97a5-eb0411674e86	0	0
8162d59b-0d12-4972-9d30-55af35b5dc79	0	0
7f2e8873-b1e5-4ca2-a824-7876aae4f6e1	0	0
c52a5261-db07-41c3-8f61-72d67b337d09	0	0
8ec69696-92cb-4303-8bce-674ab9e199c5	0	0
c153be6f-f373-474b-9dd5-29bf4581249d	0	0
d635e725-49da-4ba0-94ed-e39b0cff7ca4	0	0
96e2bc89-16ad-4829-92be-fa74e6fe7bf4	70	5.8336638888888892
ba8a8418-2cb2-4cf8-946a-469ef5caa51e	0.594125249072381956	0.0495066416224960865
817be13a-c4c6-4e43-83b2-89228e0f0669	0	0
0372dcab-b507-46ec-9556-c59fecf3ae39	0	0
39c95406-d11a-443f-ac12-b3b179ade1c4	11.1837229437229446	0.931905460413660403
7a29782a-f688-41f7-b552-a7b82ae5ed25	0	0
2a9303e8-dba8-42e0-a011-18e88d88c6b8	0	0
721e76e0-ab33-4376-af1a-19f799bab75b	17.1436818181818182	1.42853062243686857
3be00dee-b60a-4598-a3ea-f876c05fbe89	0	0
dbb3b82a-fb2a-4e12-aaa9-f749e8b49187	16	1.33323111111111103
427dd336-3359-4467-99d0-2dd7398b5ff7	0	0
f2a121b8-c79f-4a11-b678-817ad39c5838	0	0
00f11ece-7a3c-4408-9386-2e0252c2836d	0	0
2d0569be-9b99-4456-a67d-ee6fb9a035ac	0	0
9d5b4894-aeff-4e20-908e-4bc326154473	0	0
fe89d197-eae6-4453-b522-c21cd7a0acaa	0	0
9b210412-fab4-4657-94d2-7eaff0e9e203	0	0
77eca8a9-b3f3-4981-bca4-0df635af6100	0	0
54c1b5c4-68d7-424c-881d-42b943be3779	0	0
36c02581-5791-47be-90ee-b2cad1e42e51	0	0
b1b1468b-a855-4753-ab90-381623cb075a	0	0
69e498d0-21a7-4341-9bb7-9d76865b3e6d	70	5.83288611111111077
f672e229-ff37-480d-8202-ab70ee2e5be4	0.594125249072381956	0.0495226499972627673
05d4ed21-aee8-4264-9718-3f3f02dd35ea	0	0
bce8be7f-45ec-4ddd-8339-2e3ba34d4390	0	0
c5914923-343e-40da-962a-27eb19348308	11.1837229437229446	0.932206799615199699
18461a78-fbc9-4539-bc35-b6be9e45564e	0	0
0842e4f8-9f22-4d1a-b2cb-74e782d59c48	0	0
8942e3ec-1ca2-4ce9-a903-1e0fe699bc05	17.1436818181818182	1.42899254941919196
68060d60-4fd0-4fe2-81d9-8966c22a85ed	0	0
2a8d5f05-581d-4478-99d9-7876df55a2ef	16	1.3336622222222223
f196d695-4f57-4768-b6aa-7aaace23041c	0	0
6ab3d4b4-64b3-4bb4-8d59-df5d1afe262f	0	0
cbe113d7-3eb1-4e67-8fe7-e33bbad52594	0	0
734213a5-77ee-420a-ac50-767c186ef022	0	0
60216115-150c-43cd-837f-8c6571c573d5	0	0
4723651b-263a-4e62-b739-a4c9f7f22741	0	0
9ecef112-d4ed-4bee-8d55-951c8a907d33	0	0
fe2f6694-5d23-4031-a405-d381289bd5d0	0	0
29992354-b31f-4444-b85d-eb9f91b751d4	0	0
e46fc131-bcb7-412b-89d2-593e40cc4b0d	0	0
49a26463-44ed-47bd-9937-0f1ab6e6911b	0	0
bb401643-7905-463f-b6cf-d2f05f0a422d	70	5.83477222222222291
a94ffce1-15ac-497c-854a-6801d57b9484	0.594125249072381956	0.0495109325270727263
b3a9fd9d-aeee-4960-8185-033c6f5d5cc6	0	0
655bce33-647e-4a6a-975e-81878e21273b	0	0
078ea4c2-2f58-49f9-8ff8-3e3aaef029da	11.1837229437229446	0.93198623174603179
ff8c35e8-edd6-4564-9927-80c33e73ff3a	0	0
ebf23673-03db-4ee7-9bcf-398579b987d1	0	0
330ed016-8a67-4019-b07c-162281779dee	17.1436818181818182	1.42865443791666658
ba6373fb-5cdd-4453-b5ce-a4a1c403cf4f	0	0
db487a78-a47b-4d3d-be5a-25a3f078c28e	16	1.33334666666666668
b88a54a8-ba0a-4414-acb1-0c5c79b7ec18	0	0
4be819a7-a306-4823-a4e9-c7134fa9fc3a	0	0
11b9d51d-9f7a-4c52-a7b2-2278772159e0	0	0
be370cfa-9d73-4a8a-910f-0e3f148ef014	0	0
6351d9f2-2ed1-4d89-bddb-078779f50de1	0	0
12868197-02d9-4b9d-8c80-4be281ca986c	0	0
bb938b83-d594-4c8b-abe5-d3cfd2bc1611	0	0
323fa07a-20c0-499b-927b-6b10aaaa74de	0	0
001c62c2-6fe7-4099-8d7e-f6c90677b47e	0	0
b4e7d4de-7701-407a-9d72-bd509a238616	0	0
698c3a2b-0f85-4dcd-abb4-a476ab0cb522	0	0
ea88c715-95bb-4291-94f3-43d8a1a128bb	70	5.83339166666666653
7c731769-6d43-4560-8db2-9724ddfebdf8	0.594125249072381956	0.0495117577010297655
5c2a36e9-108f-4cc8-9bf5-9aafc4178fe4	0	0
8b240118-21a8-4e8d-80c4-771a79119b02	0	0
c4e3b227-934f-4a98-84d5-235f9a4331ba	11.1837229437229446	0.932001764694564749
050a6eb2-1b06-4036-9bb5-eecd60287b96	0	0
47e76c38-a5da-451d-9632-8c06def5f60b	0	0
8768edc3-60cb-4706-864e-dcadfcacf645	17.1436818181818182	1.42867824858585846
a647ad08-49bb-434b-98b2-8fa02de22767	0	0
6d87a55f-1fa1-4de1-b629-9558c3b3487b	16	1.33336888888888883
ea2d653b-ffba-49f6-9b86-b5235cba73ea	0	0
325aafe0-90e7-4d20-824a-4cd5a199b739	0	0
38d7ef40-6d87-4782-8fd3-32fdb996956f	0	0
f58dbcc0-197e-4d05-ac8c-c5a870b4b5df	0	0
2d754610-f9d6-4cfd-a2ae-bf906f8ed91c	0	0
c154df5c-ba6b-4859-8dd5-ccfaddbb6964	0	0
e9b518aa-76a2-4b31-a0ed-993b87dd6605	0	0
3dd45049-e853-4fa7-9651-759206fb324a	0	0
9c181a5b-bd61-4503-b618-255287cce3c3	0	0
ed94308f-f33f-4251-92c4-cba9f56dc41f	0	0
310e857e-221d-4562-96a1-7a08b540e661	0	0
e507daa4-cdec-488a-8d6f-18aad7002b47	70	5.83348888888888872
11453acc-d43b-4bc3-a898-9fa9d9308de4	0.594125249072381956	0.0495158835708149961
a82c153b-2c50-49d8-a666-7d1ed34cfd1e	0	0
aabd0240-9d3c-4d75-b071-d7e990d80cc0	0	0
34733087-8353-464e-8237-ad8f24b469c5	11.1837229437229446	0.932079429437229545
894b28db-78bb-48d9-80f5-0c8b9ba66749	0	0
05bac722-35e4-432a-97bc-a12fec773caa	0	0
15c1c349-e33d-4629-a137-e6d42a8ebcee	17.1436818181818182	1.42879730193181809
486e5947-d28e-435d-8653-73add83283c4	0	0
cc356748-0116-4d0a-ab9f-f6b7e13c56c8	16	1.33348
70c4f9cf-9fd5-496e-a340-45db0d113bca	0	0
291a020d-63d7-49f5-b32b-47c6f50d3702	0	0
ff6576d5-dbf9-4544-9786-bf7da03ebe4a	0	0
1d8a7d5a-036f-4148-9044-01cb7ca0477a	0	0
06f6dc26-2e9f-41be-b9a8-616408ed691a	0	0
31e534df-38b7-4973-965b-16d578635afa	0	0
4dcdb5df-0736-4c2d-9205-f5eeac280790	0	0
b8a9a65f-7b65-401f-885b-ee416f94b03a	0	0
4efe3267-270e-4b27-b346-597fbe786ac3	0	0
404c6db9-195f-4fc9-baa4-7cb0a2deb768	0	0
b57a553e-9bc9-47c2-a700-99f3f12d438a	0	0
d97dd066-c5d5-4c3a-adda-10b1b058f479	70	5.83397499999999969
fb71ca22-76a3-45fb-a7e5-b5d4679cb08b	0.594125249072381956	0.0495119227358211747
8d355db6-0db7-4243-adaf-5e6258c886ab	0	0
bf321a47-4f9c-48fe-a083-8bbf2bff96bc	0	0
94c651fa-842c-43b2-8eba-28f190b43f67	11.1837229437229446	0.932004871284271341
773615af-064f-4536-bdd0-b32cf939c6bd	0	0
5bbb23a4-01d9-473f-8600-8f51cc6b4830	0	0
f61aa4e4-57df-4af2-8db1-eadc6c06982f	17.1436818181818182	1.42868301071969683
963a6aef-512c-469e-a8bf-f96e105ff6ee	0	0
5672ee9c-85f5-4886-996e-0aa5c4e46f2e	16	1.3333733333333333
ecbd6089-20b8-4da9-9cee-3671c5324e37	0	0
6c8e3d30-d8b7-4cfa-a0d5-9fa175789c2f	0	0
91c39272-ac6f-44bb-8b4b-9cd9453e5d97	0	0
4e3b86a1-dc6c-4a4e-9d63-a1fc11802fce	0	0
81db9755-e030-4690-8bec-3cfe4f241e85	0	0
100d5f5f-58bc-426f-ad31-6bf185b8ef8a	0	0
a6dbdfd7-41e1-4fa9-9ebc-80605349fb20	0	0
2daabde4-0800-4ee6-8b53-e32bb0b78d25	0	0
5a4c946c-8fde-44f5-a8bc-8b28845732a0	0	0
25e24dc7-9c64-4845-8b37-63ef927439af	0	0
bc833732-aa98-48d3-b7fd-3d4e1813d409	0	0
57e8d908-7bd7-468e-8619-aa17263f251a	70	5.83350833333333352
0ac36886-04ca-4366-9fe9-7c032c1d582b	0.594125249072381956	0.0495094472139500433
5daefe6b-fe94-4996-9cfd-07edfc632d65	0	0
d0309cc4-a376-4f89-9efd-ffc797ee09a7	0	0
30764771-dad6-4c56-bef1-7b7cde7fc857	11.1837229437229446	0.931958272438672464
6903740b-58d1-4b2d-b4e6-837153966d61	0	0
f6c171e1-e0d6-42c3-9c01-c10f78772069	0	0
3a2dc238-4e9e-4ef9-a3b4-56365287949b	17.1436818181818182	1.42861157871212119
9a521d5d-b0e7-4e69-9d6b-4fbe3735d6b3	0	0
1999accf-021c-4430-b61f-590f0912f317	16	1.33330666666666664
2c7f730e-8436-4098-acf3-1f15dc798b96	0	0
7fd528de-040a-4d89-be5c-070a4a9ab217	0	0
23214062-5da7-44de-be9b-4aca8fc952b0	0	0
6d180486-0591-4b98-8c5c-8d95f217b63b	0	0
ce260d07-08fc-45b5-ba9d-316e537c0979	0	0
159dc891-b031-436c-8b42-881dcacf7a4d	0	0
4425e0cf-8342-4666-92ae-9429adafc48b	0	0
aa2de1ed-638e-4c57-b422-9049e3e25fb6	0	0
1b1974f2-0488-451a-aea7-02fef0fc3130	0	0
193d2798-ba39-44eb-893b-5021b5926ff5	0	0
6c8b2f5a-a4c2-4c1a-b327-dc2180d2858d	0	0
cd162b45-0662-4341-94e2-8e08e29deb64	70	5.83321666666666694
45bd0049-7556-42fc-81e6-2444e2afabad	0.594125249072381956	0.0495157185360235799
10e077eb-0358-48b9-bf8a-a6072395a41c	0	0
883652c4-e524-4c14-902e-1650585b8d70	0	0
9258800b-32a5-47ee-9265-672dcdb84d99	11.1837229437229446	0.932076322847522953
286086a6-f552-4474-8d30-deddbf114c4c	0	0
560cb990-fe06-4612-9763-f7994e8121fe	0	0
11ceacc1-5cbe-4484-87dd-73fcefe2413e	17.1436818181818182	1.42879253979797971
43e40ba0-c341-4265-b232-bf1740ba10ae	0	0
f44422db-7248-467f-b0e6-5dd574f96dcf	16	1.33347555555555553
f1d79fbb-d68d-4903-83e9-756d169ce29d	0	0
00067cab-b53d-4569-bfdc-d987028afc46	0	0
645a395e-6500-4533-bd12-b36f71d38633	0	0
0d8385b5-a4ed-4d0d-90c1-a7a44a2d1eea	0	0
240b61b9-dd36-4b87-b25b-9c6030357591	0	0
c2326dd2-0784-4437-876a-d34dfbd98f7f	0	0
2ed3da76-2a33-4826-ac45-6a7bc2d90a3c	0	0
56b77f40-3185-4fe0-b946-b67d6b66d634	0	0
23f7f79d-9389-40d2-8927-451d5754b755	0	0
75ef59be-5a88-4859-8def-355314d210a6	0	0
613fe78b-2d53-40c2-b8ba-f53ea5bed2ae	0	0
7cea66dc-d3f2-46df-a790-e1b2c90ed9ea	70	5.83395555555555578
e6a3a19a-9d7f-456b-8243-4000fcd13a9b	0.594125249072381956	0.0496102834715009405
a282bfbc-36d4-46a2-a6a1-d0ade91f926f	0	0
9a25e9f8-3c41-4edf-9ff4-23a5a951dc52	0	0
62aef797-f934-4bdd-99a1-06fbf073823f	11.1837229437229446	0.933856398749398853
f5ebc3c9-9e6a-4e25-8938-47c2e76358c9	0	0
db5e72fd-9b87-4f7f-ae67-754b1609c12c	0	0
31d1b356-7272-469e-aa3e-76c527fea0dc	17.1436818181818182	1.43152124248737378
ce228c27-d243-415b-a11b-6be44643ee56	0	0
2610ca07-0dbd-491c-9f40-9861c90fde5c	16	1.33602222222222222
db3ddf0c-c33b-43ff-bb2f-574e7f49f6ea	0	0
a016b732-cfe0-4bd4-8064-662418fe08cc	0	0
bbd4957c-1699-414d-9781-9ed1e910e94f	0	0
de31f004-e3ac-44bd-9a16-a0c887b99e88	0	0
fcae9cdf-c92a-4dee-b055-51ffa840be11	0	0
c9d077e2-1a78-49e4-828f-214f5e9cc89d	0	0
2ecea7c6-fbc3-40da-a0f6-94b45decbaff	0	0
f43e4381-a3cc-4b6e-8d6f-3d014ede899c	0	0
8a943978-9f67-4126-b7e9-99f0ad7c0dfe	0	0
802fdffd-e33a-437d-9b97-86e8b5c40e5a	0	0
1b33c27d-8a04-41e1-a03e-e59f96e86227	0	0
757fab91-8918-4e39-b350-de451861ad98	70	5.84509722222222194
c1e479c9-4d12-4458-bc43-aa6f363b3dd6	0.594125249072381956	0.0494193382178407317
f782fac1-02ba-40e5-b83c-ba50124c9f8a	0	0
b7740ea4-9687-4012-a07f-7de29ce68f4e	0	0
486aedc1-ca74-451a-9eca-efcd7570b74d	11.1837229437229446	0.930262074458874544
4a6455b7-629e-495d-9339-ede463046fc0	0	0
8fdca163-760c-4efa-8bb0-19bf2c279e57	0	0
afcfb515-6f28-49fd-8ef5-4165df0c1aa4	17.1436818181818182	1.42601145363636372
1bf36f6b-d8bd-4880-87a6-4feab6c8134f	0	0
4d93ae4e-b835-49c6-8faa-b43869483099	16	1.33088000000000006
623adf9b-fc44-41cf-91ed-2dfcb0c1a17d	0	0
de284899-50dc-4866-8dbc-984e2e131ce6	0	0
cbb64913-91bf-4b85-86af-5449513cdb01	0	0
e8b19a8a-2b56-4f38-859c-cd81684d9739	0	0
ddb09e44-481f-47e9-b659-6dc60fcd13ab	0	0
21ab7691-c1c6-4f02-8ccd-1541586ff335	0	0
3123fe4d-4418-40c2-ab79-d3cb0e741f96	0	0
268e7b1a-3f9b-4935-bd0f-a91f05652c94	0	0
c4c8cb46-8956-4751-9c75-48d216a00aff	0	0
2dc3bc01-bc87-47bc-9245-4b1d39e98056	0	0
f4b6e9d9-d785-40cd-a12d-972373ccfce2	0	0
b3db877c-1c96-4be0-be83-c47d05b237db	70	5.82260000000000044
cc6ff63d-fc0a-4e78-9017-75dcbca061dd	0.594125249072381956	0.0495140681881094877
08996803-c38e-4ae5-9243-2eb15985789b	0	0
b8f215e8-ff5b-49c4-b911-ee18227eaa86	0	0
a438d877-5130-4bc7-898b-0531dde37b5e	11.1837229437229446	0.932045256950456924
12796f44-9890-433f-9656-e459d3b77138	0	0
ce77fc63-f8bb-476c-b005-0fbd0f147320	0	0
4d777a83-8899-41ee-8c2f-32fcb8c4bcd0	17.1436818181818182	1.42874491845959595
f00723c2-8c44-4a26-bdd0-340210ad48e6	0	0
fc64388b-7434-43b0-beed-177b9d627fc7	16	1.33343111111111101
4bee93b9-ebb1-44a4-8717-73472cec0cc2	0	0
3269eb77-5af2-46f4-bbdc-74e7d2ddeeab	0	0
d6353561-9bfe-45ce-ba80-b15155eb18a1	0	0
f3965265-cdde-4111-ac73-50b6a352e7e0	0	0
0ef06ce4-a21e-444f-9ce0-6f4e7bf5b493	0	0
86d67cd3-1efd-4d99-889f-37993ba95bdf	0	0
ba52957c-af90-492e-b7bb-e1f48a1a6eaa	0	0
c145f2d7-a435-4f82-b509-5272ffe6184d	0	0
fd0eb411-b3fe-4437-9048-24f84243e7c5	0	0
ab04b192-558d-4013-94dc-5e58f989e201	0	0
cc2b52f7-3d9b-4334-b072-bdd28eb59d73	0	0
0470269f-f913-4a18-91fe-7107e36a425d	70	5.83376111111111051
d6c7cdff-4e9e-4140-9732-e4fecfad96a6	0.594125249072381956	0.0495115926662383563
f12ecbf9-d5ba-4b00-801c-06a2580626f7	0	0
0a08b8cd-59b3-49bd-a279-9be843e03501	0	0
8b9a082d-d812-4fdf-8e41-058894de756e	11.1837229437229446	0.931998658104858158
e0ee28b3-0714-4c9d-b590-924aecb23eb6	0	0
9ef84ac4-3229-4ee1-8bde-89291441fc14	0	0
8ca47582-563b-4869-9cab-cf4773d5c9ba	17.1436818181818182	1.42867348645202008
99d990ed-c1aa-4540-9281-dd40a741ba68	0	0
ea8f0e1f-59ba-4c89-8db5-31f88345579a	16	1.33336444444444435
b206e325-1725-4a5e-8e2e-08932b435be3	0	0
17ae28cb-4996-47ee-aa52-61ed40748679	0	0
6c0cfa4f-e5d0-4bee-a695-18c776f55bce	0	0
cffa53b6-4dfd-46cd-876d-061e83a1a46d	0	0
ed16f294-3c11-4f96-b94f-600c0f3538bf	0	0
f32fcf8e-a84b-42e8-b9ba-97d9b9d77abf	0	0
4621f7f3-7518-405b-a97d-1eb5611f0e29	0	0
f4c20d4f-7179-4714-a55e-2fb8c452c33c	0	0
fc5450f1-3038-4809-b28b-51286c3a8fa0	0	0
86dc6752-f205-4a92-a6b7-fc78dfb173e5	0	0
2020617e-87a0-4b32-8df3-cea4d4c5383c	0	0
18620960-300a-4e28-bf32-0bffbd3464eb	70	5.83346944444444393
e5087df4-5292-49a0-9e37-7de3df31b658	0.594125249072381956	0.0495140681881094877
d20b8585-f8d7-47f4-a78d-1e24cce85d24	0	0
73dbbb2d-2d3c-44e5-bdce-3b8eda300389	0	0
66f8fea8-5f90-4c93-9cf3-00ae25cbab0e	11.1837229437229446	0.932045256950456924
bacffdfb-4057-4670-a641-964b2ae965e3	0	0
d9d508a1-0848-4231-983b-1c1c974e71a5	0	0
e42aca04-10aa-432e-9cdc-9360bc13450b	17.1436818181818182	1.42874491845959595
dbbc76b7-49b8-4113-91ab-7b5404b14261	0	0
21a3ad8a-d41c-4e85-aa03-0dc1b4a9d25f	16	1.33343111111111101
61bcba9b-1bea-4156-b75f-bd0453f40ab5	0	0
0701c723-5b3f-4f25-ab46-4a2a5156eda5	0	0
e4fc3486-ae40-467c-bb84-1a895d901427	0	0
96634aeb-0151-4e7f-a907-73ff3e8cfc24	0	0
03b96bf3-e88b-46fc-aa92-3dd13f7e35c7	0	0
1133ed73-5ed1-4450-a71a-2b76af4350c4	0	0
70d71e67-dc99-48c0-9380-043551d6738f	0	0
d645a66b-9060-41f6-a9e1-3c81533724d5	0	0
08d73ee6-d653-49df-978d-d7e877210243	0	0
3706943f-c693-43ec-80ec-0ff36b643936	0	0
b2178ed3-9e76-4f86-95d3-0ca65ea1ab7c	0	0
fbad9770-c970-4bc9-9eab-648dfe7bbe9a	70	5.83376111111111051
f811bd81-2123-4dcd-97f6-7fdab48b30cc	0.594125249072381956	0.0495120877706125839
60463bc2-3a20-4dc4-94c3-4ad32f509148	0	0
4b33c851-ae60-475a-ac86-f946cfdb5261	0	0
8ccde502-217a-49de-942a-cfecca1c1e05	11.1837229437229446	0.932007977873977933
f46a09e3-73d4-4e87-86e7-ef122c70d4ad	0	0
9ec254cf-601d-4604-8f33-efe9397807a1	0	0
c69e7209-0102-4472-bd3f-2b07a3638a58	17.1436818181818182	1.42868777285353543
791e16cd-444c-4434-a44a-e069333638fb	0	0
adb82cfe-f5dd-4faa-9d5d-ba76365825a8	16	1.33337777777777777
8d7b0dcb-bfbb-4c19-bea6-a2a92626a093	0	0
f21cab5d-1458-4eb0-89e3-6441aa514bdf	0	0
796f9d7c-3a41-4e2c-b313-15adaea5e5f1	0	0
cf2c70fe-0e39-4420-b8ed-46949e46336a	0	0
a082dc6f-a2b4-444c-b365-ba5c99524c31	0	0
7aaf3565-8711-4089-8ed0-cd1c4832b3cf	0	0
85fb4b1d-9012-4a43-9873-1558c3334437	0	0
45ed2a2e-3097-4d7d-baef-e7f5069646af	0	0
33c20061-aca3-4d6a-8f0f-792ad07bd0e4	0	0
5de68357-483e-43d0-ae38-0f06733b242c	0	0
96e28e01-a1b2-43a8-9226-c6fd70bb128d	0	0
2a542e01-b32c-44b2-be09-2d3a204bb7ea	70	5.83352777777777742
2c9feb23-bcf7-43db-8a27-6af479779187	0.594125249072381956	0.0495142332229009038
b60df95d-de94-429f-b66d-4f080b12833e	0	0
97ad996f-ffec-49c0-b3a5-9b4e70daef00	0	0
e7d6266a-884d-4a32-9359-1e59adb132b3	11.1837229437229446	0.932048363540163516
f2f7dfa6-32dc-416b-88d6-8749c3f1df98	0	0
fe2bdb5a-051c-4016-be60-e75220612aed	0	0
1f427553-6dc7-4f4f-82a2-d910d6e94603	17.1436818181818182	1.42874968059343432
16b6f5c6-6d14-4f56-b5a3-9277ac4a307b	0	0
61feb0ef-ae37-4d12-98de-2776c8eb922d	16	1.33343555555555549
e4100266-1132-48a6-8740-ce09ef03c779	0	0
b491d6e5-e358-466a-9bb8-e810f29c72c6	0	0
f5378324-e96d-43de-bafd-94c3e8d6858b	0	0
943ee7be-2984-4287-a03a-e0e162761c2c	0	0
863ff315-d92e-4c88-a2a7-1b2403d72785	0	0
f78bd74a-7dc1-404d-ae2e-a6d739d93d4c	0	0
dee2288e-cfd8-415b-9d20-7c6296f429cc	0	0
6e392634-bb4a-4bb5-93c5-c2b0f71194f0	0	0
fd70d804-0ac7-4921-8913-6ded9d2c9cbb	0	0
5f292d7e-ae9e-4b90-a296-c99dc88e09aa	0	0
b25a303a-c096-4e7d-803c-3c79499eda0e	0	0
28207d66-1b5d-4ac0-969f-fa89871b544f	70	5.8337805555555553
258cb2ce-89aa-4bca-8d78-5345e450551c	0.594125249072381956	0.0495218248233057143
36da7a4e-559f-4500-9db5-f4dce030bdb6	0	0
65cab5a2-6812-4fa5-a234-46d1d516e812	0	0
d08d69af-d840-4072-b8bc-d031c5044eff	11.1837229437229446	0.93219126666666674
037100ad-d9f8-4e78-97fb-6cbfad7983e1	0	0
7e12f940-56c6-4cd4-ba7c-9cb5cc690abb	0	0
b9647802-902d-41ae-8b11-2229a491802a	17.1436818181818182	1.42896873874999986
ca981eed-b38b-4f88-946c-d44153f47c0f	0	0
b9f7191e-e673-4386-b5f9-ee7f3365abea	16	1.33363999999999994
2de7e720-2b0d-4f28-9c73-34082f614050	0	0
b2431b05-3e1f-4e74-a2f3-0d2a45931208	0	0
06a6f295-71ae-4018-a3d3-b3e6d0881b7a	0	0
e14f56bd-7ac7-4c86-9feb-2c2e7444f1fc	0	0
e14ae73e-b7c6-4f03-978a-0d44ef60b79f	0	0
66f2c6df-7e0c-46d7-9dfc-8e0cfcb02de4	0	0
068d0712-85da-4182-b5ff-5093c42e59e2	0	0
902aec98-eb56-4a89-820b-6e948be681f5	0	0
625cdef9-b1f8-4e81-9571-f14ff08d146f	0	0
d1ddff85-76cf-4550-b102-d59d6f3e44a7	0	0
4abeaa37-9994-4b85-9785-fca261b7a53b	0	0
be06e71a-23f3-4aac-a2d7-02df4c432a79	70	5.83467499999999983
f255188b-109f-4de0-80c5-4b5e7bf1a4c0	0.594125249072381956	0.0495033409266679089
c36d467b-d785-477f-925a-3eeef2b143c8	0	0
a0bd4ca4-86b3-4fbd-b293-14824654f73b	0	0
ec36f865-46d4-41ef-b2fe-4ea3f8de56d9	11.1837229437229446	0.931843328619528677
4cbad2eb-837c-48b7-abad-3564838cf0e7	0	0
2777d9a4-0feb-4df7-bed7-48074ab24cf7	0	0
2861d500-e8e6-4365-815d-4fb9911bd553	17.1436818181818182	1.42843537976010104
0ab5fdeb-64da-4be1-b530-30580e82a40f	0	0
9a2bb558-67a4-411b-85fb-038d665d81c5	16	1.33314222222222223
55db44e9-7a15-497b-a993-6173f016e917	0	0
0489586d-9fce-4010-aad4-a1b06dfe4c10	0	0
1fb293bb-5b17-4af8-8b95-f98cdcc714a5	0	0
ce41238b-6be4-46da-9f31-45e1c9041d79	0	0
0b036079-6f62-46a3-9bf4-5a23ba44eba6	0	0
3d264b6c-ae67-4937-947e-45cf9e939b05	0	0
3c9764b5-bdec-4215-99d9-a0b6177596d5	0	0
2bfc47cd-ca91-45a3-9717-77547afc4d6d	0	0
36902770-a4db-4303-8cf5-c1550ac662f9	0	0
9e5a78ea-68d3-4e15-8811-6fa6e3cd5bbc	0	0
69d7ca6e-2b03-4a5c-a2f1-130be4e6ea30	0	0
5fbc7d9c-d281-4ebd-808c-336860e18092	70	5.832497222222222
5872c0bc-64d0-4966-9030-edc303c76cce	0.594125249072381956	0.0495181940578947183
9f842d4f-6fee-4060-b0e3-42e96cc0cff9	0	0
81b26282-cb7e-4fa9-9e51-3260609a974b	0	0
b16a3069-9d26-47d5-a251-b8d40f74cb3e	11.1837229437229446	0.93212292169312172
a4042f9a-2233-41f0-917d-472aad490e85	0	0
37d862b0-5507-499a-b57f-7a761e52aa68	0	0
7599c7c5-6a51-401c-9118-edffe6b6b18e	17.1436818181818182	1.42886397180555558
6d9dccab-0d04-43c3-a66c-d080b49c6dfc	0	0
b6d1e127-25c7-4c51-96cc-5d621009299c	16	1.33354222222222218
a23562ac-9e4a-4ee2-8dff-1635834dcc8a	0	0
515cd376-e9f0-4ee8-a68e-ef8a03684dcf	0	0
83159795-2b8b-443e-989d-1cb87d832373	0	0
7fccc82f-03ff-43ed-b404-4aa1df5b681e	0	0
e6c13579-92a6-4710-9fc3-e633acc8f1b0	0	0
ebf8b7a8-363b-4ed6-b01c-249ea1a82229	0	0
21f1e437-01b7-4bff-a41c-2fb061aa9569	0	0
7104416b-3994-4904-90fd-72e23268095e	0	0
95c36d54-4bdd-4afd-980a-d90c07b9c04f	0	0
9a9a294e-0e56-4a92-b290-c491c8a5e14e	0	0
f82ebd1c-3e23-45b4-b985-9581f7830fe6	0	0
758a3b96-952a-4898-bb10-7f4074854ed2	70	5.83424722222222236
bcb18a08-82aa-4e1d-9f0c-37f2d119a1a4	0.594125249072381956	0.0495147283272751315
8a028321-a801-41f8-9cb3-40bba5b693f6	0	0
f825d758-7885-4c08-9c17-df1bf8702198	0	0
f03d39e9-e499-42e1-a101-f04d00bb967c	11.1837229437229446	0.932057683309283402
d1fe8d0a-1264-45bf-8f61-3d4bcec8187d	0	0
02455e20-950f-4263-889c-a74891b751d3	0	0
4d3b0899-33c5-4243-9961-f749bdd075a1	17.1436818181818182	1.42876396699494945
72738e09-3969-4927-9547-73b44ec1ee93	0	0
a3c815c4-5ddf-4f20-aba7-52791845a179	16	1.33344888888888891
2cadf7cc-3ea2-49cc-b7b1-00c60b1252cf	0	0
9f538f14-ec94-4d6f-b8b1-1a9cc1b57d67	0	0
cb388710-54c8-4fe3-bbbb-01886808c51e	0	0
a3690567-2eea-4a93-a46c-72d100c5bb7b	0	0
f139116b-5259-4fdc-b5e1-a0744d48732f	0	0
ad9ff47a-e3f0-44d1-a4b9-a07feee3a5ed	0	0
fe8b6541-9b0a-497c-95e5-ccf08cd36bd2	0	0
558363b5-027c-4330-ba19-e9ac81666e59	0	0
51137593-ee4c-41d3-8369-c817e6866282	0	0
400b060c-39e3-4eb1-8ca3-0a6f9b1cb635	0	0
1dfeb2d5-188e-40b8-beda-b542f3b51563	0	0
6a645a8f-5a03-4006-8280-7e6324d47748	70	5.8338388888888888
41bd4046-be78-4220-a1ed-9c821208cab5	0.594125249072381956	0.0495112625966555447
04af801c-41da-4c55-8a8b-069ee553c467	0	0
e6320665-5fe2-4033-858d-5d4a301ed99a	0	0
cb5f3d16-ebb7-4bd8-b99d-a9f771190895	11.1837229437229446	0.931992444925445085
6e016bef-b51f-4017-bec1-f60c49f9c840	0	0
f752ceb1-20b4-4ba9-b77d-adbe7daf5099	0	0
22e0f27c-bbbe-4275-a72a-7911b52c1182	17.1436818181818182	1.42866396218434355
825aad1f-a9ba-491e-92a2-3d5993406f38	0	0
527eed23-a6ab-494f-a91b-6d9cf424ee6c	16	1.33335555555555563
9623e09f-425d-454a-9f59-f96661aea3d0	0	0
c60623bc-e43e-4724-b588-729db4135c22	0	0
69152127-7b8d-442e-b259-74e1a5ff0165	0	0
67d65ad3-bf34-435f-b41a-db410faf06c9	0	0
ece746ab-ae59-41b1-82fd-e2839e7861e3	0	0
5d1c8343-6c3f-4d07-985e-bb8ed2625d33	0	0
5f88740e-e8b3-448b-bd14-b1f45e60b713	0	0
c3038caa-ca8d-438e-bf6a-f43f8548fdd1	0	0
fda040e5-011d-4a4b-9527-e51444fb3663	0	0
48459366-f758-4b97-9637-4e9d292e54ea	0	0
ffca21a5-03db-41be-bcb8-d7723ccf2716	0	0
42d73f2f-5a25-4ac1-a921-0d893d9694f1	70	5.83343055555555612
4929fb2c-458d-4fa7-b7c8-47cc47412f48	0.594125249072381956	0.04951505839685795
cd487858-9472-4c7f-9c64-3dbfd8a457f4	0	0
bdc0c426-8e33-49a3-8201-3fd8b6e79b16	0	0
971e75aa-1627-4cb6-8ca2-5e67cdc9ce20	11.1837229437229446	0.932063896488696586
d7cb00ee-f104-44b6-a1b3-621be5d84c1b	0	0
406fcd23-3948-45e8-bed3-5c77572ac2f3	0	0
e9291804-68b0-404b-9304-f9b652b72eea	17.1436818181818182	1.42877349126262643
f976f78c-4dde-4275-b5e0-c87eb092e727	0	0
21f02bc4-03d6-4e92-8204-4ee34451f023	16	1.33345777777777785
c5df1b95-8b60-423a-88ed-5baf5599c2a2	0	0
63bb85c5-860d-4128-ab96-c24bf300e8cb	0	0
84121ee0-98df-4726-aff4-a60411979cbc	0	0
fd747e2c-3976-408c-8b6c-1cdd96c7c3a6	0	0
063ac5d7-131c-4d95-8756-ba69542543d5	0	0
a698e10d-cdfe-415e-b80c-3016fb830315	0	0
2c2582ef-8ecb-4566-99b8-18173ce6ba71	0	0
702e82af-72dd-4182-8d85-1a597b137107	0	0
9597a966-a840-4da2-9cfd-2ad07d972d44	0	0
4fb6cd4a-5895-4a28-a526-58c7e9fbef4b	0	0
aa39c122-1ae0-4588-bc26-68a3ed2969cb	0	0
f3a23140-7217-48ed-8729-46fd48cabdea	70	5.83387777777777838
3f231eab-2e48-4e35-9896-74797bd08321	0.594125249072381956	0.0495153884664407615
d64d7704-de22-404c-bcdd-49a990a9f278	0	0
e67dba23-0578-4706-b74d-97b49e41889c	0	0
779b9075-c1f4-464f-9d68-662ce2783aab	11.1837229437229446	0.932070109668109659
8a985bcb-1c65-4442-8cb4-851a2adfffa8	0	0
e624be1a-cb8c-487d-8045-2c05113cd376	0	0
0a90f543-1f5f-4fe7-9a9a-c986db99e3c0	17.1436818181818182	1.42878301553030296
8738080b-4534-4a10-8817-2c1911164fdf	0	0
3d78a0f8-7060-4f76-9858-7f943d716397	16	1.33346666666666658
0cf0fdfc-a132-4c34-8cba-85846220d173	0	0
9fa902ab-ef72-4089-9a6d-210dc5cf7c8c	0	0
ab720b26-09ff-47b2-a12f-a2c49ea00554	0	0
7c4b4541-6021-4e18-803a-86c1777673c8	0	0
09a1160f-fb02-4a30-8f82-f99281b09728	0	0
46405bf7-f922-47d1-b0b0-51ea1a6d17a1	0	0
6e888982-3721-4f07-94d2-57a48c033952	0	0
dd4d0da2-72b8-4b9d-ab5e-0893eea19415	0	0
2548e9d7-783e-4703-a3ff-ba2458f6916f	0	0
965ff941-03ae-4c41-8a6d-93103bca4e76	0	0
8d70f104-cabd-4740-bd3c-09c94f17e092	0	0
cb1d5399-04c8-41e7-b4ec-d0e3d894a069	70	5.8339166666666662
0a05fda7-45e5-4a1c-9b1b-d0ac95bff3f2	0.594125249072381956	0.0495122528054039931
ba65fcd1-38f3-4acf-a603-bf16d1bb52a5	0	0
5b66be3e-e68a-4c55-b66a-b7c04af99462	0	0
4eeb8891-37cc-41f2-a440-240017a4bcd8	11.1837229437229446	0.932011084463684525
55d6b13d-71d3-4c64-be8d-3f125d7b3411	0	0
717dbcfe-f634-4782-ae5b-aea642ee9316	0	0
6617a76b-27dd-4e0e-b136-167ee32882e9	17.1436818181818182	1.42869253498737381
1ec50cc2-84ad-43ae-9ece-ed97741df7af	0	0
de804f9c-7982-49cf-8b10-449839fe1223	16	1.33338222222222225
eeb3a5b9-440e-43a7-8233-1f3a5a689a88	0	0
ce32e0c0-ba56-47a1-8911-987d7cdf9ed4	0	0
6ebef867-2343-4d53-9c5d-7cfff468b01f	0	0
e66f16f0-1b13-4568-a870-872479841046	0	0
3945bafb-09af-43cb-b10c-3c614662028d	0	0
ae01c5d5-9247-41de-9c8a-562b1b773446	0	0
3333c279-dbc9-433b-bc8f-9722a5d42ab8	0	0
9e97820b-497c-467e-8910-a771d3a0647d	0	0
bec16f52-99f1-4b31-9100-b66cb9958ea6	0	0
58a7fb4e-ec7a-41d3-822f-e05a5c022a9a	0	0
f761bfc4-24c9-4f78-adbc-e63b241f977e	0	0
b7dee4c5-7f37-497f-b5d4-aa748d225042	70	5.83354722222222222
dcac3c4e-d205-4f04-9dd5-6334a3c5cdb4	0.594125249072381956	0.0495086220399929972
ff46df96-2a14-4b5b-80d4-7c3e7eda7b77	0	0
ab3e7260-68bb-4698-93ad-f724ac1e7ba0	0	0
80eb1518-1ada-4752-899c-6fed28b00359	11.1837229437229446	0.931942739490139616
6ca3b0b5-cc98-41fa-b23a-453d59b76e02	0	0
ed06a5d3-058f-4039-af10-6438e5fad4fe	0	0
dab17d18-b817-4006-b369-9fc9f707f947	17.1436818181818182	1.42858776804292931
8c512ff2-fd5f-4327-b79d-5744124bc80d	0	0
ebaeaca0-4dda-4d3e-bc5c-a0b86a143c5b	16	1.33328444444444449
b22272b2-0262-4eb1-980c-437be3bcced5	0	0
94deef6b-5539-424b-b5a2-1d096640c3d3	0	0
e3c3e885-bf48-4a9b-9a69-d700a39062f9	0	0
368b94aa-1abf-44ca-aeba-2713291291cd	0	0
0063d399-c467-41c1-adff-8eb17cc0e95a	0	0
74e5131f-2b9f-4405-8bb7-6f2c143d574f	0	0
3eff0331-96a2-40d8-a47d-9d5aa18af99f	0	0
5e5fce73-6eca-40cb-be47-2389bcd85888	0	0
6fd0eef2-4594-4c55-be8c-eb27b05cfa75	0	0
7d7f7813-76b7-4a61-8000-17a8af6763f6	0	0
787ba3b7-00e4-4592-b33e-71d26c5dd168	0	0
77ac9458-8cda-424d-849b-14ea7e2150ea	70	5.83311944444444475
13784651-5ee3-475c-9ff0-c929ba3f106d	0.594125249072381956	0.0495190192318517713
569603f3-5cc9-499d-9d8f-cfa155c3faca	0	0
2f7d8817-1fca-4ad5-95ce-7b21fe1866d4	0	0
ac675ab3-cae5-4e53-a1f3-700ebf66d638	11.1837229437229446	0.93213845464165479
a8ea200a-5047-49d7-a124-d4738b10d630	0	0
5df36a81-9ac8-48da-81f1-2a0e4fadeed6	0	0
71030bdb-07af-4dca-8543-47a5186d6e2c	17.1436818181818182	1.42888778247474768
ec707b9f-29d1-487e-ae2f-d9d4b947e582	0	0
ca2da264-ee8e-4eb9-8fcb-6ca943b2e506	16	1.33356444444444455
ce1133db-2df3-40f7-8633-4ca3391f114c	0	0
936206df-3b0b-4358-91f5-fff2a8a94cdf	0	0
e1f778ba-7b1e-4a0f-9760-197b87d5e45b	0	0
abce50e0-3da4-4669-b5bf-fa87d40fee1a	0	0
edf0167f-a58b-46f0-a7b7-07e28ec649e6	0	0
e622cb33-e4d2-4434-a726-43bf466ea51d	0	0
06b862e2-a7fd-4426-b944-4b184cd41af0	0	0
6fb80135-66aa-46e0-9c45-4bf9b16ded7c	0	0
cb81de22-b30b-4818-bf3d-97b6ac48c648	0	0
4529cd92-3f2b-4fea-9066-e847cb9db29e	0	0
2edb20f7-abf0-44c8-b218-8d71aebf6fc9	0	0
44d34b1a-f96f-48c5-87b0-e69cb68ee55c	70	5.83434444444444456
a19657c8-253b-4bec-9d85-c02d44f841d4	0.594125249072381956	0.0495137381185266762
a67d785d-461d-4895-9fb4-d30bd6ec3bc1	0	0
50ba5af2-79fc-45d3-b2ba-d94062ae5b80	0	0
d0811ef4-4ab8-45df-954b-112472dd8c39	11.1837229437229446	0.932039043771043851
4afe22de-fb3b-4760-b57b-864d7e82a707	0	0
c007b688-84e3-4e1d-b06e-9123dabb21d9	0	0
abc45a5c-08da-4e1a-9fb9-a90d9dd36266	17.1436818181818182	1.42873539419191919
b8b9419f-9ca4-41d5-ac1b-257e6e3dbc78	0	0
db463fee-7895-4ece-863b-79af565156d2	16	1.33342222222222229
8735d329-4097-4a12-9042-9c85768db1e9	0	0
f72fd9a7-3499-4e15-8740-724acbabb884	0	0
a3da0c76-cfa8-49d5-90e6-3c5d6730302d	0	0
2f9e617b-eb99-4088-b13e-e0d1700b5a7a	0	0
a6f01fc4-08b6-4b34-9a05-1364440a8947	0	0
98c4151e-7c31-450a-ac42-bbe579ed5806	0	0
e26323d6-3617-4cd5-a32c-dd1f3039c8f6	0	0
f7bf892e-feb2-4b7a-b0a3-5da01ec8f767	0	0
99c3f79b-7d0c-4108-86b1-040f4477c8b3	0	0
a21125ee-fd74-47fd-b754-9b905dcf7344	0	0
63ffa3be-b354-4d3b-ba1b-2ecfd40423cb	0	0
484af1e4-f40f-4d77-abc2-215bc6cd8dc1	70	5.8337222222222227
048f535e-870a-4ce6-b8ab-e892c58b5561	0.594125249072381956	0.0495152234316493592
2ff9b048-a81b-4e51-aa5f-202d92d2de15	0	0
d497ed6b-c5d1-467d-9917-02a5d4c5d09c	0	0
7ee921f3-5ea8-41a4-ba25-f68921f50bfc	11.1837229437229446	0.932067003078403178
9f66451f-806d-443e-a9fb-b992d3d13b73	0	0
0ecd581a-f97f-4cb7-9de8-9a6200b3e2cf	0	0
fa681da1-5c67-4f9b-81b3-ffde8194d398	17.1436818181818182	1.4287782533964648
aaf06c0a-a886-4c38-840a-408079894732	0	0
81fbbeb2-f8bf-421d-90d4-9eb83fdf8880	16	1.33346222222222233
77647d54-d569-4e83-a703-9a19b11d5d43	0	0
b91a3bc7-eb27-4691-9c8d-e841696ffee4	0	0
4872eaaa-d695-4ab9-9928-a28d21041bc8	0	0
5f287d1b-f667-4678-bfa9-f4b5af3ef623	0	0
d9880f69-5228-4b8c-a11d-932ee2b35545	0	0
71d153fd-1c1b-4276-80b1-8399c91705a2	0	0
f42252da-f7c4-44ad-81c5-e659d065462e	0	0
dab82a4a-418b-4e71-9720-5c8dea60f264	0	0
6cbbc8d1-a0eb-4671-a1c1-78ec9e555600	0	0
1f98e652-b56c-49af-9ec3-79aab57bb460	0	0
071de08e-8ef4-44c4-9cde-70324be601d2	0	0
c7842f26-b8ad-488f-a458-614a8118a56a	70	5.83389722222222229
3334f007-03be-4ce1-81ed-ccc87ebcc777	0.594125249072381956	0.0495140681881094877
332576f1-0d05-48af-bab6-6b0bc0ae3ac8	0	0
5d5c702c-f065-4011-8987-e899be2899de	0	0
f3064bd5-00c2-4add-ac56-277b6cf892b0	11.1837229437229446	0.932045256950456924
088e3612-ab3f-40ea-b2e7-093658ad20f7	0	0
697ed164-faef-49eb-807c-82aedbb361a4	0	0
9c56338f-a8c9-450a-a08f-8690da6c4a37	17.1436818181818182	1.42874491845959595
a8d51f49-e421-48e7-be9d-e646bd29517f	0	0
468d6c51-b30b-4362-9e41-8a074caa6ccc	16	1.33343111111111101
14fe4eb1-895b-45c3-8451-81d94b4ad8ad	0	0
dcbf0659-1bc2-4d27-be48-d2baa8a3a183	0	0
c8be9e64-de28-43e1-8f56-3667b6cf7002	0	0
efe8e21e-e43f-4efa-b209-b9e560651d1a	0	0
9fc65925-32ba-4db7-b87e-963b20e657ad	0	0
50909a3e-b6b3-46dd-81f8-272a077597a0	0	0
b1b9c577-7c55-407b-8c99-e27d5bd78a0b	0	0
dc5b2343-24e0-4089-bb6e-054ca46ec1c0	0	0
f78386c8-430b-4582-ac2d-6d842f312030	0	0
d633cda4-0b71-4184-94f1-da6adb1ce853	0	0
8c4ed0ce-5fd4-437a-b907-dbc01a515bc7	0	0
1fe5d127-7d23-41bb-a396-3f6f204ed048	70	5.83376111111111051
e39ce6a0-5791-42ee-9517-78e47f6973ff	0.594125249072381956	0.0495135730837352669
898dead7-05bd-493e-9634-75e66b6bddb0	0	0
7dd9a56b-cd7a-4bbf-8c33-e6615b331753	0	0
8cb0698a-d820-4a9b-904f-19042261dd2e	11.1837229437229446	0.93203593718133726
ed94feac-6acb-4dc1-8737-05c99013c092	0	0
07a3db4f-2fff-4e45-87e0-08a75a52158a	0	0
401c8385-6d69-4c4d-81d9-d633597eb134	17.1436818181818182	1.42873063205808082
186bee84-2914-48eb-9834-ad4034990625	0	0
4b988568-37bb-4557-8d0d-05e8037166b5	16	1.33341777777777781
89917063-2016-43fb-b282-c06c94fb4c5a	0	0
01f79c8b-0ea3-45ee-b033-a496c55130bc	0	0
fbf139cd-5858-434f-b2b0-926087af2ae2	0	0
8aec85ec-9407-4ea9-ab39-2253ecee4528	0	0
1d125173-a51b-44d0-9777-fed710c4b93b	0	0
cb33eba0-b136-4fbe-9320-8c277b3a5d9d	0	0
22e09c1f-41ea-4c68-9535-1fe713584bc6	0	0
d48c9890-b9ad-4eac-abc0-c76d0e396d91	0	0
299edcc7-f63f-4843-bc0c-71e169cbc987	0	0
27acb6de-fc00-4822-9597-6a369b92b12a	0	0
fe4969d7-73a7-4311-9293-d81c6aaf33bb	0	0
ea961340-5c9e-402d-9df8-3be3df67a798	70	5.8337027777777779
128966cd-f60a-4bfb-af4b-d31b327cda64	0.594125249072381956	0.0495119227358211747
f295942b-7696-4e64-b711-969d2821de1c	0	0
1f26fed3-c7ec-415b-9a89-b7b77e47aa35	0	0
7e7e4c1b-9e5e-4f01-8777-f093bc2ee2a9	11.1837229437229446	0.932004871284271341
9a95ddb6-c42e-42a8-8093-83595e81fba5	0	0
a3961c5d-a8e2-4992-8871-2a81ba40fc51	0	0
d0bd3fee-ed65-4252-9b42-055618d5138d	17.1436818181818182	1.42868301071969683
9aed6cdf-65f2-42ed-a7e8-c6733a7a4fbe	0	0
9db7c30e-db7d-45f7-b393-4eb62619fe2e	16	1.3333733333333333
1394fbbb-12ff-4b53-b1f7-9b17b6d066dd	0	0
31897b1e-cf0d-4368-9f7a-abb0805f4f4b	0	0
4a8ff3c9-c979-4986-93ea-fd8c2c31b281	0	0
34f4962f-062f-402d-b492-63bb626f04dd	0	0
462556b8-a470-433f-9ab3-3bdfe428068c	0	0
bef59351-ec99-4b2c-bf82-e1520973b3dc	0	0
76701cd4-3fd5-4ca9-bb11-4e0dc10dc6a9	0	0
0c15d241-030c-425e-8b4a-441e19041d6e	0	0
d21820ec-3361-4fbd-9917-90c3f1ea2bf4	0	0
d44a7b25-7915-4b84-bfea-364a0829fe49	0	0
5c6fe14e-a5a8-426f-95cc-34a130145cc7	0	0
017a51d0-a0e8-4f2c-ab7a-b15e30f03222	70	5.83350833333333352
45a97c89-6b6d-4b4f-8f94-e9204c9cea12	0.594125249072381956	0.0495145632924837223
fb9b9ae6-c10a-4b12-b4a7-97f3f28feb01	0	0
c9193009-b1cf-415b-ad46-06ac16930e51	0	0
0581a06e-5def-42af-8f97-f5a3a2044e66	11.1837229437229446	0.932054576719576811
7f41a4bd-6067-4b7c-b353-d8d307260187	0	0
9650b8a2-cc4b-4eae-82f6-ce8a7d394794	0	0
ad3f1e4a-f4e0-4164-aec7-659100e93d59	17.1436818181818182	1.42875920486111108
8a3b879f-723b-4721-8032-ebe3ae545127	0	0
457aef71-41f7-4518-a9d4-5f2278cf6d0f	16	1.33344444444444443
6de020a0-0db5-4261-aacf-ecd9d48e05c4	0	0
27b9a46c-7f2d-4dc3-be29-ac53847306e5	0	0
398d747a-8cca-435c-b97e-3a00d3176245	0	0
ad1a83e4-56e2-4f0f-a032-e0cb3a0fc31e	0	0
af681d54-8b19-4705-8c6c-97ead2509373	0	0
78d61aad-bbd3-47c2-b69a-cb921b67fe3c	0	0
46072622-393f-4ba4-be6b-d36aa15b8134	0	0
9024934a-a0ca-44e6-b6d3-970b5e230619	0	0
0810a0dd-226e-41c8-bbb0-f5d665d4c41b	0	0
bb5ba371-f975-4eb8-ae1d-baafc82b8066	0	0
f8c62e68-3057-4d10-99b2-1ee51a40cd49	0	0
ba208034-f39e-4bf9-a332-da41acac6867	70	5.833819444444444
cc30d262-f125-4c78-b515-44a52d81f799	0.594125249072381956	0.0495205045449744405
996ca0e8-7db5-4872-ac70-5d68bf46a3b6	0	0
54cd8d74-deee-4ca7-ab12-4eaee73b777d	0	0
1312b38e-d78a-422d-8d51-34b8d2fe6957	11.1837229437229446	0.932166413949014006
ea1eea83-a10a-4798-b505-8b82204f2f71	0	0
a99e90fd-a391-44ff-9d40-a8940e4e51c6	0	0
eb1b1c95-5576-448b-9ced-f72ac5f85dc2	17.1436818181818182	1.42893064167929285
6676b351-5e3b-4276-9ceb-cdae36599a3f	0	0
52b05adf-93e0-46a2-b349-a5b995340859	16	1.33360444444444437
2c910d78-3fd1-41f2-a576-f691204dac05	0	0
d93952be-a02d-447e-9912-98e8b410adad	0	0
7430e6d7-01fa-4a7a-8117-a7965b65f933	0	0
ec4ae3c4-c835-468a-8348-4578a041ea6c	0	0
b60755ef-d5d3-4f13-a006-fbd050eb5590	0	0
a63d95c1-11d4-47ca-a8eb-bf447c846501	0	0
3ffcd4c0-843f-4511-ba7c-a5ec1e12eec9	0	0
9c14a46f-951f-47a0-b3e8-da32149d20a6	0	0
ed28f269-10e0-4859-8bbb-5724e091e528	0	0
06aaef25-d7f9-43f2-8afc-2956217056de	0	0
7d4a5057-86e7-4eb7-82f7-eab9b3b82423	0	0
6de60916-7469-4504-9e67-579ed0071c53	70	5.83451944444444415
fc6d18a5-db25-4465-a424-d9faa9eab6da	0.594125249072381956	0.0495021856831280443
635ed7a5-60c7-45ae-b963-1fab3acc83be	0	0
49328b80-810c-4108-8ab1-4e87f45b1e5f	0	0
bc89c8ca-b9a4-4dec-b23b-94579efafac1	11.1837229437229446	0.931821582491582534
835520d4-481f-4d1f-bde4-f10d13207b91	0	0
f0ce9245-c2e4-4588-b342-12f3a5c839d6	0	0
9ccaafc2-ca72-4ce1-ae68-c448b4677141	17.1436818181818182	1.42840204482323241
190f65d3-56e0-4840-b170-60c5588c1357	0	0
8ba15a6e-c860-4d56-9c47-14ea970b2582	16	1.33311111111111114
6581b549-e57a-49d1-9e42-a16ea1831484	0	0
2946035a-8976-4320-a572-817fc328d46d	0	0
230a1d4e-7233-46a8-aa37-cd1ac7496cf8	0	0
319b6eb4-11e7-40e3-a82e-b8ad16b7a24c	0	0
40178c29-cf1f-4d40-b548-82aea6cdbe58	0	0
94814e81-aea4-4d8a-bef4-7146a45d7dfc	0	0
c16794ce-7227-4aa8-be96-1b351244653a	0	0
876e2ce7-6a08-42b1-b426-5d3e5a31a456	0	0
fe5ce0f5-9252-4d25-a348-3c8ac9cb0beb	0	0
fe6348c7-676a-4d07-b3c8-6bb8fe069b9b	0	0
08ae3d5f-afa5-48ac-847d-b0ed4d934db4	0	0
e9b565e6-85f6-417d-8c07-b39c62f77701	70	5.83236111111111111
2c4ae3eb-206a-4417-b3f9-769d345e1635	0.594125249072381956	0.0495206695797658497
abb49593-8f4f-471e-bdba-208352878546	0	0
92f6ab54-f4c0-49de-8d58-2b406ad20628	0	0
29935992-e492-42ad-902c-e51ccf16d24a	11.1837229437229446	0.932169520538720597
b2fe56f9-77e2-4947-80f3-e7fa864ab798	0	0
f92d2173-9a2c-48a8-8b27-6bdf976ad010	0	0
8e782a2f-a26f-4772-9991-649a05fcb52a	17.1436818181818182	1.42893540381313122
1244866d-9b7b-4cef-a427-9bba6a9b13a7	0	0
dee33e11-2672-4a61-b6ff-2131e3378a75	16	1.33360888888888884
1a376dd4-3a83-40e8-93df-e73d12aa7dcf	0	0
49b548b2-2e12-4c5d-b6ef-bb33113cc024	0	0
11b7e7cb-2c88-416e-86aa-31a88b566695	0	0
d3228d18-ebad-45a4-941b-256ee7e31854	0	0
71d3f450-af53-4c58-b716-79987b012191	0	0
6fd1f9d1-8f2f-457f-abba-5b3742061742	0	0
01fb24ff-c098-4538-8d5b-1f83c4e2dc42	0	0
4bfdffa9-3c46-42fe-a2e7-5a1ef23781cb	0	0
acf8e5b9-73d3-4824-9fd8-cf7d9b6b46b9	0	0
9f69158c-393f-4328-9ae9-1178cfec419e	0	0
282ddb88-295e-4d1c-90bd-60aacddc85d4	0	0
76c9c4bb-7d63-401b-9637-0fc45b97292a	70	5.83453888888888894
02c399b6-25fa-4d8d-8215-5afd71afc70f	0.594125249072381956	0.0495147283272751315
e98a4267-8c55-4985-b1e4-bc1e5a3f0076	0	0
97b59679-8739-47e5-bc61-365894892332	0	0
0efa6475-de0f-4f8c-8f4a-3d952ecbcb24	11.1837229437229446	0.932057683309283402
30a3630a-7049-4448-a74b-83adeef51d75	0	0
d20cd9da-2fdc-4bf2-b71c-285b48d9ef86	0	0
ef88cf20-086c-4e85-963b-eaa7db0949f0	17.1436818181818182	1.42876396699494945
5ee30585-b016-4613-8a36-6b0db8999ba2	0	0
4b3931ef-667d-4208-8058-4463939e6350	16	1.33344888888888891
059a6098-e87b-4166-804a-4a96b9a3517d	0	0
cc2dd2cb-502b-475f-af12-ce92cf6240db	0	0
e7731972-7753-480c-b8c4-e36ae1defef0	0	0
cb0693bf-4a94-450d-ae85-f782e2d19cfe	0	0
7f5dd240-fb0f-4ac0-8ad7-e7c98528bf10	0	0
579ce384-2fea-4876-b96f-b20fb4502782	0	0
e7640cbf-2643-4181-9bd1-d9c9c1eff91f	0	0
6a97882e-cc5b-4e86-9c21-66c44a3983a4	0	0
5349549d-2bbf-43f2-984d-9d9a343b555a	0	0
91bd1d48-9f46-4e69-8e13-1f03fc0e8e1d	0	0
e055920a-fb81-4dca-8932-c222e50dd9d0	0	0
47b2066e-0356-4c82-9aeb-b7822f22dad0	70	5.8338388888888888
e12bf5f6-f947-43d1-ab0b-6cfc79bf3e16	0.594125249072381956	0.0495120877706125839
a2b1903d-dcf5-4ecd-a701-cee1b29008eb	0	0
a1d9ef3c-3bf7-4e37-a5c6-b57230b0a0ef	0	0
d1626b1e-3895-46de-bff7-fdec201fd1f6	11.1837229437229446	0.932007977873977933
a8cb045c-c22a-4d35-9a08-cac6d13e6a39	0	0
83a95bac-3591-41db-b94d-f86a0eb6451e	0	0
ce959454-0773-4938-9e1a-a0b1083bc37e	17.1436818181818182	1.42868777285353543
85f6c265-3dff-4e9f-a58b-57dd8242d1e7	0	0
a06f4646-a1ae-4c6d-a372-9acdf9ee0b44	16	1.33337777777777777
8187e741-a4e4-45ea-aaf7-6999dbb3ec2c	0	0
b79e99b2-b6bd-4f36-900c-800cad936209	0	0
978ab762-52dd-4e3f-9f86-dbc1524a97b0	0	0
b9338a25-b612-42eb-a58f-a94a02c86d2d	0	0
b8e91e7f-9245-4df9-9014-8e90b7944380	0	0
94ac8335-33c4-49a3-81f4-e417c0ff766e	0	0
7d64ff53-1695-4e67-8212-b814bc73d0ab	0	0
614088bf-de10-468c-8f04-66af3a1e8ce7	0	0
923294fd-b149-4c53-89ec-c4471e81109c	0	0
f03a636a-3e1a-4987-bc44-ebf7f048046a	0	0
c3e5bb80-680d-4044-9523-17dd918c2e07	0	0
273eb01c-1a2e-421c-adcf-607e4b0efe73	70	5.83352777777777742
430d6f62-c68b-4c0e-98b4-8619fd6e492c	0.594125249072381956	0.0495158835708149961
9d446b56-c265-47ef-a4d1-29efe8d8855a	0	0
a4f900cf-31ff-4a69-a339-fbf2469314c3	0	0
0c891154-bdb6-454b-a723-c68cdf97d062	11.1837229437229446	0.932079429437229545
0c1dfb6c-617d-4b21-a644-bb490f1f04a9	0	0
481494c6-83d9-43fd-8cb5-552f305b6d54	0	0
31378c71-f467-4687-b79c-3824364d933a	17.1436818181818182	1.42879730193181809
bd25e4d7-60bd-48d6-8b6c-7ea88f001d90	0	0
f1a3267e-de94-4304-a45c-3fcfe6c57074	16	1.33348
be0cd484-db5b-4ba0-92e5-898e03f0c487	0	0
ae05590c-585b-4fd2-86f1-e34773b10614	0	0
c7c3a2d1-d25a-4b1e-8c92-0d717c5b4a6a	0	0
88b88728-d3ac-458a-b10c-8acf21c4447c	0	0
14193f2f-c969-4d3b-984d-30aaa2e0e348	0	0
4e80540c-543a-4246-9d69-99018f4651d8	0	0
a80a4fc7-befe-465d-8561-5bdb3d6a87cc	0	0
7c6a6dfa-4d0b-459b-98a4-a5b5de7d67e6	0	0
fe1f32ef-ae64-4a01-abdf-72f0c767a28a	0	0
6eccfbef-a8e7-49e5-9eae-8eb93cd8cc2a	0	0
bbd3245a-07d2-4fe7-8123-de9ffa15a83c	0	0
e66e2ea5-ad0f-4d3a-8e70-769bf175b78b	70	5.83397499999999969
d121020c-ec79-4db3-9f69-810abc952b5c	0.594125249072381956	0.0495134080489438577
9e403ce4-3bb5-4db3-8036-aed33668e26e	0	0
0d696d49-4d11-4608-b1d4-d3bdfc513384	0	0
d13872a1-178c-42f8-b079-9d09ed127210	11.1837229437229446	0.932032830591630668
54f77a52-a936-4e45-8d8b-e365e56a23a3	0	0
814731a8-56f8-4668-b20a-6a7d76202953	0	0
be506e75-c68a-4a75-a5c3-ad2ee060390b	17.1436818181818182	1.42872586992424244
5a2abeb2-bbc2-41d6-b39e-110dea8a858d	0	0
b0892bca-c2ab-4849-945a-96077354ccfd	16	1.33341333333333334
209e1ad0-7ac7-44c6-98e8-ea874566af15	0	0
2568182c-5a82-49da-854a-f53140d7586e	0	0
dddf64db-15b3-4b6c-9283-c8a93d2f8664	0	0
71ac70c0-d9a5-49f0-b0f8-4ea15f136ee5	0	0
a2cca342-81c2-41e1-96fb-fe36b983f7b7	0	0
aed5ab98-ea74-480e-b687-ee3fb0681bcb	0	0
d2b1a5b5-1e91-4157-bf7a-327c258e18cc	0	0
fda45d4d-740e-40ca-92d4-9798137d0b81	0	0
b73b86af-ae03-4233-936f-40f39500708e	0	0
17b20e53-4b36-467e-9aba-e0d73b94e9a1	0	0
9c744d3a-dd34-4b34-87a1-453945dfb37b	0	0
0003ed94-1ee9-409b-bc72-ff9c54edfe86	70	5.83368333333333311
7b4b3e2b-0b12-4bf1-a464-1349d41586fa	0.594125249072381956	0.04951291294456963
929c2b52-aada-4574-8451-e0e8767b99d5	0	0
b740961a-b245-468e-b442-5cee1ddcdffb	0	0
52cd5950-b07f-44db-93e7-46881403cc7a	11.1837229437229446	0.932023510822510892
cfb5b93f-9c5e-4b2f-9ba4-a6f234399324	0	0
f96a5336-af71-41a6-b7f7-e970c9cd1f36	0	0
0fed7a1b-e6a4-406b-9019-a2c4a994ae40	17.1436818181818182	1.42871158352272709
646e212d-3229-4cb7-88af-4f348334b817	0	0
fdcc2ebc-5225-4069-9c73-1c86b8258156	16	1.33339999999999992
7445a191-9563-40cc-b402-3240a96e527d	0	0
0f5fda92-9a6e-431b-a6e9-5e62368066dd	0	0
30a0846b-2d11-4fcd-b7e4-7b9cfd9a8248	0	0
a68da759-0422-4f8c-b17a-dd21ca1743b8	0	0
e4e01732-72a7-49f9-88ac-3041ec507d8a	0	0
891acab3-b43e-4922-9826-2551b86a1480	0	0
af2c72a6-7a89-4e07-a973-648e10b374d3	0	0
93d38cf5-8a6c-47b3-b07e-c5e14c18f1e1	0	0
27927e79-b180-443a-a2c8-7f2c093bda83	0	0
e86f309a-179b-4cf7-9e88-a8ce4dd5f077	0	0
23e018e7-c331-4d5d-8dac-0e31d075f87f	0	0
d0c1adc2-795e-41a0-a084-63141234be75	70	5.83362499999999962
334f83c2-8a51-46b3-8ac6-b863e0b59179	0.594125249072381956	0.049511427631446954
79554237-eebb-4a5f-a336-d0e1bbb80d6a	0	0
3f4d2cfb-8757-43a4-954d-a6560825ff85	0	0
b600ede3-647e-4d62-a449-957d13e3bea6	11.1837229437229446	0.931995551515151677
5170c63e-40dc-4959-aa14-1d80318ad8c0	0	0
95307007-f187-43b5-ab20-c488ddab6ef2	0	0
03845d06-5016-4d25-ba9f-0d70c2cb0d2c	17.1436818181818182	1.42866872431818193
366f3ef7-8a68-4ed6-ae4b-2db145f8fe4c	0	0
451c3e94-0606-44b2-b0ef-db2721f6ad5d	16	1.3333600000000001
3fa04104-df0a-42c4-838b-808b335af2a7	0	0
5926fbce-8fc8-4f53-a59e-e3638deff4d7	0	0
a2b24899-8660-46e5-a094-70056426da88	0	0
b0df6a95-aebf-45d7-b1cb-beb1cb93e2c5	0	0
20d7bba3-1915-448a-af97-906e3f856a1f	0	0
de8fe6c1-da8b-4070-ab90-3e934668402c	0	0
d0886030-d91b-4af4-a935-e1ad6eb207a7	0	0
1f60fb75-f77b-4fdf-a153-9414bdc91d4c	0	0
c803e54a-fa60-4f58-b49d-2bc58247f10b	0	0
596b4609-fa29-45f1-ba8f-dea00ae0d32a	0	0
7aa20d6a-933d-4a31-8709-1882979b201c	0	0
7474f31b-da12-45bf-aa55-711577df6da1	70	5.83345000000000002
33c4d45b-e414-4ac3-82f1-849b8beaf3fb	0.594125249072381956	0.04951505839685795
ef729844-47a3-4a43-a4f7-f80e899f01dc	0	0
2479cf27-8b1a-4186-a7be-5252c03fcf23	0	0
2eb0a9ca-3642-48fd-9037-6ca2ce3c8e53	11.1837229437229446	0.932063896488696586
71f38293-098b-4d8c-b2b2-ec96b25c7289	0	0
a61305b4-262d-48f5-bb1b-3f5f2b0ab20f	0	0
f0d14ad8-c412-4c0e-b2e5-bcb4840c02d6	17.1436818181818182	1.42877349126262643
df262534-3ae6-42b8-8aa2-b6dc82170acb	0	0
c387fbf0-0ed4-44d4-8185-18c63e07b559	16	1.33345777777777785
5b79f081-e12c-4fb9-abc7-aeb5abb5e1cd	0	0
12f1c036-74ad-452c-b474-0345c90a4fd6	0	0
ce887119-1ac5-4a84-a9a1-f7e81085241c	0	0
72639b1d-6480-4d00-bc43-70e237adbd87	0	0
20a7513e-7dfb-43fe-8d83-060670ba3fb9	0	0
4cb8ebfa-17d1-42ab-a9c0-098d9bdafcba	0	0
a75ce48c-f7fa-4251-9530-e5b48845a86e	0	0
404bde99-6c6c-41f7-b270-b59d03236f8e	0	0
a4c2900b-aa0b-441a-ae1a-6654038581bf	0	0
3230d525-66df-452c-b8d0-768d25ea4fd5	0	0
ccb31e95-49da-4e77-a4c8-50eab7e294f3	0	0
65a631c7-21f6-41ba-baff-23c4f50ff7df	70	5.83387777777777838
3187cee5-7631-4aef-817d-6185b5b20ec3	0.594125249072381956	0.0495152234316493592
2cbe4ffc-3c31-42e3-9da8-0c843a826f97	0	0
33e27c3d-c09c-4751-9d0f-12e1d2e888fc	0	0
9bfeed17-8bae-45f5-bb47-721f405e12b8	11.1837229437229446	0.932067003078403178
e9a7f411-1573-4618-9265-ba195bea2b80	0	0
34db36e9-67c5-49a7-be21-44c9b2173f43	0	0
a6ded2d0-4911-482e-8880-78cc58fc0025	17.1436818181818182	1.4287782533964648
1a477e80-6ddb-4147-a59f-c3b4a5c2d5ed	0	0
a3b75c24-d3c4-4d02-9fa6-6f4c6b4864fc	16	1.33346222222222233
8a80aa5d-41c4-4bc3-b816-109b51ac1f3f	0	0
3ba5b0ec-1bc9-4676-86fa-122d0442814f	0	0
7ca206c4-1208-4ad8-9c83-1ed12d525b76	0	0
c912fbc1-e96f-45bb-8099-796f00fc6d51	0	0
277829b8-e4b5-4cd2-950e-49f9dd484ec7	0	0
32c92fde-e2f2-41d5-8ad2-57563f6f3267	0	0
ca44d8c9-954e-476f-8589-68cd79fbb19b	0	0
0cff6008-8ee1-437f-9d05-413a5cd4dd16	0	0
a725aeaf-f754-42aa-8a11-ae7344a32ac2	0	0
e39cf2e2-6388-4076-bc4f-abe2a4aa4333	0	0
11800ab6-5268-4185-93dc-856d215145d0	0	0
aaf2bb64-6b4c-4324-8257-0b6893e5fdd2	70	5.83389722222222229
bbc4bab2-1838-4f9d-9245-557967710511	0.594125249072381956	0.0495127479097782208
550e22fa-641a-4b44-97dc-83304af69b7e	0	0
5eb0db7f-4fe1-4ede-9727-b2e590c36bd9	0	0
830fe5e9-2133-4a33-b5b1-ac3c07ff1fe6	11.1837229437229446	0.932020404232804189
17d9547a-04a5-4709-b6f8-dab45fd75f0a	0	0
f2ac8781-5de7-4e39-8d57-2da40f112ae7	0	0
b80b97b3-c89b-473b-a6fd-a2956ec461bc	17.1436818181818182	1.42870682138888871
0c71bdef-aefd-4f75-9dc7-0f661ab52589	0	0
7f97d4b3-add3-4e60-a125-e2e05a2e8a83	16	1.33339555555555545
9e67f099-ef87-408e-8e21-264637baab5f	0	0
b0c4575f-406a-491c-93a9-7e397c1e4280	0	0
34fb25d1-5950-4806-a8b5-b7e61a895d75	0	0
3d0aa024-0548-4c94-aeb9-adecbe880651	0	0
d3b23dee-d188-4935-8d28-da21dae11e87	0	0
fffcab3d-0f54-4709-a7d6-1e389fd99b46	0	0
aaccf041-5936-414d-b342-c18e6d9f1a11	0	0
51f0e4c5-808c-46ab-85a4-75bd3986b40e	0	0
e350ddc1-03e4-4dac-9e3d-4fbed1f4146a	0	0
518761bc-7236-41be-9343-e8e34dbd2a57	0	0
2051cb0a-ed85-4329-8577-1ed596680588	0	0
8d871e02-2212-4795-b3dc-99dc87fa7c92	70	5.83360555555555482
5e122731-3c89-46b7-9904-1a3f14fd712a	0.594125249072381956	0.0495134080489438577
95533802-6b9b-464e-aae3-6e1258694cc3	0	0
b53ced30-cba0-4aa7-96b6-d09d76cafea0	0	0
c4ede2a8-6818-41ec-87f4-2e31e36d7780	11.1837229437229446	0.932032830591630668
737559d9-b044-4add-9c67-5d36ef46aca9	0	0
5a906783-5d3b-4497-8324-5f9786dac891	0	0
d204d5aa-78d8-4980-8b62-5376767978f1	17.1436818181818182	1.42872586992424244
d91d8613-3f66-4a79-a45d-35b4e1ef8d7c	0	0
e7793bf5-e230-4f69-b25d-c0483d6517d3	16	1.33341333333333334
202bee94-5fcc-4816-909f-405982232642	0	0
b080d4c8-f8fe-4250-a5fa-e1a33ed1aa66	0	0
d91892c8-cc41-42e1-9124-5e3c6b80de5f	0	0
a86ff573-4fb3-4f7f-8d92-827e29172cf6	0	0
b150503a-d25c-4bc2-989f-e1becaca12a6	0	0
4963ff3c-8764-4a41-bad4-4fdda551177d	0	0
87fd4925-988a-45d4-8d3a-f77a51172759	0	0
52694b0c-2a04-43fa-a25b-fce5e174980e	0	0
3f1de8b9-ab8f-42b5-819d-fb8abaab65f8	0	0
e71fb060-1798-45a7-ab0e-48aa54cc81b4	0	0
74e64027-b202-4664-a9a5-9e9a522dc997	0	0
fe998621-f280-4c98-9bb4-a1587b6bf788	70	5.83368333333333311
8c256996-c660-4f25-ab8f-63e3770f115e	0.594125249072381956	0.0495130779793610393
fc261e35-e943-4970-a998-db6b28f89ab0	0	0
71e878d4-eddd-4a0a-958c-a723dbcb0834	0	0
d83e8354-a074-4997-904d-f9c0e82fbcaf	11.1837229437229446	0.932026617412217484
2b8a0b82-e19e-4e67-bb60-b2a0e0ffd8e1	0	0
ee91a018-a7ab-4ca2-abea-13a3e6dfd144	0	0
7110c21a-dc51-4dd6-bcde-52c97c5031ba	17.1436818181818182	1.42871634565656569
f8bff93f-c5c9-4cb5-a9df-61ff93199427	0	0
dd8e3b5c-43a9-486b-ae22-34fb6bb920ce	16	1.33340444444444439
96ff3a9b-9296-4a1e-9b52-2b95a03bdb1f	0	0
cd775994-9a6b-40e8-a163-6c4658754a6b	0	0
18e53c48-512b-40ee-b3ad-123c4814be1c	0	0
61036a69-903a-4cda-bbda-4afe7060e12f	0	0
abfd88d2-b82f-4699-b240-b3fd87cb46b3	0	0
3f11fd3e-309e-4b9a-8370-a7fb1fcdb738	0	0
006421aa-3e58-4d15-8d37-3798f72a2fe0	0	0
369254fb-6bab-4a3b-abaf-289144eff5e9	0	0
0d75a1f5-5a16-428d-bff3-35403f065e22	0	0
54ea2df5-71bf-4970-9e56-92d2cfe72d72	0	0
8159885e-a9e1-40f6-8fa8-c0ea865f2c66	0	0
b26a0e1e-875b-4613-9a76-64216f2b4ad2	70	5.83364444444444441
ee9c0c3a-5c64-4f27-85b7-c54073e43702	0.594125249072381956	0.0495137381185266762
f8b45bd3-5db1-41a1-9d7f-a808bb74b9b3	0	0
b23351e8-47ae-4b40-9cc4-9a006c5b0eab	0	0
12c21c37-95b1-4287-96fa-1cb3c557e282	11.1837229437229446	0.932039043771043851
906fb160-84b6-4db4-b98f-cb41f93d96b9	0	0
0307e5f5-e441-42ba-9421-aedd5b873982	0	0
6ff39d1e-4c6b-4442-a40c-a2e49e405fad	17.1436818181818182	1.42873539419191919
f78a1a07-023a-468a-8544-b9aaf9a160b1	0	0
a03070ea-e695-4163-80e9-840a91d9ea8d	16	1.33342222222222229
024122d5-8b4d-4eef-8865-18d01ce1b1a9	0	0
be6fb187-f5c0-4c98-9166-d0ffe7202774	0	0
3574a731-ac00-45b4-b333-3e77b99bc1bc	0	0
59793e48-7f5e-4f7d-a1de-134d523353a9	0	0
2d5bd5b6-d114-48af-912d-3bd774a1b297	0	0
5902f85a-9b6c-43a3-9283-781572dd93e1	0	0
e837e82f-195e-4d41-9e38-eda44acb6beb	0	0
b7f1c504-73a5-4ae8-8849-3d0805df37a9	0	0
22ac586d-7ab7-464d-a65f-0866b3c00850	0	0
0dd4381e-217c-42cb-9357-07b2389f2f3a	0	0
9a0ec579-e2e9-4da2-acaf-1b0df235818f	0	0
ad184a69-555b-4c8b-b1a2-2a95a02230e8	70	5.8337222222222227
c6d23ca3-3b4a-4d29-9fd6-89340d26a6a8	0.594125249072381956	0.0495160486056064053
ef38aa8d-82ce-4bac-a716-ead25dc18f52	0	0
91e7a249-8b2c-46a3-8f0b-e4e0d7e8d552	0	0
fb836c01-b93a-4ee4-bffe-80e7609f7e91	11.1837229437229446	0.932082536026936137
7e1a5e22-4d50-414c-a2b3-1f71fb2f6cdf	0	0
80f9794f-14d5-48a7-9f57-79a177a95772	0	0
ddf42894-b5ec-4a7e-a1e4-6fbc8fca9dff	17.1436818181818182	1.42880206406565669
53b1f295-916a-4fbd-8642-91834fe586d4	0	0
bd6382b2-9ccb-4d5b-9afa-6973eb929132	16	1.33348444444444447
f423cb89-511d-42a1-bfa8-945646539b54	0	0
9308f7b5-9686-4ca8-a741-0dc88877d3d8	0	0
3ae3f849-0cfa-4b86-ac91-7d9cae492c55	0	0
b1aaa19a-63b9-4b62-8d61-5c86afda96c9	0	0
0ff24c2a-9fc3-4e7c-85f4-47fa24e6ddcf	0	0
4822801b-a3f0-44ed-b379-9ea5fb0427da	0	0
c8b2be21-7696-4b99-bdb8-3ad9952342fe	0	0
535417b4-d2ec-466d-bc64-b561089b2f1a	0	0
cd8e9b20-0e79-40f0-bd72-00fd899160e8	0	0
8359b8c5-23ed-4bd6-99dd-b3191708aef6	0	0
2096b6e0-8995-4e98-b0ed-4dfc6c4d51cd	0	0
1766943f-9dc2-4f8f-9250-227aa8d0979e	70	5.83399444444444448
6d01446d-7488-4d40-8822-084af7230a5b	0.594125249072381956	0.0495109325270727263
01b5f14d-a9f2-4b6a-bd25-0dd4ef52c62f	0	0
59dad03c-2248-4cad-b566-d204ea8e1753	0	0
f2875edd-3b8f-4a9e-8946-4f048947342e	11.1837229437229446	0.93198623174603179
5cb19782-73da-43e5-a930-0bc70a3807c0	0	0
e01bd39f-eaab-4bf8-9aa1-22a7efb47c8e	0	0
e23495a3-7a83-4e68-9568-09609d8a804e	17.1436818181818182	1.42865443791666658
b2348534-7499-475a-98da-73148e65566c	0	0
e27dc679-14b2-42ef-b695-d4eb62d9bb66	16	1.33334666666666668
f31fad35-1268-495f-b901-c31e96d359f5	0	0
bb33349b-bc7a-468e-8138-5c02a5e87b05	0	0
0e227571-a5bf-405e-bb80-7b1a89dc7562	0	0
d3214dbd-2d4c-4655-a8c5-8f4b1b449993	0	0
2916e544-08ea-47e5-b35b-7e81fa470033	0	0
06249efe-e27b-4635-bf26-347d2a409b64	0	0
4a01e745-703a-4a95-b31c-d4a8471c75df	0	0
988033ff-575f-4698-8160-8a1c1cfc3651	0	0
fc98f6a8-6fbf-41b0-b258-baeb884eab1c	0	0
450ea738-9f4f-4ca3-b611-e07de8ca0bff	0	0
11a18d16-a25e-4ae2-99f1-9ac5fda7463b	0	0
5d30bcef-d53d-4dcd-aa00-07db5ee493da	70	5.83339166666666653
1c26881e-206b-415a-b258-5c6175176e21	0.594125249072381956	0.0495122528054039931
227a28f4-85c3-46b8-b8bc-28a2497ab1a7	0	0
38ee2b4b-2749-4a11-b6a5-df0c560f3600	0	0
8a7398a8-c579-46d9-8a02-56263b564ec3	11.1837229437229446	0.932011084463684525
123ed119-f5d4-41f3-9855-4be6ff8551cd	0	0
cc47a57b-e0a2-487d-a29c-2fc119575dc6	0	0
be471f0b-ad1c-4681-a815-9280f9fe5749	17.1436818181818182	1.42869253498737381
ef3a7eb3-f3ab-4264-9309-d1df9e3ff86c	0	0
69f97f9c-6f08-413f-b3bc-1fbd560a7812	16	1.33338222222222225
94025654-4744-4814-b6b9-7a06a8d87083	0	0
158a0907-84c2-477f-ab5f-82a89b6c13b1	0	0
42416c1f-4b5d-46d5-bc1d-c2e37a7554b4	0	0
0876f3f8-ae3b-4b43-9c84-4e3b6636d1b3	0	0
7aeceb82-04f3-46f1-88ea-9780e21aabda	0	0
74e293c2-5b2b-47a7-ac02-0d939abd5b11	0	0
2d357103-ad03-45b8-89f9-51b882fc3d6d	0	0
30aeeb99-88f4-4d62-a620-65ac1a819746	0	0
f205f09a-2e7e-4e84-870c-ef34b5d83af3	0	0
8c2522e8-ed0b-431e-ad8c-07c06462b2b5	0	0
292d43e6-2d5a-4454-a3a2-a666505ad194	0	0
052e9113-004f-47fc-85c0-4068739781e1	70	5.83354722222222222
319149f4-fda4-454f-849b-83d717a11e12	0.594125249072381956	0.0495196793710174013
aa82bf58-3d2a-44a4-9372-0ef4885b0a3c	0	0
1eedd3be-315d-419a-a3a8-721de63d2eed	0	0
3a564cc5-3785-4e15-85ff-00d0d39d0758	11.1837229437229446	0.932150881000481046
ad19e841-621d-4c42-851e-9cce291cfa55	0	0
f942f8fb-a1a2-4534-af2d-a79cb5bb6d93	0	0
6cfd28b2-e84d-4216-809b-69b799f10b65	17.1436818181818182	1.42890683101010096
b6b75904-392c-4c72-be43-f124edad7555	0	0
b199abd8-4b8b-407f-8576-db47022cffe3	16	1.33358222222222222
63c4c53a-0021-4813-a850-467ab094b2e7	0	0
f1e6ad47-e06e-480c-98f6-449e4d5e434d	0	0
b2d50606-5630-49e5-9272-ec4710292967	0	0
ed785039-c49f-4b4d-b93a-385517b49e8f	0	0
267abe23-9754-4e7c-a9d2-f1063984a822	0	0
15f67659-caa1-4079-8eb3-260adb1106c6	0	0
7bbaa96c-e0bc-456f-aec3-84f25503c838	0	0
fe6eae5b-c40f-4755-b5a0-4e694d1c1771	0	0
7f8150d5-d8b2-48df-8b2f-d609cae0c924	0	0
446c6b1f-a03f-44dd-b8e8-5274492c8edc	0	0
452f8285-683e-4a89-8ea6-8973eea4629e	0	0
b7d720a6-18c9-4819-b8bb-9fe4332690fe	70	5.83442222222222195
0ec813ca-5059-4e82-ba00-f9a91ddaf48c	0.594125249072381956	0.0495106024574899009
573c7f0f-a6d3-4027-96cd-5225a2b2c8d7	0	0
c64cb525-30b9-4544-b6f3-09bb9a74c480	0	0
2af1cfeb-0bdf-4f28-9909-ede8fc26a800	11.1837229437229446	0.931980018566618607
28047da8-1a06-4403-955a-f66f0a4cf839	0	0
85a7b39b-df70-4b58-a304-976984d0240c	0	0
e4c6275b-7ab6-4109-a64c-be9d7e6fc146	17.1436818181818182	1.42864491364898982
97436edf-4d52-42c0-8fb7-8d5edc7802e2	0	0
78610fd4-2d57-4d7a-bf44-a3b922fc8ad7	16	1.33333777777777773
a916128c-86cc-4095-9599-7910cdd1c905	0	0
b63c1884-f98f-4a74-a0b1-d66fa0ce6afa	0	0
7652524f-c0ba-4686-a9a1-060ea5e956fe	0	0
cca4bf61-e2fd-470d-bef7-7f736d0b44e1	0	0
81ac7ac0-8794-4165-ac3e-36a046b63610	0	0
f37cbe87-3dfd-45f2-99f2-f65fc61b1546	0	0
1139b130-86f3-4d3f-997c-a08be6936614	0	0
0cf2a7b7-6fd2-42a0-810d-7b757daabe24	0	0
71d0af99-2dc2-4068-97f7-926a5ea79be5	0	0
c3ac8ba0-255f-4cf9-9cdf-2762ca17f6d3	0	0
55945ae5-15a2-41e1-82bc-876efbe6b12c	0	0
38e579a5-3e4e-4f54-9cda-b442aac94990	70	5.83335277777777783
928cfddd-df89-4c18-a08d-e0fed50ba534	0.594125249072381956	0.0495137381185266762
734d2ebe-8096-441b-8d1a-f3712961022d	0	0
5bcb14c7-2ef3-4bed-913c-4ca7da511e3f	0	0
37c79f15-0816-49e2-9298-9ed0d6a0e44c	11.1837229437229446	0.932039043771043851
71ccf87e-b823-4227-a9e4-5d1179ca647a	0	0
8d43bde9-63af-416a-92fa-0cab2ec91bd1	0	0
9b9ba4f2-bd18-493f-bf67-f1cceeddb69b	17.1436818181818182	1.42873539419191919
f955f53f-4ccd-45a4-9635-deed79db4d67	0	0
fedcd8a8-9a24-4457-ba35-dae24883ea4a	16	1.33342222222222229
65a20167-3dc1-47fd-9bcc-cfdee0a27692	0	0
5b6ff70c-fafb-4304-94ab-ef5473a2c351	0	0
8f126a16-5d67-4904-a13e-864dac129ce4	0	0
102346e6-629f-42bf-a21b-7122cc4f9f04	0	0
a2cff482-85f3-4629-a412-3d25087082ba	0	0
7eb38b1e-55de-4137-929f-ce3a14579bba	0	0
7cbf8a17-4a6f-4d67-b2ba-86a3263b698b	0	0
7aab327d-71ba-4ea4-a8a7-0a5bdaf3ae55	0	0
a09653f2-34f8-48c5-ab51-865542759601	0	0
e98e6365-83ec-4f37-a429-221b374316bf	0	0
7a6e6855-fcb4-4c2a-97c1-35416087e89d	0	0
1ae6b61e-0fc1-44b8-be3a-bcd4698d2efb	70	5.8337222222222227
ed4b875e-d82a-42a8-b60a-539bf4c72e8c	0.594125249072381956	0.0495157185360235799
2cb834d4-8c70-4c8d-a013-ead31c802d6b	0	0
d54d5d79-eebf-42ca-b5c0-d1326f9bb378	0	0
6f7b3253-ec99-4de5-a2f9-59df473bdc24	11.1837229437229446	0.932076322847522953
c39a8ed1-7bfc-457a-95e9-4978bf283a07	0	0
37e39ecb-fd14-44e2-9b71-5428236244f0	0	0
40d6e261-d9cc-4db9-8065-5fb0dcee6949	17.1436818181818182	1.42879253979797971
4ef50b6f-5b33-46c9-8794-e516b4b87814	0	0
044bf023-300c-46c2-ab47-98f6d5aa122c	16	1.33347555555555553
f1b04e33-8893-47db-9b15-5a1d0cdca0aa	0	0
2314d47e-de66-47fb-ad7f-61ee010c11c8	0	0
8c53d124-834a-492c-ac90-930925656ff4	0	0
4d02595f-6ebe-4344-b1d9-aa7b1c4586b0	0	0
a7904397-d85c-4bce-8938-fe0b60f93767	0	0
55ddd3e3-c3e3-429b-9f87-f5703037a651	0	0
adb19fda-4a37-4c64-8e8b-35e8d2484322	0	0
f7efb9ab-2a85-4d35-8313-22acc423aa85	0	0
a84b836d-c617-41ef-9d97-05cf963b77e4	0	0
9f9948a8-a3f2-4059-8527-1eed057c3a95	0	0
1e71b902-88c6-4407-8fd5-a8f53c63b005	0	0
5b3ebadf-c29d-43d4-a790-7a39a8fffed4	70	5.83395555555555578
a0aca7d2-b286-430c-8053-b7026273e03c	0.594125249072381956	0.0495142332229009038
87d5988a-4f5a-4abd-bf1e-4a3203042c3b	0	0
500e1fbd-66f8-48e3-9a4f-3814e731184c	0	0
e252b387-ced2-438e-b951-7799adc0e30d	11.1837229437229446	0.932048363540163516
f06e2a8a-4a7c-485a-aba5-e882173fc3e3	0	0
833cbea6-0f33-44ee-8ca0-716ee242a0a2	0	0
09dc4986-2709-45c6-94b8-ea3292b040e8	17.1436818181818182	1.42874968059343432
8eec0116-187f-4dd3-9ee1-1782ce992a06	0	0
73749ebf-6c33-49c8-8072-22976e20bc99	16	1.33343555555555549
a56f3ae9-69ef-4b96-94b8-3053c972dd94	0	0
ba83f859-4cec-4b92-857a-fd53391851a0	0	0
721bf476-aaf9-4c53-a642-00fce73976d7	0	0
9393b53e-f501-4e7e-8d8c-ec07951df3b9	0	0
1dc686a0-3723-49e4-aeff-0348bcbfa1db	0	0
9074bd45-92af-4c78-bb95-09aec35dbc67	0	0
73731e93-7a53-4a45-80ef-290d8907d112	0	0
6208aaa3-c042-46c1-8671-5af10c82c1f6	0	0
ddb0dc1a-7aa4-4b07-91c4-a4fda0e12919	0	0
8746e18e-07ed-4a55-94bf-a93657831c13	0	0
95c3f5a7-4fe6-4b3d-afe1-fce6bdeab17e	0	0
0f7c08c0-f1be-4c6c-8a18-4e3cc4a844c2	70	5.8337805555555553
e4de78a8-a16b-4d25-b5f3-cfd710ea4cac	0.594125249072381956	0.0495115926662383563
2d50e2fa-e7b0-49ba-9287-52930b81f3ae	0	0
c3653642-df17-40ca-af5e-2dc84534d02d	0	0
324b27a8-c375-408a-a309-fcc0aa1d5142	11.1837229437229446	0.931998658104858158
eba5a39c-b336-449e-8a74-0779e62fac24	0	0
1040cafb-e2e7-4a2c-8bfa-819fa85b210f	0	0
2a6004c7-51f2-4849-86e3-df7a0a850298	17.1436818181818182	1.42867348645202008
c89b93f0-4745-43d7-8ddc-686403eb695a	0	0
39d8cb99-6291-4997-811b-102fb6f33a4c	16	1.33336444444444435
83fc4255-6c58-4d12-b68c-52753f6d0891	0	0
6aaa3566-c62c-4e90-8428-a6f401b8e659	0	0
3b5c6c7d-64ba-4d68-9b51-24a2fdc625ea	0	0
bc1c6139-3a88-4824-a96c-388d06cce1dc	0	0
afd5744e-b078-45c0-a4af-314af046278e	0	0
026c122b-7cd5-4671-bbbe-86a66aadf60f	0	0
9c4c20a6-eb04-430c-b692-3fb0548d5e82	0	0
5a185764-6760-42cb-a1e5-3ad2d4b9647c	0	0
7dcc6870-94b1-45f1-98de-e3a728f0a055	0	0
366e9187-2b9f-4203-9836-370758bb935c	0	0
b7df486d-c04c-4eea-92ea-eb0e9bda12b5	0	0
45a262c8-ccd7-4d17-b82f-a1607b842eef	70	5.83346944444444393
d38b188a-d6b3-4a0e-b946-dc780c648bb7	0.594125249072381956	0.0495094472139500433
832f237c-5654-41c1-9f2c-13822225a62f	0	0
a46ed780-ba62-43dd-8064-fd014e1ea53e	0	0
738b9d0a-1cc7-4bf2-bd85-1eec294308a7	11.1837229437229446	0.931958272438672464
47710d96-fdd5-4b09-88e1-0d33bbbd489a	0	0
18285bae-812a-490d-af74-55457b3b0c27	0	0
3edf60a2-087d-4206-9de2-85e04f840044	17.1436818181818182	1.42861157871212119
dc7b27ae-226a-41fc-9ee6-9c86d2531ead	0	0
5d4aad51-a8f2-494f-ba4a-228aa9885642	16	1.33330666666666664
9999122e-b595-4970-a289-1b4581b8005e	0	0
4dab805c-958c-4093-a18b-9f322fe8100c	0	0
78da0cbd-038f-46bf-bb91-6870d6e9efd0	0	0
6f557062-01f3-46c4-9c2b-e65464adf7a0	0	0
28ca6ae0-f8f3-4143-89e2-0905b95028ff	0	0
ebc6712a-7da2-486c-84f8-5952c4015877	0	0
ba695774-9ac8-4090-8bf3-e9daf9be4f19	0	0
18a3bb53-9501-40ed-a65e-459bfab6410a	0	0
fec1ce5e-22a7-458f-9402-af1984ebe66f	0	0
a9d2433e-a316-46ac-ac1f-1f42f84dc28f	0	0
32b58c41-76c6-4378-8185-1187279764ff	0	0
7f591fce-4a16-4bb0-8310-b9b57a300055	70	5.83321666666666694
e879161b-b6bd-42b4-a12b-7fa48c1fdb83	0.594125249072381956	0.0495180290231033091
a6df0c9e-db8a-43b5-b1bf-348b447aeda8	0	0
8a79f6b9-8903-4e02-a9cd-36701bb96607	0	0
d3ad5cdc-fd75-476e-b978-b5da5c984c5d	11.1837229437229446	0.932119815103415128
b9bcac16-371d-464d-b0fd-f0b2c92c6962	0	0
1650a0d5-f1c0-44cd-b538-2bc2c7d94267	0	0
d86703b8-7d6e-46e6-8fe6-ec82cbe2c058	17.1436818181818182	1.4288592096717172
64a325ec-14a0-40b0-93e6-d08da1367e45	0	0
dec9460e-2a74-473b-9b51-b0dea88dc82e	16	1.33353777777777771
0a02d67c-0b5f-4fda-8103-56828e72b786	0	0
b4ba7dcf-b561-4b6b-a23d-ecbb480ab433	0	0
471b43bc-cdce-4df1-b666-06d549f0ed17	0	0
606f8aeb-8eb2-440a-ba32-cb648f1e0faa	0	0
53a25d58-ee95-4605-a38f-fb751646719d	0	0
ce040411-0dee-4ab0-981b-ef7d59e569a8	0	0
ae2e0dcc-fcb6-4408-ab52-4c51dcb7b855	0	0
2997c6c4-704c-4b47-a274-93b1f633a403	0	0
1b5d4e54-36e9-447b-ae65-dd5f09243d18	0	0
0f3abc6c-589e-43b4-a841-3c7e7e9b1579	0	0
7ddaf727-3e22-445b-8724-61bc2d841aa2	0	0
70723ed4-a4d7-49f4-b598-d32ed6c82bed	70	5.83422777777777757
56cca0ef-5c02-457e-862d-d8272786232c	0.594125249072381956	0.0495143982576923131
b4978943-c001-469f-b03b-d29ba6decef9	0	0
d1a3bb66-3a6e-4210-9968-6dec1292864f	0	0
bffeaa13-ca7c-45e8-b6a7-f94cb48247e9	11.1837229437229446	0.932051470129870219
c601e961-a604-4129-8442-7493181b612b	0	0
a764f794-eebd-4497-ae34-b0883f6ad7db	0	0
6294f4d3-be27-4cd6-a818-bfcb905a4950	17.1436818181818182	1.4287544427272727
4bc77157-c8c7-41a8-b26f-4870664e68c6	0	0
6c913935-5cf0-47fd-a3dc-c7eac07ecd1d	16	1.33343999999999996
56c0f83f-840a-46f4-b213-43cdcedd1dd6	0	0
7771742b-fb78-4c60-b938-ea70798cc572	0	0
f0e91957-4aee-4d1d-b893-d1eb6aa0fbc0	0	0
0f767922-3f8f-4e5a-b502-d788420b8c4f	0	0
eaf060fd-031d-4dca-a359-097644cd908f	0	0
d8eb1700-0bcb-4d40-875b-ebd32e4ccaf1	0	0
c0c48aa9-1b7b-4817-a675-8d14b381ed62	0	0
a4afdf9d-30c9-4302-a06d-27bbf8262101	0	0
86e12e8f-732d-467e-a37f-719e7bca30de	0	0
2f34062e-0d0e-4f04-90a3-e4a02ddcf23c	0	0
8198864b-c747-4214-bba5-935995777d6d	0	0
cfd7b66a-d24d-4e27-9c73-1217ea838413	70	5.8338000000000001
9aee0071-f584-4712-ad0c-d46fb51d8fe8	0.594125249072381956	0.0495152234316493592
1da76fbe-eb3e-4dce-a02d-839d2df07881	0	0
bd77ebfe-ee0d-4ea4-85f3-9f45c665387e	0	0
a429e4bd-c193-4dbf-9ce0-cf04317d7abf	11.1837229437229446	0.932067003078403178
f92cb059-e633-4aae-b6c6-3f123f5c59e2	0	0
3a54eb15-07fb-4f6f-9631-4078fe83e772	0	0
de37ac51-7cf8-4b39-94db-791860324803	17.1436818181818182	1.4287782533964648
e11abac0-7e9c-4202-9c6b-c132d3e79519	0	0
e3192355-c4cc-4af5-8c83-aba6dba53de7	16	1.33346222222222233
c88a0c8a-5088-44c5-8493-60f8d7a22eed	0	0
be11a205-5f0b-4832-a81c-4b3bc471e13b	0	0
e7cce209-8736-4d4c-a3ae-d0223748b1d4	0	0
5e70d65f-2b80-4433-ae5c-c19a2baa55ea	0	0
5aedec5b-e9ec-4e5b-ba37-4b8e7c59ac1d	0	0
d06e7f68-b333-49e6-8456-0aefd344885c	0	0
2bea443f-b7be-4049-a0d6-4b489212a4a3	0	0
0b045853-77a0-41bf-8990-88039bbe873c	0	0
416e28c8-a6e1-4ac1-9658-7e8f6a618402	0	0
3cb17ef3-0ee4-4ca1-8942-1a691ebe4bf6	0	0
0eddb50d-9fd6-47c7-afe6-eba29521f023	0	0
c2bef2b6-1766-490d-a337-b20284881f45	70	5.83389722222222229
353ecc15-972c-4abe-9d37-1047362544ae	0.594125249072381956	0.0495127479097782208
455e5c8f-6702-458b-8885-4bd287d45db2	0	0
8d5e7bb0-ff8f-4be6-a933-def1834b2520	0	0
50d6b394-c80d-4cf9-95bc-e9c6144c05a2	11.1837229437229446	0.932020404232804189
a24bd9ae-b287-4b3f-9998-a0cb25cdcfa8	0	0
b5f15a4a-2b8d-47bd-90f9-bc3b002e950c	0	0
daebffc6-1766-409f-b6d7-6694d296d8c3	17.1436818181818182	1.42870682138888871
d9c130c6-d821-4812-b0e5-9dc7beb3af4b	0	0
ce974dd0-5653-49ae-923a-ca3cb3e05929	16	1.33339555555555545
7770cd3c-983b-4d4f-9ac1-a1c22e553d46	0	0
ba3b7389-e93c-4eaa-9265-28c55740439d	0	0
39e8aa8d-9e4c-4292-a486-6f25ef1f9814	0	0
f0d861da-14d8-4f2d-962b-ea65e2f658e2	0	0
cb4b077f-8c25-4e64-8b44-48e56946bb02	0	0
51dfd2de-1b20-4fa1-9ed6-deb09a2e4d0f	0	0
2881ffa9-43d1-4c51-829b-74fa83705fc2	0	0
558bf24d-b06a-477a-b4c3-7d8aa210d935	0	0
bbd0c4f3-193a-4b6d-a9e0-a736a617d421	0	0
c5039389-ea6e-44e8-8ee6-8f766bb566df	0	0
d7e88c55-30f5-4cbe-a890-5baff57ae1f0	0	0
805d388a-cf95-4ddb-a012-202bb7655309	70	5.83360555555555482
073fdb24-9ccf-4074-b630-3f0817f6b03c	0.594125249072381956	0.0495115926662383563
7b5fcd83-92fe-4bb7-b5dd-14aa718347f0	0	0
edcb541a-6a27-40eb-8767-46b7f057133e	0	0
e4fe836a-0bd6-4fc2-aaa1-8cd79a001c18	11.1837229437229446	0.931998658104858158
4adaef1e-36a4-4fd4-818b-0dce65f86f5e	0	0
b7362187-84b6-4a5e-89c1-939ce81f45e8	0	0
95604b2e-d9b6-4e98-af69-95dcb7481e54	17.1436818181818182	1.42867348645202008
9e83696a-3221-4957-ae8e-43532b81bc81	0	0
47c8ad16-7bb0-498f-8df1-b696f3b1163a	16	1.33336444444444435
6085167a-2c65-4547-ba79-9fd65d4f570f	0	0
29c728fa-b9ee-43f8-bb78-51662b0a4843	0	0
e9283cc5-1de4-4b6c-9a34-44f7cddbb0e5	0	0
5ac030b3-b30e-4c54-a16c-cd09f92d07ba	0	0
6e6c4260-550d-4834-a059-5f11f0113edd	0	0
9b2d092a-5b8b-47e4-ab24-99b36aafef4c	0	0
594468f1-df66-4bea-b3f8-fcddfc338b84	0	0
fde7370e-76c2-41b3-a367-de84de1b0daf	0	0
26a1c0ae-5049-47d9-b0be-d81843b6ff63	0	0
5bc08417-be61-45dd-ae23-3fc13df89754	0	0
4d671e0f-ea6c-4c85-8817-81cb69f2c4a8	0	0
2e8b3ca6-6a2e-40e6-8479-47ca7dcd9b01	70	5.83346944444444393
afc818b9-2508-4988-b066-986f9bb3125a	0.594125249072381956	0.0495180290231033091
98128244-55ac-4eb5-b013-529c3a770826	0	0
fe426128-c086-4187-93b3-0a4c9691efc8	0	0
884f9f16-7086-4fa8-a5e7-5518b763ae3b	11.1837229437229446	0.932119815103415128
000dac33-27fd-4d96-91a3-e028f3ae74f4	0	0
7016a75e-76a1-4d27-9e77-e19d396d94f0	0	0
3e2b8049-acef-400f-91f5-0d13604f7d0e	17.1436818181818182	1.4288592096717172
63f29faf-01ef-456e-b03e-3ea3bb143023	0	0
0a4e1c06-34fa-4ced-9034-b1c5e07af2a9	16	1.33353777777777771
be909249-862b-44c8-8e81-7a83bdeb08c0	0	0
2e06cbec-f661-4f48-92c2-c972c5be0c20	0	0
35b71dd2-e037-4c35-87c1-bc94708e3db9	0	0
093ec3a1-22da-46b0-9e1c-3c4f57a767f3	0	0
ddbed94c-3967-40cc-af07-a074cfe058c1	0	0
c59f4772-59b6-47fc-8bf9-78f6a5019804	0	0
20383f93-1771-4785-8c1b-40e3421d3646	0	0
a5bd5d04-fdae-46d6-b0bc-f25f7b837897	0	0
c38ff709-00f8-4988-880d-898de77dee17	0	0
4c299952-c42a-49c9-a064-800cbe8b458f	0	0
498ee6f8-0a0e-47c6-a803-d18a309d8eff	0	0
d6c934cc-1a96-4853-b6ae-249ead2a960a	70	5.83422777777777757
e8d228a7-00dd-43e9-ae6f-d7ca5e94f860	0.594125249072381956	0.049507796866035951
35549ac8-a307-4ff2-93e4-382edc3c58f7	0	0
60f95a61-52dd-4eb0-b57e-58426178e78a	0	0
13461803-7bc2-4b9c-b54d-e3d46a1fb8f3	11.1837229437229446	0.931927206541606545
aaf5e696-3ff8-45f6-b4fc-8e959f17d613	0	0
80b1e828-3e74-4783-99f0-2d08dd0967e6	0	0
843ec3f3-8cce-423a-97d5-d7af92389a18	17.1436818181818182	1.4285639573737372
58a038d0-6620-4f84-a19d-7eab7ce44a65	0	0
e83b288f-3126-49f2-aafa-bb63da7092e4	16	1.33326222222222213
f3edfaa5-222c-4dec-a6bc-5d8d6ed7c280	0	0
f78aa97b-5abf-48aa-b519-b0babdfa8c15	0	0
d6add65b-05dd-4c3e-aa71-dc123e5bb794	0	0
757005b7-4d4b-4494-937c-f132057a40ba	0	0
ce2b347a-9974-4737-81e6-cf0f56fa73d2	0	0
1d203cf0-f167-4230-9e04-a67fbbacc0c2	0	0
b21235a9-8fde-41cb-ade0-7227b782d0bf	0	0
fa946c30-c435-4b36-88ac-291e79e8de2b	0	0
f903e3c2-2b20-4d01-9ce6-cfc5177a2086	0	0
a8c2c07c-8a87-46ff-90b5-cfa78fe54369	0	0
5df9349b-41da-45f5-8e51-d272afa0eb7d	0	0
d8e05525-81dc-4097-bbe3-c989b4887d59	70	5.83302222222222166
6548a152-3c25-4041-9e91-a9caa6f05041	0.594125249072381956	0.0495195143362259921
5ccc9282-2981-49ba-8a9a-d008a42dbf2d	0	0
4ce6f49e-3fe6-4888-b9f3-5e6229dd987b	0	0
3d6c89cf-a475-45aa-93f3-c1c41ccbcf0e	11.1837229437229446	0.932147774410774455
11a41c8a-bfbf-4e48-bea2-4ac3325cc74e	0	0
06a9a53f-ab45-4bd8-90a9-21adc993dd72	0	0
42cbb2b2-6820-45c7-9177-b09915cc5c52	17.1436818181818182	1.42890206887626259
b0a6affb-7737-4561-a4bd-3dd742c0ba8d	0	0
39bf556f-5408-422a-8ca1-e4c603a5bdd6	16	1.33357777777777775
329c4503-72e4-4958-ab66-d0c0739ad48b	0	0
78d48d3a-3a55-4b49-b8db-f6275faf7055	0	0
1474bd39-f01c-4cbd-ba01-b8a47f290a49	0	0
85ac4dc6-6007-4ff3-be44-16934d16fb92	0	0
35e685ab-2e94-4b0e-ade4-bfd2491f50ce	0	0
effe8305-26dc-4cab-814a-1a0e55f5b805	0	0
19bec1dc-ebe1-427a-a1e1-60ee365bf9bc	0	0
76e8dfae-aa34-4c21-a590-68d21db89d51	0	0
3a117d6d-3f26-42dd-9d3d-3224d34725b4	0	0
d5523369-fa7e-4d6e-bd1f-c2089276c727	0	0
fa691e65-6381-45c6-9c2e-7b1524514cb8	0	0
ec53730c-fc12-40a6-b38e-20d448792df1	70	5.83440277777777805
1b1a7758-e29c-4d1d-ab64-17d3e6df2d24	0.594125249072381956	0.0495134080489438577
5c140bce-f71d-480f-8721-5646b106eda5	0	0
a613e4c0-51f9-4f91-9c21-8f5257262785	0	0
af764d92-82ae-4a13-9cb5-37e31d6ee9d2	11.1837229437229446	0.932032830591630668
198299fa-3d9e-4db9-be6c-712cb3128c2c	0	0
84f20648-d46c-41da-8e8d-40e6862f423e	0	0
e3768d03-478f-4cdc-8357-09601d5e3b8d	17.1436818181818182	1.42872586992424244
e6bb58d3-1ae2-4bd9-8c55-bb894e8c1be0	0	0
93f23570-b3d7-4596-84ee-cc4558d29614	16	1.33341333333333334
f77d6b01-eb6a-448e-bd22-9184ca3216ad	0	0
0fb20ec8-3725-46d1-89a3-52f5303e3e6a	0	0
0582333f-e08a-4747-b181-45aa7b1d628e	0	0
786f11f1-2c0c-43f1-a89c-e58d92687690	0	0
6467ef82-967d-4c15-b58c-9e89d82631a9	0	0
30936a67-2342-44fa-88a8-1048577616ac	0	0
28907e85-c46d-4da5-ae03-b30854ff8240	0	0
0a54ab0e-f8a2-4ac7-8258-8c0bc8e33b3b	0	0
7e1bcd78-43b7-4ff4-ac32-3d3e59443ca1	0	0
85be6d7d-f4b8-4001-8ad3-4678559cab2d	0	0
b7dcf762-b02f-4861-9a6b-c904a7e5167e	0	0
7067f21a-1da9-4037-bb6d-a8854feb32fd	70	5.83368333333333311
8420bf17-458a-42d4-a77e-3ae3fcc28202	0.594125249072381956	0.0495135730837352669
5c583449-c957-47e4-aee7-70037da8ed6e	0	0
7d24723f-a206-42e7-ac1d-5f8e23204ba9	0	0
739448b8-f25d-463c-a06a-f6318a59d09e	11.1837229437229446	0.93203593718133726
a876276f-460c-441c-99d7-82ef8709e732	0	0
951ff214-c8d8-4d59-a87b-8824910c75a5	0	0
0304c570-0b35-471d-9280-349cb954be58	17.1436818181818182	1.42873063205808082
53c89b17-9670-40ba-b0d0-6016d3b6441c	0	0
2c5a4b7b-ca71-4f8c-a3d1-bed73a8358f0	16	1.33341777777777781
211a4722-12ad-4bdd-a83d-72c7afeb7581	0	0
b415b884-26e6-43d0-9318-68b2efbd6fdf	0	0
dfb018d0-387f-426e-8728-d4b30373d9cb	0	0
d4e1e2c7-ea5d-4e0e-afd2-bdb5c12b4844	0	0
9a3c3ed3-fe91-4f2e-9512-ba5600dbfd91	0	0
f3bc4a3b-945e-4ddb-b278-b17b53ded1f8	0	0
a0dff5d5-2f94-4de7-a27c-e26acae1a343	0	0
f4b4011c-f7c0-4560-a74f-d656dffe7059	0	0
1b10b93e-30f7-435d-9ce8-7f515b42f003	0	0
3715c653-bce5-4904-a146-3e93a7c71ae6	0	0
c46a82a9-5638-4a8e-8bb1-cda16b6a946f	0	0
aa3e94f7-819f-4e9b-a61a-de8110de6307	70	5.8337027777777779
71881c74-8317-4116-a681-3c0a3da1e8ec	0.594125249072381956	0.0495152234316493592
d180f02d-808f-4cdc-aef9-3309ed12efaa	0	0
db451964-3f29-47f5-a442-efc5ccdf3bff	0	0
aa90eefb-d72b-48ac-a3b1-a45214105f4e	11.1837229437229446	0.932067003078403178
99f46ec8-0135-4d30-85ab-54aad7f87750	0	0
5bf658c9-eaac-490a-a5f3-ce27cdbfeaa0	0	0
fd3adafa-45b6-4a18-980e-24647e0794cf	17.1436818181818182	1.4287782533964648
437cd7b9-daa8-41f2-8bde-c20ca74f34c4	0	0
324d9373-2dea-422c-8f39-07483ca637f3	16	1.33346222222222233
901a5125-5f4f-481e-aa49-5f45f11aaa34	0	0
8246b7c0-5a38-4fad-98fd-d57e0f2c7ac8	0	0
f3a1e4ea-2128-43e6-89fd-d987f8bc069c	0	0
8845a634-3f8f-4fd8-81de-aae051852a2b	0	0
86436681-91d7-43d8-ae51-55a6ff2c9d85	0	0
ae82af1b-c173-4c0f-b406-cdf670975b0c	0	0
ee61e83b-957f-442b-91de-4e75befec2ba	0	0
ebac83bc-f0ef-490b-8828-7e0fbd11ef5f	0	0
4923c100-8756-4793-9835-1b6e27a74808	0	0
f9283c77-9f12-441c-8966-a0ce6911a91a	0	0
94e94c0c-c633-44d3-82a6-f2347674a9a0	0	0
aa7d24ac-5ea9-4b23-bed4-fbfaccdccafe	70	5.83389722222222229
e12decfa-80be-4a9d-87e8-30df5d9b0abc	0.594125249072381956	0.0495112625966555447
ab221823-728b-4c61-b05c-3abe4e059904	0	0
7aa6d54d-0c9b-4206-9cfb-42a303f18819	0	0
24a3dd44-ef4d-4097-8811-0737ebc1cc36	11.1837229437229446	0.931992444925445085
66e7c8b7-9f50-44f0-9ca9-fa38b6e8fd28	0	0
2497da07-c4a9-41c0-8231-b5a715be0b01	0	0
8b64025d-f7c6-4e10-98f1-e80fef079cd3	17.1436818181818182	1.42866396218434355
b832660c-2a18-4609-854c-71f1965e49f7	0	0
9afbde43-425c-47cd-8624-b5ace4f0913b	16	1.33335555555555563
173c2c02-11dd-409d-a2fd-8caa5a559426	0	0
4e2fbe44-fa7e-4e39-be47-3dbe55a321de	0	0
7c8f0b0d-37ab-433d-9d25-4aa7a8b048cd	0	0
723f8d66-edea-4bcf-bac1-6594437dc95b	0	0
9925b833-aee2-4161-8447-b5063ff6be9a	0	0
020bcf2f-51e7-406e-9274-650fad76e8d9	0	0
36267473-8326-43c4-8a90-5e73eddce115	0	0
9b8b7d8e-6dc3-4a35-96b0-14fb029913e4	0	0
aff140f0-73ae-42f6-8a60-fbc0383ec267	0	0
d4e241a6-c4c2-4e80-8664-5516065b5d06	0	0
66d4fdf0-dee0-4170-8c46-8e38c162e9e2	0	0
45da650e-536c-43a7-ad32-399539d7eebe	70	5.83343055555555612
8bdcbd78-6a8c-4d90-9d51-31577b184b5e	0.594125249072381956	0.0495153884664407615
801486d1-bdb6-41b7-8b1f-9c98ff9115b2	0	0
6091ebb1-a29d-4301-84de-297dd87a94d2	0	0
6e842aa9-4d47-4d4d-a4cf-0a5ad9f8c658	11.1837229437229446	0.932070109668109659
224c5929-825a-4a50-8517-9fb599df1421	0	0
69971454-1af1-4f2f-935b-85439507e0a5	0	0
7edcb0f7-6b9a-4453-beb0-c9180255cbd2	17.1436818181818182	1.42878301553030296
52b5ffe3-a475-4d48-8087-b98bcbae33eb	0	0
873753da-3ff2-40d1-a96b-8262b2ec145b	16	1.33346666666666658
f53e4bc1-f491-4a10-aa34-cd4302e6ce27	0	0
99591d06-64d5-48c5-b968-7a20b99d07bd	0	0
277e1f08-0c9d-46fb-8ec5-5af807f03406	0	0
47f23798-27fd-4453-95c0-eeb81ea73319	0	0
5657dad7-563c-47a5-ad87-ec56d32b530f	0	0
d3b8c939-496e-4808-961f-7fd2783aedce	0	0
2ad3470c-aea8-4b66-9cd5-6255496f2ca8	0	0
37bb0aeb-b965-43c1-a319-55f02ff11524	0	0
9016dff2-75e1-49dc-b229-37ae84c3cfdd	0	0
709b6f69-c9bf-4f8b-b875-e458cdf6365c	0	0
de7a3c6d-65cb-439c-9138-7b57b5b5cdf4	0	0
eadbf578-66c5-43d6-bad6-9c190456b9bc	70	5.8339166666666662
17b48693-8855-41ca-a24a-3d6302d92506	0.594125249072381956	0.0495102723879070825
c0d826b7-81a0-477a-840a-a3020553cfad	0	0
c8b35798-8f8f-414e-a203-37526ddcd97b	0	0
4ccb7ca6-0ed3-4571-a292-7a5f4d572b49	11.1837229437229446	0.931973805387205423
04e0e590-f98d-4985-aa61-d6b855f5067f	0	0
9ea58c0b-6a6c-4e4c-813d-bb217397aec1	0	0
ba71c2d8-aebf-4c87-89d2-c785c7aaf649	17.1436818181818182	1.42863538938131307
2134fe28-f7fb-4ae8-bd1d-f06725e661f6	0	0
2607c498-1f5a-4b3a-a264-e7f89a70c796	16	1.33332888888888879
d9564b94-1138-4be0-aceb-34467620e064	0	0
cf8e3091-03bb-4279-93be-73f7aad244e9	0	0
439c239e-483d-461f-99f9-29748ad51f4b	0	0
4d04dd0c-2284-47d1-a078-4fe4eefc5a61	0	0
e008942e-a51e-49ed-9d43-8266012073a3	0	0
cc037c36-df9b-45a1-ac18-093fceb60f6d	0	0
2e202f8e-e946-47ab-bf5e-4c7b135ae972	0	0
69f789cc-d231-4a22-b7bf-59119ceb0e8b	0	0
e349859b-4106-4186-93ab-38b31960d167	0	0
2b25f5be-61b6-4ef3-b185-96d3dea187eb	0	0
dc928892-2460-419e-9224-89820825bc18	0	0
9ae74c04-d05b-4589-a214-53004f08e2fe	70	5.83331388888888824
49ae06a6-7635-4dad-8a95-ae1f63098166	0.594125249072381956	0.0495167087447720353
ce69ccf2-f17f-4a8a-a05f-5a1c24d7fe3b	0	0
b53e30c1-2e86-4812-968b-148d12d6ddcf	0	0
097fe834-9a63-422f-bf99-98dff59083ed	11.1837229437229446	0.932094962385762393
6dc2f694-3335-4829-bfb1-a3f533143b94	0	0
eae59df8-fef0-4ee9-a93a-07fcfc736fa4	0	0
1f8a29aa-de4d-4eab-b005-6722786809fc	17.1436818181818182	1.42882111260100997
796cdc65-dd12-4160-a596-e7baea1ac6b8	0	0
dd3bea10-28a0-40ef-96ea-3466b4869645	16	1.33350222222222214
0c33ef7c-547b-4643-92d7-783100ffc9ed	0	0
c7e988dc-9363-495f-a14f-a7a83815895d	0	0
91e4022c-995a-4410-afe0-70973f567ed1	0	0
0e91dc53-3896-4c87-9ef1-f44f862060f1	0	0
e0b50964-fc3d-47f4-8204-8457b58c0a8f	0	0
a1baf8af-f635-41c9-b74a-9611cc46bee5	0	0
73faf8e1-d36d-41a9-94f0-de4f503f1f87	0	0
7cdc8d57-fabe-49cf-a64f-8fbf7dd6030a	0	0
0cd82aa8-91a6-4034-b838-160f45ccb6da	0	0
4ebb1111-f6f9-4db3-a5c5-bd586dd64645	0	0
264b8a66-7a3a-4360-930b-1fe936cff999	0	0
b34154af-b536-4276-982c-050373dd0f36	70	5.83407222222222188
68f34556-415e-4942-bee1-181f92798513	0.594125249072381956	0.0495612681384524703
d0b7f129-2109-4764-a59c-0456f9989d3d	0	0
ee7d07bc-4f59-4041-971d-6e27d0011776	0	0
24342b53-f625-404f-ba0e-a80293d3dfa0	11.1837229437229446	0.932933741606541744
34a7815c-2e3f-4281-a5c3-986365e0e14a	0	0
8a3a5975-66c4-4937-8120-d8debd0334c3	0	0
70b63178-d225-4fd3-8f63-395081dd1453	17.1436818181818182	1.43010688873737379
26d8f860-652a-4682-9ee7-12694ecf8f1d	0	0
9622df95-8292-4df5-94f2-dde277b69a32	16	1.33470222222222223
143e73eb-2ddc-48fb-9612-7c4c4d16447a	0	0
4e61f8a2-c0a9-4efc-b8b4-6fd51526e1da	0	0
a4a24cc6-5eac-4b56-8104-c7f30cbb75cb	0	0
47a16847-2de6-4812-878c-7bdf430b8a14	0	0
e6ff7a23-ad65-46c4-b601-1fb8dca321f8	0	0
3e340ca8-2167-41c8-8e16-c27698970364	0	0
613a85ca-195d-4f47-961c-8a2bb1c84f3a	0	0
49df046b-ecc7-4d1e-a772-29a490fae242	0	0
4654da45-b725-439f-b558-552624702d17	0	0
3f5da5a9-4619-46f5-a2ca-ac288e2b4ff1	0	0
e4a4e7c8-7443-4fb5-811c-1d2281d362cf	0	0
eca9f4c4-e31a-4175-b174-a907c0d34e01	70	5.83932222222222208
448d8d28-3868-49af-a6ed-6b32c8cf0ec4	0.594125249072381956	0.049466208098600882
846caf3d-0809-4a47-bd2e-1f2d9519e8d6	0	0
f7fa7e76-e106-4137-8d36-a5297e01f4e7	0	0
95155224-a947-43e4-91b5-dcda0692ab7e	11.1837229437229446	0.931144345935545958
bf3f7850-a958-4632-8252-afb9fa47542e	0	0
6896c98f-8b85-4c2f-8b28-c889c8e501eb	0	0
434aa565-2d35-40ea-999b-59a814a8dd99	17.1436818181818182	1.4273638996464646
0d9daa1b-f85a-4d97-8760-f54564cc07f5	0	0
5a4b3160-3ac2-4c0b-8bec-44dd15f59b15	16	1.33214222222222212
ca258db7-e785-40f7-8677-00836645aafc	0	0
dd1ec09d-b731-40d2-976a-e2201241ac7b	0	0
c5dc3f7d-212c-428e-afb6-94ca228a742b	0	0
05d31d34-97b4-413a-a78f-33973b3e4989	0	0
8a87e143-d7f6-4ddf-8d5c-6f29f741c8fc	0	0
4071a654-1564-4586-837d-dc8c8f568ac2	0	0
7af724cb-9a21-4311-a8ee-497e00a9aff6	0	0
96240be9-f15d-43d8-b397-3849afc95f6f	0	0
fefec18a-4bab-4132-b24a-f153562fa529	0	0
6bba83b5-08a3-42e8-be0a-13a7cdec950c	0	0
3fc47769-d377-4713-a7a9-5087b99143be	0	0
a4c88089-8ab1-48f8-a7ff-5ec16e2be809	70	5.82812222222222154
10cfb45a-1702-480f-8f96-02138d320f8f	0.594125249072381956	0.0495134080489438577
9ce68c99-9507-4c50-91b0-e7326ad65ba2	0	0
ba171f04-7003-4fcb-8f65-225027717e56	0	0
026a3b81-2f8f-4f6a-aaab-57b77fd9ca22	11.1837229437229446	0.932032830591630668
113fcacb-f72e-4840-b36c-84197cb20034	0	0
5e66143b-96da-478c-85ca-84ab4f33672a	0	0
bf5990b6-4ff5-47b8-975c-7a3fa15d9af5	17.1436818181818182	1.42872586992424244
ddcf8033-c8e9-4069-9331-15572bff1977	0	0
338e4fbc-43df-48a3-81cb-042af9805fdd	16	1.33341333333333334
8658e54f-f5ba-452b-a187-d47d0b7a3d0b	0	0
f495f477-a7a5-4a75-a7c8-3ae7478b6ffe	0	0
178d277b-558c-448d-adb5-b8bc5697d6e8	0	0
cac8ef28-d207-409f-800a-2c6ddcfeb133	0	0
c5eafa07-8db6-423e-a9f0-0276a4e08201	0	0
df3e3f02-eb2f-4f2f-908d-3c78945d89bf	0	0
94fe3332-8418-4eca-8814-6edead621521	0	0
6d30c9a3-0b98-4ebe-a645-44da250bea4f	0	0
09f43669-89f4-4cbf-aa39-952ae5049966	0	0
5ec26976-8137-40cf-b13d-d101478e7833	0	0
13b8c698-a23b-4981-9dda-ec3ffc850314	0	0
fb455583-8dbf-4ee0-bac0-e7785b9eaf7d	70	5.83368333333333311
f88c5978-5b00-4e02-8a35-1b3bdd007d30	0.594125249072381956	0.0495152234316493592
9ed282fb-fdd6-4a61-a99d-c4d2d110177f	0	0
8d44b55a-7cd9-4f33-a4d6-6b2e481de2fa	0	0
2e513dba-52a8-4719-99f5-b6dd0e040109	11.1837229437229446	0.932067003078403178
c0059ee9-ecbf-4802-a312-97db57226ed5	0	0
36a6abd3-747f-4442-8b0d-cc30f66cf059	0	0
4453f462-bf8b-4efd-9a05-626804cce384	17.1436818181818182	1.4287782533964648
20a235c4-7fe0-434d-a299-aae58a773e2b	0	0
af94029b-082d-4fce-b718-7291a03efc0a	16	1.33346222222222233
8b683cdb-8559-4f83-93dd-88cc783305a4	0	0
72cc4104-7e86-4538-aac7-cf7d5c9b43a4	0	0
d541f570-fa76-4709-b838-a28d70e6c283	0	0
a6113561-b47d-467a-835b-c26ff9fac265	0	0
eb297944-8d3a-4649-a9f0-9ccc10811390	0	0
157032af-9a0a-4949-9cf4-12ef67b0a6a5	0	0
fc6924ed-4f5c-420e-baa3-a41f8f90ea4d	0	0
75542ba8-eb4b-4a76-bfaa-f54dae14851b	0	0
e4e425e1-0411-489a-956a-52b1f8961b25	0	0
e5c463ee-b974-4e61-a3f0-a14621889622	0	0
9d2e7842-433b-47d1-8920-b82154359662	0	0
8182b4e2-8137-4ed3-ba75-531d6458e2a4	70	5.83389722222222229
7ba5f02a-95b4-40d0-973f-3adbf6c1259b	0.594125249072381956	0.0495117577010297655
c2d3f51c-6fd1-4ecf-8ffd-1e69da638849	0	0
71b5821b-77c8-42d0-9678-026fa56f7afa	0	0
225fbd9e-3285-43e3-9c85-205604ce29b8	11.1837229437229446	0.932001764694564749
7943e0ba-366a-432a-b109-25b008633efa	0	0
091fdcfd-1ae6-4ec2-ac51-039283c89b99	0	0
022f5834-6e5f-4cff-a9ea-8d18d7ed5c98	17.1436818181818182	1.42867824858585846
ccf7c1a3-07a6-4686-98e8-a49b1fb81c64	0	0
2a11701c-51aa-48c2-ad32-36c758e410b6	16	1.33336888888888883
da19e83a-e07c-47f4-aeaa-eadadf60fad5	0	0
6fc42455-a463-4b36-bce4-186e407b663d	0	0
10134c2f-bddb-4a9b-9dae-430cc79e8192	0	0
3a53c41e-fc17-4947-b86c-3720aa0fa128	0	0
4fbf3a59-eb99-41ba-b614-e9d161611278	0	0
e1b0df2b-5507-4f7e-b8af-c25f8bfc4bfd	0	0
7e3e7c8c-15a3-41c5-b7f6-d88bd6d6e05b	0	0
26883941-6a3f-4c8f-a9c2-9097c7f70baa	0	0
3e00ff65-12ef-45ba-bf91-24faffa16237	0	0
539e84c0-dbf4-4d42-badc-65ff63e837f6	0	0
38bc4633-4761-4978-98e6-5fc402a148b8	0	0
d35716c2-7c10-4ac6-80c4-86a653256f8a	70	5.83348888888888872
3991014b-6c4f-4207-9a75-967fa11d0588	0.594125249072381956	0.0495106024574899009
a0744158-cbeb-46ce-9fde-46b5149e9477	0	0
f325fb34-e9ea-4b9b-82dd-8bdcd064bf2c	0	0
b1ae3154-c757-47fd-8e34-74249e2787f6	11.1837229437229446	0.931980018566618607
f3023fe6-da4e-4998-a7ad-b6f7eec805b5	0	0
96d260a5-9dc4-4332-9dcb-36fa9a7357da	0	0
094e0d17-263e-442d-8760-92219433fa1b	17.1436818181818182	1.42864491364898982
9a90a0ed-d94c-4fe6-b127-2995ac6702fe	0	0
11466886-d98a-4ae5-b302-2447737c1dff	16	1.33333777777777773
25bc9497-2995-4cbe-b465-f266ca10480e	0	0
5bce9204-ce7c-471c-9d09-796b5f95b142	0	0
66144d13-a443-447f-bb95-15ad264ee11a	0	0
d645332b-1cd7-413b-a7a7-923d37363143	0	0
7336df83-5aef-45cb-96d4-c73c9b904621	0	0
e7a507ed-4180-4643-ac40-57b91c081e4c	0	0
fd9bb544-8f7a-4dcc-9758-de89f98f6771	0	0
80083e9f-b7e6-435c-b706-993411dd7c59	0	0
fde9629c-b239-4f07-9506-e61f38b60500	0	0
5b614971-3742-475a-9ef0-0847601ce892	0	0
dec8b3e7-ab63-4aee-bcc3-6d823095c3d7	0	0
34ebeb4f-c83a-488c-aa05-3ee185c67603	70	5.83335277777777783
c22ef278-dea5-48e0-8dbc-966ccc893978	0.594125249072381956	0.0495135730837352669
84a432de-7754-49aa-87e0-eca400221df7	0	0
9a53a498-2eba-4f81-a765-71714e23924a	0	0
3b3539b6-c60b-45ac-821a-fd85e9191932	11.1837229437229446	0.93203593718133726
1a46d7ec-b75d-4d60-8aa1-64a00ae313ec	0	0
3b460b8b-6464-4f14-97e3-c85fb33aa227	0	0
1cd10670-8cbb-4d8d-8567-99080bd7d1bb	17.1436818181818182	1.42873063205808082
21cff47a-5b30-43a8-9f11-bc362c0fffe5	0	0
66d7d569-c526-415c-af46-dca3152fe2cc	16	1.33341777777777781
de4b7374-b0e9-41a0-9b67-cbdb9bf26d00	0	0
a6d1b26a-965d-4a1c-adbe-0b9566da1510	0	0
2447f168-bed2-4d0c-afc9-8831d2065e14	0	0
50e97e63-0fdb-4f3f-95fa-9855fb29e3b0	0	0
9cededad-014d-428c-a013-cbdf46ae3205	0	0
2efc1237-3f88-4acd-a1b4-14776a4addaa	0	0
35200c6f-8ad6-4a2a-b418-4cdc0adcaf91	0	0
27445be5-ddc4-4d72-ba38-6928a136ae37	0	0
a6ddf8b0-6f40-4c69-879e-a9447f519ee4	0	0
4aade487-07a5-49a1-927c-cc81c87d98aa	0	0
38b4c0b6-1d16-401e-bceb-a70104e05bae	0	0
f16da821-6bde-4588-871c-b4c9dfdaa50c	70	5.8337027777777779
48dd89e2-5891-4776-854b-4c43ae157a7c	0.594125249072381956	0.0495185241274775367
dcfe0291-8eb0-410f-a037-f9bff4b5308a	0	0
cf11e213-3cb7-4e31-9c06-f7a51ddaf261	0	0
8fb1912c-bb53-4015-aa3e-094bc856832b	11.1837229437229446	0.932129134872535015
59d87eb6-4bf1-40f8-84ef-e582ac774f29	0	0
51ee780d-8487-4661-b1a7-3a1a20f1c241	0	0
08477558-d11a-47d9-afb4-c295e10c42bf	17.1436818181818182	1.42887349607323233
ec6b44e1-ace3-4138-a8b3-9fa2c087139b	0	0
fa268138-931e-4416-8062-649a275fc3c0	16	1.33355111111111113
14988e8b-9d07-4bb9-910d-236c42c4bf5a	0	0
c78e3d26-d561-4728-91df-e494ef5f9b10	0	0
f5f47e6e-a3f5-47f6-9f7d-05c40bcf036f	0	0
61727e52-6aff-4e46-af44-c1e519470e14	0	0
3bebe3a2-a019-4343-b4de-14f9f9892e4f	0	0
63469327-00d1-4bb8-b504-5c1217a0c1b5	0	0
62ec1ddf-ed0b-4239-8244-0daf11e717b4	0	0
15245f6e-b15a-4884-817d-85f75a70349d	0	0
1b9236dc-eb0b-4695-984e-b29d31808d84	0	0
8eca63d1-79ea-4fa6-89fc-4bcc118f0ebf	0	0
6bb88d01-9fb8-4c35-bdd3-bc2ebaa73b16	0	0
ea3e7e05-6014-4491-a930-afdcd1ed78c1	70	5.83428611111111106
5f92ebb2-98d2-4adc-acd6-42318aecb384	0.594125249072381956	0.0495134080489438577
3b05e4b0-9b19-4ded-ad48-22cfa6a05e40	0	0
090122de-8d62-4900-b0a6-8c597b56c042	0	0
53b16cc9-85fa-4099-b638-a12636875630	11.1837229437229446	0.932032830591630668
d4cd1726-294a-4914-83c7-206cdf23df0b	0	0
7608a443-ab15-4dd5-b059-59993962ebcd	0	0
21373cee-3455-4d52-92b1-3ac691f091fd	17.1436818181818182	1.42872586992424244
8fe18021-0bb8-46d5-819c-d7da35de94e4	0	0
c14bab43-0916-4d1b-8d21-8d2a81c76138	16	1.33341333333333334
79ba5e0e-dedc-4aa4-b9d6-96b8148792af	0	0
b3e0618b-e128-4089-a481-d214cebc45a2	0	0
e079031d-553c-463f-8e35-6a1ea3db826a	0	0
c9f13614-33aa-4910-a19f-780d0ba0df9d	0	0
484be57b-38d4-4a6b-b88b-3587d5227ea9	0	0
5d1f3db1-0f71-43fe-a401-5c58c6ba5400	0	0
150511be-bd51-4181-bbe4-0acf9fc6621b	0	0
9fd5d1c0-02c6-4b50-88f7-a44c8bbcd2b6	0	0
f418aa20-b1ae-4d8d-89af-436d000e67e7	0	0
6fc5204b-fe12-4d9f-947c-577dd8d62338	0	0
e4b44261-3ef6-41f3-8046-2a7bbaf87b58	0	0
09078cae-bfa1-4ef1-a625-1a41c5f9eb7e	70	5.83368333333333311
1d44532e-d5e1-48db-a2d0-c51cde622c8a	0.594125249072381956	0.0495155535012321707
e6e20794-faf8-4278-a12a-efc3121b9811	0	0
fbc40477-d23b-4b8c-a2d6-689b8fb856af	0	0
62ef09e2-b8b5-4b1c-ba73-bb7dbd775175	11.1837229437229446	0.932073216257816251
1e96c013-30e2-4c43-bd98-4c0d45376737	0	0
689abf7f-cb14-4e3e-aac5-d7b609f8da36	0	0
16b89d58-842f-4416-9213-aff6971da623	17.1436818181818182	1.42878777766414133
15ec8dd0-c12a-4c21-bd02-500819517c64	0	0
aa4f0ef2-6670-4829-b5af-a66eae0a1216	16	1.33347111111111105
82fa3863-0653-475d-b9b6-8269f9a9fed3	0	0
6d73f1d6-6aaf-436c-8280-2a5161069f83	0	0
37b97f9b-edaa-4e20-ba2e-7d8e1a092659	0	0
bd7a2984-3a82-4a51-8cbd-37f6cf4b86ca	0	0
2afcf081-683c-45c6-ae7c-60a8271e883a	0	0
f4e4fe6c-0802-4e8d-9894-e5b0b3c6b05b	0	0
a4cb12fe-eeec-4190-b6d6-a8f1044f8339	0	0
51748bd5-f0c9-4ad8-9907-d9d5c571e5fb	0	0
da4da10b-89bb-41fb-aff2-9e0effe06fbc	0	0
57ba060f-acb9-465b-ba8d-584a69fc4df5	0	0
713a7fee-e9a3-4069-885a-fd5c9041cb26	0	0
a42103c0-0f1b-41ce-84db-e925b5b51a0f	70	5.83393611111111099
47a2c740-5cfa-497f-b20f-d69ee14e2493	0.594125249072381956	0.04951291294456963
8fad5325-f5f0-4b38-b9f4-607d18686661	0	0
f7cd7cea-cae7-405c-baf5-910e607edca5	0	0
bb94544f-7409-43d2-8a39-587b1097dbd3	11.1837229437229446	0.932023510822510892
9e505bc6-b165-444a-b487-45a5bab10579	0	0
9e217238-945a-47f2-95ac-151795b13e48	0	0
f9cca9e6-3f92-42e3-8c67-5e875041c412	17.1436818181818182	1.42871158352272709
f1b1c2b0-3695-4749-80ca-abe3a600db50	0	0
6a567169-8b4c-4d81-8754-1f60cab07b2a	16	1.33339999999999992
d37f2781-d7bb-40cb-b804-c482279749a6	0	0
68114ad8-4407-40f8-a111-d8dd9a3822c6	0	0
ecd85001-48ea-42f7-a030-84108861ae54	0	0
3570fa23-c697-4c5f-a0cb-864fcbeb0b3f	0	0
9ae40216-81af-4b67-94a2-1feed57e16ba	0	0
2f60433e-9f62-4d29-bb54-b6b1c25a053a	0	0
369017f1-aab9-41f7-8bb0-62e95519b743	0	0
9caac1ad-9803-4dc8-920d-038d0415c750	0	0
e52fe1e9-b4ee-436e-b566-88a08a6877dd	0	0
450a7d1c-e8fe-486f-99af-d28dcdb07caa	0	0
7b13e541-b162-4c74-a083-a8c0ad97984d	0	0
cfd1fb61-e2dd-4049-b8fa-73ffc5f096d5	70	5.83362499999999962
f265455a-f707-429b-b08c-8128b68891ec	0.594125249072381956	0.0495172038491462629
1c8beb23-dc7a-435e-8357-57caac4ddaff	0	0
1f33d3bb-cf5f-47ed-b2e0-d5abf8734589	0	0
94fed4de-4160-48ef-a095-77be74cea85c	11.1837229437229446	0.93210428215488228
52a5fba0-36de-421a-bbb2-84fd84b0e8e8	0	0
d10c929f-b1a7-44f0-9b8b-d2f19f20f3d3	0	0
139c140f-6723-4ae4-8d97-e82b6e55caad	17.1436818181818182	1.42883539900252532
c8436392-11b4-4007-abb1-b75fbf02eacd	0	0
b9e20129-985f-42f2-90ff-2f5d904e2741	16	1.33351555555555557
25fed356-cd7f-4cd7-bcd7-ba9ff198065b	0	0
a49c76bd-feba-4470-a6a1-bce5ef8634d6	0	0
29e4121b-c6da-4919-82a1-ea98e6c667dc	0	0
e48f9c40-ddcb-4237-a332-6a80a17c06b7	0	0
46941ae9-4ef2-4fb0-8cef-30bf7058d2c3	0	0
04ef4bf4-88a8-43a7-a9f4-d08afcdbea81	0	0
4925c218-fc69-4cb0-89a2-e310e8e924ef	0	0
5cd67dab-1a50-445d-96b9-4e211770fd22	0	0
e978890c-9d27-44a6-8765-95416d1d1d52	0	0
c96f63ba-aa5d-4ddf-ab4d-5abb4df9c8d1	0	0
0f316839-e639-41c3-8e7a-ae258bcc08ca	0	0
068a97ef-c838-4493-b5ef-1b84918a3502	70	5.83413055555555538
9f8d2fe3-9551-4b42-b9e9-bd193f756deb	0.594125249072381956	0.0495137381185266762
6cde7707-bde9-40b5-8fdd-499b64a95041	0	0
d4c8d048-f70f-4f93-9deb-a24b230b6741	0	0
8a43da6e-2190-4e5b-a302-d4c3102dd998	11.1837229437229446	0.932039043771043851
693f28b8-a8c6-4a8d-9231-5f7169067950	0	0
5b23ee42-d960-47aa-8cb7-48b4039a6420	0	0
f711bf04-db7f-4821-975b-6ed8c5282da2	17.1436818181818182	1.42873539419191919
a4a82df4-109b-49ba-ba4f-78392c242419	0	0
578f8c15-456a-4d63-add0-3103139d00f7	16	1.33342222222222229
6bd9b1ad-b31f-48a4-8216-fb33ab743b37	0	0
fd0781cd-5c4c-414b-afca-98c7365afb6e	0	0
e387cb75-f749-48d6-991e-583b4d99eff9	0	0
cd5f4513-1853-4531-813a-f9beff30244c	0	0
8903d597-7fb3-4ed3-8c7c-e97bc768d707	0	0
f9201b22-c214-474d-8311-bb8d111f556a	0	0
8398a531-9561-4380-b37f-8ee0928be50a	0	0
07b0942e-dfe3-464a-a221-d27d5a2132ac	0	0
4d4fe68c-079f-4ba8-8360-9350cdf138d2	0	0
a3f83b37-aced-41bd-a2d1-785ff5bd5e2a	0	0
1270b9ed-11cf-4a21-adc0-b409282443ce	0	0
0cf43d39-ad89-44ae-ad43-32e0da8cb287	70	5.8337222222222227
86b8ad27-7149-4c81-9802-1fefb2a863a6	0.594125249072381956	0.0495112625966555447
f32ab0f2-c610-46ed-b4d6-cbbac39f5b61	0	0
330577f1-2676-47f1-b48b-5b70c6954115	0	0
edc1d073-dca0-4733-8cf6-8d0aa02cf417	11.1837229437229446	0.931992444925445085
f36f501b-5506-496b-a870-f9b2388dbffe	0	0
b7ea1531-6cfb-47a5-b384-7e181b7c240e	0	0
5b38975e-f68b-410e-ad72-c563f07f33ea	17.1436818181818182	1.42866396218434355
fce37b62-91c0-42c0-8482-05a232509d08	0	0
3d36cb6f-6174-4a06-bb8d-5e117718068f	16	1.33335555555555563
f84e2642-56a5-4bd2-b536-b09151c1c2c8	0	0
1ef68f83-b85f-48f6-98d6-a34af7091dbc	0	0
1d0178dc-3476-48d7-a0b7-6ff03016828a	0	0
6bb5aa8c-30a7-4bfa-aee6-6e3466ab59eb	0	0
2cfc6506-359a-49b1-abdb-968d6f2b35ed	0	0
b5a732c6-08d7-441b-8302-9f4e117ec37e	0	0
8e732ade-1bbe-4352-92f0-2c0c7ad00b12	0	0
952367e5-e39e-4070-a372-a04c199f4a8c	0	0
29d15add-cd2c-4ac6-ba27-7f9c5e539797	0	0
bab5c181-8559-487c-95c0-c5700fa80e2d	0	0
15adb180-bf62-46e0-8939-65fe70d2a436	0	0
859aa266-237d-40af-a250-9c6ea1b43fcb	70	5.83343055555555612
7ed612ba-1f5e-44de-8771-f0c202073aaa	0.594125249072381956	0.0495137381185266762
30f6f62d-892f-4980-9b2b-5b496d735bdf	0	0
a837fa84-8748-4cd2-b249-5d84f9d365b0	0	0
affa3cd6-49d3-42f1-9d0e-4e6a2adcd8ea	11.1837229437229446	0.932039043771043851
8bb806d2-554a-4dbb-bbd8-451350e3131a	0	0
5db96816-ad0a-4a7d-ada2-9e85256746b2	0	0
7f420835-0405-4f37-81a3-a226d4463ece	17.1436818181818182	1.42873539419191919
63a599a7-fe61-43dd-83c5-7ad07e43bbdc	0	0
a69ef375-29b0-4cf4-b624-1aa745dd3769	16	1.33342222222222229
276db0d7-b76b-4459-86d4-cc3a55e2ff3f	0	0
dc0ea1ea-1ab5-461a-ac8f-8e63e826d41c	0	0
bffddf18-9a2c-432c-aca3-9deb69a35fb0	0	0
ba236d85-0859-4cea-b0a7-1dafa12ec4a6	0	0
2ed085a0-0e2a-4e4b-87df-56139adb47ec	0	0
d641d3d6-5f97-4668-a9d4-d47939b69ade	0	0
b5905ee4-4626-4e2a-b508-01783a63484f	0	0
dc9965a6-90a3-4a60-87bb-c871b945f906	0	0
716ae3a7-3869-43ba-95e8-1c2263e9cb73	0	0
338020c5-118c-4705-a796-8e9ab182f703	0	0
4b529a56-5311-4bb5-a934-670f6bdbc147	0	0
8c19422e-73da-47c7-a5fc-884208aa1d2c	70	5.8337222222222227
5748a7e4-9b68-4901-871f-468413e1a198	0.594125249072381956	0.0495145632924837223
eef3e525-c74b-4170-a131-12c164ad2965	0	0
28ae9e7c-28de-47d6-aed4-3887818c9e77	0	0
5c84ccac-ed40-4c96-8e80-39da661c0aa6	11.1837229437229446	0.932054576719576811
eba22861-79cf-4ded-8654-7e39814b6dd6	0	0
1da1b1b3-7749-42e9-9a1a-bfd9525d5544	0	0
92244269-f7e5-4146-9c7a-a0d860d566df	17.1436818181818182	1.42875920486111108
401e03d9-2a75-46a9-91b8-c21f7e17ec56	0	0
37182f84-b043-49a8-bf38-7d8206544b97	16	1.33344444444444443
808ac78a-7486-45d4-801c-e896a7449d3d	0	0
478fd656-afd4-4479-bbf2-db73a48fb928	0	0
0db3c3c6-6f5c-4d83-b10b-71c2afade309	0	0
e266c5e6-c2f1-48ce-9914-307843817cf5	0	0
fcedaa68-e26a-4e7e-9fa3-61711de596a3	0	0
4c8615e4-9e6a-4614-a931-4d7df7307b0f	0	0
1c88e94e-318b-4e7f-af9f-70b3577eb87b	0	0
1fed2ef8-ba67-44d6-8036-dd6cdde8f320	0	0
ff735877-cced-49c8-a6a3-4953d5003f80	0	0
51fc890c-957c-4125-befa-e91f1e7bc582	0	0
08bc5764-d781-4e1a-85a5-403be817ca15	0	0
499907e6-18af-4238-ac75-a624f949c828	70	5.833819444444444
c3a2d9be-13e0-4542-a0ec-e7cae71d83c4	0.594125249072381956	0.0495097772835328617
ae467d7b-5986-4cb7-9d7d-d00275730aa8	0	0
9d9bbd0f-b57f-400a-a09e-d78c9543280a	0	0
024cc843-9fd7-4536-98d1-85789b93e415	11.1837229437229446	0.931964485618085758
15faff68-217b-4012-9da3-855eb2dccb64	0	0
b6fa7795-2429-445b-b465-d687b899c45a	0	0
4603a1d1-e8e3-423d-80bf-b9b448b55e7d	17.1436818181818182	1.42862110297979794
8746ab71-a2b0-4b49-8427-871c6d779aff	0	0
18d2ebe7-124b-4a3a-aeba-6a0248f23b5a	16	1.33331555555555559
6caff3c2-0184-404f-ad13-2fca5019f6ef	0	0
b31cc7f5-8f66-417a-9819-74395df22630	0	0
64e2b2d5-3d36-4c4b-8d6c-ee125b5d2e0c	0	0
1fd2eb5f-b118-437c-9e1a-9503d9854497	0	0
defb739c-cf23-41ba-adff-0c7fc83b4fb5	0	0
a08fb11c-89e3-4002-bfee-f8ba99528415	0	0
44e6595f-3d4f-4f43-af2d-97674659a986	0	0
32b03388-8a02-4454-8f55-91ddf12b412e	0	0
1234f066-3de9-4110-a7b5-b7335d592373	0	0
0f983c58-102a-479a-b1ee-e093831c1d95	0	0
1edc960e-d9b1-4ede-aa7c-5df6595f38bc	0	0
d7770bab-e884-48ec-8c15-6cd19c860d72	70	5.83325555555555564
cb2cea51-608b-42c4-9357-0a76eb264f0e	0.594125249072381956	0.0495160486056064053
98e5fa62-1b9e-47d2-975b-bba287e71750	0	0
204035f3-c2a8-400f-af12-ddb81c5e1279	0	0
8c24fd57-212f-4846-b489-b908f2985749	11.1837229437229446	0.932082536026936137
5da7c380-705f-4a3f-8888-902f5354947b	0	0
1b67bd61-c35b-4dbb-acb8-e2193677882f	0	0
1323a57a-e898-4b45-8ded-b47e0b0d7a9d	17.1436818181818182	1.42880206406565669
a08c1256-866b-47c0-b15c-59bfac04e63c	0	0
b0d949e2-52c3-4503-a5fb-2591b450f684	16	1.33348444444444447
7003f6ff-fbfd-4ca3-a3e7-d57b3f15fb2d	0	0
38ec8d51-9d60-483e-9811-45d603b82350	0	0
8679d01e-ef60-48a0-a2a1-a0cf001518f1	0	0
0c406cb8-fb6a-4cad-9d1c-6a5ccc1e07ab	0	0
fe4aabee-a61f-4442-af48-740a7dddd041	0	0
5df34093-996c-44bb-a62f-e81943a5a85e	0	0
14860410-475c-4f92-b1ab-4f9ca33d130c	0	0
ef573896-40d0-4890-90bb-75e21dd1c72e	0	0
2ccfa8d0-2bd7-44c2-9634-df2c4af618a4	0	0
c89e1a91-7fa1-46e0-810c-9621079ed77e	0	0
c0c0e1bb-0859-41c9-ac9d-6f2f28e97237	0	0
1ec14e1d-b8f1-4f9e-9c86-d7a18ae31a87	70	5.83399444444444448
5b05c4bf-fa29-4f21-b282-0c24cbc00170	0.594125249072381956	0.0495132430141524485
0da901c0-eadb-475e-b4e2-c289cb238134	0	0
8ff273e1-7588-4f5b-8a52-e9cc028c0456	0	0
52ebf21a-2444-45ef-8ea5-8db451324cb8	11.1837229437229446	0.932029724001924076
1430259f-29c9-4c17-a043-0c8b48c5856f	0	0
d367473e-559c-4acd-935f-09295f11a314	0	0
6a1e540c-0b6a-4d4b-8e26-528d51a33072	17.1436818181818182	1.42872110779040407
2135e9b4-c344-4c03-95fb-03697b8c9843	0	0
6f3696e1-6035-4231-be2a-fd32a69c0c53	16	1.33340888888888887
a46a601c-12c7-47c1-9439-6903e4b8cb43	0	0
dccc67f7-2495-49a1-be38-21d36ff45dd9	0	0
ad90a756-ebcf-4907-b94c-f1bc5874cacf	0	0
fcde8580-04c1-4f0b-90a7-fc5d54b548af	0	0
0e5a6a63-ad4a-4629-9bd5-e2f552d7aceb	0	0
478f311b-1135-4be1-b4e5-c633915cb4c8	0	0
9ee3ec6d-d563-4151-838c-9e2146676214	0	0
39b6cb4c-b04b-485a-94d6-37fbf1bc664f	0	0
5d07e681-a810-4559-95cd-1665b878f364	0	0
5f10dfe5-aa2a-48c9-a10d-2349cd0735ac	0	0
887abb7b-8f3d-4e1e-ab89-afb30ba91526	0	0
79e76b61-93a2-4295-9f1b-037df408a675	70	5.8336638888888892
58af3797-d675-4294-bfa4-f770ceeb3bf8	0.594125249072381956	0.0495160486056064053
f8da9146-e578-4be8-a2a1-93ac2d174c1c	0	0
5c18ce23-b5a6-4fe6-952b-acc809beb8f4	0	0
b98295ae-2acc-436a-9c87-48fd45e50906	11.1837229437229446	0.932082536026936137
30995b38-b3bc-4887-9532-afbc128bf082	0	0
6c20f56a-02ac-4f59-86ed-e26ce7c2124a	0	0
4d3d3048-8837-48e4-97e0-4c998a20e6b7	17.1436818181818182	1.42880206406565669
02aa3ed7-c9c4-408e-b647-0d2688ed11fe	0	0
4eed81cb-076f-4fe1-96aa-cd8443c318b0	16	1.33348444444444447
75611f4f-ff6e-419b-b1a8-15fc62ef7b2f	0	0
fe55b222-855e-4066-880d-1300b91424e9	0	0
1729f3ca-ca51-4168-a58e-85da40405f30	0	0
b570c9e3-996b-4d52-9f3e-45585b77954a	0	0
9342da2b-cd8a-43e6-b8df-1e6ed3459479	0	0
f9a1ee6e-6ab1-4f48-97c5-f5d5d35a4b86	0	0
9092a783-b310-425f-a188-6d657be003dc	0	0
70f703be-a478-4b22-bd12-16a69186c613	0	0
71cd5acc-cc3b-46de-9f7d-2c0d7e17999f	0	0
c023f861-801f-48be-ac32-448eabaf5166	0	0
3b062a99-35b5-4e45-9197-e2a903159f7d	0	0
7ee4368a-11eb-4616-a902-0e46bdc3487c	70	5.83399444444444448
210e3b41-4499-4f2e-a17f-a5403bc8c552	0.594125249072381956	0.0495115926662383563
dfeae8b4-2105-4d09-b075-3ad395880636	0	0
aca6a632-f5ab-4e24-8acf-6b07ac951767	0	0
25430f75-0620-42b1-9688-38e0cd5824d7	11.1837229437229446	0.931998658104858158
57d6ad91-3bfd-4d24-8c3c-9edf706eddc2	0	0
96af4f87-4b2d-4273-b49f-0bff310ac9c0	0	0
fb18bbdc-4a79-4bc0-85fe-abc5c2f0ebe3	17.1436818181818182	1.42867348645202008
3462c6a6-4ceb-4bca-934e-cc073f8677d1	0	0
fa1db377-814b-4912-8c71-d03c9cbbc891	16	1.33336444444444435
8bd0e7fd-3262-4024-866d-eaca3ad98b4b	0	0
fa8cbac0-e89d-4c9b-84a8-95e9c332c5e3	0	0
efc82fb9-de24-40d4-8bb8-ce7379c03efc	0	0
89ba3519-9466-4514-9d3b-c495a2d50d2b	0	0
c3ad9f1f-56fb-4341-b207-e2288b12c0b1	0	0
4f2d0e51-a826-4813-aec6-041b2860f782	0	0
4dafbfca-585f-4ba9-80d0-3cc827271f4a	0	0
92669636-c097-4465-98a6-73cd1a71a5c3	0	0
47841735-cf9e-4d20-a1f1-b74b1d4548e1	0	0
9a154bed-882f-48dc-92d0-f1c8202168f8	0	0
b5b88cbf-d8c5-4823-a9fa-6ed9ba7ef26d	0	0
39e89bcf-0f87-4f68-8d69-fabd521a91e9	70	5.83346944444444393
8611963d-0617-4390-a62e-413a7f8464ad	0.594125249072381956	0.0495175339187290883
6789ae61-1dc5-4a01-aabe-8601e7a992c8	0	0
3ceffb97-8a9b-4a20-b362-c57ed0a06045	0	0
5e50b7c2-2b83-40e1-923d-bfbbd2dcc9be	11.1837229437229446	0.932110495334295464
8dfceeed-9c98-4868-b68e-f631e174d477	0	0
0d7546e7-8478-49c5-9b1d-d51be139bb5d	0	0
7044ec5a-dbb1-4220-b1e4-af1d42021abe	17.1436818181818182	1.42884492327020207
e0e870e4-b3f9-4491-9e59-fbab2aa7b8bc	0	0
edf650ec-1c5f-4bd0-855a-1d77f26858c7	16	1.33352444444444451
343b377d-59ab-4396-9546-b19fc0713279	0	0
246ae1a2-bf4d-4370-b357-996b07fec8e2	0	0
b352a161-ada0-4fce-9713-c130b669d240	0	0
3bec67a2-0b93-4f05-8ec0-40697178b31f	0	0
acf54792-952c-4d38-915b-b26a11e29544	0	0
61c5c661-19f6-4ce3-a92c-fe6f69e0556e	0	0
d1eecee8-4af5-47f0-a5e8-6eb949fce759	0	0
6e7324f4-cc21-4cec-b00f-3ceb23a08dd9	0	0
b1dad560-9ec7-4d60-9ae5-463757a3e8c2	0	0
40073753-483b-4d8a-8ff0-2cd45a47c533	0	0
2b16fd04-53be-4a5a-a3af-df5c029653ca	0	0
49f7d2a3-398a-4846-8a97-817219a77f6d	70	5.83416944444444496
558797e5-6ecc-4a6c-a87b-99a7e9f64be6	0.594125249072381956	0.0495071367268703141
c3de0b12-42dd-4d6e-be2b-30e72f2b47b2	0	0
28320a23-8f17-4a65-a0ca-459a0d24d2c3	0	0
52eadb96-3dc0-4ce0-9a0a-aadfb12d856a	11.1837229437229446	0.931914780182780289
f4c09c76-5afb-4bc0-a4bc-11df26709201	0	0
611b8405-7ce5-4cde-a13a-139a39050ea1	0	0
8cce33d7-c3af-4249-afce-d0e3220ebff5	17.1436818181818182	1.42854490883838392
99d188ad-38ff-442b-be3d-7c6c32b1a447	0	0
a9db15b4-0e18-4324-b0a9-f158716d3fad	16	1.33324444444444445
aca8f14e-c066-4e8e-84e4-3b9337b5ebb8	0	0
1032d550-f5c6-4a83-9681-3fa9081817cb	0	0
de8e2984-a5e2-46fc-93bf-852a62374a81	0	0
b7cad10a-7980-4dc6-9ba4-d68f84ec53bd	0	0
f1d15d42-1cc3-44d7-82eb-03c88c22109c	0	0
a1454098-72b6-49bd-b25f-40494b5493c3	0	0
5a137dee-d810-493c-bfbe-a8e2a089eb00	0	0
6220f0db-e152-489b-91e1-650c461d9789	0	0
43d78e03-139f-44e8-8689-114e081fd95a	0	0
a6b5fb70-da1c-47b6-a53c-1dff41d26f1f	0	0
11f2ffd6-273a-4917-abc4-c39c09de0e06	0	0
fb0d1be0-477a-4903-a541-48270262cf92	70	5.83294444444444427
4c73b2cd-7bb4-4776-8ffa-7394683ba9f1	0.594125249072381956	0.0495153884664407615
e57cc4c3-b002-4bff-a43e-d852f4624caa	0	0
edf68ca6-53af-4f4b-9c61-5b1fa37be51a	0	0
692c4b2a-eabc-4ab2-a8d2-4bf58ff02651	11.1837229437229446	0.932070109668109659
2588e79e-dde7-4db1-8cef-5de98b11b42f	0	0
55570cf7-b7fb-4bd0-b742-288fa717c8c1	0	0
3e677c83-688d-41a8-9408-e57e9078d14a	17.1436818181818182	1.42878301553030296
c331d21f-50a0-45fb-8a25-b35f2449a75e	0	0
eae40312-0b81-4d37-8be7-8443c5d989f0	16	1.33346666666666658
f0a842d0-bb8e-4c33-be30-f139f6f20d00	0	0
dec6794f-c758-4542-a8db-d6e5abf7c5c3	0	0
6c2d8afa-59d8-4272-ba89-1f544e8219da	0	0
6bfadb3d-9f2a-4111-9ab5-afa775228052	0	0
86a7ce21-c26f-49ce-ab7b-0724889aa664	0	0
b38a7299-a1f2-45da-aafe-062b735a4b94	0	0
721258d1-1f20-467d-bfce-6aa5ccda6228	0	0
b5cb4adf-af97-48c5-a537-9aaa369888a6	0	0
bba2e84b-c35f-425b-a1d5-39831d1b87bf	0	0
9928ddbb-3913-493b-9a3b-fb29e8df2e9f	0	0
07e328ff-7ce3-464e-95cb-8870479d6f1a	0	0
8a23e7c5-83ab-45e1-a306-82623baf3bda	70	5.8339166666666662
4d019530-3ce4-4cf8-8250-6412ed1ff2a6	0.594125249072381956	0.0495097772835328617
d38daa4b-70d9-497e-999b-06e7e0978858	0	0
cf7915b0-a09f-44df-82c3-d24853a139dd	0	0
11c29692-37e5-487c-92e2-9999c31ff8fb	11.1837229437229446	0.931964485618085758
21aee9f8-c5bf-4562-b20b-452c790a35da	0	0
d94ad4d6-b022-4c6b-af56-be08f2c32ab3	0	0
08d95d3a-0f0a-4dd9-93c3-17acbc975207	17.1436818181818182	1.42862110297979794
15196f8c-1352-4fff-bbf3-e91f63b79db3	0	0
0109aef0-c54f-4cb8-a734-63c657dd069b	16	1.33331555555555559
ba48f67f-108f-4c9c-a9a8-852643474037	0	0
0b0a1a28-f944-4d7b-bc55-570fed5f3d3b	0	0
16e096e4-3e92-4fc1-b283-1d19e015f961	0	0
47103f96-c54b-4dcf-9d3b-39203d994d63	0	0
fefc2b25-8880-4255-a9ce-70f811ee7e4c	0	0
08f5f7dd-84ae-4b1a-9fba-becd465116c8	0	0
ed118f98-9bdd-4d15-aae0-3ac5f3383b65	0	0
190ba756-0da2-4a3d-8769-39e821dbab56	0	0
bacb55ae-a0f7-40ba-a6b1-6e00ade5c35c	0	0
5f78f087-1818-410c-978d-a94291bde18d	0	0
f5326186-384a-4f29-bdf9-d66d50bfcf91	0	0
22fd891a-7437-44fb-b78b-2835cbb657de	70	5.83325555555555564
372444de-5fa6-417e-87d9-da22eb6a4ac5	0.594125249072381956	0.0495219898580971235
69d2355e-36f9-4179-aa9d-16d1c956e781	0	0
7f1a104d-5c04-4334-b966-e1c9b5acd2d9	0	0
e1b8889e-03c2-496f-a24a-f6ab72b96c51	11.1837229437229446	0.932194373256373332
57dd972f-7cc8-40bf-9c63-ba3124bcf783	0	0
4afa9e01-fd77-486d-aa59-57951e3171c3	0	0
c8f0495d-f1d9-4341-8fa3-590c6ee7721f	17.1436818181818182	1.42897350088383845
f03e4344-d478-4dcd-8267-a43e8587c19b	0	0
d6108ebc-371b-4e9e-8089-fbbc9f66d8ab	16	1.33364444444444441
5100536d-611b-4789-8891-3a378f78b4b5	0	0
4b16a03a-9f5f-4449-8a68-7849bca6033f	0	0
dfdcc341-8b74-4afd-9533-4d3337d6fed6	0	0
9a598c3e-2eaa-4bf2-a60b-4de8d078c8c1	0	0
0f3e452e-8ceb-4c14-a728-3540d9d8562e	0	0
6c8a8f68-05ba-4ca4-a21c-c269e8614c2f	0	0
b97d1164-10af-423e-a546-4ac4976d3208	0	0
d8ca6e8d-1ae1-4395-b82d-5154b08bd3c5	0	0
fc5213bb-1cfd-4ef6-88df-a793bd99a8c9	0	0
4a1ca366-cc4c-4ac4-aa7e-32c2b37e5200	0	0
a18a1ae6-6c92-4d4e-a988-010f90235ced	0	0
ee706bbf-1f52-40f7-a6c1-01fb80d8b217	70	5.83469444444444463
cd76518d-79a4-4ef5-8878-62ae9afb17e3	0.594125249072381956	0.0495134080489438577
3b2e46ee-02ec-4924-9965-25597ef328c5	0	0
d1453f0d-dd1b-4636-b0ed-627d9322c45a	0	0
d9a9c98f-a7e7-4717-970b-89f215dec616	11.1837229437229446	0.932032830591630668
21104c99-41d0-463b-ae9c-966bcb419c91	0	0
ca04fca0-cc2d-4eef-9399-a8a627177403	0	0
6d847b86-00fc-43fb-b699-ca44ecb4c470	17.1436818181818182	1.42872586992424244
535024a5-fe4c-41ad-a31e-9a626cdbc9c7	0	0
7f585c78-4a55-4518-b13c-ae48b4237de2	16	1.33341333333333334
790dc53a-1966-4172-a8f9-738a65a0a2e4	0	0
28afb2ce-638c-42c8-b095-cddc09dbe839	0	0
cb1f3993-dfc8-4a14-b9cb-b8b8b2e8fa3b	0	0
3a546257-3f01-495f-a915-74acb27f63ae	0	0
6a3b76eb-a83f-4718-a87c-3d0a34a0c783	0	0
d7597479-1745-4444-be04-5cd60ae30b6c	0	0
972dd702-aa53-44e8-90e3-87c4973fd960	0	0
73ee4e74-c632-4656-92b2-d7dca256766f	0	0
0d16c644-dec4-4599-b740-8b764f877f50	0	0
e53ec69e-a00b-49c3-8de2-17547258d8e4	0	0
6c28e2c2-266b-4285-bd9e-eb153688be79	0	0
b49b1f69-beb8-4c56-a8ea-34528585be66	70	5.83368333333333311
ac6c1512-6e63-4907-a7bc-87fdd69d14da	0.594125249072381956	0.0495140681881094877
22892a2b-23de-4939-8794-b5d2dbee89ac	0	0
5f005042-73ed-46a2-8932-6bda4d8f3d9a	0	0
4862eaf0-259d-4601-94f9-c969ccb79543	11.1837229437229446	0.932045256950456924
031a13f3-ca1e-420e-b79c-581bc676074c	0	0
a8d6f8eb-6287-4dd6-b4d1-63b7cd6d5a9f	0	0
a584501b-8a81-4c00-8d95-254aea3f89cd	17.1436818181818182	1.42874491845959595
5c8f46fe-6537-4f0a-88fb-e56969709c31	0	0
57283531-bc2a-429a-a721-541aae2c0ad9	16	1.33343111111111101
fe33d164-30c1-43db-b363-ebf4a17f7ae5	0	0
e3072b39-0bea-4702-93e8-7aac28cad1bd	0	0
13cac6be-d52b-4e94-822d-81dcdb48fb69	0	0
01e2efdd-3012-416b-89c1-0464945c8f52	0	0
7fc26f7e-4043-4dd9-a245-287780c52f9f	0	0
d053e32f-7e59-4b34-8667-55e4bc5a698a	0	0
e5d53010-ab96-4c9c-ac51-f93aaed75cba	0	0
bec448cd-bb87-4eca-8409-741dafa68c62	0	0
29cd8ce9-ad90-4b20-88d5-7bca92af39a4	0	0
0b0e6cf1-f736-4b26-890d-678cc61777be	0	0
7d533e20-2974-4b77-8b07-69c276802dc2	0	0
bfa3801f-cfac-4c60-8c7a-3d3b8067373d	70	5.83376111111111051
9e7b0448-aa6c-4e49-8dea-c2e014d377f2	0.594125249072381956	0.0495117577010297655
23811c0c-389c-4917-b1c9-f78827e41e9d	0	0
d32ce68e-f924-4c20-b28e-3168a7b81755	0	0
9b1215b0-3752-4173-9388-feced8d1f9e8	11.1837229437229446	0.932001764694564749
ba4a6e9a-85b8-4a17-b3fb-1f9d390f8eeb	0	0
be1aeb56-5a0a-48d9-864f-75bfe3a296f9	0	0
4c1d7b3d-caf4-48a8-95f4-aa63d87320bb	17.1436818181818182	1.42867824858585846
de97cd1a-077e-4ddc-8e2a-96c2fc2f76e0	0	0
a786f1d4-e83e-4d71-9040-8e2236d3e5e0	16	1.33336888888888883
1a956081-459b-45d8-a4df-5eed6f7e8ddd	0	0
3ab013e6-86c5-4211-89e0-5af8972f81c4	0	0
746fa823-eb27-47ac-9903-91d6797e68da	0	0
99a45fc0-7d79-4f80-bf2c-bf54f6803031	0	0
5fce7385-9446-4a91-a400-6d84f0645e9d	0	0
d66fbf4a-9441-4e5b-8bd1-97940cb49ecb	0	0
2a36a709-6d97-4278-927b-3a6befe6237a	0	0
a3f003ce-11a9-4c85-9fa2-4ef70a8f9f97	0	0
a274251c-1dd2-4823-a743-9461b300912c	0	0
4c0c04c9-e27c-4613-9e14-fabc2bfd7d55	0	0
e0eab5ae-7797-46a7-9411-060129e4a253	0	0
d5976b46-e347-4ef6-a0db-110db03f14de	70	5.83348888888888872
daaecfa3-42a5-4aed-9d77-32dbab337468	0.594125249072381956	0.0495153884664407615
67951ebe-76f3-4d6b-aae6-c4896805be22	0	0
d8b33555-c761-4dce-96bf-74aafad5fced	0	0
28277f6b-27bc-4476-8c20-79211f64b29b	11.1837229437229446	0.932070109668109659
08f0851b-3cc3-4267-ac19-bc84296e2c8d	0	0
0d77c518-6ff0-4e12-9ca5-51a1eb2c0967	0	0
e4bdf698-95a6-4128-9f9d-7cfbd297fc2b	17.1436818181818182	1.42878301553030296
a34716ab-8981-4d7d-a1a2-875875bdd640	0	0
e8dd0a3f-6e1e-4853-b3be-b50a12e36964	16	1.33346666666666658
a1680333-cb61-4afc-acc4-35947e95bffe	0	0
2a15cd5d-ca10-4d98-bc31-bd3670699a4a	0	0
fe3939ef-fc59-4145-877a-3cfbec991c83	0	0
6e0ef0e4-b73a-42aa-89a6-c97f6afed3f6	0	0
1fd12637-04f5-4fdf-9872-5ec3902bba20	0	0
42213316-6178-458e-8182-d9c2bcbd55c1	0	0
5ed7300d-ead5-4f91-ba4b-9dc4d0101c45	0	0
7c1790f5-4d32-4ce7-b85e-3fea24311f82	0	0
6a0edb80-2d7b-4f2c-bb63-0b4c9a55546b	0	0
0f4b1d41-94bc-4ca2-a792-454f1ae58dbf	0	0
dd2459fa-010d-4f98-b975-5fc4d7af957f	0	0
5e5c8533-d029-4f12-b98c-9c233dd2e02c	70	5.8339166666666662
f8243a87-2def-4298-9e24-3257b509c107	0.594125249072381956	0.0495140681881094877
d955a488-2c6a-44fe-8162-79dbfd4a8ee9	0	0
b6683c1a-ff86-4f1c-9888-58f710fe5679	0	0
7f115b7e-74aa-4e9e-898a-4ce041163bea	11.1837229437229446	0.932045256950456924
5bdb9cba-9d68-454f-9ab7-ee76b179cb48	0	0
d87f8e98-b115-4cd6-a784-f86c90b8194c	0	0
aa83f4c9-4249-450d-9d6d-39738ae637e0	17.1436818181818182	1.42874491845959595
b32bfe88-c271-47c9-8ca0-2a1c5422d197	0	0
cd69041e-485f-4e7d-a934-8ad06c6dce1c	16	1.33343111111111101
71700dcd-1576-40d4-86aa-3fd49a94b9b0	0	0
68e14d20-cee6-4862-9de0-82e4855e32ee	0	0
e11208b9-3519-4871-bb1b-56bac642ddff	0	0
073a3b09-1007-4361-aaa5-b6221c23c093	0	0
2b58e598-8cc7-4d34-85ce-18417fb6bfec	0	0
34938dc4-0a4e-49fe-be3e-a868c6df112d	0	0
84a67d8a-777c-40ca-9348-3e744c97dcbb	0	0
4e71fcc2-06d5-4b35-b770-a1051c2381b9	0	0
2b05aa2d-ddaf-4b12-b4d0-7e4a75f21262	0	0
4338e2d8-439d-4dd8-870d-d61d8c541889	0	0
195ae800-3e99-4099-a860-312e4ab38e48	0	0
db11dc5c-8a02-4261-9272-1864412c961d	70	5.83376111111111051
229fd8ef-aba3-42ec-b175-1c3f18aabab1	0.594125249072381956	0.0495059814833304565
f9fd2680-6582-485c-971d-bbe8bbf1813a	0	0
432b78ce-3979-4f3b-b8c5-af66656cec0f	0	0
e40957ab-58d0-4dc8-b0ef-a432e429edff	11.1837229437229446	0.931893034054834146
8a81fdf8-7a85-4dd4-8284-3a31fb0d2b3b	0	0
e23d3265-f6e2-4ed4-b441-da8b65e837c9	0	0
4526617e-4ad0-4895-8a35-5bea610888b4	17.1436818181818182	1.42851157390151529
d5e7d76a-8198-47a8-9cc3-7fdc632822b8	0	0
0c328879-e0a2-484f-9aed-c6b2b8041ab0	16	1.33321333333333336
c8a1ee58-0402-42f7-9420-d16df2a24e40	0	0
e2b2dd33-606e-4f8b-9193-9620b3924055	0	0
ef28b868-ea46-4d6b-a8cb-cb4abaff244b	0	0
89db300a-e094-4736-8a47-7fe4bec7285a	0	0
8f3c7099-f424-471e-bacc-c4a8a348b927	0	0
0bfc2475-ba1f-405a-91fa-2c07ecad4bb9	0	0
6e019207-53ea-475d-9cee-f43b34dfba8b	0	0
6f0c8800-c565-4bea-82ae-247efee2fbdd	0	0
2e66563c-1796-4d85-bc74-fbd47239e685	0	0
60539166-37d2-422e-a482-cbfefa520cd2	0	0
960aeab8-6d67-41b5-abf4-4dce49d830d9	0	0
74998de9-a2ff-4e42-9823-6cad5a428621	70	5.83280833333333337
cdecfd5e-3e56-4968-badc-48cdcd0a7f45	0.594125249072381956	0.0495205045449744405
af02435b-844f-4d48-99eb-2d7f8757fb08	0	0
3db1ff65-3e2c-45da-bd61-9fba95ba1121	0	0
d3882acc-7495-4be5-bd96-59d070dddc32	11.1837229437229446	0.932166413949014006
f9cdbfb1-ddf7-4b67-a9f8-ea318b9d9066	0	0
95d494c9-c92f-4736-b66e-23960b6b6a86	0	0
23cc3c90-9a77-400c-8d8b-7722c3359535	17.1436818181818182	1.42893064167929285
1644ba4d-64b0-4d18-a78c-d3c3ab8b8588	0	0
b81202f6-e42d-4a52-9a7c-d16dd2f67dcc	16	1.33360444444444437
d4561925-f11b-447d-89f4-7667c66b633c	0	0
336fcefa-eed6-4444-9a86-e1478ad7e2f5	0	0
b8fc29fa-6cc5-4ee9-bfa0-61d4cd71e097	0	0
061626f9-3b95-4841-8a86-bfc906d40f9f	0	0
adc9d3ef-c2fc-450c-8d89-eacb7f7d0476	0	0
eea6006e-6044-4d96-a44a-1d37b65849a5	0	0
59469675-6216-477c-85b9-0f9d907bee25	0	0
f9558022-17d0-4ccb-a184-e36430339991	0	0
58ac1cc7-909d-45d1-8c18-3b4b46a85af3	0	0
230c79ee-5537-49b2-80ea-f479bc937322	0	0
93f3ec74-9d96-4db3-9f29-fb3427493670	0	0
0d60e042-afaf-44db-83c4-bea89a3be112	70	5.83451944444444415
2d46a716-ca23-4a56-9493-83398c4285da	0.594125249072381956	0.0495145632924837223
0f0ff601-d0d4-4811-a804-6f2ad21fd9a1	0	0
50aa8024-d20a-4f02-aa65-cdce57433eb0	0	0
28a58e26-9ce5-4731-86c0-102fa66621d4	11.1837229437229446	0.932054576719576811
bfe655ce-a753-411a-b296-3c76ea8b892c	0	0
21bef5a2-e029-4152-9636-a2f6973b4200	0	0
17b06546-4f3b-4d41-a100-178d960c723d	17.1436818181818182	1.42875920486111108
75ca8690-1208-493c-9bc6-e33ca8631220	0	0
335aefbb-c748-44fd-a18c-365c782606e2	16	1.33344444444444443
c4a61034-1533-46d8-8569-abbc67f8573a	0	0
14af5f9c-c714-471c-935e-605d2d3019eb	0	0
296f46da-2ba0-434e-aa4c-d8527ae71cb9	0	0
8b57a9ab-ea5e-4774-b588-1e40ca0c5240	0	0
baecddf1-5fb4-4375-a17b-d433ddb09b95	0	0
a2bee3b9-0d27-4815-abbd-69c299bb0cbd	0	0
0fd94d85-3c17-4df5-97a5-810a3589f802	0	0
953f7d77-4452-4fce-96de-2046d79c8eb5	0	0
4b834dae-3533-46da-a6ec-be4bcf32090c	0	0
d321d1b7-4d19-4d6a-93da-51507062db6a	0	0
43340897-a13c-4775-9b04-374d0cae4250	0	0
9bdf563c-e429-4eb4-8943-e3c0bbaea66f	70	5.833819444444444
f7ca65c0-a2a1-49ac-bde2-1932911ffb0d	0.594125249072381956	0.0495130779793610393
28b23ba0-b508-4e79-bbf2-bb9863a59d99	0	0
16a3d38e-4cb4-4e63-bedb-2b0c580e4fbd	0	0
5f6a8c5a-a01e-4f83-b42b-34584faf0bfd	11.1837229437229446	0.932026617412217484
e1d7cce0-55e9-4778-8b3d-69a4d689494d	0	0
a3d97c0e-e24a-4849-93a0-8681e884824c	0	0
e3333dc6-4937-4b0d-9ec6-00ba341f62f1	17.1436818181818182	1.42871634565656569
cf3e1b15-f8c1-4370-97dc-c89061c26a61	0	0
f4a7cc9e-c89c-436f-bf9d-43a5c5fb54a4	16	1.33340444444444439
9ba46c96-b64b-41bc-bdc9-da2aeacbf9c3	0	0
e3f37d02-167d-41fb-8d66-329c418c1273	0	0
03301f0f-c86e-4f7a-a332-998171c36a03	0	0
67c8dbc0-f1f7-4891-93f2-2b4be98a8565	0	0
ef5c96f2-12d0-42d6-9364-512a9858de43	0	0
d1879cbb-360f-4d1c-8f1d-38aec6e3f53a	0	0
6480d875-63bf-4903-b333-c3e4193cc490	0	0
142e1142-102f-475e-81e0-db914886f7ad	0	0
8f8ce55a-ce85-4f0c-b90f-cdfa259ae8f6	0	0
b95b61a7-a04b-4bbe-939b-8f7c13c2150d	0	0
59104103-55bb-4028-9a00-eb794689ffad	0	0
8f2cf895-91a4-4306-a3bc-f70198076ffd	70	5.83364444444444441
f4bcf489-fdbc-47aa-b942-bfa047433c9e	0.594125249072381956	0.0495147283272751315
4edbbbe9-4d4e-4b52-a7d2-afef502b93fe	0	0
e7087bcc-ae06-499d-9829-4498cabf9a61	0	0
160f1a9f-8ea2-425b-860b-4a7a02dee208	11.1837229437229446	0.932057683309283402
432b0f0e-016d-4979-82e9-e03cc2a70f6d	0	0
cddb3d24-f031-429e-9a54-6452a47c2ffe	0	0
6d4ae94e-e0c2-44b5-af4b-00d88459e1cf	17.1436818181818182	1.42876396699494945
9a4bf710-8fa3-47d0-8cc6-8ec8444c969b	0	0
d14371ba-b88f-4213-b836-38e00ed3dfd1	16	1.33344888888888891
2dc6a022-ccd8-4b05-8998-76922a41b693	0	0
5c79b28c-73bd-4df2-960b-f5f41687c4ae	0	0
75426c90-d43b-413b-93b8-502874f654e8	0	0
5f2c6d0f-edcd-40b7-86d6-79520fd6854a	0	0
41828b6d-4020-466d-9e80-99340460e6ac	0	0
d462ff32-38b3-4542-a9c3-08a14763062c	0	0
22d25217-96d8-44e9-a413-085904598b94	0	0
60936ed2-dd3c-4d4f-a006-f194b46e412e	0	0
dfd6f5ee-ebd0-4844-949d-40092c32d187	0	0
f39b8f23-1ec8-4b99-a585-9e8a967094c4	0	0
16c86841-1cb6-4d02-9de5-fbae444e22f5	0	0
126558d7-729f-499a-88de-4f8bfe627237	70	5.8338388888888888
5d14982f-ec7f-418d-8f34-ccbde6e3f4ed	0.594125249072381956	0.04951291294456963
dc80158c-553a-4469-9f39-bc820d78baac	0	0
0fc1e1ae-f035-4d1a-b2f7-957fb19a8054	0	0
e75d82d5-73b7-4e38-bfe0-59df0e6acbb8	11.1837229437229446	0.932023510822510892
cf9e1c24-6f4c-4b57-9b03-6c034250d082	0	0
b7219357-9a15-403e-947a-238b17fc7b32	0	0
7e4ab300-e492-4f3b-bf0b-1a98e5e673da	17.1436818181818182	1.42871158352272709
6807adf9-12ae-46cf-8ecb-8158e4099b22	0	0
2a06c6dd-c8a2-41e0-bb6b-621db5b54163	16	1.33339999999999992
a8f8bd97-5125-445f-af14-59e5b708abf1	0	0
5ad5e914-050d-436b-9fea-f32fa699d149	0	0
f05823e5-5582-4613-b0a1-1826af448c32	0	0
99f36275-f8e4-4b15-8945-8e427389ba87	0	0
942ace99-a640-45e4-a19a-974d2be7d7a8	0	0
f79bd848-6099-4c33-ad15-52643297e102	0	0
f7104ff7-2386-4f23-809f-e0185db51910	0	0
41d144ca-0415-4ee4-8b52-72300f33666b	0	0
eb9e0e88-d2cc-4c9e-8339-48587d4ab5a0	0	0
0b842f62-270a-45a9-ba35-7a0485a3452e	0	0
c345202b-7522-421f-9bcf-39ebba1e9554	0	0
9b4a1ade-ae77-4afa-9bf7-c5ae5d07dbbf	70	5.83362499999999962
ede5ac7d-cb6d-4ea5-aa3e-a1e9f57f830a	0.594125249072381956	0.0495127479097782208
a710c2b1-4848-4e8d-b1fe-0ae1a2c5da9c	0	0
a6cd4978-e443-40d7-a309-21afbe90f9d7	0	0
41e7c2e9-6a38-49c4-b263-8398522ef1d4	11.1837229437229446	0.932020404232804189
0ff14255-b65c-48cf-a0f3-5075a0118af8	0	0
6798b101-ad0c-4622-bf59-4409a16a02e8	0	0
99efb5b6-8c78-414d-a48a-f0cc141369c7	17.1436818181818182	1.42870682138888871
ebce5511-a60f-4d3f-8add-56d99c4054fa	0	0
2a7ec042-fbf9-469f-8386-a5a9764cf47a	16	1.33339555555555545
73c2b49a-a08b-4e00-94f1-09164ebc76ab	0	0
3b80e393-0f73-4b34-a474-40efcda32ad4	0	0
fb2d76cf-b2bc-47e6-8cf4-ed4b89c76f59	0	0
86e2b15c-cee8-4252-9de5-ae7cd5637593	0	0
4eafd8db-7681-46ea-90bd-52825fa4f2f8	0	0
c4b245dc-c566-4d75-9866-1aa6f9c32141	0	0
831a886a-19ae-44ae-af0d-51d186abfffc	0	0
2c4dd339-7cb1-43ee-83dd-dfdde1713b5d	0	0
becf60a8-d79e-4ab6-aee1-7641504c673a	0	0
3ae843e0-c149-4c71-a5e5-81838e776293	0	0
6144b53e-a53d-46b4-b3ca-26908dd14bc4	0	0
81dc247a-7e64-4161-8526-ced9d344238f	70	5.83360555555555482
865d50a6-b4e2-408e-aae9-32e4ca5819c2	0.594125249072381956	0.049516543709980626
a9741ee2-ee9f-438b-9160-c5515c476873	0	0
be3d3554-bc02-4256-893a-b42564edb274	0	0
14a07a5f-fda2-4287-8610-76120dd81acc	11.1837229437229446	0.932091855796055802
5edb5154-a26a-4485-964e-5598be910c88	0	0
8698aeea-0520-4a44-925c-3b2bbf3b93b9	0	0
ff15c264-b137-4bcb-9a20-fb5db4916fae	17.1436818181818182	1.42881635046717159
db1b96b2-b88e-4048-bbd9-3de92ebda405	0	0
5059f29a-d575-4b86-9e81-20dc874fe58e	16	1.33349777777777767
cd2dba26-e11f-4177-9ded-95c9fa2a1d4d	0	0
08426c27-85a6-4bf8-abe0-0177bd8350f8	0	0
290ea6c2-546c-48a0-a311-6f90ebd2fbbc	0	0
69a7b85b-11e4-4f08-a134-e348009e8b3a	0	0
e1dd4c1f-cf91-47b7-8c1b-b6a4d14dd485	0	0
9376a9ec-d4ff-4a74-ac12-a729439a9bae	0	0
332ac878-cc41-4788-a613-975efa71a794	0	0
be9b4a94-18e0-432d-bc4c-442427b30e48	0	0
4907f487-153e-40c3-bde7-071b3d86b993	0	0
9a3a2aba-71e1-4921-81c8-7b59016c0aaa	0	0
aa3ba636-5470-46d9-9099-99d06d748ce9	0	0
574eaace-b9db-428b-aacb-cb1891d4593d	70	5.83405277777777709
d2f474ae-049b-4499-a0d6-7a1015c0e2ea	0.594125249072381956	0.0495120877706125839
a2529820-3302-4c1b-9a75-b2630a6c692a	0	0
24a59843-92ae-4197-bcee-0995c9f750c0	0	0
13680e83-ed33-4c69-80af-070bd8d62262	11.1837229437229446	0.932007977873977933
94ac4c29-3c55-48a4-94bd-34420270f6a6	0	0
1a7de051-291d-4e88-a1e0-66c42c06c70c	0	0
1975d45b-69b3-4f25-8661-876e2ec9e551	17.1436818181818182	1.42868777285353543
aff2d20d-a700-4833-914a-909223a8da07	0	0
db5958e4-0c7c-4361-ac1b-efd60db3be37	16	1.33337777777777777
b416c6e1-fa84-4e6b-8fab-b8dd05b8ce12	0	0
61558653-f984-499d-984e-3736b0335966	0	0
cf1c90ea-4c8e-4d8f-a363-fad8b3300398	0	0
f8ae4a5a-8cfc-4acb-a949-5dc00ca64561	0	0
a3e2c2c1-5a54-42ea-b446-b460bc17c9cf	0	0
845128f4-4e0e-4b6d-8707-a9c90f6e8c23	0	0
b91dd20b-9ea1-42ed-a374-85a6a15ab0a9	0	0
ffa19281-a1f6-42ac-97d8-29b04dee36bb	0	0
59933630-bae5-4599-ad1c-9aa5fe7a07a1	0	0
884f5fcc-c427-4bc6-8df5-e04ab70bb0b7	0	0
b70a0abc-ef35-4251-bbaf-504e8c9775d6	0	0
11516764-44b9-462c-b6c4-4de52438a0b7	70	5.83352777777777742
86f604e4-f983-49f1-b201-96243c023c03	0.594125249072381956	0.0495163786751892238
91a8ee89-2aa3-4011-adcb-be9fd3660643	0	0
84b7a1b6-3b30-4383-b636-4059861671b2	0	0
580cc867-7320-4576-b145-c51f51e65347	11.1837229437229446	0.932088749206349321
cb82fda4-0fd5-4b28-8986-880cbaccaa05	0	0
d831c696-c76d-4363-963f-551ff9fd6800	0	0
fd7cbd01-aeb2-4d88-95b4-3168ad27ef1d	17.1436818181818182	1.42881158833333344
df501c3c-66ed-415f-bbf5-7adaa1a301a0	0	0
fd28e284-714e-4548-ad00-947270ffc896	16	1.33349333333333342
0318802c-abd5-4a94-a375-3e5b1d46e193	0	0
d31aa122-6312-4100-8e08-d0d03ceeafa0	0	0
9714c21c-c7c0-48bf-9d83-52b5eaac307d	0	0
74cdd10f-28ed-44f6-9a85-32cc40ae32ed	0	0
b1cf7e2b-b24d-4e30-8cb5-036c0806c719	0	0
54383144-cc7b-434a-ba3c-e469fc803388	0	0
3a4893b0-d3a4-44e2-9339-78b4aea6c39a	0	0
75228546-9b09-4882-b12c-50a63f037b16	0	0
118dbc41-8f13-4762-b275-a44207537f6f	0	0
1fdb78e5-d825-44b3-b841-1132ebeff3e7	0	0
79e17e79-376e-4559-9145-19d9993e22b5	0	0
8393b42c-aad2-4e32-8d75-4783e6845809	70	5.83403333333333407
5234a113-a9a9-4529-9fbb-8bf4e5791240	0.594125249072381956	0.0495115926662383563
d2703b8a-14a3-4141-9988-1d2e5ced1b46	0	0
56e1ee25-9617-40ae-a87a-49042fa9f82a	0	0
f0bbc203-8e5a-4398-a326-db21ed52672e	11.1837229437229446	0.931998658104858158
d602fd14-984e-450a-ab41-756e109c09ca	0	0
1f8cbf7b-c632-477a-b778-adcaa534fa47	0	0
3145ad2a-e43c-4a24-991b-26c53b2c5804	17.1436818181818182	1.42867348645202008
36aae5b4-6225-4e18-a178-3e749bd77ca2	0	0
1ba7d947-12e3-4aab-9a5f-d3d1d2edceeb	16	1.33336444444444435
b7759eee-6017-4412-87fa-f89864a73fe9	0	0
210cab22-fc94-418a-90ed-9ae29024a92e	0	0
9476891a-3438-4ad6-9c73-9931c0d7c98f	0	0
4b607b08-b776-4d9d-a6db-258024345f7c	0	0
b6f9f8fd-35b6-4afc-9907-6f2cca4b27c3	0	0
e3c897f0-e6f8-4b95-a1b0-33f7e75012ee	0	0
ade11ea7-7bd3-472b-9a30-3d3259653b8d	0	0
ee998ab0-4741-4718-bf4c-c709946c175b	0	0
d21885ca-8dcd-4fa0-a193-23a50c80381b	0	0
67093253-1a35-4e6a-bf4d-9b2bb04c0d8e	0	0
020a9aea-6cd2-4178-9fe1-05ec47ab704b	0	0
71c1e55b-9b40-4b86-8d2e-e8d9598dae37	70	5.83346944444444393
dff8ae19-3f18-4ac6-9881-fce9626db0b0	0.594125249072381956	0.0495122528054039931
065261d6-b431-4323-b1d8-463e25973e66	0	0
92e6d90b-af98-44ce-b588-b1c422133ee7	0	0
da0d25a7-ff4d-4641-ad15-d55776d0a149	11.1837229437229446	0.932011084463684525
f847f5c6-2581-47c1-a599-e31079a7a4a8	0	0
7baff4bb-92c3-4be2-94d4-b1fb4bd666cc	0	0
410dfc58-02e8-4e16-9a0e-c56d37cd9a1d	17.1436818181818182	1.42869253498737381
1d76f36c-0ed2-45c7-ba08-261c978ef050	0	0
70860e35-7588-43d2-b84e-4ff5630c5c66	16	1.33338222222222225
a38df87d-ba06-433b-9a81-0ee337037aca	0	0
ec2212d6-8f5c-446d-a741-210539d96ba1	0	0
8a1ffa68-60f4-4a64-ac2f-885850e554a0	0	0
667bf23a-51f8-4d78-be96-2b8f23467a39	0	0
0f30de2a-efe0-4780-951e-e8358f8107d8	0	0
3502e269-2cbc-4e11-ba0f-c049be458142	0	0
b1fbc977-90c4-4a82-90ae-ddb68828f0d4	0	0
b5ab241a-548a-44b1-97bd-39eb2d14cd6d	0	0
a0a77757-0535-4ab1-85df-18cf11fbb909	0	0
de8db754-a8ab-4a88-8542-8be38e602220	0	0
aeab2775-c20e-482b-b3a5-ef951fae8932	0	0
9b242511-9fa6-49cc-99b9-5b927223b3fb	70	5.83354722222222222
37060c4f-df60-4778-98a1-6143090d4945	0.594125249072381956	0.0495140681881094877
35cb9551-82e1-44bc-9d46-043e547fe8b3	0	0
3c36412d-6268-4cb9-a2e2-7f73a90febd6	0	0
889e97b0-0916-40ea-baab-83cfd945991b	11.1837229437229446	0.932045256950456924
9ae1cb43-babb-4745-a98e-c3d5e5d91589	0	0
b4374175-faff-4fb3-ba57-0114f45508dc	0	0
b2e7a32c-3e60-4197-bcd7-f52f2f1e6545	17.1436818181818182	1.42874491845959595
100ad232-2fc9-4ad9-9ffb-78718b54068a	0	0
88aa772d-a5ba-44fa-b298-49b7f350647b	16	1.33343111111111101
19dd1759-68b1-4700-8220-1b197538c1f7	0	0
9114536e-420c-49a2-b8c8-82eded7a986e	0	0
4305f643-eacc-41c0-a4bf-499265e49918	0	0
f5288312-a6ca-42a5-8b5f-3d59778c5cf8	0	0
afa630ab-df51-4335-af71-aae70b990d2c	0	0
e14b6a27-4240-42a2-888c-b3baa59fcd60	0	0
6ba11b96-3aa9-4f9e-86ec-87083b475014	0	0
aa200542-6317-4034-a97d-e047c96688fc	0	0
1c330af2-0c1b-4927-8e1e-b3dfea4d8c0a	0	0
496039da-0412-46e1-893f-ba775e934930	0	0
706a6d40-9fed-40c8-a15f-1e973ff20e1a	0	0
c18b4e27-dd58-4da6-bf3f-96a3488f452d	70	5.83376111111111051
9e43dd86-4186-457f-811e-9047ee57b8d5	0.594125249072381956	0.0495769464436363189
81f94c42-e56e-4c08-aa36-548d6486b2d5	0	0
7929fcf8-5dcc-42ad-ad93-34ed6b154084	0	0
28bdfad2-f5f9-455f-8023-30e2da9adfb3	11.1837229437229446	0.933228867628667635
9a73b0e6-e39c-4cf0-a4f6-ea21def3a651	0	0
e778e607-8daf-4e33-9504-9288c346559b	0	0
a605ebcf-b411-4d5f-b614-f386b3b09b12	17.1436818181818182	1.43055929145201999
15be3216-8aee-47fd-8de1-6e714c02cde6	0	0
e5e1f080-a8b2-40a6-a66d-0fe2cf9e0d3b	16	1.33512444444444434
205a21bc-0a74-4c0d-9fa1-a00e749a828f	0	0
cdc04008-ca57-4a46-bc17-0795f35b3498	0	0
2a16fb6a-1909-41f1-8165-8748b01a8049	0	0
dac09a77-3ae6-40dc-9fd0-3b55fccf15f9	0	0
f57534a0-49b8-46b9-964c-cc50cdf0d9b2	0	0
f812ebe1-ac3e-449e-b6fd-bd1384c7a8dd	0	0
f5989aab-31b0-4437-9b0a-222c1cc4d2ed	0	0
8a518c7e-3f4c-46c0-8621-21573c3e0078	0	0
9b3e69ae-0958-4fc4-bba7-2d9a9687d9fb	0	0
6de3b52f-6e16-4917-a2c7-4ea0c8214442	0	0
f5575845-0fd8-48be-a885-06a0e91ad655	0	0
eab9ea81-7ff2-4abe-8e23-ee78ff8cc6e8	70	5.84116944444444375
3e3be38c-bd54-449f-918e-d788c367f57e	0.594125249072381956	0.0494485493759201297
f36b6ccf-40d2-4626-b7b8-7c9656ecd8ae	0	0
a1506f2f-723a-4a63-b409-87a9fadd3aa9	0	0
0ebdd6f4-8e1d-4e84-a417-6f5e95a6cf6d	11.1837229437229446	0.930811940836940965
04a27466-40ff-4b47-8bb3-4487b21ed237	0	0
fa97ea0d-17be-41e7-ae07-a473678fd9dd	0	0
bee24ee1-31a5-426e-bbd4-58d231dc70bf	17.1436818181818182	1.42685435132575766
27e9be37-ae42-486e-8b42-baf05b670876	0	0
59bc790e-3ae1-4e3d-88f9-85b0a75474b6	16	1.33166666666666678
c160baa2-dac1-4e4c-8dc1-a59df622afac	0	0
cfb96be0-a966-4f60-932a-38fda306ddc6	0	0
2e746f32-f834-4e06-817e-d6a3b93c07e7	0	0
d28cda18-e94c-45b6-8694-c9dfb4d46f73	0	0
7b483903-6769-44fe-a5fc-821301b4784d	0	0
6cecd594-df72-4a90-a167-acf45d224bd9	0	0
e9b3f1e7-7895-49b8-99d2-098bc48a2909	0	0
9604fd53-b341-4432-ac15-577f993c12d7	0	0
d9af4351-47c9-4d04-b9b6-5c02955354c8	0	0
e12ebc37-5051-4c26-8696-1e4673f6ba6c	0	0
d97fbad1-9c29-4c91-b5a0-4494534e2b94	0	0
8b7957fc-82c2-4d51-8df7-39774770bd79	70	5.82604166666666679
9cf2e371-9b53-45a5-9032-103d06d4e1c9	0.594125249072381956	0.0495175339187290883
7994c018-41d6-4b5d-90d4-2432bd295922	0	0
d3d807cc-91a3-4057-9562-30661ee131cc	0	0
29ae352e-9062-42da-915a-60b358ff1b40	11.1837229437229446	0.932110495334295464
dc2ba265-c9e7-4083-8fce-3a2ec66071a1	0	0
fe3dc5c6-abf7-4898-a2c7-7cb8b7534a87	0	0
0aacf854-55ea-4e0c-9e06-08e49f02db39	17.1436818181818182	1.42884492327020207
56492e84-f75f-40b0-911d-dd23f87a60a5	0	0
6316c6ab-4fc1-4422-8c71-a70e5f7094fd	16	1.33352444444444451
ab2ab774-818c-4c5d-a1be-e6541f7599b6	0	0
a24ea3fe-734b-4337-827b-0b23282ff474	0	0
cd8f6e7f-38a6-4975-a891-326dfdf01b0f	0	0
fa924713-4666-4b0f-bb36-dfe072ec44de	0	0
2571320e-e4a2-4152-9f85-469dfa0c86e2	0	0
31964792-f2b4-44ea-93e5-4df843ada9f2	0	0
d5e06516-284d-4e91-a5f0-e79c1643d528	0	0
1aee03da-0eea-46bd-9b8a-9668c44f6618	0	0
ad4ba5c0-5f29-4f73-bdaf-f4810c86ee43	0	0
5d2d915c-744c-43ae-ad34-362ce1133c52	0	0
5dc31aac-a778-4723-a08c-2d857610e3c8	0	0
695997e1-bb22-438e-bdc0-4999a280697a	70	5.83416944444444496
a0541190-20f8-42a8-865c-719d1ae6fa42	0.594125249072381956	0.0495125828749868185
0f17cb06-620d-4ea4-98e6-2523b354ddd7	0	0
022314fd-479e-4179-89ce-86c78bb0c3dc	0	0
1331560b-4ca3-4a3e-b756-fed3c45343f3	11.1837229437229446	0.93201729764309782
87a70026-7176-4d85-a4b7-ed5199e24f44	0	0
ff95efee-2334-4575-9267-8e9279c6ba26	0	0
ba6347d5-a2e6-4503-9ecb-176775a28165	17.1436818181818182	1.42870205925505056
b3a31de1-24ba-41a8-b7d6-9e0af529780b	0	0
82c5d6f9-70a7-4a70-a207-8f953a8bc65e	16	1.33339111111111119
3861ee56-9053-4649-9eea-e92c315594e0	0	0
4f2fd0e6-eb9a-4725-9357-fe0ecb7baf67	0	0
6308b3c5-4362-4339-9859-8b8e71f50879	0	0
002354e7-c957-4de9-8224-31f6e6073411	0	0
08668d6d-008c-492d-a0e9-d43dee33c4ee	0	0
9ac8947d-38a6-4c2c-a7ad-0cb5f0be1684	0	0
e0b49422-be3d-4e42-b534-7fe157ec90d1	0	0
1a334df1-191a-490a-b5a9-b09e5c61de29	0	0
32d69582-a698-40a4-ba0a-f7667265840f	0	0
083b8e9e-6a2a-4883-a37d-4e5e5869ac78	0	0
653df24c-3108-4089-94bc-cd7b4ec0d325	0	0
36e2703f-37f0-4af9-9fe3-b6203ea84335	70	5.8335861111111118
8c7cc4e1-e6e9-4d55-bef5-b30671ab85d2	0.594125249072381956	0.0495163786751892238
9b52bdcb-c961-4c8a-aaa5-ce2fb7611d27	0	0
f9d86913-4955-43f1-9dbf-f2f47067d626	0	0
9e2b81d1-bf9d-4af4-a531-329fcd2579a2	11.1837229437229446	0.932088749206349321
0656cc58-16ea-496d-ba7b-38049454166b	0	0
b688604d-4b15-4f84-8792-d5179b04bacb	0	0
a67f6eec-fed3-4026-a58e-1eb64e2eedc8	17.1436818181818182	1.42881158833333344
3c311d8c-ff5c-4227-be17-53bccd1a0a66	0	0
21634d0a-9f23-40c5-ada9-e5c5ac6b3db9	16	1.33349333333333342
eaa0a217-67fa-41f9-b2c5-abbd007d8972	0	0
85ea3048-bcba-4cdb-9229-d9ce08cc2170	0	0
70731a92-f87a-48b1-a70a-223bc990b4a6	0	0
2998a1c3-c72d-43bb-8224-a6de91e9fa46	0	0
32fcbacc-075c-4dc6-993b-68cec1c3a12d	0	0
4a4a437b-f487-49bc-96da-bc3e0140fbc6	0	0
82843ffc-2043-4092-a080-2227d06f5ba5	0	0
97293414-6023-481c-b8be-f6f68b2ddb04	0	0
a022e656-9de4-45d5-899f-4463dc62b78a	0	0
356755de-12ec-48ef-a646-d019d2542e3c	0	0
4e5fab12-4f03-4c15-9762-30ca5eb61968	0	0
45cf890f-490d-4fcb-8a62-f655a445d4ad	70	5.83403333333333407
f8b343c1-6eb0-48ac-b4d1-e4b04184d3e8	0.594125249072381956	0.0495132430141524485
1de06dc2-ccc1-442b-9972-efcb3fca2263	0	0
50b62549-0acf-4703-97de-3b2e31296e6c	0	0
21ad1681-a148-45ae-8ff1-00457be34155	11.1837229437229446	0.932029724001924076
fdc00dfc-6999-40ef-b2ec-06f74975940f	0	0
6c9a4dac-a58d-4bc2-90fa-1486713a27b9	0	0
afbd62f1-346c-4801-b87a-4d43c18befde	17.1436818181818182	1.42872110779040407
c0f5bc23-e912-4c75-a35e-b8ae39c081e6	0	0
7a465ff6-68f2-48b6-ae36-933d689a8896	16	1.33340888888888887
48966384-1b83-4837-8955-196a2628e8de	0	0
80bace6b-239a-4989-ab07-61ae8ec3f38e	0	0
e8eec1e8-7868-4eaa-a11d-5d4543b9ee2c	0	0
d4f27ac9-64a7-467c-966d-a2f45667dc95	0	0
057bc560-dc3f-4aec-b1b3-2d933bf2ea79	0	0
5e8667bc-9676-4052-b381-458d5f133cd5	0	0
02e5b0e8-e831-4445-bfd6-495f7c685d49	0	0
ca0edcae-cd3c-458b-9026-3ea8e5b0bba9	0	0
a9308abd-68f0-4142-8e6f-ac4d9574038b	0	0
b409aa96-80d9-4d1b-b73d-c311facf50fb	0	0
3ee555c7-0f66-41e8-b40d-94ae3d194470	0	0
8e1a4796-4cc2-417f-9a89-d620c2c275e9	70	5.8336638888888892
fc3c2eb1-bc54-45e2-ab7e-05ffeb74e0e2	0.594125249072381956	0.0495135730837352669
faf0a75d-5464-409a-895d-88da4a34daf0	0	0
bf703bf9-0437-496d-8490-1455c5a75409	0	0
1b430744-5a95-443b-8b4b-be25d651aadd	11.1837229437229446	0.93203593718133726
eaca25fa-1260-46fb-886b-75e554625a93	0	0
daf439af-38e6-4e5a-a616-c45d34031ee7	0	0
bbc19af6-381f-4ad6-9357-410bd14acfc9	17.1436818181818182	1.42873063205808082
adf5c4da-0b9c-4eea-a50a-227008e10229	0	0
92d9f196-d434-42f2-9bcb-bf7c9ae1b573	16	1.33341777777777781
7080dc03-b888-4610-a877-aa905fb76295	0	0
3b13c5df-c94d-44a1-aef3-44f89cbb4166	0	0
a3d259bc-d287-46c6-8073-cf1fa682b52e	0	0
870278d5-7d13-4979-b60b-4cccb4e9bc64	0	0
f4cb4182-6c29-4449-8ceb-fb3ca0234821	0	0
de69d643-875a-4e39-a19a-c47f46c8f112	0	0
7b0ec78f-0f75-4005-b0fc-d5b5a06de55d	0	0
f216f361-4e72-4bc1-ac3b-f440a66f82b6	0	0
e0c18636-d2d4-4953-8dce-6964645bb81c	0	0
001a0d87-1a6d-4bc7-a999-82ae5809af5a	0	0
f389ae74-1819-41f2-bca4-8be739c0f067	0	0
010bebd6-8e16-415c-a932-59b6c3e4d266	70	5.8337027777777779
b639d694-7ae8-4199-95a8-8c6fb8453bf6	0.594125249072381956	0.0495096122487414525
553e3de9-c7e3-407f-9cfe-608cd46a270a	0	0
7fce1b6a-3112-4dbd-a67b-1a53c9f5dbe7	0	0
60a6df21-f901-4446-92cf-541c8d18c586	11.1837229437229446	0.931961379028379056
d90be96a-20f9-407b-ac06-fd4c2effdf13	0	0
1212277e-1020-410e-8d7b-f11b5b888a11	0	0
76ba210e-9f4c-44cb-940d-219ca98c7e26	17.1436818181818182	1.42861634084595956
c507e2ca-707b-4baa-b50b-1170793fc3cd	0	0
e06e4562-1fae-4f1f-a348-f7ba8c3bac27	16	1.33331111111111111
7d889208-151d-4fbd-bf29-97b01bcec92c	0	0
34d18a3a-6ebd-458d-9d01-ca67dc900c1b	0	0
dbce5a9c-71f9-4e8a-990c-6204d2c3dc67	0	0
8565b086-a088-441e-ba0d-0264bb995d2a	0	0
1b7dd8fc-6596-4b51-8a58-491781378626	0	0
0a268635-fa05-4cb4-9c3c-2be2a1882e4d	0	0
d7f797d9-b89d-4a1d-9541-11027ae9a89f	0	0
f8220ee3-9797-4aef-96d9-0c9e47f64a7f	0	0
545e7e6b-bbdc-42c7-a71d-0fe88dd780e5	0	0
e34a924f-c470-49cf-a2f1-61d24f8b2084	0	0
e1188619-41a3-4917-950e-fc8b793ac34f	0	0
d133499c-559d-4ba7-816e-d4c9daa8d8a0	70	5.83323611111111084
0c8a02fb-6dcc-4bd2-b59e-2069d6351252	0.594125249072381956	0.0495170388143548537
4192e55b-49dd-40f1-915b-483aed82bc5a	0	0
5f74d9c8-fb48-45dd-aed5-37c8cf64e1c4	0	0
ffbcd4f7-4f3e-4771-8478-0731db726ae1	11.1837229437229446	0.932101175565175577
5c7b6809-2f1b-4e19-965e-14b7f4a1fa55	0	0
b85a873f-9246-4e6a-a502-acd4dbdf6da3	0	0
39ee825b-7100-40f0-a5f4-f6fa861a6261	17.1436818181818182	1.42883063686868694
47f3f2e5-03bf-4bd8-8764-7db5a12c28de	0	0
d6d2a1e1-a634-4763-b578-9722d66a33f5	16	1.33351111111111109
69015087-2a4a-472e-ac98-b1f0648e1331	0	0
1cd55e7c-f9e7-47d7-91ab-dc02536d19b7	0	0
f7a9304d-0254-4661-900f-e1964c89abfb	0	0
a26db9b7-f222-4fd7-b614-634ceb89a141	0	0
f95b094d-bb2d-4a90-8a16-779b564e8d9d	0	0
565452fc-4c4d-4511-87e4-1f5c346e04b6	0	0
5fbca1ae-a7c7-4074-bd45-c1ac56c6f958	0	0
63978a68-c245-4b60-a58e-f043f25305f4	0	0
2746425e-709a-4000-9fab-1750590164fe	0	0
3f904ede-460a-4884-b4bc-b5bb2afad84b	0	0
13a4f148-b551-417e-8fec-91068b548e21	0	0
fbfb4e2b-cabd-4ee7-b052-a84a346a4f40	70	5.83411111111111147
9e97e207-a083-43c2-b324-92dbf1de13cb	0.594125249072381956	0.0495155535012321707
ad5dd52a-9002-4495-ab6b-3288bcfd7df0	0	0
7dea54c4-e5df-4c6a-aae0-fbb8eb0524c2	0	0
3f6f41a3-db79-405c-86f4-0f3e78f2b1fe	11.1837229437229446	0.932073216257816251
4037c04a-72f2-408a-9671-3872ae550f10	0	0
7f148c4f-469a-4c12-b138-09d58e14e6b3	0	0
667abb14-cd07-4618-844a-6d3dd6f00daf	17.1436818181818182	1.42878777766414133
65589370-ac5b-4406-ad73-ac2dfadcdad7	0	0
cd2d8fb2-67b7-4ba4-888d-36cf90523b7b	16	1.33347111111111105
088cbb6f-c88d-4d36-b8bf-d29176ef4ddf	0	0
87bcb0da-1030-4a9f-86f4-a5917a306514	0	0
e9854b6b-823b-4259-8059-6cb3cc7d23f7	0	0
91dc1338-0001-45d5-aac2-ee662de83434	0	0
0bf17502-1b23-4282-85ee-714e2e594dc6	0	0
ee462e9b-176f-4489-af45-9e03f20d0716	0	0
b5cd2dba-11fe-4735-a025-954af96a707b	0	0
f7eb6eaf-3a3d-42d2-9b8c-687e774efa5c	0	0
7e321f16-b3a6-444f-81ae-3bcb5dd9e182	0	0
d1acc62e-de8f-488e-90f9-6f80ea115b69	0	0
4e62bf02-3c5c-4ae6-937a-103d91527d9e	0	0
b968592b-7bfe-41e8-a252-1e2550371e68	70	5.83393611111111099
78ecb6d3-c9d0-484c-81d8-febf2421bac3	0.594125249072381956	0.0495134080489438577
97658b3e-7890-400e-935f-20d6b62180cf	0	0
d8a383fe-30ab-4e1c-aaf2-02ad47eb3773	0	0
4a2df452-8328-4cca-8db3-97963f185765	11.1837229437229446	0.932032830591630668
bddfffbd-319e-4d1e-87ba-d41a7f3128e6	0	0
2f62f1a8-2cfd-4ef9-a8b5-5624e77f5360	0	0
fb76d07d-4399-48c6-bcc6-60950937bde8	17.1436818181818182	1.42872586992424244
1511fa52-3445-493a-ae76-7a7a19a56c49	0	0
db567f01-177d-4147-beb8-115f67faca26	16	1.33341333333333334
5419324c-835a-4495-ad9e-31a0498117a4	0	0
b4434901-7adb-4d40-bc6b-7f76a5c9535d	0	0
4ae37363-f411-412d-99fc-2db86340e5da	0	0
96f399f0-1a70-4cf4-ab8e-8e69522f9c29	0	0
ec934a57-de2e-4232-8fe8-fdaf15f0e206	0	0
2e0f9bda-9701-4a76-9bc9-a290ce24e722	0	0
121425c4-a2a8-4fdc-892a-fe130ab2572d	0	0
130e007f-2fa5-4d81-b387-934e239d91c5	0	0
ce88e776-db76-4923-93c8-2289468f587b	0	0
46e52b1a-7cb1-4cc9-a789-8a7849ac14f5	0	0
4060f497-f7ae-44ff-a8fc-87088b408b8c	0	0
5ec4f7b1-db8d-42f2-8ada-8da703749ced	70	5.83368333333333311
c2880b61-62a6-4c4a-bbb4-81905d69abde	0.594125249072381956	0.0495130779793610393
e1fd5c76-9e4d-4aa9-b3d6-e1cb38b79921	0	0
6408c1df-e840-427e-b4ca-c932d2c5bb33	0	0
f6901596-24b3-4db3-898b-f9c0bffc071f	11.1837229437229446	0.932026617412217484
4ffb4981-b5f0-4cb3-861e-fd3a3c4f6b22	0	0
a967a65c-62c1-464b-b509-2c286fa8a582	0	0
b895dff2-1be2-4b24-9347-08a8d8776c4d	17.1436818181818182	1.42871634565656569
3cbe9563-63c4-41b6-b8bf-056a160c8df1	0	0
bdf47a42-ca9c-4bf7-84df-353efc20b812	16	1.33340444444444439
c9016f7d-21b7-422d-b24e-321c07ab3ba9	0	0
ddc902fd-da4d-4b3a-84a4-a2658a3b6bea	0	0
a05d183c-ec45-46d0-988b-0e0ae8c5bad5	0	0
cd818a87-34ed-4296-bd63-94c884a6ac63	0	0
84cf3f90-1114-447c-8d62-91a46c43225b	0	0
ae3a47da-2b3e-4751-9fc8-b5cd3a9445e1	0	0
e9b47135-ee91-4b62-8c8d-c8ffe84f0a3d	0	0
42dac158-e5ec-47cc-97ea-e43c5d287e64	0	0
0b487034-d77f-48ec-89d6-55790c78e1c2	0	0
a3805cb7-dd34-42fc-a5fc-652542b40d2d	0	0
607f66f6-090d-4515-863c-111042bbfee2	0	0
2ac724a6-07e4-4a35-b9c7-1857cd1c19e2	70	5.83364444444444441
c37aea59-c88d-462a-acee-df9e358513bd	0.594125249072381956	0.0495152234316493592
5735bf70-0e5a-45e4-a397-4c7034ea05d1	0	0
dfdf160e-58c0-4713-a6dd-b71f5c13d80a	0	0
fd9a9393-38e2-4ce7-b81e-60c1e27a2ca5	11.1837229437229446	0.932067003078403178
4fdc139e-b761-4388-b4fc-cbe8ee5f9481	0	0
63fa99ab-8cb9-460f-a6b3-b126409f79bc	0	0
4e19be16-f27e-46e3-82e4-55a24d1087f4	17.1436818181818182	1.4287782533964648
16ade76c-8aa1-4851-8997-bd8d89321955	0	0
aadfdd83-011a-46e6-aac5-d6db707de62a	16	1.33346222222222233
9babbd06-6713-475e-ad46-86861df2ee29	0	0
9f2258d9-3738-4a22-b7c9-ff0d26814330	0	0
1e40900b-27ce-4bf7-9be5-9c8f8049bfaf	0	0
0e014729-9487-4748-bb16-dbd8f49bb7b0	0	0
883e6a61-150b-44f7-b248-a61f491cf6e0	0	0
bdbd306e-cb1e-4178-b819-abe3aa87f50a	0	0
31263637-5fec-43a7-ad3e-a43337344190	0	0
6a5f15e7-f784-409d-9b33-0f551f6fd316	0	0
eed2fef5-39fe-42a8-9ed3-1999e8625658	0	0
95c8406c-a02f-4337-b52d-a75529e0fc47	0	0
402b03ac-e17b-47d6-81d0-428ce9dfaab9	0	0
20bf42d7-e3ce-4488-a465-7641676170a4	70	5.83389722222222229
34bc5042-e684-46eb-a16a-7a8db73d3a50	0.594125249072381956	0.0495160486056064053
03111bfc-9b0f-42e7-a66a-3b4da4cf9142	0	0
aab1702d-2d32-45e3-911a-2a2bbe605d40	0	0
bf6e5e91-df0e-4ce7-bd2c-0bddfa0fd18a	11.1837229437229446	0.932082536026936137
3e334b11-61c9-4d71-ab92-ad549596a73e	0	0
de97d00f-cc7d-4b5e-8aad-4e24ef890690	0	0
8efdf314-6890-460c-8240-297680c2711f	17.1436818181818182	1.42880206406565669
febd50a0-e70e-407e-ae02-6700b52b2358	0	0
53f72574-704d-4e72-a028-ad5e026816b4	16	1.33348444444444447
dda7c1cc-815b-45ea-8197-6175d58c1f99	0	0
e084bb02-4e43-4607-8e92-e866ce08cc91	0	0
8cfaedae-e3ed-413b-bcf4-51b6067c72fd	0	0
e40b2c42-f9fb-407a-b347-1623a3bf0f57	0	0
7360d297-b5f0-41e6-89e6-c9a41cdcdb48	0	0
f427ea58-2f3e-49d3-a168-d7313c22f954	0	0
296c14e6-abe7-403f-84ac-8d9f0514fcd7	0	0
7bf9bf1d-3476-4138-8796-3a0a8b81c175	0	0
6686f349-1c0b-4786-95eb-f5447f048a6b	0	0
4166a5a7-c3ca-4e06-b3e0-6499b632daa0	0	0
96c87ca2-a0a8-4e0c-bbcf-2c355e977307	0	0
9a6469f4-4426-431b-982a-b019efd51a9c	70	5.83399444444444448
7f91abf3-daf1-4ab3-9f39-3040fdf0e4c2	0.594125249072381956	0.0495110975618641355
1dcc490d-b22f-4c6c-a8c1-54c04f7349f8	0	0
426a7bfd-4773-492d-be28-ee27bdc5533b	0	0
46df668e-ae40-43cb-980b-babd6b22c1f7	11.1837229437229446	0.931989338335738493
fadb1850-8ce3-4f7a-bc01-36907e235cef	0	0
b4569595-3212-4f85-b235-28ce584e2d6f	0	0
c4c0d398-98fd-45dd-bb7a-c05a399cd4cb	17.1436818181818182	1.42865920005050517
35b1154e-2f15-4781-ba6c-6545cc5a5d4a	0	0
0d6f3718-66e0-40f7-951c-57cf385bf95f	16	1.33335111111111115
f15afae2-f854-4b89-bbd5-3af652acef41	0	0
b792acde-9258-4567-a7eb-c40af0d6211e	0	0
17d3186d-a3aa-49f8-b15f-7306c3cb71a0	0	0
3b73cb31-17f3-454a-921a-6deb257d8dff	0	0
5bfcc97b-ed49-4e92-aa48-9b427c34f3bd	0	0
a8c685ba-4d25-4007-9ea7-e1f8c6e5fc62	0	0
5e79b596-cbc4-4a4d-af9d-77fe674939b0	0	0
08baa3dc-b26b-4865-903b-cc6bd38453dc	0	0
23bbdeec-60cf-4b9a-977c-7c00dd6d4699	0	0
b1e2fd6c-2f28-4abd-a768-df273892e564	0	0
71366fe9-017a-477f-89f5-6fe1ca0471c1	0	0
a1f107a4-e690-41f9-bb34-510c651de17e	70	5.83341111111111132
fc428e4e-459a-4364-a0bd-3f04e629dfb6	0.594125249072381956	0.04951505839685795
6b168f5a-cbdf-4464-9f92-3a91e963660e	0	0
fb804e13-6ca2-4146-9d37-e21098804af5	0	0
7d739ea8-3a78-4ba4-a425-4d7fbc783965	11.1837229437229446	0.932063896488696586
39ce5f06-8990-4e42-b1a7-d64cd6250d62	0	0
341732fa-a420-454b-811d-2d26122d9321	0	0
9dd9f2b1-6771-4352-8b45-2f9e671d0d9c	17.1436818181818182	1.42877349126262643
6b4d4d57-4c06-440a-a63c-0a1828cef121	0	0
17b63f43-54f8-4cdb-b495-4240f181707b	16	1.33345777777777785
36eab01d-8362-4632-9461-21c480aeeea7	0	0
cf9eb39d-bb46-44fd-b335-5df1f3fb90b7	0	0
4b7fc77a-c111-4811-9dcf-1b87e113271c	0	0
2e3d56fe-2990-47ad-b7c9-9b7ce9826d4a	0	0
e704308d-68c6-4c9f-b9fc-be69379908e5	0	0
39934b7b-4f88-4770-a0a5-d6a06dd77376	0	0
5703d021-7374-4c54-826a-b8bd124128b2	0	0
7d9f4fd2-36b2-433c-a951-d35781894ae6	0	0
a46cc70d-93c9-4b2e-9f2d-7b549dc5dc21	0	0
0bad0f19-004b-4c41-9d9e-2fd2520edbc5	0	0
89f212bd-e8a0-426b-972f-e9480dffe73e	0	0
9f64d457-3e46-4818-982a-313d17c73143	70	5.83387777777777838
fc0e3064-7ec6-4426-9add-52e506feb263	0.594125249072381956	0.04951505839685795
f8de08d6-9484-463b-bf63-b2eeafb6803e	0	0
854d1469-64f0-4af4-a30b-99e08f643e15	0	0
eb5295df-c999-4b72-ad1d-5aa2da908d2c	11.1837229437229446	0.932063896488696586
0c5d824b-e799-45db-bbfa-29137dacf598	0	0
df0063ef-8cb0-4254-ac35-d0d651839b34	0	0
eb7c9d9c-b79c-4fcb-9745-62f119291b47	17.1436818181818182	1.42877349126262643
ac4ed1c2-f356-44ef-92a5-26362225a9c5	0	0
eb162111-a3ac-47f9-bf5f-f9ee57ea4486	16	1.33345777777777785
57c36a1c-fe9d-4ea2-92d3-38e2fc14a16e	0	0
cbd916dd-851f-4236-9b57-9ea9743e887f	0	0
b8f46ee9-6fd7-4126-8300-c23343a1cf2f	0	0
78531d7f-3843-4615-a136-13a54d7332bc	0	0
67ca6da9-0805-4ff5-9909-bc818e71841e	0	0
fe4196d9-3ee6-4b6d-bc3b-309144bcb0b8	0	0
184e700d-57ce-4226-b6f5-60d1fcd81c9a	0	0
3df7948b-c61f-4733-b563-7e9ad95ec93d	0	0
96d3cd19-c268-426a-8bad-8481415797ff	0	0
408f9ed4-a417-4393-a8a0-1bf401be3897	0	0
45ab217b-69a6-40dc-a9aa-c4de52482a85	0	0
f34d9ba3-fd44-47a6-9c91-d3c07ff06051	70	5.83387777777777838
a19836c3-26cc-4a95-a2a1-52e87b293a85	0.594125249072381956	0.0495145632924837223
ca9aa501-b815-4c87-a208-9bdf7f5c8070	0	0
07fd9519-e7b7-49b7-b893-77b081b20521	0	0
936cf97f-e995-44a6-856a-9a0c2b5b1ad6	11.1837229437229446	0.932054576719576811
2a30f9b5-9b6e-45f7-9cd2-351b2ca210e2	0	0
39627bd4-30a9-46cf-a678-a1e0cd5e8082	0	0
11d2f319-133d-4cc3-ae4f-376ea1e4e85c	17.1436818181818182	1.42875920486111108
145e3550-15a2-42bc-9230-ecdc1fa12465	0	0
13e6fc13-9357-4d85-acd9-8602f65c4237	16	1.33344444444444443
9ca84030-0450-420b-b937-6f996139d3d6	0	0
c669d925-1468-4884-b714-eaa3e0c302bf	0	0
5cc09e84-bf01-49a2-9e12-cb97daf4cdca	0	0
c608fba0-b275-4fda-91d3-3a2e9552cc9a	0	0
4101644b-ce51-4059-974a-1c1ccd006d72	0	0
0dbfe334-c9fa-412d-af67-480742b8ec2e	0	0
6255456d-9e57-46ef-b2fc-11adaafb8487	0	0
b9519d7b-febd-44cc-bdc3-48bfe6cb03fd	0	0
dd61fc5a-9777-414c-9489-c083aec3c554	0	0
0655c78b-999f-48a8-a5e0-659e9c7e3004	0	0
cdaeae45-c8a6-47e5-86de-b9f0778aac6e	0	0
74604ba2-4600-4b1a-9359-eec9e1f335e5	70	5.833819444444444
77bc3ffc-1295-4020-a169-2d94a6020164	0.594125249072381956	0.0495122528054039931
d942c759-e278-438d-82ce-cbf0a41652f7	0	0
e67bc44a-249d-416a-9bf4-c92e9dbaef27	0	0
f33f9684-7fe1-4bb4-a532-4667372aae60	11.1837229437229446	0.932011084463684525
acb1237e-92b1-4269-bf79-254e7371848f	0	0
21ac7b89-8bfb-4b06-992d-2e8d89465ae6	0	0
db380b91-b54d-4409-8a7e-62acc6c11ef3	17.1436818181818182	1.42869253498737381
d8e04948-8910-470b-9035-f9aa9c57c302	0	0
411eb69b-3d19-4437-8a2d-b7e5b5357625	16	1.33338222222222225
43198379-cee6-42be-b860-19683ee85e80	0	0
83e23f18-b7c8-4332-87e0-e58e2fc6350f	0	0
011bcb52-02ca-4577-aa6e-fdb8d169e477	0	0
7c41289c-2c95-420d-a6b0-8b9918cc4fcf	0	0
d84ed70b-2a5c-47ed-9ab2-974abc97381a	0	0
6a9572d3-f54a-4e21-ba3f-a96cc61f19c8	0	0
eb409c69-f587-481c-8a27-e570dff18b69	0	0
f69becd4-685c-4e44-98da-2bf9ade3d3ad	0	0
7aba792b-9ce6-4848-942a-597dc531a109	0	0
dcb3d654-f988-4893-ae48-ce433f9742b8	0	0
c9812a58-8fe9-4397-aace-d85e47d0068f	0	0
6a724699-987e-4970-b352-ff776121f7dc	70	5.83354722222222222
7d0cc6a3-f40c-4cc4-9c66-0dd5480670aa	0.594125249072381956	0.0495153884664407615
e6f95eb8-62c1-4923-95a3-41ddf80e84b7	0	0
dc2e886e-7040-466c-9ae9-9ebf9d1ba176	0	0
036542ce-1319-4e5c-945f-64d03fa39c15	11.1837229437229446	0.932070109668109659
c1e6e646-6d3e-4eaf-9799-85dd6de413a3	0	0
a803f2fe-d970-4aea-9a51-cbda50784137	0	0
fbd9c857-f82e-45db-8187-5bd31dee2d95	17.1436818181818182	1.42878301553030296
e0a7efdb-195e-4b4e-8951-16b55c125e2a	0	0
c733fc1e-6145-49e4-8ee5-afc4fd168b5b	16	1.33346666666666658
94dda238-0e9a-48ec-9cca-892ea43aa999	0	0
cae28e6b-2127-4c8a-b668-344e93178285	0	0
492d0d3a-22c1-484c-817d-7956ee6f3c15	0	0
03e1f362-9d80-4f89-aaee-ca3f4dd8dea9	0	0
d2cf51fd-4859-493b-af17-0c82e790a1ce	0	0
51e95377-f6ff-45c0-ae9b-e6403a2bfe8f	0	0
b20e25a2-2cd0-408d-8c7f-93403a812891	0	0
f3c06159-ee63-45f4-b199-7b1df8a2c6dd	0	0
1c5cdf9e-55bd-4f12-a908-af02a8da5ce1	0	0
2d2c4c9a-4e7c-4ad4-9e4e-ef66359d87ce	0	0
258aae0c-44f4-4781-99f6-ad11583d5697	0	0
9e1e4a0a-126b-4a91-a5da-73b108fcd423	70	5.8339166666666662
cc6b29dd-8770-43f8-87b0-f8a61b635a38	0.594125249072381956	0.0495124178401954093
863d6bdf-5c1b-4533-9175-3bc914e02949	0	0
748c9ba4-6458-4094-8718-8ffd0495f734	0	0
72b79860-aa88-48c1-8b5e-037b04404636	11.1837229437229446	0.932014191053391117
9d0084b7-73c2-4f34-8b50-b4bd24d8308c	0	0
67e1ab5e-c9fd-45db-993e-41f543ab69be	0	0
ba69d310-e22f-437b-bfdc-c1aad2d2756f	17.1436818181818182	1.42869729712121218
78c857af-a31e-47c9-945a-1c9a41d6be18	0	0
8f368df3-24d7-4c52-bc99-281bdb152d01	16	1.33338666666666672
b8244e5d-9455-4ebe-8a9d-7c32642fbd69	0	0
a816b97c-a68e-4a83-bd70-9eb3422bf62d	0	0
f47bd546-4bc0-42c0-b7a4-bc1dfd019269	0	0
3c9cb7ea-0b9e-4d7e-b2ba-345ced0596ea	0	0
fce25068-23f7-40f9-bd0c-ead27b787f71	0	0
fc447d67-c5bc-4b0f-9218-a58120697f1d	0	0
bcdee033-3f5d-4de1-a4a1-4d35bf1e2746	0	0
d1e6558a-6fe0-4f80-80da-c669a863c8df	0	0
a3294ac5-5be6-4505-967c-7b661609240e	0	0
84e224a7-3435-4c09-b87a-00eb9562b762	0	0
29520009-b313-4e74-9f97-7383577f0c86	0	0
f67bb76c-3f02-4f70-ac2b-042999e941fb	70	5.83356666666666701
053b8536-a7f9-4a92-bbe3-30afc1a42aac	0.594125249072381956	0.0495139031533180854
13055e0b-d8de-4aa7-b03d-153121ae6037	0	0
915dbda8-3682-403d-a0a0-9ea2c4b98aca	0	0
431eb890-b1c2-4da1-b955-18b8b83a7fec	11.1837229437229446	0.932042150360750554
de6a5118-c7eb-4d42-8a7c-aed57a2beed9	0	0
01b58d32-d59d-43c0-aad3-8afaeac3268f	0	0
19515957-76e9-4f33-bb70-4d91157c619c	17.1436818181818182	1.42874015632575757
ba22ab6a-a551-4364-883c-adfaf39e83ae	0	0
81bb8086-4f2c-49e7-a916-01cf95bfe2dc	16	1.33342666666666676
990110dc-be56-4509-8593-edfb2cb5b61b	0	0
e1d8a361-558c-4826-8bfe-c41513331c50	0	0
989bf49d-18de-4881-815d-e490f25ca095	0	0
d2a436b4-6157-48de-824e-1aebebd51a57	0	0
12b1fcb9-0512-4b0e-826b-d07ddcbce559	0	0
809d51d6-ed37-4db6-bec8-b22e202bf138	0	0
50762662-6502-4452-ab80-f7b5848dcf91	0	0
dd3d4ffb-8bdb-4d20-9696-36e23dae5452	0	0
e0a141e9-2142-43c1-bd44-24852ae18eab	0	0
256ee981-00d5-4f3b-9220-1ade274fc5fd	0	0
af720fbb-7630-4c27-b3de-fe7833a96819	0	0
c6d927bf-3f1a-4dae-add7-887ed4e96bf7	70	5.83374166666666749
eef71440-5eb1-42a4-8284-03ba79c28116	0.594125249072381956	0.0495153884664407615
c69f569b-2d70-4a92-b7d3-305569650396	0	0
4bae3090-f7c2-4a14-9d66-86b183761d17	0	0
781d1fed-b75e-497b-aa08-c72867365005	11.1837229437229446	0.932070109668109659
5b7ffa1f-894a-4418-ad89-4ff71600b923	0	0
ba5ca46a-1866-475a-95c2-0acb5652bfd1	0	0
685b1ebd-83ce-4587-83e4-34703e085247	17.1436818181818182	1.42878301553030296
eab40205-9775-4ba7-889a-e53707a11358	0	0
e3bb26ae-1006-4a34-8644-ff0959581fd9	16	1.33346666666666658
2c2f2933-1336-4f26-b3a0-b2246c271cdc	0	0
33fa9edf-3eb0-4378-b055-fbde1b730033	0	0
36120018-4e2e-4bb8-9cfc-94479d6aaaf5	0	0
ed0ee6b2-80f6-406c-a8f7-1fb3b80b8055	0	0
dfebdeb0-22cb-4c0b-9772-a0d10931147c	0	0
4375f7c8-f9fa-4f7f-b208-6e01118b4879	0	0
8e772462-7870-4465-96e6-4307419985fd	0	0
09f43b9f-2e66-491c-93f2-9eb2b4a5aedf	0	0
a90b33e6-5d6b-491e-8c34-38c0cf1ddcc3	0	0
4f762b98-4efe-4eb8-9c26-0b3dd9290e23	0	0
79b6e096-a090-4b53-8311-ed19f13a610f	0	0
81fd0af9-8864-45aa-8aac-82090852d5d6	70	5.8339166666666662
85213bc3-f977-4f9e-9d44-fa5683080887	0.594125249072381956	0.0495135730837352669
d13f1a41-eef1-4506-b923-289b70cabff9	0	0
0c846cd4-9a74-45c6-a14a-1d1fe5136e7e	0	0
f355bfcf-946f-434c-91c8-5f536f6857f3	11.1837229437229446	0.93203593718133726
8138e724-6249-4405-988f-deded9a672cd	0	0
615a48cf-6e7e-4ff8-b6fa-0c4a03c40684	0	0
411e111d-a090-4f42-a5ef-d28bed5dfe96	17.1436818181818182	1.42873063205808082
cb9e0655-8b9c-4738-89e7-08639d109cc3	0	0
7032550f-c78a-4ad9-a343-ca2f666e2a53	16	1.33341777777777781
b7c02f22-054f-4f8a-93da-2120e97419e4	0	0
738dcb57-c606-4305-ad01-da73cbc74622	0	0
9cfd5ff7-adfd-404f-a1dc-c3389b06acbe	0	0
86b09fb8-502b-468c-885a-cf2b690721a0	0	0
6709e647-594e-4bce-ab7b-ef8f59c59021	0	0
f00e2af7-36ce-49c5-aef7-db9b457fdde1	0	0
26d7bbf5-0feb-409d-9258-86a93228920c	0	0
775ba3d9-9f21-4ebe-b0e1-09f94f278d8e	0	0
04b3bcc3-0048-45e9-afb3-16a5a1058e33	0	0
c3054b0d-6200-458f-859a-9ae69e6087a3	0	0
ccea4d98-1cb5-4dcb-b185-868edc8656f0	0	0
fabfcdb2-af3e-45f7-9f3f-9b220cf4e58a	70	5.8337027777777779
51f6cb65-8041-4759-b765-f04b10bf4d85	0.594125249072381956	0.0495102723879070825
49fd07bf-f6a9-4355-bc59-ed7a70470fbb	0	0
c2713ccc-1694-4401-9738-9d4f6c8caa8d	0	0
9fde7c99-88c8-4a97-b782-55b0a57270d4	11.1837229437229446	0.931973805387205423
682b55c9-208f-4bf5-89ae-615e2891fecb	0	0
f7dd6a2a-db41-486d-8ce3-9ed64a8f8019	0	0
de6e6464-345b-4075-9927-60f8ba5bff82	17.1436818181818182	1.42863538938131307
470c3b24-2809-4e5e-a69d-58ceb48935a9	0	0
4f6cfa94-58ed-464f-a809-00da2aa42e5c	16	1.33332888888888879
94975afb-e6af-47d7-8260-a1b6f81e39d2	0	0
d10c583a-4dbe-4bda-8e93-30862cda06b9	0	0
21b7801f-7358-4f29-b036-4edb0d09b24c	0	0
d017c1f7-ec5b-401e-87f1-7dbc4f13bf2a	0	0
79b4c555-207a-4828-a7d4-b3b6c3cd3cb2	0	0
ec182dd3-1d1f-4718-abbd-f4de39a0449a	0	0
13408b2c-d273-4c14-99a4-daee3e8b328e	0	0
deda6fcf-227c-4f85-9bc7-5f54cf26c2af	0	0
fed249b6-f8ef-4203-be60-8f4d7ea0f034	0	0
8eec17e2-4102-4eba-b284-e077f5b11093	0	0
e274a1f1-6d97-4414-91ab-fffa50c7ba4f	0	0
6b87120b-d620-4824-8ef6-485a533790a0	70	5.83331388888888824
33d6c47b-cae6-4413-8afc-f924cf53ead1	0.594125249072381956	0.0495157185360235799
2d066150-e57e-48c0-a952-b4aa97bdf19b	0	0
24600c46-58ea-4680-a388-0569832e063a	0	0
b8459ca5-c91f-4d3b-a247-0722b6e70fcb	11.1837229437229446	0.932076322847522953
4cb1c177-d8e8-4788-ad7c-38fbf0c499b2	0	0
79d1b2ae-9048-4f47-a5d0-8eb92de4c8d1	0	0
d60a0d0a-dbe0-4d5e-83e2-c07117299e8c	17.1436818181818182	1.42879253979797971
a365ce3a-7e23-4183-83e4-d4e88e7bd283	0	0
c7689131-b964-4aaf-833f-814a1a9e2178	16	1.33347555555555553
5c8224db-3f8e-44dc-a4dd-0b1aee0af30c	0	0
ac0ca2e1-9cde-44cf-a6b6-94367ffada45	0	0
d4142fe1-111a-4454-92b1-b5863cae5ee7	0	0
5b61469a-fdff-4664-bfdc-1723455cb64a	0	0
da9d63f7-e0f1-41a5-9786-0948937063f1	0	0
b8300fa2-7e44-4853-af4a-a520a15a41d6	0	0
658c8278-0651-4605-9249-6c64c90b0cb7	0	0
f655ae07-b424-41e6-ac45-2eca853be545	0	0
b8c00e7c-c834-4b1b-8b1d-fa53c27895ff	0	0
7a093d66-6238-4994-8bcd-2552f57425fc	0	0
c0dbde12-9013-4245-81b8-05ab8f8afd49	0	0
e3b5765c-90c2-407a-a4c4-9733edc7e467	70	5.83395555555555578
f7b73ef7-a325-4588-b0e1-aa59b5c62794	0.594125249072381956	0.0495127479097782208
4302e953-2957-45c5-92e7-6b79adeee57e	0	0
a272acbf-099a-401d-ae13-fe95b6444a38	0	0
62995979-42d6-4297-a600-99dc5c40b448	11.1837229437229446	0.932020404232804189
b49edab2-6ae8-4768-8ff3-bb6d2a7105c5	0	0
e51c8c62-1528-473e-86d2-012119882423	0	0
55e73c56-42bc-4c1c-b2cd-847de028edca	17.1436818181818182	1.42870682138888871
6b0dfc7e-eb59-417c-be2e-62886288d2a5	0	0
d3ad24d6-e8d3-41f2-9dc9-4f2513ddd08a	16	1.33339555555555545
37b10432-bd78-4ead-8858-e8b5d0bb5d25	0	0
223b3788-7525-4893-b34e-2dcf20f39c12	0	0
03360933-3d0c-45cd-aac5-9f0e1d9d94bf	0	0
3aa2aed7-867c-4b35-acf9-a938d21b1845	0	0
38123be0-da20-4da6-b6d5-d43ac51ee611	0	0
a9d6da9d-fd3f-4352-a061-b4a028d31994	0	0
62172e94-be08-4f80-8aac-fba92e5f4d40	0	0
8b424b93-56e4-4248-bd3c-31e22e84d80b	0	0
1acc9347-0e33-45ce-be5e-097a26f495f7	0	0
4243baf0-c4de-4b81-b0e3-ac662e36adff	0	0
1cb30300-ad19-4f62-9786-9082e50eecb8	0	0
36695081-f774-4b16-90a9-a6f4a6f7e018	70	5.83360555555555482
12fbd894-d7da-499f-8f53-3446fadd79d5	0.594125249072381956	0.0495155535012321707
958cc7bb-d480-418b-a7c7-ad6e70eb061d	0	0
aa3f7c83-9b31-4b10-bbb2-d63b5fbf5b62	0	0
fdfb2988-7d1b-48e4-b229-a811109a8f6c	11.1837229437229446	0.932073216257816251
ea00a927-3574-4f90-9c4e-f833b5c74164	0	0
0bc90292-db9b-4a8e-9e6e-5a69ca1a5d95	0	0
9105f460-d3c5-4d8c-ae80-0cf13de954f3	17.1436818181818182	1.42878777766414133
8a83932e-6445-47ce-906e-494e8c274126	0	0
26add8f7-85e4-46b1-8ae5-e2703ea7b19d	16	1.33347111111111105
e084a9c0-b795-4f52-a5c5-c408452bd8dc	0	0
514b8575-0fac-4c81-bd7a-c2d55776ad62	0	0
725b2c48-7861-4fb7-a82d-73093dffcb0b	0	0
39973d1c-4f85-4bdb-8cfc-68d30b5185df	0	0
538d8f92-ee89-44ad-a1ac-b60a3b5e83ae	0	0
43f1d608-d526-40d3-90df-b82413633789	0	0
a1a8a76d-3f08-41ba-b3f9-727d79ccbc1d	0	0
f9316264-fc83-444b-9e00-f42cea39bd0c	0	0
3b2a2d6e-7897-488e-800e-3922a108d025	0	0
5671c002-0f75-47ab-a2b4-0fd3ae451804	0	0
96f3f724-40e0-4030-bb8e-1d2a2dbf8eef	0	0
119c4243-2605-4b86-9b86-77cede00c15e	70	5.83393611111111099
3abc5265-a1f7-4704-bb80-4d4b368ed8ac	0.594125249072381956	0.04951505839685795
caa218ae-2710-4371-a224-eb76334f6fed	0	0
56755d3c-f621-493b-92a0-d17b16e21044	0	0
0db0a2b9-eddb-4cdb-adb7-bac81f39d044	11.1837229437229446	0.932063896488696586
03fd9417-d0c4-4357-bf15-9cec5fac3a82	0	0
2eff34e1-8a73-4695-beb7-5a6e90bf0ff7	0	0
4f479d6d-c64a-41d4-bab3-c2d9ab52a74c	17.1436818181818182	1.42877349126262643
c981213a-5a7b-4186-9393-07265f9a860e	0	0
f6b2cac5-96ad-45ff-b18a-4a2dabe107bf	16	1.33345777777777785
4e8f8b6b-9379-4494-a6d1-df87c48884c8	0	0
f148aeed-2736-4a8e-a4c4-8f2bc111a38f	0	0
4ca48295-1cd1-4f4a-8466-bf44e6a9d7cf	0	0
5a107e31-3934-4806-8886-c5ec5d1e487c	0	0
29a10db1-1314-4597-98bb-3da664c21fe8	0	0
88819764-5c38-4213-a378-f172a3a34030	0	0
7586231e-9085-4727-a85a-1ac5183d7cd0	0	0
8001eb50-c659-4e4b-b9d4-53a3942d890b	0	0
3a212fab-613d-45ca-9810-438e438c5e43	0	0
5c3cfc34-2710-4e19-a200-a8d3650ecfc3	0	0
d8c0bcb8-0c83-442c-aaa7-e34cf1be02c6	0	0
fce29963-f9b3-444a-a87c-7f8cb6d852f0	70	5.83387777777777838
5a38620a-f8f8-45ac-88ed-eeebdcef60fc	0.594125249072381956	0.0495076318312445487
779f8c7f-04bc-4ce5-83ea-e18372deabda	0	0
01934468-e90e-4163-9edd-fbc52d5332c2	0	0
7f4bcc90-5478-4f9f-8851-29a3b7f4a762	11.1837229437229446	0.931924099951900065
6bca555e-646d-4af9-8005-025fb15f1907	0	0
a75b6fdc-151a-4488-bdd2-380fe90a444f	0	0
a32f2c88-a9d1-426b-841c-f3089cb71e87	17.1436818181818182	1.42855919523989905
3cf2fdc7-5795-466b-88dd-0205f709fa82	0	0
d5ac5c83-2956-4e50-ab3f-25d301d77129	16	1.33325777777777787
1d210ca0-d899-4e54-b4fd-b870a5d93a8e	0	0
6b211a78-3bc6-4904-9215-f98dac67e2eb	0	0
356f0104-5399-4684-8e6c-5575f6b77795	0	0
2e557b08-01d6-4641-814d-3732524983c7	0	0
f30bdf76-ce07-4eb0-9a59-9b8f71c4d53a	0	0
1535612b-97d5-41c8-9087-189664abfdf0	0	0
3d5efa1f-8d52-4523-898e-b1579df74020	0	0
c7aac0df-56d6-42e0-ade6-fb9b0ddae9e4	0	0
79ed5e6e-c104-4ae6-9bc5-123e5cbbe0b0	0	0
91240f98-1ccf-4c0b-8d89-1321f70edb5c	0	0
3d95f10b-c2bc-4520-bb2a-de1b4fb369bc	0	0
a9feae94-d495-42bd-863d-6ade8af505ba	70	5.83300277777777865
856c56bb-b4c9-4fc2-a6f8-065046fd79f4	0.594125249072381956	0.0495181940578947183
5b360f26-acec-4769-8181-6fdb5129b86d	0	0
d64673f6-d2fe-44ed-9439-23cd24ab8899	0	0
4a0f5769-c192-4e6e-b2ef-27a9d525540e	11.1837229437229446	0.93212292169312172
494b5eab-6cfe-44ee-a761-52279a183487	0	0
88f68144-30b1-4175-bf1d-f0d62ca64b41	0	0
01cb8ffe-9e4e-4b32-87f9-3c5c7d507442	17.1436818181818182	1.42886397180555558
18ae28c5-313a-40c2-ae47-3b10a6effd72	0	0
4a291d9e-dded-4728-8061-04f6924a98ad	16	1.33354222222222218
40c466f6-d5b7-4bef-b7c2-2f1fc24a431c	0	0
d96593de-0bfc-4227-b51e-796c2fd02b42	0	0
6ef35b47-f851-46f9-ae75-8b2f49447343	0	0
04209cbe-3353-4f3c-8a98-9f67f0ea600e	0	0
93ad2c50-9bc0-4011-bc9e-2f101cfcb51e	0	0
678041a0-b014-4705-8326-b1b07a4386d1	0	0
f3719986-7fc0-4516-9aa0-a7291fbb00ad	0	0
b81cfd18-2b0a-4f3b-87d6-b7114ea046d5	0	0
897f2bc6-f80a-4c3b-aeb6-d2d030e92c55	0	0
2470ba42-4e62-4e64-9d95-69d9b51951d2	0	0
be2b620d-d6b8-4699-9bf3-0e5eb6f824b1	0	0
422e4ebd-d0ca-4ad3-91d2-1fcaf6745458	70	5.83424722222222236
38c06036-317b-4d9d-86a8-2c408c81b7cc	0.594125249072381956	0.04951291294456963
e8c77fa1-dad4-48e1-833c-f944e35a18a3	0	0
ee41c44b-ff8b-4fcb-91db-d96eaf3dd79d	0	0
0f46e1a3-4600-42a1-a327-423d13e52c58	11.1837229437229446	0.932023510822510892
724b4b96-2359-4914-b3cc-6784736fcfa0	0	0
4cdf15a2-56e5-44e2-84dc-0c89814176fa	0	0
f35b25bb-ca79-496d-8d28-c164de1c81c8	17.1436818181818182	1.42871158352272709
e387f5d1-dfe6-4b4e-bb50-5d2a24c4b6bf	0	0
f53a5e25-600c-4f6c-935c-dbc57c3f78e9	16	1.33339999999999992
b12c5aa5-76ab-4901-af25-8dd77166ce39	0	0
155b36cc-3875-4864-8ae7-ad872f75eb5d	0	0
3475f2ed-8ccd-44b8-a30c-39f2d1c850d3	0	0
38155e1d-8fde-422e-83f2-01fb0e2ac654	0	0
a0922178-1123-408e-a327-296e5bad8015	0	0
5e6232a8-a81d-415b-a7dd-88129da3e9e8	0	0
952958d5-b48a-4cda-b0ce-a5136bd9bf9f	0	0
d5243f68-9a0d-43cf-bef4-e2b6e4b6b9bc	0	0
bcd2384a-376d-4b05-bf05-673a8cb09cb4	0	0
da9e8279-ff40-453e-a1c4-4902ce7e31e0	0	0
0ac2ac5c-b00d-458f-9343-37ff043b8812	0	0
a06d4443-9a94-4445-a9ef-1375f45d2ac7	70	5.83362499999999962
89eb4be7-ded5-4afb-a7c8-d808ece313b9	0.594125249072381956	0.0495143982576923131
e0ec0dfd-7d61-4ab2-8053-cdeca82c2a73	0	0
a7fcdaa6-76dd-42f1-8dd6-f1fc534b736f	0	0
c3574ced-210b-4c99-8365-3cc3f7962473	11.1837229437229446	0.932051470129870219
505a42b1-ae22-424c-9cc8-7b04f0c9a589	0	0
de696154-4fd5-46b7-82cd-6e506a9c7cb7	0	0
1262731c-2f35-4e4e-b03c-e5d38e3a9d88	17.1436818181818182	1.4287544427272727
432978ef-bee5-4789-969a-d51785c45b1f	0	0
7e02bf85-53fb-4d4b-9574-15e8b6527db1	16	1.33343999999999996
8327009c-40fe-48c3-b859-58ea3068287a	0	0
4a62ee32-57a3-4533-92d8-88bc88d24277	0	0
57420f21-6fc8-4817-9eb2-2bd5bc4c4d52	0	0
920bc85f-5abc-4d65-937a-32c60003a319	0	0
d855c9a1-fb9c-42ad-a3b6-350ace3a463d	0	0
dc46bb42-2a91-4546-8563-80bf17413e29	0	0
dc5b693d-eb44-4879-87d5-1f19239148c9	0	0
a121b0bd-9747-4917-86df-cc188f809e7d	0	0
15837b3f-422d-49cf-9df6-adcc154b2079	0	0
2b716d3d-03d2-4a8c-a582-bfec4c3106b3	0	0
38657b8c-a7df-4e1c-bbdc-2193171d6937	0	0
7d510957-181b-40be-b301-1e1711cb6e8b	70	5.8338000000000001
9931ed26-2981-4e15-beb6-18713b6d43e8	0.594125249072381956	0.0495160486056064053
48420296-e7a6-47f3-b73d-b33233211ced	0	0
e483061a-55c8-49e9-b87c-db86282db232	0	0
843b7ad5-8cb0-4507-9d14-7c2c24b3e81e	11.1837229437229446	0.932082536026936137
2dda6f15-4782-4036-980b-fc6619843cad	0	0
f98b3cb0-1d5e-4362-928d-4876224e5698	0	0
5ee340ac-ddee-4f34-84ec-114d97b5fd7b	17.1436818181818182	1.42880206406565669
602bea24-51fc-4084-bc5d-f5521e8f2549	0	0
fc3f0708-bb20-4a18-9a0d-e4e241eb0bf1	16	1.33348444444444447
42abc015-2d29-4ff6-aa7a-298082ee1fd1	0	0
c73ecd6e-b7f1-45f4-b21e-a3167b171d83	0	0
fbbf8427-b7e8-40e4-9734-1be4c7ad371b	0	0
e323ff6e-7964-4809-a224-f9b4639d8848	0	0
c8f7b230-a2af-4830-81dc-5fd945a83921	0	0
28dc2abe-71f0-4729-93c0-2e494cfa1914	0	0
8dc1269e-8f9d-4334-9e2d-4c3504773a27	0	0
7e6cde06-64b9-416c-bbfb-a25b4fd13c08	0	0
ad1f920c-d886-45fe-a938-4f0952baa9f6	0	0
c4daa9e6-f75b-4a98-bef2-6c34a04c3abf	0	0
ae525399-3c7a-401a-8945-bd60e88ed195	0	0
3fed3f2c-21ca-44f4-a4db-1cd097f19a62	70	5.83399444444444448
35791825-d6af-4bde-a7ec-6803cde5f980	0.594125249072381956	0.0495167087447720353
7fdb9220-9a72-4cb5-aad5-052867a74f2e	0	0
2af9c8cc-af9a-43c0-b462-97f8b50b8f04	0	0
a8b6bd1f-b4fd-48f5-b526-994fb1c9082b	11.1837229437229446	0.932094962385762393
18134cec-1859-4d3b-9b4e-40400967d198	0	0
c0ecfc31-cb93-4e58-977b-fba0c8bcbd09	0	0
0a9b5f18-5965-4988-8b6d-be0495452c6a	17.1436818181818182	1.42882111260100997
c8c6b714-f8ab-44b9-9ddc-89ded1b56dee	0	0
3c5fbeb2-1b38-4fec-9758-12d1e0671675	16	1.33350222222222214
0d8df272-13a4-4a9b-bb7c-7842c5a84729	0	0
a69d568c-72fd-4127-900e-ceda9e30d0b3	0	0
19d16aff-b8ee-41f8-bbb0-76144ff19160	0	0
73ab9a6d-6dea-474b-b896-aaea044a5391	0	0
83aa14fa-2a1e-42bb-8762-34da567d7cc9	0	0
e1e7a85c-88ae-4094-a5dd-277d07f77ab8	0	0
2535ea97-0ff5-4579-9027-ded847ddbdc2	0	0
85737e0d-f5cb-4f4e-ba12-42d7d25c41f6	0	0
1f5a7553-f353-4961-aafb-485b75a545a9	0	0
794beaaa-203e-4efb-8946-56b1f7301bc3	0	0
dfc32aac-1384-4018-9cea-d8c5b4ff9b3c	0	0
13f9d3f8-06b9-4af0-bb4e-98baa23847bb	70	5.83407222222222188
61c78b2b-5a8a-43aa-80a9-3397e60d67e5	0.594125249072381956	0.0495089521095758225
bf36f36c-6594-42a6-8f69-c7bc23aa05c0	0	0
ebfbdc15-1833-46d0-9d2d-e9817f6e83b7	0	0
43555eec-f322-41fc-bc84-9a8cec645841	11.1837229437229446	0.931948952669552799
80cce4f9-f35e-4ff6-883a-601545fbbc95	0	0
555878d2-986e-42b1-b797-6dece17b5cf9	0	0
8e669bd4-125b-441b-8fa2-9ee1ba45953a	17.1436818181818182	1.42859729231060628
72cda3bd-d59d-4a67-bb82-0d8ed031b5bc	0	0
efc44790-6e5b-4718-ad82-6118f1fb7e77	16	1.33329333333333344
164d453c-2534-4174-b047-e273ece3b381	0	0
5ec716ee-adf0-4cbb-ad0f-5e25c6c765d3	0	0
3688bab1-265f-43ff-aa9b-ea1104f38148	0	0
f493d5e1-f382-4795-bc83-6751aaf9fcbf	0	0
869f4fde-9714-47ee-8bd3-08ef2fad7dc6	0	0
7b99361d-9fad-4f8d-b7ca-bc0dc0f2cbca	0	0
7c6affe6-ba03-4fc3-9b8c-f85eda2047d8	0	0
d6e32639-c0d4-47b4-87a1-32e781c14c79	0	0
962f8b64-2a39-4f4c-93f6-df572ecba638	0	0
c773f1f5-6c0d-4e51-8556-0f6f12214015	0	0
425f078a-f78c-4050-9ab6-3cfdd75b109c	0	0
259084b4-441a-4cc6-a1fc-a0a3556ab48c	70	5.83315833333333345
f76f86bc-7f77-47dd-a097-f8c5f03527ce	0.594125249072381956	0.0495145632924837223
522718fe-d888-411d-b4de-aad8f8a7a15c	0	0
69336211-b917-4bbc-b53e-236ca1c92d05	0	0
f9e23ca6-ddb2-4d6a-9f61-ec78d10aacf2	11.1837229437229446	0.932054576719576811
2e885889-a492-41af-9545-aa8753da6e69	0	0
1d0217f3-826e-42be-90b8-8015f4cc0c68	0	0
d4157ef5-41b9-4dd5-ac73-253ea646f316	17.1436818181818182	1.42875920486111108
da388144-7121-4b78-ae12-9529820b9aea	0	0
db1cb11b-3f12-4bc5-b3bf-9243aa7b4981	16	1.33344444444444443
3ef97574-eb2a-48a5-86ca-21c20ff02ded	0	0
a1ac8538-a80b-490f-a286-9367c24531f9	0	0
39fc6e4a-af20-4ecd-b15c-edc302210578	0	0
e8f94916-1735-440f-9446-a2640da933bd	0	0
3dd94294-bebe-453e-af6f-5b6647297e65	0	0
722e8387-6455-4703-895e-bd7d97c4c279	0	0
153fe886-ba0e-4692-8347-9e36d57ce343	0	0
8c8a1cba-f59b-48b8-9ebb-553cad94afce	0	0
e95b99bb-aed7-4175-9b78-6e31773e46c1	0	0
db547798-dc5d-4c2b-96a3-d8a418f94e95	0	0
3df7a462-c319-4bdb-bd13-fc04f067df79	0	0
6871bcbb-36fe-441a-8c0b-d09184d65022	70	5.833819444444444
914dc7a1-8eaa-42f1-8856-0bae9081f74f	0.594125249072381956	0.0495142332229009038
c3d3eb4b-5a8d-463f-84a7-9037fd17a706	0	0
aa81991e-d8dd-4221-96e5-cc71df0a900d	0	0
f40ac0a3-3bf5-42bf-99d9-ebdf4310984f	11.1837229437229446	0.932048363540163516
0e0871f1-f3bb-4216-88ac-6550e89cf430	0	0
6b30978a-67f0-4b2e-9fcf-4a1938e39eff	0	0
d233b186-d4d9-45aa-abae-97eed2335334	17.1436818181818182	1.42874968059343432
622acc87-89c7-462f-b1fb-294ae1859093	0	0
04862f9a-889f-4902-80a0-72115fd28f3f	16	1.33343555555555549
195764af-df33-4502-9222-427d8a7b5e33	0	0
5f6aa71a-a13f-457c-8473-9f8932148f24	0	0
841ded7f-ebb3-4c59-90b4-7147a4e1ab80	0	0
5877912b-b9b8-4db8-928a-d5c99067c46e	0	0
86a7c53d-8201-4a1f-a86e-5ea6b9e5b700	0	0
0824c559-914d-4125-aa40-3551ea4f6af3	0	0
0aa6c13b-e6b7-47e2-a29c-53bbf6a63fae	0	0
af482664-1e67-4854-879a-932a0312b117	0	0
1fdaa131-50dd-4afe-ae5d-1a9d51f3d334	0	0
e5f7f371-291b-412f-b01e-f6d544705c1d	0	0
858e998e-a3c2-41af-bf6d-e89f48ab12d2	0	0
092f0807-79d8-4cd1-94f3-6457e485de23	70	5.8337805555555553
94e12f46-742e-4483-b271-ca9b0f0eed8c	0.594125249072381956	0.0495112625966555447
4383fdc1-c2f8-4e36-9f3a-4423aeba9f85	0	0
0d1a3852-c010-4397-b6fe-2d8c668d1444	0	0
90693b7c-862b-42a6-99fd-2cfcab4ffd47	11.1837229437229446	0.931992444925445085
5b1dc9cd-e1d3-46ce-a2db-611483df1e4b	0	0
773d50f2-b1fb-4ac0-8a60-f4c55b2d15e6	0	0
198fe6c1-4b60-4a42-91d9-8724ba7165d0	17.1436818181818182	1.42866396218434355
bc2a73ef-282d-4f69-851b-c563032118b3	0	0
8d2b6143-1c62-41b9-ad3b-e6fd93bea750	16	1.33335555555555563
3cbb1427-188a-4c28-beed-b457d617da3e	0	0
17ae3bf8-704f-4495-837a-706051763589	0	0
ac32f6fb-2c81-4f75-b237-3eade64db916	0	0
24cd1e83-2756-4746-b5e5-bea524e8b9da	0	0
cd9799e4-53b6-4466-8c78-449cd21ae47b	0	0
fb9376ab-bc04-4d63-a3b3-52f850d79bd5	0	0
f44860f3-939a-47f3-abf5-a4fdfe314610	0	0
7e69e897-9db3-4ae3-a6df-0ef0808e057a	0	0
ee16a63c-c94e-4500-8e71-88875ab659d4	0	0
a666041c-16ec-4ed3-8f1c-bb44ff9ddc92	0	0
63fbfbdc-809d-48dc-9233-c4736da622ec	0	0
346b71ae-0ca1-4414-84ff-8259b3718d9f	70	5.83343055555555612
900d0060-7a51-4962-9a0d-90f36999eb29	0.594125249072381956	0.0495162136403978145
14ee8f29-9ca4-4b0a-8ae5-2e79e5623768	0	0
c515d213-7e80-4927-b42f-873ce17c815f	0	0
c8e7fecb-bcb2-4e2c-bc2b-6b2ba7d6cfc3	11.1837229437229446	0.932085642616642729
565b5754-ea15-4522-866a-d5506cae8416	0	0
369f20a6-e2da-4095-bf59-6352918a12d7	0	0
eb5d3dca-adf1-43d7-bb21-42063b3909e3	17.1436818181818182	1.42880682619949506
569c4e2f-3a11-4b10-98fd-3862d0a96cdb	0	0
682c0985-a6c0-4f35-ad3b-a81dcbb508ba	16	1.33348888888888895
6404b318-865e-4ca1-bc5b-e63139e70f27	0	0
e243261a-391d-4622-a617-be18e5161630	0	0
0c8a43d5-5a2c-4dc5-a059-b0daccf08392	0	0
94a624e7-1491-4bc8-86a9-f5c749983fdc	0	0
545281cb-d754-4780-b053-7a125a2008e9	0	0
c14b5465-90fe-48c9-8a06-92347ed4dcdd	0	0
89b5028a-9409-468b-8ceb-bd3813b2acd8	0	0
056ed894-af2c-4ede-a7bb-1cb73dbf0acf	0	0
40fde35c-2225-4d1d-90a1-3c3d12561941	0	0
078e3519-5492-49b3-a916-a0185703483e	0	0
a597b236-ca9a-4eae-8b13-3e9d069e52fe	0	0
26119269-be82-49c6-b829-ee88d243dcce	70	5.83401388888888928
f19b643b-fe5c-4e32-8d3d-b59eb1ea5716	0.594125249072381956	0.0495142332229009038
a2f6b9b6-9a58-476d-999e-51509e6bf254	0	0
5ab508f2-6a82-4f69-875d-e7a32bad62fa	0	0
1d96c813-b1c3-4e29-af05-50d9d8fdd5eb	11.1837229437229446	0.932048363540163516
f8c7542d-e93c-460c-afb0-bd47d0cf8aef	0	0
563f9d3b-10c3-40cd-8982-4163a2727451	0	0
8a2659dd-e309-4137-bbc3-4a44f687db0f	17.1436818181818182	1.42874968059343432
291fda72-8bc1-40c2-86de-a162fca31244	0	0
da829a4b-89ef-4946-b0ef-4ff943991c63	16	1.33343555555555549
1bd87089-e906-4473-a022-bcc841515305	0	0
9efdf573-8132-4ff1-a2a5-f0643951b0b8	0	0
ffd48675-5ca2-4d49-9673-2e8809af07a4	0	0
85a456b2-8f35-48c3-afc9-bfb382ead6e1	0	0
3679836e-b285-4a1a-b29f-c2f5b6cc34d3	0	0
37525a23-5d5a-4171-8a5a-d35882325c0c	0	0
509f9ce5-89bd-4822-8af2-26ac62d5f0a3	0	0
06ac81b5-51ec-4f72-bd72-feb4cd7e9eca	0	0
93bb32bb-30cf-4279-ac2b-c866f131a168	0	0
e5a5f7c3-bf4e-4a16-b42c-86975148da00	0	0
c84148cc-5706-450e-bec8-4e2bb4da4be4	0	0
8cec17ad-c549-40ce-9fd6-737b3aea9639	70	5.8337805555555553
38c7f65b-2fa7-4f7f-8a85-e2ba9ae64ac9	0.594125249072381956	0.0495152234316493592
b146788e-b26f-4ae9-bad7-f9bfce0e8e1a	0	0
2d1bf72f-a4ce-463a-b0f1-39b17afdeec0	0	0
6c20732a-b24b-488c-991d-be6f716b56a0	11.1837229437229446	0.932067003078403178
dfec116c-8460-4865-980e-25ba6caf4752	0	0
c50d22e7-bdcc-4f78-b9e5-f0f0355118e4	0	0
f8c4051f-2b1c-4bb4-9ded-80261909ae41	17.1436818181818182	1.4287782533964648
384e8540-e870-49f8-a3bc-035a141e8d1f	0	0
f931ba9b-9e23-434c-8321-6d42cb710161	16	1.33346222222222233
6667215f-09b6-497b-aab0-aa23e38b24fb	0	0
c64cd871-5dba-40e7-b80e-2e62d282f62c	0	0
bb7c9ad0-b731-419e-a11f-7b7442412156	0	0
df697f2b-50a2-46e0-ba2f-c8250a0ba35b	0	0
50e5db28-2587-47bf-a474-e3e52913a147	0	0
6be5f536-9a44-40e5-8510-ad20139a726b	0	0
e9ecc69a-6e0d-45fa-819a-95a1b51511c3	0	0
06050c3c-9bb9-4309-a5ed-d6c9b04ddb6d	0	0
3a5aec15-6fc6-4435-aee8-3811de1e2d2c	0	0
227b51db-638b-4bf1-b260-f56eaa35ae69	0	0
0e02c4d9-553e-462a-8377-80b201188df7	0	0
1cec7a66-63af-4c46-a8f2-12f3ea468b8b	70	5.83389722222222229
106be18b-dad7-46e9-a4e6-9be40d18837a	0.594125249072381956	0.0495135730837352669
0defa4a8-7fb7-4257-a731-52795cc5a1b5	0	0
3202812f-ad2e-498b-bfef-4a538649b8b5	0	0
17ff9e97-5c82-4946-bbfe-72e2dfaea752	11.1837229437229446	0.93203593718133726
7abc52ca-ed67-4805-9661-9b0db2555431	0	0
6774020b-f42d-4f56-951f-f66e95435971	0	0
568e655b-b92c-4f75-887e-31e0681b59df	17.1436818181818182	1.42873063205808082
35668541-8e46-4de2-a7b7-185e5f100770	0	0
d7072292-17e0-4f06-9c80-739626e151fa	16	1.33341777777777781
780148e8-ce4f-4325-8a70-dcb6b92bad26	0	0
d5185121-3bbb-4928-8993-7c9d4f4e063f	0	0
79fb83d7-cde9-40cf-a6b5-f5e0468e4ee5	0	0
6c86de72-efdf-4839-961c-522c03fc3d1b	0	0
c51d0768-290b-4a15-9132-05e0fe929f2f	0	0
c7f978c5-876e-4942-9a6c-318402622f21	0	0
7c5682e4-a88b-4aa5-8c85-50f0b1e22017	0	0
4aa2bd5e-84c2-4e0c-9948-f62847c7bd77	0	0
fdfc5abc-ca75-43a9-b0d6-67172f546407	0	0
f113d6fa-f45b-40ea-86d6-72f287a120ca	0	0
cd4408a5-6b85-43e4-a2f5-c02897e59dc8	0	0
8d356064-4d8d-4a00-907d-286697db9718	70	5.8337027777777779
0fb35131-bb8c-48ab-bef5-5c7f34bb4820	0.594125249072381956	0.0495153884664407615
6e5d8de1-5e8c-4213-81ec-02cca54e8232	0	0
c4d557cc-9740-457b-8fd1-08246ad3138a	0	0
9b1df4a3-06e0-4f4d-ba30-e31795421cba	11.1837229437229446	0.932070109668109659
dcd42611-5aef-4282-b275-b9365d4bfb58	0	0
8ed83855-2746-4571-bbc9-f6b317959390	0	0
fc3b5c04-8b14-4d7d-826c-648723542c6b	17.1436818181818182	1.42878301553030296
ede7fb9c-4293-4a43-a170-3af44274e11d	0	0
6c61f9fb-b64c-4381-8196-a553fc153993	16	1.33346666666666658
5f646fc5-15e8-4482-9b9d-a14796624711	0	0
599fdaa6-e793-4320-9434-852d43ce43b3	0	0
26265a81-7ab9-4977-98f3-e6cd7580dabf	0	0
25e75c6d-d7d2-451b-b099-94631af0e26f	0	0
cde4f175-18fb-4ada-8b3a-406ca40a125a	0	0
70f3a4ca-e731-4fe1-9d3a-8d16832e1174	0	0
a6c35791-7224-46df-9818-2ebfe25b7d17	0	0
786fa88c-d50f-432e-b97e-bb57d1afbbd5	0	0
3b337812-05a0-42b0-a421-0287da5dfd75	0	0
235ec6f6-f79d-40b0-9381-0a416ffac3af	0	0
2e6b8a51-87df-4534-89d5-731ebbb0bf86	0	0
1fd384cb-434a-4024-b011-0d03d08d6d94	70	5.8339166666666662
ae4bf76a-355f-47e1-95c2-278918a2259f	0.594125249072381956	0.0495137381185266762
686917a6-3f72-444f-ac39-91665c4b4a03	0	0
70d8f583-a5d3-4d79-97b6-126864ba6136	0	0
4b60d76b-8582-4bfc-8bb5-e433bc953b17	11.1837229437229446	0.932039043771043851
6b259cd4-34a9-4951-a90f-54e697955d5c	0	0
03bb6b85-e55f-45e3-80cf-50ac2f916164	0	0
3a2a01b0-429d-423e-80e4-c9798bb1acd4	17.1436818181818182	1.42873539419191919
af2c5adc-df9d-4a6f-b6e4-51c51e7d0e3a	0	0
b7b8d20d-c44d-46c6-8f12-6eee8565a4ca	16	1.33342222222222229
29ecc5dd-bebb-41d1-ba3d-42356285db30	0	0
89ca3a7b-3744-46c1-864c-5184a86cca3f	0	0
ec13037d-7cc2-4ad0-8223-7349f8ce8d5c	0	0
b90e4f08-02f4-4d15-b511-c65047755c1d	0	0
33e84650-3714-4e8f-8adc-b4dd65843c22	0	0
04e1f4cf-19f7-4d05-a61f-1285d3e1e4ae	0	0
3cac9cd0-9032-40d4-80bf-8b28111c2f22	0	0
69140a14-f711-4b9f-8043-b6183e19fec2	0	0
353e361e-fc49-4e75-87f6-58c4f1140e15	0	0
996bdf2a-ce71-4674-b346-22ee2bab7db0	0	0
e3ee35e2-b7ea-45fb-b889-df24f227f17b	0	0
3c1a4995-4997-4f10-ab12-9ff3684b21e5	70	5.8337222222222227
c085b25c-b666-4d1b-ba6e-5f7ae8d50c74	0.594125249072381956	0.0495074667964531395
b30ecfb8-db5d-48f8-a6ee-e18536431889	0	0
ba664694-4770-4995-a634-c3f86c305a2f	0	0
ae2ab9b9-91be-4d63-b459-66c76bf86bf1	11.1837229437229446	0.931920993362193473
dd22c227-890c-4b07-b8f7-d65dae6ab830	0	0
8b98436e-ffb2-4759-8703-d73be471c041	0	0
a303028d-cd9f-49b5-a975-7f6165f66d2d	17.1436818181818182	1.42855443310606067
535df116-7e20-40d0-a75d-6c3711367685	0	0
0ae5d27b-7d53-4941-8d0b-24253aed0ed9	16	1.3332533333333334
7b78645e-2f9b-48ca-8bd0-328265664f08	0	0
cb3c2e44-0a61-42f6-b654-0045a00aea10	0	0
42808dc8-540c-442b-aa84-f6654d46f3f3	0	0
9a0e75e9-b783-437b-9ff3-b906f3c3ca84	0	0
c2fb4af1-d13b-41f1-8d9f-e2faf8f32137	0	0
56b4a3e4-df0a-417c-946f-17b6f8dcde8c	0	0
ffa024e5-6772-44cc-8a8d-2c92c5cadc8c	0	0
7d3d6694-b496-4cdc-9da5-0a2df9b3cc37	0	0
95d5e48f-8d7f-47e2-9e28-208d9ed5f8c1	0	0
c4498115-fda6-4aa0-94a9-cb4a285616c3	0	0
d2aa514c-9fa4-4dfd-9ce5-3bbafdcf0b50	0	0
2b58199f-be02-40b6-8c3e-5878add0352d	70	5.83298333333333385
d3e15d73-285d-4887-a6e8-c7ec53e6bbb8	0.594125249072381956	0.0495124178401954093
3ca07b7a-484d-4648-8ea8-9f72e7c14eef	0	0
5316dc31-b816-4845-8702-23d10472dcf4	0	0
645e3d83-f933-42dd-a4e6-d59966cc68b7	11.1837229437229446	0.932014191053391117
c3faf386-22f5-4d5d-81e9-cd8206ad4646	0	0
3e5a4380-0931-4f39-bea8-0f7490432677	0	0
4eb0007c-e836-46d9-b03f-75dd9fdb7c91	17.1436818181818182	1.42869729712121218
c0e0d857-bda6-4f70-8e90-01a9ab765010	0	0
c21cf4b0-4146-4a5d-b382-31613b2be1c1	16	1.33338666666666672
017d86c7-f917-4b88-a1ed-de9e9f914b54	0	0
712c0127-06cb-47d0-899c-1c393025dce3	0	0
e925e022-36c9-41ae-8f05-52e6d7c397e7	0	0
1f3e0cce-0f8c-4be0-af04-4fb140992aed	0	0
faf392f9-7a3c-4515-a65a-aa8e5635b2a3	0	0
47c0b75e-ff44-4803-aca7-4e2264c67bca	0	0
68c9e0c4-64ef-4eec-b8ec-a5b6fbd6e5c1	0	0
8cbaac13-83d0-4c2d-8fa4-e30f9e1b0bca	0	0
51375c2a-fab1-45e4-9e37-478a7f6fd4c0	0	0
0d5c0bdf-4617-46e6-9800-93f1f6e81f10	0	0
3c051c86-67b3-4290-9f25-ae4885845340	0	0
0bc2d6a1-c0fa-4474-8ef1-9a1a89208001	70	5.83356666666666701
16075ab2-9064-4f6e-9aa4-d39c3fefb08e	0.594125249072381956	0.0495209996493486751
aaa23210-1a1c-4fbc-a928-566a0f4845ba	0	0
da6c1fc2-67d9-4d3c-8fc1-84455c096853	0	0
ff224f85-ed05-4bd6-9543-0fc901c24bff	11.1837229437229446	0.932175733718133781
9f93330a-68bb-4203-8638-9de4a25ace2e	0	0
a98ee510-3ac0-46ae-baf8-42af48888db7	0	0
d6df4cf8-a988-45fa-a881-6ce28b72548d	17.1436818181818182	1.4289449280808082
72b46be1-60e5-449c-a6e4-6e3715b431ab	0	0
0def7c38-14b1-4071-9ca7-9aa9df95d27e	16	1.33361777777777779
26566f98-dd0e-4ff8-a2cc-a84e9b725709	0	0
ab78f8cc-4004-4a97-9440-0852f92a55e6	0	0
53aae7c7-3fb7-4fc7-9f19-2fe2538fac57	0	0
5ffb4c28-793e-4194-bee4-118d43f7826f	0	0
13b85623-d444-4258-a68a-4d64f8597ca3	0	0
b9c97590-7a82-4193-b58a-62ab224591ee	0	0
9f29d9c0-954f-4621-964a-07b7caadcb62	0	0
c76bb216-5baa-46d0-bb64-c1f97cdcf6ec	0	0
099cd84b-9994-4cf1-9770-5fd8d831da7b	0	0
304dffd6-f9f9-4507-90b2-a186dd643d9b	0	0
6cd11e5a-5e75-408a-8b6c-8d5112e4dfa4	0	0
221cc4c2-b6f5-45df-8427-b8a7ff3ae514	70	5.83457777777777764
0cc5e267-8456-4ab3-9e0d-643f5f64c3ca	0.594125249072381956	0.0495132430141524485
982783ec-eb67-4069-8976-91bf6357d4ee	0	0
4000a0df-8db5-48d4-b413-52e49268ce60	0	0
3066885b-2565-462c-993c-ea7fd9d570a7	11.1837229437229446	0.932029724001924076
dfb9628a-3a13-4909-af3a-857a26345071	0	0
d3a74fb1-e7bd-4cab-aa62-20d9a7fa3396	0	0
889f83d7-9150-4050-bad8-602be9a11d12	17.1436818181818182	1.42872110779040407
01c4c018-19e5-4174-8494-1783b9888db8	0	0
92184ae0-321c-4efc-8357-bba8b413261a	16	1.33340888888888887
4ebc7fbf-bf53-4f70-9707-aeb814ea4451	0	0
20dea8e0-baf4-493e-964d-7d46ae5793bd	0	0
fdb228cf-bfbb-4e2a-9862-59687f381f93	0	0
905a3167-11f6-4a5d-ae5d-e8999b9c48c2	0	0
fe897cb7-f269-47ec-96c8-2068d4f89698	0	0
366d0a2c-7cfc-4e85-ba8d-78a219af8ebb	0	0
2e36afcc-a41e-4e5c-8b35-a36ff17ed7f4	0	0
42f32dbf-15b1-4121-9c5d-b083ed777656	0	0
f55418ab-bcc5-4f7e-98e7-f96538d35269	0	0
ac3afcdc-286f-416b-adb2-ada573216eb4	0	0
710826bf-6fd6-4c08-b631-8599ca05db68	0	0
a2c2660c-7cf4-4a89-aa25-e001f2290700	70	5.8336638888888892
7c2d3914-4ac7-4911-9b86-0ebc2ab6a002	0.594125249072381956	0.0495134080489438577
d2347771-71d1-4a3a-8755-1e695eb78b27	0	0
1e32ff85-a187-427f-8fb9-680db5296ec2	0	0
b8fba279-c8be-4988-ad02-dfb2f6943ddc	11.1837229437229446	0.932032830591630668
8dbf7b5e-e86d-49f8-8576-3502f9a37d96	0	0
a58aa6b8-a3ff-43da-9576-ca7020a74e91	0	0
93582bb1-ed03-4b36-ac00-80860faa8f12	17.1436818181818182	1.42872586992424244
915cb2cb-74be-4c03-a502-0b97b763e85e	0	0
98910ed9-90c2-4cca-b029-0094caab3d2d	16	1.33341333333333334
eded0556-1379-471b-b842-6907831adc95	0	0
4c9999f1-d081-4275-a32a-32f0e66b667f	0	0
bef853e0-65fe-4a40-8e19-358756481642	0	0
347708da-fd87-42c8-aab2-82b9665e91e0	0	0
5bd265d4-3f1c-4a9b-b12c-f159865063db	0	0
f0f2b143-d0d0-4781-8bc4-fd8974250169	0	0
bb86a4b1-70a5-4057-917e-c55cc9013195	0	0
50318b0c-60c4-429e-9b08-45ae6f5e036e	0	0
cdbfd525-fdae-4a56-90b3-2d8442b6cc4a	0	0
377bd44c-6f9b-49cc-99a2-14ecf2971377	0	0
3b2ea5c5-6a2a-4599-b73b-427b96740d2e	0	0
bc6a8128-f9a9-418a-9b50-563e194215f5	70	5.83368333333333311
4d9e3e2d-af7d-46cd-a44d-83b9fd2c7c18	0.594125249072381956	0.0495153884664407615
b03a88d9-bd6a-4e32-ac8c-7273f4451b97	0	0
b8bf9804-6061-4db2-9637-ecc874e9c9cc	0	0
9074a25c-250e-4906-a94a-fd5e76c6ce1f	11.1837229437229446	0.932070109668109659
2269cb11-eb56-4222-ac36-154a3b91a898	0	0
b9289785-adbc-4df6-8930-27f8a3d0b8fa	0	0
54374a80-787a-408f-80e1-60d591bcc0f1	17.1436818181818182	1.42878301553030296
c7d716fe-ba27-473f-aed7-9894cd0f075f	0	0
ba55e96e-19cf-43a3-a132-94bf87e4727a	16	1.33346666666666658
b9d35185-a944-4d63-8c94-cea40f7cca79	0	0
038e875d-1318-45a8-9feb-7dbfc308e439	0	0
67cb5e83-880d-4944-b053-d976fc1ebcab	0	0
6cadf57a-5526-4bd5-addb-f3affaa123e1	0	0
a7dd6c31-858c-47ea-b233-c99110fdfe3c	0	0
75189cd9-ff06-4096-abaf-e84ad80ea639	0	0
d038dba2-ae67-42b7-a2bc-4599d3455b2b	0	0
a9402c98-e48c-4302-b16d-6266e05e1058	0	0
2c9ec927-03be-4567-b42a-0eb49684393c	0	0
5dc3c541-7a22-40d1-86c7-53d9d5ee2306	0	0
aff01bd7-dc00-4f1b-8c24-c08d70e913ac	0	0
3a6e3711-d13b-4ad7-9b35-0943f42d1412	70	5.8339166666666662
310e130b-f352-492a-82bd-ec11a58e00f5	0.594125249072381956	0.0495145632924837223
d9cfb49d-f106-4f39-8f61-63e63c562294	0	0
e37f762c-4d11-4110-803f-d1ce57e4dfb5	0	0
c4db1976-9ecb-4eb8-9c23-eb098dd3934c	11.1837229437229446	0.932054576719576811
5da53adb-d514-40f4-8be9-1908b9246cf2	0	0
19dc7168-d773-48c2-af7e-3c47e8ff5c17	0	0
18445936-9c13-47a5-891c-28f4f7045d32	17.1436818181818182	1.42875920486111108
f86445ed-671e-4d9a-a618-d0cc0360a343	0	0
05301a61-4d9b-4879-95fa-e94065bfc134	16	1.33344444444444443
02a2951d-0005-43d4-8ce0-a4d37c897da1	0	0
ad1226fe-c836-4af2-a5a3-1fd4a9b63686	0	0
bd700452-4d26-49a7-aa16-2f60f25c9e5f	0	0
8318f8f6-71f3-4877-acac-8a66c2a0b69a	0	0
d20538ab-e3a2-4bde-a568-3b6f3704f2d4	0	0
06a56701-cbc2-4918-9dd6-bdf0cd91848e	0	0
ebf9a5dd-a630-4e6a-a39d-f6827c3b67e2	0	0
c029c0d5-fc7c-4221-ab3a-23b4aa99b28a	0	0
daed5909-9498-48d3-97f7-aafcad43ad46	0	0
e0d3c932-f294-4085-8feb-1bc7ab85a0fb	0	0
a87e92c5-79d2-4664-b30e-820988578189	0	0
33ca1028-17ad-4922-b208-97443150f0b3	70	5.833819444444444
397eb608-a78d-46a3-bf04-e8825a81c2c2	0.594125249072381956	0.0495135730837352669
7a805b95-233b-41e5-a763-b65d66cf69b4	0	0
72d31614-ca7b-4d95-8fa3-6128cf77b58a	0	0
2b70d60b-ba36-4c7a-8939-d0a43966478e	11.1837229437229446	0.93203593718133726
7759d18b-a2e7-4694-9ae5-b154fdaf28a7	0	0
7c82437b-0258-4794-9467-80e8896b261f	0	0
760941ab-a396-4656-91c8-61458d680ec9	17.1436818181818182	1.42873063205808082
c75e4b87-1351-4c87-adea-aa5568a8c0d2	0	0
15c2e7b1-077b-4531-aa84-2bf2607615e6	16	1.33341777777777781
f6ce0af4-0475-445d-8bb2-f222ba571095	0	0
4dae3f3c-ea8d-4530-ad5b-9b429d10dec2	0	0
761021a4-0a7c-4035-bffe-027dd1912555	0	0
7d09817f-1ec2-4a05-98f5-8b6f9577cb05	0	0
fa655769-c23a-4cb5-81ee-b1607d8f3dda	0	0
1313b83e-6233-46c9-a09f-7dd8a5bd239e	0	0
be9845c5-c0b4-4283-b220-1a384b7e0d8e	0	0
b6b8e42e-a0c6-48df-9325-2016e390cad3	0	0
691d6e8b-d9ba-495d-a717-54e87e1e1a93	0	0
b91b4635-3a3a-4d86-b793-fab0b7f9be99	0	0
b0d66a97-3e38-4427-84c2-87a153c9a287	0	0
b3b2fc7d-8281-4a56-8207-867226d45c7a	70	5.8337027777777779
0fab8d35-2b72-4039-8519-5c96f777a193	0.594125249072381956	0.0495148933620665407
97087d66-6ec2-4d56-99fd-d4a10c47ff0e	0	0
fb9a55ed-2550-462e-90b5-0f3147bfe0dc	0	0
3bd71916-57d8-4cdb-93e6-bb8be5d6676f	11.1837229437229446	0.932060789898989994
539b256c-4b17-4f3f-b812-3883ca14a363	0	0
02d9b1ce-4e57-43a8-8b8c-57e6a213640d	0	0
b52729e6-fbb0-4661-bba6-8f9b26147e86	17.1436818181818182	1.42876872912878783
607d7e77-2734-4288-8384-c5b6b581ce47	0	0
c501946d-80df-477e-b578-0ae70977be96	16	1.33345333333333338
bb200fed-f8cf-4f95-af29-0fa3ffa74085	0	0
340852ee-0ab3-45be-87f4-f02538b297ad	0	0
d1daaf3b-4fda-4b2e-abcd-b87bf2a95a92	0	0
27e18f67-b832-4849-8b1d-48450b602e92	0	0
ad5ef295-fb5a-4f33-8297-38692928ebc4	0	0
520cc501-f65e-466d-bdc1-dce8d1378cff	0	0
e7470661-3d6d-4139-9f72-f7d801cb534a	0	0
37f1ca02-24b7-4196-927e-86e472685cb7	0	0
e50d5423-f155-4ab0-b9a2-43a011de267a	0	0
b5b2e482-239b-44f1-b82e-3cfe37815791	0	0
28d79851-2a59-41ac-8bb9-708629362fa9	0	0
1f470eb8-0d96-4786-8bcb-6cd4949446e2	70	5.83385833333333359
ce5d7e5a-497b-48ba-8039-0ccdb02e708a	0.594125249072381956	0.0495087870747844064
0b4bbfc1-d9ae-4070-b447-bd7176e19f01	0	0
ed416cca-1d93-435b-a508-f7248c87400f	0	0
7f00f662-8d71-457e-96c5-104c37ea88df	11.1837229437229446	0.931945846079846207
8f06102b-03c7-497a-81a2-3733a1c75110	0	0
c2654c1e-35c7-4d2a-b2fe-4af010f17d1d	0	0
4d0b5c02-2d30-4c60-82f7-a654eb068e6a	17.1436818181818182	1.42859253017676768
c326b48c-3a1c-4aae-9f04-9507e088b638	0	0
a6dce4ab-5d36-4e46-975a-a9893e5fe107	16	1.33328888888888897
e2ef847a-99c4-456a-b84d-166c8e4df524	0	0
8d2b3f72-7f06-4bc2-b468-b2874241c8f0	0	0
449e5294-b5ef-4e09-92cd-2d5981dd18a3	0	0
1fd578b8-ef83-4112-baa9-fec63b93bb40	0	0
cc0c5495-e27f-4164-806e-3c14826624e1	0	0
33296810-ade8-468e-ae79-a88d715dc9a5	0	0
1918b4d4-2c5b-4592-92a1-5aab0d67c651	0	0
1c2e393a-ca06-4841-baa8-02294c43cf94	0	0
fa618fe7-57fe-4419-a203-423032b28254	0	0
bf3dd07e-f452-4019-af9e-3a453aa64462	0	0
4d8a73ef-56e6-4563-8e9e-b2aee1d198eb	0	0
ee2790f6-dbca-45f7-95a3-a4bb5f289083	70	5.83313888888888954
b3e217b6-ff30-430a-b265-09270d572659	0.594125249072381956	0.0495119227358211747
a560bf55-ecd5-4538-ab76-be12451cbff7	0	0
6e0aae48-6cf0-423b-8a2f-01865d1ce490	0	0
da9e65d4-71dc-427b-b0d1-d8a03456ae40	11.1837229437229446	0.932004871284271341
f3767fbf-6b61-4baf-99bb-ae123faa3a91	0	0
77972d80-b680-491e-a9db-2991eba764a9	0	0
cf9186f3-fb52-44e2-9d45-00a045c17587	17.1436818181818182	1.42868301071969683
1541548a-160d-452a-b822-a3cd2365b3c7	0	0
fc641bd6-4c0e-417b-8550-655cf93f414f	16	1.3333733333333333
9aefc039-4f11-48f8-9616-7f3eb9673058	0	0
fb950176-ddba-4b5e-904d-1cc3eb4f40fd	0	0
054277ed-2d83-4b21-bbbb-2c041a9a2259	0	0
3d81e4ff-883b-49f8-b58d-83dce1647851	0	0
3f5b3c8a-1b83-414c-93e3-e0cc80f8a200	0	0
88a64f97-b789-4f2f-8d48-80e9ea6b7423	0	0
5399454b-4665-4a71-ba2b-c739dc613f5f	0	0
e9c98da2-a14c-4f92-a923-f3e3f63dc298	0	0
874668c2-39b1-4f15-9732-5681bfa4de33	0	0
acac5746-c912-461f-bb6e-8428158ea171	0	0
c360e48f-f916-454b-b9f2-d1c4a85a9cd8	0	0
67a26613-0861-423a-bfc7-f638c95fd65e	70	5.83350833333333352
37757aec-f139-4bf2-a944-2865b04ba701	0.594125249072381956	0.0495175339187290883
1d3bb78c-eb1b-462b-a702-9b332cda50f3	0	0
8449c7da-c742-42fc-b4c5-b24bf431fae5	0	0
3dbca9a0-03d6-4cc0-834f-a6a558cab405	11.1837229437229446	0.932110495334295464
40f159d5-b355-4611-869a-5805d640b2dd	0	0
101b1736-b0f8-4586-a935-29b812b19ca5	0	0
c9051e80-96db-4b90-a794-665b9d354d63	17.1436818181818182	1.42884492327020207
f3c0620e-1c72-4f89-a28f-14cddc1b5e4e	0	0
5770a837-b925-4416-bf64-ed906e4babda	16	1.33352444444444451
a7fcdbaf-051b-432e-aa81-6e874e3e10ee	0	0
30b9d7a4-2bd5-42e5-9dff-2344a750cb2e	0	0
8c60e590-89eb-4c58-863c-eeb6e2f230a1	0	0
8f71091b-f8cf-4ebf-a842-e3bc6c722ec4	0	0
21b8bef0-689d-41f4-b9d7-6146d99d75a9	0	0
e92f87cd-0071-4347-bf28-164bc8ca7f98	0	0
84d67445-86ce-4d93-a98e-4f8594360212	0	0
cc0d9368-6c53-42e6-ab72-1914f4af9436	0	0
04b720f1-6146-459b-b1a3-624f09ee1d28	0	0
5781394e-12f4-49e9-9484-268d70d4f1cb	0	0
a7e49092-b5d7-422d-a94e-35e5df2a064e	0	0
f9b14f58-4187-4e73-80bd-00e8d9d68bfd	70	5.83416944444444496
a4267a1e-60b2-4c22-8608-96745f458776	0.594125249072381956	0.0495137381185266762
40dcf291-90f0-48d3-b812-93247a630fc4	0	0
48cc52b7-f3d9-44b0-b3c7-19873ad254c9	0	0
a7959a07-7415-4493-b216-a4b1c7ce1201	11.1837229437229446	0.932039043771043851
ceed62e2-6123-4e2f-a9fc-87b833b05345	0	0
50c89340-e3f5-4323-a7a9-42dc9bf1ca88	0	0
9974bf96-377f-410a-b2e0-39d0bd3a774a	17.1436818181818182	1.42873539419191919
c6206ebd-9633-497d-8232-170dc814ee3d	0	0
e30d43ca-f974-44b6-ba67-8998c3abe8e9	16	1.33342222222222229
2e933534-9224-4e63-bb55-9a40a58e23e7	0	0
053cdee7-fc4b-4bed-b207-184c1cfec792	0	0
86ff4ace-8eb7-4849-8b12-de1c039674e7	0	0
0ef5aab1-73d7-42d7-9174-af9ffa39e323	0	0
e58bde39-5389-4e06-9e2f-0ee5c7409069	0	0
811f9bb6-ada3-4f51-8088-5524649779d4	0	0
c18d4e83-9847-4429-b793-61454db2f749	0	0
91f2984c-173c-4ae7-aaea-0e563a3388ad	0	0
26bf276c-5536-4d9e-8dfa-794efa07039f	0	0
a478ce94-77ff-4091-9a31-3f66708b9ed3	0	0
b7049fdb-4f05-4fca-9356-25c68847ee6a	0	0
45cf0f01-64ef-4d47-81e0-5fbb71baad6b	70	5.8337222222222227
5e4add9c-79da-4347-9431-dcec60a8a26f	0.594125249072381956	0.0495132430141524485
f1ce08a8-5e2a-424f-b44f-22b03108cc7b	0	0
b9e477b9-8fad-424a-9462-94199da650f8	0	0
e0ca4c35-36ea-4f92-b7b9-4c5fa9dd23e4	11.1837229437229446	0.932029724001924076
ba85c91b-fbcd-43c9-8dc6-2d4d44d3cc80	0	0
e085c907-bd7a-4890-83ad-b99b5ae0bec8	0	0
5efa815f-e017-4200-a033-eb0301f38f3d	17.1436818181818182	1.42872110779040407
c515a1bc-3ad4-48db-843a-02535f4dff49	0	0
dd3afd5b-fbe8-42eb-92a1-230862915154	16	1.33340888888888887
9d3d149f-303b-4ff4-a5a3-fbb9fc952669	0	0
914a6633-83a5-42ac-bd5f-21620b22269a	0	0
2c8fe9f1-b8a1-4adb-acc3-fc7e8d974a22	0	0
f3f803ea-8813-450e-b319-41ddd1d97ba1	0	0
9d452d9f-1c59-41ec-b8fd-8daa79c24a62	0	0
dcda9369-4f10-447e-bb4c-db6c9b6dc08b	0	0
206e3803-15be-46af-b77a-18c6caeac63f	0	0
f1e59c63-22d1-4d64-b886-ffebd513d851	0	0
e07360f4-eca1-4cc1-8d63-e79e3e14e339	0	0
8a37d0ba-b9e8-4293-85aa-041c4c557b34	0	0
8b67a1f4-7b5d-40d9-ac94-b71ad8489006	0	0
a9652f96-0fb1-4498-95d3-c2a0d2dc8e2d	70	5.8336638888888892
aaf1b4ec-34e1-4ae4-90f2-ee366bbb209e	0.594125249072381956	0.0495143982576923131
313d1058-83a9-49dc-9a57-157b6f3f54f5	0	0
5535c10d-0d55-477c-9383-6b301018adcb	0	0
156739c8-b257-480f-8a3b-cfa7c1549b00	11.1837229437229446	0.932051470129870219
e0aa4f8e-7df9-4f48-bfa0-7d9ad657dd7d	0	0
d2929e75-0b26-466e-8b71-5e29480858de	0	0
5318263f-0c10-4e23-8f77-a24690f30a70	17.1436818181818182	1.4287544427272727
6ba956ee-f7cb-4c3b-99c2-bce635d301a4	0	0
19184e22-b7a3-4938-a90e-a9896c026151	16	1.33343999999999996
c3326bb7-bdf9-46d5-80f1-7336183fcd5b	0	0
84419a23-5196-44d9-8098-a8b63d391ed5	0	0
c55902f8-1a13-48df-890c-85844afd6c28	0	0
053ef99a-fad9-406f-9bcd-9e933ca92a29	0	0
b5e89973-86c0-4cec-ba91-414b71f455e8	0	0
1df9eb9d-68ab-444a-8738-cba550c03a4b	0	0
a93c6c16-7561-4e05-8497-b81c625f8888	0	0
7727848a-ee1c-4766-9c4d-c867d5e0f77a	0	0
7103980a-ecca-4efb-a94e-26dbbabb0ae9	0	0
f961d5eb-1d86-4015-92ac-3f303b1065f3	0	0
7cc27509-7055-46f6-9663-bf63386af1e6	0	0
671952cc-0fdd-4ae3-92e4-877de1f00777	70	5.8338000000000001
52e6eb1b-b99a-4ef5-96e9-50ca535e8dad	0.594125249072381956	0.0495140681881094877
7a5aa93c-6f59-4612-b864-a0869aef2803	0	0
783acaf5-7409-42af-b7b2-988ea89345a2	0	0
68b09739-135a-48a9-82c7-0f5480ec33a8	11.1837229437229446	0.932045256950456924
57508c5e-f205-41aa-83b8-13552a32593f	0	0
6222b92d-fcca-4e46-924c-124dddda8728	0	0
cc382e13-b150-4ef4-aceb-77fb23de9998	17.1436818181818182	1.42874491845959595
82402f59-d116-4e57-bce2-917fff07f4fd	0	0
1a1ed946-af7a-4d71-846c-62df8b848701	16	1.33343111111111101
b5087983-98f1-4ada-9d42-b5f24a6323dd	0	0
abd41ef5-c988-406a-ac0c-d2c539371595	0	0
9bc934cb-27d7-401e-907c-4f3aced1ed28	0	0
3311b10a-d3a6-41d7-a242-b64af48415e2	0	0
7d1c6885-6a59-4e11-9b44-b81ddf6ed398	0	0
fd9bd92c-9e19-4ad3-9721-5d2b22c5c912	0	0
2f1636db-3d48-48e1-bff5-f69cd9bf8392	0	0
2351d773-be31-4c5c-a814-eefadb5d0468	0	0
8b95a5cb-f86b-4bb4-87bd-3e58f5309506	0	0
cc8efc84-a413-4a02-b17b-1200edeec5ac	0	0
16a6c399-0cbd-4724-824e-4564fe3b8f0d	0	0
263f5223-590c-4b64-be2c-e65d66ac0dd1	70	5.83376111111111051
0f906c04-60bb-40f4-bada-b69142c3b371	0.594125249072381956	0.0495622583472009187
401633e6-bb65-4940-a7e3-acaa4a0fb3ac	0	0
32f66f02-b8c6-4632-9e87-d74a065c0582	0	0
52d9b374-ea4a-4548-9ee7-601d915d8c99	11.1837229437229446	0.932952381144781184
34216bfd-5d08-433c-abf7-3db4cce25656	0	0
9b61b99d-8e8e-41ab-87bb-68a7948063ad	0	0
fe8c2783-af6c-483a-80ab-1e53cc605fbe	17.1436818181818182	1.43013546154040405
e75abeeb-0130-49cf-adcb-4cc71ec816b6	0	0
8e333101-5b0c-458d-a9ab-3171583e844b	16	1.33472888888888885
626b5012-a9bd-4e87-837e-3f43f0fdbfb5	0	0
9839f2bf-2c9d-424f-b14a-d0611f7b4bfc	0	0
e6d09fe1-2582-4925-9f2d-ad880b7928c9	0	0
8ad7cb85-b3c8-4477-98a7-62c885fa7e9d	0	0
628aebdc-35ff-4371-81c2-e80478834dc2	0	0
ae963145-1aaa-4114-9f70-8bc8bcb3edf0	0	0
4c64abcd-1cfb-47c3-a9ee-2b1cf2eafe21	0	0
cf41bed2-275c-490a-afb5-92f217fdbf6b	0	0
8748d581-12be-4aff-aeaa-61637d85d1a0	0	0
d16bd97d-f5a1-4f4b-996d-455d5f0237a6	0	0
f7d429a3-8ea5-4553-8324-6d2d332b58b7	0	0
74455fd8-fd0b-41ae-927c-f1f94a4ba59b	70	5.83943888888888907
aaba38a8-74f1-4163-ab7f-abd2fec12124	0.594125249072381956	0.0494620822288156653
c052e80c-48c2-43e2-8b3b-d9469da50c31	0	0
d564ac1a-31c7-40ac-9cff-ef5bc6f7eb14	0	0
c2b45bad-a327-4ad4-bc2f-252af62a543c	11.1837229437229446	0.931066681192881274
b9534860-1da3-4c72-af63-c5648e5c0233	0	0
4a6c7ec1-3cdf-4cae-8f00-014b49d51d03	0	0
49c95449-e5a7-4c09-8d74-4c9fd8f8386d	17.1436818181818182	1.42724484630050519
82613c8e-f9fa-4113-b670-2984f589e254	0	0
db73e686-6494-46d2-a025-76c05040f041	16	1.33203111111111117
a29554ce-dfce-401d-9164-5308baa523d8	0	0
e14c4827-9fd5-414b-b348-3b8688143158	0	0
42de89e2-ccc1-4061-85ec-13f9f1850fb8	0	0
5d0edf45-c71d-47e1-abf5-5da9f79acb05	0	0
14968f85-7b48-4c87-b39a-b9c0f33ee909	0	0
4abc21a3-dc6a-4b7a-9b6d-20e511394508	0	0
a6148755-aeb3-456c-94c9-4bcd6c205e69	0	0
6f5dd5aa-1d71-4793-aa8c-bca70ab92bfe	0	0
f21fb7ca-afba-47e9-a801-594a289df0db	0	0
87599074-994e-46b8-b8db-138830762912	0	0
d35ed491-4c30-48e5-99d5-6b9d493693f2	0	0
90f42bb1-e887-4108-b951-81515b7756a4	70	5.82763611111111146
91ff0e94-3925-437c-ba67-506949a0b738	0.594125249072381956	0.0495168737795634445
9d910de4-f31f-42d5-a114-d18d6b48a7a1	0	0
90d0c2a6-8c39-4202-acff-626044944821	0	0
0f78f5ed-21c6-43c2-925c-1eeec42b1b16	11.1837229437229446	0.932098068975468985
17bbf320-77ee-4f52-997c-2b5de07810ef	0	0
58cfe8ed-d44a-423f-927b-84690a3bc024	0	0
a4dc5964-26a2-4d7c-ab3b-104d876c5c47	17.1436818181818182	1.42882587473484834
4f9a74bd-395f-4646-8537-63a5355c1714	0	0
2b4b5b0c-3db6-483c-8304-6d7a02d23d07	16	1.33350666666666662
5999deab-293a-40cc-9981-61eb5eea12ce	0	0
fb236ac4-8207-41a5-a024-4ee0720ed09f	0	0
66c86760-9e65-4524-817e-99aedd5059ce	0	0
01dbde78-7721-40dd-8662-477c85844bc5	0	0
3cf88ed6-7e6e-4bb2-9b02-c1007da49bfa	0	0
8870ab65-23f2-47a1-834c-b89ba7b8118f	0	0
33a95bdd-ea66-4df2-8e5e-644d30f45900	0	0
baaee161-53cc-4048-a9eb-79ba6d6256ef	0	0
f22e44bf-b065-4fbf-83f2-25cfe187fc85	0	0
fadaade3-10a7-4850-98dc-1538d5de9414	0	0
61bf1dc2-eb51-4920-af04-4caadce2e0a6	0	0
bf472a64-699d-400e-9020-aca736d84a62	70	5.83409166666666668
2e4322c5-652c-4e0b-9cd7-569bcee84fd3	0.594125249072381956	0.04951291294456963
eca0eb9f-acde-4f8e-8304-e86fa3dfa46f	0	0
4b17b4e5-31b5-4390-9e2e-f18f8efa4f61	0	0
bffc4e50-919b-4610-9c49-6259a9112b3b	11.1837229437229446	0.932023510822510892
15c55aeb-608b-4665-b04b-51f203db6d42	0	0
ef3b1847-4d46-47f4-843b-bca3155773f6	0	0
efdb3ff0-3f31-4b62-ae5f-a80d21162e22	17.1436818181818182	1.42871158352272709
4abb5699-9132-436f-b006-d9695470b975	0	0
15fd4952-f974-4d27-aeea-0db10f61eb80	16	1.33339999999999992
68f2d262-f865-4d6a-8119-842593ba3833	0	0
5721bdf9-0710-48fe-abb8-e33252e5dfc7	0	0
6686ef52-39ed-4874-8085-876505c4dff9	0	0
2a263e04-be67-4fab-bb55-a6a0365ed5b0	0	0
ccc602c6-b32e-4e29-9a34-a0f996364698	0	0
b717a5d6-6132-4648-8a86-d1fd758641d1	0	0
861bc7ca-2633-4d46-b2ed-3d91b691eb1f	0	0
2f06ada0-44f7-4205-b21c-04c96fe0888f	0	0
904424d0-b94c-4034-9e78-e896a0ddf9cc	0	0
5bdb01cd-3f13-446b-8dcb-149578bded1e	0	0
b8185bd2-3cd3-4f51-945c-50093f761971	0	0
ccd5b080-1010-4c0e-86d2-ea0fb58fcf1e	70	5.83362499999999962
e590a984-52ea-4971-afc9-4215db07ad61	0.594125249072381956	0.0495124178401954093
09873845-bec8-4f0a-a693-fd3a5f414aca	0	0
9f413da2-50cd-4f23-a509-dfc6cef2bae4	0	0
0dd965cd-e0b4-4539-bc09-c39c7e94dca6	11.1837229437229446	0.932014191053391117
8ab01857-4b43-4ef7-bdcc-a7adad64b0d9	0	0
5a0a4569-a60b-4b38-be0c-82c8d440bda6	0	0
96e1fc4b-79b3-498d-98c4-21b1eee806a9	17.1436818181818182	1.42869729712121218
185e5a6b-8568-46a9-ae4d-2770b9185a5d	0	0
2c78cccf-60d2-48fa-ac6d-67694f96016d	16	1.33338666666666672
486ba020-32ef-4833-8679-2402ffaf1b2d	0	0
88a0f766-c739-4066-b19b-b84d7667e036	0	0
32c6a44e-45dd-43df-ab87-482bc9c51334	0	0
fd8b26c2-66ac-4b5a-a385-21bf468ee066	0	0
34dc8182-e345-4cd0-b187-de3736eb3900	0	0
6b3f44da-3570-4f7f-a73a-7fa630deb0a0	0	0
8936083e-6c84-4008-b25b-5dbc7393a078	0	0
11b5492c-e42e-46f5-a148-0eba78921113	0	0
46e5957c-ce50-48e9-841a-e98654997eed	0	0
e2d1c5d9-b2e0-4dd3-86ee-39483c637269	0	0
a6a6c226-ae85-49f8-a20e-b2b2c7b55497	0	0
9f1fe882-2673-4f18-b4d9-3fe46cab547f	70	5.83356666666666701
2cccec21-20bd-42e4-a17c-4cfff320382f	0.594125249072381956	0.04951291294456963
6b9aefb3-9a20-4291-80a4-e095cea07255	0	0
3d7aee6e-602f-42fa-b208-e957412c0ea9	0	0
25028c53-a974-4cf3-b4b8-8b0302654848	11.1837229437229446	0.932023510822510892
c38075aa-ca75-4082-bcad-bc33f1d1a436	0	0
1e0e24df-0d94-4bed-a308-603db7ff560d	0	0
f5e3709c-9143-4c06-ad6d-134535757983	17.1436818181818182	1.42871158352272709
ee3e22dd-620f-44a2-a383-a2bc2b9deb9f	0	0
4a279295-c14e-4e96-9575-d85efefd7e12	16	1.33339999999999992
6b835e05-9e75-4b27-8373-3146028bfd54	0	0
ed48e2c8-ae7a-47c7-91ae-350b1ae341d1	0	0
835de82a-2124-4768-9eb5-0900cc67330c	0	0
8f44d3e8-6911-46d0-94b6-3da41e77fed1	0	0
ef4ed08f-0e0c-4168-94ad-8253c4fc7f91	0	0
0e7ab172-54a1-468f-a2f2-35796776175e	0	0
f61f2d21-8971-426f-8627-2ac0d7211fce	0	0
4a922b55-5ea5-46f1-b843-b13d15c0882c	0	0
2fffc2a4-be3a-404a-906c-a80ecbea3b6f	0	0
cf6e7b21-9efd-4f9c-94bd-f760f341fb8b	0	0
474f4937-8a41-43b6-a3a9-3dd622c422f8	0	0
e8ee4882-5006-4461-a43d-39e18bd998b3	70	5.83362499999999962
58f7227d-a3b4-4c22-a172-f2e2d0fb4cad	0.594125249072381956	0.0495145632924837223
36587b4e-f1c7-4254-bd50-19d6de2615e0	0	0
a8e16000-f3b8-436c-b592-716edb533d37	0	0
7eeb7a32-2062-4aaf-b411-4e5d2bf446b3	11.1837229437229446	0.932054576719576811
891f4c60-5c67-4152-bc02-843ad2b9857c	0	0
d7122c6f-441c-465e-b840-e872eb4b111c	0	0
d71dae3c-9e40-4efb-be28-3410d4d15f30	17.1436818181818182	1.42875920486111108
4151d741-68a8-483b-80ce-6e2aff70f897	0	0
3df6ebe8-1c2b-4994-8b2a-a07321dfc94a	16	1.33344444444444443
7ea9a180-34e8-484f-a7e7-012e3fd4daeb	0	0
fa2762ca-1467-48e6-b30c-d20889d3096f	0	0
9df005d0-04b8-4369-987c-f19333c9c62d	0	0
6796521a-05e7-45b4-8ae0-c544a340ddd7	0	0
89149291-8c2e-41b3-ab3b-bd77f72ec8db	0	0
6771ffba-564a-4e34-b04c-098bb54a99c1	0	0
2634e3c6-8781-4fa4-87be-0ac9a2bf11fe	0	0
a095b3f8-aa75-4edf-a04b-0d0e017cce52	0	0
86bf5ac8-4792-4e14-bcc6-f4b1c19d32e1	0	0
681ab234-eb42-4fb6-981f-4947fb26a24d	0	0
85e6e9a1-443e-433e-9844-aa590a730c2c	0	0
d6b2f6e5-a600-4284-b003-091333ca0bb3	70	5.833819444444444
831bf9b7-622a-430f-8c13-8608fd118f07	0.594125249072381956	0.0495101073531156802
9199d9e2-5a46-4d7a-8515-164f1a712aa3	0	0
a8e32745-2e6b-4850-ab54-3c49b1fc5e7a	0	0
843d72ee-d01a-4044-a79b-043e3d8cad56	11.1837229437229446	0.931970698797498942
0f631eef-34dc-4515-9149-5579cae89ef1	0	0
fd6d449b-b74b-4b79-8fc1-837ffea29b60	0	0
78360a00-fb7d-4f95-acf2-fcdb93d93ad7	17.1436818181818182	1.42863062724747492
9f850784-5708-454d-8aea-54a7dac83b34	0	0
555336f6-6e67-4de2-9288-34c3ff4d836d	16	1.33332444444444453
7df54ad3-f347-4e9c-95e4-1ac8810e791e	0	0
5768007f-7a27-4f9f-82c3-f167626f9a15	0	0
5170f4af-82b5-424b-8bbc-8be6b4465c9e	0	0
6b11ec3e-940b-488e-ba78-f2143811620c	0	0
8fba084f-36dc-402c-a635-ae505309aa1e	0	0
66a266b3-ad66-4b97-95d4-a93b613dd028	0	0
69d9af4f-4166-412f-bd87-3278686ff2f5	0	0
ef4fc030-3ad5-4a30-8653-c4850c567012	0	0
a6fb95da-3c2c-4830-b90c-ea68294face2	0	0
dfbee0ed-9c38-4022-8c27-5e48b9e7b2dd	0	0
a5dc80df-4455-480d-b8ed-295b235ae0dd	0	0
6b4e946c-a49e-40b7-9d4a-d8c36533236a	70	5.83329444444444523
68be8e89-b5bc-4ee7-bde6-04b521420493	0.594125249072381956	0.0495176989535204976
d8d13f49-e5ac-49fb-9dfe-c878f69cf95c	0	0
9a193643-afad-47eb-a3d1-79bf1fdf8ccc	0	0
5c9a9538-afd5-479b-9bd2-d7aba50d934a	11.1837229437229446	0.932113601924002055
d464c9b2-fe0b-43b5-8909-0f754895d1b5	0	0
8a56f9f1-7d61-4096-8765-b6481b41d00e	0	0
fa2d9c93-1e7b-4f11-a416-3b9fc7513e93	17.1436818181818182	1.42884968540404045
f9ee68a5-5aad-4f63-aa9c-ca4a075e9360	0	0
39b23b0e-2ed0-459d-a56a-4cebceb4872b	16	1.33352888888888899
9ba1d454-eb78-4fa1-a757-67c501556be7	0	0
fd0f8efa-4429-4719-8602-e902d538bc22	0	0
9179ad95-5893-47c2-a05f-e5e93c07f02c	0	0
018d7a59-0333-4477-8124-d23898cc5e93	0	0
c1510957-58d4-4e6d-83a1-63c70b4d5d89	0	0
d917fcb3-8289-4217-b4d3-63bc781db88a	0	0
bb4c70ff-0c30-43a1-a985-7b5b7547a8d1	0	0
6c2e1518-075b-4bb1-866a-14c87bbd84d9	0	0
aadc7cd9-6ff6-4d21-8553-7e1e74e6754e	0	0
53cca255-68f2-4c43-8daf-83eccb9bc5d5	0	0
449fd564-a868-4515-b09f-299dbac84da9	0	0
c72767a0-6730-43c9-98b2-41d6737643d3	70	5.83418888888888887
a6b5a3d1-73b9-47d4-8b42-99c9b4a7abc7	0.594125249072381956	0.0495140681881094877
51dadb4a-29bb-4f90-9fa6-93eada0ee677	0	0
cb5626ce-bce6-47cd-a956-17d4ceb75bdc	0	0
9b0870c9-d2ef-4476-8c5f-4a2b87a38d5c	11.1837229437229446	0.932045256950456924
a0752eba-0bca-4c16-b74d-f66a6f359e21	0	0
bb33d9c7-59e1-46e3-86c4-f63ed0c90b3e	0	0
bb0701d3-c48d-4761-bc85-5a7661b95e50	17.1436818181818182	1.42874491845959595
1cf0aaa0-0ad0-4bec-8249-ee7d819cd9a8	0	0
67679ae5-ce8a-487b-a57d-99f48e75ade6	16	1.33343111111111101
246eca0b-2815-4ebc-9cd2-0b7f47275732	0	0
118a6fdf-cad5-4afd-9b98-c6c25f3225d2	0	0
2070a207-086a-4e25-b2e3-c8ffa99797a4	0	0
02f5eac7-6cd5-4f29-aea6-2e348862e9ee	0	0
3eea7bdd-86b4-4f75-979c-39f08376f199	0	0
89565160-fad0-47f9-82aa-229008a81f80	0	0
5733bf2c-e409-47af-865e-816c0b19fd1d	0	0
03b36687-8571-4504-a672-b18b7cf6a86f	0	0
ff3a0ecd-e77b-433b-8ef9-64f6f64d585c	0	0
2e6ff38d-c358-4375-817b-04a1993f358f	0	0
1019ea3c-20e1-4671-8a00-a02e9b6b951c	0	0
596aa4fc-e99a-4ef0-8a70-f1620f2d7b6e	70	5.83376111111111051
c3dfbcec-fba8-4057-96d3-9b52b5e4ce23	0.594125249072381956	0.0495157185360235799
4db36ff5-9066-4655-a60d-ffc0c3fb8f4e	0	0
8604e1eb-b688-40d1-a9e8-bc450b98af3c	0	0
68e32057-5b1b-4230-9bd6-47c44a67334c	11.1837229437229446	0.932076322847522953
2c3141a9-07f5-43f6-b211-e52b4668eeba	0	0
2c6c961c-e986-401d-be1b-424d8ebb00db	0	0
77cbf451-e6d4-4f12-9d82-9fef543d328c	17.1436818181818182	1.42879253979797971
4a01dbb6-dfdc-433f-abcf-eb21eecd6b76	0	0
c25261b5-29ac-465f-a573-e112091f2a88	16	1.33347555555555553
7739205a-62d0-40f8-beeb-ca33f8a818e3	0	0
7876888f-82a6-4703-afd1-3aba034a4335	0	0
f3ffef74-c53e-4553-92db-08d8b1268f3d	0	0
843b726e-452a-45d9-8be8-283f022938e8	0	0
d9daf917-dd93-4fcc-8b00-eeaf2fbaa41c	0	0
a966dfec-da45-4ab0-99df-814ac0c6b30e	0	0
de339a54-64e5-4fc3-84b7-bb530f731036	0	0
251b70e2-cf12-446f-bb70-371de7a1ab99	0	0
8eaadec3-38fa-485e-ab72-86cdd75651ca	0	0
e495c6c1-20a0-4edd-ac3f-d00da1d504bb	0	0
0533756d-a3f6-4c0c-8b8c-3a581dd772f0	0	0
38a771ff-81a3-49b8-8835-415734e831f6	70	5.83395555555555578
b94728ce-d72e-4995-953f-38bf6edc5ae9	0.594125249072381956	0.0495124178401954093
a13414ba-5096-4d54-b27c-69a7db52d3f1	0	0
30e9ae13-eabf-4236-945f-ab2792af187c	0	0
1c28d41a-c40f-4478-936e-a36caeb4f44a	11.1837229437229446	0.932014191053391117
fe4ba064-b2be-4418-be76-9601cd0e87e5	0	0
40f45acd-ad03-40f3-ae18-7b843e55f303	0	0
4732b3de-02fa-4c71-be71-b3cdaf062915	17.1436818181818182	1.42869729712121218
ec9b5f36-2672-4e6b-8071-10b5658b0e5b	0	0
1feb0fd2-7501-425a-a2f2-07f916bb7c28	16	1.33338666666666672
412f97f8-9dc3-498b-b831-54da4482e8e2	0	0
41c237b9-d9f5-4ba5-adb1-00e5f951e4c8	0	0
b1f655ac-9d31-4b1b-af99-3873c1dd7c96	0	0
797379a3-9969-4efb-b460-510f2ac94a46	0	0
24e23f07-2917-4261-9961-6dbee73377a5	0	0
10440691-1cfd-4eb9-b5d0-d7e309faf998	0	0
eb22744d-934e-4760-8036-a0959ff0e65d	0	0
c2c2ab08-1b0f-4753-aaca-ef7e5517fc61	0	0
f9f5f42c-20a3-487f-bc15-e325ed1e5e28	0	0
bb6cb0c9-9cdc-4539-8063-d07668f6dbda	0	0
df8e51ac-9dd8-4d3a-b108-038f8b897717	0	0
1d11beac-00a4-4377-85f1-7171f5669df4	70	5.83356666666666701
54bd81d3-8fdb-4074-8af9-565a68a12960	0.594125249072381956	0.0495106024574899009
61886807-5b9a-43c3-abf0-fedf75b9acfc	0	0
21f2228d-d997-4f64-a597-c57fb38e33c1	0	0
18f45819-38b3-4fd0-b02e-db4011db39ae	11.1837229437229446	0.931980018566618607
43e83e92-3b78-4852-a12d-f405c10f926c	0	0
d6cc4b92-222b-49e5-b877-825b88e815fa	0	0
a9933b0c-578d-40d5-947c-07886180c0eb	17.1436818181818182	1.42864491364898982
ed3c8265-593b-444b-acc7-eb0528682e82	0	0
827f80ac-4203-4a2b-bf07-7884a61e9b14	16	1.33333777777777773
f0a2baf9-ae72-4f55-9716-a45064291ab7	0	0
ff182d07-74cd-46d4-9490-c49ac9893c5d	0	0
1a1920d3-e7ff-44c7-a19d-927f26339a00	0	0
b9fb30fc-9b79-439a-8a9c-101417b899c0	0	0
13a19e42-2126-4601-b939-31104d9e0faa	0	0
2860f098-9cf4-4ed0-9327-bbcd869aab13	0	0
5499b3e7-0fd3-427b-9ca8-5870ac012459	0	0
389b8cb6-d4b8-4a40-ac95-3a11f62fc8f6	0	0
932ca430-52ea-4f3f-bebf-bf0a4c5f6fb1	0	0
88575595-d237-47a4-974a-2306c9dedb5a	0	0
4e4e710b-fd8f-4ae7-b371-1460dc29aeea	0	0
c6b85488-cd22-4b6c-81f1-c0381668dee8	70	5.83335277777777783
4b58f253-3dbf-48dc-8ffc-33666b873f13	0.594125249072381956	0.0495183590926861275
67da42ce-78dc-47b8-8517-0af31a9e482c	0	0
3f5fe941-3fc7-4a5e-b2c8-2b73e7ebf34f	0	0
8c627cdb-286e-4d91-8bd5-a268897431e8	11.1837229437229446	0.932126028282828312
8f6bfd58-22a7-4473-8e90-5732680cd316	0	0
f83d05f8-d114-45d0-85e2-c73814f5a465	0	0
0fb4348c-afcb-421f-8ba1-3725d6dfa916	17.1436818181818182	1.42886873393939395
0163046e-bbc1-4344-82c9-f53fedc5ff1a	0	0
6b5ccb77-71f8-4092-8dd0-377644b8ade7	16	1.33354666666666666
ad76f50a-82ba-4950-98ce-c0a79c9f6f2f	0	0
69e74554-b956-47db-8e13-642f9024d4b3	0	0
9dc30a5d-5d1f-4f23-bced-dab5d2c99472	0	0
4c70933e-2fe6-4d4b-8905-6de982fc9b57	0	0
ed55f94b-a297-4610-86c3-b622b0dfb680	0	0
ad527b7a-ca32-4ab0-be43-65c31b3e54d6	0	0
6f75a0ef-7805-4587-873c-cb4fccbeab13	0	0
e42a543a-44ee-4466-b184-811187cad325	0	0
eecfe563-4b60-46de-b8dd-75ececb51c15	0	0
a5574c93-9b43-4bc0-9374-e384359ae60a	0	0
14fab03b-35ee-4526-8885-ca0974ccf30e	0	0
6b34ad4e-1fab-4ebd-aafa-4ea90ba1d4eb	70	5.83426666666666627
83bc6b83-8a1b-4507-b659-6d580383435c	0.594125249072381956	0.0495157185360235799
357bb88b-e716-45cc-81a4-dd5e250ffffa	0	0
61a7fbce-ceb2-447d-b3c2-f1d7a9204493	0	0
8a490bd4-6353-4b8f-a6fb-22bb05047652	11.1837229437229446	0.932076322847522953
00678578-f400-4c74-bfe0-54d7b795e3aa	0	0
6619e140-66fe-49c9-ac89-2a79eb234e7a	0	0
9e3bdb22-c20a-4ebd-ac4e-ec7a2137dd9d	17.1436818181818182	1.42879253979797971
087ac87c-d1ae-4f9a-82c4-64d00adaf5c5	0	0
ff1ce9dc-4f7e-4851-8b04-604cdf8a4d8e	16	1.33347555555555553
0f51b996-7bb0-4416-8f16-14cbdaef7348	0	0
79f816fb-0940-48aa-99a8-3f8a2172939c	0	0
edcc2ca3-8b14-484d-b260-b3e0e09a39f3	0	0
43316228-b95c-4c08-a119-ec7084813c5c	0	0
5edf8035-3bf0-4986-a452-30d060ed039b	0	0
461c0ee6-488b-43ec-9a91-8c75d3de08ed	0	0
e0e89b80-175f-4682-ad1b-b45b12f74f5c	0	0
075cab0a-a744-472e-a7d8-0294e9858b80	0	0
124c6b93-4122-4626-8777-e12ea933f0b7	0	0
ff2d35ba-0ca5-4417-975b-3e14ca67b366	0	0
774413cd-bb40-408d-9ea2-773d80e112a0	0	0
207211b1-3fdd-42d8-b01b-6214dcc6eae0	70	5.83395555555555578
c8ee8fe5-28ad-4cb9-b022-feba88751c09	0.594125249072381956	0.04951291294456963
5e6b92c6-149b-468e-9201-6affba1b31da	0	0
5d7f00c8-2ea3-46f0-8672-ecfe8a3f3c88	0	0
d5468462-db15-4795-8ee1-fb0691f354ef	11.1837229437229446	0.932023510822510892
c26b12e4-82e7-466f-b55c-2f4dfa474e44	0	0
a78338af-a67b-4c8b-a36e-23ee787c9000	0	0
bb4a8f9b-ccb2-4bfe-b60a-48f401bb6baf	17.1436818181818182	1.42871158352272709
2e8170e0-ab72-4b41-99f0-2bfa8d99106a	0	0
f91b94bd-a185-4a8e-a4c3-b9c0bbcb1ee9	16	1.33339999999999992
71f270c5-e755-488a-8fa6-fcee6d070fd0	0	0
274c8ca9-1207-400f-8b06-bef36ed34285	0	0
b2671f9c-a18f-4ae4-b0b8-1830be3f6360	0	0
7e7d2619-5ed8-4760-ac9d-6a24ca9f96ab	0	0
5bae07c0-4411-48e3-b217-1f0ea00c267f	0	0
205dbb3f-05ed-4aab-9be0-09337e8c0e83	0	0
847bc3ce-103f-4fe3-bd4d-55dfaa7d0a30	0	0
848f78e3-e212-4d5d-9c66-73b711a9127a	0	0
9ef8a10c-d401-4040-97a7-2401c6987b56	0	0
c63a15fc-ea7f-4b27-9401-e68e8fb7fbf2	0	0
e3e3cbea-6c57-4d5e-9e68-1fc834193033	0	0
e2ba1547-4d26-4100-bd82-d8247db486f0	70	5.83362499999999962
7c79a9e1-9401-4a50-9e7c-2b72739e7156	0.594125249072381956	0.0495135730837352669
2ce43c98-bd81-43db-95f2-85a685f33dc8	0	0
7db442b7-e07e-40e9-a8c2-697ad58cd5da	0	0
0fe93d17-f615-40aa-b86a-34b8d7e2ebeb	11.1837229437229446	0.93203593718133726
b65a3ff4-692a-404a-9a11-51f9baa7da62	0	0
200804ad-c960-481e-ba81-b0d871ffec29	0	0
528baa62-7604-4b3c-a8fd-1af986b5606a	17.1436818181818182	1.42873063205808082
c53b869d-57e0-4386-a442-0c8f64f6e39e	0	0
15abc4e2-4cf3-4014-bde9-51d0b177ed79	16	1.33341777777777781
2d8e47ac-084c-421c-b5fc-731609623e8f	0	0
a0814250-46e7-4e2b-ab2b-e29a3224a3b4	0	0
d3bc71b4-cc7d-46eb-ade2-2c5f9c2bb2fe	0	0
aac26e6f-6d04-4e55-9d75-904c1c33a08d	0	0
6a79bc0b-7e70-42c6-a4fc-ee064ceeb2cf	0	0
39b07345-fad9-4466-844e-ac005135b726	0	0
3b5f458c-3b8c-46d3-91c9-70a1921a5a30	0	0
43810d72-c69c-4b31-adf6-859ba4ea5a58	0	0
d7a83368-e0d1-4bb8-962c-29d43a752081	0	0
6fce7759-7f79-48f0-9923-ef06382c5836	0	0
8eb8b5d1-99c9-4430-8273-dc71ae38fb2e	0	0
09c04ff8-a084-41de-8c35-76c1716a25aa	70	5.8337027777777779
c6ff26ac-1f01-433f-8040-4aab15a1ca32	0.594125249072381956	0.0495148933620665407
b1988070-1e16-4ff7-b4ef-f9b30983a651	0	0
e764e678-224f-40c4-863a-7366b2131d4b	0	0
09bfa9d3-b25f-40d3-858a-c038f2f217ea	11.1837229437229446	0.932060789898989994
4c89b6c1-a3b8-4d61-acec-7e27e7d466f0	0	0
e8fc6b4b-8413-43e8-955c-b34485d2094a	0	0
7d87f428-a699-4054-adc8-817d932e44b8	17.1436818181818182	1.42876872912878783
04936764-0349-4be4-8849-c34c987116ef	0	0
b057e54f-125a-4daf-acdc-2d58d68670a4	16	1.33345333333333338
8a8a7ca2-7c54-455f-8cf4-3f85637f4ae4	0	0
f973a0dc-a3bd-40e5-a9c3-dc4337d9ce14	0	0
07b919f8-73c5-4dac-89b3-2f85c184979e	0	0
3bf9d5ee-98e0-4e47-87db-51e2971ebcf2	0	0
19f2f351-8fa0-493a-ad3e-6905019c7a41	0	0
a0f58388-12c0-49b1-af9b-bc2709f09001	0	0
fc4f52fc-6fa7-49ab-b525-db7cb83f9541	0	0
cd22e679-8242-4288-8a7c-bfb0925c3b2b	0	0
f7ed8210-04ee-46a4-a402-82f9a65247fb	0	0
5994a8fd-4e87-4005-a35c-dbcb4b65051e	0	0
871bad91-7a4d-4af4-8fdf-e605e95efad4	0	0
b04df951-d79a-4a4f-b4be-379f9fe4682b	70	5.83385833333333359
d35a9aff-472b-44ce-a112-22209a7dc9c3	0.594125249072381956	0.0495104374226984917
ee4d623e-2e9d-4ff4-a77f-117223d6523b	0	0
d81ad401-0972-435c-bdc1-0e662f8f19b1	0	0
06d90bf3-a87c-42ff-9120-385690d80a97	11.1837229437229446	0.931976911976912015
7538c0f4-c101-4b24-9d82-989faae03f22	0	0
d82eb374-2cce-4a0a-ad72-145d57607f6d	0	0
3cb49170-7b01-454f-b411-b17738abc7bd	17.1436818181818182	1.42864015151515145
ced34535-0e6e-45f4-bbb5-a0e42d3f190f	0	0
e5a67d0f-6a8e-4a94-9976-c1ffa15f7fc6	16	1.33333333333333326
702ba1d8-0dfc-405f-9d75-cf61cc93f0c4	0	0
6b88787e-4e1b-4def-b82d-99d0e10a3589	0	0
e00e8cac-70d4-4722-ab98-b812e45ed8fc	0	0
11211956-be30-4a3e-bbfc-00a097563d10	0	0
a7db4cb0-ddd2-40c3-aa02-900c38abae79	0	0
22e11676-097d-4df0-98b1-c57ab7301560	0	0
147abc96-c6d7-477c-babc-fb80d5d92ebe	0	0
0b406940-0f1a-4526-aed0-69a1d1de840b	0	0
1adde874-3403-4558-826d-df5cdec58863	0	0
35d6c950-e38e-4275-a156-614c9deec00b	0	0
028a0fd8-0bdd-4451-b868-7546f2115edf	0	0
f0dc9953-001a-4ddf-a920-4de034971399	70	5.83333333333333304
6474402b-1539-43d7-b96f-a98dd242069a	0.594125249072381956	0.0495178639883118998
5d7f0d9f-b580-4076-a4f2-a585c4ac3051	0	0
7eca016c-7bd0-4315-a613-75792a880932	0	0
7e867f93-8398-4713-879e-e82c04ebc96e	11.1837229437229446	0.932116708513708536
a5ba178f-8e55-45fd-ac8a-d25aa229e53f	0	0
aff82815-d3e3-419b-b740-80ceb1443796	0	0
b9b7423e-9627-4b40-a595-e2750f844855	17.1436818181818182	1.4288544475378786
a5a0dc4e-ad69-4dc2-b6d6-16f46565b3e4	0	0
bd7b0e9d-1bb3-4f18-98dc-e23a695748fb	16	1.33353333333333324
a1c6afc8-caf4-4863-b4c9-ad629f3ab458	0	0
9aeb40cb-61ac-4213-9933-95a32c10fe26	0	0
d3e61bf5-df8c-4931-af2e-23152ed74a03	0	0
6c317fb8-587d-42e3-98ad-364697eb59a0	0	0
ddb2db30-7371-4213-9d52-ac463e0231f5	0	0
3bfe1fce-3e5e-4473-ba97-7abbc505151a	0	0
c7914c5f-dcff-4ec5-890c-a8989c3e409f	0	0
233ce085-d802-48ca-bf2e-6bcc8a0f053c	0	0
9e5f5701-8af0-487a-be03-d5ac5d046e00	0	0
6bcf73c8-437b-4ea3-8ac0-2967c496ce8a	0	0
58ab6671-6110-499c-b613-626296c195a8	0	0
74e2042d-546a-4956-b240-64eaaad9cb23	70	5.83420833333333277
0da63c85-a5cc-4a81-b0da-da2e6a5ebd21	0.594125249072381956	0.0495120877706125839
37beb02e-696d-4fa6-839a-423132ad275f	0	0
531f9d4a-f7c2-49e4-b285-0777868cc189	0	0
09763330-f3b4-48a4-8f8a-38cbabbd3cc3	11.1837229437229446	0.932007977873977933
f2940988-9ff3-45b2-9a96-3759a2f2d299	0	0
a3fe88f1-8466-4f54-aa65-50ff12cb40b7	0	0
ea6072aa-8096-43bc-a162-e9665872155b	17.1436818181818182	1.42868777285353543
0d3c3194-3d7c-4cbf-87f8-2f3bc35fa5e0	0	0
92ccba3b-a4e3-459c-be3e-2be4b1c3122a	16	1.33337777777777777
42ac0cd9-c583-4301-b83d-a5d8c75b87d8	0	0
d72008ef-6040-4363-ba17-262c19139926	0	0
72418593-3ad8-4b72-ae63-9ea1fa7c9185	0	0
77e24713-fc98-4448-9267-81bca4aacaf3	0	0
53e3c476-bff8-460f-a99f-ab29d071453f	0	0
e8599365-00ea-466e-a845-109169f8d6eb	0	0
d946362d-8ff4-462c-ba00-468027a8edf6	0	0
e4bb363e-10da-4fc2-ad9e-c672bf3f5ccf	0	0
05a23bab-cae4-4945-a44b-3c02cd729594	0	0
b88bf0b9-512d-4318-9165-8c26ce88fafe	0	0
1d50e6cb-5a89-4c93-bcb0-e81e6b84b17c	0	0
a9f0b9dd-196a-42fc-869a-edf720986030	70	5.83352777777777742
7389b007-4587-4338-9f0a-96ca744ec7d0	0.594125249072381956	0.0495147283272751315
9c79cd46-e44f-4f0f-aa1e-a0cdf7874d17	0	0
e38b527d-eadb-4e09-ba79-39e7d3519d8a	0	0
8d44964f-2f97-43db-a610-dec94c215dfe	11.1837229437229446	0.932057683309283402
e685f431-d702-4e60-a0a1-c3fe316935ae	0	0
cc6c16a6-a435-4b7d-898c-c6cea7384546	0	0
adbf89d2-6434-4073-9495-f07abb007221	17.1436818181818182	1.42876396699494945
e040142a-d3c8-46f1-960b-80684c495711	0	0
2869f06c-3484-41d9-a2ec-3b853ef65ef7	16	1.33344888888888891
15a9900b-a12c-4b13-8485-f206c6c7a5f5	0	0
66573599-a654-4740-bcfe-4422a5800c94	0	0
55ea3730-f89b-4f54-9d88-751acb37b688	0	0
35ff7f1c-15f0-4a76-b0ff-b4a6f512fad7	0	0
15a50de6-4dad-4d2e-93d1-b48a96b3b0f9	0	0
45970dd5-bccb-4673-b845-ac4f62f4db29	0	0
9af117da-67f9-4e0d-9c52-a60dca349dea	0	0
9c7199e7-181f-46c7-bed9-c4db69c1cb11	0	0
396020a1-42a7-47a0-8b17-e6fe25e678a4	0	0
3c6ad565-eaba-4efd-b310-12582ed1f27a	0	0
8cb30ba9-c552-4e30-a06d-58b3e23ae8f3	0	0
1991114b-032d-4410-a366-cd7e3691d495	70	5.8338388888888888
f942dd59-4d82-4ab8-ae25-b5a33e55203d	0.594125249072381956	0.0495124178401954093
31f73aa2-442e-4211-8b92-439f630259ac	0	0
1f53c302-d470-485c-ab94-90aa1e0da341	0	0
72d9598a-df6c-4854-83cf-c04008ca3707	11.1837229437229446	0.932014191053391117
b1329efb-8f58-4c2f-b805-77a2ff6b2ca8	0	0
59269a87-3ba3-4c1d-a364-7ee886c1cf1d	0	0
a358c062-adae-4430-9b0e-0a1e1758c863	17.1436818181818182	1.42869729712121218
415dc6ab-5799-4a78-b3d4-dbd31e710726	0	0
66f82e70-3bbb-4319-b4b0-4bd9c55dce0c	16	1.33338666666666672
40624e34-f45c-4426-85f6-3cd9b47e00d4	0	0
adb36222-5842-4766-9458-1eb075579c0f	0	0
fe06fa70-6e16-4586-9b3e-a52a45fe7f94	0	0
b35c4a0c-a78b-4d4c-9ccd-fdf623e10659	0	0
795eef1d-0c57-4333-994e-6f02be333043	0	0
191066e3-8771-4ffe-8344-af2b70322ab1	0	0
209517bf-600b-4455-81cb-eeb2268639f9	0	0
0caab335-125b-46de-8db4-e886bf24968a	0	0
fd587264-4c9f-4efa-bed1-1d015a143eee	0	0
d84582b0-b773-4cfe-ab5b-8f13e39941ca	0	0
8d103360-f68c-4ce2-a09d-a6efd9917610	0	0
3609ea01-c757-42b7-8ccb-f44bb083225c	70	5.83356666666666701
9ef25338-59c3-44b1-9b98-23858aeed7d9	0.594125249072381956	0.0495147283272751315
bd4a2f3a-55a0-49bc-bdd7-196afab4d83f	0	0
d0117381-1030-40f0-80bf-699ec95a8e1e	0	0
28acb1ec-1e0b-4fb9-be9e-b2f26ed5a4ae	11.1837229437229446	0.932057683309283402
d26d14e4-a694-4a78-866a-1d28eb395fb3	0	0
f87b4ae9-6d12-4d8c-82e5-f0666a320261	0	0
074aebbe-b03a-479e-8d78-9cde514f4031	17.1436818181818182	1.42876396699494945
ab8d4aee-266a-43ff-9857-2e6880e9d819	0	0
9d2f3b66-f348-4d58-8fb1-0d2edbefbd17	16	1.33344888888888891
6dfdc2b0-5d94-45c8-ae77-61b4f8b477fa	0	0
42a093aa-077c-45e5-a526-8d5163c67204	0	0
4d684039-06be-4717-bae2-f1c15931b9fb	0	0
44d7afe5-2a54-4515-898b-cf656f26bbb7	0	0
99cc976c-fb6e-4762-9503-39fe8b8fc1ea	0	0
9e1c30d1-9d02-4de4-80ed-3c7026ab5375	0	0
1041fa00-c308-4cb1-9790-9d9be42ca08e	0	0
5284655b-7fab-4a44-b6fe-4ac9e04fa456	0	0
434e95ca-64df-43f6-bfb5-5da2a48ea9e2	0	0
eed875ea-c11f-404d-a36f-d287b5e4a60a	0	0
62dd4649-f70c-4c49-a3c3-47820e1f42b6	0	0
da861768-5549-41c7-b4a0-83b60d91326d	70	5.8338388888888888
91c70139-42ce-4ec7-b04a-76f14dce551a	0.594125249072381956	0.0495191842666431667
3925a67a-ade6-487d-bf07-004a07833b89	0	0
ac4be8dc-2368-443c-aca6-20811df043c8	0	0
2e77f5aa-4c49-4c4a-b226-6d10b528074c	11.1837229437229446	0.932141561231361271
a136a5ae-2502-4667-aaaa-151b58e186e0	0	0
4cd65a90-3c14-4926-a427-0d4d8f03c79f	0	0
e38d9917-f389-43c7-b7aa-a186ea21f012	17.1436818181818182	1.42889254460858584
3453faf4-dfd0-418c-bce1-94c57be1317c	0	0
f555375b-4f19-475d-b142-d5b594918265	16	1.3335688888888888
231a72c3-1472-499a-bbea-b918743d236d	0	0
ecba14ba-ca81-45b2-876a-5a178a42baa2	0	0
2e71c6c5-d271-4c1d-83c6-9bdf78318e8e	0	0
8137d312-1e1d-4a41-b9df-647749397c78	0	0
f38a3702-8ab1-4d69-914b-8cea2ac42e3d	0	0
523b4b26-4a43-4e41-b362-c7629bcdd00d	0	0
1aa88908-026a-43cb-bf4f-260a2737d21b	0	0
d73ad0ee-efdf-4567-91c6-f6c3bc3add95	0	0
d5a82a29-6a07-4587-999e-8ba23a7cb779	0	0
168a8437-a1ed-48b6-a75e-6543642cf509	0	0
e1966235-aad5-4f68-8533-1216c9469f7e	0	0
3761bb85-46df-430b-bd95-5113aa6ef3c9	70	5.83436388888888846
45762c6f-ad36-43fb-8d7e-ab212f44e8e2	0.594125249072381956	0.0495099423183242709
31311ef7-6032-4eb5-8e6d-bc356e524137	0	0
366a416c-6222-44f7-b6b7-78f3b1162ada	0	0
f6a78308-9117-466c-8fda-b477cb4a84e7	11.1837229437229446	0.93196759220779235
d8a29e6d-42ec-4855-9e31-c1a7403ed767	0	0
e9c5a963-3459-4ea2-84e9-ad734835405c	0	0
97419d74-3839-4e1b-b4a0-3dbbc7064d4b	17.1436818181818182	1.42862586511363654
3d98a031-9c7f-4d3c-a127-05caa296e28d	0	0
a1dd6ddc-a3c3-46c3-8b22-d6e2b057ffdd	16	1.33332000000000006
1579e1ef-ebe9-404c-af4a-86f3d87c713e	0	0
1979e5df-4653-497b-ace1-7d828beabe76	0	0
2a9eb041-d282-4351-8c29-d315aba09dab	0	0
4e762acf-38d2-494b-b002-f1e7f9c0ac10	0	0
a9b28832-f20f-41f8-9fad-701d81c2b408	0	0
2bd1e40e-a030-47d3-b61a-8eefcdaf3b13	0	0
6bd47b44-ed0c-4e0f-8d47-9b93a3958635	0	0
6312c049-f679-4e42-9cf5-511e4ca985a7	0	0
c6087637-117b-410c-ad60-c6abfbc474ba	0	0
f719617d-fde5-4251-a6cd-ac233eb2b180	0	0
b8d07a71-a02f-4acc-a9ec-d67976455498	0	0
33ff9c8f-0c64-4aa6-bef4-1a54765213bd	70	5.83327500000000043
3155d55b-19b0-47de-b5ce-271cc8e74885	0.594125249072381956	0.0495137381185266762
5bb9ebc4-dfae-4b93-999b-da6976864436	0	0
e618041b-258a-47e6-befa-f2c4babeab26	0	0
c2e40030-997f-42b5-8065-7f677589c79d	11.1837229437229446	0.932039043771043851
37a4292d-8e02-41a0-9ccf-e08bc751eb25	0	0
148528e4-f948-4f9d-ab8b-7115f361f6eb	0	0
09918ecb-288a-41f3-8b77-fb72ae3e3d64	17.1436818181818182	1.42873539419191919
c721caf8-d315-489c-a308-8d855198fba0	0	0
dad05413-b8b9-42fd-aa4c-ced514a3d925	16	1.33342222222222229
e695f676-d7ad-40fa-ba72-fcf0ef7eec52	0	0
2694a334-765a-4bf2-8e1a-40691a01fe78	0	0
4217f231-79b1-4b54-8006-e6e506d3cd9c	0	0
a025e4bc-dc93-4be2-a6c8-a1da8fe228ed	0	0
6c721b18-020e-4a91-b9e2-5bf1e6704a68	0	0
437efcc6-4aa2-457b-b68d-96278a57746a	0	0
5b17bb02-8300-4fdb-9d6e-b379d3805a4b	0	0
32b432e1-6383-4240-88e2-7f271d25cd6c	0	0
dff18d54-8c85-4c2d-8d55-2350ea8d12c9	0	0
1be56134-b84b-4246-ad83-9fbc09436301	0	0
5f9e4db4-4e48-4170-af03-afc72c16cd75	0	0
89780e5d-85d4-4b07-887b-9c262dfcbcd2	70	5.8337222222222227
92c348e7-f473-44f7-bdda-d5149fa304a5	0.594125249072381956	0.0495147283272751315
89c146d6-b197-4a14-b32f-7e0e4f6c212c	0	0
03adb9ca-362c-441e-8a1e-81e07fc03953	0	0
2700c54d-2771-45be-8fed-74dd0dcc36d7	11.1837229437229446	0.932057683309283402
a01557b9-feb4-44b9-a80e-2d868c6bce8c	0	0
bf3ec275-3beb-4aa0-b235-b56d2ba3c057	0	0
0536114d-3b1d-4d68-9468-464d2ec1cc1e	17.1436818181818182	1.42876396699494945
71f9e431-805e-4daa-a2e7-223ab22af7ca	0	0
e217b42c-6c7f-4549-b5c0-b312f718c699	16	1.33344888888888891
daa3b547-d926-4235-ba52-7b7438c2f44a	0	0
0a6217c4-1b4d-43d6-9e75-55015f5b56bf	0	0
67fe6913-9074-4d03-a5d6-e5ca367deba8	0	0
ab41f3a1-a587-4339-b269-ebf79c9b190a	0	0
3d8acec1-fad2-4ecf-a4cc-b166f8eabb65	0	0
d8aea62a-8ff2-49d5-baf8-dba8df1e22b2	0	0
119c49f1-c0dd-4e02-ba17-e21c0265dc26	0	0
1423b551-4f13-460a-a6fb-075b3296938a	0	0
677ba0d6-36f8-496f-9a63-a73814a83d5a	0	0
191b54ca-1aa4-4d03-ad37-9071db6061c2	0	0
9e1826f7-2ea3-48bf-b3e3-37d3e2ae11b5	0	0
13713ae6-36e5-476a-9a67-378a09c83817	70	5.8338388888888888
c5c48c60-8975-478c-adc4-17e2eb21940d	0.594125249072381956	0.0495132430141524485
dc824e6a-94fc-43fe-99a2-787025ca9fb1	0	0
153fdaf5-2499-49af-8e91-8a0873d3bdb5	0	0
ef22b250-f1bd-4770-95e8-ed926b6741df	11.1837229437229446	0.932029724001924076
3d727c87-6b59-49ca-8d3a-d408d69a6e16	0	0
da6f9e73-82e9-4af5-ba4f-33281df27313	0	0
3b9b75a3-eb99-45d9-8ae9-d5f070e57ba5	17.1436818181818182	1.42872110779040407
758504e8-9d70-4bc0-8b5b-8a61bc8b58d4	0	0
b558ce4e-7688-4bff-acb4-5211ef1bf2ca	16	1.33340888888888887
b3d19e2f-a153-49ed-b7ff-8d96f91b9edb	0	0
068c1e77-a89e-4868-8bbb-e8559782c29d	0	0
d9443bbb-3011-427b-a8c6-f3d58dc40236	0	0
bb0333f4-9156-41d9-8249-24598c8349be	0	0
927a4110-df16-4967-849c-8b867c34cbeb	0	0
3c47a4c4-c6ca-4f36-9206-1f1736bdc15a	0	0
31ca5d97-afd0-432e-8c9e-b1dcad7c8d70	0	0
ec60130e-1140-430e-827c-dfa1e295a3c7	0	0
9baea5ae-666b-4188-9660-58adefa64cb8	0	0
f1ebdf07-477d-4b43-b7d3-4279daf4024f	0	0
4cb5f243-d29e-420d-ac65-cc8e18daf457	0	0
1343b7b9-87b0-476c-be02-544cf8d68fdc	70	5.8336638888888892
417dbf3c-dc9e-4ab8-a4c5-35cdafc1d483	0.594125249072381956	0.04951505839685795
7edc81c1-18c7-48ef-95a1-c667aa090ec9	0	0
356778f1-5b30-43ce-a77d-f3a2f730369e	0	0
2e001e16-03e7-465e-8d1d-7e019f4eba9d	11.1837229437229446	0.932063896488696586
27286295-1d0f-4f40-a0d4-167f1ae68be6	0	0
9ac5755b-765a-4969-bf35-e22c17ba21e6	0	0
67602e16-63b7-4089-8b4a-1dbe1778d487	17.1436818181818182	1.42877349126262643
0111f21b-b41d-4d64-b345-71c87585729c	0	0
932195a2-2094-4683-bef7-6f1d095407b7	16	1.33345777777777785
7043b743-699b-4842-9629-28088008f313	0	0
373c3fec-2803-486a-ac1a-079df01114bd	0	0
663f7dd2-5efd-4e65-93a1-f0f212a29bd9	0	0
780459d7-45bb-4773-af32-31d94349ef0a	0	0
4913faef-65a6-4ca9-bc0e-4bf3003b8b97	0	0
cda29a49-f5fe-4df6-8416-a8a07a8066aa	0	0
7059a7ce-d62e-495e-9378-b73b54b3cad3	0	0
4c7ac65e-d854-49de-88a3-6b6874c5d5b0	0	0
1a069732-5ee9-4c16-9ffe-4bf0fcd2664c	0	0
00f38df4-3fc9-4a06-a581-888c543c42c1	0	0
9d0f717d-b823-4b18-932d-3b9f2d128575	0	0
b35576c0-0972-4ca5-ad5e-c128c59bada6	70	5.83387777777777838
001ef023-84fc-4bf8-8b5b-953cdae99bb5	0.594125249072381956	0.0495140681881094877
f7b451a8-b20e-4229-b7d7-a738fda21db1	0	0
7b371dc8-8e06-4254-b128-82ddef5c3a42	0	0
3f1587c6-c574-4af6-a28e-b76f8c50df7a	11.1837229437229446	0.932045256950456924
b244c493-456c-42d7-bec1-31cf73326e5e	0	0
6d32e8e5-e8e6-4ed3-bceb-5326ef12ed2d	0	0
097fb5bb-f4eb-4d80-b99c-b8df6c03c723	17.1436818181818182	1.42874491845959595
9786f47e-3403-453c-ae9b-4a537546298d	0	0
f13bd1d5-83bc-49f5-89d6-aece17e69573	16	1.33343111111111101
713aa81c-890f-45d2-ab00-e02603c04e4b	0	0
3ea397b5-4188-438f-82a3-3d0cc4785bcd	0	0
2bde07c2-59c4-4bbd-8da5-a44f712bf99d	0	0
4941511d-41d8-4d6b-b231-982713e328dc	0	0
f8cf5c12-7486-4c35-b718-ca8a2f410335	0	0
d87371b1-9b3c-43da-be55-8fd181715cc2	0	0
dfb290c8-1f75-458d-87c1-844b8e1d3cd7	0	0
6b89a612-edf2-44d6-ad37-f8791705db38	0	0
67c15d03-f150-4bf9-820b-a4804eb3636a	0	0
92ca851a-cb48-4c34-ac08-ba43281f6b65	0	0
fe0fddc8-bca5-423a-a530-5e0fada4e99c	0	0
07244fa0-0160-4c95-9eca-8fa7b7bf6268	70	5.83376111111111051
21a572b2-c014-4be4-bcec-71c3af999188	0.594125249072381956	0.0495082919704101787
a573fb95-ca7d-4cb0-9976-d8d51ce271e9	0	0
240a3320-3df1-4035-bd90-a0694e7c050c	0	0
10964788-5aec-4faf-9c19-8e9be4ddc4f4	11.1837229437229446	0.931936526310726432
1a33a345-6f02-4f83-b0a2-946b00fb5a1c	0	0
a9a26620-25be-40bb-83ae-6dd4a69a5ef6	0	0
076696fe-4743-49f9-a029-a96d864c6218	17.1436818181818182	1.42857824377525255
96bed59a-2a63-4f9f-9d9f-b87e662e559c	0	0
611027cd-aaa2-475d-afa8-6c4dc3387a2a	16	1.33327555555555555
da539faa-5a4e-4181-b8b3-1bc5dc7a4d60	0	0
f683a376-7e2f-47c7-9db2-703160763d9a	0	0
9c626ca1-b259-4997-b3fd-5a159dbdba95	0	0
5dc494e1-e62e-49fd-9121-1b9f9a00e9c7	0	0
720cd98e-e256-443a-9c34-fd6acbaf8d8a	0	0
10ab654e-0602-4a3d-afcc-02dc4d8f767e	0	0
a59716f1-f55d-4cae-b0d3-79589c5f5222	0	0
3007e433-75b1-44b4-ba76-ecfc2ddec070	0	0
0ef8c4e9-e461-4c2f-9a83-81814d4de4c7	0	0
98d830d2-22f4-4519-b4a7-bca65f83e794	0	0
92266a2c-c94c-4d90-97b6-667d834459e9	0	0
eb6c4110-1fee-4b26-93f9-935c1717231c	70	5.83308055555555516
8c7e1928-624f-4625-8125-1b2f6a7b7272	0.594125249072381956	0.0495196793710174013
b8256dff-2656-4b91-ad3a-5c018ab5b333	0	0
2b134967-e3ab-4492-b336-e827c5f6758b	0	0
3dd1b016-67c1-453a-a420-15f24c828947	11.1837229437229446	0.932150881000481046
8a0fab00-7ec2-4612-9b80-a1c5d59e54a1	0	0
b6b25461-82ed-409a-9ca9-b5714803bee8	0	0
74d88814-429e-48e4-a45e-89987184b5ca	17.1436818181818182	1.42890683101010096
881ec4c5-ff47-4861-8bad-73f2cd0cb030	0	0
84348e86-a7c6-4e83-85f7-700cf1a374c6	16	1.33358222222222222
07476d82-4f2e-49b5-a1d2-eb1f59013984	0	0
ad4f2d2a-e2f9-413b-b921-97e2c4b6c066	0	0
30bc3e5b-8af5-4280-9f52-ad8ff6542b61	0	0
8e99ee2f-1b95-4885-97f4-283468b53ed9	0	0
dd96dc3d-17b8-43f2-a74d-7a36d3f5ff42	0	0
221048b8-220b-4ec7-85f7-db49e4f38abd	0	0
85fb7d4d-58b7-414b-967c-82d7b106600d	0	0
4b6893f4-1159-433c-a8d1-19270b031bd3	0	0
9d72c81b-57cd-4355-b1f2-e72376c86908	0	0
e2faa45b-557d-4b53-91c6-37ae2bbc89f8	0	0
94bfbda0-f7ee-406e-9d8e-95d9860cf3c0	0	0
8cd31263-cc18-4dc2-a84b-d1839ce08161	70	5.83442222222222195
b259cdf9-feef-40f2-968a-3c4994093aec	0.594125249072381956	0.0495147283272751315
525be03d-eadc-4ee2-a377-8490c8affd9f	0	0
e00b8aa5-466e-434d-bb7d-a3139a1d6500	0	0
9d46705c-fd62-4f7f-8587-732db05ccd56	11.1837229437229446	0.932057683309283402
8cb91e64-b01f-449f-87dc-fd08afc2d3ea	0	0
96e88659-505b-4e70-8d42-ade8821aa18c	0	0
b97bace6-2d87-49b9-9789-073e7888ccd3	17.1436818181818182	1.42876396699494945
9236c25b-9a65-495f-adf6-354e7d5926c1	0	0
ff4593ab-8967-4dd9-ab8a-d332cd97e436	16	1.33344888888888891
01515a64-27b0-406a-b29d-159be80523ad	0	0
6e75ec0f-2d6d-447a-a6ec-909b8f7011fb	0	0
608c2a89-ac71-461f-bbc0-4aae35573ceb	0	0
ba295063-58e7-44b1-b5f1-48e075324d63	0	0
3c96a11b-b76a-44c4-a57c-5a96e50fac47	0	0
72c57632-d037-451b-bc9d-067691cfca17	0	0
817796c6-cee6-46ed-b2f8-5e28e09cbe0a	0	0
39afa9d0-2dde-4460-ae19-c3a9f2b1b4a3	0	0
9eea333d-2883-4078-b8cf-fbe17f64c95d	0	0
4d6f7cf1-ebbb-465e-82aa-5457e3a981a7	0	0
b443d3bf-4152-4d82-b335-1109b525b564	0	0
b8a6c3c0-3bb8-403c-b4b1-61cdbb0aa6fb	70	5.8338388888888888
342d7934-70bd-4496-b9bb-22d7b72ff101	0.594125249072381956	0.0495148933620665407
745c1292-ddd3-4c2d-aef6-5737f1120dc0	0	0
e0484a8a-f2bc-4e1f-880a-3ea956b78d14	0	0
68677ef9-80c7-4e62-b117-e1e0b49e87ee	11.1837229437229446	0.932060789898989994
19d35159-155e-49fb-ab9c-acc75af6be60	0	0
e4d081c1-7519-4d0d-a86c-b06cf4fad941	0	0
63b075c7-bc86-4a02-8f85-326aed5d6b01	17.1436818181818182	1.42876872912878783
6ee69244-ef3e-487e-a7dc-50948f882f79	0	0
fef603db-dfbf-4236-a3ec-8f2fc88aeb8f	16	1.33345333333333338
2f557915-097e-4764-a8da-0b62f7d91cf4	0	0
296f1520-1148-47a9-a681-1fe78177a3dc	0	0
4b78fb82-4cc1-480e-94bc-214a4da2f7d9	0	0
a9ec6bb9-9f0d-40af-9cc0-7ec785029c6f	0	0
48d4acb1-6e4f-41e9-85e6-88a02f074a3d	0	0
dc0a9d2b-a10a-4430-a0f1-dd42b7a70b78	0	0
bee6e360-e668-4289-a1e2-e80ffc015dda	0	0
0872042e-a46b-448e-bddd-383554598ab1	0	0
70bffdfd-19f0-455f-98c0-bcae8815a2fb	0	0
7534d46b-5dd7-48aa-b7b5-a8a61a57b144	0	0
5177d6b5-4703-44fd-9ca8-d98937cd19c6	0	0
52ff957e-a6e5-4b33-a5e2-bed77ab5b48c	70	5.83385833333333359
7bd0aad8-b1fa-4914-a802-59de765ef476	0.594125249072381956	0.0495127479097782208
4240b413-4b12-4310-80b9-2af5bf5a9504	0	0
3e116d64-2509-421e-91a7-19f1b7efa503	0	0
2e9fbc79-a685-4e40-9a42-70bb3386f811	11.1837229437229446	0.932020404232804189
72124459-365e-4a8e-8e27-f6beeab38440	0	0
5a32e5b3-68c5-4bdb-802f-cd900ccf4d72	0	0
b6f8e4ef-8202-4943-b2b7-7d67461df638	17.1436818181818182	1.42870682138888871
f4282e18-0e21-4efa-a94d-2e0109b4f964	0	0
e6562721-708a-4462-8c1d-78381c20c678	16	1.33339555555555545
57e5796c-aeb6-416a-98b9-63b580acda78	0	0
aff79437-5afc-47d5-9681-c9d6f2681abd	0	0
8ddf3dcf-f177-44f8-a667-67671f846b3a	0	0
8d4cb4d4-a028-4142-8da2-d609a275be0c	0	0
e5041c88-1c30-4838-a640-745a3f5e8302	0	0
8cebd20c-6848-4964-991d-1034a6aca05b	0	0
ee86df37-3cfa-4b7a-b76f-1757516be83c	0	0
ac4ce696-f506-4998-afec-b9bf5098bc17	0	0
c0839785-c474-4519-aa1c-b5ae59e22a13	0	0
e5de7a42-95df-42a9-8ef4-29a5ca7481c8	0	0
e6185708-c4af-44d6-abb2-a667ed71d21b	0	0
204bbfa6-e027-49f4-9996-97a554bd3590	70	5.83360555555555482
7408eece-7df6-4fad-a13e-9ecdb40eec1c	0.594125249072381956	0.0495127479097782208
a9800e65-5b6c-4a14-a6ec-8dd43a48b7cf	0	0
b0fc245d-0e11-4449-8b36-ef820f4262e8	0	0
da9f2703-af14-4252-a7ef-41f1fd745932	11.1837229437229446	0.932020404232804189
64a0d2e5-7e76-4539-993a-741cfcbec88c	0	0
d43de13b-4b4e-4537-b4e7-2d42451a0a4c	0	0
3eb3a5a6-a39a-4fc5-8923-21787bd2254b	17.1436818181818182	1.42870682138888871
d2c6573a-f05b-451f-b968-038e21161ec5	0	0
7057fd4b-260f-4bfb-86dc-29c65ec27382	16	1.33339555555555545
e2c7b7cf-4ac7-44a7-887c-91c25ca3c371	0	0
448f1753-6067-4a6c-81b6-8da590cd49fd	0	0
df07458c-e8dd-4b97-bf08-c6f5702a885a	0	0
ad3d249f-b255-46b3-8ba1-a087da76f8bc	0	0
be2c0de2-ff93-4bd5-b0bc-c067f20674a3	0	0
e310966b-0570-4639-81e3-7496d7826cb9	0	0
dc9ac0ad-ef7d-4512-86f2-a6193dc3e9ce	0	0
8f9cc24e-b7db-46ae-a321-502ff236d745	0	0
66275cd4-358f-465c-b426-ad13e39b1884	0	0
76331e2f-3014-4043-bf97-359bd6e3d01b	0	0
7d1fe2a0-1f80-4c29-8fa5-1dcac6c6d609	0	0
03cc25f5-df85-40a3-b497-faaf25e0f22d	70	5.83360555555555482
a8f962a8-5932-4902-bf8b-a5ed592aa15e	0.594125249072381956	0.0495173688839376722
14ac6b8b-1c28-4e09-9aef-c73c876b39bc	0	0
16d229bd-9b04-40c9-8cc4-e73026bfe9b8	0	0
15f95c89-5ad0-4210-897e-0c58463b5284	11.1837229437229446	0.932107388744588872
004510b8-5253-4dbd-a5bb-ab4e3eab25aa	0	0
a0deecc8-16bc-411b-990f-f38487607842	0	0
9dd50162-062c-4fe3-8bc8-16ccf52de5bc	17.1436818181818182	1.4288401611363637
827bc7f4-8c5d-4611-ac44-f71270ce72e7	0	0
e43e107e-0f6b-4ba2-87ad-801355b16d1c	16	1.33352000000000004
111cb588-c392-492f-ba12-51e840a21fa8	0	0
1eb821e2-221d-4474-ad37-84799d72fa30	0	0
c740dba4-aad4-47d8-99fb-8139f0af4a64	0	0
7ed3a4f2-702e-4e1c-a872-41ac017ac111	0	0
dd50f15d-76f8-47ed-bd61-655f22b081a5	0	0
584799a4-9e76-4cc0-b45c-09bba104b411	0	0
2912c26a-60a0-4fd2-981d-88497ddd5da9	0	0
fae8c469-d1ee-4ecc-a772-7f0e572b53c2	0	0
cfca45be-609c-4b8c-82d4-c855a49918bc	0	0
67619038-4174-4c90-8633-e32836df5391	0	0
a3847ebe-719c-4da0-b40c-cd11faa8b1fe	0	0
5596134e-f4f7-43c3-acbf-d54e978ea5a1	70	5.83415000000000017
6eaa9747-72c9-44ff-a6d0-6b2ef3300234	0.594125249072381956	0.0495097772835328617
712aef2a-8d33-46eb-8f77-ef234b00c272	0	0
d3e66334-2986-426a-ae1e-c7af289edcb1	0	0
964746b1-9536-4899-97dd-a76b292c22ab	11.1837229437229446	0.931964485618085758
c1119a70-9baa-408e-b54c-9e0b1bfe23d8	0	0
500c6f6d-17fb-455e-950e-2ba45ef69bac	0	0
b70d5412-45f4-42af-8b62-b06c78879465	17.1436818181818182	1.42862110297979794
f2f80004-8af9-4604-9112-8a682cd3b314	0	0
10da94c1-ba2f-46c0-b426-98a75c5f46b2	16	1.33331555555555559
14b68bb8-0fe0-4eb2-9e01-a3f39a4a6cd0	0	0
a65d787f-31f8-452e-9b5f-86ae9ac48f5b	0	0
37038dc2-35ef-416d-a836-a5c3112b7868	0	0
14c8b052-76c4-4817-9629-91c0fe4f842e	0	0
49bd6ba2-42ce-4cca-a51e-443705a41ada	0	0
21d33b81-e136-483f-98bc-6c91d2f790ac	0	0
c1a4af80-bc9d-462f-8853-a9efa56525d3	0	0
011fc1ae-caf5-4c52-ad4f-627db86537a2	0	0
09eed4ea-d365-4a4e-b0a1-6275357135b0	0	0
42757ed3-22b5-4796-9848-2e3483e5da74	0	0
5a2fd8be-cb4d-4666-a852-6554e1859ea5	0	0
c39524a8-aa46-441c-b79d-199afcce986c	70	5.83325555555555564
c351a89f-61c1-459b-b0ba-0acb721b8134	0.594125249072381956	0.0495155535012321707
9e02f8a2-5a86-4ae9-861b-00723b7219c8	0	0
a3c2ca30-ac26-4dcc-9c2b-6025b715cdde	0	0
ee721b7e-70cc-41fb-a767-39ca227d15cc	11.1837229437229446	0.932073216257816251
fb4262a0-4c4c-4ae0-8d9f-7b40353d659e	0	0
0a25954a-a811-4073-88f4-a1a9d90ac39e	0	0
3041e98b-9def-4dfe-b7e0-911ef335d0c4	17.1436818181818182	1.42878777766414133
321e95ad-0e3b-447c-bef6-45d4bfb52c77	0	0
574cb1bc-86bd-4e0b-9d79-26383fc76234	16	1.33347111111111105
ad0494f4-2ae2-4460-a8fd-9b70e010cc84	0	0
4c01f0e4-afac-4770-9b19-cacd7a9f762e	0	0
3567e42a-f960-4063-ae0b-95303bfb544b	0	0
1c19ef07-639a-45a4-ba94-5f828e99d366	0	0
361893ca-dd12-4dc0-a8f3-3a52fd768c8a	0	0
2aad0ef7-9ae5-47fb-a3b3-44e07ded32ad	0	0
2cac916c-b40e-4387-92aa-aa057bdf2f89	0	0
3f59f3a2-ed05-44a8-b147-e530d3d9bb6c	0	0
3a68e8fe-c766-4132-8511-d56c707ed612	0	0
406ccae1-7add-4086-818b-919eeee075f1	0	0
3f717cd3-5829-4dd3-b755-657b6c713f49	0	0
dea89efa-0c9d-4764-ade0-05d33d6f5adf	70	5.83393611111111099
fa158a57-62a7-4422-a9f1-c2ef2fedb6bd	0.594125249072381956	0.0495148933620665407
e5003389-41a0-48c0-87ae-d8ed25aabb9f	0	0
458c6c15-7a15-4da7-ad17-cda554568469	0	0
0c5ac04a-0c77-4f9d-94e2-27d7c80e435d	11.1837229437229446	0.932060789898989994
ce6f611b-199e-43c3-8de1-596d93692232	0	0
0f450bcf-0da3-46db-b9b2-f2af3504c0f7	0	0
a9ef48a8-e5ac-44b1-a559-c60005a2a352	17.1436818181818182	1.42876872912878783
672c068a-68a5-4dbd-898f-4f6723a6ee97	0	0
4ac6bd3a-835f-48fa-b544-e61711a68b03	16	1.33345333333333338
6d6f3205-fec0-420b-856f-f54ea5c47759	0	0
6eaafa8a-5af8-4550-9cca-610345ef1f0f	0	0
b51a48d2-72d4-4074-9b5b-7029f016357e	0	0
38af39d1-ec9d-42e0-bca6-01ea77128e02	0	0
4d4e44c1-6b46-4ebe-8edf-ef46b245dac6	0	0
a4ee4005-30fe-46c7-96fb-e3a67a6b5427	0	0
f91c1f01-5474-4df3-b35f-3b5cc6002d95	0	0
81d33814-83eb-4934-80c9-021595e29127	0	0
5208df48-66c0-4753-9ef4-18823cb7c14e	0	0
d35e08c3-142a-4cfc-9342-95ad50206734	0	0
97ccfd46-bde8-4c90-a812-d7c965c629fc	0	0
c7afacb1-7b06-44a8-b58d-fcb35269b9e2	70	5.83385833333333359
59abdc17-a830-4dde-9793-e98d18686476	0.594125249072381956	0.0495140681881094877
bdf42c8e-677e-4bab-bc0f-0e5c1498c7db	0	0
af411487-b38e-4214-9d1b-b7584255585d	0	0
5d4822e4-16f0-4a60-975d-12e8a858a050	11.1837229437229446	0.932045256950456924
6313bf91-4f5f-41b1-9aee-e9e902c07648	0	0
752961bd-9868-455e-9ed3-0ab9a184bd65	0	0
e25e4fee-db01-4a67-975a-24577658e498	17.1436818181818182	1.42874491845959595
b79b6c9b-6788-478f-baf6-25b957da484f	0	0
b0d76d7e-23be-4e4e-99e8-98bc5f188733	16	1.33343111111111101
bc33c51d-b44d-44bb-8ab1-6a44093668b1	0	0
b89da617-6f77-4fa8-9f28-9fe24b353b9c	0	0
2626929a-0b8c-479a-8f27-c82c1528346a	0	0
0da37cc2-873e-4a17-9525-d9db19855aa6	0	0
1f0b4dec-973b-4696-8006-11794fef2fb4	0	0
590d8488-ad96-45f0-ad6c-4bda10a3f655	0	0
14ec0519-9e5f-4592-b62e-909858ad02c0	0	0
1df772f2-72a3-4aa9-87fa-1212a0e1d5a5	0	0
a0848085-2b35-4c80-9352-6ad4731963aa	0	0
fc467f52-a118-4932-8bc9-0fdd3e12e728	0	0
7236cbcb-d6ac-4d79-96ae-26f3816bd6c4	0	0
373deda4-f7ae-433c-b281-22cf0d37a9f8	70	5.83376111111111051
4df1fe24-57bb-46b9-8780-d56eabef87f9	0.594125249072381956	0.0495110975618641355
3bb8b0c1-53a5-478b-98df-8926d0be41e5	0	0
40ce11ef-8aea-4bc2-be7c-bcc485588204	0	0
61f2bee4-43aa-4cee-9142-329e6648cda5	11.1837229437229446	0.931989338335738493
f97eb9e9-08fa-4e35-b148-debb0e662394	0	0
a605cf61-5ca8-4c07-8a07-8fce18d83eca	0	0
fef8e789-ce9f-4230-a06c-8086df5de267	17.1436818181818182	1.42865920005050517
3e3cd0d6-0ed1-4563-9ac6-df70f5a9be35	0	0
ef3214ae-eb70-4098-accd-ffdf136ddc78	16	1.33335111111111115
244f4274-336a-4810-936e-a2949c23b264	0	0
aaa65bc2-45d9-421b-8ab0-8e50dcb58693	0	0
81199c3b-ea33-45db-a3f3-88ec5807e397	0	0
509b271a-b286-427c-943e-56459e06d9e6	0	0
218a0034-e1ba-4d84-9690-1d4a5d50d033	0	0
ccad2a8c-933a-47ff-a3d3-af6be3f48c7f	0	0
b7e76839-4cd7-49db-ac93-5cabb64b266e	0	0
0dc0de32-8920-42a1-96d4-76ffa8dd8c50	0	0
0392b688-d5b5-4a4c-a066-5e1f39b4dfda	0	0
a07681bb-3c52-4cab-97d9-2301a74f8a68	0	0
7981b380-296d-4dd3-8972-10ba8a35296d	0	0
df25f432-3cf6-4790-a3ae-ba93d6fdfccd	70	5.83341111111111132
27b9af05-e511-4766-b695-096af480115e	0.594125249072381956	0.0495087870747844064
53bd4e1e-9116-4188-b0e9-e15482628227	0	0
1d725638-d43e-46a0-9f11-012a0efd1976	0	0
1e7f34fe-8ddf-4c07-8702-f6d24710c929	11.1837229437229446	0.931945846079846207
b1ca2c76-b50a-43e1-93be-0217dc5db931	0	0
4a4639f8-8c2f-4bf6-b396-ef3cba07d97a	0	0
b31c3b90-c2a8-4552-9ebf-6b4c918165ae	17.1436818181818182	1.42859253017676768
0e506d54-fdf3-4224-a95c-0908746192ac	0	0
a2d76b6b-a419-46f3-86b8-de4e32275307	16	1.33328888888888897
684e9688-9795-4f88-b77c-b5fd5e5fb7c0	0	0
c41e6f0b-0d7d-45db-9fe9-d85a7bdfb32f	0	0
970530ed-b1cd-4fb4-a0e1-785a66b2a577	0	0
80dea5bf-8560-4970-9b7a-94573fbeb5f4	0	0
10e5e9a9-b17d-4707-87b9-e63590959a39	0	0
b7f3bf4b-faaa-47ec-982d-0e92ea75d4b5	0	0
ab5eacbf-4109-4cea-b456-bad767f93ef2	0	0
dc68033b-da8b-461e-b5d6-1f163743683f	0	0
f025040d-f96c-43ae-8a5c-41036dad2173	0	0
3edf2046-0130-4649-8a49-758c11ffad4a	0	0
d3d70d2c-01fc-4468-b4de-8075d6fbdb1f	0	0
420dba19-adf6-4bd7-a385-f0835f7aabff	70	5.83313888888888954
3e501247-1fc1-4279-8aae-0ab7d9df1a67	0.594125249072381956	0.0495176989535204976
c25bdad4-c488-467a-b28c-15a4fae97859	0	0
c0b42821-3694-44f9-b08e-8ccd59e38bb5	0	0
2519225b-57d3-4190-a6fe-f482e40e6d6e	11.1837229437229446	0.932113601924002055
27a1b33c-c432-45bd-b8e0-0c3eb0161380	0	0
7e7259cf-5914-4a32-9758-c94a911e5acd	0	0
949fb559-6614-4ec5-9ee8-f53855a2cafd	17.1436818181818182	1.42884968540404045
3a555f83-d720-432b-8d37-78ef9f335c0c	0	0
249ff292-c211-43b9-94ec-599786fd574a	16	1.33352888888888899
843251f6-1717-4dbc-bb8e-639f26856ef0	0	0
bae7a145-ccfc-4478-ae18-b60d9ec1b8ce	0	0
512d0ee5-042d-4f5d-95c2-91a655dc190b	0	0
d436fc2f-c5e8-46d0-99b4-cad0aa8f6b35	0	0
d889a470-6884-4e81-87e9-7b3ac7eaedef	0	0
81377855-b59d-4800-b972-9e14e7a1ee24	0	0
0d61a82d-ed6a-419c-8bf0-707d0e5effaf	0	0
70a4d36e-475e-45cb-af5b-31ab02db94d5	0	0
86830e51-2c56-4226-a8e8-271653423b74	0	0
27595e31-0094-43fb-900f-32fce96fd746	0	0
943427df-9761-4188-8d64-4eef88354892	0	0
0d3cb46c-c44a-4ab6-a571-dc245cc63eb5	70	5.83418888888888887
274b9816-dbcc-4fff-9ce8-ea38a4e8aeb7	0.594125249072381956	0.0495140681881094877
19363a41-8278-423a-a67b-5ba50176f1cd	0	0
be5946f5-d3b0-45b4-be45-4d6c8540af69	0	0
fa7df045-6a44-4db6-bf66-24aee9faf58f	11.1837229437229446	0.932045256950456924
c81c5ebf-c7b2-4af8-a565-7e4da95cb68b	0	0
b1da4ee8-faea-4e75-9d7d-1e83d0544247	0	0
5b29d4d3-a2a6-424c-b1fc-0868188c8161	17.1436818181818182	1.42874491845959595
3f14cb67-a4bb-4238-ad4d-2a52872e968b	0	0
a8df59b6-b84e-485f-864a-55874eb150fb	16	1.33343111111111101
0ceedd8d-6821-4fcb-ab67-5acb2efc650f	0	0
30bb45a5-c2d4-401c-a4e3-5dc45119ebb4	0	0
83fc8e59-0157-4111-a967-271fab7f5ad6	0	0
2348bf7e-52d4-47a7-bcba-0799103786ed	0	0
26f6bfb5-d845-4cca-9b4f-23d24c7660ba	0	0
19c24bef-588a-4131-88d8-33021791f03f	0	0
b4dbcfa6-0b97-4c93-946a-ca4578dddc87	0	0
98c0c116-23e4-407f-9e59-23a8e7d7900e	0	0
f0929145-a328-405a-86dc-cd04c2cc34f5	0	0
08aca645-8465-43b0-b81f-1296d83232a6	0	0
cebabef8-c26e-4186-80ff-86e83fca9fbf	0	0
65a6d286-deb2-406f-811f-c21af9ee8825	70	5.83376111111111051
f5069b2b-c777-4754-88bf-09bc0f75dc62	0.594125249072381956	0.0495135730837352669
71420483-9509-4e23-9a73-aab830515e9d	0	0
7f124a37-831f-4c31-94d0-9cabb1883c61	0	0
23a74981-49c4-49ff-a951-83bc5ce62dee	11.1837229437229446	0.93203593718133726
0a190c31-7c80-4162-9d4b-c6565771a3c8	0	0
14a3306a-202d-4727-982d-1861f22bb42e	0	0
6cd7adb9-601e-45b2-9aff-daee3f7ce9f1	17.1436818181818182	1.42873063205808082
4edb91f5-9523-4982-b71e-c5a5351450f0	0	0
32bc1741-95b6-4d6d-b546-4d11245b2a21	16	1.33341777777777781
580f647b-40ce-4284-9781-e2ad7a639bbc	0	0
ac8fca24-9d31-4a84-9f00-ba89ba9d146b	0	0
416c184e-16fb-4a91-ace9-ce0786ac8114	0	0
7340db66-60ef-49b1-90e1-84af96250cf5	0	0
ab0ff982-9e32-4ef2-974b-6536293159ec	0	0
f2423c61-e392-4670-834b-e265312f5538	0	0
9b236e7f-3125-4f79-a678-013100a56ad7	0	0
18c74e51-8c91-4fef-9b89-ef3e764150cb	0	0
4a3f40db-c2ae-4a99-845c-ba26848ff771	0	0
0b45eb60-e952-4b02-a46c-ae4fd7a2da59	0	0
17fbb872-6044-4c07-a3af-2b9e816e21c5	0	0
abf36f2d-415f-4876-8f6f-7a348fbcf527	70	5.8337027777777779
226a3b59-813c-4f70-a690-bb9f55ef2015	0.594125249072381956	0.0495127479097782208
c3f01133-55e9-40ac-b6ec-9abc6366dcb2	0	0
edd056c6-8ce8-462f-a881-0f41282e844f	0	0
c5c4a4b6-3b37-4ad8-b00f-1fbcb2f39a20	11.1837229437229446	0.932020404232804189
a716e73d-cb5f-48eb-81f6-4a38844e1e58	0	0
f09dcb84-5138-4743-94ef-b8e91aa0d1f8	0	0
6c7c16bc-f786-48ed-88a3-947dea9f1b8e	17.1436818181818182	1.42870682138888871
47dd8436-8f14-45ed-9d2b-15a13c976617	0	0
a7a6fc07-fe99-443b-bfc3-0ebc0383d7c6	16	1.33339555555555545
b3752746-ffa6-498d-b513-7af446d51711	0	0
fd43f9cc-b769-4dfc-9c82-d03923b2cf16	0	0
7f0c49f2-9950-4f53-b664-7a67a1415f2e	0	0
f28b28f2-b214-4479-9dd7-33372d726666	0	0
d4bb9234-1f21-41d1-951d-a17c5469a765	0	0
a9cd7380-4d96-48d7-808f-54b58b2e4602	0	0
68ff754a-57d3-4d6f-9781-07bb449cd9fc	0	0
b55556fd-ddb5-444b-8dc5-707f1bc54539	0	0
3ccfcf58-96eb-4018-8d38-283f58a82396	0	0
27d32ac4-e22d-43a0-afdc-c04403cb5b59	0	0
210e83dd-7671-4052-a2f7-860103f750da	0	0
819715e6-dc02-4bf0-804c-7ad69ee0bf0d	70	5.83360555555555482
891bbb4f-213b-433d-9660-a6e09e219286	0.594125249072381956	0.0495143982576923131
3376ead8-269e-407a-8556-116e36b25e12	0	0
3e12421d-e5dd-42a7-9b2f-36c46192bcf6	0	0
cfe51bf8-8736-469e-a355-9c4197012c96	11.1837229437229446	0.932051470129870219
e24cc265-071d-4824-aaac-a9c4018001d1	0	0
75d46a47-e1a2-481e-a36b-fa28207c6e33	0	0
f94b16f4-a767-406f-b458-5dae650f57c9	17.1436818181818182	1.4287544427272727
e18182ac-0c6c-4f66-91f2-bfb3e8879af7	0	0
6070d428-152c-4764-ba2e-067c6b6f06b0	16	1.33343999999999996
d2c7a941-94af-42fe-82a8-2e2fc09e4f14	0	0
556933d9-3e2d-4c72-bb61-f0a97c08a462	0	0
faf3bd51-30a6-4b4a-aa10-a6463cc21a64	0	0
41758fad-239b-406a-aed8-5e0eb034ac7b	0	0
366e488a-5f97-4390-b076-15b111e311b7	0	0
f8263f43-762e-46de-90a0-9068671cd382	0	0
27572a72-5391-461c-833c-499ef9cdde8e	0	0
ce3bf289-190f-4d72-b52b-da33c6bf6181	0	0
c7055c49-2f74-4f9b-985d-6ea077810544	0	0
ec7b71d1-bda7-4582-ac97-7dfcdc27cee2	0	0
c6448760-bd4e-4739-a739-96d59c444bb1	0	0
4c443218-3bf0-4739-bd11-d547b3147159	70	5.8338000000000001
7210c774-1a81-423a-ae34-e54fa1781b73	0.594125249072381956	0.0495135730837352669
d6238b77-dfd5-4cac-b0eb-c7c81b191e9f	0	0
f951ed41-40fe-407f-b7f2-ed2de373d0d5	0	0
846723f9-0690-4c7a-979d-e38c34c715e1	11.1837229437229446	0.93203593718133726
63dcc140-5e65-44e3-9570-7be2070b342d	0	0
ec8d5133-6072-48b0-8370-f0181ea3d863	0	0
605256d1-0105-470b-872b-1bf490a8110a	17.1436818181818182	1.42873063205808082
221ee48c-b7f8-4ccd-a096-abe7e82cce5e	0	0
9cc40e1a-c733-40dc-bfd5-59ddc7201437	16	1.33341777777777781
01c9d831-e783-4e4f-bfc9-e0f84bddc863	0	0
84389108-1b5f-4953-97b3-d264e4f5db06	0	0
f4663d1f-bd0b-4f0c-8e0c-eb87a67b68fc	0	0
e5c71412-a0de-4e1a-ad27-b512c6060b42	0	0
27fdfe90-c6f9-462c-8bb4-82c47ee6a842	0	0
8e065f4a-8f15-4949-b5ed-b71975771b3a	0	0
7e53161f-8fe5-469a-8f76-bf93332938f7	0	0
d677db1e-25eb-49b6-8687-282803c5db69	0	0
14f82b2d-1869-4318-a40e-cb205d55723c	0	0
8d355929-3610-4fe9-8ef1-76af17d66698	0	0
e70edfcb-e0aa-4bef-9fa8-7d13cf6a8e7b	0	0
d2c371f6-9ff6-4e39-9573-a5edd4202322	70	5.8337027777777779
ab8fe1f2-adb2-4014-a32e-df436cddffb6	0.594125249072381956	0.049516543709980626
68e5aed5-694e-45eb-a451-84a4c9e7362f	0	0
6f55987b-86b0-4516-8930-88385995bbd5	0	0
0a571c7d-e8fa-4ec7-8d27-9f87bd991521	11.1837229437229446	0.932091855796055802
305548f5-d89a-4349-9972-479da42092cf	0	0
151de124-e760-4530-bcbe-10dbb48a155c	0	0
6f6c87cc-fe1e-484c-9801-ee0c8a2b2af0	17.1436818181818182	1.42881635046717159
31749837-8a69-4a46-a53c-bb56b5e65609	0	0
ceee6a17-c09b-4da0-8305-6cbe753b8f47	16	1.33349777777777767
787ef149-c129-4117-b7c1-ea1d0f98d763	0	0
61591e15-bb16-478c-98b8-addae9b7d4b8	0	0
3d73a9e4-39e9-4834-b7af-b570bd530a2c	0	0
f15cc111-44ad-40ac-8c84-e1f0506ec146	0	0
2ab08b10-c12e-4deb-a42f-fa86d38288f5	0	0
2afa3cc3-af57-41b5-b692-1d1df5fa9c0b	0	0
ee40ad94-b16e-4751-9eee-0f306ab3d65e	0	0
c02b9fe1-83b2-4a77-ab61-ca9c6aa77663	0	0
8970da52-7be4-4cad-9d97-0f48cbb858a5	0	0
ba95fd6a-fabd-4beb-a7c4-42d97fe36d08	0	0
1db5355e-ac1c-4b3a-b25c-9ac7c134723e	0	0
8181feac-54c2-4d2b-8ae6-1d2f5653002c	70	5.83405277777777709
914dc0d8-8efe-43e2-9baf-011667e7669a	0.594125249072381956	0.0495064765877046772
4b0e00ef-0b13-4c02-a957-ebc0714f336c	0	0
48d3e034-69ec-4d92-a065-afc2c402fd01	0	0
ec32c3a8-5f41-4807-bc57-0e2b8622f80a	11.1837229437229446	0.931902353823953811
0d10d283-5bc8-4979-b8dd-02e60518a735	0	0
5d94d66e-ad8e-4bd0-a0e1-afb3fdf62d7a	0	0
4d4f0a12-18b9-46fe-af1f-436f3ef1bda7	17.1436818181818182	1.42852586030303019
aa449011-6e94-42eb-aa68-2dce74055e19	0	0
124cb53c-46a9-4747-ae88-133491af80f5	16	1.33322666666666656
1ff4e2a8-0a29-425b-b0ac-012070814ab0	0	0
7e26558e-475e-4039-bd97-f7185cb60b01	0	0
2edf9056-534b-452a-b3d7-315493e26dfa	0	0
46913568-5cf8-4e9d-8aa3-5a9ffdcd5f7a	0	0
304aeef1-dcfa-4c87-9888-e01aea894824	0	0
1a69423e-72b2-4418-83f0-048eccdbad0b	0	0
2174938a-892e-4d88-9a6d-e9039c8cc59f	0	0
cbf575b0-9541-4689-aa20-78d557f3b42c	0	0
b299f49a-1ed4-4d80-9177-577e3b3bbc60	0	0
c8a64d16-32df-47d1-b83c-4b2d56e8a116	0	0
e7b21495-4278-43fe-b922-9d7680309d22	0	0
c7650722-e9cd-45d8-9a6e-03438b064e92	70	5.83286666666666598
708d14fa-f9c8-427c-be37-2daa40b7b86e	0.594125249072381956	0.0495181940578947183
4052ef2c-94eb-4355-9c25-c1d6e98aecb9	0	0
8e107e55-32c5-445a-95f5-bfab68c6f560	0	0
9908b1a0-9511-4e72-b22d-12650c5746d8	11.1837229437229446	0.93212292169312172
abc997be-8b39-4830-97a2-e29446e89a7e	0	0
bad596f9-a461-4a49-a099-28c76be99a95	0	0
2cdc4f2c-cf21-446c-94f7-0c214723c7ea	17.1436818181818182	1.42886397180555558
76b5ea15-84bf-415b-a480-dcd7c7868701	0	0
9d58b4f1-3eb6-40b7-a21a-c8e6ac34507d	16	1.33354222222222218
ac971314-b444-4f29-9ec9-f63cd629dfe6	0	0
a7a13f2a-7124-4e67-8340-b0a49bd32121	0	0
fc1efce1-26c8-44ba-9047-6371aa1a814f	0	0
cae62bea-d09d-4d29-9fb7-b26f3bc62af9	0	0
377b39ae-9fb5-4d7d-982c-2269a4e1a5eb	0	0
32e7de5c-f470-46ad-9781-171a13db882d	0	0
dc2beffc-9ad0-4273-b553-42ac6c8db773	0	0
0a26a6d2-7ac5-486e-9b2e-cfa5ad225d73	0	0
91ded9dc-87ed-480e-83c9-e82e001e253d	0	0
9b899d75-2d4f-41d5-9728-1fd0e93f1e04	0	0
e8aeb403-dade-4b25-8bd0-0d300707cd64	0	0
2d1bcd86-965b-4373-83a1-edaf5f35f315	70	5.83424722222222236
a4a03fae-5039-48ec-b7fa-f8af69bf9d06	0.594125249072381956	0.049516543709980626
6e8a1b2f-1e3b-4dc4-8f62-5bbdc1d5e6fd	0	0
2f8c28eb-64ab-4db2-8660-1c72907b9652	0	0
7c8873fa-3339-4859-a0bf-3825cf8ddf54	11.1837229437229446	0.932091855796055802
733a4f5f-3fa4-49ee-b347-e382e54524b6	0	0
f9d6548b-80aa-4c0f-bfe8-12cabfb02fc4	0	0
6f309859-22f0-44b5-afbc-4a6223579e2a	17.1436818181818182	1.42881635046717159
51f4b0df-31f0-47f8-8e88-64edbae11f09	0	0
918ba802-85b6-479c-9e11-e014f42c8801	16	1.33349777777777767
e4307b8d-7a51-4c0b-a49b-b868f396fa52	0	0
5207bff4-318d-44b8-b190-7226e570df5f	0	0
eae57be6-660d-45fd-b3df-4fd88ff44978	0	0
de976f49-176f-49b9-8fb0-3dc6edee2bf0	0	0
e0838caf-adf8-4eb5-a6ab-a263e9936d30	0	0
2e777314-8b32-4cd8-9d1f-0aae7e86e520	0	0
589e891a-21b9-44be-a906-d08dd1562fa9	0	0
1fc83334-265f-4d99-b5d5-c0cd89aefc32	0	0
f6937e47-971b-4b9d-b3ae-e7b255711be3	0	0
1f050fbf-f052-4888-ba01-27139e4d52b6	0	0
e2720995-8430-49cc-ba8a-fdfd56a90540	0	0
5b77fb0c-5b63-40f7-a877-91d2f35439c4	70	5.83405277777777709
1a789349-93ed-48c9-b01f-bc38fe71b259	0.594125249072381956	0.0495115926662383563
15af29a0-0ac3-4a9e-8f9e-2fca4dae447f	0	0
9ecea71c-ee43-4404-9e52-14c7e3095220	0	0
f451c82f-ae44-430f-a70d-3e6650c30730	11.1837229437229446	0.931998658104858158
b5562f52-66f2-4b11-82de-9ec1402f56e5	0	0
054412e9-a021-4a5e-b79e-99784b5beefd	0	0
7aa04ca6-f9e6-4210-8519-a3839ceca255	17.1436818181818182	1.42867348645202008
bfc56389-6607-439e-b464-61bf3eafab37	0	0
0dbb02a0-5eee-4312-8cec-9d90380b2093	16	1.33336444444444435
9f8c4497-7a25-485f-892b-da0490f95f20	0	0
be358a50-8ef3-491b-9fd0-71fc439b1cc9	0	0
b3cb00ab-84f2-40d0-b37a-8e8fa72aa8a3	0	0
bdafc10a-f36b-433f-b5e9-ebbc623df0ab	0	0
16da5228-0e3a-4c92-a4c3-ef9c7e203d16	0	0
f5e8fec2-c574-413d-afc1-6872b6c6d565	0	0
35c1f524-719a-4d8f-9ab7-3bda60e7929e	0	0
dd25eab7-9bbe-4186-9f6c-0471d67d1ce9	0	0
446b1d5d-0115-4804-bbbb-e46fede2b275	0	0
babe30e1-c70c-458f-b717-284cbca8ca1c	0	0
4a833c84-1c44-4c0b-b4f7-e8d6a6c2215a	0	0
09da0d27-7af3-44ab-a5b8-dae7569d0985	70	5.83346944444444393
8e824e77-93ff-4229-8d2d-73c123aa014e	0.594125249072381956	0.0495115926662383563
bddb4480-e35a-40c0-83b8-ee34eb36f8a9	0	0
2ab4a16e-a129-49ce-9e7e-b49f4cd15f84	0	0
5d3734c2-d412-40b3-bd4d-27abf9482668	11.1837229437229446	0.931998658104858158
6a4460cf-3114-45b2-8954-45ef198ad6d0	0	0
af7662e8-a608-45ec-96a7-130d3eabf877	0	0
0c26362c-b8e8-4f45-92cf-573e49620b78	17.1436818181818182	1.42867348645202008
d7cb1963-497b-4b6b-877b-8f76b78d1404	0	0
070c4dc8-6a25-4ad0-9336-54f1f760798a	16	1.33336444444444435
a64941a2-b5d8-4846-a5f5-07fab2dc340a	0	0
2a2d6624-a52d-4ea2-996f-9964a93026af	0	0
8f3e4ae7-e068-4797-8f50-411f4fde9543	0	0
de38d94a-58e0-4629-8379-319e7cf9c0f3	0	0
2ec69d18-6777-45dc-b34f-50ce15385c3f	0	0
56fc2737-aaa8-4b4c-a409-a1f7ff20bf64	0	0
941bdf09-1834-45cc-a949-4a89daed1f47	0	0
d27b765f-babe-4f85-955d-5c9bb825363d	0	0
9e36c8b3-86a4-4541-9470-b45c732186e1	0	0
64bc0dbc-bcfa-4334-9d7f-f8bc9a33aee4	0	0
2e82d4cc-14fe-4904-89cb-611c72359812	0	0
3a50d1f8-6f7e-42b5-aede-729a12dc07b4	70	5.83346944444444393
667bc521-6e53-4769-beaa-b547df10c236	0.594125249072381956	0.0495172038491462629
8c461c0e-b18d-4ba2-b359-288b1cb3451a	0	0
c3e493a1-5a4a-4f58-b5e7-d2b404b28cfd	0	0
98c1c593-20b7-4bea-abdd-8c92d0b64f2f	11.1837229437229446	0.93210428215488228
b9b47050-0d92-4e8d-8c20-01363d78f43b	0	0
0ff95419-2e7d-4689-8001-5cc669ef9945	0	0
e9e14881-3317-45aa-8641-670f0a700989	17.1436818181818182	1.42883539900252532
961b9ad7-15d8-49ee-9c58-9be8e541d877	0	0
f8ddc891-2f9f-4950-9d39-9192c9c12b8e	16	1.33351555555555557
eca3a040-f5cc-4fad-a70e-9f17791f7dfe	0	0
a85fa890-7604-426d-890c-827a248f619a	0	0
2381c98f-bdd4-4f4f-9c47-0cab05443079	0	0
7ae6ec61-73ce-4537-8056-24dc93221345	0	0
da82f353-7cee-4939-963f-9b6103509c3a	0	0
846729f4-38ed-4fba-9247-6f7fc6f935c7	0	0
184194c3-70b3-4800-80da-babc584b5408	0	0
2dae0af8-ba03-4598-9c7f-9ab54622ea80	0	0
465f82ad-061e-4d53-8edf-e9e371ea3a34	0	0
96ee29a6-1ce3-4d24-a97a-8f5e885f55ff	0	0
e5c66842-99e6-48f9-97c6-81107de264c3	0	0
26844220-fc4d-4b86-8865-6d91a289b0a3	70	5.83413055555555538
a38f6c7c-5fe3-4a18-bf85-1cbd2d2a789b	0.594125249072381956	0.0495132430141524485
5033ec07-1287-4d61-aef8-1b4ab451bdbd	0	0
335c005b-f006-4a6e-abc4-7e643f01fd46	0	0
59acbf67-7fb2-4026-a1cc-caf7998d5441	11.1837229437229446	0.932029724001924076
4e336df8-1549-4db2-8161-be0c019de4f7	0	0
ba646ebd-2c8d-4bb9-9a7e-dbc3945b76f2	0	0
6633f0ec-c95d-4bcc-94ec-5125fc4b539d	17.1436818181818182	1.42872110779040407
5a8f001e-a1b2-49b3-8754-0652ec58e47c	0	0
c7c4f9c7-0704-4d9e-824b-44215a90632e	16	1.33340888888888887
09e78779-2498-4f66-aa2b-91412193461b	0	0
ff338407-5c55-42fb-8ddf-0c7bdd3d844c	0	0
1e67ec6f-00da-4756-b352-485de97d9219	0	0
147c629e-9a3b-4afa-84e4-40119927279f	0	0
0720cecf-824e-4bcd-98b4-6ec8bb80091c	0	0
84eeafeb-5aaa-4c5f-87eb-6c5fc37be954	0	0
e57a2287-5d7d-4586-996e-6e304f6f5304	0	0
9b5f4527-36c5-47c0-8080-2d10c33c68e3	0	0
500deb20-6741-4a36-b921-03ec5bf59169	0	0
898f21c3-7831-49b5-8bad-d87aad0ea61f	0	0
3f30a52b-e3e2-4e20-8d3d-7cb86a9017ba	0	0
96e4f10c-a1f8-442e-8190-c17c7f405c5a	70	5.8336638888888892
f06206e8-01fc-469b-bd5b-12790e97a116	0.594125249072381956	0.049507796866035951
b12691da-5446-4f89-bc07-ca81b317d309	0	0
770a6e3f-cf82-4ef7-8d35-8d24e4ef6090	0	0
db4ab13e-6a44-44e7-a73c-90586283f847	11.1837229437229446	0.931927206541606545
c12e36c6-f1fa-410a-886a-73333731ec0f	0	0
255a5c6d-c8eb-47d8-b508-00921e2030a7	0	0
eeb16f01-2b19-4594-9c55-6407c9b27a15	17.1436818181818182	1.4285639573737372
fcd4e956-a6da-4b2a-92ba-4a8548c5d24d	0	0
ddd41c72-0ba2-49fb-b3cd-548ddb354eb0	16	1.33326222222222213
453b8234-6399-4750-93cf-72579d109638	0	0
526fd96e-981f-4969-b809-e174e6dd2a9d	0	0
6088bb3e-3415-40f8-9396-b8d9d3f61755	0	0
377e2cbc-7c98-4f3f-ba94-3e5794eecf95	0	0
633efa64-86e1-4237-b8c3-5e179fdac5da	0	0
7526e7d3-4ac5-4b07-8236-2480e35565bb	0	0
2012ce39-725b-4fca-91d2-68f6f15128bd	0	0
f0ae4970-557e-4d5b-96ae-9506519aeb4b	0	0
cdc13459-93b5-4770-bb23-beebd77a7946	0	0
05f0dc22-fe27-4640-93f6-6d4276b5b5ee	0	0
5a6d0185-e34c-4f47-8b21-22e7bcdfd4da	0	0
6e1c5571-5f80-4b32-8107-5c03a7c3718c	70	5.83302222222222166
b6808567-6b80-490d-b9b6-b2f00c86bafe	0.594125249072381956	0.049520174475391629
bf4f9788-c635-4352-934d-ca8f45a4d2dd	0	0
216b27e1-0459-487f-b2b3-62b411012464	0	0
708dfde2-1fc4-49e9-a874-d89f498cfad6	11.1837229437229446	0.932160200769600933
68256f5d-ac17-4398-818c-3bd2a4ce578c	0	0
604b57dc-9409-42fd-9014-fc60736fe8cb	0	0
207020f7-7475-4d47-a1e8-6fa6e7597270	17.1436818181818182	1.42892111741161631
b83957c5-3eef-4a02-897d-75020c7ebee7	0	0
3dc222c6-17d3-4dbd-8550-db8432af4dcd	16	1.33359555555555565
2d534e3f-1941-4144-841b-fc20a5fa2937	0	0
a3f23136-1999-4829-ad46-deb331f9ea58	0	0
87644dd5-6f12-402e-8fdc-1a5b76038acc	0	0
37f8f8dc-c6a5-44a0-a2bf-0786499cd2b9	0	0
5c81a424-a00e-4873-be23-af6c504f6c3a	0	0
de17de38-f94f-4241-a465-2914c340ba22	0	0
827c1b91-343d-497c-9c28-26917a57eb7f	0	0
774a9e72-2ce3-48a1-bed4-580f20f4d6af	0	0
87a09fb6-124c-4ede-b2a9-32ae6998d6a3	0	0
addedacf-0021-4371-911f-661a4f8a75f3	0	0
60f5fd5a-c8d1-498a-8ddf-a6d9f70b436e	0	0
3e3336ca-a07a-4db0-a014-c5f1f745a046	70	5.83448055555555634
73a8a809-2bfd-48b5-bff7-aac9d5a23038	0.594125249072381956	0.0495130779793610393
cf5623b2-d55c-42a9-b921-5b87a54bbe14	0	0
34763128-801d-4180-8ca6-3d6b038f1427	0	0
812b5b5d-b5a8-41d2-a020-40bf5298fefe	11.1837229437229446	0.932026617412217484
3b40e92e-5f40-4b12-8600-6c4ceca00c53	0	0
c6f62d75-6209-490b-9e67-d06a27568344	0	0
8dd06378-56cb-4c53-8f5f-554ce998595b	17.1436818181818182	1.42871634565656569
7196ef9b-794f-4f57-8551-1fc744445125	0	0
c17ab781-f299-44a2-b9b0-717b6cb770f7	16	1.33340444444444439
8afeb634-e0c8-411a-a1f7-f307fa445e8e	0	0
cd4b6252-10af-461e-b543-30ed275d4e0a	0	0
808133df-856a-4d22-867a-ea3fb7da3498	0	0
f0c9f4da-f341-48e1-a752-4ba584701691	0	0
b67eed63-8dad-461f-8df4-bb0affb06392	0	0
b2c54266-3116-4678-9030-20dbf078566f	0	0
e1585af8-dcdf-4af1-b74e-8b9cf7abf61a	0	0
34001a7b-820c-4ed0-a529-0b9b34ea77d2	0	0
e88975f5-74f7-4aaa-8238-14aaf7090363	0	0
624f9910-ebaf-430f-8a8b-3bbb5ae56286	0	0
37f536ed-e811-439e-a8cb-a2f6b5a011b9	0	0
a341cefe-549a-4681-893a-77827e652b05	70	5.83364444444444441
1a74e4b9-8a6d-49cc-a618-58ef10bc5f2e	0.594125249072381956	0.0495135730837352669
5200cd4e-e7e5-4cfc-ba81-13a9f16c418e	0	0
f87fa53c-80c0-4f1b-8aca-873dcb777efc	0	0
cc0e83d8-10ba-4aef-979a-cd7388da777f	11.1837229437229446	0.93203593718133726
3b8ba504-dfbc-44fb-bd29-7997e3fada99	0	0
10a7155f-b707-4759-917d-efac794e2cec	0	0
98d5b524-73fd-4af3-b567-2dfd067877f6	17.1436818181818182	1.42873063205808082
2e34b517-0b0c-4ee1-8439-dbcbb5094afc	0	0
13b567a2-2fff-4810-bb50-3b97ad4265ff	16	1.33341777777777781
cab61a64-6c5c-417b-a8bb-f8f1e4068590	0	0
7f58ea26-2c98-43d5-a760-c1e52819049e	0	0
0ca6b09a-e922-4b64-bd53-866f1bf64ff9	0	0
4d1051f0-b0d7-428c-aef9-73df355ab900	0	0
48695249-60bc-4c0f-85f5-f539b1bdb4ed	0	0
cb44053c-06ff-4c9e-a29a-ea6e9a70c7b9	0	0
78c017cb-4d10-4c4e-a705-34058f28e787	0	0
30457ac2-e889-4218-aa89-494d2a9ac235	0	0
674e7493-208e-47b2-9a45-db336da42c54	0	0
33f831ed-e912-4084-8a91-6380940dad43	0	0
5590d2b2-458c-4905-bc25-0dc43a26edc4	0	0
d4ab7d4f-2fd3-4692-b7a2-e9207698f784	70	5.8337027777777779
37990170-44f4-4432-a686-4a65b45a94ff	0.594125249072381956	0.0495170388143548537
12660352-3055-433f-b1ca-79f2d5ac86a6	0	0
a62b919c-77ba-436e-8659-891ae4105f50	0	0
35d7fca9-7bd7-4780-84f3-396735599cd8	11.1837229437229446	0.932101175565175577
23985d6b-f725-4ab4-af16-66f1805db086	0	0
e88c1752-caa1-45e5-aee7-1e5330533c17	0	0
cb2e39e1-03e4-44f5-8a11-dcf1c6937a96	17.1436818181818182	1.42883063686868694
a33b7a1c-14e1-4de0-b5ed-149344edd611	0	0
040678b7-4da7-46b4-a07c-e80536a0f227	16	1.33351111111111109
c8b75a22-3424-4c0d-89c3-c269ba8577de	0	0
faab758d-c9ea-4dd9-b935-2125854328d4	0	0
999c8819-752a-4864-94c7-6c97cdfb6253	0	0
47dc39c4-e5ba-492d-ad85-455d6e839f90	0	0
f120eda5-3081-4c42-873d-27607c06ab68	0	0
2e341eaf-147e-4814-bd00-161835cb9d17	0	0
22fdbf69-357c-4347-8fd0-c5ceec77896e	0	0
b99cd8d7-3a87-4d6c-86ff-2b1515b97d93	0	0
8d11cec1-c91e-4e44-8f38-da03b89afa31	0	0
e0cf3d5f-9a52-4bb4-a2d1-fbfc578e7cc1	0	0
0e0faa3c-93fd-4fa5-aea3-ce06f8cdceb6	0	0
07a758d6-b385-41c4-ba6a-07271789ecf8	70	5.83411111111111147
7a8ea2e9-1298-4f4e-b61c-57c9f22174ef	0.594125249072381956	0.0495112625966555447
b06d3684-7c68-47f5-ba28-66c746daabc4	0	0
236dac11-15ab-4109-80f1-1f11721e1b9c	0	0
5fb3a9e4-921c-4cbb-aca4-87dba8e7ff55	11.1837229437229446	0.931992444925445085
95c39dac-4362-4531-8eb5-6cc95a9a64bb	0	0
f6a492bb-2a49-4027-89c2-1420f8ed5877	0	0
d9c0d954-4c63-4436-b02b-fd3a854b3137	17.1436818181818182	1.42866396218434355
3c9f439a-29a2-4b40-95b3-4c2f0e45e02e	0	0
87981d52-c405-487f-8988-ab168edce6c9	16	1.33335555555555563
aca8a28d-0ada-456b-9cf0-5a0e80e17f52	0	0
0d95c72c-911d-4b50-b1b7-99f6b34dcdc3	0	0
cb1aa2dc-84e5-4350-a4c7-022095ec8c92	0	0
05535e51-88aa-4823-b325-9ab0cf08fd89	0	0
3e1f515f-f39b-422d-8c7f-81f0763dd8d6	0	0
f37dd66f-55cd-4b85-9458-99e3072f42c1	0	0
82bfafba-4c35-448d-b5d4-be4424265224	0	0
5900bc2a-93c8-4c0a-9320-5f8659a37b4c	0	0
8ca97aed-b93e-4a94-9b81-4f074a203523	0	0
847d4a49-4646-4c63-a615-738a2553657d	0	0
2a09f9b8-2d15-454b-9b30-d59366eecae3	0	0
93c62bc6-ae64-4ab0-aa2f-fa9e63eafb99	70	5.83343055555555612
ccff51b8-865a-4e8a-870d-ee376d323662	0.594125249072381956	0.0495140681881094877
d3e187eb-51f4-4732-b406-d6111680abf8	0	0
5b455d0b-8df4-4fe3-881a-17a45e9b855c	0	0
42d86219-cdc0-4a39-b55f-f9d5a5517fb9	11.1837229437229446	0.932045256950456924
34892ea8-a0bc-41ed-bdc4-4c1f8ff1d84e	0	0
6a546ec7-e671-4af1-a47f-69cd00718da9	0	0
a05200e3-263c-4e33-bddd-fae6174de240	17.1436818181818182	1.42874491845959595
9b349ac2-ead5-4e2a-b875-1ed33d2c1e92	0	0
aad5971b-261c-435f-a001-74b8f583efcb	16	1.33343111111111101
d0131d64-c5bb-407a-baa4-c1f89ca4ca88	0	0
033e0079-2f8d-400e-b704-5d1f3a216c4c	0	0
d9469dff-4458-44b4-96f1-833cde304637	0	0
e0d03ca9-d6e6-4f77-a5c5-152e5f8535e8	0	0
4a4e65dc-15c1-4698-9f3e-879e835018f6	0	0
916d48ea-85c1-4412-83c0-811fbb108972	0	0
66435202-8499-4ab3-8b69-ab70ab8301b7	0	0
18ed0dcf-1108-4f86-a456-85ddd212bdf3	0	0
e2ddf459-ffea-48c0-832f-cbae71b4bbe5	0	0
3ded18b0-e76d-43a6-bc8b-573f52467f3e	0	0
72861bbf-afa0-4155-b058-b3d148688d3a	0	0
3ca2efe7-4dde-4c9a-9a90-46a011a55fc9	70	5.83376111111111051
5c908fd6-1c9f-4af9-9d81-2b0e7c6d56aa	0.594125249072381956	0.0495082919704101787
483a8dfe-a498-4b79-a279-7d9308234854	0	0
6cc48acf-a91a-4e0f-b044-83a53132d351	0	0
cd3a2163-47c8-473a-8b97-3f97663af23f	11.1837229437229446	0.931936526310726432
1d132e8d-fa56-4790-960a-827b00d562fa	0	0
7277b842-6151-48d2-bab5-82846215fb93	0	0
34bc6856-1e11-43a6-b0cd-02294b7a85f2	17.1436818181818182	1.42857824377525255
48a3300f-b44a-4396-a1cb-fbfc19c477c2	0	0
203514fd-de27-40c2-9143-b8f8f0bd5521	16	1.33327555555555555
2ebe6abb-99a2-4f42-bbf7-785b69cfbbd8	0	0
b8901ec2-b57c-41fb-a9bc-467361e97507	0	0
ac9d1721-2f49-4f14-83f3-9ec62ed80e07	0	0
f5cbf3c4-559f-4ec9-9b2b-f2bab4204ee9	0	0
745bed10-16ad-4ac4-9179-8c91d9155d64	0	0
d660e427-8bba-4df5-8ac4-203de493624a	0	0
2f5a9cfc-01ca-47ce-baae-17c2665b81b9	0	0
14e51ff4-08b7-4732-bfec-2bb536837ec8	0	0
c4e98dfd-5957-4e7f-98b1-dcae4a684200	0	0
78ad7077-2ab8-44c9-a0b0-9e615b5b89c4	0	0
1b0c9d75-2361-4072-b31d-823d29b0ab7e	0	0
5ce3616e-4477-4000-8bee-cecd0355f314	70	5.83308055555555516
728f63a0-8fbc-47cc-b9e3-0a6992d82b57	0.594125249072381956	0.0495195143362259921
1641b69c-cdbf-4540-9247-cde0b88537f0	0	0
5179a97e-e786-4647-b633-a0643b955990	0	0
f22d264d-347c-438f-944f-a64a7d0b4785	11.1837229437229446	0.932147774410774455
f4d60c1e-ce37-469d-9f1f-166c812f9608	0	0
d136bdf8-eeba-4e91-8398-608fb31db10a	0	0
3f20a989-3cfa-49fc-b8b6-b22783a6f071	17.1436818181818182	1.42890206887626259
ddccfdef-abaa-44f5-ace4-0585ee26df01	0	0
f85732c8-b960-4b3e-8766-28bb0f5e5b26	16	1.33357777777777775
2a5866f9-d365-4250-94ad-ffa12a5ceaaa	0	0
65d21d6f-44a0-4e73-8717-18dba81627a4	0	0
f3b83478-426b-4a98-b464-665adfd99d23	0	0
41b4df68-4964-41ce-8e33-81518edead38	0	0
979bc132-d34c-4602-ab91-0ba352cda4e4	0	0
11b3b4c3-2bb1-499d-a352-268cdd5d08a1	0	0
6fd51ca4-6143-46f0-bcd0-094ba9a2e3de	0	0
73207fde-d26c-44a0-923d-c3373e792666	0	0
76d1ece0-3ec1-442e-8dbd-480bb01796c9	0	0
94779d7c-bfdd-480a-8c0b-07bf3c38f6fb	0	0
ebca7eb3-0d52-4e53-b48a-9ba0bef976d1	0	0
1a851dbd-c87d-47c1-9639-275be12959e4	70	5.83440277777777805
95d0e444-80c5-43a5-8821-d2af03feeab6	0.594125249072381956	0.0495124178401954093
68399796-0a03-4341-b027-3046ccb4c172	0	0
fc60923d-7411-4fee-868a-c01c3566a4c7	0	0
eebb5fd2-6b49-47a1-a616-9edc2c72c5c0	11.1837229437229446	0.932014191053391117
0aaf2a66-d395-4e79-ab9c-7b141f74d07f	0	0
ee246978-9f0a-45f0-945e-b755aff91c31	0	0
03d456b6-3357-4add-b67f-e851a5305519	17.1436818181818182	1.42869729712121218
2c69fc1a-433f-4306-9ddf-a6843e1e0feb	0	0
4a5dfdb1-8ff1-4c32-b705-a2c947854e3d	16	1.33338666666666672
9a0a446e-49c9-46cf-b4d6-3c3922d29782	0	0
4c7ac539-6c6b-45c3-8e8b-0ef83c406cc5	0	0
86743c26-4e2a-4f86-aad2-d0597c87fca5	0	0
a2f1ca03-71ac-4962-afe9-6c9f2d548415	0	0
6aba6f6d-fa8b-4635-88bc-7359c064a52b	0	0
a82fc10a-c2f6-4aef-8f6e-4031d1998563	0	0
bba2e2ff-05a9-4a0b-8134-1a642b57da49	0	0
484ea9fb-c9d8-4d9c-8a3f-679ef0bf8b6f	0	0
f28c2506-0f27-489b-a591-8815f3128997	0	0
5898ea6a-c5d7-41e8-b4b6-b27656e3dace	0	0
b1d8d2d5-b9ac-4082-9f84-e71a1af205fb	0	0
2496cea4-2b22-4754-83e1-69521377815e	70	5.83356666666666701
2d17d620-f724-4cea-9b80-64e3eb228019	0.594125249072381956	0.0495142332229009038
770e75ed-b5d3-4755-b4f4-81e403624b1f	0	0
aef1ff23-5c8d-45d2-a351-e1278f700562	0	0
482719fe-9480-4c4b-afaa-d51cbb307096	11.1837229437229446	0.932048363540163516
73d72783-a072-4254-8f7f-32691c9fff0d	0	0
173a2d48-e7af-4bd3-90a4-989cb54bfbd4	0	0
1eced9f3-ca24-4fab-8b3d-820586bdaff7	17.1436818181818182	1.42874968059343432
3d11dbff-2c89-4103-95d4-5d6236f32f2f	0	0
f848ef03-72a8-404f-be7c-26b0647428c4	16	1.33343555555555549
e0192b42-da94-486e-927b-e94976bf71f0	0	0
221b9e47-66a2-4ef3-9bca-3ff11235c213	0	0
5d90e77b-c56b-454c-80d4-e05de02e03ca	0	0
16a4ba12-b735-4927-9800-0217047539c8	0	0
f818a59b-1342-4eb0-abe7-4a70ce570068	0	0
75828a95-cfb0-41a5-824b-b410d70e944d	0	0
13cc9927-7d05-4b2b-948a-e423946dd74c	0	0
474f68cb-8d3a-4cb0-94c4-439c6ef3df40	0	0
36e0fe67-2c0a-4476-8e8d-2a62ffcd7bfb	0	0
04e13b40-904c-4104-ad1c-d8549e307f1e	0	0
2423e40a-9f05-4d74-a046-e036348d7e8a	0	0
e4d6f3a4-2898-4aca-9b8a-19b371752e9a	70	5.8337805555555553
019cd980-4a66-4630-ac5c-d9e8d253289b	0.594125249072381956	0.0495137381185266762
bc7fd0c8-8c4e-42f8-8f2e-809cb6c60416	0	0
ba12bc26-3c87-46d4-8b04-2b586b4f6403	0	0
830981c2-df5e-4055-93f0-182b9a0d0985	11.1837229437229446	0.932039043771043851
f6739c56-b491-46d8-ad01-c713f3cf30b1	0	0
3205e2a2-4778-403b-901f-97364f426a9d	0	0
c6667954-d1ef-4270-b34e-23cd296312ea	17.1436818181818182	1.42873539419191919
dec0d137-51ee-4e61-9fc8-0af6e3e964a3	0	0
cd0d40ff-5f96-417c-9f6f-bd1e350e3d7b	16	1.33342222222222229
b20c45ce-fe2c-4ec2-aaae-7ba0dd155c56	0	0
7b12d846-bf7b-4d8e-ab84-f25b2d9d8c58	0	0
a6d60a38-c39a-4eae-9cef-2ab8560afd91	0	0
e7964b8d-a9a0-4876-b152-fd590663a6a6	0	0
b2ad0f59-6f0d-4bfc-a4b0-461002f2a559	0	0
c99e5977-5a6f-410c-bb55-42df3a2c5fae	0	0
249b7d41-611c-43d9-9829-aa1f56840424	0	0
0977af10-6c2b-4dab-89c9-659baa7d3a2e	0	0
9b99c948-5edd-4203-a524-ca83787740c8	0	0
a2cedb16-6bc0-4534-95fd-e869b8df3097	0	0
6c75a675-39b4-4f3e-aa33-77ce65d9a335	0	0
38918043-2bf4-4f3b-968f-9cfa0207d293	70	5.8337222222222227
9969e499-97a9-4585-ac3d-44b0a90d37c6	0.594125249072381956	0.0495142332229009038
a00742c0-68c6-4ff9-b285-9dbe6a19d622	0	0
0c97cadd-5bde-4a44-9b08-397974080050	0	0
4406bf5f-ce77-44af-a0af-4f7dc8190b69	11.1837229437229446	0.932048363540163516
3e983895-d735-49b4-9b1d-f899d10dc317	0	0
7763feb0-6bc8-4b89-aa75-b15bfc320314	0	0
7283644b-6458-4e21-b77b-13bb32786c52	17.1436818181818182	1.42874968059343432
e54a52e4-0a4d-420f-944a-c1fab810723a	0	0
754aab2d-6c3e-452a-a1e8-f03770677912	16	1.33343555555555549
026ce468-dec4-49f6-afd1-1a21f1e74c70	0	0
82214378-11e6-4a54-8ed0-a2855f3c1b91	0	0
7c9e2a71-4670-4765-abd1-7da7e45a73f4	0	0
815b36ff-a6d2-4b24-96d7-172b0ebdd475	0	0
2752caab-a694-45a5-a6d5-e154367eb430	0	0
3d84702a-50b2-4ca8-a36f-ed955d054364	0	0
82d8e9ae-de05-4ce6-83b8-c0c135bc601b	0	0
fd6f5057-d409-4c39-85cc-c4685c09a87b	0	0
55f1d783-e45f-4c97-98a3-6b280d7fbbab	0	0
785a94b0-d980-4413-a5ff-bf21bc713c8d	0	0
146cffdd-452e-4a9c-a627-a8232efb2fd3	0	0
575b7bef-0988-4389-b21d-cd65932bbc4c	70	5.8337805555555553
af57c762-4dbe-4605-b1ca-46e2e7378b2c	0.594125249072381956	0.0495119227358211747
413f1ea6-e908-4d4d-bc5d-65affe8f6344	0	0
3ae7e142-b6bb-4041-8d0b-5a95d4a6f776	0	0
a94ec559-647b-4555-9ec6-96a6e5047e73	11.1837229437229446	0.932004871284271341
ea8cd8e0-15da-4ea6-8f75-a58dd28cd08f	0	0
87af3fb5-f348-40ef-888a-23c80e311840	0	0
0280dda0-4c30-43fe-b080-0c5fcd0df434	17.1436818181818182	1.42868301071969683
0b0cfb5f-7073-46f4-953a-aebc696eecb5	0	0
05fbcf61-7ba4-4e98-8959-a375c037fd88	16	1.3333733333333333
3e86b63c-bde4-490c-b1bb-8632b80d58e9	0	0
16f944b6-4081-4e0e-ba0e-6e675cd8a8a7	0	0
93da526f-80fc-400e-bb2b-03a67139b3d0	0	0
f080d299-c650-4667-9e24-dc781c4e82da	0	0
31d6c019-ffca-42d8-af0e-ad05f5d21395	0	0
309ec320-e527-40bc-88c2-df60bd3d0023	0	0
26a28f06-3979-4259-8756-717aa30596e8	0	0
c6bd8739-3b2a-49bf-bf0d-49f88245f426	0	0
990a304f-2312-4262-8ecf-f7e3356644eb	0	0
d27aef08-8d44-4938-9a0f-11d7dd35b178	0	0
6bc0611b-5849-42dc-a455-cba5c02dba81	0	0
7fdcd25c-fc56-49c6-8c66-a4fa72cae2a6	70	5.83350833333333352
d0db8e92-570c-4061-a946-44d4adbe3f66	0.594125249072381956	0.049502680787502272
0315946c-2f90-4c1f-b32d-dd5eeade0cf6	0	0
f787d250-6f12-4b9d-a1fc-f1cb64e8a892	0	0
e674961c-188b-4758-9c3f-666406cf9989	11.1837229437229446	0.93183090226070231
f765f1b2-97fd-46a0-88e2-d2a1b2036d11	0	0
dd992eb8-b41a-4e50-9de9-dbe88c9d5886	0	0
d233fbb6-b6f4-4567-9498-db009d9ef4e9	17.1436818181818182	1.42841633122474732
8e8b0a0f-9a43-4520-b6e2-671442c39277	0	0
defbb916-4164-4a49-8688-ea11176302b7	16	1.33312444444444433
f069c5e0-f74d-440c-ab03-0a5539cbead5	0	0
5dc940a4-c179-4fe0-8381-caccc859e8b1	0	0
9fc26c29-fe2d-4ff4-a5a3-5dbda19a8044	0	0
59beff1b-50fd-4de8-83ce-5227304b046c	0	0
b8a96459-2487-4b6e-865a-603431f19fa6	0	0
6f390dee-7ae8-4282-9adf-272b51c9726b	0	0
87e05f66-c81f-49c8-b28c-04ed94d67525	0	0
06e5812f-9de1-472d-8957-11580893eccd	0	0
7f04e12f-6621-4f39-802b-1fc942d6cd75	0	0
04fcf25a-d1a0-43b6-9396-59c25cebfc7d	0	0
c11b0cc6-5831-4704-ae4d-2dddff3421ae	0	0
cd5acb90-96f2-4fba-9a77-f6290261f29b	70	5.83241944444444371
f80b8be7-86c5-4d8d-b2be-14fcffea9709	0.594125249072381956	0.049523805240802625
796f9a53-95fb-420b-ab6f-7b0a0ae71b76	0	0
2946174e-ed12-4ed6-a1fd-e597e94c120b	0	0
8fafd6e9-d576-4496-8f49-77293729635d	11.1837229437229446	0.932228545743145842
ab2a0da0-80e0-4d27-b2d1-08d8b6011f4b	0	0
96d584de-3e1b-42db-91be-55a0bc28a35b	0	0
8701aa2d-77c3-47d3-8aed-b744be320035	17.1436818181818182	1.42902588435606059
8b532ebf-bfd0-469c-9dd2-b9d3bc2d3f21	0	0
e5f26064-061c-40a7-8bd1-efe3619cdd1f	16	1.3336933333333334
34b7ed2e-d16a-4a60-8647-b5fc516c4de4	0	0
6f5d703f-8de2-4dfd-a883-a03919a5efd4	0	0
d8f7788d-99ee-4ba2-b1d0-2972641c3227	0	0
82bb5b5c-f89a-412a-b550-47c576cf3359	0	0
07dd3907-3723-405a-893c-9a138aa74efa	0	0
ea4d90f3-e580-4a37-9823-edaaae79b70c	0	0
366dc072-8337-4dc2-a04c-f52f539bbdb0	0	0
3dc13e24-ca5f-4d4f-8b6c-bbe8af1f36df	0	0
e2002e2c-57d2-4000-924d-81e1c0409f23	0	0
b5852728-ce11-4e7b-a1b7-23b81b7cdea9	0	0
f4981210-200c-44da-bbe6-ff3f1deb9dde	0	0
07e15f16-b621-4b35-ada8-210dc3c8b349	70	5.83490833333333381
9abd6a51-143b-46f2-9c22-f6a6f21dc6c0	0.594125249072381956	0.0495142332229009038
90c59e50-baf6-4aba-8d69-b58046a3baa2	0	0
65ceb686-3f03-468a-809e-9475b2aa2813	0	0
94a73ed4-4e95-489b-ae0c-cbcd3c61354b	11.1837229437229446	0.932048363540163516
4f671d82-74cf-4006-bc1a-a91e12aa45e8	0	0
c495fdad-7809-449f-940e-cfff6bcef36f	0	0
7252b85a-1b69-4f60-aef4-c867a1e3ef62	17.1436818181818182	1.42874968059343432
1b8b5f83-2677-4955-81a6-3ed7489b8f56	0	0
0e18e2cd-2efa-4c71-a197-fa12ff96900e	16	1.33343555555555549
1ece5402-4573-4212-9e00-4bd9570609cb	0	0
b83f0420-03c2-4402-a81e-eaacf1deb908	0	0
520c4d5f-7182-4110-bf6f-fac8069ca427	0	0
f54e1aa3-4fa3-4efb-9df4-026c284f7db7	0	0
1447e04d-066c-4e6a-8f2d-08d4ddc193a5	0	0
430b1aec-66ce-44ff-b7ad-f0c8198e2d53	0	0
0481437a-754f-4cad-9e26-01522627c2d0	0	0
b145dde7-c445-4f2c-ae68-eff0e22e6413	0	0
fa083fa8-3b3b-4fa2-9b3d-76c08ef88b27	0	0
002e2053-303c-4e4e-9d50-302a517c28ba	0	0
0c4c5169-8a74-4769-9ba6-0f7d57727397	0	0
cc94f71c-61b3-4b0f-b5eb-ac5ee04ca64b	70	5.8337805555555553
c74cdab7-54b9-407e-ab87-82a783a4e788	0.594125249072381956	0.0495140681881094877
0d862f14-4919-46d6-b483-ee0e645d218a	0	0
c288c82a-cab0-4609-bf69-9ab9204605ca	0	0
fd649c1d-8849-423b-b924-4c86f7e4e8f2	11.1837229437229446	0.932045256950456924
c9f0ae81-5c58-4b34-8861-963b849566cd	0	0
3d74fea2-e212-46c3-b4a8-51b470fcc03d	0	0
7f0c9569-21e3-453a-bd00-c4911541caf4	17.1436818181818182	1.42874491845959595
7cd24cae-c3ef-4684-b7db-41045ae4df9f	0	0
4ea2af14-ef67-4fb0-a44e-fca94c91c9c0	16	1.33343111111111101
02c35768-1b7a-4dae-8852-2ade2ea9eb67	0	0
47cddf2f-5e0c-4992-93e6-3b77aa216e23	0	0
102146ce-fa1f-4c25-8cef-7bf1d36fd5c5	0	0
0c95909d-1e96-4abc-819c-60e56e7119c3	0	0
ea43931f-ffb0-43c5-8d5f-5c621fd123e5	0	0
8db5508f-ac58-4ae3-b237-a30b74ba49c7	0	0
24a3b335-050c-44e6-ad5e-51bbf5c0b827	0	0
3debdc5b-0c27-46de-a055-bbea2b688876	0	0
a2c72cd2-0f31-4b77-9ca2-9116ac09e1a6	0	0
f4cfce9b-75ca-4c1d-a034-2072e8943e2e	0	0
bef13b37-b004-4e5f-be7f-7202fd4fb465	0	0
5ceb6f4d-b8be-4422-83d7-70d0eb50fb95	70	5.83376111111111051
25b6b417-e009-4928-a29b-2889b5867b71	0.594125249072381956	0.0495139031533180854
e8d474fa-1d73-40ae-9395-d65a2786f6cc	0	0
733eea88-c890-4382-9dca-157c7a1482e5	0	0
b5040ad0-cbb3-4de8-b99a-65bc3b62ab64	11.1837229437229446	0.932042150360750554
d99b97cd-cff3-4b2a-8c3b-56de072b4355	0	0
c668a118-19b2-4f06-af92-5761c29f779a	0	0
91eac820-4be1-42ea-bfdf-8f95672b0dd5	17.1436818181818182	1.42874015632575757
dc027b74-9d88-429c-8367-89a1d604be89	0	0
66c9e7dc-c475-4910-ac99-02574f0d16fc	16	1.33342666666666676
4d3c4c6e-696c-4ae0-9305-2eb2169037b1	0	0
db0c008b-1077-421a-bfc6-7df891008418	0	0
742e7b41-a56a-4c78-aaa3-49410f935087	0	0
e70647eb-5dbf-45db-8a67-8d56afe6bb2b	0	0
c3553785-5fcd-4ffd-a292-0f3bac37874e	0	0
33cceb5a-20dd-4bbd-afc9-f0b820dab740	0	0
d37d24d9-1536-4712-b26a-a11157cf5276	0	0
47c04467-2b58-491a-9e3b-9855d88aebe4	0	0
3dc5e084-1f71-47f3-a4ea-10db0cd5cd8e	0	0
f8a90563-a066-4c8f-9019-271bd9a49fbc	0	0
f708d033-e6d6-415f-907b-158771e3e7d5	0	0
0f4068ad-e4ff-4670-be5b-46f4d495a75a	70	5.83374166666666749
c86b1a33-90ca-4e42-9511-ad442435f558	0.594125249072381956	0.0495160486056064053
73816161-ab9b-49e2-b83b-df4ce933733c	0	0
6d972bbb-1509-44b5-b421-0588fa131468	0	0
a58bcf5c-89ad-4500-b6ff-8bc2a5c497d7	11.1837229437229446	0.932082536026936137
1ca8294e-5d05-43c5-b7cf-17998f152b1f	0	0
85ab8e1a-4f65-42c1-b89b-5b196581d60e	0	0
d4ee24c9-e83b-4aa5-8d78-4536331c6c8c	17.1436818181818182	1.42880206406565669
b2b050f1-b83e-46a7-a876-bcb8525c9c1d	0	0
b160e20d-985a-4b29-9fa1-b3e4a1c4216b	16	1.33348444444444447
c7ed0e3e-1332-4fad-b850-7a503795f274	0	0
8ec89ed2-b004-4407-b11a-2459c94749ef	0	0
f602ae9a-a196-4235-b34b-c0c6afe0bc15	0	0
4550867b-9918-429b-9d2c-aadf7c15cf19	0	0
8c7bb31b-8df8-401b-ba26-378f4f99319d	0	0
2b2e7103-1bad-4160-88d3-ab89c83107ee	0	0
1ff9afe4-f888-444a-a3bd-6358cef1da07	0	0
d840df73-b0e6-4364-95cf-c4f9fce1344b	0	0
2d655d1c-5503-4870-be42-a39ac6d6343a	0	0
8a62d7d6-af8b-4961-b084-1c7321d472f7	0	0
26c09497-d377-4deb-bf85-882af61e4f27	0	0
daf47388-ef64-408b-9ed4-57798fe09aaf	70	5.83399444444444448
d87b05d5-c0bc-448d-9c79-fdcbdea91c75	0.594125249072381956	0.0495120877706125839
baf96ab7-9b15-4d32-95b1-2211cc75f989	0	0
7e012f07-a143-48c8-99d6-2e3c73b3575f	0	0
42b99e8e-72a8-4946-afa3-ae63bc40ea98	11.1837229437229446	0.932007977873977933
ee7c256d-3721-4346-958a-d42e8ceec19c	0	0
d992a8b4-c2e4-481a-b62e-1a38799b51a0	0	0
73af1303-7fcf-42ad-ad25-e7b6d2e3eb52	17.1436818181818182	1.42868777285353543
f90416fd-da82-4907-aed8-1d97a0df2368	0	0
58eaffa7-f0b1-4747-9450-1b16208d6219	16	1.33337777777777777
3ea3a9aa-189d-4f05-aee6-cb250532c0de	0	0
239d6f48-c779-435b-a497-851632f960b1	0	0
7ab59d7e-cc8e-4d7d-8b77-29f9e10ef9ac	0	0
508cdba8-e3f1-43ab-9eb4-7ae360f268ab	0	0
4cc5f0e3-7d58-4096-aa8a-960443d2af75	0	0
cd1b707e-7896-418a-8aeb-cc45af365737	0	0
7849debd-999c-47c6-a2a5-2a15d25b71d7	0	0
49b45a4a-2f05-4823-a7f0-1c0c72319dfa	0	0
c9cdfc73-67d7-4c0e-80fe-9e93b2ec4f57	0	0
8fbc48d6-2c7d-46c4-9509-fded6a36ae82	0	0
2f8d93f4-6422-4688-b178-29992d9608ab	0	0
14eb216d-7b4e-4e9a-9d79-21681a753049	70	5.83352777777777742
166c030f-242e-451a-9455-40cde50c45f1	0.594125249072381956	0.04951291294456963
e1ab367a-522a-4b92-bd85-388efb304b58	0	0
3517875e-5075-4008-b0b8-d6a1381a8bf7	0	0
9422dfa9-3e54-4ccc-a1ea-eb16c85a725f	11.1837229437229446	0.932023510822510892
694114b5-2ef5-4a85-8853-2d824811be92	0	0
de2b93d0-82a0-412a-8a68-f10e2c8bedff	0	0
44662602-c472-4e00-95ac-57bee1f83307	17.1436818181818182	1.42871158352272709
d70ada39-d1d0-4cb6-a1a6-db7c6f0e7f96	0	0
c2715a1a-2b83-4dfb-8a3a-20e8932e7745	16	1.33339999999999992
06b54feb-c6c3-421d-8d7e-28291994b0eb	0	0
0531958f-9b35-4292-8bce-4cdeec8e8eb0	0	0
cd44ea78-0673-49d6-97a3-6dc459b7f3f7	0	0
b61c09ad-36ac-4015-afb5-0b543740887e	0	0
27b02ca5-77e9-4fc2-ba77-44b5129b1493	0	0
6bb154f5-8cd3-4108-a453-e658ff16f89a	0	0
2452e001-52f8-4ef8-b066-29c2ab7b04e2	0	0
e2ef95e5-4269-47c5-b082-a999e6ebce70	0	0
bb3e5162-3c95-4724-a0d3-ba942895df09	0	0
dc397703-623d-42d7-9d16-6b29f500f36f	0	0
b50390c6-1bbf-401d-b972-c33864c458ec	0	0
ca2fdf4a-932d-416a-a2aa-0514e813ca38	70	5.83362499999999962
5565169a-2c97-473d-bd89-7cfa0b5fb2d0	0.594125249072381956	0.0495148933620665407
d4e013da-cfd8-46e3-99ac-479a6937088c	0	0
4b65de10-e92b-4500-8d99-72fb89f78eaf	0	0
4145a7b4-f0f3-48b3-af0c-7c2f9a4aca99	11.1837229437229446	0.932060789898989994
6eda0103-6b50-4908-82c5-52b95986c840	0	0
0da3a771-a404-4e62-8ab1-0b3d1a96a6ed	0	0
abd6aa5f-9c9a-47e6-bc14-20a916785a64	17.1436818181818182	1.42876872912878783
75ca704f-97e8-407e-98e0-e35c34a25094	0	0
604b0b79-5e53-4bba-ba7d-4eb8adada58f	16	1.33345333333333338
aaac74c7-f6be-4569-b1d0-4082096475a5	0	0
d0f8d673-4704-4bb9-968b-9799402dc090	0	0
77c6ac37-6bd0-4c20-b5e2-0679587fce1c	0	0
592ccb72-3108-4632-af2a-f0f25f096c04	0	0
c4dcb21b-aa32-4746-a358-c98debeb02db	0	0
13f43238-4f7d-4398-8d2c-764cbd729975	0	0
5b79eb4c-4f46-4320-896c-470cef2536e3	0	0
7ba57ecd-ac70-4d72-ac5d-dce0ae974b0e	0	0
75c9dcd3-27a6-4b9b-b6e3-256edc7f4a1f	0	0
7340ea0e-2906-45a1-8efa-04d1d26866ab	0	0
aa0c14d5-c366-4226-8077-2a11870da5f8	0	0
aa529fe8-cb8e-4d6e-b3a2-02638db10a3e	70	5.83385833333333359
1123be7e-305f-439e-9d24-12c728dbc044	0.594125249072381956	0.04951291294456963
9cc206f7-4fd7-4ad0-b9fd-7e15014864ba	0	0
19990756-4fd6-4eb0-a3d6-5ce0bf30b83f	0	0
1e9ece30-c9a2-482e-b179-2b6c3323396d	11.1837229437229446	0.932023510822510892
415d8166-0a81-4362-b995-4d7e1fe70f91	0	0
b7f9d75e-8fc2-42ae-a357-f1292c7bb524	0	0
7e4b937d-7f2b-464e-81c3-fb5829b221b8	17.1436818181818182	1.42871158352272709
87a26dbd-3216-4071-937f-ef9ab9dd280c	0	0
5d2eb865-a702-44c8-aa7a-3242e2d39e6f	16	1.33339999999999992
1c0bdb13-df10-4520-a2c9-7e45a9eb90e8	0	0
cb68ac8b-7eeb-4ab7-aa3a-5b2e70270757	0	0
80eaff11-f0dc-4ee1-8088-40c1dd45da0d	0	0
6a1eeabf-e2f4-4512-baee-7706e87fffb1	0	0
c11a6172-2d72-404d-9b44-9021db9229fd	0	0
4fc03148-6712-429a-ac3f-31675758e8d7	0	0
1300db2c-0e3a-479d-885b-026e88609719	0	0
7a471b84-6874-4d83-a222-f20d646045cd	0	0
f5789af4-a09a-457e-b35c-3cb3369cdb72	0	0
101a095e-d49e-4572-b49e-068db1f25346	0	0
611c4542-1c44-4281-8bc2-c08eaa18575a	0	0
dddf3d5a-b52b-4a75-aa82-713f2b7289a5	70	5.83362499999999962
6306afbb-3641-45bc-8f95-cb81cde5cf39	0.594125249072381956	0.0495175339187290883
ef4fadd9-9f21-4fbd-a4e8-effc4b2cd521	0	0
85aefe03-d492-4d19-8440-c787b2e61b4b	0	0
197566ff-bb8b-43f9-b474-6d037b1e7b25	11.1837229437229446	0.932110495334295464
0230dbfb-c3ca-4ccf-9e7e-f141911102e6	0	0
426f6b1f-2367-45ae-b3e5-a7bfef6996f5	0	0
4397488d-e445-4157-9cfc-086d1c41e233	17.1436818181818182	1.42884492327020207
0dee3725-3dbc-49d6-9a6a-9be10ecfe198	0	0
e0425f8e-8238-4146-ad64-09149d41f78f	16	1.33352444444444451
0b1c69a3-0268-4ccc-9565-58d47ae299a0	0	0
ca56e963-5590-44a1-9b52-9cb8bdcad38e	0	0
72e8a0ee-4f63-4e96-806c-ee1e00d367d3	0	0
6619d2e7-214d-4e19-8434-c090c853f36d	0	0
9dd3d365-093d-48f2-81f0-f3e5ca452882	0	0
3ff78e86-190d-4acc-8e82-f0ac2dc8a00d	0	0
37cefe9f-b59e-4dd0-aa36-1424b5407803	0	0
0c39e6ab-549c-4066-b70b-d523c2854fa9	0	0
2c30aadd-de64-4219-92a3-c13add05cc04	0	0
9ca74180-ff50-4404-a163-9ff5ab0b5e5a	0	0
51f6010f-5f92-428c-bc0c-948003a912fb	0	0
20bd1d1c-34e6-4a69-ba7e-bb23be983b16	70	5.83416944444444496
1f6ce4dc-8746-4a38-81ac-da9a39bd7773	0.594125249072381956	0.049511427631446954
71dee57d-70ec-4623-a738-b97fa23ab338	0	0
dc2019ec-b4bc-4c0f-b069-830165b5d185	0	0
00124197-2a8f-4a18-9bc3-df8b7862c755	11.1837229437229446	0.931995551515151677
e27e3983-eb4d-4535-b94f-3fb0e52c2983	0	0
0ff73562-da39-40d7-84af-3b59808b969f	0	0
e06e5b91-5d19-431b-bb7c-86767a8f465e	17.1436818181818182	1.42866872431818193
800a7dfd-4bb2-42cc-b032-5cdfcafc1f1f	0	0
7c87a9c7-7eeb-430e-b4d4-869b07986bfb	16	1.3333600000000001
6ad48b40-d9df-4a59-91b9-93e68bb604dd	0	0
26583e5d-5cbd-4f37-9c1c-a4144dcd8b82	0	0
91f6bcd9-a0a2-49a1-9ced-864562b35b72	0	0
112841ae-e51d-4b05-a2ab-943102c5cb43	0	0
94e007b7-d025-4939-a55a-89f69b068f18	0	0
ed6961cb-9853-43a3-bc62-0f9d5b4a6b10	0	0
ef8397de-c570-4b4b-a200-35f98ee31afa	0	0
85bb0a83-2ec7-4ff4-9b36-4c92a28812db	0	0
543014d4-fc53-4dce-a841-6c71c7b2cc8b	0	0
c8be8cb7-1a6c-453d-86ca-0ee8c6824ade	0	0
038007c0-3439-447b-b4d0-6376c5113f9d	0	0
150ded0c-13d9-4897-b4f7-7588a942bedf	70	5.83345000000000002
50c9e4d8-d947-49e7-8d97-47c89e9025e1	0.594125249072381956	0.0495130779793610393
76b56b88-d434-4ce5-99c7-5439d3efc471	0	0
e2e36125-8101-4682-946c-609100a40edc	0	0
598a987e-9e0f-4efe-9560-217ee3b0e7be	11.1837229437229446	0.932026617412217484
59749820-720f-4b6a-9dff-117b71656964	0	0
205bb689-8d40-48ba-bf24-d70c249abd01	0	0
a5aec04b-886e-49d3-a8c6-59b40633e895	17.1436818181818182	1.42871634565656569
6c10e8e8-96b7-4e81-bdb7-c6e09392dfa5	0	0
18754c54-d268-4e76-8e06-fab0fec2e052	16	1.33340444444444439
6d7f1c70-11a1-4314-b97b-e3372c53df36	0	0
6516c0a8-b4ce-4b17-8af5-f24817c8ed7f	0	0
e4183ed0-88c0-4335-a31f-ed506afcc055	0	0
f0f35ba5-3e67-4622-afdb-9e27d57107d1	0	0
aa7940cc-2236-42a0-bcd7-2bda392a247a	0	0
3e2cbccc-e1f1-44ad-af56-294951183d31	0	0
7336d35f-c11f-4bdf-8751-1ef1de93c72e	0	0
2aade6af-7657-420f-a75b-8507b16c7ff1	0	0
a8448011-8ba6-45af-83ea-1a21c951aa7d	0	0
0fef08d2-b87b-4537-bff3-717951941258	0	0
78c1e194-2ea2-49fc-9338-4ba21a3017b9	0	0
0195fc12-9f37-42b3-87ed-89254e2d082c	70	5.83364444444444441
0510fe8d-aa05-43a5-81cb-b2be9f06723b	0.594125249072381956	0.0495130779793610393
aaf5942b-67da-4a85-817e-b3d1f8c06337	0	0
315ef823-d5e3-4130-be3c-9374cd56bcee	0	0
ab53234a-c4db-4b96-91be-8b23a9c4e450	11.1837229437229446	0.932026617412217484
08280f87-5083-478c-b431-467f2a8de3f6	0	0
51c5ef64-2bf3-4aed-bfd2-0b1ab0c5d94c	0	0
5e74f046-ebbd-4843-8f28-f153fa0b3536	17.1436818181818182	1.42871634565656569
4bc09db1-5dd9-4d9e-97cd-4c3d8154060d	0	0
8cb543d1-347d-4db1-8dd6-fc1200101757	16	1.33340444444444439
47b982cb-b2e9-48d8-ae69-0b4d5e305f98	0	0
90de0780-b2e7-487b-9d96-4cd6aab9a8a4	0	0
a0efe85f-c37b-46d6-bd08-1b4bb9803605	0	0
a40be2c7-c28b-47ea-89f9-8bc224cf3e1a	0	0
68a4b530-0d04-4120-9d44-4773c0225641	0	0
b8107d9b-ac11-465d-90aa-f07a720938e1	0	0
c7a91716-12dc-409c-8e9f-4091d41f33f3	0	0
e7c60fda-3363-4811-8eaa-36ea2cfa2014	0	0
e8a6ae9a-b4db-4676-9e9e-89edd996df3a	0	0
445f678a-57c0-4acf-9130-5f34335a80d2	0	0
32770d76-b7c4-4e92-bba6-de2216f56912	0	0
1f81f7a5-0a31-4e47-8250-89a9d5ccea57	70	5.83364444444444441
40fe9a1b-ec6d-49fd-a4bf-dfcb603ee8d5	0.594125249072381956	0.0495147283272751315
01735da9-626f-4ee4-9f93-08955411df14	0	0
4565c9c9-192b-468c-a309-f84f900bb658	0	0
65a4cace-128b-46e3-901c-c18e927e1313	11.1837229437229446	0.932057683309283402
d29beb65-68e2-41d2-865f-5fffa28038f9	0	0
3e233aad-589d-4028-b3a5-02336765636b	0	0
a88bd850-b56d-4aeb-9a83-3e9cdd43a992	17.1436818181818182	1.42876396699494945
a429b0e3-aa79-47fa-974a-28360fd0320c	0	0
07f06114-6796-4f9d-b1af-489a931993d3	16	1.33344888888888891
fffd324c-37c5-4eaf-bab0-da4cc9266a6f	0	0
38685ec7-537f-4cdc-bbd2-1cc0bcf28dd8	0	0
c60b513c-1d0b-40a0-a2e6-8f04e6c499c1	0	0
2e6f8c02-9995-41a9-9c5d-8083922f52a9	0	0
0733906d-2466-4e6a-9338-2ef1d67bcb25	0	0
a0468d50-57fa-4952-8724-303b8f208cd8	0	0
087f4566-78e2-4f26-95a2-8d2bc1004c07	0	0
ab36f9d0-17c8-4ee0-a3eb-c758dc9b890b	0	0
3497e0ab-53f5-4e9a-9bc8-30be222631c5	0	0
0e06e102-c72c-4fc7-81a2-a82be3d9c830	0	0
485bfd77-2ee2-479f-8cd8-85d296a30a2c	0	0
9dd62674-a008-403e-b341-94dc94c0386a	70	5.8338388888888888
c7ccb045-2dbd-4258-b410-925892152c20	0.594125249072381956	0.0495143982576923131
ce1a63e7-45fb-4497-b867-209ca91b41bf	0	0
26de8eec-671b-451c-90f7-8a9435c12de8	0	0
ee0c20b9-bb94-4f92-b7ec-813a97a8d7b6	11.1837229437229446	0.932051470129870219
79b38e1a-69d8-4bb4-b5cc-3c94042a0254	0	0
8d16429d-2937-468a-8842-89f65d3fd71f	0	0
d62a7e66-11ce-4b14-970f-83b5238e8416	17.1436818181818182	1.4287544427272727
df32c9e6-c20f-42b7-b258-006be612eea3	0	0
9e1857b9-6434-4f01-8e47-38a8ea1b2b0b	16	1.33343999999999996
cc78d9ac-b174-4e87-b81e-28fd86d3c412	0	0
175b5e58-3238-4107-98e3-0ab2fd61398b	0	0
d9542b0a-48dd-483a-9b0e-fc6136ce9c6e	0	0
47a5cd8e-7d47-43d2-932a-2499d3ad7fcf	0	0
146c0033-df95-43a2-963d-2016e2b0e5e4	0	0
d2b840fc-83e7-4289-8f8a-e9376c1b14f3	0	0
7d39545a-660d-48f4-a402-ac6717b5f082	0	0
dff53f82-5662-49c6-8095-1e3a2c173cea	0	0
13ce6837-63ea-4ad2-9e72-bb0ec34ed24e	0	0
be547216-4bc0-4dfa-9363-f55f8efe25bf	0	0
e7ba0ed9-db9b-4d09-9d36-5793ef773b50	0	0
56bfee4e-42bd-4771-a221-8142c1818c81	70	5.8338000000000001
dc50cd9b-df99-4613-bf45-2d95824ee018	0.594125249072381956	0.0495122528054039931
c1f2d225-99a1-4532-99c2-a8efa29f95fe	0	0
1cdd0c3b-09a3-4645-8cec-68d289b688d5	0	0
6e32a3f1-7dc7-4555-910a-eea91fdc0258	11.1837229437229446	0.932011084463684525
5e09636b-35b7-450b-a592-9d4ac519ef93	0	0
c1146125-3675-446d-ae95-4d0f6fd10408	0	0
6c831479-25f6-4f05-a48e-579c9dc3e83c	17.1436818181818182	1.42869253498737381
1a349bf8-ec01-459d-802e-3ff05d781b41	0	0
2fb3f59a-66d9-40a8-bf26-93bf0ed89538	16	1.33338222222222225
ef65e8e4-cfb2-4f49-9605-8725e6f1358b	0	0
e7c217f7-4e7e-401c-9fcd-683fee034059	0	0
fe72225e-b826-4b87-9504-9a3c273c88b3	0	0
8579f2b2-0fdd-48d9-aa5f-749a2ee2c303	0	0
fd9bd0e6-50ff-4d7a-a243-4a3274d0c0d9	0	0
3b3388ed-f02b-46ad-923c-8b437c47b3d1	0	0
7dd9471b-040a-4da0-b572-11825596dc66	0	0
3b1349fa-92bb-4f62-9b51-31a926720f9d	0	0
1467f66a-dcfd-4fd5-bdd9-8d9beade9a59	0	0
e7baf7b8-7162-4bcd-8c07-178820ff0794	0	0
0995baff-9de2-4090-92c1-ec2099e11acf	0	0
8a7da028-87cc-4c39-902f-3c10d3a13c60	70	5.83354722222222222
99ddd73d-b52a-4817-b538-99e5f3db8edc	0.594125249072381956	0.0495112625966555447
e11328c3-3465-4fc3-b82d-50d4223d1af3	0	0
7ef8d425-b7f0-4024-9500-c804b7ce7044	0	0
0a0e6c51-e034-4cc7-8f7e-fb77fde1cae7	11.1837229437229446	0.931992444925445085
c8adbd59-bd3d-470a-88af-70ad88055c80	0	0
6c9e5504-7b4f-4387-9144-f009696943fd	0	0
824186db-ec58-4bfc-83ed-801f8eaac2da	17.1436818181818182	1.42866396218434355
b37bdfea-9d82-409d-8d57-e88786df61be	0	0
b98d4c63-e78b-4489-a62e-bb8f5e6d9d89	16	1.33335555555555563
e65471aa-d2b1-4c3d-8863-bb2d7dfbfb69	0	0
c85b9cb9-7a8d-41fa-996b-fdc34b6cb893	0	0
2030f4a1-eafc-435d-9158-46a9098a29ee	0	0
65b734b8-5f1f-4938-86fd-4560a11850e5	0	0
aefd6f83-23d4-4dbe-98c5-c0b1d6ab244d	0	0
78063c29-fec3-4676-8e95-3a732ebb35ac	0	0
19d802d0-eed8-4372-8325-5449e12d8951	0	0
cc00a7ff-9077-4ece-87a1-d1d9aeb3c774	0	0
a63f294d-94f7-4dd8-9662-d99f593f98cc	0	0
4acf92aa-01ea-42b8-b0e6-8c279cf2f8ad	0	0
94c37c2f-1c41-4b42-9132-3f1782714739	0	0
9ad864e8-2dc5-4d91-9765-dc1daeeda814	70	5.83343055555555612
36e0e29f-45f4-4239-b427-b5dda1705bb7	0.594125249072381956	0.0495175339187290883
08302edb-cd89-4a12-99a0-75f45eb6b54e	0	0
16f3d678-b2a0-4ed6-9ecf-5debed6f76e4	0	0
8cc0c320-3220-496b-9198-4521e57b9bac	11.1837229437229446	0.932110495334295464
8a68dd37-ec85-43f3-bb1e-35d865aa67c8	0	0
089ed526-0a7d-4670-8793-1b66cb2405d3	0	0
e29cb684-624f-4305-a715-9be90486b408	17.1436818181818182	1.42884492327020207
3a043343-1017-48f8-b293-707f1d14bb3a	0	0
f3478872-7d08-4b08-8c6d-cd6c708c182b	16	1.33352444444444451
cf2ca020-c0ee-4f6f-9863-6be9d7ef4dbb	0	0
134ecc9d-e80e-45d1-853c-d00607e6182c	0	0
35257f9f-6d71-451f-906f-6b0f3e84f3b2	0	0
103fc744-b960-451a-a5df-acfab82fc9b2	0	0
6f6fb766-646d-4be2-974d-84213ac63323	0	0
c7e0932e-fba9-47e1-ab87-243cbb0dbfb8	0	0
d19eca6a-8ebc-401c-93dd-8be2e3902a9b	0	0
4f6711f2-94b8-468f-8996-8c567b064406	0	0
c561c8b8-2acb-4e31-a13b-b72396ea6b3a	0	0
a9442a3e-3c3c-4a08-b57e-b93dc2270a86	0	0
15d9f582-b5f1-4eeb-818c-75ffc8c2cf86	0	0
7ea4c3b1-d94c-4f0b-a1e2-2def0d374182	70	5.83416944444444496
1cfbe647-2728-41da-816f-35a84decca9a	0.594125249072381956	0.0495157185360235799
0d0ecdfe-cf38-4e4a-b554-f77471467a6f	0	0
b8262d8d-5348-4fe8-aefb-f809f5b63a05	0	0
2c4352ba-80f7-4021-840e-fe770e80d722	11.1837229437229446	0.932076322847522953
e65a329f-6926-4bf0-9fdf-a1a6a033b91b	0	0
1a603cd2-d4cc-4b1b-8980-31c7d922e05b	0	0
36b089d8-80eb-41d0-a927-07e3e87f303e	17.1436818181818182	1.42879253979797971
3bbafdae-3f12-4bb7-a4d8-a0618c578733	0	0
e0e2131a-2b9b-4d9c-a9c2-e50c7b73a515	16	1.33347555555555553
1a783f98-b13f-40e3-af4b-7eb75ffb7727	0	0
fda98cb3-de5e-4ab4-9b19-47b928520e7d	0	0
ed11edd1-b0fd-40bb-9452-28edd46610a5	0	0
90c93a48-85c5-4aff-bb3b-8f2aeec20997	0	0
afbb0f8c-c40d-4839-9c41-d230bb1263f0	0	0
17e32628-2384-4149-aeb8-e8c8b2273f04	0	0
9dff1f45-c6c0-4058-b495-b24594767ccb	0	0
d6e59015-d7a1-4295-81b6-2ab6c6890a92	0	0
ed9c8072-6fc2-4a61-bdd9-a4cf70f6109d	0	0
edbba758-3ffd-41c4-8d26-af6dda481eb4	0	0
82589968-c2a6-46e8-b9fd-badcef654f32	0	0
00dd15da-e65c-4b7f-9712-63123f280ed5	70	5.83395555555555578
a97e3c71-244a-4d1d-811f-9afe36a96341	0.594125249072381956	0.0495119227358211747
7a3cef6c-3f96-4107-a20b-ef44fd01d65b	0	0
002b8ed6-8ab6-40ae-9df8-f0057c959ab9	0	0
460c5bf7-1f7e-457b-aea9-2ab9c0312d42	11.1837229437229446	0.932004871284271341
43bd5281-1030-47d7-9734-ad5dd553ad6c	0	0
dd7c1134-7b40-4ebd-86d1-dbdb90d14e02	0	0
b6b243b8-7e8a-48c4-b021-a49284676c6c	17.1436818181818182	1.42868301071969683
89ae6b6e-8502-4aa2-8e21-5a34c21f55a2	0	0
7cfe8dd2-e046-4560-9122-6821e2f00e66	16	1.3333733333333333
cf7c2d71-4ebe-4160-8d10-43601bcddeab	0	0
501cc9e1-4645-4178-bd7e-c0e9cebc0a14	0	0
3440befa-e474-48b7-bc4f-c92055f36015	0	0
a2468457-bd64-497f-a255-41c421f82b18	0	0
6cd2754c-196d-47ca-9c7d-ee61245d9b33	0	0
1b0c4b5a-a362-4c37-a894-19cff76e8d8b	0	0
a997cdd4-205a-4b8e-abfe-5a89f3910d23	0	0
36ccbe22-4a49-44c3-98b7-c26313cfa93a	0	0
78dbb492-8ecc-4b4f-b475-b146f59ac954	0	0
f556c11f-9249-4ecb-9a21-a410fea09df4	0	0
210026de-29c7-4922-a34d-15cfc6ca5971	0	0
a77c5a8f-1a98-4275-a060-3a9e4fc6f122	70	5.83350833333333352
8daa52ec-1371-439a-b03f-b99eceab14ac	0.594125249072381956	0.0495143982576923131
9c9e637a-1f9e-4454-b448-ce2e7f43bef5	0	0
3f69b1cb-faba-4dec-b6af-d739dc6ac9de	0	0
866da1b1-a258-4742-96a9-e517df75f0ea	11.1837229437229446	0.932051470129870219
ed7a5b96-93e3-4a48-bb32-692513e1baf6	0	0
3adc7c5f-8d6f-4dec-8002-60c63dfa39ae	0	0
01eae3b9-8afb-4244-a68c-da1e0b3e3415	17.1436818181818182	1.4287544427272727
1c6ae018-428d-4216-9868-d1c5717d37fd	0	0
eea7d251-0ea8-4af2-a3ca-8319bb8f4840	16	1.33343999999999996
d4c61eab-d426-47ea-a5bc-25c405b19635	0	0
f7e52b84-9d01-46ce-9f46-bc368dc65b06	0	0
a41f0429-b903-4a6b-80cb-575ee99c4079	0	0
9e0ac50c-18fa-4cbf-b4ec-ae5232dda846	0	0
e338cd9f-8cf0-409b-b4b4-906f911cd5f2	0	0
24937c36-44c4-4d2f-998c-ae2515ce1131	0	0
5b3aecb2-0cae-404c-aeb7-95a6c7a328ed	0	0
af673715-8aaa-4246-afb1-417e77385c7c	0	0
1238dff5-b1e3-4e7f-96ca-3b00eec451f4	0	0
163b00c0-e99c-4483-9b78-2af6dbb83fba	0	0
66bc9e1d-1a5b-4529-bf1d-26d32e51957c	0	0
70dcfea9-1828-4c45-bff5-06ac0cbad0a1	70	5.8338000000000001
c346d3c7-c596-4d56-ace4-5ca944e825c6	0.594125249072381956	0.0495152234316493592
0e613336-460c-4293-a5d4-48878b1aef24	0	0
fd53885a-7b62-435f-822a-d9c589163b5e	0	0
bbac2bed-2679-4159-93d4-e1f165ec59a9	11.1837229437229446	0.932067003078403178
f733bc75-eb79-47ae-bd41-fa61073eb9dc	0	0
a7e47bad-15b3-4ab6-a48a-b96427479d9d	0	0
36aa2416-20e6-49de-a4e9-47bfce5fbaf7	17.1436818181818182	1.4287782533964648
7475e307-dafd-424c-83d2-3cb1950d87b4	0	0
e2871640-9a6a-4fe7-820d-e6d04b1be8aa	16	1.33346222222222233
42797f1b-08e0-41a7-bbff-25f134ce8d01	0	0
4a5f1099-b55a-4a23-bfe0-6e79fc4b49e3	0	0
739f72de-0f0b-4f4d-812c-da2bfaa35567	0	0
319d7f44-b88d-4f48-ad62-cba7d4f30fe0	0	0
d91b6374-a50c-4d13-a62c-d73146ff1561	0	0
a5a9b9f7-4f4e-408b-8c9f-2952a8a29cde	0	0
7a7006e8-7b0a-44b6-9e1b-12075c6c8ef2	0	0
b6decce6-8685-410b-8b9a-9cc3555d681b	0	0
4b55f991-0cd4-4854-b917-c80ee11282c2	0	0
39191925-0811-44a6-9cc3-a4a94e8a3cee	0	0
a00b198c-6a08-48c7-b825-f239c1061a83	0	0
4d88d0f8-c78c-472d-9dc5-47781dfa0409	70	5.83389722222222229
48977beb-0f23-4a89-a9db-eac0d2c195aa	0.594125249072381956	0.0495140681881094877
57862e93-8110-43a4-8c7e-79428fd9551c	0	0
05be07c2-7867-42d4-8167-8e0a765f3713	0	0
ab897b05-9c5c-46d2-b352-32187d9a6325	11.1837229437229446	0.932045256950456924
985ceb2d-dca0-41c6-aff1-424d99fc5ca0	0	0
9b8c8cb3-36c9-45aa-b4ec-231b0983d3de	0	0
7abc76ab-73c0-4fc7-bf5a-06cc2f48f8cd	17.1436818181818182	1.42874491845959595
afda9aa9-5764-4e74-820e-56091aaed966	0	0
47c58ed8-1655-43cc-b965-0c62df465335	16	1.33343111111111101
2af8585c-c388-40bd-8811-d89252d7a47b	0	0
d1323c49-4dd6-47eb-94cb-d6aee4b95a18	0	0
1bd6d346-9963-485d-8d40-acb1deb98ca7	0	0
8830332f-01f4-42d1-a620-97b47838e0af	0	0
6aa668a2-aa0f-451e-afd6-8956e21db3a0	0	0
28a2c400-7428-46fc-a72a-9edff741a94d	0	0
0771b62c-3e06-45cc-87f3-628fad65c16b	0	0
4fcc6e70-63d3-478f-ae06-86448d29f111	0	0
c6fc9605-28e9-4f67-a15b-d6781b896008	0	0
62fd08b1-9688-4660-b146-6df45bfa7d02	0	0
ea5016cf-9c5e-4924-b02e-7655aa163dcc	0	0
575bc2c6-b312-40b4-a234-2ae161501e25	70	5.83376111111111051
bc62fc09-f3db-4de4-b4d1-b19b1d241537	0.594125249072381956	0.0495139031533180854
c788b272-6ec0-4d1a-ac79-67569d2458cf	0	0
f3ac342a-889b-4b9a-8fbb-35f4802667ac	0	0
b9593417-544c-430c-969a-cb1df9bdcd53	11.1837229437229446	0.932042150360750554
5bcffa67-5d3b-48c2-947a-c6ba40d37c84	0	0
7b816302-41fe-4ae3-8446-2bd14d115e42	0	0
20a53925-70d3-4db6-928d-0dc7e1a0e30d	17.1436818181818182	1.42874015632575757
3daaafa5-af83-4e02-b007-5e88ed26eb0d	0	0
0cec86df-51bb-44d5-a973-424b1cf8161a	16	1.33342666666666676
23c52d55-6146-4b7d-a7db-6776507ae113	0	0
24b30cd1-51f4-4ebf-a954-3007ac1a0fd3	0	0
4856e988-a057-4f99-ad98-5a8980d40141	0	0
d045dce6-05ff-4c9c-9be7-a9c800d14cff	0	0
0c144d0a-5580-4369-be1e-4358dad32577	0	0
57307d5f-6bb2-4766-a147-f5c316cbcbe6	0	0
7d45281d-9c02-448d-b9df-34f24af89549	0	0
f4765efd-7aef-48dc-8cbe-bc8c9c66cc61	0	0
eecc419f-2ad8-484b-8825-d1e10cd2c29e	0	0
2aa1836c-3e73-428d-94d8-62aa10f5c5fe	0	0
303ddc5d-c07d-492f-981d-489dce14192a	0	0
56a66eed-a1d3-4520-aacd-be845490e6c4	70	5.83374166666666749
bf354c34-659c-4e73-becd-2d3c7053b46d	0.594125249072381956	0.0495130779793610393
eff3c5cc-ae7e-470d-a0b5-bd3360675ec2	0	0
1c6821df-ec91-434c-9075-14663e39c585	0	0
9dd82d34-59c5-4b2a-a69d-cf38afab663b	11.1837229437229446	0.932026617412217484
768bc1e1-d5c7-45a6-9eb2-2c8b674c7d7c	0	0
e09fc6e1-3dd1-461d-8b0a-cb7f66cf6fbd	0	0
49701be8-eb66-4fb3-b2fa-1ecfdd6e45a2	17.1436818181818182	1.42871634565656569
1f01e1cd-08c3-498c-9fec-5f2bf688a3b7	0	0
b5b04b46-1a2a-4dd9-8c58-21c12bebf1f6	16	1.33340444444444439
c8d7e99e-2f4d-4521-90d3-4f9ce18f8788	0	0
a93b278b-f482-4527-b05a-5aaee9e395f5	0	0
08d1a89d-a4dc-4270-acaf-d3e835ed9eba	0	0
36c4d751-b6cd-4617-9dc2-b8a1594eb749	0	0
815f9aa4-8854-4773-9474-d7c2790ca255	0	0
ce328fbf-e830-4469-889b-08fa2f38a045	0	0
03d9aee9-cbed-45ea-a393-74e9820a932c	0	0
7f11603b-40b6-443e-a53d-5f0104c8eb83	0	0
7c89efea-c28b-4e17-9df2-9aa42c185e09	0	0
81f3a8d2-c3d3-4abb-a63a-0a4c98b1f1b9	0	0
485aaeae-f0e3-4000-90ac-d280a85617d8	0	0
a1624436-de60-4ab8-b418-def4d94dc3db	70	5.83364444444444441
470c25b9-9623-48f5-9f9f-8c74b99f4f86	0.594125249072381956	0.0495145632924837223
308d34f4-8120-4870-a9d2-f8cfba1f6010	0	0
caa1fd26-bf12-47b5-94d0-2113100295d0	0	0
3464e7a3-812b-4888-bfcb-0d94392b8256	11.1837229437229446	0.932054576719576811
2ca69503-2c1c-4657-b991-4488c606cc06	0	0
e51d1959-ff7a-4e6d-a271-97e28346c6c1	0	0
d00d62cf-4f6d-454f-a767-daa1f8a14341	17.1436818181818182	1.42875920486111108
3f8e721f-1bf5-4757-8c22-909f025f6f56	0	0
69187afe-4707-46aa-8385-c0d11bf68e01	16	1.33344444444444443
b9fad73b-c3a9-476e-8d16-dea354fa47aa	0	0
89e79a2b-c515-4f01-b8ed-d2a86021e276	0	0
3b6dd1b2-cf92-4c57-9b27-8e5ad0c08740	0	0
a772ca56-3ba7-405b-8d0d-1c3402441a96	0	0
8dfc1f56-f3d9-4a2f-b1ac-d9c1fe94805c	0	0
c90774e5-5462-4630-98d1-925a6b3d86a1	0	0
f109464c-3b9a-4885-8ef4-76989ea2b703	0	0
e804f9a0-34d3-424a-9100-4f7e3c223ceb	0	0
c944dad4-6b06-4b9f-9b50-170bc4b6650b	0	0
4e130cc1-85b9-4518-b6e7-a33f7ced2413	0	0
e1a72570-f41d-4c3b-89bb-ec53e16ea87b	0	0
a8b7aa06-9c55-4f1e-ba2c-52ada9e2e949	70	5.833819444444444
2158c6e0-5972-4949-b914-56481b000c5b	0.594125249072381956	0.0495096122487414525
92ce409f-21e7-4260-af96-db58e21e77d8	0	0
ba8880a8-6e34-444d-bb1f-a6078741331b	0	0
3a9c9ead-8173-4921-b3ea-62f118c1c888	11.1837229437229446	0.931961379028379056
7be56325-c64a-4983-9d80-758ceeceaf6c	0	0
8ca4c436-68a8-41d2-b5cf-ddb800b8cf35	0	0
7645ac8f-cbf5-474d-9b13-19f2e94d76f2	17.1436818181818182	1.42861634084595956
4dd154ea-0019-491c-bd64-51842a8c0c09	0	0
67890376-8bed-4962-b8cf-c3d0666023f7	16	1.33331111111111111
4189dcd6-43d0-4989-b094-679f3725c2bc	0	0
2d234b3a-a838-423e-b1b4-8c4d1e53a9d0	0	0
10a4e674-bbb2-42f3-bd87-53d2d602d529	0	0
6d1b0e75-86dd-459a-89ef-183ef1f8f294	0	0
a12e0f86-7d3c-4e9c-8f8e-2092beaea2ed	0	0
cacbbf76-9229-4f34-a22d-2ea492cd14a8	0	0
56d6f0d3-c0c3-49e4-8bbd-1d25e542e966	0	0
309e302e-ac66-4d04-beca-2d2bea94f149	0	0
99e73e23-b69b-4b88-bc6b-29049a562a31	0	0
fa009ede-81b4-4237-bce6-98bda54f0dc4	0	0
8df0be45-f788-4118-9956-234948592c68	0	0
52a75b7c-adbc-427e-a717-aaba63dc6c4a	70	5.83323611111111084
5a7c19ff-22b6-4f90-b321-5a22df1d1381	0.594125249072381956	0.0495198444058088105
dae743e4-ef1f-47c9-b768-cdc4e71c9bd7	0	0
e740fac8-7aac-42c9-a9a8-86f68dee9e9e	0	0
28602524-51cb-42a4-b0ef-92ee72053f64	11.1837229437229446	0.932153987590187638
090f1af7-1247-4d91-89c1-43c1097cf951	0	0
228b9db5-0dc2-4676-83ed-88f5c25a252a	0	0
5aa2811b-efa6-4e0c-be67-b47d8e107b34	17.1436818181818182	1.42891159314393934
18d9ae94-9318-481b-ac5c-cda213e86285	0	0
ba64b247-a7e5-485a-ac18-a1bd4f0b268b	16	1.3335866666666667
723ccefe-090b-4a5a-ab41-4a6f12b698b6	0	0
4bca870e-8749-43a2-b736-86ee4f5f35dc	0	0
325921ac-a56a-487b-a482-ccbf76d2c638	0	0
beba0dc3-b357-4eab-98e5-4b38bc716112	0	0
73cb73a0-fb6e-4edd-9621-316c84090a1e	0	0
64a87cc4-a627-434d-8e45-73649afbe40c	0	0
914348c6-6abf-4f5d-8049-5df9d4df0b07	0	0
b9397c83-773c-4778-b5c1-59cd8a00447b	0	0
e8c62c65-0463-4abf-8d61-265407c0554d	0	0
434d87cf-8d4b-42c5-a3f8-a96bc3d91c22	0	0
f21ecb7c-84bd-4308-be01-73df910887d8	0	0
fc2a3b48-ffbb-4616-b123-9622b1c10f20	70	5.83444166666666675
9a934d71-2c54-41ce-9927-86fd8bbe793c	0.594125249072381956	0.0495145632924837223
d13a0a54-2be2-4de6-8f7b-9fb0d77501e3	0	0
e3df64cd-84b1-4ebb-a162-e2b16e07e7e3	0	0
8f76aa6b-8607-47da-af5a-3fae7b4cd4c7	11.1837229437229446	0.932054576719576811
f7ff68c5-6cde-4aa6-b36c-871240b66dd9	0	0
b6313004-32ce-4c5a-aa03-9ef2fe705d06	0	0
d82cb00c-d7e5-48ab-8973-15f1b0b20195	17.1436818181818182	1.42875920486111108
c3960acc-6954-4b96-82bc-4819c26b6a38	0	0
bec7ef73-a6de-4f04-953a-a3793c3fb9f6	16	1.33344444444444443
02ecf87f-dd82-4855-8ea7-72abf49a054c	0	0
473ace4c-ab17-4ae7-84ea-1fcfd4e9a0ce	0	0
e3c6fd48-cb24-43ea-bbb3-ca2e71a94a36	0	0
e89158ee-bb6f-4da9-a9bf-0dc6be0a2088	0	0
d4f3a42c-ec20-4954-bfe9-09a333ab5125	0	0
30074503-65be-44b4-a24a-af61fdea5657	0	0
a030248c-10f2-4999-806e-cf50e787a8a4	0	0
1a9547ba-a244-47c2-8e33-d7ae7ecd7ed9	0	0
7417eb38-6cca-484c-9e07-d43705e613f3	0	0
0ea323c4-6069-4f0c-b734-c70709c6fac1	0	0
d29fa1ca-0126-437a-acd6-031066c1e139	0	0
06f4b9ac-168b-4f7d-bde7-9123cd261694	70	5.833819444444444
f55994e5-e24d-4eb1-b1b5-426aeadcd46b	0.594125249072381956	0.0495110975618641355
975d1560-53d6-4488-8346-f09821a52f0d	0	0
3a2c9e42-a0d7-4969-8661-d0579a2f4881	0	0
11495746-93d3-4da8-882e-94415f27c3ef	11.1837229437229446	0.931989338335738493
cc32b4f1-49f0-4fc5-825f-c16322371d38	0	0
e52473ee-faa1-48ea-b0fc-c486ece60e28	0	0
76e522f1-1f8f-4b41-9383-b6b14d6e1df6	17.1436818181818182	1.42865920005050517
d86651d2-957c-4710-9077-cdce8b479c59	0	0
5e1f4d1f-5ecd-4975-a07e-25e3d3678610	16	1.33335111111111115
8f3f9e79-2807-435d-8602-85f984c6b6f0	0	0
6937724f-2546-4fe7-a9e3-aae0c694a30f	0	0
673f68ed-d6a9-4894-8516-15c09f368992	0	0
7cdc723d-12f5-4f80-9153-f264d4218676	0	0
a5c0657a-8ff3-4c4e-9f81-c98cba053821	0	0
5e407901-59e8-4ad3-b792-5a7fd6d31ae9	0	0
b0df8285-d607-4cbe-b4e7-b41c843e80d2	0	0
4f60486b-7083-4fc0-bf9e-c2c5093dc968	0	0
f7c5ecd8-d3d6-4c7f-9e15-38803943d557	0	0
51adbc9c-a724-46b5-ad76-cdd6766d5531	0	0
d7522bb4-c1cf-43dd-830f-7dafb556a9ff	0	0
addd5431-4c85-4dcb-839a-f5f903dbbaa0	70	5.83341111111111132
c9f9753e-02d6-4eee-a91e-024b441877c6	0.594125249072381956	0.0495143982576923131
ec5c2f35-0034-40d3-a036-06ae5b732e73	0	0
19f5f727-0897-4f62-bd79-bceab8c011b0	0	0
4abe0483-4c6a-4f44-91d9-bde7f88db559	11.1837229437229446	0.932051470129870219
476717ce-bf2e-4425-8160-5bc38b63de98	0	0
55357906-8752-4303-ac74-034147467fd0	0	0
6ecb6d58-b7d7-4d8e-8907-d604f064873e	17.1436818181818182	1.4287544427272727
077bc61c-0eb0-4847-b105-0399481d23ce	0	0
4da3979e-12ff-4c67-b2a7-d4896ea8b5c0	16	1.33343999999999996
d74abe36-0cbe-4dac-8221-846f384a74cc	0	0
94864b67-7809-4de0-8aff-1934c4d197c5	0	0
caedc058-781c-4285-a002-d02d3be53cd6	0	0
83b8ac7c-2f39-4dbf-a0f0-9b5c81c87dd7	0	0
e0752ece-9565-4c20-b652-990512ea14aa	0	0
0496601e-3a09-4ded-8138-108399ba4c23	0	0
ca7f9d02-9d83-420b-bebf-2c3f71de2b08	0	0
9c7da007-a28f-4466-a143-efbe372e535c	0	0
52c21e70-07c8-43a8-b4e3-e078f83e525a	0	0
57e3e3ce-0b5e-4ae2-9394-0f691ebd72fa	0	0
08ad73db-398f-4990-bd00-b69914896a2e	0	0
f67ece0d-3e2d-4124-aa98-871886db02a8	70	5.8338000000000001
9592ff81-c12d-45f0-8b0a-1787138d388f	0.594125249072381956	0.0495642387646978294
0f26acb9-7982-4035-9779-2b639250938d	0	0
e0f2741f-2d48-4548-b2f7-bcf8dc072981	0	0
b302eb77-7188-4318-a8fa-63870a139759	11.1837229437229446	0.932989660221260397
9d248cae-2c06-4f1c-98be-8aa7e0e20df8	0	0
1a3c83f7-7cb8-49e2-adb9-ac4c6aa1bd66	0	0
92666ac3-8563-4758-84be-53fe9893fc5d	17.1436818181818182	1.43019260714646479
2729bda5-371d-4220-8955-1c7692959e62	0	0
ceadbd40-470e-405e-a447-9a9602b18883	16	1.33478222222222231
21a047b1-3c20-4855-8c1a-b87c2a8b0b27	0	0
2b23f75c-9447-45b0-80b3-c81e29cdfc72	0	0
ce0a98df-2dad-4e51-9975-33d8876a5d1e	0	0
746ca567-f944-4314-8a06-6e82c46a9458	0	0
db11eb6f-97d2-45b2-a313-84401a59d7bc	0	0
e2589863-b3f2-4230-b3c5-b6c5f7a6385d	0	0
6d2de4bd-4042-4341-a480-d3c5dbf86aed	0	0
9f3c07da-4764-4231-b296-53c52c153f04	0	0
5f415f0d-9dc2-442f-8df4-4553987290c6	0	0
6cf3aa1b-4a52-4dc5-88d5-03f2c6a9dfb7	0	0
b2eeb8bf-3e1c-493e-8b11-f6e52aa47a59	0	0
4fa88edf-1e12-4034-a193-6e1ea5780918	70	5.83967222222222304
7a4e3ed4-99e5-4206-8c3c-4a88d3b954a8	0.594125249072381956	0.0494643927158953875
4a0a9626-8869-4b5f-a2f7-3ded9c1d0f03	0	0
30ea4522-cac5-4ba2-add9-1da632b679aa	0	0
c356143a-f778-400a-b5a0-105e9938f988	11.1837229437229446	0.931110173448773559
86044aaf-4eda-4ea8-a942-1dcdd189f4ef	0	0
f782fb8a-33d3-454e-a72d-fcd1344c9362	0	0
97400359-fd97-4073-b008-c4595213c5ee	17.1436818181818182	1.42731151617424246
da1bd649-4530-423c-8680-d29b13ab00e7	0	0
a883f3a6-b114-457b-89dc-5e98f196a5eb	16	1.33209333333333335
99d93f42-c4fe-4535-a457-670a8887785e	0	0
c39359f0-b895-4c5c-bca2-1ffe035c9f28	0	0
814cd4bc-feaa-4e4f-bcf1-c040855eddf7	0	0
1a4e7048-2bec-478d-bcc0-6585c7ed7ac3	0	0
a6ad3115-216a-4e69-96e9-50b3f9a8afed	0	0
2da89b86-ef98-4984-9f90-c7a35ec427b1	0	0
dd418a42-a992-46f1-97de-f8046b57c632	0	0
aa27d289-ae53-4e03-a29c-04fc4047a1f0	0	0
0988ec7a-3ada-4a50-b2d0-91b8eb7225ed	0	0
07dd31b9-a9a3-43cd-ad83-a065a0e3afd6	0	0
d8d2affe-21ad-4335-8378-6f44fc39ad38	0	0
879e45ac-76da-4ba4-a7dc-c9f0b69c8df8	70	5.82790833333333325
a1ff16fc-6a80-4aa8-8264-d929b541e99b	0.594125249072381956	0.0495089521095758225
6799c8a0-74c5-404b-bdb6-f839683a55b5	0	0
ba8fff9a-c318-46b7-8839-4f8f49df61ad	0	0
fb8ab828-1b3c-49a3-b568-7103b3d1d71b	11.1837229437229446	0.931948952669552799
d41933e1-d29d-47e5-8c82-470d9afc0904	0	0
9447b256-b99f-447b-b472-7184764ca70a	0	0
edd12d70-4e76-461c-8a0e-9fc34e736aa3	17.1436818181818182	1.42859729231060628
d49f73d6-4e18-4d2e-b439-da29e59b8e11	0	0
032689ad-96a0-4d22-b1d8-396080a0a58f	16	1.33329333333333344
1848128c-ebd7-4553-a63c-1e8599af7255	0	0
9b1d6f23-d487-47c7-a8de-e9a8187f6b8a	0	0
977d9d41-6b2b-43a4-bd8e-0b14475efb7f	0	0
a88a8d9f-c82a-450f-b44c-12d7b50e98db	0	0
4735af79-1bbd-4fb2-a66a-609cd2483c07	0	0
cc7a3207-8faa-44fa-bfe6-20604e80e6d2	0	0
0999f59c-bf61-48cf-b530-71dbb73d2aeb	0	0
5dd66bd2-bb2d-417d-9044-756ebd0e1ff1	0	0
fa5b85f9-e26c-45fa-8db3-68cd9a0515ee	0	0
71779191-052b-484d-8a3a-63e22c8c8335	0	0
73a0c072-8b10-4dab-9542-5bd3cc23428e	0	0
e1e28ccd-c61d-4eaa-bae3-5133c9b42e5c	70	5.83315833333333345
2c5fcfe1-62b9-40ec-89cf-76b753f5566d	0.594125249072381956	0.0495115926662383563
1fcde853-2f1a-4ab8-8dcd-2fc928b551ff	0	0
9e85c323-596b-4808-bdab-3ea3fa4f3d56	0	0
8a771b89-bf7c-4df5-96f3-e67557811708	11.1837229437229446	0.931998658104858158
7cca4bdf-0e44-4e22-af7c-bb41a8e71dd3	0	0
19170ff1-9ce5-43a6-84c1-b2f9bb033716	0	0
cd9f3001-1e2a-42ba-bdaa-a92cbdf184f7	17.1436818181818182	1.42867348645202008
094cc537-1ee8-4306-a914-a59586ef0f36	0	0
50c7ddfb-fec1-49b9-bd25-66ad6b9acdc3	16	1.33336444444444435
64523bbd-79bb-4c43-9776-7cb80b36eadf	0	0
f7144ea2-4a61-4672-918e-20e5ed1f16a0	0	0
e6d17a35-fe0b-4681-bfcf-e6af0dc8a900	0	0
8ebf6f84-5c26-4aa8-b403-1555759ae6fe	0	0
d760f6bd-ac59-4c60-82ff-b7718f026f1b	0	0
a7e4b58c-796c-495b-86ff-ea64565da3f0	0	0
13adc363-f265-4f14-a150-95300e582f33	0	0
e6761ce7-0211-4afd-8651-d0d37efbd0fd	0	0
f9481132-dfe6-4d40-adb6-5abcc69413ef	0	0
f7876941-7851-4791-ab22-9c80cce9855f	0	0
fd348738-71ec-407a-8cd3-168e0982b472	0	0
c2d26766-94e5-4b6d-97ab-e7b16ef9ecba	70	5.83346944444444393
1efb1cc3-df02-4129-9785-c69a783beab4	0.594125249072381956	0.0495191842666431667
6e54ed05-1338-4093-b135-3db7a7d22600	0	0
b92e4b93-0099-44bf-be74-198e3383da0e	0	0
865f2a86-447c-4353-946f-1f3093309bae	11.1837229437229446	0.932141561231361271
f3f35466-593c-449f-bfcd-193857d1af97	0	0
7663f85a-b886-4c2e-af65-2a229a4d522a	0	0
46871724-b389-4826-9cc8-ce55f33a3ed1	17.1436818181818182	1.42889254460858584
f1d6fe60-e60b-402a-9895-7d2fbecbf67c	0	0
6ab439bf-9efb-43cb-9a1f-7fd5b4eb335f	16	1.3335688888888888
99fc27dc-022b-4fd4-aa28-095d604c0141	0	0
04bb75f6-9408-4b46-bbae-4f28a2d05d36	0	0
531f7799-f1c4-4bcd-9bf2-79ae530a2734	0	0
c7dc7b2b-29b7-4efb-bbf9-af3707062e66	0	0
d0e4f6a6-667b-4a64-99ce-e8c4d2946e1b	0	0
e57dd3c4-f9c5-4b6c-a749-168137991b7f	0	0
9c12f725-8746-4822-b243-e0c809ea7975	0	0
e9d95f7e-5312-497a-8746-79e5023947b3	0	0
e31511a0-1860-4fab-9684-7df883045229	0	0
b4e43108-f211-4967-976d-8c9c709286de	0	0
667a6b43-54a6-4a34-be2d-1f978581ae88	0	0
74083fb4-5ca9-4762-b53a-3684e7ae4048	70	5.83436388888888846
81e547a3-4b38-49d9-93a4-dbe93fe0659b	0.594125249072381956	0.0495158835708149961
2ce542a2-1340-4dca-90e8-63af2f022928	0	0
56c46878-73be-48b2-8f89-dc2085b994e1	0	0
1b30be14-955d-426f-985a-c50cba8844ac	11.1837229437229446	0.932079429437229545
a0c732e2-f31e-4980-b4d7-c910857954b8	0	0
e470d02f-ea39-4f49-82b1-e994d691aeb3	0	0
9207b94b-3471-4e33-a7d1-7796f881cca5	17.1436818181818182	1.42879730193181809
05be9187-2bd1-4a5a-b358-48b94471a49c	0	0
5ecd3642-aee3-4155-8aa4-fca9a9e6dfe9	16	1.33348
570fa0e1-1929-461e-be78-348504034086	0	0
d7a489bc-fa99-42f0-9e70-dbffe2433f78	0	0
dd5f78dc-13e2-4ce7-9404-3847f5550f59	0	0
c84ba1cc-9257-4da8-919c-6ab6ff04ff2d	0	0
204f973f-768a-41b7-8cae-87b7419fa03f	0	0
4c39570e-97ae-4144-9391-e12194f231b5	0	0
bf50f34a-40f5-4b6e-8e60-b0cf110f461c	0	0
066c8208-ead1-443a-b782-4bbcfd8cd40a	0	0
dc6d2564-8664-4de9-8d91-ddf27980b6de	0	0
f452e449-967d-45bb-98d7-c4b0eac5012c	0	0
26972ad7-98b1-4a30-86e2-4c3517131c51	0	0
9ae3415c-7f1f-459f-8e63-0474a48cc891	70	5.83397499999999969
95d4f588-42b7-4738-b683-ff7767babab6	0.594125249072381956	0.0495132430141524485
996d205a-6bdc-4944-b317-ae50493a557f	0	0
afea6bc0-9057-4719-8a78-0f6e8767d68c	0	0
47c5c7f7-6f4f-479b-9efb-a381317593ef	11.1837229437229446	0.932029724001924076
be7a4fdd-d9c7-4121-8fcc-b81c4baedf05	0	0
46cc8b92-8eed-424f-a21e-45769200b135	0	0
03564783-ec5b-4ff0-97c6-319c49294165	17.1436818181818182	1.42872110779040407
1b4e08e7-5259-43a4-b707-65d0156c2bd1	0	0
ff088286-1b5e-4fe9-bada-d948a4e33f42	16	1.33340888888888887
552a60dd-d304-4540-908a-1efe55c2c183	0	0
84f93b17-076e-48f5-8d2c-87f9e159f41e	0	0
a83d7958-6034-47bc-b418-4ea97a38e5be	0	0
1c0ab37f-d8ee-48ca-88cc-35323021840e	0	0
2aaab941-03cc-4732-9beb-433812dfd55c	0	0
0953e5ad-798c-4f9c-b7e7-114d161296c0	0	0
566f983d-18a0-45f8-a9ff-60f1b96265c7	0	0
e7f90551-b9a5-4e46-98ec-7625adf760f4	0	0
5d8dbf6a-f5d6-4039-a465-9e515d57f8e9	0	0
2409b8b0-a450-4239-ad1e-626481348593	0	0
88b1eaca-2ac3-4fa6-8a27-6bee3a743675	0	0
515aebf5-7393-431f-aa0f-452aecb19398	70	5.8336638888888892
3580ba88-9720-4c25-bfbd-c6b528cfa9a0	0.594125249072381956	0.0495140681881094877
c7c493e5-e80e-4094-b88d-7fb6d8c898b9	0	0
4fa87ede-748b-41ed-83e7-9840182bb848	0	0
52b1f6cc-767d-49ee-adb9-1919859616cc	11.1837229437229446	0.932045256950456924
ed90fb21-fa03-47f8-8ef6-6ca254696cd8	0	0
f17f5e75-100d-4dd2-bc2d-2017297615c4	0	0
a9d527c1-ea7b-468b-8e38-1112bb8da5de	17.1436818181818182	1.42874491845959595
ca981d79-e880-4fe5-ae2d-12904f80aeec	0	0
9567c246-a79a-4d92-9158-263068de4447	16	1.33343111111111101
0fe9bbc3-6a97-4b98-85ef-c5ad412ecb5f	0	0
8e334c1b-6b3a-4e56-a374-c26d2253cf4f	0	0
8a7f1ca3-0e37-4461-89de-4cc2dacb21c7	0	0
ed8ac09a-d4cf-4cc8-b96d-c887d724e35c	0	0
bad12a0b-e4aa-4894-8ff4-50285373b72c	0	0
d9c05ab9-c8c6-4f3e-8dda-e8c116b04ea9	0	0
ccebbe13-7409-49d8-aca0-5203d29085a8	0	0
d1f47118-dc18-47bb-ba0b-33d638ca4147	0	0
388ddfdc-c920-4c34-b5cd-5f79e03ad9c8	0	0
0456b51b-57ce-4935-a18b-e795070902a9	0	0
3b91e5e9-81b7-434c-b3f4-ff4fdbf2950d	0	0
a3eeef34-c883-4c08-87ac-1451382b6994	70	5.83376111111111051
a5f2c2bc-7ddc-48d1-b7b1-f57bef576212	0.594125249072381956	0.0495130779793610393
7d053f36-3653-4aab-958f-903d6a7b6b56	0	0
1e72acef-21a5-420d-aee3-20bc8419bd15	0	0
87d86a3b-1519-42db-b977-bf0625133710	11.1837229437229446	0.932026617412217484
10654439-83f5-49af-a307-3bd63beaa0ce	0	0
a2b674c0-ae6a-46d6-8c20-9b2dbb9e5366	0	0
d97f7c97-bbdf-4228-af10-e2f688bf2398	17.1436818181818182	1.42871634565656569
3242c5e2-3642-4cff-a184-07221e78f963	0	0
2cbaf662-8f07-4301-a72f-a91c578fce02	16	1.33340444444444439
ed476815-e1ca-44ec-ad55-f1f236b254e0	0	0
c5a055ce-2ea8-4ca1-87bb-1faeaede2341	0	0
f7ae4808-c5b4-443a-9091-6121b4d9723e	0	0
81abaaf8-cb7a-4a73-97eb-737c82b8af05	0	0
0a12e589-aaba-4248-b42f-448ce70f3b70	0	0
074388f4-2cc0-4f58-b4c5-40818ba11f17	0	0
8bf1caba-2cc0-45ec-b68d-00b1ad3d53a2	0	0
d5d96740-2eed-4d04-b10e-02711561370c	0	0
fb3765a7-5d5f-4363-a099-0a25ff55f1ad	0	0
e715d157-0d68-47b3-936b-f0d4c676372c	0	0
246e55d2-0913-40b5-b636-39eed76b5092	0	0
55e6a239-8eda-41c8-b577-d8deff2aa2bf	70	5.83364444444444441
44a4826b-7ed6-49e1-b55d-4db753e570a3	0.594125249072381956	0.0495155535012321707
658cc4e7-0950-4bfc-89a6-293cde33cf18	0	0
bcb93a6e-b01f-47e9-b6bb-1e9ea0265c54	0	0
7da7108c-3d00-40a5-a462-730b1d624f94	11.1837229437229446	0.932073216257816251
90198c1e-c29b-4bb4-92ea-1a566eec25a3	0	0
5719fba4-4d10-4a72-ab7c-e3cc62a4c95c	0	0
aa920e7d-099c-49fa-990b-0cfb535c2dbc	17.1436818181818182	1.42878777766414133
825b8882-bcef-45fd-b3bb-db14ef853ed9	0	0
118cc3d8-cd87-478f-9570-bf326cf96b36	16	1.33347111111111105
df947643-fa0b-4367-bde9-1675e8c3f512	0	0
98dfda51-7641-429d-adaf-b95f5c9a0653	0	0
65ea03d4-2728-4b40-b98a-ee677531e3b5	0	0
10c59a47-b114-4b02-bd58-946e3b0d7250	0	0
19cc4790-15a0-482a-b287-42b191587c59	0	0
214f41a7-49f1-49af-b7ed-ab983befa99b	0	0
20615195-df57-47c4-8afb-5b1d4f222780	0	0
970ee858-9fb6-4e5e-b698-7aa1a652b595	0	0
faa13a33-2651-455c-b146-e795618e058c	0	0
01f7bffd-3499-471d-8ee0-de43d8e165d7	0	0
50da6347-da71-4246-ad78-6747c7bfd82a	0	0
7ef4ec25-3301-4b93-9f75-bf69049ca729	70	5.83393611111111099
e8f86252-3b05-463b-9362-f94d0c2bda8a	0.594125249072381956	0.0495584625469985135
d648e697-4d48-471c-8f62-17bfd173a9fd	0	0
7aaa9981-4af1-4f34-92d3-97b30a9d2c1d	0	0
d11d62ee-11f3-4e76-be55-ca0d6ffd587f	11.1837229437229446	0.932880929581529683
5140a5ae-44ef-441c-8be3-e7f6531848b8	0	0
de4e4d22-d732-4aa4-99e1-44b3e126a7ec	0	0
8b3d0f0f-5239-4ba5-9270-1cf876b181b8	17.1436818181818182	1.43002593246212117
7141f292-8153-4e94-80ea-b8c79c270b52	0	0
37050ebe-c675-4b89-ba01-d6cbc9ec39d5	16	1.33462666666666663
0d04ab71-8d7a-4313-9277-b004e499cf8d	0	0
eca6e2e8-4742-4e45-b31a-b765b76b7ffa	0	0
60933413-221f-4707-9774-6e44078f3bd2	0	0
62ba90c6-6d37-49c0-a78f-e4447d3a1974	0	0
6a2471ab-8bd4-4ed1-a3df-eba5a6029f7a	0	0
2dacfd39-b9c2-45b0-8fb4-c62ceec04e87	0	0
769b502a-0d91-464f-aee0-eff1156319e4	0	0
90a56863-52d8-4075-b34e-0c6af5fe0dd7	0	0
6c6579ab-51ec-4beb-99ec-3701c13c42ce	0	0
3c9bdfc9-61ee-4962-be73-83060fdf3ee4	0	0
6b5bd565-0094-40cf-9649-9e75239c88a5	0	0
5e45f7f7-8f7b-406c-b0a7-00886c102743	70	5.8389916666666668
22ad7084-daf5-422d-a963-4aca1b7f5ee3	0.594125249072381956	0.0494671983073493443
6414c4a9-cff2-4e85-8f2c-8a7f2ca2b408	0	0
fee245c8-bd67-4917-bacd-bd7cf77e8a6e	0	0
aecf8f55-e71a-433e-a684-4d35ca1110de	11.1837229437229446	0.93116298547378562
285e013c-06e3-4040-9287-f1e30e9af4d8	0	0
7b0b2559-1d20-48ad-98f7-bc13cd66fac4	0	0
5a912762-9db0-4c27-9050-bba4dbc3a4f1	17.1436818181818182	1.42739247244949508
4cc4aebd-844f-45a7-a417-85c0900de7b7	0	0
b2009e2b-8922-4391-941d-6b902be276c0	16	1.33216888888888896
735d0e63-3a57-4436-9851-93a5d66f92d0	0	0
6787fb33-bc5f-42b1-bf0c-ea2d19c27c24	0	0
c60a686d-e666-4061-a703-fae9553525a5	0	0
3f4db14e-bad8-4770-b781-ee9e5a91f4e9	0	0
e922e793-1036-4bd9-b244-078c173a4732	0	0
bec8b86e-ed1d-448a-a90d-2faefcde8208	0	0
f36b48f0-7322-41ba-9884-7f6c700c695e	0	0
fe68b655-d1e8-4b26-8564-53f331fd9ec3	0	0
b6999341-0038-4f73-bd88-b7c24692add8	0	0
7329745b-72fe-4a4e-94dc-c13527968e63	0	0
b1883b73-5b87-42a0-88ae-622fe776d0bf	0	0
ba30dd89-5721-4de2-b305-0fc1e6fcc03a	70	5.82823888888888941
e31c1ed4-f222-4a54-bf8b-a6fb0340b2d5	0.594125249072381956	0.04951505839685795
2a51f8a5-6877-4529-9e28-d5d55983d109	0	0
714e6ed9-3956-4082-ba4f-91c3587f0b38	0	0
e1395cb9-396e-4deb-b432-d2ddfa94fd9f	11.1837229437229446	0.932063896488696586
6526f799-f246-4e15-9611-43233d07e8a1	0	0
b30e483e-93f4-47dc-ba77-5c86cd11ccae	0	0
1e3bee96-345f-4f3b-98d8-dda05d899d2e	17.1436818181818182	1.42877349126262643
58097890-9f24-426f-8b58-274adab09e28	0	0
705056a0-f5e5-4907-8b65-842ee203a373	16	1.33345777777777785
59f131bd-d181-469a-8aad-194811c5bf55	0	0
07036a6e-c62b-446c-b3c9-cca4d4c3b391	0	0
9ed21f54-3431-4123-9737-62427adbdd98	0	0
d4490323-75dc-46ea-94f6-3ffe9820fa82	0	0
b5e2bace-d315-445e-85e5-16e83e4aea4c	0	0
4a76bdee-c15d-4851-82f3-81568716efb5	0	0
ab32c48c-6c76-4895-b25b-0b4744436a1c	0	0
a966f66a-14f4-471a-854e-d0e356c9b1d9	0	0
250255e0-ef12-4685-888a-63dfde672a1e	0	0
57bc6692-fef5-4f4f-979e-4739ba055265	0	0
cf49f5f8-f9b2-48b7-8c1e-b4b4b2e292c4	0	0
3e869ff8-8093-4a00-95c6-840a25d35cda	70	5.83387777777777838
2875cf0f-d5cb-4d2f-989e-f097817bc578	0.594125249072381956	0.0495137381185266762
ec09477d-ccf8-4874-b712-1822391be960	0	0
794ed849-1f30-4ced-a978-82a2d5d315dc	0	0
9a3107d6-bccb-4dc9-9577-e7ef32f3ac5d	11.1837229437229446	0.932039043771043851
917512b5-3c6a-4641-917c-6187b0a394b1	0	0
6b76b8f1-ec59-42d6-81ae-8d190006f085	0	0
76dff130-e194-46fe-92dc-611a011dbdc2	17.1436818181818182	1.42873539419191919
2a5d64a8-c827-4c32-912b-1e96116b1960	0	0
54cb14c4-43f2-435d-b2ca-13f5075a2689	16	1.33342222222222229
17182733-87fb-4c70-b75c-fe1cf39c9d2f	0	0
201c7fcd-57b2-4854-87bb-6f21a8182b3c	0	0
646f5f50-3fc5-4066-8ad4-c35854447b8e	0	0
0a753984-5386-4cd6-9208-971e29ebca3d	0	0
770ba3d7-a46d-4983-81fa-bdd2300a4fe0	0	0
d9a27f3d-23e9-41e9-915d-089a5234a032	0	0
e557ca4b-a885-4c94-b86e-a85157599f22	0	0
2d168eef-15cd-4c2b-a18e-f448631ba41a	0	0
1e60891e-320f-4a19-b6a0-ee8930c40785	0	0
1150463a-11c9-4e3d-9cda-d442445ee95e	0	0
c628b63b-1c51-41d4-ac43-ba53d672e323	0	0
80135946-bd15-4221-af61-60ce80edb040	70	5.8337222222222227
0e12acea-37e9-49ce-b2fc-3207c43bbd15	0.594125249072381956	0.0495152234316493592
bbea17b6-497c-4a89-8475-d09f51110777	0	0
7ab67cd7-ecbb-4379-a232-49e2f4279ac5	0	0
09e7ead4-33a2-488a-8745-e28a03cc902c	11.1837229437229446	0.932067003078403178
53650b61-9355-4857-bfc6-31765ac92d53	0	0
17eb61e8-8e99-48e8-a230-b849a43a2175	0	0
944a87ec-5066-441f-8c8a-f1d178cccf28	17.1436818181818182	1.4287782533964648
3611036e-14fc-4303-8c8a-7b5a0652c1e0	0	0
bc7cea82-b73f-49ee-a38e-1e5b4da2dcc9	16	1.33346222222222233
f3629f4e-37b3-4e1b-a2cf-9fe991cc2e47	0	0
f2725977-d303-4f64-a99a-6635921595f7	0	0
cd889ad7-32c7-48f6-a881-b826b40435a6	0	0
9842ff76-9e2d-43b7-af18-4fa0aff08bd2	0	0
2825a341-f530-4622-8f94-d143019b137f	0	0
589de406-ff78-472e-b21b-d32ca0fc2988	0	0
a9c68916-0362-4f82-bea0-d8847ecf8e0a	0	0
185bc838-b14c-4587-ac35-be2ff27a782e	0	0
7b4e9cfc-0049-4106-ad9a-afd34340916d	0	0
485a222b-50ce-4a74-9166-a317f2b8e5d2	0	0
a213bbc7-a585-409d-9a73-33c136509f3f	0	0
44744913-4230-4cce-b4d5-60c63e9394b3	70	5.83389722222222229
24ffbb56-5d74-44cf-8b51-da03dc9ca0cd	0.594125249072381956	0.0495135730837352669
41b3ad8b-ce17-4064-aec9-daf417c6bcf6	0	0
3e8b838c-f933-493c-bed9-118d65991e0b	0	0
42529dd5-02fe-40ab-8497-b2b7641be3fa	11.1837229437229446	0.93203593718133726
b5a1fcfe-0ad1-40ed-b9f0-3e78844716e1	0	0
834c6934-9b01-4e98-b89f-a2ee4a49d0d5	0	0
6f41c993-66ad-47ca-a06c-a20c88f811b4	17.1436818181818182	1.42873063205808082
da5632ed-c41b-428d-82d7-fb0bdf60be69	0	0
ddb8b85e-c6ed-4530-9735-ce33f735232e	16	1.33341777777777781
55231b0e-bef5-4363-8a33-c8ffa714e0a2	0	0
10ff2a23-1bb5-4015-ba7f-2e24585d9bc1	0	0
2bafb8d5-1efb-46d6-842a-c5b9b04bd664	0	0
b90bb273-9a45-42a4-be35-d6b5d913d61b	0	0
fc4ef2c7-2414-4bec-8dec-8339db1ca843	0	0
8c6094a9-fc00-41d0-b269-baf94a009f57	0	0
7dc342f1-7345-4447-8a2b-0e6ceb05d98e	0	0
9fa268b3-6eee-4ec1-bae7-85945a569bdf	0	0
821ebdcf-84c4-40dc-8066-191d1baddafb	0	0
757a37db-986a-42aa-9546-824abcfc10a1	0	0
1749e8ad-80ba-4267-ba65-09280aa87c17	0	0
d5bc9ae1-598f-4dd6-b8cc-4fc841af04a3	70	5.8337027777777779
8b31d706-6d27-473d-821e-50e70c806f72	0.594125249072381956	0.0495134080489438577
cfbce418-e752-4170-941d-ba979f1508e9	0	0
afbfab29-5d68-457f-9d34-2e75e1b830ee	0	0
d121fcf7-2ab0-4873-bb7f-50d93b1fc3a2	11.1837229437229446	0.932032830591630668
cd572884-1816-41e0-8d17-9736fba173bc	0	0
07f50589-cedb-4a73-8a3f-b22a2cb1980a	0	0
e33238b8-7bf3-4c99-9d88-90e17eb0852c	17.1436818181818182	1.42872586992424244
c3d7a4fa-e1c8-4410-8c24-e040b60a60d3	0	0
b8f90171-ba39-47b1-93f1-10494cea306d	16	1.33341333333333334
69de9dcf-0271-45ac-8ad6-bbeb084f3711	0	0
814ea489-bd57-4252-b7af-dd2bc673113a	0	0
65b07ab8-db70-42f6-afe8-e4365248e251	0	0
8bb12995-2f30-4068-9035-d1bd290bdcec	0	0
cb919f85-7e92-45fd-8b9c-bcde45093e38	0	0
9dfc975c-6ed3-404f-9212-1aa7fa1643bc	0	0
76963352-ee8c-4b24-abc2-2ba888625745	0	0
1a4ef1a8-a8b2-4002-8bc0-b03004c49858	0	0
9a70b85d-7772-4e93-a591-d34eff1b8107	0	0
dc2d21c1-e91a-4a1c-9dba-79789b7b0f9b	0	0
51462c1d-e92b-4cf1-b743-e3d667350281	0	0
0338c6b1-d7a4-4fe7-91d3-97189390a2fc	70	5.83368333333333311
48f9cc07-a165-47dd-bb89-13953d8937eb	0.594125249072381956	0.0495134080489438577
874a46e4-37e3-44d9-883f-e4b27cc361d3	0	0
f8beb00d-9634-4b6e-8c6d-c3ae936f9792	0	0
7b79d34d-1391-4f54-88a0-9a8c0e3ac0e2	11.1837229437229446	0.932032830591630668
6b5eef99-1bf1-424d-9c0b-fa9929dd5022	0	0
41496ea3-b4bb-4378-bcec-0a8c318fc1e3	0	0
bbaf0d56-4e70-4636-98ff-8e7177f82ec3	17.1436818181818182	1.42872586992424244
97250edf-e31d-4eef-9bdc-0adc186d017e	0	0
8728542b-00da-4ad4-a9d9-46f01af7a44e	16	1.33341333333333334
a990d019-80d4-4ccf-8403-d4121dfe7047	0	0
9e7e999c-78a2-46a4-840e-4d3c35ebd05d	0	0
69cae411-6f54-4a0d-b621-3fc7f12c351b	0	0
aad29e3e-eb9b-4d6a-bb0c-8d005065fcad	0	0
0ec2f9b2-ffef-4c97-ba07-fd58f1756288	0	0
79528356-0102-4fca-82bf-0cfcb33e2249	0	0
1c7689bf-5c12-4133-8c21-dd1de346748e	0	0
86f2fc86-6a9f-4725-b146-ae4bfcf66455	0	0
4df9a513-21e1-407d-822c-4ddbc3614655	0	0
0dac5a17-a836-4213-8638-214f4343dd39	0	0
2ef83787-9fe0-48c9-9670-acf2262b2940	0	0
e12e42c6-fe12-40ac-a5f9-f88fb6ef3f5c	70	5.83368333333333311
63998428-7571-4977-a697-a5a2870df617	0.594125249072381956	0.0495104374226984917
d40bcb3b-d5e5-49c1-9acd-77f28505e267	0	0
4d8ad8c9-d993-4da7-8b45-1047ccf640c6	0	0
f9cc1035-4c9a-475f-8b4a-4f3c8b294f48	11.1837229437229446	0.931976911976912015
0aa5cfd6-0498-45b2-9920-1471e575ce22	0	0
16d984d9-bd3e-4ad5-bcaa-606fa79f9e8d	0	0
759647d4-fa9f-4765-b305-115e9e0052e5	17.1436818181818182	1.42864015151515145
572ed3e8-bc3e-461b-af8b-dba0b004ae0e	0	0
9b54496d-a29a-46bd-be0b-335ef21043f3	16	1.33333333333333326
c0de7f42-fff8-40be-b573-511c6f031807	0	0
ed27eaf5-1014-4fe6-a940-8733fff95cde	0	0
4048ac5e-2ea6-4e60-8150-08ae05e81d59	0	0
05c7a428-01e0-436f-92a7-0d7a93ec5c20	0	0
1989428f-f42a-4264-961e-e08e7626195f	0	0
56ec392e-b464-49b2-a374-e8032ae42992	0	0
183631cf-7a07-4e28-9420-045de344d155	0	0
4f873005-8f96-4c3e-bb27-fa58f47c8a17	0	0
de6182ee-2ec0-4117-82f2-4056fdf437e3	0	0
72e415ab-6590-45f1-9081-075dc0760c03	0	0
3c848643-1992-4324-8963-99d219642868	0	0
a4aa7b72-ac61-44ec-a1ad-8128141ee1fc	70	5.83333333333333304
d9377055-7f19-4ae2-9744-5a5bff0a749f	0.594125249072381956	0.0495183590926861275
0b688976-0bf1-4cdd-bdfa-b55995399a9b	0	0
a17205eb-901b-447e-9c57-a5b5f739c466	0	0
a8d5e6ed-f8af-40c5-ada4-b2cc7dcf66c1	11.1837229437229446	0.932126028282828312
bdee3533-2e8f-495c-b36b-5d4cbe0d0036	0	0
7fee9fb9-33e7-4b1d-8adb-bac373d89956	0	0
7e6d72ef-16d6-4568-bbd3-ef1b56164d42	17.1436818181818182	1.42886873393939395
994ff295-f19c-4f40-928b-32a31d2e3d1d	0	0
5a88f9e3-b200-47be-ba52-d6ceda30a716	16	1.33354666666666666
938d2b42-764e-4209-93ca-706021dcfa2e	0	0
8cf657a8-3324-4bb8-8a55-f8279b3001ba	0	0
a3154635-f211-48d5-b13a-1d5e859aeae2	0	0
a719de58-bd30-4da8-9f3c-3ecf2da2984d	0	0
72b2fd2e-eb61-4b6f-817b-de5462179eb5	0	0
2ff22893-f586-4fd8-a915-7ed9e9da6e7b	0	0
852375ad-1061-4490-b7a3-57ea2ef182b8	0	0
e0c88972-be28-4311-aa41-342fe5e7b486	0	0
7d8b6d73-4f0b-4ef9-a442-b155712c41a7	0	0
320f66fe-ef88-42e8-ada9-ef1e9249206a	0	0
644d382d-57af-43f4-8891-2369f317aba2	0	0
0a07a4bf-3dfd-447a-8db4-b7cab411efd9	70	5.83426666666666627
36362bcb-0952-474f-aa4e-edb44f33231c	0.594125249072381956	0.0495130779793610393
860a1aeb-a574-48dc-8709-8f95d22f5dbc	0	0
22548a31-9bf0-4836-8949-eb6ab5cb2282	0	0
c08ef018-36f1-4b9e-a528-ab547502a67e	11.1837229437229446	0.932026617412217484
71f2378d-de64-4564-9600-1ac8df4fd1ba	0	0
9f2f46d8-9953-42d1-a140-3d7bddc1c0c7	0	0
f79faf4c-4946-4e7c-ab1c-6419dd1b0b87	17.1436818181818182	1.42871634565656569
7da37345-4524-4b03-8d3c-6d12322e7b5c	0	0
886fec29-1177-4032-92bd-02e10c3426d3	16	1.33340444444444439
31c120d5-ce2f-4f9c-8a76-e913da189ad3	0	0
e3804917-fb5a-4c21-97ff-7748f9ce8b7b	0	0
a49702e5-6cb3-4203-aae1-c106a5d682b1	0	0
0339b674-350d-467c-b676-42080c095af6	0	0
5ace7b47-8b74-4fce-ae63-1eec11d91bce	0	0
b637a3d5-8660-4dd9-ac2b-e1b8d1c27e66	0	0
71c7d345-c2a1-469d-8dde-4c9ed3e9205e	0	0
d64fca42-6b9b-4bf9-930f-fced9cf5ff82	0	0
92e7f5b3-ca69-4057-86f2-2d49d765a6f2	0	0
8e8c5ecc-8dcc-4a0b-8936-167c3785a67b	0	0
8d3c3aab-ec0d-48b5-a100-06881636e064	0	0
264dad3c-a68f-43f7-9ff6-1dc0d47afe60	70	5.83364444444444441
e04631c1-1139-4795-a6fd-38c84bea2fe2	0.594125249072381956	0.0495143982576923131
553d19e3-62f5-46c0-8a83-90b61a2b6324	0	0
e7a04374-717d-4b4e-a11a-e7a4f84d6c68	0	0
cfd88af0-a83c-4975-866c-4cb3f1bd5bfd	11.1837229437229446	0.932051470129870219
a5d85d14-03bc-4960-a083-2da6f5dfa7d5	0	0
50505a3c-bb65-4ee4-b30d-2e705e8eaaee	0	0
ef58cd21-91eb-4c5a-8be6-68ed314e57a7	17.1436818181818182	1.4287544427272727
454c65dc-3c97-4b21-b494-45862e6763a3	0	0
e138da16-ae91-4283-a338-5085d97a9ba6	16	1.33343999999999996
aaf44986-03b0-4273-b441-a7e7f77852f8	0	0
f2eeae5b-c2da-4d82-aa15-d6e2537cef14	0	0
bc2815ce-9bf0-413a-b7fd-7bb6c13b3c8e	0	0
0ae58e48-4e41-417c-b7fd-bb206d1139f2	0	0
825a01a2-c595-49a9-b8a5-749b44c7851a	0	0
88b68681-2441-4715-9878-bfdcfc4e91a3	0	0
27bcbacd-da9c-475c-9bea-8bbab8ad7001	0	0
848b9ded-093c-4613-bd00-abb3af611f0b	0	0
507dd40b-4a2c-4706-85a2-b267a428be6d	0	0
85c4ddbf-ecf1-4f0b-9560-a9d8bb270393	0	0
79ae609c-223d-4ca3-babe-cff4679872b9	0	0
6fefac88-2629-4f65-b12d-711de35f8b3d	70	5.8338000000000001
82b781b5-daaf-4d12-97f5-5bc6109221b6	0.594125249072381956	0.0495143982576923131
5275f220-c344-40e6-84f9-c17729ca9d1b	0	0
64e51d58-e944-49d2-9b13-b77d5619682d	0	0
b6c52eda-6478-4cbd-9dff-70732abd37cb	11.1837229437229446	0.932051470129870219
34f17a55-83f0-4e8d-9411-c9ffc73417dd	0	0
d323d9c7-674f-4a3c-93f9-c7a5c9e86869	0	0
f759fb63-30d1-412e-96ce-08f90f726385	17.1436818181818182	1.4287544427272727
6aed31c0-ad14-4b83-9896-68e1c056bdad	0	0
e97c31d9-e52c-4122-b946-7d69e481d0b2	16	1.33343999999999996
0ea9e202-9724-4be5-9479-716823386cb0	0	0
7c1f8fd3-dd7a-48ff-b486-68b2b707b5e3	0	0
df770792-aaae-4eab-a40b-c0d25e4efae0	0	0
1c2a3540-a7f6-4e15-a718-8a3af1846696	0	0
569fe795-747c-4b52-bcd0-e137aad1e888	0	0
df5dd556-bec0-4e34-85e2-ae25cfd4df80	0	0
44efc61b-0be7-41d4-af54-5256d694f72d	0	0
6e78e846-2328-46f7-be0c-82959d7bc720	0	0
1ff120c0-5033-4ed0-87d0-ffc0c2df2a5d	0	0
a8cf7f1f-fd15-4ce8-8b67-979996628baf	0	0
e3a4b211-8047-4ae5-ad3b-6dadf634aeb6	0	0
5030e57a-eb8e-47ee-bfd5-706d2418fae8	70	5.8338000000000001
82a7f16a-45be-4580-aad0-b10c719eff7a	0.594125249072381956	0.0495117577010297655
ed147d4c-9010-4596-8cd4-e9f2049ee929	0	0
c7059598-6ca7-4a0c-8e88-8eb4ab0062f1	0	0
3b96c205-4860-4d8d-b81d-0b765af64e4d	11.1837229437229446	0.932001764694564749
85dca60a-ef4b-44c0-a562-ff8e1c019edd	0	0
12e9b53a-955c-4a6c-8301-a68ce9dcacc2	0	0
52f3c26b-b165-4fff-8803-8af5cc9dc5c4	17.1436818181818182	1.42867824858585846
a6f045c3-dd7b-4679-ad03-a823ae8281db	0	0
e67c849b-287b-496c-b424-237a79a77c31	16	1.33336888888888883
3bcf37ec-f3cf-4506-b31d-91c614d10141	0	0
105c1765-834f-4d75-8071-89e9d1644384	0	0
2213a1b3-f531-4c55-903f-464da4a84a9a	0	0
a39ed8d3-4c18-469b-b0aa-3dd0a0ecfa63	0	0
aca96854-1f47-43aa-aa56-54faa67c8dd5	0	0
1f9a8373-99c5-4720-9a83-8d8b8169777f	0	0
472ba115-8db2-46a3-bbdb-fd8eb3bf661c	0	0
8a58546d-f4c8-48c8-806f-d99ac5c443f6	0	0
67623d43-8ad4-47a9-a65f-7599054da1d2	0	0
81bf7835-3865-40e6-8300-c6b14b47b6e1	0	0
87340843-8fe0-4443-ba0f-68d31733ad2f	0	0
51fa7b18-bcc3-430a-9d95-c6c75b88c08f	70	5.83348888888888872
0219ccd5-5b66-4be6-b291-b84ee39a9d2b	0.594125249072381956	0.0495125828749868185
8b481624-8317-4fe0-a919-f5f093467074	0	0
611c2ac8-6cf7-4701-904c-4294bc21baaf	0	0
ace039ea-db39-4729-87c8-05667eb37926	11.1837229437229446	0.93201729764309782
49623472-65dd-4351-8cfd-1e489d8910ad	0	0
8bfb815c-eb89-4f5f-84e2-99b34ae87a93	0	0
10a565c4-a6f6-4be7-b7ec-066fba2a0bf7	17.1436818181818182	1.42870205925505056
2cbb43f7-6a2b-4871-835a-6397adae2b0f	0	0
579e234c-7aad-4a1c-90bc-c579bd6941ea	16	1.33339111111111119
17f3b548-7e1b-4e27-9e74-3a95dbff11b9	0	0
932a184e-c8ef-491e-9d7e-e832ba1c6995	0	0
7ea8484a-8c05-426f-9835-30ca49207333	0	0
0e2eb8d9-f729-4f1c-806c-826b35b10206	0	0
77abd5c2-9fd3-49f6-923e-720f15ae0dbb	0	0
6250088b-221e-4d1a-8bc0-5cd08580248b	0	0
7d4b5d0e-92d4-49f1-97cd-61ecdee423ee	0	0
521d3cfa-a71b-472e-b87f-8199570e67f7	0	0
fec3f5f5-d93e-42e6-b862-7f8e47c8b22a	0	0
1f61f2ea-667d-4efe-899a-ff0e6ccbfd54	0	0
76a0453d-07d6-4663-9f9b-d32cd0c9cb50	0	0
39e90d5b-b348-471a-87d1-4cefc279076b	70	5.8335861111111118
c61d66f9-5d64-4e12-b241-2ef61dc3312d	0.594125249072381956	0.0495132430141524485
e1726bdf-ae9d-464f-9633-d176c3fd7f64	0	0
e6258ab8-8d03-4463-99c0-9056fdefbff9	0	0
7234dac9-dc5f-413c-87df-28583ac7be72	11.1837229437229446	0.932029724001924076
47bded89-62dd-4051-99cf-d03f5a4621ad	0	0
8af0329f-6205-4b8e-881e-1483b9cbb83f	0	0
a5f66d26-d01b-4326-b94b-16d81bb4cbfb	17.1436818181818182	1.42872110779040407
a2a0a684-3ccd-40e5-8baa-80e148181397	0	0
1916c635-280e-49c9-9ec9-b9c74cc01e00	16	1.33340888888888887
54581512-5e3f-43a4-8115-c5a982d18508	0	0
2794d454-b950-47d5-bac0-d51b6cf3cb7b	0	0
19d35420-944b-4cf1-88ce-e687faf57f7c	0	0
01161702-82bc-43ca-8f6e-2226bb8c0794	0	0
673f56d0-62e5-4066-aa10-1e104cf75fb1	0	0
592694fc-8c21-4253-beb9-2d63280c4a0f	0	0
374f69ac-1029-4536-919e-597b82b905dc	0	0
a63001d2-9bd7-42b1-a888-f1163d228a3e	0	0
10f6d758-8451-4350-8f62-b8b2c5f96b5c	0	0
2965cb6e-040e-41b1-ad34-49d1a2209961	0	0
32809c55-7a7f-4927-a5cd-426743936c5f	0	0
6415b7c9-32a1-4c86-b4df-46e1dd8a05ee	70	5.8336638888888892
99a7eeb2-b238-4736-a8af-450f2c01e622	0.594125249072381956	0.0495167087447720353
8a789b40-ba61-4ccb-b581-98d90dea61dd	0	0
efd54f44-582c-4823-8f4f-0a0d069b86df	0	0
86f60d05-5a2c-46b7-b35e-f2983cc3c6d0	11.1837229437229446	0.932094962385762393
802d6739-1d47-455b-98a4-ddc7c8aad0ed	0	0
37ee92b0-6ff9-4dd7-ace9-7eda93f4166b	0	0
25df2e1b-c0a9-420d-9c35-6d02b92160de	17.1436818181818182	1.42882111260100997
ddc33353-2ca5-4e6a-9574-6e5d86a05511	0	0
fe1db78b-263b-4104-a185-0c8649735523	16	1.33350222222222214
d6591a38-81d2-4dff-8bf6-45285f67d312	0	0
762665ad-adc8-46a7-b921-f825e5f19529	0	0
2f8c7a54-aaf6-411d-b8d0-39d36057f848	0	0
531333e0-2073-4ab1-b109-2a93134310d6	0	0
83876047-6da2-4ef4-b8e0-7910dc136e0c	0	0
f9b241c6-aa7d-4c8c-9d11-32ee8ddf2dec	0	0
12092b88-1e77-4743-b0b3-4402d62bfbe1	0	0
5b209d18-c4f2-4d36-a43f-466a9180799d	0	0
1b5c6f46-8370-480a-91bf-65d0af6a7ede	0	0
de3c95eb-b9f3-4dbf-8040-deb1a4a0b03c	0	0
6b9933c0-f492-4eed-beb1-4ea2c4cc12dd	0	0
ea848228-66cd-4b83-b4d5-b188db194acc	70	5.83407222222222188
66e4e43b-6d0b-4633-8988-8db420198032	0.594125249072381956	0.0495140681881094877
daf06d8a-1189-4bf7-954d-e679ec99dcde	0	0
e5dcfd91-01bf-4b62-a692-2053c90e735a	0	0
1f025f8f-af21-45f6-b0ed-cfc8cfa1c035	11.1837229437229446	0.932045256950456924
924f3f16-1a52-465f-956a-7220d0c8ff4f	0	0
806d252e-ade8-4290-bfe0-856e53221f55	0	0
45c8895e-e502-42f0-a560-ecad8007e91f	17.1436818181818182	1.42874491845959595
9fe5b975-d652-434c-a418-5d22acc705c4	0	0
a9c750b4-b6a1-4a16-9cae-6eb16035af96	16	1.33343111111111101
d394eb7a-af2f-4521-bb6c-3700a3b7b2b5	0	0
47716774-c3ef-4a0b-b42a-3906ddeb898a	0	0
78eb2969-f085-49d9-8f61-400698d9bf5f	0	0
a87746b9-e5b6-4f10-a891-bca5baaddef5	0	0
ca5d5102-fbf0-4079-a28f-5060f9711929	0	0
e7c4acca-13c5-46e5-ba96-f650b9e80972	0	0
d5ccdd69-2ee0-4c92-b463-f146dc638781	0	0
51cdbaf5-a3fc-457f-8a51-368ab76b8887	0	0
a738361d-371c-4e9f-9b3a-de6a662a300c	0	0
1b5fd982-80f0-4dde-9f5f-af873263584a	0	0
f139cb79-e40c-4881-91d1-6ac1fa65e0bf	0	0
afa432fb-41d6-4065-8785-8a8453699cbb	70	5.83376111111111051
fbf22341-5de6-47c5-a207-158df38dd416	0.594125249072381956	0.0495167087447720353
9dbe11d5-f7fd-4cdc-8c42-35c71ca02045	0	0
fa6b91a0-5b05-42b4-a9be-27888b9b2807	0	0
795a74c0-c22e-4587-9864-13a94911e6c9	11.1837229437229446	0.932094962385762393
454b5ca8-448f-4d1a-9f90-f9bd829aafdd	0	0
f37f46ce-54aa-4edf-bacc-779d023ed452	0	0
084f247b-04cc-41e2-b6f5-a0211dac3608	17.1436818181818182	1.42882111260100997
69ed4eaa-f215-4d45-8218-29acb8307ee8	0	0
f4f5a00e-8d82-4479-8116-09fe1962c064	16	1.33350222222222214
0fb5c04f-208f-4ec7-8295-5f4fddd15f4c	0	0
1ccd7842-35a8-435e-bd5e-1e50cd737b46	0	0
c3c104be-738a-4c80-a283-a39b574f259b	0	0
17e269ad-6528-4d73-a430-63ccd59c37dd	0	0
1e02e90d-cb1f-45f6-932b-3749bbc0b84b	0	0
a2377d17-dbba-4a4d-879f-f712bad2aa43	0	0
2bd60c23-e933-472d-9d5a-7e2f87e9e4f9	0	0
665c1b01-ac59-40d8-b0a9-cdc15a199db9	0	0
8dc60de5-09ca-4c37-bf44-081f43aea243	0	0
22ef3615-8c67-4077-8e7b-c81181e65e0c	0	0
7c16f49e-1f97-45d6-bd40-4d75f8aba731	0	0
9c746548-b85e-4131-a1b7-20ab1b7f1262	70	5.83407222222222188
49bfc75a-96d1-48db-9f41-008e30c78a2b	0.594125249072381956	0.0495087870747844064
538c2bb5-261b-49a9-bdfe-74ee8e785c31	0	0
0d600aeb-b6ce-4dd1-bc4a-b3f697886127	0	0
5a3d87df-847e-4c3c-9fa5-cef5e7e8746e	11.1837229437229446	0.931945846079846207
156972a3-f142-45df-805b-867173364ef3	0	0
e7670134-196a-4614-aadf-11cd510d56e4	0	0
e54a6bbd-8e8d-4001-b630-a54a40b1d7e9	17.1436818181818182	1.42859253017676768
99b9be68-c216-4850-82d9-d2459aa69e92	0	0
7ec3f822-6f16-4b66-91c7-169f88a8e02c	16	1.33328888888888897
bc40c9f2-579f-423e-a952-1617c4af74c8	0	0
47de19f2-be38-457f-a995-6f6430afb737	0	0
2f047a75-8642-40b5-bccc-495c13b211f2	0	0
dcca8917-4025-4a74-a5c6-07ae52cef606	0	0
4afe93f9-43d4-4bba-a0a5-933b4c65c2c5	0	0
3c48472b-b257-4b8b-b6bf-ede40fe234da	0	0
83560bf1-6837-4a32-a734-5c3f02dc4610	0	0
31b71b59-a8c4-41d7-aa74-a7f464c7cbe6	0	0
28169168-8e75-4979-bf17-fb6b18324516	0	0
df8fe3b4-3a8d-404a-a4e1-92d879f60fcb	0	0
0d61ede0-9bf4-4aaa-8ce8-13cbbf63ee13	0	0
c0e24d53-c510-431e-9da6-86cd982c13aa	70	5.83313888888888954
f1da824d-fa23-4417-8de5-368990afa6c5	0.594125249072381956	0.0495173688839376722
ec944d62-d257-43c1-8e6f-822e246c2a5d	0	0
87bfb27c-b5b8-4d31-8665-33b9e5a309c4	0	0
4366cf15-9a88-48fa-85e8-a445a3cb9e14	11.1837229437229446	0.932107388744588872
8929afb8-5b20-42e6-aa16-523eb75eed53	0	0
ada79eae-f488-47b7-bf2f-43c46e14aa85	0	0
9fdd5f4d-6f39-4c16-9e3d-685bf694f712	17.1436818181818182	1.4288401611363637
ed2b14da-73df-48ca-b1a6-c223a2fab371	0	0
5c8931f1-d9ce-4f04-b16d-a2c8dfd81ecc	16	1.33352000000000004
ce793c42-3c82-4b1a-94b0-d248ac432753	0	0
8a50f227-ab7e-40d0-a24c-65665a1d5898	0	0
c5063f07-babb-4f44-8701-b2f265602b3a	0	0
a628b38d-9ea6-4b26-b06d-d46d8935cdd4	0	0
7a7817a6-d42e-4650-a2d2-6c698c95f2df	0	0
abcd85b6-7e8d-45ce-9f74-c5ebd597a47f	0	0
9a64a016-6589-43ed-a58e-aee27aad8d91	0	0
89c0face-0b3a-46fd-b844-fd97ee303425	0	0
30cf4bf8-91f4-43fe-b9f3-9b2efb5eb2c5	0	0
344f1ce8-30e0-4999-a689-d702b9f0a2dc	0	0
f59fea92-4f83-45d7-87bd-916d59458746	0	0
a5f1fb6b-d687-454e-b389-3041e6c812a3	70	5.83415000000000017
b27c0da0-24b1-4b5b-941b-d37993aaa844	0.594125249072381956	0.0495082919704101787
7652bc62-5a76-47a6-87ea-eefb5450df0a	0	0
97e62fef-17de-48f7-865f-5c4fcb76a988	0	0
ec3ba0bc-a64a-4333-bba2-1ad4f5b6dd64	11.1837229437229446	0.931936526310726432
9afc0fa7-df8d-4557-88ad-c873aee447ad	0	0
5b601a7b-142d-47d6-bda3-c8c200e36f41	0	0
b339619f-5d22-4267-864b-eb72b50398a5	17.1436818181818182	1.42857824377525255
9c6badcd-e884-4a20-8f24-302cb129aeb5	0	0
ae25aff2-c15f-49bd-9e39-08880b841753	16	1.33327555555555555
824c631d-4df7-413b-8983-129c465a7916	0	0
9675c380-4165-4ced-ad8a-6b3d5bdedbcb	0	0
cbd51995-d5b4-4431-92d7-2486797b75ed	0	0
bd5a9706-9281-4ef9-b969-446bec32c05c	0	0
3620301f-20e4-44a0-8f42-ae264a0cf20d	0	0
d7a66622-ef76-4545-b4c2-44181de05de6	0	0
1480e6de-3485-4f58-a605-411cb224ee65	0	0
88373571-98c1-45d5-bb28-3be046b144ff	0	0
6f812ee0-c02b-4406-8109-dfa199ad38d1	0	0
a20001ce-e31e-4bc5-9255-8336405aafa6	0	0
bf512900-7205-452b-b983-69894439ffa9	0	0
a80a2915-344b-44af-ab30-23f09cc41205	70	5.83308055555555516
22abc93a-2882-402f-90c1-113531dd15da	0.594125249072381956	0.0495172038491462629
9f21fbe1-a4bb-48ae-89a2-f2e0d7a3ff77	0	0
57cf049f-9c16-440b-af5a-7161000e1bdd	0	0
9ba65501-6779-4dce-a4af-30fe6f02e775	11.1837229437229446	0.93210428215488228
aa7c6807-5a12-4303-9aa7-66f5d2791851	0	0
4a41fb84-da43-48b1-bb9a-3acc4740aee3	0	0
db40da23-e986-4222-b059-ea1a42f39120	17.1436818181818182	1.42883539900252532
13573cb6-0875-4017-a9b2-abd87c86aaa4	0	0
d2e11d2f-d31e-4cfa-b4ba-10c22ec3e46f	16	1.33351555555555557
31f42836-eb64-409a-95e9-329899383c53	0	0
1186f25e-c44a-4846-a2f0-b55d809fb9e7	0	0
76fa793a-19e8-41d5-866a-10e999083706	0	0
2180b880-a335-4a39-bea1-7c3c07291f06	0	0
e425865f-7542-48f0-a8fa-92a7eeaa6748	0	0
29a506ab-26a9-480b-8d73-ce192c913638	0	0
a7992254-0fe7-4a08-abea-834d1bb07409	0	0
73a7321a-b39a-4ac3-9d1d-60a3d0a31977	0	0
e377f3dd-461c-4d4f-a745-91d75e2c134e	0	0
850feb73-ad39-4f58-9676-feccea644180	0	0
e5c57f74-0259-4bbb-bfa7-912de7dc670d	0	0
8f3daa6d-4c8e-4fb3-8228-d6e84cb4bf72	70	5.83413055555555538
b495e44a-cd49-4933-a470-f7c93657c66a	0.594125249072381956	0.0495099423183242709
39ea08f6-1e49-41ff-80bd-fb30c47164cf	0	0
a1e6fe81-14e3-41e7-9444-ebb83071d55c	0	0
bd9fc348-f1e6-49c7-98e3-1733456e9d83	11.1837229437229446	0.93196759220779235
e283a42f-e86c-46b6-b3b8-4476eb56c3df	0	0
fd87381a-43c1-4ffa-abc3-9905e9b31afa	0	0
93484d8e-c2c5-4cf2-982a-3512ed13bd11	17.1436818181818182	1.42862586511363654
feefb0ef-ff9f-4839-ab9b-dfa09e215e4d	0	0
6f276229-87e4-462a-b027-100977b4b8a5	16	1.33332000000000006
f67cbe01-241c-4369-bfa7-faaf5b5f2305	0	0
5e54f2fc-1c98-44c4-867f-f327c0fe8d5c	0	0
fbb083b0-d5b2-4834-b471-bf771b6ea9a9	0	0
06699dc4-b048-4d91-baae-a9f54210e511	0	0
a8c50c6b-6911-43e0-9673-4c1df0fcb512	0	0
2293ca23-4114-42f9-b112-3441bec8b0b0	0	0
8f35cd8c-b714-4826-bc20-26c5458509c2	0	0
ae65d88c-9a90-4b54-aedd-debc5a35168f	0	0
c0a22dea-32ee-4ad2-9f56-50038a6d542c	0	0
efe4b2f1-416a-402a-a6f0-3fcfc4604ca0	0	0
3a5c0358-e58f-444b-b969-8a42ce4e2d79	0	0
45eb6788-6d73-42f4-8cf5-740265090d3e	70	5.83327500000000043
647409cd-20fd-4058-9cb6-ccc2ab68c0dc	0.594125249072381956	0.0495157185360235799
b9504872-3e58-4bc1-ae62-eb39ecb37c18	0	0
8cf40413-560c-4b14-ae1d-ab01346d678b	0	0
92884acb-5dbd-4de0-81ac-30241e926be2	11.1837229437229446	0.932076322847522953
a2030a25-6385-40f6-948e-71912f7edc43	0	0
88be75d2-641b-494f-a70d-acda2f3c9305	0	0
6e467ed3-dbb0-4b66-8e35-f32099d63c72	17.1436818181818182	1.42879253979797971
ff56f684-02ce-4d8c-9e02-f8c4b4920269	0	0
47479ab6-4234-453f-9b79-b94d26d3d3cb	16	1.33347555555555553
abd19882-ead3-4b19-a385-ff6cf37c6213	0	0
decfedd2-7040-49cf-997c-97bf9ed0241a	0	0
9df2b95a-aafd-48ac-ab46-0f55070d9f21	0	0
2b5c5551-4a4a-4702-8655-c8d2b848ad67	0	0
25bbe468-4f3c-40bc-94d7-098f390eb66a	0	0
abd3dea5-d4d2-4333-a729-2af4c6db7ad1	0	0
2e4c486f-7856-4cac-ae1e-b4b313d7ec28	0	0
c6869d0a-4e25-49fc-bebf-579ae30e4336	0	0
896558de-b96b-451e-96e5-54ded6c3beeb	0	0
f2ca894c-315e-4c5f-b4b1-7bd1b4c8a9f0	0	0
715be6f5-39cd-4bf8-8f95-067af63eff2c	0	0
69612afb-d903-4e9d-b875-5f93464dcdd0	70	5.83395555555555578
48bd7cea-53bd-47d7-a351-f926666c58c0	0.594125249072381956	0.0495135730837352669
5efd6947-a9d8-49f3-bfc2-8b71154f8ccf	0	0
b5400271-1e40-4212-821b-5e7d86cf4991	0	0
ca1be8a8-e37e-4623-8795-98d21bd69dd4	11.1837229437229446	0.93203593718133726
0be111a6-95bd-47d8-a195-86ecd28b6b0d	0	0
b0a61ce3-e945-4668-8f30-9edb3ce37a2d	0	0
518b231e-e7db-4a70-9d8d-21eeffbcb145	17.1436818181818182	1.42873063205808082
4dc3ccf7-bcce-4ba0-b4ae-1a8d915cef04	0	0
35e4587c-2cf9-4eb8-90f9-0690c30675ca	16	1.33341777777777781
287637a3-32a2-4461-b89f-6d265268a121	0	0
b7e86938-5d39-4ea6-a274-32077d098f1f	0	0
27858c19-869b-4ecf-b44d-7f6e6e1a24b7	0	0
abb551d6-cd64-42ba-a94c-9b4259aae51f	0	0
0a6ddd12-c7fa-4b97-a6ae-ac20748aa5c9	0	0
9feadae8-d53d-4f20-aae3-c3d96a9031c2	0	0
6858dd0f-3a12-4ded-911c-97694e2447e4	0	0
e05cd6b7-997a-43d7-9cd4-d5fa01491b40	0	0
a3aa5ade-8fdc-4638-9fe5-aab26d025b20	0	0
069b6266-8364-45a5-8d9d-da9ba4ec6fb9	0	0
18b85edc-0d4c-4476-ae94-6abb38e4ba86	0	0
b8487795-5f3d-4d0a-ada5-5e0ed90544c8	70	5.8337027777777779
eaf1975f-4e7a-4d67-8d6b-48b8f826f343	0.594125249072381956	0.0495137381185266762
c2bd71b7-4959-48e5-9bdc-d5eed43d0c1a	0	0
7a6b02e1-2f3b-4c1f-bd3e-9226880f908d	0	0
836b702f-b13d-4430-bbf2-64ce9afbd0cd	11.1837229437229446	0.932039043771043851
6165fa90-7007-4ef2-9b60-6fa5a310c7f5	0	0
fc747407-e41e-4e3a-8f24-30b45c105abc	0	0
8371528b-0583-4ef3-b3b0-6066d86f5fa9	17.1436818181818182	1.42873539419191919
8c532225-a226-40ac-826d-1c19b0f4a610	0	0
d80315a2-c685-4479-91c0-8d778a74653f	16	1.33342222222222229
133f4e5b-06be-41dd-b60b-7f22480c8fc8	0	0
7f797087-65ad-4438-8e07-71dcf54bb5d6	0	0
30ffb1a2-8995-41e2-bf1c-65f11c502c2d	0	0
67655476-3a0e-4522-824a-aae23f0461e7	0	0
b9fb743f-ca9a-441a-8d92-72590fd7a8ea	0	0
c00df993-55c3-436f-b9a3-a90f30215828	0	0
0c131bcc-5a4b-454c-9d64-e5f5aaeb4612	0	0
cd6a202c-13c4-4dae-a760-11a3ee381011	0	0
4abdd2c7-3787-4eb2-a5a7-29fb2e281cb4	0	0
1e21afb0-cb96-4d2c-a2ba-4299721b2a31	0	0
63f1a71c-8541-44f9-b37a-2cb85e3778f4	0	0
49fa8c88-dbc3-46da-8ad5-477f68a6d3de	70	5.8337222222222227
d9a425e7-3e0f-4b79-9a32-5e25daee0ee8	0.594125249072381956	0.0495644037994892317
24b1658f-4edf-4e73-ae40-ea0def8ff779	0	0
2cb061c9-9f7a-4fae-8d79-83d0b28797b9	0	0
26193744-bd4b-4f34-a050-3d088959151f	11.1837229437229446	0.932992766810966767
c0a6a880-7b1c-405e-8846-04fe9897ae20	0	0
c8133c47-4e9d-481e-91b6-1fa37cedc35a	0	0
ce44de52-9713-4bbd-a4de-f6884f172d65	17.1436818181818182	1.43019736928030294
bdf7107b-df52-49cf-b54f-80d652ef7442	0	0
3348e8d5-7f46-498e-b2b0-0a45db323228	16	1.33478666666666657
343adf3e-44b9-4fa9-bf13-b291bd0e3b0e	0	0
7fcbdf49-fed8-41a6-b4b3-140558cbb16b	0	0
6f9ed378-8917-4551-9e05-05ff3f21b5f0	0	0
cea61de8-8800-4b1e-b184-0cd38279cd6a	0	0
a488fe98-b761-4444-9591-9dd243965837	0	0
11c57a3e-df32-4b38-ad54-c1252a9527ef	0	0
0a0a082a-07b5-4f98-b7c3-2c16cd37d9ca	0	0
894b90aa-6d00-49a5-a16c-bbb354016325	0	0
c8466533-5882-43a0-b11a-5f2b87cecec6	0	0
d39ce0dd-a787-41e0-9683-832c44b61d89	0	0
c5ea69cd-e5dd-4396-900c-f7f320d1e0c3	0	0
afa25770-66fb-4f86-8fab-de742526b7d7	70	5.83969166666666606
a5da6633-bb75-4078-9117-9b0a3e9e2079	0.594125249072381956	0.0494648878202696152
9efadec1-16f7-4e2f-9da8-49ccd8d50770	0	0
c3680e37-a9b2-4770-93d0-e44939c933a0	0	0
41244770-a2bb-43c1-811b-ae350ef361f2	11.1837229437229446	0.931119493217893335
3871fff0-8080-4cec-8363-d7488c0b5186	0	0
64ff8b57-af9f-452c-aab3-dfb28f17f616	0	0
6d094e3f-1066-4699-a6b0-a8f482c79b8a	17.1436818181818182	1.42732580257575759
8bbb61f1-945d-480e-808b-5747638c919a	0	0
f5bce4b0-9a61-498a-9ba8-d75fe1708f3e	16	1.33210666666666677
1ff45891-bdaf-4b9d-bb24-8642644f6ea5	0	0
dc8f4214-775f-4884-bcf7-f0bc04b1f6d1	0	0
e093d16b-2265-46ec-824d-e508b8588633	0	0
fa01b9d9-b9f0-4b2b-b5c7-0aa93baa859a	0	0
a5e12f73-2f28-4e8a-817b-5c525a150ef1	0	0
e8635bcd-a3ef-4b6b-acea-42c288c92398	0	0
9baccaf0-264e-4eb0-b115-4a99da26687a	0	0
65195145-91b0-4665-927d-5050bad65961	0	0
da685ca5-eb4e-4252-9ed5-b16031ed2ae2	0	0
9205f032-9ad3-49a7-9783-d8e761959208	0	0
ecaf9b44-c42a-470d-8ebe-86c1d9381e48	0	0
8f645b7f-7691-4119-9a71-348d91d33c04	70	5.82796666666666674
3c9eca6b-f443-4400-a143-a69303d761c9	0.594125249072381956	0.0495134080489438577
558e597a-54f8-44e3-8d17-f2ca51dd655f	0	0
5f9ee81d-98e8-420d-8bfa-73f0ed03b345	0	0
235eb5b9-5bd6-4b51-a1f8-f841229e71ba	11.1837229437229446	0.932032830591630668
7952fb9a-2576-4192-89c8-b0be6519e2c3	0	0
30dc5b85-d8d9-47ec-8c00-fe3777c7918a	0	0
353e6cde-efe7-4456-b76d-1ff454e5ad20	17.1436818181818182	1.42872586992424244
520236b4-46ac-430d-aa2f-e33f24b942c5	0	0
db113ee4-25fa-4364-9f8c-6d1299da55a3	16	1.33341333333333334
c2234761-839d-4593-90d6-74fd4830a31e	0	0
cdff9931-8922-4dbf-b573-63baf4ec2043	0	0
52b9d446-e836-4e18-82ec-2482e1f8c6e5	0	0
e851435e-68fd-455a-964b-346743ab7ab4	0	0
c228151f-71ac-448a-9c80-2843e0b248fa	0	0
964abb94-c9c8-4e21-bdcf-8b69595eccfb	0	0
5350b413-9110-4672-aa6b-d027c0ab5ca4	0	0
2458cbdd-ee40-48ee-b65d-b7159346a4ea	0	0
2144aba0-1ee3-44dd-bf02-5db050330173	0	0
d6d5da2e-2542-486d-a80e-0394f8385066	0	0
8d1fe977-8222-45a3-928e-04cbc53a204b	0	0
b61f366b-f2a5-48e0-a494-2f7bd14ecc16	70	5.83368333333333311
33791f7e-9e8b-48ad-a053-90b4222151c1	0.594125249072381956	0.0495140681881094877
00a2592a-0e05-46d7-ba75-a87334d4e6ba	0	0
937f6635-134e-4290-9283-66a4430b1762	0	0
362d62bc-875b-45b8-a3fd-032229867811	11.1837229437229446	0.932045256950456924
2c4c1ac2-ea9b-4fb6-9f02-6a43ca8dede1	0	0
455e8c63-26f8-4cbd-bbe0-803728de1727	0	0
4aa738df-1562-4ec0-9c91-1f0a81262656	17.1436818181818182	1.42874491845959595
4b8128f0-4b9b-48e7-9f88-031079a0a0d8	0	0
30eb4f4f-9673-4b6c-9940-9fa160baeecf	16	1.33343111111111101
8fc6ec1c-611d-4c34-8750-a6ae6ea4beea	0	0
fba9486d-2c4d-4334-943f-36f637c8042e	0	0
6903c227-8493-4a09-b427-694ffd4b33bd	0	0
de2c7b6d-ff2b-4b24-a2d6-5d088dd4be5c	0	0
9f18000c-e86e-479e-8374-76fe79ba2e6e	0	0
83add784-cc73-4617-87fc-b067db58ee60	0	0
353f8726-b405-48e0-bd63-991fae373100	0	0
62b4e0d4-3596-41d7-ba62-eb3668000db9	0	0
228f8ea1-f0aa-49b8-ba7a-b0321bea814d	0	0
2c88b9b1-b4dd-4f8d-bcd0-97437866994c	0	0
f9e7cff5-3428-4381-bc42-11278e555b86	0	0
74dd5b9b-eb96-4016-afdc-82bc0492998d	70	5.83376111111111051
3a3a74fe-bd66-4dd7-be2f-d834cda4903f	0.594125249072381956	0.0495124178401954093
fe411e42-994d-4146-bc90-64278a84b0f3	0	0
1217ef6b-6175-441d-8869-14e6bedfa23e	0	0
f7b62c58-aec3-42ad-967a-1a1eb22d4916	11.1837229437229446	0.932014191053391117
a64aa6d7-1245-4c03-bce8-c374f7065d9e	0	0
480f743b-5162-41a5-bb84-b550c3de08bd	0	0
c144dc81-7e1d-495f-931d-6aa1079913ed	17.1436818181818182	1.42869729712121218
abc8a117-3aba-4994-a05a-a34859b0475a	0	0
6e1b2198-bc97-46c2-b736-434d97e51187	16	1.33338666666666672
f9cc2acb-2e75-4d1e-8ff6-c4855a36f803	0	0
3a80f5f5-c130-4bae-a140-f165f3293dbb	0	0
c96d49ba-429d-4c0b-adcb-c12860079ba0	0	0
1dca9850-a2b1-4c09-937a-f1dd477183b0	0	0
55db216d-0850-4e8d-83ea-d8a7747c4e2e	0	0
5b99fa41-63a7-4db6-83dd-4c4acd3ad216	0	0
3fdf961e-c3f3-488a-a659-73aaf2b4306b	0	0
c3510f6a-9257-4248-9f09-507c9f44113a	0	0
172f86b5-87e9-46e5-a4d1-463418679ce6	0	0
d1d5c52e-737c-4b0b-b871-4ae3fce4fd2c	0	0
6fe95faa-500b-49fd-81f1-df5f9bf2e51e	0	0
fb703e4f-eab5-4568-b3a4-67da1afdeb7c	70	5.83356666666666701
1447fd0c-cab2-455c-b743-006c0e5dcf6d	0.594125249072381956	0.0495173688839376722
f6b78001-097b-4cb7-8d6c-b6f0aa7ec0ae	0	0
27e9e9f2-a8e6-4551-94ae-3cd5e6e8475e	0	0
801d90f0-3dc4-4651-9428-90aa746d7e42	11.1837229437229446	0.932107388744588872
820207c0-1bcf-4547-bfae-733a11bf8705	0	0
d0d82e4f-862b-4932-b28d-c625e89299f6	0	0
1f9de3fd-d11e-4762-bbcc-11c3dea07543	17.1436818181818182	1.4288401611363637
7c40a76e-93c9-450b-bfc2-fb46a9227fb7	0	0
bfcc2d4f-18e4-4a69-a4cf-c99a5bcc2303	16	1.33352000000000004
fb718749-2c1c-41f4-9e45-fb85e6848782	0	0
21b2f7f9-84d4-4b40-806f-f58c6d1bb674	0	0
99912f1c-df55-4ddd-9c17-1500c4115e3f	0	0
ea987348-90ef-4bc9-af55-e44ea3386157	0	0
572e53c5-0faf-4156-ad53-88f59dca3d67	0	0
9910c3fb-ad3c-4e4a-816a-f26a85e9694b	0	0
64180ef9-8fb8-443b-ba72-954b9a300d9b	0	0
24bb2b35-f5cb-48b2-87a1-9b3e1e4cfd7d	0	0
3424a011-aad8-414f-8928-e198b89d4786	0	0
a33f50fb-b621-480e-a323-5f4abb93a58e	0	0
4ec62a51-9571-4ff4-98be-0de04293b8d9	0	0
50c882cd-7c59-4c58-af54-68a1d1de853d	70	5.83415000000000017
264bf33e-6043-4d71-9e75-90ca4b75476c	0.594125249072381956	0.0495109325270727263
6c55c043-8c1d-4290-a4e1-cf9fbd437454	0	0
7ac52da9-7bd2-4aeb-91ab-42de04910673	0	0
ce779450-b846-44f6-8aee-f0a7c5411a3f	11.1837229437229446	0.93198623174603179
80c09a5d-de7a-4b30-8542-e04e99d3d69f	0	0
9e3377dc-d0f0-4494-8ffc-7c7f0e28dac9	0	0
6a1219e4-e734-4c6c-9166-8125e2846170	17.1436818181818182	1.42865443791666658
7b776983-e99b-442e-a0a3-9950ac44c73e	0	0
61a33bd1-5500-4373-9925-b1030bf06694	16	1.33334666666666668
e3abd8a1-89ec-477a-9ee2-5fecc6084bc7	0	0
00b06f23-c21a-486e-aa89-7cb3150a5213	0	0
9a0ab505-4261-4d73-a92e-cbe80f518a02	0	0
18d4be4e-733a-41f2-ab2a-8c582ce1eba6	0	0
6e6f556c-2b53-4440-9786-e616c73e25c8	0	0
f08b6f61-bd8f-45e8-a40d-132a46c98253	0	0
9f4e1747-01ff-4f81-83de-3a3a43b23cb2	0	0
f48539f8-886f-442f-88bc-53edfa88b500	0	0
7ed2cdee-90c4-4916-a67e-43db78ec0ba7	0	0
7c8aa5e7-eb38-432b-9087-3a8ff419b949	0	0
5a66080f-1af2-4b83-9173-07904dd886da	0	0
8d49c0c4-9273-4ae6-ba08-1d74b23a0252	70	5.83339166666666653
cdac7162-d021-43da-8378-732fd6304a2e	0.594125249072381956	0.0495142332229009038
d1f97381-7d21-49bf-81b8-89c8122d4117	0	0
734beff7-af09-4437-a2df-cd985ca2c076	0	0
6bbe6d99-a181-4a61-946c-63d7c2dc6a30	11.1837229437229446	0.932048363540163516
00662cc5-03af-47ab-b087-383d1eb2a4ee	0	0
5f2215c0-10a3-4685-8ade-80023443cf73	0	0
19632972-57b7-4fed-abfb-3c12467a4597	17.1436818181818182	1.42874968059343432
8212d1b6-8294-4b69-a692-2cee32b8ff46	0	0
e2b91f16-a139-44d5-8dd7-cc77d56600a2	16	1.33343555555555549
2288cb80-8a17-4c33-9dc2-869d958678da	0	0
86704d51-4f8b-4310-9600-4dc2a3c0250d	0	0
310114b5-fdf2-4114-94f5-945b8d7444f7	0	0
bfd49c85-acc2-4629-b575-905e343dd8df	0	0
49b273e9-5888-407f-adf7-2e9d86849f5e	0	0
d67c4e56-b819-491c-b041-463caaf82e2a	0	0
99e309f4-3c2d-4f6e-a82e-7a0887df861d	0	0
6ede2269-63a6-464a-afef-8fe613feac3c	0	0
b38dc0b5-9e5c-432a-b50f-0a765769ddc0	0	0
91efd7f5-77aa-4732-875a-ba582555a34e	0	0
3f6b94ec-c634-46ba-9031-793d876790a5	0	0
c7186e4b-4f61-49e7-89f6-08ed284a08e3	70	5.8337805555555553
e2586c18-96f0-486f-860b-36a76d97f052	0.594125249072381956	0.0495130779793610393
3edabed1-be9b-44e1-a13c-9c7813279688	0	0
36da23a1-2a67-4cb2-864a-a6785c5b5810	0	0
dca0164c-d38c-4d6c-82fb-6206bc2ae537	11.1837229437229446	0.932026617412217484
5bb1dd27-b118-4781-812b-c60f1fbc146c	0	0
e45dac54-46ff-4f58-9b5d-fb9d662a6692	0	0
592b9619-b2cd-46ac-a691-da94bc52ec57	17.1436818181818182	1.42871634565656569
5dc39ddb-5e10-4641-bac5-d7625f5caa3f	0	0
2cb2ee4c-7b20-4401-824a-e435fe8a914e	16	1.33340444444444439
c2750236-3161-47d8-b47b-77d1ae29bb06	0	0
92237991-341b-4636-a598-a43fe1c2c91d	0	0
e7a72c21-0f00-47b1-9872-53de156b1d17	0	0
3f7901ca-dd7d-43f2-adb3-0f45212acf36	0	0
40fb3b9d-3b5b-455d-833d-ae8dca594a9f	0	0
fc01b3a3-0647-473a-bf76-2f952e506c43	0	0
2204add6-88c6-47c0-9d61-d61a552be6dc	0	0
586f1b56-5601-4266-9e1d-1c3598e5c3ed	0	0
d06b8941-b485-499e-bda5-8df6b40ca33e	0	0
003bb34a-2efb-4302-9364-81098fd6ad73	0	0
040b38dd-b113-4f7a-808c-f95aea6b77ff	0	0
5d05b828-3959-4c8c-8c97-57faab241d95	70	5.83364444444444441
a2e8a0e3-4fb6-422d-bd9f-45fb27b8ec9a	0.594125249072381956	0.0495120877706125839
bc2519af-1432-4cdf-b43f-d3727f86cad8	0	0
f662145d-4379-4136-8eaf-2118545cb225	0	0
c49591c7-7aa3-4354-99e1-cd5033c4d3f1	11.1837229437229446	0.932007977873977933
d053278e-4005-4209-bab1-04c9536506ba	0	0
59ecdde2-a6b3-40d1-bb79-a5d2174232fc	0	0
85eb927c-d0db-4c63-a592-54257ebaa114	17.1436818181818182	1.42868777285353543
b4e7b32b-6b1d-4e61-b153-3ba63221bb1d	0	0
43174a02-b6eb-4bee-80ee-7342ee04aa5f	16	1.33337777777777777
00bcc60c-bb68-4dd9-a3ba-82b05d3f4a16	0	0
9a251f1b-f586-4a0c-a96e-fd6f2434528a	0	0
a05c6017-1f2f-454e-bc89-78fcc1c51d7b	0	0
22f787f6-0e19-455d-b5df-7f5807464948	0	0
d1086dc9-1359-46d9-88d2-7d04517251cd	0	0
770e3e47-f003-403d-8eb8-bc64450a7fee	0	0
ce28c8f7-d5bc-4b46-b72f-902c66ccb2ba	0	0
81149bdf-ffc7-45c7-b2fb-de71c765c9d3	0	0
8ca144db-b2f9-4b95-a222-e4b03a0b57e4	0	0
4d5c85bd-1df1-488c-ae82-ab5a526ab45c	0	0
7e76f015-0230-457c-89cd-f1b31822e898	0	0
479d3fa3-fd16-4938-a62f-15fed677b828	70	5.83352777777777742
d852ba55-4afa-457e-be61-611b965754c3	0.594125249072381956	0.0495137381185266762
ef1cf96e-7095-4293-aa46-cb17098ae241	0	0
47abe687-79ee-4817-a085-6338593a061a	0	0
4a94f8f3-68bc-47a6-b62e-d2092cf61565	11.1837229437229446	0.932039043771043851
b05b9610-2c7d-4cf9-9eb7-ccd49e86dfdb	0	0
1d0467de-af3d-40f5-9837-5102bf2c81dd	0	0
88a64807-d52f-4865-8a80-6a9e9851f074	17.1436818181818182	1.42873539419191919
727761b0-ffe4-4073-9b38-60b7615cbf85	0	0
dbd20f6c-e262-4efe-96eb-ea65ddaf5370	16	1.33342222222222229
b3b7ef90-c2ee-48c3-8e0a-7d97114d596a	0	0
298e657e-b389-43f2-9eac-123835ecb112	0	0
3a3a74f3-6e4c-4fc8-9fa8-1fc413a57f0f	0	0
77519256-b1da-4501-8cfb-30215b2a4614	0	0
f91b9eb6-f2e7-48f5-83c3-8110f05d50d8	0	0
fb3c2d12-69ef-46a4-8cb8-44050669ceab	0	0
de75aceb-8012-45bc-b36a-f3f709856b92	0	0
9b902648-f528-4703-b129-8240cfe3e423	0	0
fe0a20f9-b429-44dd-9cdf-6dac028254a5	0	0
866d6073-b885-46cb-be90-20f7ed6b0d3c	0	0
eb6253a9-2d0f-488f-bc0b-fa28c6b5143b	0	0
d4de4601-69a8-48d7-8067-7250b5432d98	70	5.8337222222222227
41c2fb03-8fa8-4b96-a09c-5d49e0b15d3e	0.594125249072381956	0.0495145632924837223
daadc7cb-fa69-4a0d-b76b-0425706d7d29	0	0
445d6804-cb30-4a8e-a927-98fc5e3a8804	0	0
99d9ed33-7ee3-45be-a0d0-af120ba39a46	11.1837229437229446	0.932054576719576811
751c24d5-3e39-4e68-ac5f-f7eae08bfb4b	0	0
352790de-0674-4a28-9a27-071a8275193b	0	0
ed8ef9bf-d6c3-4209-84a0-9a57680b1cbf	17.1436818181818182	1.42875920486111108
337b0c70-8e54-4fd6-a10e-9e4b60b39f93	0	0
f9578069-85e7-4b38-95f5-25f95af27f4d	16	1.33344444444444443
30413dc5-9323-4796-a548-10271547fccb	0	0
b17deb5e-76cc-4717-8818-094acfade0c7	0	0
4408533c-4c16-49af-86cb-08261e60afd6	0	0
5d7d858c-03c7-4b1c-8cad-b6e79935aa1b	0	0
8bd96c18-2d1f-48f9-bda8-f5a55c13f7b0	0	0
5e01238c-99e6-4553-8869-fe2922cb6e82	0	0
6efc4f61-db5c-4d7b-be0e-316a8822e338	0	0
b1d3d638-f413-4e40-92b0-a665fe80a124	0	0
3db5d5d6-ff4b-4f1b-a264-6eb348682740	0	0
6db83c27-2be2-485a-b38d-5a5f9b7b8e87	0	0
dbcba497-eb82-4dae-b449-b285932212cb	0	0
c51889d5-c3e4-4184-8354-4a6e9668a903	70	5.833819444444444
26ef964e-0d81-486c-a678-ea3fe783c708	0.594125249072381956	0.0495134080489438577
89a85f40-d2ad-434a-8835-b76eba7098b8	0	0
d616f18c-7b6c-4af5-8df9-6140d6b65b77	0	0
2721cbb0-dd04-4ab3-8d7e-0af9a36e1671	11.1837229437229446	0.932032830591630668
50146a06-fb29-4749-b420-4e8d08f90644	0	0
5d29ae4b-e2d8-41e9-942b-90cf1fe75b55	0	0
5a800fee-b4cf-43d7-b67f-6acd385b7c64	17.1436818181818182	1.42872586992424244
75a43afa-e126-46c2-ad33-7b3daabe3dc6	0	0
ede275e3-d916-4e1d-98ae-7809c7f9876a	16	1.33341333333333334
7e6cd755-8705-4797-a218-d5ab935a014f	0	0
dc5556b5-e8df-4230-abe4-a28be1f7ca37	0	0
b1fb8ba0-f390-4493-8a58-a4cf0953e0d3	0	0
d758509a-6f5c-423c-b4bb-e2a78d2f2844	0	0
555476c8-67e9-405c-ba52-258a7399dde0	0	0
25e01f15-1f53-4b40-87e2-7d90df209f78	0	0
048d8d58-270e-4f53-9fef-a1dbb9e49375	0	0
442dcdce-16df-419e-9d8a-a7ed5510fa51	0	0
137be697-afce-4fb3-98f3-a0e1c10e335e	0	0
22548fd7-95be-452d-972c-517077aefe3b	0	0
5231bb25-da7d-479f-b331-2fb707b89ec4	0	0
d0b54f0c-b338-4570-9133-5c8ea0cedef4	70	5.83368333333333311
d514c4d3-356e-4a44-acc4-b451d8da934c	0.594125249072381956	0.0495122528054039931
24287dd5-323c-4891-b8d8-a0dd10cec0d1	0	0
3874c31d-2df8-498e-adad-04833d093167	0	0
5a541cfd-7945-4ab0-b30d-7185fd220f27	11.1837229437229446	0.932011084463684525
5517b91d-0efa-49bb-b758-ead44cf8a6ed	0	0
af2c0abc-a0c2-4bd4-8314-b45b10f0ccbe	0	0
a6542c2a-341c-4ade-ba23-a8c743b6f82a	17.1436818181818182	1.42869253498737381
d8c02c67-58ec-4dc2-a062-4902bcac6dc4	0	0
10606240-dc88-485c-839e-661b1369bf00	16	1.33338222222222225
56ba650b-d342-473c-bd51-42d3922a421e	0	0
435ad4b0-d21b-4b03-92d4-eefcc57b2af2	0	0
e4206fdb-9c04-4444-855b-06b2c42bb8f3	0	0
dcda2dcf-7ed1-4ec2-aa08-984608adc3a9	0	0
0eb8d6b9-764f-411d-a4ba-4b9bfeba012b	0	0
288e0672-5717-4993-a37f-02df46f09a5e	0	0
bbc0e8dd-435d-401c-be1d-82efe1ba822f	0	0
6f31e334-c4ae-4853-a2e0-85205f1c8dc0	0	0
aaa2d20c-6554-428b-90c2-c5007be6141b	0	0
f6b0d101-1ea7-42f5-8e50-30c494da7fae	0	0
35edcaf0-47ec-4abe-9365-342c5914e087	0	0
28cf6534-df4a-467d-997b-1d8c41773e2f	70	5.83354722222222222
4ede2e5e-6a2f-45df-9dba-c1732f72d935	0.594125249072381956	0.0495084570052015879
aadbd9b6-97f5-4981-9cea-861b639b30f6	0	0
a7712803-d1a5-4ae0-80f4-7e0dc752f3ab	0	0
e593ad66-73e8-4550-ab94-d4062b050e3f	11.1837229437229446	0.931939632900433024
42f1ab64-f545-42c5-82b1-1d7f16aa2f2c	0	0
52c30e75-a488-41b3-bf26-371deb371ae6	0	0
6ccae16a-06e5-49f4-9d19-d97d0b32ec6a	17.1436818181818182	1.42858300590909093
a0cb4e6e-5e67-4179-892d-479af488f6f4	0	0
f54c981d-0ac2-4ebd-b8cd-8e8d97430f07	16	1.33328000000000002
d19ce995-f2fd-48b3-9cee-3c40ac4b9f1e	0	0
8206ee71-22bf-4b43-ba4a-a1542652bdb4	0	0
89d45fe0-adc9-4010-8aae-6c5ec4c42aaa	0	0
bb7e08b3-aa64-43c7-9291-374d510373c0	0	0
99baafb5-7db3-43b1-b479-17d4db48d01c	0	0
8c486973-a3cc-4e5d-838e-f413a9d8eb6e	0	0
67248022-fe16-4af0-97ba-b900af73929d	0	0
d54ef665-bbe6-49da-b20f-23cf9a6fc219	0	0
22570a5b-842b-48bb-87a5-cc37ff7b244d	0	0
3d618c24-1781-46ac-899e-2fad66e98ece	0	0
e200ee4f-3c8a-4107-a883-1318f3e64f6e	0	0
9a790584-c6ee-4ada-ba02-5a07c1d8eebb	70	5.83309999999999995
b4cacb5d-4ee3-44ee-8ec1-a86ca2c014a8	0.594125249072381956	0.049522319927679942
fffc25b8-6f7a-4937-9761-79404fb2f69c	0	0
5a09079d-9773-45e3-8324-69ac333ca51d	0	0
e19c032b-94dd-47cb-bd8b-fbc9d82bd8e8	11.1837229437229446	0.932200586435786516
88682205-a685-4833-8989-40de8d78345b	0	0
d9d702b2-0344-4f58-bb86-2de9d6dcc8b5	0	0
179f69fa-3aee-4400-a65d-7dd11ca80f25	17.1436818181818182	1.42898302515151521
6f6d73c8-a314-4f96-b0fc-b3e60449f371	0	0
8b9e7db7-72fe-4ad7-b946-ccd59c2bbd00	16	1.33365333333333336
ac2e273f-f48f-48f1-8502-c4fb083ce893	0	0
36f48c63-89df-4a84-bb20-0eced03d7544	0	0
9a491d3b-a9fa-4771-954a-3baedaa48943	0	0
910c54b3-fafb-4fce-8eef-dadd7fcc2dfe	0	0
a3e50a4d-f5f6-4bcb-92b7-5527dd148dd8	0	0
8dceee8f-2c4c-4c51-86d5-11430befa144	0	0
ffa6065f-5709-4328-b76d-85dc762afa1c	0	0
0dda3c57-2b0b-4279-ae02-21d93633ab0b	0	0
32319012-c90c-478c-a9ce-737667a565bb	0	0
ebeff215-aeb2-45eb-a99d-69fa7c055228	0	0
decd0d43-b439-43f4-84ce-f366f0116078	0	0
3d30277e-0197-4c75-85d0-ecc3565079f2	70	5.83473333333333333
7cbdb708-21b8-40aa-9404-a8410514af2f	0.594125249072381956	0.0495147283272751315
253b71c8-676c-4f36-b954-050593739701	0	0
5970a5ce-dd42-4f5f-8c75-4260af6ec850	0	0
edbc13d0-c909-44ab-9f8d-dffc4f9d363c	11.1837229437229446	0.932057683309283402
1b133fba-b153-4dd6-a1ab-166f1709fbd1	0	0
dc6c5feb-1696-4a84-be49-167f011bdfbf	0	0
bc4b5027-c252-4ff1-baaf-dc8441f767fe	17.1436818181818182	1.42876396699494945
1fd74276-5767-443d-959b-d25b619bb841	0	0
8a2be308-2603-4d55-9750-9fec026e52a1	16	1.33344888888888891
0280ed01-8a09-4de8-a552-fbb13565fc7e	0	0
bdabddd1-a009-44bd-858a-28a060200c9b	0	0
956426ca-da3d-4e13-881d-5e2bae235725	0	0
b22e7fce-5699-4610-8c7d-8869530a33fb	0	0
80705ac4-e44e-4740-a517-b47ec9e67656	0	0
c9e0ac7f-8748-406b-8256-5c0072e456ba	0	0
85c724ab-4be0-4953-a071-19bb271033b1	0	0
51541596-197b-4eee-8d42-cd0b81219d78	0	0
4851dad2-5961-4018-bd95-e8ae553fa084	0	0
fc87afaa-2826-43dd-8a28-a80c63fb5514	0	0
428ed87f-694f-486a-9523-57346e8bc0c2	0	0
261a6bf8-21c7-46ad-ae8c-be9014a04278	70	5.8338388888888888
6ca66eae-ab26-48ea-9635-b50201e21b86	0.594125249072381956	0.0495115926662383563
de400c3b-0b4d-4135-b9de-730f1cd25cd4	0	0
c092be3b-395d-4998-be3e-a74ccd86f536	0	0
fae0a1bb-2470-434e-acbe-2d7a42cea7f5	11.1837229437229446	0.931998658104858158
3048789e-e781-4f10-881c-eef2e7cd1fcc	0	0
a94a4346-1a28-44a7-af80-4dc97d5175e0	0	0
90504b96-6814-47e9-97be-dae6db8cef1d	17.1436818181818182	1.42867348645202008
f748f613-9409-471c-85ef-ba0247ca5f36	0	0
146c8c6c-5dc8-48d6-8ae7-305cdc02a769	16	1.33336444444444435
5d6146de-5c6f-4b0d-9ea3-71c38427e0a6	0	0
a2921768-2977-4135-9d10-34a771ed8d0e	0	0
86b7286a-fe75-4a8b-928f-d1ee731b42e5	0	0
d13ea01c-3b54-4217-8fbd-494c4a4355af	0	0
c57de97c-7ada-484a-a16c-d5676b74cd7b	0	0
d84c7dd8-f2dc-4846-84ea-d96ed8188bb4	0	0
aa8049b7-a3fe-43ae-acef-f4dbb6d9dbee	0	0
6d44bf39-559f-4831-8c7b-5cdb1a7f0a2d	0	0
4936c580-2813-4a62-92c4-e91401f67e9b	0	0
07afd699-2e64-47d6-a287-22abe556ec02	0	0
84c2ad72-6f66-4303-bf0b-17a498550c14	0	0
0f357c1b-c265-42be-97fd-88eb50a28533	70	5.83346944444444393
7e4c9186-2e80-4275-8784-a25723fc9630	0.594125249072381956	0.04951291294456963
ab0eb9d6-91ba-431d-8d45-080388fe10c1	0	0
094a3903-c173-4675-987a-9d29b2573821	0	0
77af8d01-6522-49f8-9a99-95eadf29950a	11.1837229437229446	0.932023510822510892
11642373-058b-4749-91e3-1d78624c4ab2	0	0
6cdc5523-868f-4f73-acfe-093733a3f578	0	0
22a6dc0f-4480-44a8-9bc3-88ac788ca594	17.1436818181818182	1.42871158352272709
32ed99a7-66ac-4665-a101-3e7b25987886	0	0
7dd6a88a-0d38-40e7-b79e-cb3121092048	16	1.33339999999999992
ace7ab9c-3f01-4210-a86d-b4f1c87242b5	0	0
4e071a4e-d369-4647-b5ee-e792c2e2315d	0	0
f2126f43-a217-4621-b8d0-a1e766c9279d	0	0
ef309c00-ce47-4ab8-bc5c-87c2ac1e9ecc	0	0
423a2959-2b71-4d30-9ea3-a9f884bbcc17	0	0
a1bacf0d-1a7c-4a77-b9aa-6ddad78af06f	0	0
b07591c4-9612-4b83-bcc3-bfdfaaddf14f	0	0
197c569e-e47c-4197-87b4-f14819ebe106	0	0
990b21db-49af-42c6-a5fc-1f162f700d99	0	0
360d3eef-8236-4d86-9738-8af365cafe47	0	0
bb3ef35d-9f07-451b-a22a-edbbe0116064	0	0
628ddeb1-1ea2-4a13-9557-c7016cec3516	70	5.83362499999999962
9bc42663-d33e-49df-8c86-d6719e287b51	0.594125249072381956	0.04951505839685795
f0c96279-6a5a-47e6-aa10-767550a1ab4f	0	0
ec3287ca-763f-4ef0-a0e8-165b8e0e3e7e	0	0
3a7bd57f-5bac-4aa3-85bc-0b6af5cc7532	11.1837229437229446	0.932063896488696586
73be74d2-b47c-4a25-85e2-893fb6388d70	0	0
f1d9cc67-462a-40aa-a8e6-70ff81c6e595	0	0
58fe2436-c72b-4f61-9f8b-f9eabb76c5a2	17.1436818181818182	1.42877349126262643
493400c4-bed7-4320-90c7-27d1fcb6e41b	0	0
0f0f76f9-7d4b-4b0c-b576-e68f99854864	16	1.33345777777777785
4b208aaa-e354-4e84-95f2-c82e09de2100	0	0
42e490eb-2dd2-47fe-bd23-48e8437c22cd	0	0
47284640-c762-46c0-88e7-e3b0b89ae664	0	0
b2b8c2d0-5cd5-41f2-bc78-1ff68e405a9c	0	0
a3343d66-695f-4b67-a04c-87e2fb1d0dbe	0	0
3063ccac-428c-475f-bd1c-4f80dd3054f6	0	0
f5ddc6bd-f193-48b3-8865-1eb3bf16711f	0	0
8a23fb73-749e-40bb-bfab-e87439c0518b	0	0
cee16967-379e-446f-99a9-8e8f9abbe141	0	0
ee957521-f88f-46fe-a133-9fccb695553a	0	0
476d6fea-1c60-457a-92ac-95b0230fc167	0	0
2fc5fdc4-0141-440f-89b7-ec9a8292c624	70	5.83387777777777838
39c725dc-c5f7-4534-8792-c1ae7d483eb7	0.594125249072381956	0.049507796866035951
5b7bdded-0daf-4c83-8fa7-9c653a8b2583	0	0
3a7453d5-ccfd-4a8a-b9a9-7db992f774e1	0	0
6439f66d-db91-4005-bb7f-a8aa54084aed	11.1837229437229446	0.931927206541606545
0fd383b3-14e5-4f53-aaeb-8ace3a57c1a4	0	0
0b976b86-3407-45dc-a961-d50c072e4d39	0	0
1ce76f06-c59d-4e82-b5af-b6c1f80a3c44	17.1436818181818182	1.4285639573737372
f494cc07-58de-4036-bb0c-dc7db126ab57	0	0
921fb4ed-7e8f-4fbf-9a83-ac3dc55114e6	16	1.33326222222222213
b644297d-1c4a-4638-8bef-ddce625873b6	0	0
02b36772-f842-4c8a-b121-8e55a2026c58	0	0
f309ea97-2f76-4f2c-aeb7-52082cdfbf47	0	0
f33e44ce-3e41-4f1a-8817-a79a38c2956a	0	0
f8f715ef-212e-47b0-9826-75698dbef0f2	0	0
bab1453b-a24b-439b-b8f0-cf20674a9357	0	0
c287f5d3-8ee9-4b6f-9670-3827244422cf	0	0
60a91f55-47e6-427f-a318-3d1ee517137f	0	0
28f8116b-fe87-480a-81a0-8180a3315f0d	0	0
6aa9b7c6-8c7b-4a12-8909-8daa6e7978a2	0	0
2f189f4f-f770-4df7-bc77-ae57ae34791d	0	0
34e4c0d3-131f-49e1-9f6f-766e4aa89b2e	70	5.83302222222222166
36fbbbcf-247a-447f-8780-67af0deed554	0.594125249072381956	0.0495181940578947183
38cfe04c-d95f-4d31-ba8d-33d855ec2543	0	0
a53d0e5e-c7a5-4032-b261-0bc643704870	0	0
cbf6ab63-5720-452c-abff-cce5fde3f561	11.1837229437229446	0.93212292169312172
0b3698bb-2535-4b26-82b6-4da82e1a2b9a	0	0
30f54afa-45f2-4c03-b448-4ea8792f458c	0	0
9c807301-7d7c-4f45-b546-90563b2f47e4	17.1436818181818182	1.42886397180555558
480c7f98-24ae-421e-a1b2-6c9903d81498	0	0
3ad21f20-1ba6-49bb-95d0-5c3f3ecdda96	16	1.33354222222222218
1f8df8bf-f39a-4c53-b351-40a088abbdaf	0	0
4a3c9a4f-a8c6-466a-acef-e562b50281e7	0	0
9fbf4552-1d35-4113-9cd0-bd792a7d316b	0	0
7c02e7ce-65a3-4186-85eb-8adac39cf0ec	0	0
caa41a90-393a-4007-916a-c4a25c67ffa4	0	0
8e61fa3e-ca2f-4e4a-a43c-795acb4cb526	0	0
5370d8c9-be90-40bf-aad8-5e461c96e736	0	0
130b40ef-c6b1-4cad-ab47-3779bb42051a	0	0
d86d5067-48a5-41ee-b247-e41ce5b59be9	0	0
f5c998e2-5230-4815-8f5c-c8dc05959ec5	0	0
4e64bbc9-9cc2-49e1-823a-659024c352d4	0	0
6bde8cb2-b467-4347-8695-df7025189508	70	5.83424722222222236
b5ff78f5-c5a3-4fa7-9f71-d2871f63eb41	0.594125249072381956	0.0495127479097782208
8b6628e6-a461-45e4-b827-e3dfa14832e8	0	0
2353e238-8496-48e9-ba64-4e8f89c974b3	0	0
8085f784-29b1-41a2-9ac2-50ebbaeb5818	11.1837229437229446	0.932020404232804189
f744f71b-08b1-4e01-99b8-cda3031ecd73	0	0
db809a11-3865-45a7-b4ce-b9192b46275e	0	0
429e4f4a-03de-4ab5-a5a4-bc336ec4491d	17.1436818181818182	1.42870682138888871
5053bc97-3e03-4e20-b4ca-7c2fe4448e3a	0	0
4ac2488d-adb7-4600-b58b-9ba593516bbe	16	1.33339555555555545
979e7575-9b7a-4a0e-99fc-0cf55f48ea44	0	0
68a7fade-72d6-4622-87d9-19f33da35db0	0	0
ac6627f0-5195-4ae6-a448-b5a5f5cea142	0	0
a529c145-e827-43a6-b45f-b17c182443e0	0	0
c7621467-c43f-4e8e-a106-c78e8748b246	0	0
237336a3-1e85-4de9-93fa-b6ae264598b4	0	0
2a4e1534-c625-49d3-9330-3e8f1b5839cd	0	0
31f1121f-aae2-4f50-aadd-0192ab4dc828	0	0
25ee1463-03c8-4710-a5ed-e1db98ab428d	0	0
474e986e-cd4e-4a71-841b-9834c8caaf05	0	0
da5f4d79-a35f-492e-8ad2-6f4a2baab05a	0	0
0380263d-d347-4a06-b5c5-2f5f3d143d40	70	5.83360555555555482
d6c1c6c6-01dc-440f-a77b-6448fa12f765	0.594125249072381956	0.0495155535012321707
37c6c535-84de-4e6c-a0f1-60e81bfaeca8	0	0
d6b9e71e-6df2-4618-b964-64bfd5aab79b	0	0
6077c0b0-a083-4ed0-b16f-6cc1be56db75	11.1837229437229446	0.932073216257816251
8a6965b2-4f63-453e-a392-b251fb9b11b6	0	0
dc8299ef-9876-4936-bfe1-3e0ad2e211a3	0	0
0c967080-36d5-44fe-989e-22e133611595	17.1436818181818182	1.42878777766414133
1e8cef71-c172-48af-83f5-b87181c1bb90	0	0
4725e3d7-3d66-4108-80dd-ff27d4b92440	16	1.33347111111111105
a58a57b8-8a06-406c-8328-583f1432e0aa	0	0
c2331308-4778-4d45-adae-96f8f0d74eb9	0	0
e63190ea-3014-454c-9c48-920475a1e51a	0	0
7dc90910-3bfb-4033-a961-4392c0c60c76	0	0
50b710cb-aeaa-43de-b1a2-d44743e6def3	0	0
c1063cbe-872b-4114-bac0-16a6ce7460d6	0	0
a5c25621-fba4-4611-9588-23b236b562c6	0	0
4006c26f-fae4-4a03-83a3-252054b8a233	0	0
a415fee5-d998-4679-9118-f8730193ca23	0	0
3e595a21-8bbd-441c-be62-2b5a1aa383cd	0	0
24c4c318-40fd-4f54-bca9-5373c7314483	0	0
1efa82fd-e7de-4393-9140-f61a4d042a74	70	5.83393611111111099
97be4a43-333b-4dac-8a4a-6630b26eb7c6	0.594125249072381956	0.04951291294456963
7de010a1-a625-4918-b8fa-dcb460576492	0	0
21c8c6d5-b9cb-4fc2-8834-7600e2e709dc	0	0
cc951a56-c266-4c1e-b1ab-6935d5809cdf	11.1837229437229446	0.932023510822510892
f05dedbf-3153-4368-aacf-97b52ef39315	0	0
d66a3cf8-9ef6-4613-bee9-c90d3f615b5d	0	0
e7fd5030-0e1a-40da-8dcc-ba2db5c83d22	17.1436818181818182	1.42871158352272709
7b2704e9-659b-48f0-8823-fd57075b8ff6	0	0
09b6a4b2-e54a-4c40-85c5-87df387f2d5d	16	1.33339999999999992
bb7d6e96-788f-4395-9aa6-4e3b3623689c	0	0
ac1c4af0-f9fb-445f-8865-3d5ba7f1f9f8	0	0
6c5195c1-aaf0-408f-89c3-e307cb8f8391	0	0
d53a25f3-ffeb-4f63-9b2e-1cf496a3f7c5	0	0
9bf5439a-17fa-479f-8644-7dae3a2e7771	0	0
da980a05-d661-4406-a377-b216aef3ba65	0	0
49fb7fa3-076c-4968-bc5c-0bc5bf4d451a	0	0
5972b0bc-585f-49ca-8d1c-c2508c03cb59	0	0
20d70d48-1075-4bad-8680-8e0fe4fa8806	0	0
25307a5b-c315-4ba8-974c-63b114257d98	0	0
2ae4ddf0-17d0-4465-8c21-ca10c1a7e2bb	0	0
ba4c99ff-2bab-483f-8c1e-9ee445549811	70	5.83362499999999962
01aa851b-7a04-4f6c-bc40-d914862de6c4	0.594125249072381956	0.04951291294456963
4b569e55-8f25-43d7-8f8f-3e72e994bfba	0	0
2742272a-f6da-4560-a25d-9b9ed9b34d22	0	0
4cb8d6e7-7f04-4136-b737-4c0d07942bea	11.1837229437229446	0.932023510822510892
c7eaaeb9-b5be-471b-8969-0bf668905ac5	0	0
6aa440ac-f329-429d-ba5d-e09321874bf8	0	0
002d666b-a957-442f-a125-ed7cd73852e5	17.1436818181818182	1.42871158352272709
11114732-3dd3-4de9-87b5-eb29eaa4436e	0	0
885194e1-1d45-4718-be8b-b66d49ecb4f3	16	1.33339999999999992
f638862c-2c6c-4cba-ba0f-0af3d1739572	0	0
938cf180-96d1-4de1-8448-f9ff036b59d0	0	0
5699861a-f296-4d20-be56-25797aa1d7c0	0	0
8fd05992-30ad-43cc-9408-90d2bbe9e876	0	0
5275adf9-5f96-4b46-9172-cb88ff02754c	0	0
0d73fe36-c1a6-4028-b3a3-9f71c06c3779	0	0
717ca747-058d-492a-a185-609006f11328	0	0
6ad2d8da-0bdf-45a3-8b67-b29a9e0eb6b6	0	0
99f323e6-653f-4de3-a5ed-7d2fadb19bda	0	0
01657078-cb62-4dd7-a88e-c2623d0da2ec	0	0
03210d8f-f265-45b7-a696-1955821caa2e	0	0
9cf0b9c3-6304-46aa-a3cf-44b7e2e61f84	70	5.83362499999999962
8c3da112-c2ec-4a33-955b-ab0eefc31abe	0.594125249072381956	0.0495135730837352669
5d149a58-0a9b-41c1-b51a-24d6be079432	0	0
118c638a-c85b-4501-ba95-5a9244a8b2b0	0	0
09596ba4-92c5-4398-ba38-92bf44bd7585	11.1837229437229446	0.93203593718133726
d640f5dd-6ec1-48a2-8b0b-878f6271ea4c	0	0
d4632810-9eee-4416-84c8-7eabaec95412	0	0
fca66371-8654-4c92-a87f-ae43db6c8092	17.1436818181818182	1.42873063205808082
16aee919-e97e-48f7-9353-46f0448b1cf4	0	0
7ec67e1d-cfc4-4a6b-964f-91e528c82ff7	16	1.33341777777777781
948c2db1-9e63-4f5b-88aa-0f1f50afa10f	0	0
f0ba5cfa-ec08-49a9-9e8d-e40b2f578ea4	0	0
47896bf2-e13a-4ec3-81a5-f62f0d27f85a	0	0
68c9922c-8966-44d9-aa3a-b3bd4a4e4b5e	0	0
454a5a81-6828-4a37-a33c-819f7e20c869	0	0
cf02e55f-1efe-4a31-a3ae-7827da30c4fa	0	0
1f66a13c-2dc1-4c78-9f1b-2174d50a4a3e	0	0
123c9ddf-9c26-4193-8473-e46b9e05b6de	0	0
5b38483b-618c-4f55-b217-c10b9bcfe4f2	0	0
f1a73396-0d2a-4b40-974c-7802410db167	0	0
340277e8-bc76-49a1-9af9-0f9d6c8d9348	0	0
0c141518-aab5-4258-b813-4842880feb53	70	5.8337027777777779
bf1cdace-0cec-4b26-a22c-26fdde1f29f7	0.594125249072381956	0.0495099423183242709
bc01cfb0-951c-403d-bbb4-085ffc0885d0	0	0
a30d0716-8f96-4b64-8089-f7e66d8f5f50	0	0
c53f3663-6e93-4948-97f7-3f0df6d4ac6e	11.1837229437229446	0.93196759220779235
4c01b138-02c9-48df-a5e5-245555a1417c	0	0
533c5285-8238-47c5-836d-5df4399a2107	0	0
b075fb04-ac7d-4c04-b5d4-8ccb6abf17f2	17.1436818181818182	1.42862586511363654
54dccc77-bb19-4898-82a0-d4a026ed3473	0	0
d81e103b-7aad-4278-8910-b504f159db1b	16	1.33332000000000006
cad405ac-404e-45d6-971b-e6fa6a2b7876	0	0
0b595f92-45d0-42d2-a24c-45a6c3de59ed	0	0
341ad354-eb19-4c11-8c24-d12389b7b99f	0	0
3b0c3dce-44b5-40c7-9d0f-b32b490fffc7	0	0
dfa5ab67-fabf-4c5d-8cd3-40d77b6001d2	0	0
0e22347c-0c9f-4789-9370-b2df50ab6484	0	0
aa634a37-e329-49d5-bf4b-27ebe8017fc6	0	0
9dc7cd78-9b64-4a74-ac6b-21343f54b8ab	0	0
79ac52d3-56ed-4ca1-8312-dfd1eda33006	0	0
e7e88d58-e568-434d-9938-08801b8f831e	0	0
6d49cf58-9866-4018-af54-db3a2bebe14f	0	0
8ecf9f97-6199-4c05-bf75-a5e7aad799a5	70	5.83327500000000043
0e5c5b69-9f92-4252-819f-41c5598b19f5	0.594125249072381956	0.0495185241274775367
c7abe3f2-a782-4cda-bbab-f2a4d8a1038b	0	0
9c0c09e1-adbf-4ead-bd5d-fdc5bf808b5f	0	0
764f8bbc-801a-49f4-83b1-0e22e3fbdcff	11.1837229437229446	0.932129134872535015
2eb5aced-9a91-4efa-bd17-e4ef80356ef9	0	0
ec115816-2076-4663-8e74-b0f0d91aa7c6	0	0
708e3c39-ba43-4409-94b4-927e094979f8	17.1436818181818182	1.42887349607323233
d60d0566-e428-4f51-8b1b-153935b8569b	0	0
b375c8b1-dc8e-432a-aa69-e534e3dbad41	16	1.33355111111111113
6a467b98-ce00-40ae-a095-cf3e4f0694c8	0	0
848c7700-a882-42cf-a93f-e719b6c461de	0	0
7bdbdb73-f69c-4c04-a079-d33226a8bd71	0	0
d796a6d8-2bad-4dd8-85c1-2a5ca7a40614	0	0
67535f20-67b4-4420-a34c-185aaef6d440	0	0
6c9a6c81-604e-4e2f-a778-399ee0b0f1da	0	0
42a51572-9338-4695-b730-0b767906e608	0	0
160a6629-b59e-4d47-a226-803a9d54fdea	0	0
0bd380c4-e7c9-47a4-af76-0eedd1313e87	0	0
8e6282a7-30e2-46c7-9a23-dfd822b1f0ba	0	0
5cd6c1c1-4f0a-45fc-928e-e06730273254	0	0
16c4362b-6c33-4b3c-9a9f-8c0b02df47f2	70	5.83428611111111106
7ce36497-8619-44e0-875f-6e40ac24bab4	0.594125249072381956	0.0495142332229009038
95c54d32-b1d7-4a03-a570-5c5501693fcb	0	0
0f236a4a-69b9-40e4-9b80-839425179c68	0	0
9f668b14-0620-4a9e-9f98-05b48443a9ab	11.1837229437229446	0.932048363540163516
2cbe3934-22ac-4fcb-8eba-746a50537265	0	0
302c8174-15d0-4857-abc5-c508f9e6c18b	0	0
75f5919b-7837-4211-80d9-b56c3617d21d	17.1436818181818182	1.42874968059343432
d5de1bde-d339-4575-9137-21c06a2409ee	0	0
82313596-39eb-4a66-95b3-546ba1fade82	16	1.33343555555555549
8aad0e7b-72fb-4bd5-9757-c8341d4c3135	0	0
98c700ff-b0ce-41de-ac28-14c35a04e02e	0	0
16fe2e72-56d3-4405-8d73-042e79e747de	0	0
e0f325a9-3209-4e29-b2dd-b34f84a2df1d	0	0
4aa85015-a587-42cf-ba59-f958cccefca1	0	0
38d4deb7-6e9f-46b0-baa9-32643524afdb	0	0
52466adf-7320-45c9-947c-944e9e07980d	0	0
fa17eb88-a5c8-4c6e-ac9a-ed82fb29baf6	0	0
95eebbba-69e3-4510-a76f-a4547146dc86	0	0
14778afe-fee4-4bd6-a8ae-3745d6c22f19	0	0
f968ba84-5b09-481c-b5ec-2d7ee5f037a1	0	0
c9b1fb0f-20a1-4454-9da1-54ea6bc8666d	70	5.8337805555555553
733c659d-1a8e-4438-b7a7-353f31028079	0.594125249072381956	0.049516543709980626
367d4814-330f-427c-8bf3-3d1d6b5099ad	0	0
25640288-f330-4286-80ab-e580337d9ea4	0	0
b6b07ce2-994a-42c9-831a-8630349f9b22	11.1837229437229446	0.932091855796055802
62d2a314-8777-456c-9748-20c2d9bf3ac6	0	0
efcaf876-7dc7-4018-a48b-071e31c82e19	0	0
0f4a1b3b-94bd-4f0b-aa3c-21fd48f6ca5b	17.1436818181818182	1.42881635046717159
50c20c02-6c34-4148-b17f-6161af564815	0	0
6c71cd64-ba7d-4e36-a0b3-9cbfdf6feb44	16	1.33349777777777767
2998c189-ebda-49c7-9cc7-13d753ffef38	0	0
d76ed311-479a-4ab2-8b80-cd4a6a98a215	0	0
5e2941a6-4e25-4b9d-9022-9cf3751fde43	0	0
061a2966-6113-449e-86e9-6366da68fb17	0	0
106a1b5f-fdc9-41ca-89fc-4da178da2785	0	0
bcac7593-1422-437b-9d1a-db16e3100995	0	0
1df7c912-510c-448b-bd82-9c780b396563	0	0
4df34860-f721-4e17-a7d4-6c83cb2e480d	0	0
d8418344-04cc-4b0f-afbe-5462f280aa06	0	0
9df54b54-f365-465b-8c87-8aeb3664e419	0	0
e53ba783-b204-4fc0-9702-00b517d03216	0	0
9bef8bdf-0766-4a72-a287-f2ba7d3ac165	70	5.83405277777777709
7fb9d85b-e5f0-4b74-8845-df66fbc3670d	0.594125249072381956	0.0495101073531156802
81842681-0d3b-4469-bcca-66dd2e896f0c	0	0
4cbd341d-9620-43f2-9c74-1a9c4526bcf5	0	0
ecd8a29e-b9af-4c0d-b7f5-6e4a745497e2	11.1837229437229446	0.931970698797498942
997dac6f-c98c-4300-a03c-f76158be65ef	0	0
eb6fac67-dc5b-4d94-9858-4d7df5b3f8bf	0	0
81f0055d-da3c-4afe-90c6-ae456902f780	17.1436818181818182	1.42863062724747492
19123bfd-2e87-49a8-aa08-2c0001182b1b	0	0
5a6dcd6a-77f3-4aed-9053-0623cea3df99	16	1.33332444444444453
70c8eabd-af2b-4339-8f8b-835a5e861450	0	0
83defbb7-bdfe-4aff-8e66-7fac8f283ccd	0	0
1ea65fe7-608c-4f47-bd88-0c92871aea73	0	0
767ff978-7e97-4f78-992a-c47686aed823	0	0
e4c59136-45be-4615-86c3-a2189504249b	0	0
ea21d1bf-d7f1-4dba-90ab-45a3504a83e4	0	0
d0fb5320-7545-4d99-aad2-355315743c68	0	0
b6087d57-f0e4-4add-ad2d-5b0c3c9921dd	0	0
725fdd47-ac20-4606-b8c8-73b754a48cc6	0	0
18473b7a-716b-49b2-bd48-3411c6f0c144	0	0
8f5af432-5e94-41bc-a1ce-f44acd0540f5	0	0
14ba5f13-732f-403d-9919-987f1eeec78b	70	5.83329444444444523
f74d8e75-8c5f-4a97-a688-fed0c2116b19	0.594125249072381956	0.0495143982576923131
fbcf7b36-9a3b-4c8c-a623-421a5be78fac	0	0
80d03374-c809-49ec-a242-4d2e17ea4579	0	0
9dc95414-36f9-44c6-b9ee-7590b921274f	11.1837229437229446	0.932051470129870219
6c3d05d3-f099-471e-991d-192dbe27554f	0	0
adc4358d-3633-4ccc-beba-a37596ef87a5	0	0
f236f8dc-ae43-4e40-876e-f78b6b8593a2	17.1436818181818182	1.4287544427272727
810240ee-0d27-4b8c-bb36-6430c6c28699	0	0
b39e3c57-972e-41df-a906-176ee05559d2	16	1.33343999999999996
2074d61b-83d3-4510-8d38-ec96ac504042	0	0
6dbd5b4f-86a2-470d-9d3a-341bb705d247	0	0
425490e5-7256-40cc-961a-ab4c1cc9da93	0	0
bc66f950-54e4-4c49-8a70-6e7a12a159f9	0	0
0e6fe862-b1c7-4b97-ae49-0e3514f69eee	0	0
0dcf8025-f282-4713-a095-28d22716d1a2	0	0
3abaad66-ec51-436f-9d7d-89914795d6cf	0	0
ff475e96-5fd4-4446-b81b-c811c8a8ed0a	0	0
bc609106-0349-475f-868b-abeccdfd2813	0	0
f90ba7ac-c2a7-43ef-ad18-aef92d4146ab	0	0
9f303f19-3c5e-4ed4-b68a-cded23bfea18	0	0
c7f669db-cee7-4a64-9b09-35b66760b6d2	70	5.8338000000000001
d374c423-a2bc-40d7-8b3f-aa2024a0e08d	0.594125249072381956	0.0495134080489438577
0d5cc1ea-edd0-42f4-a839-3a6c0cfa9e14	0	0
fd9eb9a1-5640-4e2c-a5f1-2dd73d8ccfd8	0	0
98b3626a-e77e-4301-8943-f24e965e563f	11.1837229437229446	0.932032830591630668
78a6e0a2-0692-4943-abec-d7329e5b0071	0	0
67f913c7-9995-47f6-a238-3c1fae00a95c	0	0
226c965d-0479-4a68-bcfd-743710e49ddd	17.1436818181818182	1.42872586992424244
378824c5-37f2-44c8-a8d3-d365f5adef0d	0	0
39dd679a-a09d-49e4-a4f0-943a95c528ae	16	1.33341333333333334
7025ec9a-9172-4751-9ec8-cd4ef3ea5bdb	0	0
e410e6c1-3a81-450d-9ba6-2194209374ac	0	0
9cda87b2-e04c-4d40-81b1-d013feb1991d	0	0
22426b78-9b35-474c-8b62-4373e3d1eafa	0	0
8749d6b6-c0dd-4b60-abba-3f01dfab28ee	0	0
031d1ea2-999d-400a-b1ec-1266dc0ad7e1	0	0
a292da0f-70d6-4e2b-8ed5-cc2dd7b2ec1a	0	0
966ddb25-0530-4e19-95a6-95e7c2355f07	0	0
708db03c-8c9d-4313-8506-af4c35e18cce	0	0
0344fe23-0116-4a5a-a5ce-a8c1a2608179	0	0
26df1843-d90a-4167-8779-548b4c52f736	0	0
53f4f8f5-1461-43b3-aba1-be72cf3f7e40	70	5.83368333333333311
437d9dba-7495-44ec-9d8e-b20be609ef50	0.594125249072381956	0.0495155535012321707
4dab568a-eb6f-4a08-b3e7-9f3fd98ad8ac	0	0
c92e0088-da7f-4bd3-9a14-820377501163	0	0
175eefbc-9a2e-48fb-996d-686b1e3bb671	11.1837229437229446	0.932073216257816251
502edb3c-bbe6-425e-96df-e0287a7a073f	0	0
a049656f-bd2e-4b33-8fe3-f8ef3e0cd129	0	0
34de85e9-5972-4969-b16a-8b229b17dbf6	17.1436818181818182	1.42878777766414133
6872929c-2f69-4332-8fbc-ad7ed0357943	0	0
0f59ebfb-f857-426b-96ac-4bbbf2a96414	16	1.33347111111111105
9e07aa48-291a-49d8-b2d3-07eb092bd784	0	0
197a8d9d-7311-4b6f-b082-986b8016a2e9	0	0
9c20dd63-1204-4ca5-815d-d1bc4e2e860f	0	0
3b264091-1358-4b7d-9502-35da17a52cda	0	0
4f4a3a71-eba5-4b22-bac5-66aec4d28853	0	0
f91880a3-2841-4f29-bed7-0052c17a24f9	0	0
833f81e9-60ca-4509-be4a-7c9cf0281e9a	0	0
d1f5678a-48a9-4e53-8373-540ee934669d	0	0
293ef590-4e75-4578-b1d0-3baaf5d132f1	0	0
a0f50fa1-c810-451f-a2c6-f4799839ee62	0	0
cc3cd18f-6040-479d-a6e6-7f7b5c67a185	0	0
68fdd4ce-515b-4842-b1a2-9d3a36d0ac81	70	5.83393611111111099
a9c6c66c-f1f0-493b-92e2-99766bae27bc	0.594125249072381956	0.0495110975618641355
fe0a5b16-b900-4629-9fc1-d9fe8738db4c	0	0
cc00028a-a6e3-40a3-bd1c-94c2a8add077	0	0
b7025511-03db-4814-8b23-04ae2d9fb163	11.1837229437229446	0.931989338335738493
d9214436-1706-46d2-b6d9-71678cde4752	0	0
918f1cd5-7a84-4470-a957-0011f5fd0be0	0	0
28511222-ff4c-42e2-9b9a-39fd44c81b1e	17.1436818181818182	1.42865920005050517
f3e0b801-b257-49f6-bd14-447485833200	0	0
2f4549d9-eda5-4181-b92e-11fb85700e75	16	1.33335111111111115
5db2f971-12fd-43fb-bc8a-66263e193d9f	0	0
80100aec-788e-40b4-b7c1-abc1e0b625dc	0	0
e66cad89-2ffa-4758-ab79-4c7cb10e003b	0	0
5751f596-95b4-46e2-a0c3-bb2f260ebd71	0	0
39183397-c891-4d5e-afa1-3ff1ac58ae0c	0	0
74b34865-992c-489e-93ed-32b3ae221302	0	0
6e7707a9-9fce-4891-9b9d-cad6314311e1	0	0
efcca1ed-8007-475c-acc9-1544a23c7275	0	0
15f5072d-90f1-4849-a8ad-be070a7a0685	0	0
336991e8-2cd7-4791-a909-65ce1293bfe2	0	0
11d7bdde-7122-47c1-94bb-1234a22f7430	0	0
b584124a-db9e-4f43-b357-23288bc69f34	70	5.83341111111111132
bba4f7d4-93b0-4ae4-99b9-a90534cda782	0.594125249072381956	0.0495158835708149961
6a0cc8b3-784e-425e-b98a-067c934aab3e	0	0
8da83166-8cd2-4e69-95bd-2c947c914dcf	0	0
4468a9fd-ce23-4f13-9a24-d8eea0773bf9	11.1837229437229446	0.932079429437229545
62bc6382-7fe0-4f9a-a04d-701be456b54c	0	0
2dab17b3-01bb-47f4-96ce-29c4d961428f	0	0
6b4b1542-bcea-462c-ab26-338f8c3ae64e	17.1436818181818182	1.42879730193181809
0f2bd21f-b5e4-4465-a97a-408c79c78e62	0	0
b876f9cf-d2c4-4f32-a651-48d4a1bb0d28	16	1.33348
67e4dbc4-1344-4b0b-bcaf-dd995d29a1f8	0	0
48d7f537-d116-4367-abc9-b0604cfaf874	0	0
26863781-70d5-472e-90f3-298c66edc12a	0	0
afdafa11-4f10-4154-bd33-060c3fa54487	0	0
1e01ffaa-b913-45ee-9d71-b686883a8665	0	0
6e6f8549-91b3-461c-a0e5-402b25b3f90a	0	0
c299b160-ff36-4880-abb4-cc0624dd00c9	0	0
aabbc613-de5c-4ad5-9a45-3dcbe17ed556	0	0
fc975f11-2471-43a2-b67e-3b3e7b682ddc	0	0
effcf364-38e4-445a-ba91-29dce54c0441	0	0
58bcf526-6acb-488d-bf32-47359dc3ca7e	0	0
40260243-8ded-430a-bea8-a32db659c358	70	5.83397499999999969
33b410b9-840a-4f8e-9a45-e4c0d2927886	0.594125249072381956	0.0495130779793610393
b42906ff-e54d-4075-a2a2-17892c0b42d8	0	0
3854ee46-438d-491b-90ba-a28960c11f57	0	0
02bf207e-9baa-40a7-987a-0e3c3ef9c300	11.1837229437229446	0.932026617412217484
5d61a6da-32d3-4101-8987-9f94b1e251d0	0	0
159d530d-ab45-40f5-829d-6f87eeb0747c	0	0
b00c0c81-9992-45cc-b0e7-a856ff47f9d3	17.1436818181818182	1.42871634565656569
c279bbc5-976b-40a7-88a9-862e531b1ea6	0	0
761cf21c-54a3-4402-a9f1-a3809c16c173	16	1.33340444444444439
3cb734fd-9a08-49ac-9b56-bc1d2bc390df	0	0
b85a6f3f-e39b-453c-8eda-e424a6a209e0	0	0
3af77613-e4b2-41ec-a486-41d74b2a16a8	0	0
430c2ada-aacc-48d6-9105-25717bcfae3d	0	0
02d920b8-7901-4645-8653-7217245b6dab	0	0
d6324769-0e88-4a69-a60a-b0a37831d97d	0	0
279a118f-4ee2-493b-90c5-316c7d03545e	0	0
c2757882-14b0-4b64-af4b-fe3cd6d160fa	0	0
6706794d-7bbb-42e4-9ce8-bc202b7c33e4	0	0
8ad324fe-29e8-4d91-baac-9ca1b9e7ff1b	0	0
c14246b9-353b-4692-bdb5-b7c46849af4f	0	0
8975b698-cd5c-4b18-a2a7-b013724d0be9	70	5.83364444444444441
4ba52f1e-3b1e-490b-80b1-9f6ba2537c77	0.594125249072381956	0.0495145632924837223
a9965dca-45a8-47a2-b78a-55070e74c0d2	0	0
d07abc0c-aa79-474d-8fae-a89f36560474	0	0
c882c001-7723-438d-bdb0-4aca9032f529	11.1837229437229446	0.932054576719576811
f3e757e2-f799-473d-839e-a342f020a626	0	0
95bef0d3-f676-4f99-90a2-a8fb402b117a	0	0
689e0dfc-5b09-4e0e-a0e6-12b2cb5e5554	17.1436818181818182	1.42875920486111108
e1e3c5ff-b219-4e33-88c0-9e112af36123	0	0
c4fd3980-7c51-434a-9fb9-90de3646c09c	16	1.33344444444444443
282f139e-7bcd-4256-bbed-0aa97b5f352e	0	0
e91deb20-2297-4a37-98be-8145ffa943aa	0	0
a1bd534e-eb59-42e6-97e1-46cab2f97bf7	0	0
2068d04b-89d0-45b4-a605-3aa087b771bf	0	0
d3b40020-987d-47cf-8f72-0f4a3fb0e740	0	0
1ea0523e-f550-4478-b249-1a7a071385af	0	0
fa977aed-1d4f-4a98-8a25-173dd17c745b	0	0
5ac6beb3-0bd2-4c40-b44b-34ffdfb4b84d	0	0
02f712f0-5b50-4ce7-b8ea-9db681318c09	0	0
906436ca-ed71-45c8-ab90-99653452f24f	0	0
e9944311-18a4-497c-bb06-30ce055f7cf3	0	0
590842be-5fc2-4f50-b297-660353600186	70	5.833819444444444
20f771a4-8e3a-4c0f-b4df-9862ebb15e4a	0.594125249072381956	0.04951291294456963
9470b8e8-fc1e-4446-9a34-21242b34eb1e	0	0
359b9067-d50f-48d3-8f2d-ef606d064d81	0	0
f3d2f491-0faf-4169-810b-1b7a0352613e	11.1837229437229446	0.932023510822510892
781b9c53-c1e9-459a-8f4a-bc8723da5dd5	0	0
c7c89b9e-b7e0-4085-b7ff-c92ac3cbdbfd	0	0
2b3f2646-63db-4f2d-bd43-19c8842ea21c	17.1436818181818182	1.42871158352272709
cfe1f97d-a1c6-43e2-bca0-75e0c0d67de8	0	0
2d7afbfe-af51-4ecc-b393-bf92f2e55373	16	1.33339999999999992
4344f34d-4bcf-42a0-a3c3-abbb77bcf7ed	0	0
f7cb24f6-76a9-42b8-975e-9fcaa163d2f4	0	0
245dc0c0-fee8-4b61-9aa2-8de5c6847de2	0	0
3c8689f8-20df-4385-812a-36c5472f67df	0	0
caca80cc-dfbb-4ba3-adc1-3ba99e55431e	0	0
d508760e-15a0-4d08-8a21-647deede253b	0	0
6c1dbdfb-50d8-4e86-a4c4-c961eb4cffe8	0	0
cf7ca69d-deb8-49eb-9ea8-4ee518938625	0	0
d3e17b22-7e8b-4a2b-8c85-eed260ddbe8f	0	0
587d0814-e537-42f8-8d1a-01131f24b6df	0	0
3dfbf5e3-ebee-4ac2-b3eb-5e8a041ff37a	0	0
f9266f13-891d-4482-9152-25d738a1dde9	70	5.83362499999999962
961c1a75-9f4d-4e3b-9c05-7d982b303ac7	0.594125249072381956	0.0495142332229009038
021b37cc-66e9-4c8c-8255-fd607ea07c60	0	0
e83e2ef2-7ee5-493a-8fb1-fa74cf3b331f	0	0
7aa2afb2-f1c0-423a-b45a-ca7d1f9231ef	11.1837229437229446	0.932048363540163516
9c3b2581-4522-41fe-9677-83a4a40e9d01	0	0
ec9ae982-5d0e-4510-9ae6-14335c46cbe7	0	0
927997e8-27c0-4b49-89f0-1aa9a8091056	17.1436818181818182	1.42874968059343432
bb554648-df29-4606-aa6c-d68c5084e23b	0	0
20a53883-9935-4dff-acb1-30f8e2dcb286	16	1.33343555555555549
ebf931f3-87da-4f75-9fde-426897a66a7d	0	0
18f81f3c-17d3-4d7e-9c2d-7cbe3c59861e	0	0
00982354-e878-4ec4-a059-c81cef953e04	0	0
b9f89cb9-07bc-4535-b458-70fb34dce053	0	0
7f9e6cdf-aaef-4460-8bf4-7b10c6c91c8e	0	0
61c327ab-46fb-4f70-8626-924118ade1fb	0	0
5cdd0f9e-684e-4a47-a633-91a89b949c6a	0	0
910d2072-1288-4cc9-b8fa-1118f4b4afe4	0	0
1d6a341e-1040-426b-9e62-2ad5d52d43aa	0	0
62dde3e3-7286-410d-bd28-25c33b664f23	0	0
1debbaf3-71c4-4102-a2d6-5ab8fe80b6e9	0	0
e67bad53-406a-4229-9116-f206f808e84d	70	5.8337805555555553
1e10cbf3-752d-4b55-8ee8-280f15716267	0.594125249072381956	0.0495089521095758225
5404b016-1a19-4726-a43e-c720bc88b834	0	0
f7b8bb98-9b7e-4e0f-b6cf-e8b0045fce91	0	0
16ba7560-bb66-4c5b-bddf-83ca80177dc0	11.1837229437229446	0.931948952669552799
113ede83-fd16-483e-9cc0-13e411b4f683	0	0
ec66211c-c210-4057-be0c-ad331d35b8f0	0	0
0efd0326-0c38-4e03-9184-e8c7bb6b8cba	17.1436818181818182	1.42859729231060628
0ea5fa6f-4288-4b42-b073-9f2a5acd6863	0	0
4b6ebf8f-f427-4bc9-982c-afbb4226b3f0	16	1.33329333333333344
79a4b36f-96e1-4ad6-aa86-5992b0d6f7ca	0	0
574241e7-f414-4eb3-b441-ba6f3c9a276b	0	0
c69f6133-87c9-4b28-9dca-b0f9a439fe03	0	0
19aac37a-0cbf-4524-a6c6-9daa24586373	0	0
6e2b6ec4-2f5d-4168-92a5-cfcdc4f908f5	0	0
75ab849b-0c3d-4fe2-b51e-0baa04c6c851	0	0
1dabbd1a-56b2-4106-a631-90241a9a7d48	0	0
868968c6-853a-4253-8967-e7010f960d8a	0	0
9c79aff8-49d3-48db-b89c-64c26d288633	0	0
6d005d3e-89f8-4a58-a8a9-cd00b2fcfafb	0	0
12bcdba5-30f0-428a-8f0d-414b1e530d35	0	0
5860ae11-f518-4f7f-8c1a-bd97e0c24ecd	70	5.83315833333333345
f893b55a-7f6a-405b-be67-7aa8869c5b1c	0.594125249072381956	0.0495130779793610393
5299a36a-e5aa-47b4-8f08-ef3e960bdcb1	0	0
b21e2226-b471-4110-9e14-e4e8449f6b77	0	0
91d7df80-cdef-4ab5-b79f-14c298d74204	11.1837229437229446	0.932026617412217484
721652df-bfae-4f91-b088-65ae3d1a7295	0	0
7a1b18b3-7ee4-47ca-9058-60f2072facd3	0	0
03afa708-87a8-4759-8b17-58430a6ec306	17.1436818181818182	1.42871634565656569
6a7be2c0-d269-4d2d-9e9a-feee80bd9996	0	0
7b7b3517-9e6f-4eaf-92db-eaf6860ddda8	16	1.33340444444444439
a2ccc2fa-0e2a-489c-b2f4-c973530ca4a1	0	0
ae83c04b-dab8-4eca-9ef0-a4ecc7a57b35	0	0
d7829192-e24d-492e-bee2-d4d7145069f9	0	0
46a69915-7aad-48a7-82df-4dda1b2d939c	0	0
5a66177d-be10-4434-9452-bc6967c6dc6d	0	0
84853d97-e4aa-4797-a9a5-01d31ee6ab19	0	0
6f417596-4db2-46b4-8c31-31839b191c32	0	0
ec136b0f-6a49-4a11-90d8-ec77f3cb2559	0	0
d61b568b-069d-428a-a9a8-b0ae52597ffd	0	0
cc3fbe5d-f38f-466d-943c-892e44381e48	0	0
76cd688f-297f-497c-9fc1-0141b1ae69be	0	0
155a4760-ffdc-4a3d-b033-9ee62f81ad81	70	5.83364444444444441
82ccdbfe-5281-4733-aa68-c84f9951dd0e	0.594125249072381956	0.0495140681881094877
15c92ff9-31d4-42d7-aa08-48e2e22f20af	0	0
69d9bbb1-f1bd-4683-89a9-e9700726b79d	0	0
8c07df0b-f995-415e-b401-5d4c7799aad4	11.1837229437229446	0.932045256950456924
cf1a7950-2ec7-49cc-be70-d1ba69f350a0	0	0
a4d31b72-a0b2-4c7f-aff2-034cf957219a	0	0
302e6b92-6489-46b3-8505-3185e6042b04	17.1436818181818182	1.42874491845959595
1496e4f0-e698-42b3-8edd-bf602b096bbd	0	0
7b8c55c3-5988-47e4-9cd6-e03cd58bc5a4	16	1.33343111111111101
99529746-3a96-4615-b2bc-d69f8a585f01	0	0
7ffdb4da-da56-41d0-83a8-ca2a502f4d77	0	0
82d8df1b-bbd2-4672-9ec6-a54a3c3b3f01	0	0
77be13bd-3000-4b7e-99f1-2c3f2ed42f39	0	0
18395465-6a8c-491b-9b46-3c33ce3a645f	0	0
c681faa5-a910-489c-9010-542c31ea284d	0	0
271668e8-7b19-4e8d-996b-265d86a27e19	0	0
1bf79ae6-f2fa-4d7a-ac64-d27bb34bc2f3	0	0
b0e6d097-719c-4d13-9117-7d4a28103895	0	0
fc406457-b5f4-4c37-a9cf-36c21e31d746	0	0
6a4fa380-ef4e-4ff1-8287-026364bba7fa	0	0
f2a65df6-5a43-490a-bb5b-e2076e89356a	70	5.83376111111111051
b3433f3f-2aca-4c81-9a9b-23a71ddf252f	0.594125249072381956	0.0495181940578947183
92a08214-d298-4e98-bbdc-2b21eb856ba3	0	0
3c59c3d4-bf7e-4e15-bd72-3ea9ef2829dd	0	0
0c062659-8be6-4cc0-9743-084fdd9dcbf6	11.1837229437229446	0.93212292169312172
1e8d10aa-3f09-44de-8764-8ac2c55afb0d	0	0
b2c147f2-ad8d-4f5f-a9f1-8b46cad5f0f2	0	0
4be16fad-2ce2-4efe-bfda-be57287d9c7e	17.1436818181818182	1.42886397180555558
1439c2c4-fadd-4ff3-aea1-b9982eefa1d6	0	0
f727ad65-16f0-4972-b197-8499ab450a6c	16	1.33354222222222218
3404e6bb-8382-403c-a3d3-79a0d478e535	0	0
41a11b27-3224-467c-b492-61ac2bb0d831	0	0
fa189cd0-fed8-42f0-8f1e-7096d67255e9	0	0
857276aa-c56c-4966-bfde-faca3c100a53	0	0
c08fb776-9d15-4cf8-8a4c-c9134055a005	0	0
8f149cda-d164-426a-aaca-d7009405f18b	0	0
1b5ebba2-1f72-41cc-92dc-0ebe2538ce3e	0	0
930e8577-67fd-4149-a686-115f3ba6aae9	0	0
6d5a6e4b-527c-47f6-b9a9-6cc99fab7880	0	0
fd182ce4-6eec-4090-862a-3c1cde8163f9	0	0
b49f78ad-1a98-4ba8-adf4-dee4758cbbc9	0	0
90163992-2488-4960-8831-56543787104d	70	5.83424722222222236
d8554570-1b3e-4f37-884b-1bf4725c915d	0.594125249072381956	0.0495153884664407615
b9b1ec7a-aa66-4264-a3c4-9960e49297d2	0	0
804921a8-3da6-4719-b183-7604c32cca42	0	0
0158ee24-12dc-443e-8dea-6d9833d9c9fa	11.1837229437229446	0.932070109668109659
501bb572-5037-494d-bf78-9a8b8d0e1ac3	0	0
42d3e07b-7ff9-4522-893c-ac017ccb377b	0	0
a31acbc9-2c9c-4b8f-ba6b-5ff712eee434	17.1436818181818182	1.42878301553030296
76757220-e475-40ab-83b2-860924778624	0	0
acfbd665-7652-4351-afb4-0a9133e3804e	16	1.33346666666666658
1ad5170c-5547-434c-ab9b-e2ee87c1a2bc	0	0
de077546-78ce-4bca-a302-d19bc8d6f5ea	0	0
aaca0a59-31db-4613-81a8-1f668b58d600	0	0
98bb3536-38fc-4b2d-8d6e-d64b22a20932	0	0
fa45a88d-67ee-4d92-8425-3d0d49981a34	0	0
2c96ff5e-cc28-4872-b36b-dbbbf9444964	0	0
c6ea1a59-6feb-4a77-af73-4d69bd16dd1e	0	0
4efc1535-49c5-42e3-b103-ce0d38545ca8	0	0
5a5acba6-5b5a-4a17-af5d-81596c332437	0	0
dbe8491a-7d3f-41f5-95a6-3ef6e5ea7f4a	0	0
13b6bdf8-4ffd-4510-8a16-8f82fcc98036	0	0
35f4c630-365f-41ea-b306-e3f124c51243	70	5.8339166666666662
f84fca15-456b-4434-946c-fb46772b988a	0.594125249072381956	0.0495139031533180854
cf3d8e54-1ec9-4404-9d1b-11204ec195d6	0	0
752661a4-c7dc-4f4a-9668-5bf41167523c	0	0
9815e855-1d48-403b-b6a4-cd9c69ce30a6	11.1837229437229446	0.932042150360750554
d599cb21-8783-470c-90dd-0e57a64dba1e	0	0
73d40097-1096-4a73-afb9-9fc4bd2347cc	0	0
d3b3dbc5-1917-4a2c-99eb-2f6154b399c0	17.1436818181818182	1.42874015632575757
3014e1b7-8c2f-4cfc-b77d-18809792a08c	0	0
7910960d-a006-421c-8285-3d1e092f93b4	16	1.33342666666666676
c5d6c7ee-a1f9-4fdf-b899-67fcb60f80e4	0	0
99579d42-546e-4355-8a65-f10f4cd6af64	0	0
072e42cf-7355-44eb-9c96-1c352fb77bca	0	0
62d7d0b5-40d2-4b7b-bfff-9bed9af5eeea	0	0
842b5f14-e18d-4b28-9aa0-f03f0bc9a1bf	0	0
dab28e79-d3a5-47d3-a820-c5b070529124	0	0
721cf1d7-fb9e-4312-8a49-a47b87f7e994	0	0
856c79e2-c51c-4bad-8afd-18629d6fd630	0	0
38238bca-d9d1-4fca-b418-3a67631eba2e	0	0
8e83d445-1a79-426f-b545-7b6246194650	0	0
eea8f436-7eb8-4ae1-9c34-1ec02562af30	0	0
0c2c0c90-b5a3-4608-a1b9-0f3c636f32f1	70	5.83374166666666749
8daa3d38-4c91-4871-b873-581dd1723497	0.594125249072381956	0.0495139031533180854
fbc1870b-86f9-42a8-9433-a1478764fc39	0	0
1d2af724-b3d4-45e7-aafd-f7bb4177920b	0	0
00078907-ee62-4e85-ac03-ab1293056f83	11.1837229437229446	0.932042150360750554
703dc1c2-afd2-4cba-9b83-6ae7ffedcc54	0	0
6b2867a8-4243-486f-91c9-b02be2241be2	0	0
049c4f33-200e-4725-905b-d5f4ec72d48d	17.1436818181818182	1.42874015632575757
c2c653b2-0a71-4eb9-80e9-f383845c2e4b	0	0
6346cb97-bc74-4018-885c-3b52575b4bfd	16	1.33342666666666676
50ea389d-74db-42b8-90bc-cfb0aafb75ef	0	0
30d25d31-738f-497e-996b-d89da6024021	0	0
898a7116-24a4-4c1a-b373-ccefded298de	0	0
f38f2aa3-41e6-4492-bf06-349de8edeead	0	0
8829eb3a-682c-4118-8e53-c24f061e3ffb	0	0
d5b54c13-cc33-4844-ae57-8a8e40889976	0	0
faabfcbd-ba11-45ca-829d-1020466a348c	0	0
44447f34-554a-47dc-8fa4-46b92fca4fd1	0	0
a9fbd425-e736-4312-97d0-c406502499b1	0	0
7506bf2d-11f0-422e-b279-18c6b6dda1a6	0	0
3a4d8ff9-c7aa-44f6-a21f-73d557829cf4	0	0
04770a32-6782-46cd-841e-ef8d5efd0f42	70	5.83374166666666749
14269c2f-c7bb-4f1d-bba6-a5a6acffb946	0.594125249072381956	0.0495125828749868185
c5854bdc-a972-4378-899a-34367bee7a9a	0	0
536f19ae-c6b9-4426-8417-271d81361b1d	0	0
590ed481-39d1-43f6-9822-a972832ac7b5	11.1837229437229446	0.93201729764309782
d39ff681-3276-4030-923f-add4f9643c39	0	0
accc9ec3-5393-4939-864a-51ef71a8cc24	0	0
616f1df0-3a26-4d53-ad3d-b4c9c53da2e0	17.1436818181818182	1.42870205925505056
8d357817-a711-4e84-877b-c67369baf3c1	0	0
10493964-a19d-4711-95e2-cc9eac3e3bd2	16	1.33339111111111119
384bf2b8-fd08-45d1-bce3-6bf3fcdff1d2	0	0
7b43af42-0a18-47ea-a77c-99e32d935e90	0	0
5928ebca-076b-41b5-a32d-a22cd6c58ef5	0	0
6fa42c8a-8cd7-4814-8a30-962ebf1e2b6c	0	0
538ed4d0-79a4-4df7-b1a0-96e454b619b6	0	0
02748671-2b41-481c-a733-d6a255bb5dcf	0	0
1602d130-6302-4e74-928b-2c06646e938b	0	0
c4409d2e-8495-478a-8aa8-a350947faa60	0	0
1b66e8fe-08a1-45e4-a0c0-4a8ae1c09ccc	0	0
9a6b7ee9-98a0-47fa-85e9-fe7ef04f117d	0	0
6561be69-835c-4270-ae24-26e8c2070000	0	0
340c238d-3fd7-47be-aac5-e7560bdd8a29	70	5.8335861111111118
13a95e34-97e6-4456-86d1-fc9c404f70ca	0.594125249072381956	0.0495148933620665407
ca4dcb24-122a-4106-ac33-f77e92a6a67b	0	0
2a4f9c92-836e-4aec-86fc-93639c9c4c58	0	0
a26ce006-5499-46c0-9ef0-d33781012ac9	11.1837229437229446	0.932060789898989994
c0229b8b-76be-4068-833d-bace2aa495ad	0	0
e12226ea-5bef-4161-b98e-3169a0f717d0	0	0
a445a3fb-e03f-42dd-a35e-7a568ec6d580	17.1436818181818182	1.42876872912878783
8b7cb091-e024-422f-8fb6-2dbb7dec07b6	0	0
48ba6f51-9d4d-47a6-8726-b96bd48d481c	16	1.33345333333333338
34b11d6a-b80b-48a9-bd86-6132ed6b2b98	0	0
12363058-2bcb-490e-bcf9-2304b6744df8	0	0
3ddf3f5a-d57f-4850-939b-97d7aa7f997d	0	0
cf748157-ec16-4332-915f-8c16765217e8	0	0
435952bc-8b38-4dfd-8b61-1238ba2c1faa	0	0
39d522e9-3e13-4874-98dc-e8a4241295ce	0	0
1e574b2b-40fb-4e7c-8014-341717512f45	0	0
a7ab9f23-1685-426f-83c7-0c51d1d7b774	0	0
d029ec3d-cc11-4b4c-af31-b2934e7d4772	0	0
71b230de-735b-4a86-bfdd-24caa37d7d35	0	0
04d7c9d5-0307-4cc7-890c-66ba60eb318f	0	0
2214e329-6445-45a5-9068-c493f17bdbce	70	5.83385833333333359
c8086df2-f44b-4e87-878d-db2ebba2c0cf	0.594125249072381956	0.0495132430141524485
2938dfd1-cf7e-4f0b-914b-ce54b46f2b59	0	0
1103e07f-6370-4a77-9695-11ff6bd074eb	0	0
55673016-c7f0-4351-9fb2-c5f02fe9a5f8	11.1837229437229446	0.932029724001924076
b0d739e2-1b92-403d-8452-726017e4b7b2	0	0
bdd0cdbb-80dd-4808-b274-c64a97887810	0	0
43481c86-f618-4420-9510-e956426e8588	17.1436818181818182	1.42872110779040407
907e6e7e-d5c5-4459-97c6-6c10dc5e3906	0	0
ed9edf69-27dc-4391-9dce-e622690fe2ff	16	1.33340888888888887
b05ce79e-3638-4a0f-8b2f-836394831e87	0	0
2f816d26-f388-4de5-8550-88069c53b946	0	0
4894bcd5-7767-43d2-89bf-b52a1fa7e9ae	0	0
fbb9afc8-1a28-4d86-bf64-d7a128bee7d3	0	0
494d426f-e5dc-4c35-bba8-2a9b9af949e6	0	0
de75d84d-72ff-4573-b7c3-870b79251788	0	0
1f5d9bf5-2de3-41ce-813d-91fc6a8fcf5f	0	0
62066388-6e88-4527-812d-9317cbe597b1	0	0
dbb0a88e-4825-4555-af5e-4508ff06a7c9	0	0
d550dc6e-102d-49e9-b2d7-a7b56b77fbd3	0	0
222f1b6f-aa39-4dd2-bb4c-ac97c078a5ec	0	0
79d82f53-01c7-41c1-9adb-9d7072ce4d61	70	5.8336638888888892
1db9cbb3-b4ac-4fd3-b65d-92ac6b342db9	0.594125249072381956	0.0495137381185266762
7145dbad-29a2-4076-a9f5-09c4eafb1ff9	0	0
b2540386-5fb6-475a-84c3-afe7ae1e81a5	0	0
15b9cbdc-cc8d-4275-9adc-ef628f12531b	11.1837229437229446	0.932039043771043851
93075403-2e05-4020-b57d-09096c722a30	0	0
a5818969-008c-48e6-9d1f-7aae837da0d7	0	0
d8e2f242-ebb9-4559-8b5a-5a6ff6cde7c4	17.1436818181818182	1.42873539419191919
65617b06-f7b9-4b11-acec-aafa6643dd38	0	0
821751ec-e9f2-4e6d-a0a9-6c148be147ad	16	1.33342222222222229
c297fccd-7693-46de-8427-46df14a75ccc	0	0
14942480-bd53-4c2c-92e9-614f8cd3cd14	0	0
2ab62577-1990-4c20-8ef0-68cae3b8f123	0	0
82595744-7711-4094-93d3-038239d966f1	0	0
2f6e2bdc-0ac8-41f0-a06f-a90f3008dc31	0	0
1310872c-d9dc-44a2-ae0b-a468a7acf91b	0	0
8dfc222c-2b5d-42c8-b420-9da1989c0027	0	0
09c44e6c-04c1-4c72-a2d7-ee921ddf868f	0	0
ba299221-d136-46af-bb6c-05ac378c834e	0	0
77d8f602-a163-4556-89e8-8643ae7f2a63	0	0
76ef2de9-4eb2-4c73-83e6-ca975502bcba	0	0
cd0b5f4d-793b-4d99-8e3f-99aeca48ff58	70	5.8337222222222227
935f7c25-cb84-43bd-9b92-1bb8ed621ec7	0.594125249072381956	0.0495170388143548537
d6501f79-4147-4cd4-b1a2-6cddeaef60ae	0	0
81fbca11-aac4-4f8c-8547-f01fc8eb256e	0	0
910959f3-1b55-4f69-ab2a-05c671ecec5a	11.1837229437229446	0.932101175565175577
36ec6fbf-e451-448d-a2a7-d103ce319587	0	0
2360758a-5951-4f29-a078-c2d4fff68ada	0	0
510dece2-54b4-4d83-9b4f-a71e6dd8e4d2	17.1436818181818182	1.42883063686868694
999660e2-775d-4837-871a-9d44dd4e03a3	0	0
5699314c-72ed-4e8f-b58f-207eb87a0f00	16	1.33351111111111109
09846aa3-9aa7-4172-9a64-58fbc9cb1118	0	0
cca122ab-ee91-4b1b-ab27-c864dac59aff	0	0
3966198d-0352-4445-94fc-cb13984d6a79	0	0
71b4b9cf-b878-4d67-b6a6-3d08a69cdb49	0	0
069894bb-d871-4ffe-aa0d-8d16d1f49847	0	0
ac7470ff-8472-4e9f-a86e-e7f7b2c177ee	0	0
a0cf7cf7-97ec-4ba3-8608-a913983751ad	0	0
3a8c011a-0421-4c4a-8e10-7f2586898e3d	0	0
d06c7f7f-54ea-44ce-84e8-8d975a109392	0	0
d4892975-6ab2-4d1c-a5ba-66d2c77968d3	0	0
e309c195-4ae5-41d2-b109-084cf0f6e5f2	0	0
d6098884-a3f4-4c79-a6ac-2de6602f800a	70	5.83411111111111147
10e5cd91-ff20-48fe-bd55-6aba3d2fd691	0.594125249072381956	0.0495101073531156802
05b1f42f-9d58-4c74-b9b0-30dde8c0619c	0	0
8145ae0b-b584-440d-9274-7efca6d173b5	0	0
b5d6ff13-6fad-4500-b7b7-6cd9cba5da15	11.1837229437229446	0.931970698797498942
27c1c97e-d7a2-4df9-8c22-bed830b3b866	0	0
b6761bc7-ef2a-4272-8c81-d542af996694	0	0
2027a68e-47de-4752-a33c-40aaec3216a3	17.1436818181818182	1.42863062724747492
dcd9d437-b02e-4fc6-b022-bc5bfe64bd77	0	0
042a7afe-7051-4915-8d22-476e6bbd2afb	16	1.33332444444444453
331c1278-730e-4ff1-a776-967bf0a1f69e	0	0
6e900e2c-5de8-4ad8-b8a7-64022406048c	0	0
23a47a9e-447b-4eb5-b7be-9288f34759a3	0	0
e8ca23fa-38d6-4ebe-babc-6a7ba9f144db	0	0
904e96ff-ee59-4697-a21b-3349ebf71e95	0	0
b95dc58a-4e7d-4693-8ad3-95aba52948f8	0	0
c8bfd990-fffb-41bb-b1ea-71c2e7ec05e1	0	0
50a03f20-31e4-4e1f-bb5f-14ff0fb8b7e6	0	0
f2e7333c-4638-45c0-bafe-a53e7580e758	0	0
66c74016-98d2-4f4e-8ff7-14f71d0d1d2d	0	0
7c02efdc-4204-4a9f-b756-4f790b2ee6eb	0	0
3163c425-4880-40bc-8e7d-2676267ef8ca	70	5.83329444444444523
23a3c503-80ac-4d25-a1cd-664c40ded72e	0.594125249072381956	0.0495153884664407615
cfa55c17-8618-4a85-800d-f38af2b7c245	0	0
415ba2ef-7486-4f26-9633-cd60ac685e46	0	0
1a91c21e-1a4e-402f-8d3e-846514ee5b85	11.1837229437229446	0.932070109668109659
e86a7280-2bca-4178-bce3-d202025baf56	0	0
5671cf09-488f-4956-853d-98898f8d8eb2	0	0
ee79ef57-0dd6-45c3-b125-91d03957cb70	17.1436818181818182	1.42878301553030296
c85512fb-e106-41eb-b9fd-3c60c0102ebc	0	0
2c5dbdf8-1193-4042-89bb-16f6d837c620	16	1.33346666666666658
63db9c74-9b1e-4e33-a287-02b6a884d3bb	0	0
420578b1-1416-42c3-b771-d50c677de491	0	0
6496faa9-b413-45ca-a499-58038fe5691f	0	0
7b4fc3d2-f626-4005-9994-076ea4bcb064	0	0
59fc6def-9180-47f3-a93a-fc2a6e6020a2	0	0
07d750dc-cbf0-4e39-892b-b01ac531f998	0	0
366eada0-583a-408e-aecf-e142907dd93f	0	0
945a8623-3226-4b8b-8b8f-e1d9bf5311c4	0	0
57eb6d19-30fe-46fb-9156-ce67ddd85816	0	0
02be8ba3-78f8-456b-9141-43be9df370d4	0	0
13d8f65b-227a-4aa2-acc3-308df977fe19	0	0
f97dccd1-73e9-46d5-8a61-34d0d7b8bf79	70	5.8339166666666662
1f4c9b60-705f-49c7-9f1d-59af528fb72a	0.594125249072381956	0.0495137381185266762
3144639c-8cf0-499e-a542-4979afba41c2	0	0
95710043-dc55-4e3d-b912-7fd89f7df47b	0	0
1c038009-c5c1-490b-af48-8a459301c5ec	11.1837229437229446	0.932039043771043851
f9f105eb-7048-49c4-abf5-12dcfbd126c2	0	0
877c4ce3-6f41-4397-a531-20022b994592	0	0
4f42f9a3-23a9-4f46-9a87-38a85f3545b0	17.1436818181818182	1.42873539419191919
8e59e0a2-5c2e-428d-bfc9-84ff8ac8c085	0	0
dae96730-ce58-460b-9e6d-6435ea1f81b0	16	1.33342222222222229
9aa1c804-64f6-4eac-b975-baca7e578344	0	0
4b45be7d-0af5-4d52-a6aa-1cae4fceb07f	0	0
d6c271fe-0576-4d78-8a9b-857b329cea05	0	0
5177539d-c0e7-4efb-b9fe-fab809d685fd	0	0
567aaf5c-e81c-45b6-a2db-10c0d4c79858	0	0
42e01764-7974-498a-a93b-2dd1d69f79d5	0	0
76a58e65-b9cf-4840-9475-2cb156df577f	0	0
23937537-bc07-4af1-8a36-dcd54ebd9b3e	0	0
495b4ed1-5642-462f-a771-a7e1043e0593	0	0
04cbf353-e837-4f5c-b98d-982e3fbebffb	0	0
ca631264-1010-4d1d-8d12-2511876ad206	0	0
d9db770d-0b52-49a2-825d-0adca9613c42	70	5.8337222222222227
13b3015a-573d-4245-9603-16f82799eae3	0.594125249072381956	0.0495157185360235799
61714163-6d72-4812-9169-1c3dc2a932c7	0	0
5db0f2ca-40a4-4e89-9c26-3f52d374d8c8	0	0
95b78403-aa50-4507-a3e8-34af848d54b1	11.1837229437229446	0.932076322847522953
d2fab16a-3a8b-4f47-a18d-d6676fe9cc3e	0	0
4b70944c-59ee-4c7a-9dfb-f9714ee0d3be	0	0
8a74dde4-bccb-4de3-95ae-4cfd0d757ed0	17.1436818181818182	1.42879253979797971
7bf1a035-98ff-4134-8674-cd3f925181de	0	0
601b2cff-e045-40bd-9f6c-0ffda0b1fa17	16	1.33347555555555553
db62282e-7987-470b-9d5b-e21d75b93442	0	0
cac94fb1-e2c3-46aa-9786-4b70d293598a	0	0
3131bc4c-7062-4bf7-92d5-b979972e08c9	0	0
0b0624a0-7dba-4d40-b5d1-eada2a3e9470	0	0
7584708e-e962-422d-b4c8-d456a47a0b3a	0	0
816fb5db-425d-4b75-a511-13b85c2b6548	0	0
c42ea6cf-3621-4bfc-9f2b-f2e238dc7de5	0	0
f725ba5f-570f-411f-85ae-6a5b6884992f	0	0
ce1d2784-2f09-4769-8e18-ed7deb708405	0	0
eee99555-0882-4995-895e-f7a72ab2a110	0	0
2827535a-6760-4ce6-bdec-7863c2434cb3	0	0
a2417060-8537-4ce2-987c-600aeb010483	70	5.83395555555555578
22eee75b-6e57-4991-af9d-698cb79303bc	0.594125249072381956	0.0495104374226984917
46c80fb2-7ff7-4de3-ab0f-1a335b4f3aef	0	0
c0641ebc-e882-4ed0-be52-e43519825ae6	0	0
0ae6ae17-9bef-4341-afd0-01e125b350e8	11.1837229437229446	0.931976911976912015
50e4ba7c-b01a-41b9-bb85-757dea99feea	0	0
948b8d5d-6f42-4345-aa97-24acaa7a4af2	0	0
db86a14f-bdc8-4c76-992f-fcfa17a33f15	17.1436818181818182	1.42864015151515145
e1bb8ff6-4f0f-44aa-b3c3-6475af65e444	0	0
74485f0d-42e4-4eeb-98c2-3370b3eaa25c	16	1.33333333333333326
b5a78388-d785-4fc3-8013-f45865ac06a0	0	0
8bc97745-f109-4eb1-9f17-890cc1be6856	0	0
959d2793-4b57-4679-b171-d76fad278a13	0	0
9d2c21a4-2f12-4070-a55a-336558ad3083	0	0
13465f7c-2ccc-4da4-bd8a-0cfd5307dae0	0	0
77d1c17d-706c-41b1-81c3-aa7e47afc637	0	0
18f969a6-41ae-40be-a092-ceab74951e11	0	0
7223c031-1707-4b2f-a939-45f125d1142f	0	0
d483231b-c911-41b9-a661-6db6b864170c	0	0
a286f851-2239-44dc-b1b9-817bdd9ffb72	0	0
ebadf965-6dc8-4f8c-b683-5b31620ba14a	0	0
3be40386-1141-45a9-9440-4c5fb12c49d2	70	5.83333333333333304
e0a8eab4-b4fb-4c80-8ea3-c2dea1bf34ac	0.594125249072381956	0.0495147283272751315
b2f3400f-92b6-466b-acd0-9ed70ecdc135	0	0
04e4c9b1-8e6a-4caf-818b-5f6880928aba	0	0
bea1cfd1-c3ca-4ea4-98db-aadb9fec3781	11.1837229437229446	0.932057683309283402
1405db80-873d-465c-80fc-877847c5921b	0	0
f00cfdbc-2903-4d53-a370-1b91ce51a12d	0	0
2e80bcce-234b-4f42-9450-c8cb9f620d46	17.1436818181818182	1.42876396699494945
7135da39-f502-454e-9259-711819d48c15	0	0
c302067b-2d46-46bb-980f-df6bbcfdbe4e	16	1.33344888888888891
44e3c250-5597-476c-9e0c-a5bc77d5763e	0	0
f888700b-eaa1-4ecd-9d27-5ae40cb812bf	0	0
780ae82e-5224-41e8-88b7-a0b7ad5f259a	0	0
b3435c03-9e3a-47da-96ed-b40914ee65e9	0	0
9a072bdf-4bde-4c90-b4c1-ec44ea998a10	0	0
7985ac67-427f-4aed-a733-4bcd6f285a4b	0	0
d03f414c-4f04-41eb-87f1-7e558cb196f7	0	0
7ca4334b-a9bb-4e32-9e2f-4b75819de176	0	0
5c0ac747-3d2b-443a-8ec4-2bad7ffb0ae0	0	0
8542a0f5-c559-4d52-879c-dc9f6e79aba7	0	0
a7c98d62-4572-4cd3-83a0-992b5068ba5e	0	0
24c137ba-2223-4ba9-9e69-f793cfaa13ce	70	5.8338388888888888
a52af6cb-b0c5-4238-9e39-11c1032e1983	0.594125249072381956	0.0495135730837352669
3f58e9e4-d34e-4b83-88e9-8a86d4e289cb	0	0
68ef90da-e0ed-4d2d-8e23-85ead1693146	0	0
e14dd4e4-9377-45eb-b6d5-f54913636081	11.1837229437229446	0.93203593718133726
fc331c66-a677-419b-861e-d1ef45b038ab	0	0
943e7ba2-0e77-441a-b7af-70be195cd764	0	0
b70e58b6-46e6-4f3f-b85e-897d61c5e4e1	17.1436818181818182	1.42873063205808082
5728cd5c-d2ed-44c2-91fa-7b3bb9267320	0	0
63d6129b-5d75-40a5-ac46-dba77bf60ccb	16	1.33341777777777781
464ef6dd-46ac-486a-9a79-33b34907e2d3	0	0
fc3776a9-867b-4647-9b74-5dd40560d22f	0	0
ff27cab9-a982-411c-80c5-ca4f4d83e247	0	0
b5cbf4c3-c126-4e0e-9050-c5eebadf8bbb	0	0
1eebd422-1934-46e9-8906-6ca85473f27b	0	0
e4c9f54d-d68a-460d-85c0-f14fa3f575db	0	0
ae8d5951-2aa8-4e2e-bde0-d800f32daf55	0	0
33e3d681-b70a-45ba-abf6-13696264e2be	0	0
32ffe44d-701f-43e0-912c-19937b796628	0	0
bbe9797f-f618-40da-a2c3-9a41f7918d22	0	0
f1aacb14-1db5-4897-b87b-2251937d5064	0	0
098f86ce-150f-4a46-a8ae-246855572d29	70	5.8337027777777779
0641b8e2-6e53-4d4f-aefc-685dfadd2950	0.594125249072381956	0.0495122528054039931
bee46f38-9343-401c-a8f9-406dbc2fa3bc	0	0
cf83f755-278e-4efa-9d01-878368243b8b	0	0
297ae68a-b3fb-4ccd-ac47-910ada970f5c	11.1837229437229446	0.932011084463684525
20b0e3be-0926-4f50-b9b7-fb26de1283b1	0	0
dafd2e73-e5bd-4f05-bde3-7f95720fdeb0	0	0
d25a8363-206f-4dc8-9f92-ae7f4d0cc806	17.1436818181818182	1.42869253498737381
ef9f1a1a-3238-43b6-8a0a-e9ea2a78a840	0	0
112d0004-ce61-4d7b-ad7b-c2689a3b3767	16	1.33338222222222225
ad7da365-43a6-4759-ac00-11a17950f2ae	0	0
a47945c7-ae2f-4aa7-8be0-6e5c27313ba3	0	0
1209899f-6b17-4698-8a47-5f7f05e4a4d8	0	0
edd7fa36-1d9b-4256-9ef3-b6dba4f01797	0	0
116b2af0-d161-49d6-80fa-fe0ec2f923dc	0	0
caf8f7de-240f-4f0f-889d-cf5b8ce30ea9	0	0
df8931f7-0014-44cf-8f31-78cc75b483bc	0	0
48af4015-177a-496d-985a-4d45c1f06db2	0	0
83e2731c-a70c-4135-8eef-8a98e195b583	0	0
4dc6d352-bf8c-4a31-ac2c-80c0fb0c9829	0	0
7a35c26b-5bb4-4a05-9187-015649db8d8e	0	0
01675a0d-4cca-42a8-a462-3bab53abc413	70	5.83354722222222222
e8bae23c-6568-49a7-abce-db4c78ab36a6	0.594125249072381956	0.0495094472139500433
5c9d8c27-097c-4d7d-9ba7-ec4ce3781c63	0	0
891ec745-08ed-4375-a6f0-7262d4418771	0	0
7e941b01-a84e-47a2-afca-13628997bf7d	11.1837229437229446	0.931958272438672464
26824d04-19b5-4be2-aac8-799e953437d6	0	0
42937452-7d2a-4608-b142-8bd4b91d58f2	0	0
44ebedbf-46a2-4914-a457-644e56765ff7	17.1436818181818182	1.42861157871212119
1d1c6971-bae3-4274-9b0e-b41289c88c1e	0	0
e5512a6a-9f30-4aa7-981b-2d20cf023dc1	16	1.33330666666666664
0e172a28-b13a-4800-bb47-fff5f9d38def	0	0
1c920f16-d96e-475d-8e75-846ea35d27b4	0	0
d33444b3-2951-4c12-bce7-67b90656d3b9	0	0
af924a15-9ef6-4624-884e-84f4358565f6	0	0
69ad3eb9-fcd6-4676-9cbf-1f28e16726db	0	0
e9bd701e-1051-48db-88bc-c0cad924012c	0	0
444f281b-0488-46a7-8875-82a5cdfda2a9	0	0
a5d7eb1b-5b53-4ae5-9ea3-01dc7349a4c8	0	0
5d942ec3-809d-480c-98c8-dc84d155e676	0	0
5a0ad94a-143b-4f36-81db-cfb9723eb11d	0	0
34b32a03-2036-41e0-87cb-2f5f1a68f0ed	0	0
1664a1eb-20fb-40c1-9cc8-4119e548668a	70	5.83321666666666694
0c4fce2e-61ee-4ec3-ac03-f94cd5ba146e	0.594125249072381956	0.0495213297189314935
f3404f7a-f629-4b95-b1f1-21f474477fb0	0	0
f7325884-3707-4c07-82a9-0fed19823b11	0	0
5dedaa65-b4f5-4c23-bf96-84998f6c91ad	11.1837229437229446	0.932181946897547076
95fb4932-d40f-4cfa-a41c-b86e69250c9a	0	0
bde94ba6-246b-4b6f-bf33-80183ff65282	0	0
477e139d-ac32-4923-83ad-1d21efac9190	17.1436818181818182	1.42895445234848495
48933410-3a95-45dc-807c-2d6cbcca9092	0	0
c40a7bf7-cb55-45b7-a293-7cca19eeae69	16	1.33362666666666674
b2c99a6e-f28f-4594-b55b-7559ac68b3f2	0	0
f6c32057-f422-4805-a0d9-ff82406b42e3	0	0
362f1ec3-0098-416a-bf96-deefb3422488	0	0
c0fd1f8c-28f9-4e31-bb85-d762874aebc0	0	0
1259a819-05a3-47c0-b86d-1b5b6402346d	0	0
babb1ec7-efa3-4aab-9c92-ecd94ef0486c	0	0
e4b25d25-6557-4dc1-b6b7-c5daa5f3a3c9	0	0
27c87ac5-9d2b-4025-adb9-179422fb57dc	0	0
2927d0c1-2dbd-47ac-8c14-6adb80c154f5	0	0
a3257ae7-6b97-43a1-aded-dd5d9cf0883c	0	0
e3cbbccd-6341-4840-bb68-dd6ccb9a6bc2	0	0
ff8d5487-e5e7-4d25-ac7b-18106db0dba0	70	5.83461666666666723
2f8fbf3b-eaec-48be-9723-19b11f23e734	0.594125249072381956	0.04951291294456963
159c6ae1-ee79-411b-a75c-faec34baefe4	0	0
0f1ee958-3c57-4e94-b3bd-ef5f64932924	0	0
f8fa5c2d-ef42-490a-b017-74cc724add8c	11.1837229437229446	0.932023510822510892
4710da67-abdd-4533-b127-f72443c96e03	0	0
753cf93a-6226-4aa0-9386-260c255c4c35	0	0
c592bf05-f1bc-4bf5-8a45-c23a2cbab55e	17.1436818181818182	1.42871158352272709
50c293b1-addc-4d25-a8bc-87cc8772a40c	0	0
35b60761-f4bb-4bb7-95c3-80504bb4e00a	16	1.33339999999999992
55029198-2870-4563-b050-db2921cd777e	0	0
173f2a20-be45-49cb-819c-032d2ea489ac	0	0
d70bd50f-0e8d-4006-ab57-505b491f77ca	0	0
62146469-1602-41ae-a8b4-6635ece87d31	0	0
1eba0661-1d57-4aef-9e55-94e8000b2c69	0	0
44b0b33e-01f4-46b3-8408-f9b27fa509a0	0	0
95eaf6d7-39e3-4197-8761-1d0a778b083f	0	0
a0960a43-fff0-420d-a557-a88950968fce	0	0
90a34fe3-9e36-483c-afdc-dc6f5ed2e9bf	0	0
f0f9a4ee-d396-4f63-9b96-8e38f46f38f4	0	0
0ae79d06-c8f0-4292-9a0c-72ff8679b1ca	0	0
5d6e6e99-13a2-4b2e-95f9-1769302e42f4	70	5.83362499999999962
4a9ed823-5ce2-46f3-9a13-17eb2af4d53c	0.594125249072381956	0.0495143982576923131
ba9eef90-c96f-4857-8b23-52053c7846fc	0	0
8a8aba62-69d2-410b-bbfb-5b02bc54ab81	0	0
e16bb92f-67f3-4b09-9e61-a2c6b4610992	11.1837229437229446	0.932051470129870219
c71dacbe-f9ba-45c7-b75d-bad7bab5e711	0	0
3c0e303e-3c9c-45b1-b153-0d060cf3891d	0	0
8d16fa5b-8ba2-4ee9-b236-3951feb19c97	17.1436818181818182	1.4287544427272727
e96d7fed-c3f4-43f1-baae-ff341ddf511b	0	0
6233a3ce-4cc5-453f-9e50-688c445983d6	16	1.33343999999999996
1b0cc8ea-2175-4882-b267-353826d92bc4	0	0
b1632a6c-8552-4226-9c9a-2d5920f533e1	0	0
95e6a46a-3e8d-4986-82d6-874b032c29e2	0	0
16ba3b10-fcd1-4951-8f63-a870d8e76a77	0	0
f06e2b07-95db-4384-bda6-9a26e094f251	0	0
68e63c19-6b8d-4315-b9db-30305241b6ef	0	0
ed0231bf-3619-4408-8f75-4cbb7b08d054	0	0
c6880349-d4d4-48fb-aab9-bc18ea5b7440	0	0
eae22624-56df-4248-9059-ea5f48bbf195	0	0
61a26bef-e2db-4402-ac71-712de83f71c6	0	0
113f1094-4db1-446e-9638-717266be647e	0	0
e7658d05-8aae-4842-96fc-81f3fde9d461	70	5.8338000000000001
66959a3b-0d6d-4412-9761-cd023dee090b	0.594125249072381956	0.0495152234316493592
f58f8b7a-6a75-402b-a608-139334946618	0	0
d56dcb60-1e8b-4704-8c1c-895f88b160fc	0	0
46963447-6e9c-4a34-b6f2-f22ef2e365f9	11.1837229437229446	0.932067003078403178
14a5feb0-b56a-4427-b0f0-9c15943aafb6	0	0
f6fc763d-4f22-4cb3-a118-7fd2afce3a57	0	0
06ae58fc-8659-4ea9-952e-175d995ff038	17.1436818181818182	1.4287782533964648
b544376a-2c2f-4f59-aa4a-692bbe1bb63c	0	0
67974186-78cc-4d68-ad58-c255f82dfba2	16	1.33346222222222233
e92bd483-dd60-4230-a392-cda22636c4e6	0	0
e7c2dcdf-f427-4189-b82b-87cc9ec625d1	0	0
10cbeb56-ebc6-465f-9d8a-59cc2ab165d3	0	0
04b4eec2-2a7c-492a-b1b2-580eb31c619d	0	0
2a9a49dd-b0a1-49c6-b335-72801dc0117f	0	0
4d841408-fe72-4735-8c0a-0fabe89f64d5	0	0
a113f2d9-1795-4ddd-82b9-9872ba730481	0	0
0326f8cc-1f01-4b7e-b445-5dd0f56c6f8e	0	0
2ab1d301-6f53-46a2-9eac-74f65350df50	0	0
368152b4-c2b6-4aa4-88a1-b4d3964dca0d	0	0
13fe35f9-00b9-4f9d-a554-e57d335141ba	0	0
1139f927-83cc-4dfc-b888-d930d7d4dd75	70	5.83389722222222229
e860193a-5ec2-4a81-9153-c7c6a43f06ce	0.594125249072381956	0.0495101073531156802
fd7004ea-7333-4e92-8881-fe2ad1cd4fcd	0	0
bdf8ad4c-ee45-4b63-a49c-06a1a4d331fb	0	0
e559b635-de61-47da-b0e7-63badee1d8e5	11.1837229437229446	0.931970698797498942
2cffccbc-4471-4311-87ed-c39d3f77caf3	0	0
9343edf2-7906-4236-b9a2-129441dfd4c1	0	0
e5e15b65-4f8a-4804-9d8e-0f9c6bc6c97c	17.1436818181818182	1.42863062724747492
69910efd-75c1-4dcc-b961-0511b7d1833e	0	0
272cdb2a-5abe-4079-aec0-9d28deec3384	16	1.33332444444444453
b05a6702-f6c0-420e-82dd-d739d8976b86	0	0
a1e7fa8c-2126-4b6b-a04b-2517e5347f2a	0	0
be04574c-a01d-4adb-95df-58b5a20997cc	0	0
66f74255-21f5-422d-bb63-d32ecf600bb4	0	0
d9cb8d00-c595-434c-acda-442630773009	0	0
0521f695-bf1c-4b97-b036-3c1d476c5e0c	0	0
573fcf29-36b8-48a9-91c7-d61553e5d991	0	0
8d0fd166-ccee-4aa0-b464-fd3bef4b8554	0	0
8f7b5912-0cad-4f3a-b22f-c57cdfd15b84	0	0
19f7d1ae-520a-4bf9-9db3-e240b7323c1f	0	0
a0ccf94f-130d-48a5-8ecc-f18930cf851b	0	0
ee089a1a-cdfe-4d89-bd77-1adf52cecd16	70	5.83329444444444523
2946f821-156f-42d5-ae4c-519773e0c126	0.594125249072381956	0.0495167087447720353
05630f0c-c831-4941-96b1-63abd920d53a	0	0
dd54c9e2-8ed7-4881-917f-6c1f613ace9a	0	0
44ce94d1-3255-42e6-ab83-0a4ca9f35535	11.1837229437229446	0.932094962385762393
e61a748d-5871-43a9-8f44-0f75f7b09588	0	0
4cf76098-a2d0-4045-8f24-8fde6b02df86	0	0
3f2b1cfe-5525-432d-acec-13b45240a96c	17.1436818181818182	1.42882111260100997
e33944ed-ec4d-40e2-bfaf-a6bc94d336d8	0	0
324dc39b-e4fe-4831-bc1f-e0bf70e7f187	16	1.33350222222222214
b02a600c-23e1-4d98-87f5-74460277ea4e	0	0
d76574aa-c033-45cd-be0b-5f02dba0908a	0	0
416a1fe5-15ec-4cda-9ae8-b3f605a57936	0	0
e207a0ad-5ef6-414f-a522-e0a839818802	0	0
295498f8-6e61-4b60-a66f-1305d98c5bd8	0	0
fab5af26-4c9c-455e-b24e-f146569e8692	0	0
bfb0dd41-3a91-446e-a670-48736aec6f80	0	0
85132954-5ab6-4353-9d50-29ee0284458c	0	0
e675ed9c-2e30-48c6-8f71-6c3fc9323c69	0	0
b335f990-29fa-4b78-adc8-53e247c88393	0	0
c240bef5-33bf-43cf-8f2b-da297b44fe7c	0	0
05d96c0e-64fc-44be-b8b8-8c322cff1c90	70	5.83407222222222188
60a4f060-5baf-4136-b774-2ae178c9aaa7	0.594125249072381956	0.0495122528054039931
035b5fdb-0893-4410-9610-6451ef19835d	0	0
22fe4c91-0f41-403f-ae88-fe5fe231a80f	0	0
b3f44729-6b18-433e-8e96-667039ffe485	11.1837229437229446	0.932011084463684525
3223ad34-df2e-4b59-8545-a66f31ea9bf0	0	0
65f80240-32f4-48e7-a984-bf80f6bd4d50	0	0
3ed32f55-f236-461a-b148-e6407a4278e2	17.1436818181818182	1.42869253498737381
37466804-703b-4cff-b2de-16db05d81948	0	0
0a10e112-99d7-42e3-8188-b7f44a6ead2a	16	1.33338222222222225
8cb7207c-ee55-413a-8200-beac6215f3ef	0	0
24992053-a9a1-49c0-8302-64a02aea2c6d	0	0
7176fe1c-5bfb-4ca9-8e2f-3f16f2bf47d6	0	0
cd3f9cbc-43a5-4455-a2a9-28b9bc617a45	0	0
53dda926-0340-4e3e-bd3d-d470d10142aa	0	0
13840145-eb6a-4342-910c-1e40a14b9bb4	0	0
fcea896f-c684-49b0-afae-aef6c13996fd	0	0
b03a5d37-3d86-4b04-8373-9eef4e3214d7	0	0
77d33d40-6b20-4b99-bcb3-625b1943e061	0	0
537a6e42-16ff-4baf-b448-5b977b01bd4c	0	0
ed4889fb-6a1c-44f8-8313-9678b2a0001d	0	0
99689eeb-e605-4d2b-951e-28fc2ddf8403	70	5.83354722222222222
734f9dc9-cddf-4975-8e81-73a97d326faf	0.594125249072381956	0.0495152234316493592
1d689d8a-28ae-4ffd-a6cd-136c842726b9	0	0
3655e688-5b21-444d-b0e4-5cceb7e1325b	0	0
e3319c3c-7258-4d10-ab9f-441e1d904052	11.1837229437229446	0.932067003078403178
69bee819-3c1e-4433-b1d1-bf137e8e149a	0	0
b38e72b8-80f2-4b20-8f4b-b62c837c87b8	0	0
6f03b2ec-5e18-4b8e-8518-807ad67259d9	17.1436818181818182	1.4287782533964648
70cf10f1-cd00-41c8-9fe8-81799f104b95	0	0
6c6465d8-7f8b-4953-9222-56ee0262413b	16	1.33346222222222233
52f6ad07-0c10-4c8b-b54c-e71d54e3fff1	0	0
bf709d69-d30b-4571-9db9-1f4e926f9c2f	0	0
8efb4ba1-ca36-4e61-9c11-d7ca128a939b	0	0
b0003cb8-0e6c-426f-b65e-54d603613608	0	0
b89a9e77-aaea-4db1-a327-f76dba81e67d	0	0
38967c2e-140d-4940-9fec-3f4dabedd627	0	0
8174e974-0700-4d26-a402-3746d903c5b8	0	0
096cce08-b9f5-4af3-9b20-6bb6cb23b15b	0	0
74b146b6-b178-4c8c-8621-bb8adb943658	0	0
9c97561f-0235-42f3-b2eb-e622ef5115ca	0	0
a0629cb5-e5dd-432c-8679-59a38a66cb59	0	0
2cb1e77a-1cc6-47dc-b85f-ee50a3b9ff5d	70	5.83389722222222229
77c1f17f-f110-4fb0-9455-14e289368af5	0.594125249072381956	0.0495122528054039931
9c552f0a-a265-4ed7-9727-840b0a0b2f81	0	0
74dcedf0-dab6-4f6b-b88a-c882ecf372f1	0	0
8c557e8c-6de4-4e72-888d-0ee4cc285886	11.1837229437229446	0.932011084463684525
618c36b0-3fe8-4b1d-8fb9-8c0eabbdf8a9	0	0
f9b6901f-f380-479f-94b5-138be6b83a2d	0	0
4a143327-eec8-4223-a9dc-35380f6bb19b	17.1436818181818182	1.42869253498737381
97fef294-e693-4277-b5cc-bb30c78ad003	0	0
ce0d62b9-6cce-41b3-a0aa-7c74df83d215	16	1.33338222222222225
531eea7d-43a1-41f2-99db-afd354573149	0	0
a876b040-6adf-44bd-b53c-1dad44e60c58	0	0
bac7642c-a35d-4375-8a3b-dd16097cd9fb	0	0
3c6c7efb-eec6-4679-b58a-75184c4ed600	0	0
151d8b2d-9ade-49f7-802a-174179416d80	0	0
af81f566-56e9-4371-8faa-41a46741abdb	0	0
e21cb8e6-134b-4dfa-9877-040d64b50fe4	0	0
d0bcf3fc-7c9a-40f2-a524-02ae7835a399	0	0
68f54b34-9d07-4712-916b-fedf5ca6ba74	0	0
9bccb1bc-5702-4b6d-a3c8-682dcbcd963e	0	0
c8086318-a99e-47f6-b5be-db4a2d6d56fe	0	0
d5e8e490-3155-4bb3-92ab-21a865b2ed17	70	5.83354722222222222
d68af02b-512d-4ff3-be41-080ce2e55f6f	0.594125249072381956	0.0495152234316493592
f4a7cdbd-123f-4ce2-98a1-26543f8a8218	0	0
881505f5-2d99-4ed2-b308-d69dcc5c3032	0	0
52ab6301-06fd-4fc8-b6b4-52564ea7ef20	11.1837229437229446	0.932067003078403178
55119d51-1430-4570-9146-54e3401e9d13	0	0
4802d3be-667d-46b8-b724-bee731bc782e	0	0
b8716596-f62e-4949-a3f1-5c84b72da84d	17.1436818181818182	1.4287782533964648
d318ac6c-ab7c-4a00-8633-4de640b02882	0	0
1fb1bf69-b771-4f5c-9a02-ef564edb796f	16	1.33346222222222233
b8cb16d1-f66d-48a7-b04c-c0185e9ec6df	0	0
60f11b8f-a2fc-4e28-b260-07d7aae785ed	0	0
f949adfe-95c1-43c3-aad7-1ec4fa274ee8	0	0
2aeab1cd-3b92-44b5-97fa-0534f5962285	0	0
2c3e496b-2d0e-461a-a5d7-10797a07977c	0	0
5cda3dcf-1000-44dc-b83b-5975744ec008	0	0
2ef8cb4a-9633-4bd6-b727-4839c079d3c8	0	0
a8d08210-02eb-4f47-8bc3-b2df6394af00	0	0
8db6a4db-4d79-4405-81ea-9f5f87728b7b	0	0
8acc9acd-605c-4dd9-af2a-ba8c2cf50c6d	0	0
9534b8c1-a6d0-4b7e-a3b3-d7a6900fe51a	0	0
5eeff9a2-25f9-416d-87f7-e7b43cf11173	70	5.83389722222222229
3c776f17-35e3-43d2-8508-c003cb416cfe	0.594125249072381956	0.0495130779793610393
f3c267ae-2ed6-42c3-987c-4b6569642b92	0	0
d9b5f8eb-8b22-4df2-8dfa-ead19e0ceea6	0	0
31351af1-22b5-4446-80b1-e31797b855f4	11.1837229437229446	0.932026617412217484
5b3d711d-7a8e-42d0-8240-6307990a85eb	0	0
b7fc8b45-c6c0-49c1-8144-9c63ae8b3921	0	0
57c94c10-544a-487b-85de-273924b029c8	17.1436818181818182	1.42871634565656569
ce8177e8-0fde-48a4-8d43-ac27bbe490ad	0	0
2598c3e7-38bd-4b7e-8065-adec2c556f97	16	1.33340444444444439
45119803-6980-4ace-ba87-2a3ba4044fd1	0	0
650fac69-7c7c-4c3f-8358-ae7c56039f3d	0	0
21cf0874-2bec-4250-a5a4-d340a6b0103d	0	0
fa00ea0c-3578-48c4-8190-563f193339fc	0	0
ebba8f23-4d5f-4b00-8f95-26b92d0bf8b1	0	0
e053ab43-b8d3-4f29-b727-0d3017925bf6	0	0
e160cf77-460f-4077-b887-60eab53c5c43	0	0
0fba080d-a44e-4112-b2c0-c824480cf01c	0	0
22ca452c-5c0b-40a9-b054-c2944f48fd4a	0	0
264ba273-3dc9-474a-ab20-a16b7331987a	0	0
237fc1b2-9966-4356-8031-0816aae1f4d8	0	0
1619b7ca-61f8-4978-b996-caed8dff66cd	70	5.83364444444444441
367b0506-b506-40ae-b69b-ae5e526e49f7	0.594125249072381956	0.0495142332229009038
a7334303-6292-44d4-8259-b380073409f9	0	0
54746c5d-7cb7-4f0f-803c-5fd6705b800e	0	0
2fb4d839-eb8f-4570-8853-4a1302628d46	11.1837229437229446	0.932048363540163516
052bfee3-ac87-4964-acd1-9a6066e990ec	0	0
febfb71c-4b74-4f8a-ad09-0e7dca2e4720	0	0
4bb4ab50-0003-4ca4-a1d1-32b5b8073e94	17.1436818181818182	1.42874968059343432
0a9b795e-a4b7-43da-ab39-9fd7eb744156	0	0
e5c9e8a3-db8a-49d9-b939-90ff787702c6	16	1.33343555555555549
cb895a22-ce39-4d66-a2b8-719b5eff5cb3	0	0
ca9d5667-5bcb-47cf-9772-a01c57445c50	0	0
a6e30735-d00b-4c13-9b29-6d57828fc62d	0	0
b6c20b13-4529-46ea-929e-64047777df4f	0	0
245736bd-5c77-49f7-bb70-8c5c837834cd	0	0
17e59de5-5585-4633-92a2-78e9bdd44d0c	0	0
0f335168-d59a-4fa6-aa9e-b6e95bd757ff	0	0
dd4bfee8-cc20-4793-9bc4-91b93551e2ca	0	0
f37c29f9-7e4a-4e18-8645-4d1c81f0bbc9	0	0
7ca3e864-d1d0-4b20-8926-9aed826580a8	0	0
a9503125-5410-42f7-a1e6-7165d09a3a17	0	0
da1dc36e-99ec-4d41-aa97-898d46af3094	70	5.8337805555555553
98e52dbd-b6e4-43ca-9675-7932d5b93863	0.594125249072381956	0.0495134080489438577
4db0e082-97a6-4c3e-b596-18f92213cb9e	0	0
5487eec0-b805-45e8-a188-35a9dd2d93aa	0	0
12a26bd2-ff1f-4afc-adf4-b82a6fc42963	11.1837229437229446	0.932032830591630668
48c16ebf-b1f1-4d39-b03d-6a862c2bfaaa	0	0
1c67faff-0cc2-4ceb-bb43-48cee04bb584	0	0
2ca69a1b-3d10-4d24-acb0-99cabdee00a4	17.1436818181818182	1.42872586992424244
076318ee-b5db-413f-853d-6bf03078eec1	0	0
73ae12b7-f18b-4838-8619-81f0790b8b1c	16	1.33341333333333334
d98c1540-8b24-4151-b091-305beea1c1de	0	0
98428a40-ada7-47de-9941-d6209db52e15	0	0
f60bb6e7-3fe3-4aa0-9e28-d6c96cacab98	0	0
c988703d-6196-4a46-a44c-613d30a3ef8d	0	0
c0cc7804-0228-44cc-82ea-8908b19ee91d	0	0
62b4b942-cc62-4c49-bd58-771ec888aa1d	0	0
ccdceba9-b25d-422c-b6b8-20cce8243694	0	0
5df9be9a-a520-4abd-a151-9f0eb0c071f4	0	0
0daf3143-d15c-4a91-a0c4-72a15b6cdb0b	0	0
52ba79aa-65ef-4624-a941-7bdea03329ac	0	0
043dacc9-68bd-4a8d-9636-196d6955008e	0	0
e8e70278-b7ce-4d80-8ba6-aa173b324fc8	70	5.83368333333333311
621c759e-a6a1-49bd-a16a-df0de324ef0c	0.594125249072381956	0.0495168737795634445
d69b42d8-ea5e-46c2-ae6d-894e692ca42a	0	0
7747964e-e7eb-4520-9e79-c8a54876ac59	0	0
a489dabf-a2c4-435c-8782-f8ee20349d78	11.1837229437229446	0.932098068975468985
60d5ac40-b76e-4160-8c24-f38892d24b3b	0	0
2ec3cb28-5b6d-4cce-9de7-ae9f10bff544	0	0
523cca83-0df6-40f4-87b0-1100cd0e4c3c	17.1436818181818182	1.42882587473484834
cdec0a03-be19-49f9-ae9b-67fb9372b97a	0	0
079d66b5-4c92-45a8-bb16-9c2a98d892f4	16	1.33350666666666662
aaf1e7df-0359-42f9-8062-b67e8b131d88	0	0
f51421d9-c8b5-4707-b4c7-af90413cec7c	0	0
29f15d4f-8c39-474e-833f-4ac66ad1af13	0	0
8bf31dc6-8fc8-41e7-b2c6-bf28462a4564	0	0
413050ea-3187-4a1b-ae6f-ee59cd5ad645	0	0
48ba3287-9ab0-4dc4-bec9-7c6cd1c7af99	0	0
0d37154e-22e3-4f9a-9659-4a00bb77d7bf	0	0
f36fc8d6-f995-4645-8a22-901576dabcb1	0	0
48ec19d2-ee8e-4f66-8163-4266cc0dc7c7	0	0
15876898-30c0-4cfa-9b04-2a612737ce99	0	0
cd08bdf8-36bc-4612-87e1-5718d9f2d746	0	0
b9c625be-052d-4d7e-93c2-be7c48613489	70	5.83409166666666668
ab51b871-7577-44dc-8564-8c773232c690	0.594125249072381956	0.0495148933620665407
f2c649f6-1dba-472a-9faf-2c6d6e825777	0	0
8195931b-41c4-4ce0-a6dd-3565e907810c	0	0
f94add28-763b-4621-8a74-f8e0a5080c6f	11.1837229437229446	0.932060789898989994
75dd32da-5d82-45e1-bd96-88f9986131fd	0	0
b07f4742-08f7-45d9-bc02-0ef08810b55e	0	0
8a61fdff-d793-4c44-87b9-a0e8056b85e3	17.1436818181818182	1.42876872912878783
25300be1-3150-49c6-a58b-629bd0122dae	0	0
233d6dda-1519-4753-a1b5-5de49ba0cfb7	16	1.33345333333333338
9aa88c1b-d245-4bd4-b92f-8483ff1758c6	0	0
e0efdf6f-8094-4017-b068-f640189ffe7e	0	0
512bc8bb-eaf7-4ef8-8853-71107a15379e	0	0
ceed82b9-bb0a-4b96-9ce7-443777ccb132	0	0
e5763d6f-c46d-458a-9459-ae0874102d5d	0	0
9c7d53e3-c41d-42d5-bf87-e10a780f9f8c	0	0
0382bf7d-e41a-422a-92f4-836b4579e226	0	0
e3717de4-6c06-4706-87f4-947e6134de46	0	0
480651c6-3656-4a70-abb7-1dbef19b3996	0	0
99aadae1-b152-429a-800d-5c4849e93735	0	0
de3debe1-0f3e-4bd0-af66-92fccb038abd	0	0
27c53190-a35e-4bae-947e-03e591baa907	70	5.83385833333333359
9b23439b-81ab-41b6-9833-b07330283507	0.594125249072381956	0.0495117577010297655
4268d7eb-27f4-486a-83fa-9997f07e9731	0	0
1cd2ba1a-b332-4aeb-ac3b-4acb729e2410	0	0
78c20dad-2ad1-4a4e-a93d-27b19a1cec9e	11.1837229437229446	0.932001764694564749
43e59b25-4a31-4731-acf1-ea336ed9f11f	0	0
fd965ee7-d766-459c-9f24-c8c566b81571	0	0
37e8e6d3-5015-4666-9fad-866263fc108d	17.1436818181818182	1.42867824858585846
fc04506e-8775-4243-9585-6e4db63f217c	0	0
94bce130-1566-45f3-874b-3269db43b7c6	16	1.33336888888888883
d37256f3-2038-4c23-a14e-9c2e8ed356b3	0	0
743e466a-c224-4186-8e2b-b10007eb4017	0	0
97951c75-ef45-47fa-833a-ebaf586a9b5c	0	0
795cd4a0-a198-4dc3-8a34-5b215e3c4ba8	0	0
e9fcccf0-82a0-48c8-88d7-70001255994b	0	0
36acf790-435f-44d9-b04d-4ea79a843f59	0	0
5a0f47f4-e042-497b-be73-08ed59175a3c	0	0
3b2c8fbc-0ad5-4b49-b58f-1913febb739b	0	0
4d30fc5a-6728-4a2e-9ef3-3277e241ff9b	0	0
51766723-0661-4a86-9e80-8aa51d500a72	0	0
7acb6118-a438-441b-aaee-09f016172bc1	0	0
f5d4d57d-c475-44ad-b952-cd641d62202e	70	5.83348888888888872
36fd7268-5b62-4b91-bb3a-8ccf9db1311e	0.594125249072381956	0.0495155535012321707
f417750b-f7b4-4e6d-83d4-e1e8450b7490	0	0
9af42dc6-a4da-44ca-be96-185c4ff73fdf	0	0
28b8e551-f1e6-40b6-b6ab-cb2828f51582	11.1837229437229446	0.932073216257816251
2817f0d5-16b6-42f7-8f56-dd189229ffaf	0	0
bb243d42-6131-4c95-a892-59f891998eaf	0	0
a0a7c0a0-be2d-415e-a8c7-e0a4ca1aa7d1	17.1436818181818182	1.42878777766414133
36acdb1a-d3dd-4919-ab70-a7af7416521e	0	0
88ae6668-5241-406c-b992-6cacf1ad69cb	16	1.33347111111111105
6759a4bd-0dc3-49e6-a5fb-02a95415d10f	0	0
8978ab5b-5da3-4103-8ff1-bc911915da52	0	0
6597d083-a3b9-4665-9f9b-567b1487d017	0	0
77df343f-808f-4ec8-a1b5-faae2f518740	0	0
35cefdd6-4118-459d-be23-c84053644b76	0	0
2de78b41-7110-4975-aadb-eb1135ed3f89	0	0
5e2ad09b-bc23-41bb-86d4-d6c6d07d24fa	0	0
ba4b98f6-4a86-4609-8b1c-64ffab71a2c7	0	0
8a8501df-d6cb-4481-abbf-9e1fd419e26f	0	0
81f36ec6-0b4d-4995-9e6b-806c0767950c	0	0
f7cb2146-f1ef-4bea-82fe-1ba080d7dbcb	0	0
a131c25a-dc45-43b8-bff6-a79e8293a858	70	5.83393611111111099
9e5e9c0b-7b2b-4e53-b73f-276c4003a9a0	0.594125249072381956	0.0495139031533180854
91f5aff5-977a-437a-9129-9a0ca1d08039	0	0
b09ce30f-8c3d-4aad-834b-b4314885ac38	0	0
ef3886a7-8d19-4bbb-b851-aaa584098626	11.1837229437229446	0.932042150360750554
b04090c8-3bf2-4fee-b9f6-72d37cd82c90	0	0
8ec0c3d0-89bd-4c3f-ab93-5f992a48b63e	0	0
79ca437a-6432-4caf-8117-d9031de1b361	17.1436818181818182	1.42874015632575757
d809f2a1-87c4-4c97-a845-a2eac554d37b	0	0
3bec1f64-affe-44b9-b9c4-ce2b07b27404	16	1.33342666666666676
26d3bedd-6bdf-46de-8d13-200c812c409a	0	0
87957192-044f-4772-8430-ec3ab6921156	0	0
c5737d90-c3a0-4af3-9cba-cae65a3e94c1	0	0
f46d4adf-7f6c-4309-944a-503dd1221be9	0	0
c5f5e751-7e85-4382-a254-e6d0b887ec87	0	0
e511c4d2-6a91-4b9b-959a-d57686a45a00	0	0
5729f99e-203b-4041-a33f-c9ec6c7d5cf6	0	0
6d893cd0-ab3c-4ac7-a180-cac65488836c	0	0
72d78aaa-bfb4-4d57-8767-51843fff6c70	0	0
ce077953-b242-461d-8a1e-bb1fdd50fe74	0	0
59e92e08-8c0c-4a3c-983f-826fd3b8c3d6	0	0
892390bf-353b-4471-ba9e-c86fb5227a1c	70	5.83374166666666749
5cb71bff-5ec2-4763-8d78-feeed9371120	0.594125249072381956	0.04951291294456963
21cd62df-4ff6-40d2-8619-2396411bab9b	0	0
1c92856f-cd9c-4b96-9d39-9751725c70c6	0	0
e8564b87-702f-4376-9d9f-22cd9c2938fb	11.1837229437229446	0.932023510822510892
933f2842-a00e-470e-afca-5da8a4647e21	0	0
c6373ac1-fe9f-470b-aca7-78faf24dfa22	0	0
0c817f1a-d699-4dc5-bf16-3cced03a97fd	17.1436818181818182	1.42871158352272709
54cc4db3-c96e-4218-a26a-89755e12c4a1	0	0
edaf60e8-4ab4-4af1-9881-9b1c6b826a4f	16	1.33339999999999992
51e08810-8f48-4d5b-80dd-4421a01d2df3	0	0
44bc543c-ff69-4ddf-bc43-1ee1bc6fa195	0	0
f8bf30fb-5495-418b-bfd9-67f319bbfefc	0	0
d7b75a65-c5d3-46e2-9b3e-2d3d5e852a8e	0	0
f6bcce44-8518-4f19-bee0-7bee3b903bfd	0	0
a8ce2781-bbb1-4567-ae84-9aef548809c6	0	0
30c5fbe3-346b-49d5-bd8c-259516a090aa	0	0
0f79eb9d-7368-4198-904a-1a6999507d09	0	0
78adf67b-d9d0-4621-a01d-1496aca11d2b	0	0
49763480-979b-4775-b9ad-d6af7a7032bb	0	0
df547aa6-c3f0-4456-960d-f4092782070c	0	0
f5ca711a-4bac-4eb4-b9c5-2cb727db825e	70	5.83362499999999962
d22ec65e-f125-43e6-8e68-7b23b4cc2f65	0.594125249072381956	0.0495132430141524485
64851aed-dbf0-48ed-b262-96fd9122a1da	0	0
8e214b13-7ebe-4ad0-8261-979247ad32f9	0	0
fdc7f550-8752-4146-9358-584378f62ac4	11.1837229437229446	0.932029724001924076
d662b6c8-d1ed-4b77-88b1-80d07417a2bc	0	0
e20744df-9f8e-4e2d-84b8-d7f033d6aee1	0	0
7391a1cf-02f8-48cf-bca0-e3933781295a	17.1436818181818182	1.42872110779040407
f05664e1-aa5f-4186-b40a-2db21c32c208	0	0
f7c79c29-d0fd-41f7-ab33-cfb41d0db4e1	16	1.33340888888888887
1923e028-e99f-445c-96c3-7b384b4fe64d	0	0
b9f8f92a-87f0-4f79-abf8-5f2e95243014	0	0
0d4320ea-1313-4135-860b-2f86a44ca5e2	0	0
d9578a0f-6b6c-4b4d-a74a-17c593d3b2d2	0	0
4fafdf16-788e-4113-a28a-d484284f0af6	0	0
b0ed17cf-0db4-4e66-8303-54e80a95d624	0	0
72590b11-80d7-4f65-9842-a53f2552cbd9	0	0
fd6de570-60e8-4a03-87ee-456283bab7c4	0	0
246d7d17-5f89-4219-8e4b-231016aab3ec	0	0
de578959-43e6-4d29-bdda-dd5e78ea8315	0	0
45f54776-ead6-4f94-9169-6ea2b53db7bf	0	0
03add5e9-3b10-4f47-8e1a-19722fe718a2	70	5.8336638888888892
e79bef81-1a08-4931-854a-413e03f9ee11	0.594125249072381956	0.0495163786751892238
2d55b547-1234-4c09-abcf-986c8161a0c8	0	0
446ef50a-7d2c-4d75-a5b7-9ff1c9a3f258	0	0
d5d6820d-007b-4ec0-9bf2-763be5d8e45a	11.1837229437229446	0.932088749206349321
86531672-203e-4545-9145-4a87869b9628	0	0
517c7eb0-194f-4788-8753-98af2ed0567c	0	0
ea7b5da6-cf2b-4836-acad-eabaf54fcb77	17.1436818181818182	1.42881158833333344
939aa270-4962-41f6-9d53-137383a1c33d	0	0
b057b47e-4fb7-445e-9020-5823d6f228ce	16	1.33349333333333342
609a7baf-6a11-4ca4-a97d-a873fe805196	0	0
a45126c5-612c-4c0e-b34b-eeb3aa388584	0	0
12179bb6-8d62-4f51-a950-03c12b3936a7	0	0
c6872e95-6aea-4083-bf0c-2785df284a99	0	0
0bd034f2-3aed-4847-9c2d-e6f5bcf368fe	0	0
26df401c-4ca2-4171-9236-91f99c7165e4	0	0
ed797ac5-297c-4a25-9e8e-8e250c0d0b74	0	0
d0fca19d-e0d3-4912-aa41-07c736f7ef1b	0	0
29d6f208-e292-42cb-b869-e7b5924465d3	0	0
b33a662d-94b9-4708-96e1-4bfeba3f4776	0	0
466e508e-4030-43aa-a522-b15e80db8378	0	0
09840754-4f77-4282-a5f8-2bf55a3f68bf	70	5.83403333333333407
53ec02f9-b38b-4c24-a43c-25a07981ee1c	0.594125249072381956	0.049511427631446954
2a88243c-6297-4efc-8652-a1277859dceb	0	0
b26336e4-50b6-456b-9805-c8eb857dc015	0	0
83a5e652-ffc5-4382-8eec-44a944fd533f	11.1837229437229446	0.931995551515151677
6a84a6f4-82bd-4916-9a66-bac712048056	0	0
be7f19c5-1b0c-406f-a8f7-8c2d1a84ea78	0	0
d12c2cb4-9572-4a5a-9b7a-6c53c67ddca4	17.1436818181818182	1.42866872431818193
6ef69307-70d1-42d7-964a-d205db043a6f	0	0
8ca85490-d27d-41d7-94ae-9fb0102673ca	16	1.3333600000000001
4397997c-b47d-4a13-b140-51e2a0f2b315	0	0
62c5e55e-be74-40ea-9cc8-7a974b5164db	0	0
dbf78ec6-fdb7-4fd9-907f-1502cd38dec8	0	0
0fb82bf5-9ad4-43dd-a26a-e671c6fd5461	0	0
22e65969-39d2-41d0-9b56-a9f10a72df66	0	0
1e8a26cc-c252-428e-85ee-09153e95f35c	0	0
a4cea2c5-c517-4092-9624-b360b4948d6a	0	0
86e93f52-19e0-4712-954d-bd1203147ae7	0	0
a254be30-5bd8-4e9a-b271-17212f4181b3	0	0
111cf014-694c-41d8-a3ec-0730159e4c18	0	0
8c9fc0aa-01bf-49cd-8526-58d249bb24d7	0	0
45025b55-14c9-4dac-a6c0-520057fdc811	70	5.83345000000000002
3fc350ee-9d9c-48de-96ee-b97864b5c44f	0.594125249072381956	0.0495134080489438577
10b6f3c2-2f9e-4c52-ba84-4fe0e074680f	0	0
daac8ea6-7fd7-4165-84f1-0e4b0e877537	0	0
4fa0d41a-bda7-4bca-808c-681ef9739807	11.1837229437229446	0.932032830591630668
503ddb29-11c5-4ebc-a402-49253b45c28b	0	0
0e44fe5b-e169-4376-af5c-432423aaa56e	0	0
9d1b8e85-6e33-4db9-ab73-739d08c3983b	17.1436818181818182	1.42872586992424244
055b06ae-0bc6-41e9-8c31-f4e494f706bf	0	0
25a78414-3f10-42c2-b0cd-a2bd89b37237	16	1.33341333333333334
99ea270e-0148-41da-9435-3c309904c801	0	0
623998d1-aa9c-41be-9ed0-c3ecd9bfd4ca	0	0
78d9029a-8951-444c-9374-ca808d135db1	0	0
d57bcdb1-b152-49b5-99c5-470fbdfb37c4	0	0
a9006f06-f720-4f5f-b005-0980a74f2928	0	0
d44a8ad5-04a0-449c-bbe3-d105b03294cb	0	0
71729b87-0823-4aeb-aabc-9e884c9024ff	0	0
4490be7d-9577-4aa0-a08d-97aaa9e0722d	0	0
94e0e1be-09b8-49f2-a36b-000b2fba32e0	0	0
a854c800-876e-42c5-8de9-f4e103e9a8e7	0	0
38c413e8-6d99-462f-82fe-6adf529c30bc	0	0
9226f8b3-bbf8-43e5-84ac-319285d8bf9a	70	5.83368333333333311
a6b02710-82f3-4edb-9ae9-d1ff1579bef5	0.594125249072381956	0.0495069716920789049
722ab1fc-ddbd-4c85-9f4f-67afb20b5eea	0	0
ab4ab199-dff2-403c-a768-804324f437ef	0	0
30200520-db10-441a-a419-3d15a2f6cd1e	11.1837229437229446	0.931911673593073697
8fcb27c8-e500-428f-b8bf-d7509800a874	0	0
8dbf923f-e07c-4b07-9970-637ef454cb2a	0	0
0a30f4f9-fb30-4bbb-bc3b-286f88b637d6	17.1436818181818182	1.42854014670454554
60ed5265-4ddc-4841-9162-7b722329f7a3	0	0
518887bd-6fc8-41bd-8c2f-f38a97c27d68	16	1.33323999999999998
c73596f5-bce8-4657-932a-e138c648c3bc	0	0
bd443712-48ec-4c21-a61c-8f16a9fdeaf8	0	0
6495fa43-6f64-4e97-993b-5a228d0f5bd4	0	0
1b714b03-8f18-48de-a9c8-a21f9f07aaff	0	0
7f05907c-8f62-458a-8ecb-f7a3d015ff24	0	0
59a10f14-6b4c-45a3-8b0d-a32c5c703080	0	0
2f0d78f6-55c4-40a6-8f35-6d2799e3a4de	0	0
a81d527b-fecb-4356-ba92-33137acec5d9	0	0
4d7e7c09-5d53-4826-925b-d7fe3e55c5bb	0	0
2b3870f0-541b-485c-b083-20ca0ab950f8	0	0
a4f33f49-567f-4d0a-9cfd-331a8c50aecd	0	0
37903581-7281-4bb0-acff-6af567566593	70	5.83292499999999947
3849e34f-8781-4b5e-8b09-02f4a2fa3e7f	0.594125249072381956	0.0495214947537229028
ad80ecaa-9583-461d-a021-7eb6c29f2f0c	0	0
c28452b8-1e72-4ee5-b7ff-4cc2e47e8ab9	0	0
0d25b653-95dd-402e-87d6-1ad1bc9307f4	11.1837229437229446	0.932185053487253668
b078625a-5002-43a0-859f-ab15c61cfbed	0	0
b8741899-de4a-43c7-99a0-3a264a741407	0	0
8fdc6cf3-b3db-431c-9551-d9dc90bf7edd	17.1436818181818182	1.42895921448232333
1cc70934-b957-473c-b28e-2d4e633384f1	0	0
59777581-e194-4956-b57c-cf09a029668f	16	1.33363111111111121
d0f8dbe4-dcd2-4560-8cad-999a89317018	0	0
82058127-1b41-487c-9824-66ea34008055	0	0
3b15a8b7-9f0d-4c85-ba41-ca99bf8930df	0	0
9c5137fc-94a0-4442-9184-60192a8d7bdc	0	0
479599b8-6de5-4cdd-bbc9-0c527e64c6b5	0	0
e67f19f5-2719-41be-b427-ee9a0b044092	0	0
e01d64af-f3f2-4bd9-8989-d72491ad11de	0	0
5924c2f6-7401-42a1-b04e-c81aedd319e6	0	0
6cb08471-1773-45dc-b505-e5334accdeec	0	0
a38ca041-0ea8-4766-85a5-19bbc2b34113	0	0
ec4acf6c-9259-432d-aa70-8e5cf9728435	0	0
d52f41f4-9504-4c5b-b3c8-7bb6bec240bd	70	5.83463611111111113
ad5a6f35-e111-4f97-bf95-3bbad39aef62	0.594125249072381956	0.0495152234316493592
4436ae25-6c7e-483e-9b9b-c0c42274ef59	0	0
8c5b3ccc-c509-4e49-9a8a-16ce10577e18	0	0
ba3ac92f-bfb8-42cc-83e1-ec20da36eb72	11.1837229437229446	0.932067003078403178
109f427d-06d4-4065-b715-d290dee64312	0	0
5e247f57-3cc2-4c9f-8488-68d5dad3f56f	0	0
72155a63-732d-49b2-acf8-5ed2b86e4dc7	17.1436818181818182	1.4287782533964648
00ce84fb-4d74-41cb-8569-716de9c182ad	0	0
e8f9776a-4451-4ca1-a5ec-b513535ac923	16	1.33346222222222233
46d3a52c-0770-4e7b-a127-78cc2162c072	0	0
32f51bb1-e922-4ee8-826e-2d50db6f771e	0	0
f7c146c5-c06d-4271-9c4f-39c414f51a91	0	0
ebf21f0e-e146-48c2-b93f-8578061147cb	0	0
435924b5-2c6a-4803-9062-9e9943fad021	0	0
43bdc2a1-4c8b-4e34-a9f6-3937da392cc5	0	0
0d2acd96-0738-4ec4-a8c2-16d6ada4cfa2	0	0
e3284e5c-c3ae-4246-9cba-a70d2b79ddb9	0	0
c5d59149-b39e-4226-a1fd-8e90efef7620	0	0
e8fe2245-3b82-40a2-baee-15a92244144f	0	0
174a4366-0a15-423b-8dc1-4becb98ad344	0	0
f3db2572-abad-49ba-aed0-8dde76c1491c	70	5.83389722222222229
171b026c-beac-4753-9c79-3eeff22db5f8	0.594125249072381956	0.0495127479097782208
61c08245-9491-4393-aaa8-0b554062852d	0	0
27a10f09-4bcf-4e8e-a1e6-e488cde8d788	0	0
d0d7e883-a0e0-43ec-a48f-c1134b994283	11.1837229437229446	0.932020404232804189
8eaf21cc-c635-4c2e-b6a4-e23309a44a70	0	0
97a572a0-fa5b-45a2-aa74-c520ff14bafc	0	0
9bc891ac-c2cf-46e4-a525-e2d1bd6a29a8	17.1436818181818182	1.42870682138888871
89df2425-842d-40a4-80ef-01fc041ba31e	0	0
d389c711-4031-4a92-9228-17093eb7ce58	16	1.33339555555555545
9282a972-531f-472a-a664-26d1db28f749	0	0
7a2db3ba-31e4-47fe-882c-4bb5c8c56091	0	0
f76c94b8-c01f-4c3a-9148-afd8d4a01935	0	0
1001d801-9dc9-4a16-8b60-92ebcc77f329	0	0
90a9f21d-b5aa-464b-9a0e-0892c0e2a38d	0	0
ce6f9562-c3d0-4c14-8660-58b34f0569ce	0	0
5311fd2b-49be-4a01-8d0b-ecd910e07067	0	0
842012ee-8b64-4ca0-935b-c7843dadec5e	0	0
2004e1bb-70ef-42ea-9160-fda9d2f3cef6	0	0
99822e7e-faec-4c4d-8998-024131e6086e	0	0
b30e139d-e5d5-42b7-a82f-f6cf0d182dc0	0	0
b445cdb8-b1bd-4501-984b-f40c99196af6	70	5.83360555555555482
7fbb05ae-cfbe-488a-9b45-2af331bdc011	0.594125249072381956	0.04951505839685795
776b944d-1e60-48d9-8235-c2a942cf3977	0	0
1984252a-d147-472c-ab43-f52b46fb85da	0	0
fd147f13-a9c1-4a0b-840b-d6aef4d99379	11.1837229437229446	0.932063896488696586
ad795cbe-5bd2-4088-8aed-34ff3f009b9e	0	0
2f111429-ece8-478f-8dce-c0b61936ce6d	0	0
55c131d8-774c-4cc1-addf-5cac851e32e9	17.1436818181818182	1.42877349126262643
121eba83-8ff3-42d5-aee6-f469a4782fe4	0	0
496d0cd2-36cc-4e40-99d5-c041a45a1ab6	16	1.33345777777777785
118d4360-8408-45bb-a4c4-6502d4608408	0	0
743fffe7-be49-41ae-8ffb-210b46f57457	0	0
5e42f9da-61ab-4624-9eb0-c36bfbe7d9cb	0	0
24870dc2-d045-4422-b281-a45a8282ada9	0	0
0a0497cb-e6ab-4f97-8ad8-e4ddbe12a5f5	0	0
6e604dea-f8d0-49bd-9c05-0df497c9b5c9	0	0
52ebb939-97de-43a4-b914-9602656113b3	0	0
0dab4ce9-6d65-41ae-9784-25230780576e	0	0
aac7e69b-5075-403b-8384-af2e0964247c	0	0
cdfec078-a704-4952-b844-e8f212178d3e	0	0
2ede3212-b991-4779-a520-ee4f90ffaba4	0	0
255cc249-1e1a-4635-b466-d40b4cbd7bea	70	5.83387777777777838
3e508f8e-aae6-42d9-9b59-3f9307d4ae58	0.594125249072381956	0.0495140681881094877
26a84df4-4aab-41d4-b268-d4f8f5e8906a	0	0
6a122186-86ca-49ea-b501-ca5978e92088	0	0
6ae4da30-f157-4ccf-9f4a-b70444b71076	11.1837229437229446	0.932045256950456924
ddf67ffa-d3ce-4898-9aaf-39f78a0ca5dd	0	0
476b41c2-b265-4ff8-af13-812cc4bc411b	0	0
a9b713bd-50fb-4098-8b93-54ed09b9855c	17.1436818181818182	1.42874491845959595
dcd14138-24bf-4f75-9a1c-2c3916ee73d7	0	0
e325ef71-f0fc-42f9-bb6f-79c508e5b1f5	16	1.33343111111111101
8a642bff-0226-40db-bff8-299b217b801a	0	0
4bdb39a2-7b64-4e81-af29-cd721ebf55bf	0	0
b3495d49-dd21-4bda-8cbb-871c49f1a5ec	0	0
88f91520-681b-43b6-b718-c7e76d97ea97	0	0
dfe8cffc-72d3-4ca0-bc08-dbc0088aecf7	0	0
ccaaf1cd-8b11-4fec-a0c3-251161d1ea8f	0	0
823bf0f7-2354-4c09-bfcf-0d0a3002e1b9	0	0
1c11fc60-82aa-4d55-9db4-34c958cb2686	0	0
c5806519-de18-44ca-a0ec-e6b7e01b2134	0	0
5ba69ed3-2e4c-4746-aa8c-6f7bdb72f091	0	0
debe4470-89d7-48c0-bf45-52cc229b672a	0	0
5bf828cf-e59e-464d-9aba-2accacf1d679	70	5.83376111111111051
5e9381ac-dc2d-411f-a83b-78ffbae9c4a6	0.594125249072381956	0.0495120877706125839
2f18123b-b7b4-471d-a312-833146567017	0	0
612d0b9f-fb4d-40cf-a627-579ac2d336c4	0	0
f4b7d3f6-d2ca-4e08-a327-7c731f37be9f	11.1837229437229446	0.932007977873977933
5e9e668e-2610-4407-a9b8-2253ff3acfc2	0	0
2d1e605c-ec3f-40f7-8c05-d88b7509ac11	0	0
2a9fd03b-ba56-4a84-b589-ee24a5f38239	17.1436818181818182	1.42868777285353543
c4154539-72e3-4ef3-a9cf-f8819bace4c1	0	0
afcbfc23-699c-4a96-8d21-9287a06462fb	16	1.33337777777777777
6a70eeb6-a359-49d8-81fd-4c86c0cca7e8	0	0
547921e8-651a-4e30-ad04-d14a8aee4b4c	0	0
23b726de-4851-4568-af62-05c29eb2f8a7	0	0
81fac70b-9aad-429f-813a-2cb5e01a555c	0	0
e8fdcd98-d08d-40f1-8372-5f221a3bf8f5	0	0
80b16b21-7919-46aa-8aad-4875f870443d	0	0
4fd140e1-62b3-49ba-8f13-43ecec132b75	0	0
f6a8b832-8f40-4d6e-af8c-97ce30c46b4f	0	0
d1faa750-1f4b-4f2f-b2f6-0313c6654156	0	0
46476fd6-a744-4d68-a313-c90242ee18ac	0	0
74b4ed2d-e410-4ba2-8f27-2241e2c136e9	0	0
0005ecb1-76f9-47e7-8f37-7a44c3c05665	70	5.83352777777777742
a63f96e0-fcba-4e3a-b6f8-4b40f3c6a5a4	0.594125249072381956	0.0495163786751892238
75ac4234-c487-48c4-9caf-79c08fd17572	0	0
1d0b0523-7532-4252-8974-060c23f946b9	0	0
b8d713b7-3dcd-4632-bc4b-61c23da2c1b8	11.1837229437229446	0.932088749206349321
03a42b7f-cd26-4e03-a0bd-9307014e212b	0	0
b1273f94-fae6-478e-ab12-994def9bcd8d	0	0
204c4699-f693-4cc0-a7ea-9afef485ba3c	17.1436818181818182	1.42881158833333344
2478fec4-a939-4b7f-b84f-1d7202620225	0	0
5a954937-c4ed-4861-a670-82cbf1944019	16	1.33349333333333342
4a39a680-6bcf-4fb4-8341-d1e552d04a62	0	0
494168d7-651e-480a-93c3-cf55ec7a862a	0	0
6e5afb38-324e-48e9-ab4f-bde7d0559834	0	0
7069cf4d-963e-4765-b6ee-fccb735308b5	0	0
9bddcf9a-d7f8-479e-8089-ee70596d7fc1	0	0
7c32f9a3-6e48-4812-b6f3-348f5b681249	0	0
fd9538a2-dade-4ef1-bb20-265209872649	0	0
1a975726-aa49-4d4d-9d74-e6def225ed64	0	0
5bb547c8-501c-4d59-a4dc-d22a3098b0ec	0	0
835eadb2-f503-44a9-894b-a4cc129de8ef	0	0
7a7e95d5-04f1-42ee-bc5b-c4ab164c7039	0	0
f1a53084-5399-4b65-b4aa-d26c6021ef3b	70	5.83403333333333407
db29c525-6283-484b-8de1-65a2a552a58c	0.594125249072381956	0.0495127479097782208
5c1cb1f0-1bc5-481a-9abb-60ac9dd5a8b2	0	0
7bfab68e-b7d3-4f06-ba5e-44267f6c62f6	0	0
457c572b-0557-43d7-921c-62edfaca5617	11.1837229437229446	0.932020404232804189
528e3676-552e-476e-ab33-42f62f125af0	0	0
428e6401-284b-4afc-8494-0dd6344968a3	0	0
42b425f1-566e-4197-a5d4-5765d8ab2ad9	17.1436818181818182	1.42870682138888871
3b7ba510-ec01-4f67-a187-436c04ed64da	0	0
27d6b630-a1ba-4633-907f-6eb18358c33a	16	1.33339555555555545
0542a290-626d-4f31-adff-d45a4b600f73	0	0
c0080e77-d2a2-4c23-b0e7-fd74d474e7ea	0	0
ce806ea7-a69f-4acf-b214-e1b3dbe06258	0	0
4cfe7b77-a012-4dc5-a109-319a3efaa451	0	0
b57b4abc-5486-4ed6-8491-94ffb4774771	0	0
7d0f9536-8139-461b-951c-297ed1b573c0	0	0
b6918df0-13aa-4e14-9303-722f8bdf7fec	0	0
7803bccf-0333-4f18-aa8f-388cc5997374	0	0
5965b266-04d8-47a8-8971-38740a74e08b	0	0
ff07f8c4-ba26-4f73-b0f6-264e37114e2d	0	0
0d5ddd22-e162-49cc-a0e6-76c094585e48	0	0
0aacadfe-8f0c-4273-950f-1623fd1f0293	70	5.83360555555555482
2c71e951-d8e8-493c-aa04-e2f881cd3c95	0.594125249072381956	0.0495130779793610393
3c7c5da4-064e-4eb0-9953-2316a3dfa2a5	0	0
124a400d-1a3a-4fc4-84c2-fce6243414b0	0	0
df277263-436c-432b-891e-d8da7d480d40	11.1837229437229446	0.932026617412217484
ec600fc8-221f-420f-9b97-f41b418797c2	0	0
c1cc0256-befe-44fd-8135-116555d20e01	0	0
182115b9-5751-454a-82e3-a3b533240d77	17.1436818181818182	1.42871634565656569
68a50439-39e4-4117-8ca5-c3ea2ef12dc5	0	0
2fef03c2-7b66-476f-8ae8-64b6d4c76a41	16	1.33340444444444439
600b06e1-480f-49b9-adae-3526cf7ad835	0	0
b817d986-f2b9-4912-82f7-cac00b5900b0	0	0
00436b38-3617-47e8-8916-d10555b24f68	0	0
e7d067c5-6073-4d8e-9697-400700433da6	0	0
2db25bdd-d735-4cce-b066-24d87f0ddb20	0	0
e0a349ad-0a04-43a0-8e73-00bf91f5c6e3	0	0
0ce90dc0-ba20-4dce-bfc6-5e4cba407f21	0	0
6a7af306-f9c0-4938-a7d3-5902732166ad	0	0
fc74b2ca-9726-414d-87b1-e1e6892be10c	0	0
35c01057-6f38-4eea-8a4c-9eeb8dbdccfc	0	0
6de645ef-5b5b-4a28-987d-a7ca1e7dd887	0	0
388d8a09-d1d5-416a-9060-39a7fcb45a70	70	5.83364444444444441
440acc3b-22e8-4f8b-abea-44f03253f857	0.594125249072381956	0.0495157185360235799
a63a509e-3512-4e44-9e5d-521ff42fa7e6	0	0
23a79100-f40d-4595-b087-d7cb3d825d27	0	0
5eb1ebdd-b6e3-4542-b9c9-21b72c1a0db7	11.1837229437229446	0.932076322847522953
072dced2-b569-46fd-b092-0ba20ea2b52e	0	0
5ed0a7b5-2423-412f-b443-ac852223c1e1	0	0
f8fee609-5240-4231-a9c4-dd4dfc5b6f39	17.1436818181818182	1.42879253979797971
48044db0-3146-4a66-aae0-10da8ae9c160	0	0
b4bed262-b830-43fd-a72a-05061ea0b734	16	1.33347555555555553
ffaa87b8-85ff-4795-914e-bf046c476aa7	0	0
d3120aa4-0149-42a7-b8d6-ba8aa4c49364	0	0
d8e3f382-7113-4c1c-8283-b3ab8978d07b	0	0
d72e12a1-a487-453e-86d2-0f4032ab1092	0	0
f16d80dd-7adb-4531-8e92-401dc75fba00	0	0
8d2ac212-3ad2-4021-adde-e9f139686305	0	0
8bd4a0c6-1c47-42fb-b2c0-1e17680bfb4f	0	0
efa8a54d-662b-44e3-9a5e-b4e96622777e	0	0
84dac3c1-c61c-4970-a97c-2713b0f3d298	0	0
cdf364db-e326-4893-883e-f4588a0d0cdc	0	0
4985daec-bc84-4756-a9b4-1f7a8df6188a	0	0
9248fff5-e60a-44eb-940c-bd52e9e8d136	70	5.83395555555555578
3deef110-6529-4300-81d1-eb9071b2a88c	0.594125249072381956	0.0495134080489438577
51d6d105-c002-4302-b6d6-568c309d49b4	0	0
2eca8484-a6c1-40b9-a411-9a864bd4b52c	0	0
2643a934-c465-4ad1-beef-7f07cd4e7ca9	11.1837229437229446	0.932032830591630668
aaf34fbe-8a9d-4276-9c46-d94695f51e2d	0	0
a1ddfe0a-14e9-4b83-806e-bcced1aaff9f	0	0
e257009f-9c1a-4a94-bef0-4e83bcb5a421	17.1436818181818182	1.42872586992424244
08722f69-e458-4f73-b62b-f02051679f27	0	0
e19d883f-335f-4a89-83b2-d5d1ac91cfc7	16	1.33341333333333334
5625f3db-85de-48c5-aa4e-5c8a488d7af7	0	0
f695384d-5f5b-4122-b5cf-1805452a68d1	0	0
55a0c4c2-1b2e-4800-8af2-48abd67cf17a	0	0
b0444604-ed17-4bdd-8282-77c871371131	0	0
68182be6-aa33-4b7e-9b3a-6a3788bf42f1	0	0
0afee0b1-deae-4537-8135-9cb192efa217	0	0
13d6ad04-f04e-4ce8-b6da-dba994fe82ec	0	0
b632f5d3-fde4-4e49-af12-c6d32121461c	0	0
c1b55222-661d-42da-b54b-11fad25d7f63	0	0
ef0b6a7b-121a-441f-97a1-044e23dba749	0	0
817d411f-5d41-4d78-82ea-3d7a09cb44c2	0	0
9513182b-0c70-4fa8-b8e1-2d5224efc080	70	5.83368333333333311
0e0a06b2-9d1c-4b23-8d87-9713bef72e75	0.594125249072381956	0.0495127479097782208
1ffc9b70-2014-44f2-9cc8-fdd84dda84cc	0	0
699335e4-29ac-4d55-8f52-2d1cc83b1d27	0	0
399abca0-ffd5-4579-b662-50870337aa8d	11.1837229437229446	0.932020404232804189
72884c5f-6f80-4676-8282-0911aed13d12	0	0
610e7344-44aa-4767-92de-bf9530d0c7c4	0	0
b477e33e-715b-4ba6-a3e2-0528926e17f0	17.1436818181818182	1.42870682138888871
64a83b6c-a233-40c3-ad1c-02be6cae3d2a	0	0
e231f289-7884-4ccd-b235-30fd09501cbe	16	1.33339555555555545
abfa69e6-8492-42dc-b1e2-610c3d483493	0	0
bbae7169-14cf-4605-ac63-8df7bed65356	0	0
51e89f84-81d6-4aff-9f51-176dc5b348a1	0	0
f82cfa90-ac86-4e0b-aa7d-a12f5bc71e77	0	0
d1ecbd06-b803-409a-92f5-62e914177bf6	0	0
7c0b9fc0-f321-46d9-8097-08776e8c3d0a	0	0
e3607f83-3ec5-44af-a959-61d55f1d4d8d	0	0
25a00336-2202-49cb-af74-45785cb8f8cc	0	0
e60e713b-7f60-4328-bf76-7942e276224f	0	0
6b97b7f0-32ec-4e91-8821-e26f2eda3ae1	0	0
e4c6fe91-52fc-4022-b295-f1bd6b6dc531	0	0
08f846c2-1e1e-4eb5-97cf-69a5c3888303	70	5.83360555555555482
784cf533-7730-4e29-b7c1-c69a5d4d495f	0.594125249072381956	0.0495155535012321707
3260d7e2-df4e-482f-b1c9-2b116ceea782	0	0
3c6a799f-1caf-4d7d-ac25-e5558d3962a0	0	0
8157873e-282e-4158-82e6-05deb67fe076	11.1837229437229446	0.932073216257816251
0acf86f1-2c3c-427f-bc06-7c13dca002ee	0	0
a6387781-32a5-4cad-a1d8-886854003df1	0	0
d2f475c9-8bac-4998-921b-721d360649bb	17.1436818181818182	1.42878777766414133
dedc9cda-6a4b-4f7a-bb9b-f9f1a438185e	0	0
f5df1bb1-ba5a-4ea9-9e54-7e87a9187984	16	1.33347111111111105
a47d70fc-2cee-4423-898e-c42e8dc522dd	0	0
d2c8d851-2ca5-4e9d-9516-f920326f6605	0	0
c5798b58-4a64-424c-af99-d30175b41d1d	0	0
a56a177a-d294-4566-b67e-060b672f889d	0	0
26e391a8-ca28-4254-9e06-55d7ffb4fd3d	0	0
f30ec0f5-23bc-4f95-9753-45d7b5286d8e	0	0
44b92542-6853-48fb-8913-714a254b238e	0	0
d9d11166-ccc0-4337-a309-44790ace5200	0	0
4af41a5a-c233-4749-bc5a-9463e7dbcb90	0	0
51391168-8ceb-4e59-9bbf-5fef6df4f9b9	0	0
f1b11149-f3db-411f-9f4d-04034e68a600	0	0
a7f9d86c-75e6-43ec-b8be-3fafe08303f6	70	5.83393611111111099
c04b52c7-4388-4125-9312-4a9a4bb3b699	0.594125249072381956	0.0495119227358211747
6c088ee1-56da-48df-b1ef-681279830062	0	0
1c67ff15-6499-4ea6-b600-ed836f03cf4d	0	0
0969d558-787e-470e-9544-19737a0f80e1	11.1837229437229446	0.932004871284271341
39f8d60d-b0de-4686-97bb-d46405abcad9	0	0
94d344b6-605f-4ab2-8487-26888986db4d	0	0
cdb0c565-f79a-48a9-b8dd-f16271de33f6	17.1436818181818182	1.42868301071969683
c018565a-a1fb-4522-b5c5-8428cfe3fbf9	0	0
25e9aa1a-6687-4e6b-b59a-b5d1694f2a1b	16	1.3333733333333333
279e25e2-878f-4f99-9931-43b50e3c12cd	0	0
ed3e255d-ea43-4049-ac92-354525b88f04	0	0
14e9aa77-e60c-42fc-85b8-e0d7cdd90d79	0	0
512c0a02-5871-4c59-b271-9850ab27cb7f	0	0
a541adbd-2620-4af6-bea9-cc3497cf39e8	0	0
dced626f-224d-4c41-82cf-a600b93c29b8	0	0
a28f4ff0-ece5-4d70-bff5-0bc031ed4903	0	0
bb5dfaf6-4584-4647-8ab8-73e241fcf6a8	0	0
2a9fe8a5-242c-4a25-b741-ced374791869	0	0
5a8e6ff5-09ce-4f5b-ac40-76e365d22630	0	0
3ec4ca48-a1f8-4e8f-a7d8-3e19d022943c	0	0
0bb498c1-b676-41d1-a7d2-9fa9330e760a	70	5.83350833333333352
886c2282-3bb2-494f-93ba-4d9210f0fd2b	0.594125249072381956	0.0495143982576923131
4b86d3b5-530b-43c7-9fb8-f3f22513a26a	0	0
7b139d85-16ba-4571-a6f7-73207a61f18e	0	0
a95f0141-a4f2-455a-9c8e-0717935d4207	11.1837229437229446	0.932051470129870219
38e3638f-5b54-4f22-bf65-d5044f6856af	0	0
e260d802-f0ce-4fac-9cc3-a17864f973cf	0	0
218fe102-65f4-43eb-ba77-447ef70e9b70	17.1436818181818182	1.4287544427272727
55a47840-c818-409b-b07b-934d3e2656cb	0	0
3ce5507a-5c1a-4534-a250-4b5ce52f35b2	16	1.33343999999999996
0b360480-7649-4b5b-bd64-42554d7b607b	0	0
37d90ebe-3789-49fa-a81d-ec90bb5d8838	0	0
9ea58a32-13e4-45a4-97eb-3f14b6808424	0	0
6768b490-6965-416c-9eaa-fb211c35cd9c	0	0
349c0a9a-6058-46fd-964e-f8c375377309	0	0
dd0e61d7-a21a-45a1-819d-dccc298594ae	0	0
b671ee9b-b864-496a-a2d7-cd3ecec1151b	0	0
2e5a1a2d-3355-46eb-9b29-8d8572b9ea99	0	0
207db35c-65cf-4fe4-ab05-aaf848896d18	0	0
005d7bd7-f6b1-42d8-bac2-77f306b6fd3b	0	0
d0fb6020-9dd0-48b9-9170-6daaa59b59ca	0	0
da7e32eb-fbd9-45b7-945d-7d376a5b61a1	70	5.8338000000000001
ec972b10-1ffc-46ed-a535-628d46aadb67	0.594125249072381956	0.0495140681881094877
9b82bf7b-051f-48bf-a2f3-c027f0c30999	0	0
f47193da-7293-4a67-a966-c11b79448117	0	0
d826c0d8-5f24-41fd-b0f3-a754b8f2e61d	11.1837229437229446	0.932045256950456924
c61f3c79-51ee-4393-ba43-181d5d6e0d81	0	0
14d824f8-be75-43ec-b9ad-4f26706d6d9c	0	0
3bc490a3-d96d-48ae-ae5d-064b54a514ad	17.1436818181818182	1.42874491845959595
7520846f-ba85-4f73-af74-c2d36b4e6038	0	0
9cfbcbff-7df8-4c4c-a36e-bd9e659e86df	16	1.33343111111111101
0a74bcd8-ed91-4820-8673-745c43915e2e	0	0
9bffa1f2-c4f1-4f07-9f0e-c63f3a21374a	0	0
0ebe1dcd-66ba-4a50-9bcf-6e1a6785cc7e	0	0
5dedd8f8-9fbc-49ed-ab0c-734fb4e0ad29	0	0
4f733dd3-3ab2-46f8-865e-2fe6f6d6f3cf	0	0
1681f5e7-0029-49da-9bdd-ee3f11f3681c	0	0
39c1ecc8-0a41-42ca-89ed-47898f97667e	0	0
44004f1c-aec4-4e3e-99ab-173f9e72d08c	0	0
8f662c6e-e459-4fab-a6fa-2cca3cf303fb	0	0
36569463-8cdf-41f8-bbcd-5138fbf5ddbc	0	0
e54bb797-ab97-4e6a-ab6c-7a50e0b55d4f	0	0
2690256d-6c44-4285-b940-078e344f5575	70	5.83376111111111051
df30aff9-b12f-4fe5-b880-93f8fcf5e453	0.594125249072381956	0.0495082919704101787
20202983-1bfa-4f50-aed2-a74e788310c7	0	0
41a5b769-5ca3-4efc-85a7-250b7b55c19f	0	0
62dceeb2-8a62-44a8-a71c-21f2b27e6df7	11.1837229437229446	0.931936526310726432
ab252b6c-493c-4717-8716-a2a4dda6404d	0	0
4982824a-ce42-4c60-b892-e3c1ff8b9fbc	0	0
3b502b48-45b8-4b74-b7b0-c567fbb4f65a	17.1436818181818182	1.42857824377525255
1a370ae2-85e4-43e8-a341-4c9d0efa4482	0	0
abef1b3d-5ffd-42d4-9392-62389707b5ba	16	1.33327555555555555
90dca5f4-65ae-440d-b7d4-45ac61136dcf	0	0
7abc7381-7fd0-4ba0-b91b-a8c9a6971b93	0	0
391c38b4-55bb-43b6-b61a-3ed00f8b6790	0	0
c615222c-9ee5-4b54-b73f-00e07fda20bd	0	0
537a9927-4609-4e42-b91e-7cbfe618c7ec	0	0
134356fe-4f59-4fc2-a5ca-68a85123fcdc	0	0
af09fdd2-8ce1-42e4-859f-d561176f273b	0	0
a667726f-cc03-41cf-83fa-43f5f15d665d	0	0
39e21ac2-631a-4bb8-9a9f-d1c4a36d5693	0	0
cff9b45f-00a5-4b16-b068-518effd4c138	0	0
f1aad7ba-2da6-4b0a-a77f-cb09504cadc9	0	0
daed6cf7-ec74-48eb-aa94-202bbb1ea739	70	5.83308055555555516
9cc83c8f-2509-4290-abdf-26dbe17eae44	0.594125249072381956	0.0495142332229009038
332c9ceb-f306-431a-a7b2-2bf09ec9fffa	0	0
564c7472-f5cd-4697-9edb-6dc6649eef2e	0	0
18edab94-187b-46de-8d1b-72eb85b13a07	11.1837229437229446	0.932048363540163516
bb3f04f1-4270-4e0f-be5c-30babb56269d	0	0
142022d4-90d2-4552-b746-7e69ccb092fe	0	0
a412f503-e701-4456-b337-277519880d02	17.1436818181818182	1.42874968059343432
7da2ae0b-14a6-494b-9d40-6471c605b471	0	0
11616f44-0198-435c-bc18-6d4e01138c72	16	1.33343555555555549
a68e57af-cb49-49bf-b43a-1769bd09ec5f	0	0
b1f75d2d-8597-4512-96f0-8d0daa6344cd	0	0
5bd8a061-3b6a-4e64-9d3c-9b561cac4df1	0	0
b5154217-b9d3-40b4-a7e1-f274c9d15ab4	0	0
5dbb4c48-2d62-4a3d-998a-139aff5cb859	0	0
9e511078-5945-4d11-b05d-af330d9024e6	0	0
dbf088f7-48c9-4f81-a8cf-62b00f420ff9	0	0
50d2d641-e91c-4819-93f4-41ed033859ff	0	0
ec45afab-156c-4be7-a38c-899f54da9971	0	0
6508baa9-6605-4f60-836c-03a936126ad4	0	0
31e160bb-5089-4a2c-b947-292f59713889	0	0
55a4af27-cbec-4501-874c-36a291703fea	70	5.8337805555555553
98d0fb3a-745d-4106-ba7d-edb51b7e5da2	0.594125249072381956	0.0495209996493486751
e1ea7961-f72e-4a2f-b558-eb42808c66d9	0	0
af9bd52f-ec79-4ebc-9b99-e0b19d818655	0	0
18e84d06-17ef-4ca5-8915-b16fd2408772	11.1837229437229446	0.932175733718133781
2275e361-fe93-4c31-8ee4-f65da4aad69e	0	0
5d1681f7-cbae-4b43-bde7-c8231e131f35	0	0
4e85ba8d-73de-4e2e-b69c-b6a4b9464254	17.1436818181818182	1.4289449280808082
b5bf04ab-3d52-4359-90cd-dc54a502e218	0	0
f27fc569-fde0-458d-ae05-5a8ae98457d7	16	1.33361777777777779
8018e2bd-d300-423c-835c-c4c27fc48b93	0	0
c3b67167-8b57-4190-98fe-ecbe75ba7e1f	0	0
fc69f3ea-49e9-45bb-8580-51031606f4d0	0	0
997ffd7f-db11-45f0-b31c-62420467d988	0	0
72bec066-f740-4e70-8513-e5da86263fce	0	0
399c4e1f-71e0-47a3-a244-d354019991d0	0	0
3404d7e7-36e9-4481-9841-1384f3a63097	0	0
84b73866-e211-4158-b16a-bc965e5084d9	0	0
1cfcf553-5174-47ce-8244-331e48288486	0	0
b5f81a54-4be3-4d17-9bf5-bc4992e86aaa	0	0
5110b4f2-70ca-4582-97f8-f5f2b331d917	0	0
58ffc761-80c0-4c4c-befd-b871b48588e9	70	5.83457777777777764
db251a3c-583a-4c79-bd92-bb17f6ac9bb0	0.594125249072381956	0.0495104374226984917
a0064f5b-4484-47d7-9ef9-cdd9bc0f2521	0	0
6b3f26b5-de20-496e-924e-2bab0ce80d48	0	0
5fa0d775-ddf9-4df0-9e7e-7c463a0c37cb	11.1837229437229446	0.931976911976912015
0b273041-293d-4ff1-9401-455337bfc01f	0	0
66bd4dc9-ac91-41cc-983d-924e2817981b	0	0
c910bfba-2b24-46cb-87f7-43b3d08660a5	17.1436818181818182	1.42864015151515145
487c35da-f71f-4f84-959f-6dde48c1ced1	0	0
6032ccaf-3388-4b30-8723-f31bcf1f46ae	16	1.33333333333333326
4e10d907-13fe-4e8e-ac3b-38e219880325	0	0
59c6a383-006b-4e94-af83-4c3bcb7e4c3e	0	0
13cc866f-23dd-487a-a5e9-3c12ee9ed980	0	0
37514401-aa6b-4935-b3a6-9abfdd5905c2	0	0
16a0f3f2-6f5e-4b9b-8530-d895ce4b4fad	0	0
401cc89a-6186-438e-8f24-4c2d5678c8d1	0	0
a9fbfc6b-b2a9-47d3-aa97-0182a03e9226	0	0
2dbd34d5-2ec7-4fc9-acdd-abd7948998c2	0	0
48fdeebb-4d65-4e4c-97df-b8ac40bf02e0	0	0
ef281707-5ed1-477f-8e8c-7f000e3f1c05	0	0
6d6ac644-e0df-46b3-acf7-a89ba8b561bb	0	0
7de3ba7b-6ff7-470d-ab03-f012eee7d10f	70	5.83333333333333304
a2810eb5-6920-4b01-8b0a-4f24dad8fcc0	0.594125249072381956	0.0495134080489438577
30f20024-acfe-434c-b4a2-526a9f799290	0	0
3f124b42-5b10-4834-90f8-183f1914acb9	0	0
8b304e4a-a21b-48b1-8fe0-39fa53e37bcc	11.1837229437229446	0.932032830591630668
3359e098-33fc-481b-895d-bb0b48600f1d	0	0
c019f8e9-c08e-4a01-8f55-f27685f66e0a	0	0
02d47ae8-f25e-471e-8f81-4a41eafaa3f9	17.1436818181818182	1.42872586992424244
603d7098-018c-4ef8-8d71-bf1b62dbc858	0	0
df814b7b-3a06-41af-bc22-51e1e34dbfed	16	1.33341333333333334
27021ed3-63a3-45a4-a47d-e0135b93a711	0	0
9208ad09-f5d8-47ce-bada-afcc31f12db9	0	0
190cd4a9-ca3d-420c-9554-4f2731e77f89	0	0
6627bf85-5fdc-43b8-b268-9be8fd840aa3	0	0
739ee173-22e2-4c13-994e-7f4715e3a391	0	0
764c59ff-7547-4ee4-bcc7-a481574d3adb	0	0
d8e031c2-3756-43af-a9de-8578ff4c6107	0	0
f80dc00d-4337-4249-921e-45760fecc60e	0	0
58272e3d-78d9-495c-8fcd-48f8d4debda1	0	0
ea3c34ec-5d7e-4cdd-87a1-4529b842acb1	0	0
700697de-32d4-4ae6-9103-cc2cba1c2361	0	0
57abe966-521e-444c-b879-5cc5b8d63537	70	5.83368333333333311
7cd91c89-ad5e-457a-a6a9-368750d52a4c	0.594125249072381956	0.04951505839685795
523b8cf3-145c-4ff5-98dd-51b85aec1eb8	0	0
d94f5647-a8d5-4337-999c-34f6baeb27cd	0	0
3b5999b7-8a9a-4c3b-8729-02b99e11f901	11.1837229437229446	0.932063896488696586
a47d8164-6cb0-4107-bbce-bd6e15e6d980	0	0
e3056a07-6bfb-44d6-9c0e-1fcf26b6a08e	0	0
ca62de8a-b24a-4509-9204-07669632e705	17.1436818181818182	1.42877349126262643
509df39e-8382-4e58-916f-87122ad6b81d	0	0
5171f749-4689-48b5-a7f3-08e972fb2614	16	1.33345777777777785
d581476a-2a25-454d-a304-07d668caef73	0	0
fdf16254-8481-456f-882d-48f647b60d04	0	0
1f1c2335-e525-48ac-b7be-7b20afcfd10c	0	0
2b06dcb1-976b-4f67-bf1b-9413d449ee49	0	0
32d0b72d-a536-40dc-adb6-313017d22ec3	0	0
e28f671d-8af4-4cc5-a0b1-46da4a77a26d	0	0
c2d50483-aa39-4ade-bcc3-3de9dd53ed11	0	0
30078b8d-2034-4544-92f9-fc3330754f4e	0	0
d66cc9c4-66d4-4ca0-a048-b0f767a104ea	0	0
e09ae733-2e34-44ea-a887-a6f5a9fbccc6	0	0
e224ef26-9af5-4a87-b1bc-d0aabf1aad09	0	0
590a193e-2c8e-4606-8849-b0e1ea4f2f7b	70	5.83387777777777838
0a99f404-8068-4a91-8226-a6fca0286067	0.594125249072381956	0.0495152234316493592
d2818874-e15a-4a7d-aef8-9b1b09592d41	0	0
0144af06-66ad-41c1-baba-15edeae20bbc	0	0
4c5f2ce9-1347-4373-8816-25bd6b47f9d3	11.1837229437229446	0.932067003078403178
006f1fef-d27c-4a83-97fd-9ff13a94a8a8	0	0
e229d40f-369e-42a0-99db-7a6f3801167d	0	0
6b51c8de-c42a-4517-9f77-5f2ac16ea335	17.1436818181818182	1.4287782533964648
7d075343-0926-4afa-9470-1d2e145a7eb6	0	0
892540ed-733f-4f43-8f98-c357b36761d3	16	1.33346222222222233
9cb17124-0165-40d8-a7c7-5c75b9f59b48	0	0
76c4adbc-ff2a-4846-90dc-8b6b02abc3f7	0	0
6d5a1b22-484f-4593-b87a-ec633bdb02e7	0	0
e31fe6ce-f005-4ecc-9326-6312ff071b31	0	0
5900ecae-9de1-4095-b9e3-fe08344daa3a	0	0
f97aca66-b0a1-4501-a8b4-b8969a4cff2a	0	0
2e9d68a9-c8ac-41ab-9f87-6bd026bfc461	0	0
195ea69a-db31-4150-9a42-f2160f876489	0	0
056be90f-c44b-4a9c-8baf-4d98e64606a0	0	0
440c416f-bf9a-43eb-9894-39cc86aa8b36	0	0
c9383b1a-c777-4a99-9739-28971c0df25f	0	0
37493067-b60e-4a9f-b41d-e3bb1cbaa610	70	5.83389722222222229
ab53975c-93fb-4551-88f6-4886ee874c2b	0.594125249072381956	0.0495112625966555447
301175dd-a58e-46a4-ad40-213d2dc7cb60	0	0
556b0501-87fc-4b54-9d0e-8ffed8bc92c9	0	0
a4501199-3b42-4d82-9d8f-5230761a0a31	11.1837229437229446	0.931992444925445085
c79c44fd-7693-4d4f-bfe2-eac4e1ec7e80	0	0
efa71fb8-2cbb-4564-8fd3-0b3f026aaa0f	0	0
bc53a1c1-f67b-4d5f-9fb4-c784d5183fa6	17.1436818181818182	1.42866396218434355
92c50ea5-82ba-404f-848c-a5e404bb1ba4	0	0
73c4dba0-c35f-4f9f-bf6a-47cf54c71561	16	1.33335555555555563
ac916199-7e83-4ed6-89e1-6a0518b14bba	0	0
fccca540-bf82-4c47-a618-17d660448eed	0	0
40f6a634-b6e9-49fb-9e6a-6a3604ac55a8	0	0
10e0340c-38de-450a-80a2-709f4839c150	0	0
371208cb-91df-46cf-95d7-2052e18146c0	0	0
aca8a3ad-d2fc-4531-b1d6-8f5afad98606	0	0
b52db817-ff07-4ab8-9bae-347c5775ae9b	0	0
4f792fd5-acc4-4fe1-af36-aed387aefa17	0	0
2c4ff1c2-05ff-4e38-8c45-7e7001e286db	0	0
cc4da580-7f95-4c17-b29a-19754dcf35df	0	0
ba2587c5-0d25-410c-b8d3-bf3e83ea47e9	0	0
01ebdf87-59af-480b-b1ee-f6788f973499	70	5.83343055555555612
8cd77617-a19b-460a-aad0-8573f03e4275	0.594125249072381956	0.0495130779793610393
b5a24380-1c8c-41c7-9b64-b2141752fb86	0	0
dc94609b-a008-44e3-9b25-82e36773a2ab	0	0
2f84c585-ef56-4dd0-b7c7-bca63865064c	11.1837229437229446	0.932026617412217484
1ce6aad0-5871-4117-a4ed-1f05403b8c6c	0	0
1a943cdf-e376-407c-ad9e-11310fbc5825	0	0
4f4e561c-f4ab-47e1-a41c-94209b5cdab0	17.1436818181818182	1.42871634565656569
079f1618-5d59-4ed8-84c6-b4c8ba005417	0	0
1decb040-ad53-4ce6-a8ca-d0201fe30944	16	1.33340444444444439
62eeaccc-2efa-4b7b-b94e-dbdc9447f5b2	0	0
03f4e06c-0158-4c08-b6e4-4ba65433b650	0	0
b90b9a4b-9d4c-4e32-b6bd-bad822e6d23f	0	0
daf5f252-4a86-426d-aae6-b3cfc218d37b	0	0
5e49cf0f-11a4-45bd-93bb-906b2c86eaa1	0	0
ee189380-f50f-49df-935c-d314d53e77e8	0	0
325720b5-5c13-487f-bc0a-dce95b909a87	0	0
96e996f4-c2da-4a76-88a7-e9350d72aa01	0	0
ead685ce-04bb-41b5-ac53-db1afdff5a19	0	0
4bb9febf-62e9-492c-9402-dfc678273a61	0	0
6c52b81b-9b6b-405a-bded-12f0ffd600a5	0	0
0a7514e7-15c1-46f2-aa3e-bde50a6ed902	70	5.83364444444444441
5d987ebc-179c-473a-b56a-24807df2bb03	0.594125249072381956	0.0495084570052015879
f46470fd-f729-4c3d-9d74-ced58eddc8e2	0	0
883ff536-19d2-4d65-8c13-aee86e1047ba	0	0
96a05a0a-d007-480d-8e6b-3005109cf9f0	11.1837229437229446	0.931939632900433024
10a330ca-db7a-492f-a597-d46349443dfc	0	0
08753c5e-308d-473f-a420-af827e49be10	0	0
4cdfd184-345a-4c28-af34-541978e0c7b8	17.1436818181818182	1.42858300590909093
d6e02817-e39c-40fe-98a4-522355d59f35	0	0
dcb9d715-9fa4-414c-a513-1b61fe7a741a	16	1.33328000000000002
8da43693-8fe4-4e60-a424-5ca7a5ef4bc8	0	0
baa34ac3-1ba9-40fb-b476-1e3c9b3109fb	0	0
d4530229-a52a-42f5-9e88-e22fabb19874	0	0
c1224bd1-332a-42d8-95de-f3b8c0767255	0	0
2404af47-cc96-481a-bf48-a8aec36dd567	0	0
97414d4a-e0b9-4965-8f04-0e26e460613d	0	0
1a02985f-1534-4fae-9634-da021ba6cb9d	0	0
887f8f75-e4ee-4b01-a7e8-62247eb68a4d	0	0
3904c372-36fc-4cd7-89f5-0df5d7171f89	0	0
e1dcf3ad-bd10-4f0e-b15c-39c8ada93c73	0	0
23b4f117-a449-44c2-a0f6-a4177607b6c1	0	0
a2e669ed-1c19-4cf4-a960-ffd7cd10b579	70	5.83309999999999995
3544f912-6d4f-4fbc-9805-3d420082468a	0.594125249072381956	0.0495172038491462629
bcaa8da2-8614-4fe9-84a1-74113762a18e	0	0
149dbdb7-0712-4909-9099-1031b4d25283	0	0
32f58a05-ba9c-4e37-b672-5b9c65c612c6	11.1837229437229446	0.93210428215488228
7f50f5e1-bd17-4019-a6d6-c4ac831cc08e	0	0
23ef0ba5-d9f4-459e-9770-1489f058c396	0	0
d82a402a-256e-448c-b845-950a64b4b7c9	17.1436818181818182	1.42883539900252532
10ba4c7a-7fc9-4809-885b-250c277f65ab	0	0
785bc0a0-9c8b-4c6e-9919-86c9c2883e00	16	1.33351555555555557
0a94bcd8-8a51-4210-b308-fc16e1579324	0	0
324f8bf7-6ef7-45b7-882f-32a87a60fef0	0	0
95590b3c-97db-428a-b52a-d5ee97efe126	0	0
c0f9c2f8-403f-40ba-9247-7fa13e0055d8	0	0
af749ad0-0e96-4122-9177-8bdb431b5c68	0	0
379e39d9-304e-473f-bc5d-52854e8efe9d	0	0
571a749d-56a5-4823-aa2e-9fb598365ee7	0	0
bc1cf702-36a0-47bf-a9c8-b7489315b61f	0	0
851a4415-0cf5-44fa-ace2-2804d8a7da0d	0	0
89c6c44e-1026-46e8-b696-537faca7afb4	0	0
f2f0f137-c577-46e5-933e-86c1dfe33241	0	0
5ad838f0-e43a-4317-8dc8-31c7fa3f04bf	70	5.83413055555555538
df463235-7d12-448d-8d0e-a8818c16d512	0.594125249072381956	0.0495147283272751315
5387037d-0fa5-4a84-ae5f-a11bb36f5890	0	0
b55b5b3a-ea82-46c3-8e61-6c4215bc620d	0	0
e01230d3-0e22-4756-b687-9addd35bb3b6	11.1837229437229446	0.932057683309283402
e7fa245c-242b-48bb-a69e-bdbeb78778ef	0	0
9de3bc30-8ad2-4940-b192-2a947a39c759	0	0
c299b5f5-9ec1-443a-a04e-77e0a9f72534	17.1436818181818182	1.42876396699494945
5c33e29a-4e46-49cd-b283-9ee69bea5ddd	0	0
ff53b9fc-2b35-45ed-b364-5e701eb71380	16	1.33344888888888891
545674c4-0e65-45c3-8491-b529de55a4bd	0	0
89531b9e-ea07-435e-bff9-0c1a75995557	0	0
80b01ef8-a38e-4588-80f2-938608730815	0	0
1d7177e2-85a0-4cfc-94e1-a5a4dfbd572e	0	0
7edde9c7-4e11-4918-8f05-fbca1fc54f4c	0	0
f4aaadf3-9680-427d-ae4d-e14feeaa3ad6	0	0
63394e9b-58b3-497c-8595-92cef3fc2833	0	0
d409086f-649e-40b6-a357-861da5d3357b	0	0
d3bf1dae-b061-461d-97c8-04a7b8f35c46	0	0
d4766f19-5686-4d7c-ae57-bbe2510df8a2	0	0
1c916f68-2e65-4020-8e01-6ee982e6baa4	0	0
801c9014-f31e-4136-be19-966bd48e0618	70	5.8338388888888888
4f869ccc-369f-412e-b342-f59627d25a6c	0.594125249072381956	0.0495148933620665407
01293a02-317a-45a6-bf2d-539a0f4ab1a1	0	0
dd408eaa-ce91-41e5-b4e3-a09afaf1bf1c	0	0
50964593-0589-4927-b657-99793add4d62	11.1837229437229446	0.932060789898989994
b84e8bdd-3f3e-4a6c-8fc8-b2baf9e9dbf3	0	0
45745a94-2b5d-413c-a447-684b33178a79	0	0
2b161bf3-9836-4516-9c14-51e87e4d2549	17.1436818181818182	1.42876872912878783
606cb6c5-63dc-4b11-96cf-59ac73400a4e	0	0
f21229e9-9c86-4956-b559-16c523549fef	16	1.33345333333333338
f8806e28-b239-48c0-b876-1e24b7ab556c	0	0
b33dbc0b-73d1-445f-a7f1-73373da17d51	0	0
e30b04a7-7c97-4055-a87f-8f9c2a1a9a99	0	0
ba87db65-87ec-48ca-bdf6-a50425bef051	0	0
68c7cfbc-010f-437e-a2e5-36e0dd089e86	0	0
3a356d61-deb0-4101-af51-147431a86f36	0	0
554ba6e2-4068-417e-832e-7c7b054949da	0	0
3eb7ae82-d00f-45e0-a1c4-989f862ed01c	0	0
54bd5ffe-3ddb-44c9-aa03-49201e798efe	0	0
6da778d2-36f2-477d-9251-bcc47d127316	0	0
87ba4684-8ca5-41d7-a747-e98f14a159f0	0	0
863f1dc8-2b15-4edc-9932-453a5d6ac287	70	5.83385833333333359
27316f8a-1954-4c27-b156-fcf77164d11c	0.594125249072381956	0.0495143982576923131
4672d3aa-1697-493e-ba98-ae454dad56ba	0	0
9a9eb54a-4e86-4033-a947-296f757b956e	0	0
b6c22743-1459-4bbd-9b49-2eb6bf6bd991	11.1837229437229446	0.932051470129870219
ccbfd181-4780-4e74-8efd-93bfc6432694	0	0
020f9c5f-7cd3-415b-8113-79e956e9bcdf	0	0
ec9f710d-1881-4fbb-a57a-7acb3218f193	17.1436818181818182	1.4287544427272727
145bb483-2092-45f3-8173-0cfacae90f4c	0	0
288e260a-38bd-4892-9ebd-267d80fe961d	16	1.33343999999999996
0c873773-69af-4dcc-bf40-b9ab52b2566b	0	0
9dbd2b58-8ce6-44b6-ab7c-eabc6f07514f	0	0
6471f95d-a3ab-4323-beca-671bc4d87f99	0	0
5ce87d27-3657-4fbb-bc57-6d04b72646dc	0	0
e06480a1-0a59-4b05-8fdb-1c1f6ae79292	0	0
2b908eac-9c84-48e0-90eb-8cb75b33de04	0	0
d0e2af69-aace-485e-8d5c-59ac61169930	0	0
943c41b6-98a2-4b3e-ab8b-74df74d4afaf	0	0
55aa8928-b861-4239-8162-d85eb421019a	0	0
332df600-bcdb-40a4-b042-838f62103b54	0	0
47423e1e-71bc-4b44-8390-72e2b84ca227	0	0
d68f14df-69d3-4fd0-972c-c940be8c8fdf	70	5.8338000000000001
a74a2085-27f8-49d8-9b95-05a2c030465c	0.594125249072381956	0.0495122528054039931
f239203f-12e1-468e-bbc5-bc66aa025116	0	0
c1c94661-a269-4a9a-becb-8b18af684494	0	0
8cd31da0-5fff-42ab-b186-bcffd6546590	11.1837229437229446	0.932011084463684525
0efdd64d-e136-4ac3-bac2-3a6874884cc1	0	0
63a37650-ff8a-4e88-95ae-58390ee0ee8c	0	0
b52dd746-9133-4ff5-b846-b794d69d3191	17.1436818181818182	1.42869253498737381
c1c8c30d-132f-42dc-bcc4-cb91b6980e6e	0	0
cc12df29-8b47-4c83-bdbf-4f132e339e22	16	1.33338222222222225
2c09b488-a193-4d08-96ea-20b5519d1155	0	0
2a0ef790-1c0e-45d7-a651-e130a1c9b103	0	0
5efc702a-671a-457d-9c48-d420ab8261ed	0	0
7c2b9201-01d4-484f-987d-9b8b9a391186	0	0
2f708935-a119-43bb-bd4d-63814516e76c	0	0
eb0d96ff-9fc3-48f1-bf49-9efbdfc28cfb	0	0
1a964496-dd6e-4abe-8a9c-2ceb2d7edb89	0	0
71610bd4-bebd-4c41-9d8e-0dc6c7dc3ffb	0	0
398a1952-8ae1-4568-aeac-f738e8a98596	0	0
7316157f-0519-4359-98b7-d0a126ef6828	0	0
ff792bc0-8726-4993-b57c-c937eddd9fd8	0	0
a4d912eb-0bd4-46f4-9f82-e36406f3cbc7	70	5.83354722222222222
799c430d-c53d-4dd7-b7f5-93a246d08d91	0.594125249072381956	0.0495152234316493592
1d33ada4-8c4e-493e-923a-198b230af5b7	0	0
edffa1f0-a094-460a-8705-9ce0c4ca6d80	0	0
27a59b9f-d7ec-4b6e-add5-17186686a089	11.1837229437229446	0.932067003078403178
a8385450-789f-482d-8d1c-dd6f8d89ae14	0	0
b315e81e-e764-421a-a700-4807b34ba8e7	0	0
558dd755-7088-44ab-b744-e357fe181c1b	17.1436818181818182	1.4287782533964648
f65f5d49-5ca1-4fdf-9048-54175f2563b3	0	0
cd852e45-5553-4bd5-bb62-c5651dec29f4	16	1.33346222222222233
5aac0b36-63c3-4285-a116-c1386b361a8f	0	0
5b0cce1b-09c6-483a-b2dc-8bcf100b7250	0	0
d65300c2-713a-451a-baf2-d59c608aeefa	0	0
2816c413-62aa-40ef-a3c2-5d64b713ee02	0	0
075fb74f-fb9c-4d30-a381-e5378a7b8e08	0	0
fba914f8-2c93-442c-860b-a88a14d4d8cc	0	0
3212cabd-240f-429a-ae84-e39975685d8b	0	0
6db0e817-797c-4c0e-a64d-3d2afca82c42	0	0
8e1b6693-2d4f-4fe5-a935-1850f357d3e7	0	0
7b0a3ed6-d10a-4560-a9e4-24aa9d4f61f6	0	0
49ecc86f-cc9a-4354-b4c8-4e00ef46c46a	0	0
24e4d500-0320-4d78-b120-03f9bc08270e	70	5.83389722222222229
1fdf576d-74ff-4db1-8e6e-f90da6cf2910	0.594125249072381956	0.049518689162268946
94c009c6-79e9-414b-9bae-c913390e3081	0	0
3afee448-08d2-47ce-a5cf-01b0ca2b133e	0	0
0302d6f1-549c-4390-9f34-9e26d9961479	11.1837229437229446	0.932132241462241606
0738e007-815f-45c2-b028-d6fdb60d5507	0	0
9ae4e31a-dcc5-4fa2-9eab-482ea9eee41b	0	0
7bc6e24e-0fdf-456a-ab78-9355ee459aeb	17.1436818181818182	1.42887825820707071
0c1101c9-63cd-433f-86f8-10cfe799f573	0	0
2e100b5d-f2f2-40f0-8724-239263d874c4	16	1.33355555555555561
4b08a927-677e-4ebf-bcc7-8811d7ed0eee	0	0
d17ac549-8181-4c09-80a0-8d05ee8e0c83	0	0
6756e348-f8ed-43b2-a8f7-263c2f4e9ef3	0	0
f053e313-eca8-47d0-a0c5-4b2696f88441	0	0
8b456b72-7f14-47f2-bbf8-98810a2da391	0	0
962d0204-aeae-471b-ac90-7ec773736c85	0	0
b8ab25f0-d033-4773-9faa-ebe232539afb	0	0
e582647b-56d7-4795-9e1d-1ee1fa6c6c40	0	0
0e2d21dd-1b0f-4812-9519-798e7f68df1c	0	0
01454fb8-e34a-49fa-aecf-3ed95c93c3dd	0	0
b3f4fad3-f6bf-4eeb-8ca3-b0a6a6662e2f	0	0
2d8d6feb-d5f0-49ff-b6fe-8e98163e1650	70	5.83430555555555586
eecd6fcf-c83d-4cc9-a79f-12ef2fe95dde	0.594125249072381956	0.0495033409266679089
08659887-e328-4af2-8473-eaae1743fb31	0	0
0c13d655-b307-4dab-b9cf-fdfc042fd7d3	0	0
abc3bd96-4126-4add-8122-6160051edab3	11.1837229437229446	0.931843328619528677
f726310e-7b43-45f7-a073-d2dbd677dfef	0	0
210d48ae-d669-4bd4-b578-4cd843c2ea7f	0	0
55d15ddb-9410-4b93-8ca0-6ae7c1d57c7b	17.1436818181818182	1.42843537976010104
4c0e82c9-9fee-435f-a7ae-2fb50b628ce2	0	0
c03ebd61-06a3-4ef8-961c-def62aefa2b8	16	1.33314222222222223
00439776-1565-4aa1-8244-756aa291041d	0	0
895f094c-522b-4ae7-98c7-7c0350261896	0	0
afa8ebc8-1bc0-4d80-b8a1-32741a4e0da6	0	0
00dc8988-bb72-4ce3-9e31-4adecdd05daa	0	0
043e7de6-50b6-4e65-8af2-d55dd751f66b	0	0
79bb4559-6dee-4388-b355-b8d8362f1fb3	0	0
df750801-ca62-48c4-9be7-a721dd3a9a25	0	0
b1d54e9d-2b0c-4c34-aa0a-6fd580c22ea3	0	0
c30f6c11-a7e4-4149-8c97-b903186a276f	0	0
b7418a46-ff81-425a-a3e3-d25b6ba3781b	0	0
2ff3d83b-eb6b-409c-a4e1-22546211b615	0	0
f1ee9f20-8853-4d70-9e73-f6c8bdfb55bc	70	5.832497222222222
0dea05f1-34b1-493b-a642-fe3b6341f6ed	0.594125249072381956	0.0495172038491462629
53118853-e8cf-42ff-bcf6-035138b828fb	0	0
aefc76cb-de33-4527-ad5a-356ef6cd669e	0	0
490ca335-04e7-4153-91a0-b353a4b56d81	11.1837229437229446	0.93210428215488228
c0fdcac0-6f28-4ea2-b151-774a414aa3ac	0	0
a985b969-8f53-429c-8737-879f9e26e04a	0	0
2bd6799c-b47c-4032-a94f-4d8c221e52ca	17.1436818181818182	1.42883539900252532
a0bd3ec3-502a-42bf-9e97-18428ab76449	0	0
3fea728c-6217-43bd-a232-1495d9928b76	16	1.33351555555555557
f353a730-954f-484e-a646-457a7d248a62	0	0
1563d84e-e630-4874-bfeb-49a382620b93	0	0
988a430e-49c6-474c-a1e6-ee758dd29147	0	0
d2311189-2008-4cbe-b69e-7e2db9f619cb	0	0
916d0cee-1473-4d59-85db-c791ba8b12ef	0	0
474d3297-2182-44e0-b3a6-54d4a51d2b45	0	0
e39a1d55-c7e4-4fe3-a02d-a9ed41aca89f	0	0
024b5267-eb99-41f3-b734-24f8104e6e09	0	0
cb1dddda-e628-44c1-9dde-6d7fed7a332e	0	0
992cca3a-8b88-46fb-916f-e8e192a2a857	0	0
ceb467a5-e046-4cb5-99f0-a8aa6c278550	0	0
03d39b1c-d467-4747-bf2e-19b534af2c3b	70	5.83413055555555538
c581d257-9427-4096-a291-921e8f1438f1	0.594125249072381956	0.0495175339187290883
6138dcba-9f8e-4062-a885-f8e349bfa8b5	0	0
d3571261-a4d1-44f5-b5a2-4fa9418a95f2	0	0
c30d8c29-f277-463a-ad76-2ddd05040287	11.1837229437229446	0.932110495334295464
80714d92-2575-459d-8a2d-db35e44481de	0	0
c906ef64-8254-48fa-8069-bfde43f4cecf	0	0
093a5c29-1e6e-444b-97ec-c4d5acb517d2	17.1436818181818182	1.42884492327020207
97972218-ca45-454b-9c33-2af36a69159a	0	0
ff32a158-6d11-4b15-bdda-4fcbf2c05459	16	1.33352444444444451
49b7985f-a009-4526-86bd-0b7ea57e9826	0	0
42275d39-e082-4751-a14c-531dcc512b3c	0	0
83140ad4-4411-4347-b6a2-4f2f31f3477b	0	0
162a7292-00f8-4ee6-aa42-52d5b141c8a4	0	0
78affc70-cd06-459e-8e68-95a84367f098	0	0
11dd4b55-ed18-49f4-959d-9998ecc892e9	0	0
d554ffc9-66bc-4bd3-acfb-a56c30fce8cb	0	0
b72412e8-70ce-4650-8a2c-18ec2c263a7b	0	0
27889ca3-b511-4b48-bd67-29fc6ec5d907	0	0
8c32c521-03fd-452e-9048-ae20a7515730	0	0
6690f5eb-4212-448e-840a-b4edca87a5db	0	0
a400c301-28a8-49f9-93c2-6d77bc1a1ecf	70	5.83416944444444496
847cc213-5b33-4d23-8beb-3674f1cdd1fd	0.594125249072381956	0.0495110975618641355
b57a566b-b3b6-4620-8d60-f8e14bda45cb	0	0
2198c069-151d-4f2b-8fa8-97a28520cc70	0	0
04654a14-03ef-4a36-acd8-5282ac8d2c6b	11.1837229437229446	0.931989338335738493
a5ddf033-5768-4098-806f-6d922416c7c5	0	0
883af84d-e54c-490b-b0d2-2b18250b11ac	0	0
1745c339-fa12-4e78-a2c4-9c5798b4c513	17.1436818181818182	1.42865920005050517
8f05426c-f0b9-42a8-87cb-d98b71b9ff34	0	0
e280e2aa-b0aa-4046-aeaa-030cffa84f56	16	1.33335111111111115
26f14037-575f-4b05-bef5-b0e264edd60d	0	0
7fbf8949-b26d-49bf-a79e-20a5b14ae4f4	0	0
79fca640-9ee1-44a3-a8d8-dbe38486bbbc	0	0
ff6a6d8d-af22-46f2-8173-0d11208d4957	0	0
70121cf9-2882-4a0b-9a38-d85366c62c94	0	0
cd0465e0-9f21-472a-8157-ad0d1263565a	0	0
cb8f9155-5b9a-46c2-86a9-684dd8e77d23	0	0
3f581db2-8adc-42cf-acac-649382cd704d	0	0
6acb77c5-f12c-418b-af9e-58c3b3d792fe	0	0
e735ad2c-2c3a-46c5-a227-c5837b14ab42	0	0
b69facc5-831c-4767-a29d-ea04763eba7f	0	0
8322932a-b158-4475-9e40-3a1d464ed27e	70	5.83341111111111132
0e082238-79a2-471b-88bc-dbcb64cb654f	0.594125249072381956	0.0495482303899311555
fe8a1f7c-fc10-4436-9446-c78914c9e3e9	0	0
6fa53252-7434-4a71-8d81-ea1ab99f02a8	0	0
7b7478ac-d199-4cef-83aa-8cfc652fad45	11.1837229437229446	0.9326883210197211
0290f477-255c-47c3-8112-fa627b9a9380	0	0
3efbe687-1c61-4d1e-8fa0-9d12b60b5ec4	0	0
5103a226-7722-4e66-bd26-8c0a6feaaf06	17.1436818181818182	1.4297306801641414
0650883a-cbc7-4030-9938-b15f073bb239	0	0
c4797d81-ac35-4f3b-9f98-216619fe2a63	16	1.33435111111111104
fc8dd55c-dbbc-422d-a1d0-f971e9d9bf1a	0	0
3a06dd68-c09e-47db-96fb-5922979fe7a2	0	0
ba6a8d91-f1ce-496f-87f9-e8eeb23ebf4a	0	0
10014d5b-d082-4228-9de2-5318c2c9b13d	0	0
68dd255e-68c8-4307-91ae-392fa8853592	0	0
4b1df41f-b865-409e-af4f-7f6bf5fa0311	0	0
c423c3df-9118-41a6-b3f4-6c83c83977d0	0	0
90ad2117-c7e8-4997-8f67-5ad292da585d	0	0
68e3f320-7b90-4a29-99c1-e4574859126f	0	0
8b75512c-bec1-4413-aaa5-565302bbdf11	0	0
6c20f32f-b191-4858-b6d9-cd0e5f2e2a9e	0	0
0af26716-23cc-48d3-ba0d-0e29f295b8ed	70	5.8377861111111109
76142373-8c39-48e9-beb7-742c7e92000c	0.594125249072381956	0.0494810612298276983
7f8cd278-3c8f-47e0-975f-9114e0fbca1c	0	0
c37649b2-ed97-48f6-8869-859e450c54ea	0	0
ad8f7559-63d7-4d08-8b1f-c31814404cb1	11.1837229437229446	0.931423939009139112
c45e8456-6579-4dca-88cb-73b990d14425	0	0
71b4be45-4e40-4a92-bd98-df0a09aca2d3	0	0
a899d1da-6cf5-41b3-ba14-b953831545e9	17.1436818181818182	1.42779249169191935
39c7b901-d728-402f-b17f-082c1705c555	0	0
aa751aac-fe4c-4e1d-80eb-e7c61eceb43a	16	1.33254222222222229
3e2ddb74-a816-46a3-a3ff-534a20df5f6f	0	0
ce3769fb-7a1b-41a8-ade8-b4412c5a2a68	0	0
03adf706-7139-403c-a136-75eb28b693d6	0	0
fcd4abba-34d7-4805-97a2-b0030de2e659	0	0
2c00d2bb-ee0f-4151-9929-1bc465cf679d	0	0
196e415e-56ef-4f1d-b38b-720ab90b9b73	0	0
06565159-aa6a-4247-911b-8adb96ad4886	0	0
087830a7-b161-4900-905c-41b7d40fe1b0	0	0
71fc1298-98e8-4b89-9424-9849fbb73177	0	0
d7e8904b-4da9-46ef-a362-25b5851c0932	0	0
62e9eee1-a227-4a13-acd7-55ace766967e	0	0
e18ae36b-ab76-4df5-904b-eb01db2ba5c8	70	5.82987222222222279
67449027-8c06-4541-85af-026b21a37061	0.594125249072381956	0.0495125828749868185
2728fe9e-5cb1-40e9-987f-882835eeb71c	0	0
2cf5a732-9da3-484d-9097-5b124d735664	0	0
3d04b34e-0d58-4d44-929c-140947e053d4	11.1837229437229446	0.93201729764309782
a662e9fd-e75e-4b5d-88df-66264d869095	0	0
b4ef175f-e8c5-4264-96ed-1438a5a84083	0	0
b6f2ed60-628c-400c-9cb6-8fc5684164da	17.1436818181818182	1.42870205925505056
3a8ca564-513c-491b-afd2-dcb719a1f17c	0	0
3b10c216-ac1b-42e1-bf0e-fe232611f677	16	1.33339111111111119
2ad842ab-eeb2-4f99-9818-65fda8932343	0	0
519bd2b5-5d90-4f8d-8421-da301841a949	0	0
a35f9de1-c18c-4811-bf9e-b0f975a76cd3	0	0
41c16446-473d-47f5-ac6c-d661323cb6af	0	0
c41b0fcb-367f-4e2e-a77b-46aa33f56f05	0	0
6c285823-d001-4341-8446-ef3b527b9878	0	0
a5514e7d-61d4-4def-af38-6d2196ced7ac	0	0
8069c42a-bf1a-4afd-948e-8e0d1b9c57f9	0	0
6b718a46-f61f-49dd-a5ab-9dcefe09d86a	0	0
8dd56980-3806-4a74-8e09-fe895bceda16	0	0
18920518-951b-48bd-919e-8e481bc7bc28	0	0
4c7bbef8-488e-4c36-8d95-88c21cfc7ea9	70	5.8335861111111118
d7581a67-e436-4725-9a63-ca00a14ba43d	0.594125249072381956	0.0495076318312445487
1a9dac5b-20b0-49f6-b13f-c1b01c578758	0	0
9c95fbba-74ea-4b94-889f-cbac3118cb48	0	0
75b977b6-9334-4e29-9bfe-d5fc8886118b	11.1837229437229446	0.931924099951900065
577dab15-6edd-4ef9-822b-ccd98a3e71b3	0	0
88a02fff-6b81-4839-aa1e-7b51682e13b2	0	0
14c6f192-c7fd-40da-bfb9-cb4f6dfe0128	17.1436818181818182	1.42855919523989905
2317f269-77b6-4210-afc9-e5d35da24709	0	0
85c23c38-d3a2-43ae-bcce-70c873ea6846	16	1.33325777777777787
3e7d0e3d-9815-451c-b6d8-38c689f8bafe	0	0
e67559f2-f859-41be-8112-a8b7489c3f5e	0	0
bd803173-3e0a-4bbd-a69d-3f6fd42cc054	0	0
36d83d39-3705-4f7b-87af-8901563a0d96	0	0
4aea7f4a-1193-4d69-819d-d072885b1a3c	0	0
25d5c8b5-50de-48ca-aeb0-59532893c2a7	0	0
c422e264-0707-476e-aa1b-0bccbb03f3af	0	0
c477384c-1a06-4625-91b2-9d4b1e9ee3d6	0	0
d4e1bd80-dc7a-413b-8605-e475b4b82885	0	0
89f4743b-1d50-47ce-847c-57132f9a7892	0	0
a817a4f6-d688-4c20-85d5-9f1639407a45	0	0
2c771ebc-fff7-4c7f-8f4f-ab9f1cb80a13	70	5.83300277777777865
fde4f0cc-0eba-4e72-b2a2-2a26520daa50	0.594125249072381956	0.049518689162268946
3cb48510-b553-4907-a21a-9aa402a61242	0	0
b0fbc1cd-4dd5-4196-93d1-bc9e65e84f83	0	0
e342bc1d-fc13-4cff-908c-b18ccff81780	11.1837229437229446	0.932132241462241606
d6021caf-bdc1-4db5-b280-9fa7724f674d	0	0
33eaf188-6b54-46fb-bb6e-3f025220370c	0	0
9b82ce49-9832-4e61-8b33-261581c2a9a1	17.1436818181818182	1.42887825820707071
fb6634e9-398b-4d74-857f-0dbf13209b24	0	0
395f0235-c378-48d0-ad00-c3deac988ee3	16	1.33355555555555561
b3956a46-5831-4370-8f1e-576965a55306	0	0
310634ab-477c-4ef1-adcd-3429be125d2c	0	0
9cf5f386-b843-4852-9b77-a2eb8bbca802	0	0
542e166c-e388-41fe-9c2e-73d406266f5e	0	0
058b459a-8f95-4399-94cf-56fc8aee465d	0	0
24f00bba-0ea2-40ba-a39d-becf9f3c6fee	0	0
cd6f0c03-454b-4123-92e6-2a37c99cc9ec	0	0
f5a21522-06d5-40b0-8ed5-c546396f0b1e	0	0
9de052a6-c694-4b97-b48a-1d79033d7dc2	0	0
788909f2-a9f0-421c-b542-2ea4de03d98f	0	0
492a8ffd-3174-4417-a283-181827516b60	0	0
538d35c2-29f9-47b8-9f97-0d0ce9c0e882	70	5.83430555555555586
0446fc8e-a42f-4d4b-8975-03cebec558cb	0.594125249072381956	0.0495135730837352669
c2801977-4c3c-47b5-9b01-e55066d97cf3	0	0
b70ebf7e-705d-478d-95f5-5dd7e28bf6b1	0	0
f0fc6718-19ef-4d56-9780-f31131a0b764	11.1837229437229446	0.93203593718133726
c7c5f0b3-144e-45c0-b75f-d872a61f4e89	0	0
02423d05-7adb-43f4-ab6c-17c051bceddb	0	0
8c08a5f6-3937-4ffa-9f33-9ee791f46fce	17.1436818181818182	1.42873063205808082
c7ee432e-5192-45e0-909e-89a3638bf5f7	0	0
40d21675-3d0b-4988-8eb4-a803bb87b60a	16	1.33341777777777781
0b501b27-1e0e-4ba9-9298-9603e9f5f878	0	0
d387477d-fc74-41fc-8d3a-5a165a91a984	0	0
ac340fca-8861-41fc-aa03-2867830fbf4d	0	0
f0e66201-647f-4b47-ac52-bd9571d9fb1a	0	0
3eabfad7-d3c0-4f57-bb47-7b4672574b09	0	0
32a0924b-2265-4990-b82e-7b883d65ded4	0	0
f47dfe6b-aaf1-4840-9948-5ef36263b4fb	0	0
120b7f5b-cc99-4f0e-bb7d-3d6d002b2efd	0	0
bf365cfe-3780-4dcd-8360-1261d338e376	0	0
ac2dbe24-54e8-4b03-b6f5-4c8b013d80aa	0	0
1f94f71e-cde9-45c8-a72d-2524898f2324	0	0
3bec5bae-9134-41ef-9092-0109d3dc1e46	70	5.8337027777777779
60b365cf-11d6-477d-ad87-e84cdc35ea4b	0.594125249072381956	0.0495119227358211747
7cc338f6-d0d7-4c66-b684-71584db33360	0	0
81323af8-7400-4be5-8640-d62084f29462	0	0
c226b8a0-d2e3-44e7-92a3-dee0dc98d809	11.1837229437229446	0.932004871284271341
6de63522-cdc0-4874-afb8-aa1deed8997f	0	0
c3c9ef45-2cca-4cff-830c-03ba5e5deeb3	0	0
139fedfe-7281-48f5-9dca-e6d1d51ae61d	17.1436818181818182	1.42868301071969683
0ae4b580-e56d-4d8d-89f0-ee1aedf4a9bc	0	0
57124e0c-9c13-4301-a783-03e162f7be42	16	1.3333733333333333
5a9219bb-4559-47e2-85a2-f95910e57f96	0	0
05f925fe-8e4a-4394-93b9-50c408a0c228	0	0
bdab140f-b803-4345-bf02-193dec5bbd65	0	0
3b469eb1-8a96-47f2-9703-dd4ebc689412	0	0
bde2b4f6-86e4-4fa8-bcd8-5cc93aa9ac58	0	0
bf8573d5-4a18-49a5-bedd-1d7e0bfbad95	0	0
3d4da1d6-ccf8-4819-a26d-1295c8717013	0	0
20dff2f2-6029-4329-88ba-1c927f8988f2	0	0
cfe2a1c6-cae0-459c-9251-041de20fcf4e	0	0
11228eea-7b48-43d8-807b-d24ba3175ad4	0	0
22aa58d2-621a-432a-8bf9-94c439f11e03	0	0
88af5517-c8be-477c-8fc8-cfd4bc8b3481	70	5.83350833333333352
07cb05b3-c9cd-4619-86a8-ae91295c8f81	0.594125249072381956	0.0495143982576923131
29835380-60de-4d5b-9b6b-08464cf34172	0	0
b806e25f-4c0d-4f2d-b7c7-813e2c32fea3	0	0
9c6accf6-7780-4cb1-8c1b-eb3aac9c46e4	11.1837229437229446	0.932051470129870219
1e2823b8-b985-47a1-83c8-ada91d4b10b3	0	0
45d21f99-c147-4923-9175-c950919c982a	0	0
868e9c1a-ff15-43ee-b288-d22581f6862c	17.1436818181818182	1.4287544427272727
3650bb87-7f8d-4a81-8d4d-ef54ed4d7495	0	0
35a66063-ab92-4219-8f94-d7d9043386dc	16	1.33343999999999996
6f71f98c-2d77-4fd6-bbcc-9ce4f932bb6a	0	0
937d1ef2-9b3f-4b7f-b241-2f1e62f54575	0	0
1c3d67bb-815c-4db8-ad32-f5d71815ba9a	0	0
7f75416a-e9ba-4bbe-b8e1-094e34f1b896	0	0
4d24b646-80d6-4eed-a348-00abe304ff39	0	0
e905d7d9-9b01-4aba-9692-e7f4175c37db	0	0
ff64536b-4a84-4f49-8b86-f78204c4b61e	0	0
a10e0fbd-4cac-4376-b33a-16340616dcb6	0	0
bf890a64-31e0-4088-9b01-2bf0554fd2d1	0	0
7f400060-1441-423a-a3be-4f65c6227225	0	0
99c9a263-476c-487f-98ce-c34bd21a2cbb	0	0
740798b5-3c52-404a-9f57-563837f9852b	70	5.8338000000000001
3a8216ac-53fa-45b4-a0df-a88d34566971	0.594125249072381956	0.0495147283272751315
8023be81-2e7a-41b7-8e9c-f51c7397fcee	0	0
37a50e95-c031-48a3-8155-e9d8b3b5f424	0	0
4052bdd6-8ee0-42ac-917e-49da4bd16dec	11.1837229437229446	0.932057683309283402
ab27287f-b35b-4569-b7dc-3dba932707a7	0	0
488e82a6-336e-4dd9-8ddf-46a37bab6dc4	0	0
c47d8256-9cf3-4cd1-89dd-a81325d94883	17.1436818181818182	1.42876396699494945
91df3d41-b023-4c9f-ac7f-72500b95645b	0	0
73cb47c6-c0e2-435d-8622-5375a45ea052	16	1.33344888888888891
fecd921c-4bde-4e3a-b946-59f708f414dd	0	0
9a414bd2-d391-4d59-a7ca-552993dfc23e	0	0
85800759-5b15-4728-af5c-96c8726f6d3c	0	0
9fac5f35-f2de-416b-adee-6560228e3c53	0	0
5996f651-1d0d-44bd-bb51-229eb6dbc686	0	0
72302dad-4a46-4c7d-8ca3-cb5f53ee6592	0	0
edc0be4a-fc91-400d-9da3-2e50505ee933	0	0
0e0d2215-1bf2-4e91-bc9b-1df275bfcc04	0	0
7412bd18-0fc9-4181-ab11-0b71a33ac518	0	0
b5952de8-6013-4461-bc42-e667fbbeeba8	0	0
54477232-ffbc-4974-ab96-c911dc4dbb96	0	0
4618d5bb-9a84-4dec-9a7a-965696dca41c	70	5.8338388888888888
27739e6b-f761-4507-8a03-b3bca9e234ac	0.594125249072381956	0.04951505839685795
bd5fee95-300d-45fb-8e8b-98c6e4e8dacb	0	0
001fd7ea-30fb-4232-b50a-a7cd523f41e7	0	0
32490a53-8a16-4a54-8118-efb4bfede8c9	11.1837229437229446	0.932063896488696586
58ab4f0a-53cc-47cf-9bc9-2a26ff864ebb	0	0
2ae23a6d-f3b3-4533-aaf3-9facfc3c40c0	0	0
f651daac-941e-45f5-b4f0-12fda811d3fe	17.1436818181818182	1.42877349126262643
3729f1bf-869f-4446-8d2e-b8fb6996d259	0	0
eda177c9-5b61-4630-8077-17d0e9814d28	16	1.33345777777777785
13752ad1-c8a9-46ee-a5ba-40c58715ced2	0	0
a55a587d-d884-4aa9-869d-54e8a5cb674c	0	0
25ee9f9c-98e1-4b0f-88de-6cf09acd79ae	0	0
260e7317-0afc-4807-8edd-c229f2b7717b	0	0
bb4b321f-9644-453d-8bc0-88eb1379e92c	0	0
780354cb-cde1-42d3-a61f-a5b3970965db	0	0
60f19791-09af-484a-a779-063fa9d4e6d5	0	0
082af3c5-d34d-45e9-80e3-1bf67261fbf5	0	0
294cd5ff-0195-4987-a6d4-6a927b903321	0	0
c853734d-8713-4408-ae71-6f9a1e92fa3b	0	0
111f493f-ebf4-4191-8de8-788f1206b7c5	0	0
3e39cc88-5e76-431f-a22e-4c47a14e6d70	70	5.83387777777777838
0af9090a-bb30-427f-a9f8-0e73484668dc	0.594125249072381956	0.04951291294456963
92a78339-3014-454b-8f18-f5516e67cf03	0	0
599a30f2-5fc7-4210-b538-34f95e3696eb	0	0
14ef5671-bd15-4c10-9bb4-e9dbc3c052a1	11.1837229437229446	0.932023510822510892
1415e33a-565f-4191-93de-de57cdf9ecf4	0	0
61f73e30-faff-4670-ab5c-5e4a70573150	0	0
50fbd64c-fb41-4de8-8c04-5a106b66b0a2	17.1436818181818182	1.42871158352272709
cf5adce1-74bf-491a-8c7b-5f21e69616c9	0	0
19c9852c-d66b-434f-8bf6-192b7ec2a06e	16	1.33339999999999992
f6212614-c9c9-4b50-afc3-02ecf33703ed	0	0
376b3063-df37-49f2-93fc-791081f54795	0	0
11cd3e95-3961-4472-bdc9-5fcddd997f43	0	0
b1d40070-02be-4dab-a9c1-5fe5b2b16595	0	0
d231234e-7706-46e5-87f7-23393a185da4	0	0
92b53ef3-96ea-4dcc-9803-04550e9da902	0	0
03bed327-98ff-4cb7-9e41-4186fa93324d	0	0
61c0811d-c3c5-4fbb-87c5-6036f4a4997a	0	0
4a74a80b-93a1-4319-910a-ce8b08951a26	0	0
6976b199-c177-4cfc-9d47-43ca48f381ab	0	0
d8e264e5-66d1-4408-8f49-9a4b57c553ad	0	0
de7b055e-dd28-48ba-b185-5cf634fdcf24	70	5.83362499999999962
4ef766ff-c355-48a6-a3da-3ce72ee8616e	0.594125249072381956	0.0495153884664407615
4b8bdf53-1018-432d-ad55-445cff84e105	0	0
3a100d62-bd49-4e7f-ad40-049408980758	0	0
663c0b51-8c43-40b5-9f0f-234274c22ad1	11.1837229437229446	0.932070109668109659
6e08fb2b-ac41-4f83-bd71-4357bd055167	0	0
acba3675-eedb-42db-8360-c13181b98239	0	0
d02c0d19-6e74-4b4d-ad15-84abba5ba963	17.1436818181818182	1.42878301553030296
bfd3e5b4-1b1c-4833-9acd-4b9c7b8c12d8	0	0
4b0c41d7-9e0c-4a59-bc82-95820932dc87	16	1.33346666666666658
ee58aa8e-9300-4ab4-8201-69f473569ab1	0	0
cac726f4-c618-41fe-8090-11886ea67426	0	0
882e11fe-048d-4310-9bd5-98d667146f2f	0	0
637a4f29-fdcd-4cef-aa20-25621a1d9727	0	0
c45a61aa-4ecf-4031-b7bd-26aa0b7bbed4	0	0
9bbaeb98-6bb3-4e99-8d04-fde97f5fec06	0	0
575d07ec-76da-48e1-90e0-fe78a317fc86	0	0
e2032e82-9be6-4112-a37d-cd579086b7a8	0	0
fa5dde1b-0b6f-4a24-8d65-f2f0b60d09d5	0	0
a47a554b-14f6-4503-aeac-5ff281e4c265	0	0
c278aa3c-69bc-4bae-9518-c42fd7cee1af	0	0
c0e35fae-6346-410b-b45c-e5c4f78b5402	70	5.8339166666666662
013e9a93-7daa-4b0a-8151-af5acc9ce7b3	0.594125249072381956	0.0495134080489438577
f0ee8a3e-0c76-4a05-9b4d-98bf7e971514	0	0
997ddb4d-df24-4247-aead-882fd7f6f309	0	0
e325e77b-1e43-4a50-bd08-ff7e8d38f529	11.1837229437229446	0.932032830591630668
b3552821-1107-487f-9210-084e0e2aa9ab	0	0
2d7c87c3-b856-4dc8-91f8-1c81142f87ba	0	0
e3554e65-30f8-401d-ae92-649d9952f3bc	17.1436818181818182	1.42872586992424244
73fe7fc7-df55-4bfa-965d-47150bcb0930	0	0
e1f185f5-c6ed-4ca6-8e30-342a35ab5c30	16	1.33341333333333334
3aac2e58-4416-4c54-8342-d4383c412510	0	0
bd5eb719-9df0-44e0-85ca-ca39ae09cf71	0	0
cf1e7fd2-4f65-4bb5-962c-dd768dd6974f	0	0
370294e5-3006-4af4-aa77-e83ae8537413	0	0
ebdc144d-4223-4e04-8a8e-a19df914f8c8	0	0
7dfedb2f-ed57-4a53-a5c8-fc2df153e0a6	0	0
7e49b2c5-74d8-4f05-9804-fff4cadbf53d	0	0
541ca894-b847-4c68-bff8-6c111e4716d6	0	0
1104d4d1-f780-4bfd-9e0c-22cf1323b398	0	0
3bac7b00-3950-46dc-9a07-8a4bc15c44a8	0	0
3d08aad2-3154-48ca-add3-39349f38d70c	0	0
17c44ee0-49e3-4ad6-afe0-f546d2db2dde	70	5.83368333333333311
92f0d10e-5fac-41bb-8d43-41f2de4544bd	0.594125249072381956	0.0495096122487414525
090004b9-3f82-4d63-8c86-c6e9dce05978	0	0
432193c6-c846-4987-a361-a0ca4d9bc02c	0	0
8043e090-3c8e-42d0-a46a-ddd43d893bb6	11.1837229437229446	0.931961379028379056
5e268fb9-56af-4d25-8ebe-0f3280f5fbda	0	0
c9c15875-e9b0-40d2-8f47-10186d6d26f6	0	0
1359dc9c-a9f9-4ff4-b2ce-223eb5af7022	17.1436818181818182	1.42861634084595956
f49182a8-bf4a-4d19-92f3-817ae26ca8b1	0	0
534e59fb-a1a3-44d0-bcb2-2a76ac9f25b6	16	1.33331111111111111
95f68b98-6710-4122-a95d-87a00c238c26	0	0
f471d62b-d706-4e7d-a773-edfa18c8c7e4	0	0
ee4cbdc5-319a-4f42-8163-5fd93ea0a1a0	0	0
b6b3ffa2-10aa-47b7-a7de-d093bd685896	0	0
ec319188-c571-402d-9093-dbc38f81686a	0	0
476e0dec-7c11-4583-a931-0df10a3ad156	0	0
a6a98399-4780-444f-b6a1-ded0ff3eaf19	0	0
d8e226f5-aad4-4c54-b85b-1a05dcf6d6f0	0	0
6d218839-708f-4e75-9683-852eada47aff	0	0
9a55103d-ff69-44e8-90cc-5767bbbe98d8	0	0
dd70f8de-8bd8-4114-b5a4-220e224de6f6	0	0
f8c642c9-88a4-467b-8a02-99b85bc550a9	70	5.83323611111111084
d6966840-e033-4a84-89c6-c6803f01d638	0.594125249072381956	0.0495147283272751315
52467e11-109f-455a-a035-ee35908cdd82	0	0
d1a6de7d-5034-46c7-b052-39976492de8a	0	0
5207a503-6b2e-4a81-b2b6-31a2325706c7	11.1837229437229446	0.932057683309283402
69317a31-b92c-4239-98f3-7ee64356ca6c	0	0
5fdb2e0a-902a-41b1-8977-d30ab8178340	0	0
4d2c2831-14d1-413e-9df2-55b801479f97	17.1436818181818182	1.42876396699494945
8c137efd-0194-4a7c-9192-dac56e9997f6	0	0
82a14336-b97f-4a49-8850-10e2646c92e9	16	1.33344888888888891
d5340003-8d95-4181-9a16-3029193123bb	0	0
0a72baeb-3572-42c7-8a9f-e6e8f6ddcf47	0	0
2bd6c3e3-761b-4650-a3a6-136742e2fc32	0	0
225c6c6a-435c-49c6-83af-64a6a31df850	0	0
e6c842cb-e756-487b-b7d8-64f0171e5e4f	0	0
382b8a51-ccfe-4d2c-a9aa-aa445e0804ec	0	0
9562384f-fe8b-49cd-afb6-ae44660787d0	0	0
22b1bdf6-a3d1-44c3-8385-3c3e8cb520d0	0	0
3c568d71-726c-4bcb-9629-fc1b9f1ced3b	0	0
9c4be49e-8076-42e1-99ea-de666a995fa3	0	0
c7f0ab75-5eea-4eb3-b869-8b8e59397bce	0	0
990592f6-df2f-4d4a-ba6b-dacecf4eadc8	70	5.8338388888888888
2128959d-3cae-4b17-91af-a69ad497721f	0.594125249072381956	0.0495170388143548537
b42c59d2-0c82-4026-a818-0546120112cd	0	0
636632ef-a476-48ea-a208-1f1bc32b3405	0	0
8509394f-e485-4687-9ac3-107aeb680bb7	11.1837229437229446	0.932101175565175577
310f4e30-cc68-4525-be75-b8ea426c10dc	0	0
e855df2f-3efe-4b7c-a6c7-68239f95054a	0	0
3ca5a0c6-fdaf-4784-bc06-e3149a083443	17.1436818181818182	1.42883063686868694
f2f270fa-f2bc-45b1-ab1f-acb72e7ea826	0	0
8964717a-b70f-4a68-94a6-dda61ccacc6e	16	1.33351111111111109
2606b77b-dfa7-414b-b742-d238f6950531	0	0
ca5a8517-663e-4534-aef2-bb97c26afec0	0	0
af5b00e0-3814-4f1d-832c-26c65ff489f4	0	0
fb33414e-6e12-4fdf-be58-9a43e621287c	0	0
3d379512-8f5e-4a7f-9253-b352532c71cc	0	0
1a14e175-7f6f-45b6-84d8-021a32de4653	0	0
6d09aa37-ef85-4f2e-aa5a-7e93c71e7997	0	0
c2ef8f49-3cab-45c1-9d30-b503d8c2c62b	0	0
eaba9726-19c6-4386-9e55-a09f3ad32870	0	0
fcabfff8-8681-4683-8ba0-f997f1660ca5	0	0
aaf3d5f9-275d-423a-aca4-d987511584cf	0	0
04743834-8718-4389-a58a-1a155040969d	70	5.83411111111111147
83feda38-9501-4629-b8a1-44c8d12c894f	0.594125249072381956	0.0495137381185266762
6fa4c84d-da7a-44df-9aa1-0de2e339a135	0	0
37ab79ad-5465-464b-962e-6d5032ac9d04	0	0
fb2c2016-a8d5-44f3-86e4-1399f18d3a6b	11.1837229437229446	0.932039043771043851
6cb237fb-e0e8-464e-a4fa-31f8dddd68bf	0	0
d9bd9461-a5db-46dd-b84f-9cf5ccedeb51	0	0
ea5880df-c57c-4b15-b4b3-98a11eac775b	17.1436818181818182	1.42873539419191919
d9030f41-1362-445e-bec0-6a8cda6e1f12	0	0
2db86d83-e3de-4a3f-ad07-bb8e0276d064	16	1.33342222222222229
c71e9c9a-9472-4ff1-80fd-80445b80ecf1	0	0
a2ebe850-4778-46ff-b7e3-31bc9002a0e1	0	0
792452ea-3af2-4c10-8ce4-94a609035407	0	0
d4775546-1d89-4ff0-8e1b-9d06581cf8d4	0	0
3a4946bf-56df-4861-bc93-28a1c1c45ea6	0	0
539701a3-b179-48b3-8af5-5a28a66fa48a	0	0
d97c5c03-43aa-46e3-8a7d-8a5a03efd954	0	0
69e613d6-fe94-40b1-98d7-47760adbfc24	0	0
6888c936-e43f-417c-942a-7e0feeda9662	0	0
138bfc33-ffed-4344-a57f-816d1be5642f	0	0
d3474989-098b-4012-9a89-35556d1ddafd	0	0
af35a881-ab9a-4632-94d4-5410a92a9358	70	5.8337222222222227
26161149-beb1-4c13-9f5d-d6e5ba569d4e	0.594125249072381956	0.04951505839685795
1e3dbda9-c92b-4a23-9ceb-f83669f2b302	0	0
f6fdf233-42d3-4eda-80a0-788f1546135b	0	0
6ceb6bd4-8e9a-4443-a2b9-3ba26e8d15e2	11.1837229437229446	0.932063896488696586
c2d5b799-ff6f-4aa4-80cf-4937148d1bc7	0	0
5786525f-c9a8-4b8e-9d12-0d3f65a111ae	0	0
1fc8c3c0-db5e-4370-aeb2-cc91f8057fff	17.1436818181818182	1.42877349126262643
6829ad0e-8dee-4b22-bb7d-7c87a6a079a6	0	0
94833903-bae4-442a-9f86-831d08f089c3	16	1.33345777777777785
68a77021-6653-4603-b227-6e2575c9942a	0	0
bda0206a-8269-4c8c-aa90-46b9bab3f657	0	0
c0b21c2a-c21b-44d8-849f-598192b74e8d	0	0
85370ecd-fd35-4882-8a03-e001f670a89f	0	0
3d43361f-aeaa-451b-ae81-93f31a8c8e59	0	0
35d2de92-1327-45c3-adb1-51664ecb96d8	0	0
c00ea135-6860-4a93-b758-d1f70dc8dbd7	0	0
204dbcc2-e134-46f2-95a0-bd58ffff33eb	0	0
196145c2-1007-477c-a954-03eaf88c23bb	0	0
728e6ade-446b-4f61-afe2-1923f0629171	0	0
feb75b79-5e53-4070-a655-5bc4d09f422a	0	0
6988e9d4-9d9d-44a9-97df-1453782fdd88	70	5.83387777777777838
3fa289dc-7dea-49cf-b309-7bd95b5ddd1a	0.594125249072381956	0.0495143982576923131
9d575c7c-cd70-4801-a91b-73df91fecb7a	0	0
110c9095-bd66-48c4-b25b-27f13e9696fd	0	0
792e6dd4-b0d4-4469-a00f-3ce4f120f56a	11.1837229437229446	0.932051470129870219
538998b0-624c-4a7b-88f8-8f51100768be	0	0
6ead250c-ca23-404d-a0ac-eabe7e510ec7	0	0
60923b52-cd9f-4f1a-8ef9-512faa4ff761	17.1436818181818182	1.4287544427272727
29a793ed-59b9-41e4-b4fc-6f307f263937	0	0
b7cc6c5a-baef-424e-99af-7d79e47d6337	16	1.33343999999999996
58067050-af1f-4ad1-b465-28a02e78d9e5	0	0
064352b2-f396-46d1-bb39-22071130fa8d	0	0
2027d525-be17-48a6-aaac-5c4ec717ef74	0	0
9c6c1880-926f-434f-b94f-4fe406a05a9c	0	0
c2851e0e-85c0-4c2e-8cc2-e885126df37e	0	0
30357e46-ee69-4502-bc82-79869a0c8b97	0	0
8e5be450-88dd-4e1b-95e8-a1ae00d06447	0	0
f1a12939-41a5-4c95-842e-dceeecd316be	0	0
c818cdd5-b1b8-40d9-8881-841bbd87c2e0	0	0
1fe26eb4-2cef-44dc-8618-4879e971dc1b	0	0
28258528-e857-4e67-835b-f1b80cb34318	0	0
26ca7bbd-897f-4edb-ade9-7ffa277de7a6	70	5.8338000000000001
8bc0cdc4-c80c-4d38-beb8-87eea26769e0	0.594125249072381956	0.0495125828749868185
0b70af4f-0122-4b63-a8e0-5dc0104655e1	0	0
9490db91-45c7-4333-b8d9-353d98fc22e5	0	0
3020e684-9c9c-443c-8a00-a56366cb961f	11.1837229437229446	0.93201729764309782
babe8626-aaea-4d53-a60a-f97e9b42697f	0	0
2cde6193-03c4-4715-8cf7-0d10fdf1c00c	0	0
5cbbea51-b2d2-4feb-b659-61c4b09dc351	17.1436818181818182	1.42870205925505056
7b682683-07be-42c9-87c8-71edb0d6b933	0	0
f8999713-33e3-48b0-a1bf-62d8bd23bf9f	16	1.33339111111111119
26bcf78f-3d7a-4cd6-8c7f-ec1ee1e4a41a	0	0
cadea3a4-a16a-4023-bfb3-366b5fd8a526	0	0
4d473b5c-05c6-4d2f-bb9a-8aeafad658d4	0	0
f49c2199-0271-4b55-8885-f9e2eef751a4	0	0
5037c5c6-696b-4b8e-8680-d80a0a8d3ed1	0	0
0ba92a81-2e8a-455b-944e-5264319cb078	0	0
bf3991a9-c5de-45d8-b8a5-a2eb3e2bc120	0	0
34d9f02a-8eee-4bf7-902a-4ecf1db39619	0	0
0731bbb3-d862-42bc-8d6a-9c9dab102003	0	0
e3800c96-e933-456d-9817-036ed8d917ca	0	0
8bbeb797-1446-48fd-b041-b4361ce974b5	0	0
bb65466a-d5bf-46ea-8f45-e1428fb428af	70	5.8335861111111118
390e1b31-5547-48fa-81e8-f67c11910b04	0.594125249072381956	0.0495137381185266762
f79a9573-2dc2-4194-b5c9-7ed2c99e1027	0	0
783773b6-1fa7-477d-af6b-d7e16187f981	0	0
454920ab-984f-4ef7-a021-400f70b3046d	11.1837229437229446	0.932039043771043851
46bdcaad-e67e-422b-9972-bcf3a1447fb1	0	0
72cf0c02-9013-4a2f-9c7b-d4dc6b5d9b38	0	0
aff7c80a-facd-46c1-932a-a4149946bfe1	17.1436818181818182	1.42873539419191919
52e9336b-96e1-4f5b-93f1-f54e8b9031a5	0	0
47c29eff-4e49-41fc-bed4-52f73be31590	16	1.33342222222222229
466c317a-20f0-4e64-9327-9eca0a61f997	0	0
20793115-8760-4968-98ec-0e758d72ad53	0	0
c2c2fa1d-3f44-4739-a808-8ad907863d3b	0	0
6a2961e6-3bc6-4b21-925c-76af7b9344d0	0	0
e877e669-6055-4a1a-aee4-ac7a0ba3e99b	0	0
c12d67a0-fed9-44b3-b3b1-12d68ad0e677	0	0
67d8c364-a656-412c-9f32-b83becbfa7d0	0	0
23f1bce4-2801-4470-8aa8-511259f5aa0e	0	0
6edde21c-59fa-4821-914b-19de991c00fd	0	0
ab97318f-af2e-4c62-a579-eab03b307724	0	0
8254f003-a5f3-4c28-8c87-150110d996e9	0	0
f0f8aaa2-f09b-4d41-800b-4210348e554a	70	5.8337222222222227
02449a40-7c16-4d37-90dc-18b8e5060d93	0.594125249072381956	0.0495142332229009038
e1b315c7-fd07-4a34-bb48-ac2fbce8ae1e	0	0
9b6e9418-84c0-4cdf-9e37-77a154cd7f97	0	0
424208ee-c205-49a0-82bb-0d91a6328a37	11.1837229437229446	0.932048363540163516
67f9f611-1dcb-457b-9c0b-53d44a27986b	0	0
6723d8f4-f461-4ce2-8d21-1ec0138a378b	0	0
f4a0575f-f1f2-4b1b-a60c-10a5917c68c6	17.1436818181818182	1.42874968059343432
5aa54edb-645f-4362-8ef0-5bd01d19da34	0	0
50620c45-6190-46ab-b09c-d334b591b23c	16	1.33343555555555549
2c14f937-efc5-4f07-84a8-77bf7fd06d3c	0	0
f0e93d50-2c34-4819-bb9a-fd5604518d33	0	0
e4ab1935-9146-4af8-adcf-67b1102d55fa	0	0
0552a767-8c9c-483d-b6d0-bfa8d528492c	0	0
7aa3ee05-ecd5-4cf8-ae7e-05de7be261bd	0	0
6efb7872-82ef-470f-b7b8-8d9c40707ec8	0	0
85329c76-8ce4-42ab-a62c-3e9f0d0d476d	0	0
0f3a2d6f-c5d9-44c9-b034-a7a684d023c4	0	0
cc54e11e-16a5-4995-a879-0cd5bc784a96	0	0
7397061f-bc0b-4725-aec5-c2c7de271d9b	0	0
319a5b41-ec89-4c5d-8c4f-4a566c96df95	0	0
fa454519-16fb-4720-9ea8-2c4c8b2bd2c2	70	5.8337805555555553
a0f0252e-c50d-41c4-a7e6-368ee3686bcd	0.594125249072381956	0.0495127479097782208
64ec9f34-42c6-4ce5-9b8a-431481a351a2	0	0
751cb692-87a3-47a7-82c3-6628cf8fdec9	0	0
1e340899-02cd-4acc-8320-34cfc26d1f43	11.1837229437229446	0.932020404232804189
60b6ed81-96b4-4320-8409-d9ad1066374f	0	0
697cc73b-472a-439e-8874-a6a402d5e354	0	0
7ccb54df-7c7f-4f65-beb4-18f7abac6628	17.1436818181818182	1.42870682138888871
bff39e0c-da15-4b51-b533-e3edf28df30e	0	0
49652583-4685-4a0d-8b8b-cb7298aaa41b	16	1.33339555555555545
88ac98b8-ce4f-4349-9d0d-dd323e79cce2	0	0
02110377-2aa0-49d9-b631-2186fa6860eb	0	0
243e0970-e826-42ba-9b2b-a611b34c6043	0	0
df99118c-8b99-4a79-bbb7-f41c4e01499d	0	0
dbb63877-c226-40da-aadd-33fa07b16a2c	0	0
5791b64d-50cd-453f-b38a-6e2773d3e395	0	0
db7abd2a-7481-446f-aae9-5860912b61b5	0	0
903c607e-74aa-47c7-ba70-8a1d21d30925	0	0
d7bb6a2a-1099-4d11-94fd-186c1d02a074	0	0
6ef538e5-3bed-4496-a60b-9d057bf546b8	0	0
8ccccb51-dd73-45ff-a419-9dc5f6c2519e	0	0
af07e19e-75c5-4b4d-bf02-bf9830dc68dc	70	5.83360555555555482
7777a520-32a5-4eb8-b49e-ff0cd9f6a96b	0.594125249072381956	0.0495677044953174162
19b45602-a8ee-43aa-920a-3824fc55ce19	0	0
931d5962-ed1f-473a-8d3f-7a29e0f19946	0	0
1aa9ae6e-9b31-4dad-bdb6-659a2a073a5d	11.1837229437229446	0.933054898605098715
7ee64d1d-d92a-405a-a5aa-756e66eba092	0	0
cda4d2b3-bf74-4429-9621-a9069fce7a17	0	0
89655121-b6b1-4f17-a992-eacb9a6a316a	17.1436818181818182	1.43029261195707069
d95570ff-565e-41d0-b210-f6cdca2369c7	0	0
67cdf71e-0a4a-4558-9af1-eeb60fbd3fe4	16	1.33487555555555559
a2007a71-33e6-44c2-9e1a-d80922310efd	0	0
7c0aeef4-11d8-40b8-b907-27116b22e348	0	0
76ca4390-c245-4bfd-a901-a08c4ba3d51b	0	0
2c286d66-225d-4b9e-ab1b-a0a10ab3a415	0	0
fe9362a4-33e0-4f09-9957-9a2f5c31a303	0	0
4253cb51-6511-4f00-95a9-61495aee2997	0	0
f307e31b-c42e-41b9-a139-c9d8b67e42d4	0	0
97109e27-7bd5-4d52-b79e-6351efb43d21	0	0
768e1735-1f84-49c1-96ff-7792716c77d5	0	0
b5ec2537-e8ca-40a8-b40a-798ff16ebe9d	0	0
008185f7-b30f-44f0-bf12-ebc6e8a974b2	0	0
77148b47-62e1-4414-b946-4a2bc5e4d9dd	70	5.84008055555555572
1cfd6c60-8550-4477-801e-5d883215ef25	0.594125249072381956	0.0494614220896500215
59235099-6aeb-490f-a37c-4bcd70883330	0	0
593f70b0-ed3d-4bfa-a550-d77c85c83626	0	0
15619ed0-90b7-40b4-9402-8953a06c2bbb	11.1837229437229446	0.931054254834054906
1c17ff86-f60c-4f94-bb16-b2134fe62774	0	0
16478686-7456-4146-9a39-a3be04418df2	0	0
a9f99925-fd92-49d7-b97c-465dc08d9d03	17.1436818181818182	1.42722579776515146
6c84fa4b-0143-4383-8ba8-8dec52bb8a37	0	0
77fb4a14-55a7-4c32-b48f-e62ce8f1b31a	16	1.33201333333333327
53314b09-fdc2-4728-a7be-bedf058de600	0	0
453deebe-9f2c-497e-a90c-e4bb4551ce81	0	0
6e4e6c4f-f3b5-46cc-afd4-b3b47e2b8d0d	0	0
9d5e26f8-492e-4095-b74d-15e51017bae9	0	0
276cce1d-6399-4f9c-9963-5333041ded9c	0	0
96958d8a-bf6e-4e43-ba09-2d5eb4d3d75a	0	0
31b0b330-09fd-4e75-82f3-1d5613da2e15	0	0
210e81f4-4ae4-4d2b-8d8a-8853b2b6b2ed	0	0
39cec38d-edf6-4c80-b97c-8127ae8e7bc1	0	0
d74714c6-729b-4639-895d-ee963ef3bae8	0	0
d1aa5029-3df9-4507-b1cd-4252c6b34418	0	0
8b0fb3e8-1959-41a1-9920-1938e7242efc	70	5.82755833333333317
e911de1e-6c29-4da8-bad8-ac33537b6814	0.594125249072381956	0.0495127479097782208
f2453703-29c7-4d03-8865-14577495c56b	0	0
79e22b29-1126-4f31-bca4-85712f2a468a	0	0
f7c28e62-69fc-41be-bc8a-1ecbc3c620a0	11.1837229437229446	0.932020404232804189
3c95f9fd-5abd-4b67-8494-d7d88ee96ab4	0	0
bf826d40-80b8-4a8d-b5c2-7cecec5c8050	0	0
b794d638-20ea-4090-a721-0383bb84411e	17.1436818181818182	1.42870682138888871
04c38f3d-3fc5-49b3-b01d-e970fe92a7f1	0	0
8d3d545c-d09b-450e-93f2-406c1c2c539d	16	1.33339555555555545
8dc6e17a-60e3-4c33-9f5e-24ad7f35fb4f	0	0
004d21df-d807-49af-94ca-6847beb99d63	0	0
4f51073b-896f-4fcb-a1ca-379ba6bf862b	0	0
056489f1-7628-4495-87a6-e85ea14b0f23	0	0
1122f958-b2ee-4293-b415-bf937cf45dc3	0	0
3043a176-2b79-4b74-a635-618e86893480	0	0
af16ff61-d317-43f2-ad48-53e836858046	0	0
50b2e623-bbe4-449d-baa6-8d3be5eee16f	0	0
c632acd5-847a-46e5-a8df-4711157a8abd	0	0
6c17b7e6-8375-4a4d-9767-935a14d2575e	0	0
82ae3ea7-5a22-4ca4-a295-600eb7629b48	0	0
6e071076-bf6e-44c9-80eb-46b602bc9604	70	5.83360555555555482
25e2f264-af07-4336-8b4c-b68510643343	0.594125249072381956	0.161792682931765297
89dd925c-5d50-437f-be08-43c896c7985f	0	0
79c708ea-97b9-4edc-b953-575f83687001	0	0
678a1d4e-7e4b-4a0e-926a-3f333638bbe0	11.1837229437229446	3.04556075180375219
5d1d1a87-962e-43ac-b40a-4a2c49cdd606	0	0
c1ddf643-1c51-4c62-92e4-ebaf0d7212e9	0	0
14e80d06-e0fb-4bd8-b2ae-2fa66f2ec9c6	17.1436818181818182	4.66858171912878817
dc1dcbf7-9061-48d7-ab07-8483319d56af	0	0
2d303d65-8c69-44ba-8ad9-fe0201fac2f3	16	4.35713333333333352
995e182b-13f2-40f7-9752-aad66bd95ef4	0	0
b69ba983-63ee-442e-b11c-2a86af4c05e6	0	0
82a92cb6-d6e1-47e3-b7aa-cf7a6191b1fb	0	0
8f983f93-69f0-4626-af8f-86da8098ea73	0	0
dc905188-da16-4584-9c06-a3cb117cc661	0	0
bbc36a88-dbaa-4954-bc90-91948ca1b15e	0	0
ee06b342-027e-45d5-9e48-31ec341b782f	0	0
0f8b6767-7285-495f-9cf2-7bba1efae92f	0	0
3a96483d-8ffc-4b37-8559-b7ec567c6d6a	0	0
3140de4b-35dd-4b9f-8c13-fede96a8417e	0	0
69d34b08-ce2a-422a-84e2-868869ce387f	0	0
d5a3b946-172d-480a-ab56-20eae257a25c	70	19.0624583333333355
2449b051-fde3-4b57-8e76-79bd8114b9c2	0.594125249072381956	0.0494833717169074205
a071a80e-e051-45c5-b405-cfca82258095	0	0
ed9d7ed7-9533-4942-9925-8edd0021ecab	0	0
756a09a7-404f-4313-93ab-f2a9b3c6be64	11.1837229437229446	0.931467431265031398
0c8ddbae-298d-4c4c-89c0-66282579d09b	0	0
9478c01f-7d4a-42cf-b583-b2b53d142cfb	0	0
1e63d2d9-e0c3-4944-b382-b198781da456	17.1436818181818182	1.42785916156565662
bc7984ea-1646-4a4f-a98d-bfcd9d711b5a	0	0
433f5d83-60a4-4bec-a22d-0dd538cf9df4	16	1.33260444444444448
aa8dd8aa-b700-49e6-8bfe-75a20b498b7b	0	0
7df6cfb8-4ec6-4e03-9f4e-3174bec0ef67	0	0
2547f629-b460-49b1-aa2c-665846d3051c	0	0
a95cb449-ff50-4eb2-bae7-dbd14920e014	0	0
7b61f1fb-dcf5-4834-a240-12baf7172737	0	0
96c75d5a-da1f-423e-a9de-f257546f5bee	0	0
a5a9190e-a9a0-433e-9bae-8a9320c4f604	0	0
9c9e594d-ce62-4913-85ba-75ad0cd7851c	0	0
40e00e8a-23b5-47d8-a6c1-bd6274051df3	0	0
07104454-be89-48d8-8720-ff24d2dc31fb	0	0
3ad95f97-ecfb-40c2-b0f9-f84a80cf9a13	0	0
2dd9d697-7be3-4c3c-a0a7-cd8b647558b3	70	5.83014444444444457
da325b2f-49ef-4098-b6c7-362e652fa34d	0.594125249072381956	0.0494983898829256391
0a2b8d23-b81c-4686-a769-ea4f96ead09f	0	0
90fc6133-aeac-458b-a2f5-770cb40ea7fc	0	0
0a9ea80d-13bd-4071-aa6a-f951b4db3cbc	11.1837229437229446	0.931750130928331033
324dc62c-4144-46e7-9549-916a8fc618a5	0	0
b4148a13-7483-405b-b2f8-dc85eed54331	0	0
1cb88588-417c-4bd4-8687-b2b00603e27c	17.1436818181818182	1.42829251574494953
e1b4cb83-e080-458f-b47a-21bb06c90849	0	0
9ed7b6cc-19db-4292-9549-14899566067b	16	1.33300888888888891
39f48ab2-25b6-4b7a-afbe-b5055e93db22	0	0
35cae048-34b8-4b3c-8f16-7cd39bad2867	0	0
18432da9-7fcb-44ed-9004-e24c2704e959	0	0
83fe931c-d289-455a-bce0-2f67a287fa01	0	0
99e7b827-83ac-4d91-90d9-4f1bf5124683	0	0
b1bd2635-1454-4f29-abea-946da69e2f5f	0	0
33f18c4d-6ee0-4e15-8273-189a9cf27cbd	0	0
7362b9a2-2900-4050-bb39-fc35562e7ba3	0	0
c73aa402-c1d4-486c-b3e0-22d69f28b74b	0	0
dcf9e85e-eefc-42d5-8fb2-4082669bee9b	0	0
06fe8029-1a79-4db3-9df0-fb80e9e0d779	0	0
7b6984fd-7c27-4104-92ca-098328d0ebd2	70	5.83191388888888884
6954548b-ecec-41e9-8bc7-d33f8c9a371d	0.594125249072381956	0.0494947591175146431
a7fd55d4-fe63-4fcd-aac9-7db06bafa9f6	0	0
6c39c3af-b628-441a-9209-4e5f0d1ef0cd	0	0
e12c34dc-e708-41e1-b4f3-3fe9d3e42c71	11.1837229437229446	0.931681785954786013
9678cd0e-352f-435a-adcd-f173dd6f2676	0	0
e31cce48-cfee-4573-bb04-e068a9431d89	0	0
9a177a95-d4f8-4e87-93cd-4c20d571af75	17.1436818181818182	1.42818774880050503
a3d1a974-733d-4d99-ba0c-285395c07520	0	0
2790d11b-a2e6-4eb3-9939-c3391d7a3ae0	16	1.33291111111111116
c5bafd2c-7a58-45ea-a520-568ac590ef05	0	0
c5fae472-c5e4-44e0-a223-89efdd7e71d7	0	0
12adb33c-0ca0-4f81-932a-6388f508b9b6	0	0
f7142e1a-2643-4c8b-af9d-9eb1933b25de	0	0
447be5a8-3fe4-4d3d-8dcb-e085d1242297	0	0
4c2aa21b-3ea3-43ef-b7dd-b0d8ea54a3e9	0	0
b0c605ae-9333-4743-864e-f8d2c1edda4a	0	0
36d3cc7f-b234-45b0-b271-8b17200b90e3	0	0
ef4a95bd-c549-4f07-88d1-be8c70535dae	0	0
159ddb9e-41cb-4e52-907b-2c55099aecc3	0	0
52f79d48-70a6-4d15-922e-7c874439c31c	0	0
d6e4af7b-b86f-4260-9ad1-ac81a881d20d	70	5.83148611111111137
28810814-0561-4b52-84e6-48f33e1c0077	0.594125249072381956	0.0495082919704101787
fe091836-4fca-4b3d-845b-d536e27ad14a	0	0
fa33030c-1718-4954-b2dc-35257c889061	0	0
3e40ae54-4902-4390-b0c5-58630d65edee	11.1837229437229446	0.931936526310726432
6b13abc2-cae3-431b-ba7e-4dc8f2b4c746	0	0
e038307c-b1bd-43fc-a0d4-38ea5888b788	0	0
b25babea-ee21-40c6-bfb7-dcb711d0446f	17.1436818181818182	1.42857824377525255
e4c6995e-2907-4f4d-a87f-f89d55974529	0	0
80a019bd-a9ac-4441-8402-45d24f0ec2d0	16	1.33327555555555555
744a7a39-b811-447d-b8fb-703afba45d00	0	0
c6d1d0cf-1bb0-42c6-9d48-5c898b7b7b64	0	0
e77294c6-df30-4506-bb23-dd9132820e89	0	0
5f3c519c-f94d-43cf-9090-3d5bbc67ba39	0	0
f41db0a1-9c20-4692-9b4e-d52fc9748477	0	0
69882a82-67a5-4bbd-8600-2160251dd8e5	0	0
e7709d5f-b457-4862-a5b4-be2fb32d8dbf	0	0
34f6acfd-6c84-449b-9a80-388cdc928bbc	0	0
eb3996f3-42be-4baf-9cb0-43a5850eb456	0	0
2cea8d71-e936-466c-a576-120c46051809	0	0
81386c25-3be5-4049-a677-2e777cdab8c3	0	0
9193fa51-9a02-47a5-a762-16570e073bd5	70	5.83308055555555516
2cc72a7c-daa8-443f-adc8-f889737ca7f7	0.594125249072381956	0.0495160486056064053
e098cfa9-d5c6-435f-b236-4ebd6097f949	0	0
963d895b-eb4b-4e6d-bd7a-db12bb856530	0	0
76405d60-4d72-451b-b39e-52890051b8c7	11.1837229437229446	0.932082536026936137
29f659bb-d542-4baf-a004-93d6b5282128	0	0
70b56cd3-f214-451e-8ffe-c53e68920da0	0	0
d9d573bf-2a5f-4ad9-9d71-7035352f247e	17.1436818181818182	1.42880206406565669
de655f24-5216-4e08-9486-b9fa98263242	0	0
609f8218-e63a-4b46-9879-2eaa1427a85d	16	1.33348444444444447
8493476b-3361-451f-bfda-9c52eaeff5af	0	0
bef5b3ca-a9fd-4b79-bd6b-bbea11e6ddfa	0	0
4aa7381c-c2a0-452e-9e57-08d442070e3d	0	0
32f5aebe-a4bf-4d3a-b47f-4a8c45407f02	0	0
4c56dad3-00cd-433d-8b84-a209727e2a1e	0	0
9f617b98-57f9-4412-baec-b54f15c73b08	0	0
4768b10f-5d5d-4bd0-837d-0abf8591a516	0	0
8067c1f9-bb30-4590-b5af-842cf865aa5d	0	0
3ee10be4-2313-476b-8c3b-f2fe7582e4ba	0	0
24b4b48f-611e-4dbc-bcfb-c7c0e8edf76f	0	0
d899ee8e-0718-46f4-af3c-275f0b5f8105	0	0
409ec8de-ce7c-49eb-928a-0cbc5afb265a	70	5.83399444444444448
adabb673-de6d-4e90-a269-e1eb6de2c63e	0.594125249072381956	0.0495099423183242709
4ea516bc-70ab-47f4-b702-98eb3a0972da	0	0
8058f35e-5fe6-473c-99f4-93be6c0ecccd	0	0
b5a83487-955c-424c-adcb-84990f4891b4	11.1837229437229446	0.93196759220779235
f35268cf-2ca7-4171-8770-48cf2e5f538e	0	0
61a2f8a7-70d9-4034-a11a-d61d436922c3	0	0
f1925dfc-28e4-467c-8fb3-2008ba890392	17.1436818181818182	1.42862586511363654
c2cd58c3-f3e1-44e2-8f95-a44b02dc323d	0	0
0842f5b6-b2a8-4158-94d2-25560d690d64	16	1.33332000000000006
f8b95f48-961c-4c8e-bfb1-83fee4f68a34	0	0
a20b23a0-4957-4c76-b636-c112e274d500	0	0
5e7d7d9d-0541-4c02-a089-4a900d32a7d1	0	0
5181a587-4f67-49a2-83d5-e08fae3ab37d	0	0
f306e20c-0a7d-43f6-93d0-471fe5007457	0	0
2cd4fd0f-da73-4477-b20a-7d4fa0919c7b	0	0
cfd03efa-70be-4463-b256-75af14d4beec	0	0
f3a62823-d947-4944-8250-3410a00da7d7	0	0
c11d23b3-eb16-4002-8b02-90b53b599fdd	0	0
e2f8215d-b33b-4aee-b192-f6c0a268bfc3	0	0
d8f654b4-5ebb-4a68-a160-6019ae0f762f	0	0
354f6d3f-e0ff-4c1e-b594-0ef3074a2917	70	5.83327500000000043
2aa54b1d-3dc1-459f-9567-879c64c549e1	0.594125249072381956	0.0495152234316493592
2db782c1-b34d-4b65-bc65-4ecca992225f	0	0
816874a7-b631-4035-92d5-a53638271069	0	0
504a9444-9d80-4b52-8aa3-de17eb637aec	11.1837229437229446	0.932067003078403178
7d71cf5b-fc8b-4f66-b2d7-1a1d5cc73a8c	0	0
db65c3fb-22b3-4c31-96a7-8aa0c6595a67	0	0
3939ed58-d525-4407-8059-492c02cd901c	17.1436818181818182	1.4287782533964648
19c8c0ef-5d5b-4f87-b924-6c93f7a2dd49	0	0
17149a40-b064-4094-a4ea-d682c34bc72c	16	1.33346222222222233
e723f256-9264-4d22-9f12-4eef8fc866c3	0	0
33b54de9-995e-4ff4-ab06-4c9f003605a3	0	0
843c0ee5-2274-4d46-bff0-7c96dca1f1fe	0	0
7fabbfec-bbd3-49d4-83e3-6c7e37a9b9d1	0	0
c6d04f44-f5d4-40d3-8853-dfa918a354f1	0	0
f65b6be9-9edb-4a9f-9d79-47d80acc2a81	0	0
d8765b52-d6f4-42ea-af9a-45346bb5c239	0	0
3ce91ff1-1769-4ab1-9d68-782c7c38f6e8	0	0
911090f1-4bdc-48fa-9606-f983527e1157	0	0
adc680d7-8f62-49f3-aa71-de4f2c99397a	0	0
1a45382e-2f7d-45ba-a299-02419e792356	0	0
4d06f95e-20e6-411d-bb71-27fb983ac2d7	70	5.83389722222222229
1622ae0b-d70a-4150-96c7-2626378b8cda	0.594125249072381956	0.0495173688839376722
92683699-ee8f-49dc-829d-9e90aa237c66	0	0
29a2f1f2-10b1-4e4c-b10a-9f9253fb619e	0	0
9ad8afad-de2a-4b2e-b6e3-1dc55444de98	11.1837229437229446	0.932107388744588872
f11ffae0-a622-4423-b04d-0b26cd820613	0	0
12d5122a-5551-4db0-93fd-f4ad6d15d0ef	0	0
b6571645-2728-4a13-9d50-31e39fcdfa8d	17.1436818181818182	1.4288401611363637
f1cede09-23e9-489d-8c2c-b4cc327ee2b6	0	0
68c6650a-89fb-4174-a964-0a6e18cb33d2	16	1.33352000000000004
46be0a67-e09e-480d-92c7-a7764a317178	0	0
0c5434fe-17e2-486f-a9fc-520fe17d38c5	0	0
1c6059dc-5115-4f98-8782-b0729169d952	0	0
47ee6cc5-ad1b-420a-9b9a-530205fb3323	0	0
962f1985-4cc0-484d-acf9-b7e7c49bda44	0	0
260fefdc-a314-4a09-bed1-23b0007a9341	0	0
81487943-b481-4b98-8329-a9e71b1458aa	0	0
e3a2a3ef-5572-48a5-ab19-03d5e8ab99b5	0	0
f4b1083c-08e9-4979-b793-edaf99c4a461	0	0
aa051d3a-04a1-4fac-82a2-a780719acf8e	0	0
f428c4ab-bc60-4070-8290-b3edb256fa1d	0	0
c7e10018-adbf-4ff6-b198-56ee791cf815	70	5.83415000000000017
30ffd922-4dc8-4ee3-a10f-0c0899a74597	0.594125249072381956	0.0495101073531156802
feed62f9-f68a-4a06-94ea-dc0339158ddd	0	0
2f7e0ad3-18c4-4db9-83f0-38811f1e5843	0	0
4bd0673e-7c28-4efc-9f94-cd8723d44827	11.1837229437229446	0.931970698797498942
a53058e9-9fc2-4348-bf15-cbf4f674a37e	0	0
ae731a00-296b-49d5-be55-4d502fdc69a9	0	0
a583c1c8-9c56-4dcc-80b6-fbd936a0ee47	17.1436818181818182	1.42863062724747492
7daf7b6f-9915-4fda-b29b-5f20114b0c62	0	0
c66d8140-bfc7-4d68-a74c-3c434fe4abcf	16	1.33332444444444453
886d35b4-2d7c-4b94-a507-9c4acd5457c3	0	0
cc8c5d71-c6a7-4774-b54f-4ca1e38e8a16	0	0
daa437b6-f187-41b7-9b8d-bcbd48b6f06a	0	0
4bc6e7be-2985-41ce-864e-a75f1d7eab92	0	0
2e3c8c15-d461-4b92-b032-39a26452528e	0	0
695b9e8d-32b4-4226-8e57-83232d504d1e	0	0
899642d1-6942-46af-8b71-845a49f64f32	0	0
1d739a31-e587-4299-beb9-ce8cf6911481	0	0
5ee89d68-0084-4b24-8173-bb74b1d263a2	0	0
975fb808-5188-4b8f-88fd-814a95bae291	0	0
babdb49d-31a4-4dce-861c-ba4b46669453	0	0
7006b57d-bc21-4127-8dc3-27560e682f0f	70	5.83329444444444523
d8f24772-5984-4f3a-bd5c-9c0266977ff3	0.594125249072381956	0.0495112625966555447
e1bb3f18-2666-4e8d-b83b-1140bd7958d4	0	0
34fa3dce-bccd-4bec-9981-defe4319cfd2	0	0
4e41b5f6-4922-440d-a71e-af3f902f737d	11.1837229437229446	0.931992444925445085
eb0246b3-dd6f-4a52-8c44-53aa732e9998	0	0
86c640f4-52e7-4615-bee5-8a52b22dc971	0	0
0f39152d-f881-4051-bb96-84d71bfb9dc1	17.1436818181818182	1.42866396218434355
3365ea98-379a-40bf-8458-b4eabb82e92d	0	0
c0510d29-3790-442c-8948-f9ad2de3f930	16	1.33335555555555563
742b2ded-081a-44b3-9aef-4f57dd159d0c	0	0
3f64d044-93f0-4381-9d6c-a330ee3e885d	0	0
d9f61597-0620-42d6-8e8d-6bb1d1363847	0	0
f22abe10-f75e-4cb9-aeb7-5ff7de0fb8ac	0	0
aa4a9c41-e4dc-4d0d-a3ce-625479e4799d	0	0
acb4f520-3294-4f32-9ca9-5a9725058f70	0	0
8138a752-1a67-4c6f-9565-fcbd207be40e	0	0
e0ce6200-ec7a-43b6-9da8-2686cedecc1f	0	0
7c9e340b-f4a4-4de1-869f-7ec168a8d9cd	0	0
b2847c80-2f34-46d7-a282-122354627fa3	0	0
6f30b0f3-e41a-4940-a43d-69b7dafac3d2	0	0
511c2256-dc95-44b6-afc4-6853ad222b13	70	5.83343055555555612
e0e18589-078c-405d-b04c-2bb1d4e19856	0.594125249072381956	0.0495188541970603552
b064f944-c775-4d71-a14d-f4fd69f13d4a	0	0
0d06cb3f-c8f2-45dc-b6b6-ab0b3f8f7f05	0	0
82fc199f-1157-4712-8ecc-cfd3be578b5d	11.1837229437229446	0.932135348051948198
43974ecd-025b-450c-b83e-f4efc2c2f7e0	0	0
13004ec5-e9e3-4078-9c98-3f173ad6aeea	0	0
2a18fcdb-aa49-4d1d-ab1c-bbb798a083e1	17.1436818181818182	1.42888302034090908
f3a0ba88-a8db-4e87-99ab-a2d33519c395	0	0
57e8e2c3-5c3e-4c70-959c-906ac113686e	16	1.33356000000000008
c6a01300-4b3c-429c-84dc-28b4041f6fa6	0	0
d83591b0-6ca8-4d6f-b106-376afea9917d	0	0
80e4ac1f-9537-4130-82c2-4928d75ababc	0	0
2838f048-58d3-4d6b-8339-017edb7647ac	0	0
bc65d407-9b6f-4285-a2fe-2e1367d293ef	0	0
024d0124-c17e-4d18-8fe4-f5b57411cfd4	0	0
9199dd79-d6e6-4ca2-9350-eebb3ffd6fff	0	0
df619a3d-6c66-4b1c-8e7e-dc247f23799f	0	0
22c694a7-c4fe-45b0-acf5-cd920baf89a4	0	0
4401fc5f-0ffa-4c1e-8bfb-efdbc1a48759	0	0
e5e4f660-9268-4024-aae2-92d3498a8e11	0	0
a91d88cb-7f64-47a9-b1d9-a832f0fae794	70	5.83432500000000065
758708e5-5d3f-4eee-8980-1429f315132f	0.594125249072381956	0.0495185241274775367
4ecc89fe-43cf-483f-920b-2030fe62650f	0	0
1f03746b-693b-4067-bef0-ef5fb4cda776	0	0
00a648dd-2757-4ee5-b06a-ea7dd8950ea6	11.1837229437229446	0.932129134872535015
ab78dbb5-4b3b-4e77-822f-9ce53ae9e4fc	0	0
2374d6c8-dd4a-42b8-8d2b-385eeebc551f	0	0
35bcfaf7-4972-4c09-866e-cf7fbfad253d	17.1436818181818182	1.42887349607323233
a71e829a-cdcf-4126-8b95-5d497ef4d56c	0	0
9ef35fe2-b3e8-43dd-875a-40ce73e22f3b	16	1.33355111111111113
da8e6d4e-5ca5-40ca-b59e-d3abc4711c75	0	0
cfcd1ffd-0bbb-4e89-ae23-72241bbe3c5b	0	0
6be023b7-8a10-43b1-bc38-9a1fa2147b63	0	0
d31d4877-2629-49c7-8c67-8a4a1c22aa42	0	0
b748d007-8616-45a0-acb0-caa41e966afe	0	0
8229e689-1e5b-4822-99ea-4d02afea8812	0	0
1a178af5-a392-4d56-92a9-d92058e68260	0	0
37ffc07e-6248-480e-a56c-965e2b5edb81	0	0
6f558a88-da4f-47fd-8a10-ec86476d293f	0	0
25ea3137-5168-4994-930e-85b454b4fe59	0	0
aa34f0ed-2592-4451-9326-1426de9ad788	0	0
8c25162e-fc09-4857-a443-c4107bf013d0	70	5.83428611111111106
ad5f2e05-e720-4ac7-ae94-38fda49e949b	0.594125249072381956	0.0495155535012321707
907adbfb-814d-41e2-a2dc-b88064c1796e	0	0
b62f0f7d-f01e-4a9d-82c8-5e8ceb82d5a4	0	0
d618ed99-21c4-4052-9839-1bbdc1b13a6a	11.1837229437229446	0.932073216257816251
7c0b1049-ad10-4bc7-a718-f9c775d6a318	0	0
35060807-0e73-4c98-bf13-7198332dac14	0	0
6e04218c-28e9-41db-b0a0-ed1dc0f2de43	17.1436818181818182	1.42878777766414133
d6406f4a-087c-4524-a6bf-bbe659593416	0	0
92d5d7e1-5cb0-45f7-8397-da258d401214	16	1.33347111111111105
3a3e69c5-3971-45a7-94df-2a14725cc366	0	0
057e76e3-4d09-49a9-8f53-343f316ecfc0	0	0
27425162-a3f7-49c2-a2b3-692b79b82d5a	0	0
9bfc24e6-ac33-4187-8a6b-d68e85eb83d7	0	0
7d393bd0-b521-4f6d-980d-cef5a44532e2	0	0
9c3bc366-cf9f-4eea-8a03-5f6a436c8bcd	0	0
d63e4a93-a3a5-45c5-ad26-775eaa679505	0	0
c6246d54-4bec-4b66-a9fe-ad324d3089e4	0	0
99c80431-7cf7-4306-aee4-e6c280683784	0	0
91f18117-0752-485e-84cc-7f0841152654	0	0
f9f70a8e-e2aa-4645-bb2f-0d1ac84e7520	0	0
41557876-2a2f-4810-9626-575327c308d4	70	5.83393611111111099
f99b83cc-8fbe-4a40-9889-2cb1cd757f2b	0.594125249072381956	0.0495139031533180854
a1d5e786-97ac-4bc6-a41e-e5f7f29183d6	0	0
cd6e7ad0-456b-41cf-b4a5-cd9c4cc77a2a	0	0
f53902e2-4d55-4bf5-bad2-dce3ad2c516e	11.1837229437229446	0.932042150360750554
9dcd7194-a438-4897-b329-b8425b907eee	0	0
3785bd38-4a51-4b1c-9a4f-595c33618c68	0	0
7835d622-82f1-4b22-8dab-05d87bec670f	17.1436818181818182	1.42874015632575757
ed6a49b5-41ae-4bc3-ae3f-93ddde61c374	0	0
a41774a9-37b2-42a2-bb21-7cf43b0a1543	16	1.33342666666666676
3bd1f9e3-4001-46cc-9f9f-e85852f58e59	0	0
fdc732de-f344-46e1-a8f5-d85ea280c2d0	0	0
7ee7ac11-e070-4846-8656-aeca7bc8fd29	0	0
29a87ed7-4394-4789-90e6-3fc0c9870018	0	0
b1f902cd-a7e0-41cb-b9be-f9fbded547bc	0	0
688da40b-b8bd-4507-bb1a-18d49116151d	0	0
cdeaac4c-c0f7-4ac1-88e7-91e3d72b73e8	0	0
80f65b06-3515-4112-83dc-fb3f68c36551	0	0
c3175fe1-d0c2-43c3-bc63-9be558a04a1a	0	0
69bcd388-ddd1-4cac-b6a9-8cccec20c94c	0	0
97e7251f-401e-4f18-a7d6-ec1a9e5998c3	0	0
3b00c827-0cba-46b2-ab70-16ea6bd028ba	70	5.83374166666666749
9e2d4313-5ad2-4133-86ea-762f01e61be8	0.594125249072381956	0.0495071367268703141
3e11f111-bf2e-42a7-ba37-b0384e8b3e92	0	0
c3a5ece4-919e-4676-ab56-cf12ae274263	0	0
821061af-9b76-40ab-8e5b-168e28783124	11.1837229437229446	0.931914780182780289
e9d734b6-665f-4a2c-8e2a-4c97762437ad	0	0
f7655513-13a0-4b85-b4f8-bf638846d2a3	0	0
20b89dd1-07d6-42c9-9a95-053f0f4fe97f	17.1436818181818182	1.42854490883838392
d09fb0a3-88a3-4875-9d16-6c98b9bfa137	0	0
18b3c15b-f56b-49f7-accc-7b77fa91c6dd	16	1.33324444444444445
ecbb659a-bcf5-497a-ae48-02f9e3b25482	0	0
b49fcae2-a5a7-4fb1-b1d1-8ef4db200999	0	0
68706d9f-45c4-47d4-9afe-f557fdc21771	0	0
a9d02d30-cfaa-4e4f-843e-be4b8db9f02a	0	0
86472856-2d35-4281-8465-e0d385734b18	0	0
18ebc44c-caf5-499b-9a88-9ff0b4556fc6	0	0
26275b99-8440-41b9-ad25-af0734730fa1	0	0
8252ce1f-2493-4253-ac44-fc8c7f75d74e	0	0
ed32354e-c569-4e1a-b515-0837561d55b1	0	0
74a3f877-84bd-44e7-948d-38aac65eaae5	0	0
18e3ec6f-7878-4c3a-bdee-49cf6810a42d	0	0
501abb63-e7db-4df3-8945-9ad6606df7c0	70	5.83294444444444427
7772f196-a4eb-4603-bc58-5318a0ea007b	0.594125249072381956	0.0495205045449744405
2929fcab-b495-4cda-8498-934200cd1d73	0	0
2b229443-d3f2-4b6e-89b9-f803c67c0401	0	0
7387bb64-0c7a-4b3b-afea-3c0e8046b1ff	11.1837229437229446	0.932166413949014006
3012e040-eb8f-480f-859f-d845a8d93c16	0	0
6718dbe0-28d0-40c2-9b1f-fb9e9e7cd38f	0	0
b9a8059f-6996-43b5-9205-aefe784385f5	17.1436818181818182	1.42893064167929285
eb5b3991-56bc-4fdc-a095-fdb747348e0a	0	0
19d04cbd-cb5d-4020-926a-dbebec189e19	16	1.33360444444444437
93234040-c5b2-40b3-8481-10550dee2f48	0	0
c5a20b85-761a-4ddf-bcdf-eb57e251ec85	0	0
ce1a3848-f572-450a-8cb3-b8347da64ad2	0	0
7fb058b8-a05a-48a9-8889-73deea37fc64	0	0
2b240264-2a7e-41fa-800e-08aaa71dcdbf	0	0
0d1fe123-3c77-4aab-9750-8b2e76775c81	0	0
e6b743a6-2665-4340-bf50-eeb900688f09	0	0
169ac868-5529-4868-89cd-74039761c506	0	0
dccb6b11-52d4-4a32-ac54-9a2fbabfa896	0	0
465f9983-a53a-4d15-a460-f84505143205	0	0
9035257a-ecfd-43e3-8e0d-61a4daada776	0	0
15666363-27da-40a4-a813-3e7f785049ca	70	5.83451944444444415
1eea3206-2091-45f8-b601-73cb228e27e2	0.594125249072381956	0.0495148933620665407
bbaa9805-0d80-4183-915c-d30291e96300	0	0
eb53f581-88c4-46ac-8620-c854c70954a1	0	0
e6092071-ab26-4ad4-b827-7e589b575b03	11.1837229437229446	0.932060789898989994
69290a43-f856-4a09-b85b-08b4d75eb1d0	0	0
a8636ba2-3fa4-48bb-b2d9-d8b66f35a1b4	0	0
8f64f66e-e8e8-4848-be1f-b2ad73fbb855	17.1436818181818182	1.42876872912878783
fdee5525-6109-4de7-87b3-5fba6b0564bc	0	0
daf90ca9-303f-45e2-8f52-c08ac882bf2a	16	1.33345333333333338
517c0b28-386f-418c-b0f1-e3a919b3195d	0	0
533ca08e-9861-47d5-9ff5-3d8bc0464f62	0	0
3ef88b6d-1ca8-4a32-bf48-794f8cdc2d57	0	0
1f43a07a-4a77-481a-8d6d-a06d40ae2432	0	0
3299b6cb-6e5d-4e7e-841c-e3191580bc13	0	0
93c29483-8b63-433b-9791-34af19cbc25f	0	0
e772e062-63dd-4072-9f36-bef3792bd8e7	0	0
2187388a-4f95-427f-b55f-4a88df8e9590	0	0
cf2b4783-533b-4764-9b7f-f687277693e8	0	0
c2a9b632-346c-4bf4-ad59-35db5f1a255c	0	0
e52173ec-dba6-4373-8c30-50de8e6d924f	0	0
d1a0a8e6-8a61-4611-a5ca-d5ddcccaa54b	70	5.83385833333333359
ccd95b5f-0f4d-4a10-a589-60a3037ed96e	0.594125249072381956	0.0495124178401954093
96588145-4645-49db-bdce-da51f8d5ed89	0	0
ea01c470-6e4b-4a3f-a199-c4c95c85e699	0	0
1fbc52ff-38d3-4be7-a4c7-dcd8faf286a8	11.1837229437229446	0.932014191053391117
e94100a4-f78d-4a08-87ac-b6c1361f4a32	0	0
e8af4781-e33d-4ddb-92c7-d5409b4712b6	0	0
30e23b67-2c09-4245-86ed-d7bb74f23d90	17.1436818181818182	1.42869729712121218
e0300ac5-5f94-485c-bff0-97325caff419	0	0
f2bb8eb0-d542-4674-8746-ffc52e6858fd	16	1.33338666666666672
e4ac899d-9142-4bcc-b210-cf1d063559b7	0	0
da06ef47-ca28-46ba-973d-e61273c0bf9b	0	0
e45ec86d-b8db-476d-8fe3-2ab58d734ec2	0	0
3262082b-79db-48cf-ab01-81da2be41aca	0	0
67e0fd0c-26c8-4437-b5c6-82e024cdd343	0	0
8bec0549-784e-45a0-9731-88314b293e7d	0	0
45567f48-e729-4bb9-9708-fbdc7c89c8bc	0	0
9791bde6-c906-472f-8568-43e6b06b9785	0	0
7f166eb6-8b25-4f04-9522-f1ac29e2494f	0	0
4792e4eb-1d42-430e-adcf-3c3c7f20266b	0	0
df4dfcc0-cbf3-4eb9-9eda-02c40c630874	0	0
4ca59de2-6ffd-46b8-83c1-5054ecc77071	70	5.83356666666666701
29955486-45a4-4d7e-96bc-a1a173d80823	0.594125249072381956	0.0495134080489438577
c084ae2d-c413-4777-85d5-365f7f93b50f	0	0
d91b9b0d-bd7b-44b6-8c07-9d64db1e34c4	0	0
2f9ca93d-7ef6-460e-801b-4d94c22127da	11.1837229437229446	0.932032830591630668
785e4ce8-dfca-4742-816e-ee6b6bb8869b	0	0
a371ead0-8839-4f3a-91d0-411df51f66b9	0	0
2e64df5e-a03c-4359-a086-524131186777	17.1436818181818182	1.42872586992424244
c693987b-831d-4eed-9cae-a970adb9509e	0	0
0cbfac0a-c5f6-45b3-96ef-96748c9de57c	16	1.33341333333333334
086666cc-5bfb-4018-b77d-3531526325d5	0	0
f29164fc-cc98-4eda-93cf-10b0b9b686f8	0	0
a52fcdfb-adf2-4525-a853-29937a42de64	0	0
a5a44254-a941-4d3f-a526-bbc67ccb4b69	0	0
76275534-bb5c-48eb-9deb-5948a2e053a9	0	0
8342647f-a2a3-4dc4-bf36-f153dd217bd9	0	0
29d4cd58-bb45-424b-9313-04ffcc29dafa	0	0
bd9a91da-aabc-4a2c-a2cf-78c455bc52e9	0	0
c4fbafbf-aec2-4f2f-9367-d50aa9923ec3	0	0
ddd71b3a-ec34-4954-ba69-b2b5e25c3083	0	0
9cd9cd15-cd70-41af-a159-466c00309588	0	0
3aafff6d-de77-4905-bb74-793ac5896fb1	70	5.83368333333333311
9cdf0031-c58e-4829-8406-38901968d8f3	0.594125249072381956	0.0495120877706125839
3641b382-5cd5-4a9a-b729-f196a7f201f4	0	0
ca44461f-8dfd-4d08-9b90-38c739d1b586	0	0
cb3900b5-9046-4efd-97e5-8095226ead6a	11.1837229437229446	0.932007977873977933
98307c57-9c23-4df2-820f-65b314b0b065	0	0
c0548b47-ebeb-4ca5-a45d-6aae72954972	0	0
95dc74a1-d4db-4a31-b0e4-558dbeb47c8b	17.1436818181818182	1.42868777285353543
cfaf6d79-f64a-4bc5-8aeb-3ddc70067253	0	0
a257aa8a-c5d6-44f6-9c1d-1311ec6d6feb	16	1.33337777777777777
a5512d27-79af-4a2f-8ec0-260ef8f03250	0	0
0dcf8b22-c128-4a50-a685-1dd2aaf5d6a2	0	0
d6ff72c1-5f48-4124-aa30-8dce1209ffd9	0	0
ddd2e297-37a1-4ced-ab17-96bdf35a186f	0	0
5b9014c5-5ca0-45cf-abfa-33d130686b7a	0	0
baefcf89-d97f-4c3f-8217-67cc1e7b3a36	0	0
2abb6a93-9235-41a5-b8f5-734000cfe48b	0	0
0ca5be80-a47d-4df1-9fb7-66aee9353278	0	0
ff61240a-caac-4593-bd19-e770bb5fbc83	0	0
e3f714ec-e8e5-4863-aaf0-f4cdc0354d52	0	0
af6121bc-b7c5-4f49-a72c-c03670ff7be5	0	0
4fde7595-7877-45b5-8864-4a906c420b43	70	5.83352777777777742
7c541532-7e28-4583-8166-c11b7167caa4	0.594125249072381956	0.049516543709980626
facfa5c5-5d40-4f02-a027-95a86f1bf612	0	0
6dce79b8-22b5-414a-9930-7ec90b28331a	0	0
fddd938a-78ad-45ed-8dd0-8322ad184714	11.1837229437229446	0.932091855796055802
5a5c5cfb-2b61-4929-9f85-2c012e3a5101	0	0
79be990e-934a-4ae8-be28-381c843d8191	0	0
dfd4a810-5fb9-459d-942b-a81bdf52a765	17.1436818181818182	1.42881635046717159
1c89813a-32a7-4930-8f34-556d6ac9dacf	0	0
d0906283-80ba-489b-aee9-a4fa7ad395b3	16	1.33349777777777767
b8740697-6b21-41bf-a276-6b33a7a7145a	0	0
bd4d40cd-fe79-4629-9cb3-e4f411bc5b52	0	0
9d0248ea-8a22-4da1-afa1-33ba0e84a9d4	0	0
278f6853-e467-4fa0-95ee-69a564a7e43e	0	0
ad690123-ac3c-4f94-b31a-8adc8f4dba20	0	0
cb38a35d-04a5-45eb-beda-dd79de535b51	0	0
02b839d3-7bf1-4187-ad47-c86c9cf360dd	0	0
3876bd6d-9831-46a8-94ea-5694168c81d3	0	0
19048a09-ece6-4aac-84ff-1ba68374fddb	0	0
63211e04-dad2-4f04-9670-3950547d381c	0	0
0e0f251b-c06f-45a5-b4c8-ea72582fb190	0	0
21e15ac5-9fb1-4caf-9928-3ccb4659edc0	70	5.83405277777777709
44f22d3b-4c7c-4c78-97e6-305f14409315	0.594125249072381956	0.0495115926662383563
e4821b6a-60df-4a4a-8fee-91d90f7f201b	0	0
df5f72f9-105c-4daa-bd78-ef0f498f49b0	0	0
521be7b5-9002-40c4-8d09-229b048418c8	11.1837229437229446	0.931998658104858158
84c1feb0-c7ef-4e30-8216-2d0bd805b542	0	0
9871070d-8b5f-4501-9755-355f3e456a22	0	0
2d7a49f2-2423-41a8-968c-95c93e3e66da	17.1436818181818182	1.42867348645202008
cd66348b-4f75-49c0-a618-c8eca3afb8f5	0	0
5ea244c9-ad6b-4587-a59b-8a1fe31d003d	16	1.33336444444444435
566cd1f5-8d81-4850-949b-4dfd3c9470fc	0	0
96a056e3-4e29-41e4-8937-6db40e3eaf5e	0	0
60c7c6d2-b0c3-45bd-8d0b-d733f65b3edf	0	0
589f4d00-ab34-41c6-bbff-2a483a53e521	0	0
cf4c1e7b-d1db-4c45-a40d-290f0a38710f	0	0
e05ab7f1-b2fa-4be3-8780-0c1d2a1a35dc	0	0
a8370b1b-a91e-4dc1-a447-1968e0249b9d	0	0
8b5e2aeb-ebbe-482d-8e64-7e9495311953	0	0
43fe57f4-a981-4bd9-ac71-efaeecbfad0f	0	0
1e42a41d-027c-4f19-8bff-2ba7fa428588	0	0
7f2d54ec-3e0b-427d-9cf0-68b1abe55eae	0	0
25e1366c-ac37-460b-84a3-e9eb42612b4e	70	5.83346944444444393
54a40d4b-c665-4ad7-8143-a585023bff8c	0.594125249072381956	0.0495120877706125839
522f2aad-19ab-4a7c-a2d0-3eb942e323bc	0	0
92210d2d-9c09-42d9-aaae-90e494ffa58e	0	0
53e82e47-7b7b-4e60-88b5-6f54debd4604	11.1837229437229446	0.932007977873977933
ae22c1de-2f82-41b4-8afa-b7008e80af44	0	0
5b5143e8-6023-419e-aafe-436ebe083f57	0	0
d6107fbf-4b09-4726-a68c-9adb0757092a	17.1436818181818182	1.42868777285353543
f79d37b0-7569-405b-8cf5-6d586405bbd7	0	0
c7cc8e0c-d8a0-4681-a9e3-82b48d85f700	16	1.33337777777777777
3d478606-69d7-4b8b-86a9-4993cbb8b6d9	0	0
a5d46456-91e1-4a85-8c60-f4e83428d78a	0	0
d60d84c7-66df-467c-bdc9-9380c6113702	0	0
d22b0d82-d68f-48ad-9ca9-d6b098d4a928	0	0
7ec18295-9d37-4917-98b4-19d8af9d8f86	0	0
ca5d33d8-d1ad-4518-ab2f-bc79076717db	0	0
12b268d1-aa4a-4d07-8b2d-4ad5687634d0	0	0
72409c7a-b552-483b-8a5e-c9d2c0501b01	0	0
dd238367-71ad-4dc5-915b-0a2ff3b1905e	0	0
aae69655-390a-4ef4-bc0b-3317d9e07d83	0	0
58786e88-34ff-458e-83a1-b08a1e53fe75	0	0
7b52ef90-e749-4502-8ebd-f307b407b7c1	70	5.83352777777777742
ee58d784-0677-47e5-81c9-be0ec6a1e1fb	0.594125249072381956	0.0495140681881094877
1e1f09ae-f2f0-4788-a031-c971ad37a65f	0	0
e8c51cd4-fade-4ca7-adaa-ce6f2ff871df	0	0
82d70347-21b4-4066-b25c-6cc343ab3186	11.1837229437229446	0.932045256950456924
c0faec4f-f7b7-433f-9a10-2d01bf408eb2	0	0
88146993-6009-48c5-9f8b-dfd31194389d	0	0
9819b836-ef1e-4a9c-aee6-e9c5d35e8f2f	17.1436818181818182	1.42874491845959595
c3159884-2866-4a84-ad44-a5d6af2c6ca9	0	0
ec8207b2-794c-456a-adea-dbfbcdaf5db2	16	1.33343111111111101
b2e276b9-c5af-4e1c-9491-0fe60826d0fb	0	0
15df92ec-21a4-49d6-952b-2702796a332e	0	0
5408394b-5794-466e-a855-f8448d5479c1	0	0
11dd10f9-57a2-40c7-939d-34de8c09da15	0	0
a6494089-38f9-4249-9ece-55c1eb768a9b	0	0
7ee509a7-1585-472f-9e88-b73e7303f943	0	0
0075692a-cb1b-4e89-843e-31dbfcc17971	0	0
6b5b001e-c63d-4852-87f9-3674c104597d	0	0
4b0d0f26-2c7b-48dd-b723-2025e68cb143	0	0
76a3a950-bbfb-4217-86bd-40c642c6033b	0	0
ccee4b26-19b0-4de3-960e-47fcb1f98387	0	0
c549f07b-9823-4a72-b455-385903a25a5d	70	5.83376111111111051
80a8dc15-496b-40c8-b723-86a7ce6ffd5d	0.594125249072381956	0.0495143982576923131
d682c160-7c42-4736-85bd-532eb93a2bec	0	0
cf44869e-814a-48b9-b6a6-a3ee066589c9	0	0
77b6e09d-3516-4212-9599-49675ec436fd	11.1837229437229446	0.932051470129870219
63490b6c-6071-45ce-81a4-71bb7f5c2674	0	0
08d14181-a91d-4db8-9454-6e2465878b92	0	0
8453a62d-7a47-44fa-8cff-054a70d7c65a	17.1436818181818182	1.4287544427272727
9e211d70-ba83-4700-9ee8-38946fc2ebc7	0	0
a5c70393-451c-4354-bf57-cc36e6b296bb	16	1.33343999999999996
fc4ab825-7cdb-4317-a79f-159f1ca13039	0	0
b694a6e7-4720-4025-85e3-19de6269ed16	0	0
278bca67-5241-48ba-85c5-ea97692cb36f	0	0
32b10b4a-d0b6-4b9b-bc44-0a6553eac1e6	0	0
c11e3307-f055-4988-8fd2-9551a936fbd9	0	0
6a4ef681-84f1-4db0-8f7e-92d12b39ae5b	0	0
d3dbe3c6-86e7-4881-9c78-b310c4a8e83f	0	0
eb5e5c64-d892-477a-a89d-6887e5334bd8	0	0
eda7b6c2-1904-4292-afe3-548ee4871b04	0	0
c540c685-293d-4dd6-97d1-788e07c9a29a	0	0
79375d6c-e01c-4a2c-b19f-3dded53cd2ed	0	0
f6c51ccc-935a-463d-9dbd-dc8131e48b02	70	5.8338000000000001
52cf0b49-b8dc-4687-b271-e0d0c6c84fbf	0.594125249072381956	0.0495157185360235799
d5218116-5bb0-4e54-8221-8e3d37199223	0	0
643d45ce-c9f8-40a0-9367-f408b8b9d765	0	0
eaa22539-04e5-4b66-b9b7-8e0fb15f98fb	11.1837229437229446	0.932076322847522953
85b26f06-dda9-4b14-97a2-b1dae0e22b3c	0	0
7b219916-8776-42c2-9916-81f985ff80f3	0	0
89f3a553-40eb-42b2-beea-65dbb7d1045d	17.1436818181818182	1.42879253979797971
fa51a349-fd42-4982-9255-657acbe29970	0	0
00f9d2a5-01ac-4fdc-b9c1-5d1675d74b31	16	1.33347555555555553
eac18e47-87b1-4640-88aa-137bc798059c	0	0
83da5f85-c911-4d5b-9c12-5ae169612882	0	0
ea0b43a3-a79c-4471-9fc6-f7d4764e676f	0	0
88d71c29-43cb-4e28-aa17-53d3919a1b2b	0	0
fb6c9220-a0a8-4a1d-8c55-7ce1f3b9c6dd	0	0
d2399486-e1f1-439c-8fdf-5e1901dd6e29	0	0
29c6932c-a70b-4fda-986f-aadd18495688	0	0
230f517c-da16-4592-a177-45ae12f2c2ca	0	0
256b7e62-dd5b-4275-a362-823f3127e803	0	0
efe9c0fa-d444-4c25-86e7-3ac202eba65d	0	0
945ccfdb-d8a9-4cdf-8bac-3e84723375e8	0	0
ace4db7e-56df-4d74-a39e-f9f7983cc0ba	70	5.83395555555555578
5739007e-8943-44ad-bb33-aef62602c92f	0.594125249072381956	0.0495176989535204976
c329c723-7515-4ff5-9d15-2d5e5c9bfe75	0	0
424f447d-2a59-4f96-aedf-93f9b5ebfbe7	0	0
a2bd0a9f-dae9-453f-9f03-94b934b862a7	11.1837229437229446	0.932113601924002055
66de64fb-b0b4-40c0-bbb0-59da6addcb2a	0	0
14f46548-8cd4-422b-83ac-4bf75eeb6b07	0	0
4b2e7735-ffc8-410e-9d9a-890e77a2eb7f	17.1436818181818182	1.42884968540404045
93fb3042-1959-49da-94aa-fc5c5fbecfe6	0	0
9314638a-65dc-4ea2-910f-bdeb84df667a	16	1.33352888888888899
9adca8ca-70c2-4000-9204-f8cf07d52c5d	0	0
0b3cf1e5-58f2-4f93-a180-af73d4eca4b3	0	0
3ad6d6d8-16fc-4dfe-a10e-90cbed3548da	0	0
918a042d-9ed8-43c1-9ca9-0a3a232f8202	0	0
8bda3b72-a326-4ac0-a342-37e4df610c78	0	0
e80afda6-675a-4bbc-aadc-0307b7bc0137	0	0
acece3ad-97fe-4309-8c72-ced56f2715f8	0	0
03cb404b-d040-415c-a846-c218be84e53d	0	0
7cd22b27-948d-4a83-a987-852caa1e145a	0	0
19ed8507-adb9-4aa9-9fe1-beb9d1ece0c9	0	0
afeac42c-962c-4d34-bb22-2d34c8e404e7	0	0
b6406de9-2a7f-4869-8b42-bbb242fdaafa	70	5.83418888888888887
918c3d5c-04bc-49ac-8ef9-d214e90d3bc5	0.594125249072381956	0.0495097772835328617
f11dc257-980a-4d9a-804a-d4ed0575c19b	0	0
c3d57766-74d6-4588-9fa1-e6716c3e4863	0	0
a1e4ceff-0e67-497d-b430-a074617215be	11.1837229437229446	0.931964485618085758
f10c493d-182d-4d60-8d05-066659a63cc1	0	0
a48d898d-9d52-4f4a-91e4-dab2e636d799	0	0
fee02f5b-c017-46e0-acb5-7b4d18a21884	17.1436818181818182	1.42862110297979794
7bf39882-3a4c-4560-bc73-58d3774bf78a	0	0
8a16d632-8439-45d5-9ef5-e940cf3600d7	16	1.33331555555555559
5d4c3970-f3f7-498b-827a-8139d71b0f5d	0	0
fc1d954e-0f24-4d97-b165-b25b9b50bc5a	0	0
31dbec5d-ac66-4ed7-89e8-9ca809d7a0f2	0	0
a4b4dcc6-a5d0-45ac-a525-0a1beae18c91	0	0
823446e1-d963-4890-a863-4ae72a7fd26e	0	0
d806a841-eb51-4f6a-8dcc-81a00969f695	0	0
548f472f-3fb5-4a21-9944-b96339128eff	0	0
cc8660df-14b3-47da-a360-d63593fdd699	0	0
70640d77-6dcf-4ffc-8cc6-0e2415092bce	0	0
08063f76-1bf8-4ebf-b0be-2472fcb0da75	0	0
1d7a7d14-daf4-4ed1-991b-2ba1a61f68c9	0	0
75955617-6808-4571-b9c9-38d2d558243f	70	5.83325555555555564
6221acca-a030-40f3-9eee-0155635b39d7	0.594125249072381956	0.04951505839685795
3b726211-8ef1-43b3-8fd9-ba8dc223b559	0	0
18e00f41-06e7-4c4b-aee5-cddffa694301	0	0
814757e0-ebe4-4d0d-9b48-88ec2138217d	11.1837229437229446	0.932063896488696586
fb286569-5f95-4c31-9cde-484beaa51ea1	0	0
b0f34aa9-0d12-4400-8b5b-b11fd51b774c	0	0
d0d0f938-c57b-4263-813b-35a51093314a	17.1436818181818182	1.42877349126262643
88efeebf-e42b-41e7-af13-2114a1f0407e	0	0
bea880ae-4896-4e41-b4be-fa2bcb3a80f7	16	1.33345777777777785
67c134ad-1a28-4b56-8ea6-56dbaeac3317	0	0
6930872e-07a4-4c9b-ac72-632b1be36614	0	0
66ee67d5-36cd-40ea-9d35-61647801bba7	0	0
65f3ea86-0715-43f5-a880-f6b69712e2f5	0	0
efc7a1bb-169d-419a-bb28-6f7245ed910d	0	0
c2707981-4abf-4c1f-b905-3fb0ebc37427	0	0
288486de-c926-4548-8b64-c2009b2f1247	0	0
e2528c48-bc80-4a5b-935a-18cf5db618c6	0	0
e1a19298-fd84-4f5a-9597-11f31f749e4b	0	0
5405142e-6030-4e8b-87c2-34faedb62238	0	0
5f252ded-0ced-4457-9ab9-4c2fd0fda468	0	0
143e227a-93ed-40bb-a4f1-43d8b9d7f693	70	5.83387777777777838
6d2db202-8ebd-4e1d-987e-975026636094	0.594125249072381956	0.0495106024574899009
2200b4ed-d603-4d0f-8055-8f99c6cafa98	0	0
bb12c479-ee26-4cf1-8652-4aca65224a21	0	0
be2c0e4a-8199-428b-881d-cb014f420933	11.1837229437229446	0.931980018566618607
ab552bef-fcef-415e-ab04-99e727a93f6f	0	0
09ac61aa-e54e-4318-a29f-9d4905bd96d6	0	0
d80ca249-5d0d-46d0-bb74-8ec8cac5b671	17.1436818181818182	1.42864491364898982
fb91a2c9-15cb-4be2-a99b-09b15d83e6a7	0	0
8884e677-1121-40bd-8028-a9bdc230532b	16	1.33333777777777773
4879619f-6710-4c2c-8110-b8a31e7a5db5	0	0
c2090a23-3050-4f20-aa72-23fa279e8263	0	0
0011e11e-fbbe-403f-b60c-826b85dbcffc	0	0
f88e2333-4ab9-4c77-b35f-8e4a189346e7	0	0
6d5bf4c6-c04d-4227-a4a4-94d714033468	0	0
dcbab403-63cc-4252-9b3b-9d043f3687de	0	0
2480671c-2ec7-4515-aafb-1b828c55462f	0	0
8d3a6b75-0a08-4c02-add9-632154e49f12	0	0
157930ab-8649-4ab8-801e-2f558ab19ea9	0	0
4b75bcb6-5e84-4c66-8847-4db5eba28418	0	0
9e60e05c-b093-4458-8c3e-a233bafa8684	0	0
2b88b0e2-12c1-48e2-befe-22ec5e28a595	70	5.83335277777777783
651303d7-0d17-427b-8bac-3bd45089dd00	0.594125249072381956	0.0495073017616617303
32a9df73-87f1-4f5d-9365-5b63ab04e9fc	0	0
00bfff78-c204-43f0-a30d-dceca5041338	0	0
eee6a44a-9dd0-4919-a7e6-60985f0b0b7d	11.1837229437229446	0.931917886772486881
8891775a-7c46-461f-ba21-a71eb377ae1d	0	0
b41ae15a-52d6-423a-84d4-ebbeeaae59aa	0	0
f574ba83-d600-4999-91a8-45846a75ece5	17.1436818181818182	1.4285496709722223
09931daf-41ab-42e8-b698-3fd75fd7de36	0	0
367cd2fa-879d-48fc-b6cf-d9a6b7ab7ad5	16	1.33324888888888893
545a8bfe-c064-4864-b996-8c5a579c2abe	0	0
144aac55-a54b-4d08-861d-04134b571b04	0	0
2edaea98-2dd0-4dda-99a6-7c30345c5cf0	0	0
66436834-3050-44bd-bce2-2de7b7f4429a	0	0
857496b7-9ada-490f-ad9f-73bd72f830b6	0	0
3b94df02-b0ba-4440-90ec-e43a9f6feed2	0	0
24fa74b8-9790-4e88-9cd7-fa8295494187	0	0
3a9fdc56-389c-40fa-aca2-d9ba3645529e	0	0
af7e7192-4c93-4df2-b235-93087738cc6c	0	0
f77f00c1-7264-415d-974e-844951abc1e3	0	0
9cf75b6b-a734-4ce0-931e-b96f171d7305	0	0
8a266cd2-0223-4f52-9cb4-054cff47745c	70	5.83296388888888906
fee25e98-740b-494a-a507-9afd179beaf9	0.594125249072381956	0.0495176989535204976
b1714205-7144-409b-a5de-1559af640147	0	0
abfd384c-52b5-4739-8f94-83b8ab30a06a	0	0
a2697b28-28cc-4642-b1c5-3064a7bac1fe	11.1837229437229446	0.932113601924002055
6912b39f-c5ae-41cf-a4d9-f8f052756d2d	0	0
f729e9b7-83dc-4899-ab99-3b16418c9a10	0	0
e8236702-20c9-4c9e-b7b1-22c4c76d34e1	17.1436818181818182	1.42884968540404045
8376a0f8-b38c-42b7-a20d-b06beaafb94e	0	0
9aef950b-62db-4baf-9b4e-c53a80a460a1	16	1.33352888888888899
27f741c7-1677-42e1-8e05-3ff870f2e87a	0	0
345f0ffd-58bd-493d-a860-0116b125d8f6	0	0
f993b797-f69f-404b-b049-7c00c93d5380	0	0
0ef017b6-2fba-4847-a5e1-69e440d5ce1d	0	0
32da8903-8801-4c3f-8c73-e3741f23b3a9	0	0
5c219392-6b50-402c-9af4-82978e76a0ae	0	0
88be871c-a9f1-4435-8bfc-d5ad7f138cef	0	0
372b2248-3674-4d56-8d18-92b7d9a02fa8	0	0
12b7ccd8-6a2c-4f58-bc72-4418f915ddf4	0	0
507650ff-ac06-4a45-a802-01da5f737bfc	0	0
4078d711-8e95-4ba4-aa97-af4754ea58e1	0	0
8c684031-3974-4d82-b64e-de61117e3616	70	5.83418888888888887
228ffef8-117c-41bc-b67b-812944ac5a43	0.594125249072381956	0.0495173688839376722
c5f77d14-45b0-4599-bd9e-376c726492ca	0	0
efc2396f-0474-4d50-9aa9-ebee80548581	0	0
8eec1378-4d86-47c3-8891-979495e186fb	11.1837229437229446	0.932107388744588872
57752e0d-5c4c-435e-9a5a-27f442118efc	0	0
eb9a7270-2123-4078-b3d3-e04cb356e80e	0	0
986e43d3-051a-4423-b03e-6e6b65c593ed	17.1436818181818182	1.4288401611363637
15793a52-56cf-4129-b634-ddf4abc1de09	0	0
26c762a7-35ea-41eb-b507-d06016a4d817	16	1.33352000000000004
b07711b4-726e-4efb-8e59-18120ed5adce	0	0
a6030bd0-49f2-46c3-aed8-42548a2e8ca4	0	0
2fde296c-ada3-4d3a-bc53-3bef40726d1c	0	0
627ab9b1-ef55-4617-b2fc-dfd47024bb75	0	0
0f8b8fac-7e4e-45f2-83cb-9b64af1b3cff	0	0
226d66b2-1b32-41ff-aa10-f76766667420	0	0
dd8d99fd-0ebe-421b-a4ff-85ee2b1dbd0e	0	0
10cbf279-ca65-484d-84a1-4b3f072d0061	0	0
c15ba3f6-1e1f-4242-b42f-c6f0ac16152e	0	0
740a6dc0-c501-4ea8-97a6-e211e9bfd893	0	0
d293be42-d316-4321-811b-eb9382a19ca3	0	0
47e05fbc-63dc-4df8-a445-8cb4b53962ce	70	5.83415000000000017
d86276fb-1de1-4188-a195-896a92b6db43	0.594125249072381956	0.0495155535012321707
a5ee69a4-50f1-4f12-afc5-20d1a478c382	0	0
78b3feef-0d74-4dc4-9214-5282dd0c86f3	0	0
0640696c-b4c0-41f9-a98c-745be6181cc3	11.1837229437229446	0.932073216257816251
ae4254ce-5c2d-4bc6-bd81-1f3b8bb8896f	0	0
3974cccb-f6fc-40c0-831c-89804a1198de	0	0
6c850c0b-ca05-430b-96b7-e9aa802c7476	17.1436818181818182	1.42878777766414133
dd119834-c011-4cbd-b1f7-50d82b52f34d	0	0
02f2dde6-ffac-414e-8f97-259b749b1b09	16	1.33347111111111105
cab948fb-a609-485e-b3b4-999b40a98d9f	0	0
9e6b6f4f-67ed-47ef-93e1-3cb6617df0fa	0	0
90ba1495-b9e3-49ed-988b-df11f569516f	0	0
65b726bb-564b-420e-adb4-ecf224a411ca	0	0
481228f0-bccb-4414-92c9-1de9e1da5a62	0	0
48172f04-4215-4a64-b174-6f93b821f8e6	0	0
d605cd01-4b84-4264-96e2-5862cef63323	0	0
528c49a7-7e1b-4c0e-abf7-e4c8bd2fc382	0	0
a9bf0cc1-b683-4453-b7bf-6b5a5bebc1ac	0	0
65e30a44-6479-4817-98ba-603c18494e7e	0	0
cc8cdc26-5637-44bb-b5a0-157eae2bf1c8	0	0
e0ad0d19-4be3-4fde-823a-36d292522ace	70	5.83393611111111099
1699b8b5-2dd1-4797-b7e3-9929af567465	0.594125249072381956	0.0495117577010297655
e5452c2d-6556-4c13-95fa-d95cfda92e57	0	0
a63e6465-b29a-4dfb-9e6a-c6f057ed9a20	0	0
7645e8ec-86d9-4944-9749-983c51dfb606	11.1837229437229446	0.932001764694564749
c1b57925-55a9-4a97-9741-7503909fa7d5	0	0
abfeb083-2e14-415e-998a-b40151be9a15	0	0
ac13598c-fcf6-4e76-b816-f474f17b939e	17.1436818181818182	1.42867824858585846
444983ce-a91d-4135-a2c6-2ad379d161b5	0	0
6ad622ac-1ad2-4723-b2bf-4fd1cef09848	16	1.33336888888888883
a80ca1cf-05a2-4838-b912-e4f07da0d8ea	0	0
69efc3be-b2ab-41c8-b918-ce87f9f82319	0	0
2f565294-fd2c-4cb2-9c6e-50658a6039c9	0	0
4ffc74dd-a0ba-4fba-91dc-3c0c0893ed06	0	0
531852fb-a05e-47f6-913a-53e76ad77b15	0	0
fd3de7dc-a711-4768-9690-f634b3a0d73a	0	0
e891bbf7-b575-4bfc-93cd-1c47eda8d13e	0	0
19e8b999-6e81-43ee-bb11-a25466e380f7	0	0
83800a7a-6fc9-4e5f-800c-ca11a1168ffb	0	0
3857a90c-3272-40ae-8c8f-37f8d35bfd81	0	0
7162fb10-34d0-48ee-a58a-824830a181aa	0	0
4c7839d2-5b12-4300-9cd5-3f750d7476b2	70	5.83348888888888872
24da9605-2d65-4f55-b97c-6d3399c8afaa	0.594125249072381956	0.0495134080489438577
fd67d7e0-c705-4017-88e2-abe2b289b429	0	0
6d58ad03-24d1-4e71-a029-0e5e63092c43	0	0
0ded3c82-f372-454c-a3ac-1d9d1baf7680	11.1837229437229446	0.932032830591630668
c3750fcb-0cc9-4611-a3ec-93266733d0fd	0	0
971a1a0a-fa4a-4b07-9d42-a9d232061159	0	0
d0ffa469-74fa-4e0a-aaa5-7a21841e1d13	17.1436818181818182	1.42872586992424244
11098890-4238-47e4-aa07-30a951a7706e	0	0
3655dd67-36e1-4c68-9277-6b154771fe59	16	1.33341333333333334
6c930a6e-f2f8-4e90-9b76-a048dec3946a	0	0
4fa28a89-ba18-4b29-9c6b-7a8f00621b05	0	0
e6d4681a-8c35-4417-8e91-475661aec2db	0	0
e439cd35-7fea-4004-b609-21a29953ac86	0	0
b5e534b5-b2aa-43bc-b628-636097d51f64	0	0
45a07c06-b95d-413e-a304-efa8ad0c5b74	0	0
1872a036-ad77-4959-8ea2-c928bd34c6e5	0	0
e5025b24-036a-47a2-aa8b-b4e16c8b4ac4	0	0
0c023b89-8189-4b82-ba0c-7f549ee0bd4a	0	0
15d74b8f-1f7e-4c33-bb81-d3010e23e14d	0	0
a8fd8131-138a-4ac0-be06-9361771de2a1	0	0
a14d6bf8-8058-43d3-b932-970480cb9ae3	70	5.83368333333333311
e1c38665-64da-4baf-9851-58a8d5491660	0.594125249072381956	0.0495139031533180854
e874066a-b929-4431-8eff-0460bdfa4ead	0	0
a9d0a773-248c-45a3-8a7d-816c0faf264d	0	0
8d5a2084-d375-456f-8687-610732c19387	11.1837229437229446	0.932042150360750554
9146e60e-49cf-41b9-9611-0190903966ee	0	0
6840f2d9-2774-493a-a2eb-a60c2060ac44	0	0
0053ffbe-1ebb-45ee-b49a-17abe0a32c1b	17.1436818181818182	1.42874015632575757
b9b5ebae-f54b-4b4b-bb23-345070f9b0bf	0	0
0d2fe462-0209-477a-a8b6-0435707d08b5	16	1.33342666666666676
ffe1c372-f1ab-446c-9471-9346874d4c39	0	0
5adc7d31-25e2-48e6-b0c0-9ce49959ca95	0	0
b13443f4-e4a9-461f-bca4-678cd6ca6691	0	0
b93ec140-4004-42ba-873e-e5919c34af77	0	0
23006245-28e2-405a-8d88-d8a11a4fa704	0	0
72d7345f-ba12-465f-aceb-f384cd11ab4a	0	0
cb4a60f9-ed3f-4096-8cf5-fdac1b5c6c3c	0	0
43d4618a-427a-4489-a4e8-5fbce3d47068	0	0
aef6367d-37e2-4542-ad12-7435c735f82d	0	0
65359632-e1e5-48ca-b561-d2145c027461	0	0
512032cf-cfb6-483f-af33-6467d7f185c8	0	0
8c351ae8-4661-4884-b035-cd10ab7ce193	70	5.83374166666666749
4b8ff137-14e6-4d29-ab71-9f523442c305	0.594125249072381956	0.0495135730837352669
ec3ba2c5-498e-46b0-b55a-d64ca47ad9be	0	0
3c935fa8-8848-4eac-b2b1-3be1fa490b68	0	0
e44f2a12-568e-4f6b-ae04-6f33af045789	11.1837229437229446	0.93203593718133726
8a0fc684-6a2e-443a-bd96-9f65129a78e5	0	0
56423dad-c22c-4cdb-ba9f-dafed5091b72	0	0
0aaadbfa-2c59-4f65-b8f4-d8055775417a	17.1436818181818182	1.42873063205808082
3caaef67-695f-4d4c-a7ab-64d072c484b9	0	0
aad4f890-dec5-4c2b-83b1-379249954a9a	16	1.33341777777777781
5d3c0307-61dc-4c80-88a2-b04eff679ed0	0	0
38654e6d-63d7-491c-9929-06831214978f	0	0
51e828ac-d833-47b8-a412-b4b01dbdbafe	0	0
b277f60c-0310-44b5-a5a9-608c88fd32c4	0	0
cf7f6fd4-a76b-4753-b372-3fd5602d439f	0	0
ad8fae36-a3f3-41b2-9374-a1c8089c7322	0	0
42c90975-7b9f-431f-a9da-4a50c5f958be	0	0
597070a2-234d-4839-ba8a-d89672cdf04a	0	0
ca284927-0007-4447-8539-af7b0ce93d51	0	0
141fa247-1905-49cf-8300-22e2add57045	0	0
f76aa7a9-447f-4464-80f3-70b3930bfb31	0	0
f126922d-d09c-4d84-be94-691c50325504	70	5.8337027777777779
b6c2ca51-f1c7-486d-b248-a0ee365e98bf	0.594125249072381956	0.0495135730837352669
5e77f709-b93f-4f61-a010-17f1346be96a	0	0
4ceb8d9c-a83e-4fea-ae2f-4d11d9467169	0	0
935331fe-afcd-4d33-bd92-6a310095f9ea	11.1837229437229446	0.93203593718133726
443eb352-8f44-46a9-bc95-c1b49290c489	0	0
caf47a93-be4f-4a65-94ce-f17a4ee93e08	0	0
3777deaa-f40e-4dd8-a217-c54b185206fb	17.1436818181818182	1.42873063205808082
52f47145-f409-490c-a1e3-5dd7ea837738	0	0
029a7983-63d8-4dbb-9788-23eced129297	16	1.33341777777777781
0d930a67-ad33-4c3c-9b8f-4e22cf2d83b9	0	0
51ab1e8b-5b97-4bf1-9d38-4a37855f74b9	0	0
d76ed88e-2aff-4997-88a0-2040000b89cf	0	0
9ab6f2c8-0390-4b2a-bdc3-a26c8f62eb86	0	0
4b7c0d1c-0753-4a1e-b351-388d30157607	0	0
2e95f835-dde5-4235-8917-d589aa1b89d6	0	0
cd6099e5-1d38-4788-b886-3cb2893f2a88	0	0
71513801-2062-4795-b99b-1405a383d9d2	0	0
3893824a-bbf4-417e-96f5-d456eb7d5cc7	0	0
f5c19c19-9062-4711-9109-ffbf00e596c0	0	0
279ee666-c87f-4e31-8c95-bcd28fb9abdf	0	0
b37cbecb-ca2f-4ece-b3c6-a49b581197f7	70	5.8337027777777779
3d1fcf18-91a3-41bd-8338-b84ce3a8a780	0.594125249072381956	0.0495068066572874957
728c8393-8e7a-4bc0-b15d-5719bd4e0e4d	0	0
132a6f28-44d9-474e-a450-8ecc475f5f96	0	0
44fc5990-91d6-4687-882e-94d6be4039a5	11.1837229437229446	0.931908567003366994
05cdbf98-f704-41a5-acb2-0d112bd9b6b5	0	0
1f7bcf3e-67ba-42fd-bdaf-c32ee3db3518	0	0
dfe40df9-9053-4ff3-8a66-8885ce1cf462	17.1436818181818182	1.42853538457070695
134829e9-b6e5-4743-b6c0-1c45b2672a00	0	0
60f64127-55ed-4227-9435-0f99a809e577	16	1.33323555555555551
4e86719d-0862-48d0-88ba-a0173eccd7ca	0	0
6bd9637f-5f37-483a-8b9b-f43fb49967d3	0	0
60b60f2f-f784-4aba-ac72-59f0d357a5a5	0	0
e01f36ea-acf0-4123-a2e7-a36c48b115da	0	0
9db005c0-99dc-4f9f-9683-0a268b7add48	0	0
3b9a523d-8866-427a-a20e-542d8cb76c46	0	0
8a073dde-3d11-428b-873e-15a7aaf7288c	0	0
b4bb9076-12a3-4e34-8ea1-0a981cec1eb2	0	0
e6018c45-92bc-471e-96f7-23afd73b41b2	0	0
0a83cc4f-0aa1-4c11-ae2f-ac12dbdb89c6	0	0
178853d8-89b9-42d6-8354-a112a6f259c3	0	0
4c63cd2e-0e4d-410a-ac0a-7dff0087d729	70	5.83290555555555557
2c3ecf80-57df-45ad-a89a-2448c8eb2d08	0.594125249072381956	0.0495203395101830313
ebdcdd24-aace-43e6-82fa-67f33444911a	0	0
d8642d88-52a6-43ad-877f-59ebf31604dc	0	0
f214ef03-c49f-44f4-83b7-c117aaa530ab	11.1837229437229446	0.932163307359307414
3b1c16ea-d477-44fb-86be-e05e5ef9f9a7	0	0
b223688b-f954-4f4b-abb1-1214a2e9f642	0	0
c43d11c3-3322-46f5-a6c7-fa2b6c647c8f	17.1436818181818182	1.42892587954545447
c68bb9fc-f97a-4415-9abc-2361304a63a0	0	0
e3aadb6e-2d69-408e-8a66-b6cae7984608	16	1.3335999999999999
fabbaa54-4868-4899-b9e6-2c1ad3f7dc0b	0	0
afa25ea8-7eb3-47db-aa6b-411593e3c031	0	0
07fe01ac-f16a-4375-8706-b78ad648e0c8	0	0
a0c04e5d-14aa-4630-8982-19dade607790	0	0
6e6aa1a8-51ca-484a-869e-db69c1291912	0	0
b9b06e8f-c81f-415a-bb23-4bc2b1ed99a9	0	0
e801da52-2d7a-4e2b-b92e-3435b5040b8a	0	0
ac6ee822-b8d4-4b66-ae74-aca6afb7afbb	0	0
7bc443b6-0181-418a-837a-a857f423d075	0	0
7011f45d-5e68-453c-a8ff-37f153ee0105	0	0
b61722c3-de06-41fb-83b8-5b1def1e69ba	0	0
3024458c-afa2-4450-a85f-15db2d9fc3ac	70	5.83449999999999935
48f62d61-cf61-4cbd-8e37-fbcaa920985b	0.594125249072381956	0.0495140681881094877
9a648220-4a70-48e8-8588-8dcde2b123cf	0	0
42d8c1bc-7ee5-4896-9862-7eafe5e0473f	0	0
d0ef744e-b361-4cba-9c3b-ff27309cb914	11.1837229437229446	0.932045256950456924
4fb2e992-1e9b-4033-b908-ca3b348a9a2f	0	0
5b6b0866-3950-4331-b95f-98f4fad0b108	0	0
be53cb55-c4c5-4320-a7b9-b14bb57b5adc	17.1436818181818182	1.42874491845959595
af73c3e8-d109-4a0a-94b7-1196dcc1f16e	0	0
769408df-9b98-4916-a35a-f0a7055faeac	16	1.33343111111111101
6f9560ae-63d7-4b2f-a581-3aa5689ad700	0	0
7df5665c-eb9b-4a9d-8116-3f8a8a8983f6	0	0
65f64f3b-3e30-46b5-a813-c7ec09cabfef	0	0
3a4f26ce-cf77-480d-ac6a-cd64b2d611fd	0	0
b8df3955-2c17-4681-95aa-574128986fec	0	0
7733edad-72ad-4389-b145-3fc9959bfd0c	0	0
4a711bd6-43b0-4d67-b7c8-276795f32f9d	0	0
2e839cd7-a638-4b97-ac94-2057072ce2e8	0	0
155cc122-398d-4fe7-b02e-d43a9be5547d	0	0
72849e8b-7395-4ceb-9b03-847358796779	0	0
4486030c-6ab9-41d0-bc10-c66de36b8573	0	0
8382224f-81fe-41ec-9819-051d185e546e	70	5.83376111111111051
4e58daab-5ddc-413c-bd65-ee90e309fbf7	0.594125249072381956	0.0495160486056064053
f5021535-7b7f-4b19-b1ce-2f4f108f3f6c	0	0
39689868-25c2-4428-b30e-4e92bdafb0b8	0	0
64946587-208e-446d-abc4-e6effcf0f32d	11.1837229437229446	0.932082536026936137
c3c16d94-274a-4d75-9905-1e02036dd0d7	0	0
9cb2b07d-6bf1-4635-bcbf-9362c0af9700	0	0
96b4a0fc-0f92-47f5-a16f-226e6b28d8d8	17.1436818181818182	1.42880206406565669
526bfa82-0cd7-423a-8bd6-fbf8041fd367	0	0
04883541-7fae-43d3-8929-fa8036e80b3f	16	1.33348444444444447
6dff3d8b-bcda-4e2d-a3c4-219328adea9f	0	0
4a137634-fe0f-4e87-8eb4-3c9b9585f1a6	0	0
a55ca2b0-263f-424f-a8c6-4cbbb6c2f050	0	0
53179b90-9cd0-423a-b5b2-3750f969bdfe	0	0
1fe565b5-95e7-4283-b418-6af40d698437	0	0
fce733e5-0e27-4e6f-b858-baf7fc12f97a	0	0
bd9ce766-5c2d-4b29-a380-d6efc08fe775	0	0
01346bc8-9cdd-403b-bffc-980a7372b2cf	0	0
72967d2a-9d3e-48b2-baae-6d27b6140893	0	0
70ee3d81-d51d-4edf-99d2-32390f683150	0	0
851331ce-0f61-407c-96a6-9137ed81716f	0	0
97da4d6b-d06e-4919-b332-ee12a864294d	70	5.83399444444444448
0ebb0e2d-db00-4e9b-864d-f345022be25b	0.594125249072381956	0.0495110975618641355
cf073af4-4499-4450-8761-39ceb4716abb	0	0
b09422e7-c06d-4285-93d2-c8ffa2332636	0	0
078a7602-96fe-4373-84f9-dd80feb88088	11.1837229437229446	0.931989338335738493
64015165-f1b7-493f-9fe3-02fd1921b911	0	0
fc2812ca-fb3a-4004-8253-487c48ce2749	0	0
47761806-cdc2-4649-b12d-eef6334bce63	17.1436818181818182	1.42865920005050517
5d16f315-07be-4fab-b2e1-ea7c40031fe1	0	0
541830d9-a328-442d-aa92-73c9f7fe4afa	16	1.33335111111111115
5bf48d52-1514-4224-8df6-06dddaba0477	0	0
32f500b3-e68d-485c-8abd-a79edb9ebae5	0	0
cfab0df6-c2fd-4491-bdee-5ce4c44d0e23	0	0
6daf293f-ae48-4ec6-928c-c070872dce7b	0	0
c56e822f-a9eb-4c8f-87f3-bd1620e53dee	0	0
1821c9ff-1336-47c2-88c3-6855d07db8ce	0	0
972c65a7-8979-41a4-9a32-0a9ceaa4ed5b	0	0
3fafaa7f-d737-4443-b395-22ed164c08ff	0	0
292d3723-1ab3-435c-9aec-cd49432cbe93	0	0
ad8bc5eb-6d70-4bb1-be70-e67bf944a4bc	0	0
184d6429-ce0e-4a68-980e-83f42ad3a883	0	0
1b338116-fb21-407a-93a3-f209c510d4f7	70	5.83341111111111132
df0ac94e-0ee1-4435-8e1e-2ff20cc284d0	0.594125249072381956	0.0495139031533180854
e2dedcc6-5166-4ea6-aa08-5c15deda093f	0	0
26cfc0f3-e1f1-45ee-92c4-f46de60b9d2e	0	0
8d1ffb8e-92f8-4e06-b49d-0f5f8ba031f8	11.1837229437229446	0.932042150360750554
bb403c08-ce78-4c24-b716-c20cf4bb49c2	0	0
cc4c9570-fa5d-43f6-bf2e-beab46662fe4	0	0
05b6b901-1aa7-4a43-abb2-b8cf797b3bbc	17.1436818181818182	1.42874015632575757
411317b7-b79f-434c-8e63-df4c28f15210	0	0
a57c53c7-4126-467a-93e1-cb73f70e27ff	16	1.33342666666666676
fcbc8e04-b600-44e1-8672-54af20b28c10	0	0
231dac0c-c414-4d89-9688-37ea93da8abe	0	0
13d45c12-cf60-496a-a3c9-475dc6eb6131	0	0
77a34e83-ddb9-4cba-bf4f-ca51d30c9b08	0	0
cdb2b6b4-ea7b-4022-8ed1-1342ff32b011	0	0
531ff57b-1e32-49c0-a963-a95063e82171	0	0
b87fddde-7964-4166-bc4c-6f00c47641e5	0	0
91a65336-2e26-42e1-8c12-32e047de8b4d	0	0
4dd38130-9224-404f-a788-5e071a34b79b	0	0
91e637a9-2f04-4aee-9e6d-7a48b1eb8085	0	0
99252a24-c8d3-45ff-9cad-4890c1862f3c	0	0
e1e431bf-5302-4d12-8685-c863630bc683	70	5.83374166666666749
e5154784-e049-41d6-9bfc-710695150db5	0.594125249072381956	0.0495162136403978145
6f29fc89-a7d8-4218-867a-ab5b0a0d00b7	0	0
1735a8e5-fd63-4ce2-b332-21ffc3fbebe9	0	0
5e5bc8f1-4ca2-4b93-9694-4d277a1c4f62	11.1837229437229446	0.932085642616642729
30239212-f829-49d3-a83e-835a79bd0d12	0	0
875f70f8-c642-454f-95ef-63c06954c9cd	0	0
31dbe565-9800-4578-9d89-54b3ac849038	17.1436818181818182	1.42880682619949506
e6a9dfc3-23a3-442f-bd8a-8ac3747b6966	0	0
5aa7d8f5-af20-4595-a9ae-4de104fc6052	16	1.33348888888888895
d3d3483a-ccb4-493e-9107-98308d1e62f6	0	0
c21a7cfc-d3a0-4b55-9f46-bb8cba268d2c	0	0
325cb6a3-d525-4e14-a0b6-689cf9ebc7a9	0	0
bddb536d-0061-4040-8a93-b97074d0ced6	0	0
715247a7-9ed0-4af1-bf4e-3fdcea8b5d70	0	0
00badcfe-bfcb-4099-ab1c-754684ebdff9	0	0
d191f0ce-825d-4c02-a6bc-8c61601af8bf	0	0
a185936c-30ed-49d1-88e9-57e25141d6a7	0	0
347bbf52-f7e4-470f-ace7-59cd0959cf34	0	0
fd8ce18d-cdd7-4edc-a8c3-5c9ff38770ed	0	0
7ec15477-1a21-4bc5-a019-ac4231315577	0	0
d90c3d68-abfd-4ed8-8983-cb84e17311cc	70	5.83401388888888928
8e45ca38-0039-4ba2-82da-14d44e982f4c	0.594125249072381956	0.0495040010658335389
c276ac14-fde8-4d16-8935-6b01924a9213	0	0
8319f037-2abb-4ee2-96bf-c990211c7b90	0	0
39e25b63-8f1d-47f2-8de7-3966e785afa0	11.1837229437229446	0.931855754978354933
579c698b-7663-4bc2-a6b2-e7e8466afac9	0	0
9dc6e8a0-22a5-4378-9c84-463dde27ccb0	0	0
e2ba542b-4e62-429d-9f6c-6d0aab5f9785	17.1436818181818182	1.42845442829545455
97b13f54-8d60-46a1-92e4-99781e1b14b0	0	0
adb85d82-c3d8-4f3d-bb63-af4a16c8c95f	16	1.3331599999999999
dde4c3eb-967d-4337-9b8d-45e4af3f02b1	0	0
92abef29-24f7-4bb6-8839-c20f9fb49b1e	0	0
d93a4d59-bb3d-4062-a482-f352ad48fa3b	0	0
23ff9882-c0f8-4270-87be-ad959a295203	0	0
0a8a8515-f94f-442a-93c1-f52bed6830c9	0	0
bfb5c60f-0e9e-4f83-a0e5-de2ef409c63c	0	0
64ab1a2e-a2d4-44a5-b855-70856104501d	0	0
a3b70221-519c-4e84-adda-45bccb9b939a	0	0
6f4e9df5-b2e0-40b2-8b8e-aabbe1f66cf4	0	0
745f9937-b95b-4203-b715-1217bbbd25c6	0	0
24819086-1c6a-4ca5-bf39-e664d360bf60	0	0
1ac05e52-63e2-435d-8e4f-a0949483c8a7	70	5.8325749999999994
fb2c7217-4a40-4248-a374-0258468414c9	0.594125249072381956	0.0495226499972627673
3239d265-f4d0-412d-8656-e1263de7020f	0	0
5fa8f544-c211-46fb-ad78-6922bd493de3	0	0
910e86db-64e0-40a7-851d-cac9884e79b7	11.1837229437229446	0.932206799615199699
2f1c1cc9-94f5-4d8b-8242-bf6a2b6630ee	0	0
eadb79e3-b6ba-4c0f-8da8-fbd60dc379aa	0	0
76547032-14d3-44d2-971c-8d9e632331f3	17.1436818181818182	1.42899254941919196
2019d924-8618-446a-b7e3-4ec971cc1abb	0	0
aa0d275a-99e7-4f03-9c12-ff1f3e082917	16	1.3336622222222223
1f262160-2742-4f33-a9fd-56fda91243de	0	0
1fc35ef0-71b5-40e7-ae20-bf90a7afda0f	0	0
143e6aec-4d59-4737-bf3b-01f6f3479a31	0	0
e3110802-1bbc-4274-b106-855ac9dc141c	0	0
6cdaaeae-6198-490d-8cea-4049c333d443	0	0
a3f98195-2f25-4fdd-997c-5e3c2b85bcb5	0	0
e46ebb56-a98d-4825-b0c6-1fe77e001688	0	0
7b911328-5859-4e75-a6fd-946865304e03	0	0
9f49bf4a-c055-4e97-a5dc-39808e9e7337	0	0
642484a0-e143-4af1-b451-edebaeadf03b	0	0
cbe6e668-026b-4d6e-b991-4e0ee78e0d80	0	0
16bf6b33-75e6-494f-acca-f40a1a6aa1d5	70	5.83477222222222291
3c08f6a0-6c3e-4d24-91ff-cfb191576456	0.594125249072381956	0.0495142332229009038
be8a14cc-a57a-4d75-bcf6-c6f7a687ba1d	0	0
9af1ef9f-acea-4346-b7b7-effbe168cf0c	0	0
679d117e-3d20-4346-9061-bb5285b2b5bc	11.1837229437229446	0.932048363540163516
d56b1c19-c60b-4788-895a-b07f200dbebe	0	0
7c77d0e0-5b62-48b8-82d7-f2d62169e0f2	0	0
f82d125b-1597-46c9-b8cb-c6dbe4ad6798	17.1436818181818182	1.42874968059343432
df43805c-f08b-46d1-88df-dd61f036d434	0	0
7d4e1446-9645-4e7d-b007-627b822e000d	16	1.33343555555555549
50d7634a-0a1f-4dfb-b1b9-4f906e339f20	0	0
9b7b5b7f-5cc1-4f24-84a3-dbf0386ae3e0	0	0
6288b2b5-73dd-48dd-a86b-7abce0caf742	0	0
afa3b839-08b8-4f34-811f-eb06e6702555	0	0
4775bc01-1e0d-4105-8f0e-7b7fcec02fed	0	0
fec4ad28-baf1-46b6-a2fe-99eb24de0b5f	0	0
7e8c6bc4-e716-4d09-9ce9-d09fc6564053	0	0
34cf7686-981a-47c9-8095-1010a22e3c9d	0	0
8bb117e3-3caf-4ca2-997c-05d759ea32d2	0	0
d7beb6b2-cafa-4ff3-895b-c3393fa0f9bf	0	0
7e221faa-c7b2-42ae-8700-132c4ec96693	0	0
3abb8f8d-353d-45a5-aac3-537613ecd4c7	70	5.8337805555555553
1659f044-195c-4c8b-9682-7e76bbb2b368	0.594125249072381956	0.0495035059614593181
21ec2200-dc71-439b-874b-4da30cdb65b0	0	0
c343a4f7-c7b9-4ce7-bdc9-7680c313b22a	0	0
ae9f4874-520d-4516-b1ac-73756001e377	11.1837229437229446	0.931846435209235269
af12f7c7-eb84-4ae3-896c-571c81875f6a	0	0
cf804f9a-a366-4f42-b8db-aae2acffdc51	0	0
f35934dc-f772-4e7e-8d25-4abb65503384	17.1436818181818182	1.42844014189393942
bbe8800b-f000-46b0-8c73-f87136ca2461	0	0
5f509d27-7f11-457d-80bc-5ee6f6dd7b57	16	1.3331466666666667
ee5a1cbf-36d6-4f5f-b1b6-7ceba44665f2	0	0
c47bdac3-3ced-426a-900d-58a48520aedd	0	0
ed906741-687d-4151-843d-576fe6d8813f	0	0
11a1932c-4494-4e72-9bda-d23690dd0001	0	0
9773730c-579b-4b95-8ddb-43784cb26d64	0	0
a2b10b6c-4380-4805-a20e-a0b907ad2a1a	0	0
17274379-5482-4473-9e8b-ea23072ea9a5	0	0
14988479-560f-4729-8ce3-2e21f03ce972	0	0
75c070fd-d573-467c-aad2-c864ea00db56	0	0
a4ebce9e-79f9-4355-8788-b5dd17196f59	0	0
d2239af7-7cba-4187-91b0-19540b4f014c	0	0
e8487068-4f02-48d0-9b75-0a967cedeb81	70	5.83251666666666679
c9c664d0-2fb0-4ee0-980b-5789f7729b62	0.594125249072381956	0.0495241353103854365
5298898a-7c1b-4f09-aefc-85c6da6bf5f5	0	0
a73435b1-c211-4d0c-bc9b-7f96e80d20c8	0	0
11f036f6-14a7-47e6-a0f8-393a3e401015	11.1837229437229446	0.932234758922558915
5c3169a4-18e9-4c99-8c69-cb5f53141f72	0	0
5f215a58-8cc5-4e65-8b56-3960225495ad	0	0
eaf7fee7-df2f-48bd-a0c6-2389a2e4bc17	17.1436818181818182	1.42903540862373735
c11490fa-a2db-435a-9a86-b56c1727071b	0	0
ee840619-4724-4dd3-b063-fe3efa5041f9	16	1.33370222222222212
a087c0fc-a3a1-4a4b-9dda-78f27f8f7a19	0	0
293a7f03-d23d-4dd5-b2ec-aabb3aa12c26	0	0
149c94d1-4d34-4651-8e32-9dfab888eb34	0	0
7be8c369-df0a-44f8-8b65-4cd36d90118a	0	0
30f665d2-8f57-4c53-a632-f6ef6b780241	0	0
27ee30c5-37da-4fe4-bc73-7ecf5c036b8b	0	0
981f3024-6aaa-419f-8f26-9ca9ad9fca02	0	0
7a94c2e4-2ee9-474b-bc84-a74d0b6a41a0	0	0
3007b8da-00b8-4e7a-815b-0e1285f1471d	0	0
97a4f177-02ec-4aca-b5da-0c11198a7eef	0	0
81213fe1-520c-4d25-8895-f9010f874522	0	0
0569435a-0417-4c11-97f6-bc984a305777	70	5.83494722222222162
9dae6460-39d8-4931-95fa-fea8f9ac924a	0.594125249072381956	0.0495117577010297655
67046aa6-6140-4eeb-90a1-73e5201dc2c9	0	0
ee512138-a329-4c05-9548-2504b83c89c7	0	0
dc89f224-c261-4938-8845-789c88a61c75	11.1837229437229446	0.932001764694564749
fa1bd080-f5f9-4ec6-8939-d8a970ab5d60	0	0
f385dfe2-f777-43a5-b0c8-35767fd43b34	0	0
d7038878-e986-4e56-b62a-84ca539b4e63	17.1436818181818182	1.42867824858585846
262f1f7e-fe1b-4837-8d34-9bafa8d0de13	0	0
c36fdd94-f4a6-40c5-9db0-ef881f6868a3	16	1.33336888888888883
a2098e69-5a89-43ed-a7a0-c8f9e601810f	0	0
cc4152a2-7974-4056-adf3-8731f65be88c	0	0
b0bdee57-3980-4efd-97a4-fe8d29875e00	0	0
75926414-912f-40ac-91f5-a1abddcd9d01	0	0
e47ef15e-39cd-4207-b460-cf167d566537	0	0
fb14c6e7-b450-4fd5-ac96-fea0dfa0362d	0	0
e336bf01-a878-4f3c-b6ed-26d480a6c81f	0	0
fc8bcab3-61de-40e4-8446-14da5997400f	0	0
21b133d2-400b-4bf7-83bc-5930b2dae550	0	0
f0ec3cd9-2c42-4fe5-b3c3-4291ce49390d	0	0
9c734f0f-1dab-450d-b858-80fb975ac5ea	0	0
c3574bba-eeb3-4021-acae-ed74e2243447	70	5.83348888888888872
bfb8c507-3a94-48d0-87eb-1a11bdd71942	0.594125249072381956	0.0495137381185266762
83a7868e-475b-42f0-ab82-da9dc99ffae4	0	0
b30887df-0272-4d64-8bf6-40289d374710	0	0
eede5a1b-5841-4307-8035-e6f40af50f95	11.1837229437229446	0.932039043771043851
bf0922a6-c24c-4ed6-a1b7-58774fed39f6	0	0
a823ad87-0e8e-4ffb-a85a-0454fa02a087	0	0
73d12a17-75a9-45d7-9b5f-6b516e3844c0	17.1436818181818182	1.42873539419191919
f3955c4c-7d15-41f3-b97c-0075bc7ab194	0	0
633ee57b-9c82-43a0-90d7-11abb384bd89	16	1.33342222222222229
e0d2904e-2c54-4639-83a6-e4cf0b92fd40	0	0
68742714-0cac-4df1-8640-2c7c665776e9	0	0
7e33a06a-73ad-4e84-8152-41558dca500a	0	0
5abc71a8-5c98-452e-97e5-336b1b0d4d21	0	0
5e6a2ebe-ad5e-4872-b9f2-dfec8defea44	0	0
9169f6d3-8ed5-4b5f-96de-5add39eeb19f	0	0
1fe0ea5c-bac3-4a33-a926-9b47ef7bf7fe	0	0
7f8785e8-1255-4a07-b20b-6e49c7b971d3	0	0
de098a41-e9ff-4365-b4aa-a7c74104fc0b	0	0
46f02550-f53e-48f4-91ec-5d27e13941a9	0	0
c0d43e3e-ae0e-4b3b-b6b7-2ad90c3f89c3	0	0
dfd697ea-30ec-439f-805b-6e1a6267fc16	70	5.8337222222222227
23d64d6c-017b-45f1-b7cc-8e32ca036bb9	0.594125249072381956	0.0495132430141524485
b3b70ab8-0999-4484-a3bd-3f77a3f10184	0	0
5d2e720f-928d-40ca-b4a1-c316052f8187	0	0
0c2435ba-0560-4799-bfe6-4fc2b680df23	11.1837229437229446	0.932029724001924076
b2453613-49b0-4493-8448-6d440ae1d7f5	0	0
97627262-0e9e-4b33-bfd2-f9549837d104	0	0
5d860aeb-840a-4b9a-8094-b6e946706c4e	17.1436818181818182	1.42872110779040407
ee5d0508-159d-4ced-938a-6f22c317ed84	0	0
5cf5781c-0e8c-4928-b03f-0244c0bfde3e	16	1.33340888888888887
c85cd845-5bcd-4b72-9a20-252dabd1a0dc	0	0
0ede7248-fa5c-43b7-9611-58694d815fe8	0	0
1bcf7e5d-20b0-4b57-9c79-58cf130d481b	0	0
4f9d6973-c7ca-4769-941f-1b1751f018e6	0	0
44f6f912-3413-43ba-bf37-a6084ce616ff	0	0
57d92318-c663-4e30-bc18-1d91a598e1ac	0	0
efec2550-1f8a-466d-bf16-9014743f198e	0	0
fc7c20d6-386e-43e9-8eb7-e2b686702bfc	0	0
2b4ae8d3-afca-4163-a34e-5be07b800ed3	0	0
33c0e99b-30f1-4cd4-bbdc-7e4b0719e3a9	0	0
4832f4b3-2928-40ae-a296-178c82d37e2a	0	0
cde6298b-8439-494d-abda-f215a536c866	70	5.8336638888888892
d52d539a-7893-44dd-ab40-2422045db730	0.594125249072381956	0.0495069716920789049
48739736-f687-44d0-98a2-e6a39dfac7b0	0	0
2c86d9c1-c316-431b-8076-3579f13d625f	0	0
66327be4-fbb7-408c-8d7f-5140863aaeae	11.1837229437229446	0.931911673593073697
a7fe00c1-2c80-4985-b409-d702a68d3b13	0	0
1acf2eba-40d1-46d8-b9e2-d16f90a00ae9	0	0
13dca25d-76fa-4a66-b129-c83aa3765af7	17.1436818181818182	1.42854014670454554
95b113a1-723e-455b-8c0c-8cd15627d649	0	0
f53f01fc-e57a-4846-b6ee-f04abbcb9e2b	16	1.33323999999999998
b7ee32fc-0ec5-4bfc-a970-ff15d2b885d1	0	0
851191f1-4e5c-45ea-b23f-59c468f394e2	0	0
c56593e1-129a-40ad-a519-9631438756ce	0	0
3891d391-b3bb-4607-8544-a8f636e967c7	0	0
a617d9f3-f3c8-440f-bba6-031290a0071a	0	0
8eff75fa-e931-4518-aed5-44b12afdbf84	0	0
6824546c-a03f-4326-a17d-50caeeeca5cb	0	0
07331cae-47c2-4255-9590-5c6b0ec01a39	0	0
073492d1-e8c1-46a6-addd-a88cbc9c54d1	0	0
dfe24975-f783-4707-a867-ea8d92c515df	0	0
ff07638a-e2b7-46c0-82a7-28f28c1af767	0	0
c7b6dd5e-8751-457d-b1b7-8633fa48815f	70	5.83292499999999947
bba39113-c2f7-4498-ac32-8be797ae89e3	0.594125249072381956	0.0495261157278823541
fda2e0be-444f-448d-a7fc-628c7c7d6a4c	0	0
5e41cea7-b903-47f0-91b8-0cacc38a577a	0	0
63e7cecb-231f-4862-a111-4788b3f1c063	11.1837229437229446	0.932272037999038128
1c19357b-ce64-442f-b58f-0d75582b5d36	0	0
d92e9701-e4b8-4ca4-8333-ce8a173e1608	0	0
4e722207-b618-474a-83a0-9bd752b4633a	17.1436818181818182	1.42909255422979808
a4fb74ee-771b-4773-b1eb-585b3e246a08	0	0
2b6f5d72-119d-4559-9493-e9cbd216f94c	16	1.33375555555555558
9438e932-1abf-41e4-b405-206e7671ae14	0	0
062c97ac-19be-4526-8043-ce0e0087b246	0	0
6bea842b-b1cf-43b9-b56c-cb747b380f92	0	0
dd8b8af0-c0ba-4296-a912-74650acbfbed	0	0
a0dfb9db-6ebf-448f-b732-58ccac8a4033	0	0
eb040510-3497-44d7-92f8-706b1ae75dbc	0	0
898f244b-c425-4998-bfa9-88738f3a5a10	0	0
e555315e-1190-4429-8d78-435564a7e873	0	0
8324295b-80aa-4246-aeba-85d718fad813	0	0
11dd70c5-4cb9-4e1d-bfb4-b6ea81649831	0	0
745ef8ff-bdc7-4552-8e5c-bb79a97f5b89	0	0
1a45309d-51f6-41c1-867e-c7eaf0705ab7	70	5.83518055555555559
fef361d6-494d-48a6-80b4-8ae0f4fe9cf9	0.594125249072381956	0.049507796866035951
31ad19e6-78a8-46b1-8d27-9f7ff978417f	0	0
e0d816ea-c9c9-4f11-8711-16757d399377	0	0
546d94e8-dc52-4bfe-bc6d-ae2dcf676d86	11.1837229437229446	0.931927206541606545
3e6254cc-6098-4523-9e13-2c8d938c5315	0	0
bbe44143-a30b-415a-8feb-3a2a6702dbfd	0	0
f47473dd-ef9b-4f93-82c1-c941f25c423f	17.1436818181818182	1.4285639573737372
f701f4ba-30b0-41b0-93e0-d2353b7bdc22	0	0
af3b6d3a-e8cf-49f9-b3fa-87c05aef161b	16	1.33326222222222213
fdfc08ea-1c0e-48e9-8d82-241da6dc6a61	0	0
8f9e044f-fab7-4de9-bc6d-dc3e35c07923	0	0
2bf3e72b-9a56-4ef5-9d00-2b7dd65a047c	0	0
928d58bc-bf84-47db-8520-bef5c603a9bc	0	0
4a4cdf0d-9fe9-40b2-8d23-85c580a21411	0	0
74785c4d-93a7-441b-a8c7-73717b38ccb5	0	0
f5cc9f36-e425-4b58-a96c-236f26cefc82	0	0
955d92e7-7be7-45f9-8a18-9c84e5882e0a	0	0
22f886ae-5058-49c2-8057-e26b3305ec96	0	0
41078967-20d8-4f07-9d04-0b4e5ecf4764	0	0
93b0fd85-7f45-4ce7-8464-34ad14a23bb1	0	0
9740f8b1-0e4a-40e0-81b5-60fd07fad76d	70	5.83302222222222166
11ef1394-e7b3-44b5-bb53-920d39218a9b	0.594125249072381956	0.0495145632924837223
a5445a35-b53f-4cd9-b9cb-ab5579f81052	0	0
142aa241-9c27-487a-87ca-8d4696fcdd77	0	0
80077d05-3291-40d8-afbb-69bd2dac67d3	11.1837229437229446	0.932054576719576811
bbe9f048-46d4-4ab9-ae3e-4084056f9c37	0	0
e4f06442-af77-4194-8fe9-d6ce3e9ed58c	0	0
338beda4-3ea7-40ad-bb0e-4ef2bff310ba	17.1436818181818182	1.42875920486111108
a2cb45a1-1bd4-4d72-843a-575aea7bce67	0	0
54455083-a10d-4436-9390-b20839490c91	16	1.33344444444444443
242cac95-25bb-4334-ae3a-546187c7915c	0	0
8b9cb65c-62cd-440c-8e6f-5692fa81a660	0	0
dae65747-0d98-4fbd-a927-113dccefc8be	0	0
04f3a5e8-91b4-45cc-b787-49d00d3ead44	0	0
03622801-5fe9-472a-b961-5eac8fdee25e	0	0
5a28accb-cc4a-41a0-9a61-553a0ad574d2	0	0
b874f131-2fb9-4b86-81a8-dc999e1f57b2	0	0
e6aed62e-f90b-49df-b3cb-467029319e3e	0	0
13e780fc-bfea-4877-8182-9bfb1a06d59a	0	0
9230bb30-3f37-40d1-bdc5-1f624b78df4d	0	0
a2b6c456-0a1a-41d1-bcf3-f7fb540fe47c	0	0
69c6be71-01ad-45b5-822e-710ed040ce5f	70	5.833819444444444
142861a4-9c1c-4156-b41c-1759a0e1103b	0.594125249072381956	0.0495139031533180854
70f850fc-bed7-4e1b-8859-28f7f9aed9ea	0	0
871f09a7-c476-47bc-8dd5-0905b9835a3b	0	0
611e481b-960c-43a0-87e5-2a2b71da4bc9	11.1837229437229446	0.932042150360750554
085efd36-bfaf-48bc-913a-2069d98412fd	0	0
61e97087-b6bd-46d2-a090-515942ba4327	0	0
618f5f61-41ce-45c7-adb3-5310dc56bc20	17.1436818181818182	1.42874015632575757
a521aa89-c803-4eb0-82ab-6d695bfdfa6f	0	0
2acf629b-74fb-49e5-bc69-85acc791d394	16	1.33342666666666676
6fba2fab-01f0-4a7b-a228-59cdcc37f88c	0	0
c55e4cec-1417-4f73-8cb2-20805db7d6d4	0	0
ae4b1dbc-73a5-4bd3-bd4d-741f98807ea6	0	0
68a03b6c-f3b2-47e0-ba49-fb012652cf0e	0	0
260ee9e1-603b-460a-a10d-b76f14d00dcb	0	0
1a5f17bb-fcec-4f82-87c9-5e7f3257ed47	0	0
5c3433a4-5380-4aee-a14d-bb33ad14b4d9	0	0
c75d7537-966d-4470-9f22-08e8757d6814	0	0
dcb2d686-0401-4e45-8a22-a2e6f86a206e	0	0
84bcc03e-57f2-4ca1-8260-768b851c5e14	0	0
7329e299-a3c0-4bab-8b45-a67eedbbe77f	0	0
22132c25-f8a9-497c-9087-fbe24262f419	70	5.83374166666666749
a664f76b-2b77-40bb-8454-51dc74642d48	0.594125249072381956	0.0495160486056064053
3a2528e9-55b0-4fd4-9198-225e5bd4571b	0	0
da63672a-e0c6-416f-bbbd-88cf003605a1	0	0
6a97d89d-b8e5-479b-8cde-d1e616b1d618	11.1837229437229446	0.932082536026936137
1b72203d-52d7-48bb-8a7f-ef119795b1c3	0	0
868a8020-1962-4e21-83f7-ce9856844cb9	0	0
0a08708b-237b-4d32-bb4e-b5c48f000a68	17.1436818181818182	1.42880206406565669
93268d8e-79c0-4871-8973-7ef6d1f6eb00	0	0
e4645a5d-488a-4812-b8ee-4ae882cc9b12	16	1.33348444444444447
701b09f8-f6f7-4c95-8de1-bcd03cd6d5f8	0	0
0c1a6b56-45cd-4410-8fd4-9400bd323fe2	0	0
ce493116-1770-45a2-8202-771a30809928	0	0
5837543d-8984-4c23-a4ee-a959eab99141	0	0
9d2aaaf3-3bca-4198-8135-a5eaf19234a4	0	0
d687937c-89f8-497d-8fb6-677821b868bb	0	0
07613c4f-aa42-4ed5-b209-f5ec22feb211	0	0
44f030a1-25eb-4264-8d60-c7e4a700cbd3	0	0
87362139-f464-4395-b7aa-b050fc2915cb	0	0
a56503ef-37f5-4dab-b626-874fa892955e	0	0
b2b0e952-409c-4c8f-a860-668055042c9a	0	0
c3c0ba76-b3b0-496e-ba2e-2ed0dd522a70	70	5.83399444444444448
721bd1e4-af20-479d-9084-f32471fc3fde	0.594125249072381956	0.049504166100624955
8a66ea50-8912-45ce-aef4-f2d85eda7c29	0	0
b4ae29b6-7023-482e-aa65-9ce5fb40c4ab	0	0
5ed2de01-43d8-452b-a9c1-a7641378fa0d	11.1837229437229446	0.931858861568061636
1fff90b6-ebc0-4d74-8647-7c8d7ef955de	0	0
c60dd7ed-5f9b-4c26-b68b-15f13068548e	0	0
02ba8f83-cf7d-421a-8984-d2d03ec43314	17.1436818181818182	1.42845919042929292
74e78497-ccae-4d36-a0e6-5f336f096b3d	0	0
aa467172-ad28-45c6-ac9e-81f2d5111bb7	16	1.33316444444444437
07097936-357f-4173-8928-6ce807a75280	0	0
beac5dc8-6008-477a-a531-1a719630d7b2	0	0
abc66619-7dc9-40fa-86f3-df71fbe2069f	0	0
6140c062-c24c-4284-9804-88f25c50b2d0	0	0
d86e9f89-1a5b-4770-8e10-751d3f257f42	0	0
8e45ce00-4b2d-4ee0-98ce-f2ea56d7f9c9	0	0
e2e29aa4-88a2-40f4-8a43-cbc300f34f07	0	0
932e7262-6038-48cc-8f81-838ebec02734	0	0
4ebf8d47-8245-43b9-9d68-7028233cb968	0	0
9eac3e39-afe2-4198-954a-5ae16cb3aedb	0	0
411116f3-a5be-45d4-a1c4-87ecbd1c7cce	0	0
a5680f3e-d435-4fc4-a4bd-37d0921146e1	70	5.83259444444444419
724111fb-c705-4078-b0dd-de68a631886d	0.594125249072381956	0.0495228150320541696
a4bf499a-a3e7-4493-a45b-60126701d065	0	0
ad620fab-c57b-485b-8d9f-8fa59c5da309	0	0
ac913dcf-7d5d-407a-8dcf-fb1a92c39417	11.1837229437229446	0.93220990620490618
985efe55-159f-4018-986d-b0dc6b88d22e	0	0
3de996a4-e44b-4834-92e7-fb2e32e301e3	0	0
fdd58325-b153-41bd-8e4a-3eb236e0e420	17.1436818181818182	1.42899731155303011
34dee487-ab43-4785-8efe-2b1247425334	0	0
27eec791-872e-44d2-92b3-f98c640aaf72	16	1.33366666666666656
1c6ea07a-c9a0-44dc-894a-362cf37db445	0	0
42343b9b-8bd7-4522-a512-7559ecfab5ea	0	0
2f5deb57-151e-46fe-9dc5-140a0e8102e1	0	0
b3145f9b-3503-4507-a8ee-412158ed4883	0	0
7ff2c91b-129a-4e1a-914c-faf18c7c5709	0	0
7e3da723-25c0-4000-8dde-6b888c0d3b20	0	0
a748e950-b0c4-4809-bec2-0177cd08dc3f	0	0
c63a84e2-845b-4e24-8938-efe1b4bca87e	0	0
1c9c33aa-ca7f-43d0-aa68-636775ed8338	0	0
f59db950-8315-417f-8486-733c11c53b73	0	0
488ca914-23a9-484c-b946-00724e351b76	0	0
b4da19ad-e33f-42aa-b270-5dfa157ac053	70	5.83479166666666593
32570dcd-2144-4433-ae5b-d0dc6cf0bb41	0.594125249072381956	0.0495120877706125839
a0e3b20a-96ee-435f-8039-35dea9c48187	0	0
67740f22-971f-41a3-b9b5-d3cc1c2a6155	0	0
22dfa74a-3717-49ec-907c-423c32ca5b1f	11.1837229437229446	0.932007977873977933
15894fac-fd10-40b1-845a-a16a1303305d	0	0
55a7033d-2044-4db2-822e-9988c1c14e3b	0	0
9ef08c02-9088-42e5-9fba-6d26818821e2	17.1436818181818182	1.42868777285353543
e7d30013-fe3f-4f6d-aee9-efe874b0b97a	0	0
cdbb9755-e890-4198-abdc-8430899a42c6	16	1.33337777777777777
0b5b2630-7b87-462b-bb0d-8e65858e1969	0	0
2f005cdc-211e-4d06-8dd1-1fb86a5a7920	0	0
75ac7ac3-5291-47be-8f88-bb2e48c00e63	0	0
28e68bda-8d30-45b7-ba3c-50624534f000	0	0
38998db1-db77-48ad-8602-af3ef986ef4a	0	0
7c2c5ec1-be39-43da-be27-53e9cbf8f8e2	0	0
b1c3bd2d-ea02-4eb3-aa7e-437cfdcf28a7	0	0
20c302cf-fca6-4c78-9e80-c230da0363d9	0	0
2a502314-d290-42bb-8b29-a020db9802c2	0	0
c512d17c-db07-4b66-89fc-6a088be4ba82	0	0
8d712532-175b-49a2-85db-b254b84bdedb	0	0
656412db-29b0-4bc8-a197-c7566461c51f	70	5.83352777777777742
a4f71c91-ed8a-453d-94f2-c64e981a6d06	0.594125249072381956	0.0495081269356187695
d1b0efab-3ab0-42a8-8348-cb891d8fbd58	0	0
098287e4-8755-4748-a892-9baff010da57	0	0
4a134fee-c0c2-4da3-92c1-d2ba6b974a9a	11.1837229437229446	0.931933419721019729
20ef7323-bcc6-4450-b6ed-7f912005ea6f	0	0
0ea5796e-504b-45fd-9295-98580f68920a	0	0
3fc00a3b-64c9-4a78-85d8-f9570f7f3bfa	17.1436818181818182	1.42857348164141418
51e308fc-0bf6-41cd-b323-84acd02f43ff	0	0
3719e3fc-bb41-4361-9023-bc15e07cb7c7	16	1.33327111111111107
7f951f77-1eba-43fc-8aa4-cc12b3cbc3f4	0	0
e9e9eaee-f5fc-48cf-9158-1d3ca75caf02	0	0
442210a9-573e-4382-bced-6a02765a3356	0	0
c32a98c0-5242-43cf-bd36-955c473c8c51	0	0
b2bab6ad-1c24-4aa4-b7ff-55b68ab67056	0	0
26f82fa5-3ca9-4428-b35c-c3aa37957db0	0	0
fdad209a-28b0-4764-a014-a6500ae39932	0	0
12a3ffbd-3a87-45ef-baaf-2eba31a00c32	0	0
4df95d5d-b84a-4aa6-a1c1-742888448a79	0	0
0bf6588f-4438-4ff3-93a2-895dfac76352	0	0
3ae25fe5-9629-4cc9-bc43-7354ad6bafa7	0	0
2cf78eea-b78f-4218-bed6-1d54dda29be6	70	5.83306111111111125
13ab4f2e-be06-412c-b1fb-de5a29c762b9	0.594125249072381956	0.0495117577010297655
49a4265e-3980-47ac-ab13-466d636f4207	0	0
d06ba198-0d43-4048-8963-1927cb170752	0	0
46f8372f-3017-4e2c-85aa-dc70a783853f	11.1837229437229446	0.932001764694564749
d240abcb-e3c5-4ede-a1b4-2df2005ba0f6	0	0
e5a6c355-c672-47b9-a2ba-ef498483600e	0	0
62306c87-3963-4397-a60f-7f4df9d72f23	17.1436818181818182	1.42867824858585846
a2cc88e5-0a75-4568-b633-61cecb33ee50	0	0
83e5d9fb-ac0b-440c-ad51-a57126a54e91	16	1.33336888888888883
5c113364-30ca-4b9c-9659-d07cb1bc3356	0	0
c22cc99a-2f41-4f84-b893-5135bd1a2a15	0	0
88be2638-0f96-4b51-9c25-165f967d0215	0	0
2de30b15-3bb0-4bdd-8ae2-a46d7ba31c26	0	0
14c22294-94ec-4374-a0ed-2ec4a7716d9e	0	0
e73388fc-97d7-4a36-a4a2-78290981beba	0	0
60106094-6974-4f5f-8cc1-f304528a4ee6	0	0
7bdd267a-6a61-4e13-bbac-d74cbb150487	0	0
21548fe1-8de4-4724-93b1-d8f509e8a7cc	0	0
021f4107-0e9a-4c48-b7fb-1ff3d9f1176c	0	0
af8c5efb-fe11-4703-97a4-19a1b71f0a35	0	0
b57d41d9-4bb0-4e44-948b-36935f7e27e1	70	5.83348888888888872
3a0ffdcf-838d-42fd-b019-94192ed8d13d	0.594125249072381956	0.0495110975618641355
fcd4f632-8948-461c-9d13-2597b737f2da	0	0
f608783b-00d1-4895-b9b3-94b3020d89c6	0	0
b4119646-8b9b-4558-9ded-1655922df339	11.1837229437229446	0.931989338335738493
f5bd0af0-448b-49cf-b6ed-845b9a0350d9	0	0
9a56895a-5853-4c03-96fc-a9fde27e7b2c	0	0
5f37e618-6461-4bff-ab19-9359f07b1be2	17.1436818181818182	1.42865920005050517
b6762ead-2ea7-41c6-8d3a-079616e6e0a2	0	0
4a27cca9-d186-4ac2-849d-e43e4ba711f5	16	1.33335111111111115
14fa7dac-d503-4c58-9a20-16e39e7b3274	0	0
2c67efdf-ad26-4d74-a513-de25d8e3a86e	0	0
7c742f9c-93f7-4814-afb8-ee7b86b04361	0	0
d821b8eb-377f-4b02-afa7-d72b06f89cb0	0	0
12899934-fab0-4ca1-a7c2-fae415045a37	0	0
6a070599-f857-4e12-b469-b5d0b821b8eb	0	0
23bef443-e9bf-4a6a-a960-8101fa5f450c	0	0
a226e642-7e32-4454-b427-316663760709	0	0
6f5c009a-a224-420a-aa2d-3c9af9e36cc7	0	0
bcfa3f64-678c-4c4e-b220-b2cc5b1c869f	0	0
bae070d8-ab67-439b-a737-6ae80295f577	0	0
57ba3972-4392-4f34-9603-891f624bb4ae	70	5.83341111111111132
dd0d1a8c-adbd-4e7c-a3b1-a6a121542fcb	0.594125249072381956	0.0495231451016369881
dbc59261-48e0-4066-a1cd-10d6a7490c94	0	0
27873eea-93fc-4693-9d5a-04da9612e7df	0	0
cc65f3bc-aaa8-4be9-b632-4df9ce2db1d0	11.1837229437229446	0.932216119384319475
6ec023c4-ef84-48ec-a357-dc0b9f06cbd1	0	0
688f0c21-be43-4b19-8fb2-7b7781b10d9a	0	0
6f75ab0a-2f0d-4699-a637-bbd60bf98c4d	17.1436818181818182	1.42900683582070709
a2e52bf0-c9ac-4f5f-a1ac-f0becd742da2	0	0
92754618-c9db-43a0-b72a-c1607b017592	16	1.3336755555555555
acb06708-aabe-4970-87e3-96d9fe3e05d6	0	0
db12d322-d6d9-41d2-84d6-dd50c55ad8d0	0	0
5323527f-e81e-46fe-847e-51fd1511fa9a	0	0
4b11d1a4-6233-4d1e-8878-eb8ea45c9476	0	0
9cf3c216-4634-47c3-8d00-33005bbaae3f	0	0
a4b426d6-9a1d-4e59-a595-fcb043b1a10d	0	0
23a6b44c-9f0e-4e57-b1a8-cafe18f6ab9f	0	0
b59a1807-6ef5-430e-b0b3-7acb296b7e98	0	0
37e4c8fd-25cf-445f-9b5a-3868caf7ceb2	0	0
e8faa8ca-f628-4ba7-9e69-ff201a721b90	0	0
7ad38a42-5b7e-4661-af34-ebce97259f52	0	0
ca96d8cb-c67c-41a7-acf3-be2da8040060	70	5.83483055555555552
06da40e6-09c8-4f92-ae64-85080aed30a2	0.594125249072381956	0.0495124178401954093
c6a8263b-6b16-4aaa-8211-877d872856ec	0	0
72c7fafb-0d90-4924-b6c1-e87c0c37ccc7	0	0
164097bc-6844-4f9a-b53b-2e50007bfd13	11.1837229437229446	0.932014191053391117
51b77469-7840-4430-9665-f7719e111a79	0	0
02b40773-1340-452c-b00f-c6ce0a2375c2	0	0
88c926b8-3690-412c-9b7b-6ef06fca450f	17.1436818181818182	1.42869729712121218
bb8ce81d-c478-45ba-bb9a-c11bbc6cc006	0	0
bb2155f5-e8ec-48e5-852c-cb548657704a	16	1.33338666666666672
4c1eb621-0463-40ec-b66a-49dcdc352aeb	0	0
42d912b2-c31e-4f54-b310-147f7f598ec6	0	0
7715957d-ac2e-4472-88bc-0eb78d5f4e8b	0	0
9519ec09-184f-4fc8-9106-84e874e0b91f	0	0
07d07b85-2321-425a-8057-8048e2526a71	0	0
e8b9e5bf-1230-4d12-bd4f-6bcc5c993d37	0	0
b465fc51-0895-4f22-876d-32c08a5adf74	0	0
54ac3f35-c677-4f61-a3c5-33c43f3e8bda	0	0
64285e09-5e35-4c79-9c7d-c5fc7e6ace10	0	0
7dbf4a2d-9f35-47cb-8252-97f8e0f37bbd	0	0
fc611067-18a8-4479-8712-39de410318aa	0	0
9c9f6651-8186-422f-80b9-1640fcd035b0	70	5.83356666666666701
13f82d2e-2fa0-4265-8388-6a40e1668108	0.594125249072381956	0.0495145632924837223
67730a60-7f48-400e-9f98-60f1b2a4f1d2	0	0
408aa32d-9ca7-4fee-8bc3-a08d46bca34d	0	0
0aff96c6-88f4-4b8e-a7cd-74119dcf6ac8	11.1837229437229446	0.932054576719576811
e2f56a5d-50e7-42dd-b060-9648bcc9d20b	0	0
14922d04-8539-4f84-b233-5d910705517c	0	0
7a3e4044-49e8-4bf6-b3e2-58dc6f4f2d0f	17.1436818181818182	1.42875920486111108
edddd6d4-5656-4adb-a608-723e86a57063	0	0
7a3f6bf4-310b-4904-b8db-0d11302ab872	16	1.33344444444444443
e6fb2f19-ffa7-441b-9cf2-2a64e4511220	0	0
4c6fddcd-af9f-40ae-a427-1d9f44e23ca4	0	0
0cb125d5-c2d8-45da-a0d1-ae28cf09baac	0	0
7747119e-d8cd-49fb-93e0-def3048e0581	0	0
8648e96a-f2e6-42c7-87b2-04cab1057a84	0	0
8ba89148-a94e-492f-aab9-6b2f594a30f1	0	0
06253018-248f-40ed-9551-a67dc9543f58	0	0
7d52a3d1-604a-4ae9-8f41-99b73fe3ad0a	0	0
24ef2fff-192e-4384-91a5-78a7618aec2c	0	0
7caa65b6-8cf8-4de6-80be-2477f6654e04	0	0
6623c50a-9233-40cc-ab40-b0d052ecfe92	0	0
b9b0a21a-d2db-4204-b9b1-5d69c8b904dd	70	5.833819444444444
d0897400-883c-4a33-816a-cbeb3aa46dc8	0.594125249072381956	0.0495134080489438577
2a0dfc19-a262-475c-a830-2a88de6ff712	0	0
0d29e111-da01-4e06-9195-806275724b0f	0	0
35e66403-0493-45bd-ac75-d0140358f74d	11.1837229437229446	0.932032830591630668
a7790ac2-7252-47e9-8824-46e4e8e00bc8	0	0
378a8e33-461f-4178-9baf-15ab0eb8046c	0	0
c13b19e1-54c1-49df-92d6-d2ab44bcd051	17.1436818181818182	1.42872586992424244
c64c070d-ef26-4591-b3bb-36ad89a9778b	0	0
4cfaea49-07dc-4485-91af-8c84436a5376	16	1.33341333333333334
50b07e71-6b94-4982-a3e5-c7f732d915c5	0	0
f29b1b98-1dc4-4cdc-8dc0-0e970453e694	0	0
33a4ec8f-4374-44c2-8226-f25e91890f15	0	0
a0ee085c-347e-4df8-bcb5-a60c8723efd8	0	0
2c5e2c66-e5f4-4edd-8f0e-48d3979704b4	0	0
83797888-d543-4c3d-81a7-d7da9390a2a1	0	0
5c8d206e-dca1-44c2-889c-f6b9b072dff8	0	0
29f20976-72b0-45a4-8d20-15bbcaa51e75	0	0
9922a5c0-179e-498e-b734-a2f1093f838c	0	0
b1436e7f-94f7-4172-b2a4-7f465d569f1a	0	0
59be2e44-615a-4fde-9c9d-36d5acde2561	0	0
1e7f775b-310c-4aaf-8212-00a9d975e02d	70	5.83368333333333311
c731caef-c860-414d-9acc-83b221d7ad9b	0.594125249072381956	0.0495117577010297655
b0f558a3-5c45-4966-82a8-bbee5f3e18b5	0	0
43e6e400-77d9-429d-9a99-b990848235d2	0	0
b68313cb-1d1a-41fb-aa2d-76c2cc1430b5	11.1837229437229446	0.932001764694564749
705ddfe6-dee7-4b8b-a8e3-2cd2c9116614	0	0
14677d1b-582a-460a-b0bd-45db377ffb65	0	0
948f8431-1cf9-4c9b-8ed6-aa647188efbd	17.1436818181818182	1.42867824858585846
da55091c-9385-4ef4-8a66-c0b4d9554549	0	0
2608d32c-d89e-48cf-ad14-252750cda720	16	1.33336888888888883
1cc97dd1-25f1-4346-a6a6-de11de58b3e6	0	0
bc510868-d19e-420e-9d0b-f4eac736a53a	0	0
73cb1dc3-bf50-4875-9382-67d7fbe8cb9b	0	0
dee5966f-e7f2-43f6-ba30-7fdcceb47d80	0	0
9154d519-9ab7-4c8c-8e2b-a18f55a9db8c	0	0
fb609795-45c6-4b3f-a9e1-5a53cd93951c	0	0
ccf9df35-050f-4105-acd2-a9e38f774d0b	0	0
e5befc39-36d0-4493-ba3f-a3faeb43253a	0	0
e33c196c-049c-47ee-9727-8fffce665d6a	0	0
c072462f-cbc3-409c-9c90-4d329159a938	0	0
fe753eb7-f521-49b4-87f1-ee7d67bcd8f8	0	0
95a9b659-1c7c-44c9-b602-ccba2d7c9bb6	70	5.83348888888888872
46b9e38b-a133-4c30-8b45-75ad4e51a817	0.594125249072381956	0.0495097772835328617
9f60c4fb-39c5-4af5-843b-087f77da1312	0	0
3f94dd6d-1b9c-48cf-8ebf-22f0ca5abc04	0	0
389f0717-94ef-47a7-be9b-60d442b9f147	11.1837229437229446	0.931964485618085758
1b1c9417-74f8-45d6-bd7d-6811e58a9084	0	0
80db194a-b870-41a9-9208-8a2a18ebaf67	0	0
b183a672-ffc2-4f22-8a18-416a70127844	17.1436818181818182	1.42862110297979794
5ebf928e-e8e6-4d69-9878-3cf467c6c2db	0	0
0fff5632-e283-4d46-8bbc-d40a40785d5b	16	1.33331555555555559
a44c4b73-dc78-4e6a-8340-b44802ec5f67	0	0
7b4cf295-63bd-4640-9e7c-28e45bc26ace	0	0
7b1e6474-d9c9-456e-9374-ffb119904f3c	0	0
89b31da1-79aa-4f81-a019-6fb950059d96	0	0
ecf06512-a3c9-4082-b765-a89e80bab08b	0	0
6b2348b2-8e9a-4a2a-980a-4142c2abd189	0	0
e729372e-5fcd-4cff-9929-71cf8f609602	0	0
bded5a56-b958-49b3-921a-ca28649a168a	0	0
2a89ed8e-6e7a-4542-bf6f-7b955a14df44	0	0
df88e314-38bb-487a-b880-f2a76c0af47a	0	0
1de4f4ef-f62e-4ff2-98a1-dca03bba1a0c	0	0
d796c982-36c6-4b6b-812f-3b35a0a670f8	70	5.83325555555555564
a2b1feac-7305-404e-b8ef-7075115ca0cc	0.594125249072381956	0.0495178639883118998
49e8d453-78c4-4146-89ef-9a7b22f3853f	0	0
257743dc-23be-4c5c-bf90-f428a723a23a	0	0
52557940-18b3-4258-85db-522a1be8b8cc	11.1837229437229446	0.932116708513708536
a646d27e-4fd9-4b8d-88b5-e538cf2bce8c	0	0
a2451e4d-fa05-489c-9ea3-a5329aaff164	0	0
85a89c0b-9d77-48a9-ba7d-f84ad984a5e7	17.1436818181818182	1.4288544475378786
0053685a-0a52-40b5-9909-8b60b4790504	0	0
6992415d-f83e-456a-a1ee-944b06e30c94	16	1.33353333333333324
e0964040-ebed-4cd7-9fa3-785f4f0e1484	0	0
0a5b3d0e-df53-4ea0-8be3-5b397f70a0bc	0	0
dd202145-21ae-421e-83c1-846d285bb630	0	0
e6d2ec53-443a-4fa2-b4b5-b61a99539917	0	0
f38dc4ad-96f8-4958-9579-b7981355fb24	0	0
33ad9ce0-fca5-449a-89c2-01b4950d161b	0	0
dd1d3a05-1ff0-4e99-a47d-e0c85b5d10cb	0	0
91d78be2-7d50-4468-bc46-c50ba5e441aa	0	0
b14b4a89-0001-4065-8db5-047131827a5e	0	0
417f855b-f724-4ca0-8744-c994cc3f10c9	0	0
5db5848a-564d-45bf-b2ae-ddd5508cf512	0	0
ef9f59bb-31ba-4bba-aae2-196c1327aa65	70	5.83420833333333277
d41f533f-4f70-4878-81e5-26a6efef9ff7	0.594125249072381956	0.0495145632924837223
45c54ed6-eba1-4736-a827-ece967a68f73	0	0
91513945-5f1d-468d-9495-b99aea7222af	0	0
3afa9699-5f58-41b5-aab9-3b54eeaa2496	11.1837229437229446	0.932054576719576811
609ff5b6-e924-45e2-b70a-8a6f3193cfef	0	0
99dcdd24-9ef0-4663-ab78-6286f2083958	0	0
0d81740b-2a0e-44e4-b02a-cf00d23bc562	17.1436818181818182	1.42875920486111108
bf196193-441d-42e1-b5f5-c836e2cac2df	0	0
8642695e-f177-4ac5-8556-22fcd529a43d	16	1.33344444444444443
74720532-0f7c-48e4-a335-ea10f024187e	0	0
e88a4179-e34a-410a-990b-da5509940696	0	0
674bef52-e466-44eb-913d-0956572fc085	0	0
147d7447-05ad-4fe4-a165-3664b09b858e	0	0
072a4600-f074-48ae-a85e-ddc56dafeef2	0	0
b213e5fa-ed3d-4679-82d0-a08244b37074	0	0
8ff17334-8774-4e7a-89c7-e5ec10a550a8	0	0
5b3e642f-bb5b-4c0e-84cc-1fac48cd05e3	0	0
1eb037fb-f9de-41ed-aa5f-e86a3d69b2c6	0	0
f8467443-d9ef-4c13-a7f9-4c4a81fcc19e	0	0
910f2f5f-ba97-48e9-986a-18467dbd5496	0	0
a7bcbdef-075c-4271-899b-39e2b0d54192	70	5.833819444444444
5112b8d7-0460-4399-b5a6-835d423db945	0.594125249072381956	0.0495094472139500433
ab0d1c98-105a-4361-a6d6-5d8de418c367	0	0
c9a0cc5c-f2f3-423c-828d-b2337ed1704e	0	0
67d70a29-4333-42a6-bbec-510978fb06f3	11.1837229437229446	0.931958272438672464
aaae40fe-ce3d-4bc3-ba23-18dce7355b25	0	0
d7b0197b-ea0c-42ba-908a-18250956a1f9	0	0
39dd8caa-fc47-4a9c-b9d9-d05970b31aaf	17.1436818181818182	1.42861157871212119
77d472e6-79da-4b06-8072-32f371e2cd80	0	0
79b7155f-7688-4ca1-b5c5-29e2367c1181	16	1.33330666666666664
f8aa9912-f4ce-4297-9f85-414d41362fc6	0	0
ad3a0e0a-3f46-4789-8380-ff79ed394eb6	0	0
7fe6c4a8-38f5-4178-9f40-4de644aaecb3	0	0
065c1cf5-f297-4f07-8d74-939edb607420	0	0
5a3b04c7-0143-4bca-bdeb-5e1441247410	0	0
7a9db79e-023a-42db-bc90-9b83afffa2d8	0	0
6759d1fd-49e2-45ee-9b94-9e62678f691e	0	0
9731a776-be46-4cae-a4c1-fc52df337e30	0	0
c1ac8bc8-d6fa-408c-80c5-c72162f07853	0	0
b1c2b4a1-0726-40c6-8e39-e65315e6e2ae	0	0
357d7977-c549-4a3b-a763-204a7eec4d0d	0	0
220ef436-3d91-4179-bb58-3ad12cf99c2c	70	5.83321666666666694
d6bac7a0-5809-49e6-81ff-2def7ae7caad	0.594125249072381956	0.0495191842666431667
b80c6298-9449-4a12-850f-4470fdc6afe7	0	0
7481940c-5178-427f-b917-bdcc793dc5c8	0	0
c7ef99b6-d445-4465-9e11-4d3315f87206	11.1837229437229446	0.932141561231361271
85bc2383-65e1-4120-a9e3-57370ece31ef	0	0
c71fba94-f19d-4968-9b59-73d927b14244	0	0
3698362b-5f37-4794-a01a-33d1b49d8395	17.1436818181818182	1.42889254460858584
08b33719-3564-4688-aa86-e656b43a4f0f	0	0
c5c547e2-1ef4-4f69-8397-6fb5087b53c8	16	1.3335688888888888
23e066ce-b7d1-4737-8f54-25d8d3589261	0	0
9ee1f089-7a34-4660-8c2c-c1d3404ab8e9	0	0
4cfb588c-eb28-405e-8e2d-db5d49ce6835	0	0
2730f502-ec6a-41f4-a47c-342d90343a51	0	0
216285f3-60cf-4263-a406-96768182c318	0	0
3a35a2a1-3100-4d4b-be9a-57ff2e7e6efa	0	0
1b84a110-1e1e-4611-bc87-8fa4e69c4aca	0	0
0c8855fc-c5a9-4d76-9931-82dd03ad2bbb	0	0
d958aa05-e1ba-4628-8a35-8b1ef1987368	0	0
4fcbd633-ee3e-43b6-879c-8cd17e53f2dd	0	0
b0696c2a-8e0f-4c2b-bbc9-5db57fc798e0	0	0
cab99906-8706-4573-9e1d-ec5e7527723b	70	5.83436388888888846
f39cd857-2589-4c7a-8ba5-067bd00aa77d	0.594125249072381956	0.0495137381185266762
94ced73a-a983-40fa-aaca-1a2b8d3197bf	0	0
a5bd2a53-67f7-492c-946d-69f6b593ae8b	0	0
2413b52c-2723-4b41-ad0b-0497c4e75428	11.1837229437229446	0.932039043771043851
14360cad-d7e5-4c5e-9f65-c46c3f8ccea4	0	0
e9977192-f72e-4d62-b58e-fdf8978502f8	0	0
be1dfeef-354b-49d9-9f4e-a51ae775f01d	17.1436818181818182	1.42873539419191919
ecb8f088-d1d0-4bd0-b431-04d3fabbf80c	0	0
3d9e435f-a0d1-45aa-8d06-7b09eff886b3	16	1.33342222222222229
764b8d83-24bb-461b-8b30-e3bd481d5e95	0	0
14124bce-0461-42ec-80b6-7e6abf03bee8	0	0
716ce6f6-24f4-40ec-8bfd-1af81139a2a2	0	0
71ad49cb-c1d6-41ce-b6ad-330293057685	0	0
6163795b-79d3-46af-ae26-a1664d1b7ef6	0	0
7ff8fa50-e165-4792-ae17-2e159c84a88b	0	0
f88d4678-498b-498b-904c-9d8b35046941	0	0
9957e66a-5570-4c22-a5bb-c3504b6c05bb	0	0
67e130d4-c6d4-466a-ab55-0dc912c50b3b	0	0
b6a0508d-efa8-4eda-82c3-45793648669b	0	0
e4e9330c-7398-487c-88c4-223ac4fc8bb5	0	0
0a244216-efcf-459a-bc27-00cc34aae1b3	70	5.8337222222222227
f3bf505d-03c6-4114-bd85-c1b11f764f43	0.594125249072381956	0.0495143982576923131
3a9e1b65-ffa2-4546-8313-f296dfe14810	0	0
94996fdc-611f-44b4-ac34-f01638e01d7e	0	0
03b07698-a37b-4bf3-bf4c-b1f5b785a148	11.1837229437229446	0.932051470129870219
10a0babf-0adf-4f9f-9067-d91e8a0cc3f9	0	0
0066ef1c-58f0-4ba5-abc0-eaa473fbc636	0	0
7f156ca3-bfd1-4e6b-a810-6faa07f80259	17.1436818181818182	1.4287544427272727
99f8b82c-83a7-488d-b76d-a07e057dbb8e	0	0
c17d8944-5683-4ce9-9cff-161d5b553888	16	1.33343999999999996
14ece3ac-6a51-4acd-9129-6171b5ccdc6d	0	0
3510f131-ba8f-438b-b163-ed36b51b5fd6	0	0
3a3f69ea-3563-4693-a5c1-5df8d78b856c	0	0
0dedee2c-eef6-4835-a96d-64493d861c5a	0	0
8f3c5f5c-3162-4222-b67b-62a1fe6fbfb3	0	0
16f71daf-b55a-4805-955d-3a0623732529	0	0
fbd3c065-fcba-4d8a-a9b9-e2fbc8dc7e5e	0	0
d00a820a-3787-4593-8ca8-b5b118f44fef	0	0
a45be372-ea27-4d91-b7c7-1ba1bba107e8	0	0
cd33256f-b827-412b-8081-e54277461704	0	0
86089e4b-f243-4066-aabe-d602dcead312	0	0
9a71b68b-9ba0-4282-8c6c-f8ba4a702f99	70	5.8338000000000001
2ab9068e-1a1a-4c3f-acba-d6e206cd0662	0.594125249072381956	0.0495135730837352669
9d1c59fe-ef16-49b7-be51-a85cbc6a9ea7	0	0
b7dfb3e4-0935-4630-8d87-5ca2dbe64d39	0	0
de745d20-bfde-4cb5-8461-779a8654aed0	11.1837229437229446	0.93203593718133726
b31d5b0c-a4bd-4ea1-9c78-31638d35fab4	0	0
1ec7e929-abcd-44ad-8383-a1b5f1a82b9d	0	0
67036944-08d4-4873-9a47-35c844001e28	17.1436818181818182	1.42873063205808082
1d5f5a80-7e9e-480c-9993-6eeeac989169	0	0
eb0f0279-1dd6-4b4f-822b-56d53774ec29	16	1.33341777777777781
a845969f-aa14-4580-a46d-0d36da462d36	0	0
294ffd9f-dcf4-4e46-a6a7-65afb4b0de34	0	0
0bd42d7d-b52b-43c0-a76f-af9665209e8a	0	0
fcac425d-a5f4-467d-837a-16f4cf394a36	0	0
2ec0cc19-deeb-48cf-b33a-0ea0a47a68eb	0	0
c0491ff8-e911-47d5-b13f-bb553aa73e5f	0	0
1516adae-1022-4dfa-aa8a-e8a541d05dd5	0	0
15989512-025a-4cb5-b123-d1fe7b07c2ce	0	0
efbc8a75-c7c2-4359-a6a9-b9f390aa2a8e	0	0
128edcbc-aa90-42f4-9e68-6afbb7b24f60	0	0
ee31cd3e-07b7-4144-8c49-8d46ae22890d	0	0
304ae4df-2213-4730-a375-8a46ca420f89	70	5.8337027777777779
8851d851-deb7-495a-b4af-d150d6573306	0.594125249072381956	0.0495170388143548537
af615ec9-f4eb-415b-8664-6793118955a4	0	0
645633fb-9948-4326-ab47-75533287fccc	0	0
2b77925c-467e-4ab1-94ca-99a17c2318ac	11.1837229437229446	0.932101175565175577
ea23a481-5c10-4951-8023-d0d4292adaf2	0	0
338a1762-4a2f-4aad-83d4-a48f70a4a2c4	0	0
6083daf2-25ea-4432-b7f9-f8d2cc1d7218	17.1436818181818182	1.42883063686868694
682bf3cf-b9f7-46bf-ad4a-a87db43489e1	0	0
72f69ed1-8ee9-4003-9db4-97d5599633d9	16	1.33351111111111109
77b5795c-d003-4c8f-84a9-ab8d765f1d1b	0	0
1e8cfcdc-96c9-4751-a449-662f070a4624	0	0
9cc1a738-314a-460c-ba87-2df06bcc2352	0	0
7b3c36d2-e085-46e6-98ab-f8d1a85c52ae	0	0
b44cbe74-006f-4b24-9a8f-a59cc5a91972	0	0
cb8c9953-bb5c-448a-8c63-aab275cbe77f	0	0
adad95f5-fb8e-46e2-82e7-e1f617747710	0	0
6ef06ef2-db8a-4760-83dd-0ca744c94128	0	0
194475a6-b638-4c9a-a267-66d119f6a95c	0	0
14a1fe1b-7ae6-43c1-ba81-75625515b1e6	0	0
eabe9b95-afb0-4464-8d60-9db59534a6e8	0	0
9b132a17-74a7-4abb-9dc3-f6ff44e5a5b1	70	5.83411111111111147
73e48427-06ab-4939-9587-038bee86fda1	0.594125249072381956	0.0495106024574899009
acfb5550-120f-4341-b644-38e6d4b5d093	0	0
b93cddc9-93d9-481d-8cbb-6238e2a0a36a	0	0
f72f1ed7-34fd-46ba-bb4b-8aee22d2e429	11.1837229437229446	0.931980018566618607
9e7cac52-a394-4e47-a5b2-d0bf99bcdb13	0	0
836e8627-7334-4986-84b7-e7fdd2b6ad0f	0	0
1c6ae9aa-a5be-47b7-a811-cad56daa79b7	17.1436818181818182	1.42864491364898982
d2e6b802-32f7-44c9-af80-7ad4ecfd19b6	0	0
4f4bac91-0492-4151-b54f-43a724ed75c3	16	1.33333777777777773
8ed67c32-eb34-4271-a7b0-54949c6d236c	0	0
c0253300-e051-4bd9-9021-b7af532c421d	0	0
abb3a78e-2cdd-4a6c-99ed-fc7d377f0009	0	0
bf713640-6a70-469a-a45a-cd3d772eccc1	0	0
04f88009-9084-46ca-89c6-a6f139c35af0	0	0
8729a1d8-4095-4d0c-bf39-8815fad1fb2c	0	0
10cdfb06-806f-4703-b55e-228cdae9f1be	0	0
d57fa8e6-e725-4204-af78-9900f0175fc9	0	0
f7c00095-8e19-412b-a32d-2a6fe5e2c9a8	0	0
a668cb63-c493-4389-865f-87f301d0e31e	0	0
363d873a-5f94-4730-8f5b-062e4028c21d	0	0
2680043b-2401-49aa-b2ef-ea375b533582	70	5.83335277777777783
15594f65-39dc-428c-b5c7-d83b5b7ebff3	0.594125249072381956	0.0495145632924837223
5c11c64a-321f-40a2-86ac-3880a1bfa170	0	0
4d910550-ebfa-4199-a46a-5f65b167192c	0	0
4eda8fc4-61d0-495e-8333-ddf5e980375e	11.1837229437229446	0.932054576719576811
3f364e67-2c3a-4452-82fa-91563686e987	0	0
17817231-7cd9-4b8e-83ee-d9d5ceb0f2c8	0	0
54a37324-7dc8-4455-b008-1fd15d9fdea9	17.1436818181818182	1.42875920486111108
d3edf7b6-988b-4fda-a066-6644984b78b9	0	0
7d486c62-fa88-4d2a-90e8-c928f142bb9d	16	1.33344444444444443
90a67ff4-1911-4e27-9747-cc85ad52918d	0	0
1677199b-a315-4b29-b281-9520d7d8e65e	0	0
69501cfc-15c9-4b31-a3e2-c876c74f4ea3	0	0
0fada30a-84d0-479c-90da-32bd2ce2acd4	0	0
160ef653-ab00-4cec-841b-785ce3c80545	0	0
47b6248d-ea10-43dc-bb56-d54a731260d4	0	0
b623013c-2f99-48de-899a-78043d6374a4	0	0
04d59f66-07e3-46be-81d6-068106b47342	0	0
d32b861f-1bd5-452a-8f11-fb633fc97c19	0	0
4638853b-725a-4764-8fde-cfb52a2888a1	0	0
af7b606c-26b7-4cbd-8a72-32e6e58fc9c5	0	0
24f6d551-472d-4900-8980-875f47a3e58a	70	5.833819444444444
20d4b3d0-2f9b-45d2-8f67-cad86dd08dfd	0.594125249072381956	0.049511427631446954
1ac8f17f-b517-467c-8033-f08ecaf5a414	0	0
e2bb1e74-7319-4d7e-8a44-d4c86d13e300	0	0
600afcd5-62b6-4417-8e27-62ba7a51ec2d	11.1837229437229446	0.931995551515151677
029a05aa-6398-47c7-966b-3d2b743900b0	0	0
872d3e49-3d9c-44a0-87d3-450988fb81fd	0	0
bbe35183-1f25-471c-b91d-9a4a3ec0ae3f	17.1436818181818182	1.42866872431818193
15f86fd1-5223-4ebd-aaaf-cf2ed07c5fc6	0	0
8e42491c-d3b8-47ce-ac4d-6a645a66cf83	16	1.3333600000000001
5fea0c00-667e-4f5d-a4d3-bb1bf68340be	0	0
3ce26d4c-c28f-48a3-b204-73ead661dc68	0	0
30077782-b947-4fc1-b74b-744649bacb29	0	0
3d84ee24-e31e-44ef-92e0-af258cd752dc	0	0
ce091365-eec8-48be-aa7b-d3590bb27ff5	0	0
cbd592e4-c42c-4b28-9262-1ec57243123f	0	0
def3e69e-7e86-43e0-b2f2-17ab4a447947	0	0
01b82f9c-74e0-42f8-a7f4-d77b5daabe5e	0	0
67dfce31-4f78-4a31-be8a-0e9ddb1198fa	0	0
dbeadfdd-df4a-477a-a425-29463f2e8135	0	0
c43608bd-308d-4363-8735-c90700cc7bf8	0	0
06bea3f4-6245-4af8-a0ba-13aaf9ec323f	70	5.83345000000000002
15a51bfe-3133-4916-99ab-b00fa8be1979	0.594125249072381956	0.0495069716920789049
a2e039db-8e37-4389-be58-5f2080129619	0	0
bce1d154-9e09-435c-8184-ac967d173a94	0	0
e442bd30-0550-4a67-974d-c76401c36caa	11.1837229437229446	0.931911673593073697
03bb56c6-90af-4fc3-85af-80ac495440d1	0	0
7c2e9bc8-24ab-45c0-8ce3-74d059ce27e2	0	0
fd36bcba-e9a5-4d8b-89e0-e217fd1c526e	17.1436818181818182	1.42854014670454554
9f41a639-5b57-48d3-b35d-c377bb095fe4	0	0
8405cb11-2a6c-4026-ae18-07dd439ca483	16	1.33323999999999998
b032efd7-8a3f-4b88-88d7-4bd65350eaef	0	0
2ecdf85d-2721-496b-a3ca-e2b3b923c6b3	0	0
4717c5df-f432-4627-a4de-7caf25e1ea94	0	0
b3ef6231-009b-4478-bbd1-fcaf64c185cc	0	0
07b2e999-622e-42c8-a48b-0ec810ef3780	0	0
dcda2583-2ba6-4269-bf1b-03c6c0b9388c	0	0
8f40e7bb-c040-4355-810a-8bb8e3af9b84	0	0
efba97fb-1469-4d87-995b-962ed3694f84	0	0
9ac99c7f-aeea-485d-b3b6-3bded3fed954	0	0
d3093154-c0ca-41d1-901e-ac75944fae56	0	0
91a6dd10-397a-4c07-9703-9962094416e1	0	0
7ed10993-5748-4280-9028-df75a29671cc	70	5.83292499999999947
f2e67e9b-c1f7-4e4f-abc0-88f6442bf8f6	0.594125249072381956	0.0495200094406002198
9b4a3eb8-b11e-4d29-b6c3-00c45eb7899b	0	0
c7816c07-4780-4dca-b7dd-a746db5a79c1	0	0
755c0e00-9601-40fa-880f-007fbf3aa004	11.1837229437229446	0.932157094179894341
5337574d-107e-4bb5-84c7-70dd192a9472	0	0
cce4d608-9d28-4cbf-9d73-948ee13b52c7	0	0
834f0428-e95c-4e1b-8f92-eeb0bb360e69	17.1436818181818182	1.42891635527777794
dd8d3257-b35d-4504-8c6c-78c33308b010	0	0
3926a47e-ab8f-4de8-9049-4cfa34db2a86	16	1.33359111111111117
6ad6c5e1-76cb-4799-a2f2-25c501d15baf	0	0
ba162861-00f1-4e32-ba92-e69d120d033c	0	0
8b286122-1eff-4df2-ae20-1b1315eb4b9a	0	0
01c71753-2378-44f7-ad06-fb3980c9aefd	0	0
9ab9b140-da0d-454d-9d44-f60403c39ef8	0	0
b1fabbc9-a5f8-4621-a78f-3dadbd97d5e6	0	0
1679eb11-efe6-48ea-80f6-5edd1139bdfb	0	0
a01183dd-20b7-4078-b16e-0de6d159a836	0	0
802c2873-db37-4ca2-a59e-b5e6cd136336	0	0
8a8bbbc8-a078-4b51-9a33-51caac769396	0	0
2fe65f2c-273f-4cf7-aa23-ab63e393ac7a	0	0
dd25e0c4-f599-4dd1-9154-b83125f1864b	70	5.83446111111111154
6f6f5465-9369-45ca-9a60-5b7fa04b8f4f	0.594125249072381956	0.0495170388143548537
c370e407-61fa-4bd0-a226-ef06573a0351	0	0
838ae6da-38fb-47d5-9058-a46c393cce0e	0	0
b0687a4e-da09-4dd7-9e2d-8b091b10d11e	11.1837229437229446	0.932101175565175577
69b8116f-0938-479c-95a5-0986e3989169	0	0
7d664fa7-e5ad-4aed-97f0-1598f31375a3	0	0
67c272d3-fb8a-4588-a5ba-648bf558caed	17.1436818181818182	1.42883063686868694
15639e39-05a1-44a3-9048-150589c74b8d	0	0
6616a4f9-9538-4977-ad2d-4abe88acec7e	16	1.33351111111111109
73aa439b-0901-4557-9f4a-d80d0c420bcc	0	0
ae6a4c9d-b973-485d-8cc1-dc70b851bc7b	0	0
940ae2e7-9d61-4f84-9a1c-9a9810b8c72c	0	0
1deba4f1-4dad-49b9-8cf2-a4aefabbd577	0	0
f568a942-4ae6-470d-b915-c863cf774a82	0	0
5f95a44f-8a9c-4da9-bc1b-4ba946d6974c	0	0
9e00bc4f-b672-4426-8c3e-fd58d988cd1b	0	0
64d5870e-24a9-4b2d-8120-63908083a387	0	0
f8b5e1e5-2bb9-4c4a-aa5a-3885ef654b83	0	0
97422c2d-054c-467d-a678-d283b66eddb7	0	0
a78f58fa-cbab-4bfe-a44d-b095da290325	0	0
85ade4ed-7b6b-4ee8-bd26-7cf0975fe017	70	5.83411111111111147
23763bb8-5b2d-4ddc-9a90-e166610927b8	0.594125249072381956	0.0495068066572874957
ff4e0d7c-3982-414d-9c7e-cd756a09e516	0	0
933df523-edea-4c00-a1db-7a683b77b6d8	0	0
4cd386e9-1a62-4af5-8f45-337ad9af036a	11.1837229437229446	0.931908567003366994
5d1604bc-4fef-4a16-8981-a5cbc75aee12	0	0
b9a74cc4-5095-47f3-a5be-e4e08f84bd56	0	0
bdd68c2d-7ee0-4f6f-a303-31bb0c60730d	17.1436818181818182	1.42853538457070695
1380f6fc-b3d3-4301-baf6-25ecde85da26	0	0
08fc3576-21ce-4bd7-94a4-01006d53bff3	16	1.33323555555555551
32b10c74-baf1-4811-9581-869e6fbb302c	0	0
6ccaa6e8-e594-49b6-bf62-cf187154701d	0	0
83e3f5b0-cc5b-4c32-9ebc-7d08b7d45c9d	0	0
237a0831-c3c1-4d24-ab90-c1dfc771730b	0	0
5d11962e-911b-45c3-83a8-5d67d7af7ca9	0	0
8f2cd1b5-87aa-44d4-be4d-d01e9ee8b7c5	0	0
c7fcfc54-5751-4a65-b5f4-7d981dd49f3a	0	0
6b71981f-f2e1-4824-a355-6bb8e4fb9654	0	0
1fd58d5b-54cc-4216-b339-1cd2ad5f3990	0	0
d6ad150f-137f-4e67-b3e8-2eab1cf2024d	0	0
a6e7381d-459d-4dcc-80e2-972d841f0bd7	0	0
aedc1860-94d5-4e51-9801-d4a2628f6a37	70	5.83290555555555557
fbf195ad-0b35-4b55-9c35-94439582b251	0.594125249072381956	0.0495183590926861275
2d447cb0-2e6b-4693-bfec-ffff0494b956	0	0
f9e8618c-6209-4140-831c-538522c44707	0	0
69c77f46-aec4-410b-bfd7-408d089f20bf	11.1837229437229446	0.932126028282828312
d4cd81d9-22c1-4d52-9186-0c78bee26526	0	0
28a7cb3d-1a53-49db-abd2-581c73fe56b2	0	0
4083414f-e454-4eda-988f-96fed0d33d3f	17.1436818181818182	1.42886873393939395
59392e6e-2270-40b2-be2e-416c53aebda2	0	0
77f2971e-040d-45a4-a308-555c8cdb717a	16	1.33354666666666666
8622f185-2d62-432c-a96d-a213e84ff771	0	0
c7ce73bb-a965-48bf-aada-1f2e4101bb7d	0	0
4cebf592-ef4c-4365-9a5c-037e30bfbc9e	0	0
03cd56b6-4503-42f1-93b7-2db94fd492fc	0	0
7af9b044-aa56-42d2-b577-3f2d87c927d7	0	0
5d2c8f2f-3cb9-45c9-b82a-6d6755f37438	0	0
b1166140-d489-4d73-bea1-da1b80eb3729	0	0
2efb1a17-fa68-497c-b3dc-c99f1dc8208f	0	0
2dbe029b-58f0-4c84-b981-10fb42fb7ceb	0	0
8ad4f44f-fd5d-4db1-b154-a0927e3d8fdf	0	0
9c51d26a-296d-4b95-9dda-32fe904da06d	0	0
6c84d011-f8ba-4038-b3ab-d2f7831c8d68	70	5.83426666666666627
155d6c56-46d7-4312-bc8a-8f55040440cf	0.594125249072381956	0.0495135730837352669
4fca51c8-49c5-4ba2-8bda-73dd2ac7ab19	0	0
9816a881-7ee1-42a0-abf3-99ca49f1fbe4	0	0
e77f1c7f-6d16-432d-94a2-323216258a93	11.1837229437229446	0.93203593718133726
cf52906d-035d-422a-b25a-f109b3a988f3	0	0
0b3eff64-36cf-408b-97e9-6fd4bbdd3be8	0	0
0337f01b-75ca-4b43-bfed-1efdefdf8e21	17.1436818181818182	1.42873063205808082
fa7e6e10-8122-4fd2-a22e-bd963a1bd56f	0	0
c2f496f7-cf28-4d76-a413-7d77db58bb50	16	1.33341777777777781
c61ae224-31f2-49b1-868a-9909e22e3940	0	0
fe87afc9-0c33-4ce7-ae20-cbe7b381021a	0	0
35b54844-8caf-47ca-a972-6506032d3992	0	0
61cf7b8d-4bee-40dd-864d-e18900975eaa	0	0
62b0172b-a350-424c-a04a-b0cf8277036c	0	0
baaafbcc-7c6c-4b66-a87c-4187cf74b876	0	0
bf648891-080f-43ce-afd6-8e63e84b2746	0	0
e973802b-af54-4941-a803-e1f6280809e1	0	0
40de958f-b4a7-4e11-92a4-ba1fa8e72eea	0	0
f3c76178-79cf-4ba5-b18f-2d2085b3adc6	0	0
ee460d92-14b4-48e4-b9de-16b41fd0a5b6	0	0
c4541a13-a106-44ce-ac1b-a917aa42107c	70	5.8337027777777779
70b764ad-f2bd-449d-b164-2ef58d6b789e	0.594125249072381956	0.0495143982576923131
52157b38-8719-4083-a2c2-e5e78215d899	0	0
7e3f0d1b-a426-47d4-8223-0eaef4e454aa	0	0
20d98e0f-26cb-4d07-ae9b-b98a7ddee906	11.1837229437229446	0.932051470129870219
fee12727-2e56-48fa-a8c4-a02c34928352	0	0
59efb4b5-6ded-4458-92d8-f05cb012038a	0	0
5c2d9e5f-b1c9-4565-a70c-4b9daee80d97	17.1436818181818182	1.4287544427272727
4958fabe-c83c-4d14-88ca-391a638d7ab2	0	0
bccbf64c-34b9-4446-bb73-d29c239a4aa9	16	1.33343999999999996
058c1411-1266-4fad-bb40-6dfef3e53b2b	0	0
c0f28192-cab3-4045-80ff-00370e13d0a7	0	0
2a2542dc-9d5e-4116-8c46-0d6accb30f5f	0	0
b7f356db-1d35-406f-873e-ec1868094d01	0	0
499e5ad8-f5fa-429c-9a14-03629bea8732	0	0
92c381c7-3ef6-4312-a13d-89fc37b79f0f	0	0
43444dc2-4836-41b7-bcd8-9341c95c29b7	0	0
be30ee0b-8e75-47e2-952e-be52f6adeda4	0	0
f405089d-aa2e-462c-9362-3c2fc5a3d7ee	0	0
64d6dad8-243b-4c9b-b868-ebfd2e2bae67	0	0
edd51e29-259f-4224-b2a1-276a3e4992a7	0	0
dcddcad7-b2b6-4bcd-ab98-418289628b9e	70	5.8338000000000001
6d55f9a9-5c38-42ab-8353-cf02e6256cb9	0.594125249072381956	0.0495066416224960865
d09ce9c7-705d-4792-8cc1-cd494cc50656	0	0
c657ce0a-1643-4264-b93c-1cacbbb8cd6e	0	0
5c60fdde-8d8a-4395-885b-f415a45b489a	11.1837229437229446	0.931905460413660403
f38f05a7-2aa4-4268-b6c3-57d23637ed8c	0	0
3a2a7ddd-7406-4667-a14d-4482e2ddd5a0	0	0
7a930dc0-fcf8-4d51-8c0c-664ded3a1ddd	17.1436818181818182	1.42853062243686857
d3804150-9f89-4e5c-8864-4032c13ece5e	0	0
822d69c2-81d9-4d23-a298-02b4e603f50a	16	1.33323111111111103
de3c499f-31c8-4c37-af71-8ff442a48418	0	0
8d012e7d-95ce-470f-9372-c705f5a03de7	0	0
326bdb82-51c2-4b2d-b717-709986bf9257	0	0
b74a4c5d-8b72-4878-80b5-025c0ae07f83	0	0
d0bd6bd9-c825-4815-b761-595716cbe4bd	0	0
2865c9c9-a506-4ff7-ae6d-9718009871ea	0	0
5a36229b-ed1b-46fe-a9fd-c82995b0829b	0	0
b61e405a-7fe6-40aa-b7f2-e1650d3982bd	0	0
77d615e7-f1cf-4267-8841-77b95954838e	0	0
e3551b64-4358-40e7-940e-2c6aa94f35e0	0	0
293af3cb-a232-497c-b775-13304eb64fa6	0	0
a1069249-d29b-494a-a831-93adbcc849c4	70	5.83288611111111077
f05358b6-83b5-4a5e-af12-55dc06b574cd	0.594125249072381956	0.0495203395101830313
296bc328-d2a1-451d-bfb3-3e68ef593b40	0	0
4e428a51-0731-4b9f-93bb-fc7c3ec86a5a	0	0
3a68d79e-3635-401c-9c57-54dce60e2031	11.1837229437229446	0.932163307359307414
13253ed6-bc5c-426f-86d9-d430fd86d031	0	0
6c8e7b58-1152-4268-9043-66f65b8221e0	0	0
5facd053-0c4a-481c-9b08-4fc1b0bbc1a1	17.1436818181818182	1.42892587954545447
1faf73f0-78e5-4835-8ce1-236a65cc759c	0	0
4229d441-dfcf-419d-8ee1-57eae970f864	16	1.3335999999999999
e2210387-88e9-43dc-8146-d9114ae76fc1	0	0
e7bf4a4c-42d2-4716-94d2-bb0ff21194b8	0	0
f6579343-5f5d-4f5b-840f-7abd2ac3267a	0	0
4e32e9e7-8e62-4f76-9479-0e8a3a82784a	0	0
5d775036-d4e3-410d-90ea-78b90c155726	0	0
8bcbab2b-11d3-4069-b69a-82f10ab5aaa4	0	0
df12b0cb-6f9c-4d06-89a0-dd3eb534f0c2	0	0
473a7edb-7d5f-455a-a9db-90660a2f022e	0	0
a26a18c2-635a-4838-9596-dc4fad586788	0	0
659cf494-7802-4aa9-92fe-1ed02468f94c	0	0
4fbc3260-2072-4a2d-b0f7-930b70aa82d0	0	0
0f5c6dc0-5791-46bb-aac9-e3e0f6ebb210	70	5.83449999999999935
f64bea17-3e09-4789-bbb5-2b423dae7f74	0.594125249072381956	0.0495101073531156802
01e22f57-965e-42ac-9e61-9a2c92657d47	0	0
095b4e5d-8e3e-478f-899e-75973f976766	0	0
f116bb29-a412-4acd-978a-6672f02f8564	11.1837229437229446	0.931970698797498942
531e3be8-6b96-4707-8443-2382395af71f	0	0
b854c78f-a292-45b2-a96b-3cda90133904	0	0
bfbed5a1-3310-4208-9595-40e1eae0784b	17.1436818181818182	1.42863062724747492
73c3ddb0-c702-49c5-a82c-c1799820a745	0	0
e6a30a88-6477-4728-aa3a-882e29a7f420	16	1.33332444444444453
00cfecc3-8fb7-48b3-803c-d071a8b22cbd	0	0
46e6775b-9d82-4a99-ad8f-e9471512c2aa	0	0
5e2bd047-6d96-4579-aba7-54c7b2ae9b26	0	0
cfc17e33-ae95-4f09-9690-6d899b43511f	0	0
9dd3c2d8-2075-4f5c-b275-45fb2a17a3a4	0	0
ca575da0-1c17-4f5a-ba24-2c61c11ac185	0	0
0e8b2e65-ef60-41ac-b857-1164a2545b87	0	0
677328b0-c958-4dc2-8e89-5d4fc38b05f2	0	0
0abc0781-84ae-4be5-964d-d380409b44de	0	0
5487dcf9-828c-4585-8a3b-5510de7d7414	0	0
71666308-fffb-4a64-b6e5-3d240f18327e	0	0
c372dd52-10dd-45ce-a3cc-17398f50e570	70	5.83329444444444523
41bba868-7881-42eb-9d5c-80e5992f3d6e	0.594125249072381956	0.0495188541970603552
94a15231-3129-4956-a898-1ba930dfc21e	0	0
6547bf21-f384-40f6-9a27-4d2d9ac5788a	0	0
27f8145a-2044-4981-836e-11a6669ff7d7	11.1837229437229446	0.932135348051948198
e07a7596-7ec1-4438-9595-248dbb00b9c6	0	0
dd1cbbe1-0173-4551-803e-1b3537e6a6e3	0	0
c28f7240-8eaa-4ab5-bb85-ceca2698e0d1	17.1436818181818182	1.42888302034090908
dce62782-ae78-470d-9c82-e5a2e16a3663	0	0
af822a14-6471-4490-ae9f-e78d3e1fdc25	16	1.33356000000000008
0549af49-ada6-462e-ad10-b394b5f52fb4	0	0
8ccc0322-5ce9-44d7-b13f-1d68d2442f0a	0	0
07345909-fd46-4ddc-9b0e-654c549697cc	0	0
edeac7cb-88c6-41c0-8638-55c89cdef717	0	0
887c164a-481c-40b0-8a88-24c1b54341b0	0	0
80de5a9d-407b-4f0a-a84f-bfd30477073f	0	0
6e98a31e-d86e-4b31-9401-1d08d8891ffa	0	0
6e889d28-1185-4a75-8daf-d259054694e6	0	0
7b79371c-e9d8-41eb-bdf8-2f04eb159844	0	0
13e9656e-3959-4d48-a97f-c2844711cb3e	0	0
c25a7fbe-53be-48e3-92f9-0170835f8e5d	0	0
252ccba2-204e-454c-812f-2a0b929c21f5	70	5.83432500000000065
ecb83338-769c-4293-9245-cc7d867e35eb	0.594125249072381956	0.0495152234316493592
c6a021de-a424-4f85-8804-3d8eb9858abf	0	0
0d1dc50b-c5ec-4e57-aaf8-4a639df36161	0	0
420005c3-1a34-4a92-99e0-8dfbe9f91105	11.1837229437229446	0.932067003078403178
12460992-4929-4cb8-b0c3-5f09413c6e12	0	0
548a41f7-07f6-4a1c-a84a-f5c883ef9cc3	0	0
0a2ac097-655d-4d31-bfed-aad46cd4aa09	17.1436818181818182	1.4287782533964648
fdce18ea-5bce-4ded-9d50-6d618eeaee7b	0	0
257a9e0e-fa22-4d28-9f93-0a4e10113ddf	16	1.33346222222222233
1b1c7dc9-5552-456f-81f7-ce3baa5264bf	0	0
a9fb7b31-f723-40f1-9c8d-aea98a1153ea	0	0
655932ab-70cd-4f2f-8a1b-86fbdfa75755	0	0
85bd008c-c2be-47cd-a220-939450c02242	0	0
3dc8df3b-3ceb-47cf-955f-dd0b20ec9f5a	0	0
5b5ea295-0558-4164-88ef-f541751334de	0	0
ed6380f7-5221-4c18-82da-13a221fb46ef	0	0
610237fa-4683-400a-b20d-c7918881586c	0	0
630b30dc-4450-4970-b9e9-b6ab3c130e3e	0	0
ff141fc4-e7d1-44c5-96ab-9f5121f324d3	0	0
a250ca89-08a0-40f9-84d2-fe54097bdefe	0	0
c6898a97-2131-4a7d-9408-42be7bb6c602	70	5.83389722222222229
f2df0531-df36-4375-87dc-718dafd7bd31	0.594125249072381956	0.0495110975618641355
4a7c6dc6-f29b-4536-9367-9ed725374108	0	0
8c6bdc7e-f062-4ecf-8e22-dab149b5c04c	0	0
1736520f-e6cf-40b0-863b-d1023ea356d9	11.1837229437229446	0.931989338335738493
3eba1d6c-4c7f-4cac-a98b-0af95392d289	0	0
52022026-cf65-46f7-b713-e2b414146346	0	0
8cc3cefe-95ab-492c-b4b6-a67a581e8dec	17.1436818181818182	1.42865920005050517
e0ac7f3c-0eb9-4e23-8189-694b13dfe8cf	0	0
8218bde8-3fcb-4645-a1b0-4d1ab759c113	16	1.33335111111111115
c8f14983-8f91-4890-a6bf-bf0e6694c6af	0	0
48ed98b3-40a1-4267-9acd-710d53f2d1ce	0	0
7ccb22b9-b729-496f-8a34-3e9f48289015	0	0
c18ad2a1-1469-4110-834b-a21fcac4a0ce	0	0
fbbaeab9-810c-4a45-b3dc-e52b7b7ecf57	0	0
3cfedc4b-0824-4cf2-840b-ef30bb78281a	0	0
253ee132-11f6-4f8f-9338-e4a741c30609	0	0
dfe537b6-3566-441e-83db-e711eae51e47	0	0
14983ab9-aa99-4327-bd98-628e1293450e	0	0
3036a39b-0290-4196-8fc2-3bb332ccdcd4	0	0
344d72be-6c12-4698-8a4a-fc64188af8eb	0	0
3a9a03a9-bfdb-4df1-9f88-a4bdc9307a29	70	5.83341111111111132
138549fc-4798-4869-a41e-996a594ac795	0.594125249072381956	0.0495206695797658497
45479b89-3b18-483c-a16d-70a2d2b47a71	0	0
11b25cd1-255e-4ef3-ac5e-86be1baea32b	0	0
fcbfb023-cfe3-4a85-b5b7-1bb9ecd3136c	11.1837229437229446	0.932169520538720597
a71c808a-8970-499d-8b6b-3b0333a3d388	0	0
1e40927a-0039-4e7a-b2a6-cfef5cb21fba	0	0
5872111f-dbed-4903-967b-acddaa186728	17.1436818181818182	1.42893540381313122
c9272b45-bfba-4e9a-97d0-776532fc30b9	0	0
183a7c49-c2fe-4a85-a798-80941f8e7dd2	16	1.33360888888888884
e20292c1-7a1a-4a63-a054-abc96a758a17	0	0
5f08ead6-3cbf-4792-a4b3-024246b377b4	0	0
a8ef7530-5758-4bfe-9ba1-42d868d8a3be	0	0
5a9473d5-0628-4c95-9b14-c757ba0c83eb	0	0
875ff4fb-d2e7-469a-88ca-32e47d84cadf	0	0
64b27ff5-9ac3-42f2-a791-1ae0adfa626e	0	0
18248f7f-5068-41c4-bdcb-f98d42f71e33	0	0
7aa9f077-726f-4a44-9431-cff407b52a8f	0	0
1c14da8c-7cb6-4c07-8b90-a2ec940cb4d3	0	0
c27874e8-5344-45be-ae3c-26bf20ceda65	0	0
37eef826-e321-405d-bb16-9153e02d6a12	0	0
981c735e-f966-4be5-87ec-b77307094928	70	5.83453888888888894
8edfd034-e6fe-46fa-8b42-f7068840039f	0.594125249072381956	0.0495018556135452259
e4142c40-fa7f-4f07-b08d-7b400721ecb6	0	0
471d8183-df8d-4945-8e1b-4c1224a6fa33	0	0
a6f3e695-69e3-41a8-8129-67d85d2d2011	11.1837229437229446	0.93181536931216935
22eb5229-5ae4-40d5-93dd-87d42f7f5552	0	0
0e2e39d9-8cd9-40e0-86e1-c87855b6b66d	0	0
b8f8d5bc-a9d0-4fdf-8f6a-25f35af6e96f	17.1436818181818182	1.42839252055555543
4692d134-695d-453b-85c9-6733de8727b0	0	0
26550cfe-050d-434c-855d-5c31a457780c	16	1.33310222222222219
7a414aed-378f-4f09-adfc-3579a293e362	0	0
7921180e-4fd6-418b-a206-a91e6ba43ff8	0	0
b701b8cc-5dcd-482b-9e2e-72179ddaea3c	0	0
863ffd7e-48f8-4bbe-9283-d716f9aac279	0	0
818f24df-0f03-43ff-86a9-ba47a325b57b	0	0
a26cdaaa-5673-4ccf-b349-b4f43c649836	0	0
ca246ca3-a73c-47a4-b179-27ae825032f1	0	0
23ed95a2-f1b1-453c-aee4-538908de2446	0	0
096d1e69-1e47-4c21-8165-580f9c870b87	0	0
adaa0b29-8bf2-427c-b404-5357a007a090	0	0
410cbbc0-4d6c-4a31-818c-7e5a5bf4e035	0	0
eddcb144-ba70-4c6a-8468-e793b60fbf13	70	5.83232222222222241
859c29fe-4bf9-44a5-94ae-d4b47d90e201	0.594125249072381956	0.0495200094406002198
6ccc18fa-6b86-4a3e-b97f-7b277cfac459	0	0
ad8bd2ca-2e98-4486-b2dd-48d9abe80be3	0	0
fcd9d7e3-f85d-45e2-aafa-12ed3654aa4e	11.1837229437229446	0.932157094179894341
84b58bf9-67a4-49b3-86f8-e1fad14b4e93	0	0
444ddd68-84a0-424d-b3ec-68c9a0e1d0ac	0	0
53fe6a2c-05ca-44e0-8dc1-38e9e2443b7d	17.1436818181818182	1.42891635527777794
08c5c5b7-d050-4306-b9a2-0f320bd58c7c	0	0
7fe41e6d-4bff-4979-8c44-090d8de795dc	16	1.33359111111111117
42034aa7-152e-4b72-a187-f2dcc7182f56	0	0
584cb057-7822-405f-a836-8b7f10c3dd3f	0	0
62bc75fe-d65d-4b5e-8e59-2f32f3686c0c	0	0
04b1c6f3-c70b-4ba5-8d64-616a5c4cce8d	0	0
6d310347-5b88-464c-bbb7-319ea2713ab6	0	0
c32f483b-b6b3-485d-acf7-419a1316745d	0	0
af53f118-5ecb-45f2-877e-1d9f0961af3b	0	0
60801cd5-bbda-4914-8b2a-9f1cca6261fc	0	0
bbaf71cd-fe20-46fb-a671-5c0f6fca52b8	0	0
fe7babbe-b402-49bd-8f28-60f5228cb614	0	0
9816c86f-99dc-4ecc-8652-163e3b6e2b60	0	0
7183ba3d-db28-46a8-9d3d-a34099df4d6f	70	5.83446111111111154
f78b4d57-19d1-48c3-91e9-d306067d5be8	0.594125249072381956	0.0495160486056064053
50495ccb-d542-44b1-a231-4a23e671290b	0	0
e21816ba-f0c2-41be-994f-1cd8b04799dd	0	0
395d4758-a875-4d3d-8df2-ce215c0e1bac	11.1837229437229446	0.932082536026936137
d208eb07-3d97-4868-9ddb-6ecda029a0ca	0	0
e6b94f57-c5c5-48dd-97ce-6cabed245eed	0	0
e0c7e2df-39f6-4795-a569-911e9dc5e13c	17.1436818181818182	1.42880206406565669
3c5fd27b-1639-4392-9029-c6f25f38c659	0	0
4923db83-2e26-4817-b0cb-16e1f02a67ca	16	1.33348444444444447
a113b3df-9766-48aa-a9c7-60417a0a744d	0	0
f00a46d8-ee8c-4117-ba09-b2b6cbcc87c0	0	0
af2113df-31cc-43b1-9c61-66b80564bdba	0	0
f010446b-5099-4d26-aa5c-388e4b13444b	0	0
d9858d61-8d2a-4be4-95e6-27f11c64e083	0	0
830cbfbd-4077-4a0c-b201-97514df79386	0	0
49fcc191-578a-498b-8e11-b36924abdaff	0	0
088d5152-0362-4f0d-a016-01d7add00e98	0	0
cbf2f448-4cbb-42b7-8689-07dc3272b099	0	0
495c738c-6529-443b-8edc-661667e4268b	0	0
7016eaf4-515a-465c-865f-cbf192ef3e38	0	0
f362e6a1-532f-4ac6-a8c2-05cac7a84534	70	5.83399444444444448
dc56e12d-4eec-4a54-9985-76e4dbc2c92f	0.594125249072381956	0.0495107674922813171
ea62f295-36e8-4610-9c5b-be45bfce15f0	0	0
55d4fe92-8ef8-4be9-8c24-9352d6d214e4	0	0
be34c1f3-4441-472e-a1d3-3a413bd293c8	11.1837229437229446	0.931983125156325198
89800c5a-3e1e-44e4-b4a4-322e7abdaa49	0	0
688b600a-679b-4b45-9813-f7ae6f61031d	0	0
a98f6abf-8ade-4160-9926-12c26af810e8	17.1436818181818182	1.4286496757828282
6f8fcfc6-97cf-49cd-82c4-7b4eb2ba2939	0	0
cf89888b-87cf-43c2-bae3-d9caa8e6d294	16	1.33334222222222221
85730371-8261-40f7-922f-1891c58e19e6	0	0
7798e753-25b1-4559-9eb2-6d71ce258bf6	0	0
36ac8228-905c-4267-8885-37041a110bee	0	0
f7bc11bf-a732-4827-a5e0-d4d32c2be3a7	0	0
68f6c72b-3962-45d6-ae44-ab5e8873d7b0	0	0
0a956956-587f-403c-bceb-6ba808b3ef21	0	0
a7acc3be-5ea5-4126-9d0c-f1a25c26dbcf	0	0
44bae6fa-823a-4c92-b587-b879bd62cf67	0	0
9c5b7e65-4bbc-4d23-bfd0-1d684538d795	0	0
dd9a4ca4-750b-41ac-98dc-0399239aa6d6	0	0
da2867e9-338c-4129-8d66-3be902756b63	0	0
2b712e3c-e19c-414d-8522-c49e249fce6a	70	5.83337222222222174
67b31428-0269-4c74-80e7-a7b5412e0a37	0.594125249072381956	0.0495117577010297655
d8f579ab-5bc0-49c4-a544-0b770aa9e6eb	0	0
89869b6e-eeee-4ac3-b0e0-8c83d950b4f1	0	0
7c9669fd-75f4-4426-b8dc-0b457e8b0894	11.1837229437229446	0.932001764694564749
22d65547-41c2-4b3a-9ce5-2f6441e0ad3b	0	0
77dc72bf-b9f1-4905-9d5b-9a1be836a30e	0	0
2240fdbc-afd4-4d7a-bd28-17c9b5e2fa1d	17.1436818181818182	1.42867824858585846
36dc7e5e-090c-463f-bfe8-bcfe3d2516a3	0	0
c3298589-b39c-4220-862c-072ac61f5ebc	16	1.33336888888888883
d9323674-1308-4f0a-ab2e-4ef415be9329	0	0
deb0da42-6029-43fb-b80f-e939cc7be565	0	0
35eac55f-7b4e-43f3-8fe4-0b79bc3645a2	0	0
960cc462-b85d-4874-aa51-22874da3dd06	0	0
4cf9d089-2e0b-4f01-9e13-00a2f7bc4593	0	0
83f06d11-bdda-49e3-9df7-cfbdb73286c6	0	0
95d89ed6-673f-4690-8412-cafa6081fc1d	0	0
c49eb826-8c0e-4018-b846-f9b6f2e5320b	0	0
f2d4929e-ed5b-4a43-a7c7-cf1204493ecd	0	0
9e9f91d6-86dc-4ad7-823d-61d2d310b9fc	0	0
a1fc66d3-a339-4725-b284-5f6b1b16057c	0	0
ff7f0bd8-95f0-4991-bbeb-0cb5980582bf	70	5.83348888888888872
691bb637-640d-48c1-ac34-e68d2e0aa330	0.594125249072381956	0.0495157185360235799
8aee5159-436e-4997-8c61-62414922497b	0	0
867d3ff0-560d-41b3-954f-589a1ef05ded	0	0
e58b2ca2-7eba-4137-bfa1-9499a7657bfa	11.1837229437229446	0.932076322847522953
5d3a5f6c-5172-4689-8061-585f3711562c	0	0
11899d93-1fe5-430c-a18b-5b9e1d2e8191	0	0
36dbde72-8594-489c-98a8-134d2f449125	17.1436818181818182	1.42879253979797971
b7dc9460-9125-410e-b04e-0dd1bdc49f3a	0	0
0e61240f-5a12-4cf7-b8f3-bc197b7eed7d	16	1.33347555555555553
999cc0af-35bc-41ac-9445-5e7fbc80193f	0	0
2eb037a3-cabb-42f6-bf05-33fca892740c	0	0
cbc63635-5d4f-4da1-81a7-8411e4d4cd10	0	0
6c0043c0-367c-4028-b899-5951923438ff	0	0
a597ce07-e152-47bb-919d-3c00efa97ca9	0	0
ff54c5cd-578c-4a9f-af48-1aec5713805b	0	0
366e0d63-e014-4d3e-b885-5f7025031a82	0	0
e49a5070-159a-419d-993c-e912b0d4d945	0	0
dfd9158b-79be-4b30-b454-9f0e51201eb6	0	0
878a3f88-4771-42d4-8ad7-5f3b5a2a0558	0	0
76749b7a-4e68-468d-990b-452191360e97	0	0
7de224e4-2aaf-4575-900d-974c3db4f5e2	70	5.83395555555555578
947aa937-44af-4e0e-be2e-1cc1e8dbd44a	0.594125249072381956	0.0495125828749868185
dbde08c5-2147-4741-a0eb-5fa4304ec0d2	0	0
3a05f3dc-a69c-49c3-9b72-938c2eaad6be	0	0
be7fb338-76e8-437e-9fe4-6afea29b117f	11.1837229437229446	0.93201729764309782
913cd515-0286-464c-80c6-2468051d272b	0	0
dd41a13a-35c0-4cd5-839f-a21e113d23b8	0	0
8c96b5a4-435d-4250-9455-6c8a09c44dec	17.1436818181818182	1.42870205925505056
7bac6391-ef4d-43c4-b9c7-0211349ddda8	0	0
7aa36ca7-ca3d-41e2-9d7d-2c2ff0a6ccb0	16	1.33339111111111119
7f576ceb-0d0a-4469-95a8-907c6e0e5839	0	0
b5173c29-87cb-461c-a5ac-6d71654de76c	0	0
914d17b9-4315-46f0-b4b8-f56d4cc750da	0	0
e310a3c8-d9a0-4bee-a60e-6d23b5f5918f	0	0
15477b6f-f9cc-44b3-88a1-8e81504f5230	0	0
b343c34c-317c-45fd-85f2-5852f6392574	0	0
796fb86e-bcd1-4d5b-b1d9-f98a953c84c9	0	0
0bbeae85-8058-4c07-8994-1e65f4cb7c0d	0	0
bf7c37bc-0cef-4184-a2e7-7348baa0b7c3	0	0
83836fa5-a229-447b-8805-906e11e829ec	0	0
39ed0494-5758-4f31-820e-8f6ebb884b6c	0	0
70151b35-1ebe-4ce9-9c6b-2fe5df0e769a	70	5.8335861111111118
764a0b74-87fe-48ff-8d66-837b7d94391a	0.594125249072381956	0.0495135730837352669
73f8c572-c299-4024-abac-8b45adaf6ec3	0	0
948704c3-5a1f-40d2-ae88-b5804e1f2d1c	0	0
7296b3ed-c4ab-4915-a6f2-ae611133315e	11.1837229437229446	0.93203593718133726
8c0d4328-fe4f-4378-8f6e-4155d94ecd06	0	0
6e6a7d44-d830-4522-9ec6-9de7c7a8ed23	0	0
2685070d-e2c7-4b68-86f4-e2796f12f32f	17.1436818181818182	1.42873063205808082
49e666d5-b7e4-40eb-840e-c8869a1fc77a	0	0
0eedb3fa-a591-40e7-8f3f-ca97d2c71eaa	16	1.33341777777777781
7582cf6d-2b97-4f7d-bf56-da1cc8b0e7bd	0	0
690ae380-2b2a-46a8-a144-41d3f68a9774	0	0
35a999e4-e503-4115-8f1a-ee5e760d2d72	0	0
4092abe1-0c42-4c84-9d30-ee261f03bcce	0	0
a76657df-2b48-4fb2-9a57-747c4f462de2	0	0
d3f83527-2b60-4812-bc92-8be1f6b0c6ee	0	0
fe50802e-4d98-4d68-8ddc-672a890502ca	0	0
4f680a26-9285-4b7a-aae6-da79fcda9a12	0	0
ea1445ed-bfee-4428-9b63-fe36453423cb	0	0
ab1b7aee-d401-46b1-b93e-7c2314f980a3	0	0
6941fce9-1aee-4119-bc09-2c4809b9fd16	0	0
9c718d34-30aa-43de-8c0c-ec63a4fbf128	70	5.8337027777777779
e4816f9b-d7fb-420f-be27-6815d7bb8347	0.594125249072381956	0.0495153884664407615
9c320558-3bc3-435e-a1dc-d61bf16e21d7	0	0
d48944b5-bf37-4b08-b9d9-aebef5cafc8f	0	0
b323778a-0480-4608-9c97-cac53cd6e9b7	11.1837229437229446	0.932070109668109659
c6db4cfe-ee47-4fd0-ba46-9945c72ed933	0	0
31a31390-be39-4b0a-8149-432c36b4563a	0	0
3898ba26-1d9a-47fd-b0e1-33cf2d1b6cb5	17.1436818181818182	1.42878301553030296
9c716f6d-fe43-4aa7-9157-167a86acee72	0	0
b808ae95-a8dd-4d53-b010-7f3b7bdd46d5	16	1.33346666666666658
32062457-b75f-476a-af88-8bbd05bd68fd	0	0
c9c72a63-6ec3-4d90-84e2-9b1defae8055	0	0
05b130b7-5455-42f3-8369-e2b47a2dd9ef	0	0
7120e2d8-39e5-4000-90ad-ca7e832ca3ea	0	0
c59f1bba-3964-4076-ba2e-9f8a8feec050	0	0
43bc3882-1361-493c-8060-ade5278b8c51	0	0
3af90ea9-d034-4a12-a24c-58cacf8ed456	0	0
eea69c83-997d-4c0f-99fd-111d1fe6cf44	0	0
3dd53c1a-2959-4351-b1c9-5c8389a94516	0	0
e6f8a735-0da2-45cf-9635-15e752756c1e	0	0
595b7d33-470b-4950-ba07-cdf9f87767e7	0	0
4e7e17cf-7143-4ac5-b937-270587d0206a	70	5.8339166666666662
cdbeff96-f1dd-4d71-9791-f5f2fe9304b7	0.594125249072381956	0.0495122528054039931
68b8b971-4243-4a63-ac65-3f9daa20e2e4	0	0
3c505a9f-9f6a-48a2-a32e-ff5a3fce0faf	0	0
d8b24ac5-8e99-455f-b8fb-7f36fbe36522	11.1837229437229446	0.932011084463684525
3e9ce6e6-5c5c-411a-a1fc-fbe8b2de012d	0	0
687dc413-6256-4c91-8e47-157bf96594ac	0	0
55654f62-279f-48f3-9714-169c19e5fc5e	17.1436818181818182	1.42869253498737381
c095da1d-535b-4374-b0a0-183f0c264da4	0	0
fedae6ce-6f75-4fd8-bcbc-a7e793d972f3	16	1.33338222222222225
1e1b1371-2bf0-4c64-8b13-f8b0a0ab4c9c	0	0
58e1bed8-1629-4dc7-8e78-01a86fb9a68c	0	0
124b90dd-97e6-46aa-88bb-26b49c6ed490	0	0
280c3a3c-63fc-4d0c-a4c6-5a319758b5cf	0	0
c14dc0b4-0c26-4678-9181-f01758d53dab	0	0
7c7af005-e1b3-488e-8092-5713bcdc4d95	0	0
9600cb52-d141-463a-a059-aa123bad1bcd	0	0
c238c047-b99e-41dc-bfcc-fe09f320dbe2	0	0
a53bf93c-bc6b-4528-b527-43ab3bcf390f	0	0
8157b2bf-85dc-445f-b0f3-5ea3b2a95cb4	0	0
39206473-eb6f-4f08-b318-a1c4846bf96e	0	0
b4c2cb3a-16db-42b1-a178-500aabbba608	70	5.83354722222222222
911ce3f4-36a8-4177-bd08-efa96a064b32	0.594125249072381956	0.0495134080489438577
92b4475d-90f3-46d5-8e1b-ba09b4a3c92a	0	0
f8b39c29-f619-4461-ae68-541d2d3fc170	0	0
97ca9696-5442-4829-b5f0-9fa37ad5fce1	11.1837229437229446	0.932032830591630668
0ae48ba3-14ff-446f-9da7-086e53db931f	0	0
90c20ae0-8c83-488b-b050-db1bdc45d65d	0	0
e0dde9a8-d4dc-42ef-80a0-47937ae2c062	17.1436818181818182	1.42872586992424244
e2e71b59-01fa-4878-867e-57465c8875f8	0	0
69edbe69-a548-4c09-ae24-515c15277efd	16	1.33341333333333334
7f9f9e5a-577c-4450-8e98-51771e4a411e	0	0
435b5c41-439f-425b-948b-9164d206ad2c	0	0
39c95ea1-c8e4-480a-b810-0fc90cf420c0	0	0
a0a5fcf1-e18d-48ba-a481-a832e9755d81	0	0
6e37307c-3e66-4920-897f-0222cbb1e3b8	0	0
3cda8d83-e026-4864-8f68-3df460cb64bf	0	0
30f59833-de6b-47e1-9c79-949210a8862c	0	0
1246ec3c-8f89-4549-99f0-20a0206b4ba7	0	0
3d65a7ad-a153-40a8-ae95-202375e3d720	0	0
8ae635b9-0901-4724-9c48-f971fdcf1dd5	0	0
0f5cb7dc-a2dd-4e56-8d70-1a27a0a9a979	0	0
b5085dce-4fd2-48ad-b6ab-a7aec6d3c095	70	5.83368333333333311
e12b8c68-eccd-44c7-ab4a-39317443b379	0.594125249072381956	0.0495064765877046772
4beaf7d9-69d9-40eb-b5da-223e2f61dd68	0	0
38d6bd6d-bc6d-47b9-b440-3f624ca1c48d	0	0
707b087b-8019-418c-b595-0ea512b5f009	11.1837229437229446	0.931902353823953811
c8ede248-efa5-42a7-9942-47ce77682de0	0	0
288f30cc-9e51-4254-9aa4-7c9beaf377e2	0	0
47a376c3-2385-499d-bd30-4dab9cdf64b1	17.1436818181818182	1.42852586030303019
8818ff78-7b7c-42bd-90e4-4aa965ff9ca4	0	0
9d25d800-2a2f-4553-b3c8-b0585f6836c6	16	1.33322666666666656
91f9635a-d477-47ed-ba89-06706c34c369	0	0
8498a3bc-4c5b-4009-a6ab-4ebc67da9aff	0	0
e9fdde31-43f4-4795-943e-dc528a8c4fb0	0	0
6798f6fa-4c5c-4dd3-9430-e598fba86444	0	0
c8f5abf9-0d1e-492e-b20d-03ac588b4646	0	0
133f6ad3-6a70-4787-98e8-2c67aad10c56	0	0
3ceb8232-b46a-48c1-8b94-a75ceb6a9918	0	0
c5b69cdc-2c9b-4581-9e06-8146db2179a2	0	0
94e5897e-bccc-4f0b-a9c8-a4be437f8881	0	0
80f8257a-a320-428d-8db9-ca09ebb327f2	0	0
758dff44-347a-441c-b035-8d138d534eee	0	0
56801d01-a9ee-485d-9e13-c7dfa298df36	70	5.83286666666666598
946ab003-5557-4a0a-a4ca-af328b4e8ffe	0.594125249072381956	0.0495211646841400843
1bbd7f26-54c1-4c4e-9612-7448e1e524d1	0	0
51d42e2d-ae7d-423c-ab7f-e1b31f1aeb81	0	0
ff67dd29-34b0-4328-ae42-9a738896a33a	11.1837229437229446	0.932178840307840373
e5f5a268-6257-439f-b5fb-2f8b398d9c40	0	0
5f1636b2-68ba-4b66-9845-e2588845ee9e	0	0
26615e4a-d86a-40f8-9b61-9a847da1977c	17.1436818181818182	1.42894969021464657
99bc7693-39c4-4615-ab66-eedabe97d6be	0	0
0885317f-79d1-47f6-8ed2-e8d49eee0c51	16	1.33362222222222226
44c952e8-31f1-47e2-8ac4-9eac5070e07d	0	0
1ebc066b-e079-4cf8-b631-b8ae3c8c60b6	0	0
2afc7e5c-23fe-4b05-b2d1-a841fd5322a7	0	0
7581c92c-4462-4af0-869e-cdd93843667f	0	0
89e114b9-a92d-484a-b67a-dd935c431de1	0	0
8b2897d4-1124-480b-bc95-1e507a3e5e48	0	0
da58ca22-6b8c-4357-ace8-bc504fd5f94f	0	0
90320bb5-660f-4e85-95a6-854d568c11f8	0	0
83330f51-de28-497d-9291-4293f6a5dd6b	0	0
9c782ff1-c9e2-4d80-bef4-e8d9542a5828	0	0
cf56cbdf-6b60-4d0b-9841-c27ef8d7c9cc	0	0
69b2303d-d30f-46d6-86f6-b72743902266	70	5.83459722222222243
9260fe1b-4dda-4ce8-bcf6-b99ccba6546d	0.594125249072381956	0.0495195143362259921
a35c5358-7984-4ac1-abdb-30d669c9823b	0	0
31c45f70-8736-4ca3-bd9a-4600416e08f7	0	0
e435688a-8472-403a-af5c-e66c6d3c860b	11.1837229437229446	0.932147774410774455
6696621a-e4e7-43f8-805c-add3486a7161	0	0
90ccb7d1-290a-4632-8c8b-6df24cd05b8e	0	0
ab83b0f9-9894-4742-9a61-1b1cf81f62d6	17.1436818181818182	1.42890206887626259
62f520e7-e613-4636-91de-d563f961895e	0	0
d2ce462e-49fe-4c5b-adc5-a6c828f5339c	16	1.33357777777777775
8d6301aa-ea0c-4999-9515-34e748de276b	0	0
8b5a591e-ce66-4df9-9efd-3207e2abef9a	0	0
1d80f77d-8e93-4241-8d94-c7f4c2538667	0	0
e38b621a-4ccf-497e-88be-ac801ffec300	0	0
b064e301-a69d-4d6c-8efd-faef7786cfae	0	0
ba0f1661-d009-48cc-9602-f6a86eee3798	0	0
e2d961d4-d819-4da5-8c0f-427f5e29182a	0	0
3f2cb1d4-9a90-4e85-9032-bac9949bfc91	0	0
f7a4345d-b827-422b-bed1-3dcead16dc2a	0	0
643f8cf8-f301-4681-86c4-5d7268d12464	0	0
d37b1388-0987-4fe6-b5af-b3f614149d43	0	0
14f8f6d4-6184-49a7-a006-cda5e37b1096	70	5.83440277777777805
53f8b6bb-8922-4521-affd-443c106275c5	0.594125249072381956	0.0495079619008273603
b5769d52-4803-460b-bf77-e03b9298fe2c	0	0
b115c063-3f23-4fa9-b032-ea0ea9381e74	0	0
0de5a929-77a2-4ec3-b2bb-212acb63a38b	11.1837229437229446	0.931930313131313137
cf03458a-ee7b-48c6-afd9-07e3eb3c3ac5	0	0
066c0484-ae63-435e-ba8a-22c5447d109f	0	0
113ce245-6976-4f18-9b0b-ac555f57eb9d	17.1436818181818182	1.4285687195075758
1f8db8b7-b817-43b1-a648-c425060d41b0	0	0
9d1f9ec8-de5b-4a81-b1ba-e86fc77d1bb9	16	1.3332666666666666
9e81e267-5031-4773-a226-96cd8eb6ed8a	0	0
340effb5-ac96-4cce-8aaa-f8f462370734	0	0
858e80f7-4f50-43ac-aa2a-2ac10b4c18ae	0	0
5a3058ec-c05a-4790-97c0-8efcebe64ee0	0	0
378c4e90-245a-4e02-9225-21ac55db3e94	0	0
dd80092b-1485-4820-83cb-7b1f888ae7fb	0	0
fcf9f5cc-84c7-40f2-b1f2-7db179620b92	0	0
b8733dd7-9853-4d2b-8209-2535e3bb6198	0	0
e283ff2e-7818-4c69-af48-5201cadadb8e	0	0
18a62864-b55f-42e3-aa42-4775dfe5ea24	0	0
65c1eb84-8c92-4e83-b84b-c2e6f8129c8c	0	0
3f76ed60-b135-4fdb-be18-1f0debceda52	70	5.83304166666666646
9fcbecfc-c21f-40bb-88f4-49be144c05eb	0.594125249072381956	0.0495134080489438577
322f3538-aaef-4988-a9f6-d5b5fb63206e	0	0
628e0a24-4e25-4770-ad9a-1ae64e887acd	0	0
a9234548-a3fd-4b7b-8630-da58d9a0af6c	11.1837229437229446	0.932032830591630668
4509e8b8-d946-4b69-972e-27b23defb352	0	0
194b779b-d382-4009-ad9b-e248e8e731ff	0	0
809694bc-9c06-4c82-b945-8f7409441a7c	17.1436818181818182	1.42872586992424244
0edc8e25-74ca-4b55-9334-fbcd139d72c5	0	0
f6c7643a-ad85-4569-b223-5bb192d675cc	16	1.33341333333333334
3cbaec0f-022b-4d4c-baef-c8bbcd911c6a	0	0
6b010f4a-8a61-4a3b-9c13-a935bafc1edd	0	0
016050e6-c5ed-44a9-8f13-dfbccb4b6949	0	0
41c1e9d7-939c-4fc8-8fc5-56ae8ac09035	0	0
7f9a9ed3-6b53-4627-b74b-17f660255620	0	0
f9aa4eeb-b474-4cfb-b987-f4e9a61dd1ab	0	0
dd30d02e-e22c-4790-9337-21542b8b7159	0	0
d296cd20-7b50-4c57-acc0-a30d6af26779	0	0
1bba4cd4-f2f8-4916-9a88-52b03a1bada5	0	0
edb3a2f4-4385-43e0-992c-0d4a04bdaeee	0	0
42732b26-9edd-4d6a-a156-3cdbf300ffd5	0	0
141f5753-0a48-46d3-86e6-8866c87c3bf0	70	5.83368333333333311
0de98b98-5cee-4a8e-bdb3-018074f24995	0.594125249072381956	0.0495132430141524485
0a9e46f9-b9d6-486d-8e81-c98457cbe40b	0	0
5f7927d3-1283-4757-9723-d959846d56cd	0	0
c621dac2-4a81-4b21-aeef-3bb4397f3ea1	11.1837229437229446	0.932029724001924076
9cb413a9-c519-443d-b565-0a442d3380a0	0	0
c77ce234-a80b-4d9d-ac02-80d2b8100c8b	0	0
eb00dea4-1cd7-4e71-b44f-5da85b9e9e5d	17.1436818181818182	1.42872110779040407
9a37db68-ce47-459f-8e0e-5ca63a127379	0	0
26c43483-65fa-497d-a7e3-efb664fc62a9	16	1.33340888888888887
489271ec-1275-4284-aed7-a13689b886a7	0	0
9bda0bd4-e7f3-4f26-9647-2f16ab26758d	0	0
8c66ef62-ffcb-4561-b3ba-ad2e7b0b91d8	0	0
89da749f-84a0-418d-b398-d9c6a1826d3f	0	0
bf01d25c-e0d0-461b-a746-3547101d3d55	0	0
8e77b94a-0144-4bdc-aec9-4d07b9c71539	0	0
377f33b7-f1ca-4d25-a580-1f4c02f29df9	0	0
add707d0-55d4-485a-8d42-efce1c75af59	0	0
7e70c13c-b8c0-4d23-b666-7b8bf78c1bed	0	0
e19777d7-39c2-43a2-a495-b304bad64036	0	0
65a74f65-c810-418f-81c1-30bc4b204bfb	0	0
1d8ca453-21f4-4512-87e1-21acf1010e0e	70	5.8336638888888892
df364b06-c8ef-4f19-84b7-66e144d5753c	0.594125249072381956	0.0495153884664407615
4fafe068-8aac-4cdd-9ba3-62a8a920ee71	0	0
343e6dd1-f673-4d0d-9564-b14aa544532a	0	0
3992ab49-e6d1-414d-8151-8d17db8a1cdc	11.1837229437229446	0.932070109668109659
40500b61-cdb7-4eef-ba48-ec553f204625	0	0
55aa58f4-b203-42c2-9b71-5e64b353955f	0	0
275868bb-7854-46ef-adb0-0b8badd60b5f	17.1436818181818182	1.42878301553030296
f9c2cb0e-f47d-486c-aad3-60807debd6b4	0	0
f8672986-ee9a-4c13-befd-a3847690a44b	16	1.33346666666666658
d0212def-8ba9-497a-861f-da974ecc8f32	0	0
add4d67b-83aa-4d71-82f5-47e2f20e41c1	0	0
97b56a63-723a-4a48-832d-4119963f8bf6	0	0
ea1a5eba-dca3-4969-a4c4-da3b763df03e	0	0
b8d7bbc4-7d43-43e9-8211-9c415d05725e	0	0
686d6549-2736-491e-92ce-df0ee1da7bd5	0	0
4fc9cc7d-09c6-405f-87b6-48b9b94194a9	0	0
dc02331c-831d-4417-81c8-8cad000b15c0	0	0
b9106db6-4656-4671-b9dd-439ab01c1f62	0	0
37f5d7c7-87cf-4e14-8de2-9f0d66960b7a	0	0
382467ae-30ed-4ddc-bbdc-518b2cac359f	0	0
e85e0f38-e8ee-49df-8438-6e113b23b0f5	70	5.8339166666666662
289783f0-cad9-4efb-9724-20a710394372	0.594125249072381956	0.0495092821791586341
c83574fd-7638-457d-a60f-10e030288c6f	0	0
e3105f15-ca00-43fe-9173-1119664ac561	0	0
4c6c1c0b-64b0-48cf-91ea-25a4aa56c1e6	11.1837229437229446	0.931955165848965872
19d252b7-9699-4470-ab35-b184215078a6	0	0
24dc5def-7dc5-40cb-b461-f4c49187bdea	0	0
d03fb899-7867-43e7-80ac-c31d55d03f46	17.1436818181818182	1.42860681657828281
5ff75387-9519-49b5-8724-6d4d090e5acf	0	0
f5c4ab89-b09f-4083-8da7-eb9e0370f7ef	16	1.33330222222222217
2e753f96-67a8-4f3e-8783-ad8a4790310a	0	0
0b8f62ec-bcac-4739-91ad-4a3d0a2cb958	0	0
fbb66e63-631d-4811-931d-5c0331706e11	0	0
42915485-fbee-4cb4-a819-eaee64891fac	0	0
7140fae8-42c5-4a51-bc0d-d994dbb07b76	0	0
b3483d5d-5e6c-4c9e-9518-24c270bc37db	0	0
79798fa4-55ce-434d-b3af-0c114b98b3cc	0	0
fd245607-5600-4700-90b2-57558643ec5b	0	0
fdb3e741-16ab-46b4-9ac1-ac04aaedb7f3	0	0
75c41979-8858-43b7-929b-f1672b2d46fe	0	0
01285415-2059-4d9b-bdf1-ced7832c5e3e	0	0
6b78f188-e200-4acf-b79f-405498ebdb25	70	5.83319722222222214
b00a23be-1468-4717-a778-9cb1049d4a7c	0.594125249072381956	0.0495203395101830313
ad503d1d-455a-4271-ac27-334724041d80	0	0
058bdee1-3205-4d1a-a566-ef88620ee97a	0	0
8b971ce8-7bed-4f48-b8bc-0c52dfe90fde	11.1837229437229446	0.932163307359307414
56589665-e212-41d5-a97c-1af9b7a189ba	0	0
2d9ecc1d-a57e-47aa-8260-559f27be59cf	0	0
693c83d8-7b75-443d-937b-6730c1883d8f	17.1436818181818182	1.42892587954545447
76f380fa-ef73-4f0b-8dc2-bdf7f303a4f7	0	0
30cf5296-5d4b-4eaa-ba9b-2a0f93e90a01	16	1.3335999999999999
e3d3e366-a522-4107-9bdb-dfe5f19f0b52	0	0
bc759055-2d37-4519-a246-7b2a3193e6d0	0	0
258bb33a-9fa9-4764-bf4c-4222369c5cd3	0	0
8c0bc66a-492e-4fe7-b66a-4e32d8cf063a	0	0
e714ea1f-940f-4085-9898-f1fe08b4a409	0	0
962174ba-bb05-4a5d-b491-2721c649373f	0	0
38a02b95-1c8d-4752-a53d-5a1d61051d86	0	0
e872f44b-29b7-4ce4-a938-4ff9f9de19a2	0	0
b84dfd30-abbb-40c8-9af1-800d71660820	0	0
c96aecfe-8fc9-4c9b-8400-dc9b19a204db	0	0
8030e102-faad-4895-ae3e-64046957308c	0	0
65978e97-5594-4ca2-b963-2c25b3543c2e	70	5.83449999999999935
0a0e0a67-c5b8-4694-8f30-ddb7c394175e	0.594125249072381956	0.0495119227358211747
70ac2dec-70f9-4be5-8345-6efd09b7d0fe	0	0
85190c3c-6b70-41d8-a118-1a0075926a64	0	0
97a43d6a-9980-4bef-aef4-a061316f1ace	11.1837229437229446	0.932004871284271341
1953ed88-dcce-4b07-9059-bc7329a43a26	0	0
1e778f20-e6df-44ab-a1f8-9f7bfc32ebf1	0	0
632aad31-118d-497b-8265-69ebbab7823f	17.1436818181818182	1.42868301071969683
43dca53d-39f5-4737-9967-de803967dd14	0	0
6f080586-f9e0-4e65-8bde-893cef38b5e6	16	1.3333733333333333
5320c649-3890-4466-8652-ae57e8043e3a	0	0
ced1a73e-7e1f-421c-a9a4-d6b2357af641	0	0
752bfe84-585e-498f-8a01-05c4cfeaea60	0	0
10e22938-afcf-4e3b-8d2b-81de0fa81612	0	0
22233881-505b-4344-b1cf-40ac539548fb	0	0
47abe141-eab0-44a3-be60-2eca5b569193	0	0
9041c82a-353f-43df-8f64-313ec4b21274	0	0
a3a6b20d-1d0a-4a5c-8fb8-a5f59226897d	0	0
57b7558e-201c-4183-9168-582a76ae95b4	0	0
1b3ce049-bfe4-4aa4-ae9b-34f04182917b	0	0
a55ad149-c46d-46dc-8e33-0e81a01310f5	0	0
bee1b867-a2a1-45b6-9e89-84de6ab381f5	70	5.83350833333333352
6d44f409-8bea-4869-b657-c13ea1c27494	0.594125249072381956	0.0495752960957222336
aed5fbd9-df00-40cd-82ee-56ea19dc5bdc	0	0
30038ca5-c4d8-45cf-b163-38e02ece1525	0	0
53e8b075-8e3b-4005-be01-1f473f29d940	11.1837229437229446	0.933197801731601828
dd66a0c7-0649-48a5-bc10-60eff1a1e39c	0	0
b1aa927e-a28f-49ce-b417-15ba97f642b8	0	0
bce1347d-6dc2-4271-b131-54e1cee11831	17.1436818181818182	1.43051167011363645
d4086e07-cf46-4225-86ef-3ce3246f4769	0	0
2c5639b7-8208-4825-b416-17cde5e4a36c	16	1.33508000000000004
8e3c58c2-bffa-4bfe-bf6e-6aa0a9132054	0	0
dcf20f7f-b8d7-4904-8022-a888c41f4250	0	0
8e43db66-e797-4389-829f-aaf0627286e6	0	0
cd1880ee-379e-405d-bfd2-846c719cb679	0	0
59724ad7-28f7-4b8d-9fdd-fedfc81b1dab	0	0
5be4cd7c-d4ca-4966-ae12-c2887d8146f6	0	0
0c4c71f1-e645-48ef-b71a-5196c32f5ca6	0	0
8fbc31b4-19b1-49d1-9cdb-c565cb93626d	0	0
f6262134-1a2f-4b16-995b-405fcbab7955	0	0
da996473-2486-4bff-a270-9557d075c599	0	0
e68b4341-6d63-4672-a6a2-2d1085f6ce77	0	0
03b001f8-0f4b-4a3b-a8b1-ed4917e46668	70	5.84097500000000025
1ced2738-6569-47ae-877c-e304bab141d4	0.594125249072381956	0.0494518500717483073
e03d649e-f621-491b-8610-d093523a0b6f	0	0
73c5143b-3560-49ca-ab2f-ef5129de93b6	0	0
687f3c33-0c69-4dad-b956-c49fd88f972f	11.1837229437229446	0.930874072631072691
52ff1720-49ec-45da-8fd3-23dfa82f9f75	0	0
9c241782-0b86-4d42-a3ec-9c7939e25965	0	0
7201d666-5500-4f6b-9176-c98ec29f365a	17.1436818181818182	1.42694959400252519
a8885246-0b63-4085-8fc2-1577eefc9286	0	0
badfcada-6525-4501-aabd-53edc870c23f	16	1.33175555555555558
eb592571-130c-48f9-acdd-32785a596249	0	0
64d20f01-7098-489e-9546-0d7c7aa88478	0	0
46babafd-7813-4384-9616-26476630516e	0	0
9e2cd6fb-702f-4e5e-be19-35ce206e26d7	0	0
3179577d-5c2a-44d1-89b5-b3e2e2ba9b93	0	0
252e7425-b516-4639-9f4d-3408a8caf98e	0	0
b26f5c2d-e3db-43aa-9d77-0a491690c4cf	0	0
f04a13ec-cedc-405e-a3fd-ea0b68c531fe	0	0
e0b7d4f7-7ded-46fe-b611-fbcd0c0d30a6	0	0
763fd1e8-8cbe-4077-8d38-8531fb35bd30	0	0
51751c55-bf29-4721-89f8-e3219136e97b	0	0
f2fd802f-3a0c-4005-a9c8-5517ef80ad06	70	5.82643055555555556
716f5261-bb85-4fbc-b393-90e8d9b77846	0.594125249072381956	0.0495134080489438577
d72e309b-ff65-48f3-b8fb-f3e210536a48	0	0
8db1b6c0-7a25-41d9-8fe9-8689dc6147c7	0	0
26ea758b-084f-47bc-ac9a-249ea1a51521	11.1837229437229446	0.932032830591630668
7f41928c-aa64-450e-b010-f5da5c3337a0	0	0
0ccea94c-f69f-4da7-8386-92e9a7bfbe6b	0	0
264ab99b-7268-401b-bc03-105cb7a8e0a1	17.1436818181818182	1.42872586992424244
42350394-f218-42e3-b40c-20ab12656d56	0	0
856bf4e6-12ac-4065-a2cb-88780453be7a	16	1.33341333333333334
ab66e795-a41e-48bc-a89e-03088cd3e196	0	0
e71adc08-a9a9-49ec-bd13-5ca856183f9b	0	0
64b44e9a-b2ba-4c33-8407-0e89a65b64a7	0	0
7380893c-4010-4c5a-8968-617842c628de	0	0
54cfeca5-8803-44f7-9867-987721843959	0	0
d6d5ea10-306e-4fe1-aaf5-98775363dff8	0	0
e341ac5f-77b7-42b1-860e-8c600182527d	0	0
b0e400d9-15ee-4304-b18d-c27b807f2e93	0	0
545e9fc8-c477-44a4-8e14-7277d265db46	0	0
47615e40-af7b-4010-abcf-3696e7344466	0	0
3b290913-5e5c-4214-b5af-118d3720a31a	0	0
26e9ed32-278b-4ead-8aae-66a5df27b933	70	5.83368333333333311
7648b70a-7d83-4d07-a1a7-e0b525f153f2	0.594125249072381956	0.0495140681881094877
9c5d9550-c7d0-41fe-ba00-caf0bbffe00a	0	0
9bf59242-7420-46e9-8450-99fd90ca8d46	0	0
b3274de3-15f4-40cd-ab8c-a5b8e21d64a2	11.1837229437229446	0.932045256950456924
b533de82-a406-4676-bacc-2c45aea54706	0	0
b134a455-fee9-43c2-af9f-3cd2b68f7a25	0	0
0a2bfb4c-c548-4728-a1e9-5f52ac427e72	17.1436818181818182	1.42874491845959595
a6ca0260-75f7-4789-93b4-546713f7ef54	0	0
cd094150-67ce-4ce2-afd1-1b05fd9a0eb6	16	1.33343111111111101
b01e1417-7348-4353-83b2-a2cbe443db7a	0	0
988133db-f2e5-4b21-987c-339fd5cac861	0	0
54abc900-8fe8-4645-a676-c6ccdb4f24d2	0	0
a6d5a183-63f3-443b-9292-ab55c50bf7c0	0	0
703ad67d-1e66-4a55-ab70-ea442d9173ad	0	0
4080d277-383e-44bc-a0eb-696ad90deae8	0	0
0453c9dd-f933-4aa7-84b1-1480f3c6fe6c	0	0
318452f0-bbe6-4cf1-92bf-85fcf08f62bb	0	0
01c18290-8f3a-4f8b-9165-ba161f2ae4f8	0	0
0a246b75-e2fc-4bf9-9290-2e5ee51ec9e5	0	0
9d5ed0d1-d46c-4cd5-88cc-0948967d2fb4	0	0
f86fffdd-d441-4621-ae44-eb0e50227c41	70	5.83376111111111051
9f48af2e-da53-4b81-89f8-791fb634537d	0.594125249072381956	0.049507796866035951
734e58c5-ec50-4f97-b00f-af6da2b036f6	0	0
56aecfe3-bc1c-45eb-8e74-c5d75fd982b7	0	0
2c8860e7-aa67-4942-91e9-94a4a33c237c	11.1837229437229446	0.931927206541606545
c58c8271-d5ae-4a4a-8349-d4111b5053ae	0	0
e73449c5-1b84-4789-a458-c43ee68c3de5	0	0
bd9cfe13-819c-41fd-90be-3f5ade8e9d22	17.1436818181818182	1.4285639573737372
fff7615f-14e0-4e28-b13f-f375a7a70047	0	0
29b38a90-4f6e-4742-89aa-4b600c7571ee	16	1.33326222222222213
64c38084-62bf-4507-af7e-71ebf4521b48	0	0
38e5b34f-4499-4c8f-8d3b-c76976e5088f	0	0
a044d4d9-6837-49aa-b4c1-0cc1f5e5f091	0	0
9afc7a9e-b46a-48f7-b09a-5bfa83f92774	0	0
fe1fedaf-ee53-46f3-9804-533317cd7eae	0	0
1e735e62-b112-4887-a30a-1d42ea327a2b	0	0
245b9a35-fa14-423f-86aa-c1bf82619380	0	0
722ac529-7ca4-4bcb-9db6-cc9053f6f3b0	0	0
c4951f34-de9d-438d-ba60-e668a04c954b	0	0
427a44f2-456d-43a6-b06d-a70bb20cb1cf	0	0
f92103a0-caed-4326-8595-d17ceeed120e	0	0
42ccab8f-3535-4506-b0ce-8b19c6280a46	70	5.83302222222222166
4dc63a6c-39e5-442d-bed4-f5e827d14996	0.594125249072381956	0.0495181940578947183
196f31c8-76af-4ae4-83cf-909db0b77252	0	0
22645414-6ad9-4aeb-ae7b-13b383ae4cb9	0	0
6553a0e7-4762-436d-ae5f-4c913874bfcb	11.1837229437229446	0.93212292169312172
17c7f018-3891-4e2f-9d82-8cf5d26990db	0	0
0e77141a-aaea-46c0-97d0-375cf0c83075	0	0
d5eb256e-1102-48dd-bbed-80588dc72e90	17.1436818181818182	1.42886397180555558
f5377231-a0d2-4d1d-914a-df034d04275c	0	0
edef009a-10e2-41f2-9a22-01913da19860	16	1.33354222222222218
e8f32338-508d-4788-8ac1-3a24c115fbde	0	0
d83a0378-c6f0-4e37-9535-6a654e283b25	0	0
84f9be85-c22f-4228-818c-0122882d392b	0	0
e8c19971-bcfb-45b6-9423-8768519d2dab	0	0
12cbd2ba-442d-4067-a07e-b8c2a78afe1a	0	0
90296900-a670-43a0-b23c-a106a07a2e39	0	0
502ec4b2-90d4-4c32-a22b-e3407a328644	0	0
1f8d424c-dcfc-4f07-bc77-0d19e1ad8c18	0	0
73c9b673-cdf0-488b-9bff-63e15b77b061	0	0
e594da82-7c6f-4066-9e0b-5d5041446e9e	0	0
b72f983c-123d-45ab-8892-7acfdb3eae9a	0	0
6c20242b-086f-44b1-91bb-3c64795f3602	70	5.83424722222222236
b7e7f09e-9dfe-4ec7-9129-eae52f9f8fb2	0.594125249072381956	0.0495140681881094877
6e63ba94-0784-4167-839b-2b64580a2fda	0	0
d61f83a2-6ae6-4443-850f-f992f26f55fc	0	0
ec2eeaf6-2a00-426a-9cc3-b993a88bbb54	11.1837229437229446	0.932045256950456924
4f4b3b68-8eb2-4317-9f78-4fd306b2595d	0	0
0562f354-32b8-4480-82a1-40a8144a18de	0	0
f25ae65d-6b3c-410a-953f-3b8b53331c91	17.1436818181818182	1.42874491845959595
6e36a6aa-77ed-435d-bf7e-f75d08f3be42	0	0
2412c271-5739-4347-bca6-9f9f7dfb8ad8	16	1.33343111111111101
b73aa2c4-1e2a-4fd4-96e8-9e2281088f8b	0	0
b6e1005f-6de9-4dc8-b92b-950c92c6cb5b	0	0
d8334068-97b1-45b8-8323-a06e31ef68e1	0	0
e1100916-a0a7-4659-b9cb-01ea83dbe1bd	0	0
1dbc2c00-685c-4a0d-b582-e3592b845784	0	0
328b374d-5633-4cb7-870c-8bf2ff0f63d9	0	0
2c256bb3-084d-47e9-a799-1f5877ac1f30	0	0
812f5b00-724a-42ae-b5b5-3572d7a7cb07	0	0
2e9299d0-e7af-4325-9ef3-8b0c0b7030a0	0	0
db88ca16-a57d-40b3-8e15-c2bdf6ea5d97	0	0
70d445e0-520d-4fee-99be-71060a877842	0	0
5ad4404a-a1cb-4e8e-bf3d-a244df8beb96	70	5.83376111111111051
cc1594fa-d3c7-4262-a12b-893d431b968a	0.594125249072381956	0.0495147283272751315
82433ab4-813b-444b-8e98-901fe5a10576	0	0
15fa6e21-f999-4b74-9362-9a90c7eaff9c	0	0
2f3fd46a-f798-447b-b3b4-b388aa4883ad	11.1837229437229446	0.932057683309283402
48995cb0-15b3-4f1c-b63f-54545b2af348	0	0
e318dd8b-9f24-4903-88cf-426f29694a18	0	0
a4c656a1-e80a-4d9f-b0bf-99e096ba88ab	17.1436818181818182	1.42876396699494945
9587cb2d-7ecb-44be-9f29-23e3bef25ec2	0	0
0da762f8-2bfe-4f84-a0c5-5c5390bf8d0a	16	1.33344888888888891
d48d6acd-af59-468b-9110-958d52cc8381	0	0
35d38d50-30de-4c1b-8075-b0f5c09aaf87	0	0
a8e17c48-08a0-4a26-bc19-5848b3ba7e75	0	0
20c2487d-8ccc-4fd6-8113-54fbea44b9a8	0	0
4aed753f-c7ec-4b3f-8f8e-91f746b025a8	0	0
cb5aa977-b08f-4ee8-811f-efc7db7d1b4e	0	0
085e9ced-3412-4dc2-b288-95fa1fc39c12	0	0
d4141e5c-a983-42fa-aaeb-7492468b07f6	0	0
9f642e32-fb5f-40c2-86a1-a496d83b1ea7	0	0
abd3684c-b930-4ea7-8132-8644dc365773	0	0
b66e34c9-e043-458f-823b-4a36cb3676a4	0	0
5cd1f888-e18c-4c59-acd5-89c7720af2f5	70	5.8338388888888888
294686a9-3dab-481f-bdf5-6687436cda71	0.594125249072381956	0.04951291294456963
18ad47d8-5c32-462f-bbb1-233a8efd1bfe	0	0
7821a53d-c9ef-43bc-8d07-5b556f7cc4fa	0	0
1ff54116-6709-4c70-8ecd-0d8995f9b70c	11.1837229437229446	0.932023510822510892
9a9eeb81-83e7-4ff5-b79d-d383ca01d0c6	0	0
59eed002-e23d-43de-b75a-449c616c16cf	0	0
79e67fee-7d22-4c91-a2f4-bf74df1717ac	17.1436818181818182	1.42871158352272709
ef137a1b-5bc8-4dda-915b-448a39e22158	0	0
2c16e16a-2b86-45c7-aba9-ca9c4641f1dd	16	1.33339999999999992
d46a8d8a-7f41-4026-bfb0-de771f5cea7f	0	0
44c25281-bc50-4eea-82d5-f3c87513b533	0	0
479f0e49-12cb-4729-8dfe-c7b2d11ae33c	0	0
3a0e6301-4d34-4782-96d6-5081e23340b3	0	0
c8c3b30e-eaea-40d6-b4d7-0e158c8fc041	0	0
27371166-b3db-4d5d-baef-b607a3601c0a	0	0
6fef4fb1-f53a-4136-82cd-5cb4e7e60fb4	0	0
bb86d606-d619-432e-aa38-b14a7853b82d	0	0
2d7591c1-ee91-4f58-8d73-cd70a70bae85	0	0
bbb6c1a3-e684-4583-81bb-fec61cda00e0	0	0
15de5391-f52c-4ab7-a397-3093b7a8d484	0	0
ece83720-9f18-47cf-bee6-fd187486dee8	70	5.83362499999999962
7ea550d4-561f-403f-90d0-1144ee4004aa	0.594125249072381956	0.0495153884664407615
b1e1a653-930c-4c67-9292-ff4e799b630f	0	0
344ef162-c464-42c1-94b6-14d6bbfbcb2c	0	0
4bc82b5b-bc75-4e01-8d4d-6facf3ba7223	11.1837229437229446	0.932070109668109659
a7075dd6-51d1-42b1-9202-b200d65fdb20	0	0
d8e8c287-6379-408c-8e17-4ef772b6c1b5	0	0
f51f6874-f186-4b68-a42f-cfb31d02c0a3	17.1436818181818182	1.42878301553030296
7fa1b0f3-497f-43c7-98cf-f25c56f0de83	0	0
9d58d9ac-a645-4273-9e82-5ef15327c9d1	16	1.33346666666666658
938e6da5-90b1-4925-b894-4b59bfed2f2a	0	0
2810167e-ba39-4707-a817-94e5f1d23d59	0	0
575a5683-a3cd-48f1-8e07-a2041dc3325d	0	0
6c85e317-c29f-4add-b009-f295eb1f4ea4	0	0
5c6878b7-f39b-41bb-b124-4cded355212d	0	0
4b190747-ee55-4007-bd9a-cfa5597015a4	0	0
88fbedf8-aa9e-45c4-85c3-b4c9bfe5d986	0	0
1e0232e9-c0a8-4cde-8855-50907a37e833	0	0
e9e45349-966f-4942-ad21-899b472adc4a	0	0
c6de64a5-ee91-4790-a044-9a2745dab414	0	0
3a3e35ee-5b25-4c24-ab08-b9dc9bf8d366	0	0
2ca2c6be-4c86-41bb-b352-09af9966efda	70	5.8339166666666662
b27e1d02-04db-4ea9-a366-4ffa1d974de9	0.594125249072381956	0.0495089521095758225
ab8dde16-9bca-404a-9493-7d689480a95b	0	0
b850fe96-a497-48bf-a58e-54a82622801c	0	0
c0ecde43-4e2d-4406-b650-fb383da0272b	11.1837229437229446	0.931948952669552799
f85bdaed-3053-4895-9323-32dc341fbc70	0	0
dc98f90e-ea31-4ef0-a9ce-f5d5a7995aae	0	0
764def9c-c496-4d17-952e-6a9de56e58c9	17.1436818181818182	1.42859729231060628
56a0609c-fb36-485c-8179-ca27581c0d3e	0	0
ffa979cb-7d42-48d3-8524-b49aabdd0ce3	16	1.33329333333333344
4fef8662-6887-458b-b5e2-d48d38e0a669	0	0
9d4e0f9d-b69c-4a1d-b92d-b2991b1e875e	0	0
54617d93-da7f-4935-ba27-aafcd24c1f54	0	0
36c73662-e262-4810-b977-0ab131671935	0	0
5ecff1cb-e27a-4d3e-97ee-a828971e15c4	0	0
323f9c99-37c3-40cf-aabc-557c234d6e0a	0	0
e7430ea1-a5fe-49f9-8b80-acc9c37be45d	0	0
b79ae35f-e0cb-40b3-9e94-904fa2362873	0	0
e0a1917d-794c-41a7-9bbc-9bc1f4b7467e	0	0
c2aa9d97-2726-4b61-9bbd-02d9c6efe2bc	0	0
c3fea9ba-a4a2-4407-9e69-5dc62055045d	0	0
3b87241c-e099-4f73-b876-fc8aa2011118	70	5.83315833333333345
af24590a-b9db-4a1e-aa07-e892248280f9	0.594125249072381956	0.0495167087447720353
2d819bbd-d7aa-4a60-9c09-f058691ca02b	0	0
bce6bedd-5e5f-4d8e-9546-ec79a8f29a8e	0	0
8357df5c-8625-44eb-a736-11fe0acc2380	11.1837229437229446	0.932094962385762393
bb17fd9b-64cc-407b-944e-9c8a8fb10729	0	0
b643af67-7e93-46db-916b-c52eda8ec927	0	0
9040446f-a7e9-47a3-b9c0-ab9b61007fb5	17.1436818181818182	1.42882111260100997
66ba1933-41b1-40aa-b051-649c1b17c9a9	0	0
98924381-78fa-4f38-b6b4-dbdbd7376f91	16	1.33350222222222214
0fe36d3b-8f1d-4a36-ade0-81600123c84d	0	0
7e4fab22-b8ea-40c2-9dd0-4ff5f5b2bed8	0	0
d3f2cd3a-15e9-4ecf-85fb-8fc4d86e5189	0	0
309f99f3-180b-4d1d-9154-bbd96838835f	0	0
310b1c31-7e3a-488a-b69e-2333d29bd977	0	0
cbac34bc-5359-467c-9c04-dc1be3ade270	0	0
ca1d1cbd-9bfa-42c0-88b6-d7f622772e3a	0	0
24218fc1-0c57-47d6-9293-0e2a684fd316	0	0
db25d6a9-2395-4511-86a4-1d46616cfdb5	0	0
d255cbb6-7161-45a3-b902-14d397d5103c	0	0
2e238753-e9f5-4f93-ac3a-22abf3ba327b	0	0
be8f7b9e-9ed4-4a71-93d6-366937f4a877	70	5.83407222222222188
2ffd3401-8bc2-42ce-8400-f7e01d53a781	0.594125249072381956	0.0495148933620665407
ebf747a4-7e42-4cb0-8b92-6a7e8442b9d9	0	0
8d3ea8b4-8c59-4989-8158-c8866d6e8e60	0	0
fa3e2675-f1b0-444a-bd0b-46a612862145	11.1837229437229446	0.932060789898989994
f86a1d97-cf42-4a97-ab17-4a54621d97ad	0	0
9e7eeddb-fc5f-41f0-9da1-b6383cdfd046	0	0
b4a302e9-ccfb-4485-982a-6ac1bccf0ac8	17.1436818181818182	1.42876872912878783
e14fdecc-1717-4d5c-87b0-330b20cbf9f0	0	0
4beba803-020c-4a27-a0b4-07b661f42c04	16	1.33345333333333338
e08b5713-f19a-4020-8fc6-63b7be3f88a5	0	0
4122c3a5-0ff7-4103-aa30-ca31ef24130f	0	0
a8e3f260-4f43-43be-85fc-f86ffb97f3f3	0	0
e8aea7b5-f8e0-4d56-9861-de4c8908b8e3	0	0
dbb86c98-c6e5-4b2a-86ba-98ca191d6df7	0	0
14bb9281-308d-4188-85a3-d5fae955f666	0	0
934864fa-1830-497f-973d-4166a8c9b044	0	0
3302f613-3ad1-4669-ae0d-0ad2b47d53b5	0	0
21d8f63c-1507-41cc-a96e-d1cd851383ba	0	0
d4a078f1-8a7b-4fb0-89cd-652e168b6bc4	0	0
06b39506-7c16-4e91-99c4-0159ba3a9436	0	0
b01a7e6c-ed5e-4e6e-8ef5-7c756eae55cc	70	5.83385833333333359
27e9d9a4-538d-4bf7-93cf-4de35491e754	0.594125249072381956	0.0495120877706125839
67ec5b07-d66b-4e57-bdcd-f5fd731585c5	0	0
4ae485c6-1bc2-4f14-abb5-2650f4701506	0	0
eb3d65be-cdef-4523-97ac-f46cb48faeb1	11.1837229437229446	0.932007977873977933
4d6b5921-ed60-4b63-b51e-2eeb0928ca82	0	0
c58ae871-65a3-4cf1-af55-48dc9390ce1e	0	0
d38eb9c0-150d-43c6-92d2-ee5d72ba45f3	17.1436818181818182	1.42868777285353543
312cd5ce-96c5-4213-ad1a-d04c401ec6f3	0	0
f345d546-ced1-4791-a051-b6046c8ac518	16	1.33337777777777777
be770ab5-437b-47f1-b7c7-cfc778173e61	0	0
cefa4c3d-1701-4a6e-bed3-43c3fc675d43	0	0
5b829415-2703-4829-af11-52eb38a52f6f	0	0
f89f2f2c-7653-47e7-b798-f2bd639aa9f6	0	0
c60731d8-6d45-4efe-bcc2-798beb2d3024	0	0
06d20b49-5621-433b-a287-1ca778368789	0	0
3728a2f9-8bae-4f94-92db-268f407f9424	0	0
413b78ab-f104-4d20-be4d-83a0e5310280	0	0
df259ac9-0e85-4af4-86c9-066aef4f87bd	0	0
8272f53d-6858-4c33-b6e6-06185c7b50c4	0	0
ec9b2550-5634-42ee-85be-93c91caaac4b	0	0
6e9830c2-557c-40d0-b889-d528d7416964	70	5.83352777777777742
5e31b658-f563-4aa7-8023-0abd09c69b4e	0.594125249072381956	0.0495139031533180854
50c1ea41-0e54-4dd8-b99e-bd5bde93a3fa	0	0
6152eeec-ae32-4d1a-8372-6449017ca214	0	0
1efba247-6957-4258-9262-bc463cda81c9	11.1837229437229446	0.932042150360750554
6b42f45b-21c2-4cfa-b389-9a9b4304b9d6	0	0
64df76ba-56c9-4818-9917-890c87538cf1	0	0
f305db10-0af1-4932-ab9e-7f456d886cc5	17.1436818181818182	1.42874015632575757
71f43b56-1220-42a5-ad30-5ffd721de7e5	0	0
5a3e79e3-1859-4470-86b1-03b991865c4e	16	1.33342666666666676
c90a624d-47f3-47d4-b019-9e24cbb6f7b7	0	0
367f33db-af70-4d11-bb46-7a0118fbe212	0	0
f45d093d-d825-42d4-9e9b-fbed44ff5599	0	0
0ef19862-9c0c-439d-8f20-2a56b98a41c5	0	0
e921563e-ab23-46dd-9c07-2537085cbeef	0	0
1c569a6d-9ba0-4cca-a9c0-27978e3bde49	0	0
836598ca-997b-4789-9f9a-f461fa045352	0	0
e234d3f2-433f-491b-afe3-38a1c3216661	0	0
b0b2d893-86a7-4bd8-bc2f-84392b3b28fc	0	0
b6dc5fd0-eddc-4448-a714-19b207557d86	0	0
f7508733-0132-456c-a2cd-28c3ad6a572b	0	0
56065f9a-d83e-4910-bca6-3f331373fca1	70	5.83374166666666749
c109c88d-60a7-477d-a848-68260b64656d	0.594125249072381956	0.0495130779793610393
169ac78b-c77f-4c86-b7f4-8ef2e75f54ee	0	0
bb7de7aa-1588-4ac7-9ca6-24bdb0e493d7	0	0
dbc3f864-501f-4d04-b0d0-a603ee7e573a	11.1837229437229446	0.932026617412217484
c0751a3a-6520-496b-94f0-503ec686d269	0	0
58deaa8a-ce3e-4911-8c20-0ca0a8d715d0	0	0
2b0ee532-d092-402b-8b48-b148157df0b6	17.1436818181818182	1.42871634565656569
7fc30a9e-2a36-4da3-9388-323359fe7581	0	0
dae4913d-1cd1-4b24-8d2f-7b26d64beb9c	16	1.33340444444444439
c79f7b41-07c8-4824-901b-c74c5a827424	0	0
45ffb342-c445-4142-8659-81fb475cc233	0	0
ceb20ded-db4e-4ae9-9c99-ea4ffd7b0997	0	0
1a35b84c-964b-43c6-bbfc-3bd957a42484	0	0
601cc747-8677-402d-90ac-90b1e55ddd00	0	0
5cf8312c-1310-442a-80e9-f78115c80d75	0	0
87b7aa60-8c3e-4b17-8d10-684a9a0dd03b	0	0
325a7488-3bed-4588-844b-7040293cd5ef	0	0
a93e368d-6fe7-410f-a734-c35442081503	0	0
814f5b87-898f-4943-8997-3f82001fee77	0	0
131c009b-89e0-4215-8e0d-2ff52f5c4acd	0	0
0b217f7a-ae85-4d37-b55f-8b61a2238d36	70	5.83364444444444441
164a7d6e-2908-4ed9-8dda-380343968103	0.594125249072381956	0.0495143982576923131
fd420620-660c-475c-ba2a-903461d45a13	0	0
1640104c-7350-4fcb-a505-b4a21a958ac3	0	0
fdd19081-41f9-4d9d-aade-e30b2f9cd1ff	11.1837229437229446	0.932051470129870219
4505812b-16b2-456a-bd0a-08b6d51224b7	0	0
5b52d2e3-f39c-49ee-8072-014add6ba6ad	0	0
fadff865-b640-4861-a30b-695ca516b4b8	17.1436818181818182	1.4287544427272727
a2cb995d-ad03-41cb-abe2-e301a5d90aa8	0	0
3f90f872-78be-4ed7-b347-163c745ca26b	16	1.33343999999999996
439354d7-a43b-49d6-b3fe-995bea7c2efb	0	0
baaba114-842c-484f-8ffb-a5eaad23a17e	0	0
70849fa6-66c4-4a4f-87d2-8b0af307e0e8	0	0
682d1f2b-4b22-414a-81cd-85c4507bd5a5	0	0
ee73b2aa-4380-4e84-9e17-6bf778f9c7ad	0	0
6cd11a7b-0ce7-4bd2-b689-5d281bc5cc75	0	0
98d7a0de-f3bf-4c63-ab99-5a400bf32523	0	0
2f0b1814-b402-4902-9f42-eabc60e77f6a	0	0
26870071-c15a-4c80-80c2-7e5a1db3bdab	0	0
33e4fe85-2b91-497f-9333-82c98d0b01ec	0	0
a75bb463-b979-4391-9f59-296017ab47c0	0	0
ef1c53d1-a9db-4e60-ba55-5ab8f6173707	70	5.8338000000000001
93ae0984-4d0a-4b24-8171-a91d611f5dd5	0.594125249072381956	0.0495127479097782208
87cd7409-622d-4af8-be56-b2bce1fd193b	0	0
eeac6c22-7c02-4039-9fbf-e4ba36c2366c	0	0
ffe14d2b-ee5c-41ba-9b26-dbc47ba11f96	11.1837229437229446	0.932020404232804189
b50c15f5-1d5e-43ab-8762-1e9a41f5bec4	0	0
3dc1bff3-60db-4d65-9388-2629b41a88a1	0	0
51d0d575-2eed-45c9-9047-5bc91b2e5886	17.1436818181818182	1.42870682138888871
904a85c5-1fb7-40d8-a12a-b77e45ca7829	0	0
2fd7c187-7931-492d-a79e-bdb2ac286388	16	1.33339555555555545
1d7c310d-69ce-406d-abac-b6f89d53500c	0	0
b0c4de20-ef45-4900-98a1-c76d3f7310fb	0	0
34ad0436-ebbc-4f30-917a-8f8abf21cc36	0	0
da32bddb-30fe-4164-83a2-a0b6f3be26d4	0	0
d8c4a053-43d4-4dd9-ace7-b8f3f8fc15e4	0	0
5d55256f-bb96-4c83-88ce-fddf89e596dc	0	0
ff21d524-e42f-4c93-9b43-2acc465ca667	0	0
4e29e8b6-bd6c-4fb1-8b38-28d74d29ec3c	0	0
1d25b5b5-3cf8-4ed1-b6d5-9b0ca5efbf31	0	0
6477365e-0fd6-48f5-89b9-9027c5ccf3dc	0	0
39512574-1143-4cc7-9a86-6c905792904c	0	0
78db4f07-867e-44dd-8942-f3fd17b2991f	70	5.83360555555555482
3d29079d-4d05-4319-a088-d7710ac11a68	0.594125249072381956	0.04951505839685795
fef94793-14b2-43b7-82e0-b6aaaeadddbb	0	0
5be83c32-4916-40d8-85a5-480ce3090385	0	0
c3bfaec5-a9e6-4a1f-9511-349382518695	11.1837229437229446	0.932063896488696586
6de0babd-6ffe-4434-8af9-8721a78435e7	0	0
35abac9d-9da2-4eae-b270-72bec07d2e2e	0	0
715e5eed-ae63-4815-a4cc-04f5a825ea50	17.1436818181818182	1.42877349126262643
fd0556a5-87b2-444e-a234-b4f076a94468	0	0
875736e3-361f-4a7c-9bb9-61b35e90eae5	16	1.33345777777777785
848f6bfa-73bb-4d35-a17a-32c17930d809	0	0
d22df27c-f2ad-4fd4-aa00-501d603affaa	0	0
62e207b3-5cfd-49b0-991d-98f1d2971b53	0	0
5f423468-c88f-4c47-9a39-929e10601b9c	0	0
41b29407-0d85-46b8-9804-357f6b47e92c	0	0
407cccd1-7dbf-457c-b2ef-595366fc0756	0	0
a1829cbc-5de5-4115-8d7f-7498abc4314a	0	0
25b94ea8-a66f-41cb-a916-e7cc78bc0831	0	0
17330895-d962-4e32-a59d-8bc75dc12461	0	0
daa8b4f5-2fba-413d-8095-81734384fdb7	0	0
883fb453-9211-443c-b743-4969b08bb19e	0	0
b97d3d74-5d6b-4588-bbf9-ea2d061fb24a	70	5.83387777777777838
c604d0e8-4e97-40f0-9856-1390ea888f42	0.594125249072381956	0.0495139031533180854
6eac9f2d-d884-4089-875a-ff458da52d3d	0	0
8c6c08a9-304c-44e5-8545-2992384a2e1e	0	0
e017f43c-18c3-4002-ba01-e9ccb8cd4345	11.1837229437229446	0.932042150360750554
c3b6bb8e-fafe-446c-bb09-dda851fd53e3	0	0
d03ff80a-2090-458d-89ee-2616a5f1ef43	0	0
5ca00ff4-73ad-4ea2-ae8b-dcf1a1b71807	17.1436818181818182	1.42874015632575757
e1fcadb6-a3dd-4fd4-ac97-b1b69ec6f3f1	0	0
34e30310-cbe9-4867-a884-09a05a736b80	16	1.33342666666666676
1d1fc6ed-418e-41bd-a220-3dc5a23b6488	0	0
efa1ee99-730c-41dc-9c9d-6214157e9d0e	0	0
9a1eeb30-d96f-48a2-bf6a-7fca2e2803a9	0	0
b2c75d62-69d3-45a5-935b-297ebb6caae5	0	0
edef6371-4789-4e64-8f16-e059d7bc56c6	0	0
083fc8a6-482d-463e-b5ea-feeb92d20115	0	0
77f83eac-8795-425f-a97c-7bf10fd7f20d	0	0
35b8855c-73e8-49a7-adcf-6dfd8908baa2	0	0
71312e37-abf7-48f9-8e9c-c5668d5cff04	0	0
f5d4c429-92c9-4fc7-8d14-89b3a14cdb9f	0	0
7e474869-3529-4be4-9d43-45b443a0e570	0	0
518217e5-6aea-4842-8485-36d2d8302f26	70	5.83374166666666749
df404807-b9f7-488f-aba1-7d007d38bbee	0.594125249072381956	0.0495143982576923131
7be952a1-ff57-4938-895c-28c25e863a60	0	0
bd5f608c-b5cd-4126-a29f-d64edebcf607	0	0
ed19ba56-2ade-4af7-89b7-398a2c8d9144	11.1837229437229446	0.932051470129870219
7855f358-af4c-4d1e-aaa8-7f06fd398bb2	0	0
760f6f7b-e0a2-4918-8ab4-941364bc181d	0	0
5b01d163-73a1-48bc-b883-60e1d8c2fcc8	17.1436818181818182	1.4287544427272727
3996d0df-c65e-4a6c-a6d9-ba130d86c8a6	0	0
ce4ae9bc-b97e-40f2-b2dd-f8b91440c5fe	16	1.33343999999999996
099171ef-262f-4fa5-9af5-478de514624b	0	0
f4a916ff-ff44-4145-a4ad-8b44ec1cc858	0	0
eecf146d-cd28-4e17-9cd4-9033d69b3135	0	0
5d50b9c9-8035-4c96-94fd-b0b3f002b531	0	0
132fa89f-a911-40ee-9150-9f479afb3545	0	0
80d7ab41-dba0-40d0-8745-2d3c1ae027ea	0	0
f1aaf4eb-4886-46aa-8fd5-202481a316fe	0	0
260652ca-7c81-42fd-a057-ea6168c289fc	0	0
6a4ca9e4-5ad6-4352-ae12-992e00ff24ea	0	0
b71b4fdb-f62d-4be8-abd5-03f40d9a17c5	0	0
705ea46d-698f-4c15-bb99-5c345513d206	0	0
cde3a0e8-5d3d-47e0-99c2-4a45a4d40d80	70	5.8338000000000001
74eceb23-c4f0-4f52-852e-d2739ada916b	0.594125249072381956	0.0495110975618641355
73c9b562-291e-4eac-853f-4f0c7d1b8e10	0	0
b39a1481-5c0a-41a6-9837-8697c5c7b764	0	0
efdbddec-6cce-49e1-8a1c-6ccd39cff5ad	11.1837229437229446	0.931989338335738493
15820d29-4b3c-48d8-9597-cf62c3dcca9d	0	0
5b9ee888-2869-4e1a-8e76-99920d9df839	0	0
08db4875-804f-47b8-958b-79dafb54c2d5	17.1436818181818182	1.42865920005050517
78a08e07-1082-419c-89dc-521338a351b6	0	0
50d67d4a-88dd-4cfd-b1d3-599b5dcaed8c	16	1.33335111111111115
53b321d4-c39d-4d82-bcb1-976ec53d7d45	0	0
35cc49bf-cd13-46c6-b03f-34eb6eb9394e	0	0
8fac4533-baf7-4256-bea9-6e7f9a5478e7	0	0
b581a8f0-1b74-41d6-ba22-c665f7457561	0	0
5f136f19-da2a-4b0e-911b-042fa9ba14e6	0	0
5c8e7872-e1df-439c-80fc-12710b4acdec	0	0
6f1e6587-98e4-4da4-a373-f20b91bc56ec	0	0
73b83cbf-8258-47c1-b6ad-b9a85a03d2a5	0	0
2c647288-286d-4fd6-83f4-30dbac09c350	0	0
af3b0bb2-d0fa-4706-b261-a082b326e1d7	0	0
470a7140-39fd-4ba3-8eba-9d64b1b8f041	0	0
2761c9eb-10e9-4aad-9023-5899349fa3de	70	5.83341111111111132
6013fb49-1f00-4de5-b46c-c982315018c8	0.594125249072381956	0.0495106024574899009
7d5aef8e-607d-4436-a0e4-e3165370714c	0	0
ea53e83c-e218-4e8b-9544-1c95d271b24b	0	0
b73c543c-0b4d-47cb-ad2a-c61fd9ebf2fc	11.1837229437229446	0.931980018566618607
c676dce8-3de2-4378-8aad-c8a5fbe66c40	0	0
e608f7e5-11b4-4e09-b4f7-d5a9d1ad5c58	0	0
b8c05473-c56e-4a7f-984b-6d121616e4f1	17.1436818181818182	1.42864491364898982
725cd1bb-2753-4121-a414-5ba864266ca8	0	0
663cf850-2d96-43d5-83d3-a9e9b2619587	16	1.33333777777777773
b83c8988-d750-4656-b9e8-315c20cc1024	0	0
d0160412-8b30-42ff-af12-40a26d41a923	0	0
73904c87-35e2-4ff2-a3d4-5e4eb6c93288	0	0
e7d4da33-7205-4f77-b1d9-0149026b4a7d	0	0
6e9940f6-3e0c-4400-ad3f-871ffe744c3b	0	0
71e3f8e4-31c9-4948-bd81-e2b5c52ed396	0	0
90c07792-1ed0-48e5-a6a4-e77696f04d14	0	0
848b8087-5da9-4bb3-8e7e-ea5cde7b7e0b	0	0
53791229-4a82-4050-bf98-fdb58f881c6b	0	0
16cac747-62d3-498b-85f9-94aa121659bc	0	0
b7d79905-4501-4cd2-b01a-06580625b2cd	0	0
5fd86cf4-9ee7-4b36-801c-f95f9561761c	70	5.83335277777777783
e2b92648-7a01-41ea-b862-485459bf0c3b	0.594125249072381956	0.0495198444058088105
51fae657-1750-410c-b311-42d3022d7bdf	0	0
e8ad072d-52a2-4739-b8f6-46e4d9ecc15a	0	0
b41af565-dc80-4834-a565-80ec8b159d75	11.1837229437229446	0.932153987590187638
98b6a31e-7069-499f-bda0-9360795b2701	0	0
576b4efc-3dda-4228-8c8d-740c77f7dac6	0	0
c68c8c73-707e-4741-9d81-b19a8596d91e	17.1436818181818182	1.42891159314393934
5e7e51fc-9d63-4725-b0d5-4ddb8e4b891c	0	0
91f08deb-7c24-413c-bcf2-637248e2b93b	16	1.3335866666666667
6499af4f-69d3-4e30-af53-62c81a08ff21	0	0
8fcb6fad-1359-45d9-948f-369b1b9bd97e	0	0
f87266fd-a21e-4762-abba-38550de0ee74	0	0
7e4c62df-3915-4148-b02e-43d422b22593	0	0
69f67f82-f6c3-44c6-b276-5adc1bc71dab	0	0
9de80b5f-3a1f-46b7-8ce8-fbb59f8d8970	0	0
35210970-f1d8-4426-95c0-e0809f6684dd	0	0
beeeb2f2-57ba-4c8d-9865-b13a7844f2f7	0	0
7174871e-03f1-4484-b2a1-2e401f7de7e0	0	0
2f52e7dd-fe50-446c-9f09-d5604d09dd7d	0	0
5e7db572-9dcc-48f8-b5d5-f38bb2c6593d	0	0
5a01c236-633e-4d80-9349-b9d0a4bb985e	70	5.83444166666666675
4ec1b9f4-6d6b-4542-9f54-2bd5dd025f78	0.594125249072381956	0.0495135730837352669
7464db1a-4273-43d8-a79c-74dd240d467d	0	0
f3a7f72d-1688-4ea2-a26a-f99f7940c3b4	0	0
37ecb3ed-0657-47da-821f-8a8e98088000	11.1837229437229446	0.93203593718133726
147c0a0f-d6bd-4150-b4c3-6d05b96bc887	0	0
a4cc42d8-eb29-4e6f-9cd8-60d4c35ac817	0	0
2f7ace02-38ee-4e4c-846d-f36b07924810	17.1436818181818182	1.42873063205808082
2b294ddb-19ab-450d-aaa8-0e311b6f5c63	0	0
39ba123f-05cc-43cd-86bb-50f5285a422e	16	1.33341777777777781
2885fa2f-2c8d-4e6c-ae42-29e3423903ac	0	0
9972f78e-3a90-414a-920d-e7783ab5219e	0	0
d7eaf0b2-1a36-4d17-8e56-278755c7e5da	0	0
781fe04c-9a92-47b7-bae5-d8f31a144173	0	0
852deb47-5a06-4b62-ba56-8fa65b5faf13	0	0
da224a7a-b7f3-4c70-9be6-c1bf04a707c7	0	0
8ada6b6a-8cb5-4422-8e49-6387f6dce989	0	0
a90651e9-f4af-46d6-917e-2addd05ae6f0	0	0
4f26378b-d7e0-4de8-a97e-614d89e5bf8d	0	0
8cf493ff-7fe1-42a7-8db8-9b68786a1d37	0	0
f4c16ce2-7fa6-4735-9aaf-4e4fb22899d9	0	0
2d128c31-25ea-462f-a997-bbdd7c93aa12	70	5.8337027777777779
43b0833c-3f18-4c83-96c0-35100b2288ee	0.594125249072381956	0.0495134080489438577
a4e4387a-a87f-4fd4-9bdf-a4e7ec2b27a8	0	0
52c0f872-3cad-48a1-bb4f-99162b9921fb	0	0
f128c789-40de-449e-8a31-899497369798	11.1837229437229446	0.932032830591630668
60ab74e9-0ff4-4684-8f30-c0f6aa7965b8	0	0
10a623bc-af1b-4bcc-a114-836db82e7b8b	0	0
66281d52-7396-49db-8fc3-5bc04de8f0d9	17.1436818181818182	1.42872586992424244
3841438c-5d30-4f30-8fe4-de01dec5e081	0	0
fcaf23ad-f9dc-4e9b-be39-01a840d0f61d	16	1.33341333333333334
8842f091-8d5b-4e5a-8429-979ad1c5d348	0	0
734d7630-c84d-43fd-97d9-aadd676ac71b	0	0
f9b86486-8383-4d02-8dc5-cc81fc965daa	0	0
6bcbd8c6-61be-49df-9fbb-ed9fd3470dc1	0	0
13afdddb-f6fe-4316-8e98-02b5fd399995	0	0
f1df3689-5e69-4a41-805b-aa7cdfc89394	0	0
b5e3b8ef-ee27-44f2-ad33-4c4a8bb13df6	0	0
3341f59c-11f1-4d14-b851-46cf10382e17	0	0
a0fe3888-803e-4887-af4d-57d0c666a17f	0	0
252d228a-cfec-4398-b6d5-29474b2d8aa4	0	0
03250d45-f1d1-470c-a1fb-afc0d9abd37a	0	0
98893f9c-e31c-452c-818e-83a0208ea12d	70	5.83368333333333311
cb7c7303-f799-44a2-852b-9be0dcde7082	0.594125249072381956	0.0495157185360235799
e5e4bc30-5f2c-41e8-9389-4f1176c72ecd	0	0
2c8f72b6-b5d1-4b57-b07d-5960333981ea	0	0
70cfabd1-6858-4033-8729-70c0e7ae37d0	11.1837229437229446	0.932076322847522953
ecb369f0-6ce4-4061-938d-e20794102da0	0	0
037b3269-945a-42be-83b3-697919963396	0	0
e309310d-b91f-47cc-bde7-d1bb8b8bbe0e	17.1436818181818182	1.42879253979797971
0d7533a3-538b-488b-a69f-764e8df6f2fa	0	0
e2fe02d3-26ce-43c5-98b9-8240aafd2790	16	1.33347555555555553
8fbc0433-39c9-4a88-97cb-4549dde35385	0	0
b30817a4-36ed-4698-a0a3-2c060ab7e1f4	0	0
214ddd38-0d6c-4319-875b-135474dfc4cb	0	0
26a025c5-21a3-4f91-97f2-76a94741aa62	0	0
fabcce0c-21b1-4090-9b0e-e2005252bd82	0	0
711c7738-8808-454e-a14f-b0db740e9f00	0	0
7e01e2b9-44b4-4ccd-b939-172912bb0ffa	0	0
6f794bf0-669c-41d8-8a45-dba250ec8802	0	0
9a09fbf8-e4de-4880-9d86-ea5358c65a22	0	0
9d3db27d-6462-4e49-8a65-c98a85dceef2	0	0
0d15dab2-c3bf-44d2-9c8b-62f9cbf5141a	0	0
51c282f3-c890-49c2-933e-46c7e4b58f2d	70	5.83395555555555578
a9fff754-b297-4b2c-8ea1-c9ea92cbdfe6	0.594125249072381956	0.0495629184863665626
36a6aa06-7add-43d5-a74d-ca0d04f496c1	0	0
d0269a90-d195-4199-a3c8-2868a62e7ed4	0	0
e5107b7c-4d3f-42fb-b179-d6b4b14aeb01	11.1837229437229446	0.932964807503607663
3cfb644b-ad22-458f-9dad-a2028e507432	0	0
adfed958-e109-40e9-8ced-89d29915b13f	0	0
1b76248a-943c-4d2d-a973-d761c0ca2be5	17.1436818181818182	1.43015451007575778
96ae952d-7281-4d8b-aa39-957a167ac3b1	0	0
263b7784-6e21-41f9-87f1-2143b0a7ae30	16	1.33474666666666675
67243f25-5c06-4a28-91c1-7909fc567691	0	0
2139791a-e86a-4d83-8f53-de3d03dbecc3	0	0
820fa149-5632-4ad1-9b00-3d5b96b7d837	0	0
844af5d6-fe61-401e-915a-2dd0615a384c	0	0
a82a5200-2996-46a6-9bb6-a74b94c86140	0	0
2c1db557-27a7-4521-930f-8db21d9556ad	0	0
a847354d-b58c-429e-b4e7-ecefaf8aa707	0	0
8b29fdbb-7d6d-4201-9388-34d26851e85c	0	0
90d66f49-6322-4626-bf93-6c06376d8923	0	0
7845e470-efea-4a84-bccd-e012406f01e5	0	0
4672f61f-5ec0-4ac4-a0a2-09e83f5572f1	0	0
a8242bf8-1e2f-40c1-89c9-abe9126e774f	70	5.83951666666666735
cb3bacfa-590b-4a18-95e4-24bb3cac3612	0.594125249072381956	0.0494647227854782059
665330f1-bc9a-425c-8093-e67c50f6eecf	0	0
53500b4f-3a83-4b80-96b1-f47576e72d9b	0	0
c98bf9b0-7180-49bd-9c4a-ad34387b012e	11.1837229437229446	0.931116386628186743
aafde049-e65e-453d-b9a6-29a23c732c98	0	0
738b3420-98bb-4eb7-bb70-4ab842f05e8a	0	0
17e72577-f351-4b67-818e-8a5f005ae964	17.1436818181818182	1.42732104044191921
e1be2c8d-6ca2-4752-8e43-d4f02cf7f873	0	0
743e795c-fb9c-47b0-bb0c-a23a433acd3d	16	1.3321022222222223
6269ab29-b6d5-4eb2-be97-a0506b04a8ce	0	0
beca78be-0f47-4ce2-bd96-b76d2a7dd54b	0	0
df6e7ed3-99b3-42c2-813d-65bc6b12bb2d	0	0
472e7c65-a2a6-4db6-b01a-d71756063767	0	0
088c0184-4df9-4c03-a28d-a2bb312d149c	0	0
59e8b8de-c126-4f04-8236-b059a0ef45b2	0	0
3caf34a8-f9c1-45d9-ab71-40cea9548951	0	0
ad75ddae-1673-4a5d-8a6e-6da67a75f887	0	0
0525a4c0-ab79-4175-ac01-1246bdad05aa	0	0
63ed9a00-50df-4270-8bcb-22365877bf08	0	0
fbbdb02d-3bb2-46c7-b0d0-ca3a59aae9ae	0	0
44a0d525-3fba-453e-9e8b-0243572d6f1f	70	5.82794722222222283
c48b786a-5c9e-47c7-bf95-805c25619bd6	0.594125249072381956	0.0495148933620665407
2458104f-b1c1-4b90-884c-4432d5376122	0	0
e70d49a6-681c-4f34-994a-56465d861d6e	0	0
0b4aaaf3-8e6c-437e-add2-611343207feb	11.1837229437229446	0.932060789898989994
a3860fb5-57c8-44d3-bcfc-8e36056e463f	0	0
34cff756-e4fd-4de5-9c28-d2e3aa7fa29b	0	0
e038d885-565e-4b42-9c80-9a0ebf4da253	17.1436818181818182	1.42876872912878783
5a3b394a-7b97-402d-b8d7-a2c10960ce67	0	0
e72ac351-0418-473d-8a64-355908ffc6c9	16	1.33345333333333338
01361b15-b2d5-4af1-a458-22000761ae20	0	0
6842d59c-ef90-4d04-a149-253392cf31a7	0	0
55e08a06-bfc1-45e0-b8e2-a146f52ce74d	0	0
bda94f92-478a-4d80-9849-c1df847f4688	0	0
0e1c374f-d247-486a-9821-324e1d21c034	0	0
9507bcb6-7506-4723-baf1-01a823a52726	0	0
1d2e72d4-8b52-400b-95fa-b7d0d9cbc7e7	0	0
ef8e30a1-cb68-4e58-ba69-4bda1158d809	0	0
9dbda149-f005-451e-a4fe-7261465ae77b	0	0
767ee0f0-34ce-4633-8e79-90cb1e622212	0	0
98eaab7e-0137-4290-82da-30d5eb099302	0	0
16c223e5-c42b-47bb-bdf8-7fb6f4409461	70	5.83385833333333359
a712499c-4430-47e4-a4a8-a3a0967c0ed0	0.594125249072381956	0.0495127479097782208
4b478c91-f463-4d53-8e58-b1bcc728f4d0	0	0
844caef7-161a-46b8-97c5-2b8af721c843	0	0
b1e062dd-7d82-4757-bc0d-88ed639a97fa	11.1837229437229446	0.932020404232804189
f30fe54f-1e11-4699-a309-a4d74ff51aff	0	0
627237a4-f372-4400-a7e0-b699aced1c8b	0	0
753a0d79-5f7a-421f-abaa-d8e58ad1b02c	17.1436818181818182	1.42870682138888871
1f2ed050-57a7-40de-8a3f-ba7eb7ab955a	0	0
f2c5e60f-cc42-4206-891b-bc7066e41013	16	1.33339555555555545
bda4f475-c08b-4762-aa61-d5f2e4eaf788	0	0
95bf680a-d54a-4b23-bc28-045fe162620d	0	0
8451bc60-c371-4fa8-b435-c6678a7c6351	0	0
eab549cb-c366-449f-b202-7b2cb69bbbe6	0	0
a179c68a-9222-4bfe-837f-a6bf03838a46	0	0
648c83cd-7764-46a3-a4b2-5af72e6325fa	0	0
4f7bf96d-15d3-4630-bd26-db3e36bbc0f8	0	0
47b10b94-a982-46f2-bd9d-b2bdb53ab7eb	0	0
c9114f67-7dac-4968-9bf3-b8125913185d	0	0
b3dca9f6-ae89-42bc-a444-d13c5cb91ed7	0	0
031627d6-fbb0-46e1-a673-8402f8ce9807	0	0
225f16fc-3785-4594-a4a1-a3a39c3ca021	70	5.83360555555555482
1d3dfafc-770d-4d39-bfd0-6fc15685b18b	0.594125249072381956	0.04951291294456963
b2184faf-3af2-47e7-884d-834361587856	0	0
58fd88a6-f9ed-493a-b976-75217babd5d1	0	0
9ee24396-62b4-4d97-a978-b418fddf74d2	11.1837229437229446	0.932023510822510892
b6339370-6349-4352-83dd-74fc0792fc77	0	0
49b91ea0-965f-4dce-979b-2c17502582fa	0	0
b51cb7ed-d3b7-4754-8625-61cfc5650fc8	17.1436818181818182	1.42871158352272709
9b7d4977-9b21-453d-95af-72649286d2d8	0	0
e8113800-c4a8-4489-bcee-30f410c306a1	16	1.33339999999999992
91971dc3-7fa8-4664-8d17-6924bac0a510	0	0
d00ff29a-a06b-4e81-bdbc-d231e7fb6d29	0	0
344121c2-c8c4-4338-a98a-6a2f948b8567	0	0
02da6b30-475c-4f99-9da6-8cde2d9345d1	0	0
9e74131f-572d-4417-b566-436fda13c18a	0	0
7aafda83-d181-4ba4-b4d3-93d5588ad399	0	0
ab8664ed-35c0-4f66-8580-42c3e0107cf0	0	0
52c1da48-4717-476f-b44e-a453d4108d06	0	0
face5443-7f6d-416c-b996-14384e98a488	0	0
ea72e20d-c115-4749-bedd-53b378977f3d	0	0
01a0e813-36aa-47eb-8d74-a035e144508e	0	0
1537e091-6eaa-4ca8-8c8c-1f76c3b9764e	70	5.83362499999999962
ba4f10f5-48a8-4815-a708-b1366b588594	0.594125249072381956	0.0495155535012321707
daae5d5b-31af-4540-91c7-a9c0163987fe	0	0
8d388c82-fd54-4482-9996-f7c68de1297f	0	0
239e01d9-a0b8-48d1-8a20-fc1701e9a87d	11.1837229437229446	0.932073216257816251
ca095067-6467-4b49-8870-f35d92bcca72	0	0
38cfdf69-0106-43bd-9497-819ef90aa672	0	0
99700580-33c0-45e4-b34a-d46e8e375d15	17.1436818181818182	1.42878777766414133
6e226c91-6bd9-4d2d-abb6-0f7fd5702d52	0	0
a4178143-380a-40d1-b467-339feead6e0e	16	1.33347111111111105
b3156c64-11ce-44d1-9d50-9a55485b1b0d	0	0
2290a9c8-b4e8-4eec-9672-e699b06ca779	0	0
2681cb74-5e39-421e-adf7-ab6937684e0f	0	0
50b7c0d8-bbb5-4149-8bb5-587ddf929297	0	0
0b45308c-b151-43b0-817c-07afdd01cd03	0	0
e3136d7f-c58e-4052-99d4-90ea22b5d88e	0	0
5c59787e-0476-44e2-b3ea-26e1d174126d	0	0
44eb5039-9228-4f32-a08c-2af2f391947a	0	0
c907c4fa-003f-4afd-9593-b109e6229171	0	0
ce30bcd7-7ef3-427c-af00-5bcc78544865	0	0
0fab09a6-f9e8-4990-880b-a2b43616bfd1	0	0
2e1bf4a7-0f03-48a5-9c2c-9c2e74bb1bb5	70	5.83393611111111099
b6870479-e6fb-4c7d-a7d6-d3f8341a4cfd	0.594125249072381956	0.049507796866035951
3af99249-1999-4e12-8351-76cbf2a49ceb	0	0
fccac8bd-de41-4894-bcc8-56b07a2949ee	0	0
8de5ac8a-7ca7-4a77-952c-c91af0310512	11.1837229437229446	0.931927206541606545
62e3c27f-8c39-4a9e-b90e-da8bf0fdc3ee	0	0
feb21109-db54-4980-9d7c-c62811a59e2c	0	0
4f42ed93-8ae6-49ef-b14a-7305484c5fa6	17.1436818181818182	1.4285639573737372
cd915a19-57a5-415d-a12e-a7e2c1a94dac	0	0
7656baf0-4cc5-49dd-b475-49123ded7b4f	16	1.33326222222222213
789640e2-80ff-4cc3-b4e6-96956d8a3277	0	0
84f1aac6-3fc6-4ec2-b9e0-a0b9e0e4b453	0	0
7937891c-1b51-4a21-822d-219f4260378e	0	0
715b1174-f64a-48ac-9113-8a14247f5e65	0	0
13971fc2-9c46-4c6e-9553-1b794fd2eab6	0	0
bb957dff-7dd8-41f3-bf48-6554b1cf83d8	0	0
f7ee1527-a73a-45d3-a936-b368eb369e54	0	0
130f645e-b504-40f1-8f17-4e743acd53b1	0	0
36517de4-a9b9-4725-937f-07cf87686e45	0	0
2f8bbb52-10d6-4a6c-b254-bc591d4e8cc1	0	0
2ee7e3dc-588e-416b-9ea9-d74d8689e300	0	0
b5b2ea9e-3590-4df3-9ff7-7116eddeee82	70	5.83302222222222166
00b0e0ed-5ccc-4912-b24d-32ad35c2d943	0.594125249072381956	0.0495190192318517713
f9f28ae7-64b0-433c-b5e4-e048009c52b3	0	0
7306c7e9-856a-4e47-9b04-0f7bff685f76	0	0
930f087f-af52-45e8-adb8-559cd4654bff	11.1837229437229446	0.93213845464165479
159bb7d5-8e45-4ff1-ba4b-27a3254fddbb	0	0
e733affe-71d6-4df3-84e9-4674ffa2f923	0	0
9025415c-1c2a-4650-b99b-09d8fe2d1b43	17.1436818181818182	1.42888778247474768
c09a7f78-5794-4fb3-9abf-cf93a58baf27	0	0
d6ac25cf-4f00-4a91-a3f8-16a5adcfab45	16	1.33356444444444455
55d31a8a-d998-4070-bf12-e24bda7fe2f6	0	0
23c7c115-38f4-465f-a28b-5acde2c5e464	0	0
08066dd9-4a90-46bf-8ed1-f40ef172a865	0	0
5eccf203-f830-4a85-86f5-ddfadfa058c5	0	0
7627847f-3c35-4856-9349-b53774d9b504	0	0
0a6ff83a-a07e-4563-81c3-8852d3b8ef8d	0	0
956b3619-87fe-4d49-93c2-52019fa4d90d	0	0
38f5c8c2-a852-4b8a-90f3-38778cf03f9c	0	0
60a1ab4a-1dc5-4988-bb84-d3e6994ddedc	0	0
fcc155cc-f8ee-4abc-891d-0c11a667c65f	0	0
79ce29be-336f-444c-8921-cf417a95c4dd	0	0
d4c5e435-65aa-48b9-b00d-25020e6719d0	70	5.83434444444444456
f7682ac1-6535-497b-81f1-c45d44fd51fc	0.594125249072381956	0.0495148933620665407
72cac931-368c-4e00-9b34-fb6354001ef8	0	0
9891028b-f8c6-4338-952a-a1ded4f97d04	0	0
d6182f2d-dff5-4175-848d-2fbb5e8b6aa6	11.1837229437229446	0.932060789898989994
9c4f6ad2-5674-40d4-83d4-2481fd9aa501	0	0
250d823a-f88c-4142-bd12-028985765755	0	0
eaaab4fd-7efd-4063-9c0f-e3ebefad45fb	17.1436818181818182	1.42876872912878783
731ab737-88f8-48c2-ba90-82d1c442d5d6	0	0
4007f683-c545-47c3-b3ff-54c8ae8e11b1	16	1.33345333333333338
1a3c535f-313e-4c33-b27e-dd4aaf7f63d2	0	0
c12ecb75-a671-45e4-964a-f418b2c4b711	0	0
a56eed55-8af1-4e85-b949-c8b51af7210b	0	0
7b2767f0-5ed5-42a9-bc24-b0b58c892ef7	0	0
6436b6b8-7e78-4878-80ec-3e60b6d573d3	0	0
7f3bf1fb-d89b-4d82-8643-138b652b1309	0	0
1617b325-7b47-4412-9f3d-52a601b70dc3	0	0
67db7a9e-a01d-4f37-9cf3-7016610ffa0f	0	0
7b71a32d-a45c-4009-9b0b-0102880e7b7f	0	0
df95c1d6-7665-4c80-88ac-8e8c8a32f465	0	0
83694755-c07b-4fb9-be13-932d58b61d2f	0	0
529104ae-1a70-4f49-911f-c73e82cf2039	70	5.83385833333333359
baed0e96-bb20-4af8-a9db-283a80773f56	0.594125249072381956	0.04951291294456963
acb76b51-7517-40be-8f6c-d93163e3c815	0	0
0ac3d3af-dd70-4a4f-a615-fb90e1a8ffc0	0	0
24c9f386-4987-47fc-a409-603031861bce	11.1837229437229446	0.932023510822510892
0e70944c-e2cf-4fc4-8daf-65a317bc548e	0	0
b9aab9bf-59dd-4077-bd55-2ce33eaab762	0	0
9708f413-46de-4600-8f81-ac32b3bc1a3f	17.1436818181818182	1.42871158352272709
cf242596-317a-499f-9e5d-ed940deac140	0	0
5118db1c-9537-4a25-85b8-f6a99a10b82b	16	1.33339999999999992
c9f92c81-4ac4-4eb4-91d3-4bea7e774f87	0	0
44f1b4fa-ec06-4ecd-93b4-2377e1ff3f0d	0	0
57714195-578f-437e-acbf-583d3dd58170	0	0
ec4ac84c-d9e5-4f62-8661-90a570e71ed9	0	0
b348199a-c9eb-4ac5-858c-32d398a89755	0	0
de38fc5c-3e3f-4e8b-bc00-4980a7016327	0	0
45e51704-fa69-4072-a9c1-1f66d318c079	0	0
18462010-7735-4bf5-bd81-54bedf3108e0	0	0
a3ebb427-c01b-4979-81be-1aafeb7b4bb2	0	0
17b84577-5e16-482e-8138-b1123ab44f00	0	0
a4e45838-7149-489c-b3be-86aec0569f52	0	0
95e03348-e683-4845-8c05-d6c6584c5aa8	70	5.83362499999999962
f2e98736-bc7a-4636-b86e-9ddb81d6ac87	0.594125249072381956	0.0495147283272751315
db8164dc-43a9-4376-b0b3-5b59d93b3845	0	0
a5dce11d-40a5-4d3e-ae95-faef3016ae1e	0	0
8bb1fd1c-5686-4551-9157-5fcc84ecd6ba	11.1837229437229446	0.932057683309283402
05d3f863-6699-4b54-9253-fcb2942baa88	0	0
92a3a864-d81f-4dc7-940b-52f63d35f1f5	0	0
1f8c5e11-68d9-414f-827f-d9dabd0f7718	17.1436818181818182	1.42876396699494945
121b0a53-0c6f-4143-a612-6d4987d73aa6	0	0
c9137fee-2897-450d-9a83-2c293e5aa523	16	1.33344888888888891
38a06ffb-eeec-4b0c-8fa5-bb385d86c9db	0	0
123f1182-87c3-475b-84d8-fe281cd7d817	0	0
a7796f68-a713-40d1-991a-c46c03a3218b	0	0
6a56b4a3-1fa0-43f5-ba29-c9da7df84371	0	0
7b3bad4c-4af6-467b-9528-7728e92de530	0	0
dc6a7621-12ea-47f7-b37c-3cb4a24a4584	0	0
92b655a6-09f0-49da-a8cb-5855a16b5ab6	0	0
1efa083f-f625-41ad-bf1e-f7fe3cd013d6	0	0
589d1d32-0866-46fb-bc52-adc3bda8bb0a	0	0
c73002c9-9703-4e1a-bf8a-c6b82b8105b8	0	0
1952bb9b-471e-48ac-af1f-297bf19950e7	0	0
a45d58c7-296e-4eef-b15c-dac275c9e8de	70	5.8338388888888888
8bd42121-2840-4a42-b0ab-c7c3455b610e	0.594125249072381956	0.0495119227358211747
be448f97-24bb-49ff-b205-3c6e4ed19497	0	0
805ad2cb-0031-4631-b98b-fac82ed268b0	0	0
51cdb46d-d304-474b-a066-eeeca98e70b2	11.1837229437229446	0.932004871284271341
7414c9e9-b54c-47ce-874c-74a0ee9adf62	0	0
05eced74-0031-4bad-b2e0-a305ef451f1d	0	0
44cca160-3da6-4196-b66f-f27223275e9e	17.1436818181818182	1.42868301071969683
7f777024-b710-4566-85cf-183d95bbee88	0	0
c1143a0c-307f-4869-abac-3b75b4bcd5c1	16	1.3333733333333333
7038da6d-1c10-43e2-b42c-894c1baae5c8	0	0
3cd7ef66-875f-47db-8a4c-5bbf38cb18f3	0	0
d024d2c6-b036-42ff-82c0-63f3d116ead4	0	0
840e437f-79b8-4679-a007-3a549502997e	0	0
a7ff47f5-aea8-4f7d-97ce-2bc0949b221d	0	0
ef17f815-a2b9-4ec7-8465-1fbfe740f672	0	0
aa0e21c1-eaf1-4c31-ba25-ceaaa0e55e74	0	0
3fd46e03-2cb2-45ab-b3a0-60ec997c7f8e	0	0
6cd71d15-e4f1-4211-853e-67ff40566312	0	0
ef191588-273a-4b25-8cf8-3f150e878915	0	0
1a64568b-b26a-426a-9b65-c37f9039fd0a	0	0
bad610e1-f866-4f22-9a3e-d0d5c5057545	70	5.83350833333333352
a531e599-0a27-4f1a-967c-567dfd523b22	0.594125249072381956	0.0495148933620665407
500d5d3a-af15-4883-9916-20434721c4ef	0	0
17b042cc-0969-4b6c-ad06-6765ae8d7128	0	0
9749d291-a8f8-4b74-bcf7-33fbb7f6aee5	11.1837229437229446	0.932060789898989994
ec48998b-f472-4bf3-9bc1-fa78ad32bf29	0	0
a2910e40-446e-4750-b8f9-9adf10e34dae	0	0
60247430-3295-4f09-8959-d75be7967846	17.1436818181818182	1.42876872912878783
9dcdf3ed-5ac8-4604-9d40-977699370e56	0	0
ce465067-472b-4bfc-8f56-278605dd77f4	16	1.33345333333333338
627ea2a9-bbeb-4da6-a7e6-140d446be89e	0	0
dbc40068-96f9-408f-9eec-d6d57ddd15e7	0	0
ca29390f-426a-4bfd-826f-0e8bc911d835	0	0
4ed55092-76ed-40d5-bac9-eb6876ef1b01	0	0
3cf9c60a-98b4-45ec-a781-1134e13db046	0	0
3087588f-c0c1-43fc-9403-9dd22015e512	0	0
909edc67-9a7a-4834-a5b9-e2f987866011	0	0
6dd10ce5-bdc0-4932-b010-063754acfb8d	0	0
2a84d40d-6158-4e84-85df-14f85a212ec1	0	0
43aee308-8418-488b-8fdc-f0950af0ce95	0	0
4e5c73fa-4bda-4ef0-8903-266ebe0a9d42	0	0
4e0403fa-fb37-4cf5-8563-12e9dfdef62c	70	5.83385833333333359
03810e59-badc-4718-bbda-87553b5d0eb1	0.594125249072381956	0.0495132430141524485
2f0010b9-a54c-4970-8b19-dc99ba817d50	0	0
ac061ceb-af31-4f34-afea-e49c87fd6b4d	0	0
faf70af1-cca6-412a-8df7-958ff9296b01	11.1837229437229446	0.932029724001924076
ceb18146-dfa8-4bdd-a241-6cccde88a688	0	0
36be64a0-5c8c-4829-b1c5-8924223f4c71	0	0
cd87940c-206d-45e6-a398-3720bde9a2d5	17.1436818181818182	1.42872110779040407
bcdb1b39-b10c-48dd-bf25-0cebf0f812b0	0	0
64a42601-0900-4594-aef0-95f8edf1bc01	16	1.33340888888888887
6a05efac-8277-4b43-b9a5-e5a1f0661818	0	0
fbe301f5-7098-42d0-bbb0-e44014ce35be	0	0
4526188f-412e-47eb-8d1c-8927833ea7de	0	0
cf63b228-5067-43c3-8d61-89bbe6579fab	0	0
55feed2b-2772-4b72-86e3-a3ce56bd3b97	0	0
7e155124-b772-4f42-9799-48aba6a48e4d	0	0
9f1435eb-d637-4d38-bd63-f5252c7f7b01	0	0
e3d92c7f-697e-4d1a-be14-491f61b173fb	0	0
28b468e5-8443-4135-995e-dcba1e9ab94a	0	0
75af6315-c9aa-486f-abae-43381fa5d155	0	0
2e64953d-077c-4dc7-a69b-1d72ce839437	0	0
7874edd8-61b3-4437-b8b3-c1453953078f	70	5.8336638888888892
e7902c92-6e99-454c-8da0-908b262b5ce9	0.594125249072381956	0.0495079619008273603
8040a2a4-178c-4ec8-89c6-f12f456a0a1a	0	0
808735ee-9e46-407c-9993-2aa4c8e0d989	0	0
7ca58b87-1053-4d5f-82bf-b513d9534aa7	11.1837229437229446	0.931930313131313137
6feb7eaa-a4c7-4687-aa38-521c9b31b7b5	0	0
956c33d5-bc20-45d8-9790-72fc50312ff5	0	0
2d57f946-8e45-4a0d-ad86-c480a4b852f8	17.1436818181818182	1.4285687195075758
3d1cf16e-a796-4a51-8807-2ce28dac5e4c	0	0
887f5ddf-b2d3-415c-aa40-df10c2d44c66	16	1.3332666666666666
d788c0fe-28cb-4087-89af-e7f0fe7e1295	0	0
5662af17-5da0-428f-bb58-644851b97f5c	0	0
ff2239fd-ef13-48f0-a7d1-fccdb8269396	0	0
80693bbc-b801-48c1-a932-27d6f6b7ab87	0	0
2db1236b-2167-4086-8b4f-4a985217409f	0	0
eceb5538-fb3d-4a6e-bfd0-3eb48f0483aa	0	0
b6a02d37-2c76-4456-8718-93ac8850aec1	0	0
dc922ca7-3cac-4971-a7ca-006b5e39faf2	0	0
ba961692-d331-45a6-a5e1-392a5f371cf9	0	0
5bcf2956-e646-499a-b420-968ab3b12029	0	0
a178f4ae-fe7a-4794-9098-445d0efddce2	0	0
1b0321ce-608a-4b6d-9fe0-3c47b990b464	70	5.83304166666666646
64819dba-9b2e-41e3-b077-a0d920d9781f	0.594125249072381956	0.0495226499972627673
6338f75c-6ada-4046-933e-cced2013bfbb	0	0
e7ad6835-ab6b-4f15-9d20-a7c7358bdac8	0	0
64ae229f-85f1-4043-b7cc-13848941ae10	11.1837229437229446	0.932206799615199699
3e433307-3e59-4d65-befd-0f4aa288d3f1	0	0
831d6968-3cd9-4fa1-b38c-c22e8d66bb7f	0	0
5adcad13-2a82-4ed4-8cb1-878012521209	17.1436818181818182	1.42899254941919196
85a4b83e-606a-4b64-914d-d1c6265525b8	0	0
9f423214-2421-414f-bde4-a9d6ff84e791	16	1.3336622222222223
3fd27621-85f4-4220-bfb5-219bc3e9f7f0	0	0
bda5e676-2a79-4b58-9b8c-33ef04ab2e12	0	0
a8b0b4f1-b1e3-45b2-a497-4b92caad82de	0	0
fde7f0dd-2412-42d2-8087-c647a1f178cc	0	0
f3546062-6199-4912-a794-e7ed8665a6e7	0	0
ab9aaa68-5010-4658-84d1-357c904fc1ac	0	0
a3b86071-4dba-4e9f-9426-8d89900225a0	0	0
162bde67-85ab-482d-a583-4b2d42949f98	0	0
323c1a7a-4dfc-44eb-b8bd-fc2f2b401b5c	0	0
84abcd28-1df5-4f3c-852d-e3a5be79eaa7	0	0
628ae1c3-9d45-44ef-ad71-4b9dad703b5d	0	0
f7a56ca3-343a-413e-90e8-67f58f281c23	70	5.83477222222222291
7b963347-d6fd-4715-a879-08973fa8f872	0.594125249072381956	0.0495147283272751315
0ee461ea-1d1e-4e18-9fc6-1ba798811dd8	0	0
1edcc324-bb6d-447a-9893-4ec5c94c3e83	0	0
d456c37e-d2d8-4c4d-8ecc-56d89cb5bde9	11.1837229437229446	0.932057683309283402
137b06b9-fad2-492a-9622-4d622c5cab8f	0	0
46c520d3-adc8-4963-b560-73ecd624aabe	0	0
6afb03b9-f425-4930-bf1d-fadb15915773	17.1436818181818182	1.42876396699494945
aa0c917e-2dac-4418-b2d1-1cb8afdffb48	0	0
e6217c32-980f-4ba1-bc37-4e4ac9f69a19	16	1.33344888888888891
a7cb2ffb-bf2c-44aa-9a2d-f9eba4976e63	0	0
b0279b23-6a3c-4d4a-9afd-29d92bbcaeb5	0	0
a4fd6089-01f5-4023-91e1-55d69facd2cf	0	0
a53eb2f8-d5e1-4c6d-a785-d5c83b87493f	0	0
9446d3d7-7cc4-4455-b789-2cd50dd60e39	0	0
a67794c4-0cbc-4f69-b3c1-525884ae0407	0	0
87699146-8924-4a92-a94d-2b288e33209a	0	0
384b0ea5-6126-4c92-92ae-25fa38ff6406	0	0
49214b63-a838-466d-bd4b-4815463a482b	0	0
cd4aec79-4114-4903-b5bf-a922c777166c	0	0
f6a137b0-e7c5-4e9e-b326-253aabb6af28	0	0
cde0f6e9-aa40-4855-b853-fb45eeace817	70	5.8338388888888888
03bef70b-75cb-4490-a797-01da89819a08	0.594125249072381956	0.0495120877706125839
59711eee-4c4f-4024-9297-2af55b3c73df	0	0
b5fcaed3-3f7a-44ce-a33c-677bd31ea842	0	0
39341e02-e79a-4801-b4de-76b6f7516ea8	11.1837229437229446	0.932007977873977933
af918cdf-a8b3-4a8f-b64a-3732d895f879	0	0
7131306b-f273-479f-b6c6-bf08827a720b	0	0
7da493c6-2c03-4939-90e0-adefdaf73008	17.1436818181818182	1.42868777285353543
c32074fa-4d45-45e0-a6ac-3eaec2ece15b	0	0
c5322bb5-eb85-4261-82a2-cb5c674b27dd	16	1.33337777777777777
6cb7b377-7f46-498e-abd2-98ba9bf719ab	0	0
1960fafe-89d1-417b-91cc-ccb8c40c181f	0	0
a5f5a8c9-d344-4499-908b-d03a1ad04423	0	0
fe81c18e-9d9a-467e-859a-5dfca9a74de6	0	0
5fffeff9-dc33-4da4-b950-944d2e21a5a3	0	0
44d3414a-8109-4b6b-b941-4d4678651f0b	0	0
f060cfa5-0834-4539-b786-95b9911f393b	0	0
2302b31b-1039-487c-bb7d-6c9eb1e36ed7	0	0
25f009b9-0ab9-4b61-8999-d32ebf0a45c8	0	0
32aba160-fb7a-43ae-b7d0-71572f5aa5f7	0	0
fc22259f-598e-4ed3-b079-60f083f1618b	0	0
0200aa74-34f6-4350-b1f8-f00bd8ceabd9	70	5.83352777777777742
99f30da0-a3eb-42a7-a1ed-ec5085a7a56d	0.594125249072381956	0.0495135730837352669
00a4c54a-5706-4aed-aecc-687a2dfc8786	0	0
2e077db1-eca9-46ae-8220-1f5770c4df11	0	0
bdff1fb9-3b47-4156-8678-1e0f2f84c025	11.1837229437229446	0.93203593718133726
798e7a70-4084-4868-8417-2162043eb02f	0	0
762a9503-5333-4b93-9d0d-11da73f88d8f	0	0
ebe79078-7dcd-4ef6-a57b-bc0c9501ac12	17.1436818181818182	1.42873063205808082
43d895c0-d54d-405f-a0a4-935c4bd7c581	0	0
c3720060-b34a-4b3a-8697-d2c16a4294cf	16	1.33341777777777781
3836187e-ae0c-4455-af10-c2c9721e1d9d	0	0
5f5a9484-0fa8-43ae-9efd-208acb7f43ed	0	0
3a7c460f-0902-4c57-b72b-68910168ea32	0	0
1c8463c8-b96d-4a5d-9576-ce5b660a65a7	0	0
a6900967-0f87-4356-875a-a9b84bab2d5c	0	0
0b1b9e6e-170e-482e-b8e1-e4957a55d6af	0	0
3ec6139c-7ab9-4733-a309-9d77b838c041	0	0
15bfc648-1908-4ebe-9783-a409595f1feb	0	0
eceb2736-4e60-4cf3-848c-f4f686210a36	0	0
36e8768f-d16f-4413-afb4-a4b82919a493	0	0
24c5b75b-2c32-40cf-ae44-307da5e7981e	0	0
feca648a-dfac-4409-a69c-c59e7b444696	70	5.8337027777777779
605c6cf4-7954-4ed1-bfcb-dd13397ac390	0.594125249072381956	0.0495091171443672179
82a48872-e4d3-40b8-8562-b42db88670fd	0	0
0a114cd6-a55b-4bdc-b34f-3ce06c8679ab	0	0
bcfb4203-37c1-4c13-85f7-c2eccb4deedd	11.1837229437229446	0.93195205925925928
b6f942de-e101-4624-bc3d-ed0f4f3201f4	0	0
dc632203-d6bd-4832-b3a7-c75730215757	0	0
b77ded84-9069-42ce-bb5b-698de880e8e0	17.1436818181818182	1.42860205444444444
f0a3199e-5267-4faf-8636-2b558ab8a3ab	0	0
4c532746-e138-4248-9991-23116b5c93d2	16	1.33329777777777769
fe11ad15-2521-44df-ae7b-d239f8160780	0	0
fd32e8d5-a2a9-4e9c-916f-cff4c82ea9bf	0	0
2d19a139-8eb1-4275-b1d5-c841f927f6ca	0	0
f0105f03-a6f6-479b-a68d-5b67a62e73b5	0	0
28e8494b-15b9-4117-a9df-50e1622fdedf	0	0
63e02fa6-a174-4c47-b936-af058621a26e	0	0
bc1802f4-3292-468e-96d8-5505012e0b9d	0	0
632f9cdc-3514-48b9-90d4-f442b07bfddc	0	0
c505de07-8c00-4f59-843d-387486713efd	0	0
9875eda3-9aa5-4e8c-a7fc-71afeee7a49f	0	0
063664a7-4ef4-4bfa-a4d0-d04fcbc47b6b	0	0
42f5431b-f753-41fe-86e1-d5f927f5158d	70	5.83317777777777735
a802dc50-7423-414b-884f-382a2ba005cc	0.594125249072381956	0.0495211646841400843
774977f5-c156-44e9-81a3-12aec665390b	0	0
bf9fbcfb-813f-459a-abd4-a2e72519fd72	0	0
869983ba-8876-4463-92d9-89d1b8cf74b7	11.1837229437229446	0.932178840307840373
3ded8cd3-1c4f-476d-8c44-01fe0ebac7e9	0	0
b2d6999a-2b80-465b-84f3-7fc5456b7c2a	0	0
02cdf4ff-bf7c-41a6-a092-29d25f0f15c0	17.1436818181818182	1.42894969021464657
8f233c08-a0bf-4dd3-9481-61e08c515ce5	0	0
f51893b3-1790-4542-a43e-9688b832cdb8	16	1.33362222222222226
8ca3f6a5-4e53-4a40-8c5b-2891ce88c521	0	0
4878e0a5-4240-4028-8b56-df354f22d3ed	0	0
3f3c3b55-3eae-4c23-a3a8-a8d165081ab0	0	0
0d4c87e6-ca8c-4e77-9a87-3027d00cf3bf	0	0
924825d3-5fc8-47f9-ba09-3ed5b99f9020	0	0
4d945bda-25e1-47dd-adf6-d63c1a356fd7	0	0
9430412b-df38-427f-bdc9-aa982c7dcf21	0	0
cf1573ab-f4d9-4a73-8441-3865b0a63bf3	0	0
e73c27c9-81c5-4faa-861f-a368fdf9c3d9	0	0
26afb946-0155-493d-97e6-1b451c8ec67f	0	0
10a8db95-a7f4-4683-9528-107ad588a9b3	0	0
ba923aa4-d3cd-4ac2-b05f-97de9bdc6a3f	70	5.83459722222222243
fa8ae1f3-91ad-4f67-88a4-821011d471d1	0.594125249072381956	0.0495127479097782208
4d080ef5-2e6e-4435-9cf0-dd99de735632	0	0
212f3fbc-c101-4831-a6bf-1eaebacb1ed5	0	0
3d3a5dcd-d08c-4255-ab8b-f40114bd4078	11.1837229437229446	0.932020404232804189
e54f9523-d47b-48af-bd40-b7671f5d95dc	0	0
af9dc224-5830-4dce-9171-6c48ec28f219	0	0
25078d05-83ab-4ee8-bea1-595a1e95215f	17.1436818181818182	1.42870682138888871
f27275db-5113-4d0e-a1c3-6d424d5ef1ba	0	0
1b5bf42b-c08a-4c42-9c57-cd528c0e6a9e	16	1.33339555555555545
8b80e5f9-58e3-47f2-aed1-b82fc5fd2af5	0	0
58a03e94-25a8-4c91-95ef-3c26135303f8	0	0
13aadfb0-aa81-4cf0-9a87-ddee79d6102f	0	0
00036bf6-5443-4b58-8731-7977000b0e24	0	0
ae37c93e-fd83-4e04-a0be-85ef337ad950	0	0
8748afd4-7402-4896-b37d-1e06eb4ecbfa	0	0
9770e2ad-382b-424d-bc1a-706c249f6ecc	0	0
aa1723bd-690a-4efc-a803-a49f51788488	0	0
79755124-f2de-4257-9cc3-34e07c9fb087	0	0
2ea17a6d-e304-4b26-b0f4-fcc1e081fff3	0	0
f30953ea-1c31-4591-9a15-f6acd5cdc16c	0	0
a028c897-aa37-47ea-9b05-0c1d66774ff3	70	5.83360555555555482
1b0c419f-71b8-45d8-a493-ddff1e2b9d56	0.594125249072381956	0.0495122528054039931
9213f4a5-de34-421a-beb1-144005344e62	0	0
9d829ca4-3eda-442d-8e0d-c98c31049a2a	0	0
68dda5e9-3ad6-4a0b-b014-9d4ab562fa80	11.1837229437229446	0.932011084463684525
c696a854-a55c-4938-8460-654514217b61	0	0
29e0b717-dc7b-4c24-aa2e-a8ee7f68d34f	0	0
b7afe820-8052-4cb8-af00-77d0352a6c85	17.1436818181818182	1.42869253498737381
61dff60b-1a16-4ce8-b97f-4ce890062ec8	0	0
95e733ca-f468-48dc-9ef6-83237bfdb9b8	16	1.33338222222222225
63b241e2-7403-41d0-a740-8a661b50c8a0	0	0
0f8f997f-e123-4983-9d4d-941519c74983	0	0
939c736c-1295-4b2a-8cac-6f184f671ccb	0	0
e3dfac75-0c38-454d-966e-49769508cda9	0	0
78539798-9fc6-4b8a-8571-e06ba73291c5	0	0
729e1dbf-3285-4f43-a2de-00c7a9753dbd	0	0
92590721-2acf-4739-a817-54f2d2c40601	0	0
a050f9bd-f4e6-49f5-8a27-d67d67c06de1	0	0
a2c24cd5-eca3-466b-a828-9fd9afaf38d8	0	0
058300a9-c77f-432b-993d-cb40fab504dd	0	0
c179bb80-2f50-496f-8186-fea444f330c1	0	0
ab3e45d3-b052-4dda-8d12-3e988e744e8c	70	5.83354722222222222
442763a7-6065-496c-a383-f7a9699c9310	0.594125249072381956	0.0495158835708149961
374994b7-7fee-4e91-a85a-e7d0cf056e00	0	0
b31fc766-c57c-4364-9b7d-8ff949a3827b	0	0
b0c90057-bc0f-4cc3-8a79-0747acbe658b	11.1837229437229446	0.932079429437229545
6fbeab06-d94d-47a2-a3c4-9eed5a357c4d	0	0
37eecbb5-b9f8-4e84-96b0-7dc927ceb17b	0	0
1e528be8-ed64-448d-9aad-b69e3e778f40	17.1436818181818182	1.42879730193181809
e9b252f8-130f-4ddd-930d-2424530dab52	0	0
f656429d-4506-4f98-8091-1546b27b3501	16	1.33348
bc73b6df-e5c7-4152-8d4e-26ef30bf0fb0	0	0
ca1f3abf-7d76-419b-ada8-240577287241	0	0
c1777ae8-3875-4a61-b587-678223a5c60d	0	0
a6dd3a0d-e458-456c-92f0-295552fc3be9	0	0
ddd41986-eab5-4f25-910f-1696c1bc0a48	0	0
5932c916-b685-41bd-ac4e-4b2481afc867	0	0
9467080d-cfdc-4bfb-81fa-b2ef7d12afa5	0	0
ed4edaa1-f158-4964-a747-ca1386fb9f2c	0	0
f5fa165c-3e82-444b-8184-6784b72c6720	0	0
44165a14-ecc4-4c76-b4bd-86e3abb82063	0	0
de750498-9bfa-4178-94e6-db1c12c6c9a5	0	0
d60920a0-07e4-401a-aec3-ec49f8a8e25b	70	5.83397499999999969
9ed440d2-1fff-4708-aeb7-1b8237ab6786	0.594125249072381956	0.0495104374226984917
443bd3dd-1f25-46ed-8b31-7fc3b6511e8b	0	0
48e5fd20-9b52-47a9-9f66-3671d3df4955	0	0
b4b9a0e2-ce62-419b-ab85-8b793cf608b9	11.1837229437229446	0.931976911976912015
01e7929b-e554-4ca1-b993-7bac1a91e65d	0	0
8831beec-3b2d-45d0-b4e0-0010ce3c2c75	0	0
ff7e8504-b94d-417f-964a-c820aacb667a	17.1436818181818182	1.42864015151515145
ac519abc-3daa-4964-8cf1-c342e575785b	0	0
4c78f326-c493-4b35-b690-d34c3da0f3fa	16	1.33333333333333326
4ac0b15a-5f24-4e4d-b110-2f8b4851cd08	0	0
5a3b247a-8743-4c90-891e-2f43e89be7f6	0	0
c9c759be-dda6-4a95-abd2-d30b78dd3632	0	0
6f6ffd18-387c-4fe3-9287-6d1d5e3c03bd	0	0
6492bca0-81ec-418c-8f46-71591124863a	0	0
3c8687da-87ae-4818-a088-f04a5e62dd7b	0	0
e71be726-59be-4463-b74e-6efd37127625	0	0
a1c1e3aa-f2a4-4d9d-850e-fbabff723408	0	0
cb7d2030-80ae-473c-ae11-f03b9264d520	0	0
06def54d-9271-4263-9837-0783476aa46a	0	0
74bc9734-2993-476e-a970-d2553c834214	0	0
f20b42ae-057a-4231-b91e-d8730cfa90d8	70	5.83333333333333304
0d848a1d-1465-4e40-a3e7-19f7889278e6	0.594125249072381956	0.0495155535012321707
f6bb1abb-1f0e-4576-84c8-6dac35ad3830	0	0
cb10229e-9e68-47cb-b5c8-9db5d168616a	0	0
acbc3990-b8ba-4192-9769-6d8da83a7bcf	11.1837229437229446	0.932073216257816251
87302e25-f711-4ff1-95a8-e805394a0aa3	0	0
9944eda3-e01f-4478-8c39-e1949fb6c618	0	0
886204db-87b9-47f8-96bb-747be761e91e	17.1436818181818182	1.42878777766414133
ecf92193-e7b9-4da6-ad6f-9b868bc80c38	0	0
3df63bff-95de-4e0b-a739-d7419333a350	16	1.33347111111111105
09d96edc-ee6e-4451-8635-7506c5728d3d	0	0
47de520c-84bf-4272-88a6-b8141bb2d438	0	0
5cfd5f24-50de-4a42-b213-25421b36d382	0	0
09d455fb-cb9b-47b7-b322-2d3fdefd85df	0	0
cc839ca9-205e-4e86-b57f-57bc15ccbeac	0	0
2c98b6aa-3970-4c95-b837-1471033795e9	0	0
b0cc61e8-c5e4-4544-9711-bcbe1357489d	0	0
5c6452ba-6658-443d-882a-0a530edd7808	0	0
f4611832-ebcd-442d-a5cb-7e10ed364d17	0	0
0ec5de95-855f-40f9-902e-868d9191d3bd	0	0
019ccd25-8e71-4c07-9931-c33d4a4618bc	0	0
d3284fa9-c5b9-478f-ad7e-83e8e97cb498	70	5.83393611111111099
1ef17fe1-8ce6-4621-8ec7-7b3cbacbb9d6	0.594125249072381956	0.0495135730837352669
9969b419-dab2-4add-8186-3746a9beeb31	0	0
7596440e-8c2e-4ba4-895f-a4fff488f819	0	0
ceda26b0-46b4-4b7b-9f41-40d695a7225c	11.1837229437229446	0.93203593718133726
95a14197-963b-4e0d-bd6a-4fdddbb24e8f	0	0
55a3c24c-0c4b-48e4-80c5-dedacbb036ae	0	0
bbbb55fe-3816-434a-a7a3-a46798e27ead	17.1436818181818182	1.42873063205808082
5f9f7433-573f-4b09-9e3e-f8f2b71fd2e2	0	0
e7c89d87-d18a-4747-96cd-57db23581dc2	16	1.33341777777777781
125555dc-7741-4ea4-9516-2ca9203a19e2	0	0
0837f944-bd14-4f6e-b998-b2d0dcadb49d	0	0
04c802f8-362d-42fc-a8c8-7490b0379e0a	0	0
fd4000f0-d3ee-4873-b059-aadd082464a2	0	0
3d29cd8e-08b8-46d3-b62a-37739e1cf5a1	0	0
6c8adb8e-2874-49af-af7b-aff67a28310e	0	0
c92081de-5151-4e76-b124-d2e960a772f9	0	0
fff0323c-d93d-448d-a980-1949315173aa	0	0
a1a7bcf5-42db-40c7-944c-726fa0d90d81	0	0
14294d24-0c88-40c2-a6e0-4f53bc63a2f6	0	0
a025f297-e10e-47ff-acf3-b7de3252288d	0	0
99b29a5c-d59f-4ae6-ab49-584c724f2196	70	5.8337027777777779
8f3c0526-74dd-4c6b-92bc-633886aa50f9	0.594125249072381956	0.0495147283272751315
db6ff682-e5ef-41c0-98f6-40453b996156	0	0
b10b2cde-44a0-49ff-acfc-31b6a4ff019d	0	0
fce8dc63-28a7-4902-9349-4d99f0ac717c	11.1837229437229446	0.932057683309283402
44deaae4-4a93-4cab-a2fd-e397c6a7f7c6	0	0
009e3f46-8ead-4757-8aa1-e2906a83e5d3	0	0
3c00f97c-e638-4cd3-8920-2b24021e745f	17.1436818181818182	1.42876396699494945
04dc2013-75ea-44d1-a049-98e468c8c946	0	0
097f67e4-2f2e-4ec2-90cb-bf69a37f879a	16	1.33344888888888891
16b9ca4d-9fee-4dcb-a775-a325f7300b21	0	0
eaad9ca4-8f88-4925-b0a8-e5b3ddffedc7	0	0
2a371505-20be-41b9-823a-11d8f4fba80f	0	0
145fea5e-ae02-41c2-92a7-4f6aede3c2d5	0	0
fd3b67af-0b39-420f-9888-b3848616864b	0	0
ca7d787d-41b7-4ab2-8aad-784ddb8a6454	0	0
043d11c5-12f6-4ace-86f2-a5c2d95a2076	0	0
a4532e6a-545b-4957-a164-1ba63d70e24a	0	0
71b6bffb-8cb0-48bb-9f71-b3cf842896ec	0	0
e74067f7-4012-4c80-b79f-d8cd1b1681eb	0	0
eb66562c-42c2-4fb3-a916-b89315889eb7	0	0
5f456790-bc97-4598-85d4-c11a00648a69	70	5.8338388888888888
f22532c4-d362-487c-93c0-bafa65c4e77d	0.594125249072381956	0.0495137381185266762
8f73d07d-eb57-4abf-b16d-c422516fca37	0	0
ebc7b42b-bad6-4f64-ad05-3cab4cbfb814	0	0
fe51e493-0c28-4c2b-aa99-07afaf52bd9e	11.1837229437229446	0.932039043771043851
1425c97a-335b-422a-99b4-b764c71bbce3	0	0
88dcf6f2-0b53-4362-a760-4cf7c2970fe8	0	0
e2e0b402-df9c-4df6-a056-db23951fc540	17.1436818181818182	1.42873539419191919
11a4d646-ab23-425c-a9e7-dee4d8555b0e	0	0
52f4de98-1e2e-4743-bb62-d801eb2ccbfe	16	1.33342222222222229
3cb7599a-e508-4db7-9dbe-19770eae6518	0	0
e1820f83-1cd0-4fa4-af52-8acffd365c1d	0	0
ce057e1c-f121-49a7-9427-150c6d74bf8e	0	0
23df113b-99d7-448a-bd7b-502ecdd96893	0	0
8d8b6966-3f40-485d-8e67-849118c70ea9	0	0
00b9fab7-8d75-4362-bcbf-3f33e382e946	0	0
ed1ae9ee-ec64-4ff1-831b-c993be5d88cf	0	0
e8e2853a-918c-4973-9db6-447fcf210df0	0	0
d7d852d9-25cc-45cb-bc7e-6d03f9ff70d6	0	0
ece55c26-4f1a-4444-af37-abfefe8703df	0	0
0e8a6b9c-6edc-424c-9ae1-1a4c56c3a2e4	0	0
a99eb341-03cd-4c15-a31a-91a1dc3ce7b7	70	5.8337222222222227
f1f8d81b-1733-4f3e-9617-daf9b09be086	0.594125249072381956	0.0495064765877046772
90fd299e-ce3f-499a-829f-fec1205067f7	0	0
adb77710-65e5-411a-938b-92ac5f3d9550	0	0
7fbe68be-18f4-4826-b965-30dd3a35d1cd	11.1837229437229446	0.931902353823953811
d85f1dc5-58bb-4a69-921f-c33b6b328eb7	0	0
a40e2552-0639-4f3d-811a-b60404459847	0	0
e029af92-d4d4-4288-9072-afbb609dc8d9	17.1436818181818182	1.42852586030303019
e8b3576f-15c8-47a8-a7ac-82bd215a2f65	0	0
43882653-a47e-4f97-9bf3-d6203014d0f3	16	1.33322666666666656
8f95c82e-3ccd-4bd6-bbb5-9f8b216b1ca3	0	0
a632ba6f-83bc-4116-a299-e1733582fb80	0	0
b5d225a0-6c40-4b9c-a380-61f0e440dddc	0	0
89e94d52-09d2-49ad-bb93-d98a5da4074e	0	0
37aa7e78-1f0d-4334-aa20-6a27d7ec567e	0	0
1a130b29-7e98-4920-87c6-585a5f9031fe	0	0
cee61d5f-64b5-4962-960b-ab4412020254	0	0
a1718bdc-8fef-42ba-8684-016b1d8775d5	0	0
7ad3bd91-456f-4233-aad0-47b79d77f73c	0	0
049aba2d-0ed9-4123-9abc-7d98881622fd	0	0
c628acc8-93bd-493e-8b8c-13b71c95512a	0	0
c876fe9d-ff5c-40c3-9c47-ad012f0a7e0b	70	5.83286666666666598
662243a7-03fb-473f-80a1-a915729ef8ed	0.594125249072381956	0.0495231451016369881
aed7e517-1882-47ed-9184-999b01099a7c	0	0
78ae087f-e85e-4cf9-b6c2-9f28d38f8713	0	0
edbad9c1-b2d3-4c77-8903-fbadeb54a97e	11.1837229437229446	0.932216119384319475
330e691e-6013-4abd-88d3-c6f41fce0694	0	0
ff55cfc4-a9bc-4d10-9d55-c914e3737f47	0	0
5893ec3a-728f-4a74-8771-4535cfa9bef1	17.1436818181818182	1.42900683582070709
eb653be9-8097-459e-832e-890a98b16a1c	0	0
0f2dfc3c-d4a4-411b-b995-b7c825f07963	16	1.3336755555555555
a8b54390-4059-41a3-9b81-3fe1e3580084	0	0
3561c63f-67aa-4240-a1ae-94e619701a0b	0	0
95b37df0-4177-4611-89ef-4b075059b462	0	0
0a81b3b3-e68e-460d-af9c-03a28768b5c2	0	0
0bff48ae-6da3-481f-a101-81418c995f4c	0	0
fcb1606c-f6f8-4844-bff7-47b10a3b21b2	0	0
b3e5a1e8-2b25-493b-97d2-ce0aef7a1ac4	0	0
2d302d1c-bd9d-4129-8454-8070c858875b	0	0
d8436b08-269d-4a5f-9318-e462c892c518	0	0
607cdb45-f436-43c9-8f4a-6a8326f8a13b	0	0
4bc48576-e65d-44c1-a841-cc472bc4cd05	0	0
270e3d8a-2b17-41d6-9f7d-2e017b501ef7	70	5.83483055555555552
c6152d5a-e726-41c8-a01b-e23a897d01c6	0.594125249072381956	0.0495127479097782208
05364eaa-8879-4b7b-8ebe-48b736c8ce24	0	0
d3191b27-0164-499b-8759-15fbe1945532	0	0
16f19bae-622a-4e24-b6bd-9801007b918b	11.1837229437229446	0.932020404232804189
37af0b05-ce31-49ce-b73e-9b9ccfad55a6	0	0
717819be-af71-4264-ad68-cbb2af30a240	0	0
6468afa0-0025-491b-a9bc-b9cd271da44f	17.1436818181818182	1.42870682138888871
df5149de-82a1-4fe3-9107-986889773675	0	0
fa1be095-5b6f-4e27-a1b8-fd51b46b8c0f	16	1.33339555555555545
42d64ff5-b248-4f64-9e7a-f9c2190c6193	0	0
5e48b2e0-eaaf-42ba-a227-197e532d1cde	0	0
14d82227-7a9c-4419-8b4a-fcf9c1dbf7b9	0	0
2767be6e-e60c-4985-8c03-ca8578d55bb6	0	0
30908335-0f37-4c89-be0f-e4e57f4265b0	0	0
a658e929-20b0-42c4-984a-f018e02d3985	0	0
b2edd27b-292a-4eef-a739-96950698273a	0	0
fee6fffc-ac17-4adf-813d-a96f43245142	0	0
5bc15eeb-36af-4820-87ee-04b93c48f80c	0	0
ebaf324b-e644-4741-b15d-07545b486853	0	0
4db2e193-955a-40fd-a4c4-0709f3abaa08	0	0
b2a6cd1a-50ce-440a-b9d3-5d1a3be06a3e	70	5.83360555555555482
40b8f20c-e157-454a-a333-3a9b779d404b	0.594125249072381956	0.0495180290231033091
317c20e6-834b-4eb8-9a6c-507b46f54923	0	0
a8d06ed2-e141-4855-8631-375340299a76	0	0
f3aabe08-58da-4fda-81df-d7e65289e423	11.1837229437229446	0.932119815103415128
1faf6159-e93d-40e4-a1b1-30127d7afe5a	0	0
9810e904-8f29-42b9-be91-7eeaa79f80bc	0	0
cadaca3c-de38-4863-a963-d31f64133efc	17.1436818181818182	1.4288592096717172
93671c28-f810-42ac-99de-46b699b9599f	0	0
cfb7847c-9d9d-4ce3-8eda-fc0657afd08c	16	1.33353777777777771
27f239cf-dba2-4bfa-82cf-2a841bf2bf7d	0	0
f3d97d2c-da7a-4fd3-8f3e-790d62b2b7cd	0	0
eddd3b8a-659d-4dd9-913a-e4f382e23de4	0	0
facb78a8-2c3e-4806-8938-78843d222e74	0	0
2cced530-fcd2-435f-85fc-4de614991e96	0	0
abd0f63a-5d40-44ae-8794-7e04eb92c16c	0	0
7f960494-9793-42c7-b74a-4af423bba285	0	0
7c2cedee-2221-4f43-b18d-2c1b85c3ad5c	0	0
82132f5a-8d43-4a8b-9bf8-97e4a6f60190	0	0
6f484c9e-9fde-45c3-a51e-fad2ab905b5d	0	0
569a2982-3c1f-4106-a219-eaf4d2da0be1	0	0
076f6389-a36e-474b-9d39-6cc7b75ebf56	70	5.83422777777777757
d653f4c0-ee4b-4cdb-914d-d213746632a6	0.594125249072381956	0.0495097772835328617
1e8713ab-5617-48da-a2cc-32d511888b8f	0	0
1790e62f-e200-4109-af64-3f0aa40c25f9	0	0
5c4c8dba-3cb5-4f59-954d-47175038a2b9	11.1837229437229446	0.931964485618085758
7f294771-d180-4037-99e7-11ba67c0ac8a	0	0
6441adc8-eb94-4ca5-8dce-e0cfdb707f64	0	0
8272f8e7-4f45-4d81-a6ea-fc07372dcc63	17.1436818181818182	1.42862110297979794
8100093e-356a-4511-8c47-82177cbaaf1a	0	0
f53eb8b0-25f1-4265-941c-e51ea0241343	16	1.33331555555555559
68f00f36-49c5-4982-88e7-cb83e543fef7	0	0
850a75d2-5d45-4f92-9883-9b628cbd6452	0	0
ecca281b-7b9e-44a3-9bb9-7ef21662eef0	0	0
db86d6a9-1b7b-4f62-ade4-8ed266b34753	0	0
d776b359-797c-452d-aded-c05d88bcd292	0	0
4a680f0b-cfd5-4ddd-9503-395361783ec6	0	0
f42dcca3-cd49-449f-8447-4cc34cd40e89	0	0
a83d9436-5e84-483a-af08-3d21d8ff62b3	0	0
35f87aac-71a4-4c61-b591-7b11cbe285dd	0	0
e877d532-b9d1-4b1d-86d0-cbb16ef0d1b2	0	0
0619af94-fd2c-475b-92d5-2122aa7ddf92	0	0
04fab871-60df-457d-881d-5b4520640ed3	70	5.83325555555555564
47ca8a35-0281-488e-a9df-5a291d7bc388	0.594125249072381956	0.0495200094406002198
5b7098b4-15a7-4b15-976c-b106c3d61acc	0	0
cd3d2910-6d6e-42eb-b6a8-c279a688d8af	0	0
cd83342f-06ba-484a-8cef-fdcb7b77f3be	11.1837229437229446	0.932157094179894341
96a782c7-03c7-4c60-be29-c02468cf03f7	0	0
3aad960b-7c6c-4ddd-9711-a573c8801786	0	0
2437c7d4-1451-4989-bc7d-07348b76afd9	17.1436818181818182	1.42891635527777794
f50f8a64-7bac-4661-9576-0bedec21eaca	0	0
385d6658-60e5-40b5-9727-bebc1c9b5a73	16	1.33359111111111117
f2536b6e-5ff3-4cc5-8002-f430af74f550	0	0
8b1766c1-44b4-4fce-a418-0895e57dbbf0	0	0
15b93ccf-b995-4a7a-a06b-b1e162ebf89b	0	0
f029cd93-620c-4567-9456-bf03baef60ff	0	0
cb554cbd-1f2e-425d-9d1c-ef4ddeba5f13	0	0
e6283c87-b7ed-4407-9ebe-76a579cd8fbb	0	0
fc6d382c-e845-4cb0-8d7b-a54ee1000005	0	0
16c33787-a053-4262-92f7-fbed55114695	0	0
deabc0dc-ed0e-408a-9fbf-c2018b7bd23d	0	0
e602a9e2-e0b8-4580-9a27-2c937ddf97a1	0	0
5742eb6a-1ead-427f-a702-20aa6099a348	0	0
debf174a-bab7-4597-a133-de6bc099b9b9	70	5.83446111111111154
d763a884-eb5b-45ab-b63b-59a00dff8481	0.594125249072381956	0.0495081269356187695
a972d37c-0ac2-4d3d-96e7-b51335809ca5	0	0
a43f30f8-ef90-4493-85e6-b6177f60b774	0	0
e1c2dabe-3a40-4c53-97b1-ce728d491b3a	11.1837229437229446	0.931933419721019729
926c490e-3b4b-4dfc-bb37-6bf9942ff7b2	0	0
1434a3bc-c52d-420e-9412-7365bdddee0f	0	0
80f577f6-9ed6-4b5c-8543-811deb7d0905	17.1436818181818182	1.42857348164141418
49029e2d-9c8a-495a-be11-93bf91337483	0	0
d806284a-4d3c-47fd-b37e-3833b3a6be7a	16	1.33327111111111107
f42ba655-3e88-4b3b-a73a-bc717b1b3e0f	0	0
3b043808-43bf-4eea-a68c-1fdf0a0b40d7	0	0
8831b121-e670-49e2-948c-adbf76f51ee3	0	0
7923508d-0697-4fac-9b19-399eff3b159b	0	0
29705ff2-8e22-477b-8cc8-420d1cd55367	0	0
8536d0a4-4404-4750-8f3e-30fbce48f52b	0	0
0a9acbed-f43e-415a-a5b4-8733a3e84ade	0	0
efa82a59-4d97-4840-94d9-116653fb9e9b	0	0
3b27be99-be1d-4cae-a564-97101c6006e0	0	0
22302bbc-6a5f-4883-a197-962a5325731a	0	0
465d0168-affe-4aa8-a99f-867fe164af8f	0	0
f8d3ff36-b1f4-47a2-82f5-baa66e782f4f	70	5.83306111111111125
26ab60d0-14c6-43e3-a2dd-a84467e542ec	0.594125249072381956	0.0495157185360235799
b49d4ce9-7a06-42b8-9129-b335bda01130	0	0
488676ee-0d78-42f0-bc4d-96e9bda83651	0	0
1be3869f-3da0-4b45-a640-c7ce6098b8eb	11.1837229437229446	0.932076322847522953
316bb993-d261-4931-8b8b-ea2bfb1773a0	0	0
be00f7d6-f0e0-45b3-a5da-a86017c0c97c	0	0
ea83e5d9-e7e0-4c59-8e9d-6fcb08bc0c87	17.1436818181818182	1.42879253979797971
d2426c5b-f5b5-4897-8f32-8d40c78432ec	0	0
165ca802-b904-4dd7-b81d-3d5b2384c8ba	16	1.33347555555555553
019cf2af-9d79-4682-9427-560ca26b4f27	0	0
9d463402-23ad-44ff-9ca6-bc1b3275266e	0	0
ce02a1fa-4de7-4996-b862-ddb3af093948	0	0
c552f4b3-1c31-4ae4-bd90-bb44d72c9842	0	0
86c89a2e-bf58-4214-ac5e-7e38a3854b22	0	0
19bc2368-8251-430d-a2ee-0cb31a2d5915	0	0
171c5d60-6d40-4905-9915-971600614bc1	0	0
be42d9db-56f8-43fe-b5f1-ce85c9cb1706	0	0
c74ad9d5-c9eb-42f3-b39e-7c25f20fb00c	0	0
b9b18bdc-5306-4043-9dca-71c54c50b10a	0	0
fcf702a0-4488-4e57-8064-00943ec5fc32	0	0
b91f8e40-ddc4-40ac-9b62-b3a588f39235	70	5.83395555555555578
a8e071a8-cecc-44b6-9e4e-42d1c2d64425	0.594125249072381956	0.0495119227358211747
a9b4e51f-d7a4-4dec-ba9a-a3b6165f9b04	0	0
4cead37c-5676-4c0c-b80c-ac9139cf6d65	0	0
af3085ae-ec28-428a-ad88-053d84c4347e	11.1837229437229446	0.932004871284271341
7d55db2f-fcbf-479a-91e2-39b37839fba3	0	0
97eb78ec-810d-44ce-aae1-ceb261dd8049	0	0
efe3bb57-3f2d-46de-9125-b71f9a1048f5	17.1436818181818182	1.42868301071969683
31e8e89b-f589-4ad5-91cf-986083880397	0	0
5f9afe3e-1783-4641-a77b-a1adef8d782b	16	1.3333733333333333
00b7b175-9f6d-4650-90e2-e743db14179a	0	0
9744c385-b999-4539-a7b1-6b4d7de398c8	0	0
19226de6-2a4b-4089-bb99-0fb8d79e3c10	0	0
8de27018-980f-4339-9d36-1babda520eae	0	0
08907c31-d75a-4bf1-b2c6-b0bb0502051b	0	0
4128a24e-1841-40d1-b70b-827feb5816c9	0	0
cb1f3e6d-921b-4060-99a1-34b09cbd7a5a	0	0
88898ece-2675-4992-8273-72a0ad80367f	0	0
df7ba1f7-8e16-4c55-b2a5-3521a868e3a2	0	0
43c73186-fb9f-49be-8470-965a106af32e	0	0
ca6aa23a-c394-4fd9-a189-62c8233b9da9	0	0
86818395-12bf-4409-b962-284182f2059a	70	5.83350833333333352
f3f0d817-031f-47ea-9569-3550b0a0ec21	0.594125249072381956	0.0495155535012321707
876c0b3f-ef89-4f9c-a6da-48d5074a81b1	0	0
dd1a4a97-846e-455a-bab3-0e44337614b4	0	0
680c7371-2c66-44f5-81f4-8da657a36549	11.1837229437229446	0.932073216257816251
2f2c0c18-b5b5-4010-b25a-05f396fd4395	0	0
3b327007-007d-4f29-b0dc-45b909efbbc0	0	0
609f69dd-c6d9-42c9-9ee6-049b7a0aa6e4	17.1436818181818182	1.42878777766414133
edd426d7-da11-4d07-9cbd-8ec890ccff01	0	0
256adf98-11df-4f86-aa92-534e496b340b	16	1.33347111111111105
84d35dec-a1c9-4a23-87c5-91af8d38db00	0	0
633040f8-faac-4889-9896-8d67052eab04	0	0
fee8def5-4ede-4270-a5ce-cebde28adec2	0	0
92a1cb10-8ae8-47cd-bf73-894b0ee94ee5	0	0
abde1315-1400-4f67-a964-a0f512ee5629	0	0
428bd4ea-e6b9-4865-ade1-395a35071f0f	0	0
49e73ef2-3195-4c07-ae47-a9ecccc322ea	0	0
2e4ece21-8b33-4e2a-936f-19788f969021	0	0
149b3c58-aed7-44e8-b90d-884747742458	0	0
885c6ab6-d054-4ac9-8464-d1df60d0ef6b	0	0
bd548741-f022-475e-911c-f1f91bf39da5	0	0
10fea32a-e2ec-4004-a831-b820ec4ce2e0	70	5.83393611111111099
50c9f258-bbf2-45c8-aa23-fc8d1f3416e8	0.594125249072381956	0.0495117577010297655
6016f1a4-7b1f-45f6-b974-36e480a0cc2f	0	0
d53a2933-d6bb-453e-9583-00d5c1594369	0	0
f8e0382b-5983-4197-ae19-378126b102f0	11.1837229437229446	0.932001764694564749
193a140c-e262-492e-8efb-ff27d834dc40	0	0
037cd181-67af-42ed-860b-1198262da22a	0	0
eb689343-6465-4c06-9bd3-b77bdf25c958	17.1436818181818182	1.42867824858585846
10832e96-516c-4f84-810d-65d808e5d812	0	0
697aa348-ca1d-4378-9463-19a066624a66	16	1.33336888888888883
505cf9e9-e3a8-491a-83d8-4be076a4dffa	0	0
9bea9b20-17e4-4c31-b7a7-413227df7911	0	0
331749a1-6615-42b3-a1b1-5557da877f6c	0	0
1b81ee0e-757e-4637-af7a-497d68d1a343	0	0
aa12c0fa-b67b-4c18-b034-d20644c16912	0	0
49701003-5f53-4f09-b568-508b45a85016	0	0
59c956ab-84c4-4811-b40e-8d6ee694457f	0	0
acc0db0d-a03d-4329-84cd-9d73338c231b	0	0
1d895fd3-580b-4d07-86ff-90f84f85654b	0	0
83b9105a-2981-4465-8119-b0c773b01f8f	0	0
69e33453-5bd4-4fb0-aae9-31289d28e001	0	0
ddfcee8d-e2fc-456b-9474-70658951ccc5	70	5.83348888888888872
b47e835e-5480-4cde-ab87-5cf2b8d8be09	0.594125249072381956	0.0495143982576923131
014d5b55-8e9c-45de-81af-61f0c784afc4	0	0
0dd2fc53-f400-4cfc-920f-35be8a628fe8	0	0
4360b4db-a233-4a81-81a2-65df776df0b8	11.1837229437229446	0.932051470129870219
74ec0cc5-4d73-4b6a-9e71-4108a19876c2	0	0
b4b1d259-2e16-4c81-8005-a5250d573f27	0	0
169a3772-2e82-4887-b9a6-0501cca1aaac	17.1436818181818182	1.4287544427272727
388831e7-6d1c-4127-9683-6cf97785972b	0	0
ce08e353-4ff7-4cd5-a130-1693a0efd135	16	1.33343999999999996
f2c532c5-c2cd-4941-99ce-1652fc5004f7	0	0
f61c8cdf-cca2-420c-9e16-db0abe775f39	0	0
9abc4e7a-e545-4758-8c1c-8bdb86b6efcd	0	0
9efa633d-2666-4bec-8da8-917e4c272f28	0	0
ead4ce3c-5b45-45e3-8760-17da01a75d8f	0	0
405f63ae-0171-40f4-8ec5-5120333b2a0b	0	0
440d84e9-5641-417c-bfb8-06dad51647eb	0	0
dae39228-82e8-4c4f-8e65-04bbd4bf3308	0	0
62944e65-39ce-46e8-992f-b886e2696665	0	0
8dac62ad-71f4-4c3e-9fd9-1fe1588f2b52	0	0
e9ff9801-e84d-4d10-8256-6ef1969ff2b5	0	0
bfb40474-5c2c-497b-bc7d-9a1f6824e410	70	5.8338000000000001
cb0447f0-ba4f-4e14-b401-0aa0d2bfb607	0.594125249072381956	0.0495147283272751315
bcdc83a6-cdee-42e0-9cfc-de5462330eed	0	0
c68cf5da-8391-437d-9125-d1689b88c353	0	0
e032e08b-24a2-46ec-99d8-1a0018aae17b	11.1837229437229446	0.932057683309283402
e30bde29-07e3-4af9-85f4-1f81e335897e	0	0
befc867e-60f8-45d2-9c9c-dbcbfa7239fe	0	0
530e4957-1539-4d68-8589-49f37fe337de	17.1436818181818182	1.42876396699494945
537a2afa-cf37-4e9e-94fa-8ea1055718dc	0	0
b533fa32-00af-4632-b95d-e617d36a6475	16	1.33344888888888891
37822f56-17dd-4e59-b18c-8cac62c21ecd	0	0
011cfae3-24ef-456a-b3b9-03905803aee3	0	0
51cc7161-824d-4bbe-83ce-1b34c557f9e5	0	0
df42a860-f48c-40f0-880c-d051e093cba8	0	0
31068373-e4b8-42fd-beab-03a7908f1ec3	0	0
cd13d293-a96b-4808-9abf-a013c4f2d912	0	0
f0074115-ef8e-42c5-baf5-df5e16b0484a	0	0
8f7659c3-2dcc-4fa9-aceb-b83e66707850	0	0
26f2ac40-a103-4b98-945f-f8a866fcdb26	0	0
a5272806-3c5e-4af2-b7a1-6c33ea05564e	0	0
f167e63f-4876-4e2e-9dcb-9c34dc636319	0	0
f3421fb1-857c-4153-853b-a7eb3258a410	70	5.8338388888888888
35cb6a00-f61f-4c6e-93a7-94c7e3bf02bc	0.594125249072381956	0.0495127479097782208
f946198c-f56a-476a-9204-e9c73310bc9a	0	0
3862e760-b8f6-499a-ba18-93ea528620de	0	0
da8c4744-b716-4714-9876-dc2502b4e07d	11.1837229437229446	0.932020404232804189
59591140-1d32-4ad3-ab63-42ea5cc137ea	0	0
b49d5c69-0a26-4fb5-97fe-d9e49b2c45cf	0	0
83c00818-0c0a-4c43-b316-c6b76ccbacf5	17.1436818181818182	1.42870682138888871
6e033c21-f1f9-47cb-ae5e-def36fefe80b	0	0
6e198882-902c-4c68-b648-b2a6a1f03b79	16	1.33339555555555545
96daf781-5bbe-443a-b8e1-4d05eeab7095	0	0
0c88013a-80c5-4f74-b714-0cb7cf077abd	0	0
fae0fdca-17db-46a7-a136-d4e09a258648	0	0
570cad61-7010-4efb-9daf-fd70c0e247fc	0	0
5bee0dfc-c64a-48cc-9cba-f4a8957b3c44	0	0
73f4a880-6172-4c98-b332-bb65d36ddbaa	0	0
fc3caf17-2d94-47ef-8034-8d5f6618a515	0	0
4af2bd0a-6226-4958-a936-5974ccb80a13	0	0
b47a190f-b55b-4b2f-85b4-960d55260fb8	0	0
0656e572-ff5f-4360-9202-8aca82bff554	0	0
1490a08d-8ee3-4489-b50f-267885f45b11	0	0
8001527a-4705-47e9-a180-d2f09ac5b912	70	5.83360555555555482
21aa617a-7333-4995-87ff-896379a0da8f	0.594125249072381956	0.0495079619008273603
b895246e-712c-42dc-a8cb-95f782308295	0	0
4d048950-2846-43c8-9674-a3fd079cd634	0	0
216b2def-183b-418a-8fa1-04c3d6eb3eaf	11.1837229437229446	0.931930313131313137
15fb5c62-4928-49a4-b613-108d8102f581	0	0
39635a1b-d494-47a7-bdde-88469ca08ce5	0	0
744a4f8c-a1d2-4d6b-a798-2f31e7d34bb6	17.1436818181818182	1.4285687195075758
0447e516-99d8-49e3-a937-51167942090c	0	0
23704f8b-8f2c-4f87-8f8e-6eda956c67c4	16	1.3332666666666666
73cf30f6-b002-4d93-97e1-2751fc15dd36	0	0
27623ff6-356b-4346-8ff3-8f53ef4e94ce	0	0
b8762aa7-d7d0-49b2-8736-450311a710a4	0	0
b6be2424-abec-4cf7-8581-fcd18d97378f	0	0
51458d8f-356a-4361-93b5-f098e60a554e	0	0
7b916aeb-d5d0-422d-8fca-3b5cdc265e8d	0	0
081321a2-f002-44db-b843-8c4ac6eeae6f	0	0
ce4eeedd-c597-42fd-a2fa-58e57a34953e	0	0
d28b24e7-65fe-49bb-9128-07f9fe74bb17	0	0
b348f1cb-ab0f-4950-b5aa-bd5593b2797e	0	0
98b11174-ebe4-4ee1-a344-73ffee8eaa67	0	0
d4654740-874c-4a25-b4ef-e5999bb3566f	70	5.83304166666666646
a9416d78-aad3-456b-ad03-4e9ca27539bd	0.594125249072381956	0.0495175339187290883
9cc299a2-fecd-4d46-bb7f-9d020faf632f	0	0
9ba1bf54-8331-43bf-a096-253490d27cb5	0	0
6b71c8fc-965d-4439-857c-3d5bc9359fe9	11.1837229437229446	0.932110495334295464
2dcbc3a9-585e-452a-91fe-6349ff37099e	0	0
d3aa2c26-2611-4abb-935b-500ef9d34d25	0	0
056247ee-9821-4318-9841-e7d124360ce4	17.1436818181818182	1.42884492327020207
4f291788-c5a1-4b3c-87b2-6bae9fc32a0a	0	0
97b53473-88fd-4757-897f-f992331bbc0e	16	1.33352444444444451
6bbd3c04-9379-4d7e-848c-31e00d06b466	0	0
dbccbb6d-168c-404f-8579-32b0f8d3a71b	0	0
f5f25af2-c342-4ec5-9a03-c5058c27be08	0	0
36361c62-f5b6-42cd-a972-14418bc5457a	0	0
3f6fc33b-63fa-4e05-86a0-033b77cb0c60	0	0
b1d78e32-6117-41a0-b3bf-03cd1521904b	0	0
4f1bf60a-bf6d-4247-a8c7-39475dd72e69	0	0
9d1912c7-83c1-42f9-9cf1-9e60c326870e	0	0
2654db02-124e-4133-bec2-8b4680f44e09	0	0
d52c9fc5-92d9-491a-8859-58344941b27d	0	0
b1396644-6baa-4a6d-9b78-6f5399a65bed	0	0
bfd9962c-82c5-48c1-be90-394517fefe4b	70	5.83416944444444496
ce92e431-1a36-4980-a899-f5bab270fd4f	0.594125249072381956	0.049516543709980626
7bc799e8-b7d1-4edf-a228-96558ef9ab3e	0	0
8c34df72-d6d3-46b8-ad63-d7c2f491bea6	0	0
6cbc0db1-12f3-4216-b2e4-9c334fbde4d2	11.1837229437229446	0.932091855796055802
5597f0ac-f08d-47fa-9e86-a5ebdc356ec1	0	0
4bee8395-83ec-47ab-bed9-1ff999f85a33	0	0
826ab435-5e77-48a2-bd20-f4cae1c5c9c2	17.1436818181818182	1.42881635046717159
80057a47-00f6-4509-bb09-3c3b82665a9b	0	0
41d7f365-8499-4f93-aef6-86557bc85c76	16	1.33349777777777767
5d4102d5-247e-46a1-9cdf-ac7baca7b98f	0	0
a620e112-0eb3-4e8d-8f54-778025655e72	0	0
cbe2250a-063d-4623-80d8-9a6c11e83190	0	0
43c993a1-5390-4af3-8fc9-6f4638e8aa79	0	0
a77c38ac-fdf7-4458-a6b9-5bd32e82835d	0	0
35f8b8fc-60d6-4e17-9c1b-d94106bb0999	0	0
612b6657-0cdc-4f3c-bd76-c39a44c0c6ea	0	0
56cbee58-053c-43f5-88f4-ad04c86e0383	0	0
e9cee23c-09fd-492f-966d-3737a59a525e	0	0
bf54295f-b5f4-49d1-9f42-a50ef4dbbc9a	0	0
1fcbf280-8cbf-4fc0-8230-50cf70b240e7	0	0
7d82b4ec-76db-4d45-aa01-baf833b27cdf	70	5.83405277777777709
d2d2cbdd-8cef-41ae-a49f-67f521f377a9	0.594125249072381956	0.0495143982576923131
083da7cf-7568-47c2-9b33-57bfca12f6e1	0	0
f0e84eec-41f9-4d78-b45c-35c1329e62a2	0	0
220e6dc4-b201-4578-b26d-d72c9900ace1	11.1837229437229446	0.932051470129870219
28003d5f-27e0-464f-b4a6-290aff57de70	0	0
aa7ac9e7-6788-4c1a-aa7d-bdc7d28a930e	0	0
c9f65b87-d3a1-48e9-8858-a2271b68086f	17.1436818181818182	1.4287544427272727
d1de72cc-761f-49fc-bef8-0e51b479f1cb	0	0
ae1107ec-ee4b-4cc5-90e9-372ec1bd7c70	16	1.33343999999999996
e886952b-14ec-4038-8fae-92045c942eb5	0	0
e0407407-71c2-455c-a287-e07aeffa7ae9	0	0
de8531e0-b11b-40ac-90ae-7d610ad829a7	0	0
9a7fd239-531b-48f4-9ce8-1ac6ae82459f	0	0
155b8e5c-77c2-4ec9-9de3-8e9a4d08c5d1	0	0
c95d5ebd-cbec-47bd-92f2-bd070dd6a928	0	0
e0451475-9b04-4f8c-8ab4-fbfce4a9f474	0	0
1262a3f3-6597-4b04-b1e7-497279b187f4	0	0
9f6c15a6-7153-4b39-8af4-46a41843a6de	0	0
9953f83c-dc98-424e-b485-d4484dc1f0e9	0	0
8fff8de6-234a-421d-a755-07db392f4b64	0	0
ceb13ea9-cf01-4c19-a933-cd4a93ce4bdd	70	5.8338000000000001
93707c78-0c2e-4b69-9f49-7dba4851f604	0.594125249072381956	0.0495125828749868185
a3d7e68f-3586-43bf-acec-7dc42c4420dc	0	0
86c2cc32-fc8c-4f35-9952-ac8feade2811	0	0
249269b4-b34f-4366-88bb-2e864acf8a1c	11.1837229437229446	0.93201729764309782
f829d527-b90f-452b-be8c-9a21dab9cf5e	0	0
a7d4bb79-6cc9-48b6-b006-d75d0b000395	0	0
f2e7585c-513e-4af3-8526-b062b9977334	17.1436818181818182	1.42870205925505056
9df7d755-32a4-4f8c-9495-34c22f5b02b2	0	0
71eb1501-c830-491d-b159-d90bbab24419	16	1.33339111111111119
ed18714d-0ac3-4dde-af13-ff96edd4d018	0	0
13668ccb-2945-4260-b31f-5a7420b9ba83	0	0
18e2b55e-c3fa-4d18-b679-678804ed68f2	0	0
fcd9e40f-e8d9-4b00-aec2-3f23b99f834f	0	0
f3b8f94e-006a-4776-9adb-c9db5ee1eee5	0	0
0bcfbfe2-c547-4729-93e4-e791d0f7cb8a	0	0
de0d1b79-0405-45be-ac81-5cd45d36d2d4	0	0
c0fb837e-6745-4cce-bc68-0ec849b5a087	0	0
1fb074a7-2eeb-4971-bc7e-a6ba08f65459	0	0
b8806363-fcde-414d-bed4-a958c8d2897e	0	0
d913fa27-2bc0-4f75-b86d-33cbbccf2393	0	0
3c59deae-7b49-427e-95c3-13da1612fb44	70	5.8335861111111118
ce864fa6-59ee-44f7-9f75-8f97d4b35f1f	0.594125249072381956	0.04951291294456963
9aee2658-a633-461e-aea3-1d8aed2ce317	0	0
028a3199-f267-476b-ac9a-c17e6c03c8d9	0	0
7b1da527-f75c-4851-b47f-0cdb21a73bc9	11.1837229437229446	0.932023510822510892
87fa06dc-71ec-4cbc-9f03-d8182372aaa8	0	0
06982954-cbf0-4083-b763-c9926964aa68	0	0
b31004a4-dd4b-42ff-b034-3e3da8bada1a	17.1436818181818182	1.42871158352272709
a6ab1d0a-d2f7-4fb7-a266-0d4d0e81cd74	0	0
d4594d1e-c479-4716-a0d3-6c5251508def	16	1.33339999999999992
5b31c154-2e70-44c6-9273-27339d864d0a	0	0
6fb7a99d-0f44-4e94-aec2-94a28249e683	0	0
7aeb139b-31f3-4258-93b7-6720e5db7ae5	0	0
851cd10d-f49b-47e1-a3f2-eec8be8d0a57	0	0
22045bf0-3d58-405b-8d5b-56edc56f7645	0	0
7d962b93-4ebd-4326-89ad-932c118ada4a	0	0
3db38147-9e8c-420c-a94f-4500809ddea5	0	0
6c5676ec-0749-42ba-9f3e-6b0f19297abe	0	0
5228d985-e16f-423f-a05a-bc844cd97417	0	0
ec1639cf-34f8-4fa8-9631-e3f22deb9380	0	0
72872392-b7f0-4205-aed5-48be050dd233	0	0
a10bbf61-4840-4090-97ac-c2784fd3688f	70	5.83362499999999962
f0b27612-67b1-45e1-8693-65c848ea502a	0.594125249072381956	0.0495139031533180854
0f7ea7cc-cf4e-48df-a72d-38930c15c50d	0	0
4ade7ea5-0d2e-4564-a5dd-4ae1828eb6ae	0	0
3ee922be-7143-4abe-acb6-411490b98822	11.1837229437229446	0.932042150360750554
5ddd2ef8-2a81-443f-acec-d45413da9e7d	0	0
c238e2ca-949b-4c89-b476-b45d4f5a13c2	0	0
f14d5376-df2e-4cbd-ba40-e991e0bdc0a2	17.1436818181818182	1.42874015632575757
56d5cf06-28e0-4dbc-8ce9-821919f3be6e	0	0
79627f41-89b3-4ec9-b0b9-6a80246c9b1b	16	1.33342666666666676
b6dcf03b-b3f9-4ef0-a98f-6308717346da	0	0
f94d07d1-f195-47f0-a5af-a3f8ce4e13a1	0	0
28f5d4e5-3240-4087-b7ba-4df4524d4ed4	0	0
05b05e4f-49e2-454a-b6f7-0fd4a42b3a52	0	0
0aedb555-01fb-4c24-b977-04750422120d	0	0
48282c3a-9917-49d1-8384-5e63b8d1ce39	0	0
ad22de5e-2703-440f-8d74-bde118818699	0	0
54a64f1e-dcea-4c23-aa05-90c62cb21bcd	0	0
1fb75f4f-aff4-47d4-b052-ba9de20c6cff	0	0
acbc1f1f-96f2-4f9b-a755-c45018cd1a6d	0	0
cbaa010b-ee13-4f62-803d-5413517c567c	0	0
e8e2c942-2d6f-4f4d-8fff-f3bdc5133890	70	5.83374166666666749
66f0be94-3cbb-42c9-887f-3cad21007e37	0.594125249072381956	0.0495132430141524485
7f289f08-921d-42d0-b69a-e3b09e3762b9	0	0
1cdfbb42-a0a6-4421-8b57-d49e6da36e25	0	0
fd72b61f-a72b-48f5-89cd-4a7d2536794f	11.1837229437229446	0.932029724001924076
6a96778c-e46e-49ac-8f31-68ee7ad9baf9	0	0
e4de50a5-7586-499d-8c36-8d82492f5ca5	0	0
bcf1f542-155a-4f7a-a265-52694cdb67be	17.1436818181818182	1.42872110779040407
ee631d77-d8c1-49ee-99b1-01d5ed70a08e	0	0
312a0564-595e-49a1-ad6f-d88a874132d0	16	1.33340888888888887
a034c872-5c7a-469a-99bc-bf066fccbd08	0	0
44b016ca-0f03-40ed-aab1-4a3dd61244b7	0	0
a49523e9-be6c-49ae-92d8-467945e9efd1	0	0
8d81479d-dd68-4953-8b53-44daf74878d8	0	0
f2c9d23d-f630-47f0-9fe4-7d9392ec520c	0	0
93f3511b-15b5-44c7-aa4d-5e9a2afc68ab	0	0
a90d83c1-7819-43e6-abdd-17c5ea305a71	0	0
f8c1df67-7405-49af-bd99-489dcad8a5ff	0	0
32ce5b51-5471-45ec-a73a-02407868055a	0	0
d617a8d8-5ec3-4d9c-91c5-39d4a58c93d4	0	0
58697cae-36cb-4cc0-9c6b-40a07afbb620	0	0
5d6eed28-e2bd-4591-9733-6390c7fd400c	70	5.8336638888888892
8a40ad30-0a79-42d7-bc0d-4bab3c887bc7	0.594125249072381956	0.0495094472139500433
cdb6f4f0-9ac6-43ee-a075-7d2632d30054	0	0
44255bb6-b8e0-492c-9fac-d16a422aa51b	0	0
0352c081-50c3-450b-b3aa-ad4601e3037e	11.1837229437229446	0.931958272438672464
76aa68fa-6ab3-44ba-9b6d-fbd18a58b02e	0	0
a5b9c18f-087e-42aa-8629-d3a574ce7768	0	0
ba9e5ce2-6528-4d97-9f0f-203c7eaa43a1	17.1436818181818182	1.42861157871212119
238a7af9-c652-4dd5-bb8c-8797c63b20a9	0	0
aee0feba-5c77-41e9-83e9-dff5f1745bb3	16	1.33330666666666664
86d4579e-52a5-4443-a6fa-af261b457db2	0	0
f0c22bd7-fad8-4a7d-9499-02d67f27a7b4	0	0
8e3682fd-82d6-42db-ac7c-e054bed4cdcd	0	0
453af514-1b52-4f20-a4e6-b97740aecdce	0	0
7948443a-3a1c-4a45-a87d-b87e2a943c3b	0	0
09368da5-cde9-472a-bbae-3573d029cc69	0	0
b857ed00-7b02-4826-9d3a-0568576ae73c	0	0
57aa69d1-b7f4-4f15-a0f9-db038ddaa002	0	0
ef78cfe4-d31e-40b6-a8f0-996f90d91d2e	0	0
f861841a-dda2-4f9b-8914-7348278d93db	0	0
bdba60a6-fcda-4fae-8126-72ffc336ffcb	0	0
b4d11a37-6d03-43cf-bb31-edcb4509a7ba	70	5.83321666666666694
ca032780-8cca-44f8-abcc-6865aa892041	0.594125249072381956	0.0495191842666431667
862af2da-6aee-4c02-8d8b-275b0c0b50df	0	0
a00de7f1-275d-4f16-9624-6d156caca608	0	0
5ee965da-07ca-46c0-8b95-ddccc5c37a75	11.1837229437229446	0.932141561231361271
d3cba7fa-c238-406d-a0e4-c5cc56b64784	0	0
7be43bce-96da-48ab-a4f8-f8a74f137ade	0	0
254068ff-7be7-43cd-80f2-cd1ccd6270b8	17.1436818181818182	1.42889254460858584
c4bfed19-5417-4b59-bf77-02300d6318aa	0	0
414b7732-1454-44b1-b8a4-c62c5790e586	16	1.3335688888888888
45205c4e-32da-493f-b319-43531df2c471	0	0
5ca27210-adf3-458d-a79d-56b34043a8cb	0	0
9662fb64-9f96-4230-8d50-a74c0706fea7	0	0
3eda37e5-22a4-4a5c-8fb6-c238df2078eb	0	0
ed33f739-e2e9-4eee-bfc4-eaedcda43853	0	0
539015b1-40a6-44c9-9f55-8f3183348be8	0	0
f1c29f7d-750e-478d-9b37-08bd33b4710f	0	0
a3410a92-3b11-4f1b-a357-ec67e1cc74d9	0	0
858887cd-545e-4eb3-8783-f4e36b0981c3	0	0
810dc491-0cc3-4578-93e4-b13ea86404e7	0	0
5fa558a0-ef6a-4446-ab78-dbc2b6a602c0	0	0
c18e448b-b7f7-427d-9aae-ee5066ac5044	70	5.83436388888888846
6d5ef611-b9ba-4f46-b84a-605c886fb238	0.594125249072381956	0.0495140681881094877
377f97a7-789c-4075-9d4e-27b5a7b4f738	0	0
c05f9da2-43e9-4a50-be99-fcfded057e84	0	0
85d41f43-e000-4e47-ac3f-85c5c7cb9375	11.1837229437229446	0.932045256950456924
1ddbdb39-f42e-461c-b561-a63a3c91d27f	0	0
f661b7de-4767-4e44-8977-3dd45b96ac67	0	0
f81a7cd7-c73c-454c-b566-60e11e412550	17.1436818181818182	1.42874491845959595
8a967d67-cd5b-42a0-9f6f-44245a3004c0	0	0
27714481-3ee0-4cd2-afdb-f503d5699cff	16	1.33343111111111101
abfebeed-b6b2-4cc4-a679-4963694cea2f	0	0
1dce624f-2ab1-4e91-8d22-63f2ee50ba3a	0	0
b00f0f4b-20f3-4f92-9832-4ebf8aed9063	0	0
a3d81b06-e0ff-4d8e-becd-a9bd5f029872	0	0
adface58-4502-4d7e-9316-a8fc2909e26b	0	0
ecc4c80f-6c0e-4347-932b-3f03f8c93869	0	0
c9b251e0-dbd8-4dfb-9e39-d23c4cd27484	0	0
5a8bd071-5dbb-400f-bdcc-909a32498f12	0	0
cb8b360d-78b9-4305-b6e0-a71c5eded330	0	0
0dc72c19-8b0a-4a9c-a361-3d8188da2189	0	0
8b7c384d-049e-477e-91d8-a938f1c3f5c4	0	0
0b888df6-5073-49b5-849d-5df0ebd23c54	70	5.83376111111111051
d622775c-d38f-4036-84e3-e725303fa1f7	0.594125249072381956	0.0495134080489438577
f99f1629-9db8-43d9-90e2-d8e14d565c35	0	0
50b75461-d0e0-402b-b919-1d1b49322c68	0	0
d6d27ebb-ac64-4fb6-816f-0dcf85083737	11.1837229437229446	0.932032830591630668
470e5805-5339-4919-8525-08ee388a4153	0	0
a0d63ddf-21d1-4dd1-a140-09fcb65bf57d	0	0
5512529e-a596-4c36-b61a-ec3bd6892f51	17.1436818181818182	1.42872586992424244
f6c95123-e26f-4700-8740-92028f57fb9e	0	0
6788e7d0-6069-49ed-bba1-9c3605e055fb	16	1.33341333333333334
11a39007-6d12-4bcc-887d-3c1ab26979b6	0	0
f8b8075a-c39e-43b8-8ffe-52c97340fbe0	0	0
e16f44b5-58bc-40b2-a621-cfade16074ed	0	0
a8e04189-6cc5-4aea-afb4-d4dfca9c2dd6	0	0
aafbd969-832c-4824-b75f-056e5c8b5098	0	0
2073d976-85ea-4fab-ad4d-d0145fdf6bdd	0	0
faab16fb-0628-464b-9ff6-216e01bafc03	0	0
0f226c9c-fb4a-43e5-a872-37683f622b03	0	0
b066304c-9efe-4933-8094-f00446ee77c4	0	0
df6d66c7-1f4e-4817-a98a-1a79262dd96c	0	0
0c8b22a5-4ba5-4aa6-bf50-561f500f8eb6	0	0
20ae4ea0-f73f-4e1a-b282-d601f3d4dfaf	70	5.83368333333333311
9457753e-39d1-4a65-ad82-75bc6453fbc4	0.594125249072381956	0.0495148933620665407
dbdd5f41-7c8e-4b29-ac34-2e6d9df14b19	0	0
e55e3e9c-6608-406c-a5d4-252860c5e93f	0	0
dd376dad-ec56-4f7b-88f5-932de092f597	11.1837229437229446	0.932060789898989994
fe4fc59f-eff3-4f69-a4a9-b17f2d5e5c23	0	0
f089c4ff-f1b1-4ab4-9a53-6389a951733e	0	0
025f66e9-6195-4505-91c5-070e85d2da06	17.1436818181818182	1.42876872912878783
3198ffec-d9b2-4e9b-a06b-1535e495fece	0	0
4a817a10-ae22-4b3b-b31d-a80b0fa1dcb1	16	1.33345333333333338
a4940cd5-a8bb-44f3-bae7-79f87931dcf4	0	0
4944638a-0304-41c2-be18-d9a3cb9b690d	0	0
237a74fe-8fb6-485c-b952-51629b45235c	0	0
2d3163d8-23ed-40d8-b4f1-225c6052b3d2	0	0
53e2b3a5-441e-4f3c-b8ce-e10aa353130d	0	0
c29dc5a5-db84-4e75-b747-8b94dbeb52fb	0	0
87b7ed4b-9e47-4226-a86c-b02ac3ffbcaf	0	0
a11e20ff-6bb5-4d22-873a-a81cf030972e	0	0
b652ed11-5499-4757-bb42-bbbdff182d2b	0	0
05d8892a-c277-4ec4-a0f2-e7f1c3fe0ccd	0	0
130c3ef6-896d-4210-add2-718ae63dad2e	0	0
911282e7-de4b-4aaa-9f6b-19b8f2c4612a	70	5.83385833333333359
696faecf-a552-44b5-a84e-1f22ed294de6	0.594125249072381956	0.0495109325270727263
5e02781b-50d4-43ae-abaa-f5c8d461c37b	0	0
b2250eca-2ff2-4ff0-81c2-58a7339bd872	0	0
788c4f34-292b-4732-8f23-fe46d5cb1dc7	11.1837229437229446	0.93198623174603179
88484c65-9e30-48ca-89d5-2c1429e497ad	0	0
42fd77a8-2fa3-4d93-8de2-adccb4533487	0	0
e3be0408-4818-4689-bcb0-de10f73e0604	17.1436818181818182	1.42865443791666658
fb0fd4df-e857-4e6e-b3e9-831e35e85fdf	0	0
d6b85f62-6e85-40a7-b447-4882a44951a4	16	1.33334666666666668
043e7c37-ac46-44d3-832b-8bfbb335dd58	0	0
d9199421-8766-4a7c-8bdf-2537651aed74	0	0
153b9c31-1504-4c25-b2db-9f121a6a566a	0	0
18d1de2a-bebc-45f5-a715-674c918b2591	0	0
ef3b9f12-e0d0-4274-937a-841f0070fa7e	0	0
80c648da-1eb1-431b-9f8f-e5315c56c247	0	0
be286d77-3750-4ba4-ab6d-9d351b7ff907	0	0
a563a81f-92e4-4b39-9419-a18908fd1b06	0	0
de155687-2699-4c40-9228-43bc9812ac6a	0	0
2ddcfc35-790a-4280-ab5e-bf3492ca92cc	0	0
313709e1-aaa3-4261-9c6a-d1a285b011d3	0	0
f1ea7d33-409e-4ac3-a347-9bd5a1fb1aed	70	5.83339166666666653
d80744a6-7430-4d7d-b531-1689a76385c4	0.594125249072381956	0.0495140681881094877
4dab3ac6-220c-48b5-ad12-d21526b6c4aa	0	0
2cfd8dea-5019-4153-b984-9e5bdbe1f45a	0	0
467e7636-64a7-49a1-bd22-ff6a76a9e039	11.1837229437229446	0.932045256950456924
d5dab114-e31b-4562-bdf4-4ee6517f801b	0	0
f262ea72-2110-44a7-a0ca-47c016580782	0	0
932eba4a-40f8-42e1-859b-49e9edc70b31	17.1436818181818182	1.42874491845959595
5b474bd5-af64-4f9f-ac7e-3586f6134cd9	0	0
429e75c6-3899-4053-a995-aeaf27c73180	16	1.33343111111111101
56eedcc2-b32f-430d-a9aa-cdc200df50df	0	0
f7c2fd1c-f261-4529-8d1c-2b9194e387f1	0	0
4cf6c6cc-b2a7-4234-8d8d-3cddf9139103	0	0
ba476c6e-bf83-48bb-a270-0085a6df5aee	0	0
97139867-0829-4fd1-b777-0735fb493931	0	0
cec1727e-e24c-4e87-a0b3-ea70642db2b6	0	0
534215a0-be36-41f7-b304-4d09a44e9826	0	0
88b64d35-4033-4e77-af18-4b506b9cd112	0	0
f525e91d-73e6-4899-a89c-b59f1bac57d9	0	0
478fd71e-86ed-4fe0-b439-0628d592875c	0	0
79f4cb56-e54d-498e-8a5a-a4bf021895d6	0	0
163d0404-de67-4479-a528-e5b68ac585c5	70	5.83376111111111051
e574bcb8-9862-4f4d-a6a6-e31691282b09	0.594125249072381956	0.0495140681881094877
771ef71d-98ef-43be-80c2-719696017322	0	0
5b9cfebb-8ec6-4f2a-90f3-e798c3c00e4f	0	0
d08e0e29-9f86-4210-bb62-7efe61feae6d	11.1837229437229446	0.932045256950456924
6b868df0-61f2-4f76-9768-5840312b49fe	0	0
6ed314cb-228a-488c-8fb2-e1c9e0e2d57e	0	0
00165a04-69c8-406a-a9bb-eb78161e3ca4	17.1436818181818182	1.42874491845959595
5ee9504e-2a0d-42a9-8f61-933f10ebb6ff	0	0
e80c7148-2f81-4ecf-a4de-cf818b5bb76d	16	1.33343111111111101
27b6e2ee-34ec-4755-94fb-92eba2906183	0	0
d4dac1df-0586-4dd2-ae55-02c62769d77f	0	0
a91c007b-986c-452a-b16b-d165a600e5ab	0	0
e58cd48c-1cb5-4d58-b482-9f0814b6be3f	0	0
5ed70b74-f157-4721-a6a9-0b268aeff562	0	0
0bd443b3-030d-4d03-9333-6780a8eafa14	0	0
41dd19a8-7710-41f0-b0e6-81c9c16e0132	0	0
ea841d6b-9cb9-4c05-9ea2-b240d7707fb8	0	0
a868d4d5-5100-429a-89b6-a16f7c348473	0	0
1c876e01-a39b-47e6-9e82-2d52938d98d2	0	0
b6c2348f-1c3e-4656-84d3-18c567ae0e87	0	0
614baf98-c61e-42d7-a6f1-9422f250ffcd	70	5.83376111111111051
bbc44115-3629-4da9-80c6-cce2d99c19c5	0.594125249072381956	0.0495155535012321707
0c4809fb-2ec4-4217-8fb0-93170f1e7b09	0	0
9193254c-204d-42e5-966e-a29363f5bc80	0	0
5542da15-a544-4c14-a267-a5327ffdc1e2	11.1837229437229446	0.932073216257816251
39603926-46f2-4280-8082-11c7eb4f77c3	0	0
ab8bbca2-1e9e-45f6-8b74-7b35a0bb7544	0	0
96efa263-c087-4f05-8719-01585ef93c25	17.1436818181818182	1.42878777766414133
6ed7d286-4d89-4056-a3f9-357b97518e5d	0	0
179db45e-aa06-4961-90ce-3916518c2f43	16	1.33347111111111105
9365df2f-5f19-4a6c-a8ca-6c33defd0a28	0	0
c9909ce0-bfec-415c-9927-fbcf29f93b40	0	0
5e6f1f3d-542c-4736-a43f-5b400a51f6dc	0	0
41cec6b8-96ce-496e-9ef9-5ff1b85e8c74	0	0
e186fcd4-940e-4159-883d-f0b860884cbe	0	0
75d41a5e-ffc5-4b90-aa6a-ae5425396fc1	0	0
11cce60b-fb21-4860-ba16-4d5780ee84c8	0	0
aa33f30e-f19f-484e-abc3-2cc5d91234a9	0	0
bf0af567-d902-4235-96c8-a38130065900	0	0
c02ee210-7242-416c-a83a-3f54adc2a8ae	0	0
66d5a320-e70d-4aea-ab17-8a3c6dad3af7	0	0
08af324b-748a-4e48-b815-638bd8c3fa0c	70	5.83393611111111099
e5078c99-5246-4b6d-ba1b-dd6c0f5b1178	0.594125249072381956	0.0495134080489438577
c230d51c-d485-4d49-a8ef-f0da4a364aff	0	0
c441f9f3-8c93-41ef-a513-19f940f1f322	0	0
3946f6e3-5f2b-4600-918e-0887c9ed72a5	11.1837229437229446	0.932032830591630668
886fa0b4-ec12-4e34-837d-7cb8f09e2214	0	0
f9361e5f-a15a-46d1-8d57-c768cc6736c3	0	0
9d342601-b7be-43ef-9597-84c966ed9c6b	17.1436818181818182	1.42872586992424244
bb38030c-bc6e-4635-a72e-2e81390d6536	0	0
63e33d1d-fb67-4494-9506-725d65cb2366	16	1.33341333333333334
c34a5014-579c-4215-81c3-3f62ada0a9b4	0	0
c5226cd9-3be7-487d-85a6-9a936acf70cf	0	0
94ccb06b-1a6a-446c-bbbd-df6ceee054e6	0	0
f1f0f0a3-f0bc-4004-ae32-80c803c9752e	0	0
bfc0e81d-1fea-4604-a0bc-e39cf14d6504	0	0
4f968e65-d5fa-427f-81d4-7176da6fe138	0	0
886558e7-f5a1-4224-bef7-03e43568f6e7	0	0
766c7441-2266-4e0d-90dd-4226c52d7ebf	0	0
5d5c49cb-0687-48e7-bfe6-375d3ed3bc55	0	0
71d14e77-2e8a-4425-832d-184acaffbc6c	0	0
fcbd7e24-b08f-4e92-ace6-e23270238656	0	0
e610adae-a1cf-4e85-9250-bef2bc479655	70	5.83368333333333311
f2e03f75-a88c-4658-b252-96f71e6fae66	0.594125249072381956	0.0495167087447720353
500169d3-0f9d-4c14-b951-41d15363f09b	0	0
b615a091-6df1-4dbf-a33c-7ac8e4047566	0	0
a8fb9f83-8290-4a03-81a1-b4783395519f	11.1837229437229446	0.932094962385762393
c772e35f-3295-4e9c-8e99-ff78fe56cfcc	0	0
e678d955-991b-4894-9cbb-bd9c337d0ebb	0	0
01f9b883-b91e-454b-b549-ebdfc35dc64c	17.1436818181818182	1.42882111260100997
c084c88c-bc4e-4b5f-9105-5ed5aa5d79c5	0	0
43f2543a-cec8-4cb8-b443-33d385d378fa	16	1.33350222222222214
1b7a300f-7272-47e8-a37f-776a3d59c864	0	0
08d91dfc-8078-414d-b42b-f9e00b4768c3	0	0
269485ef-2413-4433-b68c-04580503ddf7	0	0
3b3fc132-cfdc-49cc-aa40-5c6a97f898ff	0	0
3ae10f6d-dfe2-48d5-b2ba-6780511b8de9	0	0
7f8c0741-0505-4aa1-a435-46d287ea35d3	0	0
14509842-298d-4b1c-9cdf-1b912ff8b44b	0	0
c4240317-031a-42ca-88ea-6c4a0f1dc4f9	0	0
085e6ec6-38ff-40f7-a0cc-9193c92652ed	0	0
e51f5594-d976-4a9c-bad3-2b96494b8c4f	0	0
6df2876a-0804-4f92-8ec6-986a4c962c5e	0	0
c34c972f-ac44-42c2-a712-901101fcab6e	70	5.83407222222222188
c8277d9c-c220-4424-9afc-44c926b2f1c0	0.594125249072381956	0.0495107674922813171
9920d4d7-883f-4a2e-8a62-0ada6ccd5e83	0	0
274ed4db-0d5a-4ebe-9354-fad129373a9d	0	0
1af41a36-eed4-410b-94f2-384bdc46ca47	11.1837229437229446	0.931983125156325198
c471c819-3855-45f2-9c45-bff2954e6cb2	0	0
1612d34d-c7f4-4f57-9719-d5ad731baec0	0	0
b03cdb57-093c-417b-98ca-35d50992a09a	17.1436818181818182	1.4286496757828282
68c5f51c-5fd9-415a-9b33-6744206c98ec	0	0
4681ca98-12fc-48d7-950f-42e673500822	16	1.33334222222222221
9899ebdb-47c8-4d91-8d23-9cf445612185	0	0
f3a42ae2-fa65-42a6-8d47-5d8a597b72b8	0	0
a644b121-5d33-4207-abf2-5725b10f6017	0	0
15fec134-e717-41e4-8478-4064cc5c6992	0	0
9213eb23-1858-4672-ab1f-a6c5b9f8f6de	0	0
c28409b2-01fa-4cca-a5a6-56bfce7de1e0	0	0
d51ed23b-dd8c-4915-ac8c-bf0fa8b57ed5	0	0
285ab6b1-2b62-4b62-9f43-c51e5a0652c8	0	0
05fa51bb-7000-432b-adaf-7d39a1ec9437	0	0
e8801c7b-fc65-4726-903e-9ed59ff498f0	0	0
176f864c-b293-49cf-bd35-288a252cff62	0	0
e6101211-86cb-4795-973b-82b3d079973b	70	5.83337222222222174
060498e2-cc44-4b6d-86f4-f2447ec95e50	0.594125249072381956	0.0495139031533180854
8895f9ca-7795-4c01-a523-4a2f8e8cc0fc	0	0
56d85209-152f-4c10-b8fe-b95474d79273	0	0
e5173fd8-7c70-44a3-aec5-fd266ed78b19	11.1837229437229446	0.932042150360750554
bffb436e-04fb-438a-b6cd-e7301c7489ef	0	0
65aff8a9-dded-43cd-927e-ba5c6790d046	0	0
55fd0c2e-9cfb-477e-8e56-57f827387014	17.1436818181818182	1.42874015632575757
aeef0132-d376-41a1-8368-d5ecec0d493d	0	0
ac033d7a-ff9e-4098-9477-04bd22b43e9c	16	1.33342666666666676
1c6770eb-3ea2-4f2c-b04a-f575d136906f	0	0
61c44905-7a5e-45d2-809e-422f19544684	0	0
28e73661-854c-46bb-a1ca-f6114d4635bb	0	0
565015d6-cc33-45a5-8991-c2ad16bcae54	0	0
595d698d-67e6-4944-89a3-602065c059be	0	0
5bffe8a5-9109-49bb-909c-2863bb42bf2f	0	0
24a696a1-348f-40b8-922b-29ed917ed0b0	0	0
03228423-2195-4683-ba67-75ce0e405976	0	0
2ee63ed3-e062-4c8b-adb9-651eda69492d	0	0
41d444d9-c18e-427f-a716-094c8d2b0e6c	0	0
5b82d5a0-7ae1-4263-9f79-8323f4123422	0	0
1fbebf8b-7fde-42ec-9945-edf242b4ef35	70	5.83374166666666749
15206848-e4be-44d2-b153-348dabce567b	0.594125249072381956	0.0495109325270727263
51c2e163-8c61-4168-a03b-0c8c5892f1cd	0	0
434f0558-aa1c-402e-9840-f9f3689a876a	0	0
c545e7c0-e539-4eda-adb4-8a56e22abbe4	11.1837229437229446	0.93198623174603179
dc3d9078-a3ec-4d9a-acfe-b369eecb92b6	0	0
63abd168-9b66-4aac-bd3b-c465be80224f	0	0
0aac6bc8-a4c2-4b00-881e-9b64011a0fc2	17.1436818181818182	1.42865443791666658
0f4560c4-56d9-41a1-aea3-fab220be8755	0	0
0cae43f4-6ea2-4196-b3b2-2a6daea971d4	16	1.33334666666666668
568668ce-818c-47f0-9767-c47687bb6889	0	0
5611027e-64da-4f32-b79f-01f3b0d6985a	0	0
8b2c09b3-3eeb-4df8-be63-4e2e4b92a6d2	0	0
16030026-ccff-4c34-8755-0b09beb74d4a	0	0
a135bf6e-6106-4b32-b41e-452af256239e	0	0
e2372d97-8047-415b-89de-798047104fb7	0	0
944e72bc-8e57-49a8-b398-17c1fd6eaf36	0	0
cd5e3601-c686-42b6-b16a-4effe50c0ab1	0	0
d0d3856c-ce0a-41b1-95b0-79ddc3337633	0	0
a8d7ea4f-69b1-45ad-b9f7-bb1073133479	0	0
76b87579-abf1-4c9e-bb2f-eb9e012d28c5	0	0
cbce88ff-cbf3-49b8-9050-6039d4ebcbf5	70	5.83339166666666653
bd1d0a69-624d-4499-a67b-410235fe4bfd	0.594125249072381956	0.0495195143362259921
684ad323-dca4-493b-9630-85cd5ef0c6fc	0	0
3d6f7deb-5993-4de0-a0e6-9519981bc81b	0	0
b85f1724-fe1f-463f-b9d5-583c4d4dcd24	11.1837229437229446	0.932147774410774455
37187a8e-be9b-431c-b6d1-fee0433c7436	0	0
55749945-ee14-40e9-8740-3ff14f18c522	0	0
5f3f21ee-8407-4ed6-8c3d-4242267aa132	17.1436818181818182	1.42890206887626259
dd69e50b-5b92-4568-ab61-c1470ca22f12	0	0
062ff0ec-6fa8-4059-bca7-8bb5644ecddd	16	1.33357777777777775
c3252735-2691-435d-9958-a9490014b5d3	0	0
b56e7664-1759-482d-aefd-a768c121fee3	0	0
98a4c222-b5d9-41f4-90c2-f6292d58ce9f	0	0
e1252642-77d0-4f68-8999-13c67de3ed54	0	0
60dc2912-9da1-4b29-8ad0-63bd8619185d	0	0
4b99d1b2-5018-4888-bfaa-f4806308cc60	0	0
44630188-912b-4203-939f-d24e3d5e5df4	0	0
92b20f8b-4038-42d2-956b-4adf93313fa9	0	0
86f68c38-2547-4cbe-84a6-a72c0ad2dde3	0	0
eed047c2-ac3b-4c3d-a423-3791a9abaac9	0	0
ab2e4b08-4663-421a-8e83-83f29354346c	0	0
545308af-f059-43f7-abb0-7af602cbaad0	70	5.83440277777777805
a114f94b-025d-4ff1-8368-5fdb615d1fc5	0.594125249072381956	0.0495139031533180854
e3b7a442-b41b-4d57-a42f-cf21f42f1cfd	0	0
01ce8a50-fbc7-4cd9-a5f0-5700357c2d10	0	0
6bdb6df5-ba49-44f5-8da8-e942dda26b5f	11.1837229437229446	0.932042150360750554
9f57eae7-f36e-49e2-b5cc-5bd977479194	0	0
72dfb161-bfe9-4e4c-b1a1-293fd08fc8eb	0	0
d0814a69-1e3c-438c-8896-81557d54d92b	17.1436818181818182	1.42874015632575757
fdea2b17-9186-49d3-b7e4-26f76d118917	0	0
8d4ed7da-3660-4d27-85af-7a8c4a971629	16	1.33342666666666676
b2b8ed1c-145a-4f40-8568-84d80025e92a	0	0
8f5de2a8-f5d1-44f7-abf9-855c9f1f0965	0	0
71ee7215-0e91-485d-aded-f6f71d88f42b	0	0
6a911a67-ecc2-444b-b8ae-5655e5e8eda5	0	0
5874ca0b-af3b-4f0d-8252-bf618e6d2db2	0	0
92af938c-ad32-439b-a6ee-fdb0a199d98f	0	0
32eca5b9-dae6-49bc-a0f0-cb7355fd7563	0	0
f94664f7-c163-40f8-abf5-f49a79e6cea9	0	0
86e534c8-f7bf-416f-b5cb-d782a6924a07	0	0
454777bf-cce0-4ac6-8fad-81e608fecc2a	0	0
b305469a-197f-4ab9-a23d-8483c987933d	0	0
b4a376fd-22ca-4112-b4c6-e3fc394cef7b	70	5.83374166666666749
547dd1e3-59a6-48c7-8749-df64d7e409f9	0.594125249072381956	0.0495125828749868185
690f0351-cb67-41a8-9e28-7539cff9b05f	0	0
40edcba3-5c25-43c2-aac3-3760ec91c9eb	0	0
fb051e12-8838-4972-8a62-7a02062fc5ee	11.1837229437229446	0.93201729764309782
165cfe73-88e7-4f8b-a21c-7aeab20b0059	0	0
45125c55-e3a9-4968-ab9f-86e86203f37e	0	0
ed23926d-2c9c-4b3d-a851-634ee42aa821	17.1436818181818182	1.42870205925505056
48de867f-7ab2-4d3e-812a-07316e2da82c	0	0
00013f1b-c3e1-49aa-9839-272992fa678d	16	1.33339111111111119
d0bcf925-c5b1-4002-8b16-866a7d0bd15a	0	0
dd27f8d4-25d4-4975-a306-3531171c821f	0	0
23aaca40-c55a-4ee9-a8b5-832253c19e86	0	0
b4b2b5d0-e63f-4ee8-a48f-4f24b1ae986d	0	0
6f89da73-002f-4bea-8138-6a215b9fc747	0	0
0dcf95e1-c208-4c76-844b-dd41b24bb35a	0	0
26daef19-954e-445d-a587-a92cf98f43b0	0	0
526d2e2c-f08d-4172-962c-c05a117133a5	0	0
fa6710d4-303c-41db-bd5c-82796fc62d52	0	0
a3e19382-6d46-4269-9891-10c5a46a2aa1	0	0
6069ecf8-e75c-4f2f-9f2f-a04a91ef8eb8	0	0
bdfe3afa-5482-4f42-ae3f-dfe92c48f1a5	70	5.8335861111111118
b8b90922-716b-4571-b12b-f27cac8d15af	0.594125249072381956	0.0495132430141524485
e20b77a5-c713-4e1d-a925-2c4acdbd2f34	0	0
6c80f489-a1bd-46cf-8de9-d8315ab0ae6f	0	0
0bd74570-e611-4c84-8ad7-db8abfa09a05	11.1837229437229446	0.932029724001924076
49bc024b-6245-4044-932e-0c048ea92614	0	0
e1f30bac-1cf3-4855-8cce-371e2ea8ed65	0	0
2f829640-77e3-438b-b7ce-e1d834868662	17.1436818181818182	1.42872110779040407
2560e193-ac59-4d3c-a24d-597971cf5690	0	0
9da53ab1-8aa8-4bfb-9ef6-3b843ab1f31d	16	1.33340888888888887
d3af72e5-35bb-426b-95a2-9a4a082669ab	0	0
b6cd3e1f-c966-4844-b727-5fac041f47a5	0	0
e6d82179-ef7a-4087-9a0d-8f5f7b640aa2	0	0
b273ae7f-e149-4519-a6ef-0c5b0f5ac9cd	0	0
e25b0ee4-0137-4c5c-99dc-7b201eaafb31	0	0
51bb6871-a737-4486-857f-d9475b6b5676	0	0
24099fd4-ee05-4345-87c9-e3ac8c32ff97	0	0
e80438ce-cf3a-4b9c-be56-7c567fd84fab	0	0
08bf7490-86ec-4e7b-93d7-48ad75177241	0	0
7df0a2fe-b7cb-4494-b353-a5ecdd31eced	0	0
2261e7ab-3e1b-4c22-8fc1-7f4cb833a017	0	0
39aeeba6-037c-4a78-9329-238c33ca2845	70	5.8336638888888892
53ef404a-7949-4ab9-81cf-a752a7561a6c	0.594125249072381956	0.04951291294456963
ed092e97-02fa-41d2-aee7-f557e14549e2	0	0
e66ace1c-1436-4f6c-a8d6-2816475ac2b1	0	0
91038578-4261-44cc-9992-6e7c1c5d4737	11.1837229437229446	0.932023510822510892
f4640c4b-1087-4c13-939e-bf82df4d0b6a	0	0
2382e3ca-33b5-4b1e-b18f-c7a5e0d5080b	0	0
c2fb0452-a9b9-48ad-86d5-7437bf3479c3	17.1436818181818182	1.42871158352272709
00ca41f5-c6d9-4e1f-8ba0-7fafbd82d2c5	0	0
e19e1a31-2e25-4db4-84ee-8c87232e0d94	16	1.33339999999999992
28ceba4a-6c29-4319-a3ba-9366455db95f	0	0
39a23f05-9542-47a9-9aea-5dec893b6ae0	0	0
32e7ca6c-7813-4f83-bf81-fc66016bf33f	0	0
c29a4976-a80a-4003-bf08-2769fa6e871e	0	0
436c7a1a-57fc-4749-9ae1-f75312965141	0	0
1d7a397c-3a7a-4a61-a880-32669f968423	0	0
a7ad41b3-26a1-4913-bfd4-e9b5d28e8241	0	0
d3767e23-f5e9-45f0-971b-f7d8df290dfd	0	0
d28c2b10-e595-4436-8d9d-3a04544034eb	0	0
468e10b6-282c-4f58-a17f-316acc6ea188	0	0
408c0dec-7124-489d-bfc7-0fcf536e4e9d	0	0
18dd377e-19df-4228-bd86-0bc23bd2a67f	70	5.83362499999999962
a5009764-aa9a-46c4-b363-6e353382cf35	0.594125249072381956	0.0495135730837352669
200ea45a-3375-473d-9471-3550170373e9	0	0
ab7d6850-decb-492e-9b88-6470050c123a	0	0
aa0c0845-8f65-4108-bea2-bde9305b97f2	11.1837229437229446	0.93203593718133726
4410c12e-8bb0-44b2-966b-a4dafc9b2c87	0	0
0cafdaac-bfc4-4718-afcf-df4fa0332cc4	0	0
90ffbfb1-f730-4c42-a4a5-1d47d6b413be	17.1436818181818182	1.42873063205808082
a9b327f6-5958-45f6-ba3f-51ce2bf5ba23	0	0
f599e7ab-9db8-4b29-ad39-9ef06efee93d	16	1.33341777777777781
8fe2943c-f7b2-4a53-8516-105762cec11f	0	0
96642c75-f2dd-4beb-8fb6-a6f388b41cf9	0	0
60c40e00-eccb-466d-8e65-b132e5b92e8f	0	0
b4db45dc-cf24-47d2-97a5-92dc8595910a	0	0
b0a04b11-bbd0-485b-850e-6192e5a2c6a3	0	0
16021a96-cc36-4598-93bd-044688962348	0	0
26048170-a6a4-4ce0-b07b-b3df209bf9ca	0	0
13a73d00-c819-4910-9953-54c715202d25	0	0
bfbcbbad-96f5-4794-be8b-5a09dc38fa93	0	0
8641237d-9076-4273-9dad-fdfbe2c33381	0	0
dbb99893-12b2-4822-a137-d8c918f89d0c	0	0
3912820e-cfe9-4ad4-979e-07dd2effd6a2	70	5.8337027777777779
af87828d-7aa2-4120-89bc-448c1c5583b5	0.594125249072381956	0.0495143982576923131
fe42fc9f-ae43-4f20-94e8-1a19f65f0fbc	0	0
cc6065ea-26d8-47a9-8c79-feb746664580	0	0
edb78f7c-2069-4e83-a428-6dee0e636444	11.1837229437229446	0.932051470129870219
2b4904ac-dabd-4068-8fb1-5528267019de	0	0
c3c98fdf-fa4b-4963-a288-56c61618cd60	0	0
2bd2075c-fd25-4f0a-9f56-6e8b441678eb	17.1436818181818182	1.4287544427272727
5188d58c-c242-4c2a-9935-0bb380c64154	0	0
935499b9-7687-43e8-a9db-a37ebe879614	16	1.33343999999999996
032073d3-41fb-406d-af2a-79087b14c20f	0	0
3db407f8-b793-4f13-8d51-aed4617f44c3	0	0
20836e15-459b-4f60-9e8c-83464cf1f9fa	0	0
f87c8b0a-5fd3-4b12-8f42-ae5abd8dbb6d	0	0
076e4f9d-5d2f-4a37-8bd0-3eab0272717a	0	0
17a4ff42-c224-495b-a60c-54685e5ce5ba	0	0
d0d239c2-55ab-44d4-976a-316dd9782289	0	0
380a77f9-e0d0-4f33-b704-8824eba7c19c	0	0
57156c39-65d6-4227-ad4e-5128437ffb5a	0	0
94cb6a43-22dd-432e-9237-4a95eac2c96f	0	0
22b382e4-eb8e-4ba4-bb57-c9e560858629	0	0
b021875a-5db5-47b6-b8a3-575a6d3350b4	70	5.8338000000000001
bd7ee135-6de9-40df-8fae-fbc1fb6b15a9	0.594125249072381956	0.0495139031533180854
5f4b89c2-efb5-41f2-9a84-c31661aa9194	0	0
7d3e56ad-a0bb-4c16-9b8a-fc70956fc076	0	0
8f2b1475-2bbb-4dbc-a0cd-52ddc5c6b8f3	11.1837229437229446	0.932042150360750554
0378379d-0e4f-44a0-bff6-2682980a4764	0	0
d8e8a462-74ad-450c-9229-c48fcfcaa7e7	0	0
1684f2de-cf4a-448c-a08d-765b4b016739	17.1436818181818182	1.42874015632575757
747ce11e-0734-4d6c-bfef-22c8722cf8b0	0	0
9872ac36-2afb-4e57-9fe3-127cc2a64b6d	16	1.33342666666666676
f51c71ad-7888-4dfe-a2eb-97009f9dddac	0	0
118d87f7-e5b7-4f7a-8d80-425da78244fc	0	0
36451da3-f61a-408b-a78b-5537640f83fd	0	0
3b8b98d1-296e-4819-a51b-b557a68778a5	0	0
bd44b7cc-0e49-47ad-91d3-7cce3fe62808	0	0
24b1664e-edea-4435-8194-72f1c38c614a	0	0
68bc86c7-2b12-4f36-a15d-72902d7f6200	0	0
c006495c-1363-4a86-afe3-15235ace143f	0	0
d80fdce7-97b5-40ed-9140-2ebaa38e87b7	0	0
3214cba1-0561-48ad-a4c1-6798a6596abb	0	0
186a9cfb-e445-44a5-8051-b3d8681e8fe2	0	0
5d708cba-2fa0-43d7-ac4e-be6892af448e	70	5.83374166666666749
ff576467-5a91-439b-9fc5-d4999e60b450	0.594125249072381956	0.0495089521095758225
bd815250-567e-47ec-92f6-ffd2acc92316	0	0
09810f36-a15f-4b25-a9bc-cc1fc056eea5	0	0
bb473f0a-44a6-47b9-bf5f-26d4d700f1b0	11.1837229437229446	0.931948952669552799
357cff54-3889-4435-93b5-97558a705465	0	0
0b05c1f5-c1db-49eb-abc4-ff8cde523c2f	0	0
914147b0-c7db-4c97-9cb8-569d34f023c5	17.1436818181818182	1.42859729231060628
c1c3accb-bd6b-4482-863b-eee0c487a62d	0	0
14d2d003-0114-43f5-8467-d83f03d95b1b	16	1.33329333333333344
58eea670-a0b3-4b3c-9831-02078d88889b	0	0
6222fc13-efec-4856-be10-f04d01626966	0	0
5d55669e-4da4-4854-b6a0-5fe5b9b2d316	0	0
035eaaaa-c2fb-4853-b9ad-067be21231e1	0	0
a8befe26-47a4-423b-b4aa-c6fcd14bce70	0	0
2c39cf78-9cdb-44d8-82be-1e56976f112a	0	0
43238b5a-f303-4151-bd30-4e7293137b88	0	0
e5b68fb4-b398-46f1-8b70-f36cdc741077	0	0
45503612-f0b6-47d3-9ce2-e6ad057be80f	0	0
22ab32d1-6766-4031-9ae9-a95097fb4b65	0	0
211b0989-f694-4d9c-bcbc-0de0ef5cb659	0	0
3968a4ea-5586-4b15-bc16-487f6ff94d52	70	5.83315833333333345
39727d1a-de8b-40a7-8df7-86ded121b8c1	0.594125249072381956	0.0495183590926861275
10fd9a7d-4d11-4b36-8bb5-c99ab880bce9	0	0
9223ffe7-f6e8-4d91-95c4-44dcff1cc816	0	0
d8ef6155-1010-452b-8924-3cd6423e07cb	11.1837229437229446	0.932126028282828312
753c0ddd-0a13-4465-ab31-d38159f25c10	0	0
5e0df4ec-ed2c-4c8b-a433-17e664ff7dc5	0	0
485a3d09-e53a-400d-b76e-04108969d357	17.1436818181818182	1.42886873393939395
d8f151c0-4563-4f96-8ca0-506fd66f6e04	0	0
293842d2-96aa-4f58-ba00-d29afc8c48c9	16	1.33354666666666666
ef620f33-40cb-42da-a7fc-e7bf7e4b265e	0	0
5fa0b7a1-dc5f-4f7f-a1c3-8f3a855216c3	0	0
83e9563d-051d-4a2e-892d-c6c6047420ad	0	0
ee6ee8e6-9608-4361-ad43-234154b387f5	0	0
cee8fbff-36ed-44b2-958f-a614ba9105b2	0	0
0c0572a0-1cbe-43a8-89a3-22bf5d0659c7	0	0
466e7c06-cb9d-4a62-a33f-feb80fcf5bbf	0	0
42ecf219-30ef-4b40-84f3-36f428b4c9e2	0	0
05adca8c-b771-4a80-8e84-750e645e19ac	0	0
c9b1b1c1-54a0-428f-b4a2-22fd6389adb4	0	0
25e1d1a6-c8ea-490a-9b5c-d08d61cdf94a	0	0
ef1bffb8-7435-4f6f-b5d1-0e1ec0ddb5e2	70	5.83426666666666627
ef253872-1a28-45e5-9a6d-8752564b8e0f	0.594125249072381956	0.0495170388143548537
dc051221-8380-4d0b-82bb-4ec4a763bc3a	0	0
00559fe7-a7d7-456a-b34a-3a7f1ade4a2e	0	0
a9dc36bc-5fc8-4a20-bb5e-cab8e6435d7d	11.1837229437229446	0.932101175565175577
114b849c-85cf-496a-9778-c55e452802c5	0	0
4d3248de-8c2f-459e-8bc8-15127740976d	0	0
295d2e9a-5a6d-4e01-a5d5-98d7e515c07d	17.1436818181818182	1.42883063686868694
6557f45d-4928-435a-99ad-67b5e76ed626	0	0
9cd3a2a2-2781-48af-84a7-9a18093c1682	16	1.33351111111111109
32e85ed5-249f-4407-bff5-57bb7aaae010	0	0
3d3cd910-de00-4b7f-974a-94b15d4db2e7	0	0
af1f5d74-0b13-4b61-880c-b7bc931794cd	0	0
b2cd42a9-8e80-4c25-8097-448de197709c	0	0
07dd3ab9-9264-41d5-be75-5bb92f8afa90	0	0
e4369a71-1d97-4942-b5b8-292c2076c82e	0	0
57d16611-cf1b-4400-9682-3fa2e125ecd4	0	0
5857996d-72fd-4169-8f79-a45724e5a9da	0	0
f8cc9489-8ff8-4ba5-b223-071a116c2064	0	0
e9602813-4b7e-4680-a56a-b27625b3a6da	0	0
c9ce9f3c-fc96-4e6a-bb37-ea7663b97c7e	0	0
a7064ec7-3e76-495c-896a-85b7468a6c2e	70	5.83411111111111147
39854e74-9814-42ff-9e45-0888dc0ae452	0.594125249072381956	0.0495104374226984917
421692f6-39a1-4b6c-9ad1-87fab80760d2	0	0
e53174e6-6189-427c-90a6-b80ab01c78b9	0	0
f0286dc1-8f9a-4010-ac92-f690167e2ac1	11.1837229437229446	0.931976911976912015
3d8bba11-ebef-464e-a16a-e6192d1b1b3e	0	0
fec612ab-c736-4856-a1db-69f8a3a852e2	0	0
917bb6b2-9bc4-4f82-a558-07bd40b49c51	17.1436818181818182	1.42864015151515145
492dfb5a-eab6-40ad-b866-79121ad9d826	0	0
bd4fbd5b-0296-42a5-a818-f975990ff979	16	1.33333333333333326
653ea801-da4d-468f-9bd4-5136a1f1e265	0	0
b6bdd433-0a40-402e-bc24-f1c423f5bcce	0	0
62beaf3c-78bc-4591-93ef-714c55df4bf0	0	0
6426d7fb-d3cc-48db-9655-f09a25fd19c4	0	0
38debe06-9b27-4478-9960-a51fa691c275	0	0
b0af25a1-e1fe-4595-917e-74715e7e772e	0	0
dc544bfc-7f95-45d4-8c0e-47713bd2188e	0	0
6b51d088-8295-4a5a-b3e4-b90396fed8c1	0	0
0895a3c8-b4f5-4962-8f79-4af49cf2ef72	0	0
041a72b0-470a-4ecd-8412-96710b00f650	0	0
c87ba920-ec29-4301-be18-2183ab20ad7e	0	0
832d0bf8-5deb-4232-b1dc-a085e9dbc167	70	5.83333333333333304
194dc852-92dc-43e1-8173-10eeaffe1b16	0.594125249072381956	0.0495142332229009038
924c415c-69fb-4f92-8217-ee22fe28405c	0	0
9e91a15b-8be4-4b8e-8812-955a90ec251c	0	0
62debc1c-51ba-4418-9a94-062358bdeaa9	11.1837229437229446	0.932048363540163516
71f8c383-9309-436d-ab45-a8e9d75efaef	0	0
45ef8ec4-d43e-4645-be14-0eeecf596932	0	0
a93c827c-e652-4c97-8138-2c15f965bbaf	17.1436818181818182	1.42874968059343432
9da74029-ab5b-4a23-9673-379987e2ac73	0	0
8e752511-0728-43d5-a230-da83433bc756	16	1.33343555555555549
e479869a-194b-4936-a1f8-c3e569763f83	0	0
a08de1ce-88b7-4196-a75a-96c13a7f63fe	0	0
bb96359a-367e-47cb-9bd4-50c8982c098b	0	0
e60ba5e0-6248-400e-924e-7d603ac9a4d0	0	0
63b4564b-de97-41fd-a6c3-71cf3f4ed142	0	0
a4d4814b-05e6-4f03-af62-b443b093a4b6	0	0
e50b5df0-ef6c-4832-97dd-d1ad70ea7354	0	0
7a194412-f58b-4591-952d-2390ec6cad92	0	0
04147c20-0179-4996-973b-b3a0f2871f87	0	0
14949454-1e5a-42a7-9b3f-5505b8b530b0	0	0
3ab9f76d-17f6-4be7-98e0-608ea50f9f58	0	0
51a559ef-64fc-4ac3-b17f-e60ada8dfd4c	70	5.8337805555555553
e6c9b515-2a99-45b9-821c-823ffa8b67ce	0.594125249072381956	0.0495115926662383563
ce6fdbe8-6b58-4196-b791-d2b22f28cee5	0	0
cc177f62-7ec6-44b8-be60-75a57a9767bd	0	0
b6e936e8-9659-45dc-af43-b5b1643bf024	11.1837229437229446	0.931998658104858158
2d549980-6ea0-47b3-994b-4fa1d6455d59	0	0
b7386234-9772-42f9-a851-0a8c4c3c5121	0	0
af5b80eb-c4b1-4385-9e64-e89c0f171a12	17.1436818181818182	1.42867348645202008
7ed91a97-4c3a-47fb-8661-b9d715353e16	0	0
d1b2116d-4db7-4fa1-95fd-1a0399562566	16	1.33336444444444435
f823d79e-75ef-4a6c-9240-1a4685db58da	0	0
b1760a60-5e09-4b01-879d-b91481896913	0	0
714a411b-2860-4b66-b241-de97f1d158d8	0	0
7cba9328-c729-4c7e-a87b-5bc435b9c70f	0	0
25d32434-ae36-411f-9ccf-03a426ce1eaa	0	0
40146724-c45e-4f37-b0b8-b2032592356b	0	0
f0d59b9c-46cb-44ef-9afd-12819a17820a	0	0
031998b4-4bc7-467a-aa1e-bc1ac28fe5dd	0	0
1285d3e1-2009-4b6b-b940-83ed729067f6	0	0
79e38e11-e295-4437-8117-75ad7e87e7ef	0	0
bb5bc06e-4928-4d8c-8ebb-fab11dc2fb31	0	0
0534d272-cef8-426f-887b-6b4243191dbf	70	5.83346944444444393
d58860aa-ce9e-491b-93c3-89071da8950c	0.594125249072381956	0.0495082919704101787
0757b29b-4ff1-4cc1-a933-0fc609a68b65	0	0
9c33c398-5629-4235-ab01-63aa3a092cf9	0	0
4d61e70e-2691-4367-a95f-2d471f8f7c9b	11.1837229437229446	0.931936526310726432
9b3a0c78-8b5d-4d8a-ae00-17550efa846d	0	0
7dbdb593-7252-4744-b549-bb72e39766fa	0	0
84595391-04dd-4778-a4a7-0cdf3a4dce1e	17.1436818181818182	1.42857824377525255
c2a7b9ee-c779-4c02-ab0d-d63c9c4f37f1	0	0
6978a888-a767-4e45-8ae7-90982fa76972	16	1.33327555555555555
ccd11b0c-26e8-4fea-8488-c0670479ee0e	0	0
2600402a-2580-4c50-a132-340530ea1eef	0	0
fafa827d-5ec8-4fc5-a430-1a99b1697bb9	0	0
a3f304db-5c5c-4e15-8e55-a21fc70e8383	0	0
d2cc8297-50a1-40ec-9fc5-6f9408bb7256	0	0
e450d2d9-7e4b-4bdf-9ca0-76e90441c924	0	0
e9e24747-0e47-423d-86dc-b27083be01e4	0	0
efcae501-97a5-4008-90c3-545e57222d3c	0	0
5bfb18a7-d9e5-4340-855a-a1b2a0c86561	0	0
adbfaede-0283-47b3-88c9-dbe3ab07dc9a	0	0
354aec84-31e0-4fb0-b035-4e32da877a97	0	0
229d5d16-3014-4bef-a9ad-8c902b79ef46	70	5.83308055555555516
06c9249c-67cd-4488-979c-ecc3c83b8356	0.594125249072381956	0.0495209996493486751
40ac25e5-95ee-404c-9b48-ad97a00fe3e6	0	0
68a0d9aa-1a0b-4c75-a549-2c893d2597e1	0	0
5420c82d-052b-4023-b4dd-022211b15bfe	11.1837229437229446	0.932175733718133781
27ba60dc-f970-4224-b2ae-c3387e4c5106	0	0
75b7d684-aca9-4ef5-a106-467405ca6e7c	0	0
ae7162b3-3ead-4653-98de-dde750184ab4	17.1436818181818182	1.4289449280808082
4cefdfc3-e7b0-48b1-a0ca-4a20d6305a69	0	0
d5f0bc48-e8a2-4ed0-a045-1ca9262b00ad	16	1.33361777777777779
5054338b-5f77-4c12-88f5-282ae43ec862	0	0
7536022d-ddf4-4a47-a476-3c975729460a	0	0
75a95dad-51dd-45ce-839c-809e49dd35cb	0	0
d1592c7a-ecdf-4d98-be4c-8aa6143269e6	0	0
41d6cab9-568b-4522-9416-79a2766a581e	0	0
b487feb6-f205-403b-a6b7-cd1d1f846ecc	0	0
a48daf54-c16f-495e-9130-2f82c109114c	0	0
4dba03db-50f5-4659-9960-bf906ab9a6c9	0	0
f52f2b61-da6c-4b17-93ca-d440bf2d674e	0	0
81a66556-3ee1-4a00-ae62-77281f266a1d	0	0
018b6da4-6b7b-4f4c-bfe8-7ed51d8b336d	0	0
e68b02ac-4716-4bf8-a754-380d4da01242	70	5.83457777777777764
1bc5e183-76b9-4aa2-9a9a-e45727c79d15	0.594125249072381956	0.0495135730837352669
7dd0db66-3bff-4afe-9ae4-2d5be893ba14	0	0
0ac5ade1-ed8e-47e9-8e59-78f724a8880d	0	0
fb58b02f-caa8-4520-9a32-a959b4d0692a	11.1837229437229446	0.93203593718133726
35ab08b1-0be9-4120-9fab-5cf618453c62	0	0
b6513644-2754-4c6a-b467-793f106c2498	0	0
8096f324-9ff4-4fc8-9fd3-8048d4b840b4	17.1436818181818182	1.42873063205808082
ed38b498-a191-4b0a-93b6-e50210cba0cd	0	0
a7a18d6b-69fe-4617-b7e3-17df4e18074e	16	1.33341777777777781
9c090205-a066-4957-82c9-9df4b10c5760	0	0
715ad557-048c-4cd0-8684-ea1ce8a90e0e	0	0
2c3a7545-d15b-4d49-8fe3-5e376f3a592f	0	0
2200e668-02f1-4d07-9670-e5434fc02ba6	0	0
953ebd05-c181-4ca9-8383-f2a16f90c3f5	0	0
11e5b654-640b-4fd4-86f5-758a02e5647f	0	0
6fd13d63-5993-41cb-803c-d2bb2dc8d53d	0	0
96eaac94-3184-4e74-9567-5d3d08d0846c	0	0
a714ab3a-f1c7-49ae-ade1-c3d7ad5f5c61	0	0
830e6da7-c9d2-43ac-96d1-d0a7e2122c57	0	0
416efe6f-76c9-49dd-99e6-d9bc193c7b27	0	0
a257dd98-6fdf-4c12-a257-0894b82e68a5	70	5.8337027777777779
12a69adc-e98b-46f8-a5bc-527ae2cf3554	0.594125249072381956	0.0495120877706125839
915f98af-e831-49c7-88f9-5c9b74bdc135	0	0
da06ffd6-90d6-4be0-9282-04a1fd1faf87	0	0
1f4affb2-0c86-455e-a9f9-5502aacd773f	11.1837229437229446	0.932007977873977933
fdca43e1-463b-4ea9-9226-a8c80a3020a5	0	0
1909d88d-1f05-491b-a9db-4e2b54df09e5	0	0
0da3ed40-0caa-47b6-a866-a485a1ef27fe	17.1436818181818182	1.42868777285353543
2b5982c8-0554-4b04-93c2-ad02df4e13d0	0	0
6611ad9a-265a-456e-9497-33bfcfbc85a8	16	1.33337777777777777
e172a30b-5309-429f-8c9e-1b5a4906cfcd	0	0
b05aec93-61cd-48fb-894b-25d360220a92	0	0
ef9e4b90-dc4b-4adf-b3ba-38c5f7556675	0	0
10f905b1-fb47-457f-a75f-4a12d7ef08ae	0	0
5ec60747-a375-482a-b8fa-e5e7d9fa54b4	0	0
4a2e8da3-dadb-4966-9c4d-02458e65995e	0	0
a489a9a8-7f92-4ca6-9012-fe5d8bc0adfb	0	0
679acc62-4bc4-490d-b0e9-daeb8060a254	0	0
946fdd7b-0a08-4a65-9cea-f794318b0e59	0	0
812da59a-82f8-43e1-8682-b52a9e9154d0	0	0
4a9b38ef-2591-4645-a482-2e9dd088e0e1	0	0
31f227ec-77fa-4414-8f91-c4cfa44bcee5	70	5.83352777777777742
89dca5ad-8686-4f22-815b-3219a0c51264	0.594125249072381956	0.0495112625966555447
0b009aad-e13b-42f0-ade6-260024f55576	0	0
333d1b58-5dda-4d86-bbd4-9c43694b6392	0	0
a7714241-c80f-4c33-b10e-10341280a047	11.1837229437229446	0.931992444925445085
edd06dc1-13ac-41d7-a61f-0d733df96b9a	0	0
ebf143cd-82ec-4e8d-8d4c-b03a2c3120f7	0	0
ac62f61b-76a9-4025-a072-cb1c92a04734	17.1436818181818182	1.42866396218434355
e0041384-0dd8-469c-ac7d-86cfc478f483	0	0
f6aeab6f-09fa-4c87-ba20-31f7cd17915c	16	1.33335555555555563
ace1517f-2ae7-4d01-9855-c20731c9f633	0	0
31d8b410-d181-44fd-9c4d-69818ce5a388	0	0
0c39a966-d461-4223-9fab-015d2241b2b0	0	0
37ef6958-5b5a-438a-9df8-024496792420	0	0
23a9e1bc-18fe-4556-811b-7d78340b1163	0	0
65d77966-d94c-453e-92b3-50d0280067cc	0	0
53c4a3c5-7fb4-4276-938d-a5caec99dc77	0	0
bf213212-2669-4ee1-a324-a8e6a878c353	0	0
dddc5ced-7556-403e-ab49-87083cab2a4e	0	0
229cad5b-fd4c-4c99-98c5-f81bd7fa4bd8	0	0
70bcd1ab-bacf-44b6-929e-a0662300ecc7	0	0
59245e8b-f8d1-4d6e-97d1-27cebb456e91	70	5.83343055555555612
b547dad0-162b-4853-8a54-f4c1ff228ac4	0.594125249072381956	0.0495122528054039931
cc1f1c64-77d1-4296-ba7f-36329f0f97ff	0	0
d4bf2431-c084-44a7-a19d-5b154b15b524	0	0
66476da6-1fda-4696-855f-7584397cb8b5	11.1837229437229446	0.932011084463684525
b847b163-5ba9-4d9a-995b-db0592547e61	0	0
2a5b1d08-f024-4a0b-858a-0954057182f5	0	0
a4a7222b-6739-4ea6-98ab-3035533106fe	17.1436818181818182	1.42869253498737381
042bd7c6-dcfd-43d4-9e8f-a7b6568cbed9	0	0
d65f9a77-8284-4e9a-aeb3-765ce0324964	16	1.33338222222222225
90eeee2a-da33-490b-94e5-65bb915cc9f9	0	0
f1fecbe6-8073-462c-820a-4907867e543e	0	0
0d8c4ba3-c31f-427b-a674-05a4b02e2f56	0	0
72f4e556-5f17-4fb3-a72e-f9fd5ade407a	0	0
95363356-ada3-48c4-8da9-26e6f3bce2d6	0	0
f82b74c7-3843-48c0-9dfe-3ec81614a62c	0	0
e188c0d5-6507-40a0-9ce7-8d86a649517a	0	0
9aeb12ef-03ad-458c-aa92-3369458ccdea	0	0
bf149a1d-63e3-4361-b9da-12bfd6befd49	0	0
d0bd888f-d7c6-4522-a2b9-f414456440e3	0	0
8b70c006-3ee9-4f26-a8f8-75a3d39735f5	0	0
0420895e-1db7-4574-ae6b-ff3e5135d40a	70	5.83354722222222222
4a714be5-996f-4948-8182-5b04c5791985	0.594125249072381956	0.0495191842666431667
b86b82a1-47a4-453d-96a0-4ae60b522ce3	0	0
fedcedf9-6c05-4d36-b676-17336fe5a0de	0	0
76a988ba-6d87-4dc1-884c-8e5bbc46550e	11.1837229437229446	0.932141561231361271
9e3db4ea-702a-4b6b-bd28-7da5afab743c	0	0
0803dc9a-d544-454f-93df-6aabe77df41b	0	0
0420b1d1-8523-4f64-b174-6dbd55218f34	17.1436818181818182	1.42889254460858584
d7fac12d-e477-4e26-8c4e-7c942ac8d254	0	0
30416b30-343e-42b1-a09d-637be0499b7e	16	1.3335688888888888
78479375-6e4c-4226-9b06-eaf6a172dde7	0	0
d0d42f07-c63e-4f64-8962-b79cc4cba7b7	0	0
33fd6b1e-6c4e-4160-a1a5-a418a6a82913	0	0
afa654e9-cf9d-4937-a5fb-c653cd3feb87	0	0
98f846d4-06fe-4696-afd2-08729fe717dc	0	0
4f40d15d-cd4a-44de-ad60-c1acee4b5005	0	0
36a40a87-3141-4417-96a1-5cc568299cee	0	0
2b11cbd0-a595-4b71-b03d-91053d013a91	0	0
f2f7f0a4-4e91-49d5-8e3e-9aa6204631ac	0	0
602a8b82-cfb2-43a4-b353-659acf7093ae	0	0
f7c307c5-4cf7-417c-8817-eb2cb8f29b33	0	0
df04a801-d96a-4a6e-9ee4-6f6f9b755aa6	70	5.83436388888888846
abf99832-3b9c-42a2-84d2-502745da0252	0.594125249072381956	0.0495142332229009038
7bcb9ccf-6e32-407a-a575-035ef590ab90	0	0
625fffaf-386f-4eb1-a20e-be56f2e5e03a	0	0
a9b7c122-5425-4778-91ea-ea19eda502cd	11.1837229437229446	0.932048363540163516
99e2ea84-5138-4f66-ba37-801d64d4fdec	0	0
68d333e1-10c3-4d3b-a659-e7e9a84578c3	0	0
bf230e01-63a6-40ea-b387-0809bd6adf0c	17.1436818181818182	1.42874968059343432
ead76b55-fcf3-4311-a23f-008444c13826	0	0
dc627252-750f-415c-a575-f1c818c4ed38	16	1.33343555555555549
2ba1eefa-4fd0-424c-9d3b-a34bf399905d	0	0
1a17123d-d1de-4c18-958f-ac4359790b43	0	0
4523f14c-b33c-4d36-9530-0f9421269e43	0	0
f1bd7fb1-7558-4cb1-9ae3-7a3c8b3ce6d9	0	0
aa70495d-0641-4a9d-a525-366d518c1283	0	0
d797f4a1-603e-43ae-9535-2228f76e8f8d	0	0
b0b51132-b702-4fcc-bb3d-5468309860a4	0	0
90f81287-2e76-41e0-9969-72c6f195fd21	0	0
161e12a8-c9c3-40b9-a97e-0fa7151d01bd	0	0
1476a007-0988-4a1f-a28d-0c1f93dd89b8	0	0
fb7f2da5-9427-4e4b-b594-f5a523039764	0	0
15547421-43bb-438c-9223-2e9064c0d378	70	5.8337805555555553
94eaa2d9-cc38-4bbc-828f-4f29bdef7bad	0.594125249072381956	0.0495127479097782208
0ee87f1c-a410-43a3-917d-8153fb1e6d94	0	0
ca84d15e-dc0a-4103-874c-65da1142dd8b	0	0
8c821db4-f599-4d47-8b27-4cb2e38b1b97	11.1837229437229446	0.932020404232804189
fc4d3b96-7515-4768-91f7-69c70d843537	0	0
e92e9485-0818-42e1-8e7e-8d79feaebecb	0	0
466bfc84-d154-493c-8ae7-499543aaaf83	17.1436818181818182	1.42870682138888871
4272a94b-f79a-4835-bb24-3f0965b1fac8	0	0
0d7c4a68-f32b-4fc9-91c5-fb9c38780b04	16	1.33339555555555545
181f2ec5-abd4-4208-863f-b23542769cec	0	0
6d24d28f-7e3a-4a6d-a158-27f8c3523823	0	0
6710ec40-b850-4e37-8ab2-9fc6436b6f14	0	0
bdbcd5f4-24ca-48d4-baa3-adb9b2088663	0	0
ec53d487-c251-4bdf-af6b-b000166fff39	0	0
cc6024a4-0703-4ea1-92cc-5d84ee3354d4	0	0
e761dd07-5260-4f67-b93b-da87ce9e187c	0	0
5e3d9ad0-a34e-4d0b-9ab8-83c83165678f	0	0
52c259b5-2175-4911-a664-e2f50844b609	0	0
2a99043a-3e6c-4ae2-a5c5-6fd07ea100e1	0	0
88763527-3e9c-4cf5-9709-32c7cd0b9fee	0	0
0f937b52-4c53-497b-8d02-dfa978035245	70	5.83360555555555482
357e3820-c293-4575-90cb-a9b4588e88ea	0.594125249072381956	0.0495137381185266762
937dc553-27f9-4508-801a-9908025a5fb4	0	0
87b1f0b2-70a4-43d6-8b60-9c73a28a4bde	0	0
1ffa8a66-a354-4fa6-9f7a-52ea44c52056	11.1837229437229446	0.932039043771043851
a9f5835d-ad8c-4b3d-a7b6-aaf47ddcfab9	0	0
c6640701-56f4-4d25-ab26-28b131e440c9	0	0
f1b4db4f-3e4b-49bc-857e-16c1c91a04c9	17.1436818181818182	1.42873539419191919
9cd9cbaa-c379-42f0-bb57-0e00ec4eb778	0	0
6d426f4b-8686-451e-989f-b12bb845dbe2	16	1.33342222222222229
c45fe184-0c1c-48b9-9145-261fab400934	0	0
264d349b-01bf-41dd-b707-aeb90adfef6d	0	0
ef6c8976-1449-4555-8338-d97bd20392df	0	0
a709c280-2242-4f69-8cb3-d77c2f590a77	0	0
1447b6af-0051-480a-82e2-6d1a189d180e	0	0
70cad544-4079-4e22-8005-575a384bc976	0	0
c6a1f86b-7d4b-42e6-aa47-44c04e0dba12	0	0
446cfefa-86e9-44dd-9a75-7b5c6af317f9	0	0
d7c06695-d5d6-4102-af9b-bc6cfc919456	0	0
fc2a5100-f1f2-4d4b-8472-c367c6e4bbba	0	0
b6fcc439-fdbf-4190-979e-0044f52a0c73	0	0
359cafbb-794c-4cdc-b912-f4462da26cd1	70	5.8337222222222227
f4f8ca50-b490-477f-b3da-79d96a08a153	0.594125249072381956	0.0495148933620665407
e52b1e0e-36fc-4045-a0d2-de3230861200	0	0
206dfa4e-5226-4603-8cfd-440a2d4c8780	0	0
68ed6cd6-f70f-4257-bc16-9ec52fdc6bd9	11.1837229437229446	0.932060789898989994
0994bb6a-5245-4616-99da-25f0dafbef0c	0	0
40e16d15-97fc-488b-98e6-7dac4f289ee0	0	0
da03eb6a-3a27-48dc-8702-fea1ad87a38a	17.1436818181818182	1.42876872912878783
6b0b3353-44bd-42b9-b96e-5bd0411024e4	0	0
2e605a2c-4a84-4fec-8ca6-1fb419eec13f	16	1.33345333333333338
066100ca-f5bf-4992-90b1-c87959156dee	0	0
d747e0aa-e301-46f6-900e-96f8f0464514	0	0
8ef457c5-246f-4d3a-b184-8e0e50abd460	0	0
5e05823b-3ce8-4e42-b9c0-7ee3c2a985d3	0	0
99504b86-044c-4927-8fb0-bd5613c1b5f9	0	0
441b0390-669c-4b2a-b174-e4e27747c589	0	0
5770b851-ee22-40f8-96d4-e0b404189347	0	0
db00d592-a47f-42c4-8d83-9b472f4aa33d	0	0
e82673b1-1b95-497c-9783-205650e301f9	0	0
40f18bcf-eaf7-464f-88b7-c6a0463d9adf	0	0
a45d3ada-5437-41c7-a4a1-fbf375aa212b	0	0
ae822baf-a605-4b7d-bbb5-f08a472e959f	70	5.83385833333333359
99b1b701-d3e7-40a9-89b5-cc9a16aba6a0	0.594125249072381956	0.0495091171443672179
36c74b8d-011f-486d-b156-49f15cd9a040	0	0
9ee9f6a8-9587-4cb9-b07a-968e850ae744	0	0
c9be048a-2eb5-4909-ba48-39cf21fdce8a	11.1837229437229446	0.93195205925925928
058d9589-3032-4704-b620-776ddcbd4d75	0	0
54b79cb3-1eab-40ca-97ab-0ac662cc940a	0	0
ba16bc4f-285e-4f4c-8107-b604bbb1257e	17.1436818181818182	1.42860205444444444
a9903313-2ec7-4223-91fc-44576aa6f5bf	0	0
52eca306-764c-4404-beea-42d46e6fbedb	16	1.33329777777777769
18aa5f06-b9e3-4f0d-9a24-5971fbb9966f	0	0
aab74147-5a2a-4dfc-8dae-d79bfbddb9d1	0	0
63d24ee7-c984-4693-987a-f2793efe0f4e	0	0
19a932e4-3489-40de-97dc-017fd786b259	0	0
ea42f544-b1fb-4968-a947-a83486877722	0	0
cccbe19f-d9ff-4cf0-b678-64b734051b3a	0	0
cfb69d74-9835-45af-bbd4-0758ebcfa211	0	0
5ab3246c-328a-45e2-a189-53aaffe1349e	0	0
5c3c8119-69d4-4b59-baf6-651a36efb1fb	0	0
130cac62-46e0-477d-97ba-eadab0744ab8	0	0
e80d8e9f-a8a2-4564-b826-d31f242545fc	0	0
dcd59af0-20eb-4d92-8508-4388b363886b	70	5.83317777777777735
48191e31-0fcc-4d36-86f5-c95669534d4c	0.594125249072381956	0.0495213297189314935
2c440296-2a8b-45bc-b7b2-773de68f65fc	0	0
8f3f74c3-6f47-493a-ab52-396ae2d02e9e	0	0
bf5bac89-41aa-4cae-96a0-bcd0c339c006	11.1837229437229446	0.932181946897547076
e4c75c7f-e105-4e90-9f32-ed94b695e2e4	0	0
a4d770bd-f025-4f2c-8cf5-39e4152df432	0	0
a8675994-49b3-4038-b704-485083a149f1	17.1436818181818182	1.42895445234848495
d6872065-5699-4378-8ce3-fd2e901aae4d	0	0
d778cec2-4776-4916-8d5c-7eb26db708b6	16	1.33362666666666674
8e8a943f-18d1-4e5c-8988-7bdca1eb5cb3	0	0
065d5eea-cb05-4773-87cf-356d42a6fedd	0	0
0300dd97-d50b-4ac7-96e9-5594a13d612d	0	0
0d4a7832-5730-4f12-aaf7-8099fd74e604	0	0
d797efd0-7bc5-46e3-aa01-240d348118fb	0	0
b62bb69f-9d72-49ec-910c-7cfb92bcc5fb	0	0
7c27196b-57eb-4b2d-9423-bba552118762	0	0
e9976c88-967f-4b93-a1f4-4e6b5a96670f	0	0
e75738bf-49da-410f-8209-90ba235595a3	0	0
a9db6f7d-a8d2-45af-9924-f2c5f5c3e0cb	0	0
844c9c73-2a7e-463e-acdc-03c61414e625	0	0
4cae411f-bed1-4962-a5cc-1895e376c477	70	5.83461666666666723
\.


--
-- Data for Name: dimension; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY dimension (uuid, height, width) FROM stdin;
\.


--
-- Data for Name: energysystem; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY energysystem (uuid, country, designitload, name, outdoordrybulbtemperature, recalculateintervalinminutes) FROM stdin;
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	IT	110	Verona 	20	5
\.


--
-- Data for Name: energysystem_equipment; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY energysystem_equipment (energysystem_uuid, element) FROM stdin;
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	70d129e3-531a-45a3-a654-a2451f29dfd9
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	e5a7c181-285d-4483-84d8-4483b2c2da6d
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	aba8f74c-58cc-420a-9a64-9b7516556027
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	383e6ee2-29e9-4fab-b62e-672ef6d79c70
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	88a601b1-c164-4598-b682-e94d2cd03747
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	aa829c4d-dee8-42ff-8b5a-3ca882a864a4
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	f259c4b5-2a46-4c55-b6ab-93b9e904a96f
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	16257963-0a03-477e-a362-46ca872dff33
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	5033df47-daa7-4dba-9f37-8abdd5a68f0d
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	cfd2aa96-aa67-4312-888d-948dd2b8ade8
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	5ab6851a-398d-437e-bc6c-62bd373ccebd
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	a8d2cc09-110c-43d2-8e95-721fe6f335b6
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	686188f4-9678-4bfa-a2be-4ce89204a6a2
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	2bf74da1-5ce2-405b-a189-1c8cae23afd5
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	03071a16-e412-4130-a373-00ac493fa2a2
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	c81c3f42-2df5-4e7e-b046-c5f215c63a9b
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	ebac01f4-c14f-48fa-a69c-350720dca6d7
\.


--
-- Data for Name: energysystem_equipmentsensormap; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY energysystem_equipmentsensormap (energysystem_uuid, element, mapkey) FROM stdin;
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	0bcda03a-53bc-4a0d-9ba2-371b9be70605	aa829c4d-dee8-42ff-8b5a-3ca882a864a4
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	f9e573d2-391d-4dfa-95e3-35ffbe9195dd	cfd2aa96-aa67-4312-888d-948dd2b8ade8
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	e0e0cda6-6fe3-4588-8062-af93b6859ef3	5ab6851a-398d-437e-bc6c-62bd373ccebd
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	f4c07f75-d902-42f2-add0-4a716f6bbb8a	a8d2cc09-110c-43d2-8e95-721fe6f335b6
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	0765a73a-9bce-40f8-a610-20d8c5ed539f	2bf74da1-5ce2-405b-a189-1c8cae23afd5
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	dae2f70b-420e-4766-92d5-57901a3832be	383e6ee2-29e9-4fab-b62e-672ef6d79c70
\.


--
-- Data for Name: energysystem_subsystemconfiguration; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY energysystem_subsystemconfiguration (energysystem_uuid, subsystems_uuid, subsystem_type) FROM stdin;
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	b5c5145f-5b97-44fa-a19d-3be0fb3f5f3f	SWITCHGEAR
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	927ddf75-ff93-4834-b5c7-74e33662ae52	GENERATOR
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	4432d6ce-02a8-40e5-9460-30e5bc8eb0ad	PRIMARY_AUXILIARIES
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	5912ea49-ebd3-4563-81c5-ebd1698d31bf	UPS
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	182007d8-cfba-4942-860b-41a730457335	CRITICAL_AUXILIARIES
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	3a4cde02-abb4-4dec-a132-2975cc6a1a5f	LIGHTING
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	fe5dc436-fbd6-481d-bdaa-be6002cf0e44	CRITICAL_POWER_DISTRIBUTION
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	022c9876-f11a-45df-bf84-0f9170af920a	CRAH
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	ab98c086-8716-4f78-ae42-8c1c20fc96c5	CRAC
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1c7c1e89-e060-4a18-a947-41bfd1600785	CRAC_WITHOUT_FAN
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	dfee22cf-7377-44b6-a2dc-057b22e778c5	CRAC_FAN
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	de551596-858c-4e9e-9f07-4c322ff7d10e	CHILLER
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	9622aaf3-cae4-46f7-b566-baf115b46d17	AIR_COOLED_CHILLER
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	be25b63e-4f85-419f-9393-6a35592ef5b9	COOLING_TOWER
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	d326a3f7-3220-49f2-8b9d-0b0f64f2a008	DRY_COOLER
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1af462dd-0a3b-4b96-b506-d568010ab989	REMOTE_CONDENSER
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	ba3bca35-ccfe-4ad0-87d7-9c00375ab7ae	CHILLED_WATER_PUMPS
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	2a8ae866-0f51-4225-a5a6-cbc4e6fd13ec	HEAT_REJECTION_PUMPS
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	b0661368-a1e0-4ab0-b1c3-c71092643af1	VENTILATION
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	3a574134-94d6-4a81-8d2a-69f9f82fb11b	INFILTRATION
fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	00ce7163-b4d6-4faa-9763-47b9ac79117c	IT_LOAD
\.


--
-- Data for Name: graphicalrepresentation; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY graphicalrepresentation (uuid, x, y, height, width) FROM stdin;
8dc16edc-41fc-4f8b-b894-00bf298767d0	88	127	50	100
63d6bf00-ea0a-428a-8cab-f0c426056539	215	201	50	100
e192205d-aac1-4f5c-8710-c2a1a0f1f4b5	84	203	50	100
77e699f9-688a-46b4-9177-e1a6724bed51	217	122	50	100
c1d46f46-964e-4998-9b01-a15248f9584c	222	69	50	100
99fea4b9-c8d1-4bdb-8dbb-84f2ad81f62a	407	290	50	100
3cc54fc7-0efc-49b5-9577-ab44c59c89e4	37	289	50	100
30070ba1-9358-41fa-95b3-aef2c236deca	158	289	50	100
8dd75c10-929c-47e3-a740-2522f8e54238	220	152	50	100
86a749ad-664a-40be-b3f5-37e9dffbe3ba	282	290	50	100
6d62b0db-1ad8-497a-a97a-a308cd8921c5	256	529	50	100
497cf7bb-ae58-47c1-8cec-22b216c85fc4	163	89	50	100
f11c29bf-9732-40c8-97f3-1a58ed7706cf	968	551	50	100
d425b663-52e4-48f0-b89e-4f819b5c71b0	1168	165	50	100
0df333af-4d13-4a26-83ed-b215f66edf28	1203	549	50	100
362d2e0b-f746-43d5-9cb6-878499383d17	28	529	50	100
c3583735-7609-4453-b792-72d521b450d1	540	402	50	100
f9a26285-d90a-433b-88c0-21792eea6b54	1168	51	50	100
5636cf7f-7e3f-43ef-b55c-b10300647ddc	369	530	50	100
85bf0f7d-8f3d-43b4-b167-0402968e815d	906	409	50	100
df649015-1848-4314-9a58-390e46836f11	1085	549	50	100
9b1ac733-6fcd-436a-9090-7c53187ca36b	163	192	50	100
c2888944-a66a-4670-946a-bce10ae4698a	389	393	50	100
018ba4cf-5628-4781-966f-0cd9ccede654	732	409	50	100
9516c4af-258a-4262-8f64-0536d09081cf	1320	547	50	100
12a0f7bf-c7d1-4086-9778-457e5909c202	558	10	50	100
c797c68c-35ad-45bd-aac8-0f7252ed4e43	142	527	50	100
\.


--
-- Data for Name: point; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY point (uuid, x, y) FROM stdin;
\.


--
-- Data for Name: powerdependencydiagram; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY powerdependencydiagram (uuid) FROM stdin;
bb5c96b7-7700-4db8-bccb-dfc9f95c518d
\.


--
-- Data for Name: powerdependencydiagram_graphicalrepresentation; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY powerdependencydiagram_graphicalrepresentation (powerdependencydiagram_uuid, locationmap_uuid, mapkey) FROM stdin;
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	8dc16edc-41fc-4f8b-b894-00bf298767d0	3dc8c26d-03e0-495c-b3c6-3e3c5b9c1f9c
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	63d6bf00-ea0a-428a-8cab-f0c426056539	bedac76d-fd88-4d47-8877-683b051b17a6
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	e192205d-aac1-4f5c-8710-c2a1a0f1f4b5	655cdcb9-f454-4af8-b418-3d5910a434f0
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	77e699f9-688a-46b4-9177-e1a6724bed51	fd8b6101-ab37-4d10-9e2e-e9f812b31119
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	3cc54fc7-0efc-49b5-9577-ab44c59c89e4	c5b57518-d95e-4049-9326-f25913aff1ef
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	99fea4b9-c8d1-4bdb-8dbb-84f2ad81f62a	599da2c7-35d6-4a87-a127-915d3f9e824e
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	c1d46f46-964e-4998-9b01-a15248f9584c	35a389aa-0536-48df-8ecd-f14e45242423
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	30070ba1-9358-41fa-95b3-aef2c236deca	14d634c5-3d01-4adb-87ef-d46fd69dcf62
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	8dd75c10-929c-47e3-a740-2522f8e54238	01395fa5-4b66-49b3-8fc6-e8eec2fae307
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	86a749ad-664a-40be-b3f5-37e9dffbe3ba	cc08e7b3-96f1-4064-8314-0e5524b40d60
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	6d62b0db-1ad8-497a-a97a-a308cd8921c5	70d129e3-531a-45a3-a654-a2451f29dfd9
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	497cf7bb-ae58-47c1-8cec-22b216c85fc4	aba8f74c-58cc-420a-9a64-9b7516556027
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	0df333af-4d13-4a26-83ed-b215f66edf28	16257963-0a03-477e-a362-46ca872dff33
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	d425b663-52e4-48f0-b89e-4f819b5c71b0	aa829c4d-dee8-42ff-8b5a-3ca882a864a4
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	f11c29bf-9732-40c8-97f3-1a58ed7706cf	f259c4b5-2a46-4c55-b6ab-93b9e904a96f
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	362d2e0b-f746-43d5-9cb6-878499383d17	5033df47-daa7-4dba-9f37-8abdd5a68f0d
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	c3583735-7609-4453-b792-72d521b450d1	2bf74da1-5ce2-405b-a189-1c8cae23afd5
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	f9a26285-d90a-433b-88c0-21792eea6b54	c81c3f42-2df5-4e7e-b046-c5f215c63a9b
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	5636cf7f-7e3f-43ef-b55c-b10300647ddc	e5a7c181-285d-4483-84d8-4483b2c2da6d
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	85bf0f7d-8f3d-43b4-b167-0402968e815d	383e6ee2-29e9-4fab-b62e-672ef6d79c70
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	df649015-1848-4314-9a58-390e46836f11	88a601b1-c164-4598-b682-e94d2cd03747
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	9b1ac733-6fcd-436a-9090-7c53187ca36b	cfd2aa96-aa67-4312-888d-948dd2b8ade8
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	c2888944-a66a-4670-946a-bce10ae4698a	5ab6851a-398d-437e-bc6c-62bd373ccebd
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	018ba4cf-5628-4781-966f-0cd9ccede654	a8d2cc09-110c-43d2-8e95-721fe6f335b6
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	9516c4af-258a-4262-8f64-0536d09081cf	686188f4-9678-4bfa-a2be-4ce89204a6a2
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	12a0f7bf-c7d1-4086-9778-457e5909c202	03071a16-e412-4130-a373-00ac493fa2a2
bb5c96b7-7700-4db8-bccb-dfc9f95c518d	c797c68c-35ad-45bd-aac8-0f7252ed4e43	ebac01f4-c14f-48fa-a69c-350720dca6d7
\.


--
-- Data for Name: powerpath; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY powerpath (id) FROM stdin;
\.


--
-- Data for Name: puemeasurement; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY puemeasurement (uuid, date, modeluuid, pue) FROM stdin;
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	2015-11-04 14:51:58.3	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
c53a50b2-5d3e-4a51-be32-bf258ec31133	2015-11-04 14:56:58.254	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
269d803f-8dd2-44db-90a6-b794862da39b	2015-11-04 15:03:01.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	2015-11-04 15:08:01.511	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	2015-11-04 15:13:01.482	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	2015-11-04 15:18:01.505	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
6fb96e41-893a-40a6-9e23-4df8b4802811	2015-11-04 15:23:01.525	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	2015-11-04 15:28:01.54	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
2226c93c-6e96-46b1-b076-9a59344289b8	2015-11-04 15:33:01.658	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
f17b86f2-2719-4481-b743-6e91966d1a24	2015-11-04 15:38:01.574	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
3cf6750e-4395-4916-9347-c5de6bebe6ab	2015-11-04 15:43:01.678	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.60000000000000009
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	2015-11-04 15:54:09.404	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.22857142857142865
16e7cd60-705a-435d-96a3-a6cc172920d7	2015-11-04 15:59:09.452	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.82591828231292519
94b52627-f270-4b73-88a7-2909d9c50a86	2015-11-04 16:04:09.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
129c9daa-9bc1-4098-a46d-2c62359aa7ad	2015-11-04 16:09:09.545	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	2015-11-04 16:14:09.532	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15d11837-34b5-41e3-91d7-44e85697414d	2015-11-04 16:19:09.581	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	2015-11-04 16:24:09.666	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a8def25f-d39e-49c9-be1c-2a77588381ce	2015-11-04 16:29:09.601	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15937778-9480-4c6b-a3ba-5606d8627b08	2015-11-04 16:34:09.585	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
43540b70-ce5d-4a6e-8469-7496492526dd	2015-11-04 16:39:09.646	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b415e371-411e-4a05-a25d-f057a56cb132	2015-11-04 16:44:09.634	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	2015-11-04 16:49:09.687	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d3eb5e4-7790-41a7-9617-ad78442b3c49	2015-11-04 19:27:53.492	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	2015-11-04 19:32:52.935	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1911428-ec6c-42de-84d4-14659d2437f1	2015-11-04 19:37:52.967	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	2015-11-04 19:42:52.831	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	2015-11-04 19:47:52.841	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bc9066b7-ee4b-4504-99ad-a9bf9242984f	2015-11-04 19:52:52.954	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da2b16cd-4b96-404a-9849-5a27466f183e	2015-11-04 19:57:52.887	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f49e5177-4ced-4580-9949-df36d3b5efc2	2015-11-05 09:14:59.198	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8d328e1b-2173-4c0c-be40-99be4c11795b	2015-11-05 09:19:59.151	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9533f462-7189-4177-8926-7c726ef5401a	2015-11-05 09:24:59.15	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2a23dda9-0f83-4d69-8cff-d5353df2850a	2015-11-05 09:29:59.038	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	2015-11-05 09:34:59.044	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0ccbc597-4484-4563-8d01-de2f64be40ce	2015-11-05 09:39:59.1	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ec730a8-c22a-40f2-b62a-3c577a56987c	2015-11-05 09:44:59.094	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
545dc984-2e07-4168-bef5-855e819a0b45	2015-11-05 09:49:59.122	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4768809c-c2a8-4903-a03b-e00c51a1fd98	2015-11-05 09:54:59.145	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c53a31cc-91f6-4594-b817-4c31f6078d9e	2015-11-05 09:59:59.13	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d980bd54-2c77-4332-8c04-14816ad2b08a	2015-11-05 10:04:59.162	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
162d1694-22d9-4193-8692-5d865df09afb	2015-11-05 10:09:59.187	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	2015-11-05 10:14:59.238	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
452942e5-525c-4f44-8fa5-e3acd9a1c970	2015-11-05 10:19:59.23	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
feb0d1af-2129-4bf9-9228-3a98ebec8c96	2015-11-05 10:24:59.253	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	2015-11-05 10:29:59.285	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	2015-11-05 10:34:59.304	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a9980100-d2b1-40d0-8726-c749871c71e4	2015-11-05 10:39:59.342	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	2015-11-05 10:44:59.34	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ee3ab09-949a-40b6-8f00-249161d076c1	2015-11-05 10:49:59.347	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
12553805-434a-4f49-94f1-c79adcd28805	2015-11-05 10:54:59.408	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	2015-11-05 10:59:59.399	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f9fdccf1-a2e0-421b-be85-fd7a9132674f	2015-11-05 11:04:59.418	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	2015-11-05 11:09:59.469	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
983b2a89-e156-4e54-b4d3-1e62951656b4	2015-11-05 11:14:59.419	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2427a884-fa18-4e91-822c-d32bea9040b4	2015-11-05 11:19:59.46	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
34cbe4b8-abdc-408c-bf51-b96efb067096	2015-11-05 11:24:59.472	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	2015-11-05 11:29:59.524	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
419d64b2-b0a8-49f9-89f8-be4b2d08953a	2015-11-05 11:34:59.528	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
96a21a67-7df5-4703-8e20-3abc35ac332f	2015-11-05 11:39:59.454	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	2015-11-05 11:44:59.575	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	2015-11-05 11:49:59.578	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a71c8ac6-66db-4c97-b10a-791b89777c74	2015-11-05 11:54:59.951	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	2015-11-05 11:59:59.625	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
43017b2d-38b1-4772-a308-2ea7d7859560	2015-11-05 12:04:59.599	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f0dd46b0-f0bd-424a-824a-4d65a210b21a	2015-11-05 12:09:59.642	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	2015-11-05 12:14:59.677	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	2015-11-05 12:19:59.682	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
58e1c8f1-960c-4c2f-a90e-f16027b61450	2015-11-05 12:24:59.711	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	2015-11-05 12:29:59.738	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ac81879-d073-47ec-bb37-3aa3059fa10f	2015-11-05 12:34:59.725	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
971f8444-8a68-4037-8673-51a9b1cb64c1	2015-11-05 12:39:59.751	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	2015-11-05 12:44:59.791	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	2015-11-05 12:49:59.841	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37bae334-8a82-4b6b-ab9b-28499f9ad254	2015-11-05 12:54:59.841	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6af4fdf0-cf5e-4128-85ae-7877f843aac7	2015-11-05 12:59:59.845	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	2015-11-05 13:04:59.878	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e190a591-b8a8-4ca0-b0f5-16401482ee43	2015-11-05 13:09:59.896	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	2015-11-05 13:14:59.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	2015-11-05 13:19:59.949	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
64652de6-93e8-4730-90b0-a4bc21453051	2015-11-05 13:24:59.919	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b878673c-8e68-4c22-8d11-756226f306e3	2015-11-05 13:29:59.966	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
33521e78-c636-4135-80ba-13ed4909f29b	2015-11-05 13:34:59.985	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f37f0198-561b-4b67-bece-283159b38dd8	2015-11-05 13:40:00.035	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	2015-11-05 13:45:00.04	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed0037a2-b24e-41cb-a442-5722652d9d3a	2015-11-05 13:50:00.05	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7987255f-7c99-431a-aa27-e7c56b7cdfe7	2015-11-05 13:55:00.066	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b8199091-ff07-499e-a024-e1c4d1a2bb1c	2015-11-05 14:00:00.095	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0adb9969-6dba-4f91-9c70-5b6fda80de79	2015-11-05 14:05:00.101	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db8730fd-d026-42ed-b71d-2ed85d36591a	2015-11-05 14:10:00.129	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8aa34d3d-2b00-45a4-885c-0e639797340c	2015-11-05 14:15:00.157	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
25ad405d-128a-40e4-8560-2357eae77eb9	2015-11-05 14:20:00.186	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	2015-11-05 14:25:00.221	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	2015-11-05 14:30:00.222	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	2015-11-05 14:35:00.258	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d5de1c2e-1485-48e2-a425-83601d02b3dc	2015-11-05 14:40:00.24	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	2015-11-05 14:45:00.287	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f651528-2f44-43ae-a51d-72eaad2ac10f	2015-11-05 14:50:00.308	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
86e61338-9376-4194-bc46-36a27538588a	2015-11-05 14:55:00.345	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	2015-11-05 15:00:00.364	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
64c1ad07-9954-4ece-9d90-8368cc42e0a6	2015-11-05 15:05:00.377	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	2015-11-05 15:10:00.398	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
08415a70-4326-48bd-b4de-ed57e4d35e22	2015-11-05 15:15:00.368	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d123dd83-142a-4e70-9957-b90e80bcfcea	2015-11-05 15:20:00.448	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1fac0fe-9867-46c8-b17c-1a1424c867fa	2015-11-05 15:25:00.484	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
99b1e32b-7636-4e72-9407-570505ced966	2015-11-05 15:30:00.48	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	2015-11-05 15:35:00.487	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2face243-4f28-429f-b00d-1457e53be722	2015-11-05 15:40:00.502	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2e06b3de-8bfb-404c-a20c-65cf07de881e	2015-11-05 15:45:00.526	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9e144317-f7d1-42e1-98d1-879f6eeb37be	2015-11-05 15:50:00.549	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	2015-11-05 15:55:00.572	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5caafea4-2521-4079-a2e2-55be3144af36	2015-11-05 16:00:00.591	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
68dcf8cf-8829-4e41-80c8-7225d4244951	2015-11-05 16:05:00.613	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
93e8316e-3991-4243-a8d0-8f35bff90a8c	2015-11-05 16:10:00.62	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab735fb5-0dd8-4fde-8308-c64f38d2aead	2015-11-05 16:15:00.65	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	2015-11-05 16:20:00.624	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
213d5dae-8860-4f4d-b97f-181084f884ed	2015-11-05 16:25:00.678	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a1de2791-ca76-4d71-8aeb-945876c232ae	2015-11-05 16:30:00.706	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d566dc13-e32a-4173-93e4-963a6a06650a	2015-11-05 16:35:00.73	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
41417a56-db38-4eef-98ec-38dfad593c24	2015-11-05 16:40:00.746	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
612b8d66-bb27-476c-872a-e0a5c25a1c2e	2015-11-05 16:45:00.774	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	2015-11-05 16:50:00.772	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f131958-a103-4556-86b9-a3a1080476cd	2015-11-05 16:55:00.791	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
13e54aff-1f95-4b97-b795-c7846528c371	2015-11-05 17:00:00.824	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e943b65f-de33-42eb-a940-27508a49cac9	2015-11-05 17:05:00.825	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89f0f3b4-35cc-401f-9b18-8c60f5db1931	2015-11-05 17:10:00.826	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	2015-11-05 17:15:00.87	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fd4f4e55-6084-4199-bb92-9129ed0a499f	2015-11-05 17:20:00.904	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	2015-11-05 17:25:00.909	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	2015-11-05 17:30:00.937	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fcd63d7f-b06c-4335-9649-0bbc605f3ead	2015-11-05 17:35:00.96	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	2015-11-05 17:40:01.321	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1303b704-55bd-41ab-acca-90bba9515a5a	2015-11-05 17:45:00.988	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	2015-11-05 17:50:00.986	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b7c0d677-6531-4092-881b-e98b899cda86	2015-11-05 17:55:01.003	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	2015-11-05 18:00:01.031	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3f5a884c-7d80-41d7-b4aa-2f718044fcce	2015-11-05 18:05:01.062	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	2015-11-05 18:10:01.098	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e73a4802-013e-4005-b3ee-075e60d8c3f6	2015-11-05 18:15:01.116	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dc975b87-c4c7-42e4-af10-0add5aa5d004	2015-11-05 18:20:01.134	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d798092d-c548-40df-89e7-0afc0c0c197b	2015-11-05 18:25:01.159	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	2015-11-05 18:30:01.194	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ab91d11-35c6-4a30-b440-c495cea0c9d7	2015-11-05 18:35:01.201	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81a13c86-59db-4ee4-9a7f-93941543bb79	2015-11-05 18:40:01.237	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed32deab-9caa-4c15-b295-d95ce74c5572	2015-11-05 18:45:01.254	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da8c5c88-f594-4bd9-800e-018ee08c601d	2015-11-05 18:50:01.264	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	2015-11-05 18:55:01.275	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1eebb67e-93fc-453b-b426-367eeaf89ca5	2015-11-05 19:00:01.31	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e799730d-578f-4159-990a-11e5effedeeb	2015-11-05 19:05:01.64	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
90fe82f9-c6b3-4483-bad5-3311dfa45d03	2015-11-05 19:10:01.344	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fa96f601-6f97-4283-8e99-e323ccfd7cbe	2015-11-05 19:15:01.369	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
70c42d7e-12c8-473d-b00e-0f2b36a942a6	2015-11-05 19:20:01.368	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	2015-11-05 19:25:01.383	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	2015-11-05 19:30:01.433	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d6018613-ba55-48fc-b7a0-a6c657ee6083	2015-11-05 19:35:01.463	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	2015-11-05 19:40:01.468	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
44d73db8-3336-4a4f-8f53-53802329b2c2	2015-11-05 19:45:01.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fe17756a-d49a-4b9c-9d74-1b9198e52767	2015-11-05 19:50:01.546	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b558329-c123-4c07-a4f8-4943bdb16db8	2015-11-05 19:55:01.538	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	2015-11-05 20:00:01.552	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e728c11f-6d64-410c-b09f-4a97db85dfd9	2015-11-05 20:05:01.537	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02f42bbc-5853-4b29-aa08-e227108b4fb1	2015-11-05 20:10:01.591	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fc470856-33f3-472f-b508-316d87b777f1	2015-11-05 20:15:01.606	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2a6b56f9-aef3-48dd-9874-d5703870ac55	2015-11-05 20:20:01.621	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4df34f85-0f87-4db0-8128-d849b67de70f	2015-11-05 20:25:01.643	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
34e9c256-6de9-4577-8b59-060a1b731699	2015-11-05 20:30:01.657	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56a347c9-577c-48b4-bad3-7b7e16ebc367	2015-11-05 20:35:01.678	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9cf4190-a0db-4acd-97bf-cbe3288b3538	2015-11-05 20:40:01.699	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5d3165e3-d2da-4069-bc37-7bdb298cefbd	2015-11-05 20:45:01.699	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba8daf0b-20f1-41ad-9d2e-183f741734af	2015-11-05 20:50:01.749	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f13e5aca-5843-4f09-ad20-3f62268fe3ef	2015-11-05 20:55:01.775	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a4b7643f-8c54-421b-b196-b40ff61741d1	2015-11-05 21:00:01.778	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15758cb5-fa1e-412d-9317-29fe17f0fc92	2015-11-05 21:05:01.767	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7404ff0d-9839-4b03-bbbf-c51613f3cc71	2015-11-05 21:10:01.836	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e688accc-76d4-426e-ae62-f40c905622a9	2015-11-05 21:15:01.845	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7473bf8a-7e6b-472b-9201-2a47986a3ada	2015-11-05 21:20:01.886	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	2015-11-05 21:25:01.901	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ebba832-7088-4f45-94ce-5f4567334ca3	2015-11-05 21:30:01.931	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
51fa80dd-5bf3-42d9-bab7-d877b30debd7	2015-11-05 21:35:01.922	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7b2f20df-2d49-4085-a5d8-154121e9eef2	2015-11-05 21:40:01.931	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	2015-11-05 21:45:01.961	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5a36c6b5-a67d-4dd3-9990-998385e30194	2015-11-05 21:50:02.006	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0be80e33-8810-4fd1-ac36-4a618c285410	2015-11-05 21:55:01.994	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	2015-11-05 22:00:02.014	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8310eeec-1e07-4375-9150-e85daff42ce9	2015-11-05 22:05:02.037	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	2015-11-05 22:10:02.057	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a2103221-3eb0-4dad-a015-109444fbbeae	2015-11-05 22:15:02.049	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
472d1045-9efa-4d18-af0b-953d0b7937d0	2015-11-05 22:20:02.096	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
609eb5c6-3972-4d43-b4d1-3df918aabcdb	2015-11-05 22:25:02.131	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9499e750-ded3-42bb-a13b-cb8c7be89751	2015-11-05 22:30:02.144	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49f69855-c7c7-456f-b61c-852784e64b17	2015-11-05 22:35:02.154	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
821e3608-8608-45f5-9f40-2ed00fedcdfd	2015-11-05 22:40:02.172	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8993a73a-b14b-45e7-a1d2-0fab29a23f12	2015-11-05 22:45:02.184	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4b93bc18-0ff1-4cd5-8725-676522abae14	2015-11-05 22:50:02.228	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
915edda8-685a-44df-b26b-6c7addd88c6b	2015-11-05 22:55:02.229	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f394015a-75a1-46c4-aafa-1911697b9962	2015-11-05 23:00:02.212	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
683377de-0d87-4a37-b385-35ad4be1ca19	2015-11-05 23:05:02.257	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4cb34074-c709-4846-875f-0a8842e451ac	2015-11-05 23:10:02.272	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ce59759a-e3b2-4866-895a-7902607f2fbc	2015-11-05 23:15:02.313	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b1361f7f-28f2-4920-8c0b-9138c5009ef8	2015-11-05 23:20:02.334	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cea4642e-9818-4958-b4f2-bf95c4a48516	2015-11-05 23:25:02.327	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6a660d5c-0cbe-44e5-a300-b766fa181cf9	2015-11-05 23:30:02.371	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ac08b01f-1f3a-465e-a37a-e03baadfbafe	2015-11-05 23:35:02.404	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	2015-11-05 23:40:02.411	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0d7502bc-6a99-4b3d-aab0-3558ed92c519	2015-11-05 23:45:02.426	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94f02981-9f31-4df7-8fde-77e6b3609189	2015-11-05 23:50:02.435	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6a773eee-42ab-4cfc-a2da-c93342a942d0	2015-11-05 23:55:02.471	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	2015-11-06 00:00:02.496	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd06cb80-ceb6-4f52-baa6-dc9278665e18	2015-11-06 00:05:02.503	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9457c5fb-0dca-475d-a759-61afce0cd402	2015-11-06 00:10:02.822	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5166ff10-289c-4b90-833f-d4256a75bbed	2015-11-06 00:15:02.562	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	2015-11-06 00:20:02.527	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	2015-11-06 00:25:02.587	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
edda760e-4770-495d-81f5-f243e336557c	2015-11-06 00:30:02.624	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4ecf2f10-8482-4b59-8595-5916f69c232d	2015-11-06 00:35:02.633	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
183769d7-67c1-45fb-b99d-be6f45fed5ad	2015-11-06 00:40:02.658	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6237d211-46a2-4306-bfce-8c5ab96552d6	2015-11-06 00:45:02.67	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	2015-11-06 00:50:02.701	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e24d0f36-5c53-41ca-82de-926cbe6383dd	2015-11-06 00:55:02.719	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3bae5d28-edb9-4607-9951-77876133be34	2015-11-06 01:00:02.753	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
60264631-0478-44c3-9375-1ab0486a3664	2015-11-06 01:05:02.752	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
247cb79d-bdc3-4a53-8265-434468a43351	2015-11-06 01:10:02.742	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a6bb0578-90be-442a-a38b-31840bed182b	2015-11-06 01:15:02.785	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6a0b011b-3169-4a60-9c0a-a5a01b97842a	2015-11-06 01:20:02.809	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	2015-11-06 01:25:02.836	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	2015-11-06 01:30:02.867	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	2015-11-06 01:35:02.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	2015-11-06 01:40:02.863	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	2015-11-06 01:45:02.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9a6ca0fd-3151-47b4-bbcb-d25938226b10	2015-11-06 01:50:02.929	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
416beee5-c465-431e-9fa9-7fc9f88fa01d	2015-11-06 01:55:02.952	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
61739648-245a-425a-86dc-9dbf07fa4a09	2015-11-06 02:00:02.966	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d6adfa12-0c37-4914-8700-7b17c25aebad	2015-11-06 02:05:03.01	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31bc5f89-3026-46de-87ea-dc4c256e7337	2015-11-06 02:10:03.03	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48551c2d-d5dc-436b-941e-500e23806289	2015-11-06 02:15:03.06	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	2015-11-06 02:20:03.073	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	2015-11-06 02:25:03.108	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4183e072-8867-4881-b467-b519dd78638e	2015-11-06 02:30:03.027	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3dc5724a-8069-48de-898e-fe337368e3ce	2015-11-06 02:35:03.124	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
46a330bd-2ece-4277-8c00-27e8cfbb39ba	2015-11-06 02:40:03.149	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5805b50a-cb9f-4904-a848-942ac0c5dae2	2015-11-06 02:45:03.18	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
19be3872-11c4-4e35-a7c2-b9dc4da54d53	2015-11-06 02:50:03.196	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
96b11980-f833-44df-b715-705cb55c7a28	2015-11-06 02:55:03.173	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6cfb66d1-bc53-433e-93de-751f560672b4	2015-11-06 03:00:03.234	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
88fa0abb-ff6b-4580-bf9e-197230bc3be3	2015-11-06 03:05:03.241	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
acc3cc7e-edab-40e6-beac-ebb1252adef0	2015-11-06 03:10:03.268	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b071cd2-0f8f-4216-8c47-934ebc4c514b	2015-11-06 03:15:03.309	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ede15a9-b041-4077-955a-0dfd173ca5a3	2015-11-06 03:20:03.31	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	2015-11-06 03:25:03.324	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3b9b5919-969c-444c-8988-404a5251a606	2015-11-06 03:30:03.365	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b8a02b6-fdff-4cad-bfdb-2777a907c044	2015-11-06 03:35:03.358	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eb989e73-0302-4019-a478-9736a276368e	2015-11-06 03:40:03.386	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b1d19c2b-20b2-4d57-91b4-c85e67db0277	2015-11-06 03:45:03.367	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3426b72b-7ba3-42b1-a8ff-392376825d46	2015-11-06 03:50:03.765	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	2015-11-06 03:55:03.442	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b8842344-9428-4806-84e3-466aff2977b7	2015-11-06 04:00:03.465	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5394e32-cf86-494d-84cc-89b63de42968	2015-11-06 04:05:03.485	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3fac8157-32f0-4e16-8b16-b55b714cc7fb	2015-11-06 04:10:03.518	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
58686377-c40f-4ecd-a7e5-02fd91bc9368	2015-11-06 04:15:03.494	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1dcc8461-0a0d-456a-929e-52745f4ef532	2015-11-06 04:20:03.551	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dce77b03-4669-49a3-a753-83c3b8bd89eb	2015-11-06 04:25:03.573	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
01037435-647b-4b1f-b1b0-b7d7777ce862	2015-11-06 04:30:03.605	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c2e924b7-679b-453c-bb9e-590a04c207b3	2015-11-06 04:35:03.607	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2a7b0327-5db3-4c8b-8012-adb828422e91	2015-11-06 04:40:03.625	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e2cfd3b-5467-42f7-a543-141b95f8876f	2015-11-06 04:45:03.641	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a12347af-d1a3-4ddf-b146-782b9550b62b	2015-11-06 04:50:03.637	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7323883a-a0af-4a36-a14f-07f2689e4734	2015-11-06 04:55:03.686	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	2015-11-06 05:00:03.714	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	2015-11-06 05:05:03.731	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5a7ad931-37e1-433f-b782-34bb03571d96	2015-11-06 05:10:03.735	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a2752e70-532d-4e28-b1c0-5dcd589bba08	2015-11-06 05:15:03.758	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	2015-11-06 05:20:03.756	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89edfd27-5932-4ca9-904d-702a825a9a62	2015-11-06 05:25:03.801	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	2015-11-06 05:30:03.836	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
43f3a1dc-e66f-498c-854f-94858917d9c8	2015-11-06 05:35:03.853	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	2015-11-06 05:40:03.873	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ab978ea-26f3-41c3-be9e-bc57f1969eca	2015-11-06 05:45:03.895	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	2015-11-06 05:50:03.914	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
36fc2636-2e38-4930-97a7-6f1bf26f4d51	2015-11-06 05:55:03.945	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
64e7b47f-274c-450a-9cb7-d8ff50f3f915	2015-11-06 06:00:03.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db736334-19d2-4c7d-b44e-20aa79c4fe39	2015-11-06 06:05:03.979	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c923648-4368-472a-ab08-1de8020d0353	2015-11-06 06:10:03.994	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dbc3d35d-eeec-497b-bc55-626c6227a26d	2015-11-06 06:15:04.035	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ebd255eb-0343-4333-be67-b47eee53e3e6	2015-11-06 06:20:04.034	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
86186995-b969-4714-8303-ecbb647df93d	2015-11-06 06:25:04.053	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a7f659e-6910-4c12-aee6-dffb87684b68	2015-11-06 06:30:04.086	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
588cc6af-25ca-4c51-a7d0-a7fb516464ac	2015-11-06 06:35:04.068	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d5b37463-26c7-4e84-8229-8f85a1d64788	2015-11-06 06:40:04.105	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a12b2e27-02d0-4391-8e7b-6b9b74020d20	2015-11-06 06:45:04.137	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b9cf3989-e45d-4409-a261-7887c79c8d78	2015-11-06 06:50:04.161	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	2015-11-06 06:55:04.178	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db9bd7e5-f0f1-483f-9a91-d481d0786985	2015-11-06 07:00:04.213	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11b9025f-f121-44bf-937b-c2089a596f31	2015-11-06 07:05:04.224	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	2015-11-06 07:10:04.211	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e103b4da-9645-40bf-b6d6-705e5c8662c8	2015-11-06 07:15:04.273	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2e69be58-05f5-4608-99e6-441c647bb998	2015-11-06 07:20:04.282	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	2015-11-06 07:25:04.306	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	2015-11-06 07:30:04.334	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
282c1e35-8350-4c64-8ca8-82b61d575bad	2015-11-06 07:35:04.358	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c79bb550-db29-4f19-9ba4-d1e7e97194f8	2015-11-06 07:40:04.405	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d06dbb47-d03d-486b-8529-2f27415b4ecf	2015-11-06 07:45:04.358	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	2015-11-06 07:50:04.412	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b63d4af-4cef-4fb4-99dd-39c0f068391f	2015-11-06 07:55:04.426	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
485f63b6-344c-4e65-bd76-39e73cffdc23	2015-11-06 08:00:04.469	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a4bba6aa-33fd-484c-83f1-c697a0075e67	2015-11-06 08:05:04.469	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	2015-11-06 08:10:04.45	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0df25b3a-997d-4633-8804-c32b43e72eba	2015-11-06 08:15:04.508	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3780de1c-c66b-440d-8b22-a9b9d6636841	2015-11-06 08:20:04.51	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	2015-11-06 08:25:04.541	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
370bdb78-b569-4d86-b07c-1d9df473d8ce	2015-11-06 08:30:04.563	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba1d6453-10ff-4f87-8035-9ed5cf17d106	2015-11-06 08:35:04.595	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb6f5ca8-da24-4466-bd25-ac162a650cce	2015-11-06 08:40:04.608	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	2015-11-06 08:45:04.612	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	2015-11-06 08:50:04.637	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
368f6232-c87a-4cea-a113-2c11536c0dfa	2015-11-06 08:55:04.654	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11e53644-9ba5-4c13-a60c-94b130ac7f58	2015-11-06 09:00:04.927	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45db6daa-fa17-47a6-a094-dadfd4935910	2015-11-06 09:05:04.713	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	2015-11-06 09:10:04.738	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6286cf2c-8ba8-4d03-9db1-c0b739700979	2015-11-06 09:15:04.746	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d880ddfa-8268-4c7c-9b60-545f7ffba641	2015-11-06 09:20:05.241	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bcef5c2a-6d1e-4219-808f-e194d4729d84	2015-11-06 09:25:04.849	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	2015-11-06 09:30:04.826	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a5036132-22b1-4ade-aacd-ff64ccd042d4	2015-11-06 09:35:04.881	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
97726fab-504c-4b4b-9abe-812f2136660f	2015-11-06 09:40:04.913	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c903d3f-9c59-4eec-ba3f-12053a753be6	2015-11-06 09:45:04.934	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	2015-11-06 09:50:04.883	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
952607b6-32f6-4791-9c3a-ac882f538336	2015-11-06 09:55:04.979	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	2015-11-06 10:00:04.962	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3a182614-2dd7-420f-a73a-e5c607d8d3da	2015-11-06 10:05:04.988	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
168ed2c3-76a4-45f3-84ac-52194973292d	2015-11-06 10:10:05.001	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2dd815ac-8a62-4791-a7da-ce6ab79633f3	2015-11-06 10:15:05.021	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
410b6872-e13e-4c6d-b26b-c127bcc0773a	2015-11-06 10:20:05.036	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab556c6e-5439-4863-ad29-f21166582aa0	2015-11-06 10:25:05.022	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
58101d89-4f2e-411f-9308-bd98435ccdb0	2015-11-06 10:50:05.209	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	2015-11-06 10:55:05.145	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5d411907-b08e-416f-99a0-254fdb0950c1	2015-11-06 11:00:05.225	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9a861057-a3bf-495d-a97d-50eeb952d34b	2015-11-06 11:05:05.246	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	2015-11-06 11:10:05.265	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4bde740b-b392-42c2-ac6f-e5e27841a5bf	2015-11-06 11:15:05.273	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
74699670-35b4-4968-bd9b-46af4719f829	2015-11-06 11:30:07.574	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea48515c-73c9-413f-af10-c5da1a0662bd	2015-11-06 11:50:05.49	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
407b7689-48a0-496e-bf7d-58f6ff2e05e7	2015-11-06 12:05:05.468	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	2015-11-06 12:10:05.495	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	2015-11-06 10:30:05.094	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	2015-11-06 10:35:05.103	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	2015-11-06 10:40:05.121	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1f7fae9-04a4-49f6-9a97-1927b6562898	2015-11-06 10:45:05.144	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d319d01-2df0-493a-b784-eda31393298d	2015-11-06 11:20:05.322	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3cbcc326-ede6-4696-9b03-352ea3c5ceed	2015-11-06 11:25:05.322	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8cf2c791-983c-433f-9d73-01efcc3ed07a	2015-11-06 11:35:06.683	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c56e176-6bba-4d50-ae4f-216bf002c878	2015-11-06 11:40:05.398	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8e857c32-af10-440a-943e-ba8e3d28b9a0	2015-11-06 11:45:05.396	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	2015-11-06 11:55:05.402	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9e92edf7-fdbd-477b-97db-15ae2c3267ca	2015-11-06 12:00:05.472	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c974bee5-5351-4158-8ffd-10018cf623fd	2015-11-06 12:15:05.538	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	2015-11-06 12:20:05.517	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
449abf82-b9a7-4eef-9856-2fc599034111	2015-11-06 12:25:05.534	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	2015-11-06 12:30:05.523	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	2015-11-06 12:35:05.748	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
541abdcd-78cb-47e8-af7c-f962ff79dde9	2015-11-06 12:40:05.89	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	2015-11-06 12:45:05.602	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	2015-11-06 12:50:05.628	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f589ca62-91b0-4813-b389-52804f560017	2015-11-06 12:55:05.618	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c50d2a92-8490-4e89-bc47-e51ac743c322	2015-11-06 13:00:05.667	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	2015-11-06 13:05:05.679	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f22a2b67-cb12-4f85-957b-31092112b5dc	2015-11-06 13:10:05.759	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	2015-11-06 13:15:05.779	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	2015-11-06 13:20:05.726	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	2015-11-06 13:25:05.762	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
060971cd-ad08-4a40-baa0-a360fbde87a0	2015-11-06 13:30:05.792	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ec6c6a43-5743-4042-8656-b4ee4b36f536	2015-11-06 13:35:05.816	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d5e92499-745b-44b5-bde3-105d69e39291	2015-11-06 13:40:05.846	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d979bd82-a2ce-410a-87cd-aef8f85ef223	2015-11-06 13:45:05.849	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	2015-11-06 13:50:05.888	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	2015-11-06 13:55:05.895	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	2015-11-06 14:00:05.933	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5054e85a-b74a-4be0-b88d-1d7ad121b431	2015-11-06 14:05:05.946	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
de1c876a-e941-49e5-8c86-3999a3cefa82	2015-11-06 14:10:05.973	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6bd9ca51-fd11-45da-b821-3f7cb82f0494	2015-11-06 14:15:05.958	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	2015-11-06 14:20:05.994	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a97f946f-0523-4655-8ef6-a53a988e550b	2015-11-06 14:25:06.034	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d765214b-edad-4704-9f95-c891b3703aee	2015-11-06 14:30:06.039	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
46ad2050-9462-4079-8b87-62b2f05d2c01	2015-11-06 14:35:06.07	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	2015-11-06 14:40:06.083	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	2015-11-06 14:45:06.109	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
abd4c197-c55c-4542-84bc-f2db71cda577	2015-11-06 14:50:06.133	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	2015-11-06 14:55:06.159	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6118ab89-3b49-4c29-af50-8a0495f8400f	2015-11-06 15:00:06.168	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	2015-11-06 15:05:06.202	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e597653b-3931-4679-893c-a8e13f108b64	2015-11-06 15:10:06.215	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	2015-11-06 15:15:06.253	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94013edd-8957-43b1-aa0b-77a54b8f9328	2015-11-06 15:20:06.26	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	2015-11-06 15:25:06.295	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	2015-11-06 15:30:06.316	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c1546f7-9896-4aa2-bc84-1a3ef057e287	2015-11-06 15:35:06.341	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd54d018-a477-4df2-8f19-82914fbf224b	2015-11-06 15:40:06.357	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	2015-11-06 15:45:06.39	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
635eaaf4-5e64-4717-aa46-879b26ead678	2015-11-06 15:50:06.394	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e3d14165-8bd5-4919-ada1-a5fb24131dee	2015-11-06 15:55:06.414	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
682bbb7d-f1c5-4bbc-af17-f0640d7495be	2015-11-06 16:00:06.434	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a958b482-b0fb-4f49-b736-210f2cd91694	2015-11-06 16:05:06.427	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b867e4c1-d645-4766-bb05-8c80bcb945fe	2015-11-06 16:10:06.819	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
86a7a003-6838-4f6d-9f1e-b28dd920812c	2015-11-06 16:15:06.497	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
67173c0f-8e45-4015-b26f-80dfcd70f94f	2015-11-06 16:20:06.514	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
075bfd89-b1e6-408f-bb1e-75946681c8b7	2015-11-06 16:25:06.526	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31ffd737-9551-4dad-8c61-6dd7f82f247b	2015-11-06 16:30:06.562	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f7435749-0ba4-4711-8a21-092c1ad268d7	2015-11-06 16:35:06.541	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	2015-11-06 16:40:06.598	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	2015-11-06 16:45:06.547	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
74b957b8-cdd0-482f-8721-e2fc19a594ec	2015-11-06 16:50:06.643	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	2015-11-06 16:55:06.654	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f58a456b-8d97-4991-bb45-8127acd29072	2015-11-06 17:00:07.01	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c63a414-88e3-46e1-9d22-1783250fb1aa	2015-11-06 17:05:06.66	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89cfa11e-a347-499f-8aec-ec8dce130931	2015-11-06 17:10:06.725	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8a740a8-7728-4061-aa5e-6f3e84406b19	2015-11-06 17:15:06.728	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	2015-11-06 17:20:06.735	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	2015-11-06 17:25:06.784	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f53ae08a-74a5-4b71-9d54-320492fe3674	2015-11-06 17:30:06.832	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6354be6f-2b11-4974-b330-d26102bf75a6	2015-11-06 17:35:06.819	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	2015-11-06 17:40:06.847	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
08878fa9-4ba6-4359-bd69-5c434b4fa110	2015-11-06 17:45:06.914	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94ffdea8-69e3-4a99-bb91-0dbdda194493	2015-11-06 17:50:06.886	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
97d5e0da-9739-44db-ab50-6c72eb4c7bde	2015-11-06 17:55:06.916	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
71c6434b-8047-446e-a0a4-43e75a4d5578	2015-11-06 18:00:06.888	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	2015-11-06 18:05:06.958	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	2015-11-06 18:10:06.964	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2b6e32f7-ea7b-4052-8e5e-456c111146dc	2015-11-06 18:15:06.995	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	2015-11-06 18:20:07.011	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	2015-11-06 18:25:07.035	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	2015-11-06 18:30:07.029	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
28d88a5d-4172-44da-b83e-e819214df1d0	2015-11-06 18:35:07.063	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	2015-11-06 18:40:07.097	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
88b62ce4-f7c2-421f-955e-551c2bd7162b	2015-11-06 18:45:07.116	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	2015-11-06 18:50:07.128	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a1efd95f-7894-4128-ae8f-68fab683e01a	2015-11-06 18:55:07.221	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
006254ea-eabe-404a-a5aa-6d0e4589d0d2	2015-11-06 19:00:07.137	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f52cf433-8e1a-4775-8f68-a5b065676f31	2015-11-06 19:05:07.195	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b47cc270-0d00-410a-b2ea-b0845ad242a0	2015-11-06 19:10:07.208	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
75a8e41a-bab8-48bd-9f00-cd653819a19e	2015-11-06 19:15:07.558	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6e0e2c52-5383-48c9-a622-59410d02e8c2	2015-11-06 19:20:07.247	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c0a3bdda-8a49-4194-8d18-21c8fb317001	2015-11-06 19:25:07.243	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ebf7f71-1084-436d-af2e-80bcf8526ee4	2015-11-06 19:30:07.286	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	2015-11-06 19:35:07.332	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
814a14f5-c414-4efd-a6c7-cb0a8e888be7	2015-11-06 19:40:07.348	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	2015-11-06 19:45:07.353	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	2015-11-06 19:50:07.376	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ceebd612-fcbf-4057-b555-7274c407f670	2015-11-06 19:55:07.374	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
12d02982-d006-4da9-92cf-e0b607182637	2015-11-06 20:00:07.39	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2f22606-e3a8-46da-b505-7c86a583aefc	2015-11-06 20:05:07.427	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e7b4b99-fb45-434d-8f02-833fb2e7901f	2015-11-06 20:10:07.457	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4bb4fbf1-6617-4198-b41e-ced461c64efc	2015-11-06 20:15:07.48	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	2015-11-06 20:20:07.491	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8d76dda0-312c-4399-a63f-ca679fa541ad	2015-11-06 20:25:07.518	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a89a0f42-bcb2-496f-a263-801750f23845	2015-11-06 20:30:07.501	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c50aa599-f534-4fe4-a2d1-05469bd019f2	2015-11-06 20:35:07.555	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	2015-11-06 20:40:07.591	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
657a4ce6-6622-4161-833f-8a063b973dce	2015-11-06 20:45:07.598	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	2015-11-06 20:50:07.613	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	2015-11-06 20:55:07.605	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba479072-15a9-4eda-a3a0-d17992804f3f	2015-11-06 21:00:07.68	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
440d612b-ba08-4168-bb49-8d2896f46195	2015-11-06 21:05:07.677	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d207fcf-4030-4bab-b5ed-e6a15af475db	2015-11-06 21:10:07.717	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ae1d02eb-138a-480f-8804-fffe37903700	2015-11-06 21:15:07.721	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
53b02ce9-e8e1-419f-907b-df523149691b	2015-11-06 21:20:07.737	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
181a0b6c-843e-4c58-b2ce-3de7a6e12212	2015-11-06 21:25:07.777	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4db2ed21-3c63-4894-9bd4-dced16365ea1	2015-11-06 21:30:08.121	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f21a866-1c03-4fa1-abbe-cac4b65029fe	2015-11-06 21:35:07.806	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b01b1508-f02e-4867-b8d6-2ae296ad4984	2015-11-06 21:40:07.825	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e05089ac-3ec0-4109-81d7-bfc9a292f625	2015-11-06 21:45:07.817	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3285bee1-baa2-4337-a685-0b1f4d4d3432	2015-11-06 21:50:07.869	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	2015-11-06 21:55:07.883	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d6db1593-7900-4193-b295-d24b7e5b1c64	2015-11-06 22:00:07.92	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	2015-11-06 22:05:07.931	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	2015-11-06 22:10:07.951	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
806d9b66-2610-4295-9dd3-54debee26bc9	2015-11-06 22:15:07.97	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79ad92ba-233d-444f-b148-3616eaa92c6e	2015-11-06 22:20:07.997	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ebcdacb0-592d-46b8-ac58-797b446f73a2	2015-11-06 22:25:08.017	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	2015-11-06 22:30:08.036	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	2015-11-06 22:35:08.054	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	2015-11-06 22:40:08.087	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	2015-11-06 22:45:08.101	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	2015-11-06 22:50:08.121	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
10734485-01f0-4173-b38c-9ccd000d7ef9	2015-11-06 22:55:08.131	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	2015-11-06 23:00:08.156	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
470f0a30-9211-443f-be35-7ee0bde97909	2015-11-06 23:05:08.215	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	2015-11-06 23:10:08.162	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
90f4264b-29ae-44bc-adeb-d866a2352a29	2015-11-06 23:15:08.205	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	2015-11-06 23:20:08.228	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	2015-11-06 23:25:08.271	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f05e247d-9d94-450e-9aaa-1e073dcca5f2	2015-11-06 23:30:08.277	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4f173d6-492f-4284-9e22-7ae9195d179b	2015-11-06 23:35:08.314	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b99c062-afea-4f2f-a884-16d7192a98c2	2015-11-06 23:40:08.307	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f341e842-3555-4e8e-ac60-f7c0f51c7a88	2015-11-06 23:45:08.321	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
397fa26e-903f-408e-9ab3-a97a73a3f3ae	2015-11-06 23:50:08.356	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	2015-11-06 23:55:08.387	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	2015-11-07 00:00:08.369	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	2015-11-07 00:05:08.425	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1a727f11-786f-4864-9099-3a0f1abe227a	2015-11-07 00:10:08.434	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
419b9c6c-364f-44f1-b2a1-0734c690635a	2015-11-07 00:15:08.463	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
47de3997-ee60-4843-a3d4-1a09a66937ad	2015-11-07 00:20:08.479	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
959cb1a5-320b-4414-9ce5-fed4bd071b00	2015-11-07 00:25:08.489	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
792c9097-f5b0-4c85-a185-5315d2a33cb9	2015-11-07 00:30:08.517	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b0ecde7e-4929-424c-8fc6-9db96650714c	2015-11-07 00:35:08.535	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	2015-11-07 00:40:08.563	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
929ce008-5818-46fa-b781-fba31aa095b6	2015-11-07 00:45:08.585	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cdd56e04-da62-4bf4-9d9c-0db474725856	2015-11-07 00:50:08.579	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e14830d-8087-48e0-b868-6de816ef8d83	2015-11-07 00:55:08.615	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	2015-11-07 01:00:08.634	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d7c4606-68bc-462c-9825-f634893c83dc	2015-11-07 01:05:08.647	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
66baaefb-a853-4744-bbc1-e23714f13cfe	2015-11-07 01:10:08.646	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e4266fc-b409-438c-9eb3-37090fca00de	2015-11-07 01:15:08.686	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c989b4e-7f37-4472-a066-8fbd7e14746e	2015-11-07 01:20:08.71	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
be3598f7-ffa0-4c13-a146-8d66241ea51d	2015-11-07 01:25:08.738	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
374d2b62-b7c0-463a-8e0f-97883ae6c15a	2015-11-07 01:30:08.761	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	2015-11-07 01:35:08.78	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
613b3754-e876-4e45-9fb7-36475f1c372f	2015-11-07 01:40:08.806	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	2015-11-07 01:45:08.823	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7acaa2fa-8cda-497d-9435-91b0e27b4517	2015-11-07 01:50:08.871	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9126248-4adb-4032-83aa-848646c2dc0b	2015-11-07 01:55:08.859	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	2015-11-07 02:00:09.178	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	2015-11-07 02:05:08.896	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	2015-11-07 02:10:08.918	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94ff86bd-993c-4c78-ba75-af98701630cd	2015-11-07 02:15:08.939	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4b9a706e-7d88-4e47-b955-91288714d973	2015-11-07 02:20:08.936	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ace6621b-239c-47a4-90ba-3ec1cc1c173e	2015-11-07 02:25:08.955	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2052266e-99a1-4531-b71e-bb227812b066	2015-11-07 02:30:09.155	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c321f99-5f4c-41b8-91fc-3912890d83db	2015-11-07 02:35:09.015	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	2015-11-07 02:40:09.045	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b5d93443-0535-4687-a54f-198d8a03881f	2015-11-07 02:45:09.073	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
07521663-5f76-4f51-a155-0f763022959c	2015-11-07 02:50:09.089	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d3d76b26-9140-440b-a033-853c787b157f	2015-11-07 02:55:09.107	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5068b690-673d-4c1c-93ac-ed56e1adec07	2015-11-07 03:00:09.125	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	2015-11-07 03:05:09.113	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
711f8418-4315-486f-8ae2-3d47d195d691	2015-11-07 03:10:09.126	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d34da190-e02d-42d6-b18a-1f6f39864158	2015-11-07 03:15:09.162	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cfeb3959-1626-4321-b454-2d0718d15ded	2015-11-07 03:20:09.204	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
087a56a4-5b40-45ba-b1a3-818a9a983310	2015-11-07 03:25:09.229	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	2015-11-07 03:30:09.24	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f569ccf7-fa79-48aa-9222-08eef5ceba72	2015-11-07 03:35:09.269	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
437a9b2f-1630-41d7-b1d0-e1195e105f2d	2015-11-07 03:40:09.29	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1140c6eb-76ab-4555-9e31-c2d9c95451cf	2015-11-07 03:45:09.28	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a8c6f94f-3730-461a-a229-108c8c2492df	2015-11-07 03:50:09.337	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c7437404-b310-442a-8cb6-058c543be640	2015-11-07 03:55:09.36	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9a4f1916-e03a-4846-aba2-1598d4c67ddb	2015-11-07 04:00:09.381	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a51eeb5b-4982-427f-876b-b933b1238d39	2015-11-07 04:05:09.402	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
379769a7-269a-48b8-a2a6-407e1d8c027f	2015-11-07 04:10:09.427	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8e5b0109-de65-46fa-956e-cfd7d27a78c7	2015-11-07 04:15:09.748	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c44f6df-9df7-4286-9d12-91a1272878f0	2015-11-07 04:20:09.438	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e422443b-2961-42ed-a0d4-1053eacc1407	2015-11-07 04:25:09.489	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
08a760a8-1f93-4192-ac09-fc85b1583a88	2015-11-07 04:30:09.519	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3db6aecc-2cf3-41ed-b43c-9931012bfd60	2015-11-07 04:35:09.524	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
86f3d611-803f-48b8-8382-5b1b95205fc9	2015-11-07 04:40:09.565	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	2015-11-07 04:45:09.575	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
516f8cf5-47f3-4123-b8fb-6acd986ac51a	2015-11-07 04:50:09.599	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	2015-11-07 04:55:09.625	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
05fc69fb-5214-4770-85c8-5e53cbab0047	2015-11-07 05:00:09.626	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89ff346d-08e6-407e-b244-2c5497de42c3	2015-11-07 05:05:09.651	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
91059d42-2c93-43f6-a87e-0fca2384e097	2015-11-07 05:10:09.683	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b8ced7b-3021-4b89-8184-8240a7c4927e	2015-11-07 05:15:09.683	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	2015-11-07 05:20:09.712	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e9397d04-fb9a-4885-b05a-70bf9744b13d	2015-11-07 05:25:09.738	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	2015-11-07 05:30:09.757	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
028cef0d-dd9a-4534-8399-4268b49a6c1c	2015-11-07 05:35:09.778	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
60338b83-99f3-424f-895a-5574e49d1e0e	2015-11-07 05:40:09.787	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
59bc762e-e127-4370-b3df-e3a15b627f9a	2015-11-07 05:45:09.827	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d48f3a3-d482-495e-882c-100804c47337	2015-11-07 05:50:09.836	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85493019-16dc-4ae1-9771-49fdafd47479	2015-11-07 05:55:09.864	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	2015-11-07 06:00:09.849	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	2015-11-07 06:05:09.906	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
046d4a95-52d3-4095-8409-ac500c35eae2	2015-11-07 06:10:09.924	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
982de915-6293-44ff-9df5-88a706a59f4c	2015-11-07 06:15:09.934	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3ef030e4-e7c2-4711-9cb9-88652e8bade3	2015-11-07 06:20:09.971	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3ba99bb2-3576-4739-a40c-7114a053e6d9	2015-11-07 06:25:09.991	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	2015-11-07 06:30:10.347	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94f76734-2f93-49bb-be65-2b16667e92b2	2015-11-07 06:35:10.033	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98d01179-b0d7-461c-9644-bb1523e25f49	2015-11-07 06:40:10.051	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
310f5f29-a50c-4014-b25f-8705d27e2b3a	2015-11-07 06:45:10.065	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
50333a48-2663-44d1-ae12-5aa4e985bac0	2015-11-07 06:50:10.123	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd7bb909-2e42-42b1-9cb5-873c545e016c	2015-11-07 06:55:10.124	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6d5dd2a6-905e-43be-b7e7-406123853fe2	2015-11-07 07:00:10.161	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	2015-11-07 07:05:10.17	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	2015-11-07 07:10:10.205	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db20e02f-45c5-42f8-b60c-27e9c573b013	2015-11-07 07:15:10.191	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15ce37fb-bc47-4123-9ef7-bf5412f34829	2015-11-07 07:20:10.233	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	2015-11-07 07:25:10.248	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
39bd29cf-d444-41b0-90ca-75fe34645352	2015-11-07 07:30:10.269	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
41761a91-caa0-494b-9ced-ff1ca398285b	2015-11-07 07:35:10.277	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
916e9aaf-be31-4ac0-85a5-ed4ccde33943	2015-11-07 07:40:10.292	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5d31602-7f39-4c30-95b6-c78789af2089	2015-11-07 07:45:10.324	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	2015-11-07 07:50:10.333	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4603fe9e-a620-425b-a602-7c78ae774972	2015-11-07 07:55:10.374	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6bafab54-b491-4121-bb1e-deca6653c6a6	2015-11-07 08:00:10.403	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
05c09e45-5f4e-46e4-8b19-b66b406fe861	2015-11-07 08:05:10.45	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	2015-11-07 08:10:10.428	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a3789fc7-485b-4d59-949d-d8711569b343	2015-11-07 08:15:10.424	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
388bfb4b-229c-46f9-97fd-700833602579	2015-11-07 08:20:10.453	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
47413c58-a215-48a0-be35-fb9884d78a57	2015-11-07 08:25:10.463	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
33660ab7-f200-401a-b71c-3275f5162b3c	2015-11-07 08:30:10.49	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e457092-5c19-4a1f-996e-4463f0e6b149	2015-11-07 08:35:10.521	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	2015-11-07 08:40:10.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
08e2c9e3-4e43-4618-882a-80ccee3cef68	2015-11-07 08:45:10.798	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
16992b5b-7f90-4f76-8c1f-44c590404dfb	2015-11-07 08:50:10.555	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	2015-11-07 08:55:10.593	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e61e02e7-0f22-4893-9234-35e132ae7877	2015-11-07 09:00:10.619	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
058c9174-f3c3-4f31-8a71-17d2c658f90b	2015-11-07 09:05:10.63	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af41f877-3393-48c2-83a5-3f9bb691b68d	2015-11-07 09:10:10.649	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
169fb749-e674-4aec-9607-1179ffa5306b	2015-11-07 09:15:10.664	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
672083c7-b96e-4a94-ad34-2a136479ce98	2015-11-07 09:20:10.687	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f50684e6-fbfe-4885-8fdd-367e267a433b	2015-11-07 09:25:10.713	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
65e150e0-0de4-46fd-a463-a29138526342	2015-11-07 09:30:10.738	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8fb54dc4-5bae-484a-92aa-b517d96f35e2	2015-11-07 09:35:10.76	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
53447bf5-5c08-46c6-b23e-967c6a34e441	2015-11-07 09:40:10.775	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
324cac1a-d9db-4233-996e-5ff1eb98dc65	2015-11-07 09:45:10.78	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	2015-11-07 09:50:10.821	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6d76351c-b9ed-415e-8058-6b792650f643	2015-11-07 09:55:10.788	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e986a479-9989-4094-9bfc-47b30be8200c	2015-11-07 10:00:10.82	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	2015-11-07 10:05:10.843	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
617db454-4cb4-420a-b0dc-b4a56ec9b419	2015-11-07 10:10:10.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a2a4c59b-e50a-4962-bbcc-faa52541fd43	2015-11-07 10:15:10.886	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e171da6b-5dff-4eec-840a-2890e434d715	2015-11-07 10:20:10.92	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b4c80080-2aa8-4e7c-97a7-298681c4adc1	2015-11-07 10:25:10.919	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b127ea53-a8b6-48de-8b63-a120e68edb3a	2015-11-07 10:30:10.943	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2950901b-1610-483c-80b3-3f704d6d2f6b	2015-11-07 10:35:10.952	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b14d753d-6a29-4b55-bc86-a6125e70f3dd	2015-11-07 10:40:10.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b25e2d12-7237-4fd6-a1dc-467733237a87	2015-11-07 10:45:10.995	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	2015-11-07 10:50:11.019	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
04c79324-cac2-494d-ad20-330cca69d596	2015-11-07 10:55:11.051	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	2015-11-07 11:00:11.375	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7a3e6863-eb6c-4556-99e3-9b925415a7da	2015-11-07 11:05:11.081	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	2015-11-07 11:10:11.1	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ce2d297-a489-474f-9390-8f19d7d06129	2015-11-07 11:15:11.095	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c01fb1c3-a251-42ce-a179-b7e3adc8b879	2015-11-07 11:20:11.104	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b765ff3-d437-42dc-970b-bb07b1d8ba85	2015-11-07 11:25:11.167	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
abcd2530-6491-4721-a69a-ebcc85955a3e	2015-11-07 11:30:11.197	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6fd93a70-800f-48ce-a66b-4e7f819ec554	2015-11-07 11:35:11.167	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8998aa57-88e0-436b-9332-9bf7a176bf48	2015-11-07 11:40:11.216	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e0118a48-4523-499a-8bca-a48654085f20	2015-11-07 11:45:11.234	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b211023b-1bd5-45cd-8eca-222da8c170bf	2015-11-07 11:50:11.237	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
371d2669-4bdb-491a-a922-deb596581cc3	2015-11-07 11:55:11.273	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c7b16164-181e-466f-8452-8c11c8613e38	2015-11-07 12:00:11.292	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	2015-11-07 12:05:11.317	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4963f0b2-6eae-4aeb-b568-ffea2468b59d	2015-11-07 12:10:11.327	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
468bc3c4-aa11-4dea-a402-f1dca1aae66d	2015-11-07 12:15:11.323	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	2015-11-07 12:20:11.367	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
274804b4-d045-4605-8067-2546683cea91	2015-11-07 12:25:11.388	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f4717c46-90ce-497c-b439-63dba3b7649d	2015-11-07 12:30:11.415	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af33ad95-3763-4619-af61-ce42c9e25e2f	2015-11-07 12:35:11.429	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
defc4674-e491-4104-811a-c77a36f4c756	2015-11-07 12:40:11.42	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c96e68f-57ea-4674-879d-2fa6573e52d5	2015-11-07 12:45:11.467	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f5436e9-6edb-4a88-96b4-7ade5a064f93	2015-11-07 12:50:11.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3f70768-dd79-4df2-8ea5-ec03996def40	2015-11-07 12:55:11.51	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
908200c1-fdfb-453a-8ead-1b848d3f5fbd	2015-11-07 13:00:11.535	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4eb725c9-0ce8-4679-bc05-a96b30ff039b	2015-11-07 13:05:11.513	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
faa7b1be-15bd-4019-a47b-1f8c70278d8f	2015-11-07 13:10:11.571	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	2015-11-07 13:15:11.581	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cc279ce7-584b-4904-a3f7-b7df88308268	2015-11-07 13:20:11.61	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e82f8117-ee75-4c13-90d2-0e57c40959a9	2015-11-07 13:25:11.629	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
164b4f7e-635f-46d0-8ec1-b309f871738d	2015-11-07 13:30:11.663	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
65808bcb-f1de-4834-9e92-4688a6256cdf	2015-11-07 13:35:11.673	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8e5caef4-b9ee-49f7-9790-ec514ab90822	2015-11-07 13:40:11.703	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dece0dc1-da73-4c6e-970e-e2419a2da131	2015-11-07 13:45:11.734	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	2015-11-07 13:50:11.757	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	2015-11-07 13:55:11.766	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
abd2b4bc-0441-480f-9c87-5c56762cb00c	2015-11-07 14:00:11.785	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
683135e0-f9cb-402a-96ff-c51db2aa90b1	2015-11-07 14:05:11.807	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	2015-11-07 14:10:11.787	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
716a1080-b1f3-417d-ac20-78321c28a033	2015-11-07 14:15:11.839	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efabca7b-54ca-40b4-afb9-d49fefe308ed	2015-11-07 14:20:11.858	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	2015-11-07 14:25:11.897	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a11de365-2d36-4131-af39-fec10da8b853	2015-11-07 14:30:11.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2b37d087-fcd7-446f-872e-19f5216a28e3	2015-11-07 14:35:11.901	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
897d52c8-4715-437e-bbef-7c292cd0456e	2015-11-07 14:40:11.946	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	2015-11-07 14:45:11.952	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	2015-11-07 14:50:11.987	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b90eaa0-1b42-4762-9969-5429e63056f7	2015-11-07 14:55:11.995	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
84e67d41-b5bc-4aaf-b9d2-051e55da646f	2015-11-07 15:00:12.026	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0158829f-036d-4964-a7d4-24b269de598f	2015-11-07 15:05:12.055	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
577aba30-984a-4391-971d-564191f91f6d	2015-11-07 15:10:12.065	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	2015-11-07 15:15:12.071	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
66091ba0-34f8-4e12-b2a5-29dba5908873	2015-11-07 15:20:12.074	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cae085ba-ed4d-4e28-858b-21f95e3f2c39	2015-11-07 15:25:12.385	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c0f90ba7-f7f4-4360-99ed-ecd91f566699	2015-11-07 15:30:12.101	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b7fe530e-4bcc-4612-9a63-5970750e93d1	2015-11-07 15:35:12.184	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
638df1c9-42a6-444d-b30e-89c71751e18d	2015-11-07 15:40:12.185	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	2015-11-07 15:45:12.2	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
070049a7-fe52-440c-b7d9-9c8d1ded927c	2015-11-07 15:50:12.229	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d932e136-9502-4889-9bdb-c6141b987e50	2015-11-07 15:55:12.234	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dac37861-e6b6-4e76-889f-cf0bda631b53	2015-11-07 16:00:12.255	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
299b5c9e-b1db-46f5-b067-318ab3bf59b8	2015-11-07 16:05:12.278	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3408c73f-43f5-4309-aa87-53153eff4191	2015-11-07 16:10:12.301	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	2015-11-07 16:15:12.323	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9a4e0a0c-d357-4888-9a93-fee4653af208	2015-11-07 16:20:12.313	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	2015-11-07 16:25:12.353	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e91457b8-ef46-40aa-9c94-ee74d4298c75	2015-11-07 16:30:12.39	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a528ac40-ae91-418e-8205-2c3786e52299	2015-11-07 16:35:12.402	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ceb79cc-7c56-424c-8d89-71471ef9d914	2015-11-07 16:40:12.43	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	2015-11-07 16:45:12.442	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	2015-11-07 16:50:12.458	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
93207711-4bdd-4c03-aa0a-618ba1be0ba2	2015-11-07 16:55:12.476	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
969305c6-77c9-481b-9bb0-c6b70098df09	2015-11-07 17:00:12.515	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4756a627-3df8-42f0-a9c5-7066803b68df	2015-11-07 17:05:12.522	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bbc13657-d595-4013-8bf5-1bffca9c6da1	2015-11-07 17:10:12.542	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4b860510-6276-4205-949f-d6fbdb6c0e11	2015-11-07 17:15:12.554	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	2015-11-07 17:20:12.599	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
790583a2-8d21-44dc-b444-aae77ca875e6	2015-11-07 17:25:12.567	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df72a609-da61-43ba-8155-01dfec120873	2015-11-07 17:30:12.628	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	2015-11-07 17:35:12.646	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6576e7b1-0670-403d-b530-042822ecd10b	2015-11-07 17:40:12.667	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d87f1c79-1799-488b-a8c0-8607ee8ce95f	2015-11-07 17:45:12.677	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2163343c-82eb-4c2e-8b0f-44a279b4c798	2015-11-07 17:50:12.703	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea02431e-9e3b-4585-9380-1e4f2ff051cf	2015-11-07 17:55:12.719	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	2015-11-07 18:00:12.736	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
62461e2b-11dd-4932-83e0-e2d03206b7d4	2015-11-07 18:05:12.762	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0d17c463-d746-4804-81e0-138d994c2988	2015-11-07 18:10:12.784	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
24a4b994-d56d-4969-8325-65ea7b716e70	2015-11-07 18:15:12.792	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a769f711-093d-454b-b76b-4962c121de4e	2015-11-07 18:20:12.833	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11b559b5-8a10-4648-b8d1-aff948da4fef	2015-11-07 18:25:12.841	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
75e37f10-becf-4097-9b40-52735f28b29d	2015-11-07 18:30:12.864	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	2015-11-07 18:35:12.878	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	2015-11-07 18:40:12.897	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1fc3f271-fdbc-4f25-872f-1836d249744d	2015-11-07 18:45:12.923	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
51ea465d-a71c-4484-9fa7-126cda86c552	2015-11-07 18:50:12.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4db8352-c184-4bf4-9407-1a21bac41108	2015-11-07 18:55:12.963	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85b42314-1386-4547-a411-d3094856dc96	2015-11-07 19:00:12.989	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	2015-11-07 19:05:13.002	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1887619-48bd-4bda-bc50-bbb27f97e7a8	2015-11-07 19:10:13.038	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d04f35b8-2426-4365-9d7e-6305f8c8324d	2015-11-07 19:15:13.049	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b185af6-c466-4343-b254-8c7f7eabf708	2015-11-07 19:20:13.051	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	2015-11-07 19:25:13.094	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
39c58d4f-fe60-408a-9d75-85679cdd202f	2015-11-07 19:30:13.12	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2471d785-a84e-45b2-96ae-098fecadde61	2015-11-07 19:35:13.145	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
12b767b1-fdb0-4484-8754-90f6b2e49206	2015-11-07 19:40:13.158	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	2015-11-07 19:45:13.198	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
51878b16-a5e1-4034-b28d-2f56a34a2a93	2015-11-07 19:50:13.186	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
32448a31-a30b-4fb6-9e3a-1c7fa3344380	2015-11-07 19:55:13.187	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d1dfa927-f576-43af-bea2-87ecb7e01d21	2015-11-07 20:00:13.25	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
27bac7f4-def7-41ac-bff8-0c39dd5f7071	2015-11-07 20:05:13.269	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f1b92ec-9023-4cb0-8499-ba84167b4357	2015-11-07 20:10:13.29	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	2015-11-07 20:15:13.308	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	2015-11-07 20:20:13.332	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2e47806-da81-4eb8-8625-0318477836f8	2015-11-07 20:25:13.355	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2c9db183-fe93-42ea-b437-68e8027f370e	2015-11-07 20:30:13.377	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
845c645a-a111-46ee-8b09-958fe7351e5e	2015-11-07 20:35:13.394	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5540efb0-7382-4491-b443-5169a324e887	2015-11-07 20:40:13.416	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	2015-11-07 20:45:13.44	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6bf9436a-af58-4602-b3dd-60eb76206e89	2015-11-07 20:50:13.452	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
408f05e5-cf90-49c4-9e79-c4c926ba5483	2015-11-07 20:55:13.478	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
087da85a-fd12-44d7-be93-eac09e56e4af	2015-11-07 21:00:13.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	2015-11-07 21:05:13.452	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42831d57-a1b1-4be2-8e12-8c2789addf71	2015-11-07 21:10:13.54	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	2015-11-07 21:15:13.532	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	2015-11-07 21:20:13.595	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	2015-11-07 21:25:13.604	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
65cb09a3-676a-4867-aaf2-6c8d733a861f	2015-11-07 21:30:13.625	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	2015-11-07 21:35:13.656	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1889ab02-65a9-44df-963b-281e0d29cf0a	2015-11-07 21:40:13.638	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	2015-11-07 21:45:13.671	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a93f8ff-a631-4ee5-9fca-abd55e70491a	2015-11-07 21:50:13.724	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b5706036-c3b0-49f0-973a-a8ee0a70ae21	2015-11-07 21:55:13.717	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5272e985-a883-4bda-b047-133398ed4972	2015-11-07 22:00:13.729	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd3de8c7-683f-49a6-b285-eafeeede92f4	2015-11-07 22:05:13.76	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d762d4db-fd94-4317-83f8-1ae2d28b6717	2015-11-07 22:10:13.773	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	2015-11-07 22:15:13.757	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af538a55-330d-48ae-903b-f42987e21e98	2015-11-07 22:20:13.819	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	2015-11-07 22:25:13.831	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1405e07e-3552-4435-8a89-d74d08a3fae9	2015-11-07 22:30:13.861	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6454a050-cbe4-4dc6-aedd-7272891db6b6	2015-11-07 22:35:13.842	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c325a018-28b5-4fbb-9127-ced048d0c690	2015-11-07 22:40:13.903	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	2015-11-07 22:45:14.239	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8d08a480-3347-4b02-bc21-4e556da81be7	2015-11-07 22:50:13.952	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	2015-11-07 22:55:13.961	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	2015-11-07 23:00:13.992	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
494a6c3e-29ff-428d-8ca3-c118ec5510b5	2015-11-07 23:05:13.994	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5c882762-55b9-4474-a190-24af8698dc57	2015-11-07 23:10:14.029	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5517c78-9f31-44c8-8ec2-00c654b5875b	2015-11-07 23:15:14.046	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5c011a9e-906f-4c02-a242-1432b96ff7af	2015-11-07 23:20:14.078	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
144d5f83-7e8d-4c21-8931-9f459c338b46	2015-11-07 23:25:14.096	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
84e64c92-de0d-4969-97e7-5395b589f90d	2015-11-07 23:30:14.13	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8491a1d-1a6f-4138-857b-a892cf9715dc	2015-11-07 23:35:14.166	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bfb73d71-3f14-4143-9bb2-ab2aff182aec	2015-11-07 23:40:14.15	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
528cb92a-6fff-4717-997f-bab8fcdf0fe6	2015-11-07 23:45:14.185	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a79be43c-6714-44da-9f44-2e8a8d130249	2015-11-07 23:50:14.203	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e0771e57-2418-466f-87c8-4aceae0def0d	2015-11-07 23:55:14.215	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e3b294d8-4580-48a5-b7ab-74149871cefb	2015-11-08 00:00:14.257	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b994796-2dcc-44b5-922b-088489a7f5e8	2015-11-08 00:05:14.26	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bca721a7-c631-49a8-b416-796458c7aa8b	2015-11-08 00:10:14.28	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	2015-11-08 00:15:14.303	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1af970ae-3846-4a50-b47b-c4b411d5f5f2	2015-11-08 00:20:14.3	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
71f48817-ece3-426c-aecf-50bac58b977d	2015-11-08 00:25:14.346	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9a08004e-21f1-4918-bf54-94dadd502c6b	2015-11-08 00:30:14.378	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3690a92c-3fee-4769-9a94-bb9a08fe1280	2015-11-08 00:35:14.386	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d98a267-8679-4c24-8c2b-81701ebac9c1	2015-11-08 00:40:14.413	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9c248ef6-510d-4708-a16c-a680b27a3f34	2015-11-08 00:45:14.428	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	2015-11-08 00:50:14.419	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ee105699-00c9-44dc-b809-070f47b88744	2015-11-08 00:55:14.476	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f683daff-0161-4662-953e-d72aadc99406	2015-11-08 01:00:14.49	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c294258-2a2a-4ab6-a034-84ec66588ae5	2015-11-08 01:05:14.514	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3fb0bf4-2e02-43e0-9d01-52629194fabe	2015-11-08 01:10:14.552	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bac473d9-d901-47ce-a7b0-8be17be85cd7	2015-11-08 01:15:14.559	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
00c2be31-1619-4380-9e49-a62676fafcc2	2015-11-08 01:20:14.581	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9c441833-4a7e-482c-853d-5e80d25371f2	2015-11-08 01:25:14.583	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2d449928-1564-40e9-8101-fcc12d29642f	2015-11-08 01:30:14.611	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e3a3ffa-73fc-423c-88ef-d7d98011022f	2015-11-08 01:35:14.632	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
943987b2-22b2-4601-a0e2-1476fb8a29a0	2015-11-08 01:40:14.67	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3f266987-d0d6-44ad-a4de-af9f94add98a	2015-11-08 01:45:14.687	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f2dd7ec-74a7-4475-bf73-325ad74564ea	2015-11-08 01:50:14.684	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	2015-11-08 01:55:14.718	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d82b2842-8a95-4a45-b987-960d611abe6e	2015-11-08 02:00:14.735	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e3f0742-f997-4db0-8a15-066cadf62344	2015-11-08 02:05:14.779	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7d2c6531-a915-4c0c-a919-6094e82a5dd6	2015-11-08 02:10:14.781	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
452c92d4-e47b-4152-9ba0-9fd7c090faf9	2015-11-08 02:15:14.749	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	2015-11-08 02:20:14.82	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e57a0592-4726-4e3d-a745-184d162f710c	2015-11-08 02:25:14.843	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	2015-11-08 02:30:14.861	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d972f304-ae73-4f47-875c-ad20498d9b34	2015-11-08 02:35:14.886	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	2015-11-08 02:40:14.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
671cdc5a-9624-482b-9e8c-99f7193667cb	2015-11-08 02:45:14.879	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	2015-11-08 02:50:14.947	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0faace7c-5cc0-4c42-9c9a-41fb606985b4	2015-11-08 02:55:14.966	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f99cf15-b145-4318-8dae-1b3c3b549b80	2015-11-08 03:00:14.977	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea750849-f95b-4a54-b4bf-594eca943613	2015-11-08 03:05:15.008	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
703b5685-80b7-4b8c-990f-4d529dcb19b1	2015-11-08 03:10:15.023	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	2015-11-08 03:15:15.044	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
719ec7e3-0806-428d-940d-9285f44ba5b1	2015-11-08 03:20:15.066	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bef5e81b-ae20-4907-80ab-2a121ea33306	2015-11-08 03:25:15.063	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	2015-11-08 03:30:15.119	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	2015-11-08 03:35:15.139	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
395859c8-f336-4abd-9f6a-370dc682a692	2015-11-08 03:40:15.153	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5c101bd6-31fe-444c-8e19-fdea126172d7	2015-11-08 03:45:15.192	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	2015-11-08 03:50:15.21	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
80cfc124-c77b-4c78-b3a3-47fc72365c1c	2015-11-08 03:55:15.23	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df57de7d-c626-4472-b353-f7f0f713b568	2015-11-08 04:00:15.241	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c995234-651c-4661-8b19-052ece4c36d7	2015-11-08 04:05:15.227	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
daf91418-d8ac-4046-9e3a-fec2bd030884	2015-11-08 04:10:15.283	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1a672216-bba2-4d37-91aa-a5aedec1c67c	2015-11-08 04:15:15.288	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9575ab31-48da-4943-8001-d36a0422ce64	2015-11-08 04:20:15.311	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
609f0a4c-c537-4622-ba8f-fb7c0674dfde	2015-11-08 04:25:15.334	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
40f7e682-5ba9-4024-98d2-816834c97980	2015-11-08 04:30:15.365	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	2015-11-08 04:35:15.387	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0ba152cf-86bb-43ef-a29b-d72065d88af2	2015-11-08 04:40:15.414	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efc59526-6517-4191-a76c-1712b4fe2de8	2015-11-08 04:45:15.392	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b05c654e-0a84-4097-a787-e64017a81994	2015-11-08 04:50:15.447	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
47103586-25ab-4ed3-a3ca-2e1f778c2d24	2015-11-08 04:55:15.461	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
77221ee4-852c-41f0-9e29-b9e1ed832b64	2015-11-08 05:00:15.483	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bbfbc781-894a-4d9b-9b38-95b2192f86f1	2015-11-08 05:05:15.525	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0257746-12d9-405b-8bd4-b5e57dd094a6	2015-11-08 05:10:15.491	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d06a524-7605-4b6d-a715-9094f1cf479a	2015-11-08 05:15:15.547	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	2015-11-08 05:20:15.562	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	2015-11-08 05:25:15.589	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	2015-11-08 05:30:15.589	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b65d5c61-a06d-4184-9614-3ee672fbb681	2015-11-08 05:35:15.622	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd1ea62d-bef0-40f8-9c4a-816cb45df299	2015-11-08 05:40:15.647	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
943a60b9-f253-491d-ab93-1b7aceaaeabd	2015-11-08 05:45:15.619	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ec89ac6-62cb-40f7-9047-b82343bd2528	2015-11-08 05:50:15.955	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ff980a77-608a-490b-8293-4d82066689ee	2015-11-08 05:55:15.702	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3231faf1-adb2-4dab-bece-900354948c48	2015-11-08 06:00:15.722	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3fab36f8-3b25-4030-9697-30695bac379c	2015-11-08 06:05:15.745	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
53186095-3fa1-4656-b925-332b851fe2b7	2015-11-08 06:10:15.759	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
67f71590-c0a6-41be-90c8-31540d3343a6	2015-11-08 06:15:15.781	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	2015-11-08 06:20:15.811	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	2015-11-08 06:25:15.796	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b48d5800-4721-4ef2-a440-5619b3b599d4	2015-11-08 06:30:15.845	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d232ba6-75a4-4958-a45b-ca7e222d31c7	2015-11-08 06:35:15.871	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8e315168-c801-4835-a6fe-5b38c5016854	2015-11-08 06:40:15.897	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	2015-11-08 06:45:15.911	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b6b46dd-03af-404a-b329-8b49b67a6167	2015-11-08 06:50:15.926	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5b7e3de-b187-42bf-b421-94de54187780	2015-11-08 06:55:15.983	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e84979d3-d1ac-4666-ad1d-12b3220a964b	2015-11-08 07:00:15.99	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49f726f3-7a7d-441f-bc09-545ce3e470da	2015-11-08 07:05:16.007	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38b4186e-ea6a-4dc3-956f-081af73fb032	2015-11-08 07:10:16.031	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5ece6b7e-239a-4241-b345-f513255ea5a0	2015-11-08 07:15:16.057	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3404661-24a9-4d63-ab06-8dcfcd0109e2	2015-11-08 07:20:16.078	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b67349be-15af-496b-a00b-39336f1001f3	2015-11-08 07:25:16.058	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
526843dc-c461-468f-a5a3-041e66e28a19	2015-11-08 07:30:16.114	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d213d73d-c2bf-416b-863c-52246006b6a4	2015-11-08 07:35:16.143	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	2015-11-08 07:40:16.16	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c342397f-95b6-48da-af20-0b4c47ccc0cc	2015-11-08 07:45:16.179	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	2015-11-08 07:50:16.187	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c122b654-91fb-4733-8818-d2c43359b12c	2015-11-08 07:55:16.217	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	2015-11-08 08:00:16.239	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
51543149-27e8-4da2-9432-d70121e4b8a0	2015-11-08 08:05:16.262	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cad5aeb0-16cf-4076-968d-6b756dd66925	2015-11-08 08:10:16.295	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cbd2e16a-9169-4876-955c-2fc53dc5d263	2015-11-08 08:15:16.31	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4a44fc4-1893-42cf-bd59-32eededee1ff	2015-11-08 08:20:16.32	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5bf70f68-15ce-42dd-97e3-d29e22ee083b	2015-11-08 08:25:16.345	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c50159b2-14a3-40fd-9d40-28cd80d6840f	2015-11-08 08:30:16.367	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8494d5ba-9971-4636-83d1-e1ac088a93bb	2015-11-08 08:35:16.385	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b7c1cbe-691a-4f6f-919d-eca6959ad106	2015-11-08 08:40:16.404	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	2015-11-08 08:45:16.4	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	2015-11-08 08:50:16.47	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	2015-11-08 08:55:16.48	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
405026d2-b606-42bb-a17d-5e355e0877d4	2015-11-08 09:00:16.496	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
19278eb8-d99d-4bc9-8fe7-761dc7284619	2015-11-08 09:05:16.512	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ca8dd740-27e1-468a-8e96-5b207a28cd0d	2015-11-08 09:10:16.561	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	2015-11-08 09:15:16.565	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2595c74f-42b2-4e71-ac39-fd54b7dfe310	2015-11-08 09:20:16.579	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
20139e3f-218f-41ce-8143-5d93d1dad0bb	2015-11-08 09:25:16.596	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	2015-11-08 09:30:16.623	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e7b4a7ed-6f94-4aba-b933-e45170852324	2015-11-08 09:35:16.642	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1af3459c-b183-465a-8334-75d2ea0a4ffa	2015-11-08 09:40:16.664	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
47d8c862-f884-48c1-8efe-be7057636c05	2015-11-08 09:45:16.685	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	2015-11-08 09:50:16.711	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	2015-11-08 09:55:16.695	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	2015-11-08 10:00:16.751	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	2015-11-08 10:05:16.771	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	2015-11-08 10:10:16.788	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98bc91c7-8319-48ae-aaba-84a7351449a9	2015-11-08 10:15:16.809	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
27f3bb13-6406-4463-a004-4e326e1a6944	2015-11-08 10:20:16.829	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
75d27bad-30af-454c-8bf6-943a49be02db	2015-11-08 10:25:16.81	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f9c56bc4-0c96-4350-80d7-409ee6d7b041	2015-11-08 10:30:16.87	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
28dd0a0f-6b1d-4f21-86db-55a8d1658045	2015-11-08 10:35:16.89	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c8ba947-e268-4f7c-8b9d-768e2b796248	2015-11-08 10:40:16.926	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	2015-11-08 10:45:16.932	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b82ce2b1-db3a-4401-9162-c0eaad05fb98	2015-11-08 10:50:16.953	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
87e72f45-b7db-41a8-bc4d-4db670ec4f18	2015-11-08 10:55:16.967	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ff45076d-ab88-499a-9f67-cb7efaeb2c94	2015-11-08 11:00:16.992	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b42b0a2c-117e-4fb2-aebe-225993d77dc4	2015-11-08 11:05:17.032	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
47989e6c-fe75-452e-a1fc-60be16e1b3b2	2015-11-08 11:10:17.037	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	2015-11-08 11:15:17.058	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e880a303-2916-44a1-b4aa-58a1ffab47cf	2015-11-08 11:20:17.078	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	2015-11-08 11:25:17.105	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4edad09b-311e-435f-adfb-b3a21bc8cb27	2015-11-08 11:30:17.121	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
211ffea7-6812-4b4e-8494-311e69a21d73	2015-11-08 11:35:17.146	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b1713c45-5df3-4187-b7f1-5bac057bff81	2015-11-08 11:40:17.159	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
482265f1-7c92-48e1-894e-29924b18c542	2015-11-08 11:45:17.176	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a63ed291-72f8-4719-875e-fc2cd29bc57e	2015-11-08 11:50:17.214	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c621da45-04e4-4cd9-bd40-be2ed90c06c1	2015-11-08 11:55:17.217	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb9fd999-433c-4155-9c5e-82b3604d8d43	2015-11-08 12:00:17.233	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8ece2c9c-4d9f-4989-ae70-09480037d1e6	2015-11-08 12:05:17.249	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b0625b6d-c179-4db6-895c-1745359f3224	2015-11-08 12:10:17.243	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98f499ad-9da3-4968-bf45-b5dfd65c3e65	2015-11-08 12:15:17.263	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8353750b-00c8-4d53-b4ec-03201c269eb5	2015-11-08 12:20:17.257	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
188d48f3-eaaa-406b-8522-0eac4761128e	2015-11-08 12:25:17.321	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37e2916d-6380-43db-a98f-d8ea764f823c	2015-11-08 12:30:17.363	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a8f31f97-5e73-46f6-a75a-99ce7900cb79	2015-11-08 12:35:17.388	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	2015-11-08 12:40:17.367	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
35523514-dc6a-4571-85e1-f38f734450c8	2015-11-08 12:45:17.411	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8857d1a2-17d5-4531-8d60-e39878d9c3b8	2015-11-08 12:50:17.432	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3f2231c8-3f43-402a-840b-64eaee7bf91c	2015-11-08 12:55:17.449	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
836c0fc7-abbf-4ee4-942c-0247f3cbf797	2015-11-08 13:00:17.505	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	2015-11-08 13:05:17.486	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	2015-11-08 13:10:17.515	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
daa3e408-8ab3-4dfb-822a-c6818207febc	2015-11-08 13:15:17.533	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9419a75c-f4b4-4456-b6ff-3102e1cd1784	2015-11-08 13:20:17.543	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c5564cb-6f05-4a51-a411-8e579276b987	2015-11-08 13:25:17.568	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db17e89e-fa68-410b-b589-1836f000b4dc	2015-11-08 13:30:17.586	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	2015-11-08 13:35:17.563	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
551ef466-3954-450e-b802-a50c5826b56b	2015-11-08 13:40:17.614	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
72294437-92c4-4762-929e-954db66a70c7	2015-11-08 13:45:17.631	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb8f098b-c41b-4259-9c86-c05bcaf2433c	2015-11-08 13:50:17.651	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	2015-11-08 13:55:17.677	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
77f78942-0f4a-45c7-b454-9706ec155c87	2015-11-08 14:00:17.711	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a7f4028e-b387-408f-bbd8-984f43e35a13	2015-11-08 14:05:17.694	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f5a76ec-92f5-4838-b350-56d87ac3fb05	2015-11-08 14:10:17.751	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	2015-11-08 14:15:17.774	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5691eb6e-7886-40cf-b4af-019b34ac8dc1	2015-11-08 14:20:17.81	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f44c12ee-a577-4ea0-806f-2aa7333733b5	2015-11-08 14:25:17.828	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
654c21d2-a499-4187-8220-09ad28a06234	2015-11-08 14:30:17.84	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7011360a-c21c-46d7-9e29-b3a45c1c87bc	2015-11-08 14:35:17.862	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6a9f1fca-eff2-4d58-a401-9f07138d5c60	2015-11-08 14:40:17.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
227ec5be-e6b8-48e0-afd4-d0b817248f18	2015-11-08 14:45:18.212	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5cfd0074-896a-4957-807f-d61c49fd5a40	2015-11-08 14:50:17.916	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	2015-11-08 14:55:17.932	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	2015-11-08 15:00:17.945	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	2015-11-08 15:05:17.977	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
34858dfa-bef8-4755-9305-83601e954a74	2015-11-08 15:10:17.988	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bab750a9-d956-4926-9729-d0935e7ad723	2015-11-08 15:15:18.01	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4685b99c-1fee-4090-a933-078e9f216df6	2015-11-08 15:20:18.049	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1377a248-ef48-48f2-9d32-a767459e0c6f	2015-11-08 15:25:18.064	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	2015-11-08 15:30:18.075	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49c79542-cac4-4197-91e3-f3464b2f4e70	2015-11-08 15:35:18.091	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da89c0c4-9a4d-4909-90e1-c2c246c38209	2015-11-08 15:40:18.121	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
186fa991-5c92-43e4-a874-52ae2814a20f	2015-11-08 15:45:18.146	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
17bc6824-085f-4b70-8f3e-f67287f757d8	2015-11-08 15:50:18.209	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c123ab9b-6469-4b69-87c1-06cbab2cf59f	2015-11-08 15:55:18.181	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	2015-11-08 16:00:18.2	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
21196ba2-2b02-4305-acf9-93813fb4ab3a	2015-11-08 16:05:18.199	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fbf42dca-18b4-4f0e-a809-12d42edf1e93	2015-11-08 16:10:18.225	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	2015-11-08 16:15:18.257	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	2015-11-08 16:20:18.273	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7852cd5b-a633-4f52-b512-11f186eda81c	2015-11-08 16:25:18.541	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a26b44d-6772-414a-82df-12e356b1c10a	2015-11-08 16:30:18.572	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd6669a2-84ba-4870-a365-d86cb3e13349	2015-11-08 16:35:18.611	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	2015-11-08 16:40:18.637	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fc5d7eb2-610b-40d3-978c-950faa56ca53	2015-11-08 16:45:18.657	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e53df00-80b6-4f63-9f59-e7c8b64c079a	2015-11-08 16:50:18.671	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ade49a0-2324-4211-bc73-077e064e7627	2015-11-08 16:55:18.661	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	2015-11-08 17:00:18.71	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	2015-11-08 17:05:18.747	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
32293a5c-f3f5-43fb-ad41-e3492e05363f	2015-11-08 17:10:18.754	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b18bf350-b544-4af9-b1ed-bd6403b309bb	2015-11-08 17:15:18.77	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8845308d-ff5c-4524-8e1e-dbc93b616eaa	2015-11-08 17:20:18.795	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a30fe175-f81e-446c-aab3-97e0930a5ca5	2015-11-08 17:25:18.802	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da40b714-c90f-4779-bb7f-d33fa8cdccca	2015-11-08 17:30:18.823	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	2015-11-08 17:35:18.807	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5e3cba21-a853-4fad-ad2b-52ca41102ebe	2015-11-08 17:40:18.869	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e6a3426d-791d-42c3-a59b-387d1f7dfb36	2015-11-08 17:45:18.897	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ac00941-9748-49db-9fc0-08ba8d18a106	2015-11-08 17:50:18.908	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a7ea0133-5f66-4976-bf1f-ad49746a617f	2015-11-08 17:55:18.943	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c2704f2-33be-4321-94ce-328438bcceb1	2015-11-08 18:00:18.943	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	2015-11-08 18:05:18.941	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b572c63d-d676-4f1c-aefc-5adfa2846f5a	2015-11-08 18:10:18.99	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ecae63a7-943d-41f7-9e75-ce822e6b55cf	2015-11-08 18:15:19.015	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6394d46f-840e-4cf9-b0f7-b6db62a49e05	2015-11-08 18:20:19.031	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
59922bf5-9ae9-4558-baba-3a66d36314d9	2015-11-08 18:25:19.059	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	2015-11-08 18:30:19.103	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ad60d02-c837-47f5-be2f-2193e6bbc374	2015-11-08 18:35:19.1	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ac758f5-e10c-49b2-a41c-5f177d5676b5	2015-11-08 18:40:19.116	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d123e3da-b180-42c6-aab4-3ad6c6209128	2015-11-08 18:45:19.14	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7a875366-6d86-4146-ae9a-3ecdd1662658	2015-11-08 18:50:19.156	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
50370776-b163-468c-af41-af3a43bf2b20	2015-11-08 18:55:19.173	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
93aa761f-436e-4388-8efe-37fb63df49fa	2015-11-08 19:00:19.196	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e566890b-352b-4ae1-8731-d13b99c3ad2e	2015-11-08 19:05:19.21	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a7760656-e3c3-42fe-9bde-4431eec92270	2015-11-08 19:10:19.224	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
41e018a9-cb3c-413f-9097-b07c7c968d5a	2015-11-08 19:15:19.254	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ddbc01fd-2874-405c-b55e-382f3ef6abe1	2015-11-08 19:20:19.252	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6eada824-09bf-4989-945b-0ba16e86be83	2015-11-08 19:25:19.294	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	2015-11-08 19:30:19.308	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5852eb7-0961-4ee7-9441-8220e14f921c	2015-11-08 19:35:19.345	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	2015-11-08 19:40:19.344	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	2015-11-08 19:45:19.363	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
70e3563a-7c27-4470-a887-a5d507b92ce3	2015-11-08 19:50:19.332	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ce1def9f-df08-4424-b23e-9d1633aeedda	2015-11-08 19:55:19.418	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
34d470a6-f114-4bf8-b022-4f38ae35a173	2015-11-08 20:00:19.428	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b783687a-3cb1-4bd4-93bb-530b43a09833	2015-11-08 20:05:19.456	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92cc7e9a-3e08-483b-87d5-6ba47ced051f	2015-11-08 20:10:19.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	2015-11-08 20:15:19.486	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	2015-11-08 20:20:19.477	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	2015-11-08 20:25:19.494	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9e030e26-07b4-4c1b-afc9-d6560b7a461e	2015-11-08 20:30:19.551	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2863c15f-5efb-4b5e-9992-c6db51433d4b	2015-11-08 20:35:19.564	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a53699e7-6e9c-432c-bf59-918b28fdff70	2015-11-08 20:40:19.59	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f3d8f116-03af-48af-ae35-6f5c0680ee4a	2015-11-08 20:45:19.614	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1376634-1fe3-4472-94c4-75ae860e0e0e	2015-11-08 20:50:19.637	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	2015-11-08 20:55:19.61	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81533ba5-802b-49b9-9455-91b08bc4a6f3	2015-11-08 21:00:19.678	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
26dbd8e7-5280-4273-b077-d894f5896432	2015-11-08 21:05:19.717	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9c20ba22-064e-4c56-a90d-6cc276335961	2015-11-08 21:10:19.731	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
20adbff4-6959-4db4-a55f-7825536b9ad5	2015-11-08 21:15:19.75	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	2015-11-08 21:20:19.74	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	2015-11-08 21:25:19.79	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a9768365-b7d7-4fda-b302-50f64efdaf82	2015-11-08 21:30:19.817	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efe9b908-4055-4f09-aadc-7bdde5e18fad	2015-11-08 21:35:19.833	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4aa19178-e182-4b0f-942b-af6632d6bd9a	2015-11-08 21:40:19.87	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	2015-11-08 21:45:19.87	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	2015-11-08 21:50:19.916	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d322e36-6c3a-4105-9f3c-7ea8e07af596	2015-11-08 21:55:19.927	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1a083fd-36ad-4512-ad8d-84bd51297902	2015-11-08 22:00:19.943	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cc4722e4-93cb-47b8-9431-b097112a65bc	2015-11-08 22:05:19.961	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	2015-11-08 22:10:19.961	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7850c142-8796-43a7-809f-0d6f1384cdcf	2015-11-08 22:15:19.99	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2aedce45-95cb-47cc-924c-6d396e82d114	2015-11-08 22:20:20.021	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d84a7c60-20bc-472d-9f90-326d8d92fd39	2015-11-08 22:25:20.033	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b5fea62-50f8-46e8-a542-faede9775107	2015-11-08 22:30:20.061	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	2015-11-08 22:35:20.1	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	2015-11-08 22:40:20.095	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1859ad58-79e0-406d-a4ec-91e2834dbed7	2015-11-08 22:45:20.107	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a180a5db-b9bd-49e7-af9e-dd92c975b439	2015-11-08 22:50:20.152	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
25861310-2982-4839-a699-86d4db620d6e	2015-11-08 22:55:20.159	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
23c9e945-f745-44ad-b4f5-7da0004aefb2	2015-11-08 23:00:20.196	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
799dafcb-ef77-4c8b-80d4-66188e9d650b	2015-11-08 23:05:20.206	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	2015-11-08 23:10:20.209	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	2015-11-08 23:15:20.205	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c65b2385-ea5c-4a8e-807b-68e7525c4e78	2015-11-08 23:20:20.26	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7e64bbea-2025-447e-a7d9-04789e1f34a6	2015-11-08 23:25:20.295	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2271962-f5bc-4cdd-ba69-2ece45d04363	2015-11-08 23:30:20.312	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	2015-11-08 23:35:20.325	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea855b3f-50f4-4786-9ae6-5f960563221f	2015-11-08 23:40:20.337	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	2015-11-08 23:45:20.358	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d7c9fbdf-197f-4fba-9e3b-0831d7952406	2015-11-08 23:50:20.383	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8b42c82c-7182-47d9-8772-d0c943c23388	2015-11-08 23:55:20.393	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8ed4586a-523d-47e4-81ec-065dd8a5cadf	2015-11-09 00:00:20.416	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	2015-11-09 00:05:20.437	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	2015-11-09 00:10:20.466	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a3f1fd98-6e04-4ee9-a588-e2683e28e546	2015-11-09 00:15:20.448	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
039e0163-4322-41c6-9199-ea3e46f55800	2015-11-09 00:20:20.501	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fed6a482-4719-466f-99e2-c38c16f3c648	2015-11-09 00:25:20.537	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e9e416fc-0a01-41c5-ad90-be1b493a0594	2015-11-09 00:30:20.561	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8d49bf18-36a5-4047-8161-bb28b7ed21d5	2015-11-09 00:35:20.578	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2311cebe-5916-49a1-9789-94ec795e7bc8	2015-11-09 00:40:20.598	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
854342f7-2500-4a3f-a472-e318688f4e1e	2015-11-09 00:45:20.579	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a824bf4-665c-4450-8e36-c0693a004ea5	2015-11-09 00:50:20.639	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	2015-11-09 00:55:20.656	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	2015-11-09 01:00:20.682	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a30ffb49-7d54-46c1-81cb-aabf174d8c54	2015-11-09 01:05:20.693	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
33addb4e-3b7b-42c5-859a-517fb2e14e1d	2015-11-09 01:10:20.72	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79acffb1-1720-4a58-a340-a8d2ee24f24e	2015-11-09 01:15:20.731	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1df405a6-cf05-43aa-8132-26b59ef997f1	2015-11-09 01:20:20.774	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b52bb7cd-bfa4-4660-acc6-2bc172244982	2015-11-09 01:25:20.765	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7b7aaca2-9053-4000-bebb-f221a550fc68	2015-11-09 01:30:20.788	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	2015-11-09 01:35:20.819	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	2015-11-09 01:40:20.804	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79de7afe-fc21-4e72-ba19-db2dfe48677a	2015-11-09 01:45:20.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3642f192-ffa2-4d60-92a8-d11dc8585184	2015-11-09 01:50:20.859	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b578ea30-5481-4eb7-8b07-736a38dfa80d	2015-11-09 01:55:20.912	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cdb0b292-17e3-47f0-bdee-0d520733542a	2015-11-09 02:00:20.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
608a6ecd-aee6-43e7-9a10-062e358c4328	2015-11-09 02:05:20.946	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
22b23edf-1a7a-4804-ae24-64695e2697ba	2015-11-09 02:10:20.952	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
319eafda-0e5a-425c-96a1-70673164b9cf	2015-11-09 02:15:20.957	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1638d892-ae55-49f2-baa3-cc49f1aad12e	2015-11-09 02:20:21.001	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	2015-11-09 02:25:21.033	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f6dcd50b-d525-4fae-b10e-06ecd59266ba	2015-11-09 02:30:21.043	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	2015-11-09 02:35:21.069	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf05acf2-f984-40b4-8eed-97b85bd4d64f	2015-11-09 02:40:21.087	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
948599cb-00f9-4d71-aef7-467d79d40f5b	2015-11-09 02:45:21.105	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df021430-4112-4f21-9435-61018da157ef	2015-11-09 02:50:21.129	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
50e5b175-eb27-4d26-8cfc-67fa166e4915	2015-11-09 02:55:21.177	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb0d6430-5029-4792-a603-72ed9e0fb4fe	2015-11-09 03:00:21.173	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	2015-11-09 03:05:21.187	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b9285c5-4afb-41b4-8542-ba424575f42f	2015-11-09 03:10:21.234	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	2015-11-09 03:15:21.212	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d3b5e2e-17ec-40f9-abce-f3c32b462331	2015-11-09 03:20:21.26	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5d73048-92e1-4374-87e1-a7f81c41599e	2015-11-09 03:25:21.279	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9102de51-97fc-40e9-8411-ff07f63d2955	2015-11-09 03:30:21.292	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	2015-11-09 03:35:21.308	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	2015-11-09 03:40:21.338	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	2015-11-09 03:45:21.355	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	2015-11-09 03:50:21.371	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
789bb593-87d0-4230-9d0a-60d17c5d01c5	2015-11-09 03:55:21.391	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8b9bdf67-60d0-405a-9bfa-29133116f71b	2015-11-09 04:00:21.417	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
21ea6165-6675-478d-8154-d7557ca806c2	2015-11-09 04:05:21.432	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f98ba2a0-df5a-4717-a1df-6b2307d34331	2015-11-09 04:10:21.475	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
64bb5f38-65f3-4b8a-9c53-3752c0716fba	2015-11-09 04:15:21.453	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d6755566-fb3a-40e6-aac2-cc22c7f2f063	2015-11-09 04:20:21.472	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d51056f9-5bdd-42f2-9c31-f9134f52d50f	2015-11-09 04:25:21.52	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	2015-11-09 04:30:21.544	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
de29d553-5a2c-43eb-bad7-778c5267d265	2015-11-09 04:35:21.559	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b1110311-b11d-4b90-8653-d03cb19974cb	2015-11-09 04:40:21.582	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	2015-11-09 04:45:21.599	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	2015-11-09 04:50:21.597	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da6c991e-819f-406c-a3f0-79972e2598d8	2015-11-09 04:55:21.636	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b557c068-0326-455f-b143-138890e4ec40	2015-11-09 05:00:21.67	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
841c1505-474c-4bd5-9e7b-a9cef15be1f6	2015-11-09 05:05:21.681	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f55b4667-54cd-480d-ac2f-ba700208a625	2015-11-09 05:10:21.706	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c0a3e912-c933-4cae-a007-ff97689a8a73	2015-11-09 05:15:21.725	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
06db548d-895b-41e2-a5fd-0137061ae443	2015-11-09 05:20:21.746	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
54a10489-22e1-4c49-a21d-05ce5290c407	2015-11-09 05:25:21.723	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	2015-11-09 05:30:21.746	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e05fd6b6-7f46-4097-8ee6-b9c72418c726	2015-11-09 05:35:21.795	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1aee06b6-b447-4b89-8b05-9753f81afbff	2015-11-09 05:40:21.804	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92fed0ca-7322-4087-b50f-dd2cd334061d	2015-11-09 05:45:21.829	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ce297ff6-5a0a-4715-9a05-fab5beb65103	2015-11-09 05:50:21.858	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
32323034-7455-4386-97c4-8ac2d1a503be	2015-11-09 05:55:21.864	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a12f55a8-4404-4c35-a474-bbea9ac858f5	2015-11-09 06:00:21.899	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5753507a-90c9-4e3d-91c3-26db2898e378	2015-11-09 06:05:21.918	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dbeff379-7f66-487d-a1dc-2125731e86ed	2015-11-09 06:10:21.945	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	2015-11-09 06:15:21.96	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b03f968-23f9-4d86-9913-349bdf5f6d8a	2015-11-09 06:20:21.982	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fe4efe75-f197-47f6-97dc-e683f842b78d	2015-11-09 06:25:21.993	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
50009ee8-4f9b-4762-9f36-f1088f342129	2015-11-09 06:30:21.95	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5a780585-2093-40f8-bf8d-60aaf5968ebf	2015-11-09 06:35:22.043	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d0fd57b-3870-413c-8daa-92099d6465d4	2015-11-09 06:40:22.066	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	2015-11-09 06:45:22.116	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8ecffe53-2be2-4658-811c-663e204b7fe4	2015-11-09 06:50:22.113	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
87b397fc-4c68-4425-80c4-21755604fc7b	2015-11-09 06:55:22.124	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9224b546-5b0d-49cb-8407-9d7a576db8cb	2015-11-09 07:00:22.101	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a46f336d-ff52-4abf-86da-326dbfb460e3	2015-11-09 07:05:22.18	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42878806-4e0b-4185-87bf-5538c8bcb95c	2015-11-09 07:10:22.183	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1107076-da21-49cd-9f3a-b9fcb09c541a	2015-11-09 07:15:22.212	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
320ab102-775d-4af8-8f6b-6d44edf37eef	2015-11-09 07:20:22.236	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
03af6716-189d-4c61-b35e-433b0b5f1ba3	2015-11-09 07:25:22.222	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
244c9a85-5bcb-460f-af49-875fa5a23b00	2015-11-09 07:30:22.277	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
125b27ad-41a6-41b5-b751-9f95438c8aa3	2015-11-09 07:35:22.297	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d44d5bb8-a025-4973-9622-db40a87ef6c9	2015-11-09 07:40:22.319	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	2015-11-09 07:45:22.336	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
27de738a-49b4-4c49-9136-0d0ee4c7926a	2015-11-09 07:50:22.363	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8bd8e002-9878-467e-914e-a5ef7f0a009d	2015-11-09 07:55:22.353	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
862fb7ba-f91e-411a-8458-ea4b9bb64f94	2015-11-09 08:00:22.426	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	2015-11-09 08:05:22.42	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9c6eb1e4-61c9-4b12-8757-410452aa45a4	2015-11-09 08:10:22.454	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	2015-11-09 08:15:22.469	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
17a535ff-1020-4040-bed2-1b573d1dc9f0	2015-11-09 08:20:22.503	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0d07807d-204d-4e7d-a691-4561b079d42b	2015-11-09 08:25:22.483	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	2015-11-09 08:30:22.542	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd8a3142-f001-4caf-af38-943c8734a2ae	2015-11-09 08:35:22.555	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42735a64-0ebb-4df2-8d27-34da3dffda0b	2015-11-09 08:40:22.586	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	2015-11-09 08:45:22.595	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da0399f2-874a-40ba-bcdd-1bc0d6126258	2015-11-09 08:50:22.627	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
00a33705-f139-4ea6-9a89-ef536a353158	2015-11-09 08:55:22.626	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4af7df9-bfc0-45a0-ba76-b072adb70995	2015-11-09 09:00:22.981	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
753ac5b4-90c8-4467-9f63-e46208f37ad5	2015-11-09 09:05:22.68	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e41fa29d-ff2c-4050-ab33-580d7556fcd3	2015-11-09 09:10:22.705	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
08da942f-ca8e-43e5-b032-32c5b6b3b34b	2015-11-09 09:15:22.721	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
90e57385-3568-41bf-a3a6-5f246216248a	2015-11-09 09:20:22.741	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8f31394c-52fd-486c-86c4-51c2b73e3fc2	2015-11-09 09:25:22.759	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f7764a0-3a9a-4146-aabd-d71a1ac33628	2015-11-09 09:30:22.771	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	2015-11-09 09:35:22.815	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	2015-11-09 09:40:22.831	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e40a3629-12a5-447e-afb1-6cd20b61e601	2015-11-09 09:45:22.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efa0749c-805a-4248-afd5-b550914dea9b	2015-11-09 09:50:22.885	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d26b437a-68e1-48a5-8961-6154cfd2e9ca	2015-11-09 09:55:22.875	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2a3b729d-678e-4142-b84b-f24600ecfd72	2015-11-09 10:00:22.935	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	2015-11-09 10:05:22.951	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
83df744e-a95f-4b67-b46f-0fc96baa0d30	2015-11-09 10:10:22.965	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c352c6fc-863e-4422-95d0-45d2bbb202b2	2015-11-09 10:15:22.985	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
841e9b20-59f4-49c6-8ac8-21c964f66c1b	2015-11-09 10:20:22.97	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	2015-11-09 10:25:23.017	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf385a5a-b0e1-427a-8955-63168a8d7825	2015-11-09 10:30:23.047	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4044c86e-fe44-4737-95ca-4c184645c0ae	2015-11-09 10:35:23.065	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f4e4164-0baf-42a4-80d7-7585445c5f33	2015-11-09 10:40:23.086	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15ed627d-89ec-4910-bb03-9b7f0148444a	2015-11-09 10:45:23.106	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	2015-11-09 10:50:23.104	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7aec4cf3-2518-42e1-a196-9291864771a4	2015-11-09 10:55:23.145	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	2015-11-09 11:00:23.179	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	2015-11-09 11:05:23.192	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba6dec3e-9d51-48e7-8779-619697df1443	2015-11-09 11:10:23.208	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ee811ef0-6cd2-41fc-affa-4b62c0823978	2015-11-09 11:15:23.576	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9e357a7e-9052-4a02-925f-f448ac9ec725	2015-11-09 11:20:23.269	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	2015-11-09 11:25:23.267	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	2015-11-09 11:30:23.303	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1079765-4dea-4926-b6cc-4d5403468698	2015-11-09 11:35:23.326	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b3ace8c-9c8e-469f-adde-7468daf681ee	2015-11-09 11:40:23.336	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	2015-11-09 11:45:23.36	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
00fd4ab5-4600-4d75-a65b-17207515a70d	2015-11-09 11:50:23.396	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92f0f842-d3f1-4b8f-8068-01334ef05ba2	2015-11-09 11:55:23.371	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	2015-11-09 12:00:23.425	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5e737692-179c-46ff-a15d-3e7b27121f2d	2015-11-09 12:05:23.442	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b54bf32d-f913-4d14-b26c-312a5684e06b	2015-11-09 12:10:23.458	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	2015-11-09 12:15:23.483	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5aa2de65-507b-4733-b1c8-b4926113f237	2015-11-09 12:20:23.497	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b7395380-6bf5-48d6-8b45-6448a88cff5f	2015-11-09 12:25:23.507	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	2015-11-09 12:30:23.536	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
229471de-a39f-43ec-855b-181ae395622e	2015-11-09 12:35:23.551	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	2015-11-09 12:40:23.585	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	2015-11-09 12:45:23.597	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4555c03a-56bd-4c32-bed2-b4dc7c42326e	2015-11-09 12:50:23.619	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
458eacf9-f1eb-4e91-aefe-0ec324669905	2015-11-09 12:55:23.637	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c2ccb62-091c-4357-ba23-082f8d29b70f	2015-11-09 13:00:23.66	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
210df022-f779-46db-9731-09262807470b	2015-11-09 13:05:23.687	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f7c22c17-8e56-467e-a0da-637676f60388	2015-11-09 13:10:23.697	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb75e879-d40e-49b8-abbe-1699dd8c343d	2015-11-09 13:15:23.723	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dda7e632-9475-4a7a-b195-9ad51beb8657	2015-11-09 13:20:23.735	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d7f7a3b-9fcc-4446-a804-13da4a10079e	2015-11-09 13:25:23.762	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a55ad5f-62ff-446e-a08f-0b43442309ae	2015-11-09 13:30:24.042	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c269a088-b524-4ac0-9359-6009c69e5535	2015-11-09 13:35:23.812	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	2015-11-09 13:40:23.823	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	2015-11-09 13:45:23.836	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0169909e-86c1-4ef1-8617-b8582b4a35af	2015-11-09 13:50:23.884	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0089d7b-c4b7-4621-9455-85d08db3394b	2015-11-09 13:55:23.889	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ffbcf02-394e-4c96-acec-4908f1525a3d	2015-11-09 14:00:23.881	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	2015-11-09 14:05:23.938	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	2015-11-09 14:10:23.971	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0eec4954-b8a9-4255-8549-c0499de73dbb	2015-11-09 14:15:23.965	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d531e88f-34af-4487-a48c-e0e6d8ddc589	2015-11-09 14:20:24.003	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
714dd16b-1124-44b3-8c83-c03ae9b67b1f	2015-11-09 14:25:24.008	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4a7a58cb-1832-4c62-9445-126196149142	2015-11-09 14:30:23.999	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba5ea90a-dc5c-4ee7-916d-835891bccea7	2015-11-09 14:35:24.06	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3fa124cf-6446-43da-a5bf-52410bbd341a	2015-11-09 14:40:24.083	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	2015-11-09 14:45:24.118	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
06828030-3c32-45b4-b421-7b75db55abb2	2015-11-09 14:50:24.143	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
720db849-e704-4111-aaa3-7a21153463ed	2015-11-09 14:55:24.172	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	2015-11-09 15:00:24.13	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cc99c02c-4127-47f8-b547-2cd10faad46f	2015-11-09 15:05:24.177	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	2015-11-09 15:10:24.207	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
80783ad1-e2ee-463b-a083-d7ee810926d9	2015-11-09 15:15:24.227	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37bc014a-0f89-4d63-abd3-65c07b3ea34c	2015-11-09 15:20:24.244	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	2015-11-09 15:25:24.274	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2230fd94-2824-4db6-80a9-c035511b23bc	2015-11-09 15:30:24.255	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	2015-11-09 15:35:24.307	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	2015-11-09 15:40:24.323	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e263bc33-1793-41ef-8c39-8cf2975030e4	2015-11-09 15:45:24.347	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eed69b88-8f02-4fdd-818c-ba409da98fde	2015-11-09 15:50:24.384	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f267fd13-dcc9-4749-b431-638921cb0791	2015-11-09 15:55:24.404	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
924ff15f-241b-4c31-a9d5-fbce551ccafa	2015-11-09 16:00:24.384	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fec346c2-4636-468c-a116-2bb25de29ae5	2015-11-09 16:05:24.438	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fdb1ef83-2647-440c-83c1-1459a7a30c3e	2015-11-09 16:10:24.46	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c294f3e7-d4bc-42be-8563-860e4af62a1b	2015-11-09 16:15:24.475	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9c602403-8261-4a6a-bb29-6c1250a97c98	2015-11-09 16:20:24.496	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
115d4c56-1f21-4490-9b61-b62531e40898	2015-11-09 16:25:24.519	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	2015-11-09 16:30:24.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
99c3977f-a1d5-4ff6-8884-d196f2e13bea	2015-11-09 16:35:24.556	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6d30957f-2e4e-48d9-86e0-914cfff15628	2015-11-09 16:40:24.576	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3b66887a-4924-4efd-8258-9be07a50adc5	2015-11-09 16:45:24.61	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e744ad2c-472c-4a14-90a4-08efeb5ae324	2015-11-09 16:50:24.633	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
661940e9-0c91-4a7d-99fa-9cf01ffadffe	2015-11-09 16:55:24.644	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
794863e8-ebe9-4768-a299-7ad6c0780a38	2015-11-09 17:00:24.674	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a006844a-7052-404a-9506-ca8a4e5dda15	2015-11-09 17:05:24.668	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9e124c65-4399-4122-b7bc-2464fb01827e	2015-11-09 17:10:24.678	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ae6aa98c-2602-4f89-823c-56041f51181d	2015-11-09 17:15:24.695	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
10087d10-88ad-4e11-b07b-6bbcb51e07ad	2015-11-09 17:20:24.711	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb857040-e4b6-4eca-a76e-d6db45a8f713	2015-11-09 17:25:24.761	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fcf22e12-f414-4622-8214-da4054a5ef07	2015-11-09 17:30:24.786	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
93885143-3a53-4683-9f4b-2af6d8fd44f0	2015-11-09 17:35:24.824	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
72beb605-b545-4e5b-8b7f-32320656e856	2015-11-09 17:40:24.836	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	2015-11-09 17:45:24.855	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f5a007d-3f3d-4b59-868d-c274460329c1	2015-11-09 17:50:24.896	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cc91448b-d23e-41ca-a78e-8fd102863edb	2015-11-09 17:55:24.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eefbd071-cd43-4097-aeb3-677978dc164d	2015-11-09 18:00:24.926	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
33dafcf7-7424-4d87-a713-5d0a7a31c408	2015-11-09 18:05:24.946	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d79cf547-1307-4ff6-a258-fef31e716b22	2015-11-09 18:10:24.96	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	2015-11-09 18:15:24.98	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f36e66ee-c57d-4d73-abcf-36276a0c61c0	2015-11-09 18:20:25.013	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
17c8c932-670e-42c0-8625-d76e4542c4f2	2015-11-09 18:25:25.026	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
445c9370-a975-4842-9986-3ea80a5705cb	2015-11-09 18:30:25.048	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e874d7a-4657-40fc-86b9-799c50bf03c1	2015-11-09 18:35:25.069	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
50d8ec95-5ce6-4717-91e2-eaec496c15a4	2015-11-09 18:40:25.084	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7820f7db-546e-4de1-9b71-b841fa3c293a	2015-11-09 18:45:25.111	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4108ac10-c9dc-4122-9e42-f0d336a099de	2015-11-09 18:50:25.124	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
894a55cb-fcc0-4e80-9168-305fbb261a3e	2015-11-09 18:55:25.15	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea3b4cdb-51e3-4221-b60d-985c979ccab7	2015-11-09 19:00:25.188	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	2015-11-09 19:05:25.199	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	2015-11-09 19:10:25.223	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
812b709c-5c1f-4458-82d8-0635f72d8ec7	2015-11-09 19:15:25.247	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	2015-11-09 19:20:25.292	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
53c67149-0d37-414b-866f-8abff80a7cbf	2015-11-09 19:25:25.279	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e9c1545c-c37d-45d8-a63f-072017ad9174	2015-11-09 19:30:25.309	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
710997b0-a01d-4790-839d-202ca59126d8	2015-11-09 19:35:25.287	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
752cdf7e-2202-4a0a-8d50-628842f60aab	2015-11-09 19:40:25.351	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c6de0cae-0997-49a6-a45f-944738977a3f	2015-11-09 19:45:25.373	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
55085b56-6915-450c-9457-083ba326d9f2	2015-11-09 19:50:25.369	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	2015-11-09 19:55:25.392	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eb087d7c-afb1-4a86-974b-1421ae27dd30	2015-11-09 20:00:25.426	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	2015-11-09 20:05:25.46	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
033fd5ed-f400-4888-b8a3-67c2afc3e894	2015-11-09 20:10:25.425	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
67275746-5537-42dc-8428-483aab25d6e6	2015-11-09 20:15:25.497	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	2015-11-09 20:20:25.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7933bf89-e78b-429f-b46a-7846913be7fc	2015-11-09 20:25:25.525	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	2015-11-09 20:30:25.538	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4479610-a27e-4746-b065-b81d5ce4d6ec	2015-11-09 20:35:25.557	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	2015-11-09 20:40:25.56	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2bcccda9-83f0-49da-a5ff-0bcd936842a0	2015-11-09 20:45:25.602	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8379a8cd-8d7a-4251-bb96-0582858c406b	2015-11-09 20:50:25.628	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c2724644-1a0f-4acf-943a-dbd1d048b32c	2015-11-09 20:55:25.629	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c9dac60d-9acf-4317-b007-2ba589d57d4d	2015-11-09 21:00:25.659	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	2015-11-09 21:05:25.677	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1a374961-73e7-4d60-974d-23cdd3dbacbb	2015-11-09 21:10:25.691	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	2015-11-09 21:15:25.681	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
327bf727-4325-422f-a89d-985305b58813	2015-11-09 21:20:25.738	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	2015-11-09 21:25:25.769	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02daf5f8-6337-4611-ab35-b1a003241183	2015-11-09 21:30:25.782	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b32f15a0-0232-4a07-b014-5664e6e14412	2015-11-09 21:35:25.807	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
60fe598a-7cc3-4a01-b68b-a3b287f672e2	2015-11-09 21:40:25.819	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
74ebddb3-11c6-4d71-b790-acd100a8c2f2	2015-11-09 21:45:25.822	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	2015-11-09 21:50:26.171	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d749af9-39c4-4273-85db-6dd8e42bc8a9	2015-11-09 21:55:25.852	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6972537c-2a2e-4c3f-960a-6a7f137b05ac	2015-11-09 22:00:25.89	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a024e46e-bbcd-44a5-a455-871239f14f46	2015-11-09 22:05:25.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	2015-11-09 22:10:25.95	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
12086b80-24d2-4be9-b6cb-eed518d18cde	2015-11-09 22:15:25.968	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
096eb847-ec25-45ca-8a5b-a466f56c5c51	2015-11-09 22:20:25.985	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
814aafd0-0b23-4476-b13f-2155abe494a9	2015-11-09 22:25:26.014	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f1c8f11-eebc-4751-ae4a-741a96ce2557	2015-11-09 22:30:26.058	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4b504616-ce36-46a8-83b1-f83749e17640	2015-11-09 22:35:26.063	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7e7c6886-d840-473a-aa89-f913bd54d7a4	2015-11-09 22:40:26.07	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02ea1e65-5790-41cd-a0d6-8868cf03366d	2015-11-09 22:45:26.066	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
54f28569-76f8-44a6-92a9-e570c86bfec4	2015-11-09 22:50:26.146	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81b52725-b628-4830-b5ef-3773f37e9350	2015-11-09 22:55:26.155	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	2015-11-09 23:00:26.182	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	2015-11-09 23:05:26.189	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	2015-11-09 23:10:26.215	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c2f554ca-53cc-4496-a60d-700d05e8ad6e	2015-11-09 23:15:26.192	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	2015-11-09 23:20:26.241	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b309cb4c-0880-4060-8dad-ef6577c167a0	2015-11-09 23:25:26.264	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5429fb4f-58b4-4715-93c2-69e6cc3c659c	2015-11-09 23:30:26.289	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
283159f7-5e44-41c3-af8d-95f4ed78a401	2015-11-09 23:35:26.31	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f392dfa-44c1-4442-bfc9-002aae71ffa6	2015-11-09 23:40:26.325	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d77669f4-4a2b-4dfa-be67-d5b90cda0771	2015-11-09 23:45:26.303	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	2015-11-09 23:50:26.38	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c107b4fd-c3ba-43e4-a19f-3eeff758693f	2015-11-09 23:55:26.407	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7d79df00-b83e-43ca-b07d-08647b4f5b1f	2015-11-10 00:00:26.434	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45abac29-2550-47bd-a070-c25ee6269cc0	2015-11-10 00:05:26.437	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
58baf61c-1bdd-4b0f-abad-03a3b593cb84	2015-11-10 00:10:26.448	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	2015-11-10 00:15:26.432	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6afae34e-cbe3-46be-9f5a-b527fad31d87	2015-11-10 00:20:26.495	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	2015-11-10 00:25:26.502	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	2015-11-10 00:30:26.545	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42c001be-4bc7-41b9-8e56-8cf8d5270813	2015-11-10 00:35:26.556	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ebb8d32c-7aed-4297-85de-f220b8af1e2d	2015-11-10 00:40:26.572	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7483aa65-56c5-4f00-a93f-5fd39219ee7d	2015-11-10 00:45:26.605	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
26fc6e60-784e-4d55-a161-9a27d86cd257	2015-11-10 00:50:26.581	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
331ec946-5844-4dfd-81eb-7c3d16f3f415	2015-11-10 00:55:26.641	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f096c486-ed18-4707-b005-55ac5a7eb233	2015-11-10 01:00:26.651	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
570600c0-2a23-4f8f-85db-a499c2df0ea0	2015-11-10 01:05:26.671	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4f9877fb-7ea4-4632-a725-437e6f5f579c	2015-11-10 01:10:26.7	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49e47e06-03f5-4d61-8735-c379b3ef5e4e	2015-11-10 01:15:26.718	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fc50ad34-c697-4df1-b2dc-c0375096c2ac	2015-11-10 01:20:26.739	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3f0124ba-8794-472d-8a75-ba1553d09b3d	2015-11-10 01:25:26.756	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
47f42321-2959-4696-b2c7-be31bbd8a10b	2015-11-10 01:30:26.777	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37d44e68-8cde-40aa-84b6-709910874a38	2015-11-10 01:35:26.816	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ca1887a4-f2cc-402b-a05d-87f2c3339404	2015-11-10 01:40:26.819	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b2c7d48-4530-490e-8d67-f31cf346538e	2015-11-10 01:45:26.85	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3626ca6e-6951-40e5-842e-8bc141281234	2015-11-10 01:50:26.87	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c45c3d9-fe09-452c-9939-659229ea4b48	2015-11-10 01:55:26.883	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c86e70fd-acb1-48a7-bb12-591b24b0d575	2015-11-10 02:00:26.921	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	2015-11-10 02:05:26.928	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
35934ce2-e485-499a-a885-04d535bcbc20	2015-11-10 02:10:26.957	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	2015-11-10 02:15:26.985	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df74633c-7bc0-40e6-bdee-878000af5024	2015-11-10 02:20:27.008	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0083aacc-85f6-4701-8f27-de4646df3362	2015-11-10 02:25:27.026	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
029781d6-9d8f-4205-85e3-b15fed081dd2	2015-11-10 02:30:27.051	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
86a77a81-c959-4759-b61c-978b103b868c	2015-11-10 02:35:27.06	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6038d2ca-120d-40bb-860e-ee72c9c26adc	2015-11-10 02:40:27.098	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	2015-11-10 02:45:27.129	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c144e49-bc0d-4a0f-bfe0-d32530855f37	2015-11-10 02:50:27.139	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	2015-11-10 02:55:27.153	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6242f043-d601-4cf3-ba0d-594d862d5733	2015-11-10 03:00:27.157	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b810041c-641b-4bd7-9397-f2b488d82b9d	2015-11-10 03:05:27.207	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bbe3f579-26fe-4eaf-b209-db0e8737203f	2015-11-10 03:10:27.222	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	2015-11-10 03:15:27.238	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	2015-11-10 03:20:27.264	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9012a37b-5348-4deb-af82-ffbd7ac80f14	2015-11-10 03:25:27.288	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e75269b4-2884-4fdb-b4e7-5205de7aaed3	2015-11-10 03:30:27.284	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
95608f71-8990-4bd9-8106-70a120f17044	2015-11-10 03:35:27.304	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d139ac5d-09cf-4214-8ef8-190a010a4e3c	2015-11-10 03:40:27.341	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
58209d83-237d-4c0b-a382-befbd66853f5	2015-11-10 03:45:27.36	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	2015-11-10 03:50:27.384	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0a216dc6-df04-42fd-b301-86610e4ae7c8	2015-11-10 03:55:27.398	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	2015-11-10 04:00:27.428	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
083370b3-d66a-4ef6-abd2-188a261150e6	2015-11-10 04:05:27.443	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d05674bc-ce18-4b33-ae2f-80091aa32f49	2015-11-10 04:10:27.471	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
74cbb59f-5787-4036-a8de-f3977a76d34b	2015-11-10 04:15:27.46	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	2015-11-10 04:20:27.512	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
378ea422-3763-4635-a387-1f9f0fcca6a6	2015-11-10 04:25:27.533	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
73de1479-bd38-4994-bb96-2330c353ad00	2015-11-10 04:30:27.556	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b0b91d32-7eaa-4fbf-b187-183730b30cb2	2015-11-10 04:35:27.877	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a20fe152-b1f8-4e23-818b-7839de99dda6	2015-11-10 04:40:27.597	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
298f7cae-e565-47ee-a76b-d52c715bc551	2015-11-10 04:45:27.622	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
674f522f-626a-4a94-acce-157285e60cbb	2015-11-10 04:50:27.591	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	2015-11-10 04:55:27.629	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	2015-11-10 05:00:27.673	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8fc2d993-6784-4416-ba8d-aa5fff7b1808	2015-11-10 05:05:27.689	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	2015-11-10 05:10:27.71	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
670bc3cf-ceec-4247-8988-dcbc6db2688b	2015-11-10 05:15:27.733	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4030197a-4368-4b6a-9f45-1675fc8ed168	2015-11-10 05:20:27.755	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f7086d57-4747-4346-b6fb-625d89afc8e1	2015-11-10 05:25:27.753	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48331d18-d849-4983-8657-e88dbb8e8bfd	2015-11-10 05:30:27.762	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
51292d61-8b76-4cb5-b9fc-c2fc6584019d	2015-11-10 05:35:27.781	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1cdc4fe0-6999-40e5-8962-53cb77185ed0	2015-11-10 05:40:27.808	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	2015-11-10 05:45:27.83	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
78edd24f-fa06-43bc-9ee2-59a515a9d05b	2015-11-10 05:50:27.881	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd4b8bf2-e13f-43b3-83b9-188209d8e961	2015-11-10 05:55:27.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	2015-11-10 06:00:27.924	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
adba2293-fd67-4159-b673-eaaee7317938	2015-11-10 06:05:27.935	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
082da503-29eb-4be4-851e-531d9788c827	2015-11-10 06:10:27.965	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48231091-e3b4-4283-95e7-3942e0401146	2015-11-10 06:15:27.946	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
95ef1414-3a13-4a92-8012-b4c408234400	2015-11-10 06:20:28.021	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9cbea749-0098-4c6d-baab-ea55a793dc49	2015-11-10 06:25:28.001	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d72795a-f869-43cd-b15f-cb7ca3672bc2	2015-11-10 06:30:28.049	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cfc4a016-2921-4810-8ca1-e266ab4dbc58	2015-11-10 06:35:28.061	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	2015-11-10 06:40:28.086	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
19b07e15-366f-46c5-b5ed-954b4d211887	2015-11-10 06:45:28.114	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	2015-11-10 06:50:28.133	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	2015-11-10 06:55:28.147	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49222420-20d8-4592-bbe0-ca1a1c2ebe54	2015-11-10 07:00:28.189	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7faa4837-78a9-4e09-93c2-d075bc997c5e	2015-11-10 07:05:28.197	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	2015-11-10 07:10:28.22	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	2015-11-10 07:15:28.257	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7dd65a51-c3d3-4680-bc73-8d82576dcad2	2015-11-10 07:20:28.263	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4931a6f7-69c0-4c3c-9ce1-5a7626940337	2015-11-10 07:25:28.284	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85b8330d-a90c-4d2e-ad55-a463635eff40	2015-11-10 07:30:28.3	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	2015-11-10 07:35:28.323	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1429774e-5151-49ab-a855-cea5c7d35af6	2015-11-10 07:40:28.343	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
13022325-b34e-4c80-9de3-650433f57ca9	2015-11-10 07:45:28.366	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	2015-11-10 07:50:28.404	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
04eb8d11-0750-4803-b660-abf37f39f9d3	2015-11-10 07:55:28.393	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	2015-11-10 08:00:28.421	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	2015-11-10 08:05:28.424	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fa3552d9-cb72-4ab0-a433-3bf078ac7110	2015-11-10 08:10:28.434	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	2015-11-10 08:15:28.774	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
213d3ff9-48e3-4ce0-a134-d67da125fd87	2015-11-10 08:20:28.52	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db32d0da-0e05-4802-95db-9bd154559baa	2015-11-10 08:25:28.527	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11966d50-db6f-4e46-96ef-9db77700faf7	2015-11-10 08:30:28.55	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9a204b7e-97f0-414b-980e-3da537972328	2015-11-10 08:35:28.575	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
351b335a-e83f-4ee8-abd1-18fd11f47129	2015-11-10 08:40:28.611	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	2015-11-10 08:45:28.617	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	2015-11-10 08:50:28.64	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b532a4b-629d-4d06-a0ce-4676614ce1ba	2015-11-10 08:55:28.668	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b189c71-9c6d-4cf3-b80a-d142bd172d07	2015-11-10 09:00:28.687	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	2015-11-10 09:05:28.706	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
751001e1-6374-4ad0-949a-666a0fa78c93	2015-11-10 09:10:28.724	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1380d8a-e35a-45ea-9d46-0a6c7a015492	2015-11-10 09:15:28.749	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
67c37081-5898-46d6-9887-55d9c1997671	2015-11-10 09:20:28.786	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81f1a065-9779-4153-ab96-ca39e95140fb	2015-11-10 09:25:28.773	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8070f81e-edcd-420c-a807-2c0f375d7b38	2015-11-10 09:30:28.77	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2db829a5-e8a3-4d23-adcf-d5895732c72e	2015-11-10 09:35:28.803	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
887d5b86-a986-45d8-a3c9-84ff61b9b362	2015-11-10 09:40:28.815	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
67523153-68e4-416c-9c8c-9cc1cfdf55e8	2015-11-10 09:45:28.838	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	2015-11-10 09:50:28.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
57821358-0563-491c-875c-f3e82342d049	2015-11-10 09:55:28.875	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2d581730-6d8d-4526-80f8-5744416131f2	2015-11-10 10:00:28.907	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aef38740-63d0-40a3-8cda-ec55eed1005c	2015-11-10 10:05:28.931	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	2015-11-10 10:10:28.962	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	2015-11-10 10:15:28.993	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d58ecd7-15a9-45f6-b67e-2d280684c20c	2015-11-10 10:20:29.029	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
93fc963a-fdd3-4444-8e9b-54c9c86dc631	2015-11-10 10:25:29.023	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	2015-11-10 10:30:29.051	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9205d883-19f4-4174-81aa-ba85999aa05c	2015-11-10 10:35:29.082	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a7da3ee9-dfae-4839-a2a8-3732b644225e	2015-11-10 10:40:29.101	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	2015-11-10 10:45:29.125	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	2015-11-10 10:50:29.136	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3e477d8-f995-4691-adb8-a8cf5b749430	2015-11-10 10:55:29.148	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d1f3f907-5b11-4d67-8263-de29ef08a058	2015-11-10 11:00:29.171	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	2015-11-10 11:05:29.16	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	2015-11-10 11:10:29.197	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fc7cc204-1dd1-4350-83dd-44b495537148	2015-11-10 11:15:29.22	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	2015-11-10 11:20:29.241	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
84112f64-847d-467e-a45a-bb476f0e7a27	2015-11-10 11:25:29.254	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d85dad0-5e7a-466d-ac54-17e128aef010	2015-11-10 11:30:29.292	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45d56b30-0140-4107-9914-1a74ee8844c3	2015-11-10 11:35:29.304	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42b38cfa-bbb4-44c3-83f7-93225448d287	2015-11-10 11:40:29.662	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9887256-91fb-428d-ba09-b17ba450acd0	2015-11-10 11:45:29.335	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	2015-11-10 11:50:29.361	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	2015-11-10 11:55:29.375	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4f5200e1-44c0-45b4-96cc-cb7e965453ba	2015-11-10 12:00:29.394	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba0c2967-2a25-49b0-8ad1-79f69841f152	2015-11-10 12:05:29.434	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	2015-11-10 12:10:29.444	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1ce33bc-2b03-44d8-af63-3fe773170142	2015-11-10 12:15:29.453	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dded3304-1413-4c0c-8c58-1df0d977d18b	2015-11-10 12:20:29.483	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f9f9acee-dd65-463a-ab07-956f6153b4a6	2015-11-10 12:25:29.502	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	2015-11-10 12:30:29.51	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df3eaf99-4bc5-43c1-9524-44cc52da9593	2015-11-10 12:35:29.561	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f84947d9-b31a-4b88-b64b-29fef2199eb4	2015-11-10 12:40:29.546	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8477621f-9b76-4793-92cd-4830ff8bbea6	2015-11-10 12:45:29.576	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e689c35b-a3f1-4393-8bce-87074486765d	2015-11-10 12:50:29.606	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0cb8ecea-7f0e-4744-83b8-170957506f20	2015-11-10 12:55:29.612	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
757baf88-c39f-40a4-b891-84516c8bb81f	2015-11-10 13:00:29.608	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	2015-11-10 13:05:29.661	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e67e1819-50c5-469b-a8e5-e15c7ff56f23	2015-11-10 13:10:29.691	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	2015-11-10 13:15:29.701	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ecbc4cad-fe00-45f4-acb4-be926956f792	2015-11-10 13:20:29.722	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	2015-11-10 13:25:29.744	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
66f28ba5-eded-442f-b395-ba24155626e9	2015-11-10 13:30:29.765	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49f1a209-289d-48a4-8aa3-6a4479e4db59	2015-11-10 13:35:29.751	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
70114d95-501f-44c7-b837-b9f0271d5f7c	2015-11-10 13:40:29.805	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ac9c814-055a-4c3e-a697-a3283a8d90f3	2015-11-10 13:45:29.839	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e87ab7b6-9c74-4791-a365-9795570d22d0	2015-11-10 13:50:29.866	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
29d4092b-8572-483b-ba41-d10c800d3128	2015-11-10 13:55:29.874	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df69bdde-34d2-405b-8206-4059f6e64119	2015-11-10 14:00:29.886	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	2015-11-10 14:05:29.918	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	2015-11-10 14:10:29.934	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
10b2100d-54f2-495b-ace0-83063add636e	2015-11-10 14:15:29.95	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7e671b29-8e22-43c0-a98b-84cfa95da2d1	2015-11-10 14:20:29.976	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	2015-11-10 14:25:29.991	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
23710ded-8b63-495b-ad00-2a119dedfe9e	2015-11-10 14:30:30.014	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ee6427a8-5490-4430-8c52-ee32130f1916	2015-11-10 14:35:30.015	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8356fc9-9504-4499-b188-ec367df45146	2015-11-10 14:40:30.044	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f47252e4-1175-4faf-9f48-db268f9ee36e	2015-11-10 14:45:30.062	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e11d147-110a-4c45-95f3-6e3c64559352	2015-11-10 14:50:30.072	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85937941-a175-4b12-ba57-44afe56473f7	2015-11-10 14:55:30.091	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6d33ff06-a3b9-4658-9f57-ea504d64b39c	2015-11-10 15:00:30.139	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7df496b6-e1b2-4169-9dc6-a05513177214	2015-11-10 15:05:30.11	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42f641a7-cf24-42e6-9338-479b17238f17	2015-11-10 15:10:30.157	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
40454c63-26dc-45c0-8d01-e22aa063d6ec	2015-11-10 15:15:30.174	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	2015-11-10 15:20:30.187	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	2015-11-10 15:25:30.198	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	2015-11-10 15:30:30.241	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e4517c4-f5dd-4755-814d-3104b23cc831	2015-11-10 15:35:30.222	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1201a3ec-14a7-4977-8362-4121ffed0fb1	2015-11-10 15:40:30.265	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	2015-11-10 15:45:30.29	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15507301-4c91-4fb8-b02a-b405b40a6875	2015-11-10 15:50:30.313	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	2015-11-10 15:55:30.318	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c7268c0d-bc99-417b-9c68-7fcd70749ecd	2015-11-10 16:00:30.342	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	2015-11-10 16:05:30.336	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
22066088-322d-41c1-a637-ba4b4013d540	2015-11-10 16:10:30.388	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	2015-11-10 16:15:30.416	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	2015-11-10 16:20:30.473	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3bb9106b-53d9-474c-acfa-515866da5eda	2015-11-10 16:25:30.458	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e506761c-c921-4016-b295-f58e27864b27	2015-11-10 16:30:30.472	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
529af19c-f609-47d0-abdb-d8129646bd87	2015-11-10 16:35:30.489	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b9764e70-91b9-4e59-b02d-9bc59d7991b4	2015-11-10 16:40:30.526	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c6f780a-c852-4356-869d-9bfd688e481f	2015-11-10 16:45:30.537	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
61207fad-ac76-4c4a-995d-24f20b45d909	2015-11-10 16:50:30.567	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c594a954-583b-4f03-b54a-5e1ad5f59143	2015-11-10 16:55:30.582	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	2015-11-10 17:00:30.612	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d7889587-a518-4b39-9510-cd03610cc81f	2015-11-10 17:05:30.62	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11b6a0f9-9808-4646-a059-e3587a324323	2015-11-10 17:10:30.652	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	2015-11-10 17:15:30.66	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
25d979a1-1d35-4a71-9942-95150811cc46	2015-11-10 17:20:30.68	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fe56888d-a3d6-4bd3-8351-78306c9264f7	2015-11-10 17:25:30.703	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
73d4d5e1-039b-4a92-adb7-a70678f97df2	2015-11-10 17:30:30.72	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
171bba48-d559-4f6c-bd4d-0f0db801d71b	2015-11-10 17:35:30.753	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49fddaa5-1040-4e73-83d1-a249b7d0e34d	2015-11-10 17:40:30.763	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7a09cc9e-51ce-4fbc-b153-9520abf3c385	2015-11-10 17:45:30.784	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	2015-11-10 17:50:30.784	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eceb8a3f-6a0f-41d0-b844-049119ba6ced	2015-11-10 17:55:30.823	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a1938795-6bee-4acc-bc66-f90c08298bdb	2015-11-10 18:00:30.847	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	2015-11-10 18:05:30.878	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd7219d4-ce4a-472e-92ee-8451320f2c77	2015-11-10 18:10:30.895	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2322f801-4f6c-4747-9184-6a2bdbe45c5a	2015-11-10 18:15:30.917	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	2015-11-10 18:20:30.955	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	2015-11-10 18:25:30.969	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c4b88209-c1fd-47be-8ec9-669db6c48a7e	2015-11-10 18:30:30.986	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37f22bb4-51a5-4179-b3dc-6237f7901b19	2015-11-10 18:35:31.014	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d4df8f8-be98-4328-b86b-32b3e8585a9a	2015-11-10 18:40:31.06	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	2015-11-10 18:45:31.055	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4a579b10-4d79-4569-8665-44ac8bda9c07	2015-11-10 18:50:31.067	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fb320c5e-a88e-4f44-a79c-0a094e9fda72	2015-11-10 18:55:31.112	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	2015-11-10 19:00:31.103	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	2015-11-10 19:05:31.09	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5bdaa288-9301-41c0-9ee1-5709e21e131d	2015-11-10 19:10:31.119	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d457f79-28b0-4618-a240-b65b357ec30d	2015-11-10 19:15:31.134	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d94c0706-542a-4adf-987c-f8cc5e2be9cc	2015-11-10 19:20:31.197	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf14726a-b9da-4d71-859e-67f518d79319	2015-11-10 19:25:31.177	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	2015-11-10 19:30:31.223	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92ec6857-1146-4e82-b528-663ea6f3fc44	2015-11-10 19:35:31.253	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ee685c8b-99b3-49da-adc3-f556479a9495	2015-11-10 19:40:31.274	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	2015-11-10 19:45:31.286	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	2015-11-10 19:50:31.321	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
51e432ce-be21-46d5-bcd7-e5010e955ec2	2015-11-10 19:55:31.32	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3adaf374-78a7-407c-8b9d-9065ec7c2179	2015-11-10 20:00:31.343	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e6a7b84a-c342-44ff-a104-cb08d48d6d27	2015-11-10 20:05:31.374	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42d7fa08-f443-48cb-aed2-4bd524acd518	2015-11-10 20:10:31.39	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a890c4a1-7c34-426d-ace9-d56da591101e	2015-11-10 20:15:31.421	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2e6b9de9-0141-4a6f-a422-ef971aef563a	2015-11-10 20:20:31.433	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a6280926-af9c-47dd-ae55-349f777bfcbd	2015-11-10 20:25:31.454	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4f7eb960-c792-4ab6-b1c1-85221c139fc0	2015-11-10 20:30:31.469	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9bffb6d3-5ec7-4bf1-8dde-f16542030016	2015-11-10 20:35:31.497	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a9229b83-76e0-475c-af1f-a29504a831cb	2015-11-10 20:40:31.473	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e9cd8d8f-269d-4196-aec4-65504173808f	2015-11-10 20:45:31.547	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
374e1e97-23b0-42c5-ad71-a8381457a8e9	2015-11-10 20:50:31.547	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
96cc37e7-34ba-4d30-b526-0c4e6852be03	2015-11-10 20:55:31.571	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	2015-11-10 21:00:31.617	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	2015-11-10 21:05:31.609	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1973bb77-b838-48a3-8472-bf3fcb3847c5	2015-11-10 21:10:31.64	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	2015-11-10 21:15:31.605	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	2015-11-10 21:20:31.666	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a0944421-afaa-4e59-960d-43fe213c0948	2015-11-10 21:25:31.69	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	2015-11-10 21:30:31.723	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	2015-11-10 21:35:31.745	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	2015-11-10 21:40:31.762	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	2015-11-10 21:45:32.075	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98edb814-6cfb-4881-8963-4c67d2bd6bee	2015-11-10 21:50:31.808	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4b191a1b-a6cf-4991-83ce-28246acbebf7	2015-11-10 21:55:31.82	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	2015-11-10 22:00:31.835	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b96a36f-e081-4c94-9be8-c27ba1487e34	2015-11-10 22:05:31.85	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9dff9711-6a5a-41d9-8413-3792ed9428cc	2015-11-10 22:10:31.875	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
057d6139-606d-47c7-95f9-eb40bbc6df3a	2015-11-10 22:15:31.913	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	2015-11-10 22:20:31.886	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4856e2e0-1927-4ccf-911d-4bf936f0043b	2015-11-10 22:25:31.943	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4613553-1df9-4439-9331-b4bc7fb04c45	2015-11-10 22:30:31.965	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f4784813-a054-4a66-94ef-2f41214138f0	2015-11-10 22:35:31.985	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45a35e70-10b7-463f-842f-e7cbca168d4d	2015-11-10 22:40:32.015	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0272b022-b64f-41d4-beda-661ac3d5d409	2015-11-10 22:45:32.028	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3aab9048-d966-494c-9885-5abe9407552a	2015-11-10 22:50:32.056	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5816560b-c216-4f82-b8f0-131756e79629	2015-11-10 22:55:32.072	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	2015-11-10 23:00:32.084	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	2015-11-10 23:05:32.105	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1421ccad-8e03-485f-97d1-e408edc53c21	2015-11-10 23:10:32.126	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	2015-11-10 23:15:32.138	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f7b3f270-f271-4992-810b-7b93b8285714	2015-11-10 23:20:32.182	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	2015-11-10 23:25:32.16	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	2015-11-10 23:30:32.216	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
61d6a5ac-3dba-4002-a219-996bb8c14175	2015-11-10 23:35:32.222	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c4327cdb-2390-4318-8ac8-11551f255c73	2015-11-10 23:40:32.234	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	2015-11-10 23:45:32.262	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
21d73734-1146-4f67-b655-20c14d529bd7	2015-11-10 23:50:32.29	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
001e78ab-d968-43c8-9b65-af9de7f93d9a	2015-11-10 23:55:32.281	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
55095243-1933-410a-93af-4ad700ddbea0	2015-11-11 00:00:32.345	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
29351aac-1d4d-4de8-9d14-3331d12f2ce6	2015-11-11 00:05:32.356	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	2015-11-11 00:10:32.377	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	2015-11-11 00:15:32.387	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	2015-11-11 00:20:32.423	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	2015-11-11 00:25:32.435	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	2015-11-11 00:30:32.458	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	2015-11-11 00:35:32.438	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cafc5ed6-626f-4747-a87b-7a18018dcd69	2015-11-11 00:40:32.503	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3ece1a26-dd42-4c72-a879-628f21786c4d	2015-11-11 00:45:32.525	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	2015-11-11 00:50:32.541	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	2015-11-11 00:55:32.57	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	2015-11-11 01:00:32.564	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d323e6cb-e9f5-40c3-b778-0713f8976256	2015-11-11 01:05:32.603	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
69090edc-eb01-4452-b233-526ac78938df	2015-11-11 01:10:32.614	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	2015-11-11 01:15:32.639	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	2015-11-11 01:20:32.672	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6dbb96d9-8882-4148-8adf-45bdf97ee31a	2015-11-11 01:25:32.673	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
777e8de1-ba37-424a-ad44-c7c79f45c43d	2015-11-11 01:30:32.702	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	2015-11-11 01:35:32.689	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85eec1e1-27b3-451d-af3e-aa11323dc359	2015-11-11 01:40:32.747	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	2015-11-11 01:45:32.752	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9f679ae9-dda9-4702-8f4a-83cdc823d880	2015-11-11 01:50:32.797	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e8c782f4-7835-484a-89b3-c813f88d6b3a	2015-11-11 01:55:32.802	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	2015-11-11 02:00:32.828	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
05913ac9-b27a-4be5-8df4-48d31e773a57	2015-11-11 02:05:32.8	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0081deba-b009-48b8-9649-fd18e0e9be2d	2015-11-11 02:10:32.872	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	2015-11-11 02:15:32.895	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
95175f51-1362-4966-ace0-04056de6053d	2015-11-11 02:20:32.931	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
753832f0-9eed-4752-b858-5f40a6ecd230	2015-11-11 02:25:32.937	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	2015-11-11 02:30:32.947	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b9d191b7-7036-4df5-b797-99e07abf0c99	2015-11-11 02:35:32.94	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	2015-11-11 02:40:32.999	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
545ea2cc-b92b-4df0-9701-6ef60e54528d	2015-11-11 02:45:33.019	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
895a5c91-1c46-47e1-8539-7842c9097fbf	2015-11-11 02:50:33.366	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5d0e810f-f0af-44e3-92eb-486ea0c6df97	2015-11-11 02:55:33.066	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
40691547-4035-49c5-aad2-6520423030ea	2015-11-11 03:00:33.087	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	2015-11-11 03:05:33.113	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c953c86-7d7b-494d-82ba-641579a3e826	2015-11-11 03:10:33.128	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	2015-11-11 03:15:33.145	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e902b23c-94b5-4f7c-bfce-8d1fea419d59	2015-11-11 03:20:33.143	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f33e9ace-caa5-4639-919e-d3ae4b18b034	2015-11-11 03:25:33.197	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
82a5a0a6-4f9a-451a-9b9f-8a683afad602	2015-11-11 03:30:33.213	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	2015-11-11 03:35:33.237	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	2015-11-11 03:40:33.248	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b5dd716-434d-4376-a83c-7085339bddc6	2015-11-11 03:45:33.269	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31fb3c11-1007-42b9-a299-5899b5a8ddc9	2015-11-11 03:50:33.285	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2969b1ed-4b1c-4e6d-b870-abb35640e08b	2015-11-11 03:55:33.326	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b360746f-81b9-48d9-abb7-4d6e9e028a28	2015-11-11 04:00:33.297	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	2015-11-11 04:05:33.352	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	2015-11-11 04:10:33.371	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b243451d-1f1f-4c6b-956f-70752b09b093	2015-11-11 04:15:33.39	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	2015-11-11 04:20:33.422	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	2015-11-11 04:25:33.429	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
565d7598-60da-42df-8ef9-b29446afa9fc	2015-11-11 04:30:33.425	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db8456df-612a-445b-a318-fdfb90c63ccb	2015-11-11 04:35:33.435	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	2015-11-11 04:40:33.497	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	2015-11-11 04:45:33.517	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	2015-11-11 04:50:33.545	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
21558f8f-08c2-4971-83c3-174f2f6cd617	2015-11-11 04:55:33.602	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	2015-11-11 05:00:33.601	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	2015-11-11 05:05:33.616	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dc30532e-eac0-48bf-b96f-b2bb500bd31c	2015-11-11 05:10:33.635	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7d014cef-7df1-4639-9a5d-55328a1a8a27	2015-11-11 05:15:33.639	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31553281-dc35-49e4-a752-eb543c0c10cd	2015-11-11 05:20:33.647	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
299f58ce-9771-434f-ab09-ae9ff93d169e	2015-11-11 05:25:33.653	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c6958c1-b05b-4c84-aa62-1e5b377d558c	2015-11-11 05:30:33.709	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4ac40153-e3d5-49b4-9b22-22075b60924b	2015-11-11 05:35:33.73	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fb74310b-1b00-4e0f-8f10-45e69f8716c7	2015-11-11 05:40:33.746	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f9f4378a-75b5-44d8-bf60-3f2889503e63	2015-11-11 05:45:33.742	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6e925f56-760c-43bf-b2f5-94aad7d91c6b	2015-11-11 05:50:33.793	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ae826f82-a402-4b1f-b0b0-499f424e8184	2015-11-11 05:55:33.815	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	2015-11-11 06:00:33.842	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	2015-11-11 06:05:33.864	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
988e3327-b625-4683-bf77-9e1c7b2f1f68	2015-11-11 06:10:33.893	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f947466a-273d-4739-a578-1eb8d72ec079	2015-11-11 06:15:33.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	2015-11-11 06:20:33.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
271c0279-15d8-4f33-baf2-fd6607b224c3	2015-11-11 06:25:33.937	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c4bfcc16-2915-434b-91b1-8fed97461225	2015-11-11 06:30:33.977	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	2015-11-11 06:35:33.989	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efcd35fd-ff31-403a-a111-aa9b06b9c091	2015-11-11 06:40:33.997	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11ae6754-67c8-4f76-b392-5b0cd65355e4	2015-11-11 06:45:34.019	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2696bc24-1324-4168-bf85-47f43eabe575	2015-11-11 06:50:33.998	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	2015-11-11 06:55:34.052	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
17ac8eef-1185-48b5-b523-bb9bb0b75b99	2015-11-11 07:00:34.082	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
255c6f6b-138a-4ac5-a432-021c08a27356	2015-11-11 07:05:34.102	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a51acd4b-be01-4084-96f8-a876caa0ee85	2015-11-11 07:10:34.118	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	2015-11-11 07:15:34.139	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a62b3459-b8de-49e6-a19d-4161dd175e4d	2015-11-11 07:20:34.132	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56f692af-3248-4d80-952a-633452255916	2015-11-11 07:25:34.169	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38783572-661f-488f-80f5-70df0eb9f219	2015-11-11 07:30:34.194	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
beeff496-d31f-4294-85be-b994d0940ac0	2015-11-11 07:35:34.214	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5796dace-b1f8-46fe-86b2-442ccc21d0bb	2015-11-11 07:40:34.228	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1cc34e20-312e-4087-af0f-733bc1800215	2015-11-11 07:45:34.263	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
10760fb6-dbea-4820-9030-2cafe6de455e	2015-11-11 07:50:34.258	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85e7b177-1367-46b3-871a-da31c3e2888e	2015-11-11 07:55:34.255	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1113e075-d6a1-4b26-b655-c0950db01614	2015-11-11 08:00:34.318	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dfc92262-3f49-410f-a736-7d58b1c24293	2015-11-11 08:05:34.349	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a0b08813-8ee6-4c16-9b0d-4e1741f15164	2015-11-11 08:10:34.359	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b39a9c93-c4f9-47f0-859e-c8450c22423b	2015-11-11 08:15:34.393	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	2015-11-11 08:20:34.415	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
165a148e-c18b-4e59-acd0-f0cc528b6ded	2015-11-11 08:25:34.427	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48cb344a-e229-4622-8602-8938a6a6e1fc	2015-11-11 08:30:34.419	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab4c2986-2676-45a2-b2b8-5e3e1753869c	2015-11-11 08:35:34.457	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4f07459-4409-4025-8357-a130b3025773	2015-11-11 08:40:34.491	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c58838e3-2041-483e-aa85-1c04135c0bd7	2015-11-11 08:45:34.495	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9aea5ba9-1a32-4115-9759-944b638bbdf6	2015-11-11 08:50:34.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eca72ea6-1a4c-459d-8c4e-12816a2f6407	2015-11-11 08:55:34.552	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ac3a9481-6704-4d60-9f9f-6d1d4830c313	2015-11-11 09:00:34.566	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c4fc73b-1aa0-4925-8009-e0e418160010	2015-11-11 09:05:34.534	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8df9a173-9e2c-4a73-aa85-c61dcb675f91	2015-11-11 09:10:34.602	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3c8575d-4284-4386-bb3d-27387e932e16	2015-11-11 09:15:34.624	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cf57dcd8-496f-49c1-8a36-ccdde882512e	2015-11-11 09:20:34.644	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0f23936d-adf0-4da6-ae71-ffa8451763bb	2015-11-11 09:25:34.668	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
451627a4-909c-473e-88a9-0040502c555e	2015-11-11 09:30:34.68	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	2015-11-11 09:35:34.675	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45c5f9e4-6764-4ad4-8080-14fce93d75b7	2015-11-11 09:40:34.735	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cef734cd-27a4-4239-965f-efb0552454a2	2015-11-11 09:45:34.751	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38bc6d10-c00e-4e2c-83a3-86207b24de26	2015-11-11 09:50:34.787	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81597379-363e-4118-b071-bcc5d200fcd1	2015-11-11 09:55:34.797	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	2015-11-11 10:00:34.811	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	2015-11-11 10:05:34.84	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c25fd9f-38c0-43e3-9276-418008522bcc	2015-11-11 10:10:34.861	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
43570978-07a3-4efa-911a-4e9c46562f05	2015-11-11 10:15:34.867	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
95822be8-2a9d-4606-ad35-0b6ffdbabf64	2015-11-11 10:20:34.865	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5d1e53f7-dfd9-4117-845e-3c4be991167b	2015-11-11 10:25:34.916	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af486afc-c61c-4ba0-b28b-0caee57266a3	2015-11-11 10:30:34.929	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
39c2244e-8f4e-45f4-ae82-add74862f35d	2015-11-11 10:35:34.96	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
335054bb-4d46-40fd-af00-0e5f237589f4	2015-11-11 10:40:34.981	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cbb44b84-64ea-4788-814e-5e442e39e29a	2015-11-11 10:45:34.995	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	2015-11-11 10:50:35.016	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
524fa1de-29e9-4519-90c3-ad367ccee249	2015-11-11 10:55:35.04	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2395b4e4-98c9-4483-a98c-dc257d805d8b	2015-11-11 11:00:35.068	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
54409847-c7aa-42c2-9ba0-3d0626e3d72e	2015-11-11 11:05:35.089	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	2015-11-11 11:10:35.109	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c196245d-caf5-4deb-95b0-482207eb742a	2015-11-11 11:15:35.119	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	2015-11-11 11:20:35.142	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	2015-11-11 11:25:35.141	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	2015-11-11 11:30:35.193	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed311d0c-7057-4474-ac6e-f98fede04c07	2015-11-11 11:35:35.223	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e8b478fc-5b82-4110-94ff-e6009b98445b	2015-11-11 11:40:35.24	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
10dec137-cf6b-460d-b5e0-37e8b4606d9b	2015-11-11 11:45:35.258	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
41737542-c995-4f1d-a5d6-6a22b0305b67	2015-11-11 11:50:35.284	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	2015-11-11 11:55:35.313	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	2015-11-11 12:00:35.325	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98e0b526-9e28-4076-93c8-a4ed2d2003c0	2015-11-11 12:05:35.339	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e79c7ae2-8062-4b46-a86a-306d795fbe8a	2015-11-11 12:10:35.327	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
432fd606-1df1-4dc7-8015-717a81dccd5a	2015-11-11 12:15:35.394	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
74fafa9d-7274-4b0e-b68b-ed758744a77b	2015-11-11 12:20:35.413	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bbde4eb8-230f-498f-b9e0-0e944b1277bc	2015-11-11 12:25:35.425	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8f3073aa-68f9-4e72-9caf-9d4687de962b	2015-11-11 12:30:35.463	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	2015-11-11 12:35:35.422	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1f5eea3-df57-44f6-9c9e-07d91e504116	2015-11-11 12:40:35.491	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c00c7954-63b6-430d-82cc-6c7ccacf63b8	2015-11-11 12:45:35.535	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	2015-11-11 12:50:35.547	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	2015-11-11 12:55:35.542	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d8c1a149-494d-4c48-a9f8-97f2fe752661	2015-11-11 13:00:35.883	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4f66aa63-c287-493e-bf3b-9f8e13a8daad	2015-11-11 13:05:35.59	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5cbec3d8-83d1-450f-902c-0a44bc720e82	2015-11-11 13:10:35.617	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e021d649-0a41-4fac-9b45-9d2bc6428b9b	2015-11-11 13:15:35.645	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
708bfbe5-c62c-4633-9bdb-99f40568402b	2015-11-11 13:20:35.648	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	2015-11-11 13:25:35.678	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
72af0822-3bf0-46cb-a125-2e11a89e9b5f	2015-11-11 13:30:35.691	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2d028104-0b90-4b6b-8ffe-4a33f353c39a	2015-11-11 13:35:35.718	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e691b33-eae0-4a31-8143-2043cba20ac4	2015-11-11 13:40:35.743	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
23beecfc-cc4c-4286-b434-cc04e632e066	2015-11-11 13:45:35.738	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb5cdc37-296f-487f-91d6-c984e1c5c299	2015-11-11 13:50:35.789	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2e818daf-3e09-4b37-9dd2-648461f5e372	2015-11-11 13:55:35.814	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5bda4fb1-1ad1-45b7-ac97-200864da0046	2015-11-11 14:00:35.843	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7436eaa5-8235-48f7-b150-b042ba4a7218	2015-11-11 14:05:35.86	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
77a2b625-88af-4cc0-9caa-4c69e563c971	2015-11-11 14:10:35.883	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1d3cdac-2f41-4f75-ae73-5c5507791332	2015-11-11 14:15:35.888	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	2015-11-11 14:20:35.917	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
097c2446-f0cc-47b0-ad55-378d0f442286	2015-11-11 14:25:35.94	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
413ec9b4-dbf9-45a8-8fed-b740bc366b66	2015-11-11 14:30:35.944	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	2015-11-11 14:35:35.971	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ac15ba7d-2603-4b43-b873-04eff20cf49a	2015-11-11 14:40:35.984	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b0f1578-82ee-41a8-ba79-874deb03994a	2015-11-11 14:45:36.003	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c7f96377-b9d9-4291-9c9e-fb19a881dad7	2015-11-11 14:50:36.064	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1f1e61b0-1777-4e4e-be2e-82fa748da261	2015-11-11 14:55:36.057	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	2015-11-11 15:00:36.052	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	2015-11-11 15:05:36.1	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
878b8872-919f-43c9-b853-5eeaffd5d19a	2015-11-11 15:10:36.123	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
213f6a6e-b315-4555-8fc2-cb9881fb89c1	2015-11-11 15:15:36.145	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6e4a9d15-fa69-422d-a4b4-facd53e35f00	2015-11-11 15:20:36.177	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	2015-11-11 15:25:36.161	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	2015-11-11 15:30:36.183	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1fe6249-5cb6-4813-81fe-5e64e62612bc	2015-11-11 15:35:36.234	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	2015-11-11 15:40:36.253	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	2015-11-11 15:45:36.294	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
23de267c-735d-4664-8454-83076e685a54	2015-11-11 15:50:36.308	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0f238816-db25-4568-bf14-30ec2fb14591	2015-11-11 15:55:36.324	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	2015-11-11 16:00:36.343	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
47f80a78-54eb-4c20-a6a3-774daa829669	2015-11-11 16:05:36.356	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c027080f-eb77-46a1-a279-86972e7b32b0	2015-11-11 16:10:36.375	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e0a10d30-70ba-42e1-a45d-12073c9447d2	2015-11-11 16:15:36.399	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b4e89868-0646-4686-b96c-3a1be25846d8	2015-11-11 16:20:36.418	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	2015-11-11 16:25:36.445	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	2015-11-11 16:30:36.458	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c127e60-8a85-41e3-bc91-009946143925	2015-11-11 16:35:36.505	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cfc17a9d-6e29-4976-9fa9-3b3635704e04	2015-11-11 16:40:36.51	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d65f9f5f-297c-4637-bdaa-571f213689fa	2015-11-11 16:45:36.531	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
376c7bb8-b087-4298-9600-9b3756c1de48	2015-11-11 16:50:36.547	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7fdba42e-3db8-40e9-871f-de755a74766a	2015-11-11 16:55:36.566	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3a98ec6a-c445-41e4-a29d-464c434f548a	2015-11-11 17:00:36.595	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	2015-11-11 17:05:36.62	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	2015-11-11 17:10:36.64	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5f621718-eac1-4e99-bdc7-81a2f9697d4f	2015-11-11 17:15:36.656	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
58dda1c2-9895-403f-ba0a-6309d51fd28a	2015-11-11 17:20:36.645	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c808448-cecd-4a87-a7f2-bdcb12f36e87	2015-11-11 17:25:36.681	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
90ab75d0-d3df-45a6-ae35-70121e266b31	2015-11-11 17:30:36.728	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	2015-11-11 17:35:36.744	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
60829a4f-0ad2-486b-af40-830404fff877	2015-11-11 17:40:36.751	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	2015-11-11 17:45:36.771	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	2015-11-11 17:50:36.788	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
196e6ea3-8d99-43e1-a8df-b47f4318d06d	2015-11-11 17:55:36.816	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eee944ca-75b6-41c9-9cbf-a33525130416	2015-11-11 18:00:36.848	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	2015-11-11 18:05:36.853	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31e09754-7d10-48b6-8aa1-56d24445ba23	2015-11-11 18:10:36.89	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b202d9da-f4d6-449f-ace9-76d4c8760c57	2015-11-11 18:15:36.903	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c88227e-db17-478c-83c8-7d24ee4dbad5	2015-11-11 18:20:36.922	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	2015-11-11 18:25:36.908	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	2015-11-11 18:30:36.961	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4edd906-eb15-4b7d-bdef-f462ac285347	2015-11-11 18:35:36.977	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5302704c-42c5-42bb-acea-4d3fe68723b1	2015-11-11 18:40:37.004	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
03769fbe-5f42-4727-bf81-4520e14ad7a6	2015-11-11 18:45:37.034	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5880e271-2c4b-4af3-b18e-448b643d59bc	2015-11-11 18:50:37.049	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bfca05bf-2727-43af-96eb-b56c53980ec2	2015-11-11 18:55:37.041	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	2015-11-11 19:00:37.092	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	2015-11-11 19:05:37.113	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
32a4ab95-9025-43ac-95c9-b11110fd1151	2015-11-11 19:10:37.138	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	2015-11-11 19:15:37.168	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8f41f534-512c-413c-9b06-19a998a6d018	2015-11-11 19:20:37.173	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dec45b4c-c070-4f9f-a6f6-83515329f5fc	2015-11-11 19:25:37.193	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f6287d7d-053b-42f1-99a6-c4f80eaad130	2015-11-11 19:30:37.218	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e024707c-9d64-4dbd-8558-7355fa088e97	2015-11-11 19:35:37.181	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	2015-11-11 19:40:37.539	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c62022ee-3468-423c-b90f-e890b53642c7	2015-11-11 19:45:37.262	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f0c9dde-0d41-4643-89d5-6f132052a983	2015-11-11 19:50:37.296	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2fe9bee-08e7-40b6-be41-07db0783b54f	2015-11-11 19:55:37.302	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c6d03b15-039c-4f49-a6b1-5c378535bac1	2015-11-11 20:00:37.335	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f9b003d-dbdc-4c90-9130-54eed92677db	2015-11-11 20:05:37.347	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	2015-11-11 20:10:37.378	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	2015-11-11 20:15:37.386	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	2015-11-11 20:20:37.416	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	2015-11-11 20:25:37.43	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	2015-11-11 20:30:37.418	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	2015-11-11 20:35:37.458	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	2015-11-11 20:40:37.496	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	2015-11-11 20:45:37.525	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
96338133-4001-4ce6-bd08-17fa2dc96d2c	2015-11-11 20:50:37.527	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	2015-11-11 20:55:37.555	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
637add22-1c15-4a0a-9a25-fed8e847205e	2015-11-11 21:00:37.585	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	2015-11-11 21:05:37.585	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	2015-11-11 21:10:37.607	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1a6af66-9a42-4a70-aea3-1547c515a3a9	2015-11-11 21:15:37.618	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
28fbb70c-80c8-4fc1-b945-5120bd407cba	2015-11-11 21:20:37.642	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
47b40a0f-cdbb-4e73-8654-67949b06df66	2015-11-11 21:25:37.666	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3ae3844f-b7b2-4907-bd35-cec5934df2ea	2015-11-11 21:30:37.702	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cf6614db-145b-408e-9fb0-4df9950366fc	2015-11-11 21:35:37.711	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
984485ed-f704-43f9-a97a-6946090edff7	2015-11-11 21:40:37.731	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1593c6f-c55c-4dbb-9991-300bc91785f7	2015-11-11 21:45:37.744	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3010bf67-dc51-410b-8559-4407af14e2ba	2015-11-11 21:50:37.723	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	2015-11-11 21:55:37.786	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8b40036-9136-4241-8f2b-4c59c934890a	2015-11-11 22:00:37.806	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d2c0ff0-3d69-40aa-8fa3-67094f189910	2015-11-11 22:05:37.854	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	2015-11-11 22:10:37.886	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
204d159a-1d4b-49f4-b113-d7620a0d7184	2015-11-11 22:15:37.871	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ee8c9d92-7631-48f5-bbcd-234a4288e9db	2015-11-11 22:20:37.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
546ba6a8-24bd-441d-a600-aa4a9053b126	2015-11-11 22:25:37.918	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
695dc46f-d734-4a78-ba2e-77122da87ae8	2015-11-11 22:30:37.931	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e522bb10-9eec-4d98-b858-ba444684d41c	2015-11-11 22:35:37.915	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	2015-11-11 22:40:37.976	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da38c591-7997-4a1f-8ce7-b6b9f01056e5	2015-11-11 22:45:37.983	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d97e9056-f8f0-49ac-8733-59dd437932a5	2015-11-11 22:50:38.02	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
826ca3cf-ab1e-49c9-bb31-288bce59488c	2015-11-11 22:55:38.044	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b4d81b1a-124c-459d-96c7-e183857d4c5a	2015-11-11 23:00:38.05	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	2015-11-11 23:05:38.065	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
53906e9c-0afa-4493-a39d-ed6d2aa942d3	2015-11-11 23:10:38.058	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c05dfa07-a684-489d-935d-e2d2eb66ed4e	2015-11-11 23:15:38.066	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
780ddb6f-81ed-4abb-9b92-46db062708e4	2015-11-11 23:20:38.144	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c5818fa4-aa06-4b07-9959-738936ed31a1	2015-11-11 23:25:38.157	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d6aca515-6c6b-4df9-84a9-45bf9b372055	2015-11-11 23:30:38.191	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	2015-11-11 23:35:38.205	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	2015-11-11 23:40:38.214	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	2015-11-11 23:45:38.231	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	2015-11-11 23:50:38.256	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
320f8e42-e636-4fa5-9a79-77d478482ff8	2015-11-11 23:55:38.276	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
305094c2-0710-46dd-ab4e-621a3c04b044	2015-11-12 00:00:38.276	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed59487c-87fc-4829-955c-1ccb57f45eb3	2015-11-12 00:05:38.304	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c3588df-c6fb-40b5-b3c1-0792b11cce29	2015-11-12 00:10:38.29	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
43f87eb7-8fac-4176-bf63-8ea947b4045b	2015-11-12 00:15:38.331	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cdd43a90-cb5a-40d8-abe0-d155521bbf18	2015-11-12 00:20:38.369	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3f3a9b08-16c9-4f17-b807-c947b97e758f	2015-11-12 00:25:38.383	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0e88383-7299-45f8-aa37-3d4e584b887b	2015-11-12 00:30:38.397	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
842d8b6a-9118-4d99-bf91-80639be6ebf3	2015-11-12 00:35:38.438	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b894ec56-70e3-4b3f-9807-a46c7547818e	2015-11-12 00:40:38.442	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a94d9b7e-85ef-44f7-9924-8faac7bfc305	2015-11-12 00:45:38.455	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	2015-11-12 00:50:38.491	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d3650235-0725-4c5e-9445-f82fc4641d09	2015-11-12 00:55:38.511	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	2015-11-12 01:00:38.545	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a7bb8887-fdbb-4fae-ac02-8b395a05903d	2015-11-12 01:05:38.55	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	2015-11-12 01:10:38.585	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
53fd804b-ea06-43fa-b662-f0741233e062	2015-11-12 01:15:38.572	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56fcb43a-98fc-4493-9b04-7153363fc323	2015-11-12 01:20:38.607	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a18ea463-71e6-4c3e-b406-ba3038e605db	2015-11-12 01:25:38.641	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	2015-11-12 01:30:38.664	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
61f7033b-0357-4a1d-9114-05908b20a9de	2015-11-12 01:35:38.673	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
305db680-1a99-48b5-8fb1-7679e3e11f57	2015-11-12 01:40:38.702	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	2015-11-12 01:45:38.707	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	2015-11-12 01:50:38.73	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4376ae59-220b-469d-8f07-f55852cfb6da	2015-11-12 01:55:38.745	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
525e6f10-86c7-428f-b5d4-a653e25e3604	2015-11-12 02:00:38.783	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	2015-11-12 02:05:38.794	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	2015-11-12 02:10:38.819	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
77196ff6-43ea-4e43-b852-19f11277e15d	2015-11-12 02:15:38.849	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6376bdff-9a0a-4961-aae9-ee91bbd160fa	2015-11-12 02:20:38.827	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a5c7c867-e878-4834-828f-92afed43d894	2015-11-12 02:25:38.883	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81b36393-787b-41fc-a540-99d7ac7726c7	2015-11-12 02:30:38.908	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9571f0c0-5b3c-4d25-b4cf-74a40588919d	2015-11-12 02:35:38.915	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0cb59209-5050-45ae-be60-61dac78852b3	2015-11-12 02:40:38.966	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f2731e6-8276-4a9b-96bd-b7a85a566500	2015-11-12 02:45:38.964	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	2015-11-12 02:50:38.961	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e5cf83b-b8e4-4755-9709-7041a90b571b	2015-11-12 02:55:39.007	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	2015-11-12 03:00:39.036	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
231d640a-0b06-4fca-88d2-94354049ac07	2015-11-12 03:05:39.064	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c4e8376-d027-4293-865e-b38b0d585f10	2015-11-12 03:10:39.084	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e6a6901-edde-4514-923b-287c41d053f6	2015-11-12 03:15:39.096	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	2015-11-12 03:20:39.122	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b59a8f07-c60b-49e4-8347-b4372c93c09b	2015-11-12 03:25:39.112	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4acd23f1-abab-4c90-b481-a9c09556251e	2015-11-12 03:30:39.133	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3ff55f01-2544-4949-a915-db1033a5d6a9	2015-11-12 03:35:39.175	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e66f72f-b346-42e2-8433-67acbab87d46	2015-11-12 03:40:39.202	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	2015-11-12 03:45:39.22	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	2015-11-12 03:50:39.24	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
88fecfb4-bed8-4211-a86e-b0c7567e3b41	2015-11-12 03:55:39.264	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	2015-11-12 04:00:39.27	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42af20c1-745e-48e2-8edc-a3c9ddec6137	2015-11-12 04:05:39.297	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	2015-11-12 04:10:39.33	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	2015-11-12 04:15:39.342	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
17fd8c30-f514-48b6-b5fd-033c9d209298	2015-11-12 04:20:39.362	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
90e69438-1b30-4ab8-8037-aa2059bb44af	2015-11-12 04:25:39.388	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	2015-11-12 04:30:39.412	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7941ca18-9e88-4e18-aad1-fb530c04493d	2015-11-12 04:35:39.397	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ff628f0-f796-4dfa-a226-bf8056bdf52b	2015-11-12 04:40:39.45	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	2015-11-12 04:45:39.469	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
de3b0a02-60e2-46a1-8fdb-c05e8011620f	2015-11-12 04:50:39.504	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
846dfc86-a791-40fb-b6e3-e5792cb7f20e	2015-11-12 04:55:39.514	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
673df56f-3b5a-46cc-9f20-14cd9dfd2480	2015-11-12 05:00:39.545	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3452648d-690d-4824-a570-a4607cbf3a1a	2015-11-12 05:05:39.556	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e57e816-c6ec-476c-ad86-56681bb9d124	2015-11-12 05:10:39.546	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c88d164-9613-4326-8a0e-67e72173aa58	2015-11-12 05:15:39.563	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d73142dd-7470-4af3-a42d-c1c9aab5244b	2015-11-12 05:20:39.622	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ac78a716-cf41-4a18-9928-e52e65004827	2015-11-12 05:25:39.633	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a41441b2-53da-4ffa-bfdf-4c4943901ed8	2015-11-12 05:30:39.654	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	2015-11-12 05:35:39.668	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02fd9361-f1ea-481e-8f00-c55457e77614	2015-11-12 05:40:39.702	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
28865efa-9b94-47fc-b2c2-2830084f90f3	2015-11-12 05:45:39.713	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dcd61011-c1b5-4949-80df-5f6acfa477d8	2015-11-12 05:50:40.059	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
04e60874-f993-4271-8109-12fc34a82aba	2015-11-12 05:55:39.732	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5aaf591-01aa-4542-b3b6-e136d24f1c78	2015-11-12 06:00:39.781	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6a0eaecc-b082-4ee8-9f08-981961817a7b	2015-11-12 06:05:39.798	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed39a838-e33f-4af1-86d8-119aedfc75ea	2015-11-12 06:10:39.828	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
405204c4-8f44-4e84-94df-818117841208	2015-11-12 06:15:39.851	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
65df3563-ebe1-4f29-83c4-66ac5337e60d	2015-11-12 06:20:39.855	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	2015-11-12 06:25:39.88	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
21b154f2-ff69-4342-94dc-314ce2c80eaa	2015-11-12 06:30:39.849	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ade7297-b662-4520-b880-f1a2c78d7eed	2015-11-12 06:35:39.917	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3eba861-7fde-4994-a976-c53077a17497	2015-11-12 06:40:39.952	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c7d6da4b-7251-44f4-8878-953d8a4b18bc	2015-11-12 06:45:39.966	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	2015-11-12 06:50:39.988	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3aff2283-3c1a-4f54-812f-9237292e6a05	2015-11-12 06:55:39.999	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c7436be0-4a74-4342-a0c6-80036abe9eda	2015-11-12 07:00:40.006	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
131b0526-ae76-454b-b088-b5f0ce0af526	2015-11-12 07:05:40.039	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f07cb780-287b-416d-b67e-0bbdc543605a	2015-11-12 07:10:40.063	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ed88220-7aac-4fb0-8018-2008e3c63c13	2015-11-12 07:15:40.078	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0b8d7e1-896a-4e08-8255-642ca412ea3d	2015-11-12 07:20:40.118	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
50b2018b-f759-401f-97a1-f6561e7c3489	2015-11-12 07:25:40.113	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e81bf804-b0cf-41d1-9dc7-160fb419b584	2015-11-12 07:30:40.139	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ca7703e-306f-419e-a386-a32776a2c86a	2015-11-12 07:35:40.126	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	2015-11-12 07:40:40.177	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	2015-11-12 07:45:40.188	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2dc26eb2-0fab-43f7-ab19-674665a1a115	2015-11-12 07:50:40.218	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5cde33c0-102a-4587-905e-f7def8f8ce19	2015-11-12 07:55:40.232	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	2015-11-12 08:00:40.249	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5a17703d-6766-4a51-a8eb-9a613eaaf02b	2015-11-12 08:05:40.265	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b65e23ea-7be2-4fcf-b257-ff6d18473445	2015-11-12 08:10:40.237	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	2015-11-12 08:15:40.303	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4c57767-1276-4b0b-8952-48fc192c5305	2015-11-12 08:20:40.323	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d6404a58-3402-4780-9fda-8f222dda781e	2015-11-12 08:25:40.328	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
96a95ce4-1455-441e-9bad-043537729c85	2015-11-12 08:30:40.352	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	2015-11-12 08:35:40.39	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
beaeee57-45b1-4641-a3c0-9d7f683f226d	2015-11-12 08:40:40.377	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
29058f92-853f-475c-94f0-7d8c65e6d6c6	2015-11-12 08:45:40.376	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
edae09b1-1d31-4aeb-bb5a-d151eccade4f	2015-11-12 08:50:40.405	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	2015-11-12 08:55:40.443	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
83652113-bcd5-4be2-99a8-66738344d126	2015-11-12 09:00:40.469	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e0447e29-dedd-43b1-9c8c-10df1fdb351b	2015-11-12 09:05:40.501	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	2015-11-12 09:10:40.532	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8b28236a-617b-45f0-8662-f60df849c642	2015-11-12 09:15:40.541	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	2015-11-12 09:20:40.573	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
503149a3-a550-4675-a93b-12c5693e0360	2015-11-12 09:25:40.607	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5bcb811-27a1-44e9-81e6-e940718ce4e8	2015-11-12 09:30:40.625	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dfa33a20-249a-4e11-b7aa-a41f18346181	2015-11-12 09:35:40.652	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ab21b15-d797-4fcc-beed-5b6b057f61a9	2015-11-12 09:40:40.671	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
93b269fd-6a6f-4cde-a8d0-a22545bffddf	2015-11-12 09:45:40.68	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d260d4f-3e5e-4f68-b74d-567e0739bafc	2015-11-12 09:50:40.704	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
65fc6422-8f81-47d1-8ffe-7a92603a3a66	2015-11-12 09:55:40.718	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
afc01e46-f26c-4e8c-9da0-5738352da536	2015-11-12 10:00:40.744	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd956c05-fdfa-4587-84f0-782c2e6203b5	2015-11-12 10:05:40.766	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
95d115a8-7171-4969-b61c-35a566febc92	2015-11-12 10:10:40.779	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	2015-11-12 10:15:40.793	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ba50639-7224-4fbd-9f9d-a5ede67b1818	2015-11-12 10:20:40.789	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
61da6ab5-c6c0-4535-af79-6828698695ae	2015-11-12 10:25:40.863	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
60109b49-af6c-40eb-bf95-2cf42fb1d277	2015-11-12 10:30:40.864	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6af5abfa-21fa-4746-8c54-363695ca8432	2015-11-12 10:35:40.89	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7be216cc-fb61-46ca-9712-53e6109ec4cd	2015-11-12 10:40:40.904	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d60679c4-d73e-4230-960a-a962d95a76e0	2015-11-12 10:45:40.93	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a4fd8743-765e-4f52-b038-fb452bd6350c	2015-11-12 10:50:40.964	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1d141fca-9ff2-47e4-a851-828a1133ff0d	2015-11-12 10:55:40.974	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	2015-11-12 11:00:40.977	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7254ba24-7d80-4994-8f14-769a4ec916ea	2015-11-12 11:05:40.963	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	2015-11-12 11:10:41.059	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89291085-c0f1-4c5d-a828-922a3cc3f5d9	2015-11-12 11:15:41.059	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dc04b489-4153-4367-8fb8-3d9f474cf58d	2015-11-12 11:20:41.076	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
07bd7603-a993-4d5f-a6d2-554701165be8	2015-11-12 11:25:41.09	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ca899cab-301e-4004-8370-14b39252904a	2015-11-12 11:30:41.122	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da095db4-ba78-414e-b13a-9756c3573380	2015-11-12 11:35:41.142	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	2015-11-12 11:40:41.161	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	2015-11-12 11:45:41.149	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	2015-11-12 11:50:41.16	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b131e5d5-1e3f-4e11-bd14-f52bed027e27	2015-11-12 11:55:41.183	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	2015-11-12 12:00:41.202	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	2015-11-12 12:05:41.213	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	2015-11-12 12:10:41.231	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	2015-11-12 12:15:41.232	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	2015-11-12 12:20:41.271	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4f4517d-d58f-4299-af7e-15f30212b296	2015-11-12 12:25:41.286	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	2015-11-12 12:30:41.317	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5c7f2ced-4e21-466b-973d-4c3d64f3d498	2015-11-12 12:35:41.337	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a1fd6dbf-b185-49c3-879e-52819a89b957	2015-11-12 12:40:41.359	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c92ab77-66ba-4026-a486-d0942d40dccd	2015-11-12 12:45:41.369	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6696829f-3428-4239-8f14-ab67d047ffea	2015-11-12 12:50:41.395	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	2015-11-12 12:55:41.412	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f487cf06-40d2-464f-ba52-22b01b51c886	2015-11-12 13:00:41.446	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a719daa-6194-4ba9-a674-c1173db6b3f5	2015-11-12 13:05:41.452	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1a376a72-9e83-4970-9aa8-543cb6fee1d3	2015-11-12 13:10:41.475	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db9d31ac-2dac-4412-9206-430de7be1501	2015-11-12 13:15:41.506	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	2015-11-12 13:20:41.531	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1a8e779-3482-46db-965c-f4775c5f7476	2015-11-12 13:25:41.538	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	2015-11-12 13:30:41.566	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3f8aa528-b23d-4498-8b5a-c929afd77bf1	2015-11-12 13:35:41.541	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ad481d83-58d7-40e7-874e-08843bd20fc5	2015-11-12 13:40:41.607	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
86d14430-df42-4587-85b1-fd86caf24bee	2015-11-12 13:45:41.621	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	2015-11-12 13:50:41.646	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	2015-11-12 13:55:41.652	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da65e2cc-8649-4b39-94cf-40621febf4e7	2015-11-12 14:00:41.68	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	2015-11-12 14:05:41.702	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b430d2b-5d85-47be-95a5-6f895337a144	2015-11-12 14:10:41.682	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
57c435de-5ab9-4448-bb68-bada1b2cd148	2015-11-12 14:15:41.74	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
20d256e0-81ad-4d18-9078-fc1baadeeec4	2015-11-12 14:20:41.756	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9326d816-2faa-4ed1-a363-ff052962e83e	2015-11-12 14:25:41.779	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
35925ef2-6ffd-4542-bde7-41be8bfb19b6	2015-11-12 14:30:41.812	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	2015-11-12 14:35:41.821	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
53f17886-c690-4ae1-9dae-14e986b09cfb	2015-11-12 14:40:41.846	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
77054adb-77a4-4e06-b699-0c1e26f345cd	2015-11-12 14:45:41.833	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ecf0c63-964b-46fd-8820-c62d561cf27c	2015-11-12 14:50:41.885	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
59d62b0b-7eb1-425b-9007-6652cc840f15	2015-11-12 14:55:41.912	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3a1c5b41-9676-4408-90fa-82913149c722	2015-11-12 15:00:41.927	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eef89eb6-c0be-48e7-a232-de1d8650c984	2015-11-12 15:05:41.952	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
194dbfa0-c597-46a9-a495-b0b47811fef8	2015-11-12 15:10:41.971	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3974454f-b85e-469c-9473-c8ecd0866176	2015-11-12 15:15:41.995	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
55b218de-830f-4b12-a787-e0379d017154	2015-11-12 15:20:42.03	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
90163210-b1dc-407d-a75c-ffeab3934181	2015-11-12 15:25:42.045	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f87ea335-90ed-421c-b787-51cc6cc54da7	2015-11-12 15:30:42.062	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3247529c-df2e-45dc-b279-bff6e403186e	2015-11-12 15:35:42.079	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aed40239-853d-4b0a-8fdb-1244217b1591	2015-11-12 15:40:42.078	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56e10093-c342-495a-9bd3-16705523b74f	2015-11-12 15:45:42.125	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
984fef33-6b99-4c43-bba6-79d13b80a60e	2015-11-12 15:50:42.152	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4531ef80-5306-4dc4-a132-a55ca0435bd5	2015-11-12 15:55:42.182	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4a34ee01-ed96-4af2-9b18-f95fbcb49827	2015-11-12 16:00:42.208	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	2015-11-12 16:05:42.202	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
40884e60-7c91-49aa-81c3-bdff2a09bb4c	2015-11-12 16:10:42.213	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c70dc9e5-f3b9-4131-933c-4883b434eeec	2015-11-12 16:15:42.208	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79f01683-fe89-46e9-907b-2687acfaf81b	2015-11-12 16:20:42.22	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	2015-11-12 16:25:42.283	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ba136cf-1029-4248-811d-092659ce54eb	2015-11-12 16:30:42.3	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
070adda4-4c66-4fc5-bc55-3e9b7d074a33	2015-11-12 16:35:42.321	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c432d4e3-f7c1-456d-896b-e75942def26a	2015-11-12 16:40:42.359	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	2015-11-12 16:45:42.368	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	2015-11-12 16:50:42.4	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	2015-11-12 16:55:42.42	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
01c53f36-6eb7-417c-8d0a-a05c73118d31	2015-11-12 17:00:42.429	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c72241ee-e528-477b-985a-816531a1b3fe	2015-11-12 17:05:42.46	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
121fd56d-3b71-4002-b3c8-6425d65aedb2	2015-11-12 17:10:42.471	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8c8159c1-0e65-48f1-aa30-10e88a411a90	2015-11-12 17:15:42.481	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11386546-5a88-409d-88f1-9b7612eb5d39	2015-11-12 17:20:42.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a4222b3-4f68-47db-9641-32267bd3208e	2015-11-12 17:25:42.508	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	2015-11-12 17:30:42.546	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
976175d0-d4e7-4cd5-953f-8148c9e2d468	2015-11-12 17:35:42.566	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3724769a-b48f-41b5-8d87-3374154a7f73	2015-11-12 17:40:42.574	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d291f1b2-993f-4ee6-81a3-decf689ee010	2015-11-12 17:45:42.612	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	2015-11-12 17:50:42.61	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8b5b0aff-950d-44ca-8925-9530668d86c4	2015-11-12 17:55:42.604	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
083f8dec-6095-4a55-b293-db1207af1ee5	2015-11-12 18:00:42.662	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	2015-11-12 18:05:42.691	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	2015-11-12 18:10:42.699	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	2015-11-12 18:15:42.733	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e50f59d1-8a5c-4c03-8e86-adff377a06a6	2015-11-12 18:20:42.74	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c768e616-9d7b-4c31-b09d-26b3682f2a9d	2015-11-12 18:25:42.742	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	2015-11-12 18:30:42.779	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	2015-11-12 18:35:42.793	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cf8bdd00-2807-45d6-8136-e466bedb7c20	2015-11-12 18:40:42.809	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
83ea82a2-7b48-417b-8c94-19935eb9306e	2015-11-12 18:45:42.837	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	2015-11-12 18:50:42.864	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	2015-11-12 18:55:42.885	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a52ae403-a05f-42cc-9901-68f672965bb7	2015-11-12 19:00:42.918	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89a2a810-9bac-40bc-ad2e-286fa360db96	2015-11-12 19:05:42.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fc38ada2-cc30-4539-bbdb-c9e656761ca3	2015-11-12 19:10:42.944	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
10ac455e-d96a-489d-afc0-1712be5ad85c	2015-11-12 19:15:42.957	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8348698-019a-4acf-949b-964ab939c9ba	2015-11-12 19:20:42.964	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48506785-1d62-4db9-bda1-8dd2127e61b2	2015-11-12 19:25:42.995	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
822b9177-016d-41c8-9567-ce349cd45bdc	2015-11-12 19:30:43.025	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
adb58405-7803-4117-a471-4b3dce6697f4	2015-11-12 19:35:43.042	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e7de96c7-3cbe-4004-9af4-816f46bbd623	2015-11-12 19:40:43.341	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
76bc9291-20a1-4eba-9e73-8144588ce29e	2015-11-12 19:45:43.076	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	2015-11-12 19:50:43.093	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a1a928c0-9b57-4d92-924f-98cd4985cd9b	2015-11-12 19:55:43.113	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9c4ab405-5fa3-459d-999f-67b544ba8a5b	2015-11-12 20:00:43.134	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6845f626-0627-4599-9fd4-810337aaa3e0	2015-11-12 20:05:43.174	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	2015-11-12 20:10:43.189	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c7017d32-7e3b-4861-b121-6d2f62302aa9	2015-11-12 20:15:43.189	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
29344df8-ab21-4b82-ab06-4a29b9a06870	2015-11-12 20:20:43.211	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
789e1543-d549-427b-81ea-caf16d85b736	2015-11-12 20:25:43.209	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
12e55a45-77a4-481e-a9af-3149341dcb1d	2015-11-12 20:30:43.253	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a822bd55-cdd7-427b-9feb-5ad30031dc9d	2015-11-12 20:35:43.277	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	2015-11-12 20:40:43.305	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
154bbba0-7a19-4cd7-aa5d-7f52687116b9	2015-11-12 20:45:43.324	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a3247dc3-76b3-43ff-bf17-33b2996e83ac	2015-11-12 20:50:43.333	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
715bed93-7770-44de-9f2b-e74bb33ddf3c	2015-11-12 20:55:43.321	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f308863f-0834-4efa-a896-f4ed2244b9d8	2015-11-12 21:00:43.379	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
76de25eb-83f7-4213-86a0-d525e39d7db5	2015-11-12 21:05:43.376	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
71ec1651-8e2b-41af-8cd1-912ae618d453	2015-11-12 21:10:43.421	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
735733a7-ecd0-4be2-8d04-92ca8b20d315	2015-11-12 21:15:43.416	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b9fff082-3c89-40fe-b42e-cefcfce92864	2015-11-12 21:20:43.425	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15b8b0dc-43d8-49eb-b914-f89b9da71357	2015-11-12 21:25:43.471	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6910981b-365e-42dc-82c2-192b2080be95	2015-11-12 21:30:43.483	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b656e6da-edf8-40a7-aec9-832382cd7b38	2015-11-12 21:35:43.515	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
868505d2-ebe3-4a64-abb6-7606d06f73cd	2015-11-12 21:40:43.539	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e151d6d4-bc30-4a4b-8537-c926773f2ef7	2015-11-12 21:45:43.558	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
449a4eaf-5890-495b-8ec2-cbfeac8c9301	2015-11-12 21:50:43.593	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7534f661-e244-4082-bfc4-ef62c0f031d2	2015-11-12 21:55:43.62	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	2015-11-12 22:00:43.624	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c304310b-262b-473e-8731-937881307018	2015-11-12 22:05:43.646	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7cc1af79-5c44-49bc-819b-9eb45c7b5118	2015-11-12 22:10:43.666	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
113fa189-04ea-4808-9c0a-a210b2c7fe4f	2015-11-12 22:15:43.653	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0ccd41ff-2fe0-4045-876f-3332176119ec	2015-11-12 22:20:43.703	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	2015-11-12 22:25:43.722	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
426eff6e-8b8c-4ce2-b686-c3d3e0054606	2015-11-12 22:30:43.75	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
278a7820-a57d-485b-bdb1-ec3c5ae755da	2015-11-12 22:35:43.784	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	2015-11-12 22:40:43.796	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	2015-11-12 22:45:43.792	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c0f15f4-48cd-4582-b065-dc7916dcda47	2015-11-12 22:50:43.846	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	2015-11-12 22:55:43.846	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	2015-11-12 23:00:43.874	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5e963f2f-69be-4394-bbfa-4be47f7f955c	2015-11-12 23:05:43.89	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4c47272-b608-43b7-8d51-762946f26b17	2015-11-12 23:10:43.902	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ffa06a96-1e43-4188-b424-af24a1f8d6e9	2015-11-12 23:15:43.935	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	2015-11-12 23:20:43.963	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
309a1d71-55f2-4926-b324-538f0b794f25	2015-11-12 23:25:43.982	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	2015-11-12 23:30:44.008	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
82fc209a-e65b-4391-8e60-50a9e97ee1d4	2015-11-12 23:35:44.019	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	2015-11-12 23:40:44.05	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b267682-a364-4d15-b8b0-def0afb2b07c	2015-11-12 23:45:44.062	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c6ad6c18-c234-41e5-8568-691be0c21a31	2015-11-12 23:50:44.068	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cbe55d18-dc20-4433-9708-2c2d1a1def3c	2015-11-12 23:55:44.108	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6e131ac2-6702-4dc4-8a35-9e760875456e	2015-11-13 00:00:44.126	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ee9985d8-1fbf-4fdf-9edb-e905b2678498	2015-11-13 00:05:44.148	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5c047f6-0804-4a89-9e5e-ee6713ed258c	2015-11-13 00:10:44.176	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b1779a88-c6b7-4d89-b055-05abd95f574a	2015-11-13 00:15:44.153	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c85cf3db-5fe5-4393-866f-420b4eacf21c	2015-11-13 00:20:44.225	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b9a3871-925d-448d-b86e-fd137909cfd8	2015-11-13 00:25:44.226	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd739fda-53b0-4800-ad5f-e9af4c4e449e	2015-11-13 00:30:44.254	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed359ab1-fcb6-40ce-803e-74390f10bcff	2015-11-13 00:35:44.263	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
475ddc17-278d-4c37-bfa6-ac927f762521	2015-11-13 00:40:44.302	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45caea72-32f1-4e8d-b448-fe0139c1b597	2015-11-13 00:45:44.304	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
06749037-54ee-4f75-b5ba-31b1fc879999	2015-11-13 00:50:44.327	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98558a95-2fc7-41ff-9f93-9d6ed816197c	2015-11-13 00:55:44.313	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	2015-11-13 01:00:44.36	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	2015-11-13 01:05:44.384	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
88617a71-02e9-4c78-b2c6-26c07d5a5b08	2015-11-13 01:10:44.397	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	2015-11-13 01:15:44.423	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c97667a-52b6-4c1e-8bd3-8d4720f060da	2015-11-13 01:20:44.453	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d52b299a-971e-409d-a3fd-376f2d7d9646	2015-11-13 01:25:44.476	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
61c1a631-ede3-49bc-9a93-e9261f263cec	2015-11-13 01:30:44.455	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ce9f38bb-b749-4342-af88-e4e6f9f37d89	2015-11-13 01:35:44.516	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ac15c33-ec65-4b17-a94d-3ace201d750e	2015-11-13 01:40:44.533	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
884f3195-9b8a-47a5-a18a-4303907bbfb7	2015-11-13 01:45:44.552	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02ee2c63-0b60-4697-893a-62aa7059c6da	2015-11-13 01:50:44.583	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
91368bcf-9370-49fa-98a8-d13437298666	2015-11-13 01:55:44.596	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	2015-11-13 02:00:44.589	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b327799-1213-49f2-9920-1066b4edc687	2015-11-13 02:05:44.658	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
28327dbd-8f87-4567-8a80-2c3e4c18d297	2015-11-13 02:10:44.678	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ca21df73-295d-4e7e-909c-d2aad4dc915a	2015-11-13 02:15:44.681	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85f66761-a1f5-4509-8296-438f62457c13	2015-11-13 02:20:44.705	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
422cd143-9b77-44d2-a29f-2b25da02888e	2015-11-13 02:25:44.713	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d158c63-7139-4fe9-8cad-716d976103f9	2015-11-13 02:30:44.746	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c000d7be-004b-429d-9ded-4a19b9a6305a	2015-11-13 02:35:44.752	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
291e01ba-46be-4108-80bf-19c30c69fd7b	2015-11-13 02:40:44.794	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	2015-11-13 02:45:44.821	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e6eab2a5-32b5-4f4e-8e58-1572e976d221	2015-11-13 02:50:44.826	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3139ea4c-59c9-4589-bb8c-0145257a628b	2015-11-13 02:55:44.854	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	2015-11-13 03:00:44.869	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4af4b16-639b-4d71-97bc-77f4a7f0b693	2015-11-13 03:05:44.888	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ac0772ba-de71-4c48-a48c-eec6c47643e4	2015-11-13 03:10:44.878	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9d40dfa-b7f1-40f6-ade9-f465712376fb	2015-11-13 03:15:44.934	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9088922c-1a7f-42b4-b8fb-064c713bd7db	2015-11-13 03:20:44.949	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7f770a2f-8b7a-4af5-a854-8e98b850ca39	2015-11-13 03:25:44.974	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0fd03023-6796-4932-8e33-129b37f176d9	2015-11-13 03:30:45.028	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
403aea2f-c303-4591-89cb-bc533add9c76	2015-11-13 03:35:45.013	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9769d70-bae5-48e4-9f3d-ec23d137ce11	2015-11-13 03:40:45.022	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3b135ed3-6c84-450c-9716-34e8cf5a910b	2015-11-13 03:45:45.056	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f0f83a5b-e8c2-40c9-a640-e4d082a66782	2015-11-13 03:50:45.076	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fb55d124-b1d5-43df-a886-71f9848813d5	2015-11-13 03:55:45.115	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7b1982a9-00ec-495e-bcad-14b0e90a63fd	2015-11-13 04:00:45.123	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
22891b61-2886-4203-b013-f8bd142a0c35	2015-11-13 04:05:45.133	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
572b4aaa-729b-4848-8f84-2a2310931fa7	2015-11-13 04:10:45.152	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5201f0ff-8751-4620-8fcc-1c51782f2785	2015-11-13 04:15:45.198	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
997e7fcb-6474-4b10-a5a7-94d5646a2670	2015-11-13 04:20:45.194	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
97e426bd-f26a-49cb-b623-a2015dc655d7	2015-11-13 04:25:45.217	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	2015-11-13 04:30:45.247	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d622b801-add1-4dbe-b921-ec962130ff54	2015-11-13 04:35:45.274	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b05d2d67-778c-48c8-b081-bfccc53f0069	2015-11-13 04:40:45.295	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	2015-11-13 04:45:45.295	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
88199238-a943-4e4e-ae7a-0145806dc623	2015-11-13 04:50:45.327	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aebcb6ec-abaf-4b02-ab77-aca845049471	2015-11-13 04:55:45.341	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	2015-11-13 05:00:45.367	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81e06b70-0d76-41b5-a43b-5259539c549f	2015-11-13 05:05:45.358	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df7ea72b-e656-4d92-8750-a5af0f008662	2015-11-13 05:10:45.362	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
643fa7a4-8c5f-4030-85d4-af7c421d124d	2015-11-13 05:15:45.41	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f6079a41-66f2-4c3a-badf-b668eefc342f	2015-11-13 05:20:45.424	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c423cf14-b5c7-4af5-af67-8ad342f9bca6	2015-11-13 05:25:45.448	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e8d680b8-c37f-4b8f-b112-10d54cb52b57	2015-11-13 05:30:45.472	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d804a19d-c18a-40a3-8b81-a375258742fe	2015-11-13 05:35:45.782	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d47314c-1035-45e3-9e9e-0456a4008278	2015-11-13 05:40:45.505	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	2015-11-13 05:45:45.527	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92ea4e25-e088-4904-a334-1e832eb7f21f	2015-11-13 05:50:45.536	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
33f12ac8-8434-4794-9baf-1702e2664bb3	2015-11-13 05:55:45.577	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1bed0ec7-4d03-4940-948d-d3667b94b0f1	2015-11-13 06:00:45.592	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	2015-11-13 06:05:45.63	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	2015-11-13 06:10:45.641	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f038e2ab-5237-4e0e-b2dd-6993a39f7821	2015-11-13 06:15:45.658	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a6e5da31-74c9-4f91-a509-c2ba14e5595c	2015-11-13 06:20:45.679	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	2015-11-13 06:25:45.705	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb2c12b2-b88b-4a87-8643-1f7a42412c06	2015-11-13 06:30:45.725	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	2015-11-13 06:35:45.74	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	2015-11-13 06:40:45.766	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
23cea875-0383-484e-8244-ddcd64b9796c	2015-11-13 06:45:45.775	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
07544798-bc32-4f7c-ac81-8679a694572a	2015-11-13 06:50:45.814	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	2015-11-13 06:55:45.824	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d05a70cc-39d9-43a6-8abf-cebba02237fd	2015-11-13 07:00:45.842	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
91d916eb-0e49-4125-a54f-1e93d4161631	2015-11-13 07:05:45.861	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38a0da5d-046b-41d0-8cfe-ae1009df2c56	2015-11-13 07:10:45.879	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a86365a9-eae4-45b3-a79c-3aee16809ec2	2015-11-13 07:15:45.906	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba52997d-e800-4413-8837-828e181558ed	2015-11-13 07:20:45.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	2015-11-13 07:25:45.927	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
06105adf-8120-4074-be45-0e33c7690fbc	2015-11-13 07:30:45.972	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2e2ea918-0dfd-4285-ab15-39732337a69b	2015-11-13 07:35:46.001	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1a448a5f-826c-4f9a-acb5-0952985d1b22	2015-11-13 07:40:46.019	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
245f1de5-e679-4e0c-ac2d-94948f75ed32	2015-11-13 07:45:46.037	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	2015-11-13 07:50:46.066	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
55a0fcdc-90c6-4c88-9e87-d3627060b93b	2015-11-13 07:55:46.083	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b05079c-577b-438a-aa3e-f24735cec560	2015-11-13 08:00:46.107	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
996ce8a1-c03f-41ce-97d5-21c010482e78	2015-11-13 08:05:46.146	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4f2132a2-c671-4ce4-ac06-d753d7a5c639	2015-11-13 08:10:46.155	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
68f33993-1d07-4f01-ac0e-67137c673329	2015-11-13 08:15:46.17	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	2015-11-13 08:20:46.19	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9b859bb-0ff9-4513-8912-2b476601add0	2015-11-13 08:25:46.213	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fadf3a8c-7bb8-4c64-a482-dc56ee140620	2015-11-13 08:30:46.236	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	2015-11-13 08:35:46.263	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	2015-11-13 08:40:46.285	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	2015-11-13 08:45:46.301	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
071d92ce-1dee-42b1-96fd-7c769ebfe23c	2015-11-13 08:50:46.272	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea3607b4-057c-497a-a7c0-64937c586197	2015-11-13 08:55:46.323	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bc5d2c46-a1bd-4966-9f2b-70af46f17150	2015-11-13 09:00:46.359	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f4294b32-e8ac-40d9-b184-1f576cac2631	2015-11-13 09:05:46.376	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	2015-11-13 09:10:46.408	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
000d900e-179d-4e59-87fb-38832e153bac	2015-11-13 09:15:46.435	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
04cca02d-dd00-4285-b80f-f3c10c358c94	2015-11-13 09:20:46.431	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ba925f5-8625-4f0b-828b-aa5d895bc880	2015-11-13 09:25:46.476	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
91757b80-8be6-4d7e-aabe-5032026c5da6	2015-11-13 09:30:46.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d48b0e68-363c-4f88-956e-6938eec0a1bc	2015-11-13 09:35:46.467	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
20fa3fc3-f3d7-4568-bf26-47a38f68c611	2015-11-13 09:40:46.519	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	2015-11-13 09:45:46.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db0afa5b-301f-4da3-bb75-31393c19a24d	2015-11-13 09:50:46.551	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5239506a-544d-4e92-80bf-c172ade29e9a	2015-11-13 09:55:46.568	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb864638-afd7-47d4-8140-ebfab8a437d1	2015-11-13 10:00:46.586	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f43e2a30-b0d3-4ff7-aed3-06870907e155	2015-11-13 10:05:46.617	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	2015-11-13 10:10:46.631	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d3bffd88-b2e4-40d9-8603-148d9ee830c9	2015-11-13 10:15:46.658	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	2015-11-13 10:20:46.685	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	2015-11-13 10:25:46.7	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	2015-11-13 10:30:46.738	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
77774563-9c41-4bab-98cc-aea4c85a23ba	2015-11-13 10:35:46.751	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da5b8321-f907-449a-8388-d2e4a6326cd2	2015-11-13 10:40:46.763	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
931ec4fb-2be8-4439-abea-ffbf8ee185e1	2015-11-13 10:45:46.799	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1cc78d92-6871-4d16-80e1-46e5f015bc1d	2015-11-13 10:50:46.83	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c77d7a76-2255-4574-b656-666b6a73bef3	2015-11-13 10:55:46.84	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aee35622-044e-4a42-9355-155fdc5c6fa1	2015-11-13 11:00:46.866	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
74836f86-4063-4a01-8015-12fc07b80bf1	2015-11-13 11:05:46.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
14d6bb81-aa92-4e2a-a361-ffdc7c224685	2015-11-13 11:10:46.905	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
62f11aec-c574-407e-9b4c-09d986c93074	2015-11-13 11:15:46.935	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45b37c7e-5116-4456-b22e-7bdc0d33332a	2015-11-13 11:20:46.938	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0df774f-1589-47fe-a1e8-f3a59608706d	2015-11-13 11:25:46.973	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e17c088-7bd2-4c91-a72c-ca76ff84db89	2015-11-13 11:30:46.99	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3b1bf27-7902-43db-946f-fdda5304d6d3	2015-11-13 11:35:47.013	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ca81abe-d952-444b-9794-64856f4ae84e	2015-11-13 11:40:47.031	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fddd2f95-a91d-49e7-9a23-5551655064bd	2015-11-13 11:45:47.056	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b6b73817-7140-4042-8298-d35aba670c79	2015-11-13 11:50:47.042	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c5d5d774-5574-4726-b332-c0ffbc1e3325	2015-11-13 11:55:47.094	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8db78af5-9e15-4da2-8830-072582e0ce7e	2015-11-13 12:00:47.112	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da40ddcb-df2b-43c3-8a86-2859291742df	2015-11-13 12:05:47.472	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	2015-11-13 12:10:47.153	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
72da562c-1623-49cf-80e9-e98df60a9650	2015-11-13 12:15:47.17	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	2015-11-13 12:20:47.192	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	2015-11-13 12:25:47.174	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5ae459c1-00bb-449b-9948-0697dc0c2ed9	2015-11-13 12:30:47.253	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	2015-11-13 12:35:47.254	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	2015-11-13 12:40:47.28	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
62302868-e29e-4f7f-b5ef-5ed382756d72	2015-11-13 12:45:47.301	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49435b24-6323-48cb-a5e2-4fa24b183393	2015-11-13 12:50:47.337	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
46608396-eb0d-4ecc-8a66-49d39c428150	2015-11-13 12:55:47.348	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
634d87ac-dfa6-462d-a460-c3ad3956b342	2015-11-13 13:00:47.371	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da53ad80-559d-4e08-8a66-87a8183460fd	2015-11-13 13:05:47.39	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	2015-11-13 13:10:47.42	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c82c3f39-54eb-47f5-8225-0f004fce8ab5	2015-11-13 13:15:47.436	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
df015a97-8de2-4a8f-9596-b4080226c586	2015-11-13 13:20:47.472	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	2015-11-13 13:25:47.448	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a22077cf-eb0c-4397-b820-7b3c9b90718c	2015-11-13 13:30:47.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
203efa4a-a298-4cdc-9167-10b3c7e96214	2015-11-13 13:35:47.521	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cfb928a6-bf88-401f-aea9-70d239476500	2015-11-13 13:40:47.476	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
20e733b6-cf84-492b-8ddc-5e8571810e54	2015-11-13 13:45:47.561	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
818e8eae-0a11-4f27-a881-e6f74ef8cf42	2015-11-13 13:50:47.582	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba548a32-25cd-4141-bfb7-133b6ceabe8e	2015-11-13 13:55:47.596	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
87ff3490-3fed-4e72-a80d-7ca3833f10f3	2015-11-13 14:00:47.619	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	2015-11-13 14:05:47.631	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c5fc297e-5f30-40de-8477-49097bb27958	2015-11-13 14:10:47.649	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	2015-11-13 14:15:47.667	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7850eb15-40c8-419c-985d-8ebe59b9f8c5	2015-11-13 14:20:47.685	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b66db490-989f-41ac-ad75-7748813a3c1e	2015-11-13 14:25:47.721	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02220e88-21a8-4f82-be27-1dc496d4e9dc	2015-11-13 14:30:47.748	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ad493574-9b34-44c0-8102-a5a6e782f5c0	2015-11-13 14:35:47.765	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5645b540-0e18-4978-b204-dc3ec5b297a8	2015-11-13 14:40:47.778	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	2015-11-13 14:45:47.808	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ee7c8490-c6ed-4fae-985e-d84deb4437a7	2015-11-13 14:50:47.82	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
558a832c-ed53-4edf-bf37-98c9dcb2eceb	2015-11-13 14:55:47.84	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	2015-11-13 15:00:47.872	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a4827c1d-44d3-4f81-9720-89cb957534b6	2015-11-13 15:05:47.855	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	2015-11-13 15:10:47.892	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	2015-11-13 15:15:47.918	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
66ea2a6a-9f7b-4172-955b-8eff1ae83702	2015-11-13 15:20:47.941	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
17d66376-0a54-4fca-b05b-b118ede00bd7	2015-11-13 15:25:47.948	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2d5572a1-e301-4690-b5a4-01481e535fe8	2015-11-13 15:30:47.982	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2194974e-8bec-41da-a910-8d4eb976cdf8	2015-11-13 15:35:47.999	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
66b3db82-d0e7-4e00-b6b1-a5d75159598a	2015-11-13 15:40:47.976	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	2015-11-13 15:45:48.05	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b70000c6-f583-4052-a0e2-5cf1caac8536	2015-11-13 15:50:48.053	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c2336c1c-c45f-4a60-9493-aacf16f2cad5	2015-11-13 15:55:48.061	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4dfe8397-c2b5-411f-b4ec-556d312f30bb	2015-11-13 16:00:48.094	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6705c6a4-8363-41cd-a5e6-883eba615a83	2015-11-13 16:05:48.103	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
307817bb-bf3d-4650-a69f-2634aadc8f7b	2015-11-13 16:10:48.097	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	2015-11-13 16:15:48.129	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	2015-11-13 16:20:48.734	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	2015-11-13 16:25:48.182	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	2015-11-13 16:30:48.204	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	2015-11-13 16:35:48.211	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4fa0cccc-75fe-43d5-9386-a166aa4afc16	2015-11-13 16:40:48.233	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eeaac13d-f3c8-45d7-a248-61333b90d834	2015-11-13 16:45:48.243	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	2015-11-13 16:50:48.266	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db83189d-3f4a-4273-857f-ad5dbefe4510	2015-11-13 16:55:48.335	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
547e9a27-0a29-4727-a854-a67a3b93c1ba	2015-11-13 17:00:48.292	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
74087c20-4afb-455c-81f7-2c39b37b45c5	2015-11-13 17:05:48.339	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0cae6242-7984-47eb-9a41-203a531d3542	2015-11-13 17:10:48.365	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
73fdea22-ade3-4063-a7fd-08f879585846	2015-11-13 17:15:48.37	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7133b221-f006-46d3-be40-947c319d5801	2015-11-13 17:20:48.398	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1e868798-a9c9-4493-9e9c-c7116b1b0a46	2015-11-13 17:25:48.428	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3541f49f-296b-43b8-a29c-2efc64ee63df	2015-11-13 17:30:48.439	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
037a4335-5051-4456-ab70-fc592ef6832e	2015-11-13 17:35:48.428	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4bd53262-0534-45bd-a294-8f32882b7754	2015-11-13 17:40:48.48	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4ba4dcc8-1373-49da-a637-46f89cb31162	2015-11-13 17:45:48.5	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	2015-11-13 17:50:48.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f059f5d6-5b0e-41f0-9fe3-8083c234d373	2015-11-13 17:55:48.551	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94032204-1b49-4f0a-8dbd-e6eb25c47f97	2015-11-13 18:00:48.57	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ac8759c5-996b-45c3-b1a1-4af78a0a491e	2015-11-13 18:05:48.579	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2cf419f5-ec34-45c6-bb1f-de7f814ab806	2015-11-13 18:10:48.604	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5f84ea88-a261-4186-959e-23cc83835df0	2015-11-13 18:15:48.665	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	2015-11-13 18:20:48.615	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
262c3c9a-38ee-4448-8e3f-8039a2259049	2015-11-13 18:25:48.677	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	2015-11-13 18:30:48.703	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	2015-11-13 18:35:48.713	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	2015-11-13 18:40:48.746	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3835bcda-94c5-4fc9-b130-cf001805aa6b	2015-11-13 18:45:48.764	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	2015-11-13 18:50:48.779	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
76badb8e-bc20-4ddc-b648-8b2502b480f2	2015-11-13 18:55:48.785	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	2015-11-13 19:00:48.813	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
308a841a-203a-48f5-a674-32ea63bb3c16	2015-11-13 19:05:48.842	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	2015-11-13 19:10:48.856	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ce6ea705-7271-405a-8f2b-6c6461f1387d	2015-11-13 19:15:48.874	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b7912090-91a6-4dd4-bd21-7eb6f2394279	2015-11-13 19:20:48.89	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3141a042-3e7d-4ab4-a79b-d215b80d897b	2015-11-13 19:25:48.91	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7bf30828-67b0-4a3e-b839-a076521744b2	2015-11-13 19:30:48.944	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
add9ae8c-f570-458b-946d-3662c19b3ba1	2015-11-13 19:35:48.947	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
67a29498-7485-4e13-8f87-ea9143c6761a	2015-11-13 19:40:48.958	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	2015-11-13 19:45:49.014	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f609bd62-2039-47a8-b034-a366cdaea5e2	2015-11-13 19:50:49.015	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	2015-11-13 19:55:49.035	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e332b873-138b-47e6-9854-8488a8524100	2015-11-13 20:00:49.067	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
609f490d-2338-4b45-8ddc-65e276dac210	2015-11-13 20:05:49.09	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4af96f6a-231d-4679-8a77-5cfee1b48a73	2015-11-13 20:10:49.097	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	2015-11-13 20:15:49.091	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	2015-11-13 20:20:49.137	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f00a6039-be6a-45df-8484-316dd0c97840	2015-11-13 20:25:49.161	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	2015-11-13 20:30:49.19	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
41ec7063-f070-4710-ab41-e87edaf3ef14	2015-11-13 20:35:49.204	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b0aa4604-5634-483e-af12-58cdbe5c2659	2015-11-13 20:40:49.211	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aed035f3-7fef-412b-a057-47411b40301c	2015-11-13 20:45:49.257	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
39885fc8-bf70-4ee7-817a-61c2bb403037	2015-11-13 20:50:49.241	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3b34dacc-0253-436c-b288-e54d221ddafb	2015-11-13 20:55:49.296	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b06b876d-b02e-4057-a9dd-bd65e1d815cb	2015-11-13 21:00:49.314	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	2015-11-13 21:05:49.333	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e07c0b87-8c88-49b0-91fc-ed214b99a03d	2015-11-13 21:10:49.362	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	2015-11-13 21:15:49.367	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b8c65569-305a-463d-9ce1-f89294b2eef5	2015-11-13 21:20:49.397	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a40d7995-d50f-40d9-9aff-680e7a2767d5	2015-11-13 21:25:49.396	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e1ffa6c-303c-40c9-bb67-b917f61b9225	2015-11-13 21:30:49.434	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d105222c-db9c-428b-9bc3-2923c79f6eba	2015-11-13 21:35:49.742	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf03e431-6363-4307-9209-043dd881bd62	2015-11-13 21:40:49.474	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3b34cc3-2fba-4542-a69f-55cd0159798e	2015-11-13 21:45:49.492	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
76b2eac9-99eb-4e91-88a8-94b5470e3283	2015-11-13 21:50:49.521	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fe96a55f-970d-4071-81e1-fb22beacaaf7	2015-11-13 21:55:49.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
88305668-eeaf-4a98-a783-bfe4895fed9d	2015-11-13 22:00:49.53	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
434bbecd-ed5a-4437-8569-d4d4cdf4639b	2015-11-13 22:05:49.549	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
96646c2f-2f31-4081-aacc-dae3534cf97c	2015-11-13 22:10:49.598	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5c3d20a-ce54-4020-b427-4c74247f4db8	2015-11-13 22:15:49.616	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c4441331-0476-43bf-a03f-43b96a979536	2015-11-13 22:20:49.647	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3ba13645-b837-46e8-8d7f-a9ecd2193597	2015-11-13 22:25:49.662	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
28487189-0146-4783-a777-5763e966d7ab	2015-11-13 22:30:49.703	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	2015-11-13 22:35:49.723	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf0e787b-ec16-40ba-b737-9c5168638593	2015-11-13 22:40:49.728	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4040ff0f-4441-4853-894d-e5d8463ffa53	2015-11-13 22:45:49.748	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ce6f873-446c-4d65-b100-919e6dbf10cc	2015-11-13 22:50:49.773	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3ca780cb-662d-44e4-aec3-50bc71311bdb	2015-11-13 22:55:49.769	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
473d680c-2a91-491c-9aa1-3d8e33a007e0	2015-11-13 23:00:49.803	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d48a9be2-2545-488a-8190-105f19a8cc0e	2015-11-13 23:05:49.82	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	2015-11-13 23:10:49.854	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	2015-11-13 23:15:49.861	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
442e3349-9865-4ef5-bf81-cccd69973d6c	2015-11-13 23:20:49.904	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d429abe1-5182-4cea-946b-ccc69d22f4c5	2015-11-13 23:25:49.884	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98f37588-9a8c-4418-addc-98570474eb21	2015-11-13 23:30:49.914	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	2015-11-13 23:35:49.91	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	2015-11-13 23:40:49.98	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79c50264-f42d-4200-b472-be01cab5c547	2015-11-13 23:45:49.998	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2136aae7-6bed-494f-9a38-117abed8d981	2015-11-13 23:50:50.02	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
22f77207-f1ce-499d-817a-a6266cdc9589	2015-11-13 23:55:50.028	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f9f38630-cb17-4463-9026-ab1b160e5b16	2015-11-14 00:00:50.058	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	2015-11-14 00:05:50.08	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5a8ba515-3139-40db-acbf-492ea2f95e78	2015-11-14 00:10:50.053	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
881c1bff-9dd3-40b8-9812-954ce61af8f6	2015-11-14 00:15:50.114	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	2015-11-14 00:20:50.139	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
22a4caf0-1566-4b70-b6af-68a9c90b9025	2015-11-14 00:25:50.155	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	2015-11-14 00:30:50.181	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	2015-11-14 00:35:50.196	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0f554983-fdb9-4471-b8d2-d3865609c681	2015-11-14 00:40:50.21	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
03e41180-e9d9-47be-b036-3521750e7e74	2015-11-14 00:45:50.247	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
62d410e4-4eee-4641-8155-b7fb202ad87b	2015-11-14 00:50:50.257	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
13440084-49c9-4230-acd0-b0aec7bf680a	2015-11-14 00:55:50.293	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f6f2b40e-55a2-4d01-92b1-38adc53d021e	2015-11-14 01:00:50.3	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8bd1d0e3-31f4-44db-9669-84120e2f7016	2015-11-14 01:05:50.311	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd31244a-4635-42cc-a694-58a580f6519d	2015-11-14 01:10:50.333	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	2015-11-14 01:15:50.736	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
05874453-002f-44e0-8944-05777128eac5	2015-11-14 01:20:50.361	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efdbf444-9592-416c-8363-690c3dc07378	2015-11-14 01:25:50.404	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	2015-11-14 01:30:50.417	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bfbadac0-8ca0-4a4f-a950-0e79772c9437	2015-11-14 01:35:50.453	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2164bd3d-0d42-4185-928b-4995ceeac481	2015-11-14 01:40:50.47	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	2015-11-14 01:45:50.489	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a0de8fc5-3173-43b0-ad04-a3bf1300452f	2015-11-14 01:50:50.484	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	2015-11-14 01:55:50.524	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
33ab0979-6373-48d9-bff2-48d43ac73057	2015-11-14 02:00:50.555	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
36aed97c-6768-4714-9ef6-7c5edb22fb78	2015-11-14 02:05:50.573	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79815a84-76e2-4b29-843f-8c0c6a79702a	2015-11-14 02:10:50.589	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	2015-11-14 02:15:50.618	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
09f5ba79-3120-4f87-904b-9b9f2885b6f8	2015-11-14 02:20:50.652	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
961eed1e-2e86-4113-b240-f45ff1d56b77	2015-11-14 02:25:50.656	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4067a598-b956-445d-a5cf-309a58ec5fa8	2015-11-14 02:30:50.684	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	2015-11-14 02:35:50.712	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c32d00e-7140-4866-b95d-3d5d40a9ead5	2015-11-14 02:40:50.737	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0d6a278f-0572-4157-a215-fdfa498b42aa	2015-11-14 02:45:50.748	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	2015-11-14 02:50:50.778	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7e144622-3993-40bb-979d-3ec4b05aa157	2015-11-14 02:55:50.79	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c389de2f-ac97-4aa2-9311-09515ad21406	2015-11-14 03:00:50.811	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b1f2504-580d-4866-b2e8-df1ffb0f407b	2015-11-14 03:05:50.841	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a2dd5f25-4f16-4d22-820e-de64e4f3632f	2015-11-14 03:10:50.86	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	2015-11-14 03:15:50.859	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	2015-11-14 03:20:50.891	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	2015-11-14 03:25:50.905	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d15b3e36-5a3e-49f3-ad95-b6e58741152c	2015-11-14 03:30:50.936	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eef44925-7369-40ac-b394-a9d7177f956a	2015-11-14 03:35:50.964	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92babd7d-2684-42bd-acea-14c3f13a00c4	2015-11-14 03:40:50.947	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
79e5260d-f72e-44a8-8218-ce9270150a90	2015-11-14 03:45:50.994	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31d20480-f143-465d-85e6-32b0030b8c6c	2015-11-14 03:50:51.009	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf809572-890b-4bc3-9a18-a4de5eae3b85	2015-11-14 03:55:51.033	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	2015-11-14 04:00:51.067	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f4059ac3-e08d-4cdf-ae66-5a47500849c6	2015-11-14 04:05:51.105	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	2015-11-14 04:10:51.096	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
478cdc13-20bf-47a6-8243-4fd5b7b455e1	2015-11-14 04:15:51.121	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d025efe7-b136-4f3c-9d3b-415950110378	2015-11-14 04:20:51.144	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f1d2c3a1-07ef-43f0-b523-5318980bd933	2015-11-14 04:25:51.149	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
744e1330-4004-42fe-9da4-7e8997b7b079	2015-11-14 04:30:51.184	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd473573-aa71-406a-954c-a019d63f26c6	2015-11-14 04:35:51.207	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	2015-11-14 04:40:51.236	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0f212ede-8efb-42bd-b684-9bd0da373f38	2015-11-14 04:45:51.255	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f319517-b629-4577-990b-1d5af138e4c8	2015-11-14 04:50:51.285	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	2015-11-14 04:55:51.305	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f59393b9-6052-4e0e-9d32-29510fcaaef7	2015-11-14 05:00:51.287	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92488215-37eb-4629-b7e6-7a2f4523df55	2015-11-14 05:05:51.299	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
927db547-6a11-4877-86a1-378a4dbf7d43	2015-11-14 05:10:51.363	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea6503dd-8316-4552-84e7-c6a9154cd669	2015-11-14 05:15:51.38	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	2015-11-14 05:20:51.398	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
898269eb-1cd7-46bd-b3cc-51c05afdb51b	2015-11-14 05:25:51.428	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	2015-11-14 05:30:51.453	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37c11f7d-b427-43b7-adce-554ff919bf06	2015-11-14 05:35:51.472	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
467eaea7-79c5-4dc3-9065-e8d71507bc1a	2015-11-14 05:40:51.499	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a610a360-71b2-4b8c-8d35-021215fb804b	2015-11-14 05:45:51.489	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
716ab94c-2c40-470d-a22b-043b76babaed	2015-11-14 05:50:51.498	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	2015-11-14 05:55:51.541	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e60b2112-6fbd-45ef-be5a-d609177bbe11	2015-11-14 06:00:51.561	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1335b6d6-81ef-4ae1-82fe-530966b7d009	2015-11-14 06:05:51.578	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
05b0c993-c014-4bad-b5f1-cfa860eb66ff	2015-11-14 06:10:51.602	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
676d267b-4cad-4718-8c6f-b05c0449e314	2015-11-14 06:15:51.624	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	2015-11-14 06:20:51.938	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1e0414b-525f-49d8-9ce0-a5c772245505	2015-11-14 06:25:51.645	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
de5c1287-b094-4b30-b112-dcc2ed794bbd	2015-11-14 06:30:51.684	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
daad7bdf-2f68-4185-b688-0aa800d53fb0	2015-11-14 06:35:51.699	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	2015-11-14 06:40:51.711	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	2015-11-14 06:45:51.726	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ae34fe33-020f-4049-a88d-02cb6249d237	2015-11-14 06:50:51.751	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	2015-11-14 06:55:51.749	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8466e534-4caf-427f-a52c-34eea231df36	2015-11-14 07:00:51.793	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c27de010-0a7a-47da-80a1-e5cf7f858b26	2015-11-14 07:05:51.815	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	2015-11-14 07:10:51.847	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	2015-11-14 07:15:51.859	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fb73008a-f9bd-4db2-99e8-b1d244008452	2015-11-14 07:20:51.86	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a5c6dc71-787e-4d77-b977-2b975e744303	2015-11-14 07:25:51.908	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d2f48503-64f0-4e26-8c46-795c3ff16ae9	2015-11-14 07:30:51.94	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	2015-11-14 07:35:51.955	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	2015-11-14 07:40:51.974	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ced989f2-b97b-4529-a853-7f14c39bcef3	2015-11-14 07:45:52.001	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b171e55a-53f9-468c-9942-a1ee9033db08	2015-11-14 07:50:52.001	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	2015-11-14 07:55:52.046	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	2015-11-14 08:00:52.056	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6d70a16d-511f-4f5b-9362-0e23995b1e7b	2015-11-14 08:05:52.082	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
def6f2e3-5082-41a9-9b23-e97decf0e1dc	2015-11-14 08:10:52.094	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
524d22c9-5ce3-4109-b538-eec2bc2e99b3	2015-11-14 08:15:52.12	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
09476aa8-4ba1-4438-b975-3345a68e186d	2015-11-14 08:20:52.173	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a803f7a6-34e7-4c92-852a-3953508d5222	2015-11-14 08:25:52.17	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
baa8457d-9535-43a5-a665-b1fa32ba2421	2015-11-14 08:30:52.19	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
546a4246-81f1-420a-bba0-041af4f46a8c	2015-11-14 08:35:52.216	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	2015-11-14 08:40:52.233	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aca3c16d-294c-42aa-b42c-03f0d35880eb	2015-11-14 08:45:52.261	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
72ad0414-afaf-4a5d-97fe-80c340169aed	2015-11-14 08:50:52.283	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5ede2b84-e4ba-417b-9010-547b28792da1	2015-11-14 08:55:52.27	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dd6cd3ca-5df7-4523-9699-70c657e61e94	2015-11-14 09:00:52.326	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dfd707c0-489a-4d2d-b565-d41c9d51acf9	2015-11-14 09:05:52.352	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
27775160-21e4-457c-85f7-453334fb3013	2015-11-14 09:10:52.379	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
20da569b-5db4-42f4-aa62-f998d78008b1	2015-11-14 09:15:52.393	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b182cda3-1d3b-4f71-a97b-46df4f7fa496	2015-11-14 09:20:52.407	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c92a3d0c-d972-493e-bf93-788281dfe014	2015-11-14 09:25:52.449	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5bd2c0ba-533b-4ed2-a581-6c307b248f86	2015-11-14 09:30:52.445	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b724f5e-3208-440c-8946-edf45331ea37	2015-11-14 09:35:52.476	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
99e2c8f1-64b7-4a51-b59c-a1917009655d	2015-11-14 09:40:52.503	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	2015-11-14 09:45:52.525	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49cbd1de-45a3-4e96-bdc0-051146ab2016	2015-11-14 09:50:52.529	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f0289d09-3ae5-4f46-9d26-e0214b486361	2015-11-14 09:55:52.519	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c0269217-a3be-4a47-8f07-745afd461ba2	2015-11-14 10:00:52.563	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
51a45bb6-8593-425b-93d3-588a3fdcb1d6	2015-11-14 10:05:52.585	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
74248af4-0459-4045-8d82-ea865608bf62	2015-11-14 10:10:52.604	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2c71a5ab-2947-4809-9f17-30d95fdf3d11	2015-11-14 10:15:52.618	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3cc34f39-74e8-4aed-9a1d-859644318365	2015-11-14 10:20:52.642	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	2015-11-14 10:25:52.661	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
99a7c39c-c7d6-4084-97b9-f9a074beb437	2015-11-14 10:30:52.698	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ddfea45d-8795-4518-a2fa-213d2d36ea9d	2015-11-14 10:35:52.674	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
de30e6cb-a156-466c-8a64-f8161ab39202	2015-11-14 10:40:52.721	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
07c89f8e-9c2f-4dad-a55f-77136a5e194c	2015-11-14 10:45:52.758	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5d3ba10f-55ac-42de-85a8-ec59f9acde29	2015-11-14 10:50:52.765	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	2015-11-14 10:55:52.772	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
59b1a829-444e-40a4-b3cb-ec03e15a3513	2015-11-14 11:00:52.813	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
558bb783-2157-4169-8a50-80b590f98c48	2015-11-14 11:05:52.83	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	2015-11-14 11:10:52.814	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7df1cc64-0a1e-4a78-a252-626ce1b76196	2015-11-14 11:15:52.873	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ae4bf00-f06d-4f93-824b-731ffee5e56d	2015-11-14 11:20:52.889	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cf7a9546-600b-4adf-b903-280648b2096a	2015-11-14 11:25:52.908	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3a810fef-5eca-42f1-ab44-401f1285d4c2	2015-11-14 11:30:52.948	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bd7726c1-e332-4661-b152-87174fb9b7af	2015-11-14 11:35:52.953	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	2015-11-14 11:40:52.975	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	2015-11-14 11:45:52.962	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
73f62e93-84d9-4299-bc29-fd0339a04c14	2015-11-14 11:50:53.017	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
34e4605a-c797-441a-a3a5-e4aed439720e	2015-11-14 11:55:53.029	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7b192933-5890-4924-847e-b0c1fbbae283	2015-11-14 12:00:53.052	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e84ece43-4668-4470-8dcf-bdacde49c7d6	2015-11-14 12:05:53.072	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	2015-11-14 12:10:53.095	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8cfb9e63-0167-4456-8e37-d1169a65aad5	2015-11-14 12:15:53.104	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	2015-11-14 12:20:53.057	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
58b7c85e-08f4-4006-8856-6dfd2be21cce	2015-11-14 12:25:53.138	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8962b729-5845-41de-8387-a70d8fd5886d	2015-11-14 12:30:53.161	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
802deb81-b0ed-4bdc-9392-8e6b068443ae	2015-11-14 12:35:53.183	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	2015-11-14 12:40:53.204	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
182adf21-e0eb-4e45-8903-211b7df9edbf	2015-11-14 12:45:53.238	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	2015-11-14 12:50:53.248	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5c5a499f-bbfb-4387-83b9-da550e6f00df	2015-11-14 12:55:53.263	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
46f24296-b52d-4822-a8c6-642d79a1e9d0	2015-11-14 13:00:53.29	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	2015-11-14 13:05:53.305	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
06527bac-d7b1-4bd7-8093-b9caac72db83	2015-11-14 13:10:53.348	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a2384611-523d-4597-b674-3c34807edffd	2015-11-14 13:15:53.354	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9fc96903-087d-4bc8-8889-b672976253f2	2015-11-14 13:20:53.37	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f5ad7941-9a49-44c9-8591-46ffbcb015b2	2015-11-14 13:25:53.386	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	2015-11-14 13:30:53.412	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	2015-11-14 13:35:53.436	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cc76996d-6952-4ebc-be07-e05192107057	2015-11-14 13:40:53.447	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	2015-11-14 13:45:53.452	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	2015-11-14 13:50:53.495	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7209f1cf-4e9a-4ee1-a234-21e6274e954b	2015-11-14 13:55:53.527	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eed6393c-4171-4e8c-a614-73cb82f7124b	2015-11-14 14:00:53.536	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ce52003b-466f-40f3-ab42-e3551a64e914	2015-11-14 14:05:53.56	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b6aacbe-ede3-4f96-81d3-487233ce6c02	2015-11-14 14:10:53.589	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e8bb780e-8945-4499-866f-45364c434751	2015-11-14 14:15:53.611	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	2015-11-14 14:20:53.632	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	2015-11-14 14:25:53.648	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a12487b1-6829-40b7-bed0-3f11e90a5e6c	2015-11-14 14:30:53.673	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5c84c88-ed12-44eb-9710-411f7145d842	2015-11-14 14:35:53.668	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
87bc14d7-f038-4b69-858a-94bd69b7a54b	2015-11-14 14:40:53.725	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8dfb19d9-df54-44c2-8812-ed21408d068b	2015-11-14 14:45:53.75	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
19a43e91-bdbf-4612-891a-228091e93488	2015-11-14 14:50:53.754	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6176e1d1-124e-4fe2-9923-c2862d3159a2	2015-11-14 14:55:53.778	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a348352d-6752-42f7-bf06-dcc57f0cb670	2015-11-14 15:00:54.104	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cf05d4df-dd22-4339-803f-651896459a1f	2015-11-14 15:05:53.825	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f89928a-6248-4de8-9af1-10308330cb4d	2015-11-14 15:10:53.816	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ccb7f7ee-783c-408f-b59c-7039a2c9daff	2015-11-14 15:15:53.823	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ab55465-3231-4899-a546-a1943b507e5b	2015-11-14 15:20:53.876	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
28224af0-7914-4b76-8590-56d6b9885571	2015-11-14 15:25:53.909	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5dd5c8e-3b18-402c-8261-366c657b1b15	2015-11-14 15:30:53.926	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5aa04162-843c-43bc-995d-2351216f8449	2015-11-14 15:35:53.948	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7baa3d7e-ac87-4a63-be34-237702fb969f	2015-11-14 15:40:53.964	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f0252854-4e8c-4248-94bb-36fcc5ba6211	2015-11-14 15:45:53.995	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	2015-11-14 15:50:54.286	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b567206f-450a-42f9-a5fe-58c4c45016e5	2015-11-14 15:55:54.024	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	2015-11-14 16:00:54.052	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
574f74ee-08cb-4f2a-9ed8-344c4af56987	2015-11-14 16:05:54.072	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	2015-11-14 16:10:54.101	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	2015-11-14 16:15:54.12	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92a15955-5f87-49ac-b339-0774a49bd123	2015-11-14 16:20:54.138	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
13b638bd-7ccb-439b-b3ea-1adfa546830a	2015-11-14 16:25:54.156	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	2015-11-14 16:30:54.156	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42126681-5359-4438-9db9-69eb3b2f3584	2015-11-14 16:35:54.204	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	2015-11-14 16:40:54.22	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98dd13a4-e1c1-4051-93d0-af10ca001636	2015-11-14 16:45:54.244	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	2015-11-14 16:50:54.268	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02b0ed32-b621-4870-9277-76349565aa1f	2015-11-14 16:55:54.276	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2f87df08-b178-4236-9a19-3196698ef4b2	2015-11-14 17:00:54.289	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cacd4dbb-8a1d-4879-9cfe-23eab863023d	2015-11-14 17:05:54.306	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9f45a6a0-fd93-48d7-9341-74e50531a962	2015-11-14 17:10:54.344	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
835c30ce-2b3e-4006-8b35-833d7f35ffd4	2015-11-14 17:15:54.366	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3b4f6882-5eca-435d-8b85-d42374e45d93	2015-11-14 17:20:54.404	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7d80335e-0a79-4ee0-8de7-7f2164b1102c	2015-11-14 17:25:54.394	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7771e91c-bc04-4867-9f57-cd566415381f	2015-11-14 17:30:54.436	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
17578d38-5234-4b77-abef-9771845794cc	2015-11-14 17:35:54.423	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	2015-11-14 17:40:54.464	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6cb30408-52f4-4b16-89b2-cab682cd62fe	2015-11-14 17:45:54.461	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	2015-11-14 17:50:54.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	2015-11-14 17:55:54.512	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	2015-11-14 18:00:54.532	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1814c67-f138-4384-8697-56af99bcf716	2015-11-14 18:05:54.859	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5c47de48-70b4-4dc7-9c04-d31e32b363ea	2015-11-14 18:10:54.583	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	2015-11-14 18:15:54.601	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e88a9949-51a2-4c19-bc5d-eab9a24d7320	2015-11-14 18:20:54.623	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bbd6a3ce-3454-4eb6-96d1-a093350c7319	2015-11-14 18:25:54.635	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ba387003-b87a-44fb-b79e-ce3ae5436f1a	2015-11-14 18:30:54.677	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6783063c-b85e-4222-b528-426a084b540a	2015-11-14 18:35:54.68	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fba947cd-9347-4cd9-b1ce-80fcc035e860	2015-11-14 18:40:54.703	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	2015-11-14 18:45:54.719	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6230f517-cbbd-4e4a-a303-823039f791d0	2015-11-14 18:50:54.729	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3711407d-cb81-45b1-9671-7cc7569e1ef4	2015-11-14 18:55:54.749	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02d5078f-900a-4799-a8da-292e5dd7fc00	2015-11-14 19:00:54.774	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f8e902fc-6923-4421-9385-9773170c1eb3	2015-11-14 19:05:54.792	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
75667683-9f0d-4e75-98f4-f26242490eca	2015-11-14 19:10:54.803	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b309f4cb-9ee9-4550-b6d6-08add677e619	2015-11-14 19:15:54.791	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
36e0fa0e-5bde-414b-bea4-50e107245603	2015-11-14 19:20:54.863	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4b8cf486-4a29-4036-80b2-29d76951d345	2015-11-14 19:25:54.889	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9bf51201-a785-4109-96a3-82a67620dc4d	2015-11-14 19:30:54.896	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0abb4d38-bc43-455b-95fc-d3890ed431c0	2015-11-14 19:35:54.911	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b956c1cd-492f-4a86-800e-a52df1bdd515	2015-11-14 19:40:54.939	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aa6487f2-02c4-4e42-ab17-82e3166b262d	2015-11-14 19:45:54.923	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0434fece-cb69-41e0-b07e-d2f833ac4116	2015-11-14 19:50:54.97	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e96a8b6e-a981-4796-a229-15bb31f3d1af	2015-11-14 19:55:54.984	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	2015-11-14 20:00:55.015	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bcfefe60-730d-4fe7-8d64-59984338a5c8	2015-11-14 20:05:55.03	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	2015-11-14 20:10:55.045	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dc701273-0eb6-4e11-a661-c953ac984997	2015-11-14 20:15:55.064	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f979325-b234-4ea7-9e20-acf0678d6776	2015-11-14 20:20:55.061	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	2015-11-14 20:25:55.11	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5e0f370d-ffd3-4fde-8a75-691810ee164a	2015-11-14 20:30:55.133	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf4d6645-4d5a-4da4-91c8-637503c2901d	2015-11-14 20:35:55.17	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7db355ac-51d2-4af7-8d13-2e128d3d446d	2015-11-14 20:40:55.168	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
042fbd0e-528e-4c43-a105-98e74840543a	2015-11-14 20:45:55.192	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	2015-11-14 20:50:55.21	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
25ef0aff-a450-4def-806f-fde61bc5ed13	2015-11-14 20:55:55.241	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	2015-11-14 21:00:55.245	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	2015-11-14 21:05:55.278	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
efb27342-d9d8-4310-8b62-58ae67d4dd06	2015-11-14 21:10:55.294	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
81c06417-56b6-420f-8ba3-bfc8b3a74cff	2015-11-14 21:15:55.319	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
62d4f504-11e9-4361-ba44-411b008f123c	2015-11-14 21:20:55.334	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	2015-11-14 21:25:55.357	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	2015-11-14 21:30:55.348	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f4980180-584a-40e3-b8a1-55a4a14061eb	2015-11-14 21:35:55.364	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
64d469fe-3562-4794-89f9-11d6913bf463	2015-11-14 21:40:55.386	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1710f71f-9d6e-485b-b12c-5b9f18417c44	2015-11-14 21:45:55.433	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3accf663-19d6-4fcf-ba99-7fc03a475068	2015-11-14 21:50:55.463	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
080f29f9-caaa-43b3-9577-3a0cb5aff306	2015-11-14 21:55:55.484	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a4da0cc0-d673-4106-9b53-97115165a0bc	2015-11-14 22:00:55.505	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	2015-11-14 22:05:55.518	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4fa05ba-81d8-40ac-a24e-517050cffb14	2015-11-14 22:10:55.545	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8e67eea-e06b-4140-97de-e1c66bf3540c	2015-11-14 22:15:55.562	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	2015-11-14 22:20:55.582	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4a184d9-9f21-48d1-86c5-327b171d98ad	2015-11-14 22:25:55.622	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
08a291c6-1dd3-4655-9ee5-8609f18520c8	2015-11-14 22:30:55.62	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8763745c-7ece-4dba-ab4c-449ad02f83eb	2015-11-14 22:35:55.65	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c958193b-981e-4996-9e6d-91c349ded2ff	2015-11-14 22:40:55.67	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
25080d3b-24f0-4610-a0a4-ac359ad53279	2015-11-14 22:45:55.702	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
512ee421-d963-4ce2-bc99-d72ca975f758	2015-11-14 22:50:55.702	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bc305be6-c7e0-4514-a2a5-97d57a5258af	2015-11-14 22:55:55.728	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	2015-11-14 23:00:55.747	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
83a14133-0393-4557-897d-97ee70556934	2015-11-14 23:05:55.758	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5ef45a09-a363-4f9a-b0c2-069ca5e25904	2015-11-14 23:10:55.752	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0087565a-f076-4554-9ccc-963b3f09dc46	2015-11-14 23:15:55.818	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
01ac107b-7fd2-4325-b44f-838868d9c99c	2015-11-14 23:20:55.833	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7cc4fbdd-521d-40cc-bc91-71929147bd44	2015-11-14 23:25:55.857	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4221bcc-b2f7-43d5-acef-aba23b17f25a	2015-11-14 23:30:55.886	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
13624961-17e1-43d4-be52-b84e4d5bf8db	2015-11-14 23:35:55.884	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	2015-11-14 23:40:55.922	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
26757c0a-248e-49bd-80df-dcd2b26142bd	2015-11-14 23:45:55.933	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c066bfa4-b61e-43bc-8ec8-7caf634acf93	2015-11-14 23:50:55.962	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
60224ff3-17fe-49be-97a0-3280c6d528ad	2015-11-14 23:55:55.973	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	2015-11-15 00:00:56.002	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2a92e586-8734-4fef-bfda-a6089ff5e921	2015-11-15 00:05:56.018	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	2015-11-15 00:10:56.041	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ccf5ed0f-7942-4579-875d-70c0c65721b4	2015-11-15 00:15:56.059	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
99cef2b9-ecae-46de-99bb-fc4432886bb7	2015-11-15 00:20:56.098	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b981c0d8-31d5-4116-9d62-7c047d2d17f6	2015-11-15 00:25:56.125	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	2015-11-15 00:30:56.133	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d3462db5-8c72-40cd-b97e-dec6a5e820c7	2015-11-15 00:35:56.164	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
89800bd7-6895-43d0-98a4-2d83033837b3	2015-11-15 00:40:56.185	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	2015-11-15 00:45:56.2	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a44b139d-bc30-4b39-9437-f2a0d7f476a0	2015-11-15 00:50:56.217	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	2015-11-15 00:55:56.253	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
85274e65-5ff6-4cb6-886d-12477cb33d34	2015-11-15 01:00:56.259	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c6b4bd9-155f-478a-85b1-5455434ed659	2015-11-15 01:05:56.277	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b629342f-d71c-4d4a-93e7-d09244507449	2015-11-15 01:10:56.256	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56c7c1b1-0442-461c-b0a6-7d8941a672f0	2015-11-15 01:15:56.323	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5295e9bb-9aed-45a2-a020-4095c4bd0145	2015-11-15 01:20:56.352	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	2015-11-15 01:25:56.366	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8c78f497-f2dc-473b-84f9-823b94be1c8d	2015-11-15 01:30:56.394	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02af8450-7ae7-4665-8870-f5e86d17214e	2015-11-15 01:35:56.416	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bb1e5afd-ef40-4f95-abb0-368ad00adf71	2015-11-15 01:40:56.426	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
88867e5f-286e-468d-be7a-3a65c28d0527	2015-11-15 01:45:56.462	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
57db9277-1c0d-4cfa-ad41-04c306ceeb17	2015-11-15 01:50:56.476	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	2015-11-15 01:55:56.492	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
268c0bdf-10cc-41c8-b4f4-752249f72b41	2015-11-15 02:00:56.524	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
647780f3-3856-4ac4-a63e-a517133ddbac	2015-11-15 02:05:56.542	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b1053e30-881c-4788-8265-28f1146b3930	2015-11-15 02:10:56.556	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6013f761-6b16-41c7-86d9-a8c8129807e0	2015-11-15 02:15:56.587	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dac25683-344a-4520-9ea4-bf8859a042af	2015-11-15 02:20:56.596	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	2015-11-15 02:25:56.62	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	2015-11-15 02:30:56.642	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c5637a6-5150-47c2-b7b8-ae033b149dfe	2015-11-15 02:35:56.629	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	2015-11-15 02:40:56.652	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ea7e832-5b96-4682-9901-13a8d79234c8	2015-11-15 02:45:56.716	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	2015-11-15 02:50:56.716	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4ca9d83a-9153-40eb-8e04-2778460f3d98	2015-11-15 02:55:56.734	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
adfb7db2-0205-4dda-9f93-955835cb5156	2015-11-15 03:00:56.762	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	2015-11-15 03:05:56.791	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2fc9ff09-d441-4178-b34d-32095cf3b42a	2015-11-15 03:10:56.796	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c1b426f2-9874-415d-aca1-6881eec9995d	2015-11-15 03:15:56.812	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e32fa521-9f79-4146-bd43-1c709717df34	2015-11-15 03:20:56.8	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b74407b2-74cd-447f-9a9c-e22a06ecdba1	2015-11-15 03:25:56.841	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	2015-11-15 03:30:56.867	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7ab1e65b-d382-4d55-ad38-8475c5825d16	2015-11-15 03:35:56.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
54e9f019-45f1-442c-ae9f-21415483db24	2015-11-15 03:40:56.918	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	2015-11-15 03:45:56.929	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	2015-11-15 03:50:56.958	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d724ddc1-7a4c-4b82-93d4-60661f3021ea	2015-11-15 03:55:57.008	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a38ee156-7706-4dee-a2eb-2794a67643ab	2015-11-15 04:00:56.965	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1e73c91a-7c57-483c-8501-3189e0677b27	2015-11-15 04:05:57.006	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	2015-11-15 04:10:57.049	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4d041a4-b439-4821-aacc-259c3dae4054	2015-11-15 04:15:57.053	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	2015-11-15 04:20:57.282	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
23e9bd82-00bd-475e-9d21-6f1c2fa23559	2015-11-15 04:25:57.104	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9b9feec3-e451-4020-af50-b18a3e61b39a	2015-11-15 04:30:57.117	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7d1a7d0a-9724-478c-8d89-418beea78e26	2015-11-15 04:35:57.1	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	2015-11-15 04:40:57.15	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
86efe363-21a4-4d68-b83c-baa157584d85	2015-11-15 04:45:57.169	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb413928-dc59-4cc3-b95c-9989bec628e4	2015-11-15 04:50:57.178	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f4abd7a3-abc0-4616-818e-66d192c95f21	2015-11-15 04:55:57.202	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
22ab4f4f-c237-4bdb-8904-94629927783e	2015-11-15 05:00:57.228	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b8a49022-f0a8-404d-9429-4d2089432b30	2015-11-15 05:05:57.256	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	2015-11-15 05:10:57.271	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	2015-11-15 05:15:57.301	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5f917166-9f88-4613-a503-4b9b25fa88ad	2015-11-15 05:20:57.319	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6ebca695-5004-4b84-9fb6-fad118564d27	2015-11-15 05:25:57.314	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	2015-11-15 05:30:57.34	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f07bf97-d0cd-4f0e-867b-6400a133f98d	2015-11-15 05:35:57.38	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	2015-11-15 05:40:57.4	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c9d747c-b689-43b8-90c3-823e15e69269	2015-11-15 05:45:57.428	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c73e04c4-1f45-431e-b77e-2fdbb3988a21	2015-11-15 05:50:57.452	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c0e2703b-3078-445b-844a-a6f9ad21ef77	2015-11-15 05:55:57.465	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4151a76f-8950-40ec-b1c8-72097e76ee7e	2015-11-15 06:00:57.485	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	2015-11-15 06:05:57.508	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37406fab-143d-422b-8ab0-b011249d1d41	2015-11-15 06:10:57.522	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
92e74338-6ae3-4844-bdc6-63485f6793ad	2015-11-15 06:15:57.869	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	2015-11-15 06:20:57.572	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a96b8199-ff21-47b7-a446-669bf23df451	2015-11-15 06:25:57.586	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f586d7f0-443d-45c0-8129-1f874509096a	2015-11-15 06:42:17.941	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	2015-11-15 06:47:17.777	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c562f027-8e9c-4c47-9aa4-453d3aa0351f	2015-11-15 06:52:17.704	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3a9c41bf-6d8e-4904-9b26-699a6299f12b	2015-11-15 06:57:17.609	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56e41e44-7498-4f16-be17-58a69c8a7871	2015-11-15 07:02:17.596	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
360111fb-e966-46c5-8181-aed27330f54c	2015-11-15 07:07:17.63	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6c3f5018-ddef-402c-9e59-015948ca1556	2015-11-15 07:12:17.627	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ca69093b-8ca5-452c-90dc-78f8ea68fef4	2015-11-15 07:17:17.656	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	2015-11-15 07:22:17.698	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d4fd2cc3-009b-4905-af3f-94319454a498	2015-11-15 07:27:17.696	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0af881e1-fcb6-48bc-a1e3-5af593568ef1	2015-11-15 07:32:17.701	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
41dc5959-c307-47d5-a7dc-575fdbd7060a	2015-11-15 07:37:17.752	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
35f90061-da07-450c-8b79-04b7ea66d30f	2015-11-15 07:42:17.801	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
65513d48-f033-4df3-ac76-f111d8e14bec	2015-11-15 07:47:17.832	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
eba31895-895a-4900-b139-a373007b19ff	2015-11-15 07:52:17.853	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ea77f11a-1a19-4839-b59b-77c3e27e06c2	2015-11-15 07:57:17.833	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a00ea1af-9bcd-492f-be8d-451a3be1f627	2015-11-15 08:02:17.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0b3f6fcc-c199-4132-aa50-29ee57c60932	2015-11-15 08:07:17.921	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
800f2cd6-2d46-40c8-a32e-9733bea58626	2015-11-15 08:12:17.933	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	2015-11-15 08:17:17.951	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3b1ea72d-ea90-489c-a420-054c08c3b846	2015-11-15 08:22:17.961	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5bc44232-9646-4e35-893f-36e161ad933b	2015-11-15 08:27:17.998	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d907b12c-f6ee-4b14-8058-ca148649d130	2015-11-15 08:32:18.005	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	2015-11-15 08:37:18.015	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2795a2a9-1183-48a1-97cc-01fabe9a2589	2015-11-15 08:42:18.037	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e6491969-c1f8-4ae2-9905-450036ddec93	2015-11-15 08:47:18.061	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0ab354a2-0825-4892-90d1-f202cb2fdad2	2015-11-15 08:52:18.093	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	2015-11-15 08:57:18.137	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1e08d156-848b-44bd-bc7f-419255b3cd1f	2015-11-15 09:02:18.133	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e350cc14-b139-43a1-a483-3f893ba0d842	2015-11-15 09:07:18.161	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c71f6c6-7220-49e7-b4cb-9f20a375426c	2015-11-15 09:12:18.162	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0079eec9-14ff-4933-a06a-41439bde320e	2015-11-15 09:17:18.143	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7eaef1fb-ff18-4509-94fb-ec679244f4c8	2015-11-15 09:22:18.187	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	2015-11-15 09:27:18.229	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8d080f21-f286-419c-8c4a-903aee65fedf	2015-11-15 09:32:18.26	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1897f910-bbfc-40d7-80f2-d37955a5f390	2015-11-15 09:37:18.268	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8f098692-5142-4492-a5f3-01e7a5cec51c	2015-11-15 09:42:18.286	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
953e1488-2652-4e06-a533-5f161322333d	2015-11-15 09:47:18.307	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	2015-11-15 09:52:18.326	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fa50ed9d-28a8-4ce2-9db0-bd892be11301	2015-11-15 09:57:18.345	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	2015-11-15 10:02:18.323	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	2015-11-15 10:07:18.383	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
786bf5de-468c-4553-8d92-e725a5dfb6bf	2015-11-15 10:12:18.405	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
931475e8-d572-4cf8-9853-166c960ebfce	2015-11-15 10:17:18.439	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	2015-11-15 10:22:18.443	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
45519842-37fa-4dfb-b496-b612434cb659	2015-11-15 10:27:18.464	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
70933ae8-dc57-4863-a38b-5f7f8bcd630f	2015-11-15 10:32:18.499	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f2c6fb13-550c-455f-b5a3-49714fee8887	2015-11-15 10:37:18.46	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
63d838fb-8dfa-4de7-a1ce-f1396bae8235	2015-11-15 10:42:18.534	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fed99344-a80c-45a8-9ff0-98a99ba9822f	2015-11-15 10:47:18.557	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6a4d4733-45af-4426-815c-ff6f50964c39	2015-11-15 10:52:18.515	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1b03af87-6647-4471-9a5e-205a73c364d8	2015-11-15 10:57:18.598	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d47b3723-d179-4109-8e3b-94c9bed34930	2015-11-15 11:02:18.606	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5c9e8db4-8ff6-477a-8293-ab63282ae377	2015-11-15 11:07:18.626	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
af1504b6-255b-418b-a5f8-648eb89ec76e	2015-11-15 11:12:18.643	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f05e0702-e6e7-444e-a96a-d7bacd0a9833	2015-11-15 11:17:18.622	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49578204-2959-482e-846b-57b414550dde	2015-11-15 11:22:18.717	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	2015-11-15 11:27:18.701	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
329025f6-8045-4b16-aea5-58ff50802a02	2015-11-15 11:32:18.726	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	2015-11-15 11:37:18.747	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
791e80a4-b5d2-45f8-9f07-d4c806a14534	2015-11-15 11:42:18.781	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
22ce0e35-e452-4b9d-b0fd-33e66d52013d	2015-11-15 11:47:18.743	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e930ab7-d67e-4a56-82be-feeec160f031	2015-11-15 11:52:18.818	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dbfa90e1-ceee-4ee5-b410-9a47981c279e	2015-11-15 11:57:18.828	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
132e45f8-07b2-42d0-9b8b-7573281de8b0	2015-11-15 12:02:18.814	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	2015-11-15 12:07:18.822	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	2015-11-15 12:12:18.826	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	2015-11-15 12:17:18.903	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b39d1566-96f1-4e41-9b51-f224fd376148	2015-11-15 12:22:18.915	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c1fd31d-5ad1-452d-bf15-643e607c5d37	2015-11-15 12:27:18.94	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8fbcc51f-3b96-42cb-852d-56d0c2221ced	2015-11-15 12:32:18.958	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8f1d22ad-3d3c-4d4c-82db-ecb839788723	2015-11-15 12:37:18.966	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a7165aac-29c6-44b1-8066-f6b13c76bf1f	2015-11-15 12:42:18.962	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48848118-52aa-4217-be71-3ec1bc767bed	2015-11-15 12:47:19.007	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0c80ed93-49d0-4a7a-9330-511ed2269c9e	2015-11-15 12:52:19.032	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c162ad09-fe41-4681-a3c0-737b3ad1755a	2015-11-15 12:57:19.026	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
18930f94-45fb-4f76-aa9d-d3dd8811fb93	2015-11-15 13:02:19.079	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b21ff6e6-98bd-4b2b-a344-098b76f1377f	2015-11-15 13:07:19.099	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c918f862-91ee-4ab9-934a-1620dc715541	2015-11-15 13:12:19.123	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	2015-11-15 13:17:19.142	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	2015-11-15 13:22:19.182	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
947037ae-f29e-4942-affb-31d617a76ad6	2015-11-15 13:27:19.183	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
19edbd52-f6f3-48d2-bf7d-f7684c364279	2015-11-15 13:32:19.208	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e4c33269-3031-4408-b7ef-1d2a581c932d	2015-11-15 13:37:19.214	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	2015-11-15 13:42:19.193	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	2015-11-15 13:47:19.251	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	2015-11-15 13:52:19.291	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	2015-11-15 13:57:19.269	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3a397912-759d-4df7-9173-af180c3ee77e	2015-11-15 14:02:19.317	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	2015-11-15 14:07:19.336	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9351f16d-0436-444f-a47d-e8ca3f6331b0	2015-11-15 14:12:19.36	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c8c291a4-60ca-4a9f-aa45-a636513f526b	2015-11-15 14:17:19.337	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0f2571eb-75c6-4739-890a-64dc2c20ea1f	2015-11-15 14:22:19.397	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ab2f3604-83b4-4f19-82b7-56897383d8fc	2015-11-15 14:27:19.395	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9189deaa-657d-409b-b55c-794dd42d96bb	2015-11-15 14:32:19.446	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1c67dd2f-610f-42b8-885f-c5e879972293	2015-11-15 14:37:19.475	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
07321e40-e199-4ba2-94c4-a5d695bb672a	2015-11-15 14:42:19.479	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	2015-11-15 14:47:19.541	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	2015-11-15 14:52:19.489	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	2015-11-15 14:57:19.547	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
03bc3b5b-d966-4637-9294-333a4070aa00	2015-11-15 15:02:19.581	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	2015-11-15 15:07:19.583	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7b6edee8-5602-44b4-afc7-bfc22e73848d	2015-11-15 15:12:19.591	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0fc111bc-61d7-4e34-a65d-c62ac16fe765	2015-11-15 15:17:19.623	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6f76721a-890e-483a-afb8-a5f4119ffbfe	2015-11-15 15:22:19.636	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
29204060-cc4f-45e3-a6e9-4bf37915fe23	2015-11-15 15:27:19.655	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	2015-11-15 15:32:19.685	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	2015-11-15 15:37:19.696	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
332989e5-988e-4e87-bd9d-aeea7967b891	2015-11-15 15:42:19.714	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b4dc5908-db92-44b5-904f-d5525e0b2efe	2015-11-15 15:47:19.69	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dc1ad924-1b6d-4ed1-a217-8768d8794610	2015-11-15 15:52:19.755	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
062b256c-9fbe-4f9d-a1b5-991bc555ca48	2015-11-15 15:57:19.81	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
584921a0-90ea-4a12-a4a9-ea58adc491bd	2015-11-15 16:02:19.795	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	2015-11-15 16:07:19.813	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b5485af2-d0f0-4778-94d9-d672bf879ea0	2015-11-15 16:12:19.83	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	2015-11-15 16:17:19.86	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	2015-11-15 16:22:19.853	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
03c47846-91b0-4cbe-acab-c897cc6c4c8c	2015-11-15 16:27:19.913	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0fb22b09-97c3-447f-8957-317c084f6b9a	2015-11-15 16:32:19.922	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3063b489-5d5a-44bd-a9f0-d15bc804f48f	2015-11-15 16:37:20.315	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
708c4461-dbf8-4566-852d-103393c3ec47	2015-11-15 16:42:19.96	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
87170e47-34d8-4782-9b31-c43cf82d7c82	2015-11-15 16:47:19.978	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	2015-11-15 16:52:20	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5be120fc-0c29-4947-8f68-3adf451461f4	2015-11-15 16:57:19.984	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5a9d9f8d-721b-45b0-919b-87185a199294	2015-11-15 17:02:20.031	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	2015-11-15 17:07:20.053	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fd62035e-c28f-4efb-8548-5a96bb192a27	2015-11-15 17:12:20.079	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	2015-11-15 17:17:20.094	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	2015-11-15 17:22:20.124	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5b5e208c-336c-4af9-820d-e195e41e28e5	2015-11-15 17:27:20.115	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
11d10ab4-580e-455d-b7c8-601d3588840a	2015-11-15 17:32:20.153	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	2015-11-15 17:37:20.18	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b9e14709-02bb-4d41-a73f-4a7071b0a99c	2015-11-15 17:42:20.19	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	2015-11-15 17:47:20.211	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
62eea711-523c-4eb8-b838-549ea7337546	2015-11-15 17:52:20.227	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
68a69c0e-e252-4875-8fb8-e79d04131350	2015-11-15 17:57:20.251	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	2015-11-15 18:02:20.265	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	2015-11-15 18:07:20.293	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	2015-11-15 18:12:20.314	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
63ec93bc-3290-4a71-9f7d-71614d022b22	2015-11-15 18:17:20.338	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	2015-11-15 18:22:20.342	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ecc98464-e56c-42bd-acf9-4530b815d7e8	2015-11-15 18:27:20.343	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e865794a-2122-4dee-a2f0-7cf87ee30731	2015-11-15 18:32:20.4	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
cddc980b-3ba1-4141-9779-67941afec7a6	2015-11-15 18:37:20.419	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
1159757a-645a-4fdb-a874-884cbe458994	2015-11-15 18:42:20.437	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
94deaa31-f463-4a24-ad5a-fddb661cd3e7	2015-11-15 18:47:20.469	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
75e2ef6a-c795-41b3-a52e-dd6371038da5	2015-11-15 18:52:20.787	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4105a956-0e47-40a3-a556-e684504b392d	2015-11-15 18:57:20.51	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da0319d7-de39-4342-aa33-150a52d5f647	2015-11-15 19:02:20.537	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
15c86af6-5051-484c-a0cf-0a95fce1e8a8	2015-11-15 19:07:20.551	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d73cffa8-2dec-4602-a28f-139b1d18fef5	2015-11-15 19:12:20.566	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
12a05788-5ccf-4c87-9b44-96aedc55d962	2015-11-15 19:17:20.597	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	2015-11-15 19:22:20.581	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3e9d76a4-b435-445d-a0a6-8485bb307d7f	2015-11-15 19:27:20.633	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9829ea25-21d4-445a-8bde-28ad7777c300	2015-11-15 19:32:20.66	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a770516b-92cb-4cd5-8b75-f92ac66fe89d	2015-11-15 19:37:20.675	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
10f8c4a6-2c44-424e-b7e0-58983e253aa2	2015-11-15 19:42:20.701	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
300b9074-d613-47f1-a417-09bfdfa1fc1a	2015-11-15 19:47:20.71	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	2015-11-15 19:52:20.737	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
59d3063a-91ed-4edf-80c5-cc7b41296c16	2015-11-15 19:57:20.754	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aaed4dc7-c45d-496f-83ef-e3750a2ef592	2015-11-15 20:02:20.739	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5640634f-0cb7-4e18-8328-304f5f32e248	2015-11-15 20:07:20.813	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	2015-11-15 20:12:20.839	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
36792687-b5a2-456c-92ef-62946b895101	2015-11-15 20:17:20.849	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	2015-11-15 20:22:20.868	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c498d0a-545e-4408-8949-fe84bd194eaf	2015-11-15 20:27:20.86	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48b47532-fb03-417a-a2c1-9a5efd406134	2015-11-15 20:32:20.925	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e5666063-1207-40e4-91c1-824cb45de6cd	2015-11-15 20:37:20.939	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
298ed347-f74b-4545-8ceb-c1ce5ce04125	2015-11-15 20:42:20.95	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a16745d1-d965-4644-b845-7db677a49757	2015-11-15 20:47:20.983	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	2015-11-15 20:52:20.983	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a44502f9-cbb2-4234-b3a6-9dfed36930cb	2015-11-15 20:57:21.014	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
26c65c3e-28d7-44b2-8356-b48441b31f5c	2015-11-15 21:02:21.033	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
dc3c1939-450d-492b-ac7f-9949bfb7f490	2015-11-15 21:07:21.059	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
31e5decf-fcf1-4726-982d-ccf261977fe0	2015-11-15 21:12:21.079	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
38ee1e50-b281-4819-b294-d898bc729338	2015-11-15 21:17:21.055	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
277d9479-fc44-44e3-9130-2ae0a51db3f5	2015-11-15 21:22:21.132	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	2015-11-15 21:27:21.146	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	2015-11-15 21:32:21.192	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
56f88efe-8190-4369-9448-96b0d76b9931	2015-11-15 21:37:21.188	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	2015-11-15 21:42:21.246	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2dd4872d-1673-401d-a0d1-6c8c35d0592c	2015-11-15 21:47:21.232	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
39cd5427-b646-4be1-ae33-0edd31d5faa4	2015-11-15 21:52:21.264	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	2015-11-15 21:57:21.273	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
650449dd-8ae1-4d61-a8b2-eb205c33502f	2015-11-15 22:02:21.304	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	2015-11-15 22:07:21.312	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	2015-11-15 22:12:21.336	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
565341ed-8398-42df-8df0-b2035f405dfc	2015-11-15 22:17:21.362	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
bec550b0-9fe6-4a7f-affb-176e27266c77	2015-11-15 22:22:21.376	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3047fa36-527c-45a6-8e6b-7a4589076a17	2015-11-15 22:27:21.361	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	2015-11-15 22:32:21.404	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
752e1458-2efe-4f8d-9495-e3de5830f5a6	2015-11-15 22:37:21.441	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	2015-11-15 22:42:21.465	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
0911c515-7172-4d9f-a4b4-531cafb73dc5	2015-11-15 22:47:21.478	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	2015-11-15 22:52:21.493	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	2015-11-15 22:57:21.514	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
02fa95da-7026-456e-b46b-8ead195c5629	2015-11-15 23:02:21.531	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
db10292e-71b8-44fa-b376-0e7557c6ccea	2015-11-15 23:07:21.525	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
00eb41c9-f230-40c4-807f-1f9c4f51422a	2015-11-15 23:12:21.578	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
da29a9f5-afd9-4a26-af82-28fe6012ea69	2015-11-15 23:17:21.6	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
84691acb-669a-4c4a-af18-85672dfda6ad	2015-11-15 23:22:21.618	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7d6bb28d-3c08-4f0e-aebf-660ed1010735	2015-11-15 23:27:21.645	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
461292ac-f0d4-4ad8-b194-290af7d6573a	2015-11-15 23:32:21.648	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	2015-11-15 23:37:21.67	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
548718f0-4aec-45e1-be1c-5f00f5825310	2015-11-15 23:42:21.692	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
78b6472b-301a-438a-a4c7-390f0edcb614	2015-11-15 23:47:21.723	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
568403bc-53b0-49ed-8ab9-57008bd10898	2015-11-15 23:52:21.741	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
a77dd9bc-73db-48f1-b389-6c3c67a923da	2015-11-15 23:57:21.779	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	2015-11-16 00:02:21.781	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	2015-11-16 00:07:21.802	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d1f845a2-26d9-41bf-b2f9-8d0849001076	2015-11-16 00:12:21.805	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
48b3e88f-e145-4b6d-9b32-15425c9c8e27	2015-11-16 00:17:21.86	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e65127f3-244a-4986-9ea8-e44a50d3e96c	2015-11-16 00:22:21.881	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
954ecb62-6441-4cc4-9e36-882de344459a	2015-11-16 00:27:21.894	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
b476251c-9b9d-4044-a903-cfdb0b020da4	2015-11-16 00:32:21.911	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	2015-11-16 00:37:21.926	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	2015-11-16 00:42:21.945	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
abfbae9e-585b-455c-83e8-5736e5ef4f9f	2015-11-16 00:47:21.969	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
28c100bf-61db-491a-b91f-c23c3eebc82e	2015-11-16 00:52:21.99	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8a553d20-26e3-44d4-9130-88255f334580	2015-11-16 00:57:21.981	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	2015-11-16 01:02:22.029	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
3075d499-0169-4cf8-b472-59d58281de25	2015-11-16 01:07:22.069	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
c416ccd5-af67-4e64-974f-d5032af997da	2015-11-16 01:12:22.069	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
baaec938-7c0d-4457-8c08-e3ad1aac3345	2015-11-16 01:17:22.092	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
49702d2b-0819-464e-85de-6fc5f97aec4b	2015-11-16 01:22:22.099	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d003e03a-6997-4fa1-ab7c-44f606a4ac27	2015-11-16 01:27:22.086	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
621b2b21-652a-4336-b6fc-c43533224e85	2015-11-16 01:32:22.15	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
29a0766f-c356-406b-a108-0759164b2b0e	2015-11-16 01:37:22.169	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	2015-11-16 01:42:22.179	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	2015-11-16 01:47:22.184	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
e32182da-13c2-4083-a39c-02ab0dbaf39e	2015-11-16 01:52:22.195	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
17159d59-e40d-499f-863e-f19bbf80cdc6	2015-11-16 01:57:22.248	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
5d42a349-d5e2-4839-a4bf-b07158a96318	2015-11-16 02:02:22.271	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
8fb209ce-306b-47d1-96aa-a3bde9aa8199	2015-11-16 02:07:22.285	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
41cce782-a08d-480b-b631-beae0d4eed95	2015-11-16 02:12:22.305	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
91b27187-b712-456f-93b5-5ec396662c20	2015-11-16 02:17:22.332	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	2015-11-16 02:22:22.324	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	2015-11-16 02:27:22.39	fa97e161-0aa5-4d71-b76c-3a92bdf56bdc	1.64173614301395898
\.


--
-- Data for Name: puemeasurement_calculateddata$subsystemlossregistration; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY "puemeasurement_calculateddata$subsystemlossregistration" (puemeasurement_uuid, subsystemlossregistration_uuid, subsystem_type) FROM stdin;
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	f3ef3733-a7f1-4998-b6ed-a510f72bb378	SWITCHGEAR
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	214e5cc5-0b11-40c6-b047-787e0c32a0b2	GENERATOR
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	9d0a5e2b-2974-4202-ab5f-79180f855eab	PRIMARY_AUXILIARIES
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	f8af03ce-a98b-4fa7-a65d-2c3e75a003bf	UPS
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	74ece03d-4aa5-4ad5-9eb7-44e37ee430f7	CRITICAL_AUXILIARIES
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	3a6e0036-865a-4ddf-8529-f2defb803558	LIGHTING
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	494e54fb-438f-4ed7-9b8c-07013b200d8b	CRITICAL_POWER_DISTRIBUTION
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	7b908490-cf33-41f9-8159-b4a5eb634955	CRAH
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	03c8fe9d-2134-425b-8d0d-ac6bc61277f0	CRAC
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	85a9b510-d206-43f3-986e-97ba6e662540	CRAC_WITHOUT_FAN
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	4fe4f552-c69b-4066-b8d4-60b404ea4a71	CRAC_FAN
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	6b17b70d-686d-486e-8eb1-58dc1058a553	CHILLER
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	58994f23-7110-476e-b6b3-252b42e5f9a6	AIR_COOLED_CHILLER
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	66ac2648-3a11-43ca-a978-39d9b6bf1cdd	COOLING_TOWER
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	f9173a41-cc4c-426e-b16b-a86a02226594	DRY_COOLER
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	19231e29-ccc8-4c8d-99bd-1252846fc1b2	REMOTE_CONDENSER
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	0809991c-afcd-4adb-a4e3-6bf76b155c98	CHILLED_WATER_PUMPS
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	dd5cd73a-5730-4ad2-b850-fa59654f3025	HEAT_REJECTION_PUMPS
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	2c7d4fe3-c0f2-45ad-88d0-c94507ab4f7f	VENTILATION
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	3ae76655-14ea-42a1-9ba1-6da2c39ef960	INFILTRATION
8b48be1a-aa3c-48be-8e2f-cd9a033735ee	a4d6387d-9583-4dbe-95aa-74fe7d1193ee	IT_LOAD
c53a50b2-5d3e-4a51-be32-bf258ec31133	d9d2c125-b5e6-4a14-abcc-1d2781d8c1d9	SWITCHGEAR
c53a50b2-5d3e-4a51-be32-bf258ec31133	214e7bbe-59ef-4365-bf9e-7efeaefdb9d8	GENERATOR
c53a50b2-5d3e-4a51-be32-bf258ec31133	fcd81cd0-7319-4e41-b90c-1900e9688559	PRIMARY_AUXILIARIES
c53a50b2-5d3e-4a51-be32-bf258ec31133	a9efe9ab-2420-4d24-93be-3fc7abc28a71	UPS
c53a50b2-5d3e-4a51-be32-bf258ec31133	f4adf1e7-b18c-4022-8b41-aec1e9df8bd8	CRITICAL_AUXILIARIES
c53a50b2-5d3e-4a51-be32-bf258ec31133	ef672317-85c4-4fd6-8618-efc41fb53b6f	LIGHTING
c53a50b2-5d3e-4a51-be32-bf258ec31133	2cac4fbd-6263-49cf-97f7-0d5d1b78232c	CRITICAL_POWER_DISTRIBUTION
c53a50b2-5d3e-4a51-be32-bf258ec31133	7bc12f04-13ac-47ba-92d8-b6c31766d0a6	CRAH
c53a50b2-5d3e-4a51-be32-bf258ec31133	d2f829f9-a656-417e-bee1-6d3f51730964	CRAC
c53a50b2-5d3e-4a51-be32-bf258ec31133	3f3f906a-1559-4eb2-8bd2-aa7edb861120	CRAC_WITHOUT_FAN
c53a50b2-5d3e-4a51-be32-bf258ec31133	d6e47706-4f8c-4f5b-9efb-b81e97f0048d	CRAC_FAN
c53a50b2-5d3e-4a51-be32-bf258ec31133	35cef149-4d54-455d-9068-52bab75fb407	CHILLER
c53a50b2-5d3e-4a51-be32-bf258ec31133	d8fbea1f-88a2-47c2-b66f-59f52e60b988	AIR_COOLED_CHILLER
c53a50b2-5d3e-4a51-be32-bf258ec31133	84d0c3b7-2fe7-4fc2-a71d-8604793bc752	COOLING_TOWER
c53a50b2-5d3e-4a51-be32-bf258ec31133	10316c43-0b34-4637-a52e-6313b00395fb	DRY_COOLER
c53a50b2-5d3e-4a51-be32-bf258ec31133	fac72da2-0cff-4962-9372-efea0db5bd45	REMOTE_CONDENSER
c53a50b2-5d3e-4a51-be32-bf258ec31133	216c3065-d700-4349-9db2-79e2b3a8e78d	CHILLED_WATER_PUMPS
c53a50b2-5d3e-4a51-be32-bf258ec31133	45ad0875-b993-4a61-915f-cbe4f5ccf5ca	HEAT_REJECTION_PUMPS
c53a50b2-5d3e-4a51-be32-bf258ec31133	9a3ef860-bec7-4ba4-8d18-f0d9f9aaab34	VENTILATION
c53a50b2-5d3e-4a51-be32-bf258ec31133	2b8d7526-74d8-4f07-bc41-37f9b41799fd	INFILTRATION
c53a50b2-5d3e-4a51-be32-bf258ec31133	c2328757-69db-4c40-9d24-3b0dc171c335	IT_LOAD
269d803f-8dd2-44db-90a6-b794862da39b	77e8dec6-aa97-4427-887f-19d9220b1b2a	SWITCHGEAR
269d803f-8dd2-44db-90a6-b794862da39b	fc6526b7-f610-4d5f-a438-d5cb265cd2eb	GENERATOR
269d803f-8dd2-44db-90a6-b794862da39b	55c8a0d3-6669-4ecb-be02-a7eb6f9a189f	PRIMARY_AUXILIARIES
269d803f-8dd2-44db-90a6-b794862da39b	dce23a6f-0efb-421d-9c0d-80e054ec4f6e	UPS
269d803f-8dd2-44db-90a6-b794862da39b	73c4cab6-322f-4aae-bebc-eede0a69197d	CRITICAL_AUXILIARIES
269d803f-8dd2-44db-90a6-b794862da39b	5b8e25ae-31ac-4ffd-ba15-997681f0ee99	LIGHTING
269d803f-8dd2-44db-90a6-b794862da39b	669674f7-b35e-4e97-a538-fac289e8f986	CRITICAL_POWER_DISTRIBUTION
269d803f-8dd2-44db-90a6-b794862da39b	1c3f0653-00f9-4e4e-b8a6-c6ffbf2ab6f4	CRAH
269d803f-8dd2-44db-90a6-b794862da39b	4123979b-9555-4226-823e-8078b34cb1ec	CRAC
269d803f-8dd2-44db-90a6-b794862da39b	16b132c7-9fc7-4a04-9929-7d80ee83d501	CRAC_WITHOUT_FAN
269d803f-8dd2-44db-90a6-b794862da39b	e130ac7c-3f62-4d79-87b0-80be2d9cac0e	CRAC_FAN
269d803f-8dd2-44db-90a6-b794862da39b	beaa2330-7a98-4b71-ab13-293032d7b4b7	CHILLER
269d803f-8dd2-44db-90a6-b794862da39b	dc47bfcf-be4f-4616-af5d-8a21dedf501e	AIR_COOLED_CHILLER
269d803f-8dd2-44db-90a6-b794862da39b	5bfdab38-4b3c-4347-92dc-e2e99bcefa71	COOLING_TOWER
269d803f-8dd2-44db-90a6-b794862da39b	05fc7809-46f1-44a8-b034-ef3dadb1a6ab	DRY_COOLER
269d803f-8dd2-44db-90a6-b794862da39b	87cf096c-669f-4111-9ac5-3b216ec753d2	REMOTE_CONDENSER
269d803f-8dd2-44db-90a6-b794862da39b	d7fd53be-6d80-4d63-b6cf-e06c10a87086	CHILLED_WATER_PUMPS
269d803f-8dd2-44db-90a6-b794862da39b	f2626793-2283-4e9c-843d-c68c67bc0e80	HEAT_REJECTION_PUMPS
269d803f-8dd2-44db-90a6-b794862da39b	4b16b90a-a3d1-4203-9408-2774da01d541	VENTILATION
269d803f-8dd2-44db-90a6-b794862da39b	b1c6f926-e9bd-4965-bbe1-863e8a7615e3	INFILTRATION
269d803f-8dd2-44db-90a6-b794862da39b	f3c36a65-fc04-4098-a290-04bf8e7b5a41	IT_LOAD
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	66574824-e172-41e6-a684-be74de530f0a	SWITCHGEAR
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	2b5a44f7-581d-49ec-9146-66028dd4c73f	GENERATOR
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	e158e667-6ab3-47ea-8e28-78d78493a6f4	PRIMARY_AUXILIARIES
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	9d745a50-8cf1-4458-85d4-fb1de1791862	UPS
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	e4ebdd51-1ed8-451f-aa52-8a9c77c5b3cb	CRITICAL_AUXILIARIES
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	4a34a40e-e26d-40a6-a33c-1fa50fe4aa1a	LIGHTING
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	6261395c-6ed3-403e-8263-fb7f29650372	CRITICAL_POWER_DISTRIBUTION
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	e124dc52-5ed5-4f54-83b4-b4d2ad8eb00e	CRAH
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	83d113b9-9963-47e6-ba6b-f1fe3d4a9df5	CRAC
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	ee93e382-31b2-4979-aea7-a6b6d0350d65	CRAC_WITHOUT_FAN
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	3916d494-5149-4e13-a5e7-e6dd94fb72ae	CRAC_FAN
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	ddcb1a46-c01d-4104-9499-695e9dd0051f	CHILLER
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	23855b47-6805-4354-a505-e7aeaadb6933	AIR_COOLED_CHILLER
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	bbae5669-1529-4657-bdbe-a41e0d0cc89a	COOLING_TOWER
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	ace34dff-4110-4cdb-8d16-57e75f2933c6	DRY_COOLER
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	85aebc7c-b906-4d41-a94c-bceedcbfd004	REMOTE_CONDENSER
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	0361ccc5-9a96-496d-b8d8-751c1d7266a5	CHILLED_WATER_PUMPS
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	b317ed70-c575-423c-9570-8e92f817cb7d	HEAT_REJECTION_PUMPS
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	128c8cdb-4581-4f03-96c1-f7335e02aa11	VENTILATION
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	eed1ca19-fbee-4412-8ce7-9eb31e6c274b	INFILTRATION
683bd4fa-fe59-4b36-8624-dbbd28b6dcad	64f6a473-7479-4fe6-b831-d5d4de459f7d	IT_LOAD
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	bd4ed6f7-62c2-4b61-aeee-0f4cfab282e9	SWITCHGEAR
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	f2ffbce2-c696-4833-a0eb-9d264b19548c	GENERATOR
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	10bcd2f7-dd5f-43c6-9fff-b2305255ed75	PRIMARY_AUXILIARIES
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	e7133d7e-605a-488e-b96f-37f947d2e54f	UPS
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	41ddc579-3280-4025-8424-0efcfea38013	CRITICAL_AUXILIARIES
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	e4fdcda7-8652-49a8-87e3-29638c68b117	LIGHTING
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	feb1ef47-36e2-468b-97fd-05573b9bef20	CRITICAL_POWER_DISTRIBUTION
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	d8e31030-368a-4c95-9999-8ff8f13bd4a8	CRAH
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	b08c9cc0-2555-4137-858d-6d7c36c4fd75	CRAC
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	96503b56-1987-48f9-a074-77666ec1e790	CRAC_WITHOUT_FAN
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	39bf82d4-4f14-48bc-843d-eddfbed8f685	CRAC_FAN
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	5d43acdd-b721-4bcb-b8d6-a7afa9af8406	CHILLER
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	bc7c9d85-d665-49f0-a18e-68894807705d	AIR_COOLED_CHILLER
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	d67323ff-876f-485a-b21e-0c9c430a0997	COOLING_TOWER
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	032c41c2-f51a-4963-9844-492576f8aaca	DRY_COOLER
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	49bd6289-c372-4a81-8814-ac7536edc6f5	REMOTE_CONDENSER
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	edff374f-7cb0-4ed8-912d-398a92bbeb2c	CHILLED_WATER_PUMPS
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	a6e3830c-ca67-4828-aed8-973017120ce6	HEAT_REJECTION_PUMPS
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	3758c231-84a2-414f-9f6e-bdc28f9d38f5	VENTILATION
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	46a1f4d4-a5cd-4a60-9e4e-93c14e1a414f	INFILTRATION
74e40728-ac2c-4fce-9fbb-d8d34c76eea0	db1955f0-e760-4828-928f-535bbb58c136	IT_LOAD
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	41675567-483d-4a1e-8d77-da495af2fd65	SWITCHGEAR
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	5ac2e0a2-ec1e-41e9-92a9-2b4d7b76ec6d	GENERATOR
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	1101eb2d-8181-49b3-8d3b-55f33e619cf9	PRIMARY_AUXILIARIES
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	57852ec3-a1c9-46c9-8781-5060ba613847	UPS
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	f7dceb88-e678-478a-887e-adbf45f42287	CRITICAL_AUXILIARIES
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	b462a8d1-0b91-4861-80ac-7d1b73fdde6e	LIGHTING
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	8128e3c3-c3e9-4a8b-83ef-d51623f84a44	CRITICAL_POWER_DISTRIBUTION
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	17312343-b077-4782-a3d5-338b5bac86d9	CRAH
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	f94a2a92-3d0b-49e8-9bce-1684bd4c7915	CRAC
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	789b84df-5393-477c-acc7-68841931f410	CRAC_WITHOUT_FAN
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	ef9c8afa-6b2e-4602-9b9b-e8fcfcd39363	CRAC_FAN
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	1e9b551d-c1dc-47e6-872f-7e8b45b222de	CHILLER
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	1b49cde8-ff37-4321-90fc-7f27a801bb7a	AIR_COOLED_CHILLER
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	2dad24c0-69c9-4159-9153-c2122c2a2f10	COOLING_TOWER
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	78ba4477-fe88-456a-8397-41c5e74a7623	DRY_COOLER
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	a3ab6ed4-dfca-47b2-8b09-0b73911a7af9	REMOTE_CONDENSER
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	e5bba7e3-aa33-4028-b38b-f03898435989	CHILLED_WATER_PUMPS
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	b4c656e4-cf60-4b8a-b922-19c6f370eeeb	HEAT_REJECTION_PUMPS
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	5dba1aeb-f277-4213-a5b7-b68b4edda29c	VENTILATION
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	6abb60b7-731d-4fb4-b7b3-98eb1e055e7e	INFILTRATION
2ebcb37c-9d43-4541-be3a-6e3a5ec8292b	3dcbd71d-29c1-499a-b8f9-91b9a08e8283	IT_LOAD
6fb96e41-893a-40a6-9e23-4df8b4802811	5e3aa572-1c58-4ee4-be2f-59112d3b9745	SWITCHGEAR
6fb96e41-893a-40a6-9e23-4df8b4802811	476a5d50-3fe2-4c9e-995d-b1ae112dca12	GENERATOR
6fb96e41-893a-40a6-9e23-4df8b4802811	34ba1524-a12b-4da3-bfba-939250dde303	PRIMARY_AUXILIARIES
6fb96e41-893a-40a6-9e23-4df8b4802811	db5e5fc1-1e5b-4775-bcc6-87de02f86565	UPS
6fb96e41-893a-40a6-9e23-4df8b4802811	eabe775f-9b0d-4d25-aff6-b600b2ca2a23	CRITICAL_AUXILIARIES
6fb96e41-893a-40a6-9e23-4df8b4802811	61c7303a-ed7c-458d-bbd2-c269874a5f68	LIGHTING
6fb96e41-893a-40a6-9e23-4df8b4802811	3016a415-0555-40a9-9c72-bba34146a883	CRITICAL_POWER_DISTRIBUTION
6fb96e41-893a-40a6-9e23-4df8b4802811	e2a49131-e639-4464-976c-15556b7ebbbd	CRAH
6fb96e41-893a-40a6-9e23-4df8b4802811	9702f23d-10cd-4023-a733-d4d41b7c4c3c	CRAC
6fb96e41-893a-40a6-9e23-4df8b4802811	a19da61f-7814-42ac-823b-c267c4f37ccb	CRAC_WITHOUT_FAN
6fb96e41-893a-40a6-9e23-4df8b4802811	147c1aaa-b3f4-484c-a99d-36c9f1995079	CRAC_FAN
6fb96e41-893a-40a6-9e23-4df8b4802811	fa604b10-14fc-440b-870b-f55dbe7a6aeb	CHILLER
6fb96e41-893a-40a6-9e23-4df8b4802811	268270b1-39b5-4b04-9ac3-95e1243e03f3	AIR_COOLED_CHILLER
6fb96e41-893a-40a6-9e23-4df8b4802811	a02a036f-62a2-4914-b928-ce69199ed153	COOLING_TOWER
6fb96e41-893a-40a6-9e23-4df8b4802811	de09a741-981b-462f-a45e-60037f1f75ff	DRY_COOLER
6fb96e41-893a-40a6-9e23-4df8b4802811	ea28279b-df38-448c-8657-1ed0823798fa	REMOTE_CONDENSER
6fb96e41-893a-40a6-9e23-4df8b4802811	cb9bf6d2-8c29-44f9-a0ef-0b167691ea12	CHILLED_WATER_PUMPS
6fb96e41-893a-40a6-9e23-4df8b4802811	9b9ec05d-f400-4dba-8907-6867adc7738a	HEAT_REJECTION_PUMPS
6fb96e41-893a-40a6-9e23-4df8b4802811	4de44fc4-337f-4cdb-99da-9b9cf608677c	VENTILATION
6fb96e41-893a-40a6-9e23-4df8b4802811	9f039e3a-c645-4993-a83f-3b210e0b0100	INFILTRATION
6fb96e41-893a-40a6-9e23-4df8b4802811	dfcd01e4-955e-441e-a4f2-3a3853f88369	IT_LOAD
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	b450f7cb-8a46-43ff-a5bb-10e144f8de6e	SWITCHGEAR
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	daa64b82-0338-4731-bdae-5e99a9999531	GENERATOR
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	44b26582-bbb3-4ac1-aafa-018f199ee318	PRIMARY_AUXILIARIES
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	4885cc82-463e-4884-acd2-4777434acae2	UPS
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	9b7d2238-6bd1-43a4-a8b1-38531a3c3014	CRITICAL_AUXILIARIES
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	7e56140d-e1a3-427d-8012-caf2f92c6500	LIGHTING
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	87fe1617-e4c2-4afb-883c-b6bce806e539	CRITICAL_POWER_DISTRIBUTION
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	7256aa18-49ff-4b13-9322-13b9be6c3c06	CRAH
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	f03446be-3fa0-4877-8d79-01772ade8ba1	CRAC
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	95fe46da-e669-473c-a89e-e98d17d534a0	CRAC_WITHOUT_FAN
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	dac0623e-1eb1-464f-b77a-597387406a5d	CRAC_FAN
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	765f6626-5f23-4146-bca8-0851acc96686	CHILLER
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	fe56eff0-3083-477e-af05-3283c68e977e	AIR_COOLED_CHILLER
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	eebac57a-5c4f-406a-a3a0-192fe64104bd	COOLING_TOWER
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	fbf14bd3-c08d-417b-919c-df7d9a8168a6	DRY_COOLER
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	ceb30c75-19d4-48b6-b289-5696ff197ab9	REMOTE_CONDENSER
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	0b8d9345-1db9-4f04-9077-58f2d1b8eb27	CHILLED_WATER_PUMPS
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	e9299701-94dc-436b-9e33-b14b158a661f	HEAT_REJECTION_PUMPS
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	febeffb4-0f94-4ab2-a29d-d7cebcc948e2	VENTILATION
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	5df47bcb-ebf5-4d44-9064-a53cf91f6713	INFILTRATION
ea37c105-d1ec-4fc2-a9ba-6c62bd3b90bd	62fa2298-f93c-4e79-a0eb-8bf310a437b8	IT_LOAD
2226c93c-6e96-46b1-b076-9a59344289b8	1b5b5538-5516-4b7b-bfcc-e6cce271d173	SWITCHGEAR
2226c93c-6e96-46b1-b076-9a59344289b8	16403eae-45c6-41ef-8db5-b001149c33e3	GENERATOR
2226c93c-6e96-46b1-b076-9a59344289b8	b642b538-2f09-4611-aa07-b4e5aba2e7d0	PRIMARY_AUXILIARIES
2226c93c-6e96-46b1-b076-9a59344289b8	c3dd862b-03fa-4b1a-a0b7-211cec6f18b8	UPS
2226c93c-6e96-46b1-b076-9a59344289b8	996c3bc8-5bbd-47ee-aca9-d1835107c51c	CRITICAL_AUXILIARIES
2226c93c-6e96-46b1-b076-9a59344289b8	c96a6be2-4e57-4be4-b2db-a3f422f4d3d8	LIGHTING
2226c93c-6e96-46b1-b076-9a59344289b8	094a1b30-3d72-461d-9d04-f4d1c92b12dc	CRITICAL_POWER_DISTRIBUTION
2226c93c-6e96-46b1-b076-9a59344289b8	49663e52-2f0c-4f52-aade-83024b3f6bfe	CRAH
2226c93c-6e96-46b1-b076-9a59344289b8	6965fa1b-ef01-4e66-b2d8-8e34b3a3a082	CRAC
2226c93c-6e96-46b1-b076-9a59344289b8	bd20ecf1-b769-447a-acc3-72791e615b4f	CRAC_WITHOUT_FAN
2226c93c-6e96-46b1-b076-9a59344289b8	1a34a224-563e-4bcb-8eab-435224e92807	CRAC_FAN
2226c93c-6e96-46b1-b076-9a59344289b8	d1f3a711-3b72-40a6-9cce-dbf0fb8d74e5	CHILLER
2226c93c-6e96-46b1-b076-9a59344289b8	974a3508-b437-42f7-af6e-60654f05da5b	AIR_COOLED_CHILLER
2226c93c-6e96-46b1-b076-9a59344289b8	e752af29-a357-4d6c-8252-0084349442d4	COOLING_TOWER
2226c93c-6e96-46b1-b076-9a59344289b8	aabd132b-e0aa-4dcf-8a8e-b6e778bd5d2f	DRY_COOLER
2226c93c-6e96-46b1-b076-9a59344289b8	dd3cecad-8011-40af-9f79-e615a55bd578	REMOTE_CONDENSER
2226c93c-6e96-46b1-b076-9a59344289b8	acb262a5-27ba-4e21-8447-1bfda38edeff	CHILLED_WATER_PUMPS
2226c93c-6e96-46b1-b076-9a59344289b8	b0df3377-62ff-4c52-91ed-5c1261d95a26	HEAT_REJECTION_PUMPS
2226c93c-6e96-46b1-b076-9a59344289b8	d66d5e7b-b7de-4dec-a17e-ccb369179761	VENTILATION
2226c93c-6e96-46b1-b076-9a59344289b8	f7890fd2-4bef-44d2-b1b8-b901d29fcc1e	INFILTRATION
2226c93c-6e96-46b1-b076-9a59344289b8	b058eb63-4194-4e58-801d-8a0f8f59af22	IT_LOAD
f17b86f2-2719-4481-b743-6e91966d1a24	a4c5f5be-c286-4206-83f9-1d30603e6307	SWITCHGEAR
f17b86f2-2719-4481-b743-6e91966d1a24	b28870f5-b48e-4d1b-919a-ad36575c50b8	GENERATOR
f17b86f2-2719-4481-b743-6e91966d1a24	64496db4-a14b-4c8e-b464-45a1458d4c61	PRIMARY_AUXILIARIES
f17b86f2-2719-4481-b743-6e91966d1a24	6f81f147-df76-489d-ad34-1f4af67a0969	UPS
f17b86f2-2719-4481-b743-6e91966d1a24	c7877dca-14c8-4d30-bc7d-7a18c108a222	CRITICAL_AUXILIARIES
f17b86f2-2719-4481-b743-6e91966d1a24	345029c8-9006-43d6-8db2-4557acecc7d8	LIGHTING
f17b86f2-2719-4481-b743-6e91966d1a24	8ca27882-ca16-4cbb-962e-f35c44d0681a	CRITICAL_POWER_DISTRIBUTION
f17b86f2-2719-4481-b743-6e91966d1a24	bce0e420-3f61-40ad-a92a-0df14efce9fb	CRAH
f17b86f2-2719-4481-b743-6e91966d1a24	88dec115-e788-4149-98eb-bf42b1301893	CRAC
f17b86f2-2719-4481-b743-6e91966d1a24	575fb52d-4595-4237-8404-22f183e0a1e1	CRAC_WITHOUT_FAN
f17b86f2-2719-4481-b743-6e91966d1a24	8391c4ed-6ac1-44e4-81b0-2edf11eb13b5	CRAC_FAN
f17b86f2-2719-4481-b743-6e91966d1a24	fd64cba4-27b9-49d6-911c-9a494a1e7955	CHILLER
f17b86f2-2719-4481-b743-6e91966d1a24	9970fd35-df36-4292-9ac1-1ae850a27e85	AIR_COOLED_CHILLER
f17b86f2-2719-4481-b743-6e91966d1a24	5e9bc5f5-b922-4a74-ac2a-f3208d66906a	COOLING_TOWER
f17b86f2-2719-4481-b743-6e91966d1a24	9ec2097f-98ba-478e-ac69-d4604358d23b	DRY_COOLER
f17b86f2-2719-4481-b743-6e91966d1a24	83d36c5f-bb7b-45c8-8718-efc6200ec40d	REMOTE_CONDENSER
f17b86f2-2719-4481-b743-6e91966d1a24	a92b3df0-f86e-46a2-b645-e1b7c01646cc	CHILLED_WATER_PUMPS
f17b86f2-2719-4481-b743-6e91966d1a24	dc34e00a-2b29-4f45-a32f-66995f8bbd44	HEAT_REJECTION_PUMPS
f17b86f2-2719-4481-b743-6e91966d1a24	877a9c9f-704d-4dcd-a3e3-4b503589e39f	VENTILATION
f17b86f2-2719-4481-b743-6e91966d1a24	c1622377-88ad-4956-a2f9-a57dfaf7d4f4	INFILTRATION
f17b86f2-2719-4481-b743-6e91966d1a24	d29d3cf1-a3ed-4375-94dc-515be96ffee3	IT_LOAD
3cf6750e-4395-4916-9347-c5de6bebe6ab	1075830d-52d6-4fc0-9c0f-e1a1790d5324	SWITCHGEAR
3cf6750e-4395-4916-9347-c5de6bebe6ab	1bde3950-c7a9-489a-b9eb-887b70965076	GENERATOR
3cf6750e-4395-4916-9347-c5de6bebe6ab	33af02df-db6a-4488-9f38-f743ab6d50d5	PRIMARY_AUXILIARIES
3cf6750e-4395-4916-9347-c5de6bebe6ab	3858789d-04ab-44bd-afbc-38f877580bef	UPS
3cf6750e-4395-4916-9347-c5de6bebe6ab	7e647bce-a950-44f6-9dc2-d6f9831e56e1	CRITICAL_AUXILIARIES
3cf6750e-4395-4916-9347-c5de6bebe6ab	3e76dc66-4fc8-4ff4-ac23-140f636f66af	LIGHTING
3cf6750e-4395-4916-9347-c5de6bebe6ab	1a553381-beef-4b59-b3f3-6dc41bbaa06d	CRITICAL_POWER_DISTRIBUTION
3cf6750e-4395-4916-9347-c5de6bebe6ab	754535d0-cdfd-495f-abaa-b7591aeb16bf	CRAH
3cf6750e-4395-4916-9347-c5de6bebe6ab	cd24db3c-1d1b-47d1-91af-0d21686fde43	CRAC
3cf6750e-4395-4916-9347-c5de6bebe6ab	8d848ac7-6466-4dcb-9f73-6543cb0396bf	CRAC_WITHOUT_FAN
3cf6750e-4395-4916-9347-c5de6bebe6ab	57f3af08-018b-4deb-b515-61d9473a4548	CRAC_FAN
3cf6750e-4395-4916-9347-c5de6bebe6ab	8045eb40-4af3-49e6-8481-81e05fd4182f	CHILLER
3cf6750e-4395-4916-9347-c5de6bebe6ab	ab388881-4e7d-4e23-948f-8761b19e1699	AIR_COOLED_CHILLER
3cf6750e-4395-4916-9347-c5de6bebe6ab	6dda46ec-1cd5-48c4-91c8-aec179398893	COOLING_TOWER
3cf6750e-4395-4916-9347-c5de6bebe6ab	bc507a4b-7eeb-45ec-8d17-414c487b976f	DRY_COOLER
3cf6750e-4395-4916-9347-c5de6bebe6ab	2c627a34-33d0-4e64-9600-1ad83378f3f0	REMOTE_CONDENSER
3cf6750e-4395-4916-9347-c5de6bebe6ab	85083c0f-8efb-4b4a-80de-210aeda8e6bf	CHILLED_WATER_PUMPS
3cf6750e-4395-4916-9347-c5de6bebe6ab	7a649aa5-fd54-4842-ad46-8a666636d6ce	HEAT_REJECTION_PUMPS
3cf6750e-4395-4916-9347-c5de6bebe6ab	aa016120-097e-4bb0-afb7-b230962b1209	VENTILATION
3cf6750e-4395-4916-9347-c5de6bebe6ab	875b4b22-75ba-4a0e-b1de-b0f25a64293a	INFILTRATION
3cf6750e-4395-4916-9347-c5de6bebe6ab	663158a1-0aaf-4019-aac2-c466b0afce72	IT_LOAD
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	5de377ec-2aaf-46a7-ad9b-a715a50e669d	SWITCHGEAR
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	d9643a1f-8916-4554-b0dd-6bd0d36de3f0	GENERATOR
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	466a8f01-c5b0-4f7d-a76a-b6805abdf8b4	PRIMARY_AUXILIARIES
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	8100fd7c-ebfa-465f-b1fc-f34922ca16f8	UPS
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	77c23a46-8618-4db3-93e0-aa030b2ae825	CRITICAL_AUXILIARIES
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	557d21a3-ccd8-460c-9259-05e21da47214	LIGHTING
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	b0b1728b-9189-43b7-9ef5-ebb2d69b2379	CRITICAL_POWER_DISTRIBUTION
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	4ecbf401-fd3d-4124-8ee3-cd43c94e0097	CRAH
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	3b79484e-a4b5-438f-9906-b65ff184b177	CRAC
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	8e8431e3-5bbe-498a-861a-d0fa6ba34b14	CRAC_WITHOUT_FAN
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	6008bb3d-be76-48d6-b5b1-09d01c7ed6b0	CRAC_FAN
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	e590b81c-d6d1-4860-abc4-6c805091c86e	CHILLER
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	b806b216-5d38-4f05-9b32-789920b5ec52	AIR_COOLED_CHILLER
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	04562fa3-15d9-4c9c-8bb7-0ac0eac0608c	COOLING_TOWER
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	1ac10f4c-3c20-4e24-9538-5c49c5d94044	DRY_COOLER
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	4a7421a9-2214-4906-ae2a-51fc26f9bb3a	REMOTE_CONDENSER
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	09947875-6843-406b-b275-2a03b5ffb6af	CHILLED_WATER_PUMPS
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	5d0849b5-8da1-410c-b31b-657ecb18a0fb	HEAT_REJECTION_PUMPS
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	bf7ff699-fa7f-4ac6-843c-1fe9a963d848	VENTILATION
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	a393440c-edab-45e6-b330-df86bbbf08a9	INFILTRATION
a02c3037-0d6f-4cce-bfa2-b73024e8f4c9	2ec6dedb-8bd7-4ccd-8b69-6c4a2a741a0c	IT_LOAD
16e7cd60-705a-435d-96a3-a6cc172920d7	8586d14a-93fc-4b6e-b823-60b675f32e0b	SWITCHGEAR
16e7cd60-705a-435d-96a3-a6cc172920d7	f6f24db5-726a-47d9-9185-ffeb741c474b	GENERATOR
16e7cd60-705a-435d-96a3-a6cc172920d7	e45ea9be-475a-43b1-bdec-53f8f6f7f026	PRIMARY_AUXILIARIES
16e7cd60-705a-435d-96a3-a6cc172920d7	2d4fd498-520d-4940-8aa4-2aa4247a4bd2	UPS
16e7cd60-705a-435d-96a3-a6cc172920d7	2fd74c23-fd11-477c-a765-47088685ddce	CRITICAL_AUXILIARIES
16e7cd60-705a-435d-96a3-a6cc172920d7	2f96eef4-7294-42c7-b18d-3815a6b495fd	LIGHTING
16e7cd60-705a-435d-96a3-a6cc172920d7	757f354f-09d7-4404-bcab-1fc5b8f5c0dd	CRITICAL_POWER_DISTRIBUTION
16e7cd60-705a-435d-96a3-a6cc172920d7	3803c94e-9ea0-4294-a22d-58e522964e2f	CRAH
16e7cd60-705a-435d-96a3-a6cc172920d7	dea5362d-b8ca-477f-b080-7cbddcb821a2	CRAC
16e7cd60-705a-435d-96a3-a6cc172920d7	55dcb11f-6c52-48b8-b785-cd7958fe1e7d	CRAC_WITHOUT_FAN
16e7cd60-705a-435d-96a3-a6cc172920d7	c8db3878-3e79-486a-9d59-badc62259afb	CRAC_FAN
16e7cd60-705a-435d-96a3-a6cc172920d7	32359c49-824a-4df5-910a-0e247c877637	CHILLER
16e7cd60-705a-435d-96a3-a6cc172920d7	c8204664-dbdf-48e2-9bb9-49fce1b267c1	AIR_COOLED_CHILLER
16e7cd60-705a-435d-96a3-a6cc172920d7	29de21e9-4182-4678-adf1-181f54baef90	COOLING_TOWER
16e7cd60-705a-435d-96a3-a6cc172920d7	6d1351e1-4755-4112-84db-31e5042f7061	DRY_COOLER
16e7cd60-705a-435d-96a3-a6cc172920d7	f3b3cea7-7f03-4155-a08b-b89f3e603cf7	REMOTE_CONDENSER
16e7cd60-705a-435d-96a3-a6cc172920d7	5750beaf-cc83-4ac5-8eb6-37563594ebf1	CHILLED_WATER_PUMPS
16e7cd60-705a-435d-96a3-a6cc172920d7	a9a73a75-b251-4fbf-870b-029957343a74	HEAT_REJECTION_PUMPS
16e7cd60-705a-435d-96a3-a6cc172920d7	5b3c3bea-21c7-439a-987d-a095ce818b17	VENTILATION
16e7cd60-705a-435d-96a3-a6cc172920d7	0c10e6cb-8a57-4915-bb19-1fbb09e8b7d5	INFILTRATION
16e7cd60-705a-435d-96a3-a6cc172920d7	b99eaf0a-4e81-4b9d-b534-019d83f0a9e0	IT_LOAD
94b52627-f270-4b73-88a7-2909d9c50a86	cfe7ddef-ef83-4a82-a6e7-c2036b5305c6	SWITCHGEAR
94b52627-f270-4b73-88a7-2909d9c50a86	d107e211-3ba3-4740-94b3-f6d9c124296e	GENERATOR
94b52627-f270-4b73-88a7-2909d9c50a86	410cf15f-067d-4db5-b92f-79e08f5709e5	PRIMARY_AUXILIARIES
94b52627-f270-4b73-88a7-2909d9c50a86	85d04782-bb88-4819-b11d-a5ec3679c2fb	UPS
94b52627-f270-4b73-88a7-2909d9c50a86	31128968-977d-4049-bb49-b150a636a9a5	CRITICAL_AUXILIARIES
94b52627-f270-4b73-88a7-2909d9c50a86	d94ef220-f9ec-4fdb-9a55-82c22328ce51	LIGHTING
94b52627-f270-4b73-88a7-2909d9c50a86	5397fb25-8f89-479b-9f07-5e28c931b2e5	CRITICAL_POWER_DISTRIBUTION
94b52627-f270-4b73-88a7-2909d9c50a86	fab56047-ac98-42d5-9438-407243cd7481	CRAH
94b52627-f270-4b73-88a7-2909d9c50a86	ed7159bc-f830-4dc7-a5a1-71f7b4b9aeb0	CRAC
94b52627-f270-4b73-88a7-2909d9c50a86	7f8e81c7-ee4b-4b9b-979f-f82ecae3f963	CRAC_WITHOUT_FAN
94b52627-f270-4b73-88a7-2909d9c50a86	a99ed5d5-c5b2-44a7-a7b4-44cf2781c68f	CRAC_FAN
94b52627-f270-4b73-88a7-2909d9c50a86	ba6a4980-1b58-4531-8f9b-44d412b20638	CHILLER
94b52627-f270-4b73-88a7-2909d9c50a86	dec4a695-d7f0-414b-b9aa-25db14b39418	AIR_COOLED_CHILLER
94b52627-f270-4b73-88a7-2909d9c50a86	e07ab78c-5e40-4de0-aa28-6693ef8760c3	COOLING_TOWER
94b52627-f270-4b73-88a7-2909d9c50a86	fc2044a9-5dae-430a-9323-c915cb1cc370	DRY_COOLER
94b52627-f270-4b73-88a7-2909d9c50a86	02ef16bb-7207-46d9-9e26-5cbcc1b5daea	REMOTE_CONDENSER
94b52627-f270-4b73-88a7-2909d9c50a86	d972ee5d-1655-446e-8f21-58ba7c162cef	CHILLED_WATER_PUMPS
94b52627-f270-4b73-88a7-2909d9c50a86	6cad29f9-52df-4eaf-9c3e-6f268e9a335c	HEAT_REJECTION_PUMPS
94b52627-f270-4b73-88a7-2909d9c50a86	8364a7d0-da6b-4f39-9472-eb1c12007821	VENTILATION
94b52627-f270-4b73-88a7-2909d9c50a86	53de5299-d440-4733-9367-5f0f8e988047	INFILTRATION
94b52627-f270-4b73-88a7-2909d9c50a86	8d50782f-8373-4bf4-82d9-2fdb2fc2f7e1	IT_LOAD
129c9daa-9bc1-4098-a46d-2c62359aa7ad	8f702eb6-8d35-4a02-8c1e-694072133d2e	SWITCHGEAR
129c9daa-9bc1-4098-a46d-2c62359aa7ad	1321255c-f3b7-4f95-a652-4f3ba61d49ee	GENERATOR
129c9daa-9bc1-4098-a46d-2c62359aa7ad	c54094fd-7694-453a-9a7d-76b3fcbad160	PRIMARY_AUXILIARIES
129c9daa-9bc1-4098-a46d-2c62359aa7ad	918c18cd-1140-4760-8548-a9892cb59a40	UPS
129c9daa-9bc1-4098-a46d-2c62359aa7ad	8ecff6f5-5193-41ba-a851-732733a2c42e	CRITICAL_AUXILIARIES
129c9daa-9bc1-4098-a46d-2c62359aa7ad	09ab311f-d3fd-406a-bd1a-27c0ad90f6ef	LIGHTING
129c9daa-9bc1-4098-a46d-2c62359aa7ad	b44696b8-bc87-440b-bffa-b961a864e387	CRITICAL_POWER_DISTRIBUTION
129c9daa-9bc1-4098-a46d-2c62359aa7ad	d59f6715-1058-4295-93f1-64ab3b258717	CRAH
129c9daa-9bc1-4098-a46d-2c62359aa7ad	52b37263-1b46-4c4e-9522-34c355fa22b5	CRAC
129c9daa-9bc1-4098-a46d-2c62359aa7ad	b91a8eae-ea9e-4f1b-9656-c65abcb4adf7	CRAC_WITHOUT_FAN
129c9daa-9bc1-4098-a46d-2c62359aa7ad	47cfab61-de5b-4901-9425-ad05c43b20ea	CRAC_FAN
129c9daa-9bc1-4098-a46d-2c62359aa7ad	e6c227a3-248e-4fbb-b848-2cf0509de26a	CHILLER
129c9daa-9bc1-4098-a46d-2c62359aa7ad	78da1305-670a-4564-a1c3-eceba3679e2f	AIR_COOLED_CHILLER
129c9daa-9bc1-4098-a46d-2c62359aa7ad	f0c1e70c-89cc-4fbc-96f0-5d5bf74c1d73	COOLING_TOWER
129c9daa-9bc1-4098-a46d-2c62359aa7ad	09818463-5608-4fde-ae1c-8b7e85f94afe	DRY_COOLER
129c9daa-9bc1-4098-a46d-2c62359aa7ad	edd8b864-c84d-43b4-90d1-b7fff931399a	REMOTE_CONDENSER
129c9daa-9bc1-4098-a46d-2c62359aa7ad	33464b28-c1bf-495e-b73a-8afd61dde4fe	CHILLED_WATER_PUMPS
129c9daa-9bc1-4098-a46d-2c62359aa7ad	0acc04d8-4150-4528-abe4-f2387fcd2922	HEAT_REJECTION_PUMPS
129c9daa-9bc1-4098-a46d-2c62359aa7ad	293086f1-fba9-4bcf-b12f-27aef273544c	VENTILATION
129c9daa-9bc1-4098-a46d-2c62359aa7ad	cecc3a0d-4fc9-4215-8455-ddec2148c21a	INFILTRATION
129c9daa-9bc1-4098-a46d-2c62359aa7ad	97ad9c1e-da89-473a-959d-7c2dffd20a3e	IT_LOAD
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	b6649cc6-375f-43b4-9179-e935b0f88164	SWITCHGEAR
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	7b5104dd-3868-4979-ac28-f0a0b84d9c62	GENERATOR
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	348519a8-0814-4213-add6-0167c706fc95	PRIMARY_AUXILIARIES
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	bd55af43-c67f-460c-8244-b5b0ca790aee	UPS
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	7ac6feb9-4e11-47c5-b98f-a746d66a61b7	CRITICAL_AUXILIARIES
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	00a6147a-8156-4d94-8fd7-25079ed836c3	LIGHTING
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	233184ce-d632-4072-af89-e1eb68152c54	CRITICAL_POWER_DISTRIBUTION
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	bbeb6060-cfda-4bcf-aa39-df2974a03de5	CRAH
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	599445e1-8d0d-4c3d-8f07-bfb6b7d57736	CRAC
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	eca301fd-738c-48fa-919b-a6f9ad932e8a	CRAC_WITHOUT_FAN
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	ad8067c8-3c90-44b3-849e-d7c8589954f9	CRAC_FAN
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	627bb0fb-3cfa-44d0-adf2-2c3137397ff4	CHILLER
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	acefc8c6-0bf8-4fe5-a37b-339482b64436	AIR_COOLED_CHILLER
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	d6f9fe52-1095-410d-8d23-96e3fef309af	COOLING_TOWER
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	0b1d6b2f-0fb8-45b1-9b9d-4d71e454684f	DRY_COOLER
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	3b013e4b-fbfb-4d3f-85ea-8955ee016a39	REMOTE_CONDENSER
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	f974baac-4b3c-49ba-ad7f-ca7c65f747c1	CHILLED_WATER_PUMPS
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	027e7e29-05f6-4242-a854-09bbc36a6bf1	HEAT_REJECTION_PUMPS
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	a6f2a097-7b8d-4d5c-90b1-631342e02b80	VENTILATION
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	4450d148-a432-47e3-9210-17ccf966f196	INFILTRATION
334f60d5-3dd1-4d69-8c8c-0d6e61d4fc5f	bf194dee-b90b-4a85-86ca-98ee7ae4033a	IT_LOAD
15d11837-34b5-41e3-91d7-44e85697414d	9efa7573-433d-47fd-92cf-91ca5f4539e1	SWITCHGEAR
15d11837-34b5-41e3-91d7-44e85697414d	b38cc8e8-beb2-4928-86d7-0a5bb1221f87	GENERATOR
15d11837-34b5-41e3-91d7-44e85697414d	288ac692-9006-46c1-ac97-a5405222249a	PRIMARY_AUXILIARIES
15d11837-34b5-41e3-91d7-44e85697414d	5d26d8ba-b7fa-4324-922e-8daef6dfe6b1	UPS
15d11837-34b5-41e3-91d7-44e85697414d	71208ab6-6e8a-461e-b60e-1667e160c073	CRITICAL_AUXILIARIES
15d11837-34b5-41e3-91d7-44e85697414d	a59e43e6-9866-4c16-a21f-901850a7adbd	LIGHTING
15d11837-34b5-41e3-91d7-44e85697414d	e370d924-f855-4bd2-ae73-95e74789cdbc	CRITICAL_POWER_DISTRIBUTION
15d11837-34b5-41e3-91d7-44e85697414d	47e4286c-be29-4eb9-8d60-5aa3e504c7c3	CRAH
15d11837-34b5-41e3-91d7-44e85697414d	389d82e3-f467-48bb-aa42-0499fb665543	CRAC
15d11837-34b5-41e3-91d7-44e85697414d	3edd14f4-e96b-4640-99a9-aba64febe83b	CRAC_WITHOUT_FAN
15d11837-34b5-41e3-91d7-44e85697414d	28ed0b13-54ba-4110-82ee-6fe7d071fd85	CRAC_FAN
15d11837-34b5-41e3-91d7-44e85697414d	fc140054-45ae-4d6c-bf80-c4428942e781	CHILLER
15d11837-34b5-41e3-91d7-44e85697414d	5ad6d43c-fd17-4174-a042-c60eccf7f1cb	AIR_COOLED_CHILLER
15d11837-34b5-41e3-91d7-44e85697414d	65729939-818f-4c39-ae65-ea47bb8172d6	COOLING_TOWER
15d11837-34b5-41e3-91d7-44e85697414d	4a370317-84a8-4887-8c0f-cbdb7537fefa	DRY_COOLER
15d11837-34b5-41e3-91d7-44e85697414d	47e77025-498e-4a31-b9ec-208fc7eec93c	REMOTE_CONDENSER
15d11837-34b5-41e3-91d7-44e85697414d	7079caef-1f61-4aba-af0f-bdbf2001a5bb	CHILLED_WATER_PUMPS
15d11837-34b5-41e3-91d7-44e85697414d	88b16b3b-826f-4a01-8b23-8831396c4a92	HEAT_REJECTION_PUMPS
15d11837-34b5-41e3-91d7-44e85697414d	10314bba-e930-441e-9364-a08b0ad0eb46	VENTILATION
15d11837-34b5-41e3-91d7-44e85697414d	4aa8ec86-a797-473f-84f2-ebb5b9bd43f0	INFILTRATION
15d11837-34b5-41e3-91d7-44e85697414d	f21b7a63-b0d5-41dc-9a3a-8fdfe5f6299e	IT_LOAD
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	23e0c8d8-1c5f-4a5a-b1b8-c131203f5803	SWITCHGEAR
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	32a23bdc-787d-46b3-9970-9bf31f56653d	GENERATOR
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	49b36ee5-dadc-4992-a689-e6a4b88603ac	PRIMARY_AUXILIARIES
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	9ee239d2-a916-4ec2-ba46-d16535be88bb	UPS
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	ac83be05-9bb3-4fa0-931b-e1c385070a69	CRITICAL_AUXILIARIES
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	9a00d68a-6bc4-40e5-b601-ce03e9026771	LIGHTING
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	e9d7d518-afc6-465d-970e-2a3709487f55	CRITICAL_POWER_DISTRIBUTION
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	956a1b44-4cb8-40c5-a8fb-d3e5d096c3dd	CRAH
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	84bdd409-4723-412c-a096-42395f606944	CRAC
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	4ca29346-2dec-4283-bc00-6dc271732f2d	CRAC_WITHOUT_FAN
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	3da96e8a-e115-48cc-9966-c107e994eaae	CRAC_FAN
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	76c01e8b-f3ba-4dc6-99a8-1076815476c6	CHILLER
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	ba1b11c0-4232-4b4d-a2ef-3c7d9316d5cc	AIR_COOLED_CHILLER
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	13ce02c6-711f-4585-8255-cea8340f6999	COOLING_TOWER
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	5c0d0e7a-7b5b-4dd8-8140-df34f1d1d3db	DRY_COOLER
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	b5c21791-0d10-4496-867d-b2a199c27b0b	REMOTE_CONDENSER
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	48233dcd-d04e-4283-8c5a-0dc857683567	CHILLED_WATER_PUMPS
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	8a238a19-78b7-4918-843c-ea6e5263fef0	HEAT_REJECTION_PUMPS
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	8c0c621f-4a7e-4a0d-a15a-4dad5dc4ce1c	VENTILATION
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	a1d9017f-3e38-45f2-a772-7b37ad23f8c3	INFILTRATION
fb2b74aa-4486-47e3-9ce2-3027b372fcd3	294155bf-923c-449c-871d-223da9da4687	IT_LOAD
a8def25f-d39e-49c9-be1c-2a77588381ce	02ad40b7-879a-438a-8800-d74e75ddff1c	SWITCHGEAR
a8def25f-d39e-49c9-be1c-2a77588381ce	d81ffdf3-fa40-40a0-a097-c5ee483ff5c4	GENERATOR
a8def25f-d39e-49c9-be1c-2a77588381ce	ebd4521b-7495-469c-8e6a-aa3b0f211905	PRIMARY_AUXILIARIES
a8def25f-d39e-49c9-be1c-2a77588381ce	b63026ed-5325-47e6-9d14-bc11a5d2c7c1	UPS
a8def25f-d39e-49c9-be1c-2a77588381ce	ee276de6-5841-4697-b6e6-7f62b276f99f	CRITICAL_AUXILIARIES
a8def25f-d39e-49c9-be1c-2a77588381ce	a1cb8fc4-b139-4059-849c-4b91c6bbf18f	LIGHTING
a8def25f-d39e-49c9-be1c-2a77588381ce	80bbdcf5-76a4-4eb8-9ea4-1bb372f8c771	CRITICAL_POWER_DISTRIBUTION
a8def25f-d39e-49c9-be1c-2a77588381ce	c4895e72-179e-4dd5-ada9-7258302e7c39	CRAH
a8def25f-d39e-49c9-be1c-2a77588381ce	39573c6f-ea27-42ba-ae72-a1fb03bcc9bd	CRAC
a8def25f-d39e-49c9-be1c-2a77588381ce	e6c47ebe-c619-45f6-ac17-dcfb7d2d3c12	CRAC_WITHOUT_FAN
a8def25f-d39e-49c9-be1c-2a77588381ce	9c271481-9e35-4b55-b828-33674fa311c2	CRAC_FAN
a8def25f-d39e-49c9-be1c-2a77588381ce	2e6af7e0-fd17-49ae-bbc3-90146fb3de86	CHILLER
a8def25f-d39e-49c9-be1c-2a77588381ce	37203c3c-49f9-4f6a-a6df-bac6f9874fad	AIR_COOLED_CHILLER
a8def25f-d39e-49c9-be1c-2a77588381ce	ac055664-466b-45a0-a2ae-f7a620d58a72	COOLING_TOWER
a8def25f-d39e-49c9-be1c-2a77588381ce	3d414a9e-9517-451c-8a5a-1a7a74df3d0e	DRY_COOLER
a8def25f-d39e-49c9-be1c-2a77588381ce	1724aca6-2ca8-400b-9e49-f2479365fc1f	REMOTE_CONDENSER
a8def25f-d39e-49c9-be1c-2a77588381ce	4a130870-de19-437e-9a86-4f4fab721986	CHILLED_WATER_PUMPS
a8def25f-d39e-49c9-be1c-2a77588381ce	5fdee825-fd91-4acb-b73d-200248d7f0ee	HEAT_REJECTION_PUMPS
a8def25f-d39e-49c9-be1c-2a77588381ce	714224f0-4c82-4dc7-85ea-2018f902b471	VENTILATION
a8def25f-d39e-49c9-be1c-2a77588381ce	1ad72c38-1be6-4ead-aca1-fd50997efc0d	INFILTRATION
a8def25f-d39e-49c9-be1c-2a77588381ce	96ca1b64-a0ab-4ce0-b41f-40e6cd937dc4	IT_LOAD
15937778-9480-4c6b-a3ba-5606d8627b08	da2c7848-2a1d-4ffa-b8e0-7a1c5216c2fe	SWITCHGEAR
15937778-9480-4c6b-a3ba-5606d8627b08	bab61918-6e86-4992-9d66-e6397a77289b	GENERATOR
15937778-9480-4c6b-a3ba-5606d8627b08	f18d94f2-6d8d-420e-a0be-a117cf94a159	PRIMARY_AUXILIARIES
15937778-9480-4c6b-a3ba-5606d8627b08	f99cc361-8055-4905-877d-8777ee15d67b	UPS
15937778-9480-4c6b-a3ba-5606d8627b08	0166f959-bc6d-423b-9034-017f9b231e9b	CRITICAL_AUXILIARIES
15937778-9480-4c6b-a3ba-5606d8627b08	fc2108f8-d4e3-4536-9d4e-bbb96f40fc20	LIGHTING
15937778-9480-4c6b-a3ba-5606d8627b08	7e79f765-e5fd-444f-95bc-f52b960d155f	CRITICAL_POWER_DISTRIBUTION
15937778-9480-4c6b-a3ba-5606d8627b08	29ca44b6-554a-4bc1-8fec-a68b8068dc53	CRAH
15937778-9480-4c6b-a3ba-5606d8627b08	55d5be4f-fbbd-47cf-98d9-a53ed793c930	CRAC
15937778-9480-4c6b-a3ba-5606d8627b08	868e6e5f-cdf4-4053-b415-0e724106a3f6	CRAC_WITHOUT_FAN
15937778-9480-4c6b-a3ba-5606d8627b08	9a5518e6-73d2-42e2-a739-687f944cb648	CRAC_FAN
15937778-9480-4c6b-a3ba-5606d8627b08	fa1b9a43-a2ed-4305-b00d-de04bf9b0ccd	CHILLER
15937778-9480-4c6b-a3ba-5606d8627b08	2283563a-26f2-4c6b-96fa-b19725953222	AIR_COOLED_CHILLER
15937778-9480-4c6b-a3ba-5606d8627b08	bbd5d81b-dc30-4848-9563-1ec5e85733a0	COOLING_TOWER
15937778-9480-4c6b-a3ba-5606d8627b08	251d751c-f2bb-4903-8eca-c5813518735c	DRY_COOLER
15937778-9480-4c6b-a3ba-5606d8627b08	ad8befd4-9520-4f11-8947-f77b3914cd11	REMOTE_CONDENSER
15937778-9480-4c6b-a3ba-5606d8627b08	ba7e6d77-8d44-4d00-9ffc-8830dd95638c	CHILLED_WATER_PUMPS
15937778-9480-4c6b-a3ba-5606d8627b08	51fa90a7-a3aa-4511-90db-7527badeec5b	HEAT_REJECTION_PUMPS
15937778-9480-4c6b-a3ba-5606d8627b08	76994830-dafd-4b8a-b924-fb7f7b163134	VENTILATION
15937778-9480-4c6b-a3ba-5606d8627b08	b2f039aa-aec1-44b3-9b3d-ef8c341f7e09	INFILTRATION
15937778-9480-4c6b-a3ba-5606d8627b08	8166aa8f-bbfc-4149-b87f-737fa9bcece4	IT_LOAD
43540b70-ce5d-4a6e-8469-7496492526dd	79b10d63-ec5f-4ca7-9d2c-e356f142e89a	SWITCHGEAR
43540b70-ce5d-4a6e-8469-7496492526dd	9bb96a3c-696e-4d2c-ba4a-c863f7e5e4d0	GENERATOR
43540b70-ce5d-4a6e-8469-7496492526dd	56d24daa-2e9e-46a2-a847-c3128419b818	PRIMARY_AUXILIARIES
43540b70-ce5d-4a6e-8469-7496492526dd	3471a869-fc22-4c1b-9852-eaf124fd15c1	UPS
43540b70-ce5d-4a6e-8469-7496492526dd	9a480a85-4c67-4745-aa1e-b9623f8e6114	CRITICAL_AUXILIARIES
43540b70-ce5d-4a6e-8469-7496492526dd	78c2b51e-2a86-46f1-96ba-153bf341fbd7	LIGHTING
43540b70-ce5d-4a6e-8469-7496492526dd	2ead0416-4c46-4228-ac8b-39db3279dd6e	CRITICAL_POWER_DISTRIBUTION
43540b70-ce5d-4a6e-8469-7496492526dd	84e05bb4-158c-424b-9aeb-81785b31fdb4	CRAH
43540b70-ce5d-4a6e-8469-7496492526dd	e35f9517-39c8-4d42-83a8-2f3bbf62a34a	CRAC
43540b70-ce5d-4a6e-8469-7496492526dd	c69ad417-265c-439a-8c46-3989c302b39c	CRAC_WITHOUT_FAN
43540b70-ce5d-4a6e-8469-7496492526dd	8bf7deb0-35e1-4b01-8da1-fd19ef79ded9	CRAC_FAN
43540b70-ce5d-4a6e-8469-7496492526dd	34d5ea86-2fb9-442a-9a4b-4932b3ef4876	CHILLER
43540b70-ce5d-4a6e-8469-7496492526dd	90d8d77e-be75-4b5f-9c92-14112a3cc3fd	AIR_COOLED_CHILLER
43540b70-ce5d-4a6e-8469-7496492526dd	0db0b895-b59a-48ba-8d4a-d9121d71b348	COOLING_TOWER
43540b70-ce5d-4a6e-8469-7496492526dd	d0277ae8-750b-44fd-97a5-f4828ef53991	DRY_COOLER
43540b70-ce5d-4a6e-8469-7496492526dd	fd68fb0b-b71c-4dc8-9022-7331507ff993	REMOTE_CONDENSER
43540b70-ce5d-4a6e-8469-7496492526dd	83de15fa-0447-4207-808a-6a339b395375	CHILLED_WATER_PUMPS
43540b70-ce5d-4a6e-8469-7496492526dd	97b7cd01-8629-4aa1-887a-b1c6b0662c94	HEAT_REJECTION_PUMPS
43540b70-ce5d-4a6e-8469-7496492526dd	b2d563b7-a8ab-4df1-9fc7-1a06dd743ff5	VENTILATION
43540b70-ce5d-4a6e-8469-7496492526dd	f092118e-c494-4064-85df-850192913371	INFILTRATION
43540b70-ce5d-4a6e-8469-7496492526dd	c03fc5a8-4d14-4409-a11d-65049b88c722	IT_LOAD
b415e371-411e-4a05-a25d-f057a56cb132	ccca4e15-8942-4737-9a12-07b2bf7bca4a	SWITCHGEAR
b415e371-411e-4a05-a25d-f057a56cb132	25df8600-6118-4e9a-b397-a0e1ed9a5629	GENERATOR
b415e371-411e-4a05-a25d-f057a56cb132	964d4268-967b-4935-91f9-4c7565817e72	PRIMARY_AUXILIARIES
b415e371-411e-4a05-a25d-f057a56cb132	37881f36-0602-464b-bdd5-8e4a2f6a1f4b	UPS
b415e371-411e-4a05-a25d-f057a56cb132	4396d7b0-d5f7-42dc-8279-c2f3d36fbf84	CRITICAL_AUXILIARIES
b415e371-411e-4a05-a25d-f057a56cb132	37776851-c35e-4993-917e-85745317e0d3	LIGHTING
b415e371-411e-4a05-a25d-f057a56cb132	2555d9a7-5312-4fb2-a951-5a10d7398bc3	CRITICAL_POWER_DISTRIBUTION
b415e371-411e-4a05-a25d-f057a56cb132	d980f9b6-4b84-4eb6-8ad3-22133372690d	CRAH
b415e371-411e-4a05-a25d-f057a56cb132	bcd9cfd3-4b3d-45ed-8d82-424cc9b2b122	CRAC
b415e371-411e-4a05-a25d-f057a56cb132	b6417164-9130-42b4-906c-12f10fc8a9f2	CRAC_WITHOUT_FAN
b415e371-411e-4a05-a25d-f057a56cb132	89893ea4-59c8-40e5-a587-7578e77b113f	CRAC_FAN
b415e371-411e-4a05-a25d-f057a56cb132	d463818f-d87b-4117-8356-31ce5c292425	CHILLER
b415e371-411e-4a05-a25d-f057a56cb132	39b7ebc1-27a4-4de4-baa1-3ec075f5d699	AIR_COOLED_CHILLER
b415e371-411e-4a05-a25d-f057a56cb132	64b3269a-852d-426d-8465-eb63b0faa090	COOLING_TOWER
b415e371-411e-4a05-a25d-f057a56cb132	bceac08c-d92b-416b-888b-02084780b473	DRY_COOLER
b415e371-411e-4a05-a25d-f057a56cb132	c7e22a8c-4a9f-4566-b326-1bcbe387a284	REMOTE_CONDENSER
b415e371-411e-4a05-a25d-f057a56cb132	1d54710b-8ad7-4041-8fe9-04034b2a9406	CHILLED_WATER_PUMPS
b415e371-411e-4a05-a25d-f057a56cb132	fa2dcdf4-0079-48ce-851a-68d6781dab43	HEAT_REJECTION_PUMPS
b415e371-411e-4a05-a25d-f057a56cb132	e6a7dee7-d331-4f8c-8d81-7c0efe068d17	VENTILATION
b415e371-411e-4a05-a25d-f057a56cb132	01679ef6-40b1-443b-848c-232968fbcc1f	INFILTRATION
b415e371-411e-4a05-a25d-f057a56cb132	42cfd52e-1747-4a34-95e5-560ba61c2778	IT_LOAD
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	83391cbd-1b4c-4566-b00f-bf635476cf09	SWITCHGEAR
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	a9e27745-70f3-4d2d-a989-7e7e712baf5d	GENERATOR
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	ed42ac2c-b81a-433e-b91b-aaa0b6d9b899	PRIMARY_AUXILIARIES
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	2efe24b6-d6fe-4fe7-b496-895c2e11d07c	UPS
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	fd8b59a8-1374-4f5b-9d9d-f30d05b4c613	CRITICAL_AUXILIARIES
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	f1ab38c7-8f64-46a0-a023-553e9f92725b	LIGHTING
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	c070994b-30f3-48d0-9cf9-3be5555d7a58	CRITICAL_POWER_DISTRIBUTION
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	a62ce878-24a7-4b20-9828-2962bb78ba18	CRAH
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	820fbeab-32f7-4f65-9961-a27b79b5bf3f	CRAC
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	a46933b0-2b7e-49e0-b00f-9236b900dc03	CRAC_WITHOUT_FAN
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	f6725260-0ca1-4e86-b5c1-35d03d152daa	CRAC_FAN
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	63818c97-2865-420e-86ed-6437763c0bb4	CHILLER
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	5d84df4e-6ad4-4a5f-a720-7afc3afe409d	AIR_COOLED_CHILLER
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	8865c6ae-2780-4719-85df-9551f2f79e1f	COOLING_TOWER
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	fa4b7f22-f7c4-49b0-9eaa-2f68fe16c9e6	DRY_COOLER
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	48910cd4-62f1-4b31-8f8b-316515d6cc62	REMOTE_CONDENSER
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	2b42852a-33dc-4d66-b379-63c29e2078e2	CHILLED_WATER_PUMPS
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	c3ffb636-cce4-4eb3-b459-473f77e25643	HEAT_REJECTION_PUMPS
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	3b3e7bf7-15a1-4fc1-9dc3-bd633057f380	VENTILATION
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	0cc8b0ad-82ec-475a-9948-d26189da8060	INFILTRATION
2fecbcf4-8873-4c7f-8edd-6bd0a9fb1d4e	90ffd52b-c460-4fca-8265-68208c2b6e3d	IT_LOAD
4d3eb5e4-7790-41a7-9617-ad78442b3c49	002dcac3-4e99-4721-852a-56311bf54c13	SWITCHGEAR
4d3eb5e4-7790-41a7-9617-ad78442b3c49	62aeb950-e7ef-4aa9-b46c-1918fa5f83e9	GENERATOR
4d3eb5e4-7790-41a7-9617-ad78442b3c49	04092dec-a318-4b47-96fb-fe56f0006a6e	PRIMARY_AUXILIARIES
4d3eb5e4-7790-41a7-9617-ad78442b3c49	f22f564b-c89a-4908-88bc-77278273b9d3	UPS
4d3eb5e4-7790-41a7-9617-ad78442b3c49	392deee3-67e2-49dc-95fc-8d34fc48c24d	CRITICAL_AUXILIARIES
4d3eb5e4-7790-41a7-9617-ad78442b3c49	49e82122-ea82-459f-b644-d5a1b53bff90	LIGHTING
4d3eb5e4-7790-41a7-9617-ad78442b3c49	eaf3cc51-ca6f-4fe1-9638-daa389f48af2	CRITICAL_POWER_DISTRIBUTION
4d3eb5e4-7790-41a7-9617-ad78442b3c49	67e9b91d-1d8a-4bcc-b05e-bfa3a3fde0b8	CRAH
4d3eb5e4-7790-41a7-9617-ad78442b3c49	aacefd3b-fe85-44c7-85e2-46b91a1ed6ad	CRAC
4d3eb5e4-7790-41a7-9617-ad78442b3c49	ebabf69d-57a9-4b1d-9e11-77b998a44647	CRAC_WITHOUT_FAN
4d3eb5e4-7790-41a7-9617-ad78442b3c49	f125744a-20a6-48c1-bdb3-d78dce68ae8a	CRAC_FAN
4d3eb5e4-7790-41a7-9617-ad78442b3c49	5b6cbc17-0c78-431a-8c1b-c5f5472b7bb8	CHILLER
4d3eb5e4-7790-41a7-9617-ad78442b3c49	246332ef-8bc5-4897-a8ff-ef21c556918a	AIR_COOLED_CHILLER
4d3eb5e4-7790-41a7-9617-ad78442b3c49	671d5b15-d9cc-4be5-be36-2b1ebf4870fa	COOLING_TOWER
4d3eb5e4-7790-41a7-9617-ad78442b3c49	63d81376-c1ea-4dda-9c25-18798f15de12	DRY_COOLER
4d3eb5e4-7790-41a7-9617-ad78442b3c49	df1d285d-5e58-4a9b-b3fe-df4023589196	REMOTE_CONDENSER
4d3eb5e4-7790-41a7-9617-ad78442b3c49	abeeefd0-a3c0-4a00-8375-fae1a7d51966	CHILLED_WATER_PUMPS
4d3eb5e4-7790-41a7-9617-ad78442b3c49	4d9ca879-daae-4d88-a474-49a1f2f19aed	HEAT_REJECTION_PUMPS
4d3eb5e4-7790-41a7-9617-ad78442b3c49	039da10c-89d7-4fc4-a7c3-f610737ca1c2	VENTILATION
4d3eb5e4-7790-41a7-9617-ad78442b3c49	a76207b2-ec50-4b2d-9b4d-fd71476f06cb	INFILTRATION
4d3eb5e4-7790-41a7-9617-ad78442b3c49	742f546b-caa3-432d-9ee0-725de797e46d	IT_LOAD
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	c26468ca-73fd-4cd5-971b-00b02e7c69fd	SWITCHGEAR
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	530af416-a40f-42e6-9268-44d4deff31be	GENERATOR
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	f7b9dd9d-49a1-477b-b8a6-017e2a5cdc0a	PRIMARY_AUXILIARIES
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	3f002fb6-ee68-410a-a3d6-0e465ab2bc04	UPS
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	f745a055-80db-457d-81c4-406949da9db9	CRITICAL_AUXILIARIES
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	569a8e4e-6a20-4740-8fe9-9045ae8fc25c	LIGHTING
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	6830076d-2ba3-4241-8f4f-b1e3ff0e3ee3	CRITICAL_POWER_DISTRIBUTION
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	33ab2c2f-8443-4eb5-a064-e461381df9a2	CRAH
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	9bff2f29-36ba-4f40-9015-48e21f81807f	CRAC
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	39c2e965-e273-4131-b999-8cc9937df75f	CRAC_WITHOUT_FAN
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	0efcc118-738c-48b9-a4b7-360558953aba	CRAC_FAN
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	3f4f78a9-9972-4a94-b5ec-7a5da1d6289e	CHILLER
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	52b6388d-e8e1-43b3-8f5f-505d5fd18a6a	AIR_COOLED_CHILLER
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	43894ff2-7a67-4db1-9854-cb3d3fcf0758	COOLING_TOWER
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	ca3c5ab3-cfe3-41ed-b8db-c1b188f2b694	DRY_COOLER
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	1743022a-53b3-448f-a6ba-382e69a585a4	REMOTE_CONDENSER
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	fdb2f403-825b-41bc-9f40-f840eac4f431	CHILLED_WATER_PUMPS
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	23845981-9426-4054-bfec-37470b3a7790	HEAT_REJECTION_PUMPS
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	1ff96389-73f0-4861-8fef-014ada6560cd	VENTILATION
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	608c805b-bd93-4755-a879-17398b591263	INFILTRATION
3c40e4ca-6bd9-4c57-b34a-a64a08c44e85	44511564-3a02-4f76-8928-054b182a711b	IT_LOAD
c1911428-ec6c-42de-84d4-14659d2437f1	4ec6f07d-9ccf-42d1-b9f2-edd1f2eb605f	SWITCHGEAR
c1911428-ec6c-42de-84d4-14659d2437f1	60989abe-c32d-4fe4-a657-e7e2a0edaee1	GENERATOR
c1911428-ec6c-42de-84d4-14659d2437f1	383d0708-cb01-4c46-a53a-99ec409a5f26	PRIMARY_AUXILIARIES
c1911428-ec6c-42de-84d4-14659d2437f1	9331df50-a520-408e-a173-400d0dab2852	UPS
c1911428-ec6c-42de-84d4-14659d2437f1	50f17b8e-1add-45ce-a62d-4bcfcd12cbc0	CRITICAL_AUXILIARIES
c1911428-ec6c-42de-84d4-14659d2437f1	91b58048-3b31-4445-94e9-2eaf48e4293c	LIGHTING
c1911428-ec6c-42de-84d4-14659d2437f1	cf484648-714b-4e14-9ee2-83e2c6dc21ef	CRITICAL_POWER_DISTRIBUTION
c1911428-ec6c-42de-84d4-14659d2437f1	5c349813-9d55-4cf7-a2ce-2b5d4f46d48c	CRAH
c1911428-ec6c-42de-84d4-14659d2437f1	a0200339-b3d4-44a2-a854-6f6d71470dda	CRAC
c1911428-ec6c-42de-84d4-14659d2437f1	1737ec48-299b-4d36-86c5-dafbf937fa7a	CRAC_WITHOUT_FAN
c1911428-ec6c-42de-84d4-14659d2437f1	e77f555b-5e5e-4c08-ba5f-f58a9bfb381f	CRAC_FAN
c1911428-ec6c-42de-84d4-14659d2437f1	9dc51094-3ed3-468b-98ca-e3a37b274043	CHILLER
c1911428-ec6c-42de-84d4-14659d2437f1	b53bc783-5884-4355-b80d-6f0f66d605ad	AIR_COOLED_CHILLER
c1911428-ec6c-42de-84d4-14659d2437f1	c0fb7343-4fbe-4bfc-8909-7879c31188e9	COOLING_TOWER
c1911428-ec6c-42de-84d4-14659d2437f1	1b19cd47-bae3-4e2a-a138-07b4ea9d3124	DRY_COOLER
c1911428-ec6c-42de-84d4-14659d2437f1	d32ea6a0-4859-4c13-ba13-5680ccadbf15	REMOTE_CONDENSER
c1911428-ec6c-42de-84d4-14659d2437f1	63ab4a24-f793-4f6a-94d9-95e1c15e3a17	CHILLED_WATER_PUMPS
c1911428-ec6c-42de-84d4-14659d2437f1	f465c765-7d95-4fce-8a34-c2369d6e3d63	HEAT_REJECTION_PUMPS
c1911428-ec6c-42de-84d4-14659d2437f1	6de8b3d9-c1b4-4c35-8e15-8af5f305b598	VENTILATION
c1911428-ec6c-42de-84d4-14659d2437f1	f7c2fab0-82ce-4a14-99ec-8e4d235b8e9f	INFILTRATION
c1911428-ec6c-42de-84d4-14659d2437f1	0f07ebb9-e33f-4a52-8134-5473143aea0a	IT_LOAD
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	dbf634db-282d-41a7-bac6-07ec89714b39	SWITCHGEAR
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	2fc6c951-fd76-4522-a28c-3f15a69c59ad	GENERATOR
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	998d5899-7dc8-4b89-84f8-ed5be4ef93ea	PRIMARY_AUXILIARIES
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	db44b703-ec75-4abd-96be-6866ca2af47c	UPS
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	1119e797-2b4c-4de1-ab00-dbddd08a925e	CRITICAL_AUXILIARIES
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	ee87ef00-1e43-45ab-812e-285e8e5c26ff	LIGHTING
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	10c93f69-f0d3-4e83-96ac-e7a022811eea	CRITICAL_POWER_DISTRIBUTION
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	715513ef-443f-4e7c-8435-5329acda1a20	CRAH
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	7490c021-23f2-4924-b2f3-e502f527f4b8	CRAC
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	b1fb94a5-3941-4e94-b837-0ae4ce969f08	CRAC_WITHOUT_FAN
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	08eb8355-41ab-4a5b-9059-78775268ee4e	CRAC_FAN
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	a4dd78e4-32cf-4592-8830-cbad31f9cd78	CHILLER
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	6fab49ab-f325-42c4-bb89-c5c2666cf7a1	AIR_COOLED_CHILLER
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	c7aec02b-eecc-4457-9c94-744e6002fbfa	COOLING_TOWER
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	51c98e97-cac5-48f7-8735-9783724396ba	DRY_COOLER
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	22a852de-770c-418a-a5c7-3ff628eed099	REMOTE_CONDENSER
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	ca6daf9c-d86d-454d-bff0-fbfef4c535dc	CHILLED_WATER_PUMPS
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	c722d599-bbb3-4c0a-a548-922a30d8f9c9	HEAT_REJECTION_PUMPS
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	7c3b6427-ff73-4c16-8367-e85988e6e37b	VENTILATION
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	7cf1d8c9-6e44-4b06-87d0-256a2f08b983	INFILTRATION
473f7e1a-f2cb-49f1-b9ba-56c7e3c24a80	3c58bfb9-fb21-4bb2-8d4d-b31945a74e6b	IT_LOAD
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	e962eb13-eaeb-45de-a705-0ad73c2a3000	SWITCHGEAR
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	5bffa875-c69a-4e1c-95cd-11a0afb92c90	GENERATOR
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	c9779386-93c9-4fda-9af0-222119f23a40	PRIMARY_AUXILIARIES
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	d5a7cd1a-74ca-4541-989d-c3fbc347196b	UPS
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	7815b39e-4cd9-4310-9aea-d9606c69e704	CRITICAL_AUXILIARIES
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	ea3cdcfe-70a6-4fbf-99e0-85a83994ce4a	LIGHTING
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	91840bed-4ec2-4e06-9ea9-0c9a4ab83dfc	CRITICAL_POWER_DISTRIBUTION
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	89587791-2e85-454e-b4ce-5f7ae5cf8951	CRAH
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	df3e845e-fce6-4623-9e98-a1a326cd2e0c	CRAC
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	bf0e210a-7f51-4d53-98bd-58d25f75f2d4	CRAC_WITHOUT_FAN
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	20adcd53-025b-423e-97df-9cd72e14de57	CRAC_FAN
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	0f71e184-29c4-49a6-b91b-544ed58d025c	CHILLER
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	d27ff4f7-cf52-4ef5-8318-67bcafc93fcb	AIR_COOLED_CHILLER
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	9aa74762-05a5-47b6-b19d-0b411cf1402d	COOLING_TOWER
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	1d361743-e839-4030-a4d4-a9fc3177a713	DRY_COOLER
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	cf6c976b-c692-4839-b34a-a2df04e04e2f	REMOTE_CONDENSER
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	05769d9a-3884-4f74-ab68-6a5562a8c624	CHILLED_WATER_PUMPS
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	6152eba5-817d-458b-9054-d45dfedf4e5e	HEAT_REJECTION_PUMPS
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	7d23a1d2-a38d-4c8c-a45f-21fa8cb72b8b	VENTILATION
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	01c9b623-9ba3-44ec-96b8-486ce3e5dcaa	INFILTRATION
432bd9c7-9fc7-40f4-a3cf-ec91eb0ba6f5	1eff63d9-7bd5-4da9-ac77-b55e1ef3daad	IT_LOAD
bc9066b7-ee4b-4504-99ad-a9bf9242984f	50691f8b-47d0-43bb-9fa1-b892e4d3567d	SWITCHGEAR
bc9066b7-ee4b-4504-99ad-a9bf9242984f	3c98aade-6dc4-42ef-9f47-ea9973f89915	GENERATOR
bc9066b7-ee4b-4504-99ad-a9bf9242984f	31a8373d-aa64-43ee-8c81-392df20e7c07	PRIMARY_AUXILIARIES
bc9066b7-ee4b-4504-99ad-a9bf9242984f	4cb32e2d-dfbf-4064-aaea-24fa0f4eded8	UPS
bc9066b7-ee4b-4504-99ad-a9bf9242984f	46fa1fcc-e6b2-4b3b-83da-ce9f512e5420	CRITICAL_AUXILIARIES
bc9066b7-ee4b-4504-99ad-a9bf9242984f	a307644b-33d8-4464-ba16-d4913751c8b9	LIGHTING
bc9066b7-ee4b-4504-99ad-a9bf9242984f	8c1af0f5-bbaf-4a48-a3df-34115877bd6a	CRITICAL_POWER_DISTRIBUTION
bc9066b7-ee4b-4504-99ad-a9bf9242984f	eca916fc-9d36-45a1-9c71-34e4bb7caa7a	CRAH
bc9066b7-ee4b-4504-99ad-a9bf9242984f	cb3b5cef-a077-44ca-8653-483b3b48845f	CRAC
bc9066b7-ee4b-4504-99ad-a9bf9242984f	c8c8ea07-e227-4b07-9406-d60143bae13e	CRAC_WITHOUT_FAN
bc9066b7-ee4b-4504-99ad-a9bf9242984f	0eefa427-968e-4b38-a449-9275c7f3607d	CRAC_FAN
bc9066b7-ee4b-4504-99ad-a9bf9242984f	027248f4-9c3f-4072-a208-67aec8809b50	CHILLER
bc9066b7-ee4b-4504-99ad-a9bf9242984f	2dde3f35-644a-40a4-8efe-543e7a64a5c3	AIR_COOLED_CHILLER
bc9066b7-ee4b-4504-99ad-a9bf9242984f	5d9cbeab-5813-4706-9702-11bf8e0d5bd8	COOLING_TOWER
bc9066b7-ee4b-4504-99ad-a9bf9242984f	56322156-e657-418e-b049-b85a1f8d4d78	DRY_COOLER
bc9066b7-ee4b-4504-99ad-a9bf9242984f	d2687c7f-9fb8-4b2e-80d0-af61d8d29c92	REMOTE_CONDENSER
bc9066b7-ee4b-4504-99ad-a9bf9242984f	2d07176c-5bc5-4ab2-a0ea-bdeaa0f793cf	CHILLED_WATER_PUMPS
bc9066b7-ee4b-4504-99ad-a9bf9242984f	2f911344-e612-4d13-841a-c342e4ee55ba	HEAT_REJECTION_PUMPS
bc9066b7-ee4b-4504-99ad-a9bf9242984f	9ea90d8c-7631-472f-89fe-1a11370c23c3	VENTILATION
bc9066b7-ee4b-4504-99ad-a9bf9242984f	4c7b87f7-54a7-4bd3-abb4-8cb4e948f671	INFILTRATION
bc9066b7-ee4b-4504-99ad-a9bf9242984f	1ad033ef-86df-47cd-b761-c99a191c1e24	IT_LOAD
da2b16cd-4b96-404a-9849-5a27466f183e	2c0e7c56-03bb-484a-b45e-ddd2eefeec76	SWITCHGEAR
da2b16cd-4b96-404a-9849-5a27466f183e	cdd8f31e-8daa-4fdb-b20b-59355705d3b3	GENERATOR
da2b16cd-4b96-404a-9849-5a27466f183e	714fe697-06e0-4c3e-b33d-ee786c8819d9	PRIMARY_AUXILIARIES
da2b16cd-4b96-404a-9849-5a27466f183e	beba2ec7-7027-49b9-8787-82902af651b6	UPS
da2b16cd-4b96-404a-9849-5a27466f183e	443d4501-7064-4645-9ebb-cc3586ed24a5	CRITICAL_AUXILIARIES
da2b16cd-4b96-404a-9849-5a27466f183e	648a4bcc-ae18-4a79-a8e5-7d5e82946cc3	LIGHTING
da2b16cd-4b96-404a-9849-5a27466f183e	fe0ed168-f2a3-4149-b357-d49792a35cdb	CRITICAL_POWER_DISTRIBUTION
da2b16cd-4b96-404a-9849-5a27466f183e	0f7af7c9-16c9-46df-8dad-db9677d74e28	CRAH
da2b16cd-4b96-404a-9849-5a27466f183e	d2bad52f-4686-4f25-b037-c839d4a06183	CRAC
da2b16cd-4b96-404a-9849-5a27466f183e	25123e1b-718b-4d07-b178-aa0c547e88a0	CRAC_WITHOUT_FAN
da2b16cd-4b96-404a-9849-5a27466f183e	0286ab2f-0331-42de-9721-85753650c9b4	CRAC_FAN
da2b16cd-4b96-404a-9849-5a27466f183e	f6a3a1fd-5b12-4860-afbb-6b6aaa205dbf	CHILLER
da2b16cd-4b96-404a-9849-5a27466f183e	fabb63fa-ca36-4a7b-88a4-d31c3df4265d	AIR_COOLED_CHILLER
da2b16cd-4b96-404a-9849-5a27466f183e	8d3a39d5-cd69-45d8-9aab-bdca882a6f05	COOLING_TOWER
da2b16cd-4b96-404a-9849-5a27466f183e	bd6f3b9a-0e81-4499-bdc5-52edf58834f4	DRY_COOLER
da2b16cd-4b96-404a-9849-5a27466f183e	b563117e-87de-495b-8615-9528a7060df8	REMOTE_CONDENSER
da2b16cd-4b96-404a-9849-5a27466f183e	8a03353b-8537-40a6-a726-5c15225f3756	CHILLED_WATER_PUMPS
da2b16cd-4b96-404a-9849-5a27466f183e	f7e0ec2f-f963-4ab1-bfd9-f333f3834393	HEAT_REJECTION_PUMPS
da2b16cd-4b96-404a-9849-5a27466f183e	72c396f9-46e5-429c-997d-f10bc1d45138	VENTILATION
da2b16cd-4b96-404a-9849-5a27466f183e	f675101c-e21b-448b-ae64-beaf12b55ba2	INFILTRATION
da2b16cd-4b96-404a-9849-5a27466f183e	8942c575-98c9-4bbd-9480-c07a9856ebf7	IT_LOAD
f49e5177-4ced-4580-9949-df36d3b5efc2	fe716a06-da96-450e-8b2e-77e365e4b589	SWITCHGEAR
f49e5177-4ced-4580-9949-df36d3b5efc2	f1faf69f-e9b8-4c12-80bb-4d886b12acf0	GENERATOR
f49e5177-4ced-4580-9949-df36d3b5efc2	b043ae05-afd1-4615-8edc-dd15a5eb3b10	PRIMARY_AUXILIARIES
f49e5177-4ced-4580-9949-df36d3b5efc2	3fcd200e-db17-4088-83f9-ba941844fc1a	UPS
f49e5177-4ced-4580-9949-df36d3b5efc2	89109355-2276-4706-a495-e9be5a9f995d	CRITICAL_AUXILIARIES
f49e5177-4ced-4580-9949-df36d3b5efc2	5d54936f-1812-43d4-92df-378e061a0ee5	LIGHTING
f49e5177-4ced-4580-9949-df36d3b5efc2	926ff634-7ce5-4569-a61d-4b7087a46fdc	CRITICAL_POWER_DISTRIBUTION
f49e5177-4ced-4580-9949-df36d3b5efc2	1a392585-2175-4086-9b5b-a947f856a42a	CRAH
f49e5177-4ced-4580-9949-df36d3b5efc2	9b9ab505-3ed6-45e7-8b0b-f31e079c1602	CRAC
f49e5177-4ced-4580-9949-df36d3b5efc2	9b42e4be-4e09-40b0-8cd0-89ea107befd0	CRAC_WITHOUT_FAN
f49e5177-4ced-4580-9949-df36d3b5efc2	884dc616-1c97-4af2-897b-4b98a6b621a5	CRAC_FAN
f49e5177-4ced-4580-9949-df36d3b5efc2	9ccf053e-e696-4c73-a470-485440a80160	CHILLER
f49e5177-4ced-4580-9949-df36d3b5efc2	e27cdb9a-e52d-4964-8620-73b402de3f8d	AIR_COOLED_CHILLER
f49e5177-4ced-4580-9949-df36d3b5efc2	309ef5f5-9326-434c-87b9-c2c590600d04	COOLING_TOWER
f49e5177-4ced-4580-9949-df36d3b5efc2	1aaeea1a-39bb-4a64-9172-b31103148a6d	DRY_COOLER
f49e5177-4ced-4580-9949-df36d3b5efc2	0e4109d0-544f-4207-9a78-1a8f484fa109	REMOTE_CONDENSER
f49e5177-4ced-4580-9949-df36d3b5efc2	53440963-c202-4c37-9a16-2ceee2be6aac	CHILLED_WATER_PUMPS
f49e5177-4ced-4580-9949-df36d3b5efc2	1dfea0f3-1763-4177-a40e-6ce04de75de1	HEAT_REJECTION_PUMPS
f49e5177-4ced-4580-9949-df36d3b5efc2	3d3662b5-0ccb-4011-aba2-cb556fd3836a	VENTILATION
f49e5177-4ced-4580-9949-df36d3b5efc2	8d06439f-1f24-4151-971f-97e1968efcdb	INFILTRATION
f49e5177-4ced-4580-9949-df36d3b5efc2	ea3e2941-62e3-4f9f-bbca-6319894c190b	IT_LOAD
8d328e1b-2173-4c0c-be40-99be4c11795b	3692c042-5753-483e-a354-8194785e0c17	SWITCHGEAR
8d328e1b-2173-4c0c-be40-99be4c11795b	bdb50fcb-bfde-4015-adb9-f775aec33e17	GENERATOR
8d328e1b-2173-4c0c-be40-99be4c11795b	54b85994-b22f-4113-a87e-f8fc3a9f7d9a	PRIMARY_AUXILIARIES
8d328e1b-2173-4c0c-be40-99be4c11795b	268a19e6-7667-4132-8b8a-ce94be1685a8	UPS
8d328e1b-2173-4c0c-be40-99be4c11795b	3c52dc84-38b8-4b7a-85e5-3f5db0d73a0c	CRITICAL_AUXILIARIES
8d328e1b-2173-4c0c-be40-99be4c11795b	ce3a7482-bed0-4b09-855c-08237b8823af	LIGHTING
8d328e1b-2173-4c0c-be40-99be4c11795b	89b3910d-601c-48f8-a6c8-5bccb9865004	CRITICAL_POWER_DISTRIBUTION
8d328e1b-2173-4c0c-be40-99be4c11795b	3a18fad2-99d9-4e23-bd21-a19c643fc65b	CRAH
8d328e1b-2173-4c0c-be40-99be4c11795b	dfb2d8a1-d276-45b7-b5cc-b63e9e0e0bdb	CRAC
8d328e1b-2173-4c0c-be40-99be4c11795b	2d2cecc6-0e5b-4a98-a8f1-f732452a06ad	CRAC_WITHOUT_FAN
8d328e1b-2173-4c0c-be40-99be4c11795b	cc037fed-2bcd-4cf1-b867-b2974d794bb7	CRAC_FAN
8d328e1b-2173-4c0c-be40-99be4c11795b	2ad52362-a7f8-4b7a-bab9-441dce109e83	CHILLER
8d328e1b-2173-4c0c-be40-99be4c11795b	c6eb53d0-c170-4300-ad89-23651923a704	AIR_COOLED_CHILLER
8d328e1b-2173-4c0c-be40-99be4c11795b	78690f3e-c78f-4ba5-a921-259243aafeee	COOLING_TOWER
8d328e1b-2173-4c0c-be40-99be4c11795b	02c1d039-f6d5-4633-ade6-0659dd855b35	DRY_COOLER
8d328e1b-2173-4c0c-be40-99be4c11795b	fbc2f1f6-7a2b-42f0-b96f-389f3e30f3a8	REMOTE_CONDENSER
8d328e1b-2173-4c0c-be40-99be4c11795b	edd99508-5eb1-422e-9125-a4f026e5303d	CHILLED_WATER_PUMPS
8d328e1b-2173-4c0c-be40-99be4c11795b	e05c7ca1-0781-423a-8748-0b6b5dfb78ca	HEAT_REJECTION_PUMPS
8d328e1b-2173-4c0c-be40-99be4c11795b	93b639fa-cd9e-48d3-b69b-8bd3b71018f0	VENTILATION
8d328e1b-2173-4c0c-be40-99be4c11795b	08c7a77e-cc1d-4f97-a74f-364647c34376	INFILTRATION
8d328e1b-2173-4c0c-be40-99be4c11795b	5bf88a80-f74c-4a99-bf14-59ecfbb5c7b1	IT_LOAD
9533f462-7189-4177-8926-7c726ef5401a	986481d1-302f-439c-bdaf-fb95af1d64f8	SWITCHGEAR
9533f462-7189-4177-8926-7c726ef5401a	a3f8cba4-043b-4311-ba1f-2dd410fb91eb	GENERATOR
9533f462-7189-4177-8926-7c726ef5401a	3b079b19-c1fe-4814-ba26-e0a3300f3869	PRIMARY_AUXILIARIES
9533f462-7189-4177-8926-7c726ef5401a	0fdc71e3-6eb1-44e9-817a-0dfeba43bc43	UPS
9533f462-7189-4177-8926-7c726ef5401a	4ae9d46c-d09d-41af-869d-4851cacb8276	CRITICAL_AUXILIARIES
9533f462-7189-4177-8926-7c726ef5401a	99d63473-9a86-4b20-8a38-cbcf6dfe01c4	LIGHTING
9533f462-7189-4177-8926-7c726ef5401a	2621672f-68a4-4edd-b774-7771fa2c3929	CRITICAL_POWER_DISTRIBUTION
9533f462-7189-4177-8926-7c726ef5401a	da8a78da-5260-4a42-a5ae-f5c2e20c51fd	CRAH
9533f462-7189-4177-8926-7c726ef5401a	721c34fa-c269-46b9-aa8e-5e5fa7942e70	CRAC
9533f462-7189-4177-8926-7c726ef5401a	36b8d599-a8d3-4e7d-b8ba-fd6d913a8901	CRAC_WITHOUT_FAN
9533f462-7189-4177-8926-7c726ef5401a	cc45f093-8716-4417-9f9f-7e0be50df8d2	CRAC_FAN
9533f462-7189-4177-8926-7c726ef5401a	2627445f-2ada-4b30-91f9-2173302f209c	CHILLER
9533f462-7189-4177-8926-7c726ef5401a	65729af6-21d4-48f9-9ca0-52a32aae1c07	AIR_COOLED_CHILLER
9533f462-7189-4177-8926-7c726ef5401a	f2a1b5c6-cb8f-427f-b930-bb20f6e8d2e3	COOLING_TOWER
9533f462-7189-4177-8926-7c726ef5401a	67b47bf7-06a0-49a8-ad80-4929d330f7f2	DRY_COOLER
9533f462-7189-4177-8926-7c726ef5401a	b56788ac-460c-4bb5-a380-8e971f7cea7a	REMOTE_CONDENSER
9533f462-7189-4177-8926-7c726ef5401a	fde6bd28-8008-466e-b7b7-85a66edf5b4f	CHILLED_WATER_PUMPS
9533f462-7189-4177-8926-7c726ef5401a	a9e2cfa6-6adc-43b8-9a5d-c2ad9817734f	HEAT_REJECTION_PUMPS
9533f462-7189-4177-8926-7c726ef5401a	bd249e74-ba95-433e-afbf-285fdbfa8158	VENTILATION
9533f462-7189-4177-8926-7c726ef5401a	70df6332-1813-4744-ad82-d11418e719dd	INFILTRATION
9533f462-7189-4177-8926-7c726ef5401a	19fcb57f-4396-43f7-ab4a-0d400e3c1a6f	IT_LOAD
2a23dda9-0f83-4d69-8cff-d5353df2850a	cf9136d4-0916-48ec-a5ec-de9078f55255	SWITCHGEAR
2a23dda9-0f83-4d69-8cff-d5353df2850a	ecf959b1-c7fe-4fbf-bb95-7c8d17b7c9bf	GENERATOR
2a23dda9-0f83-4d69-8cff-d5353df2850a	8f1dcad4-810f-41a6-a3dc-34fae74b2b26	PRIMARY_AUXILIARIES
2a23dda9-0f83-4d69-8cff-d5353df2850a	3bb588a2-ac2f-49ba-a07f-c87f3356ce0c	UPS
2a23dda9-0f83-4d69-8cff-d5353df2850a	210ffed5-1a6d-4257-ba54-607afe240ed7	CRITICAL_AUXILIARIES
2a23dda9-0f83-4d69-8cff-d5353df2850a	3472f1e0-8eeb-4467-b11d-2e624097442a	LIGHTING
2a23dda9-0f83-4d69-8cff-d5353df2850a	b46291b5-7cd8-425a-bad0-4e92feff36cc	CRITICAL_POWER_DISTRIBUTION
2a23dda9-0f83-4d69-8cff-d5353df2850a	341f381d-2bf4-43da-ba99-2f84d0b4b286	CRAH
2a23dda9-0f83-4d69-8cff-d5353df2850a	878997b7-d2f1-4030-aa81-904c584031dd	CRAC
2a23dda9-0f83-4d69-8cff-d5353df2850a	714c3019-90f9-4a34-ab48-fbfa0ab7e5ca	CRAC_WITHOUT_FAN
2a23dda9-0f83-4d69-8cff-d5353df2850a	cf2763c1-2c50-4e8e-909d-2189d2fc631c	CRAC_FAN
2a23dda9-0f83-4d69-8cff-d5353df2850a	2f4c70ea-c5ce-435f-8bf8-d4d5da7d3cf2	CHILLER
2a23dda9-0f83-4d69-8cff-d5353df2850a	03b02aa9-7d8a-4b70-9703-dbce6f0388ba	AIR_COOLED_CHILLER
2a23dda9-0f83-4d69-8cff-d5353df2850a	ebab6cea-59b6-47fa-9f1c-7866ffc2b764	COOLING_TOWER
2a23dda9-0f83-4d69-8cff-d5353df2850a	ba31443c-cd22-43aa-a4b5-859e9d4e2a25	DRY_COOLER
2a23dda9-0f83-4d69-8cff-d5353df2850a	91910846-b177-4c5e-a3bc-7b3aa2b4c9f8	REMOTE_CONDENSER
2a23dda9-0f83-4d69-8cff-d5353df2850a	92e4b05e-853f-438b-ae8b-d674e3b167f6	CHILLED_WATER_PUMPS
2a23dda9-0f83-4d69-8cff-d5353df2850a	3d375076-bf17-4ed1-b1ea-26c7c2335e00	HEAT_REJECTION_PUMPS
2a23dda9-0f83-4d69-8cff-d5353df2850a	920a5e7f-2478-424b-9485-1a0accb9114b	VENTILATION
2a23dda9-0f83-4d69-8cff-d5353df2850a	01d25743-ced7-4ede-86a5-617a8919b742	INFILTRATION
2a23dda9-0f83-4d69-8cff-d5353df2850a	a623ddb7-3064-4114-be57-5272a84d4340	IT_LOAD
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	13b9c71d-94f2-427d-95e5-c4d015222007	SWITCHGEAR
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	0085dae7-67bc-49d9-99bf-76567fca5349	GENERATOR
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	a131c9e8-4ef1-466a-879d-48b72ce44ddf	PRIMARY_AUXILIARIES
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	8691d183-8d44-4ff9-a046-7d255b615b47	UPS
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	861a4b69-8338-4765-abdd-38f4b1a57487	CRITICAL_AUXILIARIES
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	fdb0168a-43e3-46b4-bc8e-11a3346e9d35	LIGHTING
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	a0f2a9e1-40c1-4bed-a517-6240e74b9aee	CRITICAL_POWER_DISTRIBUTION
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	b9da399f-c856-4f16-8fd2-5977906fd4c4	CRAH
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	074061ab-9227-4f11-82f0-aeaf201a717d	CRAC
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	2fc24e78-63fc-4df1-98e7-66550c681de6	CRAC_WITHOUT_FAN
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	4dfac980-372a-4b5c-9f04-feefa14b738d	CRAC_FAN
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	c29c58d3-a0a3-4b2b-a288-821fb025a4a9	CHILLER
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	e0003831-2a10-4f1a-8566-9c252f8a61e9	AIR_COOLED_CHILLER
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	29a01da8-0797-4e82-b06b-6ed342e71679	COOLING_TOWER
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	f3971a5c-99b1-4470-ab2b-954752df5fa6	DRY_COOLER
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	13bac547-7a02-4849-b906-2a39b7530dde	REMOTE_CONDENSER
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	5e0c4cec-4ebc-4fc6-afbc-d71f6516e7a1	CHILLED_WATER_PUMPS
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	0c30a1b4-9d23-4347-a7a2-1a55b602eebe	HEAT_REJECTION_PUMPS
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	372439a4-7fae-487c-bee7-7a8c3cd85a81	VENTILATION
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	1f4b9c34-10d0-450f-bcfa-6b8c17c53845	INFILTRATION
03a25f1a-f749-4994-8a5b-d3b7ad361f9e	a86bd95b-916b-4e9f-bc0d-0834c8b8d0d2	IT_LOAD
0ccbc597-4484-4563-8d01-de2f64be40ce	a88db213-cd31-4a8d-8103-fb945ddffc4d	SWITCHGEAR
0ccbc597-4484-4563-8d01-de2f64be40ce	1d807e4b-bc31-4ded-912f-ebdddc150273	GENERATOR
0ccbc597-4484-4563-8d01-de2f64be40ce	e7347adf-86b4-41e4-87c2-9100a043c94c	PRIMARY_AUXILIARIES
0ccbc597-4484-4563-8d01-de2f64be40ce	ca3b05e2-13b2-448b-aaae-0156b0482fea	UPS
0ccbc597-4484-4563-8d01-de2f64be40ce	868f959a-5cab-49ba-8ad4-9e0722bd9d41	CRITICAL_AUXILIARIES
0ccbc597-4484-4563-8d01-de2f64be40ce	d9c9388f-e4c5-4183-b2c0-1bd29a1003cd	LIGHTING
0ccbc597-4484-4563-8d01-de2f64be40ce	4d818b46-4645-4580-97e5-9c49ff9c2827	CRITICAL_POWER_DISTRIBUTION
0ccbc597-4484-4563-8d01-de2f64be40ce	662d0050-f282-4d68-995c-c4fe60f3d809	CRAH
0ccbc597-4484-4563-8d01-de2f64be40ce	33ad8c7a-b0f8-41f8-8fdd-cbeaa4db5a23	CRAC
0ccbc597-4484-4563-8d01-de2f64be40ce	b3964e8e-8f54-4ef5-9f66-7a32aa8033bf	CRAC_WITHOUT_FAN
0ccbc597-4484-4563-8d01-de2f64be40ce	f54783e4-3e56-4b0f-b4fd-0a017774fc26	CRAC_FAN
0ccbc597-4484-4563-8d01-de2f64be40ce	38b708b1-89da-4140-b883-edb061f7b4d6	CHILLER
0ccbc597-4484-4563-8d01-de2f64be40ce	14467e9d-dd02-467c-9de8-a5d5ceff2d77	AIR_COOLED_CHILLER
0ccbc597-4484-4563-8d01-de2f64be40ce	d537e6ee-7b50-4fb4-a287-1b70c843c1fe	COOLING_TOWER
0ccbc597-4484-4563-8d01-de2f64be40ce	4af164e9-6e70-4518-bbc3-fd0c5ff637b0	DRY_COOLER
0ccbc597-4484-4563-8d01-de2f64be40ce	44995a1c-fbfa-45b5-a87d-afc257b45f92	REMOTE_CONDENSER
0ccbc597-4484-4563-8d01-de2f64be40ce	02351417-794d-4e64-8aed-b62c6d8b3ab0	CHILLED_WATER_PUMPS
0ccbc597-4484-4563-8d01-de2f64be40ce	f163a9b8-d1a5-49c3-8cc8-248f1b0ac3c4	HEAT_REJECTION_PUMPS
0ccbc597-4484-4563-8d01-de2f64be40ce	032b200e-651c-412a-a944-ce73b5b0ac4d	VENTILATION
0ccbc597-4484-4563-8d01-de2f64be40ce	b2d61481-78d0-4c11-975e-03e726c7e851	INFILTRATION
0ccbc597-4484-4563-8d01-de2f64be40ce	c68488ca-11a5-4e02-9925-655c6412976a	IT_LOAD
1ec730a8-c22a-40f2-b62a-3c577a56987c	824db6e8-1484-4a23-b747-d972437e4d24	SWITCHGEAR
1ec730a8-c22a-40f2-b62a-3c577a56987c	929aa144-70db-417e-a29e-2520ddb7b7ab	GENERATOR
1ec730a8-c22a-40f2-b62a-3c577a56987c	cb0fee2c-decb-4e09-8879-12cbcfd4afe7	PRIMARY_AUXILIARIES
1ec730a8-c22a-40f2-b62a-3c577a56987c	20b1e692-93e6-44d5-b8ea-fc924f88ee8c	UPS
1ec730a8-c22a-40f2-b62a-3c577a56987c	81a9b77d-f208-4fbe-b5f9-6e37c97ac99c	CRITICAL_AUXILIARIES
1ec730a8-c22a-40f2-b62a-3c577a56987c	e83e27d0-bf8f-4cea-ab21-b7a367fc5b6f	LIGHTING
1ec730a8-c22a-40f2-b62a-3c577a56987c	f7d615af-8948-4326-bc20-2ee7d236184c	CRITICAL_POWER_DISTRIBUTION
1ec730a8-c22a-40f2-b62a-3c577a56987c	da885309-dcda-471f-bb41-ed193fb124ac	CRAH
1ec730a8-c22a-40f2-b62a-3c577a56987c	c9926f12-2468-4c43-9114-9388ef4d2a60	CRAC
1ec730a8-c22a-40f2-b62a-3c577a56987c	dd25dcda-c910-4a40-bfbf-0d8227dea4ce	CRAC_WITHOUT_FAN
1ec730a8-c22a-40f2-b62a-3c577a56987c	35c1299e-4cf9-484b-9508-03561063d811	CRAC_FAN
1ec730a8-c22a-40f2-b62a-3c577a56987c	b04b9b72-9190-457d-b8a6-6887e6014424	CHILLER
1ec730a8-c22a-40f2-b62a-3c577a56987c	98ce00d5-bdb9-4c0a-88bc-cbd6767f48e7	AIR_COOLED_CHILLER
1ec730a8-c22a-40f2-b62a-3c577a56987c	734b7664-7529-48b1-a301-6134fac98c4c	COOLING_TOWER
1ec730a8-c22a-40f2-b62a-3c577a56987c	a76af17a-5ae2-41b6-822b-a2a86070f126	DRY_COOLER
1ec730a8-c22a-40f2-b62a-3c577a56987c	f782044c-120d-4207-bd2e-2dc9afa75c33	REMOTE_CONDENSER
1ec730a8-c22a-40f2-b62a-3c577a56987c	2f21dde2-02e3-4b1f-9bfe-1cd821229478	CHILLED_WATER_PUMPS
1ec730a8-c22a-40f2-b62a-3c577a56987c	b86768cf-64a0-40ab-ae8f-7bd0a1da762c	HEAT_REJECTION_PUMPS
1ec730a8-c22a-40f2-b62a-3c577a56987c	bcd8f31e-6077-4742-a6d3-37c35249e209	VENTILATION
1ec730a8-c22a-40f2-b62a-3c577a56987c	bf4c05aa-59a7-483f-89fc-df74957d118d	INFILTRATION
1ec730a8-c22a-40f2-b62a-3c577a56987c	08c3d3ef-0338-4172-9c5f-a304e75a4e56	IT_LOAD
545dc984-2e07-4168-bef5-855e819a0b45	853e976c-6a59-4c33-82cd-c755637e6bc9	SWITCHGEAR
545dc984-2e07-4168-bef5-855e819a0b45	391f8682-c3fd-42d9-b462-e85ed5e1fffe	GENERATOR
545dc984-2e07-4168-bef5-855e819a0b45	fbcd6cb1-102d-4e42-a9e3-ba02c0b9967e	PRIMARY_AUXILIARIES
545dc984-2e07-4168-bef5-855e819a0b45	33c0106f-eacb-4a28-ac6d-cbc5c1d5e90e	UPS
545dc984-2e07-4168-bef5-855e819a0b45	c8b7e8f9-1b45-45ac-8279-439d0054d5ac	CRITICAL_AUXILIARIES
545dc984-2e07-4168-bef5-855e819a0b45	7be7b882-aa81-442e-b57b-9865fae70bd9	LIGHTING
545dc984-2e07-4168-bef5-855e819a0b45	70823060-3b46-4fac-b384-1a6f4fc3ec05	CRITICAL_POWER_DISTRIBUTION
545dc984-2e07-4168-bef5-855e819a0b45	cbbadfad-0b4e-45a9-8fcc-9eb377d14b30	CRAH
545dc984-2e07-4168-bef5-855e819a0b45	b6df1c41-f583-4776-a0b6-9ff562d9911c	CRAC
545dc984-2e07-4168-bef5-855e819a0b45	8c4c07e5-14ad-4f26-9497-26ed2f8a2053	CRAC_WITHOUT_FAN
545dc984-2e07-4168-bef5-855e819a0b45	546a5b06-1c1e-4a1b-9368-2ff79b889cbe	CRAC_FAN
545dc984-2e07-4168-bef5-855e819a0b45	1d43fb2c-6e31-4944-be18-fd53dd5b1532	CHILLER
545dc984-2e07-4168-bef5-855e819a0b45	c5cb57ef-5545-4f48-b53d-531264bd92e6	AIR_COOLED_CHILLER
545dc984-2e07-4168-bef5-855e819a0b45	6e3f94a4-2a47-4980-a8e8-6c27b2c0edb6	COOLING_TOWER
545dc984-2e07-4168-bef5-855e819a0b45	2d8ca7e9-83dd-4ad5-87f1-157b0ed108a0	DRY_COOLER
545dc984-2e07-4168-bef5-855e819a0b45	1282c40d-659c-4656-b3f5-10840d20851d	REMOTE_CONDENSER
545dc984-2e07-4168-bef5-855e819a0b45	5a7fb2cf-b4f4-4faa-9302-678a96cb03aa	CHILLED_WATER_PUMPS
545dc984-2e07-4168-bef5-855e819a0b45	04cb3e8a-aa3a-425e-a578-868bec24c35e	HEAT_REJECTION_PUMPS
545dc984-2e07-4168-bef5-855e819a0b45	4d537020-22fa-47d3-819c-674c9572c553	VENTILATION
545dc984-2e07-4168-bef5-855e819a0b45	3c6f7080-2d71-4d93-bf08-658bbb72e72b	INFILTRATION
545dc984-2e07-4168-bef5-855e819a0b45	0a85617b-b830-4077-a28a-86f144dc592b	IT_LOAD
4768809c-c2a8-4903-a03b-e00c51a1fd98	fb90171c-05f1-456d-9450-ae2626388fc8	SWITCHGEAR
4768809c-c2a8-4903-a03b-e00c51a1fd98	30854ff4-6050-4cde-ab9c-cb70934f747f	GENERATOR
4768809c-c2a8-4903-a03b-e00c51a1fd98	2479c785-602d-4e6c-bb2d-669c8204f733	PRIMARY_AUXILIARIES
4768809c-c2a8-4903-a03b-e00c51a1fd98	bb3214bf-b130-433a-ae07-c5343b9ae74f	UPS
4768809c-c2a8-4903-a03b-e00c51a1fd98	b7b34f70-dc19-4ccb-afa6-809bcc09a5aa	CRITICAL_AUXILIARIES
4768809c-c2a8-4903-a03b-e00c51a1fd98	e3aee110-cb86-4daa-a661-48bd66bf1c96	LIGHTING
4768809c-c2a8-4903-a03b-e00c51a1fd98	5ab659f1-2f82-4c6b-8c5e-3d0e00e26278	CRITICAL_POWER_DISTRIBUTION
4768809c-c2a8-4903-a03b-e00c51a1fd98	5cadcd73-6e74-4ecb-a32d-dd78c6688560	CRAH
4768809c-c2a8-4903-a03b-e00c51a1fd98	c28209c3-a6ab-4783-aab5-cccbae25c83b	CRAC
4768809c-c2a8-4903-a03b-e00c51a1fd98	9e190fab-ce87-4ce0-99a2-cd80543c4b70	CRAC_WITHOUT_FAN
4768809c-c2a8-4903-a03b-e00c51a1fd98	5bd992d3-ca4b-4ba6-ba86-5a6bb8cb4785	CRAC_FAN
4768809c-c2a8-4903-a03b-e00c51a1fd98	e27949b5-bd40-40f3-8bb0-00401722625e	CHILLER
4768809c-c2a8-4903-a03b-e00c51a1fd98	2faaf74f-eae2-45d2-92d6-baef3c84b007	AIR_COOLED_CHILLER
4768809c-c2a8-4903-a03b-e00c51a1fd98	1d4b8035-59b2-462e-90bf-6a6076692496	COOLING_TOWER
4768809c-c2a8-4903-a03b-e00c51a1fd98	0795b5a4-9e63-401f-aa36-b39feeecac3b	DRY_COOLER
4768809c-c2a8-4903-a03b-e00c51a1fd98	93d1e490-14e4-440a-b0e3-a1ff79f16b4d	REMOTE_CONDENSER
4768809c-c2a8-4903-a03b-e00c51a1fd98	ce8f74a8-46df-4dc6-ab5f-bdf919ae7408	CHILLED_WATER_PUMPS
4768809c-c2a8-4903-a03b-e00c51a1fd98	8156e5d6-08fa-4deb-bdeb-f0308345ce85	HEAT_REJECTION_PUMPS
4768809c-c2a8-4903-a03b-e00c51a1fd98	a0d4740a-14dc-4873-bb45-baa82c7653b2	VENTILATION
4768809c-c2a8-4903-a03b-e00c51a1fd98	5ca247ee-8fbc-464d-8c0e-eed223504894	INFILTRATION
4768809c-c2a8-4903-a03b-e00c51a1fd98	39e148d2-de4c-460c-bf34-db5466209167	IT_LOAD
c53a31cc-91f6-4594-b817-4c31f6078d9e	42489f23-ca84-4a9f-b8bf-e09531f4388a	SWITCHGEAR
c53a31cc-91f6-4594-b817-4c31f6078d9e	67459167-6023-4206-932f-22b5d2fe1822	GENERATOR
c53a31cc-91f6-4594-b817-4c31f6078d9e	d002b1ed-b6b9-4bc7-9726-b7a0843869cb	PRIMARY_AUXILIARIES
c53a31cc-91f6-4594-b817-4c31f6078d9e	2f1f5041-4adb-4c47-9f87-f8da6aa9028c	UPS
c53a31cc-91f6-4594-b817-4c31f6078d9e	22c8611f-4f2f-4e92-9a5d-bf486ffeb59e	CRITICAL_AUXILIARIES
c53a31cc-91f6-4594-b817-4c31f6078d9e	9dd5fe06-afbe-4623-aba6-0a71b0b56308	LIGHTING
c53a31cc-91f6-4594-b817-4c31f6078d9e	18a3a0ca-47a4-4a1f-aeab-1f1a113bd1cf	CRITICAL_POWER_DISTRIBUTION
c53a31cc-91f6-4594-b817-4c31f6078d9e	28cd5c5d-825e-4228-8c4a-ddb90969e8d5	CRAH
c53a31cc-91f6-4594-b817-4c31f6078d9e	50482f14-cb64-4be5-b97f-0ef7019af045	CRAC
c53a31cc-91f6-4594-b817-4c31f6078d9e	cb3c7399-fcff-4493-b4b1-d3e1979729d2	CRAC_WITHOUT_FAN
c53a31cc-91f6-4594-b817-4c31f6078d9e	e591556a-f7ba-4e48-a36d-e1f204a11c96	CRAC_FAN
c53a31cc-91f6-4594-b817-4c31f6078d9e	1b881c1b-539c-4c59-aa99-54e1aebfbf2a	CHILLER
c53a31cc-91f6-4594-b817-4c31f6078d9e	fb4e1173-6ac0-4368-912a-1f96d11c89c2	AIR_COOLED_CHILLER
c53a31cc-91f6-4594-b817-4c31f6078d9e	5264edf3-bec8-4c5f-a322-d5158e86b286	COOLING_TOWER
c53a31cc-91f6-4594-b817-4c31f6078d9e	3b963979-7860-4ba6-ac47-03ca584926b5	DRY_COOLER
c53a31cc-91f6-4594-b817-4c31f6078d9e	3d15178a-267e-4f75-9563-d2be5b662bc5	REMOTE_CONDENSER
c53a31cc-91f6-4594-b817-4c31f6078d9e	4385f549-d74e-4dce-b13c-60f5a93af3ad	CHILLED_WATER_PUMPS
c53a31cc-91f6-4594-b817-4c31f6078d9e	f4766c8a-f385-4c89-80cf-fcd3450e7c85	HEAT_REJECTION_PUMPS
c53a31cc-91f6-4594-b817-4c31f6078d9e	a2ab2219-faa1-4d6c-baa5-5e07ba58b312	VENTILATION
c53a31cc-91f6-4594-b817-4c31f6078d9e	2b14dc04-41a9-4c62-beef-2cd9d302d71b	INFILTRATION
c53a31cc-91f6-4594-b817-4c31f6078d9e	cf737cd9-80af-4189-93e4-4d2748ad60b2	IT_LOAD
d980bd54-2c77-4332-8c04-14816ad2b08a	471abe02-0b09-484b-86b8-29fda0a77ccf	SWITCHGEAR
d980bd54-2c77-4332-8c04-14816ad2b08a	be7de12b-3ce2-4536-9cbe-6d091259cc7f	GENERATOR
d980bd54-2c77-4332-8c04-14816ad2b08a	41801c47-6706-4530-879d-78b644fc7cc8	PRIMARY_AUXILIARIES
d980bd54-2c77-4332-8c04-14816ad2b08a	9ed49b42-d2d0-4c67-8d05-6eb5e778f11f	UPS
d980bd54-2c77-4332-8c04-14816ad2b08a	e9f7c1bc-52fe-49b6-95d9-cb5c51fb0057	CRITICAL_AUXILIARIES
d980bd54-2c77-4332-8c04-14816ad2b08a	7d8cf9e6-7d97-42e3-a376-bdad90bfc2c9	LIGHTING
d980bd54-2c77-4332-8c04-14816ad2b08a	acf2a23a-4ba7-4f0a-9166-e5305013f292	CRITICAL_POWER_DISTRIBUTION
d980bd54-2c77-4332-8c04-14816ad2b08a	45ae32fb-5085-415b-be8a-0b5f99f140e6	CRAH
d980bd54-2c77-4332-8c04-14816ad2b08a	22650b4f-2e4a-4937-ba05-c9dbfa68ca6e	CRAC
d980bd54-2c77-4332-8c04-14816ad2b08a	f09e250d-2e45-4c5e-871f-ad6ff766c38c	CRAC_WITHOUT_FAN
d980bd54-2c77-4332-8c04-14816ad2b08a	f6c47c23-ab63-4ccc-8e80-752824f01696	CRAC_FAN
d980bd54-2c77-4332-8c04-14816ad2b08a	4f488e98-9abd-49a0-b329-ab6672ac7be9	CHILLER
d980bd54-2c77-4332-8c04-14816ad2b08a	79951207-46f0-47ea-aaad-e65a0afaa1f5	AIR_COOLED_CHILLER
d980bd54-2c77-4332-8c04-14816ad2b08a	8dbe0d02-36c4-4121-b47e-ad52e3d11cc6	COOLING_TOWER
d980bd54-2c77-4332-8c04-14816ad2b08a	64a1a7de-8acb-4fd0-a59e-248747511195	DRY_COOLER
d980bd54-2c77-4332-8c04-14816ad2b08a	bca7dab6-18da-4242-9d7e-f2e1ce1055ce	REMOTE_CONDENSER
d980bd54-2c77-4332-8c04-14816ad2b08a	6da1c7c7-abcc-4f46-8e95-7f9daa84ac63	CHILLED_WATER_PUMPS
d980bd54-2c77-4332-8c04-14816ad2b08a	29a93a35-c1fe-4c6e-a40d-8211c7619f56	HEAT_REJECTION_PUMPS
d980bd54-2c77-4332-8c04-14816ad2b08a	b7420c38-5643-499c-b2d7-63ecf4b00d53	VENTILATION
d980bd54-2c77-4332-8c04-14816ad2b08a	a11e9696-a0f6-4014-ae66-cb1e3c9ac09c	INFILTRATION
d980bd54-2c77-4332-8c04-14816ad2b08a	85eda7be-fdea-4d81-be5e-ecc1aa280920	IT_LOAD
162d1694-22d9-4193-8692-5d865df09afb	13278dc2-397b-407d-8c09-094626e94c66	SWITCHGEAR
162d1694-22d9-4193-8692-5d865df09afb	0d8456e3-5f19-4968-8643-fdfc6be37c94	GENERATOR
162d1694-22d9-4193-8692-5d865df09afb	16484498-7e1d-4367-bb08-f732b181b0aa	PRIMARY_AUXILIARIES
162d1694-22d9-4193-8692-5d865df09afb	9c597dbb-c40d-4db4-8f05-845f75a604b8	UPS
162d1694-22d9-4193-8692-5d865df09afb	9d07786b-e62d-41f3-8001-27ffbc6b9699	CRITICAL_AUXILIARIES
162d1694-22d9-4193-8692-5d865df09afb	13dda7c5-5bb6-4eb6-a489-7bfa0be456e4	LIGHTING
162d1694-22d9-4193-8692-5d865df09afb	f9955ac9-f224-4382-9738-e0894f761562	CRITICAL_POWER_DISTRIBUTION
162d1694-22d9-4193-8692-5d865df09afb	97feea6a-d3c4-4000-81b8-4ab4c73a8fde	CRAH
162d1694-22d9-4193-8692-5d865df09afb	ef32d818-da47-417f-b489-fed9c62a8421	CRAC
162d1694-22d9-4193-8692-5d865df09afb	dc8cfc14-4398-47d0-b417-84e38434b9ec	CRAC_WITHOUT_FAN
162d1694-22d9-4193-8692-5d865df09afb	4a1da9a2-4ab1-4dda-9e32-aa30dc801e24	CRAC_FAN
162d1694-22d9-4193-8692-5d865df09afb	ad72f3f2-c32c-43b4-99b2-3caa07e1ce19	CHILLER
162d1694-22d9-4193-8692-5d865df09afb	8acecff9-60f5-4322-bffa-6ce25f3a4858	AIR_COOLED_CHILLER
162d1694-22d9-4193-8692-5d865df09afb	d62f15f2-42b8-4af0-a729-86ce327dd301	COOLING_TOWER
162d1694-22d9-4193-8692-5d865df09afb	5a9edf57-b95d-449e-9317-4b71a7f8e395	DRY_COOLER
162d1694-22d9-4193-8692-5d865df09afb	c3192bcb-67be-4a08-bf45-050057b42bfa	REMOTE_CONDENSER
162d1694-22d9-4193-8692-5d865df09afb	e0b8159c-4292-4200-a26c-6a99829022c9	CHILLED_WATER_PUMPS
162d1694-22d9-4193-8692-5d865df09afb	d4d24bf8-9428-40ed-9ad5-123aa9182810	HEAT_REJECTION_PUMPS
162d1694-22d9-4193-8692-5d865df09afb	b5d68dc3-7d10-4f62-8db1-54838253866e	VENTILATION
162d1694-22d9-4193-8692-5d865df09afb	2274312a-6c2e-4a37-baea-3e4f43faefd5	INFILTRATION
162d1694-22d9-4193-8692-5d865df09afb	a6dec286-059d-47af-ab05-a366379d90f9	IT_LOAD
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	52ac1a91-1a36-4b5e-a5f2-2cd75225e7c0	SWITCHGEAR
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	95e79a88-d19b-452c-8032-cdfc25b90311	GENERATOR
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	98fd5e3f-a9f5-4d06-b047-daf85f1bbeaf	PRIMARY_AUXILIARIES
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	23299a4e-674e-4da3-8326-2f519e8bb983	UPS
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	824d4e5b-7c64-4857-91b8-d2839ec4521e	CRITICAL_AUXILIARIES
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	86d3591c-964f-43a2-9636-14a46cb0fae8	LIGHTING
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	87d35150-28cb-43cf-9c57-4e9e42a5738f	CRITICAL_POWER_DISTRIBUTION
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	c0ab7e5a-e65c-424d-be6a-64c17abbf15f	CRAH
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	e4fe1567-f14e-4876-89ce-73a72beebdab	CRAC
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	6a2e5647-837e-4825-a521-ece74f6493e5	CRAC_WITHOUT_FAN
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	77e93199-9e63-48af-a982-738d4fba95b5	CRAC_FAN
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	714cdd3d-5edc-4c90-aa3d-35af0088754f	CHILLER
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	c4422c75-27d9-4ae5-92d5-18238fb8b76f	AIR_COOLED_CHILLER
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	6aa43dff-6d6e-4beb-a35a-f48f0cd2abb3	COOLING_TOWER
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	bd679cf5-7970-4573-a6e2-3b5cad461e10	DRY_COOLER
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	f90d4799-42d0-4a83-9d6d-ff721fae358c	REMOTE_CONDENSER
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	26364ac6-a2e6-4272-a50c-b24d0efdf6e7	CHILLED_WATER_PUMPS
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	e9384e9e-b392-40fa-8d04-f6f988aefe3c	HEAT_REJECTION_PUMPS
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	ebc45e0b-9c67-4a2c-b297-4a241f745db2	VENTILATION
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	421e56c0-c9d2-451d-9b35-f72629bf9902	INFILTRATION
c8cc1c0d-5fe6-4fb5-98a3-5a9446b4bcf3	bdfd002a-fb3b-41eb-a91e-62ad79e3a107	IT_LOAD
452942e5-525c-4f44-8fa5-e3acd9a1c970	4ed49bcd-95a0-4d3c-8a5d-0c394796095e	SWITCHGEAR
452942e5-525c-4f44-8fa5-e3acd9a1c970	d2ba6002-a25f-4b6a-aa84-760648503fa3	GENERATOR
452942e5-525c-4f44-8fa5-e3acd9a1c970	24610b8c-198c-454d-8599-ed91da9dfb30	PRIMARY_AUXILIARIES
452942e5-525c-4f44-8fa5-e3acd9a1c970	660758ed-f9db-4131-9153-e4f617d4539e	UPS
452942e5-525c-4f44-8fa5-e3acd9a1c970	9f154c76-7fbb-46be-acdb-87c77cab88df	CRITICAL_AUXILIARIES
452942e5-525c-4f44-8fa5-e3acd9a1c970	db6d64df-9331-42e2-abda-e8d284224efa	LIGHTING
452942e5-525c-4f44-8fa5-e3acd9a1c970	4d516b92-3b23-411d-8146-fe285ce3dcf2	CRITICAL_POWER_DISTRIBUTION
452942e5-525c-4f44-8fa5-e3acd9a1c970	66e26e51-fe01-4957-95fb-9d642e5e6ab8	CRAH
452942e5-525c-4f44-8fa5-e3acd9a1c970	5f318c41-4064-42fb-bc77-033147882999	CRAC
452942e5-525c-4f44-8fa5-e3acd9a1c970	6d126848-9781-4ff0-94dc-4fb070351ac6	CRAC_WITHOUT_FAN
452942e5-525c-4f44-8fa5-e3acd9a1c970	54146a94-229e-42ac-ba25-2b4b1827ba7a	CRAC_FAN
452942e5-525c-4f44-8fa5-e3acd9a1c970	6668e8de-d4f0-439f-9716-8c6148490910	CHILLER
452942e5-525c-4f44-8fa5-e3acd9a1c970	cd5710c9-9ddb-40c0-aa98-0ad693e43afa	AIR_COOLED_CHILLER
452942e5-525c-4f44-8fa5-e3acd9a1c970	2f926cf6-d078-4e64-8de8-f2631bb1ae42	COOLING_TOWER
452942e5-525c-4f44-8fa5-e3acd9a1c970	330b3828-394b-474f-8e1b-04cc7854bbc6	DRY_COOLER
452942e5-525c-4f44-8fa5-e3acd9a1c970	83b8e173-e29e-4a96-9b1b-e56bbd7800aa	REMOTE_CONDENSER
452942e5-525c-4f44-8fa5-e3acd9a1c970	05321be6-85d8-4aae-8d8d-cbc319f54c51	CHILLED_WATER_PUMPS
452942e5-525c-4f44-8fa5-e3acd9a1c970	07c52f9d-0986-4855-9e13-3c6f359c5907	HEAT_REJECTION_PUMPS
452942e5-525c-4f44-8fa5-e3acd9a1c970	894ab354-5b0d-449e-bea6-0239ba1c3bbc	VENTILATION
452942e5-525c-4f44-8fa5-e3acd9a1c970	85bc8bb4-dea1-468b-9bb6-3364b7652c18	INFILTRATION
452942e5-525c-4f44-8fa5-e3acd9a1c970	493dbca9-1afa-47a6-ad68-1b19d3176662	IT_LOAD
feb0d1af-2129-4bf9-9228-3a98ebec8c96	4c33c3c6-7751-4929-8b4e-64c310e35430	SWITCHGEAR
feb0d1af-2129-4bf9-9228-3a98ebec8c96	16a698db-4c11-4129-b7aa-f97138795d67	GENERATOR
feb0d1af-2129-4bf9-9228-3a98ebec8c96	6a8cd37d-af0e-42f9-84f0-5a5aa1236695	PRIMARY_AUXILIARIES
feb0d1af-2129-4bf9-9228-3a98ebec8c96	9b289445-57e2-4f60-8013-878d72404f74	UPS
feb0d1af-2129-4bf9-9228-3a98ebec8c96	53a42e5e-b556-42d7-b6c7-d67e91f12a0b	CRITICAL_AUXILIARIES
feb0d1af-2129-4bf9-9228-3a98ebec8c96	7aa643db-1f31-451c-977f-869a413b573e	LIGHTING
feb0d1af-2129-4bf9-9228-3a98ebec8c96	1fd04742-8310-4225-90ba-02488f512373	CRITICAL_POWER_DISTRIBUTION
feb0d1af-2129-4bf9-9228-3a98ebec8c96	4ab4b57a-95d4-404c-bddd-7665485adb22	CRAH
feb0d1af-2129-4bf9-9228-3a98ebec8c96	92e458b9-7531-4591-87ac-aeec63144b70	CRAC
feb0d1af-2129-4bf9-9228-3a98ebec8c96	c6400ba1-37e0-4dd5-b2fe-bafe575cca08	CRAC_WITHOUT_FAN
feb0d1af-2129-4bf9-9228-3a98ebec8c96	8b7602aa-8dbd-4f09-8a0c-873a97c4f4be	CRAC_FAN
feb0d1af-2129-4bf9-9228-3a98ebec8c96	ed21f236-cbc2-458e-89fa-f409148e0efe	CHILLER
feb0d1af-2129-4bf9-9228-3a98ebec8c96	4a0520fa-7b0d-42b3-ae54-030326a865be	AIR_COOLED_CHILLER
feb0d1af-2129-4bf9-9228-3a98ebec8c96	c8526b98-6b36-47f0-91e4-97bd15ca8ddf	COOLING_TOWER
feb0d1af-2129-4bf9-9228-3a98ebec8c96	a7d9dd07-ed68-46f7-9fd7-e8d17b9925f4	DRY_COOLER
feb0d1af-2129-4bf9-9228-3a98ebec8c96	ddb724eb-e5f9-4f8d-b5d6-856bb88a11b9	REMOTE_CONDENSER
feb0d1af-2129-4bf9-9228-3a98ebec8c96	6fcf97f8-7e8c-407e-b853-37674cedd8f1	CHILLED_WATER_PUMPS
feb0d1af-2129-4bf9-9228-3a98ebec8c96	ae663b22-5b99-4b1e-8034-1c656f1c5a52	HEAT_REJECTION_PUMPS
feb0d1af-2129-4bf9-9228-3a98ebec8c96	23c27d43-2425-4c3e-886d-7d0f7398f40a	VENTILATION
feb0d1af-2129-4bf9-9228-3a98ebec8c96	9f0a631e-bfe6-4a73-b772-a774d053fe8b	INFILTRATION
feb0d1af-2129-4bf9-9228-3a98ebec8c96	cb4a5af1-432b-4f06-985f-b6674b050a1d	IT_LOAD
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	50375402-f111-49f2-a863-ef3356ce4313	SWITCHGEAR
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	b86355f6-6a8c-458b-a123-1aca6b498e62	GENERATOR
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	aa15ccd1-8791-40d9-9ffc-c9ef01486eaf	PRIMARY_AUXILIARIES
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	0e7b9288-ae50-4323-9e88-87298d05f71d	UPS
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	eaed0a26-800d-4cf0-9160-eb8d9b5a296c	CRITICAL_AUXILIARIES
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	f6df5254-6ddd-46a3-849a-2d9eae0325e9	LIGHTING
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	37423d3f-f121-40f6-b38a-4479ec2412df	CRITICAL_POWER_DISTRIBUTION
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	121eab95-5dab-498a-b30f-46d4d8aa5f10	CRAH
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	c558c179-d30e-4bcb-bbab-202d5971c408	CRAC
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	8a2aab6f-4fa1-4a51-b177-a69231179c20	CRAC_WITHOUT_FAN
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	1d093784-be84-42d1-886a-f9467717e2a1	CRAC_FAN
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	268b9830-bf2b-494d-b12d-32e89a8bce60	CHILLER
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	62874336-4653-4d4c-b71f-72186e0ba6cc	AIR_COOLED_CHILLER
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	8b21e7ab-382d-4448-9638-c5e52bc10e73	COOLING_TOWER
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	5c4d6902-6a9a-4019-8948-81566084821b	DRY_COOLER
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	97eeaffd-ade1-45b2-bc92-e35109c33306	REMOTE_CONDENSER
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	c5128d53-bae1-4f2f-87b8-7f8e36ad2a7b	CHILLED_WATER_PUMPS
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	0c9cd27c-f096-4145-9e9c-d7d306e8a466	HEAT_REJECTION_PUMPS
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	d6e05f52-091b-470b-9164-e9d662ac80ad	VENTILATION
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	66e534db-f39e-44b7-8171-fda4d6d1ce50	INFILTRATION
e0a7754c-26bd-450e-a100-8c0aa0d9deaf	587eae95-5e9a-400a-af55-975304a5bf6a	IT_LOAD
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	e4e0eb47-3cb0-4f3b-8d7c-ddb00bebfd14	SWITCHGEAR
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	3f50ede5-cff4-4ead-b6b0-eb239d1740fa	GENERATOR
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	5ce4f9c6-c976-4748-b4e4-57f6751b4155	PRIMARY_AUXILIARIES
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	3cec3d12-500b-4030-8456-89362bf2537c	UPS
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	61afd7aa-e265-4627-98f7-88871713f6bd	CRITICAL_AUXILIARIES
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	b0736510-b20c-4731-ae4b-6ed3487e5c23	LIGHTING
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	2ec0a749-7a61-4b34-9e6e-6ea3e7222d94	CRITICAL_POWER_DISTRIBUTION
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	85f3bb16-80f5-42e8-80e5-ee3792ceca6c	CRAH
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	7df45993-3c2e-4a0d-991f-f32751a85734	CRAC
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	c4be88c8-c4e2-4ae8-8a07-ea0ded22ed4a	CRAC_WITHOUT_FAN
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	40dcb49d-bfdb-46b8-bdc0-d8cbf9627fe6	CRAC_FAN
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	34aa6309-9772-494b-b36a-49584f3d6b93	CHILLER
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	e24f714f-5f18-4812-9a0e-39aaa6bbb2da	AIR_COOLED_CHILLER
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	6c244ac7-0845-4740-af47-07772355d996	COOLING_TOWER
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	c6a9633c-6f01-4d74-98ed-25373d663d58	DRY_COOLER
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	ecc88c42-8d85-446d-ad30-8a1df897e75e	REMOTE_CONDENSER
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	ef464daf-4528-407c-b2be-a3e43c85d81c	CHILLED_WATER_PUMPS
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	070694d2-08f2-4dc1-9a36-ebeee572c907	HEAT_REJECTION_PUMPS
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	64247db0-ade3-457a-8bc4-f3e48ffd9c51	VENTILATION
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	99e39a5e-8ee6-4e4a-aa42-bfeb4e15fd42	INFILTRATION
e28d61ef-cc8b-40b8-a2d2-964e2e16c9ea	0ace5175-c1df-4ca3-8702-192b39982c31	IT_LOAD
a9980100-d2b1-40d0-8726-c749871c71e4	2ff3f167-7a5a-43d1-a64e-249ce749e589	SWITCHGEAR
a9980100-d2b1-40d0-8726-c749871c71e4	12f9cca3-8971-4310-b81f-b2ae3e61a517	GENERATOR
a9980100-d2b1-40d0-8726-c749871c71e4	e76c289f-62f2-4d50-a3ac-a4b8b282b89d	PRIMARY_AUXILIARIES
a9980100-d2b1-40d0-8726-c749871c71e4	ae2d7cf4-5a48-4c70-87ff-1aee23add86c	UPS
a9980100-d2b1-40d0-8726-c749871c71e4	6cf5491e-cfdf-4fa5-bdeb-4356ec4c3ba1	CRITICAL_AUXILIARIES
a9980100-d2b1-40d0-8726-c749871c71e4	53a2b0ab-be10-4ed6-8a4f-0092143971e9	LIGHTING
a9980100-d2b1-40d0-8726-c749871c71e4	bac94bd0-2de7-4812-9bf5-ff014219aa13	CRITICAL_POWER_DISTRIBUTION
a9980100-d2b1-40d0-8726-c749871c71e4	85b872d0-d116-4389-8e97-36cc97e6f773	CRAH
a9980100-d2b1-40d0-8726-c749871c71e4	7d7d5e54-92a3-4ad0-bbde-d570e33cc6cb	CRAC
a9980100-d2b1-40d0-8726-c749871c71e4	0c7ce1e8-cd9f-4c85-8fe6-057817512020	CRAC_WITHOUT_FAN
a9980100-d2b1-40d0-8726-c749871c71e4	f0f0a7b6-9702-4911-b73b-7942b4f54ea8	CRAC_FAN
a9980100-d2b1-40d0-8726-c749871c71e4	0156f9b1-775b-42e9-b48c-3d6de5cf79e0	CHILLER
a9980100-d2b1-40d0-8726-c749871c71e4	37449c80-2e7d-4c2c-b997-9ec5dca22fc0	AIR_COOLED_CHILLER
a9980100-d2b1-40d0-8726-c749871c71e4	9b81de63-0db5-4edb-946b-b9786452ffc6	COOLING_TOWER
a9980100-d2b1-40d0-8726-c749871c71e4	ccb875cd-ef7b-4b10-9573-686bbe0700cd	DRY_COOLER
a9980100-d2b1-40d0-8726-c749871c71e4	5953b35b-8d89-4071-a91d-299bc96e0105	REMOTE_CONDENSER
a9980100-d2b1-40d0-8726-c749871c71e4	ff0e0650-eb59-43b6-9422-0100aa6f9b3b	CHILLED_WATER_PUMPS
a9980100-d2b1-40d0-8726-c749871c71e4	6d489baf-941e-4115-8ccd-ce575fea4b91	HEAT_REJECTION_PUMPS
a9980100-d2b1-40d0-8726-c749871c71e4	27c68f12-33ab-40bc-be67-a7b3d397de7d	VENTILATION
a9980100-d2b1-40d0-8726-c749871c71e4	82a4ec6d-1499-4a9f-990c-6e3ad986688c	INFILTRATION
a9980100-d2b1-40d0-8726-c749871c71e4	1523bd71-2a9e-4d0a-bd7c-2fbe3d52eefc	IT_LOAD
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	8d86a036-ad91-4f9f-8d72-06efd120a714	SWITCHGEAR
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	f57767cc-6f4c-4235-8453-6b1d014c543f	GENERATOR
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	139fd2fb-85f3-4218-b157-f7a32a0d5450	PRIMARY_AUXILIARIES
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	6fb4ec05-f4b0-4377-99e1-ccf21d2f0162	UPS
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	e4ffea30-7d15-4349-80ba-b3e35e87acf5	CRITICAL_AUXILIARIES
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	c01264a9-2416-415d-93f8-416116ec0571	LIGHTING
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	7f03cdf7-ff5e-4792-ba32-c1e8d1bf1f63	CRITICAL_POWER_DISTRIBUTION
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	f0d871a9-e71d-4db9-880e-34faffde0cba	CRAH
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	0c6d2bac-5b0d-4266-a6bf-a375bbd2bd06	CRAC
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	1aed6942-011a-46bb-8c87-d21af612462f	CRAC_WITHOUT_FAN
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	ea70ba9c-a900-49b2-80a0-eff4ee491c95	CRAC_FAN
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	0af7ed79-2cf4-4faa-83f7-3c7453f16f8d	CHILLER
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	92245c8d-9fcd-4232-baa4-408753375ce0	AIR_COOLED_CHILLER
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	20daf602-0862-45f9-b36e-891a87c6ad75	COOLING_TOWER
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	8a2553d1-719a-4793-ac65-e299b5879ed4	DRY_COOLER
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	24ed868a-b222-45ec-81ce-048830b58f04	REMOTE_CONDENSER
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	64cf0e86-e367-431d-9c1a-b1af77051913	CHILLED_WATER_PUMPS
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	8a89b019-0d0e-405a-ba35-dd3d2fdb832a	HEAT_REJECTION_PUMPS
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	79a4d8ce-7c54-4f5d-8baf-67042a1be228	VENTILATION
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	16cff934-ee8f-45db-be6a-11db0835aa4c	INFILTRATION
512a3a0b-4e0d-4bf9-af7f-c2b6de8907da	7862b65e-0774-4e75-81b4-58ef13a9d08d	IT_LOAD
1ee3ab09-949a-40b6-8f00-249161d076c1	b5295af5-f3a7-40db-96da-1c7644394326	SWITCHGEAR
1ee3ab09-949a-40b6-8f00-249161d076c1	2819de5c-e341-4d7e-897e-f0d0e8c7ecb3	GENERATOR
1ee3ab09-949a-40b6-8f00-249161d076c1	4f9e287b-7f30-4fae-ab7e-3f4f39dbe05d	PRIMARY_AUXILIARIES
1ee3ab09-949a-40b6-8f00-249161d076c1	f8a6c71b-f927-49a6-a723-6c4e7d565219	UPS
1ee3ab09-949a-40b6-8f00-249161d076c1	150e1d0e-ed13-484c-9192-846d71a2ea65	CRITICAL_AUXILIARIES
1ee3ab09-949a-40b6-8f00-249161d076c1	d27ba155-517b-43d6-930b-4ddd0a50d7e8	LIGHTING
1ee3ab09-949a-40b6-8f00-249161d076c1	6c83c6af-c285-499b-a4b5-d6c8d4baf68b	CRITICAL_POWER_DISTRIBUTION
1ee3ab09-949a-40b6-8f00-249161d076c1	54625123-4a20-4b00-9c03-07943aa3c7b7	CRAH
1ee3ab09-949a-40b6-8f00-249161d076c1	7cae04e1-6c22-4c8f-9831-247ca2f542eb	CRAC
1ee3ab09-949a-40b6-8f00-249161d076c1	b3671e8e-8690-4667-b99c-7b1f4633018a	CRAC_WITHOUT_FAN
1ee3ab09-949a-40b6-8f00-249161d076c1	5313881f-6a14-410a-b3e0-13d255fcaa9a	CRAC_FAN
1ee3ab09-949a-40b6-8f00-249161d076c1	2d84913c-81a8-4305-8f2e-fdfc2aaac77e	CHILLER
1ee3ab09-949a-40b6-8f00-249161d076c1	636446b3-7183-4f12-87d7-ed0a3d4f3974	AIR_COOLED_CHILLER
1ee3ab09-949a-40b6-8f00-249161d076c1	9ac4f948-172a-4eff-ba3c-0386f5d25ecc	COOLING_TOWER
1ee3ab09-949a-40b6-8f00-249161d076c1	30574b77-dac7-486c-9a69-34c5da7f680e	DRY_COOLER
1ee3ab09-949a-40b6-8f00-249161d076c1	c136e7ce-4166-4dfe-a252-ff3377cc2a7d	REMOTE_CONDENSER
1ee3ab09-949a-40b6-8f00-249161d076c1	1a7c748a-58e2-4856-968a-b10e65298024	CHILLED_WATER_PUMPS
1ee3ab09-949a-40b6-8f00-249161d076c1	ed68024e-363d-45e7-8d56-39d240035333	HEAT_REJECTION_PUMPS
1ee3ab09-949a-40b6-8f00-249161d076c1	b8ab28c2-aa63-4424-9d72-27456e252348	VENTILATION
1ee3ab09-949a-40b6-8f00-249161d076c1	8742c2f6-9116-4b0d-bf8e-113a1450ef26	INFILTRATION
1ee3ab09-949a-40b6-8f00-249161d076c1	9675ce8b-b030-4b03-ab27-b063d3de3875	IT_LOAD
12553805-434a-4f49-94f1-c79adcd28805	b90770c6-c978-4dfb-b206-53c596644590	SWITCHGEAR
12553805-434a-4f49-94f1-c79adcd28805	810a4fe3-4e85-4be6-a184-b015df5849d8	GENERATOR
12553805-434a-4f49-94f1-c79adcd28805	d1d44ebf-b619-43db-a06c-2d5ea0a801de	PRIMARY_AUXILIARIES
12553805-434a-4f49-94f1-c79adcd28805	9db5ecac-dc48-476a-a1eb-2adec32b85a6	UPS
12553805-434a-4f49-94f1-c79adcd28805	d4825e38-0ac6-4b31-a78b-929b151260bd	CRITICAL_AUXILIARIES
12553805-434a-4f49-94f1-c79adcd28805	ea72a679-4021-40f8-9f61-9d55fc578789	LIGHTING
12553805-434a-4f49-94f1-c79adcd28805	966858e6-478e-4299-823a-c991fb85ad03	CRITICAL_POWER_DISTRIBUTION
12553805-434a-4f49-94f1-c79adcd28805	40d559a2-bff9-4166-9443-0e7b030fa8ff	CRAH
12553805-434a-4f49-94f1-c79adcd28805	69112d82-e8be-449f-89ae-dcf06a3277cd	CRAC
12553805-434a-4f49-94f1-c79adcd28805	436143ce-bfab-41e6-a2ed-89a0a6d12e38	CRAC_WITHOUT_FAN
12553805-434a-4f49-94f1-c79adcd28805	8e563aa5-247c-4e98-a7b0-e8ba3270f510	CRAC_FAN
12553805-434a-4f49-94f1-c79adcd28805	47368d41-f8d5-49df-87de-db00cf09db5d	CHILLER
12553805-434a-4f49-94f1-c79adcd28805	ad903e56-2521-4637-8c35-4a0271c0c732	AIR_COOLED_CHILLER
12553805-434a-4f49-94f1-c79adcd28805	f5bb55ca-d835-438a-8e58-3ae0378e229c	COOLING_TOWER
12553805-434a-4f49-94f1-c79adcd28805	8eb4f986-2fc3-457b-8743-2c79a73acc27	DRY_COOLER
12553805-434a-4f49-94f1-c79adcd28805	52fca8f4-4979-4a02-adae-66be22d18163	REMOTE_CONDENSER
12553805-434a-4f49-94f1-c79adcd28805	263b7483-b179-4c34-8f9a-a7b6b41008ea	CHILLED_WATER_PUMPS
12553805-434a-4f49-94f1-c79adcd28805	de076f1c-a01b-4abd-bf44-7df269b98eab	HEAT_REJECTION_PUMPS
12553805-434a-4f49-94f1-c79adcd28805	4bc5f67d-882f-4e99-8f18-13ed7de7d518	VENTILATION
12553805-434a-4f49-94f1-c79adcd28805	c55f7868-9267-4d6d-88d9-7b574471367f	INFILTRATION
12553805-434a-4f49-94f1-c79adcd28805	1884b64c-9979-4c41-8002-40eeccf9abd9	IT_LOAD
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	947162ed-4646-4c55-8139-1583e32772c3	SWITCHGEAR
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	353cf6cc-2e52-4d90-b5e0-0358970939e6	GENERATOR
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	dc8f497b-e0da-4d80-9c46-60c1b7f66a01	PRIMARY_AUXILIARIES
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	86ae6a92-1cfd-4b6b-ab05-265525bc270e	UPS
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	13abb951-80dc-46f2-bd29-b6c15bd9fa1f	CRITICAL_AUXILIARIES
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	c0c2f9c2-5893-41d6-840d-3ea05ca83b8f	LIGHTING
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	36c9ce90-4057-421d-bae6-d1300b452c46	CRITICAL_POWER_DISTRIBUTION
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	6ffad6dd-e9eb-4232-9d02-de2ed2aefe12	CRAH
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	facd36af-e942-4af6-bb01-5233dc6cac5d	CRAC
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	59c4878f-0cff-4757-aad3-c3b87501f262	CRAC_WITHOUT_FAN
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	06b4bff5-a958-4b86-9399-f917633e6377	CRAC_FAN
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	237d41c4-d00d-49a0-9034-f7abd78650a4	CHILLER
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	22653f67-a26b-4d44-b29e-9e2a585fa4de	AIR_COOLED_CHILLER
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	83c07713-2e1c-4d86-8b27-d25c33f9e96e	COOLING_TOWER
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	d37363cc-1d32-400d-9872-7bf9191ceefe	DRY_COOLER
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	76344bf5-3fff-4527-aaaf-5dd651ff73c8	REMOTE_CONDENSER
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	c60c1b5a-1b6f-4564-b042-a44aa5d3951e	CHILLED_WATER_PUMPS
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	9708254c-7cb1-4f72-abaa-dceb4f31af21	HEAT_REJECTION_PUMPS
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	8bcc3cb8-a878-42d7-8a71-5806b0ed30d6	VENTILATION
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	fbd692dc-a6eb-42e1-8d09-9da655e09074	INFILTRATION
2daed96c-fbb7-4f0f-aed4-ee012526cf9a	3238ec04-eabd-4271-b354-d3e583082010	IT_LOAD
f9fdccf1-a2e0-421b-be85-fd7a9132674f	1611b7cd-4263-435b-96bc-e89ca11705c5	SWITCHGEAR
f9fdccf1-a2e0-421b-be85-fd7a9132674f	1fef9db0-2bec-4f00-931c-e0513c0304a6	GENERATOR
f9fdccf1-a2e0-421b-be85-fd7a9132674f	86af5de1-a7bc-4c61-8a0a-59d2cc2ec000	PRIMARY_AUXILIARIES
f9fdccf1-a2e0-421b-be85-fd7a9132674f	23612087-1f43-4314-a6ae-5aef7b874893	UPS
f9fdccf1-a2e0-421b-be85-fd7a9132674f	924c8d32-a106-42b0-8a70-ddbe175f9724	CRITICAL_AUXILIARIES
f9fdccf1-a2e0-421b-be85-fd7a9132674f	f268883c-0798-4a25-abc4-6f2348239ea1	LIGHTING
f9fdccf1-a2e0-421b-be85-fd7a9132674f	9314b08e-ecd4-4ecd-b0b8-59d200dd109d	CRITICAL_POWER_DISTRIBUTION
f9fdccf1-a2e0-421b-be85-fd7a9132674f	71b7c073-81fe-4f8a-bf1b-8845a8245292	CRAH
f9fdccf1-a2e0-421b-be85-fd7a9132674f	8b677860-8dce-4430-9f37-d4842c9a0235	CRAC
f9fdccf1-a2e0-421b-be85-fd7a9132674f	5c485c9b-bc55-4f50-86e7-80de5689091f	CRAC_WITHOUT_FAN
f9fdccf1-a2e0-421b-be85-fd7a9132674f	f6ffb863-97eb-4a98-a76a-f0de0b9e7997	CRAC_FAN
f9fdccf1-a2e0-421b-be85-fd7a9132674f	1706df8f-a5ef-4711-b99f-12478549dddb	CHILLER
f9fdccf1-a2e0-421b-be85-fd7a9132674f	7d195081-4491-434e-b95d-a1de6a6a538c	AIR_COOLED_CHILLER
f9fdccf1-a2e0-421b-be85-fd7a9132674f	45b8be79-6033-4fea-a01f-fa42f61efa2c	COOLING_TOWER
f9fdccf1-a2e0-421b-be85-fd7a9132674f	3fbe50db-7ea7-4843-af39-3a254e25b522	DRY_COOLER
f9fdccf1-a2e0-421b-be85-fd7a9132674f	304c12f1-a6e3-4c77-8fe8-4edcd4e79a40	REMOTE_CONDENSER
f9fdccf1-a2e0-421b-be85-fd7a9132674f	c2b9cb0f-f896-44ec-a770-1eec74fa09a7	CHILLED_WATER_PUMPS
f9fdccf1-a2e0-421b-be85-fd7a9132674f	f00a0efc-3c8e-40a2-b2dd-72261e629007	HEAT_REJECTION_PUMPS
f9fdccf1-a2e0-421b-be85-fd7a9132674f	1b5b2bbb-760a-438e-977d-8061800e1a2e	VENTILATION
f9fdccf1-a2e0-421b-be85-fd7a9132674f	2f989a61-694c-4785-a032-332d2467c497	INFILTRATION
f9fdccf1-a2e0-421b-be85-fd7a9132674f	c09b30be-86e0-40f7-b881-56e6123e568e	IT_LOAD
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	7194c49f-0d0f-4eba-a53d-8145585669fa	SWITCHGEAR
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	7da28de0-2901-48cc-a7a3-beeba6ac68b3	GENERATOR
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	21a0d8df-c891-4cbc-b8b6-1cf29332197b	PRIMARY_AUXILIARIES
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	c4f5d9c2-eb37-46a9-8127-a47f36b2f880	UPS
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	f9808c08-7964-4d16-b4cf-0a9bd1e17433	CRITICAL_AUXILIARIES
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	c104afe3-22fa-47fc-94b6-c4571e42583c	LIGHTING
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	d82427fc-3842-4ffc-bf0f-9676e4828beb	CRITICAL_POWER_DISTRIBUTION
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	04a71b37-5f5e-4c5c-8543-efd9877a3993	CRAH
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	54d51bae-dc9a-42cc-b008-d4ad6cbb54b7	CRAC
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	5716fe0d-701e-40a7-a94a-75731ff4fb11	CRAC_WITHOUT_FAN
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	b02e6f6d-188d-4f9f-9b57-2e03170efa90	CRAC_FAN
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	c6265d7d-1a66-4883-996c-1d0ddd74bc9f	CHILLER
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	24773ed0-c8a7-4a6d-b693-950ad27047e6	AIR_COOLED_CHILLER
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	9a35c7ca-7010-4b2a-9fd4-8ad2623a9a6b	COOLING_TOWER
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	5b5aee6e-7806-43e5-be3d-d5ad0b2b3e9b	DRY_COOLER
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	cb1701af-07fa-404b-b2cc-58f0b249e852	REMOTE_CONDENSER
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	ca3dce31-c262-4855-a5eb-ca7cda33ef52	CHILLED_WATER_PUMPS
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	981c71c6-cc12-4a7f-8868-6a5426276a26	HEAT_REJECTION_PUMPS
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	cbc7413d-edd9-4d82-b1bd-21975240cf45	VENTILATION
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	71843f10-ebc6-49c3-a7ac-1b3d0232857a	INFILTRATION
cae2d61f-3180-4024-aeb6-ab89eb64fbe1	9002160a-fa8c-4f3a-a1fe-bf3dd9ddb230	IT_LOAD
34cbe4b8-abdc-408c-bf51-b96efb067096	255eb26b-7e25-482d-a2f3-892e0fa04969	SWITCHGEAR
34cbe4b8-abdc-408c-bf51-b96efb067096	dff6c94a-04dd-4e1e-9037-ec40e490c90c	GENERATOR
34cbe4b8-abdc-408c-bf51-b96efb067096	3f5cf1d7-88c7-4550-ab5f-abdbca468c64	PRIMARY_AUXILIARIES
34cbe4b8-abdc-408c-bf51-b96efb067096	fec619bb-7066-4cc2-b2e2-deae37e50948	UPS
34cbe4b8-abdc-408c-bf51-b96efb067096	37de2e5b-1fd0-42c2-9601-eb7a2af6b9db	CRITICAL_AUXILIARIES
34cbe4b8-abdc-408c-bf51-b96efb067096	49a9e84d-a653-4d62-9e26-5c29456d7296	LIGHTING
34cbe4b8-abdc-408c-bf51-b96efb067096	541ae29b-e3c3-4b2e-91ca-1e2e4ddb4473	CRITICAL_POWER_DISTRIBUTION
34cbe4b8-abdc-408c-bf51-b96efb067096	025c1660-632d-4310-906c-650672158731	CRAH
34cbe4b8-abdc-408c-bf51-b96efb067096	bc041219-6e12-4b39-8782-8284d1d35c20	CRAC
34cbe4b8-abdc-408c-bf51-b96efb067096	ef16c94d-a5d7-4750-8124-5f813c6b011b	CRAC_WITHOUT_FAN
34cbe4b8-abdc-408c-bf51-b96efb067096	5bf6a72f-0504-4d1c-8412-1d2a3f8e0060	CRAC_FAN
34cbe4b8-abdc-408c-bf51-b96efb067096	35fb5cb0-9a3f-4c3c-908f-900a8c17f5eb	CHILLER
34cbe4b8-abdc-408c-bf51-b96efb067096	41a9feb3-c68c-4733-9718-833c3faf3887	AIR_COOLED_CHILLER
34cbe4b8-abdc-408c-bf51-b96efb067096	124cc692-73ef-442f-9dbe-ba6383ed1933	COOLING_TOWER
34cbe4b8-abdc-408c-bf51-b96efb067096	39b4fc15-ffb1-4699-b59d-6678fae634ea	DRY_COOLER
34cbe4b8-abdc-408c-bf51-b96efb067096	93d2e888-1e4b-4c3f-8fd9-c5d7b4e22762	REMOTE_CONDENSER
34cbe4b8-abdc-408c-bf51-b96efb067096	8a2b430b-23d6-44e2-a1c8-9318870b8845	CHILLED_WATER_PUMPS
34cbe4b8-abdc-408c-bf51-b96efb067096	6e3ff94d-6e55-4d66-b981-4f25d1057710	HEAT_REJECTION_PUMPS
34cbe4b8-abdc-408c-bf51-b96efb067096	1727550a-0448-445e-8fce-d70195264c60	VENTILATION
34cbe4b8-abdc-408c-bf51-b96efb067096	b775aaeb-272d-4261-8a18-e0986f4a94e3	INFILTRATION
34cbe4b8-abdc-408c-bf51-b96efb067096	864e879e-0c1c-4d0f-8d33-5be730e86ba1	IT_LOAD
983b2a89-e156-4e54-b4d3-1e62951656b4	d4d928ef-bf8d-4527-941a-78207b51b163	SWITCHGEAR
983b2a89-e156-4e54-b4d3-1e62951656b4	3dbdde6b-f967-4603-9337-7d323bead11c	GENERATOR
983b2a89-e156-4e54-b4d3-1e62951656b4	df764f85-7f37-44e1-a8aa-eb559c8a1f88	PRIMARY_AUXILIARIES
983b2a89-e156-4e54-b4d3-1e62951656b4	2802e6d9-904e-4186-91bd-ccf4938c18d5	UPS
983b2a89-e156-4e54-b4d3-1e62951656b4	178bd3fc-bcb8-4d32-b749-7b817c43881c	CRITICAL_AUXILIARIES
983b2a89-e156-4e54-b4d3-1e62951656b4	e8104d51-256f-419c-a6ad-f55ddfbb33be	LIGHTING
983b2a89-e156-4e54-b4d3-1e62951656b4	d42191a1-c548-4ef2-9024-332f91ce1784	CRITICAL_POWER_DISTRIBUTION
983b2a89-e156-4e54-b4d3-1e62951656b4	e040ecda-0650-441d-89cd-03bb69a83bdf	CRAH
983b2a89-e156-4e54-b4d3-1e62951656b4	c0d55cb1-52c9-470f-bac0-65c04ecb5da7	CRAC
983b2a89-e156-4e54-b4d3-1e62951656b4	af4e3899-86e6-43d1-baf5-56798e8938b4	CRAC_WITHOUT_FAN
983b2a89-e156-4e54-b4d3-1e62951656b4	e5cb05ae-2997-4a35-98bf-847fd2714ceb	CRAC_FAN
983b2a89-e156-4e54-b4d3-1e62951656b4	7af6f8cb-0617-4b07-b96a-54dd2e39f8ef	CHILLER
983b2a89-e156-4e54-b4d3-1e62951656b4	e47d95b0-5a57-4e11-8800-39b547e77234	AIR_COOLED_CHILLER
983b2a89-e156-4e54-b4d3-1e62951656b4	e8bdf991-d22b-4342-ae61-ad5467077d7c	COOLING_TOWER
983b2a89-e156-4e54-b4d3-1e62951656b4	380d987c-4b8b-426e-ab9b-add5499eeec0	DRY_COOLER
983b2a89-e156-4e54-b4d3-1e62951656b4	ace40310-40e8-4a8b-8427-0bf398dbea7e	REMOTE_CONDENSER
983b2a89-e156-4e54-b4d3-1e62951656b4	b2398ac1-923f-4f20-b9ea-65bd43b2a962	CHILLED_WATER_PUMPS
983b2a89-e156-4e54-b4d3-1e62951656b4	d484fdb4-0267-4e32-89d1-c791bed42a68	HEAT_REJECTION_PUMPS
983b2a89-e156-4e54-b4d3-1e62951656b4	323ef764-a72b-4cff-9b56-a8fd65ff2f1a	VENTILATION
983b2a89-e156-4e54-b4d3-1e62951656b4	b72f2246-52c5-438d-9f27-609612185297	INFILTRATION
983b2a89-e156-4e54-b4d3-1e62951656b4	40f57d74-1979-419c-9c93-53bdf67f7852	IT_LOAD
2427a884-fa18-4e91-822c-d32bea9040b4	c6656041-bdb5-4148-bd24-95c058a0b5bd	SWITCHGEAR
2427a884-fa18-4e91-822c-d32bea9040b4	33d7a909-78c5-46d4-bd9e-97a5711b9814	GENERATOR
2427a884-fa18-4e91-822c-d32bea9040b4	f2a40ca4-f925-4665-8c99-29b79ecc9099	PRIMARY_AUXILIARIES
2427a884-fa18-4e91-822c-d32bea9040b4	9d7e1ccd-dbe5-4d5d-8a35-181d3fe797cf	UPS
2427a884-fa18-4e91-822c-d32bea9040b4	c4ee08cf-bb2d-4ed4-9dd2-e08e5ef54641	CRITICAL_AUXILIARIES
2427a884-fa18-4e91-822c-d32bea9040b4	c900e9fc-9b74-45e6-931c-3b2227127007	LIGHTING
2427a884-fa18-4e91-822c-d32bea9040b4	736dcecc-5a08-4d59-a316-50530c86841a	CRITICAL_POWER_DISTRIBUTION
2427a884-fa18-4e91-822c-d32bea9040b4	0a61f89f-c9c7-4b42-97f9-d49ec9287c4a	CRAH
2427a884-fa18-4e91-822c-d32bea9040b4	6614b20f-3586-4e77-826c-0d2f81a431bc	CRAC
2427a884-fa18-4e91-822c-d32bea9040b4	f212d59f-6e0c-405f-8e0e-ef06474d44f8	CRAC_WITHOUT_FAN
2427a884-fa18-4e91-822c-d32bea9040b4	6ca7e9b4-d762-4ab5-a043-967dc96e2efb	CRAC_FAN
2427a884-fa18-4e91-822c-d32bea9040b4	5bdc25d3-eb92-42e0-93a1-a9c2e45ad65f	CHILLER
2427a884-fa18-4e91-822c-d32bea9040b4	31117d0d-f51f-4c8b-af4a-cb4d30659a64	AIR_COOLED_CHILLER
2427a884-fa18-4e91-822c-d32bea9040b4	dda53ae0-9cd5-47d2-aa0d-d338cc1313db	COOLING_TOWER
2427a884-fa18-4e91-822c-d32bea9040b4	e5bf4283-5114-4759-b978-1e327b89a903	DRY_COOLER
2427a884-fa18-4e91-822c-d32bea9040b4	4ae0ed62-cf3b-4b7c-a780-d093706396df	REMOTE_CONDENSER
2427a884-fa18-4e91-822c-d32bea9040b4	7c13d68b-9fd2-4027-9560-1cb700ce146a	CHILLED_WATER_PUMPS
2427a884-fa18-4e91-822c-d32bea9040b4	16e1f72a-1815-47e4-9946-db10a8e097a8	HEAT_REJECTION_PUMPS
2427a884-fa18-4e91-822c-d32bea9040b4	87fafce9-a532-49f4-aa1e-db8f097ee84b	VENTILATION
2427a884-fa18-4e91-822c-d32bea9040b4	9593bf8c-898a-4f11-8f70-777191c176f6	INFILTRATION
2427a884-fa18-4e91-822c-d32bea9040b4	20495bc7-3a02-453c-bc88-ae5decb132da	IT_LOAD
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	5f6e71cd-2cc1-4f05-a1ef-5e413850caf7	SWITCHGEAR
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	72432823-ad28-4b82-8781-3527fbcd6e61	GENERATOR
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	86b4be9e-2547-479d-b39c-24cf906a2709	PRIMARY_AUXILIARIES
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	b3ebc631-2cd2-4a2a-b7a6-2342de01a076	UPS
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	12bd82cf-0868-458b-acf1-f5c617eedf9d	CRITICAL_AUXILIARIES
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	84113fc9-24b0-4cfb-99bb-0d1b0ec48da6	LIGHTING
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	08433348-5b46-4f82-8ced-852aff0ecba9	CRITICAL_POWER_DISTRIBUTION
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	6c1b1e32-fbb2-4634-a426-f19f416e6919	CRAH
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	7cf08fed-a978-4fad-873f-b602e9fa997d	CRAC
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	532b1a42-08a2-4d54-a64e-e42594c15682	CRAC_WITHOUT_FAN
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	c99be450-7202-4588-80f0-8504923cc2f8	CRAC_FAN
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	3dd9ba9b-e14b-4dfd-8a7e-3881ad94f8e6	CHILLER
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	fd9fe4ee-e976-4a8d-9302-e8a54d3da11a	AIR_COOLED_CHILLER
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	0224a63c-2c65-4984-9d23-33a0944ee3dd	COOLING_TOWER
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	88415ec0-6e68-487a-9f34-1494a805e9c0	DRY_COOLER
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	d4f2d847-2eb1-4b12-abc5-201348dc9ab8	REMOTE_CONDENSER
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	000b8687-8dba-4733-b753-2d278bffeee2	CHILLED_WATER_PUMPS
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	fbd1c0f0-0f93-49be-b6e1-f303acf8b113	HEAT_REJECTION_PUMPS
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	87614a20-5087-4afd-8b93-078eddd957d1	VENTILATION
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	aedb2e24-8d1a-4633-abb9-16016ee29af8	INFILTRATION
baba1a59-7ff2-4f8f-aa32-2dfb1a211e25	433aa5d8-8f1a-4644-aacf-6a8273c6b83b	IT_LOAD
419d64b2-b0a8-49f9-89f8-be4b2d08953a	7b2b4b99-b241-44b9-88da-d22a973fd5d6	SWITCHGEAR
419d64b2-b0a8-49f9-89f8-be4b2d08953a	59dd32ac-fafc-4200-99d7-99d9df33863f	GENERATOR
419d64b2-b0a8-49f9-89f8-be4b2d08953a	0cea6114-ac66-41a3-8084-5d98b4fcd5b3	PRIMARY_AUXILIARIES
419d64b2-b0a8-49f9-89f8-be4b2d08953a	e7f03e32-0fc6-469e-9e4c-6c169e97f518	UPS
419d64b2-b0a8-49f9-89f8-be4b2d08953a	fefcb9a5-621c-44fc-86d8-bd30fc0af27a	CRITICAL_AUXILIARIES
419d64b2-b0a8-49f9-89f8-be4b2d08953a	5845bf2a-a23a-42ef-b0d7-5ec507e6848e	LIGHTING
419d64b2-b0a8-49f9-89f8-be4b2d08953a	2a0cfd41-eec3-479d-9f03-55267241c21a	CRITICAL_POWER_DISTRIBUTION
419d64b2-b0a8-49f9-89f8-be4b2d08953a	e1669913-f951-4222-b186-2d52d37c7ad2	CRAH
419d64b2-b0a8-49f9-89f8-be4b2d08953a	d8534ad9-ad26-4dbc-bb46-aaef8b905f05	CRAC
419d64b2-b0a8-49f9-89f8-be4b2d08953a	2c3e53df-4bda-4f3a-b41c-9e45fb6eebaa	CRAC_WITHOUT_FAN
419d64b2-b0a8-49f9-89f8-be4b2d08953a	76b110c6-9bb4-4f83-bff9-06b35a050c03	CRAC_FAN
419d64b2-b0a8-49f9-89f8-be4b2d08953a	c9afd42c-d00a-495e-87f3-6f5a3917ab9a	CHILLER
419d64b2-b0a8-49f9-89f8-be4b2d08953a	ef94bfb7-e729-4918-a78f-03b152776376	AIR_COOLED_CHILLER
419d64b2-b0a8-49f9-89f8-be4b2d08953a	43b8d7dc-f049-405d-874d-e797803f6830	COOLING_TOWER
419d64b2-b0a8-49f9-89f8-be4b2d08953a	dd83960d-776b-4d82-8702-6d8d776f1f41	DRY_COOLER
419d64b2-b0a8-49f9-89f8-be4b2d08953a	bf0f2fd9-4771-45c1-bea1-bf363bb285ec	REMOTE_CONDENSER
419d64b2-b0a8-49f9-89f8-be4b2d08953a	3dcee42b-b33a-41fc-baa6-d5b92ff15754	CHILLED_WATER_PUMPS
419d64b2-b0a8-49f9-89f8-be4b2d08953a	040ba4b4-8e72-4822-812a-dae158a9e51c	HEAT_REJECTION_PUMPS
419d64b2-b0a8-49f9-89f8-be4b2d08953a	a5cd2e9d-1a29-4244-b9d1-f2c06d9a96e7	VENTILATION
419d64b2-b0a8-49f9-89f8-be4b2d08953a	d13eb095-5e26-497f-a68c-309070b83115	INFILTRATION
419d64b2-b0a8-49f9-89f8-be4b2d08953a	4d8af820-8c23-4453-984e-081175fc4d21	IT_LOAD
96a21a67-7df5-4703-8e20-3abc35ac332f	a5d8f73b-8fa3-438f-a9f3-a937d4d1b911	SWITCHGEAR
96a21a67-7df5-4703-8e20-3abc35ac332f	e59c3ccb-e1b7-4154-bceb-74efc08eb8c1	GENERATOR
96a21a67-7df5-4703-8e20-3abc35ac332f	8654cefa-0321-4a42-beec-40824274c649	PRIMARY_AUXILIARIES
96a21a67-7df5-4703-8e20-3abc35ac332f	6c6e8991-9080-4caf-9de8-d4f0c76855c9	UPS
96a21a67-7df5-4703-8e20-3abc35ac332f	1aff6d5b-3990-45d5-9cfa-67a6f5aa1ce1	CRITICAL_AUXILIARIES
96a21a67-7df5-4703-8e20-3abc35ac332f	ef1ac636-a588-4b28-95e4-3fd525c483c7	LIGHTING
96a21a67-7df5-4703-8e20-3abc35ac332f	ce472c68-3b48-4e94-bd94-c7b17534b894	CRITICAL_POWER_DISTRIBUTION
96a21a67-7df5-4703-8e20-3abc35ac332f	068dcf24-b1ec-475d-a5e8-97620b141913	CRAH
96a21a67-7df5-4703-8e20-3abc35ac332f	7e97113a-6bd3-473d-9838-3c8e873ae391	CRAC
96a21a67-7df5-4703-8e20-3abc35ac332f	b0aab1a9-9437-4ddf-83d7-9711df56b61b	CRAC_WITHOUT_FAN
96a21a67-7df5-4703-8e20-3abc35ac332f	226208c0-4043-4604-9af2-2ae1495da1c0	CRAC_FAN
96a21a67-7df5-4703-8e20-3abc35ac332f	f50d70db-d1aa-4616-957e-570658aec366	CHILLER
96a21a67-7df5-4703-8e20-3abc35ac332f	a0c28f18-d25b-4288-a31a-6ce951e18d93	AIR_COOLED_CHILLER
96a21a67-7df5-4703-8e20-3abc35ac332f	691d0964-da9f-4404-9375-a2a91499354e	COOLING_TOWER
96a21a67-7df5-4703-8e20-3abc35ac332f	a6ed5328-3cd7-4c53-a41e-87b1e37e59ae	DRY_COOLER
96a21a67-7df5-4703-8e20-3abc35ac332f	085f4f6f-b2e4-4abb-a295-a2e0ba7d941c	REMOTE_CONDENSER
96a21a67-7df5-4703-8e20-3abc35ac332f	13fa1e04-85f4-4a8c-8533-d9a51c5e5276	CHILLED_WATER_PUMPS
96a21a67-7df5-4703-8e20-3abc35ac332f	b33ade23-f1b6-408d-9c12-ae21a5f46bb9	HEAT_REJECTION_PUMPS
96a21a67-7df5-4703-8e20-3abc35ac332f	6cd41201-8d1f-4aaa-9163-88a5bbb74725	VENTILATION
96a21a67-7df5-4703-8e20-3abc35ac332f	0b033496-c172-4968-b0ac-7efe3d6a5ad3	INFILTRATION
96a21a67-7df5-4703-8e20-3abc35ac332f	e6c2db1a-d192-4892-8ad1-c18a30a9847c	IT_LOAD
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	3f3f6a1a-1007-45f1-849c-36cfbc415478	SWITCHGEAR
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	0eea5924-b959-4c1a-93dd-7cdb8af70358	GENERATOR
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	c722720e-9fe4-4c74-99de-009829bdb54a	PRIMARY_AUXILIARIES
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	18de7455-6e50-46fc-ba27-9e0613722049	UPS
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	a2cdde74-a3d2-40c4-bdc0-37b04ff35c7c	CRITICAL_AUXILIARIES
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	ef1fb8fe-ce76-48d6-87c0-147f66afab8d	LIGHTING
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	7d10d976-0c08-4942-8973-eedacb59175e	CRITICAL_POWER_DISTRIBUTION
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	b466a57e-566e-4748-b64f-a123beed10b4	CRAH
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	5fc87411-4aae-4196-bb67-8a11caf5f971	CRAC
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	7663fb2f-a1bb-43a3-a0a7-c5f602c16e74	CRAC_WITHOUT_FAN
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	3a8408af-28aa-4f54-94e2-5e297975b6f0	CRAC_FAN
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	4ae66e61-90c9-4321-a97d-48a310592d97	CHILLER
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	2e258089-abfb-4041-a683-cf080ff5f3f8	AIR_COOLED_CHILLER
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	09579f85-5ce8-459d-a627-65016b58292c	COOLING_TOWER
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	487c007e-6bb7-4859-8b79-5c8886e27bf9	DRY_COOLER
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	1e9c906d-877b-4da3-84b8-b0bd2120f55d	REMOTE_CONDENSER
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	5590b9dd-ae7c-418d-a812-89ae91fbfdc1	CHILLED_WATER_PUMPS
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	f0ebacdc-558e-4523-b5f7-f899aab9f1b7	HEAT_REJECTION_PUMPS
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	1b9414d8-c904-4720-a045-bc776fbd002c	VENTILATION
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	2fda1784-1dc8-497d-87a8-f7b8b88c8367	INFILTRATION
0c4afb15-67af-4f6c-a0bb-0d8ec37bac1c	f874aade-c508-4b9e-a4b9-cf4347e2de9c	IT_LOAD
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	25019d52-45b4-41d5-bccf-a9a6c968606a	SWITCHGEAR
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	56c09802-efbc-4436-b39e-438bb3cd4d1d	GENERATOR
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	aa2d8800-4816-45db-8fc6-8f6ccba85197	PRIMARY_AUXILIARIES
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	bee5b300-f905-404b-a1fe-5e3ce6c5126a	UPS
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	55f08848-341d-4561-b07d-b4c1f8509ef7	CRITICAL_AUXILIARIES
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	e170b5b1-bbc0-484d-a7fc-4e04bf57a006	LIGHTING
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	43143f3e-da46-4c1a-97c9-0338bb68fca9	CRITICAL_POWER_DISTRIBUTION
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	2e1823ea-341c-4f0b-b415-acd6e9724b18	CRAH
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	8f0da9ef-ae57-4eec-a430-6340f58f7898	CRAC
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	d9557dba-674e-437c-a6ea-d4f23992381a	CRAC_WITHOUT_FAN
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	932e3c1d-b4ed-4c61-b389-731972fab88d	CRAC_FAN
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	0d395da8-e67e-4a48-b52f-4d9c5f5df224	CHILLER
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	f9388ad9-fefe-42e3-b666-8ada2c704a07	AIR_COOLED_CHILLER
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	81910822-8678-45bb-a596-e27c5de5e7e8	COOLING_TOWER
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	3946165f-0eca-4aac-9f53-bb4ca93a86c5	DRY_COOLER
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	422e882c-6016-4589-9026-ec7885aef6e1	REMOTE_CONDENSER
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	a0c75fcf-7716-43f4-aa7e-0fedd2f87839	CHILLED_WATER_PUMPS
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	d1bbbdc6-ac08-4c32-880b-7a013f368dc7	HEAT_REJECTION_PUMPS
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	e425cb6a-4dce-4043-9f1d-6cdc00368185	VENTILATION
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	6e828f1d-108f-4236-ae67-5ad9ebd73ba9	INFILTRATION
ed0b8f37-44a1-42ca-afd0-5c77c23e9512	ee102740-9f17-4714-aa20-5e325714059e	IT_LOAD
a71c8ac6-66db-4c97-b10a-791b89777c74	b088d292-c730-4cc0-90e0-ee4c7d1d3291	SWITCHGEAR
a71c8ac6-66db-4c97-b10a-791b89777c74	cf46f684-cf1b-48b5-8e23-8222db32cada	GENERATOR
a71c8ac6-66db-4c97-b10a-791b89777c74	876653d9-89a3-4726-9871-f9711e9a6152	PRIMARY_AUXILIARIES
a71c8ac6-66db-4c97-b10a-791b89777c74	c8891b7a-972e-4e60-a2d6-759f9a9f3446	UPS
a71c8ac6-66db-4c97-b10a-791b89777c74	bc608deb-3461-40f5-bb70-9d164d70384a	CRITICAL_AUXILIARIES
a71c8ac6-66db-4c97-b10a-791b89777c74	5e39574d-87a6-404e-9dd7-5b834a106684	LIGHTING
a71c8ac6-66db-4c97-b10a-791b89777c74	9e4febd3-d30a-4985-8cc0-fc2f5866791f	CRITICAL_POWER_DISTRIBUTION
a71c8ac6-66db-4c97-b10a-791b89777c74	22f3174c-d8be-4516-a178-d0e664479b5c	CRAH
a71c8ac6-66db-4c97-b10a-791b89777c74	5ee7e7c6-4a14-47b2-85c8-7776d5eb0703	CRAC
a71c8ac6-66db-4c97-b10a-791b89777c74	f9fc15c2-5a02-4af3-9f0d-115ec77887cc	CRAC_WITHOUT_FAN
a71c8ac6-66db-4c97-b10a-791b89777c74	2779cf55-3ab5-4e17-9423-05c8ec15a6af	CRAC_FAN
a71c8ac6-66db-4c97-b10a-791b89777c74	8d5b5ef2-a3ce-4e81-a9be-bc5fe1e4ca72	CHILLER
a71c8ac6-66db-4c97-b10a-791b89777c74	9f6f862b-518d-4e62-b6cc-5cc00661d47b	AIR_COOLED_CHILLER
a71c8ac6-66db-4c97-b10a-791b89777c74	ec8a2343-c8d5-48f0-b21b-db96775b2173	COOLING_TOWER
a71c8ac6-66db-4c97-b10a-791b89777c74	71b5c139-a15c-4472-a853-4c4cb7286e22	DRY_COOLER
a71c8ac6-66db-4c97-b10a-791b89777c74	20e6a2f7-7e70-44ba-bec4-673025f1298a	REMOTE_CONDENSER
a71c8ac6-66db-4c97-b10a-791b89777c74	56b82976-af26-4b58-a466-f8c4b0b73444	CHILLED_WATER_PUMPS
a71c8ac6-66db-4c97-b10a-791b89777c74	6a5b4e22-f0fb-45da-951e-cb09c1ca34cf	HEAT_REJECTION_PUMPS
a71c8ac6-66db-4c97-b10a-791b89777c74	5fd6d2ee-80fe-42c0-ad2e-9036fcaf57ae	VENTILATION
a71c8ac6-66db-4c97-b10a-791b89777c74	f9af7630-facf-4607-aef1-59177350c7fb	INFILTRATION
a71c8ac6-66db-4c97-b10a-791b89777c74	06de0efa-adf0-407a-a2c1-227f857c9ec6	IT_LOAD
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	e75c0c18-d6ad-4388-8220-734bc6eb2ed9	SWITCHGEAR
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	975a4cf6-4112-44c5-bd87-04b4ed07be43	GENERATOR
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	ed383ef1-5e18-4900-98b1-f515ff8781a2	PRIMARY_AUXILIARIES
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	6faf82c6-0950-4c7f-85d9-5065229ceed8	UPS
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	9d8900a4-4f1b-4c4b-be78-980fe53237c8	CRITICAL_AUXILIARIES
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	4483f1b3-36ba-496c-b49a-47d7ee01b7e6	LIGHTING
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	5f7a8a6b-ff41-494c-b0fb-8e89b01eddcd	CRITICAL_POWER_DISTRIBUTION
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	ec7b0849-fdf4-4630-9fea-678da8612084	CRAH
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	fba64a26-848c-40f7-84a7-2ac80e7f147c	CRAC
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	c3e9b2ca-a282-4062-ba47-2146aa6847fb	CRAC_WITHOUT_FAN
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	39d544f8-ba60-41bd-a902-2400c99c787c	CRAC_FAN
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	9a6f564c-1fa9-4232-8c16-c8bd3f2eb1a8	CHILLER
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	f48a4202-3b03-4cdd-a5cb-153e10423875	AIR_COOLED_CHILLER
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	dcade4e8-9608-4132-9b68-4e9df5fc9074	COOLING_TOWER
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	ebbc842d-fb80-47b8-ba1d-6ad6ae8ac4ca	DRY_COOLER
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	0c06bf71-6e70-48de-bb0e-91d7812a2548	REMOTE_CONDENSER
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	9d819c0c-5c82-4ee7-8ea1-e8278298080d	CHILLED_WATER_PUMPS
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	f25ae4b5-49c6-4e58-bfdf-44fa716a8543	HEAT_REJECTION_PUMPS
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	72aff997-a4b1-4156-9a6a-f5785ecf4999	VENTILATION
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	6d66afab-68e0-4e97-ae76-13ed612a60e1	INFILTRATION
bfdff6fe-acd8-4a12-bd7d-2cdb7a8fbefe	b86f62c7-7a58-4b12-b30c-a5e077404378	IT_LOAD
43017b2d-38b1-4772-a308-2ea7d7859560	29f4b715-0878-46d5-9ba1-b11a887d6ca5	SWITCHGEAR
43017b2d-38b1-4772-a308-2ea7d7859560	b54efd69-47a3-4504-a913-f10c4624ed9d	GENERATOR
43017b2d-38b1-4772-a308-2ea7d7859560	b4d529aa-acd5-4fb3-a156-f1ff83c18b28	PRIMARY_AUXILIARIES
43017b2d-38b1-4772-a308-2ea7d7859560	0ee2ece8-7604-442b-88d1-2630a3b5864a	UPS
43017b2d-38b1-4772-a308-2ea7d7859560	6c4ed679-ee78-4af0-9652-b5d920656219	CRITICAL_AUXILIARIES
43017b2d-38b1-4772-a308-2ea7d7859560	767fbc13-2081-46bd-9715-672f26766276	LIGHTING
43017b2d-38b1-4772-a308-2ea7d7859560	e0ceeb90-1fc9-40a7-ac8e-62f4dd87a848	CRITICAL_POWER_DISTRIBUTION
43017b2d-38b1-4772-a308-2ea7d7859560	2e654785-1e32-4841-a47f-59239966594c	CRAH
43017b2d-38b1-4772-a308-2ea7d7859560	43a170f2-8a6d-4c4b-b09f-07930783a4b6	CRAC
43017b2d-38b1-4772-a308-2ea7d7859560	5868035f-1df8-448d-81ab-f1af9750b8bb	CRAC_WITHOUT_FAN
43017b2d-38b1-4772-a308-2ea7d7859560	207e6be6-b16a-48ef-bd0b-378c3d8cd9b3	CRAC_FAN
43017b2d-38b1-4772-a308-2ea7d7859560	1c8f1da7-e615-47cc-a1ac-8f428d7fe93a	CHILLER
43017b2d-38b1-4772-a308-2ea7d7859560	62aa3692-be22-408b-8ef8-a7d669ef1b8d	AIR_COOLED_CHILLER
43017b2d-38b1-4772-a308-2ea7d7859560	ea3097be-7c34-4e4d-af8f-8215f65ca575	COOLING_TOWER
43017b2d-38b1-4772-a308-2ea7d7859560	a69426f1-bec8-4562-8d52-99d0adbff589	DRY_COOLER
43017b2d-38b1-4772-a308-2ea7d7859560	5c142387-add6-49a1-807d-4d135fdb3dda	REMOTE_CONDENSER
43017b2d-38b1-4772-a308-2ea7d7859560	3b7ea594-a878-4a50-be0c-232503c605de	CHILLED_WATER_PUMPS
43017b2d-38b1-4772-a308-2ea7d7859560	5cd3815f-79d5-4ed7-9463-61798a125cdb	HEAT_REJECTION_PUMPS
43017b2d-38b1-4772-a308-2ea7d7859560	5a35284c-746b-48fe-81e8-126c5f538a23	VENTILATION
43017b2d-38b1-4772-a308-2ea7d7859560	a24fd93f-57c4-41ba-a741-1bdb3b07dde2	INFILTRATION
43017b2d-38b1-4772-a308-2ea7d7859560	969f8d13-922e-4f03-a216-ad6159fb1c27	IT_LOAD
f0dd46b0-f0bd-424a-824a-4d65a210b21a	fdb1b359-541e-488c-af6f-cab3c8d4d2df	SWITCHGEAR
f0dd46b0-f0bd-424a-824a-4d65a210b21a	0f536ad6-4db2-4e20-a7f0-2ad74c94ff00	GENERATOR
f0dd46b0-f0bd-424a-824a-4d65a210b21a	1355d9f3-81a8-401a-8039-e631e6adcb36	PRIMARY_AUXILIARIES
f0dd46b0-f0bd-424a-824a-4d65a210b21a	363c1e1f-8ee3-4854-ac28-753953109842	UPS
f0dd46b0-f0bd-424a-824a-4d65a210b21a	83da05ef-0fec-4ab4-9af5-b7258a7dac3c	CRITICAL_AUXILIARIES
f0dd46b0-f0bd-424a-824a-4d65a210b21a	8c42f945-9353-4b30-a17b-f7efc7f36d1f	LIGHTING
f0dd46b0-f0bd-424a-824a-4d65a210b21a	42d2853a-31b4-468f-aceb-b795082bdf9f	CRITICAL_POWER_DISTRIBUTION
f0dd46b0-f0bd-424a-824a-4d65a210b21a	81303a36-9997-4f4a-822e-13322c1417d9	CRAH
f0dd46b0-f0bd-424a-824a-4d65a210b21a	51ddaee9-257c-4020-909b-f8ddcd90781e	CRAC
f0dd46b0-f0bd-424a-824a-4d65a210b21a	faf2919b-43a6-49bb-b256-c8137c2a69e4	CRAC_WITHOUT_FAN
f0dd46b0-f0bd-424a-824a-4d65a210b21a	2568e1e5-714b-4368-a801-788aa0901053	CRAC_FAN
f0dd46b0-f0bd-424a-824a-4d65a210b21a	e0f2ace1-cfdc-4c99-98aa-b4e1224f4f7a	CHILLER
f0dd46b0-f0bd-424a-824a-4d65a210b21a	e83414a8-6921-4536-a648-1fa07990f2d5	AIR_COOLED_CHILLER
f0dd46b0-f0bd-424a-824a-4d65a210b21a	3a92e686-2f72-40e9-894a-d3d22c76d6e5	COOLING_TOWER
f0dd46b0-f0bd-424a-824a-4d65a210b21a	93ba0454-9204-4a1a-9efc-1c9880622bdc	DRY_COOLER
f0dd46b0-f0bd-424a-824a-4d65a210b21a	bd06b58a-3063-4f8d-a00f-2583bf7c0822	REMOTE_CONDENSER
f0dd46b0-f0bd-424a-824a-4d65a210b21a	7d66360b-adf2-4437-ab79-81b78f66657e	CHILLED_WATER_PUMPS
f0dd46b0-f0bd-424a-824a-4d65a210b21a	78b0ae1f-25e7-4054-b15f-4b94886cf86f	HEAT_REJECTION_PUMPS
f0dd46b0-f0bd-424a-824a-4d65a210b21a	31fa3677-3a76-4353-ab61-9880efa0efb3	VENTILATION
f0dd46b0-f0bd-424a-824a-4d65a210b21a	31636e42-e843-4173-af85-7dd7c784a235	INFILTRATION
f0dd46b0-f0bd-424a-824a-4d65a210b21a	a6684e37-8752-48cd-8c37-ca35ac52a9db	IT_LOAD
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	2b9fa315-7ef1-4b92-9610-70c4730d4459	SWITCHGEAR
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	1148972f-bcd6-428c-b36d-b602f2c2f103	GENERATOR
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	db5cb708-4cdd-49bd-ad09-b205f0d32607	PRIMARY_AUXILIARIES
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	3a2bff77-592f-4233-bc02-ffc08631b7fe	UPS
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	7bb5e385-a82a-486f-9f94-d4efa6488053	CRITICAL_AUXILIARIES
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	28faf119-eff2-4ea6-8947-7cead089de16	LIGHTING
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	7d6762e3-abd4-47ff-9743-c883a0a1ad4f	CRITICAL_POWER_DISTRIBUTION
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	e18baa09-9817-4524-8b7d-22d99a6c5c98	CRAH
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	90306283-3822-4687-92a3-80c2b37f1a63	CRAC
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	dab17f49-a8bb-47e0-95ec-9354e8c6a53d	CRAC_WITHOUT_FAN
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	0e196722-2481-499d-b105-1d47a28fc6d4	CRAC_FAN
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	95222c9c-7678-4ec7-8fd6-7b437713a1d4	CHILLER
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	2f00e731-138c-4e0a-b547-632fabd85bca	AIR_COOLED_CHILLER
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	ece63cb1-abb9-42a3-a5e9-c4d7a2aec533	COOLING_TOWER
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	270f048e-be19-4d69-b0d2-8366f264ccce	DRY_COOLER
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	337e2d77-1e00-4ee5-bb04-2a42ce725c16	REMOTE_CONDENSER
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	adf06f08-fa7e-4899-a9fb-f395eb755d5c	CHILLED_WATER_PUMPS
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	07301e42-778f-4a1a-981d-a1d472c78222	HEAT_REJECTION_PUMPS
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	d5025148-17bd-493e-8256-5d181e0fd9bd	VENTILATION
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	2716256a-1693-4462-9a4e-94e1f5653eb5	INFILTRATION
73b7a6e7-22cf-4a1f-b353-0e01b4ac2b17	7ee147ba-249b-4020-9f1c-32896c506681	IT_LOAD
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	076628b6-6b05-4b7c-9325-9622196bda23	SWITCHGEAR
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	fcf408f8-f814-422e-9d31-0aea4afed14a	GENERATOR
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	298f6737-3395-41aa-b6ad-a4e5b8d45049	PRIMARY_AUXILIARIES
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	c9d26cb1-88f6-4197-b78a-f715fb262aaa	UPS
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	e2976b8f-566f-4086-973a-1120985368fa	CRITICAL_AUXILIARIES
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	0cd26feb-b19f-40d5-a0bf-09599131b465	LIGHTING
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	bef059d7-2ad2-44ad-8058-7081c73ac2d9	CRITICAL_POWER_DISTRIBUTION
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	941911db-3568-447e-a84f-e787697c42c7	CRAH
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	b0cd7906-d6af-4920-af31-fc5a6803bad2	CRAC
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	fbdcce58-4780-4b31-893c-2acd11b0ae4f	CRAC_WITHOUT_FAN
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	11ba74e2-877e-49c9-b8ec-2bd456982e57	CRAC_FAN
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	d536da94-99da-43cf-b2fc-f38b909da5d5	CHILLER
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	de2f33c5-86f0-4ac5-ba21-9337b6df8409	AIR_COOLED_CHILLER
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	ed5e66fa-1bdf-407f-801b-d805645ef18b	COOLING_TOWER
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	cc76aa65-e380-43b0-ba3f-bd5b366348ed	DRY_COOLER
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	bc1ef56f-3301-4bc3-8852-90bc3d38b77a	REMOTE_CONDENSER
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	1d38080a-3ae9-40fa-8520-62301870727b	CHILLED_WATER_PUMPS
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	59177217-9aa2-4a84-888f-635eb611e6bf	HEAT_REJECTION_PUMPS
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	06949fe9-8062-4362-842d-96a2209ce750	VENTILATION
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	2114566c-56fd-4a8f-88d5-6cb1fb1b9096	INFILTRATION
36ec19f1-0cc3-4ae8-be3f-3f3fe5bd37ee	801f6b09-2505-423b-8c08-e06de547add8	IT_LOAD
58e1c8f1-960c-4c2f-a90e-f16027b61450	e5055414-7179-406e-b9c4-0b8fca7d9fa9	SWITCHGEAR
58e1c8f1-960c-4c2f-a90e-f16027b61450	8a0c4803-5829-463a-a4b7-232e8b76104f	GENERATOR
58e1c8f1-960c-4c2f-a90e-f16027b61450	6623cefa-b248-4ca3-8799-ea55b44ca4de	PRIMARY_AUXILIARIES
58e1c8f1-960c-4c2f-a90e-f16027b61450	b70770f1-3370-401e-8aab-60abefd28b91	UPS
58e1c8f1-960c-4c2f-a90e-f16027b61450	0ab97c78-d0ff-4dc9-9a61-151db103c1e3	CRITICAL_AUXILIARIES
58e1c8f1-960c-4c2f-a90e-f16027b61450	f34078fd-44a3-4ae1-8a59-184b66632707	LIGHTING
58e1c8f1-960c-4c2f-a90e-f16027b61450	4c9561ab-1d6d-461f-ac8d-6284efa82c37	CRITICAL_POWER_DISTRIBUTION
58e1c8f1-960c-4c2f-a90e-f16027b61450	d83ba05c-08c3-4d15-a5f1-5d98038ba5dd	CRAH
58e1c8f1-960c-4c2f-a90e-f16027b61450	bb013701-100b-4c13-b674-d3c40f0ea084	CRAC
58e1c8f1-960c-4c2f-a90e-f16027b61450	9ca7623b-74ac-4772-a12e-7364718145c5	CRAC_WITHOUT_FAN
58e1c8f1-960c-4c2f-a90e-f16027b61450	dc0a50e6-d3b1-44b9-aa1a-b378b4096cbe	CRAC_FAN
58e1c8f1-960c-4c2f-a90e-f16027b61450	e4e7ec7a-7422-4467-8e6d-eda0b16b01dc	CHILLER
58e1c8f1-960c-4c2f-a90e-f16027b61450	5f2536dc-f493-4f5f-892c-39f1777ebab8	AIR_COOLED_CHILLER
58e1c8f1-960c-4c2f-a90e-f16027b61450	5456a5dc-0006-44e7-9cec-ae1e098d2a7a	COOLING_TOWER
58e1c8f1-960c-4c2f-a90e-f16027b61450	715cd93b-ebe6-45e9-9b81-7c88f6f99fcd	DRY_COOLER
58e1c8f1-960c-4c2f-a90e-f16027b61450	b5720f15-66f4-42ab-80d0-c6c652ae8ca6	REMOTE_CONDENSER
58e1c8f1-960c-4c2f-a90e-f16027b61450	c61327bd-3789-477e-be83-dbcf96782994	CHILLED_WATER_PUMPS
58e1c8f1-960c-4c2f-a90e-f16027b61450	3426516d-7fab-4806-a4bf-84e7a5cefae1	HEAT_REJECTION_PUMPS
58e1c8f1-960c-4c2f-a90e-f16027b61450	08a937fc-d0ea-4283-b126-5c7d82322050	VENTILATION
58e1c8f1-960c-4c2f-a90e-f16027b61450	ed023e16-ae2b-4a36-a605-b47e8090a785	INFILTRATION
58e1c8f1-960c-4c2f-a90e-f16027b61450	145b0952-3785-4baa-bdc2-f8bd7678bfda	IT_LOAD
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	284d860a-08b2-4a28-b891-b9a04e25b0e4	SWITCHGEAR
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	847a9250-b3d0-4c76-a536-1817c40722f3	GENERATOR
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	9d29bb70-001f-489f-84c4-aa0a1cfbe185	PRIMARY_AUXILIARIES
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	308977f0-05a4-444f-b868-6247b0176f32	UPS
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	6cba19d7-431e-402e-ac04-372c06971ce8	CRITICAL_AUXILIARIES
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	d34b8a68-e11c-4166-88fa-56d21b3826c0	LIGHTING
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	ef021196-5eac-450f-a3fc-ed97338059de	CRITICAL_POWER_DISTRIBUTION
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	ff245537-30fd-4eaa-8ff3-cd1ebd36b499	CRAH
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	9241af90-a6fc-4728-8d55-f3e8a8538726	CRAC
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	035b80b4-ca90-4ccd-b87d-92f704b8113d	CRAC_WITHOUT_FAN
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	668aece5-f66a-4def-90ea-c6283d9c9bfa	CRAC_FAN
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	f19d4e4d-1f1e-415b-99e1-a2829f076624	CHILLER
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	41dff51f-cae0-47a3-98ca-c13f635e11c5	AIR_COOLED_CHILLER
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	db727096-1035-4516-8052-4e7350c43324	COOLING_TOWER
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	9eb4bec0-8613-4edd-8d54-66cbcbed99a9	DRY_COOLER
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	60a6e832-b0c4-4116-b833-1a87bd94f24f	REMOTE_CONDENSER
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	60fdd66d-e368-47dc-ba40-17240506c0d2	CHILLED_WATER_PUMPS
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	3dd40590-3887-4963-9ea4-45e2de8d1a3b	HEAT_REJECTION_PUMPS
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	0b6d8e6f-2a97-45dc-a1a5-e241c875fa22	VENTILATION
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	0ad47112-ef79-4e4d-8266-a4a3aed1c928	INFILTRATION
b3775be0-fd71-4c5c-bfe2-7d77bffb1647	77009bf3-cbab-4426-9420-dd9fff3a7de1	IT_LOAD
1ac81879-d073-47ec-bb37-3aa3059fa10f	71fa7f31-41ef-4b62-a188-51f868ffeebf	SWITCHGEAR
1ac81879-d073-47ec-bb37-3aa3059fa10f	adabb55a-1cef-4173-aead-25469f873848	GENERATOR
1ac81879-d073-47ec-bb37-3aa3059fa10f	14b912fa-f5cc-4c0c-a9d2-f4cc63758b17	PRIMARY_AUXILIARIES
1ac81879-d073-47ec-bb37-3aa3059fa10f	dbee7628-d6cf-4083-baf8-6571f21f0c39	UPS
1ac81879-d073-47ec-bb37-3aa3059fa10f	7c2a05c7-1eac-428a-85bd-cee8bdccd833	CRITICAL_AUXILIARIES
1ac81879-d073-47ec-bb37-3aa3059fa10f	49d4be5d-957c-46d9-a287-53ac55ac0cc6	LIGHTING
1ac81879-d073-47ec-bb37-3aa3059fa10f	00177c6f-25ea-44af-a353-8779eacb1d8c	CRITICAL_POWER_DISTRIBUTION
1ac81879-d073-47ec-bb37-3aa3059fa10f	3b292201-81b1-4d41-876d-61ae0011ee76	CRAH
1ac81879-d073-47ec-bb37-3aa3059fa10f	590a5241-b332-4007-92e4-1bbc4e13e421	CRAC
1ac81879-d073-47ec-bb37-3aa3059fa10f	41c4164d-2cce-45fa-9ef2-a82abca49e7d	CRAC_WITHOUT_FAN
1ac81879-d073-47ec-bb37-3aa3059fa10f	1b79135d-d865-4156-8961-05c66fe356e9	CRAC_FAN
1ac81879-d073-47ec-bb37-3aa3059fa10f	1d9a8e6b-579b-4944-900e-774c206be13d	CHILLER
1ac81879-d073-47ec-bb37-3aa3059fa10f	83dfca7e-c1d2-405c-bc07-ed83603895f9	AIR_COOLED_CHILLER
1ac81879-d073-47ec-bb37-3aa3059fa10f	ff18feb2-7ea6-43e7-8f3e-c7a1a3711953	COOLING_TOWER
1ac81879-d073-47ec-bb37-3aa3059fa10f	167295b1-ce15-46ea-ae06-ad94cb6fba05	DRY_COOLER
1ac81879-d073-47ec-bb37-3aa3059fa10f	3a8b95ba-9a02-4505-bbae-f6b7f6ac9d77	REMOTE_CONDENSER
1ac81879-d073-47ec-bb37-3aa3059fa10f	a1b74545-c1bb-48a5-85ed-b560d6e26120	CHILLED_WATER_PUMPS
1ac81879-d073-47ec-bb37-3aa3059fa10f	c2347637-2ff9-431d-927a-8e22b22f103b	HEAT_REJECTION_PUMPS
1ac81879-d073-47ec-bb37-3aa3059fa10f	efc53452-e01a-4da5-9ae1-2945d0a3af5f	VENTILATION
1ac81879-d073-47ec-bb37-3aa3059fa10f	869fa21b-d556-47c2-913f-27f7ad5f3ba4	INFILTRATION
1ac81879-d073-47ec-bb37-3aa3059fa10f	b2e89b92-4198-445e-9083-48f976f1cd85	IT_LOAD
971f8444-8a68-4037-8673-51a9b1cb64c1	a7cae46f-45e7-4cd9-ace8-4fb7255b1b7c	SWITCHGEAR
971f8444-8a68-4037-8673-51a9b1cb64c1	ac6dc769-fd76-4263-8a35-86f8d3ff6c8a	GENERATOR
971f8444-8a68-4037-8673-51a9b1cb64c1	4bcb574a-c0d4-436c-b86f-59d9b8fcfa3a	PRIMARY_AUXILIARIES
971f8444-8a68-4037-8673-51a9b1cb64c1	aa5d9a89-946f-448f-9ade-ea38ec38c579	UPS
971f8444-8a68-4037-8673-51a9b1cb64c1	9c56bc33-9790-4d2c-8e0d-eb763cee52e8	CRITICAL_AUXILIARIES
971f8444-8a68-4037-8673-51a9b1cb64c1	478d227f-2fa5-4018-b570-e3409432f811	LIGHTING
971f8444-8a68-4037-8673-51a9b1cb64c1	a753dc22-d473-478e-945d-2caba0a4b16e	CRITICAL_POWER_DISTRIBUTION
971f8444-8a68-4037-8673-51a9b1cb64c1	d8861c87-b460-41be-a01a-e09c125b1ebe	CRAH
971f8444-8a68-4037-8673-51a9b1cb64c1	af92c0e7-ef8e-4587-a6be-76d35edf1eae	CRAC
971f8444-8a68-4037-8673-51a9b1cb64c1	a06c421f-3b08-40dc-bee7-b5099bfcec26	CRAC_WITHOUT_FAN
971f8444-8a68-4037-8673-51a9b1cb64c1	656e2d3b-b34a-4ea2-a8be-1454a62f735f	CRAC_FAN
971f8444-8a68-4037-8673-51a9b1cb64c1	0ff4105b-90bf-4063-92b0-5857e130b3c2	CHILLER
971f8444-8a68-4037-8673-51a9b1cb64c1	a0e6b2fa-5602-41ab-a649-585ce318dfeb	AIR_COOLED_CHILLER
971f8444-8a68-4037-8673-51a9b1cb64c1	a26ede49-2dc4-4739-b49e-f6298da7dd16	COOLING_TOWER
971f8444-8a68-4037-8673-51a9b1cb64c1	537edef7-02a4-4247-92d7-d99a3555aa03	DRY_COOLER
971f8444-8a68-4037-8673-51a9b1cb64c1	ed0ce562-5b1e-49f8-971a-33ea23a69e3d	REMOTE_CONDENSER
971f8444-8a68-4037-8673-51a9b1cb64c1	1e6825a9-0a75-41fe-8045-f95371265f4e	CHILLED_WATER_PUMPS
971f8444-8a68-4037-8673-51a9b1cb64c1	06a5b68b-886f-42b6-9c8a-b600d6453f93	HEAT_REJECTION_PUMPS
971f8444-8a68-4037-8673-51a9b1cb64c1	f27da924-37a5-472a-bfa9-127bbea861c7	VENTILATION
971f8444-8a68-4037-8673-51a9b1cb64c1	d77174fd-8842-4593-abe8-3d9c4be204d4	INFILTRATION
971f8444-8a68-4037-8673-51a9b1cb64c1	7397b5ab-84ea-4087-be08-e02936deaa5d	IT_LOAD
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	0d20cb53-b568-4a41-9f62-d6c678237fdb	SWITCHGEAR
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	53b4731d-fe59-4a64-bf37-bd1decef36b3	GENERATOR
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	aee50d11-8dd2-4684-babd-a9742723f53b	PRIMARY_AUXILIARIES
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	02c044fc-11b6-4c04-9cb3-7805684187b3	UPS
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	2bbf69e3-a30f-4254-9f0d-4fa979752175	CRITICAL_AUXILIARIES
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	5be9a154-3807-4f87-8e4f-39a7a6721f5a	LIGHTING
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	6de9b9fd-49c7-4d39-9b3a-3617c98af2d3	CRITICAL_POWER_DISTRIBUTION
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	21726017-7deb-4794-8072-0cca1a1be84c	CRAH
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	a34dd761-f29d-4df0-87e4-6f0538dced65	CRAC
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	264bc85e-ad33-4078-aa5d-992121b45a1d	CRAC_WITHOUT_FAN
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	844164d7-96d4-45ff-96a0-1b709c1035c2	CRAC_FAN
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	0b938c1c-7aeb-426d-a3e6-b900b1d784b0	CHILLER
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	c8d825e4-b092-4795-a26a-76de3910071f	AIR_COOLED_CHILLER
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	06e780f3-3f9c-4a35-adb9-6c39de4b51b3	COOLING_TOWER
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	4ca1e1a7-1f1a-419a-9485-0cc2916c8286	DRY_COOLER
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	08647e37-6c35-4cdd-8bea-6ae6cdfad54e	REMOTE_CONDENSER
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	8d250f79-fb84-488c-bd46-48be9e4578fc	CHILLED_WATER_PUMPS
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	26041324-390b-470a-866c-5774c08174b5	HEAT_REJECTION_PUMPS
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	5b0e2f46-eb4f-474a-b0eb-5b639947ef5b	VENTILATION
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	b1f24bdb-2135-4b62-adff-ac6da6e48a6e	INFILTRATION
01d56d88-0e81-4dd8-b23d-f6f51bf468ab	b55343cb-049b-4cea-b95e-930451749c84	IT_LOAD
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	27d40377-72e6-4b37-8bc3-def54cdca8f5	SWITCHGEAR
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	d631eaf3-e2d0-432d-9a67-8e875dad3dc3	GENERATOR
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	2129e6ec-8e54-47c0-a1ba-102cf2368450	PRIMARY_AUXILIARIES
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	f56c2fca-36f1-4291-b5a4-4877a6cde08e	UPS
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	db84ea8c-c2e9-424f-ac28-2541d117972f	CRITICAL_AUXILIARIES
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	6e02c34f-6ea2-493a-8400-f942b59f0c23	LIGHTING
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	555b8a8b-9647-4439-9e07-58e05ee86a1d	CRITICAL_POWER_DISTRIBUTION
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	90c3abb6-5202-4e74-9e12-bda4f376bd4f	CRAH
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	a0b3dcfe-81d2-4c80-be10-a1bb45c6a5d4	CRAC
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	50fd478f-e25b-48c9-b556-fe88381c25da	CRAC_WITHOUT_FAN
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	89fcd44f-e012-4a9f-937c-a15588b70630	CRAC_FAN
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	f1031420-f916-4151-b2eb-5d1a38218384	CHILLER
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	38279e55-e1c5-4a21-95c0-2596fcbaa880	AIR_COOLED_CHILLER
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	5a2bc706-0bad-4bd2-a622-8d23aa0658dd	COOLING_TOWER
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	f93c4b07-c860-426e-b801-0c9ba25c679b	DRY_COOLER
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	62fc7a3e-98b8-4a0b-8550-e742350dbfea	REMOTE_CONDENSER
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	aacc2142-87eb-4276-9a90-9d15a19539c1	CHILLED_WATER_PUMPS
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	61401ac7-05cf-4753-9d9d-7703651ac28d	HEAT_REJECTION_PUMPS
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	22b294a5-b190-452b-a3e4-cc29ba051e7e	VENTILATION
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	bc387266-34c9-4ac7-814a-f7c123d4e2ee	INFILTRATION
64b2d27d-0d35-4b1e-b760-b42ee19e85a5	a4530901-86a3-45bc-8942-9708f483f97d	IT_LOAD
37bae334-8a82-4b6b-ab9b-28499f9ad254	d77c7f23-43d7-4f1d-ab80-3b60489ac530	SWITCHGEAR
37bae334-8a82-4b6b-ab9b-28499f9ad254	dfc0e6aa-1402-431c-90e6-9ac2c257f578	GENERATOR
37bae334-8a82-4b6b-ab9b-28499f9ad254	dea00fd7-a623-4221-9cdf-6de31c2046ef	PRIMARY_AUXILIARIES
37bae334-8a82-4b6b-ab9b-28499f9ad254	6d50e098-39df-4978-88e3-77fef70f58e9	UPS
37bae334-8a82-4b6b-ab9b-28499f9ad254	42600e3d-9ce0-4c29-8f3b-459bd77df61d	CRITICAL_AUXILIARIES
37bae334-8a82-4b6b-ab9b-28499f9ad254	d5dbc834-e030-4396-9bd6-46edd16008de	LIGHTING
37bae334-8a82-4b6b-ab9b-28499f9ad254	f50f7995-bd55-4b1a-b474-d3957677f5d5	CRITICAL_POWER_DISTRIBUTION
37bae334-8a82-4b6b-ab9b-28499f9ad254	af0b551d-57eb-4303-aa38-48fc1c09e760	CRAH
37bae334-8a82-4b6b-ab9b-28499f9ad254	97b3b1c9-c0f1-4b70-b8cf-d2daa4cc0eb9	CRAC
37bae334-8a82-4b6b-ab9b-28499f9ad254	8ca5ae4c-d461-4ca0-91cc-df84621a9aac	CRAC_WITHOUT_FAN
37bae334-8a82-4b6b-ab9b-28499f9ad254	ba61a946-57a2-4487-a674-aa8f4e61c262	CRAC_FAN
37bae334-8a82-4b6b-ab9b-28499f9ad254	07674142-8295-456c-9437-cfcd8e17f12e	CHILLER
37bae334-8a82-4b6b-ab9b-28499f9ad254	118849e7-47a3-494b-9d1d-59bddf9f7fd4	AIR_COOLED_CHILLER
37bae334-8a82-4b6b-ab9b-28499f9ad254	b387f6c8-c727-4c7a-87a6-3d1609684001	COOLING_TOWER
37bae334-8a82-4b6b-ab9b-28499f9ad254	324ee57d-38d4-4b45-a653-4895a4850815	DRY_COOLER
37bae334-8a82-4b6b-ab9b-28499f9ad254	6f762c91-be21-4eb7-9d5e-fbf1ac8452fa	REMOTE_CONDENSER
37bae334-8a82-4b6b-ab9b-28499f9ad254	45422dc4-5653-4f09-bea3-9107be266ae8	CHILLED_WATER_PUMPS
37bae334-8a82-4b6b-ab9b-28499f9ad254	8204a200-bc40-40d5-9ba1-a1195dd2ac09	HEAT_REJECTION_PUMPS
37bae334-8a82-4b6b-ab9b-28499f9ad254	6edc296e-015e-43b9-853f-2799adb02c28	VENTILATION
37bae334-8a82-4b6b-ab9b-28499f9ad254	acb0e4f1-9f6b-4364-a596-55d0b7c45cab	INFILTRATION
37bae334-8a82-4b6b-ab9b-28499f9ad254	e0802766-0af6-4461-98df-8f2d36e3b545	IT_LOAD
6af4fdf0-cf5e-4128-85ae-7877f843aac7	039d1b07-12ca-4b5a-a19c-31c159382c53	SWITCHGEAR
6af4fdf0-cf5e-4128-85ae-7877f843aac7	43d7bb87-16c7-4ac4-beb6-98f51df86558	GENERATOR
6af4fdf0-cf5e-4128-85ae-7877f843aac7	56badc85-ace6-48d1-abfd-3f7a9d8d801b	PRIMARY_AUXILIARIES
6af4fdf0-cf5e-4128-85ae-7877f843aac7	b0bc0f75-f2ca-417d-9a07-a21f9a40a9fd	UPS
6af4fdf0-cf5e-4128-85ae-7877f843aac7	eda4fa3c-0a10-4584-a2a9-7e9e1d39a9ea	CRITICAL_AUXILIARIES
6af4fdf0-cf5e-4128-85ae-7877f843aac7	ff565a33-f729-41e1-8b13-576b5cfd29de	LIGHTING
6af4fdf0-cf5e-4128-85ae-7877f843aac7	23ad630d-5153-4090-bb01-ff54e8ec4955	CRITICAL_POWER_DISTRIBUTION
6af4fdf0-cf5e-4128-85ae-7877f843aac7	9c80002d-a4fc-411e-a379-b458de3caba6	CRAH
6af4fdf0-cf5e-4128-85ae-7877f843aac7	0d69c7db-08b2-4d4a-9fa2-9336d39ff778	CRAC
6af4fdf0-cf5e-4128-85ae-7877f843aac7	f1ff8a03-9631-4860-aafd-c94a97659dbf	CRAC_WITHOUT_FAN
6af4fdf0-cf5e-4128-85ae-7877f843aac7	0fe183ce-bbf9-4c0b-9a9c-17848d0405e1	CRAC_FAN
6af4fdf0-cf5e-4128-85ae-7877f843aac7	00af3980-79bf-4289-8b87-566c88341334	CHILLER
6af4fdf0-cf5e-4128-85ae-7877f843aac7	4feda402-8e5f-45a4-b12c-6b3202928ee2	AIR_COOLED_CHILLER
6af4fdf0-cf5e-4128-85ae-7877f843aac7	537fc9aa-b549-496d-862a-3e66c527c6bd	COOLING_TOWER
6af4fdf0-cf5e-4128-85ae-7877f843aac7	0fcfd4cd-8967-4af4-8ac0-93e1f8295292	DRY_COOLER
6af4fdf0-cf5e-4128-85ae-7877f843aac7	eae14855-0124-40f5-8abd-d41108776919	REMOTE_CONDENSER
6af4fdf0-cf5e-4128-85ae-7877f843aac7	7767894f-8333-4c92-a7c8-1d1d0663a7c0	CHILLED_WATER_PUMPS
6af4fdf0-cf5e-4128-85ae-7877f843aac7	554ec870-aacb-4a06-ad0a-71ccd790af04	HEAT_REJECTION_PUMPS
6af4fdf0-cf5e-4128-85ae-7877f843aac7	155aa5d0-c860-4e99-a06a-fa94f7a19937	VENTILATION
6af4fdf0-cf5e-4128-85ae-7877f843aac7	a4127b1a-fe83-490c-9fd8-996427e10c2e	INFILTRATION
6af4fdf0-cf5e-4128-85ae-7877f843aac7	78dc229d-7d79-4805-bb2d-ee835b694157	IT_LOAD
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	f812538f-53a5-4510-82e3-85f7db4ebdb1	SWITCHGEAR
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	358a02ce-d555-4b6a-9926-c45004d68f8f	GENERATOR
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	45338da8-e8f0-409c-a925-1c5a50940ee6	PRIMARY_AUXILIARIES
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	403ab71a-6854-4a1b-9135-075763a9aefa	UPS
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	0d04e92d-9aa7-45a6-a8fd-e1332974eb14	CRITICAL_AUXILIARIES
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	beea468c-6bc9-477f-9394-8381cd2c4069	LIGHTING
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	29bac706-233f-4c17-8460-218fc9f84b30	CRITICAL_POWER_DISTRIBUTION
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	173eb23c-57ed-4f5e-bda6-c05d61c19925	CRAH
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	f18ae3f2-24ec-4c17-bbb6-0ce61bedb8e1	CRAC
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	62ecc560-2640-4f29-89ed-9fffd0577707	CRAC_WITHOUT_FAN
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	c3dd0aca-3f56-43c9-bc69-0a7697b89091	CRAC_FAN
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	bcd9f601-c465-4010-b2e5-db3355cd1547	CHILLER
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	1135ba56-98df-4a17-a18e-0af05f1dbfbc	AIR_COOLED_CHILLER
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	a3ea8a8b-12c2-492a-8931-db194a85c4e7	COOLING_TOWER
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	df20fd4e-03e7-41e6-854f-f43d0a569590	DRY_COOLER
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	5ce3c630-a3f3-49ea-a762-94b8a841cc57	REMOTE_CONDENSER
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	793b9e7c-7bf8-43f8-b36a-abaa9cfcf345	CHILLED_WATER_PUMPS
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	ca691d71-3b36-4d01-af00-fe12577c9581	HEAT_REJECTION_PUMPS
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	d6017ca5-0515-44e4-9d94-91284c773e13	VENTILATION
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	14cfdb84-73e3-40f8-99d6-93b9cfbcc1ef	INFILTRATION
a7e1aa03-3803-42a8-8df6-99ec94c60f6e	2d677924-4eef-4e17-bda9-b43170e0068a	IT_LOAD
e190a591-b8a8-4ca0-b0f5-16401482ee43	f9a6616b-e5a4-43c1-86b9-6836118335db	SWITCHGEAR
e190a591-b8a8-4ca0-b0f5-16401482ee43	f429b67e-9b49-472a-8ca2-60f4474a2a91	GENERATOR
e190a591-b8a8-4ca0-b0f5-16401482ee43	eaaeccc1-8b40-4331-8ab0-49ad51c98125	PRIMARY_AUXILIARIES
e190a591-b8a8-4ca0-b0f5-16401482ee43	f360501e-250d-499c-bf8c-09dc69d05aae	UPS
e190a591-b8a8-4ca0-b0f5-16401482ee43	174b9355-2768-4890-84ec-9524b76474ee	CRITICAL_AUXILIARIES
e190a591-b8a8-4ca0-b0f5-16401482ee43	d4ac2f56-f20d-4c9b-886b-8675402eacb2	LIGHTING
e190a591-b8a8-4ca0-b0f5-16401482ee43	d9c8a9de-4e7e-49ff-b012-64dcda5b29ec	CRITICAL_POWER_DISTRIBUTION
e190a591-b8a8-4ca0-b0f5-16401482ee43	7932e174-be58-4c5e-a770-8fec35a26824	CRAH
e190a591-b8a8-4ca0-b0f5-16401482ee43	a08b87f0-1e1d-49b7-a3d5-ee597c5aed3b	CRAC
e190a591-b8a8-4ca0-b0f5-16401482ee43	6478275c-bb88-4715-94ab-58afaa90fc51	CRAC_WITHOUT_FAN
e190a591-b8a8-4ca0-b0f5-16401482ee43	a6b5d9d1-540c-4642-a805-cdb92fde2b69	CRAC_FAN
e190a591-b8a8-4ca0-b0f5-16401482ee43	b98f36b1-ea46-4834-8a15-d290b9b29e7d	CHILLER
e190a591-b8a8-4ca0-b0f5-16401482ee43	2dcd45aa-b236-45c3-a4a7-870d6432d6d2	AIR_COOLED_CHILLER
e190a591-b8a8-4ca0-b0f5-16401482ee43	b5f0a39d-1e1c-44a9-9cf0-de5c545f0b16	COOLING_TOWER
e190a591-b8a8-4ca0-b0f5-16401482ee43	47082f45-84d9-4638-a3b0-efe80bc3b807	DRY_COOLER
e190a591-b8a8-4ca0-b0f5-16401482ee43	12ca6388-87f9-4b42-8122-4d8689e8bad9	REMOTE_CONDENSER
e190a591-b8a8-4ca0-b0f5-16401482ee43	f407b637-689f-40a1-92bc-a38e58feb5ae	CHILLED_WATER_PUMPS
e190a591-b8a8-4ca0-b0f5-16401482ee43	92e264ab-a4e0-40d6-8ab7-7648231adfd9	HEAT_REJECTION_PUMPS
e190a591-b8a8-4ca0-b0f5-16401482ee43	5a037a36-5e93-4ca9-8d7b-ccc860291b04	VENTILATION
e190a591-b8a8-4ca0-b0f5-16401482ee43	79b4aa47-e807-4bf8-8c7c-9880293bf82d	INFILTRATION
e190a591-b8a8-4ca0-b0f5-16401482ee43	025e8ea7-81e7-4240-8720-f71cb84ebcf7	IT_LOAD
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	5b1bb469-ef75-413e-bd70-f553d74ae6fd	SWITCHGEAR
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	7155efcc-846d-40d2-b2b9-9343b492a045	GENERATOR
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	0305e577-2390-4237-a598-8c6f43b545dd	PRIMARY_AUXILIARIES
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	ee798cd4-1f68-4025-9c68-5a9f50e31a2f	UPS
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	9f2f4d76-3670-481f-8e77-0ac41723e619	CRITICAL_AUXILIARIES
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	4f921e1a-8b94-422c-ac9d-ba4da980a61f	LIGHTING
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	0904652b-365f-485e-a57a-9e7900a7d9ab	CRITICAL_POWER_DISTRIBUTION
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	535eaced-ec8b-4a41-b28c-6d65e8e79c3f	CRAH
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	1917944b-b757-4ae4-95bc-1a26eff0f60c	CRAC
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	ff90f453-2d4f-44e4-ad32-4e75ae999ac2	CRAC_WITHOUT_FAN
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	8d2b1bcc-be3a-490a-9450-a04697e009c4	CRAC_FAN
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	96b0c94c-fc8c-4403-aaa4-e406dbb6275f	CHILLER
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	cd7d0891-f2f3-40a1-8e6a-5fd45b86a495	AIR_COOLED_CHILLER
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	9ea3f49e-bdf9-4aa3-aee5-fbcc33f289c9	COOLING_TOWER
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	f6471439-4167-4f9e-9099-2aa014235949	DRY_COOLER
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	e05fe378-6542-44a5-b309-3908060e928f	REMOTE_CONDENSER
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	fa532514-1be4-4d03-88a8-b771848d3e5a	CHILLED_WATER_PUMPS
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	bc28b44c-7feb-4c79-a436-d26ad5e73863	HEAT_REJECTION_PUMPS
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	272ec152-9394-43b4-9568-a92995e13e1e	VENTILATION
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	8ab6fabf-f4f2-4eae-b8e9-f9a42b89eb58	INFILTRATION
0a5d76dd-3a8f-4c2f-90a6-eeef56f435af	7c7d2dbb-18c4-4585-94bc-f8e0f75c882a	IT_LOAD
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	6fab96ee-dd7c-49b5-936b-e205c88a8e05	SWITCHGEAR
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	c83dbfd4-6b89-4851-bdcd-7ea1b483d590	GENERATOR
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	1ba2ed32-c5a0-44e9-b8b1-ba2a0a1f94d3	PRIMARY_AUXILIARIES
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	7ab975fe-912f-4d3e-8d2c-5547e71a428b	UPS
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	8574c9b4-c6ba-446c-80a2-37c3a2bcaab5	CRITICAL_AUXILIARIES
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	92f0317e-cc0d-4948-9d95-2a364922adf7	LIGHTING
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	f821e248-b730-484c-a899-12a1a56ba071	CRITICAL_POWER_DISTRIBUTION
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	cb62a955-57a6-402e-b402-b4b905c93272	CRAH
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	72205475-6491-42e5-a983-38b87315ca05	CRAC
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	92dfd8ef-b79a-420f-a4c0-d1a4a1da612f	CRAC_WITHOUT_FAN
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	0fee3e60-c812-4ecc-88bd-c81815648e73	CRAC_FAN
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	32755a61-b392-4a57-b497-d4953a1773b8	CHILLER
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	b8095a3d-7097-4baf-934f-2b5c80cd8fc4	AIR_COOLED_CHILLER
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	1afa6c5a-0940-4399-a919-369ac96bc2be	COOLING_TOWER
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	a7eeeeae-5951-4059-a1de-dd24b586d26a	DRY_COOLER
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	4d119b12-1c04-47d6-907d-9d27d676a2f2	REMOTE_CONDENSER
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	a7128d07-886f-41ee-a40d-9122606ed483	CHILLED_WATER_PUMPS
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	fcb69d53-da2f-4fc2-8ead-d89f58e5a68f	HEAT_REJECTION_PUMPS
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	40ea636b-9c4c-4209-b2e6-c14d751e152b	VENTILATION
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	15700bce-9399-4543-a683-0725a2324a49	INFILTRATION
f3eb2d06-cb62-49d3-853f-34ae7abcdcb8	c80d23b1-d873-4647-867e-c92424f899a8	IT_LOAD
64652de6-93e8-4730-90b0-a4bc21453051	19ea571c-410c-432e-b487-9f6638263df1	SWITCHGEAR
64652de6-93e8-4730-90b0-a4bc21453051	6823abb1-7d77-4e72-af34-d909793f7495	GENERATOR
64652de6-93e8-4730-90b0-a4bc21453051	42f8fbd6-0c10-4760-b2ce-875fd3c96d5d	PRIMARY_AUXILIARIES
64652de6-93e8-4730-90b0-a4bc21453051	43a97714-0b3b-4f7d-841e-11b22f3d8021	UPS
64652de6-93e8-4730-90b0-a4bc21453051	444df8a1-7f83-4a81-8f3f-cf1d87f994da	CRITICAL_AUXILIARIES
64652de6-93e8-4730-90b0-a4bc21453051	6aee79cc-e908-442a-a8ed-1d2256dbc40a	LIGHTING
64652de6-93e8-4730-90b0-a4bc21453051	6954060f-98ba-41a8-860a-52fe6bbcaf22	CRITICAL_POWER_DISTRIBUTION
64652de6-93e8-4730-90b0-a4bc21453051	2a4d484c-67cb-4ef2-ace8-276ab25d36b8	CRAH
64652de6-93e8-4730-90b0-a4bc21453051	e6d30033-e56c-434f-b94e-85273cfd4406	CRAC
64652de6-93e8-4730-90b0-a4bc21453051	0f88d8a4-ab07-4a74-a5ed-518925352f54	CRAC_WITHOUT_FAN
64652de6-93e8-4730-90b0-a4bc21453051	2f5fa755-e37b-48f8-aab0-2fdd6bc7eee9	CRAC_FAN
64652de6-93e8-4730-90b0-a4bc21453051	d024a878-d8fa-4977-9fad-0875893f2779	CHILLER
64652de6-93e8-4730-90b0-a4bc21453051	caa32719-aa1e-4241-a7c4-9bc0bf776ac2	AIR_COOLED_CHILLER
64652de6-93e8-4730-90b0-a4bc21453051	b31698e0-1fe0-41aa-9bb0-1df7e1742107	COOLING_TOWER
64652de6-93e8-4730-90b0-a4bc21453051	1745b4fc-1a98-4a5f-8012-670c2eb71f32	DRY_COOLER
64652de6-93e8-4730-90b0-a4bc21453051	cc16bf15-1494-4431-8c02-9644ddd83b98	REMOTE_CONDENSER
64652de6-93e8-4730-90b0-a4bc21453051	a4900ae5-6623-49fa-8f9c-1530ccea411d	CHILLED_WATER_PUMPS
64652de6-93e8-4730-90b0-a4bc21453051	8d89aea7-a6fc-4c31-9a31-ec2cb3c6a29e	HEAT_REJECTION_PUMPS
64652de6-93e8-4730-90b0-a4bc21453051	69bbf7cf-63a6-461b-99df-a8db303c114d	VENTILATION
64652de6-93e8-4730-90b0-a4bc21453051	94a6c3f8-f9bb-4cf1-a835-e908dbdb586e	INFILTRATION
64652de6-93e8-4730-90b0-a4bc21453051	ad63abae-fbf9-42b1-869c-9f3abd0e21a8	IT_LOAD
b878673c-8e68-4c22-8d11-756226f306e3	995a5836-c400-4c93-8b5e-0f73e179e749	SWITCHGEAR
b878673c-8e68-4c22-8d11-756226f306e3	d3176ba9-71d2-42cf-a61b-51595900a006	GENERATOR
b878673c-8e68-4c22-8d11-756226f306e3	43b72419-38dd-4d68-9b18-01da1aece521	PRIMARY_AUXILIARIES
b878673c-8e68-4c22-8d11-756226f306e3	11a5fb61-2115-4f33-b19e-4096d1dc1977	UPS
b878673c-8e68-4c22-8d11-756226f306e3	e8540bb1-10a9-4aee-bfb2-7a4967ff6a22	CRITICAL_AUXILIARIES
b878673c-8e68-4c22-8d11-756226f306e3	7e259d46-d738-40ba-87ea-14910e57acb3	LIGHTING
b878673c-8e68-4c22-8d11-756226f306e3	eb4d210c-9e20-450d-8e24-d2887fecabaf	CRITICAL_POWER_DISTRIBUTION
b878673c-8e68-4c22-8d11-756226f306e3	80447711-2503-4eee-b19c-ecd95b08a0c9	CRAH
b878673c-8e68-4c22-8d11-756226f306e3	719512c2-7ad7-4709-be36-c25524b3deaf	CRAC
b878673c-8e68-4c22-8d11-756226f306e3	613dffab-490e-4821-8764-56368b1af185	CRAC_WITHOUT_FAN
b878673c-8e68-4c22-8d11-756226f306e3	a2749a45-9c76-4306-93c1-7bca2791d59e	CRAC_FAN
b878673c-8e68-4c22-8d11-756226f306e3	c68fc321-67da-419a-93d6-f7c9a1db04f0	CHILLER
b878673c-8e68-4c22-8d11-756226f306e3	850553e4-082f-4d52-80cf-d46909a96739	AIR_COOLED_CHILLER
b878673c-8e68-4c22-8d11-756226f306e3	7c6aff66-413e-47ae-9a13-4a92bfd0c77e	COOLING_TOWER
b878673c-8e68-4c22-8d11-756226f306e3	a3e91415-5a81-4662-a9ba-a3b8bf8ddb5a	DRY_COOLER
b878673c-8e68-4c22-8d11-756226f306e3	ab8a560b-a28b-4276-95d6-4032bfb26475	REMOTE_CONDENSER
b878673c-8e68-4c22-8d11-756226f306e3	aa652b3b-59de-4522-9e36-8f923df7a062	CHILLED_WATER_PUMPS
b878673c-8e68-4c22-8d11-756226f306e3	d17008c5-1b72-4e97-b12d-3d7123d873d7	HEAT_REJECTION_PUMPS
b878673c-8e68-4c22-8d11-756226f306e3	d79b90be-99ef-4d25-a84e-b8074dab681d	VENTILATION
b878673c-8e68-4c22-8d11-756226f306e3	4ff2735b-cd67-4b10-8193-a1fbff10eb69	INFILTRATION
b878673c-8e68-4c22-8d11-756226f306e3	97923796-d778-4a62-9cf3-5d60d1648547	IT_LOAD
33521e78-c636-4135-80ba-13ed4909f29b	063c0bde-409c-4cac-8b22-a5757421a896	SWITCHGEAR
33521e78-c636-4135-80ba-13ed4909f29b	460e25bf-5560-486c-8d0d-8031091c53e3	GENERATOR
33521e78-c636-4135-80ba-13ed4909f29b	529401d7-b383-44fc-9837-d01cc8328186	PRIMARY_AUXILIARIES
33521e78-c636-4135-80ba-13ed4909f29b	d2654532-6721-443d-9f0c-e8f81f67261f	UPS
33521e78-c636-4135-80ba-13ed4909f29b	88af655b-ab7a-4e78-8888-87a09c455a46	CRITICAL_AUXILIARIES
33521e78-c636-4135-80ba-13ed4909f29b	58e9cdb9-a1d2-483e-beeb-0e8b8895d715	LIGHTING
33521e78-c636-4135-80ba-13ed4909f29b	d51ca3e2-8203-45da-b99f-08af0904ef37	CRITICAL_POWER_DISTRIBUTION
33521e78-c636-4135-80ba-13ed4909f29b	99c09fba-01f7-4b5f-b403-1074ce1f8b41	CRAH
33521e78-c636-4135-80ba-13ed4909f29b	6a919810-6c20-4322-b4c6-ed31a95d5304	CRAC
33521e78-c636-4135-80ba-13ed4909f29b	6658273b-fc8f-43a2-9dea-b6a4906a5c83	CRAC_WITHOUT_FAN
33521e78-c636-4135-80ba-13ed4909f29b	07d404af-0938-4c47-b5f8-8f7eef2dd91b	CRAC_FAN
33521e78-c636-4135-80ba-13ed4909f29b	ee4ee0c3-1c08-41c2-85cd-4455d5f54fd2	CHILLER
33521e78-c636-4135-80ba-13ed4909f29b	6949c6d5-6f94-48e3-aa5e-09164039d170	AIR_COOLED_CHILLER
33521e78-c636-4135-80ba-13ed4909f29b	e9c6397f-0224-41ae-a41f-99e613a8d0a9	COOLING_TOWER
33521e78-c636-4135-80ba-13ed4909f29b	71b3ed14-bc78-4f61-bc03-6dea7cfd9bd2	DRY_COOLER
33521e78-c636-4135-80ba-13ed4909f29b	0df6f23a-65de-47a3-9be3-d3269bc3abed	REMOTE_CONDENSER
33521e78-c636-4135-80ba-13ed4909f29b	5473df0b-821a-44dd-9b5b-e21f70328a8a	CHILLED_WATER_PUMPS
33521e78-c636-4135-80ba-13ed4909f29b	3da49402-c2f2-4df4-a201-48c752e4139c	HEAT_REJECTION_PUMPS
33521e78-c636-4135-80ba-13ed4909f29b	0203cca8-87c2-44c5-b8cb-c55492309d2d	VENTILATION
33521e78-c636-4135-80ba-13ed4909f29b	c69ef8a9-eca0-443f-b492-0d9e332d5f4d	INFILTRATION
33521e78-c636-4135-80ba-13ed4909f29b	9a7275e9-f9f5-4bed-be19-882a17cac38e	IT_LOAD
f37f0198-561b-4b67-bece-283159b38dd8	ccabec18-ac90-4e4e-9b38-7805ade6d40a	SWITCHGEAR
f37f0198-561b-4b67-bece-283159b38dd8	90bebee9-d2b0-4690-b04d-e34c862b9435	GENERATOR
f37f0198-561b-4b67-bece-283159b38dd8	96134245-c5f4-41c5-9ad2-534d6d11b0f5	PRIMARY_AUXILIARIES
f37f0198-561b-4b67-bece-283159b38dd8	30cdcfa2-c3e5-4768-8474-12f462c85d1f	UPS
f37f0198-561b-4b67-bece-283159b38dd8	12e8a02e-b72d-4b6a-bccd-10f064cf18c2	CRITICAL_AUXILIARIES
f37f0198-561b-4b67-bece-283159b38dd8	daa58ac9-5575-41d8-a046-d303db3e35b5	LIGHTING
f37f0198-561b-4b67-bece-283159b38dd8	626d8d6f-1bc0-4253-a58b-5a1deec815ff	CRITICAL_POWER_DISTRIBUTION
f37f0198-561b-4b67-bece-283159b38dd8	aee1fc1d-33be-4f2c-9bd5-9cd0d8a76719	CRAH
f37f0198-561b-4b67-bece-283159b38dd8	b544d810-a0ec-4eb4-ab93-c694446dc1c3	CRAC
f37f0198-561b-4b67-bece-283159b38dd8	cfd96712-29b2-4494-b183-e3126b275c48	CRAC_WITHOUT_FAN
f37f0198-561b-4b67-bece-283159b38dd8	fcaf8712-a9cb-44e6-b0f5-883d8df48cb8	CRAC_FAN
f37f0198-561b-4b67-bece-283159b38dd8	f467399a-c3a4-4c3a-beb6-85bdc67d470b	CHILLER
f37f0198-561b-4b67-bece-283159b38dd8	bed68d1a-55b9-46d6-bb61-afcc374d6ce4	AIR_COOLED_CHILLER
f37f0198-561b-4b67-bece-283159b38dd8	250608d0-d093-453e-814e-ac144f5f38c2	COOLING_TOWER
f37f0198-561b-4b67-bece-283159b38dd8	1479fac6-11ba-401e-82b1-e9e7e038ba69	DRY_COOLER
f37f0198-561b-4b67-bece-283159b38dd8	fa840c1f-3225-4ea9-aea5-ce85b05436dc	REMOTE_CONDENSER
f37f0198-561b-4b67-bece-283159b38dd8	a16e4ec2-f562-4748-8023-e6dceb8686f2	CHILLED_WATER_PUMPS
f37f0198-561b-4b67-bece-283159b38dd8	b966d1f8-df54-4eab-bc45-8fdfb8aa7c50	HEAT_REJECTION_PUMPS
f37f0198-561b-4b67-bece-283159b38dd8	589ddcbc-92f8-4ff2-9378-b254898a2de4	VENTILATION
f37f0198-561b-4b67-bece-283159b38dd8	54ee94a7-d313-411c-b492-8febc20f7d2b	INFILTRATION
f37f0198-561b-4b67-bece-283159b38dd8	1ec1cb44-985d-46b0-8476-3974b9ff7f6f	IT_LOAD
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	252a7980-3767-49a0-808a-fde5ece4a4e5	SWITCHGEAR
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	f47a5636-2be3-4328-bd6e-32e6e9e59403	GENERATOR
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	622f3dd2-d7fd-443b-aa39-5a3b771cd96a	PRIMARY_AUXILIARIES
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	b829b9d2-c8e7-4b34-a978-8b784b31b13d	UPS
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	00879759-c206-4fcd-84ba-02532659c22a	CRITICAL_AUXILIARIES
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	3bf771f7-d7a2-4925-854b-a4821edc60a3	LIGHTING
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	549a6379-29b1-416a-aa71-1a5799790153	CRITICAL_POWER_DISTRIBUTION
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	403f95e2-f214-4d0d-8cee-6a7c4ae2cb96	CRAH
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	61915bdb-d5ad-4209-9096-61e7a0731955	CRAC
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	4bdae184-eda0-4e94-8326-5d8dd897fb8f	CRAC_WITHOUT_FAN
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	89c33bf0-731b-44cf-b6db-894472ab3e51	CRAC_FAN
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	cd3c4968-6b95-4bb3-90cd-3e6cfafdacca	CHILLER
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	3de05775-dc67-4e17-89a3-765ee58aac08	AIR_COOLED_CHILLER
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	a56b178d-faa7-4bb8-917b-7e193e7ff0ea	COOLING_TOWER
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	4e62b71d-107a-44ed-8a81-bd1321cd162b	DRY_COOLER
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	3f90732b-86fa-408d-83ae-0fd57b26067d	REMOTE_CONDENSER
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	723fba59-ee4b-4633-9ede-7a8d15e00798	CHILLED_WATER_PUMPS
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	52e3e57d-f770-4f4b-9255-cc2cce422fbc	HEAT_REJECTION_PUMPS
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	4a8c7b17-cbbd-4d90-b991-928909f1916b	VENTILATION
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	c7822ffa-aff7-4d4f-af3a-9b6a0e8c9e7b	INFILTRATION
09fd63c4-4d22-41d3-b7a9-6fd2e1909e3a	73371fcb-849b-44d5-9b37-6e5ced0baac1	IT_LOAD
ed0037a2-b24e-41cb-a442-5722652d9d3a	82f0aec9-2afd-4c3c-a45e-d56c2f6b8e88	SWITCHGEAR
ed0037a2-b24e-41cb-a442-5722652d9d3a	19e6a971-cbe5-4250-ba61-e63b5d6f43ad	GENERATOR
ed0037a2-b24e-41cb-a442-5722652d9d3a	c2b46d68-369d-419a-ae51-21a5733d8d54	PRIMARY_AUXILIARIES
ed0037a2-b24e-41cb-a442-5722652d9d3a	a9a7a473-6ab1-4608-843b-a319454b3815	UPS
ed0037a2-b24e-41cb-a442-5722652d9d3a	363c3041-7cbc-4803-9ae4-d31aac222c5f	CRITICAL_AUXILIARIES
ed0037a2-b24e-41cb-a442-5722652d9d3a	b2fc2a2c-0b0f-4219-968a-0623af736159	LIGHTING
ed0037a2-b24e-41cb-a442-5722652d9d3a	9e8e5e88-8cad-4265-8f55-16e75aae16b5	CRITICAL_POWER_DISTRIBUTION
ed0037a2-b24e-41cb-a442-5722652d9d3a	ca4bfed7-a6cf-4f9b-a54b-c44c7acc012c	CRAH
ed0037a2-b24e-41cb-a442-5722652d9d3a	f34f0a16-92f8-403a-9b41-547063eb1db4	CRAC
ed0037a2-b24e-41cb-a442-5722652d9d3a	76498b17-fb7f-4d9a-973e-1f7582a2b892	CRAC_WITHOUT_FAN
ed0037a2-b24e-41cb-a442-5722652d9d3a	5368a964-e7d0-4177-8309-e87aba8f6a82	CRAC_FAN
ed0037a2-b24e-41cb-a442-5722652d9d3a	c685865d-e5bd-42ba-97de-3db91ff8a27e	CHILLER
ed0037a2-b24e-41cb-a442-5722652d9d3a	ae04b9a7-b43b-4ab7-a9b6-dafc164ac5ba	AIR_COOLED_CHILLER
ed0037a2-b24e-41cb-a442-5722652d9d3a	1d45d86f-656f-4299-b142-c83b1820521e	COOLING_TOWER
ed0037a2-b24e-41cb-a442-5722652d9d3a	53ac8536-4d24-471e-86c5-818a2a2378c7	DRY_COOLER
ed0037a2-b24e-41cb-a442-5722652d9d3a	cc8b6d4e-543f-4e13-85a6-aa09467b484a	REMOTE_CONDENSER
ed0037a2-b24e-41cb-a442-5722652d9d3a	68a27ae2-e670-4552-999f-ba2a957f8005	CHILLED_WATER_PUMPS
ed0037a2-b24e-41cb-a442-5722652d9d3a	006b93ad-a778-44a8-a907-d8ad606d31c1	HEAT_REJECTION_PUMPS
ed0037a2-b24e-41cb-a442-5722652d9d3a	780bf636-392d-472b-be3b-7c1f873298f0	VENTILATION
ed0037a2-b24e-41cb-a442-5722652d9d3a	ccd1e5dd-7955-4548-8bfa-d9a7377a4a4d	INFILTRATION
ed0037a2-b24e-41cb-a442-5722652d9d3a	71a1454d-d5d5-4916-997f-feedcb8ed05a	IT_LOAD
7987255f-7c99-431a-aa27-e7c56b7cdfe7	ac92cfcd-6e09-4713-a6da-67a3dd6c3dd4	SWITCHGEAR
7987255f-7c99-431a-aa27-e7c56b7cdfe7	5ac730f8-41de-4c39-8d22-65d7c23f5a22	GENERATOR
7987255f-7c99-431a-aa27-e7c56b7cdfe7	c6d2f034-9b88-4a65-9e3d-f26ece005b1c	PRIMARY_AUXILIARIES
7987255f-7c99-431a-aa27-e7c56b7cdfe7	f2baaf4c-042d-4c7a-9ad4-426ee16ccf5a	UPS
7987255f-7c99-431a-aa27-e7c56b7cdfe7	5fc3d986-89ac-4ebb-8a9f-d78db03225b3	CRITICAL_AUXILIARIES
7987255f-7c99-431a-aa27-e7c56b7cdfe7	be6a2379-448b-4f96-978f-a3b2bf92955d	LIGHTING
7987255f-7c99-431a-aa27-e7c56b7cdfe7	19cfe927-2393-4a2f-ba05-13538555174c	CRITICAL_POWER_DISTRIBUTION
7987255f-7c99-431a-aa27-e7c56b7cdfe7	124e5ac2-dab1-4a94-ba23-121bceb79c54	CRAH
7987255f-7c99-431a-aa27-e7c56b7cdfe7	79b04028-8b3e-4557-a898-049e63aeede8	CRAC
7987255f-7c99-431a-aa27-e7c56b7cdfe7	36e8a9b0-372a-4dde-82b7-7514e479462c	CRAC_WITHOUT_FAN
7987255f-7c99-431a-aa27-e7c56b7cdfe7	d181b195-a7f5-4bcb-a416-a55148337bba	CRAC_FAN
7987255f-7c99-431a-aa27-e7c56b7cdfe7	738e2c5d-c58c-4ee9-a821-5c0207d6062a	CHILLER
7987255f-7c99-431a-aa27-e7c56b7cdfe7	3f94ff1e-aea3-461e-90db-6d7a9636fa16	AIR_COOLED_CHILLER
7987255f-7c99-431a-aa27-e7c56b7cdfe7	bcf39239-a444-4c83-bde1-ca880bdf7ed6	COOLING_TOWER
7987255f-7c99-431a-aa27-e7c56b7cdfe7	71ef5428-490a-434f-aa91-7d5f508b444e	DRY_COOLER
7987255f-7c99-431a-aa27-e7c56b7cdfe7	92112d60-8fff-4356-b143-566bbe712b29	REMOTE_CONDENSER
7987255f-7c99-431a-aa27-e7c56b7cdfe7	9047dd86-d70e-4d47-bda9-0396e1196d1f	CHILLED_WATER_PUMPS
7987255f-7c99-431a-aa27-e7c56b7cdfe7	8074c7f7-d110-496a-827c-8454285a6a7f	HEAT_REJECTION_PUMPS
7987255f-7c99-431a-aa27-e7c56b7cdfe7	bf321955-bf53-4486-8375-6bcf8e03457a	VENTILATION
7987255f-7c99-431a-aa27-e7c56b7cdfe7	f0b06b28-187a-48d3-93d6-9ae23212dcc7	INFILTRATION
7987255f-7c99-431a-aa27-e7c56b7cdfe7	f98d4a22-a022-49a9-a5ab-edc7cf3c76d3	IT_LOAD
b8199091-ff07-499e-a024-e1c4d1a2bb1c	9b5958c8-2d89-4bc0-8f91-7fe8eb294ed9	SWITCHGEAR
b8199091-ff07-499e-a024-e1c4d1a2bb1c	d2570ecf-a508-4d2c-b18b-da65bf7a657d	GENERATOR
b8199091-ff07-499e-a024-e1c4d1a2bb1c	4582cfa3-2136-4f11-b25e-8e80f6d5673d	PRIMARY_AUXILIARIES
b8199091-ff07-499e-a024-e1c4d1a2bb1c	1710b286-6f19-49c8-82fb-e34778676c0a	UPS
b8199091-ff07-499e-a024-e1c4d1a2bb1c	1831ca4e-630b-4173-90a6-84161661f2f5	CRITICAL_AUXILIARIES
b8199091-ff07-499e-a024-e1c4d1a2bb1c	57af3c5a-9108-4e5f-89d0-ffa1e0f52aaf	LIGHTING
b8199091-ff07-499e-a024-e1c4d1a2bb1c	c89855be-2c3f-43b8-b73d-9ba71372906f	CRITICAL_POWER_DISTRIBUTION
b8199091-ff07-499e-a024-e1c4d1a2bb1c	fdb7c914-f4cd-42c0-bc6b-328ebde236b6	CRAH
b8199091-ff07-499e-a024-e1c4d1a2bb1c	0e1c8d0d-dae8-418a-80e9-c711a2087da3	CRAC
b8199091-ff07-499e-a024-e1c4d1a2bb1c	af2089c2-eb0e-4325-b0d3-2774b783aee5	CRAC_WITHOUT_FAN
b8199091-ff07-499e-a024-e1c4d1a2bb1c	846fea14-f343-4f5d-9146-4f44b81d9a9b	CRAC_FAN
b8199091-ff07-499e-a024-e1c4d1a2bb1c	834a9c60-f47e-4a5a-8851-6adb126670b1	CHILLER
b8199091-ff07-499e-a024-e1c4d1a2bb1c	69e2ee05-3173-409a-8f86-0767ada7280f	AIR_COOLED_CHILLER
b8199091-ff07-499e-a024-e1c4d1a2bb1c	7bb33377-e294-4350-b74d-e7b0d13ecf46	COOLING_TOWER
b8199091-ff07-499e-a024-e1c4d1a2bb1c	72283b92-5659-46b4-957e-aea3d183c430	DRY_COOLER
b8199091-ff07-499e-a024-e1c4d1a2bb1c	9d90fee2-1fd0-456f-b961-43de72324e9c	REMOTE_CONDENSER
b8199091-ff07-499e-a024-e1c4d1a2bb1c	8de265f6-c32a-45be-b45a-9b243655e702	CHILLED_WATER_PUMPS
b8199091-ff07-499e-a024-e1c4d1a2bb1c	0be1765a-6338-4c89-be2a-819f69386785	HEAT_REJECTION_PUMPS
b8199091-ff07-499e-a024-e1c4d1a2bb1c	d8b0f98e-9579-4c5f-aed1-8f6012b10359	VENTILATION
b8199091-ff07-499e-a024-e1c4d1a2bb1c	e2599fa6-1671-4a2b-974a-85e8c9e7d7d8	INFILTRATION
b8199091-ff07-499e-a024-e1c4d1a2bb1c	a095078d-d9cc-4636-8b19-64e2815f407e	IT_LOAD
0adb9969-6dba-4f91-9c70-5b6fda80de79	c8071c15-b942-4e0e-91ac-685407f5e9db	SWITCHGEAR
0adb9969-6dba-4f91-9c70-5b6fda80de79	3e98f134-fabc-40eb-b562-61a158387ab5	GENERATOR
0adb9969-6dba-4f91-9c70-5b6fda80de79	0c8c871b-8283-41c8-84f6-887f4282431c	PRIMARY_AUXILIARIES
0adb9969-6dba-4f91-9c70-5b6fda80de79	143dc979-f7a3-47e7-a676-75543810990e	UPS
0adb9969-6dba-4f91-9c70-5b6fda80de79	2d040078-47c6-40a9-a5b1-258c98bceb90	CRITICAL_AUXILIARIES
0adb9969-6dba-4f91-9c70-5b6fda80de79	0ff8dbee-f4af-452a-898c-9526d51cbb3c	LIGHTING
0adb9969-6dba-4f91-9c70-5b6fda80de79	c7edfe56-965f-48d3-8f0c-3902fdab8751	CRITICAL_POWER_DISTRIBUTION
0adb9969-6dba-4f91-9c70-5b6fda80de79	5b88f06a-a865-4e1e-ba7a-2266ce9584e7	CRAH
0adb9969-6dba-4f91-9c70-5b6fda80de79	db448ca6-6bc6-422a-aedb-8356bbebe7ad	CRAC
0adb9969-6dba-4f91-9c70-5b6fda80de79	3269f9d0-2a73-4703-9c87-cc9be354de0e	CRAC_WITHOUT_FAN
0adb9969-6dba-4f91-9c70-5b6fda80de79	fa7dd79c-39f3-425a-b1c8-1082892e47f8	CRAC_FAN
0adb9969-6dba-4f91-9c70-5b6fda80de79	5987ae43-dec9-4e4d-9391-145f6a7864e4	CHILLER
0adb9969-6dba-4f91-9c70-5b6fda80de79	a3c961b2-9cd5-4fed-ab73-c86ff26b361e	AIR_COOLED_CHILLER
0adb9969-6dba-4f91-9c70-5b6fda80de79	c5431e27-9caf-4b5a-be58-af97e156cce1	COOLING_TOWER
0adb9969-6dba-4f91-9c70-5b6fda80de79	773a2b17-d222-4951-acdd-88d3050bc7dd	DRY_COOLER
0adb9969-6dba-4f91-9c70-5b6fda80de79	a687d5a7-d673-4db2-ad1c-cc6697226d66	REMOTE_CONDENSER
0adb9969-6dba-4f91-9c70-5b6fda80de79	bc90678f-ae1c-4b2b-8bb9-7cb9f615fb87	CHILLED_WATER_PUMPS
0adb9969-6dba-4f91-9c70-5b6fda80de79	2fb15b81-7b72-4d8d-929b-a340c5243dbe	HEAT_REJECTION_PUMPS
0adb9969-6dba-4f91-9c70-5b6fda80de79	eff2ff67-81e5-408a-8232-fdd7b093e346	VENTILATION
0adb9969-6dba-4f91-9c70-5b6fda80de79	86c6e57f-0a47-4100-baf3-896d2ce08db1	INFILTRATION
0adb9969-6dba-4f91-9c70-5b6fda80de79	f67522da-e22c-4893-8ac1-7673bfd82022	IT_LOAD
db8730fd-d026-42ed-b71d-2ed85d36591a	76feb563-b33a-41ed-826f-4cc2b8319367	SWITCHGEAR
db8730fd-d026-42ed-b71d-2ed85d36591a	5eed9263-b4d7-414d-ad8c-5aed072bbcf0	GENERATOR
db8730fd-d026-42ed-b71d-2ed85d36591a	c296dd46-092e-444d-9d92-10a359fe8944	PRIMARY_AUXILIARIES
db8730fd-d026-42ed-b71d-2ed85d36591a	732dc6c0-a015-436d-aaad-8271579d6227	UPS
db8730fd-d026-42ed-b71d-2ed85d36591a	e8febfde-1743-4c3e-a47a-b5d1576d8f97	CRITICAL_AUXILIARIES
db8730fd-d026-42ed-b71d-2ed85d36591a	a80b25ac-7ae3-4921-8f78-675842341be7	LIGHTING
db8730fd-d026-42ed-b71d-2ed85d36591a	b33c2ad4-e343-4798-9901-0431c7bafef6	CRITICAL_POWER_DISTRIBUTION
db8730fd-d026-42ed-b71d-2ed85d36591a	a1af6122-5500-4609-a3b7-7fc3de44c84e	CRAH
db8730fd-d026-42ed-b71d-2ed85d36591a	c7db9ec3-4313-4456-b12c-74e99d1adcc4	CRAC
db8730fd-d026-42ed-b71d-2ed85d36591a	ea9e7cec-fdd8-446c-9c8f-6f3c4474ca9a	CRAC_WITHOUT_FAN
db8730fd-d026-42ed-b71d-2ed85d36591a	f522f7f3-2bdd-45b9-9548-466b21fe71be	CRAC_FAN
db8730fd-d026-42ed-b71d-2ed85d36591a	024e2fb5-2a6a-4a30-beb6-94acb2019597	CHILLER
db8730fd-d026-42ed-b71d-2ed85d36591a	2edf3c8f-3371-478e-9fb4-9f1bafa5c217	AIR_COOLED_CHILLER
db8730fd-d026-42ed-b71d-2ed85d36591a	0200fcec-5ae2-4bf0-bb6a-91472529c1a4	COOLING_TOWER
db8730fd-d026-42ed-b71d-2ed85d36591a	0000d5d9-4b71-43d6-86cb-0388562799a1	DRY_COOLER
db8730fd-d026-42ed-b71d-2ed85d36591a	44620c64-53ac-4739-a07c-bf5a976974f6	REMOTE_CONDENSER
db8730fd-d026-42ed-b71d-2ed85d36591a	a64359e4-d2f1-4036-bc95-2801f217c173	CHILLED_WATER_PUMPS
db8730fd-d026-42ed-b71d-2ed85d36591a	e6b8905d-bc65-459e-86e8-def3f647d956	HEAT_REJECTION_PUMPS
db8730fd-d026-42ed-b71d-2ed85d36591a	db77ac8d-2a9f-49a4-9508-5fb1cb2f70da	VENTILATION
db8730fd-d026-42ed-b71d-2ed85d36591a	15346168-2789-425a-b0a1-da2cea6be267	INFILTRATION
db8730fd-d026-42ed-b71d-2ed85d36591a	942e8ae4-e78e-4eff-820b-e9b2cdc744dc	IT_LOAD
8aa34d3d-2b00-45a4-885c-0e639797340c	45298abf-9fed-455f-a16e-bbec8670c227	SWITCHGEAR
8aa34d3d-2b00-45a4-885c-0e639797340c	1f917729-4ed5-43c9-9b0b-ddaf6cb25608	GENERATOR
8aa34d3d-2b00-45a4-885c-0e639797340c	3e01f394-49d9-44de-a3b5-78909f6d6a71	PRIMARY_AUXILIARIES
8aa34d3d-2b00-45a4-885c-0e639797340c	62bde3fb-d290-41fe-8be3-5794d0e449a2	UPS
8aa34d3d-2b00-45a4-885c-0e639797340c	a65fc4d2-0452-4e69-a47d-c8a6411c94c4	CRITICAL_AUXILIARIES
8aa34d3d-2b00-45a4-885c-0e639797340c	30918b92-2e39-4b51-894e-01d4a6c31b31	LIGHTING
8aa34d3d-2b00-45a4-885c-0e639797340c	3173df80-92b5-459b-b7f7-94ff6baa9ce8	CRITICAL_POWER_DISTRIBUTION
8aa34d3d-2b00-45a4-885c-0e639797340c	0056c2b9-b2b2-4f62-935f-3d42c0886aee	CRAH
8aa34d3d-2b00-45a4-885c-0e639797340c	626669eb-dfd8-43ea-9b60-bcabee20506c	CRAC
8aa34d3d-2b00-45a4-885c-0e639797340c	f437c451-8df4-4298-ac04-31521a019315	CRAC_WITHOUT_FAN
8aa34d3d-2b00-45a4-885c-0e639797340c	23f9b215-746b-4c64-9c0e-a6d8944a7bf5	CRAC_FAN
8aa34d3d-2b00-45a4-885c-0e639797340c	bd0037bd-a14a-4fda-b341-ec51dbccebf3	CHILLER
8aa34d3d-2b00-45a4-885c-0e639797340c	3b46ff54-0ada-4ca3-ab2a-39ebbdda111d	AIR_COOLED_CHILLER
8aa34d3d-2b00-45a4-885c-0e639797340c	cf1a9510-dd06-4484-b437-0795fe0bccd2	COOLING_TOWER
8aa34d3d-2b00-45a4-885c-0e639797340c	e32fea73-6e83-41a9-8453-8a8f7cf13aa2	DRY_COOLER
8aa34d3d-2b00-45a4-885c-0e639797340c	ffe9d653-d301-4219-9245-892c6591cabd	REMOTE_CONDENSER
8aa34d3d-2b00-45a4-885c-0e639797340c	c74fcb32-7113-4727-896e-b856d602b9a3	CHILLED_WATER_PUMPS
8aa34d3d-2b00-45a4-885c-0e639797340c	ca33cee4-6f15-4752-b7ca-da24f1b292c1	HEAT_REJECTION_PUMPS
8aa34d3d-2b00-45a4-885c-0e639797340c	726c7f55-8f26-42cc-b81a-2c3b45dc489b	VENTILATION
8aa34d3d-2b00-45a4-885c-0e639797340c	15ba93df-b0cd-43a5-8196-c401c617609e	INFILTRATION
8aa34d3d-2b00-45a4-885c-0e639797340c	e716d7a9-f822-44f2-973e-c8ddfd896ac2	IT_LOAD
25ad405d-128a-40e4-8560-2357eae77eb9	7734e2bd-3766-4ead-9f6b-c3d3d4f2b187	SWITCHGEAR
25ad405d-128a-40e4-8560-2357eae77eb9	001fcd36-e159-4eb1-ad69-fd278a037186	GENERATOR
25ad405d-128a-40e4-8560-2357eae77eb9	6549f1bb-28a1-472d-bd48-4ccee93b00db	PRIMARY_AUXILIARIES
25ad405d-128a-40e4-8560-2357eae77eb9	75ae0232-7efb-4296-9f7d-05e6cf3fefd5	UPS
25ad405d-128a-40e4-8560-2357eae77eb9	7eaf5613-01f0-4f4e-9103-e4a5336bf808	CRITICAL_AUXILIARIES
25ad405d-128a-40e4-8560-2357eae77eb9	c4dc3c07-189d-4ca5-a2bb-b9c79553c835	LIGHTING
25ad405d-128a-40e4-8560-2357eae77eb9	ac6d7673-45ca-4291-9b4e-057d54b57e67	CRITICAL_POWER_DISTRIBUTION
25ad405d-128a-40e4-8560-2357eae77eb9	20f44e36-eedf-46d0-8073-ad439acf894c	CRAH
25ad405d-128a-40e4-8560-2357eae77eb9	854377c5-64a5-43dc-b39b-351513d7a5d8	CRAC
25ad405d-128a-40e4-8560-2357eae77eb9	5f4cdef2-db32-41a2-900e-c86a4ad1c394	CRAC_WITHOUT_FAN
25ad405d-128a-40e4-8560-2357eae77eb9	8ade946b-b3dc-4ce8-8cd7-ba291bdbc3c1	CRAC_FAN
25ad405d-128a-40e4-8560-2357eae77eb9	40ff0267-f3eb-4c01-b9ae-ef4783b09ce8	CHILLER
25ad405d-128a-40e4-8560-2357eae77eb9	b3050812-6eb0-4adb-80f4-058a5ab74387	AIR_COOLED_CHILLER
25ad405d-128a-40e4-8560-2357eae77eb9	19db6485-1f9f-41f5-b066-21eb16978ce8	COOLING_TOWER
25ad405d-128a-40e4-8560-2357eae77eb9	6789165d-99da-4d85-a43d-aa63d5bcfb99	DRY_COOLER
25ad405d-128a-40e4-8560-2357eae77eb9	fc9eea39-acd6-4e13-8c8f-9194ace49659	REMOTE_CONDENSER
25ad405d-128a-40e4-8560-2357eae77eb9	548b5de7-d103-40d4-b2ab-261465695cb4	CHILLED_WATER_PUMPS
25ad405d-128a-40e4-8560-2357eae77eb9	8609227d-fc0f-48be-acb1-96bd5261651b	HEAT_REJECTION_PUMPS
25ad405d-128a-40e4-8560-2357eae77eb9	34c12d34-5827-437d-be0a-bbb2bb0f8ad6	VENTILATION
25ad405d-128a-40e4-8560-2357eae77eb9	7f5d7470-91de-4b23-bf64-4e83ecce7108	INFILTRATION
25ad405d-128a-40e4-8560-2357eae77eb9	4bcbacfa-796f-4c61-883b-882adae16b62	IT_LOAD
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	1f69e7fd-0220-41d3-96cf-376b61a603be	SWITCHGEAR
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	1271e7a3-8eaf-4973-a424-01afda89ca1a	GENERATOR
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	03920586-b2e2-4daa-bbb6-044c189f4e1e	PRIMARY_AUXILIARIES
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	cf7a9e3f-4f1a-4275-b8a1-b8e73d789408	UPS
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	5767bc19-3e9f-4ee9-9f27-be81915d18a6	CRITICAL_AUXILIARIES
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	004beab9-4be0-443c-8ee3-c4ea41f75d2b	LIGHTING
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	57a9532b-c3a9-401a-a08c-ccb439339a91	CRITICAL_POWER_DISTRIBUTION
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	2eda36d6-18ab-400a-88e7-c74b453734f5	CRAH
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	0986b9d4-0392-4264-aa52-e56b30e6dd2c	CRAC
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	89a013d7-2c30-4d03-bdda-4f439aedbd7e	CRAC_WITHOUT_FAN
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	df7d1d22-22f6-481d-a1ed-61d7d7bdde1b	CRAC_FAN
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	85605bc3-515b-4082-8c1b-77ff26611723	CHILLER
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	d6e7be9f-ab9b-4021-ad63-f501c1e732ae	AIR_COOLED_CHILLER
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	3adebd96-fba4-4db4-81d0-133fc10ae580	COOLING_TOWER
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	189294a6-2663-472d-a170-82954d392f12	DRY_COOLER
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	204011ae-32ef-4b3f-afa2-2462658e49e8	REMOTE_CONDENSER
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	294039ab-fc68-4490-b32e-7cc3ca74c482	CHILLED_WATER_PUMPS
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	923016f9-a3d7-401e-a5b8-6c61985b9957	HEAT_REJECTION_PUMPS
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	d5c3fdac-86ff-4ab2-a2fa-f87846ad3881	VENTILATION
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	e1e199b7-2da5-473b-b8b5-50ed2b47883c	INFILTRATION
d64821fb-6e9f-4236-9b5f-d3065ed28ad5	cb22d6a1-e6fb-4916-8eb0-a5cd00401fd4	IT_LOAD
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	e4743a56-9be3-4276-a18e-e6bda011c805	SWITCHGEAR
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	5adaf3ae-a4cc-4fd9-8d5b-84667f071454	GENERATOR
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	b72157a7-b0d2-4264-bbf3-3c9c4760dbeb	PRIMARY_AUXILIARIES
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	bf4a5f7c-c833-4445-99d9-566bf58065c6	UPS
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	a14553df-1cff-41de-954b-722b8ec0398b	CRITICAL_AUXILIARIES
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	39d48d3e-e354-4060-b8ba-1471255c61af	LIGHTING
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	2c6f2670-7760-4b2a-a03e-0aa49a5fbfc7	CRITICAL_POWER_DISTRIBUTION
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	3997f7a4-eb20-4662-acf5-23962a0cc44f	CRAH
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	4e6235f1-d355-463d-9947-9bb168a7fd25	CRAC
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	e308aa24-5d1f-46ba-910d-baccfb713892	CRAC_WITHOUT_FAN
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	745e8602-72cf-47fd-ac3c-134731f02272	CRAC_FAN
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	5c0d8ce1-7e58-4bb6-b39f-7442322c88e4	CHILLER
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	3095bf00-8507-4500-a5d8-048dd2dd7f5c	AIR_COOLED_CHILLER
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	f5185949-1566-4ba9-936b-5293494f1fc8	COOLING_TOWER
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	3fb1c130-7cac-43d1-85d5-c8a85bd09ee5	DRY_COOLER
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	f29013ac-a735-49e0-ba21-956eec5e3c27	REMOTE_CONDENSER
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	438899fc-c725-48e7-a92c-6b61df148760	CHILLED_WATER_PUMPS
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	434c710c-33de-40dc-90c9-b7141aa6133d	HEAT_REJECTION_PUMPS
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	4836d499-6af4-426f-80d3-39c89e661dc3	VENTILATION
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	e530775b-068f-4a29-a6d1-6505abf3f69c	INFILTRATION
87bd2b17-44e2-47f3-8ab2-1f7d10890f3f	151607b0-53ad-433e-b711-20f616c9e03c	IT_LOAD
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	7f88aea3-dcdc-4d26-be18-f0a88bc1bed5	SWITCHGEAR
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	58990c2d-9298-450b-955c-eeabf81b2d23	GENERATOR
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	e3a5e22d-5b9d-431d-ac94-5aa6fc55070c	PRIMARY_AUXILIARIES
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	a8fa7c60-984b-46bd-8b35-a927cab83260	UPS
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	c91f76d6-3937-44ef-8af5-c274883af338	CRITICAL_AUXILIARIES
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	9b294554-7fd2-4225-9e6b-99194a1ef2de	LIGHTING
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	2f327e44-fe63-4b0e-a7fb-5f6293c7403c	CRITICAL_POWER_DISTRIBUTION
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	7df8e1a0-7ca3-49a1-a4e5-a8666522d55e	CRAH
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	76fc4e5a-05fe-408f-812c-01d613234442	CRAC
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	ba509b0f-3248-404e-9e49-f10d3b7e3d27	CRAC_WITHOUT_FAN
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	dfd9f1f9-05a1-4ea6-8f31-394e11373a8d	CRAC_FAN
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	fe086286-f75e-4225-8812-e5141fa5d3c6	CHILLER
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	16bb7e10-f088-4a1c-93dd-a60ec60e8423	AIR_COOLED_CHILLER
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	836a54b9-3f1a-43e2-9289-1fc5e5a62326	COOLING_TOWER
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	906aff2a-9f33-499c-9e81-db947d191163	DRY_COOLER
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	188c9489-d6ab-4be4-936a-5ede39967ae7	REMOTE_CONDENSER
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	2d6c3c3c-0789-464b-809b-9fdef0cadcf8	CHILLED_WATER_PUMPS
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	7bd02393-228d-4707-ac50-06db8a1b8200	HEAT_REJECTION_PUMPS
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	aa246c81-c409-4ef1-a349-d490ce1d072e	VENTILATION
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	bd41c434-93c1-47b6-8740-23bee75873a8	INFILTRATION
27d69e69-51aa-4aa8-a4d8-9b1ee432721a	719213e7-0a5c-4d9d-a22f-dca4195f8f58	IT_LOAD
d5de1c2e-1485-48e2-a425-83601d02b3dc	13052e54-c26f-44e7-9604-0e89a3f02425	SWITCHGEAR
d5de1c2e-1485-48e2-a425-83601d02b3dc	0479a8e0-6da4-432b-966e-81e5424c69ba	GENERATOR
d5de1c2e-1485-48e2-a425-83601d02b3dc	33cd8a14-6aef-426b-8e48-43623693771a	PRIMARY_AUXILIARIES
d5de1c2e-1485-48e2-a425-83601d02b3dc	1a7aba72-f2a9-4ad7-891e-9fa62aa2926f	UPS
d5de1c2e-1485-48e2-a425-83601d02b3dc	cbe43f24-643b-4d72-baf5-85796a392b84	CRITICAL_AUXILIARIES
d5de1c2e-1485-48e2-a425-83601d02b3dc	0757fb6d-bdfd-4501-b50c-d07cafe9c323	LIGHTING
d5de1c2e-1485-48e2-a425-83601d02b3dc	d8a4ec88-0312-4c86-a57c-e797d84ef255	CRITICAL_POWER_DISTRIBUTION
d5de1c2e-1485-48e2-a425-83601d02b3dc	738aa42c-8458-407d-bae7-5b48f87938af	CRAH
d5de1c2e-1485-48e2-a425-83601d02b3dc	94b8ab40-4bb6-4a48-a285-91aa7603010c	CRAC
d5de1c2e-1485-48e2-a425-83601d02b3dc	16e94c9f-5b44-4d51-8f15-e6fcadfa8b9c	CRAC_WITHOUT_FAN
d5de1c2e-1485-48e2-a425-83601d02b3dc	80311876-4c45-4185-bd83-25f079f9a5db	CRAC_FAN
d5de1c2e-1485-48e2-a425-83601d02b3dc	fd65016d-671a-4a2d-9dc3-eff126f21d82	CHILLER
d5de1c2e-1485-48e2-a425-83601d02b3dc	0c3c7ec5-93e7-4439-9bb0-0736be9a436e	AIR_COOLED_CHILLER
d5de1c2e-1485-48e2-a425-83601d02b3dc	ba017059-dec3-4b1f-8af3-3f24b5450f64	COOLING_TOWER
d5de1c2e-1485-48e2-a425-83601d02b3dc	69024f29-5570-4b1e-b295-aa397ad9e506	DRY_COOLER
d5de1c2e-1485-48e2-a425-83601d02b3dc	119ece34-a3e2-49f8-abbf-b0a38c5ad812	REMOTE_CONDENSER
d5de1c2e-1485-48e2-a425-83601d02b3dc	d3c79798-9d92-488c-8e18-46dfe48ec0ff	CHILLED_WATER_PUMPS
d5de1c2e-1485-48e2-a425-83601d02b3dc	7fb272fd-4c41-4887-b437-e5c0ec7801e6	HEAT_REJECTION_PUMPS
d5de1c2e-1485-48e2-a425-83601d02b3dc	0c15844a-26d0-4239-a5fa-fdcd40bddfa7	VENTILATION
d5de1c2e-1485-48e2-a425-83601d02b3dc	bed3b2f0-45e2-49e1-baf7-1773dfeca669	INFILTRATION
d5de1c2e-1485-48e2-a425-83601d02b3dc	9e5264e4-9a92-47c2-9d37-cebf64d26c7a	IT_LOAD
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	361edfd9-e3bb-422e-ace2-c4bb8b2d4b2e	SWITCHGEAR
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	67a07ce0-a579-4551-830f-d1d4e5e21f75	GENERATOR
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	8f8f4ee8-1f37-4255-9021-ff581e7bb620	PRIMARY_AUXILIARIES
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	8b6052a6-9d30-4494-b57c-47676118c586	UPS
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	dcf87021-4370-45da-ba04-facfe1b22eaf	CRITICAL_AUXILIARIES
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	71c734a9-4d7b-4bec-add2-87450656c7e5	LIGHTING
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	20011ab1-3a45-4c44-8b75-f23d050b98f4	CRITICAL_POWER_DISTRIBUTION
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	7d6de488-02c7-4915-a27e-d2b57a3d5e61	CRAH
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	2ce5a38c-97aa-42e7-beb0-501b28953608	CRAC
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	1803b8d6-d6ac-4b64-a125-ebeb3e82aa1f	CRAC_WITHOUT_FAN
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	3cd6e904-1e31-4def-aa3f-078022dda595	CRAC_FAN
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	76a20496-3bc5-4597-9723-3c7469e93ea8	CHILLER
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	ae7cd50a-1716-46e5-8c17-187e58a13a77	AIR_COOLED_CHILLER
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	83030241-18c6-497f-97fd-a9ea49c082ba	COOLING_TOWER
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	f884e1e5-a504-441b-b9d0-a7728ba50a30	DRY_COOLER
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	4d09d4a5-110f-4ed3-bd93-1b27c335d33d	REMOTE_CONDENSER
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	74454acc-cfea-431d-b121-f6e3f5b4b76b	CHILLED_WATER_PUMPS
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	a47e2b33-a91f-4252-a3d7-384b7ea52472	HEAT_REJECTION_PUMPS
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	1517fc65-3468-40e3-a921-9368d7fbf3d9	VENTILATION
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	f9e8031d-2d9c-4b79-855c-cf016f90c258	INFILTRATION
6b6b28a5-1cec-4b5b-b6b6-2c7029c71aed	480d6269-73f7-4e72-93ed-a4b3390e4e7f	IT_LOAD
6f651528-2f44-43ae-a51d-72eaad2ac10f	22e83203-3276-4080-b2c6-26d8b2538952	SWITCHGEAR
6f651528-2f44-43ae-a51d-72eaad2ac10f	4466e4f6-a8a4-4dea-ba2d-1d5e0e119e93	GENERATOR
6f651528-2f44-43ae-a51d-72eaad2ac10f	032e7799-164e-4278-8fe3-ce475c161e1b	PRIMARY_AUXILIARIES
6f651528-2f44-43ae-a51d-72eaad2ac10f	e2a78f5b-18da-463f-ad95-29fefd37499a	UPS
6f651528-2f44-43ae-a51d-72eaad2ac10f	e9845da8-6868-45d0-98a8-ee5ab446533e	CRITICAL_AUXILIARIES
6f651528-2f44-43ae-a51d-72eaad2ac10f	b61eab94-fae1-4d3e-b986-c69dd0a61ea7	LIGHTING
6f651528-2f44-43ae-a51d-72eaad2ac10f	4565b785-ce3b-4807-aff7-cbc73490292e	CRITICAL_POWER_DISTRIBUTION
6f651528-2f44-43ae-a51d-72eaad2ac10f	4794718a-e4fe-4b8c-b893-6e1d5e23f99e	CRAH
6f651528-2f44-43ae-a51d-72eaad2ac10f	0ba48672-5bdb-4d85-bdf9-fe56298c2fd1	CRAC
6f651528-2f44-43ae-a51d-72eaad2ac10f	4741d632-c29f-47be-afef-34f26372c95e	CRAC_WITHOUT_FAN
6f651528-2f44-43ae-a51d-72eaad2ac10f	05c7f160-e08f-4ca5-b498-90464364152a	CRAC_FAN
6f651528-2f44-43ae-a51d-72eaad2ac10f	7a050d24-384f-415a-8183-de2bdbcecb05	CHILLER
6f651528-2f44-43ae-a51d-72eaad2ac10f	1b87ebfc-3e54-4fad-8497-6f5c6ce9eba6	AIR_COOLED_CHILLER
6f651528-2f44-43ae-a51d-72eaad2ac10f	43e6fb9c-27fa-4835-9dc4-11b0a7f654cb	COOLING_TOWER
6f651528-2f44-43ae-a51d-72eaad2ac10f	d64b6904-8f38-4f67-960f-f3b770fa1f59	DRY_COOLER
6f651528-2f44-43ae-a51d-72eaad2ac10f	538e2897-d826-4673-b3e1-01612e827dc5	REMOTE_CONDENSER
6f651528-2f44-43ae-a51d-72eaad2ac10f	3e79c849-8da0-4ecc-b421-e6609d7f1824	CHILLED_WATER_PUMPS
6f651528-2f44-43ae-a51d-72eaad2ac10f	e469ac00-5c48-4cbe-b104-71ccf0a1eb1b	HEAT_REJECTION_PUMPS
6f651528-2f44-43ae-a51d-72eaad2ac10f	b71e0ff9-176d-4890-8c40-d2b8757b6b2c	VENTILATION
6f651528-2f44-43ae-a51d-72eaad2ac10f	c91f89fa-ec29-4f19-9ed6-3ed81f48dc5c	INFILTRATION
6f651528-2f44-43ae-a51d-72eaad2ac10f	3b0c321f-33a2-480c-818b-2c4d491b43d7	IT_LOAD
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	d5604943-f6f0-43a7-ad46-8ff67a026f75	SWITCHGEAR
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	fb251ae3-b00e-439b-b436-691db4227a8f	GENERATOR
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	43479b98-ed96-4890-9564-3d75d0acfacf	PRIMARY_AUXILIARIES
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	0e4eb874-c0ab-48bc-ac03-13c13c788c8f	UPS
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	7a72ea2a-3311-4c47-a398-f638f096883d	CRITICAL_AUXILIARIES
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	7c88e23d-7a0f-4408-8b70-8238b93f09bf	LIGHTING
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	ae712536-a1c7-41a0-971d-f8117415b99c	CRITICAL_POWER_DISTRIBUTION
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	52aac4f8-3eca-4857-8e2b-0379793f0214	CRAH
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	4a64a304-414f-4202-816a-b367a46bb177	CRAC
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	cde2ee37-810f-44b1-b6a8-1c177bf924de	CRAC_WITHOUT_FAN
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	5a673a04-7afa-4646-9242-ff020ce4e61b	CRAC_FAN
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	96a2d58d-8ec5-424e-b10f-d0f0877085da	CHILLER
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	cce2b957-7ad5-47ea-a684-11643e47da0f	AIR_COOLED_CHILLER
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	f74cd091-5852-4be3-9c0f-41d9d018c676	COOLING_TOWER
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	fe267181-9bcf-4a84-ae98-a4fc1dc31675	DRY_COOLER
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	4c1190c2-c98f-4ee4-b0fe-0907ba9d4667	REMOTE_CONDENSER
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	4ca82135-c043-4335-ba32-2fab894aa1b0	CHILLED_WATER_PUMPS
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	e7130612-1ea6-452c-a726-f82150bf6955	HEAT_REJECTION_PUMPS
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	bdbb34ea-89f6-4bed-b88e-91e3b32a10aa	VENTILATION
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	32e1d931-e397-4d5f-ac8a-8517b5268222	INFILTRATION
7ab54ffe-3c32-403d-b2e7-3a3433d8ee41	d5eed4ed-a8f9-4c66-a5c7-f23678c7420b	IT_LOAD
64c1ad07-9954-4ece-9d90-8368cc42e0a6	32f4ef9a-4d2c-465c-ac2d-3e079a4a8b1f	SWITCHGEAR
64c1ad07-9954-4ece-9d90-8368cc42e0a6	32083945-248d-4587-a1a5-06e6d4782ddb	GENERATOR
64c1ad07-9954-4ece-9d90-8368cc42e0a6	951c59d1-1b17-4d98-9749-03ffddb4e330	PRIMARY_AUXILIARIES
64c1ad07-9954-4ece-9d90-8368cc42e0a6	fb07dd22-83af-454f-a348-d9da54f8f6f7	UPS
64c1ad07-9954-4ece-9d90-8368cc42e0a6	21893dbc-de28-4bfc-b843-589307440731	CRITICAL_AUXILIARIES
64c1ad07-9954-4ece-9d90-8368cc42e0a6	0b02986b-bbdb-4e69-b873-a50d692e669e	LIGHTING
64c1ad07-9954-4ece-9d90-8368cc42e0a6	51a9cc31-a982-46cc-8c5a-e318c579a323	CRITICAL_POWER_DISTRIBUTION
64c1ad07-9954-4ece-9d90-8368cc42e0a6	b7067458-28b6-431f-9f81-84d41c50c4bb	CRAH
64c1ad07-9954-4ece-9d90-8368cc42e0a6	fd4d3925-99c8-455b-899c-4711eecaa89e	CRAC
64c1ad07-9954-4ece-9d90-8368cc42e0a6	3a7186d2-c0cd-436e-b621-9a6e2312d37c	CRAC_WITHOUT_FAN
64c1ad07-9954-4ece-9d90-8368cc42e0a6	50d4134b-942d-4d73-a66c-5a767007b21a	CRAC_FAN
64c1ad07-9954-4ece-9d90-8368cc42e0a6	2c45bddf-77d7-4d57-a5d7-7417db05973e	CHILLER
64c1ad07-9954-4ece-9d90-8368cc42e0a6	30aa8fc3-c682-45d4-b54b-5544a7037585	AIR_COOLED_CHILLER
64c1ad07-9954-4ece-9d90-8368cc42e0a6	0e95d960-11bf-461c-91f1-655f4885600b	COOLING_TOWER
64c1ad07-9954-4ece-9d90-8368cc42e0a6	4ee9b7f4-6370-490f-9a64-99e82b0c728e	DRY_COOLER
64c1ad07-9954-4ece-9d90-8368cc42e0a6	618bbba2-8686-4a61-b5ae-771a31d6c1e1	REMOTE_CONDENSER
64c1ad07-9954-4ece-9d90-8368cc42e0a6	6854aad2-94e1-42fe-ab32-07c5651e25ba	CHILLED_WATER_PUMPS
64c1ad07-9954-4ece-9d90-8368cc42e0a6	ef1c8a30-d5c2-4185-a23f-4c3fd8cac0ff	HEAT_REJECTION_PUMPS
64c1ad07-9954-4ece-9d90-8368cc42e0a6	99d39674-fa37-443a-a282-22e41d3c45b5	VENTILATION
64c1ad07-9954-4ece-9d90-8368cc42e0a6	8831074e-d5dd-4127-981e-37f71242e974	INFILTRATION
64c1ad07-9954-4ece-9d90-8368cc42e0a6	eda8e8af-f9eb-40a1-a78e-3e55505a8760	IT_LOAD
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	8b812159-6cc8-4b1d-b4e3-bdf4d50d47ca	SWITCHGEAR
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	41ccbad4-eea1-485e-bf83-dfcdc2112793	GENERATOR
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	fdba87c7-2548-43d1-8d94-b200c1b8825e	PRIMARY_AUXILIARIES
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	b9a689b5-7d9e-4af3-955c-c6e46faef581	UPS
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	b6bbc5e4-04e6-4947-b74f-ca6ac982b264	CRITICAL_AUXILIARIES
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	cf0b3b9a-d8b6-41e7-9370-b53a5a0c5f23	LIGHTING
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	fbb87ea0-ea65-42ed-9579-ed0e0867f63d	CRITICAL_POWER_DISTRIBUTION
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	7eb1baaa-dc12-483c-b08b-5af19f44efcb	CRAH
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	9917c905-6b6d-42dc-a788-4d0892a072e4	CRAC
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	8013277b-0566-49e7-8dbb-47cb266bf323	CRAC_WITHOUT_FAN
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	5e29eea4-5992-49a9-8516-7eecaebd0099	CRAC_FAN
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	db1a5dc9-61e7-466a-8233-27d6138f1d69	CHILLER
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	e3279db7-264f-4f45-b5cc-f58dd46b3a24	AIR_COOLED_CHILLER
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	121ddfb5-a723-4833-a401-d85c344057b5	COOLING_TOWER
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	83511f02-6880-4066-8e73-3c417f5ce227	DRY_COOLER
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	c44bdf4b-088c-46a6-afd8-d9814e1831ef	REMOTE_CONDENSER
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	82bba9f9-0c88-4f88-b0a4-b976c507d503	CHILLED_WATER_PUMPS
86e61338-9376-4194-bc46-36a27538588a	79da7f42-cc68-4471-8f4c-abec3ff87684	SWITCHGEAR
86e61338-9376-4194-bc46-36a27538588a	01a72f4d-588a-40c5-9c68-3e95f7ee4ef9	GENERATOR
86e61338-9376-4194-bc46-36a27538588a	48fcbf58-a72e-42d1-b955-64a926224434	PRIMARY_AUXILIARIES
86e61338-9376-4194-bc46-36a27538588a	50f6bcb6-833a-47f9-a97b-469988e2388f	UPS
86e61338-9376-4194-bc46-36a27538588a	c7f95886-48c6-438b-93e2-dcb88328fb85	CRITICAL_AUXILIARIES
86e61338-9376-4194-bc46-36a27538588a	09afc2ad-5829-4239-8786-879c43841a1f	LIGHTING
86e61338-9376-4194-bc46-36a27538588a	a94d866e-2d70-4466-8ee9-f89ae284155b	CRITICAL_POWER_DISTRIBUTION
86e61338-9376-4194-bc46-36a27538588a	90df90c2-9c2c-470f-a285-1e5d8bfb808a	CRAH
86e61338-9376-4194-bc46-36a27538588a	b8f76955-32d3-4849-ad7f-f8a02faa8f38	CRAC
86e61338-9376-4194-bc46-36a27538588a	b8515579-7506-4584-ae56-8da5f0748154	CRAC_WITHOUT_FAN
86e61338-9376-4194-bc46-36a27538588a	6403ef4e-f5a5-4f6c-be82-ea6cbde3da4c	CRAC_FAN
86e61338-9376-4194-bc46-36a27538588a	a812dd2e-5424-43af-822d-264295a0974a	CHILLER
86e61338-9376-4194-bc46-36a27538588a	d66fe6f8-3efc-420d-90d9-dbd71f97208e	AIR_COOLED_CHILLER
86e61338-9376-4194-bc46-36a27538588a	1951a22a-7d1c-468a-9d1c-62dfe3bf91d3	COOLING_TOWER
86e61338-9376-4194-bc46-36a27538588a	a901bc52-cfcb-4385-b37f-1a835a5d4eb9	DRY_COOLER
86e61338-9376-4194-bc46-36a27538588a	22706ec4-342d-440a-adfd-087d7ab2cad5	REMOTE_CONDENSER
86e61338-9376-4194-bc46-36a27538588a	9c3192e4-b698-497b-b30f-2ddda8f137d0	CHILLED_WATER_PUMPS
86e61338-9376-4194-bc46-36a27538588a	ca799588-11bb-4dae-b7a7-a08d176fdc2d	HEAT_REJECTION_PUMPS
86e61338-9376-4194-bc46-36a27538588a	0e8ba9a0-835c-428e-952b-cc2e59fccfe9	VENTILATION
86e61338-9376-4194-bc46-36a27538588a	8eba92dd-609a-4fc8-aa79-1abb3d92156a	INFILTRATION
86e61338-9376-4194-bc46-36a27538588a	7856b40e-b8ac-4467-bcb6-397c87e71222	IT_LOAD
2face243-4f28-429f-b00d-1457e53be722	487cbddb-d276-41aa-983c-ecab961737b0	SWITCHGEAR
2face243-4f28-429f-b00d-1457e53be722	b00ae5f6-e9e8-4018-88ed-e9d50b9b59b2	GENERATOR
2face243-4f28-429f-b00d-1457e53be722	922adf0e-32f1-4a16-addd-2d2a943aaa65	PRIMARY_AUXILIARIES
2face243-4f28-429f-b00d-1457e53be722	ef082740-e8f9-4322-89f5-4374327fedf5	UPS
2face243-4f28-429f-b00d-1457e53be722	555529aa-be83-465c-b969-c46c388b8cd3	CRITICAL_AUXILIARIES
2face243-4f28-429f-b00d-1457e53be722	23dc6784-cb9f-4d0d-b458-7b2427b08aec	LIGHTING
2face243-4f28-429f-b00d-1457e53be722	54f83e09-eef3-40af-ae4b-19effb1940e7	CRITICAL_POWER_DISTRIBUTION
2face243-4f28-429f-b00d-1457e53be722	c2ef5327-dcda-4419-b82e-b5a90aec0f42	CRAH
2face243-4f28-429f-b00d-1457e53be722	cc75e7a2-20c5-4033-8577-97710fd7fec3	CRAC
2face243-4f28-429f-b00d-1457e53be722	6c872276-ad64-46da-a97e-d6ea28d4fa93	CRAC_WITHOUT_FAN
2face243-4f28-429f-b00d-1457e53be722	19fdd53b-4ed5-4767-9968-54b56a5383d6	CRAC_FAN
2face243-4f28-429f-b00d-1457e53be722	122f7204-daa1-4b52-9e81-7b7464666b76	CHILLER
2face243-4f28-429f-b00d-1457e53be722	d32d14af-dca1-417b-ac0f-cb782bcf1396	AIR_COOLED_CHILLER
2face243-4f28-429f-b00d-1457e53be722	59d23135-21f9-42a4-9f08-6f62694f8e96	COOLING_TOWER
2face243-4f28-429f-b00d-1457e53be722	bac3715c-e8a8-4d28-8b02-92809a0650c0	DRY_COOLER
2face243-4f28-429f-b00d-1457e53be722	c1cb3b74-f19b-44eb-be64-390429eff9a8	REMOTE_CONDENSER
2face243-4f28-429f-b00d-1457e53be722	595ce4bd-1b0c-4a46-baae-8efe61b42e88	CHILLED_WATER_PUMPS
2face243-4f28-429f-b00d-1457e53be722	406a686a-b954-4847-994b-76c57a58b270	HEAT_REJECTION_PUMPS
2face243-4f28-429f-b00d-1457e53be722	c6a9f8d1-e17f-4226-8486-0997478ae1f2	VENTILATION
2face243-4f28-429f-b00d-1457e53be722	ef854813-5136-478e-a43b-4cf2cdd50459	INFILTRATION
2face243-4f28-429f-b00d-1457e53be722	9fd22d98-3133-4e74-8fde-f4b842429a71	IT_LOAD
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	80dae220-b53c-465c-9897-192ff4275169	HEAT_REJECTION_PUMPS
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	25d72048-27dd-4e21-9ecf-a6cc1a4e4b2a	VENTILATION
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	fd890ff5-2081-44ac-8c5e-d2dc0f44c8be	INFILTRATION
fec8c091-ec3f-411b-8b92-5e0cdaa22a76	0f27fa0e-d14c-429d-a2ea-d79506e5d6ca	IT_LOAD
08415a70-4326-48bd-b4de-ed57e4d35e22	672458fb-a970-45c7-a7c8-af6cb3f1330c	SWITCHGEAR
08415a70-4326-48bd-b4de-ed57e4d35e22	f18cd98b-60c0-4779-9546-a7999dcafea9	GENERATOR
08415a70-4326-48bd-b4de-ed57e4d35e22	fbd2ad37-5d1c-48ab-a250-7efce0c55550	PRIMARY_AUXILIARIES
08415a70-4326-48bd-b4de-ed57e4d35e22	edd3b701-b36a-4e35-a01f-8bfc3b3563df	UPS
08415a70-4326-48bd-b4de-ed57e4d35e22	9a926e77-6582-4954-ac37-35226f6e67b6	CRITICAL_AUXILIARIES
08415a70-4326-48bd-b4de-ed57e4d35e22	08f27583-7f34-432c-ad3d-6f7b7fd85359	LIGHTING
08415a70-4326-48bd-b4de-ed57e4d35e22	9a1154af-b83a-417a-8822-0b6f899cb337	CRITICAL_POWER_DISTRIBUTION
08415a70-4326-48bd-b4de-ed57e4d35e22	cd556fd8-7110-4cc2-9f61-4323e8f862f1	CRAH
08415a70-4326-48bd-b4de-ed57e4d35e22	faddb932-c4dd-4ac6-8367-54b4a058db80	CRAC
08415a70-4326-48bd-b4de-ed57e4d35e22	a52af93e-d79f-4fd3-b875-f1f1295c7001	CRAC_WITHOUT_FAN
08415a70-4326-48bd-b4de-ed57e4d35e22	1a0abfb4-bd12-4d73-8b87-6694ebb183ab	CRAC_FAN
08415a70-4326-48bd-b4de-ed57e4d35e22	500cd672-c651-4053-b125-d5caed57f72a	CHILLER
08415a70-4326-48bd-b4de-ed57e4d35e22	5c27d008-bfbb-4969-86ab-08e184c5519a	AIR_COOLED_CHILLER
08415a70-4326-48bd-b4de-ed57e4d35e22	8d68f8a7-d845-41e0-b93e-1e1f7928b538	COOLING_TOWER
08415a70-4326-48bd-b4de-ed57e4d35e22	fa4f143b-824c-4e3e-9cae-fff0f9841ef0	DRY_COOLER
08415a70-4326-48bd-b4de-ed57e4d35e22	1ff90d44-3c9d-4bec-8994-5722612fdeb3	REMOTE_CONDENSER
08415a70-4326-48bd-b4de-ed57e4d35e22	0a802b90-08bc-4a73-8583-fc67342d5bd8	CHILLED_WATER_PUMPS
08415a70-4326-48bd-b4de-ed57e4d35e22	8ca4e225-dc5b-45cd-bd3c-9f2c19db6d53	HEAT_REJECTION_PUMPS
08415a70-4326-48bd-b4de-ed57e4d35e22	c975016d-2ee3-4e36-b91e-0ced617fdff9	VENTILATION
08415a70-4326-48bd-b4de-ed57e4d35e22	a7132706-862d-42d6-9ff7-5707f9418e9b	INFILTRATION
08415a70-4326-48bd-b4de-ed57e4d35e22	80392c7c-f68f-48aa-9499-12dc001d3577	IT_LOAD
d123dd83-142a-4e70-9957-b90e80bcfcea	f1394bc8-e0c5-445d-adf6-6d34799a2a54	SWITCHGEAR
d123dd83-142a-4e70-9957-b90e80bcfcea	696e7ecc-f710-4b5f-9b35-c6a2d4961ec9	GENERATOR
d123dd83-142a-4e70-9957-b90e80bcfcea	54e05d35-c135-402e-b179-b06d5603be37	PRIMARY_AUXILIARIES
d123dd83-142a-4e70-9957-b90e80bcfcea	bc19d7ae-97a5-46f7-ae06-25f722c85a98	UPS
d123dd83-142a-4e70-9957-b90e80bcfcea	20576298-27c7-4062-a0cf-37514f3802c0	CRITICAL_AUXILIARIES
d123dd83-142a-4e70-9957-b90e80bcfcea	e9b15493-02ff-4a09-8587-ae424afd8038	LIGHTING
d123dd83-142a-4e70-9957-b90e80bcfcea	ad2d80aa-53df-40fe-af1c-75567cac462f	CRITICAL_POWER_DISTRIBUTION
d123dd83-142a-4e70-9957-b90e80bcfcea	aeceb1d5-67e8-41d7-82ea-a73cc848946e	CRAH
d123dd83-142a-4e70-9957-b90e80bcfcea	2262f771-fe5e-4d83-aaba-c554de3a3e75	CRAC
d123dd83-142a-4e70-9957-b90e80bcfcea	03b0a8c0-ce0c-4e39-85a2-10e047ef40a5	CRAC_WITHOUT_FAN
d123dd83-142a-4e70-9957-b90e80bcfcea	1f6fbf17-6ad0-482e-90dc-68a89f30c19a	CRAC_FAN
d123dd83-142a-4e70-9957-b90e80bcfcea	7ecdfa25-9219-4b84-895e-9b7c5f9e93df	CHILLER
d123dd83-142a-4e70-9957-b90e80bcfcea	f25fa23c-38fc-4095-be19-0c6f62ff6f4f	AIR_COOLED_CHILLER
d123dd83-142a-4e70-9957-b90e80bcfcea	414aa25a-9ecf-4998-b693-04a32532afdf	COOLING_TOWER
d123dd83-142a-4e70-9957-b90e80bcfcea	b80c4e5c-0dd7-4706-95d4-16120fd4f986	DRY_COOLER
d123dd83-142a-4e70-9957-b90e80bcfcea	8bc39d9d-725d-4f56-b83b-0290545c86fa	REMOTE_CONDENSER
d123dd83-142a-4e70-9957-b90e80bcfcea	6f1eb5b0-332f-49d5-b129-1e2da851bc99	CHILLED_WATER_PUMPS
d123dd83-142a-4e70-9957-b90e80bcfcea	546afc0e-ffc3-41be-9c59-e01b0b2bcaae	HEAT_REJECTION_PUMPS
d123dd83-142a-4e70-9957-b90e80bcfcea	3be99261-aaba-4558-9e3a-ccd955b552f0	VENTILATION
d123dd83-142a-4e70-9957-b90e80bcfcea	75a2de45-625f-44ba-9f05-20ae76eda002	INFILTRATION
d123dd83-142a-4e70-9957-b90e80bcfcea	beaa9799-e0af-4c53-a12c-59ce62d931e5	IT_LOAD
c1fac0fe-9867-46c8-b17c-1a1424c867fa	8f9e6e27-3eca-4138-b1d6-b0909bb3e42c	SWITCHGEAR
c1fac0fe-9867-46c8-b17c-1a1424c867fa	bc7c776a-6d8d-45f1-a88c-ccd49ddda3d6	GENERATOR
c1fac0fe-9867-46c8-b17c-1a1424c867fa	2b79363b-738a-49d7-b366-c0aad4dbe5a7	PRIMARY_AUXILIARIES
c1fac0fe-9867-46c8-b17c-1a1424c867fa	74ea34d3-ebed-48ae-bc2d-c8d44dbafbd6	UPS
c1fac0fe-9867-46c8-b17c-1a1424c867fa	e360ca16-0187-4496-b8b9-3012c9f4a6c8	CRITICAL_AUXILIARIES
c1fac0fe-9867-46c8-b17c-1a1424c867fa	ebdf8e3b-1965-4651-86e9-fcc9c00d1600	LIGHTING
c1fac0fe-9867-46c8-b17c-1a1424c867fa	8b3df968-1e4e-4ff5-a50c-2597b30ccc92	CRITICAL_POWER_DISTRIBUTION
c1fac0fe-9867-46c8-b17c-1a1424c867fa	afe6ffa4-af52-40fa-babd-3d2077cb9f16	CRAH
c1fac0fe-9867-46c8-b17c-1a1424c867fa	022a25f0-4dbf-422a-b4fb-cd39e1182ec8	CRAC
c1fac0fe-9867-46c8-b17c-1a1424c867fa	ccb11c90-abfa-4681-89f6-85c4a826227e	CRAC_WITHOUT_FAN
c1fac0fe-9867-46c8-b17c-1a1424c867fa	f1820d1a-9677-4ddd-a731-992518ef94ea	CRAC_FAN
c1fac0fe-9867-46c8-b17c-1a1424c867fa	5a18e062-02a2-426f-a9bd-ad3ca230f590	CHILLER
c1fac0fe-9867-46c8-b17c-1a1424c867fa	dce07ecd-f041-4a39-9819-7808e28c7904	AIR_COOLED_CHILLER
c1fac0fe-9867-46c8-b17c-1a1424c867fa	8f507cfb-6089-4cff-83d5-97c51ed1c1eb	COOLING_TOWER
c1fac0fe-9867-46c8-b17c-1a1424c867fa	e20c436c-722d-4b48-80b1-6870c4632c8a	DRY_COOLER
c1fac0fe-9867-46c8-b17c-1a1424c867fa	a4467e94-da92-4f47-b879-83df5dbb89ba	REMOTE_CONDENSER
c1fac0fe-9867-46c8-b17c-1a1424c867fa	2a4117cb-3096-42e1-9502-3df7488f2157	CHILLED_WATER_PUMPS
c1fac0fe-9867-46c8-b17c-1a1424c867fa	0bb58a7c-350f-42e9-b1fb-9191e5c36e8d	HEAT_REJECTION_PUMPS
c1fac0fe-9867-46c8-b17c-1a1424c867fa	7a5cab1d-6e14-4a33-8751-ecdbb7065031	VENTILATION
c1fac0fe-9867-46c8-b17c-1a1424c867fa	b759d47d-cccf-4c01-bc0e-d3961b2920f4	INFILTRATION
c1fac0fe-9867-46c8-b17c-1a1424c867fa	d0d28c24-290b-49a8-92bf-1b52e0017b20	IT_LOAD
99b1e32b-7636-4e72-9407-570505ced966	58078ef6-409f-468b-bd36-3f30a84d92a4	SWITCHGEAR
99b1e32b-7636-4e72-9407-570505ced966	4ac56f5a-14ae-4a1a-b762-c93013ef5ac2	GENERATOR
99b1e32b-7636-4e72-9407-570505ced966	9c2627a6-51fb-41a2-9c9f-d9959c8d0aea	PRIMARY_AUXILIARIES
99b1e32b-7636-4e72-9407-570505ced966	d2902665-fc3f-42af-8d06-e8df8e3a013c	UPS
99b1e32b-7636-4e72-9407-570505ced966	ac04833d-40e5-4e6a-a75e-de28018200ac	CRITICAL_AUXILIARIES
99b1e32b-7636-4e72-9407-570505ced966	820dcec3-ffbb-46e5-ac8e-f3ac98f4a7dd	LIGHTING
99b1e32b-7636-4e72-9407-570505ced966	4e2540f4-60b2-4796-900f-b525c19e1ad5	CRITICAL_POWER_DISTRIBUTION
99b1e32b-7636-4e72-9407-570505ced966	d5436337-cd51-43ba-bf49-abacbb9bbbb5	CRAH
99b1e32b-7636-4e72-9407-570505ced966	81671597-3982-4161-b8b9-4f54f9f29dda	CRAC
99b1e32b-7636-4e72-9407-570505ced966	73043159-02e5-44d3-8ab7-df4be85344d9	CRAC_WITHOUT_FAN
99b1e32b-7636-4e72-9407-570505ced966	c0288d47-6909-44d6-b7c0-b7bbdfcaa7f5	CRAC_FAN
99b1e32b-7636-4e72-9407-570505ced966	446cc131-200a-4d2c-82f2-d6add0407735	CHILLER
99b1e32b-7636-4e72-9407-570505ced966	84c0ae6e-6df4-4168-83f5-fe239b2428d6	AIR_COOLED_CHILLER
99b1e32b-7636-4e72-9407-570505ced966	243497a7-0fb3-4c65-9cdd-43e7bb8515b4	COOLING_TOWER
99b1e32b-7636-4e72-9407-570505ced966	5d02f559-fbca-4463-b75a-b069858d667d	DRY_COOLER
99b1e32b-7636-4e72-9407-570505ced966	47b118de-fe24-4250-a404-23a7702d8ff4	REMOTE_CONDENSER
99b1e32b-7636-4e72-9407-570505ced966	dfea160f-7f73-4295-b208-3496dc8d792b	CHILLED_WATER_PUMPS
99b1e32b-7636-4e72-9407-570505ced966	5d0de139-06dd-428a-8db3-ca755892913d	HEAT_REJECTION_PUMPS
99b1e32b-7636-4e72-9407-570505ced966	530b3dbc-47ec-40b7-97f0-e4c9389d921b	VENTILATION
99b1e32b-7636-4e72-9407-570505ced966	b5874f98-dad8-4ecb-99b4-caeb61162fce	INFILTRATION
99b1e32b-7636-4e72-9407-570505ced966	1ae13a84-a009-47d9-af34-0e3e544a07a4	IT_LOAD
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	05fd1f14-05a2-47fe-8900-e0604880b089	SWITCHGEAR
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	efb92509-5258-4c42-a0da-3a5cc91e5c75	GENERATOR
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	de12d46e-1080-4751-954f-6ceeaa365666	PRIMARY_AUXILIARIES
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	fcc062f5-4bcc-4035-ac37-a6ac8effa974	UPS
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	cead5900-3056-45ab-86e5-bfde6ee809c6	CRITICAL_AUXILIARIES
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	a16b2c34-ba4e-4e57-a0e8-4d6b1031c652	LIGHTING
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	0829d4fd-9ee3-441c-b18e-2e68e3fc1545	CRITICAL_POWER_DISTRIBUTION
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	71a01ad2-7641-4b34-974a-586737ec120d	CRAH
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	22f7a613-d892-4910-b83f-b0bba91e7046	CRAC
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	212b48aa-0ade-40fb-bed9-0e94ece91d6e	CRAC_WITHOUT_FAN
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	601a3cb8-6a5c-4791-9ef4-ae9e3943d635	CRAC_FAN
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	cb9a5f4d-b932-4a37-9170-96b0bf69e978	CHILLER
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	0b6d97fc-71df-4c24-8963-532b7c6b6444	AIR_COOLED_CHILLER
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	9dc4403d-30ac-48f7-8173-e2dff77ff215	COOLING_TOWER
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	99cba8ec-52d6-4ca7-93ce-fa8a023b66a0	DRY_COOLER
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	a04c630e-02d1-47de-9ad2-12b1f40ddcae	REMOTE_CONDENSER
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	29320ac7-a3ad-497a-be07-c06a3c2d6a0c	CHILLED_WATER_PUMPS
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	48014293-f4f7-4256-90f4-484214168fb7	HEAT_REJECTION_PUMPS
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	36312008-4203-4ed9-a9e9-5a56ba8792d6	VENTILATION
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	63386ee3-0d42-4d12-a94d-727fd052f67a	INFILTRATION
1f2bf0d0-cb2a-4a58-8944-9ee5430a990c	e62c2a6e-2b8f-423b-b38b-f6c9504a45ab	IT_LOAD
2e06b3de-8bfb-404c-a20c-65cf07de881e	ebf40430-7a1f-4697-a041-b3c553c45618	SWITCHGEAR
2e06b3de-8bfb-404c-a20c-65cf07de881e	aa8f725b-1609-4f2e-abd4-d46f49571993	GENERATOR
2e06b3de-8bfb-404c-a20c-65cf07de881e	d06c419a-a7a4-4943-a4d6-76eef71ca6fb	PRIMARY_AUXILIARIES
2e06b3de-8bfb-404c-a20c-65cf07de881e	13ab14bc-33c2-4362-bf21-cd94e9fc93dc	UPS
2e06b3de-8bfb-404c-a20c-65cf07de881e	b75fbdf4-e12c-4679-9e4f-8b5d84101fc3	CRITICAL_AUXILIARIES
2e06b3de-8bfb-404c-a20c-65cf07de881e	f22f634c-e2c0-4fa8-b781-1045bc949679	LIGHTING
2e06b3de-8bfb-404c-a20c-65cf07de881e	ded8ee5a-5119-4699-a3bb-f3d07667a736	CRITICAL_POWER_DISTRIBUTION
2e06b3de-8bfb-404c-a20c-65cf07de881e	c41ac3a8-70d2-456e-a275-ffad350d58d5	CRAH
2e06b3de-8bfb-404c-a20c-65cf07de881e	6499ab15-cc7d-42bd-80e9-9746a632f1d3	CRAC
2e06b3de-8bfb-404c-a20c-65cf07de881e	60258db8-25b6-402d-8c9d-2f2a9162d6b3	CRAC_WITHOUT_FAN
2e06b3de-8bfb-404c-a20c-65cf07de881e	0d06b979-bf26-4d7f-bb50-f3232ff258e6	CRAC_FAN
2e06b3de-8bfb-404c-a20c-65cf07de881e	1024dd4c-a105-49b8-bd8d-7e780b050a44	CHILLER
2e06b3de-8bfb-404c-a20c-65cf07de881e	72487982-b277-4282-ab53-0579f0d75513	AIR_COOLED_CHILLER
2e06b3de-8bfb-404c-a20c-65cf07de881e	16c250bb-c695-4773-a810-9e9ebc63f668	COOLING_TOWER
2e06b3de-8bfb-404c-a20c-65cf07de881e	f729fb93-fce9-4ae6-9cda-4d662c10d3bb	DRY_COOLER
2e06b3de-8bfb-404c-a20c-65cf07de881e	3f82b8fd-539e-4471-a1cb-d4b5ff426945	REMOTE_CONDENSER
2e06b3de-8bfb-404c-a20c-65cf07de881e	e9fc7039-32cb-4117-80ee-a2a3e888a15a	CHILLED_WATER_PUMPS
2e06b3de-8bfb-404c-a20c-65cf07de881e	a13aa302-3438-4a13-a878-b3aa6f60b28c	HEAT_REJECTION_PUMPS
2e06b3de-8bfb-404c-a20c-65cf07de881e	ec8e745a-822b-4ca3-9dfd-53f17b53f696	VENTILATION
2e06b3de-8bfb-404c-a20c-65cf07de881e	0e973906-8fb8-4d2a-ba8b-4f3967042cc8	INFILTRATION
2e06b3de-8bfb-404c-a20c-65cf07de881e	5e3287aa-6643-48b5-a194-559024a7696b	IT_LOAD
9e144317-f7d1-42e1-98d1-879f6eeb37be	36e69e35-5a52-4c00-99ce-3605c98684c2	SWITCHGEAR
9e144317-f7d1-42e1-98d1-879f6eeb37be	1a82feca-5653-4a53-8b2e-5f18a9d6912d	GENERATOR
9e144317-f7d1-42e1-98d1-879f6eeb37be	0038583a-cbee-4180-8a17-c6f9841d6cff	PRIMARY_AUXILIARIES
9e144317-f7d1-42e1-98d1-879f6eeb37be	7d440b36-70f3-457a-9719-b94afd96f542	UPS
9e144317-f7d1-42e1-98d1-879f6eeb37be	1a92de7a-dd3c-4e80-954c-08b69e80502d	CRITICAL_AUXILIARIES
9e144317-f7d1-42e1-98d1-879f6eeb37be	e86e28c9-7305-4ad0-a8bc-1b28ba290492	LIGHTING
9e144317-f7d1-42e1-98d1-879f6eeb37be	89d23e5c-6f35-4c2c-ba95-18d98cefe84c	CRITICAL_POWER_DISTRIBUTION
9e144317-f7d1-42e1-98d1-879f6eeb37be	998139da-63e2-43e1-877c-0ec943d93635	CRAH
9e144317-f7d1-42e1-98d1-879f6eeb37be	0b537f71-147a-4bae-b13d-55450976c359	CRAC
9e144317-f7d1-42e1-98d1-879f6eeb37be	3fa15e21-06d0-43c8-a8ee-07948436dfc2	CRAC_WITHOUT_FAN
9e144317-f7d1-42e1-98d1-879f6eeb37be	590a5f1f-ec82-4f83-b7cc-9386da0ec3cd	CRAC_FAN
9e144317-f7d1-42e1-98d1-879f6eeb37be	a597b9e4-84e9-49a6-b61d-b032f810b418	CHILLER
9e144317-f7d1-42e1-98d1-879f6eeb37be	9bb22f36-fe34-41ef-8df3-665e1782315a	AIR_COOLED_CHILLER
9e144317-f7d1-42e1-98d1-879f6eeb37be	5eb74a1e-6ed7-4e4d-9a49-48211a68f86a	COOLING_TOWER
9e144317-f7d1-42e1-98d1-879f6eeb37be	d700fcdc-67ea-4863-b9b3-72ca9d7fcc58	DRY_COOLER
9e144317-f7d1-42e1-98d1-879f6eeb37be	cdc791da-ea20-4e91-aa54-bbe94ab7dd08	REMOTE_CONDENSER
9e144317-f7d1-42e1-98d1-879f6eeb37be	8cd58066-e465-4afd-8e65-1e6792c74d19	CHILLED_WATER_PUMPS
9e144317-f7d1-42e1-98d1-879f6eeb37be	eabc965c-533b-4adb-bd91-c5e57a12f9e9	HEAT_REJECTION_PUMPS
9e144317-f7d1-42e1-98d1-879f6eeb37be	8a3f6ac0-ef48-4a23-851f-708800d06949	VENTILATION
9e144317-f7d1-42e1-98d1-879f6eeb37be	362e2347-4efb-4d29-81c6-d2c2b079ec69	INFILTRATION
9e144317-f7d1-42e1-98d1-879f6eeb37be	26fc6306-5233-473a-b2c2-e47441cdbd89	IT_LOAD
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	251fa2a5-fba5-4c25-a826-b657f83a1e04	SWITCHGEAR
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	83ec3282-9b24-4b7b-a89d-f9a2da49942a	GENERATOR
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	0c7ca341-5288-4be8-b775-848d2a045e4c	PRIMARY_AUXILIARIES
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	c518a1ab-f31d-4251-85a2-34c55552b17e	UPS
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	e0b82dfb-8fe8-4e66-b04d-dcfe154439a9	CRITICAL_AUXILIARIES
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	93de30e4-74db-498a-8929-b57ec87f6545	LIGHTING
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	43f079a3-c80a-4be2-8277-3f978ee3fcee	CRITICAL_POWER_DISTRIBUTION
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	aeedfac4-c393-4ed7-9fc6-88657dce6b7a	CRAH
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	b1738928-d758-47ea-a356-da1805b98470	CRAC
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	37f7ac37-920f-4d3f-9484-b383486b4e87	CRAC_WITHOUT_FAN
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	4a4561a1-ce2f-4119-a886-f275fc3402ef	CRAC_FAN
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	09f1da8b-db59-4958-950f-8431a849ed92	CHILLER
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	6d60d588-3f04-472e-a4e7-d29a2ada7661	AIR_COOLED_CHILLER
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	7df17af8-79a6-4c47-a0e7-1342c9861694	COOLING_TOWER
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	d0ab46fb-2597-467d-a986-b881daf337c0	DRY_COOLER
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	ce068856-9807-4bf2-b002-e9101a7009c8	REMOTE_CONDENSER
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	50667404-e72e-4a2d-9061-2d828db04a11	CHILLED_WATER_PUMPS
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	35277cc3-7928-4592-94d3-1f4e7f7d7cb0	HEAT_REJECTION_PUMPS
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	25d07f9a-9a09-4329-8644-0b8e899d1f56	VENTILATION
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	5a0a3def-ddec-478e-82f3-6f2a716f761a	INFILTRATION
2c26e0bf-2e46-4d87-a3ca-14e5f4b5bf16	9371e4cd-ca1e-4408-b5e5-673a3e709388	IT_LOAD
5caafea4-2521-4079-a2e2-55be3144af36	68fcc862-908c-4d0a-89b2-a845be9a39fe	SWITCHGEAR
5caafea4-2521-4079-a2e2-55be3144af36	03b15b32-2481-4cbe-a2c0-e6ff516b0aba	GENERATOR
5caafea4-2521-4079-a2e2-55be3144af36	c32b66a7-0c9a-4168-844d-d73344e34cc9	PRIMARY_AUXILIARIES
5caafea4-2521-4079-a2e2-55be3144af36	e94041e6-faa2-42af-a631-28582f4b7cb2	UPS
5caafea4-2521-4079-a2e2-55be3144af36	e3a3c58f-14db-4a78-8369-c851fc98240b	CRITICAL_AUXILIARIES
5caafea4-2521-4079-a2e2-55be3144af36	5ef4e839-3373-45b4-be56-0170c55f3fb9	LIGHTING
5caafea4-2521-4079-a2e2-55be3144af36	685e3a11-c451-455a-a993-e3362534100c	CRITICAL_POWER_DISTRIBUTION
5caafea4-2521-4079-a2e2-55be3144af36	eaa3bb6a-582e-4a7a-b66f-9244d2debe81	CRAH
5caafea4-2521-4079-a2e2-55be3144af36	e52d3647-3d02-434b-915a-4108e1c43849	CRAC
5caafea4-2521-4079-a2e2-55be3144af36	f6d54dd4-04e0-43c1-8cf2-f30c90f28680	CRAC_WITHOUT_FAN
5caafea4-2521-4079-a2e2-55be3144af36	546f6558-0630-4120-a12e-d3b1868d20a9	CRAC_FAN
5caafea4-2521-4079-a2e2-55be3144af36	2846241d-beef-47ce-a812-5f170869f0f1	CHILLER
5caafea4-2521-4079-a2e2-55be3144af36	e3f548f4-43e4-4e6b-9350-d3886dc15760	AIR_COOLED_CHILLER
5caafea4-2521-4079-a2e2-55be3144af36	1a62d443-8d61-4757-ab6a-06fab4daf97b	COOLING_TOWER
5caafea4-2521-4079-a2e2-55be3144af36	b29493fe-4844-42ad-90f0-ebc0594b4a4f	DRY_COOLER
5caafea4-2521-4079-a2e2-55be3144af36	af44748a-1429-46b3-854c-970f1427b44e	REMOTE_CONDENSER
5caafea4-2521-4079-a2e2-55be3144af36	5ee75239-d0ba-4064-a969-f3f4aa6bd089	CHILLED_WATER_PUMPS
5caafea4-2521-4079-a2e2-55be3144af36	cdb444f0-c44b-4c1a-af8f-610b7d560f6b	HEAT_REJECTION_PUMPS
5caafea4-2521-4079-a2e2-55be3144af36	4775b365-7968-4fc5-8a9f-9173861b0782	VENTILATION
5caafea4-2521-4079-a2e2-55be3144af36	1a6c8b0f-5ef4-4ff1-a335-3a35af2ab063	INFILTRATION
5caafea4-2521-4079-a2e2-55be3144af36	9dd4b4ad-baed-4995-8d51-23ea621502a7	IT_LOAD
68dcf8cf-8829-4e41-80c8-7225d4244951	803be699-9ca7-484d-b7e1-2f47aa2f647d	SWITCHGEAR
68dcf8cf-8829-4e41-80c8-7225d4244951	7eb3778f-bc3e-4993-8dd4-5d98c66dc79e	GENERATOR
68dcf8cf-8829-4e41-80c8-7225d4244951	64ab61d2-7081-46fd-a5b8-0f61f10e8581	PRIMARY_AUXILIARIES
68dcf8cf-8829-4e41-80c8-7225d4244951	a2725cf2-e8ad-4bf9-82fc-7881a84daf93	UPS
68dcf8cf-8829-4e41-80c8-7225d4244951	1350fe8c-6673-4ece-b3ab-d8202acf429e	CRITICAL_AUXILIARIES
68dcf8cf-8829-4e41-80c8-7225d4244951	75a1bef1-8f88-4c12-a4d2-031ce825086a	LIGHTING
68dcf8cf-8829-4e41-80c8-7225d4244951	a9299326-e2ef-4c6c-842c-c8ad38e0be37	CRITICAL_POWER_DISTRIBUTION
68dcf8cf-8829-4e41-80c8-7225d4244951	fd57fa59-8eec-4357-9e17-079c798843b2	CRAH
68dcf8cf-8829-4e41-80c8-7225d4244951	3010fbf7-9b89-453d-8ab5-808702380aeb	CRAC
68dcf8cf-8829-4e41-80c8-7225d4244951	5e62f7e5-eb26-4700-a50a-34a79ca00071	CRAC_WITHOUT_FAN
68dcf8cf-8829-4e41-80c8-7225d4244951	5e09a033-9c5c-4dba-bf85-e55a51b2c898	CRAC_FAN
68dcf8cf-8829-4e41-80c8-7225d4244951	ac2fabb7-b5e1-4e7a-bb51-e0ca056de3b0	CHILLER
68dcf8cf-8829-4e41-80c8-7225d4244951	8b2ec097-569e-4385-b5f5-ce53f94e1784	AIR_COOLED_CHILLER
68dcf8cf-8829-4e41-80c8-7225d4244951	d501a7a5-0a12-4aa2-bc09-bac4c2d9ae70	COOLING_TOWER
68dcf8cf-8829-4e41-80c8-7225d4244951	d0b33b32-1f8d-44fe-89fb-9fd29f5ef4a5	DRY_COOLER
68dcf8cf-8829-4e41-80c8-7225d4244951	064f791e-0967-4a07-b363-6e59545d64b3	REMOTE_CONDENSER
68dcf8cf-8829-4e41-80c8-7225d4244951	2050f5c3-49b9-4a30-9e77-8670342faa65	CHILLED_WATER_PUMPS
68dcf8cf-8829-4e41-80c8-7225d4244951	8f91f833-c3f6-46c8-a869-06ae4115c58e	HEAT_REJECTION_PUMPS
68dcf8cf-8829-4e41-80c8-7225d4244951	b4a337fe-72c4-4b12-bf9d-e9f66864e5b2	VENTILATION
68dcf8cf-8829-4e41-80c8-7225d4244951	5fd984b4-1d92-48dc-8d0e-8d555274abca	INFILTRATION
68dcf8cf-8829-4e41-80c8-7225d4244951	b65dc3e4-a162-4b79-9118-0b232b352d21	IT_LOAD
93e8316e-3991-4243-a8d0-8f35bff90a8c	f75267b4-2c36-4657-85b6-3720bf81ae55	SWITCHGEAR
93e8316e-3991-4243-a8d0-8f35bff90a8c	404d59d9-8b97-4451-b672-a4d77155038f	GENERATOR
93e8316e-3991-4243-a8d0-8f35bff90a8c	9c9cf2a8-c681-4cb1-b295-7bef53a84c5a	PRIMARY_AUXILIARIES
93e8316e-3991-4243-a8d0-8f35bff90a8c	cf310541-655e-44ec-a852-4960fa559df4	UPS
93e8316e-3991-4243-a8d0-8f35bff90a8c	021fa9c5-75bd-4abf-9274-bc0195e4c655	CRITICAL_AUXILIARIES
93e8316e-3991-4243-a8d0-8f35bff90a8c	995027bc-860d-4465-a5f2-11757b77570e	LIGHTING
93e8316e-3991-4243-a8d0-8f35bff90a8c	f7f941cd-c5da-42df-8a0d-84c9d65f5db3	CRITICAL_POWER_DISTRIBUTION
93e8316e-3991-4243-a8d0-8f35bff90a8c	b6b77a2e-1173-46f7-bea7-0a9971938270	CRAH
93e8316e-3991-4243-a8d0-8f35bff90a8c	2af6572d-71b7-44ea-9b51-e2c77747946c	CRAC
93e8316e-3991-4243-a8d0-8f35bff90a8c	8eb7e795-a609-47cf-946e-ef72ce5e248f	CRAC_WITHOUT_FAN
93e8316e-3991-4243-a8d0-8f35bff90a8c	afac2e21-1352-4d61-9e72-26bc072aac3c	CRAC_FAN
93e8316e-3991-4243-a8d0-8f35bff90a8c	17e57c26-0898-43ed-a3e8-f82052aba5c9	CHILLER
93e8316e-3991-4243-a8d0-8f35bff90a8c	dd2e08c7-04e1-4250-b486-b23198a72d0a	AIR_COOLED_CHILLER
93e8316e-3991-4243-a8d0-8f35bff90a8c	3c95781a-a892-439e-b2a2-bd06f0459c63	COOLING_TOWER
93e8316e-3991-4243-a8d0-8f35bff90a8c	07096dfa-359e-4ffe-8c35-64fa5e277376	DRY_COOLER
93e8316e-3991-4243-a8d0-8f35bff90a8c	11ac2ea5-01b2-40a1-b445-3b80414cdd71	REMOTE_CONDENSER
93e8316e-3991-4243-a8d0-8f35bff90a8c	72041b53-39ae-42f6-b6c8-6a5a9ecea06f	CHILLED_WATER_PUMPS
93e8316e-3991-4243-a8d0-8f35bff90a8c	e6968bf3-817e-4d1a-92b9-391e44a4750d	HEAT_REJECTION_PUMPS
93e8316e-3991-4243-a8d0-8f35bff90a8c	fb049b3c-9c0d-4058-9ceb-45eba9c51b4f	VENTILATION
93e8316e-3991-4243-a8d0-8f35bff90a8c	7d764aa0-e995-4b82-ae55-d21aed68e636	INFILTRATION
93e8316e-3991-4243-a8d0-8f35bff90a8c	1422d276-b3a3-4a34-8d1d-dd03da8fa78b	IT_LOAD
ab735fb5-0dd8-4fde-8308-c64f38d2aead	e5e6c629-72c6-4f9d-aade-38f4b2bcb9b8	SWITCHGEAR
ab735fb5-0dd8-4fde-8308-c64f38d2aead	c2c019a2-6a30-4858-9f8e-e6e7476cecf3	GENERATOR
ab735fb5-0dd8-4fde-8308-c64f38d2aead	c17bef90-02f8-4167-be21-52b0e5e309e5	PRIMARY_AUXILIARIES
ab735fb5-0dd8-4fde-8308-c64f38d2aead	9ccafb17-c57b-49a1-aab7-416a58679cca	UPS
ab735fb5-0dd8-4fde-8308-c64f38d2aead	6799f63d-5c70-424f-9369-aca1748394e9	CRITICAL_AUXILIARIES
ab735fb5-0dd8-4fde-8308-c64f38d2aead	3bfc854c-8f96-4990-98e0-c83bb70bc7d6	LIGHTING
ab735fb5-0dd8-4fde-8308-c64f38d2aead	67f15a71-0f67-41ea-ada4-c28959d147a4	CRITICAL_POWER_DISTRIBUTION
ab735fb5-0dd8-4fde-8308-c64f38d2aead	8268cab9-6b9b-4950-a6c9-f7a66ca7d723	CRAH
ab735fb5-0dd8-4fde-8308-c64f38d2aead	bd2a4bf1-ac1e-4373-825b-07caa5293080	CRAC
ab735fb5-0dd8-4fde-8308-c64f38d2aead	be217a19-badd-4249-abeb-d0efbede1c6a	CRAC_WITHOUT_FAN
ab735fb5-0dd8-4fde-8308-c64f38d2aead	3a462b2b-a76b-403d-a771-6c234331b6e5	CRAC_FAN
ab735fb5-0dd8-4fde-8308-c64f38d2aead	a4a7edda-f1fd-43e1-b4e7-b60ad676ee50	CHILLER
ab735fb5-0dd8-4fde-8308-c64f38d2aead	d58733ea-10d9-4bd9-a5aa-671395d3cd7f	AIR_COOLED_CHILLER
ab735fb5-0dd8-4fde-8308-c64f38d2aead	3956d59c-2640-4a86-9f88-1cd8993e7763	COOLING_TOWER
ab735fb5-0dd8-4fde-8308-c64f38d2aead	928e06eb-9c38-4066-8795-c57816a5c328	DRY_COOLER
ab735fb5-0dd8-4fde-8308-c64f38d2aead	1c33b6cd-5b9d-4c5d-95cb-71fc802886e9	REMOTE_CONDENSER
ab735fb5-0dd8-4fde-8308-c64f38d2aead	0db4e1a4-f481-44e3-aad0-04cbd708c41c	CHILLED_WATER_PUMPS
ab735fb5-0dd8-4fde-8308-c64f38d2aead	59a51441-39fa-4e6b-bca3-e9736b48edd0	HEAT_REJECTION_PUMPS
ab735fb5-0dd8-4fde-8308-c64f38d2aead	a6bce749-35cc-4fc0-b294-de465c5dff22	VENTILATION
ab735fb5-0dd8-4fde-8308-c64f38d2aead	2896f4bc-fc9c-4fca-a709-e92a4d7dc13d	INFILTRATION
ab735fb5-0dd8-4fde-8308-c64f38d2aead	572b244c-080e-4534-8d45-58b83505e5fc	IT_LOAD
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	fc0b90f9-758d-4a29-a3ab-a0c86bfaecb8	SWITCHGEAR
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	eec083c1-33f4-4a86-8cee-bdf5a8acdbc8	GENERATOR
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	c00365e4-c985-4de5-9f47-e0b7e0f68657	PRIMARY_AUXILIARIES
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	ffcbb64d-5b69-4d1f-8036-81b982505184	UPS
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	d18158e1-2e34-4362-b952-8a5706f172e7	CRITICAL_AUXILIARIES
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	d41d3934-75ab-459a-84a8-b9d118bdc9f8	LIGHTING
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	95b4765f-5000-48bf-8c7c-4c2fac637623	CRITICAL_POWER_DISTRIBUTION
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	71409266-27c3-4fc6-9ef9-0a527dd6bc6a	CRAH
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	beec8efd-cc65-4a4e-9baf-8eeacc03eae4	CRAC
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	84bf66de-9adf-4356-a6c4-d876e67aa635	CRAC_WITHOUT_FAN
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	3b7e9ad5-b53f-48ba-b3f1-ae912a2cafc2	CRAC_FAN
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	776e73f7-782b-4430-b5aa-a8a57f3c26ec	CHILLER
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	535ffb76-828a-4618-b738-27ef9df7756c	AIR_COOLED_CHILLER
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	227d1e74-77f7-4002-9709-a4ce7a56ee72	COOLING_TOWER
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	156cfb43-6f93-4ed5-85d1-4411bbbafaec	DRY_COOLER
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	8186ef4d-f17b-4345-a605-eb45fde3d059	REMOTE_CONDENSER
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	9a1412e6-936a-44f9-accb-abb051740054	CHILLED_WATER_PUMPS
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	42081ead-7d48-4be2-a08e-0fc01b86f885	HEAT_REJECTION_PUMPS
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	b95d4556-376b-40a5-ac5d-d615e1e51258	VENTILATION
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	e42f8574-f307-463d-8ac8-99565d6a21e6	INFILTRATION
2b4c108f-97a4-4dc4-a787-6579ec2cbc57	fcb88697-8cf6-4e0e-8912-27cbbc7a268a	IT_LOAD
213d5dae-8860-4f4d-b97f-181084f884ed	361aab51-7619-4032-b260-7ad50ced5fe7	SWITCHGEAR
213d5dae-8860-4f4d-b97f-181084f884ed	2b516eb2-3e9d-489d-8133-c8076142f579	GENERATOR
213d5dae-8860-4f4d-b97f-181084f884ed	9af7fd9f-68e7-47d5-853a-d12b64ded24a	PRIMARY_AUXILIARIES
213d5dae-8860-4f4d-b97f-181084f884ed	9f880e51-fad4-462d-a0cc-a8aedc573e58	UPS
213d5dae-8860-4f4d-b97f-181084f884ed	324f8620-1f5b-479c-88a0-b37e5f315ddd	CRITICAL_AUXILIARIES
213d5dae-8860-4f4d-b97f-181084f884ed	1fabb52b-91f2-4abb-9016-8e0732db347a	LIGHTING
213d5dae-8860-4f4d-b97f-181084f884ed	c7169aef-e080-4ef0-9d60-ad9198ad5f4f	CRITICAL_POWER_DISTRIBUTION
213d5dae-8860-4f4d-b97f-181084f884ed	aad692f3-5666-4a26-8c39-8fbfbacc935a	CRAH
213d5dae-8860-4f4d-b97f-181084f884ed	d0f77085-dfea-476c-96ef-3ddab32a4f1f	CRAC
213d5dae-8860-4f4d-b97f-181084f884ed	b11cafec-135d-42f3-b72a-f373f6e262b5	CRAC_WITHOUT_FAN
213d5dae-8860-4f4d-b97f-181084f884ed	8ef4b977-455e-4d07-9650-b4f0fb186bfd	CRAC_FAN
213d5dae-8860-4f4d-b97f-181084f884ed	03956289-808e-4220-bdcb-d4b804c1afe5	CHILLER
213d5dae-8860-4f4d-b97f-181084f884ed	c712e374-4861-470f-9d80-06626a1dc1e9	AIR_COOLED_CHILLER
213d5dae-8860-4f4d-b97f-181084f884ed	7ccb7018-28ea-432c-9edd-b09e443d9be8	COOLING_TOWER
213d5dae-8860-4f4d-b97f-181084f884ed	b3871eb7-b07c-498e-859b-4bb440cf5ae0	DRY_COOLER
213d5dae-8860-4f4d-b97f-181084f884ed	eaacdd9b-1d0a-46df-bd8b-b8f83cdae73b	REMOTE_CONDENSER
213d5dae-8860-4f4d-b97f-181084f884ed	73b435ac-c5ec-48a1-902f-5de2fed8a645	CHILLED_WATER_PUMPS
213d5dae-8860-4f4d-b97f-181084f884ed	f191a7b1-8dbe-43a6-abf9-1b3e47eebbe8	HEAT_REJECTION_PUMPS
213d5dae-8860-4f4d-b97f-181084f884ed	22137903-fa44-4e69-9f5f-6aa5100d0218	VENTILATION
213d5dae-8860-4f4d-b97f-181084f884ed	4aca4dfd-b349-49da-bf5c-01ada2d6b284	INFILTRATION
213d5dae-8860-4f4d-b97f-181084f884ed	8a41ce73-183e-40f0-9b92-2ce934c1f886	IT_LOAD
a1de2791-ca76-4d71-8aeb-945876c232ae	dc6ad25a-543a-447a-8f8c-175dd5393351	SWITCHGEAR
a1de2791-ca76-4d71-8aeb-945876c232ae	81fea9bb-6173-4347-87d4-2652ec0855bf	GENERATOR
a1de2791-ca76-4d71-8aeb-945876c232ae	3ae04e9b-1ec0-4c0a-98ed-0def827e39a6	PRIMARY_AUXILIARIES
a1de2791-ca76-4d71-8aeb-945876c232ae	7031eed4-aabc-420e-aec2-365813f49017	UPS
a1de2791-ca76-4d71-8aeb-945876c232ae	6332cb94-a4ca-4dd6-8533-128780fc84c2	CRITICAL_AUXILIARIES
a1de2791-ca76-4d71-8aeb-945876c232ae	3b1332c8-9158-4edb-b101-1d82a0816118	LIGHTING
a1de2791-ca76-4d71-8aeb-945876c232ae	0b640fc2-6b6d-41a0-8f1e-e44d7b76771e	CRITICAL_POWER_DISTRIBUTION
a1de2791-ca76-4d71-8aeb-945876c232ae	daf4d319-8430-4179-8178-d486422bb40c	CRAH
a1de2791-ca76-4d71-8aeb-945876c232ae	47b94a97-b3ee-4521-9afe-489377c7fc23	CRAC
a1de2791-ca76-4d71-8aeb-945876c232ae	412235b4-1b20-4b35-8572-ad25e1563f84	CRAC_WITHOUT_FAN
a1de2791-ca76-4d71-8aeb-945876c232ae	989e818b-f705-466c-b3f8-ef081a070497	CRAC_FAN
a1de2791-ca76-4d71-8aeb-945876c232ae	e86f0fe3-9c15-4066-95b3-604f05e6784f	CHILLER
a1de2791-ca76-4d71-8aeb-945876c232ae	2b6e17c4-e509-4347-8a73-dfe1425a06c0	AIR_COOLED_CHILLER
a1de2791-ca76-4d71-8aeb-945876c232ae	0c942e77-0d93-425a-9bc2-40fbe930ca61	COOLING_TOWER
a1de2791-ca76-4d71-8aeb-945876c232ae	26ec6bee-60cd-4d05-a6f7-2e1ddc0aaaf6	DRY_COOLER
a1de2791-ca76-4d71-8aeb-945876c232ae	5ef16375-96aa-4f82-82ca-a0afda9cda31	REMOTE_CONDENSER
a1de2791-ca76-4d71-8aeb-945876c232ae	47afac50-ebef-4559-af67-7a880c931f4f	CHILLED_WATER_PUMPS
a1de2791-ca76-4d71-8aeb-945876c232ae	dac45129-0af2-49f3-9f8a-9f752ab421ff	HEAT_REJECTION_PUMPS
a1de2791-ca76-4d71-8aeb-945876c232ae	af8c23c6-39a7-48d2-a936-94edd001064e	VENTILATION
a1de2791-ca76-4d71-8aeb-945876c232ae	891ea5c6-b46a-4a64-bd26-6319cf4978f8	INFILTRATION
a1de2791-ca76-4d71-8aeb-945876c232ae	38271647-1036-43a2-971f-d66006de08c1	IT_LOAD
d566dc13-e32a-4173-93e4-963a6a06650a	5f619521-23b9-40f5-b986-5a5150fce58e	SWITCHGEAR
d566dc13-e32a-4173-93e4-963a6a06650a	9dc532b5-b7c5-4a88-9275-c2637a788b65	GENERATOR
d566dc13-e32a-4173-93e4-963a6a06650a	416e3801-6a5e-4e2e-8e03-d47c13b9c287	PRIMARY_AUXILIARIES
d566dc13-e32a-4173-93e4-963a6a06650a	6683ce1c-2a17-4c21-b180-8066f25c504f	UPS
d566dc13-e32a-4173-93e4-963a6a06650a	b0f4eec5-6d7a-43dc-ae9f-cf3eaa69772a	CRITICAL_AUXILIARIES
d566dc13-e32a-4173-93e4-963a6a06650a	f94a1157-32a8-4100-9cb5-baaaa60490fe	LIGHTING
d566dc13-e32a-4173-93e4-963a6a06650a	9044a3a0-1359-4c9a-98a5-ce077d61a258	CRITICAL_POWER_DISTRIBUTION
d566dc13-e32a-4173-93e4-963a6a06650a	fd8faac6-533a-4129-91ac-26e7e81368a4	CRAH
d566dc13-e32a-4173-93e4-963a6a06650a	1480d676-59d6-490c-8520-e74bdd50b11d	CRAC
d566dc13-e32a-4173-93e4-963a6a06650a	94bdd5d5-95d4-4e35-a3d5-f9ec47d6a666	CRAC_WITHOUT_FAN
d566dc13-e32a-4173-93e4-963a6a06650a	2e65a085-2cbd-4ff8-92e0-1646e4bd1de1	CRAC_FAN
d566dc13-e32a-4173-93e4-963a6a06650a	14f259f2-d833-45c4-ba30-24add7ea967d	CHILLER
d566dc13-e32a-4173-93e4-963a6a06650a	10685dd1-4e4c-4cd4-a129-4ab1ff512e80	AIR_COOLED_CHILLER
d566dc13-e32a-4173-93e4-963a6a06650a	e65807c0-e4ed-4ebd-a5aa-c5dfa184e1ff	COOLING_TOWER
d566dc13-e32a-4173-93e4-963a6a06650a	de85a308-5f0f-4bf5-bd33-60123454d220	DRY_COOLER
d566dc13-e32a-4173-93e4-963a6a06650a	9bf83fdd-f0c3-4278-992a-bc9a87a9ace8	REMOTE_CONDENSER
d566dc13-e32a-4173-93e4-963a6a06650a	27d3f723-01a1-4640-b70d-7823f575c29b	CHILLED_WATER_PUMPS
d566dc13-e32a-4173-93e4-963a6a06650a	47657d93-f7fc-4bc4-985a-3728938b9b8d	HEAT_REJECTION_PUMPS
d566dc13-e32a-4173-93e4-963a6a06650a	68c81b70-9f81-494e-9cad-0a0f03507929	VENTILATION
d566dc13-e32a-4173-93e4-963a6a06650a	2a4f0ce3-c9a9-4671-9704-77f3a726fb7f	INFILTRATION
d566dc13-e32a-4173-93e4-963a6a06650a	ab399172-1ce3-465d-8b91-3bfe72b045db	IT_LOAD
41417a56-db38-4eef-98ec-38dfad593c24	b7d2d083-9977-4685-abde-4a4078436808	SWITCHGEAR
41417a56-db38-4eef-98ec-38dfad593c24	465f11dd-513a-447e-a39d-2cac34abcf6d	GENERATOR
41417a56-db38-4eef-98ec-38dfad593c24	c5aaa955-4058-4f75-aa6b-5c0e548babb3	PRIMARY_AUXILIARIES
41417a56-db38-4eef-98ec-38dfad593c24	5c051bbe-2f3f-4728-85c4-fb3db4c435c5	UPS
41417a56-db38-4eef-98ec-38dfad593c24	d44248cb-4a16-4150-a2e2-55fc0d9ae959	CRITICAL_AUXILIARIES
41417a56-db38-4eef-98ec-38dfad593c24	96204f6a-214a-4e90-a554-d03a41402fce	LIGHTING
41417a56-db38-4eef-98ec-38dfad593c24	21935a38-8841-4228-8c89-ca369f68938d	CRITICAL_POWER_DISTRIBUTION
41417a56-db38-4eef-98ec-38dfad593c24	df33e2f0-1c4d-4d88-83fc-a4f549f33fd4	CRAH
41417a56-db38-4eef-98ec-38dfad593c24	b7867d2e-97b6-421a-8569-a56286d2c6a6	CRAC
41417a56-db38-4eef-98ec-38dfad593c24	ed302ca1-1e17-4cce-bd00-14535926faaa	CRAC_WITHOUT_FAN
41417a56-db38-4eef-98ec-38dfad593c24	28495ee8-7dc3-4597-9825-c1f704d98ddc	CRAC_FAN
41417a56-db38-4eef-98ec-38dfad593c24	7e047a52-5ac3-48d4-8ab1-a10b0c8229d8	CHILLER
41417a56-db38-4eef-98ec-38dfad593c24	037ba1a5-54e8-4292-8ae5-97ea3e1ce112	AIR_COOLED_CHILLER
41417a56-db38-4eef-98ec-38dfad593c24	6a5de323-8582-4e30-8b41-7535518dbf37	COOLING_TOWER
41417a56-db38-4eef-98ec-38dfad593c24	984e706a-5f30-4297-816b-65af84f054f2	DRY_COOLER
41417a56-db38-4eef-98ec-38dfad593c24	cebda1f8-284d-46b7-80d5-31eea82ec74d	REMOTE_CONDENSER
41417a56-db38-4eef-98ec-38dfad593c24	3b0cea53-d88b-4906-9ea4-f8cca0bf8d60	CHILLED_WATER_PUMPS
41417a56-db38-4eef-98ec-38dfad593c24	b4c61fa2-f3ea-44db-b3be-f74266b8ef9e	HEAT_REJECTION_PUMPS
41417a56-db38-4eef-98ec-38dfad593c24	ff3957be-3b2c-483c-a50c-95af33c5ffa1	VENTILATION
41417a56-db38-4eef-98ec-38dfad593c24	292a68b7-b8f5-4202-8b6e-f1c19158a8f5	INFILTRATION
41417a56-db38-4eef-98ec-38dfad593c24	277ebbd1-3c72-4105-9da3-f4673a36a838	IT_LOAD
612b8d66-bb27-476c-872a-e0a5c25a1c2e	22fe7f07-0c33-41e6-9b7c-fb3a2013008e	SWITCHGEAR
612b8d66-bb27-476c-872a-e0a5c25a1c2e	796a8e36-d98e-4112-b643-9a8b2622f3d4	GENERATOR
612b8d66-bb27-476c-872a-e0a5c25a1c2e	7c2778de-8b98-4ead-a972-2a85e4fc4332	PRIMARY_AUXILIARIES
612b8d66-bb27-476c-872a-e0a5c25a1c2e	64ef6bba-96d7-43de-bd9b-893b53373880	UPS
612b8d66-bb27-476c-872a-e0a5c25a1c2e	0e6e9072-21a1-4b1e-8601-ce044ae03b01	CRITICAL_AUXILIARIES
612b8d66-bb27-476c-872a-e0a5c25a1c2e	75802cae-a151-4fdf-9674-f864a0945f67	LIGHTING
612b8d66-bb27-476c-872a-e0a5c25a1c2e	45ff56ba-bcf7-4bbf-b85a-32a690f97c7e	CRITICAL_POWER_DISTRIBUTION
612b8d66-bb27-476c-872a-e0a5c25a1c2e	c591b947-1871-4154-8997-a75b137484df	CRAH
612b8d66-bb27-476c-872a-e0a5c25a1c2e	218fdfcd-0c90-4a25-aaa9-557d5e2dd59e	CRAC
612b8d66-bb27-476c-872a-e0a5c25a1c2e	f706ed32-3bc3-4f1f-b190-10b9882fa2ce	CRAC_WITHOUT_FAN
612b8d66-bb27-476c-872a-e0a5c25a1c2e	f9610f80-5a0c-4c9d-b66d-ceb90b879325	CRAC_FAN
612b8d66-bb27-476c-872a-e0a5c25a1c2e	4240052f-cf9e-455d-94e9-91d4c4b718d6	CHILLER
612b8d66-bb27-476c-872a-e0a5c25a1c2e	86a123fe-cdf6-496b-b58b-c2f7bfdc847b	AIR_COOLED_CHILLER
612b8d66-bb27-476c-872a-e0a5c25a1c2e	938f9036-fa81-438b-b4e6-652b8f3d5774	COOLING_TOWER
612b8d66-bb27-476c-872a-e0a5c25a1c2e	d655e69f-143a-491b-a577-57d08143bc92	DRY_COOLER
612b8d66-bb27-476c-872a-e0a5c25a1c2e	a1506062-5e12-42f0-9a8e-fb29658cf467	REMOTE_CONDENSER
612b8d66-bb27-476c-872a-e0a5c25a1c2e	bc45137f-f82f-46cc-9ff1-534bddf1f83e	CHILLED_WATER_PUMPS
612b8d66-bb27-476c-872a-e0a5c25a1c2e	89bbdb06-6d85-45df-a0da-7ac0aefed82b	HEAT_REJECTION_PUMPS
612b8d66-bb27-476c-872a-e0a5c25a1c2e	2b96423d-2e4d-4450-b3bc-6ff392ae12bd	VENTILATION
612b8d66-bb27-476c-872a-e0a5c25a1c2e	c4394759-134a-485a-95b7-53cdae773bff	INFILTRATION
612b8d66-bb27-476c-872a-e0a5c25a1c2e	0feeed5e-fa28-4080-9f17-aca972c72f2f	IT_LOAD
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	f9aa4715-dafc-4d5b-9e65-fa7af792249d	SWITCHGEAR
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	629d1454-4c48-46a5-b134-d51228330806	GENERATOR
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	6a9ec15f-6781-41c7-95b2-ed62d3039d10	PRIMARY_AUXILIARIES
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	0d5eddba-1841-45ed-83e9-b17cd4fdd235	UPS
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	839dc8c4-dca3-4e10-9d6a-2f694d2666be	CRITICAL_AUXILIARIES
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	32e958db-c9ca-4ef5-96bb-770a285fc633	LIGHTING
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	6e296410-a850-478c-8175-1371c6a38a57	CRITICAL_POWER_DISTRIBUTION
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	18daa418-f66d-4bcd-9a22-9ad292c91dce	CRAH
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	22a176e6-b132-4a23-b0f8-0dacefee57d7	CRAC
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	f01bb21e-33df-48bb-abea-abce9278d228	CRAC_WITHOUT_FAN
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	e323386f-3ecd-43fc-ad2e-b760f64c47f3	CRAC_FAN
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	6cb05820-43ad-46e2-9b57-df1e3a645942	CHILLER
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	ded3b80d-8d8a-4fa3-91e2-11a1ad256310	AIR_COOLED_CHILLER
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	19546123-3398-4591-a8e2-6903fa1a3df5	COOLING_TOWER
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	5d9f544d-d302-45b5-98b0-db2be4e18125	DRY_COOLER
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	03785205-18a0-40da-ad7b-fb84c1efc177	REMOTE_CONDENSER
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	c5ab0c82-a2e0-45c2-9973-f2cefdce27ef	CHILLED_WATER_PUMPS
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	d2c87405-6af6-434d-b81c-9ee7fb58eec6	HEAT_REJECTION_PUMPS
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	8231432f-4dbe-41b7-aa99-90f099a47d6c	VENTILATION
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	a81adfa7-7625-4e6e-8af7-dcbe40f5968d	INFILTRATION
167ab6dd-8ea3-4664-9b10-0e68d96af1d2	5a3c50c9-3396-45d8-bd4b-de4220fd8487	IT_LOAD
7f131958-a103-4556-86b9-a3a1080476cd	ed4eeec9-842a-4fa9-a5fa-df571abb63c7	SWITCHGEAR
7f131958-a103-4556-86b9-a3a1080476cd	bc264ee6-d91b-4849-9d87-c56dce9446f9	GENERATOR
7f131958-a103-4556-86b9-a3a1080476cd	813c018d-b3b6-4162-ab42-9359866d4b10	PRIMARY_AUXILIARIES
7f131958-a103-4556-86b9-a3a1080476cd	08d345db-813b-4bfb-8f91-1960663d1cac	UPS
7f131958-a103-4556-86b9-a3a1080476cd	8061df22-9c4b-4a2b-a59d-af5f63fe863f	CRITICAL_AUXILIARIES
7f131958-a103-4556-86b9-a3a1080476cd	2089cc82-7946-41f3-a2c7-f3019d076743	LIGHTING
7f131958-a103-4556-86b9-a3a1080476cd	2a4b8937-2b87-415b-bf36-573099ccfaff	CRITICAL_POWER_DISTRIBUTION
7f131958-a103-4556-86b9-a3a1080476cd	529539f7-24e7-4720-bd9f-d71123618281	CRAH
7f131958-a103-4556-86b9-a3a1080476cd	c1c31e54-7bdd-4df6-9da1-d763cc19695a	CRAC
7f131958-a103-4556-86b9-a3a1080476cd	93cd9e99-62a1-4de5-87e4-c41f69a98060	CRAC_WITHOUT_FAN
7f131958-a103-4556-86b9-a3a1080476cd	4c27357d-ed27-4250-b8ab-086981fcd743	CRAC_FAN
7f131958-a103-4556-86b9-a3a1080476cd	c4483ccc-a198-4982-8d26-6d76016f8a65	CHILLER
7f131958-a103-4556-86b9-a3a1080476cd	88106e5b-fb5c-46f4-adb6-7410a8235dce	AIR_COOLED_CHILLER
7f131958-a103-4556-86b9-a3a1080476cd	4e07464f-7c0e-45f2-8bc1-1d8fc309d210	COOLING_TOWER
7f131958-a103-4556-86b9-a3a1080476cd	7eace1ec-4743-4e33-a35a-c5218308583f	DRY_COOLER
7f131958-a103-4556-86b9-a3a1080476cd	f1a0b2b2-e187-4850-9bbf-1582416ba828	REMOTE_CONDENSER
7f131958-a103-4556-86b9-a3a1080476cd	fda48694-a35a-4320-879a-56176d9acd15	CHILLED_WATER_PUMPS
7f131958-a103-4556-86b9-a3a1080476cd	aa282ddb-03f0-4a58-af60-2a020856f4e3	HEAT_REJECTION_PUMPS
7f131958-a103-4556-86b9-a3a1080476cd	8472ab50-097f-479b-8879-6358de95fdfe	VENTILATION
7f131958-a103-4556-86b9-a3a1080476cd	8621d50c-6c26-4cb5-a8ec-2768dc1554ca	INFILTRATION
7f131958-a103-4556-86b9-a3a1080476cd	a11eb26d-9149-4a94-8264-e6aa37219f16	IT_LOAD
13e54aff-1f95-4b97-b795-c7846528c371	9b6f988a-d9bc-4c55-add3-fb3b4521a888	SWITCHGEAR
13e54aff-1f95-4b97-b795-c7846528c371	4b9c3260-054a-40cc-8992-9891551bec7a	GENERATOR
13e54aff-1f95-4b97-b795-c7846528c371	0f5cca78-7302-443e-bb2b-c01e3dabd76e	PRIMARY_AUXILIARIES
13e54aff-1f95-4b97-b795-c7846528c371	e06940ef-892b-490e-8e0f-b4ac3c1f5f71	UPS
13e54aff-1f95-4b97-b795-c7846528c371	21838b59-0a25-489f-9b9c-9ed936cd031c	CRITICAL_AUXILIARIES
13e54aff-1f95-4b97-b795-c7846528c371	13fd5494-fc54-432e-9a16-e3f93c133a78	LIGHTING
13e54aff-1f95-4b97-b795-c7846528c371	9cba33f4-d649-444d-b77b-bcde199ab3ff	CRITICAL_POWER_DISTRIBUTION
13e54aff-1f95-4b97-b795-c7846528c371	d1ca168a-302e-4ade-a0ef-0fd4b5b0f2af	CRAH
13e54aff-1f95-4b97-b795-c7846528c371	e2c1c658-d95a-4c28-84e5-190e0e5f7180	CRAC
13e54aff-1f95-4b97-b795-c7846528c371	9624d91a-2287-4965-8c86-7cb8a3347e9c	CRAC_WITHOUT_FAN
13e54aff-1f95-4b97-b795-c7846528c371	602265c2-53ff-4adf-b4dd-6eb8a92bfcba	CRAC_FAN
13e54aff-1f95-4b97-b795-c7846528c371	635422b6-a2d0-44e1-a3b1-00483bc4c654	CHILLER
13e54aff-1f95-4b97-b795-c7846528c371	bd417c2a-adea-4590-b97b-1d0a25eb726e	AIR_COOLED_CHILLER
13e54aff-1f95-4b97-b795-c7846528c371	17fbec48-f8d6-451d-9816-a70888411046	COOLING_TOWER
13e54aff-1f95-4b97-b795-c7846528c371	72175792-ecb4-4190-aa2a-6ee1f3d6e2f7	DRY_COOLER
13e54aff-1f95-4b97-b795-c7846528c371	31102519-5549-4ca8-a784-7c78aafe1779	REMOTE_CONDENSER
13e54aff-1f95-4b97-b795-c7846528c371	6627051d-0921-4be7-b480-9e0f2dedb6a3	CHILLED_WATER_PUMPS
13e54aff-1f95-4b97-b795-c7846528c371	2aa750c7-f06d-40cd-bb49-15876268276f	HEAT_REJECTION_PUMPS
13e54aff-1f95-4b97-b795-c7846528c371	7ce0ce32-9494-47c8-9d31-a82b068aeacb	VENTILATION
13e54aff-1f95-4b97-b795-c7846528c371	cd05c970-1f97-4504-be32-d5f6256c4ede	INFILTRATION
13e54aff-1f95-4b97-b795-c7846528c371	f818aece-ead5-44d1-912c-370a5f21c50c	IT_LOAD
e943b65f-de33-42eb-a940-27508a49cac9	28275c3b-bd5a-4c24-9a90-0bd3df33a2e0	SWITCHGEAR
e943b65f-de33-42eb-a940-27508a49cac9	eb5fe4a8-1218-4507-be2c-f309570e9ad0	GENERATOR
e943b65f-de33-42eb-a940-27508a49cac9	eb0b611e-0103-4dd6-be81-66f7967cc5b2	PRIMARY_AUXILIARIES
e943b65f-de33-42eb-a940-27508a49cac9	1670f09b-b7fe-4996-8e03-b80283569e7f	UPS
e943b65f-de33-42eb-a940-27508a49cac9	fd88f091-0e70-4fbb-b43a-e86954207fd2	CRITICAL_AUXILIARIES
e943b65f-de33-42eb-a940-27508a49cac9	d080a035-4d14-4626-a730-c39a487088a5	LIGHTING
e943b65f-de33-42eb-a940-27508a49cac9	6965bfb4-092f-4cc4-88f5-17232c5a7562	CRITICAL_POWER_DISTRIBUTION
e943b65f-de33-42eb-a940-27508a49cac9	45887566-7e52-43ff-bc88-12c660da532f	CRAH
e943b65f-de33-42eb-a940-27508a49cac9	88c227ff-ecfe-4bf4-83fa-d3207dff103c	CRAC
e943b65f-de33-42eb-a940-27508a49cac9	10c69b64-3456-4313-a393-7fdea94f3be4	CRAC_WITHOUT_FAN
e943b65f-de33-42eb-a940-27508a49cac9	071fece0-740a-4d23-8631-529ffb412394	CRAC_FAN
e943b65f-de33-42eb-a940-27508a49cac9	1c682e28-303c-4783-a6da-3bdff5a69088	CHILLER
e943b65f-de33-42eb-a940-27508a49cac9	403c005e-67f5-45d2-b87e-8aed443d9a22	AIR_COOLED_CHILLER
e943b65f-de33-42eb-a940-27508a49cac9	cd9522f8-dcfc-4619-9c33-965c3079ec22	COOLING_TOWER
e943b65f-de33-42eb-a940-27508a49cac9	bff5c6e6-7deb-47e3-a3cc-f6b56552a6a5	DRY_COOLER
e943b65f-de33-42eb-a940-27508a49cac9	dafea321-b3fe-4056-aa76-c8e9219c2b95	REMOTE_CONDENSER
e943b65f-de33-42eb-a940-27508a49cac9	a1a56b2c-1f0a-4c30-aaca-e04674b5a6c2	CHILLED_WATER_PUMPS
e943b65f-de33-42eb-a940-27508a49cac9	fa7cbaf8-2774-44ef-a8f7-9e4c3f65dbe3	HEAT_REJECTION_PUMPS
e943b65f-de33-42eb-a940-27508a49cac9	d703f933-7607-4ce2-bf06-56815eb833cb	VENTILATION
e943b65f-de33-42eb-a940-27508a49cac9	14b39d98-4ed6-4a2d-8d7d-4a4d75e9321a	INFILTRATION
e943b65f-de33-42eb-a940-27508a49cac9	8f0458b8-ec45-4284-8a55-2b7ee0074d05	IT_LOAD
89f0f3b4-35cc-401f-9b18-8c60f5db1931	1d6aaabd-2327-4847-967e-a93996147d68	SWITCHGEAR
89f0f3b4-35cc-401f-9b18-8c60f5db1931	92d29b01-32b4-4285-8cbf-c4b8c5a052cd	GENERATOR
89f0f3b4-35cc-401f-9b18-8c60f5db1931	654570c6-e1af-41a4-96bd-4c00d9f38c3b	PRIMARY_AUXILIARIES
89f0f3b4-35cc-401f-9b18-8c60f5db1931	e1edb3db-2616-4a64-b157-dc3404566685	UPS
89f0f3b4-35cc-401f-9b18-8c60f5db1931	e15935e0-adc0-4abd-9ef3-3b84df38e425	CRITICAL_AUXILIARIES
89f0f3b4-35cc-401f-9b18-8c60f5db1931	0d4f760f-4f42-455d-8c38-c5e102412a3d	LIGHTING
89f0f3b4-35cc-401f-9b18-8c60f5db1931	20169b6f-f1e7-4167-bd4f-6b0255ebb290	CRITICAL_POWER_DISTRIBUTION
89f0f3b4-35cc-401f-9b18-8c60f5db1931	3053b8be-4274-4144-ad1c-9e13126c78ef	CRAH
89f0f3b4-35cc-401f-9b18-8c60f5db1931	9f3a216c-7279-466e-a6e5-37c3ef80cdf3	CRAC
89f0f3b4-35cc-401f-9b18-8c60f5db1931	8b35782e-f822-47c9-82f2-07626477b162	CRAC_WITHOUT_FAN
89f0f3b4-35cc-401f-9b18-8c60f5db1931	af72ae9a-5a72-48cf-86c5-e056a79102ce	CRAC_FAN
89f0f3b4-35cc-401f-9b18-8c60f5db1931	ec8c398d-2aaf-44e2-afae-607861ed63d8	CHILLER
89f0f3b4-35cc-401f-9b18-8c60f5db1931	10e21135-8b61-4814-8a2c-3d3202cafe3d	AIR_COOLED_CHILLER
89f0f3b4-35cc-401f-9b18-8c60f5db1931	f73e3a1a-1966-4a6f-bed7-d23ce847734d	COOLING_TOWER
89f0f3b4-35cc-401f-9b18-8c60f5db1931	d977c747-f683-45e0-aae3-86d0c5c8b02c	DRY_COOLER
89f0f3b4-35cc-401f-9b18-8c60f5db1931	aa9d055a-8ce0-4234-9aa2-44aa9d872f0e	REMOTE_CONDENSER
89f0f3b4-35cc-401f-9b18-8c60f5db1931	7e199863-e07d-4c11-8f17-c2a61ae25b55	CHILLED_WATER_PUMPS
89f0f3b4-35cc-401f-9b18-8c60f5db1931	8a134a99-cac3-4958-8343-54770532db94	HEAT_REJECTION_PUMPS
89f0f3b4-35cc-401f-9b18-8c60f5db1931	751d15ec-95ef-4a70-84da-47d259174907	VENTILATION
89f0f3b4-35cc-401f-9b18-8c60f5db1931	bf35dd15-4586-4902-82bd-7307db1bd3c4	INFILTRATION
89f0f3b4-35cc-401f-9b18-8c60f5db1931	ebd9e2ba-c031-441b-bba8-25ffecfd1c3c	IT_LOAD
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	81f453d9-df7e-4241-956d-7b501cf24894	SWITCHGEAR
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	d84fb187-a925-4a9d-b83e-38a5793fcc2d	GENERATOR
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	c1699c45-5e9c-4287-9b98-dfb7ea5bfce1	PRIMARY_AUXILIARIES
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	296e23c9-56ff-4561-b906-2717928ea192	UPS
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	4fdbb7b9-e966-49c9-a104-a2cc475d042e	CRITICAL_AUXILIARIES
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	951a2c7c-ca8c-40c2-89b1-c9eb826294cb	LIGHTING
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	2dd5da9d-1cc0-43f9-9f85-a5c3e92d9813	CRITICAL_POWER_DISTRIBUTION
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	862a0aea-685d-4ada-bd50-83c718f78a7b	CRAH
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	387cc33f-ab5e-40d1-9c4d-3d875ca16a5b	CRAC
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	6f91dd9c-7182-4ddf-b6ee-b6da5c8c4d18	CRAC_WITHOUT_FAN
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	6bc4b2c2-53d4-477b-98b8-daa2c18a7b13	CRAC_FAN
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	2666298a-245b-4ea4-9741-b2e49a9ff846	CHILLER
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	dc24b12e-1082-460f-942e-da456a0e84b3	AIR_COOLED_CHILLER
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	42deeb05-3050-4675-8fe0-08c75744ad15	COOLING_TOWER
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	0b7bba35-2912-47a3-b72e-6923099c6fef	DRY_COOLER
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	5e1f826f-c870-416d-a468-abb833f0d7db	REMOTE_CONDENSER
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	6e782cad-7be5-4dc8-a9d5-62b3bedd0466	CHILLED_WATER_PUMPS
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	434d01a3-ba5a-4849-953b-ea778c59d5f0	HEAT_REJECTION_PUMPS
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	01ef0ad0-b78a-475b-bcb4-3386bb710fea	VENTILATION
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	c235fdfb-278d-44ce-840c-8b38c1eb7a84	INFILTRATION
adfc6976-5eef-4caf-b2c9-6d041b9c9c94	af2417c8-75bc-42f4-a4c8-c2f99735d3d6	IT_LOAD
fd4f4e55-6084-4199-bb92-9129ed0a499f	e7c2e247-48df-414f-80d7-85bc779fa83e	SWITCHGEAR
fd4f4e55-6084-4199-bb92-9129ed0a499f	92ce69c6-ce87-4934-9a4b-86962c2c5898	GENERATOR
fd4f4e55-6084-4199-bb92-9129ed0a499f	0000b21f-d920-40f5-b24d-e03b0958e60c	PRIMARY_AUXILIARIES
fd4f4e55-6084-4199-bb92-9129ed0a499f	bbfd145c-8ac3-43ce-940d-dc30a7dc879c	UPS
fd4f4e55-6084-4199-bb92-9129ed0a499f	a241bec1-6c0a-484f-9205-955bbd1b8eb9	CRITICAL_AUXILIARIES
fd4f4e55-6084-4199-bb92-9129ed0a499f	35d87df5-4821-4157-b94f-c2a0840fb90d	LIGHTING
fd4f4e55-6084-4199-bb92-9129ed0a499f	aead237e-1f51-41b9-92c0-76e4cad55b8a	CRITICAL_POWER_DISTRIBUTION
fd4f4e55-6084-4199-bb92-9129ed0a499f	9c655c40-5304-4a68-b41a-326f3e702193	CRAH
fd4f4e55-6084-4199-bb92-9129ed0a499f	db9f8509-b1c2-4181-a56b-fb530b8c638a	CRAC
fd4f4e55-6084-4199-bb92-9129ed0a499f	be0760bb-e7a9-4573-abea-2d513d46cbd2	CRAC_WITHOUT_FAN
fd4f4e55-6084-4199-bb92-9129ed0a499f	dfb9ae37-0a52-4ecf-8542-37ed41c4f656	CRAC_FAN
fd4f4e55-6084-4199-bb92-9129ed0a499f	56869870-4541-4fe7-9ad2-d94a82981f06	CHILLER
fd4f4e55-6084-4199-bb92-9129ed0a499f	6d98ca53-7c03-4bb5-9ce0-90146f93a95a	AIR_COOLED_CHILLER
fd4f4e55-6084-4199-bb92-9129ed0a499f	86c12069-76ec-4785-a45b-242da6fd153c	COOLING_TOWER
fd4f4e55-6084-4199-bb92-9129ed0a499f	cd050085-8bf6-4e88-be5e-68f3b6f00957	DRY_COOLER
fd4f4e55-6084-4199-bb92-9129ed0a499f	3c86846b-9697-4b45-a64d-02fbee5bc52d	REMOTE_CONDENSER
fd4f4e55-6084-4199-bb92-9129ed0a499f	d3e3383e-4a41-49f1-ad98-af77d1d0b2e2	CHILLED_WATER_PUMPS
fd4f4e55-6084-4199-bb92-9129ed0a499f	fa45c32d-63cd-4e91-bc6a-756f46c73e0c	HEAT_REJECTION_PUMPS
fd4f4e55-6084-4199-bb92-9129ed0a499f	604743e8-a68b-4d6b-8d51-5346d44d0bf6	VENTILATION
fd4f4e55-6084-4199-bb92-9129ed0a499f	ea70c9cd-6c7b-4941-b0e0-f363250eab34	INFILTRATION
fd4f4e55-6084-4199-bb92-9129ed0a499f	f9772db7-e59c-43ec-a1c8-5a2c2e61be15	IT_LOAD
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	a892d2c1-f3d5-4c1d-ac7a-c41a4b42e31d	SWITCHGEAR
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	6bbe3b88-d963-429c-bb9d-3ef15d5e136d	GENERATOR
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	53f47044-dbfe-4986-93b9-5a92cb87a911	PRIMARY_AUXILIARIES
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	f6f63b42-02ba-449d-8cb8-a0bff230fa83	UPS
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	af4733d7-8f00-440f-b632-e61d3ef913f6	CRITICAL_AUXILIARIES
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	0d46ec3f-6fd2-46ad-a5b4-3ecc6c37d078	LIGHTING
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	bb956abf-d528-4022-9ec6-d14fe7a394d9	CRITICAL_POWER_DISTRIBUTION
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	a5bca958-0d5b-4869-90b3-0d34a122318b	CRAH
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	0bf163d3-8ce5-412b-a133-cfdf425b7bdd	CRAC
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	e2960f4c-16d6-4075-b104-66deca68712c	CRAC_WITHOUT_FAN
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	7390e487-ae8a-4b84-82a0-7e995a6d8ca1	CRAC_FAN
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	d053d7cd-6fe9-4918-92a0-3b6a1835eb88	CHILLER
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	ba1ce7c5-a1a5-456f-a403-4d42b17b97ae	AIR_COOLED_CHILLER
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	929b855b-9785-47be-9d74-2bb5a6a8eb21	COOLING_TOWER
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	d6048c39-734a-4248-aa46-29457da0240d	DRY_COOLER
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	fb9c46c4-2b0e-482e-9b58-d56495b52a96	REMOTE_CONDENSER
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	1b0df1e1-ba9b-47b6-9fc5-6b2a46f6bd5f	CHILLED_WATER_PUMPS
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	1836eb4c-1814-4d48-a8a5-55abfd3a87bb	HEAT_REJECTION_PUMPS
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	e652f5be-8318-4eb4-8345-50f70c4dd35a	VENTILATION
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	4bf3d0dd-78ed-4546-af54-6bdd61a1b19e	INFILTRATION
f87ca847-4412-44a8-b6f7-b4a7b8fb0ac9	ba8ece33-9c41-4819-a643-d3f5457d0a2b	IT_LOAD
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	9f458978-9875-440e-9d03-5619b3c69033	SWITCHGEAR
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	d8766523-59e2-464e-aa4e-849f45f2c77e	GENERATOR
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	615037af-f51b-4ba8-9b57-d2c2d524209a	PRIMARY_AUXILIARIES
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	d3dfed2d-0dde-494d-a1d0-e41ccdbceb8c	UPS
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	46353b2d-bd5a-426d-9774-fc594fe307db	CRITICAL_AUXILIARIES
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	82b2a388-8139-4b03-ae6c-e9f2aecf421a	LIGHTING
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	86ec1b20-679e-430a-b544-2c38ea3997dc	CRITICAL_POWER_DISTRIBUTION
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	35fb0821-b37c-42af-a72c-432695fbdbbe	CRAH
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	24d191c2-b21f-422b-b8ed-170783d24583	CRAC
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	5853b794-4e97-4046-bc4b-745e12614cdf	CRAC_WITHOUT_FAN
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	aa59aad3-9432-4751-94f9-71f3deb50d6d	CRAC_FAN
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	a6324d93-40fc-4af4-bb31-cbad75708de3	CHILLER
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	b4ea8486-7ba1-4a29-9e83-7438d243038a	AIR_COOLED_CHILLER
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	27b528ca-0668-4ead-b136-2a0dbab8f963	COOLING_TOWER
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	c467d19d-3417-43e7-bf61-5c3c7003d6dd	DRY_COOLER
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	20336d95-b559-405d-8ed6-70eefbc92ba3	REMOTE_CONDENSER
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	dad7ff6e-432b-4fac-a13f-b846bed24712	CHILLED_WATER_PUMPS
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	4dd6bc27-b9d6-4504-b827-4b9d9726fd71	HEAT_REJECTION_PUMPS
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	959434e1-8872-4f00-b928-9069f2d9b47e	VENTILATION
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	bb05287f-b76c-4877-bc80-48dfec3c7a32	INFILTRATION
aa4dca3d-0877-415d-a9f4-5ee6f59c26e1	afcd441e-a1a1-421e-b8c1-f7524de291ef	IT_LOAD
fcd63d7f-b06c-4335-9649-0bbc605f3ead	ec081d3d-c57e-4f46-a701-7ca4425d8857	SWITCHGEAR
fcd63d7f-b06c-4335-9649-0bbc605f3ead	fec3ca2e-88f7-43ab-89b3-7ef309011474	GENERATOR
fcd63d7f-b06c-4335-9649-0bbc605f3ead	65b820f5-bbdb-49ce-aa8d-6e16e772794f	PRIMARY_AUXILIARIES
fcd63d7f-b06c-4335-9649-0bbc605f3ead	0d033b64-7038-4f20-a529-1d6d0c9ba576	UPS
fcd63d7f-b06c-4335-9649-0bbc605f3ead	d16e5c3b-3785-4785-a36a-c8b4a2bdb882	CRITICAL_AUXILIARIES
fcd63d7f-b06c-4335-9649-0bbc605f3ead	9a543b4d-150f-4902-aec4-eb6af31d6aa2	LIGHTING
fcd63d7f-b06c-4335-9649-0bbc605f3ead	fcdd2e34-8172-432c-b821-a4c9bf3e7076	CRITICAL_POWER_DISTRIBUTION
fcd63d7f-b06c-4335-9649-0bbc605f3ead	cbd217c5-c339-445d-9775-51872075dc80	CRAH
fcd63d7f-b06c-4335-9649-0bbc605f3ead	0140de30-52e7-4010-a8b6-24345e9ea98f	CRAC
fcd63d7f-b06c-4335-9649-0bbc605f3ead	c693acf8-549f-4a6b-9486-ea4738413e00	CRAC_WITHOUT_FAN
fcd63d7f-b06c-4335-9649-0bbc605f3ead	463cc902-c197-4bea-a94c-5169da73d0fa	CRAC_FAN
fcd63d7f-b06c-4335-9649-0bbc605f3ead	eb50a98a-35a2-40d2-99c4-1c32e6c125b3	CHILLER
fcd63d7f-b06c-4335-9649-0bbc605f3ead	37923e2c-12d3-44e1-9cef-f7446676ca1d	AIR_COOLED_CHILLER
fcd63d7f-b06c-4335-9649-0bbc605f3ead	93b02ba1-ea46-418c-8b28-b52b109a9f97	COOLING_TOWER
fcd63d7f-b06c-4335-9649-0bbc605f3ead	69cd4a1c-4380-4c80-b8a8-f77db6a54d32	DRY_COOLER
fcd63d7f-b06c-4335-9649-0bbc605f3ead	0a89922b-532b-42f8-ab18-dc5f081f57b3	REMOTE_CONDENSER
fcd63d7f-b06c-4335-9649-0bbc605f3ead	bed62bff-26a3-4177-9bef-ce4600ce4e60	CHILLED_WATER_PUMPS
fcd63d7f-b06c-4335-9649-0bbc605f3ead	7d3567a7-1d4e-4c68-9f79-64a998c17fe7	HEAT_REJECTION_PUMPS
fcd63d7f-b06c-4335-9649-0bbc605f3ead	0f550d4c-8f81-4f02-aab5-35b6767d6edc	VENTILATION
fcd63d7f-b06c-4335-9649-0bbc605f3ead	0c060e46-79fc-4849-93ca-b50635ca1879	INFILTRATION
fcd63d7f-b06c-4335-9649-0bbc605f3ead	5e3dd74c-a461-493b-8cd3-3bf507e8e6d1	IT_LOAD
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	3e23244a-00e0-47e1-acf3-97dbce9c5e98	SWITCHGEAR
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	64c5daf2-de6f-47c9-8f28-376614d45556	GENERATOR
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	ff209ee5-9818-4ae2-82e6-056c86763ef2	PRIMARY_AUXILIARIES
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	b8d8a4f2-5223-456f-b953-c30fa6715a56	UPS
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	df0783fe-8700-4e2a-ac7c-bacddfb58f7b	CRITICAL_AUXILIARIES
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	93223b13-089e-4938-85df-4d984bbe1664	LIGHTING
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	796f6cd0-e362-48b8-886e-94ddde8aa86f	CRITICAL_POWER_DISTRIBUTION
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	968740cf-9755-433f-946b-0d12ba9b2ce2	CRAH
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	f3e441c8-e1b4-4dcf-82e8-65e077de5270	CRAC
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	123eea9c-f7de-4704-a3e4-c41434cb078f	CRAC_WITHOUT_FAN
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	ec439456-923c-4880-a77b-de82775a547c	CRAC_FAN
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	3650898e-e297-4016-ac47-e5cf52af6247	CHILLER
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	5499baf7-cc6f-4344-a601-3ee48dd84126	AIR_COOLED_CHILLER
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	391aa712-1730-41a2-983a-9fbbc72fc21d	COOLING_TOWER
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	42d1e4fd-3afc-4570-b32f-dcc3b60cf3c1	DRY_COOLER
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	ebe759b2-0f54-4b76-b1e6-3b6075347324	REMOTE_CONDENSER
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	8c282a99-d228-4304-b597-bb85dd0184c2	CHILLED_WATER_PUMPS
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	61f06cbe-11b2-43c4-8c1d-be8f012bd95a	HEAT_REJECTION_PUMPS
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	ee9c6418-17bb-4c35-ae4b-7bf740ca5379	VENTILATION
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	a2de6a4e-fbff-42f7-925a-ec5c67f6c2f2	INFILTRATION
6d6c3944-a22c-4a2e-b721-c86cbd6269b8	9a8c3b41-6165-4f28-9090-da373da8dd50	IT_LOAD
1303b704-55bd-41ab-acca-90bba9515a5a	1f7a4688-905d-4384-8c53-2538e7b43d76	SWITCHGEAR
1303b704-55bd-41ab-acca-90bba9515a5a	65940ee0-f1b6-4270-94e9-17d59140483f	GENERATOR
1303b704-55bd-41ab-acca-90bba9515a5a	675a0066-8ef3-4a16-8189-cebb62bae5fd	PRIMARY_AUXILIARIES
1303b704-55bd-41ab-acca-90bba9515a5a	c180889b-6bcb-4773-b364-b1585367deff	UPS
1303b704-55bd-41ab-acca-90bba9515a5a	4c91286a-352d-4949-9241-c6ce6faa3724	CRITICAL_AUXILIARIES
1303b704-55bd-41ab-acca-90bba9515a5a	decafff9-5f9d-42ca-80f9-67f7cf827302	LIGHTING
1303b704-55bd-41ab-acca-90bba9515a5a	ec508039-3bef-4625-9309-d9faf122e4ef	CRITICAL_POWER_DISTRIBUTION
1303b704-55bd-41ab-acca-90bba9515a5a	743a635e-5872-4b95-b92d-28b8c119d879	CRAH
1303b704-55bd-41ab-acca-90bba9515a5a	099a8d6f-09b8-4fcd-80a4-27745e034355	CRAC
1303b704-55bd-41ab-acca-90bba9515a5a	8cd3a52e-ce41-4e49-9009-baf425fb5dc6	CRAC_WITHOUT_FAN
1303b704-55bd-41ab-acca-90bba9515a5a	6dc1a9d6-9d79-488c-9f7d-57e94896af9b	CRAC_FAN
1303b704-55bd-41ab-acca-90bba9515a5a	980b6b51-0d97-44f5-a9c4-b7d9414c49e0	CHILLER
1303b704-55bd-41ab-acca-90bba9515a5a	d308e0d3-ef82-4ed4-9ae8-1811478af2ee	AIR_COOLED_CHILLER
1303b704-55bd-41ab-acca-90bba9515a5a	286209cd-c0b9-40be-9249-8b4232ac0f72	COOLING_TOWER
1303b704-55bd-41ab-acca-90bba9515a5a	f34e2df9-d4d2-434d-a127-47de353a38b7	DRY_COOLER
1303b704-55bd-41ab-acca-90bba9515a5a	071c1535-e2c2-47e8-abd5-b4b5ea8fa20e	REMOTE_CONDENSER
1303b704-55bd-41ab-acca-90bba9515a5a	fdd35fc2-ae29-4d20-8650-274fa91ef74b	CHILLED_WATER_PUMPS
1303b704-55bd-41ab-acca-90bba9515a5a	87fc486e-28b8-4c7e-8668-b67e8a9bd2f9	HEAT_REJECTION_PUMPS
1303b704-55bd-41ab-acca-90bba9515a5a	8a77c00c-afb2-434b-a670-91fc37bf78ef	VENTILATION
1303b704-55bd-41ab-acca-90bba9515a5a	b083e711-c285-4a33-888e-16effbda7ee8	INFILTRATION
1303b704-55bd-41ab-acca-90bba9515a5a	d4b27cdd-f205-419c-82da-26ce242f1197	IT_LOAD
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	338020e1-4c44-4180-b8c0-159aa575339b	SWITCHGEAR
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	047f980f-6ab4-48de-8a8b-bd15757ec805	GENERATOR
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	1d73cfb3-6d10-41ef-bd50-6ffb97d10b1d	PRIMARY_AUXILIARIES
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	dadb5360-9e6b-4bff-a2dd-d90863cdeb6a	UPS
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	bb748fd5-1b05-43b5-9ad7-fb0223cabb1f	CRITICAL_AUXILIARIES
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	7e74800b-ad5d-488d-a619-687c050512db	LIGHTING
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	ec3ee95c-f2c2-46f9-84f7-5c5fb5fffd1b	CRITICAL_POWER_DISTRIBUTION
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	98b68aa0-325c-498b-a22d-fdbde3a3e7dc	CRAH
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	6ec4df38-9592-4496-95d4-8ecae0283ac0	CRAC
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	ef424f2d-91e4-41f5-ae16-3d71f7fc90af	CRAC_WITHOUT_FAN
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	b4bb61ab-7ab5-453f-a0f2-53c616c4ace3	CRAC_FAN
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	373cc447-e799-4d8c-a14d-7870159d30d4	CHILLER
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	43370687-d67d-4fdc-8d71-62f1429233f2	AIR_COOLED_CHILLER
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	d04ec2cc-aabd-485d-9868-7da789b8f6bf	COOLING_TOWER
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	6d986359-fdf0-41e2-9c4f-d403ae0d6d9a	DRY_COOLER
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	f10e1925-1a4d-46a5-a56b-b2213c269319	REMOTE_CONDENSER
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	64a782d8-0e4e-4927-b754-3916b6d88287	CHILLED_WATER_PUMPS
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	bacd0d36-f30a-45d1-b607-dd0f9c41a1c6	HEAT_REJECTION_PUMPS
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	87cd9410-23fa-411b-8326-898f57dcd87b	VENTILATION
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	336aca93-99e1-4ec5-a29b-724b1099bb18	INFILTRATION
5c2c0ecb-9eb5-415e-91e9-ae1604d78cf2	9a876e2b-c4c8-47c6-9d66-8045f6c2eb4d	IT_LOAD
b7c0d677-6531-4092-881b-e98b899cda86	112ece75-0f6b-4fa3-8691-224ed1d05bf2	SWITCHGEAR
b7c0d677-6531-4092-881b-e98b899cda86	0d5c8db8-82f4-499d-b683-399739b179e2	GENERATOR
b7c0d677-6531-4092-881b-e98b899cda86	2e6f448c-0ceb-4bfd-b509-a528e17f0743	PRIMARY_AUXILIARIES
b7c0d677-6531-4092-881b-e98b899cda86	434f7fd6-1b1f-4c1d-a407-8f20c6692bea	UPS
b7c0d677-6531-4092-881b-e98b899cda86	22282087-7905-47b9-a31d-a7c5ca95019f	CRITICAL_AUXILIARIES
b7c0d677-6531-4092-881b-e98b899cda86	432ffe85-ea3b-4d21-acaf-62a108b0f542	LIGHTING
b7c0d677-6531-4092-881b-e98b899cda86	7d265173-4abd-4cff-bdb7-1faa411f5d85	CRITICAL_POWER_DISTRIBUTION
b7c0d677-6531-4092-881b-e98b899cda86	dac05871-b201-4458-be26-5938dd8004de	CRAH
b7c0d677-6531-4092-881b-e98b899cda86	8a0a9f91-d174-4415-b301-1ca81c715e78	CRAC
b7c0d677-6531-4092-881b-e98b899cda86	ab710f28-d97e-444e-abb7-06ed6bc58d47	CRAC_WITHOUT_FAN
b7c0d677-6531-4092-881b-e98b899cda86	6fc9d0ac-aba8-4de6-bd5b-067888e3fd79	CRAC_FAN
b7c0d677-6531-4092-881b-e98b899cda86	5edd7b66-0b40-4792-bd89-f67a75ec7c18	CHILLER
b7c0d677-6531-4092-881b-e98b899cda86	f68f9613-72a7-4f7d-84e8-5397349ddafa	AIR_COOLED_CHILLER
b7c0d677-6531-4092-881b-e98b899cda86	8fb9d935-c806-4c23-860c-e963cd980853	COOLING_TOWER
b7c0d677-6531-4092-881b-e98b899cda86	58c6dee8-84f8-4862-a88e-3143c4fe9a42	DRY_COOLER
b7c0d677-6531-4092-881b-e98b899cda86	87304bbd-5b6a-4898-8334-9350b2b2dbaa	REMOTE_CONDENSER
b7c0d677-6531-4092-881b-e98b899cda86	1d97ab50-124e-4306-889d-2d969e4733ec	CHILLED_WATER_PUMPS
b7c0d677-6531-4092-881b-e98b899cda86	abbb7baa-2db2-43c3-820c-58b4d5e272ca	HEAT_REJECTION_PUMPS
b7c0d677-6531-4092-881b-e98b899cda86	485f38ed-f3e1-48d1-a4e8-80ac17ea6426	VENTILATION
b7c0d677-6531-4092-881b-e98b899cda86	89314017-f261-4f58-a4c7-78154ed6055a	INFILTRATION
b7c0d677-6531-4092-881b-e98b899cda86	8f86df25-e809-4151-8781-7bc3b176e3dc	IT_LOAD
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	6b653628-48a4-439e-8725-44eed3c24486	SWITCHGEAR
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	47c7710a-68f4-442e-b3ea-b6c2247e9257	GENERATOR
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	320ce7a5-8ef3-477d-ae10-d77e3a18ff9c	PRIMARY_AUXILIARIES
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	c941fc2f-3d0a-4c6d-b2bc-c1c999b75529	UPS
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	7fdcc114-d0e9-4667-b574-98783f110896	CRITICAL_AUXILIARIES
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	429d6bb6-3836-4eb0-8119-a3f3594ceb39	LIGHTING
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	2a1a4545-c115-4ddd-b0e6-02a933e79eb3	CRITICAL_POWER_DISTRIBUTION
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	b69a178c-597a-4b27-802b-55a53c6e51d0	CRAH
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	eaf98ee5-b2e6-4c21-9baf-6c4132cebcd6	CRAC
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	a253d2a8-5fa3-4d60-8d04-3b87685e51bd	CRAC_WITHOUT_FAN
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	b81d363e-9a53-438d-a76c-4178c9de6389	CRAC_FAN
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	12e7e2ad-1ffe-45f3-9670-89e3209b713c	CHILLER
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	93990e26-51ec-4e5b-adbc-7e9d484690c9	AIR_COOLED_CHILLER
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	b2cd07b9-2b2f-4db8-bf9d-8b73e936118c	COOLING_TOWER
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	a7f47aa0-a9e3-47fd-89b5-fcf529c087ee	DRY_COOLER
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	7efd1277-af64-4994-89ea-b2857047e2e1	REMOTE_CONDENSER
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	57dfe604-fa58-4c3b-aed9-f41649a28c78	CHILLED_WATER_PUMPS
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	a0c46281-af0a-446b-b21b-14984ef1c1d5	HEAT_REJECTION_PUMPS
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	b89c6f2b-c0fc-443c-a2e5-56e0e1c2eef9	VENTILATION
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	4b0ef3e2-009d-4c7c-ae45-3c54360c0103	INFILTRATION
2d5ef48e-b16b-4fa3-b9fd-1e79df703363	6a8c4b1d-319f-45bc-9a54-a16629eae63f	IT_LOAD
3f5a884c-7d80-41d7-b4aa-2f718044fcce	b630b1bc-cbb7-4b8a-9f25-1dc19588afe2	SWITCHGEAR
3f5a884c-7d80-41d7-b4aa-2f718044fcce	3845cca1-53c0-4d1a-a777-30a0cf6a755a	GENERATOR
3f5a884c-7d80-41d7-b4aa-2f718044fcce	0e7f56e3-d705-4234-a017-7cf8f2f054ae	PRIMARY_AUXILIARIES
3f5a884c-7d80-41d7-b4aa-2f718044fcce	8240a5fd-e30b-44a5-b3e2-973509cdc1ea	UPS
3f5a884c-7d80-41d7-b4aa-2f718044fcce	2af7febc-5d31-49e3-a5c7-0a01a603cd31	CRITICAL_AUXILIARIES
3f5a884c-7d80-41d7-b4aa-2f718044fcce	998e2510-0061-4350-9a34-bba832ff2163	LIGHTING
3f5a884c-7d80-41d7-b4aa-2f718044fcce	bcb58959-69b5-483d-8b3e-db57c818a1b5	CRITICAL_POWER_DISTRIBUTION
3f5a884c-7d80-41d7-b4aa-2f718044fcce	ea9a152f-d9cc-4e27-8a5e-98ebb77d7432	CRAH
3f5a884c-7d80-41d7-b4aa-2f718044fcce	314bf057-fc93-4d33-ac8f-a0d010ace010	CRAC
3f5a884c-7d80-41d7-b4aa-2f718044fcce	409278ba-db92-4121-87af-7467c0bc2334	CRAC_WITHOUT_FAN
3f5a884c-7d80-41d7-b4aa-2f718044fcce	31d66042-bf1a-4d90-8503-e64fa1bde37d	CRAC_FAN
3f5a884c-7d80-41d7-b4aa-2f718044fcce	a94e700a-92f9-4207-ae4e-c5a56fc5f850	CHILLER
3f5a884c-7d80-41d7-b4aa-2f718044fcce	ab5630c7-5865-4eb5-8d5a-a2b3669e2ede	AIR_COOLED_CHILLER
3f5a884c-7d80-41d7-b4aa-2f718044fcce	6abcf77a-a7b0-4b92-81a0-db282ad0be51	COOLING_TOWER
3f5a884c-7d80-41d7-b4aa-2f718044fcce	d5c52f85-29cc-4e20-94a5-987aab6260c0	DRY_COOLER
3f5a884c-7d80-41d7-b4aa-2f718044fcce	b2ec36f5-b9bf-470e-aedc-e8aec1a07f7b	REMOTE_CONDENSER
3f5a884c-7d80-41d7-b4aa-2f718044fcce	b405a7a0-4f0f-46d6-ac42-2315dde5aad7	CHILLED_WATER_PUMPS
3f5a884c-7d80-41d7-b4aa-2f718044fcce	835723f3-4550-4c7d-b4b4-84a652300b12	HEAT_REJECTION_PUMPS
3f5a884c-7d80-41d7-b4aa-2f718044fcce	efbd38e9-cea1-45f0-b7d8-0a2b34a255d1	VENTILATION
3f5a884c-7d80-41d7-b4aa-2f718044fcce	329bcf46-7d8f-400f-9587-e264b28b8289	INFILTRATION
3f5a884c-7d80-41d7-b4aa-2f718044fcce	30b613fd-7b7d-4018-aaee-9c6a13702dc9	IT_LOAD
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	4d20412a-29a8-435d-97ba-ac9f01ebea4f	SWITCHGEAR
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	9db447dd-0d65-40ba-8dd1-d984b691278b	GENERATOR
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	6559f5f2-2ba9-4113-9f95-ea59dd0df4f9	PRIMARY_AUXILIARIES
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	f7adbd62-a808-41c3-8623-3ee96af0a4f2	UPS
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	cd5f88bb-32b0-436c-b511-c95f15d6d90c	CRITICAL_AUXILIARIES
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	9cb4aaae-a7b1-408b-8528-f48868aa23e7	LIGHTING
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	12972387-6a55-4aa1-b6e0-168e00766330	CRITICAL_POWER_DISTRIBUTION
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	429b3b71-a88b-4ac0-a5cb-1c001ef6e93c	CRAH
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	aa498b9f-e4e1-4c77-bc3d-f4d9f9118242	CRAC
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	089a1798-ae08-4390-9992-21cb4ee23f8f	CRAC_WITHOUT_FAN
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	636aa00b-4f7f-48e1-97c2-9a90cefe2fee	CRAC_FAN
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	5952a693-4046-4386-9b29-ec4d044614e0	CHILLER
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	1b134bff-95d0-4e14-873a-d506b8c88a67	AIR_COOLED_CHILLER
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	551c8251-c567-4844-9bed-dc75120ffc54	COOLING_TOWER
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	d36327af-c39d-40ab-a455-6fbdaaef2125	DRY_COOLER
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	ecc73fa4-7325-45a3-826b-14e7b8a6a535	REMOTE_CONDENSER
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	d6476373-6d1a-4132-9f3e-cb831254e98f	CHILLED_WATER_PUMPS
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	9a69dd61-4282-4584-9016-91c35f27b829	HEAT_REJECTION_PUMPS
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	a8f4b181-1c25-4ff7-8fe6-40a0e88201d2	VENTILATION
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	135a3b48-7a3e-4106-89dd-0747cf6fae58	INFILTRATION
3e7ee92e-ef0c-4cc7-b474-dfac0238560d	834e1934-4e6b-4bff-977e-27013cdc87ad	IT_LOAD
e73a4802-013e-4005-b3ee-075e60d8c3f6	b1b2f9d0-639a-469e-888b-212b368cc9b2	SWITCHGEAR
e73a4802-013e-4005-b3ee-075e60d8c3f6	8f6984af-cb89-4e4b-9a2e-161742de8c21	GENERATOR
e73a4802-013e-4005-b3ee-075e60d8c3f6	07302557-aa29-4995-aac5-4514191e4e00	PRIMARY_AUXILIARIES
e73a4802-013e-4005-b3ee-075e60d8c3f6	b444c708-e319-4d27-bdb1-efc4dae25a33	UPS
e73a4802-013e-4005-b3ee-075e60d8c3f6	0e90f19d-59ee-4b72-b528-06aa8fd8a6ed	CRITICAL_AUXILIARIES
e73a4802-013e-4005-b3ee-075e60d8c3f6	3f1901dc-298f-4f5c-bac9-6138845dbdce	LIGHTING
e73a4802-013e-4005-b3ee-075e60d8c3f6	6a7c362a-cfa1-4bc9-8fe1-2756977a4763	CRITICAL_POWER_DISTRIBUTION
e73a4802-013e-4005-b3ee-075e60d8c3f6	4ca5a4be-f5fe-436b-8768-484ddd6e8228	CRAH
e73a4802-013e-4005-b3ee-075e60d8c3f6	402b1b53-41f9-414c-a7aa-0bc078fd4848	CRAC
e73a4802-013e-4005-b3ee-075e60d8c3f6	ed64bd1a-30ea-4a72-a6d0-ca79e557b7d7	CRAC_WITHOUT_FAN
e73a4802-013e-4005-b3ee-075e60d8c3f6	e789be23-301c-4cd2-aed2-77e248445cac	CRAC_FAN
e73a4802-013e-4005-b3ee-075e60d8c3f6	8ddc1878-4f6c-4ea6-af9d-befc4a7c4b51	CHILLER
e73a4802-013e-4005-b3ee-075e60d8c3f6	2680f372-c929-49ad-9b50-8942df941a70	AIR_COOLED_CHILLER
e73a4802-013e-4005-b3ee-075e60d8c3f6	b1e65df9-6d43-4640-b782-a90da0946514	COOLING_TOWER
e73a4802-013e-4005-b3ee-075e60d8c3f6	e2922f3b-812d-4e2e-9da0-b0ce230dbbf7	DRY_COOLER
e73a4802-013e-4005-b3ee-075e60d8c3f6	fcf66ffa-1503-4845-953d-f6ab016fc588	REMOTE_CONDENSER
e73a4802-013e-4005-b3ee-075e60d8c3f6	c56dc555-78c9-4bff-a19c-b23fe5aaadf9	CHILLED_WATER_PUMPS
e73a4802-013e-4005-b3ee-075e60d8c3f6	c2640fe2-c130-437c-b060-30e56aaaf5df	HEAT_REJECTION_PUMPS
e73a4802-013e-4005-b3ee-075e60d8c3f6	72f08a7b-bbc3-466f-905e-bfa786f1bfd9	VENTILATION
e73a4802-013e-4005-b3ee-075e60d8c3f6	f93ba005-49c7-4031-9c62-2297d2d71996	INFILTRATION
e73a4802-013e-4005-b3ee-075e60d8c3f6	e4819ae7-9a57-4e6a-b32d-04b0d5006d0c	IT_LOAD
dc975b87-c4c7-42e4-af10-0add5aa5d004	f9fb7911-d79c-4278-9d63-e43ab10d4ac3	SWITCHGEAR
dc975b87-c4c7-42e4-af10-0add5aa5d004	ca8880ff-29e6-4d87-9690-e46a6b19ebcf	GENERATOR
dc975b87-c4c7-42e4-af10-0add5aa5d004	90e2ea5c-f48a-464a-8e2f-0e84e8af5a49	PRIMARY_AUXILIARIES
dc975b87-c4c7-42e4-af10-0add5aa5d004	6fadc60b-a597-49af-b51b-164e47b7c864	UPS
dc975b87-c4c7-42e4-af10-0add5aa5d004	83ae1fb3-395d-48dd-a2b9-2ac338b51350	CRITICAL_AUXILIARIES
dc975b87-c4c7-42e4-af10-0add5aa5d004	fd664f0b-2d70-4e5a-bb8a-dc24139853c0	LIGHTING
dc975b87-c4c7-42e4-af10-0add5aa5d004	26b72cfa-6230-427c-b258-a9870e747258	CRITICAL_POWER_DISTRIBUTION
dc975b87-c4c7-42e4-af10-0add5aa5d004	a8f370e6-54c2-4e34-9424-d2ab2b101f39	CRAH
dc975b87-c4c7-42e4-af10-0add5aa5d004	755c2b05-71ac-4630-8667-b1a0124ad431	CRAC
dc975b87-c4c7-42e4-af10-0add5aa5d004	e07df784-c8d6-4df2-9529-ed99d96d2c56	CRAC_WITHOUT_FAN
dc975b87-c4c7-42e4-af10-0add5aa5d004	7c759dda-d147-4cfc-9753-de64c317f352	CRAC_FAN
dc975b87-c4c7-42e4-af10-0add5aa5d004	f94b3efe-2e02-40c5-891f-e0a3a983956c	CHILLER
dc975b87-c4c7-42e4-af10-0add5aa5d004	1e33da64-bdf2-4515-af19-f0f5545dbc73	AIR_COOLED_CHILLER
dc975b87-c4c7-42e4-af10-0add5aa5d004	346f3c4c-d8c1-470b-9631-9bb741fb6b0a	COOLING_TOWER
dc975b87-c4c7-42e4-af10-0add5aa5d004	d9ef3b12-f82b-4063-a27c-6c595800f352	DRY_COOLER
dc975b87-c4c7-42e4-af10-0add5aa5d004	3435d738-8d25-4ae6-8270-76319b41ba09	REMOTE_CONDENSER
dc975b87-c4c7-42e4-af10-0add5aa5d004	2ce82f2f-8229-4732-9ff4-4689787521a5	CHILLED_WATER_PUMPS
dc975b87-c4c7-42e4-af10-0add5aa5d004	cc691255-348b-4078-b2c7-8808596baa19	HEAT_REJECTION_PUMPS
dc975b87-c4c7-42e4-af10-0add5aa5d004	7a3f5966-0143-46b5-a6cd-15f0775c8bbd	VENTILATION
dc975b87-c4c7-42e4-af10-0add5aa5d004	fd99b3b3-9713-4d92-b75c-184e270224ab	INFILTRATION
dc975b87-c4c7-42e4-af10-0add5aa5d004	b12c1821-8a49-4d7e-9c64-7990396d4818	IT_LOAD
d798092d-c548-40df-89e7-0afc0c0c197b	09ebe5f6-f2ad-463f-99c6-6f381eca9274	SWITCHGEAR
d798092d-c548-40df-89e7-0afc0c0c197b	900f5232-4f18-41b0-9072-7c74140779b8	GENERATOR
d798092d-c548-40df-89e7-0afc0c0c197b	2881e7df-71cc-41b6-9661-158a4ff0b182	PRIMARY_AUXILIARIES
d798092d-c548-40df-89e7-0afc0c0c197b	4b758e2d-9804-498b-ba90-a731dad5bc1f	UPS
d798092d-c548-40df-89e7-0afc0c0c197b	3491195a-5366-494c-bf52-9cf416da84ea	CRITICAL_AUXILIARIES
d798092d-c548-40df-89e7-0afc0c0c197b	cbf70812-d714-4c65-a460-450bb7b66472	LIGHTING
d798092d-c548-40df-89e7-0afc0c0c197b	6fafad51-da62-47e4-a45e-b2b844512707	CRITICAL_POWER_DISTRIBUTION
d798092d-c548-40df-89e7-0afc0c0c197b	442c82a5-a7ca-4b10-aa73-10bdd8bfd099	CRAH
d798092d-c548-40df-89e7-0afc0c0c197b	edebed43-b1a3-4971-874e-122a00b8f615	CRAC
d798092d-c548-40df-89e7-0afc0c0c197b	f1d3d9b7-4a23-485f-af7a-52f70f5b8555	CRAC_WITHOUT_FAN
d798092d-c548-40df-89e7-0afc0c0c197b	b403efd3-20fd-4229-8f10-3f5286ccc8c3	CRAC_FAN
d798092d-c548-40df-89e7-0afc0c0c197b	c21bd566-3a37-4771-bf47-14e9ccbca1c6	CHILLER
d798092d-c548-40df-89e7-0afc0c0c197b	8b0ce263-2b77-4f4e-b369-ae8f1133e20e	AIR_COOLED_CHILLER
d798092d-c548-40df-89e7-0afc0c0c197b	5632f26b-f4cd-4cf0-b444-f1ed518f18a1	COOLING_TOWER
d798092d-c548-40df-89e7-0afc0c0c197b	6a59b184-add8-4a21-9138-d958a1769084	DRY_COOLER
d798092d-c548-40df-89e7-0afc0c0c197b	47153849-6142-4c3b-b045-63f96485e591	REMOTE_CONDENSER
d798092d-c548-40df-89e7-0afc0c0c197b	def1e7b7-2b85-48a0-bc4c-e449434650c5	CHILLED_WATER_PUMPS
d798092d-c548-40df-89e7-0afc0c0c197b	73677d1a-4a63-4f5d-aeff-4f7bfbee822e	HEAT_REJECTION_PUMPS
d798092d-c548-40df-89e7-0afc0c0c197b	b2540708-a654-40ee-b746-edcba473519a	VENTILATION
d798092d-c548-40df-89e7-0afc0c0c197b	09f684af-f140-4ba1-a333-35aeb5c6a3db	INFILTRATION
d798092d-c548-40df-89e7-0afc0c0c197b	9b82c961-8261-419d-bbff-165ec51a104b	IT_LOAD
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	51318507-ea51-49a5-90da-45b7fdaa9746	SWITCHGEAR
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	1355ec86-723a-4ffd-aabb-76062bc48996	GENERATOR
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	d8992ee6-8d81-48ed-bc28-a29ca2d8009d	PRIMARY_AUXILIARIES
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	dc50fb9c-f68b-4630-bb6b-a06d0f5281b5	UPS
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	cd53dc53-44b8-469e-b680-e457d467d40e	CRITICAL_AUXILIARIES
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	30cec3fa-36fe-4010-83b5-f11f095dbefd	LIGHTING
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	62f98df5-aa6c-4007-8ef4-5c39d0016130	CRITICAL_POWER_DISTRIBUTION
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	280ed157-3522-4db4-9dcf-133d9fc91e1e	CRAH
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	1e076957-a73b-41d1-9dd5-6c7c1b8c0e5e	CRAC
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	dd0dbc09-3c19-4be5-bbf6-09d83aabf13a	CRAC_WITHOUT_FAN
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	1875f54f-a28e-4e42-b8de-292436ae0105	CRAC_FAN
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	bef4fd3c-0ab9-4a68-9a98-efcabbcf5f4b	CHILLER
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	339be92e-60e8-4190-91b6-55c174ae8c49	AIR_COOLED_CHILLER
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	fed60c64-26de-4385-9b2d-d3d9ce51eb1f	COOLING_TOWER
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	317c78e3-b194-4f35-92b9-ea559efedbdc	DRY_COOLER
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	c9487154-4f6b-4b52-9c5a-fc49757e3c62	REMOTE_CONDENSER
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	76037854-afec-4929-bd8b-913a205e980b	CHILLED_WATER_PUMPS
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	3c66d8a6-51b5-4d4f-bf4f-a2c3410fa59c	HEAT_REJECTION_PUMPS
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	2902e087-dfb3-420f-a305-5f4d4f7d95cc	VENTILATION
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	72482120-bf05-4a68-96e2-5135674b34a4	INFILTRATION
dbac44e9-8e21-4ff3-94d9-6cf47c05980f	ba1d92d5-803b-487f-a416-d13b3427c9a5	IT_LOAD
9ab91d11-35c6-4a30-b440-c495cea0c9d7	1a935202-ea2d-447a-b963-3c70cefaab61	SWITCHGEAR
9ab91d11-35c6-4a30-b440-c495cea0c9d7	2bbcd3b1-02f9-4a8c-9c9d-327bfb772c97	GENERATOR
9ab91d11-35c6-4a30-b440-c495cea0c9d7	bb956f44-598e-4f7f-b44b-ff79d2931653	PRIMARY_AUXILIARIES
9ab91d11-35c6-4a30-b440-c495cea0c9d7	367aad30-dcf1-4b87-9109-3f6480f43c2f	UPS
9ab91d11-35c6-4a30-b440-c495cea0c9d7	af20ca09-e58e-455d-8556-2aca2063c29f	CRITICAL_AUXILIARIES
9ab91d11-35c6-4a30-b440-c495cea0c9d7	c2a5fad4-05f9-4e04-b871-657fef8fe83e	LIGHTING
9ab91d11-35c6-4a30-b440-c495cea0c9d7	f862c94f-91f6-4354-bde0-21cacbe9c7a8	CRITICAL_POWER_DISTRIBUTION
9ab91d11-35c6-4a30-b440-c495cea0c9d7	a7df97e9-f83d-4518-bf1f-2aac360c48a6	CRAH
9ab91d11-35c6-4a30-b440-c495cea0c9d7	2d1403f0-0acc-4041-b8ad-ecba051ddc30	CRAC
9ab91d11-35c6-4a30-b440-c495cea0c9d7	2a9d1869-f18e-4620-8ac0-f996fc4d8ba7	CRAC_WITHOUT_FAN
9ab91d11-35c6-4a30-b440-c495cea0c9d7	d20a17b1-859c-4f19-89c4-6758987e3c00	CRAC_FAN
9ab91d11-35c6-4a30-b440-c495cea0c9d7	163747c7-d078-4514-a5db-86934cb55209	CHILLER
9ab91d11-35c6-4a30-b440-c495cea0c9d7	fafe6365-5884-4bf2-a3ce-dcb48b724585	AIR_COOLED_CHILLER
9ab91d11-35c6-4a30-b440-c495cea0c9d7	cd7e5f8b-8e29-43ee-963f-4906d81a4d3a	COOLING_TOWER
9ab91d11-35c6-4a30-b440-c495cea0c9d7	f326e572-2da4-458c-882c-aff3148a7693	DRY_COOLER
9ab91d11-35c6-4a30-b440-c495cea0c9d7	5b92d207-ed4b-4e67-b05d-f111db6d60d6	REMOTE_CONDENSER
9ab91d11-35c6-4a30-b440-c495cea0c9d7	dbb6f7d9-6c3e-42d6-9989-c9d63a2eaf8b	CHILLED_WATER_PUMPS
9ab91d11-35c6-4a30-b440-c495cea0c9d7	5c2348d6-3cdd-4acb-958a-35e84e8168dd	HEAT_REJECTION_PUMPS
9ab91d11-35c6-4a30-b440-c495cea0c9d7	0bf23720-cb46-4773-865f-1317dc42ef6b	VENTILATION
9ab91d11-35c6-4a30-b440-c495cea0c9d7	6d750e5b-be0a-452f-a9c6-465ed2aadcaa	INFILTRATION
9ab91d11-35c6-4a30-b440-c495cea0c9d7	0b57ec51-95d0-4a26-8fa7-71f8b109e6dd	IT_LOAD
81a13c86-59db-4ee4-9a7f-93941543bb79	2fba43dc-d82d-4298-afb6-7cff5f9589d0	SWITCHGEAR
81a13c86-59db-4ee4-9a7f-93941543bb79	ee1901a4-269c-4a2d-8b06-8e763cf11e62	GENERATOR
81a13c86-59db-4ee4-9a7f-93941543bb79	f0416477-fec6-4f52-bae3-8b12f8b14c2e	PRIMARY_AUXILIARIES
81a13c86-59db-4ee4-9a7f-93941543bb79	8c6122d8-6904-4c58-bc12-0498534964ab	UPS
81a13c86-59db-4ee4-9a7f-93941543bb79	f023b51b-dd86-410a-9f58-3c32f305ee11	CRITICAL_AUXILIARIES
81a13c86-59db-4ee4-9a7f-93941543bb79	d2a76183-cdd2-4ca2-9fee-df5935210ec4	LIGHTING
81a13c86-59db-4ee4-9a7f-93941543bb79	b3086eb0-85c6-4223-a11d-b994df6e390d	CRITICAL_POWER_DISTRIBUTION
81a13c86-59db-4ee4-9a7f-93941543bb79	ac924dc1-0fb2-4a69-9514-f439c5d8daf1	CRAH
81a13c86-59db-4ee4-9a7f-93941543bb79	3217289c-c1cb-45f5-b2ad-02cc1d137f42	CRAC
81a13c86-59db-4ee4-9a7f-93941543bb79	94579706-9f37-4a0a-ab08-2cfbad4d7235	CRAC_WITHOUT_FAN
81a13c86-59db-4ee4-9a7f-93941543bb79	0bd528e6-4cef-4d6c-a375-e72d70bf11d7	CRAC_FAN
81a13c86-59db-4ee4-9a7f-93941543bb79	bb3c0b91-b4f7-47f3-9a4d-90b428f03463	CHILLER
81a13c86-59db-4ee4-9a7f-93941543bb79	b61c54a0-ffd1-4c51-a5d9-5e7e41350a26	AIR_COOLED_CHILLER
81a13c86-59db-4ee4-9a7f-93941543bb79	12911093-a971-47b2-80c7-cd87d122b1b1	COOLING_TOWER
81a13c86-59db-4ee4-9a7f-93941543bb79	8b6f8c68-2ac5-4c0e-8894-aaa1668fa9ff	DRY_COOLER
81a13c86-59db-4ee4-9a7f-93941543bb79	9709b0d6-7643-4ce9-890a-2d7fabb45b15	REMOTE_CONDENSER
81a13c86-59db-4ee4-9a7f-93941543bb79	e1200eaa-310e-4a2b-8c02-799f1c30469f	CHILLED_WATER_PUMPS
81a13c86-59db-4ee4-9a7f-93941543bb79	e0cdff0b-83c1-4713-aac4-e042143ad780	HEAT_REJECTION_PUMPS
81a13c86-59db-4ee4-9a7f-93941543bb79	810f6acd-1795-45e5-b29d-94f5c76b540b	VENTILATION
81a13c86-59db-4ee4-9a7f-93941543bb79	a8180980-b6b5-44f4-910b-4eabe6683327	INFILTRATION
81a13c86-59db-4ee4-9a7f-93941543bb79	6972cd98-c895-42fa-acb0-63a41299999e	IT_LOAD
ed32deab-9caa-4c15-b295-d95ce74c5572	1dfb8cc7-fd9f-4ef8-938f-1e380af76c9d	SWITCHGEAR
ed32deab-9caa-4c15-b295-d95ce74c5572	e15f060a-e302-4267-90ed-26d52c990605	GENERATOR
ed32deab-9caa-4c15-b295-d95ce74c5572	c8720dd8-59b5-4fb7-9694-542305d4f43c	PRIMARY_AUXILIARIES
ed32deab-9caa-4c15-b295-d95ce74c5572	bb74d908-d1bd-4f15-ad4b-a0750b25b55b	UPS
ed32deab-9caa-4c15-b295-d95ce74c5572	a35ad2b3-2f87-4e6a-98a0-6c661664c522	CRITICAL_AUXILIARIES
ed32deab-9caa-4c15-b295-d95ce74c5572	f55d0830-b363-420b-9aa1-053977003f89	LIGHTING
ed32deab-9caa-4c15-b295-d95ce74c5572	ed2b05b3-3f24-4380-bafc-9563065ffc1b	CRITICAL_POWER_DISTRIBUTION
ed32deab-9caa-4c15-b295-d95ce74c5572	d17bca64-fa68-40f1-ab9b-e5651dc8179e	CRAH
ed32deab-9caa-4c15-b295-d95ce74c5572	8a8111c7-0f8c-47e8-a304-a0303003772a	CRAC
ed32deab-9caa-4c15-b295-d95ce74c5572	d594453a-879b-4977-8828-b8acd45eb5e6	CRAC_WITHOUT_FAN
ed32deab-9caa-4c15-b295-d95ce74c5572	c35e000d-462c-406b-a764-61dfd40c0422	CRAC_FAN
ed32deab-9caa-4c15-b295-d95ce74c5572	629406a9-2bd7-412b-8d47-d4c3f83b7728	CHILLER
ed32deab-9caa-4c15-b295-d95ce74c5572	7ec2100e-d230-43f5-a633-5d89851f453d	AIR_COOLED_CHILLER
ed32deab-9caa-4c15-b295-d95ce74c5572	9c9c360a-891f-4370-85a6-85b13930e4f2	COOLING_TOWER
ed32deab-9caa-4c15-b295-d95ce74c5572	efc39115-5773-4d3b-a6b6-a7bc2f856491	DRY_COOLER
ed32deab-9caa-4c15-b295-d95ce74c5572	941755b5-97de-46c9-b90c-a59673016c70	REMOTE_CONDENSER
ed32deab-9caa-4c15-b295-d95ce74c5572	4008edec-e510-4d69-a6e6-07dcabdaf63e	CHILLED_WATER_PUMPS
ed32deab-9caa-4c15-b295-d95ce74c5572	2833d560-a8f8-403b-9c5e-30f6350e2751	HEAT_REJECTION_PUMPS
ed32deab-9caa-4c15-b295-d95ce74c5572	82f3025b-d685-4a6b-af9d-844f157b06dc	VENTILATION
ed32deab-9caa-4c15-b295-d95ce74c5572	de3053a3-934e-407c-9da3-97a971592900	INFILTRATION
ed32deab-9caa-4c15-b295-d95ce74c5572	8db21e96-2ceb-43c2-8ef7-d84ab87ffeb3	IT_LOAD
da8c5c88-f594-4bd9-800e-018ee08c601d	bb34a77c-2011-4e76-b8bd-43ad5be4bdf0	SWITCHGEAR
da8c5c88-f594-4bd9-800e-018ee08c601d	80bf0522-2b4d-4bfb-96a6-07758742f697	GENERATOR
da8c5c88-f594-4bd9-800e-018ee08c601d	c5bd5070-3e0c-4e6f-a6b0-6a71ea7a139e	PRIMARY_AUXILIARIES
da8c5c88-f594-4bd9-800e-018ee08c601d	0dff6e58-0228-4842-a6cf-5e1a2304547d	UPS
da8c5c88-f594-4bd9-800e-018ee08c601d	6a451af8-e3fd-4a04-b74f-dc33c05d1acd	CRITICAL_AUXILIARIES
da8c5c88-f594-4bd9-800e-018ee08c601d	7b233d6b-5a2d-419f-b1d2-3b47e0f132ef	LIGHTING
da8c5c88-f594-4bd9-800e-018ee08c601d	ea969bea-1450-4572-aeb7-f57e32043cb5	CRITICAL_POWER_DISTRIBUTION
da8c5c88-f594-4bd9-800e-018ee08c601d	8de1a18c-8dca-45e2-89b6-4f48a861fa36	CRAH
da8c5c88-f594-4bd9-800e-018ee08c601d	51a4d73c-da25-4c70-b3a2-09b6c500d54a	CRAC
da8c5c88-f594-4bd9-800e-018ee08c601d	960e472e-df8e-4cf0-af74-17f11f90fcfb	CRAC_WITHOUT_FAN
da8c5c88-f594-4bd9-800e-018ee08c601d	e26c73c6-a622-43eb-9c7a-793a9c1987f8	CRAC_FAN
da8c5c88-f594-4bd9-800e-018ee08c601d	ff92c9f4-305a-4f7b-8b06-35e1f24787f9	CHILLER
da8c5c88-f594-4bd9-800e-018ee08c601d	092e5d6e-5cee-49c1-80a5-d402334c3347	AIR_COOLED_CHILLER
da8c5c88-f594-4bd9-800e-018ee08c601d	220f2135-446c-4f24-9707-5ccc53851dab	COOLING_TOWER
da8c5c88-f594-4bd9-800e-018ee08c601d	f8e92639-6217-47fd-8f01-4d4fcaacc926	DRY_COOLER
da8c5c88-f594-4bd9-800e-018ee08c601d	9b13dc97-88ed-43b9-a038-575e4a094b7c	REMOTE_CONDENSER
da8c5c88-f594-4bd9-800e-018ee08c601d	1d958889-3e70-4fde-a0fd-1aea367d1947	CHILLED_WATER_PUMPS
da8c5c88-f594-4bd9-800e-018ee08c601d	8dcd4ab2-9a58-4efc-bf0d-d997d7f3edbd	HEAT_REJECTION_PUMPS
da8c5c88-f594-4bd9-800e-018ee08c601d	62df5774-b694-49ef-8845-ae19878d4fc3	VENTILATION
da8c5c88-f594-4bd9-800e-018ee08c601d	80c27185-be3a-4d89-9b44-b341651b2f76	INFILTRATION
da8c5c88-f594-4bd9-800e-018ee08c601d	aba9762b-bafd-46dc-b8db-0a0e6c744be2	IT_LOAD
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	cbfbdd6d-8035-4115-9fbd-4d1774ae4fd7	SWITCHGEAR
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	59669bda-2497-4669-a673-1f2751b615bb	GENERATOR
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	7a5c207a-2b13-4dc2-acf8-a6ad0ded7489	PRIMARY_AUXILIARIES
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	2efe0c05-a557-40a4-9578-56bc9609cb9e	UPS
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	9a47c32e-7046-4299-83a1-2aa198ec9035	CRITICAL_AUXILIARIES
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	8c02b1fa-7c57-4966-ba48-5e9cd3f953ba	LIGHTING
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	3af0ab8c-7263-4d92-b648-219c5ed5ef2b	CRITICAL_POWER_DISTRIBUTION
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	53b0931c-967a-418b-a71a-8eee8e4d14b2	CRAH
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	f19e7e80-203f-4bef-bd97-46ed11d100da	CRAC
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	4bb6fbf9-3ec1-4af3-9a52-f74d66b9dac7	CRAC_WITHOUT_FAN
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	d50f6a0b-e9bb-4d6f-b385-3b771a410ba9	CRAC_FAN
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	fa65fd6f-1bda-4fe5-893b-98a4722e5e44	CHILLER
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	49b3492e-b66a-4d89-9e25-7bfb9dfede0f	AIR_COOLED_CHILLER
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	df215e1b-98a8-43c5-a35f-4f3e1fe79e4b	COOLING_TOWER
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	6eac8996-692a-4dd0-a08f-f7880bc35d88	DRY_COOLER
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	e22ebab4-6baf-46f9-8f4e-acc18177c3aa	REMOTE_CONDENSER
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	9de8cd30-f43e-4abc-9225-cfbff4d83032	CHILLED_WATER_PUMPS
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	2e3ae4cb-5ab0-44be-bea7-187b5631888c	HEAT_REJECTION_PUMPS
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	6694516e-0de4-44ad-a015-80bc0a0e5a02	VENTILATION
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	5f859085-9cc3-40f3-b0dd-fec009abf620	INFILTRATION
a33c0f0f-c58b-41ff-8c26-6af63a73e7a8	c15626f7-20f0-4454-a918-337ee7318056	IT_LOAD
1eebb67e-93fc-453b-b426-367eeaf89ca5	edb04bf3-3a30-47b7-bdab-7fb9515af9c2	SWITCHGEAR
1eebb67e-93fc-453b-b426-367eeaf89ca5	d63524ae-fe31-4fdf-90cd-4ecc0d854f06	GENERATOR
1eebb67e-93fc-453b-b426-367eeaf89ca5	ab2cde53-b4b5-493c-b627-4aa187378eb6	PRIMARY_AUXILIARIES
1eebb67e-93fc-453b-b426-367eeaf89ca5	f5744f82-1558-4871-9b97-5dc4b9803523	UPS
1eebb67e-93fc-453b-b426-367eeaf89ca5	3ae631bf-f725-4109-b6a8-bc203ba53bff	CRITICAL_AUXILIARIES
1eebb67e-93fc-453b-b426-367eeaf89ca5	af01a95e-ac96-4828-8e62-d9d74ba1dcfe	LIGHTING
1eebb67e-93fc-453b-b426-367eeaf89ca5	a648289d-2032-4f60-a1b4-33948f776982	CRITICAL_POWER_DISTRIBUTION
1eebb67e-93fc-453b-b426-367eeaf89ca5	a34e6f5f-413e-4e49-946e-bd43d980eca0	CRAH
1eebb67e-93fc-453b-b426-367eeaf89ca5	3161653b-18ec-49de-9300-a1bd0b73d3c1	CRAC
1eebb67e-93fc-453b-b426-367eeaf89ca5	ef499fb3-2dd3-48df-ba27-886033d4c028	CRAC_WITHOUT_FAN
1eebb67e-93fc-453b-b426-367eeaf89ca5	efd7f4af-a0b0-4c52-8ff9-fa7e26696e60	CRAC_FAN
1eebb67e-93fc-453b-b426-367eeaf89ca5	d2c3a2c7-50ff-46bb-a5bf-a2a4ffafd72b	CHILLER
1eebb67e-93fc-453b-b426-367eeaf89ca5	36ff75e6-2b01-4f6f-b3ed-cf1cc29a8efd	AIR_COOLED_CHILLER
1eebb67e-93fc-453b-b426-367eeaf89ca5	df0a76c7-a2d5-4ac6-b83a-031dc647f240	COOLING_TOWER
1eebb67e-93fc-453b-b426-367eeaf89ca5	e90f80ef-6024-473e-926a-5b0319329b16	DRY_COOLER
1eebb67e-93fc-453b-b426-367eeaf89ca5	5f3dc9a7-246e-4671-a158-01d065edd1be	REMOTE_CONDENSER
1eebb67e-93fc-453b-b426-367eeaf89ca5	7b1bc95e-ae46-41b3-b6e0-e299ce3de513	CHILLED_WATER_PUMPS
1eebb67e-93fc-453b-b426-367eeaf89ca5	587e8598-982d-4a2a-975d-b5be79084f5e	HEAT_REJECTION_PUMPS
1eebb67e-93fc-453b-b426-367eeaf89ca5	ed011af8-21e2-4df7-802a-69a2592ccdb2	VENTILATION
1eebb67e-93fc-453b-b426-367eeaf89ca5	0e135302-3960-4252-9bca-e9f7b01a1497	INFILTRATION
1eebb67e-93fc-453b-b426-367eeaf89ca5	6b4603f0-0c41-41fb-a559-9173cb7f6643	IT_LOAD
e799730d-578f-4159-990a-11e5effedeeb	e51ff5d4-6dbe-4144-b6a2-6a8ae1e92c8c	SWITCHGEAR
e799730d-578f-4159-990a-11e5effedeeb	75209607-11d9-47cf-8628-7df46daf6b92	GENERATOR
e799730d-578f-4159-990a-11e5effedeeb	6a17e599-d994-4ab6-b662-abdded1d3a69	PRIMARY_AUXILIARIES
e799730d-578f-4159-990a-11e5effedeeb	c74a84f9-81e9-487d-93aa-9448530a7ef3	UPS
e799730d-578f-4159-990a-11e5effedeeb	1c536c5f-9e4d-40cd-9835-931691b93157	CRITICAL_AUXILIARIES
e799730d-578f-4159-990a-11e5effedeeb	90785483-ad76-4b27-9e9f-36bdb7057883	LIGHTING
e799730d-578f-4159-990a-11e5effedeeb	78d6385c-9d73-4867-9e54-8367e4568a46	CRITICAL_POWER_DISTRIBUTION
e799730d-578f-4159-990a-11e5effedeeb	6ccf1f47-cd2e-498b-a194-843bcf0d5e02	CRAH
e799730d-578f-4159-990a-11e5effedeeb	b59dd4a3-b56a-4a13-94d9-ca1b35ddbfe4	CRAC
e799730d-578f-4159-990a-11e5effedeeb	61395850-df70-45c8-af78-0a431a038881	CRAC_WITHOUT_FAN
e799730d-578f-4159-990a-11e5effedeeb	edbac2e5-251f-4615-883b-c94b23cfbef2	CRAC_FAN
e799730d-578f-4159-990a-11e5effedeeb	db524f0b-78aa-47c2-85f1-461db4a8f0bd	CHILLER
e799730d-578f-4159-990a-11e5effedeeb	e4e88291-fb94-4345-a315-d0f6d7cef78f	AIR_COOLED_CHILLER
e799730d-578f-4159-990a-11e5effedeeb	7d9bb7c7-8ca8-455f-890e-a39f4e153e02	COOLING_TOWER
e799730d-578f-4159-990a-11e5effedeeb	178ee02e-ee68-442e-969f-2e43ad7c0d81	DRY_COOLER
e799730d-578f-4159-990a-11e5effedeeb	7dec0e10-d54e-4699-8934-782dc3eff2af	REMOTE_CONDENSER
e799730d-578f-4159-990a-11e5effedeeb	f4e62544-fcc5-4ead-b5d5-64ecca21ada2	CHILLED_WATER_PUMPS
e799730d-578f-4159-990a-11e5effedeeb	917811c1-5e23-4796-9a13-509dc1a9c0a9	HEAT_REJECTION_PUMPS
e799730d-578f-4159-990a-11e5effedeeb	b21b8665-3f8d-49ce-8469-df5c8553b0a5	VENTILATION
e799730d-578f-4159-990a-11e5effedeeb	7a144575-32b8-4ef1-859b-ef2d21dbf5cd	INFILTRATION
e799730d-578f-4159-990a-11e5effedeeb	19ddaaaf-fba3-4f4a-9700-f5491427c150	IT_LOAD
90fe82f9-c6b3-4483-bad5-3311dfa45d03	beeaafd3-9c43-4375-8f6d-c78efbb9e134	SWITCHGEAR
90fe82f9-c6b3-4483-bad5-3311dfa45d03	2f9e1ed4-9c35-4593-a12c-fff0251dfccb	GENERATOR
90fe82f9-c6b3-4483-bad5-3311dfa45d03	120bbc01-b04a-4573-a150-a4b44fd47ca0	PRIMARY_AUXILIARIES
90fe82f9-c6b3-4483-bad5-3311dfa45d03	327441a9-7822-4a63-8077-085312251cb1	UPS
90fe82f9-c6b3-4483-bad5-3311dfa45d03	ffa2ce51-13c7-407d-a08e-61840d75cec8	CRITICAL_AUXILIARIES
90fe82f9-c6b3-4483-bad5-3311dfa45d03	a7668a96-18a5-40dd-bd0e-22933fad37f5	LIGHTING
90fe82f9-c6b3-4483-bad5-3311dfa45d03	3a26661e-b83f-4f49-8f2b-a11a3897fe28	CRITICAL_POWER_DISTRIBUTION
90fe82f9-c6b3-4483-bad5-3311dfa45d03	c0ee810a-c0e6-4a65-8cff-1393398adcba	CRAH
90fe82f9-c6b3-4483-bad5-3311dfa45d03	2662281a-a28b-496e-b0f6-9665b68ceb41	CRAC
90fe82f9-c6b3-4483-bad5-3311dfa45d03	00ead4db-42bb-416a-8370-48f24b26334b	CRAC_WITHOUT_FAN
90fe82f9-c6b3-4483-bad5-3311dfa45d03	b5029901-3768-4242-ab00-c85b10139337	CRAC_FAN
90fe82f9-c6b3-4483-bad5-3311dfa45d03	3220f98b-b80a-4c06-9f31-b92b5bdf41c4	CHILLER
90fe82f9-c6b3-4483-bad5-3311dfa45d03	9ab2ac8c-6b09-46b5-b9e0-aaaa4d9b02f9	AIR_COOLED_CHILLER
90fe82f9-c6b3-4483-bad5-3311dfa45d03	18b4da7a-a2db-47ea-975a-7a2eec66fec5	COOLING_TOWER
90fe82f9-c6b3-4483-bad5-3311dfa45d03	6dac9ff4-eb65-485f-b686-a448cd6d5f31	DRY_COOLER
90fe82f9-c6b3-4483-bad5-3311dfa45d03	0aa1b268-4add-4f22-8e15-ce65183f0087	REMOTE_CONDENSER
90fe82f9-c6b3-4483-bad5-3311dfa45d03	b2f825e2-617e-4a4a-b538-2c3b63b4149a	CHILLED_WATER_PUMPS
90fe82f9-c6b3-4483-bad5-3311dfa45d03	911010d2-3937-49a0-9abd-49f77ebaac43	HEAT_REJECTION_PUMPS
90fe82f9-c6b3-4483-bad5-3311dfa45d03	b3e618ca-0e97-4579-9a11-548cd82e0a81	VENTILATION
90fe82f9-c6b3-4483-bad5-3311dfa45d03	5c61da5b-7e0d-4cea-a573-88be3dfdf08f	INFILTRATION
90fe82f9-c6b3-4483-bad5-3311dfa45d03	8bd53c1f-bef4-48ab-ab5d-82261f8aa131	IT_LOAD
fa96f601-6f97-4283-8e99-e323ccfd7cbe	8e70ea79-d424-4d5a-a041-d70f6680e626	SWITCHGEAR
fa96f601-6f97-4283-8e99-e323ccfd7cbe	1f5de7f5-026c-43e2-9aa8-4b241b4584d6	GENERATOR
fa96f601-6f97-4283-8e99-e323ccfd7cbe	3d76d9c1-c297-4090-8ea2-1cec26dd4480	PRIMARY_AUXILIARIES
fa96f601-6f97-4283-8e99-e323ccfd7cbe	9c290497-7437-4ea7-90ec-2b8d302d13a7	UPS
fa96f601-6f97-4283-8e99-e323ccfd7cbe	4eee3661-2527-4600-a06f-c2cb92a11096	CRITICAL_AUXILIARIES
fa96f601-6f97-4283-8e99-e323ccfd7cbe	de26545a-646e-4661-8e3d-89b78cf9b924	LIGHTING
fa96f601-6f97-4283-8e99-e323ccfd7cbe	10b7079b-225d-4452-8b37-f78918c479ec	CRITICAL_POWER_DISTRIBUTION
fa96f601-6f97-4283-8e99-e323ccfd7cbe	f3a2e1fc-b8d4-41b6-9b19-a0bfcc986310	CRAH
fa96f601-6f97-4283-8e99-e323ccfd7cbe	003ed344-1c4a-4077-a133-d6e97d8de5e7	CRAC
fa96f601-6f97-4283-8e99-e323ccfd7cbe	2263b4e5-dc5e-4804-be04-5f65fe20520b	CRAC_WITHOUT_FAN
fa96f601-6f97-4283-8e99-e323ccfd7cbe	4ca44fef-72d5-4e64-9d0b-0fade93647a1	CRAC_FAN
fa96f601-6f97-4283-8e99-e323ccfd7cbe	14945a3c-6ffb-40c8-982a-77bdb0a4c916	CHILLER
fa96f601-6f97-4283-8e99-e323ccfd7cbe	ae1a7ecc-1dfa-48bc-92d3-761b6684b5e0	AIR_COOLED_CHILLER
fa96f601-6f97-4283-8e99-e323ccfd7cbe	db23c0ce-e7b4-4da9-bf63-22f92c2851c3	COOLING_TOWER
fa96f601-6f97-4283-8e99-e323ccfd7cbe	a56fa7d7-21c4-4849-a661-d14b79a4d943	DRY_COOLER
fa96f601-6f97-4283-8e99-e323ccfd7cbe	4e09fe77-ce3a-4e90-98f7-0719bb237e69	REMOTE_CONDENSER
fa96f601-6f97-4283-8e99-e323ccfd7cbe	0a531ec9-75f1-4f4e-b4f8-e1737f027ab0	CHILLED_WATER_PUMPS
fa96f601-6f97-4283-8e99-e323ccfd7cbe	741cb48d-6e8f-47d0-9ea4-b459c88c757f	HEAT_REJECTION_PUMPS
fa96f601-6f97-4283-8e99-e323ccfd7cbe	483b62e7-3128-43e7-972c-81072805b378	VENTILATION
fa96f601-6f97-4283-8e99-e323ccfd7cbe	6a417cde-1814-4876-8770-8acc06ce3195	INFILTRATION
fa96f601-6f97-4283-8e99-e323ccfd7cbe	bf038739-c393-499d-9358-96961d1a85a8	IT_LOAD
70c42d7e-12c8-473d-b00e-0f2b36a942a6	ad4595a8-55da-4bd7-8824-f25a9384ed19	SWITCHGEAR
70c42d7e-12c8-473d-b00e-0f2b36a942a6	50865a22-9313-4cc0-bb12-455241f3a5b9	GENERATOR
70c42d7e-12c8-473d-b00e-0f2b36a942a6	1ca02030-e530-45ca-bf45-e25e22ab67cd	PRIMARY_AUXILIARIES
70c42d7e-12c8-473d-b00e-0f2b36a942a6	0aa7c147-4664-4242-afb6-b029afee6b8c	UPS
70c42d7e-12c8-473d-b00e-0f2b36a942a6	cb2e1f11-9e74-435a-9420-b3186b767a93	CRITICAL_AUXILIARIES
70c42d7e-12c8-473d-b00e-0f2b36a942a6	6050cd0f-49ca-4d9b-953f-dd496ec881f0	LIGHTING
70c42d7e-12c8-473d-b00e-0f2b36a942a6	b45ca999-7071-4cbe-a25a-c218288c2c49	CRITICAL_POWER_DISTRIBUTION
70c42d7e-12c8-473d-b00e-0f2b36a942a6	004aa789-be13-49c6-b938-16bdf8059d19	CRAH
70c42d7e-12c8-473d-b00e-0f2b36a942a6	72cf3312-54ee-45ae-b47e-ba851d3a9dac	CRAC
70c42d7e-12c8-473d-b00e-0f2b36a942a6	09404b8e-8001-469d-b001-8323cf25e533	CRAC_WITHOUT_FAN
70c42d7e-12c8-473d-b00e-0f2b36a942a6	dab61e72-afa7-40c0-9819-4564dc9048a1	CRAC_FAN
70c42d7e-12c8-473d-b00e-0f2b36a942a6	642f8a64-950f-4379-9383-8400dd0b48db	CHILLER
70c42d7e-12c8-473d-b00e-0f2b36a942a6	d702bef8-0b0e-47ff-9274-2958f874ab02	AIR_COOLED_CHILLER
70c42d7e-12c8-473d-b00e-0f2b36a942a6	2f6b6fcd-e4d3-498b-9fc1-a9f77eec4523	COOLING_TOWER
70c42d7e-12c8-473d-b00e-0f2b36a942a6	6976cbd7-6306-493f-8bd4-89e9fbab5819	DRY_COOLER
70c42d7e-12c8-473d-b00e-0f2b36a942a6	ee0f813d-4b8f-466b-9c4f-151369082bd7	REMOTE_CONDENSER
70c42d7e-12c8-473d-b00e-0f2b36a942a6	d231496f-60f6-4504-b50e-e4e2e018a4f3	CHILLED_WATER_PUMPS
70c42d7e-12c8-473d-b00e-0f2b36a942a6	7784dc53-2faf-41a1-b7a9-99ffb34669a5	HEAT_REJECTION_PUMPS
70c42d7e-12c8-473d-b00e-0f2b36a942a6	7f3d65a5-012b-4697-8484-e27a53270b89	VENTILATION
70c42d7e-12c8-473d-b00e-0f2b36a942a6	05f6bd7a-c767-4ff6-8d71-5f62181fade5	INFILTRATION
70c42d7e-12c8-473d-b00e-0f2b36a942a6	0b19a95d-ab1a-4cd1-a2c0-5a13865d679e	IT_LOAD
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	32ecee31-65f9-412d-925f-94629f3e34d6	SWITCHGEAR
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	8628bb5d-a1d3-43fe-98c7-b7e2394a5aa8	GENERATOR
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	2813e295-4d3e-4107-b4b9-57d9eb519ecf	PRIMARY_AUXILIARIES
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	cb9854fe-de49-4835-b94a-970114ec9428	UPS
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	ea0eaabe-9c09-4e2e-bff1-9de56b78263e	CRITICAL_AUXILIARIES
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	0c6dfdb1-449f-4dec-872a-07d8cd9e1c5a	LIGHTING
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	af9f0b9d-260d-4f93-9d5c-ad8136b309c6	CRITICAL_POWER_DISTRIBUTION
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	cd0459f3-03ac-4a2c-ab74-42531e5db1f8	CRAH
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	9832c30f-0ce7-46b9-96df-3af38b51bcc6	CRAC
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	5e14cf38-3e34-4d06-a831-70c528945312	CRAC_WITHOUT_FAN
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	604e8cdc-41b0-4394-b5a4-d552f3f7914e	CRAC_FAN
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	15d33490-985c-4248-aefa-087d1ec925bc	CHILLER
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	cdb18a44-34a0-4152-8e6a-40e825cc0d71	AIR_COOLED_CHILLER
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	7f9e12e9-ac6a-444f-8211-3fc1304ddd52	COOLING_TOWER
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	7155e449-72a7-4cbd-90a6-3b10840a0a38	DRY_COOLER
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	3524d285-7012-4175-8a21-14c7cee0ec09	REMOTE_CONDENSER
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	5c1cdb4c-e212-4142-a337-5b844fe6c93a	CHILLED_WATER_PUMPS
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	fa73196b-bb54-427d-945a-72de050b103e	HEAT_REJECTION_PUMPS
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	27c1cf96-57b3-4920-8f77-62613d2e2e3f	VENTILATION
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	20ac1fb7-6833-4e2e-8a36-8ea0a31df9e1	INFILTRATION
631a67bd-a364-4ea0-a3ce-83f20f4d2c7e	7fd7da4c-1d3b-4ec6-8186-a40a51cc203f	IT_LOAD
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	cd2836fc-f4b2-4797-aa74-bd5318f69303	SWITCHGEAR
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	0ab5c1bf-0392-44bd-94c3-ff65e5df45ee	GENERATOR
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	cc8a1c72-c6c4-40ad-9488-184172dbe00b	PRIMARY_AUXILIARIES
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	6cd90bc8-4661-42ba-840f-8d3c1217e8c4	UPS
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	daf6a0a4-6167-4c84-986d-8def74031d2d	CRITICAL_AUXILIARIES
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	a22cc0fc-4921-4e4b-aa76-75848929948f	LIGHTING
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	3df0226e-bb2f-444c-a394-1d44c245cf20	CRITICAL_POWER_DISTRIBUTION
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	e63872f6-858a-4b25-b96b-f804d91754a3	CRAH
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	4b834543-f4f7-4cd0-b1b6-b98b9c006b11	CRAC
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	f480b3ac-66e6-4805-b693-33eaa20dfc2c	CRAC_WITHOUT_FAN
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	22cbcc13-ab93-4996-9b7e-9578fa49810a	CRAC_FAN
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	a5937ef6-94ba-404d-bab3-9de7a70b09f2	CHILLER
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	b65561d4-2e97-4025-b256-f1ac033c1045	AIR_COOLED_CHILLER
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	d2a8b4ad-f0e6-44f3-8ba1-9cda04e212e2	COOLING_TOWER
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	aaf3ab65-5d25-40fc-bdb4-f4c36539e70b	DRY_COOLER
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	f5822771-5f2e-4573-82e1-c21584d2ac00	REMOTE_CONDENSER
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	f153f100-bc9d-4d2b-aa05-ee465a131ccf	CHILLED_WATER_PUMPS
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	78c35807-0714-4462-a9bf-e0deaaa32e7d	HEAT_REJECTION_PUMPS
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	cfaeaa07-ffae-4956-98ef-2ee985510075	VENTILATION
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	43f58114-9f57-4a39-9e95-3f61dd61225d	INFILTRATION
8b65e0ce-c4e0-4269-94ad-45bd4773daf6	50661ed3-4528-4cf0-91c0-a503cd450e22	IT_LOAD
d6018613-ba55-48fc-b7a0-a6c657ee6083	21e0c53b-8112-4494-bbdb-a79a91a4445c	SWITCHGEAR
d6018613-ba55-48fc-b7a0-a6c657ee6083	6e46ddeb-47b6-4051-bc7c-468107ae3934	GENERATOR
d6018613-ba55-48fc-b7a0-a6c657ee6083	5d892165-46f5-4f7c-a6e1-1f6f137d39f2	PRIMARY_AUXILIARIES
d6018613-ba55-48fc-b7a0-a6c657ee6083	7ed0d7a7-a803-4107-baf8-25b5aa2835c3	UPS
d6018613-ba55-48fc-b7a0-a6c657ee6083	44273f9a-46a7-400b-806d-f49f42da6b4a	CRITICAL_AUXILIARIES
d6018613-ba55-48fc-b7a0-a6c657ee6083	b7d3eb6d-a1de-479d-be9c-dae62694736f	LIGHTING
d6018613-ba55-48fc-b7a0-a6c657ee6083	2570a087-b26b-46c5-8927-4cd4d65e0d4b	CRITICAL_POWER_DISTRIBUTION
d6018613-ba55-48fc-b7a0-a6c657ee6083	406bf9d6-5cd2-471f-a6e3-523be5f214c2	CRAH
d6018613-ba55-48fc-b7a0-a6c657ee6083	2a408c19-f825-4147-8cb0-45206ebb8534	CRAC
d6018613-ba55-48fc-b7a0-a6c657ee6083	df766d88-faaf-4057-b22c-cb8ee86bb59a	CRAC_WITHOUT_FAN
d6018613-ba55-48fc-b7a0-a6c657ee6083	c4ecfe80-e269-4c79-9746-9ee854e12a41	CRAC_FAN
d6018613-ba55-48fc-b7a0-a6c657ee6083	6bf4479a-be92-4ce9-b88d-1a8f7d8f3ee1	CHILLER
d6018613-ba55-48fc-b7a0-a6c657ee6083	c2bb5084-3019-470c-8ad3-1e7519597563	AIR_COOLED_CHILLER
d6018613-ba55-48fc-b7a0-a6c657ee6083	f15c0381-f513-4617-93e3-76b757d7a7b5	COOLING_TOWER
d6018613-ba55-48fc-b7a0-a6c657ee6083	69bf7f98-f079-438c-b248-2c8b663d60df	DRY_COOLER
d6018613-ba55-48fc-b7a0-a6c657ee6083	7a7a0f4d-2648-4915-878c-812a7e58eef3	REMOTE_CONDENSER
d6018613-ba55-48fc-b7a0-a6c657ee6083	592692b5-55f5-4996-9f63-60a126585f77	CHILLED_WATER_PUMPS
d6018613-ba55-48fc-b7a0-a6c657ee6083	489e8a14-ad23-4b96-97f6-5cb93e626789	HEAT_REJECTION_PUMPS
d6018613-ba55-48fc-b7a0-a6c657ee6083	b4ec288a-bd6e-46c7-8d0d-97f092daf09a	VENTILATION
d6018613-ba55-48fc-b7a0-a6c657ee6083	2e80445e-cffe-4f94-b1c8-877ecd60344b	INFILTRATION
d6018613-ba55-48fc-b7a0-a6c657ee6083	765dbd8e-da95-4036-8c54-55aa0ab6dd31	IT_LOAD
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	e91e7f32-0a17-4cf1-a343-01d689eb70e6	SWITCHGEAR
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	39f5b104-474e-4109-934c-c8108ef1efdf	GENERATOR
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	a4055f12-984f-4f0b-94d0-4121aedd310c	PRIMARY_AUXILIARIES
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	8b2d3b49-2a28-47f8-84ba-ff5fb8ae37b8	UPS
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	12af5385-143b-463e-b945-f206ad74e36f	CRITICAL_AUXILIARIES
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	857340bc-43a0-41f5-a224-0487351f88e2	LIGHTING
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	79f53963-67d6-4eef-bae3-ce0aabb98a26	CRITICAL_POWER_DISTRIBUTION
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	3625bc35-3a2c-49fd-a743-d9dd21981d99	CRAH
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	aeb27d79-e5de-4c8d-9af7-31b89879e74e	CRAC
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	6106241f-61f4-4abc-aa65-0861dfa29e00	CRAC_WITHOUT_FAN
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	37e4ed21-7db4-41c6-8921-c668d386beb0	CRAC_FAN
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	8114d2de-f55a-4262-a3d0-703962943894	CHILLER
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	42cb1512-2bee-4683-a7f7-9868c1119e48	AIR_COOLED_CHILLER
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	ad80695c-13d8-451f-8ab9-0c8ad437c20a	COOLING_TOWER
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	20f0e1c6-f0af-414a-9248-783fa2f7214c	DRY_COOLER
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	78a62232-87fc-4f9d-b1e2-313cc4f6666b	REMOTE_CONDENSER
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	f0bd7b67-1104-4c93-8300-91d916fd619e	CHILLED_WATER_PUMPS
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	e5764cc6-086e-4c0a-9bd4-c75a1f19f4d8	HEAT_REJECTION_PUMPS
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	3797cf6d-2dcb-464f-84a2-4ef2211dc02c	VENTILATION
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	5794f981-ba2f-46a9-add8-c9dcf4efa4a7	INFILTRATION
f86505d8-ab18-4db2-ae46-9d4efc6ea44e	f5c0762f-f231-4bc6-b560-1d0df35db38b	IT_LOAD
44d73db8-3336-4a4f-8f53-53802329b2c2	56227a5d-d96f-4680-a5b5-b1ad03ad6f8e	SWITCHGEAR
44d73db8-3336-4a4f-8f53-53802329b2c2	0129965f-1804-47bc-82e6-7c515b1c606f	GENERATOR
44d73db8-3336-4a4f-8f53-53802329b2c2	8313d898-1a26-4a7b-aa4b-d6fec5b4ae85	PRIMARY_AUXILIARIES
44d73db8-3336-4a4f-8f53-53802329b2c2	531de6f7-64ce-4400-b3bf-89e15bbd6ca5	UPS
44d73db8-3336-4a4f-8f53-53802329b2c2	4ba14598-0e37-461d-af28-6214877f329e	CRITICAL_AUXILIARIES
44d73db8-3336-4a4f-8f53-53802329b2c2	bf9e6b79-563b-4111-ae17-643f7ed81dca	LIGHTING
44d73db8-3336-4a4f-8f53-53802329b2c2	9eea9baf-25cc-4ab1-b134-e5a6fe186897	CRITICAL_POWER_DISTRIBUTION
44d73db8-3336-4a4f-8f53-53802329b2c2	5240086a-48e7-4634-859e-3c4fe4bfdc33	CRAH
44d73db8-3336-4a4f-8f53-53802329b2c2	2e8af406-65c8-4ad0-a0e1-0a288a90052f	CRAC
44d73db8-3336-4a4f-8f53-53802329b2c2	b54b8ba8-7e1c-425b-9574-c2b47a2b17dd	CRAC_WITHOUT_FAN
44d73db8-3336-4a4f-8f53-53802329b2c2	29f7ca62-ad10-4494-83d5-658d368a6d20	CRAC_FAN
44d73db8-3336-4a4f-8f53-53802329b2c2	786ff2f8-b8b3-4852-aa2f-58790746f9f9	CHILLER
44d73db8-3336-4a4f-8f53-53802329b2c2	e4351e30-4cb8-4ca2-8f35-80e761c33ed8	AIR_COOLED_CHILLER
44d73db8-3336-4a4f-8f53-53802329b2c2	1805a69d-d08e-4bca-9db4-b011cd604313	COOLING_TOWER
44d73db8-3336-4a4f-8f53-53802329b2c2	3177f91a-aab7-42fb-afbe-634e63d7c740	DRY_COOLER
44d73db8-3336-4a4f-8f53-53802329b2c2	3390ef9f-9ba5-43d6-9621-fb1b06405436	REMOTE_CONDENSER
44d73db8-3336-4a4f-8f53-53802329b2c2	8c926e64-bdfd-4ad3-9d86-5c5be4887a30	CHILLED_WATER_PUMPS
44d73db8-3336-4a4f-8f53-53802329b2c2	98911dff-1ddc-495f-99ba-c313c65fb484	HEAT_REJECTION_PUMPS
44d73db8-3336-4a4f-8f53-53802329b2c2	0e011559-6b53-4531-b006-b6249cc05262	VENTILATION
44d73db8-3336-4a4f-8f53-53802329b2c2	e6eb5820-9b99-41af-9b67-db94d3a80ba3	INFILTRATION
44d73db8-3336-4a4f-8f53-53802329b2c2	f459b7af-5233-422a-b4fd-d33526a78dad	IT_LOAD
fe17756a-d49a-4b9c-9d74-1b9198e52767	78977acf-480a-440f-94b5-6625a84eaa6a	SWITCHGEAR
fe17756a-d49a-4b9c-9d74-1b9198e52767	6d28ed48-3ea7-4b82-ad00-59c9d33e8b97	GENERATOR
fe17756a-d49a-4b9c-9d74-1b9198e52767	fa928491-a07a-4de2-8a70-f6d2c4746c30	PRIMARY_AUXILIARIES
fe17756a-d49a-4b9c-9d74-1b9198e52767	89463e69-13f8-4bc2-9e50-5389e14c48a6	UPS
fe17756a-d49a-4b9c-9d74-1b9198e52767	6ab32f9d-d30c-421e-8462-73dc8598bef8	CRITICAL_AUXILIARIES
fe17756a-d49a-4b9c-9d74-1b9198e52767	4556fe84-1603-4459-9ff4-4e2208ceac88	LIGHTING
fe17756a-d49a-4b9c-9d74-1b9198e52767	4640db97-cafe-42e0-93d8-adda23e5f7bc	CRITICAL_POWER_DISTRIBUTION
fe17756a-d49a-4b9c-9d74-1b9198e52767	1e84d71a-9017-4bde-b4a5-c0057694b4bb	CRAH
fe17756a-d49a-4b9c-9d74-1b9198e52767	96e3f4b2-91da-43fb-b961-fc1dfcac945b	CRAC
fe17756a-d49a-4b9c-9d74-1b9198e52767	8e70e967-601e-4ce3-81ef-ce3c622e3cd9	CRAC_WITHOUT_FAN
fe17756a-d49a-4b9c-9d74-1b9198e52767	056caea0-2aa7-4283-947b-18e105d1ea0b	CRAC_FAN
fe17756a-d49a-4b9c-9d74-1b9198e52767	d5b3a00a-8998-4860-ab5f-90ae8f7b9bc9	CHILLER
fe17756a-d49a-4b9c-9d74-1b9198e52767	eb07de76-e1fd-4bd6-9d10-2c04cb5d378c	AIR_COOLED_CHILLER
fe17756a-d49a-4b9c-9d74-1b9198e52767	17701a61-c846-49d0-96fa-cbec144557f0	COOLING_TOWER
fe17756a-d49a-4b9c-9d74-1b9198e52767	623fb35c-518e-4502-b262-426fc16b0902	DRY_COOLER
fe17756a-d49a-4b9c-9d74-1b9198e52767	e65cff08-f720-496d-a39a-e33e54f40583	REMOTE_CONDENSER
fe17756a-d49a-4b9c-9d74-1b9198e52767	19245ea4-1115-4cf9-bf6e-6bda16c128a1	CHILLED_WATER_PUMPS
fe17756a-d49a-4b9c-9d74-1b9198e52767	d0edcff5-f2df-4e6c-a0a7-6b871fc0dce1	HEAT_REJECTION_PUMPS
fe17756a-d49a-4b9c-9d74-1b9198e52767	95626c46-d767-4a8c-96ef-81e24365bea5	VENTILATION
fe17756a-d49a-4b9c-9d74-1b9198e52767	0701d91b-403e-4dd3-a83e-c091c68f5328	INFILTRATION
fe17756a-d49a-4b9c-9d74-1b9198e52767	34a1989f-2fc4-4070-bca7-ac17024b006f	IT_LOAD
0b558329-c123-4c07-a4f8-4943bdb16db8	819f5447-b23a-4e9b-80e3-b19024cc32cc	SWITCHGEAR
0b558329-c123-4c07-a4f8-4943bdb16db8	27ef2b5b-482c-4863-a59e-d2ae7e74c770	GENERATOR
0b558329-c123-4c07-a4f8-4943bdb16db8	e15c94ac-d1b1-4010-b3e4-f8f137ff198c	PRIMARY_AUXILIARIES
0b558329-c123-4c07-a4f8-4943bdb16db8	7e349f60-a187-42ea-8a37-1c84c460dda0	UPS
0b558329-c123-4c07-a4f8-4943bdb16db8	c98051dd-e609-4472-bac1-157a0c721713	CRITICAL_AUXILIARIES
0b558329-c123-4c07-a4f8-4943bdb16db8	46c759e7-5d5e-45a9-a8fa-6516a9a41d5f	LIGHTING
0b558329-c123-4c07-a4f8-4943bdb16db8	700abf45-4f43-4bc7-ada1-b54f79f1560c	CRITICAL_POWER_DISTRIBUTION
0b558329-c123-4c07-a4f8-4943bdb16db8	44734ef8-5de5-4d86-b97a-c5041d73fe81	CRAH
0b558329-c123-4c07-a4f8-4943bdb16db8	447d1759-63be-448c-bef3-e3b5b72f47a7	CRAC
0b558329-c123-4c07-a4f8-4943bdb16db8	106005e6-5166-428a-b600-07499d2e6fb3	CRAC_WITHOUT_FAN
0b558329-c123-4c07-a4f8-4943bdb16db8	a51d90b9-58a4-4703-8195-5e8382feece3	CRAC_FAN
0b558329-c123-4c07-a4f8-4943bdb16db8	45706356-426e-4a04-9715-14a5422c8082	CHILLER
0b558329-c123-4c07-a4f8-4943bdb16db8	7ffbadd7-9dcf-4b54-a7b4-d31f1e5018b7	AIR_COOLED_CHILLER
0b558329-c123-4c07-a4f8-4943bdb16db8	fa743fd1-6b66-42e4-8d81-434ebf7a21bd	COOLING_TOWER
0b558329-c123-4c07-a4f8-4943bdb16db8	0935cc0c-355b-429a-9cac-da5f0f62d915	DRY_COOLER
0b558329-c123-4c07-a4f8-4943bdb16db8	560da3e8-8314-4f04-aa4c-3380ceca3a8e	REMOTE_CONDENSER
0b558329-c123-4c07-a4f8-4943bdb16db8	91108657-7d04-4c4c-971d-a62042d9190f	CHILLED_WATER_PUMPS
0b558329-c123-4c07-a4f8-4943bdb16db8	33b92eaf-c754-4acc-a1b6-9e17b861e4f9	HEAT_REJECTION_PUMPS
0b558329-c123-4c07-a4f8-4943bdb16db8	e4a86847-e901-4643-a1ff-e545b8986ee9	VENTILATION
0b558329-c123-4c07-a4f8-4943bdb16db8	e79b8f80-061f-44db-938d-acda778881a7	INFILTRATION
0b558329-c123-4c07-a4f8-4943bdb16db8	a83ea524-ac04-4ef6-9caf-a65886782ec2	IT_LOAD
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	b9340527-846d-4e9c-aa82-bd3add2d275f	SWITCHGEAR
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	38a4aabb-8234-4e18-b6b2-a1142e7a3544	GENERATOR
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	32ec40c9-4662-4fc2-ab6d-6bcc076a94ea	PRIMARY_AUXILIARIES
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	1bacc59b-a015-4813-9942-02c9c2bc5204	UPS
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	b6c552f2-dafe-4a6e-b30e-d476ba5ccb2e	CRITICAL_AUXILIARIES
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	e6c94686-b08d-447b-8c20-fd4a7b0793b3	LIGHTING
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	d820e980-70ae-4664-a754-d26728540d7b	CRITICAL_POWER_DISTRIBUTION
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	0f525061-4253-4aa1-8d7f-cc7b1c98eaa1	CRAH
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	ad9acdf7-d3aa-493f-a578-e6b9330c7c87	CRAC
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	893186e8-651a-4a02-89da-c9d35c9c98ee	CRAC_WITHOUT_FAN
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	fe4658db-2871-471a-a98a-d61f0fa03ce9	CRAC_FAN
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	a9bdee3c-177e-43a9-957b-ae2e025b038e	CHILLER
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	07cd2824-683a-499d-adf1-4b4e59eff7a6	AIR_COOLED_CHILLER
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	518a2a9f-736a-4863-8ac9-7677d8a688df	COOLING_TOWER
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	edc388b2-25e8-4a01-b888-da42de4845e0	DRY_COOLER
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	7be0d155-f443-4122-95a5-8e9c8bed699c	REMOTE_CONDENSER
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	3936b16d-b511-4dd2-881e-a4ffb44a60d3	CHILLED_WATER_PUMPS
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	0e58b318-b38b-4d59-958a-2c302962eadb	HEAT_REJECTION_PUMPS
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	7f51558c-7742-4036-8ecc-ccce872592cd	VENTILATION
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	8c5930d4-aa4c-44b3-b135-d2ad5ba50387	INFILTRATION
472cf32e-fee6-4cd2-97db-60ebb96ec4a3	7db98ef6-1714-4da1-8aec-3180f3870ef8	IT_LOAD
e728c11f-6d64-410c-b09f-4a97db85dfd9	04c879e2-0d7d-4a4f-939d-cf67494f765d	SWITCHGEAR
e728c11f-6d64-410c-b09f-4a97db85dfd9	30a3fbc6-2198-48a3-8161-9d0a5e3d2665	GENERATOR
e728c11f-6d64-410c-b09f-4a97db85dfd9	db30d7a6-a0f5-4154-a7cb-2423c7113e3b	PRIMARY_AUXILIARIES
e728c11f-6d64-410c-b09f-4a97db85dfd9	3927f39c-e85d-45ed-8645-10d7eb929a4c	UPS
e728c11f-6d64-410c-b09f-4a97db85dfd9	f0e2650d-a461-4a3f-8cf4-a59550028dee	CRITICAL_AUXILIARIES
e728c11f-6d64-410c-b09f-4a97db85dfd9	4e1f2817-a161-4039-82b2-79b5999744e4	LIGHTING
e728c11f-6d64-410c-b09f-4a97db85dfd9	8db55fd8-840f-4f61-af2e-5bf157cb5c89	CRITICAL_POWER_DISTRIBUTION
e728c11f-6d64-410c-b09f-4a97db85dfd9	be616729-8359-4aa1-b6f3-9fc2e4b40019	CRAH
e728c11f-6d64-410c-b09f-4a97db85dfd9	b685606f-3d9d-4ff3-8b2c-b2046594c328	CRAC
e728c11f-6d64-410c-b09f-4a97db85dfd9	a6dd67f7-a7f0-4719-b83c-e9ffa1c2eef8	CRAC_WITHOUT_FAN
e728c11f-6d64-410c-b09f-4a97db85dfd9	5744cb90-cffa-45c7-be51-bccffee8c6b8	CRAC_FAN
e728c11f-6d64-410c-b09f-4a97db85dfd9	229bdcd8-6db3-44b7-88de-91727ec39cb4	CHILLER
e728c11f-6d64-410c-b09f-4a97db85dfd9	719cc759-dfca-483a-b528-9754553c985a	AIR_COOLED_CHILLER
e728c11f-6d64-410c-b09f-4a97db85dfd9	765be265-099c-44a6-b587-517e600f0093	COOLING_TOWER
e728c11f-6d64-410c-b09f-4a97db85dfd9	837ef90f-7714-4014-9413-0e59c64915bc	DRY_COOLER
e728c11f-6d64-410c-b09f-4a97db85dfd9	d6c6b82f-9bf4-40b4-b8fa-6edd3cb11c09	REMOTE_CONDENSER
e728c11f-6d64-410c-b09f-4a97db85dfd9	3c3e550c-63f2-477d-bc65-52b394cb5912	CHILLED_WATER_PUMPS
e728c11f-6d64-410c-b09f-4a97db85dfd9	48be0bf4-3243-4317-a639-3c1a6f0fe2a9	HEAT_REJECTION_PUMPS
e728c11f-6d64-410c-b09f-4a97db85dfd9	cf290486-999d-448d-a71e-cd4c9b4c128f	VENTILATION
e728c11f-6d64-410c-b09f-4a97db85dfd9	8ee4b62d-9061-4e93-bd79-9448d50a34bb	INFILTRATION
e728c11f-6d64-410c-b09f-4a97db85dfd9	12e65743-7763-4644-9ed6-fe326de8acc3	IT_LOAD
02f42bbc-5853-4b29-aa08-e227108b4fb1	5d782716-9f88-45a0-9408-50495ef05f22	SWITCHGEAR
02f42bbc-5853-4b29-aa08-e227108b4fb1	1c4c463e-be0f-4efb-933a-41622c4de675	GENERATOR
02f42bbc-5853-4b29-aa08-e227108b4fb1	571453ad-ef01-4122-b77f-4b00a51a3505	PRIMARY_AUXILIARIES
02f42bbc-5853-4b29-aa08-e227108b4fb1	83d34f8a-fbca-45a3-90b4-d5fe3aca47a9	UPS
02f42bbc-5853-4b29-aa08-e227108b4fb1	1a232af7-6a11-405c-8140-bdb79d348289	CRITICAL_AUXILIARIES
02f42bbc-5853-4b29-aa08-e227108b4fb1	4f445376-f269-481b-900f-3005252ac58c	LIGHTING
02f42bbc-5853-4b29-aa08-e227108b4fb1	3a27a63c-0a0d-460c-ab2a-313cff6cab86	CRITICAL_POWER_DISTRIBUTION
02f42bbc-5853-4b29-aa08-e227108b4fb1	3dc83898-e238-4fff-9c45-795e9eac57f9	CRAH
02f42bbc-5853-4b29-aa08-e227108b4fb1	ce7aff8b-3187-47e3-9cf4-ffff6b6e5324	CRAC
02f42bbc-5853-4b29-aa08-e227108b4fb1	155934c3-372b-43be-bd50-6f8ea2bdedfe	CRAC_WITHOUT_FAN
02f42bbc-5853-4b29-aa08-e227108b4fb1	eb336c3a-4ccc-4922-952e-22ff304b8d39	CRAC_FAN
02f42bbc-5853-4b29-aa08-e227108b4fb1	0cf22dc5-badb-4e62-b7a4-b425c8a1f960	CHILLER
02f42bbc-5853-4b29-aa08-e227108b4fb1	bd6be9d0-c338-477c-a94d-0377fabec452	AIR_COOLED_CHILLER
02f42bbc-5853-4b29-aa08-e227108b4fb1	79869d08-bfaf-43cf-8431-52bfac6026c1	COOLING_TOWER
02f42bbc-5853-4b29-aa08-e227108b4fb1	4ad910c7-3fc8-448d-a729-01a2163124a6	DRY_COOLER
02f42bbc-5853-4b29-aa08-e227108b4fb1	62772a1b-dd8c-4bf3-a405-5649d5137cb9	REMOTE_CONDENSER
02f42bbc-5853-4b29-aa08-e227108b4fb1	47f3683c-30b3-4f8f-8a7c-44bed76452c1	CHILLED_WATER_PUMPS
02f42bbc-5853-4b29-aa08-e227108b4fb1	e4bc387d-abeb-4d4a-a1b0-00502239f173	HEAT_REJECTION_PUMPS
02f42bbc-5853-4b29-aa08-e227108b4fb1	7e0c40a1-692e-454a-bab2-ec566dc0c6ad	VENTILATION
02f42bbc-5853-4b29-aa08-e227108b4fb1	23085f0d-d3b9-4591-bf62-0b0c18476433	INFILTRATION
02f42bbc-5853-4b29-aa08-e227108b4fb1	c329e667-7684-4bea-9eab-a2771791fcdf	IT_LOAD
fc470856-33f3-472f-b508-316d87b777f1	ab0ce938-5c26-4e2c-a272-b0abe319be93	SWITCHGEAR
fc470856-33f3-472f-b508-316d87b777f1	d84b0501-fb4c-4c13-a3ba-6a055e120274	GENERATOR
fc470856-33f3-472f-b508-316d87b777f1	e4ba30ef-446b-4dd1-99e6-168bf4ef033e	PRIMARY_AUXILIARIES
fc470856-33f3-472f-b508-316d87b777f1	59933aae-ad80-4b7c-9d0e-ab37c73bc60c	UPS
fc470856-33f3-472f-b508-316d87b777f1	019c4680-19a4-44db-a946-0b9a7cd8ef77	CRITICAL_AUXILIARIES
fc470856-33f3-472f-b508-316d87b777f1	878ebc82-0d5c-438f-8aae-5dbeff544fb3	LIGHTING
fc470856-33f3-472f-b508-316d87b777f1	ca2dec37-479a-46e7-86f4-daf45f6a676d	CRITICAL_POWER_DISTRIBUTION
fc470856-33f3-472f-b508-316d87b777f1	0495db92-f44f-417a-aff1-b3ce6e41baae	CRAH
fc470856-33f3-472f-b508-316d87b777f1	c1699599-5641-4a8f-9bca-ae81d961423f	CRAC
fc470856-33f3-472f-b508-316d87b777f1	b028074f-df3c-4cf6-ae2b-81bd5b4691d7	CRAC_WITHOUT_FAN
fc470856-33f3-472f-b508-316d87b777f1	a0603af4-dfb7-47fb-9cbc-0b70bcd7cead	CRAC_FAN
fc470856-33f3-472f-b508-316d87b777f1	18092365-2bb1-408a-82f6-4128eb7444b9	CHILLER
fc470856-33f3-472f-b508-316d87b777f1	76fd8308-7af8-4e11-b9b0-5754d3a7e8d1	AIR_COOLED_CHILLER
fc470856-33f3-472f-b508-316d87b777f1	18b44c7f-fa87-468e-97da-6679f35d2cf8	COOLING_TOWER
fc470856-33f3-472f-b508-316d87b777f1	24652d65-f36b-4acd-a6ec-96f3d0968419	DRY_COOLER
fc470856-33f3-472f-b508-316d87b777f1	900c288c-d175-412b-b586-5715f232415b	REMOTE_CONDENSER
fc470856-33f3-472f-b508-316d87b777f1	5fcc8c4d-44de-45d5-a103-9e16d98e4584	CHILLED_WATER_PUMPS
fc470856-33f3-472f-b508-316d87b777f1	d5f449e6-ed10-4606-a772-4ad1902b0aae	HEAT_REJECTION_PUMPS
fc470856-33f3-472f-b508-316d87b777f1	569aaf60-90d0-40ae-acc6-c102ca3822be	VENTILATION
fc470856-33f3-472f-b508-316d87b777f1	4c7abd85-7435-4bb2-adcf-25ad23552d27	INFILTRATION
fc470856-33f3-472f-b508-316d87b777f1	a3f59ffd-1652-4da3-83f1-e7c046ab69d1	IT_LOAD
2a6b56f9-aef3-48dd-9874-d5703870ac55	2af02a3d-eb26-42a3-8141-2b488d32a791	SWITCHGEAR
2a6b56f9-aef3-48dd-9874-d5703870ac55	8a936c13-6100-44a9-9bf7-12a8f2bc61e1	GENERATOR
2a6b56f9-aef3-48dd-9874-d5703870ac55	63205d45-4b98-4a88-b498-c6c2ded678f9	PRIMARY_AUXILIARIES
2a6b56f9-aef3-48dd-9874-d5703870ac55	beb9c9e1-3431-473f-89b3-0a686abe7dc6	UPS
2a6b56f9-aef3-48dd-9874-d5703870ac55	2b867884-f067-40bd-9ea9-a96aaccc78fa	CRITICAL_AUXILIARIES
2a6b56f9-aef3-48dd-9874-d5703870ac55	251eab77-651b-488e-bfcb-16986a6a01d2	LIGHTING
2a6b56f9-aef3-48dd-9874-d5703870ac55	1929e45a-af96-49ce-ae6f-027fbf41f5e6	CRITICAL_POWER_DISTRIBUTION
2a6b56f9-aef3-48dd-9874-d5703870ac55	d4e1feef-15c4-4b6d-a424-1d14e6e11692	CRAH
2a6b56f9-aef3-48dd-9874-d5703870ac55	341d67a0-e7e4-4a8d-ad68-e67287c51c68	CRAC
2a6b56f9-aef3-48dd-9874-d5703870ac55	16cb30cd-2b7c-40bf-a6a8-a8196400d315	CRAC_WITHOUT_FAN
2a6b56f9-aef3-48dd-9874-d5703870ac55	551cec85-dfaa-451c-b538-a46a46bdf1d2	CRAC_FAN
2a6b56f9-aef3-48dd-9874-d5703870ac55	40612ab0-8879-4413-9c0b-527479db960b	CHILLER
2a6b56f9-aef3-48dd-9874-d5703870ac55	66315cde-7bc9-4dc5-95cf-de4a320bed52	AIR_COOLED_CHILLER
2a6b56f9-aef3-48dd-9874-d5703870ac55	5f14645e-9385-4202-89bf-91cbbbfe3d98	COOLING_TOWER
2a6b56f9-aef3-48dd-9874-d5703870ac55	54b0afe6-5992-45a0-bc24-78198533367e	DRY_COOLER
2a6b56f9-aef3-48dd-9874-d5703870ac55	e44df6d0-f8e7-4fd8-bda6-8766eaa11724	REMOTE_CONDENSER
2a6b56f9-aef3-48dd-9874-d5703870ac55	57b66f2a-22a6-43c9-b0a7-46c28bc201d9	CHILLED_WATER_PUMPS
2a6b56f9-aef3-48dd-9874-d5703870ac55	30539b93-5eca-42b7-98e4-63fadc128c2b	HEAT_REJECTION_PUMPS
2a6b56f9-aef3-48dd-9874-d5703870ac55	6222a022-8712-4160-aecb-bf54240e72c2	VENTILATION
2a6b56f9-aef3-48dd-9874-d5703870ac55	bb54e369-592c-4cce-9ceb-b5caeb67f3ee	INFILTRATION
2a6b56f9-aef3-48dd-9874-d5703870ac55	578505ca-ab4a-4f6f-9d9b-67ba6d4c5260	IT_LOAD
4df34f85-0f87-4db0-8128-d849b67de70f	405323db-4a91-435e-8e28-66cf899edc3b	SWITCHGEAR
4df34f85-0f87-4db0-8128-d849b67de70f	87ff1cf5-a26c-4d76-bd78-2bfc2466e300	GENERATOR
4df34f85-0f87-4db0-8128-d849b67de70f	e50696ae-c75c-4f9e-a2f3-a9bd0ff5a397	PRIMARY_AUXILIARIES
4df34f85-0f87-4db0-8128-d849b67de70f	f94dd25b-e072-4cc3-bfd7-9009bd4f051d	UPS
4df34f85-0f87-4db0-8128-d849b67de70f	3b68a9b5-ee62-4bea-8e6c-1f08ee229c63	CRITICAL_AUXILIARIES
4df34f85-0f87-4db0-8128-d849b67de70f	5f1bc236-1529-4e6e-ab2d-e2d07b29768d	LIGHTING
4df34f85-0f87-4db0-8128-d849b67de70f	ba3c63f6-d1d2-488b-ad67-5c7093d50783	CRITICAL_POWER_DISTRIBUTION
4df34f85-0f87-4db0-8128-d849b67de70f	34e1eff5-6bc5-407d-b350-340172cbb0a1	CRAH
4df34f85-0f87-4db0-8128-d849b67de70f	4bb0848c-ef31-456b-9563-760516b0cfea	CRAC
4df34f85-0f87-4db0-8128-d849b67de70f	bdeb58cb-6fed-40f5-8b64-1ef06642da70	CRAC_WITHOUT_FAN
4df34f85-0f87-4db0-8128-d849b67de70f	0cf1d31c-0f14-4751-992a-436f6d037a58	CRAC_FAN
4df34f85-0f87-4db0-8128-d849b67de70f	7b5b2a51-e7cd-4541-a131-03f4c12a0bfd	CHILLER
4df34f85-0f87-4db0-8128-d849b67de70f	fcf2ee37-306a-46b5-a0ad-49643956314d	AIR_COOLED_CHILLER
4df34f85-0f87-4db0-8128-d849b67de70f	e9ee8630-67a5-4edc-bb9b-4d67ead8dce7	COOLING_TOWER
4df34f85-0f87-4db0-8128-d849b67de70f	efd642f1-0153-4328-9190-ca38cbfcdb1a	DRY_COOLER
4df34f85-0f87-4db0-8128-d849b67de70f	23eb7a53-208a-4b26-9921-5033c4c3f4c1	REMOTE_CONDENSER
4df34f85-0f87-4db0-8128-d849b67de70f	7959cb77-5554-445d-81e6-e86efb8a5756	CHILLED_WATER_PUMPS
4df34f85-0f87-4db0-8128-d849b67de70f	568a8f3a-a4b1-4af5-b3cf-d801a933f082	HEAT_REJECTION_PUMPS
4df34f85-0f87-4db0-8128-d849b67de70f	e0a6d81f-de42-4916-96ca-ff16f9cc5743	VENTILATION
4df34f85-0f87-4db0-8128-d849b67de70f	9937a711-5cb1-40be-9331-e4c4e36add10	INFILTRATION
4df34f85-0f87-4db0-8128-d849b67de70f	4b73612c-40e4-4fcf-a997-087145d77fc7	IT_LOAD
34e9c256-6de9-4577-8b59-060a1b731699	f9347c9e-23f8-4951-a992-5b3efc537d78	SWITCHGEAR
34e9c256-6de9-4577-8b59-060a1b731699	2dfddedd-9ce7-406d-a4b7-61bad9174c57	GENERATOR
34e9c256-6de9-4577-8b59-060a1b731699	434bbaef-de9b-4b4e-b9ba-e7a142c553e1	PRIMARY_AUXILIARIES
34e9c256-6de9-4577-8b59-060a1b731699	f5862d9c-559b-47d2-b6e2-8f156ee9006a	UPS
34e9c256-6de9-4577-8b59-060a1b731699	b13b7fe8-b729-4793-9f4a-f0c92ff78341	CRITICAL_AUXILIARIES
34e9c256-6de9-4577-8b59-060a1b731699	39b1a1a2-3bf0-43c6-80d2-60b941dbe69f	LIGHTING
34e9c256-6de9-4577-8b59-060a1b731699	5aa1a1b8-1770-4917-ab3c-3fb9e9770bf6	CRITICAL_POWER_DISTRIBUTION
34e9c256-6de9-4577-8b59-060a1b731699	3187af82-e554-4466-a091-9bf3ece4937c	CRAH
34e9c256-6de9-4577-8b59-060a1b731699	6b9750b4-462c-40fd-8bde-ad9202bda1bd	CRAC
34e9c256-6de9-4577-8b59-060a1b731699	a9e73b0d-1faa-48b6-b86d-03bad1336002	CRAC_WITHOUT_FAN
34e9c256-6de9-4577-8b59-060a1b731699	448a059c-dad9-4e53-bcd6-1dc23505cb94	CRAC_FAN
34e9c256-6de9-4577-8b59-060a1b731699	fc11a0e8-b95d-44cc-9ed2-79fa9fb5eb25	CHILLER
34e9c256-6de9-4577-8b59-060a1b731699	be7ac9e5-a160-4cd6-ba15-04c8cdeb0012	AIR_COOLED_CHILLER
34e9c256-6de9-4577-8b59-060a1b731699	775ede4a-c7d0-43fb-b0dd-3d5d06d58805	COOLING_TOWER
34e9c256-6de9-4577-8b59-060a1b731699	4505ae05-054e-40e6-83a0-58a1bfeb79a5	DRY_COOLER
34e9c256-6de9-4577-8b59-060a1b731699	6fc85e1b-922a-4d18-a311-3cb270fb9af9	REMOTE_CONDENSER
34e9c256-6de9-4577-8b59-060a1b731699	03c60326-7d0d-41f0-a008-988cea3855da	CHILLED_WATER_PUMPS
34e9c256-6de9-4577-8b59-060a1b731699	7ef6e44e-5b60-4ba7-89c8-1dc1657dead7	HEAT_REJECTION_PUMPS
34e9c256-6de9-4577-8b59-060a1b731699	117bd774-982f-4e7b-a032-deba224a0452	VENTILATION
34e9c256-6de9-4577-8b59-060a1b731699	18e999fa-b7c6-4ca3-9ef2-2624427c84e9	INFILTRATION
34e9c256-6de9-4577-8b59-060a1b731699	dcddf324-fc1b-46c7-b679-5e0bb02b00aa	IT_LOAD
56a347c9-577c-48b4-bad3-7b7e16ebc367	7a96eed8-005f-41ac-89c2-e0613b25be34	SWITCHGEAR
56a347c9-577c-48b4-bad3-7b7e16ebc367	d907f9fd-0b81-42ae-8e42-4bc7c117be67	GENERATOR
56a347c9-577c-48b4-bad3-7b7e16ebc367	ef2a2e03-07b6-497b-86d4-a39beb28f647	PRIMARY_AUXILIARIES
56a347c9-577c-48b4-bad3-7b7e16ebc367	26791d48-7ce7-46d0-ab20-7fee4b578c85	UPS
56a347c9-577c-48b4-bad3-7b7e16ebc367	6cdc6bd7-f3a0-4a8e-87fe-b82b856a3491	CRITICAL_AUXILIARIES
56a347c9-577c-48b4-bad3-7b7e16ebc367	c766c1d0-de4f-4d12-9ab5-854b72d8142b	LIGHTING
56a347c9-577c-48b4-bad3-7b7e16ebc367	443f03e8-f84f-4f10-b182-ed6269236591	CRITICAL_POWER_DISTRIBUTION
56a347c9-577c-48b4-bad3-7b7e16ebc367	ac3b9128-c495-492e-95f5-afe649e51bf8	CRAH
56a347c9-577c-48b4-bad3-7b7e16ebc367	1dbf0082-3e67-48a1-a644-3e7c51f1e7b2	CRAC
56a347c9-577c-48b4-bad3-7b7e16ebc367	0d8fa519-cf04-4c00-902c-06f659d1aea7	CRAC_WITHOUT_FAN
56a347c9-577c-48b4-bad3-7b7e16ebc367	71109706-7fa9-4e04-8717-5e8aaf420cb2	CRAC_FAN
56a347c9-577c-48b4-bad3-7b7e16ebc367	60c72ec2-266f-484f-82c9-80a6c8090beb	CHILLER
56a347c9-577c-48b4-bad3-7b7e16ebc367	a5378baf-55fc-44ab-830d-bcdcbd4b3e92	AIR_COOLED_CHILLER
56a347c9-577c-48b4-bad3-7b7e16ebc367	cdfbec72-b146-4fb0-9c9c-3c1be92b82e0	COOLING_TOWER
56a347c9-577c-48b4-bad3-7b7e16ebc367	278b4706-a970-4f29-a1b1-392b0330d3e4	DRY_COOLER
56a347c9-577c-48b4-bad3-7b7e16ebc367	9897781d-9ae3-4ce0-b33c-1bfb5aa5dd73	REMOTE_CONDENSER
56a347c9-577c-48b4-bad3-7b7e16ebc367	db2eb949-52c3-43e2-9473-81056a676b34	CHILLED_WATER_PUMPS
56a347c9-577c-48b4-bad3-7b7e16ebc367	a4f609f4-d2cb-4465-95bc-9febea7d6612	HEAT_REJECTION_PUMPS
56a347c9-577c-48b4-bad3-7b7e16ebc367	a832c2d1-027e-4e2d-8469-bc4174eb89eb	VENTILATION
56a347c9-577c-48b4-bad3-7b7e16ebc367	5e1ccb8f-c13b-4efd-b954-5df774a8e49a	INFILTRATION
56a347c9-577c-48b4-bad3-7b7e16ebc367	0eb01a69-bab0-4f0b-a881-6722ba121d33	IT_LOAD
d9cf4190-a0db-4acd-97bf-cbe3288b3538	dc57a40f-345e-4a6e-b210-2374c671439a	SWITCHGEAR
d9cf4190-a0db-4acd-97bf-cbe3288b3538	f8af233c-07f3-4a35-992c-949cf2f0f4cd	GENERATOR
d9cf4190-a0db-4acd-97bf-cbe3288b3538	bada6c80-5c3e-44fe-9dcf-e339f45d44b8	PRIMARY_AUXILIARIES
d9cf4190-a0db-4acd-97bf-cbe3288b3538	96e8e3ed-a286-407b-b5b0-080c5f529b20	UPS
d9cf4190-a0db-4acd-97bf-cbe3288b3538	bc0cbfce-17f1-495e-9548-e0acd0d3a200	CRITICAL_AUXILIARIES
d9cf4190-a0db-4acd-97bf-cbe3288b3538	ba677351-43a2-41b2-b4a1-d92114cce1cb	LIGHTING
d9cf4190-a0db-4acd-97bf-cbe3288b3538	7d220c5b-16df-478e-9313-8cbf770a80f2	CRITICAL_POWER_DISTRIBUTION
d9cf4190-a0db-4acd-97bf-cbe3288b3538	2750256a-2a3c-4b97-9da2-ede0bcca22c1	CRAH
d9cf4190-a0db-4acd-97bf-cbe3288b3538	e8028994-caa7-4c4f-98d3-8878d6dc2569	CRAC
d9cf4190-a0db-4acd-97bf-cbe3288b3538	27140805-85c6-4973-a672-60078e8d58a5	CRAC_WITHOUT_FAN
d9cf4190-a0db-4acd-97bf-cbe3288b3538	deef7ebe-4d7c-4d95-bb83-96b3d4886e85	CRAC_FAN
d9cf4190-a0db-4acd-97bf-cbe3288b3538	353094bb-7500-47a6-b76a-6b7d4dab9f15	CHILLER
d9cf4190-a0db-4acd-97bf-cbe3288b3538	dc269c9d-8855-4110-9fa2-1ed88bf585b2	AIR_COOLED_CHILLER
d9cf4190-a0db-4acd-97bf-cbe3288b3538	3f21893d-a7a4-47fb-ac8e-8075e35b4111	COOLING_TOWER
d9cf4190-a0db-4acd-97bf-cbe3288b3538	ce95d436-2ff9-4808-ab2e-c8b5b93b1252	DRY_COOLER
d9cf4190-a0db-4acd-97bf-cbe3288b3538	39ad4a7b-2a64-404d-9983-dd3a84fb1fe0	REMOTE_CONDENSER
d9cf4190-a0db-4acd-97bf-cbe3288b3538	e9c4aa45-d096-46a4-9eee-192a72abbcfd	CHILLED_WATER_PUMPS
d9cf4190-a0db-4acd-97bf-cbe3288b3538	9609abf6-6e16-4d8c-90e4-c89e5d082c3f	HEAT_REJECTION_PUMPS
d9cf4190-a0db-4acd-97bf-cbe3288b3538	77d423ff-3221-447e-acbe-14a03d6e7da2	VENTILATION
d9cf4190-a0db-4acd-97bf-cbe3288b3538	6e351bf5-934e-4b11-9f3b-de7b66885452	INFILTRATION
d9cf4190-a0db-4acd-97bf-cbe3288b3538	f8a2aacf-88d9-4d35-b4e8-8db5c648d424	IT_LOAD
5d3165e3-d2da-4069-bc37-7bdb298cefbd	93c7cd3b-413a-4101-8ef2-170598600abd	SWITCHGEAR
5d3165e3-d2da-4069-bc37-7bdb298cefbd	ae270687-5b57-44b8-bd26-b6fb6ea88769	GENERATOR
5d3165e3-d2da-4069-bc37-7bdb298cefbd	bf2a4201-e7a9-4c96-bce2-29e8982fc506	PRIMARY_AUXILIARIES
5d3165e3-d2da-4069-bc37-7bdb298cefbd	2834df02-7adc-489b-874e-788550913ef0	UPS
5d3165e3-d2da-4069-bc37-7bdb298cefbd	a28745de-d302-4959-8709-b4d927821fb6	CRITICAL_AUXILIARIES
5d3165e3-d2da-4069-bc37-7bdb298cefbd	4c31cb9b-e12f-4556-b90a-064ca0536f01	LIGHTING
5d3165e3-d2da-4069-bc37-7bdb298cefbd	7fb0dacb-3a2a-4230-a14f-bd420eca3d18	CRITICAL_POWER_DISTRIBUTION
5d3165e3-d2da-4069-bc37-7bdb298cefbd	76e9879b-4db6-491a-b6c8-3830dcf91f2d	CRAH
5d3165e3-d2da-4069-bc37-7bdb298cefbd	8247c8da-3bcc-48ed-858f-5f364a4e0548	CRAC
5d3165e3-d2da-4069-bc37-7bdb298cefbd	0b111769-1ea6-4200-bbea-4214edbe4b4f	CRAC_WITHOUT_FAN
5d3165e3-d2da-4069-bc37-7bdb298cefbd	61953a75-489b-47da-a624-a7d52829039a	CRAC_FAN
5d3165e3-d2da-4069-bc37-7bdb298cefbd	5463566d-3ebd-41bd-9f25-fa673cadf5ce	CHILLER
5d3165e3-d2da-4069-bc37-7bdb298cefbd	c5783fb5-e432-4b2a-ad63-8f729564c4fe	AIR_COOLED_CHILLER
5d3165e3-d2da-4069-bc37-7bdb298cefbd	dc3d23fd-14cc-411c-bb63-bf621c8e5391	COOLING_TOWER
5d3165e3-d2da-4069-bc37-7bdb298cefbd	120e8844-8737-4ca5-a09f-374791482041	DRY_COOLER
5d3165e3-d2da-4069-bc37-7bdb298cefbd	f2a75edd-cf4c-48b5-96ed-ddbbb242d320	REMOTE_CONDENSER
5d3165e3-d2da-4069-bc37-7bdb298cefbd	6acf7afd-db97-4975-904b-5cfac9909f4a	CHILLED_WATER_PUMPS
5d3165e3-d2da-4069-bc37-7bdb298cefbd	6a4d912b-43aa-45e8-b2f1-a955d3fa0e72	HEAT_REJECTION_PUMPS
5d3165e3-d2da-4069-bc37-7bdb298cefbd	4a83230e-a1e3-4281-bb0a-99a93d09e30f	VENTILATION
5d3165e3-d2da-4069-bc37-7bdb298cefbd	7a81fb53-3f41-4cc6-9718-a53d8eb1cc16	INFILTRATION
5d3165e3-d2da-4069-bc37-7bdb298cefbd	6cb2e8d7-83c3-44c9-aa14-beaaa8a2d792	IT_LOAD
ba8daf0b-20f1-41ad-9d2e-183f741734af	410903ce-410b-488a-a6f7-2fe1fdca6b10	SWITCHGEAR
ba8daf0b-20f1-41ad-9d2e-183f741734af	fa2a95fa-ebbc-449c-b4fe-7c06ec6e00c9	GENERATOR
ba8daf0b-20f1-41ad-9d2e-183f741734af	033dcfde-370e-49b8-abae-8140b82b9c21	PRIMARY_AUXILIARIES
ba8daf0b-20f1-41ad-9d2e-183f741734af	9287be6c-ab93-4d1b-aff8-a5bcd2515f01	UPS
ba8daf0b-20f1-41ad-9d2e-183f741734af	6bf805ee-5a2b-4299-b471-679dce55d470	CRITICAL_AUXILIARIES
ba8daf0b-20f1-41ad-9d2e-183f741734af	45e24764-80da-48a1-8981-657886a9a990	LIGHTING
ba8daf0b-20f1-41ad-9d2e-183f741734af	9942dc90-a021-40bf-9a91-72a13a782def	CRITICAL_POWER_DISTRIBUTION
ba8daf0b-20f1-41ad-9d2e-183f741734af	3399c53c-80e6-467a-b983-a6d1be3163de	CRAH
ba8daf0b-20f1-41ad-9d2e-183f741734af	a047e959-44de-46cd-8a36-63f797b9c9c1	CRAC
ba8daf0b-20f1-41ad-9d2e-183f741734af	3510d26e-7b2d-450d-a6a0-ee5a4ccca92b	CRAC_WITHOUT_FAN
ba8daf0b-20f1-41ad-9d2e-183f741734af	0c62f4f4-f135-4b2f-8266-0f6c66659bba	CRAC_FAN
ba8daf0b-20f1-41ad-9d2e-183f741734af	f1c8a7a9-cfe2-401c-8e13-219f74917ac9	CHILLER
ba8daf0b-20f1-41ad-9d2e-183f741734af	e3a601f5-4d9b-4df1-9fc4-096121ed4bd8	AIR_COOLED_CHILLER
ba8daf0b-20f1-41ad-9d2e-183f741734af	e0fc9bf9-2012-4d6d-a813-001cb5fd58fb	COOLING_TOWER
ba8daf0b-20f1-41ad-9d2e-183f741734af	563cad8f-1d83-4fb2-a5b3-b20fab020204	DRY_COOLER
ba8daf0b-20f1-41ad-9d2e-183f741734af	c69c50f1-a885-4205-bb4d-688b13e18a8a	REMOTE_CONDENSER
ba8daf0b-20f1-41ad-9d2e-183f741734af	2fc6767a-50a5-44ec-ad7a-79b5c1ee1d98	CHILLED_WATER_PUMPS
ba8daf0b-20f1-41ad-9d2e-183f741734af	f4d1ff9d-931d-4776-b6ce-7d091541ca15	HEAT_REJECTION_PUMPS
ba8daf0b-20f1-41ad-9d2e-183f741734af	1ceeeef0-d55b-4e4c-a714-8e65f8cbb59c	VENTILATION
ba8daf0b-20f1-41ad-9d2e-183f741734af	3c1b3490-b135-4829-8bea-967f7e78527e	INFILTRATION
ba8daf0b-20f1-41ad-9d2e-183f741734af	a678b190-7d23-4e6d-8c94-0a427c5849d7	IT_LOAD
f13e5aca-5843-4f09-ad20-3f62268fe3ef	4ab6e502-b30a-41a1-9718-141b30fd7220	SWITCHGEAR
f13e5aca-5843-4f09-ad20-3f62268fe3ef	e0f166cc-03b4-4be1-b56d-1fa027108f0a	GENERATOR
f13e5aca-5843-4f09-ad20-3f62268fe3ef	c5fb7489-62ec-4cf8-bbda-4b0ac040fed9	PRIMARY_AUXILIARIES
f13e5aca-5843-4f09-ad20-3f62268fe3ef	d3ddbf86-1e80-4ccb-9c08-de01f40a6000	UPS
f13e5aca-5843-4f09-ad20-3f62268fe3ef	ce1830a6-da5c-4a49-9867-e8074c2e6001	CRITICAL_AUXILIARIES
f13e5aca-5843-4f09-ad20-3f62268fe3ef	9ffed958-d263-429b-99a2-18154adfa12a	LIGHTING
f13e5aca-5843-4f09-ad20-3f62268fe3ef	2f0d8979-3dad-4020-98c7-8356f5c2fcc1	CRITICAL_POWER_DISTRIBUTION
f13e5aca-5843-4f09-ad20-3f62268fe3ef	3612f6b4-2037-4092-822f-68be417df035	CRAH
f13e5aca-5843-4f09-ad20-3f62268fe3ef	86a1884d-cff4-4955-b9e0-8f3450875ad3	CRAC
f13e5aca-5843-4f09-ad20-3f62268fe3ef	7c9298d1-de9d-4f2f-ae05-821884e8f79c	CRAC_WITHOUT_FAN
f13e5aca-5843-4f09-ad20-3f62268fe3ef	ad2fdff7-7765-4470-a2d7-d99a3ba4a327	CRAC_FAN
f13e5aca-5843-4f09-ad20-3f62268fe3ef	e9168ddb-8579-4a73-9f68-eb6222f4e7e4	CHILLER
f13e5aca-5843-4f09-ad20-3f62268fe3ef	0c589220-9df3-472e-a29f-4e838c8c6aad	AIR_COOLED_CHILLER
f13e5aca-5843-4f09-ad20-3f62268fe3ef	bcdf5e16-8db1-48d5-9607-d155d1e2be78	COOLING_TOWER
f13e5aca-5843-4f09-ad20-3f62268fe3ef	e217fed9-7b76-46a7-9cf5-4605ed515cba	DRY_COOLER
f13e5aca-5843-4f09-ad20-3f62268fe3ef	21aaf641-dead-4762-9de1-83b1254ae97e	REMOTE_CONDENSER
f13e5aca-5843-4f09-ad20-3f62268fe3ef	3d00a583-5b82-4366-b7c6-87fc679a2e62	CHILLED_WATER_PUMPS
f13e5aca-5843-4f09-ad20-3f62268fe3ef	6ab778a1-f37e-44e6-8032-b7f5074355b9	HEAT_REJECTION_PUMPS
f13e5aca-5843-4f09-ad20-3f62268fe3ef	a91f50a1-8789-48bf-956e-4cad97579d91	VENTILATION
f13e5aca-5843-4f09-ad20-3f62268fe3ef	96023951-adfd-470b-bbac-d40ae050e506	INFILTRATION
f13e5aca-5843-4f09-ad20-3f62268fe3ef	b7350c9f-6c9b-4e62-b6c7-2c6c50cb171b	IT_LOAD
a4b7643f-8c54-421b-b196-b40ff61741d1	f9197c97-00ea-4ccf-ae00-50069de31124	SWITCHGEAR
a4b7643f-8c54-421b-b196-b40ff61741d1	018c685b-2848-4903-8f0c-5efe1b1c5a74	GENERATOR
a4b7643f-8c54-421b-b196-b40ff61741d1	5d7e8b4c-eebf-4962-8aaa-d4f8d53206a7	PRIMARY_AUXILIARIES
a4b7643f-8c54-421b-b196-b40ff61741d1	8c115675-0c13-4ea6-81f5-9e9697130ab4	UPS
a4b7643f-8c54-421b-b196-b40ff61741d1	64713bda-e106-413f-b6c0-f86222476a7c	CRITICAL_AUXILIARIES
a4b7643f-8c54-421b-b196-b40ff61741d1	20901a04-1bad-4073-acb8-0394d1a3e8c0	LIGHTING
a4b7643f-8c54-421b-b196-b40ff61741d1	6cef3b22-3d5e-4737-a6fd-e166b71c8e06	CRITICAL_POWER_DISTRIBUTION
a4b7643f-8c54-421b-b196-b40ff61741d1	5ef0439c-1848-438f-9664-3b09ff749630	CRAH
a4b7643f-8c54-421b-b196-b40ff61741d1	87331079-ddc4-4389-8549-4ba4996f2649	CRAC
a4b7643f-8c54-421b-b196-b40ff61741d1	e9f67c7e-06d9-4c8c-be9e-d6c2e5c5c8f9	CRAC_WITHOUT_FAN
a4b7643f-8c54-421b-b196-b40ff61741d1	45ec758f-dee2-47e7-bedb-6acb3da1923c	CRAC_FAN
a4b7643f-8c54-421b-b196-b40ff61741d1	8da53ea5-b346-43b3-bccd-a5af24f838e5	CHILLER
a4b7643f-8c54-421b-b196-b40ff61741d1	263bbb83-5391-493b-9a1d-bf88d9bf7aa6	AIR_COOLED_CHILLER
a4b7643f-8c54-421b-b196-b40ff61741d1	8c49fdb6-1b40-4b9c-9b4f-beaec79d79e3	COOLING_TOWER
a4b7643f-8c54-421b-b196-b40ff61741d1	a01e7198-82bb-4f22-859b-4da68a5de288	DRY_COOLER
a4b7643f-8c54-421b-b196-b40ff61741d1	93f85f05-2d7d-4dca-b980-62ff2453c3da	REMOTE_CONDENSER
a4b7643f-8c54-421b-b196-b40ff61741d1	17366d18-b30c-400d-86c6-3ee667643ef7	CHILLED_WATER_PUMPS
a4b7643f-8c54-421b-b196-b40ff61741d1	049f8f50-7bfc-4a5b-9ef1-4316e853abcb	HEAT_REJECTION_PUMPS
a4b7643f-8c54-421b-b196-b40ff61741d1	0ab8eb93-58e1-4e66-9393-118557adbad1	VENTILATION
a4b7643f-8c54-421b-b196-b40ff61741d1	c3d841a2-44a9-4973-91df-9b4a5a142150	INFILTRATION
a4b7643f-8c54-421b-b196-b40ff61741d1	22059dc1-e5fe-49a0-b11c-112fbd153302	IT_LOAD
15758cb5-fa1e-412d-9317-29fe17f0fc92	9594d469-7e86-492d-b90f-cdef00f8d43c	SWITCHGEAR
15758cb5-fa1e-412d-9317-29fe17f0fc92	71c67789-c66c-47e6-8334-bfe4ad347688	GENERATOR
15758cb5-fa1e-412d-9317-29fe17f0fc92	03b71f5e-3b7a-4531-b591-4f039a961e92	PRIMARY_AUXILIARIES
15758cb5-fa1e-412d-9317-29fe17f0fc92	5542ea95-29eb-4e17-81e0-66dad270524b	UPS
15758cb5-fa1e-412d-9317-29fe17f0fc92	1ff13071-3666-4909-8069-38933ef64817	CRITICAL_AUXILIARIES
15758cb5-fa1e-412d-9317-29fe17f0fc92	cf0dd164-fd8d-4c99-8d97-a7c54ea00ec5	LIGHTING
15758cb5-fa1e-412d-9317-29fe17f0fc92	54d063cc-0b68-4d9b-992f-d3aabd53997b	CRITICAL_POWER_DISTRIBUTION
15758cb5-fa1e-412d-9317-29fe17f0fc92	526a47f2-6452-4764-9871-2fcdb8a20499	CRAH
15758cb5-fa1e-412d-9317-29fe17f0fc92	187cd706-a50d-4412-831a-3ba8d92fb065	CRAC
15758cb5-fa1e-412d-9317-29fe17f0fc92	7b0905fe-d798-4de7-896c-c123f8a4bea3	CRAC_WITHOUT_FAN
15758cb5-fa1e-412d-9317-29fe17f0fc92	2c81065c-d6cd-4fa1-8c51-c0ecf044b1e8	CRAC_FAN
15758cb5-fa1e-412d-9317-29fe17f0fc92	e01b0261-c698-4666-bbad-1f6b2cb06ef7	CHILLER
15758cb5-fa1e-412d-9317-29fe17f0fc92	4e4ea7b6-8bbb-4a9e-ac63-b3f4a83aab10	AIR_COOLED_CHILLER
15758cb5-fa1e-412d-9317-29fe17f0fc92	2137b8ad-5ae2-4ce0-98bb-674ea77b03d3	COOLING_TOWER
15758cb5-fa1e-412d-9317-29fe17f0fc92	f56756e0-2186-46ee-9896-54263fbac867	DRY_COOLER
15758cb5-fa1e-412d-9317-29fe17f0fc92	a09f2860-8f60-4ce6-b82a-39a85d0c84aa	REMOTE_CONDENSER
15758cb5-fa1e-412d-9317-29fe17f0fc92	974dfc50-e277-4c19-9d81-ed2a5290d95e	CHILLED_WATER_PUMPS
15758cb5-fa1e-412d-9317-29fe17f0fc92	b84473f1-b431-4195-bdd7-d983c7494f8f	HEAT_REJECTION_PUMPS
15758cb5-fa1e-412d-9317-29fe17f0fc92	e4c74c7e-66a8-4613-9194-051a96bffdce	VENTILATION
15758cb5-fa1e-412d-9317-29fe17f0fc92	339b5023-fd15-4ace-bbf5-517f1940ceab	INFILTRATION
15758cb5-fa1e-412d-9317-29fe17f0fc92	246f4564-1022-492a-bacf-53edcbba8f0c	IT_LOAD
7404ff0d-9839-4b03-bbbf-c51613f3cc71	b0dc6225-8843-4ffe-8989-072225580290	SWITCHGEAR
7404ff0d-9839-4b03-bbbf-c51613f3cc71	899bab9d-64b5-4566-b123-3c5490cf8712	GENERATOR
7404ff0d-9839-4b03-bbbf-c51613f3cc71	43b663b7-7658-450e-abb3-dae58e747003	PRIMARY_AUXILIARIES
7404ff0d-9839-4b03-bbbf-c51613f3cc71	4eeebcde-8aab-4983-a44c-dc375fbd7fb9	UPS
7404ff0d-9839-4b03-bbbf-c51613f3cc71	18116da1-2d4e-4920-ad45-daa2b03e0dbd	CRITICAL_AUXILIARIES
7404ff0d-9839-4b03-bbbf-c51613f3cc71	27ad13f0-981e-4584-859d-25d8844d2ff4	LIGHTING
7404ff0d-9839-4b03-bbbf-c51613f3cc71	5acbeb4f-133d-4bd4-95ac-8975d5a10a1a	CRITICAL_POWER_DISTRIBUTION
7404ff0d-9839-4b03-bbbf-c51613f3cc71	bb8b6987-3542-45ab-856a-3d7c7109dc94	CRAH
7404ff0d-9839-4b03-bbbf-c51613f3cc71	74d78e7d-72c3-4b3c-bc50-dbb1c5fab54f	CRAC
7404ff0d-9839-4b03-bbbf-c51613f3cc71	d0d83209-b096-4227-978b-06cfce03953d	CRAC_WITHOUT_FAN
7404ff0d-9839-4b03-bbbf-c51613f3cc71	20b89a21-b8c6-43de-8d1d-d5465cc15cce	CRAC_FAN
7404ff0d-9839-4b03-bbbf-c51613f3cc71	2bf90f4d-7a3b-47c4-861a-cb28d10c7f98	CHILLER
7404ff0d-9839-4b03-bbbf-c51613f3cc71	780e548d-da82-4d7e-b9c4-87343ec5cb01	AIR_COOLED_CHILLER
7404ff0d-9839-4b03-bbbf-c51613f3cc71	156548ed-9490-4c66-9bd0-3f6c6651677e	COOLING_TOWER
7404ff0d-9839-4b03-bbbf-c51613f3cc71	4cb07b63-8b90-4961-ae13-b611c1b7e358	DRY_COOLER
7404ff0d-9839-4b03-bbbf-c51613f3cc71	8d6bad03-2f04-4c16-be26-7ab958192b2d	REMOTE_CONDENSER
7404ff0d-9839-4b03-bbbf-c51613f3cc71	740b5ba6-0980-4e9f-9437-87a546eb3ffa	CHILLED_WATER_PUMPS
7404ff0d-9839-4b03-bbbf-c51613f3cc71	b0a4b025-c538-4344-8c19-187e06ff8028	HEAT_REJECTION_PUMPS
7404ff0d-9839-4b03-bbbf-c51613f3cc71	f856169a-6bda-4fe2-b891-28462ba9bb7c	VENTILATION
7404ff0d-9839-4b03-bbbf-c51613f3cc71	f7eda323-e08e-44d0-8b16-8f70f5915e82	INFILTRATION
7404ff0d-9839-4b03-bbbf-c51613f3cc71	e7d734cd-7540-4300-8a9d-99cc91c226b3	IT_LOAD
e688accc-76d4-426e-ae62-f40c905622a9	77e1fff0-b4ff-4ef7-9cbd-18062a17824b	SWITCHGEAR
e688accc-76d4-426e-ae62-f40c905622a9	321b1650-d220-48ae-94fc-c9ebe5010d33	GENERATOR
e688accc-76d4-426e-ae62-f40c905622a9	8f22eb02-f2c9-41f1-85b9-a0794a7b0d58	PRIMARY_AUXILIARIES
e688accc-76d4-426e-ae62-f40c905622a9	5881e3e4-a94e-4bdc-b4bd-42fd9a71687b	UPS
e688accc-76d4-426e-ae62-f40c905622a9	00d7a751-4b3c-49e5-85ce-a3f04c2164ae	CRITICAL_AUXILIARIES
e688accc-76d4-426e-ae62-f40c905622a9	c071653e-ecb7-4a7c-bc44-77d037b013f9	LIGHTING
e688accc-76d4-426e-ae62-f40c905622a9	13bc6fc5-3dfa-4bac-b25e-d32f8e463c85	CRITICAL_POWER_DISTRIBUTION
e688accc-76d4-426e-ae62-f40c905622a9	3e784aef-77a4-400c-81f8-5987af6af513	CRAH
e688accc-76d4-426e-ae62-f40c905622a9	bda4aff3-62db-4c94-b4b9-7f32d9b452d3	CRAC
e688accc-76d4-426e-ae62-f40c905622a9	b26e71da-275e-4a26-aacc-c58b4f78ee68	CRAC_WITHOUT_FAN
e688accc-76d4-426e-ae62-f40c905622a9	966649d7-f5d6-4921-aa72-0ad069d87fac	CRAC_FAN
e688accc-76d4-426e-ae62-f40c905622a9	6e91f87b-0774-45ec-8479-f9788a7381cb	CHILLER
e688accc-76d4-426e-ae62-f40c905622a9	af108e1b-1cfb-419e-a86c-8259afa91a79	AIR_COOLED_CHILLER
e688accc-76d4-426e-ae62-f40c905622a9	e454a330-26f9-4ac2-b49d-427714cfe344	COOLING_TOWER
e688accc-76d4-426e-ae62-f40c905622a9	4a2dc299-325d-4477-949d-abe5f2081961	DRY_COOLER
e688accc-76d4-426e-ae62-f40c905622a9	f54d2140-fb61-49fc-8bdc-3281fa813b8b	REMOTE_CONDENSER
e688accc-76d4-426e-ae62-f40c905622a9	f21b4169-652f-44ec-8547-c26259211128	CHILLED_WATER_PUMPS
e688accc-76d4-426e-ae62-f40c905622a9	3551b330-b331-4c5f-b7f2-7754378e2533	HEAT_REJECTION_PUMPS
e688accc-76d4-426e-ae62-f40c905622a9	5dad8185-84f7-475e-a7fb-9de538842ad8	VENTILATION
e688accc-76d4-426e-ae62-f40c905622a9	1a33483a-02ae-43b4-af4d-bf5a7c8f18b3	INFILTRATION
e688accc-76d4-426e-ae62-f40c905622a9	a93a55c6-e74c-4a6c-a42d-6ba9fafe40a2	IT_LOAD
7473bf8a-7e6b-472b-9201-2a47986a3ada	f12cafff-81b3-471b-8741-397c14fd8e29	SWITCHGEAR
7473bf8a-7e6b-472b-9201-2a47986a3ada	2174efd1-0753-4fe0-b801-7148beed5dfa	GENERATOR
7473bf8a-7e6b-472b-9201-2a47986a3ada	d978d52d-9541-402d-8af0-106798cf2204	PRIMARY_AUXILIARIES
7473bf8a-7e6b-472b-9201-2a47986a3ada	b12b2130-228e-40da-9d85-688ce5e3e23c	UPS
7473bf8a-7e6b-472b-9201-2a47986a3ada	16997c4c-a0a0-4fef-a08c-1883790f73ed	CRITICAL_AUXILIARIES
7473bf8a-7e6b-472b-9201-2a47986a3ada	58bf726d-90b1-409f-986a-202576701396	LIGHTING
7473bf8a-7e6b-472b-9201-2a47986a3ada	84f78bfb-31d1-4552-ba99-5dd8cc919f6d	CRITICAL_POWER_DISTRIBUTION
7473bf8a-7e6b-472b-9201-2a47986a3ada	9fbabb1e-e650-428c-8c38-9d7989a48a31	CRAH
7473bf8a-7e6b-472b-9201-2a47986a3ada	ffcfb7fc-a3eb-451a-b8fe-b231dd43ddab	CRAC
7473bf8a-7e6b-472b-9201-2a47986a3ada	7abf96c3-10b1-4539-b71f-cac4786bc99e	CRAC_WITHOUT_FAN
7473bf8a-7e6b-472b-9201-2a47986a3ada	ebbcbf6d-338a-4158-8ad0-02cd649cdb28	CRAC_FAN
7473bf8a-7e6b-472b-9201-2a47986a3ada	b509e76b-b4cd-476a-8a40-0960e46ff38a	CHILLER
7473bf8a-7e6b-472b-9201-2a47986a3ada	dd55b9ad-43d9-4977-9ada-78d4a6ea09eb	AIR_COOLED_CHILLER
7473bf8a-7e6b-472b-9201-2a47986a3ada	474b4cca-552f-4260-b15a-355569a14fc0	COOLING_TOWER
7473bf8a-7e6b-472b-9201-2a47986a3ada	764dd4b7-9b23-4702-a5db-05db3ec527e4	DRY_COOLER
7473bf8a-7e6b-472b-9201-2a47986a3ada	4787af72-05d6-4b5b-9867-6f4e3e460ba7	REMOTE_CONDENSER
7473bf8a-7e6b-472b-9201-2a47986a3ada	2bc87a42-34ad-4b09-b1ba-4355d3c3ba0e	CHILLED_WATER_PUMPS
7473bf8a-7e6b-472b-9201-2a47986a3ada	9bec219c-2159-40a8-8ec9-ef86d67be242	HEAT_REJECTION_PUMPS
7473bf8a-7e6b-472b-9201-2a47986a3ada	ee562d86-92a1-4d30-9147-4632d95c745c	VENTILATION
7473bf8a-7e6b-472b-9201-2a47986a3ada	0a29e959-75c2-4d2b-9827-937b8a23d668	INFILTRATION
7473bf8a-7e6b-472b-9201-2a47986a3ada	0cd3bba9-40db-4563-9a2e-f0d6be53748f	IT_LOAD
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	d3fe7ccd-dc2b-459e-8c3a-24f7c02a9414	SWITCHGEAR
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	0530bb9e-71c7-4abe-a447-4abec321c9ba	GENERATOR
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	1300d85c-185b-4aa2-835c-19b6cdd897b8	PRIMARY_AUXILIARIES
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	0c8c6652-22eb-4732-9733-e3bce85f4c26	UPS
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	d6bba953-ac1a-4785-991d-1375d074e06a	CRITICAL_AUXILIARIES
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	928b9767-42a6-480d-a233-cf9241584254	LIGHTING
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	45cb7446-f677-4184-bdca-62fdfb1265ae	CRITICAL_POWER_DISTRIBUTION
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	16588c63-0ad8-4b0b-bb9e-55cb42690b46	CRAH
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	fca3380e-a60b-46e7-af7b-51ddd78522f7	CRAC
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	8ad7dcac-187a-4ca5-a61b-64ef95e8f960	CRAC_WITHOUT_FAN
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	f529bc08-609c-46d3-8029-a999229bc168	CRAC_FAN
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	26dcf3b4-6444-4922-b441-d1bf2bddbbee	CHILLER
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	a3c8fd2f-489e-46a5-896d-5fa5ff54eb41	AIR_COOLED_CHILLER
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	39de5d0a-3aba-496e-b1eb-b31a098ef9a4	COOLING_TOWER
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	6327e2b5-d3ee-458b-83db-3985ed1172bd	DRY_COOLER
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	529eb9ae-bc9b-4f14-85b1-7cf98a8264fb	REMOTE_CONDENSER
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	b1b36a97-5412-4c85-ad79-b712bd762fe5	CHILLED_WATER_PUMPS
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	d4c355cb-aff7-4f2a-bda8-7e04d14d016d	HEAT_REJECTION_PUMPS
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	600c5a2d-1ed1-4fa9-bd53-0c5486da9391	VENTILATION
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	a8020d0b-fd45-456a-9e57-1050d1679953	INFILTRATION
e85e56cd-ee39-4a95-a5f4-5bb80f26ec98	984a51d5-a463-49b1-ad6e-0a4caed38fc4	IT_LOAD
2ebba832-7088-4f45-94ce-5f4567334ca3	a10530b6-a83d-4d26-9ab0-13276b6600a6	SWITCHGEAR
2ebba832-7088-4f45-94ce-5f4567334ca3	c5418e83-455c-44b1-86b8-4db6c7806f19	GENERATOR
2ebba832-7088-4f45-94ce-5f4567334ca3	ca3fbdda-5b01-41e3-a835-71bff0bcecf5	PRIMARY_AUXILIARIES
2ebba832-7088-4f45-94ce-5f4567334ca3	1e599b60-26a9-4feb-9623-83b4afbcb3df	UPS
2ebba832-7088-4f45-94ce-5f4567334ca3	efd46b87-6b08-470e-a79e-e91ebc2f46e1	CRITICAL_AUXILIARIES
2ebba832-7088-4f45-94ce-5f4567334ca3	b84e094c-c520-49a5-a2ed-c99cccf9b35f	LIGHTING
2ebba832-7088-4f45-94ce-5f4567334ca3	e943d54b-ee6a-4ef9-9041-a4e1a9a66202	CRITICAL_POWER_DISTRIBUTION
2ebba832-7088-4f45-94ce-5f4567334ca3	5fb7c97d-41b7-4848-9329-5564d990f8e3	CRAH
2ebba832-7088-4f45-94ce-5f4567334ca3	4215f0ad-70b9-4c6d-a9ae-48b351ee0d87	CRAC
2ebba832-7088-4f45-94ce-5f4567334ca3	8f0fb496-6419-42ef-b280-6ad811bcf35f	CRAC_WITHOUT_FAN
2ebba832-7088-4f45-94ce-5f4567334ca3	ed99fe9d-8473-44bd-a8c8-a7f1060af6e9	CRAC_FAN
2ebba832-7088-4f45-94ce-5f4567334ca3	7990ec8e-3fea-4ad7-b14d-2dd8f13b4f7e	CHILLER
2ebba832-7088-4f45-94ce-5f4567334ca3	3c69ad61-485b-4945-939c-057accf52612	AIR_COOLED_CHILLER
2ebba832-7088-4f45-94ce-5f4567334ca3	7741e8ae-8bc0-47d2-b0c3-c130262d567b	COOLING_TOWER
2ebba832-7088-4f45-94ce-5f4567334ca3	94f963c8-fc1d-4599-abde-17c89ddf3fb0	DRY_COOLER
2ebba832-7088-4f45-94ce-5f4567334ca3	a6fc90be-9385-4c31-8b1f-b5101da5e9c0	REMOTE_CONDENSER
2ebba832-7088-4f45-94ce-5f4567334ca3	04f34d46-3a2c-4046-b02e-2f8c57c11645	CHILLED_WATER_PUMPS
2ebba832-7088-4f45-94ce-5f4567334ca3	aa8683f1-fb8a-4434-a74d-f4dd916677b1	HEAT_REJECTION_PUMPS
2ebba832-7088-4f45-94ce-5f4567334ca3	bb1c7a81-303b-43fb-9678-09b12605a133	VENTILATION
2ebba832-7088-4f45-94ce-5f4567334ca3	414ffdf5-18d3-4712-a020-6437b2442881	INFILTRATION
2ebba832-7088-4f45-94ce-5f4567334ca3	3046acf2-dc80-48c8-a2bf-46f74c5732fa	IT_LOAD
51fa80dd-5bf3-42d9-bab7-d877b30debd7	2a69088c-8059-48ce-8b5c-5dec52043be9	SWITCHGEAR
51fa80dd-5bf3-42d9-bab7-d877b30debd7	0a0ddc19-8310-48e9-94c8-b8dae2cc0999	GENERATOR
51fa80dd-5bf3-42d9-bab7-d877b30debd7	d5a9614b-8a28-4b6f-b9ee-92426c9c6ad2	PRIMARY_AUXILIARIES
51fa80dd-5bf3-42d9-bab7-d877b30debd7	5e7b64bc-9f54-4b03-8a9c-8933b6ec3c5f	UPS
51fa80dd-5bf3-42d9-bab7-d877b30debd7	5c107c4a-7e87-4c4d-9b22-23fa5dcfeec4	CRITICAL_AUXILIARIES
51fa80dd-5bf3-42d9-bab7-d877b30debd7	949b6ca0-ad7c-4a7b-b3a4-fd6d432d766f	LIGHTING
51fa80dd-5bf3-42d9-bab7-d877b30debd7	be370c1f-0e06-4fa8-8ce0-2198fb856f9b	CRITICAL_POWER_DISTRIBUTION
51fa80dd-5bf3-42d9-bab7-d877b30debd7	173b3c6a-208c-471d-9560-d977f89aedf6	CRAH
51fa80dd-5bf3-42d9-bab7-d877b30debd7	00707866-7b8c-4d96-ab06-bdf8c7284b61	CRAC
51fa80dd-5bf3-42d9-bab7-d877b30debd7	93e08ab6-4b33-4f6a-8920-9d506dc161d1	CRAC_WITHOUT_FAN
51fa80dd-5bf3-42d9-bab7-d877b30debd7	316ae1ab-780b-4c1c-8b3b-46ca42ae6b03	CRAC_FAN
51fa80dd-5bf3-42d9-bab7-d877b30debd7	e015ef91-fac1-4af4-a3a4-c65783c2b721	CHILLER
51fa80dd-5bf3-42d9-bab7-d877b30debd7	9e13121f-b021-4da3-9d0c-4e21dca90f97	AIR_COOLED_CHILLER
51fa80dd-5bf3-42d9-bab7-d877b30debd7	da8f1d62-257e-45b0-86fd-affbd4a56ed6	COOLING_TOWER
51fa80dd-5bf3-42d9-bab7-d877b30debd7	04555282-6a18-4c33-bfee-6001a3b0b606	DRY_COOLER
51fa80dd-5bf3-42d9-bab7-d877b30debd7	7c189991-3ba8-435b-8713-b126ef1cd0fa	REMOTE_CONDENSER
51fa80dd-5bf3-42d9-bab7-d877b30debd7	1c099b80-9387-47a5-9da7-126b0182874d	CHILLED_WATER_PUMPS
51fa80dd-5bf3-42d9-bab7-d877b30debd7	2957c084-fff7-41cd-a8cc-d276af27da24	HEAT_REJECTION_PUMPS
51fa80dd-5bf3-42d9-bab7-d877b30debd7	871c3960-16af-4f86-88ba-04780dfea533	VENTILATION
51fa80dd-5bf3-42d9-bab7-d877b30debd7	7b99dfb8-8db3-4315-9894-c93dcbb19fb8	INFILTRATION
51fa80dd-5bf3-42d9-bab7-d877b30debd7	95305c3e-2077-4f5d-8716-2b772e7e507d	IT_LOAD
7b2f20df-2d49-4085-a5d8-154121e9eef2	7652f15c-0e2e-4cfe-96bc-4a03326fa17a	SWITCHGEAR
7b2f20df-2d49-4085-a5d8-154121e9eef2	569cbc9d-f86f-46c5-93e5-8aa0ce12a301	GENERATOR
7b2f20df-2d49-4085-a5d8-154121e9eef2	e7dd91ff-a11c-4804-ab3d-8c56da6569e5	PRIMARY_AUXILIARIES
7b2f20df-2d49-4085-a5d8-154121e9eef2	aec618c6-c43a-4066-8b72-0d22e159f723	UPS
7b2f20df-2d49-4085-a5d8-154121e9eef2	204d795e-2d1a-4214-9f52-0857294f4a38	CRITICAL_AUXILIARIES
7b2f20df-2d49-4085-a5d8-154121e9eef2	8fd32ee6-9a2f-4ff9-a381-ad482cbe1c34	LIGHTING
7b2f20df-2d49-4085-a5d8-154121e9eef2	90bbe8ab-546a-4fb6-beb8-1843c83ac86e	CRITICAL_POWER_DISTRIBUTION
7b2f20df-2d49-4085-a5d8-154121e9eef2	885fed49-4d94-429f-b083-291d376bae2c	CRAH
7b2f20df-2d49-4085-a5d8-154121e9eef2	e94d3107-c2dd-44ab-b925-3398018a86b0	CRAC
7b2f20df-2d49-4085-a5d8-154121e9eef2	cf71b9d4-e4a8-4891-9374-8394d736cd8d	CRAC_WITHOUT_FAN
7b2f20df-2d49-4085-a5d8-154121e9eef2	aaebc639-1576-41ab-abd1-125cf1c60dd2	CRAC_FAN
7b2f20df-2d49-4085-a5d8-154121e9eef2	e920ee7e-d451-4e40-a568-08fa2b058455	CHILLER
7b2f20df-2d49-4085-a5d8-154121e9eef2	fd7b7b0c-1853-4b3f-9da6-2cdf29ca78ab	AIR_COOLED_CHILLER
7b2f20df-2d49-4085-a5d8-154121e9eef2	8a828f7f-3ae0-4a54-b363-187b12e89795	COOLING_TOWER
7b2f20df-2d49-4085-a5d8-154121e9eef2	592e7674-7d3f-4526-a586-d16b2ab82dc0	DRY_COOLER
7b2f20df-2d49-4085-a5d8-154121e9eef2	ff8f21ee-ddbd-4134-9cd3-cc398df1bce2	REMOTE_CONDENSER
7b2f20df-2d49-4085-a5d8-154121e9eef2	08da1507-8838-4716-bf36-938d98e28703	CHILLED_WATER_PUMPS
7b2f20df-2d49-4085-a5d8-154121e9eef2	535dfc84-0028-4cf9-a207-4d947e497038	HEAT_REJECTION_PUMPS
7b2f20df-2d49-4085-a5d8-154121e9eef2	f6dae6f6-9941-44f2-bf77-f4d655f1196a	VENTILATION
7b2f20df-2d49-4085-a5d8-154121e9eef2	026951e9-3ba2-4d36-bc9d-3562627b3ac9	INFILTRATION
7b2f20df-2d49-4085-a5d8-154121e9eef2	2c74b03f-4c3f-4599-a521-d1bde59a0f36	IT_LOAD
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	a4fd6bfa-88ff-4ec2-a59b-d744a279606a	SWITCHGEAR
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	1d62cf24-c67c-4997-97dd-c801ffdfac10	GENERATOR
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	729e4577-37b3-41df-ad2e-51da356cd61c	PRIMARY_AUXILIARIES
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	61918c10-8f5b-435e-8206-1eb8e32396f7	UPS
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	4d1a5dab-d717-4aa1-ba7a-56a9bb722411	CRITICAL_AUXILIARIES
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	c4ed8c38-1853-4e03-a638-33696d821e45	LIGHTING
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	65788a25-cff1-47d4-aa8d-9529102fd2a8	CRITICAL_POWER_DISTRIBUTION
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	79af9cbb-df67-4430-a6de-36c94f2f2a45	CRAH
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	8d245436-81d8-434f-aceb-393d6022f513	CRAC
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	decad6cd-194c-4193-aeb4-9f451757c08b	CRAC_WITHOUT_FAN
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	a6b7f652-186c-4989-a53b-d48d9d9a26f0	CRAC_FAN
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	62fccfae-dad9-4e2b-aee5-6c2c61a50760	CHILLER
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	d70e26dc-e1ee-4d9a-b6cb-50ab346719e9	AIR_COOLED_CHILLER
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	a15fea41-3807-4f3b-b4d7-b09addc18367	COOLING_TOWER
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	6758ad72-0f0c-40c7-8bc4-27b7f863c1bd	DRY_COOLER
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	56501767-9647-4309-ada6-3f67a63e648f	REMOTE_CONDENSER
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	e69abd15-dffc-48df-8e2a-14f38040dd95	CHILLED_WATER_PUMPS
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	913fde31-d6fb-4316-beda-91debccb6c01	HEAT_REJECTION_PUMPS
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	67d3ec7f-20d3-4d7e-b888-b12bd97b93d8	VENTILATION
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	4a5a5b08-5edc-414a-938c-d6b24569bdd0	INFILTRATION
7a2e2cd4-1107-4377-88a1-2c0d5b370e65	45c5121c-b3e3-46e0-9472-9a6cbaebf066	IT_LOAD
5a36c6b5-a67d-4dd3-9990-998385e30194	9a6de58e-4540-4899-a4f4-b4ffbbbf7091	SWITCHGEAR
5a36c6b5-a67d-4dd3-9990-998385e30194	a853dd17-2e6c-414d-a0a9-21b5b807fdb2	GENERATOR
5a36c6b5-a67d-4dd3-9990-998385e30194	3adfeed6-a443-4063-94fe-743107cde8ef	PRIMARY_AUXILIARIES
5a36c6b5-a67d-4dd3-9990-998385e30194	f8fa8fad-be18-4ac8-824b-b4f2e40b248e	UPS
5a36c6b5-a67d-4dd3-9990-998385e30194	951f3edd-cb5a-4956-8166-f6ff2a272661	CRITICAL_AUXILIARIES
5a36c6b5-a67d-4dd3-9990-998385e30194	579c61b8-a838-402e-ad48-06fee78feece	LIGHTING
5a36c6b5-a67d-4dd3-9990-998385e30194	1611173c-baf8-4fa4-a5d0-114d2ce35521	CRITICAL_POWER_DISTRIBUTION
5a36c6b5-a67d-4dd3-9990-998385e30194	a7f39c04-4634-4bd5-8347-355d1af01418	CRAH
5a36c6b5-a67d-4dd3-9990-998385e30194	ed8cbf87-aada-4984-bf9f-ae98c5a0c7ee	CRAC
5a36c6b5-a67d-4dd3-9990-998385e30194	b8c2b3dd-8a71-495a-927d-f82d1134fff2	CRAC_WITHOUT_FAN
5a36c6b5-a67d-4dd3-9990-998385e30194	8a77c27b-0c45-4093-ac70-fdb16d6050f9	CRAC_FAN
5a36c6b5-a67d-4dd3-9990-998385e30194	18f3af30-2470-4573-aed9-575a824839a8	CHILLER
5a36c6b5-a67d-4dd3-9990-998385e30194	11991c28-fa7c-4c89-aed5-70f8c745072c	AIR_COOLED_CHILLER
5a36c6b5-a67d-4dd3-9990-998385e30194	0a82b29c-bb9f-4cbb-adfc-5c9ea6284c01	COOLING_TOWER
5a36c6b5-a67d-4dd3-9990-998385e30194	4097ea33-3304-4313-97f1-b6120e111d47	DRY_COOLER
5a36c6b5-a67d-4dd3-9990-998385e30194	16465a30-58ce-4502-ab57-8f765fee4baa	REMOTE_CONDENSER
5a36c6b5-a67d-4dd3-9990-998385e30194	4562cecb-7c6f-44a1-ab20-ae8ecfedf0cc	CHILLED_WATER_PUMPS
5a36c6b5-a67d-4dd3-9990-998385e30194	ab107cd4-72ce-4da6-b9f9-b8b02c053ae1	HEAT_REJECTION_PUMPS
5a36c6b5-a67d-4dd3-9990-998385e30194	31f1d8fc-9ed8-44c1-9a63-f8c6158f10ee	VENTILATION
5a36c6b5-a67d-4dd3-9990-998385e30194	063d51cb-36b2-4f54-9a95-c3b7592929ac	INFILTRATION
5a36c6b5-a67d-4dd3-9990-998385e30194	8c9439b7-37f4-4a84-9cfb-3b0fc95fcb69	IT_LOAD
0be80e33-8810-4fd1-ac36-4a618c285410	67775d33-1f4d-42e9-aa39-5f02a05bee56	SWITCHGEAR
0be80e33-8810-4fd1-ac36-4a618c285410	76f940f4-a603-42b5-8260-6345dc80bc6d	GENERATOR
0be80e33-8810-4fd1-ac36-4a618c285410	4d2807fa-0759-4a2a-8cb1-6044561364f9	PRIMARY_AUXILIARIES
0be80e33-8810-4fd1-ac36-4a618c285410	cba8f573-4efa-44ca-a759-9aedc09e4553	UPS
0be80e33-8810-4fd1-ac36-4a618c285410	997db5ae-c93a-40b3-b375-66bcb901ea35	CRITICAL_AUXILIARIES
0be80e33-8810-4fd1-ac36-4a618c285410	68f136fe-65d3-4e53-b650-1b9e5a44f5a3	LIGHTING
0be80e33-8810-4fd1-ac36-4a618c285410	95e4fe4a-dc0b-423a-967d-e31a32b30d93	CRITICAL_POWER_DISTRIBUTION
0be80e33-8810-4fd1-ac36-4a618c285410	040918c4-c5ec-4b91-87d1-24163e32d9a2	CRAH
0be80e33-8810-4fd1-ac36-4a618c285410	8e4ce8f3-37b4-40d6-9836-c42b7cb4dfab	CRAC
0be80e33-8810-4fd1-ac36-4a618c285410	176d478d-13aa-4a63-8fc2-1255b940690d	CRAC_WITHOUT_FAN
0be80e33-8810-4fd1-ac36-4a618c285410	c215cb76-773e-4593-9839-5db453b9f6cc	CRAC_FAN
0be80e33-8810-4fd1-ac36-4a618c285410	f65971c1-8786-4215-b834-e2afa3573aa6	CHILLER
0be80e33-8810-4fd1-ac36-4a618c285410	d83b0c6a-d371-49b2-9925-313c4eb5339a	AIR_COOLED_CHILLER
0be80e33-8810-4fd1-ac36-4a618c285410	8b5d7081-a98f-4d27-8f46-6b88362d136c	COOLING_TOWER
0be80e33-8810-4fd1-ac36-4a618c285410	941d3214-fe56-4c2d-ad6b-725cd4fd6ecd	DRY_COOLER
0be80e33-8810-4fd1-ac36-4a618c285410	f35f6698-fb28-4577-8e2e-ada445774411	REMOTE_CONDENSER
0be80e33-8810-4fd1-ac36-4a618c285410	257bc872-17cd-4aa7-8312-60b63f291b22	CHILLED_WATER_PUMPS
0be80e33-8810-4fd1-ac36-4a618c285410	78abf602-7fdb-4981-8a54-7a8620be6004	HEAT_REJECTION_PUMPS
0be80e33-8810-4fd1-ac36-4a618c285410	979dfe5d-edbc-46a9-9429-4c2095191050	VENTILATION
0be80e33-8810-4fd1-ac36-4a618c285410	b6940586-1d34-4c0d-ab03-e0eb1e43c8f4	INFILTRATION
0be80e33-8810-4fd1-ac36-4a618c285410	ec87bca4-5b14-423a-9f56-c42ffc7d53d5	IT_LOAD
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	0d45a089-087d-4b16-84e9-02a71e7423d5	SWITCHGEAR
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	4948e6b0-23c0-4a70-a72b-143cb38622b8	GENERATOR
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	708c4f22-25c3-459b-bad1-69952bdf2818	PRIMARY_AUXILIARIES
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	c263c069-e2d4-45a7-ab47-8977795bf1cd	UPS
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	de8320d3-3bee-4e45-b837-984df3b9a7fd	CRITICAL_AUXILIARIES
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	33b49152-816f-4c91-b37a-2f806be5f25e	LIGHTING
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	c5b60bdc-d01b-458f-8ffa-2559129a9b57	CRITICAL_POWER_DISTRIBUTION
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	b9b53697-a2ce-4e63-9157-a1ffafef8a0a	CRAH
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	d7a6eade-baa3-4ef1-873c-7240f05a8e3a	CRAC
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	d709a958-6362-4e7c-8d4b-4511c20402fb	CRAC_WITHOUT_FAN
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	230a7db4-4137-48e7-88bd-2f4256d793b9	CRAC_FAN
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	b4615bb8-9c8c-442f-87c1-a71e30c6b8e6	CHILLER
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	ace935e0-b61d-46b4-b3c4-a7ffce6362b9	AIR_COOLED_CHILLER
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	acd128ff-a880-4745-8ff8-930fa910f02b	COOLING_TOWER
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	aea79253-5be3-4260-96f8-91bda8b67e3a	DRY_COOLER
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	911dfdde-0ddd-4949-8981-f59d51233db1	REMOTE_CONDENSER
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	91fcb106-1dcd-492e-b0d3-170392e80af3	CHILLED_WATER_PUMPS
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	010944da-3d59-4a4f-a575-f335f4c47a3e	HEAT_REJECTION_PUMPS
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	ca5cbf93-d876-4938-8788-f79492f0baf3	VENTILATION
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	82758be7-2413-4698-8e66-7411162f54a2	INFILTRATION
4b187eb6-f5f3-43ac-8b31-5d2de946ae2e	c0e06735-6df8-44ec-8dc8-cb52ca10ca4e	IT_LOAD
8310eeec-1e07-4375-9150-e85daff42ce9	0f45593f-4533-404a-8d63-5b412d2d795c	SWITCHGEAR
8310eeec-1e07-4375-9150-e85daff42ce9	ec6ee990-8716-4646-a07a-2c54a6f5a9f9	GENERATOR
8310eeec-1e07-4375-9150-e85daff42ce9	d4970877-37ea-4670-a883-80272c535a8a	PRIMARY_AUXILIARIES
8310eeec-1e07-4375-9150-e85daff42ce9	514f71f7-6b08-4083-a8df-1e9f7f886096	UPS
8310eeec-1e07-4375-9150-e85daff42ce9	b923b3a7-7877-415d-bdd1-4db36d4c3f88	CRITICAL_AUXILIARIES
8310eeec-1e07-4375-9150-e85daff42ce9	a3d7192b-658a-4062-a1d3-3e48b11282ad	LIGHTING
8310eeec-1e07-4375-9150-e85daff42ce9	41179036-f332-4608-9587-4fcb3ec14ab6	CRITICAL_POWER_DISTRIBUTION
8310eeec-1e07-4375-9150-e85daff42ce9	0a0ccd56-2126-429c-98f2-b6af276dbd9b	CRAH
8310eeec-1e07-4375-9150-e85daff42ce9	41a78299-44df-4bb8-9c71-a466b6ae25b5	CRAC
8310eeec-1e07-4375-9150-e85daff42ce9	790d5cc4-aa2d-4ff1-b947-9d8c61fb6403	CRAC_WITHOUT_FAN
8310eeec-1e07-4375-9150-e85daff42ce9	3fbb33e1-15b2-4622-baa5-2dc2b00517b0	CRAC_FAN
8310eeec-1e07-4375-9150-e85daff42ce9	8bc60a32-9e0e-4922-85ac-be216b71f461	CHILLER
8310eeec-1e07-4375-9150-e85daff42ce9	82bcda14-db6a-4d6a-b0f6-0e8f761b6a76	AIR_COOLED_CHILLER
8310eeec-1e07-4375-9150-e85daff42ce9	52f696fc-c7ef-45ac-a7a2-2235cdf9a6e0	COOLING_TOWER
8310eeec-1e07-4375-9150-e85daff42ce9	27aef037-fbbc-42b0-9451-7b1c91b9901d	DRY_COOLER
8310eeec-1e07-4375-9150-e85daff42ce9	3adab0f4-5d3f-47f1-8c64-b3e267a4a29d	REMOTE_CONDENSER
8310eeec-1e07-4375-9150-e85daff42ce9	a3b38e3c-2866-4cd7-8b76-515ef8a6f49b	CHILLED_WATER_PUMPS
8310eeec-1e07-4375-9150-e85daff42ce9	1e9d5a5e-4d91-4688-8b64-b15370e758f8	HEAT_REJECTION_PUMPS
8310eeec-1e07-4375-9150-e85daff42ce9	2ffcae54-cd60-44e8-a4d9-dc4ffea6161f	VENTILATION
8310eeec-1e07-4375-9150-e85daff42ce9	ac6a4506-6415-41d7-bdd4-7325e9568107	INFILTRATION
8310eeec-1e07-4375-9150-e85daff42ce9	4cd1ed6b-a647-458a-8a4d-96fb0ad26fc4	IT_LOAD
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	809b38c0-8001-4b49-9f01-01c69d1a5210	SWITCHGEAR
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	6294ab67-f027-44d3-9063-730bb6d2de8b	GENERATOR
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	ee23c143-ac01-4ba3-9e2d-e13a5dc06637	PRIMARY_AUXILIARIES
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	35e6147e-e59b-43ac-9481-ef099ecc3d83	UPS
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	0fafc605-7562-40ab-8ff2-834b87db0006	CRITICAL_AUXILIARIES
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	ae4e3c35-f598-4754-afe6-27725fddbfd2	LIGHTING
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	e15232a6-bb14-4c08-8518-261866565c56	CRITICAL_POWER_DISTRIBUTION
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	726a7b61-189d-47d3-ae22-317910532f6c	CRAH
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	92256eb6-4e73-478d-8f12-4c47d188aa13	CRAC
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	d1fd278f-53e7-4cd3-9048-6589fec140f9	CRAC_WITHOUT_FAN
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	efdc1a9f-d2a5-42be-aa64-e84b6819e6cf	CRAC_FAN
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	334519d3-aea3-4772-8e5c-a1527aad48e3	CHILLER
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	4263661b-acf7-440a-8b8a-b7c01b874277	AIR_COOLED_CHILLER
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	9f098a22-aaf5-4974-991a-890d24c793d9	COOLING_TOWER
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	cc7dc1f5-015a-4b8d-9461-3b5844421877	DRY_COOLER
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	9cbf9152-a57d-493e-9fa1-fbeab9e1d40e	REMOTE_CONDENSER
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	18619503-f6be-4e77-90ff-085c29b0638d	CHILLED_WATER_PUMPS
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	7a0f91ab-bd90-4784-8e59-1af203cb1227	HEAT_REJECTION_PUMPS
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	4e337a9a-e593-4702-bf04-bc4f2cebaef5	VENTILATION
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	355be1e8-a160-44d4-974d-e09177658723	INFILTRATION
0528e97d-b2a9-4ab3-b3e0-70ab5db51e3b	171151fb-9abc-421d-a144-803188e41f63	IT_LOAD
a2103221-3eb0-4dad-a015-109444fbbeae	37d8653b-e824-488e-8402-268a40a1a863	SWITCHGEAR
a2103221-3eb0-4dad-a015-109444fbbeae	26753845-9c3b-4184-b39b-abb4cd17c237	GENERATOR
a2103221-3eb0-4dad-a015-109444fbbeae	9fa0868b-0a2c-41ba-9829-0b632318491d	PRIMARY_AUXILIARIES
a2103221-3eb0-4dad-a015-109444fbbeae	ba8cf514-3d31-4339-93f7-4a71fb5c78c2	UPS
a2103221-3eb0-4dad-a015-109444fbbeae	e2564044-1580-46cb-85e6-2c36d45387d3	CRITICAL_AUXILIARIES
a2103221-3eb0-4dad-a015-109444fbbeae	c9620a30-d1b8-475c-9bf5-6e4a6a8a8d2c	LIGHTING
a2103221-3eb0-4dad-a015-109444fbbeae	d5553cc0-a12b-4761-b21e-d084c822b196	CRITICAL_POWER_DISTRIBUTION
a2103221-3eb0-4dad-a015-109444fbbeae	fa4d08ba-caf3-483e-8e0b-3718257c04da	CRAH
a2103221-3eb0-4dad-a015-109444fbbeae	8f1ac0b1-698c-4d84-8c3b-49ed42b311ee	CRAC
a2103221-3eb0-4dad-a015-109444fbbeae	03572544-f250-4d45-a74d-7edc4be2fe7b	CRAC_WITHOUT_FAN
a2103221-3eb0-4dad-a015-109444fbbeae	bdaa40e0-cc11-436d-a34d-cc38e885641d	CRAC_FAN
a2103221-3eb0-4dad-a015-109444fbbeae	4fb82ee5-0c0e-436a-b753-fb490bc54281	CHILLER
a2103221-3eb0-4dad-a015-109444fbbeae	8ed583ed-4185-4ca1-bb41-f28412bb3bb8	AIR_COOLED_CHILLER
a2103221-3eb0-4dad-a015-109444fbbeae	ce971dc8-3de9-493f-94d2-4ec4ec4197ad	COOLING_TOWER
a2103221-3eb0-4dad-a015-109444fbbeae	551078e7-e0b6-4397-9473-b29ab0feaf65	DRY_COOLER
a2103221-3eb0-4dad-a015-109444fbbeae	8899ffc2-6d36-4042-ac23-69252c011394	REMOTE_CONDENSER
a2103221-3eb0-4dad-a015-109444fbbeae	f99ba889-4035-4431-a709-09e9050e09cd	CHILLED_WATER_PUMPS
a2103221-3eb0-4dad-a015-109444fbbeae	01e5e885-d9df-4ca8-bd70-6987d44ff868	HEAT_REJECTION_PUMPS
a2103221-3eb0-4dad-a015-109444fbbeae	90121071-09fd-43e4-908c-70a51cb6a340	VENTILATION
a2103221-3eb0-4dad-a015-109444fbbeae	1464ba86-d8e9-433a-8b8e-4b59f299cf3e	INFILTRATION
a2103221-3eb0-4dad-a015-109444fbbeae	33b728c7-3762-448d-b6d9-fae886fe0c3e	IT_LOAD
472d1045-9efa-4d18-af0b-953d0b7937d0	1ce26a8e-3f6f-47fd-8fde-cd94bf7126ae	SWITCHGEAR
472d1045-9efa-4d18-af0b-953d0b7937d0	aba0d463-9c01-4d98-b0e2-c44b6795e9ec	GENERATOR
472d1045-9efa-4d18-af0b-953d0b7937d0	8c6dc041-37e0-4e66-86ed-34e068777762	PRIMARY_AUXILIARIES
472d1045-9efa-4d18-af0b-953d0b7937d0	4c2ad7c1-d3f3-4619-a34f-a0ffe9243a7f	UPS
472d1045-9efa-4d18-af0b-953d0b7937d0	594a252b-d667-4546-92fb-8d5a918c1203	CRITICAL_AUXILIARIES
472d1045-9efa-4d18-af0b-953d0b7937d0	b5b337b1-1e5e-4059-91b9-5483c1f8d344	LIGHTING
472d1045-9efa-4d18-af0b-953d0b7937d0	05aa9c37-e846-4cd9-9276-a93767c41a69	CRITICAL_POWER_DISTRIBUTION
472d1045-9efa-4d18-af0b-953d0b7937d0	32df5ac8-5f89-4cd7-abe6-13449a7f99a9	CRAH
472d1045-9efa-4d18-af0b-953d0b7937d0	9bbd642b-4c97-40d4-8aa1-8d976daadf29	CRAC
472d1045-9efa-4d18-af0b-953d0b7937d0	03975b67-7db9-472b-8b0f-6d5e5eb05882	CRAC_WITHOUT_FAN
472d1045-9efa-4d18-af0b-953d0b7937d0	0d670bee-e9e7-4500-959c-b62442f4a81a	CRAC_FAN
472d1045-9efa-4d18-af0b-953d0b7937d0	f5547b15-66ce-4d10-ad4f-970fa2687c9a	CHILLER
472d1045-9efa-4d18-af0b-953d0b7937d0	ad2a1bf7-dda1-484c-846a-17225fb31c91	AIR_COOLED_CHILLER
472d1045-9efa-4d18-af0b-953d0b7937d0	b299a1d9-e4b5-4203-b11e-14d98e0811a0	COOLING_TOWER
472d1045-9efa-4d18-af0b-953d0b7937d0	c7cb15fe-3cc0-49e8-a317-4fa537eaf166	DRY_COOLER
472d1045-9efa-4d18-af0b-953d0b7937d0	98a9fd68-e783-4f50-b5f9-5593afcd5d97	REMOTE_CONDENSER
472d1045-9efa-4d18-af0b-953d0b7937d0	2f49847a-b139-4b9e-9a4b-7e403820acd0	CHILLED_WATER_PUMPS
472d1045-9efa-4d18-af0b-953d0b7937d0	0f643838-5d87-4f50-948f-4bd5b0ccb0c3	HEAT_REJECTION_PUMPS
472d1045-9efa-4d18-af0b-953d0b7937d0	3cb8328a-0fe9-4a75-a2ad-c319c8cfdd7b	VENTILATION
472d1045-9efa-4d18-af0b-953d0b7937d0	2f0dd65e-62b0-402d-8988-87bfaf4eae6a	INFILTRATION
472d1045-9efa-4d18-af0b-953d0b7937d0	60112b97-f893-417c-a4ac-f4dfdd77c99b	IT_LOAD
609eb5c6-3972-4d43-b4d1-3df918aabcdb	f4ec5e32-6971-4e71-a6f2-5be25e6aedc9	SWITCHGEAR
609eb5c6-3972-4d43-b4d1-3df918aabcdb	720df526-9ecd-4d6c-ab19-bfcc2db17bef	GENERATOR
609eb5c6-3972-4d43-b4d1-3df918aabcdb	732cdcf2-78a2-4f56-a525-626fa47586d9	PRIMARY_AUXILIARIES
609eb5c6-3972-4d43-b4d1-3df918aabcdb	1e1c1f57-ec65-44ad-8700-cda3d06ce30f	UPS
609eb5c6-3972-4d43-b4d1-3df918aabcdb	cf3375f2-2be6-4edd-9049-0b18922315e7	CRITICAL_AUXILIARIES
609eb5c6-3972-4d43-b4d1-3df918aabcdb	897ec126-b65a-4da4-8ece-7743ef128113	LIGHTING
609eb5c6-3972-4d43-b4d1-3df918aabcdb	66bfd9b4-77c0-4442-b024-cf8f47340180	CRITICAL_POWER_DISTRIBUTION
609eb5c6-3972-4d43-b4d1-3df918aabcdb	6727465e-9157-49b0-b09d-2b30fd9c31b1	CRAH
609eb5c6-3972-4d43-b4d1-3df918aabcdb	7670c2ef-38b9-4859-88b9-a15748f75a66	CRAC
609eb5c6-3972-4d43-b4d1-3df918aabcdb	a915bcd8-9729-414c-82f0-c3bfe92ca3b4	CRAC_WITHOUT_FAN
609eb5c6-3972-4d43-b4d1-3df918aabcdb	26aa0af2-bca1-4453-8aa2-61d6c3fc92f5	CRAC_FAN
609eb5c6-3972-4d43-b4d1-3df918aabcdb	3a485e62-dd58-4cc1-aa77-58643a90012e	CHILLER
609eb5c6-3972-4d43-b4d1-3df918aabcdb	1cb180c6-b00a-4473-8ed6-22adefb017ce	AIR_COOLED_CHILLER
609eb5c6-3972-4d43-b4d1-3df918aabcdb	3f1d3ec1-27c6-4920-9eb8-7f07ec3472e4	COOLING_TOWER
609eb5c6-3972-4d43-b4d1-3df918aabcdb	e1cfff1e-b13d-4949-a393-6a6ec0cea145	DRY_COOLER
609eb5c6-3972-4d43-b4d1-3df918aabcdb	b4e1310b-b377-4619-bcf0-cda22ac2c41a	REMOTE_CONDENSER
609eb5c6-3972-4d43-b4d1-3df918aabcdb	93c314ac-f890-4422-a424-f63b1d4f097d	CHILLED_WATER_PUMPS
609eb5c6-3972-4d43-b4d1-3df918aabcdb	7f0fc3f6-df5c-4036-8277-8d384fd2d367	HEAT_REJECTION_PUMPS
609eb5c6-3972-4d43-b4d1-3df918aabcdb	6eabd935-3ea2-4c40-ab50-5a3412652dad	VENTILATION
609eb5c6-3972-4d43-b4d1-3df918aabcdb	966f4d13-73fb-4b82-bcac-882deb3ec9f3	INFILTRATION
609eb5c6-3972-4d43-b4d1-3df918aabcdb	b2c08578-eba8-4480-8e16-5ae0313d8b6c	IT_LOAD
9499e750-ded3-42bb-a13b-cb8c7be89751	6e03c4fd-7227-4ebe-9e89-1bf5672605ab	SWITCHGEAR
9499e750-ded3-42bb-a13b-cb8c7be89751	ff371e46-d4f4-4011-b1c6-4a5352a53270	GENERATOR
9499e750-ded3-42bb-a13b-cb8c7be89751	9f295c67-802c-43be-96a1-b38af38d3736	PRIMARY_AUXILIARIES
9499e750-ded3-42bb-a13b-cb8c7be89751	3c49b2b2-c3f3-4005-b2b0-0e20dc948c45	UPS
9499e750-ded3-42bb-a13b-cb8c7be89751	c31d5157-d423-4e47-b976-994051a0abb4	CRITICAL_AUXILIARIES
9499e750-ded3-42bb-a13b-cb8c7be89751	db7ba143-51e2-4935-bd90-6c0215924bdf	LIGHTING
9499e750-ded3-42bb-a13b-cb8c7be89751	7f2eb96b-e6f7-410a-be3b-02ac0d0e82ec	CRITICAL_POWER_DISTRIBUTION
9499e750-ded3-42bb-a13b-cb8c7be89751	39e1aead-1541-4975-a33b-724db1f85640	CRAH
9499e750-ded3-42bb-a13b-cb8c7be89751	7958e2ca-6e73-4017-96b3-57a745dd2d38	CRAC
9499e750-ded3-42bb-a13b-cb8c7be89751	53519056-b357-488f-bfef-020c9924b955	CRAC_WITHOUT_FAN
9499e750-ded3-42bb-a13b-cb8c7be89751	b3e21053-e79b-4b38-a0df-4a6cbfa17907	CRAC_FAN
9499e750-ded3-42bb-a13b-cb8c7be89751	8406a4c9-e9d3-49b7-ba22-9c868f3f43ad	CHILLER
9499e750-ded3-42bb-a13b-cb8c7be89751	155d8375-6bf6-45ed-bfb2-ca1453a02b6c	AIR_COOLED_CHILLER
9499e750-ded3-42bb-a13b-cb8c7be89751	78dfc362-07d2-450d-8352-13aaf348b556	COOLING_TOWER
9499e750-ded3-42bb-a13b-cb8c7be89751	2435a0df-0bd7-44a9-a353-a3a450115b26	DRY_COOLER
9499e750-ded3-42bb-a13b-cb8c7be89751	aedd276f-8c36-444e-8566-2d37384b1bf6	REMOTE_CONDENSER
9499e750-ded3-42bb-a13b-cb8c7be89751	3e199aee-2b8a-40f4-a3df-64ed7faed666	CHILLED_WATER_PUMPS
9499e750-ded3-42bb-a13b-cb8c7be89751	7fca3adf-563b-47f4-8520-eef4bfe5c8bc	HEAT_REJECTION_PUMPS
9499e750-ded3-42bb-a13b-cb8c7be89751	02cf0b31-17c6-4552-bd09-819e505f5591	VENTILATION
9499e750-ded3-42bb-a13b-cb8c7be89751	7bb98deb-f66c-4e73-9858-7f4d9134608d	INFILTRATION
9499e750-ded3-42bb-a13b-cb8c7be89751	4aa59a55-61ac-4546-a2cd-5ef18d2c5734	IT_LOAD
49f69855-c7c7-456f-b61c-852784e64b17	737fb3dc-56d0-4188-af75-2e041e46650b	SWITCHGEAR
49f69855-c7c7-456f-b61c-852784e64b17	37907853-344a-4114-9f48-618462600d9a	GENERATOR
49f69855-c7c7-456f-b61c-852784e64b17	76e2be4c-5394-44b9-886d-62d9f4d24be8	PRIMARY_AUXILIARIES
49f69855-c7c7-456f-b61c-852784e64b17	44e35c8b-8e22-4242-8f9f-b0f41e4cdc3a	UPS
49f69855-c7c7-456f-b61c-852784e64b17	f125587a-b444-4bab-a8d8-fb2e79946946	CRITICAL_AUXILIARIES
49f69855-c7c7-456f-b61c-852784e64b17	8415c24f-30a6-46c6-831f-1a9298e56445	LIGHTING
49f69855-c7c7-456f-b61c-852784e64b17	d66a011c-a31b-4edb-8d47-bd8e864789ca	CRITICAL_POWER_DISTRIBUTION
49f69855-c7c7-456f-b61c-852784e64b17	538f2b6b-4a45-478f-90ad-0788ede4df81	CRAH
49f69855-c7c7-456f-b61c-852784e64b17	d7279071-78c2-4ca0-a7bf-83f10c3c9b49	CRAC
49f69855-c7c7-456f-b61c-852784e64b17	b50985c7-8881-46f7-b1fe-31896cca8d63	CRAC_WITHOUT_FAN
49f69855-c7c7-456f-b61c-852784e64b17	822cc370-4d63-43a6-b870-c54026151a8a	CRAC_FAN
49f69855-c7c7-456f-b61c-852784e64b17	d069ae8f-7eba-42a5-aca7-d3134db2478f	CHILLER
49f69855-c7c7-456f-b61c-852784e64b17	235d8525-5484-47d1-a233-7d4ed7e11bed	AIR_COOLED_CHILLER
49f69855-c7c7-456f-b61c-852784e64b17	d2a88e4c-839b-4a3d-ac6f-020bdd629c52	COOLING_TOWER
49f69855-c7c7-456f-b61c-852784e64b17	3ba9c239-5cd6-4be9-8686-552610cd1674	DRY_COOLER
49f69855-c7c7-456f-b61c-852784e64b17	fb29685e-77cd-4dc4-a452-b3e478ce4693	REMOTE_CONDENSER
49f69855-c7c7-456f-b61c-852784e64b17	a680b69a-1e44-498e-8d8f-f8ad1f907784	CHILLED_WATER_PUMPS
49f69855-c7c7-456f-b61c-852784e64b17	2048c2d7-9830-4350-bc05-259a6106029a	HEAT_REJECTION_PUMPS
49f69855-c7c7-456f-b61c-852784e64b17	fd1f80f9-4c51-41e9-af48-6b8460be61d6	VENTILATION
49f69855-c7c7-456f-b61c-852784e64b17	0d33f863-de9a-4e57-9164-a9aed858542d	INFILTRATION
49f69855-c7c7-456f-b61c-852784e64b17	850675aa-6b5d-4826-b330-33476a8d87fb	IT_LOAD
821e3608-8608-45f5-9f40-2ed00fedcdfd	ccd6d194-e9f4-49d1-86c0-9eddc7a5bef6	SWITCHGEAR
821e3608-8608-45f5-9f40-2ed00fedcdfd	bac945e6-bf85-40db-986c-2299b91eac48	GENERATOR
821e3608-8608-45f5-9f40-2ed00fedcdfd	4dd284f6-d2cc-4cd6-8f16-4af1f5ac711f	PRIMARY_AUXILIARIES
821e3608-8608-45f5-9f40-2ed00fedcdfd	efde2ad3-aa3c-48bd-a4ab-62f487a00dae	UPS
821e3608-8608-45f5-9f40-2ed00fedcdfd	3d10e50b-a58f-4197-baa9-7041c030e5f8	CRITICAL_AUXILIARIES
821e3608-8608-45f5-9f40-2ed00fedcdfd	8e637a86-5dee-4c0b-b7e4-f531c2c8b1d0	LIGHTING
821e3608-8608-45f5-9f40-2ed00fedcdfd	cf6a770d-ba71-44c6-a8ed-488c3dc8ef25	CRITICAL_POWER_DISTRIBUTION
821e3608-8608-45f5-9f40-2ed00fedcdfd	7d1d87bf-b00f-4868-9292-4be69a878c34	CRAH
821e3608-8608-45f5-9f40-2ed00fedcdfd	5ed4ca72-2456-4e36-996b-118f130abc29	CRAC
821e3608-8608-45f5-9f40-2ed00fedcdfd	c4aec815-776c-4e7d-907f-2ac65814fe3f	CRAC_WITHOUT_FAN
821e3608-8608-45f5-9f40-2ed00fedcdfd	aa23d5fc-2647-427d-847d-107ce70bac1f	CRAC_FAN
821e3608-8608-45f5-9f40-2ed00fedcdfd	b7a0a288-2467-4a45-ab20-bbd350a2fd17	CHILLER
821e3608-8608-45f5-9f40-2ed00fedcdfd	ed3daaf7-506b-4b0a-b1e4-d4292b47202b	AIR_COOLED_CHILLER
821e3608-8608-45f5-9f40-2ed00fedcdfd	58dc215e-7dc7-42e5-891b-9c55b3c329a2	COOLING_TOWER
821e3608-8608-45f5-9f40-2ed00fedcdfd	5eff0c00-4a18-43c0-8b5f-6dc7e218b6f7	DRY_COOLER
821e3608-8608-45f5-9f40-2ed00fedcdfd	e10e2e9b-a051-493b-a91a-45dbf0f55d46	REMOTE_CONDENSER
821e3608-8608-45f5-9f40-2ed00fedcdfd	d99b9eb8-5b4f-4a40-bcf8-7d76bfb22105	CHILLED_WATER_PUMPS
821e3608-8608-45f5-9f40-2ed00fedcdfd	c355f427-883c-4ee2-bd60-ebedd500771f	HEAT_REJECTION_PUMPS
821e3608-8608-45f5-9f40-2ed00fedcdfd	332836bf-15a1-4f68-bad2-d670eb6696f5	VENTILATION
821e3608-8608-45f5-9f40-2ed00fedcdfd	29f977ea-bb2d-4f1c-91a2-057d77ee6f3e	INFILTRATION
821e3608-8608-45f5-9f40-2ed00fedcdfd	637b0c65-2eb3-4940-930a-5303e1143f5d	IT_LOAD
8993a73a-b14b-45e7-a1d2-0fab29a23f12	b8afe74a-4c12-4027-b907-2bf5e84786a0	SWITCHGEAR
8993a73a-b14b-45e7-a1d2-0fab29a23f12	9ed7d131-bd41-461a-b358-c6eb9c13d947	GENERATOR
8993a73a-b14b-45e7-a1d2-0fab29a23f12	e2618d9a-ff07-4cb2-b8a8-7f90953af085	PRIMARY_AUXILIARIES
8993a73a-b14b-45e7-a1d2-0fab29a23f12	aa412905-a0d0-4e5e-8814-009085c32585	UPS
8993a73a-b14b-45e7-a1d2-0fab29a23f12	367c2eda-9b69-4ab6-8852-90ec50e97826	CRITICAL_AUXILIARIES
8993a73a-b14b-45e7-a1d2-0fab29a23f12	ad3efdbd-09a7-4ed3-856e-a04084da6d9f	LIGHTING
8993a73a-b14b-45e7-a1d2-0fab29a23f12	7c11048a-1c59-43a0-9eb4-dc6980656d1a	CRITICAL_POWER_DISTRIBUTION
8993a73a-b14b-45e7-a1d2-0fab29a23f12	e055715e-54ed-458f-9765-6d81fc73e306	CRAH
8993a73a-b14b-45e7-a1d2-0fab29a23f12	0915e834-1045-48ba-8d3b-37b91691fc3f	CRAC
8993a73a-b14b-45e7-a1d2-0fab29a23f12	bfbecf1c-4695-4019-bf55-3868ba911da5	CRAC_WITHOUT_FAN
8993a73a-b14b-45e7-a1d2-0fab29a23f12	0bd20e09-c151-4c8e-91e9-231bddb0f7f3	CRAC_FAN
8993a73a-b14b-45e7-a1d2-0fab29a23f12	cd99130d-521b-4f72-896d-20cdb99496a1	CHILLER
8993a73a-b14b-45e7-a1d2-0fab29a23f12	681afe80-8ab3-4176-95db-e19bd9888b20	AIR_COOLED_CHILLER
8993a73a-b14b-45e7-a1d2-0fab29a23f12	0a4efc91-fd24-4098-b33b-6e22ee1c6a79	COOLING_TOWER
8993a73a-b14b-45e7-a1d2-0fab29a23f12	75b9cd6a-1168-4bac-afdd-e7e7c583f0a8	DRY_COOLER
8993a73a-b14b-45e7-a1d2-0fab29a23f12	8b816c58-e0b9-4baa-88eb-053e1d1da51d	REMOTE_CONDENSER
8993a73a-b14b-45e7-a1d2-0fab29a23f12	b5c74aad-5b14-4507-a68f-3adc419b2d2e	CHILLED_WATER_PUMPS
8993a73a-b14b-45e7-a1d2-0fab29a23f12	707e0574-7026-498a-ada6-4ea18b12fd03	HEAT_REJECTION_PUMPS
8993a73a-b14b-45e7-a1d2-0fab29a23f12	a837dbc6-89a4-43ae-bc47-8a09ca797e69	VENTILATION
8993a73a-b14b-45e7-a1d2-0fab29a23f12	97669e1b-5d20-4a30-bafd-55cc8c5a9b10	INFILTRATION
8993a73a-b14b-45e7-a1d2-0fab29a23f12	159f193f-36c3-46ce-a52a-274208b60620	IT_LOAD
4b93bc18-0ff1-4cd5-8725-676522abae14	4913f9ee-838d-4d20-8815-2653a8a34857	SWITCHGEAR
4b93bc18-0ff1-4cd5-8725-676522abae14	ae1267ce-4ec8-49c4-8557-f4fc3a6c6e4f	GENERATOR
4b93bc18-0ff1-4cd5-8725-676522abae14	c5fa5626-faa4-4693-9ef7-cabce906b721	PRIMARY_AUXILIARIES
4b93bc18-0ff1-4cd5-8725-676522abae14	79f50fa9-8a87-436b-80e0-15e31d361d84	UPS
4b93bc18-0ff1-4cd5-8725-676522abae14	bbefd29c-4c1c-4ceb-859e-0765c2ab257e	CRITICAL_AUXILIARIES
4b93bc18-0ff1-4cd5-8725-676522abae14	b7c028d3-0f07-4c5c-b2fc-771bc1242726	LIGHTING
4b93bc18-0ff1-4cd5-8725-676522abae14	e828b2f5-191b-4933-8b05-3c3a11f495f9	CRITICAL_POWER_DISTRIBUTION
4b93bc18-0ff1-4cd5-8725-676522abae14	cf645d6f-f0a2-4573-8778-61c4e4a32332	CRAH
4b93bc18-0ff1-4cd5-8725-676522abae14	bb7dd76c-c6ee-4516-908e-84be35fa94d0	CRAC
4b93bc18-0ff1-4cd5-8725-676522abae14	e7a74973-72bd-438e-8584-45491178cd5f	CRAC_WITHOUT_FAN
4b93bc18-0ff1-4cd5-8725-676522abae14	222a24c1-02b3-4083-a2c3-141706daab3d	CRAC_FAN
4b93bc18-0ff1-4cd5-8725-676522abae14	d30ed693-17fb-4b5d-b7ff-cf5e52668f08	CHILLER
4b93bc18-0ff1-4cd5-8725-676522abae14	0cb3a19c-bbac-4a67-8af2-6d789ea09d56	AIR_COOLED_CHILLER
4b93bc18-0ff1-4cd5-8725-676522abae14	30667d27-868e-4d6b-9b74-5fd8eb3d958d	COOLING_TOWER
4b93bc18-0ff1-4cd5-8725-676522abae14	99fca905-e280-4c6b-9336-c22460df1647	DRY_COOLER
4b93bc18-0ff1-4cd5-8725-676522abae14	0902c9ae-ebf5-4814-b294-fad076a621de	REMOTE_CONDENSER
4b93bc18-0ff1-4cd5-8725-676522abae14	e80fba9b-903d-4008-b2db-83dfaf371f9d	CHILLED_WATER_PUMPS
4b93bc18-0ff1-4cd5-8725-676522abae14	9cec23a9-c6ea-4a35-9b79-2f9b5ecfb8b1	HEAT_REJECTION_PUMPS
4b93bc18-0ff1-4cd5-8725-676522abae14	6a2c8c02-e3d9-4057-9684-80ebf43a6336	VENTILATION
4b93bc18-0ff1-4cd5-8725-676522abae14	9718f343-cd66-4511-9e01-c110c8f5548c	INFILTRATION
4b93bc18-0ff1-4cd5-8725-676522abae14	c01bab65-5caa-45c4-b08c-086ee75f1d11	IT_LOAD
915edda8-685a-44df-b26b-6c7addd88c6b	a9bf3c27-1ed1-4d1b-994f-5b3b9b084333	SWITCHGEAR
915edda8-685a-44df-b26b-6c7addd88c6b	55e0be50-250f-4b40-ae56-88cf2f9b4625	GENERATOR
915edda8-685a-44df-b26b-6c7addd88c6b	189cfe2a-f530-429e-9603-48f9c07ad6ba	PRIMARY_AUXILIARIES
915edda8-685a-44df-b26b-6c7addd88c6b	e0bbf325-90b1-4ce9-9e2d-1f5e71662efa	UPS
915edda8-685a-44df-b26b-6c7addd88c6b	3becd7d0-dbc5-4db5-8160-577d7a3b7c7c	CRITICAL_AUXILIARIES
915edda8-685a-44df-b26b-6c7addd88c6b	53747a8c-c0e0-430f-99a6-6b22b91af5a9	LIGHTING
915edda8-685a-44df-b26b-6c7addd88c6b	c4f3c1d9-427a-4498-8b77-6f3891bcb20f	CRITICAL_POWER_DISTRIBUTION
915edda8-685a-44df-b26b-6c7addd88c6b	56750a41-5b7e-4f55-b29d-a1ce189927d3	CRAH
915edda8-685a-44df-b26b-6c7addd88c6b	bd404246-13a6-43fb-bdea-f48ba3773921	CRAC
915edda8-685a-44df-b26b-6c7addd88c6b	9bed0ae4-308c-4157-8cbe-e0c924a7f7ad	CRAC_WITHOUT_FAN
915edda8-685a-44df-b26b-6c7addd88c6b	8fc0278f-ba74-4136-b098-ea7cbad83b26	CRAC_FAN
915edda8-685a-44df-b26b-6c7addd88c6b	e6723c49-b202-4ae5-b5f7-eac4e5d784f3	CHILLER
915edda8-685a-44df-b26b-6c7addd88c6b	51a3e3c7-8609-4c68-9e6c-073ceef98c9e	AIR_COOLED_CHILLER
915edda8-685a-44df-b26b-6c7addd88c6b	6bf8d082-05ff-4c60-9294-27fbd90bed0a	COOLING_TOWER
915edda8-685a-44df-b26b-6c7addd88c6b	5693396c-87d8-4c77-997c-1cd70f67f08e	DRY_COOLER
915edda8-685a-44df-b26b-6c7addd88c6b	1047c428-35b0-4829-87b7-9baa1569f994	REMOTE_CONDENSER
915edda8-685a-44df-b26b-6c7addd88c6b	97b4ec94-a12b-4e96-9fcd-a50014b2ab35	CHILLED_WATER_PUMPS
915edda8-685a-44df-b26b-6c7addd88c6b	fd35bcb0-6e1d-4f45-9f7c-0949b9bd74c8	HEAT_REJECTION_PUMPS
915edda8-685a-44df-b26b-6c7addd88c6b	ab346979-c40a-46fe-a4a2-be7d9ed30978	VENTILATION
915edda8-685a-44df-b26b-6c7addd88c6b	7dbbbe50-da92-4a57-b861-c00205704faf	INFILTRATION
915edda8-685a-44df-b26b-6c7addd88c6b	486d8f0d-362b-4e6c-b15e-8300d9292f67	IT_LOAD
f394015a-75a1-46c4-aafa-1911697b9962	2f3e68bf-c5f3-4293-81e0-c32a4b0b24a4	SWITCHGEAR
f394015a-75a1-46c4-aafa-1911697b9962	93be7d89-df0d-4f02-943b-cdb2dd90094d	GENERATOR
f394015a-75a1-46c4-aafa-1911697b9962	87a2c76d-a19e-4840-b385-4d6f18d45605	PRIMARY_AUXILIARIES
f394015a-75a1-46c4-aafa-1911697b9962	ddfd3f00-e2ae-4a91-a61b-6c7fbb3a7af4	UPS
f394015a-75a1-46c4-aafa-1911697b9962	fca5c830-bb14-4da5-9684-ac405a81ab03	CRITICAL_AUXILIARIES
f394015a-75a1-46c4-aafa-1911697b9962	597c4f0e-023d-44cc-bea9-63dc8523dfa2	LIGHTING
f394015a-75a1-46c4-aafa-1911697b9962	f1f1e3f3-7c02-45b7-930a-97a8a397481f	CRITICAL_POWER_DISTRIBUTION
f394015a-75a1-46c4-aafa-1911697b9962	3099077a-fe17-4d24-a025-42d23314495d	CRAH
f394015a-75a1-46c4-aafa-1911697b9962	e290cab2-7c9f-47ca-994f-54b8aafd6491	CRAC
f394015a-75a1-46c4-aafa-1911697b9962	2caaa331-841e-4e10-9a67-d9da24b09cbb	CRAC_WITHOUT_FAN
f394015a-75a1-46c4-aafa-1911697b9962	73645710-6aef-4bdf-92ac-2888bdccc8e0	CRAC_FAN
f394015a-75a1-46c4-aafa-1911697b9962	b105bb58-ec52-4a92-87ae-8a29d07ead29	CHILLER
f394015a-75a1-46c4-aafa-1911697b9962	cc9b2193-ae97-497c-a44a-aaf5ae5fc4c7	AIR_COOLED_CHILLER
f394015a-75a1-46c4-aafa-1911697b9962	2d471a86-9f26-46c3-b1a2-124acd72fabd	COOLING_TOWER
f394015a-75a1-46c4-aafa-1911697b9962	fc48854b-c88c-48f9-9aa2-af94673d1a17	DRY_COOLER
f394015a-75a1-46c4-aafa-1911697b9962	e910b01b-58d3-4aea-86d9-53fcbd10dfc1	REMOTE_CONDENSER
f394015a-75a1-46c4-aafa-1911697b9962	19765708-e1cd-4ecf-aac0-a1916b4c4610	CHILLED_WATER_PUMPS
f394015a-75a1-46c4-aafa-1911697b9962	a26d3f38-5245-47b8-bec0-1ac9f7836e52	HEAT_REJECTION_PUMPS
f394015a-75a1-46c4-aafa-1911697b9962	f7f0d9dd-ed57-45bf-aa22-bc34e948b1d8	VENTILATION
f394015a-75a1-46c4-aafa-1911697b9962	f7f156ae-adae-4f6e-98d3-3789aebcfb4b	INFILTRATION
f394015a-75a1-46c4-aafa-1911697b9962	c618131c-98fe-41e6-aac0-80625600534a	IT_LOAD
683377de-0d87-4a37-b385-35ad4be1ca19	30e0817a-36a5-4754-959a-b6b729ce11ef	SWITCHGEAR
683377de-0d87-4a37-b385-35ad4be1ca19	ee4058c1-a43d-4262-823b-1502ca1e1edd	GENERATOR
683377de-0d87-4a37-b385-35ad4be1ca19	1aae3d2e-4108-483a-b703-1260c23120e1	PRIMARY_AUXILIARIES
683377de-0d87-4a37-b385-35ad4be1ca19	86a6f598-c893-436d-8f40-f447ca05d162	UPS
683377de-0d87-4a37-b385-35ad4be1ca19	e1093bcd-6a5d-45b8-8426-d029712f3d32	CRITICAL_AUXILIARIES
683377de-0d87-4a37-b385-35ad4be1ca19	46b8a42d-82e2-4369-b16f-8a127599f16b	LIGHTING
683377de-0d87-4a37-b385-35ad4be1ca19	418a4fe1-2ee1-42ff-8073-ed9e199d21c7	CRITICAL_POWER_DISTRIBUTION
683377de-0d87-4a37-b385-35ad4be1ca19	05023214-0428-4a44-800d-f5a75e73ee6e	CRAH
683377de-0d87-4a37-b385-35ad4be1ca19	6cd4cfce-9ba2-4914-82c3-eeb7d12840e4	CRAC
683377de-0d87-4a37-b385-35ad4be1ca19	36dc5fb4-23fc-486f-bb92-7dc613a83a20	CRAC_WITHOUT_FAN
683377de-0d87-4a37-b385-35ad4be1ca19	c797ba70-f620-4b08-9c51-5abec90574c8	CRAC_FAN
683377de-0d87-4a37-b385-35ad4be1ca19	19f54ea3-dbea-4f59-ba87-af511c26792c	CHILLER
683377de-0d87-4a37-b385-35ad4be1ca19	37d1d2d8-7e5c-4f31-a755-1bda7bbcb021	AIR_COOLED_CHILLER
683377de-0d87-4a37-b385-35ad4be1ca19	61bcef1b-6ec9-421f-ba55-8e5167768a69	COOLING_TOWER
683377de-0d87-4a37-b385-35ad4be1ca19	2b3629df-26c7-47fc-ad56-0519e04764a5	DRY_COOLER
683377de-0d87-4a37-b385-35ad4be1ca19	9c585fa8-9b4d-4516-89a6-14b02d385ae2	REMOTE_CONDENSER
683377de-0d87-4a37-b385-35ad4be1ca19	698e0c23-7f8e-480f-a0c6-990974a376f1	CHILLED_WATER_PUMPS
683377de-0d87-4a37-b385-35ad4be1ca19	a3ad9d24-42f1-4950-9cd0-21fdd8d888c3	HEAT_REJECTION_PUMPS
683377de-0d87-4a37-b385-35ad4be1ca19	01553284-4235-466a-b82d-d5687d7b11fb	VENTILATION
683377de-0d87-4a37-b385-35ad4be1ca19	104e0eca-718b-4f34-b013-af8b2df6ae8b	INFILTRATION
683377de-0d87-4a37-b385-35ad4be1ca19	f4379f9b-0424-4100-bd0a-46130392ed5a	IT_LOAD
4cb34074-c709-4846-875f-0a8842e451ac	fbc4fa9e-4af7-4ab0-9657-a6f413f481ec	SWITCHGEAR
4cb34074-c709-4846-875f-0a8842e451ac	f59b6f9a-9d83-4b72-9ff7-f93050eb9c5b	GENERATOR
4cb34074-c709-4846-875f-0a8842e451ac	4a771618-ec5f-42ed-829d-8b9504bbe8b8	PRIMARY_AUXILIARIES
4cb34074-c709-4846-875f-0a8842e451ac	9220988e-d196-4e87-b518-456943a7af94	UPS
4cb34074-c709-4846-875f-0a8842e451ac	c9c38a0c-ae59-4742-938e-3ffa9c001798	CRITICAL_AUXILIARIES
4cb34074-c709-4846-875f-0a8842e451ac	293352d2-8b93-419d-a941-688b541ff66e	LIGHTING
4cb34074-c709-4846-875f-0a8842e451ac	3cc1a2a0-73a4-4325-bec0-e63c7e3d2994	CRITICAL_POWER_DISTRIBUTION
4cb34074-c709-4846-875f-0a8842e451ac	d0d2dd71-9acc-4d90-b64d-30d44244abce	CRAH
4cb34074-c709-4846-875f-0a8842e451ac	a23c5fd7-356f-4e90-b729-c786110e074c	CRAC
4cb34074-c709-4846-875f-0a8842e451ac	4147e1fc-7429-4020-bf99-fb35ce61f100	CRAC_WITHOUT_FAN
4cb34074-c709-4846-875f-0a8842e451ac	121e12df-722f-43cf-bae3-ac3eb482f5bd	CRAC_FAN
4cb34074-c709-4846-875f-0a8842e451ac	3e043c44-1a14-4d4a-ad21-646f57277977	CHILLER
4cb34074-c709-4846-875f-0a8842e451ac	c56000af-905c-4df9-a872-dcb44440347f	AIR_COOLED_CHILLER
4cb34074-c709-4846-875f-0a8842e451ac	8351558d-48fc-4dea-8c62-7a0e7ca6cc3e	COOLING_TOWER
4cb34074-c709-4846-875f-0a8842e451ac	b4f31bdf-4cb5-4ac8-a19c-21be485592dc	DRY_COOLER
4cb34074-c709-4846-875f-0a8842e451ac	97b68531-d03f-44e3-9caf-152bf9672bd1	REMOTE_CONDENSER
4cb34074-c709-4846-875f-0a8842e451ac	c17afdce-b7b5-4c65-91ea-8ff2b261c9b0	CHILLED_WATER_PUMPS
4cb34074-c709-4846-875f-0a8842e451ac	88634585-ba4a-4526-9193-94d89059ffed	HEAT_REJECTION_PUMPS
4cb34074-c709-4846-875f-0a8842e451ac	7b68ce18-d4e2-4b8b-977b-2554538ff897	VENTILATION
4cb34074-c709-4846-875f-0a8842e451ac	cf8b4884-4c87-4c74-bd81-f819d658e0ed	INFILTRATION
4cb34074-c709-4846-875f-0a8842e451ac	45a42e24-486a-451f-b5a5-3fd557b20389	IT_LOAD
ce59759a-e3b2-4866-895a-7902607f2fbc	60855bc3-389a-4086-8d68-1d993649f69f	SWITCHGEAR
ce59759a-e3b2-4866-895a-7902607f2fbc	6b6a5178-d653-4f6e-a534-626022ea7dbe	GENERATOR
ce59759a-e3b2-4866-895a-7902607f2fbc	3a4cc345-4fa3-4ec7-a423-496675e42d8b	PRIMARY_AUXILIARIES
ce59759a-e3b2-4866-895a-7902607f2fbc	bc983596-2678-45aa-8c82-58fed30118b9	UPS
ce59759a-e3b2-4866-895a-7902607f2fbc	28534aef-54ba-46e3-a25a-4374fe77daaa	CRITICAL_AUXILIARIES
ce59759a-e3b2-4866-895a-7902607f2fbc	97a8fc52-e070-46e8-89fd-b3aa021750ff	LIGHTING
ce59759a-e3b2-4866-895a-7902607f2fbc	3b2e983e-37cb-498f-973c-247f66e22d2e	CRITICAL_POWER_DISTRIBUTION
ce59759a-e3b2-4866-895a-7902607f2fbc	5e7c3457-a0da-4bee-88da-4db3a6fc0f40	CRAH
ce59759a-e3b2-4866-895a-7902607f2fbc	73986495-a01a-4560-b704-298b13ec83ee	CRAC
ce59759a-e3b2-4866-895a-7902607f2fbc	ed51e8ac-51ce-42e8-843b-869e26276276	CRAC_WITHOUT_FAN
ce59759a-e3b2-4866-895a-7902607f2fbc	e30c954e-7266-4bfe-9e05-fa02a2c41e0a	CRAC_FAN
ce59759a-e3b2-4866-895a-7902607f2fbc	ffc13b9f-9397-4bbd-83fc-f19d2bf539be	CHILLER
ce59759a-e3b2-4866-895a-7902607f2fbc	2591502e-d0e6-489b-844f-894228919568	AIR_COOLED_CHILLER
ce59759a-e3b2-4866-895a-7902607f2fbc	e88c1b1c-c1e7-416a-8591-cfd8717f1720	COOLING_TOWER
ce59759a-e3b2-4866-895a-7902607f2fbc	bda27c35-4376-4172-8289-80760d543622	DRY_COOLER
ce59759a-e3b2-4866-895a-7902607f2fbc	dba067dd-3c62-47a5-86e6-1fe06a26bbf1	REMOTE_CONDENSER
ce59759a-e3b2-4866-895a-7902607f2fbc	c2ab1b86-22dd-4549-a8db-ee932c0b6397	CHILLED_WATER_PUMPS
ce59759a-e3b2-4866-895a-7902607f2fbc	feba4883-4fc8-4aa8-a96a-34e595a79bf6	HEAT_REJECTION_PUMPS
ce59759a-e3b2-4866-895a-7902607f2fbc	4ce825fd-e2e0-4614-b078-7d4e00f2a5fb	VENTILATION
ce59759a-e3b2-4866-895a-7902607f2fbc	d47fe4ee-c950-4a76-8888-111d3b1f1fb5	INFILTRATION
ce59759a-e3b2-4866-895a-7902607f2fbc	24cd2936-309b-4440-977c-070f39f2974f	IT_LOAD
b1361f7f-28f2-4920-8c0b-9138c5009ef8	db4260ae-2518-4239-aecb-7a494121b31a	SWITCHGEAR
b1361f7f-28f2-4920-8c0b-9138c5009ef8	209369f2-b623-4e34-9017-251692ab914f	GENERATOR
b1361f7f-28f2-4920-8c0b-9138c5009ef8	239f54e4-b719-4b94-a038-65ff10e26867	PRIMARY_AUXILIARIES
b1361f7f-28f2-4920-8c0b-9138c5009ef8	eea83fe9-29c6-450d-8100-58f52ec09aef	UPS
b1361f7f-28f2-4920-8c0b-9138c5009ef8	d2e03079-a7ee-4edb-96f0-eae5d8c7c322	CRITICAL_AUXILIARIES
b1361f7f-28f2-4920-8c0b-9138c5009ef8	7ce203bd-b224-4e9d-a2e5-2cba85569ef7	LIGHTING
b1361f7f-28f2-4920-8c0b-9138c5009ef8	0eaac16e-8e4f-4f42-8de8-3fcc5aa07109	CRITICAL_POWER_DISTRIBUTION
b1361f7f-28f2-4920-8c0b-9138c5009ef8	b4f16d2c-120b-4b5f-8188-0f423db79b14	CRAH
b1361f7f-28f2-4920-8c0b-9138c5009ef8	bdd84b8b-b4a7-4238-bcac-9d715ee0863b	CRAC
b1361f7f-28f2-4920-8c0b-9138c5009ef8	4cbbd177-386a-4871-97fb-05c6305ef8de	CRAC_WITHOUT_FAN
b1361f7f-28f2-4920-8c0b-9138c5009ef8	9acd0e05-4c1d-4d65-adaa-0be88361c53a	CRAC_FAN
b1361f7f-28f2-4920-8c0b-9138c5009ef8	a2be0a40-b2fe-46dc-988d-4daf3657acfa	CHILLER
b1361f7f-28f2-4920-8c0b-9138c5009ef8	458a2ae7-6ddc-46ab-a3b6-5054dbef2298	AIR_COOLED_CHILLER
b1361f7f-28f2-4920-8c0b-9138c5009ef8	c1e58350-e15b-4b6d-86ae-0a5cfb762dd9	COOLING_TOWER
b1361f7f-28f2-4920-8c0b-9138c5009ef8	2208a66f-d02f-4dce-8692-ec2b24f87c50	DRY_COOLER
b1361f7f-28f2-4920-8c0b-9138c5009ef8	cc3f6649-8abb-48e6-b5fe-b3715bcd5b7b	REMOTE_CONDENSER
b1361f7f-28f2-4920-8c0b-9138c5009ef8	d640fa13-539b-4496-a817-814ea019d36d	CHILLED_WATER_PUMPS
b1361f7f-28f2-4920-8c0b-9138c5009ef8	1c754f78-e02b-4dfa-ba8d-bd283a919342	HEAT_REJECTION_PUMPS
b1361f7f-28f2-4920-8c0b-9138c5009ef8	39c77478-03f2-413b-999a-edddc4456a80	VENTILATION
b1361f7f-28f2-4920-8c0b-9138c5009ef8	1006d227-0e80-464c-b9ef-18e9caea34ff	INFILTRATION
b1361f7f-28f2-4920-8c0b-9138c5009ef8	39ed0b17-9bfb-424c-bfb1-862cc335c458	IT_LOAD
cea4642e-9818-4958-b4f2-bf95c4a48516	e0004345-0b9a-47d3-a95c-ca8129f611a1	SWITCHGEAR
cea4642e-9818-4958-b4f2-bf95c4a48516	82d14a96-dea2-4669-9c27-168351915b83	GENERATOR
cea4642e-9818-4958-b4f2-bf95c4a48516	90490bd4-cc43-455d-a128-b91334a66b90	PRIMARY_AUXILIARIES
cea4642e-9818-4958-b4f2-bf95c4a48516	08f86ddd-a22f-4b74-bb77-77a11e5d1932	UPS
cea4642e-9818-4958-b4f2-bf95c4a48516	049dcb13-b402-48a4-aa0a-02267397c9fd	CRITICAL_AUXILIARIES
cea4642e-9818-4958-b4f2-bf95c4a48516	ad1bdc9d-89e4-418b-b701-5c5871578520	LIGHTING
cea4642e-9818-4958-b4f2-bf95c4a48516	2ed7b0e3-ff33-4986-8789-8e4f07651400	CRITICAL_POWER_DISTRIBUTION
cea4642e-9818-4958-b4f2-bf95c4a48516	26da2a0b-40cd-4f79-aea1-bd26bc19377f	CRAH
cea4642e-9818-4958-b4f2-bf95c4a48516	38a23d36-731e-406d-a761-cf2c7875b7d1	CRAC
cea4642e-9818-4958-b4f2-bf95c4a48516	330d7837-15bd-4230-9ef1-0a3590999352	CRAC_WITHOUT_FAN
cea4642e-9818-4958-b4f2-bf95c4a48516	fe80572e-f65b-413b-afc7-1b2409dfa2fb	CRAC_FAN
cea4642e-9818-4958-b4f2-bf95c4a48516	c112a0b9-0143-4e6e-88eb-ce4cf2358cf1	CHILLER
cea4642e-9818-4958-b4f2-bf95c4a48516	544ba78f-c4af-430b-a4fa-bfeac49cc039	AIR_COOLED_CHILLER
cea4642e-9818-4958-b4f2-bf95c4a48516	ba72e663-2692-486f-b49e-74f0f54d1bd6	COOLING_TOWER
cea4642e-9818-4958-b4f2-bf95c4a48516	7855c9a8-e3cf-4adb-ab9a-963f98fbcf9d	DRY_COOLER
cea4642e-9818-4958-b4f2-bf95c4a48516	2e2f9fab-9681-449d-8e54-eaf48fa12958	REMOTE_CONDENSER
cea4642e-9818-4958-b4f2-bf95c4a48516	ec07b4fb-4600-4d49-99c0-914591e515a0	CHILLED_WATER_PUMPS
cea4642e-9818-4958-b4f2-bf95c4a48516	40b0b798-b460-4334-b9e3-1393ed91dbc8	HEAT_REJECTION_PUMPS
cea4642e-9818-4958-b4f2-bf95c4a48516	c9e72d04-b160-48d9-9dbb-5d2bc29f7d54	VENTILATION
cea4642e-9818-4958-b4f2-bf95c4a48516	d6d5c96b-f33d-40cc-835f-1c99e25e63ed	INFILTRATION
cea4642e-9818-4958-b4f2-bf95c4a48516	f6948c78-ee11-4969-b150-831645bb4910	IT_LOAD
6a660d5c-0cbe-44e5-a300-b766fa181cf9	3cb9cf47-4ab5-4a04-b616-d6ec5bc977d5	SWITCHGEAR
6a660d5c-0cbe-44e5-a300-b766fa181cf9	5a2d78bf-496b-40c2-b59f-e120b928c722	GENERATOR
6a660d5c-0cbe-44e5-a300-b766fa181cf9	2551fedd-b295-468b-bfba-f4141244e1ba	PRIMARY_AUXILIARIES
6a660d5c-0cbe-44e5-a300-b766fa181cf9	095041ac-4702-49a7-ac8c-ca97fb9f142d	UPS
6a660d5c-0cbe-44e5-a300-b766fa181cf9	8f9dee9c-a9b8-4917-ab49-3dd14de2ea9d	CRITICAL_AUXILIARIES
6a660d5c-0cbe-44e5-a300-b766fa181cf9	e68f5fa4-5144-49d8-b2b7-201b68846504	LIGHTING
6a660d5c-0cbe-44e5-a300-b766fa181cf9	b1771b08-83bf-4c8b-80b9-69e74450d08a	CRITICAL_POWER_DISTRIBUTION
6a660d5c-0cbe-44e5-a300-b766fa181cf9	ac9d2837-a335-47c1-9069-e78b35d72951	CRAH
6a660d5c-0cbe-44e5-a300-b766fa181cf9	d6fa5a0a-7ae7-4798-a6fb-e99cfcc76118	CRAC
6a660d5c-0cbe-44e5-a300-b766fa181cf9	063945b3-a56f-4d90-8c3d-b8fc0fa90fa4	CRAC_WITHOUT_FAN
6a660d5c-0cbe-44e5-a300-b766fa181cf9	97c800f2-7bc1-465d-8d5b-fae124ec703b	CRAC_FAN
6a660d5c-0cbe-44e5-a300-b766fa181cf9	cd910ff3-6286-47b2-b325-e4bd169f6c80	CHILLER
6a660d5c-0cbe-44e5-a300-b766fa181cf9	2e13f02f-386b-452a-ab63-7bd97749e005	AIR_COOLED_CHILLER
6a660d5c-0cbe-44e5-a300-b766fa181cf9	e5e80b6b-a1c0-4870-9b54-509c4ab3ab7e	COOLING_TOWER
6a660d5c-0cbe-44e5-a300-b766fa181cf9	0b9fdd50-9378-4e3a-a812-2d8821d5cec7	DRY_COOLER
6a660d5c-0cbe-44e5-a300-b766fa181cf9	10e5f313-6462-4077-9a71-861eb06af548	REMOTE_CONDENSER
6a660d5c-0cbe-44e5-a300-b766fa181cf9	86a3f5ca-5ce9-460a-aab9-b3f16793e4c8	CHILLED_WATER_PUMPS
6a660d5c-0cbe-44e5-a300-b766fa181cf9	aea6f3af-cdde-4f34-811e-d00dbc382aee	HEAT_REJECTION_PUMPS
6a660d5c-0cbe-44e5-a300-b766fa181cf9	e18e8530-6a19-4c75-8e6b-43ddff646337	VENTILATION
6a660d5c-0cbe-44e5-a300-b766fa181cf9	0535c8e3-55a1-4b30-8107-6c61a1ca33cc	INFILTRATION
6a660d5c-0cbe-44e5-a300-b766fa181cf9	acca1b2f-c84e-4ae4-ad81-d033b0066f7c	IT_LOAD
ac08b01f-1f3a-465e-a37a-e03baadfbafe	63187d9b-9d3f-422f-a516-2208716192d4	SWITCHGEAR
ac08b01f-1f3a-465e-a37a-e03baadfbafe	d500f04a-38f2-4caf-9ada-a87c7d0a27c4	GENERATOR
ac08b01f-1f3a-465e-a37a-e03baadfbafe	c3d4309d-b6eb-4d4a-a2a5-c25ec8a1ae7c	PRIMARY_AUXILIARIES
ac08b01f-1f3a-465e-a37a-e03baadfbafe	cefdbf4b-3e07-4425-8482-b86707898ea6	UPS
ac08b01f-1f3a-465e-a37a-e03baadfbafe	c8c327f6-f446-454a-93c0-a5a08eafec62	CRITICAL_AUXILIARIES
ac08b01f-1f3a-465e-a37a-e03baadfbafe	6107b970-aab7-454c-b2c0-ef64bf359c7e	LIGHTING
ac08b01f-1f3a-465e-a37a-e03baadfbafe	dedda992-c130-4a9d-91b3-dea5b6037634	CRITICAL_POWER_DISTRIBUTION
ac08b01f-1f3a-465e-a37a-e03baadfbafe	e0feb342-eb2b-480c-a1bf-ce234b16f902	CRAH
ac08b01f-1f3a-465e-a37a-e03baadfbafe	715c80c1-8d6d-445e-8086-cec34ec8a53f	CRAC
ac08b01f-1f3a-465e-a37a-e03baadfbafe	64f14a82-4fb4-4d4d-b9fd-00dcb586b803	CRAC_WITHOUT_FAN
ac08b01f-1f3a-465e-a37a-e03baadfbafe	711b716a-8085-4ff0-a4d2-d6b8a5c8a15b	CRAC_FAN
ac08b01f-1f3a-465e-a37a-e03baadfbafe	c5ce1f7d-1351-4519-b2f3-551b9ac44bf1	CHILLER
ac08b01f-1f3a-465e-a37a-e03baadfbafe	e80ab26e-705a-4aeb-bfa2-51b349a5f7bf	AIR_COOLED_CHILLER
ac08b01f-1f3a-465e-a37a-e03baadfbafe	9218b668-2273-4438-8ed2-369e2dc77b95	COOLING_TOWER
ac08b01f-1f3a-465e-a37a-e03baadfbafe	e88daedd-020c-4f6e-b277-fdca28f4a056	DRY_COOLER
ac08b01f-1f3a-465e-a37a-e03baadfbafe	82474351-0c3c-4852-ab5c-c1e68f6fcb62	REMOTE_CONDENSER
ac08b01f-1f3a-465e-a37a-e03baadfbafe	b4078467-0368-49bb-9123-1d48b117ecfb	CHILLED_WATER_PUMPS
ac08b01f-1f3a-465e-a37a-e03baadfbafe	e45e163e-1977-4ebd-a3a8-f7ee509ef92e	HEAT_REJECTION_PUMPS
ac08b01f-1f3a-465e-a37a-e03baadfbafe	7bd6b857-2a61-4f5e-a115-0e65768e2cf7	VENTILATION
ac08b01f-1f3a-465e-a37a-e03baadfbafe	aa38255f-1713-402f-b337-65c18db0fedd	INFILTRATION
ac08b01f-1f3a-465e-a37a-e03baadfbafe	ba292251-fede-408c-bfca-b5f63021cea4	IT_LOAD
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	c2d44862-3275-4f70-8bc4-bc5f6b504487	SWITCHGEAR
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	af62da49-1867-411e-96f4-5a181b675e1c	GENERATOR
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	2ef6a5ca-6768-4890-aa04-178fb2211b9e	PRIMARY_AUXILIARIES
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	203fb189-ffb9-401b-a071-6fa306579281	UPS
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	5c7aee58-f6f2-46f3-8868-dde04a19e6ae	CRITICAL_AUXILIARIES
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	6f96a92e-f3d2-419d-b098-776c508280c7	LIGHTING
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	c2a09daf-b4e5-4565-9cfd-8c0e92813bcb	CRITICAL_POWER_DISTRIBUTION
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	4e412da1-9a00-4ef9-8974-f3c03945aaf8	CRAH
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	32e28919-b34f-4a24-ab07-c2b47494cd54	CRAC
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	44cd32ad-0166-41ea-a43a-ad21d39ad575	CRAC_WITHOUT_FAN
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	90e987b2-1d0d-41a0-9759-a35f878eb139	CRAC_FAN
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	a9c38a28-fe9f-4bcc-8e37-f703d3cdc6b8	CHILLER
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	a4ea66e3-728f-4a5e-8831-d172ab1f1614	AIR_COOLED_CHILLER
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	424b4fea-85de-4279-b65d-bf407bc4450b	COOLING_TOWER
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	36a83fc3-fb5f-4f26-85e4-f09d9592510a	DRY_COOLER
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	26916768-09fa-43f9-ac70-b346041e0afb	REMOTE_CONDENSER
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	8089df05-bc3d-498e-822c-8adf8f48cfd6	CHILLED_WATER_PUMPS
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	d3af0498-ee61-4e56-b2c2-285623699ce9	HEAT_REJECTION_PUMPS
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	9f1e0a53-5b70-4c71-98ce-230c700ef7fc	VENTILATION
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	a6fa06dd-9cb8-4e05-b82d-893c4a7fc503	INFILTRATION
9c6aaeb6-826d-4204-ba3b-63ff2ca1a63e	aabeed24-bfb8-40bf-a1e9-a7115b429298	IT_LOAD
0d7502bc-6a99-4b3d-aab0-3558ed92c519	0497eb93-e99b-492d-86e2-d9e0e996a6f2	SWITCHGEAR
0d7502bc-6a99-4b3d-aab0-3558ed92c519	88525e2d-76d1-4050-a153-27c20471cd7c	GENERATOR
0d7502bc-6a99-4b3d-aab0-3558ed92c519	e76bda94-4b65-475e-8e8e-2ca785ed5766	PRIMARY_AUXILIARIES
0d7502bc-6a99-4b3d-aab0-3558ed92c519	9a7f592e-422b-4556-8dd8-5c22abca5658	UPS
0d7502bc-6a99-4b3d-aab0-3558ed92c519	9326eb48-3446-4535-ae08-487a26c2fb53	CRITICAL_AUXILIARIES
0d7502bc-6a99-4b3d-aab0-3558ed92c519	b027735c-2750-4db5-9bbe-b67ccdb1d0da	LIGHTING
0d7502bc-6a99-4b3d-aab0-3558ed92c519	92a79047-fa94-4048-a641-5a51ee46a1f9	CRITICAL_POWER_DISTRIBUTION
0d7502bc-6a99-4b3d-aab0-3558ed92c519	2ff43016-61e9-4063-ae37-b82d5e648c4f	CRAH
0d7502bc-6a99-4b3d-aab0-3558ed92c519	75ec4e90-0085-49fe-856d-a45a9e41699e	CRAC
0d7502bc-6a99-4b3d-aab0-3558ed92c519	d7ae4924-5a27-4ace-b52f-c03c92905e0c	CRAC_WITHOUT_FAN
0d7502bc-6a99-4b3d-aab0-3558ed92c519	561d3e44-fe45-4e18-a597-2762f0a634f5	CRAC_FAN
0d7502bc-6a99-4b3d-aab0-3558ed92c519	ff0df447-567d-4eff-8615-bc1739b84688	CHILLER
0d7502bc-6a99-4b3d-aab0-3558ed92c519	e048abfa-e7ae-4d12-abc6-7ea2117d92e5	AIR_COOLED_CHILLER
0d7502bc-6a99-4b3d-aab0-3558ed92c519	74ca2fc2-9f79-4e88-992e-c20e6fb3bf37	COOLING_TOWER
0d7502bc-6a99-4b3d-aab0-3558ed92c519	b09d9833-aa6a-42a0-bd14-d3db68c9345a	DRY_COOLER
0d7502bc-6a99-4b3d-aab0-3558ed92c519	30cdce8b-ac7e-483c-9cde-ce3fd53ad117	REMOTE_CONDENSER
0d7502bc-6a99-4b3d-aab0-3558ed92c519	1615dd96-9946-4e57-b9ca-ad8936f68650	CHILLED_WATER_PUMPS
0d7502bc-6a99-4b3d-aab0-3558ed92c519	9e4c5a10-120f-430b-84fe-58475d22ea82	HEAT_REJECTION_PUMPS
0d7502bc-6a99-4b3d-aab0-3558ed92c519	dcc827fa-7668-498a-8ea4-42e9119fa5f7	VENTILATION
0d7502bc-6a99-4b3d-aab0-3558ed92c519	980ce44a-1bc1-4ebf-9e04-7ef977a8d3af	INFILTRATION
0d7502bc-6a99-4b3d-aab0-3558ed92c519	9484ab18-9a38-4574-aeb9-99fd5064757d	IT_LOAD
94f02981-9f31-4df7-8fde-77e6b3609189	84263125-3405-4f96-b3ae-c59be039a9f5	SWITCHGEAR
94f02981-9f31-4df7-8fde-77e6b3609189	df8b090f-d9bd-40a0-8d0c-10067aa323eb	GENERATOR
94f02981-9f31-4df7-8fde-77e6b3609189	f41aa1a6-d929-4ae3-a5e5-e086bfdf302f	PRIMARY_AUXILIARIES
94f02981-9f31-4df7-8fde-77e6b3609189	783edc52-4afd-4b89-badb-1f7572ac86d4	UPS
94f02981-9f31-4df7-8fde-77e6b3609189	d6f92379-6c83-468d-93dc-93eaeae80f0f	CRITICAL_AUXILIARIES
94f02981-9f31-4df7-8fde-77e6b3609189	b9f2428a-b1ff-4341-9276-d4f1dfba5542	LIGHTING
94f02981-9f31-4df7-8fde-77e6b3609189	5ffb1fd0-5cc6-4f27-bed5-e965ed754b53	CRITICAL_POWER_DISTRIBUTION
94f02981-9f31-4df7-8fde-77e6b3609189	f9e15720-a240-436f-89ad-c1d5a474cac0	CRAH
94f02981-9f31-4df7-8fde-77e6b3609189	5bfe93ae-f245-452f-ae10-6afec4d548d9	CRAC
94f02981-9f31-4df7-8fde-77e6b3609189	df93247d-f9af-47a7-89da-c0c05bb7b581	CRAC_WITHOUT_FAN
94f02981-9f31-4df7-8fde-77e6b3609189	7915f6ea-b083-47fe-9e3b-9b1a4d7e649e	CRAC_FAN
94f02981-9f31-4df7-8fde-77e6b3609189	2fd1e667-8658-4035-9f0c-37b057f449c2	CHILLER
94f02981-9f31-4df7-8fde-77e6b3609189	806cfc86-5206-4f0b-a9e2-c3b0fa05f8d8	AIR_COOLED_CHILLER
94f02981-9f31-4df7-8fde-77e6b3609189	3be8948b-5f5e-4770-9346-f2acb1acb509	COOLING_TOWER
94f02981-9f31-4df7-8fde-77e6b3609189	981e684f-360d-4d67-a0c6-6ce6691ed614	DRY_COOLER
94f02981-9f31-4df7-8fde-77e6b3609189	1c94b6e3-9b32-49ed-a5b2-4789d412402b	REMOTE_CONDENSER
94f02981-9f31-4df7-8fde-77e6b3609189	5fdecc48-aecc-41ec-83c0-022e4b7c0235	CHILLED_WATER_PUMPS
94f02981-9f31-4df7-8fde-77e6b3609189	85368401-8945-4509-ba5a-1aea22b0e7a0	HEAT_REJECTION_PUMPS
94f02981-9f31-4df7-8fde-77e6b3609189	748a7e4d-29ff-4958-8d68-02227748ea82	VENTILATION
94f02981-9f31-4df7-8fde-77e6b3609189	0dcab862-44fe-4223-8e6e-4bc35fd558ec	INFILTRATION
94f02981-9f31-4df7-8fde-77e6b3609189	95daf2e2-2121-453d-b6f5-d28f7ff754ca	IT_LOAD
6a773eee-42ab-4cfc-a2da-c93342a942d0	e12419c5-482c-47cc-9df5-f0e167569dde	SWITCHGEAR
6a773eee-42ab-4cfc-a2da-c93342a942d0	56023567-9b95-444e-bbb8-4cba471838d9	GENERATOR
6a773eee-42ab-4cfc-a2da-c93342a942d0	58cea6d7-52bf-482b-b7dc-e0b4c4f6d903	PRIMARY_AUXILIARIES
6a773eee-42ab-4cfc-a2da-c93342a942d0	d7aebe7d-b0dc-40bb-88e6-0412fbb8e182	UPS
6a773eee-42ab-4cfc-a2da-c93342a942d0	9383bf09-ae74-4cfe-a171-dd0123851112	CRITICAL_AUXILIARIES
6a773eee-42ab-4cfc-a2da-c93342a942d0	541983d8-76bc-491d-bab6-7d46b179f0a7	LIGHTING
6a773eee-42ab-4cfc-a2da-c93342a942d0	6150fdd6-153b-47db-9912-32d136c40c52	CRITICAL_POWER_DISTRIBUTION
6a773eee-42ab-4cfc-a2da-c93342a942d0	80fc5136-1df9-4c3c-8772-b272fa6348fa	CRAH
6a773eee-42ab-4cfc-a2da-c93342a942d0	b4ab7434-7ffd-4afc-949e-f7adbe3169ce	CRAC
6a773eee-42ab-4cfc-a2da-c93342a942d0	cbd17a67-9f53-4d41-824b-a95dc97f5884	CRAC_WITHOUT_FAN
6a773eee-42ab-4cfc-a2da-c93342a942d0	ee79a369-79d1-4457-b1c3-0b900d1f7311	CRAC_FAN
6a773eee-42ab-4cfc-a2da-c93342a942d0	0aa35703-205a-4d07-9c23-7132abe15823	CHILLER
6a773eee-42ab-4cfc-a2da-c93342a942d0	bb496b73-e5a9-4e36-b576-af9120dd6c23	AIR_COOLED_CHILLER
6a773eee-42ab-4cfc-a2da-c93342a942d0	2e34fb25-d288-4dc6-9d15-df11f8bcc33f	COOLING_TOWER
6a773eee-42ab-4cfc-a2da-c93342a942d0	5b1a1202-9200-47ed-a8f2-41ac9ebbac19	DRY_COOLER
6a773eee-42ab-4cfc-a2da-c93342a942d0	f37817de-4a61-4b9c-8404-abe540b76999	REMOTE_CONDENSER
6a773eee-42ab-4cfc-a2da-c93342a942d0	2b0ec155-5bc1-4c3d-8507-ca3c3b44d667	CHILLED_WATER_PUMPS
6a773eee-42ab-4cfc-a2da-c93342a942d0	e83ee0e5-0767-4600-a5b0-044f60efb700	HEAT_REJECTION_PUMPS
6a773eee-42ab-4cfc-a2da-c93342a942d0	a6153d30-2193-4b2d-a18e-396933c5d064	VENTILATION
6a773eee-42ab-4cfc-a2da-c93342a942d0	914a9b8c-5a21-45d5-8d65-2c748eef0f4b	INFILTRATION
6a773eee-42ab-4cfc-a2da-c93342a942d0	521dab23-6498-4266-8381-0d374ada57cc	IT_LOAD
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	5e2dedbb-6a77-49ff-aabb-1f8bcfdbc1b6	SWITCHGEAR
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	81f44350-da1a-467e-9ac0-1bd25bd0177e	GENERATOR
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	c1190b7a-5b4e-4935-8ea5-4f95465736f9	PRIMARY_AUXILIARIES
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	8a1d8218-3273-46b8-8e91-0c683732484a	UPS
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	866477cf-7418-44e7-bac7-f7e6c7bc0fd4	CRITICAL_AUXILIARIES
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	d0937b36-a97d-4661-9429-1ab8266e33eb	LIGHTING
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	6ca0b34f-44ac-408f-b2ba-64be49a10c04	CRITICAL_POWER_DISTRIBUTION
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	08f5ae0f-21e1-4c6d-aae3-2bdaa4103807	CRAH
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	d80e25ba-85da-471e-bc43-7528e844d7ef	CRAC
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	722b1c4d-c502-4298-9a51-a2ad1be82210	CRAC_WITHOUT_FAN
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	b74bb371-fd9a-462e-a208-1f3e08ae6b93	CRAC_FAN
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	2b09509a-577e-472a-98f7-5e1284059774	CHILLER
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	31366766-caaf-4c43-8cfe-e67a0a20a3f9	AIR_COOLED_CHILLER
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	43633984-e638-4259-9137-fe456e1bbff9	COOLING_TOWER
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	a5a2c432-669b-4465-8425-99817ea8349a	DRY_COOLER
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	dccdfb2e-dcfd-47bb-9de5-4178e49569a1	REMOTE_CONDENSER
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	9b3eabb4-794a-4f00-8ec3-d65f6c4fee05	CHILLED_WATER_PUMPS
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	5c6959e4-ba47-43f6-ae4a-cb17509c54d6	HEAT_REJECTION_PUMPS
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	a429892b-141b-4f88-bca5-a5d2ec847ccd	VENTILATION
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	9a10409b-8cce-4d4e-bfe8-904099959da4	INFILTRATION
c1cf1994-e5eb-49f4-9f52-90d0f401d27a	63e8ea5e-7e52-43c1-8950-14ca94ac81d4	IT_LOAD
dd06cb80-ceb6-4f52-baa6-dc9278665e18	1e64eb0c-7486-411b-8e6f-f97fbff17bbe	SWITCHGEAR
dd06cb80-ceb6-4f52-baa6-dc9278665e18	4b59ff2b-f6de-45d5-a3ce-3d8af89d971d	GENERATOR
dd06cb80-ceb6-4f52-baa6-dc9278665e18	ff1b4e41-c246-4af8-958a-d9412a887574	PRIMARY_AUXILIARIES
dd06cb80-ceb6-4f52-baa6-dc9278665e18	d262939b-5e51-4683-a314-942f520a445f	UPS
dd06cb80-ceb6-4f52-baa6-dc9278665e18	0ee8cdd8-1142-4d58-8eba-9045fed3d0fc	CRITICAL_AUXILIARIES
dd06cb80-ceb6-4f52-baa6-dc9278665e18	7f21b355-3796-496d-b190-3d7b64395a80	LIGHTING
dd06cb80-ceb6-4f52-baa6-dc9278665e18	2b105556-3a3b-4969-b8fe-d1d23ac899f9	CRITICAL_POWER_DISTRIBUTION
dd06cb80-ceb6-4f52-baa6-dc9278665e18	3437dac1-797d-4092-a612-3273eac189c8	CRAH
dd06cb80-ceb6-4f52-baa6-dc9278665e18	db3c1892-1173-462c-81ea-959586b6dbd8	CRAC
dd06cb80-ceb6-4f52-baa6-dc9278665e18	4c4ba040-4be5-451b-8c2a-1d78645781af	CRAC_WITHOUT_FAN
dd06cb80-ceb6-4f52-baa6-dc9278665e18	793cfe86-4b74-4fd5-9b69-69b03484fbc5	CRAC_FAN
dd06cb80-ceb6-4f52-baa6-dc9278665e18	6ce359c2-8cd5-4f4b-98cd-bfd996303979	CHILLER
dd06cb80-ceb6-4f52-baa6-dc9278665e18	e8e0749e-6a79-4679-958f-e39f93370125	AIR_COOLED_CHILLER
dd06cb80-ceb6-4f52-baa6-dc9278665e18	8286dcdb-d25c-4de4-8854-32ab774bce1c	COOLING_TOWER
dd06cb80-ceb6-4f52-baa6-dc9278665e18	d868d88f-3472-427c-9591-30809aa869ec	DRY_COOLER
dd06cb80-ceb6-4f52-baa6-dc9278665e18	84e13352-11d0-4a46-afe8-578e024fd1b0	REMOTE_CONDENSER
dd06cb80-ceb6-4f52-baa6-dc9278665e18	cae4000a-3bca-44cd-a02b-02a408340758	CHILLED_WATER_PUMPS
dd06cb80-ceb6-4f52-baa6-dc9278665e18	a60c3aba-a67b-47a6-8653-82fc22993452	HEAT_REJECTION_PUMPS
dd06cb80-ceb6-4f52-baa6-dc9278665e18	fc041115-5327-40ce-93a4-115fd238eadb	VENTILATION
dd06cb80-ceb6-4f52-baa6-dc9278665e18	701ca587-c0b8-49e6-ac3c-cf1f8d8f9662	INFILTRATION
dd06cb80-ceb6-4f52-baa6-dc9278665e18	74f18617-8c39-4d9e-9d2f-7636a77681f2	IT_LOAD
9457c5fb-0dca-475d-a759-61afce0cd402	a2d0427b-cc36-44e7-a7c9-c069967b7a69	SWITCHGEAR
9457c5fb-0dca-475d-a759-61afce0cd402	422ab7cc-32e6-4b7f-86a3-b12264963913	GENERATOR
9457c5fb-0dca-475d-a759-61afce0cd402	232f7f7d-e5b7-4041-ba91-473a4bece3f6	PRIMARY_AUXILIARIES
9457c5fb-0dca-475d-a759-61afce0cd402	b5007eab-06b6-4be5-9754-06ec10e4a691	UPS
9457c5fb-0dca-475d-a759-61afce0cd402	b639dfe8-c450-41a9-acbe-53016d1950ed	CRITICAL_AUXILIARIES
9457c5fb-0dca-475d-a759-61afce0cd402	68123269-cdec-46f3-b9e9-c9b824b72f5f	LIGHTING
9457c5fb-0dca-475d-a759-61afce0cd402	3f6b76ac-e31b-4eaf-8e5c-fa28868859ff	CRITICAL_POWER_DISTRIBUTION
9457c5fb-0dca-475d-a759-61afce0cd402	37ca6890-a91f-4904-aca4-3413289d760b	CRAH
9457c5fb-0dca-475d-a759-61afce0cd402	e9b9eaa1-7911-4567-9c63-1c1b0dc3e0d3	CRAC
9457c5fb-0dca-475d-a759-61afce0cd402	d426a0fc-328f-466c-8a83-8e558cd6e894	CRAC_WITHOUT_FAN
9457c5fb-0dca-475d-a759-61afce0cd402	bc5b9d47-0c1f-4f30-a496-c0e62fe3042a	CRAC_FAN
9457c5fb-0dca-475d-a759-61afce0cd402	447363ef-7322-4c99-bc5d-304499c4bdb9	CHILLER
9457c5fb-0dca-475d-a759-61afce0cd402	eb5a83f7-af66-4b96-9c51-d671dc72e7e6	AIR_COOLED_CHILLER
9457c5fb-0dca-475d-a759-61afce0cd402	428c8767-f1fd-452b-9a4c-d52a308c8afc	COOLING_TOWER
9457c5fb-0dca-475d-a759-61afce0cd402	74659734-b214-451e-aaa2-9d7b4b481b51	DRY_COOLER
9457c5fb-0dca-475d-a759-61afce0cd402	03e9c8b9-d3ec-4c31-9dc4-89a1e0a9a8ab	REMOTE_CONDENSER
9457c5fb-0dca-475d-a759-61afce0cd402	da5f5b6a-d8ca-437e-9025-82931a4602d6	CHILLED_WATER_PUMPS
9457c5fb-0dca-475d-a759-61afce0cd402	023de824-de05-4bad-9eb9-3e52bf5347c6	HEAT_REJECTION_PUMPS
9457c5fb-0dca-475d-a759-61afce0cd402	bcac68d3-1a01-493f-a82a-8dabd9a964a2	VENTILATION
9457c5fb-0dca-475d-a759-61afce0cd402	0dad209f-6577-44c8-844c-71eb6e7938ef	INFILTRATION
9457c5fb-0dca-475d-a759-61afce0cd402	62f4b29d-0a4d-4935-8e85-ddbd36dca143	IT_LOAD
5166ff10-289c-4b90-833f-d4256a75bbed	0eb0fbce-695c-449d-ac2b-162e2d4ad80b	SWITCHGEAR
5166ff10-289c-4b90-833f-d4256a75bbed	899b22cd-1ffd-4d6d-a6d9-62cbf8bd7d6e	GENERATOR
5166ff10-289c-4b90-833f-d4256a75bbed	bf5436f4-4f8b-409d-abe5-466ce1a51b8a	PRIMARY_AUXILIARIES
5166ff10-289c-4b90-833f-d4256a75bbed	d7c27f63-b20e-429c-b653-aaec65fce3a6	UPS
5166ff10-289c-4b90-833f-d4256a75bbed	8e4e4629-4a84-4f75-98e3-b7d2d64ba9cb	CRITICAL_AUXILIARIES
5166ff10-289c-4b90-833f-d4256a75bbed	1f51b612-ff45-40d5-a352-561472b54161	LIGHTING
5166ff10-289c-4b90-833f-d4256a75bbed	375b3a96-31df-4a8e-b58e-1ddfea8fd42a	CRITICAL_POWER_DISTRIBUTION
5166ff10-289c-4b90-833f-d4256a75bbed	312798ae-4b47-4f3f-8474-533a348d9d0e	CRAH
5166ff10-289c-4b90-833f-d4256a75bbed	b1f49eed-3ed2-4325-a638-49d0cb3f56ad	CRAC
5166ff10-289c-4b90-833f-d4256a75bbed	65f441e2-774b-4345-a40b-996bceef9d6a	CRAC_WITHOUT_FAN
5166ff10-289c-4b90-833f-d4256a75bbed	8ca21f52-d116-480b-9712-decdc309bb23	CRAC_FAN
5166ff10-289c-4b90-833f-d4256a75bbed	4c02a2d1-b5ee-4f33-a6a0-a013f7d363c6	CHILLER
5166ff10-289c-4b90-833f-d4256a75bbed	e0cb058e-dbfa-4e3f-b972-2553e3e565ad	AIR_COOLED_CHILLER
5166ff10-289c-4b90-833f-d4256a75bbed	f02e957b-9c98-4433-ad7e-7a4e08adda37	COOLING_TOWER
5166ff10-289c-4b90-833f-d4256a75bbed	f1189bb7-27df-40be-b633-40dfd6098d6e	DRY_COOLER
5166ff10-289c-4b90-833f-d4256a75bbed	9bfd0c95-fff4-4a22-a4d4-153225fa56d2	REMOTE_CONDENSER
5166ff10-289c-4b90-833f-d4256a75bbed	41129bca-7ab0-47e6-9679-ea231eb41174	CHILLED_WATER_PUMPS
5166ff10-289c-4b90-833f-d4256a75bbed	946c3428-192f-4f0f-a45c-d065844408da	HEAT_REJECTION_PUMPS
5166ff10-289c-4b90-833f-d4256a75bbed	78108d0e-6ed6-4d29-b10a-8f6b8b024f49	VENTILATION
5166ff10-289c-4b90-833f-d4256a75bbed	26a48cbf-d6a8-4c9c-be40-63578f18dd31	INFILTRATION
5166ff10-289c-4b90-833f-d4256a75bbed	3184855a-0550-40f3-be60-deba2bc66de9	IT_LOAD
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	5b285217-14b8-467b-8109-56668f3b35ef	SWITCHGEAR
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	b3708519-bca8-4f4e-8ab3-9d171f97c09e	GENERATOR
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	e844159b-a2c9-49e6-b6cd-7ded54671e9f	PRIMARY_AUXILIARIES
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	528d5b59-64ac-44e0-b5fb-cbe69ec9becc	UPS
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	c8193e45-d6ff-4d5d-9f96-b6738f10250b	CRITICAL_AUXILIARIES
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	3ac270e2-aae6-4d8e-9f39-a5792480e0d8	LIGHTING
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	7cf4c348-d014-417c-b9a1-db743a55077a	CRITICAL_POWER_DISTRIBUTION
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	2d7f46d3-3dd0-4045-94a1-203a8e07baa5	CRAH
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	5ac52472-b6a5-43be-ae78-952e774b1cf9	CRAC
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	a95318ca-e2a6-4ae2-9683-3b29e7c03b83	CRAC_WITHOUT_FAN
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	39b3f735-d6c0-4e87-a828-d42226902e9a	CRAC_FAN
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	4085e204-5239-4f34-b071-5a0a209597bf	CHILLER
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	d6b3e011-f687-44be-8ec1-4a3c30d0eda6	AIR_COOLED_CHILLER
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	8e0ae6ca-eb6f-437f-bf4a-c807daa7845b	COOLING_TOWER
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	2cc0abb9-8dca-4e56-a25a-a1a72e0a2fd4	DRY_COOLER
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	30ea25e3-9064-49ed-a75f-f15cfdbd8d23	REMOTE_CONDENSER
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	4508baef-2efc-4832-8c12-3073760dff2d	CHILLED_WATER_PUMPS
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	e1dadf31-e683-4b45-9380-dd4f530476b5	HEAT_REJECTION_PUMPS
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	cc1548f8-a978-452f-9987-f50000a543fe	VENTILATION
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	8695ff40-8fd6-470e-ab81-624466332117	INFILTRATION
826f78b2-1386-4ccb-b5d1-f49d6b6b6a43	bf74b27c-3a37-45c5-a523-e8c564fad949	IT_LOAD
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	585bdb15-78a7-4836-8ed6-d8889509fb22	SWITCHGEAR
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	16c09a4f-4a61-43d4-b9b2-766c8f0b7010	GENERATOR
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	283a02b9-47c1-4ac3-a69f-0c7e19e7aacc	PRIMARY_AUXILIARIES
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	80d4f458-ad22-4065-8a25-4c955c4b5862	UPS
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	516592dc-a08f-4542-8f4f-33141c894b67	CRITICAL_AUXILIARIES
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	784de756-eed6-4b7e-b670-7950c7f74afb	LIGHTING
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	0d15d9eb-49cc-4d39-8aeb-c37215de5ed4	CRITICAL_POWER_DISTRIBUTION
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	b93069a7-899f-4459-a690-443916d46b43	CRAH
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	59439d6f-79b2-454d-a231-30a1366d0a3b	CRAC
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	5901ce27-4031-468e-81ca-d1bbda7c63f8	CRAC_WITHOUT_FAN
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	6b4bfe30-e94d-4200-b0e2-bf6d3e06a5bf	CRAC_FAN
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	a463cdd4-b708-4121-ad7d-b621ee76d1da	CHILLER
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	25a92070-ff58-49ef-8d3c-e02c2d57cd83	AIR_COOLED_CHILLER
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	17bd9b57-f21a-4f06-8169-fd1e15b334c7	COOLING_TOWER
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	ebdcfcac-2179-4a9f-a030-2fa5589ab8e5	DRY_COOLER
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	55c68616-f674-40f0-a7c9-e64e215fd956	REMOTE_CONDENSER
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	2e1fe8c4-8296-4035-b68d-cca4bb4c8258	CHILLED_WATER_PUMPS
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	8b2f261b-345a-4c5b-8749-1595a43c1065	HEAT_REJECTION_PUMPS
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	3a4acb44-f57b-4b1e-ab9a-fae92842969a	VENTILATION
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	cab486ac-c08a-4e98-8943-2768e9d8746a	INFILTRATION
d94521a5-6a04-4a43-8a3f-8ea57fc5ec7a	21b5f4be-0393-4e9d-bde4-825f418fd537	IT_LOAD
edda760e-4770-495d-81f5-f243e336557c	aada18a7-3e6e-43a2-803a-c12989d4f335	SWITCHGEAR
edda760e-4770-495d-81f5-f243e336557c	5c5b8622-8a4b-4127-acda-8f8707ce9b29	GENERATOR
edda760e-4770-495d-81f5-f243e336557c	52a7c0ec-51ea-4f45-a1fc-1f5a7a0d5c30	PRIMARY_AUXILIARIES
edda760e-4770-495d-81f5-f243e336557c	b784e3b9-bbd7-4a56-b6f1-8f2009e7e702	UPS
edda760e-4770-495d-81f5-f243e336557c	b92a6f91-a13f-427f-a707-e80b7d3edfd8	CRITICAL_AUXILIARIES
edda760e-4770-495d-81f5-f243e336557c	a8e2667d-154e-4244-aeff-3224eb507194	LIGHTING
edda760e-4770-495d-81f5-f243e336557c	a2ae23c9-af1c-4b19-8293-9e52a4864ff7	CRITICAL_POWER_DISTRIBUTION
edda760e-4770-495d-81f5-f243e336557c	d0a2cab1-0bd4-418a-8c98-8add96e0ecdf	CRAH
edda760e-4770-495d-81f5-f243e336557c	a1ed18fa-62bc-482f-9b24-4f076bb9d25f	CRAC
edda760e-4770-495d-81f5-f243e336557c	5e76110e-c44d-4fb0-af09-9e511ed2a68e	CRAC_WITHOUT_FAN
edda760e-4770-495d-81f5-f243e336557c	cd7b39e5-7014-4a8f-82cc-65e8da09c442	CRAC_FAN
edda760e-4770-495d-81f5-f243e336557c	94776a25-a0ea-4e7c-8f49-5a8e31892135	CHILLER
edda760e-4770-495d-81f5-f243e336557c	8368ba07-0bde-4243-8053-65d71ada3796	AIR_COOLED_CHILLER
edda760e-4770-495d-81f5-f243e336557c	723dd23e-62e6-47b2-98ba-f85ceff4853d	COOLING_TOWER
edda760e-4770-495d-81f5-f243e336557c	4b602387-7d52-44de-adda-79bdc8dbc07a	DRY_COOLER
edda760e-4770-495d-81f5-f243e336557c	e26975c3-f274-418d-8ca9-d1a350838a7e	REMOTE_CONDENSER
edda760e-4770-495d-81f5-f243e336557c	9b5b1d94-abbe-4470-b242-7b9b10dac227	CHILLED_WATER_PUMPS
edda760e-4770-495d-81f5-f243e336557c	8cf998c9-9645-4a9a-86e9-38ffef89d39a	HEAT_REJECTION_PUMPS
edda760e-4770-495d-81f5-f243e336557c	b36dfd32-9714-4a3c-9274-8071af508ca4	VENTILATION
edda760e-4770-495d-81f5-f243e336557c	6984419e-289a-4367-9a83-b33f248de2a7	INFILTRATION
edda760e-4770-495d-81f5-f243e336557c	46d50068-7e83-46b5-8505-308294ab8e0f	IT_LOAD
4ecf2f10-8482-4b59-8595-5916f69c232d	44cbf982-8d9c-455e-8240-1ae0c8f8e0d3	SWITCHGEAR
4ecf2f10-8482-4b59-8595-5916f69c232d	4c83162d-2f4a-4b06-a3b1-e461ea9f618b	GENERATOR
4ecf2f10-8482-4b59-8595-5916f69c232d	3bb6e5e7-e8ac-4779-8538-4ff51a6bd405	PRIMARY_AUXILIARIES
4ecf2f10-8482-4b59-8595-5916f69c232d	f029882c-e0c6-491e-9099-7478bb6b7b4c	UPS
4ecf2f10-8482-4b59-8595-5916f69c232d	e406ac2f-16fe-426b-8d9f-080697c8b7ef	CRITICAL_AUXILIARIES
4ecf2f10-8482-4b59-8595-5916f69c232d	ea7ee1c7-63c8-47b9-9d9d-1e197940966d	LIGHTING
4ecf2f10-8482-4b59-8595-5916f69c232d	f30d001a-2f43-4009-ad78-83982a615cba	CRITICAL_POWER_DISTRIBUTION
4ecf2f10-8482-4b59-8595-5916f69c232d	fb47b40e-ceec-4c2b-99f6-64389b955520	CRAH
4ecf2f10-8482-4b59-8595-5916f69c232d	9cb1ee8c-4e75-4940-926a-cec37f46d7c5	CRAC
4ecf2f10-8482-4b59-8595-5916f69c232d	f3946baa-1620-4e2a-9eac-03faa811388a	CRAC_WITHOUT_FAN
4ecf2f10-8482-4b59-8595-5916f69c232d	65432c6a-549b-4e9c-a537-07d7108f3879	CRAC_FAN
4ecf2f10-8482-4b59-8595-5916f69c232d	55f8a153-ec6e-4bed-a8bf-c1c80a2e790d	CHILLER
4ecf2f10-8482-4b59-8595-5916f69c232d	c7c26152-7f63-430a-ba80-1f49082a19c3	AIR_COOLED_CHILLER
4ecf2f10-8482-4b59-8595-5916f69c232d	09565695-a8f0-495b-b8cb-ca5af01bc92f	COOLING_TOWER
4ecf2f10-8482-4b59-8595-5916f69c232d	09856349-6904-4e47-a1f4-7f83f6d20118	DRY_COOLER
4ecf2f10-8482-4b59-8595-5916f69c232d	90963aed-615f-4b8b-aded-9aa41615095d	REMOTE_CONDENSER
4ecf2f10-8482-4b59-8595-5916f69c232d	f9d35a14-c484-457a-b945-357db9a63792	CHILLED_WATER_PUMPS
4ecf2f10-8482-4b59-8595-5916f69c232d	9a0bba37-d5ff-4cae-b72c-b71573ae85b0	HEAT_REJECTION_PUMPS
4ecf2f10-8482-4b59-8595-5916f69c232d	bbb26473-2f8f-4108-bee3-9a839d7befb5	VENTILATION
4ecf2f10-8482-4b59-8595-5916f69c232d	314900ab-f1ee-48cd-8e8e-dce802a5d7ae	INFILTRATION
4ecf2f10-8482-4b59-8595-5916f69c232d	afeb7a03-5915-491d-9718-92ed031f2805	IT_LOAD
183769d7-67c1-45fb-b99d-be6f45fed5ad	2a153161-d341-4b8c-a05d-c0a354588550	SWITCHGEAR
183769d7-67c1-45fb-b99d-be6f45fed5ad	b7737895-90c7-45bc-88b2-4282740cfca4	GENERATOR
183769d7-67c1-45fb-b99d-be6f45fed5ad	2e3ec3c9-7e61-44ef-b40d-82c18248599c	PRIMARY_AUXILIARIES
183769d7-67c1-45fb-b99d-be6f45fed5ad	c231e23e-1659-4d05-819f-b1c4bfd1c78d	UPS
183769d7-67c1-45fb-b99d-be6f45fed5ad	204d4805-d6e1-4a99-ad9c-36f5633525af	CRITICAL_AUXILIARIES
183769d7-67c1-45fb-b99d-be6f45fed5ad	38ecdfa7-88b6-495e-abf0-bf53771fc293	LIGHTING
183769d7-67c1-45fb-b99d-be6f45fed5ad	71985eb9-e92b-4c38-ab41-16af08cc6e02	CRITICAL_POWER_DISTRIBUTION
183769d7-67c1-45fb-b99d-be6f45fed5ad	2d5e6427-4759-47d4-af41-8fdb22a76f0f	CRAH
183769d7-67c1-45fb-b99d-be6f45fed5ad	270c362b-fec8-4276-97f4-2798608cfe32	CRAC
183769d7-67c1-45fb-b99d-be6f45fed5ad	3be66d4e-12e2-4266-a35f-1ff99eaf7a6f	CRAC_WITHOUT_FAN
183769d7-67c1-45fb-b99d-be6f45fed5ad	f0810c09-f4d6-47fa-b183-00e90f408ee1	CRAC_FAN
183769d7-67c1-45fb-b99d-be6f45fed5ad	f3791f90-6a0f-4732-bf22-279d0bd73e51	CHILLER
183769d7-67c1-45fb-b99d-be6f45fed5ad	408284fd-803b-4250-a65d-99a84b518d62	AIR_COOLED_CHILLER
183769d7-67c1-45fb-b99d-be6f45fed5ad	2f37830e-057a-4de7-a0d2-bd28ff0c2801	COOLING_TOWER
183769d7-67c1-45fb-b99d-be6f45fed5ad	15be85ba-d5f7-4bd4-a976-041fb0e4db8f	DRY_COOLER
183769d7-67c1-45fb-b99d-be6f45fed5ad	5a9ffe4c-c977-4670-bf8f-156d9b185799	REMOTE_CONDENSER
183769d7-67c1-45fb-b99d-be6f45fed5ad	b780f99e-e63e-4179-9d4e-a9abd6e65d3f	CHILLED_WATER_PUMPS
183769d7-67c1-45fb-b99d-be6f45fed5ad	006251bc-1725-4072-8f69-47fbdf0aa584	HEAT_REJECTION_PUMPS
183769d7-67c1-45fb-b99d-be6f45fed5ad	89c4488e-7757-4474-8e33-07b662c18e2e	VENTILATION
183769d7-67c1-45fb-b99d-be6f45fed5ad	f15943a1-a4d4-4943-8ec6-fcfdcc35f201	INFILTRATION
183769d7-67c1-45fb-b99d-be6f45fed5ad	5ae948e2-8463-49aa-a574-a5e1edc49a4a	IT_LOAD
6237d211-46a2-4306-bfce-8c5ab96552d6	acf48549-2cd0-4064-8818-14cb1429abdd	SWITCHGEAR
6237d211-46a2-4306-bfce-8c5ab96552d6	a100b670-a254-4099-ba91-03af72475c15	GENERATOR
6237d211-46a2-4306-bfce-8c5ab96552d6	37d4d033-f988-416a-a83b-c34e0641862f	PRIMARY_AUXILIARIES
6237d211-46a2-4306-bfce-8c5ab96552d6	2b561e7a-2058-4d97-82e5-012a6281ccaf	UPS
6237d211-46a2-4306-bfce-8c5ab96552d6	348860cc-e3a9-4b9c-a5ed-c9b5bf148931	CRITICAL_AUXILIARIES
6237d211-46a2-4306-bfce-8c5ab96552d6	2072621d-f88a-4222-91d5-63f8fab76ab2	LIGHTING
6237d211-46a2-4306-bfce-8c5ab96552d6	5882855e-a5a0-4ace-aeb3-0388794753bf	CRITICAL_POWER_DISTRIBUTION
6237d211-46a2-4306-bfce-8c5ab96552d6	da34dfb1-c7a5-4e7e-ab29-423889d115fc	CRAH
6237d211-46a2-4306-bfce-8c5ab96552d6	547d74d4-3678-4611-a196-e2e9dc0a8d55	CRAC
6237d211-46a2-4306-bfce-8c5ab96552d6	b9c1add5-d235-4e66-b798-2500f69f8788	CRAC_WITHOUT_FAN
6237d211-46a2-4306-bfce-8c5ab96552d6	53fe2e98-1350-4667-9f25-236fa12e7e9e	CRAC_FAN
6237d211-46a2-4306-bfce-8c5ab96552d6	b1a384ee-1c19-4224-aa8f-f6b476733dd8	CHILLER
6237d211-46a2-4306-bfce-8c5ab96552d6	010cbeef-2e3f-4a87-a6d6-7938965ba2e2	AIR_COOLED_CHILLER
6237d211-46a2-4306-bfce-8c5ab96552d6	79816bf0-4dcf-4c8c-8af9-463bda6d617e	COOLING_TOWER
6237d211-46a2-4306-bfce-8c5ab96552d6	6fdcc4c6-1099-43b3-8944-1a8db0e18d25	DRY_COOLER
6237d211-46a2-4306-bfce-8c5ab96552d6	5744dc42-dbb7-4737-982d-8260595e1145	REMOTE_CONDENSER
6237d211-46a2-4306-bfce-8c5ab96552d6	52095846-1230-4364-a86c-c3579c75ca72	CHILLED_WATER_PUMPS
6237d211-46a2-4306-bfce-8c5ab96552d6	f6315f55-70e0-4b97-8c61-3b967e630731	HEAT_REJECTION_PUMPS
6237d211-46a2-4306-bfce-8c5ab96552d6	165fbefb-0c7c-48ab-b44b-662cc9b4917e	VENTILATION
6237d211-46a2-4306-bfce-8c5ab96552d6	8bc9d981-d42f-4082-b00d-4d3ab5f77209	INFILTRATION
6237d211-46a2-4306-bfce-8c5ab96552d6	e303060d-79ab-4aac-bf5c-442557970dc4	IT_LOAD
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	09200cfd-1517-45bb-b24a-8091b63a83c5	SWITCHGEAR
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	0a27c251-faeb-4fe1-a856-942b532d7f61	GENERATOR
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	46dcf9dc-5886-421a-8cdd-7925e85acba6	PRIMARY_AUXILIARIES
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	21613b56-71b1-4589-b0a1-7d80dce5ce0d	UPS
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	ed4135f8-976d-48d7-badc-0cd1d13997c8	CRITICAL_AUXILIARIES
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	945e2de5-7f57-4ba0-b639-f85cd97f6a76	LIGHTING
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	5003abf1-994f-42c6-9f3a-db4052404f7e	CRITICAL_POWER_DISTRIBUTION
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	2ae2090a-4174-42f7-bea3-158b7b8553f3	CRAH
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	8b77ad7c-5f61-4ac1-9f1b-306762e15ea8	CRAC
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	3a6c06ec-fffd-4ac1-8394-2d3cf30164d9	CRAC_WITHOUT_FAN
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	f173d928-9c77-43ea-8cd9-01d9175c604e	CRAC_FAN
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	cbea5164-67ef-41b1-80d6-1368a9302cdc	CHILLER
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	f721aee6-99b6-4948-a44e-01ad4c8b0d99	AIR_COOLED_CHILLER
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	6a63b41f-02cb-40bf-bad0-e72c377c4d79	COOLING_TOWER
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	ba2b9519-71f2-49a4-aeeb-e3911a8d38c8	DRY_COOLER
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	9e42b5c1-8cdd-494b-813a-c5b025591f32	REMOTE_CONDENSER
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	0b83bc37-bf8b-41e5-bff7-dbe4937c8014	CHILLED_WATER_PUMPS
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	75ebc34f-22db-4c6a-a4ec-19a188c4a73d	HEAT_REJECTION_PUMPS
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	f8af8999-c615-4ebf-a2d7-400bd93f7a14	VENTILATION
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	d0290c6a-f2b9-4edc-8983-c765b1932a51	INFILTRATION
a2afdfe4-76e2-42a4-b2dc-8cb3e640c6aa	ee249530-2161-4c6f-901d-722ed35a7a9d	IT_LOAD
e24d0f36-5c53-41ca-82de-926cbe6383dd	51328cdd-ce2b-42b7-9786-ef981841cf96	SWITCHGEAR
e24d0f36-5c53-41ca-82de-926cbe6383dd	904897cc-6a40-41ec-ae22-2de89533ba4e	GENERATOR
e24d0f36-5c53-41ca-82de-926cbe6383dd	7163bf4c-9160-409d-94ae-4a19d2d12efb	PRIMARY_AUXILIARIES
e24d0f36-5c53-41ca-82de-926cbe6383dd	8570a685-291d-41ee-b34c-84302ea778ba	UPS
e24d0f36-5c53-41ca-82de-926cbe6383dd	9435cbec-53e4-4aa5-9297-e3e7244708dd	CRITICAL_AUXILIARIES
e24d0f36-5c53-41ca-82de-926cbe6383dd	6c4b8e37-d4f2-4466-bf9f-e223a5a82d4a	LIGHTING
e24d0f36-5c53-41ca-82de-926cbe6383dd	0424ac3f-f867-4d67-acbd-6d9c5cae719b	CRITICAL_POWER_DISTRIBUTION
e24d0f36-5c53-41ca-82de-926cbe6383dd	965226ed-1034-4aa3-8f82-360addba385e	CRAH
e24d0f36-5c53-41ca-82de-926cbe6383dd	438539cd-a7c0-46a6-b90b-887442e958d9	CRAC
e24d0f36-5c53-41ca-82de-926cbe6383dd	91e5ccf3-285b-472f-82fc-309f43889c35	CRAC_WITHOUT_FAN
e24d0f36-5c53-41ca-82de-926cbe6383dd	5e141602-8c85-4d17-b0ef-b266a0a2b619	CRAC_FAN
e24d0f36-5c53-41ca-82de-926cbe6383dd	27a5921e-7db8-4a19-b6cf-f177f8d91d93	CHILLER
e24d0f36-5c53-41ca-82de-926cbe6383dd	0c46fc62-783b-4f59-af9b-f8f3fad29634	AIR_COOLED_CHILLER
e24d0f36-5c53-41ca-82de-926cbe6383dd	84a1754a-d10a-4de4-8589-c72d5ebb0a0b	COOLING_TOWER
e24d0f36-5c53-41ca-82de-926cbe6383dd	b7711d75-5308-4d33-8e0d-2870a318179a	DRY_COOLER
e24d0f36-5c53-41ca-82de-926cbe6383dd	de95be27-b830-4b73-988c-e71ae673241e	REMOTE_CONDENSER
e24d0f36-5c53-41ca-82de-926cbe6383dd	9791c7b7-eed0-42bf-b388-2a7434fc7206	CHILLED_WATER_PUMPS
e24d0f36-5c53-41ca-82de-926cbe6383dd	4a99806d-0ded-4e65-a2d4-5bcf3f8b1827	HEAT_REJECTION_PUMPS
e24d0f36-5c53-41ca-82de-926cbe6383dd	52c32b82-d0fb-499d-95a3-b801cb122705	VENTILATION
e24d0f36-5c53-41ca-82de-926cbe6383dd	fc238120-9b26-464c-9661-9114a27b500f	INFILTRATION
e24d0f36-5c53-41ca-82de-926cbe6383dd	1bfb1d1a-fe82-443d-b334-639c8ad0ee7f	IT_LOAD
3bae5d28-edb9-4607-9951-77876133be34	f087c4c9-7e45-4e99-a1a6-d3d9955bf21e	SWITCHGEAR
3bae5d28-edb9-4607-9951-77876133be34	975f50f7-8c2c-4fab-9d35-95dbfc458e76	GENERATOR
3bae5d28-edb9-4607-9951-77876133be34	a56a6e69-5ad5-45fd-a9b6-9e5ba4fb0dc1	PRIMARY_AUXILIARIES
3bae5d28-edb9-4607-9951-77876133be34	0f2048bd-1b12-44af-8c1c-96f7b831cb4a	UPS
3bae5d28-edb9-4607-9951-77876133be34	7b16b597-6362-4ec2-bc05-da6d692bdabc	CRITICAL_AUXILIARIES
3bae5d28-edb9-4607-9951-77876133be34	7ed1638c-8f47-4590-9d7f-0485f6f89021	LIGHTING
3bae5d28-edb9-4607-9951-77876133be34	2450ca79-f759-4aa9-b91d-1522ba8bd136	CRITICAL_POWER_DISTRIBUTION
3bae5d28-edb9-4607-9951-77876133be34	45276a3a-d0e7-4e1e-b9a4-b546a584a06b	CRAH
3bae5d28-edb9-4607-9951-77876133be34	803d8120-4f43-4819-b350-51d6a515c448	CRAC
3bae5d28-edb9-4607-9951-77876133be34	8bb62fb9-7545-42d0-a4ca-5f9df3a8795a	CRAC_WITHOUT_FAN
3bae5d28-edb9-4607-9951-77876133be34	34e819fa-538a-4df6-8885-3c132cd1c2db	CRAC_FAN
3bae5d28-edb9-4607-9951-77876133be34	64ea0062-7315-4fc3-bfac-c2bbcb1a73d4	CHILLER
3bae5d28-edb9-4607-9951-77876133be34	7da55747-ed1d-45ed-ae51-c3bf52fe1631	AIR_COOLED_CHILLER
3bae5d28-edb9-4607-9951-77876133be34	ad588e01-4466-467e-b655-27db02194ba1	COOLING_TOWER
3bae5d28-edb9-4607-9951-77876133be34	4e3afe1b-7556-4099-a95b-dcf94ef4fcfc	DRY_COOLER
3bae5d28-edb9-4607-9951-77876133be34	08c372d6-6474-4fb6-b1da-3f8323289c65	REMOTE_CONDENSER
3bae5d28-edb9-4607-9951-77876133be34	237de728-b4cd-43eb-802c-9cfbdc0fcbfc	CHILLED_WATER_PUMPS
3bae5d28-edb9-4607-9951-77876133be34	fa80d062-f17a-42ad-b2c4-9006d8f66a0d	HEAT_REJECTION_PUMPS
3bae5d28-edb9-4607-9951-77876133be34	a489ebf6-651e-4bb8-a114-73f5f4eeb7c1	VENTILATION
3bae5d28-edb9-4607-9951-77876133be34	5578257c-3a04-43d3-b7d0-0b1346541092	INFILTRATION
3bae5d28-edb9-4607-9951-77876133be34	9de1bf44-1b7b-49fa-84c8-dbc3dcff71f0	IT_LOAD
60264631-0478-44c3-9375-1ab0486a3664	c1101d02-e417-4c0b-aefc-0faac060afc7	SWITCHGEAR
60264631-0478-44c3-9375-1ab0486a3664	b15fc76c-900a-4e77-80a4-cb2fc50c0cb8	GENERATOR
60264631-0478-44c3-9375-1ab0486a3664	682c8c60-52a7-47e6-b7ef-0a603aaf6a78	PRIMARY_AUXILIARIES
60264631-0478-44c3-9375-1ab0486a3664	975db747-0ce5-4934-b018-41228c44485f	UPS
60264631-0478-44c3-9375-1ab0486a3664	51151879-2ff0-4892-8067-6ad0f8344aa8	CRITICAL_AUXILIARIES
60264631-0478-44c3-9375-1ab0486a3664	b99150c1-a151-4ea2-a577-8543355a1246	LIGHTING
60264631-0478-44c3-9375-1ab0486a3664	3cc7a984-e386-4f9b-8679-13d8b3867fe3	CRITICAL_POWER_DISTRIBUTION
60264631-0478-44c3-9375-1ab0486a3664	263ce6c1-c227-4943-8701-eef7e686de12	CRAH
60264631-0478-44c3-9375-1ab0486a3664	35aa5327-7558-47dd-a4d7-eb561b8e5d45	CRAC
60264631-0478-44c3-9375-1ab0486a3664	8cb2a180-f0fc-49aa-97f6-aef543bdc389	CRAC_WITHOUT_FAN
60264631-0478-44c3-9375-1ab0486a3664	a8d1d1e9-a2e2-45d6-9879-ce11fb752e7c	CRAC_FAN
60264631-0478-44c3-9375-1ab0486a3664	8c9f299f-9b1c-40db-a7a7-ed33e4cc26e1	CHILLER
60264631-0478-44c3-9375-1ab0486a3664	5abd36c5-4db2-45e1-b5c5-eaffaa5fe542	AIR_COOLED_CHILLER
60264631-0478-44c3-9375-1ab0486a3664	64183b8c-0fb1-403e-8ed9-d78e5f084d67	COOLING_TOWER
60264631-0478-44c3-9375-1ab0486a3664	f3fcc081-577f-482c-ba28-7bb33506eb12	DRY_COOLER
60264631-0478-44c3-9375-1ab0486a3664	8d326beb-e3f9-4cb5-9185-f385762217de	REMOTE_CONDENSER
60264631-0478-44c3-9375-1ab0486a3664	5480fae6-9b04-49c5-ba3c-aaa61b15794b	CHILLED_WATER_PUMPS
60264631-0478-44c3-9375-1ab0486a3664	aa0c601b-84f0-412a-bf7b-cc8308705c97	HEAT_REJECTION_PUMPS
60264631-0478-44c3-9375-1ab0486a3664	2d0071fd-2e88-4fc9-924b-fd7c1b6d8538	VENTILATION
60264631-0478-44c3-9375-1ab0486a3664	c96c74bd-53ca-4be7-8bde-92ea32979679	INFILTRATION
60264631-0478-44c3-9375-1ab0486a3664	d2064282-ba8f-4847-a1a3-f9fda2e56f31	IT_LOAD
247cb79d-bdc3-4a53-8265-434468a43351	8edc2a0a-aa2d-4f70-b127-7c44cf696fb7	SWITCHGEAR
247cb79d-bdc3-4a53-8265-434468a43351	21ffab11-3ac6-42c4-aac6-1be0bd614b4f	GENERATOR
247cb79d-bdc3-4a53-8265-434468a43351	f80a5224-69cf-4844-9869-d4b0ce92b0a7	PRIMARY_AUXILIARIES
247cb79d-bdc3-4a53-8265-434468a43351	b9b4e315-b602-4397-a3ab-c3216e5ca523	UPS
247cb79d-bdc3-4a53-8265-434468a43351	ff12587c-36d4-4e6a-9490-8ba5bcf74c64	CRITICAL_AUXILIARIES
247cb79d-bdc3-4a53-8265-434468a43351	42118a12-adec-46e0-8546-8e91ff83de23	LIGHTING
247cb79d-bdc3-4a53-8265-434468a43351	975c9c9d-e4d8-4a38-902b-d366f2ceb9da	CRITICAL_POWER_DISTRIBUTION
247cb79d-bdc3-4a53-8265-434468a43351	f3d52f79-3ee2-4d5b-960f-d82ba7d8846a	CRAH
247cb79d-bdc3-4a53-8265-434468a43351	4777f351-bf22-4aff-95ad-c1838849858b	CRAC
247cb79d-bdc3-4a53-8265-434468a43351	300d68fa-22f2-4221-96e1-a8e56c0f7917	CRAC_WITHOUT_FAN
247cb79d-bdc3-4a53-8265-434468a43351	0a0247ce-b215-4d51-953e-fe7b2205f0f6	CRAC_FAN
247cb79d-bdc3-4a53-8265-434468a43351	690a1051-33bd-49b5-bbdf-baf7006f945f	CHILLER
247cb79d-bdc3-4a53-8265-434468a43351	01c95acf-2295-4075-9667-52f35e9cf6e6	AIR_COOLED_CHILLER
247cb79d-bdc3-4a53-8265-434468a43351	a8e2ac3f-be58-4b0e-8c57-277c30a67c85	COOLING_TOWER
247cb79d-bdc3-4a53-8265-434468a43351	a4e02142-f06a-4369-88e0-7a2db9efb1d6	DRY_COOLER
247cb79d-bdc3-4a53-8265-434468a43351	2abcae6f-b09e-4362-b059-0b7b684c7c47	REMOTE_CONDENSER
247cb79d-bdc3-4a53-8265-434468a43351	cd71fcef-a3c2-46f8-ac3b-a7bdcb99434c	CHILLED_WATER_PUMPS
247cb79d-bdc3-4a53-8265-434468a43351	94f3a497-af74-482b-af65-51edfe3dbcca	HEAT_REJECTION_PUMPS
247cb79d-bdc3-4a53-8265-434468a43351	dae4464c-b82d-46ef-9f6e-73cc64146755	VENTILATION
247cb79d-bdc3-4a53-8265-434468a43351	80fd1908-1ad6-4409-a612-bf3ef97a632e	INFILTRATION
247cb79d-bdc3-4a53-8265-434468a43351	6d49d4dc-4365-4f05-890a-92c1381ae400	IT_LOAD
a6bb0578-90be-442a-a38b-31840bed182b	2df0c15e-0532-4b9c-88a4-5b3a63a7d8f9	SWITCHGEAR
a6bb0578-90be-442a-a38b-31840bed182b	b2cc8a09-4cdc-4d32-a944-a1441482efc1	GENERATOR
a6bb0578-90be-442a-a38b-31840bed182b	166a614e-1c70-4126-ac7e-be696a630a00	PRIMARY_AUXILIARIES
a6bb0578-90be-442a-a38b-31840bed182b	c1e53623-da14-474d-b3df-4907edf55ce6	UPS
a6bb0578-90be-442a-a38b-31840bed182b	54acae35-35be-41b2-b787-9ba495f17d03	CRITICAL_AUXILIARIES
a6bb0578-90be-442a-a38b-31840bed182b	6b0b206f-7b03-4c51-919a-82642bdda8ac	LIGHTING
a6bb0578-90be-442a-a38b-31840bed182b	db6e9cc3-c336-4a98-9403-12cd62ccd935	CRITICAL_POWER_DISTRIBUTION
a6bb0578-90be-442a-a38b-31840bed182b	6f86bf0c-b356-498e-99ee-956a1b7c4f54	CRAH
a6bb0578-90be-442a-a38b-31840bed182b	fa23c190-437f-4e77-9f2e-d1119bf8f2c7	CRAC
a6bb0578-90be-442a-a38b-31840bed182b	709777d5-9f96-4175-9be2-0ba5091efdda	CRAC_WITHOUT_FAN
a6bb0578-90be-442a-a38b-31840bed182b	ae0da238-8e8f-4fea-a134-f15d2f7e545b	CRAC_FAN
a6bb0578-90be-442a-a38b-31840bed182b	cfcaddf9-6f72-4795-bdb8-b4398785c2c1	CHILLER
a6bb0578-90be-442a-a38b-31840bed182b	44d317e7-f887-416e-9c97-693ca9632b15	AIR_COOLED_CHILLER
a6bb0578-90be-442a-a38b-31840bed182b	6c337c35-1c87-48ed-8dba-9de1e5afc36b	COOLING_TOWER
a6bb0578-90be-442a-a38b-31840bed182b	0429e9a9-3a75-419e-b8e2-4a6c6a98f599	DRY_COOLER
a6bb0578-90be-442a-a38b-31840bed182b	1c747a19-a295-4e22-bf5f-0ed7e8ac983c	REMOTE_CONDENSER
a6bb0578-90be-442a-a38b-31840bed182b	48394281-f03d-485c-91a6-941257b1fc7f	CHILLED_WATER_PUMPS
a6bb0578-90be-442a-a38b-31840bed182b	12247f15-ef6a-452e-8c7a-5145b6994f1c	HEAT_REJECTION_PUMPS
a6bb0578-90be-442a-a38b-31840bed182b	70e115cd-b2c8-4774-8b66-50bfbe43a853	VENTILATION
a6bb0578-90be-442a-a38b-31840bed182b	c1901c02-e685-4429-b671-bf255ef291db	INFILTRATION
a6bb0578-90be-442a-a38b-31840bed182b	8b947587-7501-4cf0-83f8-2f9c9d459647	IT_LOAD
6a0b011b-3169-4a60-9c0a-a5a01b97842a	760329a6-723d-40ce-9fa1-f2ab6f815f5e	SWITCHGEAR
6a0b011b-3169-4a60-9c0a-a5a01b97842a	fc5dc10c-4296-43c3-a9b9-2b7c585ba36e	GENERATOR
6a0b011b-3169-4a60-9c0a-a5a01b97842a	1dd62e90-0344-4b21-95cc-d700d6e48902	PRIMARY_AUXILIARIES
6a0b011b-3169-4a60-9c0a-a5a01b97842a	c2f50e2a-50ce-4ff8-a5db-2605c24ba6ad	UPS
6a0b011b-3169-4a60-9c0a-a5a01b97842a	3270c0be-760f-4697-ab88-16ef596d5dc1	CRITICAL_AUXILIARIES
6a0b011b-3169-4a60-9c0a-a5a01b97842a	54e828eb-ce8b-4ec9-9c04-035e1d823caf	LIGHTING
6a0b011b-3169-4a60-9c0a-a5a01b97842a	96297364-1cdc-4f8e-b6d3-87397cac923b	CRITICAL_POWER_DISTRIBUTION
6a0b011b-3169-4a60-9c0a-a5a01b97842a	ae09177e-0a79-465e-9752-30e0c46840b8	CRAH
6a0b011b-3169-4a60-9c0a-a5a01b97842a	fdc45116-10f9-4637-8dba-0738dbd7e1ac	CRAC
6a0b011b-3169-4a60-9c0a-a5a01b97842a	0ab22089-2aa2-43d0-b34c-3231262ee29e	CRAC_WITHOUT_FAN
6a0b011b-3169-4a60-9c0a-a5a01b97842a	a6c88850-6671-4d70-a8f4-99801bf61f81	CRAC_FAN
6a0b011b-3169-4a60-9c0a-a5a01b97842a	228c7a35-29de-456d-89f7-af9ffb139524	CHILLER
6a0b011b-3169-4a60-9c0a-a5a01b97842a	832136ac-629d-4b4f-a240-5e88d39fd44c	AIR_COOLED_CHILLER
6a0b011b-3169-4a60-9c0a-a5a01b97842a	b3991e1e-eeeb-4582-99ce-d12a203ee841	COOLING_TOWER
6a0b011b-3169-4a60-9c0a-a5a01b97842a	5f03c9c6-20a0-4ae4-a2ca-1bec2161060a	DRY_COOLER
6a0b011b-3169-4a60-9c0a-a5a01b97842a	95a7c2d1-e30b-42ea-b8b3-817f6b555db9	REMOTE_CONDENSER
6a0b011b-3169-4a60-9c0a-a5a01b97842a	86c83a56-bf59-4f60-950a-6644e5e167e5	CHILLED_WATER_PUMPS
6a0b011b-3169-4a60-9c0a-a5a01b97842a	d5844671-af61-4960-9a6f-dc79a320e804	HEAT_REJECTION_PUMPS
6a0b011b-3169-4a60-9c0a-a5a01b97842a	78e02a38-2e09-400b-86e8-a346aa2f13a6	VENTILATION
6a0b011b-3169-4a60-9c0a-a5a01b97842a	1e2d6265-0234-4d5d-b70d-9241ec46be33	INFILTRATION
6a0b011b-3169-4a60-9c0a-a5a01b97842a	b14e9013-ab6f-4498-8549-e0c58533ef8d	IT_LOAD
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	edf35405-5aca-473d-a24a-8efd1e8fbfa1	SWITCHGEAR
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	997461df-be51-4274-93b2-3ad8186ad6a1	GENERATOR
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	32998dfc-4c11-4eb4-810c-49e76dd48159	PRIMARY_AUXILIARIES
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	b8b7fa8b-59d2-4b54-ad85-58d7597cbedc	UPS
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	48d963c6-9b95-4b96-b4e9-2ebe69dd799d	CRITICAL_AUXILIARIES
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	6bc7893b-fe15-48fa-aa5d-a9beb3b20fc6	LIGHTING
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	f8a7cc6f-ca08-420c-a1cd-4027e36755d8	CRITICAL_POWER_DISTRIBUTION
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	efcd0621-8712-4b2a-9de3-56351868bb37	CRAH
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	cf5aa0fe-9cf8-4d0c-afe1-c95674a8c7c4	CRAC
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	795d60a8-554f-4a5a-bb89-16562477b92c	CRAC_WITHOUT_FAN
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	338677c1-caef-4e5f-bffe-784dd2873498	CRAC_FAN
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	79579ec4-d69a-474c-ba85-ed0e19db9b5c	CHILLER
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	6409c08a-cc90-4aa1-9e56-ec4409b608d9	AIR_COOLED_CHILLER
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	8a7a83ab-732b-450b-8e11-f771df813428	COOLING_TOWER
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	6b04d864-fb01-49a2-a5b2-fdbbe624df35	DRY_COOLER
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	fcb9fbb8-df37-4f74-8bcf-b07a622d7939	REMOTE_CONDENSER
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	db95ba9c-ea7c-44f5-8fd7-bf18fa2281aa	CHILLED_WATER_PUMPS
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	a3c362a4-8e5d-4405-a12f-9d3da9008b3e	HEAT_REJECTION_PUMPS
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	b139e888-bd46-4265-9e65-98f4751844a3	VENTILATION
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	24c553a7-c255-4660-b789-48ade6f2cf51	INFILTRATION
11f5616d-4b6c-41d0-86b7-9b3f3277ecb9	5d9e4c9e-24d5-461c-ae15-0948856f5f4b	IT_LOAD
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	c9430a87-2da7-436d-8bdd-c5f97a774ba9	SWITCHGEAR
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	6dc22462-fe72-4abd-8ec7-c6add3bfc9fc	GENERATOR
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	30463248-9429-477d-b135-c1b3e9ef7942	PRIMARY_AUXILIARIES
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	0f8db433-9539-467a-9d42-6b40a7c6a911	UPS
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	b5f01fe7-8151-468a-86fd-8e9fcc0fc44b	CRITICAL_AUXILIARIES
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	c0d6bf89-b631-4a60-90f8-bf9ad5137ecc	LIGHTING
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	115d22ed-cb29-4448-a3b9-1408969b76fd	CRITICAL_POWER_DISTRIBUTION
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	0d8f7bc7-2f12-4fa5-9bda-59da96befcb7	CRAH
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	83c5d2ed-e75a-41f1-8315-daf8db16163b	CRAC
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	eaf779e4-40f3-4db1-8544-4f97297c122b	CRAC_WITHOUT_FAN
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	99e9d998-59fa-4f35-bcbb-a4f5f2ab9efd	CRAC_FAN
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	b7918d43-6363-4543-ba2a-fd8f265bd1a0	CHILLER
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	74a69586-acbe-483e-ad3f-d26dddb9d1f5	AIR_COOLED_CHILLER
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	0bc54543-fe92-4af1-bb1f-adee179b174c	COOLING_TOWER
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	a96caa04-ec1f-46b3-afc9-648701bc4cbc	DRY_COOLER
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	7ca2e305-25db-4abc-9bde-fadcb54dd480	REMOTE_CONDENSER
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	97765ebe-8b14-40c1-8801-8f0ead5f23c3	CHILLED_WATER_PUMPS
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	28e518ae-f4d8-4ef8-93d3-f1c879b776ce	HEAT_REJECTION_PUMPS
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	5ced205a-a346-479d-9203-1649de7386bd	VENTILATION
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	0be73de4-deb1-4261-b827-0785a1021415	INFILTRATION
d0b5cba5-bc4e-4c31-97a6-e771770d7f4d	e82b6c4f-ab3f-44fe-90c9-688767abebfd	IT_LOAD
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	325cd0f0-7fdb-4946-b269-e2b2e0a50641	SWITCHGEAR
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	878b4e4b-832d-49e8-a285-8371d7e52f16	GENERATOR
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	fcf6df4f-d8e7-400c-bc41-7acf6bf9a9cf	PRIMARY_AUXILIARIES
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	354ab4b6-fff4-4b7f-ac35-6c432bf6f877	UPS
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	af2d062e-7401-4fa4-80ab-d900bebbccd6	CRITICAL_AUXILIARIES
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	cf342aa5-b486-43d6-965b-68af6dbe9da2	LIGHTING
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	15f5021f-a450-44ba-9f40-7c07041d44a1	CRITICAL_POWER_DISTRIBUTION
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	d3df797e-4787-4242-bd5c-6cf48005b7ac	CRAH
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	01c836f9-3c97-462b-a85e-02d922fed8c8	CRAC
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	e4903e0c-7939-4d18-8cb6-e2bcbf005ed4	CRAC_WITHOUT_FAN
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	b893b890-b826-4b36-8df4-88002caaec85	CRAC_FAN
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	34e4eef0-8f96-4c59-b914-5b8094c8b898	CHILLER
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	e75e4229-6f2a-407d-a8a0-6b6910cff735	AIR_COOLED_CHILLER
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	1b14f244-71a5-4d64-a5d9-6295ce80372a	COOLING_TOWER
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	16d7c379-eb31-49eb-83a7-6828dc69f2c2	DRY_COOLER
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	c02c8ae1-b0a8-4c03-8c95-e70daec75361	REMOTE_CONDENSER
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	5ccb22e3-c391-4290-be23-9ff5eeb07ddc	CHILLED_WATER_PUMPS
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	861c451c-f657-4e0f-b54f-4b764de2ef8d	HEAT_REJECTION_PUMPS
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	5bcffb60-d6ba-48b1-8500-edeef7ff00ed	VENTILATION
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	79fccefe-c8e7-4762-b9a0-3b2732332688	INFILTRATION
ecdf9cdb-a4da-4e74-bb6f-6e783f3f6db9	fee4016e-c10c-4078-b6e2-bed43bd4102a	IT_LOAD
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	7f92425e-caa8-4aa2-8d5e-743dbe58acb3	SWITCHGEAR
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	b834185d-d4b9-4cd8-bb98-dd9e2124ed4d	GENERATOR
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	6aaaba15-f4b3-47eb-8759-d69896018af7	PRIMARY_AUXILIARIES
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	f56a6d66-4cbd-4dad-81b9-bc7195f1a60d	UPS
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	c0d34268-2977-4030-a359-6f784d839b91	CRITICAL_AUXILIARIES
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	23e532ee-b201-406d-86fb-5d7c296777eb	LIGHTING
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	41e3776e-0e3b-4178-b046-1565a5382c74	CRITICAL_POWER_DISTRIBUTION
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	8e625184-14ef-4b7b-aa7c-bccf51b6c9ce	CRAH
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	9f9577d5-4f01-4f41-9644-e9f020a83a69	CRAC
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	31e2db4d-0989-4efd-bb6a-240ec584dd07	CRAC_WITHOUT_FAN
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	eb985d48-3ba1-4a24-b7f1-b6ca2532cf36	CRAC_FAN
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	b7ddf70a-c67c-4c65-b270-a169a89f267f	CHILLER
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	e4c0c067-96b5-45da-b009-82ac7166588e	AIR_COOLED_CHILLER
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	5a87d7e0-7d0c-408b-afc4-a4b304b349ca	COOLING_TOWER
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	91584251-292b-4a15-b6a8-57d7a934cb3b	DRY_COOLER
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	d939c2e8-0633-4f44-a075-6bade80325ad	REMOTE_CONDENSER
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	2e89552e-c9a0-4c5b-b768-ad2259431eba	CHILLED_WATER_PUMPS
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	2f44db95-cabc-48a8-a29f-7cd1ad9652e5	HEAT_REJECTION_PUMPS
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	2dfe3888-26bf-413e-b4cb-9a5b424cca1c	VENTILATION
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	581e64b2-58d6-4de3-9a26-84c64672b6f3	INFILTRATION
04ca4d87-ab7e-433b-a15d-7cd1bd4ef376	f674e958-9c22-49e8-97e6-249ca7c2557e	IT_LOAD
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	9d8f77d8-4b1e-42bb-b542-e94298e41e73	SWITCHGEAR
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	1b07ac8a-bd6b-4bea-a69d-144b3b6449de	GENERATOR
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	6f5591a4-b2aa-46bb-ac33-fa47236b2f09	PRIMARY_AUXILIARIES
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	c37a3eeb-c4e2-419c-9c13-ff7cdc251336	UPS
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	8bb45e3b-e4c0-4300-b449-69edf654a1c0	CRITICAL_AUXILIARIES
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	50ebf7b7-24de-4e89-a656-290153020d91	LIGHTING
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	a3c82797-7ea6-43cd-aeb3-ee6d13f7c35d	CRITICAL_POWER_DISTRIBUTION
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	f9d4486f-f2d9-4ab7-94d4-db93fe0ba7c4	CRAH
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	e9636752-aca9-4b48-8e16-dc6ac422c2ab	CRAC
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	9481e809-8850-4459-a3cc-3439d05c4956	CRAC_WITHOUT_FAN
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	f278b5b8-2413-4098-af8c-2e510a51ffa8	CRAC_FAN
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	76452e6c-fe75-44a8-b448-63326a653439	CHILLER
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	0deafbbf-6ab2-4c0a-87d5-951542a9b17d	AIR_COOLED_CHILLER
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	26a48311-0517-46a3-acda-9b5c08c3d67f	COOLING_TOWER
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	f36ad69d-066c-430a-a5aa-ae797eb8a05e	DRY_COOLER
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	036273fa-6531-4f68-9dc9-0bcfcd165d58	REMOTE_CONDENSER
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	5854baa1-187e-4aa3-b67d-f569fa4acbb1	CHILLED_WATER_PUMPS
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	d67be7f3-4218-4a95-af47-c10c77d4cd09	HEAT_REJECTION_PUMPS
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	7442c72e-6634-49b8-bbe1-831896540924	VENTILATION
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	4d50dbce-9776-42d3-9277-c5af72657ab7	INFILTRATION
59b99225-c1a6-4ae4-a0fe-6a5b7f25b2a7	3a504d8a-029f-45f1-a7d8-cca43dc5b00b	IT_LOAD
9a6ca0fd-3151-47b4-bbcb-d25938226b10	861fefa4-2087-49ef-8a5c-a045df36a234	SWITCHGEAR
9a6ca0fd-3151-47b4-bbcb-d25938226b10	d4771f18-6aae-4626-9d70-4abf648ab848	GENERATOR
9a6ca0fd-3151-47b4-bbcb-d25938226b10	6b1c6a90-7fcf-4002-b0e7-9ac702b35018	PRIMARY_AUXILIARIES
9a6ca0fd-3151-47b4-bbcb-d25938226b10	07b007e6-ede6-4de6-b3e7-c01363851d85	UPS
9a6ca0fd-3151-47b4-bbcb-d25938226b10	3a39ced8-58ae-42ba-afcb-dd2494049b10	CRITICAL_AUXILIARIES
9a6ca0fd-3151-47b4-bbcb-d25938226b10	c46f316c-7259-4ff6-a3c5-7742987ebca1	LIGHTING
9a6ca0fd-3151-47b4-bbcb-d25938226b10	e1cfdf93-dcf3-46f6-9cd5-f3e2cd278207	CRITICAL_POWER_DISTRIBUTION
9a6ca0fd-3151-47b4-bbcb-d25938226b10	c1a98bb4-bf30-4dca-abe3-54ae3e39443c	CRAH
9a6ca0fd-3151-47b4-bbcb-d25938226b10	eaedfefb-d79a-4a43-9b94-0ed599453aeb	CRAC
9a6ca0fd-3151-47b4-bbcb-d25938226b10	c433447d-0927-4ce1-b800-faa663a34202	CRAC_WITHOUT_FAN
9a6ca0fd-3151-47b4-bbcb-d25938226b10	56a13c69-a77f-4f59-8453-287804dd97f5	CRAC_FAN
9a6ca0fd-3151-47b4-bbcb-d25938226b10	fdc72892-f0ce-4506-a6f3-be883f163604	CHILLER
9a6ca0fd-3151-47b4-bbcb-d25938226b10	ec43a7a4-a389-457a-8105-a6fb9a213e52	AIR_COOLED_CHILLER
9a6ca0fd-3151-47b4-bbcb-d25938226b10	a6fcf6d4-8d5f-4439-b4f5-1ed6ab7edaaa	COOLING_TOWER
9a6ca0fd-3151-47b4-bbcb-d25938226b10	0c3a25ea-5795-4ece-9115-42510107320f	DRY_COOLER
9a6ca0fd-3151-47b4-bbcb-d25938226b10	6d0c92af-dee7-4f3d-88a0-054cc76450ef	REMOTE_CONDENSER
9a6ca0fd-3151-47b4-bbcb-d25938226b10	a16cb373-d837-49d5-9932-60747479f146	CHILLED_WATER_PUMPS
9a6ca0fd-3151-47b4-bbcb-d25938226b10	5e4e0be0-2cde-4d87-80f5-c8205eac6509	HEAT_REJECTION_PUMPS
9a6ca0fd-3151-47b4-bbcb-d25938226b10	0ba8ce81-cb50-445f-acd7-8a2f4a04beb3	VENTILATION
9a6ca0fd-3151-47b4-bbcb-d25938226b10	3b5d304c-9288-491b-8220-a359965968d9	INFILTRATION
9a6ca0fd-3151-47b4-bbcb-d25938226b10	d2c0d50c-1fe1-45d9-8b5d-d61b6ec4fa0f	IT_LOAD
416beee5-c465-431e-9fa9-7fc9f88fa01d	6c594616-1ff1-4609-9e87-ed02432f4578	SWITCHGEAR
416beee5-c465-431e-9fa9-7fc9f88fa01d	feac1479-a174-415d-b0d1-0b46adf8094c	GENERATOR
416beee5-c465-431e-9fa9-7fc9f88fa01d	929abb04-94d1-4fd0-9b57-965997e99a8d	PRIMARY_AUXILIARIES
416beee5-c465-431e-9fa9-7fc9f88fa01d	be939a7c-aea7-4f54-b018-073f9b1a4a02	UPS
416beee5-c465-431e-9fa9-7fc9f88fa01d	ae36ad47-9940-453f-ba2e-0c10af864cd8	CRITICAL_AUXILIARIES
416beee5-c465-431e-9fa9-7fc9f88fa01d	3bf36d8a-769b-4629-aa54-bc9bd013c127	LIGHTING
416beee5-c465-431e-9fa9-7fc9f88fa01d	bc5291a9-cb2f-44c5-921c-1b2651ec3702	CRITICAL_POWER_DISTRIBUTION
416beee5-c465-431e-9fa9-7fc9f88fa01d	05f93621-f36d-4b7c-9175-f75bf436c057	CRAH
416beee5-c465-431e-9fa9-7fc9f88fa01d	dbcb6647-e6d1-464c-9d4e-fc376f1d73c2	CRAC
416beee5-c465-431e-9fa9-7fc9f88fa01d	a1a83651-109e-44ea-8cc6-b753fd80600d	CRAC_WITHOUT_FAN
416beee5-c465-431e-9fa9-7fc9f88fa01d	a9b8f04b-433a-41d1-8d65-adf31edb9d9a	CRAC_FAN
416beee5-c465-431e-9fa9-7fc9f88fa01d	1a5c90e5-3054-4037-b6f3-068047aa7401	CHILLER
416beee5-c465-431e-9fa9-7fc9f88fa01d	f32c1737-fa98-4526-bf62-6794a848ba4b	AIR_COOLED_CHILLER
416beee5-c465-431e-9fa9-7fc9f88fa01d	4356b5ae-07d1-4aa8-b1a5-8ed6677ea65d	COOLING_TOWER
416beee5-c465-431e-9fa9-7fc9f88fa01d	6c8c164d-2993-4838-896b-ee000a431784	DRY_COOLER
416beee5-c465-431e-9fa9-7fc9f88fa01d	9217c736-3cc2-45bb-b8cc-730b1067e8fc	REMOTE_CONDENSER
416beee5-c465-431e-9fa9-7fc9f88fa01d	899285a0-5bef-41d9-8da0-731f48cee5dc	CHILLED_WATER_PUMPS
416beee5-c465-431e-9fa9-7fc9f88fa01d	048dfc84-af49-433d-b85a-f0fe6fbde83f	HEAT_REJECTION_PUMPS
416beee5-c465-431e-9fa9-7fc9f88fa01d	899cd0cc-8c46-4b82-bd2a-acc4da2db2b7	VENTILATION
416beee5-c465-431e-9fa9-7fc9f88fa01d	163fd166-0df1-4261-8ec0-ff08b9bed6bc	INFILTRATION
416beee5-c465-431e-9fa9-7fc9f88fa01d	4ae1b859-2940-4d35-b630-b49c854242c6	IT_LOAD
61739648-245a-425a-86dc-9dbf07fa4a09	83502c3d-c72d-4985-9688-f85e83aa07b4	SWITCHGEAR
61739648-245a-425a-86dc-9dbf07fa4a09	a728eb8d-09af-4b64-b132-d8c1720e7d0f	GENERATOR
61739648-245a-425a-86dc-9dbf07fa4a09	78c8f75e-90cf-4444-95d7-40f82f9d473c	PRIMARY_AUXILIARIES
61739648-245a-425a-86dc-9dbf07fa4a09	773df062-2d2c-4114-856e-9198ca88ef62	UPS
61739648-245a-425a-86dc-9dbf07fa4a09	f00ff75b-d9a2-46df-8766-5a8ba0114a3e	CRITICAL_AUXILIARIES
61739648-245a-425a-86dc-9dbf07fa4a09	9bca8e53-af8d-4227-bee2-2cdca5f094e0	LIGHTING
61739648-245a-425a-86dc-9dbf07fa4a09	fdda18dc-a7cf-4e75-a733-4f95c57a4acb	CRITICAL_POWER_DISTRIBUTION
61739648-245a-425a-86dc-9dbf07fa4a09	ed35290b-96c7-47c0-b2d7-bd550537359b	CRAH
61739648-245a-425a-86dc-9dbf07fa4a09	1afa773f-ec03-41a6-9862-3cd09f3dd14e	CRAC
61739648-245a-425a-86dc-9dbf07fa4a09	06c8e979-ac58-4b40-a2f8-5c03ed16acda	CRAC_WITHOUT_FAN
61739648-245a-425a-86dc-9dbf07fa4a09	90340901-fd84-4ac2-a032-9871cbe0d122	CRAC_FAN
61739648-245a-425a-86dc-9dbf07fa4a09	0e5aaa50-1d58-4bb9-9de3-b396c0ae5a3d	CHILLER
61739648-245a-425a-86dc-9dbf07fa4a09	32e340cf-d758-4b41-9eb7-fe94e4e7bfa7	AIR_COOLED_CHILLER
61739648-245a-425a-86dc-9dbf07fa4a09	a7e5c81a-2252-43b4-822f-acc93621d5a5	COOLING_TOWER
61739648-245a-425a-86dc-9dbf07fa4a09	40981255-8630-4ff1-812b-3812b449bac9	DRY_COOLER
61739648-245a-425a-86dc-9dbf07fa4a09	26188913-3223-4243-9083-bf67df3b1e5f	REMOTE_CONDENSER
61739648-245a-425a-86dc-9dbf07fa4a09	27f29e67-d7a4-4a50-a841-7740a406f1b5	CHILLED_WATER_PUMPS
61739648-245a-425a-86dc-9dbf07fa4a09	f0c2a206-6052-4ffa-9bd1-c0eb7d814c41	HEAT_REJECTION_PUMPS
61739648-245a-425a-86dc-9dbf07fa4a09	79a2300c-efef-4f27-81c3-acf2ad60f025	VENTILATION
61739648-245a-425a-86dc-9dbf07fa4a09	40c07cf2-cbaf-44c7-a742-33a74f54d65f	INFILTRATION
61739648-245a-425a-86dc-9dbf07fa4a09	f55b9c6e-8fb5-4803-b067-db76488931dc	IT_LOAD
d6adfa12-0c37-4914-8700-7b17c25aebad	4a72f375-d095-4cc1-b55b-c38db68206ce	SWITCHGEAR
d6adfa12-0c37-4914-8700-7b17c25aebad	6557a0ab-f23f-4cec-b5fe-728b60f3b066	GENERATOR
d6adfa12-0c37-4914-8700-7b17c25aebad	3db805d2-97fa-4e92-9162-b938604802c5	PRIMARY_AUXILIARIES
d6adfa12-0c37-4914-8700-7b17c25aebad	07d45249-d28f-491c-b8b3-81106d8790ae	UPS
d6adfa12-0c37-4914-8700-7b17c25aebad	e1358601-84ac-4065-8817-55259bc37a18	CRITICAL_AUXILIARIES
d6adfa12-0c37-4914-8700-7b17c25aebad	3495a9f3-8e01-4f03-af8d-dff97f3859e0	LIGHTING
d6adfa12-0c37-4914-8700-7b17c25aebad	bfbfc279-029c-43c4-808d-db1ac1973094	CRITICAL_POWER_DISTRIBUTION
d6adfa12-0c37-4914-8700-7b17c25aebad	71e83622-f996-4ed1-884b-d41e452451c5	CRAH
d6adfa12-0c37-4914-8700-7b17c25aebad	ce7b5e9a-7de3-4164-b2a7-191244a70511	CRAC
d6adfa12-0c37-4914-8700-7b17c25aebad	c989f089-d460-404e-862d-882caf7d5e8c	CRAC_WITHOUT_FAN
d6adfa12-0c37-4914-8700-7b17c25aebad	0b553bc8-9a73-4f18-8058-9680eba5af5b	CRAC_FAN
d6adfa12-0c37-4914-8700-7b17c25aebad	36515ae9-044e-4462-a277-1c979f70d6a4	CHILLER
d6adfa12-0c37-4914-8700-7b17c25aebad	44df343a-7517-4d00-8dc5-cdfd778b2c4c	AIR_COOLED_CHILLER
d6adfa12-0c37-4914-8700-7b17c25aebad	d52163f6-17a2-415e-84ea-79ab39812617	COOLING_TOWER
d6adfa12-0c37-4914-8700-7b17c25aebad	6517705a-a1e9-4cab-a95f-0167453fcd4e	DRY_COOLER
d6adfa12-0c37-4914-8700-7b17c25aebad	3b7d7a7c-6ef8-448a-87fe-d3cc0e69380a	REMOTE_CONDENSER
d6adfa12-0c37-4914-8700-7b17c25aebad	244a4f2f-aca5-4bdc-a0e3-7462f9a88935	CHILLED_WATER_PUMPS
d6adfa12-0c37-4914-8700-7b17c25aebad	48e2efa8-353a-4045-82c5-6f2792486012	HEAT_REJECTION_PUMPS
d6adfa12-0c37-4914-8700-7b17c25aebad	55296d2a-0e68-4075-b768-fc82b9949f18	VENTILATION
d6adfa12-0c37-4914-8700-7b17c25aebad	12ec589a-93ac-46f8-90e9-da3171c17224	INFILTRATION
d6adfa12-0c37-4914-8700-7b17c25aebad	577bad54-ba8b-4bbd-8ae9-65c688b9cd0d	IT_LOAD
31bc5f89-3026-46de-87ea-dc4c256e7337	dc2f3dff-5ffa-41c3-9500-76ece434cdfd	SWITCHGEAR
31bc5f89-3026-46de-87ea-dc4c256e7337	3d05deac-6d6f-4080-8528-fa80c039a489	GENERATOR
31bc5f89-3026-46de-87ea-dc4c256e7337	28157a8b-f6f9-4ef2-9a19-424239ffc3bf	PRIMARY_AUXILIARIES
31bc5f89-3026-46de-87ea-dc4c256e7337	064416d7-c110-4917-9537-0d67e1fef762	UPS
31bc5f89-3026-46de-87ea-dc4c256e7337	4a599d0c-f041-4577-85cb-e41ad1e25c73	CRITICAL_AUXILIARIES
31bc5f89-3026-46de-87ea-dc4c256e7337	fe57b33c-7f94-43f4-a3b4-17241536f202	LIGHTING
31bc5f89-3026-46de-87ea-dc4c256e7337	8ea48001-1465-4065-91b3-edcdbd2790cb	CRITICAL_POWER_DISTRIBUTION
31bc5f89-3026-46de-87ea-dc4c256e7337	c5d99347-3d4e-4300-aed1-cb6b0dbfcaf9	CRAH
31bc5f89-3026-46de-87ea-dc4c256e7337	af17b71b-0b9b-4807-900f-9451d2048f08	CRAC
31bc5f89-3026-46de-87ea-dc4c256e7337	081ba2dd-5958-4c56-8d27-58058e4f5e60	CRAC_WITHOUT_FAN
31bc5f89-3026-46de-87ea-dc4c256e7337	e352cf8a-0c90-4778-9d96-23fa8d63173d	CRAC_FAN
31bc5f89-3026-46de-87ea-dc4c256e7337	ce09d8d0-114a-403e-9fe7-8a1c1ef1fe70	CHILLER
31bc5f89-3026-46de-87ea-dc4c256e7337	0a9ac439-32e4-4d5f-ab95-50215431e883	AIR_COOLED_CHILLER
31bc5f89-3026-46de-87ea-dc4c256e7337	15e6d28c-f140-4758-90d6-e15402a1aea0	COOLING_TOWER
31bc5f89-3026-46de-87ea-dc4c256e7337	e0f7acfc-49c4-4c88-8424-0cb2ab129620	DRY_COOLER
31bc5f89-3026-46de-87ea-dc4c256e7337	285cecb3-b1ee-47fa-888c-f226e9f25edf	REMOTE_CONDENSER
31bc5f89-3026-46de-87ea-dc4c256e7337	d1849de5-e421-49b1-9ad1-f03d1ee94314	CHILLED_WATER_PUMPS
31bc5f89-3026-46de-87ea-dc4c256e7337	936f4adf-fe6a-470f-8307-6f63aff78ea3	HEAT_REJECTION_PUMPS
31bc5f89-3026-46de-87ea-dc4c256e7337	ba09afa8-5f68-40d2-8482-92398b389433	VENTILATION
31bc5f89-3026-46de-87ea-dc4c256e7337	f036e2a8-7fe9-4daf-8170-584a30d76ed9	INFILTRATION
31bc5f89-3026-46de-87ea-dc4c256e7337	ef854d2e-6faa-4cd2-acb0-192b2534e4bd	IT_LOAD
48551c2d-d5dc-436b-941e-500e23806289	d4498f8a-cbf0-4883-a698-19ac9eacb236	SWITCHGEAR
48551c2d-d5dc-436b-941e-500e23806289	6d9c73d5-1453-416a-83a7-18d95e82c97b	GENERATOR
48551c2d-d5dc-436b-941e-500e23806289	574e231f-31ca-445e-8593-62cbca18ef17	PRIMARY_AUXILIARIES
48551c2d-d5dc-436b-941e-500e23806289	e0b51530-55cc-4751-ba4a-0d861339fa36	UPS
48551c2d-d5dc-436b-941e-500e23806289	6da0332d-096f-4ff2-8cbd-e61928a0106b	CRITICAL_AUXILIARIES
48551c2d-d5dc-436b-941e-500e23806289	6cda9c60-d9fa-4b94-8c01-5144e67a2797	LIGHTING
48551c2d-d5dc-436b-941e-500e23806289	8f15c5c9-a1f7-4faa-b9e9-6b34481af11b	CRITICAL_POWER_DISTRIBUTION
48551c2d-d5dc-436b-941e-500e23806289	f338e779-7ee4-42dd-8510-96e5b1d67de9	CRAH
48551c2d-d5dc-436b-941e-500e23806289	6bda5c7f-a213-4ff8-9a68-90b3f87815b8	CRAC
48551c2d-d5dc-436b-941e-500e23806289	a527aa36-c78d-4f2b-baa6-683fda9a2f35	CRAC_WITHOUT_FAN
48551c2d-d5dc-436b-941e-500e23806289	986b9278-55e7-4ca2-9e11-a3605e908265	CRAC_FAN
48551c2d-d5dc-436b-941e-500e23806289	6fce9457-a40d-4402-99a7-e8da16d3b77f	CHILLER
48551c2d-d5dc-436b-941e-500e23806289	24a64e12-c274-45b8-8d72-4d2d7928668f	AIR_COOLED_CHILLER
48551c2d-d5dc-436b-941e-500e23806289	2585cbfa-926c-42c9-b329-2930c7378d14	COOLING_TOWER
48551c2d-d5dc-436b-941e-500e23806289	17a0ba45-8045-4793-a5a1-f8309e339a25	DRY_COOLER
48551c2d-d5dc-436b-941e-500e23806289	1dd5e9cf-9a47-4249-ba61-c2c68a92423f	REMOTE_CONDENSER
48551c2d-d5dc-436b-941e-500e23806289	42f435f4-af66-43ac-99b6-4ad2b890b271	CHILLED_WATER_PUMPS
48551c2d-d5dc-436b-941e-500e23806289	c72b874a-ed62-4f11-98b7-bcfd268215ff	HEAT_REJECTION_PUMPS
48551c2d-d5dc-436b-941e-500e23806289	09954f99-b079-418d-bca7-9ea40a3ad82b	VENTILATION
48551c2d-d5dc-436b-941e-500e23806289	6ba4c03b-9317-41d7-b446-581295935244	INFILTRATION
48551c2d-d5dc-436b-941e-500e23806289	2a114bb3-f312-4711-90ad-5657b389cb53	IT_LOAD
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	4f4440a2-b6a3-494a-9875-9a5501886e7f	SWITCHGEAR
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	3cde5602-278a-4001-a619-ce355add783d	GENERATOR
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	f26bdd1e-f256-4158-af69-160ca5ffd9d8	PRIMARY_AUXILIARIES
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	c72506d7-c136-49fb-81c3-0046639d4d01	UPS
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	2e756626-a981-413c-bf7b-c6139106e511	CRITICAL_AUXILIARIES
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	3a7d0d0c-3d15-42e0-a5ae-76127029b320	LIGHTING
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	959bd979-9981-4b89-8124-867be552ff0d	CRITICAL_POWER_DISTRIBUTION
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	2605baf1-8e5f-4d1a-916a-0fe19634fe30	CRAH
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	12a901c0-a6dc-40a8-b50c-c283e18b4dd9	CRAC
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	64af50cc-7d7e-468b-8519-3a12e4ef6fdd	CRAC_WITHOUT_FAN
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	3f3545b0-5a60-4839-879d-bb7fb3296aba	CRAC_FAN
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	86cc9350-98ae-4db1-9765-216d675e8090	CHILLER
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	9da53c32-a454-45b1-936a-b5704c921a55	AIR_COOLED_CHILLER
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	4463eede-90af-4a90-8a5e-f8668b2a9ffd	COOLING_TOWER
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	2f610e2f-d9f8-4880-830f-529bce1a58fa	DRY_COOLER
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	a6325578-5402-4fc5-8c42-246d2f3fc421	REMOTE_CONDENSER
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	91ef30df-1926-4ee2-984a-6450e1f5c30b	CHILLED_WATER_PUMPS
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	9cbba704-bb5a-4924-b268-1dadb00584b2	HEAT_REJECTION_PUMPS
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	44ef37a5-1eac-4fca-8eca-a1e58cdc0051	VENTILATION
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	33acce1b-3280-40fe-9991-5d13332431fc	INFILTRATION
ef03e99f-619c-45aa-9ef1-f5f9c7baa7a8	585b1ec6-c657-4c9d-b4f4-51875b0aec09	IT_LOAD
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	a49581b9-1a0e-4b22-9102-6850125363d3	SWITCHGEAR
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	ea6c0893-35bc-4698-ab27-8100da7028c2	GENERATOR
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	9fedd5b0-4b39-433f-968a-c2f4408659df	PRIMARY_AUXILIARIES
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	b096d98d-6497-4d17-8ae2-c4007be0d0ae	UPS
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	24fd0f7f-8ec3-4560-9b10-c2a3eb419579	CRITICAL_AUXILIARIES
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	395139f0-773d-43d0-8faf-b8cb9817ebe8	LIGHTING
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	fca31f68-addc-4647-af41-3a624cedc8ba	CRITICAL_POWER_DISTRIBUTION
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	8fe88b5a-c89c-4bd9-a551-5a72ae64ce40	CRAH
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	cc07a4e5-af1f-4e82-b7ff-2d3039440ca9	CRAC
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	607f4bd8-9566-4220-a9c6-138dd756f42f	CRAC_WITHOUT_FAN
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	2ebd3705-9a3c-4ea5-ac72-57cecac36fa2	CRAC_FAN
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	5d6efa21-d076-4d4c-9f70-7eb69c74aead	CHILLER
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	e47744a2-83f8-43fd-bd2a-e828145e096b	AIR_COOLED_CHILLER
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	4ada726d-4eab-4b6f-9a9b-67595a4b0fff	COOLING_TOWER
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	c92f7ccd-e018-48c7-a953-4d60a0bc2f2b	DRY_COOLER
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	e575ef56-6b0a-4c28-9fc4-aa1437379d61	REMOTE_CONDENSER
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	cc05d79c-c1dd-4a13-9d0b-eef288cd092e	CHILLED_WATER_PUMPS
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	58c943ae-157b-4efe-a66d-b953f2546425	HEAT_REJECTION_PUMPS
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	f7938d96-f44b-491c-94a2-df5993a3d6cb	VENTILATION
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	82828d8c-1bd1-45e3-8519-ff57a844440a	INFILTRATION
ef714096-b8ed-4e66-91f6-94a9d2c4b42e	4096da93-a3e4-4633-9907-6b803027b211	IT_LOAD
4183e072-8867-4881-b467-b519dd78638e	37585ed4-bbf7-4119-81db-be0146616d6c	SWITCHGEAR
4183e072-8867-4881-b467-b519dd78638e	7385fea6-8c9a-4bb3-a5fc-b8e285cf19d8	GENERATOR
4183e072-8867-4881-b467-b519dd78638e	8ac8a6ae-b311-4a95-89df-2f8556131c96	PRIMARY_AUXILIARIES
4183e072-8867-4881-b467-b519dd78638e	e0ba357e-3862-45f3-ab4d-2edb669facda	UPS
4183e072-8867-4881-b467-b519dd78638e	337729d6-d743-4fd3-9848-6fa1e3dc115d	CRITICAL_AUXILIARIES
4183e072-8867-4881-b467-b519dd78638e	88f90102-67e1-4bae-b8ed-0b7ab0401a57	LIGHTING
4183e072-8867-4881-b467-b519dd78638e	3ea4e638-8e8f-4c27-b02c-6e7f24b08ffa	CRITICAL_POWER_DISTRIBUTION
4183e072-8867-4881-b467-b519dd78638e	33c95c6e-2fcc-4f35-b772-ccf7e3c90f88	CRAH
4183e072-8867-4881-b467-b519dd78638e	a0e007ca-16b4-414f-80ac-06b4f0a8a634	CRAC
4183e072-8867-4881-b467-b519dd78638e	afb3d2d2-ad43-44e7-8ded-65cbf5f8912c	CRAC_WITHOUT_FAN
4183e072-8867-4881-b467-b519dd78638e	bd7beff5-8733-4e60-9c62-8b3725cc11c4	CRAC_FAN
4183e072-8867-4881-b467-b519dd78638e	a2d48be4-ef5c-4234-89a8-4056d004cdc2	CHILLER
4183e072-8867-4881-b467-b519dd78638e	05d118db-c458-46a2-b615-e55bcb5e459c	AIR_COOLED_CHILLER
4183e072-8867-4881-b467-b519dd78638e	594c6dbd-a87f-439d-b75b-f95eecfe1098	COOLING_TOWER
4183e072-8867-4881-b467-b519dd78638e	d8c99d2d-b17a-4c90-b4f4-2af6a7c0c9bb	DRY_COOLER
4183e072-8867-4881-b467-b519dd78638e	5353a582-05ff-488c-a8b1-da948d1a0dfb	REMOTE_CONDENSER
4183e072-8867-4881-b467-b519dd78638e	be4ca005-21bb-498b-841f-3efa50a6b93b	CHILLED_WATER_PUMPS
4183e072-8867-4881-b467-b519dd78638e	c3f8bf23-a6e4-4541-93fa-c6246d2269a1	HEAT_REJECTION_PUMPS
4183e072-8867-4881-b467-b519dd78638e	adc5e74a-93a0-407a-adab-868cb21589da	VENTILATION
4183e072-8867-4881-b467-b519dd78638e	210c90db-8f11-4bff-b03b-603b1e4b49e3	INFILTRATION
4183e072-8867-4881-b467-b519dd78638e	988ae413-78fa-4b40-83f3-a24274f57723	IT_LOAD
3dc5724a-8069-48de-898e-fe337368e3ce	83a18bb1-b4ca-4555-8835-ecc0089d8b12	SWITCHGEAR
3dc5724a-8069-48de-898e-fe337368e3ce	fe53fb21-aabb-4d14-a789-d26dfb3d29c2	GENERATOR
3dc5724a-8069-48de-898e-fe337368e3ce	17123a53-a983-4554-8cee-8512e2df864a	PRIMARY_AUXILIARIES
3dc5724a-8069-48de-898e-fe337368e3ce	ca9087c8-6391-4bda-bd6b-9aadcf142c14	UPS
3dc5724a-8069-48de-898e-fe337368e3ce	f161cdae-595d-40ce-88f1-94b0f8816aab	CRITICAL_AUXILIARIES
3dc5724a-8069-48de-898e-fe337368e3ce	0d80ec53-c707-4ef4-9cc2-55e3a73fd4a0	LIGHTING
3dc5724a-8069-48de-898e-fe337368e3ce	7b988d63-0bb9-495b-a141-1401c9aab813	CRITICAL_POWER_DISTRIBUTION
3dc5724a-8069-48de-898e-fe337368e3ce	4b7faaac-0f88-4d55-a35d-8821f9fc79f2	CRAH
3dc5724a-8069-48de-898e-fe337368e3ce	5d6f4f5e-e2b0-4735-8943-4d7b0ad88bf5	CRAC
3dc5724a-8069-48de-898e-fe337368e3ce	a589c1ff-b6c0-48c1-bc52-5fb369067cfc	CRAC_WITHOUT_FAN
3dc5724a-8069-48de-898e-fe337368e3ce	996034d3-2732-434f-ad60-de69d72e81a3	CRAC_FAN
3dc5724a-8069-48de-898e-fe337368e3ce	7a046688-08c7-4e26-8034-e86d30b44c2c	CHILLER
3dc5724a-8069-48de-898e-fe337368e3ce	9f514b7f-3308-44f5-b577-4385a39dd05c	AIR_COOLED_CHILLER
3dc5724a-8069-48de-898e-fe337368e3ce	690bb6e2-6255-448a-b772-e89d516bca5b	COOLING_TOWER
3dc5724a-8069-48de-898e-fe337368e3ce	867f7448-5d0a-4776-90a2-69d35802aeb7	DRY_COOLER
3dc5724a-8069-48de-898e-fe337368e3ce	a0153283-be79-436c-a834-d5896dfda908	REMOTE_CONDENSER
3dc5724a-8069-48de-898e-fe337368e3ce	1e7cabaa-0a35-429f-ab46-f64e0acefb0b	CHILLED_WATER_PUMPS
3dc5724a-8069-48de-898e-fe337368e3ce	25b8f58f-6682-4dfc-9757-0cf882759e0b	HEAT_REJECTION_PUMPS
3dc5724a-8069-48de-898e-fe337368e3ce	1e7422d7-3ed0-4675-be8a-d9ed6de4f47d	VENTILATION
3dc5724a-8069-48de-898e-fe337368e3ce	26313b55-aa3f-4feb-a768-6bb4ad03b2a3	INFILTRATION
3dc5724a-8069-48de-898e-fe337368e3ce	ce43247c-0d3f-4422-8b9e-564177da3239	IT_LOAD
46a330bd-2ece-4277-8c00-27e8cfbb39ba	748e3164-feb5-41a7-8ce8-cd6b847a81db	SWITCHGEAR
46a330bd-2ece-4277-8c00-27e8cfbb39ba	7f804335-61c4-4302-8b96-744575020bac	GENERATOR
46a330bd-2ece-4277-8c00-27e8cfbb39ba	2da51fab-2c8e-4e99-b3e8-0d4aec8c892f	PRIMARY_AUXILIARIES
46a330bd-2ece-4277-8c00-27e8cfbb39ba	309b18aa-3cf6-4d0a-a68a-2e09c8b41bbb	UPS
46a330bd-2ece-4277-8c00-27e8cfbb39ba	d7d97953-af73-4337-9727-a06adeeb5ab9	CRITICAL_AUXILIARIES
46a330bd-2ece-4277-8c00-27e8cfbb39ba	1f07e885-f34c-436d-9252-9b18d058f31c	LIGHTING
46a330bd-2ece-4277-8c00-27e8cfbb39ba	15dcfdac-3686-4b21-9d20-49a75799f4b8	CRITICAL_POWER_DISTRIBUTION
46a330bd-2ece-4277-8c00-27e8cfbb39ba	5794a209-921e-44d9-8955-36498c192dab	CRAH
46a330bd-2ece-4277-8c00-27e8cfbb39ba	cced3eb8-d86d-4fbb-ac3f-4d46d78e50ad	CRAC
46a330bd-2ece-4277-8c00-27e8cfbb39ba	ddcc6024-4e4e-49c9-85a9-280d44516fad	CRAC_WITHOUT_FAN
46a330bd-2ece-4277-8c00-27e8cfbb39ba	297b4c66-96bd-4d3a-a5ba-272a9cdb6f49	CRAC_FAN
46a330bd-2ece-4277-8c00-27e8cfbb39ba	ff556234-c1f1-4b9f-b049-ff5728fe7df3	CHILLER
46a330bd-2ece-4277-8c00-27e8cfbb39ba	664e74d1-72a4-47c5-a029-cb81245e6986	AIR_COOLED_CHILLER
46a330bd-2ece-4277-8c00-27e8cfbb39ba	e44a4ad9-a95e-439e-860d-b858c6681933	COOLING_TOWER
46a330bd-2ece-4277-8c00-27e8cfbb39ba	8e08fc6b-406b-4f12-aaa3-04db0d1cdb0c	DRY_COOLER
46a330bd-2ece-4277-8c00-27e8cfbb39ba	98496611-7e95-4468-a00f-4f35712c87c6	REMOTE_CONDENSER
46a330bd-2ece-4277-8c00-27e8cfbb39ba	88ce933a-b15d-4e37-b193-61c6dfaacecd	CHILLED_WATER_PUMPS
46a330bd-2ece-4277-8c00-27e8cfbb39ba	5589c09d-320c-4dda-8693-1b17954e1988	HEAT_REJECTION_PUMPS
46a330bd-2ece-4277-8c00-27e8cfbb39ba	c30691ce-2c01-48f3-9361-bc9c2a1e8654	VENTILATION
46a330bd-2ece-4277-8c00-27e8cfbb39ba	70142d48-3922-4199-a844-5f7e958608d9	INFILTRATION
46a330bd-2ece-4277-8c00-27e8cfbb39ba	d7bac65e-ddad-4718-9632-f9bfbcca2813	IT_LOAD
5805b50a-cb9f-4904-a848-942ac0c5dae2	229f6444-0c64-43d8-90d1-9ae92f0b4818	SWITCHGEAR
5805b50a-cb9f-4904-a848-942ac0c5dae2	0dbfbbb6-718a-4bdf-b8f0-aca09ca6ee59	GENERATOR
5805b50a-cb9f-4904-a848-942ac0c5dae2	35ed773e-93b6-4e75-9c6f-66d9786b7d47	PRIMARY_AUXILIARIES
5805b50a-cb9f-4904-a848-942ac0c5dae2	abb5e56a-803d-4771-8486-f073e37f20f5	UPS
5805b50a-cb9f-4904-a848-942ac0c5dae2	e8e6f57b-1a08-417d-8c67-1f4a77e05a62	CRITICAL_AUXILIARIES
5805b50a-cb9f-4904-a848-942ac0c5dae2	9aa48c36-053e-4642-b411-04ce87472439	LIGHTING
5805b50a-cb9f-4904-a848-942ac0c5dae2	0ab450e5-60dc-492f-85f9-13fb8a22a01a	CRITICAL_POWER_DISTRIBUTION
5805b50a-cb9f-4904-a848-942ac0c5dae2	c98a6631-fec1-4f94-bcd8-5d10df47c759	CRAH
5805b50a-cb9f-4904-a848-942ac0c5dae2	03c06ce3-c514-4d25-a93d-1366773dd141	CRAC
5805b50a-cb9f-4904-a848-942ac0c5dae2	3da5b7d6-a31c-4b59-8e24-45922e28cea3	CRAC_WITHOUT_FAN
5805b50a-cb9f-4904-a848-942ac0c5dae2	6ebd7d02-4d8f-49f1-9e52-cc546803fb39	CRAC_FAN
5805b50a-cb9f-4904-a848-942ac0c5dae2	380bfc55-cdc5-4d3e-8009-4a6993e5f75f	CHILLER
5805b50a-cb9f-4904-a848-942ac0c5dae2	7709ebc7-18e6-437a-b337-207ddd5b5523	AIR_COOLED_CHILLER
5805b50a-cb9f-4904-a848-942ac0c5dae2	da0291d2-a1db-473d-bffd-c4029fa02d00	COOLING_TOWER
5805b50a-cb9f-4904-a848-942ac0c5dae2	0d00d476-1e8d-4539-924a-8b064b8db942	DRY_COOLER
5805b50a-cb9f-4904-a848-942ac0c5dae2	0e9c2a4f-3a2d-468e-a7a3-24043c90b15b	REMOTE_CONDENSER
5805b50a-cb9f-4904-a848-942ac0c5dae2	5fa844e0-6ff4-4a33-ae09-a4fc7d16d4da	CHILLED_WATER_PUMPS
5805b50a-cb9f-4904-a848-942ac0c5dae2	64667e66-eb96-44cd-98ea-27fec49da32f	HEAT_REJECTION_PUMPS
5805b50a-cb9f-4904-a848-942ac0c5dae2	d3010aaf-7965-445e-8e89-761afd2a11dd	VENTILATION
5805b50a-cb9f-4904-a848-942ac0c5dae2	4310325c-a599-45a1-9fd4-e7327d5ea978	INFILTRATION
5805b50a-cb9f-4904-a848-942ac0c5dae2	2a1524a1-a63a-4a6d-9528-294f4db6a9f6	IT_LOAD
19be3872-11c4-4e35-a7c2-b9dc4da54d53	e857b63b-2d99-4930-8a7d-91dfc83610ab	SWITCHGEAR
19be3872-11c4-4e35-a7c2-b9dc4da54d53	baec3272-7f4a-4ca2-844c-827f2b3d194b	GENERATOR
19be3872-11c4-4e35-a7c2-b9dc4da54d53	fe72fa3e-1be2-4b75-bee1-f3092808755d	PRIMARY_AUXILIARIES
19be3872-11c4-4e35-a7c2-b9dc4da54d53	d7e72375-d6c7-4a3a-b562-6cbdd6fc51a7	UPS
19be3872-11c4-4e35-a7c2-b9dc4da54d53	c488843c-ec00-4474-9b8d-93f2d67c19bf	CRITICAL_AUXILIARIES
19be3872-11c4-4e35-a7c2-b9dc4da54d53	5917a0f0-6000-4e9f-8f99-6aefeec77ae2	LIGHTING
19be3872-11c4-4e35-a7c2-b9dc4da54d53	fad0d7da-76d9-4c79-97a2-1aac04193a7b	CRITICAL_POWER_DISTRIBUTION
19be3872-11c4-4e35-a7c2-b9dc4da54d53	c38b8de1-7089-41a6-96f3-480eeb116159	CRAH
19be3872-11c4-4e35-a7c2-b9dc4da54d53	da2c7fb7-76df-4224-874a-43a8ff0b73bd	CRAC
19be3872-11c4-4e35-a7c2-b9dc4da54d53	2f8c7b04-d968-495f-a0b2-7ee409d5d6a2	CRAC_WITHOUT_FAN
19be3872-11c4-4e35-a7c2-b9dc4da54d53	af7ccb7e-f8bf-4728-878a-2ba563816bf2	CRAC_FAN
19be3872-11c4-4e35-a7c2-b9dc4da54d53	16754e1e-f88d-4d3e-9a1a-a3b3cb733448	CHILLER
19be3872-11c4-4e35-a7c2-b9dc4da54d53	24b141b1-49ff-4bae-bf7a-4981b29f4839	AIR_COOLED_CHILLER
19be3872-11c4-4e35-a7c2-b9dc4da54d53	80cd208b-7974-4698-8895-80592c4e5ded	COOLING_TOWER
19be3872-11c4-4e35-a7c2-b9dc4da54d53	0b950f0a-f045-4360-ba97-b7467f2cf0da	DRY_COOLER
19be3872-11c4-4e35-a7c2-b9dc4da54d53	cb38dcbd-87b4-4a13-a24e-4bea4fd6efb2	REMOTE_CONDENSER
19be3872-11c4-4e35-a7c2-b9dc4da54d53	436a66ec-eae8-4ba4-b73d-e9264be9af86	CHILLED_WATER_PUMPS
19be3872-11c4-4e35-a7c2-b9dc4da54d53	23260454-031d-499e-b2d5-28edb49b5683	HEAT_REJECTION_PUMPS
19be3872-11c4-4e35-a7c2-b9dc4da54d53	73b83a45-67aa-41ba-b272-c56137308231	VENTILATION
19be3872-11c4-4e35-a7c2-b9dc4da54d53	60b4516a-c748-4854-9b45-76f6edb6cdcb	INFILTRATION
19be3872-11c4-4e35-a7c2-b9dc4da54d53	9ecd0fde-ba17-4c03-9d7d-ef2b0a7d8f63	IT_LOAD
96b11980-f833-44df-b715-705cb55c7a28	4166b691-2d4c-466b-9b9c-b8326925fb7e	SWITCHGEAR
96b11980-f833-44df-b715-705cb55c7a28	b2095699-aa6f-4dc2-9da1-af16d9d0a157	GENERATOR
96b11980-f833-44df-b715-705cb55c7a28	58603871-4102-46b1-a26d-858097469bfc	PRIMARY_AUXILIARIES
96b11980-f833-44df-b715-705cb55c7a28	f32e1765-b93a-4bd1-8daf-c8865b089d9b	UPS
96b11980-f833-44df-b715-705cb55c7a28	33816a44-6ae1-4b7c-9c14-cfc9b6220546	CRITICAL_AUXILIARIES
96b11980-f833-44df-b715-705cb55c7a28	11c95e41-78b2-4075-a261-9d0041cf38c5	LIGHTING
96b11980-f833-44df-b715-705cb55c7a28	8f1cd2d3-c166-41cf-aa72-1741d49c99c8	CRITICAL_POWER_DISTRIBUTION
96b11980-f833-44df-b715-705cb55c7a28	2bec1fce-00a0-4468-ba4b-a9dbd784fc12	CRAH
96b11980-f833-44df-b715-705cb55c7a28	7a82f5d8-7cd9-4831-88a8-85c7612e576a	CRAC
96b11980-f833-44df-b715-705cb55c7a28	0dabfe89-b7d4-4533-91cd-00029a012465	CRAC_WITHOUT_FAN
96b11980-f833-44df-b715-705cb55c7a28	94fadc5d-ce59-4de0-acff-2831b6c34833	CRAC_FAN
96b11980-f833-44df-b715-705cb55c7a28	1aad96fb-5317-4ba1-bdbb-c0774bb24485	CHILLER
96b11980-f833-44df-b715-705cb55c7a28	a5099307-0a8d-4ad7-9990-6504d4084327	AIR_COOLED_CHILLER
96b11980-f833-44df-b715-705cb55c7a28	a2d86cad-fa50-43ec-ba0a-c741a66fcf8a	COOLING_TOWER
96b11980-f833-44df-b715-705cb55c7a28	b35f5e36-5334-402a-8c34-e1f755b19ac8	DRY_COOLER
96b11980-f833-44df-b715-705cb55c7a28	83ac6f31-fa5c-4c88-ab93-7fc269af74b3	REMOTE_CONDENSER
96b11980-f833-44df-b715-705cb55c7a28	4b72afc8-f911-4d2a-b1ca-26dbbd6d626c	CHILLED_WATER_PUMPS
96b11980-f833-44df-b715-705cb55c7a28	50f9cbf5-11f2-48cd-8f74-22c9493860e7	HEAT_REJECTION_PUMPS
96b11980-f833-44df-b715-705cb55c7a28	357ce2c6-c1c7-42f8-9665-4873f05aeee0	VENTILATION
96b11980-f833-44df-b715-705cb55c7a28	e1661ad8-d760-4041-8926-c679eeaf5503	INFILTRATION
96b11980-f833-44df-b715-705cb55c7a28	66a0d34d-bc3d-43d3-a700-0f96d84458a5	IT_LOAD
6cfb66d1-bc53-433e-93de-751f560672b4	16b4fb9f-d1cf-4aaf-970d-520e4784f4fe	SWITCHGEAR
6cfb66d1-bc53-433e-93de-751f560672b4	376cda11-0758-486a-a963-e7e6788dc108	GENERATOR
6cfb66d1-bc53-433e-93de-751f560672b4	17d57ad0-ec1e-44f0-8c2c-61bf451a5a0e	PRIMARY_AUXILIARIES
6cfb66d1-bc53-433e-93de-751f560672b4	ebecc38b-236a-4582-913f-a5cd79b28247	UPS
6cfb66d1-bc53-433e-93de-751f560672b4	decdb2d9-055f-4be3-9520-2ab20928d9cf	CRITICAL_AUXILIARIES
6cfb66d1-bc53-433e-93de-751f560672b4	2a2a8f58-b263-4b64-8726-05b91664ec13	LIGHTING
6cfb66d1-bc53-433e-93de-751f560672b4	e4478b41-ce05-450e-a4ca-4b5705145772	CRITICAL_POWER_DISTRIBUTION
6cfb66d1-bc53-433e-93de-751f560672b4	706f37ce-e0a3-4259-9ac1-a0819b27b2f4	CRAH
6cfb66d1-bc53-433e-93de-751f560672b4	0685df3b-d626-4ad2-82b3-a36a8a44a566	CRAC
6cfb66d1-bc53-433e-93de-751f560672b4	9937001a-1013-4d89-9d25-9ff1827e53c7	CRAC_WITHOUT_FAN
6cfb66d1-bc53-433e-93de-751f560672b4	dc18ffcb-66dc-4ca0-9f68-ecfd95960d00	CRAC_FAN
6cfb66d1-bc53-433e-93de-751f560672b4	9c5668c2-043c-49e5-9d84-d6fa0f9b8161	CHILLER
6cfb66d1-bc53-433e-93de-751f560672b4	ca569110-3dd3-4daf-9bd6-fa623befd500	AIR_COOLED_CHILLER
6cfb66d1-bc53-433e-93de-751f560672b4	3a1ab298-59d4-4912-ae4f-5b8c09a92866	COOLING_TOWER
6cfb66d1-bc53-433e-93de-751f560672b4	54937de6-132b-4f29-9ff8-b8bb5f2ac2ca	DRY_COOLER
6cfb66d1-bc53-433e-93de-751f560672b4	53d22079-f789-412e-a857-a4ae9935e2ee	REMOTE_CONDENSER
6cfb66d1-bc53-433e-93de-751f560672b4	0455fcdf-c67c-4995-9d57-6b83ea2f1af7	CHILLED_WATER_PUMPS
6cfb66d1-bc53-433e-93de-751f560672b4	10670075-b92e-4294-a849-d03ff5f742cb	HEAT_REJECTION_PUMPS
6cfb66d1-bc53-433e-93de-751f560672b4	8932b078-d0fb-4df8-a38b-eafc9014bde5	VENTILATION
6cfb66d1-bc53-433e-93de-751f560672b4	4f52cc31-f153-495d-851f-596250633bc6	INFILTRATION
6cfb66d1-bc53-433e-93de-751f560672b4	fd5202d6-68c1-46d3-b870-ab1414ad8cc2	IT_LOAD
88fa0abb-ff6b-4580-bf9e-197230bc3be3	451a9592-1b05-4474-a2e5-156c178f9b75	SWITCHGEAR
88fa0abb-ff6b-4580-bf9e-197230bc3be3	dd12a967-f5af-4671-a7c5-91987f5b6dc2	GENERATOR
88fa0abb-ff6b-4580-bf9e-197230bc3be3	8d69d19a-5546-46f7-ad38-7720d0ccfbe6	PRIMARY_AUXILIARIES
88fa0abb-ff6b-4580-bf9e-197230bc3be3	6375bbf1-c141-451f-b8f7-025f76e8d0d2	UPS
88fa0abb-ff6b-4580-bf9e-197230bc3be3	fec04077-e3dd-452c-be98-6c7ed0d6ce34	CRITICAL_AUXILIARIES
88fa0abb-ff6b-4580-bf9e-197230bc3be3	c37f7326-cb6f-4609-8fd5-5f691b7c1a91	LIGHTING
88fa0abb-ff6b-4580-bf9e-197230bc3be3	5e3d3613-b7fe-4108-875f-fc50e36d15c9	CRITICAL_POWER_DISTRIBUTION
88fa0abb-ff6b-4580-bf9e-197230bc3be3	c798ba5d-6b0a-4855-b227-d16ce4fb1e5e	CRAH
88fa0abb-ff6b-4580-bf9e-197230bc3be3	5678860b-500c-42b1-b74e-56c976ad6103	CRAC
88fa0abb-ff6b-4580-bf9e-197230bc3be3	6a2d69eb-90b8-4d7b-a202-8cb6d03717cb	CRAC_WITHOUT_FAN
88fa0abb-ff6b-4580-bf9e-197230bc3be3	63a8a02b-4bfd-47fd-ab3b-e7a1618209d3	CRAC_FAN
88fa0abb-ff6b-4580-bf9e-197230bc3be3	f39f62a0-1d89-43c7-90ac-f4d80f2ef75a	CHILLER
88fa0abb-ff6b-4580-bf9e-197230bc3be3	0e32c981-ec00-467a-a88b-4af73cdcfd29	AIR_COOLED_CHILLER
88fa0abb-ff6b-4580-bf9e-197230bc3be3	06be1770-9185-46e7-91d8-f819a88c552f	COOLING_TOWER
88fa0abb-ff6b-4580-bf9e-197230bc3be3	ab108bf5-f114-4a83-83c5-9d3ae21402b9	DRY_COOLER
88fa0abb-ff6b-4580-bf9e-197230bc3be3	531e5c96-ea83-40a7-9d45-c71ca36f7272	REMOTE_CONDENSER
88fa0abb-ff6b-4580-bf9e-197230bc3be3	65523a66-7c77-46f4-927d-04b0fe2ed626	CHILLED_WATER_PUMPS
88fa0abb-ff6b-4580-bf9e-197230bc3be3	21253590-6037-4f31-b3d3-c71777323413	HEAT_REJECTION_PUMPS
88fa0abb-ff6b-4580-bf9e-197230bc3be3	04bcf14a-046b-4bdb-af1e-38804a7d4aed	VENTILATION
88fa0abb-ff6b-4580-bf9e-197230bc3be3	930ad9b5-85b4-4fb6-9c50-c7532d49f9cc	INFILTRATION
88fa0abb-ff6b-4580-bf9e-197230bc3be3	35453b52-3268-4e7b-89e8-ab65b50a9c07	IT_LOAD
acc3cc7e-edab-40e6-beac-ebb1252adef0	1fa19521-b008-4f2a-93ca-1da65e83cdef	SWITCHGEAR
acc3cc7e-edab-40e6-beac-ebb1252adef0	47220e49-1fae-49be-aeb1-5af6f5944f63	GENERATOR
acc3cc7e-edab-40e6-beac-ebb1252adef0	0608bc7f-b038-4f45-9c02-a965ba2b395a	PRIMARY_AUXILIARIES
acc3cc7e-edab-40e6-beac-ebb1252adef0	059d0a42-f5ef-46cc-81bc-1ff941e6d735	UPS
acc3cc7e-edab-40e6-beac-ebb1252adef0	f3cf7783-619a-4287-a49d-5506fcf05152	CRITICAL_AUXILIARIES
acc3cc7e-edab-40e6-beac-ebb1252adef0	fca44cc7-b669-4424-9779-5eaf13dc631a	LIGHTING
acc3cc7e-edab-40e6-beac-ebb1252adef0	f193ec31-3f69-4343-b049-79bd5e5b7331	CRITICAL_POWER_DISTRIBUTION
acc3cc7e-edab-40e6-beac-ebb1252adef0	cd49f587-f878-4199-af30-45c7739a662e	CRAH
acc3cc7e-edab-40e6-beac-ebb1252adef0	f3802ac5-5ae7-498f-93d3-bb36fb2cce2d	CRAC
acc3cc7e-edab-40e6-beac-ebb1252adef0	dae4a1e8-6442-4078-95ac-ecca965136cd	CRAC_WITHOUT_FAN
acc3cc7e-edab-40e6-beac-ebb1252adef0	24576da7-0c6f-4a4d-834f-1a079d1ffc32	CRAC_FAN
acc3cc7e-edab-40e6-beac-ebb1252adef0	f5794c38-9c82-458d-a646-10ac91636076	CHILLER
acc3cc7e-edab-40e6-beac-ebb1252adef0	c3e60d59-18d2-4107-993b-b08659395381	AIR_COOLED_CHILLER
acc3cc7e-edab-40e6-beac-ebb1252adef0	30d44cae-1998-438f-9b54-9fd312a4baec	COOLING_TOWER
acc3cc7e-edab-40e6-beac-ebb1252adef0	71571756-a487-42b6-b88d-225c959de511	DRY_COOLER
acc3cc7e-edab-40e6-beac-ebb1252adef0	34e226ba-0f6c-42f0-b770-afc9fe844386	REMOTE_CONDENSER
acc3cc7e-edab-40e6-beac-ebb1252adef0	8cd12c10-6a77-4044-8ebe-5c8cde145710	CHILLED_WATER_PUMPS
acc3cc7e-edab-40e6-beac-ebb1252adef0	265b69fb-227f-4278-996c-950bd1484cff	HEAT_REJECTION_PUMPS
acc3cc7e-edab-40e6-beac-ebb1252adef0	f0fd7f1b-0a48-4eb6-827f-e9f77c145797	VENTILATION
acc3cc7e-edab-40e6-beac-ebb1252adef0	6ca53500-891d-4a42-9ba8-e3fd672595b5	INFILTRATION
acc3cc7e-edab-40e6-beac-ebb1252adef0	a106a8bc-82bf-4516-9a33-19660d3c5f61	IT_LOAD
5b071cd2-0f8f-4216-8c47-934ebc4c514b	6036326e-1102-446b-b7b7-941bdcf424e1	SWITCHGEAR
5b071cd2-0f8f-4216-8c47-934ebc4c514b	8a5bced6-178e-4619-8497-4a6b8c346611	GENERATOR
5b071cd2-0f8f-4216-8c47-934ebc4c514b	8a984f10-3acc-48a7-b7df-5fffda4dad0b	PRIMARY_AUXILIARIES
5b071cd2-0f8f-4216-8c47-934ebc4c514b	8accc6a8-35f3-4321-832a-4e938ac680aa	UPS
5b071cd2-0f8f-4216-8c47-934ebc4c514b	926073d7-fbbc-449c-b317-2f3224ed01f7	CRITICAL_AUXILIARIES
5b071cd2-0f8f-4216-8c47-934ebc4c514b	19ca3553-f5c6-4e02-b170-2deda55175ff	LIGHTING
5b071cd2-0f8f-4216-8c47-934ebc4c514b	29ac315c-142d-4e69-8778-266c97f76041	CRITICAL_POWER_DISTRIBUTION
5b071cd2-0f8f-4216-8c47-934ebc4c514b	b17651e2-3222-4b11-97c9-f4a358b85061	CRAH
5b071cd2-0f8f-4216-8c47-934ebc4c514b	57e2c709-2425-43b0-910b-5db81745688a	CRAC
5b071cd2-0f8f-4216-8c47-934ebc4c514b	7b6bec00-245a-4f77-a922-d6f0f06f9df4	CRAC_WITHOUT_FAN
5b071cd2-0f8f-4216-8c47-934ebc4c514b	b1cf0a72-0457-42e0-9f4c-83dd317dd1aa	CRAC_FAN
5b071cd2-0f8f-4216-8c47-934ebc4c514b	2f8ca93a-d4e6-495b-a528-ac676564b4e1	CHILLER
5b071cd2-0f8f-4216-8c47-934ebc4c514b	5bdab9e0-b6e1-44e9-ad90-7d0b502f7d3b	AIR_COOLED_CHILLER
5b071cd2-0f8f-4216-8c47-934ebc4c514b	a61bc993-650d-4dd4-8638-a7fbca5bebac	COOLING_TOWER
5b071cd2-0f8f-4216-8c47-934ebc4c514b	c5e454a6-2578-4b63-96be-567cd4bb051d	DRY_COOLER
5b071cd2-0f8f-4216-8c47-934ebc4c514b	b55b7ea1-3ff5-415b-b10e-3b2674737bd8	REMOTE_CONDENSER
5b071cd2-0f8f-4216-8c47-934ebc4c514b	27b3582c-08d1-443c-8c12-ff96f6ba9c78	CHILLED_WATER_PUMPS
5b071cd2-0f8f-4216-8c47-934ebc4c514b	3919758e-9ecc-4091-bd3c-117af008cea3	HEAT_REJECTION_PUMPS
5b071cd2-0f8f-4216-8c47-934ebc4c514b	2e1f8a55-aa99-4e0e-bac7-909076ca1290	VENTILATION
5b071cd2-0f8f-4216-8c47-934ebc4c514b	95d6fe47-b412-40c3-b5a0-bb97a9657435	INFILTRATION
5b071cd2-0f8f-4216-8c47-934ebc4c514b	a7c28896-ab2e-4c4b-bad3-6a5bde268f58	IT_LOAD
9ede15a9-b041-4077-955a-0dfd173ca5a3	7487dc19-49d0-48b2-b3e5-8f10032eef44	SWITCHGEAR
9ede15a9-b041-4077-955a-0dfd173ca5a3	37106d64-f7d7-4b58-9065-3ed5b235661a	GENERATOR
9ede15a9-b041-4077-955a-0dfd173ca5a3	e0e53644-c1a1-4482-8ca1-06529c28c97a	PRIMARY_AUXILIARIES
9ede15a9-b041-4077-955a-0dfd173ca5a3	27919b67-f113-4e15-b1de-8d21bcd8648c	UPS
9ede15a9-b041-4077-955a-0dfd173ca5a3	b733ece9-310f-4192-a380-3b030f8ecba1	CRITICAL_AUXILIARIES
9ede15a9-b041-4077-955a-0dfd173ca5a3	35421401-84e6-4c6a-ae2f-036a97fb4304	LIGHTING
9ede15a9-b041-4077-955a-0dfd173ca5a3	56ef606f-003e-48be-a620-673a26ef284f	CRITICAL_POWER_DISTRIBUTION
9ede15a9-b041-4077-955a-0dfd173ca5a3	3397dced-2a6c-4182-b771-e6fd2501dfc7	CRAH
9ede15a9-b041-4077-955a-0dfd173ca5a3	7fb6329f-3cc2-45ea-bcbb-2740a81484c6	CRAC
9ede15a9-b041-4077-955a-0dfd173ca5a3	e64a4ec0-8778-4f5e-85db-9b03b2965c9a	CRAC_WITHOUT_FAN
9ede15a9-b041-4077-955a-0dfd173ca5a3	22afea52-76a8-4039-aa42-5bf89e153694	CRAC_FAN
9ede15a9-b041-4077-955a-0dfd173ca5a3	7b74802c-8aed-4e42-b0a2-fd1f2878e4ed	CHILLER
9ede15a9-b041-4077-955a-0dfd173ca5a3	8c0bae37-e9ef-4f58-b362-fbf0d66bb9b6	AIR_COOLED_CHILLER
9ede15a9-b041-4077-955a-0dfd173ca5a3	88586181-c4db-40d1-8da9-d6e10baf67a5	COOLING_TOWER
9ede15a9-b041-4077-955a-0dfd173ca5a3	070bb37f-40bc-4614-903a-f1565efd12c7	DRY_COOLER
9ede15a9-b041-4077-955a-0dfd173ca5a3	0fd0bc7c-0681-432d-b683-532a5386a85c	REMOTE_CONDENSER
9ede15a9-b041-4077-955a-0dfd173ca5a3	e117350c-cee5-4c56-9dac-d58b60913918	CHILLED_WATER_PUMPS
9ede15a9-b041-4077-955a-0dfd173ca5a3	1f88ccc5-fcdb-408e-9180-aaea97071ff4	HEAT_REJECTION_PUMPS
9ede15a9-b041-4077-955a-0dfd173ca5a3	e2a87228-ac14-4a26-8cb0-a53f78418e11	VENTILATION
9ede15a9-b041-4077-955a-0dfd173ca5a3	22a86cd2-330f-4faf-88bd-1be5634c9502	INFILTRATION
9ede15a9-b041-4077-955a-0dfd173ca5a3	1b3ce435-2731-4f7c-945d-a46a57e9e3c0	IT_LOAD
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	27aab81d-b173-457b-9f23-937dbbba8245	SWITCHGEAR
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	aae37735-1156-44bb-ab3c-1f09a4fdd50d	GENERATOR
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	be38ca3e-7b18-42f5-bda6-cf41550d69e3	PRIMARY_AUXILIARIES
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	7a6c1cfe-6fca-4a0b-b382-8bd7f96221b4	UPS
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	70da0989-0db9-4afe-b43b-ddbb2d6f2745	CRITICAL_AUXILIARIES
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	2a4d563b-e39e-4d72-9726-b1b8480cac61	LIGHTING
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	1ebbdacc-d19b-4101-be08-d31ec91a1d6c	CRITICAL_POWER_DISTRIBUTION
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	32e53d98-c131-43be-a4ca-6618eda1d7bc	CRAH
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	c87014b0-55d1-4469-9813-aae849c92b70	CRAC
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	34c56bfd-407f-4419-a1fa-09b2d87ba86a	CRAC_WITHOUT_FAN
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	68d3eb8b-13f6-4f4c-ab35-2ed3e3b4225a	CRAC_FAN
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	cf86f86e-7158-45e9-83b8-94a79b37e885	CHILLER
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	cd1f391d-e405-4f46-8115-70bee7c64f20	AIR_COOLED_CHILLER
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	df789591-2172-4c57-b9c7-b8197d8ee571	COOLING_TOWER
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	ed14fef0-b967-4585-bc56-89e970a1ab68	DRY_COOLER
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	3ed2be0d-48d2-476c-b36a-d81697e7e16f	REMOTE_CONDENSER
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	aa11f629-9bf9-42ac-b147-fcb975c47759	CHILLED_WATER_PUMPS
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	24397dea-f568-469e-91bc-8de92b0f0df0	HEAT_REJECTION_PUMPS
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	4946e282-aac3-4e71-b034-4e3530e186f3	VENTILATION
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	f23cd4b6-3241-4e3b-acd9-84212244560f	INFILTRATION
d0c6fb1a-b4c2-4c17-8fab-9f62bfd0956a	b6b732cb-5245-431b-8f02-5e1f7a485380	IT_LOAD
3b9b5919-969c-444c-8988-404a5251a606	6f50731b-a20f-4c11-8af9-2eece66573f8	SWITCHGEAR
3b9b5919-969c-444c-8988-404a5251a606	6754b5cb-0226-4389-a586-301cf78e8b3d	GENERATOR
3b9b5919-969c-444c-8988-404a5251a606	352c14e8-7dbc-4e35-bebb-84e9ef5a67c8	PRIMARY_AUXILIARIES
3b9b5919-969c-444c-8988-404a5251a606	bf92a9b0-45e6-4bfd-9e6d-66a3ee922638	UPS
3b9b5919-969c-444c-8988-404a5251a606	5696641e-97a2-418a-8ec6-b1560b70200d	CRITICAL_AUXILIARIES
3b9b5919-969c-444c-8988-404a5251a606	cbef3638-0f8f-413c-89c7-1a9f9b88e481	LIGHTING
3b9b5919-969c-444c-8988-404a5251a606	b1ee34df-937a-4892-8e94-41903239eb1b	CRITICAL_POWER_DISTRIBUTION
3b9b5919-969c-444c-8988-404a5251a606	2417ab92-1fe5-46a5-9706-3c3202f01850	CRAH
3b9b5919-969c-444c-8988-404a5251a606	c1fb50d1-ae96-477a-bc70-e3e0b171a0d4	CRAC
3b9b5919-969c-444c-8988-404a5251a606	56803c8a-ef45-4605-a650-e952c69c36f1	CRAC_WITHOUT_FAN
3b9b5919-969c-444c-8988-404a5251a606	a4303941-6c9c-47b4-ae89-8975c4b447a7	CRAC_FAN
3b9b5919-969c-444c-8988-404a5251a606	b68f90aa-a09c-4b78-8a04-e61cd3deb51a	CHILLER
3b9b5919-969c-444c-8988-404a5251a606	1cab8ec4-53e6-470c-8012-c2a8d0deaf66	AIR_COOLED_CHILLER
3b9b5919-969c-444c-8988-404a5251a606	6b9f8d7e-1a5c-48f4-afa3-afc0479ffc6e	COOLING_TOWER
3b9b5919-969c-444c-8988-404a5251a606	f9d43056-a867-49ec-b7c8-f7c594c4b646	DRY_COOLER
3b9b5919-969c-444c-8988-404a5251a606	dcc85dc1-fd0c-47c4-a415-8a6693b11214	REMOTE_CONDENSER
3b9b5919-969c-444c-8988-404a5251a606	0a797e0f-dcbb-45ac-9785-bbc58d9550ce	CHILLED_WATER_PUMPS
3b9b5919-969c-444c-8988-404a5251a606	b16d7421-e2f8-46e5-83bb-ce165769e769	HEAT_REJECTION_PUMPS
3b9b5919-969c-444c-8988-404a5251a606	3cf60423-98bf-4d86-aec4-589c0498cc86	VENTILATION
3b9b5919-969c-444c-8988-404a5251a606	47588469-faa8-4df7-8ee4-dfa13a8ec467	INFILTRATION
3b9b5919-969c-444c-8988-404a5251a606	2e67e08b-9901-4b1f-9461-b0bc007a1f3f	IT_LOAD
6b8a02b6-fdff-4cad-bfdb-2777a907c044	31d1eec0-f243-4e9f-8fdb-f183f9967641	SWITCHGEAR
6b8a02b6-fdff-4cad-bfdb-2777a907c044	f19d307f-8ec7-4162-973c-7cb1e013c17e	GENERATOR
6b8a02b6-fdff-4cad-bfdb-2777a907c044	a658fdef-5ae3-4d08-961f-3697ce5bf3f5	PRIMARY_AUXILIARIES
6b8a02b6-fdff-4cad-bfdb-2777a907c044	175ce83c-53ed-457c-aa7d-e101c4aac992	UPS
6b8a02b6-fdff-4cad-bfdb-2777a907c044	d898432d-c4f0-4d3c-9adc-445aac41cfe4	CRITICAL_AUXILIARIES
6b8a02b6-fdff-4cad-bfdb-2777a907c044	7f649f97-7216-4791-85cd-ae735d6da4a0	LIGHTING
6b8a02b6-fdff-4cad-bfdb-2777a907c044	dcb12902-e1f6-4c85-8cf4-e701f3e51c8a	CRITICAL_POWER_DISTRIBUTION
6b8a02b6-fdff-4cad-bfdb-2777a907c044	a280c6e1-21a6-4f6f-9260-54b48e255ba9	CRAH
6b8a02b6-fdff-4cad-bfdb-2777a907c044	e417e5ad-1f6b-40f8-b7e2-c9a2cb0367c0	CRAC
6b8a02b6-fdff-4cad-bfdb-2777a907c044	69652985-bc84-4ca1-8c1e-6d55d98a9b42	CRAC_WITHOUT_FAN
6b8a02b6-fdff-4cad-bfdb-2777a907c044	7ab8a229-b0f9-480c-997a-8404bf84c98f	CRAC_FAN
6b8a02b6-fdff-4cad-bfdb-2777a907c044	718d89d6-8325-449e-9dae-91194b7b47e6	CHILLER
6b8a02b6-fdff-4cad-bfdb-2777a907c044	4362683b-c4e4-4f9e-a556-adccb37ad219	AIR_COOLED_CHILLER
6b8a02b6-fdff-4cad-bfdb-2777a907c044	6ce42a9a-e806-4bbe-ab78-5917894a21e8	COOLING_TOWER
6b8a02b6-fdff-4cad-bfdb-2777a907c044	ce43d682-6a0c-4f99-9bd9-9d14c6abf0ae	DRY_COOLER
6b8a02b6-fdff-4cad-bfdb-2777a907c044	d6782c2f-159b-42cf-962f-593d6d87f4a4	REMOTE_CONDENSER
6b8a02b6-fdff-4cad-bfdb-2777a907c044	026ec86b-41cd-4cb6-b380-a213dd0c0dae	CHILLED_WATER_PUMPS
6b8a02b6-fdff-4cad-bfdb-2777a907c044	52cf6d30-e36f-4490-bc8f-c137f2bcd73b	HEAT_REJECTION_PUMPS
6b8a02b6-fdff-4cad-bfdb-2777a907c044	5f8fd776-8044-4cb7-a85b-f6529d81667a	VENTILATION
6b8a02b6-fdff-4cad-bfdb-2777a907c044	7afd0da6-ad15-4eed-b683-f29b3ee6e91a	INFILTRATION
6b8a02b6-fdff-4cad-bfdb-2777a907c044	6b021be9-5375-402b-9b0a-0cafdebf22a0	IT_LOAD
eb989e73-0302-4019-a478-9736a276368e	9aaacd3c-3691-444a-aba7-8b32c722dd13	SWITCHGEAR
eb989e73-0302-4019-a478-9736a276368e	a07d373e-c2f5-4714-a1c6-ee65613a0868	GENERATOR
eb989e73-0302-4019-a478-9736a276368e	4e194f1a-3e7a-47a0-8816-6d01872e2dbe	PRIMARY_AUXILIARIES
eb989e73-0302-4019-a478-9736a276368e	8f8ac70a-ae97-457f-8f79-44579151161b	UPS
eb989e73-0302-4019-a478-9736a276368e	a3137a02-b810-4786-8207-86fb2aa206ef	CRITICAL_AUXILIARIES
eb989e73-0302-4019-a478-9736a276368e	672186db-368d-4773-b8c7-3fefa6bff64a	LIGHTING
eb989e73-0302-4019-a478-9736a276368e	65c0f9cc-3671-4f03-86b2-7703c8bb5fae	CRITICAL_POWER_DISTRIBUTION
eb989e73-0302-4019-a478-9736a276368e	5597a03b-198b-4ec2-8d75-815c3c5062b3	CRAH
eb989e73-0302-4019-a478-9736a276368e	a33b6725-c922-4021-a14f-9ae21a7a46f7	CRAC
eb989e73-0302-4019-a478-9736a276368e	c4066535-22da-47e4-9694-46241a4239a2	CRAC_WITHOUT_FAN
eb989e73-0302-4019-a478-9736a276368e	7f46c881-9334-43a6-a9fc-f26367625855	CRAC_FAN
eb989e73-0302-4019-a478-9736a276368e	ce28733a-b329-405c-9cf9-15e6534e7830	CHILLER
eb989e73-0302-4019-a478-9736a276368e	01bf7d9d-e9ac-44c7-b51c-d06e325976b5	AIR_COOLED_CHILLER
eb989e73-0302-4019-a478-9736a276368e	879c0257-9ad9-4f58-8824-032273984630	COOLING_TOWER
eb989e73-0302-4019-a478-9736a276368e	297e71ee-323f-41cc-8da1-8703a32c81a6	DRY_COOLER
eb989e73-0302-4019-a478-9736a276368e	fed19872-1346-470e-a83a-1a8ad52eb58b	REMOTE_CONDENSER
eb989e73-0302-4019-a478-9736a276368e	0ce010e4-8c9a-4f7d-b6b6-3a54b2dbb4a1	CHILLED_WATER_PUMPS
eb989e73-0302-4019-a478-9736a276368e	e21e4e30-7127-4712-b10f-6b1fbc2977a9	HEAT_REJECTION_PUMPS
eb989e73-0302-4019-a478-9736a276368e	07c88450-98c7-4b49-ab42-80bad41d26d3	VENTILATION
eb989e73-0302-4019-a478-9736a276368e	a8977540-c0fd-496d-8bed-0aa7418427b1	INFILTRATION
eb989e73-0302-4019-a478-9736a276368e	5f3741a6-7114-4b9d-854a-2029383ceee7	IT_LOAD
b1d19c2b-20b2-4d57-91b4-c85e67db0277	3e4163ab-fd13-4349-9347-0e432f7a6fa9	SWITCHGEAR
b1d19c2b-20b2-4d57-91b4-c85e67db0277	156c4f01-27cf-4622-99a3-52ab350d749d	GENERATOR
b1d19c2b-20b2-4d57-91b4-c85e67db0277	865f7666-a17e-466a-86b0-86230a3a9176	PRIMARY_AUXILIARIES
b1d19c2b-20b2-4d57-91b4-c85e67db0277	7642b088-3a58-4c70-933b-d2d494bf6acc	UPS
b1d19c2b-20b2-4d57-91b4-c85e67db0277	99ce0a26-0319-44b0-9ba0-d546e7d1d10e	CRITICAL_AUXILIARIES
b1d19c2b-20b2-4d57-91b4-c85e67db0277	24c3c8b2-66dd-4455-9913-a7c2181732e1	LIGHTING
b1d19c2b-20b2-4d57-91b4-c85e67db0277	6a34fe07-3740-44e4-9449-3a4f6f6abc45	CRITICAL_POWER_DISTRIBUTION
b1d19c2b-20b2-4d57-91b4-c85e67db0277	4ceeadef-71d3-4e82-aae5-e92e4066fc41	CRAH
b1d19c2b-20b2-4d57-91b4-c85e67db0277	f63cd2d0-985b-4e6b-a14c-a7673d77578d	CRAC
b1d19c2b-20b2-4d57-91b4-c85e67db0277	a48a367a-2965-4eac-a960-9aa2c194a44a	CRAC_WITHOUT_FAN
b1d19c2b-20b2-4d57-91b4-c85e67db0277	d5d9e793-897e-40cd-8d88-8af8bef767bc	CRAC_FAN
b1d19c2b-20b2-4d57-91b4-c85e67db0277	484135fa-d043-45f1-9098-09e571218081	CHILLER
b1d19c2b-20b2-4d57-91b4-c85e67db0277	833eece5-815d-4a75-be49-b7b7b397cad5	AIR_COOLED_CHILLER
b1d19c2b-20b2-4d57-91b4-c85e67db0277	4d3ec5ed-f06a-4c44-951b-de10da58d718	COOLING_TOWER
b1d19c2b-20b2-4d57-91b4-c85e67db0277	cf7f2282-6ce5-4e84-8f1c-6c1ff13776a3	DRY_COOLER
b1d19c2b-20b2-4d57-91b4-c85e67db0277	4d0f9f69-96cb-42e5-8146-a9c3d0742eab	REMOTE_CONDENSER
b1d19c2b-20b2-4d57-91b4-c85e67db0277	38a1243f-0ed5-4537-a0c4-2ba4b2e37e39	CHILLED_WATER_PUMPS
b1d19c2b-20b2-4d57-91b4-c85e67db0277	249c57d2-540c-4da7-80cd-efe91328941d	HEAT_REJECTION_PUMPS
b1d19c2b-20b2-4d57-91b4-c85e67db0277	6230709a-6a5f-42a0-8f6e-dd44d1efd147	VENTILATION
b1d19c2b-20b2-4d57-91b4-c85e67db0277	dac769de-94dc-45c4-9d83-2ee39495d459	INFILTRATION
b1d19c2b-20b2-4d57-91b4-c85e67db0277	3afef8f9-6531-495d-a05b-14ea0e5ec64d	IT_LOAD
3426b72b-7ba3-42b1-a8ff-392376825d46	9959524d-f71a-4f18-804a-d82e1751754f	SWITCHGEAR
3426b72b-7ba3-42b1-a8ff-392376825d46	9dda394d-1096-4efc-931a-13caade6bd11	GENERATOR
3426b72b-7ba3-42b1-a8ff-392376825d46	316520a0-ef6e-4ada-8d0e-77a2cb296607	PRIMARY_AUXILIARIES
3426b72b-7ba3-42b1-a8ff-392376825d46	a8cf1820-af91-4780-a76c-d2c47417fd6c	UPS
3426b72b-7ba3-42b1-a8ff-392376825d46	7d127e80-679a-4a01-838d-9aedbb1061da	CRITICAL_AUXILIARIES
3426b72b-7ba3-42b1-a8ff-392376825d46	79146c97-35fd-476d-a68c-03c026ef79ac	LIGHTING
3426b72b-7ba3-42b1-a8ff-392376825d46	5447b8b5-45d0-46e2-9218-f41862ad5b8c	CRITICAL_POWER_DISTRIBUTION
3426b72b-7ba3-42b1-a8ff-392376825d46	891a77a3-a13e-47b0-9c82-7fd6d5295118	CRAH
3426b72b-7ba3-42b1-a8ff-392376825d46	32fbe9a5-22f3-4489-ba38-abec27666626	CRAC
3426b72b-7ba3-42b1-a8ff-392376825d46	31b8ba22-8f61-4e53-bba0-2a04f49c9f68	CRAC_WITHOUT_FAN
3426b72b-7ba3-42b1-a8ff-392376825d46	b0432e1e-ca2c-41cc-b678-48b9f148957d	CRAC_FAN
3426b72b-7ba3-42b1-a8ff-392376825d46	d8be2d00-ce74-416e-bf69-d00ea983c95c	CHILLER
3426b72b-7ba3-42b1-a8ff-392376825d46	ce411188-ad44-4624-b578-22d436251b72	AIR_COOLED_CHILLER
3426b72b-7ba3-42b1-a8ff-392376825d46	c2213201-e37c-48a4-a512-a3dd554e4580	COOLING_TOWER
3426b72b-7ba3-42b1-a8ff-392376825d46	eb5649af-d80f-422e-8622-c84f2daa246a	DRY_COOLER
3426b72b-7ba3-42b1-a8ff-392376825d46	a7b7c872-abd5-4463-a183-f40cc53167cc	REMOTE_CONDENSER
3426b72b-7ba3-42b1-a8ff-392376825d46	fe7dd666-0b4c-418d-8c41-c95a956629a5	CHILLED_WATER_PUMPS
3426b72b-7ba3-42b1-a8ff-392376825d46	b2ec8410-26bd-4395-be8d-38ce297fc923	HEAT_REJECTION_PUMPS
3426b72b-7ba3-42b1-a8ff-392376825d46	af539fec-74d8-4c20-927b-a2416bb5c632	VENTILATION
3426b72b-7ba3-42b1-a8ff-392376825d46	1985c8f2-e1c5-4925-85d5-05a8d6dc6f97	INFILTRATION
3426b72b-7ba3-42b1-a8ff-392376825d46	e54b55ed-986c-4d5d-8996-59a3cda61fd6	IT_LOAD
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	e37d78a0-d3b0-45cd-bc23-9b910a54fa52	SWITCHGEAR
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	817f9f95-7506-4515-a7cb-fc61ecc2ed80	GENERATOR
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	06c59db6-a8d6-46b8-9844-19df84c34a15	PRIMARY_AUXILIARIES
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	d2f8f51a-5544-4ccb-80fe-2410ca2e31d1	UPS
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	3e0103c8-22de-4788-b4cc-b05019a22ec3	CRITICAL_AUXILIARIES
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	c3cbf970-ad27-41a9-a0e8-06e1157952a7	LIGHTING
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	9ea0125b-5f8d-44dd-95dd-9f9b40b16539	CRITICAL_POWER_DISTRIBUTION
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	82d1d9a3-91e4-4050-b448-16e31414887a	CRAH
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	3189dfa3-8a08-49e4-806a-2ebccde08a98	CRAC
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	36776424-1e1a-484c-80be-dffc2ecbd2ad	CRAC_WITHOUT_FAN
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	aef37bba-a8fd-44aa-8f29-43f099e32048	CRAC_FAN
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	5871f8c2-e44c-44e2-b7dd-f598588c8593	CHILLER
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	34b345c0-8f19-4727-bdb3-f2502ff0862a	AIR_COOLED_CHILLER
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	a78f6fc2-f48b-4bc4-8f67-654fe553d04d	COOLING_TOWER
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	eeb58987-b6e0-4b5b-ad8f-4effaad82f42	DRY_COOLER
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	3f5e3b13-3838-436a-b947-c37e0af5fc7b	REMOTE_CONDENSER
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	51db65ba-2d94-4c1e-a487-42acd911fa79	CHILLED_WATER_PUMPS
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	7768be83-fa9c-4c97-89c6-5feebb1a8436	HEAT_REJECTION_PUMPS
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	c2e6ed72-8a15-4579-b7aa-9540dac6afe6	VENTILATION
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	0e05b32e-e302-4d3d-bad9-e2fc691d2c68	INFILTRATION
370083c3-2c50-4e3f-9838-5b3f9c7d41f6	fed17891-ed2a-468e-bfd1-c1d7b867a72f	IT_LOAD
b8842344-9428-4806-84e3-466aff2977b7	cf6a2648-429d-4ba2-8a1e-4ab92ae2ed31	SWITCHGEAR
b8842344-9428-4806-84e3-466aff2977b7	b4dee1f7-529a-4829-ba7b-7e068428ddc6	GENERATOR
b8842344-9428-4806-84e3-466aff2977b7	3f1da568-b4ec-4ff4-9e96-d4e8732fe018	PRIMARY_AUXILIARIES
b8842344-9428-4806-84e3-466aff2977b7	7d6a7870-8461-4f1a-9a93-1ec9ffbad8a6	UPS
b8842344-9428-4806-84e3-466aff2977b7	75bb8c05-1773-4de4-8267-7231debd0c01	CRITICAL_AUXILIARIES
b8842344-9428-4806-84e3-466aff2977b7	5f220d30-232d-4092-96e1-1baade2051b2	LIGHTING
b8842344-9428-4806-84e3-466aff2977b7	b0135394-5b24-4673-9f27-fc73a9bb3a8f	CRITICAL_POWER_DISTRIBUTION
b8842344-9428-4806-84e3-466aff2977b7	8b73bd00-8279-4826-ae80-aad7f84d6470	CRAH
b8842344-9428-4806-84e3-466aff2977b7	86274fc6-4077-417e-9968-c536f6e6403e	CRAC
b8842344-9428-4806-84e3-466aff2977b7	4cd422cf-e390-4b53-916b-a2bed3d76a09	CRAC_WITHOUT_FAN
b8842344-9428-4806-84e3-466aff2977b7	382cd8a7-7234-4ac0-b3be-833ab912681f	CRAC_FAN
b8842344-9428-4806-84e3-466aff2977b7	87fcb3f3-a80a-495f-8c5c-1f92a1fb6a9c	CHILLER
b8842344-9428-4806-84e3-466aff2977b7	83112455-eff8-4ffd-8e98-8f0b40258f75	AIR_COOLED_CHILLER
b8842344-9428-4806-84e3-466aff2977b7	3ac1867e-060f-4354-9783-0ffdfd1fefa3	COOLING_TOWER
b8842344-9428-4806-84e3-466aff2977b7	6216eeb6-d703-47cd-aade-78c59ce47bf0	DRY_COOLER
b8842344-9428-4806-84e3-466aff2977b7	56a98363-b9bd-45f7-ae7c-639613c58263	REMOTE_CONDENSER
b8842344-9428-4806-84e3-466aff2977b7	f2caeac3-8f31-4e5e-93f4-5624c9aa8d76	CHILLED_WATER_PUMPS
b8842344-9428-4806-84e3-466aff2977b7	b9a30cb5-0289-48f4-9ed2-766db5a5584a	HEAT_REJECTION_PUMPS
b8842344-9428-4806-84e3-466aff2977b7	77959762-c88e-4201-a0f1-7c0656124ae7	VENTILATION
b8842344-9428-4806-84e3-466aff2977b7	66c59990-a5dd-4a74-8db2-ba75daeedbb8	INFILTRATION
b8842344-9428-4806-84e3-466aff2977b7	0aa3a55a-56b0-40e6-bdd7-3d79195a84a2	IT_LOAD
f5394e32-cf86-494d-84cc-89b63de42968	c94462cd-4cb1-4368-9bf4-d1c5871bcd1e	SWITCHGEAR
f5394e32-cf86-494d-84cc-89b63de42968	a605c5d0-b7a0-4224-8bb2-bbc9dfef55f4	GENERATOR
f5394e32-cf86-494d-84cc-89b63de42968	d98a0f95-3b67-42ee-ae44-ad87238ad8e5	PRIMARY_AUXILIARIES
f5394e32-cf86-494d-84cc-89b63de42968	198595a6-4f7b-4aa0-b2a2-41f82773d92d	UPS
f5394e32-cf86-494d-84cc-89b63de42968	da2383ae-fe42-4d2b-b354-b41bae1b47eb	CRITICAL_AUXILIARIES
f5394e32-cf86-494d-84cc-89b63de42968	4206f56f-886f-4c14-b9ab-9b60dcd3fc78	LIGHTING
f5394e32-cf86-494d-84cc-89b63de42968	fe0d93fe-8aa6-4081-be4a-ed7d95ffde39	CRITICAL_POWER_DISTRIBUTION
f5394e32-cf86-494d-84cc-89b63de42968	4472134e-d3f6-4a99-bd91-5da4688cd6a9	CRAH
f5394e32-cf86-494d-84cc-89b63de42968	2036de2f-a91e-488f-98db-3048bcf34769	CRAC
f5394e32-cf86-494d-84cc-89b63de42968	85e29a80-f1b4-42af-9cd5-d4196180d71b	CRAC_WITHOUT_FAN
f5394e32-cf86-494d-84cc-89b63de42968	109b9b46-bd71-4b64-b871-29886a9ef635	CRAC_FAN
f5394e32-cf86-494d-84cc-89b63de42968	a1c212df-29ab-429e-bfa2-ea914c93c0b0	CHILLER
f5394e32-cf86-494d-84cc-89b63de42968	542a434d-6ec7-4b25-a68f-0f6f63724e7c	AIR_COOLED_CHILLER
f5394e32-cf86-494d-84cc-89b63de42968	79dc51f1-4527-4de6-bbd8-76a77298cdbc	COOLING_TOWER
f5394e32-cf86-494d-84cc-89b63de42968	db0a6343-51db-4051-8304-06aba465bdb5	DRY_COOLER
f5394e32-cf86-494d-84cc-89b63de42968	aa4197f0-e326-4142-a0b3-17e41cf4de52	REMOTE_CONDENSER
f5394e32-cf86-494d-84cc-89b63de42968	b4a3abe4-b639-469d-b7c1-b510e29b4500	CHILLED_WATER_PUMPS
f5394e32-cf86-494d-84cc-89b63de42968	e4ebe947-4de6-44e8-9ead-764c09f64920	HEAT_REJECTION_PUMPS
f5394e32-cf86-494d-84cc-89b63de42968	8e6607eb-89bd-4b47-8b11-bc6e09c2de9f	VENTILATION
f5394e32-cf86-494d-84cc-89b63de42968	d784235c-d938-4123-af40-8e60c6099c43	INFILTRATION
f5394e32-cf86-494d-84cc-89b63de42968	4f40a323-86b7-4638-90bc-61841e18ffdb	IT_LOAD
3fac8157-32f0-4e16-8b16-b55b714cc7fb	7ed28256-65e4-4afe-ab98-b270e0dd7538	SWITCHGEAR
3fac8157-32f0-4e16-8b16-b55b714cc7fb	a514cbe9-1db0-407e-bc79-f1039f1da61a	GENERATOR
3fac8157-32f0-4e16-8b16-b55b714cc7fb	9a4e1d25-8892-4f2c-b83a-91040cdb39df	PRIMARY_AUXILIARIES
3fac8157-32f0-4e16-8b16-b55b714cc7fb	01e8b688-ef83-42b7-8322-c7138d740ad1	UPS
3fac8157-32f0-4e16-8b16-b55b714cc7fb	cb732db4-200a-4c1f-895c-776053fdace3	CRITICAL_AUXILIARIES
3fac8157-32f0-4e16-8b16-b55b714cc7fb	bbf96c29-274b-4425-a2e3-0a9c2a9e1e01	LIGHTING
3fac8157-32f0-4e16-8b16-b55b714cc7fb	8db0ae30-b4a8-4d3c-b657-64bbf164dd1d	CRITICAL_POWER_DISTRIBUTION
3fac8157-32f0-4e16-8b16-b55b714cc7fb	56598125-732d-4a3b-873c-fcf33c19f898	CRAH
3fac8157-32f0-4e16-8b16-b55b714cc7fb	7f407c77-8fbe-40b1-b412-915ea6ffe7fd	CRAC
3fac8157-32f0-4e16-8b16-b55b714cc7fb	3104ed21-71fa-41d2-93ce-ddbf1d6ba8fd	CRAC_WITHOUT_FAN
3fac8157-32f0-4e16-8b16-b55b714cc7fb	7a10db0c-7905-4f62-946c-d91a35a703d6	CRAC_FAN
3fac8157-32f0-4e16-8b16-b55b714cc7fb	fa29f8ae-9057-4b28-b666-5e61788c0a82	CHILLER
3fac8157-32f0-4e16-8b16-b55b714cc7fb	6b29399d-82e0-45fe-b59c-e046ee579387	AIR_COOLED_CHILLER
3fac8157-32f0-4e16-8b16-b55b714cc7fb	8d56ab2b-1071-4897-9a3c-d90bdb29b0b9	COOLING_TOWER
3fac8157-32f0-4e16-8b16-b55b714cc7fb	413e545f-6975-42e7-95c4-cc705a80149c	DRY_COOLER
3fac8157-32f0-4e16-8b16-b55b714cc7fb	0e1117f1-bb32-4942-9c55-85ae0790bd39	REMOTE_CONDENSER
3fac8157-32f0-4e16-8b16-b55b714cc7fb	d49f249c-1d87-44cd-81fa-e9281ff46326	CHILLED_WATER_PUMPS
3fac8157-32f0-4e16-8b16-b55b714cc7fb	2f9fac73-000a-467f-b18f-22b54d969f34	HEAT_REJECTION_PUMPS
3fac8157-32f0-4e16-8b16-b55b714cc7fb	d746d6d3-300d-41f5-b05f-1ccd3a102bad	VENTILATION
3fac8157-32f0-4e16-8b16-b55b714cc7fb	d7b76c4d-61e2-4469-8771-5db6f511f268	INFILTRATION
3fac8157-32f0-4e16-8b16-b55b714cc7fb	b75b8bf9-87a2-4bf2-9508-5572937cff6c	IT_LOAD
58686377-c40f-4ecd-a7e5-02fd91bc9368	935b2a45-ade0-43f1-8076-edf10b8cd177	SWITCHGEAR
58686377-c40f-4ecd-a7e5-02fd91bc9368	2bddd49e-a8b7-4064-be50-e47e51e16f63	GENERATOR
58686377-c40f-4ecd-a7e5-02fd91bc9368	b9dcbb34-4e5d-46e7-b2e8-4abe7ef1ea28	PRIMARY_AUXILIARIES
58686377-c40f-4ecd-a7e5-02fd91bc9368	c796b64f-39b3-4e7b-b564-5d3c9ad1f84a	UPS
58686377-c40f-4ecd-a7e5-02fd91bc9368	e44b7e7c-5401-4b7c-874b-326ff615df84	CRITICAL_AUXILIARIES
58686377-c40f-4ecd-a7e5-02fd91bc9368	564fb7a0-c723-41ab-b72b-0bc83a65f0f5	LIGHTING
58686377-c40f-4ecd-a7e5-02fd91bc9368	abf219eb-515a-4425-86bb-b797cb1a4d73	CRITICAL_POWER_DISTRIBUTION
58686377-c40f-4ecd-a7e5-02fd91bc9368	c350d7e5-7494-40fb-88d5-cd16e2fc087b	CRAH
58686377-c40f-4ecd-a7e5-02fd91bc9368	633ee2cb-f405-4843-835b-da849886472b	CRAC
58686377-c40f-4ecd-a7e5-02fd91bc9368	1b23d136-4221-40a6-a721-3f6cec500094	CRAC_WITHOUT_FAN
58686377-c40f-4ecd-a7e5-02fd91bc9368	567bb3f7-b1be-4e6a-bddf-67d2f7f1aefd	CRAC_FAN
58686377-c40f-4ecd-a7e5-02fd91bc9368	eed42cd1-540a-47d6-b3dc-7d0273151871	CHILLER
58686377-c40f-4ecd-a7e5-02fd91bc9368	3042e04a-9f58-4b15-a924-df4588e2d3cf	AIR_COOLED_CHILLER
58686377-c40f-4ecd-a7e5-02fd91bc9368	1cd151cf-ff71-49ad-9edf-7626224d517d	COOLING_TOWER
58686377-c40f-4ecd-a7e5-02fd91bc9368	51e0fdf8-de60-49e6-a4b8-31e386309e03	DRY_COOLER
58686377-c40f-4ecd-a7e5-02fd91bc9368	5f165b73-5899-4359-999a-20ad8c5adfac	REMOTE_CONDENSER
58686377-c40f-4ecd-a7e5-02fd91bc9368	d984ffed-e0cd-4f82-9c06-b716a2a714f5	CHILLED_WATER_PUMPS
58686377-c40f-4ecd-a7e5-02fd91bc9368	b89974f4-7e53-4fbf-aa6a-01165e098925	HEAT_REJECTION_PUMPS
58686377-c40f-4ecd-a7e5-02fd91bc9368	e6898106-69f0-4bb3-a3fc-293e71cd427c	VENTILATION
58686377-c40f-4ecd-a7e5-02fd91bc9368	8690d09e-b44e-43f5-9f7c-9f99851b1da7	INFILTRATION
58686377-c40f-4ecd-a7e5-02fd91bc9368	a6fa05e7-4c49-44d1-b3e9-21b10bc8023f	IT_LOAD
1dcc8461-0a0d-456a-929e-52745f4ef532	4860957e-5142-4291-9622-2513a0c4923b	SWITCHGEAR
1dcc8461-0a0d-456a-929e-52745f4ef532	7ef9d3e2-1847-46f2-87f1-8681577629c4	GENERATOR
1dcc8461-0a0d-456a-929e-52745f4ef532	d03064c0-9f69-46e3-bc74-49bad809f76c	PRIMARY_AUXILIARIES
1dcc8461-0a0d-456a-929e-52745f4ef532	a36ea77b-1da1-445a-8503-9f7408c92c08	UPS
1dcc8461-0a0d-456a-929e-52745f4ef532	0030531a-c9ee-41f7-9aea-a8f9d511a062	CRITICAL_AUXILIARIES
1dcc8461-0a0d-456a-929e-52745f4ef532	6df35c98-986b-4845-8eab-6cf5324169a9	LIGHTING
1dcc8461-0a0d-456a-929e-52745f4ef532	ea7ff1fb-0ac0-4ec0-b403-e03784dda4f2	CRITICAL_POWER_DISTRIBUTION
1dcc8461-0a0d-456a-929e-52745f4ef532	ded3883e-fed0-4ac0-aaa4-f9a2b0d21d23	CRAH
1dcc8461-0a0d-456a-929e-52745f4ef532	1e3648c6-58f5-4b57-bee5-644cf918702c	CRAC
1dcc8461-0a0d-456a-929e-52745f4ef532	c68642ad-2619-45ee-9d89-382a5dc987b5	CRAC_WITHOUT_FAN
1dcc8461-0a0d-456a-929e-52745f4ef532	2de3b55a-07e5-4bbd-b6b9-0b973ab5184d	CRAC_FAN
1dcc8461-0a0d-456a-929e-52745f4ef532	5a2a6a64-fbc0-4a68-b0ad-89217ad18d36	CHILLER
1dcc8461-0a0d-456a-929e-52745f4ef532	09230c71-1841-4c1b-87e1-f95332a6eb3b	AIR_COOLED_CHILLER
1dcc8461-0a0d-456a-929e-52745f4ef532	93256e5f-ca91-4883-bd1d-0e864c071473	COOLING_TOWER
1dcc8461-0a0d-456a-929e-52745f4ef532	6d1a06e1-77ab-4547-a112-39cc43e1877c	DRY_COOLER
1dcc8461-0a0d-456a-929e-52745f4ef532	a929ec37-bd1c-46fb-887d-07305d209c20	REMOTE_CONDENSER
1dcc8461-0a0d-456a-929e-52745f4ef532	2845f845-ead5-430e-bb97-65205be2d1f8	CHILLED_WATER_PUMPS
1dcc8461-0a0d-456a-929e-52745f4ef532	c2c1b76c-cc4f-4a08-b110-8f39824b7e53	HEAT_REJECTION_PUMPS
1dcc8461-0a0d-456a-929e-52745f4ef532	27fd0825-9301-4ce1-a580-c518ea7b2fe3	VENTILATION
1dcc8461-0a0d-456a-929e-52745f4ef532	08d2fdf4-a38d-4da9-a2ac-0cd1d4fba709	INFILTRATION
1dcc8461-0a0d-456a-929e-52745f4ef532	2e57cd95-1e10-460c-9274-7acb3f5f9b2c	IT_LOAD
dce77b03-4669-49a3-a753-83c3b8bd89eb	199ad9d8-306b-42db-9e32-7deecca88597	SWITCHGEAR
dce77b03-4669-49a3-a753-83c3b8bd89eb	714afe36-5971-4053-9099-927d16e2cf19	GENERATOR
dce77b03-4669-49a3-a753-83c3b8bd89eb	5c7de096-8781-4449-93cd-232b05dbe5a7	PRIMARY_AUXILIARIES
dce77b03-4669-49a3-a753-83c3b8bd89eb	c9e8b75c-69b4-43d5-9177-446c88103113	UPS
dce77b03-4669-49a3-a753-83c3b8bd89eb	ba31fbee-881c-4c9a-9611-334f28583124	CRITICAL_AUXILIARIES
dce77b03-4669-49a3-a753-83c3b8bd89eb	d9d419ac-43b0-49e1-b025-6d3222ff9586	LIGHTING
dce77b03-4669-49a3-a753-83c3b8bd89eb	67fe53f9-0d6e-432f-81e9-f86074ca4d86	CRITICAL_POWER_DISTRIBUTION
dce77b03-4669-49a3-a753-83c3b8bd89eb	a52a2a55-b15b-4490-8a8a-19f761a9fb13	CRAH
dce77b03-4669-49a3-a753-83c3b8bd89eb	21bbd70d-cbc3-459f-a131-2806da21165e	CRAC
dce77b03-4669-49a3-a753-83c3b8bd89eb	169f4fe5-3b9b-461c-9889-84643eaa5e1d	CRAC_WITHOUT_FAN
dce77b03-4669-49a3-a753-83c3b8bd89eb	907063a2-05f3-4ca9-8282-7a9a2aef15de	CRAC_FAN
dce77b03-4669-49a3-a753-83c3b8bd89eb	dacad67f-054a-4be0-9325-cc5a8be88cce	CHILLER
dce77b03-4669-49a3-a753-83c3b8bd89eb	e963d366-708d-4841-9ded-9cfb1456809c	AIR_COOLED_CHILLER
dce77b03-4669-49a3-a753-83c3b8bd89eb	8f90b9e3-2737-4124-8911-960b1b02c994	COOLING_TOWER
dce77b03-4669-49a3-a753-83c3b8bd89eb	896dec75-763c-422d-8c35-34ff35ef20a3	DRY_COOLER
dce77b03-4669-49a3-a753-83c3b8bd89eb	fc347dc1-c1e5-446a-86f0-1748111ad583	REMOTE_CONDENSER
dce77b03-4669-49a3-a753-83c3b8bd89eb	30dfee85-3381-4ec7-8c21-7ac82e046140	CHILLED_WATER_PUMPS
dce77b03-4669-49a3-a753-83c3b8bd89eb	1e96cb09-f300-48c5-889c-bbcb9ceed1ea	HEAT_REJECTION_PUMPS
dce77b03-4669-49a3-a753-83c3b8bd89eb	df8d859b-5128-44d8-aa76-cb45a54fb050	VENTILATION
dce77b03-4669-49a3-a753-83c3b8bd89eb	c8863954-70a9-44a7-be4e-771e3d6d075f	INFILTRATION
dce77b03-4669-49a3-a753-83c3b8bd89eb	1565879a-315c-4fe4-92fa-f7af4b9bb55a	IT_LOAD
01037435-647b-4b1f-b1b0-b7d7777ce862	342e5950-98c2-4bd3-8e11-6aae71fbb343	SWITCHGEAR
01037435-647b-4b1f-b1b0-b7d7777ce862	3ed11fed-7dfe-4718-a16f-19e89f565f84	GENERATOR
01037435-647b-4b1f-b1b0-b7d7777ce862	bc847685-6061-4f58-a6ac-fbee241b0b45	PRIMARY_AUXILIARIES
01037435-647b-4b1f-b1b0-b7d7777ce862	1f9a40f9-e46f-497e-a4aa-a605e3aa824c	UPS
01037435-647b-4b1f-b1b0-b7d7777ce862	2c5ef712-e6c6-44d4-8222-8ac7213ede11	CRITICAL_AUXILIARIES
01037435-647b-4b1f-b1b0-b7d7777ce862	6394f60b-2ca1-4b53-8194-57a6ff877677	LIGHTING
01037435-647b-4b1f-b1b0-b7d7777ce862	795fb630-4f32-413f-8aba-dd714916c07c	CRITICAL_POWER_DISTRIBUTION
01037435-647b-4b1f-b1b0-b7d7777ce862	aaf5f0fc-7695-4ec1-90f2-b20c92612c8b	CRAH
01037435-647b-4b1f-b1b0-b7d7777ce862	6390a51e-e7be-45e6-abbd-3d7213f12208	CRAC
01037435-647b-4b1f-b1b0-b7d7777ce862	edf3f9d9-8264-4457-803f-f04d772dd0ed	CRAC_WITHOUT_FAN
01037435-647b-4b1f-b1b0-b7d7777ce862	b99b01e1-a16f-4e70-bb40-d8a95914f761	CRAC_FAN
01037435-647b-4b1f-b1b0-b7d7777ce862	88b999db-d367-4d61-b706-4d3797fdba54	CHILLER
01037435-647b-4b1f-b1b0-b7d7777ce862	6fe79360-1fba-4d18-8270-2f1de99a5b42	AIR_COOLED_CHILLER
01037435-647b-4b1f-b1b0-b7d7777ce862	a7fbcbd5-d84d-4561-9c42-53f808c2ec5f	COOLING_TOWER
01037435-647b-4b1f-b1b0-b7d7777ce862	b76b6cd6-5adb-49cf-8b5f-0dbe1851b4ef	DRY_COOLER
01037435-647b-4b1f-b1b0-b7d7777ce862	b9fdad08-bc9e-477d-9860-eb30f77c5a39	REMOTE_CONDENSER
01037435-647b-4b1f-b1b0-b7d7777ce862	10d2b82e-9237-4a46-8f7d-c78b5e0d1a8c	CHILLED_WATER_PUMPS
01037435-647b-4b1f-b1b0-b7d7777ce862	e8c3343d-4c63-4b75-a74e-f3f584d75285	HEAT_REJECTION_PUMPS
01037435-647b-4b1f-b1b0-b7d7777ce862	e55b51be-9f67-4063-a847-a1453f1e8da2	VENTILATION
01037435-647b-4b1f-b1b0-b7d7777ce862	6aa38207-aa6f-4eb7-9dbf-b26ea8cd2c7a	INFILTRATION
01037435-647b-4b1f-b1b0-b7d7777ce862	74420942-cc15-4126-b0ac-e29e52bb7a65	IT_LOAD
c2e924b7-679b-453c-bb9e-590a04c207b3	6a1b323f-50f3-4dc4-88dd-309ef83445f0	SWITCHGEAR
c2e924b7-679b-453c-bb9e-590a04c207b3	5d062e39-7128-4410-ae4d-f1dfffd94b5a	GENERATOR
c2e924b7-679b-453c-bb9e-590a04c207b3	ac9f5428-83d4-4f57-b6c9-92ed07740a71	PRIMARY_AUXILIARIES
c2e924b7-679b-453c-bb9e-590a04c207b3	8c40f452-f982-4d94-a392-777a3800baf6	UPS
c2e924b7-679b-453c-bb9e-590a04c207b3	9ac75e14-a123-42bc-a453-2780d74ec0c3	CRITICAL_AUXILIARIES
c2e924b7-679b-453c-bb9e-590a04c207b3	74158bdb-509a-4fc6-ab3e-83ed9011eeeb	LIGHTING
c2e924b7-679b-453c-bb9e-590a04c207b3	b9100e42-5f45-424e-8a5e-7460d5de9975	CRITICAL_POWER_DISTRIBUTION
c2e924b7-679b-453c-bb9e-590a04c207b3	6c98a282-eb42-4f6d-bcd2-e5ba7fc005b1	CRAH
c2e924b7-679b-453c-bb9e-590a04c207b3	b2a3064f-b9ca-47af-9aa7-5345173f4df6	CRAC
c2e924b7-679b-453c-bb9e-590a04c207b3	6bd0091f-f411-410c-a8b7-557829ccc7c3	CRAC_WITHOUT_FAN
c2e924b7-679b-453c-bb9e-590a04c207b3	8bcb6b8f-eb12-45e0-a281-fb7c350c0f11	CRAC_FAN
c2e924b7-679b-453c-bb9e-590a04c207b3	aac44bed-d032-4dfc-a0c9-6ca7bb350986	CHILLER
c2e924b7-679b-453c-bb9e-590a04c207b3	5709321f-285b-4ba3-a8af-1ce666b65b24	AIR_COOLED_CHILLER
c2e924b7-679b-453c-bb9e-590a04c207b3	134dd97c-4d69-4bd5-a601-8450cee0d605	COOLING_TOWER
c2e924b7-679b-453c-bb9e-590a04c207b3	69f37bbf-6f86-4e93-b306-28ac64876bd6	DRY_COOLER
c2e924b7-679b-453c-bb9e-590a04c207b3	882c26f4-bafb-456f-986e-6ca265fce1ab	REMOTE_CONDENSER
c2e924b7-679b-453c-bb9e-590a04c207b3	f5315d50-da52-44b9-a2dd-d61c8aed5ca0	CHILLED_WATER_PUMPS
c2e924b7-679b-453c-bb9e-590a04c207b3	a536dab1-1376-47fc-b9be-5ab56d097cf0	HEAT_REJECTION_PUMPS
c2e924b7-679b-453c-bb9e-590a04c207b3	a8de608f-e475-4670-9326-028d464f7654	VENTILATION
c2e924b7-679b-453c-bb9e-590a04c207b3	e302841a-f1c0-4558-9ec4-aaa5459a84a4	INFILTRATION
c2e924b7-679b-453c-bb9e-590a04c207b3	e71eaa85-dc6f-4ec3-802e-90ba8b6d3952	IT_LOAD
2a7b0327-5db3-4c8b-8012-adb828422e91	c65d02ee-064c-406f-86dd-86f900d84867	SWITCHGEAR
2a7b0327-5db3-4c8b-8012-adb828422e91	c07d1b7d-c315-4f6b-993d-4d3d3973b3e2	GENERATOR
2a7b0327-5db3-4c8b-8012-adb828422e91	4969f660-901d-4fd8-a283-c273db748b27	PRIMARY_AUXILIARIES
2a7b0327-5db3-4c8b-8012-adb828422e91	05faeefe-dae5-43d3-9ecb-550b782a4d22	UPS
2a7b0327-5db3-4c8b-8012-adb828422e91	5c1f347e-5bb8-4b28-a760-09e9ca8bde2d	CRITICAL_AUXILIARIES
2a7b0327-5db3-4c8b-8012-adb828422e91	d95fb403-ffda-4ebc-8ead-e5b68188c166	LIGHTING
2a7b0327-5db3-4c8b-8012-adb828422e91	e3a85b5a-76c5-4aca-b79f-4ec881123947	CRITICAL_POWER_DISTRIBUTION
2a7b0327-5db3-4c8b-8012-adb828422e91	8b7f6312-a32c-41b1-af08-68b98dbb87e8	CRAH
2a7b0327-5db3-4c8b-8012-adb828422e91	2f6bf254-a78a-4d62-ab3e-447782ab9e4a	CRAC
2a7b0327-5db3-4c8b-8012-adb828422e91	d9cf79fd-dd3b-43f6-ae69-4e7d1a764672	CRAC_WITHOUT_FAN
2a7b0327-5db3-4c8b-8012-adb828422e91	e62bbd55-899d-4802-89f0-10ef6408fc4c	CRAC_FAN
2a7b0327-5db3-4c8b-8012-adb828422e91	8e546b81-72eb-46fb-8411-d080351c15c0	CHILLER
2a7b0327-5db3-4c8b-8012-adb828422e91	c7b5659a-236f-4c29-8492-2fcc2703e649	AIR_COOLED_CHILLER
2a7b0327-5db3-4c8b-8012-adb828422e91	868f2eaa-a80b-42b4-9682-d7a21efc46e2	COOLING_TOWER
2a7b0327-5db3-4c8b-8012-adb828422e91	dca91157-9ce5-4a95-8e3e-88294449d0cc	DRY_COOLER
2a7b0327-5db3-4c8b-8012-adb828422e91	e3e572ac-5013-40bc-8dc1-19017d315d4c	REMOTE_CONDENSER
2a7b0327-5db3-4c8b-8012-adb828422e91	d3949afc-86df-4c3c-b42d-872e618c16b2	CHILLED_WATER_PUMPS
2a7b0327-5db3-4c8b-8012-adb828422e91	95214729-7b2e-4861-9d3a-73e7ff70958c	HEAT_REJECTION_PUMPS
2a7b0327-5db3-4c8b-8012-adb828422e91	5c4f9363-c837-454a-a8c7-731758631540	VENTILATION
2a7b0327-5db3-4c8b-8012-adb828422e91	923de1fb-0fdb-476c-8e17-0d5854b50ffc	INFILTRATION
2a7b0327-5db3-4c8b-8012-adb828422e91	40e8283e-f452-4c22-a1e1-0a5b539afaf4	IT_LOAD
3e2cfd3b-5467-42f7-a543-141b95f8876f	71db7d92-515d-492c-b3c9-19cbeb24119a	SWITCHGEAR
3e2cfd3b-5467-42f7-a543-141b95f8876f	8036919f-c065-4834-905e-05da406cf91d	GENERATOR
3e2cfd3b-5467-42f7-a543-141b95f8876f	cada7c35-43fd-44e7-87ef-c33fc455996e	PRIMARY_AUXILIARIES
3e2cfd3b-5467-42f7-a543-141b95f8876f	3a568e59-b868-4be5-9cb5-7d0e2019ead3	UPS
3e2cfd3b-5467-42f7-a543-141b95f8876f	c4fafc1d-01d9-4295-8de6-a748356227bc	CRITICAL_AUXILIARIES
3e2cfd3b-5467-42f7-a543-141b95f8876f	d5f9f0b3-8bab-47f5-b5d9-126986d56b51	LIGHTING
3e2cfd3b-5467-42f7-a543-141b95f8876f	fbd558cb-8242-476a-b0e7-b9e0415b268c	CRITICAL_POWER_DISTRIBUTION
3e2cfd3b-5467-42f7-a543-141b95f8876f	bec5de62-bdc0-4a79-b15f-b7226ac98492	CRAH
3e2cfd3b-5467-42f7-a543-141b95f8876f	ce6f139f-20a4-45f2-8db6-477e708bec93	CRAC
3e2cfd3b-5467-42f7-a543-141b95f8876f	f3d9462c-7559-4936-8378-bea23c203860	CRAC_WITHOUT_FAN
3e2cfd3b-5467-42f7-a543-141b95f8876f	2bcbc8f9-d7e4-469a-9715-ed90f1d78856	CRAC_FAN
3e2cfd3b-5467-42f7-a543-141b95f8876f	5628c47b-6ebe-4b2f-90a6-3229469c336a	CHILLER
3e2cfd3b-5467-42f7-a543-141b95f8876f	3dbc9d9b-419e-4c87-89e8-5dbf2b7bf9e9	AIR_COOLED_CHILLER
3e2cfd3b-5467-42f7-a543-141b95f8876f	ac3476ea-d328-41d3-b837-4fc8c6000df7	COOLING_TOWER
3e2cfd3b-5467-42f7-a543-141b95f8876f	e67c2edc-98c2-4668-94ca-c62766cff4ca	DRY_COOLER
3e2cfd3b-5467-42f7-a543-141b95f8876f	123aea0c-b931-4047-8507-794a83af3502	REMOTE_CONDENSER
3e2cfd3b-5467-42f7-a543-141b95f8876f	7d613289-69a5-4b6d-b987-a1490098bee0	CHILLED_WATER_PUMPS
3e2cfd3b-5467-42f7-a543-141b95f8876f	a17f26ff-66cf-4472-8213-46bb46f10494	HEAT_REJECTION_PUMPS
3e2cfd3b-5467-42f7-a543-141b95f8876f	bc41a816-89ea-4bc4-a1df-168915a6cc98	VENTILATION
3e2cfd3b-5467-42f7-a543-141b95f8876f	9de676bc-0837-43b4-8cbe-dc372f6e0533	INFILTRATION
3e2cfd3b-5467-42f7-a543-141b95f8876f	7f57a3eb-0b8e-482b-9df9-bf9661761ddd	IT_LOAD
a12347af-d1a3-4ddf-b146-782b9550b62b	320ad8c0-574b-4bfc-873c-6064e13c3126	SWITCHGEAR
a12347af-d1a3-4ddf-b146-782b9550b62b	5d9edada-2bcf-4704-b222-4a7599143329	GENERATOR
a12347af-d1a3-4ddf-b146-782b9550b62b	e9d7ad3c-d562-4d32-a9a4-81c5ac8ad37a	PRIMARY_AUXILIARIES
a12347af-d1a3-4ddf-b146-782b9550b62b	101aaf3e-f955-428c-b9b3-12e10926ad61	UPS
a12347af-d1a3-4ddf-b146-782b9550b62b	2981675a-2a6d-47aa-886d-910d33f0c764	CRITICAL_AUXILIARIES
a12347af-d1a3-4ddf-b146-782b9550b62b	df678f5f-7f0e-4809-b6ab-cf23d880b469	LIGHTING
a12347af-d1a3-4ddf-b146-782b9550b62b	61a063ba-df4a-4fbf-ac05-5e988217f082	CRITICAL_POWER_DISTRIBUTION
a12347af-d1a3-4ddf-b146-782b9550b62b	3bc1c6fc-97af-4146-8161-58289b6e01c4	CRAH
a12347af-d1a3-4ddf-b146-782b9550b62b	c600333d-db8f-48e3-ac01-a3955e567c6a	CRAC
a12347af-d1a3-4ddf-b146-782b9550b62b	b60369a9-49b3-485d-bf9b-3a1cb46e7b95	CRAC_WITHOUT_FAN
a12347af-d1a3-4ddf-b146-782b9550b62b	4bbc94f4-5acb-4fa8-ac6c-03a7a5144be9	CRAC_FAN
a12347af-d1a3-4ddf-b146-782b9550b62b	734887d4-02bb-4ab8-9859-6e7b8691a8e9	CHILLER
a12347af-d1a3-4ddf-b146-782b9550b62b	c2ce701f-5a78-4f65-b2fb-745848209cc4	AIR_COOLED_CHILLER
a12347af-d1a3-4ddf-b146-782b9550b62b	97dd514a-6974-41a8-ad92-5e02450f975b	COOLING_TOWER
a12347af-d1a3-4ddf-b146-782b9550b62b	f0a56558-3770-469c-bf46-1381ec31b050	DRY_COOLER
a12347af-d1a3-4ddf-b146-782b9550b62b	b43f2a74-3277-46e7-962d-b82be00db5a5	REMOTE_CONDENSER
a12347af-d1a3-4ddf-b146-782b9550b62b	de187617-06a2-46bb-958e-c736191b14ce	CHILLED_WATER_PUMPS
a12347af-d1a3-4ddf-b146-782b9550b62b	22c5fa95-5512-4218-bfe2-2137f2be2b3e	HEAT_REJECTION_PUMPS
a12347af-d1a3-4ddf-b146-782b9550b62b	8a52d946-b0a5-4a37-9382-6ea50c0720a5	VENTILATION
a12347af-d1a3-4ddf-b146-782b9550b62b	09a8cd99-db9c-41d2-929d-c93027bf4521	INFILTRATION
a12347af-d1a3-4ddf-b146-782b9550b62b	f3d5aa56-086a-4b58-87af-b2c715a3eebb	IT_LOAD
7323883a-a0af-4a36-a14f-07f2689e4734	4337b1d4-1ecc-4a3e-8ac4-3cd3d1ee5082	SWITCHGEAR
7323883a-a0af-4a36-a14f-07f2689e4734	b9cbcce4-cc30-4d7d-9f0c-59dcb686fb5a	GENERATOR
7323883a-a0af-4a36-a14f-07f2689e4734	5d0539ae-2650-4e30-b221-5384d5c4e9fb	PRIMARY_AUXILIARIES
7323883a-a0af-4a36-a14f-07f2689e4734	20d9ef39-d169-43ff-a6a2-ffd9f8590acc	UPS
7323883a-a0af-4a36-a14f-07f2689e4734	0f87219f-17fa-4d6b-bd20-25622c4516a4	CRITICAL_AUXILIARIES
7323883a-a0af-4a36-a14f-07f2689e4734	85ad2280-3144-47fd-9cf4-7e7e2f05f101	LIGHTING
7323883a-a0af-4a36-a14f-07f2689e4734	7d7acb47-fc6a-430b-9f44-fa54353a07b4	CRITICAL_POWER_DISTRIBUTION
7323883a-a0af-4a36-a14f-07f2689e4734	2b5495c5-57a2-48e2-bf65-79e197b9b461	CRAH
7323883a-a0af-4a36-a14f-07f2689e4734	afd58ae5-34ec-4926-b1fa-c847d48c9a23	CRAC
7323883a-a0af-4a36-a14f-07f2689e4734	8ab2abc4-62ea-4575-9ee5-d9bcc28a960c	CRAC_WITHOUT_FAN
7323883a-a0af-4a36-a14f-07f2689e4734	9b12dbfd-28c4-443d-8c5f-df99001b0c20	CRAC_FAN
7323883a-a0af-4a36-a14f-07f2689e4734	40402020-fd4d-4500-86f0-a65befe6276a	CHILLER
7323883a-a0af-4a36-a14f-07f2689e4734	f5fbc878-4df7-4547-a50c-e06c113fc50a	AIR_COOLED_CHILLER
7323883a-a0af-4a36-a14f-07f2689e4734	4cae0c90-fbdc-4a6b-9420-ab158b0a7f91	COOLING_TOWER
7323883a-a0af-4a36-a14f-07f2689e4734	a72aecd8-53dd-46bb-90c7-7c7629b80990	DRY_COOLER
7323883a-a0af-4a36-a14f-07f2689e4734	4867b333-3a12-49ba-a99c-262afc49c872	REMOTE_CONDENSER
7323883a-a0af-4a36-a14f-07f2689e4734	e6ea410e-324d-4716-bcea-1dbaa3e90883	CHILLED_WATER_PUMPS
7323883a-a0af-4a36-a14f-07f2689e4734	56878cda-ba8d-4add-8092-99b530c3c2fe	HEAT_REJECTION_PUMPS
7323883a-a0af-4a36-a14f-07f2689e4734	e75b77cd-8d70-425f-840d-9d9b5577186b	VENTILATION
7323883a-a0af-4a36-a14f-07f2689e4734	e13737de-594f-4a3e-9872-b5d4779120c9	INFILTRATION
7323883a-a0af-4a36-a14f-07f2689e4734	028fc655-2996-45ac-95fc-d93347ad21c3	IT_LOAD
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	77860ad6-7781-4b42-b320-d4dfe3dff646	SWITCHGEAR
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	0d9c73b0-9c73-4916-82a2-56fb98ef5213	GENERATOR
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	a0e15a8a-1f7e-499f-a971-e833688ce508	PRIMARY_AUXILIARIES
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	9dcc61b8-0715-4258-9175-e22b27393854	UPS
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	8897e5ee-c754-4777-8e1a-c9b490742cd9	CRITICAL_AUXILIARIES
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	26945dd0-8f89-4132-a452-a9a6354e8857	LIGHTING
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	27095688-1466-4343-89eb-3ce9b44f77d0	CRITICAL_POWER_DISTRIBUTION
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	859e8116-509f-4bbc-b839-70569d62068f	CRAH
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	649e27bd-3eff-4325-8df2-d0dd89d12d39	CRAC
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	1f405d9b-b4d3-4a92-8bd0-496b348705a3	CRAC_WITHOUT_FAN
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	b061d2db-f45d-4a50-9055-b0aac181be00	CRAC_FAN
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	2de74b2e-cc9e-4928-a7ae-69cadf01ed36	CHILLER
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	731071bd-1778-4ac7-978c-f20e57a19295	AIR_COOLED_CHILLER
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	2882ba9a-e446-4ed1-83b0-bfcd07fa5ec6	COOLING_TOWER
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	50b5a90e-f459-4788-b1db-36c7c742cf8a	DRY_COOLER
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	3cfd5cfe-a8e6-4896-b887-d8dea1e06682	REMOTE_CONDENSER
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	4aad4a4b-3dbe-41bb-a523-f9681cf87242	CHILLED_WATER_PUMPS
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	c873fe3f-6496-4c58-bc9d-d23c08548f78	HEAT_REJECTION_PUMPS
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	44fae946-4ffe-4cda-a316-4cf467dc2957	VENTILATION
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	7dccc56f-d0d5-464c-b8ac-fa65b8f513c6	INFILTRATION
fcd6f5b6-04c8-4da5-b30d-2c2ac7783862	7cfd997d-4ba6-4673-ae93-268ce4331dc9	IT_LOAD
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	91fa7f06-b9bf-4720-ac4f-1bd139327901	SWITCHGEAR
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	d59f3b0a-7a10-42e6-8880-4815b1927e83	GENERATOR
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	0883608f-2dcf-4e9e-82ce-271a67e28a4b	PRIMARY_AUXILIARIES
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	c8714856-7851-4892-916b-16dbefde8b13	UPS
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	eefde63a-bfd3-44bb-9f4d-3a210021daf3	CRITICAL_AUXILIARIES
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	7da0f7d6-f903-4b36-bd72-f77939a23264	LIGHTING
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	eed1caf7-aa9d-4c5f-b6aa-9aa0466c69c3	CRITICAL_POWER_DISTRIBUTION
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	cb5df41f-6689-43da-bc34-5a4e00b622f1	CRAH
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	b4ac6e8b-b57e-4524-b0a9-d6fa33cb8067	CRAC
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	f7c31ef1-46fe-455b-8129-8fcf6ace3ab3	CRAC_WITHOUT_FAN
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	28ecd9ff-b747-4086-a2a0-9648c36480f3	CRAC_FAN
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	a3f5bb2b-942c-4e6c-8b03-0be57ea896f5	CHILLER
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	319e240c-c4e4-46e6-af47-2f002a0cd965	AIR_COOLED_CHILLER
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	647ca6a8-cdff-40c1-9ade-c80aa06ec208	COOLING_TOWER
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	71c15296-a2d5-465e-8d49-dd811ff81e5d	DRY_COOLER
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	fbebbcdf-55f7-43d5-ae5c-d1cf63ed64d6	REMOTE_CONDENSER
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	403346fa-c254-4661-8f09-e95b14603e65	CHILLED_WATER_PUMPS
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	f0bc1264-4c94-4ab7-aefb-00be74e08c25	HEAT_REJECTION_PUMPS
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	7416007c-edf5-4dae-98ee-e57f5c54ce79	VENTILATION
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	30a78cb0-5a0a-46fe-8908-4cbbbc4183e5	INFILTRATION
0eccfc68-a7e4-4743-9fcf-76bbbed78d23	80f1ebb5-244f-4aa2-8eb2-4187b0c0ed83	IT_LOAD
5a7ad931-37e1-433f-b782-34bb03571d96	b0f3fba1-5d3f-4814-b212-852642e19187	SWITCHGEAR
5a7ad931-37e1-433f-b782-34bb03571d96	2d04c40f-566e-4932-8c9f-8478db016bbf	GENERATOR
5a7ad931-37e1-433f-b782-34bb03571d96	fe532696-7e78-40d1-9581-48eb6c55c7f0	PRIMARY_AUXILIARIES
5a7ad931-37e1-433f-b782-34bb03571d96	18a97390-8aa8-40ad-a9a8-6d70c2a39746	UPS
5a7ad931-37e1-433f-b782-34bb03571d96	22012ed6-3a22-42ef-9fe7-fe59100fa2df	CRITICAL_AUXILIARIES
5a7ad931-37e1-433f-b782-34bb03571d96	44a80456-9ce1-47f1-8d1c-0b8f2b6bd443	LIGHTING
5a7ad931-37e1-433f-b782-34bb03571d96	ff24bf53-0f71-4283-b7b9-724b8487c6c5	CRITICAL_POWER_DISTRIBUTION
5a7ad931-37e1-433f-b782-34bb03571d96	7778541c-9b96-48c0-99e4-35d19387a8a1	CRAH
5a7ad931-37e1-433f-b782-34bb03571d96	d40a2306-f716-49b9-9265-aebc695e2e28	CRAC
5a7ad931-37e1-433f-b782-34bb03571d96	fd02388e-18b5-4fa5-8010-06f3c0f752b7	CRAC_WITHOUT_FAN
5a7ad931-37e1-433f-b782-34bb03571d96	0d870d1d-08e8-4279-b487-cc4fb24fe60d	CRAC_FAN
5a7ad931-37e1-433f-b782-34bb03571d96	5f5bd0e3-994d-4536-bdff-8cc5c1162325	CHILLER
5a7ad931-37e1-433f-b782-34bb03571d96	126709d7-544a-4805-a5c2-7079ed7519e8	AIR_COOLED_CHILLER
5a7ad931-37e1-433f-b782-34bb03571d96	b12ab1aa-2a55-4ca4-8d41-9f7ca366d12c	COOLING_TOWER
5a7ad931-37e1-433f-b782-34bb03571d96	4f12e9cf-70ad-4fab-a828-ede88bee4839	DRY_COOLER
5a7ad931-37e1-433f-b782-34bb03571d96	e2b8df0b-59f2-41b8-9f68-055fd91b1223	REMOTE_CONDENSER
5a7ad931-37e1-433f-b782-34bb03571d96	f0e66eb9-224c-4ae0-9fef-67fdd8276bea	CHILLED_WATER_PUMPS
5a7ad931-37e1-433f-b782-34bb03571d96	79030a69-4f07-4c2c-b21c-3295461b76e4	HEAT_REJECTION_PUMPS
5a7ad931-37e1-433f-b782-34bb03571d96	a8c16dd8-a519-4143-baa1-1d05a11a6b65	VENTILATION
5a7ad931-37e1-433f-b782-34bb03571d96	2cf0d09b-d340-4785-be97-8db8a40afc1d	INFILTRATION
5a7ad931-37e1-433f-b782-34bb03571d96	9ed4bb18-5f92-4bbf-99e5-80a7231f1533	IT_LOAD
a2752e70-532d-4e28-b1c0-5dcd589bba08	df883db4-c43e-4a54-9212-5273d4a741ff	SWITCHGEAR
a2752e70-532d-4e28-b1c0-5dcd589bba08	65d9d7f2-33cf-47e2-ae1d-ae4bd9209c1a	GENERATOR
a2752e70-532d-4e28-b1c0-5dcd589bba08	786e3da4-9f63-43ef-bf03-8dccf7c691bd	PRIMARY_AUXILIARIES
a2752e70-532d-4e28-b1c0-5dcd589bba08	4a839c61-621d-4332-87e5-f317479cfc80	UPS
a2752e70-532d-4e28-b1c0-5dcd589bba08	321d806b-38da-4534-b882-142c9ad69319	CRITICAL_AUXILIARIES
a2752e70-532d-4e28-b1c0-5dcd589bba08	47e8d23d-6711-4d8c-9faa-e2b7dd910380	LIGHTING
a2752e70-532d-4e28-b1c0-5dcd589bba08	e7fec953-d375-49b7-a098-6a838b935b53	CRITICAL_POWER_DISTRIBUTION
a2752e70-532d-4e28-b1c0-5dcd589bba08	f0a1eb84-406e-4614-bf19-43d40319ca42	CRAH
a2752e70-532d-4e28-b1c0-5dcd589bba08	ad7df371-a470-4fdc-8dae-afcc8c5615e2	CRAC
a2752e70-532d-4e28-b1c0-5dcd589bba08	1f41b503-2825-4a0f-8bdb-bdf322a55003	CRAC_WITHOUT_FAN
a2752e70-532d-4e28-b1c0-5dcd589bba08	7df3dc31-7bdc-4ba2-891a-62482d7ec2ec	CRAC_FAN
a2752e70-532d-4e28-b1c0-5dcd589bba08	c6438179-9977-4d44-9e47-0e1ac3a35b15	CHILLER
a2752e70-532d-4e28-b1c0-5dcd589bba08	6efce9b4-2be5-4802-a483-a23f354bf831	AIR_COOLED_CHILLER
a2752e70-532d-4e28-b1c0-5dcd589bba08	10e25e1f-77e1-4430-be7c-08a52194c555	COOLING_TOWER
a2752e70-532d-4e28-b1c0-5dcd589bba08	d4d3083a-6bfb-4ba6-81d2-37bcbe1371d6	DRY_COOLER
a2752e70-532d-4e28-b1c0-5dcd589bba08	71aef1f7-a7f6-4d8a-8b63-a3a85bec8caa	REMOTE_CONDENSER
a2752e70-532d-4e28-b1c0-5dcd589bba08	909d4ada-d947-4d92-bdc7-28ab1c1c0a9b	CHILLED_WATER_PUMPS
a2752e70-532d-4e28-b1c0-5dcd589bba08	6f6e0877-4f84-4c66-b0f2-b42633745423	HEAT_REJECTION_PUMPS
a2752e70-532d-4e28-b1c0-5dcd589bba08	1f3587f4-ce4d-4bed-acbb-0ff2fb1611b5	VENTILATION
a2752e70-532d-4e28-b1c0-5dcd589bba08	7a797cb9-8e4d-44a5-896b-5cfc9b3af6ab	INFILTRATION
a2752e70-532d-4e28-b1c0-5dcd589bba08	2989431b-b026-4c40-a340-17ac83a0a7b9	IT_LOAD
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	c38e80d8-823b-4024-84d1-933d556b10d1	SWITCHGEAR
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	3b98d1fe-473f-4d9d-a574-92e15e4e8d98	GENERATOR
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	b35eb5e9-7e56-4ad3-b03b-e921387fff00	PRIMARY_AUXILIARIES
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	53a17f22-d676-409d-a5f6-f6801b20add3	UPS
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	1c11718b-5c17-4ff5-ae05-4653609e75a7	CRITICAL_AUXILIARIES
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	5e96af9c-25f5-42b4-9175-0a6d48c9d17f	LIGHTING
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	c2de2ba7-4f67-4645-8ed0-83d39059919f	CRITICAL_POWER_DISTRIBUTION
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	59174169-cacf-4e39-b5e5-0d45ca42d9ae	CRAH
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	34599a3f-0b6c-44e7-ad5e-49cf879b5ceb	CRAC
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	fdd98626-6880-47eb-a6da-5d5dea45ffd6	CRAC_WITHOUT_FAN
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	84232197-8ad4-4fc2-8c5e-faca420821d1	CRAC_FAN
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	5ad5eec5-addf-4738-80bb-25b4d5a2aa4a	CHILLER
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	442b747e-8bcb-46d3-8ffd-96966bc81ee2	AIR_COOLED_CHILLER
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	7e52b5b3-4a2c-4bb0-aee4-406e32ad8b63	COOLING_TOWER
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	62e209b7-1fc0-45d0-afdb-8095d3f8efca	DRY_COOLER
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	1d5eb3c6-0563-4f3e-86a9-9de8e5ab1258	REMOTE_CONDENSER
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	dab4091f-70d3-46cb-923c-06fdf0539c6e	CHILLED_WATER_PUMPS
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	926815c3-3cfd-434a-b18e-dea3fe94dcb1	HEAT_REJECTION_PUMPS
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	abf298aa-9ded-44c5-abf9-d716e86ad4f0	VENTILATION
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	f19d823e-e2ee-4218-a16e-321da9254b84	INFILTRATION
3d5f77a4-a6ff-4626-8f88-d45e8d84f0e9	a052ea05-b470-4ddc-8f8c-a2e5c0a6b966	IT_LOAD
89edfd27-5932-4ca9-904d-702a825a9a62	b74b6776-d0b9-4628-abe0-ea8aabc6eb95	SWITCHGEAR
89edfd27-5932-4ca9-904d-702a825a9a62	62c3b395-926e-4873-a0a0-63873d354ae8	GENERATOR
89edfd27-5932-4ca9-904d-702a825a9a62	ec0c6491-0cae-4dcd-a7e3-8145f8ede54a	PRIMARY_AUXILIARIES
89edfd27-5932-4ca9-904d-702a825a9a62	ee7d10d0-6929-422e-8e96-8b4f12f212ac	UPS
89edfd27-5932-4ca9-904d-702a825a9a62	c302f3a7-6bdd-4295-a83a-d69321ce7f2a	CRITICAL_AUXILIARIES
89edfd27-5932-4ca9-904d-702a825a9a62	8a1f9317-9a41-40a4-9b2f-e52cbc7994a8	LIGHTING
89edfd27-5932-4ca9-904d-702a825a9a62	f719e3ff-c8f7-4c41-9edd-8a729ccb4601	CRITICAL_POWER_DISTRIBUTION
89edfd27-5932-4ca9-904d-702a825a9a62	7bcaf007-d786-47c5-af8d-31b6f6ce4f99	CRAH
89edfd27-5932-4ca9-904d-702a825a9a62	78aa0511-fc37-437e-9595-d353b9b44ab8	CRAC
89edfd27-5932-4ca9-904d-702a825a9a62	cf376873-3859-4aa2-b1bf-04a6a78c18f2	CRAC_WITHOUT_FAN
89edfd27-5932-4ca9-904d-702a825a9a62	44387586-e454-4aa3-822b-fece01c19594	CRAC_FAN
89edfd27-5932-4ca9-904d-702a825a9a62	d9fb7640-4015-4627-80e5-83145579745f	CHILLER
89edfd27-5932-4ca9-904d-702a825a9a62	4e966e9a-72da-4d36-bcb0-22c6e9847c60	AIR_COOLED_CHILLER
89edfd27-5932-4ca9-904d-702a825a9a62	53ef409c-225d-4f92-acb5-51dbb1a7b104	COOLING_TOWER
89edfd27-5932-4ca9-904d-702a825a9a62	2c837466-ec14-4d51-b03a-7c3c5d3fc32a	DRY_COOLER
89edfd27-5932-4ca9-904d-702a825a9a62	f241a360-332f-4d73-8ddb-93bb2ec3b4ae	REMOTE_CONDENSER
89edfd27-5932-4ca9-904d-702a825a9a62	ccb614ce-20ad-419d-8f70-91a75d4be178	CHILLED_WATER_PUMPS
89edfd27-5932-4ca9-904d-702a825a9a62	75e0325d-6c71-4923-b317-465ff5eb774e	HEAT_REJECTION_PUMPS
89edfd27-5932-4ca9-904d-702a825a9a62	a08c31a6-6e83-4df7-a134-6f03f364410c	VENTILATION
89edfd27-5932-4ca9-904d-702a825a9a62	54980be9-24e5-42b9-a82f-98ba2f0da5fc	INFILTRATION
89edfd27-5932-4ca9-904d-702a825a9a62	0f4ecaa7-52ce-4b9a-a3a8-b277b4a148b0	IT_LOAD
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	7e8c8dfa-4ecf-45b9-a6c2-18ff40f99fd6	SWITCHGEAR
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	1844d248-ff45-42fd-95c5-9cbed8732e1e	GENERATOR
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	3374e89d-c06f-45e8-b059-4a38b3013054	PRIMARY_AUXILIARIES
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	bc7b14bd-6c67-4449-b2b8-78c9d4486199	UPS
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	e731179b-5546-4945-93cb-9dadf33c63e7	CRITICAL_AUXILIARIES
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	84f11bf7-7a72-4401-8adc-a8f9fb1f1a04	LIGHTING
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	879a1faf-70a6-4040-83c9-b564012a1b50	CRITICAL_POWER_DISTRIBUTION
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	c1aeb97f-e25d-4364-a656-536d9cb467b7	CRAH
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	bd8ede4b-b174-4036-954b-43af64737b5d	CRAC
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	7f75f413-af61-4d2b-b094-38a688289cf4	CRAC_WITHOUT_FAN
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	025c6f42-ad5a-4e08-ac94-9a1b1ed9c0bb	CRAC_FAN
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	57ade13a-c163-469a-9f02-f3a105a51f80	CHILLER
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	ebe5cd49-f531-4291-8089-159d42bd4757	AIR_COOLED_CHILLER
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	e58a0a7d-04d6-41dd-a06a-430510a6b9b9	COOLING_TOWER
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	557b4482-e05b-466f-a37a-63455b9ed72a	DRY_COOLER
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	4340aa92-3fd9-4791-9e4a-95cf24dc3e9f	REMOTE_CONDENSER
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	1f3964b3-80c5-4bbc-bc90-66e23d6d5b5f	CHILLED_WATER_PUMPS
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	a2b5301c-250e-4912-b2bd-18830af657ad	HEAT_REJECTION_PUMPS
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	41580552-0dfa-43ae-86a1-edd19cab195b	VENTILATION
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	1245fa06-7825-442a-8529-22750335b96f	INFILTRATION
994b7920-8cae-49f9-b7d5-11fb4b9cfbc2	c2483d92-781f-4726-99e6-fe7be7e0c195	IT_LOAD
43f3a1dc-e66f-498c-854f-94858917d9c8	054cf9d6-b681-4a4e-82c0-be73ab6f8be6	SWITCHGEAR
43f3a1dc-e66f-498c-854f-94858917d9c8	7ab345e1-5ea3-4b28-bf7d-adca7e049c4d	GENERATOR
43f3a1dc-e66f-498c-854f-94858917d9c8	775c007f-845e-475a-89ff-73222edbcb27	PRIMARY_AUXILIARIES
43f3a1dc-e66f-498c-854f-94858917d9c8	7e7d032a-b792-470a-9dc9-2c12da650784	UPS
43f3a1dc-e66f-498c-854f-94858917d9c8	663c6085-1f51-44e3-aa9b-337d51d34a4f	CRITICAL_AUXILIARIES
43f3a1dc-e66f-498c-854f-94858917d9c8	12380734-54d6-4326-bae0-bfe6d270d339	LIGHTING
43f3a1dc-e66f-498c-854f-94858917d9c8	6476f8e7-f44e-4ec4-b0b4-6c33b69d2543	CRITICAL_POWER_DISTRIBUTION
43f3a1dc-e66f-498c-854f-94858917d9c8	cf298922-606d-4721-b01c-82bf9753e9b9	CRAH
43f3a1dc-e66f-498c-854f-94858917d9c8	b2cd6edd-27d7-4c82-b864-0f78bf6d4fbb	CRAC
43f3a1dc-e66f-498c-854f-94858917d9c8	eb246aaf-777e-498f-acb5-fd389d899184	CRAC_WITHOUT_FAN
43f3a1dc-e66f-498c-854f-94858917d9c8	7094db3e-95d4-4c3c-b30e-10380015ce15	CRAC_FAN
43f3a1dc-e66f-498c-854f-94858917d9c8	6c70b85c-9f41-4382-880d-fbca45c91518	CHILLER
43f3a1dc-e66f-498c-854f-94858917d9c8	b33835e0-5822-4ea7-902d-638fad46a7c2	AIR_COOLED_CHILLER
43f3a1dc-e66f-498c-854f-94858917d9c8	056d6bfe-69b0-4928-826f-9fa11ed0a5b0	COOLING_TOWER
43f3a1dc-e66f-498c-854f-94858917d9c8	5610514a-04cc-4f8d-8c1f-1a2e50fd453a	DRY_COOLER
43f3a1dc-e66f-498c-854f-94858917d9c8	95288773-a655-4f1d-8e92-d43300d0029c	REMOTE_CONDENSER
43f3a1dc-e66f-498c-854f-94858917d9c8	6261c738-2db9-410c-92bb-c490a765b1e0	CHILLED_WATER_PUMPS
43f3a1dc-e66f-498c-854f-94858917d9c8	fe040857-a481-41dc-9696-6f53e0d5633e	HEAT_REJECTION_PUMPS
43f3a1dc-e66f-498c-854f-94858917d9c8	2187e7ec-6e8e-4257-85b5-ad184482d65b	VENTILATION
43f3a1dc-e66f-498c-854f-94858917d9c8	87a623b0-29e3-47b4-ade1-210a50483a89	INFILTRATION
43f3a1dc-e66f-498c-854f-94858917d9c8	036d01c4-0e55-4486-8572-95636d1a89e1	IT_LOAD
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	e8902b7b-4161-46ee-9cd3-fd7cb0a09960	SWITCHGEAR
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	dd38927f-414c-4500-86ac-b4ff16532d2e	GENERATOR
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	37c9a600-82d5-4f79-a6ce-b7f5b2bb8814	PRIMARY_AUXILIARIES
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	2d7853ce-5cbd-4b3c-a681-876367a63f9d	UPS
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	36c71942-875b-4a87-90e5-48293eb79a35	CRITICAL_AUXILIARIES
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	b8218e0b-66c5-438c-8a09-de2f34762d8c	LIGHTING
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	d2085c2a-1d36-4c41-871b-b5e8dd754eb0	CRITICAL_POWER_DISTRIBUTION
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	64b33be0-549d-4d60-b275-0d4fe97cb603	CRAH
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	a4f8cd4e-a473-4183-8449-90b7c9366fee	CRAC
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	5822562f-d1be-43e9-8778-b0108db89144	CRAC_WITHOUT_FAN
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	1e927510-0053-4d70-8097-eb8814cbd29d	CRAC_FAN
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	8667d29d-b633-4c8c-b987-31b3b22b75ce	CHILLER
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	082228df-40e8-48ef-948f-beb85b7a2773	AIR_COOLED_CHILLER
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	bd29a168-d523-4454-99bd-163fee3f4d45	COOLING_TOWER
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	a4bd53bb-b8f6-4f0f-97be-39fd81048046	DRY_COOLER
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	b75046c5-1bae-4732-ace5-7f3304a608c2	REMOTE_CONDENSER
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	0e7f7959-83ba-47b1-b9c4-a74796632a3e	CHILLED_WATER_PUMPS
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	bfb29943-c005-44fe-9c8b-06a09f3f5423	HEAT_REJECTION_PUMPS
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	4b5d64d9-308a-43df-ab31-001b0de12e5f	VENTILATION
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	81431486-b7eb-4913-8a64-cd7f8dcf9fac	INFILTRATION
21c0d0be-d6e3-41f2-8fe2-6fab56a36c88	60e512f2-ee64-4055-a8e7-53ca036c5700	IT_LOAD
9ab978ea-26f3-41c3-be9e-bc57f1969eca	3190f1a0-21ba-4c86-a30e-30c21731a481	SWITCHGEAR
9ab978ea-26f3-41c3-be9e-bc57f1969eca	b718c2d9-0908-40e1-9667-9b5ae73c0188	GENERATOR
9ab978ea-26f3-41c3-be9e-bc57f1969eca	0435d2d9-d66e-4bfb-8577-785dcbe1699f	PRIMARY_AUXILIARIES
9ab978ea-26f3-41c3-be9e-bc57f1969eca	40cb4f68-ea71-42f1-9a18-e3e54038b3ff	UPS
9ab978ea-26f3-41c3-be9e-bc57f1969eca	fc5c117a-439e-461b-9a7c-22ab0b63ae12	CRITICAL_AUXILIARIES
9ab978ea-26f3-41c3-be9e-bc57f1969eca	6b1a5b1c-7096-490b-9884-635802711dd8	LIGHTING
9ab978ea-26f3-41c3-be9e-bc57f1969eca	c06f0722-28a9-42fc-bdcd-1e0ec010caf4	CRITICAL_POWER_DISTRIBUTION
9ab978ea-26f3-41c3-be9e-bc57f1969eca	27321f1f-8419-4ded-9573-0c0fb719e1b4	CRAH
9ab978ea-26f3-41c3-be9e-bc57f1969eca	57351fb4-d4af-415c-8728-c89241ef7f55	CRAC
9ab978ea-26f3-41c3-be9e-bc57f1969eca	70b9638c-8853-46a7-8693-328a832e6ee9	CRAC_WITHOUT_FAN
9ab978ea-26f3-41c3-be9e-bc57f1969eca	71674f5d-198a-4947-ac88-70f22fb098e9	CRAC_FAN
9ab978ea-26f3-41c3-be9e-bc57f1969eca	7a4b82f2-029e-4ee1-bc3b-e968fdb162ea	CHILLER
9ab978ea-26f3-41c3-be9e-bc57f1969eca	90d7278f-b69b-4c68-8613-aa255c84293a	AIR_COOLED_CHILLER
9ab978ea-26f3-41c3-be9e-bc57f1969eca	3d8c0330-7ffe-4947-b8bf-6e74102be9b3	COOLING_TOWER
9ab978ea-26f3-41c3-be9e-bc57f1969eca	22225748-c8b0-4b63-87b0-0141b85ceccc	DRY_COOLER
9ab978ea-26f3-41c3-be9e-bc57f1969eca	6bf3918b-cc3a-4f8f-9d0c-93238e1ae389	REMOTE_CONDENSER
9ab978ea-26f3-41c3-be9e-bc57f1969eca	56b6a13e-5289-4cab-a84a-e37740ba6e04	CHILLED_WATER_PUMPS
9ab978ea-26f3-41c3-be9e-bc57f1969eca	b2e21bdb-1f39-4006-bef4-f9ea56f62dfd	HEAT_REJECTION_PUMPS
9ab978ea-26f3-41c3-be9e-bc57f1969eca	b22df1f0-cc30-4757-b626-db2119831e96	VENTILATION
9ab978ea-26f3-41c3-be9e-bc57f1969eca	9b98bde6-05db-48f1-926c-4b47e916ab9a	INFILTRATION
9ab978ea-26f3-41c3-be9e-bc57f1969eca	4fa15519-d328-49d8-91d1-603a0bc8be5f	IT_LOAD
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	88604fd0-3fc5-4bc3-8952-e33b6ed98f77	SWITCHGEAR
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	5ca3cacb-c7f3-413b-bc8e-027ad98d56dc	GENERATOR
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	a5091f49-7444-44bd-a068-df7994203385	PRIMARY_AUXILIARIES
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	381bda4c-bed2-4d92-8380-8133f8c32592	UPS
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	928548ec-2791-48ac-a4e0-dca4c0f29992	CRITICAL_AUXILIARIES
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	5973cb11-a9e0-4d14-9d4f-cd56a4deb591	LIGHTING
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	2ad83cd0-27ae-4f09-b288-6f534814cbd4	CRITICAL_POWER_DISTRIBUTION
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	af8f74dd-f6d5-41a2-bff7-19633fe0594e	CRAH
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	633d1f8b-7643-4c83-a7d7-5944a494db80	CRAC
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	9ad198f8-433d-457a-a27d-42568b30d420	CRAC_WITHOUT_FAN
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	1e60f44c-de74-4ccf-bc33-f0b15cb8110c	CRAC_FAN
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	6f7a1d4a-20b4-4952-a411-e631c7f984a4	CHILLER
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	90420de5-ab2e-49e3-917a-5e3721f3ed88	AIR_COOLED_CHILLER
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	1488774e-1c8d-48c4-81b0-c050501fb61c	COOLING_TOWER
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	c2a77d93-18d3-4091-9a3f-36468bad9431	DRY_COOLER
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	e82f2cc0-1403-4774-90b4-b23730690378	REMOTE_CONDENSER
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	e507479f-ea18-4729-98cc-63e3bda61b2e	CHILLED_WATER_PUMPS
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	ea47b695-b72b-45e9-9ffd-dd7263aad893	HEAT_REJECTION_PUMPS
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	c4540e87-2b20-4aa7-a5dc-ff0f8867f903	VENTILATION
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	85c461df-c408-4be4-a4f1-35091c7a6dba	INFILTRATION
fbf946d9-9a5b-4ecc-bd98-0c73caf564c9	36858050-55b9-452a-b34a-69111e8630e1	IT_LOAD
36fc2636-2e38-4930-97a7-6f1bf26f4d51	e3410d7e-3e13-4b8e-87da-3c3c10d4e141	SWITCHGEAR
36fc2636-2e38-4930-97a7-6f1bf26f4d51	81b46543-7aa4-4c81-a414-d6f281c9de48	GENERATOR
36fc2636-2e38-4930-97a7-6f1bf26f4d51	bcc3222e-daff-448a-9d34-1f42dcb305e1	PRIMARY_AUXILIARIES
36fc2636-2e38-4930-97a7-6f1bf26f4d51	6ca5157c-cf77-4f6c-9ab1-1ca0da3be915	UPS
36fc2636-2e38-4930-97a7-6f1bf26f4d51	2a32ccb7-5f91-4b3f-9718-19ff6d935391	CRITICAL_AUXILIARIES
36fc2636-2e38-4930-97a7-6f1bf26f4d51	28e81ee7-fec2-435e-b320-a1f0696dfea3	LIGHTING
36fc2636-2e38-4930-97a7-6f1bf26f4d51	f63e50be-b833-446d-b9c7-c20dc3c27c4d	CRITICAL_POWER_DISTRIBUTION
36fc2636-2e38-4930-97a7-6f1bf26f4d51	b79a3bda-b3cb-4c60-b810-31d323c625e0	CRAH
36fc2636-2e38-4930-97a7-6f1bf26f4d51	a9376374-3806-4a69-a309-0284c50f0622	CRAC
36fc2636-2e38-4930-97a7-6f1bf26f4d51	87261945-989d-4dd2-a9ec-20db031a91e3	CRAC_WITHOUT_FAN
36fc2636-2e38-4930-97a7-6f1bf26f4d51	7dd6b607-fac9-4767-8122-a470411505e3	CRAC_FAN
36fc2636-2e38-4930-97a7-6f1bf26f4d51	8a8deb86-246b-4987-a7ef-7a1b9b8cb29f	CHILLER
36fc2636-2e38-4930-97a7-6f1bf26f4d51	e9ba0c42-609b-4a4d-9e64-c105d7fdacaa	AIR_COOLED_CHILLER
36fc2636-2e38-4930-97a7-6f1bf26f4d51	4b409835-e234-46fb-ae6f-d41c83f8706f	COOLING_TOWER
36fc2636-2e38-4930-97a7-6f1bf26f4d51	54e0762d-067e-4d47-99bf-b05fda29b7b0	DRY_COOLER
36fc2636-2e38-4930-97a7-6f1bf26f4d51	84a1605b-29ae-4ce3-a695-f5eb0608b42d	REMOTE_CONDENSER
36fc2636-2e38-4930-97a7-6f1bf26f4d51	de4ada80-6bba-4cbf-b7d8-9f13d8cd67f2	CHILLED_WATER_PUMPS
36fc2636-2e38-4930-97a7-6f1bf26f4d51	1197f15c-c58e-48f9-a175-677a419a9df8	HEAT_REJECTION_PUMPS
36fc2636-2e38-4930-97a7-6f1bf26f4d51	351a0a97-e433-43f5-8951-c3c1d10fb35b	VENTILATION
36fc2636-2e38-4930-97a7-6f1bf26f4d51	95ec73cc-915f-4ed2-b878-408540c1a9c0	INFILTRATION
36fc2636-2e38-4930-97a7-6f1bf26f4d51	25318961-915b-4555-b333-fe4caa8d6f58	IT_LOAD
64e7b47f-274c-450a-9cb7-d8ff50f3f915	d5851412-019f-479d-b0ce-0939c1f2be51	SWITCHGEAR
64e7b47f-274c-450a-9cb7-d8ff50f3f915	c9492116-5537-4522-acc6-0505165cd6ca	GENERATOR
64e7b47f-274c-450a-9cb7-d8ff50f3f915	0e6418a6-10d1-44b6-9a49-ce45c9429cf0	PRIMARY_AUXILIARIES
64e7b47f-274c-450a-9cb7-d8ff50f3f915	45e1b5ec-d342-4b7d-847f-207b918c48ac	UPS
64e7b47f-274c-450a-9cb7-d8ff50f3f915	16249551-dcb7-4dcd-94ca-8d11c850a32f	CRITICAL_AUXILIARIES
64e7b47f-274c-450a-9cb7-d8ff50f3f915	a3844950-3ac7-4319-a47a-da6a488ab96b	LIGHTING
64e7b47f-274c-450a-9cb7-d8ff50f3f915	469e2151-24c4-4ea8-8ab0-67b814c69e5e	CRITICAL_POWER_DISTRIBUTION
64e7b47f-274c-450a-9cb7-d8ff50f3f915	3a461a67-3471-4e3f-9e85-dcbee9f999a5	CRAH
64e7b47f-274c-450a-9cb7-d8ff50f3f915	db750e4b-c169-4fee-9a58-a6afb413f03e	CRAC
64e7b47f-274c-450a-9cb7-d8ff50f3f915	91b0bd4b-b55c-4f1e-8f1b-ee6321fa419d	CRAC_WITHOUT_FAN
64e7b47f-274c-450a-9cb7-d8ff50f3f915	449b4a27-1728-4dc3-a7c9-8703399ce377	CRAC_FAN
64e7b47f-274c-450a-9cb7-d8ff50f3f915	eabd9957-9cab-4374-b500-da190e5bef4a	CHILLER
64e7b47f-274c-450a-9cb7-d8ff50f3f915	d50afcf7-399c-46e4-b66f-6aa9dc041cac	AIR_COOLED_CHILLER
64e7b47f-274c-450a-9cb7-d8ff50f3f915	a2728808-6790-48f6-982f-31e4322ef9dc	COOLING_TOWER
64e7b47f-274c-450a-9cb7-d8ff50f3f915	2161bee3-7398-4eb4-8efb-13fd13bc9153	DRY_COOLER
64e7b47f-274c-450a-9cb7-d8ff50f3f915	c91ee8f9-94e0-48c6-aded-67656b6073b7	REMOTE_CONDENSER
64e7b47f-274c-450a-9cb7-d8ff50f3f915	f6cd9075-a2bf-4b6e-a621-0f1a60c25bca	CHILLED_WATER_PUMPS
64e7b47f-274c-450a-9cb7-d8ff50f3f915	2867f9d7-6374-4788-9944-73b6c7d54c4f	HEAT_REJECTION_PUMPS
64e7b47f-274c-450a-9cb7-d8ff50f3f915	1ccc7955-7f90-470b-9e46-99ad413333f8	VENTILATION
64e7b47f-274c-450a-9cb7-d8ff50f3f915	bb67d2de-94fc-4101-b73c-d911ae926ab6	INFILTRATION
64e7b47f-274c-450a-9cb7-d8ff50f3f915	67d1d40f-d574-42e1-b9c2-24a126c05aa5	IT_LOAD
db736334-19d2-4c7d-b44e-20aa79c4fe39	e9ec3cae-1c19-46f4-8268-095ece4ba6d5	SWITCHGEAR
db736334-19d2-4c7d-b44e-20aa79c4fe39	ee7bc90a-b9bc-407e-98b7-939980d8db91	GENERATOR
db736334-19d2-4c7d-b44e-20aa79c4fe39	5aa601e0-96bf-412a-936d-b87f5e234aa1	PRIMARY_AUXILIARIES
db736334-19d2-4c7d-b44e-20aa79c4fe39	c993d37e-afeb-4955-88b5-eb6b1ae040f6	UPS
db736334-19d2-4c7d-b44e-20aa79c4fe39	dc060646-edf6-4bf0-87a4-6d40c6f5d879	CRITICAL_AUXILIARIES
db736334-19d2-4c7d-b44e-20aa79c4fe39	e978a662-e11b-4851-8a7a-0f37eabe545b	LIGHTING
db736334-19d2-4c7d-b44e-20aa79c4fe39	487d1660-55f6-4cfc-a80a-0b1aada7b840	CRITICAL_POWER_DISTRIBUTION
db736334-19d2-4c7d-b44e-20aa79c4fe39	4ac84d8b-e682-4a55-8297-6c869427036c	CRAH
db736334-19d2-4c7d-b44e-20aa79c4fe39	0c248a55-48b3-443d-a333-f3aceaeae2ec	CRAC
db736334-19d2-4c7d-b44e-20aa79c4fe39	81e7b51a-aae8-4be9-b255-3ed53b5c86c9	CRAC_WITHOUT_FAN
db736334-19d2-4c7d-b44e-20aa79c4fe39	dc5411f1-e30e-4871-9f18-cb45379ebc33	CRAC_FAN
db736334-19d2-4c7d-b44e-20aa79c4fe39	5d152fb8-a5f1-4203-8be6-663c870aa8d1	CHILLER
db736334-19d2-4c7d-b44e-20aa79c4fe39	cbd2f94b-39dc-4871-9320-aff63c07ed14	AIR_COOLED_CHILLER
db736334-19d2-4c7d-b44e-20aa79c4fe39	6a4874cd-261d-4ab0-aa25-fde269dccd52	COOLING_TOWER
db736334-19d2-4c7d-b44e-20aa79c4fe39	e5ec4529-3c0f-421e-953d-cf65bd805b70	DRY_COOLER
db736334-19d2-4c7d-b44e-20aa79c4fe39	1c74e9d2-7ed7-4540-b2fb-8425fb265f72	REMOTE_CONDENSER
db736334-19d2-4c7d-b44e-20aa79c4fe39	ff70fb80-e941-43ed-87d8-b87cad4d88e9	CHILLED_WATER_PUMPS
db736334-19d2-4c7d-b44e-20aa79c4fe39	2b129dd4-8579-453a-982e-b28ab69d7ae4	HEAT_REJECTION_PUMPS
db736334-19d2-4c7d-b44e-20aa79c4fe39	931f8de1-735c-40cd-8b25-43cb88b4d0b5	VENTILATION
db736334-19d2-4c7d-b44e-20aa79c4fe39	5de43f7a-c35f-466a-a05c-d30189f91cc1	INFILTRATION
db736334-19d2-4c7d-b44e-20aa79c4fe39	a72503e8-99b4-4ec6-a503-5f5db5ca869c	IT_LOAD
4c923648-4368-472a-ab08-1de8020d0353	6c9c33cd-2b87-40c1-9063-03a4f1746f3c	SWITCHGEAR
4c923648-4368-472a-ab08-1de8020d0353	5eb5bd52-3000-4e60-b341-c581f2682754	GENERATOR
4c923648-4368-472a-ab08-1de8020d0353	1acc843b-62fd-4030-8cb2-4d8bc99c8591	PRIMARY_AUXILIARIES
4c923648-4368-472a-ab08-1de8020d0353	223908d8-23a1-4d00-bad2-011fe9cd3cb0	UPS
4c923648-4368-472a-ab08-1de8020d0353	c7744233-b5f0-4230-b88a-74126ad3c8e5	CRITICAL_AUXILIARIES
4c923648-4368-472a-ab08-1de8020d0353	d8bb0545-6905-4ffc-bd7b-36d603e0c382	LIGHTING
4c923648-4368-472a-ab08-1de8020d0353	898fc05e-dea1-43d4-80ca-c240180f3dac	CRITICAL_POWER_DISTRIBUTION
4c923648-4368-472a-ab08-1de8020d0353	70caa66f-e38a-49c9-ae46-3888267f4d7e	CRAH
4c923648-4368-472a-ab08-1de8020d0353	0df7d245-b474-4b34-9186-b698322b3ade	CRAC
4c923648-4368-472a-ab08-1de8020d0353	a1ba8176-51cf-434f-b0a3-0247bf7f9582	CRAC_WITHOUT_FAN
4c923648-4368-472a-ab08-1de8020d0353	c40cfb0a-0656-4fb9-a1de-d9e975bf7e8b	CRAC_FAN
4c923648-4368-472a-ab08-1de8020d0353	8518ac3a-4779-43ab-86f8-638bba9f2c3d	CHILLER
4c923648-4368-472a-ab08-1de8020d0353	1bdad6e4-e8da-4974-83a0-14cc5a1e7c5a	AIR_COOLED_CHILLER
4c923648-4368-472a-ab08-1de8020d0353	bbf52cb5-6aa8-4cdb-8bb2-cb7d5adafa45	COOLING_TOWER
4c923648-4368-472a-ab08-1de8020d0353	7f954bb2-a139-4509-910d-9644209df063	DRY_COOLER
4c923648-4368-472a-ab08-1de8020d0353	544c3dac-1f5f-4e2c-b27a-cde47c108cd4	REMOTE_CONDENSER
4c923648-4368-472a-ab08-1de8020d0353	880f15db-3a61-4fb3-af95-d72ad805d4c0	CHILLED_WATER_PUMPS
4c923648-4368-472a-ab08-1de8020d0353	aa756168-13a0-4dd7-8844-e60fc6801c21	HEAT_REJECTION_PUMPS
4c923648-4368-472a-ab08-1de8020d0353	0ed39938-6664-4a69-bff0-0913073feeaf	VENTILATION
4c923648-4368-472a-ab08-1de8020d0353	e376065f-527a-45b9-8acb-5872a60389b9	INFILTRATION
4c923648-4368-472a-ab08-1de8020d0353	bb654690-16ce-415c-b5e1-a7f33c9420f1	IT_LOAD
dbc3d35d-eeec-497b-bc55-626c6227a26d	a22d53a7-95ca-4a7b-b179-9b6f65608db7	SWITCHGEAR
dbc3d35d-eeec-497b-bc55-626c6227a26d	a1c9fd1b-f2a1-414c-98bb-e0f9f6f210cb	GENERATOR
dbc3d35d-eeec-497b-bc55-626c6227a26d	96eade6a-ecfb-4a7a-a995-27157ad825a6	PRIMARY_AUXILIARIES
dbc3d35d-eeec-497b-bc55-626c6227a26d	5903e92d-e6cf-45ae-9397-59d6d9a6f019	UPS
dbc3d35d-eeec-497b-bc55-626c6227a26d	c8690864-bc24-49b8-a17a-d72ab6d1805f	CRITICAL_AUXILIARIES
dbc3d35d-eeec-497b-bc55-626c6227a26d	f0c49f4f-d95f-43da-951f-806505377a4e	LIGHTING
dbc3d35d-eeec-497b-bc55-626c6227a26d	910db132-ed98-4980-a36c-a29d89c2237e	CRITICAL_POWER_DISTRIBUTION
dbc3d35d-eeec-497b-bc55-626c6227a26d	d55d47e2-4933-4d60-aa95-9e1542379275	CRAH
dbc3d35d-eeec-497b-bc55-626c6227a26d	f2b951c7-fe89-4cee-a4ed-b6c3e4ff3037	CRAC
dbc3d35d-eeec-497b-bc55-626c6227a26d	a40eef14-a66a-43a7-badb-7d4d8eeeb1b7	CRAC_WITHOUT_FAN
dbc3d35d-eeec-497b-bc55-626c6227a26d	579a33e1-4d7c-4b3c-896f-68390210ae44	CRAC_FAN
dbc3d35d-eeec-497b-bc55-626c6227a26d	c6d8ee8d-6da6-4fce-8156-8eb5b56c0f00	CHILLER
dbc3d35d-eeec-497b-bc55-626c6227a26d	f7e70649-68af-4d98-9937-6fae3b3858c6	AIR_COOLED_CHILLER
dbc3d35d-eeec-497b-bc55-626c6227a26d	06de2aa4-399d-48b8-bbee-4188b6f3e4b1	COOLING_TOWER
dbc3d35d-eeec-497b-bc55-626c6227a26d	17dfefac-b795-4d2f-9fd8-f74a4f436d53	DRY_COOLER
dbc3d35d-eeec-497b-bc55-626c6227a26d	edfc5d9c-2607-411c-8cc6-1764d32094af	REMOTE_CONDENSER
dbc3d35d-eeec-497b-bc55-626c6227a26d	71d127bb-cb7a-4a9b-8299-1335950801a8	CHILLED_WATER_PUMPS
dbc3d35d-eeec-497b-bc55-626c6227a26d	3100a46f-4702-48be-b6e3-db6a487b7d79	HEAT_REJECTION_PUMPS
dbc3d35d-eeec-497b-bc55-626c6227a26d	6e3f080b-1fe4-4bb0-acce-376bff0aba83	VENTILATION
dbc3d35d-eeec-497b-bc55-626c6227a26d	cdca1192-9b9e-4862-a569-04454ce172e5	INFILTRATION
dbc3d35d-eeec-497b-bc55-626c6227a26d	c68557c9-be71-4652-a19a-b51e4d0ede78	IT_LOAD
ebd255eb-0343-4333-be67-b47eee53e3e6	fc6009e3-84f2-4440-9afe-cb332d975422	SWITCHGEAR
ebd255eb-0343-4333-be67-b47eee53e3e6	0bebb3b0-5d97-4473-b4c2-c677d0615329	GENERATOR
ebd255eb-0343-4333-be67-b47eee53e3e6	f6844665-0efb-4904-8acf-ae757b980d74	PRIMARY_AUXILIARIES
ebd255eb-0343-4333-be67-b47eee53e3e6	0dc6f6ad-8d4d-4646-af33-fa4f4df7b0b6	UPS
ebd255eb-0343-4333-be67-b47eee53e3e6	326f0e7c-8bb9-4c8f-a64a-299602da4cc3	CRITICAL_AUXILIARIES
ebd255eb-0343-4333-be67-b47eee53e3e6	d1c02a95-6cde-4f10-9dae-f04d280e0343	LIGHTING
ebd255eb-0343-4333-be67-b47eee53e3e6	a744e150-89a6-40ee-a08b-92d776c9b55a	CRITICAL_POWER_DISTRIBUTION
ebd255eb-0343-4333-be67-b47eee53e3e6	24a28750-f92b-4942-9bee-c9721ed041b6	CRAH
ebd255eb-0343-4333-be67-b47eee53e3e6	191f3cfe-65e5-4af5-bdb8-1af0283c4f50	CRAC
ebd255eb-0343-4333-be67-b47eee53e3e6	cf2d83a7-26a2-47c3-8de8-6a047507615f	CRAC_WITHOUT_FAN
ebd255eb-0343-4333-be67-b47eee53e3e6	937631d1-9e2a-4666-92df-7db0ddb644c0	CRAC_FAN
ebd255eb-0343-4333-be67-b47eee53e3e6	204fc399-f654-48e2-a470-ef1607b583c9	CHILLER
ebd255eb-0343-4333-be67-b47eee53e3e6	33790f08-c541-4331-a1cc-1398f5c137ab	AIR_COOLED_CHILLER
ebd255eb-0343-4333-be67-b47eee53e3e6	aa5aaedb-b271-4287-ada2-fdfc8c5afbad	COOLING_TOWER
ebd255eb-0343-4333-be67-b47eee53e3e6	0909a781-1692-4729-861c-0bf895b1457a	DRY_COOLER
ebd255eb-0343-4333-be67-b47eee53e3e6	11ab8186-e88f-4219-8a14-4f9e052023af	REMOTE_CONDENSER
ebd255eb-0343-4333-be67-b47eee53e3e6	44b15612-6aa1-42f2-a4c5-4488a0f94a10	CHILLED_WATER_PUMPS
ebd255eb-0343-4333-be67-b47eee53e3e6	8d48e5e0-cac6-45b9-80ab-e73e176ea5d0	HEAT_REJECTION_PUMPS
ebd255eb-0343-4333-be67-b47eee53e3e6	0138dcf2-4cc3-429d-922d-dc69069b4704	VENTILATION
ebd255eb-0343-4333-be67-b47eee53e3e6	9972f178-361f-4265-9e44-db548f4cbafe	INFILTRATION
ebd255eb-0343-4333-be67-b47eee53e3e6	80e43a4a-1cca-4603-9ccc-a42737e84e4c	IT_LOAD
86186995-b969-4714-8303-ecbb647df93d	d8af7245-0ccf-4b35-8826-575bea370c37	SWITCHGEAR
86186995-b969-4714-8303-ecbb647df93d	8e7327bf-a7c0-4881-b8cd-25d637cfb033	GENERATOR
86186995-b969-4714-8303-ecbb647df93d	00cd2934-a07d-4dd5-b7bf-f3127098f6fc	PRIMARY_AUXILIARIES
86186995-b969-4714-8303-ecbb647df93d	2d54dd25-828f-419f-872e-e4534aa98479	UPS
86186995-b969-4714-8303-ecbb647df93d	e56b3103-4263-42fa-8258-668a6a44aae1	CRITICAL_AUXILIARIES
86186995-b969-4714-8303-ecbb647df93d	e2c083fc-d4ff-4c02-b25f-3962c55bcd81	LIGHTING
86186995-b969-4714-8303-ecbb647df93d	173b11d3-b91b-4fb7-b398-76c102c1a16d	CRITICAL_POWER_DISTRIBUTION
86186995-b969-4714-8303-ecbb647df93d	a881e51b-00e9-48ef-b96f-05f8be4fc7af	CRAH
86186995-b969-4714-8303-ecbb647df93d	8cdd777c-35b8-4892-bc00-572741fd7800	CRAC
86186995-b969-4714-8303-ecbb647df93d	0576c208-13fa-46da-8c08-8a6efaa0a655	CRAC_WITHOUT_FAN
86186995-b969-4714-8303-ecbb647df93d	fbd83395-0943-4545-a0b8-550c61723f99	CRAC_FAN
86186995-b969-4714-8303-ecbb647df93d	37cb525c-f213-49da-baf3-1abe5e3e5d13	CHILLER
86186995-b969-4714-8303-ecbb647df93d	e8a6684b-d7ab-4ed1-bcc7-1469ae240046	AIR_COOLED_CHILLER
86186995-b969-4714-8303-ecbb647df93d	2bf9a5ea-337b-4cbf-8f10-b48fde24d883	COOLING_TOWER
86186995-b969-4714-8303-ecbb647df93d	b476a779-0570-4d5e-8bc8-91b82ac1fc4e	DRY_COOLER
86186995-b969-4714-8303-ecbb647df93d	f6219b5a-30be-4916-92dd-88e0fca17195	REMOTE_CONDENSER
86186995-b969-4714-8303-ecbb647df93d	915bc8bd-519f-4e9e-8df3-ef1a459d1b98	CHILLED_WATER_PUMPS
86186995-b969-4714-8303-ecbb647df93d	7f8d9edd-e701-4096-bf8e-b82a87cd486d	HEAT_REJECTION_PUMPS
86186995-b969-4714-8303-ecbb647df93d	ca7dc771-1f88-49ab-833e-54d46f7deb28	VENTILATION
86186995-b969-4714-8303-ecbb647df93d	8d016101-0769-4ef6-9a2e-7e97f0fb2ddc	INFILTRATION
86186995-b969-4714-8303-ecbb647df93d	7c17d180-9bb8-4650-b7c7-53bd3ac81580	IT_LOAD
8a7f659e-6910-4c12-aee6-dffb87684b68	7f772586-fef1-423c-a6ff-73f72b71ccf7	SWITCHGEAR
8a7f659e-6910-4c12-aee6-dffb87684b68	4a6a13db-2916-49eb-a6c0-4e531e906255	GENERATOR
8a7f659e-6910-4c12-aee6-dffb87684b68	43bdff42-7562-4dd5-9936-dacf4370b22f	PRIMARY_AUXILIARIES
8a7f659e-6910-4c12-aee6-dffb87684b68	e68a53bf-1c4c-4456-a02d-2b8f6874697f	UPS
8a7f659e-6910-4c12-aee6-dffb87684b68	eac3e707-165d-4cf3-9988-56f5ddfa8e38	CRITICAL_AUXILIARIES
8a7f659e-6910-4c12-aee6-dffb87684b68	d50ce610-73ee-4619-ab15-048c663d4219	LIGHTING
8a7f659e-6910-4c12-aee6-dffb87684b68	3c6313cd-9e49-421c-9d70-c11513c456e4	CRITICAL_POWER_DISTRIBUTION
8a7f659e-6910-4c12-aee6-dffb87684b68	0ea1d68b-39ba-4d74-a6ee-c3ee5d791e89	CRAH
8a7f659e-6910-4c12-aee6-dffb87684b68	041a1d10-fe60-4c88-901b-11553a27a06b	CRAC
8a7f659e-6910-4c12-aee6-dffb87684b68	621a734a-d12d-49fa-8c32-39e0dccdd13f	CRAC_WITHOUT_FAN
8a7f659e-6910-4c12-aee6-dffb87684b68	0a52ae2c-d0db-4261-a064-a4c9eec820c0	CRAC_FAN
8a7f659e-6910-4c12-aee6-dffb87684b68	07cf070d-7a34-4d24-82bf-bf9fb736a0b2	CHILLER
8a7f659e-6910-4c12-aee6-dffb87684b68	1e5e7a93-13bf-4c51-8c77-98340b4e51f2	AIR_COOLED_CHILLER
8a7f659e-6910-4c12-aee6-dffb87684b68	8cbafe2f-cbff-422e-a417-f75a2921b2d1	COOLING_TOWER
8a7f659e-6910-4c12-aee6-dffb87684b68	ef9c41b8-a93a-472f-9c35-9715679fd754	DRY_COOLER
8a7f659e-6910-4c12-aee6-dffb87684b68	d8e1a3f2-677f-4584-b14f-bb16b9f573a7	REMOTE_CONDENSER
8a7f659e-6910-4c12-aee6-dffb87684b68	a780d676-da06-4dc7-97b7-d738197857ed	CHILLED_WATER_PUMPS
8a7f659e-6910-4c12-aee6-dffb87684b68	03cc6b66-1e51-49e2-8473-ce70301a15ef	HEAT_REJECTION_PUMPS
8a7f659e-6910-4c12-aee6-dffb87684b68	963ebd26-d856-43f9-875b-809f65527f71	VENTILATION
8a7f659e-6910-4c12-aee6-dffb87684b68	522fdaf5-db70-4db2-9f2d-8ff3959d03ae	INFILTRATION
8a7f659e-6910-4c12-aee6-dffb87684b68	130af5a1-b610-46b0-a3a9-a6d4986f3644	IT_LOAD
588cc6af-25ca-4c51-a7d0-a7fb516464ac	02119f6d-a3c7-4d1f-bff0-51accedb5858	SWITCHGEAR
588cc6af-25ca-4c51-a7d0-a7fb516464ac	fe07013b-3e9c-4515-859a-f5944d2c3a50	GENERATOR
588cc6af-25ca-4c51-a7d0-a7fb516464ac	0b90f5af-4351-4206-83ae-3896838fafe1	PRIMARY_AUXILIARIES
588cc6af-25ca-4c51-a7d0-a7fb516464ac	951fd897-fd32-4d4e-9f38-2a1479e856a0	UPS
588cc6af-25ca-4c51-a7d0-a7fb516464ac	db9b70f9-8583-454b-b55f-aafafe54c3d9	CRITICAL_AUXILIARIES
588cc6af-25ca-4c51-a7d0-a7fb516464ac	38bf3be7-7a30-480d-a73f-60ef26710419	LIGHTING
588cc6af-25ca-4c51-a7d0-a7fb516464ac	838e9ad1-8854-4699-8b4d-a8f04751da09	CRITICAL_POWER_DISTRIBUTION
588cc6af-25ca-4c51-a7d0-a7fb516464ac	3616e381-b769-437c-802e-5849c7220b59	CRAH
588cc6af-25ca-4c51-a7d0-a7fb516464ac	58aca6a6-61da-4797-81bd-8c146b8938ae	CRAC
588cc6af-25ca-4c51-a7d0-a7fb516464ac	be6db56a-aacd-42ee-9b58-6228586b5679	CRAC_WITHOUT_FAN
588cc6af-25ca-4c51-a7d0-a7fb516464ac	4b04b466-b73f-4ce9-98e5-71585a6f5f62	CRAC_FAN
588cc6af-25ca-4c51-a7d0-a7fb516464ac	1e43bf2e-ee1a-4041-a87d-9f779085df94	CHILLER
588cc6af-25ca-4c51-a7d0-a7fb516464ac	28b0989e-f322-4b5a-991d-9f95d41dc5fa	AIR_COOLED_CHILLER
588cc6af-25ca-4c51-a7d0-a7fb516464ac	121668ff-f00f-4356-8cfb-7f2ccb379fb3	COOLING_TOWER
588cc6af-25ca-4c51-a7d0-a7fb516464ac	e3deb2a7-5b84-46b3-b553-65389266c5fa	DRY_COOLER
588cc6af-25ca-4c51-a7d0-a7fb516464ac	b284f68b-defb-451d-9c87-1748678efd09	REMOTE_CONDENSER
588cc6af-25ca-4c51-a7d0-a7fb516464ac	06539cc0-0950-45f1-ad73-a212dfa24733	CHILLED_WATER_PUMPS
588cc6af-25ca-4c51-a7d0-a7fb516464ac	9881854a-86ca-4004-84fc-9ec285a63a64	HEAT_REJECTION_PUMPS
588cc6af-25ca-4c51-a7d0-a7fb516464ac	41aa47d5-5666-468c-a5a5-f7fa1ee658d8	VENTILATION
588cc6af-25ca-4c51-a7d0-a7fb516464ac	1fd04868-6da8-47e7-a4c2-a8712e9838ae	INFILTRATION
588cc6af-25ca-4c51-a7d0-a7fb516464ac	ff983029-73e7-4295-ad47-8a6dfb21b967	IT_LOAD
d5b37463-26c7-4e84-8229-8f85a1d64788	ab82c151-f556-4073-9b44-941d39f737d7	SWITCHGEAR
d5b37463-26c7-4e84-8229-8f85a1d64788	43e57c92-08fb-459d-a20d-71bf9f465e9a	GENERATOR
d5b37463-26c7-4e84-8229-8f85a1d64788	55f02510-0f37-457c-b6d4-1772c30af503	PRIMARY_AUXILIARIES
d5b37463-26c7-4e84-8229-8f85a1d64788	5942f5e3-6788-42d0-9907-4a47452193ec	UPS
d5b37463-26c7-4e84-8229-8f85a1d64788	4cec5d65-1b64-4015-a83d-f520257f6351	CRITICAL_AUXILIARIES
d5b37463-26c7-4e84-8229-8f85a1d64788	62305d04-c6b5-4b8d-bf15-9365ca086699	LIGHTING
d5b37463-26c7-4e84-8229-8f85a1d64788	87d326b1-819a-44cd-bc8d-52a7096f93fb	CRITICAL_POWER_DISTRIBUTION
d5b37463-26c7-4e84-8229-8f85a1d64788	1e8a2bb6-d190-41c0-899e-50c3454507a1	CRAH
d5b37463-26c7-4e84-8229-8f85a1d64788	ba4fc16f-18e2-4610-901c-c577266b0d37	CRAC
d5b37463-26c7-4e84-8229-8f85a1d64788	dc5b0151-e500-4437-8437-1bcfd9e4b77e	CRAC_WITHOUT_FAN
d5b37463-26c7-4e84-8229-8f85a1d64788	e3e3f7eb-a575-482b-8c47-bff39984da4f	CRAC_FAN
d5b37463-26c7-4e84-8229-8f85a1d64788	17954ed8-cd80-4129-b871-598e508237ba	CHILLER
d5b37463-26c7-4e84-8229-8f85a1d64788	1b881794-c9e6-4197-8328-9f3d6322006b	AIR_COOLED_CHILLER
d5b37463-26c7-4e84-8229-8f85a1d64788	a36cdcfd-dbe9-4e43-b44a-0b0dedb69eb6	COOLING_TOWER
d5b37463-26c7-4e84-8229-8f85a1d64788	a55cbb3d-22fa-48d2-b081-5ffb0c6c318e	DRY_COOLER
d5b37463-26c7-4e84-8229-8f85a1d64788	495f4dcf-a2eb-4ea5-9a18-06b280299405	REMOTE_CONDENSER
d5b37463-26c7-4e84-8229-8f85a1d64788	2f46992c-db7d-4ef1-a355-9a23e9b3c6d0	CHILLED_WATER_PUMPS
d5b37463-26c7-4e84-8229-8f85a1d64788	f95d1c4a-9074-4eca-a559-0e215fb05423	HEAT_REJECTION_PUMPS
d5b37463-26c7-4e84-8229-8f85a1d64788	a88638a7-246c-46c8-8f11-50471692aeb8	VENTILATION
d5b37463-26c7-4e84-8229-8f85a1d64788	e97a9904-a3d3-415c-81c9-04489442b344	INFILTRATION
d5b37463-26c7-4e84-8229-8f85a1d64788	ce483319-3c9f-4c5d-9864-818b994bcb96	IT_LOAD
a12b2e27-02d0-4391-8e7b-6b9b74020d20	c9a498c1-9eac-44ef-a9f7-8262b8e14ddd	SWITCHGEAR
a12b2e27-02d0-4391-8e7b-6b9b74020d20	6de987b3-e223-4b6e-af58-cf077b09722b	GENERATOR
a12b2e27-02d0-4391-8e7b-6b9b74020d20	366ea454-3e04-4682-bc7b-a6f323ed30e3	PRIMARY_AUXILIARIES
a12b2e27-02d0-4391-8e7b-6b9b74020d20	2f0fa3c1-0ed9-42fe-b353-de0ae4142f02	UPS
a12b2e27-02d0-4391-8e7b-6b9b74020d20	93357120-2bc5-4e1e-8c7e-8dc4f39b464b	CRITICAL_AUXILIARIES
a12b2e27-02d0-4391-8e7b-6b9b74020d20	2e8ff26d-2e20-4359-a418-493dbecfa81d	LIGHTING
a12b2e27-02d0-4391-8e7b-6b9b74020d20	a92e72cc-3a82-413b-941c-1fd8b26b32b2	CRITICAL_POWER_DISTRIBUTION
a12b2e27-02d0-4391-8e7b-6b9b74020d20	80c3323e-07fd-406c-ac38-631e12b3eb74	CRAH
a12b2e27-02d0-4391-8e7b-6b9b74020d20	4fc3c6c7-bb71-4b7e-9982-326a8ae0cff4	CRAC
a12b2e27-02d0-4391-8e7b-6b9b74020d20	42601996-635e-4854-84c7-6d218722e3c1	CRAC_WITHOUT_FAN
a12b2e27-02d0-4391-8e7b-6b9b74020d20	1f4c1b9d-3bf9-4e1e-a062-42753a9bee62	CRAC_FAN
a12b2e27-02d0-4391-8e7b-6b9b74020d20	600c2cfe-123f-4e02-a50b-140bb5455da8	CHILLER
a12b2e27-02d0-4391-8e7b-6b9b74020d20	b17d934a-f9c1-4ac7-8775-6264dcdfd8ba	AIR_COOLED_CHILLER
a12b2e27-02d0-4391-8e7b-6b9b74020d20	f28b7ee3-bb29-44bc-901f-38a4eec390e0	COOLING_TOWER
a12b2e27-02d0-4391-8e7b-6b9b74020d20	e4f3b1e9-5975-4af4-96b1-561ad768919c	DRY_COOLER
a12b2e27-02d0-4391-8e7b-6b9b74020d20	a59c3a2b-f601-4cdb-bcaa-308102d71bb6	REMOTE_CONDENSER
a12b2e27-02d0-4391-8e7b-6b9b74020d20	671ade8f-a159-4618-a69b-bd2a7fbc1596	CHILLED_WATER_PUMPS
a12b2e27-02d0-4391-8e7b-6b9b74020d20	b18eba04-293e-4817-babd-f38ba222cd35	HEAT_REJECTION_PUMPS
a12b2e27-02d0-4391-8e7b-6b9b74020d20	a121c7fb-90b5-4c37-a805-82d479fc202b	VENTILATION
a12b2e27-02d0-4391-8e7b-6b9b74020d20	8e0c0407-cab0-4a12-a0f8-061b3e6cf706	INFILTRATION
a12b2e27-02d0-4391-8e7b-6b9b74020d20	4c45d5ec-38ac-4c9e-b786-d7924ba4ec8f	IT_LOAD
b9cf3989-e45d-4409-a261-7887c79c8d78	3c41ecd7-c476-45e9-9dec-1e4994d39b40	SWITCHGEAR
b9cf3989-e45d-4409-a261-7887c79c8d78	fbddb969-f485-4ff0-b3aa-03f1c108e2be	GENERATOR
b9cf3989-e45d-4409-a261-7887c79c8d78	66481f32-c029-47b3-805e-b566540549a5	PRIMARY_AUXILIARIES
b9cf3989-e45d-4409-a261-7887c79c8d78	773f833f-d656-4f1c-8997-387c366e9228	UPS
b9cf3989-e45d-4409-a261-7887c79c8d78	6614a519-5c9e-4326-b22d-1575a6c361cf	CRITICAL_AUXILIARIES
b9cf3989-e45d-4409-a261-7887c79c8d78	3523a6b2-334d-42b8-98cd-efa07ff66ee7	LIGHTING
b9cf3989-e45d-4409-a261-7887c79c8d78	b68f39eb-df1b-4f05-9910-2a29986e5480	CRITICAL_POWER_DISTRIBUTION
b9cf3989-e45d-4409-a261-7887c79c8d78	f1274e81-0af8-4787-954f-6d5f7291da05	CRAH
b9cf3989-e45d-4409-a261-7887c79c8d78	4d624159-5276-4661-b4c9-b856596188c8	CRAC
b9cf3989-e45d-4409-a261-7887c79c8d78	81f4977c-0e02-4527-8c4d-e44f9dabae56	CRAC_WITHOUT_FAN
b9cf3989-e45d-4409-a261-7887c79c8d78	4722faa6-67e9-42a1-9731-a80c9530a9ea	CRAC_FAN
b9cf3989-e45d-4409-a261-7887c79c8d78	ae2a2216-5375-4931-ba2b-a1495d1fc3a6	CHILLER
b9cf3989-e45d-4409-a261-7887c79c8d78	3daf3374-b93b-48eb-be01-affc35fa9b63	AIR_COOLED_CHILLER
b9cf3989-e45d-4409-a261-7887c79c8d78	8660cf55-4759-4954-a32b-90f8bb1b8ad1	COOLING_TOWER
b9cf3989-e45d-4409-a261-7887c79c8d78	bc89aa69-26b3-4cf6-b221-5414d54df931	DRY_COOLER
b9cf3989-e45d-4409-a261-7887c79c8d78	797b6f08-ad43-4779-8cd9-fd02c4546b82	REMOTE_CONDENSER
b9cf3989-e45d-4409-a261-7887c79c8d78	e8536cdd-f46d-45cb-9560-b619d04bf4e3	CHILLED_WATER_PUMPS
b9cf3989-e45d-4409-a261-7887c79c8d78	1cc2f178-fd8f-4661-a89f-6e17907df3ee	HEAT_REJECTION_PUMPS
b9cf3989-e45d-4409-a261-7887c79c8d78	f79a8107-5500-4cca-b30f-bc498fe90597	VENTILATION
b9cf3989-e45d-4409-a261-7887c79c8d78	d715b38e-2fa1-4585-8d60-52e865363158	INFILTRATION
b9cf3989-e45d-4409-a261-7887c79c8d78	963e9aec-bd49-4484-a1aa-f2c9b40444d6	IT_LOAD
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	ce43b55a-e7e1-4507-b131-ed094273b58f	SWITCHGEAR
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	d8c5fc66-d37e-4a44-9629-4c7879f758df	GENERATOR
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	ea992056-b7f5-48b9-9c3b-00c01937796b	PRIMARY_AUXILIARIES
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	0e00e894-da05-4877-9b85-80066281233e	UPS
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	3d851f46-a8c4-4ba3-917e-0dac5c9d7e6e	CRITICAL_AUXILIARIES
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	923bc004-1ab7-4bbd-b50b-d6778e2fd286	LIGHTING
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	e5985c4f-406e-4dc2-8a10-b6de95365ffb	CRITICAL_POWER_DISTRIBUTION
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	113c3c1a-7acd-4a83-931e-ed2397e8f023	CRAH
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	7b3063db-5e63-4730-b78b-b2a8d509a48e	CRAC
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	e28de859-ba9a-49f4-9e24-7980746b90e3	CRAC_WITHOUT_FAN
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	66ba2fd2-c214-43cd-96cb-a737ae5e1aa2	CRAC_FAN
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	8dd7a1cd-aa5e-4eb2-982c-7c65880b5886	CHILLER
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	7c94731b-85df-4ad8-bfcc-80c139ee996f	AIR_COOLED_CHILLER
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	2feeebac-c468-41d5-b838-679b08e27963	COOLING_TOWER
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	b1a49242-3b2d-41a6-9112-39b39aeba448	DRY_COOLER
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	16c78241-9482-4feb-9efc-639113573aa5	REMOTE_CONDENSER
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	318f5c79-3660-4b5f-8ae9-99be26b22fae	CHILLED_WATER_PUMPS
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	913fa8b1-16a3-4b86-8d3b-c27242f5f19d	HEAT_REJECTION_PUMPS
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	7609937a-d071-4f16-9ff1-321196680754	VENTILATION
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	0e7bafd4-e049-4fd2-b685-6a09d3b20bf7	INFILTRATION
dd37d4f6-33ac-4cfb-bca5-094452ba53e7	71575b4b-abac-4329-9f63-a3ef3f1155b5	IT_LOAD
db9bd7e5-f0f1-483f-9a91-d481d0786985	9e9a5e43-385e-4e1b-96a3-439b696a0971	SWITCHGEAR
db9bd7e5-f0f1-483f-9a91-d481d0786985	f331d908-0233-4afc-ac57-00ededba19ce	GENERATOR
db9bd7e5-f0f1-483f-9a91-d481d0786985	9a74894e-3619-488a-a386-954e252278ca	PRIMARY_AUXILIARIES
db9bd7e5-f0f1-483f-9a91-d481d0786985	7d0e2e14-d9ca-4cad-9217-e0a84246640c	UPS
db9bd7e5-f0f1-483f-9a91-d481d0786985	64801ce5-2df8-4475-8a0c-0a65cb807a85	CRITICAL_AUXILIARIES
db9bd7e5-f0f1-483f-9a91-d481d0786985	669313f7-44f8-4a28-a018-4df6fa0c735c	LIGHTING
db9bd7e5-f0f1-483f-9a91-d481d0786985	79fe44ab-6383-47cc-ac73-e1187e6d87d1	CRITICAL_POWER_DISTRIBUTION
db9bd7e5-f0f1-483f-9a91-d481d0786985	e69289d9-4ed9-45e4-afdc-6659cddc8126	CRAH
db9bd7e5-f0f1-483f-9a91-d481d0786985	809c04a8-c4d5-4c11-b4e6-0270fc885716	CRAC
db9bd7e5-f0f1-483f-9a91-d481d0786985	54eb2659-3604-4732-b404-1c3a7da96bfe	CRAC_WITHOUT_FAN
db9bd7e5-f0f1-483f-9a91-d481d0786985	65fb9a4b-682f-4852-9db5-b8e3cbcee19b	CRAC_FAN
db9bd7e5-f0f1-483f-9a91-d481d0786985	654d5cf4-492e-438c-9e5d-9a942c0eff7f	CHILLER
db9bd7e5-f0f1-483f-9a91-d481d0786985	88c1e795-5a2d-4a2a-b9f3-d2ead12a96d6	AIR_COOLED_CHILLER
db9bd7e5-f0f1-483f-9a91-d481d0786985	4c18a188-0b66-4346-9ae3-951f4c7459f0	COOLING_TOWER
db9bd7e5-f0f1-483f-9a91-d481d0786985	652ab610-4f07-4f17-b899-e3c86b74ce64	DRY_COOLER
db9bd7e5-f0f1-483f-9a91-d481d0786985	44208400-f966-458c-b593-ba22ef224793	REMOTE_CONDENSER
db9bd7e5-f0f1-483f-9a91-d481d0786985	b8221b38-3bc0-4e0e-87cd-67e15c36918a	CHILLED_WATER_PUMPS
db9bd7e5-f0f1-483f-9a91-d481d0786985	1c6b30c8-1983-409a-802b-5278761170cd	HEAT_REJECTION_PUMPS
db9bd7e5-f0f1-483f-9a91-d481d0786985	cb785c9f-301a-4fb0-8ca5-a4382fdcdd12	VENTILATION
db9bd7e5-f0f1-483f-9a91-d481d0786985	55ea60ad-2c85-493c-8cc0-cf6724856bb3	INFILTRATION
db9bd7e5-f0f1-483f-9a91-d481d0786985	ac05f7cd-e484-438d-ae3e-bd2bdc43b283	IT_LOAD
11b9025f-f121-44bf-937b-c2089a596f31	3b373b6c-9095-4d19-80f9-6fcdf3e0ca6e	SWITCHGEAR
11b9025f-f121-44bf-937b-c2089a596f31	ed5f7b09-ac11-484e-9196-e2ac5a3cad6a	GENERATOR
11b9025f-f121-44bf-937b-c2089a596f31	573db7f6-36b2-4dde-bbcc-cfe23acf6976	PRIMARY_AUXILIARIES
11b9025f-f121-44bf-937b-c2089a596f31	5b292852-062d-4e0c-9fa8-716930cb4886	UPS
11b9025f-f121-44bf-937b-c2089a596f31	b2c62c98-c5f1-42d8-86b4-38b57258de7e	CRITICAL_AUXILIARIES
11b9025f-f121-44bf-937b-c2089a596f31	812d3d5e-6b03-46b6-aa01-976eba3a4b1e	LIGHTING
11b9025f-f121-44bf-937b-c2089a596f31	16c54cda-6837-40f8-bc9e-345e931750ea	CRITICAL_POWER_DISTRIBUTION
11b9025f-f121-44bf-937b-c2089a596f31	72f675c1-6f84-4573-aa09-ba3b1b9f1b69	CRAH
11b9025f-f121-44bf-937b-c2089a596f31	e3e1b364-fb33-41c4-bc59-fa4f57f7b212	CRAC
11b9025f-f121-44bf-937b-c2089a596f31	7193353e-e5cc-42b9-920f-8d650c8f999a	CRAC_WITHOUT_FAN
11b9025f-f121-44bf-937b-c2089a596f31	13e923ea-88c5-459d-893e-0de74881ecfb	CRAC_FAN
11b9025f-f121-44bf-937b-c2089a596f31	d4167d99-0f1f-4c4f-a12e-0f98603d8c4f	CHILLER
11b9025f-f121-44bf-937b-c2089a596f31	64c684c5-b00a-45c1-9090-c3899dad1010	AIR_COOLED_CHILLER
11b9025f-f121-44bf-937b-c2089a596f31	e1831840-9426-48de-96ac-d8fd05ab3739	COOLING_TOWER
11b9025f-f121-44bf-937b-c2089a596f31	a016a7b2-3d0e-456f-8e6a-9ff407e54fb8	DRY_COOLER
11b9025f-f121-44bf-937b-c2089a596f31	f66f545d-fd25-4734-aedc-9dfa930d19bb	REMOTE_CONDENSER
11b9025f-f121-44bf-937b-c2089a596f31	958c2b2d-2a70-4397-b72e-cacad9c805c1	CHILLED_WATER_PUMPS
11b9025f-f121-44bf-937b-c2089a596f31	d8303239-2ba3-405e-8825-0bdaecaefdd0	HEAT_REJECTION_PUMPS
11b9025f-f121-44bf-937b-c2089a596f31	922fa6c9-6b40-4f47-b4f4-625ff3990e71	VENTILATION
11b9025f-f121-44bf-937b-c2089a596f31	d2a419c2-cdf1-4f38-97bc-b561172f08fd	INFILTRATION
11b9025f-f121-44bf-937b-c2089a596f31	0c545793-da14-4ed8-b2d5-56d6f2aa8995	IT_LOAD
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	0e22ad9e-e2a8-4f2d-a979-740001a6f73b	SWITCHGEAR
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	bbe33217-63e8-46a3-b474-9aca61f3f924	GENERATOR
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	2a62c4da-f54d-47ae-bad5-c75667f26ec3	PRIMARY_AUXILIARIES
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	bed700e3-084f-44f6-9cc7-05f7280564e9	UPS
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	9bdcdebd-a5c8-4585-8877-ca54f613493b	CRITICAL_AUXILIARIES
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	0af4389b-cc62-4e34-ac03-9fe81de76285	LIGHTING
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	517e7725-a279-4dab-8552-12f5f0618235	CRITICAL_POWER_DISTRIBUTION
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	abacdd8b-3b56-43af-9ff3-7a026b682fc9	CRAH
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	2467b072-79e9-4e81-b45d-15c52857391e	CRAC
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	42e4d321-8f9d-4e1c-a06d-a8efeb21c3cd	CRAC_WITHOUT_FAN
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	d1348c39-a4a0-4f7b-b272-9ed5d4be4009	CRAC_FAN
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	fe5464ea-a799-4ab8-a5bb-c9b5b858103a	CHILLER
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	73691a35-e99a-4c2b-8283-6c706e327280	AIR_COOLED_CHILLER
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	fb4e344f-cd74-4a7f-baa3-d4c818e977ab	COOLING_TOWER
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	a6879e53-0a7d-4937-80aa-cce0c898586b	DRY_COOLER
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	37d34109-b539-49f3-b315-f375b8039b6e	REMOTE_CONDENSER
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	c1e13796-3d2d-4679-8050-7007ed600314	CHILLED_WATER_PUMPS
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	3d5c5765-6371-4c7f-9966-2ad90d6ee838	HEAT_REJECTION_PUMPS
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	8770e017-a1dd-4506-b984-273c01fdbf12	VENTILATION
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	991371a3-ba88-4c80-a638-c016b53525b0	INFILTRATION
4a9f12c3-9641-435b-afdf-4cdafe0d85d6	355965e4-0788-4123-9a68-3b55e5ce773a	IT_LOAD
e103b4da-9645-40bf-b6d6-705e5c8662c8	172263e4-a631-4c68-9371-017b32a63d1a	SWITCHGEAR
e103b4da-9645-40bf-b6d6-705e5c8662c8	a01bd1d3-8a2e-4bc7-9a9b-8f9800208ec4	GENERATOR
e103b4da-9645-40bf-b6d6-705e5c8662c8	17ba4b1a-8691-43da-bfcf-6b211a500029	PRIMARY_AUXILIARIES
e103b4da-9645-40bf-b6d6-705e5c8662c8	b527f04c-2691-4154-9ffb-2eeb6c3c4589	UPS
e103b4da-9645-40bf-b6d6-705e5c8662c8	1b5209cd-cbd2-4de4-ba3e-68ce64810cdd	CRITICAL_AUXILIARIES
e103b4da-9645-40bf-b6d6-705e5c8662c8	2bb65b4f-f777-4367-b680-6cace1bafd51	LIGHTING
e103b4da-9645-40bf-b6d6-705e5c8662c8	1a02acc9-4c6d-4a97-8985-e162e7b37820	CRITICAL_POWER_DISTRIBUTION
e103b4da-9645-40bf-b6d6-705e5c8662c8	662c959b-e26c-4f86-b6ca-56c6182238dd	CRAH
e103b4da-9645-40bf-b6d6-705e5c8662c8	2e06e483-6e7b-4787-9d8c-8de7e5818ebd	CRAC
e103b4da-9645-40bf-b6d6-705e5c8662c8	e9ee5e06-96c4-4094-a616-edd7a46efeb2	CRAC_WITHOUT_FAN
e103b4da-9645-40bf-b6d6-705e5c8662c8	1d29263d-3b6d-4616-9816-a0126e0d6bb5	CRAC_FAN
e103b4da-9645-40bf-b6d6-705e5c8662c8	6f53b7bd-17ea-4fd7-9488-c2266e21b14d	CHILLER
e103b4da-9645-40bf-b6d6-705e5c8662c8	6ce76bde-1348-4f64-be87-d50462ae1b73	AIR_COOLED_CHILLER
e103b4da-9645-40bf-b6d6-705e5c8662c8	6f077cab-461e-455b-8e36-81c3abcfbb6f	COOLING_TOWER
e103b4da-9645-40bf-b6d6-705e5c8662c8	093abdab-91db-4ec2-a98c-b044c61c99f4	DRY_COOLER
e103b4da-9645-40bf-b6d6-705e5c8662c8	2bdca0f4-83a2-4f00-b298-6babbb2b0712	REMOTE_CONDENSER
e103b4da-9645-40bf-b6d6-705e5c8662c8	405900b4-0c0e-4569-8f8c-542cd8f75b3e	CHILLED_WATER_PUMPS
e103b4da-9645-40bf-b6d6-705e5c8662c8	97fc459c-2e7f-40ab-9a08-42a5911a7783	HEAT_REJECTION_PUMPS
e103b4da-9645-40bf-b6d6-705e5c8662c8	db883449-59b2-4965-ab98-4d4bef95e19c	VENTILATION
e103b4da-9645-40bf-b6d6-705e5c8662c8	c5a78784-191f-423b-822c-019b7f74e2d0	INFILTRATION
e103b4da-9645-40bf-b6d6-705e5c8662c8	753e8ceb-2d9d-4c67-9512-473ca65e002d	IT_LOAD
2e69be58-05f5-4608-99e6-441c647bb998	dd41bef9-465b-4b76-ad45-906a285d60f8	SWITCHGEAR
2e69be58-05f5-4608-99e6-441c647bb998	7525561f-d8d4-47e2-84cb-6f2d7578878c	GENERATOR
2e69be58-05f5-4608-99e6-441c647bb998	7a5445bd-298e-488d-b85b-7e2c36dbc10f	PRIMARY_AUXILIARIES
2e69be58-05f5-4608-99e6-441c647bb998	a64c5ec8-d9eb-43e6-bf34-833c825f9eef	UPS
2e69be58-05f5-4608-99e6-441c647bb998	1f60860a-4d00-471a-b9f6-4db3e54f5b81	CRITICAL_AUXILIARIES
2e69be58-05f5-4608-99e6-441c647bb998	88da2f53-c209-4d08-9fc6-f3c8f4c22ed9	LIGHTING
2e69be58-05f5-4608-99e6-441c647bb998	830adbdd-8474-481b-bd7e-bcba31d3a280	CRITICAL_POWER_DISTRIBUTION
2e69be58-05f5-4608-99e6-441c647bb998	a93f04b2-bbd9-47de-9793-341b917e7f11	CRAH
2e69be58-05f5-4608-99e6-441c647bb998	c0fe3ddb-e540-483b-9c56-d1d533158047	CRAC
2e69be58-05f5-4608-99e6-441c647bb998	bf9f3ee6-13fb-4392-96b5-6b15b1e3303e	CRAC_WITHOUT_FAN
2e69be58-05f5-4608-99e6-441c647bb998	81ca9d00-7d1a-481b-8d71-c34cf1bb8efd	CRAC_FAN
2e69be58-05f5-4608-99e6-441c647bb998	f314385c-98eb-45e7-981a-2d6743588efd	CHILLER
2e69be58-05f5-4608-99e6-441c647bb998	1bb6f283-652a-4a4d-9cca-624b6c5ac526	AIR_COOLED_CHILLER
2e69be58-05f5-4608-99e6-441c647bb998	840c443e-33d8-4f4b-9f31-fdf8dcb489f3	COOLING_TOWER
2e69be58-05f5-4608-99e6-441c647bb998	c68a2c47-23d3-4c15-93c5-fab3491ceb3b	DRY_COOLER
2e69be58-05f5-4608-99e6-441c647bb998	901179ab-0141-4380-9ab2-eba8a209d582	REMOTE_CONDENSER
2e69be58-05f5-4608-99e6-441c647bb998	9eb753d7-ec8c-41bc-9d16-4d5a51e9a002	CHILLED_WATER_PUMPS
2e69be58-05f5-4608-99e6-441c647bb998	8747a097-f5c4-4d22-a460-1f275adf7f2d	HEAT_REJECTION_PUMPS
2e69be58-05f5-4608-99e6-441c647bb998	574ea3cb-4351-4b22-8ac1-d40e1aed0378	VENTILATION
2e69be58-05f5-4608-99e6-441c647bb998	fc96b23e-0ca6-4b2d-874f-58c8b77f5165	INFILTRATION
2e69be58-05f5-4608-99e6-441c647bb998	a3dbbc2e-b508-4c62-9ea0-0baf027e88db	IT_LOAD
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	c1ff7ffe-c6a3-4862-a6a2-e78959cba6bc	SWITCHGEAR
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	1fa34fee-675c-4412-a6b3-4ff6be87c0b6	GENERATOR
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	dd3f99f0-ba62-45c2-ac73-6d6e8ae533ac	PRIMARY_AUXILIARIES
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	2f1e54a6-bf8a-4b61-b426-233504797318	UPS
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	88b06a9c-17ba-4d9b-a59e-84d339654db1	CRITICAL_AUXILIARIES
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	97538dbe-fa55-416e-b863-450d6c4b3187	LIGHTING
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	ee782649-2b48-4686-ad9f-88ff8d7c29ff	CRITICAL_POWER_DISTRIBUTION
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	1aa95543-56c2-4e8d-80fe-c17001c125d9	CRAH
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	1f2e652c-f50c-4923-833d-a4d942c25c8c	CRAC
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	2c0570a8-9008-448c-b156-c8e41a279f33	CRAC_WITHOUT_FAN
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	7a71f9b0-4b8f-4df5-9529-518ee4988f28	CRAC_FAN
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	9f4a9f9f-fc5c-47ce-a7da-e9373af701b7	CHILLER
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	f8d698ed-6648-40ed-8914-e51fe50fbbc6	AIR_COOLED_CHILLER
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	5f789d56-cd9c-443a-8494-07cb755cf580	COOLING_TOWER
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	b4d9f037-b952-4e49-8ded-fe7ceb7f5ea3	DRY_COOLER
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	0a68d377-76c3-4811-8256-2cdf8085db77	REMOTE_CONDENSER
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	02329b54-6023-4692-b7ba-db37df54dc28	CHILLED_WATER_PUMPS
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	08849476-904a-4003-92bb-e295f7a8cf37	HEAT_REJECTION_PUMPS
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	a7c253c1-ca03-420d-a48f-1c4b168b4914	VENTILATION
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	963a68fb-3ec2-4043-b5ef-c71288b4e110	INFILTRATION
2ae09f8d-59ff-4846-8a93-9dac07cb2b20	23e56171-ef8e-46bb-9948-4c7a6215e3e6	IT_LOAD
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	6762e35d-4ef2-4055-b578-5bbfd51ef42f	SWITCHGEAR
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	37c7eb32-64c2-43f7-8802-2e27f076c77b	GENERATOR
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	9c00e472-357c-416d-862a-367ce9e1fa65	PRIMARY_AUXILIARIES
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	0eac792d-2bfc-450a-af85-96838f59ed4d	UPS
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	5de34b8a-51ae-4069-9bbc-2b68ff1ae88d	CRITICAL_AUXILIARIES
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	73905827-0d82-4590-94dd-13728827b090	LIGHTING
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	658147db-b38a-4483-a1a6-315b45f7b731	CRITICAL_POWER_DISTRIBUTION
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	3fdb1cb7-957c-4c5d-ae2d-2d0389c69459	CRAH
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	adb54792-4e8b-404c-a7bd-b2ad8d8e1b4e	CRAC
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	e89be5c6-d625-4569-9026-c2c826b8ed15	CRAC_WITHOUT_FAN
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	4fd25530-7e4a-4f7a-bbcb-233ade2adb93	CRAC_FAN
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	49e4d40d-7713-4fdd-b4de-d9e016c1cbef	CHILLER
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	fa79331d-210f-4273-b834-3ace23ad724e	AIR_COOLED_CHILLER
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	19f9da21-6adc-4e90-b7ab-ce27a6142681	COOLING_TOWER
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	d8e6608b-73c2-4d83-99b0-84a574dcb4fe	DRY_COOLER
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	844642d4-8b31-4007-82bd-1d4bd6dac6c9	REMOTE_CONDENSER
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	9dc95f42-25e5-4ad0-b394-e2f17cee1b78	CHILLED_WATER_PUMPS
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	1b04b4b6-20d3-4742-ba13-5080e0e2a3dd	HEAT_REJECTION_PUMPS
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	6d3b2420-3ae5-428b-aafb-0c303515543c	VENTILATION
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	4a0e5630-7cf5-4b20-b973-02f78c87bc7b	INFILTRATION
3dfcb6ef-4e44-4128-95e0-98e2cd6560ba	983b6bbc-f391-41a8-9bf9-89f8cb49274f	IT_LOAD
282c1e35-8350-4c64-8ca8-82b61d575bad	f328bb46-e7c4-4f43-b180-fbb0f1442da6	SWITCHGEAR
282c1e35-8350-4c64-8ca8-82b61d575bad	0faa7aba-8116-4b57-9d31-80d8046e97e0	GENERATOR
282c1e35-8350-4c64-8ca8-82b61d575bad	69e56ee3-23b2-45f7-93c3-3e7043f44d5f	PRIMARY_AUXILIARIES
282c1e35-8350-4c64-8ca8-82b61d575bad	b2cd3a33-8993-47f7-a5ad-ffb98bb941d5	UPS
282c1e35-8350-4c64-8ca8-82b61d575bad	df5f5a67-f493-4a6b-9432-337647fb7eef	CRITICAL_AUXILIARIES
282c1e35-8350-4c64-8ca8-82b61d575bad	68d4efb4-d843-481b-bbac-a0807287d5f0	LIGHTING
282c1e35-8350-4c64-8ca8-82b61d575bad	0f34025b-3e96-4bbc-99b8-61eb38e7713c	CRITICAL_POWER_DISTRIBUTION
282c1e35-8350-4c64-8ca8-82b61d575bad	ad0afaa4-e6a5-404e-8281-680317d18e7a	CRAH
282c1e35-8350-4c64-8ca8-82b61d575bad	f256c5a4-59a1-4c15-a815-1b136aee1bcf	CRAC
282c1e35-8350-4c64-8ca8-82b61d575bad	a937f48f-af74-4042-94fd-95f174b18741	CRAC_WITHOUT_FAN
282c1e35-8350-4c64-8ca8-82b61d575bad	bccb9da4-10c9-4915-8168-08fb04fe4345	CRAC_FAN
282c1e35-8350-4c64-8ca8-82b61d575bad	3eebcbae-33df-43db-98b5-a78557f5a94d	CHILLER
282c1e35-8350-4c64-8ca8-82b61d575bad	bc7bc010-2a82-4203-8009-70210cd100df	AIR_COOLED_CHILLER
282c1e35-8350-4c64-8ca8-82b61d575bad	7ba561ae-c12a-40d6-8ce1-1da6483c7252	COOLING_TOWER
282c1e35-8350-4c64-8ca8-82b61d575bad	1535a09d-2416-488d-bcb8-ee2cba8a6564	DRY_COOLER
282c1e35-8350-4c64-8ca8-82b61d575bad	4e822301-4031-410b-89f2-49e404364030	REMOTE_CONDENSER
282c1e35-8350-4c64-8ca8-82b61d575bad	24ced25d-aa07-4630-84ef-470e55899908	CHILLED_WATER_PUMPS
282c1e35-8350-4c64-8ca8-82b61d575bad	bf45f452-74e1-4405-b135-9e19d99d3a6e	HEAT_REJECTION_PUMPS
282c1e35-8350-4c64-8ca8-82b61d575bad	6cad9a3e-c826-4d3a-b818-4e37cafe0ab4	VENTILATION
282c1e35-8350-4c64-8ca8-82b61d575bad	f5dd8018-3a53-4987-b176-08b8f667e1a1	INFILTRATION
282c1e35-8350-4c64-8ca8-82b61d575bad	34f0e961-fde2-4289-a156-1b5de32d5c8c	IT_LOAD
c79bb550-db29-4f19-9ba4-d1e7e97194f8	1b2302c2-9d85-4bb8-a432-23bbceaf8dce	SWITCHGEAR
c79bb550-db29-4f19-9ba4-d1e7e97194f8	72f9e0fe-f0c1-4874-8bf6-233ba63a6028	GENERATOR
c79bb550-db29-4f19-9ba4-d1e7e97194f8	3f375530-7ad9-4b64-8e25-ff99278a4277	PRIMARY_AUXILIARIES
c79bb550-db29-4f19-9ba4-d1e7e97194f8	e31be401-068f-42f8-88e4-4aa9019ee4f1	UPS
c79bb550-db29-4f19-9ba4-d1e7e97194f8	19f0c474-7c30-4117-9456-e363c1303e28	CRITICAL_AUXILIARIES
c79bb550-db29-4f19-9ba4-d1e7e97194f8	39b4f2e9-6dac-498d-8f57-69ca2ed4c658	LIGHTING
c79bb550-db29-4f19-9ba4-d1e7e97194f8	acec81d9-ece8-4fd7-bd05-381ee140ce2c	CRITICAL_POWER_DISTRIBUTION
c79bb550-db29-4f19-9ba4-d1e7e97194f8	71cce090-2888-4f5b-9535-deaabe74ee70	CRAH
c79bb550-db29-4f19-9ba4-d1e7e97194f8	2c21b4d8-2c1e-4601-baba-8033b118554d	CRAC
c79bb550-db29-4f19-9ba4-d1e7e97194f8	2c398822-0001-48b5-b35a-855b40c337bf	CRAC_WITHOUT_FAN
c79bb550-db29-4f19-9ba4-d1e7e97194f8	71099178-ee7c-4cfc-9a2c-dee0c761d64d	CRAC_FAN
c79bb550-db29-4f19-9ba4-d1e7e97194f8	83988880-46df-4b96-84cf-aa24e588615d	CHILLER
c79bb550-db29-4f19-9ba4-d1e7e97194f8	5dd96d20-ecca-474c-910c-30d5591d71cd	AIR_COOLED_CHILLER
c79bb550-db29-4f19-9ba4-d1e7e97194f8	5d447477-c07d-4117-be7f-e300fe6e3439	COOLING_TOWER
c79bb550-db29-4f19-9ba4-d1e7e97194f8	cbbcaa98-7569-4c39-854f-aa19d94302ca	DRY_COOLER
c79bb550-db29-4f19-9ba4-d1e7e97194f8	dd0d497c-7d44-47f1-9f63-1d557864be5a	REMOTE_CONDENSER
c79bb550-db29-4f19-9ba4-d1e7e97194f8	9cfaafd3-ac66-46ea-a23d-fc998503b63b	CHILLED_WATER_PUMPS
c79bb550-db29-4f19-9ba4-d1e7e97194f8	37d8cbed-5ec4-4d2d-b44b-76468ab401f4	HEAT_REJECTION_PUMPS
c79bb550-db29-4f19-9ba4-d1e7e97194f8	c6672e49-44b6-4578-a097-55137a1a7755	VENTILATION
c79bb550-db29-4f19-9ba4-d1e7e97194f8	68a56fed-4087-4962-92dc-6589e5ac57dd	INFILTRATION
c79bb550-db29-4f19-9ba4-d1e7e97194f8	71851e0a-a60c-43e6-bcc5-339f2ce70a90	IT_LOAD
d06dbb47-d03d-486b-8529-2f27415b4ecf	d921c9de-a3be-4505-8f39-6c534e9554cc	SWITCHGEAR
d06dbb47-d03d-486b-8529-2f27415b4ecf	7e0a09ed-a748-4c9f-ac41-d34165993868	GENERATOR
d06dbb47-d03d-486b-8529-2f27415b4ecf	cfe7f25d-a860-4701-ae5e-475f295fe061	PRIMARY_AUXILIARIES
d06dbb47-d03d-486b-8529-2f27415b4ecf	849d1138-d40f-42cf-9ff1-7be011adc47d	UPS
d06dbb47-d03d-486b-8529-2f27415b4ecf	91ba1249-d897-4843-9fe1-c96a6f108d60	CRITICAL_AUXILIARIES
d06dbb47-d03d-486b-8529-2f27415b4ecf	8535e074-e86b-4049-a7ad-d069af6525b4	LIGHTING
d06dbb47-d03d-486b-8529-2f27415b4ecf	89ca81f4-d519-4986-90f7-18ea636348f6	CRITICAL_POWER_DISTRIBUTION
d06dbb47-d03d-486b-8529-2f27415b4ecf	576597cc-64a3-43f6-bdfd-a00943d4f125	CRAH
d06dbb47-d03d-486b-8529-2f27415b4ecf	5e5c4ab6-6e3f-40bb-bf1e-237ffe320334	CRAC
d06dbb47-d03d-486b-8529-2f27415b4ecf	1ecd68df-ee1f-47fe-8957-3906603b289d	CRAC_WITHOUT_FAN
d06dbb47-d03d-486b-8529-2f27415b4ecf	4ce93e47-4a98-48f8-bd02-435c49229c8a	CRAC_FAN
d06dbb47-d03d-486b-8529-2f27415b4ecf	49e38bc5-e38e-43c0-8313-8e74bf48306d	CHILLER
d06dbb47-d03d-486b-8529-2f27415b4ecf	692386d9-db96-48cd-8f52-801cb0976f94	AIR_COOLED_CHILLER
d06dbb47-d03d-486b-8529-2f27415b4ecf	1b35d49e-841b-43c7-b161-8cd099b96cb7	COOLING_TOWER
d06dbb47-d03d-486b-8529-2f27415b4ecf	49665a1f-e5c1-48a5-8273-22e8804394f2	DRY_COOLER
d06dbb47-d03d-486b-8529-2f27415b4ecf	08ed6946-6b66-4a83-b455-9dff79d441ec	REMOTE_CONDENSER
d06dbb47-d03d-486b-8529-2f27415b4ecf	07889616-46c7-45c4-b88b-05dcc51889ab	CHILLED_WATER_PUMPS
d06dbb47-d03d-486b-8529-2f27415b4ecf	c6a1cde9-8835-445c-a2db-94146b9de54e	HEAT_REJECTION_PUMPS
d06dbb47-d03d-486b-8529-2f27415b4ecf	d0d97c8f-963a-46ac-a228-40c893787c5b	VENTILATION
d06dbb47-d03d-486b-8529-2f27415b4ecf	aaea4aa8-ac1d-4b4b-8542-aec09965e843	INFILTRATION
d06dbb47-d03d-486b-8529-2f27415b4ecf	ffa8edc3-68a0-40e1-851a-a1cdda5dce36	IT_LOAD
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	fcf03368-435b-4e48-8d93-fba2a5417f8c	SWITCHGEAR
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	cbb99d29-e592-41cb-90c1-0265458b4803	GENERATOR
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	4c9b693e-fb80-4a4a-b9cd-f94620114052	PRIMARY_AUXILIARIES
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	87cfbf19-2331-4cde-aedd-9bb2f28a09bf	UPS
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	6fc4a3d0-9ce5-4f7b-9d80-324ef287270f	CRITICAL_AUXILIARIES
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	7602283c-8ca3-46cc-b223-0a99350b4a45	LIGHTING
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	cc77a2b8-b788-4ea8-bf3f-58e1d8ad0871	CRITICAL_POWER_DISTRIBUTION
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	e81d4115-1099-48c0-bc9e-e57bd09cf428	CRAH
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	d0f3a604-dd5f-4af7-b9ff-1f5d6ceddf04	CRAC
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	8f0bfb88-5536-435f-93de-63a33dfc916d	CRAC_WITHOUT_FAN
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	37e64c87-6bbf-4737-8608-0185d83b0b2b	CRAC_FAN
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	5e612eff-ab7a-4590-a6cc-62cc70fcac5e	CHILLER
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	3e9d2120-6c0d-4e6a-9c35-39517be340b0	AIR_COOLED_CHILLER
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	88950b42-b4db-42d5-bc87-62d762ffb9a7	COOLING_TOWER
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	7177b8f2-5509-41ca-bace-407264232b0d	DRY_COOLER
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	9f69adbd-70c1-4005-aaaa-5892716cdad5	REMOTE_CONDENSER
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	eb93d67c-23e8-4a4e-b210-8ca6f7df6e40	CHILLED_WATER_PUMPS
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	30cf4414-ee7c-4a22-a2ae-9e9494f58c86	HEAT_REJECTION_PUMPS
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	6c6fee80-859a-4140-a6d3-e3d4be16ed30	VENTILATION
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	02ade91c-84a9-46e6-8531-c9dd39103928	INFILTRATION
ec0d6a72-a6ae-44c2-85e0-c8c6df83c70a	029c64a7-c26c-4ac4-9c31-7c7b946ee775	IT_LOAD
1b63d4af-4cef-4fb4-99dd-39c0f068391f	b9e87761-a1f4-4781-84f2-e2fdeab959a7	SWITCHGEAR
1b63d4af-4cef-4fb4-99dd-39c0f068391f	f8d17c0d-f3ec-4e18-a726-6259b6de0ba1	GENERATOR
1b63d4af-4cef-4fb4-99dd-39c0f068391f	5140a1b3-40b9-474b-87ae-f3e640fd5232	PRIMARY_AUXILIARIES
1b63d4af-4cef-4fb4-99dd-39c0f068391f	c2a713f2-3811-4154-b7e3-ee46f4d09e04	UPS
1b63d4af-4cef-4fb4-99dd-39c0f068391f	e9613a23-9e9f-43b0-a6d4-ece45cd424e8	CRITICAL_AUXILIARIES
1b63d4af-4cef-4fb4-99dd-39c0f068391f	1e80c5d8-1816-4dde-a794-6ef23642400a	LIGHTING
1b63d4af-4cef-4fb4-99dd-39c0f068391f	c6156d39-3336-48f2-86cf-b6b5d0bbe512	CRITICAL_POWER_DISTRIBUTION
1b63d4af-4cef-4fb4-99dd-39c0f068391f	5a015f7b-2009-40b6-a30f-5e182d68c037	CRAH
1b63d4af-4cef-4fb4-99dd-39c0f068391f	eed82f18-e852-404c-b1ee-147fb83d5371	CRAC
1b63d4af-4cef-4fb4-99dd-39c0f068391f	2bd6a91c-862e-48c5-a29f-f5c856444bd3	CRAC_WITHOUT_FAN
1b63d4af-4cef-4fb4-99dd-39c0f068391f	87d6138f-51f9-4cca-94a1-b739e6e72f92	CRAC_FAN
1b63d4af-4cef-4fb4-99dd-39c0f068391f	292a8a11-816a-423d-a859-bba716db3d65	CHILLER
1b63d4af-4cef-4fb4-99dd-39c0f068391f	a675f6da-a479-4a3c-a733-e814e1323ea6	AIR_COOLED_CHILLER
1b63d4af-4cef-4fb4-99dd-39c0f068391f	dd02ae3c-2a92-48c8-a675-960383574f8c	COOLING_TOWER
1b63d4af-4cef-4fb4-99dd-39c0f068391f	67e27784-b92e-4a41-b78f-0d245405b0cd	DRY_COOLER
1b63d4af-4cef-4fb4-99dd-39c0f068391f	b0452a15-c6bc-4ce3-a1e2-adc667ee85e4	REMOTE_CONDENSER
1b63d4af-4cef-4fb4-99dd-39c0f068391f	b224fc21-3988-4aa8-ba98-e17b8ad47df9	CHILLED_WATER_PUMPS
1b63d4af-4cef-4fb4-99dd-39c0f068391f	9fad04cf-9860-4360-b666-71c28de43ba8	HEAT_REJECTION_PUMPS
1b63d4af-4cef-4fb4-99dd-39c0f068391f	fb807162-d18d-4ca2-9789-5b9a54f56948	VENTILATION
1b63d4af-4cef-4fb4-99dd-39c0f068391f	75e2a7f7-ac4a-42f1-be09-6b9932fb5841	INFILTRATION
1b63d4af-4cef-4fb4-99dd-39c0f068391f	5686e4e5-39fc-41ae-8549-008335c388f2	IT_LOAD
485f63b6-344c-4e65-bd76-39e73cffdc23	3fa93358-c30d-49d3-b480-f477d4673b6f	SWITCHGEAR
485f63b6-344c-4e65-bd76-39e73cffdc23	df055872-cf5a-4ef3-baa5-5ca0eb4b7e13	GENERATOR
485f63b6-344c-4e65-bd76-39e73cffdc23	7130b816-e544-472f-9bfc-0416d89184b4	PRIMARY_AUXILIARIES
485f63b6-344c-4e65-bd76-39e73cffdc23	df9695dc-555d-4e13-bef6-f646a340fb62	UPS
485f63b6-344c-4e65-bd76-39e73cffdc23	4d1c115c-0423-49be-99bd-fca78c61bfa7	CRITICAL_AUXILIARIES
485f63b6-344c-4e65-bd76-39e73cffdc23	3b7267c8-f40a-432c-a7df-c1a7f60fc2e9	LIGHTING
485f63b6-344c-4e65-bd76-39e73cffdc23	8dbd10c3-5592-4598-a736-9f37b005356f	CRITICAL_POWER_DISTRIBUTION
485f63b6-344c-4e65-bd76-39e73cffdc23	51f2c117-078a-492c-a809-71736f58384e	CRAH
485f63b6-344c-4e65-bd76-39e73cffdc23	b376c1c2-76db-4635-8c22-f366eab7f50b	CRAC
485f63b6-344c-4e65-bd76-39e73cffdc23	2ffd3dce-9747-49b4-8ed8-5f4643dc8d4f	CRAC_WITHOUT_FAN
485f63b6-344c-4e65-bd76-39e73cffdc23	78dc7327-af05-432e-bc82-87755c132741	CRAC_FAN
485f63b6-344c-4e65-bd76-39e73cffdc23	1dc92766-2d61-4a87-8199-62ee0cede41f	CHILLER
485f63b6-344c-4e65-bd76-39e73cffdc23	33a19ac7-4a32-40e1-a852-a0f7b14e4223	AIR_COOLED_CHILLER
485f63b6-344c-4e65-bd76-39e73cffdc23	9d458494-53db-4043-9e53-a1740a6b7336	COOLING_TOWER
485f63b6-344c-4e65-bd76-39e73cffdc23	8158011e-35a0-47d4-85c5-b1f5290b232b	DRY_COOLER
485f63b6-344c-4e65-bd76-39e73cffdc23	3eef2b86-f9f8-4628-b62d-1abf790af41c	REMOTE_CONDENSER
485f63b6-344c-4e65-bd76-39e73cffdc23	54d265a4-8567-4385-a0d9-cbea4cb8b6d5	CHILLED_WATER_PUMPS
485f63b6-344c-4e65-bd76-39e73cffdc23	3635709b-d175-4361-b357-eda3d05416f9	HEAT_REJECTION_PUMPS
485f63b6-344c-4e65-bd76-39e73cffdc23	a65561b9-618e-4493-b7f0-22adc3206d16	VENTILATION
485f63b6-344c-4e65-bd76-39e73cffdc23	2edf555f-e43e-483b-91ad-af99ff9ab0cd	INFILTRATION
485f63b6-344c-4e65-bd76-39e73cffdc23	9997f6ef-041b-45a0-9554-aab7ffb31028	IT_LOAD
a4bba6aa-33fd-484c-83f1-c697a0075e67	d19de8ee-d74d-438e-bc59-31780ae6e907	SWITCHGEAR
a4bba6aa-33fd-484c-83f1-c697a0075e67	90ee0225-7a10-41d3-b0db-f7240092e20b	GENERATOR
a4bba6aa-33fd-484c-83f1-c697a0075e67	c8d9e165-439e-4c2f-84b2-c88c17e0635a	PRIMARY_AUXILIARIES
a4bba6aa-33fd-484c-83f1-c697a0075e67	f153fc07-ba3c-4034-b103-4f132487e885	UPS
a4bba6aa-33fd-484c-83f1-c697a0075e67	e066afbe-809f-4fa1-953b-4c802cb162e9	CRITICAL_AUXILIARIES
a4bba6aa-33fd-484c-83f1-c697a0075e67	9c890590-9407-43b5-831d-a3c7edd991a7	LIGHTING
a4bba6aa-33fd-484c-83f1-c697a0075e67	42ce5cf6-f4d0-4d6b-a90b-cf7279ac67df	CRITICAL_POWER_DISTRIBUTION
a4bba6aa-33fd-484c-83f1-c697a0075e67	13a624d9-c696-4296-acbe-b68bb40d8ea0	CRAH
a4bba6aa-33fd-484c-83f1-c697a0075e67	dc966067-6450-431e-a810-751e32149987	CRAC
a4bba6aa-33fd-484c-83f1-c697a0075e67	9b397877-748e-4968-82a5-4a28cb7954e2	CRAC_WITHOUT_FAN
a4bba6aa-33fd-484c-83f1-c697a0075e67	1dcb6d0c-f44c-4fff-a584-e601f6d38444	CRAC_FAN
a4bba6aa-33fd-484c-83f1-c697a0075e67	1f276255-330a-4a76-a2e3-67cb4efa940f	CHILLER
a4bba6aa-33fd-484c-83f1-c697a0075e67	ef784643-c57d-4039-96f2-1f5969dd0aa6	AIR_COOLED_CHILLER
a4bba6aa-33fd-484c-83f1-c697a0075e67	bc6e6553-f776-4b6f-b201-021b921c1dd4	COOLING_TOWER
a4bba6aa-33fd-484c-83f1-c697a0075e67	1043ab68-1f2b-4e74-aaf9-57e528088504	DRY_COOLER
a4bba6aa-33fd-484c-83f1-c697a0075e67	47134326-df7d-47a4-9de4-9241b7cd3fb1	REMOTE_CONDENSER
a4bba6aa-33fd-484c-83f1-c697a0075e67	f0fd89f2-7126-421e-9e8d-e0810b23f3d8	CHILLED_WATER_PUMPS
a4bba6aa-33fd-484c-83f1-c697a0075e67	89ce0c60-2896-4dd0-a56c-08a2cbd2c48e	HEAT_REJECTION_PUMPS
a4bba6aa-33fd-484c-83f1-c697a0075e67	3c9df77c-c6b8-47be-801a-703fcc22be74	VENTILATION
a4bba6aa-33fd-484c-83f1-c697a0075e67	ca9ac335-cb1e-4b8b-bc8c-3b6b008b9fb6	INFILTRATION
a4bba6aa-33fd-484c-83f1-c697a0075e67	5a9bde98-f533-4718-a689-acd38fc42fb3	IT_LOAD
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	4cfbc87a-a133-47ce-872d-ae84848a0dc8	SWITCHGEAR
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	eb9f23c6-f5bd-4bc4-b527-f90639524fb2	GENERATOR
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	05860b50-238b-4967-9b2b-a99d34ac643b	PRIMARY_AUXILIARIES
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	1aa0cadc-8aa1-4b24-9ea1-ccdf5c91764c	UPS
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	72396993-a6db-4bd5-879f-c60d3e45cda6	CRITICAL_AUXILIARIES
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	da47c36c-12d2-42da-92bf-b54bda1606e6	LIGHTING
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	5a0806ef-ac04-4aa9-bf26-e30bb92f21b8	CRITICAL_POWER_DISTRIBUTION
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	4e1af381-a68a-4be3-92bf-4e329a415608	CRAH
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	38c96dac-51d6-4211-a5da-6c5f8e0a7c2e	CRAC
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	03a30a33-1b9e-490f-a95b-279cc561003d	CRAC_WITHOUT_FAN
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	96555eb3-169e-4f1d-a8a1-924f18b1fbec	CRAC_FAN
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	8f2cd438-3987-4832-a3e5-a3d23e6f0fec	CHILLER
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	c44d26f1-4b03-4f06-9b60-b7de4b212801	AIR_COOLED_CHILLER
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	653c96f2-7579-467f-8307-9466e71e767c	COOLING_TOWER
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	ab34c2de-6388-4b96-8745-e2d3e58a1d53	DRY_COOLER
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	2e20d355-d894-4946-9763-24fccb6b77a4	REMOTE_CONDENSER
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	5f412385-59aa-4f2c-b93e-3633f8f545b3	CHILLED_WATER_PUMPS
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	4725dead-ed4a-446d-bac8-b6e69f503058	HEAT_REJECTION_PUMPS
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	ad327579-5b9a-4ee4-aef3-66eff8cc6caf	VENTILATION
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	31087642-0951-4cb9-971a-c34cc8d4777b	INFILTRATION
4a5144df-b0cb-4ca7-9cf8-df3f2dda152b	0a42bb9f-34d7-42f5-ba50-a9ab6fc502c1	IT_LOAD
0df25b3a-997d-4633-8804-c32b43e72eba	03ffc05a-ba91-40ad-a4d4-d7b01837ecae	SWITCHGEAR
0df25b3a-997d-4633-8804-c32b43e72eba	b908cf5f-e237-4c66-98af-329df533a9d7	GENERATOR
0df25b3a-997d-4633-8804-c32b43e72eba	a2f49eca-359a-4fc4-b0fc-bfb300d5a036	PRIMARY_AUXILIARIES
0df25b3a-997d-4633-8804-c32b43e72eba	66b620fe-f44d-44d2-ae07-128383b5a2fe	UPS
0df25b3a-997d-4633-8804-c32b43e72eba	3e20442e-499b-4337-a19a-0189deefdb4f	CRITICAL_AUXILIARIES
0df25b3a-997d-4633-8804-c32b43e72eba	ea69147e-098c-4ed1-bd0f-14112172de30	LIGHTING
0df25b3a-997d-4633-8804-c32b43e72eba	983fef35-b58c-4b5b-ad3e-8c004f5630eb	CRITICAL_POWER_DISTRIBUTION
0df25b3a-997d-4633-8804-c32b43e72eba	57f3ce2f-e2d3-4e57-a3ff-cb7a392a7d7f	CRAH
0df25b3a-997d-4633-8804-c32b43e72eba	198d1947-e971-4b55-8cd8-bab47e5b13e3	CRAC
0df25b3a-997d-4633-8804-c32b43e72eba	9de9ac13-ba2b-4b6d-879a-96a70470a99b	CRAC_WITHOUT_FAN
0df25b3a-997d-4633-8804-c32b43e72eba	2d3235e3-1ffd-43ed-af20-0ab446528b37	CRAC_FAN
0df25b3a-997d-4633-8804-c32b43e72eba	3026c3a5-5ff9-466f-a94d-0560b82a766d	CHILLER
0df25b3a-997d-4633-8804-c32b43e72eba	2058ff99-22e7-4d4f-8fc3-9a632d5ebc6b	AIR_COOLED_CHILLER
0df25b3a-997d-4633-8804-c32b43e72eba	9e500cbf-ac33-4d6c-96ad-6479b7776d00	COOLING_TOWER
0df25b3a-997d-4633-8804-c32b43e72eba	272f5f6a-91a4-4d2d-aa2b-66740a8287c7	DRY_COOLER
0df25b3a-997d-4633-8804-c32b43e72eba	d9f8d72d-9166-4128-96c2-6278b766cdb3	REMOTE_CONDENSER
0df25b3a-997d-4633-8804-c32b43e72eba	afde4e83-ae84-470b-b2e6-c0e08e0c725c	CHILLED_WATER_PUMPS
0df25b3a-997d-4633-8804-c32b43e72eba	a08af453-abed-43e2-8082-62b1fb4257a4	HEAT_REJECTION_PUMPS
0df25b3a-997d-4633-8804-c32b43e72eba	b4259b48-f34c-40a1-8fa5-61b1aa87c133	VENTILATION
0df25b3a-997d-4633-8804-c32b43e72eba	6c227488-a3ff-41d6-8e49-de7d319fc1fb	INFILTRATION
0df25b3a-997d-4633-8804-c32b43e72eba	73f8e758-5b23-47ae-9b87-45151a48388a	IT_LOAD
3780de1c-c66b-440d-8b22-a9b9d6636841	aa56f2b3-d44d-494f-8cfa-5ff498d3b05a	SWITCHGEAR
3780de1c-c66b-440d-8b22-a9b9d6636841	cada198b-5a5e-4e9c-90cd-171948f5c6be	GENERATOR
3780de1c-c66b-440d-8b22-a9b9d6636841	d68c9beb-e098-4e3b-8184-6872e5e437ab	PRIMARY_AUXILIARIES
3780de1c-c66b-440d-8b22-a9b9d6636841	1bbcf0f5-7f2d-4705-a2fe-eea54da047ef	UPS
3780de1c-c66b-440d-8b22-a9b9d6636841	fe910d59-73b9-45a1-8ddc-96af12b397f8	CRITICAL_AUXILIARIES
3780de1c-c66b-440d-8b22-a9b9d6636841	5db27167-5a29-4606-9119-89dba21c6b01	LIGHTING
3780de1c-c66b-440d-8b22-a9b9d6636841	274f9228-5498-4fa7-8aaf-438991c3869d	CRITICAL_POWER_DISTRIBUTION
3780de1c-c66b-440d-8b22-a9b9d6636841	90988819-dc49-4e25-af27-f51c859f1dad	CRAH
3780de1c-c66b-440d-8b22-a9b9d6636841	13f99fe6-14c3-45c8-bbe6-47ae7f82ad1f	CRAC
3780de1c-c66b-440d-8b22-a9b9d6636841	fd0fbab8-4e67-4b10-9ad7-962a438615e2	CRAC_WITHOUT_FAN
3780de1c-c66b-440d-8b22-a9b9d6636841	22610a70-396a-4b77-a0c5-3966b50cadcc	CRAC_FAN
3780de1c-c66b-440d-8b22-a9b9d6636841	b1e26a9a-30ef-4dc5-b5b4-1c2e027e41d7	CHILLER
3780de1c-c66b-440d-8b22-a9b9d6636841	30961c17-4047-45e4-a1db-6569b4cbff02	AIR_COOLED_CHILLER
3780de1c-c66b-440d-8b22-a9b9d6636841	a4adff06-fe4d-48d1-922b-d383a074f802	COOLING_TOWER
3780de1c-c66b-440d-8b22-a9b9d6636841	8e09b749-5444-44fc-8cff-9a64c3965d7f	DRY_COOLER
3780de1c-c66b-440d-8b22-a9b9d6636841	c1d6815c-6fbd-4f18-a5f2-4e11cc3cc2fd	REMOTE_CONDENSER
3780de1c-c66b-440d-8b22-a9b9d6636841	0900e68d-e65e-46bb-a7db-00c41aee9271	CHILLED_WATER_PUMPS
3780de1c-c66b-440d-8b22-a9b9d6636841	253941ce-3cde-43db-a99c-06b35afd6160	HEAT_REJECTION_PUMPS
3780de1c-c66b-440d-8b22-a9b9d6636841	33c665a6-0f81-4455-b6dc-a0edf30f6239	VENTILATION
3780de1c-c66b-440d-8b22-a9b9d6636841	0a10143b-2283-45af-bc18-759a8512f74f	INFILTRATION
3780de1c-c66b-440d-8b22-a9b9d6636841	e37277b5-35d9-46aa-88e1-e780073a1d4d	IT_LOAD
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	019fc03e-c215-40e5-855b-af73272f84d5	SWITCHGEAR
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	2994e35a-e483-428e-b4e8-65ad06c81e1b	GENERATOR
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	14fd69c5-a8f7-44ea-828e-d8595d759e0f	PRIMARY_AUXILIARIES
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	87c608e9-93ca-4d82-89ad-c6644f0a9c1b	UPS
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	02c4dea2-89a4-43be-81ec-6b5801820cd8	CRITICAL_AUXILIARIES
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	4fef1333-0e6c-4bbd-b455-36fcb5988878	LIGHTING
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	bd203517-18fb-447c-88d2-6424d4a06da4	CRITICAL_POWER_DISTRIBUTION
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	67f3be38-4ba3-4941-9392-656ff239a196	CRAH
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	a92bd516-4f14-4050-ae97-b95b86df8e51	CRAC
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	b6ddda15-70e5-4284-bff1-c8fc6cb110f8	CRAC_WITHOUT_FAN
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	ebede73c-5b78-4b9d-9c31-a7a656e6ae76	CRAC_FAN
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	a88a2185-f47e-47d7-a672-b4aacd165f2a	CHILLER
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	84292b1a-3fe1-4c9f-bd27-ab4b247d37df	AIR_COOLED_CHILLER
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	84e30ee1-5fec-40b6-9f0c-8cac44877b99	COOLING_TOWER
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	4e289d2f-741c-4a1b-9dba-4eee21baa7d5	DRY_COOLER
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	daeacc1b-175a-4247-baa0-39f91858fefb	REMOTE_CONDENSER
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	2e5204bd-3fd6-4b65-a8e7-de3db02c3127	CHILLED_WATER_PUMPS
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	59da6969-f4a5-4df2-a884-6155ddfb4893	HEAT_REJECTION_PUMPS
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	f960c301-7c6d-49fb-874a-d730a8d048d7	VENTILATION
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	6c53ccfd-b93e-4b20-a524-118d28bdb47d	INFILTRATION
aa78c4fc-0e82-4c22-a104-6fb3d056ea87	eb3eae2f-40db-4e3c-adb8-52d8cbfbc4a0	IT_LOAD
370bdb78-b569-4d86-b07c-1d9df473d8ce	4717d894-66e4-4aa4-9b29-7e329ec2dc31	SWITCHGEAR
370bdb78-b569-4d86-b07c-1d9df473d8ce	8b47ab4f-4687-4d20-9fd0-835355ed05e7	GENERATOR
370bdb78-b569-4d86-b07c-1d9df473d8ce	96f5598d-5f88-40e6-a7a7-27ae60a0c8a8	PRIMARY_AUXILIARIES
370bdb78-b569-4d86-b07c-1d9df473d8ce	aac0f40a-b1ce-4c8e-9a37-40c8986fa619	UPS
370bdb78-b569-4d86-b07c-1d9df473d8ce	8e3dcb12-8814-487f-89e1-f65f82047abf	CRITICAL_AUXILIARIES
370bdb78-b569-4d86-b07c-1d9df473d8ce	c19929bc-4b7e-4aaa-997c-d13875b3b614	LIGHTING
370bdb78-b569-4d86-b07c-1d9df473d8ce	4d270e4f-db10-4b68-8976-4a7243bf2b2c	CRITICAL_POWER_DISTRIBUTION
370bdb78-b569-4d86-b07c-1d9df473d8ce	975a4fdf-11cd-4154-bfeb-f78628004a37	CRAH
370bdb78-b569-4d86-b07c-1d9df473d8ce	26da5880-f963-4a91-95be-2b5631456bca	CRAC
370bdb78-b569-4d86-b07c-1d9df473d8ce	1d2c0af7-c5a6-4be0-9bf0-bb6f779121a6	CRAC_WITHOUT_FAN
370bdb78-b569-4d86-b07c-1d9df473d8ce	d4f2be0f-4c51-4ac3-a614-a117e6acb844	CRAC_FAN
370bdb78-b569-4d86-b07c-1d9df473d8ce	6720ef16-407e-4f7f-b4dc-15e794f4ac5f	CHILLER
370bdb78-b569-4d86-b07c-1d9df473d8ce	67a5ebd4-9864-45fa-8108-0248c04d4552	AIR_COOLED_CHILLER
370bdb78-b569-4d86-b07c-1d9df473d8ce	34a590fd-e2f9-4ef5-8684-bae202ed4e24	COOLING_TOWER
370bdb78-b569-4d86-b07c-1d9df473d8ce	de400667-0d9b-43b4-ae1f-02799de6a446	DRY_COOLER
370bdb78-b569-4d86-b07c-1d9df473d8ce	4930d3e7-11ae-488e-8a4b-fe21dea3c0d3	REMOTE_CONDENSER
370bdb78-b569-4d86-b07c-1d9df473d8ce	d64fca0d-6240-4c24-bad0-722a630f90db	CHILLED_WATER_PUMPS
370bdb78-b569-4d86-b07c-1d9df473d8ce	32c20f50-ae85-4115-b76b-b3f541f6fcd7	HEAT_REJECTION_PUMPS
370bdb78-b569-4d86-b07c-1d9df473d8ce	b2750955-c914-4c26-855e-a7b937f38f12	VENTILATION
370bdb78-b569-4d86-b07c-1d9df473d8ce	c8aa806f-4b88-4147-8656-c080733fc58a	INFILTRATION
370bdb78-b569-4d86-b07c-1d9df473d8ce	0024fdba-be7c-4602-a402-5df445e0c944	IT_LOAD
ba1d6453-10ff-4f87-8035-9ed5cf17d106	9503a56f-ba60-450f-ae8c-c19c57f12311	SWITCHGEAR
ba1d6453-10ff-4f87-8035-9ed5cf17d106	4627ce7f-b023-4148-9a4f-77efdfe1768c	GENERATOR
ba1d6453-10ff-4f87-8035-9ed5cf17d106	c3fc4cf7-40e2-4fb9-80a5-0040dcb6a829	PRIMARY_AUXILIARIES
ba1d6453-10ff-4f87-8035-9ed5cf17d106	7bcd98e5-57d5-433e-aa17-b40b56d50c4b	UPS
ba1d6453-10ff-4f87-8035-9ed5cf17d106	ceb34abe-b0ca-4a13-bc44-7a8daef81dfb	CRITICAL_AUXILIARIES
ba1d6453-10ff-4f87-8035-9ed5cf17d106	075f25db-c3de-4f39-b512-913728543673	LIGHTING
ba1d6453-10ff-4f87-8035-9ed5cf17d106	569ef8c5-d2ef-4470-95c3-51013a0469a9	CRITICAL_POWER_DISTRIBUTION
ba1d6453-10ff-4f87-8035-9ed5cf17d106	6efb8c75-a6d0-4a09-9a48-09413b18eab6	CRAH
ba1d6453-10ff-4f87-8035-9ed5cf17d106	a875984e-5843-493d-afb8-dfd03efd7dcc	CRAC
ba1d6453-10ff-4f87-8035-9ed5cf17d106	388e1879-fb42-4273-bf59-bd9449ca8929	CRAC_WITHOUT_FAN
ba1d6453-10ff-4f87-8035-9ed5cf17d106	d05a15f4-4d30-4f10-a995-a2368bf6dff7	CRAC_FAN
ba1d6453-10ff-4f87-8035-9ed5cf17d106	d1cb5c56-1079-4772-ae46-26127c361b64	CHILLER
ba1d6453-10ff-4f87-8035-9ed5cf17d106	f3d1d52b-7823-4349-b8e4-c13fa1552916	AIR_COOLED_CHILLER
ba1d6453-10ff-4f87-8035-9ed5cf17d106	57128c07-0d99-4bed-bc89-a75f4cff4571	COOLING_TOWER
ba1d6453-10ff-4f87-8035-9ed5cf17d106	795c8b88-6c03-4962-941d-cc019de3d62c	DRY_COOLER
ba1d6453-10ff-4f87-8035-9ed5cf17d106	918dc316-9188-4967-9570-e173657adfe4	REMOTE_CONDENSER
ba1d6453-10ff-4f87-8035-9ed5cf17d106	ff3ada49-db39-45ec-8ea3-1e44171367bc	CHILLED_WATER_PUMPS
ba1d6453-10ff-4f87-8035-9ed5cf17d106	d047d566-0c1b-4362-9a50-3e9d78853a30	HEAT_REJECTION_PUMPS
ba1d6453-10ff-4f87-8035-9ed5cf17d106	f8aadc87-b1e3-4749-9d23-5803bc886fc5	VENTILATION
ba1d6453-10ff-4f87-8035-9ed5cf17d106	6d7b2059-b872-4b8d-b19b-94f41e528837	INFILTRATION
ba1d6453-10ff-4f87-8035-9ed5cf17d106	9d6a9d46-50fc-497b-bb13-2e21522d8f41	IT_LOAD
cb6f5ca8-da24-4466-bd25-ac162a650cce	e5cbd430-d576-44d9-b9bb-78d833028536	SWITCHGEAR
cb6f5ca8-da24-4466-bd25-ac162a650cce	90218c6d-0f61-44a3-a605-555c57a35eaf	GENERATOR
cb6f5ca8-da24-4466-bd25-ac162a650cce	f61c2928-e204-40d7-9181-0e6151094de3	PRIMARY_AUXILIARIES
cb6f5ca8-da24-4466-bd25-ac162a650cce	7d9403c0-363a-414e-a727-c936fc104f4c	UPS
cb6f5ca8-da24-4466-bd25-ac162a650cce	6f89d013-39f8-493a-a2f2-78f64f7f8e73	CRITICAL_AUXILIARIES
cb6f5ca8-da24-4466-bd25-ac162a650cce	30528341-a833-40ba-b328-7d392974214a	LIGHTING
cb6f5ca8-da24-4466-bd25-ac162a650cce	daa5ec77-922d-4b08-8f11-06753226ea62	CRITICAL_POWER_DISTRIBUTION
cb6f5ca8-da24-4466-bd25-ac162a650cce	61134f4d-f00f-4426-ad04-f9b141fe6557	CRAH
cb6f5ca8-da24-4466-bd25-ac162a650cce	4a1ea445-745d-4cec-8bdc-6952ca1b965a	CRAC
cb6f5ca8-da24-4466-bd25-ac162a650cce	8f410867-2341-4b98-b116-25849807ae4d	CRAC_WITHOUT_FAN
cb6f5ca8-da24-4466-bd25-ac162a650cce	1db65c8f-2b9f-4a51-8204-23bc59279bb6	CRAC_FAN
cb6f5ca8-da24-4466-bd25-ac162a650cce	70c1b007-c1ed-411b-bc0b-02b155ce1cda	CHILLER
cb6f5ca8-da24-4466-bd25-ac162a650cce	710e8ec0-1ad8-482d-ae0d-59127c64f4a2	AIR_COOLED_CHILLER
cb6f5ca8-da24-4466-bd25-ac162a650cce	7cb09088-e60b-4816-9581-9999d45a67eb	COOLING_TOWER
cb6f5ca8-da24-4466-bd25-ac162a650cce	33299552-0e8e-45da-bdf1-de82e1866d47	DRY_COOLER
cb6f5ca8-da24-4466-bd25-ac162a650cce	25432355-84c9-4d16-a213-48f3da2b0282	REMOTE_CONDENSER
cb6f5ca8-da24-4466-bd25-ac162a650cce	ee44b5fb-19db-44fc-ad38-b47e9128d30f	CHILLED_WATER_PUMPS
cb6f5ca8-da24-4466-bd25-ac162a650cce	bcba6710-27ce-45de-8fbd-71028ea3c979	HEAT_REJECTION_PUMPS
cb6f5ca8-da24-4466-bd25-ac162a650cce	be988a5b-0369-4f3a-bc45-f8933d63525a	VENTILATION
cb6f5ca8-da24-4466-bd25-ac162a650cce	2ea9f401-0bc8-4e11-ab6d-6b26a6f9aab0	INFILTRATION
cb6f5ca8-da24-4466-bd25-ac162a650cce	e1786b46-a626-419d-b642-418e8ca74731	IT_LOAD
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	cf4cca46-74b4-40e3-b49e-be85e8688509	SWITCHGEAR
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	fbda7c09-a177-4350-90c9-2593433d790e	GENERATOR
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	8cc06130-15fd-4b67-a360-a9e1f35b5e20	PRIMARY_AUXILIARIES
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	a4cbfb32-4f18-4e9d-bb19-c66366cca793	UPS
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	e1202bc3-6d25-4717-9cb1-031f2a2be5bc	CRITICAL_AUXILIARIES
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	369df7f9-5515-4e51-9dd1-c4d97cdb7033	LIGHTING
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	d914b292-5d63-43f6-9a03-285e1289e954	CRITICAL_POWER_DISTRIBUTION
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	f2bbcef9-8861-4118-8a19-9d400c6bf030	CRAH
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	fc6556c6-489a-45f8-a5a5-0f98ae356fd9	CRAC
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	f54a8851-1670-41f2-aa74-9bb84a269bdb	CRAC_WITHOUT_FAN
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	ed68f111-7966-4c06-810b-20c738690429	CRAC_FAN
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	ae685140-4971-4fd4-a4fe-41c702febe93	CHILLER
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	0f87c7b0-64e3-4c9b-a569-c57efede01c5	AIR_COOLED_CHILLER
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	8d24cb73-3af6-49b6-b05a-9e0049a98f16	COOLING_TOWER
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	03916c35-9a96-4a51-a6da-32c6ff8b69bf	DRY_COOLER
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	4773f972-cc71-4da8-90f5-94199b0e5cc2	REMOTE_CONDENSER
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	4d0c314c-dda2-4e0a-ad57-5f054b94aeca	CHILLED_WATER_PUMPS
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	b4762904-975b-4f92-a16d-b28ca9e94742	HEAT_REJECTION_PUMPS
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	e4c512cf-87e5-4608-b943-dd6bb67423f1	VENTILATION
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	dca50a98-54e5-41ab-b8a1-0e0e583a5951	INFILTRATION
f55b4d10-0ab1-410b-bbc5-a2d47a323edc	aa2cf3b2-bc7b-4752-adab-a4ecc23e689f	IT_LOAD
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	a2062f12-97aa-48b9-948f-1d53c8abc7a2	SWITCHGEAR
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	8857c56d-c50f-41b2-a66f-0cb3d6700696	GENERATOR
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	0af15667-00f4-4f55-9ab3-f90e8629c584	PRIMARY_AUXILIARIES
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	0de9c9c8-8369-4672-8dd6-0d6a292ffb97	UPS
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	8a24b2ee-1746-4207-aa9e-9f14d58a71e6	CRITICAL_AUXILIARIES
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	42de729e-16ed-4639-ab65-7f3289c70de5	LIGHTING
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	9c9d74c5-a850-4a88-9dcc-4e01ba19c5de	CRITICAL_POWER_DISTRIBUTION
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	dc6ccb1c-cff6-4cb9-a951-a3d3958ef04c	CRAH
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	1e56a89c-005e-49a1-9da6-5d5ba6a43db8	CRAC
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	041b6a2a-a3bc-442a-8e58-b28058707cca	CRAC_WITHOUT_FAN
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	2acce074-097b-4de4-a5e0-d989cd3c9f88	CRAC_FAN
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	448798da-7db0-4cc2-8c5f-2deb7ccd5d54	CHILLER
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	fa004b80-d133-44ab-90a9-c1b6a72449df	AIR_COOLED_CHILLER
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	2d221a64-353b-4c47-a54d-b8bc2984e767	COOLING_TOWER
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	95e0fba2-e324-4d13-b78b-2b978d597378	DRY_COOLER
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	89c55340-9251-4623-b513-8d5a8de22cd4	REMOTE_CONDENSER
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	81ae6ebe-16ae-43dc-a951-e05001c94e89	CHILLED_WATER_PUMPS
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	93fbdca3-c818-459e-bfe4-7070f2452fe7	HEAT_REJECTION_PUMPS
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	d85b5bda-9cf3-4c27-863a-d18e042e3745	VENTILATION
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	71009f33-68d1-4a55-a7e1-70dcc6dbb387	INFILTRATION
f0cb83ea-1449-47a7-b19c-3aa34e5a0134	69993b4c-5dc2-4104-a981-96fae7734d71	IT_LOAD
368f6232-c87a-4cea-a113-2c11536c0dfa	a9acefdd-75b2-4f72-a063-6b49345e19b5	SWITCHGEAR
368f6232-c87a-4cea-a113-2c11536c0dfa	386f1b41-a82f-4a8a-86be-b0f4691ce5d3	GENERATOR
368f6232-c87a-4cea-a113-2c11536c0dfa	404b4476-7750-4b02-8874-1f2b36e27763	PRIMARY_AUXILIARIES
368f6232-c87a-4cea-a113-2c11536c0dfa	7ed498d3-ee08-4546-982c-d28ca37adfd8	UPS
368f6232-c87a-4cea-a113-2c11536c0dfa	b67be059-5c06-4dda-a00d-4ce91d741a1e	CRITICAL_AUXILIARIES
368f6232-c87a-4cea-a113-2c11536c0dfa	5193d489-00fb-4906-b6f6-e4c1c91b17c9	LIGHTING
368f6232-c87a-4cea-a113-2c11536c0dfa	5644fed1-6d0d-46b6-affd-1fd75a51ea4b	CRITICAL_POWER_DISTRIBUTION
368f6232-c87a-4cea-a113-2c11536c0dfa	d618c879-2c93-4d0b-89b1-8ca5dd449573	CRAH
368f6232-c87a-4cea-a113-2c11536c0dfa	13b1b867-6ca2-4f32-9fe5-48b2eb1c813f	CRAC
368f6232-c87a-4cea-a113-2c11536c0dfa	0bf94f59-1161-43e6-a2b8-481dcfacdfcd	CRAC_WITHOUT_FAN
368f6232-c87a-4cea-a113-2c11536c0dfa	4706aa5a-f18f-45ee-ad40-ba8725bbf292	CRAC_FAN
368f6232-c87a-4cea-a113-2c11536c0dfa	d702fc0c-c829-4129-a747-f98a66d10dcf	CHILLER
368f6232-c87a-4cea-a113-2c11536c0dfa	6d084e89-1ecf-4e96-ab68-28dd5d10113b	AIR_COOLED_CHILLER
368f6232-c87a-4cea-a113-2c11536c0dfa	5d3357ee-44a1-4e5a-8736-00aefe113ccc	COOLING_TOWER
368f6232-c87a-4cea-a113-2c11536c0dfa	6bf05466-0aaa-4ba3-b52c-9a02dd6a1a72	DRY_COOLER
368f6232-c87a-4cea-a113-2c11536c0dfa	69c9f984-d2a3-4daa-979f-3f17eeae6915	REMOTE_CONDENSER
368f6232-c87a-4cea-a113-2c11536c0dfa	cf8b1789-21d4-4b1a-8d9c-6cd219fd37e1	CHILLED_WATER_PUMPS
368f6232-c87a-4cea-a113-2c11536c0dfa	cd3f9d05-f09c-494f-9d27-84be21d06415	HEAT_REJECTION_PUMPS
368f6232-c87a-4cea-a113-2c11536c0dfa	e1e435de-f7e1-429b-823f-60ba9684bc37	VENTILATION
368f6232-c87a-4cea-a113-2c11536c0dfa	278030ee-941a-476b-a669-444a20d239f4	INFILTRATION
368f6232-c87a-4cea-a113-2c11536c0dfa	5148dbec-c2ac-465c-8bd7-93ed815ad560	IT_LOAD
11e53644-9ba5-4c13-a60c-94b130ac7f58	99c51fd8-d4b8-446d-9349-da124ae7cd81	SWITCHGEAR
11e53644-9ba5-4c13-a60c-94b130ac7f58	52e2983f-59a4-43ff-b4a4-334c54013bcf	GENERATOR
11e53644-9ba5-4c13-a60c-94b130ac7f58	94ff6dee-9586-4daf-b32b-795b1ac8bb90	PRIMARY_AUXILIARIES
11e53644-9ba5-4c13-a60c-94b130ac7f58	b7981c53-c6ba-41d1-8056-bdbf23feeaf5	UPS
11e53644-9ba5-4c13-a60c-94b130ac7f58	385edda4-8211-428e-bb2f-f884d08344e1	CRITICAL_AUXILIARIES
11e53644-9ba5-4c13-a60c-94b130ac7f58	32c397f6-79a1-47a1-b033-d9c750805620	LIGHTING
11e53644-9ba5-4c13-a60c-94b130ac7f58	29dd6a94-11c6-4bf3-bae2-3f3c4aacaae0	CRITICAL_POWER_DISTRIBUTION
11e53644-9ba5-4c13-a60c-94b130ac7f58	ad75322c-9cb8-442b-abd1-169785dc2899	CRAH
11e53644-9ba5-4c13-a60c-94b130ac7f58	641e5b0c-9356-44f7-8cc2-ea8bcb96297a	CRAC
11e53644-9ba5-4c13-a60c-94b130ac7f58	f7fd8e87-ab6f-4a64-94ef-99f190fe7764	CRAC_WITHOUT_FAN
11e53644-9ba5-4c13-a60c-94b130ac7f58	a0219a5b-81c8-4b56-8aa2-859bcac89e2f	CRAC_FAN
11e53644-9ba5-4c13-a60c-94b130ac7f58	12334adf-82cd-42ef-a08e-581cf3c23ae0	CHILLER
11e53644-9ba5-4c13-a60c-94b130ac7f58	3e1b880e-872b-45cb-ad81-0334ad37f180	AIR_COOLED_CHILLER
11e53644-9ba5-4c13-a60c-94b130ac7f58	615a50b9-a4d0-4ed9-b608-f224f4a91296	COOLING_TOWER
11e53644-9ba5-4c13-a60c-94b130ac7f58	0130f6b0-23c8-4a2d-8004-22db1a779b7f	DRY_COOLER
11e53644-9ba5-4c13-a60c-94b130ac7f58	d3714f71-9fa1-4fff-b9a8-961b40765d61	REMOTE_CONDENSER
11e53644-9ba5-4c13-a60c-94b130ac7f58	b8bbc55b-a94b-4572-9e94-1cfc89e377f8	CHILLED_WATER_PUMPS
11e53644-9ba5-4c13-a60c-94b130ac7f58	07237181-c6fe-45c9-8e56-5ac7b0e19e5e	HEAT_REJECTION_PUMPS
11e53644-9ba5-4c13-a60c-94b130ac7f58	50faa996-b112-430d-8fb6-e26c97ce233b	VENTILATION
11e53644-9ba5-4c13-a60c-94b130ac7f58	97e24c83-4ed2-4975-8d2f-33f2e258f1f7	INFILTRATION
11e53644-9ba5-4c13-a60c-94b130ac7f58	9f496842-d727-4b48-a9d4-8bbf660691a6	IT_LOAD
45db6daa-fa17-47a6-a094-dadfd4935910	02a72778-db66-4245-be68-71ff9b80dc30	SWITCHGEAR
45db6daa-fa17-47a6-a094-dadfd4935910	0cf6ce3c-7990-4df3-94a9-560ceaa52a60	GENERATOR
45db6daa-fa17-47a6-a094-dadfd4935910	6999c3cf-f82e-4101-a841-1cde66907a1d	PRIMARY_AUXILIARIES
45db6daa-fa17-47a6-a094-dadfd4935910	1c762ad5-99d6-4939-ba6d-b478d254338a	UPS
45db6daa-fa17-47a6-a094-dadfd4935910	d59dfc15-3e31-4c29-851a-3f41f4d7ca7f	CRITICAL_AUXILIARIES
45db6daa-fa17-47a6-a094-dadfd4935910	81f0bb25-63ee-4872-a69c-f0dcbbe7366e	LIGHTING
45db6daa-fa17-47a6-a094-dadfd4935910	b782a8a3-dcde-4e74-9089-d8d4511f3419	CRITICAL_POWER_DISTRIBUTION
45db6daa-fa17-47a6-a094-dadfd4935910	034179fc-d736-48d6-bc31-8db38b511fb3	CRAH
45db6daa-fa17-47a6-a094-dadfd4935910	34900344-a06e-4f77-acb0-2d559bd7df39	CRAC
45db6daa-fa17-47a6-a094-dadfd4935910	961d4afc-6c9f-4940-9866-3964d0bdfe10	CRAC_WITHOUT_FAN
45db6daa-fa17-47a6-a094-dadfd4935910	648fcba6-938c-493b-a5de-f310febdac91	CRAC_FAN
45db6daa-fa17-47a6-a094-dadfd4935910	401eae74-e958-45db-8332-51cacc6c7beb	CHILLER
45db6daa-fa17-47a6-a094-dadfd4935910	701ac75e-7dbe-4cb1-a68e-4c1a2af43fee	AIR_COOLED_CHILLER
45db6daa-fa17-47a6-a094-dadfd4935910	c74323bb-e2c5-4afc-b49a-7c6f28ed48ce	COOLING_TOWER
45db6daa-fa17-47a6-a094-dadfd4935910	51cfd0fa-4ca1-41a9-a4d6-6cb2cbc80bc1	DRY_COOLER
45db6daa-fa17-47a6-a094-dadfd4935910	97b3a5b4-e901-428d-bd23-44977c14f20f	REMOTE_CONDENSER
45db6daa-fa17-47a6-a094-dadfd4935910	fff47320-024d-48e6-9942-c04350dface2	CHILLED_WATER_PUMPS
45db6daa-fa17-47a6-a094-dadfd4935910	f81a0510-4944-4a4d-a029-6ca7a9dd21b5	HEAT_REJECTION_PUMPS
45db6daa-fa17-47a6-a094-dadfd4935910	894c94a5-fb83-4332-a844-5d5b00693aeb	VENTILATION
45db6daa-fa17-47a6-a094-dadfd4935910	453216c6-c51a-46e0-9648-060e062efc77	INFILTRATION
45db6daa-fa17-47a6-a094-dadfd4935910	e4cf4363-e26b-4225-b88f-fcdc468f29a4	IT_LOAD
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	2c730b41-15f8-4774-b85e-2410e8b204a6	SWITCHGEAR
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	8914e4b1-0291-4cef-9f7d-e777c043219d	GENERATOR
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	1c493ecd-186b-46c2-bbd8-19eb6080250a	PRIMARY_AUXILIARIES
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	c02da92d-21fb-45b6-ac27-821114d15cfc	UPS
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	0ed2a1a2-76d3-488b-b5ee-92429594785e	CRITICAL_AUXILIARIES
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	9f076231-30a0-4d34-8a84-b02c0d0dae8a	LIGHTING
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	765ad4ff-6195-471b-b89a-a262387c1f5d	CRITICAL_POWER_DISTRIBUTION
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	feb8be8b-1f43-40b2-80ae-44a050db6c3b	CRAH
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	7de5bb21-9adb-42cc-a82d-d36f8f2e91fd	CRAC
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	b973e438-0188-46d4-a946-7a37e022f05d	CRAC_WITHOUT_FAN
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	68f4f554-627e-4544-adc2-e39059bf5244	CRAC_FAN
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	2f091e1e-7d5f-40ae-a6de-90b45517da71	CHILLER
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	e136dd01-7d6b-4519-86c6-4c84b01b7301	AIR_COOLED_CHILLER
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	93293b45-8b84-49f3-8e39-68fd25d29e85	COOLING_TOWER
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	a308d158-93f6-4462-b1f6-1fb277152b4e	DRY_COOLER
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	d6797524-5bd4-4d81-86c7-631eab8f603e	REMOTE_CONDENSER
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	ee15d9fb-ec75-44d8-9e76-6766bfcb537d	CHILLED_WATER_PUMPS
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	8045ea2e-092f-4a9d-bdb6-333659080a87	HEAT_REJECTION_PUMPS
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	378a8459-77bb-418b-81ae-02b0eb684533	VENTILATION
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	1c52bc81-c298-4875-899b-f8b38489496f	INFILTRATION
9d5f0220-2184-4f4d-9dec-8beeba3ca7fe	dd809338-96cf-41a3-8591-16d53ff38787	IT_LOAD
6286cf2c-8ba8-4d03-9db1-c0b739700979	6e2d08ed-7b73-4014-9780-d23ffac747e5	SWITCHGEAR
6286cf2c-8ba8-4d03-9db1-c0b739700979	eacc9f2d-c449-4995-93f8-25318b038b01	GENERATOR
6286cf2c-8ba8-4d03-9db1-c0b739700979	f75abcee-e4b8-4447-9f94-e8c3a03ad238	PRIMARY_AUXILIARIES
6286cf2c-8ba8-4d03-9db1-c0b739700979	99625083-82a2-40fe-81c9-cd4475157fc2	UPS
6286cf2c-8ba8-4d03-9db1-c0b739700979	7dd216d1-156a-4682-929a-3089bfdebc2d	CRITICAL_AUXILIARIES
6286cf2c-8ba8-4d03-9db1-c0b739700979	1e95b116-4453-47a5-a8b2-0f6daabc3598	LIGHTING
6286cf2c-8ba8-4d03-9db1-c0b739700979	6461ebbf-87e2-4b2f-bb5d-bd0b4f94f409	CRITICAL_POWER_DISTRIBUTION
6286cf2c-8ba8-4d03-9db1-c0b739700979	b203c0a7-51d1-4895-b4ff-010cdec2d587	CRAH
6286cf2c-8ba8-4d03-9db1-c0b739700979	4f9c70e8-1857-483b-b61c-a2204d7e6813	CRAC
6286cf2c-8ba8-4d03-9db1-c0b739700979	7d280468-855a-47cb-ad70-2dee1294f348	CRAC_WITHOUT_FAN
6286cf2c-8ba8-4d03-9db1-c0b739700979	8caa2935-f58f-47e1-83db-48124c3f41a6	CRAC_FAN
6286cf2c-8ba8-4d03-9db1-c0b739700979	29ba331d-1a12-45ff-b908-7bddf39f9a8f	CHILLER
6286cf2c-8ba8-4d03-9db1-c0b739700979	d7925d4c-3ba5-41b0-9f17-2e7d9e1a4169	AIR_COOLED_CHILLER
6286cf2c-8ba8-4d03-9db1-c0b739700979	501279a7-b0e7-4ae6-8c00-48adc5b82cda	COOLING_TOWER
6286cf2c-8ba8-4d03-9db1-c0b739700979	851ec609-fa32-4592-81cd-da311f04ddad	DRY_COOLER
6286cf2c-8ba8-4d03-9db1-c0b739700979	f6d488c3-a2ab-464a-83ad-2ada0aa14d5b	REMOTE_CONDENSER
6286cf2c-8ba8-4d03-9db1-c0b739700979	831af21c-91d3-473f-96e8-f1054dbedb2b	CHILLED_WATER_PUMPS
6286cf2c-8ba8-4d03-9db1-c0b739700979	04fe7e1b-533e-4722-b94f-3651e54ed88b	HEAT_REJECTION_PUMPS
6286cf2c-8ba8-4d03-9db1-c0b739700979	f4b0aa51-2466-455d-900d-fd4d91a28b9c	VENTILATION
6286cf2c-8ba8-4d03-9db1-c0b739700979	e0482d52-8220-4842-8fe2-fa1e6745ebc1	INFILTRATION
6286cf2c-8ba8-4d03-9db1-c0b739700979	12b17adf-6b07-47f7-aa90-f503856af230	IT_LOAD
d880ddfa-8268-4c7c-9b60-545f7ffba641	534fa63a-23b9-44da-8105-02d734b4ef09	SWITCHGEAR
d880ddfa-8268-4c7c-9b60-545f7ffba641	705722e1-dee1-412c-910f-174872cfc3e2	GENERATOR
d880ddfa-8268-4c7c-9b60-545f7ffba641	a9e4e425-86b1-41fc-835e-d1fa977244fc	PRIMARY_AUXILIARIES
d880ddfa-8268-4c7c-9b60-545f7ffba641	217dcebf-034c-4efe-a4a6-85377edeaef1	UPS
d880ddfa-8268-4c7c-9b60-545f7ffba641	44ead851-1fc0-452c-8e05-679e2bc7bc5d	CRITICAL_AUXILIARIES
d880ddfa-8268-4c7c-9b60-545f7ffba641	9a36adde-63be-4033-a5e4-b896617789ca	LIGHTING
d880ddfa-8268-4c7c-9b60-545f7ffba641	515e7d46-7b10-4180-b348-df2e2ef19bbd	CRITICAL_POWER_DISTRIBUTION
d880ddfa-8268-4c7c-9b60-545f7ffba641	80058b7d-dec4-458d-9fae-deed0c3dfe8a	CRAH
d880ddfa-8268-4c7c-9b60-545f7ffba641	c4f71276-6fee-45e6-b53c-2c425b539e15	CRAC
d880ddfa-8268-4c7c-9b60-545f7ffba641	0d48fda4-9a05-4bf5-9e6a-0e24ad4506a3	CRAC_WITHOUT_FAN
d880ddfa-8268-4c7c-9b60-545f7ffba641	8e2abc13-c074-41fc-a959-4e95d804e882	CRAC_FAN
d880ddfa-8268-4c7c-9b60-545f7ffba641	fd2ceb6f-f100-4bf6-a27a-662ad1f34b47	CHILLER
d880ddfa-8268-4c7c-9b60-545f7ffba641	0929d2e6-9dcc-4f50-b254-88a8bcc4dcf9	AIR_COOLED_CHILLER
d880ddfa-8268-4c7c-9b60-545f7ffba641	0e0f1387-04f3-461b-b602-0596e5319b89	COOLING_TOWER
d880ddfa-8268-4c7c-9b60-545f7ffba641	e66b6f15-f3af-4220-b753-002412b5c635	DRY_COOLER
d880ddfa-8268-4c7c-9b60-545f7ffba641	9d4bb292-2b19-454a-82c8-6d2389211016	REMOTE_CONDENSER
d880ddfa-8268-4c7c-9b60-545f7ffba641	7fd315ac-f95c-4fc5-93f7-18b23245cda4	CHILLED_WATER_PUMPS
d880ddfa-8268-4c7c-9b60-545f7ffba641	48114d3b-42d0-4a6a-9928-db9e7a9b5fcf	HEAT_REJECTION_PUMPS
d880ddfa-8268-4c7c-9b60-545f7ffba641	2fcf34d5-0833-477b-bc46-9e09eae47847	VENTILATION
d880ddfa-8268-4c7c-9b60-545f7ffba641	982265e0-ca96-4bb0-9f36-c8578b9637fc	INFILTRATION
d880ddfa-8268-4c7c-9b60-545f7ffba641	7ab50b28-6405-474c-8fb9-1e0230d0898a	IT_LOAD
bcef5c2a-6d1e-4219-808f-e194d4729d84	c4938371-34c7-482e-a9cf-cfa599dbab5e	SWITCHGEAR
bcef5c2a-6d1e-4219-808f-e194d4729d84	189d1128-4e8d-4a2e-a7fc-f3f71f989a67	GENERATOR
bcef5c2a-6d1e-4219-808f-e194d4729d84	651810b4-0bff-4c39-85e6-9cf17b5526bb	PRIMARY_AUXILIARIES
bcef5c2a-6d1e-4219-808f-e194d4729d84	f23301be-36e6-46bf-9347-37b7130488e6	UPS
bcef5c2a-6d1e-4219-808f-e194d4729d84	a9187d0c-8c8b-4fb8-8be2-5c4d2d3998d3	CRITICAL_AUXILIARIES
bcef5c2a-6d1e-4219-808f-e194d4729d84	a68c44ae-3344-46ef-b407-a1cdd8b9841e	LIGHTING
bcef5c2a-6d1e-4219-808f-e194d4729d84	07601f97-fe48-4036-94df-1aed583b91c7	CRITICAL_POWER_DISTRIBUTION
bcef5c2a-6d1e-4219-808f-e194d4729d84	a8773fb1-1cf7-478f-82d0-390eab3c8871	CRAH
bcef5c2a-6d1e-4219-808f-e194d4729d84	ad9b2fa6-fcca-4c3f-a874-b0e011717c65	CRAC
bcef5c2a-6d1e-4219-808f-e194d4729d84	950a5522-f461-4965-a1a4-fdaace61ff7c	CRAC_WITHOUT_FAN
bcef5c2a-6d1e-4219-808f-e194d4729d84	19e319be-3534-414e-8fdc-2825703be326	CRAC_FAN
bcef5c2a-6d1e-4219-808f-e194d4729d84	13ddd619-aea0-4499-9eb7-c7d385c39424	CHILLER
bcef5c2a-6d1e-4219-808f-e194d4729d84	42d82ea9-9894-46cc-b433-74b6f15aafc4	AIR_COOLED_CHILLER
bcef5c2a-6d1e-4219-808f-e194d4729d84	c15d2f9e-dcbb-4156-988d-a8e35c9df341	COOLING_TOWER
bcef5c2a-6d1e-4219-808f-e194d4729d84	367de6f0-7677-4580-b826-3e192f89b5cd	DRY_COOLER
bcef5c2a-6d1e-4219-808f-e194d4729d84	4c9eb84f-5538-4b9d-8031-ce40a3deb346	REMOTE_CONDENSER
bcef5c2a-6d1e-4219-808f-e194d4729d84	74f450f1-e457-4b39-9dde-05976d1d1a4b	CHILLED_WATER_PUMPS
bcef5c2a-6d1e-4219-808f-e194d4729d84	23b5d788-3e31-4540-bd19-02afe8cccff5	HEAT_REJECTION_PUMPS
bcef5c2a-6d1e-4219-808f-e194d4729d84	4f2e9451-7645-45f0-98c8-91aebe787868	VENTILATION
bcef5c2a-6d1e-4219-808f-e194d4729d84	719ded3a-d9a5-4a56-a287-b8025d155d2b	INFILTRATION
bcef5c2a-6d1e-4219-808f-e194d4729d84	fedb1c53-6da2-45a9-a610-9d46f24ae700	IT_LOAD
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	19180dc5-171b-4e88-b054-b12f76c4cfc3	SWITCHGEAR
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	90d164d1-501d-4f1b-938d-fbd360f29128	GENERATOR
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	e53a4b7a-9cab-406b-a40c-3dad03fecc1d	PRIMARY_AUXILIARIES
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	ac3def1b-3a1e-4f5e-a72f-0e7f53c51ffc	UPS
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	8668cb38-c4b6-43c6-9369-54cc487e6021	CRITICAL_AUXILIARIES
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	315d82a2-0963-43c5-a4d7-e4b5ec55e446	LIGHTING
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	ae2465ab-f23f-4a1d-807d-6122af3d1d71	CRITICAL_POWER_DISTRIBUTION
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	84a722b1-8de1-4a80-a69d-9e92c48b1174	CRAH
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	a9707713-9708-48d0-8743-4f943389b154	CRAC
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	d513cbae-afcc-405c-9ff9-58416785b4d0	CRAC_WITHOUT_FAN
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	b036088f-5f02-433b-9587-db841ca57dda	CRAC_FAN
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	55f13dcf-c23e-440e-abc5-3713b1de6006	CHILLER
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	6e33824b-0fb3-4ed0-97d4-e92fed274362	AIR_COOLED_CHILLER
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	fdfcd63b-da91-4a2e-a115-de377db7b650	COOLING_TOWER
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	003355e8-bc5a-46e9-a4e4-b58126c52ab6	DRY_COOLER
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	902cbd50-1b58-4d9d-b632-083db9590397	REMOTE_CONDENSER
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	65b6cc64-66f8-41a1-a45e-6c5f5228ff5c	CHILLED_WATER_PUMPS
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	85f2e9d7-607e-47cb-886e-c03df63dc8ca	HEAT_REJECTION_PUMPS
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	a6f6e5cc-3c83-4b69-8cf6-bae65e8b3570	VENTILATION
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	f5ad6f40-ed30-442d-8e51-420f264b446a	INFILTRATION
76060b07-f2ed-42f9-b5b9-6a5bbe23a52f	460eaebd-9543-48b8-8093-c7c01af7b556	IT_LOAD
a5036132-22b1-4ade-aacd-ff64ccd042d4	434595df-210e-4094-9169-f2a7d45c9c09	SWITCHGEAR
a5036132-22b1-4ade-aacd-ff64ccd042d4	9bdba0d0-dcf0-4967-a05d-7b2e4158a5e1	GENERATOR
a5036132-22b1-4ade-aacd-ff64ccd042d4	4d28378d-4ad6-4708-938f-81464230f974	PRIMARY_AUXILIARIES
a5036132-22b1-4ade-aacd-ff64ccd042d4	c5bcd9e8-14fc-4df3-bbee-0e9974dafd32	UPS
a5036132-22b1-4ade-aacd-ff64ccd042d4	1d401ff3-e4c9-4759-aadc-3d53172b462a	CRITICAL_AUXILIARIES
a5036132-22b1-4ade-aacd-ff64ccd042d4	5badc6ed-37dd-46a6-96cc-95ffac2a040f	LIGHTING
a5036132-22b1-4ade-aacd-ff64ccd042d4	15fa75db-f0f5-46a9-8b48-604616d84323	CRITICAL_POWER_DISTRIBUTION
a5036132-22b1-4ade-aacd-ff64ccd042d4	3f43e06e-92f2-4419-a2b3-8d0f0988edef	CRAH
a5036132-22b1-4ade-aacd-ff64ccd042d4	c964af90-37ad-4963-9f6e-49446b76ea03	CRAC
a5036132-22b1-4ade-aacd-ff64ccd042d4	9ae46cff-ac7a-4d31-bd7b-0131eca63953	CRAC_WITHOUT_FAN
a5036132-22b1-4ade-aacd-ff64ccd042d4	16c6a4f4-cb1a-46d0-be73-f0a8eeca17b8	CRAC_FAN
a5036132-22b1-4ade-aacd-ff64ccd042d4	151f8794-816b-476c-a798-cf5f9adaa6ad	CHILLER
a5036132-22b1-4ade-aacd-ff64ccd042d4	74884d77-f2a2-4130-bbc1-e5559aeec129	AIR_COOLED_CHILLER
a5036132-22b1-4ade-aacd-ff64ccd042d4	1b225bed-cbf8-4af8-9274-7b178b8b15fb	COOLING_TOWER
a5036132-22b1-4ade-aacd-ff64ccd042d4	ee23d011-4536-4844-8f5d-7d6af88c6b54	DRY_COOLER
a5036132-22b1-4ade-aacd-ff64ccd042d4	ae0f1eac-a85a-40a5-83e1-f37d70714275	REMOTE_CONDENSER
a5036132-22b1-4ade-aacd-ff64ccd042d4	e050e6e0-a1a3-4fa8-b391-3b5f01e676ec	CHILLED_WATER_PUMPS
a5036132-22b1-4ade-aacd-ff64ccd042d4	6df2907f-bda0-49df-8dca-42168a6fd2ab	HEAT_REJECTION_PUMPS
a5036132-22b1-4ade-aacd-ff64ccd042d4	8d114e9e-8096-4f8e-9beb-e3b2e618d4dd	VENTILATION
a5036132-22b1-4ade-aacd-ff64ccd042d4	f23c138e-c7d7-450d-8ae6-2a79771ec808	INFILTRATION
a5036132-22b1-4ade-aacd-ff64ccd042d4	a2d10c4c-7dbe-4568-8e0c-a42c8d1e087d	IT_LOAD
97726fab-504c-4b4b-9abe-812f2136660f	9d69671b-98cb-4724-aeac-925f98eec4d3	SWITCHGEAR
97726fab-504c-4b4b-9abe-812f2136660f	9976b091-4fb4-49e8-9cb4-1474fb5e69ea	GENERATOR
97726fab-504c-4b4b-9abe-812f2136660f	2c6b5b5e-09a9-4351-bcad-62209fce07dd	PRIMARY_AUXILIARIES
97726fab-504c-4b4b-9abe-812f2136660f	11682ce5-4b5a-4721-b044-66c2e0abc086	UPS
97726fab-504c-4b4b-9abe-812f2136660f	0db81764-3239-4378-a89e-2e9cc1d20e8e	CRITICAL_AUXILIARIES
97726fab-504c-4b4b-9abe-812f2136660f	3c03645b-0dc5-4a4b-b8ed-81bb60bc4d93	LIGHTING
97726fab-504c-4b4b-9abe-812f2136660f	caa9c79f-ac07-40d4-bb98-5dae235fe67a	CRITICAL_POWER_DISTRIBUTION
97726fab-504c-4b4b-9abe-812f2136660f	1a4c6861-b138-4278-acb0-bcc44ab47abd	CRAH
97726fab-504c-4b4b-9abe-812f2136660f	3ce412ef-9848-45fe-ba68-f36574c7ce07	CRAC
97726fab-504c-4b4b-9abe-812f2136660f	fbdbacea-5365-4ce7-9e41-649313a3ed68	CRAC_WITHOUT_FAN
97726fab-504c-4b4b-9abe-812f2136660f	655c0e87-a55a-4f5c-8000-040e05c96d0d	CRAC_FAN
97726fab-504c-4b4b-9abe-812f2136660f	1cde1f33-9a8f-4547-b80e-6ab8a8bdb820	CHILLER
97726fab-504c-4b4b-9abe-812f2136660f	41669825-674a-482a-9521-5b721a3ca240	AIR_COOLED_CHILLER
97726fab-504c-4b4b-9abe-812f2136660f	c2d3e845-ee7e-4569-ad6e-9e2709d2a58b	COOLING_TOWER
97726fab-504c-4b4b-9abe-812f2136660f	4d9c1151-b52d-4692-aa38-b09a5bb69248	DRY_COOLER
97726fab-504c-4b4b-9abe-812f2136660f	c36c0024-a18b-430e-b70f-090d8313c130	REMOTE_CONDENSER
97726fab-504c-4b4b-9abe-812f2136660f	b23373f1-fb03-499f-9f72-cd8b55d96fd8	CHILLED_WATER_PUMPS
97726fab-504c-4b4b-9abe-812f2136660f	0b854b21-70eb-4f8c-8b84-d7b31c782918	HEAT_REJECTION_PUMPS
97726fab-504c-4b4b-9abe-812f2136660f	97424558-9808-40c3-b845-09b74a67069c	VENTILATION
97726fab-504c-4b4b-9abe-812f2136660f	a0b21b80-a67c-4c58-8350-41436d5216c4	INFILTRATION
97726fab-504c-4b4b-9abe-812f2136660f	93c0108e-02bf-4c78-8403-a638dc44b40d	IT_LOAD
1c903d3f-9c59-4eec-ba3f-12053a753be6	c87a13b9-ef4a-4ffe-a7d8-d2be8cc8860c	SWITCHGEAR
1c903d3f-9c59-4eec-ba3f-12053a753be6	5f2b9e3a-14b3-4a37-b785-4851005bb27e	GENERATOR
1c903d3f-9c59-4eec-ba3f-12053a753be6	1a446ec7-a09e-419c-9011-34c4a4285875	PRIMARY_AUXILIARIES
1c903d3f-9c59-4eec-ba3f-12053a753be6	d84ec7ba-b53d-4a86-8655-24ab97357043	UPS
1c903d3f-9c59-4eec-ba3f-12053a753be6	a74c5fa2-e99d-4b8a-81a6-63aa9fcb9f30	CRITICAL_AUXILIARIES
1c903d3f-9c59-4eec-ba3f-12053a753be6	231582af-a8ba-4aef-b18e-e9922a0c6800	LIGHTING
1c903d3f-9c59-4eec-ba3f-12053a753be6	bf1525e4-ccfe-4b67-b84b-58281a5a8449	CRITICAL_POWER_DISTRIBUTION
1c903d3f-9c59-4eec-ba3f-12053a753be6	26263903-27e3-4e0d-8c5a-51888f9dd78b	CRAH
1c903d3f-9c59-4eec-ba3f-12053a753be6	599d253d-a7e0-42ee-8749-0b2081b4e691	CRAC
1c903d3f-9c59-4eec-ba3f-12053a753be6	3ca61bf0-77ea-4b4d-851a-22a2abac6002	CRAC_WITHOUT_FAN
1c903d3f-9c59-4eec-ba3f-12053a753be6	657303cb-a49c-474f-a0cf-6daa7d270614	CRAC_FAN
1c903d3f-9c59-4eec-ba3f-12053a753be6	c97e1ac8-2a61-4518-b8ae-bf413bc23115	CHILLER
1c903d3f-9c59-4eec-ba3f-12053a753be6	ee688139-5505-43de-bbb7-efdadedb9136	AIR_COOLED_CHILLER
1c903d3f-9c59-4eec-ba3f-12053a753be6	4a4ebe4b-30e1-4c25-9af1-1674be1475f8	COOLING_TOWER
1c903d3f-9c59-4eec-ba3f-12053a753be6	43fcfefe-5807-4e64-a844-13c7e7271a6e	DRY_COOLER
1c903d3f-9c59-4eec-ba3f-12053a753be6	14f24ad6-8fa0-469f-9e48-69c9f52aa496	REMOTE_CONDENSER
1c903d3f-9c59-4eec-ba3f-12053a753be6	adb6f334-d03b-4d72-8b07-0abb2284a068	CHILLED_WATER_PUMPS
1c903d3f-9c59-4eec-ba3f-12053a753be6	77ada746-828d-4eac-b3dd-d50683a90d5c	HEAT_REJECTION_PUMPS
1c903d3f-9c59-4eec-ba3f-12053a753be6	ab62877b-18cb-4624-a286-92195d0c55f1	VENTILATION
1c903d3f-9c59-4eec-ba3f-12053a753be6	8ef40255-ad55-4397-8853-f3e00a7c9a33	INFILTRATION
1c903d3f-9c59-4eec-ba3f-12053a753be6	99bcfb79-e354-492d-9362-9c867be3a06d	IT_LOAD
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	5ea1188c-25c6-4a78-a353-4118b0a2f524	SWITCHGEAR
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	bd4bed9d-a30c-40ef-a831-e60e2ff69ab5	GENERATOR
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	774bdb6d-69f0-4bc9-ace3-1e16e4d15826	PRIMARY_AUXILIARIES
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	c670e7ba-b505-48b8-8000-1be60dbc3376	UPS
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	9182f684-ff6d-4538-8e0c-8aa4a014b457	CRITICAL_AUXILIARIES
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	a80b8e97-bae4-4853-8702-211d010289aa	LIGHTING
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	bcdfb034-9729-449b-a44e-f5d6fe576cb5	CRITICAL_POWER_DISTRIBUTION
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	06a194e1-f9cb-4f3e-a7b9-7f531af553bf	CRAH
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	486cdbb3-8466-4432-a4b5-0df1e20d070d	CRAC
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	c67b020a-ed2e-4218-85bc-ac5948dccb53	CRAC_WITHOUT_FAN
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	95870c1a-e1b6-4f33-9223-190208c4412f	CRAC_FAN
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	bdfb6292-7d13-4a03-8529-33ca13829405	CHILLER
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	8488ee61-e093-45ff-97d5-e9944affb62f	AIR_COOLED_CHILLER
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	3516d3d8-a5da-4d72-923c-713364f0e4c1	COOLING_TOWER
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	255c19de-b20d-4f9f-ac72-d66dc302b328	DRY_COOLER
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	6b78868f-2304-4a00-89f3-79e709c9bda7	REMOTE_CONDENSER
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	c2c47f3d-a44d-4258-96f1-c3f2994fbca9	CHILLED_WATER_PUMPS
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	5d66b4ee-8b61-41ad-9c5f-558d5554a4bd	HEAT_REJECTION_PUMPS
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	60e4d206-32cc-44c3-8057-38d15a083347	VENTILATION
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	39bcd5c8-2faf-469f-a731-2e6f40dfb90b	INFILTRATION
66b47a79-f65d-4e64-a8ab-0e93dacd4d41	e5ab4127-cb33-4f3e-9e06-64a7e17b28bb	IT_LOAD
952607b6-32f6-4791-9c3a-ac882f538336	0ce139b8-1432-49f6-a7f0-05dadd923401	SWITCHGEAR
952607b6-32f6-4791-9c3a-ac882f538336	29c4aae3-a47a-4231-b350-5beb1ef3e190	GENERATOR
952607b6-32f6-4791-9c3a-ac882f538336	6bb051e6-9058-498b-bb24-5bcd5f57450d	PRIMARY_AUXILIARIES
952607b6-32f6-4791-9c3a-ac882f538336	b20d9d0e-f951-4684-8265-1034a1aa5963	UPS
952607b6-32f6-4791-9c3a-ac882f538336	2788dad4-60f2-4819-960b-5d60adb39eff	CRITICAL_AUXILIARIES
952607b6-32f6-4791-9c3a-ac882f538336	9a910c8c-5a61-4658-8fb2-6341d7221cb7	LIGHTING
952607b6-32f6-4791-9c3a-ac882f538336	81cf34dd-c95e-4a8a-a93d-03c15394fb3a	CRITICAL_POWER_DISTRIBUTION
952607b6-32f6-4791-9c3a-ac882f538336	c53fdb0a-7110-4b10-8761-7c061ffe1299	CRAH
952607b6-32f6-4791-9c3a-ac882f538336	b4d332bc-6191-4011-af9f-636c435c0842	CRAC
952607b6-32f6-4791-9c3a-ac882f538336	49b22615-898c-4a50-9cb5-837d773714a3	CRAC_WITHOUT_FAN
952607b6-32f6-4791-9c3a-ac882f538336	d643cd1f-d134-43bd-b9e7-4e6a36ec5fec	CRAC_FAN
952607b6-32f6-4791-9c3a-ac882f538336	1faa51f6-44a7-4910-a908-697f365764be	CHILLER
952607b6-32f6-4791-9c3a-ac882f538336	b900fc52-0aa9-4815-bfe6-8d30f82ddfa7	AIR_COOLED_CHILLER
952607b6-32f6-4791-9c3a-ac882f538336	ddc0528d-131b-47f5-ba8e-a1956429ece5	COOLING_TOWER
952607b6-32f6-4791-9c3a-ac882f538336	80064870-2d0e-4c19-a296-4a41f839addb	DRY_COOLER
952607b6-32f6-4791-9c3a-ac882f538336	2c27311e-13fd-4977-afd8-0e519147dae3	REMOTE_CONDENSER
952607b6-32f6-4791-9c3a-ac882f538336	60488c6f-5c7b-4ea9-b6cc-ad425c307a54	CHILLED_WATER_PUMPS
952607b6-32f6-4791-9c3a-ac882f538336	f81dfe1a-2c46-4457-9ca2-a3cf32626bd8	HEAT_REJECTION_PUMPS
952607b6-32f6-4791-9c3a-ac882f538336	550bd1a8-b3e8-429e-9f11-2bac073fb48a	VENTILATION
952607b6-32f6-4791-9c3a-ac882f538336	242bdcb7-381a-4039-b5e1-6d37dc3ad800	INFILTRATION
952607b6-32f6-4791-9c3a-ac882f538336	69762b4e-ae4a-47b3-ac87-20d255d9f62c	IT_LOAD
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	427aa83d-14e8-495d-b5b2-e6285da973de	SWITCHGEAR
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	5daa8015-643d-4d5c-a56a-fb5a79b03cac	GENERATOR
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	41b6c165-e98f-483f-9b93-9483540fb273	PRIMARY_AUXILIARIES
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	91f2a978-1012-447f-99f6-246e32f7dc05	UPS
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	51e3a057-ada4-4929-88b5-f29e75dccf45	CRITICAL_AUXILIARIES
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	308a6070-4ff2-4af6-8a73-24aabff103c8	LIGHTING
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	8a326196-60dd-4c05-88e9-ce88e7868b52	CRITICAL_POWER_DISTRIBUTION
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	aa9144d8-8602-4938-9398-124cfd6cf16c	CRAH
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	96bb3b40-acef-40da-8752-213d02a113b0	CRAC
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	50fa9c15-46ff-431e-a736-cf9f2227e180	CRAC_WITHOUT_FAN
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	a8031ae5-e1ff-4ead-a10b-8e01cbf64b4d	CRAC_FAN
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	cd74cc05-84ed-423f-99c4-5a11db29effd	CHILLER
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	3b65c0cd-91c2-443f-b0b5-f054f7e8cf65	AIR_COOLED_CHILLER
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	d1d832b8-2b10-4b87-b583-1ca6a2f2bef6	COOLING_TOWER
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	2eb7f004-49bc-4c51-a850-fa248547fadf	DRY_COOLER
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	66b9452e-5d71-4e29-a416-de9f7db890df	REMOTE_CONDENSER
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	8fce6043-814e-48a2-8759-e7d7e285f0c9	CHILLED_WATER_PUMPS
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	c8b33903-fc9e-40c5-bb9f-f6a8c3f25b31	HEAT_REJECTION_PUMPS
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	59c0d357-101e-4f31-a3bc-02d2e4580411	VENTILATION
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	b3882dd9-5a66-454d-ae25-08c062d8e244	INFILTRATION
d7ed6e0e-2221-41f2-81ba-c8bda9b6bd34	e3c795cc-c430-480f-aa41-4768af894dc9	IT_LOAD
3a182614-2dd7-420f-a73a-e5c607d8d3da	8f0aec18-ed8d-4612-aff7-cd66f8f73ad3	SWITCHGEAR
3a182614-2dd7-420f-a73a-e5c607d8d3da	f7f78480-3396-460d-913f-9377581c44f9	GENERATOR
3a182614-2dd7-420f-a73a-e5c607d8d3da	1ab3db28-8d3f-4811-a91b-e8c8126b3268	PRIMARY_AUXILIARIES
3a182614-2dd7-420f-a73a-e5c607d8d3da	fd1a7bca-7e6c-4f9f-9479-08aa36b0f054	UPS
3a182614-2dd7-420f-a73a-e5c607d8d3da	7d13e16d-8f59-4b29-a1d7-a6a92ed6624d	CRITICAL_AUXILIARIES
3a182614-2dd7-420f-a73a-e5c607d8d3da	14cb935b-2256-4bed-b169-9730b76169e4	LIGHTING
3a182614-2dd7-420f-a73a-e5c607d8d3da	dd98a0a4-f9a3-4131-96eb-9319e6163b08	CRITICAL_POWER_DISTRIBUTION
3a182614-2dd7-420f-a73a-e5c607d8d3da	a183e7a3-64ac-4d35-a2f1-66310566b6b1	CRAH
3a182614-2dd7-420f-a73a-e5c607d8d3da	bee448ea-b989-49c9-a66a-3e9949d2abe3	CRAC
3a182614-2dd7-420f-a73a-e5c607d8d3da	8c7b506a-6a9c-4b24-8955-2084ddb62d4c	CRAC_WITHOUT_FAN
3a182614-2dd7-420f-a73a-e5c607d8d3da	090e4a23-0f91-4800-a889-1e49cd2429ae	CRAC_FAN
3a182614-2dd7-420f-a73a-e5c607d8d3da	e8b51215-1be4-467f-8265-5ff0c32b2cc0	CHILLER
3a182614-2dd7-420f-a73a-e5c607d8d3da	9a9e7af1-790a-46fa-9475-d9681f6038fc	AIR_COOLED_CHILLER
3a182614-2dd7-420f-a73a-e5c607d8d3da	defbe603-63ca-4f51-b0c5-3748e917a459	COOLING_TOWER
3a182614-2dd7-420f-a73a-e5c607d8d3da	d5aa0c85-1542-4d3b-967a-c1a380c2ff5c	DRY_COOLER
3a182614-2dd7-420f-a73a-e5c607d8d3da	81d4c9c5-af40-4ae5-84b3-e42999a142b9	REMOTE_CONDENSER
3a182614-2dd7-420f-a73a-e5c607d8d3da	90d91be9-b160-4a3c-b37a-dd9781ee882d	CHILLED_WATER_PUMPS
3a182614-2dd7-420f-a73a-e5c607d8d3da	b1be79f5-85b2-4c4a-9589-b8c0b59e44e3	HEAT_REJECTION_PUMPS
3a182614-2dd7-420f-a73a-e5c607d8d3da	37f921b9-0128-4e98-9349-1c147c301d64	VENTILATION
3a182614-2dd7-420f-a73a-e5c607d8d3da	28be968d-1b4c-4b80-ac59-8e916bdbd39d	INFILTRATION
3a182614-2dd7-420f-a73a-e5c607d8d3da	924d2d63-f76c-43ea-a315-d55d76d1acc9	IT_LOAD
168ed2c3-76a4-45f3-84ac-52194973292d	f029f986-e19f-4cd4-a14a-77074a2d4450	SWITCHGEAR
168ed2c3-76a4-45f3-84ac-52194973292d	8a3dcdea-b1fd-47eb-ab76-f8ef79e05caf	GENERATOR
168ed2c3-76a4-45f3-84ac-52194973292d	f7451dcb-1be9-413d-aeb8-defa5841e030	PRIMARY_AUXILIARIES
168ed2c3-76a4-45f3-84ac-52194973292d	cf2a5009-f2a0-4691-82ea-4f8d97a5e28a	UPS
168ed2c3-76a4-45f3-84ac-52194973292d	ae07f8dc-3ddc-49b3-8c7b-0291c1116d2b	CRITICAL_AUXILIARIES
168ed2c3-76a4-45f3-84ac-52194973292d	1986e79e-1113-463c-9b1a-b9984de9a1a1	LIGHTING
168ed2c3-76a4-45f3-84ac-52194973292d	5d99791a-be36-4968-b395-6e8da9488a93	CRITICAL_POWER_DISTRIBUTION
168ed2c3-76a4-45f3-84ac-52194973292d	5cadd074-b773-438b-b65c-a32c396a0df4	CRAH
168ed2c3-76a4-45f3-84ac-52194973292d	caeabf65-f355-423a-b0c1-5001796e6c81	CRAC
168ed2c3-76a4-45f3-84ac-52194973292d	db9d6b51-e6e6-4c20-a89b-0544a35ab5fd	CRAC_WITHOUT_FAN
168ed2c3-76a4-45f3-84ac-52194973292d	4c04cd0e-d50c-4afd-b90d-17426d3949c6	CRAC_FAN
168ed2c3-76a4-45f3-84ac-52194973292d	ad2dd9d6-6e04-428b-af37-f234a6cbd9d7	CHILLER
168ed2c3-76a4-45f3-84ac-52194973292d	b8b91da7-4646-4af1-96f1-609feb572c91	AIR_COOLED_CHILLER
168ed2c3-76a4-45f3-84ac-52194973292d	957896b5-5768-4faa-b267-2c72d1cd2a7d	COOLING_TOWER
168ed2c3-76a4-45f3-84ac-52194973292d	3d16948b-d1bf-4058-b3a4-dc0743b33127	DRY_COOLER
168ed2c3-76a4-45f3-84ac-52194973292d	9544d804-82c2-43bb-9722-3232f5a8e35a	REMOTE_CONDENSER
168ed2c3-76a4-45f3-84ac-52194973292d	7d2c1849-f02c-4c4e-9189-ef9753f236ef	CHILLED_WATER_PUMPS
168ed2c3-76a4-45f3-84ac-52194973292d	243bfe53-70be-468a-9ae6-87374d90a1be	HEAT_REJECTION_PUMPS
168ed2c3-76a4-45f3-84ac-52194973292d	549dc869-0296-4b26-bccc-7c5774a11f35	VENTILATION
168ed2c3-76a4-45f3-84ac-52194973292d	a202da61-1207-464b-bdbc-3504830ae469	INFILTRATION
168ed2c3-76a4-45f3-84ac-52194973292d	0f54076f-b036-4c70-a636-78de21d9f843	IT_LOAD
2dd815ac-8a62-4791-a7da-ce6ab79633f3	82dd8fc9-bbac-4d36-ab4b-745ce326babe	SWITCHGEAR
2dd815ac-8a62-4791-a7da-ce6ab79633f3	d9d116f9-9e4a-497e-a37b-b59c15aa3d60	GENERATOR
2dd815ac-8a62-4791-a7da-ce6ab79633f3	7249021a-0897-4ecc-8a8c-c2c5ed09263b	PRIMARY_AUXILIARIES
2dd815ac-8a62-4791-a7da-ce6ab79633f3	6dfa098a-704e-4606-b667-d20c11cfc18c	UPS
2dd815ac-8a62-4791-a7da-ce6ab79633f3	4f2521ee-76a0-4b43-99d9-6d652b0439bd	CRITICAL_AUXILIARIES
2dd815ac-8a62-4791-a7da-ce6ab79633f3	4c72e508-39c0-4f69-892d-83aa3cf89da1	LIGHTING
2dd815ac-8a62-4791-a7da-ce6ab79633f3	4a6d4d0b-e63e-4b3c-983f-c255058298cd	CRITICAL_POWER_DISTRIBUTION
2dd815ac-8a62-4791-a7da-ce6ab79633f3	acbef62f-be8e-4506-b751-7a1d1439d1b0	CRAH
2dd815ac-8a62-4791-a7da-ce6ab79633f3	6cc3f163-1d97-446e-b73c-6904482a8d4c	CRAC
2dd815ac-8a62-4791-a7da-ce6ab79633f3	d48a3b50-0e58-4c1f-9400-e9e210478dbb	CRAC_WITHOUT_FAN
2dd815ac-8a62-4791-a7da-ce6ab79633f3	cc5663c3-75c9-412d-bbe3-ca43ac1206bb	CRAC_FAN
2dd815ac-8a62-4791-a7da-ce6ab79633f3	5ca2a30c-0a71-40a6-b5a4-4c4f14d79616	CHILLER
2dd815ac-8a62-4791-a7da-ce6ab79633f3	68ac5152-7908-46f4-b769-8758b044c6d4	AIR_COOLED_CHILLER
2dd815ac-8a62-4791-a7da-ce6ab79633f3	3b7d5558-7c6b-4770-98dc-b7f8e6fcc1ac	COOLING_TOWER
2dd815ac-8a62-4791-a7da-ce6ab79633f3	8bf91223-c5a7-43d4-9fb4-35f62a7402ee	DRY_COOLER
2dd815ac-8a62-4791-a7da-ce6ab79633f3	f056897c-abb0-4413-87ba-fc5dd18361b1	REMOTE_CONDENSER
2dd815ac-8a62-4791-a7da-ce6ab79633f3	7dcdb010-50ff-4eb9-bff7-481266913730	CHILLED_WATER_PUMPS
2dd815ac-8a62-4791-a7da-ce6ab79633f3	cbeae481-8bc3-4381-9a7a-f1798568e924	HEAT_REJECTION_PUMPS
2dd815ac-8a62-4791-a7da-ce6ab79633f3	74f9b2a3-eb8f-48b8-bba3-586ceebd8de0	VENTILATION
2dd815ac-8a62-4791-a7da-ce6ab79633f3	8997730d-1dfa-49ba-bac5-db729bc2e8be	INFILTRATION
2dd815ac-8a62-4791-a7da-ce6ab79633f3	7862ece8-3dc9-4728-a108-c6ce14e93b28	IT_LOAD
410b6872-e13e-4c6d-b26b-c127bcc0773a	187c5c9c-3a25-4dd4-b2b1-5072482c1584	SWITCHGEAR
410b6872-e13e-4c6d-b26b-c127bcc0773a	5483836d-fbd4-4316-831d-d034f4a57d6f	GENERATOR
410b6872-e13e-4c6d-b26b-c127bcc0773a	d5118940-3506-43e8-8cf2-1956bfbd0950	PRIMARY_AUXILIARIES
410b6872-e13e-4c6d-b26b-c127bcc0773a	c7244eb1-a704-417e-bba7-fdc2892c505c	UPS
410b6872-e13e-4c6d-b26b-c127bcc0773a	d8d5a8a0-1780-49d7-926a-c67dedf964fe	CRITICAL_AUXILIARIES
410b6872-e13e-4c6d-b26b-c127bcc0773a	7bf1c6be-1d91-42da-bd14-263bd4fac268	LIGHTING
410b6872-e13e-4c6d-b26b-c127bcc0773a	4c156ed9-8fd0-4231-bb1b-5c42dd9be5a5	CRITICAL_POWER_DISTRIBUTION
410b6872-e13e-4c6d-b26b-c127bcc0773a	4a3b2bca-37a2-494f-a08b-4fca0ee6d575	CRAH
410b6872-e13e-4c6d-b26b-c127bcc0773a	a9e01422-5c96-480a-9171-16d4f5c4b3a6	CRAC
410b6872-e13e-4c6d-b26b-c127bcc0773a	cbbc11eb-53be-43d2-85c6-9df5771cbf88	CRAC_WITHOUT_FAN
410b6872-e13e-4c6d-b26b-c127bcc0773a	46ca3ae8-ac24-4bad-b8eb-63b11036e3e1	CRAC_FAN
410b6872-e13e-4c6d-b26b-c127bcc0773a	b91bc6e7-e033-4b0a-94c9-5b37e4fe04b2	CHILLER
410b6872-e13e-4c6d-b26b-c127bcc0773a	fa12f140-4840-42d7-afcf-385e605bcce9	AIR_COOLED_CHILLER
410b6872-e13e-4c6d-b26b-c127bcc0773a	58517c63-c272-4472-98ac-43045d9e6531	COOLING_TOWER
410b6872-e13e-4c6d-b26b-c127bcc0773a	e6947d4d-58fd-4ebd-897f-5cbc9541bd22	DRY_COOLER
410b6872-e13e-4c6d-b26b-c127bcc0773a	38aae409-5fc6-4a3a-8b77-1a31d7c06071	REMOTE_CONDENSER
410b6872-e13e-4c6d-b26b-c127bcc0773a	81b4895e-cbb6-4a8e-bfde-9e2ea638e9d5	CHILLED_WATER_PUMPS
410b6872-e13e-4c6d-b26b-c127bcc0773a	e5cf1752-aef5-47d7-be5e-ccb1f273d6f1	HEAT_REJECTION_PUMPS
410b6872-e13e-4c6d-b26b-c127bcc0773a	d5f34054-93c4-48be-bcab-6583cd8ec359	VENTILATION
410b6872-e13e-4c6d-b26b-c127bcc0773a	4469e7d2-f9af-498e-b3cb-0c747450737e	INFILTRATION
410b6872-e13e-4c6d-b26b-c127bcc0773a	24f65be1-1252-4ef1-98fd-e4add6a4ffed	IT_LOAD
ab556c6e-5439-4863-ad29-f21166582aa0	457481d0-d77a-4d1d-97ef-c532efa06dfd	SWITCHGEAR
ab556c6e-5439-4863-ad29-f21166582aa0	45762c7b-29c8-4868-ac69-d01ff0c7e70e	GENERATOR
ab556c6e-5439-4863-ad29-f21166582aa0	6eed0851-f858-4c49-8939-16d50c3068d0	PRIMARY_AUXILIARIES
ab556c6e-5439-4863-ad29-f21166582aa0	c5fcc4dd-f6e2-454f-b77d-fa9e8c1d640f	UPS
ab556c6e-5439-4863-ad29-f21166582aa0	981347c5-e999-47b3-9ac2-9bced28a60f3	CRITICAL_AUXILIARIES
ab556c6e-5439-4863-ad29-f21166582aa0	7b3e37ef-73e4-4e75-9065-1d56a064097c	LIGHTING
ab556c6e-5439-4863-ad29-f21166582aa0	9c1bd099-a992-4573-800e-6723fc86a62e	CRITICAL_POWER_DISTRIBUTION
ab556c6e-5439-4863-ad29-f21166582aa0	811cccfd-2bbd-48c3-8314-e4fa59015439	CRAH
ab556c6e-5439-4863-ad29-f21166582aa0	8b60a149-bd48-413d-9010-caaca034833a	CRAC
ab556c6e-5439-4863-ad29-f21166582aa0	34ec8fae-130a-4568-b3cd-2d28f579bb69	CRAC_WITHOUT_FAN
ab556c6e-5439-4863-ad29-f21166582aa0	d3abeb21-aa31-4ea4-a707-6b03e7cb5cae	CRAC_FAN
ab556c6e-5439-4863-ad29-f21166582aa0	ec391dbd-4e91-498b-87bc-3b4cc90550dc	CHILLER
ab556c6e-5439-4863-ad29-f21166582aa0	cfec4eec-711b-467f-b5ed-fe1c3a4c9fea	AIR_COOLED_CHILLER
ab556c6e-5439-4863-ad29-f21166582aa0	00a43c0f-e2a7-42e1-9c42-4d01574462c8	COOLING_TOWER
ab556c6e-5439-4863-ad29-f21166582aa0	01b25462-fd6e-4b11-bf13-19002ce1583c	DRY_COOLER
ab556c6e-5439-4863-ad29-f21166582aa0	d228493a-9a5b-4b32-8a77-dd47547c9f05	REMOTE_CONDENSER
ab556c6e-5439-4863-ad29-f21166582aa0	a6bd7fcc-f946-4b0a-ac89-4331055ae318	CHILLED_WATER_PUMPS
ab556c6e-5439-4863-ad29-f21166582aa0	d976dbb5-5cfa-4789-ba88-454f7538fd8b	HEAT_REJECTION_PUMPS
ab556c6e-5439-4863-ad29-f21166582aa0	8b630687-e797-4748-a7c2-721a9481132f	VENTILATION
ab556c6e-5439-4863-ad29-f21166582aa0	808fd78b-8431-4b1b-8f86-f687e6e41ed8	INFILTRATION
ab556c6e-5439-4863-ad29-f21166582aa0	733fd15e-eb08-4a69-b0ad-8aff4a752c0e	IT_LOAD
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	fa10dddc-d128-452c-bfc4-6e8fbc40b75c	SWITCHGEAR
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	cf192cd9-bb8b-4bdf-81ea-64e66a326e83	GENERATOR
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	68b8bb17-686e-40f0-b785-162c9a4c0d29	PRIMARY_AUXILIARIES
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	2c7377ba-5255-4530-82d9-2839f12496c9	UPS
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	baa904bd-b51f-4a2d-9741-da5acee2c5e2	CRITICAL_AUXILIARIES
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	491ce635-ea1a-4d23-9a56-2df30936ff95	LIGHTING
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	b8675af2-b741-4873-a7ad-9186a83778a7	CRITICAL_POWER_DISTRIBUTION
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	0de3e980-e20d-4e8a-97b5-8b3764089add	CRAH
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	f687601f-1b81-49db-8ee1-a6d5d1f8919c	CRAC
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	c8b0c4a4-174d-44d4-900b-024c2df1ee20	CRAC_WITHOUT_FAN
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	78148fe8-8a4d-40f3-a247-ce12448a5ded	CRAC_FAN
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	bfa2300f-b3bf-445d-90da-bf6fcef76f78	CHILLER
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	8304c626-0735-46d6-ade2-9e4b3bf7357d	AIR_COOLED_CHILLER
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	b605562e-341a-4170-99c6-aa66281be3d7	COOLING_TOWER
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	543b6386-e884-47f0-a46e-7579c0d7ba07	DRY_COOLER
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	ee299cf8-74d4-48a4-9190-bc5c60f3d914	REMOTE_CONDENSER
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	34af9e96-c9e5-4b16-90e5-08bcbcdaaf9d	CHILLED_WATER_PUMPS
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	5277f256-01bc-4f6f-aa25-68d13027f39c	HEAT_REJECTION_PUMPS
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	e988f413-9884-468e-a073-f7c9095df546	VENTILATION
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	addb3bd6-b882-43a2-979a-309dd0059f0d	INFILTRATION
fad399f1-f1a1-4771-aa8f-d3812ca61ad2	0dcd33e3-1812-459f-af0a-983a8d2cf69b	IT_LOAD
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	3b137838-817a-41b4-bb5c-69a5572b0f74	SWITCHGEAR
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	9ac1498a-4325-4bae-b425-5a67c58c420e	GENERATOR
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	63370f77-4b40-44ec-8c50-dc8aa9ef18fa	PRIMARY_AUXILIARIES
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	8a5e8592-d60a-437b-9756-4dabfd00656f	UPS
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	80120be5-3209-47fc-bf35-390688b08954	CRITICAL_AUXILIARIES
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	5b6b4dab-b5ce-44da-b81d-3d488215ef87	LIGHTING
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	3d001ed0-cc62-4e4f-b1c1-6318cf9693e1	CRITICAL_POWER_DISTRIBUTION
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	e9bcc8c8-bee7-4402-bc0d-ce84d8ca7e08	CRAH
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	8cee0e16-ff63-4a01-8201-b8d9689d55e7	CRAC
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	1907bb71-99cc-45cc-ab2a-3d79841e3c1d	CRAC_WITHOUT_FAN
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	4d3952ff-e53d-4218-9d33-1cf5452f5125	CRAC_FAN
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	93cd4ceb-da47-4af7-8a0d-de7f6b86d9af	CHILLER
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	3943c9c1-69ea-475c-abc7-2ff4febf199e	AIR_COOLED_CHILLER
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	3c8c5bda-1694-417b-b11d-56ca41fe3f3d	COOLING_TOWER
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	209c752b-d884-4ebe-a8ba-121bad8b9a1a	DRY_COOLER
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	cfccab08-6c4f-42ec-8266-c2eefe48a23b	REMOTE_CONDENSER
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	be04a6ae-452d-406f-99d8-e1f31ebccf17	CHILLED_WATER_PUMPS
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	57e1bdc0-544d-4c9f-9acd-bbea102eb911	HEAT_REJECTION_PUMPS
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	85a999d4-6a24-415a-9de4-8e2dc73e11da	VENTILATION
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	dbbc6ca7-73da-4648-adb6-0a4b4010e8fd	INFILTRATION
f7aaa6e3-9ac9-4967-9740-5b8e51d6156a	b81507bc-8e80-4a7f-942d-ef085b7c55ba	IT_LOAD
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	23e1f750-15be-4b8f-98a4-f8f40d032879	SWITCHGEAR
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	a4c45638-19f3-428b-b63f-8345ea9f93a0	GENERATOR
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	f34aaa34-aac4-406d-9d6e-f45124fa1789	PRIMARY_AUXILIARIES
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	85678d0e-052a-40c0-9810-61fe5d3f44ca	UPS
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	517d2a63-03e9-4054-b072-83fe6f4a9844	CRITICAL_AUXILIARIES
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	acd22c2b-7075-457d-bc08-346d73dcbcb4	LIGHTING
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	0429533e-ceaf-4294-bf86-1a2d7aa97264	CRITICAL_POWER_DISTRIBUTION
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	6d2dafa4-2c7b-44be-a765-c01a8e5083bd	CRAH
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	692f08ae-679e-40b4-9965-701f94c91eae	CRAC
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	b5898cb6-e139-41e8-8ed8-185cb26436ab	CRAC_WITHOUT_FAN
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	f127b743-995e-44fc-bb36-219aa6b8cd09	CRAC_FAN
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	13f3ff28-5805-4a83-b6d4-71f3e10900c3	CHILLER
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	89934355-4e72-42a9-8456-1216be194614	AIR_COOLED_CHILLER
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	752661e9-3056-404e-a228-e4c760325fc6	COOLING_TOWER
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	2418b6f1-85b9-4fa0-96ec-b12a5a7cfcd9	DRY_COOLER
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	2f9feadd-c2d9-4e77-a80f-3040f4321a0f	REMOTE_CONDENSER
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	3e57e347-e81e-4e1e-85ea-cd26dafa16e9	CHILLED_WATER_PUMPS
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	d1f9178b-982a-40f1-ba8a-fc8a16f55f2a	HEAT_REJECTION_PUMPS
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	35c23a91-c113-419c-b877-d527291201b8	VENTILATION
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	fe71f8a8-662f-4e96-af1f-2db4cee52ac0	INFILTRATION
21d8bab8-f02b-4da1-a9fe-e830f28a9bf2	e586981f-5136-4446-9a57-b63b2343497c	IT_LOAD
c1f7fae9-04a4-49f6-9a97-1927b6562898	eeb53580-68f2-4fa7-90ab-8209253bda84	SWITCHGEAR
c1f7fae9-04a4-49f6-9a97-1927b6562898	e80bbfed-5dff-419d-a237-84f0d47148d5	GENERATOR
c1f7fae9-04a4-49f6-9a97-1927b6562898	37cdf3a8-41b1-4874-b3b3-dcf3edbd135c	PRIMARY_AUXILIARIES
c1f7fae9-04a4-49f6-9a97-1927b6562898	316746cb-3c90-4e95-ac30-7789f060aecd	UPS
c1f7fae9-04a4-49f6-9a97-1927b6562898	32f34531-c536-4fc8-9231-8d550b242e77	CRITICAL_AUXILIARIES
c1f7fae9-04a4-49f6-9a97-1927b6562898	ecbdd586-e9e6-448b-b6f2-767a5cd82fea	LIGHTING
c1f7fae9-04a4-49f6-9a97-1927b6562898	09d83865-b35b-4967-99ba-3f8d95fa234e	CRITICAL_POWER_DISTRIBUTION
c1f7fae9-04a4-49f6-9a97-1927b6562898	17e33055-d5b5-4599-9b86-8fcca3ede5ae	CRAH
c1f7fae9-04a4-49f6-9a97-1927b6562898	e45af719-4b0c-471b-8162-928a4c3c1f28	CRAC
c1f7fae9-04a4-49f6-9a97-1927b6562898	8988a772-8cac-4ec7-8071-3d7778ea9811	CRAC_WITHOUT_FAN
c1f7fae9-04a4-49f6-9a97-1927b6562898	57a847f8-0e39-42ec-b830-d67ea4d01dcb	CRAC_FAN
c1f7fae9-04a4-49f6-9a97-1927b6562898	82cdf88e-371e-44e9-ba8f-b29a8e02728e	CHILLER
c1f7fae9-04a4-49f6-9a97-1927b6562898	fd3f43bd-20d9-4d74-9103-5a140807ad95	AIR_COOLED_CHILLER
c1f7fae9-04a4-49f6-9a97-1927b6562898	8c2846a9-7b13-49d4-ab53-2abdbd8788f3	COOLING_TOWER
c1f7fae9-04a4-49f6-9a97-1927b6562898	8c20e160-e1b2-48b7-af1d-387d36be7656	DRY_COOLER
c1f7fae9-04a4-49f6-9a97-1927b6562898	5402ad7a-9fc0-4a67-9243-e5612e1e0dee	REMOTE_CONDENSER
c1f7fae9-04a4-49f6-9a97-1927b6562898	e5e7de8d-b7ae-40a9-8b4e-7e5f40e55eb4	CHILLED_WATER_PUMPS
c1f7fae9-04a4-49f6-9a97-1927b6562898	a59252ae-25f4-4973-97f2-391da5e176d5	HEAT_REJECTION_PUMPS
c1f7fae9-04a4-49f6-9a97-1927b6562898	f842734b-ad48-4b34-8a74-0e973838c0ac	VENTILATION
c1f7fae9-04a4-49f6-9a97-1927b6562898	98238d35-e9ab-445a-87de-2159a34343ef	INFILTRATION
c1f7fae9-04a4-49f6-9a97-1927b6562898	94fa6a75-8c89-4186-8404-cdce4f0cde1d	IT_LOAD
3d319d01-2df0-493a-b784-eda31393298d	5136eb76-f6fa-4683-a098-6554c22d0797	SWITCHGEAR
3d319d01-2df0-493a-b784-eda31393298d	8279a6f0-3864-468e-bb9b-970ce1330947	GENERATOR
3d319d01-2df0-493a-b784-eda31393298d	2e09f43d-dd32-486b-9876-35bfd1fd3daf	PRIMARY_AUXILIARIES
3d319d01-2df0-493a-b784-eda31393298d	79e2853f-aca7-483b-adcc-c4c7c2e1468b	UPS
3d319d01-2df0-493a-b784-eda31393298d	4754de01-5743-4666-bbe1-12ce25fa0fb1	CRITICAL_AUXILIARIES
3d319d01-2df0-493a-b784-eda31393298d	f4294fcd-8fa7-450a-96d6-7f76eb812049	LIGHTING
3d319d01-2df0-493a-b784-eda31393298d	f690699d-4df2-4fa1-8508-ada56abccda0	CRITICAL_POWER_DISTRIBUTION
3d319d01-2df0-493a-b784-eda31393298d	67d38da2-f324-4864-ba91-e90a367dc11c	CRAH
3d319d01-2df0-493a-b784-eda31393298d	626bb5eb-87ab-4ad6-bc8d-013ccd73282a	CRAC
3d319d01-2df0-493a-b784-eda31393298d	d538bd48-7a7f-4573-a93e-a1e0e84dc721	CRAC_WITHOUT_FAN
3d319d01-2df0-493a-b784-eda31393298d	fdbf8502-5866-4bbe-9cbc-33dafe52ae41	CRAC_FAN
3d319d01-2df0-493a-b784-eda31393298d	80dbe284-741b-45e0-a62c-1150a487e745	CHILLER
3d319d01-2df0-493a-b784-eda31393298d	bd58127a-7e7c-46d9-a117-8240ab96385f	AIR_COOLED_CHILLER
3d319d01-2df0-493a-b784-eda31393298d	599ce228-39b7-48b1-b54c-19ea763240eb	COOLING_TOWER
3d319d01-2df0-493a-b784-eda31393298d	0c911e09-e2f6-426a-9d6e-012c2cd128fa	DRY_COOLER
3d319d01-2df0-493a-b784-eda31393298d	c823e926-482b-4dbe-b521-d2932a4999e7	REMOTE_CONDENSER
3d319d01-2df0-493a-b784-eda31393298d	ab264851-29f8-4f1a-b532-6de84f9234fd	CHILLED_WATER_PUMPS
3d319d01-2df0-493a-b784-eda31393298d	48debd83-0fe2-4d03-bf14-83bb21f12a11	HEAT_REJECTION_PUMPS
3d319d01-2df0-493a-b784-eda31393298d	c0946737-d520-4927-bf51-acefbf70fe16	VENTILATION
3d319d01-2df0-493a-b784-eda31393298d	8a610c78-29b4-4b8a-a09d-ee57d8e4dca1	INFILTRATION
3d319d01-2df0-493a-b784-eda31393298d	409e4e76-d43e-43ca-83ed-7c215605049b	IT_LOAD
3cbcc326-ede6-4696-9b03-352ea3c5ceed	18da8ee4-29c2-47b2-8c44-1e7d54aeb063	SWITCHGEAR
3cbcc326-ede6-4696-9b03-352ea3c5ceed	d3fbb1ee-12fb-4c0d-b4e0-062d8af0661b	GENERATOR
3cbcc326-ede6-4696-9b03-352ea3c5ceed	6fca72f9-bb18-4e84-9361-2ea7272ed7b7	PRIMARY_AUXILIARIES
3cbcc326-ede6-4696-9b03-352ea3c5ceed	9f18bec3-45a0-4589-b7aa-30572519817b	UPS
3cbcc326-ede6-4696-9b03-352ea3c5ceed	a7baa162-ed15-4393-81a5-85d38c8ff15d	CRITICAL_AUXILIARIES
3cbcc326-ede6-4696-9b03-352ea3c5ceed	11108e67-0e62-405f-9017-c27464f32663	LIGHTING
3cbcc326-ede6-4696-9b03-352ea3c5ceed	5e7576a8-35e7-4f0e-a755-3a77c3041daf	CRITICAL_POWER_DISTRIBUTION
3cbcc326-ede6-4696-9b03-352ea3c5ceed	33eae298-ea97-418c-adb1-ff8def94c7dd	CRAH
3cbcc326-ede6-4696-9b03-352ea3c5ceed	77d7a896-1325-4947-8f89-35dc516ef030	CRAC
3cbcc326-ede6-4696-9b03-352ea3c5ceed	212c8388-08b1-4aaa-b04a-9e7233785177	CRAC_WITHOUT_FAN
58101d89-4f2e-411f-9308-bd98435ccdb0	c9dd04f6-fc40-42ca-a343-2493fe6f2622	SWITCHGEAR
58101d89-4f2e-411f-9308-bd98435ccdb0	b8a15e3f-4179-4f04-9810-9fbfa240a2d2	GENERATOR
58101d89-4f2e-411f-9308-bd98435ccdb0	898a19db-d941-4d25-bd49-d37f3d70d791	PRIMARY_AUXILIARIES
58101d89-4f2e-411f-9308-bd98435ccdb0	4faa0039-c173-4f66-8653-8becccd48d28	UPS
58101d89-4f2e-411f-9308-bd98435ccdb0	a492da10-af4f-4453-a12f-33b9a3881f2b	CRITICAL_AUXILIARIES
58101d89-4f2e-411f-9308-bd98435ccdb0	e4d9f2fb-4f3a-469e-9fa6-628190e02292	LIGHTING
58101d89-4f2e-411f-9308-bd98435ccdb0	cc02c68d-0d77-416b-a2b6-036ed47fcaf2	CRITICAL_POWER_DISTRIBUTION
58101d89-4f2e-411f-9308-bd98435ccdb0	3a71bedb-b46e-494d-b3e9-d659ec96329b	CRAH
58101d89-4f2e-411f-9308-bd98435ccdb0	c916107f-06d2-4ae0-b4e5-39922f5bf6e9	CRAC
58101d89-4f2e-411f-9308-bd98435ccdb0	a32b1240-682c-4aee-aff3-3202f48a2aca	CRAC_WITHOUT_FAN
58101d89-4f2e-411f-9308-bd98435ccdb0	9aec0aea-6cae-4503-b52a-aac55b086891	CRAC_FAN
58101d89-4f2e-411f-9308-bd98435ccdb0	516e2a4d-d60e-4713-a327-dfaf894f49c0	CHILLER
58101d89-4f2e-411f-9308-bd98435ccdb0	b5f0633b-2402-47a0-8064-7160b6fd5bec	AIR_COOLED_CHILLER
58101d89-4f2e-411f-9308-bd98435ccdb0	e85de232-9118-4679-8d12-ebd917428cd9	COOLING_TOWER
58101d89-4f2e-411f-9308-bd98435ccdb0	361a99fc-6195-446c-8e30-1d85a065d4d5	DRY_COOLER
58101d89-4f2e-411f-9308-bd98435ccdb0	6d5799be-ef29-456b-b4a3-7c7dc3ae9fb6	REMOTE_CONDENSER
58101d89-4f2e-411f-9308-bd98435ccdb0	0b23f41d-aecc-4062-a967-4a4c19d7ef5c	CHILLED_WATER_PUMPS
58101d89-4f2e-411f-9308-bd98435ccdb0	f01be69f-6cb0-436f-ac30-b0d471939fa7	HEAT_REJECTION_PUMPS
58101d89-4f2e-411f-9308-bd98435ccdb0	4b53d4ac-3963-4481-a876-3b91f590ef6e	VENTILATION
58101d89-4f2e-411f-9308-bd98435ccdb0	60af1a63-eacf-4995-944e-42d7b6ee394b	INFILTRATION
58101d89-4f2e-411f-9308-bd98435ccdb0	655766eb-a222-4564-b858-e42fed3bf66e	IT_LOAD
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	9d41bf9f-f88e-4ec8-bd70-9f79cfeb488b	SWITCHGEAR
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	fbf0d4db-09bc-425d-935f-f71478349e11	GENERATOR
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	ddd173fc-5f2b-45a9-b2c5-8de3b9398e25	PRIMARY_AUXILIARIES
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	83483f03-0a73-4d0c-b7ea-b7f3e1718453	UPS
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	01a4ccd1-fc32-4d20-909c-017f90d23a4d	CRITICAL_AUXILIARIES
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	b9b63440-73b4-4423-9b58-9085f77120f0	LIGHTING
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	ed1a996a-0a01-434c-992f-fcdfac34c529	CRITICAL_POWER_DISTRIBUTION
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	05b9e9af-eaf9-4c91-8690-d0c6c7815a71	CRAH
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	192c5156-1a9f-4d27-abe1-1d45bae5ce09	CRAC
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	5e5d03d9-cd67-4303-9d03-7d87652243ec	CRAC_WITHOUT_FAN
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	45cb0507-ab5c-4d89-8ffe-c28ff62b789a	CRAC_FAN
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	e40c60d7-5321-4fc0-b6e2-b17a259ac732	CHILLER
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	ec1ba524-fe17-4896-96e5-114c78275342	AIR_COOLED_CHILLER
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	def53452-909c-4bd3-b627-be099f3d7958	COOLING_TOWER
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	b12157de-0b54-4787-8477-4b8e744a9a10	DRY_COOLER
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	764c2939-5d42-4e04-8e41-3fec52558ba9	REMOTE_CONDENSER
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	fc8c8c9c-9d61-4f18-90ff-eca0e6a08f1c	CHILLED_WATER_PUMPS
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	5b8d0514-2fbd-42ec-8a79-fa5faad84805	HEAT_REJECTION_PUMPS
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	fa9e73f2-8b5f-488f-846f-ca03a0354427	VENTILATION
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	646f0786-1924-47e2-b7bd-dd74d6935bcc	INFILTRATION
1314cd12-4013-4b9f-a8a1-6c15e3ca58f2	8f318194-ca19-454f-9502-2a25f5957854	IT_LOAD
5d411907-b08e-416f-99a0-254fdb0950c1	0270edbe-fe2b-481a-b72f-a49b45243d61	SWITCHGEAR
5d411907-b08e-416f-99a0-254fdb0950c1	8aabd829-43cb-434e-97db-a956d427a1cc	GENERATOR
5d411907-b08e-416f-99a0-254fdb0950c1	b75689b7-e97c-414d-86fb-718d941b2975	PRIMARY_AUXILIARIES
5d411907-b08e-416f-99a0-254fdb0950c1	a7df1a69-174c-4419-8c41-3185623fbf8f	UPS
5d411907-b08e-416f-99a0-254fdb0950c1	909e83d9-24ea-4ff4-835c-68f2da49205b	CRITICAL_AUXILIARIES
5d411907-b08e-416f-99a0-254fdb0950c1	e9d8508b-477b-418e-8806-4ae01412193a	LIGHTING
5d411907-b08e-416f-99a0-254fdb0950c1	3c552364-4639-4911-b02c-5c851e9207b6	CRITICAL_POWER_DISTRIBUTION
5d411907-b08e-416f-99a0-254fdb0950c1	1aef8704-ffa8-484c-bf46-9002b3c2ea74	CRAH
5d411907-b08e-416f-99a0-254fdb0950c1	168c2720-a5a5-4161-bec6-0b9d5451b9a0	CRAC
5d411907-b08e-416f-99a0-254fdb0950c1	ee96194a-1b27-4343-a274-d79821710f84	CRAC_WITHOUT_FAN
5d411907-b08e-416f-99a0-254fdb0950c1	d6d0c38b-5ad5-40ee-ba38-4ac6d6d2af0f	CRAC_FAN
5d411907-b08e-416f-99a0-254fdb0950c1	7e04a25e-218c-4c15-97a2-8f4f59946046	CHILLER
5d411907-b08e-416f-99a0-254fdb0950c1	4b131f6a-a440-4d4c-a915-d624ae30e522	AIR_COOLED_CHILLER
5d411907-b08e-416f-99a0-254fdb0950c1	70e0df1f-329b-4c62-b6d4-f7b5d4dcf307	COOLING_TOWER
5d411907-b08e-416f-99a0-254fdb0950c1	871da460-8fd6-4411-b404-0f3964bd87db	DRY_COOLER
5d411907-b08e-416f-99a0-254fdb0950c1	5766f506-1afa-4843-b6ff-974bd50bbbf5	REMOTE_CONDENSER
5d411907-b08e-416f-99a0-254fdb0950c1	a0af3ea5-809c-4153-8ddf-9d3be48a5849	CHILLED_WATER_PUMPS
5d411907-b08e-416f-99a0-254fdb0950c1	a70efd18-ecfa-4c71-b1cf-a0fbf19e9589	HEAT_REJECTION_PUMPS
5d411907-b08e-416f-99a0-254fdb0950c1	d593ba84-ca31-49da-a2a6-67aeebab1100	VENTILATION
5d411907-b08e-416f-99a0-254fdb0950c1	b2ec623d-ab4b-491f-a700-02354e51a66f	INFILTRATION
5d411907-b08e-416f-99a0-254fdb0950c1	88501df0-6c4a-4c17-8211-21f0f0a90103	IT_LOAD
9a861057-a3bf-495d-a97d-50eeb952d34b	5df05c05-4b0d-4fac-b686-22bede2ba565	SWITCHGEAR
9a861057-a3bf-495d-a97d-50eeb952d34b	89329c88-b35e-4dcd-8c63-5195689fca07	GENERATOR
9a861057-a3bf-495d-a97d-50eeb952d34b	569bd800-7e18-44a8-837b-ba591d032d41	PRIMARY_AUXILIARIES
9a861057-a3bf-495d-a97d-50eeb952d34b	e6eb22af-2f3a-40a2-9e28-034260789403	UPS
9a861057-a3bf-495d-a97d-50eeb952d34b	e8812314-5f66-4c61-aa63-adf441af11eb	CRITICAL_AUXILIARIES
9a861057-a3bf-495d-a97d-50eeb952d34b	af663ea7-c6d9-4e3c-ab67-46b0de87031e	LIGHTING
9a861057-a3bf-495d-a97d-50eeb952d34b	d5b57d14-f85d-4331-8cd1-4c7fc5539518	CRITICAL_POWER_DISTRIBUTION
9a861057-a3bf-495d-a97d-50eeb952d34b	5b3e53e3-069f-4960-8dbf-c8f4907c9f1e	CRAH
9a861057-a3bf-495d-a97d-50eeb952d34b	1da37283-fedb-433e-8869-33d0370bc30c	CRAC
9a861057-a3bf-495d-a97d-50eeb952d34b	a9d8f32c-1e5e-45fc-989d-36744d1fdcb3	CRAC_WITHOUT_FAN
9a861057-a3bf-495d-a97d-50eeb952d34b	93de79fd-8469-4b2d-8bea-b5b802add56e	CRAC_FAN
9a861057-a3bf-495d-a97d-50eeb952d34b	5283f568-040c-4f9a-92d9-1355efbcc532	CHILLER
9a861057-a3bf-495d-a97d-50eeb952d34b	bfaa5b97-4548-4d5b-8078-5156c40d4bd5	AIR_COOLED_CHILLER
9a861057-a3bf-495d-a97d-50eeb952d34b	cb4058f5-b847-4541-87e9-20efbf787363	COOLING_TOWER
9a861057-a3bf-495d-a97d-50eeb952d34b	571f7929-65b4-4f21-9a46-67ba4da69dcd	DRY_COOLER
9a861057-a3bf-495d-a97d-50eeb952d34b	4c45d753-6276-4236-811b-fa8b711798be	REMOTE_CONDENSER
9a861057-a3bf-495d-a97d-50eeb952d34b	6e362ee9-4fcc-47c4-aff9-9d614b30f2a4	CHILLED_WATER_PUMPS
9a861057-a3bf-495d-a97d-50eeb952d34b	b2585601-84ba-4655-9134-f023a1890fa2	HEAT_REJECTION_PUMPS
9a861057-a3bf-495d-a97d-50eeb952d34b	d2d894c9-1672-4618-949d-d7186cd92880	VENTILATION
9a861057-a3bf-495d-a97d-50eeb952d34b	0f4e4986-9a8e-4b19-a8d1-a68c5ab0f311	INFILTRATION
9a861057-a3bf-495d-a97d-50eeb952d34b	f0894af7-35aa-443e-89a5-447b1ec085ef	IT_LOAD
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	024a05fb-dc0e-44ec-90c8-6f49923b64fa	SWITCHGEAR
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	8c21ecff-bc0e-4909-a159-8becf670527e	GENERATOR
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	79b2b331-c1f9-4904-952d-03aa862d5e75	PRIMARY_AUXILIARIES
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	4d01d644-d18e-4683-8b64-a1e72b73f0a6	UPS
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	ce8064fd-0a59-40ce-b5f8-441ea5554efc	CRITICAL_AUXILIARIES
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	0c133b05-18d4-44f5-b7ca-b251b305751f	LIGHTING
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	f06437ed-1f7a-47ad-87ee-569fc1767154	CRITICAL_POWER_DISTRIBUTION
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	6329033f-fcd9-436b-a41e-0fd500408674	CRAH
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	0a65a13d-a012-4d8e-a1a7-3ea5289d5f91	CRAC
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	04c84bc7-147e-48e0-8507-1e8fd03339d6	CRAC_WITHOUT_FAN
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	60414db7-2c7f-4901-a3c3-02c2793ef696	CRAC_FAN
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	75af4669-18f3-4a03-9ed7-545403eb16f0	CHILLER
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	37491965-14b5-490e-87e1-109825557259	AIR_COOLED_CHILLER
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	abc736b8-9669-4e81-93ad-8d5b88cc5354	COOLING_TOWER
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	de19834d-9277-479e-a685-17122eeeb5c5	DRY_COOLER
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	511204c9-b794-418c-94fa-8c771e9b2449	REMOTE_CONDENSER
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	6c84716b-8e87-456b-a5c2-f4e89483055f	CHILLED_WATER_PUMPS
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	a876f28e-3030-425d-83d6-82268592b77c	HEAT_REJECTION_PUMPS
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	c623c8f5-283d-4ebf-9756-1e3736ee15c0	VENTILATION
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	74c3c9a4-8915-48cc-b85e-83ff6aeab5b7	INFILTRATION
3d4b0a03-1857-4378-b3db-c10ea7ea23e4	0e5a1a6f-b1fa-4f28-8d60-b7a483875a2a	IT_LOAD
4bde740b-b392-42c2-ac6f-e5e27841a5bf	74ffec82-54a9-4fa0-9f2d-4fc5216a3b4e	SWITCHGEAR
4bde740b-b392-42c2-ac6f-e5e27841a5bf	f53b1c5e-24a8-4c49-978f-2a663f42edc0	GENERATOR
4bde740b-b392-42c2-ac6f-e5e27841a5bf	509b6286-5bd0-4915-b54e-9e92774d7600	PRIMARY_AUXILIARIES
4bde740b-b392-42c2-ac6f-e5e27841a5bf	820c3000-a924-427d-9454-8eeece010656	UPS
4bde740b-b392-42c2-ac6f-e5e27841a5bf	4a715dc0-2b5b-4eac-9321-9b68298a1c53	CRITICAL_AUXILIARIES
4bde740b-b392-42c2-ac6f-e5e27841a5bf	b1b4f141-8d69-4b23-825c-67d412e68ddf	LIGHTING
4bde740b-b392-42c2-ac6f-e5e27841a5bf	4e24989f-d301-4323-a29d-82861664dcfe	CRITICAL_POWER_DISTRIBUTION
4bde740b-b392-42c2-ac6f-e5e27841a5bf	ec0ba9d9-6cca-4e9c-8cbf-2b2ae60953c3	CRAH
4bde740b-b392-42c2-ac6f-e5e27841a5bf	9ff65d39-8cb2-4b49-8d74-dfd1d48abfb0	CRAC
4bde740b-b392-42c2-ac6f-e5e27841a5bf	c35223e3-f7b9-4144-82b8-de1139c2f9df	CRAC_WITHOUT_FAN
4bde740b-b392-42c2-ac6f-e5e27841a5bf	178905b2-84c2-4a9d-89f0-29a6292a61ef	CRAC_FAN
4bde740b-b392-42c2-ac6f-e5e27841a5bf	49c704c1-3c04-4b23-ba5c-d6c3eb8061ac	CHILLER
4bde740b-b392-42c2-ac6f-e5e27841a5bf	0f0ea133-c747-48dd-b58f-5449368ecd37	AIR_COOLED_CHILLER
4bde740b-b392-42c2-ac6f-e5e27841a5bf	613f5abd-7bfc-4a76-a42a-7094d57253c6	COOLING_TOWER
4bde740b-b392-42c2-ac6f-e5e27841a5bf	e7087e48-061a-4ec1-b8db-b41f35757735	DRY_COOLER
4bde740b-b392-42c2-ac6f-e5e27841a5bf	fa823650-94f6-49fe-b5b0-d0d709ebb117	REMOTE_CONDENSER
4bde740b-b392-42c2-ac6f-e5e27841a5bf	e928fbde-f443-42da-b791-f900d60ff828	CHILLED_WATER_PUMPS
4bde740b-b392-42c2-ac6f-e5e27841a5bf	ddf2959f-599f-42cd-bd9b-71e5b43df3fc	HEAT_REJECTION_PUMPS
4bde740b-b392-42c2-ac6f-e5e27841a5bf	8887c107-7e6e-4850-8099-62c1a192c3b6	VENTILATION
4bde740b-b392-42c2-ac6f-e5e27841a5bf	e9043418-0311-4b96-ab86-0c69d9df7b00	INFILTRATION
4bde740b-b392-42c2-ac6f-e5e27841a5bf	929a8297-60b6-43dc-8625-c485bc62bee5	IT_LOAD
74699670-35b4-4968-bd9b-46af4719f829	934c0d3e-6cda-41a7-8cc1-3ae3d98f5048	SWITCHGEAR
74699670-35b4-4968-bd9b-46af4719f829	b8bd7a23-041b-4543-a1b1-cc446d64fa07	GENERATOR
74699670-35b4-4968-bd9b-46af4719f829	7d9052ea-1a7d-4a7e-a687-d959598d4998	PRIMARY_AUXILIARIES
74699670-35b4-4968-bd9b-46af4719f829	4dac2298-bac2-4f6b-8a32-2f5f135a8115	UPS
74699670-35b4-4968-bd9b-46af4719f829	d39c0bf6-a987-4366-aca9-646671017e04	CRITICAL_AUXILIARIES
74699670-35b4-4968-bd9b-46af4719f829	c402bcf8-80e0-4e50-93b7-40fedb71746e	LIGHTING
74699670-35b4-4968-bd9b-46af4719f829	c9a98189-ff03-4d4a-a389-2cd48043682a	CRITICAL_POWER_DISTRIBUTION
74699670-35b4-4968-bd9b-46af4719f829	a505a893-da1f-4240-a46b-88af4a6e416d	CRAH
74699670-35b4-4968-bd9b-46af4719f829	321e9a9b-3850-432d-9268-4b47659afcb7	CRAC
74699670-35b4-4968-bd9b-46af4719f829	a807dbe8-4869-4e61-969c-536487a2494f	CRAC_WITHOUT_FAN
74699670-35b4-4968-bd9b-46af4719f829	76fbc4f9-f5a6-4eca-a264-f74ce472db9e	CRAC_FAN
74699670-35b4-4968-bd9b-46af4719f829	28857ed1-43b5-43f4-8af1-742c4834dcc4	CHILLER
3cbcc326-ede6-4696-9b03-352ea3c5ceed	89e67629-1f8f-4847-8b48-f5f42b8e667d	CRAC_FAN
3cbcc326-ede6-4696-9b03-352ea3c5ceed	34f46520-eaac-48e9-a3ce-034a391436ac	CHILLER
3cbcc326-ede6-4696-9b03-352ea3c5ceed	213e62c8-454c-4e61-9c99-da710b6a3d9e	AIR_COOLED_CHILLER
3cbcc326-ede6-4696-9b03-352ea3c5ceed	07a08fbb-2a37-4de2-84df-27ddf57f5635	COOLING_TOWER
3cbcc326-ede6-4696-9b03-352ea3c5ceed	6aa0c312-0c9f-4c7d-b72e-54d929d2604c	DRY_COOLER
3cbcc326-ede6-4696-9b03-352ea3c5ceed	74e77014-330e-4272-9416-3494c0d67b11	REMOTE_CONDENSER
3cbcc326-ede6-4696-9b03-352ea3c5ceed	236d08e2-6971-4373-a431-a6f05a64de88	CHILLED_WATER_PUMPS
3cbcc326-ede6-4696-9b03-352ea3c5ceed	a3def459-7470-4ff8-b986-98add6fac7b5	HEAT_REJECTION_PUMPS
3cbcc326-ede6-4696-9b03-352ea3c5ceed	b3b4e44f-f1e5-4f93-bc98-72767f55fbdd	VENTILATION
3cbcc326-ede6-4696-9b03-352ea3c5ceed	a064ecf8-7c5c-4de6-8371-00fd9a82e111	INFILTRATION
3cbcc326-ede6-4696-9b03-352ea3c5ceed	c6cfb642-1d27-4002-ba8b-7f2cf7685b14	IT_LOAD
8cf2c791-983c-433f-9d73-01efcc3ed07a	d8ebaa7e-82d5-4a6e-9050-127cb2892ea5	SWITCHGEAR
8cf2c791-983c-433f-9d73-01efcc3ed07a	b841ad75-7aa1-4957-b75d-de2b135f1d1c	GENERATOR
8cf2c791-983c-433f-9d73-01efcc3ed07a	3b1ab53d-7f3d-4712-b03c-0805e0257c97	PRIMARY_AUXILIARIES
8cf2c791-983c-433f-9d73-01efcc3ed07a	0e17e62d-f2e9-4df3-9b98-3c566d18710f	UPS
8cf2c791-983c-433f-9d73-01efcc3ed07a	c34a6dc6-1a9d-44d8-aa1e-90c462ca8e57	CRITICAL_AUXILIARIES
8cf2c791-983c-433f-9d73-01efcc3ed07a	5a12ad98-1736-4b91-b352-128723b8214a	LIGHTING
8cf2c791-983c-433f-9d73-01efcc3ed07a	71947fd4-8ed4-4224-b95d-e70265bfdf6a	CRITICAL_POWER_DISTRIBUTION
8cf2c791-983c-433f-9d73-01efcc3ed07a	def6f266-1f37-45d6-b601-9afdaf4a8c1f	CRAH
8cf2c791-983c-433f-9d73-01efcc3ed07a	5742146c-8226-4e64-a516-d821796ae563	CRAC
8cf2c791-983c-433f-9d73-01efcc3ed07a	fa8d9c9f-d9e0-4c55-8f30-bf1eee0e90d9	CRAC_WITHOUT_FAN
8cf2c791-983c-433f-9d73-01efcc3ed07a	574f3b8b-45e1-4149-8717-29cd0971db0d	CRAC_FAN
8cf2c791-983c-433f-9d73-01efcc3ed07a	fa5a566c-9964-4da8-821a-3e0bd90dba1e	CHILLER
8cf2c791-983c-433f-9d73-01efcc3ed07a	ee614d96-cef8-481f-97fa-9d33cf55403f	AIR_COOLED_CHILLER
8cf2c791-983c-433f-9d73-01efcc3ed07a	6a6ba271-4f12-404b-9bc5-63e7eaf5b4a1	COOLING_TOWER
8cf2c791-983c-433f-9d73-01efcc3ed07a	037025ae-216f-4861-aefe-2db1274cd619	DRY_COOLER
8cf2c791-983c-433f-9d73-01efcc3ed07a	b5fe04a4-8665-47bf-8422-2cf1e4068e3b	REMOTE_CONDENSER
8cf2c791-983c-433f-9d73-01efcc3ed07a	7e023e23-7a30-43ba-9678-3aace5b31b22	CHILLED_WATER_PUMPS
8cf2c791-983c-433f-9d73-01efcc3ed07a	1cf25d87-8566-49f8-9d3c-8c8746140d24	HEAT_REJECTION_PUMPS
8cf2c791-983c-433f-9d73-01efcc3ed07a	314b8143-9d65-44a4-aca8-f3cfbc0a4c50	VENTILATION
8cf2c791-983c-433f-9d73-01efcc3ed07a	b571d2e1-7ea0-42d0-8bc0-be3e8d8756f9	INFILTRATION
8cf2c791-983c-433f-9d73-01efcc3ed07a	c4865704-99da-4495-a5bc-ee254f5896b5	IT_LOAD
8e857c32-af10-440a-943e-ba8e3d28b9a0	2d12b38c-c9c1-4d95-8edf-e7cab3e2f012	SWITCHGEAR
8e857c32-af10-440a-943e-ba8e3d28b9a0	67f2ad5f-e548-4d70-8b59-797d9b9208d9	GENERATOR
8e857c32-af10-440a-943e-ba8e3d28b9a0	703de04a-24c6-444a-81ea-181a6ccdbcfb	PRIMARY_AUXILIARIES
8e857c32-af10-440a-943e-ba8e3d28b9a0	41fd3c1d-a760-4cdb-8e7f-a0ebe2b4fdef	UPS
8e857c32-af10-440a-943e-ba8e3d28b9a0	94999fb9-1c21-4827-a355-6748806ecf89	CRITICAL_AUXILIARIES
8e857c32-af10-440a-943e-ba8e3d28b9a0	a33b4bee-f98e-4e1d-8227-f5fa6323f71d	LIGHTING
8e857c32-af10-440a-943e-ba8e3d28b9a0	4f922009-678c-4cd3-8c8d-a7c1f478f834	CRITICAL_POWER_DISTRIBUTION
8e857c32-af10-440a-943e-ba8e3d28b9a0	0769cc6f-dbe6-4715-b1ac-cf3469ac5014	CRAH
8e857c32-af10-440a-943e-ba8e3d28b9a0	8d3210f6-3323-401e-9178-e5f2174bafc9	CRAC
8e857c32-af10-440a-943e-ba8e3d28b9a0	f50b840a-af86-4428-8464-9f099236fe30	CRAC_WITHOUT_FAN
8e857c32-af10-440a-943e-ba8e3d28b9a0	988d7d99-594d-400e-b9e5-c2ac8a8c5719	CRAC_FAN
8e857c32-af10-440a-943e-ba8e3d28b9a0	784422f4-e4aa-4003-8a2d-aca7d92e33a7	CHILLER
8e857c32-af10-440a-943e-ba8e3d28b9a0	b77b48bd-d54e-4145-85e2-5d58ec056d7b	AIR_COOLED_CHILLER
8e857c32-af10-440a-943e-ba8e3d28b9a0	0b56c08d-4d6c-4897-a556-3b6530cce9cf	COOLING_TOWER
8e857c32-af10-440a-943e-ba8e3d28b9a0	01ca4546-17f5-4015-a766-cb39977790d9	DRY_COOLER
8e857c32-af10-440a-943e-ba8e3d28b9a0	8ac194c6-91ad-4311-809d-1f655d924e04	REMOTE_CONDENSER
8e857c32-af10-440a-943e-ba8e3d28b9a0	6ca322af-f104-4568-8f61-f801d639d109	CHILLED_WATER_PUMPS
8e857c32-af10-440a-943e-ba8e3d28b9a0	f8cc0b52-7110-4b38-8bf9-2287509cc567	HEAT_REJECTION_PUMPS
8e857c32-af10-440a-943e-ba8e3d28b9a0	5c2c9f59-49a9-45bd-88e3-2edba32cc337	VENTILATION
8e857c32-af10-440a-943e-ba8e3d28b9a0	57f6bc6f-6b3f-4b50-838a-d0262ce88011	INFILTRATION
8e857c32-af10-440a-943e-ba8e3d28b9a0	856f3264-d135-48cb-9830-bd1f30b15366	IT_LOAD
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	a825137d-bac9-49bb-b953-3962b9e58913	SWITCHGEAR
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	157ba9ea-47ad-4a4d-a5ad-7d411c9dd193	GENERATOR
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	f2324722-12fb-40d7-b111-20d3cefe5fa9	PRIMARY_AUXILIARIES
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	73d25fc0-cef0-46ac-b747-28f57123c154	UPS
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	74322161-a9e4-4a09-ab9a-5bd957d5d5c9	CRITICAL_AUXILIARIES
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	99e45043-1b15-4655-8095-0f80755f9e5b	LIGHTING
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	b83a4c32-79a7-44b8-a1e7-e7d776ae5442	CRITICAL_POWER_DISTRIBUTION
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	0dff257e-b003-4cdc-a7fa-66bcfb24679c	CRAH
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	e972d07b-2add-47f1-a8ae-2350e2f69824	CRAC
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	db83602f-83ea-4012-9876-975bf3de274c	CRAC_WITHOUT_FAN
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	bf56a7dd-e125-4ded-9dbc-e9fe219f9d6d	CRAC_FAN
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	a13a4cdf-6c5a-4d6f-a2c9-26758bc88773	CHILLER
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	f946b0a3-cae3-4f55-a606-9fef6cb5ce44	AIR_COOLED_CHILLER
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	5a4212af-e33d-42c9-a588-6e53d73269e1	COOLING_TOWER
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	96630613-d706-47b3-aa08-09b317edc406	DRY_COOLER
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	8011561d-48df-4d4c-89f2-d339b022ca48	REMOTE_CONDENSER
74699670-35b4-4968-bd9b-46af4719f829	573628b2-59c0-498a-bbd4-a5b789bdab5b	AIR_COOLED_CHILLER
74699670-35b4-4968-bd9b-46af4719f829	4bd975eb-d858-47e9-9654-5a7562e3f42a	COOLING_TOWER
74699670-35b4-4968-bd9b-46af4719f829	7acdae46-b497-4382-ac1c-c54f5c466e38	DRY_COOLER
74699670-35b4-4968-bd9b-46af4719f829	c88af5f0-1e65-4281-992e-6c1f59015382	REMOTE_CONDENSER
74699670-35b4-4968-bd9b-46af4719f829	c535d4ea-2438-4254-bb5e-851da20b3705	CHILLED_WATER_PUMPS
74699670-35b4-4968-bd9b-46af4719f829	f0dd5fce-b57d-495f-8969-09599115598e	HEAT_REJECTION_PUMPS
74699670-35b4-4968-bd9b-46af4719f829	4014af31-6d8e-4557-9c41-8663d1d5be59	VENTILATION
74699670-35b4-4968-bd9b-46af4719f829	c70adc4f-def7-45ab-89e6-0a163510ffae	INFILTRATION
74699670-35b4-4968-bd9b-46af4719f829	e7c039d7-4abb-4a25-8943-fce117ad337e	IT_LOAD
4c56e176-6bba-4d50-ae4f-216bf002c878	a064b364-a0c4-4ef3-be76-283eecddf53b	SWITCHGEAR
4c56e176-6bba-4d50-ae4f-216bf002c878	8b52ccc5-3317-43d7-8378-6d3a6fe45def	GENERATOR
4c56e176-6bba-4d50-ae4f-216bf002c878	971d21aa-4772-4228-b7c6-9be80c8a7448	PRIMARY_AUXILIARIES
4c56e176-6bba-4d50-ae4f-216bf002c878	bc3a20bd-b111-4530-9d45-8d457327cc40	UPS
4c56e176-6bba-4d50-ae4f-216bf002c878	c1539a9e-f8b4-47f0-92e5-ed9b9df69f69	CRITICAL_AUXILIARIES
4c56e176-6bba-4d50-ae4f-216bf002c878	1a958962-d2b5-4960-b0b1-44bfc4ec7f7f	LIGHTING
4c56e176-6bba-4d50-ae4f-216bf002c878	5fcb35d9-edce-45c4-957b-c1110a97dde2	CRITICAL_POWER_DISTRIBUTION
4c56e176-6bba-4d50-ae4f-216bf002c878	7d6f9ec5-5e60-4276-a761-a1474a3ef81d	CRAH
4c56e176-6bba-4d50-ae4f-216bf002c878	a64bd421-1ae9-42d3-ba46-64d16e2a02d9	CRAC
4c56e176-6bba-4d50-ae4f-216bf002c878	5c127319-7390-4214-8958-a162a18b7296	CRAC_WITHOUT_FAN
4c56e176-6bba-4d50-ae4f-216bf002c878	4b43c2d6-e418-48aa-a748-9684fb41550b	CRAC_FAN
4c56e176-6bba-4d50-ae4f-216bf002c878	b9b55b16-7857-4cea-a878-6e5bc645fb6d	CHILLER
4c56e176-6bba-4d50-ae4f-216bf002c878	a95094f0-5a03-4396-97a0-0ad00a0aea33	AIR_COOLED_CHILLER
4c56e176-6bba-4d50-ae4f-216bf002c878	c2c4350f-db3f-40a4-9801-e6c50981a0f0	COOLING_TOWER
4c56e176-6bba-4d50-ae4f-216bf002c878	f72fd88b-9e01-4e95-b4db-13a92c98a62e	DRY_COOLER
4c56e176-6bba-4d50-ae4f-216bf002c878	161b7525-bf66-4c6f-8f89-c9f230d1a33b	REMOTE_CONDENSER
4c56e176-6bba-4d50-ae4f-216bf002c878	7f657565-0e5f-493e-898f-ff9b166aa3cc	CHILLED_WATER_PUMPS
4c56e176-6bba-4d50-ae4f-216bf002c878	ff15a85d-4f9c-4348-bf1d-bd0a39f2e7bb	HEAT_REJECTION_PUMPS
4c56e176-6bba-4d50-ae4f-216bf002c878	f9e105f1-ab04-4fb2-a93b-5904a51d3531	VENTILATION
4c56e176-6bba-4d50-ae4f-216bf002c878	fb71f3f8-dd96-45cf-b8cc-41a85ea1538e	INFILTRATION
4c56e176-6bba-4d50-ae4f-216bf002c878	59d87b04-2ed6-4623-8fe9-fd83112c6afe	IT_LOAD
ea48515c-73c9-413f-af10-c5da1a0662bd	207b8013-4e77-4348-bbf3-ab2806b365cc	SWITCHGEAR
ea48515c-73c9-413f-af10-c5da1a0662bd	c42a7a78-9946-4d75-ba79-117bdf136889	GENERATOR
ea48515c-73c9-413f-af10-c5da1a0662bd	166c2459-6dd5-49c6-9cba-f558e5a2868d	PRIMARY_AUXILIARIES
ea48515c-73c9-413f-af10-c5da1a0662bd	5fe030fe-193c-4360-996c-c5fdcc5c96a3	UPS
ea48515c-73c9-413f-af10-c5da1a0662bd	ed5830fd-64c2-40c6-a016-714598ecfcbd	CRITICAL_AUXILIARIES
ea48515c-73c9-413f-af10-c5da1a0662bd	e870c121-8033-4713-9472-44054accbd9d	LIGHTING
ea48515c-73c9-413f-af10-c5da1a0662bd	3e645063-6cc0-468f-9db2-530caded8528	CRITICAL_POWER_DISTRIBUTION
ea48515c-73c9-413f-af10-c5da1a0662bd	f3fdc70b-0834-4019-8eb7-f8622f79d738	CRAH
ea48515c-73c9-413f-af10-c5da1a0662bd	bd1ad253-d228-4e36-990c-88d43792d0fd	CRAC
ea48515c-73c9-413f-af10-c5da1a0662bd	e631200d-79f6-47b3-b5e3-f19d8eadf53c	CRAC_WITHOUT_FAN
ea48515c-73c9-413f-af10-c5da1a0662bd	af2c55bb-0bca-4589-a14c-629d159ed8ba	CRAC_FAN
ea48515c-73c9-413f-af10-c5da1a0662bd	3c48127d-2632-4a36-9601-1abb6fdef340	CHILLER
ea48515c-73c9-413f-af10-c5da1a0662bd	08df0443-865c-4cf6-8436-9ff08dae9877	AIR_COOLED_CHILLER
ea48515c-73c9-413f-af10-c5da1a0662bd	f434c1bc-d6ea-429a-bb97-8c5ff5b45b3c	COOLING_TOWER
ea48515c-73c9-413f-af10-c5da1a0662bd	63f90628-d6f8-426d-b756-ee0f7f6eea20	DRY_COOLER
ea48515c-73c9-413f-af10-c5da1a0662bd	cf832383-f2f9-4ca7-95b2-eb1b27125711	REMOTE_CONDENSER
ea48515c-73c9-413f-af10-c5da1a0662bd	035dfaf1-a43f-4d37-b51d-a971e810dcb1	CHILLED_WATER_PUMPS
ea48515c-73c9-413f-af10-c5da1a0662bd	25e5569d-86e1-4a7d-9890-0c4916903c81	HEAT_REJECTION_PUMPS
ea48515c-73c9-413f-af10-c5da1a0662bd	ae2e06ea-a1a7-4121-b25e-9259d9e56287	VENTILATION
ea48515c-73c9-413f-af10-c5da1a0662bd	82560617-9d5f-473d-95cb-06cc37490f68	INFILTRATION
ea48515c-73c9-413f-af10-c5da1a0662bd	d5951d47-4ad1-4f3c-8657-88fbd2d76680	IT_LOAD
407b7689-48a0-496e-bf7d-58f6ff2e05e7	e886e2f2-0090-49ff-a4f2-29c7c1606651	SWITCHGEAR
407b7689-48a0-496e-bf7d-58f6ff2e05e7	823b16a5-4147-4bde-9aef-5be6aa1739db	GENERATOR
407b7689-48a0-496e-bf7d-58f6ff2e05e7	d39f8a5e-2194-418c-bff7-9143187036f0	PRIMARY_AUXILIARIES
407b7689-48a0-496e-bf7d-58f6ff2e05e7	01fb8b26-ef4f-440c-8833-a7c3dda85004	UPS
407b7689-48a0-496e-bf7d-58f6ff2e05e7	168e7972-f8e5-448f-ac44-5ef0168f1cce	CRITICAL_AUXILIARIES
407b7689-48a0-496e-bf7d-58f6ff2e05e7	ee8ff08b-6fd2-4a20-95e2-7bf7e53df3dc	LIGHTING
407b7689-48a0-496e-bf7d-58f6ff2e05e7	59905e8e-2435-4fb2-9269-89f12233e9b3	CRITICAL_POWER_DISTRIBUTION
407b7689-48a0-496e-bf7d-58f6ff2e05e7	46b88e97-5502-4fc4-ad3a-edf03381a9ed	CRAH
407b7689-48a0-496e-bf7d-58f6ff2e05e7	dc40b09a-f7b7-469a-a6a2-61234685021f	CRAC
407b7689-48a0-496e-bf7d-58f6ff2e05e7	959071c7-ac3c-4182-bbd3-bc1d1e092975	CRAC_WITHOUT_FAN
407b7689-48a0-496e-bf7d-58f6ff2e05e7	96ab7809-f84e-46c3-9f3a-1d0c4aa857b2	CRAC_FAN
407b7689-48a0-496e-bf7d-58f6ff2e05e7	e552bd64-ba62-4758-9872-237783682228	CHILLER
407b7689-48a0-496e-bf7d-58f6ff2e05e7	afab03de-a5ad-404f-b255-4667c6e2b8dd	AIR_COOLED_CHILLER
407b7689-48a0-496e-bf7d-58f6ff2e05e7	3f9205c2-7f52-4cd9-a7cb-fde77f6ef6a8	COOLING_TOWER
407b7689-48a0-496e-bf7d-58f6ff2e05e7	8f79249f-cb4a-4445-a988-761f59beffe9	DRY_COOLER
407b7689-48a0-496e-bf7d-58f6ff2e05e7	74af99c3-b2bd-47a8-bd38-0ce7cb21b98e	REMOTE_CONDENSER
407b7689-48a0-496e-bf7d-58f6ff2e05e7	18a0e12b-b4bf-4a87-9cee-813361b9f702	CHILLED_WATER_PUMPS
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	58c9bf00-1545-471c-8025-26ef87b0b398	CHILLED_WATER_PUMPS
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	4d0f52aa-20b4-4369-9f28-7902acc9bb73	HEAT_REJECTION_PUMPS
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	f1c992ae-efd3-4439-8beb-f9dc705f1ac2	VENTILATION
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	5dbc88a6-4eab-4d08-ade4-4f68c253bd57	INFILTRATION
f29ccdc4-0d14-4798-93ca-aeb5904bd9e1	c92422c2-5f37-4e50-9e02-6868df5de945	IT_LOAD
9e92edf7-fdbd-477b-97db-15ae2c3267ca	2b91df7a-8e75-45f4-9ec0-c6b3289bf8ea	SWITCHGEAR
9e92edf7-fdbd-477b-97db-15ae2c3267ca	8fc08aca-3bf5-4e95-9826-6df77e48b787	GENERATOR
9e92edf7-fdbd-477b-97db-15ae2c3267ca	370e8d54-4595-40ee-b516-6a06e9baf210	PRIMARY_AUXILIARIES
9e92edf7-fdbd-477b-97db-15ae2c3267ca	99c8ed72-e3cc-4106-83c0-8b9b5918bb99	UPS
9e92edf7-fdbd-477b-97db-15ae2c3267ca	d752200a-2f19-4138-b8f8-d682b5a51b09	CRITICAL_AUXILIARIES
9e92edf7-fdbd-477b-97db-15ae2c3267ca	ed65d14f-cc55-47d6-8f4d-1ed6f28b951a	LIGHTING
9e92edf7-fdbd-477b-97db-15ae2c3267ca	89d37ec3-e441-4deb-92f3-5893764a801a	CRITICAL_POWER_DISTRIBUTION
9e92edf7-fdbd-477b-97db-15ae2c3267ca	55305083-1aee-41af-9373-0c68b430b80b	CRAH
9e92edf7-fdbd-477b-97db-15ae2c3267ca	c3d707d6-95f5-4ae8-b67c-5e09377630d1	CRAC
9e92edf7-fdbd-477b-97db-15ae2c3267ca	17a7a671-1d32-437a-9c90-dc1d36acb396	CRAC_WITHOUT_FAN
9e92edf7-fdbd-477b-97db-15ae2c3267ca	13c0a908-6009-4197-b1da-b4c731ef89b8	CRAC_FAN
9e92edf7-fdbd-477b-97db-15ae2c3267ca	8c51d46b-4900-47a3-a7f5-02188aa28ec5	CHILLER
9e92edf7-fdbd-477b-97db-15ae2c3267ca	e66e31d6-1e94-4f09-bd55-f2597fb7561a	AIR_COOLED_CHILLER
9e92edf7-fdbd-477b-97db-15ae2c3267ca	dcfd140a-64bd-4d95-a8e5-791d50ed55e0	COOLING_TOWER
9e92edf7-fdbd-477b-97db-15ae2c3267ca	eeab13be-9959-431b-a027-5847d3b01bf2	DRY_COOLER
9e92edf7-fdbd-477b-97db-15ae2c3267ca	118871b1-d48a-417b-9f8d-62fcff9baf9d	REMOTE_CONDENSER
9e92edf7-fdbd-477b-97db-15ae2c3267ca	ac0a8153-ac86-4bf3-998e-2364d285e2cd	CHILLED_WATER_PUMPS
9e92edf7-fdbd-477b-97db-15ae2c3267ca	35aecd2e-a6b1-4f11-a3ff-13ea4dac8702	HEAT_REJECTION_PUMPS
9e92edf7-fdbd-477b-97db-15ae2c3267ca	5438d3d2-bd43-425d-b36c-8ad07aee7d1b	VENTILATION
9e92edf7-fdbd-477b-97db-15ae2c3267ca	81326496-7126-4363-9031-df5b46909e0b	INFILTRATION
9e92edf7-fdbd-477b-97db-15ae2c3267ca	2a9b1a19-7022-44e8-bbb1-29b912a7c219	IT_LOAD
c974bee5-5351-4158-8ffd-10018cf623fd	1fc2386a-b43d-4620-bb26-898a7e33134e	SWITCHGEAR
c974bee5-5351-4158-8ffd-10018cf623fd	b710aa32-27b8-4129-823e-62f80ee69312	GENERATOR
c974bee5-5351-4158-8ffd-10018cf623fd	94557b27-a072-440f-8265-bc2acfa1c260	PRIMARY_AUXILIARIES
c974bee5-5351-4158-8ffd-10018cf623fd	f8266bd2-2bd0-4892-8407-c46c8bc9c60c	UPS
c974bee5-5351-4158-8ffd-10018cf623fd	5a496993-2a80-4a49-ab04-cdca2c1b5c67	CRITICAL_AUXILIARIES
c974bee5-5351-4158-8ffd-10018cf623fd	7d901ccc-54ad-4a33-a0ce-d785c6303245	LIGHTING
c974bee5-5351-4158-8ffd-10018cf623fd	f5578f0b-c094-4df4-a375-5d559e6b3836	CRITICAL_POWER_DISTRIBUTION
c974bee5-5351-4158-8ffd-10018cf623fd	9a72f8ce-4012-455c-b07c-86b0dd26d8b0	CRAH
c974bee5-5351-4158-8ffd-10018cf623fd	d11853ab-f65a-4eb3-b90f-bb56d48ca36a	CRAC
c974bee5-5351-4158-8ffd-10018cf623fd	f49209eb-0ae7-4b82-bc4a-e3c56c106ea2	CRAC_WITHOUT_FAN
c974bee5-5351-4158-8ffd-10018cf623fd	24b08aeb-d73e-4720-a5f8-26f9f02f618e	CRAC_FAN
c974bee5-5351-4158-8ffd-10018cf623fd	20d32faa-3e8c-4358-816c-f5bc8b16203e	CHILLER
c974bee5-5351-4158-8ffd-10018cf623fd	28c4760c-3ea1-4af2-a61c-0649bd17e88d	AIR_COOLED_CHILLER
c974bee5-5351-4158-8ffd-10018cf623fd	33143639-0b6f-4b14-8b0c-1678ef43569f	COOLING_TOWER
c974bee5-5351-4158-8ffd-10018cf623fd	344d7f57-6506-40dc-bd8e-6408a528b900	DRY_COOLER
c974bee5-5351-4158-8ffd-10018cf623fd	c143a7bd-a39d-47e2-a837-993dab06ee8f	REMOTE_CONDENSER
c974bee5-5351-4158-8ffd-10018cf623fd	fd62996f-45ea-45a8-8cb6-bbb9b647a5ad	CHILLED_WATER_PUMPS
c974bee5-5351-4158-8ffd-10018cf623fd	74dc1eeb-d577-4457-96e9-e34bc32192a0	HEAT_REJECTION_PUMPS
c974bee5-5351-4158-8ffd-10018cf623fd	a7774484-e140-436b-a326-f399f3560e2a	VENTILATION
c974bee5-5351-4158-8ffd-10018cf623fd	d412b040-bfe0-45c5-af4a-d814f4ba987c	INFILTRATION
c974bee5-5351-4158-8ffd-10018cf623fd	dbb90475-afe3-447a-8b57-1ed1861543e8	IT_LOAD
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	98cde031-08bb-47e5-88b9-9228e50b841a	SWITCHGEAR
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	03484128-ff10-4e9b-a1f4-2bd6e3d9efb6	GENERATOR
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	2351ebeb-15ae-4575-95d2-811e691f905a	PRIMARY_AUXILIARIES
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	a0914491-4884-4db0-bc5f-316602d18eb0	UPS
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	7c50c966-8cf1-453d-b53b-67b1fa8079bb	CRITICAL_AUXILIARIES
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	1528be4e-bdf8-44c4-9bca-b149e4fdecd8	LIGHTING
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	f4549918-13ef-4ecb-b167-6112b9229d6e	CRITICAL_POWER_DISTRIBUTION
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	c9c2ce08-3bef-4d97-abdb-edf3e41a2dbf	CRAH
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	2be862a9-d5c3-4149-b5b3-5dbfd175df33	CRAC
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	3e5a861b-dcd6-40fa-848d-76119805a8cc	CRAC_WITHOUT_FAN
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	669b600e-d3b8-4274-8f46-c25c9cd67100	CRAC_FAN
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	22dcbc93-8daa-4d4c-a7c2-201338f93185	CHILLER
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	6099d0a0-35ff-4172-ae34-fe93d5b12c2e	AIR_COOLED_CHILLER
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	2abbee8f-3b6d-400b-a185-891a2a689493	COOLING_TOWER
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	7dab2140-3f46-4e01-88b1-2e570474c1d7	DRY_COOLER
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	42123fa9-e6f7-4a62-9564-f51417924056	REMOTE_CONDENSER
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	4bd222ad-18c2-468b-9dbd-dfa78f247953	CHILLED_WATER_PUMPS
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	3f1c5d8e-81f1-4de2-bab5-d819212c463a	HEAT_REJECTION_PUMPS
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	97a81663-56e2-47ba-908e-b0f76e2e5cb3	VENTILATION
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	25a11179-c992-4852-9f61-dc007486aa3b	INFILTRATION
3a5f4fec-13c5-4396-b4e4-b519d7c0615c	898b1f80-23f6-4c8e-ba74-0936f3e37139	IT_LOAD
449abf82-b9a7-4eef-9856-2fc599034111	841d59bc-c96f-43fb-83ae-d49ca78a8106	SWITCHGEAR
407b7689-48a0-496e-bf7d-58f6ff2e05e7	ce4efec2-f459-4af8-9af9-82283249727a	HEAT_REJECTION_PUMPS
407b7689-48a0-496e-bf7d-58f6ff2e05e7	b4dc7080-1ab6-4e03-8c5d-9dcb63c8125f	VENTILATION
407b7689-48a0-496e-bf7d-58f6ff2e05e7	cbeb2e81-0164-4b8c-9c64-361842f48028	INFILTRATION
407b7689-48a0-496e-bf7d-58f6ff2e05e7	1c4e51a7-107a-4ac6-940b-034ccb7e4ab4	IT_LOAD
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	a898863e-d082-4007-9b8f-3ff2ee6b5f00	SWITCHGEAR
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	f716b9ff-6cd9-4ad0-a791-e05810cab4e5	GENERATOR
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	02b2ee39-2555-4bb8-8a45-5b836c28fa1a	PRIMARY_AUXILIARIES
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	5a8e4d89-7359-41fa-a93d-39a6540ed49b	UPS
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	0972317a-75dc-4eae-9df7-a88806580c49	CRITICAL_AUXILIARIES
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	8aa70706-0970-4412-8b91-8451b5104c24	LIGHTING
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	51820f76-70b2-4ae1-81c8-5d21f28f29ed	CRITICAL_POWER_DISTRIBUTION
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	48ae8f04-f4d9-479f-b931-b9604c87b827	CRAH
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	702d1f49-6435-43e3-88f5-2f3cdaf480ad	CRAC
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	4be41568-790b-4346-8ef2-ab9916e9bed4	CRAC_WITHOUT_FAN
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	789d8e35-7b06-4fd3-9411-d3de41eb0be7	CRAC_FAN
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	c33b8229-baf2-414f-8dec-c9966fb065d0	CHILLER
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	cf4a68ba-e3f8-4c63-b3ba-beade9b57d95	AIR_COOLED_CHILLER
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	a0e35fed-e4f6-4d3c-9bdc-5b3178a84349	COOLING_TOWER
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	7289cc2a-838c-492d-9e29-df9c84c81f1e	DRY_COOLER
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	b1c1f705-3f72-4174-b490-5a1dabd328e1	REMOTE_CONDENSER
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	8e17fd6d-63ae-4b70-aebb-e3adca8c39d5	CHILLED_WATER_PUMPS
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	fd205cd4-3229-4cf8-a670-278ab08b2c15	HEAT_REJECTION_PUMPS
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	2dbccfc3-643f-4cfd-8e13-8a2160c5b218	VENTILATION
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	e77f97cb-d692-4e20-be2b-918b3739e4ec	INFILTRATION
e19f867f-9ce2-4022-8b5e-7dd6329cd9c4	76ab1109-2d3c-47dd-91b6-9ca5a9cee1c9	IT_LOAD
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	5bf1d349-4765-4b6f-b776-8b9bbe9ca58e	SWITCHGEAR
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	5b015b83-aa80-486c-a3ab-a09c6fb22229	GENERATOR
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	e8987015-4a7a-4db3-b9e3-a3242524ae97	PRIMARY_AUXILIARIES
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	bdb4b31b-62c1-4361-8a91-a7d08fc027fd	UPS
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	1ffe65cd-6f3b-4e59-bb2d-00ee1a15fac8	CRITICAL_AUXILIARIES
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	384dc67e-5d66-4086-9a20-5f1ed0cfd052	LIGHTING
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	21b87119-5739-419c-b7a2-d03e78b100f7	CRITICAL_POWER_DISTRIBUTION
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	b097ca18-a384-4368-a356-86e621485ef0	CRAH
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	6ba6ab39-7417-4562-ba02-4cba6c120acd	CRAC
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	25b52751-cc60-4d46-908f-c13c127b7497	CRAC_WITHOUT_FAN
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	92effb57-6982-4051-a038-802dd46df5b5	CRAC_FAN
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	b4d7ff5d-d448-493d-a4b3-fbd6630f2ec2	CHILLER
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	a419bd9a-0e7b-41fd-91d1-d13efd5afeea	AIR_COOLED_CHILLER
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	21dc2efa-cdb5-4b93-bd56-3c25e46e5a3e	COOLING_TOWER
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	e3e952d5-3367-4707-9aa4-8d04363377c2	DRY_COOLER
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	33f8d3d1-05c0-4767-a770-c7dc7a33f425	REMOTE_CONDENSER
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	dcf3bcd1-223d-40b2-a645-753116035f35	CHILLED_WATER_PUMPS
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	5ebcf936-9145-4be9-93e4-3a7383a18115	HEAT_REJECTION_PUMPS
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	2e75a63c-e84c-4512-8bf8-e18bd6e8a928	VENTILATION
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	d988be8a-78d1-4b84-969f-0a2ce3029002	INFILTRATION
ac1d0b8d-738b-4fb4-a52b-97f2d4d68c01	70f4cbba-4117-4816-ad80-7df392df1399	IT_LOAD
541abdcd-78cb-47e8-af7c-f962ff79dde9	0784e725-c464-4380-a2bd-d04cac8f445d	SWITCHGEAR
541abdcd-78cb-47e8-af7c-f962ff79dde9	f86a111c-e650-403d-b2cb-157f43f1af03	GENERATOR
541abdcd-78cb-47e8-af7c-f962ff79dde9	1f5bce1e-6736-42dc-9302-67b8996ad0a7	PRIMARY_AUXILIARIES
541abdcd-78cb-47e8-af7c-f962ff79dde9	ca3a7c61-028c-4f4a-bcb2-39205e141391	UPS
541abdcd-78cb-47e8-af7c-f962ff79dde9	c666ac7f-d449-44e0-8f40-408557a46637	CRITICAL_AUXILIARIES
541abdcd-78cb-47e8-af7c-f962ff79dde9	6fa634b9-da90-468a-8b7f-cf845230cf8c	LIGHTING
541abdcd-78cb-47e8-af7c-f962ff79dde9	9e079835-3b2e-47d5-a472-00dd1f3b0ab7	CRITICAL_POWER_DISTRIBUTION
541abdcd-78cb-47e8-af7c-f962ff79dde9	9b1a3434-0633-4971-9e91-d1bac4936ca8	CRAH
541abdcd-78cb-47e8-af7c-f962ff79dde9	1571ae4f-2c3a-43e0-907f-433dc0ce8ede	CRAC
541abdcd-78cb-47e8-af7c-f962ff79dde9	82b3420f-bdd3-4830-8558-f71c77af3c81	CRAC_WITHOUT_FAN
541abdcd-78cb-47e8-af7c-f962ff79dde9	4822bad5-55ff-454d-b370-790c3bc034a4	CRAC_FAN
541abdcd-78cb-47e8-af7c-f962ff79dde9	16d629bb-d45e-48b8-80f0-3e1869cebe9f	CHILLER
541abdcd-78cb-47e8-af7c-f962ff79dde9	f52e6720-e5a2-4e41-8359-f1684a072621	AIR_COOLED_CHILLER
541abdcd-78cb-47e8-af7c-f962ff79dde9	bab1c3d7-689e-42f5-9191-87c803804d63	COOLING_TOWER
541abdcd-78cb-47e8-af7c-f962ff79dde9	f2f2e3b9-8d35-4d4d-9588-86a521dac5ee	DRY_COOLER
541abdcd-78cb-47e8-af7c-f962ff79dde9	bf401cd0-490c-4381-9753-646ef3e1bd8e	REMOTE_CONDENSER
541abdcd-78cb-47e8-af7c-f962ff79dde9	c038a94d-311a-4451-9c96-9401f3facabd	CHILLED_WATER_PUMPS
541abdcd-78cb-47e8-af7c-f962ff79dde9	0a197c04-0159-45c2-97a9-71b30e97fe7f	HEAT_REJECTION_PUMPS
541abdcd-78cb-47e8-af7c-f962ff79dde9	88883aa6-b0a6-45f1-9d85-82a388229bdc	VENTILATION
541abdcd-78cb-47e8-af7c-f962ff79dde9	296364f0-9908-4669-a5a0-c72897d1c23c	INFILTRATION
541abdcd-78cb-47e8-af7c-f962ff79dde9	74e80b23-6276-4644-8cdb-beb9ce8f99f0	IT_LOAD
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	82522d80-9ee4-4052-8f1b-eff119cc2abe	SWITCHGEAR
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	d112b21a-be4b-44d5-a999-d977db5c8df2	GENERATOR
449abf82-b9a7-4eef-9856-2fc599034111	ed93b576-ad7e-40cd-95a7-205cd3abf0bd	GENERATOR
449abf82-b9a7-4eef-9856-2fc599034111	510c9308-b339-4cbf-b9a9-3b45acba8fb3	PRIMARY_AUXILIARIES
449abf82-b9a7-4eef-9856-2fc599034111	0306d366-364f-46ad-81f7-9fd769caa0f0	UPS
449abf82-b9a7-4eef-9856-2fc599034111	b030c073-c0f9-4777-9d61-c8c479c65514	CRITICAL_AUXILIARIES
449abf82-b9a7-4eef-9856-2fc599034111	132207e5-6881-4bdc-af02-ff2184ebca6e	LIGHTING
449abf82-b9a7-4eef-9856-2fc599034111	6aa06d87-1f6a-4900-8f60-e13635a97d85	CRITICAL_POWER_DISTRIBUTION
449abf82-b9a7-4eef-9856-2fc599034111	213ea88e-c94c-45ad-b104-fc1939389f90	CRAH
449abf82-b9a7-4eef-9856-2fc599034111	e030073e-b6af-4e26-a248-07b48bfe80c6	CRAC
449abf82-b9a7-4eef-9856-2fc599034111	14895ba6-50ad-4ce3-867a-3828983129be	CRAC_WITHOUT_FAN
449abf82-b9a7-4eef-9856-2fc599034111	40902c47-a0e2-4269-b1fb-8d61d4391119	CRAC_FAN
449abf82-b9a7-4eef-9856-2fc599034111	49cdf6df-c427-4da0-be80-20d4d9396f1f	CHILLER
449abf82-b9a7-4eef-9856-2fc599034111	ad7823fc-9fdd-4a56-b774-a0262fc27eac	AIR_COOLED_CHILLER
449abf82-b9a7-4eef-9856-2fc599034111	b2513ee3-6c58-4fae-b5aa-a8523176edf7	COOLING_TOWER
449abf82-b9a7-4eef-9856-2fc599034111	d70fa43d-03a6-47c2-a755-c1ee9991d0b9	DRY_COOLER
449abf82-b9a7-4eef-9856-2fc599034111	5b87b8cd-2b22-4392-9a9f-f08f9c9d58d6	REMOTE_CONDENSER
449abf82-b9a7-4eef-9856-2fc599034111	7e832aac-c690-4cf9-b023-bc9d03339972	CHILLED_WATER_PUMPS
449abf82-b9a7-4eef-9856-2fc599034111	a09b13a4-2112-4f75-9ee9-fd968fe31e1e	HEAT_REJECTION_PUMPS
449abf82-b9a7-4eef-9856-2fc599034111	d11f45e7-db1c-4183-b1a1-a9634dfb3be1	VENTILATION
449abf82-b9a7-4eef-9856-2fc599034111	95cb3277-a7d1-4ddb-bec3-46848dc71d84	INFILTRATION
449abf82-b9a7-4eef-9856-2fc599034111	ed44ff67-d60e-4290-b1c1-05f243dcbf8d	IT_LOAD
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	91639cc9-5899-4c2f-9d55-dabb9bd7e318	SWITCHGEAR
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	1374d313-aebf-4ebd-b9d0-3b528ec62c9e	GENERATOR
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	18232000-5d9b-448c-a81c-eb2ba53f218f	PRIMARY_AUXILIARIES
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	ee89cc25-a31c-4797-9d0b-805f243f02bc	UPS
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	a33cd0a7-40ff-4597-9880-20f30f273fe1	CRITICAL_AUXILIARIES
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	a7b4675a-aa2a-4265-8b92-2fe0bd292564	LIGHTING
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	72425453-0bda-42eb-8011-32adc5e3956b	CRITICAL_POWER_DISTRIBUTION
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	ca30017b-0d14-419e-b960-094e3dbc34d4	CRAH
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	ce82a463-cecd-4770-b635-24856bfb6f4f	CRAC
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	2a766645-87e1-4969-bdee-e5800a5ec384	CRAC_WITHOUT_FAN
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	5fa142e5-96ed-4e5d-8a6d-092e34b2f1f1	CRAC_FAN
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	c0ee44f6-2cd8-463e-a66b-d11eb7cf482f	CHILLER
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	6958ef81-8bc0-42fe-b3e1-cd75f5e6b846	AIR_COOLED_CHILLER
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	9ede679c-8182-4f7e-aae1-02608117f97f	COOLING_TOWER
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	91fc4406-16bc-45f6-9478-660ee18d7bd8	DRY_COOLER
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	a79aacf7-8bb4-4d72-8a4b-756cc38f2a54	REMOTE_CONDENSER
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	1401f1e4-3c37-4d52-b985-1f6ff1270df5	CHILLED_WATER_PUMPS
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	5be7f13d-72f6-4bed-bb4a-59389c357e0c	HEAT_REJECTION_PUMPS
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	96fadea8-a48a-486b-9666-e43bc604d12a	VENTILATION
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	47ba075e-61cf-4c05-99cc-7d464377ff1d	INFILTRATION
c65ea93b-c279-44dc-ba2e-be25d6faa7d6	2759cb52-9cdd-46c7-8d4c-d4c814da1130	IT_LOAD
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	578aebce-f760-4406-8fc2-d7c70298ddf8	PRIMARY_AUXILIARIES
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	a444d32d-55cf-4189-be39-6d2ba0bbc2ef	UPS
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	9298494b-fdcf-4dfe-9064-d18d6346e7d0	CRITICAL_AUXILIARIES
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	c561a6e2-1112-41bd-8347-71e1acac0b5f	LIGHTING
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	649fa88a-987e-40a5-9246-f1693970b97d	CRITICAL_POWER_DISTRIBUTION
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	223339e4-220b-4e9c-aaa8-fca0e6493aa7	CRAH
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	3e0b6fde-9ef8-47f6-b670-860e3c7bc2b9	CRAC
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	77879c99-ebb4-4e66-a126-ed1b78e9cd83	CRAC_WITHOUT_FAN
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	380b5a01-a830-4e70-ab46-0749cd379bdb	CRAC_FAN
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	c2b4b5f9-feb5-43d7-a6c0-656830805bdd	CHILLER
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	15fd70f8-72b1-4369-8bf9-c3a98ca4e635	AIR_COOLED_CHILLER
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	2c121336-24b6-4d03-90a1-40aab5b9137e	COOLING_TOWER
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	e73cff68-d173-4a6f-9f7b-8486b9fc163c	DRY_COOLER
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	0acfbbe8-ffde-4737-b0f5-cd3e7a76003f	REMOTE_CONDENSER
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	1f930815-1611-4369-b438-c36b06ddd1f1	CHILLED_WATER_PUMPS
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	f65b1892-2862-4b52-8e3c-95bb55c13f5b	HEAT_REJECTION_PUMPS
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	5a52ba28-f406-497c-99a2-b7c224c0927e	VENTILATION
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	32db29f3-2948-4eb5-95b5-5619616d37c8	INFILTRATION
cb5b3ab5-a2df-4552-9bc7-1e927020ab32	66479d59-3709-41e1-9339-f01c90e8938e	IT_LOAD
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	d3a6a2a0-e839-4c5a-9ecd-e7df44edc9de	SWITCHGEAR
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	4a994626-c99d-4b0b-986c-49f6ebd159c2	GENERATOR
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	fbb1def0-74e2-4540-8656-13dc758cb0a1	PRIMARY_AUXILIARIES
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	f9f7d5bc-a5af-4a93-904a-e4ff20bd13fd	UPS
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	c0bbabfb-2a0b-490a-99e9-15a8bb9dc3ca	CRITICAL_AUXILIARIES
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	51dacc57-08e0-40c6-b366-681aaf7ef776	LIGHTING
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	121fdf37-a3df-4225-ab43-9cb2a51a1b64	CRITICAL_POWER_DISTRIBUTION
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	853c63ae-f323-4beb-b1e3-c4f98bfbb301	CRAH
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	c744e944-0a4b-4551-9288-f6c38fcee18c	CRAC
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	e06fe0bc-4c58-47f9-b43d-ab3293a3d97b	CRAC_WITHOUT_FAN
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	ae74b1f9-2368-4833-aa0d-f6140910f522	CRAC_FAN
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	62127b1c-5b51-40e6-9800-e323fdbe7c00	CHILLER
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	271898cf-218a-44c7-ac12-c1813463f08b	AIR_COOLED_CHILLER
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	d41b40cf-1b43-4033-a43c-b330604b5f26	COOLING_TOWER
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	d7aa3540-c572-474d-9a90-7715e31bca0f	DRY_COOLER
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	51eb3470-459a-4c38-ac98-27e1acdee039	REMOTE_CONDENSER
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	b822c510-8b6d-4017-8a8c-9994f7bd8f35	CHILLED_WATER_PUMPS
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	70ffdfd0-deb5-4713-9f09-172d2eedda28	HEAT_REJECTION_PUMPS
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	39bee039-0d1d-4226-a605-510aa31fe8af	VENTILATION
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	7f95b86f-f3e9-4143-8ba3-0de94458e135	INFILTRATION
bd452ae1-3823-4c8c-88c9-9c1c3db33b52	260157b6-8f13-4a19-8847-710f16a278e4	IT_LOAD
f589ca62-91b0-4813-b389-52804f560017	b9560ec0-c917-4a72-abe1-5c619c046b02	SWITCHGEAR
f589ca62-91b0-4813-b389-52804f560017	f7a6a5f4-dd99-41ed-8529-4f445f57ff06	GENERATOR
f589ca62-91b0-4813-b389-52804f560017	9b4c3b41-fd7b-458a-ae20-cb00de1043cb	PRIMARY_AUXILIARIES
f589ca62-91b0-4813-b389-52804f560017	3a2f5d8e-e9e4-4fd9-aa0a-8b82b3033a18	UPS
f589ca62-91b0-4813-b389-52804f560017	7c43a851-0030-4e51-8fd7-6e1c1ad82b70	CRITICAL_AUXILIARIES
f589ca62-91b0-4813-b389-52804f560017	a9bcf606-1a60-4152-b933-e7395a34faa0	LIGHTING
f589ca62-91b0-4813-b389-52804f560017	79952426-e965-435e-a83b-2590d04a8d14	CRITICAL_POWER_DISTRIBUTION
f589ca62-91b0-4813-b389-52804f560017	da8243e7-05ad-4d2e-939a-295131842e7d	CRAH
f589ca62-91b0-4813-b389-52804f560017	522a0a98-e2e5-43a6-8540-67ed20ef8b48	CRAC
f589ca62-91b0-4813-b389-52804f560017	31c08882-1261-476c-8a5c-43df6f48a712	CRAC_WITHOUT_FAN
f589ca62-91b0-4813-b389-52804f560017	d15ba04b-1240-4d21-b5dd-6b32427fd27b	CRAC_FAN
f589ca62-91b0-4813-b389-52804f560017	129c62b2-28e9-4cb8-9b8c-4f4191820771	CHILLER
f589ca62-91b0-4813-b389-52804f560017	bd401ff1-4a81-4833-a2be-7ccefcddc8d5	AIR_COOLED_CHILLER
f589ca62-91b0-4813-b389-52804f560017	b36222da-51d4-4300-980d-c023d92b8eb8	COOLING_TOWER
f589ca62-91b0-4813-b389-52804f560017	2bb79bf4-17db-47a6-8a87-2c01d62656e0	DRY_COOLER
f589ca62-91b0-4813-b389-52804f560017	4e2ebb87-ff50-45af-9d9d-602b2c9a4361	REMOTE_CONDENSER
f589ca62-91b0-4813-b389-52804f560017	fb91fb37-9fa1-4646-a602-9f09121c8d20	CHILLED_WATER_PUMPS
f589ca62-91b0-4813-b389-52804f560017	995ee457-be95-4bd2-ac33-2fbf8337dfef	HEAT_REJECTION_PUMPS
f589ca62-91b0-4813-b389-52804f560017	9d5c3813-f063-4227-9867-77942c529739	VENTILATION
f589ca62-91b0-4813-b389-52804f560017	885bf7fb-65d4-4b36-ba23-2236be2304ec	INFILTRATION
f589ca62-91b0-4813-b389-52804f560017	07f8d056-7ba7-49f0-a9c8-4d6abe1fb9a1	IT_LOAD
c50d2a92-8490-4e89-bc47-e51ac743c322	da7c172d-79c4-4642-8f96-eac580f4f0f7	SWITCHGEAR
c50d2a92-8490-4e89-bc47-e51ac743c322	16e42cea-cdcc-4a88-994b-d808c3735634	GENERATOR
c50d2a92-8490-4e89-bc47-e51ac743c322	6b17e4e1-1379-4d77-87ca-5b4cd5848359	PRIMARY_AUXILIARIES
c50d2a92-8490-4e89-bc47-e51ac743c322	f535ce78-6e93-451f-8407-93f92cc26d00	UPS
c50d2a92-8490-4e89-bc47-e51ac743c322	473cee9e-bb23-4f88-b78a-78cb60041353	CRITICAL_AUXILIARIES
c50d2a92-8490-4e89-bc47-e51ac743c322	7b5966d4-6e47-4dcc-9a05-34fe2f78949c	LIGHTING
c50d2a92-8490-4e89-bc47-e51ac743c322	e839af5b-29f3-4376-aae7-4d0f2b29d648	CRITICAL_POWER_DISTRIBUTION
c50d2a92-8490-4e89-bc47-e51ac743c322	9511be74-c421-441b-8e8a-d7a5c1d32473	CRAH
c50d2a92-8490-4e89-bc47-e51ac743c322	11966e87-9ce0-4134-8a2b-1d8f58039b39	CRAC
c50d2a92-8490-4e89-bc47-e51ac743c322	b31aedaa-14b6-41b7-8521-fe3fa6a9c9f5	CRAC_WITHOUT_FAN
c50d2a92-8490-4e89-bc47-e51ac743c322	6389630d-2c15-4e00-8bbf-a8612a9c4dff	CRAC_FAN
c50d2a92-8490-4e89-bc47-e51ac743c322	33bbbfca-059d-4f89-a447-75ee9f57bc56	CHILLER
c50d2a92-8490-4e89-bc47-e51ac743c322	fcc69c87-cb06-40a3-92ee-72ed0128537e	AIR_COOLED_CHILLER
c50d2a92-8490-4e89-bc47-e51ac743c322	8a160aa5-01f4-49f6-ad9d-71e0726aa37f	COOLING_TOWER
c50d2a92-8490-4e89-bc47-e51ac743c322	5bee1c9b-6fec-43f2-8e14-8283f365b2dc	DRY_COOLER
c50d2a92-8490-4e89-bc47-e51ac743c322	f6e01dc7-d743-46b0-8736-ff366733c850	REMOTE_CONDENSER
c50d2a92-8490-4e89-bc47-e51ac743c322	45c49a17-c16d-4f5b-abbd-ba48121be492	CHILLED_WATER_PUMPS
c50d2a92-8490-4e89-bc47-e51ac743c322	0df7a7e4-4274-41b4-ac03-aee17c6bac84	HEAT_REJECTION_PUMPS
c50d2a92-8490-4e89-bc47-e51ac743c322	ee729f2f-2ed5-401f-a214-0fc9d5a13941	VENTILATION
c50d2a92-8490-4e89-bc47-e51ac743c322	de0b262b-efd5-461a-b846-d2581f051f5b	INFILTRATION
c50d2a92-8490-4e89-bc47-e51ac743c322	be5ac45f-441f-4cf3-9f02-edfd1f83eb4a	IT_LOAD
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	4a87ef55-c571-4618-82aa-d46ecd8b650f	SWITCHGEAR
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	cb86a289-4d9b-4fdd-8092-2de65bfa31b2	GENERATOR
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	d826dee5-5afc-4149-a172-3ccd5311b6c0	PRIMARY_AUXILIARIES
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	908109a4-a2b4-4d73-9a83-d8b407d64129	UPS
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	05af0d00-fb82-48fb-9812-6d2f2ef96747	CRITICAL_AUXILIARIES
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	8ae9f290-200d-476b-afa4-6c1a80118b6c	LIGHTING
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	33b9fa12-8bd2-4a55-b4b6-584b565996f5	CRITICAL_POWER_DISTRIBUTION
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	c4c887c8-5f4b-4d58-a0d6-cd6820e9b64f	CRAH
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	ba4ee4e7-d7ba-42e7-aed4-75019ec1dacd	CRAC
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	127d37ca-9fc7-4b43-bbe3-bc36cc2fa5d9	CRAC_WITHOUT_FAN
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	4d786cfa-a75d-47e9-8361-e9a348bee965	CRAC_FAN
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	13d1c8c6-0ad1-46a1-98f2-918b4f90415d	CHILLER
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	6461fc83-dc10-42b3-818a-a2090900f5d9	AIR_COOLED_CHILLER
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	deb7fe1d-960d-44e4-8cd7-812647a0cd01	COOLING_TOWER
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	ee276494-f779-40a0-ac24-add2fe8d0a03	DRY_COOLER
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	937a52d0-2759-4d08-89bf-8ad628ba567c	REMOTE_CONDENSER
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	f0cfea91-b74c-4a0a-923b-e3dabcf69c98	CHILLED_WATER_PUMPS
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	43894ed0-275f-4e42-b2fc-c38405d21a24	HEAT_REJECTION_PUMPS
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	2958fade-9ea3-4e8b-854a-6fb78469a428	VENTILATION
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	7a78a593-409b-44b5-87d4-b2fdb3e55d03	INFILTRATION
1179ce52-cadd-4fb2-8924-92ca1aebdb4c	1ad78d1f-1a10-4c58-bbb4-a046edad5106	IT_LOAD
f22a2b67-cb12-4f85-957b-31092112b5dc	53355de0-ab33-4277-9fb8-1f93c8928226	SWITCHGEAR
f22a2b67-cb12-4f85-957b-31092112b5dc	0bfd140a-3c70-4ffa-9614-1e0cead0e4d8	GENERATOR
f22a2b67-cb12-4f85-957b-31092112b5dc	28af6698-38c1-4574-9348-0dd13fca0c75	PRIMARY_AUXILIARIES
f22a2b67-cb12-4f85-957b-31092112b5dc	25f46288-a729-41da-bdd6-43772152b380	UPS
f22a2b67-cb12-4f85-957b-31092112b5dc	dfea7afa-8030-418c-b25c-277ad2b34d5b	CRITICAL_AUXILIARIES
f22a2b67-cb12-4f85-957b-31092112b5dc	d0866dfd-8b77-4e54-8725-83cacf45dea7	LIGHTING
f22a2b67-cb12-4f85-957b-31092112b5dc	32f64ef0-dbb3-47f2-84d5-4090a39b3379	CRITICAL_POWER_DISTRIBUTION
f22a2b67-cb12-4f85-957b-31092112b5dc	ecf76b3d-c8a7-4b30-ab65-b7ba7fbff03b	CRAH
f22a2b67-cb12-4f85-957b-31092112b5dc	9106edaa-0f3c-4709-aa09-111c066c96af	CRAC
f22a2b67-cb12-4f85-957b-31092112b5dc	0038e298-cf09-452b-9917-1523059c3df3	CRAC_WITHOUT_FAN
f22a2b67-cb12-4f85-957b-31092112b5dc	5a9b537f-2f85-49d0-a372-4cb35f2bd3b0	CRAC_FAN
f22a2b67-cb12-4f85-957b-31092112b5dc	60c44bc6-a149-4f8e-809a-a9f132c3deea	CHILLER
f22a2b67-cb12-4f85-957b-31092112b5dc	634a99c8-9c10-4107-8b76-80879312cc6c	AIR_COOLED_CHILLER
f22a2b67-cb12-4f85-957b-31092112b5dc	c54e76d8-8940-4b16-9a60-10953c4ab794	COOLING_TOWER
f22a2b67-cb12-4f85-957b-31092112b5dc	b147f2d6-d37e-4e72-8b9c-db5c4b4e2ec6	DRY_COOLER
f22a2b67-cb12-4f85-957b-31092112b5dc	562fc014-cac0-4805-843b-3a6110b7d750	REMOTE_CONDENSER
f22a2b67-cb12-4f85-957b-31092112b5dc	fe4617b6-82ef-4aeb-8bdc-cd9dde363391	CHILLED_WATER_PUMPS
f22a2b67-cb12-4f85-957b-31092112b5dc	07b0ada0-b6ff-48a8-b1e9-ab47db55f32e	HEAT_REJECTION_PUMPS
f22a2b67-cb12-4f85-957b-31092112b5dc	c49a9c79-9d6d-4103-b8b4-c50c19765840	VENTILATION
f22a2b67-cb12-4f85-957b-31092112b5dc	b4fe856a-59fb-453f-90be-5220094595e7	INFILTRATION
f22a2b67-cb12-4f85-957b-31092112b5dc	b0b7fb5b-24bb-46fc-928b-c68512636c3d	IT_LOAD
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	6726eda5-dc11-4e38-b1f8-3b82eed8220b	SWITCHGEAR
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	491c72dc-b8ff-4c34-9059-eb25b7b2f562	GENERATOR
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	65d6542e-33f3-4603-a679-8c9feb0597cd	PRIMARY_AUXILIARIES
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	38caae8b-1498-4cf4-9542-cb1ebbae3171	UPS
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	593f2f92-750d-4f50-896a-5ce4f344a37a	CRITICAL_AUXILIARIES
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	f8043468-d265-435f-bf53-a85192d64207	LIGHTING
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	8b63fae7-519d-4b91-953c-28071f552339	CRITICAL_POWER_DISTRIBUTION
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	e4bdddcb-bfdf-4e65-a03b-dbf2519bcf7f	CRAH
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	c74462db-a320-4add-8b31-6208dc564a4a	CRAC
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	6d696581-dcda-4ce6-a6a2-c39e45f94b74	CRAC_WITHOUT_FAN
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	6ccb0f6e-a2d6-4b96-8f34-cac0ec363959	CRAC_FAN
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	5c545d3a-caa6-4e87-b5f9-a80291d3d76a	CHILLER
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	51fe06e6-a577-4766-8e48-7f27fe5ec257	AIR_COOLED_CHILLER
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	817dc445-8b4e-4d1f-a84d-a19ff6e6ead4	COOLING_TOWER
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	53248284-1abe-4d38-954b-7f3d939effb7	DRY_COOLER
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	c07432b3-87b3-4371-a6d1-4d1030038a9e	REMOTE_CONDENSER
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	ac55dfa5-a3e0-4a75-98ad-2e0f52231baf	CHILLED_WATER_PUMPS
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	6369c397-61d8-462c-8d50-e65da4197b0b	HEAT_REJECTION_PUMPS
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	0a4693c0-bb00-43dc-94b1-03aa0fa7bfb7	VENTILATION
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	fc042d4a-d370-40ca-bc82-04544b1cdf2f	INFILTRATION
5cea38e6-2a9c-48e5-934d-79f93d6e31eb	233d77e3-9340-418c-9732-22d6434f033e	IT_LOAD
ec6c6a43-5743-4042-8656-b4ee4b36f536	f2653115-4741-4030-a598-52df50e5224f	SWITCHGEAR
ec6c6a43-5743-4042-8656-b4ee4b36f536	63493282-afeb-4e01-b826-34fb2d2f0c0f	GENERATOR
ec6c6a43-5743-4042-8656-b4ee4b36f536	7fcfbfcf-23e8-459a-810f-e0c5b4fb5396	PRIMARY_AUXILIARIES
ec6c6a43-5743-4042-8656-b4ee4b36f536	a43746ea-b367-4fe4-ab66-18a9200a7d0e	UPS
ec6c6a43-5743-4042-8656-b4ee4b36f536	daf31d19-b6f2-494b-b784-1c93e6a57b03	CRITICAL_AUXILIARIES
ec6c6a43-5743-4042-8656-b4ee4b36f536	e8c59836-def7-4ab2-99ff-23316ca23674	LIGHTING
ec6c6a43-5743-4042-8656-b4ee4b36f536	3314162f-6257-4098-b425-f1ee0b6aa972	CRITICAL_POWER_DISTRIBUTION
ec6c6a43-5743-4042-8656-b4ee4b36f536	1ad26ff1-c478-4100-8377-8210f7aa1410	CRAH
ec6c6a43-5743-4042-8656-b4ee4b36f536	4e758e17-8bbb-4a9a-91bc-28a5672ecc19	CRAC
ec6c6a43-5743-4042-8656-b4ee4b36f536	e4424a7f-69fd-4f38-8b10-1cff0ccfe97d	CRAC_WITHOUT_FAN
ec6c6a43-5743-4042-8656-b4ee4b36f536	95c2840d-c059-4036-912f-6470f551f448	CRAC_FAN
ec6c6a43-5743-4042-8656-b4ee4b36f536	27df3434-ea36-4751-9b46-6844c3c98f17	CHILLER
ec6c6a43-5743-4042-8656-b4ee4b36f536	4b5093d4-8eae-43c6-8f23-3e2bad93fc03	AIR_COOLED_CHILLER
ec6c6a43-5743-4042-8656-b4ee4b36f536	9e0784c0-d1c7-4315-87f1-d710866770c4	COOLING_TOWER
ec6c6a43-5743-4042-8656-b4ee4b36f536	a7db6d70-e830-4728-adf5-31c2e3218abd	DRY_COOLER
ec6c6a43-5743-4042-8656-b4ee4b36f536	5f4d2655-81a0-4386-bab0-c867efa85935	REMOTE_CONDENSER
ec6c6a43-5743-4042-8656-b4ee4b36f536	431ed22e-e9f8-497b-9770-06f4e5b32f28	CHILLED_WATER_PUMPS
ec6c6a43-5743-4042-8656-b4ee4b36f536	5ffa86a4-581d-4171-afd0-8a5857b458e3	HEAT_REJECTION_PUMPS
ec6c6a43-5743-4042-8656-b4ee4b36f536	ac0ae278-f5b5-4959-b96c-b082980476b9	VENTILATION
ec6c6a43-5743-4042-8656-b4ee4b36f536	0e228408-b010-49a4-b43d-1ddd1e1f7864	INFILTRATION
ec6c6a43-5743-4042-8656-b4ee4b36f536	ad4ce3c9-d119-4af8-9731-88c60ef888f3	IT_LOAD
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	e32e13b3-c05f-44ab-9abb-1ed9ba1a1560	SWITCHGEAR
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	256fd879-f2c1-4f49-8002-c69df63df92a	GENERATOR
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	f6ccff44-ec9e-4737-bc31-4f75abf72f23	PRIMARY_AUXILIARIES
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	eec2f1dd-aa5d-4678-ac62-220525b24586	UPS
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	e898c05b-4202-4402-a363-236ca736e636	CRITICAL_AUXILIARIES
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	d12e0fdc-5818-46bd-9c0f-955b468d196a	LIGHTING
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	84c71d2d-3b12-4ecd-96e0-ac769ba9875c	SWITCHGEAR
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	38dd8743-2a0b-4df4-9ebe-e01b39bf9084	GENERATOR
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	df53896c-14ad-43cb-8bed-ee3ec9590864	PRIMARY_AUXILIARIES
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	2d0679fb-5980-47ce-a8f6-666d057c8185	UPS
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	8d9a235f-b33a-4b6d-9a3b-2f1fe04dd8dc	CRITICAL_AUXILIARIES
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	a4a2d717-c48b-489a-926f-5d206b8f96fa	LIGHTING
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	3938734c-febe-49c6-813c-4165f5663ae1	CRITICAL_POWER_DISTRIBUTION
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	ed8369a6-2787-4d1d-8e9d-6cbabf70fb2b	CRAH
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	e7944845-dbf3-4ecc-a8c2-7a9d76931d55	CRAC
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	325706b6-81ec-44c8-9b8f-5b724b125506	CRAC_WITHOUT_FAN
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	f196a201-6022-4557-a76c-6d0f3ce8b554	CRAC_FAN
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	2eb0b966-5294-4642-a803-53402185b933	CHILLER
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	68dad42e-b471-48a2-bb2f-51c22461e2e9	AIR_COOLED_CHILLER
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	b68df777-6062-4341-9ea2-ed52c478f21f	COOLING_TOWER
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	18d97787-5414-462d-b9b7-72a3f5b8b934	DRY_COOLER
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	ef91ccbc-afc3-4d33-b709-10f76f21d676	REMOTE_CONDENSER
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	bedcc99a-caaf-4e55-b152-fd14790c589d	CHILLED_WATER_PUMPS
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	cbdaffa8-1cf2-4e4e-a138-d375c75b363b	HEAT_REJECTION_PUMPS
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	4ea052a8-8354-4d52-a55b-2bcb072b597b	VENTILATION
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	469dcb4f-a4eb-4f80-803b-4f976d12ccbf	INFILTRATION
b5e22a9a-28de-40cc-b2d9-ffdc0a98f184	2dc01203-708c-450c-b56d-c676f3c66a0f	IT_LOAD
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	91fd31b8-4c92-4c28-a81a-0d62852665f9	SWITCHGEAR
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	a704cd7c-f393-4d90-9db8-b3c2a835c2a6	GENERATOR
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	e4087583-46df-463f-8187-ba29cad00c11	PRIMARY_AUXILIARIES
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	20996085-248b-4b08-ab26-bf6636f0027d	UPS
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	068870a7-b710-40ab-b54d-ea677c8a4adb	CRITICAL_AUXILIARIES
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	65992b6b-ca11-4186-b8ad-9d760d6cb48f	LIGHTING
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	cfd431cb-2624-40f7-82d8-84e409f7b91a	CRITICAL_POWER_DISTRIBUTION
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	31a6aae9-6ec0-41b7-886f-c6fabd3be491	CRAH
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	59fc4f77-b5cf-4d01-8eec-6dd4cfdb7fe0	CRAC
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	fad77fb3-d51f-4b97-aebf-e4f9104c01a7	CRAC_WITHOUT_FAN
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	1063a147-0055-4ac7-8154-4550a31e4689	CRAC_FAN
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	e8ed1730-3c4b-49ac-8222-1f5c38031b04	CHILLER
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	1f5a1760-cbd7-4f77-a423-1f559efc5271	AIR_COOLED_CHILLER
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	377fb776-e18f-4132-ba77-f95a7c4e346f	COOLING_TOWER
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	f030a4d5-1bde-4d84-b5da-8b46fe423fb8	DRY_COOLER
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	b8168372-78a6-423a-b2f1-9b661a170fea	REMOTE_CONDENSER
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	5fef183e-51c8-4727-a5e0-852b018c5464	CHILLED_WATER_PUMPS
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	ade13055-ac88-41d7-a26b-2852ddbcde10	HEAT_REJECTION_PUMPS
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	ac8038a5-b55c-4658-b6c0-359162e644d8	VENTILATION
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	547e3a31-f7c0-4aa4-80d9-54363c7c43e5	INFILTRATION
cb9dbd5a-38b9-47a5-9450-ff03a93913c3	1f9e2bbe-a344-4d99-b4f9-33697b107fba	IT_LOAD
060971cd-ad08-4a40-baa0-a360fbde87a0	96d7bf53-d702-4b96-8fd3-bc8d4b566508	SWITCHGEAR
060971cd-ad08-4a40-baa0-a360fbde87a0	1627197c-4a75-4b7d-83cc-889e4758a062	GENERATOR
060971cd-ad08-4a40-baa0-a360fbde87a0	6acd90b5-1844-4c90-b1a7-1c82be85c9c3	PRIMARY_AUXILIARIES
060971cd-ad08-4a40-baa0-a360fbde87a0	a4905a08-1b2d-4d28-aa5d-7f955349985f	UPS
060971cd-ad08-4a40-baa0-a360fbde87a0	5b693cd8-e817-4965-9366-5b6631170a9a	CRITICAL_AUXILIARIES
060971cd-ad08-4a40-baa0-a360fbde87a0	fb31f5f7-39f1-4e58-880b-411a7a7af941	LIGHTING
060971cd-ad08-4a40-baa0-a360fbde87a0	c424930e-b6aa-4265-908c-8a0857890bc2	CRITICAL_POWER_DISTRIBUTION
060971cd-ad08-4a40-baa0-a360fbde87a0	09a4388e-9399-4fa9-908b-31b6f3fac01b	CRAH
060971cd-ad08-4a40-baa0-a360fbde87a0	cf1ba138-36a7-40e2-9b01-05c352ba41bd	CRAC
060971cd-ad08-4a40-baa0-a360fbde87a0	2357e89b-7d1e-4a66-9892-cf58c464d890	CRAC_WITHOUT_FAN
060971cd-ad08-4a40-baa0-a360fbde87a0	a69e045e-eb5c-4291-847b-15528e45570f	CRAC_FAN
060971cd-ad08-4a40-baa0-a360fbde87a0	e519c2dd-6889-41f5-a936-51de239af006	CHILLER
060971cd-ad08-4a40-baa0-a360fbde87a0	2e449d20-bab8-46c9-9921-f6c4122b22c0	AIR_COOLED_CHILLER
060971cd-ad08-4a40-baa0-a360fbde87a0	3d3711fb-e944-4081-8e79-94db8f4e36fd	COOLING_TOWER
060971cd-ad08-4a40-baa0-a360fbde87a0	ebd1f7e7-ef64-4fb2-b162-b2aa2367d2a7	DRY_COOLER
060971cd-ad08-4a40-baa0-a360fbde87a0	f9550be2-dd1d-45d2-bd24-4f370b695da4	REMOTE_CONDENSER
060971cd-ad08-4a40-baa0-a360fbde87a0	cf2aa92f-63be-497e-83fd-00d04717f39d	CHILLED_WATER_PUMPS
060971cd-ad08-4a40-baa0-a360fbde87a0	4f624acb-db8c-4629-8684-74195ef7dac4	HEAT_REJECTION_PUMPS
060971cd-ad08-4a40-baa0-a360fbde87a0	2c6e57d6-3f87-44d1-9ac1-1cc76844f719	VENTILATION
060971cd-ad08-4a40-baa0-a360fbde87a0	27d6ecb4-c8ad-4dac-93ce-a07f76fc4006	INFILTRATION
060971cd-ad08-4a40-baa0-a360fbde87a0	de7e8fbf-1424-44da-9307-09875ecdb442	IT_LOAD
d5e92499-745b-44b5-bde3-105d69e39291	8001d98f-2524-45d3-989f-fd669eed0c98	SWITCHGEAR
d5e92499-745b-44b5-bde3-105d69e39291	01228286-e38b-492e-a24c-850c7d3a4515	GENERATOR
d5e92499-745b-44b5-bde3-105d69e39291	2c984124-433e-4a4c-b8a3-acc63b6c3b5a	PRIMARY_AUXILIARIES
d5e92499-745b-44b5-bde3-105d69e39291	63f15fb3-a322-49cb-9a3c-3db9bc0fe307	UPS
d5e92499-745b-44b5-bde3-105d69e39291	f908dda4-fd6b-417a-bcee-001700f6b177	CRITICAL_AUXILIARIES
d5e92499-745b-44b5-bde3-105d69e39291	4b590e9e-8f89-44cf-b665-0b03dee93bbf	LIGHTING
d5e92499-745b-44b5-bde3-105d69e39291	20c5d698-70f8-4618-b237-bcab221c0e8e	CRITICAL_POWER_DISTRIBUTION
d5e92499-745b-44b5-bde3-105d69e39291	7234d052-1f61-4bf0-b7ed-aa2adfc1d89f	CRAH
d5e92499-745b-44b5-bde3-105d69e39291	c9c91019-0fdc-4a13-acfb-263800713ca3	CRAC
d5e92499-745b-44b5-bde3-105d69e39291	38789b70-1859-4042-ab27-8e0aed1079fa	CRAC_WITHOUT_FAN
d5e92499-745b-44b5-bde3-105d69e39291	2073cece-804b-4010-bf41-22bdb79315fe	CRAC_FAN
d5e92499-745b-44b5-bde3-105d69e39291	0a1d9f7d-d509-4364-9a82-3a46029f0c53	CHILLER
d5e92499-745b-44b5-bde3-105d69e39291	bb05148b-a7cf-4f87-9016-70ca6328be91	AIR_COOLED_CHILLER
d5e92499-745b-44b5-bde3-105d69e39291	0796f73a-b4e4-455e-a646-1a1500425c58	COOLING_TOWER
d5e92499-745b-44b5-bde3-105d69e39291	84c277c6-d45d-4ab7-99d8-549a37639617	DRY_COOLER
d5e92499-745b-44b5-bde3-105d69e39291	12747ee5-e160-42a1-b9b0-d00a3666c0db	REMOTE_CONDENSER
d5e92499-745b-44b5-bde3-105d69e39291	139e75b2-7c5b-4a73-bd58-0b02ebaec9a7	CHILLED_WATER_PUMPS
d5e92499-745b-44b5-bde3-105d69e39291	6e0c2da7-0160-441a-84ab-0648d8406a16	HEAT_REJECTION_PUMPS
d5e92499-745b-44b5-bde3-105d69e39291	c09dd9c2-26f4-4bf1-99e7-1eb53f797c3a	VENTILATION
d5e92499-745b-44b5-bde3-105d69e39291	3c97883f-1f7a-4e4e-814a-65b60d24b090	INFILTRATION
d5e92499-745b-44b5-bde3-105d69e39291	c3fa70aa-f68b-40c9-b2ee-5931a4f5ae54	IT_LOAD
d979bd82-a2ce-410a-87cd-aef8f85ef223	323bf5f3-455d-49ff-8b53-b641e5403cd0	SWITCHGEAR
d979bd82-a2ce-410a-87cd-aef8f85ef223	37ab747d-c0d2-4ce8-9b71-5d4e55b8cb81	GENERATOR
d979bd82-a2ce-410a-87cd-aef8f85ef223	dbd020e6-38de-4bc3-8f5d-7afb0d399c8a	PRIMARY_AUXILIARIES
d979bd82-a2ce-410a-87cd-aef8f85ef223	83e699e3-10ad-4df8-8e8f-87a70c24d20c	UPS
d979bd82-a2ce-410a-87cd-aef8f85ef223	bf821e1b-adbb-4840-9107-167c3e66656c	CRITICAL_AUXILIARIES
d979bd82-a2ce-410a-87cd-aef8f85ef223	e67fef5b-8d2f-47a4-9c1d-02a2b3c901a0	LIGHTING
d979bd82-a2ce-410a-87cd-aef8f85ef223	be805283-9789-4717-8b72-d82792075300	CRITICAL_POWER_DISTRIBUTION
d979bd82-a2ce-410a-87cd-aef8f85ef223	07eeb2f5-2efb-436a-a283-14851d98a598	CRAH
d979bd82-a2ce-410a-87cd-aef8f85ef223	790f6ae6-f8df-470e-9594-854653c120d0	CRAC
d979bd82-a2ce-410a-87cd-aef8f85ef223	f96c5198-0f0e-45c8-bc6d-9b00d06d8db0	CRAC_WITHOUT_FAN
d979bd82-a2ce-410a-87cd-aef8f85ef223	865c8fc1-b096-45da-b745-6495f6163c6b	CRAC_FAN
d979bd82-a2ce-410a-87cd-aef8f85ef223	64bcbf07-b663-400c-95b8-7bfe622b6e03	CHILLER
d979bd82-a2ce-410a-87cd-aef8f85ef223	42867dbf-e816-4c9f-adfb-cb0160f4f3a8	AIR_COOLED_CHILLER
d979bd82-a2ce-410a-87cd-aef8f85ef223	cc5cf813-cb5c-47db-b537-e4c6e32ba58a	COOLING_TOWER
d979bd82-a2ce-410a-87cd-aef8f85ef223	1ea60dbc-1c73-4e04-bcc5-e1f5ab8bf0cc	DRY_COOLER
d979bd82-a2ce-410a-87cd-aef8f85ef223	792cbdb3-0503-4278-9082-cd7b8e66d73d	REMOTE_CONDENSER
d979bd82-a2ce-410a-87cd-aef8f85ef223	b81e35ce-7e01-4a60-bcc6-490da2865f38	CHILLED_WATER_PUMPS
d979bd82-a2ce-410a-87cd-aef8f85ef223	a7954727-e817-4358-8469-0bcaaac7eabd	HEAT_REJECTION_PUMPS
d979bd82-a2ce-410a-87cd-aef8f85ef223	7b74445e-39f2-494a-908d-938e4bfc2464	VENTILATION
d979bd82-a2ce-410a-87cd-aef8f85ef223	a261fb26-794e-497d-9632-56bf56ba1680	INFILTRATION
d979bd82-a2ce-410a-87cd-aef8f85ef223	41774dea-a9c3-4725-8b38-f822706054a6	IT_LOAD
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	d1faa9c4-10b3-4321-9cde-9ae314d1814c	SWITCHGEAR
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	0a8a64f4-6a9e-490d-843b-328e6c579635	GENERATOR
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	20940baa-1c4e-43b4-8086-3d8ddbf12b37	PRIMARY_AUXILIARIES
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	6eeca07a-737d-40b4-9cf3-3e724a58313e	UPS
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	ff2ebfac-ff51-41f2-b7c7-9c3077a47750	CRITICAL_AUXILIARIES
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	930d9cb2-b4ee-4446-812d-fe02bf41fbff	LIGHTING
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	319cda91-1648-4465-8895-831fc2567916	CRITICAL_POWER_DISTRIBUTION
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	57155814-9990-4582-8bd3-5fb8fbad81f3	CRAH
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	affd82db-5ec0-4ded-83c4-867c6a18cd2c	CRAC
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	6492a50e-ee8c-465b-ae0f-a4f7b538993e	CRAC_WITHOUT_FAN
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	3738b438-90e2-43c7-909d-ac059c445317	CRAC_FAN
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	40cce9f9-b6d5-43d7-a0ab-7347b4363ddb	CHILLER
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	01af5056-83b6-4d13-bebb-361d2859e0b7	AIR_COOLED_CHILLER
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	8364bdde-978e-4e3b-ab52-9b323c11a3b6	COOLING_TOWER
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	4b11d53c-af01-49f0-9f37-6d754b29ee4e	DRY_COOLER
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	51a22a27-b59a-4d51-9f51-0013851cd3d0	REMOTE_CONDENSER
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	483ff9ae-93e4-42a7-a0ff-5c7bacfa8512	CHILLED_WATER_PUMPS
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	702d6d4e-b3f9-4409-988f-d83700298085	HEAT_REJECTION_PUMPS
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	d80402be-7f73-4f0f-bea1-20ed6cd59400	VENTILATION
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	2665f70e-9263-4bf6-adea-e6a1cfcdd4f4	INFILTRATION
eacb788a-1dfd-4c58-9ac2-5a6deaa1dba0	2e175e3f-ef75-4486-bf6a-6f002313cddb	IT_LOAD
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	65cd9d35-3825-42af-a5fb-39aa1d290875	SWITCHGEAR
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	95b20c19-c5ba-4b21-a1b6-22991c189dd2	GENERATOR
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	f744bd89-c270-449d-8340-fc1754be9f08	PRIMARY_AUXILIARIES
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	18764b94-8283-4142-b5e1-c0a63e9cf48e	UPS
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	f780495d-1c66-4278-a887-6005e26e8023	CRITICAL_AUXILIARIES
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	b6e5fc11-08dd-4fcc-9431-d0473cab5227	LIGHTING
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	6aa8110f-1254-49c9-b1c7-8a9885a9859a	CRITICAL_POWER_DISTRIBUTION
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	273c2336-6bf6-494a-bdb7-f3dcb73091b8	CRAH
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	995e1e06-ed6b-431d-95af-3300f4c635c2	CRAC
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	7de99d98-7fe3-4be6-8354-92d7c12a4c00	CRAC_WITHOUT_FAN
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	dde71a62-afad-46cf-acd0-86e41cab808b	CRAC_FAN
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	376b7ada-0e7e-4f42-a1e6-0550c42091bf	CHILLER
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	a5e018e8-7fa6-4d87-9b45-7ce6b49dd3a9	AIR_COOLED_CHILLER
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	4de72377-efee-4547-b8b4-d44e9d245a13	COOLING_TOWER
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	6f15b4d5-7b8e-4f8d-b810-9023b8c35c41	DRY_COOLER
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	94b60a6b-3920-4082-9402-94ac5e79de21	REMOTE_CONDENSER
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	cc9f261b-14f8-43d0-9b85-4ae88506b761	CHILLED_WATER_PUMPS
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	8b781ca3-0d8a-4b0d-8843-285e5f32424d	HEAT_REJECTION_PUMPS
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	42dd0874-760d-4366-8801-a32a77eea75c	VENTILATION
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	8dcef838-6c55-4857-a3c0-716d443aa0f5	INFILTRATION
cce71f0e-78ad-458b-9d3c-b02e3ee4ec66	fdf2d631-28a8-4124-bef3-6ce3d732c343	IT_LOAD
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	4bb95e9d-883a-4728-81a3-19092b7295b4	CRITICAL_POWER_DISTRIBUTION
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	79035c9a-4da7-4b7e-a4a0-ed793ca955eb	CRAH
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	7e8f0e4d-6463-434b-a2d4-1e2c692e79b2	CRAC
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	428e0526-f5c4-4ad8-a6c2-4f58bc94a196	CRAC_WITHOUT_FAN
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	6bb30f2a-8dfb-4cd8-b6a0-f3097b760399	CRAC_FAN
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	eda0397a-f247-446c-b3da-5bc062c80f01	CHILLER
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	ec99f9d2-9cb4-407b-9f71-d9e7ff532478	AIR_COOLED_CHILLER
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	e19844aa-2a60-4bb9-bcd7-25dc624b6e17	COOLING_TOWER
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	c6c36156-328f-42c7-815b-cc861534886c	DRY_COOLER
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	684abb94-cea0-409a-b1f0-3adef05eb6d7	REMOTE_CONDENSER
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	a14cfd3c-1c51-43b6-9346-73bd9928ed94	CHILLED_WATER_PUMPS
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	ce7a3f03-eca8-44cd-8abe-9ad09d76f90d	HEAT_REJECTION_PUMPS
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	67945ed0-05ff-4501-8ea9-040768ed14b6	VENTILATION
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	3619ad34-0593-4c84-827c-1068228fb187	INFILTRATION
7ac3e69a-65d1-45c9-8a9e-0ce7ec0c4f49	ed6a83ea-2bdf-46ef-a6f5-2785dd767957	IT_LOAD
5054e85a-b74a-4be0-b88d-1d7ad121b431	8484a5a8-7e8b-4735-8a92-59f49efb4383	SWITCHGEAR
5054e85a-b74a-4be0-b88d-1d7ad121b431	bdd8621f-56b0-4ffe-a1b6-77265d2df929	GENERATOR
5054e85a-b74a-4be0-b88d-1d7ad121b431	5b94dae5-0d97-4b5e-9d1e-d379c0229669	PRIMARY_AUXILIARIES
5054e85a-b74a-4be0-b88d-1d7ad121b431	4989219d-bae1-4a95-ab3d-71cb487e05fc	UPS
5054e85a-b74a-4be0-b88d-1d7ad121b431	4a9aa607-eddd-4760-aeed-62678b72695b	CRITICAL_AUXILIARIES
5054e85a-b74a-4be0-b88d-1d7ad121b431	f7b5f206-9002-4ed9-96b1-fb2d954f1b60	LIGHTING
5054e85a-b74a-4be0-b88d-1d7ad121b431	99046902-73ad-467e-8979-cc9f07970f59	CRITICAL_POWER_DISTRIBUTION
5054e85a-b74a-4be0-b88d-1d7ad121b431	38d80c20-a43d-465f-bd4c-5707ad6973cb	CRAH
5054e85a-b74a-4be0-b88d-1d7ad121b431	4746a5f9-63b7-4e3f-9427-0227c050957e	CRAC
5054e85a-b74a-4be0-b88d-1d7ad121b431	8caa8caf-eb99-457a-8c4d-1429873dd8be	CRAC_WITHOUT_FAN
5054e85a-b74a-4be0-b88d-1d7ad121b431	44a7c94c-0b85-4587-b3a9-fd24e7968daa	CRAC_FAN
5054e85a-b74a-4be0-b88d-1d7ad121b431	7fa8ba29-225d-4b5b-a0aa-ec9b79ae1633	CHILLER
5054e85a-b74a-4be0-b88d-1d7ad121b431	1fc6a1fb-f55f-4814-b1d4-933ed79354b5	AIR_COOLED_CHILLER
5054e85a-b74a-4be0-b88d-1d7ad121b431	43353316-3abe-493a-9a69-ce1246965476	COOLING_TOWER
5054e85a-b74a-4be0-b88d-1d7ad121b431	dbb96750-010e-4f14-809f-0d983734e2f0	DRY_COOLER
5054e85a-b74a-4be0-b88d-1d7ad121b431	0dccf5c2-f405-41f9-b132-b85110117bcf	REMOTE_CONDENSER
5054e85a-b74a-4be0-b88d-1d7ad121b431	732bb71d-cfee-488e-a0db-4baccd002d79	CHILLED_WATER_PUMPS
5054e85a-b74a-4be0-b88d-1d7ad121b431	c663595a-b525-487d-a895-1bde5d711506	HEAT_REJECTION_PUMPS
5054e85a-b74a-4be0-b88d-1d7ad121b431	10158f86-f716-4234-96f6-f45f6a050a0e	VENTILATION
5054e85a-b74a-4be0-b88d-1d7ad121b431	1f50a0f4-9080-42e2-a926-ab0a62232aeb	INFILTRATION
5054e85a-b74a-4be0-b88d-1d7ad121b431	fb2b8957-b122-47f2-b3da-e2d57b9b0d25	IT_LOAD
de1c876a-e941-49e5-8c86-3999a3cefa82	faa368f2-0b30-4b04-8b8f-cc9f400b9114	SWITCHGEAR
de1c876a-e941-49e5-8c86-3999a3cefa82	89f67646-670d-4f1c-9d5e-31b05e9f2ea0	GENERATOR
de1c876a-e941-49e5-8c86-3999a3cefa82	d5a429d1-1304-4f01-aa78-b2edac7b6cc4	PRIMARY_AUXILIARIES
de1c876a-e941-49e5-8c86-3999a3cefa82	2e9c103a-17e3-4920-b852-ff772c49b5ee	UPS
de1c876a-e941-49e5-8c86-3999a3cefa82	10350bf2-ff15-450c-a459-31151609a2a0	CRITICAL_AUXILIARIES
de1c876a-e941-49e5-8c86-3999a3cefa82	f31c4733-a67b-4857-a282-e376e5d09c14	LIGHTING
de1c876a-e941-49e5-8c86-3999a3cefa82	5dfcf3fa-f21b-4b01-872f-bd88eb1dc3c8	CRITICAL_POWER_DISTRIBUTION
de1c876a-e941-49e5-8c86-3999a3cefa82	57e2d921-c930-49bb-95e4-21622164dad8	CRAH
de1c876a-e941-49e5-8c86-3999a3cefa82	6d511fb0-6a23-41e3-8db0-9e7e86bdd2ca	CRAC
de1c876a-e941-49e5-8c86-3999a3cefa82	e6910cab-5971-4aa1-ad96-cbf36faccb32	CRAC_WITHOUT_FAN
de1c876a-e941-49e5-8c86-3999a3cefa82	2859944b-3b29-4457-845a-8aafdaa469b4	CRAC_FAN
de1c876a-e941-49e5-8c86-3999a3cefa82	56e0a832-e046-4fea-a244-4a8e59c2cf00	CHILLER
de1c876a-e941-49e5-8c86-3999a3cefa82	6d6a66ff-bde9-4f0c-9313-e2e8bfad91b4	AIR_COOLED_CHILLER
de1c876a-e941-49e5-8c86-3999a3cefa82	81dd91f4-8421-43d4-98a7-622a272a247a	COOLING_TOWER
de1c876a-e941-49e5-8c86-3999a3cefa82	502f31c0-5d5b-4774-8934-acf0fb761b9c	DRY_COOLER
de1c876a-e941-49e5-8c86-3999a3cefa82	7faba5ea-0b0d-42c1-9553-cb0b1e5fbccc	REMOTE_CONDENSER
de1c876a-e941-49e5-8c86-3999a3cefa82	d277adea-40af-4e05-a10f-c08b866e8cbd	CHILLED_WATER_PUMPS
de1c876a-e941-49e5-8c86-3999a3cefa82	48b096c6-d9fe-462c-baee-51552cb810e5	HEAT_REJECTION_PUMPS
de1c876a-e941-49e5-8c86-3999a3cefa82	463f4b0b-5680-4814-b33c-1d8ca5e27638	VENTILATION
de1c876a-e941-49e5-8c86-3999a3cefa82	5fb25a11-ba39-402f-b5d4-4b7c9a8d2d85	INFILTRATION
de1c876a-e941-49e5-8c86-3999a3cefa82	4a0b9803-aff6-46e2-a081-aeccb34e4030	IT_LOAD
6bd9ca51-fd11-45da-b821-3f7cb82f0494	365333aa-c048-44e2-b8d2-833f317c4ffa	SWITCHGEAR
6bd9ca51-fd11-45da-b821-3f7cb82f0494	b6395b8e-d876-430c-a782-c2014e8b31d0	GENERATOR
6bd9ca51-fd11-45da-b821-3f7cb82f0494	f29d9864-7d46-4f7c-a15a-38bf2b97c39c	PRIMARY_AUXILIARIES
6bd9ca51-fd11-45da-b821-3f7cb82f0494	cb0acf5b-67d7-462c-a8f6-2893e08b30e7	UPS
6bd9ca51-fd11-45da-b821-3f7cb82f0494	9161b8d5-2cdf-40c9-b00d-1f43d936ce71	CRITICAL_AUXILIARIES
6bd9ca51-fd11-45da-b821-3f7cb82f0494	dff59663-a04c-4cb4-ac1f-1b9646bfe1b9	LIGHTING
6bd9ca51-fd11-45da-b821-3f7cb82f0494	bd7545e8-8aaa-4a2a-997c-fde9b5d712e6	CRITICAL_POWER_DISTRIBUTION
6bd9ca51-fd11-45da-b821-3f7cb82f0494	0f6eb3a6-7cb0-428c-89f7-999d3c256e35	CRAH
6bd9ca51-fd11-45da-b821-3f7cb82f0494	3ef0b3bf-1274-42c6-9c3c-82fdd6e6199a	CRAC
6bd9ca51-fd11-45da-b821-3f7cb82f0494	01ec59e7-b45d-4b70-8693-6ebc190e6108	CRAC_WITHOUT_FAN
6bd9ca51-fd11-45da-b821-3f7cb82f0494	9b5668e9-767b-419a-91cd-fa32a3d6722b	CRAC_FAN
6bd9ca51-fd11-45da-b821-3f7cb82f0494	1cb92e93-8d77-4056-b6fb-709731ae55c2	CHILLER
6bd9ca51-fd11-45da-b821-3f7cb82f0494	9d7f3ecf-9e66-4d5f-a85f-fffce42d9d94	AIR_COOLED_CHILLER
6bd9ca51-fd11-45da-b821-3f7cb82f0494	a482b319-be6a-40b0-b733-34aca357542b	COOLING_TOWER
6bd9ca51-fd11-45da-b821-3f7cb82f0494	03c6c4bd-37d7-4afa-b511-f350784534b8	DRY_COOLER
6bd9ca51-fd11-45da-b821-3f7cb82f0494	fa9e55cc-4f37-444b-afd2-72ac2a52517c	REMOTE_CONDENSER
6bd9ca51-fd11-45da-b821-3f7cb82f0494	cdf2fab4-938e-45e6-ba6c-22df950bd8ee	CHILLED_WATER_PUMPS
6bd9ca51-fd11-45da-b821-3f7cb82f0494	c64725e3-dbb1-45d0-a64a-5d32e36f9bc8	HEAT_REJECTION_PUMPS
6bd9ca51-fd11-45da-b821-3f7cb82f0494	8487dfb9-6cfe-4c57-8bb3-e5e8082f96a6	VENTILATION
6bd9ca51-fd11-45da-b821-3f7cb82f0494	5597453b-2fdf-4680-98cd-fa5c623550d7	INFILTRATION
6bd9ca51-fd11-45da-b821-3f7cb82f0494	063395ed-5400-4376-92fc-3b40f21cec3a	IT_LOAD
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	3b4301fc-42f2-4928-97d8-f482eb3fa599	SWITCHGEAR
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	397cde24-7bb9-4045-ad45-7c2c6a3e4a17	GENERATOR
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	5cdc1de4-045e-4c66-951c-bbbf0c374b53	PRIMARY_AUXILIARIES
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	ca9c46ab-686f-4b5e-887c-3ee8c4b14879	UPS
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	005acc92-bc54-4f91-a795-10cd596c7409	CRITICAL_AUXILIARIES
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	fc1b24c4-7186-4a64-a441-f9d104f7bb4c	LIGHTING
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	c2e44f77-5165-47aa-af34-e65974007c96	CRITICAL_POWER_DISTRIBUTION
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	66874ef9-e433-4761-bdb4-cb469a3457e6	CRAH
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	081d8051-3586-4d35-b98d-6d087a4f148d	CRAC
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	8068b81c-194e-4f47-b219-edc126c553c6	CRAC_WITHOUT_FAN
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	58bec5cd-4300-4177-af46-749f2d198859	CRAC_FAN
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	bc076505-e171-4fe1-a604-d956d5932871	CHILLER
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	fd00baa6-e026-400f-b80a-022651b1c326	AIR_COOLED_CHILLER
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	2e47b234-e639-49d8-9ead-d584445611ac	COOLING_TOWER
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	af8c0e05-ebbd-4d4e-985a-05cf0d346e71	DRY_COOLER
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	038509da-7535-434c-a89d-0430d2026ef7	REMOTE_CONDENSER
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	2561e591-6932-4cb8-ad4d-6932448fd3d0	CHILLED_WATER_PUMPS
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	f8310901-3c6d-438c-a2f8-dcc19c4466cf	HEAT_REJECTION_PUMPS
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	a66d8bbd-a113-458a-b8b9-924185027c40	VENTILATION
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	52363448-f4b2-47bb-b36d-4469caf29f30	INFILTRATION
ed5e81a8-a533-4230-beb3-9a06ba19e4d5	ca0ca4d0-c214-46a2-a941-35cbdc9b6e33	IT_LOAD
a97f946f-0523-4655-8ef6-a53a988e550b	c0d06459-4307-45ce-ac96-0fbddfaa826b	SWITCHGEAR
a97f946f-0523-4655-8ef6-a53a988e550b	1be521ad-a4aa-446c-9c14-de37093b0440	GENERATOR
a97f946f-0523-4655-8ef6-a53a988e550b	6dd80b0c-a024-41fe-ae20-39dae44e5bc6	PRIMARY_AUXILIARIES
a97f946f-0523-4655-8ef6-a53a988e550b	df6fe9b5-b1ff-4e5e-9a8e-ceefc1742f61	UPS
a97f946f-0523-4655-8ef6-a53a988e550b	984ac323-a357-4b36-972f-19061b8f6f02	CRITICAL_AUXILIARIES
a97f946f-0523-4655-8ef6-a53a988e550b	dd03850d-3f81-4ae6-85fe-56bf6c055a92	LIGHTING
a97f946f-0523-4655-8ef6-a53a988e550b	90f0c732-f050-49c5-bde7-1203510d80a5	CRITICAL_POWER_DISTRIBUTION
a97f946f-0523-4655-8ef6-a53a988e550b	5595be20-997f-40e7-bb20-7ef8e7d1b19b	CRAH
a97f946f-0523-4655-8ef6-a53a988e550b	d1ce8c50-a6a4-4c98-8065-996cbfb354d5	CRAC
a97f946f-0523-4655-8ef6-a53a988e550b	b93d651c-eeff-40c6-ba69-ff852d8a010a	CRAC_WITHOUT_FAN
a97f946f-0523-4655-8ef6-a53a988e550b	0c0c40b9-6d89-4682-91d5-1e6d9d473b17	CRAC_FAN
a97f946f-0523-4655-8ef6-a53a988e550b	b8d72046-9051-4680-b24a-3c289f597372	CHILLER
a97f946f-0523-4655-8ef6-a53a988e550b	898c187f-3df4-4612-9293-9f0c6e84a359	AIR_COOLED_CHILLER
a97f946f-0523-4655-8ef6-a53a988e550b	98f24123-f689-4ea5-bd79-becc495eef93	COOLING_TOWER
a97f946f-0523-4655-8ef6-a53a988e550b	f42d0eda-abde-4486-a1f2-0fdc49dbc540	DRY_COOLER
a97f946f-0523-4655-8ef6-a53a988e550b	e84578ee-c72e-4833-af48-773c02f90105	REMOTE_CONDENSER
a97f946f-0523-4655-8ef6-a53a988e550b	c6aac9e5-d5fe-4977-aa2d-f25ef7750b8a	CHILLED_WATER_PUMPS
a97f946f-0523-4655-8ef6-a53a988e550b	c1a9e4ee-9ffa-4504-9b45-de45489829d2	HEAT_REJECTION_PUMPS
a97f946f-0523-4655-8ef6-a53a988e550b	01035899-4387-4cfc-9f83-c4351f8b129b	VENTILATION
a97f946f-0523-4655-8ef6-a53a988e550b	12690d5f-a8e4-49f8-b16f-991418806b20	INFILTRATION
a97f946f-0523-4655-8ef6-a53a988e550b	259dcbe2-7d97-422d-825e-28fe8ed0eb93	IT_LOAD
d765214b-edad-4704-9f95-c891b3703aee	54e687d4-0a20-4084-be86-34e76aa53e74	SWITCHGEAR
d765214b-edad-4704-9f95-c891b3703aee	1de0b944-ec26-414e-8410-a68095f769fd	GENERATOR
d765214b-edad-4704-9f95-c891b3703aee	3de70283-eb95-4bb5-a344-adc80cb708e2	PRIMARY_AUXILIARIES
d765214b-edad-4704-9f95-c891b3703aee	deffe4d4-3b54-4d5a-9f36-26b5068c2453	UPS
d765214b-edad-4704-9f95-c891b3703aee	a5bf6542-75ec-46ab-936c-a196832dd840	CRITICAL_AUXILIARIES
d765214b-edad-4704-9f95-c891b3703aee	9e3c40b3-8ba3-493e-b8ea-79437b1c509a	LIGHTING
d765214b-edad-4704-9f95-c891b3703aee	c9750ea3-5e30-4183-987c-827bc33f80a0	CRITICAL_POWER_DISTRIBUTION
d765214b-edad-4704-9f95-c891b3703aee	6fedf66e-67e3-43d9-9231-175a0b9a751f	CRAH
d765214b-edad-4704-9f95-c891b3703aee	881e4e59-b3d1-409e-96c8-1ac1af608dd0	CRAC
d765214b-edad-4704-9f95-c891b3703aee	1d374cd6-b88e-421b-9918-8086b605e688	CRAC_WITHOUT_FAN
d765214b-edad-4704-9f95-c891b3703aee	d0353372-2471-48eb-a5b0-b8694f9db647	CRAC_FAN
d765214b-edad-4704-9f95-c891b3703aee	98466d9e-27c8-47ba-99de-9a04d30f61cd	CHILLER
d765214b-edad-4704-9f95-c891b3703aee	7f7cf8bc-2227-449c-a29a-926988ce501f	AIR_COOLED_CHILLER
d765214b-edad-4704-9f95-c891b3703aee	31fba22e-b2ce-4d8a-85c4-6e9330e6ab95	COOLING_TOWER
d765214b-edad-4704-9f95-c891b3703aee	4386352c-eb2b-42ab-afbd-410a90838ca2	DRY_COOLER
d765214b-edad-4704-9f95-c891b3703aee	74d127be-bf18-4953-aad7-864714bdaed7	REMOTE_CONDENSER
d765214b-edad-4704-9f95-c891b3703aee	78988415-8d56-44fa-a210-2fdebdd1e6ce	CHILLED_WATER_PUMPS
d765214b-edad-4704-9f95-c891b3703aee	caa79170-4f9c-4edd-87db-b788ccccc550	HEAT_REJECTION_PUMPS
d765214b-edad-4704-9f95-c891b3703aee	1215901f-7a23-40ef-859f-862f5b788bd0	VENTILATION
d765214b-edad-4704-9f95-c891b3703aee	5bbc4bf8-5f09-4716-9b4d-2e21a8f1cc6b	INFILTRATION
d765214b-edad-4704-9f95-c891b3703aee	87144836-7b02-4e5a-84c5-8902bfc83837	IT_LOAD
46ad2050-9462-4079-8b87-62b2f05d2c01	43d388f6-f5ed-4117-9658-de99ba9ee973	SWITCHGEAR
46ad2050-9462-4079-8b87-62b2f05d2c01	6bbc026b-c397-477d-a7ce-1002906cb057	GENERATOR
46ad2050-9462-4079-8b87-62b2f05d2c01	f874f3f7-1b65-4410-88be-0ec470db66db	PRIMARY_AUXILIARIES
46ad2050-9462-4079-8b87-62b2f05d2c01	b9f8b775-6c77-486f-aa0c-272e125e0adb	UPS
46ad2050-9462-4079-8b87-62b2f05d2c01	80c89e74-aa02-45db-b5ab-f59e89066633	CRITICAL_AUXILIARIES
46ad2050-9462-4079-8b87-62b2f05d2c01	cf0876d7-31e5-40ad-8f5b-cdc240d4c441	LIGHTING
46ad2050-9462-4079-8b87-62b2f05d2c01	e2a9176a-8c85-42c9-be42-3b8cd29d6a2c	CRITICAL_POWER_DISTRIBUTION
46ad2050-9462-4079-8b87-62b2f05d2c01	2ba287b6-6083-4cad-b85b-e9757a8bedf8	CRAH
46ad2050-9462-4079-8b87-62b2f05d2c01	898c6e98-5cc0-4199-a8e4-b2908f3ea0ea	CRAC
46ad2050-9462-4079-8b87-62b2f05d2c01	c6e1b9b9-ed88-43fd-b7a4-63c8e6fcea07	CRAC_WITHOUT_FAN
46ad2050-9462-4079-8b87-62b2f05d2c01	f84426ca-0893-47df-b924-3aed214a505d	CRAC_FAN
46ad2050-9462-4079-8b87-62b2f05d2c01	41144a4b-71c3-4022-b25c-5f1472145f8e	CHILLER
46ad2050-9462-4079-8b87-62b2f05d2c01	9559e951-49c8-4cb3-97d1-5d326207c066	AIR_COOLED_CHILLER
46ad2050-9462-4079-8b87-62b2f05d2c01	3fc87925-ad4c-4c98-9f51-66c8155a1490	COOLING_TOWER
46ad2050-9462-4079-8b87-62b2f05d2c01	93d4b056-da1b-4092-ba71-bb4c296a4dd5	DRY_COOLER
46ad2050-9462-4079-8b87-62b2f05d2c01	b06117bf-aa31-48c5-9c22-c6b8ba9939a9	REMOTE_CONDENSER
46ad2050-9462-4079-8b87-62b2f05d2c01	f7a6fc29-b85f-4fac-a5a5-2b35b87a5bb3	CHILLED_WATER_PUMPS
46ad2050-9462-4079-8b87-62b2f05d2c01	b8abc73b-1a6f-47f6-a9da-059ae6bbf1ce	HEAT_REJECTION_PUMPS
46ad2050-9462-4079-8b87-62b2f05d2c01	b67102c7-fac9-4cfb-a374-9b74a40e5bc2	VENTILATION
46ad2050-9462-4079-8b87-62b2f05d2c01	39cab45a-6fc3-4091-a36d-b856f016c8ab	INFILTRATION
46ad2050-9462-4079-8b87-62b2f05d2c01	1625ae7b-fb77-4f73-bcd0-a591c45682d6	IT_LOAD
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	7ee71831-64cb-4cfa-a650-3ee4637ac520	SWITCHGEAR
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	6944605b-59b1-4287-bcda-4f09f9343347	GENERATOR
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	5969b853-c5d3-4d65-9a6d-b4a2b177310f	PRIMARY_AUXILIARIES
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	23e16fa9-9575-44cd-b392-3df62489ce36	UPS
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	282adaf3-c68c-4d69-b0ac-df90cebb7006	CRITICAL_AUXILIARIES
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	3c82a6ee-1fd9-418c-9309-05bcfc3eb2e5	LIGHTING
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	a8b936fa-990c-454e-a539-c59cc0d3b4bf	CRITICAL_POWER_DISTRIBUTION
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	d2af88f7-c497-4263-a25d-fd57f0dc03c0	CRAH
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	75b62c94-121f-4102-a6b1-db2d73d49326	CRAC
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	1f6bc284-c26c-42e0-a0c3-8831adc89ae5	CRAC_WITHOUT_FAN
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	3acb9525-e1fb-489a-823e-5460f9e4dad0	CRAC_FAN
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	d95f73f2-e3fb-4392-86dc-3cc8231afc9e	CHILLER
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	8dd34c6b-8576-41cf-8aa5-98cb0dcf2767	AIR_COOLED_CHILLER
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	2fac1694-1d1e-4ec5-9929-63034e85f06f	COOLING_TOWER
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	fc421ecb-720a-4780-bce6-6465c81d9ed4	DRY_COOLER
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	5e86c54a-d54d-4770-8c92-2fbec3f08177	REMOTE_CONDENSER
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	5b76a541-fc38-4d01-942f-7e973b555875	CHILLED_WATER_PUMPS
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	b821adf6-7cf9-45f0-b9fc-89a30d140c67	HEAT_REJECTION_PUMPS
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	858b2ebb-8a35-41c5-b001-b1627144452c	VENTILATION
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	fcc71e68-fea7-41c5-bb36-32b2f141a653	INFILTRATION
d68f3270-8ab2-473b-a2ca-65d7a3cf874f	5c166c13-2415-4571-898f-77ee33ed08c3	IT_LOAD
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	f5177d10-cbdf-4b7c-843a-5a0084c22ceb	SWITCHGEAR
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	b9db1a45-6d03-48fc-b584-316c38356b11	GENERATOR
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	dc0a200c-f4c6-4f84-b4fa-cad3455e6d5d	PRIMARY_AUXILIARIES
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	d981eb75-a8f6-4b55-ac0e-322d7dfc4425	UPS
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	214aa44a-edf4-4251-8aac-41dbff4ef0bc	CRITICAL_AUXILIARIES
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	64757100-aec5-42b6-9e86-6d29903487f0	LIGHTING
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	eb44b3f9-146d-4b4c-8f74-1982294a7f19	CRITICAL_POWER_DISTRIBUTION
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	57088aa7-f9aa-4b6b-8864-2c0fdc68cef8	CRAH
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	a2621c89-a8bc-4176-aa63-6587c710fb5f	CRAC
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	6166efb2-5db9-46da-8a4e-b1b76d3f0592	CRAC_WITHOUT_FAN
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	2a5f3bf5-28c4-419c-b4a6-73b342bd9793	CRAC_FAN
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	c625868c-1288-45e8-9643-87cc7b678eaf	CHILLER
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	e74d2c35-000d-4404-acd4-b35059cbd836	AIR_COOLED_CHILLER
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	75be6432-79f8-4e0e-9b1e-087eede20b4a	COOLING_TOWER
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	d2ed7efa-45bb-47f6-9d56-13d70c832e50	DRY_COOLER
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	4984ee98-4f8b-46a5-ba0b-39e4ae7542b6	REMOTE_CONDENSER
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	3d4c0a33-1090-4923-bb7f-d198f507f206	CHILLED_WATER_PUMPS
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	92573346-da15-463e-a81e-039b978ece5e	HEAT_REJECTION_PUMPS
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	6c331c5f-8f20-470e-9934-e6daa9a73776	VENTILATION
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	e826acb6-9163-44c4-8abf-5cfad679991e	INFILTRATION
bc3840f2-8b9e-46fa-96e8-88a0f2593fd3	66340f16-adc6-4a16-a0bf-1cac967e29c8	IT_LOAD
abd4c197-c55c-4542-84bc-f2db71cda577	5f7615ea-b008-47dc-929b-d64aa07383f9	SWITCHGEAR
abd4c197-c55c-4542-84bc-f2db71cda577	83417245-b494-45d2-90e1-5c26aa849785	GENERATOR
abd4c197-c55c-4542-84bc-f2db71cda577	8f13bcb2-f859-43c9-830f-5d7aaae298e2	PRIMARY_AUXILIARIES
abd4c197-c55c-4542-84bc-f2db71cda577	87247f34-f47a-43cf-82b6-f1d4ca2dd04c	UPS
abd4c197-c55c-4542-84bc-f2db71cda577	4dced74e-10ba-4139-b934-db5c1df775aa	CRITICAL_AUXILIARIES
abd4c197-c55c-4542-84bc-f2db71cda577	19aee4b4-ab39-49c5-b9af-5cc02aa381f9	LIGHTING
abd4c197-c55c-4542-84bc-f2db71cda577	194c3caa-1806-4c78-9110-c7bb304c3114	CRITICAL_POWER_DISTRIBUTION
abd4c197-c55c-4542-84bc-f2db71cda577	bff64ec2-f5a3-49d6-8773-1d70bb3b8f33	CRAH
abd4c197-c55c-4542-84bc-f2db71cda577	8a2ddabc-6764-4756-8c91-7da3656c426d	CRAC
abd4c197-c55c-4542-84bc-f2db71cda577	4a763758-7fb4-4fa8-b00b-8f6ca8c89740	CRAC_WITHOUT_FAN
abd4c197-c55c-4542-84bc-f2db71cda577	0002e652-679d-46cc-89d0-7d2fa5d59669	CRAC_FAN
abd4c197-c55c-4542-84bc-f2db71cda577	b0271d32-8585-4d9b-a2e5-fa0724f0a917	CHILLER
abd4c197-c55c-4542-84bc-f2db71cda577	4abe449b-53d2-498a-baca-3512daa48081	AIR_COOLED_CHILLER
abd4c197-c55c-4542-84bc-f2db71cda577	bf565a7c-16b1-466d-a0e4-a245986e4c17	COOLING_TOWER
abd4c197-c55c-4542-84bc-f2db71cda577	b7ec1193-51c5-4d6c-8b86-d1cf559fb7f7	DRY_COOLER
abd4c197-c55c-4542-84bc-f2db71cda577	7af018e8-261f-4196-a25f-9142095c86b0	REMOTE_CONDENSER
abd4c197-c55c-4542-84bc-f2db71cda577	ef8e9ff3-6b14-4db8-88c1-43a13cf0cf47	CHILLED_WATER_PUMPS
abd4c197-c55c-4542-84bc-f2db71cda577	30e4484e-12ff-41ac-a17d-9796c11c2e9b	HEAT_REJECTION_PUMPS
abd4c197-c55c-4542-84bc-f2db71cda577	40d636c6-951c-4aad-9d87-47da1b188d28	VENTILATION
abd4c197-c55c-4542-84bc-f2db71cda577	09ca1f67-be3e-460c-8e60-6dd45362b89c	INFILTRATION
abd4c197-c55c-4542-84bc-f2db71cda577	0daa3469-288b-4db8-a0a6-0154d08efb85	IT_LOAD
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	d88009f2-e9bb-4fc2-ab16-d3ee8e772bc9	SWITCHGEAR
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	c81dcc4c-d51c-4971-974e-cdfe82c42501	GENERATOR
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	4f11dbac-28f7-4c94-b2ee-407a65d17bff	PRIMARY_AUXILIARIES
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	a41f0537-2171-4054-84b7-9102d8ef1553	UPS
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	0949f4dd-82ab-4d28-962e-35ba1be3c81d	CRITICAL_AUXILIARIES
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	383f5f88-2245-4b46-8fa8-de9ef8413ddf	LIGHTING
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	c6539562-f6a8-4714-bce7-0d5c7cb0e352	CRITICAL_POWER_DISTRIBUTION
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	0f975746-87db-46ca-bd09-778a781e6a0d	CRAH
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	4ffc53f7-6a74-485d-b1dd-fc11810b95ce	CRAC
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	26a8fbbc-71f3-43c3-88db-982e0b667315	CRAC_WITHOUT_FAN
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	ff31fd0b-cacf-4ed2-bf4d-8f387505c4e1	CRAC_FAN
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	deaca90e-80a1-490a-8cd1-415ebddff93f	CHILLER
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	1bfb49a2-68aa-460c-97df-da23e416090e	AIR_COOLED_CHILLER
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	f78e61bb-b75e-4425-8fe0-3d4603f402be	COOLING_TOWER
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	fb160414-a7eb-42ce-b1b5-9d6573278926	DRY_COOLER
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	d840829e-372e-415c-97a6-89582d4e6d3c	REMOTE_CONDENSER
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	b715f334-27f8-4cc8-b2ee-c5ad4553d88f	CHILLED_WATER_PUMPS
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	fad89ef0-700c-4202-90f1-ffac92344f98	HEAT_REJECTION_PUMPS
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	ec9c6fde-0384-4b52-8a7d-55224440d664	VENTILATION
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	f0245efd-03de-4ece-abd2-dd9d21cad6a3	INFILTRATION
6ffe232c-c6f3-4d1a-82b8-f8122753fdc7	a2d572bf-6d8e-4f5d-b34c-a4e06d5a7291	IT_LOAD
6118ab89-3b49-4c29-af50-8a0495f8400f	5c1775d2-4d11-43c9-90b4-8005170c2640	SWITCHGEAR
6118ab89-3b49-4c29-af50-8a0495f8400f	3bf9d64a-f74d-496b-9c6b-0a01bc8c627c	GENERATOR
6118ab89-3b49-4c29-af50-8a0495f8400f	e2e649ed-54a5-4dfd-bce2-44194466e19f	PRIMARY_AUXILIARIES
6118ab89-3b49-4c29-af50-8a0495f8400f	5ec9a9fe-36c4-4ca3-a2e0-cebb6c2aa7db	UPS
6118ab89-3b49-4c29-af50-8a0495f8400f	3efd18b9-7ed3-442a-88d5-02654e58b232	CRITICAL_AUXILIARIES
6118ab89-3b49-4c29-af50-8a0495f8400f	9cea632d-4376-4d5d-aadb-498ec3d1d52f	LIGHTING
6118ab89-3b49-4c29-af50-8a0495f8400f	5e282212-022c-4062-9d85-f0334aed84f6	CRITICAL_POWER_DISTRIBUTION
6118ab89-3b49-4c29-af50-8a0495f8400f	99797eaa-87d1-44f4-96bf-36faadcb0697	CRAH
6118ab89-3b49-4c29-af50-8a0495f8400f	cde204a1-4389-4631-a251-e72623aaea5b	CRAC
6118ab89-3b49-4c29-af50-8a0495f8400f	86877c7a-5e74-4c5f-bb90-3443f52bf36d	CRAC_WITHOUT_FAN
6118ab89-3b49-4c29-af50-8a0495f8400f	8a20bc13-02ff-4486-928b-37b5ffa87f96	CRAC_FAN
6118ab89-3b49-4c29-af50-8a0495f8400f	878b04c2-3e1b-4471-ad04-688abe94fd0f	CHILLER
6118ab89-3b49-4c29-af50-8a0495f8400f	7404b8ad-340f-4daa-aedc-4f22f512a75d	AIR_COOLED_CHILLER
6118ab89-3b49-4c29-af50-8a0495f8400f	b6e84697-c1a5-4700-b653-69381c3f2ac8	COOLING_TOWER
6118ab89-3b49-4c29-af50-8a0495f8400f	141393c4-c2d1-46ff-9516-20de99e15994	DRY_COOLER
6118ab89-3b49-4c29-af50-8a0495f8400f	ad74231d-c541-4673-9263-c95efa2c6145	REMOTE_CONDENSER
6118ab89-3b49-4c29-af50-8a0495f8400f	16c0d4f0-1dd0-4472-92b1-9523507885be	CHILLED_WATER_PUMPS
6118ab89-3b49-4c29-af50-8a0495f8400f	03fd9481-b87a-4031-840b-7f6577cffa71	HEAT_REJECTION_PUMPS
6118ab89-3b49-4c29-af50-8a0495f8400f	ea02d030-7e71-4ff1-ad3c-8304873c9d6e	VENTILATION
6118ab89-3b49-4c29-af50-8a0495f8400f	7f36d3b1-304b-4901-b389-be9b2845925a	INFILTRATION
6118ab89-3b49-4c29-af50-8a0495f8400f	64699ce1-4422-4d07-9604-c5d2dc00805e	IT_LOAD
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	24f8bb1d-b770-4f5a-887d-c54f2f214338	SWITCHGEAR
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	429bc65b-631e-46ad-8dd2-9d6570d3a4ba	GENERATOR
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	66177793-9452-4a6d-84d4-5c6dd0d27fe1	PRIMARY_AUXILIARIES
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	897c1067-4275-4579-bce9-86ffa6b41edc	UPS
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	d3b64902-3a6e-48c5-bb19-f650e7e6607c	CRITICAL_AUXILIARIES
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	38625502-4cd3-428d-86f9-232ab44e1c18	LIGHTING
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	67b07a4f-fe80-4707-a3fb-ef9a9eec790b	CRITICAL_POWER_DISTRIBUTION
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	157ec57f-4408-438b-937c-1a6a9d8e05d2	CRAH
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	f65ed30b-9356-43af-b7be-c5665cbe813d	CRAC
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	87ca0954-1fe3-4126-8e09-a87768740269	CRAC_WITHOUT_FAN
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	d5211867-cf3d-4d40-8134-a986c99901d5	CRAC_FAN
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	200b9228-823e-459b-a13d-4af20dd60402	CHILLER
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	48c24acf-a202-40be-89ad-92f9722e99c4	AIR_COOLED_CHILLER
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	013aebf9-7555-40f7-9f6e-910d356bbc08	COOLING_TOWER
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	e3e0d767-f4c6-49d3-bdfa-7c3779040cdb	DRY_COOLER
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	4a4f43cb-357e-4de9-aecd-29571446474d	REMOTE_CONDENSER
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	9a634034-596b-4fe5-b975-d2401c7edbde	CHILLED_WATER_PUMPS
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	62715b78-b931-413e-861e-2c480a411d37	HEAT_REJECTION_PUMPS
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	be8b5456-e902-4f61-b061-e85651ddefc6	VENTILATION
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	a9346a05-063e-473d-bb06-ea993bef1cae	INFILTRATION
1d5ee53d-690c-4ae3-aa1d-76e65c874b22	b460a518-3d81-4351-bfd7-94b967cc5a43	IT_LOAD
e597653b-3931-4679-893c-a8e13f108b64	a98c8101-06b3-45ff-9ecb-33ee13580659	SWITCHGEAR
e597653b-3931-4679-893c-a8e13f108b64	6596153c-fd48-4617-b424-581caaeb17dd	GENERATOR
e597653b-3931-4679-893c-a8e13f108b64	82ce0e22-6c31-41ea-8ae1-54f77d598416	PRIMARY_AUXILIARIES
e597653b-3931-4679-893c-a8e13f108b64	6f3d8a13-b8b9-45de-be63-c327c6e6b78b	UPS
e597653b-3931-4679-893c-a8e13f108b64	ddf2ea3e-705c-442f-94d5-2cf8c3429b80	CRITICAL_AUXILIARIES
e597653b-3931-4679-893c-a8e13f108b64	79feabfe-e1ed-4882-9157-b38921cbe298	LIGHTING
e597653b-3931-4679-893c-a8e13f108b64	b5274ad6-5675-4fc8-9e3b-59feeedccf2a	CRITICAL_POWER_DISTRIBUTION
e597653b-3931-4679-893c-a8e13f108b64	6c038f6c-e7b1-46e0-9544-9e941e738a1e	CRAH
e597653b-3931-4679-893c-a8e13f108b64	0e6b5b00-5910-4775-bd2a-c0cc950e985e	CRAC
e597653b-3931-4679-893c-a8e13f108b64	3769daa8-af9c-4483-a32f-1be1c0c608fe	CRAC_WITHOUT_FAN
e597653b-3931-4679-893c-a8e13f108b64	510d0799-62ff-4263-ada1-4afe70bbbdcf	CRAC_FAN
e597653b-3931-4679-893c-a8e13f108b64	397a2592-d772-440b-9c19-ab0454af7408	CHILLER
e597653b-3931-4679-893c-a8e13f108b64	408732c5-4900-4dae-8207-dfd5dd516284	AIR_COOLED_CHILLER
e597653b-3931-4679-893c-a8e13f108b64	8a53bfa6-35fd-4032-b86c-747ad4c53098	COOLING_TOWER
e597653b-3931-4679-893c-a8e13f108b64	6f644481-c979-4a80-8e2b-f5a426dafb18	DRY_COOLER
e597653b-3931-4679-893c-a8e13f108b64	3cc6fffa-082b-4c16-84ad-dee941f87eba	REMOTE_CONDENSER
e597653b-3931-4679-893c-a8e13f108b64	2cb9dd66-2850-489b-96d8-7f9b97b7db75	CHILLED_WATER_PUMPS
e597653b-3931-4679-893c-a8e13f108b64	89fb43c2-5146-4dc5-a257-4316b03e8dce	HEAT_REJECTION_PUMPS
e597653b-3931-4679-893c-a8e13f108b64	88987fb0-bc8a-4698-a1fd-9084252b69df	VENTILATION
e597653b-3931-4679-893c-a8e13f108b64	37c80f3c-7dfb-4e01-9791-96405932cd05	INFILTRATION
e597653b-3931-4679-893c-a8e13f108b64	f6df3957-26ba-4216-9bfd-b916a93ebbcc	IT_LOAD
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	63170b12-8264-4c3b-ba9a-e38ee12d29ad	SWITCHGEAR
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	aa4233a1-15a6-4a8c-bf5e-ced44107e784	GENERATOR
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	56fb93a5-804f-40c2-93e1-15007cb15159	PRIMARY_AUXILIARIES
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	7dbcdd5d-140c-4743-b7a5-fc9c7a090558	UPS
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	d5fc5f25-7bb1-4991-a4fd-d0f57209137b	CRITICAL_AUXILIARIES
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	559cd058-1c0c-47e1-ad82-d09db599998e	LIGHTING
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	48353dd9-bf9e-4bbc-a530-f2c4d8d294bd	CRITICAL_POWER_DISTRIBUTION
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	7caa6cc7-61ee-4da4-8d6b-742a43143d7a	CRAH
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	66ea949a-746e-4b0f-b4eb-4516cbb4b903	CRAC
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	600023e8-b46f-4c33-879e-916d098ba678	CRAC_WITHOUT_FAN
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	bc2cc646-8abd-49c2-834c-c232f3992e03	CRAC_FAN
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	4abc17f7-e829-4f58-b318-e623f4866bb6	CHILLER
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	115ef65d-a2c9-4a7d-b678-2473bcfd20dd	AIR_COOLED_CHILLER
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	f07acc57-df82-49e1-9710-94eb94d4171a	COOLING_TOWER
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	7a304317-5d6f-4101-9417-152cb3327967	DRY_COOLER
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	7f1410fb-f0e4-450c-9d21-868d1642c62d	REMOTE_CONDENSER
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	e10afdc7-0484-4e8c-81b7-531a25cbb812	CHILLED_WATER_PUMPS
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	dd88ff4f-84fe-4687-b35c-6386149b3ee4	HEAT_REJECTION_PUMPS
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	291f9459-5a1a-495c-95b1-4071265b4668	VENTILATION
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	f7ec8ea8-c6e8-4873-bd5d-911bc0c5e478	INFILTRATION
288d1a1f-6e8d-45c8-ba39-0fd72efbe22b	ddb5da13-7cb1-4d83-944d-207cbd4b99db	IT_LOAD
94013edd-8957-43b1-aa0b-77a54b8f9328	52ab96f7-5d00-4e09-a498-4657adafd014	SWITCHGEAR
94013edd-8957-43b1-aa0b-77a54b8f9328	545a2d9f-b6e2-485a-9be5-8459da3650a6	GENERATOR
94013edd-8957-43b1-aa0b-77a54b8f9328	9ad2f6cd-ee6f-4f8a-b3db-9fa74162e5de	PRIMARY_AUXILIARIES
94013edd-8957-43b1-aa0b-77a54b8f9328	3e9f8f53-9310-4a55-ba50-e47aae627f23	UPS
94013edd-8957-43b1-aa0b-77a54b8f9328	9c68c427-605a-422b-ac2b-f1ceb420d1d8	CRITICAL_AUXILIARIES
94013edd-8957-43b1-aa0b-77a54b8f9328	6cff67aa-fe8c-48f6-8878-1c910efaf7da	LIGHTING
94013edd-8957-43b1-aa0b-77a54b8f9328	b72c75ed-f606-44b3-ab71-6387ea9a1ea1	CRITICAL_POWER_DISTRIBUTION
94013edd-8957-43b1-aa0b-77a54b8f9328	77aa26ca-27c1-4b3f-a3ed-4e50eec04a7e	CRAH
94013edd-8957-43b1-aa0b-77a54b8f9328	b667f96e-932f-4559-984f-3e18941e8b8c	CRAC
94013edd-8957-43b1-aa0b-77a54b8f9328	6f84001f-eb31-404c-b503-5b9e3946f530	CRAC_WITHOUT_FAN
94013edd-8957-43b1-aa0b-77a54b8f9328	79993476-156d-4987-b719-d18456c83e6e	CRAC_FAN
94013edd-8957-43b1-aa0b-77a54b8f9328	af6db2bc-c9ff-4d02-b949-5dc7bd6f17fa	CHILLER
94013edd-8957-43b1-aa0b-77a54b8f9328	441b3284-e33c-462f-afb4-376d5628878f	AIR_COOLED_CHILLER
94013edd-8957-43b1-aa0b-77a54b8f9328	627fed41-a427-4e5c-a87c-f8328e8d6020	COOLING_TOWER
94013edd-8957-43b1-aa0b-77a54b8f9328	148f1a8f-9ed1-44e1-b49e-27a63a35ddae	DRY_COOLER
94013edd-8957-43b1-aa0b-77a54b8f9328	f0bf7fa2-7883-4ee6-a043-fe3b54e2e70f	REMOTE_CONDENSER
94013edd-8957-43b1-aa0b-77a54b8f9328	b6e56d89-614a-49f3-b3b8-9d9b17a1bbdf	CHILLED_WATER_PUMPS
94013edd-8957-43b1-aa0b-77a54b8f9328	93a9a854-2b7b-4f33-8483-3308f489f950	HEAT_REJECTION_PUMPS
94013edd-8957-43b1-aa0b-77a54b8f9328	cb046826-8654-4e5b-8f2c-7220b3887dbe	VENTILATION
94013edd-8957-43b1-aa0b-77a54b8f9328	74ec9aa1-ca62-4602-90e1-78b49d7deb9f	INFILTRATION
94013edd-8957-43b1-aa0b-77a54b8f9328	0e6f9560-6952-4990-98ec-96d8202fe5ff	IT_LOAD
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	7767ef24-468b-40aa-9fb7-0af63fd20e8b	SWITCHGEAR
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	80fd6045-8625-402e-87df-e6e88dcd872c	GENERATOR
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	d86d3494-84b7-43cc-be88-4de70043362a	PRIMARY_AUXILIARIES
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	d92031fd-64c5-4d18-a581-a2185940ec42	UPS
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	54f5e371-faab-4a4f-a400-78de963c6706	CRITICAL_AUXILIARIES
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	eeab4a8c-ddd8-4440-b2b3-9113a7cce402	LIGHTING
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	6114beec-67c1-460b-a2eb-01f40a70ff2b	CRITICAL_POWER_DISTRIBUTION
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	a2b25206-801c-4116-a1b7-2eae574a6278	CRAH
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	b187711e-a36d-45ba-ace1-ecad190ff202	CRAC
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	e70d2298-7f5a-4db9-b792-e19cd27b7aa6	CRAC_WITHOUT_FAN
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	31380c63-8b4b-4ae0-b21f-2ff892b64c38	CRAC_FAN
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	64c4c061-f63f-4ab6-bade-177f97deb859	CHILLER
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	fe7b437e-e1f6-42e7-9251-007b576d50ba	AIR_COOLED_CHILLER
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	b7737617-542a-4a4f-926d-1c5ba1af1cf4	COOLING_TOWER
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	41d5b0a4-fd47-47f5-89ee-0475fbf9a949	DRY_COOLER
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	0e7fb3d0-e642-4682-b694-a3106567a324	REMOTE_CONDENSER
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	fd040f84-6252-413a-8187-3bc4c2bd8d6d	CHILLED_WATER_PUMPS
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	2c2f7a72-5ad8-4e0b-82ea-7d8db114b4bd	HEAT_REJECTION_PUMPS
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	70bb9ae1-c72a-414e-b615-091ab1cb3260	VENTILATION
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	921ad0ce-3e16-4474-985a-a53e6dac450f	INFILTRATION
9161e778-ddc0-439f-bf7f-adc1dd9b69f6	928bb9b4-bc42-4f19-91d1-d333e8fd7112	IT_LOAD
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	d2c5f0b1-50ea-4221-8800-dfac829105e3	SWITCHGEAR
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	5cdf6e19-4e55-40fa-a458-a0f09ad01212	GENERATOR
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	aafcdeda-ae93-41fc-9ff3-4c5e53de008c	PRIMARY_AUXILIARIES
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	bbb8cdd5-75bc-401e-88e8-479aa9735a3d	UPS
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	d0b433fd-f2f6-4b7a-9e18-0142fcefd4ea	CRITICAL_AUXILIARIES
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	73141fec-b205-4396-a44c-d01b44a4b538	LIGHTING
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	6a818bad-a919-46f3-bea4-72c4ae57fb6e	CRITICAL_POWER_DISTRIBUTION
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	624c2b4c-9096-4ec1-a0fc-a6c654976213	CRAH
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	aaa43984-e7cd-4470-a5a8-39280d56dc74	CRAC
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	bd3c9e25-b13d-405c-9c74-853abbcc7cc3	CRAC_WITHOUT_FAN
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	3e9d6103-d21e-4851-85cb-52edf7e33e21	CRAC_FAN
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	edafe7ae-ba9f-439f-a41e-141fe7c72430	CHILLER
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	db924040-3291-4003-8887-a19653e62bd5	AIR_COOLED_CHILLER
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	31b05962-4ce6-4c11-bc16-a7c67742ead7	COOLING_TOWER
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	6d0977c8-c5fa-4940-b595-036237ae60b8	DRY_COOLER
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	6c90a485-4c8b-47ab-8ecd-b4856f0c29fc	REMOTE_CONDENSER
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	4b344567-3c94-4e49-93db-a4f47ca8d052	CHILLED_WATER_PUMPS
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	b805ada5-0829-4e65-891f-5cd4718917cd	HEAT_REJECTION_PUMPS
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	55d77085-aa79-4acc-8a3f-7a1ecfad4219	VENTILATION
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	9aa6dfe4-dc65-432b-b719-0a9de2c79c7d	INFILTRATION
3d9cdd0a-f35b-4ac2-b118-bcfe93e752d4	4b80f16a-f7fa-44b7-ab79-0de018410a13	IT_LOAD
1c1546f7-9896-4aa2-bc84-1a3ef057e287	3c09b5c6-f861-4f8e-a7fc-56daac664fa3	SWITCHGEAR
1c1546f7-9896-4aa2-bc84-1a3ef057e287	eaa16b71-0520-4d65-9786-6ed0b154e8c0	GENERATOR
1c1546f7-9896-4aa2-bc84-1a3ef057e287	4b2df1d3-728b-420f-868e-6a29a0689667	PRIMARY_AUXILIARIES
1c1546f7-9896-4aa2-bc84-1a3ef057e287	945b96da-57ba-4a19-8d25-51a16986e9ed	UPS
1c1546f7-9896-4aa2-bc84-1a3ef057e287	ae946e96-e325-4de6-8f5a-bc54e841ad56	CRITICAL_AUXILIARIES
1c1546f7-9896-4aa2-bc84-1a3ef057e287	8216a01e-0e82-45a9-aa13-9669af7daffd	LIGHTING
1c1546f7-9896-4aa2-bc84-1a3ef057e287	c67b6836-2c72-4eed-a2e6-b79fdefe3ea4	CRITICAL_POWER_DISTRIBUTION
1c1546f7-9896-4aa2-bc84-1a3ef057e287	9dfb7aa9-7f0d-4847-b6fd-c70f58775fe1	CRAH
1c1546f7-9896-4aa2-bc84-1a3ef057e287	7e6e4f3b-57a7-49e4-ad7b-979c5082864d	CRAC
1c1546f7-9896-4aa2-bc84-1a3ef057e287	f668fa18-4a27-43f8-be9e-f11eef3005bd	CRAC_WITHOUT_FAN
1c1546f7-9896-4aa2-bc84-1a3ef057e287	1c2afa03-609e-4af4-b758-62224ca9781a	CRAC_FAN
1c1546f7-9896-4aa2-bc84-1a3ef057e287	0978a1b3-2bea-4fca-91ef-949691d82af4	CHILLER
1c1546f7-9896-4aa2-bc84-1a3ef057e287	88bb6cb2-83c9-4d33-a8d9-3df16ecd6550	AIR_COOLED_CHILLER
1c1546f7-9896-4aa2-bc84-1a3ef057e287	b30d7dbd-77ba-43c0-92bd-3ddea3633224	COOLING_TOWER
1c1546f7-9896-4aa2-bc84-1a3ef057e287	92c2c9bf-f190-4b71-832e-27b83c2b6cf3	DRY_COOLER
1c1546f7-9896-4aa2-bc84-1a3ef057e287	3bb743f7-e2c5-430e-bd8f-1a86314ece98	REMOTE_CONDENSER
1c1546f7-9896-4aa2-bc84-1a3ef057e287	4997bbc5-0b6d-4628-9b86-b7ad96c5bf47	CHILLED_WATER_PUMPS
1c1546f7-9896-4aa2-bc84-1a3ef057e287	cfe055de-c34b-45a7-af58-0d9dfb86a50d	HEAT_REJECTION_PUMPS
1c1546f7-9896-4aa2-bc84-1a3ef057e287	9dbb7d9d-64cf-4960-8f7b-ad8e68de87d4	VENTILATION
1c1546f7-9896-4aa2-bc84-1a3ef057e287	232bd9d2-20e9-4801-97e6-8a752504441a	INFILTRATION
1c1546f7-9896-4aa2-bc84-1a3ef057e287	619d7b1a-9522-494b-b7f0-847e8159c2b5	IT_LOAD
bd54d018-a477-4df2-8f19-82914fbf224b	443f1928-c7c7-432e-b96b-cf2c0b1ca60a	SWITCHGEAR
bd54d018-a477-4df2-8f19-82914fbf224b	c3d01e81-1518-4fc8-8230-7355755755ff	GENERATOR
bd54d018-a477-4df2-8f19-82914fbf224b	4166e2c8-454c-4ccb-aec0-bb4a835d0e89	PRIMARY_AUXILIARIES
bd54d018-a477-4df2-8f19-82914fbf224b	a174b36c-ad1a-47bb-8d1d-157cc0dd763a	UPS
bd54d018-a477-4df2-8f19-82914fbf224b	d014e6e2-417a-4b81-8f15-0b11f24a4f0a	CRITICAL_AUXILIARIES
bd54d018-a477-4df2-8f19-82914fbf224b	a9c6afc8-baa4-4155-a8ee-ff5f4df45645	LIGHTING
bd54d018-a477-4df2-8f19-82914fbf224b	3d71318c-7114-4e15-b926-ddc38aa6dc73	CRITICAL_POWER_DISTRIBUTION
bd54d018-a477-4df2-8f19-82914fbf224b	98d49195-bbc8-4fec-94e8-64039c4d727a	CRAH
bd54d018-a477-4df2-8f19-82914fbf224b	55ca6c12-e929-4bed-9335-6967b33ad031	CRAC
bd54d018-a477-4df2-8f19-82914fbf224b	70909e46-2a86-43fb-9b61-c5c81ad13dec	CRAC_WITHOUT_FAN
bd54d018-a477-4df2-8f19-82914fbf224b	8d1f8fc5-95f0-4e37-879f-0af9b179d73a	CRAC_FAN
bd54d018-a477-4df2-8f19-82914fbf224b	758f7ab2-0c8f-45ec-b4a0-c03961db7611	CHILLER
bd54d018-a477-4df2-8f19-82914fbf224b	4ef255ff-8648-467a-9d9c-78ae089c3187	AIR_COOLED_CHILLER
bd54d018-a477-4df2-8f19-82914fbf224b	0e08e66e-f787-48af-8513-1d5eda677d86	COOLING_TOWER
bd54d018-a477-4df2-8f19-82914fbf224b	dfdf744d-6a41-4580-974c-02cbbcfbbe31	DRY_COOLER
bd54d018-a477-4df2-8f19-82914fbf224b	4cab88ae-be44-4bfa-b2ac-8eeea8a13354	REMOTE_CONDENSER
bd54d018-a477-4df2-8f19-82914fbf224b	3ea07d4b-fe78-42d2-995d-d75d33dcd3c2	CHILLED_WATER_PUMPS
bd54d018-a477-4df2-8f19-82914fbf224b	824471ec-2a25-4977-9f52-642fa04e28ef	HEAT_REJECTION_PUMPS
bd54d018-a477-4df2-8f19-82914fbf224b	1a1b8280-1fec-4f21-98d8-73bdf1bb8502	VENTILATION
bd54d018-a477-4df2-8f19-82914fbf224b	88c925c4-91f4-47fe-a422-b90936d488de	INFILTRATION
bd54d018-a477-4df2-8f19-82914fbf224b	d4092492-23d0-44ab-be5e-2c264e20c149	IT_LOAD
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	2481667f-313f-493e-8fbf-811a00547fad	SWITCHGEAR
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	f3d3b419-4c54-495c-9319-b596a2d74872	GENERATOR
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	56c97b4c-2124-4bbb-a7f2-bc937763c700	PRIMARY_AUXILIARIES
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	facabdd4-a5b3-466b-aaae-40cee9dd3cdd	UPS
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	934ccd93-f014-4f32-9f3a-336cad40c804	CRITICAL_AUXILIARIES
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	60acac37-654d-4f5c-9105-794afc7b4ba4	LIGHTING
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	cd9fb2a6-6046-4902-8b5c-1eb375d6d7a0	CRITICAL_POWER_DISTRIBUTION
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	94e2ab70-ac42-4225-ae52-80c17cb2756f	CRAH
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	f2dcf158-a391-4240-bc38-013e5a26a72c	CRAC
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	8abefda5-70c2-4a0b-a080-5520e9f9adf2	CRAC_WITHOUT_FAN
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	9e1846fa-6583-439e-ae17-1e364f7e8d1b	CRAC_FAN
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	9e54da33-65eb-4992-b7f7-a870985117e6	CHILLER
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	a46d56f8-4e99-4453-b11e-afe55ecedde9	AIR_COOLED_CHILLER
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	a084d51b-c587-4446-9200-1e15329ba33c	COOLING_TOWER
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	81928d16-856d-4a74-a644-b4691fc529a5	DRY_COOLER
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	f2cb675f-12d5-4142-86ce-d38a4519f539	REMOTE_CONDENSER
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	6c59db6e-8d5a-458c-a2c0-47ee0375b5d2	CHILLED_WATER_PUMPS
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	06833180-d9d8-4de6-9c55-2186558486c0	HEAT_REJECTION_PUMPS
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	1a7cee37-bbe2-4f45-b7cb-caaa1e92292b	VENTILATION
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	f163474f-6021-4d62-b44d-cda3cf536609	INFILTRATION
a8a91715-cbd2-4dc1-a8cd-81f8e35f3fd2	fdf9aac3-a6c0-4fef-840e-4c7436a1ad73	IT_LOAD
635eaaf4-5e64-4717-aa46-879b26ead678	a129d011-e593-4217-a4b4-3922a6a8f472	SWITCHGEAR
635eaaf4-5e64-4717-aa46-879b26ead678	71390123-6d34-4337-a699-e1ac929fafae	GENERATOR
635eaaf4-5e64-4717-aa46-879b26ead678	ac10be15-53b1-4ca6-a925-0bc18f555724	PRIMARY_AUXILIARIES
635eaaf4-5e64-4717-aa46-879b26ead678	65a0b089-f579-49b6-9ef5-bab6ce884c68	UPS
635eaaf4-5e64-4717-aa46-879b26ead678	99172c2f-981e-4aba-933d-53adb31b3c71	CRITICAL_AUXILIARIES
635eaaf4-5e64-4717-aa46-879b26ead678	b0c69f54-cf8b-4f98-b4f5-9faac854b173	LIGHTING
635eaaf4-5e64-4717-aa46-879b26ead678	16718dac-68e8-4df8-8a25-3d32a9fdaac9	CRITICAL_POWER_DISTRIBUTION
635eaaf4-5e64-4717-aa46-879b26ead678	b5756fa1-03e2-4a83-842a-fe2f5c883c94	CRAH
635eaaf4-5e64-4717-aa46-879b26ead678	29c69ec6-f3a0-4e45-a6e6-14c99fe9446f	CRAC
635eaaf4-5e64-4717-aa46-879b26ead678	58ea21a1-1f5b-4473-80e4-7378d9bfd30f	CRAC_WITHOUT_FAN
635eaaf4-5e64-4717-aa46-879b26ead678	fa51d6c7-b24f-452d-909f-495929eabefa	CRAC_FAN
635eaaf4-5e64-4717-aa46-879b26ead678	f3a22c23-d069-4e2d-8ce8-9417cb25289f	CHILLER
635eaaf4-5e64-4717-aa46-879b26ead678	b7710860-b35e-4c4f-adb9-ce8bd66aab1b	AIR_COOLED_CHILLER
635eaaf4-5e64-4717-aa46-879b26ead678	ea94d8e3-f8a0-407a-8d1b-6bb9f8042c13	COOLING_TOWER
635eaaf4-5e64-4717-aa46-879b26ead678	4bde3398-6114-45ff-84ef-1097966049d9	DRY_COOLER
635eaaf4-5e64-4717-aa46-879b26ead678	969265ff-a23d-48d5-a4ea-8e301132ddac	REMOTE_CONDENSER
635eaaf4-5e64-4717-aa46-879b26ead678	33f284b0-d29c-46ce-8d78-0fa27d72d346	CHILLED_WATER_PUMPS
635eaaf4-5e64-4717-aa46-879b26ead678	fe2d0ab5-4897-47c1-bdb0-ff533172e284	HEAT_REJECTION_PUMPS
635eaaf4-5e64-4717-aa46-879b26ead678	451c5f69-2b73-4a17-8134-cfaa6e3fdab1	VENTILATION
635eaaf4-5e64-4717-aa46-879b26ead678	5b92fac8-e91e-4513-9abf-0a4665e07405	INFILTRATION
635eaaf4-5e64-4717-aa46-879b26ead678	b77eb699-328e-4d7b-abfe-5cf4fc39c4fe	IT_LOAD
e3d14165-8bd5-4919-ada1-a5fb24131dee	959fb952-864b-4732-a445-a10acf0b1c2d	SWITCHGEAR
e3d14165-8bd5-4919-ada1-a5fb24131dee	1783b0fd-c0df-4748-a180-6dfb4f2d7b55	GENERATOR
e3d14165-8bd5-4919-ada1-a5fb24131dee	9270e44c-abd5-49c4-acfe-d9959a12d4a5	PRIMARY_AUXILIARIES
e3d14165-8bd5-4919-ada1-a5fb24131dee	4d870a52-d7d8-4126-a63c-4fed30bd8604	UPS
e3d14165-8bd5-4919-ada1-a5fb24131dee	361d44a5-8f49-48ae-a7aa-e8831a1234d7	CRITICAL_AUXILIARIES
e3d14165-8bd5-4919-ada1-a5fb24131dee	c54773e6-dbea-485a-a19f-a907bc1f9d23	LIGHTING
e3d14165-8bd5-4919-ada1-a5fb24131dee	0839aba6-ecf6-41e4-94df-e9c937c88e17	CRITICAL_POWER_DISTRIBUTION
e3d14165-8bd5-4919-ada1-a5fb24131dee	889a07ce-e025-401c-b7e5-e81f3cea70bf	CRAH
e3d14165-8bd5-4919-ada1-a5fb24131dee	079583ec-44fe-4de1-8ccf-1bb4bd0d3d53	CRAC
e3d14165-8bd5-4919-ada1-a5fb24131dee	c2b18c0d-7e37-450e-8068-f45176ae1ddf	CRAC_WITHOUT_FAN
e3d14165-8bd5-4919-ada1-a5fb24131dee	d736a99b-d305-4d37-bbf3-6e8c66e983b7	CRAC_FAN
e3d14165-8bd5-4919-ada1-a5fb24131dee	aba47129-02b2-48d0-8a97-cf3716e9ed37	CHILLER
e3d14165-8bd5-4919-ada1-a5fb24131dee	3bcf9175-aba5-48ab-ab6b-2c1fb4840114	AIR_COOLED_CHILLER
e3d14165-8bd5-4919-ada1-a5fb24131dee	29e7d6d0-a6ab-4a81-ad6d-ae2f97ac6885	COOLING_TOWER
e3d14165-8bd5-4919-ada1-a5fb24131dee	f8737cf6-971e-4fb3-bf7c-a671ae265c36	DRY_COOLER
e3d14165-8bd5-4919-ada1-a5fb24131dee	3e764fd6-0c51-4fab-8a69-1a1f0dc7d591	REMOTE_CONDENSER
e3d14165-8bd5-4919-ada1-a5fb24131dee	212782c7-5396-4518-b7cb-df9f0f6426ac	CHILLED_WATER_PUMPS
e3d14165-8bd5-4919-ada1-a5fb24131dee	ea31c7be-ccaa-4296-9be7-3e3a0e55bada	HEAT_REJECTION_PUMPS
e3d14165-8bd5-4919-ada1-a5fb24131dee	506b8a78-f838-422f-9be1-f1fed60c43a4	VENTILATION
e3d14165-8bd5-4919-ada1-a5fb24131dee	9ba28b10-39ff-48ae-b43d-589b24a8d54f	INFILTRATION
e3d14165-8bd5-4919-ada1-a5fb24131dee	98624b29-a36c-4c88-a887-13ea2e9da809	IT_LOAD
682bbb7d-f1c5-4bbc-af17-f0640d7495be	10fc4588-734b-4b6f-9579-fcdb2d51c263	SWITCHGEAR
682bbb7d-f1c5-4bbc-af17-f0640d7495be	d641bd98-c787-4fd4-993a-73882e476099	GENERATOR
682bbb7d-f1c5-4bbc-af17-f0640d7495be	51461dc9-4510-484c-a47f-553b1629ae0d	PRIMARY_AUXILIARIES
682bbb7d-f1c5-4bbc-af17-f0640d7495be	63184861-1f53-4cdb-bf11-759f905ce826	UPS
682bbb7d-f1c5-4bbc-af17-f0640d7495be	02bc6b5e-aa11-4f0a-98fc-8028fecc0043	CRITICAL_AUXILIARIES
682bbb7d-f1c5-4bbc-af17-f0640d7495be	f904ca75-4701-4d37-b247-9488a6ede773	LIGHTING
682bbb7d-f1c5-4bbc-af17-f0640d7495be	36ad8864-d16a-4c7c-8e7a-5cbf86bea0ea	CRITICAL_POWER_DISTRIBUTION
682bbb7d-f1c5-4bbc-af17-f0640d7495be	f705641e-1918-489d-b6b7-19b5e518b2d5	CRAH
682bbb7d-f1c5-4bbc-af17-f0640d7495be	d40a7eec-379c-4fc4-9217-9f85d81dcb55	CRAC
682bbb7d-f1c5-4bbc-af17-f0640d7495be	727bc08c-f95f-4c67-8075-9b4841359c2c	CRAC_WITHOUT_FAN
682bbb7d-f1c5-4bbc-af17-f0640d7495be	65487e85-3a2a-4271-b6df-1bed6816a47a	CRAC_FAN
682bbb7d-f1c5-4bbc-af17-f0640d7495be	9e0590c6-0f8d-4ded-8f1a-50233355df4e	CHILLER
682bbb7d-f1c5-4bbc-af17-f0640d7495be	96d2aa78-31da-43ed-ad9e-e7bf3f8b954a	AIR_COOLED_CHILLER
682bbb7d-f1c5-4bbc-af17-f0640d7495be	1eaa4729-3e0e-429e-a505-033931cf0161	COOLING_TOWER
682bbb7d-f1c5-4bbc-af17-f0640d7495be	0c5ede43-b35f-472c-84f8-29c3aa0bdcb5	DRY_COOLER
682bbb7d-f1c5-4bbc-af17-f0640d7495be	f4a90b81-64c2-403d-8b75-8216483f92dc	REMOTE_CONDENSER
682bbb7d-f1c5-4bbc-af17-f0640d7495be	c0832f2f-ce5e-43d9-8056-22243f108cf3	CHILLED_WATER_PUMPS
682bbb7d-f1c5-4bbc-af17-f0640d7495be	a522be8c-63df-4197-86e1-16788384253e	HEAT_REJECTION_PUMPS
682bbb7d-f1c5-4bbc-af17-f0640d7495be	9977e027-241f-41be-80b6-b7483aded87d	VENTILATION
682bbb7d-f1c5-4bbc-af17-f0640d7495be	7fcee68e-ce4d-40a1-9e50-f20be0bd372d	INFILTRATION
682bbb7d-f1c5-4bbc-af17-f0640d7495be	e8ded949-beed-4ebd-bc3b-c62c90dc458f	IT_LOAD
a958b482-b0fb-4f49-b736-210f2cd91694	60cb9d19-5d5b-4b33-9f00-d68a11613490	SWITCHGEAR
a958b482-b0fb-4f49-b736-210f2cd91694	ee8b2eee-edcc-4495-816b-abf4989c4ee8	GENERATOR
a958b482-b0fb-4f49-b736-210f2cd91694	1d5ab017-0482-465e-b15d-22bf86e2f8fa	PRIMARY_AUXILIARIES
a958b482-b0fb-4f49-b736-210f2cd91694	1d873f78-b210-42f4-b5f5-8063f22ae721	UPS
a958b482-b0fb-4f49-b736-210f2cd91694	4bde9cbe-c223-4067-960a-de65c6b36bae	CRITICAL_AUXILIARIES
a958b482-b0fb-4f49-b736-210f2cd91694	944503f8-a208-4c6d-a7f1-5feafd6f5849	LIGHTING
a958b482-b0fb-4f49-b736-210f2cd91694	d9d2a67a-e408-47d7-b807-e52f3220a4f1	CRITICAL_POWER_DISTRIBUTION
a958b482-b0fb-4f49-b736-210f2cd91694	d94747a2-4db3-49c9-8ed5-74c33706934f	CRAH
a958b482-b0fb-4f49-b736-210f2cd91694	63a66177-0d00-448f-af56-ed0877ba0a7a	CRAC
a958b482-b0fb-4f49-b736-210f2cd91694	1afdd57b-271c-41b2-a09a-49201bc19f46	CRAC_WITHOUT_FAN
a958b482-b0fb-4f49-b736-210f2cd91694	f6432d2d-8adb-4502-8fdb-49f5f1e6f28e	CRAC_FAN
a958b482-b0fb-4f49-b736-210f2cd91694	1a08ce52-1003-4923-9f9d-bcab974533df	CHILLER
a958b482-b0fb-4f49-b736-210f2cd91694	b6692ce6-dc84-4923-8018-5b4ca0eb96dd	AIR_COOLED_CHILLER
a958b482-b0fb-4f49-b736-210f2cd91694	a0b57591-15bf-4f72-b1ac-b9893cd73549	COOLING_TOWER
a958b482-b0fb-4f49-b736-210f2cd91694	0ab89912-0f2f-4c6e-8a3d-fc42ed2e246f	DRY_COOLER
a958b482-b0fb-4f49-b736-210f2cd91694	e0cec29a-102b-4e6f-95e4-6b0b0af4f606	REMOTE_CONDENSER
a958b482-b0fb-4f49-b736-210f2cd91694	32f6a4ac-c8a2-41af-b574-abcba3913254	CHILLED_WATER_PUMPS
a958b482-b0fb-4f49-b736-210f2cd91694	74999b95-7680-4002-aaa8-4453a1c83501	HEAT_REJECTION_PUMPS
a958b482-b0fb-4f49-b736-210f2cd91694	ec211ed0-aa8a-4a7c-b731-fa5a014ec586	VENTILATION
a958b482-b0fb-4f49-b736-210f2cd91694	eaa82220-6700-43ca-be9a-e75e78a49359	INFILTRATION
a958b482-b0fb-4f49-b736-210f2cd91694	38985b6e-29e9-4eaf-bf23-2b7650530759	IT_LOAD
b867e4c1-d645-4766-bb05-8c80bcb945fe	1675383f-c9b2-4726-ae43-ed84a8400a17	SWITCHGEAR
b867e4c1-d645-4766-bb05-8c80bcb945fe	6fd73729-6d17-4d75-a7a5-05235d09b4f8	GENERATOR
b867e4c1-d645-4766-bb05-8c80bcb945fe	44a9a41a-82d6-4704-ab29-ce2c83bc87a4	PRIMARY_AUXILIARIES
b867e4c1-d645-4766-bb05-8c80bcb945fe	139e75ec-0edf-4f08-ab62-2d10218da4fd	UPS
b867e4c1-d645-4766-bb05-8c80bcb945fe	0f0c6a88-adbd-49c2-a41e-9552f1e51583	CRITICAL_AUXILIARIES
b867e4c1-d645-4766-bb05-8c80bcb945fe	be8fc7a5-5ea0-46b2-a1bf-78154f5be6bd	LIGHTING
b867e4c1-d645-4766-bb05-8c80bcb945fe	4caaa410-e026-43d8-b038-060e10e1f674	CRITICAL_POWER_DISTRIBUTION
b867e4c1-d645-4766-bb05-8c80bcb945fe	68265edd-94b5-4863-a0fe-fdb47ed77d65	CRAH
b867e4c1-d645-4766-bb05-8c80bcb945fe	e4baf079-f507-4f96-998e-0d74b3534155	CRAC
b867e4c1-d645-4766-bb05-8c80bcb945fe	55533af0-4688-461f-8ab7-2f7b52e43e76	CRAC_WITHOUT_FAN
b867e4c1-d645-4766-bb05-8c80bcb945fe	5f066b85-c090-4711-9f7b-bede251a8b53	CRAC_FAN
b867e4c1-d645-4766-bb05-8c80bcb945fe	77c72340-2e1e-45a5-bf93-38612a3e386f	CHILLER
b867e4c1-d645-4766-bb05-8c80bcb945fe	77541c34-1137-4096-ab19-c8634842e0dd	AIR_COOLED_CHILLER
b867e4c1-d645-4766-bb05-8c80bcb945fe	1b7dfdb3-ccf9-41b9-b7d8-3c5fb6c5e6c0	COOLING_TOWER
b867e4c1-d645-4766-bb05-8c80bcb945fe	8b675574-f23a-40c7-bcf3-85ab15896b71	DRY_COOLER
b867e4c1-d645-4766-bb05-8c80bcb945fe	bfb1ade4-eb8f-49e4-9515-654f83f8b97d	REMOTE_CONDENSER
b867e4c1-d645-4766-bb05-8c80bcb945fe	f0616eb2-d8d0-405a-b891-76018abd2423	CHILLED_WATER_PUMPS
b867e4c1-d645-4766-bb05-8c80bcb945fe	5d63f193-bb45-413a-8f33-8d9a750b9234	HEAT_REJECTION_PUMPS
b867e4c1-d645-4766-bb05-8c80bcb945fe	beb1ffc4-9893-411e-8cfb-5e8a62fce6cb	VENTILATION
b867e4c1-d645-4766-bb05-8c80bcb945fe	d38bf92f-3bfd-44ed-884d-c68185c420f5	INFILTRATION
b867e4c1-d645-4766-bb05-8c80bcb945fe	b0bac6e6-714f-4173-8221-63cd75868ebd	IT_LOAD
86a7a003-6838-4f6d-9f1e-b28dd920812c	680d8530-9dd4-4def-ac80-afd2b835a263	SWITCHGEAR
86a7a003-6838-4f6d-9f1e-b28dd920812c	1844120c-9b8a-4023-afbc-7fd9bde11aab	GENERATOR
86a7a003-6838-4f6d-9f1e-b28dd920812c	b89216c9-fa05-4d1d-9ab9-61d13feff1f0	PRIMARY_AUXILIARIES
86a7a003-6838-4f6d-9f1e-b28dd920812c	ab8a200c-dcf5-407a-bc4d-23798e1bbbe2	UPS
86a7a003-6838-4f6d-9f1e-b28dd920812c	fc8e431c-ab2f-4342-bce3-e2966ab22bf0	CRITICAL_AUXILIARIES
86a7a003-6838-4f6d-9f1e-b28dd920812c	abc7de13-7375-460f-a1e3-ea24a7658473	LIGHTING
86a7a003-6838-4f6d-9f1e-b28dd920812c	396bfad2-ef31-4b0d-9e32-1ce573c8a69c	CRITICAL_POWER_DISTRIBUTION
86a7a003-6838-4f6d-9f1e-b28dd920812c	3ba13c90-d657-4512-b9b6-b115aebd6fc6	CRAH
86a7a003-6838-4f6d-9f1e-b28dd920812c	50f9ced9-da67-464e-b302-63377d8e098d	CRAC
86a7a003-6838-4f6d-9f1e-b28dd920812c	b099f73a-9019-4650-9e35-716c067135d4	CRAC_WITHOUT_FAN
86a7a003-6838-4f6d-9f1e-b28dd920812c	d3116048-b2ae-4f5d-bc07-222b74ce2685	CRAC_FAN
86a7a003-6838-4f6d-9f1e-b28dd920812c	f056ae7a-e6ee-4fda-b485-e686d908142e	CHILLER
86a7a003-6838-4f6d-9f1e-b28dd920812c	eafe80b9-4771-45b3-9fec-35a7d0b83661	AIR_COOLED_CHILLER
86a7a003-6838-4f6d-9f1e-b28dd920812c	300011d9-168e-4717-9923-2b988ff44ea4	COOLING_TOWER
86a7a003-6838-4f6d-9f1e-b28dd920812c	a45dd309-1824-43d0-a82e-224dd1d07a52	DRY_COOLER
86a7a003-6838-4f6d-9f1e-b28dd920812c	db88af4c-d584-40f9-bb1c-bdc94c84a6e2	REMOTE_CONDENSER
86a7a003-6838-4f6d-9f1e-b28dd920812c	7aa4d7c3-3585-478e-bfb8-b6de9462b754	CHILLED_WATER_PUMPS
86a7a003-6838-4f6d-9f1e-b28dd920812c	b36b8aed-a3ed-4c4f-a733-d79ba0efa453	HEAT_REJECTION_PUMPS
86a7a003-6838-4f6d-9f1e-b28dd920812c	6eb1bc76-7aa5-4712-9e62-3368d8b3ee5d	VENTILATION
86a7a003-6838-4f6d-9f1e-b28dd920812c	47b90c6b-6584-4363-94aa-1095199e4be9	INFILTRATION
86a7a003-6838-4f6d-9f1e-b28dd920812c	2f9ea3cb-9e9b-44b9-b856-5c0b80abbb7e	IT_LOAD
67173c0f-8e45-4015-b26f-80dfcd70f94f	17b6dbbf-9f98-4c43-b743-1a9770f08063	SWITCHGEAR
67173c0f-8e45-4015-b26f-80dfcd70f94f	e9a2d0d4-0d18-46af-8fba-531cb4199249	GENERATOR
67173c0f-8e45-4015-b26f-80dfcd70f94f	579871f4-731d-473a-8634-107583d4319f	PRIMARY_AUXILIARIES
67173c0f-8e45-4015-b26f-80dfcd70f94f	7d131dbe-fe88-463a-bb90-1b0e1a1ec621	UPS
67173c0f-8e45-4015-b26f-80dfcd70f94f	e5976bd8-f66a-4f44-8d32-51240895c471	CRITICAL_AUXILIARIES
67173c0f-8e45-4015-b26f-80dfcd70f94f	a4ee96d1-3154-476b-94d3-52548a125deb	LIGHTING
67173c0f-8e45-4015-b26f-80dfcd70f94f	a7969265-4470-405b-a3a0-29c5f16ead3d	CRITICAL_POWER_DISTRIBUTION
67173c0f-8e45-4015-b26f-80dfcd70f94f	7a725513-b2e3-4e15-aa57-4d8e0b80ae71	CRAH
67173c0f-8e45-4015-b26f-80dfcd70f94f	c6f257f3-e590-4ab2-a41e-8ab2bad55730	CRAC
67173c0f-8e45-4015-b26f-80dfcd70f94f	f3735546-bfe0-48c6-9cf4-a8da8a6daa04	CRAC_WITHOUT_FAN
67173c0f-8e45-4015-b26f-80dfcd70f94f	b1823904-2792-4775-acfc-50441bbe9b7e	CRAC_FAN
67173c0f-8e45-4015-b26f-80dfcd70f94f	4665ecb4-645f-4e17-843a-ce81d1b39187	CHILLER
67173c0f-8e45-4015-b26f-80dfcd70f94f	f28ee1c3-e740-411d-be8d-a279ad054b73	AIR_COOLED_CHILLER
67173c0f-8e45-4015-b26f-80dfcd70f94f	cc865346-890f-42df-bc81-64268002e0d5	COOLING_TOWER
67173c0f-8e45-4015-b26f-80dfcd70f94f	27e62fbf-bc88-4da6-b43f-c1e4e0e2c221	DRY_COOLER
67173c0f-8e45-4015-b26f-80dfcd70f94f	f0f54964-82c4-45d7-9198-78512012f33b	REMOTE_CONDENSER
67173c0f-8e45-4015-b26f-80dfcd70f94f	4acd283e-0fa4-4109-9aeb-dffe7d3a4f05	CHILLED_WATER_PUMPS
67173c0f-8e45-4015-b26f-80dfcd70f94f	0bd062c8-f3dd-4007-bdfa-21a5fede367e	HEAT_REJECTION_PUMPS
67173c0f-8e45-4015-b26f-80dfcd70f94f	7f6b92ce-5942-4290-b910-7289dfa043df	VENTILATION
67173c0f-8e45-4015-b26f-80dfcd70f94f	91581ada-65b4-4261-affe-afe4c085e2b6	INFILTRATION
67173c0f-8e45-4015-b26f-80dfcd70f94f	ec9896aa-0982-497f-bb06-55ce20a685eb	IT_LOAD
075bfd89-b1e6-408f-bb1e-75946681c8b7	71eb6b39-0d27-46f1-b9b7-730579f833a3	SWITCHGEAR
075bfd89-b1e6-408f-bb1e-75946681c8b7	4a5c513d-370e-4e60-9e9c-7fe138559133	GENERATOR
075bfd89-b1e6-408f-bb1e-75946681c8b7	50064c47-6b4c-4555-81a9-d33a82114a56	PRIMARY_AUXILIARIES
075bfd89-b1e6-408f-bb1e-75946681c8b7	67a9d65b-ffc5-49f5-9dcc-aad529e90ec6	UPS
075bfd89-b1e6-408f-bb1e-75946681c8b7	5b1b8dec-ff62-4bc1-8ec1-6217ab54c7f6	CRITICAL_AUXILIARIES
075bfd89-b1e6-408f-bb1e-75946681c8b7	9f455b9a-ce14-4202-8b15-68891309e610	LIGHTING
075bfd89-b1e6-408f-bb1e-75946681c8b7	26d4d8e0-2a65-4cae-9225-7c5164779d3b	CRITICAL_POWER_DISTRIBUTION
075bfd89-b1e6-408f-bb1e-75946681c8b7	9e2b5c44-84bc-4e20-9074-04c4fb44a7e9	CRAH
075bfd89-b1e6-408f-bb1e-75946681c8b7	58148171-903c-4854-9074-0d9e54e05805	CRAC
075bfd89-b1e6-408f-bb1e-75946681c8b7	39e57a90-cdec-43f5-bc75-daef050d59d3	CRAC_WITHOUT_FAN
075bfd89-b1e6-408f-bb1e-75946681c8b7	44d877a8-fdec-4a1e-b9d4-f2edeadd11dd	CRAC_FAN
075bfd89-b1e6-408f-bb1e-75946681c8b7	8e8a2726-5632-4975-8183-b4dda85fdaa2	CHILLER
075bfd89-b1e6-408f-bb1e-75946681c8b7	6b1252b1-b00d-4e46-815d-cf757bed90fd	AIR_COOLED_CHILLER
075bfd89-b1e6-408f-bb1e-75946681c8b7	3592c611-33e1-4857-b15e-461e3965a385	COOLING_TOWER
075bfd89-b1e6-408f-bb1e-75946681c8b7	8927b0f1-fc08-4a1d-94e2-c5e884d8bc32	DRY_COOLER
075bfd89-b1e6-408f-bb1e-75946681c8b7	beb01c77-b370-4410-95f1-4c32af07f467	REMOTE_CONDENSER
075bfd89-b1e6-408f-bb1e-75946681c8b7	b9486dac-eb4f-4ae3-bfcc-8cba036b79b6	CHILLED_WATER_PUMPS
075bfd89-b1e6-408f-bb1e-75946681c8b7	62213523-3879-4514-911d-4f5808d8d79d	HEAT_REJECTION_PUMPS
075bfd89-b1e6-408f-bb1e-75946681c8b7	f9dcf9e8-f52e-4842-8cba-6b1f2de2a9d6	VENTILATION
075bfd89-b1e6-408f-bb1e-75946681c8b7	37ec8a16-0432-410a-869a-92efd5047baa	INFILTRATION
075bfd89-b1e6-408f-bb1e-75946681c8b7	ae4e1664-dbda-4f9b-b83e-ca5b67c3f7d4	IT_LOAD
31ffd737-9551-4dad-8c61-6dd7f82f247b	15fd63f9-7b57-4dca-9e23-e0510bfdb794	SWITCHGEAR
31ffd737-9551-4dad-8c61-6dd7f82f247b	4fac98f4-c91d-4df8-bf20-b66799b44a4c	GENERATOR
31ffd737-9551-4dad-8c61-6dd7f82f247b	98cd81ee-ce15-42ab-b785-69cf2a54409b	PRIMARY_AUXILIARIES
31ffd737-9551-4dad-8c61-6dd7f82f247b	1371875c-5e1e-4fcf-ab06-3be6d7b4bfe2	UPS
31ffd737-9551-4dad-8c61-6dd7f82f247b	3de86a29-a6e0-426c-a0ff-8e2571dffe36	CRITICAL_AUXILIARIES
31ffd737-9551-4dad-8c61-6dd7f82f247b	2b8e69ca-73ec-4104-9df5-d15c3d9f637d	LIGHTING
31ffd737-9551-4dad-8c61-6dd7f82f247b	19974614-33f7-41c3-9a36-08cfd12b0456	CRITICAL_POWER_DISTRIBUTION
31ffd737-9551-4dad-8c61-6dd7f82f247b	e0387bf3-f559-4797-9db5-56878fe7265c	CRAH
31ffd737-9551-4dad-8c61-6dd7f82f247b	cac90d73-26b4-4224-869e-952527991c35	CRAC
31ffd737-9551-4dad-8c61-6dd7f82f247b	cbbb6a18-d261-45c5-8731-4f3ad2705bbd	CRAC_WITHOUT_FAN
31ffd737-9551-4dad-8c61-6dd7f82f247b	e1c3f24a-74e0-4325-a7d7-c9a540272e77	CRAC_FAN
31ffd737-9551-4dad-8c61-6dd7f82f247b	06026c06-6e6e-400d-89b2-a9ca5aecaefb	CHILLER
31ffd737-9551-4dad-8c61-6dd7f82f247b	91511a21-17d1-4604-9b11-b8308d3a76bc	AIR_COOLED_CHILLER
31ffd737-9551-4dad-8c61-6dd7f82f247b	eab8e76e-5c80-4f69-a16a-86d1b17e4710	COOLING_TOWER
31ffd737-9551-4dad-8c61-6dd7f82f247b	eaa35f9c-ff3d-4a2e-99b4-338a99f6068c	DRY_COOLER
31ffd737-9551-4dad-8c61-6dd7f82f247b	0aa60f19-4d72-4131-8fd3-33c5385d956d	REMOTE_CONDENSER
31ffd737-9551-4dad-8c61-6dd7f82f247b	6f625f94-6eaa-47e9-90dc-8d86c81b7f47	CHILLED_WATER_PUMPS
31ffd737-9551-4dad-8c61-6dd7f82f247b	d74dd5a8-c409-48d2-9bb3-25fa8199774d	HEAT_REJECTION_PUMPS
31ffd737-9551-4dad-8c61-6dd7f82f247b	10f9c5fb-a39e-45b4-9593-3c697691e6ec	VENTILATION
31ffd737-9551-4dad-8c61-6dd7f82f247b	6a2ea445-7f55-40b3-818a-0d40db3c8591	INFILTRATION
31ffd737-9551-4dad-8c61-6dd7f82f247b	31211ae6-6f9f-4cd9-ae00-159c2be71009	IT_LOAD
f7435749-0ba4-4711-8a21-092c1ad268d7	ba742666-58d5-4995-9129-e03cbf63cd49	SWITCHGEAR
f7435749-0ba4-4711-8a21-092c1ad268d7	6a4987ff-7602-4d93-99b7-b5a4b7ea75f1	GENERATOR
f7435749-0ba4-4711-8a21-092c1ad268d7	b0c3f14e-cbc1-4650-920e-77930dae5905	PRIMARY_AUXILIARIES
f7435749-0ba4-4711-8a21-092c1ad268d7	fc033f83-8cf5-428c-b502-72404d4be5be	UPS
f7435749-0ba4-4711-8a21-092c1ad268d7	0dd2bf95-b5ce-4915-a9f3-96602b5ab50b	CRITICAL_AUXILIARIES
f7435749-0ba4-4711-8a21-092c1ad268d7	3eac2be0-abe1-4626-b875-f9a74fdcf661	LIGHTING
f7435749-0ba4-4711-8a21-092c1ad268d7	47209621-92cd-402b-a4ff-7b31f8bf4eae	CRITICAL_POWER_DISTRIBUTION
f7435749-0ba4-4711-8a21-092c1ad268d7	6da8b52a-477d-438f-a907-27aec7c18206	CRAH
f7435749-0ba4-4711-8a21-092c1ad268d7	f1781395-e70e-4a48-98b3-fdd889f538ec	CRAC
f7435749-0ba4-4711-8a21-092c1ad268d7	1492829b-6423-4a28-98db-988440e10490	CRAC_WITHOUT_FAN
f7435749-0ba4-4711-8a21-092c1ad268d7	1893b285-efe6-45c0-8234-1d0f76d431cd	CRAC_FAN
f7435749-0ba4-4711-8a21-092c1ad268d7	ab384bf0-6942-480e-96ee-dbc0aede70c0	CHILLER
f7435749-0ba4-4711-8a21-092c1ad268d7	21681fad-98bb-4412-ac2d-aa6a8e6f89c2	AIR_COOLED_CHILLER
f7435749-0ba4-4711-8a21-092c1ad268d7	b4b0fdcf-eb69-49e0-b48f-d41e17ff458e	COOLING_TOWER
f7435749-0ba4-4711-8a21-092c1ad268d7	ac00412b-1f5c-4efb-b223-5dcd3bb7ce41	DRY_COOLER
f7435749-0ba4-4711-8a21-092c1ad268d7	0828b6cb-cf68-44f7-bf90-d5484ca745c0	REMOTE_CONDENSER
f7435749-0ba4-4711-8a21-092c1ad268d7	e2bb9f5e-9506-4a9d-a671-e9a43630db76	CHILLED_WATER_PUMPS
f7435749-0ba4-4711-8a21-092c1ad268d7	21e195dc-9f3d-4c51-9b58-cc57e997eb36	HEAT_REJECTION_PUMPS
f7435749-0ba4-4711-8a21-092c1ad268d7	f4698bb7-f17c-4d3e-8fc7-576f3965d903	VENTILATION
f7435749-0ba4-4711-8a21-092c1ad268d7	656a0947-dd8b-4085-ae40-c164f6ee7803	INFILTRATION
f7435749-0ba4-4711-8a21-092c1ad268d7	f9eeba38-0313-4e5e-85e3-29834373e4d2	IT_LOAD
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	87a1b71a-2cd8-4cc4-901a-1b032b5d22d4	SWITCHGEAR
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	863fc1ee-e510-41c9-8b64-52b2c63cf509	GENERATOR
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	3dc29ab1-d22f-48cf-8231-eddeb0f3d7da	PRIMARY_AUXILIARIES
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	7b25fb55-d848-41c0-aa81-58f34767be1a	UPS
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	e5502b56-8026-45c4-a6a4-aa5a287e19b8	CRITICAL_AUXILIARIES
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	d46d54c0-b4dc-430e-add7-8d052a3b8568	LIGHTING
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	42d7e9f8-8d91-477a-a7d7-5d3038dedd08	CRITICAL_POWER_DISTRIBUTION
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	61740f5c-ef8c-4bde-8889-3d11e8642d7b	CRAH
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	4baa0407-7ad1-4db4-8269-14718c85213c	CRAC
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	34701533-0a32-4883-a968-7cb2f742cecf	CRAC_WITHOUT_FAN
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	e878cf43-d8c2-4b2c-8fc6-0855ead36580	CRAC_FAN
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	17708a62-280e-4fb4-8361-db6e56722700	CHILLER
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	56498780-a6de-4b33-b19e-7c62954c154f	AIR_COOLED_CHILLER
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	3291f842-a0be-47f5-8131-06cb1d7a8af1	COOLING_TOWER
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	182c1478-d02d-4612-8870-618c381e2dea	DRY_COOLER
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	a27418ea-ac52-48b3-9dd9-3a61cd032e93	REMOTE_CONDENSER
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	40bb35bf-8167-4596-ac02-fc1779db47a5	CHILLED_WATER_PUMPS
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	7d6a4d90-ae7c-4f84-ae8d-af9669da604b	HEAT_REJECTION_PUMPS
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	a321bcff-8b87-4977-aedf-f8e7e24a73a7	VENTILATION
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	1c2ddf0a-b5aa-4753-881b-d900fffc3360	INFILTRATION
63c57b38-f9fd-49e5-96c1-7b5a167ee53f	ee001f69-65ae-4d84-a8c9-0e9880c357ba	IT_LOAD
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	92d9b5fa-7c48-4aad-854d-90bec5913e43	SWITCHGEAR
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	56bf2b0b-d4d9-437c-8903-131f79b2f016	GENERATOR
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	24dd4c26-b9e8-423f-8d49-b1ad114d24dd	PRIMARY_AUXILIARIES
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	4bd16390-fabf-41c6-80e3-d91ecf562540	UPS
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	ace632c9-ac31-44c0-b286-73fc09d180d2	CRITICAL_AUXILIARIES
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	db2a32de-bac4-479f-805b-690935615384	LIGHTING
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	9d1383df-f789-4ebf-b0ac-f603d1547bbd	CRITICAL_POWER_DISTRIBUTION
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	c55fa5b2-1cbe-47ef-afa8-ee573f848bcb	CRAH
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	5bcd1dd6-3eaa-4457-9f33-1ef57b4b45d5	CRAC
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	0147d12f-900b-4bf5-80b3-05cd93db2bb9	CRAC_WITHOUT_FAN
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	a2fd485c-c3a6-499e-8742-0544225f0e41	CRAC_FAN
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	c506fc61-a8d4-4fac-b6fc-ecc9a6eb936c	CHILLER
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	52ae9eee-ddcf-466b-9667-30a0fe7b8a5a	AIR_COOLED_CHILLER
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	4ff12fb4-5f4e-4e05-8fff-fdb618930ec5	COOLING_TOWER
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	cd72b3fe-1167-436f-8857-87c9d452660f	DRY_COOLER
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	399d2b02-c823-4a82-bb98-db1c3c47a929	REMOTE_CONDENSER
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	1a3f5899-7dd5-47b5-910a-cf344acf7b8b	CHILLED_WATER_PUMPS
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	0bb74679-2340-4658-b7ff-1f1444504e35	HEAT_REJECTION_PUMPS
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	c134c2ce-6bdd-4e0a-b8d4-dc3f0cd105eb	VENTILATION
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	6e846495-ad3c-42f4-8c6a-a6816153b8ae	INFILTRATION
3bcb31e7-fa29-4e85-937e-5c5f7ba1fea8	653ea1fc-fbcc-41dd-8530-842b601785a9	IT_LOAD
74b957b8-cdd0-482f-8721-e2fc19a594ec	31fc303e-3525-4b2a-a165-179b91b8b80b	SWITCHGEAR
74b957b8-cdd0-482f-8721-e2fc19a594ec	4b11bb56-eb8e-426d-85d4-718a5c84e8e0	GENERATOR
74b957b8-cdd0-482f-8721-e2fc19a594ec	e10ed038-3d25-4d4b-8ed2-433269a36efb	PRIMARY_AUXILIARIES
74b957b8-cdd0-482f-8721-e2fc19a594ec	70f52c2c-d44a-40e0-ad86-193b4031e70a	UPS
74b957b8-cdd0-482f-8721-e2fc19a594ec	132ceb05-2b00-422a-a467-cc06c0eb990d	CRITICAL_AUXILIARIES
74b957b8-cdd0-482f-8721-e2fc19a594ec	f97efc54-18b3-4a76-8a3f-664f19668904	LIGHTING
74b957b8-cdd0-482f-8721-e2fc19a594ec	96757632-ac10-4f92-95cf-9713858b29fa	CRITICAL_POWER_DISTRIBUTION
74b957b8-cdd0-482f-8721-e2fc19a594ec	4026c45a-696b-464a-9a60-fc41f39c4a6b	CRAH
74b957b8-cdd0-482f-8721-e2fc19a594ec	80fd5293-b72a-4911-9904-3f1093183798	CRAC
74b957b8-cdd0-482f-8721-e2fc19a594ec	8e7874bd-2088-4252-a08b-90d5f2f49e5c	CRAC_WITHOUT_FAN
74b957b8-cdd0-482f-8721-e2fc19a594ec	31aadc80-118c-4271-8c5a-36e1a09862cb	CRAC_FAN
74b957b8-cdd0-482f-8721-e2fc19a594ec	150bc9fc-74fa-4cdc-85b0-fcbfe36e20d2	CHILLER
74b957b8-cdd0-482f-8721-e2fc19a594ec	786962e1-31d0-4725-92e2-6be690da985b	AIR_COOLED_CHILLER
74b957b8-cdd0-482f-8721-e2fc19a594ec	673897f2-21bc-4445-b225-9d4e09786282	COOLING_TOWER
74b957b8-cdd0-482f-8721-e2fc19a594ec	b392b382-e964-4fa3-a408-aabc890d5a5d	DRY_COOLER
74b957b8-cdd0-482f-8721-e2fc19a594ec	4862c1f7-0064-4dc5-afda-d900a7b5d2e6	REMOTE_CONDENSER
74b957b8-cdd0-482f-8721-e2fc19a594ec	70536218-f3dc-4171-bca8-357a8ddd5365	CHILLED_WATER_PUMPS
74b957b8-cdd0-482f-8721-e2fc19a594ec	d2671b48-84cd-4dc6-87ad-da31ca9080a5	HEAT_REJECTION_PUMPS
74b957b8-cdd0-482f-8721-e2fc19a594ec	95942d1e-f92b-4cd7-91f5-297d79877c37	VENTILATION
74b957b8-cdd0-482f-8721-e2fc19a594ec	267a093e-3c0a-4cdc-b669-66ec7c24c0cd	INFILTRATION
74b957b8-cdd0-482f-8721-e2fc19a594ec	0716aaae-cc20-4937-9576-1e0a6192c07b	IT_LOAD
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	cd4ae77e-d526-4b07-9471-df95c84060a0	SWITCHGEAR
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	74f4b202-0263-49b7-8f22-7a73425711cd	GENERATOR
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	2efb016d-6a5c-4e61-b991-d4b0e70818b3	PRIMARY_AUXILIARIES
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	9129d527-d251-4609-a292-f88856adc6db	UPS
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	7d653e91-9d6b-45fd-8449-d985c7561b04	CRITICAL_AUXILIARIES
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	35e6f722-68f5-458a-9b71-ffedfcc26ec4	LIGHTING
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	9593f3d9-d5fc-4ef9-b018-18d0d3ce7685	CRITICAL_POWER_DISTRIBUTION
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	2cf81bdb-e780-4535-b4a5-20f34efa81ec	CRAH
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	5336a0c5-09cf-4083-9ff0-b11c78b705ec	CRAC
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	eb6a245b-b0ab-4f15-a694-79e50261b30a	CRAC_WITHOUT_FAN
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	67cea346-2f27-47eb-b2f4-d6a49aa24da4	CRAC_FAN
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	237e8dce-0c42-4a62-9798-ee4b9f6b0b11	CHILLER
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	62c6361e-0c72-42bb-938b-344e94412034	AIR_COOLED_CHILLER
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	56809ba4-c065-4edd-9128-41bd25e3552e	COOLING_TOWER
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	4f28a1ac-657a-454e-aef5-b22bd55f7ee0	DRY_COOLER
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	fbd76618-ae58-4ae5-b5a5-8ac0f5fd0db5	REMOTE_CONDENSER
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	8440d20c-499a-491b-9d4a-0cfd083cd355	CHILLED_WATER_PUMPS
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	021f0925-996c-4cf4-b1e2-226ed8b4dcb5	HEAT_REJECTION_PUMPS
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	6855d49f-91c3-4346-830b-134fc055e407	VENTILATION
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	01b8e92a-62e9-469a-a169-29c5038415fd	INFILTRATION
d5a54800-3f82-46e4-aa8b-fd543b85a6fb	0013b784-ffea-4463-82cc-bca01dc60d17	IT_LOAD
f58a456b-8d97-4991-bb45-8127acd29072	19ffba14-8119-467f-89b7-620dd348c13e	SWITCHGEAR
f58a456b-8d97-4991-bb45-8127acd29072	ce7042cd-3976-42c7-8b24-134a658b693d	GENERATOR
f58a456b-8d97-4991-bb45-8127acd29072	46016922-4fda-425e-b29b-15275db7b820	PRIMARY_AUXILIARIES
f58a456b-8d97-4991-bb45-8127acd29072	c2b3e90d-00f4-4b6c-947f-31cf9e962213	UPS
f58a456b-8d97-4991-bb45-8127acd29072	5bb0ad08-5888-4b2e-8a0a-1e7ecbd00163	CRITICAL_AUXILIARIES
f58a456b-8d97-4991-bb45-8127acd29072	580c2cdc-9cf2-4192-b453-5102e83f1ce1	LIGHTING
f58a456b-8d97-4991-bb45-8127acd29072	a872cadc-a6cf-4dc6-995f-70fe30c571c0	CRITICAL_POWER_DISTRIBUTION
f58a456b-8d97-4991-bb45-8127acd29072	245934e2-56ad-4850-b88c-4d752b660b93	CRAH
f58a456b-8d97-4991-bb45-8127acd29072	5d81f2ad-d667-4177-9474-32a24946a48a	CRAC
f58a456b-8d97-4991-bb45-8127acd29072	db2629e1-0568-4cac-8ad5-95420f246aec	CRAC_WITHOUT_FAN
f58a456b-8d97-4991-bb45-8127acd29072	8019cc36-17b4-4235-afee-e22eb0bad710	CRAC_FAN
f58a456b-8d97-4991-bb45-8127acd29072	626dd529-8b4e-4aa7-be6c-b675c7536d92	CHILLER
f58a456b-8d97-4991-bb45-8127acd29072	f2c0dd4d-1002-4c8f-8016-cd4a86b62035	AIR_COOLED_CHILLER
f58a456b-8d97-4991-bb45-8127acd29072	093403ef-9e12-43bc-a47f-e4d054aa8f35	COOLING_TOWER
f58a456b-8d97-4991-bb45-8127acd29072	2494bc3d-6c49-472a-b553-d01cdf0cff25	DRY_COOLER
f58a456b-8d97-4991-bb45-8127acd29072	37d594ba-d960-41d1-937b-4baf9518f86f	REMOTE_CONDENSER
f58a456b-8d97-4991-bb45-8127acd29072	247dffde-ee10-4fe6-af23-22edf440fc0a	CHILLED_WATER_PUMPS
f58a456b-8d97-4991-bb45-8127acd29072	0a16715c-2e16-4f7c-9b2d-071daed09a8a	HEAT_REJECTION_PUMPS
f58a456b-8d97-4991-bb45-8127acd29072	9f046fac-6501-4a1d-8511-4495f39fd98c	VENTILATION
f58a456b-8d97-4991-bb45-8127acd29072	0c724000-0261-4606-8f0d-2b7ae8aff4eb	INFILTRATION
f58a456b-8d97-4991-bb45-8127acd29072	39642c54-3b44-4639-bd5d-170d615ad73a	IT_LOAD
4c63a414-88e3-46e1-9d22-1783250fb1aa	8753d776-d704-42d6-a63c-a9c670c3f7bb	SWITCHGEAR
4c63a414-88e3-46e1-9d22-1783250fb1aa	64ddc75a-49d5-4a2c-852c-bb700c0f4ce7	GENERATOR
4c63a414-88e3-46e1-9d22-1783250fb1aa	3cb7880c-215e-4096-bb90-c99e6def7d16	PRIMARY_AUXILIARIES
4c63a414-88e3-46e1-9d22-1783250fb1aa	e298021f-43fe-44eb-adce-0a99d9abde31	UPS
4c63a414-88e3-46e1-9d22-1783250fb1aa	5631fd31-36b0-4ebd-8269-21702385a785	CRITICAL_AUXILIARIES
4c63a414-88e3-46e1-9d22-1783250fb1aa	1bbbf484-c2ee-4e0a-9c1d-25ecebfe5b14	LIGHTING
4c63a414-88e3-46e1-9d22-1783250fb1aa	937dfcfd-938e-487f-9c11-4f209f2be387	CRITICAL_POWER_DISTRIBUTION
4c63a414-88e3-46e1-9d22-1783250fb1aa	343121b9-dd83-402b-9909-06c7ef5c267a	CRAH
4c63a414-88e3-46e1-9d22-1783250fb1aa	73373aa5-2c4b-4c30-b019-5b04e521eeaa	CRAC
4c63a414-88e3-46e1-9d22-1783250fb1aa	d087fb5a-871a-4527-9c39-b53e58d95193	CRAC_WITHOUT_FAN
4c63a414-88e3-46e1-9d22-1783250fb1aa	4835298c-3b73-48cc-9f91-d647a5f09412	CRAC_FAN
4c63a414-88e3-46e1-9d22-1783250fb1aa	09aa9476-9513-4887-a32b-0275f43752ed	CHILLER
4c63a414-88e3-46e1-9d22-1783250fb1aa	af2a86f4-198c-4b65-854e-190dc9f711f9	AIR_COOLED_CHILLER
4c63a414-88e3-46e1-9d22-1783250fb1aa	a1dc7f47-56db-451d-a384-71a375c3f9a4	COOLING_TOWER
4c63a414-88e3-46e1-9d22-1783250fb1aa	2a4d52a6-4826-4ac7-a2b9-61a7817add75	DRY_COOLER
4c63a414-88e3-46e1-9d22-1783250fb1aa	6da089f8-dcf8-47dd-b843-9afbf43409db	REMOTE_CONDENSER
4c63a414-88e3-46e1-9d22-1783250fb1aa	6da1964d-0059-4490-88e1-ab73b51a6dd8	CHILLED_WATER_PUMPS
4c63a414-88e3-46e1-9d22-1783250fb1aa	f6cd6fc6-9d43-47c7-aa37-a0710378114a	HEAT_REJECTION_PUMPS
4c63a414-88e3-46e1-9d22-1783250fb1aa	6feb11ab-0d1d-4bba-be2c-0ac5ffc33eb1	VENTILATION
4c63a414-88e3-46e1-9d22-1783250fb1aa	ee1b7978-a2a7-4fd3-b951-0517c6bfa673	INFILTRATION
4c63a414-88e3-46e1-9d22-1783250fb1aa	524e224d-623f-46c6-b92b-6e118e52bf5c	IT_LOAD
89cfa11e-a347-499f-8aec-ec8dce130931	d8c3270b-26da-4627-ae55-9275f30892cf	SWITCHGEAR
89cfa11e-a347-499f-8aec-ec8dce130931	d43ca68c-221e-483a-9c9a-92f584ec643c	GENERATOR
89cfa11e-a347-499f-8aec-ec8dce130931	5101978a-4839-4656-b730-7e09747deb9e	PRIMARY_AUXILIARIES
89cfa11e-a347-499f-8aec-ec8dce130931	e348029f-18a7-48c8-9d5d-7cb9d3d8032d	UPS
89cfa11e-a347-499f-8aec-ec8dce130931	2ab943ec-9d79-4153-9314-c6b72522faa2	CRITICAL_AUXILIARIES
89cfa11e-a347-499f-8aec-ec8dce130931	7b93bf7d-6067-4248-bdb5-edfc11c2d229	LIGHTING
89cfa11e-a347-499f-8aec-ec8dce130931	dcd13c29-7af2-46b0-a4ba-776390733459	CRITICAL_POWER_DISTRIBUTION
89cfa11e-a347-499f-8aec-ec8dce130931	2ee0c2ed-6863-40f5-92cf-d48ebdfca5bb	CRAH
89cfa11e-a347-499f-8aec-ec8dce130931	b07ea860-9d1b-4233-b696-4671c9cc1551	CRAC
89cfa11e-a347-499f-8aec-ec8dce130931	acb460af-7c57-4c8c-82d9-a899d37cf84a	CRAC_WITHOUT_FAN
89cfa11e-a347-499f-8aec-ec8dce130931	55d0224f-e911-4a8f-8164-12cbe94e5ce6	CRAC_FAN
89cfa11e-a347-499f-8aec-ec8dce130931	45fa464e-855e-4b89-a810-27445852517c	CHILLER
89cfa11e-a347-499f-8aec-ec8dce130931	86c680a8-dd13-4ccb-8e75-43b79f13577b	AIR_COOLED_CHILLER
89cfa11e-a347-499f-8aec-ec8dce130931	5d173c10-c0ed-440a-8572-2a3d44f6abbc	COOLING_TOWER
89cfa11e-a347-499f-8aec-ec8dce130931	ad835bab-4bc7-436b-b160-ad5034f53574	DRY_COOLER
89cfa11e-a347-499f-8aec-ec8dce130931	fd958cf5-cc84-47ac-8ae0-053b9b3b2e71	REMOTE_CONDENSER
89cfa11e-a347-499f-8aec-ec8dce130931	8a1789ff-29fe-40b7-876d-3f3ae130afd3	CHILLED_WATER_PUMPS
89cfa11e-a347-499f-8aec-ec8dce130931	4c5ff146-2db6-4b4a-aaa3-280680873a3a	HEAT_REJECTION_PUMPS
89cfa11e-a347-499f-8aec-ec8dce130931	641a6611-0d69-4688-80ac-edbacd878387	VENTILATION
89cfa11e-a347-499f-8aec-ec8dce130931	c7b3b81d-12bb-4dd1-89d4-2d8829441ef3	INFILTRATION
89cfa11e-a347-499f-8aec-ec8dce130931	fcd0616e-f263-47a8-b155-fdb38a612e2a	IT_LOAD
c8a740a8-7728-4061-aa5e-6f3e84406b19	ef04cec3-2ba6-4137-9cfc-5ac76468eac6	SWITCHGEAR
c8a740a8-7728-4061-aa5e-6f3e84406b19	9be770d1-b53e-4b86-9481-68b779d87f6d	GENERATOR
c8a740a8-7728-4061-aa5e-6f3e84406b19	fbc48470-fb46-4b4f-92d7-9a7407086055	PRIMARY_AUXILIARIES
c8a740a8-7728-4061-aa5e-6f3e84406b19	d7541b09-f02c-4334-a2ed-cdbd4e2fc252	UPS
c8a740a8-7728-4061-aa5e-6f3e84406b19	fbdfc60f-c23b-4f69-a9ad-ea94f65c4708	CRITICAL_AUXILIARIES
c8a740a8-7728-4061-aa5e-6f3e84406b19	42e422d4-0feb-46c9-bc02-0e1df2598b79	LIGHTING
c8a740a8-7728-4061-aa5e-6f3e84406b19	7af3196c-a9c9-418b-a8b5-440a58ebd597	CRITICAL_POWER_DISTRIBUTION
c8a740a8-7728-4061-aa5e-6f3e84406b19	d831e4b3-edab-4ffb-a77e-a9e1777cd4fa	CRAH
c8a740a8-7728-4061-aa5e-6f3e84406b19	58c697ea-fb4f-4101-ad08-5c8e738dda88	CRAC
c8a740a8-7728-4061-aa5e-6f3e84406b19	fbc9b1c4-11bd-478f-9883-b02e339f10a6	CRAC_WITHOUT_FAN
c8a740a8-7728-4061-aa5e-6f3e84406b19	4fa5cb97-f7f7-4423-a929-474b7fbf6618	CRAC_FAN
c8a740a8-7728-4061-aa5e-6f3e84406b19	9b622abc-3efb-4425-b09d-160339df0294	CHILLER
c8a740a8-7728-4061-aa5e-6f3e84406b19	03e2842f-1718-401d-bf18-e82bc7de7ff5	AIR_COOLED_CHILLER
c8a740a8-7728-4061-aa5e-6f3e84406b19	5f417278-485a-4bd6-bda4-f6ed2c5f0ce9	COOLING_TOWER
c8a740a8-7728-4061-aa5e-6f3e84406b19	d17befbf-0524-47bb-ad68-3157251e5625	DRY_COOLER
c8a740a8-7728-4061-aa5e-6f3e84406b19	1956e78e-e963-41c4-9fe8-2a371fefb9dc	REMOTE_CONDENSER
c8a740a8-7728-4061-aa5e-6f3e84406b19	159e76cb-27be-4632-83b7-3c1a4b38cb2a	CHILLED_WATER_PUMPS
c8a740a8-7728-4061-aa5e-6f3e84406b19	63653402-6d53-4f9e-8f5b-d9490610065c	HEAT_REJECTION_PUMPS
c8a740a8-7728-4061-aa5e-6f3e84406b19	bc729e3a-621d-4ee0-8893-839b29996b35	VENTILATION
c8a740a8-7728-4061-aa5e-6f3e84406b19	fe723e65-5fa4-4695-8f33-c442df8e36a7	INFILTRATION
c8a740a8-7728-4061-aa5e-6f3e84406b19	4b33ac3b-1e78-4ebe-a654-c7a75f530e0c	IT_LOAD
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	da159e08-a651-4d94-a1be-6c608b5e470c	SWITCHGEAR
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	5d105e01-42b3-4ede-bc3a-ec4f097a5c5a	GENERATOR
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	a4ef2cea-46c6-4d2f-9957-ba1429eac164	PRIMARY_AUXILIARIES
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	d99894d6-5680-450c-ad99-d6a239e9acc2	UPS
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	140f86dd-816a-488f-929f-04e00b4063e0	CRITICAL_AUXILIARIES
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	9d09f948-396e-4afe-833e-8fe0be930522	LIGHTING
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	1c920b1d-bd15-4725-8834-80d84ecf6024	CRITICAL_POWER_DISTRIBUTION
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	dde6112e-1e89-4932-a704-554e37607464	CRAH
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	73e6cefa-4d51-4bcf-802c-47520aa13c3a	CRAC
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	51f9377c-6580-466a-b3fa-9b5a21ce3f89	CRAC_WITHOUT_FAN
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	90eb77c5-8148-4c6b-a64c-33a0db8b56e7	CRAC_FAN
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	c75b4639-258d-447f-9397-1f60fea94160	CHILLER
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	7faaffcc-d629-4348-af1e-9d82b0312ab0	AIR_COOLED_CHILLER
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	79be038d-02d2-40a2-abcc-62d398ec2919	COOLING_TOWER
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	50c544bf-5f86-4177-94f4-b21078db1599	DRY_COOLER
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	28103305-aa3e-4c8d-b1a9-67e8dce8d240	REMOTE_CONDENSER
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	5e71474f-2e47-4cfe-b8a2-53504767dd66	CHILLED_WATER_PUMPS
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	79744562-3818-46b0-9d4a-344372d0bf70	HEAT_REJECTION_PUMPS
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	6c05aadd-c52e-4abf-84ff-6eefe8db38fb	VENTILATION
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	9fdce8ee-95a2-442b-b15c-e12b1dca9679	INFILTRATION
f6e8bdbc-7d5d-4bba-b129-28a1b7094291	cb4f6100-3078-4381-9c5a-027e5d37f578	IT_LOAD
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	048ada51-1185-48ad-b213-46d5bb9a315d	SWITCHGEAR
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	5cbbc149-3533-47a1-a8dc-7b670e968dc4	GENERATOR
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	3c54f4a7-c55f-4b9d-b9ae-ef47e5a5888f	PRIMARY_AUXILIARIES
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	46b71909-2e6a-484e-9793-1e69941fa716	UPS
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	d6378760-acb1-4dfb-be1e-eba953595cf0	CRITICAL_AUXILIARIES
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	7f66f02a-be6a-435c-9407-2aeda81e3bc0	LIGHTING
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	280c66f6-8e91-40dd-821d-bc7653e011fb	CRITICAL_POWER_DISTRIBUTION
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	28a7ee88-261a-4dd2-a39f-db53fd084bf4	CRAH
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	477db37b-89b9-4acc-a1d9-dc57e1fb992f	CRAC
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	3aeb4a51-e4a7-4ee4-881f-7cfcb43e7b27	CRAC_WITHOUT_FAN
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	ee71b2d4-74b0-45d8-996f-b8b62bb9edcb	CRAC_FAN
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	7b6f51aa-9fb5-4377-b979-4d406b927d32	CHILLER
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	0dc4a204-7c18-48f1-8fa4-9d006bc9250c	AIR_COOLED_CHILLER
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	aa04a229-1b52-4242-966d-6b17bedfdab0	COOLING_TOWER
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	0657aa03-2c73-45fa-a415-4395460aed78	DRY_COOLER
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	19728301-9461-46ce-8e3d-fa253e4c3f6d	REMOTE_CONDENSER
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	763058ed-956e-4de4-929f-f1705718f348	CHILLED_WATER_PUMPS
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	57335a31-54f6-42ca-9986-ea9b355cb70e	HEAT_REJECTION_PUMPS
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	2860b70f-30f6-4d36-8221-82338ea1156a	VENTILATION
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	728790ab-7d7a-4280-a8c2-8bd09fad1b05	INFILTRATION
6ee7a0f8-cdc8-4c04-87c9-16443bd51920	bc91491b-95d6-4a43-a83b-5dad182c2058	IT_LOAD
f53ae08a-74a5-4b71-9d54-320492fe3674	66225b86-0b26-4acc-8f50-874467fcddf3	SWITCHGEAR
f53ae08a-74a5-4b71-9d54-320492fe3674	6f2ef8f3-6c89-41a7-af25-06bb2a830982	GENERATOR
f53ae08a-74a5-4b71-9d54-320492fe3674	f1b14db0-0868-41b1-99d5-2bb3dda480c2	PRIMARY_AUXILIARIES
f53ae08a-74a5-4b71-9d54-320492fe3674	8f6c8868-4839-467f-adfe-0f082a437c32	UPS
f53ae08a-74a5-4b71-9d54-320492fe3674	4b8c64dd-0e51-4847-a1fc-47a60fb4df67	CRITICAL_AUXILIARIES
f53ae08a-74a5-4b71-9d54-320492fe3674	19d61fbe-600e-4816-9ff3-3c34a6740192	LIGHTING
f53ae08a-74a5-4b71-9d54-320492fe3674	f82f7962-c711-4b83-9971-55d6b1c6032c	CRITICAL_POWER_DISTRIBUTION
f53ae08a-74a5-4b71-9d54-320492fe3674	181b2f8a-aa27-4d33-9cf2-417c7d5745a7	CRAH
f53ae08a-74a5-4b71-9d54-320492fe3674	9ffb7fb5-cb15-4872-8b97-78156d97b6de	CRAC
f53ae08a-74a5-4b71-9d54-320492fe3674	a7d3ab18-fba1-4930-bc47-08890edcf115	CRAC_WITHOUT_FAN
f53ae08a-74a5-4b71-9d54-320492fe3674	6c25c24c-d1e1-4ac1-828d-666ce42ee82a	CRAC_FAN
f53ae08a-74a5-4b71-9d54-320492fe3674	96c457aa-d0f1-431e-b84c-3e86a4062c2b	CHILLER
f53ae08a-74a5-4b71-9d54-320492fe3674	a15cd837-2e18-4db9-941c-9b382a3ce5bb	AIR_COOLED_CHILLER
f53ae08a-74a5-4b71-9d54-320492fe3674	ea13bcd3-76d7-45d1-ac81-afcb2fe41e34	COOLING_TOWER
f53ae08a-74a5-4b71-9d54-320492fe3674	2f704fad-e394-4a2b-b710-7bb8fbc7f355	DRY_COOLER
f53ae08a-74a5-4b71-9d54-320492fe3674	3efc5a8e-1478-483b-8764-dd1b13c1a64f	REMOTE_CONDENSER
f53ae08a-74a5-4b71-9d54-320492fe3674	f30a94fe-1cc4-4f0c-a021-e9c62fe28350	CHILLED_WATER_PUMPS
f53ae08a-74a5-4b71-9d54-320492fe3674	31eafc0d-1945-4635-89f1-36cfce1b529b	HEAT_REJECTION_PUMPS
f53ae08a-74a5-4b71-9d54-320492fe3674	3ddd7e56-1301-4724-989e-48eb2a79306f	VENTILATION
f53ae08a-74a5-4b71-9d54-320492fe3674	6cc1e185-9f92-4cc9-97a9-421828677a03	INFILTRATION
f53ae08a-74a5-4b71-9d54-320492fe3674	a44cd409-663e-458f-b781-18cb9ce59f51	IT_LOAD
6354be6f-2b11-4974-b330-d26102bf75a6	7851a3c0-27ba-4551-a9f9-80882a9a56b2	SWITCHGEAR
6354be6f-2b11-4974-b330-d26102bf75a6	de10bc8a-dd47-40ef-b5ea-05031b04bee5	GENERATOR
6354be6f-2b11-4974-b330-d26102bf75a6	806153cb-7e0f-471e-967e-338b49d3d90a	PRIMARY_AUXILIARIES
6354be6f-2b11-4974-b330-d26102bf75a6	d39445f8-a40b-42cf-859f-587f5c972f17	UPS
6354be6f-2b11-4974-b330-d26102bf75a6	57da04ad-d51e-4ec3-8b56-eb2e2605796f	CRITICAL_AUXILIARIES
6354be6f-2b11-4974-b330-d26102bf75a6	794f7e0e-0e7e-41f1-af07-388234ca5d4f	LIGHTING
6354be6f-2b11-4974-b330-d26102bf75a6	8b0b9413-73ca-4b87-8967-d8a14340bbeb	CRITICAL_POWER_DISTRIBUTION
6354be6f-2b11-4974-b330-d26102bf75a6	e1c76673-4a3e-4129-8aa9-7360c5b86d88	CRAH
6354be6f-2b11-4974-b330-d26102bf75a6	cb87b055-c07d-468d-9040-bd7d84c945bc	CRAC
6354be6f-2b11-4974-b330-d26102bf75a6	c68143f3-a87d-423b-812b-c4189133a38c	CRAC_WITHOUT_FAN
6354be6f-2b11-4974-b330-d26102bf75a6	fe6b9915-2e75-48ab-9798-32ee37c202f3	CRAC_FAN
6354be6f-2b11-4974-b330-d26102bf75a6	fe68d6f5-1d53-4fe8-8f8b-fbb6233c7d66	CHILLER
6354be6f-2b11-4974-b330-d26102bf75a6	4bfdacb5-5828-4786-aeef-9ff552898068	AIR_COOLED_CHILLER
6354be6f-2b11-4974-b330-d26102bf75a6	daff0e8a-c47b-43e7-8be0-6ef6678e1acf	COOLING_TOWER
6354be6f-2b11-4974-b330-d26102bf75a6	18ff1d3b-2a85-40aa-93ec-25a9a534e283	DRY_COOLER
6354be6f-2b11-4974-b330-d26102bf75a6	ad7fe344-4786-4f53-a0d7-dbc64abe3b0d	REMOTE_CONDENSER
6354be6f-2b11-4974-b330-d26102bf75a6	a1afbc5d-a119-4b2d-b643-720254390975	CHILLED_WATER_PUMPS
6354be6f-2b11-4974-b330-d26102bf75a6	0a54288e-0d20-4c28-ab10-a100c5994163	HEAT_REJECTION_PUMPS
6354be6f-2b11-4974-b330-d26102bf75a6	49b24cb1-b690-4ceb-bf22-def3ca49c08d	VENTILATION
6354be6f-2b11-4974-b330-d26102bf75a6	d99ebe01-3103-474b-8015-65c99857b2a4	INFILTRATION
6354be6f-2b11-4974-b330-d26102bf75a6	7b545948-1091-4804-985b-9710eaed117d	IT_LOAD
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	297ace3b-b997-4756-b005-fa582ec340c6	SWITCHGEAR
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	5676b97b-3bf5-4157-a71d-c8843c935f0b	GENERATOR
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	437c218d-f523-4305-a063-45e432f05dad	PRIMARY_AUXILIARIES
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	f1ddee01-d906-42f4-bc12-1be6e2c5c39d	UPS
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	9fda8985-2c0c-43ba-8a06-14e45b3bcaeb	CRITICAL_AUXILIARIES
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	2f0f32c9-e910-47e3-9cad-a976a7fbf22a	LIGHTING
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	594fd8c6-c61b-4b7e-8ffe-9bbd50659850	CRITICAL_POWER_DISTRIBUTION
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	77ff7e48-d229-4fdc-be39-2be36d3120b9	CRAH
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	3b5e725d-df7a-4545-853e-ff39259817a7	CRAC
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	60df83c4-94ef-4beb-a07b-983f3719bb1e	CRAC_WITHOUT_FAN
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	10b74766-aa1b-4936-847b-222108bbb7e9	CRAC_FAN
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	cc77e9a4-e609-4192-a9df-ec5d7c85100a	CHILLER
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	c04aa889-06a3-4d9f-b21c-3a4d928fb6ab	AIR_COOLED_CHILLER
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	09605db3-ce51-4844-9898-82fd10cc1722	COOLING_TOWER
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	f83777d3-c2f8-40e3-809a-5f28fb357daa	DRY_COOLER
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	5476b470-0280-452d-bd2c-1cddcbf729e9	REMOTE_CONDENSER
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	4ac1ac52-7852-40ae-aff7-f336aa87a4c6	CHILLED_WATER_PUMPS
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	ac04d465-23db-4c2a-a291-550d25788a76	HEAT_REJECTION_PUMPS
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	337b4071-c471-43fc-b85c-70d26677a780	VENTILATION
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	65454506-b8e2-4516-88a4-b7e3cf8fce98	INFILTRATION
761c1417-f7d2-4e8d-b9bf-74d8e674fba9	42fc7ee1-ff80-4593-8d7b-b47b6747058e	IT_LOAD
08878fa9-4ba6-4359-bd69-5c434b4fa110	a4d8ddac-4cbf-4733-90e1-ae5e725b599a	SWITCHGEAR
08878fa9-4ba6-4359-bd69-5c434b4fa110	0886ab06-3d68-4e98-91bd-74944e63eadb	GENERATOR
08878fa9-4ba6-4359-bd69-5c434b4fa110	5fb9b1f0-eeb1-4aa0-8dcb-1274277691c3	PRIMARY_AUXILIARIES
08878fa9-4ba6-4359-bd69-5c434b4fa110	15fd0f7d-13b0-40ce-92d8-3378a8652553	UPS
08878fa9-4ba6-4359-bd69-5c434b4fa110	5d186863-bf8e-4893-a041-92359efdae93	CRITICAL_AUXILIARIES
08878fa9-4ba6-4359-bd69-5c434b4fa110	5591f5f3-c780-48b4-8bf2-5757c1b53687	LIGHTING
08878fa9-4ba6-4359-bd69-5c434b4fa110	1d1250ef-0d57-4751-ae9b-75d1d0adc7a4	CRITICAL_POWER_DISTRIBUTION
08878fa9-4ba6-4359-bd69-5c434b4fa110	63b08b0d-42b4-41b7-995d-408897c56b85	CRAH
08878fa9-4ba6-4359-bd69-5c434b4fa110	7d806bd6-16ad-43ad-a7ae-a94b3d7e690c	CRAC
08878fa9-4ba6-4359-bd69-5c434b4fa110	f2ba7567-0772-45e2-9810-5eb43db523aa	CRAC_WITHOUT_FAN
08878fa9-4ba6-4359-bd69-5c434b4fa110	52a56707-a666-4fa5-9906-00a8b8d2f8ba	CRAC_FAN
08878fa9-4ba6-4359-bd69-5c434b4fa110	64e652fb-f27d-4fc8-87b4-5b8cd7ec37de	CHILLER
08878fa9-4ba6-4359-bd69-5c434b4fa110	a5e00f1f-9b9d-440b-99b1-b826f368a67b	AIR_COOLED_CHILLER
08878fa9-4ba6-4359-bd69-5c434b4fa110	47401eda-c108-46fe-abb3-03c2e9da33ad	COOLING_TOWER
08878fa9-4ba6-4359-bd69-5c434b4fa110	68813eee-5019-47d1-b333-c65ef9bdd8f1	DRY_COOLER
08878fa9-4ba6-4359-bd69-5c434b4fa110	2b95bfff-4dab-4ebb-8678-4f9b9efa905f	REMOTE_CONDENSER
08878fa9-4ba6-4359-bd69-5c434b4fa110	ddb2e204-0679-4d5d-b72c-99d64bbdd312	CHILLED_WATER_PUMPS
08878fa9-4ba6-4359-bd69-5c434b4fa110	f7263b47-8522-4b2c-be57-444d6c3b1c93	HEAT_REJECTION_PUMPS
08878fa9-4ba6-4359-bd69-5c434b4fa110	3f3c0df8-00a2-411d-99a8-c6bf619c7d51	VENTILATION
08878fa9-4ba6-4359-bd69-5c434b4fa110	c238f34a-8e02-4e46-9b4f-223ad95e813f	INFILTRATION
08878fa9-4ba6-4359-bd69-5c434b4fa110	10209d72-18dc-4f90-8f39-ee1602d5066b	IT_LOAD
94ffdea8-69e3-4a99-bb91-0dbdda194493	aba77b9c-e320-4ab3-ad64-45537cc0ba85	SWITCHGEAR
94ffdea8-69e3-4a99-bb91-0dbdda194493	15525cdb-b219-40dd-8ab0-06eb9cfeba71	GENERATOR
94ffdea8-69e3-4a99-bb91-0dbdda194493	6311f081-6e17-40c0-b117-e9acf3baf3f9	PRIMARY_AUXILIARIES
94ffdea8-69e3-4a99-bb91-0dbdda194493	2e709a67-3c78-451f-a949-26b1e4a26ca9	UPS
94ffdea8-69e3-4a99-bb91-0dbdda194493	e64a6e1c-7ca4-4880-853c-8f91b871aa2f	CRITICAL_AUXILIARIES
94ffdea8-69e3-4a99-bb91-0dbdda194493	79c6d609-34f0-407c-9da2-7f559384458a	LIGHTING
94ffdea8-69e3-4a99-bb91-0dbdda194493	3a65ae23-c814-485c-a7e9-89bf02e96ffa	CRITICAL_POWER_DISTRIBUTION
94ffdea8-69e3-4a99-bb91-0dbdda194493	37b4dcb9-0697-4b17-83a6-557d60cd0197	CRAH
94ffdea8-69e3-4a99-bb91-0dbdda194493	be8a63e1-431d-4782-a9dc-8a43ea39badb	CRAC
94ffdea8-69e3-4a99-bb91-0dbdda194493	7be42f3c-b21c-403e-bbc7-31232c3efcdb	CRAC_WITHOUT_FAN
94ffdea8-69e3-4a99-bb91-0dbdda194493	5e515238-63b3-4baa-a44a-ead391f2ec4d	CRAC_FAN
94ffdea8-69e3-4a99-bb91-0dbdda194493	662dad74-9398-4cb3-8f61-dd10d7df6e65	CHILLER
94ffdea8-69e3-4a99-bb91-0dbdda194493	b108637f-f393-4eec-8736-b69f2c093fa8	AIR_COOLED_CHILLER
94ffdea8-69e3-4a99-bb91-0dbdda194493	1ff9d5fb-d5fb-4a9d-8b7d-cf4a79610042	COOLING_TOWER
94ffdea8-69e3-4a99-bb91-0dbdda194493	1cfca03e-214c-4520-b144-b4a9f2fc7a78	DRY_COOLER
94ffdea8-69e3-4a99-bb91-0dbdda194493	33aa2735-04e4-4eed-8332-6db98a3ec2a4	REMOTE_CONDENSER
94ffdea8-69e3-4a99-bb91-0dbdda194493	74516f7d-d89c-4fd1-bbf8-09e4d6b02b6f	CHILLED_WATER_PUMPS
94ffdea8-69e3-4a99-bb91-0dbdda194493	19ef0d90-383e-46d1-a8e9-9db62b243a27	HEAT_REJECTION_PUMPS
94ffdea8-69e3-4a99-bb91-0dbdda194493	0b902204-bbad-4ef0-8ef1-0d4889bf9842	VENTILATION
94ffdea8-69e3-4a99-bb91-0dbdda194493	a4f9ead2-7318-4f98-924a-20a7a2193b87	INFILTRATION
94ffdea8-69e3-4a99-bb91-0dbdda194493	50c551a7-a247-4342-a4b8-eac3bac80669	IT_LOAD
97d5e0da-9739-44db-ab50-6c72eb4c7bde	11efa9dd-d002-4e2a-868a-9ac029810517	SWITCHGEAR
97d5e0da-9739-44db-ab50-6c72eb4c7bde	048a5768-06e7-4ec1-a4b2-bac25028628f	GENERATOR
97d5e0da-9739-44db-ab50-6c72eb4c7bde	8e27ca10-1e30-4a68-9c00-faf568c31a47	PRIMARY_AUXILIARIES
97d5e0da-9739-44db-ab50-6c72eb4c7bde	9512a59b-a187-44bb-b955-a542d1092547	UPS
97d5e0da-9739-44db-ab50-6c72eb4c7bde	bb8dfbf2-edeb-464d-9525-31746a3334b2	CRITICAL_AUXILIARIES
97d5e0da-9739-44db-ab50-6c72eb4c7bde	ba303290-b2b7-417c-a36d-cfd39cf7f270	LIGHTING
97d5e0da-9739-44db-ab50-6c72eb4c7bde	76dc1c60-8c57-46ee-88d9-e85edce559d9	CRITICAL_POWER_DISTRIBUTION
97d5e0da-9739-44db-ab50-6c72eb4c7bde	9cb4d286-d7db-4d26-8e7c-8174cdd0fcd0	CRAH
97d5e0da-9739-44db-ab50-6c72eb4c7bde	442217a5-f544-4c77-826d-7042bf18fee2	CRAC
97d5e0da-9739-44db-ab50-6c72eb4c7bde	a9d7d92c-62ae-480b-afc2-002586a664d2	CRAC_WITHOUT_FAN
97d5e0da-9739-44db-ab50-6c72eb4c7bde	4d9dceef-91f9-446d-b0f6-0603c5e6d1b1	CRAC_FAN
97d5e0da-9739-44db-ab50-6c72eb4c7bde	91e2be47-d9a7-41cb-8b2d-e1d7cb1b5bde	CHILLER
97d5e0da-9739-44db-ab50-6c72eb4c7bde	0693ebce-39d2-42e5-a3c3-e911f4b331b4	AIR_COOLED_CHILLER
97d5e0da-9739-44db-ab50-6c72eb4c7bde	2abd58b9-4d72-46c1-b87d-9947accb3ece	COOLING_TOWER
97d5e0da-9739-44db-ab50-6c72eb4c7bde	efd82f6c-ad8c-458c-be78-5f1b6f2d23c4	DRY_COOLER
97d5e0da-9739-44db-ab50-6c72eb4c7bde	a321dc16-7ae7-49f4-9324-6eb3564d4ebe	REMOTE_CONDENSER
97d5e0da-9739-44db-ab50-6c72eb4c7bde	352cce22-5abb-4c59-8708-5ececa582336	CHILLED_WATER_PUMPS
97d5e0da-9739-44db-ab50-6c72eb4c7bde	6a667000-fcfc-4206-87a9-209e5dbe6136	HEAT_REJECTION_PUMPS
97d5e0da-9739-44db-ab50-6c72eb4c7bde	f4a0159f-7584-4e55-94bb-5c63a2668d3b	VENTILATION
97d5e0da-9739-44db-ab50-6c72eb4c7bde	5aa58308-2de4-47de-8eac-863c076b46d0	INFILTRATION
97d5e0da-9739-44db-ab50-6c72eb4c7bde	bfa4f6f8-5624-4ccd-afb0-28b8c61f49f4	IT_LOAD
71c6434b-8047-446e-a0a4-43e75a4d5578	ca601c7e-64de-4b47-aa16-50511b88e6d5	SWITCHGEAR
71c6434b-8047-446e-a0a4-43e75a4d5578	67f89cf1-2e10-485a-a7af-93bed5f1c1da	GENERATOR
71c6434b-8047-446e-a0a4-43e75a4d5578	6e7bdee9-8953-47c4-87eb-65164cf04909	PRIMARY_AUXILIARIES
71c6434b-8047-446e-a0a4-43e75a4d5578	8942d10c-8cb0-4df0-93fc-ab780d8edb96	UPS
71c6434b-8047-446e-a0a4-43e75a4d5578	231b975e-3127-4cd8-8e73-41db499a7d40	CRITICAL_AUXILIARIES
71c6434b-8047-446e-a0a4-43e75a4d5578	47673c85-8827-4326-8aba-2269b3912860	LIGHTING
71c6434b-8047-446e-a0a4-43e75a4d5578	fddef09c-f679-4803-9dd8-9f002238a44d	CRITICAL_POWER_DISTRIBUTION
71c6434b-8047-446e-a0a4-43e75a4d5578	0c1fe156-005f-465c-9fd6-3e0b5e194b7c	CRAH
71c6434b-8047-446e-a0a4-43e75a4d5578	1bac0a05-8928-4621-a5ca-26c9ec3c956d	CRAC
71c6434b-8047-446e-a0a4-43e75a4d5578	78c3cd90-8f77-4495-8819-8d5c7178eb0b	CRAC_WITHOUT_FAN
71c6434b-8047-446e-a0a4-43e75a4d5578	5e758d48-5384-42f5-8b55-5193fd2c593b	CRAC_FAN
71c6434b-8047-446e-a0a4-43e75a4d5578	60f48d57-4ecb-4c82-8566-dce24c2d1923	CHILLER
71c6434b-8047-446e-a0a4-43e75a4d5578	d17bc0dc-e120-4afa-92ee-0b176431632c	AIR_COOLED_CHILLER
71c6434b-8047-446e-a0a4-43e75a4d5578	5e08ae82-3234-4a4f-b140-0d188bb4bfdb	COOLING_TOWER
71c6434b-8047-446e-a0a4-43e75a4d5578	8355f499-9975-4415-9e5e-7ea8f981db87	DRY_COOLER
71c6434b-8047-446e-a0a4-43e75a4d5578	0b5b3526-31e8-4231-a7c8-bff741f2c76f	REMOTE_CONDENSER
71c6434b-8047-446e-a0a4-43e75a4d5578	837fdf68-ac89-454b-9cb4-5cfb2d6573fb	CHILLED_WATER_PUMPS
71c6434b-8047-446e-a0a4-43e75a4d5578	d3bc2441-6e9f-4cd7-8e65-51224f9a6a55	HEAT_REJECTION_PUMPS
71c6434b-8047-446e-a0a4-43e75a4d5578	2da32da3-c46a-409e-8d7c-683bdfe5b1c1	VENTILATION
71c6434b-8047-446e-a0a4-43e75a4d5578	2e3746ec-6b68-45ca-8cf1-de78b58ab8f0	INFILTRATION
71c6434b-8047-446e-a0a4-43e75a4d5578	15379af2-9926-4662-a4df-b34d3cafb18a	IT_LOAD
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	58170f13-2430-411c-97c2-ffe51e6da136	SWITCHGEAR
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	37c33e80-de32-4540-9d88-5bcabb7f38ce	GENERATOR
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	1a87ffd2-d928-4813-ae0b-ca11e9e5557a	PRIMARY_AUXILIARIES
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	68123064-c8f0-4d8d-87a6-b4b89b56cb06	UPS
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	575e9b27-8f5e-4e69-8857-53eff77edfab	CRITICAL_AUXILIARIES
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	153d131e-c698-4c2a-a18d-fd086864bcd7	LIGHTING
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	264e4220-f684-4a5f-9fc4-be44854de96a	CRITICAL_POWER_DISTRIBUTION
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	4f9fd50a-7481-4e40-a6df-175b9c79a9f7	CRAH
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	a7e833c0-5e12-44e8-8335-4c3069b922ac	CRAC
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	1da48c16-d55e-4d65-aa2e-f707f8243181	CRAC_WITHOUT_FAN
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	6f0f9d19-bad4-4d18-945e-fc73a7411893	CRAC_FAN
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	b4d48da2-5648-462e-8789-ac272ff5de95	CHILLER
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	006b6486-a1b2-4fff-9b1b-6f328c52ca35	AIR_COOLED_CHILLER
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	c0357352-a307-464d-a120-72d74dd155e5	COOLING_TOWER
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	94b16b5a-eb54-4fd5-88d7-69f82601f0c8	DRY_COOLER
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	0c9aff4d-5040-453d-bcd6-78ee02cc5007	REMOTE_CONDENSER
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	b99d7c4d-d948-4b94-80eb-745881eeb1c7	CHILLED_WATER_PUMPS
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	10c7162c-50d6-4fa1-8d0e-5f3bb82a400c	HEAT_REJECTION_PUMPS
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	4d1eb83d-082d-4881-ae9e-cc06cfc852e5	VENTILATION
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	f0e518ef-166d-47f2-9a6a-81369a0518bd	INFILTRATION
85c58567-3a90-4c8c-9e4e-e9ae5c50bc35	f285c6f2-8de8-40f9-bd07-bc736ccc45bb	IT_LOAD
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	868c01ac-cd2b-4ef6-9835-c9d86d0ac7f0	SWITCHGEAR
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	50c5fa66-c6d1-4424-bbd4-3def0d1abe1b	GENERATOR
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	f15ac39d-e07e-44a0-a60e-c9998593f93d	PRIMARY_AUXILIARIES
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	4cbb4090-b193-495d-bbeb-46d4390ffa82	UPS
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	fd155f3d-3f9d-4b3d-b9bc-5a2db2a2a9bd	CRITICAL_AUXILIARIES
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	443ececb-ecb0-42d8-94f0-3a94f6a33d5b	LIGHTING
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	41ef210f-99f1-498e-b605-368bd4e09d89	CRITICAL_POWER_DISTRIBUTION
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	d385b2e7-56fe-4d7b-86fd-87620e6c5bee	CRAH
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	5c3c45ed-2004-47f3-b059-453a044e7912	CRAC
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	ed7a315a-6a19-4df5-ae4a-cf550a08a129	CRAC_WITHOUT_FAN
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	6ebb463c-fd44-4972-a7a8-ac7cb95a8739	CRAC_FAN
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	44fe060a-0732-48e6-90d5-49e654e24d52	CHILLER
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	f77c665b-4514-4a46-b13f-5b5a288c68ee	AIR_COOLED_CHILLER
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	ed9bf363-40e8-4caf-b751-19f6497c9747	COOLING_TOWER
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	663a18be-bb68-4bf9-9a5b-34284043aedb	DRY_COOLER
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	e859e46e-a336-4592-8c79-c1f04225256d	REMOTE_CONDENSER
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	c4d44473-b2e7-40be-9a26-fb20bd58e08d	CHILLED_WATER_PUMPS
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	9884c9eb-463e-46b1-88c0-18045be4b461	HEAT_REJECTION_PUMPS
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	b980e1b8-a580-4722-995a-e6134cbcdea9	VENTILATION
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	7539fd23-91b7-46b1-a4c6-4fd6f15746d4	INFILTRATION
4d0d2a5d-d34f-44a8-98f8-5344d0f7b9f7	65f6d3e1-620c-411d-9f48-326e410c33c8	IT_LOAD
2b6e32f7-ea7b-4052-8e5e-456c111146dc	ffb62476-be21-48e1-8c4d-880f62423b30	SWITCHGEAR
2b6e32f7-ea7b-4052-8e5e-456c111146dc	dd7be605-faec-4d29-a15b-5d6339a164fc	GENERATOR
2b6e32f7-ea7b-4052-8e5e-456c111146dc	b58b35c0-23d7-42b7-9c30-e4dde9b050d6	PRIMARY_AUXILIARIES
2b6e32f7-ea7b-4052-8e5e-456c111146dc	6d869b47-bbbf-4eb4-a638-5fb424c2256b	UPS
2b6e32f7-ea7b-4052-8e5e-456c111146dc	921ee39e-3bcc-402b-ab33-885ee867b5e7	CRITICAL_AUXILIARIES
2b6e32f7-ea7b-4052-8e5e-456c111146dc	9dffcac3-2316-4a64-b6f0-b6643a967128	LIGHTING
2b6e32f7-ea7b-4052-8e5e-456c111146dc	ff4f80a5-2766-4341-a725-2f93fa4012ae	CRITICAL_POWER_DISTRIBUTION
2b6e32f7-ea7b-4052-8e5e-456c111146dc	00e585ed-17fb-42e5-8553-10521c6da583	CRAH
2b6e32f7-ea7b-4052-8e5e-456c111146dc	1cac322b-c470-4e53-8598-ee1cd22b773b	CRAC
2b6e32f7-ea7b-4052-8e5e-456c111146dc	1b6a9220-3146-46be-b8f6-55b0683c26fc	CRAC_WITHOUT_FAN
2b6e32f7-ea7b-4052-8e5e-456c111146dc	f06fe8da-2164-4287-bdd9-c59adc94583a	CRAC_FAN
2b6e32f7-ea7b-4052-8e5e-456c111146dc	b8115c05-2c6a-42a2-9ed6-c4769788abda	CHILLER
2b6e32f7-ea7b-4052-8e5e-456c111146dc	1bcc66c0-2da7-4813-b0ec-c50935613073	AIR_COOLED_CHILLER
2b6e32f7-ea7b-4052-8e5e-456c111146dc	ec4e5aba-4a50-411d-a111-17bfaf02dfe9	COOLING_TOWER
2b6e32f7-ea7b-4052-8e5e-456c111146dc	ae448025-32bb-43fd-8e77-079f0fdbc96e	DRY_COOLER
2b6e32f7-ea7b-4052-8e5e-456c111146dc	09db9451-24da-4622-be1e-cdc17702be0c	REMOTE_CONDENSER
2b6e32f7-ea7b-4052-8e5e-456c111146dc	8861854e-b8e8-4b85-a6ad-3a8e10dde387	CHILLED_WATER_PUMPS
2b6e32f7-ea7b-4052-8e5e-456c111146dc	4c929afc-0782-44e8-9347-0f22e2081d99	HEAT_REJECTION_PUMPS
2b6e32f7-ea7b-4052-8e5e-456c111146dc	19c9ef55-04fa-479b-b8a0-feb88a1f5d08	VENTILATION
2b6e32f7-ea7b-4052-8e5e-456c111146dc	d163e201-0967-4b6f-a747-b531db6ce275	INFILTRATION
2b6e32f7-ea7b-4052-8e5e-456c111146dc	58b8bfe1-8e3a-4d78-9ff5-fac3ddb48c62	IT_LOAD
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	f0e15ce5-4957-4016-99cd-0e12747bc2f9	SWITCHGEAR
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	1092cd0f-a0d2-4dfa-a2f2-23c03f5eb703	GENERATOR
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	e6c8e89c-ea2f-45c1-90b4-163b89b89ba7	PRIMARY_AUXILIARIES
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	d779824a-1809-43ea-8c99-199a6426b388	UPS
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	faf156a0-f5a3-4ff4-801c-aa0d93cf580b	CRITICAL_AUXILIARIES
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	92fa12b4-f8bf-49e7-b348-6e9270759377	LIGHTING
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	7ce9f837-2a61-4fde-b721-77f2dc3ec17f	CRITICAL_POWER_DISTRIBUTION
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	225a92fc-862c-407d-9727-480c8e01277a	CRAH
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	d7d43e1e-0cfd-4abd-aa7c-3cdccf7c18c9	CRAC
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	bce36396-8366-4791-8500-6f7b115896b1	CRAC_WITHOUT_FAN
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	2ab2913c-9336-459a-bb5f-93142a7961ff	CRAC_FAN
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	b3874836-91c6-4237-9164-b255fe342427	CHILLER
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	117e70c3-c4d5-4178-96e1-13279ec7c5e9	AIR_COOLED_CHILLER
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	a6c3b3fb-1937-4333-a2d4-bb1a950f88f3	COOLING_TOWER
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	c2a997ef-30d1-46c2-a3d7-34d31dac4447	DRY_COOLER
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	a645d22f-9ff6-4a58-b074-40ffc9abc951	REMOTE_CONDENSER
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	782f0fd2-e863-4967-8324-9b44c9ce2178	CHILLED_WATER_PUMPS
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	ac6e82b9-394b-4b90-84cf-f1b25f75e131	HEAT_REJECTION_PUMPS
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	fc52f770-a5eb-4c59-ba88-3226e84c1c4f	VENTILATION
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	be568096-dc15-4250-84b7-a884ea2ba0d1	INFILTRATION
ac6e8cac-5b0e-4664-97b0-d8ba2af368dd	f7952ee9-9cc7-4dad-824f-6684c5c9e3e0	IT_LOAD
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	5f1a1ca2-ab8c-46c8-bb2d-75e0cb1a1afb	SWITCHGEAR
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	e42ea4c9-3e18-44e5-bbd8-4a70a1ef6d39	GENERATOR
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	c697d2f9-f324-432e-8841-ed79aaed71a4	PRIMARY_AUXILIARIES
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	5007a4d7-4694-41f1-bbdb-ec47c45c02cf	UPS
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	6acda615-97eb-48a0-a583-4548b4da5c90	CRITICAL_AUXILIARIES
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	85f05274-4acd-436c-b82a-40dd2eaefcf0	LIGHTING
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	1e266a65-55c8-4c0b-b1d9-80329cdbed65	CRITICAL_POWER_DISTRIBUTION
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	79ad6a4e-f368-4661-ac4d-bdbc117aea97	CRAH
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	232515e9-617d-459e-b481-4071c29ff1ea	CRAC
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	b822b645-6578-45e8-bbf6-ea61a0627f54	CRAC_WITHOUT_FAN
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	f8921da1-6c62-4aac-b2c7-63eabdafd9cb	CRAC_FAN
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	38c596d6-d5c9-4c66-9978-a628abbc433c	CHILLER
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	7efacf97-a5e6-475f-a8b2-6fa28f1653c3	AIR_COOLED_CHILLER
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	f95e476f-be2c-41fb-87c3-53c1e993eee2	COOLING_TOWER
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	38b5fb0c-1a48-4cb9-97a9-05f677e27ed9	DRY_COOLER
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	e9ca1a6e-0051-4054-9dd6-f149016d802c	REMOTE_CONDENSER
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	f91825f0-a5fa-4832-94f7-281b6936d0b3	CHILLED_WATER_PUMPS
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	cd0924cb-d670-4ece-b3dd-54e281748e10	HEAT_REJECTION_PUMPS
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	81b6c72b-40ff-49fb-a3ff-f0127fe2b116	VENTILATION
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	8e10b033-8347-4602-9a0e-44f2f64ea205	INFILTRATION
6ad66ca4-2e2f-4c1c-942e-c355e0bdc5da	48a77c28-8ffb-418f-ad1b-021ce38ca551	IT_LOAD
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	d512b1a3-c339-41a2-a636-4e09817c3701	SWITCHGEAR
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	ee9d5435-dea5-4e68-b772-fab93003a326	GENERATOR
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	1d562ac0-1c5c-433b-b991-6df7b90348cc	PRIMARY_AUXILIARIES
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	f5315e08-b4b6-4e60-8ef1-c392d61ffec8	UPS
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	53076608-ae3e-4481-8031-0914eb6bb603	CRITICAL_AUXILIARIES
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	810feab3-ef39-4d78-9f21-fb1383a70a18	LIGHTING
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	80d19db2-b298-4991-b2c7-d61f75029126	CRITICAL_POWER_DISTRIBUTION
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	768397ce-0917-44bd-9b3a-6ca2cbf19cf0	CRAH
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	4c55b8c8-1f42-4632-9c97-822d229f1c8b	CRAC
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	9cbc3c9b-9d99-48b8-b385-b0414812928d	CRAC_WITHOUT_FAN
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	80925d2b-50c7-47c0-b82c-4444613460cc	CRAC_FAN
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	4ee9bb96-9600-4961-a412-111b5e11c53a	CHILLER
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	55656681-24f7-49d1-8822-12b44fd857f4	AIR_COOLED_CHILLER
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	1cb26303-849a-428f-b477-cb99ff853832	COOLING_TOWER
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	59d322d7-de8e-4c83-9fff-0b8698008740	DRY_COOLER
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	a7f7dbd0-96fe-4bc5-a766-cd13074a7bc5	REMOTE_CONDENSER
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	258a1194-6bb9-4c48-b62e-ea3a58d1aa93	CHILLED_WATER_PUMPS
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	11754c66-fe58-4941-99a7-4d9cee5b7c8b	HEAT_REJECTION_PUMPS
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	4fdb9f2d-96fb-40d6-b9c3-43c17fe71855	VENTILATION
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	1b4dfd60-7981-4bab-b6d9-df310da326c8	INFILTRATION
efc3aeb4-f360-43ba-b634-e19e5dfdbecb	e787b76f-768f-424f-abee-7e036a3bc278	IT_LOAD
28d88a5d-4172-44da-b83e-e819214df1d0	aecc855a-157f-4559-8d1d-3cbfc6254741	SWITCHGEAR
28d88a5d-4172-44da-b83e-e819214df1d0	ed236528-98a1-4622-beb5-f9746ebd8d90	GENERATOR
28d88a5d-4172-44da-b83e-e819214df1d0	51428d23-ac39-4198-b477-b055fe6eb89e	PRIMARY_AUXILIARIES
28d88a5d-4172-44da-b83e-e819214df1d0	0bf4ca4a-5c86-4081-994d-808f1b1648cc	UPS
28d88a5d-4172-44da-b83e-e819214df1d0	7795a3c8-ca1c-4d4c-aa5c-c92173408829	CRITICAL_AUXILIARIES
28d88a5d-4172-44da-b83e-e819214df1d0	144b8c90-0b3e-472a-acf1-0966b215e73c	LIGHTING
28d88a5d-4172-44da-b83e-e819214df1d0	73c2e36f-dd06-4a39-86c6-2d7a7a9f64a9	CRITICAL_POWER_DISTRIBUTION
28d88a5d-4172-44da-b83e-e819214df1d0	23efe17b-a9ff-4716-af8e-d389302cd7c7	CRAH
28d88a5d-4172-44da-b83e-e819214df1d0	d1069bb7-91f7-46c7-9f07-fbce2cef3fda	CRAC
28d88a5d-4172-44da-b83e-e819214df1d0	1b6739f3-fd0b-44f5-a4bb-344a453277cf	CRAC_WITHOUT_FAN
28d88a5d-4172-44da-b83e-e819214df1d0	7379474c-398e-465d-86ba-3823492dae5d	CRAC_FAN
28d88a5d-4172-44da-b83e-e819214df1d0	bbc32da3-db10-4afd-bc76-22b2a9cd7e99	CHILLER
28d88a5d-4172-44da-b83e-e819214df1d0	4060706b-cf9a-4b30-9ac2-4313066e151d	AIR_COOLED_CHILLER
28d88a5d-4172-44da-b83e-e819214df1d0	9f250d23-4578-4256-ba6c-a459be99db00	COOLING_TOWER
28d88a5d-4172-44da-b83e-e819214df1d0	6c8de700-201b-4a0b-8be5-9f4da9e90ae7	DRY_COOLER
28d88a5d-4172-44da-b83e-e819214df1d0	e2c67fcf-3c62-44bb-8275-7464713a2df5	REMOTE_CONDENSER
28d88a5d-4172-44da-b83e-e819214df1d0	0700b462-9614-4796-b5df-923afa440e40	CHILLED_WATER_PUMPS
28d88a5d-4172-44da-b83e-e819214df1d0	282156d0-0ad7-42e7-998d-07bb9880e010	HEAT_REJECTION_PUMPS
28d88a5d-4172-44da-b83e-e819214df1d0	464b086d-d91d-4c6e-af7b-0b23f37aff30	VENTILATION
28d88a5d-4172-44da-b83e-e819214df1d0	c37b72da-20a9-4240-8283-c7a4f0860035	INFILTRATION
28d88a5d-4172-44da-b83e-e819214df1d0	33a0c7b1-4ca3-4f78-bfaf-101c7451d5f2	IT_LOAD
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	1147c183-75ac-4524-a980-eb9d0cf62912	SWITCHGEAR
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	6530c118-dcbe-4c66-a6cc-60e05ca62948	GENERATOR
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	b7d164cb-fb3f-49f7-8767-8204e95dbd84	PRIMARY_AUXILIARIES
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	2827553d-6b34-4912-83a5-d53dd70adca5	UPS
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	034df719-364b-4e1a-894f-d138e12c6911	CRITICAL_AUXILIARIES
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	5c7e4746-67f8-4a27-a8ff-6af6cb3532c7	LIGHTING
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	742bc9d5-5859-4b44-85f8-b35cac56e589	CRITICAL_POWER_DISTRIBUTION
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	f466bc06-cec4-4ca5-9b25-0fd6f85af3fd	CRAH
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	6e6dfe8f-77f3-4561-9532-64437663af84	CRAC
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	2a4ca6ce-b5b1-4be1-96bf-e8cca6b609d6	CRAC_WITHOUT_FAN
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	7ffe4554-274c-4efb-98a9-123f03437db0	CRAC_FAN
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	9d36fe9a-d56b-4613-bfe8-7419f6923ed6	CHILLER
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	20326545-daa7-4385-9b7e-f5fc7a72a093	AIR_COOLED_CHILLER
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	fec23750-b888-4019-b277-f03904884321	COOLING_TOWER
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	319717ce-2f94-4209-b274-f658ef9c1351	DRY_COOLER
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	c7bd1ef4-6646-4c85-a42d-69660676127d	REMOTE_CONDENSER
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	f6eec7e0-a214-44f2-b26b-ba5e0b539fad	CHILLED_WATER_PUMPS
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	9edf838c-daa0-45ad-b27d-e0c5c34cdd66	HEAT_REJECTION_PUMPS
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	c567576b-2ec0-4022-abb1-01f7cef0b238	VENTILATION
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	9b26bbe8-e884-48a9-bd8d-3cd88a1cd607	INFILTRATION
73ecd971-bab1-4cf7-aa9f-43d818dcc7e8	d68dccc4-cf6d-4249-999a-82b32999858b	IT_LOAD
88b62ce4-f7c2-421f-955e-551c2bd7162b	c9a1f4b1-770e-482e-b13e-f9aac58f5abe	SWITCHGEAR
88b62ce4-f7c2-421f-955e-551c2bd7162b	e6e89642-9e4f-4472-ba1c-87aa3c1626c9	GENERATOR
88b62ce4-f7c2-421f-955e-551c2bd7162b	f224b8b2-d706-447a-90bd-046d666a7981	PRIMARY_AUXILIARIES
88b62ce4-f7c2-421f-955e-551c2bd7162b	20f77998-8c09-4e80-9857-d4b1bf14d2a3	UPS
88b62ce4-f7c2-421f-955e-551c2bd7162b	9a32eadf-97c8-4e14-8acd-35fe3e845f77	CRITICAL_AUXILIARIES
88b62ce4-f7c2-421f-955e-551c2bd7162b	e92ff1af-e0e4-4869-8685-ce18dc1cdc66	LIGHTING
88b62ce4-f7c2-421f-955e-551c2bd7162b	aa411cf0-bb9c-404c-b51c-b681be942e3f	CRITICAL_POWER_DISTRIBUTION
88b62ce4-f7c2-421f-955e-551c2bd7162b	691d6236-7db6-48dd-aa42-b5cf14b2fb6b	CRAH
88b62ce4-f7c2-421f-955e-551c2bd7162b	f34e503c-2cd7-4148-a3b0-f8848e90ff8a	CRAC
88b62ce4-f7c2-421f-955e-551c2bd7162b	be647cf8-2f49-43a5-b56f-ecb4b7c8c2c8	CRAC_WITHOUT_FAN
88b62ce4-f7c2-421f-955e-551c2bd7162b	c39290ff-7b2f-45fb-9de0-06b56cf07402	CRAC_FAN
88b62ce4-f7c2-421f-955e-551c2bd7162b	7ba2f9ee-1119-4cd9-9c45-995e7d1f23ac	CHILLER
88b62ce4-f7c2-421f-955e-551c2bd7162b	b2f0eb9d-4a9f-4a2f-ac39-cfe8d7455343	AIR_COOLED_CHILLER
88b62ce4-f7c2-421f-955e-551c2bd7162b	7e32d2ca-1ae2-464b-99d7-34a9ec2cdaa3	COOLING_TOWER
88b62ce4-f7c2-421f-955e-551c2bd7162b	cfefb361-b165-401a-9023-7ea6fb08d45e	DRY_COOLER
88b62ce4-f7c2-421f-955e-551c2bd7162b	978ebbd8-d919-4bd4-a3c6-ead64a4d0ca8	REMOTE_CONDENSER
88b62ce4-f7c2-421f-955e-551c2bd7162b	15b61b27-2172-4f75-9ca3-f6305e07a29c	CHILLED_WATER_PUMPS
88b62ce4-f7c2-421f-955e-551c2bd7162b	d5fd371f-5cec-4b8d-8a65-c2cd94fab300	HEAT_REJECTION_PUMPS
88b62ce4-f7c2-421f-955e-551c2bd7162b	3663d711-f95b-47de-9b59-d02879611f37	VENTILATION
88b62ce4-f7c2-421f-955e-551c2bd7162b	2dc0844f-2651-422b-ae43-392227a6ffdd	INFILTRATION
88b62ce4-f7c2-421f-955e-551c2bd7162b	93dc8238-df61-40a7-9cd1-a03173825b71	IT_LOAD
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	fe05ccef-6742-4fbf-8590-72fd1dd4df93	SWITCHGEAR
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	def1ca1a-3426-44c1-8f05-cbc94c216542	GENERATOR
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	66812196-031d-4c0e-b3a4-fc75ea56ed08	PRIMARY_AUXILIARIES
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	30d04752-281b-4ab1-90a5-99fde569867a	UPS
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	843d6c80-7bc9-41b9-ac24-7d2876336b33	CRITICAL_AUXILIARIES
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	8ff5d623-0c37-4a31-851a-4aa88dbfa21e	LIGHTING
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	58a2e43a-ae92-432f-8395-b4909aaedd14	CRITICAL_POWER_DISTRIBUTION
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	0e2eeadc-6922-4b64-8b37-d6540419f958	CRAH
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	65e564a3-0500-4cca-87d1-cc3cbaffb532	CRAC
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	461acda3-19f6-4352-87d4-a5b3950699df	CRAC_WITHOUT_FAN
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	214dafe8-29da-4ee9-ba74-f2e3ffe522b9	CRAC_FAN
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	0d80fe90-b3af-4d03-b970-3290e3eea6be	CHILLER
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	4816c2c5-6b6b-4e8e-bc43-15b52468c069	AIR_COOLED_CHILLER
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	9056b13b-0bba-495d-aa06-c210aeb778bb	COOLING_TOWER
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	b4cf859b-0230-49d1-bfd2-9e0b246f2515	DRY_COOLER
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	00dc847b-0eab-42a8-afcf-74bb990fedfd	REMOTE_CONDENSER
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	3c324fb7-7442-4c28-b407-36ec7057050d	CHILLED_WATER_PUMPS
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	3c6c1bc6-82d1-4fcd-8548-6c584a6d0d9a	HEAT_REJECTION_PUMPS
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	48f95a98-5526-425a-bfed-282b95c119d0	VENTILATION
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	4c907a76-3642-4c1c-8d18-3a1e430723d5	INFILTRATION
e13b0f8b-ee2d-4fdf-96ec-4f175edb8984	6f1e4290-4cc4-4c4b-9ace-38adf6a11211	IT_LOAD
a1efd95f-7894-4128-ae8f-68fab683e01a	877103f2-4743-4248-ac79-483fa3ec58e9	SWITCHGEAR
a1efd95f-7894-4128-ae8f-68fab683e01a	e9a4a301-188e-49c8-8fd9-c8feb2a955ab	GENERATOR
a1efd95f-7894-4128-ae8f-68fab683e01a	4c13b3b7-cec0-456f-8bc7-b3b2426db4b9	PRIMARY_AUXILIARIES
a1efd95f-7894-4128-ae8f-68fab683e01a	9b15415f-5ab6-4d42-a879-db3e9b4b531f	UPS
a1efd95f-7894-4128-ae8f-68fab683e01a	21467b42-51a6-430a-9e3a-bc9d00b70230	CRITICAL_AUXILIARIES
a1efd95f-7894-4128-ae8f-68fab683e01a	0fbda114-1ebb-4074-bcc3-d3c25ccc93d5	LIGHTING
a1efd95f-7894-4128-ae8f-68fab683e01a	26477465-eb99-462f-836e-3023b83ad7df	CRITICAL_POWER_DISTRIBUTION
a1efd95f-7894-4128-ae8f-68fab683e01a	40c13143-0f55-4b80-bc8f-28a8fd04264a	CRAH
a1efd95f-7894-4128-ae8f-68fab683e01a	f9c19652-6699-4cf9-80d8-e859c7c0a7ef	CRAC
a1efd95f-7894-4128-ae8f-68fab683e01a	ef812b20-3aa1-4c5c-91f8-096381df917c	CRAC_WITHOUT_FAN
a1efd95f-7894-4128-ae8f-68fab683e01a	a45ff824-7aea-4da1-b1b6-3f9dbd8a33c8	CRAC_FAN
a1efd95f-7894-4128-ae8f-68fab683e01a	45f45534-5a11-4918-bc24-a8d8773182ad	CHILLER
a1efd95f-7894-4128-ae8f-68fab683e01a	83b065f2-e058-46dc-9a98-314c4b4676ca	AIR_COOLED_CHILLER
a1efd95f-7894-4128-ae8f-68fab683e01a	a3f6896a-6009-4242-879d-fe47d86ab189	COOLING_TOWER
a1efd95f-7894-4128-ae8f-68fab683e01a	f5382022-2543-4b9c-ac4a-0955e54fe96a	DRY_COOLER
a1efd95f-7894-4128-ae8f-68fab683e01a	db6b6e9b-b7ee-47cd-a09c-95f4d7764fc8	REMOTE_CONDENSER
a1efd95f-7894-4128-ae8f-68fab683e01a	88341ed8-fcdf-490b-bf9e-53bf5891b6f0	CHILLED_WATER_PUMPS
a1efd95f-7894-4128-ae8f-68fab683e01a	d12091f6-5ef0-40c8-8dba-2b520425213b	HEAT_REJECTION_PUMPS
a1efd95f-7894-4128-ae8f-68fab683e01a	82858675-fe65-45ee-9f03-2c875182286b	VENTILATION
a1efd95f-7894-4128-ae8f-68fab683e01a	a3d2df7d-be2d-4749-8377-198ca9f34145	INFILTRATION
a1efd95f-7894-4128-ae8f-68fab683e01a	62307ef1-3c45-4aa3-8473-ee32c12afded	IT_LOAD
006254ea-eabe-404a-a5aa-6d0e4589d0d2	19781e47-60cd-4a27-9d93-f2961a23d1c6	SWITCHGEAR
006254ea-eabe-404a-a5aa-6d0e4589d0d2	e7298577-597c-412d-8fb3-2ec466a68a03	GENERATOR
006254ea-eabe-404a-a5aa-6d0e4589d0d2	7be58a21-e566-4967-ad46-3dc8c9b44569	PRIMARY_AUXILIARIES
006254ea-eabe-404a-a5aa-6d0e4589d0d2	008745d4-5ca1-4ade-a724-0c58f92c367c	UPS
006254ea-eabe-404a-a5aa-6d0e4589d0d2	950660f3-bd79-45f9-a231-7530c5826539	CRITICAL_AUXILIARIES
006254ea-eabe-404a-a5aa-6d0e4589d0d2	7dcc9a66-6dc7-4b06-81e4-97514c68ed14	LIGHTING
006254ea-eabe-404a-a5aa-6d0e4589d0d2	ba87b491-860e-4668-b848-bf94b7e4aa9e	CRITICAL_POWER_DISTRIBUTION
006254ea-eabe-404a-a5aa-6d0e4589d0d2	42cb4b02-8a62-4ed7-a193-a3f804a07bf7	CRAH
006254ea-eabe-404a-a5aa-6d0e4589d0d2	75ea247a-ac0f-4a24-808c-4b58d509c85d	CRAC
006254ea-eabe-404a-a5aa-6d0e4589d0d2	7d5672d4-05e0-463f-99f2-96de9a51c6c3	CRAC_WITHOUT_FAN
006254ea-eabe-404a-a5aa-6d0e4589d0d2	c715536a-a093-4a0e-830e-fd8977b9ed9a	CRAC_FAN
006254ea-eabe-404a-a5aa-6d0e4589d0d2	c097100d-aa8c-48ac-88b2-b1a63849aa2f	CHILLER
006254ea-eabe-404a-a5aa-6d0e4589d0d2	68593ea8-f059-47de-b584-d86e6ddd706b	AIR_COOLED_CHILLER
006254ea-eabe-404a-a5aa-6d0e4589d0d2	d3e08a88-fdb6-43c6-9360-6ba3f1d5be6a	COOLING_TOWER
006254ea-eabe-404a-a5aa-6d0e4589d0d2	d3578062-c337-42f7-b964-f3646737a964	DRY_COOLER
006254ea-eabe-404a-a5aa-6d0e4589d0d2	df85e881-1187-4623-8c6c-5d6762cb11cc	REMOTE_CONDENSER
006254ea-eabe-404a-a5aa-6d0e4589d0d2	fa37ad37-6a30-4a38-aae9-b84ac270c114	CHILLED_WATER_PUMPS
006254ea-eabe-404a-a5aa-6d0e4589d0d2	4374d8ac-8338-4440-b0d5-d22888c4fff4	HEAT_REJECTION_PUMPS
006254ea-eabe-404a-a5aa-6d0e4589d0d2	2e77532f-77de-45b5-9939-48f1077ef594	VENTILATION
006254ea-eabe-404a-a5aa-6d0e4589d0d2	0479f465-1380-4cc1-99b6-1689ff22cf55	INFILTRATION
006254ea-eabe-404a-a5aa-6d0e4589d0d2	f9ba1728-44e5-4df4-a34e-c37cb2ce39cc	IT_LOAD
f52cf433-8e1a-4775-8f68-a5b065676f31	9d77481f-f2b0-492b-95c0-d7a016897424	SWITCHGEAR
f52cf433-8e1a-4775-8f68-a5b065676f31	3361d518-3243-4232-8609-e891fada5ae5	GENERATOR
f52cf433-8e1a-4775-8f68-a5b065676f31	ac7506e0-eb67-4043-8d62-ed573a2e2487	PRIMARY_AUXILIARIES
f52cf433-8e1a-4775-8f68-a5b065676f31	1f195395-912d-4966-9f1c-78b85dbabd1e	UPS
f52cf433-8e1a-4775-8f68-a5b065676f31	1bdf8133-43d3-44cf-83db-e4539990a837	CRITICAL_AUXILIARIES
f52cf433-8e1a-4775-8f68-a5b065676f31	4305048a-b85d-4f25-a586-da87687ff40b	LIGHTING
f52cf433-8e1a-4775-8f68-a5b065676f31	17240710-1dd1-4a58-90b3-2efc7ba377ff	CRITICAL_POWER_DISTRIBUTION
f52cf433-8e1a-4775-8f68-a5b065676f31	b7f0c47d-bbd1-4b0f-9a26-28351486554c	CRAH
f52cf433-8e1a-4775-8f68-a5b065676f31	fc0a776c-58c2-48f5-a43d-8aceb3704645	CRAC
f52cf433-8e1a-4775-8f68-a5b065676f31	bfdc6e01-7fb3-4083-9405-529a08e7252a	CRAC_WITHOUT_FAN
f52cf433-8e1a-4775-8f68-a5b065676f31	fd09a40c-a588-47bd-a3e4-37ad5783ca65	CRAC_FAN
f52cf433-8e1a-4775-8f68-a5b065676f31	728ef945-3f1e-4191-b49f-12c42e605816	CHILLER
f52cf433-8e1a-4775-8f68-a5b065676f31	2220792d-66ae-4daf-a7e4-9000bbacc2f2	AIR_COOLED_CHILLER
f52cf433-8e1a-4775-8f68-a5b065676f31	1b129118-3739-4d84-9924-4882ec75d82c	COOLING_TOWER
f52cf433-8e1a-4775-8f68-a5b065676f31	21593d0a-ba19-4250-b1d4-32202d7103fa	DRY_COOLER
f52cf433-8e1a-4775-8f68-a5b065676f31	09a3cd99-b983-4a78-91a8-db7660665419	REMOTE_CONDENSER
f52cf433-8e1a-4775-8f68-a5b065676f31	7e981ee4-c756-4642-ba61-3295fcac9e04	CHILLED_WATER_PUMPS
f52cf433-8e1a-4775-8f68-a5b065676f31	1430edf9-fa2e-46f3-a66d-d29d74e05ee7	HEAT_REJECTION_PUMPS
f52cf433-8e1a-4775-8f68-a5b065676f31	a99b9e51-8e83-4a24-aed4-fdb40be87cd0	VENTILATION
f52cf433-8e1a-4775-8f68-a5b065676f31	76d2f0c3-ab9e-4593-963e-98409dc8e3f1	INFILTRATION
f52cf433-8e1a-4775-8f68-a5b065676f31	a7b7691e-03ac-4a2c-b9a1-77cabe5d0405	IT_LOAD
b47cc270-0d00-410a-b2ea-b0845ad242a0	17826d43-eae5-44dc-909f-5babfb0f6565	SWITCHGEAR
b47cc270-0d00-410a-b2ea-b0845ad242a0	1f6e82ba-9b11-4574-9c58-7384cb2d7e06	GENERATOR
b47cc270-0d00-410a-b2ea-b0845ad242a0	44155914-25e8-46e4-9038-a4be2ee61d93	PRIMARY_AUXILIARIES
b47cc270-0d00-410a-b2ea-b0845ad242a0	0b39f8f8-10ba-4a6e-9298-1ee4cd47dad4	UPS
b47cc270-0d00-410a-b2ea-b0845ad242a0	c317db4d-01b1-4866-ac7e-65e866c14d3c	CRITICAL_AUXILIARIES
b47cc270-0d00-410a-b2ea-b0845ad242a0	5d57e1f1-f217-4a69-b29c-dd75a2b3f465	LIGHTING
b47cc270-0d00-410a-b2ea-b0845ad242a0	75b5301e-4d9e-43c8-bad5-921298140f1b	CRITICAL_POWER_DISTRIBUTION
b47cc270-0d00-410a-b2ea-b0845ad242a0	1a8d25de-853a-43fe-b1b3-8f2c44fef3ca	CRAH
b47cc270-0d00-410a-b2ea-b0845ad242a0	d628942d-8987-4426-84bf-982e8f9fd9e9	CRAC
b47cc270-0d00-410a-b2ea-b0845ad242a0	90a00b1d-6101-4ecf-a098-2bcd3f67f535	CRAC_WITHOUT_FAN
b47cc270-0d00-410a-b2ea-b0845ad242a0	9429020b-ad80-44a7-9539-8ea9fb1cf14e	CRAC_FAN
b47cc270-0d00-410a-b2ea-b0845ad242a0	3afbb177-c2f0-443e-b0bb-fc6ac993c25f	CHILLER
b47cc270-0d00-410a-b2ea-b0845ad242a0	4aed992d-d5c3-435d-a4bc-72034932d85e	AIR_COOLED_CHILLER
b47cc270-0d00-410a-b2ea-b0845ad242a0	53de922b-20d6-497a-b0d8-7bfa443cdca9	COOLING_TOWER
b47cc270-0d00-410a-b2ea-b0845ad242a0	0d2fd447-21da-4c16-9339-eebf6ac51f0a	DRY_COOLER
b47cc270-0d00-410a-b2ea-b0845ad242a0	12209e2d-219c-4d1d-80b3-62f0fbb7ddda	REMOTE_CONDENSER
b47cc270-0d00-410a-b2ea-b0845ad242a0	2db0960d-f1cd-412b-b836-03800a185400	CHILLED_WATER_PUMPS
b47cc270-0d00-410a-b2ea-b0845ad242a0	b2de42d3-7c25-424c-9b9b-ebf048c4c8e0	HEAT_REJECTION_PUMPS
b47cc270-0d00-410a-b2ea-b0845ad242a0	dc7b9b5d-94b0-4bed-8c6e-fa70bbdde66f	VENTILATION
b47cc270-0d00-410a-b2ea-b0845ad242a0	589647a0-399d-4a1a-8e1e-2fe0adcfedce	INFILTRATION
b47cc270-0d00-410a-b2ea-b0845ad242a0	9ff26bc6-32b2-4b92-9fed-503d5cb158bc	IT_LOAD
75a8e41a-bab8-48bd-9f00-cd653819a19e	fe13f6db-68d7-440e-852e-57db8fdcaec1	SWITCHGEAR
75a8e41a-bab8-48bd-9f00-cd653819a19e	d193e4e8-1f1d-4ef0-a242-68a2c0fd49c2	GENERATOR
75a8e41a-bab8-48bd-9f00-cd653819a19e	609f8c93-1f6a-4783-a911-948c42f13d8d	PRIMARY_AUXILIARIES
75a8e41a-bab8-48bd-9f00-cd653819a19e	263193d3-99b5-46ab-b56c-457e4dddad30	UPS
75a8e41a-bab8-48bd-9f00-cd653819a19e	6436970b-5479-43be-8903-c50d78002ffa	CRITICAL_AUXILIARIES
75a8e41a-bab8-48bd-9f00-cd653819a19e	1b99f77f-c97e-4479-b374-91a0e571a1b0	LIGHTING
75a8e41a-bab8-48bd-9f00-cd653819a19e	5e328ffe-8146-4522-bc4b-080b86e3ee99	CRITICAL_POWER_DISTRIBUTION
75a8e41a-bab8-48bd-9f00-cd653819a19e	ff6ff785-2fda-4596-8464-6556ddd49d4d	CRAH
75a8e41a-bab8-48bd-9f00-cd653819a19e	f2fb179c-d7b6-465a-9956-827c4c2321e0	CRAC
75a8e41a-bab8-48bd-9f00-cd653819a19e	5957c5df-5e72-44cd-a2e0-9db19af99c61	CRAC_WITHOUT_FAN
75a8e41a-bab8-48bd-9f00-cd653819a19e	fba69865-ab5a-4a82-bc9d-220fd81b3199	CRAC_FAN
75a8e41a-bab8-48bd-9f00-cd653819a19e	5b575ec7-c2f4-453e-ad70-26dd01dec5d0	CHILLER
75a8e41a-bab8-48bd-9f00-cd653819a19e	a6523e2b-53da-4bfb-97d9-59351f5f1392	AIR_COOLED_CHILLER
75a8e41a-bab8-48bd-9f00-cd653819a19e	c3e6923b-5757-442f-96ea-20dd3d162828	COOLING_TOWER
75a8e41a-bab8-48bd-9f00-cd653819a19e	40d0a155-ab5c-4249-a297-2f8aca716172	DRY_COOLER
75a8e41a-bab8-48bd-9f00-cd653819a19e	8c4ab8e1-9209-4e24-a644-4f77d6d3e0f4	REMOTE_CONDENSER
75a8e41a-bab8-48bd-9f00-cd653819a19e	e2001192-1ae7-4a56-904c-4f649723e124	CHILLED_WATER_PUMPS
75a8e41a-bab8-48bd-9f00-cd653819a19e	d2fe45e2-8719-4387-8e1b-a14a12961a70	HEAT_REJECTION_PUMPS
75a8e41a-bab8-48bd-9f00-cd653819a19e	0e4bdd7e-a342-4662-b987-a647fba31757	VENTILATION
75a8e41a-bab8-48bd-9f00-cd653819a19e	afd793f6-0b00-4a23-b700-11ce829f7a87	INFILTRATION
75a8e41a-bab8-48bd-9f00-cd653819a19e	c1f099f1-ddd2-4172-8ab0-d661623179c1	IT_LOAD
6e0e2c52-5383-48c9-a622-59410d02e8c2	b577e17c-9113-4ffb-b93b-9a82903aed22	SWITCHGEAR
6e0e2c52-5383-48c9-a622-59410d02e8c2	98d11b0c-d58d-4cea-b196-df507a61699e	GENERATOR
6e0e2c52-5383-48c9-a622-59410d02e8c2	c18828f3-b6f6-4b43-9c33-b84212b4a1e0	PRIMARY_AUXILIARIES
6e0e2c52-5383-48c9-a622-59410d02e8c2	6fa12f0d-23db-4e03-a868-09da97807c94	UPS
6e0e2c52-5383-48c9-a622-59410d02e8c2	596d12a2-21e0-4053-8677-84b4283daebd	CRITICAL_AUXILIARIES
6e0e2c52-5383-48c9-a622-59410d02e8c2	e96f584b-6862-4cc8-bc27-475d42084a9a	LIGHTING
6e0e2c52-5383-48c9-a622-59410d02e8c2	11f899d0-cf16-422b-87d0-2bcc02766989	CRITICAL_POWER_DISTRIBUTION
6e0e2c52-5383-48c9-a622-59410d02e8c2	e4dd6099-3788-4f4a-bd48-3e47941ad275	CRAH
6e0e2c52-5383-48c9-a622-59410d02e8c2	606632ab-637d-4956-894d-fa5faa4f2f21	CRAC
6e0e2c52-5383-48c9-a622-59410d02e8c2	58edb14a-950b-4c6f-8acb-836909926948	CRAC_WITHOUT_FAN
6e0e2c52-5383-48c9-a622-59410d02e8c2	b56d235d-b6c5-4b79-a422-6cac5b29e4bd	CRAC_FAN
6e0e2c52-5383-48c9-a622-59410d02e8c2	643624e2-7dd4-4d6b-b9b7-3f94390db6b6	CHILLER
6e0e2c52-5383-48c9-a622-59410d02e8c2	77aefbf5-a26e-442b-babb-5019de033c5a	AIR_COOLED_CHILLER
6e0e2c52-5383-48c9-a622-59410d02e8c2	0519b230-74e4-4848-9941-d45f96301916	COOLING_TOWER
6e0e2c52-5383-48c9-a622-59410d02e8c2	67b5af9c-bd9b-43cb-ba45-cf8b11f05487	DRY_COOLER
6e0e2c52-5383-48c9-a622-59410d02e8c2	f368760e-1382-4513-be7f-38fbb5d5220f	REMOTE_CONDENSER
6e0e2c52-5383-48c9-a622-59410d02e8c2	653b6f44-e61c-4af4-85d0-f94861e9f240	CHILLED_WATER_PUMPS
6e0e2c52-5383-48c9-a622-59410d02e8c2	631be97d-b0d7-4d93-b666-2624837bccaf	HEAT_REJECTION_PUMPS
6e0e2c52-5383-48c9-a622-59410d02e8c2	080c8d21-8a3b-4aa5-9b3f-c3e94132f9b1	VENTILATION
6e0e2c52-5383-48c9-a622-59410d02e8c2	4e5d1890-db16-42fc-bf0a-e2f4c8ea003f	INFILTRATION
6e0e2c52-5383-48c9-a622-59410d02e8c2	bfa33e3e-ff49-4862-a543-e96019554373	IT_LOAD
c0a3bdda-8a49-4194-8d18-21c8fb317001	02cd3230-2548-4546-9c0d-120de8df7f89	SWITCHGEAR
c0a3bdda-8a49-4194-8d18-21c8fb317001	62877319-68e5-42fa-b7f7-2e52cc0b7d4d	GENERATOR
c0a3bdda-8a49-4194-8d18-21c8fb317001	f8c38adf-6390-4b96-bbcf-99aacdcf202b	PRIMARY_AUXILIARIES
c0a3bdda-8a49-4194-8d18-21c8fb317001	5be05302-5924-458c-af6a-e047031995d3	UPS
c0a3bdda-8a49-4194-8d18-21c8fb317001	3f5409e8-40f1-4d80-9fad-8ba1bad9895d	CRITICAL_AUXILIARIES
c0a3bdda-8a49-4194-8d18-21c8fb317001	2fb525fe-b450-458e-b5b7-e2014af739ae	LIGHTING
c0a3bdda-8a49-4194-8d18-21c8fb317001	58e0aae5-d70d-40a8-b776-2b612d98620a	CRITICAL_POWER_DISTRIBUTION
c0a3bdda-8a49-4194-8d18-21c8fb317001	2037c2d4-c8af-4e24-a6d0-caa619426bb3	CRAH
c0a3bdda-8a49-4194-8d18-21c8fb317001	9dafda76-44da-4d53-a0e0-2afcaa7a9163	CRAC
c0a3bdda-8a49-4194-8d18-21c8fb317001	67c06195-90ef-4961-ba47-ba8f88f09b00	CRAC_WITHOUT_FAN
c0a3bdda-8a49-4194-8d18-21c8fb317001	51bcc18f-ea9f-415d-9b65-ce647002b242	CRAC_FAN
c0a3bdda-8a49-4194-8d18-21c8fb317001	5fb1e53f-e1cc-415d-b3b5-6a3569527a55	CHILLER
c0a3bdda-8a49-4194-8d18-21c8fb317001	886133dc-7c7f-44e1-9668-f3de1883193a	AIR_COOLED_CHILLER
c0a3bdda-8a49-4194-8d18-21c8fb317001	115f55a2-5eef-4119-a6cf-d92479534554	COOLING_TOWER
c0a3bdda-8a49-4194-8d18-21c8fb317001	f3c0178f-f2d0-4205-af2e-cd95448b1dea	DRY_COOLER
c0a3bdda-8a49-4194-8d18-21c8fb317001	e2f287f5-7395-48f3-bcc6-464ff378ede1	REMOTE_CONDENSER
c0a3bdda-8a49-4194-8d18-21c8fb317001	eff3bd62-ae3b-44f4-b036-a85d6e428356	CHILLED_WATER_PUMPS
c0a3bdda-8a49-4194-8d18-21c8fb317001	adf5155f-0566-4e8f-82b4-7f8f5ca1b8ef	HEAT_REJECTION_PUMPS
c0a3bdda-8a49-4194-8d18-21c8fb317001	43256cbd-8148-4272-95ef-c9b0d27c0eaf	VENTILATION
c0a3bdda-8a49-4194-8d18-21c8fb317001	dc2ad757-ad4c-4b15-98e9-38f32ca4e27a	INFILTRATION
c0a3bdda-8a49-4194-8d18-21c8fb317001	ab28ade5-f1e4-4299-ab71-10646fccef9d	IT_LOAD
7ebf7f71-1084-436d-af2e-80bcf8526ee4	25ac6309-0773-4351-b56a-cee577c55922	SWITCHGEAR
7ebf7f71-1084-436d-af2e-80bcf8526ee4	d40ef592-96a4-4289-a2ee-fbe6287d4662	GENERATOR
7ebf7f71-1084-436d-af2e-80bcf8526ee4	75c65a1c-1a2a-4899-b05f-19f81e033193	PRIMARY_AUXILIARIES
7ebf7f71-1084-436d-af2e-80bcf8526ee4	15ade266-9dc1-426e-8831-3cc47b53e90a	UPS
7ebf7f71-1084-436d-af2e-80bcf8526ee4	b41d9b04-89cb-4cfd-ae7e-59c1963cbc7e	CRITICAL_AUXILIARIES
7ebf7f71-1084-436d-af2e-80bcf8526ee4	314555f6-16ee-4e7b-89ff-78cf314a2c06	LIGHTING
7ebf7f71-1084-436d-af2e-80bcf8526ee4	277ce693-a63f-4ee9-9351-fa9c6bcd2dcf	CRITICAL_POWER_DISTRIBUTION
7ebf7f71-1084-436d-af2e-80bcf8526ee4	056371f6-41ff-4a27-8ef7-ca0a954687de	CRAH
7ebf7f71-1084-436d-af2e-80bcf8526ee4	bccb701c-12f7-4231-b0e3-ac231f5704c6	CRAC
7ebf7f71-1084-436d-af2e-80bcf8526ee4	a9b94c89-99eb-4ba1-83f5-4fa4ebbf214a	CRAC_WITHOUT_FAN
7ebf7f71-1084-436d-af2e-80bcf8526ee4	80e96155-bd12-4f6c-b8b3-9f3ed4b70c9c	CRAC_FAN
7ebf7f71-1084-436d-af2e-80bcf8526ee4	71530f11-f844-4ab6-959a-f5994a163aa3	CHILLER
7ebf7f71-1084-436d-af2e-80bcf8526ee4	59dd8171-b968-4527-a448-857e528ebb8e	AIR_COOLED_CHILLER
7ebf7f71-1084-436d-af2e-80bcf8526ee4	d0477443-aabb-4bd5-a749-43307c402fda	COOLING_TOWER
7ebf7f71-1084-436d-af2e-80bcf8526ee4	edc22348-32c8-4bde-ab06-7f1ca4bbdfed	DRY_COOLER
7ebf7f71-1084-436d-af2e-80bcf8526ee4	9146ed32-37e2-4698-bb69-d97a3e62ea55	REMOTE_CONDENSER
7ebf7f71-1084-436d-af2e-80bcf8526ee4	b2c99e2d-b17d-4fd8-80a0-8d07665aa075	CHILLED_WATER_PUMPS
7ebf7f71-1084-436d-af2e-80bcf8526ee4	30fc3358-64f7-40f9-a28b-b6057dc61c6a	HEAT_REJECTION_PUMPS
7ebf7f71-1084-436d-af2e-80bcf8526ee4	66126dba-9048-4705-81e8-01999eb977b9	VENTILATION
7ebf7f71-1084-436d-af2e-80bcf8526ee4	bd47328b-7baf-4e66-9864-4d6216ac2461	INFILTRATION
7ebf7f71-1084-436d-af2e-80bcf8526ee4	2ac7ab88-ec85-4370-9cd2-6a9618aa99fe	IT_LOAD
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	65c35bcc-80dd-4dad-b607-ae1f06c0ac9e	SWITCHGEAR
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	ac6967d4-620b-4c9f-9d8f-c45229e0d14b	GENERATOR
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	45397a81-5041-4b3c-8043-6a234e1d4402	PRIMARY_AUXILIARIES
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	49c027e2-d2ea-44e5-bd58-7cdbc1b1ac70	UPS
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	dddfd4fb-95d0-40b2-a600-e69c3b8088cf	CRITICAL_AUXILIARIES
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	93ac3b34-3d80-4a9f-bb1d-b695ce9fe145	LIGHTING
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	a7f77361-12ca-4c9d-afc1-7a625e2df665	CRITICAL_POWER_DISTRIBUTION
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	21586021-5a2e-491a-9a2f-09046ae61334	CRAH
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	993b5793-8aad-4c62-b13b-78bbd622cc62	CRAC
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	50ccf9b1-92b2-49ed-8006-91feb600aace	CRAC_WITHOUT_FAN
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	5bf6e2e8-29a1-4b38-994b-b93922d9ec8e	CRAC_FAN
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	f5d57433-a406-4e7d-b0ac-f6b08b50f5dd	CHILLER
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	333302fd-2225-4a3a-bbeb-f43be3c8c177	AIR_COOLED_CHILLER
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	b3a9abce-9a20-4924-b01e-5098c91355a6	COOLING_TOWER
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	230ffaf3-f450-4078-b908-428410e5ba02	DRY_COOLER
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	a74f63c4-2668-4ff4-9ed9-1b1ee36ef136	REMOTE_CONDENSER
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	0ce6dc63-62c3-4f90-af7e-6a3e9aec5fea	CHILLED_WATER_PUMPS
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	6b424507-3599-4c53-8f67-62883375087c	HEAT_REJECTION_PUMPS
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	b4191e65-5a2d-4bd2-82be-8d59360e8f46	VENTILATION
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	8be3cbc7-44a0-4d03-9458-be6c05534042	INFILTRATION
cbdcb1f3-4a14-4da4-aae0-059a25fce87b	f1b8272c-b0d1-4d53-9a11-f540cd3913a6	IT_LOAD
814a14f5-c414-4efd-a6c7-cb0a8e888be7	479c1952-262f-458e-965b-937609cdf77f	SWITCHGEAR
814a14f5-c414-4efd-a6c7-cb0a8e888be7	e34c85bd-b3d0-42c5-a222-c98d0133d4ed	GENERATOR
814a14f5-c414-4efd-a6c7-cb0a8e888be7	1f01f93d-723b-45d9-ad82-67174c5eb9f3	PRIMARY_AUXILIARIES
814a14f5-c414-4efd-a6c7-cb0a8e888be7	df08bd0e-67a2-4186-87d6-abc42dce2301	UPS
814a14f5-c414-4efd-a6c7-cb0a8e888be7	e4a95c0b-d56a-4fc3-96e3-94d706dfc1ad	CRITICAL_AUXILIARIES
814a14f5-c414-4efd-a6c7-cb0a8e888be7	fe3cc673-f05f-432d-a770-6279cca20119	LIGHTING
814a14f5-c414-4efd-a6c7-cb0a8e888be7	ce86c3d9-9038-4237-950f-57cc86d765c1	CRITICAL_POWER_DISTRIBUTION
814a14f5-c414-4efd-a6c7-cb0a8e888be7	14216a5c-4e14-4269-a29b-e430cef4c8b3	CRAH
814a14f5-c414-4efd-a6c7-cb0a8e888be7	dc2085b6-78f4-4754-b965-ab6cc4d08bc2	CRAC
814a14f5-c414-4efd-a6c7-cb0a8e888be7	242b5f3b-72d0-42bc-adc2-55776797cb54	CRAC_WITHOUT_FAN
814a14f5-c414-4efd-a6c7-cb0a8e888be7	c1f5ea63-34af-4ed4-b6a3-273fa5429033	CRAC_FAN
814a14f5-c414-4efd-a6c7-cb0a8e888be7	7ec510af-1598-4355-9809-b30ea589dff4	CHILLER
814a14f5-c414-4efd-a6c7-cb0a8e888be7	2d14ba50-a166-4ff8-a42c-9b3b3ff47484	AIR_COOLED_CHILLER
814a14f5-c414-4efd-a6c7-cb0a8e888be7	af451f20-3332-4d17-9020-1642aa9a5d2e	COOLING_TOWER
814a14f5-c414-4efd-a6c7-cb0a8e888be7	b7b06b8a-71d4-4807-b81f-dd1e344c377c	DRY_COOLER
814a14f5-c414-4efd-a6c7-cb0a8e888be7	01d3e14c-19d7-4d0a-8a1f-8aba6430c24d	REMOTE_CONDENSER
814a14f5-c414-4efd-a6c7-cb0a8e888be7	5105e75e-d218-4712-ae38-df39fc077447	CHILLED_WATER_PUMPS
814a14f5-c414-4efd-a6c7-cb0a8e888be7	683fb7a7-9a1c-455d-bb02-cad1e3beb6ac	HEAT_REJECTION_PUMPS
814a14f5-c414-4efd-a6c7-cb0a8e888be7	7052c944-889f-4924-9b35-462c0fb476f9	VENTILATION
814a14f5-c414-4efd-a6c7-cb0a8e888be7	1d8ff4d1-2feb-4595-a3d9-145fc060aeeb	INFILTRATION
814a14f5-c414-4efd-a6c7-cb0a8e888be7	7c18a399-c4ee-475c-ba98-8a25295a6b8a	IT_LOAD
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	c8fe841e-b112-44d3-a7f7-0cdc99fbbfc2	SWITCHGEAR
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	2b513391-6673-47d7-839a-88fd2ee5c2b7	GENERATOR
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	a06e07da-c63b-449c-9249-8b0b0602c63c	PRIMARY_AUXILIARIES
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	45827ada-71a9-4abe-b347-bba387c544d9	UPS
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	47bc05cf-1748-4f63-8cfb-65b7cdbba5a2	CRITICAL_AUXILIARIES
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	9bc60241-e071-4fe7-bfe3-c5dd1cd88c99	LIGHTING
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	93b94c51-50cb-4d31-be92-386512d75333	CRITICAL_POWER_DISTRIBUTION
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	c9ed152f-3ffb-407d-9312-be764fc79ba8	CRAH
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	082ecb39-c225-4cab-8f8b-9d9f588a22af	CRAC
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	7dcd8e54-4b02-4bb4-9b62-14bc6d9c8419	CRAC_WITHOUT_FAN
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	49b51752-463c-41ae-90e1-00c00f578502	CRAC_FAN
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	f05c0e40-3626-41fd-9cd9-56b73f33d85b	CHILLER
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	91b3cbdb-c30a-4f0c-bc24-c73c35a80fdd	AIR_COOLED_CHILLER
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	76cf3c6b-ae37-478b-ade1-e14bd2772ae6	COOLING_TOWER
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	3cf66fde-d3ce-4388-a2e7-d137295592a3	DRY_COOLER
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	a8dfe26f-a808-4237-a3d8-d9e1831ff398	REMOTE_CONDENSER
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	a522ab78-9f07-47b8-891f-94541b32bef7	CHILLED_WATER_PUMPS
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	0f80854f-254a-43fe-9436-2d119a36fda0	HEAT_REJECTION_PUMPS
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	3da2506b-03c4-4b29-a78d-4df8d0bee0af	VENTILATION
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	9d473d72-8af7-40a9-8849-a1412246290d	INFILTRATION
3e5b2416-c8c0-4740-a8ac-5ae10166cfb2	ecf53523-1728-41a6-b08e-f476e265b790	IT_LOAD
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	6d61c501-78f5-4252-b5f5-8d7b5330ffef	SWITCHGEAR
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	22b21c85-7597-4a73-b248-99cd94b41166	GENERATOR
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	dc8bcc1b-54ad-4699-9e13-8e4d8e02c87a	PRIMARY_AUXILIARIES
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	6f769980-4ddb-4fa7-bb9f-e2cb082d21df	UPS
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	ea939310-6fb8-47f6-a2f1-96aab02db030	CRITICAL_AUXILIARIES
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	e4b2a466-b3d6-4f9f-8392-218dae8572a7	LIGHTING
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	c1e1efcd-5538-4901-ae35-8f76da9751fd	CRITICAL_POWER_DISTRIBUTION
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	954e63db-0d93-4428-ac7e-819d7c20a51e	CRAH
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	849ba123-d55c-4b6b-950e-ffb5d9a6b249	CRAC
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	5c745311-e967-4c4c-be4f-b9a3ab2fb350	CRAC_WITHOUT_FAN
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	294fd21b-b699-46d0-8d66-75d62a619a58	CRAC_FAN
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	5064ded4-68b6-4474-8466-1b232bc34c3d	CHILLER
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	1945c25a-2326-499c-94bb-81edba032094	AIR_COOLED_CHILLER
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	ba542db0-76ed-40fd-beb9-998b14a9aa10	COOLING_TOWER
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	be008fef-e5e3-4673-a79a-e269936c0bcf	DRY_COOLER
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	4c804104-944f-4270-9643-4ee622f174a1	REMOTE_CONDENSER
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	ff9df12a-62c3-4212-8072-bfd6ebe3a7a5	CHILLED_WATER_PUMPS
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	a14fa967-7e7a-49c9-b437-d16c80d5d173	HEAT_REJECTION_PUMPS
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	7d9c395c-4c93-47dc-b8ef-8b28acc026ae	VENTILATION
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	f15b86c5-5d23-4b1b-88ac-97ab7c07f437	INFILTRATION
d2eeb7f9-6fce-4639-bf87-a227e409c5ed	97508af6-5aba-4098-ae62-b1180cab9a70	IT_LOAD
ceebd612-fcbf-4057-b555-7274c407f670	70f380a6-cf95-48b3-b353-824e433b657d	SWITCHGEAR
ceebd612-fcbf-4057-b555-7274c407f670	9cba9b91-c005-448f-ac78-522dc5d3889a	GENERATOR
ceebd612-fcbf-4057-b555-7274c407f670	5267c3d2-6de9-4181-ae68-7b93b7b5f4da	PRIMARY_AUXILIARIES
ceebd612-fcbf-4057-b555-7274c407f670	c981d9d5-8f53-4303-8257-501146256aed	UPS
ceebd612-fcbf-4057-b555-7274c407f670	523c2de5-634f-41d3-833a-bf4dda1a9cfd	CRITICAL_AUXILIARIES
ceebd612-fcbf-4057-b555-7274c407f670	5d7cca66-e5e7-47b6-a304-b9210febd270	LIGHTING
ceebd612-fcbf-4057-b555-7274c407f670	46ed3e51-455a-494e-bb46-51ed4c1b65b8	CRITICAL_POWER_DISTRIBUTION
ceebd612-fcbf-4057-b555-7274c407f670	a840c524-3bb7-4985-8f14-3b8f9e7ff714	CRAH
ceebd612-fcbf-4057-b555-7274c407f670	f66830af-115b-449d-9740-45b7ec6a0001	CRAC
ceebd612-fcbf-4057-b555-7274c407f670	e5ab3a01-2e6e-424d-add9-7a42a3a5efd8	CRAC_WITHOUT_FAN
ceebd612-fcbf-4057-b555-7274c407f670	2d222693-1691-44c1-a0ff-489d773e4ec0	CRAC_FAN
ceebd612-fcbf-4057-b555-7274c407f670	83d572ef-61a1-4b68-90d4-96595121d1ec	CHILLER
ceebd612-fcbf-4057-b555-7274c407f670	0125025e-be00-4fed-97be-d763136b7404	AIR_COOLED_CHILLER
ceebd612-fcbf-4057-b555-7274c407f670	873ad4d1-2ada-48d5-84d5-c4bcf3cbd293	COOLING_TOWER
ceebd612-fcbf-4057-b555-7274c407f670	30643b92-d174-471e-8f42-fe2428747e84	DRY_COOLER
ceebd612-fcbf-4057-b555-7274c407f670	b1b13131-aafb-433e-84df-599db9906c2e	REMOTE_CONDENSER
ceebd612-fcbf-4057-b555-7274c407f670	45df4567-d994-4b8f-b030-eec7246b0ab4	CHILLED_WATER_PUMPS
ceebd612-fcbf-4057-b555-7274c407f670	f7095be3-fee5-4322-8ff2-27d6b5d46069	HEAT_REJECTION_PUMPS
ceebd612-fcbf-4057-b555-7274c407f670	5525a153-c231-4a2b-ad5f-280511e6751b	VENTILATION
ceebd612-fcbf-4057-b555-7274c407f670	ceff64a4-86f0-4bbf-a6f0-0b6861b08da4	INFILTRATION
ceebd612-fcbf-4057-b555-7274c407f670	a9ced3eb-ebef-4f94-9fdb-d14a537b8b95	IT_LOAD
12d02982-d006-4da9-92cf-e0b607182637	90a58fb3-a81c-413b-9e72-aeaed8dc5522	SWITCHGEAR
12d02982-d006-4da9-92cf-e0b607182637	b1c780b8-f130-47d5-bb51-87575dc7128c	GENERATOR
12d02982-d006-4da9-92cf-e0b607182637	8afe68db-0864-4562-8bd1-710922ed8810	PRIMARY_AUXILIARIES
12d02982-d006-4da9-92cf-e0b607182637	283a3c13-fa5e-471a-b904-d6e4af34cada	UPS
12d02982-d006-4da9-92cf-e0b607182637	4e5f4f2d-8801-4aba-978f-1e67f69444cc	CRITICAL_AUXILIARIES
12d02982-d006-4da9-92cf-e0b607182637	efab0cf1-1f3d-4533-bae0-d3186cb03d42	LIGHTING
12d02982-d006-4da9-92cf-e0b607182637	eb389dca-250f-4474-a2b6-75be4fa0dca1	CRITICAL_POWER_DISTRIBUTION
12d02982-d006-4da9-92cf-e0b607182637	f2ff6e26-9167-4ed9-83d4-4f129f12e2ff	CRAH
12d02982-d006-4da9-92cf-e0b607182637	eedb3636-b165-46c7-8143-eda55be683e8	CRAC
12d02982-d006-4da9-92cf-e0b607182637	5c826d0e-a54b-4d6d-8420-721b9a95dbeb	CRAC_WITHOUT_FAN
12d02982-d006-4da9-92cf-e0b607182637	b120a6a2-1595-4144-87ba-1e3ba7840bce	CRAC_FAN
12d02982-d006-4da9-92cf-e0b607182637	0e77a53b-ab70-477c-a95e-e165cc4cf449	CHILLER
12d02982-d006-4da9-92cf-e0b607182637	c1937a9a-95f4-40ec-9097-c2e58ba2a8b8	AIR_COOLED_CHILLER
12d02982-d006-4da9-92cf-e0b607182637	8cab141b-e19a-4fdf-8675-7de47a553c6c	COOLING_TOWER
12d02982-d006-4da9-92cf-e0b607182637	8acd6c29-f452-4ffa-983b-8fa4dcce802c	DRY_COOLER
12d02982-d006-4da9-92cf-e0b607182637	89712791-5f6f-4465-ad4f-45bda7e7a7ad	REMOTE_CONDENSER
12d02982-d006-4da9-92cf-e0b607182637	d2a49ddb-17b0-47dc-b62c-1edf420dcb71	CHILLED_WATER_PUMPS
12d02982-d006-4da9-92cf-e0b607182637	faab02a5-eac1-48b8-93b9-6f0377102f4f	HEAT_REJECTION_PUMPS
12d02982-d006-4da9-92cf-e0b607182637	46835011-6ce8-476d-84c8-923dae5c53a1	VENTILATION
12d02982-d006-4da9-92cf-e0b607182637	3dcc0658-af5e-4958-b8a5-b2ae88d75f6f	INFILTRATION
12d02982-d006-4da9-92cf-e0b607182637	a61efec7-1aaa-4278-8a0b-f1677e64648c	IT_LOAD
e2f22606-e3a8-46da-b505-7c86a583aefc	19627ca6-e3f4-4925-8c3c-257f7115dafe	SWITCHGEAR
e2f22606-e3a8-46da-b505-7c86a583aefc	9c795655-194a-4933-9aa7-6dd4d5f09375	GENERATOR
e2f22606-e3a8-46da-b505-7c86a583aefc	885eba0e-558f-48c2-baa2-a70569e17506	PRIMARY_AUXILIARIES
e2f22606-e3a8-46da-b505-7c86a583aefc	f7820506-df0b-4717-9811-5966383a6208	UPS
e2f22606-e3a8-46da-b505-7c86a583aefc	7623eac8-bad5-4e86-980f-95ced39ab123	CRITICAL_AUXILIARIES
e2f22606-e3a8-46da-b505-7c86a583aefc	5135683a-ae33-48b5-a947-b56da22f682d	LIGHTING
e2f22606-e3a8-46da-b505-7c86a583aefc	890e7cb1-c0a4-4847-8cbb-486621dc5ad4	CRITICAL_POWER_DISTRIBUTION
e2f22606-e3a8-46da-b505-7c86a583aefc	b3293977-5bed-4f30-bb3a-ca7c619b3100	CRAH
e2f22606-e3a8-46da-b505-7c86a583aefc	019bf492-ea0b-4bca-98c8-fc3e6aef51c3	CRAC
e2f22606-e3a8-46da-b505-7c86a583aefc	5259ff0a-39b4-4cb4-99cd-53114dd17cc4	CRAC_WITHOUT_FAN
e2f22606-e3a8-46da-b505-7c86a583aefc	a26dbc6d-7f0f-4fab-80f0-9c29e5c47c5c	CRAC_FAN
e2f22606-e3a8-46da-b505-7c86a583aefc	fbe58de2-c50c-4705-a0dc-a5239ac91a9c	CHILLER
e2f22606-e3a8-46da-b505-7c86a583aefc	508f512c-8c5f-4570-bce6-a574f454221d	AIR_COOLED_CHILLER
e2f22606-e3a8-46da-b505-7c86a583aefc	8c7787ba-56ee-4ce0-8dc6-72dc456b2acb	COOLING_TOWER
e2f22606-e3a8-46da-b505-7c86a583aefc	17219c7e-8a97-48ec-93db-6d1fb04c71c6	DRY_COOLER
e2f22606-e3a8-46da-b505-7c86a583aefc	cb5c5184-ae75-4879-915a-9ff928a8a980	REMOTE_CONDENSER
e2f22606-e3a8-46da-b505-7c86a583aefc	726dc767-1e43-49ba-8279-a4a5a1d04a5b	CHILLED_WATER_PUMPS
e2f22606-e3a8-46da-b505-7c86a583aefc	6ad42624-2ad7-4f51-8ff5-fa42fa8cfc96	HEAT_REJECTION_PUMPS
e2f22606-e3a8-46da-b505-7c86a583aefc	331a065b-6a28-4a1d-9115-552f2b374459	VENTILATION
e2f22606-e3a8-46da-b505-7c86a583aefc	9ed1d058-dea3-4b9f-adf7-9d0ef734919f	INFILTRATION
e2f22606-e3a8-46da-b505-7c86a583aefc	c8a6545e-b2b9-44de-8100-3c1cf19eafc2	IT_LOAD
3e7b4b99-fb45-434d-8f02-833fb2e7901f	508a6707-d368-488f-bf33-7096d6863c43	SWITCHGEAR
3e7b4b99-fb45-434d-8f02-833fb2e7901f	52a4d421-fc67-4b11-80e3-621e97505624	GENERATOR
3e7b4b99-fb45-434d-8f02-833fb2e7901f	7580613d-5608-437b-b0fd-6898e35bdd79	PRIMARY_AUXILIARIES
3e7b4b99-fb45-434d-8f02-833fb2e7901f	49787df8-b162-43ac-88c5-0f366a40ba68	UPS
3e7b4b99-fb45-434d-8f02-833fb2e7901f	13692eea-a19e-4352-82ef-b13097c883b0	CRITICAL_AUXILIARIES
3e7b4b99-fb45-434d-8f02-833fb2e7901f	b7504614-2512-4042-8401-d754bc7f2111	LIGHTING
3e7b4b99-fb45-434d-8f02-833fb2e7901f	dc789853-e123-4224-840c-9edfef127c1e	CRITICAL_POWER_DISTRIBUTION
3e7b4b99-fb45-434d-8f02-833fb2e7901f	da9be08f-5ee8-4de0-a709-ebac2595ee03	CRAH
3e7b4b99-fb45-434d-8f02-833fb2e7901f	417ac2b9-618a-4c23-a857-47211a18bae2	CRAC
3e7b4b99-fb45-434d-8f02-833fb2e7901f	891598db-cbd7-4e82-9d59-68956723417b	CRAC_WITHOUT_FAN
3e7b4b99-fb45-434d-8f02-833fb2e7901f	1a7c825a-e35c-423e-ba23-24778133ae53	CRAC_FAN
3e7b4b99-fb45-434d-8f02-833fb2e7901f	5287205f-c58f-4949-ad4d-9164b08f0e6d	CHILLER
3e7b4b99-fb45-434d-8f02-833fb2e7901f	24d46715-8fde-4963-828f-defcf71fc221	AIR_COOLED_CHILLER
3e7b4b99-fb45-434d-8f02-833fb2e7901f	08545782-7f5f-4e9c-ae58-d6094778b9e8	COOLING_TOWER
3e7b4b99-fb45-434d-8f02-833fb2e7901f	9c98105e-a85e-47b4-b464-f8cbd3bc4fb4	DRY_COOLER
3e7b4b99-fb45-434d-8f02-833fb2e7901f	fa465a97-762f-46c9-8064-48199b2c397b	REMOTE_CONDENSER
3e7b4b99-fb45-434d-8f02-833fb2e7901f	59b70f18-a039-41c3-a2a8-8836bf1e1f54	CHILLED_WATER_PUMPS
3e7b4b99-fb45-434d-8f02-833fb2e7901f	2714fcdc-52db-4138-b785-177f7e6f6c3b	HEAT_REJECTION_PUMPS
3e7b4b99-fb45-434d-8f02-833fb2e7901f	5d6a0118-c693-4d1d-88b0-acdbb4a90cf0	VENTILATION
3e7b4b99-fb45-434d-8f02-833fb2e7901f	10fc1de4-74b6-41ec-b829-a850539b62d4	INFILTRATION
3e7b4b99-fb45-434d-8f02-833fb2e7901f	1924ff60-644f-4a8e-a896-d986cdf6084d	IT_LOAD
4bb4fbf1-6617-4198-b41e-ced461c64efc	0d7a9cf8-a4ec-4425-a961-148cc476e14c	SWITCHGEAR
4bb4fbf1-6617-4198-b41e-ced461c64efc	2a291ee0-a317-43db-b021-7ffddeb60017	GENERATOR
4bb4fbf1-6617-4198-b41e-ced461c64efc	62daec0a-67a4-4ed6-a60f-bd2d9793ac61	PRIMARY_AUXILIARIES
4bb4fbf1-6617-4198-b41e-ced461c64efc	731814d7-f9b8-40bd-879d-c93f1d4691e2	UPS
4bb4fbf1-6617-4198-b41e-ced461c64efc	a717a116-cc18-4332-a3d3-d6b4e4f06bb6	CRITICAL_AUXILIARIES
4bb4fbf1-6617-4198-b41e-ced461c64efc	84d8f8e7-3cb3-4c58-aaf3-85ba0bec0c06	LIGHTING
4bb4fbf1-6617-4198-b41e-ced461c64efc	1fe6297d-c54d-425b-8a89-b128362be0f4	CRITICAL_POWER_DISTRIBUTION
4bb4fbf1-6617-4198-b41e-ced461c64efc	dd23cef4-d3c4-4a5a-a01c-cc35d67f6a60	CRAH
4bb4fbf1-6617-4198-b41e-ced461c64efc	71fbbdb1-4a79-48aa-bff4-8c0fbd99885b	CRAC
4bb4fbf1-6617-4198-b41e-ced461c64efc	8a42ffe6-ebaf-449c-97ee-04123af3194e	CRAC_WITHOUT_FAN
4bb4fbf1-6617-4198-b41e-ced461c64efc	8c43bae9-373e-4418-aacd-703d3b9ab664	CRAC_FAN
4bb4fbf1-6617-4198-b41e-ced461c64efc	b12ab3f2-f643-4585-8876-c6935f5a7ade	CHILLER
4bb4fbf1-6617-4198-b41e-ced461c64efc	df82bad0-b5d5-4ed5-8a76-efeee9abda6f	AIR_COOLED_CHILLER
4bb4fbf1-6617-4198-b41e-ced461c64efc	ac0f316b-331e-4689-b141-282305fd296b	COOLING_TOWER
4bb4fbf1-6617-4198-b41e-ced461c64efc	5e479794-9691-4859-b734-4e34e5000a48	DRY_COOLER
4bb4fbf1-6617-4198-b41e-ced461c64efc	f761d923-589c-4957-8c43-7cdd3d609d38	REMOTE_CONDENSER
4bb4fbf1-6617-4198-b41e-ced461c64efc	e0470877-6005-47f0-b80c-0808911d9c97	CHILLED_WATER_PUMPS
4bb4fbf1-6617-4198-b41e-ced461c64efc	cdcc1241-3cc9-438e-8bc4-52b3d8ffcc6c	HEAT_REJECTION_PUMPS
4bb4fbf1-6617-4198-b41e-ced461c64efc	11805c07-e619-40b3-bc76-1e3da21dbd43	VENTILATION
4bb4fbf1-6617-4198-b41e-ced461c64efc	967aba21-fd32-4354-997d-faa589dbb427	INFILTRATION
4bb4fbf1-6617-4198-b41e-ced461c64efc	937f228b-3824-416b-8044-6b5ecdaf159c	IT_LOAD
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	af4dd591-a32c-4345-be52-2d199df93f9b	SWITCHGEAR
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	6e4cf306-b06d-475d-ab7e-bf69b4ccf3d8	GENERATOR
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	a9b93d72-ca5f-428d-ba0a-08cfb3a881bc	PRIMARY_AUXILIARIES
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	7e4006cd-2ac1-4a47-8454-b6bb871ee6ca	UPS
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	8fbebb29-321e-40c2-9c91-027b7b7ddff1	CRITICAL_AUXILIARIES
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	d2f8959a-fb7e-4d25-8f0d-fb3a17408e5b	LIGHTING
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	3ef19d8b-3ae3-449f-a1e5-98689d0e3dd4	CRITICAL_POWER_DISTRIBUTION
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	010e1826-d837-4b56-899d-4f14e010adf1	CRAH
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	fbb3ee2c-8e4b-4550-8050-77deae4180d8	CRAC
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	982998e0-324c-42ad-8b03-8a58fc2c9eba	CRAC_WITHOUT_FAN
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	7e20d130-2cb9-4793-a531-7dd651cbf2e2	CRAC_FAN
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	80cf220f-4dc1-4502-befc-af622cf8dced	CHILLER
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	1a33ae13-3fc1-47ae-99fe-d8e8dd1a9d53	AIR_COOLED_CHILLER
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	cc7a67fb-4bf5-4f35-be58-f2a3194f1187	COOLING_TOWER
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	afd867b3-8b66-4ae0-9c60-cfd5fe2f9347	DRY_COOLER
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	b835788f-4ee7-40dd-9486-a7e7cce9f4b9	REMOTE_CONDENSER
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	37ebf9b0-3826-4134-8807-c30b721a810c	CHILLED_WATER_PUMPS
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	f6842c1a-eba5-47c2-806d-ba74cdd19bc5	HEAT_REJECTION_PUMPS
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	f4137d5f-284b-4f45-a4dd-8b35f2921c67	VENTILATION
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	8c2a75c1-f0e8-4a90-8a13-35ab8449fb98	INFILTRATION
d27b2f2b-8d51-459b-ba84-a3ecf40f5d57	a9f7c7bd-c4cd-44ec-89fd-0a9115d4bf63	IT_LOAD
8d76dda0-312c-4399-a63f-ca679fa541ad	29e5cbe7-bb23-4b21-a1d9-b5a1019f4646	SWITCHGEAR
8d76dda0-312c-4399-a63f-ca679fa541ad	11dbb731-6dd8-4567-9341-6a5c23b48bf9	GENERATOR
8d76dda0-312c-4399-a63f-ca679fa541ad	fd877f8b-99bc-4aee-9813-022a8e387e1c	PRIMARY_AUXILIARIES
8d76dda0-312c-4399-a63f-ca679fa541ad	bb90957a-5f01-4bc5-88b8-a9bb69d8c49a	UPS
8d76dda0-312c-4399-a63f-ca679fa541ad	28788b6b-85c2-49d6-af70-be804c638bff	CRITICAL_AUXILIARIES
8d76dda0-312c-4399-a63f-ca679fa541ad	99925ce8-cfa4-4e9c-948e-a7b95f4e5c19	LIGHTING
8d76dda0-312c-4399-a63f-ca679fa541ad	9c73011e-1d1c-45a0-afde-c2bbf8a27d84	CRITICAL_POWER_DISTRIBUTION
8d76dda0-312c-4399-a63f-ca679fa541ad	383d1c1b-ad7d-4686-bc4a-bdfcf34224e9	CRAH
8d76dda0-312c-4399-a63f-ca679fa541ad	ad4c571f-b4bd-4010-8ed7-60c896850bfe	CRAC
8d76dda0-312c-4399-a63f-ca679fa541ad	5b35a4c5-efb2-482a-b3cf-2907c19ecfaa	CRAC_WITHOUT_FAN
8d76dda0-312c-4399-a63f-ca679fa541ad	25d1c02a-c7ba-4254-a969-ee3e0d54dd89	CRAC_FAN
8d76dda0-312c-4399-a63f-ca679fa541ad	da067e4a-a7b0-4c18-b075-1f2f60e5ff59	CHILLER
8d76dda0-312c-4399-a63f-ca679fa541ad	fefe8088-9e35-4141-a106-d59fe8fe5ece	AIR_COOLED_CHILLER
8d76dda0-312c-4399-a63f-ca679fa541ad	d1de2288-f713-41cb-8dfd-2f6aafbea7b1	COOLING_TOWER
8d76dda0-312c-4399-a63f-ca679fa541ad	3fb8da91-30f5-45ba-8ed2-95dc77efb161	DRY_COOLER
8d76dda0-312c-4399-a63f-ca679fa541ad	172512e7-a355-4d2d-9178-561fd792d1bd	REMOTE_CONDENSER
8d76dda0-312c-4399-a63f-ca679fa541ad	ff3b229d-ef2d-4a7c-b2bb-afe2c6ea12b7	CHILLED_WATER_PUMPS
8d76dda0-312c-4399-a63f-ca679fa541ad	1240d80f-0577-4600-8870-bbfb7584d049	HEAT_REJECTION_PUMPS
8d76dda0-312c-4399-a63f-ca679fa541ad	a866d3e8-7dfd-4886-8f01-72759a4d49d8	VENTILATION
8d76dda0-312c-4399-a63f-ca679fa541ad	83ef621f-d885-48c7-af5a-587d0ad9fdb4	INFILTRATION
8d76dda0-312c-4399-a63f-ca679fa541ad	1805bb21-d3fb-4d98-a677-b5c5f5c2d8d1	IT_LOAD
a89a0f42-bcb2-496f-a263-801750f23845	03e88bc8-8a3b-4ac5-837f-f8d8d4d2720d	SWITCHGEAR
a89a0f42-bcb2-496f-a263-801750f23845	135c15d2-7f9f-4d7c-82f0-afe13efaee8a	GENERATOR
a89a0f42-bcb2-496f-a263-801750f23845	cff170af-372f-4b6c-a4f0-5b89a90276ae	PRIMARY_AUXILIARIES
a89a0f42-bcb2-496f-a263-801750f23845	1657bbf7-01eb-4d9b-bcab-58120c36012c	UPS
a89a0f42-bcb2-496f-a263-801750f23845	c393125d-71fd-4cd2-9f75-b3390a8e6148	CRITICAL_AUXILIARIES
a89a0f42-bcb2-496f-a263-801750f23845	f6e6c252-1421-4e69-8c52-8fa5fcde95df	LIGHTING
a89a0f42-bcb2-496f-a263-801750f23845	88d19fdc-6308-4a8e-bbae-c558d8c3f439	CRITICAL_POWER_DISTRIBUTION
a89a0f42-bcb2-496f-a263-801750f23845	dafb3a0e-e6f1-40e2-997c-e2db838297c8	CRAH
a89a0f42-bcb2-496f-a263-801750f23845	0fdfea8e-0517-4ccd-b2dc-8ac44e63cceb	CRAC
a89a0f42-bcb2-496f-a263-801750f23845	f783df09-08fd-4932-8c9f-8239902897f7	CRAC_WITHOUT_FAN
a89a0f42-bcb2-496f-a263-801750f23845	5a374a04-a9de-4154-9fe6-b12bdd66c59d	CRAC_FAN
a89a0f42-bcb2-496f-a263-801750f23845	6df60a7f-7c3e-4488-859c-a2a0a5d503c8	CHILLER
a89a0f42-bcb2-496f-a263-801750f23845	da4b735d-d28d-4543-9fc1-0e45620048d9	AIR_COOLED_CHILLER
a89a0f42-bcb2-496f-a263-801750f23845	16c0aa70-3ff1-4769-9cfd-24aacafca3ec	COOLING_TOWER
a89a0f42-bcb2-496f-a263-801750f23845	45663eb9-2155-46e6-9ffc-f3c857bf93a9	DRY_COOLER
a89a0f42-bcb2-496f-a263-801750f23845	b5468b3b-f6db-479c-b09f-09a4567f1b4b	REMOTE_CONDENSER
a89a0f42-bcb2-496f-a263-801750f23845	8d45378b-1acd-4aa0-86a3-10355e72e2d9	CHILLED_WATER_PUMPS
a89a0f42-bcb2-496f-a263-801750f23845	190a3a57-23d1-4063-94a3-895918038854	HEAT_REJECTION_PUMPS
a89a0f42-bcb2-496f-a263-801750f23845	e178f454-d944-47d4-b7e0-0ea5a345d565	VENTILATION
a89a0f42-bcb2-496f-a263-801750f23845	969c2d51-617e-4a6e-849f-06c2918e7c63	INFILTRATION
a89a0f42-bcb2-496f-a263-801750f23845	4f594c08-5b60-49d6-bad9-0a358fac4250	IT_LOAD
c50aa599-f534-4fe4-a2d1-05469bd019f2	e959099e-adc1-4325-ac55-8cf44ff9065c	SWITCHGEAR
c50aa599-f534-4fe4-a2d1-05469bd019f2	12c42ff0-c182-4c25-883e-b1c5b9bc8838	GENERATOR
c50aa599-f534-4fe4-a2d1-05469bd019f2	f67d713a-1d76-410c-ac06-e1da3be759f1	PRIMARY_AUXILIARIES
c50aa599-f534-4fe4-a2d1-05469bd019f2	96236319-c892-44f0-bd71-b43d18add2c2	UPS
c50aa599-f534-4fe4-a2d1-05469bd019f2	0301e4b4-084e-4dfe-985c-fa44430be799	CRITICAL_AUXILIARIES
c50aa599-f534-4fe4-a2d1-05469bd019f2	766df949-e50e-4995-a143-f0001c1163a7	LIGHTING
c50aa599-f534-4fe4-a2d1-05469bd019f2	5aac5008-10e8-4360-a2d8-c6aa6d2d0421	CRITICAL_POWER_DISTRIBUTION
c50aa599-f534-4fe4-a2d1-05469bd019f2	058467b0-bb26-4162-a1d6-3518626b9ed4	CRAH
c50aa599-f534-4fe4-a2d1-05469bd019f2	f2279821-dae9-4e2a-a2d8-cb6a1a5fc487	CRAC
c50aa599-f534-4fe4-a2d1-05469bd019f2	14bf8998-67d8-4387-8869-268307228160	CRAC_WITHOUT_FAN
c50aa599-f534-4fe4-a2d1-05469bd019f2	dcbde587-bd7f-4bf8-ae56-27add87edbc8	CRAC_FAN
c50aa599-f534-4fe4-a2d1-05469bd019f2	94565545-9c90-4114-8128-b0b4346ffbf3	CHILLER
c50aa599-f534-4fe4-a2d1-05469bd019f2	d506374c-c9b6-4a51-8608-234b55597f1c	AIR_COOLED_CHILLER
c50aa599-f534-4fe4-a2d1-05469bd019f2	a7abdf3b-3072-4dec-a917-a3e3ba505797	COOLING_TOWER
c50aa599-f534-4fe4-a2d1-05469bd019f2	f81de5e0-3ca2-4367-b78b-c2a74519d0a1	DRY_COOLER
c50aa599-f534-4fe4-a2d1-05469bd019f2	ade22bd1-44d9-46a4-afd8-16a295203433	REMOTE_CONDENSER
c50aa599-f534-4fe4-a2d1-05469bd019f2	9fb48512-f8d3-4790-9584-9f565e960657	CHILLED_WATER_PUMPS
c50aa599-f534-4fe4-a2d1-05469bd019f2	af9722af-8c72-4fd3-bc06-10a7e9d54ae5	HEAT_REJECTION_PUMPS
c50aa599-f534-4fe4-a2d1-05469bd019f2	12824067-6d31-441b-8388-5c7da2f78277	VENTILATION
c50aa599-f534-4fe4-a2d1-05469bd019f2	3c4cbd51-ae72-4625-90bc-7955858c84a4	INFILTRATION
c50aa599-f534-4fe4-a2d1-05469bd019f2	5f66a51c-6010-4359-9130-e76ade8b852d	IT_LOAD
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	8f618d8d-193b-45af-918b-4ca997e09645	SWITCHGEAR
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	98e72156-b61b-4b90-8a75-b230ea7f27b5	GENERATOR
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	fa67b4c2-d9d4-402d-9013-38eef4ad47d7	PRIMARY_AUXILIARIES
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	b3c02af2-b6e5-47c1-ac68-b3bbdab76422	UPS
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	ef8ac1dd-a5b7-4bab-b545-90d784a3a652	CRITICAL_AUXILIARIES
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	2fb74e72-add3-4bf6-8096-77bafb90798a	LIGHTING
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	11549cab-9de7-4c00-9f40-a6719c0f10e8	CRITICAL_POWER_DISTRIBUTION
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	68bab7c9-2eb3-4d31-a6d4-b6a986a2282b	CRAH
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	3b3c1b6d-b41f-434c-96f5-160d3d74fa60	CRAC
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	c3754294-1733-4bbd-a50c-f0663f285ec3	CRAC_WITHOUT_FAN
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	2bb5f7e7-544f-423b-9b3c-9e980746fd4b	CRAC_FAN
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	a9249e50-6bb8-4eca-a7ae-50572ccdc0b5	CHILLER
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	73810c43-83d1-4ebc-85c0-6e1920050c59	AIR_COOLED_CHILLER
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	9818d15d-a725-44bb-8e59-6618dc16f901	COOLING_TOWER
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	fb9b4654-8ef2-4ac6-9578-44ecd24d6f75	DRY_COOLER
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	48f8e3c3-2cbe-4da8-8dd7-ab85b0298766	REMOTE_CONDENSER
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	75433e78-7858-4907-a9c2-e6f88366367f	CHILLED_WATER_PUMPS
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	7754e631-dfeb-488b-8662-4f099eb6240a	HEAT_REJECTION_PUMPS
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	bad8ffd6-0964-4143-8783-2289c24946d0	VENTILATION
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	095bef04-efa6-48df-8597-ac73e4a2631e	INFILTRATION
3039e2c8-dfe1-47b7-b466-3c6e98e9a1ed	bb8f2e24-6b6e-4727-a960-7d510b5bbadf	IT_LOAD
657a4ce6-6622-4161-833f-8a063b973dce	0fe18752-1cb1-497d-9d37-413e5c28b1b6	SWITCHGEAR
657a4ce6-6622-4161-833f-8a063b973dce	5a110528-3251-4482-8a66-9b616ae16348	GENERATOR
657a4ce6-6622-4161-833f-8a063b973dce	6c7551e2-a0d0-4fb4-a2d7-1c7e14782350	PRIMARY_AUXILIARIES
657a4ce6-6622-4161-833f-8a063b973dce	4bb928e1-a4dc-4e6d-9d9e-4681ef5240b5	UPS
657a4ce6-6622-4161-833f-8a063b973dce	ca495866-3503-4d0d-bc43-1798553e9f0c	CRITICAL_AUXILIARIES
657a4ce6-6622-4161-833f-8a063b973dce	5850b81a-906c-480c-90b6-36dc9b373336	LIGHTING
657a4ce6-6622-4161-833f-8a063b973dce	98cac2e1-31bb-4ce1-b801-6f1d36c5f4c7	CRITICAL_POWER_DISTRIBUTION
657a4ce6-6622-4161-833f-8a063b973dce	a3f1b9f5-9d9b-4621-ab3a-13f18c2e9258	CRAH
657a4ce6-6622-4161-833f-8a063b973dce	aa3773fe-ea09-4e4b-980d-3e61c383ffa2	CRAC
657a4ce6-6622-4161-833f-8a063b973dce	2367cc4c-c194-4df2-aef6-1c6b7892ce90	CRAC_WITHOUT_FAN
657a4ce6-6622-4161-833f-8a063b973dce	57afca6f-2643-4a76-ad6f-e819513fc4d8	CRAC_FAN
657a4ce6-6622-4161-833f-8a063b973dce	f5a8cc9f-853e-4ef2-8ba7-3c32c85481e7	CHILLER
657a4ce6-6622-4161-833f-8a063b973dce	5c2d74b5-38b5-45e9-85f0-d3c2c9cb4c26	AIR_COOLED_CHILLER
657a4ce6-6622-4161-833f-8a063b973dce	fa59038c-3e8f-4256-92e9-95c5910eab50	COOLING_TOWER
657a4ce6-6622-4161-833f-8a063b973dce	a1e450dc-b985-4c98-adb3-645c886e9aef	DRY_COOLER
657a4ce6-6622-4161-833f-8a063b973dce	043344ef-a52b-4905-8f77-1475d4cec402	REMOTE_CONDENSER
657a4ce6-6622-4161-833f-8a063b973dce	c142d581-ef38-4415-a7d4-25d4c154453f	CHILLED_WATER_PUMPS
657a4ce6-6622-4161-833f-8a063b973dce	b381a602-7758-4444-868d-6133886b303c	HEAT_REJECTION_PUMPS
657a4ce6-6622-4161-833f-8a063b973dce	3bbd6609-cadd-4a9e-9c1b-272142cf38cb	VENTILATION
657a4ce6-6622-4161-833f-8a063b973dce	f99685af-765f-4ba1-a627-80aa795ce0c0	INFILTRATION
657a4ce6-6622-4161-833f-8a063b973dce	d0aae190-364a-48eb-b5a2-782b5b43e1f0	IT_LOAD
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	6681fa31-ed10-4d5d-bc1e-5e986b853541	SWITCHGEAR
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	d961ec5e-4757-49b5-9435-e2ff1e89c758	GENERATOR
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	33ba9601-afd1-49a1-923d-c22db2d37287	PRIMARY_AUXILIARIES
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	a682407e-f2ae-4df9-92b3-c67701d46fa8	UPS
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	5d9fc02d-09ec-4e2d-a64d-4909a41ca974	CRITICAL_AUXILIARIES
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	da5a60fc-4d52-4d4b-978b-ce4961426172	LIGHTING
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	4a8f3e37-eb2f-4d6a-bde7-2543129196f4	CRITICAL_POWER_DISTRIBUTION
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	af2da1e5-2fca-40f4-858c-81f99c0dc14b	CRAH
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	b851f41d-584a-4a48-91cc-709277b69f9e	CRAC
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	d8846e68-32d6-4133-a7dc-2cc0a1250d9f	CRAC_WITHOUT_FAN
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	febbe5f5-625e-4bf2-ad32-f957066aadf9	CRAC_FAN
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	694829ca-4e37-4f69-a8d9-955c98c5ea34	CHILLER
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	9806421c-19ee-40e2-8e88-201a5f606e4a	AIR_COOLED_CHILLER
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	1d7295f5-0c21-49a3-a912-8c3d8e377fd5	COOLING_TOWER
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	66c2a24e-8ec2-4445-991e-9d8082e02ef7	DRY_COOLER
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	86a840ef-cd60-4239-ac44-3feaf824bc23	REMOTE_CONDENSER
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	65574579-32e7-402f-a285-c9e87cc48658	CHILLED_WATER_PUMPS
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	e3345ab1-268c-4580-9beb-452a51bbda10	HEAT_REJECTION_PUMPS
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	bc802027-abfc-4703-9266-41f4eeb20b62	VENTILATION
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	b0f35ca9-021f-4842-9c90-0380d295e135	INFILTRATION
d2449e5e-be5d-4f4d-ad99-01bb3d7c6f20	7e8da6e6-e2dc-4b4c-b651-63dc901e1b17	IT_LOAD
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	030b0bbf-8fd6-4cc1-ac4a-9fea4e461cff	SWITCHGEAR
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	4be31098-8ac5-4007-9cb0-c32eca6b434a	GENERATOR
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	783ad322-3335-4831-a838-7bddf876663a	PRIMARY_AUXILIARIES
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	719e948d-3b2a-4a69-890a-473c2d22fbe0	UPS
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	49ddab3b-3681-4e0c-b759-16b9b12cbdef	CRITICAL_AUXILIARIES
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	c026ddf5-572b-4e18-91dc-d0fdf73e34db	LIGHTING
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	9501c1d4-0107-4cb5-b01e-a8ffb8c20007	CRITICAL_POWER_DISTRIBUTION
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	852e55f4-ef01-4ab5-a0e7-ba8ad23d871b	CRAH
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	ce1977f8-2448-4280-9550-a9ef0c03f8a5	CRAC
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	eb79444b-5510-44db-8f94-bc53a4486a3c	CRAC_WITHOUT_FAN
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	5f2f5bb5-4025-4563-a80a-c25823925565	CRAC_FAN
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	3c536658-8e02-4996-b0be-02af51cfa4b1	CHILLER
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	b6a697f2-9210-46f0-ad9b-e4be0b0b1a14	AIR_COOLED_CHILLER
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	0fde2837-2953-44c7-b3bf-6872dec9b945	COOLING_TOWER
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	8f992aa4-4837-4dad-9bb0-a542426c3627	DRY_COOLER
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	21929db2-db43-4532-a1c4-74f8f5c3b2ed	REMOTE_CONDENSER
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	4a9186a2-b171-4d36-a4ac-c1c91e9a2cb5	CHILLED_WATER_PUMPS
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	9e978f17-c0bc-43df-954c-57334fe7236a	HEAT_REJECTION_PUMPS
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	9881b3cb-316e-47dc-b316-d48760932d02	VENTILATION
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	a56425c0-751e-42ed-afd5-39351d314908	INFILTRATION
6390fc22-8ddd-47be-a0e1-9dc9dced83ef	ead121df-26e8-4ca4-9693-0b28b7ecd600	IT_LOAD
ba479072-15a9-4eda-a3a0-d17992804f3f	47676bf5-3041-434e-9bda-48481ef93f23	SWITCHGEAR
ba479072-15a9-4eda-a3a0-d17992804f3f	0affa190-b4d1-464f-a047-2ea23a3d7552	GENERATOR
ba479072-15a9-4eda-a3a0-d17992804f3f	1db2b64f-1481-40d9-96f4-e93480dee5b3	PRIMARY_AUXILIARIES
ba479072-15a9-4eda-a3a0-d17992804f3f	b08f1a80-d1d6-49a8-a451-c5faf9095d57	UPS
ba479072-15a9-4eda-a3a0-d17992804f3f	802e7ee7-0292-4f1d-aba4-b33aec0e41e8	CRITICAL_AUXILIARIES
ba479072-15a9-4eda-a3a0-d17992804f3f	a6ddbdfe-aff8-4ba6-aaac-27d945026d9c	LIGHTING
ba479072-15a9-4eda-a3a0-d17992804f3f	4fc6dfd6-7003-4dd1-a932-75018cdbf33b	CRITICAL_POWER_DISTRIBUTION
ba479072-15a9-4eda-a3a0-d17992804f3f	942ca276-5044-4adf-bb6f-a88a93728632	CRAH
ba479072-15a9-4eda-a3a0-d17992804f3f	89bd7b48-5133-4c37-b587-70802fe44920	CRAC
ba479072-15a9-4eda-a3a0-d17992804f3f	39f96c42-8a08-42d1-9186-af3c38fda88b	CRAC_WITHOUT_FAN
ba479072-15a9-4eda-a3a0-d17992804f3f	0d0980e9-244d-43e3-9da3-1523ef33abaa	CRAC_FAN
ba479072-15a9-4eda-a3a0-d17992804f3f	6c62261e-dc26-4119-8087-4cb0cd97d769	CHILLER
ba479072-15a9-4eda-a3a0-d17992804f3f	b567beb3-ab86-481d-bfc2-c57bcbe090cd	AIR_COOLED_CHILLER
ba479072-15a9-4eda-a3a0-d17992804f3f	a990be45-2964-4f85-8801-e664669375ba	COOLING_TOWER
ba479072-15a9-4eda-a3a0-d17992804f3f	9ffc81c6-0525-4469-b3e3-bbf686784753	DRY_COOLER
ba479072-15a9-4eda-a3a0-d17992804f3f	0c5d3d22-8260-4d41-abea-0436a91549aa	REMOTE_CONDENSER
ba479072-15a9-4eda-a3a0-d17992804f3f	3ba77390-48b7-405d-b74d-4601b8d3d2f1	CHILLED_WATER_PUMPS
ba479072-15a9-4eda-a3a0-d17992804f3f	137493cc-aee9-45f7-be54-c8a29d07a11f	HEAT_REJECTION_PUMPS
ba479072-15a9-4eda-a3a0-d17992804f3f	f52e98c6-5233-4adf-a9ac-f2e234cd57a6	VENTILATION
ba479072-15a9-4eda-a3a0-d17992804f3f	805d103b-865f-49cb-877d-d95349ddc7d0	INFILTRATION
ba479072-15a9-4eda-a3a0-d17992804f3f	c178dda1-9502-46d4-a239-bf347678245f	IT_LOAD
440d612b-ba08-4168-bb49-8d2896f46195	223e9c8f-8fd7-49ad-926f-afd5d6f26f52	SWITCHGEAR
440d612b-ba08-4168-bb49-8d2896f46195	e6f4c0f6-dbc6-4be9-a46d-15c4ae93579c	GENERATOR
440d612b-ba08-4168-bb49-8d2896f46195	18ee99e0-432e-42b2-9714-98d37dc276f6	PRIMARY_AUXILIARIES
440d612b-ba08-4168-bb49-8d2896f46195	5edec0d9-40e2-4835-b4ef-eb507a13f445	UPS
440d612b-ba08-4168-bb49-8d2896f46195	a17ddecf-d4f3-452e-892c-a45a002785f8	CRITICAL_AUXILIARIES
440d612b-ba08-4168-bb49-8d2896f46195	220a1673-7168-4947-804b-e1e1601c3457	LIGHTING
440d612b-ba08-4168-bb49-8d2896f46195	11afde15-431e-4c96-8503-767433f8ae66	CRITICAL_POWER_DISTRIBUTION
440d612b-ba08-4168-bb49-8d2896f46195	919f9441-14fe-43ca-b2ec-a106e2b5412a	CRAH
440d612b-ba08-4168-bb49-8d2896f46195	2d7fdd33-0f5b-41cf-a012-6a0affc42713	CRAC
440d612b-ba08-4168-bb49-8d2896f46195	854a51ac-f9e4-4cc0-a4de-d0bd8c878591	CRAC_WITHOUT_FAN
440d612b-ba08-4168-bb49-8d2896f46195	3525904b-8e43-4f00-be94-f3ecd7cc3566	CRAC_FAN
440d612b-ba08-4168-bb49-8d2896f46195	72b83577-07ea-4740-b8f3-69034fc07a82	CHILLER
440d612b-ba08-4168-bb49-8d2896f46195	97b2f76c-80a8-43cf-aeab-6558af92e549	AIR_COOLED_CHILLER
440d612b-ba08-4168-bb49-8d2896f46195	cba7fc54-8638-473e-846b-4c7aecfab251	COOLING_TOWER
440d612b-ba08-4168-bb49-8d2896f46195	b2a212ab-962b-4b91-a5b3-875e85c7dd25	DRY_COOLER
440d612b-ba08-4168-bb49-8d2896f46195	089dcd0e-0282-4c94-b451-0bb56ce8621f	REMOTE_CONDENSER
440d612b-ba08-4168-bb49-8d2896f46195	90f66d1b-0895-4619-b729-6cafdab49335	CHILLED_WATER_PUMPS
440d612b-ba08-4168-bb49-8d2896f46195	02a27a55-26c8-4ba0-b9f2-27941c66627a	HEAT_REJECTION_PUMPS
440d612b-ba08-4168-bb49-8d2896f46195	71507a57-f3f6-42ff-bba2-b5b24546f7fd	VENTILATION
440d612b-ba08-4168-bb49-8d2896f46195	df9775e6-92a8-4068-a210-44ed38f621f4	INFILTRATION
440d612b-ba08-4168-bb49-8d2896f46195	f0235172-7b3f-4954-b11e-fa0c5a8638c8	IT_LOAD
1d207fcf-4030-4bab-b5ed-e6a15af475db	54e45951-f7b0-4bf1-9ca0-d36c82bc23dc	SWITCHGEAR
1d207fcf-4030-4bab-b5ed-e6a15af475db	8541dab6-a6d7-4baf-97d8-e4ad83899667	GENERATOR
1d207fcf-4030-4bab-b5ed-e6a15af475db	fdc21903-096b-43f6-89ed-a22295311f68	PRIMARY_AUXILIARIES
1d207fcf-4030-4bab-b5ed-e6a15af475db	02a0f28a-e289-4ed9-9b78-41002fca5aa0	UPS
1d207fcf-4030-4bab-b5ed-e6a15af475db	189c93eb-37e7-4973-a83a-c5a593ce05f3	CRITICAL_AUXILIARIES
1d207fcf-4030-4bab-b5ed-e6a15af475db	c20b41a8-58d3-4efc-97c6-f3c6d5e9901b	LIGHTING
1d207fcf-4030-4bab-b5ed-e6a15af475db	cba6dcda-9ac4-458d-8b0f-baa7f0932bd9	CRITICAL_POWER_DISTRIBUTION
1d207fcf-4030-4bab-b5ed-e6a15af475db	8e7a81d0-2a27-4f74-9d1a-57fdabac4acb	CRAH
1d207fcf-4030-4bab-b5ed-e6a15af475db	41fbea2f-edb7-4d1d-ad04-393f1b0d3789	CRAC
1d207fcf-4030-4bab-b5ed-e6a15af475db	97121b52-f818-4cd0-9fb0-5faedfb4585c	CRAC_WITHOUT_FAN
1d207fcf-4030-4bab-b5ed-e6a15af475db	63d195cf-887b-4223-9bc4-c9273bea5194	CRAC_FAN
1d207fcf-4030-4bab-b5ed-e6a15af475db	da17d338-f218-412e-876c-56e63fd7a7d3	CHILLER
1d207fcf-4030-4bab-b5ed-e6a15af475db	5fec3ede-7c73-4caf-87e0-692d4ac685b7	AIR_COOLED_CHILLER
1d207fcf-4030-4bab-b5ed-e6a15af475db	4013c82c-10b4-402e-b1d6-1458d0f2c18c	COOLING_TOWER
1d207fcf-4030-4bab-b5ed-e6a15af475db	08130ae5-f924-4987-b60a-eb347d784981	DRY_COOLER
1d207fcf-4030-4bab-b5ed-e6a15af475db	fab68eeb-e051-4329-a5ff-8e1abe5c7693	REMOTE_CONDENSER
1d207fcf-4030-4bab-b5ed-e6a15af475db	c3c0d895-93b2-436c-8773-b2012aef2dd8	CHILLED_WATER_PUMPS
1d207fcf-4030-4bab-b5ed-e6a15af475db	bf378e8d-be5c-4479-8d12-768d968579c0	HEAT_REJECTION_PUMPS
1d207fcf-4030-4bab-b5ed-e6a15af475db	c62f6517-18d9-4f5b-8c33-3f328925f6a7	VENTILATION
1d207fcf-4030-4bab-b5ed-e6a15af475db	5b653b08-9c9f-4766-89df-2940a88d823f	INFILTRATION
1d207fcf-4030-4bab-b5ed-e6a15af475db	b328cf46-7d1b-437d-9aa9-aa636789ebac	IT_LOAD
ae1d02eb-138a-480f-8804-fffe37903700	71ae7d7a-5e87-41ac-aa5c-9d627122d9a2	SWITCHGEAR
ae1d02eb-138a-480f-8804-fffe37903700	a1d77304-c03b-4fcc-8ffc-379065cbb6fb	GENERATOR
ae1d02eb-138a-480f-8804-fffe37903700	ac726dfa-8ccd-4b90-9fc8-7866ad365107	PRIMARY_AUXILIARIES
ae1d02eb-138a-480f-8804-fffe37903700	e827d768-7c49-4fd9-b875-5b13687a92a7	UPS
ae1d02eb-138a-480f-8804-fffe37903700	8226a893-1d43-4dbd-ad7c-8e1957a243ee	CRITICAL_AUXILIARIES
ae1d02eb-138a-480f-8804-fffe37903700	abf88597-72e7-41cc-8405-e3b0c9961d16	LIGHTING
ae1d02eb-138a-480f-8804-fffe37903700	42eb4106-799b-4a7d-ada8-7e0ab824f2fb	CRITICAL_POWER_DISTRIBUTION
ae1d02eb-138a-480f-8804-fffe37903700	1c599776-ded5-4584-b2f3-6d7a3ccef2ba	CRAH
ae1d02eb-138a-480f-8804-fffe37903700	6b270142-77f5-4eda-b7dd-4266675e4780	CRAC
ae1d02eb-138a-480f-8804-fffe37903700	243f6cc5-f542-45e8-85a4-5f4d284d3261	CRAC_WITHOUT_FAN
ae1d02eb-138a-480f-8804-fffe37903700	8ea73b95-a3c9-465f-8454-dc4abc6ba651	CRAC_FAN
ae1d02eb-138a-480f-8804-fffe37903700	57231598-a20d-4369-a13a-bcd546461956	CHILLER
ae1d02eb-138a-480f-8804-fffe37903700	15ccf2de-506d-4675-ad09-72a5f16b3fc6	AIR_COOLED_CHILLER
ae1d02eb-138a-480f-8804-fffe37903700	1d08e389-c4f8-492c-b0a0-22c966d63ec5	COOLING_TOWER
ae1d02eb-138a-480f-8804-fffe37903700	c68c0c3a-99c6-4350-b31d-60716ca28d7a	DRY_COOLER
ae1d02eb-138a-480f-8804-fffe37903700	d7abceee-4f09-410e-bc6c-23cd07ab999f	REMOTE_CONDENSER
ae1d02eb-138a-480f-8804-fffe37903700	b02c1db4-dae9-4a38-8361-598037fda761	CHILLED_WATER_PUMPS
ae1d02eb-138a-480f-8804-fffe37903700	4009ac27-9193-4f9f-bd13-c060fbe37136	HEAT_REJECTION_PUMPS
ae1d02eb-138a-480f-8804-fffe37903700	ad0a6247-bba0-4f5c-bb56-73815b8df8b4	VENTILATION
ae1d02eb-138a-480f-8804-fffe37903700	9dee788b-c6bc-42a5-a548-5515dcde8f5c	INFILTRATION
ae1d02eb-138a-480f-8804-fffe37903700	ad5a1541-3636-498f-8561-bf757f11358e	IT_LOAD
53b02ce9-e8e1-419f-907b-df523149691b	5534ce7f-3080-4bd6-9ecf-2d3f2299b679	SWITCHGEAR
53b02ce9-e8e1-419f-907b-df523149691b	6467540e-3110-470d-8d45-8f4539810682	GENERATOR
53b02ce9-e8e1-419f-907b-df523149691b	59fce0ec-f202-45c7-aae8-517d41e59af7	PRIMARY_AUXILIARIES
53b02ce9-e8e1-419f-907b-df523149691b	71bc87bd-bc38-4a8c-8fd5-e2264ed93d82	UPS
53b02ce9-e8e1-419f-907b-df523149691b	14ccbaea-ceaa-4a0c-bd39-24f63b43d42b	CRITICAL_AUXILIARIES
53b02ce9-e8e1-419f-907b-df523149691b	5a9544de-d9ba-4c43-9e36-5113f442bdd7	LIGHTING
53b02ce9-e8e1-419f-907b-df523149691b	4a14827a-3d1e-44f9-a9c4-70e0a5e73e4e	CRITICAL_POWER_DISTRIBUTION
53b02ce9-e8e1-419f-907b-df523149691b	1fc97071-dc79-4925-a9fc-54c95954270b	CRAH
53b02ce9-e8e1-419f-907b-df523149691b	eae5a0f1-d5dd-4b38-81cb-fc4ffdb8a6fd	CRAC
53b02ce9-e8e1-419f-907b-df523149691b	5c73fb5b-2ddb-45c4-9828-82a7c5e470b5	CRAC_WITHOUT_FAN
53b02ce9-e8e1-419f-907b-df523149691b	c1234d41-3e88-4155-8df3-7e2e20f9104d	CRAC_FAN
53b02ce9-e8e1-419f-907b-df523149691b	754b8f67-2673-4057-a670-417de300584b	CHILLER
53b02ce9-e8e1-419f-907b-df523149691b	1e7ce936-4338-45c9-8c1e-aa92c6e39f9c	AIR_COOLED_CHILLER
53b02ce9-e8e1-419f-907b-df523149691b	91624d34-44b8-4a67-b405-bad3603ed0d4	COOLING_TOWER
53b02ce9-e8e1-419f-907b-df523149691b	9d67bcba-5c00-43c6-9483-553f1f2852c1	DRY_COOLER
53b02ce9-e8e1-419f-907b-df523149691b	def0c09d-54f7-4961-b835-f1aea27b70c4	REMOTE_CONDENSER
53b02ce9-e8e1-419f-907b-df523149691b	b65d976a-6728-4d66-9a9b-14bdbb9fe7b7	CHILLED_WATER_PUMPS
53b02ce9-e8e1-419f-907b-df523149691b	e306eadd-087a-4b75-afa6-fca03ad8b620	HEAT_REJECTION_PUMPS
53b02ce9-e8e1-419f-907b-df523149691b	3a62b0f6-70a4-49f6-95ea-6afad1ec9dff	VENTILATION
53b02ce9-e8e1-419f-907b-df523149691b	1b2c798e-7202-4df9-a9a2-e8b07f496f48	INFILTRATION
53b02ce9-e8e1-419f-907b-df523149691b	c723ab86-aea9-446b-94fd-be465be1a01e	IT_LOAD
181a0b6c-843e-4c58-b2ce-3de7a6e12212	90626191-0df5-45f1-b74e-b743724a3bbb	SWITCHGEAR
181a0b6c-843e-4c58-b2ce-3de7a6e12212	dcb7b86b-f7ef-4269-aa74-5573f50acb48	GENERATOR
181a0b6c-843e-4c58-b2ce-3de7a6e12212	3dc7f574-5a50-4991-ad03-53884eddd2c9	PRIMARY_AUXILIARIES
181a0b6c-843e-4c58-b2ce-3de7a6e12212	cafd9ebe-3e10-4332-a32c-a58fc51281ff	UPS
181a0b6c-843e-4c58-b2ce-3de7a6e12212	76dd0e50-aacf-4617-9c42-c57c6f52cac7	CRITICAL_AUXILIARIES
181a0b6c-843e-4c58-b2ce-3de7a6e12212	d58883b5-ae8c-4bf5-a633-f7f3694c961c	LIGHTING
181a0b6c-843e-4c58-b2ce-3de7a6e12212	5e9c3fdc-4046-4d8d-ae18-0e582c683950	CRITICAL_POWER_DISTRIBUTION
181a0b6c-843e-4c58-b2ce-3de7a6e12212	58335d75-53bf-4acb-9a86-5afecc76bcf9	CRAH
181a0b6c-843e-4c58-b2ce-3de7a6e12212	90746762-ce06-4502-957e-6e1f9db15bca	CRAC
181a0b6c-843e-4c58-b2ce-3de7a6e12212	49273f5c-a2fb-4c6d-bad0-9fc5b087037e	CRAC_WITHOUT_FAN
181a0b6c-843e-4c58-b2ce-3de7a6e12212	475465c0-47fb-4a48-8ef9-894b4a1aabf0	CRAC_FAN
181a0b6c-843e-4c58-b2ce-3de7a6e12212	aab1f7d0-5ff9-4baa-ad0d-8e632a7d6f57	CHILLER
181a0b6c-843e-4c58-b2ce-3de7a6e12212	9032b7e4-5bc8-4631-8884-0ad894843ca1	AIR_COOLED_CHILLER
181a0b6c-843e-4c58-b2ce-3de7a6e12212	fe04f814-eae4-4184-929d-439ad502a7a4	COOLING_TOWER
181a0b6c-843e-4c58-b2ce-3de7a6e12212	69a86c16-08e2-4b8b-95ad-fdbeb3e2ee3d	DRY_COOLER
181a0b6c-843e-4c58-b2ce-3de7a6e12212	17828bef-75dc-4807-9dae-b1cd8c69ed3c	REMOTE_CONDENSER
181a0b6c-843e-4c58-b2ce-3de7a6e12212	7aacdf21-78d5-4996-a143-fd4fbc05b5cd	CHILLED_WATER_PUMPS
181a0b6c-843e-4c58-b2ce-3de7a6e12212	df57a6db-405f-4b01-b09d-aa06a6e14b2b	HEAT_REJECTION_PUMPS
181a0b6c-843e-4c58-b2ce-3de7a6e12212	32a7e741-1839-4662-a775-f6ac3d1ea2ce	VENTILATION
181a0b6c-843e-4c58-b2ce-3de7a6e12212	3b9ae4d8-4c4c-4d3a-9f9b-0ea15b33d3a6	INFILTRATION
181a0b6c-843e-4c58-b2ce-3de7a6e12212	f248e5b7-6c5c-4aa8-873d-ad6eaae6a3e5	IT_LOAD
4db2ed21-3c63-4894-9bd4-dced16365ea1	d300ab38-e89f-4693-a375-b7dfa9d8c7ca	SWITCHGEAR
4db2ed21-3c63-4894-9bd4-dced16365ea1	1a41d503-84ea-4dc2-bb49-6bfd4ab5d264	GENERATOR
4db2ed21-3c63-4894-9bd4-dced16365ea1	1809b0e7-97e2-407d-ad9f-782025ea35f4	PRIMARY_AUXILIARIES
4db2ed21-3c63-4894-9bd4-dced16365ea1	86d240de-b034-42ee-9d16-53a79f61a1b8	UPS
4db2ed21-3c63-4894-9bd4-dced16365ea1	004ba266-29c2-415a-a43f-4795efbe79db	CRITICAL_AUXILIARIES
4db2ed21-3c63-4894-9bd4-dced16365ea1	6c0f481e-7e75-401a-a4f4-032c18947985	LIGHTING
4db2ed21-3c63-4894-9bd4-dced16365ea1	e9ed07d0-9925-4ba9-85ee-5260369b4bb6	CRITICAL_POWER_DISTRIBUTION
4db2ed21-3c63-4894-9bd4-dced16365ea1	a6d62cf6-dcaf-425d-b9b3-4fd73c5e31a8	CRAH
4db2ed21-3c63-4894-9bd4-dced16365ea1	a9d6cd82-6ebc-4610-88da-475211e23be3	CRAC
4db2ed21-3c63-4894-9bd4-dced16365ea1	87b218fe-6849-4e9f-bfc5-6a754ab2eb61	CRAC_WITHOUT_FAN
4db2ed21-3c63-4894-9bd4-dced16365ea1	e0ff2ea3-4c53-4dba-a64f-d95ad8dc5698	CRAC_FAN
4db2ed21-3c63-4894-9bd4-dced16365ea1	4631b926-8783-4192-a862-24540a11ef01	CHILLER
4db2ed21-3c63-4894-9bd4-dced16365ea1	2374cc2a-1da6-4ea9-9ee3-f1aa513e1143	AIR_COOLED_CHILLER
4db2ed21-3c63-4894-9bd4-dced16365ea1	5e41c99f-012c-4c15-9d3a-e4cc1666ba61	COOLING_TOWER
4db2ed21-3c63-4894-9bd4-dced16365ea1	e1dadf2e-2dbd-4a3f-a009-035b7c4f08eb	DRY_COOLER
4db2ed21-3c63-4894-9bd4-dced16365ea1	4e965c8a-16a9-4b6c-8698-9bdd74382508	REMOTE_CONDENSER
4db2ed21-3c63-4894-9bd4-dced16365ea1	8f412789-ee77-4586-ae99-919d97a5e47b	CHILLED_WATER_PUMPS
4db2ed21-3c63-4894-9bd4-dced16365ea1	528b9cb7-832d-4d84-8d44-7fa1494495f6	HEAT_REJECTION_PUMPS
4db2ed21-3c63-4894-9bd4-dced16365ea1	bc63de05-7fa2-4a32-bfe0-936cda61aafd	VENTILATION
4db2ed21-3c63-4894-9bd4-dced16365ea1	c242b33d-ca4c-4a73-8d29-6d3643ff756b	INFILTRATION
4db2ed21-3c63-4894-9bd4-dced16365ea1	342f7675-c23a-44f7-85b7-eac60f91abb6	IT_LOAD
2f21a866-1c03-4fa1-abbe-cac4b65029fe	62745f21-939f-4792-a8a3-6c98549c1024	SWITCHGEAR
2f21a866-1c03-4fa1-abbe-cac4b65029fe	0cd757a7-c8d2-466e-bde3-e1b6fcb143a5	GENERATOR
2f21a866-1c03-4fa1-abbe-cac4b65029fe	add04ca1-aeb4-400f-8f99-1a090787de55	PRIMARY_AUXILIARIES
2f21a866-1c03-4fa1-abbe-cac4b65029fe	59a72044-9f61-460e-b772-b91a4a02dce0	UPS
2f21a866-1c03-4fa1-abbe-cac4b65029fe	b9658be7-f25d-4763-88fe-361522c0170b	CRITICAL_AUXILIARIES
2f21a866-1c03-4fa1-abbe-cac4b65029fe	bf3420f2-b4c5-4e30-beca-8da514f53162	LIGHTING
2f21a866-1c03-4fa1-abbe-cac4b65029fe	f366e669-b304-45dd-a5d0-fb93eb0795eb	CRITICAL_POWER_DISTRIBUTION
2f21a866-1c03-4fa1-abbe-cac4b65029fe	eb42d05b-433f-46f0-9b04-121f34b2bb00	CRAH
2f21a866-1c03-4fa1-abbe-cac4b65029fe	51998706-f0ee-43d0-b1f0-94f6253876af	CRAC
2f21a866-1c03-4fa1-abbe-cac4b65029fe	ce206462-ea9b-41af-be4b-c3a57642cbc9	CRAC_WITHOUT_FAN
2f21a866-1c03-4fa1-abbe-cac4b65029fe	54734eec-2f5e-4676-8121-12990f58552b	CRAC_FAN
2f21a866-1c03-4fa1-abbe-cac4b65029fe	9f6829db-789e-4686-ab26-6f881d81d52c	CHILLER
2f21a866-1c03-4fa1-abbe-cac4b65029fe	15420cce-2c1e-41d2-b3c3-95ef04656ad3	AIR_COOLED_CHILLER
2f21a866-1c03-4fa1-abbe-cac4b65029fe	672944d3-b1f2-4a73-a4fd-84dc34f436dd	COOLING_TOWER
2f21a866-1c03-4fa1-abbe-cac4b65029fe	e32fde83-1686-4d43-aff3-838bb7878f10	DRY_COOLER
2f21a866-1c03-4fa1-abbe-cac4b65029fe	02a82b65-4f7d-4402-ae73-ba530d3370ba	REMOTE_CONDENSER
2f21a866-1c03-4fa1-abbe-cac4b65029fe	e823fcb1-28bd-4c6a-a338-28191e038938	CHILLED_WATER_PUMPS
2f21a866-1c03-4fa1-abbe-cac4b65029fe	20b04e91-161a-49f3-9ab5-36dddbc7402f	HEAT_REJECTION_PUMPS
2f21a866-1c03-4fa1-abbe-cac4b65029fe	63ff1831-4f7b-4bc6-873e-cb646c680e1e	VENTILATION
2f21a866-1c03-4fa1-abbe-cac4b65029fe	2499ea9c-1bf6-4d39-a27d-b0da8c665c20	INFILTRATION
2f21a866-1c03-4fa1-abbe-cac4b65029fe	c7cfc797-9431-4473-83db-c84561337974	IT_LOAD
b01b1508-f02e-4867-b8d6-2ae296ad4984	24ecd609-9972-40fd-9b5c-bbfafb52199f	SWITCHGEAR
b01b1508-f02e-4867-b8d6-2ae296ad4984	e5d6799a-44f3-4a23-8dca-c895193aab30	GENERATOR
b01b1508-f02e-4867-b8d6-2ae296ad4984	a8065bd6-1eb7-475a-ac5c-7abe9155675f	PRIMARY_AUXILIARIES
b01b1508-f02e-4867-b8d6-2ae296ad4984	90f00458-c5af-4e84-b730-4bd5b441e992	UPS
b01b1508-f02e-4867-b8d6-2ae296ad4984	02cc0979-5019-412d-9c63-7fc9a1f6047a	CRITICAL_AUXILIARIES
b01b1508-f02e-4867-b8d6-2ae296ad4984	17599a16-9c84-4897-943f-74fa335288b2	LIGHTING
b01b1508-f02e-4867-b8d6-2ae296ad4984	f96de833-7889-480e-a7fb-a41c2c68055e	CRITICAL_POWER_DISTRIBUTION
b01b1508-f02e-4867-b8d6-2ae296ad4984	bbb6bb88-2d50-45fe-a9b1-02362af68df1	CRAH
b01b1508-f02e-4867-b8d6-2ae296ad4984	9e4e5bb9-0869-4d15-a950-4b44e477b1d7	CRAC
b01b1508-f02e-4867-b8d6-2ae296ad4984	33105dd6-bbde-401e-81b4-be17e0a2d4ec	CRAC_WITHOUT_FAN
b01b1508-f02e-4867-b8d6-2ae296ad4984	0d5c8483-56bb-4321-b5b8-805762afd82e	CRAC_FAN
b01b1508-f02e-4867-b8d6-2ae296ad4984	d0f6f907-1099-47e0-ad1b-a53fe8a43102	CHILLER
b01b1508-f02e-4867-b8d6-2ae296ad4984	aec84477-7616-48f4-b69b-f2df7c048f1e	AIR_COOLED_CHILLER
b01b1508-f02e-4867-b8d6-2ae296ad4984	6fe3429f-2885-4516-96fe-29b80d00d8ec	COOLING_TOWER
b01b1508-f02e-4867-b8d6-2ae296ad4984	356e4d71-3676-4db9-a0f6-d253177a53ea	DRY_COOLER
b01b1508-f02e-4867-b8d6-2ae296ad4984	29f4b155-4b6d-4fef-91ca-f81de234ec8f	REMOTE_CONDENSER
b01b1508-f02e-4867-b8d6-2ae296ad4984	46d8179b-b2a4-43e9-996e-25c90557ccc0	CHILLED_WATER_PUMPS
b01b1508-f02e-4867-b8d6-2ae296ad4984	d93206b8-ece0-4013-8ca7-a290c9ef8beb	HEAT_REJECTION_PUMPS
b01b1508-f02e-4867-b8d6-2ae296ad4984	6c1e13ca-6f47-431a-843d-38992859ce5d	VENTILATION
b01b1508-f02e-4867-b8d6-2ae296ad4984	f59ef5e8-94e4-445b-af5c-c67ad2709bab	INFILTRATION
b01b1508-f02e-4867-b8d6-2ae296ad4984	2feca5be-9cf6-4029-bbbb-35059fc34568	IT_LOAD
e05089ac-3ec0-4109-81d7-bfc9a292f625	449b1398-94ee-4a75-a3b0-77534a19a192	SWITCHGEAR
e05089ac-3ec0-4109-81d7-bfc9a292f625	e9e11ec7-22ee-4dc5-bce9-0eb39261f88a	GENERATOR
e05089ac-3ec0-4109-81d7-bfc9a292f625	6f8b9958-ba1f-47d3-98ff-1dcd94d8f833	PRIMARY_AUXILIARIES
e05089ac-3ec0-4109-81d7-bfc9a292f625	4cc768d2-5ff8-42f5-b425-b6398bc9d948	UPS
e05089ac-3ec0-4109-81d7-bfc9a292f625	f291e0af-b889-4b1d-a79a-409b222a4ad8	CRITICAL_AUXILIARIES
e05089ac-3ec0-4109-81d7-bfc9a292f625	ab9ac092-e15a-4e7e-9721-d6401f967f18	LIGHTING
e05089ac-3ec0-4109-81d7-bfc9a292f625	e0a77bc8-fb66-4e8d-bc62-b5b97b08e1eb	CRITICAL_POWER_DISTRIBUTION
e05089ac-3ec0-4109-81d7-bfc9a292f625	3ad7fe8f-b040-48f5-8601-4a56137b8c41	CRAH
e05089ac-3ec0-4109-81d7-bfc9a292f625	36432f03-87e5-4b33-9bf0-a6d9f0c7a241	CRAC
e05089ac-3ec0-4109-81d7-bfc9a292f625	78aff9ce-f365-4a27-8e77-8f40c1a85ec7	CRAC_WITHOUT_FAN
e05089ac-3ec0-4109-81d7-bfc9a292f625	fcf2e80b-a41c-403e-908f-fb92cb979a3a	CRAC_FAN
e05089ac-3ec0-4109-81d7-bfc9a292f625	dadbf539-6851-4959-8623-178e9dd2cd3c	CHILLER
e05089ac-3ec0-4109-81d7-bfc9a292f625	9dec37e3-c95c-4de1-b768-9fd1b64762bc	AIR_COOLED_CHILLER
e05089ac-3ec0-4109-81d7-bfc9a292f625	1898c7c4-c31f-4fc8-ae16-3c0d35fcbbd8	COOLING_TOWER
e05089ac-3ec0-4109-81d7-bfc9a292f625	71a331cb-94c5-403b-a35a-c01dffaf8226	DRY_COOLER
e05089ac-3ec0-4109-81d7-bfc9a292f625	6be03ffb-5f29-4f69-9d6e-97921a8c0110	REMOTE_CONDENSER
e05089ac-3ec0-4109-81d7-bfc9a292f625	19615c75-1242-4eba-945d-07b5ac866c99	CHILLED_WATER_PUMPS
e05089ac-3ec0-4109-81d7-bfc9a292f625	736e4092-338a-449d-9167-ca4b113862bc	HEAT_REJECTION_PUMPS
e05089ac-3ec0-4109-81d7-bfc9a292f625	40a2085e-db1e-4ecf-b71e-b00081004a62	VENTILATION
e05089ac-3ec0-4109-81d7-bfc9a292f625	d59ad3de-b751-4220-9a30-ff91b544c183	INFILTRATION
e05089ac-3ec0-4109-81d7-bfc9a292f625	1424d872-0528-41f2-8f44-dd9065c32d20	IT_LOAD
3285bee1-baa2-4337-a685-0b1f4d4d3432	1fd2082d-4cb6-4f1c-a703-5441fa348db8	SWITCHGEAR
3285bee1-baa2-4337-a685-0b1f4d4d3432	20688ec3-e1c9-4c55-a6af-3c870d326880	GENERATOR
3285bee1-baa2-4337-a685-0b1f4d4d3432	26381190-e5d6-4687-8084-6cb9c0ce7377	PRIMARY_AUXILIARIES
3285bee1-baa2-4337-a685-0b1f4d4d3432	15f71216-b842-4ee6-82e5-cc30e763c4e3	UPS
3285bee1-baa2-4337-a685-0b1f4d4d3432	64f6cad2-bfb6-46d6-88da-e9981c8a3c2e	CRITICAL_AUXILIARIES
3285bee1-baa2-4337-a685-0b1f4d4d3432	3711b91e-acc5-4e60-b5c8-d3d08c6c1ef6	LIGHTING
3285bee1-baa2-4337-a685-0b1f4d4d3432	4108e84e-656a-4187-8fe0-847b97dcd831	CRITICAL_POWER_DISTRIBUTION
3285bee1-baa2-4337-a685-0b1f4d4d3432	1e3bbefe-9fa1-4755-a999-15ddc10e8b65	CRAH
3285bee1-baa2-4337-a685-0b1f4d4d3432	7d111974-3714-4697-b54c-11cc06d0a4b5	CRAC
3285bee1-baa2-4337-a685-0b1f4d4d3432	b6250e01-e1cd-4bfc-94b5-692442abc29c	CRAC_WITHOUT_FAN
3285bee1-baa2-4337-a685-0b1f4d4d3432	979abff0-afdb-4b5f-940d-f8d3649ea356	CRAC_FAN
3285bee1-baa2-4337-a685-0b1f4d4d3432	6460e6c6-59e4-47c7-8b40-93b9990a0fc6	CHILLER
3285bee1-baa2-4337-a685-0b1f4d4d3432	e61d09ba-c71f-4152-bfcd-1ae2f776da88	AIR_COOLED_CHILLER
3285bee1-baa2-4337-a685-0b1f4d4d3432	af358754-b094-43aa-91ba-24852417faaa	COOLING_TOWER
3285bee1-baa2-4337-a685-0b1f4d4d3432	f5bf641a-939e-4ae1-98e3-6b29c7c37e37	DRY_COOLER
3285bee1-baa2-4337-a685-0b1f4d4d3432	86f89030-2bb3-44e5-a7fd-5e3a2bc8a0ce	REMOTE_CONDENSER
3285bee1-baa2-4337-a685-0b1f4d4d3432	870914dc-ef8e-46d1-815b-ddbe59b9fa9d	CHILLED_WATER_PUMPS
3285bee1-baa2-4337-a685-0b1f4d4d3432	1844d74f-799d-4d34-bcd0-665eac643593	HEAT_REJECTION_PUMPS
3285bee1-baa2-4337-a685-0b1f4d4d3432	385f7bd5-544c-4598-acdf-d2b3c0424e14	VENTILATION
3285bee1-baa2-4337-a685-0b1f4d4d3432	fa75e098-9000-4790-a9b1-651c4fe04c69	INFILTRATION
3285bee1-baa2-4337-a685-0b1f4d4d3432	658b8033-bb0c-454a-8b3a-9189998817fc	IT_LOAD
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	b85a6788-b2b0-4aea-90e8-35a8c92ac786	SWITCHGEAR
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	be56fb8b-46e6-43c9-812f-d8b84796e70b	GENERATOR
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	467b26ce-0485-4f40-8551-c56547a9d1fd	PRIMARY_AUXILIARIES
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	0116c4df-8300-4f16-be87-5e4cd4f2d9b5	UPS
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	a33f3b1f-bfb3-4aca-9f01-38ec899b44f6	CRITICAL_AUXILIARIES
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	b43722ed-fcc1-44f5-a8ae-95301d5d3b09	LIGHTING
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	5e8002d0-18ea-4af8-8b37-6de9d0f5d289	CRITICAL_POWER_DISTRIBUTION
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	0f06522c-e6b7-43e6-b7c1-fbfae06ec13d	CRAH
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	e6ab5818-6b43-4edc-83dc-5da7b67a60c4	CRAC
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	4e35b29b-1b10-4130-9027-124ad0c5d1a5	CRAC_WITHOUT_FAN
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	f01ede86-641f-4af3-bdb6-8c3b861d8b16	CRAC_FAN
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	876a537e-0f96-4959-ac54-751e635238bb	CHILLER
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	f310bc27-3025-4af9-8a19-46ad3cc37dfd	AIR_COOLED_CHILLER
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	0418d633-9cc0-4114-8844-7dfafa275ebb	COOLING_TOWER
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	b998b87a-dc6c-429c-94ac-9d14d879e14f	DRY_COOLER
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	e33e881e-5c16-45ae-9b7c-d922e7f79aca	REMOTE_CONDENSER
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	a78a1d83-451d-43d0-baed-06ff043b8e65	CHILLED_WATER_PUMPS
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	41d4ecdd-2c84-4333-9679-e5ecaa9a1806	HEAT_REJECTION_PUMPS
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	598dfd59-3480-4f47-b6b3-c62792e47c7c	VENTILATION
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	0fefd57b-7956-4290-8ae5-670cb7bc96e1	INFILTRATION
e221fd18-945e-4b3b-a0f2-7dd9081c9b69	58e4b458-a1f0-4267-bc24-43f36083a81f	IT_LOAD
d6db1593-7900-4193-b295-d24b7e5b1c64	f0170848-b407-496e-848f-dc35917c9e4b	SWITCHGEAR
d6db1593-7900-4193-b295-d24b7e5b1c64	a450af0d-2e7f-4225-af41-5ab9a4d02178	GENERATOR
d6db1593-7900-4193-b295-d24b7e5b1c64	7d361a26-b37f-4cc0-9028-8ce41c2cf69b	PRIMARY_AUXILIARIES
d6db1593-7900-4193-b295-d24b7e5b1c64	89f372be-eddc-4dc5-b748-25fc0804c19c	UPS
d6db1593-7900-4193-b295-d24b7e5b1c64	bd7fab82-b43c-4034-8916-560c23ae7fc3	CRITICAL_AUXILIARIES
d6db1593-7900-4193-b295-d24b7e5b1c64	cf89f860-ecca-46f7-8c9d-29b024c1ae04	LIGHTING
d6db1593-7900-4193-b295-d24b7e5b1c64	423eb076-8192-4b51-b6b8-0a563b8144f7	CRITICAL_POWER_DISTRIBUTION
d6db1593-7900-4193-b295-d24b7e5b1c64	4906e164-e27b-45e1-af66-9325621c1e3c	CRAH
d6db1593-7900-4193-b295-d24b7e5b1c64	94c0506f-b5db-4f4b-95ed-cd0fd60f721b	CRAC
d6db1593-7900-4193-b295-d24b7e5b1c64	cdb7367e-2ddc-44d9-b3ab-e0ecff5bfddd	CRAC_WITHOUT_FAN
d6db1593-7900-4193-b295-d24b7e5b1c64	e6d67db8-23d5-4f21-9773-98d23ccfa266	CRAC_FAN
d6db1593-7900-4193-b295-d24b7e5b1c64	1b5dab8f-2c4f-42df-b65b-a9d13413d18f	CHILLER
d6db1593-7900-4193-b295-d24b7e5b1c64	37bc4a43-3666-4019-ac17-abba25e3a352	AIR_COOLED_CHILLER
d6db1593-7900-4193-b295-d24b7e5b1c64	88f3836b-65ea-4764-9548-a9a01ce462eb	COOLING_TOWER
d6db1593-7900-4193-b295-d24b7e5b1c64	18ce9fbe-dec9-4269-a363-4f4117510a5a	DRY_COOLER
d6db1593-7900-4193-b295-d24b7e5b1c64	a1b79fb5-59ed-45a6-aca6-2a378250e383	REMOTE_CONDENSER
d6db1593-7900-4193-b295-d24b7e5b1c64	d5502078-1602-4322-b38e-deabb458cbd3	CHILLED_WATER_PUMPS
d6db1593-7900-4193-b295-d24b7e5b1c64	646de824-7afb-455d-8c60-f9342f831a81	HEAT_REJECTION_PUMPS
d6db1593-7900-4193-b295-d24b7e5b1c64	2902be19-5e6d-43bf-a68f-06377b97d317	VENTILATION
d6db1593-7900-4193-b295-d24b7e5b1c64	df9bcfa3-6498-4570-83f6-aef562fab10a	INFILTRATION
d6db1593-7900-4193-b295-d24b7e5b1c64	05b25a71-9277-4472-a015-5e9a6a930488	IT_LOAD
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	01c678b9-76d4-40c7-86af-c28fc72e4bc1	SWITCHGEAR
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	c73766a4-0379-4f68-9468-34f409917569	GENERATOR
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	0ba08bda-56f4-40a4-b990-eba90f834c0a	PRIMARY_AUXILIARIES
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	391bf3ed-1dd2-4a26-807c-a47555ef9f2a	UPS
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	9bbf2467-f771-4b6f-a7a6-ee561c4a68bf	CRITICAL_AUXILIARIES
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	1f129385-caf6-47d8-b8ae-859b230d3100	LIGHTING
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	51d87cb4-d8bd-40eb-aa0d-d63beee72509	CRITICAL_POWER_DISTRIBUTION
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	6ed2f89d-825f-442c-a85d-719954d01b26	CRAH
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	c35b0117-828f-4753-937d-7d0a1425908c	CRAC
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	53a19f64-f754-4f2b-9acd-3484ba295318	CRAC_WITHOUT_FAN
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	faabf939-eeaf-4243-b9d9-3bfc6b6d74bb	CRAC_FAN
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	073743b4-c86b-47ba-9bc9-9ce2c1d25c80	CHILLER
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	7505eaf1-2421-435e-9581-ff795b1122d7	AIR_COOLED_CHILLER
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	9ba74bba-c943-4ee0-8e01-29a65a90c29b	COOLING_TOWER
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	8ea90a84-084b-4f3f-b118-4eface861813	DRY_COOLER
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	4f4600eb-2ab8-4e27-bb08-a805c7f7f25b	REMOTE_CONDENSER
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	bc95c759-d12d-448d-953f-11a6d103b42b	CHILLED_WATER_PUMPS
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	f0124ee3-a1d3-43d3-a522-b86e14c02be9	HEAT_REJECTION_PUMPS
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	3624b768-6400-41c5-8e15-5b278c467d9f	VENTILATION
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	24e00cc8-bad1-46e4-b393-659b4c16eb5f	INFILTRATION
9b5ccf01-97f9-40c9-a5cb-a0c59f1341e0	feb7fb80-4f42-4aee-973d-1067cdf395b8	IT_LOAD
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	e5507162-36a9-4302-b0d9-cc755fe49ad9	SWITCHGEAR
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	1edd8e3b-34c4-45a6-b10d-f2de85cd7b30	GENERATOR
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	3c06be2a-6792-471d-aece-6cd1604a3eb7	PRIMARY_AUXILIARIES
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	f58b5c4e-8c88-4ad2-ba62-1be0f65c0fc4	UPS
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	9b52a5dd-5b55-4f09-852e-812ee9d58fa3	CRITICAL_AUXILIARIES
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	f2146f96-e4e2-43fc-ae60-cd8ed7e6f00b	LIGHTING
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	e59212a0-2775-43e2-871a-e9eab1039337	CRITICAL_POWER_DISTRIBUTION
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	a4f76452-466b-4974-9cce-f831d1d04590	CRAH
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	8d7d3b01-c1be-431e-a478-44ea391a23c3	CRAC
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	4397db71-817c-45fd-b0e1-846d0cf462d9	CRAC_WITHOUT_FAN
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	f7f1af3b-cfa2-4dbf-b1c5-fdb6b9069e3e	CRAC_FAN
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	fb0eb028-aed8-49d2-99d6-5f0566148fba	CHILLER
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	f7ff281f-d11e-4ad0-936b-37f4a45a06a5	AIR_COOLED_CHILLER
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	6a669cf3-2c5d-442f-bd36-4d125f5a6d19	COOLING_TOWER
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	940c7201-7bed-4193-8d68-780acd5667bc	DRY_COOLER
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	5dc1ac9f-f216-49b3-8c18-fee6d11908de	REMOTE_CONDENSER
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	ec5f22b7-992c-496b-9bac-ce890ab8f701	CHILLED_WATER_PUMPS
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	9a92b872-e402-4016-82b1-41b43b9aea71	HEAT_REJECTION_PUMPS
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	049fbd0d-625b-4521-88f6-b92c288e6eff	VENTILATION
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	611e7411-317f-4797-9f65-2914781520bd	INFILTRATION
7c7b8b63-86d0-4da0-9f57-8077be0c58cd	51dcc76c-1bf5-4cc7-804f-3c5f56302a74	IT_LOAD
806d9b66-2610-4295-9dd3-54debee26bc9	1e873a1e-dd97-41cd-9510-051ddca2549f	SWITCHGEAR
806d9b66-2610-4295-9dd3-54debee26bc9	3579050a-0fa5-4e55-bbcd-2549123fadb2	GENERATOR
806d9b66-2610-4295-9dd3-54debee26bc9	96071fe7-191f-49f3-909f-40b2c5091c4a	PRIMARY_AUXILIARIES
806d9b66-2610-4295-9dd3-54debee26bc9	9a1a7662-d7be-4a31-85d7-bad3f3d6a267	UPS
806d9b66-2610-4295-9dd3-54debee26bc9	3124ecab-af60-4c65-88ca-70b02ec0f30c	CRITICAL_AUXILIARIES
806d9b66-2610-4295-9dd3-54debee26bc9	fa14033b-0e2b-47e7-b0a5-f23dcbaf934a	LIGHTING
806d9b66-2610-4295-9dd3-54debee26bc9	44b2be01-638d-4c2b-b934-a37ffed5c8d9	CRITICAL_POWER_DISTRIBUTION
806d9b66-2610-4295-9dd3-54debee26bc9	e71b31ee-8f6a-45f2-974b-0af58e4fbc5a	CRAH
806d9b66-2610-4295-9dd3-54debee26bc9	95b082d1-cb9a-43d2-bf43-5c9c480abf16	CRAC
806d9b66-2610-4295-9dd3-54debee26bc9	09a1fdd2-6562-4054-82f0-597576d4e586	CRAC_WITHOUT_FAN
806d9b66-2610-4295-9dd3-54debee26bc9	254d7671-368d-4613-8adb-e2c8714b0571	CRAC_FAN
806d9b66-2610-4295-9dd3-54debee26bc9	b2d93201-cf4e-4d70-9d87-11b18219b186	CHILLER
806d9b66-2610-4295-9dd3-54debee26bc9	808014ab-1d16-46cb-8beb-90dfb6acb81b	AIR_COOLED_CHILLER
806d9b66-2610-4295-9dd3-54debee26bc9	cfa55104-a7b0-41f2-b5fa-466bdc4cfda0	COOLING_TOWER
806d9b66-2610-4295-9dd3-54debee26bc9	e4a6d6b7-53e7-489a-a0c6-41a8c3a4d2cb	DRY_COOLER
806d9b66-2610-4295-9dd3-54debee26bc9	d7d817da-631f-4df8-937c-670b5ce10dca	REMOTE_CONDENSER
806d9b66-2610-4295-9dd3-54debee26bc9	c858b67c-d7d4-494e-8b3e-eae8750f7ac9	CHILLED_WATER_PUMPS
806d9b66-2610-4295-9dd3-54debee26bc9	0a87466f-e6b0-41ce-8e2e-2ab91d5f02a1	HEAT_REJECTION_PUMPS
806d9b66-2610-4295-9dd3-54debee26bc9	6a3a2ed5-34ac-4fb5-899a-fa26f72cc7f3	VENTILATION
806d9b66-2610-4295-9dd3-54debee26bc9	568f91d1-aedf-4064-b3ba-3d68fdceffa2	INFILTRATION
806d9b66-2610-4295-9dd3-54debee26bc9	b93c853b-1c9b-4f2a-be62-5a29672a68ad	IT_LOAD
79ad92ba-233d-444f-b148-3616eaa92c6e	30b8b6bd-d266-45a7-b522-1795b0f0640d	SWITCHGEAR
79ad92ba-233d-444f-b148-3616eaa92c6e	634d6edf-dda4-4efa-b561-ba049f6413d4	GENERATOR
79ad92ba-233d-444f-b148-3616eaa92c6e	d952a293-d3bb-4d48-a751-bf23acec6684	PRIMARY_AUXILIARIES
79ad92ba-233d-444f-b148-3616eaa92c6e	17c5aea5-2f88-4e3d-8df5-59b168d8296b	UPS
79ad92ba-233d-444f-b148-3616eaa92c6e	552f7572-cdb2-40d7-97dc-d86ee0021c4d	CRITICAL_AUXILIARIES
79ad92ba-233d-444f-b148-3616eaa92c6e	90c24b59-46f9-4aea-8bcd-a4cba9f0687b	LIGHTING
79ad92ba-233d-444f-b148-3616eaa92c6e	f0b3b46d-3a12-41f0-8cce-a07e246096d3	CRITICAL_POWER_DISTRIBUTION
79ad92ba-233d-444f-b148-3616eaa92c6e	f039ee06-ef66-4836-8706-c9ab9767e4f2	CRAH
79ad92ba-233d-444f-b148-3616eaa92c6e	b44279df-1141-48a5-a88f-7bcafc59f828	CRAC
79ad92ba-233d-444f-b148-3616eaa92c6e	93f19498-bf5d-4393-ab9a-fe1c8d0c5a06	CRAC_WITHOUT_FAN
79ad92ba-233d-444f-b148-3616eaa92c6e	8cb5bfa2-0e20-4ca3-a58c-821d998a18ff	CRAC_FAN
79ad92ba-233d-444f-b148-3616eaa92c6e	0d5be810-11ec-436e-a373-f056e90dd5e9	CHILLER
79ad92ba-233d-444f-b148-3616eaa92c6e	93bc9398-ca22-4cd3-873a-69214473db33	AIR_COOLED_CHILLER
79ad92ba-233d-444f-b148-3616eaa92c6e	64defbf6-8685-4ebe-980a-bf3bb69a418d	COOLING_TOWER
79ad92ba-233d-444f-b148-3616eaa92c6e	eca7715d-11d9-444d-a01a-f61696b6c2d4	DRY_COOLER
79ad92ba-233d-444f-b148-3616eaa92c6e	fa9dcc43-cc01-446c-b95d-44bd525224dc	REMOTE_CONDENSER
79ad92ba-233d-444f-b148-3616eaa92c6e	b24db455-1065-4a61-bfce-11fe6ca83eb3	CHILLED_WATER_PUMPS
79ad92ba-233d-444f-b148-3616eaa92c6e	164b2c3f-bd66-4f92-ad2f-31ae11eb0493	HEAT_REJECTION_PUMPS
79ad92ba-233d-444f-b148-3616eaa92c6e	18f1be52-05de-4e89-8338-e510784fe512	VENTILATION
79ad92ba-233d-444f-b148-3616eaa92c6e	ce4a38cb-57c7-425f-811f-226d52060f97	INFILTRATION
79ad92ba-233d-444f-b148-3616eaa92c6e	76823f2a-a523-419f-a003-15433e4a15db	IT_LOAD
ebcdacb0-592d-46b8-ac58-797b446f73a2	e58f110c-9676-4591-a71c-a4d4defe9ff9	SWITCHGEAR
ebcdacb0-592d-46b8-ac58-797b446f73a2	96ecd524-c12d-4d80-aa8e-8e5df9458733	GENERATOR
ebcdacb0-592d-46b8-ac58-797b446f73a2	61d276e3-6ff0-4a31-985c-315727b1bdf5	PRIMARY_AUXILIARIES
ebcdacb0-592d-46b8-ac58-797b446f73a2	d063f324-1064-4a21-95c5-79515d680c64	UPS
ebcdacb0-592d-46b8-ac58-797b446f73a2	43857781-1df5-48ee-a107-1c2deb8a5285	CRITICAL_AUXILIARIES
ebcdacb0-592d-46b8-ac58-797b446f73a2	55c43364-2164-4515-9739-d028e2b9da11	LIGHTING
ebcdacb0-592d-46b8-ac58-797b446f73a2	6b594a92-1c5d-44a9-9294-528ed31c1e79	CRITICAL_POWER_DISTRIBUTION
ebcdacb0-592d-46b8-ac58-797b446f73a2	7b475256-cb06-4865-ad92-4b62a2267a20	CRAH
ebcdacb0-592d-46b8-ac58-797b446f73a2	48d6d512-f4c6-4e59-9f7c-7833cbbb3e95	CRAC
ebcdacb0-592d-46b8-ac58-797b446f73a2	97622074-eaea-4d83-b38d-1ffbf0d28dc3	CRAC_WITHOUT_FAN
ebcdacb0-592d-46b8-ac58-797b446f73a2	9fa6c19d-c2ac-43ea-ae88-e1d545e151b1	CRAC_FAN
ebcdacb0-592d-46b8-ac58-797b446f73a2	fd1f9bdb-8a7a-4a5d-a576-b06dfdee90ef	CHILLER
ebcdacb0-592d-46b8-ac58-797b446f73a2	23f327b8-366a-4c3c-85f1-abdd4b8dcf4f	AIR_COOLED_CHILLER
ebcdacb0-592d-46b8-ac58-797b446f73a2	dd3cb557-807f-43c3-87dd-7bf6b7e2b62a	COOLING_TOWER
ebcdacb0-592d-46b8-ac58-797b446f73a2	7e7337fc-0e93-426a-aedd-a7d963e5d491	DRY_COOLER
ebcdacb0-592d-46b8-ac58-797b446f73a2	c4ba0d44-a1b5-4f11-a201-3f45cc3e2206	REMOTE_CONDENSER
ebcdacb0-592d-46b8-ac58-797b446f73a2	e17694d9-c6f9-4bdf-842e-8f8fdd6af0ba	CHILLED_WATER_PUMPS
ebcdacb0-592d-46b8-ac58-797b446f73a2	d927f1d5-728f-49b4-8472-773dbc1b88bd	HEAT_REJECTION_PUMPS
ebcdacb0-592d-46b8-ac58-797b446f73a2	779383d0-bdb4-48e8-9b3e-eb71fc92e3ac	VENTILATION
ebcdacb0-592d-46b8-ac58-797b446f73a2	f2f7f7d3-dada-455a-9e7f-eac434664d22	INFILTRATION
ebcdacb0-592d-46b8-ac58-797b446f73a2	c8204e1a-e518-43d7-a41d-eb712b178818	IT_LOAD
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	b117004f-07b2-4184-a832-40026128b611	SWITCHGEAR
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	200f067e-13f6-448b-b30f-3e7a533754ae	GENERATOR
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	48b7cee2-c957-4957-8201-f5cca8934754	PRIMARY_AUXILIARIES
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	e50cd208-40cb-4b30-8482-4cd8d2b9213d	UPS
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	2d1c5776-e3f4-4e73-92fe-8286f836b50a	CRITICAL_AUXILIARIES
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	db11a007-730d-458a-a8f0-83231514179a	LIGHTING
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	733fb7cd-55d8-4569-be90-d91e7ffcd122	CRITICAL_POWER_DISTRIBUTION
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	442a2d01-80ca-4e49-a062-68ee08d4f6d6	CRAH
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	22ec9e31-089c-47a6-8583-72a7b0389b43	CRAC
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	d51e3847-139b-41b9-8978-2fdb9b69004b	CRAC_WITHOUT_FAN
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	55f2d134-024f-4d40-9295-77b693559bf4	CRAC_FAN
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	79bcf537-2f59-4e9c-bb5f-f55e0eb0ede4	CHILLER
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	2b699115-e815-4bc6-8a40-18d0dfb878be	AIR_COOLED_CHILLER
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	3b32fcf7-6f85-420a-b98c-4a873fb8f04e	COOLING_TOWER
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	72616ad7-82d1-45b6-ae16-a7f6bbdc74d2	DRY_COOLER
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	cbdaae4f-a963-4d41-b1b4-c9180519c170	REMOTE_CONDENSER
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	15d574fe-a035-43eb-a5f4-e47dfa22360e	CHILLED_WATER_PUMPS
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	840d8a6c-69e5-4320-bb56-abac3b1564d4	HEAT_REJECTION_PUMPS
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	acfeebef-e77b-406f-9285-3ba9ebd23e69	VENTILATION
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	4c645912-989c-4879-8943-43fe2c2ec16a	INFILTRATION
564c3e36-0ad1-45d6-b26b-4b3ab3739c44	fb45a1e7-5347-4ded-880b-e992244edcf1	IT_LOAD
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	a4c5b1a9-dcb3-4036-80ab-7254abeca903	SWITCHGEAR
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	a5b64738-f217-4359-8804-989dc1469aaf	GENERATOR
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	de354cd0-0603-443d-bea7-a39ca9cea2a4	PRIMARY_AUXILIARIES
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	5f18368a-1b52-4baa-b706-98ff3e3bb68c	UPS
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	11d5f6f6-8c91-4743-8af8-de289d39c586	CRITICAL_AUXILIARIES
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	ea79fd9a-740e-486e-85d4-b669a2f25a71	LIGHTING
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	8a44fa62-0795-4156-9a1d-6a594cf70b44	CRITICAL_POWER_DISTRIBUTION
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	dab0d5aa-39fd-48f3-a25c-138741211e5f	CRAH
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	e41c9989-9ba3-4449-aedb-32ebb384d9bc	CRAC
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	0de137e6-75c3-4f65-8361-9561961cf204	CRAC_WITHOUT_FAN
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	8170d375-b06a-44e8-b3bc-761f64c5cbd5	CRAC_FAN
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	77152f39-9cfa-4223-8024-647586e2976d	CHILLER
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	e0c91ba1-ac3e-42cb-a7b9-98f8c97b0e1d	AIR_COOLED_CHILLER
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	65eafcad-58bc-4356-bbe9-c5703ede3244	COOLING_TOWER
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	72816a14-e687-4249-95e6-da94f5a3b069	DRY_COOLER
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	874e04e6-2372-4b47-be56-4d9123cf0070	REMOTE_CONDENSER
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	270b3f6f-96a0-4bf0-8408-88f0eef9a82f	CHILLED_WATER_PUMPS
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	84112141-4aec-4905-9f4b-39df9ae78886	HEAT_REJECTION_PUMPS
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	f3099c11-563e-45ef-85e1-a823f01f3d08	VENTILATION
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	15595163-bbb2-4acf-b21b-d7de793153d4	INFILTRATION
4dd7b949-51a7-4cfe-8c22-0bdf67c23f7c	6130b536-d114-4a66-b9f5-fe97bef38cac	IT_LOAD
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	020d82bf-9b85-4314-b007-285c3db4910b	SWITCHGEAR
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	7c3a610a-2716-495a-bf53-42c7c6e0479c	GENERATOR
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	d8cc013a-161f-45a3-8c09-7bf7d2f11c79	PRIMARY_AUXILIARIES
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	b5ec8a05-6b0e-4415-8406-95adee7f81e3	UPS
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	c7707de8-d329-4806-a237-51428b0c23ae	CRITICAL_AUXILIARIES
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	cb74662d-c840-4660-8755-3038f45c8c52	LIGHTING
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	584f8841-fce4-4989-9497-4784bbcde682	CRITICAL_POWER_DISTRIBUTION
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	de3ab82e-db92-4cea-a95d-1d0561d23bbd	CRAH
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	9b751e33-a608-441b-a1c6-a11c2364aa88	CRAC
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	37c43fa4-3265-4e23-b232-377ab3b33798	CRAC_WITHOUT_FAN
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	444a3533-ee4e-4137-a58e-99316764c2bf	CRAC_FAN
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	aac974ca-3816-4087-9252-5e4be8cfe8a8	CHILLER
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	db016b9d-797a-4d35-8897-1d642ffa52d0	AIR_COOLED_CHILLER
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	33421a74-8a1c-4b84-8fa6-8db74c926668	COOLING_TOWER
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	0a00030f-3099-4d69-b33a-cf7ed4863e0a	DRY_COOLER
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	379d8f19-952a-438d-bac3-431f332a919f	REMOTE_CONDENSER
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	66cd5150-4fc3-4f5f-8759-1cf0fe6fad28	CHILLED_WATER_PUMPS
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	2aa356e4-23c8-420a-a549-0b75e3ea36c2	HEAT_REJECTION_PUMPS
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	92ed35a9-a809-4a0f-b105-9dff47cf38cd	VENTILATION
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	ccc0c505-5a08-41bc-9442-3bdebd25f32e	INFILTRATION
b1b7ec4d-36c3-46e7-9731-c94814e18f9d	bf73b284-11ff-4e36-9b05-61f247a974c5	IT_LOAD
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	fc3a6802-d32a-4104-ae01-d600804ce765	SWITCHGEAR
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	4229ba6a-7e5a-4a36-b477-0c93d614c452	GENERATOR
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	e6c58f10-0883-4a00-bec5-e502d8f27843	PRIMARY_AUXILIARIES
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	c0571d44-6033-4e0c-bddc-ca0a3e8739ea	UPS
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	7d7ec14a-277b-46b6-8a97-10fa7e1e3c9b	CRITICAL_AUXILIARIES
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	6215c560-4256-4d20-abb8-f8e1afe35f1b	LIGHTING
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	1a50e48e-b955-4e87-b45c-41839d59ce16	CRITICAL_POWER_DISTRIBUTION
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	68978f35-8a64-4556-a48c-805d92e8e80b	CRAH
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	5da14fb6-f24c-4d70-a183-85cb48c351dc	CRAC
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	61e95123-fbe4-4c59-9a5d-4e9bd7d79e63	CRAC_WITHOUT_FAN
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	1f3f81ac-7236-46c9-9dca-c86e06779ca0	CRAC_FAN
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	2f017f46-697f-41d5-8482-eef38c6ba96f	CHILLER
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	6100c50e-cc5b-4f37-bae1-eddf5745c193	AIR_COOLED_CHILLER
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	8c96c9fa-eeae-4adb-8bdb-869b50d58a24	COOLING_TOWER
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	9e29a0d2-a769-4023-a51d-6356642214d6	DRY_COOLER
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	5449334d-432d-40aa-9179-4a19ca38ebfb	REMOTE_CONDENSER
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	be9342dc-938d-4a3d-bd37-592f68b1000b	CHILLED_WATER_PUMPS
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	9adf8e64-edf0-4414-8e00-557e10c9db1b	HEAT_REJECTION_PUMPS
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	ded6d66d-9c34-433f-b688-00d1f654937c	VENTILATION
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	719da28d-a3b7-4496-af32-108d860ed752	INFILTRATION
2ad5b3a7-e1df-4d9c-b027-1bf218014c1a	baf85750-99d6-4168-886b-e48963c87979	IT_LOAD
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	6c5488de-83b3-44d3-98ce-cbcbaefa90eb	SWITCHGEAR
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	82f66d49-8eb1-49c8-94f3-631de340c2ac	GENERATOR
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	dfc4ded7-ed6a-4abc-9434-a6b7f902c99d	PRIMARY_AUXILIARIES
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	06117385-3685-42ad-a0c8-70afdb7831ac	UPS
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	86e449f7-4c42-4530-bd88-97072a148ae8	CRITICAL_AUXILIARIES
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	9eb7e275-1afb-4fed-9198-1eac96425ef2	LIGHTING
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	a3b95c38-6708-4e5a-8789-e8ffbff138a9	CRITICAL_POWER_DISTRIBUTION
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	46dbc619-8f7a-4d96-b0f1-d07613d92b8a	CRAH
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	95ba4a05-c2a8-47eb-9bce-5fd508f8ebf4	CRAC
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	be4137d9-bea1-4043-8fb4-58369dce79a5	CRAC_WITHOUT_FAN
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	452d618b-421a-4ba9-a484-d09d711129b3	CRAC_FAN
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	ebec81aa-458e-4422-aeaf-5e9b2fdcd5f7	CHILLER
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	c72b1885-ea1a-4097-809d-c1c8e043a1a8	AIR_COOLED_CHILLER
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	4c7b8d4f-3401-4649-b2d2-5f71d4d0d1c7	COOLING_TOWER
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	4111b6f2-df8f-48dc-a2c5-e45b2e1acce5	DRY_COOLER
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	a8e57b54-b41f-40b7-9571-f25020b86dc7	REMOTE_CONDENSER
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	59eccf3c-b973-4422-8689-68d2e3cb7505	CHILLED_WATER_PUMPS
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	245b43d1-47c9-4430-8aa9-e3bdd8be7a86	HEAT_REJECTION_PUMPS
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	87785ad2-ce82-45b5-9d41-070d8ad3fae2	VENTILATION
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	00c6cc40-e828-4f8b-bd91-51bbdb65d94c	INFILTRATION
6f0d7e70-eec3-4f77-b2d2-1a9be7798b65	7e949003-8811-4460-b383-1147f03eb24c	IT_LOAD
10734485-01f0-4173-b38c-9ccd000d7ef9	599c90d1-af53-4c54-9825-997bd462c3db	SWITCHGEAR
10734485-01f0-4173-b38c-9ccd000d7ef9	4a412b6b-f226-4119-98dd-773385cbffc8	GENERATOR
10734485-01f0-4173-b38c-9ccd000d7ef9	842124fb-65a5-49f8-b8bf-8c0404ed0971	PRIMARY_AUXILIARIES
10734485-01f0-4173-b38c-9ccd000d7ef9	d7860e1e-6144-4a7f-8632-9ee4d403bddf	UPS
10734485-01f0-4173-b38c-9ccd000d7ef9	5e22c13c-1acd-4005-81ba-c13bdd467b74	CRITICAL_AUXILIARIES
10734485-01f0-4173-b38c-9ccd000d7ef9	ffa0728e-6b71-4dad-b2c5-736da5141a8e	LIGHTING
10734485-01f0-4173-b38c-9ccd000d7ef9	101c0a6a-a891-437a-8e2b-47d23f721e4b	CRITICAL_POWER_DISTRIBUTION
10734485-01f0-4173-b38c-9ccd000d7ef9	f0fd4b9f-d6b1-4768-823f-4e464f986432	CRAH
10734485-01f0-4173-b38c-9ccd000d7ef9	5702db57-82e6-455e-94b8-8afc5c07a300	CRAC
10734485-01f0-4173-b38c-9ccd000d7ef9	17e0414d-d7e0-432d-a4a3-2a04bac52f79	CRAC_WITHOUT_FAN
10734485-01f0-4173-b38c-9ccd000d7ef9	38e5c499-8822-4fbd-b3d1-62f8ac0d30f8	CRAC_FAN
10734485-01f0-4173-b38c-9ccd000d7ef9	56821225-32b1-4e07-8d62-8b80511d2648	CHILLER
10734485-01f0-4173-b38c-9ccd000d7ef9	f4dae2af-b797-4646-9419-86fc35b2224b	AIR_COOLED_CHILLER
10734485-01f0-4173-b38c-9ccd000d7ef9	eb4672dc-f846-4103-af0c-08b685774a04	COOLING_TOWER
10734485-01f0-4173-b38c-9ccd000d7ef9	5ba7132d-8b43-4b07-a975-6478d6dfb67d	DRY_COOLER
10734485-01f0-4173-b38c-9ccd000d7ef9	57351b65-c4c5-4805-9a2f-0ac151bc3436	REMOTE_CONDENSER
10734485-01f0-4173-b38c-9ccd000d7ef9	c0fe9371-b815-4b60-9fea-53efbf24ae59	CHILLED_WATER_PUMPS
10734485-01f0-4173-b38c-9ccd000d7ef9	77bea3ee-2572-4c47-b544-d7f0bc86ed45	HEAT_REJECTION_PUMPS
10734485-01f0-4173-b38c-9ccd000d7ef9	bba992dd-5fca-4aa3-9728-63b2deb5e036	VENTILATION
10734485-01f0-4173-b38c-9ccd000d7ef9	534361f7-2184-4f52-b11d-5f9907900894	INFILTRATION
10734485-01f0-4173-b38c-9ccd000d7ef9	fc26f8e7-0521-4ede-990f-543095f9293c	IT_LOAD
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	c2545b5b-2b0e-4496-b6ae-ddaf41ddb6d2	SWITCHGEAR
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	9efe6981-3948-4203-a9a3-f1913da7146c	GENERATOR
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	6b89d759-36cc-4a1d-85a1-a1d3e8b9d8a9	PRIMARY_AUXILIARIES
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	5b59e33b-e465-4ff0-beab-9dd1992b9713	UPS
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	6abacd7b-f595-4a44-be4e-6cb85635b4e9	CRITICAL_AUXILIARIES
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	e4667591-ee45-42e7-b9be-f0a0f7d68500	LIGHTING
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	05e95606-e379-4c97-a12f-b08e93333438	CRITICAL_POWER_DISTRIBUTION
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	097f49a1-18f2-454e-a9bc-f7e2792a208b	CRAH
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	b6473bc4-a706-4a48-92c5-35a67bee2365	CRAC
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	7e403018-0daf-49df-bc51-bde639306e4e	CRAC_WITHOUT_FAN
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	040a5483-484c-4136-83d4-ad0c262de67a	CRAC_FAN
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	4d607b1a-b6e5-41e1-ae2c-6c88e1b1d956	CHILLER
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	12ae5a45-136b-403b-b3d0-b20587f3e7b5	AIR_COOLED_CHILLER
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	199a739c-3834-4cd2-b6c4-fd5d45b73921	COOLING_TOWER
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	d59ac26a-a0c7-4225-8e63-899c1a4528c0	DRY_COOLER
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	3d9046fb-199f-4e6e-9018-4a353cc8d57c	REMOTE_CONDENSER
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	4abe0ab5-470e-440f-bb90-24e710be47c0	CHILLED_WATER_PUMPS
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	77dfb53d-3479-4905-b63b-243ec6d7707b	HEAT_REJECTION_PUMPS
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	4da4f356-dbd0-434f-a3e5-95cea5c3d053	VENTILATION
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	2075ec8f-bf3d-4283-96e7-59aea0f6a48d	INFILTRATION
8e5f4426-fe8a-4545-ab95-2ffd26b1ae69	0ccc685a-896a-4e6c-86e5-2804944a76b3	IT_LOAD
470f0a30-9211-443f-be35-7ee0bde97909	45ddb3f9-cf8a-4033-8634-5f087540f6a0	SWITCHGEAR
470f0a30-9211-443f-be35-7ee0bde97909	bb7cf59f-a1d6-4dc7-9e44-c38b6eab335c	GENERATOR
470f0a30-9211-443f-be35-7ee0bde97909	d3f9058d-e03c-41d1-b7bf-bdb9e5774faf	PRIMARY_AUXILIARIES
470f0a30-9211-443f-be35-7ee0bde97909	b124e52b-ebba-4a02-b05d-815a48cb43b9	UPS
470f0a30-9211-443f-be35-7ee0bde97909	4e039005-c797-4086-a262-d1e38bdc7b1c	CRITICAL_AUXILIARIES
470f0a30-9211-443f-be35-7ee0bde97909	4cdbd6a6-2741-4e2b-9261-e6cdf7fb9717	LIGHTING
470f0a30-9211-443f-be35-7ee0bde97909	949b6df3-8daf-4c72-bbd2-09fbed839c07	CRITICAL_POWER_DISTRIBUTION
470f0a30-9211-443f-be35-7ee0bde97909	52f98d8f-1b2a-467b-852d-d16121214ff9	CRAH
470f0a30-9211-443f-be35-7ee0bde97909	305157c7-5a4b-45b4-b47e-f18e7b1324b6	CRAC
470f0a30-9211-443f-be35-7ee0bde97909	d613b67d-6277-4257-927b-933c73610d6d	CRAC_WITHOUT_FAN
470f0a30-9211-443f-be35-7ee0bde97909	5268f2f6-9a05-472f-bde8-03d6f8362ad5	CRAC_FAN
470f0a30-9211-443f-be35-7ee0bde97909	1436dfa0-d047-4fb5-b94c-db3501b997b1	CHILLER
470f0a30-9211-443f-be35-7ee0bde97909	7fa0f270-62e9-46fc-af58-62d841ca3f10	AIR_COOLED_CHILLER
470f0a30-9211-443f-be35-7ee0bde97909	e84f3dc4-bc5e-4030-8018-74ae7c2821d6	COOLING_TOWER
470f0a30-9211-443f-be35-7ee0bde97909	857fdf2c-1fc2-4bea-bfc1-15b26d153f12	DRY_COOLER
470f0a30-9211-443f-be35-7ee0bde97909	80d41eba-c428-47e1-97bc-bf5c920024ee	REMOTE_CONDENSER
470f0a30-9211-443f-be35-7ee0bde97909	3973fa32-4e9b-4f1f-bce6-e24da50f95cb	CHILLED_WATER_PUMPS
470f0a30-9211-443f-be35-7ee0bde97909	0cc11ed5-7287-4411-9b27-dfa1cbec5a31	HEAT_REJECTION_PUMPS
470f0a30-9211-443f-be35-7ee0bde97909	e1cf10aa-856a-4113-8922-bd5f10a525ce	VENTILATION
470f0a30-9211-443f-be35-7ee0bde97909	451769b1-c336-487d-a38f-32728201b746	INFILTRATION
470f0a30-9211-443f-be35-7ee0bde97909	c528253e-57a5-49e0-8588-8d2e8d4f237f	IT_LOAD
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	ec12d2fb-d5c0-4fb4-93ba-f62ec055fd22	SWITCHGEAR
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	87612c9f-2365-4c7b-8c5e-65473c220967	GENERATOR
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	b3e37346-cc9c-49f4-93e4-b2b7164a0396	PRIMARY_AUXILIARIES
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	e64a8d5e-6206-4e44-8f82-e82f5600f3c7	UPS
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	8769d6a4-f58e-46a2-bcc4-097cb3f1fee3	CRITICAL_AUXILIARIES
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	d98c107a-b830-4174-a7e9-5a5ebcab521c	LIGHTING
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	8d8fba32-4a07-4641-bca8-4ba8d99fff4c	CRITICAL_POWER_DISTRIBUTION
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	b3d3c5d6-d7c3-44e5-8f63-0ad6433035ae	CRAH
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	74a6566f-7afb-47e4-ac87-d1d57900455f	CRAC
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	5d8ab59e-5e63-4c57-be45-e0a44ca60df2	CRAC_WITHOUT_FAN
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	1a37527b-69b5-4b53-8468-46295498ac73	CRAC_FAN
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	9b5dfb46-953e-43a1-a2f8-21cd6f9cfd07	CHILLER
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	1bc0f7b8-3cc4-4f2e-85e8-16ea94de204c	AIR_COOLED_CHILLER
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	72d2fd35-756b-4ae1-b726-e12291eedd45	COOLING_TOWER
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	c004143e-fc30-4dfb-bbd6-f1700abe9796	DRY_COOLER
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	d7cbc3f8-2661-4951-9d88-a4f918ed2c1f	REMOTE_CONDENSER
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	7c0b8358-1fc2-409e-9e4c-5252375ec5a7	CHILLED_WATER_PUMPS
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	b7fcedf9-b809-442a-a790-7965468149f2	HEAT_REJECTION_PUMPS
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	ec541a53-0bc8-4759-a782-5ae290ddb231	VENTILATION
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	015324fa-7ef9-4687-b7aa-94e3c886b02d	INFILTRATION
2f53d254-ae8d-4ef3-abee-3cd3e77d48aa	00ffe512-6d1f-40de-bf2e-4e189a448a21	IT_LOAD
90f4264b-29ae-44bc-adeb-d866a2352a29	cb66d0f4-3754-4893-88bc-2875eb41c9af	SWITCHGEAR
90f4264b-29ae-44bc-adeb-d866a2352a29	6fe526b6-4365-4eb4-9b6f-ab382e1bbc78	GENERATOR
90f4264b-29ae-44bc-adeb-d866a2352a29	43544d19-e3bd-48cc-bd89-e3d731c9a634	PRIMARY_AUXILIARIES
90f4264b-29ae-44bc-adeb-d866a2352a29	3554ef11-62ac-4563-aeb7-61dfd592e679	UPS
90f4264b-29ae-44bc-adeb-d866a2352a29	31b3ba3d-5f03-44f9-94c8-8641e54aa276	CRITICAL_AUXILIARIES
90f4264b-29ae-44bc-adeb-d866a2352a29	3254b148-6d38-463c-8733-f4509c1188de	LIGHTING
90f4264b-29ae-44bc-adeb-d866a2352a29	1faa6683-320a-40d8-9889-6d2535fd9eed	CRITICAL_POWER_DISTRIBUTION
90f4264b-29ae-44bc-adeb-d866a2352a29	b0601aba-6d21-40e5-b475-f9e327d640cb	CRAH
90f4264b-29ae-44bc-adeb-d866a2352a29	9d2e04af-4ac7-4456-b1c9-aa6d03f158e9	CRAC
90f4264b-29ae-44bc-adeb-d866a2352a29	c5785700-f738-4d06-8ed9-243b1ffaff02	CRAC_WITHOUT_FAN
90f4264b-29ae-44bc-adeb-d866a2352a29	4f8d514c-1977-44f1-b8d4-f63a8db4387f	CRAC_FAN
90f4264b-29ae-44bc-adeb-d866a2352a29	30489f14-d5e0-4f6c-960c-e0455c4f3c36	CHILLER
90f4264b-29ae-44bc-adeb-d866a2352a29	7b6152c8-6b7c-4122-af9d-1a5d3fe5db01	AIR_COOLED_CHILLER
90f4264b-29ae-44bc-adeb-d866a2352a29	2d2f477d-8fff-4364-bff3-285d4612b1db	COOLING_TOWER
90f4264b-29ae-44bc-adeb-d866a2352a29	b140f33f-93ee-4005-a84c-ae08474b1f8d	DRY_COOLER
90f4264b-29ae-44bc-adeb-d866a2352a29	93dd4167-283e-4433-8e68-e17e66711246	REMOTE_CONDENSER
90f4264b-29ae-44bc-adeb-d866a2352a29	41dd8cca-a165-4985-abaf-e432215a6c7d	CHILLED_WATER_PUMPS
90f4264b-29ae-44bc-adeb-d866a2352a29	537952d3-89eb-4402-8f11-b1d15a633f4b	HEAT_REJECTION_PUMPS
90f4264b-29ae-44bc-adeb-d866a2352a29	e0e2874f-207e-4e2b-9a5f-6cf3e3a5440f	VENTILATION
90f4264b-29ae-44bc-adeb-d866a2352a29	0504bf99-31bd-4d22-aa50-2ae8af00238d	INFILTRATION
90f4264b-29ae-44bc-adeb-d866a2352a29	db5c7476-8c0c-4c44-bbe1-8e1359f3bd34	IT_LOAD
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	a097a450-1c64-44b5-9de1-7e4e58583dcb	SWITCHGEAR
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	c981c84d-e45d-4f09-9baf-ac18a17b4862	GENERATOR
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	9bf02f9a-8e63-4de7-8dd1-a6ba9ae155d6	PRIMARY_AUXILIARIES
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	0e633937-dd0b-45a7-99b5-9b5762b2652f	UPS
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	9fff8800-9b44-4dae-925c-76581d38ae32	CRITICAL_AUXILIARIES
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	7b3233f7-fa97-4742-9a44-3588332eaa69	LIGHTING
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	d4bf0c9a-5285-4c07-aa23-03af2e609e13	CRITICAL_POWER_DISTRIBUTION
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	0ced6f57-a520-4411-aedd-11a2259ff3c1	CRAH
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	4b652c4f-0f01-44ce-9436-603b6a1457a4	CRAC
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	9696b251-6046-4712-9e8a-91be7b9d93a4	CRAC_WITHOUT_FAN
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	08bf8853-871e-4b0b-8076-7017d7ec1a0a	CRAC_FAN
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	0aab5c5c-4aee-4113-b61f-a8f370c861eb	CHILLER
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	7425131a-542a-4a1a-b95e-5cde0a9906a1	AIR_COOLED_CHILLER
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	0439169e-f9b9-4c71-98fe-451315b5b5cb	COOLING_TOWER
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	357efd67-7837-4f8c-b296-36e3e37a92bd	DRY_COOLER
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	bbcc0d5f-93e8-4b16-af39-c914435ef767	REMOTE_CONDENSER
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	9c68a67c-fd73-42db-b418-821252451cd6	CHILLED_WATER_PUMPS
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	e3de1971-cb05-4be8-b4e4-c97f0072bc05	HEAT_REJECTION_PUMPS
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	1b2806c4-861f-4a42-9f62-5e118cfb8b03	VENTILATION
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	3f16cdab-de69-4e17-9b77-dffc0b290751	INFILTRATION
94627bb0-9d4e-47c8-a1d7-5baf5a4b9eac	b6caf6e9-e088-4751-91a6-a5206521459b	IT_LOAD
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	f8433a97-c036-4001-b7ad-3f36e599d195	SWITCHGEAR
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	33a0621d-1e66-4b87-840b-df2fa30ee358	GENERATOR
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	7f541c6b-b3db-4cc9-b241-1fdd58134f7b	PRIMARY_AUXILIARIES
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	5dff37af-d904-4933-acbe-e6a8bf0530e7	UPS
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	1e4b16c6-cb8a-4c04-8191-9cfdbb0f481f	CRITICAL_AUXILIARIES
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	fe9f93ae-809e-49a6-a3ed-d545739c9c65	LIGHTING
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	e6fc6daa-42f3-4049-b9ca-5c4e37bea9c1	CRITICAL_POWER_DISTRIBUTION
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	ec61240f-f3ce-4133-bc45-51cafc9851c4	CRAH
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	a4ce1978-407f-4b20-baba-099c452575cd	CRAC
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	7218f616-dbd4-4bfc-9d74-48bbe3bc3902	CRAC_WITHOUT_FAN
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	834c3c5b-6afb-4866-a14c-52be17d0d801	CRAC_FAN
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	3e2c99c3-adeb-41cd-8a8c-de852363a205	CHILLER
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	42fed560-0130-4b35-8136-5fcd7d75d39b	AIR_COOLED_CHILLER
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	c286db2f-c681-4330-b1af-0835a0703196	COOLING_TOWER
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	637ce74b-788a-43d3-bf53-bdea5113626b	DRY_COOLER
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	ec2704c7-97fe-42aa-bbdb-7b49eafd1cca	REMOTE_CONDENSER
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	ff4af7b0-670c-44a4-9bd3-768b1a5b92ee	CHILLED_WATER_PUMPS
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	9d2665df-c2ab-48b4-9dad-76a288a81d40	HEAT_REJECTION_PUMPS
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	b4081d76-2b6b-466a-b495-447fc2e27486	VENTILATION
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	b0747a68-4c91-4936-8a3e-646fe4a58e16	INFILTRATION
1cfc31f1-2cce-406d-89d1-bdb72a2867fc	0dd9c254-e8f4-4883-861a-9d0180e3104a	IT_LOAD
f05e247d-9d94-450e-9aaa-1e073dcca5f2	8613b72d-2839-415d-bc79-88d9eedfd8fa	SWITCHGEAR
f05e247d-9d94-450e-9aaa-1e073dcca5f2	f087372b-49dd-436e-8c11-32f1d15fae85	GENERATOR
f05e247d-9d94-450e-9aaa-1e073dcca5f2	6b96b7a5-a752-4c41-ba05-4e565124f5e8	PRIMARY_AUXILIARIES
f05e247d-9d94-450e-9aaa-1e073dcca5f2	dc09ab22-25c8-407d-914d-a92fb2cbabac	UPS
f05e247d-9d94-450e-9aaa-1e073dcca5f2	1c111793-7765-40cb-b515-dcbd79d6dd0c	CRITICAL_AUXILIARIES
f05e247d-9d94-450e-9aaa-1e073dcca5f2	58f719d7-ac16-45b2-b832-c663a914c252	LIGHTING
f05e247d-9d94-450e-9aaa-1e073dcca5f2	84490ebc-d9cd-4f35-945f-a18d7f3756b5	CRITICAL_POWER_DISTRIBUTION
f05e247d-9d94-450e-9aaa-1e073dcca5f2	14f5530a-423c-4ba2-be3b-1456e43249e9	CRAH
f05e247d-9d94-450e-9aaa-1e073dcca5f2	f6aa5e91-f773-45bf-95f2-ba8d1762724c	CRAC
f05e247d-9d94-450e-9aaa-1e073dcca5f2	6cabac9c-f075-4492-b7ba-2e1eb7b726bd	CRAC_WITHOUT_FAN
f05e247d-9d94-450e-9aaa-1e073dcca5f2	1763ee48-ba1e-4e30-b08b-958e82546898	CRAC_FAN
f05e247d-9d94-450e-9aaa-1e073dcca5f2	cc452bf2-de8a-4cc6-a45c-ed6616f40a11	CHILLER
f05e247d-9d94-450e-9aaa-1e073dcca5f2	6e75224d-27a6-4ab4-a700-c5765d30100e	AIR_COOLED_CHILLER
f05e247d-9d94-450e-9aaa-1e073dcca5f2	9531bb27-85d0-4c84-92a7-1b086b4f1ca5	COOLING_TOWER
f05e247d-9d94-450e-9aaa-1e073dcca5f2	5b1812ea-a7b9-4bf8-b440-3e2613f0f8bf	DRY_COOLER
f05e247d-9d94-450e-9aaa-1e073dcca5f2	0d58cae8-785a-4cfe-9f6c-0195a0f9fb9d	REMOTE_CONDENSER
f05e247d-9d94-450e-9aaa-1e073dcca5f2	a67d10c1-2c63-458c-bbe0-92f49793fd39	CHILLED_WATER_PUMPS
f05e247d-9d94-450e-9aaa-1e073dcca5f2	7eb2e42c-4a77-4547-9b1f-6f6a7d83e5cb	HEAT_REJECTION_PUMPS
f05e247d-9d94-450e-9aaa-1e073dcca5f2	7df8e0dc-4dc5-4b94-9308-435bb8b187e2	VENTILATION
f05e247d-9d94-450e-9aaa-1e073dcca5f2	ab48d39a-b1b3-410c-99a3-874865899dd8	INFILTRATION
f05e247d-9d94-450e-9aaa-1e073dcca5f2	a14bb8c2-85b0-4b81-a280-c40ac85ec9a5	IT_LOAD
d4f173d6-492f-4284-9e22-7ae9195d179b	58e07c7a-17f6-4e82-94ff-81abab3456ba	SWITCHGEAR
d4f173d6-492f-4284-9e22-7ae9195d179b	fab5e157-fe20-47eb-8b10-9314fe87a5fe	GENERATOR
d4f173d6-492f-4284-9e22-7ae9195d179b	52f85a54-0bca-443c-944e-4555c8821900	PRIMARY_AUXILIARIES
d4f173d6-492f-4284-9e22-7ae9195d179b	2da30c9b-23ad-4468-89ee-71c1c3393062	UPS
d4f173d6-492f-4284-9e22-7ae9195d179b	5d50b370-ce04-46d4-8386-8fec859b2863	CRITICAL_AUXILIARIES
d4f173d6-492f-4284-9e22-7ae9195d179b	a8608cdd-1c02-4b82-9fd4-a1290c325681	LIGHTING
d4f173d6-492f-4284-9e22-7ae9195d179b	1f816277-159a-4ce8-83b4-ad696bf2af1a	CRITICAL_POWER_DISTRIBUTION
d4f173d6-492f-4284-9e22-7ae9195d179b	aaac4762-d0b5-4031-9dad-4c664836bcd2	CRAH
d4f173d6-492f-4284-9e22-7ae9195d179b	5c681782-525d-4261-be24-14b92f9a0203	CRAC
d4f173d6-492f-4284-9e22-7ae9195d179b	f8e58855-3bc4-4c9c-9305-ad396b265a9b	CRAC_WITHOUT_FAN
d4f173d6-492f-4284-9e22-7ae9195d179b	7171619f-a4e0-4d4a-8524-5dc8f1ee6c44	CRAC_FAN
d4f173d6-492f-4284-9e22-7ae9195d179b	ae734fa4-6f78-42c1-9ba3-2e37d697e004	CHILLER
d4f173d6-492f-4284-9e22-7ae9195d179b	334084ba-d992-4ff2-aa9b-b6dc7cbcf9e9	AIR_COOLED_CHILLER
d4f173d6-492f-4284-9e22-7ae9195d179b	93112315-2e46-4fb5-bd3d-8f864f639f59	COOLING_TOWER
d4f173d6-492f-4284-9e22-7ae9195d179b	9ad63300-cc36-4b4d-ac6c-c135b538720d	DRY_COOLER
d4f173d6-492f-4284-9e22-7ae9195d179b	a4e40433-248e-4f72-a464-b048e7e17c99	REMOTE_CONDENSER
d4f173d6-492f-4284-9e22-7ae9195d179b	d9c6ef33-d876-4439-ba36-4d1f2bcbcd14	CHILLED_WATER_PUMPS
d4f173d6-492f-4284-9e22-7ae9195d179b	4a259ba7-c592-4feb-86da-5ad6bd7eb1c9	HEAT_REJECTION_PUMPS
d4f173d6-492f-4284-9e22-7ae9195d179b	1f959a68-7a5a-403e-8786-e83d93f235b5	VENTILATION
d4f173d6-492f-4284-9e22-7ae9195d179b	68e5497c-6d2e-43f9-833a-ce85ec5c3a68	INFILTRATION
d4f173d6-492f-4284-9e22-7ae9195d179b	580f41be-bd09-44b7-887c-f2937a8a9417	IT_LOAD
9b99c062-afea-4f2f-a884-16d7192a98c2	f83bd9bc-43d7-465a-8fa8-c4589bec46f0	SWITCHGEAR
9b99c062-afea-4f2f-a884-16d7192a98c2	eadd0758-e4e1-4971-a068-4be407207158	GENERATOR
9b99c062-afea-4f2f-a884-16d7192a98c2	e7ddd77b-2153-4d3e-959a-26cf6653239a	PRIMARY_AUXILIARIES
9b99c062-afea-4f2f-a884-16d7192a98c2	30a4532b-80c2-42e9-9974-86a323d6c329	UPS
9b99c062-afea-4f2f-a884-16d7192a98c2	459ed481-a85f-4b92-9cf3-b6f439d51e5b	CRITICAL_AUXILIARIES
9b99c062-afea-4f2f-a884-16d7192a98c2	77fb2a73-bc48-4614-8e9b-aafd129740ef	LIGHTING
9b99c062-afea-4f2f-a884-16d7192a98c2	dd5cab22-201e-440d-b97d-bcb0279f4ad7	CRITICAL_POWER_DISTRIBUTION
9b99c062-afea-4f2f-a884-16d7192a98c2	7c85cc6f-bad1-4b3a-996c-dc6d7d667099	CRAH
9b99c062-afea-4f2f-a884-16d7192a98c2	8b61857d-81c3-4c6d-a1c2-bbd307a4a29e	CRAC
9b99c062-afea-4f2f-a884-16d7192a98c2	82585feb-8268-4211-8b2d-d20ce5756cd0	CRAC_WITHOUT_FAN
9b99c062-afea-4f2f-a884-16d7192a98c2	546013a4-d299-485d-bdf9-565cd80c356e	CRAC_FAN
9b99c062-afea-4f2f-a884-16d7192a98c2	2a360da8-6ea4-4d65-bfbf-e6b9354f4863	CHILLER
9b99c062-afea-4f2f-a884-16d7192a98c2	c09dbaba-174d-4977-8b71-1c9d3710c918	AIR_COOLED_CHILLER
9b99c062-afea-4f2f-a884-16d7192a98c2	31f34c24-ef17-407f-a11b-b54726d716d6	COOLING_TOWER
9b99c062-afea-4f2f-a884-16d7192a98c2	da11f185-59fa-4d70-b55f-2b5ae8300077	DRY_COOLER
9b99c062-afea-4f2f-a884-16d7192a98c2	bdd2049b-753f-460a-8ca4-08288a394ec1	REMOTE_CONDENSER
9b99c062-afea-4f2f-a884-16d7192a98c2	f021f863-0567-49f1-9fd3-daf511d3ded6	CHILLED_WATER_PUMPS
9b99c062-afea-4f2f-a884-16d7192a98c2	719f8658-d988-4137-a22d-71c570fcb5c8	HEAT_REJECTION_PUMPS
9b99c062-afea-4f2f-a884-16d7192a98c2	4a765612-bf44-4dd6-97c7-3e7d91017a19	VENTILATION
9b99c062-afea-4f2f-a884-16d7192a98c2	c722ba37-0b7d-4e5d-ab53-c2f17e56f16b	INFILTRATION
9b99c062-afea-4f2f-a884-16d7192a98c2	c3eff9bf-9162-4d53-b59c-8b61c5de85b4	IT_LOAD
f341e842-3555-4e8e-ac60-f7c0f51c7a88	d438d067-ba7e-4166-abdc-9935b87109a7	SWITCHGEAR
f341e842-3555-4e8e-ac60-f7c0f51c7a88	bcd8863b-3ff7-41e5-b86a-d3742b1b77c5	GENERATOR
f341e842-3555-4e8e-ac60-f7c0f51c7a88	949d8777-45c3-48b8-9bce-e24c7518f61d	PRIMARY_AUXILIARIES
f341e842-3555-4e8e-ac60-f7c0f51c7a88	43e893a2-23f6-4a1d-8740-5cb8a58a0840	UPS
f341e842-3555-4e8e-ac60-f7c0f51c7a88	73ad6be0-9fff-47a2-a60c-d8fa72fc52ba	CRITICAL_AUXILIARIES
f341e842-3555-4e8e-ac60-f7c0f51c7a88	5d5cac4e-c041-450e-b0ef-c3fd44a2f696	LIGHTING
f341e842-3555-4e8e-ac60-f7c0f51c7a88	fa718aa4-ad4c-41e7-b4d0-6141f4d41bd8	CRITICAL_POWER_DISTRIBUTION
f341e842-3555-4e8e-ac60-f7c0f51c7a88	3a49683f-ab3e-4c49-8a21-8b951238457f	CRAH
f341e842-3555-4e8e-ac60-f7c0f51c7a88	d2bfa358-9f58-448a-bc25-a97073d1f7ce	CRAC
f341e842-3555-4e8e-ac60-f7c0f51c7a88	c21c3130-54a7-4be2-b114-6bff5fc89bc2	CRAC_WITHOUT_FAN
f341e842-3555-4e8e-ac60-f7c0f51c7a88	38f06214-ce69-4fda-83d6-551de498d4f4	CRAC_FAN
f341e842-3555-4e8e-ac60-f7c0f51c7a88	bbafc2b3-0ef5-4b62-b0bd-baf87eb0df41	CHILLER
f341e842-3555-4e8e-ac60-f7c0f51c7a88	f74c2513-d858-46b7-943c-59133dcf9dc3	AIR_COOLED_CHILLER
f341e842-3555-4e8e-ac60-f7c0f51c7a88	3eb9e193-56c0-4af1-b411-d95a16952484	COOLING_TOWER
f341e842-3555-4e8e-ac60-f7c0f51c7a88	b8434440-2a62-43be-b4a1-7174305153e2	DRY_COOLER
f341e842-3555-4e8e-ac60-f7c0f51c7a88	8343de33-6cb5-4b90-acce-790311056d14	REMOTE_CONDENSER
f341e842-3555-4e8e-ac60-f7c0f51c7a88	dfcbc82c-1c75-4efa-9a9e-3113745315e4	CHILLED_WATER_PUMPS
f341e842-3555-4e8e-ac60-f7c0f51c7a88	ccf450b6-8dc0-4278-b279-8c1b1734613c	HEAT_REJECTION_PUMPS
f341e842-3555-4e8e-ac60-f7c0f51c7a88	4cd6cbeb-6fcf-4664-8cf9-ea4807984c96	VENTILATION
f341e842-3555-4e8e-ac60-f7c0f51c7a88	5aa62499-a58e-485b-ba57-b2ed6c8b811d	INFILTRATION
f341e842-3555-4e8e-ac60-f7c0f51c7a88	01131ba9-de0a-41d5-a091-5e9c867a80d6	IT_LOAD
397fa26e-903f-408e-9ab3-a97a73a3f3ae	5385941c-456e-428f-81ac-91b169e49aec	SWITCHGEAR
397fa26e-903f-408e-9ab3-a97a73a3f3ae	7680d901-1f53-45b3-9b57-c915099b6ccc	GENERATOR
397fa26e-903f-408e-9ab3-a97a73a3f3ae	38ed688d-4ba5-4d70-b604-3f6304824437	PRIMARY_AUXILIARIES
397fa26e-903f-408e-9ab3-a97a73a3f3ae	92cb3dd6-8375-4c4e-86a2-bf1d9cf95461	UPS
397fa26e-903f-408e-9ab3-a97a73a3f3ae	9bef667c-9ec3-4e20-ba1a-55e6307f85fa	CRITICAL_AUXILIARIES
397fa26e-903f-408e-9ab3-a97a73a3f3ae	5efa70ff-230d-4e48-b937-75fe37c22793	LIGHTING
397fa26e-903f-408e-9ab3-a97a73a3f3ae	ee370cc2-2848-4b88-92a7-bbfbc1e009b8	CRITICAL_POWER_DISTRIBUTION
397fa26e-903f-408e-9ab3-a97a73a3f3ae	b2494887-d989-4420-a982-0cb83a06dba9	CRAH
397fa26e-903f-408e-9ab3-a97a73a3f3ae	0bd75ca3-cb12-4e11-a9ab-ce5e965d1516	CRAC
397fa26e-903f-408e-9ab3-a97a73a3f3ae	b90753dc-c151-4db9-89c4-611395d4b864	CRAC_WITHOUT_FAN
397fa26e-903f-408e-9ab3-a97a73a3f3ae	c9bef178-276d-43e6-9de6-5f51cc111904	CRAC_FAN
397fa26e-903f-408e-9ab3-a97a73a3f3ae	a5fd5c63-c887-42be-b206-94f244155991	CHILLER
397fa26e-903f-408e-9ab3-a97a73a3f3ae	ad705db3-dec6-4604-a38a-43927bcaead1	AIR_COOLED_CHILLER
397fa26e-903f-408e-9ab3-a97a73a3f3ae	35d95aae-42cc-4078-9a03-6d1a364cfa78	COOLING_TOWER
397fa26e-903f-408e-9ab3-a97a73a3f3ae	54519351-e18f-4647-a85a-2902b032cfbc	DRY_COOLER
397fa26e-903f-408e-9ab3-a97a73a3f3ae	85de9ee7-1118-49e3-9063-35c9878c80b2	REMOTE_CONDENSER
397fa26e-903f-408e-9ab3-a97a73a3f3ae	faae8abb-ec26-4434-96c1-b82be403e609	CHILLED_WATER_PUMPS
397fa26e-903f-408e-9ab3-a97a73a3f3ae	952aa7eb-7783-4c08-ba17-350b9787d761	HEAT_REJECTION_PUMPS
397fa26e-903f-408e-9ab3-a97a73a3f3ae	0dfb85e1-5c86-430c-abe0-8b3f44564ade	VENTILATION
397fa26e-903f-408e-9ab3-a97a73a3f3ae	2e9fe78b-6e49-4cbd-9184-edf5943e4ad4	INFILTRATION
397fa26e-903f-408e-9ab3-a97a73a3f3ae	0321c189-c162-4e1a-9c3f-9f9ebdfc79cb	IT_LOAD
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	6eb59e17-8885-44fa-bb00-5a9bb1737913	SWITCHGEAR
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	f15fe8d9-80ac-4553-a8d6-c210ae8ab59d	GENERATOR
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	4e3d6bb8-83af-4103-ba29-6e152dc8f5b9	PRIMARY_AUXILIARIES
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	9555e205-b075-4bf6-a8f2-0916fd826567	UPS
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	e65d33e6-07b5-4c01-89ab-bd106bd4b58e	CRITICAL_AUXILIARIES
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	c9f96dc6-a21e-4468-9f71-aed623515a66	LIGHTING
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	386ef8a9-1708-4aff-8d29-7287e184d7bd	CRITICAL_POWER_DISTRIBUTION
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	ede2c5f5-3e78-4086-9cbb-54ca1fbd3f7b	CRAH
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	f13447f5-fc9a-4065-b95b-13bddab49d6f	CRAC
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	fed7c776-23b1-416f-a266-ffbd9b2e8a7c	CRAC_WITHOUT_FAN
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	1f3d19ac-1ff9-4448-9152-781f7880517a	CRAC_FAN
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	30450ca5-bdfe-4d7f-bc92-f77586964d75	CHILLER
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	52f73197-ce79-4f1f-b129-7e596b69e482	AIR_COOLED_CHILLER
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	053dc5e9-0319-43dc-b62c-7677692d3fff	COOLING_TOWER
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	5c16cc76-194a-4c92-a56c-ab88a8e489d8	DRY_COOLER
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	fb89ae5e-173d-4e00-98b4-5e17e8626b43	REMOTE_CONDENSER
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	7ab3f484-2b14-4fd1-816d-1b084c381946	CHILLED_WATER_PUMPS
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	80b1b892-679f-4fd7-92ff-99deb96d790a	HEAT_REJECTION_PUMPS
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	7787f677-1b6a-4263-b20b-5ef6e1c424ac	VENTILATION
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	82c8cc4d-b1c4-4659-8295-7c26cb958a37	INFILTRATION
b56d7b9e-9d6f-49a4-9068-3af2829edeb8	44306a31-9fe9-4aad-bb55-90915fdd120f	IT_LOAD
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	0e608718-67be-4fa4-81ca-b612917d7464	SWITCHGEAR
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	d5d2c570-2e25-45ce-9ed0-19effff209ba	GENERATOR
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	cd440ada-5da7-4fef-96db-85b2cacb2de0	PRIMARY_AUXILIARIES
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	722f589a-6b9a-45d3-8a38-27e586d2575e	UPS
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	1e9e22ac-9a54-44b7-9e70-3776df7c7888	CRITICAL_AUXILIARIES
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	6acdc028-5574-417d-9ea4-05050e144534	LIGHTING
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	21bafdb9-fd24-4eb1-b8e5-345de61e37b2	CRITICAL_POWER_DISTRIBUTION
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	01ec863c-7a0e-43b1-9deb-b76e39f29589	CRAH
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	20f749ca-38fc-4c86-b001-0f8e2aee40f2	CRAC
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	510b7075-2816-482f-8e6d-32bfbf8634dc	CRAC_WITHOUT_FAN
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	6836f96c-62b3-48cd-8e5f-c2cf4ab793f7	CRAC_FAN
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	0d6c7600-cef9-4326-a2e9-aa76de3b1dd8	CHILLER
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	3f134ae9-16b0-4885-afd2-15e21cf28dca	AIR_COOLED_CHILLER
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	80c8759f-b038-48b3-bf6c-68c6a5e780ad	COOLING_TOWER
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	af6d0178-b5be-4d6e-8e14-1a5858c59fda	DRY_COOLER
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	65cf0b72-cda1-4e92-8b2d-b3d0f886a459	REMOTE_CONDENSER
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	5d393df8-879e-4590-a638-26668f1c9e55	CHILLED_WATER_PUMPS
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	5970909d-05d9-4b8b-b67d-effef8c84674	HEAT_REJECTION_PUMPS
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	e38c8f6b-418d-43ef-82b3-ca3431b23836	VENTILATION
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	fce44027-d708-4f07-aecb-691296c5d7eb	INFILTRATION
60f45d2c-bb6b-4fe4-aea5-fc13143588d5	9e8bebe3-a58a-49c4-8093-516a6bd810d9	IT_LOAD
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	955fde30-34fc-4738-90ba-de192ec9066b	SWITCHGEAR
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	f5b8c5a4-53cd-4915-bd9b-9daa00da9291	GENERATOR
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	9ec71f51-f58b-4e6b-bc63-228b54595c44	PRIMARY_AUXILIARIES
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	dc1e6fe8-4009-41f8-8888-dbc5c6961854	UPS
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	d840f64b-f813-49de-b86d-deefdaef7621	CRITICAL_AUXILIARIES
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	26a2c782-397d-4223-b353-c4d1c8d943ae	LIGHTING
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	d6966101-35b2-46b1-970b-aef8fd70e200	CRITICAL_POWER_DISTRIBUTION
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	aad57df7-0311-402c-8223-5e0b7c25d4f6	CRAH
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	68bf21f3-4fb3-40f6-9777-fba248967ea3	CRAC
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	81320d63-8bab-45ce-ab02-97ee89979eb2	CRAC_WITHOUT_FAN
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	f5def7be-3b5f-4fc1-8916-b57ce114e098	CRAC_FAN
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	687fccce-22ea-4646-a29a-5978110c253c	CHILLER
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	e957928c-1266-47ad-97a6-fae6ef20a4b0	AIR_COOLED_CHILLER
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	0d0b6f52-7e17-4512-94de-19d8ae105d1a	COOLING_TOWER
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	20559e12-2e6c-444c-a299-4cea7a9786ec	DRY_COOLER
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	28def0d9-125d-4f42-a3dc-d2a47b064332	REMOTE_CONDENSER
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	b4fa1d04-26e9-4e87-92b5-f890979c67d7	CHILLED_WATER_PUMPS
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	37d27c43-2407-46bf-8a4f-84acc823ce23	HEAT_REJECTION_PUMPS
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	99da58e5-815b-45ca-8917-ada53da81301	VENTILATION
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	2bac13e1-e6b4-49d4-935d-5aff620dd5d0	INFILTRATION
6147416f-9ca7-411e-9e5e-1ba0f8592ff4	60dca775-b4a9-4dea-957e-2f6ddd22c8bc	IT_LOAD
1a727f11-786f-4864-9099-3a0f1abe227a	f33818ac-56d3-4aa8-8ff8-66270a4973b3	SWITCHGEAR
1a727f11-786f-4864-9099-3a0f1abe227a	345d1be2-b08c-47a9-9d99-e2777eb64826	GENERATOR
1a727f11-786f-4864-9099-3a0f1abe227a	754e60d7-5700-4fb3-8536-f7c6ecf6dac0	PRIMARY_AUXILIARIES
1a727f11-786f-4864-9099-3a0f1abe227a	540e2427-9028-4819-a1b4-e7bd37db0255	UPS
1a727f11-786f-4864-9099-3a0f1abe227a	81c4cbca-6ee4-444f-9f42-8bb1d95c9791	CRITICAL_AUXILIARIES
1a727f11-786f-4864-9099-3a0f1abe227a	15bba596-a292-430c-9a4a-552fb73f2fcb	LIGHTING
1a727f11-786f-4864-9099-3a0f1abe227a	7cc71407-339a-4e9c-b5d0-9b8a189e068f	CRITICAL_POWER_DISTRIBUTION
1a727f11-786f-4864-9099-3a0f1abe227a	8b0bf8d9-6448-40e1-8eba-734e02bff993	CRAH
1a727f11-786f-4864-9099-3a0f1abe227a	3454d46b-e5a6-44a9-9772-e5edc2ff640f	CRAC
1a727f11-786f-4864-9099-3a0f1abe227a	d5396b51-0dcd-4143-a163-2b06c8618c80	CRAC_WITHOUT_FAN
1a727f11-786f-4864-9099-3a0f1abe227a	b7ce4b9d-fd2c-469e-9e28-080e8f91d65e	CRAC_FAN
1a727f11-786f-4864-9099-3a0f1abe227a	8eb429c9-89d7-4d98-afe0-25fe7455d677	CHILLER
1a727f11-786f-4864-9099-3a0f1abe227a	457ab343-6c3f-44d3-b7a0-73616886406d	AIR_COOLED_CHILLER
1a727f11-786f-4864-9099-3a0f1abe227a	64dcf769-acd7-42f1-abdd-c6820bb7de78	COOLING_TOWER
1a727f11-786f-4864-9099-3a0f1abe227a	6a54b8bd-600d-4067-ba28-88e494d58925	DRY_COOLER
1a727f11-786f-4864-9099-3a0f1abe227a	b9eb1930-171a-407b-91c6-6bf686572b80	REMOTE_CONDENSER
1a727f11-786f-4864-9099-3a0f1abe227a	cadaf2cf-76f8-42f0-8e4c-c658453fa44a	CHILLED_WATER_PUMPS
1a727f11-786f-4864-9099-3a0f1abe227a	2bf7a391-898b-4c7a-80f7-35cca215b40f	HEAT_REJECTION_PUMPS
1a727f11-786f-4864-9099-3a0f1abe227a	d94aa72b-9fc5-4149-85e3-bbbdc466aa96	VENTILATION
1a727f11-786f-4864-9099-3a0f1abe227a	b8741d87-dac1-4f75-9777-128ad1fc83dd	INFILTRATION
1a727f11-786f-4864-9099-3a0f1abe227a	93eb2f2c-eba5-42f8-9d64-6108ab16399f	IT_LOAD
419b9c6c-364f-44f1-b2a1-0734c690635a	8ca789b3-386e-43b4-a336-192c8381a6de	SWITCHGEAR
419b9c6c-364f-44f1-b2a1-0734c690635a	123a354f-9733-42a9-9594-4f06e3159dff	GENERATOR
419b9c6c-364f-44f1-b2a1-0734c690635a	cec43759-94b0-4446-92a2-67fbe46a0f00	PRIMARY_AUXILIARIES
419b9c6c-364f-44f1-b2a1-0734c690635a	b2f08f63-45d0-4489-b6b2-d89539f2fdcb	UPS
419b9c6c-364f-44f1-b2a1-0734c690635a	d60ab5ad-2def-4f39-a60f-5fe544544388	CRITICAL_AUXILIARIES
419b9c6c-364f-44f1-b2a1-0734c690635a	6bd66685-5309-4b24-bb2e-7d7de8b14e41	LIGHTING
419b9c6c-364f-44f1-b2a1-0734c690635a	d9431dda-8bac-4bf3-84d2-b6787caa5462	CRITICAL_POWER_DISTRIBUTION
419b9c6c-364f-44f1-b2a1-0734c690635a	03248c63-6c30-4ff1-b7b7-2e4f6588c384	CRAH
419b9c6c-364f-44f1-b2a1-0734c690635a	a4c86ca9-5c58-4d58-a167-a6ea539439b5	CRAC
419b9c6c-364f-44f1-b2a1-0734c690635a	2d881220-5f23-4818-bc9e-d22c56a600cb	CRAC_WITHOUT_FAN
419b9c6c-364f-44f1-b2a1-0734c690635a	462eca4a-e7b8-4360-819d-6218d6d98fee	CRAC_FAN
419b9c6c-364f-44f1-b2a1-0734c690635a	13fe65bf-2907-4663-ba0f-6d41250735b7	CHILLER
419b9c6c-364f-44f1-b2a1-0734c690635a	4749f248-6b23-4361-977b-f2ec5b8a2f8c	AIR_COOLED_CHILLER
419b9c6c-364f-44f1-b2a1-0734c690635a	a8f2101a-cba2-4291-af00-67e9c592c080	COOLING_TOWER
419b9c6c-364f-44f1-b2a1-0734c690635a	5e339737-7ecc-4c52-b73b-1cc0c7f1f59c	DRY_COOLER
419b9c6c-364f-44f1-b2a1-0734c690635a	04b8b056-7446-4a7f-94c9-3a3dc705b908	REMOTE_CONDENSER
419b9c6c-364f-44f1-b2a1-0734c690635a	0f4eadb7-cb90-45b1-abf2-eec831351615	CHILLED_WATER_PUMPS
419b9c6c-364f-44f1-b2a1-0734c690635a	9463ebcf-e104-4e6e-99f6-8d2922e0f728	HEAT_REJECTION_PUMPS
419b9c6c-364f-44f1-b2a1-0734c690635a	f8281a44-7e7f-444b-b473-021dabf15839	VENTILATION
419b9c6c-364f-44f1-b2a1-0734c690635a	6238d9f9-fd89-4db2-820c-c72e1bcd55ca	INFILTRATION
419b9c6c-364f-44f1-b2a1-0734c690635a	2582c326-04ca-44bd-9402-ae9c618bd362	IT_LOAD
47de3997-ee60-4843-a3d4-1a09a66937ad	48e87135-6cc7-49ea-b3ea-4293e797fff2	SWITCHGEAR
47de3997-ee60-4843-a3d4-1a09a66937ad	43fa6c69-952c-4822-ae5e-d54b9eb03410	GENERATOR
47de3997-ee60-4843-a3d4-1a09a66937ad	04d35b3d-04e2-4f1c-914d-2881069b520c	PRIMARY_AUXILIARIES
47de3997-ee60-4843-a3d4-1a09a66937ad	afca3e53-fe23-480f-9d2f-5f7ecd19d44a	UPS
47de3997-ee60-4843-a3d4-1a09a66937ad	0653c725-8851-4998-9e32-49228cfe046d	CRITICAL_AUXILIARIES
47de3997-ee60-4843-a3d4-1a09a66937ad	8ba0292c-704f-4405-a08a-192508acb89a	LIGHTING
47de3997-ee60-4843-a3d4-1a09a66937ad	08bacc29-b108-4a62-a1c1-db27eda3afb1	CRITICAL_POWER_DISTRIBUTION
47de3997-ee60-4843-a3d4-1a09a66937ad	bdfb2376-8ac9-4849-99d3-2b7ba36c08bf	CRAH
47de3997-ee60-4843-a3d4-1a09a66937ad	e61ce8b9-451e-4843-b35c-18b8cc55a1af	CRAC
47de3997-ee60-4843-a3d4-1a09a66937ad	7deaac7f-7f8d-4350-a271-0b886c37ceaf	CRAC_WITHOUT_FAN
47de3997-ee60-4843-a3d4-1a09a66937ad	e274cc20-26ce-4327-9a5b-320aed3209e9	CRAC_FAN
47de3997-ee60-4843-a3d4-1a09a66937ad	9240bcf3-c62b-4c95-9ea8-2ac40b06bab5	CHILLER
47de3997-ee60-4843-a3d4-1a09a66937ad	f3fa7cee-11e3-46d1-b515-f446b0ca5a7d	AIR_COOLED_CHILLER
47de3997-ee60-4843-a3d4-1a09a66937ad	83098e44-a5ab-4005-9f1d-4f371f47f716	COOLING_TOWER
47de3997-ee60-4843-a3d4-1a09a66937ad	d89ee6a4-edd8-4582-9148-5a8a3de957b9	DRY_COOLER
47de3997-ee60-4843-a3d4-1a09a66937ad	4b9332c8-1201-4277-a445-1331c1cb688a	REMOTE_CONDENSER
47de3997-ee60-4843-a3d4-1a09a66937ad	948675f1-056d-42c0-abd2-1a2b11885dc7	CHILLED_WATER_PUMPS
47de3997-ee60-4843-a3d4-1a09a66937ad	418a1278-ac1e-4964-8661-307fdf9f763a	HEAT_REJECTION_PUMPS
47de3997-ee60-4843-a3d4-1a09a66937ad	a469c8c6-44c8-4c3f-be35-346a7f97a04d	VENTILATION
47de3997-ee60-4843-a3d4-1a09a66937ad	d57602f8-4a4c-4439-bd6e-5bfa953ae851	INFILTRATION
47de3997-ee60-4843-a3d4-1a09a66937ad	d8a9aa26-9d09-455c-a33e-c77354569ccf	IT_LOAD
959cb1a5-320b-4414-9ce5-fed4bd071b00	cba93c85-335a-4bd9-bb8c-0305e6d6f5c7	SWITCHGEAR
959cb1a5-320b-4414-9ce5-fed4bd071b00	9b3ac48c-595e-4753-ba90-e7abcedbf54b	GENERATOR
959cb1a5-320b-4414-9ce5-fed4bd071b00	49eae4d8-f02b-49d0-9b37-a8cd99670659	PRIMARY_AUXILIARIES
959cb1a5-320b-4414-9ce5-fed4bd071b00	7318848e-85eb-4091-9240-a4c0bc3f7690	UPS
959cb1a5-320b-4414-9ce5-fed4bd071b00	cf4193e6-69f4-4e10-a2b6-1603cc54bc0d	CRITICAL_AUXILIARIES
959cb1a5-320b-4414-9ce5-fed4bd071b00	b61eb124-6f8b-4f87-af6a-dd34f7ac64de	LIGHTING
959cb1a5-320b-4414-9ce5-fed4bd071b00	54f1921f-7a7c-480e-b586-a53a99e86de8	CRITICAL_POWER_DISTRIBUTION
959cb1a5-320b-4414-9ce5-fed4bd071b00	c1e4acdd-c5cc-4145-8499-b708acc2bd14	CRAH
959cb1a5-320b-4414-9ce5-fed4bd071b00	339fac20-3f3b-459e-9a85-6a3a3f88a150	CRAC
959cb1a5-320b-4414-9ce5-fed4bd071b00	91ecf99f-7d84-41dd-bf0e-c56c8f15d940	CRAC_WITHOUT_FAN
959cb1a5-320b-4414-9ce5-fed4bd071b00	021d159a-6243-43b1-9e9e-10541f7a0465	CRAC_FAN
959cb1a5-320b-4414-9ce5-fed4bd071b00	735975ab-98d1-4d4a-b825-f7a6e2d389d0	CHILLER
959cb1a5-320b-4414-9ce5-fed4bd071b00	8409ab3f-6593-4f40-a400-7911a7bd451e	AIR_COOLED_CHILLER
959cb1a5-320b-4414-9ce5-fed4bd071b00	368a7493-859c-476c-8eed-42cc4b869a18	COOLING_TOWER
959cb1a5-320b-4414-9ce5-fed4bd071b00	361e161e-d7de-4ead-a895-783807455b30	DRY_COOLER
959cb1a5-320b-4414-9ce5-fed4bd071b00	8f4d0358-67dd-4682-afc2-4a0c2f427824	REMOTE_CONDENSER
959cb1a5-320b-4414-9ce5-fed4bd071b00	2fa181cc-164d-43f2-9115-07916a7c5991	CHILLED_WATER_PUMPS
959cb1a5-320b-4414-9ce5-fed4bd071b00	9c671e88-1626-4f92-aa41-7f80e6ec516d	HEAT_REJECTION_PUMPS
959cb1a5-320b-4414-9ce5-fed4bd071b00	2ddbdeab-e07d-40e2-a1ae-1105c4a2a9db	VENTILATION
959cb1a5-320b-4414-9ce5-fed4bd071b00	91f095a2-256c-42bc-829d-cc9101d93b62	INFILTRATION
959cb1a5-320b-4414-9ce5-fed4bd071b00	4a0cc07b-08a4-487d-a695-8e61fa22edaf	IT_LOAD
792c9097-f5b0-4c85-a185-5315d2a33cb9	65f63890-c45b-4d43-b58b-b8883715d2c3	SWITCHGEAR
792c9097-f5b0-4c85-a185-5315d2a33cb9	b3d86635-4c06-4957-ae2f-3e9ae26c7f49	GENERATOR
792c9097-f5b0-4c85-a185-5315d2a33cb9	8bf9ac4a-f861-4107-8629-addac4cfcaed	PRIMARY_AUXILIARIES
792c9097-f5b0-4c85-a185-5315d2a33cb9	b74f4191-b820-425b-b3a4-4b049a951577	UPS
792c9097-f5b0-4c85-a185-5315d2a33cb9	937554c9-d258-49d0-a96f-3362b26970ab	CRITICAL_AUXILIARIES
792c9097-f5b0-4c85-a185-5315d2a33cb9	fa1c3c8c-819b-46f5-8551-5d45593a7e90	LIGHTING
792c9097-f5b0-4c85-a185-5315d2a33cb9	5a3793fc-9cb8-439c-8705-f2fbffb18c91	CRITICAL_POWER_DISTRIBUTION
792c9097-f5b0-4c85-a185-5315d2a33cb9	71fffc9b-b5a6-49a2-bcaf-94bd47114d91	CRAH
792c9097-f5b0-4c85-a185-5315d2a33cb9	5c386862-e927-4689-838d-246b8fa188e2	CRAC
792c9097-f5b0-4c85-a185-5315d2a33cb9	e29bcecc-2d16-4335-85cb-c743b36f8abb	CRAC_WITHOUT_FAN
792c9097-f5b0-4c85-a185-5315d2a33cb9	cece729c-a98a-4484-8a81-8c83344edf15	CRAC_FAN
792c9097-f5b0-4c85-a185-5315d2a33cb9	e98f31ce-d5e2-4acd-852b-44dd5d31f4aa	CHILLER
792c9097-f5b0-4c85-a185-5315d2a33cb9	51b5e63c-36a3-46a0-a11a-de761220d913	AIR_COOLED_CHILLER
792c9097-f5b0-4c85-a185-5315d2a33cb9	0622e3ff-4991-4200-a69c-fbd4a2689d5f	COOLING_TOWER
792c9097-f5b0-4c85-a185-5315d2a33cb9	0acafba5-6ba5-4d32-b557-68d4189cb76c	DRY_COOLER
792c9097-f5b0-4c85-a185-5315d2a33cb9	bfa75895-251b-43ba-9613-3ea856cdb44b	REMOTE_CONDENSER
792c9097-f5b0-4c85-a185-5315d2a33cb9	240bc5fc-be59-4b65-9f55-66f59fd33150	CHILLED_WATER_PUMPS
792c9097-f5b0-4c85-a185-5315d2a33cb9	6df9ea82-a1e2-4350-bb59-3aeae6c3734d	HEAT_REJECTION_PUMPS
792c9097-f5b0-4c85-a185-5315d2a33cb9	51f4f577-f456-43a1-ad33-19b3ebf53005	VENTILATION
792c9097-f5b0-4c85-a185-5315d2a33cb9	aab555f4-7b5b-443f-8e63-b63d8e2d78af	INFILTRATION
792c9097-f5b0-4c85-a185-5315d2a33cb9	43052666-72d4-4b73-ae6a-c5353ac4c2b9	IT_LOAD
b0ecde7e-4929-424c-8fc6-9db96650714c	d21387af-9b01-4fea-9faa-ef5930ad9be3	SWITCHGEAR
b0ecde7e-4929-424c-8fc6-9db96650714c	f2d1c16c-cf50-49fd-96f8-6d60f9b25890	GENERATOR
b0ecde7e-4929-424c-8fc6-9db96650714c	6afe39cb-9888-415a-ac3c-1d6ec48ad161	PRIMARY_AUXILIARIES
b0ecde7e-4929-424c-8fc6-9db96650714c	648fe36d-6c9d-475f-8241-df6c93ac6bc4	UPS
b0ecde7e-4929-424c-8fc6-9db96650714c	59e5abba-916c-4e2e-96a0-a43c84481a23	CRITICAL_AUXILIARIES
b0ecde7e-4929-424c-8fc6-9db96650714c	8860466d-46ad-4c1a-8faa-f9213f3d95cd	LIGHTING
b0ecde7e-4929-424c-8fc6-9db96650714c	0c2636db-b01a-4958-bc16-65049ababd63	CRITICAL_POWER_DISTRIBUTION
b0ecde7e-4929-424c-8fc6-9db96650714c	8f7d750d-3a59-4f4d-8771-3cb8de2aeb80	CRAH
b0ecde7e-4929-424c-8fc6-9db96650714c	be70eb6b-7ed1-4526-86ba-3c817644402e	CRAC
b0ecde7e-4929-424c-8fc6-9db96650714c	03279d29-cdc1-431f-b04d-aaa8ab7732c8	CRAC_WITHOUT_FAN
b0ecde7e-4929-424c-8fc6-9db96650714c	d372bb3e-12a3-4e8d-b34a-71bdfdc3a43b	CRAC_FAN
b0ecde7e-4929-424c-8fc6-9db96650714c	e2f4ce1f-a41c-4829-92b7-f47bd15ffc1f	CHILLER
b0ecde7e-4929-424c-8fc6-9db96650714c	46a37e96-2c2e-442d-b990-3887a9552a5b	AIR_COOLED_CHILLER
b0ecde7e-4929-424c-8fc6-9db96650714c	c60ceb54-4fd7-428f-83cf-cd881a40b203	COOLING_TOWER
b0ecde7e-4929-424c-8fc6-9db96650714c	12c8b88a-0de8-48d5-b906-5bc4458a7051	DRY_COOLER
b0ecde7e-4929-424c-8fc6-9db96650714c	232ddc54-ea5b-4bf5-b0d2-907a65a922a2	REMOTE_CONDENSER
b0ecde7e-4929-424c-8fc6-9db96650714c	669f2465-1238-47ad-aa37-d6e52b8a0044	CHILLED_WATER_PUMPS
b0ecde7e-4929-424c-8fc6-9db96650714c	833b0b66-801f-4223-a5c5-8db7fec3aac1	HEAT_REJECTION_PUMPS
b0ecde7e-4929-424c-8fc6-9db96650714c	d0da0118-2009-4889-bcf5-cc95ff529ae5	VENTILATION
b0ecde7e-4929-424c-8fc6-9db96650714c	7f9d6d77-43cf-4712-af95-237500838367	INFILTRATION
b0ecde7e-4929-424c-8fc6-9db96650714c	0123dfee-3e80-4859-bdf7-0d63d52fb202	IT_LOAD
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	c3418cb5-ab08-44b4-a09b-4f935b60553c	SWITCHGEAR
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	af3f5c49-543e-40b0-808b-bf09c0be9cde	GENERATOR
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	1887d833-c559-4618-b5e7-a5aec0256106	PRIMARY_AUXILIARIES
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	37f05bcc-4f5c-47be-8eda-b8c3ba86247c	UPS
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	3ab2ef42-8111-4ebd-a121-e4c2ab086da4	CRITICAL_AUXILIARIES
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	3f3cb993-ad7c-4f68-8967-86dd66edcb2a	LIGHTING
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	f7cb6235-2ec7-4ae6-8bf4-a59519bf9647	CRITICAL_POWER_DISTRIBUTION
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	0ae34b14-83a6-4cf6-ab1c-bbda31c0c0f0	CRAH
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	4f7ceb31-7d18-425b-ae5f-9c13ca0b8078	CRAC
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	88f63098-f7dd-4b30-9b1f-7d7046b06783	CRAC_WITHOUT_FAN
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	8162a566-4a39-42b1-bd84-49ef54e497d8	CRAC_FAN
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	6108b323-d1ab-4c52-836c-1ad6079a3a3c	CHILLER
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	6f0d0731-f796-4a93-bef6-727054e4add0	AIR_COOLED_CHILLER
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	9a181c24-d781-4d89-8e8a-9a66d4d1ca86	COOLING_TOWER
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	0bbebdf2-be02-429c-93d9-6107809c9e42	DRY_COOLER
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	064b27ec-99d3-4032-a34a-e21a08f4710e	REMOTE_CONDENSER
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	763c2c9a-157c-4903-ad1c-054fce0b0dbf	CHILLED_WATER_PUMPS
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	63d8d0fd-84c2-41fa-8df9-b08f63c9d478	HEAT_REJECTION_PUMPS
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	dcd92640-cccc-456c-a2f1-4e5940da00d2	VENTILATION
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	3d29f712-ac4f-4359-b0fa-e59278c73cfa	INFILTRATION
9ef61e6b-6966-46a1-af8b-b5cd88c5b8d5	ef3af2cb-ebde-459e-99ab-15fc6a6286fd	IT_LOAD
929ce008-5818-46fa-b781-fba31aa095b6	a4e9eec4-5324-46df-ab46-a04587bb8964	SWITCHGEAR
929ce008-5818-46fa-b781-fba31aa095b6	d2b50f1d-e866-4513-b22b-360f91be55c9	GENERATOR
929ce008-5818-46fa-b781-fba31aa095b6	3d324b8a-d981-48c4-8559-bf185ec832e8	PRIMARY_AUXILIARIES
929ce008-5818-46fa-b781-fba31aa095b6	f5b578eb-81a4-45e2-b2fb-f807ee35c698	UPS
929ce008-5818-46fa-b781-fba31aa095b6	fed45a85-8413-44ff-b87f-2856ffa18337	CRITICAL_AUXILIARIES
929ce008-5818-46fa-b781-fba31aa095b6	ad3d38d7-db14-4feb-9efb-c122a1e5d1bf	LIGHTING
929ce008-5818-46fa-b781-fba31aa095b6	1e2ee208-97b9-4cbd-9175-0c98eef3bcc9	CRITICAL_POWER_DISTRIBUTION
929ce008-5818-46fa-b781-fba31aa095b6	bfbdc528-39cb-40dd-bdda-90f3a50712eb	CRAH
929ce008-5818-46fa-b781-fba31aa095b6	f40fc654-99e5-4407-a8d9-2658cac74820	CRAC
929ce008-5818-46fa-b781-fba31aa095b6	134f668f-104d-41e7-9b6d-98d0ece7998b	CRAC_WITHOUT_FAN
929ce008-5818-46fa-b781-fba31aa095b6	16205426-ec79-44b4-871a-7d9045063b8e	CRAC_FAN
929ce008-5818-46fa-b781-fba31aa095b6	787086dd-5961-48b2-8c75-ac8c06d9fae1	CHILLER
929ce008-5818-46fa-b781-fba31aa095b6	e8c73aaf-531a-4f15-bcaa-a3bca3e1953d	AIR_COOLED_CHILLER
929ce008-5818-46fa-b781-fba31aa095b6	2b1298d1-de49-4d8e-8fd6-8b3b6b756a31	COOLING_TOWER
929ce008-5818-46fa-b781-fba31aa095b6	fc915c18-1d26-441e-868d-27f17750c70d	DRY_COOLER
929ce008-5818-46fa-b781-fba31aa095b6	da1a3c5b-7716-4f61-b67e-7895cbff4d8f	REMOTE_CONDENSER
929ce008-5818-46fa-b781-fba31aa095b6	1a5eba2a-3412-41bc-af66-bfdff0438818	CHILLED_WATER_PUMPS
929ce008-5818-46fa-b781-fba31aa095b6	3758b503-9a98-44af-80ca-656c1337d428	HEAT_REJECTION_PUMPS
929ce008-5818-46fa-b781-fba31aa095b6	82900068-c596-4864-a16c-4faa95b9ed3e	VENTILATION
929ce008-5818-46fa-b781-fba31aa095b6	23eedad8-a452-4158-bbf6-640ed4a6f9d5	INFILTRATION
929ce008-5818-46fa-b781-fba31aa095b6	5924a9e7-7b1d-4a70-bd79-1e7047086520	IT_LOAD
cdd56e04-da62-4bf4-9d9c-0db474725856	6c86f251-604f-4edd-8fb6-edb25327315c	SWITCHGEAR
cdd56e04-da62-4bf4-9d9c-0db474725856	eeb48e8f-6e47-41bd-95d3-938d79009333	GENERATOR
cdd56e04-da62-4bf4-9d9c-0db474725856	75da2a4a-3c75-4905-83cd-8eb329010e45	PRIMARY_AUXILIARIES
cdd56e04-da62-4bf4-9d9c-0db474725856	be0b3391-d2e2-49bf-af12-dd656cb89fb8	UPS
cdd56e04-da62-4bf4-9d9c-0db474725856	40c0b005-0d58-4f2c-8bef-f6c87b583041	CRITICAL_AUXILIARIES
cdd56e04-da62-4bf4-9d9c-0db474725856	55a03150-8008-4cc6-b280-a5b727ea9aa4	LIGHTING
cdd56e04-da62-4bf4-9d9c-0db474725856	c7e33b4a-c534-49c0-ae68-c2e6ab85441d	CRITICAL_POWER_DISTRIBUTION
cdd56e04-da62-4bf4-9d9c-0db474725856	a0a532e8-464e-436c-9786-38207fc6b969	CRAH
cdd56e04-da62-4bf4-9d9c-0db474725856	fcbaeb01-9747-4fc1-87c2-b5c8858d7e06	CRAC
cdd56e04-da62-4bf4-9d9c-0db474725856	c8325bc3-dc32-4e8e-aef2-cf08fbe04808	CRAC_WITHOUT_FAN
cdd56e04-da62-4bf4-9d9c-0db474725856	926eb8b8-5dce-4980-a82b-4b00a65017bd	CRAC_FAN
cdd56e04-da62-4bf4-9d9c-0db474725856	4e8875d0-32ce-4422-82e8-3cd78ab9c12c	CHILLER
cdd56e04-da62-4bf4-9d9c-0db474725856	5203f26c-a4e7-4986-8f62-8885db617c0e	AIR_COOLED_CHILLER
cdd56e04-da62-4bf4-9d9c-0db474725856	ac4b31e1-255f-4e38-b275-93b327e42161	COOLING_TOWER
cdd56e04-da62-4bf4-9d9c-0db474725856	fd97c77e-dedb-4bbc-b746-354b811edeea	DRY_COOLER
cdd56e04-da62-4bf4-9d9c-0db474725856	e7ea8f45-b433-4f4b-b0a4-9d3d3cde4523	REMOTE_CONDENSER
cdd56e04-da62-4bf4-9d9c-0db474725856	21d89afe-bef2-4b50-b76b-cd5b4152b877	CHILLED_WATER_PUMPS
cdd56e04-da62-4bf4-9d9c-0db474725856	d5d2a533-3d11-453c-9a7d-80edbd6ca780	HEAT_REJECTION_PUMPS
cdd56e04-da62-4bf4-9d9c-0db474725856	877b786d-d344-4910-9323-ed660aff5ce0	VENTILATION
cdd56e04-da62-4bf4-9d9c-0db474725856	5a1eadd5-242b-4fba-9a6b-38baa98700e0	INFILTRATION
cdd56e04-da62-4bf4-9d9c-0db474725856	04abb216-67d1-40ab-b279-76a199274754	IT_LOAD
4e14830d-8087-48e0-b868-6de816ef8d83	8bb10feb-60dd-45db-a9fc-4edda7a225ae	SWITCHGEAR
4e14830d-8087-48e0-b868-6de816ef8d83	6dccae08-3473-41f2-920c-f4e2e9201ea6	GENERATOR
4e14830d-8087-48e0-b868-6de816ef8d83	b770d806-a674-4a43-a1b8-13ffb6962f79	PRIMARY_AUXILIARIES
4e14830d-8087-48e0-b868-6de816ef8d83	cac69836-ef1f-439d-9526-889c6fbd1294	UPS
4e14830d-8087-48e0-b868-6de816ef8d83	a360f115-3ee7-46cf-8651-c47a144ba24e	CRITICAL_AUXILIARIES
4e14830d-8087-48e0-b868-6de816ef8d83	5f09f1db-899a-408d-959f-5dfc28f25bce	LIGHTING
4e14830d-8087-48e0-b868-6de816ef8d83	4b36ce01-d12a-4ea6-97b1-72c7b804d65f	CRITICAL_POWER_DISTRIBUTION
4e14830d-8087-48e0-b868-6de816ef8d83	cc3f0b47-cd92-41c9-af32-a291dd4c96eb	CRAH
4e14830d-8087-48e0-b868-6de816ef8d83	d15c76ed-e877-4fb8-9f84-7126fa0df159	CRAC
4e14830d-8087-48e0-b868-6de816ef8d83	0668e50d-6cfa-4d07-93eb-a943968c88b5	CRAC_WITHOUT_FAN
4e14830d-8087-48e0-b868-6de816ef8d83	19e1fb42-ad22-41e7-b85d-aba25bf18f3d	CRAC_FAN
4e14830d-8087-48e0-b868-6de816ef8d83	b36f9937-a80e-47ae-bf6d-93458ec91ab7	CHILLER
4e14830d-8087-48e0-b868-6de816ef8d83	23887f56-311a-4f17-a7f2-0738004357a9	AIR_COOLED_CHILLER
4e14830d-8087-48e0-b868-6de816ef8d83	e140e245-f3b8-416d-a83a-8bae8c4dfdea	COOLING_TOWER
4e14830d-8087-48e0-b868-6de816ef8d83	19501881-c478-4592-896e-cd3f0f8c247e	DRY_COOLER
4e14830d-8087-48e0-b868-6de816ef8d83	052dbe86-b9d4-49a6-b49f-a7e9020e19d5	REMOTE_CONDENSER
4e14830d-8087-48e0-b868-6de816ef8d83	4984f7e2-a718-4859-8aac-98095625a4b8	CHILLED_WATER_PUMPS
4e14830d-8087-48e0-b868-6de816ef8d83	7c9a0f60-aee4-4b35-8dfd-484b42587ed3	HEAT_REJECTION_PUMPS
4e14830d-8087-48e0-b868-6de816ef8d83	399b9bf1-e660-4dc7-a3b6-20b4d8dbd990	VENTILATION
4e14830d-8087-48e0-b868-6de816ef8d83	fff5ec07-8d37-44c6-9452-c194ca5265f0	INFILTRATION
4e14830d-8087-48e0-b868-6de816ef8d83	543b25ad-bfab-453a-b42d-e30f2103c23e	IT_LOAD
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	277bb54e-0f30-4984-8f93-01d06d3c7b4a	SWITCHGEAR
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	946d7b1d-f31b-4f99-877d-815a585c9e4c	GENERATOR
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	fdab8092-0126-4c97-bfaf-f83cf19a3602	PRIMARY_AUXILIARIES
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	a302d727-d990-4ec4-9d48-5efd35cc8f49	UPS
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	062a0c97-3cf3-4c82-89e1-0f8bb17fb04f	CRITICAL_AUXILIARIES
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	88531654-1c1d-4798-924c-0da242aeef6b	LIGHTING
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	cb3398ba-b527-42d1-a855-9862cc944fc0	CRITICAL_POWER_DISTRIBUTION
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	450bb59e-2c62-44fa-b757-28a46c2a304c	CRAH
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	af9430cf-75b3-4995-8657-3d72ca31b1b1	CRAC
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	6b245b48-3bc0-45b9-9021-c15c5b7aa119	CRAC_WITHOUT_FAN
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	9afb28fe-291e-4257-9352-bf28fda52e72	CRAC_FAN
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	02ae57b4-d73c-4e3f-82e4-842429a0f39e	CHILLER
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	600d99c9-ffd4-4c50-bdeb-0d9698257f90	AIR_COOLED_CHILLER
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	680ea8e9-1d25-4f79-bc79-932e6ce0e702	COOLING_TOWER
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	f06c8a0a-e217-4978-a48a-257630deaf79	DRY_COOLER
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	7fea86b3-3d88-47b1-be54-b984625b0ca6	REMOTE_CONDENSER
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	1ac54110-e405-48b1-965e-947ad84f2219	CHILLED_WATER_PUMPS
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	22386f49-f51c-4b74-9d5c-fe7b4ed0fb8c	HEAT_REJECTION_PUMPS
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	79ec16cd-915f-4480-b866-c60935b23403	VENTILATION
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	3fc97d21-0dbb-45ea-ad9d-25bd065bc24f	INFILTRATION
6810ba52-38bd-4fbc-b5a4-da6c0600a8f0	7821afc3-47b5-43a9-b7a7-b42364d380c0	IT_LOAD
4d7c4606-68bc-462c-9825-f634893c83dc	a65791bb-28b7-49fc-a975-148485a31e62	SWITCHGEAR
4d7c4606-68bc-462c-9825-f634893c83dc	799e1caf-713a-4ce5-ad62-6ca9a68a7c79	GENERATOR
4d7c4606-68bc-462c-9825-f634893c83dc	8fa421e1-9084-4918-a8b0-6ec4c468cea0	PRIMARY_AUXILIARIES
4d7c4606-68bc-462c-9825-f634893c83dc	dbd4792e-1a9b-4259-8926-243ed358bd94	UPS
4d7c4606-68bc-462c-9825-f634893c83dc	dd2e5c9c-0b1d-4a0a-8205-d46e47d1e919	CRITICAL_AUXILIARIES
4d7c4606-68bc-462c-9825-f634893c83dc	382b4cfd-f9db-4538-b4ae-56c6a0e37be5	LIGHTING
4d7c4606-68bc-462c-9825-f634893c83dc	d3bba93f-43aa-4dca-92e9-a14907b305ee	CRITICAL_POWER_DISTRIBUTION
4d7c4606-68bc-462c-9825-f634893c83dc	5109bbd7-4006-4548-bc87-b2086137b144	CRAH
4d7c4606-68bc-462c-9825-f634893c83dc	521bd2cf-1a64-457c-aee6-bd43e1795452	CRAC
4d7c4606-68bc-462c-9825-f634893c83dc	156b8261-be3b-41b9-be1c-e47993ea1f47	CRAC_WITHOUT_FAN
4d7c4606-68bc-462c-9825-f634893c83dc	70a1c553-6374-4b3d-a747-45d1ecc3f189	CRAC_FAN
4d7c4606-68bc-462c-9825-f634893c83dc	78eadfde-878b-49cf-9fb4-6ac7d163d478	CHILLER
4d7c4606-68bc-462c-9825-f634893c83dc	8093319a-21ba-4e34-bdd7-7bbc8237c213	AIR_COOLED_CHILLER
4d7c4606-68bc-462c-9825-f634893c83dc	b68cf417-32fd-4bc3-a1f6-98dbf048b6dd	COOLING_TOWER
4d7c4606-68bc-462c-9825-f634893c83dc	5b8eb25c-6e44-4578-ab47-186a8807c162	DRY_COOLER
4d7c4606-68bc-462c-9825-f634893c83dc	950f2023-92ea-47dc-92fa-537094457f2b	REMOTE_CONDENSER
4d7c4606-68bc-462c-9825-f634893c83dc	29872d84-b621-4919-bfef-33eb8080baa6	CHILLED_WATER_PUMPS
4d7c4606-68bc-462c-9825-f634893c83dc	4c35c7df-fb2b-4122-a0b6-aac70811876c	HEAT_REJECTION_PUMPS
4d7c4606-68bc-462c-9825-f634893c83dc	9473064e-3429-49aa-9695-d1eb301f0b1d	VENTILATION
4d7c4606-68bc-462c-9825-f634893c83dc	f1920a9c-ef89-43d2-bcac-4291f4b242fe	INFILTRATION
4d7c4606-68bc-462c-9825-f634893c83dc	31d6be81-aa5d-41ba-a6a9-a4e560781f30	IT_LOAD
66baaefb-a853-4744-bbc1-e23714f13cfe	58d83928-cd1a-4fde-8ee1-4c56a91c3c62	SWITCHGEAR
66baaefb-a853-4744-bbc1-e23714f13cfe	9e5075fd-fe37-4d87-9004-26e85edf4abc	GENERATOR
66baaefb-a853-4744-bbc1-e23714f13cfe	b70e11d1-950c-4c18-aede-fd7c51139f02	PRIMARY_AUXILIARIES
66baaefb-a853-4744-bbc1-e23714f13cfe	c2b45b42-5685-4b36-84c7-ddf3a402466d	UPS
66baaefb-a853-4744-bbc1-e23714f13cfe	cf2380b4-5705-4583-8a54-f7b9c6b6b572	CRITICAL_AUXILIARIES
66baaefb-a853-4744-bbc1-e23714f13cfe	00c7e803-1a77-4acc-b94b-8d38fefcd5a2	LIGHTING
66baaefb-a853-4744-bbc1-e23714f13cfe	e9e7f996-a722-4e2a-8599-2ddbfd6bcae4	CRITICAL_POWER_DISTRIBUTION
66baaefb-a853-4744-bbc1-e23714f13cfe	653cb791-eaf2-427f-9559-548233839169	CRAH
66baaefb-a853-4744-bbc1-e23714f13cfe	3550553f-a47d-4aa2-a3b9-4e8da5781379	CRAC
66baaefb-a853-4744-bbc1-e23714f13cfe	eea9cfc7-8760-4cae-9da9-baf8387d22d3	CRAC_WITHOUT_FAN
66baaefb-a853-4744-bbc1-e23714f13cfe	ebdf65d8-19ed-407b-b579-242bfaf95108	CRAC_FAN
66baaefb-a853-4744-bbc1-e23714f13cfe	ae6af3fd-bd72-43aa-824b-f8b7724726f1	CHILLER
66baaefb-a853-4744-bbc1-e23714f13cfe	dc5ff118-362b-48a3-a5a4-4828a6344c93	AIR_COOLED_CHILLER
66baaefb-a853-4744-bbc1-e23714f13cfe	f4c9c700-8953-4cbb-8835-a48489d10c23	COOLING_TOWER
66baaefb-a853-4744-bbc1-e23714f13cfe	dfd4f633-7daf-41a5-9963-fb28be0a18bf	DRY_COOLER
66baaefb-a853-4744-bbc1-e23714f13cfe	d2b56bcb-064a-421a-8a32-0131867c1cbb	REMOTE_CONDENSER
66baaefb-a853-4744-bbc1-e23714f13cfe	b633d21b-b65b-4de1-8c8b-9ce80ff8898c	CHILLED_WATER_PUMPS
66baaefb-a853-4744-bbc1-e23714f13cfe	2770b9fa-1574-4f28-8281-a89868935f42	HEAT_REJECTION_PUMPS
66baaefb-a853-4744-bbc1-e23714f13cfe	e611b7f6-399c-469f-b035-cf5c9b9b88a5	VENTILATION
66baaefb-a853-4744-bbc1-e23714f13cfe	92079efe-e102-4d0c-9cbc-d7555aeba442	INFILTRATION
66baaefb-a853-4744-bbc1-e23714f13cfe	9fafc858-11e5-4595-ad73-8a4c0fe61c28	IT_LOAD
0e4266fc-b409-438c-9eb3-37090fca00de	03e18550-39c3-4c0b-8a54-9770c9561c4f	SWITCHGEAR
0e4266fc-b409-438c-9eb3-37090fca00de	a32677d5-66e0-4095-8440-bf1fbb662352	GENERATOR
0e4266fc-b409-438c-9eb3-37090fca00de	4ccf4d79-24dd-40d2-83d5-41f0fa49f6c5	PRIMARY_AUXILIARIES
0e4266fc-b409-438c-9eb3-37090fca00de	e9ea0ce1-1d95-4ded-8a21-d71e8944fa85	UPS
0e4266fc-b409-438c-9eb3-37090fca00de	906756d6-d16f-462a-994b-9f00bfe752d8	CRITICAL_AUXILIARIES
0e4266fc-b409-438c-9eb3-37090fca00de	94def4ff-6c80-4a93-b528-b93e5480aeb0	LIGHTING
0e4266fc-b409-438c-9eb3-37090fca00de	7b3d0c39-e281-48f7-a77c-a7264b6f1d33	CRITICAL_POWER_DISTRIBUTION
0e4266fc-b409-438c-9eb3-37090fca00de	5e952b1d-b530-463b-beb0-2f1bc7f2a16a	CRAH
0e4266fc-b409-438c-9eb3-37090fca00de	1ac44d58-f573-4737-9f5e-8c2741acb8cc	CRAC
0e4266fc-b409-438c-9eb3-37090fca00de	a07afbb0-8035-4a93-ad3c-a1743ffe29bc	CRAC_WITHOUT_FAN
0e4266fc-b409-438c-9eb3-37090fca00de	0167500d-9f35-48ba-8f9d-58e04e9fe4f3	CRAC_FAN
0e4266fc-b409-438c-9eb3-37090fca00de	cb3a49f7-d3fc-4b55-b705-17d85a41c8c1	CHILLER
0e4266fc-b409-438c-9eb3-37090fca00de	d2adb68f-0831-4202-9982-c2669a57acb1	AIR_COOLED_CHILLER
0e4266fc-b409-438c-9eb3-37090fca00de	02133d05-9cf5-461a-a328-bf39e4a2912f	COOLING_TOWER
0e4266fc-b409-438c-9eb3-37090fca00de	65535332-d723-4631-bdeb-61d65d140b3a	DRY_COOLER
0e4266fc-b409-438c-9eb3-37090fca00de	2d403f65-931d-4c54-97c3-f879abc7f7c3	REMOTE_CONDENSER
0e4266fc-b409-438c-9eb3-37090fca00de	2ee3c493-a1e0-4734-a8e3-c7376fdd40ff	CHILLED_WATER_PUMPS
0e4266fc-b409-438c-9eb3-37090fca00de	3856ba85-3b48-4538-bfaf-e8b30ebca3c0	HEAT_REJECTION_PUMPS
0e4266fc-b409-438c-9eb3-37090fca00de	d5b250bb-1f85-4461-ae11-4f7e2df7cbf4	VENTILATION
0e4266fc-b409-438c-9eb3-37090fca00de	f8f3fbe7-204f-46f2-ab4b-ac103f8abdc7	INFILTRATION
0e4266fc-b409-438c-9eb3-37090fca00de	b6b93ad0-89a6-4620-b4f4-de249c3fd46f	IT_LOAD
3c989b4e-7f37-4472-a066-8fbd7e14746e	1b67605a-ca8e-4de0-8331-afcda17da927	SWITCHGEAR
3c989b4e-7f37-4472-a066-8fbd7e14746e	abc1b323-9517-44a4-9408-6f2ed4560ca1	GENERATOR
3c989b4e-7f37-4472-a066-8fbd7e14746e	4887a91c-3d5c-4ade-bcd5-7adfa80071cf	PRIMARY_AUXILIARIES
3c989b4e-7f37-4472-a066-8fbd7e14746e	cf1d28f0-58a1-47f1-b883-5a2f579457da	UPS
3c989b4e-7f37-4472-a066-8fbd7e14746e	5059483f-8bd9-4e45-9046-4b2cf5597571	CRITICAL_AUXILIARIES
3c989b4e-7f37-4472-a066-8fbd7e14746e	00bdeffa-d214-4ee7-985f-91b1e695291e	LIGHTING
3c989b4e-7f37-4472-a066-8fbd7e14746e	dca14fb2-d9ef-41ab-b09f-980b5fc0ec5c	CRITICAL_POWER_DISTRIBUTION
3c989b4e-7f37-4472-a066-8fbd7e14746e	c73c2b5e-1cc3-4831-8920-3644b84b40c8	CRAH
3c989b4e-7f37-4472-a066-8fbd7e14746e	fdef286e-0111-4af1-adcc-078b7243a887	CRAC
3c989b4e-7f37-4472-a066-8fbd7e14746e	5c21cd03-a877-448f-aadf-65c733a6bb96	CRAC_WITHOUT_FAN
3c989b4e-7f37-4472-a066-8fbd7e14746e	9ad99ed9-bf22-49ed-9438-b6bf4181b93a	CRAC_FAN
3c989b4e-7f37-4472-a066-8fbd7e14746e	06740f43-ba3b-43ba-9a5f-311e45da4e5b	CHILLER
3c989b4e-7f37-4472-a066-8fbd7e14746e	1fcb7705-cf3f-4bb6-ba42-9521b75105f8	AIR_COOLED_CHILLER
3c989b4e-7f37-4472-a066-8fbd7e14746e	a1f66662-62dc-4513-9601-ab8338b113ea	COOLING_TOWER
3c989b4e-7f37-4472-a066-8fbd7e14746e	e426218b-8e5d-4cd9-b917-88746f860229	DRY_COOLER
3c989b4e-7f37-4472-a066-8fbd7e14746e	b77957bb-b9a2-4b55-a112-3212bdf7ff7a	REMOTE_CONDENSER
3c989b4e-7f37-4472-a066-8fbd7e14746e	faadcd54-d8de-4543-9df6-d8d4ae34e79d	CHILLED_WATER_PUMPS
3c989b4e-7f37-4472-a066-8fbd7e14746e	94f07bec-5f5b-45ee-b3bb-b31071a011c8	HEAT_REJECTION_PUMPS
3c989b4e-7f37-4472-a066-8fbd7e14746e	04d2eff7-3123-4bd6-99f3-752b082c323a	VENTILATION
3c989b4e-7f37-4472-a066-8fbd7e14746e	ae3cee26-bd01-4c93-8b45-1983d00052fc	INFILTRATION
3c989b4e-7f37-4472-a066-8fbd7e14746e	fa1007fd-569e-46c6-b413-9a188254765d	IT_LOAD
be3598f7-ffa0-4c13-a146-8d66241ea51d	89180ecc-35d1-4761-9054-e3888a318151	SWITCHGEAR
be3598f7-ffa0-4c13-a146-8d66241ea51d	ea6bb2fe-c3b4-4a36-8a35-648da65a4bca	GENERATOR
be3598f7-ffa0-4c13-a146-8d66241ea51d	4e04ed6d-27a6-4f8f-b586-951f2abbf59f	PRIMARY_AUXILIARIES
be3598f7-ffa0-4c13-a146-8d66241ea51d	e25da97b-4dd8-440e-b79e-585a40fa033c	UPS
be3598f7-ffa0-4c13-a146-8d66241ea51d	2890cdc0-17bb-4001-a5a9-0bd7aa6ede00	CRITICAL_AUXILIARIES
be3598f7-ffa0-4c13-a146-8d66241ea51d	f83094dc-124c-4b91-85ab-aae9acdc6bd7	LIGHTING
be3598f7-ffa0-4c13-a146-8d66241ea51d	58b6438e-0b4f-4f58-8d88-9e2acb27e296	CRITICAL_POWER_DISTRIBUTION
be3598f7-ffa0-4c13-a146-8d66241ea51d	098b1eca-7822-4f5c-938d-f3b9ab3dd380	CRAH
be3598f7-ffa0-4c13-a146-8d66241ea51d	55f30c9c-3e17-4f50-8190-a8e8a2191087	CRAC
be3598f7-ffa0-4c13-a146-8d66241ea51d	02e6a058-8061-4120-b0c2-83d1a4a2abd8	CRAC_WITHOUT_FAN
be3598f7-ffa0-4c13-a146-8d66241ea51d	1e1d7525-7abf-4296-9650-75b437139dd6	CRAC_FAN
be3598f7-ffa0-4c13-a146-8d66241ea51d	79f7bd46-63cd-405a-9f07-23be1738b6e3	CHILLER
be3598f7-ffa0-4c13-a146-8d66241ea51d	2afab800-9d67-4792-ace2-6e6d71231fc7	AIR_COOLED_CHILLER
be3598f7-ffa0-4c13-a146-8d66241ea51d	9091ad69-58b7-4571-b3ae-f7800a4f8cb0	COOLING_TOWER
be3598f7-ffa0-4c13-a146-8d66241ea51d	ff5f31dc-9a79-4521-9b1a-ff777ccd0dde	DRY_COOLER
be3598f7-ffa0-4c13-a146-8d66241ea51d	d958bf96-d4ba-4341-a9dc-0fde58ff44d8	REMOTE_CONDENSER
be3598f7-ffa0-4c13-a146-8d66241ea51d	f36b032e-0630-4ec9-ac38-a906ca5c4b61	CHILLED_WATER_PUMPS
be3598f7-ffa0-4c13-a146-8d66241ea51d	bf2a4a76-6c83-41db-948f-3b02f61d62bb	HEAT_REJECTION_PUMPS
be3598f7-ffa0-4c13-a146-8d66241ea51d	a93a899f-2383-404b-9196-57290efabb1c	VENTILATION
be3598f7-ffa0-4c13-a146-8d66241ea51d	4ebc0a82-781a-46a4-bb27-d04cdfe19148	INFILTRATION
be3598f7-ffa0-4c13-a146-8d66241ea51d	177eb726-4ee6-4747-a80f-85cae3cb9cce	IT_LOAD
374d2b62-b7c0-463a-8e0f-97883ae6c15a	aee8a8af-f3d2-4e7a-8169-66a21afe286f	SWITCHGEAR
374d2b62-b7c0-463a-8e0f-97883ae6c15a	d6c45478-a20a-4f28-9dff-4903bb1c1fcf	GENERATOR
374d2b62-b7c0-463a-8e0f-97883ae6c15a	0eaa5fd6-33c8-4cfd-9e11-8c9f8c3b3766	PRIMARY_AUXILIARIES
374d2b62-b7c0-463a-8e0f-97883ae6c15a	9a6d25b8-fd19-401c-8adb-c3fb24bb0cc4	UPS
374d2b62-b7c0-463a-8e0f-97883ae6c15a	10b392f1-ab25-4ac2-8bbb-a90df5f86cb0	CRITICAL_AUXILIARIES
374d2b62-b7c0-463a-8e0f-97883ae6c15a	15f6c310-6fb0-46f5-8ce5-a627b7408d6d	LIGHTING
374d2b62-b7c0-463a-8e0f-97883ae6c15a	047aa404-8d64-4487-926e-3eba8ca8b8c5	CRITICAL_POWER_DISTRIBUTION
374d2b62-b7c0-463a-8e0f-97883ae6c15a	5e0f31e8-ca4e-4e23-81fa-18d3155f7a5c	CRAH
374d2b62-b7c0-463a-8e0f-97883ae6c15a	c392c5b6-3366-407f-b203-2f023388bba1	CRAC
374d2b62-b7c0-463a-8e0f-97883ae6c15a	400494f4-0f53-4b94-8bb0-f7d8d3e55a71	CRAC_WITHOUT_FAN
374d2b62-b7c0-463a-8e0f-97883ae6c15a	5e98c05b-547f-4bc8-8356-f25c5d04b2f0	CRAC_FAN
374d2b62-b7c0-463a-8e0f-97883ae6c15a	2d20b3ad-2eab-4134-880d-374556378eef	CHILLER
374d2b62-b7c0-463a-8e0f-97883ae6c15a	f7bb8055-b021-43e5-bb5b-44cbcb4c60bd	AIR_COOLED_CHILLER
374d2b62-b7c0-463a-8e0f-97883ae6c15a	942ace79-8076-4109-80ee-13365e9759f9	COOLING_TOWER
374d2b62-b7c0-463a-8e0f-97883ae6c15a	e73e13be-72f2-472f-92ea-b749ed815d8f	DRY_COOLER
374d2b62-b7c0-463a-8e0f-97883ae6c15a	ac3ccb8c-6b30-4b68-9061-f22043890ad2	REMOTE_CONDENSER
374d2b62-b7c0-463a-8e0f-97883ae6c15a	68826d60-0fc2-4cc6-af14-a0ba6ba5dd07	CHILLED_WATER_PUMPS
374d2b62-b7c0-463a-8e0f-97883ae6c15a	400fc7b3-4966-48b7-9d91-1ce4326e66ff	HEAT_REJECTION_PUMPS
374d2b62-b7c0-463a-8e0f-97883ae6c15a	eb713022-513b-4d08-aba9-515b71b1371a	VENTILATION
374d2b62-b7c0-463a-8e0f-97883ae6c15a	6a2fd568-726e-4c8c-b993-fb3ffec26e2b	INFILTRATION
374d2b62-b7c0-463a-8e0f-97883ae6c15a	1744d184-6c7e-450b-81d7-a1788ecb6944	IT_LOAD
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	eebc2f23-9990-4649-8dc3-941b5340cb5c	SWITCHGEAR
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	37e222fb-7ce5-47b7-819e-ff81c20bbfc7	GENERATOR
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	ff5641ce-3408-4b98-a5f4-5710d94cfc59	PRIMARY_AUXILIARIES
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	d4d6da53-2ef2-44b5-89bf-0c69495a90e1	UPS
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	35df39a1-7515-46b6-90a1-c450b94a3bb4	CRITICAL_AUXILIARIES
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	9727d2d4-840e-4559-bd64-e8e2419c81b4	LIGHTING
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	d66bb25e-e036-4cea-b791-a4066904bd0f	CRITICAL_POWER_DISTRIBUTION
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	f275d316-c035-4860-8ef8-d6ab50c2ee07	CRAH
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	6a06c805-a9cf-4652-9010-4c26972c3413	CRAC
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	a75a632c-334a-423d-afd6-7d3d3c5e41ae	CRAC_WITHOUT_FAN
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	5be5716b-06a3-4c3a-a2b6-2a1d2b5437f2	CRAC_FAN
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	f75a5451-41c0-427d-bb7f-f3f3207447f0	CHILLER
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	ec44244a-fb39-4a20-998f-9062d7888b19	AIR_COOLED_CHILLER
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	ed5f7ee4-5ff0-4013-b299-cdea2a1064f7	COOLING_TOWER
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	eb77f116-61ee-49d6-bf49-7a123aa7311f	DRY_COOLER
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	37e32c4e-28f8-4f4e-ba51-2cecb5715936	REMOTE_CONDENSER
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	a6e0eec1-c676-4efd-82be-ef9d4b9f5450	CHILLED_WATER_PUMPS
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	01ffbd42-8f39-4d31-b6cc-14734a604a30	HEAT_REJECTION_PUMPS
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	0130d48a-db7a-4cb3-9e6c-113b24bab518	VENTILATION
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	68fa138d-ad0c-4f70-8535-cb045150f60a	INFILTRATION
1e8e8643-d5d5-4ac0-827f-480dbb71c5a7	bcda1703-27a5-48f1-b075-5e975e0b0be9	IT_LOAD
613b3754-e876-4e45-9fb7-36475f1c372f	8300afee-bf0f-421d-b01b-e5878e6ba39f	SWITCHGEAR
613b3754-e876-4e45-9fb7-36475f1c372f	831d59fd-8be8-4a9b-941c-94daaeff56ca	GENERATOR
613b3754-e876-4e45-9fb7-36475f1c372f	e4c9e411-2610-4665-affe-bc7796cd0c01	PRIMARY_AUXILIARIES
613b3754-e876-4e45-9fb7-36475f1c372f	15cc907d-78f2-49e1-b575-8cd8f0ea12c1	UPS
613b3754-e876-4e45-9fb7-36475f1c372f	d00d37d7-f2da-42d1-b186-26549b41d66a	CRITICAL_AUXILIARIES
613b3754-e876-4e45-9fb7-36475f1c372f	69ecb1fe-1043-4876-a03f-ced7fcf155ff	LIGHTING
613b3754-e876-4e45-9fb7-36475f1c372f	4cb39e7c-ef3a-4c0d-bca5-916e86e816c6	CRITICAL_POWER_DISTRIBUTION
613b3754-e876-4e45-9fb7-36475f1c372f	b73e5ba0-665d-4bfc-b803-00420a26cbd6	CRAH
613b3754-e876-4e45-9fb7-36475f1c372f	2ddeacc3-11b6-4af0-aedc-92e95faff297	CRAC
613b3754-e876-4e45-9fb7-36475f1c372f	6f44417a-4c03-4127-969a-5f9e1f13b084	CRAC_WITHOUT_FAN
613b3754-e876-4e45-9fb7-36475f1c372f	e793b826-8410-4a10-8a26-f71e4f20aef8	CRAC_FAN
613b3754-e876-4e45-9fb7-36475f1c372f	2f1bc181-e927-45c7-88f3-796640e1bc79	CHILLER
613b3754-e876-4e45-9fb7-36475f1c372f	7f47d1d7-b55b-4408-9324-58441352dcda	AIR_COOLED_CHILLER
613b3754-e876-4e45-9fb7-36475f1c372f	683fead4-5d6a-4999-ad8f-77d19eace46c	COOLING_TOWER
613b3754-e876-4e45-9fb7-36475f1c372f	06cd2352-8ca3-4709-80a3-253ce541a26f	DRY_COOLER
613b3754-e876-4e45-9fb7-36475f1c372f	ed5beb88-0bb9-495c-b3d1-8c64b7721347	REMOTE_CONDENSER
613b3754-e876-4e45-9fb7-36475f1c372f	d2ef3119-a276-4827-b478-cb9954b0896e	CHILLED_WATER_PUMPS
613b3754-e876-4e45-9fb7-36475f1c372f	50efed31-bb32-49cb-bf8d-b1a3d089e5ef	HEAT_REJECTION_PUMPS
613b3754-e876-4e45-9fb7-36475f1c372f	b3945a77-3bc1-4edf-ade6-42bad6e376c4	VENTILATION
613b3754-e876-4e45-9fb7-36475f1c372f	0d336b44-2276-4a2f-86b3-6ed83cdd0a63	INFILTRATION
613b3754-e876-4e45-9fb7-36475f1c372f	42bc7cc4-5b95-4aeb-9c8a-600e1039990a	IT_LOAD
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	f0b6c133-e974-470c-b7d4-6f92b8b1a216	SWITCHGEAR
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	1a114ae9-6e20-417e-9652-e94bb51e0d88	GENERATOR
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	cbf37448-a02a-41d5-8220-bc2824c476cc	PRIMARY_AUXILIARIES
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	f3b0510d-abbd-4c6a-acde-3af7530fd12e	UPS
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	81ddaeed-1b1e-4667-9499-328e93dc3893	CRITICAL_AUXILIARIES
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	f59f80ed-d507-4c6f-b5b5-680d60dc0800	LIGHTING
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	c3a30d31-a37d-4c04-ae2a-c8aa62922d23	CRITICAL_POWER_DISTRIBUTION
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	617a60f7-eab3-4d45-8fa1-fb376f218c0a	CRAH
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	7309c7f9-7a3c-41b6-894b-02221f092f2d	CRAC
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	a524f954-311b-4fb0-a16c-cce055f3b394	CRAC_WITHOUT_FAN
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	7ea22df9-7ee3-4268-9831-317594faff2f	CRAC_FAN
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	d5e424ef-e3fa-40b3-b2cd-46beae7bda2f	CHILLER
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	509212b1-dbb9-41ba-b816-3bed21e82a1e	AIR_COOLED_CHILLER
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	6dfa8d22-1716-4949-b93a-394122280280	COOLING_TOWER
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	1675dff6-4b79-484d-8c1b-aaca8ab352a4	DRY_COOLER
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	678121b2-ded8-453a-8674-39709ce4e3e5	REMOTE_CONDENSER
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	a752c6af-92ae-40c6-a1e1-8a31dc151f70	CHILLED_WATER_PUMPS
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	ebd1a5be-d490-497a-9383-6e6d01236956	HEAT_REJECTION_PUMPS
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	f8003556-dcd6-43be-a09d-73c9e05809dd	VENTILATION
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	3cdbf28f-56b6-412d-86ce-6fb961e03e44	INFILTRATION
fccc57a4-911e-42c2-bab9-cbeebe34ff3c	5070f988-ddb9-4b2c-b487-2fdb3aef35c2	IT_LOAD
7acaa2fa-8cda-497d-9435-91b0e27b4517	47160521-0f32-4ff9-b755-61b5db39d03b	SWITCHGEAR
7acaa2fa-8cda-497d-9435-91b0e27b4517	efdf5742-0057-4fe3-9c9b-4bfc7fb36010	GENERATOR
7acaa2fa-8cda-497d-9435-91b0e27b4517	2f77c59c-a3c3-482e-ac24-20855b3c6afd	PRIMARY_AUXILIARIES
7acaa2fa-8cda-497d-9435-91b0e27b4517	51611be9-fd9a-4a2a-b5e1-55136f130367	UPS
7acaa2fa-8cda-497d-9435-91b0e27b4517	072f4acd-8dcc-4088-8453-a8b88454c3df	CRITICAL_AUXILIARIES
7acaa2fa-8cda-497d-9435-91b0e27b4517	c21ca173-ac3b-4d5c-b8b3-1b8369d32f09	LIGHTING
7acaa2fa-8cda-497d-9435-91b0e27b4517	32189f9b-58f0-4946-bd0d-3c0f5802113f	CRITICAL_POWER_DISTRIBUTION
7acaa2fa-8cda-497d-9435-91b0e27b4517	0a418ea0-60ed-4fed-a899-25fa6bae8b2b	CRAH
7acaa2fa-8cda-497d-9435-91b0e27b4517	53db532c-4079-4c0e-b32d-5a8e45ffa466	CRAC
7acaa2fa-8cda-497d-9435-91b0e27b4517	677df6d9-7ac5-4192-b50b-e4c5002acddf	CRAC_WITHOUT_FAN
7acaa2fa-8cda-497d-9435-91b0e27b4517	a49e6110-ade1-49ef-ad5c-02ee4c910627	CRAC_FAN
7acaa2fa-8cda-497d-9435-91b0e27b4517	778892a5-13d2-41e1-b508-fac386ca11fe	CHILLER
7acaa2fa-8cda-497d-9435-91b0e27b4517	deac5c4f-fc8d-4587-ae74-521508e6038a	AIR_COOLED_CHILLER
7acaa2fa-8cda-497d-9435-91b0e27b4517	a1553d0b-a6d2-4654-a7e6-918672f920dc	COOLING_TOWER
7acaa2fa-8cda-497d-9435-91b0e27b4517	967d237e-60de-4ac4-be2c-7c413a5d0c20	DRY_COOLER
7acaa2fa-8cda-497d-9435-91b0e27b4517	4d8a59e5-c8c0-49e8-88ca-e251ac5bbec9	REMOTE_CONDENSER
7acaa2fa-8cda-497d-9435-91b0e27b4517	5dc715c8-7a33-4515-ab67-95c4e0e73127	CHILLED_WATER_PUMPS
7acaa2fa-8cda-497d-9435-91b0e27b4517	518c9db0-2039-44b1-8049-33ef3256103d	HEAT_REJECTION_PUMPS
7acaa2fa-8cda-497d-9435-91b0e27b4517	2161208f-f34c-4a06-b5ea-d7983f1bf71e	VENTILATION
7acaa2fa-8cda-497d-9435-91b0e27b4517	0a858959-0fa6-4607-87ef-d71374c127c0	INFILTRATION
7acaa2fa-8cda-497d-9435-91b0e27b4517	989f5dc1-395d-42bb-8491-da76e220dd2e	IT_LOAD
d9126248-4adb-4032-83aa-848646c2dc0b	41a25af0-0284-4ab9-8e38-a47ec451256d	SWITCHGEAR
d9126248-4adb-4032-83aa-848646c2dc0b	2d488ecf-cddf-4b47-92f1-364aed84d48c	GENERATOR
d9126248-4adb-4032-83aa-848646c2dc0b	6af0873d-256c-414f-af52-9f2b389a2ee6	PRIMARY_AUXILIARIES
d9126248-4adb-4032-83aa-848646c2dc0b	f9cba016-df19-40f9-a935-343bd942ccb1	UPS
d9126248-4adb-4032-83aa-848646c2dc0b	37d01466-80c6-4420-9efa-b388620b50a7	CRITICAL_AUXILIARIES
d9126248-4adb-4032-83aa-848646c2dc0b	0d425578-6484-4b19-a595-3902909f752b	LIGHTING
d9126248-4adb-4032-83aa-848646c2dc0b	a0ea3713-9884-4b2e-b34c-963be25acff5	CRITICAL_POWER_DISTRIBUTION
d9126248-4adb-4032-83aa-848646c2dc0b	a569a4dd-0cb8-4e3f-96e9-4e5fdfaebf8c	CRAH
d9126248-4adb-4032-83aa-848646c2dc0b	083a8940-3a62-4224-9e4d-4ac6ff8bc9c7	CRAC
d9126248-4adb-4032-83aa-848646c2dc0b	a64b3604-a3f9-4e00-90b1-8760787d98a6	CRAC_WITHOUT_FAN
d9126248-4adb-4032-83aa-848646c2dc0b	d491621d-2044-4454-abf5-2aa30a31f163	CRAC_FAN
d9126248-4adb-4032-83aa-848646c2dc0b	a8b84a92-3106-43fe-a43d-63d5b0a2d0b2	CHILLER
d9126248-4adb-4032-83aa-848646c2dc0b	a7e0f075-9100-44d8-8667-41b80348cd76	AIR_COOLED_CHILLER
d9126248-4adb-4032-83aa-848646c2dc0b	9e03c448-87f1-4daf-bd2c-2a8749c36a6d	COOLING_TOWER
d9126248-4adb-4032-83aa-848646c2dc0b	c69fefb8-6e4e-40d2-bc3b-6b65094ddb0d	DRY_COOLER
d9126248-4adb-4032-83aa-848646c2dc0b	d06e1d66-0cb9-4848-a272-63155fbc3613	REMOTE_CONDENSER
d9126248-4adb-4032-83aa-848646c2dc0b	986f5095-8c5c-4a1d-8e66-4721db746789	CHILLED_WATER_PUMPS
d9126248-4adb-4032-83aa-848646c2dc0b	cdf538a4-6192-4a05-87a0-c74cdae23c8c	HEAT_REJECTION_PUMPS
d9126248-4adb-4032-83aa-848646c2dc0b	30cd4055-d28a-49ce-8920-0cbd01e7eeca	VENTILATION
d9126248-4adb-4032-83aa-848646c2dc0b	56b51e8a-f947-42a3-bf2b-6cb93fbe8c30	INFILTRATION
d9126248-4adb-4032-83aa-848646c2dc0b	e733f9f5-efa7-4671-98a3-90128eb0cfd8	IT_LOAD
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	e714ff58-d369-4562-a91e-9be8d8efd5fa	SWITCHGEAR
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	ccf88f72-5a0a-4fcf-ad53-1afe910ad7b3	GENERATOR
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	90425555-23b3-4503-95d4-482db6c94dd7	PRIMARY_AUXILIARIES
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	6b73c41c-d65f-4022-857e-8b1584c4e1aa	UPS
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	95471149-a11a-4f82-967a-602a39ca4bdd	CRITICAL_AUXILIARIES
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	7e1177e9-3e8b-4fa0-b390-7b542348389d	LIGHTING
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	9dc86353-f229-4896-b44d-ff8ec6a72f1f	CRITICAL_POWER_DISTRIBUTION
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	388134b1-091b-4624-9084-cc65f1bb7f4f	CRAH
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	b1f08451-da45-43ba-9b0b-1622ea2339ba	CRAC
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	c3680135-674d-4053-b01e-a664888dfa79	CRAC_WITHOUT_FAN
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	11c8e328-cf0c-4749-83a6-35194c79a53a	CRAC_FAN
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	a5e7db20-0643-40fc-84fb-131f3257811a	CHILLER
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	5feb8784-65c6-4415-b227-4c2b844acc5c	AIR_COOLED_CHILLER
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	0a6e1296-b3dc-4169-a548-a149582b7f77	COOLING_TOWER
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	744af2e3-7e12-42e8-94be-20c302768b01	DRY_COOLER
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	eafb316f-6607-4c1e-bb7f-966073dab6d5	REMOTE_CONDENSER
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	06e1e0fa-8820-4d24-a4ab-c3fce278f3dd	CHILLED_WATER_PUMPS
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	5196b92b-8dfa-4e44-9894-e02fd83e8e44	HEAT_REJECTION_PUMPS
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	655f45dc-baac-4b93-94af-40d79f34c54a	VENTILATION
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	49a0ab43-c97c-406f-b477-1c1d18667a64	INFILTRATION
8f0d482f-b3fe-41e0-8408-eb0d5767d9d4	7b2e74b9-c411-4a89-bbcc-e134c875c2d3	IT_LOAD
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	18905dea-b1e6-4c0d-b79f-9d5591756518	SWITCHGEAR
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	4a71b4b9-fe81-466b-b7dd-4ebe653c00e5	GENERATOR
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	0deede57-fbb1-4a2d-a3db-a4e1a0ccf024	PRIMARY_AUXILIARIES
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	3f2df513-5019-49be-aed1-a23602f386ed	UPS
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	f1973d33-5fe4-4243-9d3b-b3dd98384e55	CRITICAL_AUXILIARIES
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	cee85c58-1f3c-4ef1-a768-ffd583ff31ad	LIGHTING
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	9d004f8b-e487-4305-a47f-3e773087d014	CRITICAL_POWER_DISTRIBUTION
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	d5471739-d2a1-4c03-9765-183c0e7eee01	CRAH
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	a50a9dd2-cfe2-4098-89e5-93644ddbdb00	CRAC
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	131f0807-029d-4eea-a294-5c75bb45fc9a	CRAC_WITHOUT_FAN
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	005fb7f5-9b15-4ace-bab3-e98a72940290	CRAC_FAN
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	56be95b2-6ad4-4f33-9ee1-2382b87bb867	CHILLER
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	362ea2f2-6e21-4a7d-b2dd-d34e94c945f1	AIR_COOLED_CHILLER
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	e83b772d-fe41-478a-8a45-33484104a1fd	COOLING_TOWER
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	d54eec7c-9a7a-4e27-af86-284186b766fe	DRY_COOLER
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	beecf920-69d6-4f68-996c-b09ecb114f3d	REMOTE_CONDENSER
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	f0adbaec-6384-4182-bce1-715605aceb1f	CHILLED_WATER_PUMPS
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	3916a059-d650-49ee-a397-ac34bfdc5a35	HEAT_REJECTION_PUMPS
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	e21d309d-c6be-49ba-985d-dde25b26ab3f	VENTILATION
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	abd196b9-843d-448d-aac0-ae873b0b22a6	INFILTRATION
e2e5cae5-ec58-4a97-9868-f1f261cac0e3	e9ee62da-af15-46cf-a033-d60181cb0613	IT_LOAD
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	b864b9fc-a5ff-45b0-a88f-8483cfebdab8	SWITCHGEAR
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	c7cd8946-0198-4d51-89ac-591bd796c449	GENERATOR
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	d3c715b5-41ae-41b0-b1c4-63daf2f69468	PRIMARY_AUXILIARIES
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	9adb7822-2ef3-4736-80bf-e2e502d0108a	UPS
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	18fb4b96-664b-46a7-a2d7-36e158ecdacd	CRITICAL_AUXILIARIES
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	4b8ef62d-030e-40d5-866e-b216393d0e1f	LIGHTING
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	4b77ad41-5a6f-4368-acb3-af8a747826d5	CRITICAL_POWER_DISTRIBUTION
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	d6f3e7fe-351e-4b95-8d77-addf9370730a	CRAH
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	3b96a647-1d3f-48b4-a382-88c5cc7deffd	CRAC
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	3d2ab2d7-228e-4570-925b-533ad43e9204	CRAC_WITHOUT_FAN
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	d8d29d44-bdea-43e0-a293-30e306cc5d37	CRAC_FAN
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	f5dcc312-5cc8-40ec-af80-af985a85aee3	CHILLER
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	a40dc4c5-5706-4501-907c-c4d51a2d3639	AIR_COOLED_CHILLER
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	734435db-87ba-47c3-b8de-26a8cbb495ab	COOLING_TOWER
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	17ff5744-56eb-46d8-a144-f79c90e01dc2	DRY_COOLER
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	96a1dcd8-c4f3-40b4-876f-85e47b42cbdc	REMOTE_CONDENSER
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	bd78b609-1393-438e-be59-22599e83f4f0	CHILLED_WATER_PUMPS
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	9d5b2e05-1e7c-4e82-b1de-0fb1ec959cee	HEAT_REJECTION_PUMPS
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	35de510f-fccd-44f1-9e2b-197db4b350ab	VENTILATION
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	7c9d25f0-096d-4710-8e21-63300a6b03ec	INFILTRATION
65c3f979-8fb8-441a-bcb8-9d75b2c02bff	7dab596a-3eb4-4d21-8c7d-762600d1f74d	IT_LOAD
94ff86bd-993c-4c78-ba75-af98701630cd	9775f241-7dac-4fc6-be7a-1e518f077651	SWITCHGEAR
94ff86bd-993c-4c78-ba75-af98701630cd	08bc862d-77e6-428c-bf7c-e8ad6f620d77	GENERATOR
94ff86bd-993c-4c78-ba75-af98701630cd	997ea478-3fae-4eb0-8970-3b2f4cd484fa	PRIMARY_AUXILIARIES
94ff86bd-993c-4c78-ba75-af98701630cd	76529873-ca70-4f83-af9a-7f7c48ae12a1	UPS
94ff86bd-993c-4c78-ba75-af98701630cd	d9da23ca-6023-42f3-a522-15cbec1776f4	CRITICAL_AUXILIARIES
94ff86bd-993c-4c78-ba75-af98701630cd	3d090ebc-a933-4ffe-a47e-e745d84c289d	LIGHTING
94ff86bd-993c-4c78-ba75-af98701630cd	3eee372f-c1fc-44f5-8020-42da7b5006f5	CRITICAL_POWER_DISTRIBUTION
94ff86bd-993c-4c78-ba75-af98701630cd	3d1fc7d9-cf6c-4e51-88a8-31274695f992	CRAH
94ff86bd-993c-4c78-ba75-af98701630cd	8153b03c-3715-4d99-8cc4-bb2aed1aff65	CRAC
94ff86bd-993c-4c78-ba75-af98701630cd	92f09240-607d-4757-aed5-1d3659b09ec3	CRAC_WITHOUT_FAN
94ff86bd-993c-4c78-ba75-af98701630cd	2f185798-b023-4212-ade3-05a66423c246	CRAC_FAN
94ff86bd-993c-4c78-ba75-af98701630cd	5a4bb26a-2d0a-4ce1-a098-52cb76fe3c46	CHILLER
94ff86bd-993c-4c78-ba75-af98701630cd	3ee6ba50-b4e6-49e0-83c7-de94fa88170a	AIR_COOLED_CHILLER
94ff86bd-993c-4c78-ba75-af98701630cd	eb97f946-4156-41ea-a75e-c91ffe269267	COOLING_TOWER
94ff86bd-993c-4c78-ba75-af98701630cd	a5a92ea2-a284-4d11-a5d1-7e7bcad0cb9a	DRY_COOLER
94ff86bd-993c-4c78-ba75-af98701630cd	df1b93c2-aaeb-4163-b6f4-d8251cb4f708	REMOTE_CONDENSER
94ff86bd-993c-4c78-ba75-af98701630cd	19fae24a-3220-4332-892b-e3ba5004bf98	CHILLED_WATER_PUMPS
94ff86bd-993c-4c78-ba75-af98701630cd	857ffe3f-3530-407d-9295-6043dade9bad	HEAT_REJECTION_PUMPS
94ff86bd-993c-4c78-ba75-af98701630cd	cec130ac-050a-4d59-ad96-1e019bdfb4fb	VENTILATION
94ff86bd-993c-4c78-ba75-af98701630cd	0f3516e5-9b9a-421d-9078-11d97159d8dc	INFILTRATION
94ff86bd-993c-4c78-ba75-af98701630cd	b07f945b-dac2-4125-a4df-97e2a0556874	IT_LOAD
4b9a706e-7d88-4e47-b955-91288714d973	9ad691b8-b068-46e6-bc89-6cbc9d5f64fd	SWITCHGEAR
4b9a706e-7d88-4e47-b955-91288714d973	3afe6da4-dee1-4f9b-8472-362c756fc6d0	GENERATOR
4b9a706e-7d88-4e47-b955-91288714d973	16347e95-d449-4a1b-a4df-c2f713ef576f	PRIMARY_AUXILIARIES
4b9a706e-7d88-4e47-b955-91288714d973	d12d0e86-cb9a-4828-9ae3-a5ed419a9b0f	UPS
4b9a706e-7d88-4e47-b955-91288714d973	56fed7d4-6fd5-4d10-8353-4a58cbc515ea	CRITICAL_AUXILIARIES
4b9a706e-7d88-4e47-b955-91288714d973	00e74714-aa04-40f5-8bc3-04f226bd4e8d	LIGHTING
4b9a706e-7d88-4e47-b955-91288714d973	cafe783a-20a4-477d-a96a-58208584ab34	CRITICAL_POWER_DISTRIBUTION
4b9a706e-7d88-4e47-b955-91288714d973	71dd470b-53f4-4d60-afe2-7e52f62ca8b2	CRAH
4b9a706e-7d88-4e47-b955-91288714d973	cb5c4400-083f-4ab9-b631-fcd62e57d112	CRAC
4b9a706e-7d88-4e47-b955-91288714d973	c0642526-8af2-4a1c-8a06-38124ac20484	CRAC_WITHOUT_FAN
4b9a706e-7d88-4e47-b955-91288714d973	0b0f1e75-f0c1-4cb7-a435-3c10f4e05d05	CRAC_FAN
4b9a706e-7d88-4e47-b955-91288714d973	7b2741d0-c824-464c-883b-42d2cc579c97	CHILLER
4b9a706e-7d88-4e47-b955-91288714d973	390c26ce-b861-4bee-90be-a8cf1fb14746	AIR_COOLED_CHILLER
4b9a706e-7d88-4e47-b955-91288714d973	bef3f443-0f06-40d1-b1af-0b58da9e2ccb	COOLING_TOWER
4b9a706e-7d88-4e47-b955-91288714d973	47f8059e-4e8d-44e0-82db-7be1c66b1377	DRY_COOLER
4b9a706e-7d88-4e47-b955-91288714d973	90139a3a-623a-4541-b78f-ce6155b7a7ac	REMOTE_CONDENSER
4b9a706e-7d88-4e47-b955-91288714d973	fc928811-19a9-401c-8552-2bed56b36a51	CHILLED_WATER_PUMPS
4b9a706e-7d88-4e47-b955-91288714d973	a505bd7e-6843-4f88-aae4-b835e038872c	HEAT_REJECTION_PUMPS
4b9a706e-7d88-4e47-b955-91288714d973	dbf9e80e-7e31-454d-9102-ca3d0c2c72a9	VENTILATION
4b9a706e-7d88-4e47-b955-91288714d973	b5c42750-7349-4179-8e3e-c52cb59bfe06	INFILTRATION
4b9a706e-7d88-4e47-b955-91288714d973	d17e8910-6dd2-4be1-bc70-7813ca4687fe	IT_LOAD
ace6621b-239c-47a4-90ba-3ec1cc1c173e	ede1dd0e-22ea-4ea0-b654-e23699989cff	SWITCHGEAR
ace6621b-239c-47a4-90ba-3ec1cc1c173e	130df1ba-98ec-4a10-a5b5-76a9740d0762	GENERATOR
ace6621b-239c-47a4-90ba-3ec1cc1c173e	a98e9bcc-06df-4676-afb5-833646e55953	PRIMARY_AUXILIARIES
ace6621b-239c-47a4-90ba-3ec1cc1c173e	c7954fc1-f8ef-4062-9bcc-588b8d4e2c82	UPS
ace6621b-239c-47a4-90ba-3ec1cc1c173e	b3817b68-f13f-462f-b330-0d861f464fb0	CRITICAL_AUXILIARIES
ace6621b-239c-47a4-90ba-3ec1cc1c173e	59bb78da-ac02-42d2-9924-b3f9c2402e0d	LIGHTING
ace6621b-239c-47a4-90ba-3ec1cc1c173e	1ec56e22-28e2-401d-b7da-b1a280ba6f61	CRITICAL_POWER_DISTRIBUTION
ace6621b-239c-47a4-90ba-3ec1cc1c173e	9d4310be-396b-484c-9fe2-25b268116b44	CRAH
ace6621b-239c-47a4-90ba-3ec1cc1c173e	9acc5387-c5d1-4cb0-a135-c1946999a625	CRAC
ace6621b-239c-47a4-90ba-3ec1cc1c173e	4147d1dd-d9ae-40d8-8b7e-8f832961a721	CRAC_WITHOUT_FAN
ace6621b-239c-47a4-90ba-3ec1cc1c173e	267adeba-c9ca-4c3b-8fc5-d8b78861e979	CRAC_FAN
ace6621b-239c-47a4-90ba-3ec1cc1c173e	a7f464a1-7aef-4ca9-bafa-8b7719eeca8d	CHILLER
ace6621b-239c-47a4-90ba-3ec1cc1c173e	9b714abb-7e14-46d1-9d47-d98041e1ec32	AIR_COOLED_CHILLER
ace6621b-239c-47a4-90ba-3ec1cc1c173e	60cc4a8f-bf8b-4fa4-8a4e-1f6fe7f647e8	COOLING_TOWER
ace6621b-239c-47a4-90ba-3ec1cc1c173e	2ac3d139-45ed-451f-9fc7-40eeaf68a4bc	DRY_COOLER
ace6621b-239c-47a4-90ba-3ec1cc1c173e	01e6d73c-2ae1-4630-a1e9-5847a93bb6af	REMOTE_CONDENSER
ace6621b-239c-47a4-90ba-3ec1cc1c173e	29228679-990a-49be-aadc-59ead7576980	CHILLED_WATER_PUMPS
ace6621b-239c-47a4-90ba-3ec1cc1c173e	7cfaddc2-7ce6-4ee2-a304-4bb54f045f20	HEAT_REJECTION_PUMPS
ace6621b-239c-47a4-90ba-3ec1cc1c173e	4426e4c6-c425-4c85-8983-d7bbd6a15b6b	VENTILATION
ace6621b-239c-47a4-90ba-3ec1cc1c173e	f6dbaa15-3913-4a5e-a2e3-3b5a624e7dac	INFILTRATION
ace6621b-239c-47a4-90ba-3ec1cc1c173e	463733dc-55e1-42e7-8fd3-3693cdecda68	IT_LOAD
2052266e-99a1-4531-b71e-bb227812b066	5309d3a5-3844-4c1b-8658-b70462afd337	SWITCHGEAR
2052266e-99a1-4531-b71e-bb227812b066	22e847d4-7d2e-4421-a8b9-d3e34f4a55f0	GENERATOR
2052266e-99a1-4531-b71e-bb227812b066	615d5a60-a1be-42e2-aeca-60570684cde7	PRIMARY_AUXILIARIES
2052266e-99a1-4531-b71e-bb227812b066	47725930-6fb0-4881-887c-39db896b0cd7	UPS
2052266e-99a1-4531-b71e-bb227812b066	d33b3a39-ecbc-4518-b703-b14278f375f6	CRITICAL_AUXILIARIES
2052266e-99a1-4531-b71e-bb227812b066	535910fd-9325-44e2-ab4a-9998b39c5c62	LIGHTING
2052266e-99a1-4531-b71e-bb227812b066	9d257f62-b0e9-44b2-b7e2-99c714d56877	CRITICAL_POWER_DISTRIBUTION
2052266e-99a1-4531-b71e-bb227812b066	16ad7983-bc8c-427c-b079-5024e49c6e5a	CRAH
2052266e-99a1-4531-b71e-bb227812b066	57343e88-a6c6-425f-a4c0-76355c3029cf	CRAC
2052266e-99a1-4531-b71e-bb227812b066	76bcf16a-063d-4dc9-9216-e4dfb5e1b49b	CRAC_WITHOUT_FAN
2052266e-99a1-4531-b71e-bb227812b066	37410e78-a1ce-4320-95cb-70e467918b51	CRAC_FAN
2052266e-99a1-4531-b71e-bb227812b066	57af785c-6939-4b71-b7e8-49a340e2f4f2	CHILLER
2052266e-99a1-4531-b71e-bb227812b066	c5e2d1a2-b6d5-4cbb-97f3-25dc353a4eed	AIR_COOLED_CHILLER
2052266e-99a1-4531-b71e-bb227812b066	b03bf2f7-fd86-41ec-a60c-12a50d47beaa	COOLING_TOWER
2052266e-99a1-4531-b71e-bb227812b066	0661a84b-625e-407e-9fc3-67d4b87cab7d	DRY_COOLER
2052266e-99a1-4531-b71e-bb227812b066	31b7841a-166d-4bd5-a6dc-1b6205c74ab7	REMOTE_CONDENSER
2052266e-99a1-4531-b71e-bb227812b066	c05267b6-0947-4269-88c9-8b5440946b92	CHILLED_WATER_PUMPS
2052266e-99a1-4531-b71e-bb227812b066	746ef3af-498c-4a57-aeed-443b78830ce4	HEAT_REJECTION_PUMPS
2052266e-99a1-4531-b71e-bb227812b066	b08fa282-c488-4453-90d3-7a42133400ed	VENTILATION
2052266e-99a1-4531-b71e-bb227812b066	ffe21bf6-e50d-488f-a1c4-9f3e1fab1038	INFILTRATION
2052266e-99a1-4531-b71e-bb227812b066	e9684a8b-6313-407a-945d-6ff8863ddf4b	IT_LOAD
0c321f99-5f4c-41b8-91fc-3912890d83db	a814a297-e000-40f8-ba10-80db068aa704	SWITCHGEAR
0c321f99-5f4c-41b8-91fc-3912890d83db	3f17ad59-b662-455f-986f-11f774da93e4	GENERATOR
0c321f99-5f4c-41b8-91fc-3912890d83db	d4c8b63b-856a-4098-91b6-786eee96a2bb	PRIMARY_AUXILIARIES
0c321f99-5f4c-41b8-91fc-3912890d83db	cbae7d64-da4c-4ba4-8009-95cab04adcee	UPS
0c321f99-5f4c-41b8-91fc-3912890d83db	7a5214c3-7f74-49a0-bc13-239d201b4e2e	CRITICAL_AUXILIARIES
0c321f99-5f4c-41b8-91fc-3912890d83db	b48f913b-3966-4580-8280-27e04e66531b	LIGHTING
0c321f99-5f4c-41b8-91fc-3912890d83db	bdfd5053-d554-4def-a4fd-8088f68655bd	CRITICAL_POWER_DISTRIBUTION
0c321f99-5f4c-41b8-91fc-3912890d83db	8c292aa7-cd5b-49b0-938c-012fc140f8d5	CRAH
0c321f99-5f4c-41b8-91fc-3912890d83db	12a1b8d1-8021-48c8-85c4-6817dfec0eb1	CRAC
0c321f99-5f4c-41b8-91fc-3912890d83db	20e649de-83d8-42ae-949f-f97ae1b7874a	CRAC_WITHOUT_FAN
0c321f99-5f4c-41b8-91fc-3912890d83db	1587653a-1da6-4824-b057-f0ac776bfc4e	CRAC_FAN
0c321f99-5f4c-41b8-91fc-3912890d83db	30ca56ac-bfb7-41a1-a5ab-7fd234ff3bcc	CHILLER
0c321f99-5f4c-41b8-91fc-3912890d83db	1082a21b-046a-4180-91b3-95914fcb0449	AIR_COOLED_CHILLER
0c321f99-5f4c-41b8-91fc-3912890d83db	10d7e0d5-a57b-455f-9c4c-dfdc338f1fdf	COOLING_TOWER
0c321f99-5f4c-41b8-91fc-3912890d83db	c66ef041-4fcc-4217-9747-65c65058d3bf	DRY_COOLER
0c321f99-5f4c-41b8-91fc-3912890d83db	60b8c475-c864-492e-89dc-4b5fca66ff61	REMOTE_CONDENSER
0c321f99-5f4c-41b8-91fc-3912890d83db	3ae90c24-a136-4673-9908-690db6eef4a8	CHILLED_WATER_PUMPS
0c321f99-5f4c-41b8-91fc-3912890d83db	cebc5bd5-1149-480b-b2a6-67d029b04ad0	HEAT_REJECTION_PUMPS
0c321f99-5f4c-41b8-91fc-3912890d83db	596181d4-3c5e-4ccc-95e6-35fbc7a40a58	VENTILATION
0c321f99-5f4c-41b8-91fc-3912890d83db	65ff9014-bd49-492c-affd-9bf362f99db4	INFILTRATION
0c321f99-5f4c-41b8-91fc-3912890d83db	6c416dd7-d273-4dfa-a3f6-d645414e3f2d	IT_LOAD
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	ee385d0e-f771-4cb2-9965-81548ac3bd6f	SWITCHGEAR
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	5ba50d19-29e7-44ae-aa86-97e366adceb7	GENERATOR
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	af2d2faf-16e4-48fc-9dc0-afd48226c890	PRIMARY_AUXILIARIES
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	f77362e3-5ea1-4bc1-ad57-d8ec184b7912	UPS
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	9b47428f-3675-4ca7-8bb6-414721ab6e27	CRITICAL_AUXILIARIES
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	4e344ec9-dee8-47cc-a433-def507191e21	LIGHTING
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	a9b8ea7f-fde6-495a-b69f-006f5ff0b510	CRITICAL_POWER_DISTRIBUTION
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	b2661f11-7ae1-4594-ae98-af44e0cc3b8d	CRAH
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	69eb5876-29d3-4439-9603-63ef88746fa3	CRAC
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	fc3f50f7-7752-4d07-b5aa-e915e0e76b99	CRAC_WITHOUT_FAN
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	baffb63c-2f68-4201-ba35-7c8a4c84d958	CRAC_FAN
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	8456f6e4-cc05-417d-a3d8-1d0a6abbb284	CHILLER
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	aeaecb03-7569-4583-bc43-0946afa46479	AIR_COOLED_CHILLER
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	101095fa-c79d-48d0-90af-d90bc992b5eb	COOLING_TOWER
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	8adefc99-7d99-441f-a735-58702a27d827	DRY_COOLER
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	09e588f0-5ec3-4fc5-9f84-0974106fb9a0	REMOTE_CONDENSER
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	3fa13027-8c28-49ff-9c50-251a9e504406	CHILLED_WATER_PUMPS
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	99867d0f-4c74-49c3-8f18-6541bbb33c8b	HEAT_REJECTION_PUMPS
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	f7df5a19-5fcd-4399-bae7-75101bf76872	VENTILATION
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	581585a4-619a-4b1b-bf80-dedebf961914	INFILTRATION
fd8d7d2a-bb68-4d32-9c73-81c1856412ec	e0528817-3d03-4326-8b84-548f2076e7d9	IT_LOAD
b5d93443-0535-4687-a54f-198d8a03881f	dc88f36a-5c0c-4d47-a779-6dcc471396bc	SWITCHGEAR
b5d93443-0535-4687-a54f-198d8a03881f	cdf8020e-ecaf-4351-af8c-fc648dbec472	GENERATOR
b5d93443-0535-4687-a54f-198d8a03881f	cfaf8caa-3603-456a-80fa-20fa1f4cb7c5	PRIMARY_AUXILIARIES
b5d93443-0535-4687-a54f-198d8a03881f	10751d52-c588-4603-b26c-e68573c89fc3	UPS
b5d93443-0535-4687-a54f-198d8a03881f	c0ab5ae5-79a2-43b1-b2cc-027bc5cfe301	CRITICAL_AUXILIARIES
b5d93443-0535-4687-a54f-198d8a03881f	8b8eeece-eea9-4590-8836-bcd4baeddf98	LIGHTING
b5d93443-0535-4687-a54f-198d8a03881f	8aac44ee-2176-4c28-8899-90c8c81bbd3f	CRITICAL_POWER_DISTRIBUTION
b5d93443-0535-4687-a54f-198d8a03881f	67a7d2a7-6a1a-4e62-be8f-07a3d7129c29	CRAH
b5d93443-0535-4687-a54f-198d8a03881f	573dfcfd-5835-44e9-9c2a-03e350d82fb3	CRAC
b5d93443-0535-4687-a54f-198d8a03881f	97622f12-e40f-406e-a78d-ba74a590e3db	CRAC_WITHOUT_FAN
b5d93443-0535-4687-a54f-198d8a03881f	05c1c622-beb6-4290-bdf1-e0f44fe76635	CRAC_FAN
b5d93443-0535-4687-a54f-198d8a03881f	fa16fac8-d474-4a3e-bd59-4fa948ba369d	CHILLER
b5d93443-0535-4687-a54f-198d8a03881f	3f2ad9d6-045d-4337-b727-07d03f89bf86	AIR_COOLED_CHILLER
b5d93443-0535-4687-a54f-198d8a03881f	d23c5df9-3515-4f76-811e-777c39491a4a	COOLING_TOWER
b5d93443-0535-4687-a54f-198d8a03881f	89034d1a-0373-4d63-88b6-97352231c4e9	DRY_COOLER
b5d93443-0535-4687-a54f-198d8a03881f	db7414c7-8b57-491f-b871-a8eb6ab4d87e	REMOTE_CONDENSER
b5d93443-0535-4687-a54f-198d8a03881f	7e97dd2b-8580-4c79-9a1a-175c98425278	CHILLED_WATER_PUMPS
b5d93443-0535-4687-a54f-198d8a03881f	71870507-aa96-46d9-8e1e-6c61aa4246d6	HEAT_REJECTION_PUMPS
b5d93443-0535-4687-a54f-198d8a03881f	312367ec-5c00-45ad-8778-64a6793c09ec	VENTILATION
b5d93443-0535-4687-a54f-198d8a03881f	1e58a1e0-12f5-48b2-82f9-56797f9ee075	INFILTRATION
b5d93443-0535-4687-a54f-198d8a03881f	28607192-ef37-43c6-9df3-16734a514a59	IT_LOAD
07521663-5f76-4f51-a155-0f763022959c	df6fd5f4-0ead-4596-b9de-9da0388062d4	SWITCHGEAR
07521663-5f76-4f51-a155-0f763022959c	28b15fb0-6640-4421-aab2-c715a6c8a942	GENERATOR
07521663-5f76-4f51-a155-0f763022959c	762f4a6e-cfcd-41d4-89d8-3f916bccb997	PRIMARY_AUXILIARIES
07521663-5f76-4f51-a155-0f763022959c	ceed56bc-0597-41b3-baf2-6c4ee0c8960b	UPS
07521663-5f76-4f51-a155-0f763022959c	ebe4d439-3877-4af2-bf88-a8db97bd548b	CRITICAL_AUXILIARIES
07521663-5f76-4f51-a155-0f763022959c	018b7d6c-47c8-4ed5-a036-c5afe8f595b9	LIGHTING
07521663-5f76-4f51-a155-0f763022959c	8d4bfd99-d485-4953-a698-81929e47832a	CRITICAL_POWER_DISTRIBUTION
07521663-5f76-4f51-a155-0f763022959c	e03e9f17-983b-492f-97c6-6b6c2a790086	CRAH
07521663-5f76-4f51-a155-0f763022959c	524add31-6c31-499f-9b6c-27ee3d10c3a5	CRAC
07521663-5f76-4f51-a155-0f763022959c	b19521b2-b35c-4f4a-a984-e48da0069be6	CRAC_WITHOUT_FAN
07521663-5f76-4f51-a155-0f763022959c	75a2913c-ab23-4e7e-96ea-ca831b446b5f	CRAC_FAN
07521663-5f76-4f51-a155-0f763022959c	35dea772-adde-4546-87ef-af24b9ffb8d0	CHILLER
07521663-5f76-4f51-a155-0f763022959c	4d3bef51-743c-41e6-8cbb-4148e17c3c6c	AIR_COOLED_CHILLER
07521663-5f76-4f51-a155-0f763022959c	bda830bc-2d8d-46c6-8ca6-fbbd8b481c74	COOLING_TOWER
07521663-5f76-4f51-a155-0f763022959c	7255b4a7-9a69-4bff-b086-7bc98d36e192	DRY_COOLER
07521663-5f76-4f51-a155-0f763022959c	ff29808c-0049-4b1c-8363-7b8c34143adc	REMOTE_CONDENSER
07521663-5f76-4f51-a155-0f763022959c	24b62c53-b89f-43a9-9e5f-77a07a933721	CHILLED_WATER_PUMPS
07521663-5f76-4f51-a155-0f763022959c	3b2b1f4a-bd06-43d2-95c5-bbf52450f4bd	HEAT_REJECTION_PUMPS
07521663-5f76-4f51-a155-0f763022959c	11f62e53-e25e-44e3-9d68-df660b44d7b3	VENTILATION
07521663-5f76-4f51-a155-0f763022959c	feb131e3-0f01-4d0f-ac38-cfd5588c94b6	INFILTRATION
07521663-5f76-4f51-a155-0f763022959c	82d9c5ad-1d42-4bfe-b846-943f4e59f6dd	IT_LOAD
d3d76b26-9140-440b-a033-853c787b157f	9889e2d3-3a2f-479e-8750-4ac3672588f3	SWITCHGEAR
d3d76b26-9140-440b-a033-853c787b157f	2339db82-1263-43fa-8de9-fb141d04c688	GENERATOR
d3d76b26-9140-440b-a033-853c787b157f	205d707b-c39b-4150-bfdf-63b9315016a1	PRIMARY_AUXILIARIES
d3d76b26-9140-440b-a033-853c787b157f	46e7a882-cab8-4627-925d-d7e13711c16b	UPS
d3d76b26-9140-440b-a033-853c787b157f	cffc469a-3c3f-486d-b9de-0b3ecbf279b8	CRITICAL_AUXILIARIES
d3d76b26-9140-440b-a033-853c787b157f	163d4c77-3e20-4a72-a7f6-06babe27ef3e	LIGHTING
d3d76b26-9140-440b-a033-853c787b157f	18540dce-35a7-421e-8c4c-9a1191b9862d	CRITICAL_POWER_DISTRIBUTION
d3d76b26-9140-440b-a033-853c787b157f	365ab39e-9320-4a74-b635-206d0334d9ac	CRAH
d3d76b26-9140-440b-a033-853c787b157f	a69dfa46-a86a-4e5d-b1ee-55d98e915f1e	CRAC
d3d76b26-9140-440b-a033-853c787b157f	c0ccdd86-ab0f-42d6-8722-d9c890c5c5d0	CRAC_WITHOUT_FAN
d3d76b26-9140-440b-a033-853c787b157f	56234a0d-fe0b-48e9-97ed-af2348e4ffc0	CRAC_FAN
d3d76b26-9140-440b-a033-853c787b157f	6803aade-aa6e-4926-8c99-82a9406ac33f	CHILLER
d3d76b26-9140-440b-a033-853c787b157f	25a72924-062b-4ba9-9b4b-044ea9d5b7c5	AIR_COOLED_CHILLER
d3d76b26-9140-440b-a033-853c787b157f	c0f583b2-4a48-45ee-af3d-cf962f519207	COOLING_TOWER
d3d76b26-9140-440b-a033-853c787b157f	be710f0a-cfb4-4e46-ab45-81ac79ea42cd	DRY_COOLER
d3d76b26-9140-440b-a033-853c787b157f	61d07fef-f5e2-47e5-b922-f3a9798cf086	REMOTE_CONDENSER
d3d76b26-9140-440b-a033-853c787b157f	c27bc73c-51f5-45ad-869d-cf3fb75997cd	CHILLED_WATER_PUMPS
d3d76b26-9140-440b-a033-853c787b157f	2ea55ae9-7cbb-4850-a6ef-101c7cbd9cdd	HEAT_REJECTION_PUMPS
d3d76b26-9140-440b-a033-853c787b157f	6e986c86-e13d-42ec-a717-055b918a664b	VENTILATION
d3d76b26-9140-440b-a033-853c787b157f	a5ed0377-a2f9-46be-8ae2-b8c01b4265c8	INFILTRATION
d3d76b26-9140-440b-a033-853c787b157f	77c12e43-8e88-43be-9965-af61e4d4c697	IT_LOAD
5068b690-673d-4c1c-93ac-ed56e1adec07	83baac2a-69c7-48e2-a439-4613981e39fa	SWITCHGEAR
5068b690-673d-4c1c-93ac-ed56e1adec07	b336858d-d24b-4a49-993b-589a8664f033	GENERATOR
5068b690-673d-4c1c-93ac-ed56e1adec07	fb2c441a-8d1b-4218-968a-7134345b21d4	PRIMARY_AUXILIARIES
5068b690-673d-4c1c-93ac-ed56e1adec07	e8cbf71d-99f4-47e3-8f9c-b1b3058449c9	UPS
5068b690-673d-4c1c-93ac-ed56e1adec07	bb0d7264-397a-45e1-8ce9-ec22a439843f	CRITICAL_AUXILIARIES
5068b690-673d-4c1c-93ac-ed56e1adec07	0ad6d705-7aa3-4602-b486-f1e3a727c56b	LIGHTING
5068b690-673d-4c1c-93ac-ed56e1adec07	7c51c22a-bc2a-417d-9d10-62ba44356351	CRITICAL_POWER_DISTRIBUTION
5068b690-673d-4c1c-93ac-ed56e1adec07	e29ea963-e2a4-4e0a-a7fe-7856c4bf0382	CRAH
5068b690-673d-4c1c-93ac-ed56e1adec07	0baa05bd-8164-408d-bfed-cd497c39afff	CRAC
5068b690-673d-4c1c-93ac-ed56e1adec07	7151770a-3418-43e3-bc04-2b94828e619a	CRAC_WITHOUT_FAN
5068b690-673d-4c1c-93ac-ed56e1adec07	0733ddf3-b432-4e0a-b8a5-9a02f356fcae	CRAC_FAN
5068b690-673d-4c1c-93ac-ed56e1adec07	c2a00496-9e40-4267-91ae-f38242adb6d8	CHILLER
5068b690-673d-4c1c-93ac-ed56e1adec07	ce1f6bbe-fb04-4371-80d8-c197d3cf3d2b	AIR_COOLED_CHILLER
5068b690-673d-4c1c-93ac-ed56e1adec07	61701885-a05e-4ab3-ac95-2eacbd175d88	COOLING_TOWER
5068b690-673d-4c1c-93ac-ed56e1adec07	62b371d1-1062-41ba-be76-ad26c26b2efc	DRY_COOLER
5068b690-673d-4c1c-93ac-ed56e1adec07	0ebd5d65-a246-4a29-82b8-026b6d9dfcb5	REMOTE_CONDENSER
5068b690-673d-4c1c-93ac-ed56e1adec07	f01fcec9-33b6-4c52-9426-dd146d4069c7	CHILLED_WATER_PUMPS
5068b690-673d-4c1c-93ac-ed56e1adec07	991148b2-c101-4f89-96bc-db261e9caf96	HEAT_REJECTION_PUMPS
5068b690-673d-4c1c-93ac-ed56e1adec07	96b1e23d-da5b-4a03-8617-6677948c3a0e	VENTILATION
5068b690-673d-4c1c-93ac-ed56e1adec07	48b3c073-f068-40ec-a28e-7d80d9b4d613	INFILTRATION
5068b690-673d-4c1c-93ac-ed56e1adec07	0c80feca-cfa8-4ff9-8213-eb35d8068297	IT_LOAD
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	87528eb9-27b8-4d64-bd8f-918dc9a14a5f	SWITCHGEAR
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	809494ed-259c-4b53-a082-f353bc5de43d	GENERATOR
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	2ed780a6-b135-473f-88d4-0a64c63e9caf	PRIMARY_AUXILIARIES
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	58922d5e-0b12-47c9-9564-950b94e48a6f	UPS
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	951ba93d-afe3-4aba-8985-f179e9c69665	CRITICAL_AUXILIARIES
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	27ac5dc1-7c6b-4644-ae59-7fddfaec0f3a	LIGHTING
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	36507fe8-c350-48be-9925-2bddfad0bf63	CRITICAL_POWER_DISTRIBUTION
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	b1a2b5b5-1fa8-45d1-a02d-d8ad228465af	CRAH
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	2adc838a-6db7-491e-9cea-f159f4c7474d	CRAC
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	fa62b047-6d5d-402b-968e-2bef97dbb697	CRAC_WITHOUT_FAN
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	43487f0d-0656-451d-b3ea-cdf69a9b869b	CRAC_FAN
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	12ce21c6-aa1a-4a75-9fca-dbe155d510fd	CHILLER
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	0e57e04b-df78-42ce-8faa-a0773ae881dc	AIR_COOLED_CHILLER
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	443c45c9-0f10-4dae-a630-57f89af65b31	COOLING_TOWER
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	8bba817f-ac20-46c6-b52e-cb4e3d385832	DRY_COOLER
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	c1e726ed-f4fd-4092-929f-d85c7b89e60f	REMOTE_CONDENSER
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	36a56566-2ccc-4732-b3bc-152dd6fce391	CHILLED_WATER_PUMPS
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	b276276f-4295-46d5-91a9-8745329e20bb	HEAT_REJECTION_PUMPS
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	6a257449-5fe1-4b64-9774-1f6e20742181	VENTILATION
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	f42e78ea-12e4-4a62-b6df-93da18aa8044	INFILTRATION
e25ecf51-d24f-48cd-893a-2cfb3efeb9ea	d0a7f17a-8879-471d-a2ae-fda073b36c18	IT_LOAD
711f8418-4315-486f-8ae2-3d47d195d691	e1989369-091c-464e-83f5-82406e8f659b	SWITCHGEAR
711f8418-4315-486f-8ae2-3d47d195d691	b3d28c89-c73c-4fc3-8006-e9d846fb4c68	GENERATOR
711f8418-4315-486f-8ae2-3d47d195d691	a06865b0-e88b-4dea-ae34-08b2ac4fb324	PRIMARY_AUXILIARIES
711f8418-4315-486f-8ae2-3d47d195d691	fde13b6d-7caa-4c52-8106-4162ad0f3516	UPS
711f8418-4315-486f-8ae2-3d47d195d691	b864c8c4-755b-46f2-b802-7b523ee16e62	CRITICAL_AUXILIARIES
711f8418-4315-486f-8ae2-3d47d195d691	257e388f-d967-4f2f-b2ca-7137d25c6a78	LIGHTING
711f8418-4315-486f-8ae2-3d47d195d691	4049edeb-7bfb-47ee-9f9a-71e5fb163b5e	CRITICAL_POWER_DISTRIBUTION
711f8418-4315-486f-8ae2-3d47d195d691	f91893d7-5bc7-4019-a1e0-75efbc458de6	CRAH
711f8418-4315-486f-8ae2-3d47d195d691	f061528c-cf3d-431d-91cd-0342bfe42438	CRAC
711f8418-4315-486f-8ae2-3d47d195d691	d93be0b5-7f25-4a89-b822-4aeb6aa7b82d	CRAC_WITHOUT_FAN
711f8418-4315-486f-8ae2-3d47d195d691	2748062d-a416-49e7-af48-a3943650324f	CRAC_FAN
711f8418-4315-486f-8ae2-3d47d195d691	81b5b1a1-c788-4eb4-8019-62b3dbe3303c	CHILLER
711f8418-4315-486f-8ae2-3d47d195d691	14ad685c-22ac-4777-a4cf-fa89886fcbdf	AIR_COOLED_CHILLER
711f8418-4315-486f-8ae2-3d47d195d691	2bd03582-567a-415a-920a-018e9f6a9586	COOLING_TOWER
711f8418-4315-486f-8ae2-3d47d195d691	4e990f8f-24e9-4f23-8e72-989c4edf6a15	DRY_COOLER
711f8418-4315-486f-8ae2-3d47d195d691	83d2cee1-c265-4f69-9c1e-0520d2d5141b	REMOTE_CONDENSER
711f8418-4315-486f-8ae2-3d47d195d691	6e26a1cb-07aa-481e-b2b6-f7851fc2212d	CHILLED_WATER_PUMPS
711f8418-4315-486f-8ae2-3d47d195d691	6e3d3dc1-85e9-487f-8cb5-a569416239e6	HEAT_REJECTION_PUMPS
711f8418-4315-486f-8ae2-3d47d195d691	cd771739-f642-4cb3-84c9-4db681e75170	VENTILATION
711f8418-4315-486f-8ae2-3d47d195d691	a54e62d6-f72e-45da-ba93-349873492772	INFILTRATION
711f8418-4315-486f-8ae2-3d47d195d691	b3ed94f3-4b73-4e0b-b99f-b0ec29b28e4b	IT_LOAD
d34da190-e02d-42d6-b18a-1f6f39864158	898e1a84-6b41-4554-860f-6d0416c0ed32	SWITCHGEAR
d34da190-e02d-42d6-b18a-1f6f39864158	2f6f6e21-8fde-491b-9424-feddf3605c5d	GENERATOR
d34da190-e02d-42d6-b18a-1f6f39864158	bf3087c0-c2e0-4e16-badb-c58e177bcd50	PRIMARY_AUXILIARIES
d34da190-e02d-42d6-b18a-1f6f39864158	14d6233e-86a5-40c6-9232-3b415ff8f6f6	UPS
d34da190-e02d-42d6-b18a-1f6f39864158	d3ec8f12-f8d2-4653-ab6a-68ffb5fca872	CRITICAL_AUXILIARIES
d34da190-e02d-42d6-b18a-1f6f39864158	62cbecbe-8679-4263-95ed-318ed12b65d5	LIGHTING
d34da190-e02d-42d6-b18a-1f6f39864158	7548344b-947a-4cc9-bd66-0222886f7ce5	CRITICAL_POWER_DISTRIBUTION
d34da190-e02d-42d6-b18a-1f6f39864158	710b7bba-38cd-4b95-b7b2-cd649f8de57f	CRAH
d34da190-e02d-42d6-b18a-1f6f39864158	a4bb58b3-74e9-47f7-9d05-27c78fb11bc2	CRAC
d34da190-e02d-42d6-b18a-1f6f39864158	f97a353f-3e9b-4954-8264-7c9cb6c461e8	CRAC_WITHOUT_FAN
d34da190-e02d-42d6-b18a-1f6f39864158	e7cc63e6-faa7-4d89-9211-5fb546bc97cc	CRAC_FAN
d34da190-e02d-42d6-b18a-1f6f39864158	d0d3d81d-f7af-475b-87df-d4afb9ac64d5	CHILLER
d34da190-e02d-42d6-b18a-1f6f39864158	621df949-c6cf-4a56-9ae1-c48026568f03	AIR_COOLED_CHILLER
d34da190-e02d-42d6-b18a-1f6f39864158	707cf6cf-cfa9-485b-b010-bbc075367cfb	COOLING_TOWER
d34da190-e02d-42d6-b18a-1f6f39864158	2da0e041-3ecc-4556-ae62-3021e2e7490d	DRY_COOLER
d34da190-e02d-42d6-b18a-1f6f39864158	82f8cfd8-95b2-4f03-a1ef-8d030154cf8e	REMOTE_CONDENSER
d34da190-e02d-42d6-b18a-1f6f39864158	e6b9709a-9065-4627-8d1e-c532adeb97a4	CHILLED_WATER_PUMPS
d34da190-e02d-42d6-b18a-1f6f39864158	b8012858-c422-4a13-829f-4fc11a6e7986	HEAT_REJECTION_PUMPS
d34da190-e02d-42d6-b18a-1f6f39864158	ad70a184-3427-4785-8ab0-01a17b237880	VENTILATION
d34da190-e02d-42d6-b18a-1f6f39864158	76ca3419-2e2a-4e6c-bc57-1bcdd1b3a990	INFILTRATION
d34da190-e02d-42d6-b18a-1f6f39864158	0c1ba353-e536-4826-bb98-a2908834cedd	IT_LOAD
cfeb3959-1626-4321-b454-2d0718d15ded	63c8ae44-0995-43f4-ae42-9a4b75a76274	SWITCHGEAR
cfeb3959-1626-4321-b454-2d0718d15ded	e8309018-61c2-46af-b5c5-466e73a3a8f5	GENERATOR
cfeb3959-1626-4321-b454-2d0718d15ded	f35203eb-8d6c-4243-9b41-44f336d14ab4	PRIMARY_AUXILIARIES
cfeb3959-1626-4321-b454-2d0718d15ded	5f764a4a-4d62-47f0-b9e9-920893876c43	UPS
cfeb3959-1626-4321-b454-2d0718d15ded	7547435d-d8df-4c69-a00a-ef6a50bd4b7b	CRITICAL_AUXILIARIES
cfeb3959-1626-4321-b454-2d0718d15ded	2d15a49c-d482-4a27-b691-68589114de4b	LIGHTING
cfeb3959-1626-4321-b454-2d0718d15ded	0e21c2d7-96b9-4bb6-8388-95a22f58bd9b	CRITICAL_POWER_DISTRIBUTION
cfeb3959-1626-4321-b454-2d0718d15ded	a7129005-d0fc-41dd-b25f-8316ce96d8c5	CRAH
cfeb3959-1626-4321-b454-2d0718d15ded	c63fc21d-bc7c-4f94-aca9-fa9f91d92003	CRAC
cfeb3959-1626-4321-b454-2d0718d15ded	e07a199b-5f1b-412b-81d3-98124df906c6	CRAC_WITHOUT_FAN
cfeb3959-1626-4321-b454-2d0718d15ded	4a02928d-c799-45cb-acbd-eb0a9390e484	CRAC_FAN
cfeb3959-1626-4321-b454-2d0718d15ded	3a9faf03-4f5d-4447-89af-fe35c6570d96	CHILLER
cfeb3959-1626-4321-b454-2d0718d15ded	51d3f35a-64c0-42cd-94e3-4bcbe8a0ea90	AIR_COOLED_CHILLER
cfeb3959-1626-4321-b454-2d0718d15ded	bf010c26-3478-4cb2-ae00-845a1bb2a3c3	COOLING_TOWER
cfeb3959-1626-4321-b454-2d0718d15ded	f74930c2-37c6-4bd9-b571-75d388ca5d47	DRY_COOLER
cfeb3959-1626-4321-b454-2d0718d15ded	ca67568a-063e-4063-82dd-9afc88703cda	REMOTE_CONDENSER
cfeb3959-1626-4321-b454-2d0718d15ded	5ddef4f8-9b1b-440c-afc6-1c1675e1b03b	CHILLED_WATER_PUMPS
cfeb3959-1626-4321-b454-2d0718d15ded	c743ef55-78a3-4718-8111-ab26da44e6b4	HEAT_REJECTION_PUMPS
cfeb3959-1626-4321-b454-2d0718d15ded	0c14a23f-5bcf-4c9b-89c4-c5c4af92fb8c	VENTILATION
cfeb3959-1626-4321-b454-2d0718d15ded	e23cea2d-562b-48d3-85ae-e837977240db	INFILTRATION
cfeb3959-1626-4321-b454-2d0718d15ded	cd70a02e-c400-414c-8d78-6fa9fefc21fb	IT_LOAD
087a56a4-5b40-45ba-b1a3-818a9a983310	6d6d07b8-4a8e-4f01-b4d7-294d3b4d303a	SWITCHGEAR
087a56a4-5b40-45ba-b1a3-818a9a983310	8d9f2eb1-e64d-4b23-916f-e01e19330349	GENERATOR
087a56a4-5b40-45ba-b1a3-818a9a983310	2f1b9f25-390e-45fa-9da6-276547d17d55	PRIMARY_AUXILIARIES
087a56a4-5b40-45ba-b1a3-818a9a983310	63345da7-1e78-4531-87a5-73a5bcae1650	UPS
087a56a4-5b40-45ba-b1a3-818a9a983310	e1a52aec-e892-4e20-a5c3-0db41782601b	CRITICAL_AUXILIARIES
087a56a4-5b40-45ba-b1a3-818a9a983310	df408cb5-ca0a-4306-88a2-f3affcb4e824	LIGHTING
087a56a4-5b40-45ba-b1a3-818a9a983310	3d39c9d6-e929-45f7-b1ab-d2108fdf783a	CRITICAL_POWER_DISTRIBUTION
087a56a4-5b40-45ba-b1a3-818a9a983310	f999487f-89d3-4291-b2a9-3ae877eb1542	CRAH
087a56a4-5b40-45ba-b1a3-818a9a983310	6591d55b-b7ea-4009-af1a-768e06051e79	CRAC
087a56a4-5b40-45ba-b1a3-818a9a983310	65a002c0-b9c7-465c-96db-d595caf1499e	CRAC_WITHOUT_FAN
087a56a4-5b40-45ba-b1a3-818a9a983310	50b0cc58-e5c4-41e4-8fc0-8f5b6e35f3f0	CRAC_FAN
087a56a4-5b40-45ba-b1a3-818a9a983310	3fc53acb-8e40-40c4-9187-6d1521845729	CHILLER
087a56a4-5b40-45ba-b1a3-818a9a983310	83cdbffe-0f2b-424c-805a-22ea7e608325	AIR_COOLED_CHILLER
087a56a4-5b40-45ba-b1a3-818a9a983310	78be46aa-5176-4629-9f30-aced161fb61b	COOLING_TOWER
087a56a4-5b40-45ba-b1a3-818a9a983310	a58cc1e0-0ebe-470c-8735-55be0ce3a6f8	DRY_COOLER
087a56a4-5b40-45ba-b1a3-818a9a983310	f644581c-4a5e-4821-ac9c-47c3755f404e	REMOTE_CONDENSER
087a56a4-5b40-45ba-b1a3-818a9a983310	418cc83f-692d-4ba8-b814-2a77fd88372d	CHILLED_WATER_PUMPS
087a56a4-5b40-45ba-b1a3-818a9a983310	5c845c36-8d46-4579-8ee3-465a3763c234	HEAT_REJECTION_PUMPS
087a56a4-5b40-45ba-b1a3-818a9a983310	5324d49b-cb2a-46e1-8e9d-cd079c788309	VENTILATION
087a56a4-5b40-45ba-b1a3-818a9a983310	9551dc95-b62d-4c65-9b5b-aacc23784dae	INFILTRATION
087a56a4-5b40-45ba-b1a3-818a9a983310	eca936a4-b583-40c4-a08c-8f7c83e7ee7d	IT_LOAD
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	d313f743-f808-4814-928d-880f0d84a265	SWITCHGEAR
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	a392365f-e763-4753-bb91-c71fdccbbb8e	GENERATOR
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	2660d863-2eb9-4f33-9f71-893dab69bbff	PRIMARY_AUXILIARIES
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	a838e011-3682-4f1c-ae31-0375612def17	UPS
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	2d058cd5-ed82-460d-83d3-0fdcb0060eb9	CRITICAL_AUXILIARIES
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	0f376333-3e09-4ac6-bb90-88767c199da8	LIGHTING
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	7c814f2a-93f1-4678-b7a2-9e547e028d99	CRITICAL_POWER_DISTRIBUTION
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	4c49a17a-54c9-42f5-9c89-fd2ead7f88a1	CRAH
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	e6afc993-b7a5-4119-89a0-e08b4dc4ecc3	CRAC
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	11618faf-1c08-4d8a-9917-b6e06a147384	CRAC_WITHOUT_FAN
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	e9995fe9-b267-4df2-b058-1c049e7adc6a	CRAC_FAN
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	5d47fb1f-21b9-49ca-87aa-2d78c5ed058c	CHILLER
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	de16cfe8-1e36-4b89-9e5e-a18ab4e00d36	AIR_COOLED_CHILLER
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	00412ab7-32fc-4a17-af37-c80440de7524	COOLING_TOWER
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	c07fedc4-29fe-483a-a364-80790909bccc	DRY_COOLER
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	ed5602a0-640e-4ae1-aa20-27b7d236707b	REMOTE_CONDENSER
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	7a115173-50b3-485b-aee4-4bfa515d853e	CHILLED_WATER_PUMPS
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	fd7a32b8-05f1-482d-9c9f-79afb3ccaf2b	HEAT_REJECTION_PUMPS
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	20b4786d-83ca-4df1-81b4-97d0f3ade0da	VENTILATION
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	3df72c9a-fa78-4018-b508-716bfc58ff9b	INFILTRATION
d03aeaf9-ac3c-4ed2-bce3-d7edaaef0525	e9a83e4e-97d5-437b-801e-1e2374fc49e0	IT_LOAD
f569ccf7-fa79-48aa-9222-08eef5ceba72	6d3df694-e3ce-48c6-b9f7-856dbf2672b4	SWITCHGEAR
f569ccf7-fa79-48aa-9222-08eef5ceba72	d7f116e9-628d-4e2d-9dec-cbfa61994919	GENERATOR
f569ccf7-fa79-48aa-9222-08eef5ceba72	eb931783-3263-4e0c-b480-36a9575514f6	PRIMARY_AUXILIARIES
f569ccf7-fa79-48aa-9222-08eef5ceba72	5ac9b119-da35-4e6e-8602-37d00fc1ea80	UPS
f569ccf7-fa79-48aa-9222-08eef5ceba72	bb2a9f5e-7682-4017-8cbe-8e8ae0aa723a	CRITICAL_AUXILIARIES
f569ccf7-fa79-48aa-9222-08eef5ceba72	532642ff-d06d-4480-a8e9-2c7881ee613a	LIGHTING
f569ccf7-fa79-48aa-9222-08eef5ceba72	bc5a5c77-6b5b-4396-bab8-e93fb2464ff1	CRITICAL_POWER_DISTRIBUTION
f569ccf7-fa79-48aa-9222-08eef5ceba72	fe439fa7-2d53-4b71-89ff-9367e9cad9bb	CRAH
f569ccf7-fa79-48aa-9222-08eef5ceba72	de834acd-c19e-4033-805a-9c8e9b68049e	CRAC
f569ccf7-fa79-48aa-9222-08eef5ceba72	b9eb5c83-a141-4312-a3fe-51c9a869b6c1	CRAC_WITHOUT_FAN
f569ccf7-fa79-48aa-9222-08eef5ceba72	4cc18ae2-4019-43d3-a4f8-cc79a1882b76	CRAC_FAN
f569ccf7-fa79-48aa-9222-08eef5ceba72	cba13190-0596-4c7d-9a9f-c889a81a2396	CHILLER
f569ccf7-fa79-48aa-9222-08eef5ceba72	1fc02ff1-0080-4da0-af44-cc2823a8611a	AIR_COOLED_CHILLER
f569ccf7-fa79-48aa-9222-08eef5ceba72	954e4f10-9229-4256-a80e-df9a410825a3	COOLING_TOWER
f569ccf7-fa79-48aa-9222-08eef5ceba72	66e2974c-85a1-4c72-bff5-1370de6aa1c7	DRY_COOLER
f569ccf7-fa79-48aa-9222-08eef5ceba72	19e89a94-11a6-49bb-80ea-de39aca546af	REMOTE_CONDENSER
f569ccf7-fa79-48aa-9222-08eef5ceba72	32d26771-ced9-4ab5-b15c-bbec242ef510	CHILLED_WATER_PUMPS
f569ccf7-fa79-48aa-9222-08eef5ceba72	a5d9c39a-a490-4352-bab7-bf7857176c69	HEAT_REJECTION_PUMPS
f569ccf7-fa79-48aa-9222-08eef5ceba72	947d99b9-8996-4049-85f9-93c6964e4ecc	VENTILATION
f569ccf7-fa79-48aa-9222-08eef5ceba72	054e473e-b2de-4c75-8bba-c99406670d47	INFILTRATION
f569ccf7-fa79-48aa-9222-08eef5ceba72	52d2c327-5309-4497-b810-c80dbdad6344	IT_LOAD
437a9b2f-1630-41d7-b1d0-e1195e105f2d	9c2b2eb2-c30f-4bfd-a4a6-c14e93cad448	SWITCHGEAR
437a9b2f-1630-41d7-b1d0-e1195e105f2d	5a116eb9-7fb8-4922-a709-2c006d647767	GENERATOR
437a9b2f-1630-41d7-b1d0-e1195e105f2d	ec8104a3-59a0-411b-b227-4bd2575d674d	PRIMARY_AUXILIARIES
437a9b2f-1630-41d7-b1d0-e1195e105f2d	f8c6c48f-133b-451e-83dd-0cf77eba676b	UPS
437a9b2f-1630-41d7-b1d0-e1195e105f2d	a8ec19a0-3dc5-45ed-936f-7ae645ca844e	CRITICAL_AUXILIARIES
437a9b2f-1630-41d7-b1d0-e1195e105f2d	d0595652-7535-4f3d-8c26-2b492ea81909	LIGHTING
437a9b2f-1630-41d7-b1d0-e1195e105f2d	d6f93585-9c6c-4ce7-9ed1-42f4ac75de70	CRITICAL_POWER_DISTRIBUTION
437a9b2f-1630-41d7-b1d0-e1195e105f2d	99d45de8-3be0-4ece-a9cf-e997d7ec5181	CRAH
437a9b2f-1630-41d7-b1d0-e1195e105f2d	803e39f3-d268-4c8d-8d11-98a3c42ed93a	CRAC
437a9b2f-1630-41d7-b1d0-e1195e105f2d	db24d6f9-8d51-4766-a2c9-386a0a7f4729	CRAC_WITHOUT_FAN
437a9b2f-1630-41d7-b1d0-e1195e105f2d	c1ffd21e-4200-43d4-b934-98af04449f18	CRAC_FAN
437a9b2f-1630-41d7-b1d0-e1195e105f2d	6d85685a-ea95-4c46-aa31-45327670aeca	CHILLER
437a9b2f-1630-41d7-b1d0-e1195e105f2d	ae2fe1a6-ed83-4c10-94d7-246200156fbe	AIR_COOLED_CHILLER
437a9b2f-1630-41d7-b1d0-e1195e105f2d	3af7ac53-0334-4add-becb-1a8202e7fd53	COOLING_TOWER
437a9b2f-1630-41d7-b1d0-e1195e105f2d	e492b969-480b-4b08-bd56-f3729b356ec9	DRY_COOLER
437a9b2f-1630-41d7-b1d0-e1195e105f2d	9e7936f6-e424-40e2-b2ca-4b07577ba165	REMOTE_CONDENSER
437a9b2f-1630-41d7-b1d0-e1195e105f2d	c6913db9-09c5-442a-b8ae-a58361bab37d	CHILLED_WATER_PUMPS
437a9b2f-1630-41d7-b1d0-e1195e105f2d	1b414104-f8c9-4113-b3c2-ce13e30a36b9	HEAT_REJECTION_PUMPS
437a9b2f-1630-41d7-b1d0-e1195e105f2d	f358fa6c-99c4-430b-b438-11741440c80f	VENTILATION
437a9b2f-1630-41d7-b1d0-e1195e105f2d	67714820-33ac-4e1d-b3c4-553fc8b749dc	INFILTRATION
437a9b2f-1630-41d7-b1d0-e1195e105f2d	eb3afe4f-6cd4-40b1-951d-5a06e3089b19	IT_LOAD
1140c6eb-76ab-4555-9e31-c2d9c95451cf	d0b6f4da-89f1-4b0f-87ca-c8968e08e6d4	SWITCHGEAR
1140c6eb-76ab-4555-9e31-c2d9c95451cf	cc26abd7-e1ab-4920-8785-f3b83a78979f	GENERATOR
1140c6eb-76ab-4555-9e31-c2d9c95451cf	8b8e4b2e-e0d8-4576-a4f2-e9e7605bad11	PRIMARY_AUXILIARIES
1140c6eb-76ab-4555-9e31-c2d9c95451cf	443587a2-9ce1-4ace-ab4c-e430780e1b03	UPS
1140c6eb-76ab-4555-9e31-c2d9c95451cf	9d1dbe24-552e-4f2e-9675-5204a4904d98	CRITICAL_AUXILIARIES
1140c6eb-76ab-4555-9e31-c2d9c95451cf	50672b0f-17fc-4e85-a093-7aec327e5b26	LIGHTING
1140c6eb-76ab-4555-9e31-c2d9c95451cf	82b7fed6-5622-4286-88db-b1452b1998f8	CRITICAL_POWER_DISTRIBUTION
1140c6eb-76ab-4555-9e31-c2d9c95451cf	35a38cfa-ae5a-40bb-a3e5-39bd7d569c46	CRAH
1140c6eb-76ab-4555-9e31-c2d9c95451cf	cafff8bc-17b7-44f9-b8e3-813956bc65df	CRAC
1140c6eb-76ab-4555-9e31-c2d9c95451cf	3bff42a1-f8a1-4cf8-ac62-9845c770a488	CRAC_WITHOUT_FAN
1140c6eb-76ab-4555-9e31-c2d9c95451cf	3cdeb228-4863-45c2-b93e-e6195dc77049	CRAC_FAN
1140c6eb-76ab-4555-9e31-c2d9c95451cf	74d56247-5e03-4038-89ed-3960ac6757c5	CHILLER
1140c6eb-76ab-4555-9e31-c2d9c95451cf	b74984cc-a931-4327-8275-c12ca63c1362	AIR_COOLED_CHILLER
1140c6eb-76ab-4555-9e31-c2d9c95451cf	ecf9a986-be60-4177-af62-826b84088cb1	COOLING_TOWER
1140c6eb-76ab-4555-9e31-c2d9c95451cf	fb53c147-167f-494b-bad6-f9170132f330	DRY_COOLER
1140c6eb-76ab-4555-9e31-c2d9c95451cf	9a8212fe-c2eb-40b3-a67b-972bbd8df4ce	REMOTE_CONDENSER
1140c6eb-76ab-4555-9e31-c2d9c95451cf	f100c335-7528-4986-bbdb-cdc8fc60a04e	CHILLED_WATER_PUMPS
1140c6eb-76ab-4555-9e31-c2d9c95451cf	965390e7-3f04-46d6-99ad-5da044d9d6b7	HEAT_REJECTION_PUMPS
1140c6eb-76ab-4555-9e31-c2d9c95451cf	3a9834d4-5577-4240-b852-ba2f8e732eae	VENTILATION
1140c6eb-76ab-4555-9e31-c2d9c95451cf	3ac43145-c94e-4fc3-a0ce-47eb3d4c61f4	INFILTRATION
1140c6eb-76ab-4555-9e31-c2d9c95451cf	97666f61-5491-4fc0-b272-135df41a8ceb	IT_LOAD
a8c6f94f-3730-461a-a229-108c8c2492df	42094b53-31b8-4300-a41b-ed71a029b843	SWITCHGEAR
a8c6f94f-3730-461a-a229-108c8c2492df	21c8c3dd-39fb-4733-b122-b053adc557c9	GENERATOR
a8c6f94f-3730-461a-a229-108c8c2492df	87146d0c-12d4-4079-8945-43151c5dcb39	PRIMARY_AUXILIARIES
a8c6f94f-3730-461a-a229-108c8c2492df	4cd91454-f28d-4ffa-90dd-4874d3379220	UPS
a8c6f94f-3730-461a-a229-108c8c2492df	30202669-87a2-462f-b6aa-20d02fcf53f9	CRITICAL_AUXILIARIES
a8c6f94f-3730-461a-a229-108c8c2492df	79a8c00e-b617-4f05-8843-08935f77a7d3	LIGHTING
a8c6f94f-3730-461a-a229-108c8c2492df	0f8f823e-8689-4b5b-9b59-9b121547705c	CRITICAL_POWER_DISTRIBUTION
a8c6f94f-3730-461a-a229-108c8c2492df	0efd1629-e30f-4f86-a597-af6591a7339a	CRAH
a8c6f94f-3730-461a-a229-108c8c2492df	e59888db-bc72-4614-847b-4cc2cb0ee857	CRAC
a8c6f94f-3730-461a-a229-108c8c2492df	20c48ade-e765-4f57-b78d-a08dc0f4e4df	CRAC_WITHOUT_FAN
a8c6f94f-3730-461a-a229-108c8c2492df	7ba337bd-7db8-4824-8823-2dc4f1f0fcf3	CRAC_FAN
a8c6f94f-3730-461a-a229-108c8c2492df	b9394bac-24b2-4653-a000-766be5ddd26f	CHILLER
a8c6f94f-3730-461a-a229-108c8c2492df	6ac62ef3-d73e-4554-ba4d-59c91111112d	AIR_COOLED_CHILLER
a8c6f94f-3730-461a-a229-108c8c2492df	a74a7bb2-ccdf-4375-a1de-45ade852c2c2	COOLING_TOWER
a8c6f94f-3730-461a-a229-108c8c2492df	a708dfd3-f570-4b66-a86d-99cecfc08d33	DRY_COOLER
a8c6f94f-3730-461a-a229-108c8c2492df	81db7c1c-9ad2-43a9-8db0-35b05cd07234	REMOTE_CONDENSER
a8c6f94f-3730-461a-a229-108c8c2492df	6722e557-5786-4852-a903-c9f4af5e4591	CHILLED_WATER_PUMPS
a8c6f94f-3730-461a-a229-108c8c2492df	27bbb845-3ffb-4ca8-b4b6-435a0f151dec	HEAT_REJECTION_PUMPS
a8c6f94f-3730-461a-a229-108c8c2492df	203b1cdc-4537-4bb6-bf19-e03687fe3cde	VENTILATION
a8c6f94f-3730-461a-a229-108c8c2492df	92f311fc-3b31-421e-8d3c-db10a04706c4	INFILTRATION
a8c6f94f-3730-461a-a229-108c8c2492df	f3491404-c1d7-4b01-97d3-70bec52f5d16	IT_LOAD
c7437404-b310-442a-8cb6-058c543be640	3cf27a72-5501-402c-9ed2-7e587d8367a9	SWITCHGEAR
c7437404-b310-442a-8cb6-058c543be640	c8f28128-943b-42b1-b48d-fabbb7a8a88c	GENERATOR
c7437404-b310-442a-8cb6-058c543be640	3a93e4d7-df76-4782-83ad-d5448cbe5006	PRIMARY_AUXILIARIES
c7437404-b310-442a-8cb6-058c543be640	6763b4b0-55fc-4d64-95ad-a71f16431d79	UPS
c7437404-b310-442a-8cb6-058c543be640	f472190b-c842-47ac-ac33-741cc438299a	CRITICAL_AUXILIARIES
c7437404-b310-442a-8cb6-058c543be640	de795852-e7e0-4d92-a861-02bea3049e21	LIGHTING
c7437404-b310-442a-8cb6-058c543be640	570da997-af83-4030-8e5b-c8832307853d	CRITICAL_POWER_DISTRIBUTION
c7437404-b310-442a-8cb6-058c543be640	085bb914-51d4-4251-afb3-9de6e8c7d420	CRAH
c7437404-b310-442a-8cb6-058c543be640	0a2b41ee-f5e8-492e-9fb4-7b412b80ecfa	CRAC
c7437404-b310-442a-8cb6-058c543be640	11f5e750-15f3-485c-92e8-517790502665	CRAC_WITHOUT_FAN
c7437404-b310-442a-8cb6-058c543be640	0fb2e199-d731-4a8c-8ac4-09e9ace1fedf	CRAC_FAN
c7437404-b310-442a-8cb6-058c543be640	bff50f57-1b12-448f-98c0-7b9e157f48f7	CHILLER
c7437404-b310-442a-8cb6-058c543be640	712d6c9d-9ced-4ead-a423-788b03f92d43	AIR_COOLED_CHILLER
c7437404-b310-442a-8cb6-058c543be640	20d8c9cc-bacc-4057-956e-1e8a6a7585cd	COOLING_TOWER
c7437404-b310-442a-8cb6-058c543be640	9bcb3dd7-9e2d-41ff-b7fe-1c7c7223e4c5	DRY_COOLER
c7437404-b310-442a-8cb6-058c543be640	cfb47d5a-ed0a-4820-a551-5af1810bc818	REMOTE_CONDENSER
c7437404-b310-442a-8cb6-058c543be640	77a54dcb-9cd2-47ca-9369-30f86c531edb	CHILLED_WATER_PUMPS
c7437404-b310-442a-8cb6-058c543be640	2fa7b40f-cee8-4277-b366-b376effca805	HEAT_REJECTION_PUMPS
c7437404-b310-442a-8cb6-058c543be640	34dec377-6c3e-41fb-8502-f2bfdf62099f	VENTILATION
c7437404-b310-442a-8cb6-058c543be640	5cc7c0b4-2ef8-40a9-8709-4a6507320fe9	INFILTRATION
c7437404-b310-442a-8cb6-058c543be640	2793dbf6-5eb0-4e4a-a821-a394614b3fb1	IT_LOAD
9a4f1916-e03a-4846-aba2-1598d4c67ddb	ea0bdfce-43d9-40cd-8878-3082f3f1fbd3	SWITCHGEAR
9a4f1916-e03a-4846-aba2-1598d4c67ddb	877de2ad-6c5b-4f76-b260-c2095e6efbea	GENERATOR
9a4f1916-e03a-4846-aba2-1598d4c67ddb	30045b94-269b-4664-9921-6b2487f94071	PRIMARY_AUXILIARIES
9a4f1916-e03a-4846-aba2-1598d4c67ddb	6cad8ddc-8e97-4643-97c9-c4d8c24e3486	UPS
9a4f1916-e03a-4846-aba2-1598d4c67ddb	df463752-bc09-4f03-b456-22a0c6dbb7fa	CRITICAL_AUXILIARIES
9a4f1916-e03a-4846-aba2-1598d4c67ddb	fece1a89-2b6b-4ba5-ab43-bc01acc44027	LIGHTING
9a4f1916-e03a-4846-aba2-1598d4c67ddb	acf76c28-e052-41d6-91a4-ed13324e1d05	CRITICAL_POWER_DISTRIBUTION
9a4f1916-e03a-4846-aba2-1598d4c67ddb	f486d9f5-317a-4b80-b7d8-4939e6812028	CRAH
9a4f1916-e03a-4846-aba2-1598d4c67ddb	d1af0ea1-1344-44f4-b33b-b56963627080	CRAC
9a4f1916-e03a-4846-aba2-1598d4c67ddb	b53f9f1c-b79d-48c2-986d-c3fa3afcc4e2	CRAC_WITHOUT_FAN
9a4f1916-e03a-4846-aba2-1598d4c67ddb	31265a76-d35f-443a-9fd3-b47ad94dcace	CRAC_FAN
9a4f1916-e03a-4846-aba2-1598d4c67ddb	94791f86-e031-4ad6-84cf-eeefa0b62068	CHILLER
9a4f1916-e03a-4846-aba2-1598d4c67ddb	a2cfe3a7-c068-4817-8e71-0ff51b2e5453	AIR_COOLED_CHILLER
9a4f1916-e03a-4846-aba2-1598d4c67ddb	b95f5639-5f5c-43fe-b58c-33ec74c9004a	COOLING_TOWER
9a4f1916-e03a-4846-aba2-1598d4c67ddb	fb05ed65-303b-4316-8c4b-f03dd9a61120	DRY_COOLER
9a4f1916-e03a-4846-aba2-1598d4c67ddb	e37edd35-4d4f-41ee-b39c-a34abfd066aa	REMOTE_CONDENSER
9a4f1916-e03a-4846-aba2-1598d4c67ddb	c0788e01-f856-4812-8ff9-82304e6856f6	CHILLED_WATER_PUMPS
9a4f1916-e03a-4846-aba2-1598d4c67ddb	639a618d-65df-40fe-949b-45bade341b63	HEAT_REJECTION_PUMPS
9a4f1916-e03a-4846-aba2-1598d4c67ddb	35cade84-f7c3-445a-8615-fc9b26493dd5	VENTILATION
9a4f1916-e03a-4846-aba2-1598d4c67ddb	ae34976c-a16c-4888-835a-d70fd5ec61f7	INFILTRATION
9a4f1916-e03a-4846-aba2-1598d4c67ddb	efb6fc7c-0966-4581-bd75-cfd4ef4cdd37	IT_LOAD
a51eeb5b-4982-427f-876b-b933b1238d39	480db73f-920a-4e41-b9ac-76fcf5dad014	SWITCHGEAR
a51eeb5b-4982-427f-876b-b933b1238d39	535cbf82-244a-4729-ad7e-27da03103318	GENERATOR
a51eeb5b-4982-427f-876b-b933b1238d39	de99c6cf-e08b-4132-ac61-77e00e414ec2	PRIMARY_AUXILIARIES
a51eeb5b-4982-427f-876b-b933b1238d39	10f02025-30d5-4ae7-a899-17de8abfd653	UPS
a51eeb5b-4982-427f-876b-b933b1238d39	78f2dc27-21e8-4158-aea4-c71be52d7de7	CRITICAL_AUXILIARIES
a51eeb5b-4982-427f-876b-b933b1238d39	76d5d1b5-732d-4740-a4bb-e50bac637aad	LIGHTING
a51eeb5b-4982-427f-876b-b933b1238d39	8b50c62a-3ef4-44fc-93c6-4c609008d353	CRITICAL_POWER_DISTRIBUTION
a51eeb5b-4982-427f-876b-b933b1238d39	4484c6b2-3fec-4735-88ad-161bf9486247	CRAH
a51eeb5b-4982-427f-876b-b933b1238d39	5ce6803a-6b43-4cdf-97f5-a7d832f31b41	CRAC
a51eeb5b-4982-427f-876b-b933b1238d39	1995ae83-ae64-475a-b10d-6e1cbc7d8ce7	CRAC_WITHOUT_FAN
a51eeb5b-4982-427f-876b-b933b1238d39	6e576cb7-a744-457f-9696-637c6d439d11	CRAC_FAN
a51eeb5b-4982-427f-876b-b933b1238d39	1aa1464a-4f13-4437-8cc2-b7019ee2fecb	CHILLER
a51eeb5b-4982-427f-876b-b933b1238d39	994e91bc-37f4-4bcc-a456-4232be7252bd	AIR_COOLED_CHILLER
a51eeb5b-4982-427f-876b-b933b1238d39	0e99d243-8d2e-4cc3-a68f-7abe40812bf9	COOLING_TOWER
a51eeb5b-4982-427f-876b-b933b1238d39	8affd22e-bc51-48cc-b854-56b5d8db334a	DRY_COOLER
a51eeb5b-4982-427f-876b-b933b1238d39	edaf0594-5f97-4930-87ca-1a2244642046	REMOTE_CONDENSER
a51eeb5b-4982-427f-876b-b933b1238d39	2bda378a-a240-429b-ab2a-3cd19f097648	CHILLED_WATER_PUMPS
a51eeb5b-4982-427f-876b-b933b1238d39	f8405e77-35d6-4907-87d9-0bbe4af1a81b	HEAT_REJECTION_PUMPS
a51eeb5b-4982-427f-876b-b933b1238d39	55fc1aa5-b88b-4593-a2f1-414e908846da	VENTILATION
a51eeb5b-4982-427f-876b-b933b1238d39	cd699e16-0b89-4719-9b59-9ac95eb52d62	INFILTRATION
a51eeb5b-4982-427f-876b-b933b1238d39	4a11633f-9fa1-4e83-aa0c-b3c6367e4b0f	IT_LOAD
379769a7-269a-48b8-a2a6-407e1d8c027f	80424cde-0322-43eb-989d-90e9cd1fb5b8	SWITCHGEAR
379769a7-269a-48b8-a2a6-407e1d8c027f	fe5441ac-6cd5-4b65-aa21-ccff3c54aa96	GENERATOR
379769a7-269a-48b8-a2a6-407e1d8c027f	2d83307b-7744-48df-9c0e-9f209aa33480	PRIMARY_AUXILIARIES
379769a7-269a-48b8-a2a6-407e1d8c027f	f4d9b817-3138-485b-a95c-ff8308409ae7	UPS
379769a7-269a-48b8-a2a6-407e1d8c027f	27f13af5-0d2b-41ff-9082-a794da86d74e	CRITICAL_AUXILIARIES
379769a7-269a-48b8-a2a6-407e1d8c027f	435f5e95-124c-4984-97b7-85ddcb48f544	LIGHTING
379769a7-269a-48b8-a2a6-407e1d8c027f	70cdcffb-baf9-4c01-842f-40ea28044482	CRITICAL_POWER_DISTRIBUTION
379769a7-269a-48b8-a2a6-407e1d8c027f	64f5ecfe-b3d2-44fd-93a1-91a4884a0bcd	CRAH
379769a7-269a-48b8-a2a6-407e1d8c027f	e12f314e-a2b9-4e61-81ce-0a4e94aa5c7d	CRAC
379769a7-269a-48b8-a2a6-407e1d8c027f	adf227dd-5d8d-4c64-8af0-afb194e59991	CRAC_WITHOUT_FAN
379769a7-269a-48b8-a2a6-407e1d8c027f	c744d4bc-26b6-4949-84a0-b8f5b5ec5a4a	CRAC_FAN
379769a7-269a-48b8-a2a6-407e1d8c027f	c8802a6d-cda9-4d3b-a7a9-c372ba1c8a61	CHILLER
379769a7-269a-48b8-a2a6-407e1d8c027f	abb656ce-f0e8-4388-b955-3e2937083232	AIR_COOLED_CHILLER
379769a7-269a-48b8-a2a6-407e1d8c027f	b252aa7a-3970-489d-b388-b40c382fd662	COOLING_TOWER
379769a7-269a-48b8-a2a6-407e1d8c027f	88d87a96-d9ba-4418-a7ef-a4d12f0e98df	DRY_COOLER
379769a7-269a-48b8-a2a6-407e1d8c027f	7f8118c6-0587-48b7-be0e-0bdc00061c34	REMOTE_CONDENSER
379769a7-269a-48b8-a2a6-407e1d8c027f	769e20e0-d1fb-4209-bd72-074f95ac35a7	CHILLED_WATER_PUMPS
379769a7-269a-48b8-a2a6-407e1d8c027f	6571c1df-01e0-45e4-8fe2-9e78bd7f032b	HEAT_REJECTION_PUMPS
379769a7-269a-48b8-a2a6-407e1d8c027f	425c5a5a-8e62-4dcd-8abe-1a4d1cfe18c9	VENTILATION
379769a7-269a-48b8-a2a6-407e1d8c027f	b0d7f99b-7741-40e1-8d5c-0c97dcc7ec33	INFILTRATION
379769a7-269a-48b8-a2a6-407e1d8c027f	cf7fa42a-7eee-407a-a51c-76bec35022ef	IT_LOAD
8e5b0109-de65-46fa-956e-cfd7d27a78c7	416e174a-9ccf-4845-9b49-403526221fa6	SWITCHGEAR
8e5b0109-de65-46fa-956e-cfd7d27a78c7	e0f0ed9c-48e5-4bf2-9691-5b89bee34ace	GENERATOR
8e5b0109-de65-46fa-956e-cfd7d27a78c7	f2ea5646-0533-4f51-8fb9-aada1e806265	PRIMARY_AUXILIARIES
8e5b0109-de65-46fa-956e-cfd7d27a78c7	3f53d1d0-4412-428d-88ed-e02202fdba01	UPS
8e5b0109-de65-46fa-956e-cfd7d27a78c7	1ffef6ef-a87f-421c-8843-0be5834787ef	CRITICAL_AUXILIARIES
8e5b0109-de65-46fa-956e-cfd7d27a78c7	877d0a3a-7808-47c1-9aed-7e4d67bb80ff	LIGHTING
8e5b0109-de65-46fa-956e-cfd7d27a78c7	b375b6c2-a209-4664-ae17-04a74c8fb21f	CRITICAL_POWER_DISTRIBUTION
8e5b0109-de65-46fa-956e-cfd7d27a78c7	a40962ef-436b-46e8-ad14-19eabb46f021	CRAH
8e5b0109-de65-46fa-956e-cfd7d27a78c7	65689383-7d3d-4448-a643-b239fe2fb075	CRAC
8e5b0109-de65-46fa-956e-cfd7d27a78c7	c57a60fd-250a-4db7-aa7d-b732dbabd333	CRAC_WITHOUT_FAN
8e5b0109-de65-46fa-956e-cfd7d27a78c7	7c3289f6-fa81-43ac-8fe0-03207e0b7bc9	CRAC_FAN
8e5b0109-de65-46fa-956e-cfd7d27a78c7	8d0120e8-815e-4186-b777-389effe7c034	CHILLER
8e5b0109-de65-46fa-956e-cfd7d27a78c7	8fb5fe97-4475-4c86-b21d-8b13fe544f10	AIR_COOLED_CHILLER
8e5b0109-de65-46fa-956e-cfd7d27a78c7	de2d47c2-fb1d-4c0c-8bd7-3bd105535b00	COOLING_TOWER
8e5b0109-de65-46fa-956e-cfd7d27a78c7	f358890a-f598-4320-a5ae-931342192494	DRY_COOLER
8e5b0109-de65-46fa-956e-cfd7d27a78c7	7278ae9e-9ed4-40eb-bd44-f5cc4f1e0db1	REMOTE_CONDENSER
8e5b0109-de65-46fa-956e-cfd7d27a78c7	0de2d559-054e-47c4-85ac-9a1eac26589c	CHILLED_WATER_PUMPS
8e5b0109-de65-46fa-956e-cfd7d27a78c7	75ae1979-cee3-4deb-9efb-c54db8e62618	HEAT_REJECTION_PUMPS
8e5b0109-de65-46fa-956e-cfd7d27a78c7	24377724-88ab-4782-8467-0f0fb87e24bb	VENTILATION
8e5b0109-de65-46fa-956e-cfd7d27a78c7	8b9baca8-6711-4e1b-8a53-94f7cd0bb7b1	INFILTRATION
8e5b0109-de65-46fa-956e-cfd7d27a78c7	064a8887-928f-47bb-be0a-25aa261862fe	IT_LOAD
1c44f6df-9df7-4286-9d12-91a1272878f0	458ff769-e05d-4cd3-af70-4305a14596a0	SWITCHGEAR
1c44f6df-9df7-4286-9d12-91a1272878f0	5fa852bf-c9b6-4477-8df8-ce65e255a04e	GENERATOR
1c44f6df-9df7-4286-9d12-91a1272878f0	e26d768e-afe3-4ecd-bbe1-a2d761e7032e	PRIMARY_AUXILIARIES
1c44f6df-9df7-4286-9d12-91a1272878f0	e7e56a21-a0af-46f6-a101-8e8b36657a26	UPS
1c44f6df-9df7-4286-9d12-91a1272878f0	bc80a19e-01b7-46dc-ae19-8e2a34cbf4aa	CRITICAL_AUXILIARIES
1c44f6df-9df7-4286-9d12-91a1272878f0	1fa9a682-ef60-4cc4-8a9a-03d635fcde7a	LIGHTING
1c44f6df-9df7-4286-9d12-91a1272878f0	94e363df-5afd-49fc-b4b7-dc814b8914db	CRITICAL_POWER_DISTRIBUTION
1c44f6df-9df7-4286-9d12-91a1272878f0	eb903026-59ad-45ca-a12f-c1a0eaf652aa	CRAH
1c44f6df-9df7-4286-9d12-91a1272878f0	c75ceb39-adf3-46ae-b929-6afae019789c	CRAC
1c44f6df-9df7-4286-9d12-91a1272878f0	764fbd05-f40e-4a62-9a84-02e28b40dfba	CRAC_WITHOUT_FAN
1c44f6df-9df7-4286-9d12-91a1272878f0	255a538b-a01d-4964-8c76-5284efdcee82	CRAC_FAN
1c44f6df-9df7-4286-9d12-91a1272878f0	7f72c629-9117-427e-8fca-ae7ded1b113d	CHILLER
1c44f6df-9df7-4286-9d12-91a1272878f0	34be3163-9bd5-427a-8ad3-8d7ec0b41471	AIR_COOLED_CHILLER
1c44f6df-9df7-4286-9d12-91a1272878f0	e88d8ef6-3c06-4b8f-9d2a-582179b125bb	COOLING_TOWER
1c44f6df-9df7-4286-9d12-91a1272878f0	05f0ca16-a36f-4413-8200-04a6cca8c232	DRY_COOLER
1c44f6df-9df7-4286-9d12-91a1272878f0	5b983292-179e-407a-a399-3ca91b2c9e46	REMOTE_CONDENSER
1c44f6df-9df7-4286-9d12-91a1272878f0	bacc1157-bf49-447c-9800-beea4946b697	CHILLED_WATER_PUMPS
1c44f6df-9df7-4286-9d12-91a1272878f0	1b07af21-1c6f-49e6-b720-57dabb5a14c5	HEAT_REJECTION_PUMPS
1c44f6df-9df7-4286-9d12-91a1272878f0	eb7f68d7-ad5b-48c9-80b0-2ed9302431d2	VENTILATION
1c44f6df-9df7-4286-9d12-91a1272878f0	10ce9935-bf4d-42df-9423-40ffe4e136e8	INFILTRATION
1c44f6df-9df7-4286-9d12-91a1272878f0	98872a76-f7bb-40fd-87ca-e72fa19db11a	IT_LOAD
e422443b-2961-42ed-a0d4-1053eacc1407	9529c438-5ee0-44c4-a66f-69da458b022c	SWITCHGEAR
e422443b-2961-42ed-a0d4-1053eacc1407	24efd8c4-135d-4405-b40b-3d79dc245350	GENERATOR
e422443b-2961-42ed-a0d4-1053eacc1407	5259982b-7016-4576-b63a-77a02514028a	PRIMARY_AUXILIARIES
e422443b-2961-42ed-a0d4-1053eacc1407	bfe5fb09-d08c-4ebd-8d9c-189796180835	UPS
e422443b-2961-42ed-a0d4-1053eacc1407	4860d03b-facb-457f-80d9-fce25c51aab6	CRITICAL_AUXILIARIES
e422443b-2961-42ed-a0d4-1053eacc1407	6080f36f-292d-417c-a4ff-eb5a40ea24ba	LIGHTING
e422443b-2961-42ed-a0d4-1053eacc1407	a335f130-5b27-4da5-aa34-28a23c5a6fac	CRITICAL_POWER_DISTRIBUTION
e422443b-2961-42ed-a0d4-1053eacc1407	984bb3b5-5020-4683-bae0-8cd8ba4f9475	CRAH
e422443b-2961-42ed-a0d4-1053eacc1407	d6b5a676-7625-4152-a3b5-d1f7b39afc10	CRAC
e422443b-2961-42ed-a0d4-1053eacc1407	7f246b48-7e14-4cdc-acee-8dfc06ace209	CRAC_WITHOUT_FAN
e422443b-2961-42ed-a0d4-1053eacc1407	38a961f2-c522-4350-a102-16123181cc25	CRAC_FAN
e422443b-2961-42ed-a0d4-1053eacc1407	afdabc47-2bcb-4a06-a2a1-b08e1400e188	CHILLER
e422443b-2961-42ed-a0d4-1053eacc1407	b5c13ed4-1f10-4fff-9f12-587f9569eafe	AIR_COOLED_CHILLER
e422443b-2961-42ed-a0d4-1053eacc1407	087e58f5-96b6-4f24-bb0d-f1acad73fdb1	COOLING_TOWER
e422443b-2961-42ed-a0d4-1053eacc1407	24e93fd0-f941-470c-bada-c3b0f9546ffd	DRY_COOLER
e422443b-2961-42ed-a0d4-1053eacc1407	274b67fd-253b-4367-8b0e-af222ea9a71c	REMOTE_CONDENSER
e422443b-2961-42ed-a0d4-1053eacc1407	ec2bd63a-6e02-47fc-accb-fa2337a7fd83	CHILLED_WATER_PUMPS
e422443b-2961-42ed-a0d4-1053eacc1407	5b828e29-fec6-4c19-af23-722a5f81c9ee	HEAT_REJECTION_PUMPS
e422443b-2961-42ed-a0d4-1053eacc1407	d669a669-a6d1-4847-ba40-58fa3b3c416f	VENTILATION
e422443b-2961-42ed-a0d4-1053eacc1407	d622ca47-1d5c-4b4a-b5c4-84e50458527c	INFILTRATION
e422443b-2961-42ed-a0d4-1053eacc1407	0270643e-f0c7-4992-a385-3a967b88f76c	IT_LOAD
08a760a8-1f93-4192-ac09-fc85b1583a88	03e781e3-75e6-4093-9ae7-6429bad37681	SWITCHGEAR
08a760a8-1f93-4192-ac09-fc85b1583a88	bc5a8adc-f5a3-407f-be05-4cfa7b661218	GENERATOR
08a760a8-1f93-4192-ac09-fc85b1583a88	94687471-2b07-4029-84b6-f7d7bd21edc3	PRIMARY_AUXILIARIES
08a760a8-1f93-4192-ac09-fc85b1583a88	5473c6ab-bc8d-45c2-843e-a95b4024b7ee	UPS
08a760a8-1f93-4192-ac09-fc85b1583a88	e04408ea-4b06-4440-8459-956fce5840bf	CRITICAL_AUXILIARIES
08a760a8-1f93-4192-ac09-fc85b1583a88	6dc95288-6250-4e17-ac49-9808eb672b34	LIGHTING
08a760a8-1f93-4192-ac09-fc85b1583a88	08640196-491b-42dd-b161-c37a2c78b3a0	CRITICAL_POWER_DISTRIBUTION
08a760a8-1f93-4192-ac09-fc85b1583a88	14acdc24-866d-4b78-9081-a2a66ab06d93	CRAH
08a760a8-1f93-4192-ac09-fc85b1583a88	b0a50252-e6c5-44f0-85b6-a66aa74fb4e7	CRAC
08a760a8-1f93-4192-ac09-fc85b1583a88	6db45afd-7b41-413e-be5e-a7c9a6681ea8	CRAC_WITHOUT_FAN
08a760a8-1f93-4192-ac09-fc85b1583a88	2b548544-5ac7-4c84-a120-2d4f54c24437	CRAC_FAN
08a760a8-1f93-4192-ac09-fc85b1583a88	8243ada3-212c-440a-99b4-a4616a3883e8	CHILLER
08a760a8-1f93-4192-ac09-fc85b1583a88	cc173f76-9b00-48ed-b019-74de4a3e1947	AIR_COOLED_CHILLER
08a760a8-1f93-4192-ac09-fc85b1583a88	4b51fa0a-bbb2-4447-ae37-5741131a3198	COOLING_TOWER
08a760a8-1f93-4192-ac09-fc85b1583a88	1ad1fadc-fdc6-4fd2-915d-3bc200bab888	DRY_COOLER
08a760a8-1f93-4192-ac09-fc85b1583a88	9437ab79-1063-4a14-ae87-52b0dbbc7d0f	REMOTE_CONDENSER
08a760a8-1f93-4192-ac09-fc85b1583a88	5c8efc6f-52cf-45ec-998f-999c0acf885a	CHILLED_WATER_PUMPS
08a760a8-1f93-4192-ac09-fc85b1583a88	5e05833c-c19c-442e-a6b3-df9ef631d8a7	HEAT_REJECTION_PUMPS
08a760a8-1f93-4192-ac09-fc85b1583a88	f4573ba0-d3ff-4197-a06e-3b2e7eb65526	VENTILATION
08a760a8-1f93-4192-ac09-fc85b1583a88	03d86848-9889-4a28-9abb-1849ac1e298f	INFILTRATION
08a760a8-1f93-4192-ac09-fc85b1583a88	fcc3c32f-3cb4-471c-b01d-7fd7cea511a4	IT_LOAD
3db6aecc-2cf3-41ed-b43c-9931012bfd60	2e262d36-a788-4fac-8746-5b0166da821c	SWITCHGEAR
3db6aecc-2cf3-41ed-b43c-9931012bfd60	43ca68b3-48aa-4b5d-a0c2-b25cd1e56827	GENERATOR
3db6aecc-2cf3-41ed-b43c-9931012bfd60	c83597ca-efe9-43f6-9467-ab4e9a267345	PRIMARY_AUXILIARIES
3db6aecc-2cf3-41ed-b43c-9931012bfd60	42428ce4-4826-4596-9458-5f13b14ee8b6	UPS
3db6aecc-2cf3-41ed-b43c-9931012bfd60	b9ce5950-dce4-42db-a708-9177e7817786	CRITICAL_AUXILIARIES
3db6aecc-2cf3-41ed-b43c-9931012bfd60	47434307-e93d-4cf3-8abe-bda5f2a46e82	LIGHTING
3db6aecc-2cf3-41ed-b43c-9931012bfd60	4dcf8d74-e8b2-4d9a-b901-cf4c86493351	CRITICAL_POWER_DISTRIBUTION
3db6aecc-2cf3-41ed-b43c-9931012bfd60	7ec758ce-4d8c-4c3d-9cb0-6161f2aca484	CRAH
3db6aecc-2cf3-41ed-b43c-9931012bfd60	75d50a93-44a8-4d3a-b0fd-68411550ff79	CRAC
3db6aecc-2cf3-41ed-b43c-9931012bfd60	0979f26a-479e-4ede-8a09-0555cf8c9477	CRAC_WITHOUT_FAN
3db6aecc-2cf3-41ed-b43c-9931012bfd60	e334d4be-93c2-4704-88d0-6b26335ac562	CRAC_FAN
3db6aecc-2cf3-41ed-b43c-9931012bfd60	cfb041da-568c-4250-bc43-ce3210090ea8	CHILLER
3db6aecc-2cf3-41ed-b43c-9931012bfd60	7dfedf82-3158-4e20-ba1f-917742295bfa	AIR_COOLED_CHILLER
3db6aecc-2cf3-41ed-b43c-9931012bfd60	bbb6a76b-54db-4db8-b302-1fc7b68524e5	COOLING_TOWER
3db6aecc-2cf3-41ed-b43c-9931012bfd60	0d6d112e-ce71-40d3-bc2f-e5452570ab1c	DRY_COOLER
3db6aecc-2cf3-41ed-b43c-9931012bfd60	4174a08f-e7c3-4fb0-ba59-38143558d7ec	REMOTE_CONDENSER
3db6aecc-2cf3-41ed-b43c-9931012bfd60	1685543d-47fe-459e-bffe-b45eb159b8e3	CHILLED_WATER_PUMPS
3db6aecc-2cf3-41ed-b43c-9931012bfd60	cee84aa7-c1f9-45e8-b627-296a8622590c	HEAT_REJECTION_PUMPS
3db6aecc-2cf3-41ed-b43c-9931012bfd60	db700474-fa28-40df-9f9b-f63d86720cd4	VENTILATION
3db6aecc-2cf3-41ed-b43c-9931012bfd60	a336a925-bc34-4c01-898a-b7345086ec98	INFILTRATION
3db6aecc-2cf3-41ed-b43c-9931012bfd60	35fe34fe-c1c1-44d9-ad1d-883c0f839e61	IT_LOAD
86f3d611-803f-48b8-8382-5b1b95205fc9	b6f54be2-f71d-4bf6-addb-8bf373b71a12	SWITCHGEAR
86f3d611-803f-48b8-8382-5b1b95205fc9	d62c1ffa-b70c-47c1-a6ba-f7c0b172687a	GENERATOR
86f3d611-803f-48b8-8382-5b1b95205fc9	22cf7f87-40bf-4fd1-abd3-845a7e789ca5	PRIMARY_AUXILIARIES
86f3d611-803f-48b8-8382-5b1b95205fc9	c598918a-bad7-474c-a68d-f387f34ffab2	UPS
86f3d611-803f-48b8-8382-5b1b95205fc9	e14165b8-0b4b-4d6c-93f8-989ecbfe5fff	CRITICAL_AUXILIARIES
86f3d611-803f-48b8-8382-5b1b95205fc9	f39df91b-e464-4d34-9a08-c65a6f85e394	LIGHTING
86f3d611-803f-48b8-8382-5b1b95205fc9	221f7592-4349-45fc-a771-41a9b9f6d144	CRITICAL_POWER_DISTRIBUTION
86f3d611-803f-48b8-8382-5b1b95205fc9	5813629e-77cb-4fb9-beb3-c8433665c684	CRAH
86f3d611-803f-48b8-8382-5b1b95205fc9	a05e1b03-7a4e-420d-8df6-c0995f4b1928	CRAC
86f3d611-803f-48b8-8382-5b1b95205fc9	4aa74ad4-7c21-45dd-ac7d-075b3a09a934	CRAC_WITHOUT_FAN
86f3d611-803f-48b8-8382-5b1b95205fc9	311b2954-d1c4-49a2-8d13-a394f0710f9b	CRAC_FAN
86f3d611-803f-48b8-8382-5b1b95205fc9	25ae926b-4cee-4c56-aade-0b1ffcc95beb	CHILLER
86f3d611-803f-48b8-8382-5b1b95205fc9	73d4a6b9-8324-4d3c-b191-0e8b39b969fd	AIR_COOLED_CHILLER
86f3d611-803f-48b8-8382-5b1b95205fc9	bb97bf50-2e5d-4588-98d9-e3eb974e7a81	COOLING_TOWER
86f3d611-803f-48b8-8382-5b1b95205fc9	033f7a74-ef1d-41cc-b00a-939451bc9258	DRY_COOLER
86f3d611-803f-48b8-8382-5b1b95205fc9	f4cabd3b-1f67-493c-ba67-f99673c1cc46	REMOTE_CONDENSER
86f3d611-803f-48b8-8382-5b1b95205fc9	b91c17a6-3af7-4665-adaf-d224a1611522	CHILLED_WATER_PUMPS
86f3d611-803f-48b8-8382-5b1b95205fc9	4024f009-b7fe-4d5f-a6bf-8b025942725e	HEAT_REJECTION_PUMPS
86f3d611-803f-48b8-8382-5b1b95205fc9	6df9402b-5193-4ae2-80fc-a720b7a56cd5	VENTILATION
86f3d611-803f-48b8-8382-5b1b95205fc9	8f338cc1-fa4a-4712-a5f5-e17653f12034	INFILTRATION
86f3d611-803f-48b8-8382-5b1b95205fc9	48fcbd0d-b1d3-4187-bab2-28299392a05d	IT_LOAD
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	9c899109-5c77-4031-8054-aed6ccf9f9fd	SWITCHGEAR
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	cd7b05f3-c145-40d8-b4aa-19cccf250c9c	GENERATOR
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	95cc66d6-4686-4698-b8de-b822e93c65e4	PRIMARY_AUXILIARIES
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	5c486742-f8a2-4f02-8aa9-48d6204e04ec	UPS
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	597bb38e-0df1-416f-a928-fdc4e4d47523	CRITICAL_AUXILIARIES
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	72331027-e12b-4db3-af6e-c7b49da4e960	LIGHTING
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	588a3a8b-ee55-42dd-905b-938c9d81fef6	CRITICAL_POWER_DISTRIBUTION
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	bc6f0b32-1d2a-437e-94a2-08501905a3ff	CRAH
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	8bf090db-4b64-4eea-ad74-6da1523f80f9	CRAC
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	c4106965-d5b1-472b-906d-92f1c9173ad3	CRAC_WITHOUT_FAN
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	0ecc4b54-b316-47dd-a3e2-0969d7394f1f	CRAC_FAN
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	3450aa77-ea19-417a-b83b-f602223dd962	CHILLER
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	11156834-f5cd-4cf0-b2ed-c284c4cbd65e	AIR_COOLED_CHILLER
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	83cdde8a-da26-4caa-bbc1-1f298e5d3509	COOLING_TOWER
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	0044d09e-ed76-4a6b-bb67-b2cd244852d2	DRY_COOLER
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	10df47cb-06a1-4ffe-b892-23d1d2e8ed3d	REMOTE_CONDENSER
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	e08593d4-857c-42cc-947a-590a95f2f9fb	CHILLED_WATER_PUMPS
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	369e60e1-fd9b-436b-9307-47ab989b1166	HEAT_REJECTION_PUMPS
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	4a3480c3-8d16-4361-a1c7-e99d4dc67cf5	VENTILATION
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	cd7437dd-132c-4042-8ded-9df91918c482	INFILTRATION
848ae40b-c8e0-40c7-a8a8-6ac8f1ae82a5	2b0ca80a-5593-4270-9175-e752c89fb721	IT_LOAD
516f8cf5-47f3-4123-b8fb-6acd986ac51a	7ccde95e-2452-45a1-aca8-893fbbc34362	SWITCHGEAR
516f8cf5-47f3-4123-b8fb-6acd986ac51a	1c633c5c-6751-4552-b10a-d06e84280656	GENERATOR
516f8cf5-47f3-4123-b8fb-6acd986ac51a	8ab3b52a-d2ac-432d-8ee2-a11df00a4b56	PRIMARY_AUXILIARIES
516f8cf5-47f3-4123-b8fb-6acd986ac51a	c2ee9412-f5b8-4951-a16c-5c0fb4f933af	UPS
516f8cf5-47f3-4123-b8fb-6acd986ac51a	91f5cb8a-de0a-476d-ba07-5e2fe1a97386	CRITICAL_AUXILIARIES
516f8cf5-47f3-4123-b8fb-6acd986ac51a	57c85127-e178-487b-aa51-ed5dcef35f01	LIGHTING
516f8cf5-47f3-4123-b8fb-6acd986ac51a	396ff850-7eb7-4fa8-85d1-f7a1b84292a5	CRITICAL_POWER_DISTRIBUTION
516f8cf5-47f3-4123-b8fb-6acd986ac51a	12900939-4c9f-48a2-9461-ad7736bbe052	CRAH
516f8cf5-47f3-4123-b8fb-6acd986ac51a	f8882baf-a520-4973-b4e6-ddeecdb04694	CRAC
516f8cf5-47f3-4123-b8fb-6acd986ac51a	7e867235-360f-47ad-ac6b-9bfbfc33d9b4	CRAC_WITHOUT_FAN
516f8cf5-47f3-4123-b8fb-6acd986ac51a	0e036d9e-991e-41ff-b186-f895d106af48	CRAC_FAN
516f8cf5-47f3-4123-b8fb-6acd986ac51a	284e644a-4332-4536-b052-c2485c94a60f	CHILLER
516f8cf5-47f3-4123-b8fb-6acd986ac51a	837655ba-4ed8-4183-ae69-cbd202d52858	AIR_COOLED_CHILLER
516f8cf5-47f3-4123-b8fb-6acd986ac51a	ebd316e3-1ee2-40f2-859c-e8fdab03ce86	COOLING_TOWER
516f8cf5-47f3-4123-b8fb-6acd986ac51a	b86d21f2-6625-414e-b739-a5dc6472f2e1	DRY_COOLER
516f8cf5-47f3-4123-b8fb-6acd986ac51a	91b3a8dc-631f-44eb-9157-af9f44807984	REMOTE_CONDENSER
516f8cf5-47f3-4123-b8fb-6acd986ac51a	9fa20372-71a2-4b77-a66a-dc409adf659a	CHILLED_WATER_PUMPS
516f8cf5-47f3-4123-b8fb-6acd986ac51a	22702aa0-3bca-4274-8b20-e006c0eccce5	HEAT_REJECTION_PUMPS
516f8cf5-47f3-4123-b8fb-6acd986ac51a	6760b0bb-8eb4-4770-af78-f372152ba9ca	VENTILATION
516f8cf5-47f3-4123-b8fb-6acd986ac51a	d68afa38-6c79-4e60-9002-72b2e362e2cc	INFILTRATION
516f8cf5-47f3-4123-b8fb-6acd986ac51a	b53fe3fb-44d3-4504-98b0-334ade331b81	IT_LOAD
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	c68883d9-6f83-4c61-a139-5f646bc951ba	SWITCHGEAR
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	059970f9-64a4-4edf-a1c0-2eaf30d350d4	GENERATOR
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	feae5f73-6451-47a2-8bd7-adf53b3478d6	PRIMARY_AUXILIARIES
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	2c21e9b2-3351-40f6-b557-28a9bf404052	UPS
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	ae3d86a8-c033-4037-907b-9dd0a29771b9	CRITICAL_AUXILIARIES
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	7aa690ba-5c0a-4991-a603-7f553b6719d4	LIGHTING
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	9cf0f0dd-3734-4b24-a8c8-7cfa7de93c76	CRITICAL_POWER_DISTRIBUTION
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	68bb9186-a086-4b79-b713-5eaa53a922f7	CRAH
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	0d3a4d6f-825a-434c-89c8-07157defac03	CRAC
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	a5a121ba-3239-477d-ad2e-4eb765ebcafe	CRAC_WITHOUT_FAN
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	d4c91bcd-38bc-4a18-9d8e-3f93f4f38118	CRAC_FAN
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	bebcbedd-9dc2-4f70-b024-64f3fdbd8353	CHILLER
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	3e9cf9fe-38d0-4d96-a968-8d9aad80391e	AIR_COOLED_CHILLER
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	9a1f4125-fc98-4d7a-8951-1d96ab753c7c	COOLING_TOWER
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	7410dcc8-0934-4c3f-84fe-6ed5b2c7bcd2	DRY_COOLER
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	c54a6bca-b971-42bd-bd30-2448e58b00e7	REMOTE_CONDENSER
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	c0fc2d6b-38f2-4720-bd51-eef68d657809	CHILLED_WATER_PUMPS
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	8c2f3059-31f8-447d-b1c7-c3aa223a11b8	HEAT_REJECTION_PUMPS
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	956462bf-6de3-43b7-9d6c-c2358ca0f19b	VENTILATION
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	6a71b829-5284-4fa5-b758-f2b56bf39f1e	INFILTRATION
4e35a9ef-a9f7-46e9-b9de-638dabdbaf62	af4df845-38b5-44ee-87f9-c68bc19756f4	IT_LOAD
05fc69fb-5214-4770-85c8-5e53cbab0047	1657eca3-b023-44eb-8b56-2b8bffb920ae	SWITCHGEAR
05fc69fb-5214-4770-85c8-5e53cbab0047	a8d6b5fe-373e-45e8-ba0b-32aba4390a9c	GENERATOR
05fc69fb-5214-4770-85c8-5e53cbab0047	8f2d93e1-0dc5-4f57-b66f-b1949a313675	PRIMARY_AUXILIARIES
05fc69fb-5214-4770-85c8-5e53cbab0047	aa17a2b5-2f09-42f0-9cdf-08550e2149f2	UPS
05fc69fb-5214-4770-85c8-5e53cbab0047	fb52a019-2b33-4769-ae5d-6db89cb2d8c7	CRITICAL_AUXILIARIES
05fc69fb-5214-4770-85c8-5e53cbab0047	c5acaa1b-b221-49a5-be64-b677305a149b	LIGHTING
05fc69fb-5214-4770-85c8-5e53cbab0047	b4cdcd80-a96d-4bdf-addd-2a3780ceacc9	CRITICAL_POWER_DISTRIBUTION
05fc69fb-5214-4770-85c8-5e53cbab0047	ac7541b7-c55f-4502-9ede-7036c5467c34	CRAH
05fc69fb-5214-4770-85c8-5e53cbab0047	1f5bfa47-f17a-4de9-b3c1-93a33140367a	CRAC
05fc69fb-5214-4770-85c8-5e53cbab0047	692d2d84-04c4-480a-9542-1321dfb1a62e	CRAC_WITHOUT_FAN
05fc69fb-5214-4770-85c8-5e53cbab0047	3081b427-5f06-43be-b6d9-4b0a8502e883	CRAC_FAN
05fc69fb-5214-4770-85c8-5e53cbab0047	ed712ee2-6afd-4aea-a7ac-9b2ca73aebed	CHILLER
05fc69fb-5214-4770-85c8-5e53cbab0047	adf61347-c27c-4a4d-9653-96d917384609	AIR_COOLED_CHILLER
05fc69fb-5214-4770-85c8-5e53cbab0047	e1d24bed-48c3-4776-8171-8f08b4985042	COOLING_TOWER
05fc69fb-5214-4770-85c8-5e53cbab0047	27d16f05-9921-4270-bcf2-23afe62c1649	DRY_COOLER
05fc69fb-5214-4770-85c8-5e53cbab0047	fb8b19ab-3c5e-4379-826c-9adbddf02ac9	REMOTE_CONDENSER
05fc69fb-5214-4770-85c8-5e53cbab0047	5c8a7255-c3e5-47ef-a849-3aab712e9e97	CHILLED_WATER_PUMPS
05fc69fb-5214-4770-85c8-5e53cbab0047	8bfc8ecc-56b9-465b-97fa-7ea2e68410fc	HEAT_REJECTION_PUMPS
05fc69fb-5214-4770-85c8-5e53cbab0047	57331a3e-a9e2-462d-be81-22939d319fa7	VENTILATION
05fc69fb-5214-4770-85c8-5e53cbab0047	365411fd-db9d-4a32-a7d8-4e5411c115ec	INFILTRATION
05fc69fb-5214-4770-85c8-5e53cbab0047	e5f03365-acf0-4a13-ad94-88a3bbe19d1e	IT_LOAD
89ff346d-08e6-407e-b244-2c5497de42c3	001c6138-9dc1-4bb4-a565-b30751547063	SWITCHGEAR
89ff346d-08e6-407e-b244-2c5497de42c3	9d5e7b2b-cd43-4aeb-ae14-da52849d87b4	GENERATOR
89ff346d-08e6-407e-b244-2c5497de42c3	fc1c6908-eb9d-4617-9e69-0852b8cf52db	PRIMARY_AUXILIARIES
89ff346d-08e6-407e-b244-2c5497de42c3	efaed554-8e30-4d5b-8b41-f7e023b91b06	UPS
89ff346d-08e6-407e-b244-2c5497de42c3	5c5cb650-a2c9-4006-94d1-40cc119b4084	CRITICAL_AUXILIARIES
89ff346d-08e6-407e-b244-2c5497de42c3	ba085a2f-87d5-4ad2-babb-afbb0af368d7	LIGHTING
89ff346d-08e6-407e-b244-2c5497de42c3	117fc9a5-8446-4585-851b-18c32f00bde0	CRITICAL_POWER_DISTRIBUTION
89ff346d-08e6-407e-b244-2c5497de42c3	46759ac3-7a66-4f8f-8e8f-043fd9e4c46a	CRAH
89ff346d-08e6-407e-b244-2c5497de42c3	3fa4987c-a114-4995-9a14-f1af07ac81ee	CRAC
89ff346d-08e6-407e-b244-2c5497de42c3	f2b70e55-fa36-41b4-8065-09d08e615364	CRAC_WITHOUT_FAN
89ff346d-08e6-407e-b244-2c5497de42c3	6c6d2962-06db-44bc-a618-3433ec874e7c	CRAC_FAN
89ff346d-08e6-407e-b244-2c5497de42c3	4da60850-044e-4cba-a66a-4aac331190bb	CHILLER
89ff346d-08e6-407e-b244-2c5497de42c3	35292762-179a-431c-a651-25d4315c4acc	AIR_COOLED_CHILLER
89ff346d-08e6-407e-b244-2c5497de42c3	46545b0d-33d4-45c7-860a-b72a8f694f75	COOLING_TOWER
89ff346d-08e6-407e-b244-2c5497de42c3	c025992f-a24a-41a6-b3d3-46a371067507	DRY_COOLER
89ff346d-08e6-407e-b244-2c5497de42c3	3200d6ca-1193-4d0f-9c2e-75a345237634	REMOTE_CONDENSER
89ff346d-08e6-407e-b244-2c5497de42c3	93e38f64-4f0c-4195-8f85-f380bb9aabeb	CHILLED_WATER_PUMPS
89ff346d-08e6-407e-b244-2c5497de42c3	ef066ed5-d40a-4a63-a5f8-ab7d491af72f	HEAT_REJECTION_PUMPS
89ff346d-08e6-407e-b244-2c5497de42c3	3d2fd22d-35ef-4f28-a09e-7e5a1950951a	VENTILATION
89ff346d-08e6-407e-b244-2c5497de42c3	d2e42ad6-a4ba-49c8-9f24-457934fa5aaa	INFILTRATION
89ff346d-08e6-407e-b244-2c5497de42c3	cafcebcc-446e-4b8e-a2bf-817694a19562	IT_LOAD
91059d42-2c93-43f6-a87e-0fca2384e097	1132583e-2471-4abf-bec9-83bf84694202	SWITCHGEAR
91059d42-2c93-43f6-a87e-0fca2384e097	c8338b43-9e55-442e-ab63-fbeb70de71b7	GENERATOR
91059d42-2c93-43f6-a87e-0fca2384e097	47b672a5-7a81-4158-a573-4613397f186f	PRIMARY_AUXILIARIES
91059d42-2c93-43f6-a87e-0fca2384e097	56623e4d-54dd-4c03-a34d-b3f018bfcac1	UPS
91059d42-2c93-43f6-a87e-0fca2384e097	81124da8-8aaf-40e6-b94a-537c65984de7	CRITICAL_AUXILIARIES
91059d42-2c93-43f6-a87e-0fca2384e097	f2b2573d-630b-4049-b2a1-4aba9f1dd703	LIGHTING
91059d42-2c93-43f6-a87e-0fca2384e097	385d51d4-00b8-49be-be32-9148b6cc1768	CRITICAL_POWER_DISTRIBUTION
91059d42-2c93-43f6-a87e-0fca2384e097	859f76f2-201f-4416-9de9-d0334bac6097	CRAH
91059d42-2c93-43f6-a87e-0fca2384e097	68275ccb-1b9b-42ae-b279-877b10e094e3	CRAC
91059d42-2c93-43f6-a87e-0fca2384e097	b903dde1-fb43-4afe-8fa6-629cd45722a7	CRAC_WITHOUT_FAN
91059d42-2c93-43f6-a87e-0fca2384e097	e13d7c40-06a2-42a7-9da6-d31308aaca36	CRAC_FAN
91059d42-2c93-43f6-a87e-0fca2384e097	25f5f758-b33d-4ea5-8388-d965f1519419	CHILLER
91059d42-2c93-43f6-a87e-0fca2384e097	8557cbba-b0cf-48fd-99c0-93670e69ffdc	AIR_COOLED_CHILLER
91059d42-2c93-43f6-a87e-0fca2384e097	d39fab0b-4c2b-4a48-8bbe-4078d20c846e	COOLING_TOWER
91059d42-2c93-43f6-a87e-0fca2384e097	3027f2e8-d067-4159-a775-ac0931c34f2b	DRY_COOLER
91059d42-2c93-43f6-a87e-0fca2384e097	4c6682f1-7d3a-49f6-9b2c-20c7676bbcd4	REMOTE_CONDENSER
91059d42-2c93-43f6-a87e-0fca2384e097	9458f8f6-41ba-4ce5-92f0-fc63a3865494	CHILLED_WATER_PUMPS
91059d42-2c93-43f6-a87e-0fca2384e097	472e7a2e-5ded-48bd-b42a-503a7ca3f734	HEAT_REJECTION_PUMPS
91059d42-2c93-43f6-a87e-0fca2384e097	9a3ff950-83b4-4754-93d1-b7b2e15ed8a2	VENTILATION
91059d42-2c93-43f6-a87e-0fca2384e097	71614f5a-37ac-4efa-9589-0592ed480816	INFILTRATION
91059d42-2c93-43f6-a87e-0fca2384e097	08c1b164-df74-4ab2-9268-a3a26a88445e	IT_LOAD
0b8ced7b-3021-4b89-8184-8240a7c4927e	3fb4a545-6cb1-4f36-b198-601101e17543	SWITCHGEAR
0b8ced7b-3021-4b89-8184-8240a7c4927e	92482a4e-beb1-422b-ba0a-5b2b966b3eef	GENERATOR
0b8ced7b-3021-4b89-8184-8240a7c4927e	d8fa1e57-554a-4905-9824-511296d881c0	PRIMARY_AUXILIARIES
0b8ced7b-3021-4b89-8184-8240a7c4927e	9215b6b2-94cf-4178-8e4e-b34822cfe2b9	UPS
0b8ced7b-3021-4b89-8184-8240a7c4927e	8df3489c-be5d-47dd-a706-35150c593e44	CRITICAL_AUXILIARIES
0b8ced7b-3021-4b89-8184-8240a7c4927e	38a3622c-02c8-4d98-a813-7bfb55c9185a	LIGHTING
0b8ced7b-3021-4b89-8184-8240a7c4927e	80cf319b-b661-42b0-bb6e-9a4e0d0bddba	CRITICAL_POWER_DISTRIBUTION
0b8ced7b-3021-4b89-8184-8240a7c4927e	3c913791-d893-455b-ae7d-bed5d22310db	CRAH
0b8ced7b-3021-4b89-8184-8240a7c4927e	13f15783-54ba-4f18-892a-a01cf8c096c8	CRAC
0b8ced7b-3021-4b89-8184-8240a7c4927e	b9d670a4-4d07-4c1d-b146-70498101c0d4	CRAC_WITHOUT_FAN
0b8ced7b-3021-4b89-8184-8240a7c4927e	b7b02a0f-5b4e-44b3-bbf7-db97cef5cdb5	CRAC_FAN
0b8ced7b-3021-4b89-8184-8240a7c4927e	f5883af1-55bf-4e7e-bea6-4c9296dd0670	CHILLER
0b8ced7b-3021-4b89-8184-8240a7c4927e	1fa9a6b7-870e-4180-9527-1b514f47673c	AIR_COOLED_CHILLER
0b8ced7b-3021-4b89-8184-8240a7c4927e	43cebba2-a86e-4225-ae1d-ccbba50133fe	COOLING_TOWER
0b8ced7b-3021-4b89-8184-8240a7c4927e	99f20a13-c945-4520-9dcc-b9f3e7a54ef1	DRY_COOLER
0b8ced7b-3021-4b89-8184-8240a7c4927e	3a45aabe-77a8-4b56-bb6a-632f6c90144a	REMOTE_CONDENSER
0b8ced7b-3021-4b89-8184-8240a7c4927e	f9b68e9b-5fd8-4488-9ebc-7b51feb5bfa1	CHILLED_WATER_PUMPS
0b8ced7b-3021-4b89-8184-8240a7c4927e	b9172337-b367-430a-8341-26ea44d3cec0	HEAT_REJECTION_PUMPS
0b8ced7b-3021-4b89-8184-8240a7c4927e	fcee2af0-d42f-4dc3-82a9-a479865198fc	VENTILATION
0b8ced7b-3021-4b89-8184-8240a7c4927e	6f1ec243-645e-4d10-bc19-bf0e09e59bc9	INFILTRATION
0b8ced7b-3021-4b89-8184-8240a7c4927e	9a3ae690-130b-4605-b4b9-539bcb960bfb	IT_LOAD
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	0f41c37d-c04e-4e5e-b6f5-4798a9a4cd1c	SWITCHGEAR
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	8cd51dbb-b22d-4b8c-97aa-97a2f369f026	GENERATOR
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	c879d48a-95f8-4183-a5a2-8d1766171da6	PRIMARY_AUXILIARIES
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	d9c9556a-f260-4058-9f65-2f9b45a8653e	UPS
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	9db65e0f-0f0c-4ef6-b1ab-0e2045db68ec	CRITICAL_AUXILIARIES
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	af7c9b90-e713-4197-a766-3a7ba98ca524	LIGHTING
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	2e858fc8-7982-4a5a-9e8e-6830ffa7fa34	CRITICAL_POWER_DISTRIBUTION
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	4b1a3635-648d-4354-b470-a8bea5426e77	CRAH
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	86faee73-ab64-4553-a35d-685e023b8168	CRAC
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	0ededf13-77da-4b25-9e7a-843c480fafca	CRAC_WITHOUT_FAN
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	f6da2728-1cf5-45be-a186-47f8287bf2f5	CRAC_FAN
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	5737390c-8a9d-4950-9746-4be31c26d971	CHILLER
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	7599bb30-bacb-425c-92e9-7a7f44175ea6	AIR_COOLED_CHILLER
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	fb5958dd-cecf-44cb-8534-5b483459b4ac	COOLING_TOWER
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	a0298619-33b0-4f1a-8a19-cd9ee9d4aa34	DRY_COOLER
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	445ed6c0-25d3-4021-a906-b30b76ccc687	REMOTE_CONDENSER
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	b22acabf-a223-4459-9583-be589d30cd28	CHILLED_WATER_PUMPS
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	9d679713-e527-4a37-adaf-3069ea9f3c5a	HEAT_REJECTION_PUMPS
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	15bfa110-6356-458d-896c-371216510fe3	VENTILATION
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	7d7af1c4-d64a-436a-ad02-091587162cb4	INFILTRATION
3aedd274-e7e8-49e6-82cc-ab3ea3d42510	f306846e-baad-441d-a5f0-6d41f5ead9c1	IT_LOAD
e9397d04-fb9a-4885-b05a-70bf9744b13d	1f731f01-bea0-48b9-8fed-814da0baf865	SWITCHGEAR
e9397d04-fb9a-4885-b05a-70bf9744b13d	5ab46579-1624-4778-9c4e-131f20f29e3a	GENERATOR
e9397d04-fb9a-4885-b05a-70bf9744b13d	b402e8b5-01be-40a5-b699-64a743dab265	PRIMARY_AUXILIARIES
e9397d04-fb9a-4885-b05a-70bf9744b13d	ef068d8b-dd67-4d8e-ad85-b040054e2caa	UPS
e9397d04-fb9a-4885-b05a-70bf9744b13d	bba3e69f-8958-409b-8748-63fd893ad934	CRITICAL_AUXILIARIES
e9397d04-fb9a-4885-b05a-70bf9744b13d	6b765f51-4438-41bc-8c6c-5e552e572335	LIGHTING
e9397d04-fb9a-4885-b05a-70bf9744b13d	f9312570-ea51-4e75-bbb4-8301fda885f1	CRITICAL_POWER_DISTRIBUTION
e9397d04-fb9a-4885-b05a-70bf9744b13d	558bb43d-fdc4-402a-b17d-58b6946515bd	CRAH
e9397d04-fb9a-4885-b05a-70bf9744b13d	dce83aad-8421-4c87-8542-e261ec6f474b	CRAC
e9397d04-fb9a-4885-b05a-70bf9744b13d	2d70af70-eafe-44d6-ba16-8b2b4e540492	CRAC_WITHOUT_FAN
e9397d04-fb9a-4885-b05a-70bf9744b13d	5e1e2711-26f4-4694-83ac-8534353303cc	CRAC_FAN
e9397d04-fb9a-4885-b05a-70bf9744b13d	ff35287f-5b76-4ddf-8de6-1175ed761c68	CHILLER
e9397d04-fb9a-4885-b05a-70bf9744b13d	34e2d478-749a-4d2a-bf9d-e956bc1bd15c	AIR_COOLED_CHILLER
e9397d04-fb9a-4885-b05a-70bf9744b13d	0086a525-4474-4762-a8e5-9226d33a3a98	COOLING_TOWER
e9397d04-fb9a-4885-b05a-70bf9744b13d	9afce827-0ef8-4e16-80e0-866fab78c606	DRY_COOLER
e9397d04-fb9a-4885-b05a-70bf9744b13d	a762a4c9-11ce-43a4-bf12-5816b303c3e4	REMOTE_CONDENSER
e9397d04-fb9a-4885-b05a-70bf9744b13d	0adb5a23-3a76-42cc-aa8e-cc176be14cb1	CHILLED_WATER_PUMPS
e9397d04-fb9a-4885-b05a-70bf9744b13d	a5fb59a5-9a7e-49a1-9282-bcd21c7bad82	HEAT_REJECTION_PUMPS
e9397d04-fb9a-4885-b05a-70bf9744b13d	50105d0e-991c-4878-814e-c972f780d7fc	VENTILATION
e9397d04-fb9a-4885-b05a-70bf9744b13d	0758d176-ada7-49d0-8665-1e051c66b7ce	INFILTRATION
e9397d04-fb9a-4885-b05a-70bf9744b13d	1769e020-021d-4564-9191-4b2a218dd481	IT_LOAD
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	e75d90a5-7a30-4672-a2a8-997ac35607b0	SWITCHGEAR
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	36951665-6e47-48dd-81c0-f6fd2bb18eea	GENERATOR
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	da92c46e-b778-4b6c-b439-ee46c9c49dc1	PRIMARY_AUXILIARIES
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	f1121849-b283-4c5e-9d96-6418b5aa961f	UPS
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	78cbdcd0-1d86-4708-a409-7a5cc0aee44e	CRITICAL_AUXILIARIES
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	1b141785-d76c-4ae8-9720-58d35b1b973f	LIGHTING
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	dd89afd6-92c9-4cf8-a720-ca008ee62688	CRITICAL_POWER_DISTRIBUTION
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	012ceaf5-6565-4ccc-95c9-598c75686e58	CRAH
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	dfc7ff28-c549-4cca-a957-08095f179d06	CRAC
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	85f4a10e-938b-4825-aebb-2e45fdcf0f29	CRAC_WITHOUT_FAN
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	55ceff94-19b1-40bd-9803-466c90eaf52a	CRAC_FAN
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	b6bf8b73-7c31-4d84-a4dd-a62f02711caf	CHILLER
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	af0a39b1-f378-4618-b7e6-3266ac58c7b0	AIR_COOLED_CHILLER
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	0a3ca736-f90f-4255-9d74-d5784c7d6449	COOLING_TOWER
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	9b4b1f8d-8604-4664-ab74-be089e243612	DRY_COOLER
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	87168d19-c6e5-49d8-829d-e16e5f01a256	REMOTE_CONDENSER
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	edbfe3ef-2a7f-4650-aadf-12fcee744f6d	CHILLED_WATER_PUMPS
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	fd6ee24e-3561-4a79-b02a-d37cdfcf2c4e	HEAT_REJECTION_PUMPS
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	6b0430a5-ba0c-417c-9057-c4d6266eb691	VENTILATION
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	40ace593-8cfa-4957-9283-73d6e2106f35	INFILTRATION
e2f77a71-058a-4523-8db3-6f9ab2cfcffb	5699ad4a-0816-4e5e-ae08-9872d48e55e5	IT_LOAD
028cef0d-dd9a-4534-8399-4268b49a6c1c	f3d46a6c-a977-4d19-b45a-aa1eca445a5b	SWITCHGEAR
028cef0d-dd9a-4534-8399-4268b49a6c1c	b998e929-23b8-4318-90bb-1592a7b885c3	GENERATOR
028cef0d-dd9a-4534-8399-4268b49a6c1c	88ee1687-233b-4a7d-a4f4-73fecea69b05	PRIMARY_AUXILIARIES
028cef0d-dd9a-4534-8399-4268b49a6c1c	0c1a2b8d-7685-4164-b8d0-29adc94f3d30	UPS
028cef0d-dd9a-4534-8399-4268b49a6c1c	129c09bf-d10c-4def-a43b-6306620cd798	CRITICAL_AUXILIARIES
028cef0d-dd9a-4534-8399-4268b49a6c1c	f452028b-1d03-4417-b5c0-51ae19c2934b	LIGHTING
028cef0d-dd9a-4534-8399-4268b49a6c1c	5cb4ba04-ba5d-4a86-a1d2-612f960ba3e6	CRITICAL_POWER_DISTRIBUTION
028cef0d-dd9a-4534-8399-4268b49a6c1c	d979207c-feb7-42d7-a1ef-cdd02d7717bf	CRAH
028cef0d-dd9a-4534-8399-4268b49a6c1c	c7d1ef93-3cd2-4a3d-83bc-4abbd75edc29	CRAC
028cef0d-dd9a-4534-8399-4268b49a6c1c	42e8dc77-584e-4df7-ba68-33225a514871	CRAC_WITHOUT_FAN
028cef0d-dd9a-4534-8399-4268b49a6c1c	93db2c9e-861f-4886-a2b0-ff2c0b6b2938	CRAC_FAN
028cef0d-dd9a-4534-8399-4268b49a6c1c	97da31b2-244a-4b7c-8f6a-fafce9b42316	CHILLER
028cef0d-dd9a-4534-8399-4268b49a6c1c	097d4271-1de1-460d-82bd-d5c7a9a28daf	AIR_COOLED_CHILLER
028cef0d-dd9a-4534-8399-4268b49a6c1c	ee20005a-a221-4035-ae56-8a634b7c060d	COOLING_TOWER
028cef0d-dd9a-4534-8399-4268b49a6c1c	83daad99-d066-4f56-8426-fb8d92837912	DRY_COOLER
028cef0d-dd9a-4534-8399-4268b49a6c1c	cac459ee-423d-47eb-9b2b-3875c6fd4ded	REMOTE_CONDENSER
028cef0d-dd9a-4534-8399-4268b49a6c1c	3257d4d0-24ba-49dd-8389-a50f8d64262f	CHILLED_WATER_PUMPS
028cef0d-dd9a-4534-8399-4268b49a6c1c	af5f4083-588e-4186-b1b0-c32e84b955ac	HEAT_REJECTION_PUMPS
028cef0d-dd9a-4534-8399-4268b49a6c1c	f42d8173-6894-4fcd-a82d-c708580196c1	VENTILATION
028cef0d-dd9a-4534-8399-4268b49a6c1c	2216f7b8-d28c-47df-bc70-1c8fc0f6b24f	INFILTRATION
028cef0d-dd9a-4534-8399-4268b49a6c1c	f8e14c37-d014-41c3-a2e9-e60e3f7f7e4e	IT_LOAD
60338b83-99f3-424f-895a-5574e49d1e0e	2e29b38c-4f31-4c87-a8cb-ea249289fb5b	SWITCHGEAR
60338b83-99f3-424f-895a-5574e49d1e0e	5480b132-8d79-4f70-a1ab-761c69848286	GENERATOR
60338b83-99f3-424f-895a-5574e49d1e0e	7a89090f-4ac9-44f4-b419-77c3a373e4f0	PRIMARY_AUXILIARIES
60338b83-99f3-424f-895a-5574e49d1e0e	5e1b3e22-03f7-47e3-942d-74e9cd8f2670	UPS
60338b83-99f3-424f-895a-5574e49d1e0e	432a590f-08c7-4135-87b1-7e4918784a75	CRITICAL_AUXILIARIES
60338b83-99f3-424f-895a-5574e49d1e0e	da252cbd-9a8a-41e8-bd40-75077f32e500	LIGHTING
60338b83-99f3-424f-895a-5574e49d1e0e	2f6bcd81-7e17-48e4-8ad7-cb19b13e7898	CRITICAL_POWER_DISTRIBUTION
60338b83-99f3-424f-895a-5574e49d1e0e	c91428b2-96c6-4a10-a5f3-95922e469989	CRAH
60338b83-99f3-424f-895a-5574e49d1e0e	3d601342-0c2b-430a-9fc1-350cebaf9553	CRAC
60338b83-99f3-424f-895a-5574e49d1e0e	b6295a91-8b6c-41d5-a9e3-ea26b528c6bd	CRAC_WITHOUT_FAN
60338b83-99f3-424f-895a-5574e49d1e0e	0dc850dd-1768-4e72-b0fd-f5eb403b5e6c	CRAC_FAN
60338b83-99f3-424f-895a-5574e49d1e0e	d7c125c9-0f88-4060-b9c1-a78705efa1bc	CHILLER
60338b83-99f3-424f-895a-5574e49d1e0e	2ff686c1-bff3-4c42-8800-75687e79d2ff	AIR_COOLED_CHILLER
60338b83-99f3-424f-895a-5574e49d1e0e	b46f495e-6423-4a5a-a81c-c58c83151906	COOLING_TOWER
60338b83-99f3-424f-895a-5574e49d1e0e	1143e7e1-6ff7-49ba-b89a-b6306c4e455c	DRY_COOLER
60338b83-99f3-424f-895a-5574e49d1e0e	e47e34f0-8112-49fc-9244-a72df4442db4	REMOTE_CONDENSER
60338b83-99f3-424f-895a-5574e49d1e0e	15096171-88c4-4f35-a1ab-f7607f772f39	CHILLED_WATER_PUMPS
60338b83-99f3-424f-895a-5574e49d1e0e	c5b34067-b632-4a25-b2df-ce127187de6b	HEAT_REJECTION_PUMPS
60338b83-99f3-424f-895a-5574e49d1e0e	c6231d4b-6b27-4329-811c-ae43babd49f8	VENTILATION
60338b83-99f3-424f-895a-5574e49d1e0e	2f30eca6-fd8b-4c18-91f1-7ab462744c10	INFILTRATION
60338b83-99f3-424f-895a-5574e49d1e0e	75b5dfc4-d295-41c1-8d73-877db0fb5612	IT_LOAD
59bc762e-e127-4370-b3df-e3a15b627f9a	4ba94304-725c-4ebb-a524-874e15c9b1d1	SWITCHGEAR
59bc762e-e127-4370-b3df-e3a15b627f9a	d72830b7-99d0-4d4a-bae6-c4b43b183a7a	GENERATOR
59bc762e-e127-4370-b3df-e3a15b627f9a	512f916e-698f-4c73-9acd-650c2571dca7	PRIMARY_AUXILIARIES
59bc762e-e127-4370-b3df-e3a15b627f9a	420ae9a6-740e-47c6-a87d-543cfc5a8d45	UPS
59bc762e-e127-4370-b3df-e3a15b627f9a	3c9d7a10-c769-4112-bb5b-799db2cde7ed	CRITICAL_AUXILIARIES
59bc762e-e127-4370-b3df-e3a15b627f9a	e6a90ba7-5a5c-4b18-9797-7b42eb6504d6	LIGHTING
59bc762e-e127-4370-b3df-e3a15b627f9a	995826ef-8897-41e9-88b4-3b1b06e56d54	CRITICAL_POWER_DISTRIBUTION
59bc762e-e127-4370-b3df-e3a15b627f9a	42ea06c8-f163-428e-b6c2-a05776c1372a	CRAH
59bc762e-e127-4370-b3df-e3a15b627f9a	19da1e5b-f27d-4468-a4f9-59f454977c55	CRAC
59bc762e-e127-4370-b3df-e3a15b627f9a	8efe8bad-4ae3-493e-a831-a26163a94b1c	CRAC_WITHOUT_FAN
59bc762e-e127-4370-b3df-e3a15b627f9a	af75f46f-67b5-41e0-9565-8ddaa758b17f	CRAC_FAN
59bc762e-e127-4370-b3df-e3a15b627f9a	9cf01128-d142-4d01-ae7a-a354c2667a25	CHILLER
59bc762e-e127-4370-b3df-e3a15b627f9a	33ef85cd-ee36-458c-b5d5-54413ab475b6	AIR_COOLED_CHILLER
59bc762e-e127-4370-b3df-e3a15b627f9a	088740c9-7fbb-4588-9a9c-1c51f4e4e51d	COOLING_TOWER
59bc762e-e127-4370-b3df-e3a15b627f9a	6dd1eaf7-4a7d-46fb-8631-09f83df7ed32	DRY_COOLER
59bc762e-e127-4370-b3df-e3a15b627f9a	d288d383-c74a-4c49-8457-ab222f08b683	REMOTE_CONDENSER
59bc762e-e127-4370-b3df-e3a15b627f9a	77ed36fd-e270-422e-b3fe-d9d5d8b6fdf4	CHILLED_WATER_PUMPS
59bc762e-e127-4370-b3df-e3a15b627f9a	724f242c-c661-4f6a-844b-f5250c0be574	HEAT_REJECTION_PUMPS
59bc762e-e127-4370-b3df-e3a15b627f9a	de645fef-eaa6-4308-813f-60fd90487d39	VENTILATION
59bc762e-e127-4370-b3df-e3a15b627f9a	5316b218-b96d-4dcf-96f5-55a41fd6a7c7	INFILTRATION
59bc762e-e127-4370-b3df-e3a15b627f9a	65672274-07f6-4e3a-85f1-32ceccc3422c	IT_LOAD
9d48f3a3-d482-495e-882c-100804c47337	5bd7e958-a7ef-42b5-87ce-c94c4c63f715	SWITCHGEAR
9d48f3a3-d482-495e-882c-100804c47337	d422ea3e-aa1a-4aba-88b5-ffb9eb5d91e4	GENERATOR
9d48f3a3-d482-495e-882c-100804c47337	5eb467a2-9177-4c52-82f6-f1d51330eaf8	PRIMARY_AUXILIARIES
9d48f3a3-d482-495e-882c-100804c47337	cab4257a-4e82-49c3-aede-5355622ec517	UPS
9d48f3a3-d482-495e-882c-100804c47337	6bc2a9e1-dc7b-47c0-b4a1-891d0ca2efc1	CRITICAL_AUXILIARIES
9d48f3a3-d482-495e-882c-100804c47337	a54365e4-b0e3-4f1f-9e01-a13397be2e8f	LIGHTING
9d48f3a3-d482-495e-882c-100804c47337	2395985d-7205-4bd0-ae08-61650a4f7c7d	CRITICAL_POWER_DISTRIBUTION
9d48f3a3-d482-495e-882c-100804c47337	559e38bd-e255-40cf-84f8-3ce489f81048	CRAH
9d48f3a3-d482-495e-882c-100804c47337	e7826722-8328-4f98-862c-ae29b638cbbb	CRAC
9d48f3a3-d482-495e-882c-100804c47337	56d062bc-1b4c-4df6-b0a1-da4cf840c73a	CRAC_WITHOUT_FAN
9d48f3a3-d482-495e-882c-100804c47337	a94265d9-c35b-473c-b232-414859a3881a	CRAC_FAN
9d48f3a3-d482-495e-882c-100804c47337	4162b9ac-96ba-4ead-a15e-caa1706c9e34	CHILLER
9d48f3a3-d482-495e-882c-100804c47337	603fe474-cc6d-4841-9f1c-e06d1202aa1a	AIR_COOLED_CHILLER
9d48f3a3-d482-495e-882c-100804c47337	038a2ae5-0aa9-4f09-a9ff-f290b57b406f	COOLING_TOWER
9d48f3a3-d482-495e-882c-100804c47337	f4f2f488-5959-4b74-9cfa-bcb71798010b	DRY_COOLER
9d48f3a3-d482-495e-882c-100804c47337	98d053b1-8632-40cd-bd87-e1e727e679d0	REMOTE_CONDENSER
9d48f3a3-d482-495e-882c-100804c47337	8052f83d-cbfc-477b-8976-2763b0158ed2	CHILLED_WATER_PUMPS
9d48f3a3-d482-495e-882c-100804c47337	57602b9f-5c2d-47e1-8496-ad19ce141b94	HEAT_REJECTION_PUMPS
9d48f3a3-d482-495e-882c-100804c47337	801ec1b3-8795-46fc-bfb1-6040e6a5c47c	VENTILATION
9d48f3a3-d482-495e-882c-100804c47337	bdbc7e4f-2f0b-43b6-819f-1b13ad25fec2	INFILTRATION
9d48f3a3-d482-495e-882c-100804c47337	7a8dc0b5-6453-4254-a3a1-dc106feaee75	IT_LOAD
85493019-16dc-4ae1-9771-49fdafd47479	070baf1b-90e9-4230-8f0c-51e20277110d	SWITCHGEAR
85493019-16dc-4ae1-9771-49fdafd47479	09c4f4f8-0573-4784-8d5e-aa30428207f4	GENERATOR
85493019-16dc-4ae1-9771-49fdafd47479	cc07905d-6cde-4efd-a14a-ed0cd1c6423c	PRIMARY_AUXILIARIES
85493019-16dc-4ae1-9771-49fdafd47479	ddf8c164-329f-4059-a1ed-8c24914946c9	UPS
85493019-16dc-4ae1-9771-49fdafd47479	a8cdf353-7aa7-485e-9a8f-5753039b2026	CRITICAL_AUXILIARIES
85493019-16dc-4ae1-9771-49fdafd47479	7e1ac861-10ee-4d14-af3b-4da09c7aef6c	LIGHTING
85493019-16dc-4ae1-9771-49fdafd47479	b98af5ea-426b-456f-8ab6-497ebefa9a3c	CRITICAL_POWER_DISTRIBUTION
85493019-16dc-4ae1-9771-49fdafd47479	bd875697-9786-4b14-aa8c-dbb45f7bd50e	CRAH
85493019-16dc-4ae1-9771-49fdafd47479	627e5587-a16d-48ad-a0f6-14237481dc3e	CRAC
85493019-16dc-4ae1-9771-49fdafd47479	d72b777b-9c99-4caf-bee9-c7ecabe8bf62	CRAC_WITHOUT_FAN
85493019-16dc-4ae1-9771-49fdafd47479	0a6fcf0b-a315-4046-b8e5-704edc922152	CRAC_FAN
85493019-16dc-4ae1-9771-49fdafd47479	6d64785e-9d81-4fb3-89c6-2b8a65735614	CHILLER
85493019-16dc-4ae1-9771-49fdafd47479	9cfa711e-9ecb-4c7d-9f0b-b47539c191e0	AIR_COOLED_CHILLER
85493019-16dc-4ae1-9771-49fdafd47479	34b16b8f-c8f9-41f0-af2e-f716b9e1d0f2	COOLING_TOWER
85493019-16dc-4ae1-9771-49fdafd47479	42887616-0685-4f6b-8c37-5fcb77588ffe	DRY_COOLER
85493019-16dc-4ae1-9771-49fdafd47479	f816cdc3-4339-49c7-bc0c-64145a37cfd5	REMOTE_CONDENSER
85493019-16dc-4ae1-9771-49fdafd47479	732d7fb3-e34d-4bdd-87f3-291e95f9c67f	CHILLED_WATER_PUMPS
85493019-16dc-4ae1-9771-49fdafd47479	ddaa81dd-eb67-4f5e-9639-11f2fddeb704	HEAT_REJECTION_PUMPS
85493019-16dc-4ae1-9771-49fdafd47479	4b42a658-fe0a-4dee-8eb8-258c27ce92be	VENTILATION
85493019-16dc-4ae1-9771-49fdafd47479	cbb31dbf-09c9-4b0d-8eac-bb10018bfb15	INFILTRATION
85493019-16dc-4ae1-9771-49fdafd47479	1cfc6100-e899-4886-9741-bfac85896a22	IT_LOAD
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	923c1ed8-9300-4745-84b5-316d98131e77	SWITCHGEAR
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	9aa35c7a-2f4a-46ca-823e-bf0e95194d90	GENERATOR
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	1fdec8d5-eeff-4117-9241-0c8d06dc1c2c	PRIMARY_AUXILIARIES
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	5650caa4-ca90-48d5-a8f0-1f41677ff99f	UPS
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	0ef1b588-f1c3-408b-a013-6470331e8adf	CRITICAL_AUXILIARIES
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	1ce16155-0ab6-4d58-9fdc-c93aca2051d3	LIGHTING
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	b9c8c0f1-2b3d-4d81-a10c-2253f50feb24	CRITICAL_POWER_DISTRIBUTION
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	db646b6b-63cb-4252-9131-c50864a13779	CRAH
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	5fe1c2bc-bdf3-4d06-93a6-72581270d378	CRAC
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	4350c6d4-f7f2-41ff-908e-aeb2a14dffd3	CRAC_WITHOUT_FAN
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	06b672af-87b0-49c7-8251-3c4b695a3a4d	CRAC_FAN
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	56c131a7-1793-4f2d-a141-517f9645a954	CHILLER
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	8a6b2676-a80d-4038-b50a-1725f3fc963e	AIR_COOLED_CHILLER
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	5a9ae091-e35e-4a79-9314-a2827e49c280	COOLING_TOWER
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	9efddeea-1f04-48b7-b023-9ada526b4107	DRY_COOLER
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	e9523014-847f-4cfd-89c0-603a09c74d65	REMOTE_CONDENSER
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	c9d16a94-4c5c-4e77-998b-7dc6e5e9d7db	CHILLED_WATER_PUMPS
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	0f119ff5-c680-4773-bdcf-4d825e45e42c	HEAT_REJECTION_PUMPS
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	9c28ddf5-7eaf-4dc0-a3e7-08a8b3bf53bf	VENTILATION
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	c093f932-031a-4b26-975a-951b857bcce1	INFILTRATION
0ad12bac-dbfe-4809-bd46-a627ba7c7e3e	3e5f72f8-e12b-407a-9157-4db8e7f3e444	IT_LOAD
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	ed991571-ef66-4dd1-8f20-a54bfd0eb9f8	SWITCHGEAR
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	01907f98-b29a-46ab-9984-410bd70daf7c	GENERATOR
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	b1deb905-bd6f-4a58-8adb-586dc7970d9d	PRIMARY_AUXILIARIES
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	d88e91f5-c9c3-4d9c-a0ef-355867a82014	UPS
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	d9b5b9a3-d67f-4273-ad54-26ce964056bb	CRITICAL_AUXILIARIES
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	8505baff-176e-4b07-a608-54daccea10a9	LIGHTING
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	f7f63b40-c086-41cb-9bba-7533db200498	CRITICAL_POWER_DISTRIBUTION
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	d1761b0a-73d0-4ed0-9db9-f45c0b61ed01	CRAH
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	438dfa44-be44-466a-b74b-90422d75df28	CRAC
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	1ec8623b-12bd-4332-af85-731951477ff8	CRAC_WITHOUT_FAN
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	f3406abe-c6ec-49ec-a2a4-d941d6db2b9a	CRAC_FAN
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	861ff1df-8bdd-4209-b031-7d01fe0355d7	CHILLER
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	6aab844e-e77a-4546-a58f-78eee06cfadd	AIR_COOLED_CHILLER
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	168e1ad1-1a4f-44e8-88d6-2a284ce65fed	COOLING_TOWER
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	d56f7545-1720-4280-a4b8-cf2bc74d617a	DRY_COOLER
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	0ca42e97-ba59-4139-b52c-3b8bb27b6fe7	REMOTE_CONDENSER
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	455b4220-881a-4b90-8b5d-319cafed647e	CHILLED_WATER_PUMPS
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	b275ccad-c8f2-419a-8cd6-856af2167600	HEAT_REJECTION_PUMPS
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	b0c59737-f71c-44fb-91cc-75a2fcc75b73	VENTILATION
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	c14fec9a-be20-44e8-8bf2-13620f893d5d	INFILTRATION
c1b7e0c1-3500-44a2-8bc7-1001b49385f1	5b89c144-56fe-42a8-8669-d2c55e9a8cde	IT_LOAD
046d4a95-52d3-4095-8409-ac500c35eae2	cdfe4a37-2cab-4d71-9b48-0a478b680e97	SWITCHGEAR
046d4a95-52d3-4095-8409-ac500c35eae2	922e4066-c62c-4e08-8338-d3c4bb47cf7d	GENERATOR
046d4a95-52d3-4095-8409-ac500c35eae2	e7c4b783-0691-4e38-94e3-e0eaec023e89	PRIMARY_AUXILIARIES
046d4a95-52d3-4095-8409-ac500c35eae2	c7f248fd-b0bc-403e-a886-5d77d97124cf	UPS
046d4a95-52d3-4095-8409-ac500c35eae2	4bbca0a1-83d4-4b7b-ac3b-efe919b54bfd	CRITICAL_AUXILIARIES
046d4a95-52d3-4095-8409-ac500c35eae2	9c34b539-b0da-4faa-8b00-dc9404eda833	LIGHTING
046d4a95-52d3-4095-8409-ac500c35eae2	58b69d00-1d5f-4bc7-946c-5eebe5be2338	CRITICAL_POWER_DISTRIBUTION
046d4a95-52d3-4095-8409-ac500c35eae2	3cbfb815-2b04-4773-98a2-1ca17660e9b6	CRAH
046d4a95-52d3-4095-8409-ac500c35eae2	3d0a88db-3d1c-4062-9e00-88b1161f0c45	CRAC
046d4a95-52d3-4095-8409-ac500c35eae2	67cf15ef-4c1d-4f79-ad44-61b5ed5ac2ff	CRAC_WITHOUT_FAN
046d4a95-52d3-4095-8409-ac500c35eae2	27e97a41-b8f4-42eb-9a28-2fb3f3e5c21a	CRAC_FAN
046d4a95-52d3-4095-8409-ac500c35eae2	82373cf6-40ea-42c8-ab47-e46df509daa7	CHILLER
046d4a95-52d3-4095-8409-ac500c35eae2	9ddeefce-f8b0-4e81-8200-68a559f70967	AIR_COOLED_CHILLER
046d4a95-52d3-4095-8409-ac500c35eae2	13ff724e-fa1a-4ffa-9940-1f2598d4dfb4	COOLING_TOWER
046d4a95-52d3-4095-8409-ac500c35eae2	ecacafc6-e5e4-4abe-9b96-a67b8b20f551	DRY_COOLER
046d4a95-52d3-4095-8409-ac500c35eae2	f1c4d391-0201-4f49-966c-3354b9c3df00	REMOTE_CONDENSER
046d4a95-52d3-4095-8409-ac500c35eae2	ddd00588-aeda-4989-8b0d-70c9a8dc7dd3	CHILLED_WATER_PUMPS
046d4a95-52d3-4095-8409-ac500c35eae2	602f5e41-8b84-49d2-bf17-610cc9c2ff75	HEAT_REJECTION_PUMPS
046d4a95-52d3-4095-8409-ac500c35eae2	a969986c-a62c-4cd4-b07e-d9aea332cbef	VENTILATION
046d4a95-52d3-4095-8409-ac500c35eae2	4f07b8e4-3476-46cb-aea0-c97c5be21c60	INFILTRATION
046d4a95-52d3-4095-8409-ac500c35eae2	4700604c-d3fe-4d93-8b6e-d7da1c62825e	IT_LOAD
982de915-6293-44ff-9df5-88a706a59f4c	d5767c55-b662-4091-b8f5-c88684b86e2c	SWITCHGEAR
982de915-6293-44ff-9df5-88a706a59f4c	db054f14-5400-4525-bcbe-5d38e290af2c	GENERATOR
982de915-6293-44ff-9df5-88a706a59f4c	be6fd30a-5b8b-44c5-9684-f77257de7f75	PRIMARY_AUXILIARIES
982de915-6293-44ff-9df5-88a706a59f4c	08354e95-25c0-41f1-b786-c795c956b60b	UPS
982de915-6293-44ff-9df5-88a706a59f4c	e73dc2d2-5b4f-42e4-a18b-a4bfb77be90c	CRITICAL_AUXILIARIES
982de915-6293-44ff-9df5-88a706a59f4c	4d5b6a59-29e8-4a96-9bdd-0f27382a1e7d	LIGHTING
982de915-6293-44ff-9df5-88a706a59f4c	fa56ee31-c31b-463f-a122-bfe2f9bb45c4	CRITICAL_POWER_DISTRIBUTION
982de915-6293-44ff-9df5-88a706a59f4c	de3cef0d-1baf-43e1-bd0d-e892e4d38914	CRAH
982de915-6293-44ff-9df5-88a706a59f4c	3a368a98-7fef-4930-9c83-1ab5c178a00a	CRAC
982de915-6293-44ff-9df5-88a706a59f4c	93c573bf-4ca7-4bba-9c03-e0307319746f	CRAC_WITHOUT_FAN
982de915-6293-44ff-9df5-88a706a59f4c	887d76dc-d8bd-4335-a425-87f3d8c43354	CRAC_FAN
982de915-6293-44ff-9df5-88a706a59f4c	8c22cd55-d53c-47af-a77c-800f6b6f90d9	CHILLER
982de915-6293-44ff-9df5-88a706a59f4c	b85b7345-fb33-4cf5-b725-682b8206e3ec	AIR_COOLED_CHILLER
982de915-6293-44ff-9df5-88a706a59f4c	f287d981-3603-4ca1-85a9-96dadad8e738	COOLING_TOWER
982de915-6293-44ff-9df5-88a706a59f4c	a593213c-1a8a-45a3-b029-14d055cd2148	DRY_COOLER
982de915-6293-44ff-9df5-88a706a59f4c	9c1cfed3-f075-41fd-ab0c-4d9ac677d3d6	REMOTE_CONDENSER
982de915-6293-44ff-9df5-88a706a59f4c	f28bbaa4-113a-4852-b9e1-b9af04406692	CHILLED_WATER_PUMPS
982de915-6293-44ff-9df5-88a706a59f4c	004a77c4-ac7e-46e6-b38c-26a1c98574f9	HEAT_REJECTION_PUMPS
982de915-6293-44ff-9df5-88a706a59f4c	a57cb4c8-32ed-450a-877f-d3277a18ad39	VENTILATION
982de915-6293-44ff-9df5-88a706a59f4c	1b2cc54f-f55d-4b3c-b890-9cefc0ec546b	INFILTRATION
982de915-6293-44ff-9df5-88a706a59f4c	d858ee54-069e-4b32-a996-df4730a64486	IT_LOAD
3ef030e4-e7c2-4711-9cb9-88652e8bade3	bd4525e8-01db-4c5b-b12d-2da9cba26e20	SWITCHGEAR
3ef030e4-e7c2-4711-9cb9-88652e8bade3	57cf94f6-c944-4229-8fe5-7145b4fc370e	GENERATOR
3ef030e4-e7c2-4711-9cb9-88652e8bade3	17ce5ec1-196d-45cb-9f75-247a5badc267	PRIMARY_AUXILIARIES
3ef030e4-e7c2-4711-9cb9-88652e8bade3	f992afdb-1c50-4923-b939-4ef12eb3544e	UPS
3ef030e4-e7c2-4711-9cb9-88652e8bade3	c7552846-e96d-4d49-8213-0cb5433aeb6a	CRITICAL_AUXILIARIES
3ef030e4-e7c2-4711-9cb9-88652e8bade3	ffd64291-bbef-42e0-9b17-9886078cdb55	LIGHTING
3ef030e4-e7c2-4711-9cb9-88652e8bade3	315f5d6b-c234-40fe-9072-3755147b652f	CRITICAL_POWER_DISTRIBUTION
3ef030e4-e7c2-4711-9cb9-88652e8bade3	b574014c-e2d6-4949-98df-dca8ed5ec87c	CRAH
3ef030e4-e7c2-4711-9cb9-88652e8bade3	dda28666-fb7c-4c8a-841e-868de6826605	CRAC
3ef030e4-e7c2-4711-9cb9-88652e8bade3	7be12be4-0638-4399-af85-ce76182efc99	CRAC_WITHOUT_FAN
3ef030e4-e7c2-4711-9cb9-88652e8bade3	bb23d908-27e4-4128-b87e-6c80df8238ec	CRAC_FAN
3ef030e4-e7c2-4711-9cb9-88652e8bade3	ec5e3039-89ab-49b0-a660-8d1e94c0767f	CHILLER
3ef030e4-e7c2-4711-9cb9-88652e8bade3	d897600a-9097-4662-af32-6eff641c3547	AIR_COOLED_CHILLER
3ef030e4-e7c2-4711-9cb9-88652e8bade3	2b2a83fe-f781-42cb-9033-8f7823980b20	COOLING_TOWER
3ef030e4-e7c2-4711-9cb9-88652e8bade3	1687a649-f621-4b2e-8a5a-36800324049d	DRY_COOLER
3ef030e4-e7c2-4711-9cb9-88652e8bade3	c8ee7f5e-4621-4f23-be5b-d1b0abe1dfcb	REMOTE_CONDENSER
3ef030e4-e7c2-4711-9cb9-88652e8bade3	f21b4fef-57a3-4200-8ef7-a5f940ebfef3	CHILLED_WATER_PUMPS
3ef030e4-e7c2-4711-9cb9-88652e8bade3	fbd6826f-862e-4285-b5db-26172bb9a9cd	HEAT_REJECTION_PUMPS
3ef030e4-e7c2-4711-9cb9-88652e8bade3	8eb0f468-bcd6-4b7d-91b3-85f997a76cd9	VENTILATION
3ef030e4-e7c2-4711-9cb9-88652e8bade3	46075541-ce14-4900-b93b-30adce8bb2f1	INFILTRATION
3ef030e4-e7c2-4711-9cb9-88652e8bade3	949dea82-e94d-4f3f-98b4-c3ff4d0481e2	IT_LOAD
3ba99bb2-3576-4739-a40c-7114a053e6d9	bad33484-311d-43d8-8eb1-6cee7007557c	SWITCHGEAR
3ba99bb2-3576-4739-a40c-7114a053e6d9	6aced6f2-f0cd-477c-9e2b-0e4c236dda8d	GENERATOR
3ba99bb2-3576-4739-a40c-7114a053e6d9	f6e2fdd6-0645-4491-b46f-720f6729f9b9	PRIMARY_AUXILIARIES
3ba99bb2-3576-4739-a40c-7114a053e6d9	3aa00e1f-bcd0-4bf8-8971-bb20851bfe2f	UPS
3ba99bb2-3576-4739-a40c-7114a053e6d9	2a9157ea-1203-4ad2-a12c-b3d39cc3c529	CRITICAL_AUXILIARIES
3ba99bb2-3576-4739-a40c-7114a053e6d9	95b30d92-7ca4-41e8-b95e-0396b7bf69f8	LIGHTING
3ba99bb2-3576-4739-a40c-7114a053e6d9	78b7e890-13a5-48a4-b525-a11d700d850f	CRITICAL_POWER_DISTRIBUTION
3ba99bb2-3576-4739-a40c-7114a053e6d9	96e1f8db-89b3-4072-8b41-78a360dde4ea	CRAH
3ba99bb2-3576-4739-a40c-7114a053e6d9	9e8cb552-3f86-4789-9724-fcccc536446a	CRAC
3ba99bb2-3576-4739-a40c-7114a053e6d9	a457dc24-aab7-4e4b-b26a-faf3935eabd5	CRAC_WITHOUT_FAN
3ba99bb2-3576-4739-a40c-7114a053e6d9	c87a1462-486f-4c15-921f-90fc39db2e30	CRAC_FAN
3ba99bb2-3576-4739-a40c-7114a053e6d9	edc9fb5c-b87f-4635-ba1f-a6daf532a19f	CHILLER
3ba99bb2-3576-4739-a40c-7114a053e6d9	14f77493-4277-46de-b7b0-fe3b64760634	AIR_COOLED_CHILLER
3ba99bb2-3576-4739-a40c-7114a053e6d9	741ef646-43cc-4de8-a3c5-a75b05fb0d43	COOLING_TOWER
3ba99bb2-3576-4739-a40c-7114a053e6d9	58d97a44-8968-4b0f-89a1-6a2acbc81805	DRY_COOLER
3ba99bb2-3576-4739-a40c-7114a053e6d9	fd99d802-0761-419b-a38b-efdf59f3111f	REMOTE_CONDENSER
3ba99bb2-3576-4739-a40c-7114a053e6d9	f8bae865-1c57-4053-9b6b-4198f61c564c	CHILLED_WATER_PUMPS
3ba99bb2-3576-4739-a40c-7114a053e6d9	4925ea72-a5e0-4a38-af09-ec87795af04a	HEAT_REJECTION_PUMPS
3ba99bb2-3576-4739-a40c-7114a053e6d9	48fc5510-e5aa-4303-b348-430c0aac0a9e	VENTILATION
3ba99bb2-3576-4739-a40c-7114a053e6d9	4e632279-3a88-4739-a300-12e3021c3ebd	INFILTRATION
3ba99bb2-3576-4739-a40c-7114a053e6d9	a9d0f30c-e158-4cfe-a531-d796eeaa9ada	IT_LOAD
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	7f678c3d-0206-4ba1-ac68-855ed6e0b713	SWITCHGEAR
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	fbded1d2-1a47-49ae-84da-24d3cf56c155	GENERATOR
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	32fce8c5-422b-4644-9db3-e80b8867c515	PRIMARY_AUXILIARIES
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	ecaba019-78f8-41ac-a87a-031ec039c4bf	UPS
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	a310a353-b8c0-4a6c-97c8-7d1d8c1c52ef	CRITICAL_AUXILIARIES
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	27c33485-a578-4071-8e8d-51f12eff86ff	LIGHTING
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	28f4e19e-d0dc-4055-a7d5-e42ca64c83e1	CRITICAL_POWER_DISTRIBUTION
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	89b34988-4e1a-49e4-bfcb-be4d3b0d7cf6	CRAH
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	de3d5b9b-bbff-4910-bc96-2b37cde51156	CRAC
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	926bbf65-8ffa-405f-b8aa-be998e51c2b2	CRAC_WITHOUT_FAN
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	56aee6fe-6f66-4fc5-a29f-1abfab5508ef	CRAC_FAN
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	e73e8ee8-0f11-443b-8430-ea5f680ad9e2	CHILLER
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	68b7ae9b-03d8-47c8-82a7-09f4245569a2	AIR_COOLED_CHILLER
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	e2d539d5-135e-45f9-ad6a-8b9c2f5d66f4	COOLING_TOWER
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	f128442d-5044-40ca-8342-511c976e6829	DRY_COOLER
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	04fe7874-aca1-442d-87a5-877cf00246d3	REMOTE_CONDENSER
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	d0586612-94dd-4fad-ab0c-fbc95942f928	CHILLED_WATER_PUMPS
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	e7d5dede-35d0-4b14-a58f-261cee598009	HEAT_REJECTION_PUMPS
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	42fb0cc0-97f6-406f-a542-e1a1a72f3680	VENTILATION
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	539137d1-5aad-45c8-b8fd-86af21eb4303	INFILTRATION
a26b6d5d-34da-4c63-8b6e-76e4933e7b96	cfdbd93e-da46-4922-b329-d963a1d9c7bb	IT_LOAD
94f76734-2f93-49bb-be65-2b16667e92b2	6c94fd77-54a3-4f59-ba93-4d16ade5ebff	SWITCHGEAR
94f76734-2f93-49bb-be65-2b16667e92b2	f6b0ad30-5859-4645-8354-ab563da95285	GENERATOR
94f76734-2f93-49bb-be65-2b16667e92b2	aa248568-04f4-4cd3-8ca7-1c0889aa0b46	PRIMARY_AUXILIARIES
94f76734-2f93-49bb-be65-2b16667e92b2	aea778b7-85f0-44ef-bdc6-1c445747d29c	UPS
94f76734-2f93-49bb-be65-2b16667e92b2	74d747d5-0b47-43ca-91e8-5b90ad372054	CRITICAL_AUXILIARIES
94f76734-2f93-49bb-be65-2b16667e92b2	5712d00b-c3a3-4334-9e33-dc9cb500292c	LIGHTING
94f76734-2f93-49bb-be65-2b16667e92b2	f7f80e1f-1218-4054-888c-d1eeb49da20b	CRITICAL_POWER_DISTRIBUTION
94f76734-2f93-49bb-be65-2b16667e92b2	2274ef2b-1e1c-4cbe-82d5-10b266c1ef50	CRAH
94f76734-2f93-49bb-be65-2b16667e92b2	1198ee94-a0a7-4646-be09-a09d3db00175	CRAC
94f76734-2f93-49bb-be65-2b16667e92b2	41dc6faa-17d1-427b-a783-07077c3571c5	CRAC_WITHOUT_FAN
94f76734-2f93-49bb-be65-2b16667e92b2	278a70c7-bdfc-47a8-bbb3-18e0cffb7acd	CRAC_FAN
94f76734-2f93-49bb-be65-2b16667e92b2	dc138b63-296b-447a-9503-0c736f6b6fe7	CHILLER
94f76734-2f93-49bb-be65-2b16667e92b2	4228557e-8a77-44b8-882b-c93375e00d4f	AIR_COOLED_CHILLER
94f76734-2f93-49bb-be65-2b16667e92b2	ff8b9d06-c9ca-4a60-8f1c-ea02171d1df6	COOLING_TOWER
94f76734-2f93-49bb-be65-2b16667e92b2	781b26da-3b08-4ac1-8d4d-e16587a456df	DRY_COOLER
94f76734-2f93-49bb-be65-2b16667e92b2	976cc993-8045-4c6c-8011-eab4de464c9d	REMOTE_CONDENSER
94f76734-2f93-49bb-be65-2b16667e92b2	316f224c-36aa-4f10-a23a-eeb04bbed7d8	CHILLED_WATER_PUMPS
94f76734-2f93-49bb-be65-2b16667e92b2	73ca5c73-2467-4fee-91ee-1b87cc0611c9	HEAT_REJECTION_PUMPS
94f76734-2f93-49bb-be65-2b16667e92b2	28c90cd1-7ef8-474d-9a4b-9ab1b6fdb8af	VENTILATION
94f76734-2f93-49bb-be65-2b16667e92b2	58ebec75-1ecd-4a30-8c38-51224b1141d9	INFILTRATION
94f76734-2f93-49bb-be65-2b16667e92b2	69b272d2-a1cf-4372-afcc-96df1d9e88a1	IT_LOAD
98d01179-b0d7-461c-9644-bb1523e25f49	9b478f7f-cbdf-4dd3-97bf-186236025fc8	SWITCHGEAR
98d01179-b0d7-461c-9644-bb1523e25f49	5df38ddd-a69d-460b-9c45-36f1a2912e7b	GENERATOR
98d01179-b0d7-461c-9644-bb1523e25f49	5196147f-1ae3-4e17-8e45-e93b77c4fc8a	PRIMARY_AUXILIARIES
98d01179-b0d7-461c-9644-bb1523e25f49	a5892066-fa13-4fd6-a9ea-d25cb126374f	UPS
98d01179-b0d7-461c-9644-bb1523e25f49	1df930fb-c490-420e-83e2-f5c1a0b42c02	CRITICAL_AUXILIARIES
98d01179-b0d7-461c-9644-bb1523e25f49	77d65dd0-1b3c-46db-b895-fd915e3da677	LIGHTING
98d01179-b0d7-461c-9644-bb1523e25f49	94f27452-8e06-498c-9c19-0d68477b21c9	CRITICAL_POWER_DISTRIBUTION
98d01179-b0d7-461c-9644-bb1523e25f49	5e3eaab2-e9f5-4c81-8f58-d8ae47bace56	CRAH
98d01179-b0d7-461c-9644-bb1523e25f49	3451ea21-0016-477d-a42b-861b030d64c1	CRAC
98d01179-b0d7-461c-9644-bb1523e25f49	8e238c08-d064-4658-bb13-db3b6619d865	CRAC_WITHOUT_FAN
98d01179-b0d7-461c-9644-bb1523e25f49	14beada6-d770-46a2-aed5-bb5b824c0f39	CRAC_FAN
98d01179-b0d7-461c-9644-bb1523e25f49	159072a6-b315-484e-9a47-9ac473ec0f6f	CHILLER
98d01179-b0d7-461c-9644-bb1523e25f49	e34f0a12-e5c2-47b4-9fe6-af0e2d9df110	AIR_COOLED_CHILLER
98d01179-b0d7-461c-9644-bb1523e25f49	9d82c1f8-2d71-49b7-8f9b-6f77ceb7d4c1	COOLING_TOWER
98d01179-b0d7-461c-9644-bb1523e25f49	efcf78c2-92f6-46c2-a19f-3f0e9fc3806e	DRY_COOLER
98d01179-b0d7-461c-9644-bb1523e25f49	28714e13-4751-4f03-874b-effc1e73f514	REMOTE_CONDENSER
98d01179-b0d7-461c-9644-bb1523e25f49	80665f79-d17b-48b8-b2c1-023b3e974841	CHILLED_WATER_PUMPS
98d01179-b0d7-461c-9644-bb1523e25f49	02367484-8c5e-42ed-af43-3858c7cd7a82	HEAT_REJECTION_PUMPS
98d01179-b0d7-461c-9644-bb1523e25f49	c2a582e8-8e40-4b24-be85-4a4361c519f7	VENTILATION
98d01179-b0d7-461c-9644-bb1523e25f49	d4d05211-6bc1-4d59-b438-a7e727a8a9fc	INFILTRATION
98d01179-b0d7-461c-9644-bb1523e25f49	951ecb0e-90bf-40a3-ab90-bc1589096052	IT_LOAD
310f5f29-a50c-4014-b25f-8705d27e2b3a	07556c5c-c7d5-4458-8879-f267c41dad19	SWITCHGEAR
310f5f29-a50c-4014-b25f-8705d27e2b3a	fa1c00d0-d3ce-419c-ab28-a63275912e85	GENERATOR
310f5f29-a50c-4014-b25f-8705d27e2b3a	aae03d32-c844-4656-9595-290cdb6ec705	PRIMARY_AUXILIARIES
310f5f29-a50c-4014-b25f-8705d27e2b3a	22339619-45f2-4df3-be1e-51f57004f69f	UPS
310f5f29-a50c-4014-b25f-8705d27e2b3a	eff707df-076a-4a09-947f-820b0d71298a	CRITICAL_AUXILIARIES
310f5f29-a50c-4014-b25f-8705d27e2b3a	0add3698-2c44-485e-9ee1-da15303a87ab	LIGHTING
310f5f29-a50c-4014-b25f-8705d27e2b3a	844514f5-345f-48e6-9785-d3a9c7174697	CRITICAL_POWER_DISTRIBUTION
310f5f29-a50c-4014-b25f-8705d27e2b3a	db74d3eb-838d-47c0-8728-6dac1a4d5e5e	CRAH
310f5f29-a50c-4014-b25f-8705d27e2b3a	a0583e7f-841b-4ad8-a113-61eb500a4d08	CRAC
310f5f29-a50c-4014-b25f-8705d27e2b3a	e2779c27-a508-454e-bf1d-f47911fd8a3b	CRAC_WITHOUT_FAN
310f5f29-a50c-4014-b25f-8705d27e2b3a	e3cdbc1a-e5fc-43b8-9cc2-a50be8b96336	CRAC_FAN
310f5f29-a50c-4014-b25f-8705d27e2b3a	ed22ca75-2a95-4696-800a-4e8c6fcfbff3	CHILLER
310f5f29-a50c-4014-b25f-8705d27e2b3a	c8b2cc8b-3fd3-415f-8ac0-cb314a27f6f1	AIR_COOLED_CHILLER
310f5f29-a50c-4014-b25f-8705d27e2b3a	9c41ae30-2671-4da6-8fa5-c999d99bdea4	COOLING_TOWER
310f5f29-a50c-4014-b25f-8705d27e2b3a	995474af-09a4-444d-a77c-36e00a3e5766	DRY_COOLER
310f5f29-a50c-4014-b25f-8705d27e2b3a	26fee578-5d45-4a4d-944c-f32709282e6c	REMOTE_CONDENSER
310f5f29-a50c-4014-b25f-8705d27e2b3a	6f23764a-a7e1-466a-b394-8b5c19648a30	CHILLED_WATER_PUMPS
310f5f29-a50c-4014-b25f-8705d27e2b3a	73c4a071-8ea1-4a7d-8090-2774a5e29bf6	HEAT_REJECTION_PUMPS
310f5f29-a50c-4014-b25f-8705d27e2b3a	e7f0e461-e279-482c-ae16-855e7402e80a	VENTILATION
310f5f29-a50c-4014-b25f-8705d27e2b3a	bdb85154-5daf-47ee-82ff-4fc74aa9a22e	INFILTRATION
310f5f29-a50c-4014-b25f-8705d27e2b3a	96526f9f-58b6-42a1-8f86-38f013959c9f	IT_LOAD
50333a48-2663-44d1-ae12-5aa4e985bac0	2ba2561c-c8d8-478c-89e3-aa1dc84cdaf4	SWITCHGEAR
50333a48-2663-44d1-ae12-5aa4e985bac0	8a39587f-f919-485f-bcad-e471cd521b28	GENERATOR
50333a48-2663-44d1-ae12-5aa4e985bac0	d5b89ecc-ef73-4452-8ed0-805467d405b7	PRIMARY_AUXILIARIES
50333a48-2663-44d1-ae12-5aa4e985bac0	177801db-b132-4ded-a76c-d8653e2db602	UPS
50333a48-2663-44d1-ae12-5aa4e985bac0	2f478bcd-377a-4584-b56f-83e57fab5f02	CRITICAL_AUXILIARIES
50333a48-2663-44d1-ae12-5aa4e985bac0	5db45f4f-8923-4203-86b5-af5a8534bb77	LIGHTING
50333a48-2663-44d1-ae12-5aa4e985bac0	7672bd92-8290-472c-ad93-a930087465f4	CRITICAL_POWER_DISTRIBUTION
50333a48-2663-44d1-ae12-5aa4e985bac0	2c20ec7b-d0f0-434b-839f-51bdc924a73d	CRAH
50333a48-2663-44d1-ae12-5aa4e985bac0	f116906d-e881-486b-ae71-5fb803a115ae	CRAC
50333a48-2663-44d1-ae12-5aa4e985bac0	958a1a73-f521-4260-bda0-0ddc7c735088	CRAC_WITHOUT_FAN
50333a48-2663-44d1-ae12-5aa4e985bac0	ca307733-84ce-4888-93e1-e80996f862b5	CRAC_FAN
50333a48-2663-44d1-ae12-5aa4e985bac0	3a9a1626-4f42-48e1-b2f8-850c76f1f90f	CHILLER
50333a48-2663-44d1-ae12-5aa4e985bac0	baf28c54-b3fc-41c1-8cd7-f8ba7603884a	AIR_COOLED_CHILLER
50333a48-2663-44d1-ae12-5aa4e985bac0	c5056a74-2596-4f6b-b4a8-97b2a2d05c80	COOLING_TOWER
50333a48-2663-44d1-ae12-5aa4e985bac0	eb17c37a-1c55-41bb-91ab-f0fd1b988431	DRY_COOLER
50333a48-2663-44d1-ae12-5aa4e985bac0	70dc37d9-2c85-43f6-826b-7bf6dc18c5a7	REMOTE_CONDENSER
50333a48-2663-44d1-ae12-5aa4e985bac0	49a1979f-16f1-4535-a79c-a78dd6a94c16	CHILLED_WATER_PUMPS
50333a48-2663-44d1-ae12-5aa4e985bac0	11d24264-8eee-4f09-a8d3-67991a4a1101	HEAT_REJECTION_PUMPS
50333a48-2663-44d1-ae12-5aa4e985bac0	a02ac55c-9df6-4801-87ba-e35319b9b568	VENTILATION
50333a48-2663-44d1-ae12-5aa4e985bac0	28c4c956-e2d1-4d2a-a85d-2bf08c71edbb	INFILTRATION
50333a48-2663-44d1-ae12-5aa4e985bac0	c18c62c4-694b-4de4-b1e1-97d9831e9c7d	IT_LOAD
bd7bb909-2e42-42b1-9cb5-873c545e016c	1b18e590-4c58-4af3-ad72-f7424611a0b4	SWITCHGEAR
bd7bb909-2e42-42b1-9cb5-873c545e016c	51328e61-e810-4d9b-913b-07fd7a14ea94	GENERATOR
bd7bb909-2e42-42b1-9cb5-873c545e016c	c7426953-17f5-439f-b466-9f3adf37bf55	PRIMARY_AUXILIARIES
bd7bb909-2e42-42b1-9cb5-873c545e016c	9a6a46a3-c832-4a35-8505-c70d76fa13f6	UPS
bd7bb909-2e42-42b1-9cb5-873c545e016c	07e94ad3-6677-4568-b875-00a59b6eab5a	CRITICAL_AUXILIARIES
bd7bb909-2e42-42b1-9cb5-873c545e016c	7f471750-a606-4470-83ce-77f8db8757b9	LIGHTING
bd7bb909-2e42-42b1-9cb5-873c545e016c	6d9679d7-5104-48e7-860b-1afec2fc6ade	CRITICAL_POWER_DISTRIBUTION
bd7bb909-2e42-42b1-9cb5-873c545e016c	a94db8f0-14c0-4526-a2a9-d5ee327321d3	CRAH
bd7bb909-2e42-42b1-9cb5-873c545e016c	d06cf2fb-7def-44d5-937f-42c2a1df29d8	CRAC
bd7bb909-2e42-42b1-9cb5-873c545e016c	bed8c670-f2ce-4e67-9bff-238bcd9ac6c9	CRAC_WITHOUT_FAN
bd7bb909-2e42-42b1-9cb5-873c545e016c	e5ba59c2-f265-416e-b968-0237fefa2278	CRAC_FAN
bd7bb909-2e42-42b1-9cb5-873c545e016c	0760007f-f62d-44a2-b32a-dfd18b5c2035	CHILLER
bd7bb909-2e42-42b1-9cb5-873c545e016c	9f48b60e-275b-4948-9eed-789d9b2d8f8c	AIR_COOLED_CHILLER
bd7bb909-2e42-42b1-9cb5-873c545e016c	6020bf2b-432d-4566-959b-8f3a1962e7e0	COOLING_TOWER
bd7bb909-2e42-42b1-9cb5-873c545e016c	a27e9a51-5000-4ac1-aeb2-09ed2f550ea6	DRY_COOLER
bd7bb909-2e42-42b1-9cb5-873c545e016c	ef85c27f-f097-46b3-bf45-3ce1749ec09f	REMOTE_CONDENSER
bd7bb909-2e42-42b1-9cb5-873c545e016c	aa129921-a942-46ef-b16e-6018ed6f813b	CHILLED_WATER_PUMPS
bd7bb909-2e42-42b1-9cb5-873c545e016c	c582c22e-895d-45b3-91f0-fd39fdced057	HEAT_REJECTION_PUMPS
bd7bb909-2e42-42b1-9cb5-873c545e016c	970a700b-abe0-46c9-9953-abefb8f398dd	VENTILATION
bd7bb909-2e42-42b1-9cb5-873c545e016c	5a21ffed-acb7-426e-b73d-aa9511dec4d9	INFILTRATION
bd7bb909-2e42-42b1-9cb5-873c545e016c	d8198c67-1dc5-4e57-8201-9dab171dab50	IT_LOAD
6d5dd2a6-905e-43be-b7e7-406123853fe2	3172bf06-c126-411c-bcff-54413a9e9916	SWITCHGEAR
6d5dd2a6-905e-43be-b7e7-406123853fe2	f3a2e670-812a-4f87-aa44-e087381ac036	GENERATOR
6d5dd2a6-905e-43be-b7e7-406123853fe2	189684e3-238a-445b-812d-82b59796dd02	PRIMARY_AUXILIARIES
6d5dd2a6-905e-43be-b7e7-406123853fe2	36708ea2-fbd7-4b15-9d15-76259f8203cb	UPS
6d5dd2a6-905e-43be-b7e7-406123853fe2	910aac6e-e7c9-434a-89c4-88317ac16a3d	CRITICAL_AUXILIARIES
6d5dd2a6-905e-43be-b7e7-406123853fe2	6457a79d-e16d-4437-bfc9-5ea880fc6012	LIGHTING
6d5dd2a6-905e-43be-b7e7-406123853fe2	704b2df1-585e-4a8a-8e01-4c73fc80b82a	CRITICAL_POWER_DISTRIBUTION
6d5dd2a6-905e-43be-b7e7-406123853fe2	af7489bc-a626-463c-a38b-c16275bb1be3	CRAH
6d5dd2a6-905e-43be-b7e7-406123853fe2	b0183f34-532a-4169-bf0c-df00deaf5b96	CRAC
6d5dd2a6-905e-43be-b7e7-406123853fe2	f02ce023-7859-47d6-bb0b-2eaf3aca0cd0	CRAC_WITHOUT_FAN
6d5dd2a6-905e-43be-b7e7-406123853fe2	64e9703f-78d6-4930-a421-c996ff3f1bbe	CRAC_FAN
6d5dd2a6-905e-43be-b7e7-406123853fe2	b0cc3b2b-66eb-40ee-936a-051de5c0da97	CHILLER
6d5dd2a6-905e-43be-b7e7-406123853fe2	b5deaf27-dc54-4ac3-853b-85094553f2a2	AIR_COOLED_CHILLER
6d5dd2a6-905e-43be-b7e7-406123853fe2	4fedd4ad-eb5a-46fc-a902-74209bc18281	COOLING_TOWER
6d5dd2a6-905e-43be-b7e7-406123853fe2	1135a035-9cd4-4b09-bb5c-aa1b1087105b	DRY_COOLER
6d5dd2a6-905e-43be-b7e7-406123853fe2	79a0264c-5d33-41f9-9add-b857429d5366	REMOTE_CONDENSER
6d5dd2a6-905e-43be-b7e7-406123853fe2	cd517cf1-b51d-4908-96fc-faa18bdd3488	CHILLED_WATER_PUMPS
6d5dd2a6-905e-43be-b7e7-406123853fe2	e50acb41-77a2-47d7-9844-6e9260c54213	HEAT_REJECTION_PUMPS
6d5dd2a6-905e-43be-b7e7-406123853fe2	50233c0e-ad61-471e-b2bb-25279c7e74d5	VENTILATION
6d5dd2a6-905e-43be-b7e7-406123853fe2	230a481e-581b-49ec-b246-e15f4ad852e6	INFILTRATION
6d5dd2a6-905e-43be-b7e7-406123853fe2	1257c39f-db48-444f-a86d-e5ee0799ed7e	IT_LOAD
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	76a03d55-8f71-4beb-b519-2cf52ad32fe6	SWITCHGEAR
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	5f9834b1-7ca3-4941-9b4d-2bd6afe5fe4c	GENERATOR
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	e911b3de-3433-40b7-a308-2232750cfcc7	PRIMARY_AUXILIARIES
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	725669f1-cc01-4fbb-b4b6-a40cb09c8888	UPS
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	d820fb34-0245-4425-ab9f-9e6c4e012a3f	CRITICAL_AUXILIARIES
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	95a73b0d-6587-4243-a38d-5a0f805c2e43	LIGHTING
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	29415ba6-5dad-4568-b151-dc2cd21a5898	CRITICAL_POWER_DISTRIBUTION
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	928abef0-70f1-49a6-8964-124c0daff83a	CRAH
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	f7f86438-5a59-4206-9139-74b8ab44b860	CRAC
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	7aa58894-de62-409b-87b6-e5ee01dc06ac	CRAC_WITHOUT_FAN
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	5a731a12-e10c-4007-b1c8-a1cb8687cb4d	CRAC_FAN
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	a6d6dbce-f108-4758-b18b-b254f1f44627	CHILLER
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	315cf64d-89ae-4b91-9b17-e0d68fd59a25	AIR_COOLED_CHILLER
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	ceef434c-3eaf-4244-9d42-a9cbb439a911	COOLING_TOWER
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	32e347c3-f02f-42ca-ab23-db6e8a9a1ce2	DRY_COOLER
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	850373ba-110c-4e3a-a56b-6e7c6a2228c2	REMOTE_CONDENSER
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	20553f04-8733-441d-9658-24da3dd049f6	CHILLED_WATER_PUMPS
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	268d39ef-6cd2-4c03-bb81-9a31bef2dc65	HEAT_REJECTION_PUMPS
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	3cba9ea0-c244-4148-ac35-2b91e77f78b3	VENTILATION
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	a8cf3e30-39c3-4aad-8c7e-31bf83d11dc4	INFILTRATION
cd7c59b7-7aa4-4b39-bbac-717a5b26f42a	fb8f88e9-e9da-45a1-a181-a99c489a020c	IT_LOAD
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	9048bd9c-4f21-40a5-b039-535bcb3991c7	SWITCHGEAR
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	f4286357-6708-4317-9a32-3cc9b679571e	GENERATOR
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	6965da91-e5c4-4b23-9587-e92117d5ad1d	PRIMARY_AUXILIARIES
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	da488f9e-f042-4c3a-9561-b6d5e9c71a90	UPS
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	e304c9bf-4883-4801-8427-942806000fdd	CRITICAL_AUXILIARIES
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	f462249e-ff36-4339-bcda-919f63c2117b	LIGHTING
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	66e1f808-d4e9-4a28-81f0-9e42a70eb398	CRITICAL_POWER_DISTRIBUTION
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	4694754d-cc41-4278-8cf0-c1aefb6a0048	CRAH
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	9add9e76-0cba-47c4-9c03-67032de224ef	CRAC
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	e1ab8ce9-85b6-4c68-bbc9-58fdcc18ef90	CRAC_WITHOUT_FAN
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	62f6a107-0fdc-4a50-8d82-33b646ed1b04	CRAC_FAN
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	4356532f-7458-4d27-8258-3adddbd3e4b9	CHILLER
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	6395b9aa-39dc-4e29-ac70-b4607c76e430	AIR_COOLED_CHILLER
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	b986371c-8ca1-49ac-aab1-60c2f47e2565	COOLING_TOWER
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	dc3d2b52-646e-41d5-9411-747fe5d3817a	DRY_COOLER
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	51616ba0-43b0-47e1-bada-a94bf0deac4a	REMOTE_CONDENSER
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	78cc65b1-892a-441c-91cd-526560df17bf	CHILLED_WATER_PUMPS
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	111ad110-d28d-4d80-ab55-e48b337829ce	HEAT_REJECTION_PUMPS
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	752697a2-af70-43c7-8c3f-533d092e33a2	VENTILATION
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	89c5dc92-7c57-4ad9-9729-eabe28ef52d5	INFILTRATION
cfe3af3f-7c2c-4b28-a6b6-36827af2eaa4	1d2ae859-bc68-4d0e-811a-a12c2f600d08	IT_LOAD
db20e02f-45c5-42f8-b60c-27e9c573b013	9d38d55a-a200-4482-937a-5fa0c251f765	SWITCHGEAR
db20e02f-45c5-42f8-b60c-27e9c573b013	2edf9c13-da3d-4c2c-8dfc-a980860ab383	GENERATOR
db20e02f-45c5-42f8-b60c-27e9c573b013	3344851c-ab8e-4303-98c9-b4d37d70948a	PRIMARY_AUXILIARIES
db20e02f-45c5-42f8-b60c-27e9c573b013	c41f3826-6a06-498c-8658-d4e8315b30e3	UPS
db20e02f-45c5-42f8-b60c-27e9c573b013	45bef6e4-0426-4b46-8c11-b096e9d2b100	CRITICAL_AUXILIARIES
db20e02f-45c5-42f8-b60c-27e9c573b013	87ee219b-0c46-42c0-9db0-bbd83854be60	LIGHTING
db20e02f-45c5-42f8-b60c-27e9c573b013	85255466-b621-4296-8281-1aa1023c2830	CRITICAL_POWER_DISTRIBUTION
db20e02f-45c5-42f8-b60c-27e9c573b013	04833d23-fd38-42ce-861b-73d2b067e578	CRAH
db20e02f-45c5-42f8-b60c-27e9c573b013	5c72d4ee-02d3-434b-ae13-85121aca7f88	CRAC
db20e02f-45c5-42f8-b60c-27e9c573b013	a1a9ec4f-55ea-4244-93b3-81ace1347e12	CRAC_WITHOUT_FAN
db20e02f-45c5-42f8-b60c-27e9c573b013	607a0792-dd96-453c-bc88-73b4d78e4982	CRAC_FAN
db20e02f-45c5-42f8-b60c-27e9c573b013	5ecd61dc-27e8-43b2-9253-17c4707590b9	CHILLER
db20e02f-45c5-42f8-b60c-27e9c573b013	7dc7b21f-783f-47c4-8a3e-4267bb8ee2c1	AIR_COOLED_CHILLER
db20e02f-45c5-42f8-b60c-27e9c573b013	cd6c4aad-4fc5-4c39-8b42-b12f6f585ad0	COOLING_TOWER
db20e02f-45c5-42f8-b60c-27e9c573b013	fa7872db-bb72-4505-8795-5c796c260dd9	DRY_COOLER
db20e02f-45c5-42f8-b60c-27e9c573b013	27026366-b40e-46e6-84ed-d14dfba32167	REMOTE_CONDENSER
db20e02f-45c5-42f8-b60c-27e9c573b013	273a5ef9-2228-4cb2-b2b6-f993743cecf8	CHILLED_WATER_PUMPS
db20e02f-45c5-42f8-b60c-27e9c573b013	fd5e3889-87f3-4f20-be62-ef3961601a5c	HEAT_REJECTION_PUMPS
db20e02f-45c5-42f8-b60c-27e9c573b013	234164a0-e896-46da-b2dc-5406cbcfd962	VENTILATION
db20e02f-45c5-42f8-b60c-27e9c573b013	61095a47-cb56-4485-abb9-fc4b3d0469da	INFILTRATION
db20e02f-45c5-42f8-b60c-27e9c573b013	ef9bebdb-676f-4331-a8ab-a5c92dbfe4a0	IT_LOAD
15ce37fb-bc47-4123-9ef7-bf5412f34829	f0ab44c3-014a-42ff-8a9d-1087b58c7c49	SWITCHGEAR
15ce37fb-bc47-4123-9ef7-bf5412f34829	8fa694e5-2c43-41e4-a9c4-c2aea74e1253	GENERATOR
15ce37fb-bc47-4123-9ef7-bf5412f34829	48dedcc2-77c8-48ac-8754-e603ba7494df	PRIMARY_AUXILIARIES
15ce37fb-bc47-4123-9ef7-bf5412f34829	ae51aff8-94fd-487c-9268-7f6ad8ca545d	UPS
15ce37fb-bc47-4123-9ef7-bf5412f34829	eae63911-501c-4a8c-9bef-ac4e4443c252	CRITICAL_AUXILIARIES
15ce37fb-bc47-4123-9ef7-bf5412f34829	1c4c109c-3b77-408a-b8fc-5aeb57a89582	LIGHTING
15ce37fb-bc47-4123-9ef7-bf5412f34829	cfbb19b2-09a2-4d4e-919b-cf1cb0f6c6e5	CRITICAL_POWER_DISTRIBUTION
15ce37fb-bc47-4123-9ef7-bf5412f34829	9fc3e814-769b-42ff-92c1-3ba34a7b51b2	CRAH
15ce37fb-bc47-4123-9ef7-bf5412f34829	eaf3c597-9a5b-424f-82d8-b693afc50121	CRAC
15ce37fb-bc47-4123-9ef7-bf5412f34829	cbc67e43-384c-4f9b-ab10-f7431397a05d	CRAC_WITHOUT_FAN
15ce37fb-bc47-4123-9ef7-bf5412f34829	90e12810-3717-4a3c-b705-7ba0ede31bc4	CRAC_FAN
15ce37fb-bc47-4123-9ef7-bf5412f34829	3722005a-1431-47ea-bc2e-49bd3e941ea1	CHILLER
15ce37fb-bc47-4123-9ef7-bf5412f34829	dd3deec5-1884-4e81-a333-d3cf628145b9	AIR_COOLED_CHILLER
15ce37fb-bc47-4123-9ef7-bf5412f34829	78d0aa24-c640-42c1-b02f-d98edf0124bc	COOLING_TOWER
15ce37fb-bc47-4123-9ef7-bf5412f34829	5f0bd4c6-1312-49f9-a096-9e5e9b0ed395	DRY_COOLER
15ce37fb-bc47-4123-9ef7-bf5412f34829	a082de2f-0d12-4b9f-a7ef-36b0164fd5f0	REMOTE_CONDENSER
15ce37fb-bc47-4123-9ef7-bf5412f34829	70dc596b-9059-42bd-b4ac-8f3b536203d7	CHILLED_WATER_PUMPS
15ce37fb-bc47-4123-9ef7-bf5412f34829	6254bb1f-3dd7-495a-a72a-23627cf7fd47	HEAT_REJECTION_PUMPS
15ce37fb-bc47-4123-9ef7-bf5412f34829	45f0bc78-a218-467a-92ff-bae0178dbdd9	VENTILATION
15ce37fb-bc47-4123-9ef7-bf5412f34829	1cdf5ef9-7535-4c4f-b32f-04245d901553	INFILTRATION
15ce37fb-bc47-4123-9ef7-bf5412f34829	1e720706-179e-4876-bf7a-bac806786001	IT_LOAD
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	b4d4e329-b4ad-4f9f-9a92-606074665530	SWITCHGEAR
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	4877844e-f7f6-47ed-8943-778594933c20	GENERATOR
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	5166dd9a-c7ab-431a-9144-f41e77fc3581	PRIMARY_AUXILIARIES
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	42ea6e29-53e5-435b-b74d-235165e512b7	UPS
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	5128ac5a-1a14-4ef1-8a1b-3ff883d10b45	CRITICAL_AUXILIARIES
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	d6d84138-a08f-4246-8f88-5b7eaf6b5a01	LIGHTING
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	7f791b19-597c-42c1-882b-3aafa3bac757	CRITICAL_POWER_DISTRIBUTION
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	62ebc775-72dd-44b0-89b1-830c561c219f	CRAH
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	c4576ed3-759a-43f2-843d-f542f418934c	CRAC
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	823b4431-1fc9-4f60-8761-6bba991f149b	CRAC_WITHOUT_FAN
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	ea4bfd3e-af95-4567-9909-42cc9e301f50	CRAC_FAN
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	e34d5a60-2695-4043-85d5-1d98be3f2a2a	CHILLER
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	3d7184e4-22c4-4138-b342-bfc23ee5ed25	AIR_COOLED_CHILLER
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	f6cf78c4-d43d-4a7e-8fdb-7e3171c940f0	COOLING_TOWER
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	d284d2dd-9a3d-4193-8ec6-a636f37a07f7	DRY_COOLER
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	67be20ee-4a1a-4b9a-b30a-0432234457df	REMOTE_CONDENSER
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	daa01c84-0c4b-43e9-9a67-91be7fc3c858	CHILLED_WATER_PUMPS
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	e815f923-344e-45a2-8eee-56223dc8e0c9	HEAT_REJECTION_PUMPS
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	920f9458-003c-42a0-85bc-94d9d68d8c62	VENTILATION
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	5e249d46-fcdd-4d8f-975a-fb327993efd7	INFILTRATION
7d65c0c5-f5f5-425e-a2fd-fe6509f2f082	9ca567cd-4a6b-47e7-8198-dd680982b938	IT_LOAD
39bd29cf-d444-41b0-90ca-75fe34645352	68adaa20-dbbf-41a3-b942-e19200aa8f8f	SWITCHGEAR
39bd29cf-d444-41b0-90ca-75fe34645352	f1df239d-7e4f-4418-aa85-cc652fdfbb50	GENERATOR
39bd29cf-d444-41b0-90ca-75fe34645352	6a3b83ec-2b0e-4a30-88ed-5b200ea1ad15	PRIMARY_AUXILIARIES
39bd29cf-d444-41b0-90ca-75fe34645352	ab8858a0-2e7b-4669-9a40-8f320166a035	UPS
39bd29cf-d444-41b0-90ca-75fe34645352	117c72ae-9822-45c0-9af3-5de5b35ae472	CRITICAL_AUXILIARIES
39bd29cf-d444-41b0-90ca-75fe34645352	f5bdd0f1-b23e-4b1d-9c00-ad0cfd22325e	LIGHTING
39bd29cf-d444-41b0-90ca-75fe34645352	931f5514-0e3e-4723-b702-4099255967a9	CRITICAL_POWER_DISTRIBUTION
39bd29cf-d444-41b0-90ca-75fe34645352	21d9227e-9333-4787-8da0-78734451669c	CRAH
39bd29cf-d444-41b0-90ca-75fe34645352	e60a440a-f46a-4d48-b1b8-4639f57f3575	CRAC
39bd29cf-d444-41b0-90ca-75fe34645352	0d62f118-2807-44d7-b5c1-e8f1f66ee9a0	CRAC_WITHOUT_FAN
39bd29cf-d444-41b0-90ca-75fe34645352	fce5f6e1-ec08-4ecd-91d5-e31bbd92bf0c	CRAC_FAN
39bd29cf-d444-41b0-90ca-75fe34645352	01180bca-a0f3-4c1d-92fd-d51472d071fb	CHILLER
39bd29cf-d444-41b0-90ca-75fe34645352	ddd0007c-f310-44ee-86b3-e9f9c0461774	AIR_COOLED_CHILLER
39bd29cf-d444-41b0-90ca-75fe34645352	44592bde-d8bf-43fa-ae15-ac2964bd6a17	COOLING_TOWER
39bd29cf-d444-41b0-90ca-75fe34645352	423baa4d-a09a-4c96-92f4-90ad46646a90	DRY_COOLER
39bd29cf-d444-41b0-90ca-75fe34645352	b3370c9c-6e82-47ba-8224-66b4c2484b28	REMOTE_CONDENSER
39bd29cf-d444-41b0-90ca-75fe34645352	79dff60d-7c76-4a16-ac6b-22254c0dcd1c	CHILLED_WATER_PUMPS
39bd29cf-d444-41b0-90ca-75fe34645352	6bf65703-d0a4-45c0-9d72-1ec90f39e5cc	HEAT_REJECTION_PUMPS
39bd29cf-d444-41b0-90ca-75fe34645352	1aea9a19-0634-4d81-8721-6bac59b5591c	VENTILATION
39bd29cf-d444-41b0-90ca-75fe34645352	f7006e00-b52a-43f4-bfe5-5cdfae2705b0	INFILTRATION
39bd29cf-d444-41b0-90ca-75fe34645352	038f8e3a-e656-4e8e-b05c-4f81916994ee	IT_LOAD
41761a91-caa0-494b-9ced-ff1ca398285b	30ca200a-c0ff-4272-91b9-7d0f67de9324	SWITCHGEAR
41761a91-caa0-494b-9ced-ff1ca398285b	6c6a31e4-c9f8-4779-b05e-ba16e9824ecf	GENERATOR
41761a91-caa0-494b-9ced-ff1ca398285b	4a060c2c-c67b-43af-8f6c-b5b9295f8eb8	PRIMARY_AUXILIARIES
41761a91-caa0-494b-9ced-ff1ca398285b	3c1b552c-b278-4846-a1b6-9433e59f69f5	UPS
41761a91-caa0-494b-9ced-ff1ca398285b	f6a01e0a-683a-4b4b-bd7f-46a395fdc870	CRITICAL_AUXILIARIES
41761a91-caa0-494b-9ced-ff1ca398285b	5135771e-a04f-4ac8-be78-ca42a0e9310b	LIGHTING
41761a91-caa0-494b-9ced-ff1ca398285b	9ccd646a-1803-428e-930d-cb0772b80f55	CRITICAL_POWER_DISTRIBUTION
41761a91-caa0-494b-9ced-ff1ca398285b	025a9938-03e1-4573-82ac-43e1d7595e05	CRAH
41761a91-caa0-494b-9ced-ff1ca398285b	b331dfa8-79bc-471f-8590-7032cf3d003e	CRAC
41761a91-caa0-494b-9ced-ff1ca398285b	97a45819-ed57-45a8-9bd6-92d6929b0703	CRAC_WITHOUT_FAN
41761a91-caa0-494b-9ced-ff1ca398285b	a54ae7ec-2aec-49d7-8d21-961ee27162b1	CRAC_FAN
41761a91-caa0-494b-9ced-ff1ca398285b	6ef3424d-6047-4b32-bae8-ec0f3686dc26	CHILLER
41761a91-caa0-494b-9ced-ff1ca398285b	61cd1bf5-1d37-48f1-b046-d5f953fc5cc8	AIR_COOLED_CHILLER
41761a91-caa0-494b-9ced-ff1ca398285b	c6fc7565-fe24-455c-a222-56979a4d910f	COOLING_TOWER
41761a91-caa0-494b-9ced-ff1ca398285b	d46af27e-68da-483a-9d7f-914ef2437337	DRY_COOLER
41761a91-caa0-494b-9ced-ff1ca398285b	4c2e833e-c523-4389-b7ff-8ded951d4b7b	REMOTE_CONDENSER
41761a91-caa0-494b-9ced-ff1ca398285b	5b9d8c71-37c8-4ec8-abae-f204a3f64480	CHILLED_WATER_PUMPS
41761a91-caa0-494b-9ced-ff1ca398285b	09d52c90-af32-4e2e-84d5-ad536c30e392	HEAT_REJECTION_PUMPS
41761a91-caa0-494b-9ced-ff1ca398285b	4ade3fed-9fc6-49dc-990c-7cd15826c2e7	VENTILATION
41761a91-caa0-494b-9ced-ff1ca398285b	afd7c00c-0535-4173-849f-415ec4d305a4	INFILTRATION
41761a91-caa0-494b-9ced-ff1ca398285b	0a5e63e6-f675-4dfa-ab47-855534931354	IT_LOAD
916e9aaf-be31-4ac0-85a5-ed4ccde33943	db674390-886c-42d0-b468-dfb7dc87d580	SWITCHGEAR
916e9aaf-be31-4ac0-85a5-ed4ccde33943	f026f254-7e05-4f6b-b596-978fba00cd55	GENERATOR
916e9aaf-be31-4ac0-85a5-ed4ccde33943	95837f5e-7d47-4ad2-8137-bd68340774f4	PRIMARY_AUXILIARIES
916e9aaf-be31-4ac0-85a5-ed4ccde33943	a31ddf10-46e6-42cc-b23e-c6466d5855f8	UPS
916e9aaf-be31-4ac0-85a5-ed4ccde33943	1231d5c9-535c-4bf4-bc7c-ec3a1f43070f	CRITICAL_AUXILIARIES
916e9aaf-be31-4ac0-85a5-ed4ccde33943	47d925c1-46a4-49ef-b124-03713ab7b7fe	LIGHTING
916e9aaf-be31-4ac0-85a5-ed4ccde33943	242ead4d-b7c5-4b88-ae93-a44250c7d80c	CRITICAL_POWER_DISTRIBUTION
916e9aaf-be31-4ac0-85a5-ed4ccde33943	a335caf6-daf2-43ff-8ee7-0d55a77df195	CRAH
916e9aaf-be31-4ac0-85a5-ed4ccde33943	ff175e48-e7c9-454b-8849-8c5269d9e222	CRAC
916e9aaf-be31-4ac0-85a5-ed4ccde33943	1966d216-af1e-4d6f-baea-c3fccdb17abc	CRAC_WITHOUT_FAN
916e9aaf-be31-4ac0-85a5-ed4ccde33943	3e8ea7fa-41bf-4db0-9442-fc6ed2a3e29d	CRAC_FAN
916e9aaf-be31-4ac0-85a5-ed4ccde33943	c312307a-ec60-45f2-ad36-4167d0563b7e	CHILLER
916e9aaf-be31-4ac0-85a5-ed4ccde33943	fbffe383-0109-47ac-ae8a-f971d8af2894	AIR_COOLED_CHILLER
916e9aaf-be31-4ac0-85a5-ed4ccde33943	6648e9d9-4c54-489f-a5e8-8108faea7c49	COOLING_TOWER
916e9aaf-be31-4ac0-85a5-ed4ccde33943	f559d0fb-bf3a-42f7-8f60-860f9496d083	DRY_COOLER
916e9aaf-be31-4ac0-85a5-ed4ccde33943	30616025-e150-4541-bbd5-41f9178bd99b	REMOTE_CONDENSER
916e9aaf-be31-4ac0-85a5-ed4ccde33943	9255a044-e5ab-4def-8ae0-6f8c2aeda484	CHILLED_WATER_PUMPS
916e9aaf-be31-4ac0-85a5-ed4ccde33943	c7db598a-7ec9-406e-a740-96177a3e843c	HEAT_REJECTION_PUMPS
916e9aaf-be31-4ac0-85a5-ed4ccde33943	35161789-8972-4349-a5d3-616e5cda7735	VENTILATION
916e9aaf-be31-4ac0-85a5-ed4ccde33943	3a450004-191a-4054-b393-4e44af1e69f5	INFILTRATION
916e9aaf-be31-4ac0-85a5-ed4ccde33943	8b221cfc-426c-4b9f-b29e-190c162a6899	IT_LOAD
e5d31602-7f39-4c30-95b6-c78789af2089	80265c74-f634-49f2-acec-f056c0aea968	SWITCHGEAR
e5d31602-7f39-4c30-95b6-c78789af2089	5348c4ad-023d-40a2-ba7f-c3be39f705ae	GENERATOR
e5d31602-7f39-4c30-95b6-c78789af2089	c8b84a10-1b3d-442c-b3e4-63dd220fef31	PRIMARY_AUXILIARIES
e5d31602-7f39-4c30-95b6-c78789af2089	4d761fba-d032-4cd1-9803-1e91512ea0cf	UPS
e5d31602-7f39-4c30-95b6-c78789af2089	58dfba7a-61b9-4b5c-97a3-6f0766f3b3fd	CRITICAL_AUXILIARIES
e5d31602-7f39-4c30-95b6-c78789af2089	2d2f96bc-c483-4199-a733-44714431b139	LIGHTING
e5d31602-7f39-4c30-95b6-c78789af2089	66a27ab0-f35b-4bef-828a-455c76702392	CRITICAL_POWER_DISTRIBUTION
e5d31602-7f39-4c30-95b6-c78789af2089	cc1d9772-c3e8-4470-b95e-49a3c0cdfc1b	CRAH
e5d31602-7f39-4c30-95b6-c78789af2089	f929eb57-0480-4675-bfca-5d9ad0ddd79c	CRAC
e5d31602-7f39-4c30-95b6-c78789af2089	592fa87a-063d-4a11-bd21-b2999706aa25	CRAC_WITHOUT_FAN
e5d31602-7f39-4c30-95b6-c78789af2089	94399e76-ba2c-4efb-bde2-2959e11e0876	CRAC_FAN
e5d31602-7f39-4c30-95b6-c78789af2089	62ef84d8-afc6-49f9-8565-467db2a5af49	CHILLER
e5d31602-7f39-4c30-95b6-c78789af2089	2099ff07-28ab-4ff4-a0f9-8d0d040e892a	AIR_COOLED_CHILLER
e5d31602-7f39-4c30-95b6-c78789af2089	ba9f4063-1aa3-48b1-a077-d479f7263760	COOLING_TOWER
e5d31602-7f39-4c30-95b6-c78789af2089	609ff8fa-eb38-42c7-bb7f-fe223b7cef15	DRY_COOLER
e5d31602-7f39-4c30-95b6-c78789af2089	d23c9dcd-774a-4505-8c79-884ced535fe5	REMOTE_CONDENSER
e5d31602-7f39-4c30-95b6-c78789af2089	d0dd09d4-1879-422e-826f-bab0639ea740	CHILLED_WATER_PUMPS
e5d31602-7f39-4c30-95b6-c78789af2089	124a9cab-aefe-4571-b349-0a8df1a6fe98	HEAT_REJECTION_PUMPS
e5d31602-7f39-4c30-95b6-c78789af2089	daa6920c-6f9e-42d4-9bb0-e733db751670	VENTILATION
e5d31602-7f39-4c30-95b6-c78789af2089	a8a6d23d-d471-4dc9-a209-8a0429a0c407	INFILTRATION
e5d31602-7f39-4c30-95b6-c78789af2089	0b1c6327-5df3-4c66-aad5-d02ec32b8210	IT_LOAD
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	53710cb2-5cc1-4a60-b79b-0c863f84299c	SWITCHGEAR
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	914549eb-e624-4f8b-8588-8d5edd99ec32	GENERATOR
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	612337bc-e5af-411c-a600-4070353fb2eb	PRIMARY_AUXILIARIES
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	9a5ee2bf-ba8c-48b4-b8ab-9f038224d078	UPS
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	38cde267-de0f-4bb9-a9da-11657f916947	CRITICAL_AUXILIARIES
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	809c47f5-ff9d-4f54-b3a3-69ea2d4d951e	LIGHTING
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	462275ef-aa13-43d3-a6fc-6912dc1e0e08	CRITICAL_POWER_DISTRIBUTION
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	c03c5d01-e6c3-4b3c-9891-fc2074bd7f82	CRAH
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	e19ba024-7048-44ad-b19f-e087ed5d83b4	CRAC
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	85c120df-2d77-4133-9966-8ff293e80629	CRAC_WITHOUT_FAN
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	5809ced0-391d-49af-9fc5-09a64238de0d	CRAC_FAN
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	766d64b8-84e6-466f-a2b1-2cea90fbd84f	CHILLER
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	68ed91ce-588e-4c92-a4f0-3a6cb7fa4989	AIR_COOLED_CHILLER
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	91f10ed9-e861-4105-8d5c-9e26e463c560	COOLING_TOWER
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	ecc9a61a-79f3-4184-9f9e-c864a42ceadd	DRY_COOLER
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	f64c3069-8532-44ad-9909-30ca55520853	REMOTE_CONDENSER
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	f4ced8df-6111-4c09-bac2-8d6fd50d126c	CHILLED_WATER_PUMPS
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	f6451c4d-9e98-4bb9-be54-7958ebe770a0	HEAT_REJECTION_PUMPS
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	6391d886-6d5f-4339-b79a-d44c608f703f	VENTILATION
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	3a4f165a-411b-4841-8147-adc2ac18e428	INFILTRATION
b011ba3a-17ed-4d98-aa7f-78e6917fc63e	36f2adbb-ad5b-4036-8d72-45b4be913fb4	IT_LOAD
4603fe9e-a620-425b-a602-7c78ae774972	bd146468-62cb-4e5a-baf9-2a7b54a74b35	SWITCHGEAR
4603fe9e-a620-425b-a602-7c78ae774972	2a2a547e-b787-4bc1-9a64-c71695261c3b	GENERATOR
4603fe9e-a620-425b-a602-7c78ae774972	755f5939-2113-4504-8a6c-ea6174d5b010	PRIMARY_AUXILIARIES
4603fe9e-a620-425b-a602-7c78ae774972	26a76fe1-5999-438b-ba3a-bf48a4a21672	UPS
4603fe9e-a620-425b-a602-7c78ae774972	656a155c-c99a-45f7-878f-f14a8db1ae6f	CRITICAL_AUXILIARIES
4603fe9e-a620-425b-a602-7c78ae774972	258e2389-0df3-49a7-a42d-7d7a649ea00b	LIGHTING
4603fe9e-a620-425b-a602-7c78ae774972	2e53a521-457c-4084-9fae-5ce243ed8f16	CRITICAL_POWER_DISTRIBUTION
4603fe9e-a620-425b-a602-7c78ae774972	15abb325-7e60-46e6-b62c-bf60aa9471df	CRAH
4603fe9e-a620-425b-a602-7c78ae774972	8b76c586-30c6-40e5-86c6-68ee0f418ec6	CRAC
4603fe9e-a620-425b-a602-7c78ae774972	080142b0-7817-449f-bfb8-ac94486368a2	CRAC_WITHOUT_FAN
4603fe9e-a620-425b-a602-7c78ae774972	7aba70ab-2fcd-4aab-a273-7b327c86a75f	CRAC_FAN
4603fe9e-a620-425b-a602-7c78ae774972	c567e42a-5d5a-4dd1-b1b1-29c50e473f7a	CHILLER
4603fe9e-a620-425b-a602-7c78ae774972	5b0b00ea-be21-4bb3-9054-7e3a2d306750	AIR_COOLED_CHILLER
4603fe9e-a620-425b-a602-7c78ae774972	b28ed3ec-2d41-4efb-a3ac-5e7b381b4be2	COOLING_TOWER
4603fe9e-a620-425b-a602-7c78ae774972	419c5a38-c751-4d3a-9c27-fec15388baf2	DRY_COOLER
4603fe9e-a620-425b-a602-7c78ae774972	c63ff3f5-999b-4f1f-a64a-30ebf29c7952	REMOTE_CONDENSER
4603fe9e-a620-425b-a602-7c78ae774972	835011b0-3d9c-42b9-af34-56ab3dab438a	CHILLED_WATER_PUMPS
4603fe9e-a620-425b-a602-7c78ae774972	75ecf184-c7f0-48bc-b7a4-1a14979b0046	HEAT_REJECTION_PUMPS
4603fe9e-a620-425b-a602-7c78ae774972	03822c77-8120-4fbd-ba06-3fe60cb26e6e	VENTILATION
4603fe9e-a620-425b-a602-7c78ae774972	e9bcd259-8509-4c3b-9734-94905a1bbfa6	INFILTRATION
4603fe9e-a620-425b-a602-7c78ae774972	b6f940a1-1581-4cfe-9d29-39ea8c886136	IT_LOAD
6bafab54-b491-4121-bb1e-deca6653c6a6	57e8fb56-2034-4ee4-8c7e-cd489fb3dae6	SWITCHGEAR
6bafab54-b491-4121-bb1e-deca6653c6a6	1c81d8aa-85e0-499c-8ae0-34f48fdd255f	GENERATOR
6bafab54-b491-4121-bb1e-deca6653c6a6	aac24a71-f5bd-41bd-8917-c7eb08a9f48f	PRIMARY_AUXILIARIES
6bafab54-b491-4121-bb1e-deca6653c6a6	ff6239dd-cd13-439e-b088-913417120d85	UPS
6bafab54-b491-4121-bb1e-deca6653c6a6	b496f9c7-7f68-41a1-be8c-b678cf503386	CRITICAL_AUXILIARIES
6bafab54-b491-4121-bb1e-deca6653c6a6	82d1a244-3516-4225-a1e5-7796b8c65130	LIGHTING
6bafab54-b491-4121-bb1e-deca6653c6a6	66b20002-6bc0-4dd1-b98a-0043e3cab099	CRITICAL_POWER_DISTRIBUTION
6bafab54-b491-4121-bb1e-deca6653c6a6	98f039a3-2f63-4ce7-9655-273ccaf9b504	CRAH
6bafab54-b491-4121-bb1e-deca6653c6a6	a0b17fd5-e1bf-40a9-985c-90407a28ad9b	CRAC
6bafab54-b491-4121-bb1e-deca6653c6a6	d5ae8b65-016a-49db-a51d-06e37782e61b	CRAC_WITHOUT_FAN
6bafab54-b491-4121-bb1e-deca6653c6a6	30b4839d-de51-475b-9815-73b4555fe781	CRAC_FAN
6bafab54-b491-4121-bb1e-deca6653c6a6	5ed3190e-d203-4c13-bb2f-b411a8d8c597	CHILLER
6bafab54-b491-4121-bb1e-deca6653c6a6	833145a0-cdc9-49ed-a8e3-80bc8ce86d87	AIR_COOLED_CHILLER
6bafab54-b491-4121-bb1e-deca6653c6a6	4f225fd8-f3f9-48ba-8d41-43ebfd798a48	COOLING_TOWER
6bafab54-b491-4121-bb1e-deca6653c6a6	0ff7163d-30b3-4af7-bf9f-9e373f20980b	DRY_COOLER
6bafab54-b491-4121-bb1e-deca6653c6a6	8565d6ea-cca1-4182-9472-758965390113	REMOTE_CONDENSER
6bafab54-b491-4121-bb1e-deca6653c6a6	4f76d7ac-8321-4538-8c21-9f731b849335	CHILLED_WATER_PUMPS
6bafab54-b491-4121-bb1e-deca6653c6a6	ffca68f7-93b6-48c9-a3ef-5286d4462fef	HEAT_REJECTION_PUMPS
6bafab54-b491-4121-bb1e-deca6653c6a6	e75ec5cc-6268-4591-afb3-26df20700e33	VENTILATION
6bafab54-b491-4121-bb1e-deca6653c6a6	eb0b718e-5895-4b4d-bbea-20674698891d	INFILTRATION
6bafab54-b491-4121-bb1e-deca6653c6a6	b1a7d399-feb0-42c3-a4b9-5f5cdfe0650e	IT_LOAD
05c09e45-5f4e-46e4-8b19-b66b406fe861	76415e01-79e6-49a3-a619-8e3f85d5922b	SWITCHGEAR
05c09e45-5f4e-46e4-8b19-b66b406fe861	b59d12ff-dc94-4f4f-bc74-c358a1eee3b5	GENERATOR
05c09e45-5f4e-46e4-8b19-b66b406fe861	c6037238-6c1a-4e79-9c51-5f6622175564	PRIMARY_AUXILIARIES
05c09e45-5f4e-46e4-8b19-b66b406fe861	e3bf4100-f120-4363-a377-5d49ec9aad0f	UPS
05c09e45-5f4e-46e4-8b19-b66b406fe861	2169c603-40a5-4776-b678-7c49b6f81c4b	CRITICAL_AUXILIARIES
05c09e45-5f4e-46e4-8b19-b66b406fe861	a1e83fe3-89d8-4cfd-bf39-95df3c0c4a37	LIGHTING
05c09e45-5f4e-46e4-8b19-b66b406fe861	8a0e7e31-3b25-43a5-ade4-6f8fbbaecb6a	CRITICAL_POWER_DISTRIBUTION
05c09e45-5f4e-46e4-8b19-b66b406fe861	aca6bd65-442e-411d-ba5e-e8cac0858d30	CRAH
05c09e45-5f4e-46e4-8b19-b66b406fe861	4aab5287-2755-44da-b27f-91066fe6384a	CRAC
05c09e45-5f4e-46e4-8b19-b66b406fe861	907ca170-fbc6-41ea-8beb-ae7b110173ae	CRAC_WITHOUT_FAN
05c09e45-5f4e-46e4-8b19-b66b406fe861	6cf1bd71-bb0a-48ea-a116-e79d246f3aa9	CRAC_FAN
05c09e45-5f4e-46e4-8b19-b66b406fe861	19cfff06-4ee4-4342-b612-464fdf0da11e	CHILLER
05c09e45-5f4e-46e4-8b19-b66b406fe861	6c8a10c8-78ca-457e-87d9-cd2738e73e86	AIR_COOLED_CHILLER
05c09e45-5f4e-46e4-8b19-b66b406fe861	c121e753-ac38-46dc-951d-67d11be35871	COOLING_TOWER
05c09e45-5f4e-46e4-8b19-b66b406fe861	1682da93-531a-4088-afbf-809a99c58ed8	DRY_COOLER
05c09e45-5f4e-46e4-8b19-b66b406fe861	53123655-cf1b-4979-9a3c-5219e39e7f36	REMOTE_CONDENSER
05c09e45-5f4e-46e4-8b19-b66b406fe861	50cc1a51-2631-4075-86b5-ed9669214d28	CHILLED_WATER_PUMPS
05c09e45-5f4e-46e4-8b19-b66b406fe861	dd202cea-6062-4082-8ded-22d4d1e7f36a	HEAT_REJECTION_PUMPS
05c09e45-5f4e-46e4-8b19-b66b406fe861	ba7c1be7-f3b2-417f-b54f-cdcf8544a1c4	VENTILATION
05c09e45-5f4e-46e4-8b19-b66b406fe861	c2daebe9-8cf6-497d-8dc5-0c51e880b378	INFILTRATION
05c09e45-5f4e-46e4-8b19-b66b406fe861	3460f79f-a29b-4109-8e0e-f5515a2f495f	IT_LOAD
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	a9c78076-1625-489a-84e8-4f12d61521f6	SWITCHGEAR
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	2681d774-79f3-40f2-bd08-f1801cbef79c	GENERATOR
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	fa8c350d-8bac-4a78-8737-ff59fe27511f	PRIMARY_AUXILIARIES
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	2b0ce214-3a31-433b-b092-aa4fceb9e92b	UPS
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	e93b62f5-764a-4c81-a333-bb33d06af993	CRITICAL_AUXILIARIES
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	95ec574f-750c-4d7e-9081-bcfde167fa9c	LIGHTING
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	19c03cad-a12b-478d-9d27-091ac7352f26	CRITICAL_POWER_DISTRIBUTION
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	717e8272-ad04-43be-81f8-67bc35bb21c3	CRAH
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	6929c73f-f126-45c7-ae42-23c8ff84f28d	CRAC
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	ff91a393-bfac-46c5-a6ef-7b83146ed206	CRAC_WITHOUT_FAN
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	982bdeb8-cb0a-46a4-a6b8-d5b4f5872e2e	CRAC_FAN
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	bcc7e0f5-8680-44db-bd2b-b155731858b5	CHILLER
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	32b939cc-f159-4bfb-9bf7-bd399b63c3c5	AIR_COOLED_CHILLER
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	9f8c2a4c-a9e4-413f-a0c8-139df6c4a506	COOLING_TOWER
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	e0d942fc-61ec-4937-a974-16b96f22b922	DRY_COOLER
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	56ab9ba9-dbf2-43ce-abae-c1385abb69db	REMOTE_CONDENSER
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	9a480604-104d-4bb9-8437-d2eabda91bc3	CHILLED_WATER_PUMPS
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	0acf094e-af28-452d-b6d9-7972c9173eb3	HEAT_REJECTION_PUMPS
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	8a2aaff4-2039-4224-a437-c3817a18d948	VENTILATION
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	4318a5ca-46c7-4ca7-9db6-193153333353	INFILTRATION
bfdcd0fc-e092-4c37-9bed-15b0f3ffec96	b6a9c409-838c-4c52-86bf-10c507e0971d	IT_LOAD
a3789fc7-485b-4d59-949d-d8711569b343	55869a8a-8ff4-4257-98ef-c0b36782a632	SWITCHGEAR
a3789fc7-485b-4d59-949d-d8711569b343	0dc9e731-5fa9-4766-96dd-503668dfab01	GENERATOR
a3789fc7-485b-4d59-949d-d8711569b343	535a352d-8441-49f3-81f5-320df8804ba8	PRIMARY_AUXILIARIES
a3789fc7-485b-4d59-949d-d8711569b343	59a70dff-0fd0-4699-9c0c-f994b153f1b3	UPS
a3789fc7-485b-4d59-949d-d8711569b343	4aadd0db-5822-403c-9eac-b6c030119666	CRITICAL_AUXILIARIES
a3789fc7-485b-4d59-949d-d8711569b343	eb792be2-6185-460c-8d61-8cd0981273e2	LIGHTING
a3789fc7-485b-4d59-949d-d8711569b343	d6369de1-fd30-461b-b3da-a0b85289f56a	CRITICAL_POWER_DISTRIBUTION
a3789fc7-485b-4d59-949d-d8711569b343	9cbcbeab-3e0e-44a9-84e4-e2728be56f39	CRAH
a3789fc7-485b-4d59-949d-d8711569b343	68db0f9f-5163-4229-b3da-76acb78e2dae	CRAC
a3789fc7-485b-4d59-949d-d8711569b343	3e7aba8f-42fb-4532-8f0e-e6f4e35a40b8	CRAC_WITHOUT_FAN
a3789fc7-485b-4d59-949d-d8711569b343	a7477bab-c0fc-406e-8ba6-508fcb5995ad	CRAC_FAN
a3789fc7-485b-4d59-949d-d8711569b343	554928db-e6f5-4d4e-b4b1-da7a5dcddd14	CHILLER
a3789fc7-485b-4d59-949d-d8711569b343	0f633bab-4b39-44e6-9091-1aa254f6f41d	AIR_COOLED_CHILLER
a3789fc7-485b-4d59-949d-d8711569b343	497679e1-9f7c-4201-a935-668aecaaf1c3	COOLING_TOWER
a3789fc7-485b-4d59-949d-d8711569b343	6f28cc53-0068-4fea-93b4-ac84bc336866	DRY_COOLER
a3789fc7-485b-4d59-949d-d8711569b343	acf1c131-bd1a-4349-9662-6c80c733ad03	REMOTE_CONDENSER
a3789fc7-485b-4d59-949d-d8711569b343	2d458b5b-f375-491c-85a0-14755d9f95b8	CHILLED_WATER_PUMPS
a3789fc7-485b-4d59-949d-d8711569b343	626dedce-ae31-4ce9-a9ef-031b5b4c235b	HEAT_REJECTION_PUMPS
a3789fc7-485b-4d59-949d-d8711569b343	58bed316-abc7-4c05-a91b-0d4ee6017565	VENTILATION
a3789fc7-485b-4d59-949d-d8711569b343	0b1a0ec5-c91d-4c77-a340-8ad6ef1c314a	INFILTRATION
a3789fc7-485b-4d59-949d-d8711569b343	97f33745-1165-4265-8543-795aee994d96	IT_LOAD
388bfb4b-229c-46f9-97fd-700833602579	08dd475e-31c1-4e1b-a518-c781b81acfa4	SWITCHGEAR
388bfb4b-229c-46f9-97fd-700833602579	6d39be4f-b791-4f73-b2a9-17b0e5b1aa26	GENERATOR
388bfb4b-229c-46f9-97fd-700833602579	1e862a99-d277-49e5-8b2d-2805ed95ae0d	PRIMARY_AUXILIARIES
388bfb4b-229c-46f9-97fd-700833602579	43935482-3520-4229-a925-76aad6c2eaeb	UPS
388bfb4b-229c-46f9-97fd-700833602579	d5d007a7-2ad8-468b-ba9d-10015bb20a2b	CRITICAL_AUXILIARIES
388bfb4b-229c-46f9-97fd-700833602579	98e104d6-7a00-4368-8e53-2011e72979c4	LIGHTING
388bfb4b-229c-46f9-97fd-700833602579	473351a0-7f1a-42fa-923f-0a8512efc7c3	CRITICAL_POWER_DISTRIBUTION
388bfb4b-229c-46f9-97fd-700833602579	07c09709-a404-474b-bb50-c57c11f18c9c	CRAH
388bfb4b-229c-46f9-97fd-700833602579	9c4b2812-1c25-4cb8-acb6-7f6e944a3100	CRAC
388bfb4b-229c-46f9-97fd-700833602579	f4591555-7b81-41de-808a-598c310d7e25	CRAC_WITHOUT_FAN
388bfb4b-229c-46f9-97fd-700833602579	36bd4c56-3c3c-47df-b037-cfc9144fb2e8	CRAC_FAN
388bfb4b-229c-46f9-97fd-700833602579	8d445455-3b7c-4fde-9953-9b35732b8f62	CHILLER
388bfb4b-229c-46f9-97fd-700833602579	2b5d67a4-9449-42d7-a49f-ac62d726d15b	AIR_COOLED_CHILLER
388bfb4b-229c-46f9-97fd-700833602579	035ed069-fea9-4d3f-981d-d27c9f486f6e	COOLING_TOWER
388bfb4b-229c-46f9-97fd-700833602579	1a657f69-21f4-479e-ab41-262d23321b37	DRY_COOLER
388bfb4b-229c-46f9-97fd-700833602579	253f2c45-c619-44f3-bcdf-0156f99daa1c	REMOTE_CONDENSER
388bfb4b-229c-46f9-97fd-700833602579	ecdbb7a3-e6bf-45fd-bce6-d4a5544b8df4	CHILLED_WATER_PUMPS
388bfb4b-229c-46f9-97fd-700833602579	cfc57911-15c3-4fc7-bf98-838cd623cb60	HEAT_REJECTION_PUMPS
388bfb4b-229c-46f9-97fd-700833602579	4ff8bb96-2edc-49f5-bee4-6c703ae096f7	VENTILATION
388bfb4b-229c-46f9-97fd-700833602579	9876896a-27d1-4c33-9e69-491d8851d8ee	INFILTRATION
388bfb4b-229c-46f9-97fd-700833602579	0fc0ecd7-5c5d-4683-8c56-52df5ea48d52	IT_LOAD
47413c58-a215-48a0-be35-fb9884d78a57	cd475a7b-c448-407f-943c-6dfdc515ca95	SWITCHGEAR
47413c58-a215-48a0-be35-fb9884d78a57	2e3fc36c-e780-4be5-80d8-47ecac3c4a1f	GENERATOR
47413c58-a215-48a0-be35-fb9884d78a57	afe2a08b-6e05-4ee8-8872-74d7ad2187a4	PRIMARY_AUXILIARIES
47413c58-a215-48a0-be35-fb9884d78a57	a31e03a0-e2ec-49aa-b399-5feb0db9ead2	UPS
47413c58-a215-48a0-be35-fb9884d78a57	282857b0-289b-4db5-ba31-abd797395531	CRITICAL_AUXILIARIES
47413c58-a215-48a0-be35-fb9884d78a57	37b0d809-a660-4338-9580-51547fd9223c	LIGHTING
47413c58-a215-48a0-be35-fb9884d78a57	682b37e2-ca68-4841-b506-0faa0cca8ee6	CRITICAL_POWER_DISTRIBUTION
47413c58-a215-48a0-be35-fb9884d78a57	c7395bb9-6fa7-44c7-b85f-117367233706	CRAH
47413c58-a215-48a0-be35-fb9884d78a57	8883f0a5-3b16-4b0a-96e0-35b60c9b31de	CRAC
47413c58-a215-48a0-be35-fb9884d78a57	0d06c7a1-fe65-4680-a9d3-7971985b94e0	CRAC_WITHOUT_FAN
47413c58-a215-48a0-be35-fb9884d78a57	56074104-a0f3-42ae-8b22-fd725c2ed339	CRAC_FAN
47413c58-a215-48a0-be35-fb9884d78a57	318cb6de-4dcb-4a16-86f4-51acbbcba7d7	CHILLER
47413c58-a215-48a0-be35-fb9884d78a57	4ca8dc62-a60c-4938-9fd0-647af83bb331	AIR_COOLED_CHILLER
47413c58-a215-48a0-be35-fb9884d78a57	8774841d-d66d-4c21-979e-8b3f21ac3b87	COOLING_TOWER
47413c58-a215-48a0-be35-fb9884d78a57	60bbab7e-2c88-4624-9149-57a02aed4b97	DRY_COOLER
47413c58-a215-48a0-be35-fb9884d78a57	1507d6b4-2c01-4644-9328-2f7957c932ac	REMOTE_CONDENSER
47413c58-a215-48a0-be35-fb9884d78a57	119d9023-448e-4cc4-86fc-ab06bd00a555	CHILLED_WATER_PUMPS
47413c58-a215-48a0-be35-fb9884d78a57	03afbc76-c056-4dfe-99de-efe2a6b02f15	HEAT_REJECTION_PUMPS
47413c58-a215-48a0-be35-fb9884d78a57	3d518c66-a75c-4650-a1ac-a0649215eac6	VENTILATION
47413c58-a215-48a0-be35-fb9884d78a57	fdae3925-4c9f-4c02-adf8-b5759362ccf3	INFILTRATION
47413c58-a215-48a0-be35-fb9884d78a57	288fc6ea-b728-4d16-ba3b-fbe682d27507	IT_LOAD
33660ab7-f200-401a-b71c-3275f5162b3c	63e20bcb-e87c-4bf4-8e4d-93ed591a78d8	SWITCHGEAR
33660ab7-f200-401a-b71c-3275f5162b3c	03e7276f-e743-48f9-9042-373bdf2c06c7	GENERATOR
33660ab7-f200-401a-b71c-3275f5162b3c	612cfe4d-10e0-446f-8c85-5d9ec282cb99	PRIMARY_AUXILIARIES
33660ab7-f200-401a-b71c-3275f5162b3c	86466f4d-6959-40ce-a8a0-00b047fa620e	UPS
33660ab7-f200-401a-b71c-3275f5162b3c	bb3010cd-d4be-422c-94c4-49c1d80ddd1d	CRITICAL_AUXILIARIES
33660ab7-f200-401a-b71c-3275f5162b3c	2964c892-277d-4cde-b0c4-4f4a514224a3	LIGHTING
33660ab7-f200-401a-b71c-3275f5162b3c	5cb96fad-d114-4134-a3b8-9a2843779ecb	CRITICAL_POWER_DISTRIBUTION
33660ab7-f200-401a-b71c-3275f5162b3c	7115ca11-0285-4e0e-8fb6-d8df58cee9bf	CRAH
33660ab7-f200-401a-b71c-3275f5162b3c	3d0607d7-4f73-4c7c-9543-4a2ed91ac2f0	CRAC
33660ab7-f200-401a-b71c-3275f5162b3c	68e6d337-95f0-4183-9aa4-428c92624667	CRAC_WITHOUT_FAN
33660ab7-f200-401a-b71c-3275f5162b3c	87aaa4c0-1c78-4a03-ae3c-e4f5bddefdac	CRAC_FAN
33660ab7-f200-401a-b71c-3275f5162b3c	523e6ddc-ed2e-4a6c-a04e-3d6ff8dd7d12	CHILLER
33660ab7-f200-401a-b71c-3275f5162b3c	ebb15494-c690-44a3-9540-9b101dfa4b75	AIR_COOLED_CHILLER
33660ab7-f200-401a-b71c-3275f5162b3c	c5a43416-a1c5-4f3c-b964-ce9d7823d5d8	COOLING_TOWER
33660ab7-f200-401a-b71c-3275f5162b3c	028b17a3-aa60-4a6e-a589-e5abd18d4752	DRY_COOLER
33660ab7-f200-401a-b71c-3275f5162b3c	5582a1fe-796a-4167-b917-fbc4e10156e3	REMOTE_CONDENSER
33660ab7-f200-401a-b71c-3275f5162b3c	2abbd186-e710-4024-be2e-8e697ee524c3	CHILLED_WATER_PUMPS
33660ab7-f200-401a-b71c-3275f5162b3c	43c93def-ae25-4a35-9afd-bad9611cadf5	HEAT_REJECTION_PUMPS
33660ab7-f200-401a-b71c-3275f5162b3c	7d7f2123-8ffd-4c88-aebf-eea2a040c340	VENTILATION
33660ab7-f200-401a-b71c-3275f5162b3c	4a29a613-9df0-4567-8783-3a9563d5c32c	INFILTRATION
33660ab7-f200-401a-b71c-3275f5162b3c	f2da4bfc-6655-4646-8032-e87b13af11e9	IT_LOAD
0e457092-5c19-4a1f-996e-4463f0e6b149	4ba6863b-4a38-4a4e-87c2-97945880f03d	SWITCHGEAR
0e457092-5c19-4a1f-996e-4463f0e6b149	0fbfee52-971a-4309-82bf-f3a3da66aba5	GENERATOR
0e457092-5c19-4a1f-996e-4463f0e6b149	984233dd-208b-4e45-9690-80b8889d2966	PRIMARY_AUXILIARIES
0e457092-5c19-4a1f-996e-4463f0e6b149	136bc4b5-b76e-47a8-842b-69f769316f36	UPS
0e457092-5c19-4a1f-996e-4463f0e6b149	9c973e22-c8d4-47e3-83d6-395a259765d7	CRITICAL_AUXILIARIES
0e457092-5c19-4a1f-996e-4463f0e6b149	78091226-e617-428b-9be1-4d887619ae09	LIGHTING
0e457092-5c19-4a1f-996e-4463f0e6b149	cef61321-9055-4235-9ba4-48a16f0a539f	CRITICAL_POWER_DISTRIBUTION
0e457092-5c19-4a1f-996e-4463f0e6b149	623af673-f338-4413-97f6-ee7eb6526ea8	CRAH
0e457092-5c19-4a1f-996e-4463f0e6b149	b59df868-d1a7-4d4f-ab88-e04c161bbb3e	CRAC
0e457092-5c19-4a1f-996e-4463f0e6b149	1071b4bf-285b-4c57-8e6e-4b638e3bd3e3	CRAC_WITHOUT_FAN
0e457092-5c19-4a1f-996e-4463f0e6b149	7d828aca-9288-48bc-bdc4-0842ffc90dcc	CRAC_FAN
0e457092-5c19-4a1f-996e-4463f0e6b149	3f43d32c-0f93-45af-9dc6-e466374910d5	CHILLER
0e457092-5c19-4a1f-996e-4463f0e6b149	235e54c5-3724-46bc-a9e5-5b36d27d13fa	AIR_COOLED_CHILLER
0e457092-5c19-4a1f-996e-4463f0e6b149	c935a677-f6d9-4aae-8872-b0f22ed7aa2c	COOLING_TOWER
0e457092-5c19-4a1f-996e-4463f0e6b149	8b5953a5-625a-4a97-afff-e808e76723ab	DRY_COOLER
0e457092-5c19-4a1f-996e-4463f0e6b149	39b80dfb-a680-4ecc-be61-21e110f41862	REMOTE_CONDENSER
0e457092-5c19-4a1f-996e-4463f0e6b149	f2995575-fdff-4dd8-9696-29bcc5000797	CHILLED_WATER_PUMPS
0e457092-5c19-4a1f-996e-4463f0e6b149	57cb2319-8259-4bab-8a45-17d75c3d46c6	HEAT_REJECTION_PUMPS
0e457092-5c19-4a1f-996e-4463f0e6b149	a2fad5c8-8570-4673-802e-eed63677a924	VENTILATION
0e457092-5c19-4a1f-996e-4463f0e6b149	de14709e-5ea9-419a-9009-c3dd21a99118	INFILTRATION
0e457092-5c19-4a1f-996e-4463f0e6b149	460156b3-49b0-470f-8f8f-52d2f530147e	IT_LOAD
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	6f4e085b-dec3-4a1c-a00d-820fe530bb1f	SWITCHGEAR
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	4cd12aab-d95f-4fea-886d-48b23560dbb3	GENERATOR
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	40f87dfe-8970-4046-b539-8cc53c1519e3	PRIMARY_AUXILIARIES
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	dce0ea98-8e1b-4064-858c-69ca409ecb22	UPS
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	ef90c2ed-da96-40bc-a4b9-80da6af181ee	CRITICAL_AUXILIARIES
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	4b97bb78-d237-4ac9-ae5e-25d236cb0409	LIGHTING
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	c16634bb-c420-45b2-b213-0a0193c2bb59	CRITICAL_POWER_DISTRIBUTION
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	e1ba20d9-cc5f-4174-936d-9681d830c804	CRAH
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	7887cf5a-96ee-4ee5-9fce-56eff1920904	CRAC
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	2ad5c9de-5ed5-42e1-95df-9d0071a5d0dc	CRAC_WITHOUT_FAN
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	2c6a915a-ba44-4470-a367-9a3d8f8ed76a	CRAC_FAN
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	eb3cdf89-1ab7-466c-9465-a3e7a7ef73a5	CHILLER
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	fcf2351c-2850-4fda-a2cc-759f09b5a26c	AIR_COOLED_CHILLER
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	583c75d4-4bb8-4333-9314-6c071848bea4	COOLING_TOWER
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	6d0b886c-bbe5-44c4-96b1-9052f47b597d	DRY_COOLER
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	285be9b4-659b-4680-b23a-63c36e94ebdd	REMOTE_CONDENSER
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	b2ed9a3c-a0b3-4c75-bc85-19d9a4fa8211	CHILLED_WATER_PUMPS
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	c858a733-4865-49d1-9370-c369b6d3625e	HEAT_REJECTION_PUMPS
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	61183467-92f2-48d2-90b1-770403d316b5	VENTILATION
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	dba59574-6795-4207-a7e3-f5255711a612	INFILTRATION
48d61669-1a4f-46d9-8169-d3eeefd1c1b4	f2af9db2-a864-4288-908b-a267c5ecca4c	IT_LOAD
08e2c9e3-4e43-4618-882a-80ccee3cef68	87af1f00-4f07-4891-a61d-296ee4161edd	SWITCHGEAR
08e2c9e3-4e43-4618-882a-80ccee3cef68	5f30478d-4df3-42fc-89fc-4ea5b91d12da	GENERATOR
08e2c9e3-4e43-4618-882a-80ccee3cef68	34b6893e-9135-4dae-aa25-5b90a56d444a	PRIMARY_AUXILIARIES
08e2c9e3-4e43-4618-882a-80ccee3cef68	73688152-0d6c-4ff8-ad5e-ee0e8eac5f5e	UPS
08e2c9e3-4e43-4618-882a-80ccee3cef68	5c9be59d-b3e2-4b4d-b079-2984d4d16e7b	CRITICAL_AUXILIARIES
08e2c9e3-4e43-4618-882a-80ccee3cef68	3d04634b-1afc-4264-9073-6a4e415fb335	LIGHTING
08e2c9e3-4e43-4618-882a-80ccee3cef68	c1a4645c-8405-4c07-821f-d63dff265b37	CRITICAL_POWER_DISTRIBUTION
08e2c9e3-4e43-4618-882a-80ccee3cef68	4ba78add-06c7-453d-a4d4-0eac5df37968	CRAH
08e2c9e3-4e43-4618-882a-80ccee3cef68	2a6b55da-652c-4534-8d2c-15ef1084ec00	CRAC
08e2c9e3-4e43-4618-882a-80ccee3cef68	986bb1bf-cdee-491a-8f82-95ea7cf14d4e	CRAC_WITHOUT_FAN
08e2c9e3-4e43-4618-882a-80ccee3cef68	59b4ac60-c629-4b2e-adba-24a24f493402	CRAC_FAN
08e2c9e3-4e43-4618-882a-80ccee3cef68	c725d130-218f-48d0-bdd6-0d171d0a1bad	CHILLER
08e2c9e3-4e43-4618-882a-80ccee3cef68	a6610295-f87d-4474-89d5-1ba441ace8a2	AIR_COOLED_CHILLER
08e2c9e3-4e43-4618-882a-80ccee3cef68	27f9ee43-897d-4e40-994a-dfb5067f1cae	COOLING_TOWER
08e2c9e3-4e43-4618-882a-80ccee3cef68	ed8d84bc-497f-4974-8889-78285988c108	DRY_COOLER
08e2c9e3-4e43-4618-882a-80ccee3cef68	8d6290e4-7d2c-4131-bf70-16e14ba617d4	REMOTE_CONDENSER
08e2c9e3-4e43-4618-882a-80ccee3cef68	e20464b2-70aa-4e8f-b79b-9a57d6f6fcc5	CHILLED_WATER_PUMPS
08e2c9e3-4e43-4618-882a-80ccee3cef68	3213b8a3-dd63-423e-8b18-50cd15ebb1e3	HEAT_REJECTION_PUMPS
08e2c9e3-4e43-4618-882a-80ccee3cef68	88d44afd-565e-41e4-8179-d047ecd165eb	VENTILATION
08e2c9e3-4e43-4618-882a-80ccee3cef68	532cfa98-db97-4ea2-979f-8c4c32ed692f	INFILTRATION
08e2c9e3-4e43-4618-882a-80ccee3cef68	6d42aa58-edba-46eb-a5c0-218b37d00382	IT_LOAD
16992b5b-7f90-4f76-8c1f-44c590404dfb	d8aa714b-f0bd-4b05-b0e9-2574afacbbe2	SWITCHGEAR
16992b5b-7f90-4f76-8c1f-44c590404dfb	576d0aab-c6d0-4f91-97d3-ab8bf700125b	GENERATOR
16992b5b-7f90-4f76-8c1f-44c590404dfb	5f83325e-c7dd-44f0-8074-d31813bb349a	PRIMARY_AUXILIARIES
16992b5b-7f90-4f76-8c1f-44c590404dfb	f3944b5b-93b4-4cbc-bf2e-0d559a13b2e1	UPS
16992b5b-7f90-4f76-8c1f-44c590404dfb	c66a6ff6-0884-479b-a143-578cfba2928e	CRITICAL_AUXILIARIES
16992b5b-7f90-4f76-8c1f-44c590404dfb	79a6fecc-c2ac-45de-af2d-6745e43534dd	LIGHTING
16992b5b-7f90-4f76-8c1f-44c590404dfb	157748a2-c6cc-476d-b675-2a5ea7247aa8	CRITICAL_POWER_DISTRIBUTION
16992b5b-7f90-4f76-8c1f-44c590404dfb	8207138a-9c5c-4662-b018-9cd358477992	CRAH
16992b5b-7f90-4f76-8c1f-44c590404dfb	4f97d1d9-28f3-40ea-815e-65dc29462f0b	CRAC
16992b5b-7f90-4f76-8c1f-44c590404dfb	2c50fc42-d907-45d7-b090-fb3ba88d9ab7	CRAC_WITHOUT_FAN
16992b5b-7f90-4f76-8c1f-44c590404dfb	20ea7963-583e-4a80-a3f8-d2563ca0f451	CRAC_FAN
16992b5b-7f90-4f76-8c1f-44c590404dfb	b2af13e3-71e2-40b0-981f-ba9bed72a955	CHILLER
16992b5b-7f90-4f76-8c1f-44c590404dfb	e3b5871e-e2c9-4b24-8565-b7373d120d32	AIR_COOLED_CHILLER
16992b5b-7f90-4f76-8c1f-44c590404dfb	208fa1d8-5601-4eda-82a7-e97aa70738dd	COOLING_TOWER
16992b5b-7f90-4f76-8c1f-44c590404dfb	3a937519-ab93-4949-b9bf-293f13b36d94	DRY_COOLER
16992b5b-7f90-4f76-8c1f-44c590404dfb	90f92efb-68e1-4f7f-bbe3-03192a6e8cd1	REMOTE_CONDENSER
16992b5b-7f90-4f76-8c1f-44c590404dfb	fb69e65b-1d22-413f-adb2-61de88caf83c	CHILLED_WATER_PUMPS
16992b5b-7f90-4f76-8c1f-44c590404dfb	a3e0e06b-6283-4f13-a7f0-5f06012026c8	HEAT_REJECTION_PUMPS
16992b5b-7f90-4f76-8c1f-44c590404dfb	4ad5e10d-e218-4c46-8488-514741fdf91b	VENTILATION
16992b5b-7f90-4f76-8c1f-44c590404dfb	781f07e8-588f-4bc0-9226-b3ab7ac1fb61	INFILTRATION
16992b5b-7f90-4f76-8c1f-44c590404dfb	a9c3a86c-46e1-4fb5-abfe-fe3ff78bf5d8	IT_LOAD
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	dfbb9fdb-1665-40ff-8183-e391a928513d	SWITCHGEAR
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	04a650ba-af7b-4ffb-a446-4e2b9d16c4c5	GENERATOR
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	c23148eb-dee3-468a-a658-00314f361717	PRIMARY_AUXILIARIES
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	d4c2fe58-d727-4cdf-8cff-e38b86945bf2	UPS
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	02e50733-2bfa-4ebe-ac06-b7a9cfd817d7	CRITICAL_AUXILIARIES
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	7333a9f9-a2db-4291-8568-be74700e8b9f	LIGHTING
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	f79daf0c-d6dd-424a-8db4-489a2cf7f0a2	CRITICAL_POWER_DISTRIBUTION
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	0754a3a5-8093-4607-a741-b404a249a102	CRAH
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	da2a9a7a-64fb-461e-89c2-9ef1d778f48f	CRAC
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	5c4da4ff-467e-49f9-8449-e54bbb7ddd10	CRAC_WITHOUT_FAN
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	0ed6cf1b-816a-4589-8866-159ddda8cf4c	CRAC_FAN
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	c3fa3415-468f-4177-a9a4-cd4a0984383a	CHILLER
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	787d8d60-d0c0-42d7-a02c-24019a6ece8d	AIR_COOLED_CHILLER
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	0d3aadc3-baaf-481a-982f-bcfc9ae643f5	COOLING_TOWER
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	7950b325-b297-4c43-b3f3-e79352b7086e	DRY_COOLER
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	befa8e0c-00ac-45e6-9b6e-2201be75badf	REMOTE_CONDENSER
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	c44b7a97-7dc8-4352-95f5-13898449581a	CHILLED_WATER_PUMPS
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	b4a71e4a-3c62-462e-802e-29d1e2708bf3	HEAT_REJECTION_PUMPS
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	7c56780d-226f-418d-becb-3fc75f483c41	VENTILATION
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	586dea27-99bb-4cc8-8ba0-594d44f79fc8	INFILTRATION
56b7264f-843c-4bb3-9094-f3d4f4c49ff5	19dcbe93-7744-4d41-9503-0a45a5b95222	IT_LOAD
e61e02e7-0f22-4893-9234-35e132ae7877	033fe8dd-d490-432c-8b43-fb9ee1b36d33	SWITCHGEAR
e61e02e7-0f22-4893-9234-35e132ae7877	71357994-5bd3-477e-bd81-4236b29f724c	GENERATOR
e61e02e7-0f22-4893-9234-35e132ae7877	468dbbb7-fe81-4c59-8ee6-1dc635bc2d65	PRIMARY_AUXILIARIES
e61e02e7-0f22-4893-9234-35e132ae7877	ba1c5e73-43eb-4854-a92a-42e99186a9d2	UPS
e61e02e7-0f22-4893-9234-35e132ae7877	104b4d39-5fb2-4684-9ec7-44d3004b1824	CRITICAL_AUXILIARIES
e61e02e7-0f22-4893-9234-35e132ae7877	d4516680-2986-4f93-a11a-0c2d3652c7f9	LIGHTING
e61e02e7-0f22-4893-9234-35e132ae7877	eea5c5fc-9c88-498d-b8b2-35f567d2a005	CRITICAL_POWER_DISTRIBUTION
e61e02e7-0f22-4893-9234-35e132ae7877	43cf2be6-4709-4f1b-a9c0-5b162dcc0fcc	CRAH
e61e02e7-0f22-4893-9234-35e132ae7877	9e389d0a-c57d-4537-8fd1-ead6d74f2578	CRAC
e61e02e7-0f22-4893-9234-35e132ae7877	5f2d292f-cc39-4298-9dc7-2b11b1dd0cba	CRAC_WITHOUT_FAN
e61e02e7-0f22-4893-9234-35e132ae7877	da82cd61-88aa-45de-aa0e-2ec72cd45f06	CRAC_FAN
e61e02e7-0f22-4893-9234-35e132ae7877	41ad829f-0c48-4a70-a1ea-442d08b912a6	CHILLER
e61e02e7-0f22-4893-9234-35e132ae7877	08669194-ec62-46d8-9f3d-5099e7b46f31	AIR_COOLED_CHILLER
e61e02e7-0f22-4893-9234-35e132ae7877	bfe6b97d-23d6-419d-8102-89287b51809e	COOLING_TOWER
e61e02e7-0f22-4893-9234-35e132ae7877	e8b0b18d-a0c5-467b-8f4b-7d4f73d4afdf	DRY_COOLER
e61e02e7-0f22-4893-9234-35e132ae7877	745103d6-5ca2-40bc-9e54-1e064bc58100	REMOTE_CONDENSER
e61e02e7-0f22-4893-9234-35e132ae7877	01b87dde-de28-44bc-8cf0-9ca2014d6870	CHILLED_WATER_PUMPS
e61e02e7-0f22-4893-9234-35e132ae7877	260baff5-bf85-42e2-bd60-f0bf4df1028c	HEAT_REJECTION_PUMPS
e61e02e7-0f22-4893-9234-35e132ae7877	4a3e4e4e-8c81-40ac-8f1e-66134bbbf690	VENTILATION
e61e02e7-0f22-4893-9234-35e132ae7877	c056de18-b165-491b-8615-139b8794cd82	INFILTRATION
e61e02e7-0f22-4893-9234-35e132ae7877	1df042f7-8985-40a2-9928-3956387d8edd	IT_LOAD
058c9174-f3c3-4f31-8a71-17d2c658f90b	dce257d8-c5f7-43cc-b02a-7fdb5930e782	SWITCHGEAR
058c9174-f3c3-4f31-8a71-17d2c658f90b	a6a895f8-2525-449d-9751-e1c8d3f7a11e	GENERATOR
058c9174-f3c3-4f31-8a71-17d2c658f90b	9443f395-950a-4d41-a111-c49d26348d9f	PRIMARY_AUXILIARIES
058c9174-f3c3-4f31-8a71-17d2c658f90b	73ddb17a-635f-48a3-a4c5-f0640033529f	UPS
058c9174-f3c3-4f31-8a71-17d2c658f90b	36e585e9-3169-4f1e-987e-1304dd77ee20	CRITICAL_AUXILIARIES
058c9174-f3c3-4f31-8a71-17d2c658f90b	084bdee8-7eb6-47e2-a06a-f79fe1986038	LIGHTING
058c9174-f3c3-4f31-8a71-17d2c658f90b	084bc591-5358-4497-8adc-7edc4a18358c	CRITICAL_POWER_DISTRIBUTION
058c9174-f3c3-4f31-8a71-17d2c658f90b	c87fd2ad-69a1-422b-b784-f804759e01da	CRAH
058c9174-f3c3-4f31-8a71-17d2c658f90b	84bc5a05-5e5b-4bd3-8f3b-3f494614390c	CRAC
058c9174-f3c3-4f31-8a71-17d2c658f90b	6fba168a-f04f-4cde-a707-e1c978a4dba5	CRAC_WITHOUT_FAN
058c9174-f3c3-4f31-8a71-17d2c658f90b	c1403180-8c9d-4e87-9dab-03b9ee26031b	CRAC_FAN
058c9174-f3c3-4f31-8a71-17d2c658f90b	7a9de88e-7d8b-46d6-86cc-c500b034fc33	CHILLER
058c9174-f3c3-4f31-8a71-17d2c658f90b	3495546e-6983-4de8-a973-9f66614214a8	AIR_COOLED_CHILLER
058c9174-f3c3-4f31-8a71-17d2c658f90b	8f65d602-103c-4085-a194-a8bc8d05c0b8	COOLING_TOWER
058c9174-f3c3-4f31-8a71-17d2c658f90b	3aac2d9d-d54e-4f28-97ad-f6a2d6b2b482	DRY_COOLER
058c9174-f3c3-4f31-8a71-17d2c658f90b	cc178175-bd9f-4ad3-837e-f79b801bfb1b	REMOTE_CONDENSER
058c9174-f3c3-4f31-8a71-17d2c658f90b	9345f5c9-afe0-4063-b58f-9859a572ff44	CHILLED_WATER_PUMPS
058c9174-f3c3-4f31-8a71-17d2c658f90b	e10fcc2d-140d-470f-a5d4-db826a27ae36	HEAT_REJECTION_PUMPS
058c9174-f3c3-4f31-8a71-17d2c658f90b	f713f72a-d7e6-439b-89bf-9b411b3a0796	VENTILATION
058c9174-f3c3-4f31-8a71-17d2c658f90b	0d1fac55-47e6-46fe-8ae1-ef48364d7b0f	INFILTRATION
058c9174-f3c3-4f31-8a71-17d2c658f90b	246b51c6-e719-464a-a466-f45681924b4f	IT_LOAD
af41f877-3393-48c2-83a5-3f9bb691b68d	60a0706c-7718-4b64-ad30-8fdab38735d8	SWITCHGEAR
af41f877-3393-48c2-83a5-3f9bb691b68d	e6ea68c7-8668-4c2f-98ce-c840d3decff6	GENERATOR
af41f877-3393-48c2-83a5-3f9bb691b68d	70d7792c-487b-48d9-94c6-a8c5c333d95e	PRIMARY_AUXILIARIES
af41f877-3393-48c2-83a5-3f9bb691b68d	c164b014-9fc2-489a-bba6-0ea16f285093	UPS
af41f877-3393-48c2-83a5-3f9bb691b68d	b28b2ec0-9ac4-4dcc-a3f0-904670c7c7bf	CRITICAL_AUXILIARIES
af41f877-3393-48c2-83a5-3f9bb691b68d	98fbb3b2-63e3-481e-8da9-a269c4158c94	LIGHTING
af41f877-3393-48c2-83a5-3f9bb691b68d	6e3221de-b322-422d-a64e-bc21f429786d	CRITICAL_POWER_DISTRIBUTION
af41f877-3393-48c2-83a5-3f9bb691b68d	bc8a6f2f-8185-4a19-8c5d-2d6e918ce811	CRAH
af41f877-3393-48c2-83a5-3f9bb691b68d	14f0f9d6-e934-4112-9e42-9a032da26042	CRAC
af41f877-3393-48c2-83a5-3f9bb691b68d	b98ca9ef-0c6b-4a46-884d-94f3000169a7	CRAC_WITHOUT_FAN
af41f877-3393-48c2-83a5-3f9bb691b68d	6c36bb97-0c09-4bf5-a073-4bc9044912b6	CRAC_FAN
af41f877-3393-48c2-83a5-3f9bb691b68d	20919947-534b-4c08-af1d-8a65b9ddd6e2	CHILLER
af41f877-3393-48c2-83a5-3f9bb691b68d	5f7ced45-acf9-4e54-aedd-10398d49e65b	AIR_COOLED_CHILLER
af41f877-3393-48c2-83a5-3f9bb691b68d	5d2efa97-5cf6-4f19-9d3a-174cb861c67d	COOLING_TOWER
af41f877-3393-48c2-83a5-3f9bb691b68d	382adc32-039b-4df2-a540-4db769691fef	DRY_COOLER
af41f877-3393-48c2-83a5-3f9bb691b68d	90e3d514-cdca-4397-8fb7-d89cfc25cd4e	REMOTE_CONDENSER
af41f877-3393-48c2-83a5-3f9bb691b68d	eef59754-0cb6-46a1-a0fb-5a56c6490b13	CHILLED_WATER_PUMPS
af41f877-3393-48c2-83a5-3f9bb691b68d	a79c6b99-78ac-4a50-9c8d-b0b5faf66467	HEAT_REJECTION_PUMPS
af41f877-3393-48c2-83a5-3f9bb691b68d	333f1e03-1fc4-4e84-ac4f-8755aa7041ba	VENTILATION
af41f877-3393-48c2-83a5-3f9bb691b68d	85c92a9e-e5ee-47ab-b468-55ab4a7ffb57	INFILTRATION
af41f877-3393-48c2-83a5-3f9bb691b68d	87e88c51-9085-4535-be88-341722a204fc	IT_LOAD
169fb749-e674-4aec-9607-1179ffa5306b	6c87c9de-79de-493d-8732-ee1879d233b4	SWITCHGEAR
169fb749-e674-4aec-9607-1179ffa5306b	ba760de0-b815-4a28-a886-25d26a48a23b	GENERATOR
169fb749-e674-4aec-9607-1179ffa5306b	d65ab0ca-0fb6-462e-bc42-9f596158aa7e	PRIMARY_AUXILIARIES
169fb749-e674-4aec-9607-1179ffa5306b	fbc3b00e-dfc0-4588-a44c-e27920a7e501	UPS
169fb749-e674-4aec-9607-1179ffa5306b	e147ac7a-7432-404f-a772-32b9f63be2b2	CRITICAL_AUXILIARIES
169fb749-e674-4aec-9607-1179ffa5306b	f05e7264-bb80-46c5-8526-a60ed6a2a8ff	LIGHTING
169fb749-e674-4aec-9607-1179ffa5306b	002b8344-b792-44fd-8e0e-4dd08f430c42	CRITICAL_POWER_DISTRIBUTION
169fb749-e674-4aec-9607-1179ffa5306b	63367b3d-19a7-468d-ba0e-5b4d2eebbf7f	CRAH
169fb749-e674-4aec-9607-1179ffa5306b	0abe18dc-670a-42ee-8338-e45a4648a30e	CRAC
169fb749-e674-4aec-9607-1179ffa5306b	d3aa92d0-5f0d-46dc-a6a8-85a6e8396539	CRAC_WITHOUT_FAN
169fb749-e674-4aec-9607-1179ffa5306b	61d35a48-83ae-453c-89d5-33c7e53ca6fa	CRAC_FAN
169fb749-e674-4aec-9607-1179ffa5306b	21784dc7-f55d-442a-9a08-2b4bf198ae66	CHILLER
169fb749-e674-4aec-9607-1179ffa5306b	a636bf0e-1353-40ab-906d-878c40b0e87a	AIR_COOLED_CHILLER
169fb749-e674-4aec-9607-1179ffa5306b	e3622bc4-93d1-4c2f-ac05-dd1320c9c8d1	COOLING_TOWER
169fb749-e674-4aec-9607-1179ffa5306b	7bf623e9-ca2d-4629-a09e-de547419d1d6	DRY_COOLER
169fb749-e674-4aec-9607-1179ffa5306b	5bb65a23-d5b3-4e05-bb3c-398a403bf828	REMOTE_CONDENSER
169fb749-e674-4aec-9607-1179ffa5306b	f910907a-367f-495d-930f-7a6e0910c3c6	CHILLED_WATER_PUMPS
169fb749-e674-4aec-9607-1179ffa5306b	e615db86-81eb-49a6-94e2-7d2d5b06a3b1	HEAT_REJECTION_PUMPS
169fb749-e674-4aec-9607-1179ffa5306b	266e2aa4-cf71-4f7d-ac6b-d3a6ee0ed917	VENTILATION
169fb749-e674-4aec-9607-1179ffa5306b	af9821a6-991b-4192-8706-f22e387342b6	INFILTRATION
169fb749-e674-4aec-9607-1179ffa5306b	805d2175-7b68-4fdc-a633-2e2ed19fbcc6	IT_LOAD
672083c7-b96e-4a94-ad34-2a136479ce98	218dc631-2ea5-472b-b303-764e2c2eb6ae	SWITCHGEAR
672083c7-b96e-4a94-ad34-2a136479ce98	7d8bfc5d-d872-48d2-a5de-3ea0869a05f6	GENERATOR
672083c7-b96e-4a94-ad34-2a136479ce98	b3bf8f02-16f6-487c-be82-40760d8faaa0	PRIMARY_AUXILIARIES
672083c7-b96e-4a94-ad34-2a136479ce98	445efc58-fd38-4d98-b6c1-c40b645aeb1b	UPS
672083c7-b96e-4a94-ad34-2a136479ce98	3236433b-a219-43df-8c10-904253e497a6	CRITICAL_AUXILIARIES
672083c7-b96e-4a94-ad34-2a136479ce98	b3f85c28-4f8b-420a-aef1-0b75ce111f60	LIGHTING
672083c7-b96e-4a94-ad34-2a136479ce98	d5b47b93-29ae-47a9-a925-3910b99bbc70	CRITICAL_POWER_DISTRIBUTION
672083c7-b96e-4a94-ad34-2a136479ce98	fdc25143-0065-4b51-8e26-bd2dbe0441e7	CRAH
672083c7-b96e-4a94-ad34-2a136479ce98	1da7197a-fb35-48f5-bd34-773a921a2e39	CRAC
672083c7-b96e-4a94-ad34-2a136479ce98	7e44584c-e793-400a-bcab-a0fb311fd435	CRAC_WITHOUT_FAN
672083c7-b96e-4a94-ad34-2a136479ce98	fd82df45-c003-4423-af41-3596fed80baa	CRAC_FAN
672083c7-b96e-4a94-ad34-2a136479ce98	3824b868-0265-4b22-ac4c-15692f8cfdeb	CHILLER
672083c7-b96e-4a94-ad34-2a136479ce98	923292b4-7426-4958-b4d4-e6124b5cfde8	AIR_COOLED_CHILLER
672083c7-b96e-4a94-ad34-2a136479ce98	8a01028c-097d-420e-924c-ecd27943acf4	COOLING_TOWER
672083c7-b96e-4a94-ad34-2a136479ce98	434cb4ca-7345-4398-a5b6-100d422405e0	DRY_COOLER
672083c7-b96e-4a94-ad34-2a136479ce98	847635b1-5e29-4117-8d3e-0ba2ef18ed7d	REMOTE_CONDENSER
672083c7-b96e-4a94-ad34-2a136479ce98	a45526d0-3512-4dae-9966-923b05eee43d	CHILLED_WATER_PUMPS
672083c7-b96e-4a94-ad34-2a136479ce98	5e89f429-fd99-4279-9955-5bcec6c34dd4	HEAT_REJECTION_PUMPS
672083c7-b96e-4a94-ad34-2a136479ce98	7116fe02-a9be-4001-a211-f272a6dd2359	VENTILATION
672083c7-b96e-4a94-ad34-2a136479ce98	378c2294-1232-4aa2-b285-a99c882470b7	INFILTRATION
672083c7-b96e-4a94-ad34-2a136479ce98	97eee4b4-6ef1-471d-a23e-830a541a5716	IT_LOAD
f50684e6-fbfe-4885-8fdd-367e267a433b	3f5a4351-ab40-454f-bd3a-d8e72d63cd1e	SWITCHGEAR
f50684e6-fbfe-4885-8fdd-367e267a433b	28c397fb-939d-4301-9f3e-079697372065	GENERATOR
f50684e6-fbfe-4885-8fdd-367e267a433b	180a4ad4-02cd-45bb-b49c-e22690a2b34d	PRIMARY_AUXILIARIES
f50684e6-fbfe-4885-8fdd-367e267a433b	1f03a750-6d45-47b7-9144-27f3fb86e995	UPS
f50684e6-fbfe-4885-8fdd-367e267a433b	40301fb2-d20d-422c-808d-a5d7c78194fe	CRITICAL_AUXILIARIES
f50684e6-fbfe-4885-8fdd-367e267a433b	d00152d6-a7b9-4bcd-82bb-de34a60a2f25	LIGHTING
f50684e6-fbfe-4885-8fdd-367e267a433b	6273e9f1-4308-4994-9dbf-c14f7ae6510c	CRITICAL_POWER_DISTRIBUTION
f50684e6-fbfe-4885-8fdd-367e267a433b	776058fe-3f6f-4417-9104-af3535f0bd29	CRAH
f50684e6-fbfe-4885-8fdd-367e267a433b	72582fb6-3afb-4789-8b9a-422c20e463a8	CRAC
f50684e6-fbfe-4885-8fdd-367e267a433b	08305ef9-10d2-4244-8913-21924cac7adc	CRAC_WITHOUT_FAN
f50684e6-fbfe-4885-8fdd-367e267a433b	81f7235d-444f-4799-b532-acc0a74f2741	CRAC_FAN
f50684e6-fbfe-4885-8fdd-367e267a433b	e5a01aad-1bbd-45c5-8468-813c6d790e76	CHILLER
f50684e6-fbfe-4885-8fdd-367e267a433b	948da423-d022-4d9f-89d1-b70a5ff82c79	AIR_COOLED_CHILLER
f50684e6-fbfe-4885-8fdd-367e267a433b	4c799d47-f233-4628-9dec-d5915814cf36	COOLING_TOWER
f50684e6-fbfe-4885-8fdd-367e267a433b	c648bd52-ec71-4ac3-ab7b-a14ad1b6e736	DRY_COOLER
f50684e6-fbfe-4885-8fdd-367e267a433b	cca3fce7-8415-4da5-a54b-e6af1241fb58	REMOTE_CONDENSER
f50684e6-fbfe-4885-8fdd-367e267a433b	430237bd-717a-49ce-a240-3a83ae96db3a	CHILLED_WATER_PUMPS
f50684e6-fbfe-4885-8fdd-367e267a433b	c491f345-2325-4a1d-910a-b2d68d70cfe1	HEAT_REJECTION_PUMPS
f50684e6-fbfe-4885-8fdd-367e267a433b	ba1e407c-903f-4ffd-90d6-b6a0e1926e3f	VENTILATION
f50684e6-fbfe-4885-8fdd-367e267a433b	2082fa11-7ca9-4310-ab59-d123b0b5a36d	INFILTRATION
f50684e6-fbfe-4885-8fdd-367e267a433b	e250d499-6633-4f0a-b0e5-fade2cb2d798	IT_LOAD
65e150e0-0de4-46fd-a463-a29138526342	9b997d23-95b8-4beb-b925-5a13844eb598	SWITCHGEAR
65e150e0-0de4-46fd-a463-a29138526342	69a73d5f-9136-4bec-9fcf-dbf1645f9fbd	GENERATOR
65e150e0-0de4-46fd-a463-a29138526342	2ae9eb3d-623f-4e3c-b841-c22b538b6b5c	PRIMARY_AUXILIARIES
65e150e0-0de4-46fd-a463-a29138526342	8cefd6d9-e30e-4814-8ca4-3ec622806bc3	UPS
65e150e0-0de4-46fd-a463-a29138526342	a9d9191f-69d0-4ddb-94a2-8e232ad5870e	CRITICAL_AUXILIARIES
65e150e0-0de4-46fd-a463-a29138526342	dc28386a-30a3-492b-8fa2-4850a0046728	LIGHTING
65e150e0-0de4-46fd-a463-a29138526342	37246028-4bea-4147-bdad-73ea6fcce349	CRITICAL_POWER_DISTRIBUTION
65e150e0-0de4-46fd-a463-a29138526342	d567146e-ac99-453d-a8cf-d8261dc79d3c	CRAH
65e150e0-0de4-46fd-a463-a29138526342	51d3629a-106f-4c5d-861c-8056eee900a8	CRAC
65e150e0-0de4-46fd-a463-a29138526342	133e4757-087b-44de-b041-55ddeffea69c	CRAC_WITHOUT_FAN
65e150e0-0de4-46fd-a463-a29138526342	f352b3d9-3673-4212-a5a4-fa0b9ca18c93	CRAC_FAN
65e150e0-0de4-46fd-a463-a29138526342	eea1aab5-9f82-42ec-97ff-353eed6a8372	CHILLER
65e150e0-0de4-46fd-a463-a29138526342	2f52d82f-1e67-4237-adb6-24584a61889b	AIR_COOLED_CHILLER
65e150e0-0de4-46fd-a463-a29138526342	7ca735b7-8795-4e53-9e35-663ee9c76c24	COOLING_TOWER
65e150e0-0de4-46fd-a463-a29138526342	fe014586-2c63-4eb0-a262-1a6e235e9ab9	DRY_COOLER
65e150e0-0de4-46fd-a463-a29138526342	0ac47f76-251b-47f9-80dd-d7ea8a815275	REMOTE_CONDENSER
65e150e0-0de4-46fd-a463-a29138526342	6372fc8e-a024-49cb-8b0d-15c4fd4f3e67	CHILLED_WATER_PUMPS
65e150e0-0de4-46fd-a463-a29138526342	d6ea68f3-77bb-4449-81ca-26d6e66d954f	HEAT_REJECTION_PUMPS
65e150e0-0de4-46fd-a463-a29138526342	72089821-93b8-42de-9027-5bc987e453dd	VENTILATION
65e150e0-0de4-46fd-a463-a29138526342	ef07a467-f578-4819-84c0-ceb0a9a680c8	INFILTRATION
65e150e0-0de4-46fd-a463-a29138526342	71406a3c-3a5f-42e2-b598-47353649e10a	IT_LOAD
8fb54dc4-5bae-484a-92aa-b517d96f35e2	c69f5782-c328-494b-9490-5e782a9654f6	SWITCHGEAR
8fb54dc4-5bae-484a-92aa-b517d96f35e2	92003f55-2180-4888-98e0-0a09088f2a45	GENERATOR
8fb54dc4-5bae-484a-92aa-b517d96f35e2	fe3328e9-d8db-4276-98cc-be209f104e69	PRIMARY_AUXILIARIES
8fb54dc4-5bae-484a-92aa-b517d96f35e2	e6f24a6c-a9b3-48c4-8ffa-c9dee3f90901	UPS
8fb54dc4-5bae-484a-92aa-b517d96f35e2	64c20ae8-e725-4080-b0c5-bb090d7cc9c1	CRITICAL_AUXILIARIES
8fb54dc4-5bae-484a-92aa-b517d96f35e2	e6a1152b-5a3c-4e7e-9049-64b9c19ac5f6	LIGHTING
8fb54dc4-5bae-484a-92aa-b517d96f35e2	8203ff8d-4285-48a9-a171-6a9f19c0ace1	CRITICAL_POWER_DISTRIBUTION
8fb54dc4-5bae-484a-92aa-b517d96f35e2	423da277-8e6e-4f01-b1c2-82f6e006ca3c	CRAH
8fb54dc4-5bae-484a-92aa-b517d96f35e2	cb71260b-3363-4849-859c-c462c3e66a8f	CRAC
8fb54dc4-5bae-484a-92aa-b517d96f35e2	af3a39cb-c5f5-4e6c-9797-c2670793224e	CRAC_WITHOUT_FAN
8fb54dc4-5bae-484a-92aa-b517d96f35e2	47b65e33-2ece-49cb-84b8-834fe5e0f9fb	CRAC_FAN
8fb54dc4-5bae-484a-92aa-b517d96f35e2	e3f5beaa-9aae-4f2f-9420-1d8f2c79fe70	CHILLER
8fb54dc4-5bae-484a-92aa-b517d96f35e2	9aa6bf76-6b58-4045-923b-13c4846358a9	AIR_COOLED_CHILLER
8fb54dc4-5bae-484a-92aa-b517d96f35e2	09cbe291-29ad-4a68-a763-706e47b3335f	COOLING_TOWER
8fb54dc4-5bae-484a-92aa-b517d96f35e2	964c7293-82f1-4cd3-bef0-4f475a026ded	DRY_COOLER
8fb54dc4-5bae-484a-92aa-b517d96f35e2	2f8f65bf-d251-4605-806b-a4972fb2d912	REMOTE_CONDENSER
8fb54dc4-5bae-484a-92aa-b517d96f35e2	0fc2e72f-8225-4f35-aa69-0f429067faaf	CHILLED_WATER_PUMPS
8fb54dc4-5bae-484a-92aa-b517d96f35e2	1d954071-bf3b-4bfe-b2c3-294ad38b1c4f	HEAT_REJECTION_PUMPS
8fb54dc4-5bae-484a-92aa-b517d96f35e2	fefc8321-c592-4435-a314-1b4a603c8aed	VENTILATION
8fb54dc4-5bae-484a-92aa-b517d96f35e2	0410554b-fb65-4459-93e3-85994eef716b	INFILTRATION
8fb54dc4-5bae-484a-92aa-b517d96f35e2	3c084f9c-387d-409b-a580-30821fb9d7f9	IT_LOAD
53447bf5-5c08-46c6-b23e-967c6a34e441	e4383424-4711-43ed-a75d-745c491bd889	SWITCHGEAR
53447bf5-5c08-46c6-b23e-967c6a34e441	e355e7dd-c7fe-484e-9845-669be15279a8	GENERATOR
53447bf5-5c08-46c6-b23e-967c6a34e441	f5c01b3e-0ba8-4d59-a65b-7c697a82ea2b	PRIMARY_AUXILIARIES
53447bf5-5c08-46c6-b23e-967c6a34e441	1f1ec2ed-0f56-4f2c-b6ee-4442f77109f3	UPS
53447bf5-5c08-46c6-b23e-967c6a34e441	ddaf63b2-22de-46a8-a9cf-490f023f2f85	CRITICAL_AUXILIARIES
53447bf5-5c08-46c6-b23e-967c6a34e441	e0ef61cf-b783-4b33-ac61-c2a1eea347ca	LIGHTING
53447bf5-5c08-46c6-b23e-967c6a34e441	e7bf08ab-5dd2-426e-a68a-53ca8b4b4c86	CRITICAL_POWER_DISTRIBUTION
53447bf5-5c08-46c6-b23e-967c6a34e441	e59dbff2-3b22-4d6d-85ec-7de68506f7c6	CRAH
53447bf5-5c08-46c6-b23e-967c6a34e441	dd8ea2b9-852d-462d-b82f-9e88b25672ac	CRAC
53447bf5-5c08-46c6-b23e-967c6a34e441	da47556e-0fa9-4e4b-b502-3bdddd48d317	CRAC_WITHOUT_FAN
53447bf5-5c08-46c6-b23e-967c6a34e441	659a5bc0-554d-4832-8530-5730fd8b6322	CRAC_FAN
53447bf5-5c08-46c6-b23e-967c6a34e441	cc70ff33-d2fc-411b-a751-2d781b4626ac	CHILLER
53447bf5-5c08-46c6-b23e-967c6a34e441	647893a7-98fe-410a-b773-e5f5be522621	AIR_COOLED_CHILLER
53447bf5-5c08-46c6-b23e-967c6a34e441	7d25fa07-2c32-4556-a502-4296e514d23f	COOLING_TOWER
53447bf5-5c08-46c6-b23e-967c6a34e441	fb69ab67-8d65-4e91-ae40-10ac2edbb12a	DRY_COOLER
53447bf5-5c08-46c6-b23e-967c6a34e441	b4cdf73f-811c-4596-9d4c-a99c00a8631f	REMOTE_CONDENSER
53447bf5-5c08-46c6-b23e-967c6a34e441	d226083b-62cc-4fe3-b7ee-c65d1b8d85bd	CHILLED_WATER_PUMPS
53447bf5-5c08-46c6-b23e-967c6a34e441	7c8b4337-96d0-4692-98c5-86f6cf7315a6	HEAT_REJECTION_PUMPS
53447bf5-5c08-46c6-b23e-967c6a34e441	7f273ef9-10c4-47b2-9ced-d95c9441b457	VENTILATION
53447bf5-5c08-46c6-b23e-967c6a34e441	5df05877-3af7-4b9d-9161-441d9bbd3f0f	INFILTRATION
53447bf5-5c08-46c6-b23e-967c6a34e441	799e74b4-09a3-4e44-b3e9-1d6dee4f5ad0	IT_LOAD
324cac1a-d9db-4233-996e-5ff1eb98dc65	2c39a812-7c7e-4ac1-9f00-d950c459cac4	SWITCHGEAR
324cac1a-d9db-4233-996e-5ff1eb98dc65	31bd0a8d-c775-43cd-a5b4-b64f88726617	GENERATOR
324cac1a-d9db-4233-996e-5ff1eb98dc65	18ccb998-a2cb-48e7-913e-ef00031ac34b	PRIMARY_AUXILIARIES
324cac1a-d9db-4233-996e-5ff1eb98dc65	602bff65-7912-495e-aded-23cb373aa47e	UPS
324cac1a-d9db-4233-996e-5ff1eb98dc65	f54fceb3-108d-4b9b-a29c-3cac53fd5485	CRITICAL_AUXILIARIES
324cac1a-d9db-4233-996e-5ff1eb98dc65	c16ca54b-3fe3-4a3f-9ab1-905ba7bda059	LIGHTING
324cac1a-d9db-4233-996e-5ff1eb98dc65	653847da-d5a0-467e-8421-bb2cdd56f850	CRITICAL_POWER_DISTRIBUTION
324cac1a-d9db-4233-996e-5ff1eb98dc65	efc4a882-9d3c-4639-a48f-0ea864726704	CRAH
324cac1a-d9db-4233-996e-5ff1eb98dc65	88b40fb8-dd6d-4008-9d5c-a1a1340b8728	CRAC
324cac1a-d9db-4233-996e-5ff1eb98dc65	b0d8226e-f416-4d75-b08c-8adc37cff58e	CRAC_WITHOUT_FAN
324cac1a-d9db-4233-996e-5ff1eb98dc65	f586126d-7d65-4663-a9ce-9852fcb56128	CRAC_FAN
324cac1a-d9db-4233-996e-5ff1eb98dc65	961c6262-060a-4c35-9754-aec6dab5f855	CHILLER
324cac1a-d9db-4233-996e-5ff1eb98dc65	9e08a6be-abe8-40c4-82b6-1ec398bd4564	AIR_COOLED_CHILLER
324cac1a-d9db-4233-996e-5ff1eb98dc65	78af216c-ca66-476d-a881-72d99f3a2dd3	COOLING_TOWER
324cac1a-d9db-4233-996e-5ff1eb98dc65	a6e23ec2-ff7b-4859-aaa3-4c209eb75a28	DRY_COOLER
324cac1a-d9db-4233-996e-5ff1eb98dc65	f6021da1-3b2c-4e61-86d8-da971c39eaf9	REMOTE_CONDENSER
324cac1a-d9db-4233-996e-5ff1eb98dc65	4768c6e2-0333-4488-a491-5f52c36f7449	CHILLED_WATER_PUMPS
324cac1a-d9db-4233-996e-5ff1eb98dc65	c3850876-d518-4235-ba2e-8f570a6b94ba	HEAT_REJECTION_PUMPS
324cac1a-d9db-4233-996e-5ff1eb98dc65	f5bf72a8-9a76-4326-af5a-8974f2749e1f	VENTILATION
324cac1a-d9db-4233-996e-5ff1eb98dc65	3a652fac-7cbf-4025-bcd5-eb25d6591c54	INFILTRATION
324cac1a-d9db-4233-996e-5ff1eb98dc65	beff80bb-37a0-43f7-8133-b25394e8b7b1	IT_LOAD
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	4f60ee2e-568b-47f3-b7a2-bc2f3c8cb329	SWITCHGEAR
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	e7d58663-2f1e-4ed7-91c1-6343e9889675	GENERATOR
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	8d222bd8-76d3-464a-96b5-70c4763abb47	PRIMARY_AUXILIARIES
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	745e97ed-c12c-4f80-8061-054750473ac5	UPS
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	ff07012f-8b23-4c2f-b7f0-7ab240b4862b	CRITICAL_AUXILIARIES
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	9f9ebe12-2ce8-4edf-aeba-eee8f2c615ec	LIGHTING
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	6bb9fec9-481b-4d25-ae59-a8f1388e70f3	CRITICAL_POWER_DISTRIBUTION
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	fad9977f-060f-4a89-8ebb-a679c2fa8937	CRAH
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	39d879a4-69a2-4fa1-8bfa-776ba488adaf	CRAC
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	cf297551-df11-45bd-b81e-de4d1d8c3c44	CRAC_WITHOUT_FAN
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	197017d1-2bcf-4588-9430-cbe82438a7f7	CRAC_FAN
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	aaca4c95-676a-4013-9307-4de5e49099bd	CHILLER
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	237f6475-e048-4ee8-bf12-eca48dd50145	AIR_COOLED_CHILLER
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	bcbbfd47-a3a4-4ecf-880b-6002e3e53ea4	COOLING_TOWER
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	831274b6-9fcc-4984-8e60-a1105584e4e7	DRY_COOLER
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	361e159f-9975-4e43-aab3-06691fe51baa	REMOTE_CONDENSER
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	49bb03ce-749c-49f4-96d9-88e14e3fc02d	CHILLED_WATER_PUMPS
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	f588eab6-47ab-4505-b743-5210afd3ce4d	HEAT_REJECTION_PUMPS
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	b318491c-623d-4ce1-bb5a-dd865f6f9eca	VENTILATION
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	c99ef873-cd4e-41a5-8c65-c015bd903f52	INFILTRATION
f4ca6a90-b042-4ca4-8699-b5eaa7b4e929	c93e0d68-e738-4aec-bff5-51e15ba64d2e	IT_LOAD
6d76351c-b9ed-415e-8058-6b792650f643	91b98448-877e-4104-abb2-bb31a1764bc4	SWITCHGEAR
6d76351c-b9ed-415e-8058-6b792650f643	9bbca921-d2c6-4bb4-86a7-5914b4c17115	GENERATOR
6d76351c-b9ed-415e-8058-6b792650f643	096c6a2f-7699-4ecb-9e4c-e9cccbae2f44	PRIMARY_AUXILIARIES
6d76351c-b9ed-415e-8058-6b792650f643	93e19983-711f-4333-a07e-9837daceaca5	UPS
6d76351c-b9ed-415e-8058-6b792650f643	26bf715e-bcdf-4687-96c5-15d6428ce65e	CRITICAL_AUXILIARIES
6d76351c-b9ed-415e-8058-6b792650f643	79552b2c-b379-489b-b5ba-b71b4ff3f9cc	LIGHTING
6d76351c-b9ed-415e-8058-6b792650f643	000a9f50-ea6d-4661-ab17-50649347eb0a	CRITICAL_POWER_DISTRIBUTION
6d76351c-b9ed-415e-8058-6b792650f643	07531b09-c81e-4229-b68a-e329d907cfcd	CRAH
6d76351c-b9ed-415e-8058-6b792650f643	d6d5191d-eecf-4992-a113-7895aa5acfc4	CRAC
6d76351c-b9ed-415e-8058-6b792650f643	d208c8ac-f165-4f19-8477-8d632c2f762d	CRAC_WITHOUT_FAN
6d76351c-b9ed-415e-8058-6b792650f643	a85c3aa0-9a59-48b0-9472-2dc40bd5ada5	CRAC_FAN
6d76351c-b9ed-415e-8058-6b792650f643	d3e35891-9285-4eb6-bff8-d6aaaa9ed550	CHILLER
6d76351c-b9ed-415e-8058-6b792650f643	8b34bf0a-486b-47cf-83a1-6c4de80a8d29	AIR_COOLED_CHILLER
6d76351c-b9ed-415e-8058-6b792650f643	fa3a1baf-57c4-43a7-9b6b-0bec7297afe0	COOLING_TOWER
6d76351c-b9ed-415e-8058-6b792650f643	39fc4fa4-8248-4bb9-ae1d-561e435ba524	DRY_COOLER
6d76351c-b9ed-415e-8058-6b792650f643	22136da6-cd5f-4396-b87e-e4af3a7249bc	REMOTE_CONDENSER
6d76351c-b9ed-415e-8058-6b792650f643	f1ae5c36-8e92-4825-8497-c47a4964c209	CHILLED_WATER_PUMPS
6d76351c-b9ed-415e-8058-6b792650f643	0609cf5c-6906-4778-aee6-5f11d27f3135	HEAT_REJECTION_PUMPS
6d76351c-b9ed-415e-8058-6b792650f643	8654d626-4f83-46bc-8cec-e479e8e40d5f	VENTILATION
6d76351c-b9ed-415e-8058-6b792650f643	c702d8b0-9f29-47c8-8f90-20414d98637b	INFILTRATION
6d76351c-b9ed-415e-8058-6b792650f643	d37360b1-588b-42c4-94d5-7abf83804a65	IT_LOAD
e986a479-9989-4094-9bfc-47b30be8200c	e774fb9b-ca83-4140-8d9e-71f68d216b57	SWITCHGEAR
e986a479-9989-4094-9bfc-47b30be8200c	10946c15-4dfe-4d41-ae0a-1cdaa114ddb6	GENERATOR
e986a479-9989-4094-9bfc-47b30be8200c	f97cbd36-8a1f-48a2-91df-e441e98325ce	PRIMARY_AUXILIARIES
e986a479-9989-4094-9bfc-47b30be8200c	a2ba3dfa-1547-4e03-a3af-ffa3429c55f7	UPS
e986a479-9989-4094-9bfc-47b30be8200c	9565d95b-9618-4efd-8a55-3c3adbe2bbf8	CRITICAL_AUXILIARIES
e986a479-9989-4094-9bfc-47b30be8200c	a2dd5ee8-db89-4bad-b64d-86b666cb8b76	LIGHTING
e986a479-9989-4094-9bfc-47b30be8200c	864178f5-a866-454a-93f7-2800f85af06e	CRITICAL_POWER_DISTRIBUTION
e986a479-9989-4094-9bfc-47b30be8200c	a3ee77dd-ffc0-4bcb-b678-aa343ff3f42a	CRAH
e986a479-9989-4094-9bfc-47b30be8200c	06292613-d126-41f4-ab0f-d1d6daa46ce6	CRAC
e986a479-9989-4094-9bfc-47b30be8200c	ecd07a51-a5e0-4b08-b368-09dda7808735	CRAC_WITHOUT_FAN
e986a479-9989-4094-9bfc-47b30be8200c	7bfb5879-904e-4e89-b71b-a143fd701fc0	CRAC_FAN
e986a479-9989-4094-9bfc-47b30be8200c	e076b2ab-23a8-4f3b-9b58-de5a200d3b0f	CHILLER
e986a479-9989-4094-9bfc-47b30be8200c	c2b16905-451c-4a81-8512-4f8faa48c4b1	AIR_COOLED_CHILLER
e986a479-9989-4094-9bfc-47b30be8200c	379d2151-61e1-4fbe-97d4-f0db92eb1173	COOLING_TOWER
e986a479-9989-4094-9bfc-47b30be8200c	6ab1822b-7c44-451e-9101-2371bc3f9346	DRY_COOLER
e986a479-9989-4094-9bfc-47b30be8200c	66ad934c-0ee7-473e-b15b-6807b06b8a1d	REMOTE_CONDENSER
e986a479-9989-4094-9bfc-47b30be8200c	45731547-5458-45a2-aabc-b158116f354c	CHILLED_WATER_PUMPS
e986a479-9989-4094-9bfc-47b30be8200c	02efc57d-053f-4de6-9a21-b668e46a929c	HEAT_REJECTION_PUMPS
e986a479-9989-4094-9bfc-47b30be8200c	a8931549-1cd1-4d97-8176-2269bf6cc668	VENTILATION
e986a479-9989-4094-9bfc-47b30be8200c	1d9d332b-b0cf-4c94-b361-c21f3b2290bc	INFILTRATION
e986a479-9989-4094-9bfc-47b30be8200c	bfd4eae3-8461-42bf-a24a-ecac607f17ed	IT_LOAD
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	e97bbe50-38ec-4cb9-ba0b-0ef314662eef	SWITCHGEAR
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	f0536a5f-93cb-44b5-9069-cc03917b592c	GENERATOR
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	05e8268f-ad0a-4055-8fc2-24bb83087a59	PRIMARY_AUXILIARIES
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	7d2d0e8d-4d65-4c8d-a002-c6a3c6a1c336	UPS
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	59793102-756b-446c-9ef9-502c2daaac73	CRITICAL_AUXILIARIES
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	7e5e8ffc-c02c-4efb-a2e6-b66187dbc49a	LIGHTING
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	62f6800a-006d-4fe0-a80f-01288270ea4c	CRITICAL_POWER_DISTRIBUTION
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	357599ec-d680-4428-bbf6-911711bdfd86	CRAH
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	d057e1db-81ae-477d-b8fd-47fb338ca966	CRAC
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	ddc72abb-8f92-43f3-a081-64c73528572b	CRAC_WITHOUT_FAN
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	16ad6611-0404-4519-a74e-49f3fb0b6091	CRAC_FAN
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	7fac5daa-4085-4b88-9bbb-a94d71a3db02	CHILLER
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	ffc89d34-5092-40b7-98a2-9aaced2bdf14	AIR_COOLED_CHILLER
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	19d2569c-28d0-4c61-83b6-1855a6430cf6	COOLING_TOWER
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	38932f36-9b39-420b-8ff5-6a7baf759893	DRY_COOLER
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	7e85ddb0-9047-4dfa-8f7a-5f063fc8c5ef	REMOTE_CONDENSER
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	772168f2-d475-4f1a-8215-0b60d60ec36c	CHILLED_WATER_PUMPS
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	300c38ea-6aa2-48d9-916a-3947969ca577	HEAT_REJECTION_PUMPS
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	2e3862a1-c86c-44b3-ba8e-6c817d885f4b	VENTILATION
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	a25b7489-40ab-4d2c-8b10-6d5adf05d55d	INFILTRATION
c7b3a2ea-0172-4ce9-bff2-b2f56da1ae20	c887849c-247a-4247-a647-e4517943d097	IT_LOAD
617db454-4cb4-420a-b0dc-b4a56ec9b419	8d4db94f-557e-4a21-8473-7af144d37923	SWITCHGEAR
617db454-4cb4-420a-b0dc-b4a56ec9b419	c6556b52-48f6-474f-824a-77ee8ba7431b	GENERATOR
617db454-4cb4-420a-b0dc-b4a56ec9b419	3ae7f8dd-a43b-49c3-8c87-c2ecb2f82ff2	PRIMARY_AUXILIARIES
617db454-4cb4-420a-b0dc-b4a56ec9b419	3dfc6875-5c51-49b7-ba38-7681ea8fd0fd	UPS
617db454-4cb4-420a-b0dc-b4a56ec9b419	06f9fe8f-fb0f-40af-bad5-c35240d7ae2e	CRITICAL_AUXILIARIES
617db454-4cb4-420a-b0dc-b4a56ec9b419	d7ccf6b4-25fe-4870-9c67-e3bc054ab8e3	LIGHTING
617db454-4cb4-420a-b0dc-b4a56ec9b419	ed6ded01-99e3-4449-9384-6d4dc6f91b9f	CRITICAL_POWER_DISTRIBUTION
617db454-4cb4-420a-b0dc-b4a56ec9b419	8ba0b2ea-0bf9-4900-8777-6df54cfbd17d	CRAH
617db454-4cb4-420a-b0dc-b4a56ec9b419	d3abca4e-17fa-49c1-ba9e-60f41f055110	CRAC
617db454-4cb4-420a-b0dc-b4a56ec9b419	36b09b8a-cdc5-4e56-80af-7e2545d257c9	CRAC_WITHOUT_FAN
617db454-4cb4-420a-b0dc-b4a56ec9b419	f0eff6ce-f102-4c83-a84d-345ea4d18f46	CRAC_FAN
617db454-4cb4-420a-b0dc-b4a56ec9b419	4e56de2b-b3cc-48f9-98fa-dcb1b18ba2ae	CHILLER
617db454-4cb4-420a-b0dc-b4a56ec9b419	040bd12f-188a-466b-b99a-9ebd22fddb30	AIR_COOLED_CHILLER
617db454-4cb4-420a-b0dc-b4a56ec9b419	1193d85e-499d-4d95-9997-e5e7cf6d875d	COOLING_TOWER
617db454-4cb4-420a-b0dc-b4a56ec9b419	993658d7-291e-4c82-ab8c-8c70d06be790	DRY_COOLER
617db454-4cb4-420a-b0dc-b4a56ec9b419	012416fd-5258-4901-885b-4a4e5c3e0b95	REMOTE_CONDENSER
617db454-4cb4-420a-b0dc-b4a56ec9b419	19165c7e-bacc-4b73-9c2d-40611054efbb	CHILLED_WATER_PUMPS
617db454-4cb4-420a-b0dc-b4a56ec9b419	c43f0c3f-4c07-4640-90c3-43e250ef4dca	HEAT_REJECTION_PUMPS
617db454-4cb4-420a-b0dc-b4a56ec9b419	d6cab9f5-8270-4a9e-b9e6-0f998b3b9283	VENTILATION
617db454-4cb4-420a-b0dc-b4a56ec9b419	ac2628ff-6abc-4816-82ef-ee9d815e5e93	INFILTRATION
617db454-4cb4-420a-b0dc-b4a56ec9b419	6c8dd214-be9d-450e-9c64-88bdf99ec454	IT_LOAD
a2a4c59b-e50a-4962-bbcc-faa52541fd43	82375046-55cb-4484-8e32-8678b73b8c03	SWITCHGEAR
a2a4c59b-e50a-4962-bbcc-faa52541fd43	1e1acbee-66e2-4b4c-8228-48cb57e2748d	GENERATOR
a2a4c59b-e50a-4962-bbcc-faa52541fd43	d8be183f-ed93-449d-9f4d-58e8db474577	PRIMARY_AUXILIARIES
a2a4c59b-e50a-4962-bbcc-faa52541fd43	2e66f991-0f38-4ecf-955b-743d46b2a202	UPS
a2a4c59b-e50a-4962-bbcc-faa52541fd43	8ad8bff9-9c99-4964-b08d-54db3aa099f3	CRITICAL_AUXILIARIES
a2a4c59b-e50a-4962-bbcc-faa52541fd43	6f806ac6-010a-4e63-ada1-accde1b1adbe	LIGHTING
a2a4c59b-e50a-4962-bbcc-faa52541fd43	a907f1da-2c37-4b9f-8656-464ecf6f2248	CRITICAL_POWER_DISTRIBUTION
a2a4c59b-e50a-4962-bbcc-faa52541fd43	9a1589dd-f438-4768-8cdd-773f5e286fac	CRAH
a2a4c59b-e50a-4962-bbcc-faa52541fd43	b7c58a43-b8c8-4404-81b4-627652ac49c9	CRAC
a2a4c59b-e50a-4962-bbcc-faa52541fd43	5b13fdab-4ca7-42fa-9737-d4a390eb24d8	CRAC_WITHOUT_FAN
a2a4c59b-e50a-4962-bbcc-faa52541fd43	80f9db94-17f6-4f0e-b70b-21e6db8a7e8c	CRAC_FAN
a2a4c59b-e50a-4962-bbcc-faa52541fd43	d7575500-d6ab-45e3-a972-36caf68c6691	CHILLER
a2a4c59b-e50a-4962-bbcc-faa52541fd43	571829aa-adc1-40d3-9570-c00d632d6590	AIR_COOLED_CHILLER
a2a4c59b-e50a-4962-bbcc-faa52541fd43	d61e7425-04c5-454f-ab93-19664ba9de31	COOLING_TOWER
a2a4c59b-e50a-4962-bbcc-faa52541fd43	ddf44244-d931-421a-9e58-56b47b93d732	DRY_COOLER
a2a4c59b-e50a-4962-bbcc-faa52541fd43	e0e2e148-2dea-4211-a559-295f784bbb2b	REMOTE_CONDENSER
a2a4c59b-e50a-4962-bbcc-faa52541fd43	37536931-644e-4656-b356-bed3f3b44826	CHILLED_WATER_PUMPS
a2a4c59b-e50a-4962-bbcc-faa52541fd43	06d9ee31-f03c-4bf5-ac55-97882a8a394d	HEAT_REJECTION_PUMPS
a2a4c59b-e50a-4962-bbcc-faa52541fd43	4ceacd6e-9874-4023-b720-c7c88f985d71	VENTILATION
a2a4c59b-e50a-4962-bbcc-faa52541fd43	095d4403-87ca-418e-b4dd-3f36591ac761	INFILTRATION
a2a4c59b-e50a-4962-bbcc-faa52541fd43	e5e67376-dad0-4a5c-bf7b-de2003784558	IT_LOAD
e171da6b-5dff-4eec-840a-2890e434d715	f171968b-46e7-451e-8231-effcf3e10b63	SWITCHGEAR
e171da6b-5dff-4eec-840a-2890e434d715	48ff4dbe-ad9f-4b40-b417-46418ac9083a	GENERATOR
e171da6b-5dff-4eec-840a-2890e434d715	319ea611-1499-4576-8961-c3323fbfd4e7	PRIMARY_AUXILIARIES
e171da6b-5dff-4eec-840a-2890e434d715	723ff71a-4f75-4c9f-ac23-0031701e1134	UPS
e171da6b-5dff-4eec-840a-2890e434d715	f7a5ba7d-d28b-4519-8380-0ca2e4e34609	CRITICAL_AUXILIARIES
e171da6b-5dff-4eec-840a-2890e434d715	c1187b77-bf71-45f2-90f4-e40dfbe0302b	LIGHTING
e171da6b-5dff-4eec-840a-2890e434d715	297d1e73-cee1-4ae9-82d8-d0f0d1b3d877	CRITICAL_POWER_DISTRIBUTION
e171da6b-5dff-4eec-840a-2890e434d715	079cbbd2-e0f3-48a4-920d-c43f03cc53d5	CRAH
e171da6b-5dff-4eec-840a-2890e434d715	152d7771-ce67-4d90-bb5b-d0e32101b5b7	CRAC
e171da6b-5dff-4eec-840a-2890e434d715	b5b60b69-ef65-4613-9371-8151209d1e02	CRAC_WITHOUT_FAN
e171da6b-5dff-4eec-840a-2890e434d715	9570650e-f2af-44c2-b412-307902828fc6	CRAC_FAN
e171da6b-5dff-4eec-840a-2890e434d715	87a20796-f5ae-495f-a230-3df12f689347	CHILLER
e171da6b-5dff-4eec-840a-2890e434d715	92bd9cf7-7ea9-4fe5-a8de-67419b3f89c6	AIR_COOLED_CHILLER
e171da6b-5dff-4eec-840a-2890e434d715	f89eb6c4-89a8-4be1-af6f-d8e001c22748	COOLING_TOWER
e171da6b-5dff-4eec-840a-2890e434d715	be68f5ee-41fd-4428-a59d-f60d6a4e4b3f	DRY_COOLER
e171da6b-5dff-4eec-840a-2890e434d715	30516341-24cd-4fb6-bd08-092bbd2d620e	REMOTE_CONDENSER
e171da6b-5dff-4eec-840a-2890e434d715	72d04cf8-71b0-450c-b659-009c526c184a	CHILLED_WATER_PUMPS
e171da6b-5dff-4eec-840a-2890e434d715	737851e3-faeb-4478-b330-275c51ae2576	HEAT_REJECTION_PUMPS
e171da6b-5dff-4eec-840a-2890e434d715	3020e81d-e56f-47b0-bba4-0aa2df0b6fe5	VENTILATION
e171da6b-5dff-4eec-840a-2890e434d715	ba1e0fae-6d21-4eb1-a363-a3c3999828ac	INFILTRATION
e171da6b-5dff-4eec-840a-2890e434d715	561de286-6a4e-4859-9221-8afe523e4263	IT_LOAD
b4c80080-2aa8-4e7c-97a7-298681c4adc1	683c6e15-1016-40f6-a9af-66a76bd7ed84	SWITCHGEAR
b4c80080-2aa8-4e7c-97a7-298681c4adc1	2c74c42d-2c94-4829-8cbc-76b845b633da	GENERATOR
b4c80080-2aa8-4e7c-97a7-298681c4adc1	e7dbc540-75d4-406a-a421-0903f035b5a1	PRIMARY_AUXILIARIES
b4c80080-2aa8-4e7c-97a7-298681c4adc1	e24ecf56-ea43-490a-9c8d-9b38de5748d8	UPS
b4c80080-2aa8-4e7c-97a7-298681c4adc1	aacf778e-01a5-49ac-96e0-081867a712ab	CRITICAL_AUXILIARIES
b4c80080-2aa8-4e7c-97a7-298681c4adc1	130f19e8-9786-41cf-9808-637b1a330b9d	LIGHTING
b4c80080-2aa8-4e7c-97a7-298681c4adc1	f7cfae75-53dc-41dd-8036-2b383ee55d1d	CRITICAL_POWER_DISTRIBUTION
b4c80080-2aa8-4e7c-97a7-298681c4adc1	0a1738ad-398a-493c-a585-904eeb0e3e7d	CRAH
b4c80080-2aa8-4e7c-97a7-298681c4adc1	6b2f758a-6c41-4e4d-82e0-e01a2f614490	CRAC
b4c80080-2aa8-4e7c-97a7-298681c4adc1	a41019b1-b738-423b-bb15-e8171d87842b	CRAC_WITHOUT_FAN
b4c80080-2aa8-4e7c-97a7-298681c4adc1	c415d3ea-7616-46ad-86a1-9f21e130e31d	CRAC_FAN
b4c80080-2aa8-4e7c-97a7-298681c4adc1	d268134d-5d44-497f-9a28-d12dc14cafe2	CHILLER
b4c80080-2aa8-4e7c-97a7-298681c4adc1	da661a60-baa5-449f-b992-f49f368c24ee	AIR_COOLED_CHILLER
b4c80080-2aa8-4e7c-97a7-298681c4adc1	59d3c648-3f96-441b-9a93-476de86387dd	COOLING_TOWER
b4c80080-2aa8-4e7c-97a7-298681c4adc1	21d7f74e-0305-4c11-8274-6f2e72040d0c	DRY_COOLER
b4c80080-2aa8-4e7c-97a7-298681c4adc1	23d112a6-0267-47b0-84ce-ded23fb8da91	REMOTE_CONDENSER
b4c80080-2aa8-4e7c-97a7-298681c4adc1	ce44ce3b-9c84-49a8-bd64-c09375580bff	CHILLED_WATER_PUMPS
b4c80080-2aa8-4e7c-97a7-298681c4adc1	c5f80a2c-f75e-4b8d-b7a3-ff8409226223	HEAT_REJECTION_PUMPS
b4c80080-2aa8-4e7c-97a7-298681c4adc1	51040bae-c055-414a-aa1c-dabe78fb8d4c	VENTILATION
b4c80080-2aa8-4e7c-97a7-298681c4adc1	c9258765-223a-4fe4-9a10-e97e2e20a8af	INFILTRATION
b4c80080-2aa8-4e7c-97a7-298681c4adc1	825a4fca-3a27-4889-be8f-6ea615130a85	IT_LOAD
b127ea53-a8b6-48de-8b63-a120e68edb3a	b0627c6f-0e34-446c-89f5-2aa88688e714	SWITCHGEAR
b127ea53-a8b6-48de-8b63-a120e68edb3a	ca0a58e0-657d-417a-8b95-2b5115115979	GENERATOR
b127ea53-a8b6-48de-8b63-a120e68edb3a	b3e37a1f-2132-4b22-8089-eec668048041	PRIMARY_AUXILIARIES
b127ea53-a8b6-48de-8b63-a120e68edb3a	9ae77bfa-c11d-42a8-b528-7c2d9db50a06	UPS
b127ea53-a8b6-48de-8b63-a120e68edb3a	804ebba7-1953-427f-b4c7-3a8c0bc39b20	CRITICAL_AUXILIARIES
b127ea53-a8b6-48de-8b63-a120e68edb3a	364d9e3d-c943-4f28-8ca4-96ecc6908845	LIGHTING
b127ea53-a8b6-48de-8b63-a120e68edb3a	0fd71a26-c476-45c7-8fbd-8daeb4aa7e23	CRITICAL_POWER_DISTRIBUTION
b127ea53-a8b6-48de-8b63-a120e68edb3a	1ef96447-9100-4bb8-abd6-ccb89ab8d6af	CRAH
b127ea53-a8b6-48de-8b63-a120e68edb3a	e83f77a8-67dd-4746-bd25-ae8d18702b45	CRAC
b127ea53-a8b6-48de-8b63-a120e68edb3a	fecc59e6-337c-4a42-a418-6e0011c9452c	CRAC_WITHOUT_FAN
b127ea53-a8b6-48de-8b63-a120e68edb3a	301ddb2b-b455-49b4-803f-e342c77282d1	CRAC_FAN
b127ea53-a8b6-48de-8b63-a120e68edb3a	7513c46a-da9d-4aa4-8238-fd9089c20bf9	CHILLER
b127ea53-a8b6-48de-8b63-a120e68edb3a	79a697b3-6523-418a-8351-f6d7701869e2	AIR_COOLED_CHILLER
b127ea53-a8b6-48de-8b63-a120e68edb3a	8fc9b593-e0d1-4e17-870f-cefa36292d47	COOLING_TOWER
b127ea53-a8b6-48de-8b63-a120e68edb3a	d1116593-eaf4-47a7-b502-9b912230c58f	DRY_COOLER
b127ea53-a8b6-48de-8b63-a120e68edb3a	4abfa039-f895-476d-9cfe-c8c678d12607	REMOTE_CONDENSER
b127ea53-a8b6-48de-8b63-a120e68edb3a	3ba96abc-6492-44a1-aecd-ae86e513eba8	CHILLED_WATER_PUMPS
b127ea53-a8b6-48de-8b63-a120e68edb3a	5811ce0c-f735-4dfb-a523-efc9176c3a50	HEAT_REJECTION_PUMPS
b127ea53-a8b6-48de-8b63-a120e68edb3a	9c84be8b-07d7-41f8-a2c2-c875f0083ed7	VENTILATION
b127ea53-a8b6-48de-8b63-a120e68edb3a	216177fc-e12c-485e-ac11-907a6884e833	INFILTRATION
b127ea53-a8b6-48de-8b63-a120e68edb3a	59aeb357-b01f-4bf2-9c40-9d97d4c727f8	IT_LOAD
2950901b-1610-483c-80b3-3f704d6d2f6b	c36f23b7-ce4e-4997-8065-9733a5092ee7	SWITCHGEAR
2950901b-1610-483c-80b3-3f704d6d2f6b	1f3bf0db-d5bb-4825-9cf8-6d37c6e7289d	GENERATOR
2950901b-1610-483c-80b3-3f704d6d2f6b	349db10a-a334-472e-a41c-6c8fdfbf24a1	PRIMARY_AUXILIARIES
2950901b-1610-483c-80b3-3f704d6d2f6b	0fba08b1-7422-4132-8347-c97cfe53c3a6	UPS
2950901b-1610-483c-80b3-3f704d6d2f6b	4020dbff-9158-4804-923e-faeaf7d85a7c	CRITICAL_AUXILIARIES
2950901b-1610-483c-80b3-3f704d6d2f6b	ad9768d6-6970-49ed-9659-68a9e28c4373	LIGHTING
2950901b-1610-483c-80b3-3f704d6d2f6b	ba2d0bb1-48a5-4e6b-82aa-b078aafe2c4f	CRITICAL_POWER_DISTRIBUTION
2950901b-1610-483c-80b3-3f704d6d2f6b	5df432c4-fede-4a96-84cc-b94fa4c522ba	CRAH
2950901b-1610-483c-80b3-3f704d6d2f6b	b34bfe4b-641c-4d7a-92fe-945010118a0f	CRAC
2950901b-1610-483c-80b3-3f704d6d2f6b	74ea2ead-5dd1-4c85-ad5e-b410cb2cb986	CRAC_WITHOUT_FAN
2950901b-1610-483c-80b3-3f704d6d2f6b	f41ccaf5-865b-42a0-8348-182c99cc5446	CRAC_FAN
2950901b-1610-483c-80b3-3f704d6d2f6b	37e0c9ad-8b8b-42ac-9e3e-db2ffe234482	CHILLER
2950901b-1610-483c-80b3-3f704d6d2f6b	6059c5cd-65d9-4ca1-ad7f-478d70da75de	AIR_COOLED_CHILLER
2950901b-1610-483c-80b3-3f704d6d2f6b	2d5979de-9d9f-4fb3-9fdc-dd57e021d8e9	COOLING_TOWER
2950901b-1610-483c-80b3-3f704d6d2f6b	98784b0f-fd52-4acb-92d1-af2ae89459d6	DRY_COOLER
2950901b-1610-483c-80b3-3f704d6d2f6b	51f950aa-529f-46be-a7e2-6550926f7b8f	REMOTE_CONDENSER
2950901b-1610-483c-80b3-3f704d6d2f6b	f9b0c6a5-3132-4de1-988c-7fc7082c320e	CHILLED_WATER_PUMPS
2950901b-1610-483c-80b3-3f704d6d2f6b	949edede-69a6-4ebf-a16f-12076ad9f68c	HEAT_REJECTION_PUMPS
2950901b-1610-483c-80b3-3f704d6d2f6b	012a70e0-d810-4226-a46a-975979c1f757	VENTILATION
2950901b-1610-483c-80b3-3f704d6d2f6b	00ead869-eab4-462d-89eb-0ea47e7dd668	INFILTRATION
2950901b-1610-483c-80b3-3f704d6d2f6b	3605f1c0-2dee-45e7-a10d-286165e604ed	IT_LOAD
b14d753d-6a29-4b55-bc86-a6125e70f3dd	45535764-7f8c-4a9d-9ec4-f81b5f167599	SWITCHGEAR
b14d753d-6a29-4b55-bc86-a6125e70f3dd	9bfde990-b6f2-43f6-867a-cd29ce3f20b9	GENERATOR
b14d753d-6a29-4b55-bc86-a6125e70f3dd	1dfd6aae-ce32-463e-925f-0a4e14297c84	PRIMARY_AUXILIARIES
b14d753d-6a29-4b55-bc86-a6125e70f3dd	49f8c15f-fa95-40a6-bfe4-594d9091e249	UPS
b14d753d-6a29-4b55-bc86-a6125e70f3dd	645d245e-ea59-4db6-82cc-bd7195e3db85	CRITICAL_AUXILIARIES
b14d753d-6a29-4b55-bc86-a6125e70f3dd	936047ed-f362-436e-8657-3dacf92f3d97	LIGHTING
b14d753d-6a29-4b55-bc86-a6125e70f3dd	3c1d5a28-c4ef-44f3-b077-6f628a2f766c	CRITICAL_POWER_DISTRIBUTION
b14d753d-6a29-4b55-bc86-a6125e70f3dd	5c4dd15b-a06f-4368-87e9-3d2e655a9778	CRAH
b14d753d-6a29-4b55-bc86-a6125e70f3dd	ea12562a-8206-4f58-a025-0b59f6f311e2	CRAC
b14d753d-6a29-4b55-bc86-a6125e70f3dd	fe892e13-f078-4395-8f17-a9202c0ee50e	CRAC_WITHOUT_FAN
b14d753d-6a29-4b55-bc86-a6125e70f3dd	36480ffa-0844-4541-af5c-501511e5d2a8	CRAC_FAN
b14d753d-6a29-4b55-bc86-a6125e70f3dd	378f83cf-b1e4-4be7-9b9f-8ce0631d1289	CHILLER
b14d753d-6a29-4b55-bc86-a6125e70f3dd	6eecebc1-8ba9-4c91-9308-d435d265a93f	AIR_COOLED_CHILLER
b14d753d-6a29-4b55-bc86-a6125e70f3dd	ddd1a300-0ce9-481e-b271-2d84e5e4232b	COOLING_TOWER
b14d753d-6a29-4b55-bc86-a6125e70f3dd	978081d5-d6f4-40f2-aba0-17225c571160	DRY_COOLER
b14d753d-6a29-4b55-bc86-a6125e70f3dd	dcd3d04e-6c88-4b80-b97a-19490756f309	REMOTE_CONDENSER
b14d753d-6a29-4b55-bc86-a6125e70f3dd	62139920-b312-4fd6-8241-91713d32f3a9	CHILLED_WATER_PUMPS
b14d753d-6a29-4b55-bc86-a6125e70f3dd	87f9bb85-ba0a-42e7-ab41-80e4fe5c65b3	HEAT_REJECTION_PUMPS
b14d753d-6a29-4b55-bc86-a6125e70f3dd	67ad3a8f-77ed-439f-9453-9562cda82e3a	VENTILATION
b14d753d-6a29-4b55-bc86-a6125e70f3dd	1fb91237-6875-4f23-a2e6-eec1d23b5dde	INFILTRATION
b14d753d-6a29-4b55-bc86-a6125e70f3dd	6dd4a1bc-a1db-4445-9ccd-2c57e89ad3ff	IT_LOAD
b25e2d12-7237-4fd6-a1dc-467733237a87	19bbc12c-3853-4e69-aa51-2e50c8469402	SWITCHGEAR
b25e2d12-7237-4fd6-a1dc-467733237a87	0f459fdd-b00f-4145-b8fe-99d5ddcd1f22	GENERATOR
b25e2d12-7237-4fd6-a1dc-467733237a87	1363acf2-00f3-4ab1-ab2b-c04cdb734950	PRIMARY_AUXILIARIES
b25e2d12-7237-4fd6-a1dc-467733237a87	3606c58d-0d35-4fd3-a86f-8b3ee956cd4b	UPS
b25e2d12-7237-4fd6-a1dc-467733237a87	09913a4f-4e04-4b1d-ae53-750c743131a6	CRITICAL_AUXILIARIES
b25e2d12-7237-4fd6-a1dc-467733237a87	4d0775a0-2eec-4b14-a849-898d7bdcfdee	LIGHTING
b25e2d12-7237-4fd6-a1dc-467733237a87	06f51b73-8920-4912-8c81-b7a407532631	CRITICAL_POWER_DISTRIBUTION
b25e2d12-7237-4fd6-a1dc-467733237a87	860c330c-c0e4-4f78-afc0-31fc90c48a06	CRAH
b25e2d12-7237-4fd6-a1dc-467733237a87	11d419d8-7082-4d00-9192-102f68e84536	CRAC
b25e2d12-7237-4fd6-a1dc-467733237a87	b4be38bf-7b21-4352-8ccd-427fb880e7df	CRAC_WITHOUT_FAN
b25e2d12-7237-4fd6-a1dc-467733237a87	fc5ee1d1-448e-4099-bd97-53fea4e88e26	CRAC_FAN
b25e2d12-7237-4fd6-a1dc-467733237a87	b8a8cff4-0951-4651-b2dd-ce6a2876a1d3	CHILLER
b25e2d12-7237-4fd6-a1dc-467733237a87	e3c058d7-1974-40c0-b546-23f5ec4c469e	AIR_COOLED_CHILLER
b25e2d12-7237-4fd6-a1dc-467733237a87	a63ffb95-b844-41f4-95d4-965371325742	COOLING_TOWER
b25e2d12-7237-4fd6-a1dc-467733237a87	43fb63dc-9086-4f1f-a941-38514e6a2e4d	DRY_COOLER
b25e2d12-7237-4fd6-a1dc-467733237a87	a51d15a7-295a-446f-98e5-38f0e0818ede	REMOTE_CONDENSER
b25e2d12-7237-4fd6-a1dc-467733237a87	8986f327-c618-4a70-8e19-da3be3b5afec	CHILLED_WATER_PUMPS
b25e2d12-7237-4fd6-a1dc-467733237a87	96f1dd78-5049-4ff7-886f-c93e923bab64	HEAT_REJECTION_PUMPS
b25e2d12-7237-4fd6-a1dc-467733237a87	30bad055-e50a-47ba-9b17-7ffea4d9a4a9	VENTILATION
b25e2d12-7237-4fd6-a1dc-467733237a87	697436be-26b0-4b9d-95f4-5261377b8b6f	INFILTRATION
b25e2d12-7237-4fd6-a1dc-467733237a87	9d968beb-e03c-4c7c-8191-22e7017212a1	IT_LOAD
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	f990298b-9442-4953-804f-f1f05d1be2a6	SWITCHGEAR
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	27d939cb-f7da-43e5-860f-b587cf8f4a84	GENERATOR
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	42cac846-b27f-47ae-9048-394b89d9dec0	PRIMARY_AUXILIARIES
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	c0b932b9-ad1c-4109-b9d3-e3ebf53dd7f8	UPS
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	039a311e-77f7-4b4b-ae85-0e3dd0861674	CRITICAL_AUXILIARIES
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	49dae591-96f8-4026-9f0e-f22566bd757c	LIGHTING
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	721deed9-29ec-4d1b-a25d-921c0a87f755	CRITICAL_POWER_DISTRIBUTION
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	3d3833dc-5ed5-47f4-aee6-f0f7e1eb8254	CRAH
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	963d661a-72e6-401e-98af-47eec16c0574	CRAC
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	345d68d9-5326-405f-bcc3-de693a42024f	CRAC_WITHOUT_FAN
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	3cf92b36-0320-403a-beff-f2b44d8453d9	CRAC_FAN
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	74ee8f47-75dd-4d02-b2db-090ee343a433	CHILLER
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	137ff6de-e257-4ca1-bd22-818caccd8b14	AIR_COOLED_CHILLER
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	a3aeec30-f9e7-4d34-9f68-5342ed748e2b	COOLING_TOWER
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	9938d262-043e-46ef-8fff-ec365b113f8f	DRY_COOLER
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	4bf3e1bb-cb2e-4d06-8132-f3e8db62762d	REMOTE_CONDENSER
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	9e4d8004-b414-41b6-9347-bc9d62c24b28	CHILLED_WATER_PUMPS
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	36cd9f60-0351-4a5b-b552-8475389088a1	HEAT_REJECTION_PUMPS
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	c400e149-31a5-46d6-911b-ad4516775de9	VENTILATION
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	5fd52b18-8bac-4c53-8d75-5257064c5479	INFILTRATION
b1f11b2f-f62d-468a-836d-2dfd4c9615bb	b1415fc8-f476-49cf-b953-10b29bb985c9	IT_LOAD
04c79324-cac2-494d-ad20-330cca69d596	a9f812ed-0742-484f-adc3-9e1733f50e96	SWITCHGEAR
04c79324-cac2-494d-ad20-330cca69d596	8b62604d-5ddc-4cb7-b65b-e255af69a06f	GENERATOR
04c79324-cac2-494d-ad20-330cca69d596	63683e06-7bcc-4f0c-b47a-41ec79cdf057	PRIMARY_AUXILIARIES
04c79324-cac2-494d-ad20-330cca69d596	85ae4909-9679-47a7-a73c-6c4261f02273	UPS
04c79324-cac2-494d-ad20-330cca69d596	22e2a62a-52ac-483f-ba01-a464d04031b9	CRITICAL_AUXILIARIES
04c79324-cac2-494d-ad20-330cca69d596	87bfbf89-816a-4ef0-8252-e940304baeef	LIGHTING
04c79324-cac2-494d-ad20-330cca69d596	197d0a55-7076-4286-b929-f6b8229820a9	CRITICAL_POWER_DISTRIBUTION
04c79324-cac2-494d-ad20-330cca69d596	6850a8aa-4585-4659-8c48-4090942ce55c	CRAH
04c79324-cac2-494d-ad20-330cca69d596	6bd55adf-5e81-4b0a-b667-3e47b019623d	CRAC
04c79324-cac2-494d-ad20-330cca69d596	4de6ec0d-39c7-4147-bb58-174410de6070	CRAC_WITHOUT_FAN
04c79324-cac2-494d-ad20-330cca69d596	70a0ce3c-777f-4158-a889-aa0a8a5e893c	CRAC_FAN
04c79324-cac2-494d-ad20-330cca69d596	487fd7b8-72ed-4fa9-bb5e-7f25c39d7ce8	CHILLER
04c79324-cac2-494d-ad20-330cca69d596	309472b7-c5e1-4b0a-b5f8-d7d026b433c6	AIR_COOLED_CHILLER
04c79324-cac2-494d-ad20-330cca69d596	633b13f7-0379-4a41-8eea-5062944b3d87	COOLING_TOWER
04c79324-cac2-494d-ad20-330cca69d596	e0746b37-a80c-46ec-8ac7-723d2b78984c	DRY_COOLER
04c79324-cac2-494d-ad20-330cca69d596	5c8ac9bc-6ff2-4121-b7ef-878040bab4e7	REMOTE_CONDENSER
04c79324-cac2-494d-ad20-330cca69d596	dc10ad2a-7834-4129-929e-6d8858af9f65	CHILLED_WATER_PUMPS
04c79324-cac2-494d-ad20-330cca69d596	87afff57-5d6c-4bcf-8d0a-6a887337a979	HEAT_REJECTION_PUMPS
04c79324-cac2-494d-ad20-330cca69d596	d9849e13-722b-498b-b642-38d9efa2cd67	VENTILATION
04c79324-cac2-494d-ad20-330cca69d596	8cb5aaf9-eb5b-481e-89fc-60c77af876c8	INFILTRATION
04c79324-cac2-494d-ad20-330cca69d596	a4dff5c8-ff17-4769-bc5e-ab95af1ff6a6	IT_LOAD
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	309e6a5c-046d-43cf-8765-005990b16960	SWITCHGEAR
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	b60c9105-bf38-42af-9cd8-bc8d558db0c2	GENERATOR
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	05b6243d-ea61-4e96-be7a-651115877966	PRIMARY_AUXILIARIES
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	fcfc094a-0e92-4a18-8d0f-4a3a265273c0	UPS
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	5b844467-2a00-4d8c-8c69-98eab48531ac	CRITICAL_AUXILIARIES
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	b4110d9e-f139-4a58-b9e0-ce85283f86e8	LIGHTING
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	9dbc9565-0931-4b09-8d44-88318fab3f14	CRITICAL_POWER_DISTRIBUTION
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	f647af52-3499-40b2-adb2-926ddd57f3ee	CRAH
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	93cc4d53-2c36-4542-a10f-d0a133f203b4	CRAC
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	36e479d3-2b17-4d57-8cbe-a6419d2b790c	CRAC_WITHOUT_FAN
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	14654420-a5e0-479a-9a03-91c5185367fb	CRAC_FAN
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	831d7236-8a21-4121-9018-73b413d75f73	CHILLER
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	ec6b04e8-2fe4-4087-9a5d-5482223814d2	AIR_COOLED_CHILLER
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	c15a5821-44d7-4a84-8d4a-844a640e9a6f	COOLING_TOWER
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	7cb09034-4c62-4122-a294-cebbc003e12d	DRY_COOLER
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	22292399-0d0b-409e-b0e9-eb4d32d6f972	REMOTE_CONDENSER
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	fd95a400-a39d-4ed9-b1a1-1a3d04f191ca	CHILLED_WATER_PUMPS
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	ddbd747a-1b16-458a-b136-b1b7d3a01405	HEAT_REJECTION_PUMPS
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	b88b6642-52b3-4049-a451-2f15669d682e	VENTILATION
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	62349d86-240c-48a8-9c60-ea7489dc1c73	INFILTRATION
b0fe30a0-7493-43e7-8660-f7ebaf5d8c6f	b8298ef7-52d6-44d6-86db-9701b83d6c9f	IT_LOAD
7a3e6863-eb6c-4556-99e3-9b925415a7da	783ec41a-6b65-4b2f-8acb-24ffc71a80f9	SWITCHGEAR
7a3e6863-eb6c-4556-99e3-9b925415a7da	93f0b522-7def-45cc-80cc-f21ea40ce3db	GENERATOR
7a3e6863-eb6c-4556-99e3-9b925415a7da	98256fd1-b5a7-44a5-9afd-c8a2a7b4d9b5	PRIMARY_AUXILIARIES
7a3e6863-eb6c-4556-99e3-9b925415a7da	5eaaa214-f460-46e4-a11a-5cd41b2f7a9f	UPS
7a3e6863-eb6c-4556-99e3-9b925415a7da	a15311d6-49c8-4507-beae-9dfb035937be	CRITICAL_AUXILIARIES
7a3e6863-eb6c-4556-99e3-9b925415a7da	3f38d6c4-28d6-489c-b502-a91b707ea4b0	LIGHTING
7a3e6863-eb6c-4556-99e3-9b925415a7da	f4c7f4ca-dd46-44fd-906b-91d1d8e6e5ce	CRITICAL_POWER_DISTRIBUTION
7a3e6863-eb6c-4556-99e3-9b925415a7da	3cfd44a9-bfc5-4ab1-bf92-9eab264f533b	CRAH
7a3e6863-eb6c-4556-99e3-9b925415a7da	3d5bd8eb-1bd0-431c-9823-e8ac33d39f4d	CRAC
7a3e6863-eb6c-4556-99e3-9b925415a7da	460c9c1f-f33f-4409-9c36-4df048e3217f	CRAC_WITHOUT_FAN
7a3e6863-eb6c-4556-99e3-9b925415a7da	dee16682-9cde-4d08-9075-97582df7e027	CRAC_FAN
7a3e6863-eb6c-4556-99e3-9b925415a7da	7f270e17-cc40-4071-abfc-a5f31ec78ba1	CHILLER
7a3e6863-eb6c-4556-99e3-9b925415a7da	eb8cff43-2c3f-455e-a55b-16426ff1cb12	AIR_COOLED_CHILLER
7a3e6863-eb6c-4556-99e3-9b925415a7da	b18163c8-3339-40dc-b15b-4e396a4f94a7	COOLING_TOWER
7a3e6863-eb6c-4556-99e3-9b925415a7da	37d74a3a-be04-4217-9f8c-90ead227c11c	DRY_COOLER
7a3e6863-eb6c-4556-99e3-9b925415a7da	899d5df8-83d5-4c08-bf34-5255e1f19285	REMOTE_CONDENSER
7a3e6863-eb6c-4556-99e3-9b925415a7da	f5c02c7b-bbb0-43da-9f46-31fee755e990	CHILLED_WATER_PUMPS
7a3e6863-eb6c-4556-99e3-9b925415a7da	94bb9a38-f076-4e0f-9e1f-800fcdd6c641	HEAT_REJECTION_PUMPS
7a3e6863-eb6c-4556-99e3-9b925415a7da	8ce5f8cb-88a6-44bf-812f-ecf2ff46a862	VENTILATION
7a3e6863-eb6c-4556-99e3-9b925415a7da	e05cdccb-5e0b-45af-ba14-735a3089321e	INFILTRATION
7a3e6863-eb6c-4556-99e3-9b925415a7da	92ff90d8-44e8-4854-8425-80a347e72872	IT_LOAD
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	d296b3f4-6e47-4563-b8ce-7deca99e4578	SWITCHGEAR
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	44726ca0-b6ca-45ea-b4d7-2f3c1dab6f7b	GENERATOR
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	8b959b7f-e1f3-4ff7-b4d5-57af5b0dab90	PRIMARY_AUXILIARIES
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	09879160-e588-467e-9ebb-db5fe2571c5b	UPS
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	4e10553c-a01d-402a-95c3-17572b9381d3	CRITICAL_AUXILIARIES
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	464bafc7-3250-43b1-9732-b5c0e3be2200	LIGHTING
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	1b388e58-f8fd-46a9-af32-15be5fdef601	CRITICAL_POWER_DISTRIBUTION
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	d0ca49c2-c043-42f0-a538-00576037e34b	CRAH
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	3a81ef40-22ae-4a68-a5a4-11328ec79caf	CRAC
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	f6a0fe0e-9445-4238-9c84-e9d9ad6fbee2	CRAC_WITHOUT_FAN
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	9f5bd02b-53a5-46bc-8df1-ed12b51c40bf	CRAC_FAN
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	47c5992e-3d64-435e-92c5-061ee4a1ba30	CHILLER
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	85569075-b5dd-4e60-a66a-85585c776d91	AIR_COOLED_CHILLER
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	fe53bc1a-d321-4b8a-b9d5-3b6e012aee16	COOLING_TOWER
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	fd947b3f-3549-40e9-9538-7a203fbed108	DRY_COOLER
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	51286c8d-6491-4be6-ba9b-b4d66dbd0dbc	REMOTE_CONDENSER
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	e17dcbe8-755f-4e1a-ab2a-42e19b63d789	CHILLED_WATER_PUMPS
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	eba154d3-243c-461d-b19b-77dfa520a3b6	HEAT_REJECTION_PUMPS
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	8ff0f8cb-a3c0-4f6f-9531-1302a4007711	VENTILATION
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	fc2e1c1e-3f2c-4737-a30e-1d7d788dd0a2	INFILTRATION
83fa4bb6-aeee-43fd-8722-3ee3fc3e5ede	b6171160-a857-4851-b67a-79be789f8e9f	IT_LOAD
6ce2d297-a489-474f-9390-8f19d7d06129	478c9250-e03b-4ed9-a591-f7840d1ff2fe	SWITCHGEAR
6ce2d297-a489-474f-9390-8f19d7d06129	320b4886-03e1-41df-a2c3-a373c7e8a439	GENERATOR
6ce2d297-a489-474f-9390-8f19d7d06129	22fc7401-8fce-4fb8-b11b-ccfc7fc5cf0c	PRIMARY_AUXILIARIES
6ce2d297-a489-474f-9390-8f19d7d06129	11a65078-27a6-4b1d-8dff-6f398e8de0a7	UPS
6ce2d297-a489-474f-9390-8f19d7d06129	35245e90-5899-4764-abb3-b76c76906f93	CRITICAL_AUXILIARIES
6ce2d297-a489-474f-9390-8f19d7d06129	12df61da-13ee-436b-a3cd-c599de5bbee9	LIGHTING
6ce2d297-a489-474f-9390-8f19d7d06129	a291a761-42f1-4b67-bc01-2a945969f479	CRITICAL_POWER_DISTRIBUTION
6ce2d297-a489-474f-9390-8f19d7d06129	c542c06b-c5a5-4335-8090-c3bb9061a2c4	CRAH
6ce2d297-a489-474f-9390-8f19d7d06129	939a88a2-3525-45b5-a0be-4a1bea3bfd09	CRAC
6ce2d297-a489-474f-9390-8f19d7d06129	ba4dd0ce-e78c-45bc-950c-d8f8259e7d3b	CRAC_WITHOUT_FAN
6ce2d297-a489-474f-9390-8f19d7d06129	22520020-aed2-43c6-9455-7f74a6011984	CRAC_FAN
6ce2d297-a489-474f-9390-8f19d7d06129	ec90139a-993d-4ffc-a102-2fb343091ed3	CHILLER
6ce2d297-a489-474f-9390-8f19d7d06129	393c2b63-4f58-4c58-8c47-330c1f016800	AIR_COOLED_CHILLER
6ce2d297-a489-474f-9390-8f19d7d06129	341f6415-1d2d-45d6-b828-36bf5b601560	COOLING_TOWER
6ce2d297-a489-474f-9390-8f19d7d06129	9f35cfee-157d-4959-8874-5544489dcbaf	DRY_COOLER
6ce2d297-a489-474f-9390-8f19d7d06129	407ab310-6e63-494a-b00b-939057db92b2	REMOTE_CONDENSER
6ce2d297-a489-474f-9390-8f19d7d06129	25c3b7cf-d32d-4721-84d6-0afd1503679e	CHILLED_WATER_PUMPS
6ce2d297-a489-474f-9390-8f19d7d06129	962c347c-37a0-4b87-875e-0dbf1b368ca3	HEAT_REJECTION_PUMPS
6ce2d297-a489-474f-9390-8f19d7d06129	5826f0d7-8ad3-4a82-8755-e9a992e1e5b4	VENTILATION
6ce2d297-a489-474f-9390-8f19d7d06129	5e569691-952a-4f5f-a25d-1c2a082e04b0	INFILTRATION
6ce2d297-a489-474f-9390-8f19d7d06129	39ca4e4d-e8a8-4ccc-b274-3a45299cee23	IT_LOAD
c01fb1c3-a251-42ce-a179-b7e3adc8b879	b8f6fca4-e30e-408c-b2ab-1d0d442dc2e2	SWITCHGEAR
c01fb1c3-a251-42ce-a179-b7e3adc8b879	295b6d45-bc82-4fbf-891e-e72fa1104a9e	GENERATOR
c01fb1c3-a251-42ce-a179-b7e3adc8b879	ea7c642a-6a80-4028-9898-6678eb680f9b	PRIMARY_AUXILIARIES
c01fb1c3-a251-42ce-a179-b7e3adc8b879	bd1ea99c-1b5a-42c4-988d-9b3c65d50560	UPS
c01fb1c3-a251-42ce-a179-b7e3adc8b879	bc8ac357-e3fc-425b-946b-f6de9302e850	CRITICAL_AUXILIARIES
c01fb1c3-a251-42ce-a179-b7e3adc8b879	79cdf76b-e369-4fc0-902c-daa30ee854de	LIGHTING
c01fb1c3-a251-42ce-a179-b7e3adc8b879	3d4f2e46-d29a-4826-83ba-d3d6a8ab1e4a	CRITICAL_POWER_DISTRIBUTION
c01fb1c3-a251-42ce-a179-b7e3adc8b879	6b102b99-9152-423c-9def-8f0ac3c3b1f0	CRAH
c01fb1c3-a251-42ce-a179-b7e3adc8b879	2612725b-023d-4275-800a-f6274c109d3a	CRAC
c01fb1c3-a251-42ce-a179-b7e3adc8b879	fb890dbf-837a-4df9-88b3-3ead4dd374fc	CRAC_WITHOUT_FAN
c01fb1c3-a251-42ce-a179-b7e3adc8b879	e0eef377-98c8-4b99-9770-0805af5aeb23	CRAC_FAN
c01fb1c3-a251-42ce-a179-b7e3adc8b879	a6e30102-10f1-48c2-bc10-1e752cb36af5	CHILLER
c01fb1c3-a251-42ce-a179-b7e3adc8b879	e0844f67-84e9-4ab3-bb55-7097370656b3	AIR_COOLED_CHILLER
c01fb1c3-a251-42ce-a179-b7e3adc8b879	1073f50a-b95a-4d99-9fc6-74b7bd6653f1	COOLING_TOWER
c01fb1c3-a251-42ce-a179-b7e3adc8b879	1ef1c7a9-9661-4200-8009-07e26b0eb159	DRY_COOLER
c01fb1c3-a251-42ce-a179-b7e3adc8b879	0a4115ae-6b7f-4f0b-bdf8-19332cc039de	REMOTE_CONDENSER
c01fb1c3-a251-42ce-a179-b7e3adc8b879	9a6f5900-e84a-412f-ad9e-d05d5dddb10a	CHILLED_WATER_PUMPS
c01fb1c3-a251-42ce-a179-b7e3adc8b879	cf58dba1-ac03-4b66-b197-10fe929c2dc4	HEAT_REJECTION_PUMPS
c01fb1c3-a251-42ce-a179-b7e3adc8b879	eef5a225-1764-4a8d-ac56-6a6e95f17e44	VENTILATION
c01fb1c3-a251-42ce-a179-b7e3adc8b879	7b695840-a190-434d-8994-94609879ec71	INFILTRATION
c01fb1c3-a251-42ce-a179-b7e3adc8b879	90cc19bb-6d57-4fe1-8fdb-d32fd2b87044	IT_LOAD
9b765ff3-d437-42dc-970b-bb07b1d8ba85	fcfcc637-b229-4315-9441-67ae92546c29	SWITCHGEAR
9b765ff3-d437-42dc-970b-bb07b1d8ba85	01adf56f-82a1-41fa-bf87-ac42539d522f	GENERATOR
9b765ff3-d437-42dc-970b-bb07b1d8ba85	8a91c712-c818-4191-976b-98cd7415b914	PRIMARY_AUXILIARIES
9b765ff3-d437-42dc-970b-bb07b1d8ba85	9e9611e3-feaf-42b4-845d-955063b83183	UPS
9b765ff3-d437-42dc-970b-bb07b1d8ba85	4191fd90-7a6a-47a4-a340-3590e707fcca	CRITICAL_AUXILIARIES
9b765ff3-d437-42dc-970b-bb07b1d8ba85	3459aa1c-8c5e-407f-9683-ea9a03023eca	LIGHTING
9b765ff3-d437-42dc-970b-bb07b1d8ba85	f8663de2-52b2-4ce2-8ffd-713d2cf85cf4	CRITICAL_POWER_DISTRIBUTION
9b765ff3-d437-42dc-970b-bb07b1d8ba85	2cf70316-a798-428e-ae80-37f88bd30ec3	CRAH
9b765ff3-d437-42dc-970b-bb07b1d8ba85	80ead969-1038-49b4-95c4-cab838ab93dc	CRAC
9b765ff3-d437-42dc-970b-bb07b1d8ba85	e6b051d4-3fbb-4907-9fed-0886ec37a7e3	CRAC_WITHOUT_FAN
9b765ff3-d437-42dc-970b-bb07b1d8ba85	b2b83a1f-2920-49c8-8555-6e075a365ad1	CRAC_FAN
9b765ff3-d437-42dc-970b-bb07b1d8ba85	90a505b7-8383-497e-8d2c-6936c2e958ee	CHILLER
9b765ff3-d437-42dc-970b-bb07b1d8ba85	5ce5619b-015a-459c-b47c-3f0f526b14bd	AIR_COOLED_CHILLER
9b765ff3-d437-42dc-970b-bb07b1d8ba85	c1daf673-445e-4506-97c4-3b0f171c0e95	COOLING_TOWER
9b765ff3-d437-42dc-970b-bb07b1d8ba85	a07be333-b438-4b73-9313-de2c38f377c9	DRY_COOLER
9b765ff3-d437-42dc-970b-bb07b1d8ba85	960ca355-5ecd-494c-b186-ef38ece59c5f	REMOTE_CONDENSER
9b765ff3-d437-42dc-970b-bb07b1d8ba85	6b99c920-3840-4caf-b009-4227e56fea6c	CHILLED_WATER_PUMPS
9b765ff3-d437-42dc-970b-bb07b1d8ba85	8884aedd-7a25-4cef-a5dc-e07ff5b3aa0f	HEAT_REJECTION_PUMPS
9b765ff3-d437-42dc-970b-bb07b1d8ba85	c8461339-6fca-4590-9293-c15585a8a683	VENTILATION
9b765ff3-d437-42dc-970b-bb07b1d8ba85	2eb169dd-4dd3-415e-b0d7-2232434019a7	INFILTRATION
9b765ff3-d437-42dc-970b-bb07b1d8ba85	1be404ff-d3be-49cf-9250-b3815f4ebb8f	IT_LOAD
abcd2530-6491-4721-a69a-ebcc85955a3e	21e5fae5-aeb1-4164-904f-9cb98ec3bff0	SWITCHGEAR
abcd2530-6491-4721-a69a-ebcc85955a3e	9553ac7b-97b2-4240-a557-89da5515971c	GENERATOR
abcd2530-6491-4721-a69a-ebcc85955a3e	ed4fb2fb-c96a-42bc-b9a3-4cc90532cc76	PRIMARY_AUXILIARIES
abcd2530-6491-4721-a69a-ebcc85955a3e	15344b0c-0ef2-4a2d-98cc-79f19f83c1a6	UPS
abcd2530-6491-4721-a69a-ebcc85955a3e	79da3e8b-ee2f-4bdd-81b2-9fa5b38bf50f	CRITICAL_AUXILIARIES
abcd2530-6491-4721-a69a-ebcc85955a3e	31441e53-08d2-4b7b-a174-7680292f10cd	LIGHTING
abcd2530-6491-4721-a69a-ebcc85955a3e	b1f540c5-4813-44e2-bb9a-bd69c5e1de8b	CRITICAL_POWER_DISTRIBUTION
abcd2530-6491-4721-a69a-ebcc85955a3e	642b55ac-4d0b-4f16-8315-3113dd71ae3c	CRAH
abcd2530-6491-4721-a69a-ebcc85955a3e	ab45af1d-4582-47f4-ac34-b6787314f2f3	CRAC
abcd2530-6491-4721-a69a-ebcc85955a3e	141b6c29-1ad4-4d2f-a8c1-29626f604704	CRAC_WITHOUT_FAN
abcd2530-6491-4721-a69a-ebcc85955a3e	08da4665-88d7-4cdb-9784-2f262c800fd3	CRAC_FAN
abcd2530-6491-4721-a69a-ebcc85955a3e	a9480761-0de9-479d-b813-1c6f22af9625	CHILLER
abcd2530-6491-4721-a69a-ebcc85955a3e	a6ebc192-5661-4edf-82b6-3c1c7b28c2d4	AIR_COOLED_CHILLER
abcd2530-6491-4721-a69a-ebcc85955a3e	96f4f91e-e9c7-4c50-88d6-5966493e96f7	COOLING_TOWER
abcd2530-6491-4721-a69a-ebcc85955a3e	751683fe-8a8d-4f40-a4f0-3c0f5c81e869	DRY_COOLER
abcd2530-6491-4721-a69a-ebcc85955a3e	b798c247-e7f4-469d-a346-b2fd1af75967	REMOTE_CONDENSER
abcd2530-6491-4721-a69a-ebcc85955a3e	257967ca-a898-47ea-9693-f159817f0e8f	CHILLED_WATER_PUMPS
abcd2530-6491-4721-a69a-ebcc85955a3e	1fe01d1b-3fa4-44ba-9354-5a6e70f7b5da	HEAT_REJECTION_PUMPS
abcd2530-6491-4721-a69a-ebcc85955a3e	4f55cf82-c7f0-4ffe-89e2-da01f0e67609	VENTILATION
abcd2530-6491-4721-a69a-ebcc85955a3e	16752a90-7a62-4f27-be74-ff2738f07edb	INFILTRATION
abcd2530-6491-4721-a69a-ebcc85955a3e	3bbfa65b-812a-4fd9-b792-f75a58640e6c	IT_LOAD
6fd93a70-800f-48ce-a66b-4e7f819ec554	d255a215-3946-4946-9c09-67e20b8e4780	SWITCHGEAR
6fd93a70-800f-48ce-a66b-4e7f819ec554	fc715526-b441-47c5-ae47-358a5ff463f7	GENERATOR
6fd93a70-800f-48ce-a66b-4e7f819ec554	65eaf271-7e3e-45b8-a54f-df3da2c25c74	PRIMARY_AUXILIARIES
6fd93a70-800f-48ce-a66b-4e7f819ec554	418104fc-1332-4fff-9776-1450f0a59e4a	UPS
6fd93a70-800f-48ce-a66b-4e7f819ec554	89e807b6-70c4-4657-9e27-c9e2b14f3c2b	CRITICAL_AUXILIARIES
6fd93a70-800f-48ce-a66b-4e7f819ec554	a753458f-5696-4503-9636-86f1acc72d83	LIGHTING
6fd93a70-800f-48ce-a66b-4e7f819ec554	ab578a2c-fc9a-444d-b312-5b4ac0fec5ff	CRITICAL_POWER_DISTRIBUTION
6fd93a70-800f-48ce-a66b-4e7f819ec554	f010e3dd-8191-4a4d-b3d5-3f91e44e650f	CRAH
6fd93a70-800f-48ce-a66b-4e7f819ec554	f4d17bd2-ae84-4b90-aef9-836815672f3c	CRAC
6fd93a70-800f-48ce-a66b-4e7f819ec554	94a4f9ea-ff46-4ff4-9f7a-a287ef3c99fc	CRAC_WITHOUT_FAN
6fd93a70-800f-48ce-a66b-4e7f819ec554	d3de53b1-22ec-4259-bc6a-68b9df5ee803	CRAC_FAN
6fd93a70-800f-48ce-a66b-4e7f819ec554	4e7d9542-4644-4aac-a3bd-adc9ab0fae32	CHILLER
6fd93a70-800f-48ce-a66b-4e7f819ec554	9a73f6cb-46f8-4575-b69e-7c7ff491ea23	AIR_COOLED_CHILLER
6fd93a70-800f-48ce-a66b-4e7f819ec554	80ab1a71-d2db-477a-996a-94d534d59443	COOLING_TOWER
6fd93a70-800f-48ce-a66b-4e7f819ec554	2706a503-b288-41c8-a209-3bb3fcce9412	DRY_COOLER
6fd93a70-800f-48ce-a66b-4e7f819ec554	f2ef5722-bc65-4afc-92d4-1be200453728	REMOTE_CONDENSER
6fd93a70-800f-48ce-a66b-4e7f819ec554	40c089b0-bd28-43b5-ac64-eccda44dab11	CHILLED_WATER_PUMPS
6fd93a70-800f-48ce-a66b-4e7f819ec554	a51b23d0-04d8-47af-b67d-0f6232b9beba	HEAT_REJECTION_PUMPS
6fd93a70-800f-48ce-a66b-4e7f819ec554	30ee1e9f-13db-4eaf-a2c5-e486fb16f8a0	VENTILATION
6fd93a70-800f-48ce-a66b-4e7f819ec554	caa557d6-7f0a-4fc1-93b7-1287c1dfb9b3	INFILTRATION
6fd93a70-800f-48ce-a66b-4e7f819ec554	af9df6a1-4120-4308-8f0a-8cece6aed888	IT_LOAD
8998aa57-88e0-436b-9332-9bf7a176bf48	23ac6dee-4fc6-4c88-86c8-d6f5a4dda4d5	SWITCHGEAR
8998aa57-88e0-436b-9332-9bf7a176bf48	8abf5904-240f-4f1f-9da2-d5ebde119d66	GENERATOR
8998aa57-88e0-436b-9332-9bf7a176bf48	edb7f854-7d2e-419b-9315-c2ed6b260ef6	PRIMARY_AUXILIARIES
8998aa57-88e0-436b-9332-9bf7a176bf48	4b1c70a5-444e-4511-9e64-fbc9c30d4f20	UPS
8998aa57-88e0-436b-9332-9bf7a176bf48	019940ee-3267-4d92-b3c1-76ef4c5d643e	CRITICAL_AUXILIARIES
8998aa57-88e0-436b-9332-9bf7a176bf48	e8dd414a-44bd-4e21-b507-4c22eb9b7043	LIGHTING
8998aa57-88e0-436b-9332-9bf7a176bf48	60db8e57-234c-49a6-ba52-24c0b7149203	CRITICAL_POWER_DISTRIBUTION
8998aa57-88e0-436b-9332-9bf7a176bf48	134759fe-c71f-42ca-aaa5-294593662e08	CRAH
8998aa57-88e0-436b-9332-9bf7a176bf48	6ba37069-8775-483b-85d2-9d907956cc7e	CRAC
8998aa57-88e0-436b-9332-9bf7a176bf48	c2431856-b5dc-4dc9-b21e-d359278f6a67	CRAC_WITHOUT_FAN
8998aa57-88e0-436b-9332-9bf7a176bf48	f4d14868-36c1-4eef-943c-238e3b03996b	CRAC_FAN
8998aa57-88e0-436b-9332-9bf7a176bf48	bf03c24e-20aa-4e8e-ad6b-c16d5c26fa2c	CHILLER
8998aa57-88e0-436b-9332-9bf7a176bf48	5c873a38-fbd5-4b16-b6fd-d8198d1ed393	AIR_COOLED_CHILLER
8998aa57-88e0-436b-9332-9bf7a176bf48	bff4cd08-ca29-45d6-b402-6a5b04f2540c	COOLING_TOWER
8998aa57-88e0-436b-9332-9bf7a176bf48	ce6b5693-9723-41f4-814f-d76c1a99fe65	DRY_COOLER
8998aa57-88e0-436b-9332-9bf7a176bf48	65a729ec-32a1-43ca-94bd-03a0aba57358	REMOTE_CONDENSER
8998aa57-88e0-436b-9332-9bf7a176bf48	58ee6a60-1cf2-435b-877e-632d422ba8fb	CHILLED_WATER_PUMPS
8998aa57-88e0-436b-9332-9bf7a176bf48	ec7e8c7e-e5ed-4957-abd1-f9735f40acf0	HEAT_REJECTION_PUMPS
8998aa57-88e0-436b-9332-9bf7a176bf48	da9c1715-ecf1-425e-a727-dd9966e1eae4	VENTILATION
8998aa57-88e0-436b-9332-9bf7a176bf48	27b37d2d-8743-42fa-b8bf-f757bb4c672d	INFILTRATION
8998aa57-88e0-436b-9332-9bf7a176bf48	05140900-403b-464a-9f60-8afbb8684094	IT_LOAD
e0118a48-4523-499a-8bca-a48654085f20	2793cc31-342a-43b0-b202-f727cd722a15	SWITCHGEAR
e0118a48-4523-499a-8bca-a48654085f20	2c213e4f-a5ce-4635-a04c-5bfd7a8d4254	GENERATOR
e0118a48-4523-499a-8bca-a48654085f20	a10b5d33-c54a-41b2-843b-5599090245fb	PRIMARY_AUXILIARIES
e0118a48-4523-499a-8bca-a48654085f20	8bbef968-b3e1-4abb-8e33-e96dce48a20f	UPS
e0118a48-4523-499a-8bca-a48654085f20	14c7038b-3bea-40c7-bc38-0ad34175ee1c	CRITICAL_AUXILIARIES
e0118a48-4523-499a-8bca-a48654085f20	45d914bc-b09a-4cee-9f37-6b48b1d1309c	LIGHTING
e0118a48-4523-499a-8bca-a48654085f20	487264ad-c67e-41a0-b732-e549124cbffd	CRITICAL_POWER_DISTRIBUTION
e0118a48-4523-499a-8bca-a48654085f20	9a0c03bb-d635-46a2-9cbe-2f96313f5bed	CRAH
e0118a48-4523-499a-8bca-a48654085f20	9e5e97d7-a1ed-4055-a24b-084ecd5e7b2b	CRAC
e0118a48-4523-499a-8bca-a48654085f20	06872160-2de0-4b72-99bd-b94ccd606e9a	CRAC_WITHOUT_FAN
e0118a48-4523-499a-8bca-a48654085f20	eb74e222-340f-4464-a038-b1c7d9400e4f	CRAC_FAN
e0118a48-4523-499a-8bca-a48654085f20	6ad4ddaa-8e73-447a-8d7f-78de1a837808	CHILLER
e0118a48-4523-499a-8bca-a48654085f20	2c39c402-650f-4122-a31d-c657ff479bac	AIR_COOLED_CHILLER
e0118a48-4523-499a-8bca-a48654085f20	e8238e60-0e3b-423a-a83e-cfb0c403b292	COOLING_TOWER
e0118a48-4523-499a-8bca-a48654085f20	56fae563-6a23-4705-b05f-2ec80de1bc1f	DRY_COOLER
e0118a48-4523-499a-8bca-a48654085f20	9a3309e6-db26-4832-9bc3-9f4189516fcf	REMOTE_CONDENSER
e0118a48-4523-499a-8bca-a48654085f20	a4e6725e-ac69-4c94-904c-58d0ce1b04b6	CHILLED_WATER_PUMPS
e0118a48-4523-499a-8bca-a48654085f20	b2c09748-c963-471d-ad5b-36c1701276ae	HEAT_REJECTION_PUMPS
e0118a48-4523-499a-8bca-a48654085f20	22e3e8a3-0b7c-48f5-9b45-8e2826667098	VENTILATION
e0118a48-4523-499a-8bca-a48654085f20	04e686e2-2381-48e5-b114-30a343c1f686	INFILTRATION
e0118a48-4523-499a-8bca-a48654085f20	70d22bae-52de-48a1-8104-22ecb22200b9	IT_LOAD
b211023b-1bd5-45cd-8eca-222da8c170bf	5af11ca4-6c37-4109-8dd9-13b88fac0b97	SWITCHGEAR
b211023b-1bd5-45cd-8eca-222da8c170bf	ff54e79c-72e9-4e60-a7f8-c4b0c13951f9	GENERATOR
b211023b-1bd5-45cd-8eca-222da8c170bf	ee69476e-6546-4e02-a17c-05e66920dc59	PRIMARY_AUXILIARIES
b211023b-1bd5-45cd-8eca-222da8c170bf	e8f66a0f-7409-4cc4-9c35-192cc7f0bc98	UPS
b211023b-1bd5-45cd-8eca-222da8c170bf	d2abe01c-aabe-4757-9cd3-fe28fa797801	CRITICAL_AUXILIARIES
b211023b-1bd5-45cd-8eca-222da8c170bf	7da7740e-352f-40d4-8706-0145fdc4bb1a	LIGHTING
b211023b-1bd5-45cd-8eca-222da8c170bf	fc8f4755-93f3-4ba0-843c-5dd659ff8230	CRITICAL_POWER_DISTRIBUTION
b211023b-1bd5-45cd-8eca-222da8c170bf	e2bf2351-2110-4a3a-84dc-a1d68b2c1702	CRAH
b211023b-1bd5-45cd-8eca-222da8c170bf	5a60e4ed-4f60-4c31-bb4e-8d9c9b60a309	CRAC
b211023b-1bd5-45cd-8eca-222da8c170bf	ffdd617f-6a5e-4b7b-a7f7-313f85b46a57	CRAC_WITHOUT_FAN
b211023b-1bd5-45cd-8eca-222da8c170bf	eea544ab-f6d0-49ee-b680-fb5e7331f211	CRAC_FAN
b211023b-1bd5-45cd-8eca-222da8c170bf	2fff1150-982e-46e2-bb20-8bb552d68fc4	CHILLER
b211023b-1bd5-45cd-8eca-222da8c170bf	ac931acb-45df-4e6d-9c41-17890b428f41	AIR_COOLED_CHILLER
b211023b-1bd5-45cd-8eca-222da8c170bf	a001d2be-02b6-4e95-a775-2317d2f2454c	COOLING_TOWER
b211023b-1bd5-45cd-8eca-222da8c170bf	339165db-6f05-4d57-baac-5b6bf9f15eda	DRY_COOLER
b211023b-1bd5-45cd-8eca-222da8c170bf	ff1e2e6e-5123-4c98-872e-169a37ae63ba	REMOTE_CONDENSER
b211023b-1bd5-45cd-8eca-222da8c170bf	2a26eb9b-6d5b-4551-a98d-8e1597f7d3b3	CHILLED_WATER_PUMPS
b211023b-1bd5-45cd-8eca-222da8c170bf	4968ce8f-843a-4730-9568-1ebfef30d3d8	HEAT_REJECTION_PUMPS
b211023b-1bd5-45cd-8eca-222da8c170bf	51dc8df4-73ed-4929-b88b-71470cd12fb9	VENTILATION
b211023b-1bd5-45cd-8eca-222da8c170bf	55fbbecd-34d3-4db4-88f2-ff46ae433774	INFILTRATION
b211023b-1bd5-45cd-8eca-222da8c170bf	f65888a5-9bd7-4f9e-958c-43b90144969b	IT_LOAD
371d2669-4bdb-491a-a922-deb596581cc3	4bb9a1a9-7bc5-451e-92da-ac273d338723	SWITCHGEAR
371d2669-4bdb-491a-a922-deb596581cc3	24af2260-c995-4fe8-b642-5dfc9c4a35a9	GENERATOR
371d2669-4bdb-491a-a922-deb596581cc3	12fbe120-71fc-49f5-9443-c443cb3942a9	PRIMARY_AUXILIARIES
371d2669-4bdb-491a-a922-deb596581cc3	5e4a5981-94d1-4e95-8680-4c3cea39443c	UPS
371d2669-4bdb-491a-a922-deb596581cc3	18ddfaef-0a2f-4320-bb96-b1267ba5a2ae	CRITICAL_AUXILIARIES
371d2669-4bdb-491a-a922-deb596581cc3	73ee232b-b1d2-460f-8cfb-174879d8494d	LIGHTING
371d2669-4bdb-491a-a922-deb596581cc3	d4f5e32d-4577-47f9-a71d-dc40c0ab6809	CRITICAL_POWER_DISTRIBUTION
371d2669-4bdb-491a-a922-deb596581cc3	8b000d30-3ff3-40af-ad73-3a306778ded8	CRAH
371d2669-4bdb-491a-a922-deb596581cc3	9cc8d300-55e8-4bda-a2f6-8c1a8e9f1ae2	CRAC
371d2669-4bdb-491a-a922-deb596581cc3	87132e12-e754-4d0f-aaf3-07596dbbcd87	CRAC_WITHOUT_FAN
371d2669-4bdb-491a-a922-deb596581cc3	5655fc12-5118-49c0-b1bf-02e385bdb2ef	CRAC_FAN
371d2669-4bdb-491a-a922-deb596581cc3	92f82e51-901a-4059-ac6c-af476f4b2896	CHILLER
371d2669-4bdb-491a-a922-deb596581cc3	ef7beecd-74af-45f9-b020-eb8a2d4f231f	AIR_COOLED_CHILLER
371d2669-4bdb-491a-a922-deb596581cc3	25b9de40-3a6c-4d77-b49a-c84de6ba776f	COOLING_TOWER
371d2669-4bdb-491a-a922-deb596581cc3	8bff4309-eeb6-4c98-904e-b3d21f16257d	DRY_COOLER
371d2669-4bdb-491a-a922-deb596581cc3	34d4e6f9-74dd-4b23-ba1c-fbf99b11e2df	REMOTE_CONDENSER
371d2669-4bdb-491a-a922-deb596581cc3	0e03026d-e621-4c46-bb06-a68f1b2611c4	CHILLED_WATER_PUMPS
371d2669-4bdb-491a-a922-deb596581cc3	b29f9312-d73c-4879-acdf-d20dc50c5c33	HEAT_REJECTION_PUMPS
371d2669-4bdb-491a-a922-deb596581cc3	7cfaa0e0-df8e-4716-a384-ca71b3932909	VENTILATION
371d2669-4bdb-491a-a922-deb596581cc3	cea6c9a1-3f11-403e-ae3b-f23cfe40652b	INFILTRATION
371d2669-4bdb-491a-a922-deb596581cc3	0e61fb98-a036-48b6-ab20-e13376f0cf74	IT_LOAD
c7b16164-181e-466f-8452-8c11c8613e38	88154d79-8444-46ed-9476-cc203d41e285	SWITCHGEAR
c7b16164-181e-466f-8452-8c11c8613e38	9285b5dd-15c1-450a-a80f-5a1ca420972b	GENERATOR
c7b16164-181e-466f-8452-8c11c8613e38	a5fcd599-5eb4-4840-8c3a-cce71b5d0b7f	PRIMARY_AUXILIARIES
c7b16164-181e-466f-8452-8c11c8613e38	3cb70fce-b6f7-440e-ba54-20c88106c932	UPS
c7b16164-181e-466f-8452-8c11c8613e38	a97b2208-55fe-4be0-9bb4-6122729b559c	CRITICAL_AUXILIARIES
c7b16164-181e-466f-8452-8c11c8613e38	db08e414-4a97-48b8-8509-c5625cc11eac	LIGHTING
c7b16164-181e-466f-8452-8c11c8613e38	a7959be8-e219-4b6a-876e-87605b52f769	CRITICAL_POWER_DISTRIBUTION
c7b16164-181e-466f-8452-8c11c8613e38	28dec497-e57d-42cb-9acf-3b13399445e3	CRAH
c7b16164-181e-466f-8452-8c11c8613e38	d0e34bbb-1b70-452b-894f-048edd06895f	CRAC
c7b16164-181e-466f-8452-8c11c8613e38	e5d03158-c6b2-4814-a4db-6bc3a432e762	CRAC_WITHOUT_FAN
c7b16164-181e-466f-8452-8c11c8613e38	4da026be-d235-4b75-aa07-253ef8352037	CRAC_FAN
c7b16164-181e-466f-8452-8c11c8613e38	771100fe-f8d4-4344-b374-be61560505b3	CHILLER
c7b16164-181e-466f-8452-8c11c8613e38	32b12908-26d8-418a-b199-d790fd033898	AIR_COOLED_CHILLER
c7b16164-181e-466f-8452-8c11c8613e38	638f856f-8eb6-421c-98c9-30dcbe9f287a	COOLING_TOWER
c7b16164-181e-466f-8452-8c11c8613e38	9daed467-4862-442b-9e35-69bf2580a2e7	DRY_COOLER
c7b16164-181e-466f-8452-8c11c8613e38	c6654f17-5a8c-48e6-9160-24652b6b7e65	REMOTE_CONDENSER
c7b16164-181e-466f-8452-8c11c8613e38	82918e8c-826d-496a-8d4a-4b4790d3d500	CHILLED_WATER_PUMPS
c7b16164-181e-466f-8452-8c11c8613e38	da66f240-9ff7-4d44-928d-9015e2bbd014	HEAT_REJECTION_PUMPS
c7b16164-181e-466f-8452-8c11c8613e38	16fc8942-703f-42ad-84ee-57b2710a338a	VENTILATION
c7b16164-181e-466f-8452-8c11c8613e38	44af3473-4660-4dad-bbff-758a52050928	INFILTRATION
c7b16164-181e-466f-8452-8c11c8613e38	d788308d-bbb4-442c-9f68-14c5c1bda9d4	IT_LOAD
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	8393e2d0-e743-472d-9519-03e456c5d860	SWITCHGEAR
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	f4bb098f-c16c-4363-8ef9-4026f588d634	GENERATOR
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	c8705919-5233-4d87-b622-f2fe42fb0f91	PRIMARY_AUXILIARIES
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	e976a1e0-3115-45f9-8767-c189290b9729	UPS
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	8d6cb01a-5ccc-45e1-82d9-ea3bedf5788b	CRITICAL_AUXILIARIES
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	b020766f-5a7f-4d58-b781-ae3132ab4841	LIGHTING
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	3086b5f9-fd4e-45f6-a587-7b5ed10d7c83	CRITICAL_POWER_DISTRIBUTION
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	d9b74f59-0aa4-498e-a3dc-057b74ce69d5	CRAH
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	2fa251b8-8535-412b-a2ec-e5e4fb8d9fe6	CRAC
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	002d4465-62f1-44cf-a231-c1fff4c1bd9b	CRAC_WITHOUT_FAN
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	f670221e-1c31-4d9f-934b-a4b07967ce70	CRAC_FAN
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	49e1cab3-d60f-486d-9ce9-5331d972d85f	CHILLER
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	78cf3696-3dda-48d2-adee-368f5487a474	AIR_COOLED_CHILLER
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	b3f8197e-c9a4-45f6-8cfa-98e28c2d2bb6	COOLING_TOWER
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	ab32e62e-0cec-4efe-906f-49bc3fb03815	DRY_COOLER
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	fb2bd739-3878-4a95-b9e1-0b0ceb5eeb70	REMOTE_CONDENSER
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	d64e5fe8-c25c-4d51-bb66-67ecdfe33c76	CHILLED_WATER_PUMPS
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	1d6eb9c4-d81a-4581-ada6-64565116b1aa	HEAT_REJECTION_PUMPS
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	a20dd88e-0aee-4ccf-8c80-fa912ee297b8	VENTILATION
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	1989a6c7-99ec-4539-837f-19e2c3729b3f	INFILTRATION
90c88629-8d9e-4d6b-9c24-9e74ed6aa3a1	9fbdead0-0884-4049-bc0f-5d7ff931590a	IT_LOAD
4963f0b2-6eae-4aeb-b568-ffea2468b59d	a14e6ccf-6bda-4cee-ac66-099ec7d7b732	SWITCHGEAR
4963f0b2-6eae-4aeb-b568-ffea2468b59d	3f479261-a594-4bdf-b4c9-c33821fec188	GENERATOR
4963f0b2-6eae-4aeb-b568-ffea2468b59d	5e7dce10-a8a6-494d-94c6-de24374bffe0	PRIMARY_AUXILIARIES
4963f0b2-6eae-4aeb-b568-ffea2468b59d	17cd15a8-8438-4a1f-8ce6-2d552bc89f18	UPS
4963f0b2-6eae-4aeb-b568-ffea2468b59d	790bd85c-9728-4440-9f5f-2cd00b40aff5	CRITICAL_AUXILIARIES
4963f0b2-6eae-4aeb-b568-ffea2468b59d	7a2f8552-2b78-497e-90a4-f9d9d29f250a	LIGHTING
4963f0b2-6eae-4aeb-b568-ffea2468b59d	acb4bf04-7893-431e-b365-5c008e55b5df	CRITICAL_POWER_DISTRIBUTION
4963f0b2-6eae-4aeb-b568-ffea2468b59d	3c3a6ad9-4b45-4dec-8f38-2229f24a1b87	CRAH
4963f0b2-6eae-4aeb-b568-ffea2468b59d	10864fd5-6f31-410e-a011-f3b048cf17c8	CRAC
4963f0b2-6eae-4aeb-b568-ffea2468b59d	13c2d48b-1f47-426b-b8d0-7c9b3d77ccf6	CRAC_WITHOUT_FAN
4963f0b2-6eae-4aeb-b568-ffea2468b59d	b24b0a54-90cd-4fa1-aeb6-8820f164f418	CRAC_FAN
4963f0b2-6eae-4aeb-b568-ffea2468b59d	e586595c-41a6-4a8e-83d6-2b3cd49a4e9e	CHILLER
4963f0b2-6eae-4aeb-b568-ffea2468b59d	95f0b63f-4dca-4914-95cd-c693be796b17	AIR_COOLED_CHILLER
4963f0b2-6eae-4aeb-b568-ffea2468b59d	96179583-1ebf-4421-b025-fccab4430bdf	COOLING_TOWER
4963f0b2-6eae-4aeb-b568-ffea2468b59d	7576a58b-365a-4eac-854a-b9bfe8270b30	DRY_COOLER
4963f0b2-6eae-4aeb-b568-ffea2468b59d	ef7aefdb-70b5-475f-a3b5-b235b4177b06	REMOTE_CONDENSER
4963f0b2-6eae-4aeb-b568-ffea2468b59d	6f7c98b3-acab-49a9-9a00-a8680a5d8f06	CHILLED_WATER_PUMPS
4963f0b2-6eae-4aeb-b568-ffea2468b59d	bc120ab7-790d-47f0-8f2d-22fce423c81f	HEAT_REJECTION_PUMPS
4963f0b2-6eae-4aeb-b568-ffea2468b59d	6dc32927-b531-4fbd-8dae-6d176df801a1	VENTILATION
4963f0b2-6eae-4aeb-b568-ffea2468b59d	8c8c9800-005f-4234-a010-97d4b3d2cae0	INFILTRATION
4963f0b2-6eae-4aeb-b568-ffea2468b59d	b7a5f5c7-7df8-4391-9313-2f605c4eaa28	IT_LOAD
468bc3c4-aa11-4dea-a402-f1dca1aae66d	75068516-8c6e-4f0f-a5ef-83bbad05d21c	SWITCHGEAR
468bc3c4-aa11-4dea-a402-f1dca1aae66d	1e2ca33f-4aa7-4835-83ab-99b1982c77fa	GENERATOR
468bc3c4-aa11-4dea-a402-f1dca1aae66d	185e364c-561d-41b1-89fb-6a6f9a3b466f	PRIMARY_AUXILIARIES
468bc3c4-aa11-4dea-a402-f1dca1aae66d	ec0710dc-c04c-482d-a679-de2824e4ba72	UPS
468bc3c4-aa11-4dea-a402-f1dca1aae66d	5dd2a0c5-acee-44b9-a8fe-263f936ff54c	CRITICAL_AUXILIARIES
468bc3c4-aa11-4dea-a402-f1dca1aae66d	1064e6f6-4ec6-40a6-b138-f5bba4f3106b	LIGHTING
468bc3c4-aa11-4dea-a402-f1dca1aae66d	6d938eef-efeb-4e0f-803c-4254f6823611	CRITICAL_POWER_DISTRIBUTION
468bc3c4-aa11-4dea-a402-f1dca1aae66d	1a84037b-9382-4ce0-ac83-fbc72c3a3954	CRAH
468bc3c4-aa11-4dea-a402-f1dca1aae66d	137d03fe-d71f-4462-ae19-f86785110702	CRAC
468bc3c4-aa11-4dea-a402-f1dca1aae66d	beb60bbe-a8eb-47dc-a314-9955cfd01421	CRAC_WITHOUT_FAN
468bc3c4-aa11-4dea-a402-f1dca1aae66d	f9e2a6b1-9d78-4edd-81ce-7c5d290820af	CRAC_FAN
468bc3c4-aa11-4dea-a402-f1dca1aae66d	9fba78ca-2c14-4a7d-aecc-2d75d15296f4	CHILLER
468bc3c4-aa11-4dea-a402-f1dca1aae66d	70131950-dbe1-416b-907c-9bb1739261e1	AIR_COOLED_CHILLER
468bc3c4-aa11-4dea-a402-f1dca1aae66d	09edee2e-1cb1-4d30-88a8-6e5682037720	COOLING_TOWER
468bc3c4-aa11-4dea-a402-f1dca1aae66d	293d58e5-736a-44c9-a039-1c42f09128cd	DRY_COOLER
468bc3c4-aa11-4dea-a402-f1dca1aae66d	f98963c9-7bc5-4cd1-9fd9-d93107ba9333	REMOTE_CONDENSER
468bc3c4-aa11-4dea-a402-f1dca1aae66d	a56141df-9705-403b-af56-4c300739e15b	CHILLED_WATER_PUMPS
468bc3c4-aa11-4dea-a402-f1dca1aae66d	70851547-8da6-489e-92ed-64254540168a	HEAT_REJECTION_PUMPS
468bc3c4-aa11-4dea-a402-f1dca1aae66d	86d94e87-3359-4e47-8a38-f2b1341e3742	VENTILATION
468bc3c4-aa11-4dea-a402-f1dca1aae66d	50135381-722c-4bd0-afff-c25a0547f419	INFILTRATION
468bc3c4-aa11-4dea-a402-f1dca1aae66d	b0a21e4e-d15d-41d0-a0a4-e19f8e4e7ff9	IT_LOAD
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	a00807d0-80e4-42e3-b9c1-af58f65d8135	SWITCHGEAR
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	3926d03a-c32d-4a50-b80e-888bafda2379	GENERATOR
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	0d7e342f-fd9c-47ae-979f-ba9d04bcf1c6	PRIMARY_AUXILIARIES
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	bf230cba-6545-40b3-9589-11db8788e7b0	UPS
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	bb052393-3b3e-4671-933c-5b0cd9f7bea4	CRITICAL_AUXILIARIES
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	46789ff3-e664-43db-b880-beefe44c57a7	LIGHTING
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	85e8ca1b-cc61-4692-a9fb-a3fdabda440c	CRITICAL_POWER_DISTRIBUTION
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	b3a94dbf-6e78-4811-b5e4-66595704daaa	CRAH
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	0259ef1b-569f-4ff4-a1b0-a2f32d78511a	CRAC
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	6b4ff1ca-a578-4360-b8f8-29d333187363	CRAC_WITHOUT_FAN
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	402a83d9-1e86-473b-b136-4bbaed3d8204	CRAC_FAN
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	79d4e14f-3f25-4321-8c87-4e85d90c9424	CHILLER
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	d00d9d49-4349-4ee1-9050-d6bde6b7aad4	AIR_COOLED_CHILLER
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	78c151e3-5e55-4039-9fe7-58d63dc21f94	COOLING_TOWER
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	b55dbe7d-77ae-4a50-a56b-0be0e0256ed2	DRY_COOLER
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	db3073c1-e26a-4f09-85fd-0683ed1f86e9	REMOTE_CONDENSER
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	be938708-7d87-49a0-8534-3c40eac24d24	CHILLED_WATER_PUMPS
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	403660f0-7bc8-4254-903d-d1601434e6b6	HEAT_REJECTION_PUMPS
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	41758260-7ac2-41c7-9dea-7132c6cbe3cd	VENTILATION
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	27181442-4b0a-47ef-8767-e0680a4eca63	INFILTRATION
57c6c040-ff1a-4ad0-b6a4-cb78f869431b	02db6181-0ef7-4441-967c-7c947156ae57	IT_LOAD
274804b4-d045-4605-8067-2546683cea91	af1a9ae0-6b5a-41db-bb9c-120eea3a4791	SWITCHGEAR
274804b4-d045-4605-8067-2546683cea91	c4bacf41-7538-4f38-adae-c4db8be646f0	GENERATOR
274804b4-d045-4605-8067-2546683cea91	650f7faf-6145-4e64-a267-31aec47b52e2	PRIMARY_AUXILIARIES
274804b4-d045-4605-8067-2546683cea91	1cc6bece-a943-43fd-811f-468ee505359d	UPS
274804b4-d045-4605-8067-2546683cea91	476d4927-b57d-43c0-a4f5-11a62a51ff44	CRITICAL_AUXILIARIES
274804b4-d045-4605-8067-2546683cea91	201e6856-b587-4062-8d94-42dca487515c	LIGHTING
274804b4-d045-4605-8067-2546683cea91	596e7363-26b4-469d-967b-b0e276af8648	CRITICAL_POWER_DISTRIBUTION
274804b4-d045-4605-8067-2546683cea91	cbd3e5d3-b19b-4797-8e13-a727453d6b27	CRAH
274804b4-d045-4605-8067-2546683cea91	aa217a3c-0924-4c2c-b39e-d9a26b97f2e1	CRAC
274804b4-d045-4605-8067-2546683cea91	2bae434a-0222-46a8-9ed9-2802f40ddaa7	CRAC_WITHOUT_FAN
274804b4-d045-4605-8067-2546683cea91	cab52d3d-35a8-4a99-b14e-76597db1d9c0	CRAC_FAN
274804b4-d045-4605-8067-2546683cea91	a1e9af64-1b8c-4c38-b166-86967d8ed172	CHILLER
274804b4-d045-4605-8067-2546683cea91	749b6b0b-0b3d-4953-9897-9289305ac966	AIR_COOLED_CHILLER
274804b4-d045-4605-8067-2546683cea91	46c3b1ca-376e-4468-b049-8a0b9ba31570	COOLING_TOWER
274804b4-d045-4605-8067-2546683cea91	7fc040b8-b755-4760-b335-032d1f482a93	DRY_COOLER
274804b4-d045-4605-8067-2546683cea91	1c932556-af73-4ce2-9e2c-9ec012a999ee	REMOTE_CONDENSER
274804b4-d045-4605-8067-2546683cea91	43e8fed5-81bd-4206-ac5d-b977a5de981b	CHILLED_WATER_PUMPS
274804b4-d045-4605-8067-2546683cea91	f6babc43-39d4-43b6-b9be-ff6c31a19e99	HEAT_REJECTION_PUMPS
274804b4-d045-4605-8067-2546683cea91	090be833-94e4-4781-b0ae-db81eab09f86	VENTILATION
274804b4-d045-4605-8067-2546683cea91	269d0f32-031b-4a9b-a143-143856c9ed09	INFILTRATION
274804b4-d045-4605-8067-2546683cea91	daf7c228-7ea7-4f67-9531-6813cd3b15b3	IT_LOAD
f4717c46-90ce-497c-b439-63dba3b7649d	188cc1ce-14f6-4a65-870e-807525ddb1b7	SWITCHGEAR
f4717c46-90ce-497c-b439-63dba3b7649d	564cc732-1e95-4d9b-8446-df048a32b974	GENERATOR
f4717c46-90ce-497c-b439-63dba3b7649d	9c702b93-9bfc-435f-af4e-c159929302f8	PRIMARY_AUXILIARIES
f4717c46-90ce-497c-b439-63dba3b7649d	b8d04a8f-066b-436e-b92e-6ebb10466a16	UPS
f4717c46-90ce-497c-b439-63dba3b7649d	6d2156e7-6090-45c7-9623-fa4d38466e26	CRITICAL_AUXILIARIES
f4717c46-90ce-497c-b439-63dba3b7649d	fa798775-0445-4e4c-bdff-4473e6abb8ef	LIGHTING
f4717c46-90ce-497c-b439-63dba3b7649d	01aac903-13f7-438e-859e-51895f443199	CRITICAL_POWER_DISTRIBUTION
f4717c46-90ce-497c-b439-63dba3b7649d	4618c6d1-95f7-474d-9710-ed9bfb0f7567	CRAH
f4717c46-90ce-497c-b439-63dba3b7649d	422377e5-d1bb-4ac7-a3e0-91ec3182b54d	CRAC
f4717c46-90ce-497c-b439-63dba3b7649d	11d05c7e-17d2-4a56-b6ed-f1160862cbc2	CRAC_WITHOUT_FAN
f4717c46-90ce-497c-b439-63dba3b7649d	42e53802-2844-4d01-8cc3-d2d23eb5e31d	CRAC_FAN
f4717c46-90ce-497c-b439-63dba3b7649d	5153c590-7789-4b73-930f-e6b85eab1be0	CHILLER
f4717c46-90ce-497c-b439-63dba3b7649d	f2e32952-9256-49dd-9643-1d11ec37df67	AIR_COOLED_CHILLER
f4717c46-90ce-497c-b439-63dba3b7649d	14c2eeb8-06b7-4afd-bce7-ad2dd17140b6	COOLING_TOWER
f4717c46-90ce-497c-b439-63dba3b7649d	07274d01-a533-4230-82d2-b611dc0131f9	DRY_COOLER
f4717c46-90ce-497c-b439-63dba3b7649d	305ceded-5920-4257-b48b-15b964a9a6b0	REMOTE_CONDENSER
f4717c46-90ce-497c-b439-63dba3b7649d	a17b1437-ec7a-4021-9df4-c3ed026fced6	CHILLED_WATER_PUMPS
f4717c46-90ce-497c-b439-63dba3b7649d	eaac3375-01e0-4aae-b000-e699f09c1ef9	HEAT_REJECTION_PUMPS
f4717c46-90ce-497c-b439-63dba3b7649d	1c4a9d90-1259-41d7-9960-18033305de7d	VENTILATION
f4717c46-90ce-497c-b439-63dba3b7649d	6f303a3c-fd5e-4801-add6-c97ed31bfc1b	INFILTRATION
f4717c46-90ce-497c-b439-63dba3b7649d	44e85349-c1fe-4ace-86bb-704ca7a95b02	IT_LOAD
af33ad95-3763-4619-af61-ce42c9e25e2f	1f330f10-0e49-4528-b86e-ddb5666cdf6f	SWITCHGEAR
af33ad95-3763-4619-af61-ce42c9e25e2f	677992af-0d8a-40c1-a7cd-ce48d00d2bee	GENERATOR
af33ad95-3763-4619-af61-ce42c9e25e2f	7d349c64-fb14-413a-9ec9-e20692a632e0	PRIMARY_AUXILIARIES
af33ad95-3763-4619-af61-ce42c9e25e2f	668a8294-6940-48e4-a8ac-b77957cb389d	UPS
af33ad95-3763-4619-af61-ce42c9e25e2f	a2d965cf-84e1-4acc-9477-12e7cf1fa61b	CRITICAL_AUXILIARIES
af33ad95-3763-4619-af61-ce42c9e25e2f	a9489996-1eab-4684-b3ca-929e48b8c096	LIGHTING
af33ad95-3763-4619-af61-ce42c9e25e2f	00c1cdcc-9c07-4785-9d6f-2eca482ee4fe	CRITICAL_POWER_DISTRIBUTION
af33ad95-3763-4619-af61-ce42c9e25e2f	7672f38d-934b-475c-8a0c-87ea37fa8fe0	CRAH
af33ad95-3763-4619-af61-ce42c9e25e2f	a3eb0352-2734-4782-b423-fc01f31a0936	CRAC
af33ad95-3763-4619-af61-ce42c9e25e2f	99517b1f-babc-4824-8d55-557442c473df	CRAC_WITHOUT_FAN
af33ad95-3763-4619-af61-ce42c9e25e2f	cb5416cb-7312-4444-8498-b263b16e1c5c	CRAC_FAN
af33ad95-3763-4619-af61-ce42c9e25e2f	2c2ed7b8-593e-4667-a333-c9d1b5a12524	CHILLER
af33ad95-3763-4619-af61-ce42c9e25e2f	6434d1d7-8cca-44d4-9b3b-d5c817db3494	AIR_COOLED_CHILLER
af33ad95-3763-4619-af61-ce42c9e25e2f	02ebe963-8556-4aeb-9992-a38c3540b464	COOLING_TOWER
af33ad95-3763-4619-af61-ce42c9e25e2f	98ab90de-ea3d-4151-884f-adc1f97ae376	DRY_COOLER
af33ad95-3763-4619-af61-ce42c9e25e2f	67018d16-7d6e-4769-b0a9-ac3ec6acd889	REMOTE_CONDENSER
af33ad95-3763-4619-af61-ce42c9e25e2f	a82bf1e8-0422-4435-8529-97c7eb1b881b	CHILLED_WATER_PUMPS
af33ad95-3763-4619-af61-ce42c9e25e2f	4e0af483-9487-442a-875f-adca9081425b	HEAT_REJECTION_PUMPS
af33ad95-3763-4619-af61-ce42c9e25e2f	56fa1fcb-ded4-4e11-9332-71ca98460971	VENTILATION
af33ad95-3763-4619-af61-ce42c9e25e2f	8553f949-ffde-4558-99a4-f3e236e9ed7b	INFILTRATION
af33ad95-3763-4619-af61-ce42c9e25e2f	28c03cb1-0df4-4630-81ee-502e19163abd	IT_LOAD
defc4674-e491-4104-811a-c77a36f4c756	61818388-7c1a-476f-bde2-104638502ecc	SWITCHGEAR
defc4674-e491-4104-811a-c77a36f4c756	90866f71-88b2-48d2-ab42-b60231af9c89	GENERATOR
defc4674-e491-4104-811a-c77a36f4c756	1975bbed-2d12-4e78-88c5-34f89ddff60c	PRIMARY_AUXILIARIES
defc4674-e491-4104-811a-c77a36f4c756	85c56e3e-c169-4ada-ad61-bf4733b4845b	UPS
defc4674-e491-4104-811a-c77a36f4c756	d8cc938a-4c21-4d1a-8f76-5544bf2615a3	CRITICAL_AUXILIARIES
defc4674-e491-4104-811a-c77a36f4c756	ffad2d34-2d45-4506-b83a-f512adf8020a	LIGHTING
defc4674-e491-4104-811a-c77a36f4c756	cf73c505-400a-495b-9794-2b7b2f125ea6	CRITICAL_POWER_DISTRIBUTION
defc4674-e491-4104-811a-c77a36f4c756	9528cb18-5dbc-4e14-941f-e9716e9af3a5	CRAH
defc4674-e491-4104-811a-c77a36f4c756	37405e18-9377-4c1d-9109-7806e00fce79	CRAC
defc4674-e491-4104-811a-c77a36f4c756	cb779171-18ce-45f0-b7f1-06f63761a69c	CRAC_WITHOUT_FAN
defc4674-e491-4104-811a-c77a36f4c756	b6ca7c23-f1a1-4c88-8e5f-424ac469ee4b	CRAC_FAN
defc4674-e491-4104-811a-c77a36f4c756	e9d37146-cd54-4f62-8c98-9ac81fef20d8	CHILLER
defc4674-e491-4104-811a-c77a36f4c756	4c100336-fb49-45da-b197-a6b068b46f39	AIR_COOLED_CHILLER
defc4674-e491-4104-811a-c77a36f4c756	1af147c5-d274-4f37-8def-7a73719fe75f	COOLING_TOWER
defc4674-e491-4104-811a-c77a36f4c756	2b9b4b2b-6d96-4d47-ac66-0c92a1838756	DRY_COOLER
defc4674-e491-4104-811a-c77a36f4c756	7db80779-0ea8-4caa-9b77-4177ff9accd6	REMOTE_CONDENSER
defc4674-e491-4104-811a-c77a36f4c756	d887fc3f-0d73-48ac-9107-d4a0af8c4951	CHILLED_WATER_PUMPS
defc4674-e491-4104-811a-c77a36f4c756	4e4a74b8-d2b9-42d6-a47f-580660cd7147	HEAT_REJECTION_PUMPS
defc4674-e491-4104-811a-c77a36f4c756	e5836e11-18e3-49f5-8f53-da6d044af8b8	VENTILATION
defc4674-e491-4104-811a-c77a36f4c756	8c56722e-60a0-44de-bdba-64b2412326c8	INFILTRATION
defc4674-e491-4104-811a-c77a36f4c756	b58ad8d9-a4a6-4770-9d39-2619f8f8649d	IT_LOAD
0c96e68f-57ea-4674-879d-2fa6573e52d5	49f57a46-071a-48ff-98d8-71293c1ac8f3	SWITCHGEAR
0c96e68f-57ea-4674-879d-2fa6573e52d5	bde982b9-f4ae-45cb-9815-1ea873a57738	GENERATOR
0c96e68f-57ea-4674-879d-2fa6573e52d5	cd181c69-49b7-4a00-b483-f050bcf3f419	PRIMARY_AUXILIARIES
0c96e68f-57ea-4674-879d-2fa6573e52d5	7235c0cc-2a9f-4d55-81e6-89f0d400e4f5	UPS
0c96e68f-57ea-4674-879d-2fa6573e52d5	024148c3-02b4-4a6b-8d1d-d544196da887	CRITICAL_AUXILIARIES
0c96e68f-57ea-4674-879d-2fa6573e52d5	2110e683-05b1-4a67-a469-6e124d5f96f5	LIGHTING
0c96e68f-57ea-4674-879d-2fa6573e52d5	40a74fe6-810a-4b5a-9aab-1dd34e994e03	CRITICAL_POWER_DISTRIBUTION
0c96e68f-57ea-4674-879d-2fa6573e52d5	ad71efce-6210-4df1-b7c4-7895f76e148e	CRAH
0c96e68f-57ea-4674-879d-2fa6573e52d5	beeb8cd4-1485-40f7-a83d-b4e04bc3042c	CRAC
0c96e68f-57ea-4674-879d-2fa6573e52d5	895cebd4-1653-43f2-be9e-4a8a97f4ec9b	CRAC_WITHOUT_FAN
0c96e68f-57ea-4674-879d-2fa6573e52d5	70457289-b5e8-40b2-8b19-3e322e99411c	CRAC_FAN
0c96e68f-57ea-4674-879d-2fa6573e52d5	0e281621-e69a-44fd-9fa5-cd470b7696e0	CHILLER
0c96e68f-57ea-4674-879d-2fa6573e52d5	0f07e784-ce2e-4b66-b16f-1d7882be4f72	AIR_COOLED_CHILLER
0c96e68f-57ea-4674-879d-2fa6573e52d5	614d22c9-34f1-45b8-9058-da1466dfe33d	COOLING_TOWER
0c96e68f-57ea-4674-879d-2fa6573e52d5	f88bd4a0-67f3-4e55-af61-3f727679e611	DRY_COOLER
0c96e68f-57ea-4674-879d-2fa6573e52d5	de22aa0f-10b1-4335-9790-635e2bdfeaca	REMOTE_CONDENSER
0c96e68f-57ea-4674-879d-2fa6573e52d5	b2d6ad01-11dc-429b-9df0-16d70aed6cfc	CHILLED_WATER_PUMPS
0c96e68f-57ea-4674-879d-2fa6573e52d5	4727dd9b-57c1-46f1-9641-e8e809ba2d4c	HEAT_REJECTION_PUMPS
0c96e68f-57ea-4674-879d-2fa6573e52d5	f98466ba-627d-4246-9de4-6e534aa91568	VENTILATION
0c96e68f-57ea-4674-879d-2fa6573e52d5	cd1ebf65-937f-4a3c-828d-9121a04d30da	INFILTRATION
0c96e68f-57ea-4674-879d-2fa6573e52d5	913a88fe-9b8d-4835-a30d-e921dca8f434	IT_LOAD
6f5436e9-6edb-4a88-96b4-7ade5a064f93	47f7818e-b198-4fa9-bb07-1166628570ba	SWITCHGEAR
6f5436e9-6edb-4a88-96b4-7ade5a064f93	9446310d-8714-42aa-ab62-3eedb10fa71e	GENERATOR
6f5436e9-6edb-4a88-96b4-7ade5a064f93	e0ac9828-9e46-4327-9e0e-84794c16e57e	PRIMARY_AUXILIARIES
6f5436e9-6edb-4a88-96b4-7ade5a064f93	a38face7-7592-42fe-ae84-f780284c8095	UPS
6f5436e9-6edb-4a88-96b4-7ade5a064f93	d3f53831-7f1c-46d9-a8b1-5291fd57e60c	CRITICAL_AUXILIARIES
6f5436e9-6edb-4a88-96b4-7ade5a064f93	1b94fdb4-a498-4750-992a-8731bc93b260	LIGHTING
6f5436e9-6edb-4a88-96b4-7ade5a064f93	613b26f3-53be-4432-9040-9af62da652d4	CRITICAL_POWER_DISTRIBUTION
6f5436e9-6edb-4a88-96b4-7ade5a064f93	fea7ca03-de07-4950-9238-3c189c092a87	CRAH
6f5436e9-6edb-4a88-96b4-7ade5a064f93	30a19ef4-dffd-48bf-a8a2-40b60e14032e	CRAC
6f5436e9-6edb-4a88-96b4-7ade5a064f93	3efc3a54-7f66-40ef-99fa-4423bdf0dcbc	CRAC_WITHOUT_FAN
6f5436e9-6edb-4a88-96b4-7ade5a064f93	733f31fe-5ead-474b-83d6-20acef47dda2	CRAC_FAN
6f5436e9-6edb-4a88-96b4-7ade5a064f93	41fd647c-ca7e-4781-b65f-bb466c59cbf7	CHILLER
6f5436e9-6edb-4a88-96b4-7ade5a064f93	f16629d1-e0a8-452f-a324-dc062d78a3bd	AIR_COOLED_CHILLER
6f5436e9-6edb-4a88-96b4-7ade5a064f93	a6595746-8a37-4c7e-9e35-8c1a55eaafcf	COOLING_TOWER
6f5436e9-6edb-4a88-96b4-7ade5a064f93	7a2294eb-54f0-4f32-b337-6660a7002bef	DRY_COOLER
6f5436e9-6edb-4a88-96b4-7ade5a064f93	52b59132-34f9-4182-9265-391b4f23dc72	REMOTE_CONDENSER
6f5436e9-6edb-4a88-96b4-7ade5a064f93	93cce77a-9228-4be9-958d-95aca54ca625	CHILLED_WATER_PUMPS
6f5436e9-6edb-4a88-96b4-7ade5a064f93	d425bec7-cd36-4451-b389-aeaa4fee9f6b	HEAT_REJECTION_PUMPS
6f5436e9-6edb-4a88-96b4-7ade5a064f93	e6e48d3c-47b5-49c2-b721-f6d512667813	VENTILATION
6f5436e9-6edb-4a88-96b4-7ade5a064f93	a7745c06-de75-4c78-945e-f67c1bd3e125	INFILTRATION
6f5436e9-6edb-4a88-96b4-7ade5a064f93	fc315b55-7c12-4459-a0a6-549c08882c4b	IT_LOAD
b3f70768-dd79-4df2-8ea5-ec03996def40	f9bd66d8-0597-4b4a-9d6b-b50ef64eb7df	SWITCHGEAR
b3f70768-dd79-4df2-8ea5-ec03996def40	1edaa76c-270b-4ad2-a8e1-d8178b453357	GENERATOR
b3f70768-dd79-4df2-8ea5-ec03996def40	edfaa5ae-78b7-4ec1-a5ab-7f169cacaf06	PRIMARY_AUXILIARIES
b3f70768-dd79-4df2-8ea5-ec03996def40	767a6487-78fd-4560-bd46-e54a456fbc05	UPS
b3f70768-dd79-4df2-8ea5-ec03996def40	154ce0b3-1dfa-4338-88ab-04083887b9ae	CRITICAL_AUXILIARIES
b3f70768-dd79-4df2-8ea5-ec03996def40	e4036f9e-708c-4e8e-bf23-0a0a2bd4190c	LIGHTING
b3f70768-dd79-4df2-8ea5-ec03996def40	ac23c49d-1b95-4ae2-a949-33773b1a6439	CRITICAL_POWER_DISTRIBUTION
b3f70768-dd79-4df2-8ea5-ec03996def40	4429525d-9dc7-4485-89e5-3a23e4303f86	CRAH
b3f70768-dd79-4df2-8ea5-ec03996def40	58842243-9031-41a2-a1a3-8af4b5a8f9a1	CRAC
b3f70768-dd79-4df2-8ea5-ec03996def40	50e20dc3-c410-4c99-9d0a-9ea6419719eb	CRAC_WITHOUT_FAN
b3f70768-dd79-4df2-8ea5-ec03996def40	4344fc58-6752-440d-b422-2e8bc4e5266c	CRAC_FAN
b3f70768-dd79-4df2-8ea5-ec03996def40	d3c31f0e-7bee-4923-8f1b-082623e48300	CHILLER
b3f70768-dd79-4df2-8ea5-ec03996def40	99cce6a4-2b78-4ad1-8be7-82ca332bee77	AIR_COOLED_CHILLER
b3f70768-dd79-4df2-8ea5-ec03996def40	2d2187ae-1f55-4064-9b56-75b9833412f5	COOLING_TOWER
b3f70768-dd79-4df2-8ea5-ec03996def40	19a17f35-94c8-4586-95cb-783242292731	DRY_COOLER
b3f70768-dd79-4df2-8ea5-ec03996def40	852fcabb-1d7e-452a-ac12-535942cd428f	REMOTE_CONDENSER
b3f70768-dd79-4df2-8ea5-ec03996def40	4247c713-fc8a-4710-8327-84b39d58a8fe	CHILLED_WATER_PUMPS
b3f70768-dd79-4df2-8ea5-ec03996def40	7ffb77be-0a34-498b-8aa8-253dee565bd2	HEAT_REJECTION_PUMPS
b3f70768-dd79-4df2-8ea5-ec03996def40	8c682b1b-bb35-4989-81d2-bce3bdf83f9a	VENTILATION
b3f70768-dd79-4df2-8ea5-ec03996def40	c8a75da3-e9ca-467b-b8bd-3febc8c439f3	INFILTRATION
b3f70768-dd79-4df2-8ea5-ec03996def40	6ce71f6e-93d8-459b-988e-7be31945e457	IT_LOAD
908200c1-fdfb-453a-8ead-1b848d3f5fbd	7ba9e9a7-05d0-44d4-8d3c-66e8b7e952f3	SWITCHGEAR
908200c1-fdfb-453a-8ead-1b848d3f5fbd	64197968-0e7b-4b8d-b0c9-54f3ccb08913	GENERATOR
908200c1-fdfb-453a-8ead-1b848d3f5fbd	d3f2e94a-ff1f-4d65-a374-836722ec9ac6	PRIMARY_AUXILIARIES
908200c1-fdfb-453a-8ead-1b848d3f5fbd	65d25e79-fcc1-4394-956f-ff90b5e7cb87	UPS
908200c1-fdfb-453a-8ead-1b848d3f5fbd	3f32ce6c-8786-4603-b1bb-a7c67509728e	CRITICAL_AUXILIARIES
908200c1-fdfb-453a-8ead-1b848d3f5fbd	6ee5bb62-5810-425c-868b-fa1091d79d21	LIGHTING
908200c1-fdfb-453a-8ead-1b848d3f5fbd	99771650-9f65-46e7-a426-3d580896f1a0	CRITICAL_POWER_DISTRIBUTION
908200c1-fdfb-453a-8ead-1b848d3f5fbd	0b25d58f-d230-4d39-8bef-6fa27e7d9468	CRAH
908200c1-fdfb-453a-8ead-1b848d3f5fbd	63c88c4d-7713-4bad-8b96-e3285081136f	CRAC
908200c1-fdfb-453a-8ead-1b848d3f5fbd	6f985150-a9b2-420a-9730-8f3ed67d81c6	CRAC_WITHOUT_FAN
908200c1-fdfb-453a-8ead-1b848d3f5fbd	17bf5e51-e65a-4d90-bc26-5156fca8ba06	CRAC_FAN
908200c1-fdfb-453a-8ead-1b848d3f5fbd	2d15f5ff-d98c-4d60-832b-d5fa952df16a	CHILLER
908200c1-fdfb-453a-8ead-1b848d3f5fbd	3d77aad0-10b4-42b6-a9ba-3afe0497f561	AIR_COOLED_CHILLER
908200c1-fdfb-453a-8ead-1b848d3f5fbd	1864d4e8-58d4-47f5-b628-51c62bcd6ba4	COOLING_TOWER
908200c1-fdfb-453a-8ead-1b848d3f5fbd	3b583e03-4578-4f7d-bdd2-af1172383fad	DRY_COOLER
908200c1-fdfb-453a-8ead-1b848d3f5fbd	900f873c-6059-4279-931e-f1a09e9990a0	REMOTE_CONDENSER
908200c1-fdfb-453a-8ead-1b848d3f5fbd	bd55faea-b6bb-47f7-a464-8532dfa9335b	CHILLED_WATER_PUMPS
908200c1-fdfb-453a-8ead-1b848d3f5fbd	31f1462e-b6ce-4513-b405-957d63dffe48	HEAT_REJECTION_PUMPS
908200c1-fdfb-453a-8ead-1b848d3f5fbd	05787c20-24d6-4375-a240-0f4e622b1169	VENTILATION
908200c1-fdfb-453a-8ead-1b848d3f5fbd	bdc6f5e8-3a09-44fb-b3a6-35af086563d4	INFILTRATION
908200c1-fdfb-453a-8ead-1b848d3f5fbd	47aadd50-cb6a-4d25-ac4f-9c266eb96541	IT_LOAD
4eb725c9-0ce8-4679-bc05-a96b30ff039b	a817a2bd-19e8-42ac-a2bc-f8f66dc7e096	SWITCHGEAR
4eb725c9-0ce8-4679-bc05-a96b30ff039b	76caeda2-0c27-4b93-848f-64bc08f8bcbf	GENERATOR
4eb725c9-0ce8-4679-bc05-a96b30ff039b	a431f7a9-196c-44de-a72c-e6e61f3fc36d	PRIMARY_AUXILIARIES
4eb725c9-0ce8-4679-bc05-a96b30ff039b	b97ea81c-6c0b-4641-b1b6-e01d6aa343e0	UPS
4eb725c9-0ce8-4679-bc05-a96b30ff039b	b5136e45-688e-4725-becd-1bb9dbe37ac7	CRITICAL_AUXILIARIES
4eb725c9-0ce8-4679-bc05-a96b30ff039b	1b09fd48-a1dd-47dc-a681-d1c842b22cb2	LIGHTING
4eb725c9-0ce8-4679-bc05-a96b30ff039b	51f5da02-04a3-4a4c-ab01-d31ec4cba3b8	CRITICAL_POWER_DISTRIBUTION
4eb725c9-0ce8-4679-bc05-a96b30ff039b	cf938438-c6ef-46db-b295-4bfa512fdac5	CRAH
4eb725c9-0ce8-4679-bc05-a96b30ff039b	b96d1f93-70f4-46c5-85b6-7d1396e8f9fc	CRAC
4eb725c9-0ce8-4679-bc05-a96b30ff039b	9e9b2a68-465e-466c-8461-45e772a0d274	CRAC_WITHOUT_FAN
4eb725c9-0ce8-4679-bc05-a96b30ff039b	bf3a5efa-b159-4bd6-b678-1ba8d0ae970e	CRAC_FAN
4eb725c9-0ce8-4679-bc05-a96b30ff039b	9be1fecd-62eb-4398-994d-e908b0ffafee	CHILLER
4eb725c9-0ce8-4679-bc05-a96b30ff039b	7208acc7-c1f1-44b1-a936-c7d1ca2d1415	AIR_COOLED_CHILLER
4eb725c9-0ce8-4679-bc05-a96b30ff039b	5fb49e55-2a39-44e9-a617-901b78b01242	COOLING_TOWER
4eb725c9-0ce8-4679-bc05-a96b30ff039b	a0b2a36d-8300-482f-ab1a-ab433663eddd	DRY_COOLER
4eb725c9-0ce8-4679-bc05-a96b30ff039b	a0f78ce3-3543-4f95-936d-6110a8d8de82	REMOTE_CONDENSER
4eb725c9-0ce8-4679-bc05-a96b30ff039b	8cf2b65a-cc8b-4a15-83ab-f8f25146bea4	CHILLED_WATER_PUMPS
4eb725c9-0ce8-4679-bc05-a96b30ff039b	8ccc1cb5-9d3b-48b7-8949-8e39e23bad21	HEAT_REJECTION_PUMPS
4eb725c9-0ce8-4679-bc05-a96b30ff039b	ce708594-f845-44cc-bb82-da5cf38167fb	VENTILATION
4eb725c9-0ce8-4679-bc05-a96b30ff039b	78f7105f-c36c-443d-8b89-ea81a86004d6	INFILTRATION
4eb725c9-0ce8-4679-bc05-a96b30ff039b	92895b43-b0a1-4716-ab11-fafcfd1f3d64	IT_LOAD
faa7b1be-15bd-4019-a47b-1f8c70278d8f	173a2a72-74d0-4a7b-8718-9be2eb51f70b	SWITCHGEAR
faa7b1be-15bd-4019-a47b-1f8c70278d8f	c4bfd88d-ed6a-4bb9-8ed3-bd6cfb357c44	GENERATOR
faa7b1be-15bd-4019-a47b-1f8c70278d8f	81d3aca8-9c71-4788-8243-a4e042dce0f7	PRIMARY_AUXILIARIES
faa7b1be-15bd-4019-a47b-1f8c70278d8f	2276f589-48e4-4e7e-aa57-c6862373287b	UPS
faa7b1be-15bd-4019-a47b-1f8c70278d8f	4bc8b5bd-480d-4867-a33c-4ddbdc56219a	CRITICAL_AUXILIARIES
faa7b1be-15bd-4019-a47b-1f8c70278d8f	5712df7c-5836-41b1-a551-f32b9cad99de	LIGHTING
faa7b1be-15bd-4019-a47b-1f8c70278d8f	2892aa1b-a188-4860-8249-4979651b166a	CRITICAL_POWER_DISTRIBUTION
faa7b1be-15bd-4019-a47b-1f8c70278d8f	4e120df9-c8f3-4580-aee9-17afb7ad5e64	CRAH
faa7b1be-15bd-4019-a47b-1f8c70278d8f	fe2c4b89-c2a0-407d-9308-a0d829cbb4da	CRAC
faa7b1be-15bd-4019-a47b-1f8c70278d8f	da37bbd3-6a00-45c4-b325-83cb31f6b11d	CRAC_WITHOUT_FAN
faa7b1be-15bd-4019-a47b-1f8c70278d8f	2e17fd9c-578b-4882-9ec7-7d04c6247b90	CRAC_FAN
faa7b1be-15bd-4019-a47b-1f8c70278d8f	02c3d75e-c0a3-4aaf-b3d9-354d9506229f	CHILLER
faa7b1be-15bd-4019-a47b-1f8c70278d8f	e9488f1e-38fb-41bb-b674-4c170f8d3047	AIR_COOLED_CHILLER
faa7b1be-15bd-4019-a47b-1f8c70278d8f	c7a80854-3133-46a5-b067-edf67e7e7c93	COOLING_TOWER
faa7b1be-15bd-4019-a47b-1f8c70278d8f	a134eb98-5834-420f-a4af-4de2c7c99919	DRY_COOLER
faa7b1be-15bd-4019-a47b-1f8c70278d8f	cc40226a-2860-415d-8ec8-7e2f20f4b711	REMOTE_CONDENSER
faa7b1be-15bd-4019-a47b-1f8c70278d8f	7549c5da-a77c-4b9f-87f2-9caa7a9634b2	CHILLED_WATER_PUMPS
faa7b1be-15bd-4019-a47b-1f8c70278d8f	2f9296b1-696b-4b41-9fef-c1bc5d24e629	HEAT_REJECTION_PUMPS
faa7b1be-15bd-4019-a47b-1f8c70278d8f	d7429530-33de-4400-8b3f-4d8ffb3a84ae	VENTILATION
faa7b1be-15bd-4019-a47b-1f8c70278d8f	7aef834e-ad8d-4dad-b0e6-4e463df18066	INFILTRATION
faa7b1be-15bd-4019-a47b-1f8c70278d8f	69e67486-63ec-4e29-ad0a-b27e8827b0f4	IT_LOAD
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	e5e77872-9fb7-496d-92d8-9344558ad327	SWITCHGEAR
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	429fb383-5fc6-49b6-87db-5b8f16a159bb	GENERATOR
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	2879b8cc-ea31-4371-b7b4-62d09efe2f8d	PRIMARY_AUXILIARIES
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	427cc20a-ab0b-432f-8274-b0eda9cafde1	UPS
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	2555dba2-440c-4ce0-a99c-a00b0978c66b	CRITICAL_AUXILIARIES
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	62292282-2e2a-4c29-9b9c-7102f2647207	LIGHTING
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	4b3f1e38-febd-4489-8151-5f1a5b03ab43	CRITICAL_POWER_DISTRIBUTION
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	7cc11c8e-a227-452d-8845-6c0134b854ac	CRAH
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	2f3c443d-6ed4-4965-ad8e-c02e919eb354	CRAC
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	f524c7d8-3c17-4aa8-9dba-bd17a422dc05	CRAC_WITHOUT_FAN
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	1620242b-66ed-4952-b893-74a2d6555094	CRAC_FAN
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	e80c443f-63b2-4bef-b128-be1fd580b93a	CHILLER
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	9f8301ab-045b-4af9-bf89-08d155c81cf3	AIR_COOLED_CHILLER
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	657f0da7-ff7f-42f5-a401-cf64dcb749bf	COOLING_TOWER
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	1dcc8ab4-6e04-475c-aab3-50a29f36ef9d	DRY_COOLER
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	e6bfb1fb-2608-48d5-94d7-fbad5122ca55	REMOTE_CONDENSER
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	7e092b26-99a6-4fe0-96f9-b26284e6e9e1	CHILLED_WATER_PUMPS
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	72428a3b-1148-42c3-af29-9b1a08301d26	HEAT_REJECTION_PUMPS
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	598fcb84-3824-46cf-9d42-ae76f97e4012	VENTILATION
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	bd9aff85-dc33-48fe-a41a-4e55761143bb	INFILTRATION
fbe398e8-e88d-4a91-b25a-bd1f59d8e520	447ef2b3-910b-432e-b1fa-be100a7a7ae6	IT_LOAD
cc279ce7-584b-4904-a3f7-b7df88308268	c86d9bda-822b-4794-9b4f-dbfad5786cba	SWITCHGEAR
cc279ce7-584b-4904-a3f7-b7df88308268	2324df5f-c021-4374-b0b4-e2bc81223425	GENERATOR
cc279ce7-584b-4904-a3f7-b7df88308268	d2423c20-3953-4c7c-8536-5c64a1471432	PRIMARY_AUXILIARIES
cc279ce7-584b-4904-a3f7-b7df88308268	b3740195-bf67-40f0-9f87-385308353914	UPS
cc279ce7-584b-4904-a3f7-b7df88308268	7655a381-8555-44f8-907b-556479760924	CRITICAL_AUXILIARIES
cc279ce7-584b-4904-a3f7-b7df88308268	ff005841-7a38-4332-be7f-e138ea856d26	LIGHTING
cc279ce7-584b-4904-a3f7-b7df88308268	486051a4-21ed-4fc7-8dd3-218aa918b383	CRITICAL_POWER_DISTRIBUTION
cc279ce7-584b-4904-a3f7-b7df88308268	d261ee3e-402d-4e31-8c48-162362dc769c	CRAH
cc279ce7-584b-4904-a3f7-b7df88308268	f2ca63f3-9afe-4244-be2c-ed68b8e4404e	CRAC
cc279ce7-584b-4904-a3f7-b7df88308268	e5d0403b-8558-4d58-8748-781642e3ff4a	CRAC_WITHOUT_FAN
cc279ce7-584b-4904-a3f7-b7df88308268	a14b5e5e-0ac3-4cfc-bddd-2ccc895fcbe5	CRAC_FAN
cc279ce7-584b-4904-a3f7-b7df88308268	da0a9f5a-f204-445a-ada5-71d62da5177e	CHILLER
cc279ce7-584b-4904-a3f7-b7df88308268	d2e2935d-f760-45a6-9424-2341db6ae5fd	AIR_COOLED_CHILLER
cc279ce7-584b-4904-a3f7-b7df88308268	943ba7bd-709d-4c5e-b59f-cdee5d253204	COOLING_TOWER
cc279ce7-584b-4904-a3f7-b7df88308268	254ebf3f-f572-4153-877b-2901f8136e65	DRY_COOLER
cc279ce7-584b-4904-a3f7-b7df88308268	daab293c-eecc-4d6a-aeae-280e056d7dbb	REMOTE_CONDENSER
cc279ce7-584b-4904-a3f7-b7df88308268	c18348d8-9be3-41c7-95b4-3dc885d51c15	CHILLED_WATER_PUMPS
cc279ce7-584b-4904-a3f7-b7df88308268	f6cc2b0b-6d56-4311-900b-3c8ba080af01	HEAT_REJECTION_PUMPS
cc279ce7-584b-4904-a3f7-b7df88308268	d98be16d-5c6f-4e70-9a1e-a7ec0a3483d5	VENTILATION
cc279ce7-584b-4904-a3f7-b7df88308268	199a6664-c819-4461-8e65-1e93a00e25da	INFILTRATION
cc279ce7-584b-4904-a3f7-b7df88308268	ba648569-47bd-4054-8fed-88e47ef78e12	IT_LOAD
e82f8117-ee75-4c13-90d2-0e57c40959a9	e2f31016-a53e-470c-a88a-5aa55faead6d	SWITCHGEAR
e82f8117-ee75-4c13-90d2-0e57c40959a9	73551840-f061-4099-9c56-241ccb4bcfc1	GENERATOR
e82f8117-ee75-4c13-90d2-0e57c40959a9	3b756345-b975-477e-8cdc-a7525aabcba4	PRIMARY_AUXILIARIES
e82f8117-ee75-4c13-90d2-0e57c40959a9	665d42e1-b204-49cf-b278-552d3e65550f	UPS
e82f8117-ee75-4c13-90d2-0e57c40959a9	04965758-2fbd-45bc-9b6a-0ff90af96a5a	CRITICAL_AUXILIARIES
e82f8117-ee75-4c13-90d2-0e57c40959a9	893f45ca-fca3-4e2a-96cc-edd1691f7dad	LIGHTING
e82f8117-ee75-4c13-90d2-0e57c40959a9	5d84f696-3347-4050-9be1-366083d6d499	CRITICAL_POWER_DISTRIBUTION
e82f8117-ee75-4c13-90d2-0e57c40959a9	9962bd52-6f44-4dd5-919b-590cfa9bbba9	CRAH
e82f8117-ee75-4c13-90d2-0e57c40959a9	7cc851b0-666a-413d-9f27-539221850438	CRAC
e82f8117-ee75-4c13-90d2-0e57c40959a9	1c36e129-9428-42c7-ae38-06ac13e76d01	CRAC_WITHOUT_FAN
e82f8117-ee75-4c13-90d2-0e57c40959a9	40bdd455-ff6a-473f-a737-7373a46785f5	CRAC_FAN
e82f8117-ee75-4c13-90d2-0e57c40959a9	957a77d3-015b-4935-bb40-5fc0d128d965	CHILLER
e82f8117-ee75-4c13-90d2-0e57c40959a9	06021c92-73b1-464e-b498-5599af47af5b	AIR_COOLED_CHILLER
e82f8117-ee75-4c13-90d2-0e57c40959a9	843abc1a-42d3-44ad-984c-7c1f07375314	COOLING_TOWER
e82f8117-ee75-4c13-90d2-0e57c40959a9	86fb4cd4-5862-47ec-8965-44d7998413f1	DRY_COOLER
e82f8117-ee75-4c13-90d2-0e57c40959a9	1bde53f7-6e93-4355-86ac-8cbf28b24ebf	REMOTE_CONDENSER
e82f8117-ee75-4c13-90d2-0e57c40959a9	7016a995-d0c5-4bf1-96fe-fb869a678b5c	CHILLED_WATER_PUMPS
e82f8117-ee75-4c13-90d2-0e57c40959a9	cd0214ea-40df-404e-a671-b75e7bbe0a22	HEAT_REJECTION_PUMPS
e82f8117-ee75-4c13-90d2-0e57c40959a9	f09ba7da-2113-4da5-8d4b-42c1522feb25	VENTILATION
e82f8117-ee75-4c13-90d2-0e57c40959a9	a4c841ef-c30b-4bb4-ad20-8c2a630fd860	INFILTRATION
e82f8117-ee75-4c13-90d2-0e57c40959a9	4b98c4be-bc73-4fa7-8e02-3f81ccc6ca0c	IT_LOAD
164b4f7e-635f-46d0-8ec1-b309f871738d	c55e98d1-30e5-4ff5-b330-8a4ed2e763eb	SWITCHGEAR
164b4f7e-635f-46d0-8ec1-b309f871738d	a3850a06-f35a-4f2d-ad10-fc15f57c1d5c	GENERATOR
164b4f7e-635f-46d0-8ec1-b309f871738d	765cc87b-1111-4112-8d88-9bdd79462cc4	PRIMARY_AUXILIARIES
164b4f7e-635f-46d0-8ec1-b309f871738d	312f34eb-68f9-44b7-b8a6-8080551ee916	UPS
164b4f7e-635f-46d0-8ec1-b309f871738d	079bfbf9-d219-4652-8743-6f41c7483467	CRITICAL_AUXILIARIES
164b4f7e-635f-46d0-8ec1-b309f871738d	95d420f8-567f-4196-9665-9e059afed510	LIGHTING
164b4f7e-635f-46d0-8ec1-b309f871738d	408bfe51-8192-48ea-b8fb-be6641544a96	CRITICAL_POWER_DISTRIBUTION
164b4f7e-635f-46d0-8ec1-b309f871738d	c65dc06a-8249-494d-b70c-a59f7a04c5ac	CRAH
164b4f7e-635f-46d0-8ec1-b309f871738d	82cba163-b0b8-47bf-9357-60d9389a1e39	CRAC
164b4f7e-635f-46d0-8ec1-b309f871738d	32a43f69-f89c-40a0-91e0-93001e59bc2f	CRAC_WITHOUT_FAN
164b4f7e-635f-46d0-8ec1-b309f871738d	fbad2c1b-d294-4ac7-96fe-169767ef532b	CRAC_FAN
164b4f7e-635f-46d0-8ec1-b309f871738d	1ac7e509-8c64-42f9-90ac-084ac3a53623	CHILLER
164b4f7e-635f-46d0-8ec1-b309f871738d	cb06e14b-4424-4b02-bd73-0213e7500cfb	AIR_COOLED_CHILLER
164b4f7e-635f-46d0-8ec1-b309f871738d	fce44e4e-5886-43a1-99a6-c369e6e5a74b	COOLING_TOWER
164b4f7e-635f-46d0-8ec1-b309f871738d	7bb50fa5-2b69-4a85-9ff9-c93a25ffd935	DRY_COOLER
164b4f7e-635f-46d0-8ec1-b309f871738d	189b108c-48cb-4894-bb2f-074382136f66	REMOTE_CONDENSER
164b4f7e-635f-46d0-8ec1-b309f871738d	1a75b8a9-8c4a-4ed2-a479-ff264bd5ae67	CHILLED_WATER_PUMPS
164b4f7e-635f-46d0-8ec1-b309f871738d	16c6414d-3369-409b-af95-995cf1afe64d	HEAT_REJECTION_PUMPS
164b4f7e-635f-46d0-8ec1-b309f871738d	9d3c0dcd-319a-420f-baac-40709dc4ab68	VENTILATION
164b4f7e-635f-46d0-8ec1-b309f871738d	ec62c390-8b4d-407b-9bf8-614b9f55791f	INFILTRATION
164b4f7e-635f-46d0-8ec1-b309f871738d	d5fd1457-b610-4296-b1e7-8f9ccdc30778	IT_LOAD
65808bcb-f1de-4834-9e92-4688a6256cdf	c152341f-0cd3-4a7e-8015-e77d4a7ffcfe	SWITCHGEAR
65808bcb-f1de-4834-9e92-4688a6256cdf	5a3068f6-60c6-4c02-a995-2d7a589d06af	GENERATOR
65808bcb-f1de-4834-9e92-4688a6256cdf	3ec554d8-2935-41af-8589-0f8997febcee	PRIMARY_AUXILIARIES
65808bcb-f1de-4834-9e92-4688a6256cdf	9ba77f78-2dc1-40b3-b5e2-05fba5ff61df	UPS
65808bcb-f1de-4834-9e92-4688a6256cdf	a0c67e43-d113-48ad-b391-2fbbfe1ba41b	CRITICAL_AUXILIARIES
65808bcb-f1de-4834-9e92-4688a6256cdf	0c13535c-0561-43b2-9102-f25b0dc39b1d	LIGHTING
65808bcb-f1de-4834-9e92-4688a6256cdf	25e65925-b9f3-4251-91f1-7c973a5fdf92	CRITICAL_POWER_DISTRIBUTION
65808bcb-f1de-4834-9e92-4688a6256cdf	ecfc5d14-8f89-4a21-a38b-0e6966ee998c	CRAH
65808bcb-f1de-4834-9e92-4688a6256cdf	f2b18920-cdae-4cf7-8930-9dabb34b6a74	CRAC
65808bcb-f1de-4834-9e92-4688a6256cdf	c0cbf28f-01c5-435b-affd-0810b4b45892	CRAC_WITHOUT_FAN
65808bcb-f1de-4834-9e92-4688a6256cdf	f1d5e765-182f-49db-993e-242bb58cf8f0	CRAC_FAN
65808bcb-f1de-4834-9e92-4688a6256cdf	fe9e6c5c-a941-40da-a027-6b9a5dfb83da	CHILLER
65808bcb-f1de-4834-9e92-4688a6256cdf	adbd5eef-fc38-4dcf-9c49-120be48955bb	AIR_COOLED_CHILLER
65808bcb-f1de-4834-9e92-4688a6256cdf	ae51de04-9d94-4051-82a2-d4cf0d5500f9	COOLING_TOWER
65808bcb-f1de-4834-9e92-4688a6256cdf	1aa79638-7211-4c5f-9aef-ff28256ff588	DRY_COOLER
65808bcb-f1de-4834-9e92-4688a6256cdf	bc49e9e6-5d98-443e-943c-5a979e10dc41	REMOTE_CONDENSER
65808bcb-f1de-4834-9e92-4688a6256cdf	daf75a3f-2cea-4469-9552-d10d9e0e9f65	CHILLED_WATER_PUMPS
65808bcb-f1de-4834-9e92-4688a6256cdf	27761647-6f94-4f55-a4ce-572b16fef17c	HEAT_REJECTION_PUMPS
65808bcb-f1de-4834-9e92-4688a6256cdf	00145d1d-307a-462e-bb71-ab4afe8927ca	VENTILATION
65808bcb-f1de-4834-9e92-4688a6256cdf	07fa03bc-77ba-4488-8e54-168a9deafa76	INFILTRATION
65808bcb-f1de-4834-9e92-4688a6256cdf	d0a3188c-5514-4494-ae2e-9ec057e21d3e	IT_LOAD
8e5caef4-b9ee-49f7-9790-ec514ab90822	dd9166bf-e9e9-4305-9996-c5b218a8153e	SWITCHGEAR
8e5caef4-b9ee-49f7-9790-ec514ab90822	ee6b1f87-d468-450b-a046-904292d1a96b	GENERATOR
8e5caef4-b9ee-49f7-9790-ec514ab90822	0936851f-7cd3-4f4e-a195-607202db0df5	PRIMARY_AUXILIARIES
8e5caef4-b9ee-49f7-9790-ec514ab90822	dfae087b-d913-4a49-922f-a191869dbc7a	UPS
8e5caef4-b9ee-49f7-9790-ec514ab90822	a3f0493c-d205-44ef-9b74-a4f6b90b8f73	CRITICAL_AUXILIARIES
8e5caef4-b9ee-49f7-9790-ec514ab90822	cbc33a93-0461-4933-b59b-cc7cf231db86	LIGHTING
8e5caef4-b9ee-49f7-9790-ec514ab90822	9d220fc2-ef99-4923-89c8-3881df3e87fc	CRITICAL_POWER_DISTRIBUTION
8e5caef4-b9ee-49f7-9790-ec514ab90822	f046406d-e8c5-4e6f-a979-bc13f5b1bcd2	CRAH
8e5caef4-b9ee-49f7-9790-ec514ab90822	050ed8e4-c569-4989-99d7-10155f21618c	CRAC
8e5caef4-b9ee-49f7-9790-ec514ab90822	e3fb7bc2-bacf-4e27-9475-cdc056b69588	CRAC_WITHOUT_FAN
8e5caef4-b9ee-49f7-9790-ec514ab90822	3de0f8d4-81bf-4f06-ac43-7c1912ac7c3a	CRAC_FAN
8e5caef4-b9ee-49f7-9790-ec514ab90822	16f30e14-001e-4a83-acd6-def02ab08a66	CHILLER
8e5caef4-b9ee-49f7-9790-ec514ab90822	bb102bc3-40e4-450c-b6a8-799171e38138	AIR_COOLED_CHILLER
8e5caef4-b9ee-49f7-9790-ec514ab90822	a45ad99f-f920-4e4a-847c-caf1b8855512	COOLING_TOWER
8e5caef4-b9ee-49f7-9790-ec514ab90822	f2cbd05b-c542-45e0-ac3f-1f4c73c678df	DRY_COOLER
8e5caef4-b9ee-49f7-9790-ec514ab90822	bc97ad06-edf3-4cff-8b75-5c9f0113d369	REMOTE_CONDENSER
8e5caef4-b9ee-49f7-9790-ec514ab90822	04ddfabf-661e-4cb6-9bee-6cedc59238f2	CHILLED_WATER_PUMPS
8e5caef4-b9ee-49f7-9790-ec514ab90822	ac3ef391-9ff8-48e3-8111-c7d48ea9dc4e	HEAT_REJECTION_PUMPS
8e5caef4-b9ee-49f7-9790-ec514ab90822	c5651149-9218-4dd5-9f0a-ed126ce8280d	VENTILATION
8e5caef4-b9ee-49f7-9790-ec514ab90822	b9cd24d9-fcc8-4067-b2e9-c1d51d13c613	INFILTRATION
8e5caef4-b9ee-49f7-9790-ec514ab90822	1cc5ba7b-257c-42c2-8ce0-1e52967a62c6	IT_LOAD
dece0dc1-da73-4c6e-970e-e2419a2da131	39b31614-e66b-4a33-bb56-308bb8ebc4a1	SWITCHGEAR
dece0dc1-da73-4c6e-970e-e2419a2da131	5f285ba2-a20c-4d08-a001-c42c0f9dada6	GENERATOR
dece0dc1-da73-4c6e-970e-e2419a2da131	1c1dc37a-8245-4903-a35d-e80b69349f2b	PRIMARY_AUXILIARIES
dece0dc1-da73-4c6e-970e-e2419a2da131	456657a7-05ff-4946-9323-278565e7b88f	UPS
dece0dc1-da73-4c6e-970e-e2419a2da131	a9739ee8-4db1-4443-a5ab-5b28fddc5403	CRITICAL_AUXILIARIES
dece0dc1-da73-4c6e-970e-e2419a2da131	e09bd615-db7c-4a22-b082-f7da0d742fce	LIGHTING
dece0dc1-da73-4c6e-970e-e2419a2da131	5781b8f0-cf0b-4a72-a071-5324412fbd95	CRITICAL_POWER_DISTRIBUTION
dece0dc1-da73-4c6e-970e-e2419a2da131	660b458a-6a3b-4129-af33-cda9e5f3a3fb	CRAH
dece0dc1-da73-4c6e-970e-e2419a2da131	da8ea692-02ee-48af-9b73-89b01c6c78dd	CRAC
dece0dc1-da73-4c6e-970e-e2419a2da131	923dd9fc-63b1-4fbd-b44d-4bbd9b279de3	CRAC_WITHOUT_FAN
dece0dc1-da73-4c6e-970e-e2419a2da131	7b727464-d1f3-41f7-a259-fe2aad31d489	CRAC_FAN
dece0dc1-da73-4c6e-970e-e2419a2da131	1661fa63-51e0-489f-8d09-062312d64ca8	CHILLER
dece0dc1-da73-4c6e-970e-e2419a2da131	c8cfee21-1758-4ff4-807a-32e8c569b1ee	AIR_COOLED_CHILLER
dece0dc1-da73-4c6e-970e-e2419a2da131	861e0f74-06dc-434e-93b3-e3b48fbc5c12	COOLING_TOWER
dece0dc1-da73-4c6e-970e-e2419a2da131	5c7a915b-cc5c-487c-a399-be5a9c24f2b8	DRY_COOLER
dece0dc1-da73-4c6e-970e-e2419a2da131	c875f73f-9cce-4d10-b02d-788def0ca2ab	REMOTE_CONDENSER
dece0dc1-da73-4c6e-970e-e2419a2da131	2e227a32-8666-43d9-bf5d-0f12366cebc8	CHILLED_WATER_PUMPS
dece0dc1-da73-4c6e-970e-e2419a2da131	fb058525-d7df-4f71-bcd8-0d7a5d3fb3cc	HEAT_REJECTION_PUMPS
dece0dc1-da73-4c6e-970e-e2419a2da131	87548ad7-be1b-4172-a1e6-f4b1275f2bc0	VENTILATION
dece0dc1-da73-4c6e-970e-e2419a2da131	9c7903ec-fff3-407c-956f-eb0776404c66	INFILTRATION
dece0dc1-da73-4c6e-970e-e2419a2da131	5126d031-83b3-4fae-b17f-d6941bf1b933	IT_LOAD
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	5be81fb1-e58c-4cb1-92b5-38a3c27bc6f7	SWITCHGEAR
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	fcda0917-b2b5-46f5-a4ae-b7c8351adab3	GENERATOR
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	1b6b778c-fac2-48b3-9ffb-cac1b110cb80	PRIMARY_AUXILIARIES
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	cb69acc7-9de5-4bf7-85d1-b924a2dcfaae	UPS
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	4fd25ec5-dfb4-4f9a-9290-ebc93eb0e002	CRITICAL_AUXILIARIES
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	e90d2a80-a20c-494c-ae8c-d11fead68cae	LIGHTING
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	90ffd5cb-687b-4dda-a6e7-eefd36f8a154	CRITICAL_POWER_DISTRIBUTION
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	c9b50a84-31d7-405c-a1db-a08fcf7b78a6	CRAH
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	a4e4663b-cabd-4a63-acd2-e2debdb01e85	CRAC
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	b6fa3817-3705-44f6-84de-f6d6e54fd4cf	CRAC_WITHOUT_FAN
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	24923643-401f-4a0a-ad2d-38ec58e0d7a8	CRAC_FAN
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	f8f8b5ff-c035-493e-bee8-c9cf3bcc1686	CHILLER
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	2d20b0e1-3e82-4cdb-af4b-038dba0d4027	AIR_COOLED_CHILLER
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	21b3754e-d545-434a-b450-92204e4a9576	COOLING_TOWER
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	a23516b6-9603-43dd-b5f0-c25c10edf8c8	DRY_COOLER
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	07978fbe-fd11-4694-b4db-14e7ef22fabf	REMOTE_CONDENSER
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	404d809b-a5de-423b-8baf-da406cafbb54	CHILLED_WATER_PUMPS
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	74c7aced-cfa6-410f-85bc-245e5a783fc4	HEAT_REJECTION_PUMPS
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	69030504-40ba-4004-9479-73c60bb486f4	VENTILATION
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	92a8c160-f7e9-4cfd-98f5-d400e9c29a6f	INFILTRATION
eeee60fc-5dfd-418e-a4a8-a3fa267b5e35	4546a603-5107-440e-a889-70ff69f8fcab	IT_LOAD
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	09cc3d49-a194-4b4b-995e-2a822c9e9e80	SWITCHGEAR
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	0a2fb465-f9dc-43b0-8db3-c0a2dfc8a865	GENERATOR
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	8f4290e9-150a-46e0-ba42-b065c88dda82	PRIMARY_AUXILIARIES
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	0d440e83-a26b-4f40-b090-2851c503554c	UPS
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	ef859344-88de-4449-b573-6689c8c01037	CRITICAL_AUXILIARIES
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	77831017-0c65-49ee-95b4-e209147853e2	LIGHTING
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	f430f3dc-90c1-4a62-99bf-f39612956ca2	CRITICAL_POWER_DISTRIBUTION
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	9eb32ddf-40c4-485e-ace3-a3d19132cfab	CRAH
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	02a771c2-140c-4d9c-b9e8-beec025783ce	CRAC
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	16527d85-e0a0-4259-902f-2938a35db4ab	CRAC_WITHOUT_FAN
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	7e6d0605-77ea-492b-9ec6-fab309882f6e	CRAC_FAN
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	a27268a5-194b-454e-a65c-52e581826dec	CHILLER
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	6debfe4f-3dae-4b24-9adb-3d049c74a3dd	AIR_COOLED_CHILLER
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	095bac9e-9eb9-4d6c-a764-ca97f516e81e	COOLING_TOWER
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	6cfe3ad4-4e0e-4a08-a598-87c1eb062b8f	DRY_COOLER
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	fa4f33bb-24d8-4a65-87ab-c9ffcb5c8762	REMOTE_CONDENSER
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	ef392434-58bf-43b3-87f3-b0f4dff5bc82	CHILLED_WATER_PUMPS
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	7b9db5b5-0f6b-4b08-8adc-e531d1bf54ca	HEAT_REJECTION_PUMPS
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	ab9b5b2a-4d15-4bb7-9580-b40e86692f2d	VENTILATION
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	4b5f5457-a6d0-49a0-8b10-9133f9334e63	INFILTRATION
39d59772-1bd5-41e1-97cc-5bfbfbf1aa3b	be89ff32-1c73-4be8-a313-fadae3ea09b4	IT_LOAD
abd2b4bc-0441-480f-9c87-5c56762cb00c	9491d85b-1441-425c-91cd-69bbad517242	SWITCHGEAR
abd2b4bc-0441-480f-9c87-5c56762cb00c	6ecd1a6d-0bff-4356-9ef1-9d837c6e85be	GENERATOR
abd2b4bc-0441-480f-9c87-5c56762cb00c	a5f564f4-a393-44f9-8049-4b1048ab8616	PRIMARY_AUXILIARIES
abd2b4bc-0441-480f-9c87-5c56762cb00c	9a581794-fa17-4ddb-9cd8-d05d22e7dff2	UPS
abd2b4bc-0441-480f-9c87-5c56762cb00c	0cf60f67-61ab-48f7-a5db-1c09d685f654	CRITICAL_AUXILIARIES
abd2b4bc-0441-480f-9c87-5c56762cb00c	5dc2d4d7-1cb7-4410-83fd-f7052cf52397	LIGHTING
abd2b4bc-0441-480f-9c87-5c56762cb00c	2a72548a-901c-4d0f-98a1-c24c9d9dfb28	CRITICAL_POWER_DISTRIBUTION
abd2b4bc-0441-480f-9c87-5c56762cb00c	2e718990-510d-4706-b136-9a4419fab2ea	CRAH
abd2b4bc-0441-480f-9c87-5c56762cb00c	581d54a4-0f54-4026-be08-4e5bce664de6	CRAC
abd2b4bc-0441-480f-9c87-5c56762cb00c	7340f1d1-2a18-4592-9c1d-e78a640927ec	CRAC_WITHOUT_FAN
abd2b4bc-0441-480f-9c87-5c56762cb00c	ab87d61a-566c-4ee6-acfb-2b53ae7c72d8	CRAC_FAN
abd2b4bc-0441-480f-9c87-5c56762cb00c	26af3bae-0f5f-4d55-a747-41c942aff653	CHILLER
abd2b4bc-0441-480f-9c87-5c56762cb00c	106a0e0c-fe5a-4480-b900-2301a7565fb1	AIR_COOLED_CHILLER
abd2b4bc-0441-480f-9c87-5c56762cb00c	ac2b9826-c72c-4f10-af78-32d85dd0ffb8	COOLING_TOWER
abd2b4bc-0441-480f-9c87-5c56762cb00c	3f5afb27-0ddb-4ef4-9ff1-34dd066bcb51	DRY_COOLER
abd2b4bc-0441-480f-9c87-5c56762cb00c	a9c0a6fa-8d68-4694-9b6c-0bfa6f75002f	REMOTE_CONDENSER
abd2b4bc-0441-480f-9c87-5c56762cb00c	be0ee43c-c770-427c-9fdc-2871ae964441	CHILLED_WATER_PUMPS
abd2b4bc-0441-480f-9c87-5c56762cb00c	21ab008b-26e1-4a69-9760-92decc193157	HEAT_REJECTION_PUMPS
abd2b4bc-0441-480f-9c87-5c56762cb00c	e6ad8412-3cbc-41ca-a60c-9bc838c50221	VENTILATION
abd2b4bc-0441-480f-9c87-5c56762cb00c	75af8441-3d82-4c46-89ec-4db5304dc3d8	INFILTRATION
abd2b4bc-0441-480f-9c87-5c56762cb00c	5f18a9e5-2f93-46c0-9c70-6206c74bf707	IT_LOAD
683135e0-f9cb-402a-96ff-c51db2aa90b1	13265a71-66c4-4a6e-90bb-be0a99864036	SWITCHGEAR
683135e0-f9cb-402a-96ff-c51db2aa90b1	a1a1937b-74a6-4eb4-9183-ec38a7aadc8d	GENERATOR
683135e0-f9cb-402a-96ff-c51db2aa90b1	522bbda2-4f04-4f32-9962-c8558973ca47	PRIMARY_AUXILIARIES
683135e0-f9cb-402a-96ff-c51db2aa90b1	051d58da-1803-4419-a8a1-de1ad3401f67	UPS
683135e0-f9cb-402a-96ff-c51db2aa90b1	d5fb1b35-8093-463d-9ce9-180fdd00d6c6	CRITICAL_AUXILIARIES
683135e0-f9cb-402a-96ff-c51db2aa90b1	3e063216-7b83-475f-9526-4ee69e574068	LIGHTING
683135e0-f9cb-402a-96ff-c51db2aa90b1	150517f5-f845-40cd-a2bd-109bb0a11bc4	CRITICAL_POWER_DISTRIBUTION
683135e0-f9cb-402a-96ff-c51db2aa90b1	24f60978-1677-49c1-b22d-8962d77e28b1	CRAH
683135e0-f9cb-402a-96ff-c51db2aa90b1	efb1b6f9-3f7c-41bc-86c3-e01e572db108	CRAC
683135e0-f9cb-402a-96ff-c51db2aa90b1	f7d8111f-8304-4e56-b0cb-e8b5f92f6568	CRAC_WITHOUT_FAN
683135e0-f9cb-402a-96ff-c51db2aa90b1	6f760dd6-6fbc-47ad-a507-478da96a8e05	CRAC_FAN
683135e0-f9cb-402a-96ff-c51db2aa90b1	2db497b2-8211-4318-8c67-bad846bc4561	CHILLER
683135e0-f9cb-402a-96ff-c51db2aa90b1	90c586ad-0d64-4f42-b382-cf35c0c39712	AIR_COOLED_CHILLER
683135e0-f9cb-402a-96ff-c51db2aa90b1	d3e42de0-d524-482d-ade0-644bec1eb34d	COOLING_TOWER
683135e0-f9cb-402a-96ff-c51db2aa90b1	38777894-bacc-4f5d-ae97-1a15672e6da1	DRY_COOLER
683135e0-f9cb-402a-96ff-c51db2aa90b1	4b41dea1-f9fb-485c-8496-d77ab599beb7	REMOTE_CONDENSER
683135e0-f9cb-402a-96ff-c51db2aa90b1	4625633f-91a0-4f4a-97b5-81c43e276317	CHILLED_WATER_PUMPS
683135e0-f9cb-402a-96ff-c51db2aa90b1	ce45b270-6600-4988-a38c-d636500d59a4	HEAT_REJECTION_PUMPS
683135e0-f9cb-402a-96ff-c51db2aa90b1	6302cc40-1e56-4cc4-b9af-7799a1211d2f	VENTILATION
683135e0-f9cb-402a-96ff-c51db2aa90b1	7c724221-1c8e-4b6d-98c5-741eca36ffe8	INFILTRATION
683135e0-f9cb-402a-96ff-c51db2aa90b1	790825cd-dbd2-4b77-9778-8dd33c5c21b4	IT_LOAD
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	5c35d8d2-2de1-4579-ac72-95be558f3007	SWITCHGEAR
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	58e96ed7-5bd3-4426-9d51-19070470025e	GENERATOR
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	b0c96981-dcaf-4d02-92d7-857174048d3b	PRIMARY_AUXILIARIES
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	d1abe165-f824-4ac2-b03a-31cc94404a4b	UPS
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	12b5b435-488d-4d70-910e-6935630f387d	CRITICAL_AUXILIARIES
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	3b299484-1408-47e0-885c-e005fb6c99b8	LIGHTING
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	d632fa4f-08dc-41d0-a8f0-b2c7e5cbf489	CRITICAL_POWER_DISTRIBUTION
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	4b979603-c0d5-4b10-9dd3-c344410f7562	CRAH
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	2f123dc2-a2e2-41f8-98d7-99a5f1c42445	CRAC
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	13d2111e-b5da-4443-a104-e3cbfcbb6ebc	CRAC_WITHOUT_FAN
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	db609af3-9e21-4a94-912d-84737978353a	CRAC_FAN
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	8d5668f6-3336-4155-aac1-1e53e8c87117	CHILLER
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	7dab28d0-d3a6-4a5b-8d0e-3174ab6e6dd1	AIR_COOLED_CHILLER
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	41d1f3bd-6a4b-461e-a2c5-01d555ba6ab0	COOLING_TOWER
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	d36b1a01-4729-44f7-be8b-c77ccf06ea4a	DRY_COOLER
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	61d889b8-3187-4ef4-99ce-38f0c683a24a	REMOTE_CONDENSER
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	5f9e2544-ca12-4d8a-a0bd-b9108c93c734	CHILLED_WATER_PUMPS
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	f84a116f-02b7-4284-8036-574cc79cb050	HEAT_REJECTION_PUMPS
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	7a1c4e8c-0844-4944-ad21-73bfa5d084f2	VENTILATION
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	eab62d5e-558a-436c-9c8a-ef27c994158c	INFILTRATION
39dfc22b-c1bb-4fd9-8e52-b1528c1421ad	f132df97-3926-4119-84a4-385a085f92fd	IT_LOAD
716a1080-b1f3-417d-ac20-78321c28a033	32e991c9-ab54-4140-8481-0ead9a5f031f	SWITCHGEAR
716a1080-b1f3-417d-ac20-78321c28a033	cb5274f4-4f90-46f2-9d99-882b53da57a5	GENERATOR
716a1080-b1f3-417d-ac20-78321c28a033	6a7def19-18c7-4436-becb-84815d0ebd69	PRIMARY_AUXILIARIES
716a1080-b1f3-417d-ac20-78321c28a033	6f3d5d90-51b6-40df-a771-347f0ab358ca	UPS
716a1080-b1f3-417d-ac20-78321c28a033	46b95843-cf53-417f-a277-db6c6ef9e530	CRITICAL_AUXILIARIES
716a1080-b1f3-417d-ac20-78321c28a033	2b434cc1-2d1f-452c-a931-b7b3eba90d1f	LIGHTING
716a1080-b1f3-417d-ac20-78321c28a033	92592cca-5b94-4040-92e2-915eb680fe15	CRITICAL_POWER_DISTRIBUTION
716a1080-b1f3-417d-ac20-78321c28a033	e6556f49-118c-41e1-b457-1206f9034bf1	CRAH
716a1080-b1f3-417d-ac20-78321c28a033	39e77326-1818-49be-afe4-752c06cd491d	CRAC
716a1080-b1f3-417d-ac20-78321c28a033	f315d350-6db4-4595-bcb1-5d910391e571	CRAC_WITHOUT_FAN
716a1080-b1f3-417d-ac20-78321c28a033	1bad7a76-e3d8-42fd-b7e2-7c4300497c18	CRAC_FAN
716a1080-b1f3-417d-ac20-78321c28a033	7f15bff6-054a-4433-9bf8-5df2696e5e2b	CHILLER
716a1080-b1f3-417d-ac20-78321c28a033	a7cee9fe-afb5-4eb7-b5fb-4f9e2e308929	AIR_COOLED_CHILLER
716a1080-b1f3-417d-ac20-78321c28a033	f382286e-458d-4c03-b25e-b7498f67f6bd	COOLING_TOWER
716a1080-b1f3-417d-ac20-78321c28a033	45e1363f-691b-4716-adf5-b38e547fd7a1	DRY_COOLER
716a1080-b1f3-417d-ac20-78321c28a033	4e86fc6c-94c1-422b-8887-e21f7c1575ce	REMOTE_CONDENSER
716a1080-b1f3-417d-ac20-78321c28a033	6b01c9f2-be02-4f89-a03c-0f20a4f46385	CHILLED_WATER_PUMPS
716a1080-b1f3-417d-ac20-78321c28a033	f3919682-71fe-4c14-9ebb-a1f54ea356c8	HEAT_REJECTION_PUMPS
716a1080-b1f3-417d-ac20-78321c28a033	971f712c-ea91-47bf-b9ef-43e6ed14a687	VENTILATION
716a1080-b1f3-417d-ac20-78321c28a033	9dfcb80a-39ba-4cb2-836f-b3e2689d5ad8	INFILTRATION
716a1080-b1f3-417d-ac20-78321c28a033	8ef32018-f8b2-4dd4-8968-49c4922a2def	IT_LOAD
efabca7b-54ca-40b4-afb9-d49fefe308ed	8ee2ca5a-9162-488a-a0c0-12bfad1b38e7	SWITCHGEAR
efabca7b-54ca-40b4-afb9-d49fefe308ed	8274eab0-33c3-4ada-87bf-91cb6368a4c1	GENERATOR
efabca7b-54ca-40b4-afb9-d49fefe308ed	73064ec8-b048-4737-908a-d0e7d258cc5d	PRIMARY_AUXILIARIES
efabca7b-54ca-40b4-afb9-d49fefe308ed	87490667-ec26-47ed-8fd1-17f6cdb128ae	UPS
efabca7b-54ca-40b4-afb9-d49fefe308ed	c85e5736-fde7-428b-bc10-22ea6c600f2f	CRITICAL_AUXILIARIES
efabca7b-54ca-40b4-afb9-d49fefe308ed	62a7ef0e-1dc9-4666-9400-1cbd4c924702	LIGHTING
efabca7b-54ca-40b4-afb9-d49fefe308ed	2e44d8d5-7b69-4b39-9080-1af9dca9e2ca	CRITICAL_POWER_DISTRIBUTION
efabca7b-54ca-40b4-afb9-d49fefe308ed	cc02a325-2df9-4aed-b95d-31424e557235	CRAH
efabca7b-54ca-40b4-afb9-d49fefe308ed	d5127e73-f790-40f5-8e86-d21842398f53	CRAC
efabca7b-54ca-40b4-afb9-d49fefe308ed	9e2eb31f-94d4-4e2d-b9ac-d066552d7407	CRAC_WITHOUT_FAN
efabca7b-54ca-40b4-afb9-d49fefe308ed	1741d6d1-aff8-4667-8dc8-302e14353d14	CRAC_FAN
efabca7b-54ca-40b4-afb9-d49fefe308ed	1cb8b6df-0963-4819-8bed-d160968713d6	CHILLER
efabca7b-54ca-40b4-afb9-d49fefe308ed	eaa5f83f-c414-4c68-8df0-4999760c7bb1	AIR_COOLED_CHILLER
efabca7b-54ca-40b4-afb9-d49fefe308ed	755b415a-cc8b-46bf-b566-1fadcfea3877	COOLING_TOWER
efabca7b-54ca-40b4-afb9-d49fefe308ed	03e85a04-4c13-4ef3-b13d-0fc44519c93d	DRY_COOLER
efabca7b-54ca-40b4-afb9-d49fefe308ed	c8802214-1afc-4d67-b016-0d51fc6895a1	REMOTE_CONDENSER
efabca7b-54ca-40b4-afb9-d49fefe308ed	83f8e56f-0ca1-4c2d-a0d0-966ce87aafd9	CHILLED_WATER_PUMPS
efabca7b-54ca-40b4-afb9-d49fefe308ed	ceea782c-bad7-4dde-be9e-62982154071d	HEAT_REJECTION_PUMPS
efabca7b-54ca-40b4-afb9-d49fefe308ed	af7813e5-8319-4eed-ab8b-2a3afb730c35	VENTILATION
efabca7b-54ca-40b4-afb9-d49fefe308ed	ce5747d0-0d33-4763-ac34-0e0cd8fce1fa	INFILTRATION
efabca7b-54ca-40b4-afb9-d49fefe308ed	3daaa977-cd8d-4a33-bcd2-a5bc0a92d5d7	IT_LOAD
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	34f7faa6-7189-4c64-9310-9bec8e6cdfe1	SWITCHGEAR
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	066f05a1-a71a-4235-b37b-ee58ed3b09bc	GENERATOR
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	da8162c3-1cc3-464d-be2c-e1d6ade3f136	PRIMARY_AUXILIARIES
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	643dbc69-f576-43c3-a088-6bf7ec35f1c9	UPS
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	b2ee1283-f140-455a-823e-a381cf82dfbd	CRITICAL_AUXILIARIES
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	3ee0969c-b8ae-4986-9bce-dd68356f8c9c	LIGHTING
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	98eb300f-4251-481e-b6d8-1ee1ebfb3098	CRITICAL_POWER_DISTRIBUTION
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	c58df8ce-0a1a-4863-8da0-abb5b8c129c4	CRAH
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	6963d5bc-5ec3-4ab6-beb2-4863d598ea2f	CRAC
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	7d11812d-bafe-4be7-af98-d7cd8c0de96c	CRAC_WITHOUT_FAN
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	603d549e-5651-42c6-b536-3231f8717104	CRAC_FAN
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	f004b36b-0d25-470a-bfbe-209aa33b2fbe	CHILLER
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	bda02f9b-08de-411f-b2f1-76c49d9bc0ff	AIR_COOLED_CHILLER
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	7aa5b951-535d-46ca-a42c-ccd44aa43675	COOLING_TOWER
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	cc5ff2b9-61e1-48ea-becb-45247d6e0a4f	DRY_COOLER
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	37d0e3a9-3e18-405c-a269-f8a50be224cf	REMOTE_CONDENSER
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	72fe45ea-c7fa-46e1-88dd-e331be3dd73e	CHILLED_WATER_PUMPS
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	33505c31-9cde-48b7-8233-fdc1fea968df	HEAT_REJECTION_PUMPS
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	a5041787-dbf0-4c3b-bc60-21e8b244a089	VENTILATION
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	0b01a877-f0a5-4d7f-a58d-bef56171902c	INFILTRATION
81afa8e7-c361-4d90-8bbc-b2f9d8273e6c	ed2900d8-2501-46eb-abaa-418483e72e5b	IT_LOAD
a11de365-2d36-4131-af39-fec10da8b853	da7d85ae-3e11-419d-9d94-03acc1cec348	SWITCHGEAR
a11de365-2d36-4131-af39-fec10da8b853	acd402e5-5555-41d5-8a19-bfe4b6c0e583	GENERATOR
a11de365-2d36-4131-af39-fec10da8b853	6e16f05e-cd7a-43cb-b2ec-62f870957fcf	PRIMARY_AUXILIARIES
a11de365-2d36-4131-af39-fec10da8b853	f1f80f3c-ffbf-4d4f-af9d-22e28fd63d44	UPS
a11de365-2d36-4131-af39-fec10da8b853	5273b082-1e7a-47a5-a284-d60b49d21d1c	CRITICAL_AUXILIARIES
a11de365-2d36-4131-af39-fec10da8b853	1609ccaa-55d9-4678-bc68-fe43a1a9e6fd	LIGHTING
a11de365-2d36-4131-af39-fec10da8b853	9d542893-b917-4e7b-bd63-e6109334551a	CRITICAL_POWER_DISTRIBUTION
a11de365-2d36-4131-af39-fec10da8b853	a388211d-21b5-476e-8907-3d3053b0d489	CRAH
a11de365-2d36-4131-af39-fec10da8b853	ccb0055f-42c3-4424-bfb4-922194fd7cbc	CRAC
a11de365-2d36-4131-af39-fec10da8b853	f70e3918-fd22-4f39-b1f8-297177961806	CRAC_WITHOUT_FAN
a11de365-2d36-4131-af39-fec10da8b853	19d236b6-4d2d-4439-a7fa-74be3f85f229	CRAC_FAN
a11de365-2d36-4131-af39-fec10da8b853	595b9703-fdf4-4d0d-a225-8f149b4723c9	CHILLER
a11de365-2d36-4131-af39-fec10da8b853	ef5a57d3-f362-452c-9b3c-d134c6519551	AIR_COOLED_CHILLER
a11de365-2d36-4131-af39-fec10da8b853	351a1f11-9980-478f-89a3-81d2323df29b	COOLING_TOWER
a11de365-2d36-4131-af39-fec10da8b853	b22db515-4643-40d7-a586-29a7877271ec	DRY_COOLER
a11de365-2d36-4131-af39-fec10da8b853	8362ec8d-7be5-4042-97bf-f1748cc6944d	REMOTE_CONDENSER
a11de365-2d36-4131-af39-fec10da8b853	9b5f6101-255e-4fc8-a57b-59e06fc949c8	CHILLED_WATER_PUMPS
a11de365-2d36-4131-af39-fec10da8b853	c357b1e1-109e-40e7-bc40-c6e84a4574db	HEAT_REJECTION_PUMPS
a11de365-2d36-4131-af39-fec10da8b853	2156c3bc-2779-4acf-8d6a-c1d311f5a37c	VENTILATION
a11de365-2d36-4131-af39-fec10da8b853	b03eed9f-c587-43a7-a036-b64fcac87af3	INFILTRATION
a11de365-2d36-4131-af39-fec10da8b853	65991c90-36b9-4901-a192-06f06c0f0de1	IT_LOAD
2b37d087-fcd7-446f-872e-19f5216a28e3	2918028c-f670-4f5b-b566-e3cbbd5a662c	SWITCHGEAR
2b37d087-fcd7-446f-872e-19f5216a28e3	9ebab492-cbd7-49de-8d88-48bb5cf3c329	GENERATOR
2b37d087-fcd7-446f-872e-19f5216a28e3	039aad46-7c3e-4c61-bc59-983dc5bba896	PRIMARY_AUXILIARIES
2b37d087-fcd7-446f-872e-19f5216a28e3	cd70ee28-ac0e-4599-9d8c-fa2959e15b82	UPS
2b37d087-fcd7-446f-872e-19f5216a28e3	f7478b02-434a-4636-8c0e-a09334c166ac	CRITICAL_AUXILIARIES
2b37d087-fcd7-446f-872e-19f5216a28e3	9c0de30a-808c-4272-af3b-f4e10bd9a350	LIGHTING
2b37d087-fcd7-446f-872e-19f5216a28e3	8dac675d-fd0f-47d9-9188-0cecd26e5776	CRITICAL_POWER_DISTRIBUTION
2b37d087-fcd7-446f-872e-19f5216a28e3	646199ca-f140-49a4-80f6-a1061d5d6865	CRAH
2b37d087-fcd7-446f-872e-19f5216a28e3	076bdc0e-5735-49ff-9658-b6a1570236b1	CRAC
2b37d087-fcd7-446f-872e-19f5216a28e3	911a8123-8dc1-4e10-a23d-155e6cb75104	CRAC_WITHOUT_FAN
2b37d087-fcd7-446f-872e-19f5216a28e3	3473acd1-439c-4511-8100-0e95a0f386cd	CRAC_FAN
2b37d087-fcd7-446f-872e-19f5216a28e3	0f5b8095-4505-4792-9c6d-7a8b349e77b0	CHILLER
2b37d087-fcd7-446f-872e-19f5216a28e3	b438e358-970e-43e1-90f0-006ea218be02	AIR_COOLED_CHILLER
2b37d087-fcd7-446f-872e-19f5216a28e3	b200d1ca-70f9-4c04-9eeb-4531a75384a4	COOLING_TOWER
2b37d087-fcd7-446f-872e-19f5216a28e3	941b454d-c368-4773-ba8f-6bae8a31681d	DRY_COOLER
2b37d087-fcd7-446f-872e-19f5216a28e3	0062ed27-7e8b-410e-852e-c17570062c7f	REMOTE_CONDENSER
2b37d087-fcd7-446f-872e-19f5216a28e3	66cb3436-2ec2-4298-8baa-1ee7c7773daa	CHILLED_WATER_PUMPS
2b37d087-fcd7-446f-872e-19f5216a28e3	1a8b74d2-453b-4039-a78c-46369a61ca2c	HEAT_REJECTION_PUMPS
2b37d087-fcd7-446f-872e-19f5216a28e3	f8af8d78-d750-42ad-90ce-9608a3198ad4	VENTILATION
2b37d087-fcd7-446f-872e-19f5216a28e3	09f294d9-10ea-464b-8b0e-85c28c4dc88d	INFILTRATION
2b37d087-fcd7-446f-872e-19f5216a28e3	766b3269-b3a4-4479-9c89-5f0063e59280	IT_LOAD
897d52c8-4715-437e-bbef-7c292cd0456e	f94b60b2-83bb-4c0f-a888-8842c0e28216	SWITCHGEAR
897d52c8-4715-437e-bbef-7c292cd0456e	25ded8e6-6ebe-47e2-ab30-4585b78ca609	GENERATOR
897d52c8-4715-437e-bbef-7c292cd0456e	19f55a2d-fa93-461c-ba73-b290459e6fbb	PRIMARY_AUXILIARIES
897d52c8-4715-437e-bbef-7c292cd0456e	d086efbb-f280-429b-acc1-b629bcb1658f	UPS
897d52c8-4715-437e-bbef-7c292cd0456e	2ab91b57-3d42-435f-8024-62fbc4b4ee0c	CRITICAL_AUXILIARIES
897d52c8-4715-437e-bbef-7c292cd0456e	ef4b9d5f-73f1-40ca-9099-0edfb358c120	LIGHTING
897d52c8-4715-437e-bbef-7c292cd0456e	44fcaf91-8b31-4c82-8ee3-8ea19b7972c1	CRITICAL_POWER_DISTRIBUTION
897d52c8-4715-437e-bbef-7c292cd0456e	08134e35-2e89-4c55-a9a9-303a0ef5c6e0	CRAH
897d52c8-4715-437e-bbef-7c292cd0456e	89146992-0857-4b76-8487-80e244953693	CRAC
897d52c8-4715-437e-bbef-7c292cd0456e	73e134f7-7aeb-4a14-a707-558af8d39b7c	CRAC_WITHOUT_FAN
897d52c8-4715-437e-bbef-7c292cd0456e	ec1456fd-2706-4c13-92be-221bbc5a41aa	CRAC_FAN
897d52c8-4715-437e-bbef-7c292cd0456e	35b18fe6-936d-4a98-bf05-f1d9df45cc2e	CHILLER
897d52c8-4715-437e-bbef-7c292cd0456e	4cae2546-b98e-471d-86ba-46a6322a3b2d	AIR_COOLED_CHILLER
897d52c8-4715-437e-bbef-7c292cd0456e	9abba629-3e0b-4d89-b07c-1080ca522a1b	COOLING_TOWER
897d52c8-4715-437e-bbef-7c292cd0456e	890957a6-5794-446b-bc1c-79631f585249	DRY_COOLER
897d52c8-4715-437e-bbef-7c292cd0456e	654124ee-6277-48c1-95a2-814fa891e04a	REMOTE_CONDENSER
897d52c8-4715-437e-bbef-7c292cd0456e	cccbfc79-c035-4bc2-9a9c-9c882f0086a9	CHILLED_WATER_PUMPS
897d52c8-4715-437e-bbef-7c292cd0456e	0c0a45de-d5d1-4835-add5-cbd72373eb77	HEAT_REJECTION_PUMPS
897d52c8-4715-437e-bbef-7c292cd0456e	f643a618-e298-4ae9-bb74-2e5c47a3d9ed	VENTILATION
897d52c8-4715-437e-bbef-7c292cd0456e	e436b6cf-3dd5-4aed-bef7-767be2b5af91	INFILTRATION
897d52c8-4715-437e-bbef-7c292cd0456e	78b53878-ba71-465a-8067-6bf56571f265	IT_LOAD
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	aeab4235-e072-4b52-a8a3-ced4b2540024	SWITCHGEAR
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	90684abd-294c-4b9c-9726-d485ebf52619	GENERATOR
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	4c95424a-357a-490c-9420-6e84a54ba244	PRIMARY_AUXILIARIES
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	2d2add9a-471f-4323-b1c0-bb66de66a830	UPS
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	ae384af1-ea4e-4219-9b75-817e150cc89c	CRITICAL_AUXILIARIES
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	1526eab6-ec3c-4135-b4db-7727d848de08	LIGHTING
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	094d4ed4-a326-42a6-af4c-429cf645882e	CRITICAL_POWER_DISTRIBUTION
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	88c1ccbc-89a4-452f-a948-5f841163c153	CRAH
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	8c8ad35c-07f8-417d-87f6-3710e5a1e403	CRAC
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	162fcbac-1f4c-4890-b5bb-1af2c1d67ec7	CRAC_WITHOUT_FAN
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	ecae6a5b-8a85-42ea-9fa8-941e4090d4fc	CRAC_FAN
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	9ea55453-2d31-4669-a528-f47cb0afcb18	CHILLER
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	b5aaeb75-0063-4de3-a129-e4ae50520f39	AIR_COOLED_CHILLER
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	08ed441b-5b59-40f4-93f5-9436563755d7	COOLING_TOWER
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	3646ed03-12c4-41cb-9789-15c6ce068b7d	DRY_COOLER
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	e07e76fa-c202-471f-b374-88b9cd231b25	REMOTE_CONDENSER
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	067b5e99-53fd-4f93-a3c6-3177f90eaa96	CHILLED_WATER_PUMPS
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	ba316f19-cdfa-4de4-8013-76c0b382fa86	HEAT_REJECTION_PUMPS
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	5e5b535f-8dcf-4ec7-873a-fdf770192956	VENTILATION
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	8672ec28-5504-4076-a425-e96706aa8968	INFILTRATION
7df0e0ce-b189-4a3f-b5cd-83c18c2c4aae	bb59f751-e707-409b-b905-b6a6c86b2c79	IT_LOAD
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	e5fa1dd0-2ae8-4013-b626-930b39679bbe	SWITCHGEAR
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	3119df70-05d5-49c7-884f-97f3debeef34	GENERATOR
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	7548220d-8415-473a-ab86-2d57bd84e2b9	PRIMARY_AUXILIARIES
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	541ae19b-c2b8-4404-9c65-fd0c1845d855	UPS
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	1586d362-265c-45b1-81f2-17fabbd68453	CRITICAL_AUXILIARIES
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	9c55af23-5a24-4740-952c-3aaa7c0b442c	LIGHTING
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	717d14c3-9a1a-4f93-a2d3-b4c972dcfa38	CRITICAL_POWER_DISTRIBUTION
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	e7b5fbfc-b822-4b90-8df7-5a057eff0cf2	CRAH
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	78af9c2b-5337-4e2b-bf60-4ad99fe7317b	CRAC
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	6e439026-517e-483d-b404-0cade4300a99	CRAC_WITHOUT_FAN
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	589c3b91-e840-4119-aeeb-01eea3fb7076	CRAC_FAN
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	3688ff42-5886-42ea-b2cc-7aceb95ed2bc	CHILLER
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	337040f2-42bc-42f2-b053-80c249de43ea	AIR_COOLED_CHILLER
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	cc06f145-a1a0-4634-86f8-6d316708288b	COOLING_TOWER
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	49c8690e-7d11-4352-af3e-0f8c8d3e6722	DRY_COOLER
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	278fa3c0-3af2-41d7-934b-c404437929c2	REMOTE_CONDENSER
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	d258f4f6-3adb-4cdd-b3e2-7ebf3dab5e48	CHILLED_WATER_PUMPS
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	000b2ca4-ac16-487e-b60d-d7072f9ed9d2	HEAT_REJECTION_PUMPS
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	f4ec12dd-c976-491e-9fe2-a1604f90038f	VENTILATION
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	17068321-7a10-4b7d-82c9-93d932bd2cec	INFILTRATION
507e8e48-9d8b-4d64-a2f0-1691ed4796c8	e3e015e6-5db6-431a-8839-335271d7071c	IT_LOAD
0b90eaa0-1b42-4762-9969-5429e63056f7	ff9982e2-1c74-4803-9a1b-744832db1180	SWITCHGEAR
0b90eaa0-1b42-4762-9969-5429e63056f7	5a32a0cf-ea2d-4bbf-b57e-3c444c34ec38	GENERATOR
0b90eaa0-1b42-4762-9969-5429e63056f7	ec1601ef-91d7-4ab9-8466-1eba5126e87f	PRIMARY_AUXILIARIES
0b90eaa0-1b42-4762-9969-5429e63056f7	23191343-b293-427b-a987-bd0ca2581e55	UPS
0b90eaa0-1b42-4762-9969-5429e63056f7	631b8cd0-df48-4734-9b7b-1031c96a4f29	CRITICAL_AUXILIARIES
0b90eaa0-1b42-4762-9969-5429e63056f7	5ad9cd84-8dd1-4a00-9e1c-2ed640a3dc5a	LIGHTING
0b90eaa0-1b42-4762-9969-5429e63056f7	4d07c679-47e2-4c10-ad5e-276e0c0815cc	CRITICAL_POWER_DISTRIBUTION
0b90eaa0-1b42-4762-9969-5429e63056f7	393ababa-5319-4e89-beae-1a2f052a6dfa	CRAH
0b90eaa0-1b42-4762-9969-5429e63056f7	f9f1213c-14b4-4234-adf9-ee62bd61de3d	CRAC
0b90eaa0-1b42-4762-9969-5429e63056f7	3593fab0-c411-4998-87c8-9ae368827fc1	CRAC_WITHOUT_FAN
0b90eaa0-1b42-4762-9969-5429e63056f7	e552f1c8-cc48-4dc3-b1e9-d746018c5a43	CRAC_FAN
0b90eaa0-1b42-4762-9969-5429e63056f7	67a2e1e1-3233-4fc6-823a-c41313bee817	CHILLER
0b90eaa0-1b42-4762-9969-5429e63056f7	ca7168b4-0373-4353-a3aa-b66b6b9cac7b	AIR_COOLED_CHILLER
0b90eaa0-1b42-4762-9969-5429e63056f7	d2a7e0f1-377d-45cf-9c98-15b2f35e4a02	COOLING_TOWER
0b90eaa0-1b42-4762-9969-5429e63056f7	8d5e1b99-0d06-4de3-9fb8-338126806123	DRY_COOLER
0b90eaa0-1b42-4762-9969-5429e63056f7	b919d64e-752e-44e7-a248-e5482833450a	REMOTE_CONDENSER
0b90eaa0-1b42-4762-9969-5429e63056f7	ab1ecec6-a63e-4870-962d-98a53e8a3271	CHILLED_WATER_PUMPS
0b90eaa0-1b42-4762-9969-5429e63056f7	938765f3-a074-4eb9-8686-2c31927b2c33	HEAT_REJECTION_PUMPS
0b90eaa0-1b42-4762-9969-5429e63056f7	badeffe3-aea5-4f6d-b688-6efa4169e34e	VENTILATION
0b90eaa0-1b42-4762-9969-5429e63056f7	fef6cdd0-9a66-450a-ada2-3fd0e049ded0	INFILTRATION
0b90eaa0-1b42-4762-9969-5429e63056f7	0d3d86dc-8088-49c8-b372-cacee7e8d8c5	IT_LOAD
84e67d41-b5bc-4aaf-b9d2-051e55da646f	6afdde68-f96b-4492-b21c-24e914c60f8d	SWITCHGEAR
84e67d41-b5bc-4aaf-b9d2-051e55da646f	08f0d842-aaa9-4783-8823-db349f60c4ab	GENERATOR
84e67d41-b5bc-4aaf-b9d2-051e55da646f	cc0366d4-f7fc-4fe7-a9a9-8a23a87be8e0	PRIMARY_AUXILIARIES
84e67d41-b5bc-4aaf-b9d2-051e55da646f	3571fe71-e2fa-42ac-8919-b2aea19e1ddc	UPS
84e67d41-b5bc-4aaf-b9d2-051e55da646f	1386eec3-bbdf-4cc2-be27-8e0a6eb6aeb4	CRITICAL_AUXILIARIES
84e67d41-b5bc-4aaf-b9d2-051e55da646f	10d806dc-3dd3-4ad8-8d27-bd45c6bbef58	LIGHTING
84e67d41-b5bc-4aaf-b9d2-051e55da646f	f4549339-fd69-4c0f-96de-eb8d75d0dfc2	CRITICAL_POWER_DISTRIBUTION
84e67d41-b5bc-4aaf-b9d2-051e55da646f	9087c707-6ee3-46de-8047-645786a6b30b	CRAH
84e67d41-b5bc-4aaf-b9d2-051e55da646f	8da9d0b2-0070-47ed-8fb5-3270262f30c6	CRAC
84e67d41-b5bc-4aaf-b9d2-051e55da646f	e0262588-dfc4-43d2-abd4-25d15677df4c	CRAC_WITHOUT_FAN
84e67d41-b5bc-4aaf-b9d2-051e55da646f	5ebc6453-3236-4328-b181-27e254a62417	CRAC_FAN
84e67d41-b5bc-4aaf-b9d2-051e55da646f	7dc914d8-e236-490c-a319-ba81459e6ab1	CHILLER
84e67d41-b5bc-4aaf-b9d2-051e55da646f	068eaaf1-b9c4-4118-9c43-6668aafea264	AIR_COOLED_CHILLER
84e67d41-b5bc-4aaf-b9d2-051e55da646f	6790e265-374d-48ab-90d9-fddfcb370c02	COOLING_TOWER
84e67d41-b5bc-4aaf-b9d2-051e55da646f	63f89768-584a-4876-8663-2c444fced6e7	DRY_COOLER
84e67d41-b5bc-4aaf-b9d2-051e55da646f	a1ccd51c-ebb9-4012-a6d9-6e1adbe6f7e8	REMOTE_CONDENSER
84e67d41-b5bc-4aaf-b9d2-051e55da646f	3d149bb1-72d5-47d1-84cb-b609ad0a3725	CHILLED_WATER_PUMPS
84e67d41-b5bc-4aaf-b9d2-051e55da646f	bffb393d-5a0a-4161-abaf-e7391c3d765a	HEAT_REJECTION_PUMPS
84e67d41-b5bc-4aaf-b9d2-051e55da646f	3ed8fe4d-8b26-43f8-be81-fdfbfa3333be	VENTILATION
84e67d41-b5bc-4aaf-b9d2-051e55da646f	7aa2fb37-4ceb-42cf-bbd2-fbef981a0b9c	INFILTRATION
84e67d41-b5bc-4aaf-b9d2-051e55da646f	42893043-d7f2-4081-8334-414d025c6068	IT_LOAD
0158829f-036d-4964-a7d4-24b269de598f	4ee08966-fc93-4f77-976a-f6da82143512	SWITCHGEAR
0158829f-036d-4964-a7d4-24b269de598f	ffaf6003-a449-4e17-b3f3-bcfe0fdebc8c	GENERATOR
0158829f-036d-4964-a7d4-24b269de598f	a3e7c500-0a86-412b-9f00-02bf40d8fdad	PRIMARY_AUXILIARIES
0158829f-036d-4964-a7d4-24b269de598f	a81dc055-8ffe-4ee6-a4c5-b6477ba10727	UPS
0158829f-036d-4964-a7d4-24b269de598f	55677247-5a80-4baf-a2ad-1f00250d2ad4	CRITICAL_AUXILIARIES
0158829f-036d-4964-a7d4-24b269de598f	b5bf727c-78ef-4bff-9641-84c3926dd847	LIGHTING
0158829f-036d-4964-a7d4-24b269de598f	34428d5a-5c8a-48ed-ab07-cc152fcc313f	CRITICAL_POWER_DISTRIBUTION
0158829f-036d-4964-a7d4-24b269de598f	8f25d0c1-a8f0-494b-b48e-b5657e2d210f	CRAH
0158829f-036d-4964-a7d4-24b269de598f	d56ae003-290d-4738-be62-bb70899efae4	CRAC
0158829f-036d-4964-a7d4-24b269de598f	01034d0d-c550-4bbc-9d91-ac130769c140	CRAC_WITHOUT_FAN
0158829f-036d-4964-a7d4-24b269de598f	1e279a00-0c18-4458-8e16-8947644d81d9	CRAC_FAN
0158829f-036d-4964-a7d4-24b269de598f	9c7b4420-d473-4c2a-9f21-f021ac334dd8	CHILLER
0158829f-036d-4964-a7d4-24b269de598f	a40348b7-727f-4445-a005-427d32ce252c	AIR_COOLED_CHILLER
0158829f-036d-4964-a7d4-24b269de598f	8b777f51-5c66-4936-8989-eec07cd0b9b4	COOLING_TOWER
0158829f-036d-4964-a7d4-24b269de598f	89b2ad35-f480-4f18-bf40-088d14fcbf3c	DRY_COOLER
0158829f-036d-4964-a7d4-24b269de598f	b21cfff3-e5b5-4b2d-ab47-13b5dbfffef0	REMOTE_CONDENSER
0158829f-036d-4964-a7d4-24b269de598f	9be594c5-6e61-415c-b726-0471760aadde	CHILLED_WATER_PUMPS
0158829f-036d-4964-a7d4-24b269de598f	6cd5e179-f692-4991-bb29-6e6f14b0206c	HEAT_REJECTION_PUMPS
0158829f-036d-4964-a7d4-24b269de598f	0d579605-5aea-4576-b91c-2fde63dbcb90	VENTILATION
0158829f-036d-4964-a7d4-24b269de598f	dbde90fb-700a-4457-b8f2-817604f53645	INFILTRATION
0158829f-036d-4964-a7d4-24b269de598f	6cfecbd1-db99-4a40-8062-66171a3bd2ae	IT_LOAD
577aba30-984a-4391-971d-564191f91f6d	9854ef67-abf3-43d3-90e5-f8a796890242	SWITCHGEAR
577aba30-984a-4391-971d-564191f91f6d	9971762f-d30e-432f-bfed-43b618bad817	GENERATOR
577aba30-984a-4391-971d-564191f91f6d	f73d1f6e-ebec-4ad6-bece-991268299d6d	PRIMARY_AUXILIARIES
577aba30-984a-4391-971d-564191f91f6d	3e613bb7-7fce-46fc-8a03-02c0db5d0bc5	UPS
577aba30-984a-4391-971d-564191f91f6d	0c71a44c-dc93-48d4-8500-aa1db5e6c874	CRITICAL_AUXILIARIES
577aba30-984a-4391-971d-564191f91f6d	f423abd9-0ff4-4e11-9a84-51db2ff15a5e	LIGHTING
577aba30-984a-4391-971d-564191f91f6d	b403c9f1-621d-491a-91d3-dadda882eb8d	CRITICAL_POWER_DISTRIBUTION
577aba30-984a-4391-971d-564191f91f6d	bd32991c-1e2a-49d6-b1f6-7fdbb5cd0a9e	CRAH
577aba30-984a-4391-971d-564191f91f6d	8e5e7a78-79ff-41d9-b37a-56b6d25b0566	CRAC
577aba30-984a-4391-971d-564191f91f6d	fadf2e40-6677-4202-ae7f-6c49c88c8895	CRAC_WITHOUT_FAN
577aba30-984a-4391-971d-564191f91f6d	0f530b29-6986-4526-b84b-d6334e73c83f	CRAC_FAN
577aba30-984a-4391-971d-564191f91f6d	02a7b1c7-8e72-418d-b41b-0ca242dc2abc	CHILLER
577aba30-984a-4391-971d-564191f91f6d	42bfd97e-99e0-49b2-aea7-b4dbb27ef035	AIR_COOLED_CHILLER
577aba30-984a-4391-971d-564191f91f6d	9b96220c-c28e-4b93-b285-6f34d29d857d	COOLING_TOWER
577aba30-984a-4391-971d-564191f91f6d	e4bb3538-203c-43ec-ba2c-068881a2049e	DRY_COOLER
577aba30-984a-4391-971d-564191f91f6d	746059f4-0c28-46a6-b61b-ec3be9c3d539	REMOTE_CONDENSER
577aba30-984a-4391-971d-564191f91f6d	9c619eba-7a38-4e98-9b95-8e5fbcdce075	CHILLED_WATER_PUMPS
577aba30-984a-4391-971d-564191f91f6d	17ad1dfc-bdaa-4430-8919-3dd4e90f7181	HEAT_REJECTION_PUMPS
577aba30-984a-4391-971d-564191f91f6d	ae7253ee-705b-4431-bc08-cb827ef98ada	VENTILATION
577aba30-984a-4391-971d-564191f91f6d	f751d663-34c5-4548-80e9-68c1d33cfba9	INFILTRATION
577aba30-984a-4391-971d-564191f91f6d	fcde8561-e97d-4af1-b930-9ee47c2d5a52	IT_LOAD
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	5903ae81-a608-41e5-a5b2-a9753a543fc8	SWITCHGEAR
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	10f386d3-770a-4c58-b10f-b57c88bd3f86	GENERATOR
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	66a23ede-4bd5-47a4-a18b-1e855681188f	PRIMARY_AUXILIARIES
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	d3f7ecce-a54c-421b-8722-b3cf67717fde	UPS
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	22d19d8d-9f7e-4abd-84d1-bf6921ef42b8	CRITICAL_AUXILIARIES
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	f876dd6d-b892-4c8d-bb32-9a4f7170a5ec	LIGHTING
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	740d9a1f-5d93-44b1-bf07-9f12d657fa3b	CRITICAL_POWER_DISTRIBUTION
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	fc45a9f1-3c6d-4dd5-b400-b45cdaab11e8	CRAH
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	75b2d316-38ae-4d7b-83e5-971b7bf20525	CRAC
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	b2099c64-f991-4f6b-b241-97735dfded82	CRAC_WITHOUT_FAN
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	6d924026-ec8d-48c6-b4bb-5df03e029322	CRAC_FAN
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	c567f87e-cdc3-4b5e-8141-f6e0e7769d06	CHILLER
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	36c04f8a-45bf-42e2-ad8a-78945de77d3d	AIR_COOLED_CHILLER
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	aa15eb30-450c-434c-82a8-b36f1926007b	COOLING_TOWER
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	21ca195b-fef2-4177-b81f-585e4dae2e5a	DRY_COOLER
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	8aabbf8c-7277-4a9b-86de-e307c17c62db	REMOTE_CONDENSER
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	3295ffe5-7088-4828-bc67-0b4f34ff2138	CHILLED_WATER_PUMPS
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	81673b2d-a317-40a9-a021-937a8cd8dcbd	HEAT_REJECTION_PUMPS
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	e6ef9d98-6615-4907-8e23-3394f882b587	VENTILATION
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	4183967b-a816-452f-95d7-d00328f87bd7	INFILTRATION
c1d3cb0f-cbca-49af-bab1-8c9bb89e65c4	c98f214e-4871-4875-9fb4-2cb14f683166	IT_LOAD
66091ba0-34f8-4e12-b2a5-29dba5908873	22ff5205-70b5-40e1-9888-96448017e688	SWITCHGEAR
66091ba0-34f8-4e12-b2a5-29dba5908873	eade4e2a-cf2d-41de-976d-64ca51a81929	GENERATOR
66091ba0-34f8-4e12-b2a5-29dba5908873	c88230be-f22a-4d2e-9be5-26e9c56e0599	PRIMARY_AUXILIARIES
66091ba0-34f8-4e12-b2a5-29dba5908873	1a81a77d-6d5c-4201-b187-81aa544facd4	UPS
66091ba0-34f8-4e12-b2a5-29dba5908873	4076745d-a0f3-405f-ab33-6cdbb450fe53	CRITICAL_AUXILIARIES
66091ba0-34f8-4e12-b2a5-29dba5908873	396176a3-c9a0-46ad-a811-b2dfca365d62	LIGHTING
66091ba0-34f8-4e12-b2a5-29dba5908873	3f9ca239-5b53-4c81-b08c-d8c90cdd5dca	CRITICAL_POWER_DISTRIBUTION
66091ba0-34f8-4e12-b2a5-29dba5908873	160ed267-069b-4bb0-a528-addc1fdfe8b6	CRAH
66091ba0-34f8-4e12-b2a5-29dba5908873	daef4198-fef3-4697-9909-e0a4cbefe3fd	CRAC
66091ba0-34f8-4e12-b2a5-29dba5908873	982772a8-11bd-4285-b977-b63bad73778b	CRAC_WITHOUT_FAN
66091ba0-34f8-4e12-b2a5-29dba5908873	ebad1a4f-41fb-43df-a7e3-a187332383e2	CRAC_FAN
66091ba0-34f8-4e12-b2a5-29dba5908873	35c368fa-c811-4ac6-927f-0b06e3349ef5	CHILLER
66091ba0-34f8-4e12-b2a5-29dba5908873	45d485db-4e45-4f6e-964a-158e88de2149	AIR_COOLED_CHILLER
66091ba0-34f8-4e12-b2a5-29dba5908873	825cb710-4d45-44fd-86d2-55a4bab26346	COOLING_TOWER
66091ba0-34f8-4e12-b2a5-29dba5908873	8bee1a38-b0a4-4c79-aa13-57e4edeff917	DRY_COOLER
66091ba0-34f8-4e12-b2a5-29dba5908873	e359eade-bc90-4c89-b9cd-d436daf177ea	REMOTE_CONDENSER
66091ba0-34f8-4e12-b2a5-29dba5908873	b0a427f3-564b-4bf6-bd02-c47ae55895f1	CHILLED_WATER_PUMPS
66091ba0-34f8-4e12-b2a5-29dba5908873	7d67e7b4-34dc-4205-95f4-0b49775576d1	HEAT_REJECTION_PUMPS
66091ba0-34f8-4e12-b2a5-29dba5908873	bcd59581-2397-41dc-bc3e-43bc45bac717	VENTILATION
66091ba0-34f8-4e12-b2a5-29dba5908873	451ecee4-9d78-4bab-85a2-e248cae208d9	INFILTRATION
66091ba0-34f8-4e12-b2a5-29dba5908873	16679b31-ad70-4f51-b9b2-5129352391fd	IT_LOAD
cae085ba-ed4d-4e28-858b-21f95e3f2c39	92dabf50-d8f8-4a9c-8087-0d84822b13b4	SWITCHGEAR
cae085ba-ed4d-4e28-858b-21f95e3f2c39	6c45ecaa-9d41-4624-9ca0-b1a1804a199d	GENERATOR
cae085ba-ed4d-4e28-858b-21f95e3f2c39	93688297-c880-476b-89f1-cf43ccd27d48	PRIMARY_AUXILIARIES
cae085ba-ed4d-4e28-858b-21f95e3f2c39	f16fe23a-cac0-4f27-a119-169dfcc2da75	UPS
cae085ba-ed4d-4e28-858b-21f95e3f2c39	5d08c0c6-b2d6-4e09-aa55-61f365c36908	CRITICAL_AUXILIARIES
cae085ba-ed4d-4e28-858b-21f95e3f2c39	b95d3c9c-5299-44b2-a713-fa7a665c66e1	LIGHTING
cae085ba-ed4d-4e28-858b-21f95e3f2c39	07aae07c-9111-41a5-a489-766ac558ba54	CRITICAL_POWER_DISTRIBUTION
cae085ba-ed4d-4e28-858b-21f95e3f2c39	0acdcb83-6054-4deb-bc0f-3197253e4a8b	CRAH
cae085ba-ed4d-4e28-858b-21f95e3f2c39	a3277881-ed98-4186-8bc7-bac9626851d3	CRAC
cae085ba-ed4d-4e28-858b-21f95e3f2c39	f8d93565-9a52-4353-866a-6a533b4f589b	CRAC_WITHOUT_FAN
cae085ba-ed4d-4e28-858b-21f95e3f2c39	fdf81e63-380a-4634-bfc5-7e543b65e24a	CRAC_FAN
cae085ba-ed4d-4e28-858b-21f95e3f2c39	fac2f533-eefb-42e7-be29-2af3c088cfac	CHILLER
cae085ba-ed4d-4e28-858b-21f95e3f2c39	c417c1f7-da25-413f-b29d-9694c38da5d6	AIR_COOLED_CHILLER
cae085ba-ed4d-4e28-858b-21f95e3f2c39	e6b5816f-e193-45ba-a24e-ea048af73fa9	COOLING_TOWER
cae085ba-ed4d-4e28-858b-21f95e3f2c39	bcda3000-f903-4ae7-aaf9-3ef789ddb1bc	DRY_COOLER
cae085ba-ed4d-4e28-858b-21f95e3f2c39	830fdc70-6373-49ed-b6d5-c28aa1accae0	REMOTE_CONDENSER
cae085ba-ed4d-4e28-858b-21f95e3f2c39	31ee5252-caaa-400a-9f14-e54454e3bf4d	CHILLED_WATER_PUMPS
cae085ba-ed4d-4e28-858b-21f95e3f2c39	6697a560-04be-4f21-91f1-65993251390a	HEAT_REJECTION_PUMPS
cae085ba-ed4d-4e28-858b-21f95e3f2c39	29854395-1bc9-40ab-a538-bd4ea4b4db2e	VENTILATION
cae085ba-ed4d-4e28-858b-21f95e3f2c39	e23f4f76-2218-4490-8e0e-f9192a8e2835	INFILTRATION
cae085ba-ed4d-4e28-858b-21f95e3f2c39	fc2f1b86-a5f8-443c-b800-a2f0a1ef4881	IT_LOAD
c0f90ba7-f7f4-4360-99ed-ecd91f566699	7952848c-9baa-4086-909f-62569c1894c6	SWITCHGEAR
c0f90ba7-f7f4-4360-99ed-ecd91f566699	71af1016-70e1-44f5-b5b6-cd5ad2222eb8	GENERATOR
c0f90ba7-f7f4-4360-99ed-ecd91f566699	4631ce39-ca1c-4d53-bceb-2649abe40f93	PRIMARY_AUXILIARIES
c0f90ba7-f7f4-4360-99ed-ecd91f566699	b47e9d88-61b4-41cb-8ff0-18483c675cd3	UPS
c0f90ba7-f7f4-4360-99ed-ecd91f566699	fe525158-0de8-4162-81e6-4c1f1b555f9b	CRITICAL_AUXILIARIES
c0f90ba7-f7f4-4360-99ed-ecd91f566699	13ef0cf3-6bd2-400e-ad93-b7fd9fe1776f	LIGHTING
c0f90ba7-f7f4-4360-99ed-ecd91f566699	c310e2bd-7bd2-4eea-a6df-093625fdfff8	CRITICAL_POWER_DISTRIBUTION
c0f90ba7-f7f4-4360-99ed-ecd91f566699	ff9100dd-6fa8-4556-8a7d-9cfb1da00582	CRAH
c0f90ba7-f7f4-4360-99ed-ecd91f566699	c643538a-5bdb-4731-be76-da4d9a9997f6	CRAC
c0f90ba7-f7f4-4360-99ed-ecd91f566699	da9a538a-b661-4e39-99ba-889b048dc8ae	CRAC_WITHOUT_FAN
c0f90ba7-f7f4-4360-99ed-ecd91f566699	e01d7b52-7669-4346-b841-761d6b557e96	CRAC_FAN
c0f90ba7-f7f4-4360-99ed-ecd91f566699	919a8449-d66b-4386-a6ac-130b07ae32e0	CHILLER
c0f90ba7-f7f4-4360-99ed-ecd91f566699	0884f017-9ece-43bd-aa3b-76b4aaf796b2	AIR_COOLED_CHILLER
c0f90ba7-f7f4-4360-99ed-ecd91f566699	e2d37038-27c2-49e7-8668-f0a38e31d9e5	COOLING_TOWER
c0f90ba7-f7f4-4360-99ed-ecd91f566699	13fac1c6-0a18-4491-a4b6-0fe93ee4d0b5	DRY_COOLER
c0f90ba7-f7f4-4360-99ed-ecd91f566699	74151f35-0f71-4345-af13-17a1ef7e064b	REMOTE_CONDENSER
c0f90ba7-f7f4-4360-99ed-ecd91f566699	b03ec048-93b1-4937-997c-10845715bceb	CHILLED_WATER_PUMPS
c0f90ba7-f7f4-4360-99ed-ecd91f566699	4cb3fd95-f531-47b8-b5f4-bcd63dfda961	HEAT_REJECTION_PUMPS
c0f90ba7-f7f4-4360-99ed-ecd91f566699	b84c70a3-430e-43aa-8c69-e9da21584f61	VENTILATION
c0f90ba7-f7f4-4360-99ed-ecd91f566699	3817897f-9136-41f6-9567-61704120e942	INFILTRATION
c0f90ba7-f7f4-4360-99ed-ecd91f566699	592f351a-0f54-4fb3-9a3a-f70c2e2143e7	IT_LOAD
b7fe530e-4bcc-4612-9a63-5970750e93d1	c8179d02-8a05-446a-aee3-12cdf132332b	SWITCHGEAR
b7fe530e-4bcc-4612-9a63-5970750e93d1	e7e62748-cc5a-48f4-9039-7d711af807f0	GENERATOR
b7fe530e-4bcc-4612-9a63-5970750e93d1	c6dd7830-a438-42a3-8ed9-2f563a8fa3d1	PRIMARY_AUXILIARIES
b7fe530e-4bcc-4612-9a63-5970750e93d1	2b778e6d-cd82-4f37-9795-0e622e57a027	UPS
b7fe530e-4bcc-4612-9a63-5970750e93d1	e3553887-2006-434a-9262-6a695db74dd7	CRITICAL_AUXILIARIES
b7fe530e-4bcc-4612-9a63-5970750e93d1	e855fa87-95a7-4f5c-be6f-cd685b3309d0	LIGHTING
b7fe530e-4bcc-4612-9a63-5970750e93d1	3e94e780-adeb-44af-baa5-8cd424b01091	CRITICAL_POWER_DISTRIBUTION
b7fe530e-4bcc-4612-9a63-5970750e93d1	2439fe63-c3b2-4fa6-869a-0f5fd848c9c9	CRAH
b7fe530e-4bcc-4612-9a63-5970750e93d1	c189579b-93a4-41a9-a910-84c3194505d4	CRAC
b7fe530e-4bcc-4612-9a63-5970750e93d1	d78472d5-a73b-48db-a96d-e7fd21f94bfd	CRAC_WITHOUT_FAN
b7fe530e-4bcc-4612-9a63-5970750e93d1	09b0638f-a1e4-46b0-a665-4b0036dde094	CRAC_FAN
b7fe530e-4bcc-4612-9a63-5970750e93d1	ff4c7ef3-77a0-4924-895c-a4cf50d67670	CHILLER
b7fe530e-4bcc-4612-9a63-5970750e93d1	1dd7d79b-cddb-420b-a2d4-0d0a8abed18a	AIR_COOLED_CHILLER
b7fe530e-4bcc-4612-9a63-5970750e93d1	f4720b58-17cc-44d9-bbc1-e858fed66e0a	COOLING_TOWER
b7fe530e-4bcc-4612-9a63-5970750e93d1	7e081513-d04e-4dfb-a7cf-a1b26f0e7640	DRY_COOLER
b7fe530e-4bcc-4612-9a63-5970750e93d1	3e54af72-90b7-4ba6-8f49-21826fadf220	REMOTE_CONDENSER
b7fe530e-4bcc-4612-9a63-5970750e93d1	b334f187-7fcc-4e20-8043-a39180804001	CHILLED_WATER_PUMPS
b7fe530e-4bcc-4612-9a63-5970750e93d1	5e1e2c7b-8ae9-47df-8b9a-49738ea0ce6d	HEAT_REJECTION_PUMPS
b7fe530e-4bcc-4612-9a63-5970750e93d1	e96c4bad-dc6f-4694-a436-450b67df66c4	VENTILATION
b7fe530e-4bcc-4612-9a63-5970750e93d1	9248c8f6-2be8-4297-b892-de63b6160888	INFILTRATION
b7fe530e-4bcc-4612-9a63-5970750e93d1	d672a472-907b-413b-bf13-5d0d86e0cef4	IT_LOAD
638df1c9-42a6-444d-b30e-89c71751e18d	02021b28-4085-4b91-8f8c-074dbdf93cf4	SWITCHGEAR
638df1c9-42a6-444d-b30e-89c71751e18d	9438a27c-bb61-48fb-8095-241f5f5db47e	GENERATOR
638df1c9-42a6-444d-b30e-89c71751e18d	3ec822b3-8260-456e-b20e-fd5845cdf293	PRIMARY_AUXILIARIES
638df1c9-42a6-444d-b30e-89c71751e18d	c391f4f0-2e0a-4ea4-9436-54c290ed8f57	UPS
638df1c9-42a6-444d-b30e-89c71751e18d	c51b74eb-d647-4de7-ad9e-4d8394056290	CRITICAL_AUXILIARIES
638df1c9-42a6-444d-b30e-89c71751e18d	1a9622b8-1bb9-495f-8c8f-cc3fc62d609f	LIGHTING
638df1c9-42a6-444d-b30e-89c71751e18d	8ef7c21b-7eb8-49c6-a20b-fff5cdfd38d6	CRITICAL_POWER_DISTRIBUTION
638df1c9-42a6-444d-b30e-89c71751e18d	25532b85-af5a-454b-a11c-058ca6be97c9	CRAH
638df1c9-42a6-444d-b30e-89c71751e18d	54168ee8-3953-48e7-899e-c88061452e46	CRAC
638df1c9-42a6-444d-b30e-89c71751e18d	ab6bd941-8ec1-4672-8826-766a98f73dac	CRAC_WITHOUT_FAN
638df1c9-42a6-444d-b30e-89c71751e18d	e393ed5e-ee07-4ec9-bec1-7ef0a85c2580	CRAC_FAN
638df1c9-42a6-444d-b30e-89c71751e18d	d775727a-2f84-48f1-9664-4291b0688199	CHILLER
638df1c9-42a6-444d-b30e-89c71751e18d	ea9c7392-de73-4707-a953-6d0400df29e2	AIR_COOLED_CHILLER
638df1c9-42a6-444d-b30e-89c71751e18d	9debbd31-72cd-4e0f-9514-f780fc76c209	COOLING_TOWER
638df1c9-42a6-444d-b30e-89c71751e18d	8d205b38-df83-469a-867a-0bed40c455b2	DRY_COOLER
638df1c9-42a6-444d-b30e-89c71751e18d	72c729ef-f276-4b28-be58-da6dc5ca7169	REMOTE_CONDENSER
638df1c9-42a6-444d-b30e-89c71751e18d	83737daa-ef41-413f-b339-41a46a5a4182	CHILLED_WATER_PUMPS
638df1c9-42a6-444d-b30e-89c71751e18d	37c671dc-7914-424c-b174-aa6733a1a170	HEAT_REJECTION_PUMPS
638df1c9-42a6-444d-b30e-89c71751e18d	01ce776f-052e-485a-9116-0b819698188f	VENTILATION
638df1c9-42a6-444d-b30e-89c71751e18d	4f47273e-9e04-40fe-bb8e-79e8262c92fd	INFILTRATION
638df1c9-42a6-444d-b30e-89c71751e18d	696d08df-2a6c-4842-bd24-7b583cce7891	IT_LOAD
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	9d8a995f-8d95-401d-bb42-ae48f59727fe	SWITCHGEAR
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	5fbd08ab-7bb6-4d3f-aea0-c82ba6c9a6c0	GENERATOR
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	1efdbc8d-7982-4f84-8ccf-2513094c50fb	PRIMARY_AUXILIARIES
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	0297d154-4e74-4c2e-8e36-36a1287ffc58	UPS
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	766f7272-bf5d-453a-9311-16b2459029e5	CRITICAL_AUXILIARIES
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	99906d13-58fe-48a2-8a54-819fef63047e	LIGHTING
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	9375813d-d0df-491a-9846-f4adc89b9153	CRITICAL_POWER_DISTRIBUTION
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	710f94b8-8287-44fa-a8a8-73e2dccd0e26	CRAH
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	b7f076c0-bee2-4c72-b2cc-86bca60aaa77	CRAC
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	79dbc94b-2bc4-4fa7-b97f-84f28ef84444	CRAC_WITHOUT_FAN
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	4c65c47f-4e1e-4082-aac6-d60b8baf2dc3	CRAC_FAN
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	fd737810-73be-43c5-9b3c-9f4aa57ffbc9	CHILLER
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	8bf49f3e-2877-4719-915f-3bb78fa283bf	AIR_COOLED_CHILLER
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	f45df671-6cc7-4a18-abb6-0d88d38cba63	COOLING_TOWER
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	f9ad992c-d8bd-4875-828d-cef1f00fbcca	DRY_COOLER
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	3135ce09-036d-40f9-8981-3c19df66236f	REMOTE_CONDENSER
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	6ca617b1-c046-466b-adea-0718619ee74d	CHILLED_WATER_PUMPS
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	ba56186c-ff7f-4c72-b9ec-338fe710ae37	HEAT_REJECTION_PUMPS
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	e12e98a5-7c56-4b7c-b92c-318a13c6558d	VENTILATION
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	2eec22fe-ff19-4888-bedc-4ddb3a31cc80	INFILTRATION
d962b1aa-1940-4d38-a5d9-2fb1edb0d8fe	cd22eed9-911f-4b21-be4b-fa8ba2e47dde	IT_LOAD
070049a7-fe52-440c-b7d9-9c8d1ded927c	4db2ed46-f22d-4da4-99a6-2b8313000053	SWITCHGEAR
070049a7-fe52-440c-b7d9-9c8d1ded927c	298933b9-af91-4ba8-9241-3143028a3fc0	GENERATOR
070049a7-fe52-440c-b7d9-9c8d1ded927c	79d2eb9d-2076-47f1-9d5d-6f7a28bf5e7b	PRIMARY_AUXILIARIES
070049a7-fe52-440c-b7d9-9c8d1ded927c	a11a1bab-53cc-42c1-bb3a-9dd208303155	UPS
070049a7-fe52-440c-b7d9-9c8d1ded927c	766ec50d-52c7-4a8a-9330-555c4633f471	CRITICAL_AUXILIARIES
070049a7-fe52-440c-b7d9-9c8d1ded927c	97856ed6-0abf-45e1-9ab4-42cfc0f09f98	LIGHTING
070049a7-fe52-440c-b7d9-9c8d1ded927c	38d6c5ac-3926-48d4-8837-0019e2485405	CRITICAL_POWER_DISTRIBUTION
070049a7-fe52-440c-b7d9-9c8d1ded927c	14c35993-2097-4237-8f87-88a8b9141093	CRAH
070049a7-fe52-440c-b7d9-9c8d1ded927c	245904b4-b2d6-4b32-8153-c1f40d185e9a	CRAC
070049a7-fe52-440c-b7d9-9c8d1ded927c	fb564d0d-ed57-4199-9440-dd866fc21d75	CRAC_WITHOUT_FAN
070049a7-fe52-440c-b7d9-9c8d1ded927c	02db4e7e-eeed-44b4-b9e1-2b661bdeec15	CRAC_FAN
070049a7-fe52-440c-b7d9-9c8d1ded927c	ed59a170-9334-4cda-8336-c5c09483e3b2	CHILLER
070049a7-fe52-440c-b7d9-9c8d1ded927c	e657f0d4-5dfa-4d40-9560-50c5e5cfa814	AIR_COOLED_CHILLER
070049a7-fe52-440c-b7d9-9c8d1ded927c	d447460a-01dd-48fa-9f88-ea9d2f487436	COOLING_TOWER
070049a7-fe52-440c-b7d9-9c8d1ded927c	66d4bce2-7b76-42c6-9f20-12976efb071a	DRY_COOLER
070049a7-fe52-440c-b7d9-9c8d1ded927c	e8f3f8f0-ffa6-4d6f-98bd-c2fe1be96611	REMOTE_CONDENSER
070049a7-fe52-440c-b7d9-9c8d1ded927c	21b47f00-b173-4c70-baf4-12497e5115cf	CHILLED_WATER_PUMPS
070049a7-fe52-440c-b7d9-9c8d1ded927c	e20b5f1e-8b63-4efc-8c1c-47d4b1b33e26	HEAT_REJECTION_PUMPS
070049a7-fe52-440c-b7d9-9c8d1ded927c	a663bd6a-690e-4e1f-9c28-ee41edb3ad6f	VENTILATION
070049a7-fe52-440c-b7d9-9c8d1ded927c	51031ec6-0e90-48e4-b27c-a24edadaf603	INFILTRATION
070049a7-fe52-440c-b7d9-9c8d1ded927c	2532e809-f1e0-40c1-a114-93fdeab03d8f	IT_LOAD
d932e136-9502-4889-9bdb-c6141b987e50	6ceae774-53e2-4b15-b6d2-1a7fa128b938	SWITCHGEAR
d932e136-9502-4889-9bdb-c6141b987e50	0749046d-25c5-49bb-adc9-1e66c3c64980	GENERATOR
d932e136-9502-4889-9bdb-c6141b987e50	ced0fe16-2782-4ead-93ec-0d1fc2ff5dc9	PRIMARY_AUXILIARIES
d932e136-9502-4889-9bdb-c6141b987e50	bf9b69b5-38bd-4d17-9874-dc5dfdcc66c6	UPS
d932e136-9502-4889-9bdb-c6141b987e50	7ee7cc1c-1eb6-4b92-a3c2-dc9cb8d8ffdf	CRITICAL_AUXILIARIES
d932e136-9502-4889-9bdb-c6141b987e50	f2a94765-bcba-4f3e-b1fd-4ffbd2753ae8	LIGHTING
d932e136-9502-4889-9bdb-c6141b987e50	f60a872c-fe5d-455c-824f-7aae72e8d536	CRITICAL_POWER_DISTRIBUTION
d932e136-9502-4889-9bdb-c6141b987e50	b43d8c02-6591-4272-9a1c-548cfdcf0be0	CRAH
d932e136-9502-4889-9bdb-c6141b987e50	ee1ef4d2-8829-4078-aa93-a63131a22946	CRAC
d932e136-9502-4889-9bdb-c6141b987e50	8fe579de-5243-486f-8176-ac7611450405	CRAC_WITHOUT_FAN
d932e136-9502-4889-9bdb-c6141b987e50	24517604-4a2b-4884-91d6-9fe07937eb7c	CRAC_FAN
d932e136-9502-4889-9bdb-c6141b987e50	8ae778c2-c80b-4142-b5e0-887bfcdc16d5	CHILLER
d932e136-9502-4889-9bdb-c6141b987e50	eacaa87d-75d7-4330-8c10-784f9339537d	AIR_COOLED_CHILLER
d932e136-9502-4889-9bdb-c6141b987e50	7828df57-f263-4046-b6c3-862442efc8fc	COOLING_TOWER
d932e136-9502-4889-9bdb-c6141b987e50	30e89467-0bee-44f3-8faf-d9d823da8a1e	DRY_COOLER
d932e136-9502-4889-9bdb-c6141b987e50	1eaf5ba1-9e76-4aeb-a14c-cef35c3e09a0	REMOTE_CONDENSER
d932e136-9502-4889-9bdb-c6141b987e50	fd9601ae-eca3-4139-98f8-624d1c985f0c	CHILLED_WATER_PUMPS
d932e136-9502-4889-9bdb-c6141b987e50	833d2d85-fafb-45e4-a85a-234bbfbe63ed	HEAT_REJECTION_PUMPS
d932e136-9502-4889-9bdb-c6141b987e50	f9071326-8954-400a-93a3-542268b85770	VENTILATION
d932e136-9502-4889-9bdb-c6141b987e50	faa8ae77-e03d-47b0-84e4-6d904cd5682b	INFILTRATION
d932e136-9502-4889-9bdb-c6141b987e50	04a53573-847e-4cc5-951f-fd5e3cec3222	IT_LOAD
dac37861-e6b6-4e76-889f-cf0bda631b53	3a9f7fba-60ae-4504-9de8-b5c5da41a539	SWITCHGEAR
dac37861-e6b6-4e76-889f-cf0bda631b53	e6e3b60d-23ae-4676-b0d6-d19b257b23ec	GENERATOR
dac37861-e6b6-4e76-889f-cf0bda631b53	79e536f1-3d4d-42df-96aa-91ac9cbe1169	PRIMARY_AUXILIARIES
dac37861-e6b6-4e76-889f-cf0bda631b53	5cbff69d-76e8-4213-aef9-a11508e5e07b	UPS
dac37861-e6b6-4e76-889f-cf0bda631b53	3712d888-579c-4dd3-8244-be9d5cd143b5	CRITICAL_AUXILIARIES
dac37861-e6b6-4e76-889f-cf0bda631b53	6b1e11e4-73e8-4d2e-a090-2d6ca6b46722	LIGHTING
dac37861-e6b6-4e76-889f-cf0bda631b53	a50f2e80-f222-4021-8585-05fe6500f758	CRITICAL_POWER_DISTRIBUTION
dac37861-e6b6-4e76-889f-cf0bda631b53	d9de1b34-ae1d-40be-a63b-fd68cb744c3e	CRAH
dac37861-e6b6-4e76-889f-cf0bda631b53	a1fb9500-8851-41fd-8761-1e43e1e2f0c8	CRAC
dac37861-e6b6-4e76-889f-cf0bda631b53	49f58cf4-450b-42fb-ae14-2ffb225bd275	CRAC_WITHOUT_FAN
dac37861-e6b6-4e76-889f-cf0bda631b53	a7ec2b3f-4203-489b-bd0b-79c1282e71f7	CRAC_FAN
dac37861-e6b6-4e76-889f-cf0bda631b53	494fbd2d-5f25-49b3-8e0f-8ee7b27e9e64	CHILLER
dac37861-e6b6-4e76-889f-cf0bda631b53	11f83140-1007-4f03-8d82-b0441f8ea010	AIR_COOLED_CHILLER
dac37861-e6b6-4e76-889f-cf0bda631b53	8b5805ec-7fbb-4692-9f15-38d6dcf6e1d2	COOLING_TOWER
dac37861-e6b6-4e76-889f-cf0bda631b53	e567a2a2-7a4f-4f70-a1df-d143ca502d5e	DRY_COOLER
dac37861-e6b6-4e76-889f-cf0bda631b53	61d3a802-6bc5-41bb-a323-20c3d3ff34ef	REMOTE_CONDENSER
dac37861-e6b6-4e76-889f-cf0bda631b53	fb56ef07-2029-4f14-86ac-8f4c5e1a5a71	CHILLED_WATER_PUMPS
dac37861-e6b6-4e76-889f-cf0bda631b53	fa1272fe-0993-426d-851b-c2501c9d4dad	HEAT_REJECTION_PUMPS
dac37861-e6b6-4e76-889f-cf0bda631b53	014a689d-311a-4202-aca4-ea1cb2369c5b	VENTILATION
dac37861-e6b6-4e76-889f-cf0bda631b53	fcef04d7-b367-40b8-8191-647fd6420ca6	INFILTRATION
dac37861-e6b6-4e76-889f-cf0bda631b53	5e4f1334-aadb-48e9-899b-2ef328605a57	IT_LOAD
299b5c9e-b1db-46f5-b067-318ab3bf59b8	19882fb4-4019-45bb-ad24-06c68f9319ce	SWITCHGEAR
299b5c9e-b1db-46f5-b067-318ab3bf59b8	59fc66c2-7138-411b-97b2-a4a37082b82a	GENERATOR
299b5c9e-b1db-46f5-b067-318ab3bf59b8	e5c3c77b-fc07-488c-9b23-815928669018	PRIMARY_AUXILIARIES
299b5c9e-b1db-46f5-b067-318ab3bf59b8	6da7fdef-3fbc-4b6b-800e-6f92fca5823e	UPS
299b5c9e-b1db-46f5-b067-318ab3bf59b8	9ef50557-c352-46e8-aa95-7672ee7fe4df	CRITICAL_AUXILIARIES
299b5c9e-b1db-46f5-b067-318ab3bf59b8	08fe0b27-abcb-4be2-983b-1308d1b6f586	LIGHTING
299b5c9e-b1db-46f5-b067-318ab3bf59b8	86a0908b-48a3-42d1-962a-ce0e7a37c1b5	CRITICAL_POWER_DISTRIBUTION
299b5c9e-b1db-46f5-b067-318ab3bf59b8	e1d5f95b-a13a-4608-8597-468876585739	CRAH
299b5c9e-b1db-46f5-b067-318ab3bf59b8	fe6f463d-7120-4d98-bd2b-442c65cc71ca	CRAC
299b5c9e-b1db-46f5-b067-318ab3bf59b8	11615259-233d-4c0f-be42-6504f6ad4a4d	CRAC_WITHOUT_FAN
299b5c9e-b1db-46f5-b067-318ab3bf59b8	a30b3c35-7651-4205-bdbb-3037010c6411	CRAC_FAN
299b5c9e-b1db-46f5-b067-318ab3bf59b8	35e003b7-675d-4ea3-b154-e38b9093be78	CHILLER
299b5c9e-b1db-46f5-b067-318ab3bf59b8	bc18fb5d-62f7-4b21-9714-c9e3be909455	AIR_COOLED_CHILLER
299b5c9e-b1db-46f5-b067-318ab3bf59b8	9566c02a-38d1-49bf-b52c-dc9191ff50b7	COOLING_TOWER
299b5c9e-b1db-46f5-b067-318ab3bf59b8	8effbd2e-ce90-4334-b5dd-60409da0eae6	DRY_COOLER
299b5c9e-b1db-46f5-b067-318ab3bf59b8	cfe9b0a0-7501-472e-be69-618d40ea15c3	REMOTE_CONDENSER
299b5c9e-b1db-46f5-b067-318ab3bf59b8	adbc807e-c869-402f-8164-1c25c2fc2b36	CHILLED_WATER_PUMPS
299b5c9e-b1db-46f5-b067-318ab3bf59b8	28d374cb-07b7-40be-8430-bdb540f0575e	HEAT_REJECTION_PUMPS
299b5c9e-b1db-46f5-b067-318ab3bf59b8	b2ad4ed7-523e-4a8c-9b72-8e9bde807966	VENTILATION
299b5c9e-b1db-46f5-b067-318ab3bf59b8	80892a4e-9ebe-4df6-ac18-d9d36c478eda	INFILTRATION
299b5c9e-b1db-46f5-b067-318ab3bf59b8	c492a9f8-c26a-4a43-b763-cff5cc45a3f6	IT_LOAD
3408c73f-43f5-4309-aa87-53153eff4191	96a8c3a0-f590-4846-861a-81de3e6b8aca	SWITCHGEAR
3408c73f-43f5-4309-aa87-53153eff4191	734e1891-98f6-4d67-8d8e-d6b75ca8f875	GENERATOR
3408c73f-43f5-4309-aa87-53153eff4191	5a60e188-e798-4a9a-8348-a3bf3eba26b5	PRIMARY_AUXILIARIES
3408c73f-43f5-4309-aa87-53153eff4191	2f0db0d5-ca8c-400c-86a1-dfc2918eacb8	UPS
3408c73f-43f5-4309-aa87-53153eff4191	c640e555-4539-47bd-88e9-efc7158ef5d3	CRITICAL_AUXILIARIES
3408c73f-43f5-4309-aa87-53153eff4191	ccf993ff-4b5b-41d3-b97d-141ff2397c9f	LIGHTING
3408c73f-43f5-4309-aa87-53153eff4191	bba5465d-f9b0-41f5-942e-e6ed2962f3f1	CRITICAL_POWER_DISTRIBUTION
3408c73f-43f5-4309-aa87-53153eff4191	fc215134-f3d7-4776-801b-99c9fba02084	CRAH
3408c73f-43f5-4309-aa87-53153eff4191	9d3424c5-3961-4393-be97-be6c720e5e1f	CRAC
3408c73f-43f5-4309-aa87-53153eff4191	ad2e10d1-1e26-4d47-8773-8b9f5ea6831f	CRAC_WITHOUT_FAN
3408c73f-43f5-4309-aa87-53153eff4191	884650e7-d502-4a5b-bec4-e5e529b31079	CRAC_FAN
3408c73f-43f5-4309-aa87-53153eff4191	eca448fc-7d18-4b6b-bf5c-34879922d6ed	CHILLER
3408c73f-43f5-4309-aa87-53153eff4191	1732413e-040d-4f70-b091-88f5ab027b27	AIR_COOLED_CHILLER
3408c73f-43f5-4309-aa87-53153eff4191	6539c4f9-f15c-4e48-a6d8-24585525a4ae	COOLING_TOWER
3408c73f-43f5-4309-aa87-53153eff4191	d8ebb55b-ff5b-471b-9992-21e03a948d44	DRY_COOLER
3408c73f-43f5-4309-aa87-53153eff4191	fe9056d9-8728-43f4-9895-373c9ae33155	REMOTE_CONDENSER
3408c73f-43f5-4309-aa87-53153eff4191	e1e65dfe-6df8-4616-bed9-1c01dee7b941	CHILLED_WATER_PUMPS
3408c73f-43f5-4309-aa87-53153eff4191	bb3fe44e-5c2b-4b5d-8d69-b4c5a9edc441	HEAT_REJECTION_PUMPS
3408c73f-43f5-4309-aa87-53153eff4191	a23c83a7-129d-4fee-84d0-d71117f0bc36	VENTILATION
3408c73f-43f5-4309-aa87-53153eff4191	74fdb7ee-7733-46e4-9c90-0862160ad421	INFILTRATION
3408c73f-43f5-4309-aa87-53153eff4191	51e3d68e-b6c3-4c80-a30f-8ba3126ba812	IT_LOAD
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	1c9b0a92-0a96-40d0-96a5-c08975ad9c51	SWITCHGEAR
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	7c293bc4-41b2-4fd7-9edc-32d1c7d6a4a2	GENERATOR
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	a23cc686-ab47-465a-80c4-a28804423564	PRIMARY_AUXILIARIES
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	26a88ed2-6123-4f8d-87bf-78b6798a2b62	UPS
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	bd07f02c-0c82-4c4c-9809-9c577ba9b523	CRITICAL_AUXILIARIES
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	6dee97c8-9e64-4663-8aeb-b858bfedc4e7	LIGHTING
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	ca9c5c82-c03a-4efd-a0dc-0d80554d7a5b	CRITICAL_POWER_DISTRIBUTION
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	d24a961f-8221-4f73-afb7-d01c96c0c840	CRAH
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	198095b7-6f6b-49f5-9228-dc9c648f23c7	CRAC
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	3bc29c0e-b3a5-4dbc-ae0a-e2156405f5e7	CRAC_WITHOUT_FAN
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	68c744d9-1130-4cc9-b3a9-b50203024e92	CRAC_FAN
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	fc85be9a-979b-47e0-92bc-7785050572cb	CHILLER
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	1254109d-f3b5-4453-82fb-614081eefd84	AIR_COOLED_CHILLER
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	96c900ce-37bd-418d-81b5-657f501d6ed7	COOLING_TOWER
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	7fc86d69-9679-4b03-8ac0-df7e6ce88f9b	DRY_COOLER
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	590509e3-0127-4c4b-b2d8-d7abd5a920c7	REMOTE_CONDENSER
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	17577b5a-311e-44fd-b992-82d7010af366	CHILLED_WATER_PUMPS
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	b919870a-733e-4e1c-aa9d-b63ae316467a	HEAT_REJECTION_PUMPS
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	1f4fc9b7-29fd-4d72-bc54-3b6f6e2f8964	VENTILATION
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	928af648-e0d8-4030-9e4e-e28c429418a4	INFILTRATION
06cbba68-c25c-4cc0-a5a8-db7a2979d2d5	08c854dc-be04-4788-9bff-e1cdc2f19145	IT_LOAD
9a4e0a0c-d357-4888-9a93-fee4653af208	13994209-e216-4a64-a211-1166e632e65e	SWITCHGEAR
9a4e0a0c-d357-4888-9a93-fee4653af208	4c592496-fee5-4999-9e08-f46b1306dc48	GENERATOR
9a4e0a0c-d357-4888-9a93-fee4653af208	a0bdeaef-8042-4efc-86dd-c85b637423bd	PRIMARY_AUXILIARIES
9a4e0a0c-d357-4888-9a93-fee4653af208	7f69625b-3a9c-481a-a57e-e5c14aa2d49f	UPS
9a4e0a0c-d357-4888-9a93-fee4653af208	46e3dd48-833a-4594-9511-a7f6ea8ffaa4	CRITICAL_AUXILIARIES
9a4e0a0c-d357-4888-9a93-fee4653af208	809de33c-ec97-48e7-ba24-5e3a5342a30b	LIGHTING
9a4e0a0c-d357-4888-9a93-fee4653af208	79063db0-0509-4824-abed-ecbfd430d2cd	CRITICAL_POWER_DISTRIBUTION
9a4e0a0c-d357-4888-9a93-fee4653af208	cb32664a-9779-4801-9370-6d173e580c6c	CRAH
9a4e0a0c-d357-4888-9a93-fee4653af208	018d42f5-006c-4182-8348-d9db8b7352ba	CRAC
9a4e0a0c-d357-4888-9a93-fee4653af208	0a514673-9d89-4c18-8bb5-95308ca4b7f9	CRAC_WITHOUT_FAN
9a4e0a0c-d357-4888-9a93-fee4653af208	690120f5-3ace-41c2-b47a-afc0d883042d	CRAC_FAN
9a4e0a0c-d357-4888-9a93-fee4653af208	6d749659-9ce7-4bed-89ce-70b0b263c78f	CHILLER
9a4e0a0c-d357-4888-9a93-fee4653af208	f698154b-8c1a-41da-a788-46028eed2c26	AIR_COOLED_CHILLER
9a4e0a0c-d357-4888-9a93-fee4653af208	0eb708a0-77db-4276-9a62-ce4f47ee67e8	COOLING_TOWER
9a4e0a0c-d357-4888-9a93-fee4653af208	19ae6c9b-d8d7-42c1-a7d0-605d4df496b7	DRY_COOLER
9a4e0a0c-d357-4888-9a93-fee4653af208	0d9dae10-eefa-420e-8579-95f01c97b07d	REMOTE_CONDENSER
9a4e0a0c-d357-4888-9a93-fee4653af208	65837659-36dc-4960-8bae-ce82b4041432	CHILLED_WATER_PUMPS
9a4e0a0c-d357-4888-9a93-fee4653af208	a5c6501c-2242-4955-96bd-a540905c330e	HEAT_REJECTION_PUMPS
9a4e0a0c-d357-4888-9a93-fee4653af208	14b14453-9ac8-466a-93c2-590152bbc0a1	VENTILATION
9a4e0a0c-d357-4888-9a93-fee4653af208	393392ed-c2e6-4066-8bd1-5b928f98896e	INFILTRATION
9a4e0a0c-d357-4888-9a93-fee4653af208	97396931-f1de-4c20-aa70-dfce791eadf0	IT_LOAD
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	cdd2fa56-4986-4045-97fc-e9a375738dd7	SWITCHGEAR
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	63b71a4f-68a5-48d8-8c2f-fb20c801d7ba	GENERATOR
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	276b0725-ddf5-4861-b248-875e98f793ed	PRIMARY_AUXILIARIES
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	0f79729e-66dc-4ff8-a506-86261f78a6e7	UPS
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	8e1d9241-0056-4937-a5f0-2d71a2ec7c10	CRITICAL_AUXILIARIES
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	c6255976-6d7e-4437-adc8-35c26c5599b4	LIGHTING
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	f5dc63a6-e707-4da1-90aa-f79db3a67be8	CRITICAL_POWER_DISTRIBUTION
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	1c2b9816-2db2-4979-88e5-61a01971f2d2	CRAH
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	45cd158b-a12e-4bb0-8c0f-47a5ac466330	CRAC
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	fc009f24-747f-4593-b35c-9e2dfdecdc64	CRAC_WITHOUT_FAN
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	04cebc7a-da93-41da-93f1-d4d2a1506a91	CRAC_FAN
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	5edd609b-ba3d-48e8-b9fb-144276a208d1	CHILLER
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	b5a4eac7-e029-4373-acdf-c1ef19b699b7	AIR_COOLED_CHILLER
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	91bc732e-566c-4cc3-a4f9-d29e29344309	COOLING_TOWER
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	ead4374a-c42f-4df9-b7e6-fa9465c71501	DRY_COOLER
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	0b1e4dc4-2a16-4886-9fc2-28da72feeceb	REMOTE_CONDENSER
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	cb1d8580-4462-4d1b-bd71-c48bc7eca80a	CHILLED_WATER_PUMPS
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	c390d806-fe8f-47b1-8827-236cf4919665	HEAT_REJECTION_PUMPS
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	dd168175-5d6c-4045-a518-5e29ca434d3e	VENTILATION
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	e8fd8d4b-af61-4d8f-86de-af3d890a0bb6	INFILTRATION
5f6fbd35-b9b5-4ac1-a93b-3bffd5a5aeca	d3ae831b-21d8-4f97-924b-d8bace5aea9e	IT_LOAD
e91457b8-ef46-40aa-9c94-ee74d4298c75	5fb901d6-eba0-4399-af4d-d399e0c66840	SWITCHGEAR
e91457b8-ef46-40aa-9c94-ee74d4298c75	8103f435-0530-4cb6-89f8-c36d916590cf	GENERATOR
e91457b8-ef46-40aa-9c94-ee74d4298c75	67252464-5561-4ed5-b24b-3c0dbb3626d8	PRIMARY_AUXILIARIES
e91457b8-ef46-40aa-9c94-ee74d4298c75	e05c5da1-2ff1-4846-9d41-203ee382d8f4	UPS
e91457b8-ef46-40aa-9c94-ee74d4298c75	ca844cd7-02fc-4893-b59a-4d2d0f5be580	CRITICAL_AUXILIARIES
e91457b8-ef46-40aa-9c94-ee74d4298c75	cd048d30-0b6e-4066-8d3b-4d9bd6024244	LIGHTING
e91457b8-ef46-40aa-9c94-ee74d4298c75	ea5a9d46-b4fb-4d88-8c40-7a4e7d2b2ec7	CRITICAL_POWER_DISTRIBUTION
e91457b8-ef46-40aa-9c94-ee74d4298c75	1dca5651-e642-4081-920f-b07f69d2c88f	CRAH
e91457b8-ef46-40aa-9c94-ee74d4298c75	f1997bd5-8905-4025-ac2f-686371da2a83	CRAC
e91457b8-ef46-40aa-9c94-ee74d4298c75	d3c5ca07-08e7-4ad3-8bdf-07af82055c07	CRAC_WITHOUT_FAN
e91457b8-ef46-40aa-9c94-ee74d4298c75	23eb417a-1009-42f9-a7f2-e336660ef577	CRAC_FAN
e91457b8-ef46-40aa-9c94-ee74d4298c75	9a450208-3da3-4397-a4c3-ddf4a26eb78e	CHILLER
e91457b8-ef46-40aa-9c94-ee74d4298c75	518df520-a7b1-495b-a7f2-98953cf11681	AIR_COOLED_CHILLER
e91457b8-ef46-40aa-9c94-ee74d4298c75	2b034ac0-94f2-44bf-befb-a250d9cc9668	COOLING_TOWER
e91457b8-ef46-40aa-9c94-ee74d4298c75	a02e0894-c487-4b8b-965d-e982a63bb710	DRY_COOLER
e91457b8-ef46-40aa-9c94-ee74d4298c75	4948031c-3dd0-44a2-8988-e5596cf0814b	REMOTE_CONDENSER
e91457b8-ef46-40aa-9c94-ee74d4298c75	82e2f81f-961f-4090-bcd6-1f0ef67ad0be	CHILLED_WATER_PUMPS
e91457b8-ef46-40aa-9c94-ee74d4298c75	5f386277-ef4b-46ef-bdde-f630b7af6513	HEAT_REJECTION_PUMPS
e91457b8-ef46-40aa-9c94-ee74d4298c75	7c47958e-e794-4115-8e41-6456f03c4d6a	VENTILATION
e91457b8-ef46-40aa-9c94-ee74d4298c75	43efd344-a850-4af8-9553-3bb9507d750b	INFILTRATION
e91457b8-ef46-40aa-9c94-ee74d4298c75	9c5ea07c-f9ee-49ae-8a63-97f464d5321f	IT_LOAD
a528ac40-ae91-418e-8205-2c3786e52299	02e56466-78c8-4663-8d55-be06ecf31f08	SWITCHGEAR
a528ac40-ae91-418e-8205-2c3786e52299	be72fc7c-4517-439b-a978-4eb4be40b124	GENERATOR
a528ac40-ae91-418e-8205-2c3786e52299	94174a37-0dd4-4d8c-8e7c-2586a99c223c	PRIMARY_AUXILIARIES
a528ac40-ae91-418e-8205-2c3786e52299	4fbd8fc3-e8a7-4357-bc3b-b1a1392038c0	UPS
a528ac40-ae91-418e-8205-2c3786e52299	a76a3b7f-6436-48b1-b51b-1c537709f158	CRITICAL_AUXILIARIES
a528ac40-ae91-418e-8205-2c3786e52299	5f2fcf03-ceb5-474d-844d-75420dad1672	LIGHTING
a528ac40-ae91-418e-8205-2c3786e52299	2976de51-a4c8-4541-9f6c-09efdf32bc2d	CRITICAL_POWER_DISTRIBUTION
a528ac40-ae91-418e-8205-2c3786e52299	65086e33-a467-4c7a-a11f-983a9693f997	CRAH
a528ac40-ae91-418e-8205-2c3786e52299	165d3799-0f91-45af-8bfb-9cf25707b1ac	CRAC
a528ac40-ae91-418e-8205-2c3786e52299	5dbba810-8564-4278-bc1e-00a2cc078cb6	CRAC_WITHOUT_FAN
a528ac40-ae91-418e-8205-2c3786e52299	24d3c7f7-f412-41c4-bbbe-0f239d3bd734	CRAC_FAN
a528ac40-ae91-418e-8205-2c3786e52299	34c006a4-32b8-47a2-bcfd-a3013344e58e	CHILLER
a528ac40-ae91-418e-8205-2c3786e52299	3890e774-522e-42ec-ad62-68b1c141c40c	AIR_COOLED_CHILLER
a528ac40-ae91-418e-8205-2c3786e52299	f44c37ab-7048-467c-a81a-d24ad975d2f8	COOLING_TOWER
a528ac40-ae91-418e-8205-2c3786e52299	c5bc68ed-7a12-416a-b33d-e95a36ab1469	DRY_COOLER
a528ac40-ae91-418e-8205-2c3786e52299	dff63754-e0f7-4c3e-bba1-d10ce501cd28	REMOTE_CONDENSER
a528ac40-ae91-418e-8205-2c3786e52299	94ef6ce1-09c8-444b-9bd0-dd12fe8e00eb	CHILLED_WATER_PUMPS
a528ac40-ae91-418e-8205-2c3786e52299	b10ddacd-0a62-4ce4-bc87-ac045c323b63	HEAT_REJECTION_PUMPS
a528ac40-ae91-418e-8205-2c3786e52299	9e885347-7859-435f-8412-11494e731a26	VENTILATION
a528ac40-ae91-418e-8205-2c3786e52299	ecf66745-02e6-4ea0-9e53-857fb9a3553c	INFILTRATION
a528ac40-ae91-418e-8205-2c3786e52299	0720dcd1-5057-4660-888f-9c8a851e7366	IT_LOAD
1ceb79cc-7c56-424c-8d89-71471ef9d914	0996eca1-7019-4627-960c-ffff6ff676a9	SWITCHGEAR
1ceb79cc-7c56-424c-8d89-71471ef9d914	ed852b6f-480a-4f4f-9b24-42dacf2f158b	GENERATOR
1ceb79cc-7c56-424c-8d89-71471ef9d914	bf1fb8da-edd4-4dd6-a852-683d865103b1	PRIMARY_AUXILIARIES
1ceb79cc-7c56-424c-8d89-71471ef9d914	857fcda1-189d-45db-a1eb-30266468d462	UPS
1ceb79cc-7c56-424c-8d89-71471ef9d914	f9bf86f3-5205-443a-9df3-f3e2c8c0398a	CRITICAL_AUXILIARIES
1ceb79cc-7c56-424c-8d89-71471ef9d914	da85d413-b28d-4dbf-a070-9bd9271983e9	LIGHTING
1ceb79cc-7c56-424c-8d89-71471ef9d914	261b1d17-55dc-40af-8769-b8ba22f9eab6	CRITICAL_POWER_DISTRIBUTION
1ceb79cc-7c56-424c-8d89-71471ef9d914	c6434c66-1552-467f-98be-9f7762f2003f	CRAH
1ceb79cc-7c56-424c-8d89-71471ef9d914	e99e3982-ed55-4eda-bdf1-32d94176afc8	CRAC
1ceb79cc-7c56-424c-8d89-71471ef9d914	9a0a305d-c21e-4d6d-92a4-ebcd65d39d44	CRAC_WITHOUT_FAN
1ceb79cc-7c56-424c-8d89-71471ef9d914	61eded1a-63ab-4e06-9b8e-228e4e226383	CRAC_FAN
1ceb79cc-7c56-424c-8d89-71471ef9d914	09fa792f-e926-4879-9b4f-5585c6583d83	CHILLER
1ceb79cc-7c56-424c-8d89-71471ef9d914	aee4df5b-45d1-486f-8943-6263638937e2	AIR_COOLED_CHILLER
1ceb79cc-7c56-424c-8d89-71471ef9d914	0eeb5c16-9fb0-4ee9-909b-c93a8ac015ed	COOLING_TOWER
1ceb79cc-7c56-424c-8d89-71471ef9d914	2610fe8a-50b2-40e2-92ae-0b4d79601fb4	DRY_COOLER
1ceb79cc-7c56-424c-8d89-71471ef9d914	3ddbc7f1-b2e9-4dbe-a3b1-c59bf92018d4	REMOTE_CONDENSER
1ceb79cc-7c56-424c-8d89-71471ef9d914	3f5c417a-487c-408f-81ec-4e0f580f4c7a	CHILLED_WATER_PUMPS
1ceb79cc-7c56-424c-8d89-71471ef9d914	a18f97cb-f336-4c60-8fe5-65d9be0ea7b2	HEAT_REJECTION_PUMPS
1ceb79cc-7c56-424c-8d89-71471ef9d914	d6c752da-5243-4053-91a1-412c48f72501	VENTILATION
1ceb79cc-7c56-424c-8d89-71471ef9d914	0181fa46-70ad-4bf4-a81d-75e974f1ce96	INFILTRATION
1ceb79cc-7c56-424c-8d89-71471ef9d914	6b9e79b4-e64a-4449-b158-2b7996db6e40	IT_LOAD
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	ac32738a-4952-4f9c-86ec-5e4fd67b6831	SWITCHGEAR
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	2677def5-57bb-423d-aedc-3279ac4990f7	GENERATOR
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	56fab451-1c3a-4e16-bf2e-3844404af8c6	PRIMARY_AUXILIARIES
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	625ab522-bd16-4963-a16b-c258137ae64c	UPS
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	dd5ce168-93a2-4c37-b815-665480d991cb	CRITICAL_AUXILIARIES
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	4ce05c7b-a67d-4be2-af54-ee03ef0266a1	LIGHTING
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	f0532ebc-0879-4bcf-af78-8fd9f2e56e9e	CRITICAL_POWER_DISTRIBUTION
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	1966e006-fb2e-4eed-a532-8b5e4075cc53	CRAH
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	66a4ed61-2170-4548-9fd8-f82e701c1f5e	CRAC
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	39f96cbd-dc2f-48bc-9563-579c2ba7fe6c	CRAC_WITHOUT_FAN
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	68c40724-1dca-4249-81d5-3499838764b3	CRAC_FAN
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	4e94a49e-1b87-450a-b4e0-09905bc60d82	CHILLER
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	8163777f-776a-4c2b-8f99-d311dfabf3f0	AIR_COOLED_CHILLER
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	394af33f-6863-4553-8df9-e10101980e0b	COOLING_TOWER
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	f5d1cfd4-6b69-45c6-92fb-d4f39d17a2c7	DRY_COOLER
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	cd789eac-74c4-4e0b-aa08-32df5948e214	REMOTE_CONDENSER
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	b1767201-6967-47a5-8b39-2a7f6568d8b6	CHILLED_WATER_PUMPS
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	859725bb-fada-4c55-8b83-473cb62ad405	HEAT_REJECTION_PUMPS
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	5c9f5f41-a6e7-44b7-943b-ab51e77d947d	VENTILATION
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	1efdd19f-4a7b-45c4-bd44-dcf4f96b0c7c	INFILTRATION
69ff6a5d-3eb1-4aef-ae79-f5e9b54f9ce2	61a69d75-2350-43c3-a53e-23063c5a2839	IT_LOAD
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	1d0c10a8-fff8-43bd-9cb4-e0ae581ede0f	SWITCHGEAR
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	21b072fe-7d23-44c4-a5be-eccd963bb49e	GENERATOR
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	78f8c8f7-0d08-4c9b-aac6-3d68438ded8f	PRIMARY_AUXILIARIES
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	876dc847-47b7-43f1-b428-3967a3fe7854	UPS
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	d2bd81a8-3958-4737-8fee-0da0a3a4f1da	CRITICAL_AUXILIARIES
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	6c96023e-ab01-47f7-9f59-61ea23c5a959	LIGHTING
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	13d9b17a-af96-49fa-8d63-65d719efc2c2	CRITICAL_POWER_DISTRIBUTION
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	576bf6cb-a4ac-4f88-a88c-499ce7038902	CRAH
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	e2f7a57e-e31a-4953-8a37-4b230b3edaa1	CRAC
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	a59f618e-556a-4394-8e2b-462a17b57d15	CRAC_WITHOUT_FAN
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	e21f85c6-b6f5-4944-99c4-409f328daa6a	CRAC_FAN
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	647e9f1b-3454-4fbe-b557-d3f70b331356	CHILLER
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	6f92d1d9-b5b7-464a-acc7-735a7b58b4e9	AIR_COOLED_CHILLER
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	20f19ef8-8560-42ff-8f59-7d6120244ef5	COOLING_TOWER
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	74c67d1b-6c22-4e22-aa06-748ee073f7b8	DRY_COOLER
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	4cb78605-ee13-4a41-876f-b9b9ef8024b5	REMOTE_CONDENSER
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	a992ac16-8c73-49da-9c1c-f4e75234c2cd	CHILLED_WATER_PUMPS
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	9dc4ffc8-2b7b-4105-8027-4e6ae37caed4	HEAT_REJECTION_PUMPS
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	7be8e21b-546d-4ede-bc13-228eb18fb8ad	VENTILATION
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	dfce0677-f82d-46f1-8a56-eeeca901cb58	INFILTRATION
efa14ab2-9d8c-4175-9de7-dc706caa2fe4	ae88ab8f-f33a-4ce1-907a-68085543e73e	IT_LOAD
93207711-4bdd-4c03-aa0a-618ba1be0ba2	d6fcc878-09ab-48c2-8f4f-6a2a53d0d99d	SWITCHGEAR
93207711-4bdd-4c03-aa0a-618ba1be0ba2	360d31ae-c702-4a58-a69b-b86fe79549a9	GENERATOR
93207711-4bdd-4c03-aa0a-618ba1be0ba2	28afb138-1125-43a0-9e9b-2a74feb042fb	PRIMARY_AUXILIARIES
93207711-4bdd-4c03-aa0a-618ba1be0ba2	152c7252-0716-48ae-8b2f-32a35a7d5fcd	UPS
93207711-4bdd-4c03-aa0a-618ba1be0ba2	f797a498-37c8-4227-9143-35478d1a5912	CRITICAL_AUXILIARIES
93207711-4bdd-4c03-aa0a-618ba1be0ba2	f9722205-52ff-4abe-9b5a-9fa55736fafc	LIGHTING
93207711-4bdd-4c03-aa0a-618ba1be0ba2	f0c9c6b6-c08d-4d01-abbd-d3379aa1440f	CRITICAL_POWER_DISTRIBUTION
93207711-4bdd-4c03-aa0a-618ba1be0ba2	88f95578-83fe-4c68-b85b-6024be2ef0fa	CRAH
93207711-4bdd-4c03-aa0a-618ba1be0ba2	a5957c59-862f-4565-bf78-57080a613fcb	CRAC
93207711-4bdd-4c03-aa0a-618ba1be0ba2	be357458-53d7-4436-8fd3-f82ca2f45a22	CRAC_WITHOUT_FAN
93207711-4bdd-4c03-aa0a-618ba1be0ba2	8b35aed1-4675-4ee0-8d26-991e1b75a0bb	CRAC_FAN
93207711-4bdd-4c03-aa0a-618ba1be0ba2	3f328939-4b26-407c-b579-935ab966722b	CHILLER
93207711-4bdd-4c03-aa0a-618ba1be0ba2	edf4297d-824e-49ff-b2cb-ede7abeec639	AIR_COOLED_CHILLER
93207711-4bdd-4c03-aa0a-618ba1be0ba2	14573bca-f6c9-4cf4-bc82-c494c3849719	COOLING_TOWER
93207711-4bdd-4c03-aa0a-618ba1be0ba2	e5769b8f-eed1-46eb-b782-d381d85a6515	DRY_COOLER
93207711-4bdd-4c03-aa0a-618ba1be0ba2	a90228e4-44c9-4e76-a2eb-c5b9740cc41b	REMOTE_CONDENSER
93207711-4bdd-4c03-aa0a-618ba1be0ba2	21445120-d8fd-4b55-99fc-1c57beddf8a9	CHILLED_WATER_PUMPS
93207711-4bdd-4c03-aa0a-618ba1be0ba2	7518bfeb-3e36-454c-9ad4-24c1d2bde3f0	HEAT_REJECTION_PUMPS
93207711-4bdd-4c03-aa0a-618ba1be0ba2	1e06fd6a-14a7-4303-b36b-456abca136eb	VENTILATION
93207711-4bdd-4c03-aa0a-618ba1be0ba2	febddb56-ab69-4572-8534-47532c22c6c6	INFILTRATION
93207711-4bdd-4c03-aa0a-618ba1be0ba2	60b47147-7d71-439e-8cb3-0b7a6d442231	IT_LOAD
969305c6-77c9-481b-9bb0-c6b70098df09	e6808014-cf14-4b57-ab3f-191a66861ac0	SWITCHGEAR
969305c6-77c9-481b-9bb0-c6b70098df09	ed3ea606-5677-486f-ad59-6efb853cda7b	GENERATOR
969305c6-77c9-481b-9bb0-c6b70098df09	fb1f268b-d78c-4a6c-82e6-ecbf76f7efe9	PRIMARY_AUXILIARIES
969305c6-77c9-481b-9bb0-c6b70098df09	ee8d8dc6-a86c-4e05-b7d5-c62712a39523	UPS
969305c6-77c9-481b-9bb0-c6b70098df09	8b2e1aaf-d6c1-4338-bdee-091efe338815	CRITICAL_AUXILIARIES
969305c6-77c9-481b-9bb0-c6b70098df09	fb0bd32e-3cd0-4744-9105-db4dda60b3d4	LIGHTING
969305c6-77c9-481b-9bb0-c6b70098df09	d23895ff-2cca-4700-9f05-e4d2093a1313	CRITICAL_POWER_DISTRIBUTION
969305c6-77c9-481b-9bb0-c6b70098df09	7045b461-412e-4e90-8235-cc83d7fc1a51	CRAH
969305c6-77c9-481b-9bb0-c6b70098df09	2971700c-ee09-40f8-958c-79314fab9759	CRAC
969305c6-77c9-481b-9bb0-c6b70098df09	87b4acd0-0871-486c-9957-e508090db654	CRAC_WITHOUT_FAN
969305c6-77c9-481b-9bb0-c6b70098df09	c1452d8b-bcab-4ce7-ba5c-453034d5ce99	CRAC_FAN
969305c6-77c9-481b-9bb0-c6b70098df09	f151b685-5925-46d1-a598-fd5a4c7ae74b	CHILLER
969305c6-77c9-481b-9bb0-c6b70098df09	3e4a0e2a-f5d1-4fd9-af0d-e2112d766718	AIR_COOLED_CHILLER
969305c6-77c9-481b-9bb0-c6b70098df09	1bc6cbea-c127-47b9-affc-3882bd1da069	COOLING_TOWER
969305c6-77c9-481b-9bb0-c6b70098df09	f93d0eee-9814-4121-8928-5e5cef4695de	DRY_COOLER
969305c6-77c9-481b-9bb0-c6b70098df09	c21d9b9d-ce61-471d-b075-45e74e157966	REMOTE_CONDENSER
969305c6-77c9-481b-9bb0-c6b70098df09	aa4ccf2c-781b-40b2-8460-e83a2e190826	CHILLED_WATER_PUMPS
969305c6-77c9-481b-9bb0-c6b70098df09	e2eee6b6-ed8a-46b6-9661-12827dae43b8	HEAT_REJECTION_PUMPS
969305c6-77c9-481b-9bb0-c6b70098df09	a27bca21-ebd6-4b80-b343-a8cf65b8a10c	VENTILATION
969305c6-77c9-481b-9bb0-c6b70098df09	000e292d-8106-429f-8f36-80b71b7f5d16	INFILTRATION
969305c6-77c9-481b-9bb0-c6b70098df09	a3958693-fa35-4b6c-9caa-31fe8cc4a1d9	IT_LOAD
4756a627-3df8-42f0-a9c5-7066803b68df	e2b1566a-b338-44f2-8a1d-7e130cfd6344	SWITCHGEAR
4756a627-3df8-42f0-a9c5-7066803b68df	03cb03d3-c7f9-4299-a5ae-86f03da08616	GENERATOR
4756a627-3df8-42f0-a9c5-7066803b68df	0e98fc8b-bc96-4f43-8b97-d93364963271	PRIMARY_AUXILIARIES
4756a627-3df8-42f0-a9c5-7066803b68df	ec23b3a8-d927-4d74-88cc-a52d5f5ea64b	UPS
4756a627-3df8-42f0-a9c5-7066803b68df	5f1ab9bb-7caf-41da-b0cb-7440e0a5de06	CRITICAL_AUXILIARIES
4756a627-3df8-42f0-a9c5-7066803b68df	d73be666-ad2e-4652-bf03-6e23daaf17b1	LIGHTING
4756a627-3df8-42f0-a9c5-7066803b68df	995176d9-5c85-43f2-bddf-f500ce869b89	CRITICAL_POWER_DISTRIBUTION
4756a627-3df8-42f0-a9c5-7066803b68df	d384101d-b335-4084-89bf-4ad664407b45	CRAH
4756a627-3df8-42f0-a9c5-7066803b68df	7671e087-c5d4-444a-9054-96e23cbc31a4	CRAC
4756a627-3df8-42f0-a9c5-7066803b68df	c792453f-7161-4871-991b-9c83e5e52108	CRAC_WITHOUT_FAN
4756a627-3df8-42f0-a9c5-7066803b68df	399e80d4-8b90-4009-bd37-ade36907035a	CRAC_FAN
4756a627-3df8-42f0-a9c5-7066803b68df	5d3d328c-1ac2-479f-89cb-33dc274be31b	CHILLER
4756a627-3df8-42f0-a9c5-7066803b68df	66e66707-d088-48b9-ae97-bbaf3866cfa5	AIR_COOLED_CHILLER
4756a627-3df8-42f0-a9c5-7066803b68df	3776324a-d8cf-47f8-8689-ee69736f9224	COOLING_TOWER
4756a627-3df8-42f0-a9c5-7066803b68df	f4b2164b-e999-433f-bf12-1939fb7bc89a	DRY_COOLER
4756a627-3df8-42f0-a9c5-7066803b68df	0ad83390-8462-4f7d-a44a-83ea25b17924	REMOTE_CONDENSER
4756a627-3df8-42f0-a9c5-7066803b68df	4cc115cd-ca06-4659-8505-b0839790df99	CHILLED_WATER_PUMPS
4756a627-3df8-42f0-a9c5-7066803b68df	f0f76fea-eb93-4c4c-8ee8-a9027f823336	HEAT_REJECTION_PUMPS
4756a627-3df8-42f0-a9c5-7066803b68df	3a490915-940a-4e0b-b711-c2edfd8eb8d9	VENTILATION
4756a627-3df8-42f0-a9c5-7066803b68df	4640b787-8aa8-4099-b6a4-5a64cdc96af3	INFILTRATION
4756a627-3df8-42f0-a9c5-7066803b68df	9f72c896-3b6b-4590-bb11-1d5843a3c8fa	IT_LOAD
bbc13657-d595-4013-8bf5-1bffca9c6da1	e54fc4ca-b75f-4e57-b92f-4f70ec1803cd	SWITCHGEAR
bbc13657-d595-4013-8bf5-1bffca9c6da1	e32afb9e-01c6-4a83-a810-acb4e702cb08	GENERATOR
bbc13657-d595-4013-8bf5-1bffca9c6da1	2b13218a-4b17-4d31-bc51-2aa6a761a0a5	PRIMARY_AUXILIARIES
bbc13657-d595-4013-8bf5-1bffca9c6da1	7ed5326d-2d1f-421e-b8cc-96d7b0a6d763	UPS
bbc13657-d595-4013-8bf5-1bffca9c6da1	f805fe47-8370-4fd5-b9db-f8737872dc07	CRITICAL_AUXILIARIES
bbc13657-d595-4013-8bf5-1bffca9c6da1	7c3c3dd2-6eb4-4560-b050-150530791332	LIGHTING
bbc13657-d595-4013-8bf5-1bffca9c6da1	4d1dcf2b-b0e2-4a85-94ed-1d02d4fa5a12	CRITICAL_POWER_DISTRIBUTION
bbc13657-d595-4013-8bf5-1bffca9c6da1	bdf67a3d-e562-4014-bed5-bdca9fb4efc4	CRAH
bbc13657-d595-4013-8bf5-1bffca9c6da1	3dbe694c-07c4-4b95-a801-f61282077435	CRAC
bbc13657-d595-4013-8bf5-1bffca9c6da1	4720e213-f5a9-46d9-8362-0adf181b8c26	CRAC_WITHOUT_FAN
bbc13657-d595-4013-8bf5-1bffca9c6da1	20b42d89-6c65-48d9-b8fb-acd9a01b84f0	CRAC_FAN
bbc13657-d595-4013-8bf5-1bffca9c6da1	1be1a979-7951-434f-bbc8-3e4c7580be6b	CHILLER
bbc13657-d595-4013-8bf5-1bffca9c6da1	83ecef70-4df1-475f-bbcc-46b6aeff3bfa	AIR_COOLED_CHILLER
bbc13657-d595-4013-8bf5-1bffca9c6da1	6428b3b4-e413-406f-8a34-88557fc868c4	COOLING_TOWER
bbc13657-d595-4013-8bf5-1bffca9c6da1	35ec4393-5db4-4279-8d59-2776ee7f1c64	DRY_COOLER
bbc13657-d595-4013-8bf5-1bffca9c6da1	1801a035-0d32-4f76-9dfd-c59de44c2257	REMOTE_CONDENSER
bbc13657-d595-4013-8bf5-1bffca9c6da1	f631a2c5-6271-43c9-a61e-b79f4ab866b9	CHILLED_WATER_PUMPS
bbc13657-d595-4013-8bf5-1bffca9c6da1	9139dcc6-e0c0-4fa9-a974-69b538d7cbba	HEAT_REJECTION_PUMPS
bbc13657-d595-4013-8bf5-1bffca9c6da1	60f1373a-d4a2-4e04-8a2c-975a0079f309	VENTILATION
bbc13657-d595-4013-8bf5-1bffca9c6da1	62175c4d-9646-4728-a167-8f46957fd02b	INFILTRATION
bbc13657-d595-4013-8bf5-1bffca9c6da1	734bcce4-be3c-47bf-9248-4630ffa9dcb8	IT_LOAD
4b860510-6276-4205-949f-d6fbdb6c0e11	d2e6792c-247f-4a76-a27c-ac8bbb4a4b53	SWITCHGEAR
4b860510-6276-4205-949f-d6fbdb6c0e11	bb49ab17-70a6-412f-b8e9-a5e991a4ef24	GENERATOR
4b860510-6276-4205-949f-d6fbdb6c0e11	f796a126-b8bf-4aef-9dfc-938112de0366	PRIMARY_AUXILIARIES
4b860510-6276-4205-949f-d6fbdb6c0e11	4c97f2f6-048c-4d84-91ba-1b8cf032b676	UPS
4b860510-6276-4205-949f-d6fbdb6c0e11	98dde105-b9cc-42b5-87f9-24da80cf0301	CRITICAL_AUXILIARIES
4b860510-6276-4205-949f-d6fbdb6c0e11	09b49ae3-34e7-42af-a5ca-a0402b38bdcb	LIGHTING
4b860510-6276-4205-949f-d6fbdb6c0e11	c557c2b8-47e0-485d-abf7-7f47c6519bcf	CRITICAL_POWER_DISTRIBUTION
4b860510-6276-4205-949f-d6fbdb6c0e11	394dc917-d8fa-4978-a482-c1f754397b9c	CRAH
4b860510-6276-4205-949f-d6fbdb6c0e11	4ec26301-f4b9-4daa-a4c2-24a7e5ef4b00	CRAC
4b860510-6276-4205-949f-d6fbdb6c0e11	716c4331-92bf-4cfc-a51f-a209bbfa63b7	CRAC_WITHOUT_FAN
4b860510-6276-4205-949f-d6fbdb6c0e11	9fabfe31-abf0-4b8a-9daf-5528bc445356	CRAC_FAN
4b860510-6276-4205-949f-d6fbdb6c0e11	234b08c1-7001-4067-98cb-a20da4fba0f5	CHILLER
4b860510-6276-4205-949f-d6fbdb6c0e11	fa5a939c-ecf8-4a76-8833-f360c585b282	AIR_COOLED_CHILLER
4b860510-6276-4205-949f-d6fbdb6c0e11	c3bda91b-9248-4530-baa5-3bbed4e836e1	COOLING_TOWER
4b860510-6276-4205-949f-d6fbdb6c0e11	84cf6685-c2e2-4b79-920d-ea12c318a831	DRY_COOLER
4b860510-6276-4205-949f-d6fbdb6c0e11	f6016a36-eb24-412f-9854-9371412378e3	REMOTE_CONDENSER
4b860510-6276-4205-949f-d6fbdb6c0e11	d24f7dca-280b-4b73-b67d-b14a52838efe	CHILLED_WATER_PUMPS
4b860510-6276-4205-949f-d6fbdb6c0e11	faff58d0-d2fa-4e17-98b8-8142a27cca60	HEAT_REJECTION_PUMPS
4b860510-6276-4205-949f-d6fbdb6c0e11	104926c0-ff49-45d2-a2bb-597c344e1e5c	VENTILATION
4b860510-6276-4205-949f-d6fbdb6c0e11	a47f8dbb-aeef-4b34-82b5-5aef02e1694e	INFILTRATION
4b860510-6276-4205-949f-d6fbdb6c0e11	bb6d352e-a3f1-426e-9d8a-f52de445bb40	IT_LOAD
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	6825adef-f682-476e-ab8c-051d20474704	SWITCHGEAR
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	76c8559f-584e-4bf0-ac04-deb3eace1db2	GENERATOR
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	afffc291-da21-4254-ac4d-c5de458bd76b	PRIMARY_AUXILIARIES
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	371dd96f-6fd9-4b78-8b40-448d80bcf2db	UPS
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	8ceb684f-8504-4b5e-941f-b65d5b2988c6	CRITICAL_AUXILIARIES
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	b92b1ddd-f7d6-45f9-97c7-20e091c2132f	LIGHTING
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	a5dd7f7a-6ad7-49ed-b625-e967da52ab94	CRITICAL_POWER_DISTRIBUTION
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	e0d7f152-9ac4-4605-a6a9-e9bdc8bd9bbf	CRAH
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	90ae043b-37c8-4399-9975-794e9bcb1689	CRAC
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	ac2c175b-4883-4213-955f-77eeedbbed99	CRAC_WITHOUT_FAN
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	c24e4044-8e26-47e3-8d2b-b1f10711e89d	CRAC_FAN
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	e24d2cf2-fdac-4c58-9106-a079ec25f317	CHILLER
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	9b46994a-134e-45d8-b4ae-1406a0a85986	AIR_COOLED_CHILLER
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	95e2088f-0a99-4a7a-a2ac-0b3b523e014f	COOLING_TOWER
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	7ecfd8a8-b361-47aa-80ae-6b01048fa9e0	DRY_COOLER
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	1f03eaa0-310b-4fe9-8500-a76f5f085ba1	REMOTE_CONDENSER
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	9d693c44-f509-4bb1-bfb9-b1c44bbb9847	CHILLED_WATER_PUMPS
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	6d35521b-7a66-406d-b3ed-d6f48aec787e	HEAT_REJECTION_PUMPS
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	f8187534-1e31-44c6-982a-4fda1552670b	VENTILATION
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	7158e014-a26c-48ba-b26c-e07b26a36664	INFILTRATION
4ae9556f-bcb1-4c8e-a308-ca1150d62c55	f3710293-6a96-456d-9e23-824527da240e	IT_LOAD
790583a2-8d21-44dc-b444-aae77ca875e6	5b701828-eae8-436d-a787-057075418871	SWITCHGEAR
790583a2-8d21-44dc-b444-aae77ca875e6	3311262c-32b1-45cf-a8bc-88061e82c3a7	GENERATOR
790583a2-8d21-44dc-b444-aae77ca875e6	75246123-1f0d-4c26-a965-498e53e66820	PRIMARY_AUXILIARIES
790583a2-8d21-44dc-b444-aae77ca875e6	c2ca27fe-cf6f-4bd5-9ea2-f4395b214b2c	UPS
790583a2-8d21-44dc-b444-aae77ca875e6	9d89b354-efec-4619-8d9e-63ba8ab78be6	CRITICAL_AUXILIARIES
790583a2-8d21-44dc-b444-aae77ca875e6	1448c04d-2a45-4890-8134-ab3e8239cc98	LIGHTING
790583a2-8d21-44dc-b444-aae77ca875e6	8b1a9f41-1188-48e5-8e6c-d2e6f2e7f188	CRITICAL_POWER_DISTRIBUTION
790583a2-8d21-44dc-b444-aae77ca875e6	85f06d7d-d38d-4d51-a904-1e8d27c51db8	CRAH
790583a2-8d21-44dc-b444-aae77ca875e6	f5f172ad-7aee-44b7-9054-a69559b008e7	CRAC
790583a2-8d21-44dc-b444-aae77ca875e6	2b46faf3-29bc-4a98-981a-4d0679ef9ae1	CRAC_WITHOUT_FAN
790583a2-8d21-44dc-b444-aae77ca875e6	c2e2bb22-9676-4255-ab61-193d0173c7c5	CRAC_FAN
790583a2-8d21-44dc-b444-aae77ca875e6	b2844657-cd75-43f3-926b-99127bdc597d	CHILLER
790583a2-8d21-44dc-b444-aae77ca875e6	ee0c2ef1-3107-4d2b-9bfb-f870f3d76ed8	AIR_COOLED_CHILLER
790583a2-8d21-44dc-b444-aae77ca875e6	af80ae1d-7eb9-4684-b346-f05a4a043511	COOLING_TOWER
790583a2-8d21-44dc-b444-aae77ca875e6	989a735d-fb04-4fe6-bdac-1902eec96629	DRY_COOLER
790583a2-8d21-44dc-b444-aae77ca875e6	0e0720e6-897c-4597-8ea3-05bf7ccda085	REMOTE_CONDENSER
790583a2-8d21-44dc-b444-aae77ca875e6	316c0574-ae15-41f7-bc82-ac2d8d0a6311	CHILLED_WATER_PUMPS
790583a2-8d21-44dc-b444-aae77ca875e6	2d751b7b-4797-428f-aaa4-7cf6642d614f	HEAT_REJECTION_PUMPS
790583a2-8d21-44dc-b444-aae77ca875e6	d6735feb-3b88-4d0a-b374-786fda1df548	VENTILATION
790583a2-8d21-44dc-b444-aae77ca875e6	becd5acc-71fa-4d97-8a22-c32a660bd0fa	INFILTRATION
790583a2-8d21-44dc-b444-aae77ca875e6	f3a9ae69-cd0b-4f8f-8ac9-4cb8b2787910	IT_LOAD
df72a609-da61-43ba-8155-01dfec120873	ee7e9a65-af9f-4ea9-ba75-157b3305dec1	SWITCHGEAR
df72a609-da61-43ba-8155-01dfec120873	45d2af1e-49b9-47a2-a036-1f04c8a45cb6	GENERATOR
df72a609-da61-43ba-8155-01dfec120873	8248e8d4-549c-4e6e-afa8-468c973e3499	PRIMARY_AUXILIARIES
df72a609-da61-43ba-8155-01dfec120873	3ca41733-c383-4738-8ffc-8e49a8e5b277	UPS
df72a609-da61-43ba-8155-01dfec120873	a8d155e4-6c50-47c6-be76-4056d702266e	CRITICAL_AUXILIARIES
df72a609-da61-43ba-8155-01dfec120873	9d2a9710-5f70-40d8-90b5-aee04561b543	LIGHTING
df72a609-da61-43ba-8155-01dfec120873	bb50ff5a-571c-4599-ab8b-68139acb233c	CRITICAL_POWER_DISTRIBUTION
df72a609-da61-43ba-8155-01dfec120873	5c26ddde-1e41-491c-815f-4b97615a5b69	CRAH
df72a609-da61-43ba-8155-01dfec120873	46516943-4447-47cd-8812-79055aec921f	CRAC
df72a609-da61-43ba-8155-01dfec120873	75a4e1d6-1afa-46f4-a5cc-c44f4b7c8e77	CRAC_WITHOUT_FAN
df72a609-da61-43ba-8155-01dfec120873	e8f24a08-c264-4cf1-accd-56ea83cd0c9d	CRAC_FAN
df72a609-da61-43ba-8155-01dfec120873	c343d7db-6e29-4c33-8b10-92b74645e1a7	CHILLER
df72a609-da61-43ba-8155-01dfec120873	7478b230-d67b-4985-8afe-29e7ce867bb1	AIR_COOLED_CHILLER
df72a609-da61-43ba-8155-01dfec120873	9fb7c37f-6ae8-4bfd-996a-2da6c9e758e0	COOLING_TOWER
df72a609-da61-43ba-8155-01dfec120873	530d9792-4c8e-4c13-b81e-0b20af88f80c	DRY_COOLER
df72a609-da61-43ba-8155-01dfec120873	eee53b3f-19ad-4546-bd3e-eff97dab503f	REMOTE_CONDENSER
df72a609-da61-43ba-8155-01dfec120873	0b0e8c71-8ffa-4f25-a30b-0143917d1ddb	CHILLED_WATER_PUMPS
df72a609-da61-43ba-8155-01dfec120873	1f00fad2-b496-4430-8783-2f4e1579c5b7	HEAT_REJECTION_PUMPS
df72a609-da61-43ba-8155-01dfec120873	8b81afaa-c174-4aed-8e76-4069c5a728ca	VENTILATION
df72a609-da61-43ba-8155-01dfec120873	8d29aa02-6f2f-418d-828d-dafb82218aae	INFILTRATION
df72a609-da61-43ba-8155-01dfec120873	25ee244d-cc9c-4e32-ad2e-220fa019a0d9	IT_LOAD
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	6d52ca45-c558-498b-b2de-e7fbaff23382	SWITCHGEAR
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	9a3f7ed7-d031-44c7-a825-c8fe2bce7557	GENERATOR
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	a0106acf-0633-4339-bc59-501d0b745072	PRIMARY_AUXILIARIES
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	41de6b84-dbfc-4d3a-bff7-efabbaa8d10a	UPS
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	8bfd9739-1bce-438c-8c35-2210bb1a6653	CRITICAL_AUXILIARIES
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	a2bfe62c-5b89-4f44-913e-6149acd4c067	LIGHTING
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	103a61ef-5b7f-4efc-8db4-a774c5ab45c0	CRITICAL_POWER_DISTRIBUTION
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	cc1926cd-daba-48a6-94ea-f328262aeb76	CRAH
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	b5d64263-8764-4e84-8ad2-800811cc9669	CRAC
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	ac40a193-af39-4175-bdd3-aef0564d27a4	CRAC_WITHOUT_FAN
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	f8915c15-e412-49f6-b7d9-07215ec02b9e	CRAC_FAN
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	387bfd26-d8ac-434f-9613-94fb57600101	CHILLER
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	a14e9c77-71be-4b5a-972f-c733d89fc4ad	AIR_COOLED_CHILLER
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	19b7cdda-3e1b-4223-b0c7-07ac22fb179d	COOLING_TOWER
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	021620c6-036c-4f89-add4-0dc851997553	DRY_COOLER
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	60f63a9f-75f9-48b0-8190-2849f220b85e	REMOTE_CONDENSER
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	989b4e2a-ffa3-4780-a19b-3506ff8287e5	CHILLED_WATER_PUMPS
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	ce4332e6-379d-415e-811b-a18004a55f12	HEAT_REJECTION_PUMPS
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	ec3cb8b6-3f60-4343-8871-2454e78cc6a5	VENTILATION
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	9532e3eb-bcc0-4f7e-ba3a-a038bf61a4f4	INFILTRATION
d83c2b7f-69ef-47ac-bebb-c14b59fd9ef5	9c8f4394-c4f8-4cdd-b48f-9e3a2a3d2092	IT_LOAD
6576e7b1-0670-403d-b530-042822ecd10b	7acb7ce4-26f1-425b-8f33-c95e5d9d9928	SWITCHGEAR
6576e7b1-0670-403d-b530-042822ecd10b	5bf0aa87-6dcf-4362-97fd-97a6282a291a	GENERATOR
6576e7b1-0670-403d-b530-042822ecd10b	558481e9-3479-4178-af18-dd38bf709c19	PRIMARY_AUXILIARIES
6576e7b1-0670-403d-b530-042822ecd10b	dd1c6f0b-4811-400e-8f5d-f5564d9ec5a9	UPS
6576e7b1-0670-403d-b530-042822ecd10b	d68da351-1da5-42ea-aebc-77ad5c2cc402	CRITICAL_AUXILIARIES
6576e7b1-0670-403d-b530-042822ecd10b	f2ce544b-6527-48d8-8588-6593140fede1	LIGHTING
6576e7b1-0670-403d-b530-042822ecd10b	9d32d4e7-0b84-4096-bfab-43b208812d63	CRITICAL_POWER_DISTRIBUTION
6576e7b1-0670-403d-b530-042822ecd10b	96e98d50-cea5-4658-9222-681115b95106	CRAH
6576e7b1-0670-403d-b530-042822ecd10b	cfebbb28-2a62-4129-8488-5fc5c8d05e86	CRAC
6576e7b1-0670-403d-b530-042822ecd10b	a6c489cc-8b94-4354-8e0a-81b3923f50d1	CRAC_WITHOUT_FAN
6576e7b1-0670-403d-b530-042822ecd10b	07732ba3-4c03-4952-be0c-646279b1d88f	CRAC_FAN
6576e7b1-0670-403d-b530-042822ecd10b	f564f212-836f-4935-a0d7-78b19ff04891	CHILLER
6576e7b1-0670-403d-b530-042822ecd10b	358b0509-1aa8-4d70-9dc0-80a9be769739	AIR_COOLED_CHILLER
6576e7b1-0670-403d-b530-042822ecd10b	553ba4e6-204b-40bb-ad8c-1722aa14d541	COOLING_TOWER
6576e7b1-0670-403d-b530-042822ecd10b	f5e4ea2b-f13f-4791-8637-c7017e75cc85	DRY_COOLER
6576e7b1-0670-403d-b530-042822ecd10b	3f3e4f94-7242-4a35-9b6a-bb2c61286902	REMOTE_CONDENSER
6576e7b1-0670-403d-b530-042822ecd10b	2aa7aa95-2864-454b-aa85-164a36967c1f	CHILLED_WATER_PUMPS
6576e7b1-0670-403d-b530-042822ecd10b	1c7113b3-71fa-40ad-99b7-8fd05086906d	HEAT_REJECTION_PUMPS
6576e7b1-0670-403d-b530-042822ecd10b	f304b32b-bf99-4c4d-8129-5038963ad42b	VENTILATION
6576e7b1-0670-403d-b530-042822ecd10b	93b69697-a23c-45ab-922f-36757c90ede7	INFILTRATION
6576e7b1-0670-403d-b530-042822ecd10b	e83b575a-84e4-4019-acb7-38e83e949f36	IT_LOAD
d87f1c79-1799-488b-a8c0-8607ee8ce95f	904d37a5-0644-418c-852d-5b1de3fcbe72	SWITCHGEAR
d87f1c79-1799-488b-a8c0-8607ee8ce95f	6b3593e1-3b6e-4861-85f5-58b7b4ee132f	GENERATOR
d87f1c79-1799-488b-a8c0-8607ee8ce95f	08f038de-0aec-49f4-99b1-9636a1d9af6f	PRIMARY_AUXILIARIES
d87f1c79-1799-488b-a8c0-8607ee8ce95f	535d48ca-4f3d-4ab3-a4f5-94cd85d52aee	UPS
d87f1c79-1799-488b-a8c0-8607ee8ce95f	527f7a2d-602d-47ac-bdd2-c3012a978c6c	CRITICAL_AUXILIARIES
d87f1c79-1799-488b-a8c0-8607ee8ce95f	ce92846d-8265-4b2b-a67e-9728abefc2fa	LIGHTING
d87f1c79-1799-488b-a8c0-8607ee8ce95f	852f375d-8da1-4052-b481-adbf1354b3a9	CRITICAL_POWER_DISTRIBUTION
d87f1c79-1799-488b-a8c0-8607ee8ce95f	dfcb6efb-dae9-4f24-94d6-f0eeca3d15fe	CRAH
d87f1c79-1799-488b-a8c0-8607ee8ce95f	fecc72cf-e05b-49a5-ab3d-78fbf3472c37	CRAC
d87f1c79-1799-488b-a8c0-8607ee8ce95f	f93200c3-b374-4086-89fc-dd316d5445ad	CRAC_WITHOUT_FAN
d87f1c79-1799-488b-a8c0-8607ee8ce95f	25b6fe02-f696-431d-85bd-29d62927a3f6	CRAC_FAN
d87f1c79-1799-488b-a8c0-8607ee8ce95f	00e47bbb-c2e6-47e6-a48e-28546429ac0a	CHILLER
d87f1c79-1799-488b-a8c0-8607ee8ce95f	18e56976-b42d-4cbe-88fe-699067031697	AIR_COOLED_CHILLER
d87f1c79-1799-488b-a8c0-8607ee8ce95f	1e22f7fe-b87a-47ed-bc3e-b729a866f1ab	COOLING_TOWER
d87f1c79-1799-488b-a8c0-8607ee8ce95f	975bed5e-0d57-4885-b1d2-2802c518d888	DRY_COOLER
d87f1c79-1799-488b-a8c0-8607ee8ce95f	7b5006c7-0ea6-4366-9795-1d4cae5f731c	REMOTE_CONDENSER
d87f1c79-1799-488b-a8c0-8607ee8ce95f	359fba4c-33fe-455b-a5a5-9374ac3b471a	CHILLED_WATER_PUMPS
d87f1c79-1799-488b-a8c0-8607ee8ce95f	5e77846f-7d9c-48f7-a993-a05e633aa453	HEAT_REJECTION_PUMPS
d87f1c79-1799-488b-a8c0-8607ee8ce95f	64b1255f-7cee-4b12-a0cc-654748259b41	VENTILATION
d87f1c79-1799-488b-a8c0-8607ee8ce95f	2c6e8ec7-58a6-4e80-9d7d-133b701e8735	INFILTRATION
d87f1c79-1799-488b-a8c0-8607ee8ce95f	9ef3866a-6ee5-42f2-bd7b-921f286c37fe	IT_LOAD
2163343c-82eb-4c2e-8b0f-44a279b4c798	5605988e-0c28-4dda-a665-07c4006edc80	SWITCHGEAR
2163343c-82eb-4c2e-8b0f-44a279b4c798	bd62f279-dca9-4746-bc19-0ea39d1d3c85	GENERATOR
2163343c-82eb-4c2e-8b0f-44a279b4c798	f4e3b0ff-4d3d-4a7e-868a-560eb7374c77	PRIMARY_AUXILIARIES
2163343c-82eb-4c2e-8b0f-44a279b4c798	19fe0720-7405-43c0-922f-183ede49b889	UPS
2163343c-82eb-4c2e-8b0f-44a279b4c798	0fb39179-4147-4a93-b3a5-c3044ca493e6	CRITICAL_AUXILIARIES
2163343c-82eb-4c2e-8b0f-44a279b4c798	96c193bc-e544-4030-bd76-e85f826ef475	LIGHTING
2163343c-82eb-4c2e-8b0f-44a279b4c798	1740bea8-337b-4172-a423-07bb1d8d66da	CRITICAL_POWER_DISTRIBUTION
2163343c-82eb-4c2e-8b0f-44a279b4c798	5a963bfc-7303-4c2c-8ef6-01f019067469	CRAH
2163343c-82eb-4c2e-8b0f-44a279b4c798	a07a42a1-bd75-4eb7-a175-946e679f28d2	CRAC
2163343c-82eb-4c2e-8b0f-44a279b4c798	92687a86-bebc-4cad-b608-b0aec10bcca8	CRAC_WITHOUT_FAN
2163343c-82eb-4c2e-8b0f-44a279b4c798	067b5de5-b207-4297-bfd2-f4685845a871	CRAC_FAN
2163343c-82eb-4c2e-8b0f-44a279b4c798	928f6e28-fa89-4554-b47d-1a817e8b24c7	CHILLER
2163343c-82eb-4c2e-8b0f-44a279b4c798	04559b5d-9d1b-4b70-8fd3-119d3b4fdbb7	AIR_COOLED_CHILLER
2163343c-82eb-4c2e-8b0f-44a279b4c798	5b915a43-0f68-41fb-84f4-432d30cdd778	COOLING_TOWER
2163343c-82eb-4c2e-8b0f-44a279b4c798	f24a1e97-534a-4b3d-80c7-3da194124431	DRY_COOLER
2163343c-82eb-4c2e-8b0f-44a279b4c798	790a8e29-c369-4f1a-b17b-f6d2ac7b9bd0	REMOTE_CONDENSER
2163343c-82eb-4c2e-8b0f-44a279b4c798	fb517c8a-0fec-43e4-b1eb-4338a0c5655d	CHILLED_WATER_PUMPS
2163343c-82eb-4c2e-8b0f-44a279b4c798	7ca8d8a9-f05b-4bad-923c-22a07eee6dd4	HEAT_REJECTION_PUMPS
2163343c-82eb-4c2e-8b0f-44a279b4c798	4fc9afc0-7097-4f4c-89ee-63327ae2fd04	VENTILATION
2163343c-82eb-4c2e-8b0f-44a279b4c798	25ba4458-c885-45a9-98f1-3c14a544df80	INFILTRATION
2163343c-82eb-4c2e-8b0f-44a279b4c798	ecf4153e-630e-4d9e-a9f9-81fdf40cf144	IT_LOAD
ea02431e-9e3b-4585-9380-1e4f2ff051cf	20492840-51ff-4801-8f79-6fafb7b4c2bb	SWITCHGEAR
ea02431e-9e3b-4585-9380-1e4f2ff051cf	ec4a23a4-8578-40f7-9737-2dbbcb323461	GENERATOR
ea02431e-9e3b-4585-9380-1e4f2ff051cf	8fdea52f-4879-4a24-bbfd-ffb1fb7eb488	PRIMARY_AUXILIARIES
ea02431e-9e3b-4585-9380-1e4f2ff051cf	066457b3-848f-409e-9514-ae0308cd1c24	UPS
ea02431e-9e3b-4585-9380-1e4f2ff051cf	85691067-faf2-4066-95cd-920a4a423519	CRITICAL_AUXILIARIES
ea02431e-9e3b-4585-9380-1e4f2ff051cf	e5855d96-98be-4107-a5bb-eee0f45f0ad2	LIGHTING
ea02431e-9e3b-4585-9380-1e4f2ff051cf	2033c099-9ff1-4053-a4aa-d39434c7c2bf	CRITICAL_POWER_DISTRIBUTION
ea02431e-9e3b-4585-9380-1e4f2ff051cf	2f97ebd7-b14c-427c-8dd9-5fb38133d83c	CRAH
ea02431e-9e3b-4585-9380-1e4f2ff051cf	4d64a898-ac01-451a-9577-ac68171bd285	CRAC
ea02431e-9e3b-4585-9380-1e4f2ff051cf	c4cf6eaa-69db-4923-8c54-01e22da3a3eb	CRAC_WITHOUT_FAN
ea02431e-9e3b-4585-9380-1e4f2ff051cf	7dffee53-c3b2-44fd-b623-300af6ec0a98	CRAC_FAN
ea02431e-9e3b-4585-9380-1e4f2ff051cf	f6e905cd-00da-4b0e-b37e-717aac07be95	CHILLER
ea02431e-9e3b-4585-9380-1e4f2ff051cf	953a7f6d-1f42-47a8-ba4c-bf43d85eef97	AIR_COOLED_CHILLER
ea02431e-9e3b-4585-9380-1e4f2ff051cf	9b9a7d3a-d738-4cc5-be78-8d4de235672d	COOLING_TOWER
ea02431e-9e3b-4585-9380-1e4f2ff051cf	b5b07bdf-453e-48f3-83f5-5087d59d9ffa	DRY_COOLER
ea02431e-9e3b-4585-9380-1e4f2ff051cf	35d5d5b6-1ae7-4abe-95b6-d6df914e5ae5	REMOTE_CONDENSER
ea02431e-9e3b-4585-9380-1e4f2ff051cf	fd970672-c415-4935-99dc-4896180080cc	CHILLED_WATER_PUMPS
ea02431e-9e3b-4585-9380-1e4f2ff051cf	87905651-f355-4a41-9708-eca9f4131e46	HEAT_REJECTION_PUMPS
ea02431e-9e3b-4585-9380-1e4f2ff051cf	f2b8cb22-943f-46e8-a0d5-b83709c34b8f	VENTILATION
ea02431e-9e3b-4585-9380-1e4f2ff051cf	08a9ed17-f41d-4aee-92ef-6302b02da546	INFILTRATION
ea02431e-9e3b-4585-9380-1e4f2ff051cf	f6d74fd8-9ddd-40a4-9123-47c780a57eea	IT_LOAD
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	fb2cb175-6d7a-44e0-8bdd-db5232a15175	SWITCHGEAR
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	75b8ceb7-347a-4b5b-8c6e-61cd0bdf5e08	GENERATOR
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	2ae6ba2b-96ed-4a5e-bea4-d0bf142d32f4	PRIMARY_AUXILIARIES
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	898276f6-4c55-429d-aa7f-61fe58e9285b	UPS
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	28c27941-557a-4f09-b873-5a0fbad4ad26	CRITICAL_AUXILIARIES
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	c1593248-b9c3-4249-a734-f465f661d4e7	LIGHTING
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	2f0fa0d3-a09a-4122-a6e4-141d17d4ac22	CRITICAL_POWER_DISTRIBUTION
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	7aa4f172-af58-4e7e-8798-b98e588b66b4	CRAH
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	da183d4a-aff8-44fc-a1c6-5654522da869	CRAC
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	cafaebee-cf2b-4ad0-8204-4c9712205351	CRAC_WITHOUT_FAN
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	fa29d8a1-9e4b-4a61-a1f1-f190ab0f88f5	CRAC_FAN
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	a996b660-e175-4b72-ba44-3b251069fe0a	CHILLER
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	32b77367-9fbc-4816-ab2f-453609c69474	AIR_COOLED_CHILLER
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	b12efd1e-c173-4603-a0c2-3575d3720f94	COOLING_TOWER
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	5ba310c0-e21d-408f-b29d-1892ff565f3e	DRY_COOLER
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	f718394f-d2a3-4484-92bb-d9e81b42fb87	REMOTE_CONDENSER
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	dd109bd0-7bbb-4d76-96fa-e21479ecbbb8	CHILLED_WATER_PUMPS
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	6eb11b0e-c9d4-4cb9-8b57-273c12f31a46	HEAT_REJECTION_PUMPS
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	4e896dc9-c83a-4aa1-8c0b-f76cfb3c5c5e	VENTILATION
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	674d9417-d371-46e6-ae14-240ea7a5e79f	INFILTRATION
36be39ae-ad33-4d14-a1c6-b70fe08ac0b6	9f29a06e-4df3-4083-a4ac-353dfa41ea2e	IT_LOAD
62461e2b-11dd-4932-83e0-e2d03206b7d4	09d11ced-d187-4ef7-95ea-ecc06110542c	SWITCHGEAR
62461e2b-11dd-4932-83e0-e2d03206b7d4	b9d183da-986b-4d33-a55d-47e511e8911c	GENERATOR
62461e2b-11dd-4932-83e0-e2d03206b7d4	3c7cdf33-fad5-4944-a593-0fdf592eb82f	PRIMARY_AUXILIARIES
62461e2b-11dd-4932-83e0-e2d03206b7d4	323c5c0d-a8e5-4faf-a40f-f19b0a771868	UPS
62461e2b-11dd-4932-83e0-e2d03206b7d4	cbdec2d6-df0c-4360-b2c1-1e8f1b18db07	CRITICAL_AUXILIARIES
62461e2b-11dd-4932-83e0-e2d03206b7d4	2d3defbd-ab3d-4eac-a654-61f00ed83585	LIGHTING
62461e2b-11dd-4932-83e0-e2d03206b7d4	98e8d537-a297-42fc-a789-35c29cac0e81	CRITICAL_POWER_DISTRIBUTION
62461e2b-11dd-4932-83e0-e2d03206b7d4	8dd3a442-6007-482e-aad6-468c0851063a	CRAH
62461e2b-11dd-4932-83e0-e2d03206b7d4	418cf008-b76c-449e-9bcc-efaf996a7f94	CRAC
62461e2b-11dd-4932-83e0-e2d03206b7d4	8250534d-6500-4dfc-9592-91c9a8fa4128	CRAC_WITHOUT_FAN
62461e2b-11dd-4932-83e0-e2d03206b7d4	0ea30373-ca36-4876-9844-7f0737ac2c38	CRAC_FAN
62461e2b-11dd-4932-83e0-e2d03206b7d4	94f428ae-b7de-41a2-b4af-6202464edc2d	CHILLER
62461e2b-11dd-4932-83e0-e2d03206b7d4	60025a19-ced5-4070-95b0-368b875eb5aa	AIR_COOLED_CHILLER
62461e2b-11dd-4932-83e0-e2d03206b7d4	e3f94526-b555-499f-99a5-688a874df8f8	COOLING_TOWER
62461e2b-11dd-4932-83e0-e2d03206b7d4	bddb2551-c6c8-4c1a-a91c-c728ef79ee53	DRY_COOLER
62461e2b-11dd-4932-83e0-e2d03206b7d4	4dc07d5c-5a3f-45fd-9b23-791f6819535b	REMOTE_CONDENSER
62461e2b-11dd-4932-83e0-e2d03206b7d4	d28cb9ec-06be-49af-829f-051a71368877	CHILLED_WATER_PUMPS
62461e2b-11dd-4932-83e0-e2d03206b7d4	19255fdb-e5fb-4c16-beb5-82c988f6aec1	HEAT_REJECTION_PUMPS
62461e2b-11dd-4932-83e0-e2d03206b7d4	4f41b072-5220-4174-afaa-8d87df607bad	VENTILATION
62461e2b-11dd-4932-83e0-e2d03206b7d4	7579b581-f9e6-41e9-9fc2-6b79bfb421a3	INFILTRATION
62461e2b-11dd-4932-83e0-e2d03206b7d4	38680851-cd51-4991-b278-8be6eb94a584	IT_LOAD
0d17c463-d746-4804-81e0-138d994c2988	71049f28-8a6d-4bd0-ad98-7e4b8feaa54d	SWITCHGEAR
0d17c463-d746-4804-81e0-138d994c2988	5643bd11-53b4-4f0d-b957-eebbc298f460	GENERATOR
0d17c463-d746-4804-81e0-138d994c2988	cdc8d051-04f2-49ee-aff5-a76b4975741c	PRIMARY_AUXILIARIES
0d17c463-d746-4804-81e0-138d994c2988	a5f29b32-7971-4092-a9f1-b1c752b7e3d1	UPS
0d17c463-d746-4804-81e0-138d994c2988	728e736b-618c-4612-9fd1-41e7cc24a83b	CRITICAL_AUXILIARIES
0d17c463-d746-4804-81e0-138d994c2988	9d1a4437-7d0f-41f9-9294-e5454f5af9d4	LIGHTING
0d17c463-d746-4804-81e0-138d994c2988	02b2d4a1-41b2-4a83-91a4-c9b93cc345bd	CRITICAL_POWER_DISTRIBUTION
0d17c463-d746-4804-81e0-138d994c2988	e1d66518-c638-4713-846d-c1ad2b7ab07a	CRAH
0d17c463-d746-4804-81e0-138d994c2988	958a3242-db45-4305-a096-dbfa52b73e10	CRAC
0d17c463-d746-4804-81e0-138d994c2988	51bb1026-2e8f-4520-b235-0014278b7a10	CRAC_WITHOUT_FAN
0d17c463-d746-4804-81e0-138d994c2988	b3201eb2-efe1-4986-b168-860f08b84d91	CRAC_FAN
0d17c463-d746-4804-81e0-138d994c2988	a3562ec4-c884-4741-841a-8ef76770915f	CHILLER
0d17c463-d746-4804-81e0-138d994c2988	6ddb50ba-05d6-4bbb-8149-db6840e7a011	AIR_COOLED_CHILLER
0d17c463-d746-4804-81e0-138d994c2988	633e42c8-9256-4b5a-ba06-c3dbe9d73ede	COOLING_TOWER
0d17c463-d746-4804-81e0-138d994c2988	8b088aa6-bf7b-4a3f-8d3d-d33a3841d897	DRY_COOLER
0d17c463-d746-4804-81e0-138d994c2988	2bcd1f8c-89b3-4d88-8cb2-e99e9dd27b36	REMOTE_CONDENSER
0d17c463-d746-4804-81e0-138d994c2988	f21a16ef-1b9c-4fa9-afd7-ec0379d8184a	CHILLED_WATER_PUMPS
0d17c463-d746-4804-81e0-138d994c2988	613f6dc3-6871-4063-9188-5ff1a92ae3bf	HEAT_REJECTION_PUMPS
0d17c463-d746-4804-81e0-138d994c2988	817a0fc4-c736-4ced-8689-a193affd39d2	VENTILATION
0d17c463-d746-4804-81e0-138d994c2988	a504aa65-add5-45d8-94ce-04c08f982ef8	INFILTRATION
0d17c463-d746-4804-81e0-138d994c2988	382d4690-f38f-40a6-bd38-230dbc4188e6	IT_LOAD
24a4b994-d56d-4969-8325-65ea7b716e70	8ff6fc64-b91c-4529-bb87-f50853c69254	SWITCHGEAR
24a4b994-d56d-4969-8325-65ea7b716e70	dad35456-a253-49a5-9a52-758751bffb2d	GENERATOR
24a4b994-d56d-4969-8325-65ea7b716e70	fd2dac93-41bc-4bc3-9323-c519085b7496	PRIMARY_AUXILIARIES
24a4b994-d56d-4969-8325-65ea7b716e70	886c3316-58fe-49ce-a8bd-f3217fe37905	UPS
24a4b994-d56d-4969-8325-65ea7b716e70	43843b47-cb69-4e3a-ba97-8d49d890685a	CRITICAL_AUXILIARIES
24a4b994-d56d-4969-8325-65ea7b716e70	cce0db29-3d19-4f5c-90a6-ab7ca1ef7290	LIGHTING
24a4b994-d56d-4969-8325-65ea7b716e70	52aa5250-7215-4550-b348-98a0716cc28f	CRITICAL_POWER_DISTRIBUTION
24a4b994-d56d-4969-8325-65ea7b716e70	9c2a5688-eb32-455e-ba60-5c270072bdca	CRAH
24a4b994-d56d-4969-8325-65ea7b716e70	68aa7142-8350-4700-8d6a-8927654f997e	CRAC
24a4b994-d56d-4969-8325-65ea7b716e70	263f9790-dc58-40f9-b1db-15d503dbfb75	CRAC_WITHOUT_FAN
24a4b994-d56d-4969-8325-65ea7b716e70	977e2e23-cb43-4803-a39e-b5aae44ac361	CRAC_FAN
24a4b994-d56d-4969-8325-65ea7b716e70	f4ce1ea2-a67c-407d-bc15-1971a565647a	CHILLER
24a4b994-d56d-4969-8325-65ea7b716e70	d9462d83-2924-49fd-a6cd-708a6759467c	AIR_COOLED_CHILLER
24a4b994-d56d-4969-8325-65ea7b716e70	cc98e63e-2939-49e2-a144-c60afc78b15f	COOLING_TOWER
24a4b994-d56d-4969-8325-65ea7b716e70	8a521f24-11ab-4f9c-a78e-7369b0be4cb5	DRY_COOLER
24a4b994-d56d-4969-8325-65ea7b716e70	72d28ebe-c064-4c8b-b8d5-dfe767a26c6a	REMOTE_CONDENSER
24a4b994-d56d-4969-8325-65ea7b716e70	c086e464-11d0-463c-8a57-1e5eb2855ecd	CHILLED_WATER_PUMPS
24a4b994-d56d-4969-8325-65ea7b716e70	a03d3d98-e9e2-4292-83ce-45e0a43194ef	HEAT_REJECTION_PUMPS
24a4b994-d56d-4969-8325-65ea7b716e70	e7a3c448-f9a6-4059-9b1c-a9e7ab8f2be2	VENTILATION
24a4b994-d56d-4969-8325-65ea7b716e70	98d3621e-fffd-49f9-aafa-41b54d81bfc0	INFILTRATION
24a4b994-d56d-4969-8325-65ea7b716e70	8deed5f5-c9dc-41bd-b408-27ac9498d00c	IT_LOAD
a769f711-093d-454b-b76b-4962c121de4e	28dc1923-8424-4a90-8dbd-7fbe3fe63e6f	SWITCHGEAR
a769f711-093d-454b-b76b-4962c121de4e	1090c362-f272-4924-87ec-298c191a9b50	GENERATOR
a769f711-093d-454b-b76b-4962c121de4e	165dfdf7-92cc-479f-b177-2cf1d32bd440	PRIMARY_AUXILIARIES
a769f711-093d-454b-b76b-4962c121de4e	db40e8ea-b3e7-40e5-9d23-a076bab48790	UPS
a769f711-093d-454b-b76b-4962c121de4e	85e52be7-e84f-49ec-9c3a-93453a9399dd	CRITICAL_AUXILIARIES
a769f711-093d-454b-b76b-4962c121de4e	79fb2e44-9203-490c-b897-8642181bb116	LIGHTING
a769f711-093d-454b-b76b-4962c121de4e	bc79ec68-ed36-4a84-a7b7-57d5b356bae2	CRITICAL_POWER_DISTRIBUTION
a769f711-093d-454b-b76b-4962c121de4e	49298307-ad33-4579-a1d3-9cf8630ab05b	CRAH
a769f711-093d-454b-b76b-4962c121de4e	aaf17ca0-b1da-4584-b5d1-b3ba59628b0a	CRAC
a769f711-093d-454b-b76b-4962c121de4e	ec98a853-3db4-4681-a021-537a58efb5ac	CRAC_WITHOUT_FAN
a769f711-093d-454b-b76b-4962c121de4e	350e06cd-4f48-4125-89c2-8f26b1ead72c	CRAC_FAN
a769f711-093d-454b-b76b-4962c121de4e	b7937134-2909-4225-b1fd-034a22f88564	CHILLER
a769f711-093d-454b-b76b-4962c121de4e	cc69a134-b4a0-48ad-b66a-4f2406942258	AIR_COOLED_CHILLER
a769f711-093d-454b-b76b-4962c121de4e	25f223a1-7cbc-4b54-be66-696834b40959	COOLING_TOWER
a769f711-093d-454b-b76b-4962c121de4e	0b6606ce-f065-4940-852f-905b62ac26ce	DRY_COOLER
a769f711-093d-454b-b76b-4962c121de4e	84e36876-4d0f-4a0b-b19c-6d2773b1559c	REMOTE_CONDENSER
a769f711-093d-454b-b76b-4962c121de4e	97bfb49b-c23b-4b64-84f7-537ba65ed5e3	CHILLED_WATER_PUMPS
a769f711-093d-454b-b76b-4962c121de4e	7f52a166-3be2-4098-8b33-9fa11c20a6ae	HEAT_REJECTION_PUMPS
a769f711-093d-454b-b76b-4962c121de4e	977e8579-bfa6-4054-bb2c-4456d952982c	VENTILATION
a769f711-093d-454b-b76b-4962c121de4e	08400c6b-8f5e-4008-9cdb-cb2a25e34dcd	INFILTRATION
a769f711-093d-454b-b76b-4962c121de4e	4b6451b8-fc93-4be5-a946-8dd8db9b363b	IT_LOAD
11b559b5-8a10-4648-b8d1-aff948da4fef	fd9cfd33-676e-47b7-a804-58e487e7e6d7	SWITCHGEAR
11b559b5-8a10-4648-b8d1-aff948da4fef	c8dad8c3-7bbd-4b42-84d0-8bf6843f233b	GENERATOR
11b559b5-8a10-4648-b8d1-aff948da4fef	f773198c-5dad-4c0a-9565-3c4a8d6e61ec	PRIMARY_AUXILIARIES
11b559b5-8a10-4648-b8d1-aff948da4fef	6e7813f3-c4b6-413b-aeec-198a44a78656	UPS
11b559b5-8a10-4648-b8d1-aff948da4fef	880d79fd-660f-45a4-a327-6e2c8393939b	CRITICAL_AUXILIARIES
11b559b5-8a10-4648-b8d1-aff948da4fef	db49efab-4da9-4d1a-9e75-836d5747c254	LIGHTING
11b559b5-8a10-4648-b8d1-aff948da4fef	c7430109-5ab1-4218-8552-6137b68e4024	CRITICAL_POWER_DISTRIBUTION
11b559b5-8a10-4648-b8d1-aff948da4fef	329c6a3b-0237-46ce-ac8d-86291a39828b	CRAH
11b559b5-8a10-4648-b8d1-aff948da4fef	d51b62d4-0fb8-4e29-b282-936ff7a2a18f	CRAC
11b559b5-8a10-4648-b8d1-aff948da4fef	964560cf-deb7-42c2-9f98-395bd989ee40	CRAC_WITHOUT_FAN
11b559b5-8a10-4648-b8d1-aff948da4fef	8862dd7a-c89c-4945-b4d7-04c3acbfb7a5	CRAC_FAN
11b559b5-8a10-4648-b8d1-aff948da4fef	daea8e4c-b1d8-4d38-9cf3-08bdf5cb8143	CHILLER
11b559b5-8a10-4648-b8d1-aff948da4fef	e1c14709-b7ce-4659-b5a3-3a01773a529a	AIR_COOLED_CHILLER
11b559b5-8a10-4648-b8d1-aff948da4fef	e15eaeb9-e7b7-453c-ac6a-b3242d255d82	COOLING_TOWER
11b559b5-8a10-4648-b8d1-aff948da4fef	0198a8d4-9fc9-4389-948e-3908463c75ae	DRY_COOLER
11b559b5-8a10-4648-b8d1-aff948da4fef	4a86e220-cca9-4dbe-b477-64257b0270a3	REMOTE_CONDENSER
11b559b5-8a10-4648-b8d1-aff948da4fef	3d9ab062-246f-470a-87c9-bdf177942997	CHILLED_WATER_PUMPS
11b559b5-8a10-4648-b8d1-aff948da4fef	3184cdf3-a2ce-4d72-8f3b-d9b2164ed519	HEAT_REJECTION_PUMPS
11b559b5-8a10-4648-b8d1-aff948da4fef	13799951-8bb5-4ec6-bf16-d36bbc38bf93	VENTILATION
11b559b5-8a10-4648-b8d1-aff948da4fef	06b621cd-aa75-4977-a5cb-03718928cf95	INFILTRATION
11b559b5-8a10-4648-b8d1-aff948da4fef	ec45570a-1f50-44fe-8f29-198b4c41265b	IT_LOAD
75e37f10-becf-4097-9b40-52735f28b29d	1dbae463-bd7e-47a4-800b-13a9f33b15d9	SWITCHGEAR
75e37f10-becf-4097-9b40-52735f28b29d	c4ae6842-edb7-41ab-9543-23f0b8fb6378	GENERATOR
75e37f10-becf-4097-9b40-52735f28b29d	3aa1ca33-cb57-4465-91ea-edd0217cb212	PRIMARY_AUXILIARIES
75e37f10-becf-4097-9b40-52735f28b29d	7330be53-9498-40c1-a624-fbf18b705ec3	UPS
75e37f10-becf-4097-9b40-52735f28b29d	d3f65be0-ae34-47ec-9156-6b14b7486d9f	CRITICAL_AUXILIARIES
75e37f10-becf-4097-9b40-52735f28b29d	3f57fe5b-62dd-487c-b8c6-69546939f9b4	LIGHTING
75e37f10-becf-4097-9b40-52735f28b29d	f6ca1b5c-8c4f-4096-9c4a-23b86d6404a7	CRITICAL_POWER_DISTRIBUTION
75e37f10-becf-4097-9b40-52735f28b29d	7f8ecfb4-8574-46fa-ac76-b7cb9fbe9283	CRAH
75e37f10-becf-4097-9b40-52735f28b29d	414aca57-644c-4e84-bff4-55b1f3f72ba3	CRAC
75e37f10-becf-4097-9b40-52735f28b29d	109bde7a-8203-4302-960e-ccb1d7a5ba18	CRAC_WITHOUT_FAN
75e37f10-becf-4097-9b40-52735f28b29d	82fb2907-5417-4b6b-aea1-2cf25c958932	CRAC_FAN
75e37f10-becf-4097-9b40-52735f28b29d	40ced279-29e6-493f-826d-0abdcbfd265e	CHILLER
75e37f10-becf-4097-9b40-52735f28b29d	4136d3fe-f35b-4f4b-8940-a1f37ada3c4a	AIR_COOLED_CHILLER
75e37f10-becf-4097-9b40-52735f28b29d	2aaaba58-da68-4bbc-9cee-8a78bd8ef8ef	COOLING_TOWER
75e37f10-becf-4097-9b40-52735f28b29d	8cfd74ad-9716-4528-bcaa-f9fe39fa8dff	DRY_COOLER
75e37f10-becf-4097-9b40-52735f28b29d	84ac285e-c7ce-4a3d-8f28-26ffd72ed8fc	REMOTE_CONDENSER
75e37f10-becf-4097-9b40-52735f28b29d	c1707805-e7d3-435e-8898-f31422f30da2	CHILLED_WATER_PUMPS
75e37f10-becf-4097-9b40-52735f28b29d	58a540e8-763d-42ad-99c7-5fcf6189b01a	HEAT_REJECTION_PUMPS
75e37f10-becf-4097-9b40-52735f28b29d	05b03c32-4e64-4257-a33d-3cc78c1b4d23	VENTILATION
75e37f10-becf-4097-9b40-52735f28b29d	cd98635c-56b6-408e-8fc6-fa4ba65f9257	INFILTRATION
75e37f10-becf-4097-9b40-52735f28b29d	08148c74-906b-48de-a0df-bbe3011e3e8b	IT_LOAD
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	2383ee6c-53af-4c9e-9543-0e0c3936f94b	SWITCHGEAR
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	2a0d37a6-103c-44dd-ba58-f7f39bc22e9d	GENERATOR
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	544d0f38-bfb6-48b0-9d18-1087ccf82f65	PRIMARY_AUXILIARIES
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	8128a6b3-ae8e-4b16-9386-107a1d6e755a	UPS
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	18d03001-a41f-4c61-8860-8aee89d68a2a	CRITICAL_AUXILIARIES
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	36ca179a-2314-4b20-b0cb-1c162134488f	LIGHTING
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	93c2f98d-cc6e-4084-a63b-95a269c77f93	CRITICAL_POWER_DISTRIBUTION
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	3c8bea6d-bec4-4b61-962f-7f0bc8751640	CRAH
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	be61eaaf-d02f-4cad-9a2c-ca5903b19869	CRAC
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	c2be5beb-5c70-4910-879c-549629e9a6fa	CRAC_WITHOUT_FAN
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	a784b9dd-c86c-4718-a873-9baf2c38e4f4	CRAC_FAN
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	6d46e6df-48dd-4a16-94d6-1d81c783ffd4	CHILLER
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	9a19dba8-0827-493e-8fbe-848d3e3bc78f	AIR_COOLED_CHILLER
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	3eac98f4-5460-4a28-aaac-257192ddb679	COOLING_TOWER
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	b3e8130b-d029-48de-b962-b94d92ed8c42	DRY_COOLER
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	031c1834-fe45-41d3-b013-749c4ecfebd6	REMOTE_CONDENSER
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	e0379d09-dd99-49c4-9353-e1a2f70ddf99	CHILLED_WATER_PUMPS
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	680105e7-20f2-4aa7-a146-866bcae631bc	HEAT_REJECTION_PUMPS
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	bd16b6cd-5c28-4c22-b38f-7ce5de4e7cfe	VENTILATION
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	52a38a55-cd3c-4552-96de-cf5e3274889a	INFILTRATION
f2a71f86-e89b-4fdc-96c9-deca6810b2aa	1e764a5e-9440-4c45-8e8e-857c36a79c43	IT_LOAD
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	a61c1c28-2608-41b4-a067-4e93add68513	SWITCHGEAR
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	e0c33534-98fb-46f4-9460-b1135a95fa96	GENERATOR
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	bbafd616-3112-475b-b36d-45d869a88fa1	PRIMARY_AUXILIARIES
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	0d69dd34-fd56-4162-ad74-a113815f055c	UPS
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	e78ba813-b402-449f-a6d6-e51ec3987f76	CRITICAL_AUXILIARIES
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	5177c024-f6ad-4d67-94b2-2002a6a39434	LIGHTING
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	a41c6af4-c38d-4b0f-9396-6b55ddf0a5fa	CRITICAL_POWER_DISTRIBUTION
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	4422b9b0-d7f6-412f-87a5-a513b80fa6f3	CRAH
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	c3bb1068-2152-4230-a7cf-6ed3e4566502	CRAC
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	2a74f5d0-f155-427e-b96a-b03b5e86ad9d	CRAC_WITHOUT_FAN
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	afa0079c-8363-495e-87f1-bd022dad2270	CRAC_FAN
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	ec3149a3-4298-4b38-8b02-4341662fca06	CHILLER
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	701a3267-743f-482d-93b2-c800b86837c5	AIR_COOLED_CHILLER
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	b04350ac-7aff-4651-a2f2-b3a351cb4900	COOLING_TOWER
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	0c219ada-9cba-432b-9eaf-70c7ffbd02f8	DRY_COOLER
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	90fb7809-107d-4b1b-80f5-fead06630fea	REMOTE_CONDENSER
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	f76c65d5-8c86-4252-a48b-25e66542b07c	CHILLED_WATER_PUMPS
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	cad7a251-e684-4446-abc0-15198b893593	HEAT_REJECTION_PUMPS
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	be404786-5d62-43b8-b310-104a9b2e48eb	VENTILATION
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	02bbefd6-0cbd-419b-8b17-b33dea0ab059	INFILTRATION
fe23ec1a-b2dd-4cf5-bdaf-76035fc27b39	5443f4d8-88fc-4d82-9976-bcfda98128d5	IT_LOAD
1fc3f271-fdbc-4f25-872f-1836d249744d	dcf199f8-fc22-4668-b061-d2da15290318	SWITCHGEAR
1fc3f271-fdbc-4f25-872f-1836d249744d	f403832b-f380-4e84-ae58-86b6c4c8c262	GENERATOR
1fc3f271-fdbc-4f25-872f-1836d249744d	8cc3c141-dd5d-46e1-abfb-77c769e71b67	PRIMARY_AUXILIARIES
1fc3f271-fdbc-4f25-872f-1836d249744d	7e863a4f-94ad-4f82-ab8e-ff7799341150	UPS
1fc3f271-fdbc-4f25-872f-1836d249744d	e3993295-b451-404c-bf7d-746035ff7f18	CRITICAL_AUXILIARIES
1fc3f271-fdbc-4f25-872f-1836d249744d	0372b96b-c273-4a5e-8e0b-7d33809d8a59	LIGHTING
1fc3f271-fdbc-4f25-872f-1836d249744d	64b077be-1763-4259-964d-c2bdbd0a1f8d	CRITICAL_POWER_DISTRIBUTION
1fc3f271-fdbc-4f25-872f-1836d249744d	19b5ceea-6e36-4af6-97b7-abd51257930d	CRAH
1fc3f271-fdbc-4f25-872f-1836d249744d	136ee30c-e30f-4e75-96f6-6b1887a8467b	CRAC
1fc3f271-fdbc-4f25-872f-1836d249744d	2ee77c64-7e75-409b-a1af-63c6a65c4c5b	CRAC_WITHOUT_FAN
1fc3f271-fdbc-4f25-872f-1836d249744d	3d5bd7f8-6560-4ca7-9b83-8ddcd14cfc1c	CRAC_FAN
1fc3f271-fdbc-4f25-872f-1836d249744d	36f4018a-c01e-4e1a-a881-d8e471ca95d8	CHILLER
1fc3f271-fdbc-4f25-872f-1836d249744d	44d550e7-4b07-46d5-b19b-cc9c9ce7b798	AIR_COOLED_CHILLER
1fc3f271-fdbc-4f25-872f-1836d249744d	888e8a78-cf77-4e8b-8921-0d3a623feace	COOLING_TOWER
1fc3f271-fdbc-4f25-872f-1836d249744d	ec5fb0fa-d3aa-4450-b2e4-4a6b94249037	DRY_COOLER
1fc3f271-fdbc-4f25-872f-1836d249744d	d2213224-2dd3-4cb7-b335-8df8fe58860b	REMOTE_CONDENSER
1fc3f271-fdbc-4f25-872f-1836d249744d	170ad44f-060e-45f4-9e36-9972ecde3163	CHILLED_WATER_PUMPS
1fc3f271-fdbc-4f25-872f-1836d249744d	33567cac-da4b-4510-9ba1-d24208355cf3	HEAT_REJECTION_PUMPS
1fc3f271-fdbc-4f25-872f-1836d249744d	85c83074-c2b2-43bd-b676-75e1f432ad1a	VENTILATION
1fc3f271-fdbc-4f25-872f-1836d249744d	2b2c61c6-c4b9-4e86-a898-489868448c58	INFILTRATION
1fc3f271-fdbc-4f25-872f-1836d249744d	5e08dda4-49cb-4d23-b4fc-3809e9baac0a	IT_LOAD
51ea465d-a71c-4484-9fa7-126cda86c552	4ac5a384-fe6c-4987-aeb4-a4b68ed1c084	SWITCHGEAR
51ea465d-a71c-4484-9fa7-126cda86c552	9f82149c-89aa-4158-9377-2914815c03c5	GENERATOR
51ea465d-a71c-4484-9fa7-126cda86c552	ccb74bca-455f-46d3-a367-8725cf5faf88	PRIMARY_AUXILIARIES
51ea465d-a71c-4484-9fa7-126cda86c552	6ebb4716-1404-4ee6-9555-190f8097b05f	UPS
51ea465d-a71c-4484-9fa7-126cda86c552	47598398-2791-4d40-a9cb-e87d63b9ca75	CRITICAL_AUXILIARIES
51ea465d-a71c-4484-9fa7-126cda86c552	5bd54978-54cd-4a0e-b444-657217a29e42	LIGHTING
51ea465d-a71c-4484-9fa7-126cda86c552	3943e6de-b32f-4659-b2a7-5a1f781b7ee1	CRITICAL_POWER_DISTRIBUTION
51ea465d-a71c-4484-9fa7-126cda86c552	65026250-bd7a-45bb-a503-f09e117ee8bf	CRAH
51ea465d-a71c-4484-9fa7-126cda86c552	ec8c6ab8-da34-48f3-842c-149418887f24	CRAC
51ea465d-a71c-4484-9fa7-126cda86c552	a5430394-0584-403a-9e1c-9f2535ab4efb	CRAC_WITHOUT_FAN
51ea465d-a71c-4484-9fa7-126cda86c552	c1e124ef-4171-4061-8430-d9c0ea489b98	CRAC_FAN
51ea465d-a71c-4484-9fa7-126cda86c552	25dd5ef5-087e-4497-bb26-1f55affbf765	CHILLER
51ea465d-a71c-4484-9fa7-126cda86c552	19ba7de3-477c-4901-9be2-020ad227d960	AIR_COOLED_CHILLER
51ea465d-a71c-4484-9fa7-126cda86c552	8b1eee05-f4d9-48a3-8062-0ec21deee686	COOLING_TOWER
51ea465d-a71c-4484-9fa7-126cda86c552	6b094d04-d11e-4c38-9d85-3012352fadc9	DRY_COOLER
51ea465d-a71c-4484-9fa7-126cda86c552	585bea1d-cc21-461e-9f2c-c58b8cd6e036	REMOTE_CONDENSER
51ea465d-a71c-4484-9fa7-126cda86c552	e4a374b9-f6f2-48d3-88b2-c8e416690fcd	CHILLED_WATER_PUMPS
51ea465d-a71c-4484-9fa7-126cda86c552	8cccdfe5-3eab-490e-a5d6-717be8d5baa6	HEAT_REJECTION_PUMPS
51ea465d-a71c-4484-9fa7-126cda86c552	f184d402-4df9-4cae-a0df-ca400127180e	VENTILATION
51ea465d-a71c-4484-9fa7-126cda86c552	7ce04405-c705-4bdf-a2aa-4a7d6f4fa193	INFILTRATION
51ea465d-a71c-4484-9fa7-126cda86c552	978daac9-b292-4a75-91bb-371d03cd932f	IT_LOAD
e4db8352-c184-4bf4-9407-1a21bac41108	5a9b31f1-a300-48ac-a076-2dba6d9f7d95	SWITCHGEAR
e4db8352-c184-4bf4-9407-1a21bac41108	032517a1-6eb8-433c-b0e2-d6cb438160cd	GENERATOR
e4db8352-c184-4bf4-9407-1a21bac41108	d7d7da5f-a343-405d-8b8b-9a8f27a1370f	PRIMARY_AUXILIARIES
e4db8352-c184-4bf4-9407-1a21bac41108	ff484960-d19f-4f0a-9e24-538852ee94bb	UPS
e4db8352-c184-4bf4-9407-1a21bac41108	f2bb5be2-1060-483d-9114-27bb70067875	CRITICAL_AUXILIARIES
e4db8352-c184-4bf4-9407-1a21bac41108	5c41eb73-5c56-4bb2-a54f-2b5708156b62	LIGHTING
e4db8352-c184-4bf4-9407-1a21bac41108	da89f35b-014a-4448-9062-ee15c6abec7f	CRITICAL_POWER_DISTRIBUTION
e4db8352-c184-4bf4-9407-1a21bac41108	895bb19f-f55e-4584-ba12-bc52a7e5b793	CRAH
e4db8352-c184-4bf4-9407-1a21bac41108	3afb85e9-9b36-4b66-9918-907b1b095688	CRAC
e4db8352-c184-4bf4-9407-1a21bac41108	80f0284d-40bc-492c-be58-a16cdab10b83	CRAC_WITHOUT_FAN
e4db8352-c184-4bf4-9407-1a21bac41108	859ae286-d2a0-466d-98e3-3ea9ab78495d	CRAC_FAN
e4db8352-c184-4bf4-9407-1a21bac41108	4cbc2be6-1ecc-4fd7-b56e-b1ee637467d4	CHILLER
e4db8352-c184-4bf4-9407-1a21bac41108	3ca9c039-4574-401a-9bea-3369113f9da5	AIR_COOLED_CHILLER
e4db8352-c184-4bf4-9407-1a21bac41108	a1b49ff5-14b6-458a-8bec-68d933cde011	COOLING_TOWER
e4db8352-c184-4bf4-9407-1a21bac41108	a4925c21-5de2-4fe7-ae50-90a4925d5472	DRY_COOLER
e4db8352-c184-4bf4-9407-1a21bac41108	9459eefa-17bd-462c-94d2-52d9345b0177	REMOTE_CONDENSER
e4db8352-c184-4bf4-9407-1a21bac41108	0ce83a91-063f-4060-b56c-a60c5a1feca5	CHILLED_WATER_PUMPS
e4db8352-c184-4bf4-9407-1a21bac41108	8fe9df8b-6d80-4070-aa25-486fd2236b3b	HEAT_REJECTION_PUMPS
e4db8352-c184-4bf4-9407-1a21bac41108	390dc480-5c9d-4e18-b68d-05ee82414f45	VENTILATION
e4db8352-c184-4bf4-9407-1a21bac41108	1e2f3918-648d-4237-b52d-814be631030f	INFILTRATION
e4db8352-c184-4bf4-9407-1a21bac41108	55ffde6d-ab2f-4fb7-97be-d06a525584ec	IT_LOAD
85b42314-1386-4547-a411-d3094856dc96	778a58bb-a272-4a34-9580-9d8985176ba3	SWITCHGEAR
85b42314-1386-4547-a411-d3094856dc96	03cc1635-baa6-4977-8618-e3dfe00dcff1	GENERATOR
85b42314-1386-4547-a411-d3094856dc96	7389d625-0966-4d1e-bdc5-473aa7a5f91b	PRIMARY_AUXILIARIES
85b42314-1386-4547-a411-d3094856dc96	0c93ef60-fb59-43ac-bdb1-a32d54467851	UPS
85b42314-1386-4547-a411-d3094856dc96	4094c339-4a6d-4ead-9db2-d9784bd520e0	CRITICAL_AUXILIARIES
85b42314-1386-4547-a411-d3094856dc96	6e45ece1-066b-4760-8184-01e7b9d4deb4	LIGHTING
85b42314-1386-4547-a411-d3094856dc96	b9ae46c0-db67-4a04-b631-a242f64b47f9	CRITICAL_POWER_DISTRIBUTION
85b42314-1386-4547-a411-d3094856dc96	0bdde998-38b7-4af7-bb34-d6925d547e9a	CRAH
85b42314-1386-4547-a411-d3094856dc96	b1a05580-df53-4c63-b458-477da9bde3bc	CRAC
85b42314-1386-4547-a411-d3094856dc96	16070118-81b0-42dd-80ad-396a5a444205	CRAC_WITHOUT_FAN
85b42314-1386-4547-a411-d3094856dc96	4d5814ab-6bff-4444-b564-f5bf33340e68	CRAC_FAN
85b42314-1386-4547-a411-d3094856dc96	1a4ed4a0-14ba-4a6c-90b1-d8732bf5ac0b	CHILLER
85b42314-1386-4547-a411-d3094856dc96	d9ddb200-d682-4433-9ba0-f7230c009a2f	AIR_COOLED_CHILLER
85b42314-1386-4547-a411-d3094856dc96	9b79434a-bb96-47f6-b5d7-578dbcfa7547	COOLING_TOWER
85b42314-1386-4547-a411-d3094856dc96	a1cc580a-0ebc-4dcc-9a90-8ef242bfcda5	DRY_COOLER
85b42314-1386-4547-a411-d3094856dc96	f42e44ab-bf7e-4c47-8197-081a774141ea	REMOTE_CONDENSER
85b42314-1386-4547-a411-d3094856dc96	bffcf10f-9209-4a26-b5ea-f5a4e02b356b	CHILLED_WATER_PUMPS
85b42314-1386-4547-a411-d3094856dc96	4e990c45-1af4-45b4-8ef2-0bfe19e2335d	HEAT_REJECTION_PUMPS
85b42314-1386-4547-a411-d3094856dc96	cf28ef9f-00a6-4517-975b-5415825ba9c3	VENTILATION
85b42314-1386-4547-a411-d3094856dc96	46af26b0-9ee2-484a-9ee4-d4788d280a3c	INFILTRATION
85b42314-1386-4547-a411-d3094856dc96	a4c44712-91a2-42a0-9633-630fdae4b929	IT_LOAD
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	1fe91da1-3a9d-4b2d-b14f-de73d9b47a4c	SWITCHGEAR
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	b0500f91-23e3-4634-87a6-9287a010bf8f	GENERATOR
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	fdfdca23-40b0-44bc-b30f-900d75f03f34	PRIMARY_AUXILIARIES
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	51e93ed4-5bed-492e-8fbe-f8d1047a5a5c	UPS
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	204f6d65-2faa-4457-81a3-c513aa5157f9	CRITICAL_AUXILIARIES
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	a85d02fd-cb41-46fc-855f-91c26c908530	LIGHTING
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	02aa2102-e9ee-4642-ab0a-8db36290c373	CRITICAL_POWER_DISTRIBUTION
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	ea8ea260-ea68-4ff2-9ac3-2fbe8931bb2b	CRAH
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	8ebb5cf6-e038-48af-8b6f-51803ec62474	CRAC
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	4b5ad452-2bb0-408f-801e-1fccbc24af93	CRAC_WITHOUT_FAN
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	8cf19cc2-58a3-41e0-9758-1e00f4c93983	CRAC_FAN
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	62caa32d-493f-4f45-b159-e0a0325e6efb	CHILLER
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	c9803a1e-79fb-4e9c-ba8e-791e62d94231	AIR_COOLED_CHILLER
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	8940c6f4-3668-4afc-b783-0706ae06d203	COOLING_TOWER
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	9ba251ad-412a-4ec0-b8c8-9c61b25f2473	DRY_COOLER
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	49916aa5-7a9c-45d1-8150-b19a0ea12da4	REMOTE_CONDENSER
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	e950520d-8c76-4781-b6f6-ba0ff631c7d1	CHILLED_WATER_PUMPS
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	e9af1d71-881a-4db7-aba9-bb794f0fa627	HEAT_REJECTION_PUMPS
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	e090dd69-de72-4492-b5af-00c833d296cd	VENTILATION
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	c59b4183-d7dc-4c35-bcea-ea020e6ad923	INFILTRATION
4d6990cb-f9c5-4161-b6d0-08fbd6b3755a	5084e273-1678-4233-983f-e861ce1087be	IT_LOAD
f1887619-48bd-4bda-bc50-bbb27f97e7a8	98a16856-fd1f-40e0-ad80-7ebab588da02	SWITCHGEAR
f1887619-48bd-4bda-bc50-bbb27f97e7a8	71080479-dd10-4ec9-85fc-a66f07e1e06b	GENERATOR
f1887619-48bd-4bda-bc50-bbb27f97e7a8	154563c9-d711-43bf-9423-2ad5e7404e21	PRIMARY_AUXILIARIES
f1887619-48bd-4bda-bc50-bbb27f97e7a8	a4ed99f4-e0a3-41f8-ac07-19991432005d	UPS
f1887619-48bd-4bda-bc50-bbb27f97e7a8	f00c3f9e-7bc5-46c7-8543-86d789fa689b	CRITICAL_AUXILIARIES
f1887619-48bd-4bda-bc50-bbb27f97e7a8	7aeb42ae-ff05-48fd-be1c-a4c2cd6a05ff	LIGHTING
f1887619-48bd-4bda-bc50-bbb27f97e7a8	45e2d880-cdeb-4f30-844d-afb1dbab4bda	CRITICAL_POWER_DISTRIBUTION
f1887619-48bd-4bda-bc50-bbb27f97e7a8	750923f5-44bb-4954-851e-d88aef10e23a	CRAH
f1887619-48bd-4bda-bc50-bbb27f97e7a8	6e02c4ea-7876-448a-84ff-25741b935cb9	CRAC
f1887619-48bd-4bda-bc50-bbb27f97e7a8	9e1e3008-6f87-48b5-947a-51ba05881ca8	CRAC_WITHOUT_FAN
f1887619-48bd-4bda-bc50-bbb27f97e7a8	4d61cc50-ce4d-44eb-b37c-47766d07c0fd	CRAC_FAN
f1887619-48bd-4bda-bc50-bbb27f97e7a8	b183c875-da62-460e-9670-d840994d6e76	CHILLER
f1887619-48bd-4bda-bc50-bbb27f97e7a8	6db62321-b73a-48c7-8d48-57524ce6d39d	AIR_COOLED_CHILLER
f1887619-48bd-4bda-bc50-bbb27f97e7a8	16f2cd56-16a3-4da1-9fbf-a217ea2b2a3f	COOLING_TOWER
f1887619-48bd-4bda-bc50-bbb27f97e7a8	668bcde3-5530-4fd9-86ec-c5ab80785448	DRY_COOLER
f1887619-48bd-4bda-bc50-bbb27f97e7a8	4c7afa16-bde0-429e-8cbd-5e7b428e60c4	REMOTE_CONDENSER
f1887619-48bd-4bda-bc50-bbb27f97e7a8	5879cadd-f192-4811-81ab-0202ec425293	CHILLED_WATER_PUMPS
f1887619-48bd-4bda-bc50-bbb27f97e7a8	13f80629-c552-466c-97e9-26839ac45535	HEAT_REJECTION_PUMPS
f1887619-48bd-4bda-bc50-bbb27f97e7a8	0a6819a8-0a50-4877-8624-07fd94008a46	VENTILATION
f1887619-48bd-4bda-bc50-bbb27f97e7a8	d41f406c-02b7-495e-9c84-08835b4f0ca6	INFILTRATION
f1887619-48bd-4bda-bc50-bbb27f97e7a8	f67f5d44-fea0-4ff1-9669-9cf85e9add21	IT_LOAD
d04f35b8-2426-4365-9d7e-6305f8c8324d	e081ff2f-4cef-4404-b347-71395154b21f	SWITCHGEAR
d04f35b8-2426-4365-9d7e-6305f8c8324d	b4b3086e-87c3-4471-bd33-4774b1c1cd1f	GENERATOR
d04f35b8-2426-4365-9d7e-6305f8c8324d	5e3efa67-f952-4fd7-8303-2fdb0a551d95	PRIMARY_AUXILIARIES
d04f35b8-2426-4365-9d7e-6305f8c8324d	3fbf5061-e183-4a40-8df1-1bd44bb0f158	UPS
d04f35b8-2426-4365-9d7e-6305f8c8324d	b43513e7-0e99-4592-8f96-f09fd7657143	CRITICAL_AUXILIARIES
d04f35b8-2426-4365-9d7e-6305f8c8324d	23c0b510-d44e-4bba-8b56-341e620e6c19	LIGHTING
d04f35b8-2426-4365-9d7e-6305f8c8324d	08816ac3-cad3-4f3f-8fa9-21830bc1ee6c	CRITICAL_POWER_DISTRIBUTION
d04f35b8-2426-4365-9d7e-6305f8c8324d	1060acbc-ccaa-4bc2-9db4-9eb1a6a42625	CRAH
d04f35b8-2426-4365-9d7e-6305f8c8324d	7c6a1270-09be-4e60-98cc-65969cc801d3	CRAC
d04f35b8-2426-4365-9d7e-6305f8c8324d	7e94eba8-0004-47b8-9de6-1e2e3b3d2945	CRAC_WITHOUT_FAN
d04f35b8-2426-4365-9d7e-6305f8c8324d	47f3b39f-34c9-484b-91bd-d6ba27e99858	CRAC_FAN
d04f35b8-2426-4365-9d7e-6305f8c8324d	ce39daa1-7da3-4881-beaf-1db7e4cd0e85	CHILLER
d04f35b8-2426-4365-9d7e-6305f8c8324d	15313f8e-0ede-4080-a5dc-75ae947f813b	AIR_COOLED_CHILLER
d04f35b8-2426-4365-9d7e-6305f8c8324d	c24a6f4b-c478-4821-bee0-8dee0f453a09	COOLING_TOWER
d04f35b8-2426-4365-9d7e-6305f8c8324d	54225001-51b4-4331-a44a-77823da0430e	DRY_COOLER
d04f35b8-2426-4365-9d7e-6305f8c8324d	6fc21e7f-f369-423b-9cf2-3009d427d8d7	REMOTE_CONDENSER
d04f35b8-2426-4365-9d7e-6305f8c8324d	d91e6a9b-fb4c-433d-b5f5-1e288b06e98a	CHILLED_WATER_PUMPS
d04f35b8-2426-4365-9d7e-6305f8c8324d	b5b77b28-4e0d-4e4c-b803-5f859ddd4687	HEAT_REJECTION_PUMPS
d04f35b8-2426-4365-9d7e-6305f8c8324d	ba47d8e2-af2e-42fa-bc54-fe587e03ed9d	VENTILATION
d04f35b8-2426-4365-9d7e-6305f8c8324d	2587ce2e-0de1-4d43-8623-1b3ccb6f3b00	INFILTRATION
d04f35b8-2426-4365-9d7e-6305f8c8324d	240af90b-7f31-46ef-ac25-52f43dbdc6a4	IT_LOAD
0b185af6-c466-4343-b254-8c7f7eabf708	34d3fc00-a662-4a22-bc9f-e001c935a86f	SWITCHGEAR
0b185af6-c466-4343-b254-8c7f7eabf708	ee054119-f49c-4776-97e8-504e0c9431d4	GENERATOR
0b185af6-c466-4343-b254-8c7f7eabf708	887b0a90-89f3-4882-80ff-f0de9e6cddda	PRIMARY_AUXILIARIES
0b185af6-c466-4343-b254-8c7f7eabf708	3774c0c3-92fe-4983-a2b8-5d94da353c58	UPS
0b185af6-c466-4343-b254-8c7f7eabf708	cf1a1ab0-9d2d-46ac-8c53-1d07fa78aeea	CRITICAL_AUXILIARIES
0b185af6-c466-4343-b254-8c7f7eabf708	75d0c409-fb83-4a71-af88-2da9b2298beb	LIGHTING
0b185af6-c466-4343-b254-8c7f7eabf708	a6e97dbc-ebed-4636-b705-44fb37736f82	CRITICAL_POWER_DISTRIBUTION
0b185af6-c466-4343-b254-8c7f7eabf708	8916799c-b161-4c65-8e09-ee526aca0ec5	CRAH
0b185af6-c466-4343-b254-8c7f7eabf708	a077be99-1610-4248-91fe-3126ce69805e	CRAC
0b185af6-c466-4343-b254-8c7f7eabf708	7e85a1d6-0c93-4871-8aa6-0d5431da8439	CRAC_WITHOUT_FAN
0b185af6-c466-4343-b254-8c7f7eabf708	2c64fc54-028d-424c-9c2d-cd537ba8a8bb	CRAC_FAN
0b185af6-c466-4343-b254-8c7f7eabf708	f378be70-ce4e-4da2-bb83-74025971406f	CHILLER
0b185af6-c466-4343-b254-8c7f7eabf708	a04d6885-a258-4248-a6df-b5e9dd1eafa0	AIR_COOLED_CHILLER
0b185af6-c466-4343-b254-8c7f7eabf708	74e8728a-2ea3-400e-bc2a-fa90f245c9f3	COOLING_TOWER
0b185af6-c466-4343-b254-8c7f7eabf708	b56ebf10-df27-44e1-bb5c-164a1d825f16	DRY_COOLER
0b185af6-c466-4343-b254-8c7f7eabf708	2f31222e-f28d-4239-9ef0-639406ab3242	REMOTE_CONDENSER
0b185af6-c466-4343-b254-8c7f7eabf708	990eef99-27f3-4355-91ff-cffcafe7f6c1	CHILLED_WATER_PUMPS
0b185af6-c466-4343-b254-8c7f7eabf708	e9674d10-656f-4e49-9699-f4c881dbac11	HEAT_REJECTION_PUMPS
0b185af6-c466-4343-b254-8c7f7eabf708	c02bbe3b-1537-4ea0-962d-e427e8c0e63e	VENTILATION
0b185af6-c466-4343-b254-8c7f7eabf708	28022cf7-4d66-4b9f-bcba-9e4f5b211a20	INFILTRATION
0b185af6-c466-4343-b254-8c7f7eabf708	b9532adc-0070-428e-b9f3-e8b50f534d44	IT_LOAD
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	5d9351db-5281-43ff-890f-f6cf98a43fe3	SWITCHGEAR
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	66f6ca56-ccb4-4a1d-8ce6-78cb1a7a9054	GENERATOR
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	460b370e-6ca5-4920-af74-31fdcb49ecf8	PRIMARY_AUXILIARIES
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	3562ed27-c380-4aac-807d-293f21982ab4	UPS
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	16aca42d-df2e-4d0e-a28a-918db0a8e0a7	CRITICAL_AUXILIARIES
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	acbf9611-e063-4972-9f9d-1904d69732d3	LIGHTING
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	6ef6805e-fdac-4147-9a8f-f9b997194843	CRITICAL_POWER_DISTRIBUTION
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	b212bd6e-8e45-499e-a8ec-40962428f071	CRAH
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	f8292194-e823-4262-bc76-530ece9ebf12	CRAC
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	5a09a8fa-476a-4e63-9737-2433ec376593	CRAC_WITHOUT_FAN
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	8b542b1c-5383-44b0-a894-6db431f7d504	CRAC_FAN
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	22d7b59a-15cd-4885-b3e8-745c492cc852	CHILLER
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	c8ef9258-5933-4f5b-993b-5819aae3ed69	AIR_COOLED_CHILLER
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	58d9e166-de88-407c-a1ae-ff50bf090088	COOLING_TOWER
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	33d5533b-91a2-4e20-b13f-a9e037ce8d2a	DRY_COOLER
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	08b8c407-f3de-43e8-8e21-3e6b7679baba	REMOTE_CONDENSER
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	41ca1de8-0ade-4833-822f-e84cf290a42f	CHILLED_WATER_PUMPS
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	ee06e638-09c0-4be8-a730-721455a49001	HEAT_REJECTION_PUMPS
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	1528047d-3b4f-4df4-a963-d916634998e7	VENTILATION
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	a6df9684-2d59-49b3-bc85-a4b7575d91c4	INFILTRATION
eba9bd8d-f1f9-46a1-85f9-3cadad702a17	c626ba08-263b-4506-9504-7b0bd95a672b	IT_LOAD
39c58d4f-fe60-408a-9d75-85679cdd202f	b88dde9a-b3ce-4396-89e4-0454538044fc	SWITCHGEAR
39c58d4f-fe60-408a-9d75-85679cdd202f	5308b6dd-87bc-4d93-b039-ce73bafe8a0d	GENERATOR
39c58d4f-fe60-408a-9d75-85679cdd202f	e8e76f56-ca6e-473a-84db-739c2afeaf1b	PRIMARY_AUXILIARIES
39c58d4f-fe60-408a-9d75-85679cdd202f	a03fd52d-6881-472d-9274-34ca697a2934	UPS
39c58d4f-fe60-408a-9d75-85679cdd202f	7e67c42b-9191-4b52-b9f0-3ecf9c40a4dc	CRITICAL_AUXILIARIES
39c58d4f-fe60-408a-9d75-85679cdd202f	3d64c5e4-6bfa-4020-b625-eac5dbe32749	LIGHTING
39c58d4f-fe60-408a-9d75-85679cdd202f	6c2a873c-fcd6-45e7-9433-a3b8ffbf3b6e	CRITICAL_POWER_DISTRIBUTION
39c58d4f-fe60-408a-9d75-85679cdd202f	2506c0d2-2f89-470c-8992-70c425da81ad	CRAH
39c58d4f-fe60-408a-9d75-85679cdd202f	330d2306-a1c3-4f6a-bd66-b258c6f5f337	CRAC
39c58d4f-fe60-408a-9d75-85679cdd202f	67e8301c-14f4-4334-9142-4a9d4c5a2849	CRAC_WITHOUT_FAN
39c58d4f-fe60-408a-9d75-85679cdd202f	db8b0371-6e11-4bfa-9062-ef54f968ecfe	CRAC_FAN
39c58d4f-fe60-408a-9d75-85679cdd202f	f8032beb-8e8e-48cb-9d0d-d9f43987cdaa	CHILLER
39c58d4f-fe60-408a-9d75-85679cdd202f	6912d149-110c-49de-801c-f1b75f2d2873	AIR_COOLED_CHILLER
39c58d4f-fe60-408a-9d75-85679cdd202f	03022a1c-dfdb-4573-a1d8-fe08dd41ef88	COOLING_TOWER
39c58d4f-fe60-408a-9d75-85679cdd202f	23d8c48d-b4e4-4b86-976d-aec920289b8b	DRY_COOLER
39c58d4f-fe60-408a-9d75-85679cdd202f	38e7d3ab-16f9-4a68-a07b-0f2b2f9a3b25	REMOTE_CONDENSER
39c58d4f-fe60-408a-9d75-85679cdd202f	2cc8d151-7dd3-4b7c-8011-66da7d7663e6	CHILLED_WATER_PUMPS
39c58d4f-fe60-408a-9d75-85679cdd202f	f311482f-df74-4e3e-ad7a-d91a32396b3e	HEAT_REJECTION_PUMPS
39c58d4f-fe60-408a-9d75-85679cdd202f	04f0c7ad-0d43-4930-abdd-856c4b511ad8	VENTILATION
39c58d4f-fe60-408a-9d75-85679cdd202f	2847ed9a-d33b-4d6b-bd72-dbac12f71d71	INFILTRATION
39c58d4f-fe60-408a-9d75-85679cdd202f	f674276a-a977-4177-9d6e-f420a002cfe4	IT_LOAD
2471d785-a84e-45b2-96ae-098fecadde61	c3b95225-57c0-4e35-93f5-0c167beba443	SWITCHGEAR
2471d785-a84e-45b2-96ae-098fecadde61	49a9905d-0670-475a-a7bb-d4690b1e6fd2	GENERATOR
2471d785-a84e-45b2-96ae-098fecadde61	8611cad3-9e3b-4372-84aa-b669781ac506	PRIMARY_AUXILIARIES
2471d785-a84e-45b2-96ae-098fecadde61	8b3e7f8e-2120-4a89-aa68-397f855c26a7	UPS
2471d785-a84e-45b2-96ae-098fecadde61	fbaca9e7-bcd7-4c80-b390-ae4858c129c6	CRITICAL_AUXILIARIES
2471d785-a84e-45b2-96ae-098fecadde61	42686102-5629-4182-a254-33e58bdc06f0	LIGHTING
2471d785-a84e-45b2-96ae-098fecadde61	793af5ca-9818-4106-b581-e1b807e8ac87	CRITICAL_POWER_DISTRIBUTION
2471d785-a84e-45b2-96ae-098fecadde61	ce1e02a0-af83-43f3-8c83-e4cb168327fe	CRAH
2471d785-a84e-45b2-96ae-098fecadde61	bd4699d0-2529-4bb2-8bed-49993e97072a	CRAC
2471d785-a84e-45b2-96ae-098fecadde61	faddbe1d-7811-4911-a66c-cf8bc0c59cfc	CRAC_WITHOUT_FAN
2471d785-a84e-45b2-96ae-098fecadde61	c1234a18-630a-4af1-b482-b6e4a97d3cfb	CRAC_FAN
2471d785-a84e-45b2-96ae-098fecadde61	a32f0509-7f91-44da-8396-4361c7829f56	CHILLER
2471d785-a84e-45b2-96ae-098fecadde61	57db405e-4a5e-4ac4-9a52-80711d452d55	AIR_COOLED_CHILLER
2471d785-a84e-45b2-96ae-098fecadde61	ee4b9bdf-98b8-4b35-bc7c-7eca470e4de9	COOLING_TOWER
2471d785-a84e-45b2-96ae-098fecadde61	1dd16966-bd1c-41c0-853c-088108370e59	DRY_COOLER
2471d785-a84e-45b2-96ae-098fecadde61	a8a23700-c879-4880-a563-b651da256f3b	REMOTE_CONDENSER
2471d785-a84e-45b2-96ae-098fecadde61	7baf7949-3fee-44fb-89fa-40ace798090f	CHILLED_WATER_PUMPS
2471d785-a84e-45b2-96ae-098fecadde61	19ff08d4-51aa-44ed-8312-4e711a446ef0	HEAT_REJECTION_PUMPS
2471d785-a84e-45b2-96ae-098fecadde61	2ab8f87e-fe6f-4f5e-9684-87a2b3fbf3b1	VENTILATION
2471d785-a84e-45b2-96ae-098fecadde61	8648d5aa-5acb-4f0c-b592-0730d962ae26	INFILTRATION
2471d785-a84e-45b2-96ae-098fecadde61	1466bc64-fb25-4fbc-9235-c578da9381a1	IT_LOAD
12b767b1-fdb0-4484-8754-90f6b2e49206	2dc7a6fd-1c04-4547-ab0d-9810ab0dcf2a	SWITCHGEAR
12b767b1-fdb0-4484-8754-90f6b2e49206	11823e88-3e27-4e12-8d22-46997b30b1dd	GENERATOR
12b767b1-fdb0-4484-8754-90f6b2e49206	25a9602c-d021-4ca9-b77e-daf9a77eb7a2	PRIMARY_AUXILIARIES
12b767b1-fdb0-4484-8754-90f6b2e49206	d62b7a58-b2ec-4ec2-85e8-6cd3480895cc	UPS
12b767b1-fdb0-4484-8754-90f6b2e49206	807d390d-ff2d-4e7d-8d17-fcb26d01cef9	CRITICAL_AUXILIARIES
12b767b1-fdb0-4484-8754-90f6b2e49206	4e3c3ab4-314f-41c9-b5ac-d62763e453c7	LIGHTING
12b767b1-fdb0-4484-8754-90f6b2e49206	db7e7f04-462d-43c8-a65e-9d95386eb1dd	CRITICAL_POWER_DISTRIBUTION
12b767b1-fdb0-4484-8754-90f6b2e49206	3ec68a12-06ef-48cd-97ed-a046c6c464f9	CRAH
12b767b1-fdb0-4484-8754-90f6b2e49206	ad0730ff-2a80-44ef-ad98-049936a67548	CRAC
12b767b1-fdb0-4484-8754-90f6b2e49206	19f5a06b-ceb5-4b1a-88a2-8ee67e5b246f	CRAC_WITHOUT_FAN
12b767b1-fdb0-4484-8754-90f6b2e49206	8a555fa4-ba7f-4d43-b276-eb6b197f38f6	CRAC_FAN
12b767b1-fdb0-4484-8754-90f6b2e49206	d158cce8-46e5-4049-a4a1-b1fffa6ae4ac	CHILLER
12b767b1-fdb0-4484-8754-90f6b2e49206	4c3c2c48-e831-4e2c-b615-f97680f7f4e6	AIR_COOLED_CHILLER
12b767b1-fdb0-4484-8754-90f6b2e49206	830a453d-1b3e-4741-9d36-194d4cf452e2	COOLING_TOWER
12b767b1-fdb0-4484-8754-90f6b2e49206	3dbe18fc-2b79-498e-814e-d5f8f94f76c6	DRY_COOLER
12b767b1-fdb0-4484-8754-90f6b2e49206	83d10101-b211-4bb7-8a06-3e7ec07acac5	REMOTE_CONDENSER
12b767b1-fdb0-4484-8754-90f6b2e49206	8815e10f-afca-4e74-aaad-d40363a0c691	CHILLED_WATER_PUMPS
12b767b1-fdb0-4484-8754-90f6b2e49206	95a25487-b218-40c2-a8e5-9944d5e2dce8	HEAT_REJECTION_PUMPS
12b767b1-fdb0-4484-8754-90f6b2e49206	d31babc9-182c-4d29-a873-0d07942febd4	VENTILATION
12b767b1-fdb0-4484-8754-90f6b2e49206	7a587000-3459-4cbe-9f44-d525d4e9bdf4	INFILTRATION
12b767b1-fdb0-4484-8754-90f6b2e49206	2ccc0a1b-c228-45d1-a451-3e745b9641a8	IT_LOAD
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	0349010d-c505-4ef8-8730-367594e33175	SWITCHGEAR
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	8da5ab1c-34ae-46c2-b6ca-ccf6e7f78f15	GENERATOR
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	c8618623-ccc3-4a40-8185-70c3be77a494	PRIMARY_AUXILIARIES
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	91b4312e-edb9-4714-b8c7-44861c5ac8d1	UPS
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	f33b3808-3d6d-4932-b1f8-46916b1f9b8c	CRITICAL_AUXILIARIES
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	9b0dfe6b-2a05-4f07-9e70-dcd06799242c	LIGHTING
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	6c0260dd-23b6-41b5-8e5a-2c83b1217fdd	CRITICAL_POWER_DISTRIBUTION
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	acabf2eb-b49f-4487-93cb-3f2c7cbe7d8b	CRAH
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	c02d44e1-a5b1-40e1-90eb-74b03bd1fc8e	CRAC
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	e2324134-fe63-4b7e-9d1c-7b838c07d7e3	CRAC_WITHOUT_FAN
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	b672fad6-bd1b-4c34-914c-d2336a58c2c3	CRAC_FAN
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	32b5eef6-532d-4ce2-9e8d-ba092a7370b7	CHILLER
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	3e69bfe4-d38a-4bcd-9137-89cdcf6530ca	AIR_COOLED_CHILLER
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	d6cef3bd-25bc-409a-b553-c1a3ce13066d	COOLING_TOWER
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	438ccae8-f113-42cd-a681-985952a4cd10	DRY_COOLER
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	30917f14-c228-4fb5-9719-658463b66599	REMOTE_CONDENSER
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	5088016a-0194-47fd-a251-45bacecb0d29	CHILLED_WATER_PUMPS
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	16bcbb85-b92f-4ab5-abd1-4e76012b6d51	HEAT_REJECTION_PUMPS
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	5e86ef94-90dd-4111-967e-63de47443e93	VENTILATION
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	0065ad40-81d2-434c-9c4e-9d06bc29808a	INFILTRATION
7dd0dd9c-9845-4507-8ed4-a1a43be6972b	11759a0b-43b4-4915-97c3-97832446fd0f	IT_LOAD
51878b16-a5e1-4034-b28d-2f56a34a2a93	d6fb658f-1e07-4a4e-a8b8-45006fdbd833	SWITCHGEAR
51878b16-a5e1-4034-b28d-2f56a34a2a93	7928e92a-c32b-494f-b8cf-d168597766a5	GENERATOR
51878b16-a5e1-4034-b28d-2f56a34a2a93	4f52880b-d416-4cb5-b996-c5537c2f1e71	PRIMARY_AUXILIARIES
51878b16-a5e1-4034-b28d-2f56a34a2a93	5363f7e9-3494-4f73-ac8f-c4d487e70509	UPS
51878b16-a5e1-4034-b28d-2f56a34a2a93	45fbc0bd-bcb2-4df1-a748-179539e875d6	CRITICAL_AUXILIARIES
51878b16-a5e1-4034-b28d-2f56a34a2a93	ecfa09be-ed03-4da1-97c7-8e1173ce1f96	LIGHTING
51878b16-a5e1-4034-b28d-2f56a34a2a93	daa339ff-5328-4865-a358-d9db831fbade	CRITICAL_POWER_DISTRIBUTION
51878b16-a5e1-4034-b28d-2f56a34a2a93	e965ba29-8987-4e5b-ba7a-4e94988b2988	CRAH
51878b16-a5e1-4034-b28d-2f56a34a2a93	9b3581e2-2aa1-4c41-8c9f-fdd593206498	CRAC
51878b16-a5e1-4034-b28d-2f56a34a2a93	f732bc9d-5d4b-49a9-8985-44b7c4e43eac	CRAC_WITHOUT_FAN
51878b16-a5e1-4034-b28d-2f56a34a2a93	beec4ccb-ee16-42f9-b65f-7302dd1f8c25	CRAC_FAN
51878b16-a5e1-4034-b28d-2f56a34a2a93	8f17347b-884f-4123-a024-48329592e7bf	CHILLER
51878b16-a5e1-4034-b28d-2f56a34a2a93	8ae5fd2f-1908-449f-b702-b774b8374f4a	AIR_COOLED_CHILLER
51878b16-a5e1-4034-b28d-2f56a34a2a93	fb22666e-ea77-4069-acbf-0455ccc47012	COOLING_TOWER
51878b16-a5e1-4034-b28d-2f56a34a2a93	033f3c31-c90c-43aa-b89e-cfc09e6c1de3	DRY_COOLER
51878b16-a5e1-4034-b28d-2f56a34a2a93	d65b38fe-5df9-49eb-9f5e-bab6ad665872	REMOTE_CONDENSER
51878b16-a5e1-4034-b28d-2f56a34a2a93	dfa0a6ca-4848-4b57-99cc-62fca26cab45	CHILLED_WATER_PUMPS
51878b16-a5e1-4034-b28d-2f56a34a2a93	70dd224b-9219-46e4-b328-aebcd3e92c49	HEAT_REJECTION_PUMPS
51878b16-a5e1-4034-b28d-2f56a34a2a93	b6301f6c-712e-4c7a-b390-7e8d74cec6d9	VENTILATION
51878b16-a5e1-4034-b28d-2f56a34a2a93	5238f1f4-6f75-4d6b-98bc-2b75664abb39	INFILTRATION
51878b16-a5e1-4034-b28d-2f56a34a2a93	8d7620ac-d913-406b-8a15-14fe0ba48d86	IT_LOAD
32448a31-a30b-4fb6-9e3a-1c7fa3344380	ac2b3470-3602-4cfd-9307-06728c239d26	SWITCHGEAR
32448a31-a30b-4fb6-9e3a-1c7fa3344380	6e395918-51a5-43cb-ac47-06dc8e80eeb6	GENERATOR
32448a31-a30b-4fb6-9e3a-1c7fa3344380	0764f759-7b6a-48df-b1a3-ccfbe2203077	PRIMARY_AUXILIARIES
32448a31-a30b-4fb6-9e3a-1c7fa3344380	cb385e6c-96ea-4872-aac2-0c89d032a5d7	UPS
32448a31-a30b-4fb6-9e3a-1c7fa3344380	05545a8c-a352-449a-bd46-a32044e5fbdf	CRITICAL_AUXILIARIES
32448a31-a30b-4fb6-9e3a-1c7fa3344380	ef0004ee-01fc-4c89-87a4-ae237d267c41	LIGHTING
32448a31-a30b-4fb6-9e3a-1c7fa3344380	6d7c957e-ca2c-4c29-bd5c-39e83ee7b9e9	CRITICAL_POWER_DISTRIBUTION
32448a31-a30b-4fb6-9e3a-1c7fa3344380	53c6f8bd-da97-42e5-b203-658fab13d720	CRAH
32448a31-a30b-4fb6-9e3a-1c7fa3344380	3ecf896e-808d-4e20-9960-099848fe5ed7	CRAC
32448a31-a30b-4fb6-9e3a-1c7fa3344380	4d67c379-046e-4c86-b126-945133a8c50b	CRAC_WITHOUT_FAN
32448a31-a30b-4fb6-9e3a-1c7fa3344380	f72b7b51-41b2-4b24-b454-41066ea48941	CRAC_FAN
32448a31-a30b-4fb6-9e3a-1c7fa3344380	ccbbc1bf-953e-466b-8a12-a03bbfc7ce54	CHILLER
32448a31-a30b-4fb6-9e3a-1c7fa3344380	0739e191-2670-4396-85b5-7f2ec05af4ec	AIR_COOLED_CHILLER
32448a31-a30b-4fb6-9e3a-1c7fa3344380	ffb4c3fc-efb3-41ef-9ed7-16c9a23cb914	COOLING_TOWER
32448a31-a30b-4fb6-9e3a-1c7fa3344380	5d150e4b-2e60-4d4e-a018-975131f9e638	DRY_COOLER
32448a31-a30b-4fb6-9e3a-1c7fa3344380	6ee432ec-cc60-4f46-bdb3-3848ccbef988	REMOTE_CONDENSER
32448a31-a30b-4fb6-9e3a-1c7fa3344380	8ac7bfe4-3767-4c84-b20b-3dc4238a7343	CHILLED_WATER_PUMPS
32448a31-a30b-4fb6-9e3a-1c7fa3344380	724f6880-fcf6-4af8-96ed-a87764d5f0b7	HEAT_REJECTION_PUMPS
32448a31-a30b-4fb6-9e3a-1c7fa3344380	e7720364-1c8e-4261-82a1-2a2b2dbd428b	VENTILATION
32448a31-a30b-4fb6-9e3a-1c7fa3344380	cfa36679-a421-483f-b10a-a877642060e8	INFILTRATION
32448a31-a30b-4fb6-9e3a-1c7fa3344380	4d7ad61d-c091-42be-bd09-e90309e1ef51	IT_LOAD
d1dfa927-f576-43af-bea2-87ecb7e01d21	44a65f0a-7055-4615-8aae-a997d5867e55	SWITCHGEAR
d1dfa927-f576-43af-bea2-87ecb7e01d21	32985f80-6cfe-4c81-8fe5-ade9296b2793	GENERATOR
d1dfa927-f576-43af-bea2-87ecb7e01d21	a8e4b566-f44d-4edd-b71a-2f13ba43ed6c	PRIMARY_AUXILIARIES
d1dfa927-f576-43af-bea2-87ecb7e01d21	14b70008-d7d3-4248-8cf6-6181192806c4	UPS
d1dfa927-f576-43af-bea2-87ecb7e01d21	f856a14a-6ec2-428c-af1c-e111fe3f1513	CRITICAL_AUXILIARIES
d1dfa927-f576-43af-bea2-87ecb7e01d21	ffd28969-7cd7-42a5-91ed-545609e4ca63	LIGHTING
d1dfa927-f576-43af-bea2-87ecb7e01d21	601b783a-b250-4551-b503-f392a850983d	CRITICAL_POWER_DISTRIBUTION
d1dfa927-f576-43af-bea2-87ecb7e01d21	57e34347-3756-4ae4-9500-bf7bc9871879	CRAH
d1dfa927-f576-43af-bea2-87ecb7e01d21	21e77968-78b4-4447-a609-29087a471d83	CRAC
d1dfa927-f576-43af-bea2-87ecb7e01d21	ad8d2c3e-5c0c-435f-a489-0b53fe5c1cc8	CRAC_WITHOUT_FAN
d1dfa927-f576-43af-bea2-87ecb7e01d21	fe7e4dbc-5158-430b-b54b-17a11e1c40e7	CRAC_FAN
d1dfa927-f576-43af-bea2-87ecb7e01d21	18df2164-379c-4914-a5b6-9f5ca36e53fc	CHILLER
d1dfa927-f576-43af-bea2-87ecb7e01d21	ea8c8e1e-75fe-49b8-b11c-48de7dbf7bca	AIR_COOLED_CHILLER
d1dfa927-f576-43af-bea2-87ecb7e01d21	2e08e650-9a92-4097-a56b-fcad9144a9e0	COOLING_TOWER
d1dfa927-f576-43af-bea2-87ecb7e01d21	48bb2a4d-d1e0-4445-803b-83a1171e60da	DRY_COOLER
d1dfa927-f576-43af-bea2-87ecb7e01d21	7a8a6e21-49e3-4da9-a22a-1d80f8f3b76e	REMOTE_CONDENSER
d1dfa927-f576-43af-bea2-87ecb7e01d21	fade8b58-f218-41a2-8ae4-a8dd68a46438	CHILLED_WATER_PUMPS
d1dfa927-f576-43af-bea2-87ecb7e01d21	ba4543e5-a008-47fe-a473-c274bd60ae51	HEAT_REJECTION_PUMPS
d1dfa927-f576-43af-bea2-87ecb7e01d21	a6278721-f13b-4b2b-8c59-0cf65369fd91	VENTILATION
d1dfa927-f576-43af-bea2-87ecb7e01d21	4f91d52b-9c6b-484e-bc21-feed50677de2	INFILTRATION
d1dfa927-f576-43af-bea2-87ecb7e01d21	97461f55-94bf-4bcf-b5ff-012b50292131	IT_LOAD
27bac7f4-def7-41ac-bff8-0c39dd5f7071	e1d59d0a-f589-43e9-814a-0d2226186f98	SWITCHGEAR
27bac7f4-def7-41ac-bff8-0c39dd5f7071	faa0f191-83a8-49f6-acc1-4972b7aaae3b	GENERATOR
27bac7f4-def7-41ac-bff8-0c39dd5f7071	10b6cc2b-4455-4339-99a6-8e751af35a94	PRIMARY_AUXILIARIES
27bac7f4-def7-41ac-bff8-0c39dd5f7071	685dedd9-de22-43d8-b5b3-b26474a1cbc4	UPS
27bac7f4-def7-41ac-bff8-0c39dd5f7071	994cfe9f-1534-415b-b4c5-26554ac9604d	CRITICAL_AUXILIARIES
27bac7f4-def7-41ac-bff8-0c39dd5f7071	146c0ac4-7dde-4785-a5dd-00283f7100b5	LIGHTING
27bac7f4-def7-41ac-bff8-0c39dd5f7071	baabdd4e-79eb-45d9-8daf-4eb06ea7412e	CRITICAL_POWER_DISTRIBUTION
27bac7f4-def7-41ac-bff8-0c39dd5f7071	3d43a80a-d81a-47f5-bc05-6b1c1103db02	CRAH
27bac7f4-def7-41ac-bff8-0c39dd5f7071	9fb41722-dc27-4adb-9dfd-ffb40c1d94f4	CRAC
27bac7f4-def7-41ac-bff8-0c39dd5f7071	875864e6-c37c-40fb-b015-7c7c4170b9d9	CRAC_WITHOUT_FAN
27bac7f4-def7-41ac-bff8-0c39dd5f7071	9dc5ed46-575a-4675-8b6a-c6453f034a97	CRAC_FAN
27bac7f4-def7-41ac-bff8-0c39dd5f7071	e846122e-c41c-483c-a5cb-4b5fb38c6970	CHILLER
27bac7f4-def7-41ac-bff8-0c39dd5f7071	533b8900-1f76-4a6c-916e-77fca68906ba	AIR_COOLED_CHILLER
27bac7f4-def7-41ac-bff8-0c39dd5f7071	60a597c4-bce5-441e-8d55-57726250363d	COOLING_TOWER
27bac7f4-def7-41ac-bff8-0c39dd5f7071	d24ac1bd-305e-4fd9-8df6-95bd221c6f41	DRY_COOLER
27bac7f4-def7-41ac-bff8-0c39dd5f7071	6f7cb43a-475e-4a50-805a-59cfbd29d0cd	REMOTE_CONDENSER
27bac7f4-def7-41ac-bff8-0c39dd5f7071	9ea5b1b1-04bc-4bef-bab8-441b564f6b50	CHILLED_WATER_PUMPS
27bac7f4-def7-41ac-bff8-0c39dd5f7071	207256c9-7da8-40cc-9cf8-847b34e66e9f	HEAT_REJECTION_PUMPS
27bac7f4-def7-41ac-bff8-0c39dd5f7071	788b3413-91de-4cf4-b51b-710be4af7968	VENTILATION
27bac7f4-def7-41ac-bff8-0c39dd5f7071	c0eeddc1-3004-4fcd-9127-c93689b8d7e4	INFILTRATION
27bac7f4-def7-41ac-bff8-0c39dd5f7071	755938cc-a378-4d44-9658-07dfedd8e556	IT_LOAD
2f1b92ec-9023-4cb0-8499-ba84167b4357	fd151684-f9a5-42f6-b557-9b50c898f9de	SWITCHGEAR
2f1b92ec-9023-4cb0-8499-ba84167b4357	65f9013b-c10b-40af-94e3-c10c8fe45c15	GENERATOR
2f1b92ec-9023-4cb0-8499-ba84167b4357	44b48939-18ee-4b9e-a4db-b2cb677bbef3	PRIMARY_AUXILIARIES
2f1b92ec-9023-4cb0-8499-ba84167b4357	b9a8f717-94d1-47ae-adac-f8c2d0f6b655	UPS
2f1b92ec-9023-4cb0-8499-ba84167b4357	bea9a807-bed6-4e99-a385-7e0785665779	CRITICAL_AUXILIARIES
2f1b92ec-9023-4cb0-8499-ba84167b4357	5bdff5c3-e509-431f-8a77-dd9d3d8b37e6	LIGHTING
2f1b92ec-9023-4cb0-8499-ba84167b4357	cc85727b-103c-4936-8352-a265d09a83d3	CRITICAL_POWER_DISTRIBUTION
2f1b92ec-9023-4cb0-8499-ba84167b4357	a654c37d-36b4-4b0b-ac60-be50af3dc70b	CRAH
2f1b92ec-9023-4cb0-8499-ba84167b4357	54e51384-b76d-43a2-92ca-2e099a4e0b4a	CRAC
2f1b92ec-9023-4cb0-8499-ba84167b4357	11a46af0-b6c1-4b71-81a0-6397f03e115d	CRAC_WITHOUT_FAN
2f1b92ec-9023-4cb0-8499-ba84167b4357	b5ac6c88-58ce-45b5-a09d-af776a8d4a12	CRAC_FAN
2f1b92ec-9023-4cb0-8499-ba84167b4357	43eabd82-6aad-4fb0-b1e2-d7637da8fe43	CHILLER
2f1b92ec-9023-4cb0-8499-ba84167b4357	595b0311-8c56-4dfe-a320-0972d52337b2	AIR_COOLED_CHILLER
2f1b92ec-9023-4cb0-8499-ba84167b4357	e03b4642-ecc8-4ddd-a0f1-00d0050175e4	COOLING_TOWER
2f1b92ec-9023-4cb0-8499-ba84167b4357	234b1da0-800b-4c9e-830c-451fc822a7a4	DRY_COOLER
2f1b92ec-9023-4cb0-8499-ba84167b4357	449ae82c-4786-49e3-9d27-c33a4a352477	REMOTE_CONDENSER
2f1b92ec-9023-4cb0-8499-ba84167b4357	1f161fbb-9e9c-4e3d-9eba-6c014a63e54e	CHILLED_WATER_PUMPS
2f1b92ec-9023-4cb0-8499-ba84167b4357	60a94776-c69b-4b98-b8dc-ea3cf8032dd3	HEAT_REJECTION_PUMPS
2f1b92ec-9023-4cb0-8499-ba84167b4357	5c31df0a-9db4-4f63-9558-876e0fc19d31	VENTILATION
2f1b92ec-9023-4cb0-8499-ba84167b4357	2b702e3f-52c2-46b4-9603-3a0144e6670d	INFILTRATION
2f1b92ec-9023-4cb0-8499-ba84167b4357	31d9b423-2c2b-48e3-bc3a-2f9433286a03	IT_LOAD
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	c2f30fb5-048b-4dd6-b5e6-acfa5a4d9b45	SWITCHGEAR
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	b6c14b13-8129-4928-907b-0ce79ff4d47f	GENERATOR
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	78583e28-0288-4cfa-baf6-381fe293159e	PRIMARY_AUXILIARIES
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	61703bed-663d-4541-8716-f16cfbcd92ad	UPS
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	4c4cc20a-bb87-4035-924d-48c6f929fde9	CRITICAL_AUXILIARIES
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	50dd8f12-4ebb-480c-b874-c884182c1c10	LIGHTING
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	b8e1026d-93a9-4ce1-ba57-466ee5e737f7	CRITICAL_POWER_DISTRIBUTION
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	60a512e6-8762-4512-a666-28de5a8e1cd0	CRAH
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	34f6f147-6735-42a6-b6c1-6384332ae680	CRAC
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	d69e1f4f-cffd-4504-9f87-34da5176d675	CRAC_WITHOUT_FAN
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	e85a5e61-fe4a-4a27-9639-9a7430016436	CRAC_FAN
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	a5336ca4-b6b9-431a-852e-34ecae74d6a1	CHILLER
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	87b8ee77-47f4-4fcf-86c0-8cc383be898c	AIR_COOLED_CHILLER
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	f5b65bb0-fa16-4eac-a4c0-12252679b8dd	COOLING_TOWER
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	06c105a2-2777-451a-b2ad-01370dab1b52	DRY_COOLER
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	a4ce825a-2aa2-478e-8d8e-07b40f90e7b7	REMOTE_CONDENSER
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	863ac3d0-f2c9-48bc-9bc8-5d907f5d8c30	CHILLED_WATER_PUMPS
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	fe40ea59-ad0f-476d-9518-a1491f011cf9	HEAT_REJECTION_PUMPS
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	0654af89-3d52-4a9b-8d76-2bac98835473	VENTILATION
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	b9296605-0250-4728-8a6f-6c70877cc88c	INFILTRATION
e95ad042-ad0f-4f7f-bf54-521bef31cc0e	3ceaefeb-21f0-448c-80cc-b15fcda5c176	IT_LOAD
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	2a1352fb-01d3-444d-b5b3-06438a19d869	SWITCHGEAR
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	47d59efb-224f-46f5-9fa0-4ea208f958ef	GENERATOR
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	cd769f0a-9dda-4099-83ab-0d83f98aca34	PRIMARY_AUXILIARIES
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	7ba86e95-7117-4c80-92ff-0df8c36e4840	UPS
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	57174b60-c164-4411-bd5f-c1ebd52a3a93	CRITICAL_AUXILIARIES
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	9bc16b5b-bf6d-4306-94d7-66fa72378b5a	LIGHTING
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	c81c07a6-9297-4d66-b583-c1b8216a5ac4	CRITICAL_POWER_DISTRIBUTION
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	6f100733-b99e-414b-bcaa-344b71d5398c	CRAH
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	700f5b47-9bed-4856-a255-ff6ae87a7939	CRAC
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	b947a899-0767-4796-a0eb-ae9b40587ec3	CRAC_WITHOUT_FAN
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	56f5bbbb-0d2f-4d86-997e-101221ed3655	CRAC_FAN
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	f7a1096e-56aa-4de8-9931-d6cd74848ef2	CHILLER
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	687f080d-b81f-4ddf-b774-239f477ec1dc	AIR_COOLED_CHILLER
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	a05b32ce-9ce4-43cb-836a-60f2e945f841	COOLING_TOWER
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	193d5fce-90f9-42e3-b96e-04bc3f582f34	DRY_COOLER
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	a04db329-4d74-4ec5-8fdb-860ee1c28826	REMOTE_CONDENSER
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	18f12fd2-478b-422a-88e6-8ee4be3cbe59	CHILLED_WATER_PUMPS
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	add21096-ef09-4e91-a1fb-6b803ab85072	HEAT_REJECTION_PUMPS
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	ac543e80-954c-4895-9c29-07f5be41fc04	VENTILATION
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	063d2e7f-eafd-4857-aabb-009ab5c765a0	INFILTRATION
c6b1824a-6ce1-41d1-afd1-023b61f7bde0	fec7bc8f-2e3d-4235-8ea9-ecf200ee3d93	IT_LOAD
e2e47806-da81-4eb8-8625-0318477836f8	61a1fdf5-57e8-4ac7-8e07-19c7235f0a71	SWITCHGEAR
e2e47806-da81-4eb8-8625-0318477836f8	38f25291-18e8-4dfb-bb51-548d0efa8566	GENERATOR
e2e47806-da81-4eb8-8625-0318477836f8	91c320d5-6aec-4ce0-9347-542a2bef7951	PRIMARY_AUXILIARIES
e2e47806-da81-4eb8-8625-0318477836f8	b1bfe77d-b363-4ded-bfc3-fac6f259bfc9	UPS
e2e47806-da81-4eb8-8625-0318477836f8	ef320d51-87bd-4441-ae1a-cf70b207f584	CRITICAL_AUXILIARIES
e2e47806-da81-4eb8-8625-0318477836f8	2b16ddd3-e82d-4315-9c5d-204317c0e71a	LIGHTING
e2e47806-da81-4eb8-8625-0318477836f8	3d048205-6bbd-4678-8a09-74c1f01ae24d	CRITICAL_POWER_DISTRIBUTION
e2e47806-da81-4eb8-8625-0318477836f8	f564f35d-6e9b-4dd6-b318-b2a3642bef2f	CRAH
e2e47806-da81-4eb8-8625-0318477836f8	93017754-6cf4-4048-aae0-29d9b63a2a30	CRAC
e2e47806-da81-4eb8-8625-0318477836f8	a34953a8-4f6d-4f7b-a77b-39f50a8b8233	CRAC_WITHOUT_FAN
e2e47806-da81-4eb8-8625-0318477836f8	38921814-189b-4407-9396-33f035fd4977	CRAC_FAN
e2e47806-da81-4eb8-8625-0318477836f8	663205b4-032b-4f19-afe7-d997f129ad3c	CHILLER
e2e47806-da81-4eb8-8625-0318477836f8	026bc2ec-4856-4f7b-9f49-e8bd90f08bf2	AIR_COOLED_CHILLER
e2e47806-da81-4eb8-8625-0318477836f8	303d348f-6d8b-4187-9a0c-8db8f41d8d84	COOLING_TOWER
e2e47806-da81-4eb8-8625-0318477836f8	29bb712b-acb8-45f9-abdf-6aca4c050396	DRY_COOLER
e2e47806-da81-4eb8-8625-0318477836f8	2c4db9c6-f463-4d21-a86a-7dae6e75747e	REMOTE_CONDENSER
e2e47806-da81-4eb8-8625-0318477836f8	ee5ef7ca-4df1-43f2-b3ba-5f437c44ac6f	CHILLED_WATER_PUMPS
e2e47806-da81-4eb8-8625-0318477836f8	9a6fb8ac-27b7-44b5-a916-1482e743b22b	HEAT_REJECTION_PUMPS
e2e47806-da81-4eb8-8625-0318477836f8	e54c6774-3c6a-42b2-b148-1fefb5cd84cf	VENTILATION
e2e47806-da81-4eb8-8625-0318477836f8	4728f0da-6fc6-466b-ba91-7a336826a2c4	INFILTRATION
e2e47806-da81-4eb8-8625-0318477836f8	19d9b1e7-bcdc-44f3-8186-98dadff42338	IT_LOAD
2c9db183-fe93-42ea-b437-68e8027f370e	fa9bdc7a-d719-4f22-b8ac-6ad4af638f27	SWITCHGEAR
2c9db183-fe93-42ea-b437-68e8027f370e	f00532c8-a446-40e8-89bb-528c4e89df0e	GENERATOR
2c9db183-fe93-42ea-b437-68e8027f370e	bfcc680f-85c8-4eb4-901a-2e099df180c8	PRIMARY_AUXILIARIES
2c9db183-fe93-42ea-b437-68e8027f370e	8b4c5f78-90c2-4d37-b74f-b79b61df967d	UPS
2c9db183-fe93-42ea-b437-68e8027f370e	18fbb184-301a-4935-97bc-a1c5c7bf6804	CRITICAL_AUXILIARIES
2c9db183-fe93-42ea-b437-68e8027f370e	90c3c62f-342b-486a-bb32-555beec7bd9e	LIGHTING
2c9db183-fe93-42ea-b437-68e8027f370e	49d73fcc-d2c2-4a3c-a037-e6fb387ecc8d	CRITICAL_POWER_DISTRIBUTION
2c9db183-fe93-42ea-b437-68e8027f370e	6024c288-14a4-4e48-bde5-d30808c71a2c	CRAH
2c9db183-fe93-42ea-b437-68e8027f370e	210f366c-a028-4a51-a622-f8392892e6d3	CRAC
2c9db183-fe93-42ea-b437-68e8027f370e	718b58a6-7756-4bee-b127-64b156cb0a2b	CRAC_WITHOUT_FAN
2c9db183-fe93-42ea-b437-68e8027f370e	d2e76852-6d72-4b01-86bf-4a447622988b	CRAC_FAN
2c9db183-fe93-42ea-b437-68e8027f370e	89f3cbb5-9609-4551-9185-c5be0153341d	CHILLER
2c9db183-fe93-42ea-b437-68e8027f370e	f12fc7ff-075e-4a3c-a84a-b0a8a238e125	AIR_COOLED_CHILLER
2c9db183-fe93-42ea-b437-68e8027f370e	1e869e27-10fc-4263-8fab-cf012b795225	COOLING_TOWER
2c9db183-fe93-42ea-b437-68e8027f370e	593ea03a-2c9e-4e01-bf3e-7cb85517fb67	DRY_COOLER
2c9db183-fe93-42ea-b437-68e8027f370e	f3ad667b-5adb-4ec8-97b4-319fdbd62ed7	REMOTE_CONDENSER
2c9db183-fe93-42ea-b437-68e8027f370e	dd75c5d1-bc5f-445c-a004-3db174416741	CHILLED_WATER_PUMPS
2c9db183-fe93-42ea-b437-68e8027f370e	d991f6ac-b8ac-4e96-9fd0-6d2d4a64bf99	HEAT_REJECTION_PUMPS
2c9db183-fe93-42ea-b437-68e8027f370e	263919a3-3cb6-40ff-88c5-55f3dee4b393	VENTILATION
2c9db183-fe93-42ea-b437-68e8027f370e	797c0b00-b3c7-4a36-ac9a-e8180616e030	INFILTRATION
2c9db183-fe93-42ea-b437-68e8027f370e	561ef89e-e6cd-48c2-bf12-05bcb9c6264d	IT_LOAD
845c645a-a111-46ee-8b09-958fe7351e5e	ba9db1cf-338e-4f77-ad90-2b691aa47ed5	SWITCHGEAR
845c645a-a111-46ee-8b09-958fe7351e5e	c410eea5-7a85-48c2-a076-e27ccbf38f3e	GENERATOR
845c645a-a111-46ee-8b09-958fe7351e5e	2b608f15-9457-49e8-8718-508030fcbbba	PRIMARY_AUXILIARIES
845c645a-a111-46ee-8b09-958fe7351e5e	6ced9825-5cfa-4236-ac7a-aa98155f6335	UPS
845c645a-a111-46ee-8b09-958fe7351e5e	aa576c70-fe51-4f35-b613-fd55ddf52423	CRITICAL_AUXILIARIES
845c645a-a111-46ee-8b09-958fe7351e5e	82b29be1-562a-4ad6-a6ac-1555b3bb321d	LIGHTING
845c645a-a111-46ee-8b09-958fe7351e5e	73ba253f-01df-4311-96e3-c9564f64e13f	CRITICAL_POWER_DISTRIBUTION
845c645a-a111-46ee-8b09-958fe7351e5e	62d787f7-95dd-4344-b6b2-d93734873ea8	CRAH
845c645a-a111-46ee-8b09-958fe7351e5e	542de8be-f481-4a2c-94b5-ac70fa1d592b	CRAC
845c645a-a111-46ee-8b09-958fe7351e5e	679e62b0-2683-41fe-a44d-fadac61478d0	CRAC_WITHOUT_FAN
845c645a-a111-46ee-8b09-958fe7351e5e	8b9a2884-3efe-4d09-b73e-b050a0336617	CRAC_FAN
845c645a-a111-46ee-8b09-958fe7351e5e	e27ed359-56f5-43aa-81d6-adad0ddea38c	CHILLER
845c645a-a111-46ee-8b09-958fe7351e5e	946310d1-cabe-4a00-bd87-ac0dbb8d2720	AIR_COOLED_CHILLER
845c645a-a111-46ee-8b09-958fe7351e5e	af4cc30e-99a0-4ef2-b8e4-c7660cde2572	COOLING_TOWER
845c645a-a111-46ee-8b09-958fe7351e5e	6107a397-0915-4c20-b6fb-58402eda52d8	DRY_COOLER
845c645a-a111-46ee-8b09-958fe7351e5e	9684262a-5c7a-40e6-bb6e-4b60c2c8f434	REMOTE_CONDENSER
845c645a-a111-46ee-8b09-958fe7351e5e	93ec1475-e41f-4e58-b220-dff9205e19fe	CHILLED_WATER_PUMPS
845c645a-a111-46ee-8b09-958fe7351e5e	2a9e57b8-6857-4e4b-9578-24ba790497ce	HEAT_REJECTION_PUMPS
845c645a-a111-46ee-8b09-958fe7351e5e	30972df8-389f-4626-8cdd-8487501e8d2f	VENTILATION
845c645a-a111-46ee-8b09-958fe7351e5e	ab3d7cda-7751-43bb-a166-3e1aff85587c	INFILTRATION
845c645a-a111-46ee-8b09-958fe7351e5e	fd95d624-d821-46ad-903b-fef296a83765	IT_LOAD
5540efb0-7382-4491-b443-5169a324e887	7aaf3d7e-6c7b-43a9-a55e-fc04b6203f94	SWITCHGEAR
5540efb0-7382-4491-b443-5169a324e887	a7d547ee-0c9b-40c7-9e95-12f20ef307e3	GENERATOR
5540efb0-7382-4491-b443-5169a324e887	c86e90a9-768b-4028-9810-38a068407fb0	PRIMARY_AUXILIARIES
5540efb0-7382-4491-b443-5169a324e887	99cdfec2-b32b-4038-b965-dc38b0d25570	UPS
5540efb0-7382-4491-b443-5169a324e887	7a6a47ab-8e09-4161-9818-51416b35b448	CRITICAL_AUXILIARIES
5540efb0-7382-4491-b443-5169a324e887	f2518b2d-6fbe-42ac-ae14-8e7f9f5ab118	LIGHTING
5540efb0-7382-4491-b443-5169a324e887	d15a0149-0d3b-4016-9b1d-e9283533ae1d	CRITICAL_POWER_DISTRIBUTION
5540efb0-7382-4491-b443-5169a324e887	af9e8add-66e4-40ed-8e7d-3f62b8c8ea54	CRAH
5540efb0-7382-4491-b443-5169a324e887	804ed692-4514-470a-835f-695541717727	CRAC
5540efb0-7382-4491-b443-5169a324e887	169d5d53-06b7-4d26-aba1-58615d433524	CRAC_WITHOUT_FAN
5540efb0-7382-4491-b443-5169a324e887	361b2c7b-4ded-4fab-8447-5094c2cab369	CRAC_FAN
5540efb0-7382-4491-b443-5169a324e887	7cb9140a-e559-4af4-88f5-bb85dd9f6801	CHILLER
5540efb0-7382-4491-b443-5169a324e887	d9ca3c93-a089-4c97-88b3-b82ebbb6e325	AIR_COOLED_CHILLER
5540efb0-7382-4491-b443-5169a324e887	3ce12530-b582-46c2-9f5f-1fa311fabfc4	COOLING_TOWER
5540efb0-7382-4491-b443-5169a324e887	1231b909-abf0-46fd-9879-9952baba66bb	DRY_COOLER
5540efb0-7382-4491-b443-5169a324e887	4b8b33cd-47fd-4bc4-bd0b-46644741660e	REMOTE_CONDENSER
5540efb0-7382-4491-b443-5169a324e887	65b6ba3e-3ddd-4ab1-b9e2-3df25b5ce9ab	CHILLED_WATER_PUMPS
5540efb0-7382-4491-b443-5169a324e887	4e2029b2-61d9-455c-ad59-a5fc1750d1e9	HEAT_REJECTION_PUMPS
5540efb0-7382-4491-b443-5169a324e887	7e9ca63e-a758-4c11-9e01-8cff7e5a11c9	VENTILATION
5540efb0-7382-4491-b443-5169a324e887	671aa390-bb36-4b1f-8e51-e5f704b7fd6c	INFILTRATION
5540efb0-7382-4491-b443-5169a324e887	7de01339-85e5-468c-bc1d-4bec97266ed4	IT_LOAD
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	bc7bae50-af82-48c2-9a97-e1b8b7a61422	SWITCHGEAR
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	caaf39c7-ba96-4828-8ee4-d251dd01f92f	GENERATOR
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	944b9957-244b-45e8-ae96-b048845d1c0e	PRIMARY_AUXILIARIES
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	7d4928b2-5f2d-43d5-a485-6bb703b1182b	UPS
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	5bd83931-9a29-4ec3-b8ab-f04f9737dc3a	CRITICAL_AUXILIARIES
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	5af74cc3-31e8-4bc8-86d9-3b7cf51e9f32	LIGHTING
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	ed45cc66-e0cd-4a1c-8e6a-597edeb05c30	CRITICAL_POWER_DISTRIBUTION
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	2436c4ab-b9dd-440f-b16c-2ef217709e89	CRAH
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	fe96a4ce-32e9-4b9c-95fc-79c5030e6552	CRAC
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	11f271b7-cdc6-475d-b5b5-9a2821f721f7	CRAC_WITHOUT_FAN
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	761e45b4-28e8-4bb9-8094-bec345cc2cda	CRAC_FAN
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	7e1190f8-16ff-47f2-8a8d-ee11ae029dfe	CHILLER
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	2aed400a-18a4-40d7-b4d5-d14d5858f52e	AIR_COOLED_CHILLER
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	15e6ecf1-d26b-4a3e-861f-4b229ccf8011	COOLING_TOWER
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	e5439cab-277b-4368-8ee2-25562a1b504c	DRY_COOLER
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	8aa6d7a4-03b1-42ee-8721-c60558ec2d73	REMOTE_CONDENSER
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	b3facfc8-7c79-4875-bf53-b55cd26a83dd	CHILLED_WATER_PUMPS
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	741b7fcf-01aa-4bbc-b6f5-c5b3c9fbb9b3	HEAT_REJECTION_PUMPS
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	99142f72-38ef-4a2e-9a9c-96c6eb803502	VENTILATION
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	455d373d-43d4-4c52-bc18-9a3690007b1e	INFILTRATION
215c39cf-b7d2-4aad-8f7a-1676ea6c25ce	e453a12c-9020-4ac7-b80c-f51a4bcf4aa5	IT_LOAD
6bf9436a-af58-4602-b3dd-60eb76206e89	134b063a-b614-4d6b-bb10-b1ba7c3b8365	SWITCHGEAR
6bf9436a-af58-4602-b3dd-60eb76206e89	d42162cd-57a4-4ca6-b0fa-725f7a8b54fe	GENERATOR
6bf9436a-af58-4602-b3dd-60eb76206e89	0f2cde8b-19a1-4b5c-bd81-e3824e9eea88	PRIMARY_AUXILIARIES
6bf9436a-af58-4602-b3dd-60eb76206e89	4466fcd1-df31-49dd-b6df-c2649114b942	UPS
6bf9436a-af58-4602-b3dd-60eb76206e89	66bd6e9e-d79b-4486-b4a8-9b5f11b558ae	CRITICAL_AUXILIARIES
6bf9436a-af58-4602-b3dd-60eb76206e89	6c9a1402-9134-41b4-bb42-b8e463048771	LIGHTING
6bf9436a-af58-4602-b3dd-60eb76206e89	3c08b661-6c74-43ab-8d04-ce87e68fb04b	CRITICAL_POWER_DISTRIBUTION
6bf9436a-af58-4602-b3dd-60eb76206e89	5ef19ea5-de47-41e4-8101-762431be1b36	CRAH
6bf9436a-af58-4602-b3dd-60eb76206e89	d31b7fc5-b1d2-47fd-a7bd-11291cbead88	CRAC
6bf9436a-af58-4602-b3dd-60eb76206e89	8aadff11-1947-4ffb-9897-24755cd162ec	CRAC_WITHOUT_FAN
6bf9436a-af58-4602-b3dd-60eb76206e89	320e5027-245f-437d-823a-bcb35827f34e	CRAC_FAN
6bf9436a-af58-4602-b3dd-60eb76206e89	bc6d534d-dd8c-4b05-9a93-d8b2a4d8d4b2	CHILLER
6bf9436a-af58-4602-b3dd-60eb76206e89	5dcb1831-1aff-4a8b-8cfe-df6634d67c82	AIR_COOLED_CHILLER
6bf9436a-af58-4602-b3dd-60eb76206e89	1ad5f23a-5685-4e75-951b-9ac937c4e330	COOLING_TOWER
6bf9436a-af58-4602-b3dd-60eb76206e89	aabc0a41-12e2-479f-a438-9e86ceb597c5	DRY_COOLER
6bf9436a-af58-4602-b3dd-60eb76206e89	c84e27a0-ff95-4127-a715-0276cc98577c	REMOTE_CONDENSER
6bf9436a-af58-4602-b3dd-60eb76206e89	c8bad924-0c95-41a7-9b6f-80419794703f	CHILLED_WATER_PUMPS
6bf9436a-af58-4602-b3dd-60eb76206e89	facffc2c-b6ae-4374-825a-afe9366cfabd	HEAT_REJECTION_PUMPS
6bf9436a-af58-4602-b3dd-60eb76206e89	fb00944d-43ed-447c-9c0f-9b3075f31c65	VENTILATION
6bf9436a-af58-4602-b3dd-60eb76206e89	b7a8755e-949c-45c4-959d-9c4abfb50127	INFILTRATION
6bf9436a-af58-4602-b3dd-60eb76206e89	ab3c9658-6efc-4e47-93f9-c7cc235b430b	IT_LOAD
408f05e5-cf90-49c4-9e79-c4c926ba5483	d33218fc-95e8-4169-b1db-472f0892a460	SWITCHGEAR
408f05e5-cf90-49c4-9e79-c4c926ba5483	48970d01-f177-488c-a01c-09b5d6b3f0b4	GENERATOR
408f05e5-cf90-49c4-9e79-c4c926ba5483	2995e435-7d4b-451f-a818-2e058144b10a	PRIMARY_AUXILIARIES
408f05e5-cf90-49c4-9e79-c4c926ba5483	cbf41db8-973d-4cac-a98e-ca8d00b2bb4b	UPS
408f05e5-cf90-49c4-9e79-c4c926ba5483	fc0d8e94-054d-4a37-94cb-ee8cf3eef226	CRITICAL_AUXILIARIES
408f05e5-cf90-49c4-9e79-c4c926ba5483	e5028059-8db7-41f4-a6e3-2df6ef630135	LIGHTING
408f05e5-cf90-49c4-9e79-c4c926ba5483	3a1f952a-3dfe-4145-b651-ebae695236f7	CRITICAL_POWER_DISTRIBUTION
408f05e5-cf90-49c4-9e79-c4c926ba5483	b11182b0-2125-4be3-abcc-14dd2f03b032	CRAH
408f05e5-cf90-49c4-9e79-c4c926ba5483	a0e4e289-9c07-4f5e-9509-0fdb55f8f4f3	CRAC
408f05e5-cf90-49c4-9e79-c4c926ba5483	eec49df3-1817-435f-b8d5-23d1149a3a1a	CRAC_WITHOUT_FAN
408f05e5-cf90-49c4-9e79-c4c926ba5483	de1cc144-6605-4196-96ac-7e16d5962401	CRAC_FAN
408f05e5-cf90-49c4-9e79-c4c926ba5483	71dbfc1e-2d9a-4a2e-b977-86e765e37409	CHILLER
408f05e5-cf90-49c4-9e79-c4c926ba5483	31e01c68-1c61-481c-8390-04a6b6f9e743	AIR_COOLED_CHILLER
408f05e5-cf90-49c4-9e79-c4c926ba5483	7f217bc8-7994-4a51-9e20-f2145cd40539	COOLING_TOWER
408f05e5-cf90-49c4-9e79-c4c926ba5483	5feac560-161f-4f1a-a6a2-0a371324d248	DRY_COOLER
408f05e5-cf90-49c4-9e79-c4c926ba5483	7d1d2c66-e9e3-4875-8b73-6dd641db6076	REMOTE_CONDENSER
408f05e5-cf90-49c4-9e79-c4c926ba5483	256a568d-31ca-40a5-a1b9-4e3c48100fee	CHILLED_WATER_PUMPS
408f05e5-cf90-49c4-9e79-c4c926ba5483	5b3b8ed2-db53-4ae1-9d34-e91d1368959e	HEAT_REJECTION_PUMPS
408f05e5-cf90-49c4-9e79-c4c926ba5483	b86f8a0b-269b-49ae-88c5-a3860b9a0060	VENTILATION
408f05e5-cf90-49c4-9e79-c4c926ba5483	815bd93b-c0c1-4976-a4d4-b1a507e47b8c	INFILTRATION
408f05e5-cf90-49c4-9e79-c4c926ba5483	5429c299-9540-4436-8dc1-467117c5b6f9	IT_LOAD
087da85a-fd12-44d7-be93-eac09e56e4af	23a8c659-186a-4a5e-9b25-1c23a5ff703c	SWITCHGEAR
087da85a-fd12-44d7-be93-eac09e56e4af	2b2a5d9d-1d2f-4db7-9250-a367977bac07	GENERATOR
087da85a-fd12-44d7-be93-eac09e56e4af	e9fac3bd-d76e-4eed-9084-23fba736823a	PRIMARY_AUXILIARIES
087da85a-fd12-44d7-be93-eac09e56e4af	80386180-eb64-46cd-ad26-d598b8e3a034	UPS
087da85a-fd12-44d7-be93-eac09e56e4af	7bc32cac-56a9-489b-a1bb-56355069da95	CRITICAL_AUXILIARIES
087da85a-fd12-44d7-be93-eac09e56e4af	3b4445d3-5571-46d1-873d-3d009307ab7a	LIGHTING
087da85a-fd12-44d7-be93-eac09e56e4af	7d4fc18d-7884-469a-a950-4d32f67a48a7	CRITICAL_POWER_DISTRIBUTION
087da85a-fd12-44d7-be93-eac09e56e4af	572b72e8-6f40-46d1-8e74-35a0a658ada9	CRAH
087da85a-fd12-44d7-be93-eac09e56e4af	0f038286-91ff-46e8-a10c-8b364acf79e0	CRAC
087da85a-fd12-44d7-be93-eac09e56e4af	c93c1d3a-42a1-4533-8f37-35da386282a2	CRAC_WITHOUT_FAN
087da85a-fd12-44d7-be93-eac09e56e4af	8c2c3149-9495-447a-b304-d69a9f7e353e	CRAC_FAN
087da85a-fd12-44d7-be93-eac09e56e4af	10f3bb3f-ba47-4535-878d-b1bd5d6defdc	CHILLER
087da85a-fd12-44d7-be93-eac09e56e4af	4dd6ea1a-b4ff-47f0-b07b-e3d40fb7fce7	AIR_COOLED_CHILLER
087da85a-fd12-44d7-be93-eac09e56e4af	aa43abb2-5ba4-4cdf-b0f2-5c60a27cf9cb	COOLING_TOWER
087da85a-fd12-44d7-be93-eac09e56e4af	d21266db-6e54-4113-b771-1c0d209c16a0	DRY_COOLER
087da85a-fd12-44d7-be93-eac09e56e4af	b17620f4-7ff2-4dc0-a42b-f15bcb25578d	REMOTE_CONDENSER
087da85a-fd12-44d7-be93-eac09e56e4af	bfa584ea-254e-4786-9e0a-20920d5d0abd	CHILLED_WATER_PUMPS
087da85a-fd12-44d7-be93-eac09e56e4af	cef070d2-e39b-40b9-a433-5e9445e26dbb	HEAT_REJECTION_PUMPS
087da85a-fd12-44d7-be93-eac09e56e4af	f0963124-997a-4fa9-a5c3-3f5dd0658905	VENTILATION
087da85a-fd12-44d7-be93-eac09e56e4af	df2c76d5-b33b-4909-8570-6fa25227cdba	INFILTRATION
087da85a-fd12-44d7-be93-eac09e56e4af	cf7f5a8c-a126-4bc2-8ce2-ac24446ed6b9	IT_LOAD
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	395a429f-5af8-4840-97bc-43ed69d97b65	SWITCHGEAR
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	05c243e2-309e-4343-8768-917c44d9d70e	GENERATOR
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	f6698977-f129-43a8-9bd0-408b4eccb530	PRIMARY_AUXILIARIES
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	26d20603-b030-4f7a-835d-a7946024bf05	UPS
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	33542331-9c62-4282-8743-61e88c17960f	CRITICAL_AUXILIARIES
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	8bf61b7c-65e8-4e13-9444-bc494b30c416	LIGHTING
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	b5b4c733-0c0c-4c71-83cc-011e060e8058	CRITICAL_POWER_DISTRIBUTION
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	09a9addb-a251-4a5c-8ecc-4f7c09aeaaf5	CRAH
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	8020ed4b-6f94-4552-8e0c-d160661a5531	CRAC
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	3405b7a5-994c-451b-bfb1-867f60012939	CRAC_WITHOUT_FAN
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	513b16d7-d7d0-4cd4-acc3-69f2e800136f	CRAC_FAN
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	4ee2e4d4-c7e5-49f7-a795-bea535c85bfa	CHILLER
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	c1c508f6-cfe9-45ce-92aa-4f6b1e457fc6	AIR_COOLED_CHILLER
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	030edcb7-069a-4bae-ac2b-220a2ecd2a3b	COOLING_TOWER
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	a04d4532-192f-4690-aa93-4e5c971071c5	DRY_COOLER
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	98c5ead4-7a6e-487d-9268-ec18b8a9348e	REMOTE_CONDENSER
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	d60b729c-ad86-45be-859b-5b57e6bce7eb	CHILLED_WATER_PUMPS
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	b38dd828-1b71-4c3f-a897-13a4fe4cf6ad	HEAT_REJECTION_PUMPS
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	26a7e521-4eae-4783-8647-867c8d9b837b	VENTILATION
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	9e29c20b-8ab7-4a74-8e4f-e0f6192fe32b	INFILTRATION
7cda09db-9e5b-4fd9-b25b-4c3e214d00c1	6c9b2936-875c-4702-96ca-95abdc257a70	IT_LOAD
42831d57-a1b1-4be2-8e12-8c2789addf71	3727d157-3998-4e18-94f2-eab3fe6251ff	SWITCHGEAR
42831d57-a1b1-4be2-8e12-8c2789addf71	63e42e22-2359-4fd1-bf67-77c940fb7be9	GENERATOR
42831d57-a1b1-4be2-8e12-8c2789addf71	7a1c6c92-3d5b-45f3-97e8-dee62b44c4df	PRIMARY_AUXILIARIES
42831d57-a1b1-4be2-8e12-8c2789addf71	0bfc5574-b1c4-4c75-b624-94bd1f3be32a	UPS
42831d57-a1b1-4be2-8e12-8c2789addf71	fa49ddb3-2df0-4c4a-9eea-602d6a8eab6a	CRITICAL_AUXILIARIES
42831d57-a1b1-4be2-8e12-8c2789addf71	6fc7dbc0-a84f-4177-9ff8-f5ea25d4da38	LIGHTING
42831d57-a1b1-4be2-8e12-8c2789addf71	b287cd07-3b60-4bc6-9470-ef437b614924	CRITICAL_POWER_DISTRIBUTION
42831d57-a1b1-4be2-8e12-8c2789addf71	43b21ef7-67b2-40fe-8508-5348692c2004	CRAH
42831d57-a1b1-4be2-8e12-8c2789addf71	ed8b11c1-cef3-4968-af91-cc47bd533301	CRAC
42831d57-a1b1-4be2-8e12-8c2789addf71	baee8c9e-07bb-4c1d-a2ea-c2ed8b70736e	CRAC_WITHOUT_FAN
42831d57-a1b1-4be2-8e12-8c2789addf71	d5f7feec-93bd-4107-8664-35628924f400	CRAC_FAN
42831d57-a1b1-4be2-8e12-8c2789addf71	958a080c-a733-4b55-bb6a-925487ad8177	CHILLER
42831d57-a1b1-4be2-8e12-8c2789addf71	93bf229d-7b28-46b7-97f4-e0943f89e734	AIR_COOLED_CHILLER
42831d57-a1b1-4be2-8e12-8c2789addf71	9a418af2-ceed-400d-b03a-eb66c701c707	COOLING_TOWER
42831d57-a1b1-4be2-8e12-8c2789addf71	ca8fc8ef-ec0d-4107-928a-ea31867858a0	DRY_COOLER
42831d57-a1b1-4be2-8e12-8c2789addf71	88615093-eb62-45b0-a72a-72407f9b90f6	REMOTE_CONDENSER
42831d57-a1b1-4be2-8e12-8c2789addf71	ab9347ab-6423-44c4-a844-71e1f0649006	CHILLED_WATER_PUMPS
42831d57-a1b1-4be2-8e12-8c2789addf71	05391fd2-b473-486f-a021-d2e0c5edcc5c	HEAT_REJECTION_PUMPS
42831d57-a1b1-4be2-8e12-8c2789addf71	f0c01a9a-f9db-446a-abef-262bc3c81322	VENTILATION
42831d57-a1b1-4be2-8e12-8c2789addf71	f9370810-7f5c-4fac-8d53-0379598f9285	INFILTRATION
42831d57-a1b1-4be2-8e12-8c2789addf71	93523495-a6a6-4bc6-983c-ab2093aedf52	IT_LOAD
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	f66303dd-f84c-4e37-928e-6e9fcacd4faf	SWITCHGEAR
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	001df4c6-6b3b-415d-add0-d44f3c409c79	GENERATOR
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	b0a66f9c-6f38-4572-ac73-a21d9907f980	PRIMARY_AUXILIARIES
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	a8915e55-2008-4e11-9834-d842e00de09a	UPS
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	270f7417-8266-4a55-b0e7-7ba50d98b972	CRITICAL_AUXILIARIES
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	f18ef728-ef7a-4964-81da-f633cba16537	LIGHTING
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	41c43d21-48d8-4648-a4e0-9886ddd4c5de	CRITICAL_POWER_DISTRIBUTION
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	ff35a4ad-30db-4efe-8ecb-996482f0c39b	CRAH
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	f9e75d69-7cd9-4fd0-b2a9-4b07daf22978	CRAC
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	9e3ca999-4ab6-4e96-9c8d-92e768e40c0a	CRAC_WITHOUT_FAN
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	583d814e-91c6-49ed-bd69-814c7af9e837	CRAC_FAN
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	02d1104d-e191-4d0c-851a-543f3574ca22	CHILLER
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	d125f445-16b6-40a0-9271-7c6630908683	AIR_COOLED_CHILLER
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	68e42b3b-51f6-4793-82ac-db782fcae811	COOLING_TOWER
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	658430dc-3031-42df-a9c1-b7a7c2b8c47a	DRY_COOLER
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	0b0fa12e-d2be-408a-811f-f4b7a1f1dd5d	REMOTE_CONDENSER
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	e0c55929-4656-44ff-8699-a13a06d09703	CHILLED_WATER_PUMPS
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	1212a6b3-92f0-4dc5-ab4a-39065f4614de	HEAT_REJECTION_PUMPS
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	33944879-4006-45c7-972e-b563e6db95f5	VENTILATION
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	32167bed-a828-4a91-a3ff-e50d096d988e	INFILTRATION
24c4e502-a69c-472f-bd85-f2a8fd7fa8ab	b8ace53c-7059-4585-8928-3f5d1fb35ad0	IT_LOAD
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	05747bc1-95bb-4284-9c9e-63d037b19896	SWITCHGEAR
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	e93f03d0-7ebb-448a-b781-9258598f1b04	GENERATOR
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	aeb8a598-da87-44c2-86ed-5baeef28f982	PRIMARY_AUXILIARIES
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	92047e42-9258-4937-b884-1d4a19521727	UPS
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	dc645413-fecc-4e6b-9c43-739308e02432	CRITICAL_AUXILIARIES
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	6c66948c-f06f-4ee9-883e-92b389f075ed	LIGHTING
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	e0608000-cfe7-40ae-986e-d2ddadcac0d5	CRITICAL_POWER_DISTRIBUTION
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	95a9b551-a531-4c52-b626-40e0818f6e9a	CRAH
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	7dfcff84-4746-4704-b8d7-3ea7279213c2	CRAC
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	7be0b9ff-1e69-42d5-bc70-9972ad51853a	CRAC_WITHOUT_FAN
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	43822517-ff2d-42fd-8621-ddebc859ee95	CRAC_FAN
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	d13caaeb-154a-4c37-b276-326a5d849972	CHILLER
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	f43793ce-5465-4fc2-8bd0-4fe93745023d	AIR_COOLED_CHILLER
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	23f4b4f8-9987-4abb-9958-217a580953e2	COOLING_TOWER
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	401e4c7f-e84f-4183-9812-578edb725b6d	DRY_COOLER
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	3e4d01ab-42c1-48e2-9ac5-d1e2f4fffad9	REMOTE_CONDENSER
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	0a6c9ed2-8a57-4fb7-9bd7-4398b72d844b	CHILLED_WATER_PUMPS
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	606d233b-9562-4807-bc83-f7f673ded978	HEAT_REJECTION_PUMPS
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	2f9d8000-9f8d-4f20-a21f-012d1944393a	VENTILATION
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	37ce87c9-177e-4df3-8c4d-a5ccce522a1e	INFILTRATION
00fc7e6c-1ce1-478a-bdd0-e28a283cbcab	122ba6f3-701d-458a-9959-603f9e555c2e	IT_LOAD
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	e72bde44-1b96-4b5a-9977-115a25c976ac	SWITCHGEAR
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	265084a9-6a36-47ac-800d-b2d6a73260d3	GENERATOR
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	8e3d352d-0fb3-41b5-92da-910d87c47abd	PRIMARY_AUXILIARIES
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	9e051b9b-173a-4b76-b921-dd4bacaa6131	UPS
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	17fe8167-c3da-41ff-b7ef-cdc3cba01a30	CRITICAL_AUXILIARIES
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	dfbe41ef-2d96-4bc2-8327-f5a72972d30b	LIGHTING
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	d3f9789b-6512-4c94-88e2-cdb323762908	CRITICAL_POWER_DISTRIBUTION
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	f70f9a8c-b81d-4238-8f73-4cc9b4b43cef	CRAH
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	e7807c4f-6366-47c9-84a6-94a6faa0f144	CRAC
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	f2ff8578-b8b9-4bdd-bfcf-f0d8db5bcf42	CRAC_WITHOUT_FAN
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	0c4cf5c5-5652-4cca-a894-3f92e1bc3ee5	CRAC_FAN
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	2ea3c3a3-e4aa-41b1-8d82-d7e0cf6a2440	CHILLER
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	5cbcdc36-43b6-475a-95dc-771500835343	AIR_COOLED_CHILLER
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	f75d7ac5-9374-4fd7-b0e6-96281f184536	COOLING_TOWER
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	0c3ad331-62a4-4fb0-9954-bfabd5501d5b	DRY_COOLER
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	eedf079d-eaa2-4e8b-a0e6-b787465ae0c7	REMOTE_CONDENSER
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	fe4ea8ce-d13b-43f4-9802-7906277ffb67	CHILLED_WATER_PUMPS
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	5040522d-7f3e-4245-a63b-034cbf7dc19a	HEAT_REJECTION_PUMPS
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	aa4840e8-3072-4320-a012-06a7ec439afd	VENTILATION
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	c10b9656-0b51-4801-adba-102699d9a716	INFILTRATION
54cfaa6c-34e6-4eba-98f7-be9f9618b84b	78361d1b-8af8-49f6-99a3-13d7d5d303b5	IT_LOAD
65cb09a3-676a-4867-aaf2-6c8d733a861f	06940e3b-9532-4398-87d7-bbe33b0e1ceb	SWITCHGEAR
65cb09a3-676a-4867-aaf2-6c8d733a861f	739b4ba6-dad1-46aa-9eb9-e3cfa8f66d8d	GENERATOR
65cb09a3-676a-4867-aaf2-6c8d733a861f	b9417f98-d044-4dd4-bde4-2eabda1f1bfe	PRIMARY_AUXILIARIES
65cb09a3-676a-4867-aaf2-6c8d733a861f	dd2471b7-8e3d-47d5-bc37-0a34285b82ea	UPS
65cb09a3-676a-4867-aaf2-6c8d733a861f	deda38dc-49d0-4771-bfb0-94604cafe066	CRITICAL_AUXILIARIES
65cb09a3-676a-4867-aaf2-6c8d733a861f	8f3188ec-84ec-4d03-9484-60514d912150	LIGHTING
65cb09a3-676a-4867-aaf2-6c8d733a861f	df6dcbe2-1837-4e30-bfa7-023a27833a83	CRITICAL_POWER_DISTRIBUTION
65cb09a3-676a-4867-aaf2-6c8d733a861f	f31e942e-0a0e-416f-962b-5723b7f27f24	CRAH
65cb09a3-676a-4867-aaf2-6c8d733a861f	f171ef02-ea4c-48cf-ac3e-8d68b06c9385	CRAC
65cb09a3-676a-4867-aaf2-6c8d733a861f	fb242dc5-aa57-473d-9ff9-1c2f073ccb2a	CRAC_WITHOUT_FAN
65cb09a3-676a-4867-aaf2-6c8d733a861f	33a87cde-c50d-4a2b-b147-121dd6b35f9e	CRAC_FAN
65cb09a3-676a-4867-aaf2-6c8d733a861f	48347086-6e50-438f-8461-5a5bfc66c766	CHILLER
65cb09a3-676a-4867-aaf2-6c8d733a861f	933a0573-7bef-45d2-9b82-90934f0b0288	AIR_COOLED_CHILLER
65cb09a3-676a-4867-aaf2-6c8d733a861f	4b17c4b5-c0a4-47d7-8e46-b6e1b5a367c1	COOLING_TOWER
65cb09a3-676a-4867-aaf2-6c8d733a861f	fa6b1acd-123b-4e50-b353-90a4ea12879b	DRY_COOLER
65cb09a3-676a-4867-aaf2-6c8d733a861f	16109e08-0526-4fb4-82de-5772a681e087	REMOTE_CONDENSER
65cb09a3-676a-4867-aaf2-6c8d733a861f	785938b3-c020-4a1c-8dfc-cd2a629cfc24	CHILLED_WATER_PUMPS
65cb09a3-676a-4867-aaf2-6c8d733a861f	36fbf963-842d-43aa-ade6-f7a7e95277b7	HEAT_REJECTION_PUMPS
65cb09a3-676a-4867-aaf2-6c8d733a861f	e2ddba8d-7151-4864-8529-a3badb91442b	VENTILATION
65cb09a3-676a-4867-aaf2-6c8d733a861f	9f380970-6a28-474c-a48a-fdd924b07984	INFILTRATION
65cb09a3-676a-4867-aaf2-6c8d733a861f	f661e79e-88d0-4873-a5c2-b355957ff60f	IT_LOAD
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	2552af19-bb29-4fe0-a70a-b3e15af93838	SWITCHGEAR
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	9ba1754b-021e-4e5f-892e-fc434e18be0b	GENERATOR
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	84d5e5cb-759c-45ac-9abf-04891f0b8b8e	PRIMARY_AUXILIARIES
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	551fdf39-5b7e-43f1-8a4e-96716949df73	UPS
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	3bb7fa8c-5083-4f6e-af7c-c4d0c3a3a891	CRITICAL_AUXILIARIES
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	50ae9422-0f83-4674-ab2f-8c36d7017f74	LIGHTING
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	ee8226eb-a6bb-4169-a00d-65b3e7114ceb	CRITICAL_POWER_DISTRIBUTION
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	143b2bbf-4291-42ac-9a53-63432e8fba98	CRAH
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	8c25cda0-d5a2-4c82-b2ee-891cd150fda8	CRAC
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	947989aa-f773-44c1-8ce9-d1666124936b	CRAC_WITHOUT_FAN
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	f432aef0-531a-41fe-a4ed-e3164d82b127	CRAC_FAN
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	55488cfd-e9f4-49e2-b5d5-e621a8c038cd	CHILLER
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	89023e12-21d3-4230-b1fa-8b3b7e51035d	AIR_COOLED_CHILLER
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	d8bb3daf-5995-44ff-8251-24c26c7626c6	COOLING_TOWER
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	d3961817-f572-40b6-8e6d-2a8e6a897ff1	DRY_COOLER
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	ff7a4fc8-a74b-4633-8fc3-a6ca95566ad2	REMOTE_CONDENSER
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	47176199-6722-4e93-a9f4-42b576d2c30f	CHILLED_WATER_PUMPS
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	0e1dd6e5-329e-4131-a6cf-931e9be89c5e	HEAT_REJECTION_PUMPS
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	2f286358-e9c1-4575-9373-f3e6113c2249	VENTILATION
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	a77016ad-8c5c-4c06-8ec6-adebf584fe60	INFILTRATION
fcb64fc7-307c-4ad6-b984-f2622ba0fee4	f9df8a01-29fb-4f74-89e2-29179083e1a4	IT_LOAD
1889ab02-65a9-44df-963b-281e0d29cf0a	4deccf73-d122-4f39-98fc-f2fbd2e76f93	SWITCHGEAR
1889ab02-65a9-44df-963b-281e0d29cf0a	7c36e00b-20e8-4fdc-aaed-86506adcb518	GENERATOR
1889ab02-65a9-44df-963b-281e0d29cf0a	52f3cd82-e283-42e3-8e64-5dc220b93503	PRIMARY_AUXILIARIES
1889ab02-65a9-44df-963b-281e0d29cf0a	77a03c5f-ee4f-401a-9a41-9ac3cab571ae	UPS
1889ab02-65a9-44df-963b-281e0d29cf0a	780ab7ad-d67d-4f97-a0e1-9fd8a5a45bdf	CRITICAL_AUXILIARIES
1889ab02-65a9-44df-963b-281e0d29cf0a	960aa726-0882-4d77-8248-3b581549768c	LIGHTING
1889ab02-65a9-44df-963b-281e0d29cf0a	6bc9bdaf-75d3-4a5e-b601-2405a31c3b98	CRITICAL_POWER_DISTRIBUTION
1889ab02-65a9-44df-963b-281e0d29cf0a	2e32633c-a23c-4e1d-8111-2ea9c34a27cd	CRAH
1889ab02-65a9-44df-963b-281e0d29cf0a	e8ffe706-873a-4e12-8243-f55874a7e3f1	CRAC
1889ab02-65a9-44df-963b-281e0d29cf0a	76b5408e-4796-4575-bb65-138cee8d1a59	CRAC_WITHOUT_FAN
1889ab02-65a9-44df-963b-281e0d29cf0a	918bc18a-1794-43e2-aba5-f06b83274901	CRAC_FAN
1889ab02-65a9-44df-963b-281e0d29cf0a	45fc07fb-6461-4581-8bd8-143ff91a780b	CHILLER
1889ab02-65a9-44df-963b-281e0d29cf0a	ec29575f-3bb5-4d40-8491-0e20e42fc51c	AIR_COOLED_CHILLER
1889ab02-65a9-44df-963b-281e0d29cf0a	650536ae-8cbe-47ae-b4c6-75c3b4c8a421	COOLING_TOWER
1889ab02-65a9-44df-963b-281e0d29cf0a	b2258a04-854e-4c75-ab5b-4d0a940139e4	DRY_COOLER
1889ab02-65a9-44df-963b-281e0d29cf0a	ba63c295-4d96-4aa2-b39a-32cd9cf79579	REMOTE_CONDENSER
1889ab02-65a9-44df-963b-281e0d29cf0a	c2a8ed17-2623-427b-95ba-05a8990dcfe0	CHILLED_WATER_PUMPS
1889ab02-65a9-44df-963b-281e0d29cf0a	9a23d3a6-461d-42c0-8b3d-ed5daf4def32	HEAT_REJECTION_PUMPS
1889ab02-65a9-44df-963b-281e0d29cf0a	6d4fc984-d34a-45fa-8555-7368dacc2046	VENTILATION
1889ab02-65a9-44df-963b-281e0d29cf0a	94acc757-1869-4e75-aeb7-f674796296cf	INFILTRATION
1889ab02-65a9-44df-963b-281e0d29cf0a	d46a77dc-f6aa-458f-9a6a-ea7520f82c5f	IT_LOAD
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	693920ab-0d81-4cb9-bcbf-06d95f968177	SWITCHGEAR
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	4d2cdc75-b666-4c6f-90aa-e8cdc0a18e53	GENERATOR
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	9eef0e5d-3726-4a0b-899c-baefd3110001	PRIMARY_AUXILIARIES
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	3dd3da38-8955-45bd-9ba7-ef452931090a	UPS
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	9d296f9c-a09e-409a-9409-01baa2cb69c6	CRITICAL_AUXILIARIES
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	ab904f3c-c800-40c1-adab-85782a84369c	LIGHTING
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	afbf36ac-c714-4fb4-b78b-c016b1eaacec	CRITICAL_POWER_DISTRIBUTION
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	25ca7daa-d0eb-49b0-a9e9-b0c5dbc71e7e	CRAH
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	e1281293-5d9b-4a2b-9903-74ac5348520b	CRAC
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	76a049d7-b3bf-4d23-9d2b-a8870bd112cb	CRAC_WITHOUT_FAN
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	6a5d2e2b-fdcf-40aa-881a-23732ad55cfc	CRAC_FAN
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	0b59ceea-efde-488f-8d0e-a1f67cf899c3	CHILLER
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	d322ef3e-b74c-4e0b-bd2f-7ca0b1153981	AIR_COOLED_CHILLER
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	1fa08ca8-b497-4f07-ab8a-2ae82daee5df	COOLING_TOWER
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	af62a6a8-9fab-4372-9f42-28514a011ed0	DRY_COOLER
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	b061e867-3dd8-4529-98d0-6fe5a929a4cc	REMOTE_CONDENSER
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	690385ea-b704-4f40-954b-916f289aa41a	CHILLED_WATER_PUMPS
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	99d377bb-63ed-473c-a46e-5250beca576d	HEAT_REJECTION_PUMPS
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	616be794-8712-468f-a8b3-f2efee8bbdd0	VENTILATION
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	6ccf0a55-3921-4e24-be91-088d004a6718	INFILTRATION
ebd54f1b-b262-4153-91f3-a6d4cd4161e1	42a732d4-5282-4c30-a232-ae6d85985fe3	IT_LOAD
8a93f8ff-a631-4ee5-9fca-abd55e70491a	71fe9e63-64db-4439-9a04-c721f344d67f	SWITCHGEAR
8a93f8ff-a631-4ee5-9fca-abd55e70491a	aa14f679-f3a0-4e52-a17b-27c49821fa44	GENERATOR
8a93f8ff-a631-4ee5-9fca-abd55e70491a	df65de00-e197-4677-84f5-a22fc5ffa45a	PRIMARY_AUXILIARIES
8a93f8ff-a631-4ee5-9fca-abd55e70491a	4ce3362a-3328-4330-90a7-01d243d164ca	UPS
8a93f8ff-a631-4ee5-9fca-abd55e70491a	3a5048f9-9355-49a9-b151-0c3a455854c3	CRITICAL_AUXILIARIES
8a93f8ff-a631-4ee5-9fca-abd55e70491a	a7ab3412-e0be-4be1-9f69-55027886d26d	LIGHTING
8a93f8ff-a631-4ee5-9fca-abd55e70491a	f3c41652-43d4-45b2-8248-3f1ab9523599	CRITICAL_POWER_DISTRIBUTION
8a93f8ff-a631-4ee5-9fca-abd55e70491a	516a7792-fb40-441e-a149-a906e7a67335	CRAH
8a93f8ff-a631-4ee5-9fca-abd55e70491a	1db81362-8a46-4a11-8149-8c0fc02939eb	CRAC
8a93f8ff-a631-4ee5-9fca-abd55e70491a	02f085d2-e40f-420a-9e27-663923c2b8cf	CRAC_WITHOUT_FAN
8a93f8ff-a631-4ee5-9fca-abd55e70491a	208f3b42-7d78-4c4b-a3ae-85cff38fc1b6	CRAC_FAN
8a93f8ff-a631-4ee5-9fca-abd55e70491a	ec04c2d5-137e-46c6-84d2-ac27e408f6ac	CHILLER
8a93f8ff-a631-4ee5-9fca-abd55e70491a	9967fec7-b513-405f-8aa8-2e32041b8804	AIR_COOLED_CHILLER
8a93f8ff-a631-4ee5-9fca-abd55e70491a	a883e797-ced6-45d0-bd69-2eef9d1d3aa6	COOLING_TOWER
8a93f8ff-a631-4ee5-9fca-abd55e70491a	db70b759-ed62-44ec-a4c4-1237474a7c2b	DRY_COOLER
8a93f8ff-a631-4ee5-9fca-abd55e70491a	4cf7c71a-f2fe-4f5b-8539-e8412db50f9a	REMOTE_CONDENSER
8a93f8ff-a631-4ee5-9fca-abd55e70491a	d57350fa-87cb-40d2-a92f-7b959e225606	CHILLED_WATER_PUMPS
8a93f8ff-a631-4ee5-9fca-abd55e70491a	a49cfe55-e776-4cdd-8705-d099edc6b59d	HEAT_REJECTION_PUMPS
8a93f8ff-a631-4ee5-9fca-abd55e70491a	fbf9a9bf-585a-4ddd-9608-206580fa04c6	VENTILATION
8a93f8ff-a631-4ee5-9fca-abd55e70491a	50944f8f-24c9-4a27-add7-dd9abafe34a2	INFILTRATION
8a93f8ff-a631-4ee5-9fca-abd55e70491a	cfb0d3b6-238f-465e-ad3a-74ef4bfdbea5	IT_LOAD
b5706036-c3b0-49f0-973a-a8ee0a70ae21	77173661-d2c2-4401-a694-819e22b41011	SWITCHGEAR
b5706036-c3b0-49f0-973a-a8ee0a70ae21	989e3385-da63-4c4c-afc6-8d00dfa69ad5	GENERATOR
b5706036-c3b0-49f0-973a-a8ee0a70ae21	6b0069f3-89f2-4f94-9012-1aa4ef874104	PRIMARY_AUXILIARIES
b5706036-c3b0-49f0-973a-a8ee0a70ae21	fd5155f1-8e69-4ea7-b7b8-a9d10aea4c8f	UPS
b5706036-c3b0-49f0-973a-a8ee0a70ae21	de8cc1b5-e1fa-4fe3-bcfa-755522d58193	CRITICAL_AUXILIARIES
b5706036-c3b0-49f0-973a-a8ee0a70ae21	045e7605-feb3-420d-b4f0-89f627da257b	LIGHTING
b5706036-c3b0-49f0-973a-a8ee0a70ae21	8be3e872-b8cb-4499-ab25-2e3def881868	CRITICAL_POWER_DISTRIBUTION
b5706036-c3b0-49f0-973a-a8ee0a70ae21	731b8391-894f-4135-a331-d4357e0d56c4	CRAH
b5706036-c3b0-49f0-973a-a8ee0a70ae21	1c398cdb-0b9b-467b-9d81-c1d27277e6ba	CRAC
b5706036-c3b0-49f0-973a-a8ee0a70ae21	53d90af2-0ce8-49f5-a1b9-d8043791a4ab	CRAC_WITHOUT_FAN
b5706036-c3b0-49f0-973a-a8ee0a70ae21	4dacb7c3-d226-45b2-a01b-40df0e095cd8	CRAC_FAN
b5706036-c3b0-49f0-973a-a8ee0a70ae21	0f26310e-2ff5-47ee-b9ac-131963569f09	CHILLER
b5706036-c3b0-49f0-973a-a8ee0a70ae21	2779090c-0b8d-4554-a7cc-587ad98458c9	AIR_COOLED_CHILLER
b5706036-c3b0-49f0-973a-a8ee0a70ae21	c10314f6-6638-4235-b5f1-c819cccbe966	COOLING_TOWER
b5706036-c3b0-49f0-973a-a8ee0a70ae21	3cb7c7b4-ef97-4f24-8121-8fe6b146b6f3	DRY_COOLER
b5706036-c3b0-49f0-973a-a8ee0a70ae21	ce9754a3-5d10-4cd8-96a6-e242c588558c	REMOTE_CONDENSER
b5706036-c3b0-49f0-973a-a8ee0a70ae21	69fdb563-1169-4f31-b4ac-af01bd88276a	CHILLED_WATER_PUMPS
b5706036-c3b0-49f0-973a-a8ee0a70ae21	69902590-52cb-4072-b97c-15515f2b8508	HEAT_REJECTION_PUMPS
b5706036-c3b0-49f0-973a-a8ee0a70ae21	e88f79cf-622f-4e6d-b457-16266a71992b	VENTILATION
b5706036-c3b0-49f0-973a-a8ee0a70ae21	4e450be5-2690-4a11-923b-ac13d4237c41	INFILTRATION
b5706036-c3b0-49f0-973a-a8ee0a70ae21	d980a8b6-9f22-4eab-b628-cdaaf7af6be6	IT_LOAD
5272e985-a883-4bda-b047-133398ed4972	3b708fb7-8032-4aa3-8fa1-67d751d304ab	SWITCHGEAR
5272e985-a883-4bda-b047-133398ed4972	a06b4254-9b90-43bb-ba81-0cdebbf4d4cf	GENERATOR
5272e985-a883-4bda-b047-133398ed4972	86578fa1-f268-4ba5-94c9-4437d4843588	PRIMARY_AUXILIARIES
5272e985-a883-4bda-b047-133398ed4972	e6b0e8b9-9fd4-4399-af28-f0d7dc53a477	UPS
5272e985-a883-4bda-b047-133398ed4972	a9b38259-64c8-4f04-8462-ee959c91dce6	CRITICAL_AUXILIARIES
5272e985-a883-4bda-b047-133398ed4972	a77679cd-4e18-4503-b68d-5fff549a4ea4	LIGHTING
5272e985-a883-4bda-b047-133398ed4972	9e154ff0-9bf9-4c02-bd60-8fb1d52e9005	CRITICAL_POWER_DISTRIBUTION
5272e985-a883-4bda-b047-133398ed4972	ecf6dc69-96dc-4f0e-9642-c43f6e4ed286	CRAH
5272e985-a883-4bda-b047-133398ed4972	df69977b-d930-404a-a4ae-45a228286bdd	CRAC
5272e985-a883-4bda-b047-133398ed4972	f50a44a5-8feb-4923-805e-df5ff2589f3b	CRAC_WITHOUT_FAN
5272e985-a883-4bda-b047-133398ed4972	180f8886-a216-4662-a319-50a428bc0c47	CRAC_FAN
5272e985-a883-4bda-b047-133398ed4972	66abb8cf-8c2d-4a74-97b1-423fda7c25b7	CHILLER
5272e985-a883-4bda-b047-133398ed4972	7e0dc47a-b575-4e89-845f-7d53c23f97cf	AIR_COOLED_CHILLER
5272e985-a883-4bda-b047-133398ed4972	f633ee7b-d97c-41c5-897d-6bad7adbde29	COOLING_TOWER
5272e985-a883-4bda-b047-133398ed4972	01a71f81-da5e-47dd-95af-768841dac6b1	DRY_COOLER
5272e985-a883-4bda-b047-133398ed4972	6b4a3b5c-d37c-4c79-8ef3-9132f4c1fe8f	REMOTE_CONDENSER
5272e985-a883-4bda-b047-133398ed4972	10f16f4f-6375-415f-8540-34adc84cbb99	CHILLED_WATER_PUMPS
5272e985-a883-4bda-b047-133398ed4972	7496c41b-99ef-4c58-ad22-c01426e7bede	HEAT_REJECTION_PUMPS
5272e985-a883-4bda-b047-133398ed4972	c449523e-eec3-49e1-a1aa-69a226bc21fe	VENTILATION
5272e985-a883-4bda-b047-133398ed4972	015c8c4c-7c10-40e8-a18e-e0598bae2beb	INFILTRATION
5272e985-a883-4bda-b047-133398ed4972	b53c29be-2467-40a0-a5d7-9f2065008190	IT_LOAD
dd3de8c7-683f-49a6-b285-eafeeede92f4	41a6403c-0156-4617-8ab2-c31a08671dd4	SWITCHGEAR
dd3de8c7-683f-49a6-b285-eafeeede92f4	535c2952-35e9-4994-a90f-39a3b27ced97	GENERATOR
dd3de8c7-683f-49a6-b285-eafeeede92f4	1e3d244f-cc95-4a28-8507-e28c04c6a470	PRIMARY_AUXILIARIES
dd3de8c7-683f-49a6-b285-eafeeede92f4	1a638417-bdf0-40d0-aace-de660c6af92d	UPS
dd3de8c7-683f-49a6-b285-eafeeede92f4	00cccde0-4203-4abf-9ff6-f70cf565c651	CRITICAL_AUXILIARIES
dd3de8c7-683f-49a6-b285-eafeeede92f4	efaef3df-bc47-4fe2-94a1-63c276815a4d	LIGHTING
dd3de8c7-683f-49a6-b285-eafeeede92f4	89cf9106-c425-4554-93e6-9eed058b3a53	CRITICAL_POWER_DISTRIBUTION
dd3de8c7-683f-49a6-b285-eafeeede92f4	25a73a88-e9b2-4413-b679-852c9289b059	CRAH
dd3de8c7-683f-49a6-b285-eafeeede92f4	f7eddc5b-95e3-4eb0-b6ce-ea8540e41a5f	CRAC
dd3de8c7-683f-49a6-b285-eafeeede92f4	048ea08f-5b0b-4993-b4db-730cba914ae6	CRAC_WITHOUT_FAN
dd3de8c7-683f-49a6-b285-eafeeede92f4	cc970496-8fba-4072-9a7c-1eb7c9b53011	CRAC_FAN
dd3de8c7-683f-49a6-b285-eafeeede92f4	7aba76c4-3321-4180-b4f7-015ab78446e2	CHILLER
dd3de8c7-683f-49a6-b285-eafeeede92f4	d0cbdd6a-6788-4dd9-84bd-8f4859f1caea	AIR_COOLED_CHILLER
dd3de8c7-683f-49a6-b285-eafeeede92f4	ddddf71f-23e3-4ef5-a0eb-8ea2656e5675	COOLING_TOWER
dd3de8c7-683f-49a6-b285-eafeeede92f4	4215bf6a-3eaf-45ca-9cf9-0155ac4f00c8	DRY_COOLER
dd3de8c7-683f-49a6-b285-eafeeede92f4	5b584364-353a-47d0-a905-28ed645fe9a7	REMOTE_CONDENSER
dd3de8c7-683f-49a6-b285-eafeeede92f4	e90e3109-20b5-4dc1-84f2-d51c3b269ab5	CHILLED_WATER_PUMPS
dd3de8c7-683f-49a6-b285-eafeeede92f4	4baeedd1-bb89-424a-a042-42b5786596d0	HEAT_REJECTION_PUMPS
dd3de8c7-683f-49a6-b285-eafeeede92f4	da58bb8a-c229-460c-b895-810d37f296e9	VENTILATION
dd3de8c7-683f-49a6-b285-eafeeede92f4	9f50693e-1e85-4a7d-871c-874a1c42e2a6	INFILTRATION
dd3de8c7-683f-49a6-b285-eafeeede92f4	e4b8531a-04dc-441e-8d73-786f89ed0cfd	IT_LOAD
d762d4db-fd94-4317-83f8-1ae2d28b6717	7ca4a30f-277d-48c3-a9d6-074b0e858cb4	SWITCHGEAR
d762d4db-fd94-4317-83f8-1ae2d28b6717	ef878749-03f4-4fbd-a2e4-1bc5bc450262	GENERATOR
d762d4db-fd94-4317-83f8-1ae2d28b6717	02edc539-5ad3-4d4d-b595-5cf7fdc4c799	PRIMARY_AUXILIARIES
d762d4db-fd94-4317-83f8-1ae2d28b6717	9f2ff54e-53a5-42c8-be7e-6282f0238778	UPS
d762d4db-fd94-4317-83f8-1ae2d28b6717	14e5a999-791a-4eb9-b8c8-9f9ae54e399c	CRITICAL_AUXILIARIES
d762d4db-fd94-4317-83f8-1ae2d28b6717	79412ea1-77c5-4df0-9a94-9cc4965a511d	LIGHTING
d762d4db-fd94-4317-83f8-1ae2d28b6717	2ce0d9e3-8a96-4f3b-974d-cb0482d4b4e0	CRITICAL_POWER_DISTRIBUTION
d762d4db-fd94-4317-83f8-1ae2d28b6717	17dc9e56-0c1f-4bc2-8fff-907cdb71557a	CRAH
d762d4db-fd94-4317-83f8-1ae2d28b6717	0023aa23-08ab-45b0-b44b-5468eb6b9f6c	CRAC
d762d4db-fd94-4317-83f8-1ae2d28b6717	de81b403-25f2-4788-a287-1204a39ded37	CRAC_WITHOUT_FAN
d762d4db-fd94-4317-83f8-1ae2d28b6717	c2f95058-f73b-49e8-ab96-abf31043c5ce	CRAC_FAN
d762d4db-fd94-4317-83f8-1ae2d28b6717	42978b21-faec-47b0-a732-c40fe8ddd66a	CHILLER
d762d4db-fd94-4317-83f8-1ae2d28b6717	497870c6-ec2c-4783-a33e-c69d1c9dc065	AIR_COOLED_CHILLER
d762d4db-fd94-4317-83f8-1ae2d28b6717	35eaf584-a622-47a4-92e1-fee0b71b2da8	COOLING_TOWER
d762d4db-fd94-4317-83f8-1ae2d28b6717	891a0a04-9517-4e6d-889e-d66e090c3da6	DRY_COOLER
d762d4db-fd94-4317-83f8-1ae2d28b6717	1aecf1e0-665e-4540-a96a-1b363e58ff65	REMOTE_CONDENSER
d762d4db-fd94-4317-83f8-1ae2d28b6717	18662082-d272-4463-aaa2-4c17fb232a11	CHILLED_WATER_PUMPS
d762d4db-fd94-4317-83f8-1ae2d28b6717	285a6789-113c-4878-bb6b-121980965d64	HEAT_REJECTION_PUMPS
d762d4db-fd94-4317-83f8-1ae2d28b6717	6cc43c8a-5e81-45f1-94e8-c9ef04fe1f03	VENTILATION
d762d4db-fd94-4317-83f8-1ae2d28b6717	32ec94a8-2ea0-4145-80c8-0225b8d8818e	INFILTRATION
d762d4db-fd94-4317-83f8-1ae2d28b6717	94be894f-a643-4529-a168-c9d4f556e7d8	IT_LOAD
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	c4d3d683-7e04-42bb-816c-31b83093944c	SWITCHGEAR
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	b82c7adc-3c18-4bd9-b24b-27ff93cd4c1d	GENERATOR
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	4d3e0cee-9f11-47eb-ba4f-fa9602c0b2c4	PRIMARY_AUXILIARIES
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	3416825a-a9aa-4332-9b0e-ef21aa604b89	UPS
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	935b36e7-58ab-4eff-ae88-9bde944406ba	CRITICAL_AUXILIARIES
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	7758a124-02e5-4947-8d3a-f36e662ce5c3	LIGHTING
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	9906389a-acac-417e-b2c4-5347e7300b3b	CRITICAL_POWER_DISTRIBUTION
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	524b0dcf-2ab6-4898-9fc3-2ec9156e70de	CRAH
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	aefa0d07-af93-41aa-935b-6e7771aa8622	CRAC
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	4e7f18fc-e4b4-4cdd-9754-85adacabeb5f	CRAC_WITHOUT_FAN
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	8c43ee6a-0862-41ef-a6c7-9039f440a4c2	CRAC_FAN
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	689cd34c-4d40-4f95-8882-d2029d723acc	CHILLER
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	38d67c7c-70dc-44c5-aaa8-4834dde21498	AIR_COOLED_CHILLER
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	34aaa1af-d0b2-423d-982d-ab662e071b6e	COOLING_TOWER
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	6b115255-5b83-4aff-9c73-50080b24a546	DRY_COOLER
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	b6747153-8aac-41cc-8d1b-52eb90bc6f04	REMOTE_CONDENSER
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	633c48b4-1334-43ca-893d-5b2001c3d28d	CHILLED_WATER_PUMPS
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	ae40f5f8-76ea-4d16-96ca-9e9474e47385	HEAT_REJECTION_PUMPS
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	bd36e1fb-9b86-48f0-8bb6-ad84da68d248	VENTILATION
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	f3472a8a-3b7b-471b-beba-745ef1ac084c	INFILTRATION
87d0bfc7-4970-473a-ba5b-5e5cedd29b6d	2e7f8688-b907-401c-8500-2236b5aaee61	IT_LOAD
af538a55-330d-48ae-903b-f42987e21e98	94367d48-f618-4b30-a1bd-ad6262b04827	SWITCHGEAR
af538a55-330d-48ae-903b-f42987e21e98	489b85d4-ed09-4fe1-bdcb-74551729ed0c	GENERATOR
af538a55-330d-48ae-903b-f42987e21e98	18a2e606-744b-43a5-b73f-8393af0d1588	PRIMARY_AUXILIARIES
af538a55-330d-48ae-903b-f42987e21e98	c500bb44-c064-437e-8f29-85e184d699ab	UPS
af538a55-330d-48ae-903b-f42987e21e98	68296252-0a6f-4ae1-b77f-c9d76042f246	CRITICAL_AUXILIARIES
af538a55-330d-48ae-903b-f42987e21e98	cdea42ca-e40e-4a35-9244-0733eb2e0727	LIGHTING
af538a55-330d-48ae-903b-f42987e21e98	d0c86a7e-6529-48f0-aeea-7ed0594c35e3	CRITICAL_POWER_DISTRIBUTION
af538a55-330d-48ae-903b-f42987e21e98	a28efe96-6d0a-40f2-bd5b-a171caa3cfa3	CRAH
af538a55-330d-48ae-903b-f42987e21e98	20dc02c0-8113-4074-866e-3426143818cf	CRAC
af538a55-330d-48ae-903b-f42987e21e98	f940067a-9590-4454-b05a-4e69bc682282	CRAC_WITHOUT_FAN
af538a55-330d-48ae-903b-f42987e21e98	2751d0f2-7d7c-48cf-9753-d9c0bcba158a	CRAC_FAN
af538a55-330d-48ae-903b-f42987e21e98	7bc6093a-9a47-41db-8eb4-b46337302c5f	CHILLER
af538a55-330d-48ae-903b-f42987e21e98	acae1676-e83f-4f9f-9297-217666d4b97b	AIR_COOLED_CHILLER
af538a55-330d-48ae-903b-f42987e21e98	a3a52b0a-7021-4bbc-8b34-18b290f77448	COOLING_TOWER
af538a55-330d-48ae-903b-f42987e21e98	9af78212-6dac-4385-964d-ec5eb4f2649d	DRY_COOLER
af538a55-330d-48ae-903b-f42987e21e98	1cc82c2e-0cc1-4533-9dac-28ea8d0b8670	REMOTE_CONDENSER
af538a55-330d-48ae-903b-f42987e21e98	3c55d78c-a364-4c4d-82c4-70ecd26906fd	CHILLED_WATER_PUMPS
af538a55-330d-48ae-903b-f42987e21e98	683634a2-b199-4741-814d-bb3b004e4b4d	HEAT_REJECTION_PUMPS
af538a55-330d-48ae-903b-f42987e21e98	16114bcc-bfed-4824-ade1-6d95298b36df	VENTILATION
af538a55-330d-48ae-903b-f42987e21e98	a27f66d7-f946-4459-b53f-2a29e8a9e7d8	INFILTRATION
af538a55-330d-48ae-903b-f42987e21e98	2679c652-69e0-4b83-a0e0-3871add0073b	IT_LOAD
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	8b4251ef-11fc-44ca-a379-0cdf62749ac6	SWITCHGEAR
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	94b31f0b-a41b-4a59-ae06-a4f154f3bfd5	GENERATOR
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	e8a0ea1e-0e65-4094-9d85-888137486b5c	PRIMARY_AUXILIARIES
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	c265c89a-0844-47c2-a81c-0b144e86d3cb	UPS
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	10cccebb-ae7d-493e-8c18-5228dcf0fb05	CRITICAL_AUXILIARIES
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	ec8d5dd6-e462-4018-9868-ae64a446e5d2	LIGHTING
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	f2f55d50-5e92-4363-8193-972e55caf1ed	CRITICAL_POWER_DISTRIBUTION
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	d3db3dd8-6ed7-4423-9c82-7ab2334ee1dc	CRAH
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	8bfb4015-8623-4fba-82ca-5bcbbacd74c6	CRAC
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	950b28e9-9819-4378-9b55-0dbff8ab0e2d	CRAC_WITHOUT_FAN
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	6817621e-55e3-4606-884a-43df5e1f1658	CRAC_FAN
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	a0850f90-90d6-465a-8341-bc6ab75ed93e	CHILLER
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	654273e5-fdfb-4969-a77a-290a67037065	AIR_COOLED_CHILLER
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	815fa4c5-202d-4813-8ad6-8764b54ea18e	COOLING_TOWER
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	35500840-98df-4f46-a553-978365c544f1	DRY_COOLER
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	9df26c26-50b1-44aa-9736-ea39a558d089	REMOTE_CONDENSER
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	54489c83-a941-49ce-bcc4-67b8661c62ed	CHILLED_WATER_PUMPS
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	5e8069ed-d7f7-4886-9e6f-3b5c307224c3	HEAT_REJECTION_PUMPS
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	3cce9db4-9455-49cf-93ea-057871466ead	VENTILATION
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	6b8acd32-9c26-4d83-aab9-b62549a22d77	INFILTRATION
8eb0ba44-6c72-4d3d-952d-458dee7d8a7f	afa538f3-3ae8-47e6-ab72-0058f993e7ac	IT_LOAD
1405e07e-3552-4435-8a89-d74d08a3fae9	fc48e493-3223-4094-8045-d3925e9edccd	SWITCHGEAR
1405e07e-3552-4435-8a89-d74d08a3fae9	6b72723e-16d4-4146-8a47-3e962a6043d2	GENERATOR
1405e07e-3552-4435-8a89-d74d08a3fae9	ab776bad-3ee4-4343-bfb0-7a7e856aa990	PRIMARY_AUXILIARIES
1405e07e-3552-4435-8a89-d74d08a3fae9	cab57dcb-d248-47c9-a6a7-248326fdd95d	UPS
1405e07e-3552-4435-8a89-d74d08a3fae9	90bc37c3-85fd-4f32-8e53-4b25cecb0192	CRITICAL_AUXILIARIES
1405e07e-3552-4435-8a89-d74d08a3fae9	284f9cf3-8696-4d63-91cd-8a89f473362e	LIGHTING
1405e07e-3552-4435-8a89-d74d08a3fae9	954a1ae2-b3ad-4387-8021-a568d85bfaf6	CRITICAL_POWER_DISTRIBUTION
1405e07e-3552-4435-8a89-d74d08a3fae9	53ea6402-89e8-478c-b818-7899102aac2d	CRAH
1405e07e-3552-4435-8a89-d74d08a3fae9	e6f2f1a5-d2a0-4d28-8cdb-b09d861e1c93	CRAC
1405e07e-3552-4435-8a89-d74d08a3fae9	99614f65-8021-4aa2-a36d-22e3463540bb	CRAC_WITHOUT_FAN
1405e07e-3552-4435-8a89-d74d08a3fae9	bc16f12f-f791-4fb4-bc91-d2f6baa65bfc	CRAC_FAN
1405e07e-3552-4435-8a89-d74d08a3fae9	24c2bfe2-51a6-4873-9b7e-107bd1b4e9cc	CHILLER
1405e07e-3552-4435-8a89-d74d08a3fae9	c58d758f-7e1f-464e-a57f-b500ce159ff8	AIR_COOLED_CHILLER
1405e07e-3552-4435-8a89-d74d08a3fae9	67691163-9294-4e90-beb7-f5ff4a1661d4	COOLING_TOWER
1405e07e-3552-4435-8a89-d74d08a3fae9	a94c5305-6052-42aa-9af4-c1bd01e8e5aa	DRY_COOLER
1405e07e-3552-4435-8a89-d74d08a3fae9	475669a6-40aa-465b-a1d9-7cc3b0a09ee0	REMOTE_CONDENSER
1405e07e-3552-4435-8a89-d74d08a3fae9	ad2e9726-910a-4df1-8863-fbcc79cdab84	CHILLED_WATER_PUMPS
1405e07e-3552-4435-8a89-d74d08a3fae9	d8a93e39-cd02-4f01-944a-ef4ce1e37466	HEAT_REJECTION_PUMPS
1405e07e-3552-4435-8a89-d74d08a3fae9	d0ffabfc-2934-49f2-ac9d-1144766af990	VENTILATION
1405e07e-3552-4435-8a89-d74d08a3fae9	83587c49-1df0-4770-b20f-ee0b63274cdd	INFILTRATION
1405e07e-3552-4435-8a89-d74d08a3fae9	f23a79a7-583b-46fd-bd3d-088df5b6d6c0	IT_LOAD
6454a050-cbe4-4dc6-aedd-7272891db6b6	5881b1ba-06c1-4410-ae15-061249c275c9	SWITCHGEAR
6454a050-cbe4-4dc6-aedd-7272891db6b6	b45a66f0-fdb8-40f1-8f8e-38eb5e540565	GENERATOR
6454a050-cbe4-4dc6-aedd-7272891db6b6	6b85c1c4-9367-4034-a4cf-5e76d3dd8a27	PRIMARY_AUXILIARIES
6454a050-cbe4-4dc6-aedd-7272891db6b6	45d45db1-008b-42f9-aaff-f24d1c7d3992	UPS
6454a050-cbe4-4dc6-aedd-7272891db6b6	09716c3f-95e0-4f39-89d8-09ecb6c8a691	CRITICAL_AUXILIARIES
6454a050-cbe4-4dc6-aedd-7272891db6b6	29bbcdfa-efa9-4af2-8f62-caa0e0a14509	LIGHTING
6454a050-cbe4-4dc6-aedd-7272891db6b6	8537a8c8-c7a7-4387-a915-2ab0e5b0672e	CRITICAL_POWER_DISTRIBUTION
6454a050-cbe4-4dc6-aedd-7272891db6b6	b30a40f4-4d82-45a8-bb8d-5fdc4e167240	CRAH
6454a050-cbe4-4dc6-aedd-7272891db6b6	7ef86a78-a8ce-44ad-b735-56ca42190a27	CRAC
6454a050-cbe4-4dc6-aedd-7272891db6b6	6cc483e6-66cf-4b7e-aeb9-a50d2518e91c	CRAC_WITHOUT_FAN
6454a050-cbe4-4dc6-aedd-7272891db6b6	b06bc9f0-26bc-4906-8ea5-af931dddf3b6	CRAC_FAN
6454a050-cbe4-4dc6-aedd-7272891db6b6	15ea6991-21ae-4edf-add1-06ef565b9d52	CHILLER
6454a050-cbe4-4dc6-aedd-7272891db6b6	7d4c39ca-6dff-47ae-abfc-01310f92e855	AIR_COOLED_CHILLER
6454a050-cbe4-4dc6-aedd-7272891db6b6	c44c1b0c-c476-497d-b230-9aa2554a89cb	COOLING_TOWER
6454a050-cbe4-4dc6-aedd-7272891db6b6	e6e0cc72-fe9c-4db1-8f4b-4e1dbe6abc1c	DRY_COOLER
6454a050-cbe4-4dc6-aedd-7272891db6b6	d88c58b5-32ba-40ac-b86d-63f097bf53a6	REMOTE_CONDENSER
6454a050-cbe4-4dc6-aedd-7272891db6b6	fc54c582-6ba1-4673-81a3-c58156f4363e	CHILLED_WATER_PUMPS
6454a050-cbe4-4dc6-aedd-7272891db6b6	10ba91ce-5512-4952-a7d0-812e2586b7b6	HEAT_REJECTION_PUMPS
6454a050-cbe4-4dc6-aedd-7272891db6b6	1d388965-6c63-418d-986e-57e75a27f372	VENTILATION
6454a050-cbe4-4dc6-aedd-7272891db6b6	32a99ed5-48c2-4bb3-a75b-d25a405c446d	INFILTRATION
6454a050-cbe4-4dc6-aedd-7272891db6b6	0f1d59f5-b822-44cb-8093-3362d714b150	IT_LOAD
c325a018-28b5-4fbb-9127-ced048d0c690	583d3eab-ffbb-4f6e-898b-fa2844c5946c	SWITCHGEAR
c325a018-28b5-4fbb-9127-ced048d0c690	027e8059-efe4-47e5-826e-2e9dbf324139	GENERATOR
c325a018-28b5-4fbb-9127-ced048d0c690	93d42385-909b-4582-bac9-6f3b575220a4	PRIMARY_AUXILIARIES
c325a018-28b5-4fbb-9127-ced048d0c690	d0a0b60e-5e0f-49cb-bfee-b2ecdfa8947a	UPS
c325a018-28b5-4fbb-9127-ced048d0c690	6a4e4090-bf6b-45c2-9337-3f7f67347e17	CRITICAL_AUXILIARIES
c325a018-28b5-4fbb-9127-ced048d0c690	913e55c1-58d1-4c80-9452-c00f4bffb63b	LIGHTING
c325a018-28b5-4fbb-9127-ced048d0c690	f5210892-e448-4451-a70f-7e79f832a98d	CRITICAL_POWER_DISTRIBUTION
c325a018-28b5-4fbb-9127-ced048d0c690	dc7fa558-7666-4c86-864d-53736d4bcc81	CRAH
c325a018-28b5-4fbb-9127-ced048d0c690	cc26b92c-922d-439f-9104-c65d8fa5a796	CRAC
c325a018-28b5-4fbb-9127-ced048d0c690	604ed6a0-0287-4d62-95af-b0a8017a8071	CRAC_WITHOUT_FAN
c325a018-28b5-4fbb-9127-ced048d0c690	f4dc77bb-8509-42f5-a414-b6d6e6ec246c	CRAC_FAN
c325a018-28b5-4fbb-9127-ced048d0c690	7e1c5520-fc1f-46e8-abbe-b50a74dfb414	CHILLER
c325a018-28b5-4fbb-9127-ced048d0c690	51468114-083b-4d00-ae98-7cd590c64d63	AIR_COOLED_CHILLER
c325a018-28b5-4fbb-9127-ced048d0c690	7524aaf3-1e66-4efc-a8fa-a077433a2bae	COOLING_TOWER
c325a018-28b5-4fbb-9127-ced048d0c690	a88f2094-c3c6-43a1-9211-5c386d8af84f	DRY_COOLER
c325a018-28b5-4fbb-9127-ced048d0c690	fc4575e6-706d-4044-902b-837d01c138da	REMOTE_CONDENSER
c325a018-28b5-4fbb-9127-ced048d0c690	7b342bd4-75cd-4c94-be87-771f73ae29a0	CHILLED_WATER_PUMPS
c325a018-28b5-4fbb-9127-ced048d0c690	df87ca6c-9cb9-4e1f-b8e0-16d582e5aa87	HEAT_REJECTION_PUMPS
c325a018-28b5-4fbb-9127-ced048d0c690	bae5b2fd-c30d-4f53-8197-39bb31287713	VENTILATION
c325a018-28b5-4fbb-9127-ced048d0c690	547a373b-736a-43a9-865e-be31cac95ca9	INFILTRATION
c325a018-28b5-4fbb-9127-ced048d0c690	1fe12d65-abba-45c8-9fd7-0382cdd1e0ac	IT_LOAD
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	84272d9a-3a3a-4cf2-80b6-786b7878b80b	SWITCHGEAR
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	83ea6d4c-4ec8-498a-8789-4a9f97d2b176	GENERATOR
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	decebde9-b9ac-4aa5-b694-5a342098a020	PRIMARY_AUXILIARIES
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	d8f7e2c2-8b8a-4eab-9807-99b648dc3bcd	UPS
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	eef02903-dcdf-4830-8bb1-479f9a58a3f3	CRITICAL_AUXILIARIES
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	302b5442-8273-4c2f-8d09-e81bd9bd2dfe	LIGHTING
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	c173521b-f3a0-4a08-a341-97e1d76273b3	CRITICAL_POWER_DISTRIBUTION
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	460bbe3f-93ec-4215-9cfc-84b7df00fe43	CRAH
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	661b5358-0a82-44f1-bfd9-e100afb20dd1	CRAC
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	65458d86-1c4f-419e-b44f-d1ed59122538	CRAC_WITHOUT_FAN
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	446aac71-99d8-4d38-a131-7702714f61f5	CRAC_FAN
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	aa190cd1-073c-4ccc-ba92-f8e6f307b51f	CHILLER
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	04c8b46a-661a-46f8-b623-46a9537ccce8	AIR_COOLED_CHILLER
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	d209cf9a-7fc4-4e54-b83f-9acf795525fc	COOLING_TOWER
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	c97083c4-8ec5-4f8b-93ac-d7c01471b186	DRY_COOLER
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	898cea98-39e0-4b81-a746-8681e03fff73	REMOTE_CONDENSER
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	5e926c19-3246-461c-b924-e1b00c7d8049	CHILLED_WATER_PUMPS
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	d453ed22-ada6-4567-8ed2-84b2bc6db4e8	HEAT_REJECTION_PUMPS
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	aebea3a5-7cb4-4035-8d0a-48218ba3b164	VENTILATION
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	1a60a12c-69d8-46bf-aafd-af0f073cf716	INFILTRATION
24713cf9-386a-4fb8-8ea9-d46fbbe10ce8	5630df0c-ec86-4f4a-b040-f4e7776fd47a	IT_LOAD
8d08a480-3347-4b02-bc21-4e556da81be7	ee521a53-9c0b-4d97-9deb-04bc4827da14	SWITCHGEAR
8d08a480-3347-4b02-bc21-4e556da81be7	e3a3569b-0d7d-44c7-9903-31e6ca8ed049	GENERATOR
8d08a480-3347-4b02-bc21-4e556da81be7	97a1a1cc-586d-4ebd-b95a-17a655435d51	PRIMARY_AUXILIARIES
8d08a480-3347-4b02-bc21-4e556da81be7	2b61ed3d-b1dd-4339-a7e4-ce135bd2baca	UPS
8d08a480-3347-4b02-bc21-4e556da81be7	cc114754-d069-46ae-905e-f84841838ee5	CRITICAL_AUXILIARIES
8d08a480-3347-4b02-bc21-4e556da81be7	e9239f41-1cf4-44e8-917e-f1d0d3f82750	LIGHTING
8d08a480-3347-4b02-bc21-4e556da81be7	9c18cf74-e716-4925-b1ba-2527c390c909	CRITICAL_POWER_DISTRIBUTION
8d08a480-3347-4b02-bc21-4e556da81be7	80dc9ca7-bdfb-450e-9748-348673ada756	CRAH
8d08a480-3347-4b02-bc21-4e556da81be7	aecd5a6f-f1f5-4c25-854d-386ec2f263f4	CRAC
8d08a480-3347-4b02-bc21-4e556da81be7	914409bc-59b5-46ed-ad9f-a7df8dd29383	CRAC_WITHOUT_FAN
8d08a480-3347-4b02-bc21-4e556da81be7	c5aeac6f-b855-4f41-887c-6bccf90455ff	CRAC_FAN
8d08a480-3347-4b02-bc21-4e556da81be7	f0af4700-b0b0-4a3f-9057-3554d2d93d55	CHILLER
8d08a480-3347-4b02-bc21-4e556da81be7	5b8e175a-c6ba-4eb5-bb88-f802e1346dcf	AIR_COOLED_CHILLER
8d08a480-3347-4b02-bc21-4e556da81be7	2126d076-6a11-4d07-9443-e8669cf5a85d	COOLING_TOWER
8d08a480-3347-4b02-bc21-4e556da81be7	4d90e3d7-b651-4dcb-9aba-4191c2f0f9b6	DRY_COOLER
8d08a480-3347-4b02-bc21-4e556da81be7	3ecc6c35-0b25-438e-8954-fe41e1ccc620	REMOTE_CONDENSER
8d08a480-3347-4b02-bc21-4e556da81be7	9c611b34-7a1e-4b59-a6a7-0560642e4f63	CHILLED_WATER_PUMPS
8d08a480-3347-4b02-bc21-4e556da81be7	53da3cf2-7cd4-4d80-9dc6-8ccc105261ca	HEAT_REJECTION_PUMPS
8d08a480-3347-4b02-bc21-4e556da81be7	3800c17b-0c90-4280-ac85-23a390f5d654	VENTILATION
8d08a480-3347-4b02-bc21-4e556da81be7	2b1408af-8226-4ab9-b34a-817e12261204	INFILTRATION
8d08a480-3347-4b02-bc21-4e556da81be7	fec38c9e-d6b6-4690-8c7a-6a6248afa35f	IT_LOAD
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	b0ce4c16-7376-4e90-8966-7ef86f2ec239	SWITCHGEAR
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	5801cf75-cdc9-4d73-8416-e975a934f4a0	GENERATOR
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	ee2c3dcb-f95c-458b-95ef-d830f59d40c3	PRIMARY_AUXILIARIES
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	01ed904e-63dc-4d11-9ed4-2e8fbb2d3453	UPS
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	5a50bc68-9435-445e-b3cc-5ea14b250a04	CRITICAL_AUXILIARIES
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	4b68714d-161d-4405-8a33-ed907b1a9852	LIGHTING
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	580b9816-7860-4ae4-a532-960e43185015	CRITICAL_POWER_DISTRIBUTION
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	5d04cff4-fc2c-473e-9820-9f5d8af02fe6	CRAH
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	a5420a45-707f-4f22-9ef6-d25e978a904c	CRAC
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	6f668815-bfe9-4818-92b8-b50f7d76ea98	CRAC_WITHOUT_FAN
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	7bf2638e-2dd8-40eb-a4eb-1ef439e4dd06	CRAC_FAN
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	7fe54a57-efc5-4fe5-9e93-4cc5733fe81a	CHILLER
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	45a93b85-366e-42d7-932f-6e219a2a60de	AIR_COOLED_CHILLER
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	19cdc621-3508-4d18-b048-3b720a4d03c2	COOLING_TOWER
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	cf6abe20-b862-4d49-b4af-6020eeae3aa8	DRY_COOLER
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	c27928da-20da-4bee-80bb-7f9f039766e8	REMOTE_CONDENSER
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	9ff5a2d3-a27f-4cfc-93fb-876ff24d493f	CHILLED_WATER_PUMPS
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	c97e47cb-bdb3-4082-a550-2231f2bf3868	HEAT_REJECTION_PUMPS
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	634141a8-394c-4d09-8532-eb92fd4dbcba	VENTILATION
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	9586d5cd-10ff-4179-90f8-72f889eda1bd	INFILTRATION
9b2f7e6f-72f0-4be1-9915-a00d6e268a7e	21b9c9b4-ebba-43ba-9799-02e499e706ac	IT_LOAD
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	4dcac31f-0b36-4327-9fe5-257d65e88535	SWITCHGEAR
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	136e07a7-0567-44b4-b875-609d70df3502	GENERATOR
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	221f087c-d530-4a81-adf1-287798350023	PRIMARY_AUXILIARIES
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	bdf35edf-5cdd-47d3-8ecf-ad097641e9eb	UPS
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	3b8f590a-9128-46dd-a761-964831dbef24	CRITICAL_AUXILIARIES
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	7a2a8a82-23f4-490e-9705-3b120adba87c	LIGHTING
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	d13447f2-09d7-4e6e-852c-adfabdf98743	CRITICAL_POWER_DISTRIBUTION
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	43818901-bfce-4dc3-9cb3-c95940090006	CRAH
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	0f5afd4e-a85d-4f67-9664-e4a0f391eeb4	CRAC
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	843ed523-0c04-4496-bb43-cf89c1c96c68	CRAC_WITHOUT_FAN
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	d56bef64-5f7d-4a80-8de8-d9e21d2d722c	CRAC_FAN
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	7b0e1dab-e94f-4cf8-8177-01dbe3173742	CHILLER
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	0d4a8b6c-a986-4aa7-8541-a2c70734b4f7	AIR_COOLED_CHILLER
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	f27beef9-ca67-45d4-b08b-b74828b183bb	COOLING_TOWER
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	4c594a60-11db-4e30-88bf-4154063dc369	DRY_COOLER
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	84e3bc51-88fb-46c4-bb4c-534826bd1fe4	REMOTE_CONDENSER
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	c858f22b-cd94-4a07-ab92-c7f47b7afafe	CHILLED_WATER_PUMPS
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	64b0535b-7122-4965-b4a8-3e706928a8ce	HEAT_REJECTION_PUMPS
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	60522f45-dc76-4574-aa8f-fd81087ba81b	VENTILATION
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	514c5bbc-4e25-4a8f-b701-b769104e3b7d	INFILTRATION
43a9a5cf-89d6-4573-bd34-7ba6289b4a58	8b1f40c2-be3e-4ed4-83e9-07c032795284	IT_LOAD
494a6c3e-29ff-428d-8ca3-c118ec5510b5	01861378-ca65-47b0-ae34-c14b89860ebb	SWITCHGEAR
494a6c3e-29ff-428d-8ca3-c118ec5510b5	827e1864-1ae4-4f36-8a81-d89eaabe60f5	GENERATOR
494a6c3e-29ff-428d-8ca3-c118ec5510b5	24831626-e089-4475-b760-753c9f7d0423	PRIMARY_AUXILIARIES
494a6c3e-29ff-428d-8ca3-c118ec5510b5	56932bec-9c92-4006-a441-9540757ffafd	UPS
494a6c3e-29ff-428d-8ca3-c118ec5510b5	8a6c0008-cea1-44c7-a10d-1d2ebd0e991c	CRITICAL_AUXILIARIES
494a6c3e-29ff-428d-8ca3-c118ec5510b5	42256314-2352-4c96-b7a7-e42d9ecc59f6	LIGHTING
494a6c3e-29ff-428d-8ca3-c118ec5510b5	b851a17f-f5cc-44b1-b922-b0d53ba2bf10	CRITICAL_POWER_DISTRIBUTION
494a6c3e-29ff-428d-8ca3-c118ec5510b5	67673691-9615-4e52-90bf-80f109f25b4f	CRAH
494a6c3e-29ff-428d-8ca3-c118ec5510b5	f508eeb5-dd6b-4514-9aa5-957dabbec026	CRAC
494a6c3e-29ff-428d-8ca3-c118ec5510b5	d5a0cd0a-0a0c-4d6f-a459-c1f36428fc72	CRAC_WITHOUT_FAN
494a6c3e-29ff-428d-8ca3-c118ec5510b5	665ad58d-b827-4aea-8b41-d17c172d06eb	CRAC_FAN
494a6c3e-29ff-428d-8ca3-c118ec5510b5	3b52f3ed-5b02-47d0-a0ab-3946088b8051	CHILLER
494a6c3e-29ff-428d-8ca3-c118ec5510b5	871ca4ff-753d-4645-8d67-93dc52a13b6f	AIR_COOLED_CHILLER
494a6c3e-29ff-428d-8ca3-c118ec5510b5	7d738840-7634-47c5-a14c-9153bb74462a	COOLING_TOWER
494a6c3e-29ff-428d-8ca3-c118ec5510b5	3b128249-bd3f-4777-8288-863d975b2eac	DRY_COOLER
494a6c3e-29ff-428d-8ca3-c118ec5510b5	b391a3b3-095b-4f46-b6b1-bcad0e46d280	REMOTE_CONDENSER
494a6c3e-29ff-428d-8ca3-c118ec5510b5	f8f60438-a2da-4750-8a63-6fa03967c1b2	CHILLED_WATER_PUMPS
494a6c3e-29ff-428d-8ca3-c118ec5510b5	8fe056fd-ed1f-4f59-8fc4-4a1f03503eae	HEAT_REJECTION_PUMPS
494a6c3e-29ff-428d-8ca3-c118ec5510b5	dea22c79-25d1-4278-8d91-f0440f82632d	VENTILATION
494a6c3e-29ff-428d-8ca3-c118ec5510b5	34fd7fba-501b-4a1b-9bde-4790681c4f24	INFILTRATION
494a6c3e-29ff-428d-8ca3-c118ec5510b5	60558628-46c5-412c-999f-24553302ff71	IT_LOAD
5c882762-55b9-4474-a190-24af8698dc57	349a22f7-2bb4-4b5b-b208-2fa590b1dc9e	SWITCHGEAR
5c882762-55b9-4474-a190-24af8698dc57	38e40619-fc9b-4625-ad61-7be611d3dfee	GENERATOR
5c882762-55b9-4474-a190-24af8698dc57	1a31f5e4-3487-4a26-85e6-fc051272d205	PRIMARY_AUXILIARIES
5c882762-55b9-4474-a190-24af8698dc57	89bdc39c-984d-426d-adcb-18c472e218a6	UPS
5c882762-55b9-4474-a190-24af8698dc57	4072552a-a5f3-4a31-ba47-124b4be14c0f	CRITICAL_AUXILIARIES
5c882762-55b9-4474-a190-24af8698dc57	682c6101-4a51-4e37-bd18-3e3751112830	LIGHTING
5c882762-55b9-4474-a190-24af8698dc57	65bad073-b410-4ccd-9087-55682880a514	CRITICAL_POWER_DISTRIBUTION
5c882762-55b9-4474-a190-24af8698dc57	20f3687b-9d49-4203-bcd5-4e244901d5d8	CRAH
5c882762-55b9-4474-a190-24af8698dc57	351fbb5a-e7a4-43db-8d07-7e79233f4c0c	CRAC
5c882762-55b9-4474-a190-24af8698dc57	cb2c4842-3031-442c-9d6b-b577612a2eff	CRAC_WITHOUT_FAN
5c882762-55b9-4474-a190-24af8698dc57	3d5ebeae-0164-4ac9-b6c8-cc6e06ef2694	CRAC_FAN
5c882762-55b9-4474-a190-24af8698dc57	d16aa648-2451-498b-a958-e1e16050c373	CHILLER
5c882762-55b9-4474-a190-24af8698dc57	deca106f-3051-40db-bf40-16a16551c2fc	AIR_COOLED_CHILLER
5c882762-55b9-4474-a190-24af8698dc57	5405e113-a333-462d-a758-a614d8511a7a	COOLING_TOWER
5c882762-55b9-4474-a190-24af8698dc57	5221fcf1-14b7-4108-8130-acc493f5585f	DRY_COOLER
5c882762-55b9-4474-a190-24af8698dc57	88cc3afc-61e6-409a-9a67-03a23613f77d	REMOTE_CONDENSER
5c882762-55b9-4474-a190-24af8698dc57	24c9f031-db38-4dd7-87e3-d5d7f1174f77	CHILLED_WATER_PUMPS
5c882762-55b9-4474-a190-24af8698dc57	97e70e96-181c-484d-ac12-86762732a2bc	HEAT_REJECTION_PUMPS
5c882762-55b9-4474-a190-24af8698dc57	64955329-a929-4058-930b-b9664e19f9f3	VENTILATION
5c882762-55b9-4474-a190-24af8698dc57	467fe502-1ba6-4c64-99d7-967a4a19be8f	INFILTRATION
5c882762-55b9-4474-a190-24af8698dc57	176953f0-ccca-4933-9681-55b1ea8abfa6	IT_LOAD
f5517c78-9f31-44c8-8ec2-00c654b5875b	82715da9-7a1a-4c28-8385-353bfc7b2186	SWITCHGEAR
f5517c78-9f31-44c8-8ec2-00c654b5875b	6c367e78-567b-4811-9bb9-2726e581ddf6	GENERATOR
f5517c78-9f31-44c8-8ec2-00c654b5875b	f755ecdb-933f-4eba-8343-f0ed49683716	PRIMARY_AUXILIARIES
f5517c78-9f31-44c8-8ec2-00c654b5875b	4294e9bc-f510-43d0-b03e-f51e615973bd	UPS
f5517c78-9f31-44c8-8ec2-00c654b5875b	882ba9e5-02c4-4c6b-98f6-e4a2178ea846	CRITICAL_AUXILIARIES
f5517c78-9f31-44c8-8ec2-00c654b5875b	5a9a800d-cba5-43ca-8e2f-4aa4622df8e5	LIGHTING
f5517c78-9f31-44c8-8ec2-00c654b5875b	e81ca779-0c9b-4487-b43c-ac550ae143bc	CRITICAL_POWER_DISTRIBUTION
f5517c78-9f31-44c8-8ec2-00c654b5875b	865d1428-e48d-4be1-bd15-c075cf3ac004	CRAH
f5517c78-9f31-44c8-8ec2-00c654b5875b	80435a6d-50f3-42b4-a775-39a3695e53c5	CRAC
f5517c78-9f31-44c8-8ec2-00c654b5875b	f475327c-94a1-46ff-a487-c4889c9eb65b	CRAC_WITHOUT_FAN
f5517c78-9f31-44c8-8ec2-00c654b5875b	addd0f01-a94a-4a08-940a-fa59dfe4dc8e	CRAC_FAN
f5517c78-9f31-44c8-8ec2-00c654b5875b	49f9c206-8ee3-4365-a554-69957ed6121e	CHILLER
f5517c78-9f31-44c8-8ec2-00c654b5875b	e1a790aa-9c6f-4da6-b7d7-fec40086823a	AIR_COOLED_CHILLER
f5517c78-9f31-44c8-8ec2-00c654b5875b	e6b0bd29-a2b8-425b-9759-ac270c1a1f84	COOLING_TOWER
f5517c78-9f31-44c8-8ec2-00c654b5875b	c5271333-7dc5-4b35-bf31-a014b9ce2bde	DRY_COOLER
f5517c78-9f31-44c8-8ec2-00c654b5875b	ba3b4074-4cee-4121-8801-2dcdb237b136	REMOTE_CONDENSER
f5517c78-9f31-44c8-8ec2-00c654b5875b	2262d39e-d28b-459d-b83e-dd73908ad573	CHILLED_WATER_PUMPS
f5517c78-9f31-44c8-8ec2-00c654b5875b	47bd8f53-e858-4b19-b415-86a73e593f1e	HEAT_REJECTION_PUMPS
f5517c78-9f31-44c8-8ec2-00c654b5875b	3059568a-29e4-483a-b5ce-279376bcc985	VENTILATION
f5517c78-9f31-44c8-8ec2-00c654b5875b	97150fc7-1706-43c1-997c-0a501b23396b	INFILTRATION
f5517c78-9f31-44c8-8ec2-00c654b5875b	3b3849cc-67a8-4252-bbc7-50d43fc78a0a	IT_LOAD
5c011a9e-906f-4c02-a242-1432b96ff7af	83cf1269-d4e3-402a-9c0d-4aa37edd2759	SWITCHGEAR
5c011a9e-906f-4c02-a242-1432b96ff7af	f38d9e9a-b9d7-4472-abde-f9bda1d22b06	GENERATOR
5c011a9e-906f-4c02-a242-1432b96ff7af	5471e164-85a1-4ce0-97e3-23083f2dbcd3	PRIMARY_AUXILIARIES
5c011a9e-906f-4c02-a242-1432b96ff7af	63105bda-9923-4f2f-a946-2785b450b39c	UPS
5c011a9e-906f-4c02-a242-1432b96ff7af	4bacf897-af44-4436-ab55-ef5d61054acb	CRITICAL_AUXILIARIES
5c011a9e-906f-4c02-a242-1432b96ff7af	9fd7caa7-9ae5-41d1-a738-3f377c576330	LIGHTING
5c011a9e-906f-4c02-a242-1432b96ff7af	390af1ea-faa1-44d3-b04c-1e0abbc4b7ca	CRITICAL_POWER_DISTRIBUTION
5c011a9e-906f-4c02-a242-1432b96ff7af	e5467e11-d669-4358-b9e8-1766d7038172	CRAH
5c011a9e-906f-4c02-a242-1432b96ff7af	0d63df28-7a16-44f7-86ff-3aa572ca3e5c	CRAC
5c011a9e-906f-4c02-a242-1432b96ff7af	85118863-19eb-416a-9199-d25845334547	CRAC_WITHOUT_FAN
5c011a9e-906f-4c02-a242-1432b96ff7af	297d350a-58ca-435d-8c83-1871eddca7b3	CRAC_FAN
5c011a9e-906f-4c02-a242-1432b96ff7af	44dc48ad-4263-43b5-b071-f94e6c92a89d	CHILLER
5c011a9e-906f-4c02-a242-1432b96ff7af	be0816ba-690d-4461-aabd-a80068fe764a	AIR_COOLED_CHILLER
5c011a9e-906f-4c02-a242-1432b96ff7af	ee0e0be0-8403-4975-aba6-75181e371b89	COOLING_TOWER
5c011a9e-906f-4c02-a242-1432b96ff7af	1bd6537e-322f-4bd2-b163-da1245d48fc9	DRY_COOLER
5c011a9e-906f-4c02-a242-1432b96ff7af	4cd1b2d7-c506-4678-839b-d7d5c404b074	REMOTE_CONDENSER
5c011a9e-906f-4c02-a242-1432b96ff7af	fddef287-704e-45ee-bc17-9d77bf555803	CHILLED_WATER_PUMPS
5c011a9e-906f-4c02-a242-1432b96ff7af	7cad95d1-2ecb-432c-87e5-26cc8b5254f9	HEAT_REJECTION_PUMPS
5c011a9e-906f-4c02-a242-1432b96ff7af	22c5fbac-210b-4c82-a757-b78c6fcb3acf	VENTILATION
5c011a9e-906f-4c02-a242-1432b96ff7af	64fe09ac-7538-4d85-a427-a3f67f6ac1fd	INFILTRATION
5c011a9e-906f-4c02-a242-1432b96ff7af	223ff5f9-dfb9-4504-a54e-ff06c7d8323b	IT_LOAD
144d5f83-7e8d-4c21-8931-9f459c338b46	f0f9b74c-2238-44b3-857e-5101b16cbf80	SWITCHGEAR
144d5f83-7e8d-4c21-8931-9f459c338b46	237384c9-7445-4ae2-aa92-88672809a58e	GENERATOR
144d5f83-7e8d-4c21-8931-9f459c338b46	855c1c93-ec85-495d-9b1f-e4973a4b9f9c	PRIMARY_AUXILIARIES
144d5f83-7e8d-4c21-8931-9f459c338b46	39e2041e-8146-4854-b736-92fcceefe83f	UPS
144d5f83-7e8d-4c21-8931-9f459c338b46	d734b000-f837-415f-97c7-feb5a8e6aacd	CRITICAL_AUXILIARIES
144d5f83-7e8d-4c21-8931-9f459c338b46	ea951ac6-6b29-4ce6-ac03-a4e07cf5a95d	LIGHTING
144d5f83-7e8d-4c21-8931-9f459c338b46	e3a0c433-88ec-4f42-ae8a-53a1d56f85ed	CRITICAL_POWER_DISTRIBUTION
144d5f83-7e8d-4c21-8931-9f459c338b46	5e6dac26-017c-4d91-b517-017c6db895e9	CRAH
144d5f83-7e8d-4c21-8931-9f459c338b46	c4ffc253-a151-42db-95d4-978cc9c57392	CRAC
144d5f83-7e8d-4c21-8931-9f459c338b46	cc35b6c7-ab35-4131-a1dc-94ac2ae839c2	CRAC_WITHOUT_FAN
144d5f83-7e8d-4c21-8931-9f459c338b46	08fce51a-b5d1-41b6-bb2f-c73ea538bf44	CRAC_FAN
144d5f83-7e8d-4c21-8931-9f459c338b46	83164725-2848-48f5-b72f-1a01a3484320	CHILLER
144d5f83-7e8d-4c21-8931-9f459c338b46	23e1a419-3c78-4c36-aeae-cad7273eee27	AIR_COOLED_CHILLER
144d5f83-7e8d-4c21-8931-9f459c338b46	5dfee39b-5781-4c2c-8131-9eaafd2ae8f3	COOLING_TOWER
144d5f83-7e8d-4c21-8931-9f459c338b46	4b18613e-d56d-41f2-91d1-8e15932bd105	DRY_COOLER
144d5f83-7e8d-4c21-8931-9f459c338b46	dddf1f27-adec-4a88-8c8c-546b60f02e85	REMOTE_CONDENSER
144d5f83-7e8d-4c21-8931-9f459c338b46	5438876e-3fc3-4d8f-8e55-fab76b523c3b	CHILLED_WATER_PUMPS
144d5f83-7e8d-4c21-8931-9f459c338b46	5af48361-1d08-483f-9a4f-eb478e6fbe8c	HEAT_REJECTION_PUMPS
144d5f83-7e8d-4c21-8931-9f459c338b46	4c4f88d2-8fb0-4fc4-bb94-065777791bcf	VENTILATION
144d5f83-7e8d-4c21-8931-9f459c338b46	d46eef15-b499-4ed6-af3e-763dcb9f08ed	INFILTRATION
144d5f83-7e8d-4c21-8931-9f459c338b46	994ad9f8-fb2c-4fac-9688-60d103f5746b	IT_LOAD
84e64c92-de0d-4969-97e7-5395b589f90d	4635fa04-7e43-44b4-b4b0-7ba633352655	SWITCHGEAR
84e64c92-de0d-4969-97e7-5395b589f90d	a50b84a2-d1a4-46c9-93b4-b19ed25042c7	GENERATOR
84e64c92-de0d-4969-97e7-5395b589f90d	0d0b6b03-9b05-42e2-9ec6-1041ba01782e	PRIMARY_AUXILIARIES
84e64c92-de0d-4969-97e7-5395b589f90d	4be089fd-9898-4097-8f6c-ee64c13226d8	UPS
84e64c92-de0d-4969-97e7-5395b589f90d	6f10c59e-4a41-4d2e-98ae-3be5a3134a94	CRITICAL_AUXILIARIES
84e64c92-de0d-4969-97e7-5395b589f90d	566c38d2-c2fd-4db6-8c30-686c2bd97c67	LIGHTING
84e64c92-de0d-4969-97e7-5395b589f90d	2e500d64-220a-4054-a99d-090977a85b82	CRITICAL_POWER_DISTRIBUTION
84e64c92-de0d-4969-97e7-5395b589f90d	8b007e73-8858-4ca8-a86f-98a28de069a6	CRAH
84e64c92-de0d-4969-97e7-5395b589f90d	5f35a457-374d-4dd1-b8fb-aaf1e861c52a	CRAC
84e64c92-de0d-4969-97e7-5395b589f90d	c7a16603-2eb5-4b7d-86b9-e1ee461e9654	CRAC_WITHOUT_FAN
84e64c92-de0d-4969-97e7-5395b589f90d	806cf254-6362-4a0f-aa48-6aaad79f26d1	CRAC_FAN
84e64c92-de0d-4969-97e7-5395b589f90d	444efacb-de09-48b0-bf79-33540b5b7dde	CHILLER
84e64c92-de0d-4969-97e7-5395b589f90d	70cf9f8e-dd9d-41e7-a455-a61f6cc82244	AIR_COOLED_CHILLER
84e64c92-de0d-4969-97e7-5395b589f90d	08cb4d18-0b2e-4706-bc49-0a2d7b3b3cf3	COOLING_TOWER
84e64c92-de0d-4969-97e7-5395b589f90d	8b1b28e2-0aab-4bef-b6c9-fc3269b2de92	DRY_COOLER
84e64c92-de0d-4969-97e7-5395b589f90d	23b20f1a-acbd-461c-90ed-950b50f9276c	REMOTE_CONDENSER
84e64c92-de0d-4969-97e7-5395b589f90d	1467a51e-55d7-4451-828a-2b8c034bbbd5	CHILLED_WATER_PUMPS
84e64c92-de0d-4969-97e7-5395b589f90d	1d199bfc-f3db-4ed0-967a-489a9e284adb	HEAT_REJECTION_PUMPS
84e64c92-de0d-4969-97e7-5395b589f90d	b8e79d05-70c1-44bb-bdb7-bfd8023f3a1a	VENTILATION
84e64c92-de0d-4969-97e7-5395b589f90d	497d02ac-669c-49d2-8a80-979eaaae469f	INFILTRATION
84e64c92-de0d-4969-97e7-5395b589f90d	2fa56a1b-9e45-4091-99bb-55c323108ce8	IT_LOAD
c8491a1d-1a6f-4138-857b-a892cf9715dc	1a56d29d-c888-470d-a9b0-05b836970438	SWITCHGEAR
c8491a1d-1a6f-4138-857b-a892cf9715dc	e5c40bf0-0528-4ee0-b43a-93d3fdaf370e	GENERATOR
c8491a1d-1a6f-4138-857b-a892cf9715dc	d35e353f-5f38-4816-bc0b-1ba789f7f9db	PRIMARY_AUXILIARIES
c8491a1d-1a6f-4138-857b-a892cf9715dc	aec8ac5f-0c1f-49c6-8bd8-04db0a07ec3d	UPS
c8491a1d-1a6f-4138-857b-a892cf9715dc	59c472e9-c6c2-442c-bad4-a74e3e617b2d	CRITICAL_AUXILIARIES
c8491a1d-1a6f-4138-857b-a892cf9715dc	be3fcb06-c5fa-4456-bec0-23645b7ea4b9	LIGHTING
c8491a1d-1a6f-4138-857b-a892cf9715dc	bc484ab4-23c0-4337-b5d0-3d434c16a4d5	CRITICAL_POWER_DISTRIBUTION
c8491a1d-1a6f-4138-857b-a892cf9715dc	09c08e49-af7b-4d8f-946b-42fa54e11157	CRAH
c8491a1d-1a6f-4138-857b-a892cf9715dc	343085fa-27d5-4dce-b622-7c023e87dbe3	CRAC
c8491a1d-1a6f-4138-857b-a892cf9715dc	278dc481-96a9-4fd2-9bbb-4befd44b10f9	CRAC_WITHOUT_FAN
c8491a1d-1a6f-4138-857b-a892cf9715dc	a07ff92a-2624-45ee-9bbc-87983983ef76	CRAC_FAN
c8491a1d-1a6f-4138-857b-a892cf9715dc	d29fb7d9-5f6c-4b79-a199-b5583ef2174e	CHILLER
c8491a1d-1a6f-4138-857b-a892cf9715dc	6eedac81-3715-40e3-8ede-3000427495be	AIR_COOLED_CHILLER
c8491a1d-1a6f-4138-857b-a892cf9715dc	fa328378-f29f-4b59-8487-a05912d76c86	COOLING_TOWER
c8491a1d-1a6f-4138-857b-a892cf9715dc	1c565cd1-00d2-4d1e-a6f0-da9fc6e9eeba	DRY_COOLER
c8491a1d-1a6f-4138-857b-a892cf9715dc	a44c36f3-743d-425d-ae6b-5b7cbebaaa55	REMOTE_CONDENSER
c8491a1d-1a6f-4138-857b-a892cf9715dc	47b15eaa-bf63-41a6-9a3a-b4ee30362f8d	CHILLED_WATER_PUMPS
c8491a1d-1a6f-4138-857b-a892cf9715dc	26ffa646-1ab0-4d8b-87c7-09810c0b87a2	HEAT_REJECTION_PUMPS
c8491a1d-1a6f-4138-857b-a892cf9715dc	d6fcf299-2ebf-47b1-b1d5-8e7eba73fe62	VENTILATION
c8491a1d-1a6f-4138-857b-a892cf9715dc	7f9afec5-a02e-45d4-a83f-93aab417e0a2	INFILTRATION
c8491a1d-1a6f-4138-857b-a892cf9715dc	8d28489e-76a9-44bf-a25c-b30decdb1f77	IT_LOAD
bfb73d71-3f14-4143-9bb2-ab2aff182aec	cf5238a6-227a-4aef-8149-1375afeae84c	SWITCHGEAR
bfb73d71-3f14-4143-9bb2-ab2aff182aec	92fa0044-6151-43e0-baf5-b08c4b1688b2	GENERATOR
bfb73d71-3f14-4143-9bb2-ab2aff182aec	85a7be31-2ce0-4a99-b5e5-78a0bead3032	PRIMARY_AUXILIARIES
bfb73d71-3f14-4143-9bb2-ab2aff182aec	627cf25e-89e2-4a7b-989a-298489d3a850	UPS
bfb73d71-3f14-4143-9bb2-ab2aff182aec	a02d7ff6-f844-4eb7-8d37-24f978ab5b81	CRITICAL_AUXILIARIES
bfb73d71-3f14-4143-9bb2-ab2aff182aec	8faa5c6f-44d6-4ba8-a77b-b92bd122dca8	LIGHTING
bfb73d71-3f14-4143-9bb2-ab2aff182aec	dec4e892-9bc7-4cc8-bdf6-0d5611587e8d	CRITICAL_POWER_DISTRIBUTION
bfb73d71-3f14-4143-9bb2-ab2aff182aec	9c35d436-fdca-44f4-a7b7-5cb26bbf2bcf	CRAH
bfb73d71-3f14-4143-9bb2-ab2aff182aec	34b549ec-fe97-4256-bb0c-34dc911d6009	CRAC
bfb73d71-3f14-4143-9bb2-ab2aff182aec	e891efa1-5151-4e08-a6bd-f9936714a41e	CRAC_WITHOUT_FAN
bfb73d71-3f14-4143-9bb2-ab2aff182aec	28ecd0e6-112f-4e66-9794-112f19628b80	CRAC_FAN
bfb73d71-3f14-4143-9bb2-ab2aff182aec	3f371988-c1b0-461e-ab75-b7ad66be177c	CHILLER
bfb73d71-3f14-4143-9bb2-ab2aff182aec	af9b209a-605f-4113-8551-799caaf08400	AIR_COOLED_CHILLER
bfb73d71-3f14-4143-9bb2-ab2aff182aec	1e400258-8507-4dba-880c-2af50e1f9b84	COOLING_TOWER
bfb73d71-3f14-4143-9bb2-ab2aff182aec	563c6612-504b-48eb-be6a-e1dad5a2d0f6	DRY_COOLER
bfb73d71-3f14-4143-9bb2-ab2aff182aec	84305f25-d04a-4eb5-92ac-6a4514ab9845	REMOTE_CONDENSER
bfb73d71-3f14-4143-9bb2-ab2aff182aec	7b94246a-b63c-417e-8167-f7a3698ac903	CHILLED_WATER_PUMPS
bfb73d71-3f14-4143-9bb2-ab2aff182aec	8433d3f4-897a-44d3-9c73-e7e34082c863	HEAT_REJECTION_PUMPS
bfb73d71-3f14-4143-9bb2-ab2aff182aec	945401de-5cb0-420c-9bac-2e0b3fab5228	VENTILATION
bfb73d71-3f14-4143-9bb2-ab2aff182aec	147265ef-d247-4562-aca0-cc519af03878	INFILTRATION
bfb73d71-3f14-4143-9bb2-ab2aff182aec	cb12ebd8-5136-4021-9330-270a38dcc81f	IT_LOAD
528cb92a-6fff-4717-997f-bab8fcdf0fe6	ef437fd8-1e15-4dbe-83e0-6dc3625c4adf	SWITCHGEAR
528cb92a-6fff-4717-997f-bab8fcdf0fe6	823ec7fb-2e88-45fb-b802-982276134e19	GENERATOR
528cb92a-6fff-4717-997f-bab8fcdf0fe6	f4438d70-72c7-42a0-92e8-c92ef6192bdb	PRIMARY_AUXILIARIES
528cb92a-6fff-4717-997f-bab8fcdf0fe6	9103142a-cb78-47b3-a879-3e17b5222cd5	UPS
528cb92a-6fff-4717-997f-bab8fcdf0fe6	c54a86bb-b5d8-46d9-a86a-00a4853410c3	CRITICAL_AUXILIARIES
528cb92a-6fff-4717-997f-bab8fcdf0fe6	248cc458-51fb-4816-8298-33d226c89d65	LIGHTING
528cb92a-6fff-4717-997f-bab8fcdf0fe6	25499cc9-427c-4192-96df-b844cdd27192	CRITICAL_POWER_DISTRIBUTION
528cb92a-6fff-4717-997f-bab8fcdf0fe6	760ea316-806f-4617-878c-9348d95ed43f	CRAH
528cb92a-6fff-4717-997f-bab8fcdf0fe6	a32af196-7271-4848-b2ff-f6c0c088658a	CRAC
528cb92a-6fff-4717-997f-bab8fcdf0fe6	32addffb-4132-4a4a-bb94-5f3ef53ef318	CRAC_WITHOUT_FAN
528cb92a-6fff-4717-997f-bab8fcdf0fe6	662b6fbf-05f8-471c-873c-43f08c621884	CRAC_FAN
528cb92a-6fff-4717-997f-bab8fcdf0fe6	03138a65-2657-42eb-bcc2-14977342ec24	CHILLER
528cb92a-6fff-4717-997f-bab8fcdf0fe6	ec3b4ba8-f50e-4ae3-8f19-69bc12e6789d	AIR_COOLED_CHILLER
528cb92a-6fff-4717-997f-bab8fcdf0fe6	ec32a3aa-dda7-456c-a64f-90d59ae63b6b	COOLING_TOWER
528cb92a-6fff-4717-997f-bab8fcdf0fe6	0bf5766b-7fb9-415d-b5e5-933215d949d1	DRY_COOLER
528cb92a-6fff-4717-997f-bab8fcdf0fe6	06a33249-4ba6-47f2-b52d-60b86d03c3ac	REMOTE_CONDENSER
528cb92a-6fff-4717-997f-bab8fcdf0fe6	69719f0e-b855-4e61-81ed-1def4044d066	CHILLED_WATER_PUMPS
528cb92a-6fff-4717-997f-bab8fcdf0fe6	cc43dcb0-7d26-4d82-ae16-0c1eb0f19066	HEAT_REJECTION_PUMPS
528cb92a-6fff-4717-997f-bab8fcdf0fe6	f67a2a7b-8a1e-42a6-ba23-042c1f854c64	VENTILATION
528cb92a-6fff-4717-997f-bab8fcdf0fe6	b037b996-4fc0-41a2-bbf8-4aae2412d97e	INFILTRATION
528cb92a-6fff-4717-997f-bab8fcdf0fe6	7c49eecd-7b69-4921-a7c5-e17fb0b50ffb	IT_LOAD
a79be43c-6714-44da-9f44-2e8a8d130249	ad610c6a-2321-4ea4-a728-c66f4f291af7	SWITCHGEAR
a79be43c-6714-44da-9f44-2e8a8d130249	e93d4f11-b401-469b-a30d-7e80364c4792	GENERATOR
a79be43c-6714-44da-9f44-2e8a8d130249	8ee62808-75d4-4fd2-8ac0-d00932a773d2	PRIMARY_AUXILIARIES
a79be43c-6714-44da-9f44-2e8a8d130249	896acd54-26d7-4ff1-913b-f491cd2c09d4	UPS
a79be43c-6714-44da-9f44-2e8a8d130249	5722cdfc-5a35-4c30-aeee-76a9ce5029f3	CRITICAL_AUXILIARIES
a79be43c-6714-44da-9f44-2e8a8d130249	67827203-540b-421c-8cd3-b89482ec3e2b	LIGHTING
a79be43c-6714-44da-9f44-2e8a8d130249	06b3f998-7202-4caf-9e58-1e12a447ad8a	CRITICAL_POWER_DISTRIBUTION
a79be43c-6714-44da-9f44-2e8a8d130249	adef80dc-f5ed-4dd8-85b6-ac946a0f433f	CRAH
a79be43c-6714-44da-9f44-2e8a8d130249	cdee735b-ed6d-41cb-b72a-89c12bb2d240	CRAC
a79be43c-6714-44da-9f44-2e8a8d130249	d9ac583d-32e9-4b94-80ff-81189051b20f	CRAC_WITHOUT_FAN
a79be43c-6714-44da-9f44-2e8a8d130249	ba22f63b-43ce-4c07-8738-a16885dc448b	CRAC_FAN
a79be43c-6714-44da-9f44-2e8a8d130249	c1339e25-cabc-424e-90ee-cb2aac9668bf	CHILLER
a79be43c-6714-44da-9f44-2e8a8d130249	591a861a-3a24-494b-8832-e2ac7ef43083	AIR_COOLED_CHILLER
a79be43c-6714-44da-9f44-2e8a8d130249	3fa8be2c-a4d7-4050-95d1-a4f86f92ac77	COOLING_TOWER
a79be43c-6714-44da-9f44-2e8a8d130249	1824be80-2694-41b3-a08f-2dd2c8a8ba99	DRY_COOLER
a79be43c-6714-44da-9f44-2e8a8d130249	89001253-75cd-4312-bd59-0a5dca3d6d8c	REMOTE_CONDENSER
a79be43c-6714-44da-9f44-2e8a8d130249	34a1fef1-6824-4b66-acbc-fb3ce0115ba2	CHILLED_WATER_PUMPS
a79be43c-6714-44da-9f44-2e8a8d130249	4e94a37f-432b-44fc-8c31-acd6ad354602	HEAT_REJECTION_PUMPS
a79be43c-6714-44da-9f44-2e8a8d130249	376f4c29-cd6c-4116-994b-4b579cca8e82	VENTILATION
a79be43c-6714-44da-9f44-2e8a8d130249	ac2d6567-d936-4564-941b-68bc7894d7b1	INFILTRATION
a79be43c-6714-44da-9f44-2e8a8d130249	aab7d915-e1dd-4f1e-96f7-add0f068bc93	IT_LOAD
e0771e57-2418-466f-87c8-4aceae0def0d	8a7ae38a-851f-4bcf-8eaf-d791f3e25ecc	SWITCHGEAR
e0771e57-2418-466f-87c8-4aceae0def0d	a0a5369d-e61a-44ac-90e5-0524818ee65f	GENERATOR
e0771e57-2418-466f-87c8-4aceae0def0d	8b8483b3-bb89-40e5-beb6-8617c5c25c25	PRIMARY_AUXILIARIES
e0771e57-2418-466f-87c8-4aceae0def0d	98eb06ed-364d-41dc-8973-158fde4724f9	UPS
e0771e57-2418-466f-87c8-4aceae0def0d	f889801f-4101-4533-97dc-1185e91b39ea	CRITICAL_AUXILIARIES
e0771e57-2418-466f-87c8-4aceae0def0d	e9c52abe-43d0-4763-b442-c1c9537c9157	LIGHTING
e0771e57-2418-466f-87c8-4aceae0def0d	32d5386a-cf04-4ef6-afad-f0d8f8801382	CRITICAL_POWER_DISTRIBUTION
e0771e57-2418-466f-87c8-4aceae0def0d	f63edcc2-83b9-49b7-a5e2-e77466b30690	CRAH
e0771e57-2418-466f-87c8-4aceae0def0d	64c2b06f-ebc4-4d9d-8b73-42b09f508b92	CRAC
e0771e57-2418-466f-87c8-4aceae0def0d	7a46fc84-870d-4ed5-9d5a-e3dfd2f9d49b	CRAC_WITHOUT_FAN
e0771e57-2418-466f-87c8-4aceae0def0d	79fd88f1-87ce-431b-8508-8e56a7fa0aa5	CRAC_FAN
e0771e57-2418-466f-87c8-4aceae0def0d	0c894f6f-75df-4af3-9efd-af3b1db0fedf	CHILLER
e0771e57-2418-466f-87c8-4aceae0def0d	98d8cc19-04f6-4c52-9511-d70d6fafc4d6	AIR_COOLED_CHILLER
e0771e57-2418-466f-87c8-4aceae0def0d	870db7fd-c795-44c8-a639-82244f0af1d3	COOLING_TOWER
e0771e57-2418-466f-87c8-4aceae0def0d	3e74eac7-794d-42eb-9e26-04192930ac07	DRY_COOLER
e0771e57-2418-466f-87c8-4aceae0def0d	d6d088a3-73d2-4c3f-84a5-a81ba99fab85	REMOTE_CONDENSER
e0771e57-2418-466f-87c8-4aceae0def0d	e224a009-cc4e-4284-8d99-5d1e0516468f	CHILLED_WATER_PUMPS
e0771e57-2418-466f-87c8-4aceae0def0d	89d80f83-6b7e-41e7-80aa-3bdebd28e25c	HEAT_REJECTION_PUMPS
e0771e57-2418-466f-87c8-4aceae0def0d	7a9be48b-f312-4756-8b39-b30e260472f6	VENTILATION
e0771e57-2418-466f-87c8-4aceae0def0d	1b8f9acf-9b5d-46b2-843d-585976efdac0	INFILTRATION
e0771e57-2418-466f-87c8-4aceae0def0d	5c08041b-72db-4466-996a-009cfa754504	IT_LOAD
e3b294d8-4580-48a5-b7ab-74149871cefb	db98a5be-8149-410f-acee-283221c5703e	SWITCHGEAR
e3b294d8-4580-48a5-b7ab-74149871cefb	8988970d-16d4-47bf-a516-8cfa513f4835	GENERATOR
e3b294d8-4580-48a5-b7ab-74149871cefb	9442beb8-d719-4eb9-b21c-fadebd9b233b	PRIMARY_AUXILIARIES
e3b294d8-4580-48a5-b7ab-74149871cefb	4c5a908f-2899-4389-bc65-8244560b9a8d	UPS
e3b294d8-4580-48a5-b7ab-74149871cefb	96de34f4-4118-4eb6-8142-64f009c800f9	CRITICAL_AUXILIARIES
e3b294d8-4580-48a5-b7ab-74149871cefb	83902fc0-fd99-4bad-9e83-c5fb0416b9b1	LIGHTING
e3b294d8-4580-48a5-b7ab-74149871cefb	5b0db1cc-9313-4bbb-b548-c8b1cce0e8b4	CRITICAL_POWER_DISTRIBUTION
e3b294d8-4580-48a5-b7ab-74149871cefb	18cc1290-9039-4a62-80ee-bbfad2ff79a6	CRAH
e3b294d8-4580-48a5-b7ab-74149871cefb	051b2141-790f-4687-9588-880a5acee64d	CRAC
e3b294d8-4580-48a5-b7ab-74149871cefb	97bbb3dc-5cd6-4419-9563-275537f54768	CRAC_WITHOUT_FAN
e3b294d8-4580-48a5-b7ab-74149871cefb	43e2cfa8-c976-4b9d-a90a-3204b8917227	CRAC_FAN
e3b294d8-4580-48a5-b7ab-74149871cefb	b89a3caf-811d-4a18-9be2-f8c611046fae	CHILLER
e3b294d8-4580-48a5-b7ab-74149871cefb	73462663-a708-4a09-b30a-985f67f859bc	AIR_COOLED_CHILLER
e3b294d8-4580-48a5-b7ab-74149871cefb	15aa9510-35e8-4854-b930-4e6b319d0a11	COOLING_TOWER
e3b294d8-4580-48a5-b7ab-74149871cefb	220b9eac-50d5-4988-84d4-82d975c105f2	DRY_COOLER
e3b294d8-4580-48a5-b7ab-74149871cefb	63151a91-1ef8-4078-9174-538f0ca9c8cc	REMOTE_CONDENSER
e3b294d8-4580-48a5-b7ab-74149871cefb	5cb725be-f1fc-4a71-af1b-411346246f48	CHILLED_WATER_PUMPS
e3b294d8-4580-48a5-b7ab-74149871cefb	c41b692b-7793-4b08-bddf-28d5fe0877e8	HEAT_REJECTION_PUMPS
e3b294d8-4580-48a5-b7ab-74149871cefb	af6ae284-1c45-436d-8c64-560fca706d30	VENTILATION
e3b294d8-4580-48a5-b7ab-74149871cefb	fb87e997-b92f-4bd3-9e62-de9dac49fc37	INFILTRATION
e3b294d8-4580-48a5-b7ab-74149871cefb	002b44da-09a2-41b4-9ac1-8494aee49a5a	IT_LOAD
5b994796-2dcc-44b5-922b-088489a7f5e8	333da17f-6f92-48f0-92f2-77e2063fcabc	SWITCHGEAR
5b994796-2dcc-44b5-922b-088489a7f5e8	9ffc5bdd-9756-4227-b0f4-74cfd7559807	GENERATOR
5b994796-2dcc-44b5-922b-088489a7f5e8	527149e4-1008-4af2-bb11-ea928dce8744	PRIMARY_AUXILIARIES
5b994796-2dcc-44b5-922b-088489a7f5e8	80b7057a-5782-47ad-a3a3-0f4dd28ca4f4	UPS
5b994796-2dcc-44b5-922b-088489a7f5e8	4c7cc352-3a87-43c9-9c4d-dc2483207617	CRITICAL_AUXILIARIES
5b994796-2dcc-44b5-922b-088489a7f5e8	f976a14e-dad0-4526-bd61-16630f477810	LIGHTING
5b994796-2dcc-44b5-922b-088489a7f5e8	8102637a-eaa4-4441-a531-bf5a6f907242	CRITICAL_POWER_DISTRIBUTION
5b994796-2dcc-44b5-922b-088489a7f5e8	11445206-427d-432a-aab4-d4269c78e93e	CRAH
5b994796-2dcc-44b5-922b-088489a7f5e8	9a073c4d-5d17-4e26-b18e-202d7ebcdaa6	CRAC
5b994796-2dcc-44b5-922b-088489a7f5e8	4f8ab342-03de-46b2-8f2e-cf0e936ddfd6	CRAC_WITHOUT_FAN
5b994796-2dcc-44b5-922b-088489a7f5e8	131e567e-0ead-425e-be9b-816a95929a01	CRAC_FAN
5b994796-2dcc-44b5-922b-088489a7f5e8	52cabc38-162d-4906-82be-03283ef581bc	CHILLER
5b994796-2dcc-44b5-922b-088489a7f5e8	70661fe7-eb09-4588-b03f-9bbad915c8e7	AIR_COOLED_CHILLER
5b994796-2dcc-44b5-922b-088489a7f5e8	35e1d883-8f1c-4ac0-8e46-a68dade42d29	COOLING_TOWER
5b994796-2dcc-44b5-922b-088489a7f5e8	aab4562d-fb54-4998-83a7-cfaa19cae756	DRY_COOLER
5b994796-2dcc-44b5-922b-088489a7f5e8	46c5e54c-218f-4e7e-898b-e6a850e5a993	REMOTE_CONDENSER
5b994796-2dcc-44b5-922b-088489a7f5e8	7cf2425a-b883-4a7d-9b1a-300a27196568	CHILLED_WATER_PUMPS
5b994796-2dcc-44b5-922b-088489a7f5e8	0ae27060-a2db-4bf2-a4a3-352e7863d4ec	HEAT_REJECTION_PUMPS
5b994796-2dcc-44b5-922b-088489a7f5e8	3ce890ed-9178-4830-8707-61b647094868	VENTILATION
5b994796-2dcc-44b5-922b-088489a7f5e8	1406da0e-2b22-4321-b57d-94703fc9d1c9	INFILTRATION
5b994796-2dcc-44b5-922b-088489a7f5e8	ed301bcf-c3fc-44e3-8ce2-f0aeb8aad5d1	IT_LOAD
bca721a7-c631-49a8-b416-796458c7aa8b	39c16d9c-596d-47cb-9464-2b6e12215bf6	SWITCHGEAR
bca721a7-c631-49a8-b416-796458c7aa8b	713476d0-3b85-452a-82d2-b4f916a36f05	GENERATOR
bca721a7-c631-49a8-b416-796458c7aa8b	702f378c-44cd-4c06-955a-b3600592f165	PRIMARY_AUXILIARIES
bca721a7-c631-49a8-b416-796458c7aa8b	757dbf5b-e036-4416-b7ea-93a36f22b615	UPS
bca721a7-c631-49a8-b416-796458c7aa8b	7f699ae6-8926-4163-9001-4a12e53ff4df	CRITICAL_AUXILIARIES
bca721a7-c631-49a8-b416-796458c7aa8b	adbc3b6a-1af1-429a-8bc8-2ede1255e60d	LIGHTING
bca721a7-c631-49a8-b416-796458c7aa8b	ae4610f0-3552-45e9-9225-4c9fac6f3f23	CRITICAL_POWER_DISTRIBUTION
bca721a7-c631-49a8-b416-796458c7aa8b	1074b974-252a-4dce-bd0a-54c0462b1c8d	CRAH
bca721a7-c631-49a8-b416-796458c7aa8b	02e557cb-24aa-4889-b857-03d3f12110e9	CRAC
bca721a7-c631-49a8-b416-796458c7aa8b	ff1e73d4-b6a6-400b-9f9a-908f50365eb3	CRAC_WITHOUT_FAN
bca721a7-c631-49a8-b416-796458c7aa8b	f8a768a9-1aaf-42f5-9c06-9c6cf4ccdd69	CRAC_FAN
bca721a7-c631-49a8-b416-796458c7aa8b	12acdd99-4a0d-4456-af4d-14126a4823cc	CHILLER
bca721a7-c631-49a8-b416-796458c7aa8b	bb6412d9-9e63-4a8a-b7fb-7c83a04417a4	AIR_COOLED_CHILLER
bca721a7-c631-49a8-b416-796458c7aa8b	4cf75d0c-3402-4ea3-a2bd-b1c3e6ae5281	COOLING_TOWER
bca721a7-c631-49a8-b416-796458c7aa8b	166891ba-d2a2-409f-87c8-b28f07bdf2c2	DRY_COOLER
bca721a7-c631-49a8-b416-796458c7aa8b	1e46b721-1f98-48ba-ae7e-2dd826e0b820	REMOTE_CONDENSER
bca721a7-c631-49a8-b416-796458c7aa8b	e37ab40d-b7e5-4820-8dc4-b25822e7e782	CHILLED_WATER_PUMPS
bca721a7-c631-49a8-b416-796458c7aa8b	e9f0dde6-ee43-48b3-b05d-ecc97df5bdfb	HEAT_REJECTION_PUMPS
bca721a7-c631-49a8-b416-796458c7aa8b	fa30e15d-ae48-462c-91d5-f1f260e37f97	VENTILATION
bca721a7-c631-49a8-b416-796458c7aa8b	04a4af92-7bf7-4b24-a60b-37b04a0ece88	INFILTRATION
bca721a7-c631-49a8-b416-796458c7aa8b	4e50a257-f119-438d-8591-52c90c651671	IT_LOAD
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	735794ce-fb30-4231-a75c-12492209beb7	SWITCHGEAR
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	34ea0bdb-f98d-4f97-9199-b3e8582b49a5	GENERATOR
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	200e8dcf-457b-4801-96d8-4b191c05759a	PRIMARY_AUXILIARIES
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	d1cd203d-42c6-4141-ada6-79ac772203eb	UPS
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	d7ce6781-c02c-4237-beb8-112ed68b71b4	CRITICAL_AUXILIARIES
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	28dba0db-439e-4269-b4a1-113ca2d20b2e	LIGHTING
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	760c03a2-2aaf-4a20-9a82-3446c15e6935	CRITICAL_POWER_DISTRIBUTION
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	75c67c3c-3d37-4de6-ae04-80af1862d599	CRAH
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	186697e2-698d-4b67-84f4-55f0a969baf2	CRAC
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	1d42e24b-fd79-4b57-81c8-90ffea71fa35	CRAC_WITHOUT_FAN
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	f0e082b5-b000-4063-9f9e-15b32fc1be61	CRAC_FAN
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	4cbbfcb3-2b87-4016-a59e-5c386f5ae861	CHILLER
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	ae4ef24d-2228-4922-bc2b-f617d119090b	AIR_COOLED_CHILLER
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	06421fac-f977-47f0-b1ba-7c2b27f294c3	COOLING_TOWER
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	9e884043-553e-46ae-b5c9-f4dbadfb43c6	DRY_COOLER
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	ac288182-8923-43c9-8d67-f35bf377881d	REMOTE_CONDENSER
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	883ceb85-5cfe-41ce-aa88-799cbeb401ac	CHILLED_WATER_PUMPS
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	0c30bc70-dd5d-42e4-8f9b-2051a8610758	HEAT_REJECTION_PUMPS
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	16c03bc4-3673-4b61-b22e-3085bf11c6f4	VENTILATION
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	5a0ed5f4-4656-458a-9a86-b9739c9270a5	INFILTRATION
15ebc4a9-b99a-4b90-b84c-8a560a443bc1	91212166-4ce5-4625-b287-bceb513bffbe	IT_LOAD
1af970ae-3846-4a50-b47b-c4b411d5f5f2	a549e477-fc28-467e-a107-fa5fea69d2e5	SWITCHGEAR
1af970ae-3846-4a50-b47b-c4b411d5f5f2	650a4cb3-51e0-433a-b39d-2c1f5e3e4c38	GENERATOR
1af970ae-3846-4a50-b47b-c4b411d5f5f2	06ce2773-04e9-49bc-b7d0-3e56c16ec44b	PRIMARY_AUXILIARIES
1af970ae-3846-4a50-b47b-c4b411d5f5f2	87fad58a-a8f5-4983-8fba-9aa0ea830b60	UPS
1af970ae-3846-4a50-b47b-c4b411d5f5f2	15f8dd91-8666-4ef9-9aa7-45b3156774b8	CRITICAL_AUXILIARIES
1af970ae-3846-4a50-b47b-c4b411d5f5f2	02c1742c-3963-44ed-99ba-b80bc0b19754	LIGHTING
1af970ae-3846-4a50-b47b-c4b411d5f5f2	bb3ffc1c-6468-4dbe-945c-41f480eb2875	CRITICAL_POWER_DISTRIBUTION
1af970ae-3846-4a50-b47b-c4b411d5f5f2	4910a05f-7278-49f6-8997-8130f175f098	CRAH
1af970ae-3846-4a50-b47b-c4b411d5f5f2	1bca864d-b01d-45ff-841a-b947688ac35d	CRAC
1af970ae-3846-4a50-b47b-c4b411d5f5f2	ebedd221-3181-47c6-ac0f-8fed6094922a	CRAC_WITHOUT_FAN
1af970ae-3846-4a50-b47b-c4b411d5f5f2	fc4be428-8398-47c2-a35b-6116640f7ef0	CRAC_FAN
1af970ae-3846-4a50-b47b-c4b411d5f5f2	0a7f123d-76ce-42ca-becc-7bcf3198a598	CHILLER
1af970ae-3846-4a50-b47b-c4b411d5f5f2	a477f6fd-c92f-4cab-8de4-be574fb6862a	AIR_COOLED_CHILLER
1af970ae-3846-4a50-b47b-c4b411d5f5f2	ab51b050-3aed-47b5-bd86-20d3638f4202	COOLING_TOWER
1af970ae-3846-4a50-b47b-c4b411d5f5f2	b4b87bd5-c963-483f-a0e6-2b78ef658f0b	DRY_COOLER
1af970ae-3846-4a50-b47b-c4b411d5f5f2	19d006f5-ff09-4b17-b564-031d331ffd88	REMOTE_CONDENSER
1af970ae-3846-4a50-b47b-c4b411d5f5f2	b4adc811-5f4c-4532-b10e-8564dfedb694	CHILLED_WATER_PUMPS
1af970ae-3846-4a50-b47b-c4b411d5f5f2	a1451af7-3f25-42f9-809a-5b7ff5368229	HEAT_REJECTION_PUMPS
1af970ae-3846-4a50-b47b-c4b411d5f5f2	6ff5c84a-bb25-4206-9306-cb46455aa963	VENTILATION
1af970ae-3846-4a50-b47b-c4b411d5f5f2	a77aad3a-6e30-43db-baf3-0c46caa0a580	INFILTRATION
1af970ae-3846-4a50-b47b-c4b411d5f5f2	8a1f60ba-7b30-4859-baca-3580d1253784	IT_LOAD
71f48817-ece3-426c-aecf-50bac58b977d	f12198de-7bc4-45ce-bbbe-1b3ae1bbcd9a	SWITCHGEAR
71f48817-ece3-426c-aecf-50bac58b977d	75235e25-b8e2-47fc-a6aa-7aac4495b1a0	GENERATOR
71f48817-ece3-426c-aecf-50bac58b977d	958bc079-0822-474f-bac8-65cc28ef037c	PRIMARY_AUXILIARIES
71f48817-ece3-426c-aecf-50bac58b977d	f90d85a0-6ea1-483c-bdf0-14af2dc9e3b4	UPS
71f48817-ece3-426c-aecf-50bac58b977d	76704ac4-647c-43aa-84ef-d6a9642e731c	CRITICAL_AUXILIARIES
71f48817-ece3-426c-aecf-50bac58b977d	6c8e4c13-5ed1-4f3e-adb8-c3c34f46e00b	LIGHTING
71f48817-ece3-426c-aecf-50bac58b977d	4c1316c0-4505-479a-8a39-372e05b6bde2	CRITICAL_POWER_DISTRIBUTION
71f48817-ece3-426c-aecf-50bac58b977d	65815b31-023e-4208-8709-a189e2d79893	CRAH
71f48817-ece3-426c-aecf-50bac58b977d	fb609547-debe-4452-a056-89dad699dc23	CRAC
71f48817-ece3-426c-aecf-50bac58b977d	9f9d09dd-c8b7-4dd7-ae35-6e7c8018d4bc	CRAC_WITHOUT_FAN
71f48817-ece3-426c-aecf-50bac58b977d	b586ad0a-4c20-411b-8492-36f8e3e3107c	CRAC_FAN
71f48817-ece3-426c-aecf-50bac58b977d	06c674cb-77aa-41f4-9772-f615ae82475c	CHILLER
71f48817-ece3-426c-aecf-50bac58b977d	edf4b919-139a-49f6-9df4-8f5d543fbdcf	AIR_COOLED_CHILLER
71f48817-ece3-426c-aecf-50bac58b977d	f262bbae-a096-497c-aa86-c68cf678e285	COOLING_TOWER
71f48817-ece3-426c-aecf-50bac58b977d	20093702-a961-4cd2-b59d-1b9b451a4bdf	DRY_COOLER
71f48817-ece3-426c-aecf-50bac58b977d	d58dce7f-b031-45a8-a6b0-4f2ffb50595e	REMOTE_CONDENSER
71f48817-ece3-426c-aecf-50bac58b977d	c07c55f9-bf5a-496a-9d9b-4fca5055355b	CHILLED_WATER_PUMPS
71f48817-ece3-426c-aecf-50bac58b977d	1bf1062d-c24c-4f5f-a633-2a0038c42be4	HEAT_REJECTION_PUMPS
71f48817-ece3-426c-aecf-50bac58b977d	4c1495b2-335b-450f-bc93-4f022df1bf4c	VENTILATION
71f48817-ece3-426c-aecf-50bac58b977d	3aa725e5-d7b3-46d7-a3fd-c364c8a9c7fa	INFILTRATION
71f48817-ece3-426c-aecf-50bac58b977d	eb944375-5aab-4ce8-b6fb-1e372537a329	IT_LOAD
9a08004e-21f1-4918-bf54-94dadd502c6b	828aa30e-f7c6-4228-820c-085481a308e7	SWITCHGEAR
9a08004e-21f1-4918-bf54-94dadd502c6b	bef3f0c4-eba8-4476-978f-e5eb13f42100	GENERATOR
9a08004e-21f1-4918-bf54-94dadd502c6b	9d5a1043-5e2c-4cf2-9e7e-f000754e73b0	PRIMARY_AUXILIARIES
9a08004e-21f1-4918-bf54-94dadd502c6b	05ae79c5-78d5-4460-ad63-8c3eaf87f52e	UPS
9a08004e-21f1-4918-bf54-94dadd502c6b	b7d67ea8-4102-4752-b1fe-531b2a8ab717	CRITICAL_AUXILIARIES
9a08004e-21f1-4918-bf54-94dadd502c6b	2d1b1045-a111-4e6b-a427-d26f27435707	LIGHTING
9a08004e-21f1-4918-bf54-94dadd502c6b	62fd995f-d60c-4ad4-a4a7-0fce534da8d2	CRITICAL_POWER_DISTRIBUTION
9a08004e-21f1-4918-bf54-94dadd502c6b	a3c4e579-bb51-4722-bb49-61deb55d59e4	CRAH
9a08004e-21f1-4918-bf54-94dadd502c6b	c13da2ee-afb8-47f0-bfd8-a8b704518e6b	CRAC
9a08004e-21f1-4918-bf54-94dadd502c6b	c84bcdf5-bdf6-4143-a6bb-495ba47a4234	CRAC_WITHOUT_FAN
9a08004e-21f1-4918-bf54-94dadd502c6b	9ea2a19c-ccff-47ea-ad3c-f0e8d11f3571	CRAC_FAN
9a08004e-21f1-4918-bf54-94dadd502c6b	de31f187-26ae-4554-8129-f6ccb3ba8d04	CHILLER
9a08004e-21f1-4918-bf54-94dadd502c6b	cadd2f35-cf99-451b-82ff-05120651d697	AIR_COOLED_CHILLER
9a08004e-21f1-4918-bf54-94dadd502c6b	c234e5a6-bcec-4254-931b-960e4b373fc7	COOLING_TOWER
9a08004e-21f1-4918-bf54-94dadd502c6b	f432d9d9-3c27-4111-b106-d5ccf099c9d7	DRY_COOLER
9a08004e-21f1-4918-bf54-94dadd502c6b	0b64cd77-753e-46eb-bd17-1b69423d3cbc	REMOTE_CONDENSER
9a08004e-21f1-4918-bf54-94dadd502c6b	bcfb956c-22f8-4004-8ed3-14429e6d1625	CHILLED_WATER_PUMPS
9a08004e-21f1-4918-bf54-94dadd502c6b	28131639-d259-4cda-8026-b10ecb48466c	HEAT_REJECTION_PUMPS
9a08004e-21f1-4918-bf54-94dadd502c6b	1bb01631-d22e-4c16-a21d-2d6fb037a949	VENTILATION
9a08004e-21f1-4918-bf54-94dadd502c6b	22f91df8-fbd0-449c-a5ab-8d3f6143286c	INFILTRATION
9a08004e-21f1-4918-bf54-94dadd502c6b	b19095a7-8d8c-4aa4-92cb-e5e9ced23a3d	IT_LOAD
3690a92c-3fee-4769-9a94-bb9a08fe1280	26f06eeb-3967-449b-8e2d-8df92bb2ca8e	SWITCHGEAR
3690a92c-3fee-4769-9a94-bb9a08fe1280	576e452a-f4a3-4332-b18a-35c42f892e82	GENERATOR
3690a92c-3fee-4769-9a94-bb9a08fe1280	7214ca21-a182-4e53-9e24-a5772c703dc5	PRIMARY_AUXILIARIES
3690a92c-3fee-4769-9a94-bb9a08fe1280	f05d560f-9a24-4993-88a4-1988545c4a64	UPS
3690a92c-3fee-4769-9a94-bb9a08fe1280	862fc6a9-0730-4128-8c98-477ce541571a	CRITICAL_AUXILIARIES
3690a92c-3fee-4769-9a94-bb9a08fe1280	58c248ba-9bb3-4501-b69f-6d6b519416ff	LIGHTING
3690a92c-3fee-4769-9a94-bb9a08fe1280	72b6b2f8-9bc2-4d25-8b22-b6f091ff6154	CRITICAL_POWER_DISTRIBUTION
3690a92c-3fee-4769-9a94-bb9a08fe1280	0eb04431-ca55-42e6-90c4-de1a09e46c3e	CRAH
3690a92c-3fee-4769-9a94-bb9a08fe1280	c14f214b-1a3e-47fa-8727-44b8f2e69dd9	CRAC
3690a92c-3fee-4769-9a94-bb9a08fe1280	903d4e4e-6881-43fb-864e-579d1bcacd35	CRAC_WITHOUT_FAN
3690a92c-3fee-4769-9a94-bb9a08fe1280	cd5cfa2a-4c71-423b-8d42-bd27c9bc059b	CRAC_FAN
3690a92c-3fee-4769-9a94-bb9a08fe1280	2663e50a-d82f-49f7-961e-125f85c8711f	CHILLER
3690a92c-3fee-4769-9a94-bb9a08fe1280	895d803e-948d-413d-917e-0865c7d230a9	AIR_COOLED_CHILLER
3690a92c-3fee-4769-9a94-bb9a08fe1280	e01afe4e-93ec-451a-932d-d7eb271a8413	COOLING_TOWER
3690a92c-3fee-4769-9a94-bb9a08fe1280	308173af-a308-4686-9d0f-8a24faf8eeda	DRY_COOLER
3690a92c-3fee-4769-9a94-bb9a08fe1280	813f0b53-c75c-422a-8df7-64c66d261bd4	REMOTE_CONDENSER
3690a92c-3fee-4769-9a94-bb9a08fe1280	a41b02ca-a5f8-4d1c-af51-71c8b43372b0	CHILLED_WATER_PUMPS
3690a92c-3fee-4769-9a94-bb9a08fe1280	64a63c65-b38b-4ee0-8c2f-dadc3ee5ba65	HEAT_REJECTION_PUMPS
3690a92c-3fee-4769-9a94-bb9a08fe1280	6612858f-d038-4c32-987e-d21d31a63da7	VENTILATION
3690a92c-3fee-4769-9a94-bb9a08fe1280	86724e27-4ee6-4d87-b555-142db45daf66	INFILTRATION
3690a92c-3fee-4769-9a94-bb9a08fe1280	993cc1f2-0ecb-4b32-802f-090fc06d3076	IT_LOAD
4d98a267-8679-4c24-8c2b-81701ebac9c1	915eca4c-0ad0-44ec-a147-497e0fe39820	SWITCHGEAR
4d98a267-8679-4c24-8c2b-81701ebac9c1	3207b0e9-eb7c-4a3b-ae0a-f7435d97ec6c	GENERATOR
4d98a267-8679-4c24-8c2b-81701ebac9c1	1a66267a-ba65-4d8d-af07-86525367e9c4	PRIMARY_AUXILIARIES
4d98a267-8679-4c24-8c2b-81701ebac9c1	520f298b-c9cc-4ec7-a4f8-06c9cd2bd384	UPS
4d98a267-8679-4c24-8c2b-81701ebac9c1	95f4fb21-c500-4784-b586-e77a5389bb9f	CRITICAL_AUXILIARIES
4d98a267-8679-4c24-8c2b-81701ebac9c1	6cf51b05-7206-4d5a-b0b7-7d02350b2b4c	LIGHTING
4d98a267-8679-4c24-8c2b-81701ebac9c1	520cdb7d-2e07-430c-904a-e893dab13c87	CRITICAL_POWER_DISTRIBUTION
4d98a267-8679-4c24-8c2b-81701ebac9c1	f97007fa-34e2-4d34-adae-a05a6fbcb9d3	CRAH
4d98a267-8679-4c24-8c2b-81701ebac9c1	2f9c775d-0956-4f41-a753-627bed6021cb	CRAC
4d98a267-8679-4c24-8c2b-81701ebac9c1	3cf26780-985a-435f-b4d3-da9661b795f7	CRAC_WITHOUT_FAN
4d98a267-8679-4c24-8c2b-81701ebac9c1	e62991e6-9b27-453d-8d64-964983548879	CRAC_FAN
4d98a267-8679-4c24-8c2b-81701ebac9c1	2f2d5af9-836b-473d-9791-b3ccbf5e579d	CHILLER
4d98a267-8679-4c24-8c2b-81701ebac9c1	1f158cce-77a3-45be-9c2a-1de8bb8da5fc	AIR_COOLED_CHILLER
4d98a267-8679-4c24-8c2b-81701ebac9c1	d35fe923-7463-41a6-8e57-d561848239a6	COOLING_TOWER
4d98a267-8679-4c24-8c2b-81701ebac9c1	100bef8a-84ab-4389-9ca7-b668d283febf	DRY_COOLER
4d98a267-8679-4c24-8c2b-81701ebac9c1	770bd5af-4f83-486d-a6ae-07516369fef3	REMOTE_CONDENSER
4d98a267-8679-4c24-8c2b-81701ebac9c1	521525db-f9f7-4503-bd6f-7096a1b895c0	CHILLED_WATER_PUMPS
4d98a267-8679-4c24-8c2b-81701ebac9c1	f6252d3f-83b8-4eeb-a60e-e519cae9a828	HEAT_REJECTION_PUMPS
4d98a267-8679-4c24-8c2b-81701ebac9c1	1b16ee68-ca24-43b9-ab0a-b8af4428230b	VENTILATION
4d98a267-8679-4c24-8c2b-81701ebac9c1	c0962c4b-9e04-4fbd-9f22-50d9f43f6dfc	INFILTRATION
4d98a267-8679-4c24-8c2b-81701ebac9c1	ab5353d8-7172-4e00-aa1b-bcd195158e9d	IT_LOAD
9c248ef6-510d-4708-a16c-a680b27a3f34	79d39fb0-6c50-4a05-9506-81248ffd84f6	SWITCHGEAR
9c248ef6-510d-4708-a16c-a680b27a3f34	dda8a397-24e7-4292-b235-8d8661228c2b	GENERATOR
9c248ef6-510d-4708-a16c-a680b27a3f34	c742e4c4-62cc-470c-9f97-365571d62853	PRIMARY_AUXILIARIES
9c248ef6-510d-4708-a16c-a680b27a3f34	dae40663-dd89-4096-8b17-53d7ec9ecd63	UPS
9c248ef6-510d-4708-a16c-a680b27a3f34	7ea6433f-2cf7-4409-b893-e6cd2535d048	CRITICAL_AUXILIARIES
9c248ef6-510d-4708-a16c-a680b27a3f34	377b8c1b-29a5-4ec7-8ea8-ddf6a8b7e03c	LIGHTING
9c248ef6-510d-4708-a16c-a680b27a3f34	72ce4e83-39e8-4291-a648-7c3ec97ac557	CRITICAL_POWER_DISTRIBUTION
9c248ef6-510d-4708-a16c-a680b27a3f34	fdf36489-41fa-46d9-8fc4-13062762e5ad	CRAH
9c248ef6-510d-4708-a16c-a680b27a3f34	49fe5584-5600-4cba-b895-f204578548db	CRAC
9c248ef6-510d-4708-a16c-a680b27a3f34	e5628439-378f-44d3-b4b7-a010e838c1b0	CRAC_WITHOUT_FAN
9c248ef6-510d-4708-a16c-a680b27a3f34	f811b679-ae8c-4faf-abec-784ad9e71cea	CRAC_FAN
9c248ef6-510d-4708-a16c-a680b27a3f34	32b8d42e-8766-4eb7-a5c6-aff9a2722a6c	CHILLER
9c248ef6-510d-4708-a16c-a680b27a3f34	130aaa98-90ea-4559-88a7-63b88c53a364	AIR_COOLED_CHILLER
9c248ef6-510d-4708-a16c-a680b27a3f34	97bb087b-c333-43dd-b7b6-17b11bcc45d9	COOLING_TOWER
9c248ef6-510d-4708-a16c-a680b27a3f34	2ccd75f2-6eaa-477f-a654-10c8b57b07e4	DRY_COOLER
9c248ef6-510d-4708-a16c-a680b27a3f34	aed6af4c-c717-496c-addb-0e9370406773	REMOTE_CONDENSER
9c248ef6-510d-4708-a16c-a680b27a3f34	130f87e7-a3ee-4dde-9edd-013c95d3649e	CHILLED_WATER_PUMPS
9c248ef6-510d-4708-a16c-a680b27a3f34	cb03dcdb-3ba2-427e-8506-13b0d597d37e	HEAT_REJECTION_PUMPS
9c248ef6-510d-4708-a16c-a680b27a3f34	68caa718-75da-434e-94df-6ff97fc04686	VENTILATION
9c248ef6-510d-4708-a16c-a680b27a3f34	1a7c3895-5a05-41d3-992b-b7aa78133cb2	INFILTRATION
9c248ef6-510d-4708-a16c-a680b27a3f34	47f9f3bf-a613-418c-8312-ebfc76786e3a	IT_LOAD
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	40ade8e6-f2d8-432d-85d3-115c9595a3d9	SWITCHGEAR
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	43d03d30-bcc2-4cd7-96dc-aa8d2a10fd9e	GENERATOR
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	826bd076-7c59-4bd7-84b1-e85f5ba7ca77	PRIMARY_AUXILIARIES
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	b8055087-62b3-4f49-97e3-a9bacaf35c12	UPS
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	0db44dc3-f270-4ae9-8329-249c71ddded0	CRITICAL_AUXILIARIES
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	f4bfd7c7-9224-4f2d-b5e5-75a63b6bfa98	LIGHTING
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	da204639-9261-41a6-afa6-26c5b9a35b03	CRITICAL_POWER_DISTRIBUTION
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	9dd5ea5e-cda0-436e-9be9-93994374e849	CRAH
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	9fd15010-c764-4241-9c05-c1f82f594c44	CRAC
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	fe7d8be9-4cea-44d4-90e7-a0ef78503faf	CRAC_WITHOUT_FAN
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	3927b9fe-f2f3-4939-ab9f-d34afc7739be	CRAC_FAN
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	c709d020-a256-4771-a243-958e565c496d	CHILLER
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	a34f2ff1-4830-4335-9e7e-c23e810ba811	AIR_COOLED_CHILLER
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	1bf32a98-6e9b-4e29-a363-693a50c08dec	COOLING_TOWER
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	f75f9be0-e65c-4d13-9123-2ace356dc0b4	DRY_COOLER
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	482d09b6-8827-4a69-b343-adf71cc5d434	REMOTE_CONDENSER
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	6b96b970-d147-42ff-9f46-c7a8d932ff9d	CHILLED_WATER_PUMPS
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	1077ef71-9ede-427a-80f0-509ef0df049f	HEAT_REJECTION_PUMPS
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	ee5a7e86-5bb9-4f01-bd5b-d2a15b4895be	VENTILATION
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	1c7af299-9c61-466c-890d-5072b7746ac6	INFILTRATION
6fcb4ad0-fbee-498a-84ad-cefa5a57be7c	f15e0877-a5c3-481e-b966-7d1d08c95b58	IT_LOAD
ee105699-00c9-44dc-b809-070f47b88744	8229497e-6e96-445e-b674-239fcdb4b811	SWITCHGEAR
ee105699-00c9-44dc-b809-070f47b88744	b30ca350-ccfb-4754-8982-fdd8035acf00	GENERATOR
ee105699-00c9-44dc-b809-070f47b88744	d4129325-ff73-4cf3-b52e-8054740e9d3e	PRIMARY_AUXILIARIES
ee105699-00c9-44dc-b809-070f47b88744	06e4572d-00e6-4c06-832e-a8f1cd405b2f	UPS
ee105699-00c9-44dc-b809-070f47b88744	40c96103-cc86-486b-9e31-5cb74ab1df46	CRITICAL_AUXILIARIES
ee105699-00c9-44dc-b809-070f47b88744	6ef1f37c-b4c7-45bc-a9df-f69b1fce2083	LIGHTING
ee105699-00c9-44dc-b809-070f47b88744	3606a0c7-7d9c-42ea-83d5-5761e584019c	CRITICAL_POWER_DISTRIBUTION
ee105699-00c9-44dc-b809-070f47b88744	86826a3e-ee87-4ed6-9182-ad276731d285	CRAH
ee105699-00c9-44dc-b809-070f47b88744	66ef8c8a-143c-46a3-9943-2ab805fb3194	CRAC
ee105699-00c9-44dc-b809-070f47b88744	fd9569bb-82fe-4685-b043-2ba59b41b045	CRAC_WITHOUT_FAN
ee105699-00c9-44dc-b809-070f47b88744	196549b4-a227-4d36-b9e3-9db940284b3e	CRAC_FAN
ee105699-00c9-44dc-b809-070f47b88744	35b77203-43e3-40d6-8d54-395761529158	CHILLER
ee105699-00c9-44dc-b809-070f47b88744	d54b9217-c4e3-405a-bc0e-0cbe7963b8c6	AIR_COOLED_CHILLER
ee105699-00c9-44dc-b809-070f47b88744	22349cef-756c-4323-8138-87a8ca6358c9	COOLING_TOWER
ee105699-00c9-44dc-b809-070f47b88744	d47fd20e-fa63-440a-8f7a-1492bac34940	DRY_COOLER
ee105699-00c9-44dc-b809-070f47b88744	b6d3b4c6-49ca-4078-93dc-c05b660981ed	REMOTE_CONDENSER
ee105699-00c9-44dc-b809-070f47b88744	3fe6f3f2-738e-40a7-bd62-58d8b65c6df9	CHILLED_WATER_PUMPS
ee105699-00c9-44dc-b809-070f47b88744	b8d41f7a-cc65-4da0-9fba-2886edc7c26d	HEAT_REJECTION_PUMPS
ee105699-00c9-44dc-b809-070f47b88744	f535f1f3-332e-49fa-80d0-7a69222ed312	VENTILATION
ee105699-00c9-44dc-b809-070f47b88744	b91977ad-a70b-4697-9274-d51ea016cc3b	INFILTRATION
ee105699-00c9-44dc-b809-070f47b88744	d704f346-1335-463a-bcba-fb53c9c620c1	IT_LOAD
f683daff-0161-4662-953e-d72aadc99406	f7ec6059-12df-48e4-be03-01e712a7765e	SWITCHGEAR
f683daff-0161-4662-953e-d72aadc99406	71aebcca-085d-473e-8e41-740b44210dd4	GENERATOR
f683daff-0161-4662-953e-d72aadc99406	08cc8372-b18e-4eb8-b595-e1d8ecac1d8d	PRIMARY_AUXILIARIES
f683daff-0161-4662-953e-d72aadc99406	38e6a0d5-2a84-4e16-a40d-1436ae8e1e54	UPS
f683daff-0161-4662-953e-d72aadc99406	ffb5a22a-391d-488f-afeb-83d03e50b044	CRITICAL_AUXILIARIES
f683daff-0161-4662-953e-d72aadc99406	c35d21f7-e533-4f6b-b5eb-11a37012c91a	LIGHTING
f683daff-0161-4662-953e-d72aadc99406	87cd8cf3-4c12-45a1-b6ca-64938799192f	CRITICAL_POWER_DISTRIBUTION
f683daff-0161-4662-953e-d72aadc99406	3d9de597-575f-4bad-85e5-38fe581f35cf	CRAH
f683daff-0161-4662-953e-d72aadc99406	df538a32-e2fb-409e-b938-e8302b642882	CRAC
f683daff-0161-4662-953e-d72aadc99406	e9da604d-1904-4cc0-a140-ce6e0a7777c8	CRAC_WITHOUT_FAN
f683daff-0161-4662-953e-d72aadc99406	b60e4148-3c59-4daf-b9a4-1feed5d3323a	CRAC_FAN
f683daff-0161-4662-953e-d72aadc99406	7a3cc709-8b24-4435-aba8-265a5e1347ca	CHILLER
f683daff-0161-4662-953e-d72aadc99406	614698ef-8681-434d-afe6-07d85e8d2aa7	AIR_COOLED_CHILLER
f683daff-0161-4662-953e-d72aadc99406	fd4eec89-3eaf-4da3-91bf-d19abf28d8c0	COOLING_TOWER
f683daff-0161-4662-953e-d72aadc99406	995d24af-2141-4db2-b938-d6f717a45f7e	DRY_COOLER
f683daff-0161-4662-953e-d72aadc99406	945e793c-48b1-4d9e-ada5-f0f942c18846	REMOTE_CONDENSER
f683daff-0161-4662-953e-d72aadc99406	f4e7d943-ceec-480b-aed1-923050d5e0e4	CHILLED_WATER_PUMPS
f683daff-0161-4662-953e-d72aadc99406	7bfa785c-3392-4084-a210-c562165c2ee4	HEAT_REJECTION_PUMPS
f683daff-0161-4662-953e-d72aadc99406	aedf496d-64bd-449d-bb93-d81d1e832a44	VENTILATION
f683daff-0161-4662-953e-d72aadc99406	c7499bdb-2a3a-44f6-a941-35ebf1aa2ef7	INFILTRATION
f683daff-0161-4662-953e-d72aadc99406	22fbc156-20cb-401c-9903-d9b2a57dbfe2	IT_LOAD
4c294258-2a2a-4ab6-a034-84ec66588ae5	2811ccfc-1c74-4d93-b450-6bd4ae183fc5	SWITCHGEAR
4c294258-2a2a-4ab6-a034-84ec66588ae5	df5cd89f-2251-433b-ae3d-fea085a65a5e	GENERATOR
4c294258-2a2a-4ab6-a034-84ec66588ae5	2566f70a-3b09-4942-8164-24dce4d1ad80	PRIMARY_AUXILIARIES
4c294258-2a2a-4ab6-a034-84ec66588ae5	56de8f17-5b25-472c-9229-856992fc15cc	UPS
4c294258-2a2a-4ab6-a034-84ec66588ae5	e6f2889b-f457-4460-9d14-3461df4a9954	CRITICAL_AUXILIARIES
4c294258-2a2a-4ab6-a034-84ec66588ae5	a037ae6e-0e44-4f21-99bd-c183747fc4be	LIGHTING
4c294258-2a2a-4ab6-a034-84ec66588ae5	3b9b0601-ec6f-460e-833e-66fb3caaebf1	CRITICAL_POWER_DISTRIBUTION
4c294258-2a2a-4ab6-a034-84ec66588ae5	161996a3-a77f-4039-9f0e-38ef3bfa156c	CRAH
4c294258-2a2a-4ab6-a034-84ec66588ae5	867a0667-de4d-428c-b0d3-fb4535a3e49b	CRAC
4c294258-2a2a-4ab6-a034-84ec66588ae5	5b18adf6-8385-4b7b-b9d9-a19ce9a86daa	CRAC_WITHOUT_FAN
4c294258-2a2a-4ab6-a034-84ec66588ae5	3062d3d2-a597-49ea-bb9d-96329a32e4ea	CRAC_FAN
4c294258-2a2a-4ab6-a034-84ec66588ae5	c43225d0-6ce2-4110-a4ed-1b6016ca164f	CHILLER
4c294258-2a2a-4ab6-a034-84ec66588ae5	fdbbd038-a2f6-4aba-a81c-759cab0478b8	AIR_COOLED_CHILLER
4c294258-2a2a-4ab6-a034-84ec66588ae5	86881172-ddbe-4a21-a67f-1372c22478ea	COOLING_TOWER
4c294258-2a2a-4ab6-a034-84ec66588ae5	843ff9ec-cf80-4dca-8fd8-5b844dcdc275	DRY_COOLER
4c294258-2a2a-4ab6-a034-84ec66588ae5	5ad04ad4-3637-4d1a-8465-3f6b2e4872b9	REMOTE_CONDENSER
4c294258-2a2a-4ab6-a034-84ec66588ae5	c22339fb-f966-4017-8d05-11e5cd3570b5	CHILLED_WATER_PUMPS
4c294258-2a2a-4ab6-a034-84ec66588ae5	3a3e23f3-eaac-417f-9cef-9dcc921abb13	HEAT_REJECTION_PUMPS
4c294258-2a2a-4ab6-a034-84ec66588ae5	218816d8-aed8-4eff-a159-cbfef58e0dbf	VENTILATION
4c294258-2a2a-4ab6-a034-84ec66588ae5	1942a799-f0f4-439c-a281-05fd5ff759a3	INFILTRATION
4c294258-2a2a-4ab6-a034-84ec66588ae5	65a55056-a2f2-46c3-a05b-1f1c54bd7934	IT_LOAD
b3fb0bf4-2e02-43e0-9d01-52629194fabe	a54017f3-5703-4d19-976c-c8eb3d6b389f	SWITCHGEAR
b3fb0bf4-2e02-43e0-9d01-52629194fabe	90f20f5f-1de7-4a38-8c75-64fd98bbb499	GENERATOR
b3fb0bf4-2e02-43e0-9d01-52629194fabe	6f77de53-1fba-4f66-99e7-bf2730c01e4e	PRIMARY_AUXILIARIES
b3fb0bf4-2e02-43e0-9d01-52629194fabe	a8671300-19cf-4845-886b-8672a4ab1d79	UPS
b3fb0bf4-2e02-43e0-9d01-52629194fabe	e0a9b4ee-571a-4177-942d-6292803137ac	CRITICAL_AUXILIARIES
b3fb0bf4-2e02-43e0-9d01-52629194fabe	8ec7bb12-d49e-4b6b-a5d2-dad46c780548	LIGHTING
b3fb0bf4-2e02-43e0-9d01-52629194fabe	8f2e0190-72ca-46de-a5e0-caf0d260ee1f	CRITICAL_POWER_DISTRIBUTION
b3fb0bf4-2e02-43e0-9d01-52629194fabe	f0af24a9-e931-4bee-b24b-a038d85536c6	CRAH
b3fb0bf4-2e02-43e0-9d01-52629194fabe	78df5e61-e55c-4122-b982-b7dfe9d6a66a	CRAC
b3fb0bf4-2e02-43e0-9d01-52629194fabe	1ec17eeb-be63-4e42-9ea0-ef976eb5bc5b	CRAC_WITHOUT_FAN
b3fb0bf4-2e02-43e0-9d01-52629194fabe	5206ab97-b936-4394-bc8a-e8c5659bef2b	CRAC_FAN
b3fb0bf4-2e02-43e0-9d01-52629194fabe	1f233494-6cc8-4612-aa28-d243b7e610b7	CHILLER
b3fb0bf4-2e02-43e0-9d01-52629194fabe	18784036-a1dd-44c3-87b5-26098213f4cf	AIR_COOLED_CHILLER
b3fb0bf4-2e02-43e0-9d01-52629194fabe	a5424c99-fa7e-43e0-86cb-3b50c14e2949	COOLING_TOWER
b3fb0bf4-2e02-43e0-9d01-52629194fabe	20129626-d584-4c87-b023-161e957f5b82	DRY_COOLER
b3fb0bf4-2e02-43e0-9d01-52629194fabe	6bbc1744-70be-46b8-8e2f-89a2c8610280	REMOTE_CONDENSER
b3fb0bf4-2e02-43e0-9d01-52629194fabe	61167677-016d-4aa2-a921-7b8fb08dbf0b	CHILLED_WATER_PUMPS
b3fb0bf4-2e02-43e0-9d01-52629194fabe	742cdc13-e48c-41f7-9b25-5bb5e28f8f40	HEAT_REJECTION_PUMPS
b3fb0bf4-2e02-43e0-9d01-52629194fabe	ed0ac81a-0b6d-4672-8535-45159fa80942	VENTILATION
b3fb0bf4-2e02-43e0-9d01-52629194fabe	6f19027b-61f1-44c2-8885-797508d25bb2	INFILTRATION
b3fb0bf4-2e02-43e0-9d01-52629194fabe	fab3bb5b-9ce4-448d-96d2-85b8d22de3d8	IT_LOAD
bac473d9-d901-47ce-a7b0-8be17be85cd7	41e6fb24-52a4-447d-8188-8649ff3edd87	SWITCHGEAR
bac473d9-d901-47ce-a7b0-8be17be85cd7	0563dcb9-238b-4570-9f09-ae080c6c91f5	GENERATOR
bac473d9-d901-47ce-a7b0-8be17be85cd7	339ab614-b755-4303-832f-0ab2bdcab31b	PRIMARY_AUXILIARIES
bac473d9-d901-47ce-a7b0-8be17be85cd7	3ab8ae2c-e6dc-4e5b-a8f7-fa9237017bf4	UPS
bac473d9-d901-47ce-a7b0-8be17be85cd7	c3218e52-ec6d-48ac-bc86-d73f6bc9cfa2	CRITICAL_AUXILIARIES
bac473d9-d901-47ce-a7b0-8be17be85cd7	452ea510-3c34-4aa5-82d9-99d8620f117c	LIGHTING
bac473d9-d901-47ce-a7b0-8be17be85cd7	eb6074d5-602c-4da8-b38d-c6ba81e886b2	CRITICAL_POWER_DISTRIBUTION
bac473d9-d901-47ce-a7b0-8be17be85cd7	7f787fab-f061-491b-bbae-8273531989ac	CRAH
bac473d9-d901-47ce-a7b0-8be17be85cd7	9d722330-981d-4e7b-8fc3-f7c4b03825a2	CRAC
bac473d9-d901-47ce-a7b0-8be17be85cd7	bf32bb4f-9e35-4be9-9f9e-c9d2ed4edf3b	CRAC_WITHOUT_FAN
bac473d9-d901-47ce-a7b0-8be17be85cd7	a41132ea-44c7-45b3-9518-0b925aaf4f2b	CRAC_FAN
bac473d9-d901-47ce-a7b0-8be17be85cd7	c992e4c0-c609-401f-aec3-25e975bb0f7c	CHILLER
bac473d9-d901-47ce-a7b0-8be17be85cd7	e2eb4894-4589-4d4e-9072-e0a665c8db68	AIR_COOLED_CHILLER
bac473d9-d901-47ce-a7b0-8be17be85cd7	db5fbc73-aa54-4258-a904-7e2225e1d465	COOLING_TOWER
bac473d9-d901-47ce-a7b0-8be17be85cd7	c225f88e-1497-4e12-950a-7408696c8821	DRY_COOLER
bac473d9-d901-47ce-a7b0-8be17be85cd7	643b7508-951f-4d04-a500-f8f05f0ddbd8	REMOTE_CONDENSER
bac473d9-d901-47ce-a7b0-8be17be85cd7	be7e48e6-4951-4372-88d2-76db1f823a8d	CHILLED_WATER_PUMPS
bac473d9-d901-47ce-a7b0-8be17be85cd7	bba984e3-7450-4271-8338-1c32c9a7cbb8	HEAT_REJECTION_PUMPS
bac473d9-d901-47ce-a7b0-8be17be85cd7	14263224-2125-46b7-862c-f163f488bc90	VENTILATION
bac473d9-d901-47ce-a7b0-8be17be85cd7	2bb9119e-705e-4c36-9218-e7b7e6624858	INFILTRATION
bac473d9-d901-47ce-a7b0-8be17be85cd7	547fbf43-b58a-4386-962f-9e566e6fa3f3	IT_LOAD
00c2be31-1619-4380-9e49-a62676fafcc2	1aa1a996-683d-4c03-b297-f3d5eb3b9ec2	SWITCHGEAR
00c2be31-1619-4380-9e49-a62676fafcc2	a8a79f15-c79b-42d0-acda-4438535c1d63	GENERATOR
00c2be31-1619-4380-9e49-a62676fafcc2	447ed427-b5f4-4f32-974c-ac8047c1a5a1	PRIMARY_AUXILIARIES
00c2be31-1619-4380-9e49-a62676fafcc2	1ba72c04-4220-45d6-b16f-fade9b2b1104	UPS
00c2be31-1619-4380-9e49-a62676fafcc2	a1c755b3-e445-48a7-a12c-dbbda53eb61d	CRITICAL_AUXILIARIES
00c2be31-1619-4380-9e49-a62676fafcc2	155df0e3-cf7d-47bf-9ab0-28d9a0bc89d6	LIGHTING
00c2be31-1619-4380-9e49-a62676fafcc2	f1010a81-dfcd-49bd-a02e-9024bd8ce261	CRITICAL_POWER_DISTRIBUTION
00c2be31-1619-4380-9e49-a62676fafcc2	1cf69b54-a4d9-488c-b442-db983cffd986	CRAH
00c2be31-1619-4380-9e49-a62676fafcc2	af62207a-daa0-4fbf-87da-a3e7ce43aa63	CRAC
00c2be31-1619-4380-9e49-a62676fafcc2	ef6e6af6-5b8d-46d6-94f9-646babac064b	CRAC_WITHOUT_FAN
00c2be31-1619-4380-9e49-a62676fafcc2	08a28910-f5ba-4af0-b170-b33b4af0d87a	CRAC_FAN
00c2be31-1619-4380-9e49-a62676fafcc2	577b7d79-6a1d-4286-a84e-50f03e4a751b	CHILLER
00c2be31-1619-4380-9e49-a62676fafcc2	4911db14-cee1-4ad0-9e37-6131336780ac	AIR_COOLED_CHILLER
00c2be31-1619-4380-9e49-a62676fafcc2	eccc13c3-f558-47a6-87b5-fd8b4d563781	COOLING_TOWER
00c2be31-1619-4380-9e49-a62676fafcc2	508ab05a-2c02-45a6-9a8b-3c2fc357d7ba	DRY_COOLER
00c2be31-1619-4380-9e49-a62676fafcc2	6e7a5806-3de5-4333-9127-744d57f659ce	REMOTE_CONDENSER
00c2be31-1619-4380-9e49-a62676fafcc2	2bdf1957-3f80-4465-9a41-6cc7bbb59fc2	CHILLED_WATER_PUMPS
00c2be31-1619-4380-9e49-a62676fafcc2	6f4a39cf-d600-4109-8acf-26c84c6b7041	HEAT_REJECTION_PUMPS
00c2be31-1619-4380-9e49-a62676fafcc2	3b7b6b3b-3802-4d04-8937-6f8ce9059e01	VENTILATION
00c2be31-1619-4380-9e49-a62676fafcc2	14ffa1c8-5f6f-48ce-885b-48599ef51375	INFILTRATION
00c2be31-1619-4380-9e49-a62676fafcc2	b553a8c9-bf8b-497e-a992-2eb55f0d3ec6	IT_LOAD
9c441833-4a7e-482c-853d-5e80d25371f2	8c6e0480-1987-43b2-8edb-7e31ef530a5b	SWITCHGEAR
9c441833-4a7e-482c-853d-5e80d25371f2	32a963db-c891-4e7c-b508-5271b99513ce	GENERATOR
9c441833-4a7e-482c-853d-5e80d25371f2	52dd1ba3-fd00-4f07-b916-f984a8a55718	PRIMARY_AUXILIARIES
9c441833-4a7e-482c-853d-5e80d25371f2	f90ee194-30ac-4320-9afc-efbd87d276fa	UPS
9c441833-4a7e-482c-853d-5e80d25371f2	e4395cce-0111-4c8f-9895-672b3c5396bc	CRITICAL_AUXILIARIES
9c441833-4a7e-482c-853d-5e80d25371f2	18f24cba-8936-4114-a19e-c5ff1ed49cf4	LIGHTING
9c441833-4a7e-482c-853d-5e80d25371f2	87d2561e-b5d0-456c-90db-cb530397af1c	CRITICAL_POWER_DISTRIBUTION
9c441833-4a7e-482c-853d-5e80d25371f2	bf7751c0-fe05-451a-9d69-0f4daffb670f	CRAH
9c441833-4a7e-482c-853d-5e80d25371f2	6c5ebdd2-88a2-4595-ac5b-0699d84d14ea	CRAC
9c441833-4a7e-482c-853d-5e80d25371f2	53a437f9-4bc8-452d-a83b-fdeffadc2234	CRAC_WITHOUT_FAN
9c441833-4a7e-482c-853d-5e80d25371f2	05f889d1-7e75-44ef-9eb3-f78296eec5d1	CRAC_FAN
9c441833-4a7e-482c-853d-5e80d25371f2	632c1157-b1fd-46f2-b087-655001509f41	CHILLER
9c441833-4a7e-482c-853d-5e80d25371f2	450c1771-5c66-4dbd-90d1-6ee885468f61	AIR_COOLED_CHILLER
9c441833-4a7e-482c-853d-5e80d25371f2	27b69df4-b429-493b-9331-ea65ced538f7	COOLING_TOWER
9c441833-4a7e-482c-853d-5e80d25371f2	57ffb440-f555-4d88-be9e-d90101a13b33	DRY_COOLER
9c441833-4a7e-482c-853d-5e80d25371f2	e7c96853-b5c4-48cd-bb9a-fe5b99c3fe7f	REMOTE_CONDENSER
9c441833-4a7e-482c-853d-5e80d25371f2	c007aa33-5ce5-40ee-90e6-4e9aa25d64e1	CHILLED_WATER_PUMPS
9c441833-4a7e-482c-853d-5e80d25371f2	3d21f848-6e19-4271-a463-4471473052c6	HEAT_REJECTION_PUMPS
9c441833-4a7e-482c-853d-5e80d25371f2	2c293d07-b9bd-401a-b3a7-da37ad76f812	VENTILATION
9c441833-4a7e-482c-853d-5e80d25371f2	e58ad60a-abba-4269-b93e-4af7fde05162	INFILTRATION
9c441833-4a7e-482c-853d-5e80d25371f2	8cc254f8-00e1-4d48-b704-cfd7f2a9bef7	IT_LOAD
2d449928-1564-40e9-8101-fcc12d29642f	79c68e00-02b7-4859-859a-9224b29e815c	SWITCHGEAR
2d449928-1564-40e9-8101-fcc12d29642f	e2747fb8-5bb0-440b-aaae-bb46f7306a12	GENERATOR
2d449928-1564-40e9-8101-fcc12d29642f	8049cd09-93a6-4390-982b-7404081a46b8	PRIMARY_AUXILIARIES
2d449928-1564-40e9-8101-fcc12d29642f	79744000-cd95-43ea-9751-bff8b79fd53b	UPS
2d449928-1564-40e9-8101-fcc12d29642f	73123ca9-d7db-4f2d-b1cd-71f81d1f67bb	CRITICAL_AUXILIARIES
2d449928-1564-40e9-8101-fcc12d29642f	5503dca1-6811-4143-a513-505df342e79d	LIGHTING
2d449928-1564-40e9-8101-fcc12d29642f	1b616ea8-7bb7-4ed6-96b0-4127a59d5b4a	CRITICAL_POWER_DISTRIBUTION
2d449928-1564-40e9-8101-fcc12d29642f	a693a307-d0cd-4ff0-a2d5-06f486963e8f	CRAH
2d449928-1564-40e9-8101-fcc12d29642f	a298f8b9-7bdc-499c-b2ca-d3af49533a0e	CRAC
2d449928-1564-40e9-8101-fcc12d29642f	c70e6d02-a1c4-4424-9d28-76d76a97918d	CRAC_WITHOUT_FAN
2d449928-1564-40e9-8101-fcc12d29642f	7716fe6e-0866-4e84-9f31-00fa0a633761	CRAC_FAN
2d449928-1564-40e9-8101-fcc12d29642f	edbd7ca9-db79-4a9a-9866-3f08a1accb23	CHILLER
2d449928-1564-40e9-8101-fcc12d29642f	5f6ba93f-b8c5-4323-8fc6-c557ebf949e5	AIR_COOLED_CHILLER
2d449928-1564-40e9-8101-fcc12d29642f	a9f7d869-db07-4b42-9ae9-61bd32f08a35	COOLING_TOWER
2d449928-1564-40e9-8101-fcc12d29642f	68b3363f-3eec-43c0-a614-9486dd5bfb3b	DRY_COOLER
2d449928-1564-40e9-8101-fcc12d29642f	1700def3-8a8c-4b9c-9a4e-43e18eee2cd0	REMOTE_CONDENSER
2d449928-1564-40e9-8101-fcc12d29642f	10be921b-d378-40a2-a903-cc9068bf4ddc	CHILLED_WATER_PUMPS
2d449928-1564-40e9-8101-fcc12d29642f	51f88f63-b140-4e3a-83a7-28e4c5c1fa9e	HEAT_REJECTION_PUMPS
2d449928-1564-40e9-8101-fcc12d29642f	4891e9c3-28d6-4a03-87c7-96cf2c8eeee0	VENTILATION
2d449928-1564-40e9-8101-fcc12d29642f	8c822a97-4e00-455a-8f43-1dac5c62d18c	INFILTRATION
2d449928-1564-40e9-8101-fcc12d29642f	d77850b1-1c9f-460d-b985-1fb8970f907c	IT_LOAD
3e3a3ffa-73fc-423c-88ef-d7d98011022f	bf4f6732-1ad4-46df-ad27-17170eca8888	SWITCHGEAR
3e3a3ffa-73fc-423c-88ef-d7d98011022f	ad3bdc51-df65-445b-b576-8781aecb2144	GENERATOR
3e3a3ffa-73fc-423c-88ef-d7d98011022f	812914ca-f146-4577-bd23-ea7b4ab8fd80	PRIMARY_AUXILIARIES
3e3a3ffa-73fc-423c-88ef-d7d98011022f	7b805b10-50fe-4b62-ad92-c7e97472ed5e	UPS
3e3a3ffa-73fc-423c-88ef-d7d98011022f	801fd128-58ae-4997-bfd9-858e1284f7d6	CRITICAL_AUXILIARIES
3e3a3ffa-73fc-423c-88ef-d7d98011022f	31315ae9-e9ae-419f-b0d8-86bcc86470ee	LIGHTING
3e3a3ffa-73fc-423c-88ef-d7d98011022f	d401ee56-cd44-4d59-9ff2-816c69a2033a	CRITICAL_POWER_DISTRIBUTION
3e3a3ffa-73fc-423c-88ef-d7d98011022f	22d6eea1-d962-4389-85e9-607d32549735	CRAH
3e3a3ffa-73fc-423c-88ef-d7d98011022f	0be72d67-e558-4477-83e7-6dd581c32dde	CRAC
3e3a3ffa-73fc-423c-88ef-d7d98011022f	3bdc69a6-96d0-431f-a915-5f6fb8bb686a	CRAC_WITHOUT_FAN
3e3a3ffa-73fc-423c-88ef-d7d98011022f	a320f732-fc03-4eb1-8525-cbe942fac964	CRAC_FAN
3e3a3ffa-73fc-423c-88ef-d7d98011022f	45182d5c-ce73-427c-964c-c6bb0cd9f80f	CHILLER
3e3a3ffa-73fc-423c-88ef-d7d98011022f	4b8dd02e-8c60-4b82-a2f8-bd07b5788152	AIR_COOLED_CHILLER
3e3a3ffa-73fc-423c-88ef-d7d98011022f	f2605867-d0ef-4f1e-9120-babe7a39c837	COOLING_TOWER
3e3a3ffa-73fc-423c-88ef-d7d98011022f	8eb49159-5707-4ac1-9f87-66b34dc27d6f	DRY_COOLER
3e3a3ffa-73fc-423c-88ef-d7d98011022f	051a40f6-1a4b-4117-a67f-d88880a7578a	REMOTE_CONDENSER
3e3a3ffa-73fc-423c-88ef-d7d98011022f	795bda3d-f172-4ba9-82aa-614868a0f2e3	CHILLED_WATER_PUMPS
3e3a3ffa-73fc-423c-88ef-d7d98011022f	9764e820-7a9e-4222-892a-cb32d95a0f49	HEAT_REJECTION_PUMPS
3e3a3ffa-73fc-423c-88ef-d7d98011022f	dcf3e71e-600e-488e-8597-0479ca858349	VENTILATION
3e3a3ffa-73fc-423c-88ef-d7d98011022f	9b45b530-29de-460c-bc76-e9e016312a00	INFILTRATION
3e3a3ffa-73fc-423c-88ef-d7d98011022f	749f4b92-c23d-4287-90be-8cf3159785f3	IT_LOAD
943987b2-22b2-4601-a0e2-1476fb8a29a0	3f30ddc9-4cc2-47f8-a251-dc48450aaf5f	SWITCHGEAR
943987b2-22b2-4601-a0e2-1476fb8a29a0	f82b912e-972a-4245-be7c-00552d1b2a1d	GENERATOR
943987b2-22b2-4601-a0e2-1476fb8a29a0	6910b77b-c2c7-4344-bd7a-71b737846f2f	PRIMARY_AUXILIARIES
943987b2-22b2-4601-a0e2-1476fb8a29a0	a9840ddf-52fe-4510-9232-e3a7dd07d659	UPS
943987b2-22b2-4601-a0e2-1476fb8a29a0	56455f56-6698-489e-a9f9-fb25206d8744	CRITICAL_AUXILIARIES
943987b2-22b2-4601-a0e2-1476fb8a29a0	070a2261-c13b-4984-afb1-0eeacc548153	LIGHTING
943987b2-22b2-4601-a0e2-1476fb8a29a0	97f9ded6-1efe-4817-af81-e977dc07294b	CRITICAL_POWER_DISTRIBUTION
943987b2-22b2-4601-a0e2-1476fb8a29a0	ca6ef6a9-c57b-493d-bcb2-a23757afccd3	CRAH
943987b2-22b2-4601-a0e2-1476fb8a29a0	ab49047e-453c-4997-bc28-78288cbbf083	CRAC
943987b2-22b2-4601-a0e2-1476fb8a29a0	93e5504b-b610-4dff-9b64-16e00ecf747f	CRAC_WITHOUT_FAN
943987b2-22b2-4601-a0e2-1476fb8a29a0	bc872659-e16b-456c-96f5-210f6ab4f6b1	CRAC_FAN
943987b2-22b2-4601-a0e2-1476fb8a29a0	da175de6-c58a-4ac2-bcb7-48fba1fd8ceb	CHILLER
943987b2-22b2-4601-a0e2-1476fb8a29a0	041b6be2-21cb-494c-a80d-89275263e44e	AIR_COOLED_CHILLER
943987b2-22b2-4601-a0e2-1476fb8a29a0	10604744-01c1-441e-b449-bb8e015ab926	COOLING_TOWER
943987b2-22b2-4601-a0e2-1476fb8a29a0	b621252f-cde8-4268-bb18-562e3046f8fd	DRY_COOLER
943987b2-22b2-4601-a0e2-1476fb8a29a0	4c281529-20f9-4853-bd50-57ccb6d13d59	REMOTE_CONDENSER
943987b2-22b2-4601-a0e2-1476fb8a29a0	708baefd-7efc-4a9a-ae53-2b0937befa04	CHILLED_WATER_PUMPS
943987b2-22b2-4601-a0e2-1476fb8a29a0	9228bc3c-6159-44c5-9337-18cff05559de	HEAT_REJECTION_PUMPS
943987b2-22b2-4601-a0e2-1476fb8a29a0	4acd6d65-598a-46da-b6e1-1251eaef343f	VENTILATION
943987b2-22b2-4601-a0e2-1476fb8a29a0	7592897e-1e6d-4e19-864b-8264428a190b	INFILTRATION
943987b2-22b2-4601-a0e2-1476fb8a29a0	f9c343fd-cef9-428e-9538-9c86296ea3ee	IT_LOAD
3f266987-d0d6-44ad-a4de-af9f94add98a	41a8176f-6281-47a6-82af-ec7ed0f7947e	SWITCHGEAR
3f266987-d0d6-44ad-a4de-af9f94add98a	fc47f9f0-ac77-4c2b-8ad5-656c54aa3913	GENERATOR
3f266987-d0d6-44ad-a4de-af9f94add98a	002f02f8-e66b-4065-a80c-1d8c55b13c88	PRIMARY_AUXILIARIES
3f266987-d0d6-44ad-a4de-af9f94add98a	b7d8b07e-dcdb-4069-be50-79b3320d5a4b	UPS
3f266987-d0d6-44ad-a4de-af9f94add98a	8492339f-2f70-45b3-8513-0844f302248a	CRITICAL_AUXILIARIES
3f266987-d0d6-44ad-a4de-af9f94add98a	c8a56a5f-0688-468f-9e3f-d0bfcc36652b	LIGHTING
3f266987-d0d6-44ad-a4de-af9f94add98a	64a84e71-7a73-45a3-9e1e-ee3c6983ad5c	CRITICAL_POWER_DISTRIBUTION
3f266987-d0d6-44ad-a4de-af9f94add98a	1786e554-f9c6-4f80-a427-1c898fc97ab9	CRAH
3f266987-d0d6-44ad-a4de-af9f94add98a	28ceed24-fff2-4fd5-a89f-a807a80cb577	CRAC
3f266987-d0d6-44ad-a4de-af9f94add98a	1374384f-3d58-424a-81af-24cbf46dfa55	CRAC_WITHOUT_FAN
3f266987-d0d6-44ad-a4de-af9f94add98a	edfbc317-f63c-461c-9aa1-da06769ad705	CRAC_FAN
3f266987-d0d6-44ad-a4de-af9f94add98a	ed90cfbe-95a2-4f72-aba9-53951b7d3e73	CHILLER
3f266987-d0d6-44ad-a4de-af9f94add98a	031c5c7f-7c52-45bc-9f8e-d104a87b1310	AIR_COOLED_CHILLER
3f266987-d0d6-44ad-a4de-af9f94add98a	09b58050-71ba-4ebf-b07e-128ffa5b36f9	COOLING_TOWER
3f266987-d0d6-44ad-a4de-af9f94add98a	c98ed66b-88c5-47f8-88f0-a3918398aa2d	DRY_COOLER
3f266987-d0d6-44ad-a4de-af9f94add98a	3a10feb2-66fa-4624-b57c-24da1bdca40f	REMOTE_CONDENSER
3f266987-d0d6-44ad-a4de-af9f94add98a	82283baf-1883-49a4-9f3f-15c95ac1d205	CHILLED_WATER_PUMPS
3f266987-d0d6-44ad-a4de-af9f94add98a	44315a74-44e3-460a-9358-223bc7d0ae09	HEAT_REJECTION_PUMPS
3f266987-d0d6-44ad-a4de-af9f94add98a	24d766ea-efd8-4388-b471-2caf2d328308	VENTILATION
3f266987-d0d6-44ad-a4de-af9f94add98a	3cc37abf-e640-4ac7-8da5-48d51f824d84	INFILTRATION
3f266987-d0d6-44ad-a4de-af9f94add98a	38032f56-26a5-4a58-9413-35626f20f6e6	IT_LOAD
7f2dd7ec-74a7-4475-bf73-325ad74564ea	cec2bc75-5fc2-4cfd-9a18-7fe67d6adc55	SWITCHGEAR
7f2dd7ec-74a7-4475-bf73-325ad74564ea	3460dfa4-d2bf-44b8-b583-e016fc6886b1	GENERATOR
7f2dd7ec-74a7-4475-bf73-325ad74564ea	bd0be1f5-1a02-44eb-9dfa-787c26aaad12	PRIMARY_AUXILIARIES
7f2dd7ec-74a7-4475-bf73-325ad74564ea	69b1364c-55c4-46a3-b810-60269d3ba0ef	UPS
7f2dd7ec-74a7-4475-bf73-325ad74564ea	74d41e9a-f711-4329-9dae-1367fcffaa26	CRITICAL_AUXILIARIES
7f2dd7ec-74a7-4475-bf73-325ad74564ea	91fde174-c82c-4bc8-b940-c088ef712c14	LIGHTING
7f2dd7ec-74a7-4475-bf73-325ad74564ea	2be9a2ca-4c55-4227-9e40-e34e523916d8	CRITICAL_POWER_DISTRIBUTION
7f2dd7ec-74a7-4475-bf73-325ad74564ea	5c1bdb49-7572-491e-afd9-63ec8f1ff8a4	CRAH
7f2dd7ec-74a7-4475-bf73-325ad74564ea	e3754167-a347-4f4e-8221-28dfe1485ed9	CRAC
7f2dd7ec-74a7-4475-bf73-325ad74564ea	1bf262fb-8cfe-45ef-a5f2-20be4dc634fc	CRAC_WITHOUT_FAN
7f2dd7ec-74a7-4475-bf73-325ad74564ea	532503ac-fdc1-433a-9dbf-69cd9b056352	CRAC_FAN
7f2dd7ec-74a7-4475-bf73-325ad74564ea	0b51e93a-5825-4292-a5a5-0035c1f39d99	CHILLER
7f2dd7ec-74a7-4475-bf73-325ad74564ea	d3574f1e-784b-4604-8e17-3f0a0c2ce775	AIR_COOLED_CHILLER
7f2dd7ec-74a7-4475-bf73-325ad74564ea	f4dd71a5-f143-437d-8e11-bd1ae8b5b79d	COOLING_TOWER
7f2dd7ec-74a7-4475-bf73-325ad74564ea	898017ec-5646-4dcb-b78e-60b64fe440ed	DRY_COOLER
7f2dd7ec-74a7-4475-bf73-325ad74564ea	9d5cb4df-791f-4e4b-ad03-546aa4cc0f54	REMOTE_CONDENSER
7f2dd7ec-74a7-4475-bf73-325ad74564ea	5847b3aa-60c3-4883-a60a-1176de8e6170	CHILLED_WATER_PUMPS
7f2dd7ec-74a7-4475-bf73-325ad74564ea	ea66376b-218b-4535-ab9b-1c792bf75e1f	HEAT_REJECTION_PUMPS
7f2dd7ec-74a7-4475-bf73-325ad74564ea	e2d4b969-2c4e-4741-867b-77ead8aed159	VENTILATION
7f2dd7ec-74a7-4475-bf73-325ad74564ea	908744e3-8524-44ab-8fcc-752db4fcfcb0	INFILTRATION
7f2dd7ec-74a7-4475-bf73-325ad74564ea	85582670-70f9-4446-8052-055636dbdc78	IT_LOAD
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	eb5adf0f-d7d0-42c0-8939-5e54eeea325f	SWITCHGEAR
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	19055701-d8d6-42b5-b65c-08d3e1959f64	GENERATOR
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	e9b59c13-8bf5-4a62-8bfb-17ae5f90d0cf	PRIMARY_AUXILIARIES
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	f21fd23f-5aa4-4721-929a-877d7c92618c	UPS
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	147b624e-e3f1-4b32-86ab-7a5e4690dcec	CRITICAL_AUXILIARIES
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	0b138d2e-2d76-44fe-a7f7-d54241b31d65	LIGHTING
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	5900c24e-f098-41db-818e-a307785332e8	CRITICAL_POWER_DISTRIBUTION
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	d74be697-33f6-4b74-b238-dfd619d59ba4	CRAH
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	26acafb9-7bc9-46c4-b71e-9f4f7446dafc	CRAC
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	caea2c43-e5ae-4164-a798-d5c704729271	CRAC_WITHOUT_FAN
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	3d10c6c1-7b0d-42cc-825c-03b44bbd5b8e	CRAC_FAN
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	2bb6a926-5fec-476f-982b-1e3d346f564d	CHILLER
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	5ffd1a95-ed99-494b-99c1-3236a757a607	AIR_COOLED_CHILLER
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	b7e5eafc-cbc5-4d6a-bd03-9a40f4289d0c	COOLING_TOWER
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	7f6ed772-6cf1-4aad-a38c-050cf56fcfeb	DRY_COOLER
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	72e1801c-401d-47fc-a5c6-5fa641a52163	REMOTE_CONDENSER
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	2035797b-6ff3-4b53-bc83-108a0345550f	CHILLED_WATER_PUMPS
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	1891c21e-844e-400b-a858-38e9d88defa4	HEAT_REJECTION_PUMPS
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	d9007096-eeab-46bb-91f7-9bc9cb3c31bb	VENTILATION
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	375a4b79-a4f0-48e1-973a-e35fbe68d575	INFILTRATION
cb632e00-37e7-4c8d-9aec-1b6ccc36fead	90e01387-e5fe-41e9-a3eb-60d73e2f72c3	IT_LOAD
d82b2842-8a95-4a45-b987-960d611abe6e	8cd07952-dfff-40f7-9d06-52c216a9bf5e	SWITCHGEAR
d82b2842-8a95-4a45-b987-960d611abe6e	54c905b3-65bc-42f8-884e-79d6d5703e40	GENERATOR
d82b2842-8a95-4a45-b987-960d611abe6e	8b55d2e9-6f35-4f04-888c-866ced4513b8	PRIMARY_AUXILIARIES
d82b2842-8a95-4a45-b987-960d611abe6e	f3090247-40c4-41f0-ae9e-b3a88b4a2a8c	UPS
d82b2842-8a95-4a45-b987-960d611abe6e	30ed4e80-cfd0-46e4-afba-8857d37a68da	CRITICAL_AUXILIARIES
d82b2842-8a95-4a45-b987-960d611abe6e	f93d5997-99dc-405b-80b9-a05b123080d8	LIGHTING
d82b2842-8a95-4a45-b987-960d611abe6e	8831668f-f0ad-4f77-bb8d-abf8cfafd4b5	CRITICAL_POWER_DISTRIBUTION
d82b2842-8a95-4a45-b987-960d611abe6e	2453b2f5-bb0b-4825-9877-3db38dc7930d	CRAH
d82b2842-8a95-4a45-b987-960d611abe6e	969bff0e-a3d0-4eff-9e3f-b6a6c3aa7e35	CRAC
d82b2842-8a95-4a45-b987-960d611abe6e	3932c19d-08c1-467b-8822-d7a70e592330	CRAC_WITHOUT_FAN
d82b2842-8a95-4a45-b987-960d611abe6e	d8e5439c-d724-4887-bac8-6afe5278d51a	CRAC_FAN
d82b2842-8a95-4a45-b987-960d611abe6e	a1856d3b-ab95-45a0-9965-e3733fb93cb3	CHILLER
d82b2842-8a95-4a45-b987-960d611abe6e	bc8adb56-7873-44ee-bb8a-c960276549ef	AIR_COOLED_CHILLER
d82b2842-8a95-4a45-b987-960d611abe6e	12a3e77f-b6b2-415e-ad6c-3109e3bfc1b0	COOLING_TOWER
d82b2842-8a95-4a45-b987-960d611abe6e	beca6dbf-4b6e-4b91-9268-fa2b0d6ac777	DRY_COOLER
d82b2842-8a95-4a45-b987-960d611abe6e	726d2d27-c36c-4a0e-b5f8-4fb9cdb9aa18	REMOTE_CONDENSER
d82b2842-8a95-4a45-b987-960d611abe6e	f7563a7f-f8cd-431e-a04d-7165307748f6	CHILLED_WATER_PUMPS
d82b2842-8a95-4a45-b987-960d611abe6e	f54e84d9-4bb6-422e-9e46-b7ef54e5b30c	HEAT_REJECTION_PUMPS
d82b2842-8a95-4a45-b987-960d611abe6e	9373546b-c1bc-4566-8d04-28d70f6b5896	VENTILATION
d82b2842-8a95-4a45-b987-960d611abe6e	aca99430-cf3d-4ebb-b6d9-871094f1d4ca	INFILTRATION
d82b2842-8a95-4a45-b987-960d611abe6e	86d7ac4e-59fa-4ba4-a6c0-a2c7b10bccaf	IT_LOAD
4e3f0742-f997-4db0-8a15-066cadf62344	cbf75cb0-33fa-4a2f-9d6b-fe0adb44dcb6	SWITCHGEAR
4e3f0742-f997-4db0-8a15-066cadf62344	89ce58f9-711b-46e2-b674-282a9aee8256	GENERATOR
4e3f0742-f997-4db0-8a15-066cadf62344	a08aa801-fe1b-4242-b5f9-22c55427fcb1	PRIMARY_AUXILIARIES
4e3f0742-f997-4db0-8a15-066cadf62344	74798ee3-cfe2-4448-bd2d-a1ab73f3efff	UPS
4e3f0742-f997-4db0-8a15-066cadf62344	7baf5559-9786-4238-b52e-2a51128557b7	CRITICAL_AUXILIARIES
4e3f0742-f997-4db0-8a15-066cadf62344	ed0a0a60-9e6f-41a9-80d6-daac3c772494	LIGHTING
4e3f0742-f997-4db0-8a15-066cadf62344	3dc2d259-eec5-41c3-9868-0a98ccebc900	CRITICAL_POWER_DISTRIBUTION
4e3f0742-f997-4db0-8a15-066cadf62344	45d9472d-ca40-47b2-be19-0ade82aa3b04	CRAH
4e3f0742-f997-4db0-8a15-066cadf62344	34a91b41-4e71-47a7-856a-eceec940acd1	CRAC
4e3f0742-f997-4db0-8a15-066cadf62344	47394b42-31e3-49cc-a082-cdb76dcbc45f	CRAC_WITHOUT_FAN
4e3f0742-f997-4db0-8a15-066cadf62344	e6cd2261-ef7f-490d-aef3-59d114d7b9b4	CRAC_FAN
4e3f0742-f997-4db0-8a15-066cadf62344	9db78a81-cf94-453c-9892-8aaccc545fc6	CHILLER
4e3f0742-f997-4db0-8a15-066cadf62344	92712b2c-dca4-4b99-aa62-7a925b99ae21	AIR_COOLED_CHILLER
4e3f0742-f997-4db0-8a15-066cadf62344	4722ee3f-fe26-445d-aa49-07eb35bb13ca	COOLING_TOWER
4e3f0742-f997-4db0-8a15-066cadf62344	f7bfc7c6-a273-463c-8084-8026d49bb476	DRY_COOLER
4e3f0742-f997-4db0-8a15-066cadf62344	09b86aa4-5ae0-47fd-af2f-ef5a92de0190	REMOTE_CONDENSER
4e3f0742-f997-4db0-8a15-066cadf62344	6bbef8e5-dddd-4103-9a0c-abc8a55e04db	CHILLED_WATER_PUMPS
4e3f0742-f997-4db0-8a15-066cadf62344	f63f27f8-237a-4070-b265-02b796290576	HEAT_REJECTION_PUMPS
4e3f0742-f997-4db0-8a15-066cadf62344	79926cef-18ed-473f-8823-eef26894f9a5	VENTILATION
4e3f0742-f997-4db0-8a15-066cadf62344	ca5e8da9-00fe-41b1-b4f7-2d1804f94b29	INFILTRATION
4e3f0742-f997-4db0-8a15-066cadf62344	415a2252-58ee-44c5-b7d1-dbe4769ce62c	IT_LOAD
7d2c6531-a915-4c0c-a919-6094e82a5dd6	af5ad8ea-0fd8-4bf5-90e9-31f42ab21e36	SWITCHGEAR
7d2c6531-a915-4c0c-a919-6094e82a5dd6	4f5aa7d5-3fd6-4613-9214-ce4dac2310c7	GENERATOR
7d2c6531-a915-4c0c-a919-6094e82a5dd6	627ac9f7-be3b-4818-bc99-4c6bc71e209d	PRIMARY_AUXILIARIES
7d2c6531-a915-4c0c-a919-6094e82a5dd6	88b0753d-6961-4cb4-ae02-3a884a0eb091	UPS
7d2c6531-a915-4c0c-a919-6094e82a5dd6	84a66ba2-200c-4cfa-aa8e-c9b5ed07d85e	CRITICAL_AUXILIARIES
7d2c6531-a915-4c0c-a919-6094e82a5dd6	df00b211-3614-4e6d-92f8-eea844484e9f	LIGHTING
7d2c6531-a915-4c0c-a919-6094e82a5dd6	5b42a4f0-729e-4afc-80e5-5952f3486b9c	CRITICAL_POWER_DISTRIBUTION
7d2c6531-a915-4c0c-a919-6094e82a5dd6	166a2468-4189-4723-962d-d36459ca122f	CRAH
7d2c6531-a915-4c0c-a919-6094e82a5dd6	9182d2dc-be1a-465d-8312-ff25c73f6bd4	CRAC
7d2c6531-a915-4c0c-a919-6094e82a5dd6	da7eded3-da35-4089-925e-431f6c89be30	CRAC_WITHOUT_FAN
7d2c6531-a915-4c0c-a919-6094e82a5dd6	def09836-fe63-4434-9186-8af85cda015e	CRAC_FAN
7d2c6531-a915-4c0c-a919-6094e82a5dd6	6ec38ba4-3664-4aa7-8912-3ddc99e1e12e	CHILLER
7d2c6531-a915-4c0c-a919-6094e82a5dd6	e16b8b55-9f4f-4362-a163-0e28165bf96f	AIR_COOLED_CHILLER
7d2c6531-a915-4c0c-a919-6094e82a5dd6	495d4dea-7f03-49c4-a35c-7ae36e973eb1	COOLING_TOWER
7d2c6531-a915-4c0c-a919-6094e82a5dd6	42d29e8c-8d74-4f15-bdb2-28cbdcff95d3	DRY_COOLER
7d2c6531-a915-4c0c-a919-6094e82a5dd6	a3a9d81f-819a-49f8-b0b1-a68e36d41d8a	REMOTE_CONDENSER
7d2c6531-a915-4c0c-a919-6094e82a5dd6	23a14916-4141-4cc9-9c3f-3618d08ebc5e	CHILLED_WATER_PUMPS
7d2c6531-a915-4c0c-a919-6094e82a5dd6	497808e5-f8b3-4b18-a81d-af56346ed687	HEAT_REJECTION_PUMPS
7d2c6531-a915-4c0c-a919-6094e82a5dd6	a738f5ec-8b12-42c6-b3f3-315e772c6aef	VENTILATION
7d2c6531-a915-4c0c-a919-6094e82a5dd6	d0daee0e-4e73-4a8d-a020-1cd04b4da548	INFILTRATION
7d2c6531-a915-4c0c-a919-6094e82a5dd6	9146812f-85df-4022-9d2b-1d5279aa6013	IT_LOAD
452c92d4-e47b-4152-9ba0-9fd7c090faf9	3adae661-5579-4677-b31e-c92ab89383a5	SWITCHGEAR
452c92d4-e47b-4152-9ba0-9fd7c090faf9	64c9a664-aca5-4c5e-8260-e33066a7f3de	GENERATOR
452c92d4-e47b-4152-9ba0-9fd7c090faf9	ded55c15-14ca-466c-a860-9b87c8b2cfa1	PRIMARY_AUXILIARIES
452c92d4-e47b-4152-9ba0-9fd7c090faf9	a8cac2cf-1c8c-481c-bccb-460079cd80b7	UPS
452c92d4-e47b-4152-9ba0-9fd7c090faf9	d8c38262-e507-490d-86d4-9a634ec6aae2	CRITICAL_AUXILIARIES
452c92d4-e47b-4152-9ba0-9fd7c090faf9	75c04dcc-9264-4b99-94b0-a3990a23dc1a	LIGHTING
452c92d4-e47b-4152-9ba0-9fd7c090faf9	15779150-3818-4398-bddb-68c89a951c8b	CRITICAL_POWER_DISTRIBUTION
452c92d4-e47b-4152-9ba0-9fd7c090faf9	6c3a7aa5-39b2-4880-bfa7-9c8c61cf321a	CRAH
452c92d4-e47b-4152-9ba0-9fd7c090faf9	02c0289a-be4e-4e39-9e67-48c5c691f2b5	CRAC
452c92d4-e47b-4152-9ba0-9fd7c090faf9	25f08473-27d2-41a1-a475-3d4b6a0dbfbd	CRAC_WITHOUT_FAN
452c92d4-e47b-4152-9ba0-9fd7c090faf9	cad2f742-615a-4d42-9e47-d8e9f05e3263	CRAC_FAN
452c92d4-e47b-4152-9ba0-9fd7c090faf9	3ae5699e-adda-411f-8e3e-c8ad0745a857	CHILLER
452c92d4-e47b-4152-9ba0-9fd7c090faf9	43f83b4b-f44b-47fc-94fd-2262f5ff91b6	AIR_COOLED_CHILLER
452c92d4-e47b-4152-9ba0-9fd7c090faf9	60705722-559b-4824-8d8c-7654c1e37b53	COOLING_TOWER
452c92d4-e47b-4152-9ba0-9fd7c090faf9	62fbe6b9-db18-472d-8fac-cab031803d86	DRY_COOLER
452c92d4-e47b-4152-9ba0-9fd7c090faf9	0e46a37c-825b-4fc3-8f7c-cda2609ab4ba	REMOTE_CONDENSER
452c92d4-e47b-4152-9ba0-9fd7c090faf9	a459df48-50f9-4997-8d32-3bf78473f70e	CHILLED_WATER_PUMPS
452c92d4-e47b-4152-9ba0-9fd7c090faf9	f072f359-592e-4127-9230-db6d21b42426	HEAT_REJECTION_PUMPS
452c92d4-e47b-4152-9ba0-9fd7c090faf9	bc5c09b0-54e4-463c-ae72-cfa25d6a1368	VENTILATION
452c92d4-e47b-4152-9ba0-9fd7c090faf9	c7d7a7af-2cdf-43d3-9bba-95be24e0b1cf	INFILTRATION
452c92d4-e47b-4152-9ba0-9fd7c090faf9	96ffb637-65a1-4391-9781-d1410267f67f	IT_LOAD
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	c99396df-d000-40f0-8467-a6cf7ec2f4b1	SWITCHGEAR
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	1c11030b-dc28-467a-9553-fd20504c7a35	GENERATOR
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	187750e4-4871-480f-bc96-87c68ac37cb1	PRIMARY_AUXILIARIES
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	2fc9848a-ef1c-4427-b2ad-b3fce7cfabf1	UPS
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	d005e6f9-18a3-4243-8947-f5c064ad27c4	CRITICAL_AUXILIARIES
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	e89258ae-adf7-4873-bf4f-defbef1739f7	LIGHTING
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	d991e1d4-0629-4f34-adf0-92b2de987364	CRITICAL_POWER_DISTRIBUTION
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	3fca4b53-786a-4baf-9341-8a4699198f4f	CRAH
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	df7525c0-9c47-4685-a14f-6a7662549c7a	CRAC
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	41bc760c-0006-494a-8edb-dd7865ef7eba	CRAC_WITHOUT_FAN
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	a25e17fd-1e81-40dc-a3c2-814605141e76	CRAC_FAN
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	f3e6dbc6-5224-4572-80a5-1e5f861f628a	CHILLER
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	66715c3d-e1a0-4f44-9c6e-603f267dd5bf	AIR_COOLED_CHILLER
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	14f2af97-dcc6-4585-b9e6-5c4756260953	COOLING_TOWER
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	5428b6f9-ee12-4a2b-b41d-5374a48b066a	DRY_COOLER
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	1a7874dc-132a-497f-bd51-57cb2c870524	REMOTE_CONDENSER
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	84285058-4473-48c9-a896-36f5816803c0	CHILLED_WATER_PUMPS
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	fd4fd32e-c3d7-463f-b6e7-88b8e49d847b	HEAT_REJECTION_PUMPS
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	4e7cd69d-36ab-4e35-94ed-0ef5bd87ba50	VENTILATION
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	707d7289-e451-4782-a05a-fc514af6f5c9	INFILTRATION
38dd37d6-dbd0-4ca2-9c1a-a2efb03176d7	12d1b32c-5fd6-4f47-aa55-1e4e8410f72d	IT_LOAD
e57a0592-4726-4e3d-a745-184d162f710c	0ff13264-7f96-4541-923f-cc2fe49d2706	SWITCHGEAR
e57a0592-4726-4e3d-a745-184d162f710c	4eecdb1c-f5b6-4176-b0e2-8e5701a2eb46	GENERATOR
e57a0592-4726-4e3d-a745-184d162f710c	bd2e4eba-bac1-4314-8a8b-72052973a04c	PRIMARY_AUXILIARIES
e57a0592-4726-4e3d-a745-184d162f710c	dc6d9bb6-fbfc-4e77-871e-4caf9c44932e	UPS
e57a0592-4726-4e3d-a745-184d162f710c	a3678dfc-56cf-4b8f-a254-7355c62e79f2	CRITICAL_AUXILIARIES
e57a0592-4726-4e3d-a745-184d162f710c	8a36126d-e486-4fc3-aaac-f96546ee3017	LIGHTING
e57a0592-4726-4e3d-a745-184d162f710c	29d83dac-426a-4f59-805e-046f764873b8	CRITICAL_POWER_DISTRIBUTION
e57a0592-4726-4e3d-a745-184d162f710c	e821c073-4f51-4d13-99eb-79eadcfda7e9	CRAH
e57a0592-4726-4e3d-a745-184d162f710c	e027b43d-580b-4e8b-a41a-2fda24a30fe8	CRAC
e57a0592-4726-4e3d-a745-184d162f710c	45b8abe2-85a3-4ac9-9334-ede9fc88bf0b	CRAC_WITHOUT_FAN
e57a0592-4726-4e3d-a745-184d162f710c	8a9d0f25-2b40-448b-a134-e62b4d79ca64	CRAC_FAN
e57a0592-4726-4e3d-a745-184d162f710c	b16ea911-b076-4f3d-a8b7-9a11aa1c4268	CHILLER
e57a0592-4726-4e3d-a745-184d162f710c	008cb65b-26af-439b-bb45-01083068c140	AIR_COOLED_CHILLER
e57a0592-4726-4e3d-a745-184d162f710c	1ebbb228-f90e-4e3b-bde7-f5030e144bdb	COOLING_TOWER
e57a0592-4726-4e3d-a745-184d162f710c	5c3b48ae-4b2f-44c4-8c1c-49c2072defcc	DRY_COOLER
e57a0592-4726-4e3d-a745-184d162f710c	e3c87cb1-1ec3-4ad7-8ad0-b941260f7943	REMOTE_CONDENSER
e57a0592-4726-4e3d-a745-184d162f710c	4a7a902c-56db-4e62-94c4-d5f661782ce8	CHILLED_WATER_PUMPS
e57a0592-4726-4e3d-a745-184d162f710c	b73ab875-c610-4742-a1a0-8af4bdb2f82d	HEAT_REJECTION_PUMPS
e57a0592-4726-4e3d-a745-184d162f710c	66d66454-54f1-41c7-9f1e-130a77a1bfa3	VENTILATION
e57a0592-4726-4e3d-a745-184d162f710c	9a48c5a6-54eb-4c99-b6f3-5dbd5a734c2e	INFILTRATION
e57a0592-4726-4e3d-a745-184d162f710c	cbc0951a-5c59-4493-9b22-23ab8b1812a9	IT_LOAD
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	a38d71cb-cbca-41ef-9c44-82800c5e0d4c	SWITCHGEAR
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	d0b496e1-d07d-4232-9c8d-472bd78fb439	GENERATOR
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	548886c9-180f-491b-a96a-922d7e249c79	PRIMARY_AUXILIARIES
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	999157b3-39e9-4cd5-93e0-b1fb02560fbb	UPS
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	6ae84ba7-4e36-440e-9048-c25bec110ad9	CRITICAL_AUXILIARIES
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	3a7cb1d3-7902-4a79-b918-11fe756af290	LIGHTING
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	ad4d11dc-e314-49f0-add3-1d135ca0d0a5	CRITICAL_POWER_DISTRIBUTION
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	3001d828-941d-4842-9051-789a1434836a	CRAH
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	18054c23-66f4-44a6-9273-0327082a30c9	CRAC
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	db74a181-20bd-4de7-8f09-d06b4e2f4c7f	CRAC_WITHOUT_FAN
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	8daf7006-8fed-4d74-a36f-c1a53e5bfd4c	CRAC_FAN
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	75d585e8-3706-47d2-bb0c-38db5e9f0725	CHILLER
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	4562a299-5faa-4b8c-997d-c83fd0ba98f9	AIR_COOLED_CHILLER
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	a8ea67aa-505c-4112-a0e4-dcb9f61bcb93	COOLING_TOWER
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	d22e203e-7f90-44f3-a493-3b5ebd7eb9af	DRY_COOLER
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	2afa1bdb-dd67-4a1b-a4e5-5de1d0430228	REMOTE_CONDENSER
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	68f51d56-015e-49e1-a19c-8e696abea3eb	CHILLED_WATER_PUMPS
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	9169cc3b-0c5e-4789-b275-39d8b5e48ca7	HEAT_REJECTION_PUMPS
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	d6307175-1564-459e-b6bf-d2446ab80ea6	VENTILATION
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	f5a3d0d8-38c2-4586-a05c-5ff87661e89f	INFILTRATION
0d78ff20-2ef2-4eb2-9772-0e9bfd78de3f	fb7e0f16-db1a-41c6-9f6d-1e4b4db0dfb6	IT_LOAD
d972f304-ae73-4f47-875c-ad20498d9b34	f059e6b3-878c-4f09-adf2-52bd717470a8	SWITCHGEAR
d972f304-ae73-4f47-875c-ad20498d9b34	2d06465d-9946-483a-83a1-6c35601d8155	GENERATOR
d972f304-ae73-4f47-875c-ad20498d9b34	f5d60b13-de77-46c7-8820-262912eccd89	PRIMARY_AUXILIARIES
d972f304-ae73-4f47-875c-ad20498d9b34	660c19b0-a764-4048-ba22-c5599f6f6c3c	UPS
d972f304-ae73-4f47-875c-ad20498d9b34	636b1347-20e1-49a3-a914-03b876108976	CRITICAL_AUXILIARIES
d972f304-ae73-4f47-875c-ad20498d9b34	9bce20a1-fda0-4d9d-b9cd-25b106550e8a	LIGHTING
d972f304-ae73-4f47-875c-ad20498d9b34	baea7f83-9e8f-4d86-b20b-d42fa1123ab4	CRITICAL_POWER_DISTRIBUTION
d972f304-ae73-4f47-875c-ad20498d9b34	89538da0-42c4-4d0c-b5c1-8c33ce7baadf	CRAH
d972f304-ae73-4f47-875c-ad20498d9b34	212a3dd3-4702-4e77-bf92-c30a3a1ef01a	CRAC
d972f304-ae73-4f47-875c-ad20498d9b34	f9411086-3b48-484f-98a9-b9ec8b6ee951	CRAC_WITHOUT_FAN
d972f304-ae73-4f47-875c-ad20498d9b34	0b7efc4d-21ae-4700-ae4e-2fa2fafb9d8b	CRAC_FAN
d972f304-ae73-4f47-875c-ad20498d9b34	02fcbb35-3967-4960-99e4-f532f628df48	CHILLER
d972f304-ae73-4f47-875c-ad20498d9b34	1fc302cf-1988-496a-84f1-7ab7e931f4fb	AIR_COOLED_CHILLER
d972f304-ae73-4f47-875c-ad20498d9b34	a1e95ebb-38aa-450c-aeb9-7cca2c76373b	COOLING_TOWER
d972f304-ae73-4f47-875c-ad20498d9b34	516b979d-c198-4ac1-bf6b-99524c552990	DRY_COOLER
d972f304-ae73-4f47-875c-ad20498d9b34	f5956995-e902-440a-b9bd-9783d83f43ce	REMOTE_CONDENSER
d972f304-ae73-4f47-875c-ad20498d9b34	300596c8-2e8f-4db7-a5ed-a468dc4b05dd	CHILLED_WATER_PUMPS
d972f304-ae73-4f47-875c-ad20498d9b34	3c075fda-3416-421f-8984-28a2c0ebe7aa	HEAT_REJECTION_PUMPS
d972f304-ae73-4f47-875c-ad20498d9b34	b5d4f985-8622-40ec-b9f2-d598cc208471	VENTILATION
d972f304-ae73-4f47-875c-ad20498d9b34	b3c73a0f-e207-4420-88c7-1e61e478375a	INFILTRATION
d972f304-ae73-4f47-875c-ad20498d9b34	90e5349d-2b1a-419d-afe3-333c4c1ac380	IT_LOAD
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	bdc4d62e-a994-4c23-879f-77ea93c291ea	SWITCHGEAR
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	a5cc1769-903b-4438-88c0-b1eb31f6957e	GENERATOR
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	2629abc1-a51c-4e55-9322-2c9df68b397d	PRIMARY_AUXILIARIES
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	db9a8dcc-1901-4815-979b-6097670bb75f	UPS
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	41020752-7062-48be-b28a-018025eb2886	CRITICAL_AUXILIARIES
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	11f5c701-8c0b-496e-b22c-90cbea5948ab	LIGHTING
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	2d7b577e-4b39-41c5-a7df-00d923a1c306	CRITICAL_POWER_DISTRIBUTION
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	1ffe5228-bc30-4755-b5f0-a840ec594abe	CRAH
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	9dd7723b-62c6-4e9c-ab7a-97971d3bfdee	CRAC
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	67505030-a79c-4469-b18e-51d1d444e335	CRAC_WITHOUT_FAN
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	8c6dda20-37c1-4407-ab3f-130989992b78	CRAC_FAN
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	a11d7983-faa5-4bf2-ad93-535de394fb5a	CHILLER
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	bbb4f1ab-1cd8-47a5-9c96-f6b28601479b	AIR_COOLED_CHILLER
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	e661c128-7e30-46bb-9251-3c8790a73da0	COOLING_TOWER
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	4ae80dcd-4578-44c1-b79e-f393a2eacd23	DRY_COOLER
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	b0ef6c32-78ca-47b4-b73e-0d96b90346c0	REMOTE_CONDENSER
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	51716d7e-bb4a-458e-8b80-5867f1357eba	CHILLED_WATER_PUMPS
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	17baee03-2d96-4d04-a45b-68ccd46ad33f	HEAT_REJECTION_PUMPS
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	35fb381a-a071-44c6-8a40-0c387ee70ca2	VENTILATION
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	fac066d8-bfd4-4d2f-b1a7-0bb987a50980	INFILTRATION
e35ecdf3-ad86-46fc-ac64-50cd0b01e41f	01896a46-695d-4991-9def-37aa0f01f42c	IT_LOAD
671cdc5a-9624-482b-9e8c-99f7193667cb	ba513280-8a47-4b60-ab7a-1a19777c60a6	SWITCHGEAR
671cdc5a-9624-482b-9e8c-99f7193667cb	821220e0-5251-43e4-8872-3e8e9b12c1b3	GENERATOR
671cdc5a-9624-482b-9e8c-99f7193667cb	68194fbf-2b4f-42ac-bc7a-f54029f9f150	PRIMARY_AUXILIARIES
671cdc5a-9624-482b-9e8c-99f7193667cb	3173e012-84a7-4623-9cd6-33235ec3fe07	UPS
671cdc5a-9624-482b-9e8c-99f7193667cb	ad727353-59a3-4306-870e-fc4914e795ea	CRITICAL_AUXILIARIES
671cdc5a-9624-482b-9e8c-99f7193667cb	67ce4237-cf95-43e7-951b-1e7c6d22f911	LIGHTING
671cdc5a-9624-482b-9e8c-99f7193667cb	67c47bc2-79c5-4a46-a897-65459cfa38fc	CRITICAL_POWER_DISTRIBUTION
671cdc5a-9624-482b-9e8c-99f7193667cb	58eda290-d53b-40a2-8951-e686e14d9853	CRAH
671cdc5a-9624-482b-9e8c-99f7193667cb	e707b2b6-98ce-48ed-86cb-58ebb661d1c0	CRAC
671cdc5a-9624-482b-9e8c-99f7193667cb	36d64543-64c2-4994-bd51-08777ccf550b	CRAC_WITHOUT_FAN
671cdc5a-9624-482b-9e8c-99f7193667cb	53970c69-ec6d-4923-b2bf-9e81e0bd43c1	CRAC_FAN
671cdc5a-9624-482b-9e8c-99f7193667cb	59e0c9b2-9159-46fe-b77f-2d2eb72b13a8	CHILLER
671cdc5a-9624-482b-9e8c-99f7193667cb	651cc495-ee94-4f96-b958-d89a8feb7d0a	AIR_COOLED_CHILLER
671cdc5a-9624-482b-9e8c-99f7193667cb	33e7951a-2817-4715-b27e-198d238aac60	COOLING_TOWER
671cdc5a-9624-482b-9e8c-99f7193667cb	561d0636-7e67-46c9-965e-a0e774847d74	DRY_COOLER
671cdc5a-9624-482b-9e8c-99f7193667cb	efc14457-70f6-42ea-92a7-5e0d24d82656	REMOTE_CONDENSER
671cdc5a-9624-482b-9e8c-99f7193667cb	a52ce416-1211-4f1c-8526-fe367e62638a	CHILLED_WATER_PUMPS
671cdc5a-9624-482b-9e8c-99f7193667cb	e96f1f27-6b2c-48b1-b29a-e83e9b01a5d8	HEAT_REJECTION_PUMPS
671cdc5a-9624-482b-9e8c-99f7193667cb	00646359-a4fc-4a73-8cbd-824ac1e1d9e8	VENTILATION
671cdc5a-9624-482b-9e8c-99f7193667cb	6cfb2980-bc14-456d-8e71-6cdea3928bc6	INFILTRATION
671cdc5a-9624-482b-9e8c-99f7193667cb	88a77ee9-c39d-46ce-a273-f6282c2cdf9e	IT_LOAD
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	4ad2eb18-6848-4251-baae-87486c9cdb00	SWITCHGEAR
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	cbcc29e6-b9d3-43ed-9221-a57188b56300	GENERATOR
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	0f028067-a06e-4508-ae03-cf6225c6cd65	PRIMARY_AUXILIARIES
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	8668fd1c-5a38-4d31-81f7-0ee5735d5f3b	UPS
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	74f248fd-e826-444c-add7-348935d0771b	CRITICAL_AUXILIARIES
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	7b2ae7e6-f564-418d-af49-cccf338b31c1	LIGHTING
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	e5b3e993-fbbc-4ead-baef-44ae5417913d	CRITICAL_POWER_DISTRIBUTION
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	9e627ccc-694d-4be5-a89a-ddd697620829	CRAH
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	7e28d9ed-654a-47f9-809e-de73a01ad2b0	CRAC
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	bc897871-c9c8-447c-b95d-a3342635d884	CRAC_WITHOUT_FAN
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	7c525676-6dd1-438e-8859-a7c72505259a	CRAC_FAN
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	1b92bdd9-974d-4285-897a-83ed2f9b816f	CHILLER
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	06b2b074-d51f-4782-a7b8-3c8f4b8f1e43	AIR_COOLED_CHILLER
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	39e3c616-9ab2-49a6-bba4-6b6da9d61f91	COOLING_TOWER
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	1bbfcfef-8d72-4443-bda3-306457f65f63	DRY_COOLER
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	b5e12aba-517c-4a58-8b75-2a9a14e93712	REMOTE_CONDENSER
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	6442e9e9-00b9-426f-9fae-454b1468e2a7	CHILLED_WATER_PUMPS
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	29196fd4-eb7f-4041-84fb-e788a60c9ba9	HEAT_REJECTION_PUMPS
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	f13401a5-df0a-4779-b16c-54580faac474	VENTILATION
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	4ea6f0e3-64b0-4f79-8669-2c7f819d374b	INFILTRATION
3ea7b2f3-5deb-4093-afe8-86e1a262af6d	156a3d08-142e-4663-b9a7-6181a825132b	IT_LOAD
0faace7c-5cc0-4c42-9c9a-41fb606985b4	c3407384-9bf4-42cd-80cb-81f333daf595	SWITCHGEAR
0faace7c-5cc0-4c42-9c9a-41fb606985b4	9476d7bf-eeb8-4741-a46c-92be309fe889	GENERATOR
0faace7c-5cc0-4c42-9c9a-41fb606985b4	017e3162-dcde-4e3a-90bd-9a9989aeff14	PRIMARY_AUXILIARIES
0faace7c-5cc0-4c42-9c9a-41fb606985b4	b564defe-2872-4be8-ac92-bf1b3b4f8a78	UPS
0faace7c-5cc0-4c42-9c9a-41fb606985b4	e15ddb45-c93a-43ac-b57e-12277e17fdf6	CRITICAL_AUXILIARIES
0faace7c-5cc0-4c42-9c9a-41fb606985b4	d9f36938-996c-4f64-81d1-9cb832abaafa	LIGHTING
0faace7c-5cc0-4c42-9c9a-41fb606985b4	c5aaba5a-c0d0-4137-907f-8aee7f7e2b25	CRITICAL_POWER_DISTRIBUTION
0faace7c-5cc0-4c42-9c9a-41fb606985b4	b3e25b51-60fc-44a1-b41a-2ba23f0eaf68	CRAH
0faace7c-5cc0-4c42-9c9a-41fb606985b4	82e1e051-2a53-4c9c-8708-5b563767385c	CRAC
0faace7c-5cc0-4c42-9c9a-41fb606985b4	ff0ef6be-27b8-40cd-900a-d168e0c8ac72	CRAC_WITHOUT_FAN
0faace7c-5cc0-4c42-9c9a-41fb606985b4	a4da7d5f-b34a-4bab-8694-756ef40f87f0	CRAC_FAN
0faace7c-5cc0-4c42-9c9a-41fb606985b4	bd07a11e-babb-4abe-8ab3-865a5a8a2ab7	CHILLER
0faace7c-5cc0-4c42-9c9a-41fb606985b4	3c76bffb-5197-4cee-a721-6137e2ed64f3	AIR_COOLED_CHILLER
0faace7c-5cc0-4c42-9c9a-41fb606985b4	7411735a-d278-44ad-a593-38d8dca99521	COOLING_TOWER
0faace7c-5cc0-4c42-9c9a-41fb606985b4	6585f6a5-a21e-40b5-83bb-c7be24e9789b	DRY_COOLER
0faace7c-5cc0-4c42-9c9a-41fb606985b4	ee827a55-f3c7-4fff-bf0d-261ae555b6f4	REMOTE_CONDENSER
0faace7c-5cc0-4c42-9c9a-41fb606985b4	0e06fe07-d321-4603-a736-758a7b58f1a9	CHILLED_WATER_PUMPS
0faace7c-5cc0-4c42-9c9a-41fb606985b4	6b53ea12-769a-4da4-ba54-54150178d2a4	HEAT_REJECTION_PUMPS
0faace7c-5cc0-4c42-9c9a-41fb606985b4	956d68d7-0476-4e19-bbcf-d8fbc2c05ec6	VENTILATION
0faace7c-5cc0-4c42-9c9a-41fb606985b4	e861af68-b3ee-4b6a-8580-db4e8d76ce35	INFILTRATION
0faace7c-5cc0-4c42-9c9a-41fb606985b4	4a07bed9-890a-414a-bf97-103379826178	IT_LOAD
7f99cf15-b145-4318-8dae-1b3c3b549b80	694cf78d-a607-4cb0-b91c-9eeaa45f9975	SWITCHGEAR
7f99cf15-b145-4318-8dae-1b3c3b549b80	2de9e2d5-7715-45f7-9ce9-e1474bc41ba6	GENERATOR
7f99cf15-b145-4318-8dae-1b3c3b549b80	65e95dfb-d003-404d-8269-0040a0a6574f	PRIMARY_AUXILIARIES
7f99cf15-b145-4318-8dae-1b3c3b549b80	1fb4a97c-8b2d-4ba8-a7ae-ba4ed511f7e5	UPS
7f99cf15-b145-4318-8dae-1b3c3b549b80	01493806-dceb-47e3-a607-f34942352fcb	CRITICAL_AUXILIARIES
7f99cf15-b145-4318-8dae-1b3c3b549b80	47f5cfd5-576e-444c-9d86-908c0551f6bd	LIGHTING
7f99cf15-b145-4318-8dae-1b3c3b549b80	13b4c22d-9f31-4327-bad1-64e0467a0bce	CRITICAL_POWER_DISTRIBUTION
7f99cf15-b145-4318-8dae-1b3c3b549b80	d2564aa9-056a-4371-9339-04784b346bb7	CRAH
7f99cf15-b145-4318-8dae-1b3c3b549b80	3fbf1f6d-ce9e-494b-b837-4bfb5227b9a8	CRAC
7f99cf15-b145-4318-8dae-1b3c3b549b80	c52d5b94-114d-4c1c-976b-76c5310106fb	CRAC_WITHOUT_FAN
7f99cf15-b145-4318-8dae-1b3c3b549b80	f5c8d2f1-1599-4845-b41a-275cb32b3ff4	CRAC_FAN
7f99cf15-b145-4318-8dae-1b3c3b549b80	d2fab4b1-c4c3-499b-9ac8-c8132b6d4ab2	CHILLER
7f99cf15-b145-4318-8dae-1b3c3b549b80	50c16dad-cf56-42ca-a2c1-96c0255c4649	AIR_COOLED_CHILLER
7f99cf15-b145-4318-8dae-1b3c3b549b80	2b3179c2-542a-4092-862e-4dcb47e1c619	COOLING_TOWER
7f99cf15-b145-4318-8dae-1b3c3b549b80	972b3418-215b-4622-acd3-dc1e7fb779c5	DRY_COOLER
7f99cf15-b145-4318-8dae-1b3c3b549b80	53ef9fd7-5796-417a-8a80-99bf57c3dc48	REMOTE_CONDENSER
7f99cf15-b145-4318-8dae-1b3c3b549b80	c6ac32fe-1697-48f3-b271-023672f3362f	CHILLED_WATER_PUMPS
7f99cf15-b145-4318-8dae-1b3c3b549b80	0b4d9ce1-eb41-4729-9dbd-6b8f8df3aae7	HEAT_REJECTION_PUMPS
7f99cf15-b145-4318-8dae-1b3c3b549b80	b09133aa-1300-4ef4-a80a-aacd530891d7	VENTILATION
7f99cf15-b145-4318-8dae-1b3c3b549b80	5ba4c689-258f-46e5-8142-4e8c4eda59d3	INFILTRATION
7f99cf15-b145-4318-8dae-1b3c3b549b80	2272ac7f-9f54-4758-aee4-9d943a05a07a	IT_LOAD
ea750849-f95b-4a54-b4bf-594eca943613	357c2406-3b88-41ec-8c8d-ce1b77230a7a	SWITCHGEAR
ea750849-f95b-4a54-b4bf-594eca943613	1349bca3-c133-45c7-856f-8259088f55c9	GENERATOR
ea750849-f95b-4a54-b4bf-594eca943613	bcc21303-f20f-421b-9b28-0fe1583e5988	PRIMARY_AUXILIARIES
ea750849-f95b-4a54-b4bf-594eca943613	f3eb0578-459f-4a96-aca2-6ee5bfb23979	UPS
ea750849-f95b-4a54-b4bf-594eca943613	03a00228-832a-4328-b75c-321ac6cc2323	CRITICAL_AUXILIARIES
ea750849-f95b-4a54-b4bf-594eca943613	56cfe782-9cfe-4fdd-a775-0713fb0d38ee	LIGHTING
ea750849-f95b-4a54-b4bf-594eca943613	5676af80-fb84-4d7b-ae7e-4b29819d6d2a	CRITICAL_POWER_DISTRIBUTION
ea750849-f95b-4a54-b4bf-594eca943613	ba6a34e1-89ca-484d-b144-1ef88a33ffbf	CRAH
ea750849-f95b-4a54-b4bf-594eca943613	ada508c3-c31a-4e76-b156-83c021ce23be	CRAC
ea750849-f95b-4a54-b4bf-594eca943613	3279ec77-e4d6-4f49-97f1-853df9a7932b	CRAC_WITHOUT_FAN
ea750849-f95b-4a54-b4bf-594eca943613	b67f48ae-1f7c-4219-a76f-59c25f80e214	CRAC_FAN
ea750849-f95b-4a54-b4bf-594eca943613	308d7bfc-e7c8-4764-b697-af6ac351eee6	CHILLER
ea750849-f95b-4a54-b4bf-594eca943613	7c065900-1d1f-4dc3-a852-9a033da06b07	AIR_COOLED_CHILLER
ea750849-f95b-4a54-b4bf-594eca943613	e2733487-37aa-42e2-b552-95a0912b3da4	COOLING_TOWER
ea750849-f95b-4a54-b4bf-594eca943613	a3237e28-4340-414c-8814-9087e0e18225	DRY_COOLER
ea750849-f95b-4a54-b4bf-594eca943613	92bf167d-b68c-4c36-a303-21ec71a4aa60	REMOTE_CONDENSER
ea750849-f95b-4a54-b4bf-594eca943613	b1228ef6-e292-441d-9fc7-369de08355b4	CHILLED_WATER_PUMPS
ea750849-f95b-4a54-b4bf-594eca943613	a23b48b9-1613-4db8-a10f-b3e461454f83	HEAT_REJECTION_PUMPS
ea750849-f95b-4a54-b4bf-594eca943613	16424dfc-155f-42d0-8be8-9b423ae01777	VENTILATION
ea750849-f95b-4a54-b4bf-594eca943613	38d4282e-fb0f-48b9-860a-6f33a6800f91	INFILTRATION
ea750849-f95b-4a54-b4bf-594eca943613	a2488516-957d-4ffa-a364-4cfb83a70ff4	IT_LOAD
703b5685-80b7-4b8c-990f-4d529dcb19b1	08f44fff-55b5-4c15-a95e-1588975c7ebd	SWITCHGEAR
703b5685-80b7-4b8c-990f-4d529dcb19b1	336c50c1-7acb-4a4a-bf76-7545b73ef1aa	GENERATOR
703b5685-80b7-4b8c-990f-4d529dcb19b1	3974b8ea-1446-4018-8a01-a37f2de6df59	PRIMARY_AUXILIARIES
703b5685-80b7-4b8c-990f-4d529dcb19b1	ff66d39f-ab8a-41be-b235-f38123da8be8	UPS
703b5685-80b7-4b8c-990f-4d529dcb19b1	44267d58-b44b-4767-9d16-caeb54b21e5b	CRITICAL_AUXILIARIES
703b5685-80b7-4b8c-990f-4d529dcb19b1	1649ccff-6b9c-44c4-bf97-b4cedd2006a0	LIGHTING
703b5685-80b7-4b8c-990f-4d529dcb19b1	6facb730-c1d9-42b3-837b-f61fe06d2428	CRITICAL_POWER_DISTRIBUTION
703b5685-80b7-4b8c-990f-4d529dcb19b1	0b68fb9d-554c-4096-9995-6001badfcba7	CRAH
703b5685-80b7-4b8c-990f-4d529dcb19b1	9217ef32-8c06-4b73-b867-45db6509a6fc	CRAC
703b5685-80b7-4b8c-990f-4d529dcb19b1	e1a08e5b-d127-4691-b4d0-e789a42294d1	CRAC_WITHOUT_FAN
703b5685-80b7-4b8c-990f-4d529dcb19b1	9071e0e8-64fa-41b2-a98c-9125856f6101	CRAC_FAN
703b5685-80b7-4b8c-990f-4d529dcb19b1	9ece8ea1-3b6b-4542-bb36-4e344b0a9d28	CHILLER
703b5685-80b7-4b8c-990f-4d529dcb19b1	5ae33906-ad08-488c-9be7-96d9ffe85209	AIR_COOLED_CHILLER
703b5685-80b7-4b8c-990f-4d529dcb19b1	58d4f4af-ea85-4f91-98cd-f84a9037bc25	COOLING_TOWER
703b5685-80b7-4b8c-990f-4d529dcb19b1	2f7eddb3-8235-4456-aa01-182e8553520f	DRY_COOLER
703b5685-80b7-4b8c-990f-4d529dcb19b1	e8c2231d-a75c-43bb-a69a-768c3e6bc126	REMOTE_CONDENSER
703b5685-80b7-4b8c-990f-4d529dcb19b1	e949229c-e1db-4cb0-8b94-9a72bed7e9d4	CHILLED_WATER_PUMPS
703b5685-80b7-4b8c-990f-4d529dcb19b1	f475144a-8308-4dab-b642-8c5469fce2ba	HEAT_REJECTION_PUMPS
703b5685-80b7-4b8c-990f-4d529dcb19b1	a8b06958-f9f3-4464-b92a-85c58a3d3b28	VENTILATION
703b5685-80b7-4b8c-990f-4d529dcb19b1	0432a60a-c838-4a8c-8ec3-6c68dc9299a4	INFILTRATION
703b5685-80b7-4b8c-990f-4d529dcb19b1	720ae22c-f64a-434b-92e7-296df419d9cf	IT_LOAD
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	7db53543-665b-4f3e-bfc8-cde872c4223e	SWITCHGEAR
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	631fa01c-bdaa-49ab-bbcb-a5a9b17e5220	GENERATOR
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	95f198eb-e827-4ee7-bfd2-443bf96c718c	PRIMARY_AUXILIARIES
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	75de98e2-ecac-45bf-9638-5c4e592e54ac	UPS
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	5943d19e-41f9-4740-a6fc-2996bf49d467	CRITICAL_AUXILIARIES
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	98955fff-aede-4814-b2fb-3e82f9119ed7	LIGHTING
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	42030938-6dbe-44cc-a61c-341878dc4196	CRITICAL_POWER_DISTRIBUTION
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	61ff7043-6dea-4207-bb5c-a8ebd5adc6f8	CRAH
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	9e0e6751-b568-49b6-9138-e4846a707616	CRAC
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	d4f4dee8-7fe0-47a3-b6d2-2a46cc631ccf	CRAC_WITHOUT_FAN
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	c28b8d3f-dd4f-40c7-a343-a6bcb68be920	CRAC_FAN
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	d6c78084-c19d-407d-8965-81bc7307f508	CHILLER
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	807b5ff4-eb72-4f1c-a290-3d92f3bfe190	AIR_COOLED_CHILLER
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	4e4f3f9c-c7fb-4768-98b7-4e2490238a42	COOLING_TOWER
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	4a9deae8-6378-42a4-bba2-9aeac7d92203	DRY_COOLER
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	e2bb4f9a-0671-461f-820f-d31dae8c95d9	REMOTE_CONDENSER
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	248450fe-463f-40d5-81e2-cf9da2f47038	CHILLED_WATER_PUMPS
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	6399c40c-808a-4883-87ef-8f10e1c6ef2c	HEAT_REJECTION_PUMPS
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	56091524-3a2a-4e27-8161-7a9666a60100	VENTILATION
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	fd93cfed-7d7c-4875-bfd2-e46b6fbdfece	INFILTRATION
0c4318c0-db28-4b9a-bc21-4cf3cb1dc6ed	76c89462-5035-4c33-b8eb-6a822e9523a7	IT_LOAD
719ec7e3-0806-428d-940d-9285f44ba5b1	639dcb3e-1592-4507-bb4e-d61897a5c139	SWITCHGEAR
719ec7e3-0806-428d-940d-9285f44ba5b1	a4284802-fd07-4a20-b9cc-606a04ebb1fa	GENERATOR
719ec7e3-0806-428d-940d-9285f44ba5b1	a9c35221-bcf4-4134-aec0-69fdde5bfe7e	PRIMARY_AUXILIARIES
719ec7e3-0806-428d-940d-9285f44ba5b1	ba1c2795-7d8e-4fe9-b37c-e7dd4e39191a	UPS
719ec7e3-0806-428d-940d-9285f44ba5b1	54b421f6-a098-4d62-bb31-f41206b3f331	CRITICAL_AUXILIARIES
719ec7e3-0806-428d-940d-9285f44ba5b1	777d188f-0279-4187-a412-74ffc5ea3af8	LIGHTING
719ec7e3-0806-428d-940d-9285f44ba5b1	f1e6cf41-7aaf-41be-a70b-a523b6f6d21e	CRITICAL_POWER_DISTRIBUTION
719ec7e3-0806-428d-940d-9285f44ba5b1	a1df6072-8a8e-4f01-8d47-542489b5915f	CRAH
719ec7e3-0806-428d-940d-9285f44ba5b1	6cc88d1d-8442-4d87-b815-b327a7e7cfc1	CRAC
719ec7e3-0806-428d-940d-9285f44ba5b1	e8cc994e-b501-407b-b62b-51ff04d6dfc4	CRAC_WITHOUT_FAN
719ec7e3-0806-428d-940d-9285f44ba5b1	8781f5b5-2e80-403b-bada-b9c69071226d	CRAC_FAN
719ec7e3-0806-428d-940d-9285f44ba5b1	d25d7d00-1701-4dca-8d24-d9ec8e881b58	CHILLER
719ec7e3-0806-428d-940d-9285f44ba5b1	4349d80c-43e0-40ab-9ff2-149db7a700ed	AIR_COOLED_CHILLER
719ec7e3-0806-428d-940d-9285f44ba5b1	cf98a756-98d1-4f9c-b16f-bd8360882fae	COOLING_TOWER
719ec7e3-0806-428d-940d-9285f44ba5b1	23b300e1-b16f-436c-a58a-f921e19abb59	DRY_COOLER
719ec7e3-0806-428d-940d-9285f44ba5b1	3c0cfcbd-fc3e-4237-83c6-91547c7e6cad	REMOTE_CONDENSER
719ec7e3-0806-428d-940d-9285f44ba5b1	94efd5dd-6eef-4644-ad8c-30c4f94fcb6b	CHILLED_WATER_PUMPS
719ec7e3-0806-428d-940d-9285f44ba5b1	1fd54962-644f-44b6-9d9e-1ff5bdddcd83	HEAT_REJECTION_PUMPS
719ec7e3-0806-428d-940d-9285f44ba5b1	6a9c18e0-6849-45a6-b39f-87e2588bc779	VENTILATION
719ec7e3-0806-428d-940d-9285f44ba5b1	0502c4b0-e8dd-4609-b948-ec6b19c63eef	INFILTRATION
719ec7e3-0806-428d-940d-9285f44ba5b1	a7f6710a-1608-489d-b713-2d74cc4faa6b	IT_LOAD
bef5e81b-ae20-4907-80ab-2a121ea33306	4374f9b0-94bf-42b7-aca9-67314f6a051b	SWITCHGEAR
bef5e81b-ae20-4907-80ab-2a121ea33306	5c1511c3-f441-4489-b12f-1f4f99f21d65	GENERATOR
bef5e81b-ae20-4907-80ab-2a121ea33306	733d526f-1e18-42ff-8761-d5e57e32a9fc	PRIMARY_AUXILIARIES
bef5e81b-ae20-4907-80ab-2a121ea33306	55c4973f-92b7-485f-b2db-89b1c02618f2	UPS
bef5e81b-ae20-4907-80ab-2a121ea33306	75b3ae58-6657-4c1e-a930-7d1685116986	CRITICAL_AUXILIARIES
bef5e81b-ae20-4907-80ab-2a121ea33306	be22ea97-78e1-4dbf-b4a1-30b427e7ebc8	LIGHTING
bef5e81b-ae20-4907-80ab-2a121ea33306	6afacff0-86bd-4be6-8b5a-80b33a01150a	CRITICAL_POWER_DISTRIBUTION
bef5e81b-ae20-4907-80ab-2a121ea33306	402ca681-c74c-443e-bd63-bd4cbda99a2b	CRAH
bef5e81b-ae20-4907-80ab-2a121ea33306	40c1e78d-3328-46a1-9c5a-f615095e13ec	CRAC
bef5e81b-ae20-4907-80ab-2a121ea33306	c9f44aac-4a09-4ddd-bea0-e2f16e62022c	CRAC_WITHOUT_FAN
bef5e81b-ae20-4907-80ab-2a121ea33306	38c8ecd8-41b7-46ab-a8e5-2fbbefdc01f0	CRAC_FAN
bef5e81b-ae20-4907-80ab-2a121ea33306	9b5bf16f-7b94-4d76-b696-2555afdf1104	CHILLER
bef5e81b-ae20-4907-80ab-2a121ea33306	03bdd91c-7ef8-4468-9577-f2f91500e1ee	AIR_COOLED_CHILLER
bef5e81b-ae20-4907-80ab-2a121ea33306	ac2b4d08-40ef-4393-b85b-9d3aa7325d27	COOLING_TOWER
bef5e81b-ae20-4907-80ab-2a121ea33306	f1558134-8793-493e-bc2b-e9d96ff823dc	DRY_COOLER
bef5e81b-ae20-4907-80ab-2a121ea33306	b1df27e0-c92b-47ca-90f3-a6c6a220e8a2	REMOTE_CONDENSER
bef5e81b-ae20-4907-80ab-2a121ea33306	602e34b5-9de5-450f-b5cb-264e2dd33410	CHILLED_WATER_PUMPS
bef5e81b-ae20-4907-80ab-2a121ea33306	3c1b3438-fd4f-49bd-81cf-59764f1d5490	HEAT_REJECTION_PUMPS
bef5e81b-ae20-4907-80ab-2a121ea33306	8aee85ac-add8-4bde-9f99-ca6a6774d398	VENTILATION
bef5e81b-ae20-4907-80ab-2a121ea33306	8f05d989-fcb7-4b4f-877c-8fd038848ff4	INFILTRATION
bef5e81b-ae20-4907-80ab-2a121ea33306	0423825e-79d2-4047-b8f7-86033d26343b	IT_LOAD
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	b67f3203-2773-4b1a-b307-f358e474824d	SWITCHGEAR
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	15b5450d-ae0a-4016-83d0-86d77eaebd77	GENERATOR
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	6d7942a7-4fca-4400-a3ef-724aa7bc3cdd	PRIMARY_AUXILIARIES
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	f4f7a883-a316-4917-b639-d1af7686aff0	UPS
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	22437560-9487-45f0-9be7-a9a4357e5bfc	CRITICAL_AUXILIARIES
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	8b1d06bd-8d97-4dde-a14a-64cc18c8baf8	LIGHTING
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	75250628-b341-4c5b-8cbf-8ce1d9e0aeae	CRITICAL_POWER_DISTRIBUTION
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	3bf49dd6-b402-4d79-9926-180073433997	CRAH
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	bf41d121-6edd-4953-8b3a-a09622d2f41c	CRAC
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	93d27edb-f460-406f-8941-1f4b0f5d85ab	CRAC_WITHOUT_FAN
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	1183a70d-2a19-44fd-b094-a7a3557d6e62	CRAC_FAN
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	ef43f143-3926-455e-a03c-bbe2a7b90e42	CHILLER
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	38843359-80d3-40cf-973b-4c88fbb1d99b	AIR_COOLED_CHILLER
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	4fefda06-b2a0-448d-ba24-d725dadf03a9	COOLING_TOWER
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	a5fe7384-b0e2-42d8-a47f-7466b3edc026	DRY_COOLER
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	f97ca2b9-74ad-4381-bc25-ec5c8c170147	REMOTE_CONDENSER
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	b7dcf091-7b86-4842-84fa-19a1988acf7a	CHILLED_WATER_PUMPS
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	89401c7a-809d-400c-abcb-7f3872b964fe	HEAT_REJECTION_PUMPS
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	f14d0a55-a950-48c5-b511-c592c46d4af8	VENTILATION
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	a11c689c-2098-44dc-abfe-d535c70fb651	INFILTRATION
d1a6ac36-28bd-4e37-8071-d8b87ae0da4f	802743fc-ea44-4115-bfae-81b698698327	IT_LOAD
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	c2df3f5f-87b1-44fc-92d5-07fd321f3cd5	SWITCHGEAR
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	9d2a8d52-d617-4e8c-bd7c-d74bb9dd896a	GENERATOR
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	28beffe1-1e45-4fd1-b69f-e6d03c7dba29	PRIMARY_AUXILIARIES
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	f859a9f6-61c3-4e21-8388-8931394267d4	UPS
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	388d1cb9-1948-482c-912a-2a47aab79e12	CRITICAL_AUXILIARIES
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	6bbb1bfa-6e50-4997-b30b-71e4fe928d3d	LIGHTING
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	b6934e83-8fb6-490f-a457-b25dc74c45c8	CRITICAL_POWER_DISTRIBUTION
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	b0555d1e-d888-47c6-b6fc-60b652d3af61	CRAH
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	8e2de2bd-6823-4eec-bc8c-c345333f3647	CRAC
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	9ba1e143-2dec-412e-bb67-4336cb120be0	CRAC_WITHOUT_FAN
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	f80feece-527b-4119-850a-33d8a411c16a	CRAC_FAN
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	fcbe7c39-4bf6-465c-a6ea-a3f1abfa8924	CHILLER
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	3e643db7-01a2-44cc-b87f-539c0eab12ab	AIR_COOLED_CHILLER
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	d87951dc-112a-43f7-9f6f-338d7a5c5c3e	COOLING_TOWER
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	4e0eb8be-e9ec-40b4-a977-996157f75502	DRY_COOLER
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	050e8baf-7e8d-4cd2-92cb-877e27a1440c	REMOTE_CONDENSER
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	ae3d1cbc-7102-42cb-a9df-68542dc8260b	CHILLED_WATER_PUMPS
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	f4cfd9ed-c9ea-4107-9f62-d2274396379d	HEAT_REJECTION_PUMPS
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	18b76d1d-a52b-48b4-a075-8245bda4c929	VENTILATION
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	48539012-1610-4ef0-a697-744883bf306c	INFILTRATION
4c014ccb-a0b3-4109-b082-9dee3ec1ab60	cc45709e-45ab-46e4-8b31-dc4b1084c46c	IT_LOAD
395859c8-f336-4abd-9f6a-370dc682a692	a5749d5d-9d3b-45aa-b5fe-8a2e0e5d7e71	SWITCHGEAR
395859c8-f336-4abd-9f6a-370dc682a692	746eaa17-a4be-4043-9173-a970261ea60f	GENERATOR
395859c8-f336-4abd-9f6a-370dc682a692	50c492ae-03db-4bf1-9a91-4c202b7c762e	PRIMARY_AUXILIARIES
395859c8-f336-4abd-9f6a-370dc682a692	a6ce7f31-1937-4ae8-bdfd-f9d16e8f7c82	UPS
395859c8-f336-4abd-9f6a-370dc682a692	179437df-edbc-4635-ab7a-c18666747743	CRITICAL_AUXILIARIES
395859c8-f336-4abd-9f6a-370dc682a692	32ad868d-6361-4487-94df-d898538fe224	LIGHTING
395859c8-f336-4abd-9f6a-370dc682a692	0f447813-2964-49bb-aced-610817d2a80a	CRITICAL_POWER_DISTRIBUTION
395859c8-f336-4abd-9f6a-370dc682a692	45eefcd4-5e05-4c21-93bd-22b910577ef2	CRAH
395859c8-f336-4abd-9f6a-370dc682a692	04051820-e4db-4c69-b0c2-b27a9c89a9af	CRAC
395859c8-f336-4abd-9f6a-370dc682a692	1ce238c1-2c1a-4c1d-9688-486de5dfa10a	CRAC_WITHOUT_FAN
395859c8-f336-4abd-9f6a-370dc682a692	368f5a54-83d9-4877-b48c-8de04ef78889	CRAC_FAN
395859c8-f336-4abd-9f6a-370dc682a692	597a870a-d731-4bd5-95ea-950ad2e409d1	CHILLER
395859c8-f336-4abd-9f6a-370dc682a692	57026cf7-9862-4f25-b117-120cd17d8711	AIR_COOLED_CHILLER
395859c8-f336-4abd-9f6a-370dc682a692	14e1824f-7c84-4bb7-a2a3-f03e74c4640f	COOLING_TOWER
395859c8-f336-4abd-9f6a-370dc682a692	37e6752c-cc34-4f6a-9436-223f0a063315	DRY_COOLER
395859c8-f336-4abd-9f6a-370dc682a692	70de7757-328b-432a-9585-84aa1c6123aa	REMOTE_CONDENSER
395859c8-f336-4abd-9f6a-370dc682a692	3c70df66-da6f-460e-b9b8-f58ff81bb508	CHILLED_WATER_PUMPS
395859c8-f336-4abd-9f6a-370dc682a692	b724273f-68a2-4e49-a1ce-544ede959963	HEAT_REJECTION_PUMPS
395859c8-f336-4abd-9f6a-370dc682a692	61ef405e-9510-4391-b128-fc0fc0425c3d	VENTILATION
395859c8-f336-4abd-9f6a-370dc682a692	fcf79288-afad-4acb-9bb6-b7d447e59b9b	INFILTRATION
395859c8-f336-4abd-9f6a-370dc682a692	196f0c80-67be-42b6-a485-89bd6ac619ac	IT_LOAD
5c101bd6-31fe-444c-8e19-fdea126172d7	59ebb315-136e-43f1-86bc-f43cf506ee87	SWITCHGEAR
5c101bd6-31fe-444c-8e19-fdea126172d7	0bbe71cd-e651-48e5-94d7-30be8515130c	GENERATOR
5c101bd6-31fe-444c-8e19-fdea126172d7	6dfc7e57-29f3-4728-833b-d40cfe04ae7e	PRIMARY_AUXILIARIES
5c101bd6-31fe-444c-8e19-fdea126172d7	d1e73bbe-173b-4d65-9dd6-8ce851dd799d	UPS
5c101bd6-31fe-444c-8e19-fdea126172d7	4bac493d-84f4-4da8-b1b4-9bddc7988b0a	CRITICAL_AUXILIARIES
5c101bd6-31fe-444c-8e19-fdea126172d7	7f880967-05a4-4ebe-806a-4c2e2b0c0b02	LIGHTING
5c101bd6-31fe-444c-8e19-fdea126172d7	e78790e3-449c-49b3-9a40-1310b84b447c	CRITICAL_POWER_DISTRIBUTION
5c101bd6-31fe-444c-8e19-fdea126172d7	c3ad9e31-3dfc-4903-a40d-93cef4d291c7	CRAH
5c101bd6-31fe-444c-8e19-fdea126172d7	76766ed1-6c37-43c4-8915-f12300358853	CRAC
5c101bd6-31fe-444c-8e19-fdea126172d7	b85b8a3d-fa44-4e21-a179-fcb101631353	CRAC_WITHOUT_FAN
5c101bd6-31fe-444c-8e19-fdea126172d7	e1aab912-b977-4e10-85c3-e976c7085cf1	CRAC_FAN
5c101bd6-31fe-444c-8e19-fdea126172d7	624ca0e2-7ed1-4dfd-8017-39aa925fa08f	CHILLER
5c101bd6-31fe-444c-8e19-fdea126172d7	91fc0b5c-3a21-4536-bca4-2d1b91382f9b	AIR_COOLED_CHILLER
5c101bd6-31fe-444c-8e19-fdea126172d7	704b0f98-1c4f-4ea4-b2fe-7cc71abbbac5	COOLING_TOWER
5c101bd6-31fe-444c-8e19-fdea126172d7	6edf576f-6018-4591-9347-56895b3728e7	DRY_COOLER
5c101bd6-31fe-444c-8e19-fdea126172d7	c08996c3-df17-4642-b595-7f986db6ae00	REMOTE_CONDENSER
5c101bd6-31fe-444c-8e19-fdea126172d7	ab10ec21-1226-4e94-8578-01fea77a133b	CHILLED_WATER_PUMPS
5c101bd6-31fe-444c-8e19-fdea126172d7	fba78aa0-02a6-42fc-a91a-0cfad6ed604c	HEAT_REJECTION_PUMPS
5c101bd6-31fe-444c-8e19-fdea126172d7	6e1fccbf-e31c-4d0f-b5a4-c3be2313f4f7	VENTILATION
5c101bd6-31fe-444c-8e19-fdea126172d7	a7443a1c-1de2-4dec-b2b6-a21dcf7762a7	INFILTRATION
5c101bd6-31fe-444c-8e19-fdea126172d7	5fa61ffd-bc1d-4f9b-83fe-7351007c9f2c	IT_LOAD
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	bfa35b48-cde9-4149-b028-35bfbdb8270d	SWITCHGEAR
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	f435db12-220b-4ed8-b919-f6b4c90b7a5b	GENERATOR
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	295c5f8b-a5a3-4220-9fef-7c654a89b98d	PRIMARY_AUXILIARIES
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	1d5f3e46-dffa-4c42-9569-e7758e6fc2e6	UPS
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	a98fa195-39f4-412f-be01-3dba0e200106	CRITICAL_AUXILIARIES
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	73810b7c-7496-4ae7-9a4e-3bee6e876989	LIGHTING
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	35c32591-b0a5-4375-953f-0b8c4d3bf70c	CRITICAL_POWER_DISTRIBUTION
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	e8ac206a-0e1c-4ee3-963d-535b0e1b8645	CRAH
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	55333067-2853-46d1-85ac-0050bff93442	CRAC
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	5c7cff03-240a-458a-a825-3a18b7eca6ee	CRAC_WITHOUT_FAN
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	a6c237c0-3e0d-4459-b4c6-1c0a501639a5	CRAC_FAN
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	51fc674e-0fed-412d-9e65-d175e5a5c439	CHILLER
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	6557a135-801b-4c6f-972b-0bb449d25c65	AIR_COOLED_CHILLER
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	8da6771c-1c70-4bd1-a392-90f282cb2e80	COOLING_TOWER
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	67b4d5fd-7d39-4974-9f54-9aa41f0d5b10	DRY_COOLER
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	65e02ea4-eb81-430e-a00b-6983b1f41ba7	REMOTE_CONDENSER
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	0cca6278-17b4-4f49-8636-fa5f89afeeef	CHILLED_WATER_PUMPS
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	a6ff4600-27f9-4375-acf8-4e9d9fce73fb	HEAT_REJECTION_PUMPS
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	9eaa48b2-f289-41a6-a622-8a40b8e2e249	VENTILATION
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	c9053f53-db19-4c85-9d33-62f244df1195	INFILTRATION
9d6301d3-99fc-4ce6-8d34-65e6ed271e6e	73eb40cb-8302-447d-95fa-ca012411587a	IT_LOAD
80cfc124-c77b-4c78-b3a3-47fc72365c1c	71bda970-8d59-403e-96d7-4fec36fd85fd	SWITCHGEAR
80cfc124-c77b-4c78-b3a3-47fc72365c1c	29dcaad7-2c89-49e9-8cf3-84ca97133de8	GENERATOR
80cfc124-c77b-4c78-b3a3-47fc72365c1c	7b26bded-adb0-49c6-b6c7-78c0165f91a3	PRIMARY_AUXILIARIES
80cfc124-c77b-4c78-b3a3-47fc72365c1c	aaa1a0ba-dfed-4235-99b0-a2e84df642ad	UPS
80cfc124-c77b-4c78-b3a3-47fc72365c1c	0cad25b0-6a0c-4540-9468-9de920c08ef7	CRITICAL_AUXILIARIES
80cfc124-c77b-4c78-b3a3-47fc72365c1c	8e3c923e-50b5-4254-a2a4-126342c115fa	LIGHTING
80cfc124-c77b-4c78-b3a3-47fc72365c1c	27dd2be4-4b59-4ee6-98d9-0b4ae7c126b7	CRITICAL_POWER_DISTRIBUTION
80cfc124-c77b-4c78-b3a3-47fc72365c1c	bf76687a-7c66-41de-9806-ba843cd7c241	CRAH
80cfc124-c77b-4c78-b3a3-47fc72365c1c	0a0611cd-592e-4791-b3a9-e9e9d5572799	CRAC
80cfc124-c77b-4c78-b3a3-47fc72365c1c	949865aa-2983-4022-82eb-93dd24edfa22	CRAC_WITHOUT_FAN
80cfc124-c77b-4c78-b3a3-47fc72365c1c	ff632953-e397-44f6-8d41-c3b4d376755c	CRAC_FAN
80cfc124-c77b-4c78-b3a3-47fc72365c1c	fea1d48f-58cf-4dba-9a40-547e4202ab63	CHILLER
80cfc124-c77b-4c78-b3a3-47fc72365c1c	3e7eb81b-0a82-471d-b9f1-20c7b851c2bc	AIR_COOLED_CHILLER
80cfc124-c77b-4c78-b3a3-47fc72365c1c	f3b5f8c7-9d89-4b25-911f-20c8fe3431ec	COOLING_TOWER
80cfc124-c77b-4c78-b3a3-47fc72365c1c	2dac4b67-dfb2-48e8-a345-dd66d99a522a	DRY_COOLER
80cfc124-c77b-4c78-b3a3-47fc72365c1c	4e3598ae-6cc6-43e2-be19-d3394c0b5bc7	REMOTE_CONDENSER
80cfc124-c77b-4c78-b3a3-47fc72365c1c	bf09b80b-903f-414c-9039-c08901ecb959	CHILLED_WATER_PUMPS
80cfc124-c77b-4c78-b3a3-47fc72365c1c	68535265-c1fa-4d89-9f06-11f61b5dd962	HEAT_REJECTION_PUMPS
80cfc124-c77b-4c78-b3a3-47fc72365c1c	da9b3785-5428-48db-aaeb-5cf64e5d06ce	VENTILATION
80cfc124-c77b-4c78-b3a3-47fc72365c1c	638ba0bf-cf54-4fb0-b5e6-3ac19081ae10	INFILTRATION
80cfc124-c77b-4c78-b3a3-47fc72365c1c	09fd84bf-54d5-40a5-91bf-30cde1e77a8d	IT_LOAD
df57de7d-c626-4472-b353-f7f0f713b568	ae21b8cf-a7c9-4981-8df7-53e086bb60e1	SWITCHGEAR
df57de7d-c626-4472-b353-f7f0f713b568	e586d168-0b06-4818-be41-e2e222d50d0f	GENERATOR
df57de7d-c626-4472-b353-f7f0f713b568	03891cae-974e-4b5f-b6d9-73ad6c419c87	PRIMARY_AUXILIARIES
df57de7d-c626-4472-b353-f7f0f713b568	7390c42e-b0db-4432-a6b8-d06b23e6143a	UPS
df57de7d-c626-4472-b353-f7f0f713b568	9e0bb40f-aadc-414c-86d5-02c03ead2883	CRITICAL_AUXILIARIES
df57de7d-c626-4472-b353-f7f0f713b568	a6c039c0-06ca-46ff-8838-5d4f79ce7fc3	LIGHTING
df57de7d-c626-4472-b353-f7f0f713b568	c190156e-4066-4a6c-acb1-ba57c7262888	CRITICAL_POWER_DISTRIBUTION
df57de7d-c626-4472-b353-f7f0f713b568	ccebac55-220b-4dcd-a9d0-d1776137ca22	CRAH
df57de7d-c626-4472-b353-f7f0f713b568	6963fe71-aeb8-41dd-ad21-826ec054d5ed	CRAC
df57de7d-c626-4472-b353-f7f0f713b568	af8d963b-cedd-47df-a4a9-af80d70f6e45	CRAC_WITHOUT_FAN
df57de7d-c626-4472-b353-f7f0f713b568	0d9b83ee-2458-4659-b00a-6df3710753ca	CRAC_FAN
df57de7d-c626-4472-b353-f7f0f713b568	c551f70a-a5cd-4655-b572-d8f9b43fb90d	CHILLER
df57de7d-c626-4472-b353-f7f0f713b568	ba5c6df3-3cf8-4eb0-9bbb-b3a3bdb225c2	AIR_COOLED_CHILLER
df57de7d-c626-4472-b353-f7f0f713b568	90aed0ae-3e29-4748-862d-595fcc643113	COOLING_TOWER
df57de7d-c626-4472-b353-f7f0f713b568	819c0eb5-6f9b-41ec-b8e5-b44ebb93bfe0	DRY_COOLER
df57de7d-c626-4472-b353-f7f0f713b568	0158be39-b35b-48c9-8d2c-28b6b31598e6	REMOTE_CONDENSER
df57de7d-c626-4472-b353-f7f0f713b568	f5f001bf-bc7e-4a00-9d18-8f51b9b21483	CHILLED_WATER_PUMPS
df57de7d-c626-4472-b353-f7f0f713b568	3aab79dd-f0cc-4c4b-8129-c6df2e3b94c2	HEAT_REJECTION_PUMPS
df57de7d-c626-4472-b353-f7f0f713b568	f8a16e72-1e34-4301-bfbe-d615434a71b9	VENTILATION
df57de7d-c626-4472-b353-f7f0f713b568	3806fe67-450a-4ae5-85ce-75415504857c	INFILTRATION
df57de7d-c626-4472-b353-f7f0f713b568	744b731e-3f8b-4e15-96f3-f6de72cc60f6	IT_LOAD
0c995234-651c-4661-8b19-052ece4c36d7	67946bf2-a40c-44ef-8898-a01a92163ab2	SWITCHGEAR
0c995234-651c-4661-8b19-052ece4c36d7	9da4293c-185a-4a48-b3f4-44c62a0ff6a1	GENERATOR
0c995234-651c-4661-8b19-052ece4c36d7	9a5eb5ef-0586-4eb5-af8e-0edb0392d1d5	PRIMARY_AUXILIARIES
0c995234-651c-4661-8b19-052ece4c36d7	c2ec7897-f8cf-490b-a684-af6cff106420	UPS
0c995234-651c-4661-8b19-052ece4c36d7	32c8bc24-44bb-4ffd-83c9-a145b9ea8957	CRITICAL_AUXILIARIES
0c995234-651c-4661-8b19-052ece4c36d7	d030210e-ab32-49ed-8a5d-b277ab755ffd	LIGHTING
0c995234-651c-4661-8b19-052ece4c36d7	dd1bd04c-2682-47a7-9c1d-f2b295130a5e	CRITICAL_POWER_DISTRIBUTION
0c995234-651c-4661-8b19-052ece4c36d7	93f9d391-fc56-4627-9663-4d1b13ff7cfb	CRAH
0c995234-651c-4661-8b19-052ece4c36d7	fe03ddbc-49e6-4b4a-88aa-5978d0aa28bb	CRAC
0c995234-651c-4661-8b19-052ece4c36d7	b010e037-038e-4063-adef-e35bbca8fdda	CRAC_WITHOUT_FAN
0c995234-651c-4661-8b19-052ece4c36d7	a231fe4c-b192-4608-87d1-e863a85068e8	CRAC_FAN
0c995234-651c-4661-8b19-052ece4c36d7	5b37a7dd-854c-4703-ba08-d4b02a69fc30	CHILLER
0c995234-651c-4661-8b19-052ece4c36d7	5ffa3cc4-514e-4edc-b9b8-6c39d162fabc	AIR_COOLED_CHILLER
0c995234-651c-4661-8b19-052ece4c36d7	50dca4c7-b686-446b-9248-bb84959e59c3	COOLING_TOWER
0c995234-651c-4661-8b19-052ece4c36d7	ff99f189-1489-4a92-b574-77b742e92672	DRY_COOLER
0c995234-651c-4661-8b19-052ece4c36d7	b0ee19a3-254f-449d-8ac9-29374235924d	REMOTE_CONDENSER
0c995234-651c-4661-8b19-052ece4c36d7	13e08bc3-7b0c-40d0-9cf8-e609b0e7a457	CHILLED_WATER_PUMPS
0c995234-651c-4661-8b19-052ece4c36d7	1f2787aa-2ca1-4901-b968-c85654ce06d9	HEAT_REJECTION_PUMPS
0c995234-651c-4661-8b19-052ece4c36d7	530ae97c-bfb8-4916-a2ae-3f1aa16bab30	VENTILATION
0c995234-651c-4661-8b19-052ece4c36d7	0a2c5fad-3d15-4b19-9bbe-4b0a72d6a823	INFILTRATION
0c995234-651c-4661-8b19-052ece4c36d7	3a3c5e9c-be38-4cea-804f-8296f7585d30	IT_LOAD
daf91418-d8ac-4046-9e3a-fec2bd030884	f7fbe283-3199-4c63-8239-cbb209a92e38	SWITCHGEAR
daf91418-d8ac-4046-9e3a-fec2bd030884	4a89d324-ef33-4be3-a0d6-c67fd605123f	GENERATOR
daf91418-d8ac-4046-9e3a-fec2bd030884	66b546da-315c-4fea-afd7-a67eb912ee99	PRIMARY_AUXILIARIES
daf91418-d8ac-4046-9e3a-fec2bd030884	1d52eb99-12ef-4a02-bc5c-8d6d4b2fc8ef	UPS
daf91418-d8ac-4046-9e3a-fec2bd030884	2b9322b1-17bb-41d9-b708-71f38c281b23	CRITICAL_AUXILIARIES
daf91418-d8ac-4046-9e3a-fec2bd030884	d5414cd1-0127-48df-bd7d-cb0ec6bdec3d	LIGHTING
daf91418-d8ac-4046-9e3a-fec2bd030884	2ddbd298-76d0-4827-a848-bffceae2051e	CRITICAL_POWER_DISTRIBUTION
daf91418-d8ac-4046-9e3a-fec2bd030884	9505ccd3-0351-457d-b466-32db873a7b31	CRAH
daf91418-d8ac-4046-9e3a-fec2bd030884	d7c872eb-2fb0-4ec8-9ca0-77803996dc33	CRAC
daf91418-d8ac-4046-9e3a-fec2bd030884	3c3c37b2-9364-4bc2-aa1a-998d524d4a90	CRAC_WITHOUT_FAN
daf91418-d8ac-4046-9e3a-fec2bd030884	3580ad93-f6e7-4688-83c0-d0e232806574	CRAC_FAN
daf91418-d8ac-4046-9e3a-fec2bd030884	d0ffab05-0d3d-47d0-8ba6-05366395f086	CHILLER
daf91418-d8ac-4046-9e3a-fec2bd030884	abf360a4-9a22-4791-b689-e6e82a37e660	AIR_COOLED_CHILLER
daf91418-d8ac-4046-9e3a-fec2bd030884	9642a41d-7752-436f-8e13-e57b6ab719e5	COOLING_TOWER
daf91418-d8ac-4046-9e3a-fec2bd030884	3ca85013-e65d-4a48-9896-424a677f7ad4	DRY_COOLER
daf91418-d8ac-4046-9e3a-fec2bd030884	e8968640-3a9f-4ff8-9cf6-bf249901616b	REMOTE_CONDENSER
daf91418-d8ac-4046-9e3a-fec2bd030884	a76e94a0-0dcb-4667-8b5b-7a755c46bbca	CHILLED_WATER_PUMPS
daf91418-d8ac-4046-9e3a-fec2bd030884	76e63063-9ee1-4529-b8eb-0642d42de990	HEAT_REJECTION_PUMPS
daf91418-d8ac-4046-9e3a-fec2bd030884	325fa61b-4d91-42e8-9703-b26f6919d127	VENTILATION
daf91418-d8ac-4046-9e3a-fec2bd030884	44a2e4b3-471d-4c03-946e-5f5530a15974	INFILTRATION
daf91418-d8ac-4046-9e3a-fec2bd030884	65706cdf-f30d-44aa-98be-0f876c55528b	IT_LOAD
1a672216-bba2-4d37-91aa-a5aedec1c67c	d0e2be60-087b-40d5-a10e-4be4ca49178c	SWITCHGEAR
1a672216-bba2-4d37-91aa-a5aedec1c67c	b877ee58-de9b-484f-b09f-af7a410ada38	GENERATOR
1a672216-bba2-4d37-91aa-a5aedec1c67c	31ab8833-b00c-4ff4-a298-06d84bc7e5d6	PRIMARY_AUXILIARIES
1a672216-bba2-4d37-91aa-a5aedec1c67c	fd423811-a79d-4e7b-bacd-2408511fdd8b	UPS
1a672216-bba2-4d37-91aa-a5aedec1c67c	9aefb7cb-c6ec-47ef-8359-794d9a3427e9	CRITICAL_AUXILIARIES
1a672216-bba2-4d37-91aa-a5aedec1c67c	53f88322-2907-4caf-b5c2-1ae6e71936c6	LIGHTING
1a672216-bba2-4d37-91aa-a5aedec1c67c	1692939f-c2fd-4a64-b92c-c926732e134a	CRITICAL_POWER_DISTRIBUTION
1a672216-bba2-4d37-91aa-a5aedec1c67c	46715d73-a9f9-4971-8b71-56bd9f7a7e6f	CRAH
1a672216-bba2-4d37-91aa-a5aedec1c67c	dffc0a2d-217e-4bc5-a914-b112a9813711	CRAC
1a672216-bba2-4d37-91aa-a5aedec1c67c	2ae33d6f-4d74-4b32-83f0-78a0600db698	CRAC_WITHOUT_FAN
1a672216-bba2-4d37-91aa-a5aedec1c67c	ecf4a9c0-e200-453c-90c0-dca8f80cf79f	CRAC_FAN
1a672216-bba2-4d37-91aa-a5aedec1c67c	99c281f8-aec9-4bcc-babe-56a97f039c06	CHILLER
1a672216-bba2-4d37-91aa-a5aedec1c67c	c20bf535-89ca-47a9-a957-489486fe6a7b	AIR_COOLED_CHILLER
1a672216-bba2-4d37-91aa-a5aedec1c67c	33e4f50b-6786-44bc-80c2-feeef6ec4093	COOLING_TOWER
1a672216-bba2-4d37-91aa-a5aedec1c67c	af3d336a-228e-47b4-ad49-fa827bc9e0e0	DRY_COOLER
1a672216-bba2-4d37-91aa-a5aedec1c67c	86ac8581-65f5-4568-9918-510b8fbc2ffd	REMOTE_CONDENSER
1a672216-bba2-4d37-91aa-a5aedec1c67c	971962d8-c86b-4451-9e7b-164c927675be	CHILLED_WATER_PUMPS
1a672216-bba2-4d37-91aa-a5aedec1c67c	b0b38f5d-0deb-42ef-8c00-ef89327904f5	HEAT_REJECTION_PUMPS
1a672216-bba2-4d37-91aa-a5aedec1c67c	0a67ec62-a0a4-4ee6-872f-21185bc18749	VENTILATION
1a672216-bba2-4d37-91aa-a5aedec1c67c	80c8f88f-1295-477b-aea5-5600672a7a42	INFILTRATION
1a672216-bba2-4d37-91aa-a5aedec1c67c	7ae89287-8fe2-4a94-bfc2-8bc6b4f45c22	IT_LOAD
9575ab31-48da-4943-8001-d36a0422ce64	df02ebe7-9e17-4a24-8d42-97678677a1a5	SWITCHGEAR
9575ab31-48da-4943-8001-d36a0422ce64	10fc99c6-2874-4600-bc96-84aa9bf95ce6	GENERATOR
9575ab31-48da-4943-8001-d36a0422ce64	7de482fc-0198-47de-86c6-1c9f0d169cb3	PRIMARY_AUXILIARIES
9575ab31-48da-4943-8001-d36a0422ce64	c5042fef-0b0c-49d8-bf4b-0b2e7169adc1	UPS
9575ab31-48da-4943-8001-d36a0422ce64	ff377f2d-4398-48f5-82ba-9e1e3b726383	CRITICAL_AUXILIARIES
9575ab31-48da-4943-8001-d36a0422ce64	48d813d4-d133-424e-a235-af7f726a1eb1	LIGHTING
9575ab31-48da-4943-8001-d36a0422ce64	fdc28701-2b22-447f-9ea8-e6787e8b89b4	CRITICAL_POWER_DISTRIBUTION
9575ab31-48da-4943-8001-d36a0422ce64	ef373ee7-9d37-40af-99aa-ac9d34c7a4bf	CRAH
9575ab31-48da-4943-8001-d36a0422ce64	e4ec9083-3005-47a9-ba54-4cad3223db91	CRAC
9575ab31-48da-4943-8001-d36a0422ce64	38b8a4dc-0eb3-4621-be3c-2a87b85c9076	CRAC_WITHOUT_FAN
9575ab31-48da-4943-8001-d36a0422ce64	670a0006-802b-4d50-9f32-4be55fc8fd3d	CRAC_FAN
9575ab31-48da-4943-8001-d36a0422ce64	960d7963-a139-4255-8c57-0bc57ea9768e	CHILLER
9575ab31-48da-4943-8001-d36a0422ce64	8e680c57-49e3-4dea-a0bc-99ad7704c807	AIR_COOLED_CHILLER
9575ab31-48da-4943-8001-d36a0422ce64	f547c30a-2a2b-4ca2-8f1b-cd1c69fff714	COOLING_TOWER
9575ab31-48da-4943-8001-d36a0422ce64	3167e3b0-323c-44e4-b376-1f7113181a6f	DRY_COOLER
9575ab31-48da-4943-8001-d36a0422ce64	924696a3-f9a9-444f-9274-054aa66c56d5	REMOTE_CONDENSER
9575ab31-48da-4943-8001-d36a0422ce64	32e2438e-7366-4449-bdcf-a1d7fbf41de7	CHILLED_WATER_PUMPS
9575ab31-48da-4943-8001-d36a0422ce64	f911cb4e-882d-461b-91ca-7870c9e68a73	HEAT_REJECTION_PUMPS
9575ab31-48da-4943-8001-d36a0422ce64	7d04b623-6b58-4212-8ca6-54d3f2456769	VENTILATION
9575ab31-48da-4943-8001-d36a0422ce64	0e2b0c20-3860-40bc-8a9c-b29f3f069688	INFILTRATION
9575ab31-48da-4943-8001-d36a0422ce64	133283d3-76d1-41ae-95ec-4a2a127eef11	IT_LOAD
609f0a4c-c537-4622-ba8f-fb7c0674dfde	4d01cfeb-ff57-4b93-96c8-934dd2dadc55	SWITCHGEAR
609f0a4c-c537-4622-ba8f-fb7c0674dfde	21df55ad-5d8b-497f-aa4c-5647a5edccd6	GENERATOR
609f0a4c-c537-4622-ba8f-fb7c0674dfde	44af3aaf-9cfe-48a9-a652-9b589a883a63	PRIMARY_AUXILIARIES
609f0a4c-c537-4622-ba8f-fb7c0674dfde	85c9dba4-186e-45fd-98d3-6ed4d5f13585	UPS
609f0a4c-c537-4622-ba8f-fb7c0674dfde	1650fa6b-97c3-47d3-8d19-e9e8e97a575c	CRITICAL_AUXILIARIES
609f0a4c-c537-4622-ba8f-fb7c0674dfde	9945c5a0-8723-464f-92d4-595e72e7dec6	LIGHTING
609f0a4c-c537-4622-ba8f-fb7c0674dfde	192c0aac-4b91-4d27-8ccc-6708cd2234e5	CRITICAL_POWER_DISTRIBUTION
609f0a4c-c537-4622-ba8f-fb7c0674dfde	f2fe99cc-c5ab-408b-9849-cb91f2b52b81	CRAH
609f0a4c-c537-4622-ba8f-fb7c0674dfde	53286d92-f49c-4ad3-8855-b45c293b840c	CRAC
609f0a4c-c537-4622-ba8f-fb7c0674dfde	7310987b-4634-4652-b16c-3015d9194824	CRAC_WITHOUT_FAN
609f0a4c-c537-4622-ba8f-fb7c0674dfde	39fb2b37-acd1-44cc-9629-15908dd924ad	CRAC_FAN
609f0a4c-c537-4622-ba8f-fb7c0674dfde	2f2c785c-a206-4228-aaea-74b001f903d1	CHILLER
609f0a4c-c537-4622-ba8f-fb7c0674dfde	328b5e63-072d-4456-924a-9507635c0f03	AIR_COOLED_CHILLER
609f0a4c-c537-4622-ba8f-fb7c0674dfde	bb7257c5-2a5d-4a12-8ee8-309bc29e9cec	COOLING_TOWER
609f0a4c-c537-4622-ba8f-fb7c0674dfde	176b49e6-d549-4c2c-a19d-3da315d34bae	DRY_COOLER
609f0a4c-c537-4622-ba8f-fb7c0674dfde	4f768b76-ec51-4987-8ee2-4a30a173833f	REMOTE_CONDENSER
609f0a4c-c537-4622-ba8f-fb7c0674dfde	11ca27db-2dcc-4ff0-a7a6-5bd8749419ee	CHILLED_WATER_PUMPS
609f0a4c-c537-4622-ba8f-fb7c0674dfde	fd535ccf-410b-449b-ae52-773dfa199cc7	HEAT_REJECTION_PUMPS
609f0a4c-c537-4622-ba8f-fb7c0674dfde	42a13d6d-d9b3-4dc0-8bdd-70b2775709cb	VENTILATION
609f0a4c-c537-4622-ba8f-fb7c0674dfde	f2a949a5-cf86-4f6f-b1cd-4b6b88057188	INFILTRATION
609f0a4c-c537-4622-ba8f-fb7c0674dfde	41190517-43e4-452e-ba2c-da98ea022147	IT_LOAD
40f7e682-5ba9-4024-98d2-816834c97980	19ad90ac-3ce1-48d7-b660-42c8655fcafd	SWITCHGEAR
40f7e682-5ba9-4024-98d2-816834c97980	d8723235-772c-4f8c-8f8c-9f986e32f219	GENERATOR
40f7e682-5ba9-4024-98d2-816834c97980	d9d1f5dc-7915-4e3d-ad0b-19de854c8127	PRIMARY_AUXILIARIES
40f7e682-5ba9-4024-98d2-816834c97980	34f8bf56-5459-4846-a72e-8a15d71e412e	UPS
40f7e682-5ba9-4024-98d2-816834c97980	ba9b7b57-e644-4375-9813-7dc1696c4e98	CRITICAL_AUXILIARIES
40f7e682-5ba9-4024-98d2-816834c97980	cf151118-1a48-479d-b6a3-5c72bf98bc86	LIGHTING
40f7e682-5ba9-4024-98d2-816834c97980	5e83cd76-1311-497d-8c6c-b89f310b1b7a	CRITICAL_POWER_DISTRIBUTION
40f7e682-5ba9-4024-98d2-816834c97980	22b32af2-38d6-4bad-8d84-804c8cae8c55	CRAH
40f7e682-5ba9-4024-98d2-816834c97980	24177f0b-cfff-413a-b7a0-c9550339d865	CRAC
40f7e682-5ba9-4024-98d2-816834c97980	edcd9d9c-d3d2-4aec-b89d-d67c9f18933e	CRAC_WITHOUT_FAN
40f7e682-5ba9-4024-98d2-816834c97980	02b0683c-92ea-475e-9f70-f5f72762dfb9	CRAC_FAN
40f7e682-5ba9-4024-98d2-816834c97980	9c4f43e5-4224-496d-a243-39f4611e1279	CHILLER
40f7e682-5ba9-4024-98d2-816834c97980	3df6659f-ee88-4d14-b142-e88e193b25d0	AIR_COOLED_CHILLER
40f7e682-5ba9-4024-98d2-816834c97980	cc3bbf80-ac23-4cc2-8039-e7ad2796320c	COOLING_TOWER
40f7e682-5ba9-4024-98d2-816834c97980	64d27090-ab6c-4e79-bf1f-2680628198dc	DRY_COOLER
40f7e682-5ba9-4024-98d2-816834c97980	bc9d87c2-63c7-45dc-8dd2-e15847897b3c	REMOTE_CONDENSER
40f7e682-5ba9-4024-98d2-816834c97980	67cb7eea-3052-4976-a225-2592a98e6f5d	CHILLED_WATER_PUMPS
40f7e682-5ba9-4024-98d2-816834c97980	a40780ec-9785-4aa4-ae63-3faab0885b86	HEAT_REJECTION_PUMPS
40f7e682-5ba9-4024-98d2-816834c97980	9c1e32cf-4bfe-4dbc-8b3c-e026c56551c9	VENTILATION
40f7e682-5ba9-4024-98d2-816834c97980	1d84a8ec-71b3-4002-9dd7-2b82ecff0d4a	INFILTRATION
40f7e682-5ba9-4024-98d2-816834c97980	24646cfa-566a-47b6-a61e-541ccd2f076b	IT_LOAD
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	38af78f2-808d-4d69-b188-44a8bbea9c77	SWITCHGEAR
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	48f68344-352c-421b-adb1-6e882b2e5109	GENERATOR
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	23016ef2-56f2-48ad-990f-9bf85cdaa774	PRIMARY_AUXILIARIES
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	6976bc98-d6ec-4020-81ba-ba9360383efd	UPS
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	05c630c6-9c03-4a36-83bd-2ff7f10c7810	CRITICAL_AUXILIARIES
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	935a2265-f192-4243-af58-c9980188a031	LIGHTING
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	63c88200-b0c3-4753-b66c-2e862d33b7fc	CRITICAL_POWER_DISTRIBUTION
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	92f3571d-293f-4877-970f-a017a850b20d	CRAH
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	0be8d86a-9441-405a-8121-0cadc2164f2a	CRAC
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	1dacb341-67c3-4430-8508-07c6f3989f29	CRAC_WITHOUT_FAN
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	90d24c65-193b-4e09-852c-fac286dcc1c9	CRAC_FAN
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	2f5b6577-8ad7-466b-9299-dce4ecf9b552	CHILLER
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	5ed5293b-756b-4312-9f8f-7ec9b227d379	AIR_COOLED_CHILLER
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	8381a107-9b28-40ac-843e-e29d23f13d09	COOLING_TOWER
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	b7c4741f-924b-4ab6-b709-ec199c1882b7	DRY_COOLER
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	41e3ec47-8fb3-4d49-8aef-9788c21cd9e1	REMOTE_CONDENSER
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	2a2d0c12-25ed-4b60-b256-9665863c6040	CHILLED_WATER_PUMPS
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	3199af75-1706-4531-bb40-8d59ed1485f9	HEAT_REJECTION_PUMPS
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	6f865a05-81da-44cc-9721-273f422fcab5	VENTILATION
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	84d09ba4-4bd7-4ad5-b770-014db8288f17	INFILTRATION
165aa22e-5c7d-47d3-8ef9-cda5a3ba8d51	d49567e4-2a5b-488c-ab1f-5ef25c957504	IT_LOAD
0ba152cf-86bb-43ef-a29b-d72065d88af2	188c3d9c-00c8-42b7-b4b2-f55836b3db67	SWITCHGEAR
0ba152cf-86bb-43ef-a29b-d72065d88af2	450d7982-a9e3-4656-8b4a-1a1779f00446	GENERATOR
0ba152cf-86bb-43ef-a29b-d72065d88af2	4ff2f055-edd3-4cac-bccd-fffde9dfca1e	PRIMARY_AUXILIARIES
0ba152cf-86bb-43ef-a29b-d72065d88af2	5df60b68-e930-496a-bc07-42166d4174fb	UPS
0ba152cf-86bb-43ef-a29b-d72065d88af2	6c036580-12de-4f03-ac3c-1610a6df51d3	CRITICAL_AUXILIARIES
0ba152cf-86bb-43ef-a29b-d72065d88af2	30fdc2ad-5a16-4dc6-82ba-4da83b8e753c	LIGHTING
0ba152cf-86bb-43ef-a29b-d72065d88af2	d69c3e9b-389f-4e2a-9839-ba8dfe7e0255	CRITICAL_POWER_DISTRIBUTION
0ba152cf-86bb-43ef-a29b-d72065d88af2	d5a30997-b1e1-43ff-9515-37c3b5ce75fd	CRAH
0ba152cf-86bb-43ef-a29b-d72065d88af2	1b06bbf1-a16d-4ec0-bc87-05bd575f1102	CRAC
0ba152cf-86bb-43ef-a29b-d72065d88af2	049c0eee-aed2-4f70-8174-b4ec441ba320	CRAC_WITHOUT_FAN
0ba152cf-86bb-43ef-a29b-d72065d88af2	5f4bd447-8109-4c91-aff9-918e97c41284	CRAC_FAN
0ba152cf-86bb-43ef-a29b-d72065d88af2	a08e81a4-254a-47a8-8be2-daee336a9688	CHILLER
0ba152cf-86bb-43ef-a29b-d72065d88af2	6b01ec8d-b0e9-40bb-bb04-c3cede7649b0	AIR_COOLED_CHILLER
0ba152cf-86bb-43ef-a29b-d72065d88af2	8d2bb62d-1d90-45ae-a09a-d2ef3560318f	COOLING_TOWER
0ba152cf-86bb-43ef-a29b-d72065d88af2	3950f953-fbd6-4af6-bc31-6834a9740ea8	DRY_COOLER
0ba152cf-86bb-43ef-a29b-d72065d88af2	808541b2-60db-4084-9192-e5f7073980de	REMOTE_CONDENSER
0ba152cf-86bb-43ef-a29b-d72065d88af2	831ff74e-c2ce-45f7-8869-16e2cbede595	CHILLED_WATER_PUMPS
0ba152cf-86bb-43ef-a29b-d72065d88af2	5dc44781-34d3-4e39-8159-0ed21cc5fb36	HEAT_REJECTION_PUMPS
0ba152cf-86bb-43ef-a29b-d72065d88af2	f3d1b0e0-cf7f-483e-9a56-58a71aa1aa94	VENTILATION
0ba152cf-86bb-43ef-a29b-d72065d88af2	7a0ac3f1-f6be-4e16-a9f3-3e3c65dce60d	INFILTRATION
0ba152cf-86bb-43ef-a29b-d72065d88af2	1c0913c7-94c9-4d44-bab0-b47c65f4c7ef	IT_LOAD
efc59526-6517-4191-a76c-1712b4fe2de8	3c3a781d-27f8-4f5c-8071-6fc2cb1b9688	SWITCHGEAR
efc59526-6517-4191-a76c-1712b4fe2de8	bede7ca9-3a15-40cf-ba9b-8e1581973916	GENERATOR
efc59526-6517-4191-a76c-1712b4fe2de8	8dbb67fe-706f-471a-8c9a-0a0cc268c137	PRIMARY_AUXILIARIES
efc59526-6517-4191-a76c-1712b4fe2de8	9d1ded64-2efc-4a9b-ba3a-5f8224f11137	UPS
efc59526-6517-4191-a76c-1712b4fe2de8	60a932f7-7093-4cb1-8803-20a624010b94	CRITICAL_AUXILIARIES
efc59526-6517-4191-a76c-1712b4fe2de8	7c645b97-62fa-4983-9cce-e4cc01698507	LIGHTING
efc59526-6517-4191-a76c-1712b4fe2de8	b95591c0-6fcf-48e2-abec-c2ebb578e404	CRITICAL_POWER_DISTRIBUTION
efc59526-6517-4191-a76c-1712b4fe2de8	32de6be2-d925-4b9e-afbc-7da2745e3958	CRAH
efc59526-6517-4191-a76c-1712b4fe2de8	02c9e8c7-3beb-4978-b851-995811c55bdd	CRAC
efc59526-6517-4191-a76c-1712b4fe2de8	9e233ba2-ffc8-4ec1-ac5c-9db4f00fdff5	CRAC_WITHOUT_FAN
efc59526-6517-4191-a76c-1712b4fe2de8	742a45fa-d6b8-4665-b7ad-df110d3ed66d	CRAC_FAN
efc59526-6517-4191-a76c-1712b4fe2de8	68ef7ec3-9a4b-43f4-b192-7864a2a639dd	CHILLER
efc59526-6517-4191-a76c-1712b4fe2de8	28e5a0ac-59a8-4422-a05e-81809aab185d	AIR_COOLED_CHILLER
efc59526-6517-4191-a76c-1712b4fe2de8	9c866ebf-fc18-4a1c-85ea-7265bb661833	COOLING_TOWER
efc59526-6517-4191-a76c-1712b4fe2de8	997db660-afec-4ce6-aaad-640d80cf3375	DRY_COOLER
efc59526-6517-4191-a76c-1712b4fe2de8	ab07b65b-6318-4bf0-b7c4-095e5f8e1c23	REMOTE_CONDENSER
efc59526-6517-4191-a76c-1712b4fe2de8	a0adf80a-a219-47b6-be25-7a514aa11ba4	CHILLED_WATER_PUMPS
efc59526-6517-4191-a76c-1712b4fe2de8	67ac284f-41bb-4a5c-8230-7c0184a00fc4	HEAT_REJECTION_PUMPS
efc59526-6517-4191-a76c-1712b4fe2de8	01e24eea-a634-45b9-9b76-fffffeac0c67	VENTILATION
efc59526-6517-4191-a76c-1712b4fe2de8	baeeabca-2e80-46a0-95a4-00f87872aa21	INFILTRATION
efc59526-6517-4191-a76c-1712b4fe2de8	acbaeab8-4842-4361-b3b4-be65d08acee9	IT_LOAD
b05c654e-0a84-4097-a787-e64017a81994	70443c28-e7a5-4568-bcc8-8985fd4e5b7f	SWITCHGEAR
b05c654e-0a84-4097-a787-e64017a81994	64fd483e-eef6-4244-a055-69ae7ed6d80f	GENERATOR
b05c654e-0a84-4097-a787-e64017a81994	ec45a7fc-657d-4e45-8a99-b5653ac18e48	PRIMARY_AUXILIARIES
b05c654e-0a84-4097-a787-e64017a81994	17f567af-5cbb-4ea2-bc29-07050d0bda3c	UPS
b05c654e-0a84-4097-a787-e64017a81994	e0e36faa-a1d9-49bf-8077-d295254cf6f4	CRITICAL_AUXILIARIES
b05c654e-0a84-4097-a787-e64017a81994	0b7f2661-5741-45f8-820b-b0efd7dac2d5	LIGHTING
b05c654e-0a84-4097-a787-e64017a81994	73ab4e38-ae3b-4b50-890f-91cd91632a32	CRITICAL_POWER_DISTRIBUTION
b05c654e-0a84-4097-a787-e64017a81994	e7212593-05df-4257-9280-e6f0e96dcc62	CRAH
b05c654e-0a84-4097-a787-e64017a81994	790bdcc0-bfd0-449a-ade2-0ebdefcc516b	CRAC
b05c654e-0a84-4097-a787-e64017a81994	fffa9f6b-7d6c-4b8f-8509-4e8339854c3f	CRAC_WITHOUT_FAN
b05c654e-0a84-4097-a787-e64017a81994	6eb3d1f0-6267-4208-859a-e80336013fd1	CRAC_FAN
b05c654e-0a84-4097-a787-e64017a81994	aaea8dbb-d4bc-43a6-91ce-9fa8b83691ef	CHILLER
b05c654e-0a84-4097-a787-e64017a81994	23ba1531-9e2b-4566-9efc-b3991886775d	AIR_COOLED_CHILLER
b05c654e-0a84-4097-a787-e64017a81994	ebddbc85-1c07-4eae-8058-192067aa3bb6	COOLING_TOWER
b05c654e-0a84-4097-a787-e64017a81994	4c0a1432-d960-4093-9d7e-cf1cd8076bc2	DRY_COOLER
b05c654e-0a84-4097-a787-e64017a81994	15083b03-8d5e-4552-8179-e537982449c5	REMOTE_CONDENSER
b05c654e-0a84-4097-a787-e64017a81994	42a568e9-df19-45fd-aebb-891e966db31c	CHILLED_WATER_PUMPS
b05c654e-0a84-4097-a787-e64017a81994	46f75771-da18-4d07-b3c9-673d78883929	HEAT_REJECTION_PUMPS
b05c654e-0a84-4097-a787-e64017a81994	27454a31-f9a3-4c5d-91ae-cc1abbfbba17	VENTILATION
b05c654e-0a84-4097-a787-e64017a81994	6cb4f2f6-f2df-4707-8e52-bf47ed4a2f0d	INFILTRATION
b05c654e-0a84-4097-a787-e64017a81994	c249d11c-1026-4c2a-977f-3e21b422f706	IT_LOAD
47103586-25ab-4ed3-a3ca-2e1f778c2d24	9b2603ca-eb9d-4d3c-b393-24b47cdefd04	SWITCHGEAR
47103586-25ab-4ed3-a3ca-2e1f778c2d24	51ccd614-1cd7-4c54-b9ce-b3132ddc11c7	GENERATOR
47103586-25ab-4ed3-a3ca-2e1f778c2d24	bfc525f1-9331-4760-b974-4e3c8d1e461f	PRIMARY_AUXILIARIES
47103586-25ab-4ed3-a3ca-2e1f778c2d24	7f91a612-9b72-4b60-9fd3-f05896901290	UPS
47103586-25ab-4ed3-a3ca-2e1f778c2d24	9020fb5f-114f-416b-bef7-7da0a41ad151	CRITICAL_AUXILIARIES
47103586-25ab-4ed3-a3ca-2e1f778c2d24	db20688b-ce4c-4ea8-82fa-387a69000543	LIGHTING
47103586-25ab-4ed3-a3ca-2e1f778c2d24	888348ed-eb3e-47e5-865d-71f4b4891781	CRITICAL_POWER_DISTRIBUTION
47103586-25ab-4ed3-a3ca-2e1f778c2d24	1dad5bae-aefc-40f2-85af-5ddfa43dedd1	CRAH
47103586-25ab-4ed3-a3ca-2e1f778c2d24	fe940ac7-a5d9-436c-818b-b6dbbfb14daf	CRAC
47103586-25ab-4ed3-a3ca-2e1f778c2d24	c5e51466-9087-4402-a49b-68d7e727abc1	CRAC_WITHOUT_FAN
47103586-25ab-4ed3-a3ca-2e1f778c2d24	6b6ab74e-dd93-4a10-9cb4-777d9a483f58	CRAC_FAN
47103586-25ab-4ed3-a3ca-2e1f778c2d24	7baea3b3-7162-4480-828a-f8c45468da39	CHILLER
47103586-25ab-4ed3-a3ca-2e1f778c2d24	981d68cb-3cfc-4582-8570-2b8ac41eb6b9	AIR_COOLED_CHILLER
47103586-25ab-4ed3-a3ca-2e1f778c2d24	feb0358e-40a7-48b7-8ef4-97b59f20e95f	COOLING_TOWER
47103586-25ab-4ed3-a3ca-2e1f778c2d24	c3da03dd-25f8-495c-9ac0-6e6eba84b276	DRY_COOLER
47103586-25ab-4ed3-a3ca-2e1f778c2d24	06ef30d5-fdb9-41bc-ac49-2f60f85508d6	REMOTE_CONDENSER
47103586-25ab-4ed3-a3ca-2e1f778c2d24	ad9b08c1-2a90-4921-9c00-69e7af983e89	CHILLED_WATER_PUMPS
47103586-25ab-4ed3-a3ca-2e1f778c2d24	cdca5ff2-7984-4c6b-b218-b1b80108ad28	HEAT_REJECTION_PUMPS
47103586-25ab-4ed3-a3ca-2e1f778c2d24	67eb5059-c8d6-46eb-ad8b-ac6524ff0ccb	VENTILATION
47103586-25ab-4ed3-a3ca-2e1f778c2d24	8523437e-77e0-41b4-b618-a6d8941349f3	INFILTRATION
47103586-25ab-4ed3-a3ca-2e1f778c2d24	18ee2bf7-6b64-42b1-af68-509a90c86167	IT_LOAD
77221ee4-852c-41f0-9e29-b9e1ed832b64	cda596b4-5342-4590-ba2c-833c69a34f30	SWITCHGEAR
77221ee4-852c-41f0-9e29-b9e1ed832b64	a49000eb-9f59-4608-845c-55757bcdf16c	GENERATOR
77221ee4-852c-41f0-9e29-b9e1ed832b64	1648eee4-adfc-41ca-b283-248a0d5f580a	PRIMARY_AUXILIARIES
77221ee4-852c-41f0-9e29-b9e1ed832b64	0ef1a248-c2f2-44b9-bac0-a74ebbae6f04	UPS
77221ee4-852c-41f0-9e29-b9e1ed832b64	4b49c4cb-da91-45f5-a9bf-adfc38b87bca	CRITICAL_AUXILIARIES
77221ee4-852c-41f0-9e29-b9e1ed832b64	f312a99f-eb03-47b2-a4a7-c5575e31b57f	LIGHTING
77221ee4-852c-41f0-9e29-b9e1ed832b64	568cd67c-a125-40de-a240-b4cef1d5483f	CRITICAL_POWER_DISTRIBUTION
77221ee4-852c-41f0-9e29-b9e1ed832b64	63f29a8f-b27f-4c8a-a3f4-5f4d800d1574	CRAH
77221ee4-852c-41f0-9e29-b9e1ed832b64	e5bb3f76-4a7e-4703-96bc-12130b8d2122	CRAC
77221ee4-852c-41f0-9e29-b9e1ed832b64	dba5c399-a6a6-4fe3-b38e-8f1591dac8dc	CRAC_WITHOUT_FAN
77221ee4-852c-41f0-9e29-b9e1ed832b64	0e42ccb8-0289-4d8e-aff9-3f5af0c03956	CRAC_FAN
77221ee4-852c-41f0-9e29-b9e1ed832b64	11d694dc-cce9-4b38-afd4-62374b4eee8b	CHILLER
77221ee4-852c-41f0-9e29-b9e1ed832b64	6bd40878-7597-4de6-9863-ac1422153000	AIR_COOLED_CHILLER
77221ee4-852c-41f0-9e29-b9e1ed832b64	83823e92-f2c0-49e3-abe7-dd99a4350e5b	COOLING_TOWER
77221ee4-852c-41f0-9e29-b9e1ed832b64	19008ad2-ac1e-454d-96c8-8065588cd00e	DRY_COOLER
77221ee4-852c-41f0-9e29-b9e1ed832b64	44e58d01-0740-4335-80fb-c79782d2f533	REMOTE_CONDENSER
77221ee4-852c-41f0-9e29-b9e1ed832b64	d2115287-0e55-4e04-b0b4-3211975c4db9	CHILLED_WATER_PUMPS
77221ee4-852c-41f0-9e29-b9e1ed832b64	256a63cc-5281-4c3f-9352-1f265c1fd62d	HEAT_REJECTION_PUMPS
77221ee4-852c-41f0-9e29-b9e1ed832b64	4994defb-2fc6-48a0-b84e-07d6a1088264	VENTILATION
77221ee4-852c-41f0-9e29-b9e1ed832b64	d35b914a-a1de-4222-abbf-b1bab346a479	INFILTRATION
77221ee4-852c-41f0-9e29-b9e1ed832b64	6ae64261-df5a-4b78-a7c7-3d19dd3e8780	IT_LOAD
bbfbc781-894a-4d9b-9b38-95b2192f86f1	91672f9f-858e-434f-9afc-fb54100c89aa	SWITCHGEAR
bbfbc781-894a-4d9b-9b38-95b2192f86f1	96803d15-8bdb-4d32-8bcd-0ae3e6aa5646	GENERATOR
bbfbc781-894a-4d9b-9b38-95b2192f86f1	206a4a2c-57cf-4407-8d0c-d330dfebd296	PRIMARY_AUXILIARIES
bbfbc781-894a-4d9b-9b38-95b2192f86f1	6db41b8b-2f38-4508-b9dc-2ba16a214662	UPS
bbfbc781-894a-4d9b-9b38-95b2192f86f1	e03bd427-ae18-4fa7-8cc9-f7c39f0670f8	CRITICAL_AUXILIARIES
bbfbc781-894a-4d9b-9b38-95b2192f86f1	80fef699-d45e-4e9b-98ca-5bcd4f1d1f74	LIGHTING
bbfbc781-894a-4d9b-9b38-95b2192f86f1	d51db71d-0c28-4942-a3d0-f825a8043622	CRITICAL_POWER_DISTRIBUTION
bbfbc781-894a-4d9b-9b38-95b2192f86f1	4c677ab6-6cfc-4318-a5ef-8a2253fe828e	CRAH
bbfbc781-894a-4d9b-9b38-95b2192f86f1	6b2e3ff7-1ca3-4612-877c-e62d1c92bbee	CRAC
bbfbc781-894a-4d9b-9b38-95b2192f86f1	9ba03bb4-4a69-44bd-b9f8-7a17d5bf0a5c	CRAC_WITHOUT_FAN
bbfbc781-894a-4d9b-9b38-95b2192f86f1	69225d50-39cf-4917-b0d7-5fdc52081b01	CRAC_FAN
bbfbc781-894a-4d9b-9b38-95b2192f86f1	2cfd38d9-d08e-40e8-af1b-8128b80f75db	CHILLER
bbfbc781-894a-4d9b-9b38-95b2192f86f1	1b571716-7452-4c15-b789-30d3aacdb1f1	AIR_COOLED_CHILLER
bbfbc781-894a-4d9b-9b38-95b2192f86f1	5ab7c30c-54f5-45c9-b355-933e22512c54	COOLING_TOWER
bbfbc781-894a-4d9b-9b38-95b2192f86f1	6c754590-eeb1-4317-a4ce-965a42330e1d	DRY_COOLER
bbfbc781-894a-4d9b-9b38-95b2192f86f1	f7dacbbf-33ce-4cf0-b7f5-e97774fea507	REMOTE_CONDENSER
bbfbc781-894a-4d9b-9b38-95b2192f86f1	33a0cc6a-87ec-48d1-b5b3-0bb72aa1e27e	CHILLED_WATER_PUMPS
bbfbc781-894a-4d9b-9b38-95b2192f86f1	ad9728dd-dc0c-41e5-a3dc-732d45e5a033	HEAT_REJECTION_PUMPS
bbfbc781-894a-4d9b-9b38-95b2192f86f1	7de26b9f-1beb-4518-8b57-88d0b4440f7a	VENTILATION
bbfbc781-894a-4d9b-9b38-95b2192f86f1	e7b49a0b-2bd5-4274-88af-b5814dacc7ce	INFILTRATION
bbfbc781-894a-4d9b-9b38-95b2192f86f1	854bf052-e7a9-46da-bcc2-f1bc52a8ccf0	IT_LOAD
d0257746-12d9-405b-8bd4-b5e57dd094a6	a992805f-b14b-4bcc-a9f9-c3c9b4253daa	SWITCHGEAR
d0257746-12d9-405b-8bd4-b5e57dd094a6	3f539300-4652-4587-898e-eb84895e10ea	GENERATOR
d0257746-12d9-405b-8bd4-b5e57dd094a6	08012c56-af65-44ae-b863-0277415f1204	PRIMARY_AUXILIARIES
d0257746-12d9-405b-8bd4-b5e57dd094a6	b752f6bd-767a-4574-aff3-098b4bf504dd	UPS
d0257746-12d9-405b-8bd4-b5e57dd094a6	0b75df49-97ab-4a75-a4cb-90f8a5bf93fb	CRITICAL_AUXILIARIES
d0257746-12d9-405b-8bd4-b5e57dd094a6	454a05e2-69ec-4e09-a7ad-272a980b063b	LIGHTING
d0257746-12d9-405b-8bd4-b5e57dd094a6	ebffa089-b794-47d4-bcb2-1f6464fe7eb7	CRITICAL_POWER_DISTRIBUTION
d0257746-12d9-405b-8bd4-b5e57dd094a6	c4a28afd-41c8-4eee-9aba-1713707ca8a1	CRAH
d0257746-12d9-405b-8bd4-b5e57dd094a6	02512a93-a15c-412f-89e7-80e2b92932ef	CRAC
d0257746-12d9-405b-8bd4-b5e57dd094a6	ed424080-c659-4a67-a1a6-00d42969cd34	CRAC_WITHOUT_FAN
d0257746-12d9-405b-8bd4-b5e57dd094a6	aeef313a-118f-401c-b745-0feb4e9a28e9	CRAC_FAN
d0257746-12d9-405b-8bd4-b5e57dd094a6	29c2631b-b1a8-4556-810c-9b78aae6999b	CHILLER
d0257746-12d9-405b-8bd4-b5e57dd094a6	9d43a1d4-c7d8-422d-b7d3-c5b9eac11522	AIR_COOLED_CHILLER
d0257746-12d9-405b-8bd4-b5e57dd094a6	41db5363-7179-47af-802a-cf84b3e1d144	COOLING_TOWER
d0257746-12d9-405b-8bd4-b5e57dd094a6	2ceed81e-c839-46ca-9e1f-4f7d4b29d674	DRY_COOLER
d0257746-12d9-405b-8bd4-b5e57dd094a6	97eab45b-60e3-4670-ba5d-9abeacdbdfdf	REMOTE_CONDENSER
d0257746-12d9-405b-8bd4-b5e57dd094a6	b9870ba5-8a7a-42b1-ab99-7168d160eddd	CHILLED_WATER_PUMPS
d0257746-12d9-405b-8bd4-b5e57dd094a6	c750566f-0285-4862-a080-48965c90201c	HEAT_REJECTION_PUMPS
d0257746-12d9-405b-8bd4-b5e57dd094a6	e9dc0c14-9b77-4907-9914-ba429c891a21	VENTILATION
d0257746-12d9-405b-8bd4-b5e57dd094a6	65bb7b49-7eb5-4cd8-94db-91ab7a2dbdcf	INFILTRATION
d0257746-12d9-405b-8bd4-b5e57dd094a6	b24a6f57-33c2-43da-a63a-e2b68d6037f0	IT_LOAD
1d06a524-7605-4b6d-a715-9094f1cf479a	b5739851-9f54-4390-84d2-6e9279b9198a	SWITCHGEAR
1d06a524-7605-4b6d-a715-9094f1cf479a	e1ca6c71-eb4b-4722-aa3e-a7f95efa17cf	GENERATOR
1d06a524-7605-4b6d-a715-9094f1cf479a	45a2d736-e09b-4a3e-96ee-1612ac8c475d	PRIMARY_AUXILIARIES
1d06a524-7605-4b6d-a715-9094f1cf479a	9b7ab91c-9ca2-41db-a6cb-992dfc3bcdee	UPS
1d06a524-7605-4b6d-a715-9094f1cf479a	b22fd201-1d0a-4f57-ad35-0ee67fac9bcb	CRITICAL_AUXILIARIES
1d06a524-7605-4b6d-a715-9094f1cf479a	51dbf308-54c7-4680-8472-82541aca907b	LIGHTING
1d06a524-7605-4b6d-a715-9094f1cf479a	e09168bc-ce75-4134-a128-bc64e2231b2c	CRITICAL_POWER_DISTRIBUTION
1d06a524-7605-4b6d-a715-9094f1cf479a	6745ff3d-c2e9-4c95-9b42-f7a5d0732d8e	CRAH
1d06a524-7605-4b6d-a715-9094f1cf479a	12fc3ea9-a3ba-4289-9eb3-bfbe2637b820	CRAC
1d06a524-7605-4b6d-a715-9094f1cf479a	ba3946ba-c3e5-47b6-a9e4-476ff769aec1	CRAC_WITHOUT_FAN
1d06a524-7605-4b6d-a715-9094f1cf479a	bb9e2324-d873-4a01-a25d-971e56b3d4e9	CRAC_FAN
1d06a524-7605-4b6d-a715-9094f1cf479a	bb86bea6-bc7d-489e-bb73-7373a9af0f7c	CHILLER
1d06a524-7605-4b6d-a715-9094f1cf479a	0755cc47-a8ef-43ee-893c-c9709b9a8280	AIR_COOLED_CHILLER
1d06a524-7605-4b6d-a715-9094f1cf479a	51c7ca84-de4b-45a2-8902-9334d19be1ee	COOLING_TOWER
1d06a524-7605-4b6d-a715-9094f1cf479a	c8bbe7e3-ba22-4793-a7f7-a8f53f4698aa	DRY_COOLER
1d06a524-7605-4b6d-a715-9094f1cf479a	6d1b3054-5a2c-49a4-ae3a-b94c531bd7bb	REMOTE_CONDENSER
1d06a524-7605-4b6d-a715-9094f1cf479a	a44deec7-578e-4fe4-b693-4f1986e53091	CHILLED_WATER_PUMPS
1d06a524-7605-4b6d-a715-9094f1cf479a	bc3539c9-ad7d-44fd-9f6d-49e243870fab	HEAT_REJECTION_PUMPS
1d06a524-7605-4b6d-a715-9094f1cf479a	4aac1b09-1fdf-4162-b312-b8fc22d71f02	VENTILATION
1d06a524-7605-4b6d-a715-9094f1cf479a	7b3e4fd2-c7f7-498f-aee7-bbc146210b10	INFILTRATION
1d06a524-7605-4b6d-a715-9094f1cf479a	580556ef-5f25-4db4-9d66-f600a6c4c012	IT_LOAD
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	1f1dc43b-4560-4614-9d2d-f0d0e3b45d16	SWITCHGEAR
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	af9bc744-3fdc-4970-a96b-ca7635c7cf4c	GENERATOR
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	d1250590-1b4f-4631-b762-7c9eae1920e5	PRIMARY_AUXILIARIES
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	062c8064-a2f4-4cde-bb6f-9139cdc8bd04	UPS
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	1430c6f7-6091-47d8-99ac-0063def5149b	CRITICAL_AUXILIARIES
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	301f8e80-0523-4415-9e8a-7425142bff65	LIGHTING
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	a9aa6a6c-07a5-4d54-bcfd-e6a404590813	CRITICAL_POWER_DISTRIBUTION
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	5c27adda-617c-49e2-8c68-8f81a87eea78	CRAH
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	000134d5-b2c8-424f-a56d-a0710a63a799	CRAC
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	df263ab7-a261-4ce2-815e-20bd23599de4	CRAC_WITHOUT_FAN
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	86de2943-2024-4977-b89d-e8d79770bfe4	CRAC_FAN
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	82d634fe-5944-4227-97c3-fc14a8e5df0c	CHILLER
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	746270d0-1fba-41eb-9c2e-355f31eb0b0c	AIR_COOLED_CHILLER
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	865a443d-edab-4f34-870f-424630c2db76	COOLING_TOWER
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	cf94f9a0-0bbb-453b-ae65-d1df76de28de	DRY_COOLER
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	5d842875-57f1-43da-b05b-ae689a68945c	REMOTE_CONDENSER
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	74764eea-99c8-4cdb-a91f-ffc71ab1e01f	CHILLED_WATER_PUMPS
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	ff7f6d03-afc2-403f-ac1a-507f13553652	HEAT_REJECTION_PUMPS
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	0e0bea00-9c2b-418f-badc-2a73aafe1ccb	VENTILATION
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	af2bd990-9fdb-4e9a-b59b-6db6bc54f4d5	INFILTRATION
f1cc8a09-7047-4a31-9e2c-ecd3dc40c20f	5acfca64-6a6f-4261-841c-590b3773b3de	IT_LOAD
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	1fff042f-4fbe-4f05-b67b-9552901f5190	SWITCHGEAR
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	b3d2f60b-77e3-46c2-8582-104cbc475696	GENERATOR
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	6f53530f-b38d-49c2-b15d-1b72fa4e9db2	PRIMARY_AUXILIARIES
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	475e6bed-c18a-4e59-893d-b40869bf2ae1	UPS
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	41cf3208-2dad-4a49-b8fc-a663f5b54aa0	CRITICAL_AUXILIARIES
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	164285cf-ec7d-484b-ab3a-d4e6139d6583	LIGHTING
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	688c645a-becb-42b4-b8f4-58de0f4928ca	CRITICAL_POWER_DISTRIBUTION
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	39fad5e9-2e20-45a4-a9b0-8551349ca756	CRAH
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	dcbed665-7526-402b-be83-b0659b69842d	CRAC
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	182c5c78-8bd4-4c23-8a16-9654346a5bed	CRAC_WITHOUT_FAN
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	8e01e56f-bcf5-41ce-b9cf-c7c7b23fa663	CRAC_FAN
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	aa0f2e13-a4ed-48c2-8d7d-3f3ab8d47fdd	CHILLER
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	36adc1d6-7891-4c45-9013-9eac6749f252	AIR_COOLED_CHILLER
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	f2af4147-af4e-40ba-add0-64f5087c35d7	COOLING_TOWER
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	c770917c-21c6-4852-af38-1ad678e6fa41	DRY_COOLER
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	f4b7a5a8-4c7d-4be6-8abd-7e3238a8c89e	REMOTE_CONDENSER
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	6125c883-bac0-4563-bd31-c8f8541971ed	CHILLED_WATER_PUMPS
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	bda34648-68c3-4017-a8aa-fdc2428dc9d2	HEAT_REJECTION_PUMPS
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	06040cc3-0918-4402-803f-8ad734db00e3	VENTILATION
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	b9214651-2f78-4d10-a536-c4854409ae6b	INFILTRATION
4ab23a72-4da8-4126-bbe8-5d09bb05c0e6	e9085527-7cbe-4d5a-aa92-8869758dfe0d	IT_LOAD
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	8c0551bc-3962-466f-be03-f8565d3fe065	SWITCHGEAR
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	4568b435-2302-45f2-b59a-8a913a561a49	GENERATOR
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	7a609e6e-3933-41bd-afc0-3d2d0887e1ee	PRIMARY_AUXILIARIES
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	558f4d3a-58b9-4393-a7df-cc30281f39ec	UPS
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	b7c61b98-e797-4609-8f35-34d108e5b66d	CRITICAL_AUXILIARIES
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	c0860107-0fc7-4ffa-a955-4b008ba62911	LIGHTING
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	e52068ec-3298-4a3a-bea6-67ca80dfc3ba	CRITICAL_POWER_DISTRIBUTION
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	e5128428-f6c7-404d-9f42-3a7ddc625f60	CRAH
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	d180f897-f2d7-47fb-b758-318332161555	CRAC
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	c45ca7f1-1baa-4059-b9c7-f3966f9869d2	CRAC_WITHOUT_FAN
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	2c1e3c86-8619-4a5c-bb78-1e44d9c2cc29	CRAC_FAN
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	0d343264-5267-45e2-9f12-a278e3215cea	CHILLER
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	14f787de-0eb5-448e-8327-ee8c23adce87	AIR_COOLED_CHILLER
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	8c1d2625-b25d-4d71-9ca5-b9782e1aace1	COOLING_TOWER
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	f5719fc0-4599-4290-8fdd-979faf1be1b6	DRY_COOLER
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	db40b7dc-697d-48f7-8c71-0d49bd922a35	REMOTE_CONDENSER
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	9831f94d-ece7-4cdb-bbda-48b5ea6e01bc	CHILLED_WATER_PUMPS
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	8f107455-4dee-483b-bdea-88b6fab3e77a	HEAT_REJECTION_PUMPS
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	938fd7bb-90e4-482c-8ab5-aa501b56f875	VENTILATION
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	cb950356-42ee-4b00-a4a0-a362a5b3f23c	INFILTRATION
d0b97a24-a07b-4d99-b531-a2f80dacfc2e	bf581190-f666-4ded-a7c8-16da0388155d	IT_LOAD
b65d5c61-a06d-4184-9614-3ee672fbb681	e4e54194-e181-464d-937c-6c31e38d6ffa	SWITCHGEAR
b65d5c61-a06d-4184-9614-3ee672fbb681	88aecbed-1e0e-4ee9-b16d-0a0d8e517c10	GENERATOR
b65d5c61-a06d-4184-9614-3ee672fbb681	eb0a64d4-50e5-4222-88ce-8e893ea63f46	PRIMARY_AUXILIARIES
b65d5c61-a06d-4184-9614-3ee672fbb681	1e359bbb-913c-4bf3-a559-cbc9a12182ce	UPS
b65d5c61-a06d-4184-9614-3ee672fbb681	625b8352-4620-4ff6-9ae3-4dba177103e5	CRITICAL_AUXILIARIES
b65d5c61-a06d-4184-9614-3ee672fbb681	4274af1d-4309-4534-9853-2d9cd6bd43c0	LIGHTING
b65d5c61-a06d-4184-9614-3ee672fbb681	de6a0a54-2f81-41f4-900a-6416b25f7796	CRITICAL_POWER_DISTRIBUTION
b65d5c61-a06d-4184-9614-3ee672fbb681	158b9c29-9f34-460e-a8a1-bae27983c1ba	CRAH
b65d5c61-a06d-4184-9614-3ee672fbb681	57113466-74e3-4b7c-835f-eaf91107c258	CRAC
b65d5c61-a06d-4184-9614-3ee672fbb681	aadb34d7-e414-4f81-82e0-828525e9e5a2	CRAC_WITHOUT_FAN
b65d5c61-a06d-4184-9614-3ee672fbb681	191b70c7-448c-4a29-85ed-732a39f24f24	CRAC_FAN
b65d5c61-a06d-4184-9614-3ee672fbb681	d93ab800-9659-4b5a-b050-4ecee2b7d216	CHILLER
b65d5c61-a06d-4184-9614-3ee672fbb681	dd1b41de-d9e4-4dd0-999f-eb9c7f8f322c	AIR_COOLED_CHILLER
b65d5c61-a06d-4184-9614-3ee672fbb681	a6691022-520b-4a20-af7d-fb988bac01df	COOLING_TOWER
b65d5c61-a06d-4184-9614-3ee672fbb681	1a676e24-2b6c-4cb7-9183-8bcc3dce2143	DRY_COOLER
b65d5c61-a06d-4184-9614-3ee672fbb681	96163444-1d82-4e02-aad2-5a4c9aceaf65	REMOTE_CONDENSER
b65d5c61-a06d-4184-9614-3ee672fbb681	f3694e69-30e5-4691-99d3-13c6e7356556	CHILLED_WATER_PUMPS
b65d5c61-a06d-4184-9614-3ee672fbb681	f56b4ee7-4af2-401e-b2c1-482b53f70532	HEAT_REJECTION_PUMPS
b65d5c61-a06d-4184-9614-3ee672fbb681	d710a6da-b2f3-4905-8f0b-7845d1c4010f	VENTILATION
b65d5c61-a06d-4184-9614-3ee672fbb681	a5d9efdf-31b7-4e9e-a7d6-18ad8c52fa39	INFILTRATION
b65d5c61-a06d-4184-9614-3ee672fbb681	46ae1b6d-6dcc-464d-b146-80e447b5b8f9	IT_LOAD
dd1ea62d-bef0-40f8-9c4a-816cb45df299	30b3831a-2258-4bc4-a90f-0f77b8ba63bf	SWITCHGEAR
dd1ea62d-bef0-40f8-9c4a-816cb45df299	eca6b292-6d3e-481e-8dd6-78976d68e8dd	GENERATOR
dd1ea62d-bef0-40f8-9c4a-816cb45df299	42bf48c5-3bbf-4cea-ab51-a8a2b34d8733	PRIMARY_AUXILIARIES
dd1ea62d-bef0-40f8-9c4a-816cb45df299	5e7ca67a-abbd-4f38-8da1-f5d55981b411	UPS
dd1ea62d-bef0-40f8-9c4a-816cb45df299	8c39b3df-7934-42f8-a81b-a34dcc98352e	CRITICAL_AUXILIARIES
dd1ea62d-bef0-40f8-9c4a-816cb45df299	89a43256-4a23-4f50-9007-3399952b95de	LIGHTING
dd1ea62d-bef0-40f8-9c4a-816cb45df299	07457d92-0e93-4786-b30d-d44a6dcc761f	CRITICAL_POWER_DISTRIBUTION
dd1ea62d-bef0-40f8-9c4a-816cb45df299	5eaa966c-f1a6-48e2-b609-085be049200c	CRAH
dd1ea62d-bef0-40f8-9c4a-816cb45df299	3f960739-faa0-437a-9a7d-6e40b57564b8	CRAC
dd1ea62d-bef0-40f8-9c4a-816cb45df299	dcbdf49e-9b49-4cb3-8b18-2fe8e95af304	CRAC_WITHOUT_FAN
dd1ea62d-bef0-40f8-9c4a-816cb45df299	bac9da69-294e-4c58-9918-3e21055affa7	CRAC_FAN
dd1ea62d-bef0-40f8-9c4a-816cb45df299	0cc029e1-44dc-468d-b557-dd584c65413b	CHILLER
dd1ea62d-bef0-40f8-9c4a-816cb45df299	ab7a8033-6c44-4fa0-8e47-446998d10a7a	AIR_COOLED_CHILLER
dd1ea62d-bef0-40f8-9c4a-816cb45df299	f1f9da51-d5a9-442a-ae2c-0cf4f27ad634	COOLING_TOWER
dd1ea62d-bef0-40f8-9c4a-816cb45df299	16773a35-1c41-4109-a4b5-d6bdf3ed6df1	DRY_COOLER
dd1ea62d-bef0-40f8-9c4a-816cb45df299	f86f8a75-908d-4c73-96d8-43a941cc00ba	REMOTE_CONDENSER
dd1ea62d-bef0-40f8-9c4a-816cb45df299	d2c58dcb-3bec-4654-b4a9-7bf2ff9a75dc	CHILLED_WATER_PUMPS
dd1ea62d-bef0-40f8-9c4a-816cb45df299	9d2d5b3b-e41b-4506-9bb0-ca92ed94e708	HEAT_REJECTION_PUMPS
dd1ea62d-bef0-40f8-9c4a-816cb45df299	84e0b450-4fa4-4a03-a2f2-ab4c52129268	VENTILATION
dd1ea62d-bef0-40f8-9c4a-816cb45df299	35af5c04-c4d8-4230-8a34-345ce903611a	INFILTRATION
dd1ea62d-bef0-40f8-9c4a-816cb45df299	32e16e8b-9f88-4c1a-8528-80c14a7aeb45	IT_LOAD
943a60b9-f253-491d-ab93-1b7aceaaeabd	fbe89b20-8eb0-4e3e-b599-6b643b99ed7a	SWITCHGEAR
943a60b9-f253-491d-ab93-1b7aceaaeabd	9715fa52-2343-4e9d-8fc3-003d3c3b2360	GENERATOR
943a60b9-f253-491d-ab93-1b7aceaaeabd	6baa7cff-626a-4e4e-b675-2bdff08e441b	PRIMARY_AUXILIARIES
943a60b9-f253-491d-ab93-1b7aceaaeabd	a7426e4e-569f-4418-8643-192f3b986d33	UPS
943a60b9-f253-491d-ab93-1b7aceaaeabd	4a46d768-3ceb-4f3a-9847-fec47517f542	CRITICAL_AUXILIARIES
943a60b9-f253-491d-ab93-1b7aceaaeabd	789d26b8-a6a9-400e-947d-59986ce47e4a	LIGHTING
943a60b9-f253-491d-ab93-1b7aceaaeabd	579a0324-7e29-41be-a4c5-201898336546	CRITICAL_POWER_DISTRIBUTION
943a60b9-f253-491d-ab93-1b7aceaaeabd	501b8459-76de-4b93-8f0f-3ae6ed8a184c	CRAH
943a60b9-f253-491d-ab93-1b7aceaaeabd	532fa796-a4de-42e2-8724-028446e1ed97	CRAC
943a60b9-f253-491d-ab93-1b7aceaaeabd	8acf60f0-67f3-4bfc-a7fa-265fddb08acb	CRAC_WITHOUT_FAN
943a60b9-f253-491d-ab93-1b7aceaaeabd	630f9c68-c8b0-46ca-a1fd-f7e6eb4ae389	CRAC_FAN
943a60b9-f253-491d-ab93-1b7aceaaeabd	4b37dfd4-e314-4fc4-81fc-bb83951e434e	CHILLER
943a60b9-f253-491d-ab93-1b7aceaaeabd	6c46a523-d701-447b-9d1e-0c15966eabf2	AIR_COOLED_CHILLER
943a60b9-f253-491d-ab93-1b7aceaaeabd	451f9072-b3d3-4e0e-8985-4c030295a221	COOLING_TOWER
943a60b9-f253-491d-ab93-1b7aceaaeabd	9081d988-f531-4dad-90ef-9e818500c59d	DRY_COOLER
943a60b9-f253-491d-ab93-1b7aceaaeabd	a2665a8d-64ee-4ac7-b6d1-63ba03ca2796	REMOTE_CONDENSER
943a60b9-f253-491d-ab93-1b7aceaaeabd	162150d0-a345-4c27-90c5-bc5ce96aec72	CHILLED_WATER_PUMPS
943a60b9-f253-491d-ab93-1b7aceaaeabd	54b8042c-3b44-4aa2-8757-e91fad3fc673	HEAT_REJECTION_PUMPS
943a60b9-f253-491d-ab93-1b7aceaaeabd	12b70554-1532-4a02-85e7-8e4c44462a19	VENTILATION
943a60b9-f253-491d-ab93-1b7aceaaeabd	b4707707-51ad-4efa-a6dc-efd297273392	INFILTRATION
943a60b9-f253-491d-ab93-1b7aceaaeabd	b38a9295-5359-4b94-9161-ca394b3ddb60	IT_LOAD
7ec89ac6-62cb-40f7-9047-b82343bd2528	7f5b58a5-d0a1-4a49-9064-4a73ccd26976	SWITCHGEAR
7ec89ac6-62cb-40f7-9047-b82343bd2528	a8c6b720-88de-41e8-b5ed-f283e35b7ed9	GENERATOR
7ec89ac6-62cb-40f7-9047-b82343bd2528	689a69b8-619b-4c67-8836-049a02d6df50	PRIMARY_AUXILIARIES
7ec89ac6-62cb-40f7-9047-b82343bd2528	af0c9e0b-d89f-49a2-b839-23d3ffd584e6	UPS
7ec89ac6-62cb-40f7-9047-b82343bd2528	4814e470-901b-437d-9cce-9f99371cc1a8	CRITICAL_AUXILIARIES
7ec89ac6-62cb-40f7-9047-b82343bd2528	3b02c8d9-099c-4986-b525-a707fc840bbf	LIGHTING
7ec89ac6-62cb-40f7-9047-b82343bd2528	63613fe9-c247-46ca-a87b-2014eaf7bc59	CRITICAL_POWER_DISTRIBUTION
7ec89ac6-62cb-40f7-9047-b82343bd2528	ba67b119-0573-4395-8c30-badcf43ac605	CRAH
7ec89ac6-62cb-40f7-9047-b82343bd2528	034a33b6-4aea-4e2f-9d2f-d8f3b14b1533	CRAC
7ec89ac6-62cb-40f7-9047-b82343bd2528	363d681f-0c86-4cd6-b998-638f3a861a92	CRAC_WITHOUT_FAN
7ec89ac6-62cb-40f7-9047-b82343bd2528	57474e97-07c7-4980-be39-54bc0e0b448f	CRAC_FAN
7ec89ac6-62cb-40f7-9047-b82343bd2528	82bd7e17-2710-44f0-b66e-6a4c621e2900	CHILLER
7ec89ac6-62cb-40f7-9047-b82343bd2528	b23bd2db-df6a-446e-9974-fa486cfe42d0	AIR_COOLED_CHILLER
7ec89ac6-62cb-40f7-9047-b82343bd2528	b2e55b03-a37a-413b-a5c7-e711a2201559	COOLING_TOWER
7ec89ac6-62cb-40f7-9047-b82343bd2528	49d6cb3f-f89c-4032-9396-6dbcfbfb9f2d	DRY_COOLER
7ec89ac6-62cb-40f7-9047-b82343bd2528	8841477c-34b4-4b8c-a79f-c3981ddec8f6	REMOTE_CONDENSER
7ec89ac6-62cb-40f7-9047-b82343bd2528	48ea714b-7400-466c-968a-410a0adfe2c1	CHILLED_WATER_PUMPS
7ec89ac6-62cb-40f7-9047-b82343bd2528	e2e62a34-d7b0-41fe-9a27-b34042c4c583	HEAT_REJECTION_PUMPS
7ec89ac6-62cb-40f7-9047-b82343bd2528	9809d595-033e-4a2d-8b9e-ba7ce48bfd72	VENTILATION
7ec89ac6-62cb-40f7-9047-b82343bd2528	9fcc939b-107f-43ff-b47a-c196eedd1342	INFILTRATION
7ec89ac6-62cb-40f7-9047-b82343bd2528	12242b7a-2279-4b91-bdee-049fe8a9f417	IT_LOAD
ff980a77-608a-490b-8293-4d82066689ee	f6ef16f2-2ee0-49f2-a004-b75134725e8b	SWITCHGEAR
ff980a77-608a-490b-8293-4d82066689ee	31f051bd-4635-468b-9618-843d8486ef4d	GENERATOR
ff980a77-608a-490b-8293-4d82066689ee	bfd939a4-c8e0-4020-bdfa-eed993fab9db	PRIMARY_AUXILIARIES
ff980a77-608a-490b-8293-4d82066689ee	186b57da-c930-4fdc-b463-b3291fa01d4f	UPS
ff980a77-608a-490b-8293-4d82066689ee	1d71e2df-3c31-4285-94d4-acd4433b5354	CRITICAL_AUXILIARIES
ff980a77-608a-490b-8293-4d82066689ee	00b07361-79c7-49c9-b2d0-2d5672fbe6e2	LIGHTING
ff980a77-608a-490b-8293-4d82066689ee	b68c58af-f6a4-4db7-a61c-ca5907893bd9	CRITICAL_POWER_DISTRIBUTION
ff980a77-608a-490b-8293-4d82066689ee	aa74e067-d504-4f64-955f-762f260d4303	CRAH
ff980a77-608a-490b-8293-4d82066689ee	eb3be89f-f192-4dfc-92e8-2b07dab84ffb	CRAC
ff980a77-608a-490b-8293-4d82066689ee	8436fd8e-3edb-45f4-b2d3-9f9bca19e245	CRAC_WITHOUT_FAN
ff980a77-608a-490b-8293-4d82066689ee	6e94eaea-05de-473a-a965-4f4dc8f9ec64	CRAC_FAN
ff980a77-608a-490b-8293-4d82066689ee	2efe59f0-637a-4cb8-94b4-462e9c808f4c	CHILLER
ff980a77-608a-490b-8293-4d82066689ee	1c91c2f3-4c50-4559-9a2a-8efd01a19252	AIR_COOLED_CHILLER
ff980a77-608a-490b-8293-4d82066689ee	bb4c6767-3914-49a7-b3be-d2b2a4799f00	COOLING_TOWER
ff980a77-608a-490b-8293-4d82066689ee	da30622e-57da-4b89-8d37-0e7132fc94a0	DRY_COOLER
ff980a77-608a-490b-8293-4d82066689ee	0499f33b-a284-41c9-8771-16a3b869e1eb	REMOTE_CONDENSER
ff980a77-608a-490b-8293-4d82066689ee	99c61b9e-c380-48a7-91d8-cbf51e0defd0	CHILLED_WATER_PUMPS
ff980a77-608a-490b-8293-4d82066689ee	b5eed7a6-bb0f-48b4-b13a-3535463638f4	HEAT_REJECTION_PUMPS
ff980a77-608a-490b-8293-4d82066689ee	59bb895e-da09-4006-aa2d-32b49eb94403	VENTILATION
ff980a77-608a-490b-8293-4d82066689ee	4811603c-ecba-415b-b5aa-b035cbcb9cd5	INFILTRATION
ff980a77-608a-490b-8293-4d82066689ee	03767535-0459-48f3-b05c-4a9fa547a191	IT_LOAD
3231faf1-adb2-4dab-bece-900354948c48	da3f185f-315f-4847-9d57-622eeccb435e	SWITCHGEAR
3231faf1-adb2-4dab-bece-900354948c48	8275ae4f-29cd-4e21-a548-def60818b2c2	GENERATOR
3231faf1-adb2-4dab-bece-900354948c48	1e9d8d3b-7b5b-4918-ac77-70affbc4e9b5	PRIMARY_AUXILIARIES
3231faf1-adb2-4dab-bece-900354948c48	2cc1b792-edbb-45a3-954c-957ef0b2f723	UPS
3231faf1-adb2-4dab-bece-900354948c48	a0f87e8c-72f7-4cec-a46b-c72b76199d0f	CRITICAL_AUXILIARIES
3231faf1-adb2-4dab-bece-900354948c48	e37af6ba-5c10-4699-8ae1-b883f6037679	LIGHTING
3231faf1-adb2-4dab-bece-900354948c48	ec603d50-c328-469d-8898-7cf67cc2cded	CRITICAL_POWER_DISTRIBUTION
3231faf1-adb2-4dab-bece-900354948c48	ef4949db-94e9-4290-934c-5c7a9b45baa8	CRAH
3231faf1-adb2-4dab-bece-900354948c48	f48c1f25-a167-4d3e-85cb-befbf784d96b	CRAC
3231faf1-adb2-4dab-bece-900354948c48	20f75336-f036-40e3-bc48-117630f0ce22	CRAC_WITHOUT_FAN
3231faf1-adb2-4dab-bece-900354948c48	c35bab5f-7f73-4925-91bf-6ddb62b2ef72	CRAC_FAN
3231faf1-adb2-4dab-bece-900354948c48	a2809f89-b724-422f-8c2f-9a2ef8652844	CHILLER
3231faf1-adb2-4dab-bece-900354948c48	a3f2cd79-3982-4dd5-8de7-d072c7bf978a	AIR_COOLED_CHILLER
3231faf1-adb2-4dab-bece-900354948c48	e3d02268-34fa-425c-b216-a9c6b13408f2	COOLING_TOWER
3231faf1-adb2-4dab-bece-900354948c48	dc24a10e-4158-4155-b147-7e9254c1587c	DRY_COOLER
3231faf1-adb2-4dab-bece-900354948c48	cb4152d0-54e8-4a53-a6c8-e45f8444c5c6	REMOTE_CONDENSER
3231faf1-adb2-4dab-bece-900354948c48	af94cace-69a7-4a95-b861-1e5e5a47d1fd	CHILLED_WATER_PUMPS
3231faf1-adb2-4dab-bece-900354948c48	4b59645a-d876-4b75-a3e7-2cc1e8c28ed4	HEAT_REJECTION_PUMPS
3231faf1-adb2-4dab-bece-900354948c48	dbd8c2d7-fa24-4618-abeb-61d9a8e3a2c8	VENTILATION
3231faf1-adb2-4dab-bece-900354948c48	e8cdadfd-f8b0-4e09-abf6-f883a5cc87ec	INFILTRATION
3231faf1-adb2-4dab-bece-900354948c48	0d58ad5d-0423-449b-8779-784ca0a0eab9	IT_LOAD
3fab36f8-3b25-4030-9697-30695bac379c	a25ad34d-1a39-419a-b0f4-6d92d5a8dfcb	SWITCHGEAR
3fab36f8-3b25-4030-9697-30695bac379c	e5b8b0b1-6e1c-4cd6-9f83-0ce742b3e8a4	GENERATOR
3fab36f8-3b25-4030-9697-30695bac379c	ba52a510-c2ef-4092-9497-3e498e21acbc	PRIMARY_AUXILIARIES
3fab36f8-3b25-4030-9697-30695bac379c	f54dd015-2700-4bbb-b9ed-289db8bf51d9	UPS
3fab36f8-3b25-4030-9697-30695bac379c	c566ff6c-b8cb-4afe-aa03-a805e854ef81	CRITICAL_AUXILIARIES
3fab36f8-3b25-4030-9697-30695bac379c	3318a5f6-94d6-4a0b-827c-f0e17212892d	LIGHTING
3fab36f8-3b25-4030-9697-30695bac379c	83a20728-656d-45ab-9cb8-541f019c20f5	CRITICAL_POWER_DISTRIBUTION
3fab36f8-3b25-4030-9697-30695bac379c	d661a45f-55d9-4c59-ae60-7bed3dfe3a8b	CRAH
3fab36f8-3b25-4030-9697-30695bac379c	d1da3d94-89d0-426a-832f-b9a91c55c44a	CRAC
3fab36f8-3b25-4030-9697-30695bac379c	7e3c4908-5e07-46f4-beb4-41d9c7fec63c	CRAC_WITHOUT_FAN
3fab36f8-3b25-4030-9697-30695bac379c	c083d0db-478b-4e48-90d1-58ca86e70ef1	CRAC_FAN
3fab36f8-3b25-4030-9697-30695bac379c	80d9fecf-c10c-49da-acdb-83a1969b2db3	CHILLER
3fab36f8-3b25-4030-9697-30695bac379c	ba88d984-96e0-424d-a4c1-7a30bf2b4ab4	AIR_COOLED_CHILLER
3fab36f8-3b25-4030-9697-30695bac379c	1153ce5e-411a-42f8-8438-9e9c4d638f79	COOLING_TOWER
3fab36f8-3b25-4030-9697-30695bac379c	0c93e7cd-bfb7-4762-a44a-2d86f28b4d05	DRY_COOLER
3fab36f8-3b25-4030-9697-30695bac379c	edddb7db-fafb-486a-acce-b09a1d78b2fa	REMOTE_CONDENSER
3fab36f8-3b25-4030-9697-30695bac379c	3204569d-e5b9-4e4d-aafa-9c277c6fd47d	CHILLED_WATER_PUMPS
3fab36f8-3b25-4030-9697-30695bac379c	dcf41455-9f20-4359-b251-e4e5bbf50388	HEAT_REJECTION_PUMPS
3fab36f8-3b25-4030-9697-30695bac379c	0f4d7d32-1f6f-4a55-b71f-17ecf560d4cf	VENTILATION
3fab36f8-3b25-4030-9697-30695bac379c	99f164db-a214-49dc-beaf-4e01bb6ce9ea	INFILTRATION
3fab36f8-3b25-4030-9697-30695bac379c	01858a38-f28b-46db-b0ce-4274d983ecbb	IT_LOAD
53186095-3fa1-4656-b925-332b851fe2b7	2d237293-ee93-4fc8-b3f2-230efd8e6fbb	SWITCHGEAR
53186095-3fa1-4656-b925-332b851fe2b7	be024471-6d6d-4db6-87c9-16c990dddbbd	GENERATOR
53186095-3fa1-4656-b925-332b851fe2b7	d3182d65-3ee8-4e5c-8a87-c0b922613f9f	PRIMARY_AUXILIARIES
53186095-3fa1-4656-b925-332b851fe2b7	0d6f5b47-50be-4f89-97da-a3308084d324	UPS
53186095-3fa1-4656-b925-332b851fe2b7	4a3ebd54-8732-4e17-816f-b5b34c48f99b	CRITICAL_AUXILIARIES
53186095-3fa1-4656-b925-332b851fe2b7	f2ea5d12-ba77-4fc9-95b9-dc1b6dcf5430	LIGHTING
53186095-3fa1-4656-b925-332b851fe2b7	c28a9bdc-d355-4291-be84-779b76e90e50	CRITICAL_POWER_DISTRIBUTION
53186095-3fa1-4656-b925-332b851fe2b7	37177144-80d9-4aa3-a9c8-e0fa6bb18a70	CRAH
53186095-3fa1-4656-b925-332b851fe2b7	a25452d2-c49e-449e-94b6-15ab378b65a1	CRAC
53186095-3fa1-4656-b925-332b851fe2b7	cc1444c3-4fa4-478c-910c-0d54894d351f	CRAC_WITHOUT_FAN
53186095-3fa1-4656-b925-332b851fe2b7	2de11c28-2b8f-4d14-8a2a-4780ef8f37f2	CRAC_FAN
53186095-3fa1-4656-b925-332b851fe2b7	aa22f410-f67a-4c6e-bdd6-a31bb2120028	CHILLER
53186095-3fa1-4656-b925-332b851fe2b7	a8e59aa7-4053-4cdc-97f0-0d8a068002a8	AIR_COOLED_CHILLER
53186095-3fa1-4656-b925-332b851fe2b7	cf04aafd-6c8e-4514-aeb3-0d396e07bedc	COOLING_TOWER
53186095-3fa1-4656-b925-332b851fe2b7	a0096708-5999-4af2-97ef-1226d0f53a94	DRY_COOLER
53186095-3fa1-4656-b925-332b851fe2b7	4cd1f659-e830-4c73-a36c-5d0918b48f86	REMOTE_CONDENSER
53186095-3fa1-4656-b925-332b851fe2b7	c2f53a79-e95c-4abf-a3a1-3b1c74685e8a	CHILLED_WATER_PUMPS
53186095-3fa1-4656-b925-332b851fe2b7	32938b64-e931-419f-b288-cf1bdbf2b674	HEAT_REJECTION_PUMPS
53186095-3fa1-4656-b925-332b851fe2b7	41f622ab-7cd2-44b6-af80-358c9e3bc1dd	VENTILATION
53186095-3fa1-4656-b925-332b851fe2b7	4c9236ee-555c-48c9-adbb-9a36aaa3dd05	INFILTRATION
53186095-3fa1-4656-b925-332b851fe2b7	49f1e855-cbbd-43bc-8f50-7929d0730e3a	IT_LOAD
67f71590-c0a6-41be-90c8-31540d3343a6	3b0e8a7f-87ce-406e-a709-2585d0ed8ebe	SWITCHGEAR
67f71590-c0a6-41be-90c8-31540d3343a6	41844c17-4e77-4c00-af3f-3f5604e9814b	GENERATOR
67f71590-c0a6-41be-90c8-31540d3343a6	5c17b8a2-4641-437d-ae0f-7373be84d1ae	PRIMARY_AUXILIARIES
67f71590-c0a6-41be-90c8-31540d3343a6	f7ce40d3-65c5-4e07-a4ca-5bbb4cdb202b	UPS
67f71590-c0a6-41be-90c8-31540d3343a6	731e7b9c-406a-4fe7-886f-7c18ea1ec8f9	CRITICAL_AUXILIARIES
67f71590-c0a6-41be-90c8-31540d3343a6	53b03fb9-6585-49dc-a56c-c0868d1e089b	LIGHTING
67f71590-c0a6-41be-90c8-31540d3343a6	1c8f29a6-c1e7-417d-9d45-73f1b745efc7	CRITICAL_POWER_DISTRIBUTION
67f71590-c0a6-41be-90c8-31540d3343a6	fdd4c19e-b9c1-4a4a-aea2-77c55d62ae94	CRAH
67f71590-c0a6-41be-90c8-31540d3343a6	ca19d0e2-5842-4408-9b88-eb6df506a926	CRAC
67f71590-c0a6-41be-90c8-31540d3343a6	8d671f33-f653-4022-84ec-16b0785fdaa6	CRAC_WITHOUT_FAN
67f71590-c0a6-41be-90c8-31540d3343a6	d7953919-9edc-4c60-90ed-e4e2e23e2a60	CRAC_FAN
67f71590-c0a6-41be-90c8-31540d3343a6	12a5f68a-2468-4ce7-bc07-3120b5495963	CHILLER
67f71590-c0a6-41be-90c8-31540d3343a6	856a54f6-d2ff-425a-a116-35a8cbd69863	AIR_COOLED_CHILLER
67f71590-c0a6-41be-90c8-31540d3343a6	3ab49f9c-86b8-4fbc-bb23-e37b8c3cb697	COOLING_TOWER
67f71590-c0a6-41be-90c8-31540d3343a6	24292f3c-ba60-49cf-ba92-853779cc9d00	DRY_COOLER
67f71590-c0a6-41be-90c8-31540d3343a6	234d5dab-f976-4bd5-bca6-6c2a5dfde5ea	REMOTE_CONDENSER
67f71590-c0a6-41be-90c8-31540d3343a6	495bda10-7d4e-4a97-897e-7addbaa7eb61	CHILLED_WATER_PUMPS
67f71590-c0a6-41be-90c8-31540d3343a6	b209ae28-2f5c-4351-8d00-810b2d5e30ec	HEAT_REJECTION_PUMPS
67f71590-c0a6-41be-90c8-31540d3343a6	222b8df8-5997-497a-afe5-2357fe3748c5	VENTILATION
67f71590-c0a6-41be-90c8-31540d3343a6	d226a647-9b21-4239-b3d1-660144b9e17f	INFILTRATION
67f71590-c0a6-41be-90c8-31540d3343a6	efcecb49-8f00-4892-a0e1-ea31a0e6f1d4	IT_LOAD
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	174e225f-53a1-43bb-88b6-b99153d2bac2	SWITCHGEAR
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	31439913-5bf6-4565-8045-a114f14b51ee	GENERATOR
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	e326f646-f329-43cb-bfff-79c5ccb47204	PRIMARY_AUXILIARIES
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	ea67d704-ee17-444e-a603-0dba6004ee70	UPS
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	158f3403-8cf0-45a7-988e-64f305435ab6	CRITICAL_AUXILIARIES
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	d6ddfcbd-3f72-4d7f-8da4-98ef936b6156	LIGHTING
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	d496c205-afd7-4e59-af2a-8f3790b50a9d	CRITICAL_POWER_DISTRIBUTION
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	18d35c1c-b698-4cc4-80c0-b964959378ae	CRAH
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	9dc1e8aa-55a9-45cd-a161-0036526be86a	CRAC
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	47703c2a-4eb7-4299-89d9-65198e45cd66	CRAC_WITHOUT_FAN
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	678db93e-10c7-427e-8ccc-044bd05b5019	CRAC_FAN
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	8b014290-9ba3-42f3-9504-623f1daa926c	CHILLER
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	a9bc3c21-ee37-4188-9a79-deffbcbfb814	AIR_COOLED_CHILLER
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	20baffe2-b3dd-4047-b1a9-7077eef6e9f9	COOLING_TOWER
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	b579e0ee-5d3b-4384-8c36-157d0f1172b7	DRY_COOLER
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	4e0e34e7-f1c1-42c1-8ef1-14918187a9ce	REMOTE_CONDENSER
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	0704c0cc-9457-4215-9b16-afcccb5113dc	CHILLED_WATER_PUMPS
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	78b839e4-6a95-4546-b53e-596eaf5bd930	HEAT_REJECTION_PUMPS
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	adecb82d-b2f3-450b-95cb-83d005fcc72e	VENTILATION
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	8343f11d-a6a5-4553-a12e-d72b70cc9d55	INFILTRATION
ef9b3f0b-e909-4e1a-ae69-47628e1fc61d	1c29eb07-7c44-4159-bf43-a833ba944988	IT_LOAD
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	2a7e2cf4-cbe1-4912-b79a-c768fe66fb80	SWITCHGEAR
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	3a99e237-7aaf-4668-a8b6-250ab193ef22	GENERATOR
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	ae55dff0-f2ed-42d1-942a-1bcb3fd0a550	PRIMARY_AUXILIARIES
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	9a90713b-369a-4eca-ba97-64e4e9668feb	UPS
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	d0d8468c-c3c6-4b24-9ff8-57fb49ff8335	CRITICAL_AUXILIARIES
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	4ab65629-d37d-48bf-814e-41000eaaf4bb	LIGHTING
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	80c76325-7e69-4548-8311-8fbfae859efe	CRITICAL_POWER_DISTRIBUTION
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	a72b5641-22b7-4372-bcc4-ac1601bb83f7	CRAH
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	f5b3b89c-a390-4edc-a957-ec2aa0d8f3e2	CRAC
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	89876038-a32e-4b6c-9c33-d82837467e95	CRAC_WITHOUT_FAN
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	94a82c0f-34ef-4231-89f4-4b42fc5356e3	CRAC_FAN
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	d835c087-438e-4c5f-95e7-b1b4d124ce5c	CHILLER
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	af99df2f-ac4b-40ae-90ab-2a99fd7c677c	AIR_COOLED_CHILLER
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	2af711b5-4f4d-4482-a9b3-de0800c34728	COOLING_TOWER
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	70c088e2-6682-451a-8cbd-f84e1054cb00	DRY_COOLER
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	ed113467-2a7e-48ec-8976-ac1801cc05db	REMOTE_CONDENSER
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	bea03784-bda3-4fa1-84a1-0c7eb80f63fe	CHILLED_WATER_PUMPS
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	b1b41ae8-6855-4496-9949-e702e1f66801	HEAT_REJECTION_PUMPS
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	4e76758a-8593-4e63-a5f9-0aa1ddbd5ebe	VENTILATION
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	9e476156-d837-49a3-b9d3-a491199309f7	INFILTRATION
0286f4a4-c8bf-4d94-95da-07b40b9a96a9	1957ed0b-b072-449d-a086-a71ffb4ee33c	IT_LOAD
b48d5800-4721-4ef2-a440-5619b3b599d4	b113db7e-c8dc-4b6e-a269-d4801614b8cd	SWITCHGEAR
b48d5800-4721-4ef2-a440-5619b3b599d4	eb9a625e-d2af-4631-935d-91f6962683b5	GENERATOR
b48d5800-4721-4ef2-a440-5619b3b599d4	b101aebb-de92-4fd8-9493-1dabf1fd77f9	PRIMARY_AUXILIARIES
b48d5800-4721-4ef2-a440-5619b3b599d4	5903de90-e631-4e7a-8d83-6e5bbd4bb1ae	UPS
b48d5800-4721-4ef2-a440-5619b3b599d4	7e1d743d-1a1f-455f-85d0-7eeb9ff40b91	CRITICAL_AUXILIARIES
b48d5800-4721-4ef2-a440-5619b3b599d4	ad0c9df1-07de-4f09-9a74-59e2ad82620b	LIGHTING
b48d5800-4721-4ef2-a440-5619b3b599d4	944c53f3-b80b-4f2d-ab93-d7a9b881798a	CRITICAL_POWER_DISTRIBUTION
b48d5800-4721-4ef2-a440-5619b3b599d4	3ce6817c-1779-4638-96dc-714e19664cbb	CRAH
b48d5800-4721-4ef2-a440-5619b3b599d4	8db17ba3-3f85-4c52-b5ab-fb889e2c6bcf	CRAC
b48d5800-4721-4ef2-a440-5619b3b599d4	91859815-f256-4358-96ef-8b2a5dac13d3	CRAC_WITHOUT_FAN
b48d5800-4721-4ef2-a440-5619b3b599d4	14b27c11-c76b-4e68-9649-4f48d61310a2	CRAC_FAN
b48d5800-4721-4ef2-a440-5619b3b599d4	b0bbb42b-19f7-407a-a4c1-c50a0730abff	CHILLER
b48d5800-4721-4ef2-a440-5619b3b599d4	eedb6243-9455-4d1d-a013-0c938d97770b	AIR_COOLED_CHILLER
b48d5800-4721-4ef2-a440-5619b3b599d4	064bf852-8730-4b50-aaa1-2f8c45ed1cba	COOLING_TOWER
b48d5800-4721-4ef2-a440-5619b3b599d4	a2773541-639f-4e77-8cd5-a7ef3c9f0ae5	DRY_COOLER
b48d5800-4721-4ef2-a440-5619b3b599d4	9ea70ec4-c4a0-45df-b0df-bc25803e17d9	REMOTE_CONDENSER
b48d5800-4721-4ef2-a440-5619b3b599d4	ba283cdf-84db-4612-905a-dbddb970375f	CHILLED_WATER_PUMPS
b48d5800-4721-4ef2-a440-5619b3b599d4	c7c9d304-5686-40e4-94eb-f394787e9f83	HEAT_REJECTION_PUMPS
b48d5800-4721-4ef2-a440-5619b3b599d4	5fdc9c02-2be1-4d92-a402-50411f4a9b61	VENTILATION
b48d5800-4721-4ef2-a440-5619b3b599d4	8da44ccb-54c4-4a1b-8947-5834cb3a6121	INFILTRATION
b48d5800-4721-4ef2-a440-5619b3b599d4	4b5736d9-d970-46a7-a915-367dec141553	IT_LOAD
1d232ba6-75a4-4958-a45b-ca7e222d31c7	99889673-3678-4e81-a826-021c4f483c0b	SWITCHGEAR
1d232ba6-75a4-4958-a45b-ca7e222d31c7	2b93d6df-51d5-4712-9479-9c8244a9a4e8	GENERATOR
1d232ba6-75a4-4958-a45b-ca7e222d31c7	23c5d647-0865-4859-a7f4-1caa10f657cd	PRIMARY_AUXILIARIES
1d232ba6-75a4-4958-a45b-ca7e222d31c7	9e7cd9d2-2122-4cbd-b073-557bcddcb1e2	UPS
1d232ba6-75a4-4958-a45b-ca7e222d31c7	e77a4512-3a03-4f16-81de-0eae768218ab	CRITICAL_AUXILIARIES
1d232ba6-75a4-4958-a45b-ca7e222d31c7	44dc7cfa-9ed1-4443-8379-28e43127ca7c	LIGHTING
1d232ba6-75a4-4958-a45b-ca7e222d31c7	df3ad853-3177-49cf-a0a1-84ea64ef6f55	CRITICAL_POWER_DISTRIBUTION
1d232ba6-75a4-4958-a45b-ca7e222d31c7	1c238782-3f4d-4a7f-a2b9-95dd8f40049d	CRAH
1d232ba6-75a4-4958-a45b-ca7e222d31c7	57375ebe-c56a-4150-aea4-9015daa6e4db	CRAC
1d232ba6-75a4-4958-a45b-ca7e222d31c7	4ff7e021-eabe-4382-a386-6a877ebeb0fa	CRAC_WITHOUT_FAN
1d232ba6-75a4-4958-a45b-ca7e222d31c7	ccc511d1-01f9-43af-9a28-e32ccd8865db	CRAC_FAN
1d232ba6-75a4-4958-a45b-ca7e222d31c7	80b29c67-b9b6-4be9-8f1e-545e89f83d6c	CHILLER
1d232ba6-75a4-4958-a45b-ca7e222d31c7	a49230a1-a562-4101-a145-0c5d654f8c6b	AIR_COOLED_CHILLER
1d232ba6-75a4-4958-a45b-ca7e222d31c7	97a52d84-2c6e-4710-994e-6d191c0bf0f9	COOLING_TOWER
1d232ba6-75a4-4958-a45b-ca7e222d31c7	38f77659-2d0e-40fd-b160-e5690fa1bd87	DRY_COOLER
1d232ba6-75a4-4958-a45b-ca7e222d31c7	292ac527-3971-46f0-8384-1e29bc16c260	REMOTE_CONDENSER
1d232ba6-75a4-4958-a45b-ca7e222d31c7	a022957b-5765-4065-89fb-cd9ad002cb29	CHILLED_WATER_PUMPS
1d232ba6-75a4-4958-a45b-ca7e222d31c7	3a71300a-39a7-47a2-b7c8-d3541aa4c22d	HEAT_REJECTION_PUMPS
1d232ba6-75a4-4958-a45b-ca7e222d31c7	09f1a12d-414f-4e0c-92b8-76cb246e1ad5	VENTILATION
1d232ba6-75a4-4958-a45b-ca7e222d31c7	25749ae3-7ae9-4e80-a6ad-7898917dfab7	INFILTRATION
1d232ba6-75a4-4958-a45b-ca7e222d31c7	5d91e58f-c9a0-48d0-84a3-2ec6d0979e60	IT_LOAD
8e315168-c801-4835-a6fe-5b38c5016854	e620802d-7029-4f95-9cf6-191f023447be	SWITCHGEAR
8e315168-c801-4835-a6fe-5b38c5016854	ca6934d7-a30b-4540-9dd4-3d4d160472fc	GENERATOR
8e315168-c801-4835-a6fe-5b38c5016854	4c2c3479-54a1-4292-874a-9bcd13b91a18	PRIMARY_AUXILIARIES
8e315168-c801-4835-a6fe-5b38c5016854	c8415797-1369-4569-b917-6a0dbd3ef240	UPS
8e315168-c801-4835-a6fe-5b38c5016854	456999d1-2f75-49ab-9dbb-87e4482b5844	CRITICAL_AUXILIARIES
8e315168-c801-4835-a6fe-5b38c5016854	45b1a04e-3cb5-4455-813d-3daa772e93df	LIGHTING
8e315168-c801-4835-a6fe-5b38c5016854	6a00731e-9adf-4d58-ba71-029775c66f6a	CRITICAL_POWER_DISTRIBUTION
8e315168-c801-4835-a6fe-5b38c5016854	7c453d74-e9d1-4a0b-848a-230497c2d1c6	CRAH
8e315168-c801-4835-a6fe-5b38c5016854	398c5d85-7669-465c-9ca9-97a5ec6e315f	CRAC
8e315168-c801-4835-a6fe-5b38c5016854	02c4853f-821a-4ada-932e-b370afa4401d	CRAC_WITHOUT_FAN
8e315168-c801-4835-a6fe-5b38c5016854	f48ed5ad-e4fc-4edc-bc28-0ca522bd1883	CRAC_FAN
8e315168-c801-4835-a6fe-5b38c5016854	6de328f4-1a35-40c3-8f75-01b02644265e	CHILLER
8e315168-c801-4835-a6fe-5b38c5016854	cb540cd3-81f5-4ec4-8f0c-a5424ce7a4b1	AIR_COOLED_CHILLER
8e315168-c801-4835-a6fe-5b38c5016854	82e52cc0-960b-4c61-b68d-3a77d4648a8d	COOLING_TOWER
8e315168-c801-4835-a6fe-5b38c5016854	626d9a0e-2e57-42be-b3fe-53f13d888e0c	DRY_COOLER
8e315168-c801-4835-a6fe-5b38c5016854	de7c68ac-beb1-48e3-9bbd-0bbf8fe4d97c	REMOTE_CONDENSER
8e315168-c801-4835-a6fe-5b38c5016854	31ac4c5f-70fa-4e31-9617-a6380d891dd7	CHILLED_WATER_PUMPS
8e315168-c801-4835-a6fe-5b38c5016854	aac688f7-fd78-41fe-8a6b-49338bff22ff	HEAT_REJECTION_PUMPS
8e315168-c801-4835-a6fe-5b38c5016854	8efba169-b316-43ce-a662-39a3d6f20909	VENTILATION
8e315168-c801-4835-a6fe-5b38c5016854	65e1d4cd-0342-469a-99bf-475bc5dbf35f	INFILTRATION
8e315168-c801-4835-a6fe-5b38c5016854	8ec58b05-f657-49d3-acf8-222e33d47b14	IT_LOAD
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	88c8e2d6-54b0-491c-a4cb-17b2e139a93e	SWITCHGEAR
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	3ba41dcd-41ec-49e3-98d3-ee3e0f4be0b1	GENERATOR
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	c5a1c003-0831-4e7b-a9d6-4f6da2863175	PRIMARY_AUXILIARIES
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	032fb123-7193-46be-a284-628e9af22b03	UPS
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	7d15b401-03a8-42c6-9d5a-e964b13b1626	CRITICAL_AUXILIARIES
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	0e710c9f-670b-4b66-9a89-93e2d912cda1	LIGHTING
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	e52fef09-ec87-4371-be8b-fe94d6984a5d	CRITICAL_POWER_DISTRIBUTION
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	2b1b102f-376e-4d08-9714-794f38bd09cd	CRAH
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	aa48c85e-d421-4a3e-9b38-7e3e35f2410b	CRAC
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	65901bc6-e490-4417-a974-eca39f71f105	CRAC_WITHOUT_FAN
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	f5a64ee6-6827-4a01-ad77-1fbab3d09bc6	CRAC_FAN
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	b1ef2ebc-6534-45ef-b1b7-63ddc46b0094	CHILLER
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	2cc59495-e6ab-4c4e-897e-c817fb68e75f	AIR_COOLED_CHILLER
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	f21eb89c-21e6-43ae-bf78-06ce5a6a430b	COOLING_TOWER
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	e6d8826b-cd95-45a1-a425-0ee5cbb56f68	DRY_COOLER
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	e4fa0161-c028-4111-862d-f1e3f3f5d62b	REMOTE_CONDENSER
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	bc71a5cb-6128-469c-87f8-bcf2b864f84b	CHILLED_WATER_PUMPS
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	e9b366a3-6ee6-4e17-8038-212220869ef7	HEAT_REJECTION_PUMPS
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	063e230f-bfa3-4fd3-ae39-5d2f8762d724	VENTILATION
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	785aaca8-d235-48cb-aadc-979c931841c8	INFILTRATION
0151866c-b2ff-4d16-9fdb-e4d2906bdf80	a21a0a86-e97e-486e-aaf3-4a80290ee0aa	IT_LOAD
6b6b46dd-03af-404a-b329-8b49b67a6167	48fbb51d-98bd-4509-82df-ca601ad5c4db	SWITCHGEAR
6b6b46dd-03af-404a-b329-8b49b67a6167	cc8b8ba4-14b5-49d1-abb5-4d3de2cece0f	GENERATOR
6b6b46dd-03af-404a-b329-8b49b67a6167	a6a8d684-a5aa-41b4-9d4c-ef2ac55847a4	PRIMARY_AUXILIARIES
6b6b46dd-03af-404a-b329-8b49b67a6167	9e2d0270-bb2f-4fcd-bfd2-59542c25152b	UPS
6b6b46dd-03af-404a-b329-8b49b67a6167	fc811082-d0e7-4380-a8aa-1a924faf9670	CRITICAL_AUXILIARIES
6b6b46dd-03af-404a-b329-8b49b67a6167	451198ac-0631-4aac-b697-fa6afed24efc	LIGHTING
6b6b46dd-03af-404a-b329-8b49b67a6167	f267337f-d523-4532-a719-86bd389bba97	CRITICAL_POWER_DISTRIBUTION
6b6b46dd-03af-404a-b329-8b49b67a6167	f3fffa8c-4cbc-4879-8566-caf567eeb2bf	CRAH
6b6b46dd-03af-404a-b329-8b49b67a6167	dd955fcf-83ef-4223-a436-f5d87a07d321	CRAC
6b6b46dd-03af-404a-b329-8b49b67a6167	263ac1c2-616c-48ca-ab06-c1739b42a632	CRAC_WITHOUT_FAN
6b6b46dd-03af-404a-b329-8b49b67a6167	b0dcef9f-65af-460a-82ea-f6d9e4df1ccf	CRAC_FAN
6b6b46dd-03af-404a-b329-8b49b67a6167	97ecba62-6fdf-4239-b49b-fa879f31288d	CHILLER
6b6b46dd-03af-404a-b329-8b49b67a6167	ac99c46e-5bd7-49e4-b666-47c57cd15227	AIR_COOLED_CHILLER
6b6b46dd-03af-404a-b329-8b49b67a6167	384dffb3-c06f-4d1d-8305-1361f6fb1ef2	COOLING_TOWER
6b6b46dd-03af-404a-b329-8b49b67a6167	b2fc25b8-ff51-454e-bbe1-982ec462683d	DRY_COOLER
6b6b46dd-03af-404a-b329-8b49b67a6167	483a3d9d-a8ea-4681-99f6-ae5a303505d0	REMOTE_CONDENSER
6b6b46dd-03af-404a-b329-8b49b67a6167	9fb8276c-e31d-4fd5-8d57-84c4cb4bc540	CHILLED_WATER_PUMPS
6b6b46dd-03af-404a-b329-8b49b67a6167	7ec4ecb5-6985-4357-ba76-f422affb02ec	HEAT_REJECTION_PUMPS
6b6b46dd-03af-404a-b329-8b49b67a6167	40d48cd2-a87d-4ba0-a63b-9a55a20fe75d	VENTILATION
6b6b46dd-03af-404a-b329-8b49b67a6167	eb143ab7-ed4c-456c-a412-42f2f629d9e4	INFILTRATION
6b6b46dd-03af-404a-b329-8b49b67a6167	51054767-5c33-4130-af99-2f023d758c75	IT_LOAD
f5b7e3de-b187-42bf-b421-94de54187780	da98dabf-bb1f-4f19-99be-88ed4ccf4184	SWITCHGEAR
f5b7e3de-b187-42bf-b421-94de54187780	3d22ff07-a73a-401b-b835-da0f6568f3f9	GENERATOR
f5b7e3de-b187-42bf-b421-94de54187780	342efd63-276c-4e3d-8ade-fdb132a044cf	PRIMARY_AUXILIARIES
f5b7e3de-b187-42bf-b421-94de54187780	2856cc7f-6b53-4c39-821b-a8341a100c3a	UPS
f5b7e3de-b187-42bf-b421-94de54187780	2b0a574e-cc6f-4d8e-b1d8-7e8415e2205b	CRITICAL_AUXILIARIES
f5b7e3de-b187-42bf-b421-94de54187780	2213114a-d790-4b56-8c10-ae09779f0807	LIGHTING
f5b7e3de-b187-42bf-b421-94de54187780	c47802ec-23ad-4ccd-a3ee-ada1ca078d0f	CRITICAL_POWER_DISTRIBUTION
f5b7e3de-b187-42bf-b421-94de54187780	122dc819-b062-49c7-bea0-4e85384e6010	CRAH
f5b7e3de-b187-42bf-b421-94de54187780	4728c29b-1655-4d60-a7cd-71ace06575c8	CRAC
f5b7e3de-b187-42bf-b421-94de54187780	07c7f62b-aa72-47f1-8117-ef20eb90d496	CRAC_WITHOUT_FAN
f5b7e3de-b187-42bf-b421-94de54187780	71d30c17-82bd-4b42-9a7d-67d14006d0d8	CRAC_FAN
f5b7e3de-b187-42bf-b421-94de54187780	4cb563ea-68cd-4e68-b713-f8e2b9962c4d	CHILLER
f5b7e3de-b187-42bf-b421-94de54187780	cd7133d7-988d-4955-a850-9c00cedfe6d0	AIR_COOLED_CHILLER
f5b7e3de-b187-42bf-b421-94de54187780	c659d090-1881-465c-903f-9cc06d9f36df	COOLING_TOWER
f5b7e3de-b187-42bf-b421-94de54187780	e820dfac-d367-4571-97e2-147b78c2f32a	DRY_COOLER
f5b7e3de-b187-42bf-b421-94de54187780	1fd7dfad-64ab-4294-a7c1-87399067188b	REMOTE_CONDENSER
f5b7e3de-b187-42bf-b421-94de54187780	2a0fb254-52cf-4d0e-9d3a-b7a71ef28ddd	CHILLED_WATER_PUMPS
f5b7e3de-b187-42bf-b421-94de54187780	6b992dfd-4345-47b4-bed3-e2c2726c0ed3	HEAT_REJECTION_PUMPS
f5b7e3de-b187-42bf-b421-94de54187780	e094aa7b-bba6-4675-b766-6c0fbd51151d	VENTILATION
f5b7e3de-b187-42bf-b421-94de54187780	14487caf-c0ad-4a23-885d-69d6c701e42d	INFILTRATION
f5b7e3de-b187-42bf-b421-94de54187780	e0aec69a-6f02-466b-9c87-19a557afcf6a	IT_LOAD
e84979d3-d1ac-4666-ad1d-12b3220a964b	07bc6915-3918-4166-90a9-81101273a07d	SWITCHGEAR
e84979d3-d1ac-4666-ad1d-12b3220a964b	cc1f3909-c6d3-4baa-9161-9144fa7b0240	GENERATOR
e84979d3-d1ac-4666-ad1d-12b3220a964b	7f9d00d5-637d-497f-ba54-0c74055a05bd	PRIMARY_AUXILIARIES
e84979d3-d1ac-4666-ad1d-12b3220a964b	57569e46-3581-4c0a-98ec-030bf27186b7	UPS
e84979d3-d1ac-4666-ad1d-12b3220a964b	bd7f3f52-105b-4479-a788-a428340a86d4	CRITICAL_AUXILIARIES
e84979d3-d1ac-4666-ad1d-12b3220a964b	cfd51c2c-bd39-4fe1-a800-31c542cc227d	LIGHTING
e84979d3-d1ac-4666-ad1d-12b3220a964b	d3778b70-e3de-4c99-a561-ab05a072cd5e	CRITICAL_POWER_DISTRIBUTION
e84979d3-d1ac-4666-ad1d-12b3220a964b	6a294be6-3d48-4355-b193-21c710b6c34c	CRAH
e84979d3-d1ac-4666-ad1d-12b3220a964b	461df26e-e99b-42b5-9ee4-831d38ddd459	CRAC
e84979d3-d1ac-4666-ad1d-12b3220a964b	afdf6ecb-8ae9-4ee3-80bd-d22fd8a1b99e	CRAC_WITHOUT_FAN
e84979d3-d1ac-4666-ad1d-12b3220a964b	b08b02a0-f9d4-483d-a570-fd89968b6ca5	CRAC_FAN
e84979d3-d1ac-4666-ad1d-12b3220a964b	620b0143-6c9b-4955-9f9c-f58c5edc105f	CHILLER
e84979d3-d1ac-4666-ad1d-12b3220a964b	0236b51b-7c39-40d0-b4e6-30d4d7cdff1d	AIR_COOLED_CHILLER
e84979d3-d1ac-4666-ad1d-12b3220a964b	af44375f-9057-4ee0-a506-5ff86e2651c0	COOLING_TOWER
e84979d3-d1ac-4666-ad1d-12b3220a964b	13b50797-2806-4048-b7e6-51b0a0b0c10b	DRY_COOLER
e84979d3-d1ac-4666-ad1d-12b3220a964b	629da8a4-08f1-4a47-8a5a-859397a76970	REMOTE_CONDENSER
e84979d3-d1ac-4666-ad1d-12b3220a964b	e5930cb9-a1e4-41ce-8294-63fc9d786fd6	CHILLED_WATER_PUMPS
e84979d3-d1ac-4666-ad1d-12b3220a964b	05d2a703-e382-482a-9917-be75806e8ae0	HEAT_REJECTION_PUMPS
e84979d3-d1ac-4666-ad1d-12b3220a964b	56da3c6c-c7ae-45dd-b277-d3eb6e00eecb	VENTILATION
e84979d3-d1ac-4666-ad1d-12b3220a964b	ce9c8268-2aa9-45b7-a4eb-65ea79e6e6f5	INFILTRATION
e84979d3-d1ac-4666-ad1d-12b3220a964b	a051e8c1-e02d-49f4-b67b-94bf0e2022ee	IT_LOAD
49f726f3-7a7d-441f-bc09-545ce3e470da	c45a19d1-4bfb-4518-ba00-fb133abb3e07	SWITCHGEAR
49f726f3-7a7d-441f-bc09-545ce3e470da	2df321a5-d04b-4129-abd8-aaabf0c5acd8	GENERATOR
49f726f3-7a7d-441f-bc09-545ce3e470da	98485681-204a-4787-962d-e99d0702fc60	PRIMARY_AUXILIARIES
49f726f3-7a7d-441f-bc09-545ce3e470da	7ecffd61-9c38-4b04-81a8-bd51216e1157	UPS
49f726f3-7a7d-441f-bc09-545ce3e470da	8d67f7ca-0180-44ab-a4df-4e8ff804ac96	CRITICAL_AUXILIARIES
49f726f3-7a7d-441f-bc09-545ce3e470da	07fdfd85-7709-4932-9eef-cfe5d2a79de5	LIGHTING
49f726f3-7a7d-441f-bc09-545ce3e470da	1fe27a27-a5cc-42dc-b20c-a761a253c86b	CRITICAL_POWER_DISTRIBUTION
49f726f3-7a7d-441f-bc09-545ce3e470da	4fbe81b7-61bb-4f4d-a336-7c2072ed744a	CRAH
49f726f3-7a7d-441f-bc09-545ce3e470da	f4311a1f-5cfb-4d5a-9613-c5552a93d920	CRAC
49f726f3-7a7d-441f-bc09-545ce3e470da	b46c7545-efb1-4d2c-a031-d59be6052d3c	CRAC_WITHOUT_FAN
49f726f3-7a7d-441f-bc09-545ce3e470da	496796e2-c867-4fa3-b29b-72a53550f908	CRAC_FAN
49f726f3-7a7d-441f-bc09-545ce3e470da	525e7a5c-cb05-44ee-9097-4a1a0ce043f9	CHILLER
49f726f3-7a7d-441f-bc09-545ce3e470da	21cb1bc2-4122-4a4f-a5cb-bec1690f49c8	AIR_COOLED_CHILLER
49f726f3-7a7d-441f-bc09-545ce3e470da	6d96060c-0d63-49c3-a132-ffdac85a665e	COOLING_TOWER
49f726f3-7a7d-441f-bc09-545ce3e470da	7445d3be-016d-4b73-bad0-fe84ad48e27e	DRY_COOLER
49f726f3-7a7d-441f-bc09-545ce3e470da	2da20ca1-7992-446f-8ee6-a44c044a4ddf	REMOTE_CONDENSER
49f726f3-7a7d-441f-bc09-545ce3e470da	fc641a57-a372-4b02-9767-a540c9606cf2	CHILLED_WATER_PUMPS
49f726f3-7a7d-441f-bc09-545ce3e470da	ac1e9151-5a3e-431f-b70c-f914a830a658	HEAT_REJECTION_PUMPS
49f726f3-7a7d-441f-bc09-545ce3e470da	6cfb343c-938f-426b-bc3f-3d1092390f4c	VENTILATION
49f726f3-7a7d-441f-bc09-545ce3e470da	1ab53715-ceed-4c33-84fe-0f22e958d7c0	INFILTRATION
49f726f3-7a7d-441f-bc09-545ce3e470da	12e6b9df-3b23-4150-8ce3-3953a50f1c9d	IT_LOAD
38b4186e-ea6a-4dc3-956f-081af73fb032	36e99c35-dfad-43c1-ac2d-5a5238af7af0	SWITCHGEAR
38b4186e-ea6a-4dc3-956f-081af73fb032	b5274832-754b-4661-a6f0-e5cb707fc1fb	GENERATOR
38b4186e-ea6a-4dc3-956f-081af73fb032	211f68bf-bae0-499f-b2c6-5763c9682020	PRIMARY_AUXILIARIES
38b4186e-ea6a-4dc3-956f-081af73fb032	d70c4760-38c9-4c9f-ba10-88c706040a8e	UPS
38b4186e-ea6a-4dc3-956f-081af73fb032	ec5d4c77-791d-44d1-9790-07e032704154	CRITICAL_AUXILIARIES
38b4186e-ea6a-4dc3-956f-081af73fb032	aa82a12e-254e-4479-82ee-a8e873a7350c	LIGHTING
38b4186e-ea6a-4dc3-956f-081af73fb032	cb271a58-b743-43c4-a9e4-3ed6fffbffa9	CRITICAL_POWER_DISTRIBUTION
38b4186e-ea6a-4dc3-956f-081af73fb032	e15d1ae7-05d4-4d4f-a97b-07330504ba66	CRAH
38b4186e-ea6a-4dc3-956f-081af73fb032	dd5486cb-961c-40ff-bef4-82c7444d9765	CRAC
38b4186e-ea6a-4dc3-956f-081af73fb032	a305db2a-9548-498d-859a-3db9c3551e0a	CRAC_WITHOUT_FAN
38b4186e-ea6a-4dc3-956f-081af73fb032	dcc0f9cf-801d-4ac0-926a-5356868f1371	CRAC_FAN
38b4186e-ea6a-4dc3-956f-081af73fb032	3bfd0479-e4aa-4ca7-86bb-9b889187f513	CHILLER
38b4186e-ea6a-4dc3-956f-081af73fb032	2b3b7456-2871-4190-abbe-974780b61119	AIR_COOLED_CHILLER
38b4186e-ea6a-4dc3-956f-081af73fb032	f33ea361-93db-4e4f-adab-52394bbe1e0b	COOLING_TOWER
38b4186e-ea6a-4dc3-956f-081af73fb032	b906950b-ef9a-4e9a-876a-49c2df3b2fea	DRY_COOLER
38b4186e-ea6a-4dc3-956f-081af73fb032	f6687578-663d-4cea-a840-f44ffe14bc4b	REMOTE_CONDENSER
38b4186e-ea6a-4dc3-956f-081af73fb032	473bee4b-f7e6-41b6-98c5-f245235d3ffd	CHILLED_WATER_PUMPS
38b4186e-ea6a-4dc3-956f-081af73fb032	f8481001-5ebb-4e92-b054-c4d1a34fca43	HEAT_REJECTION_PUMPS
38b4186e-ea6a-4dc3-956f-081af73fb032	6c41aab5-e2a4-4dee-8e20-7f989ad73c87	VENTILATION
38b4186e-ea6a-4dc3-956f-081af73fb032	3e82c2e4-6e17-44fc-afbb-a913dfe420c2	INFILTRATION
38b4186e-ea6a-4dc3-956f-081af73fb032	f7cadd15-89bb-4778-9389-1cb0fb60cadd	IT_LOAD
5ece6b7e-239a-4241-b345-f513255ea5a0	e92ff6c0-6f69-4e49-a7bc-dd76fecb124a	SWITCHGEAR
5ece6b7e-239a-4241-b345-f513255ea5a0	fa8f9bb2-a85a-4b27-8add-84ff94d6943f	GENERATOR
5ece6b7e-239a-4241-b345-f513255ea5a0	d8a581eb-4561-435f-95d4-e15e07f56bf8	PRIMARY_AUXILIARIES
5ece6b7e-239a-4241-b345-f513255ea5a0	ab101a5a-4265-4676-b2c9-37244ff71661	UPS
5ece6b7e-239a-4241-b345-f513255ea5a0	ba6fbf96-7f6b-4b87-84ce-43e9bdc5769c	CRITICAL_AUXILIARIES
5ece6b7e-239a-4241-b345-f513255ea5a0	25312546-e963-4821-b342-fece72a235b1	LIGHTING
5ece6b7e-239a-4241-b345-f513255ea5a0	611bc66a-d8a5-4fa1-b294-1968e59a78ad	CRITICAL_POWER_DISTRIBUTION
5ece6b7e-239a-4241-b345-f513255ea5a0	96da4e06-a528-48e9-bf3c-468edc5110a3	CRAH
5ece6b7e-239a-4241-b345-f513255ea5a0	20924267-caf4-4066-a0ba-52203106fbb6	CRAC
5ece6b7e-239a-4241-b345-f513255ea5a0	f06b415b-1751-4eb0-b258-d77c59c2dac0	CRAC_WITHOUT_FAN
5ece6b7e-239a-4241-b345-f513255ea5a0	eccafcfd-d682-418f-a0e7-31735bec46a8	CRAC_FAN
5ece6b7e-239a-4241-b345-f513255ea5a0	1b9fcc9f-6c50-46fb-a443-5dbaa6d4dd46	CHILLER
5ece6b7e-239a-4241-b345-f513255ea5a0	b1bea1b2-db99-41d2-8195-3248b47cedb1	AIR_COOLED_CHILLER
5ece6b7e-239a-4241-b345-f513255ea5a0	d95e5f4d-6c7b-44c7-8ab6-ac22c8d18538	COOLING_TOWER
5ece6b7e-239a-4241-b345-f513255ea5a0	71f6b389-2574-41cb-aa19-a05ed21056aa	DRY_COOLER
5ece6b7e-239a-4241-b345-f513255ea5a0	922c2ab0-d2db-453d-82b3-e0c223814e99	REMOTE_CONDENSER
5ece6b7e-239a-4241-b345-f513255ea5a0	10158e42-9052-4f08-be3b-a3c4643cf863	CHILLED_WATER_PUMPS
5ece6b7e-239a-4241-b345-f513255ea5a0	0c2d5ed8-40b9-4068-86c0-1ef3e10852ff	HEAT_REJECTION_PUMPS
5ece6b7e-239a-4241-b345-f513255ea5a0	c4772a94-3f48-42fa-ac2a-e8f5f070e392	VENTILATION
5ece6b7e-239a-4241-b345-f513255ea5a0	c662d104-f005-430f-8487-c1a60bea1b0c	INFILTRATION
5ece6b7e-239a-4241-b345-f513255ea5a0	caf28b52-d7a2-4f7b-b7a9-2d2d962e38d5	IT_LOAD
b3404661-24a9-4d63-ab06-8dcfcd0109e2	455d3ab5-6f73-43a9-ba6c-005e23a7b615	SWITCHGEAR
b3404661-24a9-4d63-ab06-8dcfcd0109e2	dfb7a528-7865-415c-85e3-edb91188c5b9	GENERATOR
b3404661-24a9-4d63-ab06-8dcfcd0109e2	e16a4544-7937-4c0a-960c-9f6278eaf214	PRIMARY_AUXILIARIES
b3404661-24a9-4d63-ab06-8dcfcd0109e2	85dd3b6c-e416-40af-8699-16893955b188	UPS
b3404661-24a9-4d63-ab06-8dcfcd0109e2	aa96033c-9072-4746-a231-733556a960d9	CRITICAL_AUXILIARIES
b3404661-24a9-4d63-ab06-8dcfcd0109e2	15161803-37b3-488d-92e5-bbb7efd562a9	LIGHTING
b3404661-24a9-4d63-ab06-8dcfcd0109e2	178eb539-fcd7-4269-a625-8681481034fe	CRITICAL_POWER_DISTRIBUTION
b3404661-24a9-4d63-ab06-8dcfcd0109e2	ebdb783a-c626-4ce5-aaab-9b8b1a18a6fb	CRAH
b3404661-24a9-4d63-ab06-8dcfcd0109e2	14c41a82-4579-46b2-b765-2e85fc4dc80c	CRAC
b3404661-24a9-4d63-ab06-8dcfcd0109e2	29d34712-64d8-4f30-ad2e-f84405b68b6f	CRAC_WITHOUT_FAN
b3404661-24a9-4d63-ab06-8dcfcd0109e2	2cd905ab-c760-4163-9d59-698c87c2e7d2	CRAC_FAN
b3404661-24a9-4d63-ab06-8dcfcd0109e2	b6950719-3a80-4cf9-9122-7196acb43504	CHILLER
b3404661-24a9-4d63-ab06-8dcfcd0109e2	1764ae1a-8c4e-435c-bc99-70e5e6cbe4fb	AIR_COOLED_CHILLER
b3404661-24a9-4d63-ab06-8dcfcd0109e2	82a0f2a9-f6fe-45f0-9b27-d84e5a9b1bef	COOLING_TOWER
b3404661-24a9-4d63-ab06-8dcfcd0109e2	6eb9ff89-c103-4992-9a3d-482ce1be8c62	DRY_COOLER
b3404661-24a9-4d63-ab06-8dcfcd0109e2	6651b838-b919-4014-b31e-fa9ef1e777e5	REMOTE_CONDENSER
b3404661-24a9-4d63-ab06-8dcfcd0109e2	e297204f-2030-4f98-a7dd-cb0157ab37fa	CHILLED_WATER_PUMPS
b3404661-24a9-4d63-ab06-8dcfcd0109e2	2fad1747-32ed-4ce9-87cc-827b9e0c319b	HEAT_REJECTION_PUMPS
b3404661-24a9-4d63-ab06-8dcfcd0109e2	fcb10144-f561-4278-a89d-37578a2eaad5	VENTILATION
b3404661-24a9-4d63-ab06-8dcfcd0109e2	0f33359c-d56a-40ad-b674-02aab76efb61	INFILTRATION
b3404661-24a9-4d63-ab06-8dcfcd0109e2	1b052034-339c-4696-a26c-eccf9bb3b930	IT_LOAD
b67349be-15af-496b-a00b-39336f1001f3	3043b4b0-a2d8-4b34-b28c-b54d94f3a45d	SWITCHGEAR
b67349be-15af-496b-a00b-39336f1001f3	4837f302-1673-491f-918b-19639a3ab216	GENERATOR
b67349be-15af-496b-a00b-39336f1001f3	869c03e7-c6a3-4b87-aae4-18b8a69af45b	PRIMARY_AUXILIARIES
b67349be-15af-496b-a00b-39336f1001f3	b1d77eea-bf13-4cc1-baa4-b9ab9259a675	UPS
b67349be-15af-496b-a00b-39336f1001f3	f362af43-94e1-4bfa-9680-b04f8e30030b	CRITICAL_AUXILIARIES
b67349be-15af-496b-a00b-39336f1001f3	353015b5-7b5a-42e1-b96a-16353649a018	LIGHTING
b67349be-15af-496b-a00b-39336f1001f3	21e7ad41-a9d3-4af0-82f9-4fb16315a722	CRITICAL_POWER_DISTRIBUTION
b67349be-15af-496b-a00b-39336f1001f3	ff18beb3-d241-40a9-9f4e-81a6413208db	CRAH
b67349be-15af-496b-a00b-39336f1001f3	74c06e31-4540-4cfe-9a66-3aea273476fa	CRAC
b67349be-15af-496b-a00b-39336f1001f3	0c87682a-7fbb-4f85-ab14-e06d273226e4	CRAC_WITHOUT_FAN
b67349be-15af-496b-a00b-39336f1001f3	208ec34b-dffc-4bfe-af97-b1cad202a3e1	CRAC_FAN
b67349be-15af-496b-a00b-39336f1001f3	96aa9d3d-bed2-4529-874c-819e0b543b0b	CHILLER
b67349be-15af-496b-a00b-39336f1001f3	10cbba37-6de1-4451-a178-8a9201a1e491	AIR_COOLED_CHILLER
b67349be-15af-496b-a00b-39336f1001f3	e9fc7c5e-1741-49a7-b527-ca5f48ca349f	COOLING_TOWER
b67349be-15af-496b-a00b-39336f1001f3	8b1f31ea-985f-4906-9c25-cd9028dec0bf	DRY_COOLER
b67349be-15af-496b-a00b-39336f1001f3	326162c0-5617-4ae7-8be5-f7b1be96d6f9	REMOTE_CONDENSER
b67349be-15af-496b-a00b-39336f1001f3	e885fda7-3fb0-4252-8eac-e9ed035ce0e5	CHILLED_WATER_PUMPS
b67349be-15af-496b-a00b-39336f1001f3	eaf718fd-55ef-4722-a964-c1a3ecb23cdc	HEAT_REJECTION_PUMPS
b67349be-15af-496b-a00b-39336f1001f3	96657f92-1441-420a-b7b3-1c1e7d5c4be5	VENTILATION
b67349be-15af-496b-a00b-39336f1001f3	3e55b05e-7329-4d95-b384-b20943d61a4f	INFILTRATION
b67349be-15af-496b-a00b-39336f1001f3	344bca15-4612-4511-bfb4-08d3bdbd7cdb	IT_LOAD
526843dc-c461-468f-a5a3-041e66e28a19	6a53b61c-6176-48de-bfdb-ce61e82d9b7b	SWITCHGEAR
526843dc-c461-468f-a5a3-041e66e28a19	9783d088-1602-4fdc-a2e4-a6d9eb413ce9	GENERATOR
526843dc-c461-468f-a5a3-041e66e28a19	522add44-9484-4db3-b463-14060fac42d4	PRIMARY_AUXILIARIES
526843dc-c461-468f-a5a3-041e66e28a19	b20a35f1-9f25-490b-8b8a-6646091ac6f9	UPS
526843dc-c461-468f-a5a3-041e66e28a19	e36e16e0-b84b-4231-a3f0-fb973a91d7c9	CRITICAL_AUXILIARIES
526843dc-c461-468f-a5a3-041e66e28a19	3846e571-32bd-4810-a526-b2e828429b63	LIGHTING
526843dc-c461-468f-a5a3-041e66e28a19	4a5c1d68-3be9-46e9-a64c-da7a9d420e52	CRITICAL_POWER_DISTRIBUTION
526843dc-c461-468f-a5a3-041e66e28a19	47529c66-f737-4be6-ad08-1d7e35d384b0	CRAH
526843dc-c461-468f-a5a3-041e66e28a19	f1c0b4d0-5ad5-4000-95a7-90c3430a2c68	CRAC
526843dc-c461-468f-a5a3-041e66e28a19	323e7b3b-5536-4b1d-b8bf-f782d30280e8	CRAC_WITHOUT_FAN
526843dc-c461-468f-a5a3-041e66e28a19	966f7461-75ee-4845-9c40-3c0c47825978	CRAC_FAN
526843dc-c461-468f-a5a3-041e66e28a19	d86375f2-315c-4766-ae76-f6bf2f797e86	CHILLER
526843dc-c461-468f-a5a3-041e66e28a19	c9416426-7f43-4592-90ec-eef449dad054	AIR_COOLED_CHILLER
526843dc-c461-468f-a5a3-041e66e28a19	6ee0bba9-60a4-44db-aa98-2fb0967ab65d	COOLING_TOWER
526843dc-c461-468f-a5a3-041e66e28a19	f44a4ad7-d562-498c-b4ae-74f65a4e4753	DRY_COOLER
526843dc-c461-468f-a5a3-041e66e28a19	f44c64eb-ea8f-493e-bfa9-3f8eacfe9acb	REMOTE_CONDENSER
526843dc-c461-468f-a5a3-041e66e28a19	6f3c55cc-3a46-4cdb-9754-04b9784ff886	CHILLED_WATER_PUMPS
526843dc-c461-468f-a5a3-041e66e28a19	bab45fe5-a123-4312-97d1-9b7ea8a73be8	HEAT_REJECTION_PUMPS
526843dc-c461-468f-a5a3-041e66e28a19	341a65d3-6f44-4111-8f98-b3b85b83e1cc	VENTILATION
526843dc-c461-468f-a5a3-041e66e28a19	f6a52474-2a18-483e-afd5-a44c65198fcf	INFILTRATION
526843dc-c461-468f-a5a3-041e66e28a19	1b509d5f-030d-4d00-9d30-21519a764dcb	IT_LOAD
d213d73d-c2bf-416b-863c-52246006b6a4	d2e28256-148b-4a2b-bec5-70361bd04a17	SWITCHGEAR
d213d73d-c2bf-416b-863c-52246006b6a4	222851f4-8475-410b-b824-c1ff0b740fa8	GENERATOR
d213d73d-c2bf-416b-863c-52246006b6a4	15a6e9f6-ca86-4882-bf37-e5b2ba95f35b	PRIMARY_AUXILIARIES
d213d73d-c2bf-416b-863c-52246006b6a4	29e0e629-ce51-4dce-ba1b-488cdb6d0ecf	UPS
d213d73d-c2bf-416b-863c-52246006b6a4	6f92dc08-3f19-49b4-866b-899b8089fbeb	CRITICAL_AUXILIARIES
d213d73d-c2bf-416b-863c-52246006b6a4	7bf20b49-05ff-4cb2-93d2-3426ee868241	LIGHTING
d213d73d-c2bf-416b-863c-52246006b6a4	ca6e1ebe-1c9b-4a11-9ce6-981d7b42b5a6	CRITICAL_POWER_DISTRIBUTION
d213d73d-c2bf-416b-863c-52246006b6a4	46b2f000-18b0-4d66-9e5d-116913602978	CRAH
d213d73d-c2bf-416b-863c-52246006b6a4	76c2aa96-1d1f-441e-ada5-d1428d62fb46	CRAC
d213d73d-c2bf-416b-863c-52246006b6a4	39df4039-17a2-4f78-9dbc-6e8dd186bfec	CRAC_WITHOUT_FAN
d213d73d-c2bf-416b-863c-52246006b6a4	bac2319f-5050-4cbf-9881-4fb6e66131af	CRAC_FAN
d213d73d-c2bf-416b-863c-52246006b6a4	0d7f0e32-ddc1-48d1-b849-052dd99d9692	CHILLER
d213d73d-c2bf-416b-863c-52246006b6a4	487a34cd-df1e-4dc0-98b2-68c8ba2246e3	AIR_COOLED_CHILLER
d213d73d-c2bf-416b-863c-52246006b6a4	0e82e4cb-bc5a-4765-a244-b48afff174aa	COOLING_TOWER
d213d73d-c2bf-416b-863c-52246006b6a4	2ae39279-3117-4d75-beb6-dcb976a18fe5	DRY_COOLER
d213d73d-c2bf-416b-863c-52246006b6a4	23eca0b2-39a7-4da2-ace4-baf966df3a4f	REMOTE_CONDENSER
d213d73d-c2bf-416b-863c-52246006b6a4	eb8b13f8-fca6-4ea7-bc9c-0622d369c23d	CHILLED_WATER_PUMPS
d213d73d-c2bf-416b-863c-52246006b6a4	b1a1ca7a-8b4d-4c5d-9261-4e3d9d503f91	HEAT_REJECTION_PUMPS
d213d73d-c2bf-416b-863c-52246006b6a4	f6b8e59c-4401-489a-8529-b87b595a62a3	VENTILATION
d213d73d-c2bf-416b-863c-52246006b6a4	9f1b8c14-6a53-4db8-bb70-29b87ea8712a	INFILTRATION
d213d73d-c2bf-416b-863c-52246006b6a4	52032b63-44e3-401d-8e7c-de4afbb614ba	IT_LOAD
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	f8496856-e969-43fc-8499-356ecebf2048	SWITCHGEAR
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	6413cce5-122d-449a-b734-5bac3c790ef5	GENERATOR
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	dd36501f-728a-48a8-876b-b117671dcbc1	PRIMARY_AUXILIARIES
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	00b35adb-0921-490f-81a5-9cedcc0eda12	UPS
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	731db33d-0c85-4a02-81aa-7681d9c43725	CRITICAL_AUXILIARIES
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	d8ca2763-ac9c-4f93-8193-77cb54e911e3	LIGHTING
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	a7be00ec-56dc-4e45-96ce-d90642b55961	CRITICAL_POWER_DISTRIBUTION
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	2d665b87-45e7-48a9-ab0a-f6ba8c49206c	CRAH
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	e0cae8eb-f57a-4988-9b71-03cd5ebd93a7	CRAC
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	027d6c91-bd67-402e-8e70-d690eafca5e1	CRAC_WITHOUT_FAN
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	3d73fca1-ca03-4a19-bc66-6e41071afb12	CRAC_FAN
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	2a251e46-997e-4900-8983-c1b5e0aaa7b7	CHILLER
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	5c5ac275-634b-446c-8405-bc1151fe0c5d	AIR_COOLED_CHILLER
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	bf4eecf8-c02f-4f89-b1a8-9a6e567fb1ea	COOLING_TOWER
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	a74048f6-69f2-49fc-8341-5766b4a89514	DRY_COOLER
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	edf2fc43-db1c-4e70-833d-07bc5b9fa66e	REMOTE_CONDENSER
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	c7ed4710-90b3-42d7-8781-1938dbc8069b	CHILLED_WATER_PUMPS
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	18078769-bf56-4638-a420-e41ace430f68	HEAT_REJECTION_PUMPS
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	2d933f8c-5c14-4b63-bde7-8370456aaf28	VENTILATION
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	1f57adb0-348e-48ba-bd77-c50785a2b0d6	INFILTRATION
5f177f1a-ab78-4349-b9f4-79f416bf3dc1	14221960-3489-454a-9f7b-b703307292f5	IT_LOAD
c342397f-95b6-48da-af20-0b4c47ccc0cc	96db81e0-f3a0-4db3-ac86-e8e2d3e2d5ba	SWITCHGEAR
c342397f-95b6-48da-af20-0b4c47ccc0cc	9c1f4c06-7b2f-4ff7-b50a-7130f48486bb	GENERATOR
c342397f-95b6-48da-af20-0b4c47ccc0cc	ccdd0c92-aa27-4ce1-aed3-a490828d99f6	PRIMARY_AUXILIARIES
c342397f-95b6-48da-af20-0b4c47ccc0cc	45291a64-8c79-45f4-9d9c-eedbc5a58ac3	UPS
c342397f-95b6-48da-af20-0b4c47ccc0cc	8db28535-32cf-48e8-abb9-2fb32d152332	CRITICAL_AUXILIARIES
c342397f-95b6-48da-af20-0b4c47ccc0cc	dc1dd0d5-2e12-4b14-bbf6-0a7293aa9066	LIGHTING
c342397f-95b6-48da-af20-0b4c47ccc0cc	5dfc6a34-7d7c-462e-b877-fb9fe67a148d	CRITICAL_POWER_DISTRIBUTION
c342397f-95b6-48da-af20-0b4c47ccc0cc	e333be5d-ec68-4231-ba36-fae89ddd4a27	CRAH
c342397f-95b6-48da-af20-0b4c47ccc0cc	bd6cf9c3-9e11-4ec4-9925-2f21560c9873	CRAC
c342397f-95b6-48da-af20-0b4c47ccc0cc	01a2876d-72b2-4f34-a5cb-7fedc4b8311f	CRAC_WITHOUT_FAN
c342397f-95b6-48da-af20-0b4c47ccc0cc	df90e5e5-3380-42db-bd18-318e1747eb54	CRAC_FAN
c342397f-95b6-48da-af20-0b4c47ccc0cc	c1b9c0f3-0701-46f0-988f-3d8118cb92b7	CHILLER
c342397f-95b6-48da-af20-0b4c47ccc0cc	fec0cfbc-ece8-496a-a0aa-04fdba4b851a	AIR_COOLED_CHILLER
c342397f-95b6-48da-af20-0b4c47ccc0cc	6e5c4da4-8ffd-4df6-b0de-789bbfb746f9	COOLING_TOWER
c342397f-95b6-48da-af20-0b4c47ccc0cc	62129b3d-17d1-4253-a6fc-0354e0ef0dbe	DRY_COOLER
c342397f-95b6-48da-af20-0b4c47ccc0cc	94279c02-99d4-4d8e-98e6-414e791fc188	REMOTE_CONDENSER
c342397f-95b6-48da-af20-0b4c47ccc0cc	aa181762-e67d-4240-92e3-de5620a5d633	CHILLED_WATER_PUMPS
c342397f-95b6-48da-af20-0b4c47ccc0cc	14f4e214-5acc-474a-828b-3685592b556d	HEAT_REJECTION_PUMPS
c342397f-95b6-48da-af20-0b4c47ccc0cc	0ad76b31-70a8-4c19-bcf5-cd92c4b6d3d1	VENTILATION
c342397f-95b6-48da-af20-0b4c47ccc0cc	0380a914-a92f-48ef-8f6b-3ca4113b45f8	INFILTRATION
c342397f-95b6-48da-af20-0b4c47ccc0cc	18351774-b503-4fc3-8c8d-b6f85ec41463	IT_LOAD
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	b4c16da2-20c1-49d3-a57e-a4f1727dde06	SWITCHGEAR
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	d2b5dd9a-6e54-4188-84a0-154a1651cf65	GENERATOR
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	e9e6c2a3-8fd0-4f84-a040-54a3dd1170c9	PRIMARY_AUXILIARIES
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	edbd56db-14f9-4d2a-9281-d705afb8af72	UPS
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	097ebe5c-e461-409a-b1c0-c3e98420215c	CRITICAL_AUXILIARIES
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	39949b63-43ea-42f6-adf3-cf6e387dfb10	LIGHTING
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	821ed508-3ff1-4dd6-86bb-473e03e1ad05	CRITICAL_POWER_DISTRIBUTION
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	a2a217f1-c217-493b-a8df-032be8105b7b	CRAH
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	cfd468f1-e632-4d08-abc7-51086ccfd381	CRAC
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	c19b800a-0a8c-4011-be07-18b3b7739fe4	CRAC_WITHOUT_FAN
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	e306ed53-7303-4eb1-bdc8-2233993d26de	CRAC_FAN
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	d7f9764c-187c-49fd-b5c5-803ccb29ebbb	CHILLER
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	1c235e48-8bf3-4f90-94e6-b7661435a801	AIR_COOLED_CHILLER
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	5f69513d-da1b-4a51-995a-b5ca96a19abd	COOLING_TOWER
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	d438a3ce-f13c-44a0-9c74-571fdbb84ecc	DRY_COOLER
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	bbedc39c-6e24-4e46-bbb1-0ec1602622c4	REMOTE_CONDENSER
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	b242226e-1adb-4d47-b5d6-72d0ade36ee7	CHILLED_WATER_PUMPS
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	29e1daa4-d202-4e36-a095-3b4079150885	HEAT_REJECTION_PUMPS
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	98bfd966-bb59-4163-8c57-8138c9678282	VENTILATION
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	3cf969a7-f103-4dba-afcb-e66c3170386b	INFILTRATION
29b8ceab-752c-4b6d-a68e-ccb9d4d87fc8	67c07102-63c8-4605-8b02-dcd8f050065b	IT_LOAD
c122b654-91fb-4733-8818-d2c43359b12c	da7a947b-f196-4216-a28f-b9de1d7be48e	SWITCHGEAR
c122b654-91fb-4733-8818-d2c43359b12c	37dcae84-d14a-4d53-a4cd-1ff246f78af2	GENERATOR
c122b654-91fb-4733-8818-d2c43359b12c	c9b6e1d5-5925-4fbc-9dac-4ebac6aa3d62	PRIMARY_AUXILIARIES
c122b654-91fb-4733-8818-d2c43359b12c	219bbdf5-285f-4e74-a695-32f6e520d491	UPS
c122b654-91fb-4733-8818-d2c43359b12c	f6ac9e14-d3ba-402d-acd4-f52580ee2b88	CRITICAL_AUXILIARIES
c122b654-91fb-4733-8818-d2c43359b12c	ba177ad1-94e7-4785-8b76-600913df071b	LIGHTING
c122b654-91fb-4733-8818-d2c43359b12c	654eb9a6-01e2-4ee8-9fc1-83294bbfd314	CRITICAL_POWER_DISTRIBUTION
c122b654-91fb-4733-8818-d2c43359b12c	0635ff0c-04cf-470b-aeaa-a38eb6359015	CRAH
c122b654-91fb-4733-8818-d2c43359b12c	f9e56782-abc4-4996-abcc-0e119138eecc	CRAC
c122b654-91fb-4733-8818-d2c43359b12c	78f5ac23-e0ab-4246-bcd8-affee2005d75	CRAC_WITHOUT_FAN
c122b654-91fb-4733-8818-d2c43359b12c	522c06d6-09de-4229-a3fd-744daf49ced0	CRAC_FAN
c122b654-91fb-4733-8818-d2c43359b12c	4575fcfc-c365-4466-89c6-41e4efc688b0	CHILLER
c122b654-91fb-4733-8818-d2c43359b12c	c47604f7-bf61-4c23-b672-906fc1a231db	AIR_COOLED_CHILLER
c122b654-91fb-4733-8818-d2c43359b12c	d0244b22-9aac-4f86-9563-bdda3e331e05	COOLING_TOWER
c122b654-91fb-4733-8818-d2c43359b12c	9aae7a10-2ddf-4f8c-8943-f764a498f90e	DRY_COOLER
c122b654-91fb-4733-8818-d2c43359b12c	d6e14b18-c149-4fd9-8acf-3e0e3d9be781	REMOTE_CONDENSER
c122b654-91fb-4733-8818-d2c43359b12c	ab155a98-3c43-412e-92fe-1d81b667fe28	CHILLED_WATER_PUMPS
c122b654-91fb-4733-8818-d2c43359b12c	1220b6ec-175f-4fba-afdf-69923a0d8b0f	HEAT_REJECTION_PUMPS
c122b654-91fb-4733-8818-d2c43359b12c	7d81f154-4007-4654-a503-bb5aa36dd850	VENTILATION
c122b654-91fb-4733-8818-d2c43359b12c	b70e7b72-ebbb-4d5b-bd05-74b3f28630a6	INFILTRATION
c122b654-91fb-4733-8818-d2c43359b12c	bcc1d7ff-0a68-48b2-b4e1-f6a9d8a2c397	IT_LOAD
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	a4caacd5-a023-4102-a5da-0f9668de4560	SWITCHGEAR
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	d3fb1f8f-3526-4bbc-8b26-6dbbcf2c8577	GENERATOR
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	de6252c9-9346-47ab-b311-6c3e11047c1b	PRIMARY_AUXILIARIES
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	7a0ff953-8d83-4efe-a3cc-9cd54558dde1	UPS
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	4d5bb50e-6038-4369-96c5-7c6050d96300	CRITICAL_AUXILIARIES
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	3b360d44-0e52-40eb-98e2-76d5dac438bf	LIGHTING
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	c0c3345f-a543-48ca-aad8-572fa9fe06ce	CRITICAL_POWER_DISTRIBUTION
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	819388f6-626a-4d7f-8d6d-0b4ba33ffdad	CRAH
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	fdb945cf-3eaf-42e3-ad3e-421b28e58325	CRAC
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	3b3f8b01-ccb9-495c-886d-ae12fe0f2b13	CRAC_WITHOUT_FAN
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	6fe6cb6d-523a-4246-b0c4-749659051e9e	CRAC_FAN
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	13b005c0-8c02-4d8c-adfc-e73ae234fdb6	CHILLER
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	36875833-e8af-4db2-86e4-a23a521df6f5	AIR_COOLED_CHILLER
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	c143a74c-fb5a-42d4-a9b9-fbc33c363500	COOLING_TOWER
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	1e5b17b4-83b1-4349-aea7-5eb832893bfe	DRY_COOLER
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	c431aaf6-7d36-42d2-a030-c21387158b2a	REMOTE_CONDENSER
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	23a5ad7a-b511-4f87-81df-86d4d1a3c0ed	CHILLED_WATER_PUMPS
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	fff4b1c8-5cfa-4cb1-ad80-6e3f50730799	HEAT_REJECTION_PUMPS
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	940c484a-5155-4881-ae29-30e0b9baa923	VENTILATION
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	749baad3-971e-4278-8adf-b79b4b76644c	INFILTRATION
5ce0f3a5-1c11-40c7-8525-8f0f8bca0782	506c0ff9-fe45-4e66-82cf-e871441b4f54	IT_LOAD
51543149-27e8-4da2-9432-d70121e4b8a0	65e3e398-cb48-43a0-a76f-1697c3af1ccc	SWITCHGEAR
51543149-27e8-4da2-9432-d70121e4b8a0	ef62f4c2-a6e4-4644-bead-6eccea480474	GENERATOR
51543149-27e8-4da2-9432-d70121e4b8a0	7b0d48e0-1403-465a-ba55-db159607b884	PRIMARY_AUXILIARIES
51543149-27e8-4da2-9432-d70121e4b8a0	6b360281-3674-421d-a416-f6b7113ffb78	UPS
51543149-27e8-4da2-9432-d70121e4b8a0	4d0eb7c2-943c-40d5-95dd-8193f80a64a4	CRITICAL_AUXILIARIES
51543149-27e8-4da2-9432-d70121e4b8a0	c6caed5d-3c8e-4519-9786-4f07da4acb3e	LIGHTING
51543149-27e8-4da2-9432-d70121e4b8a0	57a2bd46-b980-445c-87fa-a2b35b2867f3	CRITICAL_POWER_DISTRIBUTION
51543149-27e8-4da2-9432-d70121e4b8a0	a2cad2e3-807b-429a-b310-9a682cbce484	CRAH
51543149-27e8-4da2-9432-d70121e4b8a0	69b29516-f863-4a95-8fcf-26eb8392bf6d	CRAC
51543149-27e8-4da2-9432-d70121e4b8a0	00244b2f-3f33-400f-a72d-27a947fa78ee	CRAC_WITHOUT_FAN
51543149-27e8-4da2-9432-d70121e4b8a0	2576010c-d4cd-4a58-8115-54c4363e4023	CRAC_FAN
51543149-27e8-4da2-9432-d70121e4b8a0	d174b33b-9acd-46d3-a76a-e577c5c74876	CHILLER
51543149-27e8-4da2-9432-d70121e4b8a0	1c0ff6ed-86af-4674-ad20-1730e6a483b3	AIR_COOLED_CHILLER
51543149-27e8-4da2-9432-d70121e4b8a0	3ced0213-db58-41d9-a935-3f2d28460faf	COOLING_TOWER
51543149-27e8-4da2-9432-d70121e4b8a0	bc04f2fd-2c79-4d1f-be94-c04527ae5df8	DRY_COOLER
51543149-27e8-4da2-9432-d70121e4b8a0	558ba61e-5737-48f5-8c8c-ddc57f7804a1	REMOTE_CONDENSER
51543149-27e8-4da2-9432-d70121e4b8a0	86ba7923-fd4c-4d13-9df5-a02b5a8fc98c	CHILLED_WATER_PUMPS
51543149-27e8-4da2-9432-d70121e4b8a0	83b64710-ee6c-47f6-97f2-110a01587cfa	HEAT_REJECTION_PUMPS
51543149-27e8-4da2-9432-d70121e4b8a0	66d247cc-4e4e-43fe-9a97-1a2895e92a09	VENTILATION
51543149-27e8-4da2-9432-d70121e4b8a0	a051b493-9423-4853-9833-b617b250a792	INFILTRATION
51543149-27e8-4da2-9432-d70121e4b8a0	222d2bbb-ac6a-476f-92d3-fb84be139341	IT_LOAD
cad5aeb0-16cf-4076-968d-6b756dd66925	044c4a81-bc41-4d46-a9e5-7f16c676ee3a	SWITCHGEAR
cad5aeb0-16cf-4076-968d-6b756dd66925	83d26897-f828-4542-a792-cd6de61d30ec	GENERATOR
cad5aeb0-16cf-4076-968d-6b756dd66925	2115c21c-17bf-4db0-914b-1cfab37f8acd	PRIMARY_AUXILIARIES
cad5aeb0-16cf-4076-968d-6b756dd66925	b07d9899-81f6-413c-8616-d166652675c3	UPS
cad5aeb0-16cf-4076-968d-6b756dd66925	de16ace3-87bc-4ebe-9ee8-30282784182a	CRITICAL_AUXILIARIES
cad5aeb0-16cf-4076-968d-6b756dd66925	33b8b1c4-91b3-44b0-832c-76f912872629	LIGHTING
cad5aeb0-16cf-4076-968d-6b756dd66925	9af20c6e-c085-4353-af16-fe51a37d0ebb	CRITICAL_POWER_DISTRIBUTION
cad5aeb0-16cf-4076-968d-6b756dd66925	3443ebb7-84a6-404e-b090-94681d00a8cc	CRAH
cad5aeb0-16cf-4076-968d-6b756dd66925	18ff10a9-efd2-4c56-a5e5-3cb33fc384ed	CRAC
cad5aeb0-16cf-4076-968d-6b756dd66925	13ff258d-6289-43a7-b78a-640e224f547e	CRAC_WITHOUT_FAN
cad5aeb0-16cf-4076-968d-6b756dd66925	fd33dc85-5d36-4261-bea3-9a2e050e4d34	CRAC_FAN
cad5aeb0-16cf-4076-968d-6b756dd66925	4e94d3a8-6a51-49d7-84a5-9b34c4a33651	CHILLER
cad5aeb0-16cf-4076-968d-6b756dd66925	f66fc6de-2616-424f-a48d-5928039edf20	AIR_COOLED_CHILLER
cad5aeb0-16cf-4076-968d-6b756dd66925	f5982203-0c62-4994-991d-4c4b19e85cf1	COOLING_TOWER
cad5aeb0-16cf-4076-968d-6b756dd66925	73e03bb9-f46f-4e16-b989-67f1a597f6b6	DRY_COOLER
cad5aeb0-16cf-4076-968d-6b756dd66925	af74591a-8455-4b12-93a1-0ef8572f5f52	REMOTE_CONDENSER
cad5aeb0-16cf-4076-968d-6b756dd66925	b24c7fa8-803d-4688-bf14-1946b5451f58	CHILLED_WATER_PUMPS
cad5aeb0-16cf-4076-968d-6b756dd66925	e0b6bcbf-2ce6-403a-a035-edcabdb7c20e	HEAT_REJECTION_PUMPS
cad5aeb0-16cf-4076-968d-6b756dd66925	eb69b20a-6459-4308-a3e8-cbed22c44a99	VENTILATION
cad5aeb0-16cf-4076-968d-6b756dd66925	ea1512c3-8039-4159-afc3-5a0924c39060	INFILTRATION
cad5aeb0-16cf-4076-968d-6b756dd66925	d0033353-b77b-4356-b398-26b276734c88	IT_LOAD
cbd2e16a-9169-4876-955c-2fc53dc5d263	3f065684-2f4f-4f2d-8ea3-e8fb2cff06a9	SWITCHGEAR
cbd2e16a-9169-4876-955c-2fc53dc5d263	e74806d0-08aa-4aa6-9fcd-87519a743560	GENERATOR
cbd2e16a-9169-4876-955c-2fc53dc5d263	b0ba1c6d-30be-4a46-a9cf-166eaed0286c	PRIMARY_AUXILIARIES
cbd2e16a-9169-4876-955c-2fc53dc5d263	730ef443-063f-4594-b0a1-bebf338be9d0	UPS
cbd2e16a-9169-4876-955c-2fc53dc5d263	80b80e95-3731-4e12-9401-9a61c84eab86	CRITICAL_AUXILIARIES
cbd2e16a-9169-4876-955c-2fc53dc5d263	6b91b386-410f-421c-ac26-ab56b84d955e	LIGHTING
cbd2e16a-9169-4876-955c-2fc53dc5d263	ac1386f5-4d4d-45e4-ace8-3832d0c6c62f	CRITICAL_POWER_DISTRIBUTION
cbd2e16a-9169-4876-955c-2fc53dc5d263	f1ef5da9-f940-4714-8b28-8bb2092c5c62	CRAH
cbd2e16a-9169-4876-955c-2fc53dc5d263	b507b336-b276-4260-8e08-9b2d3827ff0f	CRAC
cbd2e16a-9169-4876-955c-2fc53dc5d263	dd38ff72-2bda-4517-9e25-3fbfe0e2bb0d	CRAC_WITHOUT_FAN
cbd2e16a-9169-4876-955c-2fc53dc5d263	d8d7a168-e22c-42f9-a047-b918fc411e6a	CRAC_FAN
cbd2e16a-9169-4876-955c-2fc53dc5d263	ac299f51-0353-4662-96bc-81ee70d87fdd	CHILLER
cbd2e16a-9169-4876-955c-2fc53dc5d263	f68be01b-94c4-41f7-b3f9-44acdf2b6f5b	AIR_COOLED_CHILLER
cbd2e16a-9169-4876-955c-2fc53dc5d263	c088564a-a5be-45ae-90c3-897a77fd21e3	COOLING_TOWER
cbd2e16a-9169-4876-955c-2fc53dc5d263	2d47fefd-e02e-4d29-b40f-6cdf212880bd	DRY_COOLER
cbd2e16a-9169-4876-955c-2fc53dc5d263	13516f89-39d1-44e6-8f39-ca91e9f2655b	REMOTE_CONDENSER
cbd2e16a-9169-4876-955c-2fc53dc5d263	f7e57428-f800-441c-bb0c-0c96b458f5ec	CHILLED_WATER_PUMPS
cbd2e16a-9169-4876-955c-2fc53dc5d263	faad0778-eff4-4265-ac34-86590a5dd42f	HEAT_REJECTION_PUMPS
cbd2e16a-9169-4876-955c-2fc53dc5d263	2a7ab8c1-e504-4ff6-a271-600fd0dee798	VENTILATION
cbd2e16a-9169-4876-955c-2fc53dc5d263	30d268b5-f7ea-4498-a1f4-905530aa1e87	INFILTRATION
cbd2e16a-9169-4876-955c-2fc53dc5d263	fcd8e3ad-c181-45c4-aacb-192c585134f2	IT_LOAD
d4a44fc4-1893-42cf-bd59-32eededee1ff	979c4626-0769-4651-b56d-c1ba84eb19ce	SWITCHGEAR
d4a44fc4-1893-42cf-bd59-32eededee1ff	abd94bf8-9380-45c2-bee6-87a1315d18fa	GENERATOR
d4a44fc4-1893-42cf-bd59-32eededee1ff	0b1d85a9-88c0-45ea-9928-3e2ae460a8fc	PRIMARY_AUXILIARIES
d4a44fc4-1893-42cf-bd59-32eededee1ff	223b3dd1-5abe-43f8-944d-fdc3133dc129	UPS
d4a44fc4-1893-42cf-bd59-32eededee1ff	7e008ff8-41fb-4da4-a821-ef76a6baa8a3	CRITICAL_AUXILIARIES
d4a44fc4-1893-42cf-bd59-32eededee1ff	b7342e28-c9fd-42d1-88df-f694c555515f	LIGHTING
d4a44fc4-1893-42cf-bd59-32eededee1ff	93f0419e-fd53-492e-895e-da8593c2418e	CRITICAL_POWER_DISTRIBUTION
d4a44fc4-1893-42cf-bd59-32eededee1ff	967d20b2-0e3d-41a2-80f9-d97fbb7a93e7	CRAH
d4a44fc4-1893-42cf-bd59-32eededee1ff	ec7180fc-ceae-455b-912f-4713184dcea2	CRAC
d4a44fc4-1893-42cf-bd59-32eededee1ff	2a7dfcae-d833-44bd-8a2e-947ec9154b17	CRAC_WITHOUT_FAN
d4a44fc4-1893-42cf-bd59-32eededee1ff	5c4f061d-78aa-48f3-8218-0c063ffc6cb5	CRAC_FAN
d4a44fc4-1893-42cf-bd59-32eededee1ff	64823d29-b3e4-4bae-aef9-2384253d0987	CHILLER
d4a44fc4-1893-42cf-bd59-32eededee1ff	2d7d8181-5358-4289-9930-eb36a10ae7be	AIR_COOLED_CHILLER
d4a44fc4-1893-42cf-bd59-32eededee1ff	9d21ed8a-196a-42fc-8a4d-56ffccd8e37b	COOLING_TOWER
d4a44fc4-1893-42cf-bd59-32eededee1ff	1b93b787-549f-4183-9fab-67735bf9c7ad	DRY_COOLER
d4a44fc4-1893-42cf-bd59-32eededee1ff	97895f5d-d1a7-40fc-9cfb-2336c9998547	REMOTE_CONDENSER
d4a44fc4-1893-42cf-bd59-32eededee1ff	62d34e49-ca1e-47ea-a6b9-929f7332549a	CHILLED_WATER_PUMPS
d4a44fc4-1893-42cf-bd59-32eededee1ff	5daaab09-cc39-4aa2-bba8-4f3f88f708ce	HEAT_REJECTION_PUMPS
d4a44fc4-1893-42cf-bd59-32eededee1ff	695bf8f6-4804-4957-8b25-4a8b2fac29bb	VENTILATION
d4a44fc4-1893-42cf-bd59-32eededee1ff	f20fb305-7c0d-4061-a76a-d2361fbaf540	INFILTRATION
d4a44fc4-1893-42cf-bd59-32eededee1ff	9adcb1d4-c084-493c-a658-647766427fe5	IT_LOAD
5bf70f68-15ce-42dd-97e3-d29e22ee083b	17a96f78-4351-43b1-be0f-5eac2825816f	SWITCHGEAR
5bf70f68-15ce-42dd-97e3-d29e22ee083b	bfafec37-0fc4-4a28-85b3-db5c94ff405a	GENERATOR
5bf70f68-15ce-42dd-97e3-d29e22ee083b	07a193bd-2665-4bef-b23e-95708c5b9f4d	PRIMARY_AUXILIARIES
5bf70f68-15ce-42dd-97e3-d29e22ee083b	ad775123-cc6c-4cd2-a230-3f2e520aee58	UPS
5bf70f68-15ce-42dd-97e3-d29e22ee083b	f4d5ce25-5fa7-4ece-882c-1c5d3a767096	CRITICAL_AUXILIARIES
5bf70f68-15ce-42dd-97e3-d29e22ee083b	a88db3fb-da4a-4f6c-83e2-8ee16d3e3be2	LIGHTING
5bf70f68-15ce-42dd-97e3-d29e22ee083b	3afb4e8d-69fc-444d-b31e-287a0cf57700	CRITICAL_POWER_DISTRIBUTION
5bf70f68-15ce-42dd-97e3-d29e22ee083b	c31598eb-0d58-4556-bfcb-a5f8a44b82dd	CRAH
5bf70f68-15ce-42dd-97e3-d29e22ee083b	67e24a3d-a1f6-4f2b-bab8-8b11a75e43ea	CRAC
5bf70f68-15ce-42dd-97e3-d29e22ee083b	3ce12002-be0a-43f4-9d02-f1cea63834b3	CRAC_WITHOUT_FAN
5bf70f68-15ce-42dd-97e3-d29e22ee083b	484b99d1-711b-457a-9756-ae43ff0413e1	CRAC_FAN
5bf70f68-15ce-42dd-97e3-d29e22ee083b	1f9b0957-9645-4b0a-8525-0c821eff2e26	CHILLER
5bf70f68-15ce-42dd-97e3-d29e22ee083b	bfe05ce0-6fd2-4db3-a2a0-670ed4dbcccb	AIR_COOLED_CHILLER
5bf70f68-15ce-42dd-97e3-d29e22ee083b	c1b3005f-a35d-4a1a-9e0a-02b51b5fc1b6	COOLING_TOWER
5bf70f68-15ce-42dd-97e3-d29e22ee083b	3884f061-33d9-4b29-82f3-666764cd2062	DRY_COOLER
5bf70f68-15ce-42dd-97e3-d29e22ee083b	0f621852-d6ca-42f3-a2dc-4bc52bd7427a	REMOTE_CONDENSER
5bf70f68-15ce-42dd-97e3-d29e22ee083b	1e36f102-6675-47de-8cd6-9905869b02ea	CHILLED_WATER_PUMPS
5bf70f68-15ce-42dd-97e3-d29e22ee083b	ce19ed38-653d-4a60-ad7d-e140ae5b59fc	HEAT_REJECTION_PUMPS
5bf70f68-15ce-42dd-97e3-d29e22ee083b	403d8f35-ddb7-4c9d-a8c8-da8a31705c00	VENTILATION
5bf70f68-15ce-42dd-97e3-d29e22ee083b	49d68e74-6646-4af6-9394-0c018528f277	INFILTRATION
5bf70f68-15ce-42dd-97e3-d29e22ee083b	2b7739f5-ec05-43bf-97a5-5d3c830b1ac4	IT_LOAD
c50159b2-14a3-40fd-9d40-28cd80d6840f	14986769-dcc4-489e-aa56-f701679e31bd	SWITCHGEAR
c50159b2-14a3-40fd-9d40-28cd80d6840f	bcdff653-33c6-448f-a9c4-8c1b18175ef3	GENERATOR
c50159b2-14a3-40fd-9d40-28cd80d6840f	325fa17d-7835-4d0a-aa13-06929f662b0e	PRIMARY_AUXILIARIES
c50159b2-14a3-40fd-9d40-28cd80d6840f	3f8b0c2d-6052-490f-97bc-88b51dd6870d	UPS
c50159b2-14a3-40fd-9d40-28cd80d6840f	cd6d3cb8-d7c0-4692-8b12-45118d1fcbc7	CRITICAL_AUXILIARIES
c50159b2-14a3-40fd-9d40-28cd80d6840f	81daa240-a10d-49e1-9b6e-ebe7479caf87	LIGHTING
c50159b2-14a3-40fd-9d40-28cd80d6840f	dfd4f540-0303-4c55-9ba3-dbe1be743340	CRITICAL_POWER_DISTRIBUTION
c50159b2-14a3-40fd-9d40-28cd80d6840f	19b56c0b-a2e6-497d-b5b0-e8cbec958ae6	CRAH
c50159b2-14a3-40fd-9d40-28cd80d6840f	95055bbf-4bc3-4a8d-bfbc-4d3c77eefa1d	CRAC
c50159b2-14a3-40fd-9d40-28cd80d6840f	4ce57efd-9022-4bb1-a45c-c129f4057d07	CRAC_WITHOUT_FAN
c50159b2-14a3-40fd-9d40-28cd80d6840f	fea33c86-3a8a-43bb-9603-f08808e2dd49	CRAC_FAN
c50159b2-14a3-40fd-9d40-28cd80d6840f	8f0f0a42-83e7-45f2-8715-1bcb533cd530	CHILLER
c50159b2-14a3-40fd-9d40-28cd80d6840f	d1a1c370-81ba-4f33-9054-30818f83955e	AIR_COOLED_CHILLER
c50159b2-14a3-40fd-9d40-28cd80d6840f	2c628e82-f4b1-455f-8625-7ef49a075e91	COOLING_TOWER
c50159b2-14a3-40fd-9d40-28cd80d6840f	b198b79d-9251-4706-9fea-21fc6b11ff49	DRY_COOLER
c50159b2-14a3-40fd-9d40-28cd80d6840f	c4a209a8-d02c-411c-9ade-04ff7aea3310	REMOTE_CONDENSER
c50159b2-14a3-40fd-9d40-28cd80d6840f	e64e5d5b-a221-4ea9-83c4-0f23427951a4	CHILLED_WATER_PUMPS
c50159b2-14a3-40fd-9d40-28cd80d6840f	1d1d1454-3339-4404-a730-8f2a87615c1b	HEAT_REJECTION_PUMPS
c50159b2-14a3-40fd-9d40-28cd80d6840f	e374426c-6d6c-40b9-a669-c134f29d5cab	VENTILATION
c50159b2-14a3-40fd-9d40-28cd80d6840f	949c0fce-b680-44f4-a447-ff8d496186b0	INFILTRATION
c50159b2-14a3-40fd-9d40-28cd80d6840f	7b870a98-4dfa-4efb-b770-20defb32a00c	IT_LOAD
8494d5ba-9971-4636-83d1-e1ac088a93bb	aad56a43-7dc8-4039-bdcc-3986aa3a0180	SWITCHGEAR
8494d5ba-9971-4636-83d1-e1ac088a93bb	77ae7e10-be1a-4eab-b03d-bff1593ae15e	GENERATOR
8494d5ba-9971-4636-83d1-e1ac088a93bb	a944c3b8-73d2-4540-90c4-d202fb0653c7	PRIMARY_AUXILIARIES
8494d5ba-9971-4636-83d1-e1ac088a93bb	191abded-5019-4138-9700-a161d8c0192b	UPS
8494d5ba-9971-4636-83d1-e1ac088a93bb	1d962118-3a6c-4f97-b458-1cc538683069	CRITICAL_AUXILIARIES
8494d5ba-9971-4636-83d1-e1ac088a93bb	e4671776-5d65-4715-b392-e291423d2d52	LIGHTING
8494d5ba-9971-4636-83d1-e1ac088a93bb	9085ac5e-6c32-4ac1-972f-74646290cd25	CRITICAL_POWER_DISTRIBUTION
8494d5ba-9971-4636-83d1-e1ac088a93bb	2ec48fea-9739-4bf3-a6e1-2565d791d8ea	CRAH
8494d5ba-9971-4636-83d1-e1ac088a93bb	f5c8dd29-4c83-430f-b262-fe386387b8a7	CRAC
8494d5ba-9971-4636-83d1-e1ac088a93bb	49cb8a1b-d456-4785-b148-97fdb3a3e170	CRAC_WITHOUT_FAN
8494d5ba-9971-4636-83d1-e1ac088a93bb	a22df348-fdf5-4917-852f-f24c834504b4	CRAC_FAN
8494d5ba-9971-4636-83d1-e1ac088a93bb	3de6cbac-dbd0-4e74-9e17-934066cc7d7d	CHILLER
8494d5ba-9971-4636-83d1-e1ac088a93bb	f977fc29-d545-4ae2-8de8-f9bf42c34fb5	AIR_COOLED_CHILLER
8494d5ba-9971-4636-83d1-e1ac088a93bb	7cf49aff-9b52-49c8-8a2a-903d8199e99c	COOLING_TOWER
8494d5ba-9971-4636-83d1-e1ac088a93bb	b711a186-68e4-4283-9d35-2bd33b6a6fb3	DRY_COOLER
8494d5ba-9971-4636-83d1-e1ac088a93bb	2071c05f-8afd-48a4-8ca0-b7defcfd62c4	REMOTE_CONDENSER
8494d5ba-9971-4636-83d1-e1ac088a93bb	d939539f-7910-4898-ab67-3a0d8a00524d	CHILLED_WATER_PUMPS
8494d5ba-9971-4636-83d1-e1ac088a93bb	aaf0b0ca-081c-43af-bc38-b20edd659c40	HEAT_REJECTION_PUMPS
8494d5ba-9971-4636-83d1-e1ac088a93bb	c42eca6e-9b35-434b-b646-c2b8e41ac94d	VENTILATION
8494d5ba-9971-4636-83d1-e1ac088a93bb	5b52cf9a-eabd-4e19-8d92-633b67e66fde	INFILTRATION
8494d5ba-9971-4636-83d1-e1ac088a93bb	e51802aa-242d-450f-8bd5-44532aeb78f1	IT_LOAD
6b7c1cbe-691a-4f6f-919d-eca6959ad106	ff12ca3b-9d41-4f83-9d32-ecd9521466dc	SWITCHGEAR
6b7c1cbe-691a-4f6f-919d-eca6959ad106	7b499f9c-b7f2-41aa-ab2e-f22ae459f82c	GENERATOR
6b7c1cbe-691a-4f6f-919d-eca6959ad106	9b382efa-795a-4a03-9768-1578c66e4956	PRIMARY_AUXILIARIES
6b7c1cbe-691a-4f6f-919d-eca6959ad106	b26286f8-699c-44a8-b893-e93166685f12	UPS
6b7c1cbe-691a-4f6f-919d-eca6959ad106	aa669dbe-898c-477d-aae1-dfc49fc6ee01	CRITICAL_AUXILIARIES
6b7c1cbe-691a-4f6f-919d-eca6959ad106	ac229673-02e8-4c83-a060-572f2385353f	LIGHTING
6b7c1cbe-691a-4f6f-919d-eca6959ad106	bbac64e4-824e-4496-af1a-263301f7bc1b	CRITICAL_POWER_DISTRIBUTION
6b7c1cbe-691a-4f6f-919d-eca6959ad106	0b92d72e-a538-49b7-8175-7d4cda226a06	CRAH
6b7c1cbe-691a-4f6f-919d-eca6959ad106	c5b7eca9-c020-4056-ae58-7a8c5805541a	CRAC
6b7c1cbe-691a-4f6f-919d-eca6959ad106	53f95fcb-7d6b-4379-8ec6-faa801ced9f2	CRAC_WITHOUT_FAN
6b7c1cbe-691a-4f6f-919d-eca6959ad106	de4c2920-ca3a-44d1-a4a1-36c2f54ff5c6	CRAC_FAN
6b7c1cbe-691a-4f6f-919d-eca6959ad106	838ac721-ab65-40d1-b9a3-bb0796a809e2	CHILLER
6b7c1cbe-691a-4f6f-919d-eca6959ad106	e0c0bb9f-0f8c-4480-9725-d82f5e623cf7	AIR_COOLED_CHILLER
6b7c1cbe-691a-4f6f-919d-eca6959ad106	543bfd12-768f-4c00-839e-658ec3bc8206	COOLING_TOWER
6b7c1cbe-691a-4f6f-919d-eca6959ad106	e5e4ffd9-b364-48ec-8af8-3dc465d49739	DRY_COOLER
6b7c1cbe-691a-4f6f-919d-eca6959ad106	aefd7733-f911-4491-885a-b83af9645a97	REMOTE_CONDENSER
6b7c1cbe-691a-4f6f-919d-eca6959ad106	022b16d1-ab22-4e70-9d11-58bcaf2f2528	CHILLED_WATER_PUMPS
6b7c1cbe-691a-4f6f-919d-eca6959ad106	1b633c75-6130-4846-837f-97eb87f5a8e4	HEAT_REJECTION_PUMPS
6b7c1cbe-691a-4f6f-919d-eca6959ad106	a26c9b51-ceaa-4a17-93bf-9255e36c51d6	VENTILATION
6b7c1cbe-691a-4f6f-919d-eca6959ad106	7f209bb2-305e-45ba-9aec-1ec10a5c0775	INFILTRATION
6b7c1cbe-691a-4f6f-919d-eca6959ad106	67a7f31b-05d6-4245-80c3-ee26a3fcfbff	IT_LOAD
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	ff8e4fea-b72e-4d75-bf2a-a0edff37d848	SWITCHGEAR
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	a51885e8-4080-4e6c-a89b-f4d9c336c7bd	GENERATOR
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	b4927175-0fc6-4ba6-bbdd-8e19cea1e564	PRIMARY_AUXILIARIES
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	699001bb-41bf-45f6-a66f-eb16c355d532	UPS
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	bd5e7c6c-1ad8-4a75-836f-5535f52ba695	CRITICAL_AUXILIARIES
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	d303a37d-a8c7-4a6d-a784-cb6993524e37	LIGHTING
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	6f118b58-2e5b-4e8d-9706-97e9fbd7529d	CRITICAL_POWER_DISTRIBUTION
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	9c64bec8-0d1e-474e-bcac-48577f6c0240	CRAH
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	4f70cb2b-f0bc-4abe-8d95-cd9994302dcd	CRAC
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	087c0d4c-8f64-4a4f-95bb-2b3ba0b8e6dc	CRAC_WITHOUT_FAN
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	d02360f4-baa6-4e59-b0c4-676a3d0f4b81	CRAC_FAN
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	63e7ce62-2942-4ab7-b0db-4a21ac743f6d	CHILLER
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	24a0f652-0b2a-4666-bdcd-40ca4979b813	AIR_COOLED_CHILLER
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	a58419f1-3579-4e1c-92bc-177917b0ff0f	COOLING_TOWER
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	efeb8221-32bb-440a-acc3-57d7c31aef4d	DRY_COOLER
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	f3009631-6397-4892-b2cb-e6a2c13c097b	REMOTE_CONDENSER
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	4f57ab33-cc44-470e-9c20-f7a6b1f35dea	CHILLED_WATER_PUMPS
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	81c8d701-0584-4867-b4b2-b2a831672c3e	HEAT_REJECTION_PUMPS
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	5980b878-a40f-4db4-8ea8-4c4078eb4fd3	VENTILATION
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	bf4b33dc-2f08-47cc-ac7a-300b6b3b361e	INFILTRATION
652d6bcd-b1d2-4443-a1de-ff0a79b5b461	434ec120-8735-4d77-8972-dc43c61502c8	IT_LOAD
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	94e4bc12-52d2-4421-ad3b-36290d8c1858	SWITCHGEAR
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	6f0a946c-9988-4bd5-9188-0b0591cbcfe0	GENERATOR
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	3459c29d-9d3d-4341-8d11-b104b9ec36cc	PRIMARY_AUXILIARIES
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	5a2f2ba8-b93b-4031-8a88-e4cb5ebfd3c1	UPS
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	6de11f5b-4ec1-4e2d-bbc4-d9e33afcef29	CRITICAL_AUXILIARIES
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	69a8898b-f35f-426b-ab72-7b184f653f02	LIGHTING
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	08e72b89-54a4-4691-96e9-33ce9aa7b436	CRITICAL_POWER_DISTRIBUTION
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	889c8d04-afe6-45e7-b30c-d0c058786e29	CRAH
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	944d81aa-079c-4c20-b015-312fd4ef9561	CRAC
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	af604aa4-3d96-4e9d-9219-0d7366477281	CRAC_WITHOUT_FAN
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	28b6c6f7-9a25-4d31-a551-cde3e2657c92	CRAC_FAN
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	ab9ff80d-fd25-4642-99ec-3de545d29bb1	CHILLER
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	4fdaf3c3-a073-4d4e-aa66-d91bcf14ff25	AIR_COOLED_CHILLER
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	eb67d05b-2b21-40bf-bbdd-0551945cdd3e	COOLING_TOWER
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	ead94741-cae3-48d6-bbed-3e3a1b1750e7	DRY_COOLER
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	c1315a40-37a3-4017-bb27-39f376de8590	REMOTE_CONDENSER
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	b400d084-e12e-484b-a7d1-19746ad2b519	CHILLED_WATER_PUMPS
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	7ddf20c6-d914-4946-b484-91b21320b424	HEAT_REJECTION_PUMPS
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	28d5f7b4-7fe2-4d95-82c7-04b4e1913176	VENTILATION
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	a34e72e7-2c40-47a5-ba41-2f6246a2f7e9	INFILTRATION
7dc11f79-1cf2-4eeb-934d-21fca0a9cb3a	47ca0616-29d6-4288-868d-700af0eee676	IT_LOAD
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	ee5ca3bb-4f2a-49f9-8012-0eb21c0ea76e	SWITCHGEAR
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	e9c0b147-a483-44f5-8e18-f1ec3f38c69b	GENERATOR
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	9466dfd6-b920-479d-bf99-2d7cd1f56110	PRIMARY_AUXILIARIES
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	1236feac-90c1-4f04-8f1b-5fc67bee6076	UPS
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	cef91c1b-d93f-4212-aef0-bdb83630ef23	CRITICAL_AUXILIARIES
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	3d4d8c61-8a33-441f-9e38-9a1e3b311439	LIGHTING
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	201aef5c-04b5-436d-9a82-bf0665ac6f4a	CRITICAL_POWER_DISTRIBUTION
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	69352861-3e94-4dbc-bd50-226c0dff4049	CRAH
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	7eb89e45-54e8-48f3-a8f3-fdd66ef1c052	CRAC
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	6719e2b0-7c3c-4804-939a-9d00b874246a	CRAC_WITHOUT_FAN
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	fdd550e2-2f4f-4131-ad2c-53d4fb170add	CRAC_FAN
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	0fb55970-e04c-4425-addd-495613f8426a	CHILLER
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	5e39d470-8b07-4979-b9a1-335cc267b2ae	AIR_COOLED_CHILLER
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	6c5b7696-6056-4dc0-81ce-6216cb84b53d	COOLING_TOWER
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	0b96dd80-da36-4acf-809a-951a30dba18f	DRY_COOLER
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	ba470ac7-2c4c-439e-a172-30acb1e7a258	REMOTE_CONDENSER
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	25dc0591-21bc-430d-8a00-1df52785002a	CHILLED_WATER_PUMPS
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	8f7c10d0-9fdf-476d-9e92-df147ccb11fc	HEAT_REJECTION_PUMPS
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	a35baca5-6238-4bed-8289-657179334a43	VENTILATION
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	a09598d4-b182-4753-babb-028a0884271f	INFILTRATION
79e97ae5-94ec-4fdc-aa90-9aa11c14b462	b2dc4c32-ff2f-4d4b-aad0-c47511643421	IT_LOAD
405026d2-b606-42bb-a17d-5e355e0877d4	07cbbe52-d12f-4104-b2ec-f75ef7305bae	SWITCHGEAR
405026d2-b606-42bb-a17d-5e355e0877d4	53535fdb-7d08-4a1b-9ef3-e50c729cd252	GENERATOR
405026d2-b606-42bb-a17d-5e355e0877d4	4c9e38ea-0536-4c10-85ca-f48d1af96c57	PRIMARY_AUXILIARIES
405026d2-b606-42bb-a17d-5e355e0877d4	08c6f2ae-65e4-4aa7-959d-f3c22ce8b8ea	UPS
405026d2-b606-42bb-a17d-5e355e0877d4	9a6813fa-7849-4d3d-bce9-9ef2d3c7d47b	CRITICAL_AUXILIARIES
405026d2-b606-42bb-a17d-5e355e0877d4	bd16b093-45fa-44ef-9fcd-cb2a5b33008d	LIGHTING
405026d2-b606-42bb-a17d-5e355e0877d4	17aa4dcf-efbb-46d7-8e47-2725b7ccc60c	CRITICAL_POWER_DISTRIBUTION
405026d2-b606-42bb-a17d-5e355e0877d4	de268f16-c4e7-47a1-ab55-42d7f2e556fe	CRAH
405026d2-b606-42bb-a17d-5e355e0877d4	71c270b0-8b7b-438c-b55f-b5efa6009ae2	CRAC
405026d2-b606-42bb-a17d-5e355e0877d4	a7843378-72ed-481d-9d40-67bbe2e10cb0	CRAC_WITHOUT_FAN
405026d2-b606-42bb-a17d-5e355e0877d4	ab974f23-39c1-47e0-9494-edafb8da3724	CRAC_FAN
405026d2-b606-42bb-a17d-5e355e0877d4	c67a8481-0bef-4dcf-8050-2351f1eaca84	CHILLER
405026d2-b606-42bb-a17d-5e355e0877d4	257e13db-88e8-45d5-8dba-9c7ddb2f0ed4	AIR_COOLED_CHILLER
405026d2-b606-42bb-a17d-5e355e0877d4	e393fd42-a7fa-4d2f-b234-ff8e7d1ad66c	COOLING_TOWER
405026d2-b606-42bb-a17d-5e355e0877d4	2fbdd72d-5733-46d9-8318-4acd1e0b8c17	DRY_COOLER
405026d2-b606-42bb-a17d-5e355e0877d4	a68581b2-234e-4b84-a2b8-a847fce0a03e	REMOTE_CONDENSER
405026d2-b606-42bb-a17d-5e355e0877d4	3f9c0881-2a85-4f2c-a4f1-286e360a8b88	CHILLED_WATER_PUMPS
405026d2-b606-42bb-a17d-5e355e0877d4	f6a3bdb6-0cea-4122-ab1e-51f692ef0313	HEAT_REJECTION_PUMPS
405026d2-b606-42bb-a17d-5e355e0877d4	2b8390a5-7f42-47da-b87c-7e9e1155e596	VENTILATION
405026d2-b606-42bb-a17d-5e355e0877d4	170eb8a0-2e4f-405b-823f-b1ad40ab37a1	INFILTRATION
405026d2-b606-42bb-a17d-5e355e0877d4	e621b569-d063-42e1-be47-3c41d011e100	IT_LOAD
19278eb8-d99d-4bc9-8fe7-761dc7284619	f431878b-3c21-4449-95b3-8c42c6c9b1c5	SWITCHGEAR
19278eb8-d99d-4bc9-8fe7-761dc7284619	0be4a85d-e2ff-4f91-8bf3-a8d391ed682f	GENERATOR
19278eb8-d99d-4bc9-8fe7-761dc7284619	db316b95-e113-482b-847b-ecde3ef82cf8	PRIMARY_AUXILIARIES
19278eb8-d99d-4bc9-8fe7-761dc7284619	5698fd49-09e3-49c5-8d5d-62dfbd3406f9	UPS
19278eb8-d99d-4bc9-8fe7-761dc7284619	ca07a65f-5cb4-453a-978f-11116cd0977b	CRITICAL_AUXILIARIES
19278eb8-d99d-4bc9-8fe7-761dc7284619	d92ffb4c-8186-4f81-8014-2cb8be710bc1	LIGHTING
19278eb8-d99d-4bc9-8fe7-761dc7284619	4213c76f-c4ff-4a8a-a112-5969d8d19f12	CRITICAL_POWER_DISTRIBUTION
19278eb8-d99d-4bc9-8fe7-761dc7284619	71e95f76-8f30-41e8-b359-6cd511db60f0	CRAH
19278eb8-d99d-4bc9-8fe7-761dc7284619	5776c02e-ea5a-4c6c-9dbb-8520a921d409	CRAC
19278eb8-d99d-4bc9-8fe7-761dc7284619	0fa9213a-a8dc-469b-81a7-a7f157693b3a	CRAC_WITHOUT_FAN
19278eb8-d99d-4bc9-8fe7-761dc7284619	ef5f14fb-a1af-4929-8896-5349e1fd86ae	CRAC_FAN
19278eb8-d99d-4bc9-8fe7-761dc7284619	143e8804-ea7f-4e23-b6f9-b5dbe1710dbd	CHILLER
19278eb8-d99d-4bc9-8fe7-761dc7284619	a4830522-c46c-48ce-b5ab-85e83a656a9e	AIR_COOLED_CHILLER
19278eb8-d99d-4bc9-8fe7-761dc7284619	9cc10897-f9f7-42b7-b920-759dfe5cf1d5	COOLING_TOWER
19278eb8-d99d-4bc9-8fe7-761dc7284619	82aea00b-87d0-45d3-ad96-02498558760c	DRY_COOLER
19278eb8-d99d-4bc9-8fe7-761dc7284619	c65cab88-014a-410e-8f7b-b37edeeaf479	REMOTE_CONDENSER
19278eb8-d99d-4bc9-8fe7-761dc7284619	045b0ab1-b166-43de-9d06-7eda245ef91c	CHILLED_WATER_PUMPS
19278eb8-d99d-4bc9-8fe7-761dc7284619	c83ce8df-6c45-4190-a51f-10544d28d7f1	HEAT_REJECTION_PUMPS
19278eb8-d99d-4bc9-8fe7-761dc7284619	12aa1067-43f0-4fab-9b50-65e7478fbd07	VENTILATION
19278eb8-d99d-4bc9-8fe7-761dc7284619	d0b2d5ce-6219-4d3e-a237-56593b13c2a8	INFILTRATION
19278eb8-d99d-4bc9-8fe7-761dc7284619	d1200d71-0337-4b1a-bfd8-5d2b503cd1ae	IT_LOAD
ca8dd740-27e1-468a-8e96-5b207a28cd0d	e40ac522-7aaf-4b67-a95a-5b6459843f40	SWITCHGEAR
ca8dd740-27e1-468a-8e96-5b207a28cd0d	3bbf0179-6cf0-4b18-a6c1-1deadca08ec8	GENERATOR
ca8dd740-27e1-468a-8e96-5b207a28cd0d	4c2e4169-8598-4062-b84c-dcb50518240d	PRIMARY_AUXILIARIES
ca8dd740-27e1-468a-8e96-5b207a28cd0d	8ec4d6bd-ae6f-42a6-a252-d2e534abeb29	UPS
ca8dd740-27e1-468a-8e96-5b207a28cd0d	f3c472b9-b8a0-478f-aa0e-3606382cac88	CRITICAL_AUXILIARIES
ca8dd740-27e1-468a-8e96-5b207a28cd0d	03547b60-a450-4a4a-b23d-0cf55a76cac6	LIGHTING
ca8dd740-27e1-468a-8e96-5b207a28cd0d	f02a5ba1-13e7-492e-bb41-4868a2daf3c9	CRITICAL_POWER_DISTRIBUTION
ca8dd740-27e1-468a-8e96-5b207a28cd0d	fd54bd6c-078e-4064-9b2c-68eb09de5e06	CRAH
ca8dd740-27e1-468a-8e96-5b207a28cd0d	5e589f6c-a3c0-4f90-b15d-f2e778a0c654	CRAC
ca8dd740-27e1-468a-8e96-5b207a28cd0d	0b5ca5f9-6f67-4a41-b6e4-a31fff1274aa	CRAC_WITHOUT_FAN
ca8dd740-27e1-468a-8e96-5b207a28cd0d	d738e4e8-7dec-4170-b717-fe283a639489	CRAC_FAN
ca8dd740-27e1-468a-8e96-5b207a28cd0d	54918980-8fd4-4156-a74b-35801a0e8542	CHILLER
ca8dd740-27e1-468a-8e96-5b207a28cd0d	a63c69ad-d238-486e-b318-5be737274da5	AIR_COOLED_CHILLER
ca8dd740-27e1-468a-8e96-5b207a28cd0d	c3bb6825-5de4-4351-a52b-ad6f72f8cc22	COOLING_TOWER
ca8dd740-27e1-468a-8e96-5b207a28cd0d	dd4e2de9-5f01-45e1-b206-c7b975f62897	DRY_COOLER
ca8dd740-27e1-468a-8e96-5b207a28cd0d	f5b08376-93b4-4170-80f5-da3b4da960e4	REMOTE_CONDENSER
ca8dd740-27e1-468a-8e96-5b207a28cd0d	80af318d-0894-4300-8487-d8fc0cecc290	CHILLED_WATER_PUMPS
ca8dd740-27e1-468a-8e96-5b207a28cd0d	bb838818-3b1c-4e36-9ee5-4593863a5198	HEAT_REJECTION_PUMPS
ca8dd740-27e1-468a-8e96-5b207a28cd0d	abbf9362-a943-4049-915d-c169a1a2c69d	VENTILATION
ca8dd740-27e1-468a-8e96-5b207a28cd0d	40c9c8ab-623c-4137-857d-9d8cbd4e96ad	INFILTRATION
ca8dd740-27e1-468a-8e96-5b207a28cd0d	7aea5434-d95b-470d-b96e-0420a6665469	IT_LOAD
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	b502562c-9e9b-4a86-8e30-2f7be4701706	SWITCHGEAR
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	c9e2027c-d195-445d-875d-5d0fa713bfbb	GENERATOR
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	edfc1676-a6a2-49b9-bb19-e216b662d292	PRIMARY_AUXILIARIES
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	f25e13aa-b9f5-46fe-89de-30bb627cab93	UPS
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	b166dec8-b5cd-426c-899d-16d3ad19562d	CRITICAL_AUXILIARIES
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	37b92518-fd36-4cc1-a4ef-ef6e0d9b0ce8	LIGHTING
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	166c86c1-6acd-4929-a090-fe3f713fbbb4	CRITICAL_POWER_DISTRIBUTION
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	fbeb0267-3937-4746-bd94-4dedc5873ba7	CRAH
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	fb593bea-bebe-4ac8-9581-0b0d1357aa74	CRAC
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	69eec742-1c14-4b13-acd5-26bd8749ed6e	CRAC_WITHOUT_FAN
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	873d7f09-7f1a-4c66-8722-9cb1be8a60e3	CRAC_FAN
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	ce329a30-99ce-41e1-8209-1fa667ab386c	CHILLER
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	39aada19-2d40-4cda-b205-5b9f174066f7	AIR_COOLED_CHILLER
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	4923ef79-d20b-43ca-941b-36a3ecdb0897	COOLING_TOWER
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	1b1dd743-dfc6-406c-8e74-d3b561f9b8a1	DRY_COOLER
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	2f1d6290-fd4a-41f0-b28b-a02318035cdb	REMOTE_CONDENSER
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	0d660680-8bf9-4a07-b977-a325818e4dc0	CHILLED_WATER_PUMPS
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	b8bb7e7e-97b6-4b85-9fb7-ae464812a484	HEAT_REJECTION_PUMPS
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	646637aa-7ff4-4ab6-8e0b-4fb5bd0498a4	VENTILATION
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	a9c3ae1f-2ce6-4f01-93cf-ae94c2e6f929	INFILTRATION
a39a4d2a-8d2c-4f9c-96a0-6a800fbd3560	0d33b1e1-9ee8-483f-b7cd-972692b0ce0d	IT_LOAD
2595c74f-42b2-4e71-ac39-fd54b7dfe310	0c186d67-7606-4b5e-8920-b1873756ef83	SWITCHGEAR
2595c74f-42b2-4e71-ac39-fd54b7dfe310	46b6f45c-54ad-41a9-9559-15be2a06890a	GENERATOR
2595c74f-42b2-4e71-ac39-fd54b7dfe310	0a2eff8d-e64e-4336-b388-cf1d1d138900	PRIMARY_AUXILIARIES
2595c74f-42b2-4e71-ac39-fd54b7dfe310	1a51d22f-940a-48ee-9261-92e4fd2b999a	UPS
2595c74f-42b2-4e71-ac39-fd54b7dfe310	f092129c-e961-49c0-b488-e1ce86305ad0	CRITICAL_AUXILIARIES
2595c74f-42b2-4e71-ac39-fd54b7dfe310	5ec226b4-83dc-4a84-9149-2461092ea95e	LIGHTING
2595c74f-42b2-4e71-ac39-fd54b7dfe310	da59f961-4104-40ef-b89f-f44f7d862632	CRITICAL_POWER_DISTRIBUTION
2595c74f-42b2-4e71-ac39-fd54b7dfe310	063b53e0-c3de-4ec2-8f75-1c05ebc1bbab	CRAH
2595c74f-42b2-4e71-ac39-fd54b7dfe310	782e85ab-c736-4238-9dc0-4dac1d89daee	CRAC
2595c74f-42b2-4e71-ac39-fd54b7dfe310	c7574bf4-94ba-41f3-904e-c31921b7e1c7	CRAC_WITHOUT_FAN
2595c74f-42b2-4e71-ac39-fd54b7dfe310	8dbe1ebc-9e75-4002-8d85-f1fb58333b43	CRAC_FAN
2595c74f-42b2-4e71-ac39-fd54b7dfe310	54e3aa47-e9d1-4bd6-92f4-aebf93d1641b	CHILLER
2595c74f-42b2-4e71-ac39-fd54b7dfe310	9454187a-7a5d-40ef-a413-ff8cc6150aeb	AIR_COOLED_CHILLER
2595c74f-42b2-4e71-ac39-fd54b7dfe310	746a703e-0694-494c-bddd-49f884b267a4	COOLING_TOWER
2595c74f-42b2-4e71-ac39-fd54b7dfe310	66b71f6c-2509-426b-9779-bb266475b921	DRY_COOLER
2595c74f-42b2-4e71-ac39-fd54b7dfe310	8180336b-d113-4f3e-a549-2a73eee7d6ab	REMOTE_CONDENSER
2595c74f-42b2-4e71-ac39-fd54b7dfe310	34b9bc61-4742-4df9-8624-63e066d2bc20	CHILLED_WATER_PUMPS
2595c74f-42b2-4e71-ac39-fd54b7dfe310	c94b572a-4a58-4167-b764-5a5033687f3a	HEAT_REJECTION_PUMPS
2595c74f-42b2-4e71-ac39-fd54b7dfe310	2b1b2eb9-0ac6-44c9-b359-a9e90585963b	VENTILATION
2595c74f-42b2-4e71-ac39-fd54b7dfe310	fcbd316d-219b-44e0-8692-f6201a8c5a23	INFILTRATION
2595c74f-42b2-4e71-ac39-fd54b7dfe310	1088f3fd-263d-49b8-ae3f-0c71d819bcae	IT_LOAD
20139e3f-218f-41ce-8143-5d93d1dad0bb	77a9dcba-43ac-46cd-9ed1-9f666d93bac4	SWITCHGEAR
20139e3f-218f-41ce-8143-5d93d1dad0bb	646f7511-3994-4a2a-9d06-3d574da67c4c	GENERATOR
20139e3f-218f-41ce-8143-5d93d1dad0bb	9e63315e-232b-4774-98cf-d3446e07fb8c	PRIMARY_AUXILIARIES
20139e3f-218f-41ce-8143-5d93d1dad0bb	11e46fd7-790f-4f2e-9657-a1409fe5c5a7	UPS
20139e3f-218f-41ce-8143-5d93d1dad0bb	7180cd50-ae81-421e-8370-65ce874a6825	CRITICAL_AUXILIARIES
20139e3f-218f-41ce-8143-5d93d1dad0bb	31f03d78-1903-4a05-86d4-f0ab579d9dd3	LIGHTING
20139e3f-218f-41ce-8143-5d93d1dad0bb	b776a95d-dcbe-4575-a609-990f716a616a	CRITICAL_POWER_DISTRIBUTION
20139e3f-218f-41ce-8143-5d93d1dad0bb	cd3fea63-cffe-4310-bcbb-51c626e1aea7	CRAH
20139e3f-218f-41ce-8143-5d93d1dad0bb	10a8efef-fc15-4958-8dc2-ddae14608cab	CRAC
20139e3f-218f-41ce-8143-5d93d1dad0bb	6610cf06-9871-4c7b-a46e-6c9da8b18b22	CRAC_WITHOUT_FAN
20139e3f-218f-41ce-8143-5d93d1dad0bb	e3b7d715-6f0e-41a0-809d-464be8cdd99a	CRAC_FAN
20139e3f-218f-41ce-8143-5d93d1dad0bb	d61fad64-8577-4dd8-be39-cf877d27d59f	CHILLER
20139e3f-218f-41ce-8143-5d93d1dad0bb	f5ebe267-1689-42dd-90dd-f215286cf5d4	AIR_COOLED_CHILLER
20139e3f-218f-41ce-8143-5d93d1dad0bb	af5a7548-0e67-49f1-95d3-c0aae8626516	COOLING_TOWER
20139e3f-218f-41ce-8143-5d93d1dad0bb	61f3b2c8-866a-4ba6-9830-257c2bef3b0c	DRY_COOLER
20139e3f-218f-41ce-8143-5d93d1dad0bb	34e2a901-180c-4668-a966-6f4434e9997b	REMOTE_CONDENSER
20139e3f-218f-41ce-8143-5d93d1dad0bb	c56508ed-fe91-45cd-8a54-814d90ec5210	CHILLED_WATER_PUMPS
20139e3f-218f-41ce-8143-5d93d1dad0bb	705467cc-ff03-418a-ba90-a67300895fa3	HEAT_REJECTION_PUMPS
20139e3f-218f-41ce-8143-5d93d1dad0bb	b28e927f-fae6-467f-ad9c-1cf617f87b96	VENTILATION
20139e3f-218f-41ce-8143-5d93d1dad0bb	53471d9b-8cca-4083-84f4-5b5fa671b99b	INFILTRATION
20139e3f-218f-41ce-8143-5d93d1dad0bb	1a666525-c865-424b-b7f1-7dca7fa63134	IT_LOAD
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	9ebd53b7-dfeb-4149-ab30-d3b14e8baa2b	SWITCHGEAR
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	5f7abf89-1087-4927-a89a-66d653eea764	GENERATOR
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	97bc9e34-15f2-4d4d-bccc-9af9fbe896f9	PRIMARY_AUXILIARIES
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	82a2ba45-9c8b-41d8-8447-0eb3d004c7f7	UPS
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	29d6cb35-e855-46e6-8bc7-ee31b9d59638	CRITICAL_AUXILIARIES
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	0c31e265-77c1-41f3-a7af-2114ef0633e9	LIGHTING
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	434ff5c3-3f00-4b7d-b9e9-98938254ae38	CRITICAL_POWER_DISTRIBUTION
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	f9dbc1ad-0fcf-4363-9652-e902dfd02b1e	CRAH
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	85331e7e-adf0-4377-a0e0-66f2c98b148c	CRAC
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	acd25427-94d3-48a2-a600-1bcd809be3d9	CRAC_WITHOUT_FAN
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	82e2b605-978b-4996-b96a-3b03afbc69b3	CRAC_FAN
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	6fe9d6fa-e60e-49f8-8f09-9f6b69723704	CHILLER
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	1d310b64-b915-4d60-aaab-a7692ff38deb	AIR_COOLED_CHILLER
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	b38fdb05-815a-402e-b5fd-0d7d665a32b2	COOLING_TOWER
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	e8d06afd-bd81-4d7a-acad-1ae6eb6cc094	DRY_COOLER
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	fcdde9e4-a3f2-4838-b9d0-2b1d4ef03cb5	REMOTE_CONDENSER
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	68b56071-5bbf-4a20-894f-9d3024388873	CHILLED_WATER_PUMPS
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	96fe4f81-dc6b-4fb7-bb0f-c66d2ce095d2	HEAT_REJECTION_PUMPS
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	db164bc2-ddb0-4f9b-9184-d41f41f343e2	VENTILATION
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	54d1c580-c4a7-4be6-8995-d244e70d4b27	INFILTRATION
beb9cd85-f1d7-4e03-a13d-0e6f96d516ce	25717349-a12d-4dee-8ce7-2fed85865cb8	IT_LOAD
e7b4a7ed-6f94-4aba-b933-e45170852324	21b8093b-9013-4c3e-8cf0-ded41f254023	SWITCHGEAR
e7b4a7ed-6f94-4aba-b933-e45170852324	3c7d7123-ef64-4b04-a10f-19c808d44b9b	GENERATOR
e7b4a7ed-6f94-4aba-b933-e45170852324	5edef56b-9c37-4019-a18e-572e719d9d82	PRIMARY_AUXILIARIES
e7b4a7ed-6f94-4aba-b933-e45170852324	241a4bf1-aadf-4fb4-af1f-65247d62d1a9	UPS
e7b4a7ed-6f94-4aba-b933-e45170852324	c6e50789-ffb6-46f1-8dc3-0bcf04bb63a1	CRITICAL_AUXILIARIES
e7b4a7ed-6f94-4aba-b933-e45170852324	df88776b-b586-408d-b1f5-4913c0114218	LIGHTING
e7b4a7ed-6f94-4aba-b933-e45170852324	a5ee63c0-0ca6-4977-839f-20e47827771a	CRITICAL_POWER_DISTRIBUTION
e7b4a7ed-6f94-4aba-b933-e45170852324	b2ef12bc-fdc1-4b56-b135-4061fc2799cd	CRAH
e7b4a7ed-6f94-4aba-b933-e45170852324	b206148d-44b9-41c1-b16a-c8fd77b1daf6	CRAC
e7b4a7ed-6f94-4aba-b933-e45170852324	fa1b1db0-2a32-4451-8d9f-8a51b68d8a60	CRAC_WITHOUT_FAN
e7b4a7ed-6f94-4aba-b933-e45170852324	7622595b-bd08-42b4-889c-0acc7edbe62e	CRAC_FAN
e7b4a7ed-6f94-4aba-b933-e45170852324	1d338215-ca9f-41c5-9d4d-7eb8cdaaf539	CHILLER
e7b4a7ed-6f94-4aba-b933-e45170852324	e3f1b8d4-a788-4bb3-9c6c-a01c8967c1f5	AIR_COOLED_CHILLER
e7b4a7ed-6f94-4aba-b933-e45170852324	d3ac131d-6fad-4201-adbe-cc5aaaf33302	COOLING_TOWER
e7b4a7ed-6f94-4aba-b933-e45170852324	6f90d44b-ac78-4706-9901-89662139f4b8	DRY_COOLER
e7b4a7ed-6f94-4aba-b933-e45170852324	771f9c0d-0881-4dda-8cf2-2f4d3259a564	REMOTE_CONDENSER
e7b4a7ed-6f94-4aba-b933-e45170852324	59c4bc46-84f8-426a-8caf-27574f08051f	CHILLED_WATER_PUMPS
e7b4a7ed-6f94-4aba-b933-e45170852324	f796ae99-9842-4643-a636-e9bb16e2e738	HEAT_REJECTION_PUMPS
e7b4a7ed-6f94-4aba-b933-e45170852324	f39f585f-2a98-44a6-b63c-4c8e1db16701	VENTILATION
e7b4a7ed-6f94-4aba-b933-e45170852324	9aff63ae-2a1f-444f-a29e-c95efb0177df	INFILTRATION
e7b4a7ed-6f94-4aba-b933-e45170852324	46e6493e-deab-4507-9d3f-a87c02600781	IT_LOAD
1af3459c-b183-465a-8334-75d2ea0a4ffa	52976c2b-eaa3-416c-87e0-64edc6f66477	SWITCHGEAR
1af3459c-b183-465a-8334-75d2ea0a4ffa	ce738d28-6cf8-4343-9ee3-5eafcf598631	GENERATOR
1af3459c-b183-465a-8334-75d2ea0a4ffa	21befd74-ee0f-4ee7-9b0e-01a2dbd5830c	PRIMARY_AUXILIARIES
1af3459c-b183-465a-8334-75d2ea0a4ffa	af2a69fb-0ce8-4d2d-9991-53870c7d6c03	UPS
1af3459c-b183-465a-8334-75d2ea0a4ffa	1ececf2b-1ce7-4cb3-a375-b1641bf0bd40	CRITICAL_AUXILIARIES
1af3459c-b183-465a-8334-75d2ea0a4ffa	f686ad26-db0d-461b-9820-671d99c771df	LIGHTING
1af3459c-b183-465a-8334-75d2ea0a4ffa	ca0c1eb7-1ba1-4300-b020-5be423d14146	CRITICAL_POWER_DISTRIBUTION
1af3459c-b183-465a-8334-75d2ea0a4ffa	98df658c-7bce-42ff-abf9-7ce29e583010	CRAH
1af3459c-b183-465a-8334-75d2ea0a4ffa	203fd66c-27d2-4f0b-b248-536ed1524f75	CRAC
1af3459c-b183-465a-8334-75d2ea0a4ffa	55b4bc4d-a164-4b93-8281-6198d43cd013	CRAC_WITHOUT_FAN
1af3459c-b183-465a-8334-75d2ea0a4ffa	a29d2725-ed89-4e27-a5c5-a79ef365393a	CRAC_FAN
1af3459c-b183-465a-8334-75d2ea0a4ffa	6f1e48cf-bf13-4b3a-a04c-7bc503eb3719	CHILLER
1af3459c-b183-465a-8334-75d2ea0a4ffa	2c8189d3-679d-44a6-8df3-8fcb9eb411ab	AIR_COOLED_CHILLER
1af3459c-b183-465a-8334-75d2ea0a4ffa	8df8514c-bec6-4bbb-950f-e905bc136c42	COOLING_TOWER
1af3459c-b183-465a-8334-75d2ea0a4ffa	46104631-aa74-46e1-86e6-bf30a1aba189	DRY_COOLER
1af3459c-b183-465a-8334-75d2ea0a4ffa	f1e43d58-0db6-451d-b68f-705eabdbb0f2	REMOTE_CONDENSER
1af3459c-b183-465a-8334-75d2ea0a4ffa	e5c74a77-affd-4792-858d-74198d9646a9	CHILLED_WATER_PUMPS
1af3459c-b183-465a-8334-75d2ea0a4ffa	69a136d9-7c4c-4f5c-869e-a7935ac0cea8	HEAT_REJECTION_PUMPS
1af3459c-b183-465a-8334-75d2ea0a4ffa	d2ac7930-b582-46d7-af32-963210314dee	VENTILATION
1af3459c-b183-465a-8334-75d2ea0a4ffa	d2e76e18-2249-4b6d-a2ad-e517f20b1580	INFILTRATION
1af3459c-b183-465a-8334-75d2ea0a4ffa	bd8e7f5c-af8f-4dcf-87f5-41f9ccbaedd5	IT_LOAD
47d8c862-f884-48c1-8efe-be7057636c05	aa7f7150-5457-4169-afa5-9525df8b98d4	SWITCHGEAR
47d8c862-f884-48c1-8efe-be7057636c05	0c005106-7359-4f26-bba5-b539a358179b	GENERATOR
47d8c862-f884-48c1-8efe-be7057636c05	1305089f-28d3-4918-b05f-c4ce40c283c6	PRIMARY_AUXILIARIES
47d8c862-f884-48c1-8efe-be7057636c05	cf917a85-8837-46fb-b716-53624297ee01	UPS
47d8c862-f884-48c1-8efe-be7057636c05	73153c17-6beb-4bcd-8905-20f40af7d92f	CRITICAL_AUXILIARIES
47d8c862-f884-48c1-8efe-be7057636c05	bd0ddd49-465f-4e29-8ff7-cf0899d286c3	LIGHTING
47d8c862-f884-48c1-8efe-be7057636c05	94ee7e10-b9db-469a-9a3d-488922c854ab	CRITICAL_POWER_DISTRIBUTION
47d8c862-f884-48c1-8efe-be7057636c05	6c5d36a1-873d-48a7-b038-c71536e9aa7c	CRAH
47d8c862-f884-48c1-8efe-be7057636c05	db763948-8a9f-4224-995f-5ff84fd7c57b	CRAC
47d8c862-f884-48c1-8efe-be7057636c05	2d17eeba-2cd2-4996-aefc-a150a3e476dc	CRAC_WITHOUT_FAN
47d8c862-f884-48c1-8efe-be7057636c05	1c3bb844-0966-472c-8352-d56aafdfb025	CRAC_FAN
47d8c862-f884-48c1-8efe-be7057636c05	9ef53727-095d-4304-b7f5-74a95cc93edd	CHILLER
47d8c862-f884-48c1-8efe-be7057636c05	60862df7-a796-4428-9b38-c275e07c38d2	AIR_COOLED_CHILLER
47d8c862-f884-48c1-8efe-be7057636c05	5b8c604b-3d43-49d8-8eac-8df7fab9cec2	COOLING_TOWER
47d8c862-f884-48c1-8efe-be7057636c05	ae902a58-3342-4265-9494-cf95912a6d7a	DRY_COOLER
47d8c862-f884-48c1-8efe-be7057636c05	44ff513b-e54f-4a06-8235-0531cabdbe6d	REMOTE_CONDENSER
47d8c862-f884-48c1-8efe-be7057636c05	b88b77be-2a17-432f-bc44-08f3a2e38c4b	CHILLED_WATER_PUMPS
47d8c862-f884-48c1-8efe-be7057636c05	f5a006fb-f1b5-4e22-95c8-cf9d3fd48a55	HEAT_REJECTION_PUMPS
47d8c862-f884-48c1-8efe-be7057636c05	b1cdb3a9-9296-47d2-be2b-271d3fdc1f17	VENTILATION
47d8c862-f884-48c1-8efe-be7057636c05	9a7c7cfe-1a9f-43ce-8ad8-649d310ef739	INFILTRATION
47d8c862-f884-48c1-8efe-be7057636c05	b4adaf56-0f10-49d7-a7a2-f702d3dc7d0c	IT_LOAD
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	1a52a079-1522-4c78-bdab-aeaad5b68774	SWITCHGEAR
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	b9e1a1cd-31da-449d-84cc-34a6e3c882b3	GENERATOR
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	b105e1b8-9bb7-498c-84db-2c6abf2dbc01	PRIMARY_AUXILIARIES
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	7b22d047-5032-4550-af22-235a6fc52c41	UPS
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	13e5ea36-e7d8-4366-a05e-bf4e6d1bbe6a	CRITICAL_AUXILIARIES
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	43a36e48-287d-48aa-9c9b-4c01e02033c8	LIGHTING
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	f03137a1-863d-4fff-a9ea-ae5fd5aaa529	CRITICAL_POWER_DISTRIBUTION
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	3a22414e-866b-4a1f-898a-f198e490780b	CRAH
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	327baa57-32a3-4d5f-924c-26bd1986dfcc	CRAC
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	7906cc88-4a10-4c7e-9d91-5faf63779f1d	CRAC_WITHOUT_FAN
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	bdd325af-1fa8-4d28-a3b4-c03237be2e97	CRAC_FAN
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	8cbba62f-9207-4f91-be95-53e824fe9b2e	CHILLER
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	725000da-c0e4-49f1-a48c-d76226491f2b	AIR_COOLED_CHILLER
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	27185e43-3b53-4602-8fd0-7f204fccb01b	COOLING_TOWER
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	eec3b13c-64e7-4633-87f3-133d1d0388c7	DRY_COOLER
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	52514bf1-2010-4bae-9726-1ac3d0cda7a0	REMOTE_CONDENSER
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	384c3785-969c-43b1-bebe-6b855163b4dd	CHILLED_WATER_PUMPS
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	43ebd888-fb0f-4148-9bb5-525db54f9804	HEAT_REJECTION_PUMPS
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	33068e50-97bb-451c-ba98-46e20510fc4a	VENTILATION
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	fa7dc4ae-3858-493b-b3f9-d385ad875885	INFILTRATION
749aa79b-5294-41f9-9fb8-92b9f1c3ed9d	ca6a877a-e8a2-4443-8e18-a1c7ec8ec2e5	IT_LOAD
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	73493232-15b0-46e5-b223-733f38a8386b	SWITCHGEAR
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	92bdc355-1f9e-4d3d-bf66-3983b743413c	GENERATOR
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	75f38c10-95a4-49b9-b0ec-c4a91b6d1e17	PRIMARY_AUXILIARIES
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	4fe9d84c-b297-42d1-8707-1121bd2eed07	UPS
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	12f145dc-a465-486d-a7de-a65653784917	CRITICAL_AUXILIARIES
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	9240e3e6-1189-4b06-9fbf-e03dca08ff68	LIGHTING
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	250d7c4f-8453-47cc-925a-831df4942942	CRITICAL_POWER_DISTRIBUTION
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	5eb981d2-3d32-4662-9b30-eebf54c74b8c	CRAH
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	fea93cb3-a6c9-48f6-815a-1471f20bd98e	CRAC
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	cf370b49-65a2-4dc2-9b04-620d62149d59	CRAC_WITHOUT_FAN
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	5b8d2c54-3354-438b-bbfc-a7a01de2a994	CRAC_FAN
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	3a49f6e9-1ec8-455d-933f-efe380e6b84a	CHILLER
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	8549d36b-ef1a-48b6-ba09-7057b6ac11f7	AIR_COOLED_CHILLER
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	ef87d2fc-dbaf-41a8-abf5-8876ef17ec6b	COOLING_TOWER
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	f46b1417-5e53-47f8-8068-1a99bf4bc616	DRY_COOLER
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	f7c6ea1c-807b-4aea-9216-01f79b916a3e	REMOTE_CONDENSER
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	5cdf2cb6-ece2-4579-b096-ced7038b8b2c	CHILLED_WATER_PUMPS
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	221a6c57-e945-43fc-a214-ef02ad448d46	HEAT_REJECTION_PUMPS
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	9fdb76da-7da1-413e-b9de-e7e903e164ae	VENTILATION
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	37fbfc65-963d-4b83-9078-226539d46ee8	INFILTRATION
a190ba68-a0d1-4ffc-a132-1c5fb3bf1ea7	a9483530-1e21-4cc4-b274-86bce4b7c23f	IT_LOAD
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	1769e3ea-5ee7-4366-932c-4ed416f35a45	SWITCHGEAR
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	d783df86-a44a-4a47-83e9-e0b99b0c9224	GENERATOR
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	4a9b08d6-4563-4ea0-b795-4cdfabde9b4c	PRIMARY_AUXILIARIES
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	789af3ff-3b38-493f-941a-377bc139a352	UPS
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	2097bca9-2498-45cc-869a-7fd0999caae9	CRITICAL_AUXILIARIES
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	c4f26d02-208b-41bb-8f4c-6b0f6fca3c7b	LIGHTING
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	6b60bafb-2e5f-45df-b622-37947c9316e9	CRITICAL_POWER_DISTRIBUTION
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	bd3f63b0-a32f-4b70-bb93-fb8fce93ae39	CRAH
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	ae0a5dfc-5384-49e2-8166-e080ed050c3f	CRAC
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	4256a452-d64e-4122-aed1-bccffcd9aa76	CRAC_WITHOUT_FAN
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	67179bb0-e83b-4152-beb7-41080cd14306	CRAC_FAN
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	b6ea3e98-dada-4f0c-ba2c-29e6b646eebc	CHILLER
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	2d28d89e-8688-46c1-82ce-69963c0d9a5b	AIR_COOLED_CHILLER
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	da8a0416-38a1-47ab-bc4c-debb60197701	COOLING_TOWER
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	61347ded-6bbe-4f4c-95c1-f96bd55bda6c	DRY_COOLER
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	d6d0c338-0cc0-418c-97e3-75a868f492ec	REMOTE_CONDENSER
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	911c2a49-6f4e-43b3-8a3a-edb6c682801c	CHILLED_WATER_PUMPS
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	d766d0db-25a1-49bb-ab21-58d9f3481088	HEAT_REJECTION_PUMPS
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	bbecf7b8-fa0d-4ec7-992d-3a504f781b7e	VENTILATION
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	c3aba823-b97b-46e2-b8f0-2aeda2cf5154	INFILTRATION
adedb8ed-2266-4e0d-8cbc-49d0e1b6a3a5	6c720d31-47ff-44eb-aa4d-ecdc3dbeed88	IT_LOAD
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	71a29c64-44e0-490d-b378-6ea740fc228f	SWITCHGEAR
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	64f435d9-32c0-433f-a7db-ffccb1adbd5f	GENERATOR
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	d6cad5f5-1c01-4c72-9db8-a33c365d5ef4	PRIMARY_AUXILIARIES
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	ace4c418-9401-4bd6-ad3c-8e121f1e6a3e	UPS
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	5fbfe73c-82b6-43cd-afbf-d823194f1794	CRITICAL_AUXILIARIES
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	14c630d1-de5f-4f7a-b955-d14a4aae78fa	LIGHTING
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	0b70fac5-014f-490b-83ba-8c50943ade73	CRITICAL_POWER_DISTRIBUTION
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	134eebc4-9cbf-4cc6-9012-60e9920d86bb	CRAH
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	857d8e70-5570-4da7-9125-d4c019043fc8	CRAC
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	27084118-b0c6-4c53-97e5-87a5fb26cb9b	CRAC_WITHOUT_FAN
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	3baf911e-e584-4889-8a37-c0f7b8166493	CRAC_FAN
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	f0331e3e-24ef-424a-8b82-5d3815ef94f2	CHILLER
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	c98942cb-5436-451e-a272-5469f2bf7a08	AIR_COOLED_CHILLER
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	ccf07c5a-8306-4a47-bc7b-aff471e2370a	COOLING_TOWER
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	ead9832d-c461-426f-8765-5c4d263897e1	DRY_COOLER
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	bd5f38fd-c9c7-4033-8418-2779f3c75124	REMOTE_CONDENSER
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	1dfd4a88-10cd-4bb6-8e4d-fc97c6a46d51	CHILLED_WATER_PUMPS
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	ff3a373e-64fb-4a85-9a98-2c81f6791969	HEAT_REJECTION_PUMPS
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	13b5226f-8bc3-4cb6-871b-f9194cdfa5bc	VENTILATION
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	ee183e4a-ed87-4d82-89c6-21f6fe5586ee	INFILTRATION
ffe7597f-7d9e-4635-82a8-92abb7aa4e8b	3dfe5f62-48c4-4c76-ae04-69fa9bef1b5c	IT_LOAD
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	dc5ad30a-6153-45c7-844d-c262335d538b	SWITCHGEAR
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	dca20d4b-9248-40a4-b9da-de794807a2ee	GENERATOR
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	e14dfddc-86d3-4b6d-adc7-49225dd2632b	PRIMARY_AUXILIARIES
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	33ef3de1-6532-4874-8bec-af81aff9dad1	UPS
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	f323a4d0-cafc-43d7-8dc9-566df241b07d	CRITICAL_AUXILIARIES
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	f91985ef-a351-4fcf-8c4a-71030050cce9	LIGHTING
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	88d03abc-e8f0-4755-bfda-251c8cb86404	CRITICAL_POWER_DISTRIBUTION
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	1f1bd968-b8c4-4a80-a854-ea5c26549740	CRAH
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	0dfbe6fa-01c7-45d9-856f-fd1bbbbd5fde	CRAC
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	9f64f0e7-2eda-41c6-a413-a73d05f2626e	CRAC_WITHOUT_FAN
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	ebd92dad-1e2b-46ea-8c18-e61a3a520769	CRAC_FAN
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	6e3d5f99-b8c2-4e6e-abd9-5dc49493b24f	CHILLER
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	4c359a07-98f7-4eb3-a770-b041caca7687	AIR_COOLED_CHILLER
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	226b7d0f-e7ff-4578-8ba6-723cba374a6a	COOLING_TOWER
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	d641f533-c21a-492f-9894-9874b136d106	DRY_COOLER
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	3d3edec0-32d2-4bce-9c0c-3648ef988c99	REMOTE_CONDENSER
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	1a5a147f-c6d8-41d4-9012-15d6d977b3a0	CHILLED_WATER_PUMPS
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	5a66e297-b6cc-4149-ace1-055a1661da20	HEAT_REJECTION_PUMPS
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	b3a68232-3e0d-4aec-a889-2fcb27ad9173	VENTILATION
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	c15dac46-e39a-4d04-a8cc-cd3606f966e3	INFILTRATION
fa1d8510-a196-4dd7-9cca-c95c3a97c3ae	e7622fca-e532-48ac-b790-cf22753f3886	IT_LOAD
98bc91c7-8319-48ae-aaba-84a7351449a9	96cedb27-ff1b-4799-a2ed-c6c9a8f65790	SWITCHGEAR
98bc91c7-8319-48ae-aaba-84a7351449a9	fc643053-b242-43af-9a27-ffaeb18d7d4a	GENERATOR
98bc91c7-8319-48ae-aaba-84a7351449a9	2b6570dc-06ee-4f42-a7fc-021e4bdcd3ed	PRIMARY_AUXILIARIES
98bc91c7-8319-48ae-aaba-84a7351449a9	869eb595-69fb-4def-8df6-b5e53282ff5b	UPS
98bc91c7-8319-48ae-aaba-84a7351449a9	2b7c643f-ec57-4f53-b044-893634d6c819	CRITICAL_AUXILIARIES
98bc91c7-8319-48ae-aaba-84a7351449a9	621a71a7-e1e0-48e8-a586-d6518ab9e598	LIGHTING
98bc91c7-8319-48ae-aaba-84a7351449a9	469c9e1a-9e19-459f-8021-bcc02be5d0cf	CRITICAL_POWER_DISTRIBUTION
98bc91c7-8319-48ae-aaba-84a7351449a9	20a81c06-4466-4272-b3fa-599d78684e1a	CRAH
98bc91c7-8319-48ae-aaba-84a7351449a9	52ed3734-fd90-40f6-af9e-3f12cbeace40	CRAC
98bc91c7-8319-48ae-aaba-84a7351449a9	d98e0603-d2a6-495c-a80e-74288a8a4f9a	CRAC_WITHOUT_FAN
98bc91c7-8319-48ae-aaba-84a7351449a9	59ebdc89-5e7b-40dc-9341-4fcf7c3f2afa	CRAC_FAN
98bc91c7-8319-48ae-aaba-84a7351449a9	f63d7f75-e5dd-4144-a144-575b147249bc	CHILLER
98bc91c7-8319-48ae-aaba-84a7351449a9	268b4f5b-bf28-42d1-a610-a72f40c8cba7	AIR_COOLED_CHILLER
98bc91c7-8319-48ae-aaba-84a7351449a9	4323bb63-6138-41d2-a36f-12936aad3f9e	COOLING_TOWER
98bc91c7-8319-48ae-aaba-84a7351449a9	2d37f7e9-72d8-4d80-bcd9-5aa93ed2759f	DRY_COOLER
98bc91c7-8319-48ae-aaba-84a7351449a9	fe103390-043b-4a95-b622-88343523836a	REMOTE_CONDENSER
98bc91c7-8319-48ae-aaba-84a7351449a9	b8949308-18c5-4919-a28e-40b5d5f65034	CHILLED_WATER_PUMPS
98bc91c7-8319-48ae-aaba-84a7351449a9	ae310ac2-4be5-4170-bd54-364ce1615676	HEAT_REJECTION_PUMPS
98bc91c7-8319-48ae-aaba-84a7351449a9	49ec3de6-93b4-4dbe-9180-1d355b3fda73	VENTILATION
98bc91c7-8319-48ae-aaba-84a7351449a9	5680ffe2-8f4f-4876-a5c7-5c39108bc966	INFILTRATION
98bc91c7-8319-48ae-aaba-84a7351449a9	04aedae9-53c5-489f-8bd7-e316afe3828a	IT_LOAD
27f3bb13-6406-4463-a004-4e326e1a6944	97728a60-0909-4644-bc65-c1d71f08d8d2	SWITCHGEAR
27f3bb13-6406-4463-a004-4e326e1a6944	7866cae2-3475-414e-98a6-b8ce57030a60	GENERATOR
27f3bb13-6406-4463-a004-4e326e1a6944	731a55cc-90e5-4da2-a9dc-5522387f40f2	PRIMARY_AUXILIARIES
27f3bb13-6406-4463-a004-4e326e1a6944	04524121-eb03-41a5-9e81-6ff970180b06	UPS
27f3bb13-6406-4463-a004-4e326e1a6944	7058f9dc-a473-44e2-9920-09ba776c4b37	CRITICAL_AUXILIARIES
27f3bb13-6406-4463-a004-4e326e1a6944	8a5b8296-9cf8-4344-be38-3b9ce5b1ffc8	LIGHTING
27f3bb13-6406-4463-a004-4e326e1a6944	c05ad2bb-8708-48f3-b970-ea7df739b299	CRITICAL_POWER_DISTRIBUTION
27f3bb13-6406-4463-a004-4e326e1a6944	ed59a832-7208-4659-a68b-3fbf8f9773c6	CRAH
27f3bb13-6406-4463-a004-4e326e1a6944	d701acb3-6a4b-4975-84dc-7ff4cb3290b8	CRAC
27f3bb13-6406-4463-a004-4e326e1a6944	4deb82dc-883e-44b8-bdae-085e727541cb	CRAC_WITHOUT_FAN
27f3bb13-6406-4463-a004-4e326e1a6944	d93eaffd-7cf9-49c6-937a-05f89f5514d5	CRAC_FAN
27f3bb13-6406-4463-a004-4e326e1a6944	194609b4-2f49-4e96-8c45-560b4f01ab43	CHILLER
27f3bb13-6406-4463-a004-4e326e1a6944	0e352a09-e5e3-423e-b922-636757ab0d02	AIR_COOLED_CHILLER
27f3bb13-6406-4463-a004-4e326e1a6944	191f4a46-a16f-48ab-b894-f00d48b8b80e	COOLING_TOWER
27f3bb13-6406-4463-a004-4e326e1a6944	2f177f04-0b7e-4834-bc76-4959acf76fdd	DRY_COOLER
27f3bb13-6406-4463-a004-4e326e1a6944	6d4b3409-6e3e-455f-9c06-1c9537ec0be3	REMOTE_CONDENSER
27f3bb13-6406-4463-a004-4e326e1a6944	14470738-f53c-4e8f-8666-015fdca07866	CHILLED_WATER_PUMPS
27f3bb13-6406-4463-a004-4e326e1a6944	0361caae-2f40-4d2e-bf47-1269c693d108	HEAT_REJECTION_PUMPS
27f3bb13-6406-4463-a004-4e326e1a6944	30195130-fc4e-4603-8f21-97976be636f7	VENTILATION
27f3bb13-6406-4463-a004-4e326e1a6944	def76583-4873-418e-9f49-15d4b0d88f46	INFILTRATION
27f3bb13-6406-4463-a004-4e326e1a6944	02de1dbd-8983-4171-a029-b80a09112da1	IT_LOAD
75d27bad-30af-454c-8bf6-943a49be02db	52cf0a19-b407-4aa3-9c01-9a0a6af4a91a	SWITCHGEAR
75d27bad-30af-454c-8bf6-943a49be02db	62280b53-ce04-4f5e-9314-0b798e235b7b	GENERATOR
75d27bad-30af-454c-8bf6-943a49be02db	fcbafe2e-35c7-495c-ad9b-494ea2f0dc30	PRIMARY_AUXILIARIES
75d27bad-30af-454c-8bf6-943a49be02db	0c4f73d3-46ab-464f-9b54-d3fc465f0d3d	UPS
75d27bad-30af-454c-8bf6-943a49be02db	5610a656-5acd-4f98-94f1-42056af6ceed	CRITICAL_AUXILIARIES
75d27bad-30af-454c-8bf6-943a49be02db	df71fcb9-4c64-4c23-b40d-bf19bc9b376c	LIGHTING
75d27bad-30af-454c-8bf6-943a49be02db	1d022536-72e6-4d04-871f-d9a44fd83816	CRITICAL_POWER_DISTRIBUTION
75d27bad-30af-454c-8bf6-943a49be02db	7eadeaef-ff0c-42e3-8785-5615318fa2f4	CRAH
75d27bad-30af-454c-8bf6-943a49be02db	3425bb2a-bd63-4d09-acec-b70496e82783	CRAC
75d27bad-30af-454c-8bf6-943a49be02db	2e319714-b20b-44d9-ad5d-6836658f9535	CRAC_WITHOUT_FAN
75d27bad-30af-454c-8bf6-943a49be02db	d9d29483-e49c-44be-b3b8-291a53042277	CRAC_FAN
75d27bad-30af-454c-8bf6-943a49be02db	e4015044-40c2-47a5-8482-881c20132453	CHILLER
75d27bad-30af-454c-8bf6-943a49be02db	28409e21-468e-46e8-85cf-bd7f7397b809	AIR_COOLED_CHILLER
75d27bad-30af-454c-8bf6-943a49be02db	40cad071-3795-4e2f-92b1-e6ca3da14558	COOLING_TOWER
75d27bad-30af-454c-8bf6-943a49be02db	f5d856b9-04de-4115-8c28-4580d3d4c036	DRY_COOLER
75d27bad-30af-454c-8bf6-943a49be02db	7b2072a9-7a80-4469-8e49-e014f7af9f9d	REMOTE_CONDENSER
75d27bad-30af-454c-8bf6-943a49be02db	03436dc8-2a66-43b1-ac93-766f41f1bc6c	CHILLED_WATER_PUMPS
75d27bad-30af-454c-8bf6-943a49be02db	ca2dd487-d4e6-4682-91b4-cd763ff0f614	HEAT_REJECTION_PUMPS
75d27bad-30af-454c-8bf6-943a49be02db	201974a4-47d6-48c7-8db6-c710b00b1a63	VENTILATION
75d27bad-30af-454c-8bf6-943a49be02db	a2e4ccf6-a5e7-4c3b-8f63-55d48aa0024e	INFILTRATION
75d27bad-30af-454c-8bf6-943a49be02db	28691a70-c27a-4972-b816-eb7b4d879941	IT_LOAD
f9c56bc4-0c96-4350-80d7-409ee6d7b041	cccfee10-67f9-40e7-acf8-81fd081a8d1c	SWITCHGEAR
f9c56bc4-0c96-4350-80d7-409ee6d7b041	d595d775-ee11-4b47-af78-cd7d15215f6a	GENERATOR
f9c56bc4-0c96-4350-80d7-409ee6d7b041	c836e87f-24ac-40b1-8653-281c06ba9e6c	PRIMARY_AUXILIARIES
f9c56bc4-0c96-4350-80d7-409ee6d7b041	2a7308c1-aa52-48a0-8320-e7c7f07f69bd	UPS
f9c56bc4-0c96-4350-80d7-409ee6d7b041	1fa7bafd-fac9-44d6-b5a3-2e99c71440f0	CRITICAL_AUXILIARIES
f9c56bc4-0c96-4350-80d7-409ee6d7b041	d4d25f63-6f85-4534-9094-21cf52274267	LIGHTING
f9c56bc4-0c96-4350-80d7-409ee6d7b041	bc774d23-c91b-46bc-92c2-ed98cfbcf37f	CRITICAL_POWER_DISTRIBUTION
f9c56bc4-0c96-4350-80d7-409ee6d7b041	5317655a-63a1-4415-8bd5-b8e136743af6	CRAH
f9c56bc4-0c96-4350-80d7-409ee6d7b041	42f7845c-d832-480b-ba7f-a3aa000a6637	CRAC
f9c56bc4-0c96-4350-80d7-409ee6d7b041	1d73b6b4-7e70-4dd3-b0c1-880842f31d2f	CRAC_WITHOUT_FAN
f9c56bc4-0c96-4350-80d7-409ee6d7b041	c09af7b4-2c0c-4101-ab3a-258a848dbdbf	CRAC_FAN
f9c56bc4-0c96-4350-80d7-409ee6d7b041	eeed7640-8fa3-49e3-b881-2311c9f146c5	CHILLER
f9c56bc4-0c96-4350-80d7-409ee6d7b041	f043ce42-29a3-4501-840e-c82a05b27482	AIR_COOLED_CHILLER
f9c56bc4-0c96-4350-80d7-409ee6d7b041	b43cf580-ac1d-43fc-a350-0f9e89820a30	COOLING_TOWER
f9c56bc4-0c96-4350-80d7-409ee6d7b041	02db75bb-efb2-4268-8728-60b9eee0f7c3	DRY_COOLER
f9c56bc4-0c96-4350-80d7-409ee6d7b041	a70b8b81-6bae-4d62-838b-ec0656ade374	REMOTE_CONDENSER
f9c56bc4-0c96-4350-80d7-409ee6d7b041	1e4317f4-5591-4728-a70e-27076a42c946	CHILLED_WATER_PUMPS
f9c56bc4-0c96-4350-80d7-409ee6d7b041	d96309c2-9fe5-4b27-81d3-64ca5fe4017b	HEAT_REJECTION_PUMPS
f9c56bc4-0c96-4350-80d7-409ee6d7b041	9a90f318-70a8-4a16-a954-28c83b33fcce	VENTILATION
f9c56bc4-0c96-4350-80d7-409ee6d7b041	a7199c0f-4277-4f44-a9bd-c9819786df8f	INFILTRATION
f9c56bc4-0c96-4350-80d7-409ee6d7b041	05cac2c8-48f7-4a66-b396-b224b5f688b6	IT_LOAD
28dd0a0f-6b1d-4f21-86db-55a8d1658045	cee44ff0-f56a-473d-bdb2-41f119707ab6	SWITCHGEAR
28dd0a0f-6b1d-4f21-86db-55a8d1658045	f14ad97c-5bc8-4b5d-88bb-1842f9e0333e	GENERATOR
28dd0a0f-6b1d-4f21-86db-55a8d1658045	b46e3144-dbc1-4c56-b9c0-b05dba30be67	PRIMARY_AUXILIARIES
28dd0a0f-6b1d-4f21-86db-55a8d1658045	58d9883e-caba-4e74-a52f-7cc1969876ae	UPS
28dd0a0f-6b1d-4f21-86db-55a8d1658045	1be7ea9b-0e31-46ea-b780-e1daa221fd7d	CRITICAL_AUXILIARIES
28dd0a0f-6b1d-4f21-86db-55a8d1658045	faa33f7d-6633-4c3a-a79d-b4c448282090	LIGHTING
28dd0a0f-6b1d-4f21-86db-55a8d1658045	fcd126f3-cb06-42d1-93df-880b7aebe5c5	CRITICAL_POWER_DISTRIBUTION
28dd0a0f-6b1d-4f21-86db-55a8d1658045	be84e6b7-3969-4ada-b26a-19d46426b531	CRAH
28dd0a0f-6b1d-4f21-86db-55a8d1658045	2aabf0b7-c82b-4be8-9c87-710187749102	CRAC
28dd0a0f-6b1d-4f21-86db-55a8d1658045	ab555fb5-bdc7-42fe-ac34-53c8e4e84c06	CRAC_WITHOUT_FAN
28dd0a0f-6b1d-4f21-86db-55a8d1658045	3ef9475a-71fc-4573-b28a-3ada603ef22e	CRAC_FAN
28dd0a0f-6b1d-4f21-86db-55a8d1658045	d39ffa77-ec9b-4d6f-8502-ecb8b0094104	CHILLER
28dd0a0f-6b1d-4f21-86db-55a8d1658045	31acadc7-30d1-47b2-9007-a67c037a62dc	AIR_COOLED_CHILLER
28dd0a0f-6b1d-4f21-86db-55a8d1658045	48a5a71b-4cc9-4ee8-8115-d77bed69f48b	COOLING_TOWER
28dd0a0f-6b1d-4f21-86db-55a8d1658045	51c4e867-c778-41d4-9946-138e241273c4	DRY_COOLER
28dd0a0f-6b1d-4f21-86db-55a8d1658045	ea158fa2-ca49-48bd-9cea-cd619a26fe98	REMOTE_CONDENSER
28dd0a0f-6b1d-4f21-86db-55a8d1658045	43c5ec8b-fd4f-4df7-9917-7e71fe7e86ad	CHILLED_WATER_PUMPS
28dd0a0f-6b1d-4f21-86db-55a8d1658045	c3126164-83f2-4bb4-894c-05f7e034798c	HEAT_REJECTION_PUMPS
28dd0a0f-6b1d-4f21-86db-55a8d1658045	1a4aca89-c615-4459-9f44-be54d994821b	VENTILATION
28dd0a0f-6b1d-4f21-86db-55a8d1658045	8c8edb34-58c0-4868-a5f9-e5c78ae5b067	INFILTRATION
28dd0a0f-6b1d-4f21-86db-55a8d1658045	c1dfadbe-1817-49e1-8c01-8cce7f9e452a	IT_LOAD
4c8ba947-e268-4f7c-8b9d-768e2b796248	81f4a6a2-8df1-41e9-8188-b2c235a575c3	SWITCHGEAR
4c8ba947-e268-4f7c-8b9d-768e2b796248	fa745276-da53-4874-b1dc-87374695dafe	GENERATOR
4c8ba947-e268-4f7c-8b9d-768e2b796248	a56473e1-29bb-4e8e-9a5c-62ab92c048aa	PRIMARY_AUXILIARIES
4c8ba947-e268-4f7c-8b9d-768e2b796248	35a7bea2-7241-4d95-8dda-83fbd84e5fe5	UPS
4c8ba947-e268-4f7c-8b9d-768e2b796248	9e84d711-f955-43eb-9c46-c306389813d0	CRITICAL_AUXILIARIES
4c8ba947-e268-4f7c-8b9d-768e2b796248	889f4e5b-8efd-4b52-a414-b21eed5638a8	LIGHTING
4c8ba947-e268-4f7c-8b9d-768e2b796248	e65f74a3-f2d1-4874-9ad5-9e4bcc7edfac	CRITICAL_POWER_DISTRIBUTION
4c8ba947-e268-4f7c-8b9d-768e2b796248	686d3dcc-146d-46a1-ba11-3042188320f2	CRAH
4c8ba947-e268-4f7c-8b9d-768e2b796248	0aaf7ccd-4dcd-402f-942f-b98185f4c763	CRAC
4c8ba947-e268-4f7c-8b9d-768e2b796248	78d83329-e046-49a1-a5dc-e84f511d2ac7	CRAC_WITHOUT_FAN
4c8ba947-e268-4f7c-8b9d-768e2b796248	afa3a068-4194-4165-a3ba-5977b0d242cd	CRAC_FAN
4c8ba947-e268-4f7c-8b9d-768e2b796248	604cb1a9-7f4f-4157-9009-128039ec3cc8	CHILLER
4c8ba947-e268-4f7c-8b9d-768e2b796248	42d28497-fb26-4fd8-ae1a-4bd93bdcb237	AIR_COOLED_CHILLER
4c8ba947-e268-4f7c-8b9d-768e2b796248	95aa73c1-55e7-4aad-97f3-bd4fb5265510	COOLING_TOWER
4c8ba947-e268-4f7c-8b9d-768e2b796248	4abf7b87-1537-473f-88c9-dac2a69baa4e	DRY_COOLER
4c8ba947-e268-4f7c-8b9d-768e2b796248	f00a0253-a388-4183-955e-408c653049ec	REMOTE_CONDENSER
4c8ba947-e268-4f7c-8b9d-768e2b796248	53fc59d7-0959-4231-9cc3-99828f5b58db	CHILLED_WATER_PUMPS
4c8ba947-e268-4f7c-8b9d-768e2b796248	5dc2c731-bd33-42a8-8fd1-6ab13989f02b	HEAT_REJECTION_PUMPS
4c8ba947-e268-4f7c-8b9d-768e2b796248	3c4db607-7af3-4e94-aa36-ffb4b001dda9	VENTILATION
4c8ba947-e268-4f7c-8b9d-768e2b796248	3319e019-1bb6-4663-a421-10f9d9b3151a	INFILTRATION
4c8ba947-e268-4f7c-8b9d-768e2b796248	1ad0a5bb-522f-4f79-b908-133d6945700e	IT_LOAD
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	0854c1a0-0e19-416d-9ff6-6fd933dbbedf	SWITCHGEAR
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	fd17fcfb-2589-4550-9c5b-2bb8cd5146a9	GENERATOR
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	896ca1e8-9baa-427f-9c58-e90713b11ea9	PRIMARY_AUXILIARIES
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	95035aa7-aaa1-4325-b8a7-17c62b5806e5	UPS
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	d9177b6b-cc12-4e10-a735-af40ad86855a	CRITICAL_AUXILIARIES
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	ebf65a22-1374-4461-8627-95eb947d7ea1	LIGHTING
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	de84f54d-9f10-46cb-b803-735441f25b93	CRITICAL_POWER_DISTRIBUTION
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	8765426e-dc7c-4dc9-9df2-7527a47e08b1	CRAH
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	ad35e6ac-4c96-4236-83bb-5e060d63cbed	CRAC
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	3a1b5fdd-0682-486f-b28d-df1019ef1a06	CRAC_WITHOUT_FAN
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	1aaff7a6-58d3-4998-97a0-a092cf5972d9	CRAC_FAN
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	52238573-e365-4069-9b6a-100c361bc9c6	CHILLER
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	8038a5e1-1964-4c74-8685-c371f68f8358	AIR_COOLED_CHILLER
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	2ae6a3da-ebb8-494f-abf6-8222b75c613f	COOLING_TOWER
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	da784bef-eb6a-42e9-8c53-1fded9658f02	DRY_COOLER
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	9a0517a9-1b69-4aa9-bed2-fc36ab999304	REMOTE_CONDENSER
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	29dafa99-0e80-4ef8-8681-73481eab16a5	CHILLED_WATER_PUMPS
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	ac9158cb-78f3-4079-b808-246d94745d5c	HEAT_REJECTION_PUMPS
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	fa09d647-63a6-4793-9dae-5b09370e14ed	VENTILATION
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	d83ce762-6646-4a96-bf3a-3ba5b2453180	INFILTRATION
1b61c866-f077-4f4e-8fcb-b16ed2a1a102	500e1ae9-d24a-48dd-a138-fbf35e1f1999	IT_LOAD
b82ce2b1-db3a-4401-9162-c0eaad05fb98	dc2e996d-d7d6-4509-b759-4fe0bb222552	SWITCHGEAR
b82ce2b1-db3a-4401-9162-c0eaad05fb98	71278b7b-624e-4401-bee9-b52b51aab68a	GENERATOR
b82ce2b1-db3a-4401-9162-c0eaad05fb98	00ee4845-0824-49a4-a6f7-c45036ef12e7	PRIMARY_AUXILIARIES
b82ce2b1-db3a-4401-9162-c0eaad05fb98	29b163cc-3dfc-4992-b45b-88c3252bc12d	UPS
b82ce2b1-db3a-4401-9162-c0eaad05fb98	32e656be-8dc6-4c89-8f3b-ed62a33e13a4	CRITICAL_AUXILIARIES
b82ce2b1-db3a-4401-9162-c0eaad05fb98	42c0a3a7-e32b-4c42-a3dd-17d5a755f0dc	LIGHTING
b82ce2b1-db3a-4401-9162-c0eaad05fb98	6e658baa-3bea-4ff7-8f5e-290a12320050	CRITICAL_POWER_DISTRIBUTION
b82ce2b1-db3a-4401-9162-c0eaad05fb98	9ce68b9b-e981-40ca-aaa9-d38d46a8ef0f	CRAH
b82ce2b1-db3a-4401-9162-c0eaad05fb98	66fde867-6f7b-4143-9ef8-baca8cd4df9e	CRAC
b82ce2b1-db3a-4401-9162-c0eaad05fb98	7adda44a-5b17-4d9f-b921-c85c47992bf6	CRAC_WITHOUT_FAN
b82ce2b1-db3a-4401-9162-c0eaad05fb98	56505d65-730b-47c8-9388-255c6e78d561	CRAC_FAN
b82ce2b1-db3a-4401-9162-c0eaad05fb98	c507251d-1ca0-4280-b71d-c3454b0a3cef	CHILLER
b82ce2b1-db3a-4401-9162-c0eaad05fb98	aaea4b73-55b8-40e4-b4fc-fbc18c5f6fa3	AIR_COOLED_CHILLER
b82ce2b1-db3a-4401-9162-c0eaad05fb98	57c762d7-eb5d-4b1d-bac3-30d2e022bcf7	COOLING_TOWER
b82ce2b1-db3a-4401-9162-c0eaad05fb98	86561f17-cae8-491c-a442-a95f29778638	DRY_COOLER
b82ce2b1-db3a-4401-9162-c0eaad05fb98	0247cad2-251c-4c96-a886-2768e83da845	REMOTE_CONDENSER
b82ce2b1-db3a-4401-9162-c0eaad05fb98	b18e1c83-7b0b-478d-b8e5-d85e35fb64b7	CHILLED_WATER_PUMPS
b82ce2b1-db3a-4401-9162-c0eaad05fb98	9136f3b7-1e98-497d-9dd5-4e8a43cd8894	HEAT_REJECTION_PUMPS
b82ce2b1-db3a-4401-9162-c0eaad05fb98	34c2cafb-2782-44db-b635-eb8028d03236	VENTILATION
b82ce2b1-db3a-4401-9162-c0eaad05fb98	2a16a58e-320a-46db-a01c-b368510c245f	INFILTRATION
b82ce2b1-db3a-4401-9162-c0eaad05fb98	bdabeb0b-af9b-420d-a544-c2fc88d7a5a8	IT_LOAD
87e72f45-b7db-41a8-bc4d-4db670ec4f18	73636f48-fe13-4b58-805a-dff7be5553f7	SWITCHGEAR
87e72f45-b7db-41a8-bc4d-4db670ec4f18	36aef542-128d-4ea4-9ed9-f060556a06e5	GENERATOR
87e72f45-b7db-41a8-bc4d-4db670ec4f18	2f24b15c-c922-41bd-bfc5-bbce50364ba9	PRIMARY_AUXILIARIES
87e72f45-b7db-41a8-bc4d-4db670ec4f18	80e6d4c8-b9da-4736-9161-d9cf65acff86	UPS
87e72f45-b7db-41a8-bc4d-4db670ec4f18	12d97eca-14a3-48d0-a425-b12c6f7a94ce	CRITICAL_AUXILIARIES
87e72f45-b7db-41a8-bc4d-4db670ec4f18	8689e60f-35d1-4476-9851-f2a0ef4ed82d	LIGHTING
87e72f45-b7db-41a8-bc4d-4db670ec4f18	bbbd4a03-4c65-4768-8584-3381f346072d	CRITICAL_POWER_DISTRIBUTION
87e72f45-b7db-41a8-bc4d-4db670ec4f18	d217cb67-f20a-4157-a241-e122f644e17b	CRAH
87e72f45-b7db-41a8-bc4d-4db670ec4f18	8bd5bca5-05a1-4356-811a-1cfbdd1aef22	CRAC
87e72f45-b7db-41a8-bc4d-4db670ec4f18	e9898207-fb83-4623-b0de-8a0711bb4bea	CRAC_WITHOUT_FAN
87e72f45-b7db-41a8-bc4d-4db670ec4f18	c8f8e3cf-e7e6-4195-bf7d-6998c5b70f7b	CRAC_FAN
87e72f45-b7db-41a8-bc4d-4db670ec4f18	20e83be0-6e6c-4f6b-92a2-2bceab3722ea	CHILLER
87e72f45-b7db-41a8-bc4d-4db670ec4f18	882e15fd-1112-4f94-95bc-2089cd533f4e	AIR_COOLED_CHILLER
87e72f45-b7db-41a8-bc4d-4db670ec4f18	6e9ebecc-f878-43ef-8423-ac1270308eac	COOLING_TOWER
87e72f45-b7db-41a8-bc4d-4db670ec4f18	d79b5a06-9f0d-4fa4-af72-8fcff8d0bd96	DRY_COOLER
87e72f45-b7db-41a8-bc4d-4db670ec4f18	14fbb902-9b79-4fb7-89fa-4e9206229851	REMOTE_CONDENSER
87e72f45-b7db-41a8-bc4d-4db670ec4f18	694dcef3-5891-4f7b-a8d1-3df4efc72510	CHILLED_WATER_PUMPS
87e72f45-b7db-41a8-bc4d-4db670ec4f18	5ae8ac97-6021-46c3-8472-7e327c2b1db3	HEAT_REJECTION_PUMPS
87e72f45-b7db-41a8-bc4d-4db670ec4f18	f9f03075-6a41-43b7-b5a8-52da8f80baaa	VENTILATION
87e72f45-b7db-41a8-bc4d-4db670ec4f18	b7d2b0ac-3372-4c1d-afb5-d64f4f0386fb	INFILTRATION
87e72f45-b7db-41a8-bc4d-4db670ec4f18	f6b47943-6ccf-47e9-9362-ecb1ec103e9e	IT_LOAD
ff45076d-ab88-499a-9f67-cb7efaeb2c94	8f48cd24-ab55-4030-818d-cfe53e2bb9f6	SWITCHGEAR
ff45076d-ab88-499a-9f67-cb7efaeb2c94	754cfcb5-b10b-45c8-bd81-c6f6e8b8608e	GENERATOR
ff45076d-ab88-499a-9f67-cb7efaeb2c94	5b54b952-1fd3-4821-ae82-6580760d26ea	PRIMARY_AUXILIARIES
ff45076d-ab88-499a-9f67-cb7efaeb2c94	58ade76c-1d2a-4a6a-af6d-6b8dee66a62f	UPS
ff45076d-ab88-499a-9f67-cb7efaeb2c94	7ff582fe-78b4-447c-8133-cc52fac980ef	CRITICAL_AUXILIARIES
ff45076d-ab88-499a-9f67-cb7efaeb2c94	4ad97325-76aa-4867-aebf-ac623272e524	LIGHTING
ff45076d-ab88-499a-9f67-cb7efaeb2c94	bcb96634-2765-44a8-81f0-42dc9b51b8f1	CRITICAL_POWER_DISTRIBUTION
ff45076d-ab88-499a-9f67-cb7efaeb2c94	21149a92-a13b-42b1-abed-794034548fce	CRAH
ff45076d-ab88-499a-9f67-cb7efaeb2c94	cd8fa893-4baa-4bbe-af4f-2cb9ceb883a4	CRAC
ff45076d-ab88-499a-9f67-cb7efaeb2c94	3af8806b-51af-4967-8e34-3a66b626f23d	CRAC_WITHOUT_FAN
ff45076d-ab88-499a-9f67-cb7efaeb2c94	a999c050-927e-45d0-a3cf-dbd049b24ed0	CRAC_FAN
ff45076d-ab88-499a-9f67-cb7efaeb2c94	ef6bba73-8919-499b-89f5-bf065192e11a	CHILLER
ff45076d-ab88-499a-9f67-cb7efaeb2c94	4276551a-0a78-49d2-b5d3-3922da0446d8	AIR_COOLED_CHILLER
ff45076d-ab88-499a-9f67-cb7efaeb2c94	e2cc6764-90a7-4f76-abfa-1e9950bbfefe	COOLING_TOWER
ff45076d-ab88-499a-9f67-cb7efaeb2c94	8bad2697-6f86-4bc5-80c5-a553006bc284	DRY_COOLER
ff45076d-ab88-499a-9f67-cb7efaeb2c94	4d94b13e-6ca9-42aa-b819-d7e9e818d827	REMOTE_CONDENSER
ff45076d-ab88-499a-9f67-cb7efaeb2c94	3134154f-9f97-4a8c-8eb5-0a917c69201f	CHILLED_WATER_PUMPS
ff45076d-ab88-499a-9f67-cb7efaeb2c94	bb78d2e4-2fd0-46b4-ae17-05018e84b402	HEAT_REJECTION_PUMPS
ff45076d-ab88-499a-9f67-cb7efaeb2c94	b53547c2-7e1e-4e7d-a78b-98f177cfbdd1	VENTILATION
ff45076d-ab88-499a-9f67-cb7efaeb2c94	8127e909-9485-4eef-baff-7decaa0e3797	INFILTRATION
ff45076d-ab88-499a-9f67-cb7efaeb2c94	c2fbcdaf-76b1-4d1c-9a80-2b039aa193be	IT_LOAD
b42b0a2c-117e-4fb2-aebe-225993d77dc4	7c4fda07-2768-4ed7-91e3-6dd647c6feea	SWITCHGEAR
b42b0a2c-117e-4fb2-aebe-225993d77dc4	657bb168-b0d9-4482-b699-c45ea3c0861b	GENERATOR
b42b0a2c-117e-4fb2-aebe-225993d77dc4	2ae96e37-4c6a-41de-a3cb-1f05aa203174	PRIMARY_AUXILIARIES
b42b0a2c-117e-4fb2-aebe-225993d77dc4	655a3f10-68f4-4175-8e97-c1ebcee4d766	UPS
b42b0a2c-117e-4fb2-aebe-225993d77dc4	02a2d332-b3e7-4c0d-afcd-9ee0b3a5d773	CRITICAL_AUXILIARIES
b42b0a2c-117e-4fb2-aebe-225993d77dc4	a600fc22-0dfc-4003-a820-72c795f34ddb	LIGHTING
b42b0a2c-117e-4fb2-aebe-225993d77dc4	80f38769-2122-4716-bf4d-b16bb9ff0c9e	CRITICAL_POWER_DISTRIBUTION
b42b0a2c-117e-4fb2-aebe-225993d77dc4	e557a319-c76e-4235-ae48-67493845f59a	CRAH
b42b0a2c-117e-4fb2-aebe-225993d77dc4	9fbde000-5785-4e54-84de-9b0ef2ee546f	CRAC
b42b0a2c-117e-4fb2-aebe-225993d77dc4	030ad747-aa3d-4202-bd72-ea2aa74c7adb	CRAC_WITHOUT_FAN
b42b0a2c-117e-4fb2-aebe-225993d77dc4	c8290ee6-0dbf-463c-b356-87e2542815e7	CRAC_FAN
b42b0a2c-117e-4fb2-aebe-225993d77dc4	6c27de26-8c3e-41a7-a97a-8d8caa5eab08	CHILLER
b42b0a2c-117e-4fb2-aebe-225993d77dc4	bd209c96-5107-4500-bfcb-8e046bdac629	AIR_COOLED_CHILLER
b42b0a2c-117e-4fb2-aebe-225993d77dc4	cf045ea9-ee45-4fc3-aeb2-0fb89eb7b540	COOLING_TOWER
b42b0a2c-117e-4fb2-aebe-225993d77dc4	513e9da7-eff1-412a-aee7-648f2ef677da	DRY_COOLER
b42b0a2c-117e-4fb2-aebe-225993d77dc4	c7a91323-61c9-496c-baf5-ef1107cf54b3	REMOTE_CONDENSER
b42b0a2c-117e-4fb2-aebe-225993d77dc4	89161fe3-c39b-4e2b-b47c-64bbb954ee63	CHILLED_WATER_PUMPS
b42b0a2c-117e-4fb2-aebe-225993d77dc4	707c8047-e564-4b77-aaa2-a54ca25156ea	HEAT_REJECTION_PUMPS
b42b0a2c-117e-4fb2-aebe-225993d77dc4	1033f42e-3726-42bc-bbda-e3ff927d2966	VENTILATION
b42b0a2c-117e-4fb2-aebe-225993d77dc4	2fc97c3d-3818-474f-8355-2ede62b53628	INFILTRATION
b42b0a2c-117e-4fb2-aebe-225993d77dc4	329807d9-e5a3-49b4-98dd-6e777b7ab300	IT_LOAD
47989e6c-fe75-452e-a1fc-60be16e1b3b2	ea382e89-10c6-42ce-a2f1-2da0376d452e	SWITCHGEAR
47989e6c-fe75-452e-a1fc-60be16e1b3b2	5df4e9dd-14df-47c6-b2a9-7851e408dd77	GENERATOR
47989e6c-fe75-452e-a1fc-60be16e1b3b2	ef692923-7a09-46ff-ba2a-603dd3f1d453	PRIMARY_AUXILIARIES
47989e6c-fe75-452e-a1fc-60be16e1b3b2	fa91a69d-405f-4a8b-ada1-22073ec8dd44	UPS
47989e6c-fe75-452e-a1fc-60be16e1b3b2	54cef089-ec05-4f9d-b12b-63778a12571e	CRITICAL_AUXILIARIES
47989e6c-fe75-452e-a1fc-60be16e1b3b2	40f0ec3b-bb84-4043-8452-a2907aea4621	LIGHTING
47989e6c-fe75-452e-a1fc-60be16e1b3b2	11cf46eb-6343-4d77-8e4d-23f077287a1f	CRITICAL_POWER_DISTRIBUTION
47989e6c-fe75-452e-a1fc-60be16e1b3b2	8a245ccb-d1b4-4737-b5d2-f45e8056a7d6	CRAH
47989e6c-fe75-452e-a1fc-60be16e1b3b2	254b3a56-fcd8-4080-8f78-8d2dac86503d	CRAC
47989e6c-fe75-452e-a1fc-60be16e1b3b2	ccbcb9ce-6411-45ea-bad3-c6c66f09bbfb	CRAC_WITHOUT_FAN
47989e6c-fe75-452e-a1fc-60be16e1b3b2	e47d39fa-0098-45d6-82f1-9ab0b3c8cddc	CRAC_FAN
47989e6c-fe75-452e-a1fc-60be16e1b3b2	6884dfac-46da-4745-8f87-8eec138ce4b0	CHILLER
47989e6c-fe75-452e-a1fc-60be16e1b3b2	78928d01-79ea-4cbc-9a41-3992d550b839	AIR_COOLED_CHILLER
47989e6c-fe75-452e-a1fc-60be16e1b3b2	83a46fa6-f341-40d2-a4d3-5bb6c6ce12f9	COOLING_TOWER
47989e6c-fe75-452e-a1fc-60be16e1b3b2	a83859e8-728f-47e1-833d-6cf50278ae0d	DRY_COOLER
47989e6c-fe75-452e-a1fc-60be16e1b3b2	6733e33f-a36d-4d69-bc2b-733ca2157455	REMOTE_CONDENSER
47989e6c-fe75-452e-a1fc-60be16e1b3b2	6e518336-1785-441c-9d58-e3525cb5c869	CHILLED_WATER_PUMPS
47989e6c-fe75-452e-a1fc-60be16e1b3b2	0cb11b30-0ccf-49e0-90d6-ffebeca9223d	HEAT_REJECTION_PUMPS
47989e6c-fe75-452e-a1fc-60be16e1b3b2	8093e9ee-aa7c-49a5-a630-d8f75801aba6	VENTILATION
47989e6c-fe75-452e-a1fc-60be16e1b3b2	738d7e9e-d6e5-43d7-998f-d37ead882c63	INFILTRATION
47989e6c-fe75-452e-a1fc-60be16e1b3b2	2affa5e1-c88e-4cd3-a768-cbb7be9d691b	IT_LOAD
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	d74e493d-5dbc-4c33-aa41-bfee27e8f251	SWITCHGEAR
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	efe2a4f0-6365-4b86-8641-01bc10b7eacf	GENERATOR
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	0776a1b0-9616-458f-8051-24bab75080c0	PRIMARY_AUXILIARIES
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	cadef26b-f892-43fe-90b9-001f2bb4a6b0	UPS
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	a3a7ac29-2b2d-4a38-afbd-25ab61e6a973	CRITICAL_AUXILIARIES
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	072d1fbe-d134-40cb-a081-6a15e8c1d418	LIGHTING
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	6c8da56b-9964-43ef-88a2-91c52541d9a4	CRITICAL_POWER_DISTRIBUTION
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	180fd0b0-81b9-499f-ba3c-c1c71cff1c0e	CRAH
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	d6e4d6b6-1b1d-41ae-8f36-202a614000ec	CRAC
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	34e1107a-26d1-466c-8042-eb3df973054f	CRAC_WITHOUT_FAN
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	9e0dec40-a254-4150-a8c8-e0308ee19bbd	CRAC_FAN
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	8ce609b0-da6a-4c4f-9474-9ec7f3c966d8	CHILLER
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	440e42aa-4050-4a7e-84a8-13e3444e2d9b	AIR_COOLED_CHILLER
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	a1fac402-e7fc-4e32-9c98-03981d062372	COOLING_TOWER
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	f0fa4767-7efc-4b1d-9af0-459631717099	DRY_COOLER
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	0bc3a91d-d999-4eaa-9a01-43174f9bd6bb	REMOTE_CONDENSER
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	8ea2d2a6-c271-4f54-aac7-e746da0177cd	CHILLED_WATER_PUMPS
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	50e01772-d488-4c3a-bd88-4599a9679ca4	HEAT_REJECTION_PUMPS
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	825a10a1-ad91-4946-8cd2-7815ac0eb1b9	VENTILATION
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	a34c518c-f277-4f7e-9154-6647d76379f7	INFILTRATION
6654907f-b09d-4b1c-ab23-1ed0542dbaaa	24dd759e-00b1-4f01-90df-6471388f2575	IT_LOAD
e880a303-2916-44a1-b4aa-58a1ffab47cf	c6830a7c-5595-44c6-9ecf-8da57c923ff7	SWITCHGEAR
e880a303-2916-44a1-b4aa-58a1ffab47cf	d62eb495-4418-409f-a853-b019ebdf91c6	GENERATOR
e880a303-2916-44a1-b4aa-58a1ffab47cf	18cffc94-ee03-4669-bd2f-748ec5fde5d9	PRIMARY_AUXILIARIES
e880a303-2916-44a1-b4aa-58a1ffab47cf	3a1474f8-2f0c-4a01-9f20-c0d4ab29fd33	UPS
e880a303-2916-44a1-b4aa-58a1ffab47cf	453bf4c2-ed97-4238-b04f-3da584933f5b	CRITICAL_AUXILIARIES
e880a303-2916-44a1-b4aa-58a1ffab47cf	37d22a8c-37ef-455b-bb30-5117099412cf	LIGHTING
e880a303-2916-44a1-b4aa-58a1ffab47cf	584628f1-5e26-45bd-8bb0-048fa849a45b	CRITICAL_POWER_DISTRIBUTION
e880a303-2916-44a1-b4aa-58a1ffab47cf	86a4380a-0921-4db2-9a6c-c20bcaa796e7	CRAH
e880a303-2916-44a1-b4aa-58a1ffab47cf	7eba6ea3-8779-48f4-b336-6c35cd151486	CRAC
e880a303-2916-44a1-b4aa-58a1ffab47cf	50011db6-6237-46ef-9a1e-56d5da47cb27	CRAC_WITHOUT_FAN
e880a303-2916-44a1-b4aa-58a1ffab47cf	488ccc89-324d-427a-a403-495982bb4263	CRAC_FAN
e880a303-2916-44a1-b4aa-58a1ffab47cf	768b8a93-a95f-4fe8-a860-a077077ee553	CHILLER
e880a303-2916-44a1-b4aa-58a1ffab47cf	a0f6b43b-b97e-4929-a4b8-cab8ad34485f	AIR_COOLED_CHILLER
e880a303-2916-44a1-b4aa-58a1ffab47cf	49d258bd-e08a-46b7-89f9-f5698f14cd4a	COOLING_TOWER
e880a303-2916-44a1-b4aa-58a1ffab47cf	d5c94a62-e23b-47b7-a998-d075803d7501	DRY_COOLER
e880a303-2916-44a1-b4aa-58a1ffab47cf	1b0ce358-8b86-44cd-b029-2ca47b3a0a5c	REMOTE_CONDENSER
e880a303-2916-44a1-b4aa-58a1ffab47cf	88e6b21f-e982-4b39-89c0-5141c13c1049	CHILLED_WATER_PUMPS
e880a303-2916-44a1-b4aa-58a1ffab47cf	149a3bb4-de2a-460b-9e38-ceeeb21c815c	HEAT_REJECTION_PUMPS
e880a303-2916-44a1-b4aa-58a1ffab47cf	3dd7dd2e-cfb3-4fb8-9c41-fe8f70846a90	VENTILATION
e880a303-2916-44a1-b4aa-58a1ffab47cf	853caeda-5f3b-432d-b4a7-ec9d2fadc5cf	INFILTRATION
e880a303-2916-44a1-b4aa-58a1ffab47cf	bb563940-a168-4cd4-91ae-dea8dccc30d6	IT_LOAD
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	39148f07-2aff-47e4-a464-1a262d6a54ae	SWITCHGEAR
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	c4a0b021-efd9-40b1-a271-bf9d2ebd3a1e	GENERATOR
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	ae60912e-127a-4fda-b7a3-ed9c9e84eae2	PRIMARY_AUXILIARIES
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	1de300f3-5f01-4784-878c-3bd7d05764cf	UPS
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	b4b8e2e9-d2e7-4ff0-b4b7-2e2b26b08f89	CRITICAL_AUXILIARIES
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	5f53d0ed-bae6-48ae-b242-e9f49387d21e	LIGHTING
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	31f83095-9865-4350-812a-8db39935a701	CRITICAL_POWER_DISTRIBUTION
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	8299eb18-e066-4f0d-b131-3ae044ae8857	CRAH
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	30458bd5-b71f-4a46-86e5-5819c59f07ed	CRAC
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	ae6ba3a8-9024-48fb-858c-e3f3375c85bc	CRAC_WITHOUT_FAN
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	ed169281-3b0a-47c2-9153-4e6aec0fcb7d	CRAC_FAN
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	e75f039d-c0da-443c-909e-c994b3570c49	CHILLER
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	42ca7c0b-040b-4ee2-82b1-0d632c3e03e3	AIR_COOLED_CHILLER
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	883436d8-4596-4622-b04a-ab0726fa0861	COOLING_TOWER
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	e0c74a2a-8b6a-4e1c-9810-0ebeea1c918c	DRY_COOLER
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	e619602b-17fe-4909-b078-ed6e2881cafd	REMOTE_CONDENSER
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	5b93755e-125c-4d40-8cec-e610bb3c63c0	CHILLED_WATER_PUMPS
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	553b7cae-19ef-4bd3-8ce3-f6ecf820a241	HEAT_REJECTION_PUMPS
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	8cb1b977-4f11-4568-834e-1acf390c6c6d	VENTILATION
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	79b19e0a-2a8c-4e60-8a2b-81533514ec55	INFILTRATION
cfbc18cb-7a6c-48ea-9e84-47c8ead7da9d	1690a2a7-09dc-4f87-ae6e-18c32760a392	IT_LOAD
4edad09b-311e-435f-adfb-b3a21bc8cb27	7133c1b3-58fb-4a2e-83a0-417ec1c20811	SWITCHGEAR
4edad09b-311e-435f-adfb-b3a21bc8cb27	f2d5da07-775f-4a79-b338-b33e3916e4fa	GENERATOR
4edad09b-311e-435f-adfb-b3a21bc8cb27	4f503b99-7f71-4a58-b242-b2dd17d4eac7	PRIMARY_AUXILIARIES
4edad09b-311e-435f-adfb-b3a21bc8cb27	daba4e35-322a-478f-a6b1-c7c11e0779d5	UPS
4edad09b-311e-435f-adfb-b3a21bc8cb27	fe5cb285-a37a-4866-84e3-26637b81e4db	CRITICAL_AUXILIARIES
4edad09b-311e-435f-adfb-b3a21bc8cb27	3daa7a11-caf7-47e3-90d6-131bbac0d39a	LIGHTING
4edad09b-311e-435f-adfb-b3a21bc8cb27	65c436fe-b2d0-40a0-ad22-4df66351f95d	CRITICAL_POWER_DISTRIBUTION
4edad09b-311e-435f-adfb-b3a21bc8cb27	972f00c4-20c4-4fa6-8d37-5d31cc823bdc	CRAH
4edad09b-311e-435f-adfb-b3a21bc8cb27	8037cd7c-b571-4e66-bf5f-63f2e4d6dcae	CRAC
4edad09b-311e-435f-adfb-b3a21bc8cb27	b5615313-3733-4f13-b5bc-6785abbb9134	CRAC_WITHOUT_FAN
4edad09b-311e-435f-adfb-b3a21bc8cb27	4723f85e-1aa1-4fe5-825e-bf21ae8e50ab	CRAC_FAN
4edad09b-311e-435f-adfb-b3a21bc8cb27	19cc394d-e84a-4cfd-b353-583461ea7aad	CHILLER
4edad09b-311e-435f-adfb-b3a21bc8cb27	44fb57ff-c369-4506-a165-5a7dbf4e895f	AIR_COOLED_CHILLER
4edad09b-311e-435f-adfb-b3a21bc8cb27	123cbfaa-e9f7-4e05-91c2-5375af00a2a1	COOLING_TOWER
4edad09b-311e-435f-adfb-b3a21bc8cb27	8dc2d2e7-3185-4213-98a4-d2675fe7064e	DRY_COOLER
4edad09b-311e-435f-adfb-b3a21bc8cb27	3e65592a-2517-457a-9bfa-b5c33468dfe5	REMOTE_CONDENSER
4edad09b-311e-435f-adfb-b3a21bc8cb27	2897efb8-ae8b-4739-950b-c00c99bee6c2	CHILLED_WATER_PUMPS
4edad09b-311e-435f-adfb-b3a21bc8cb27	47bdc516-c8df-42ca-8a03-da51d8109c4d	HEAT_REJECTION_PUMPS
4edad09b-311e-435f-adfb-b3a21bc8cb27	1e2a1664-30d9-4547-8986-802f5172edb2	VENTILATION
4edad09b-311e-435f-adfb-b3a21bc8cb27	332e8e91-ee2b-4e35-a709-5608e5332653	INFILTRATION
4edad09b-311e-435f-adfb-b3a21bc8cb27	9f4aef0c-5035-4a9d-a2cc-b9c7dbc0ae62	IT_LOAD
211ffea7-6812-4b4e-8494-311e69a21d73	f7ce6428-dbe0-406f-b197-6f798bce501a	SWITCHGEAR
211ffea7-6812-4b4e-8494-311e69a21d73	e118ddbe-acbd-4d82-b69d-cf98532fe8bd	GENERATOR
211ffea7-6812-4b4e-8494-311e69a21d73	c39c834f-1ac6-4c5c-ba4e-cb06cd4a214e	PRIMARY_AUXILIARIES
211ffea7-6812-4b4e-8494-311e69a21d73	a8c10327-b3a6-40b2-a60c-78f550dbf16d	UPS
211ffea7-6812-4b4e-8494-311e69a21d73	3a01f660-2e15-4a4b-b625-2ce0594eea5c	CRITICAL_AUXILIARIES
211ffea7-6812-4b4e-8494-311e69a21d73	11e6e3b0-0584-4a75-81f8-f15109385ead	LIGHTING
211ffea7-6812-4b4e-8494-311e69a21d73	a5b495b5-5ba4-4675-a4d9-fcc692b02d70	CRITICAL_POWER_DISTRIBUTION
211ffea7-6812-4b4e-8494-311e69a21d73	216a39f9-b500-4b39-870f-078b379ce474	CRAH
211ffea7-6812-4b4e-8494-311e69a21d73	b08de667-a178-4ddd-ad80-266368eb533a	CRAC
211ffea7-6812-4b4e-8494-311e69a21d73	07f52b8a-3847-4455-bef2-9d43f3fdc30f	CRAC_WITHOUT_FAN
211ffea7-6812-4b4e-8494-311e69a21d73	a530406f-2fdc-4fef-9d4f-20205de078df	CRAC_FAN
211ffea7-6812-4b4e-8494-311e69a21d73	89175532-0fe4-46a0-8af3-9678870ca05e	CHILLER
211ffea7-6812-4b4e-8494-311e69a21d73	31a4a28d-5ad6-4567-80c8-3bb969de0a53	AIR_COOLED_CHILLER
211ffea7-6812-4b4e-8494-311e69a21d73	7f5ead4f-27e2-4224-8067-45c1d9309275	COOLING_TOWER
211ffea7-6812-4b4e-8494-311e69a21d73	97542cc6-14d3-439c-9157-a683f0b36c71	DRY_COOLER
211ffea7-6812-4b4e-8494-311e69a21d73	25741cad-22a1-444a-939c-cc1aab9de4de	REMOTE_CONDENSER
211ffea7-6812-4b4e-8494-311e69a21d73	b1237be9-28c4-47ae-92ef-4bc6b1238710	CHILLED_WATER_PUMPS
211ffea7-6812-4b4e-8494-311e69a21d73	9e9c2c1c-bfcc-4b16-9002-11d92389a5d5	HEAT_REJECTION_PUMPS
211ffea7-6812-4b4e-8494-311e69a21d73	89fe5cac-fb6f-49a3-a544-f63e1f91580b	VENTILATION
211ffea7-6812-4b4e-8494-311e69a21d73	f2d659e0-1e3d-471c-933d-0248da74a9bb	INFILTRATION
211ffea7-6812-4b4e-8494-311e69a21d73	aa55f13a-1f60-4723-9c27-70cce13279bf	IT_LOAD
b1713c45-5df3-4187-b7f1-5bac057bff81	354ec5f5-ce8e-459e-b3cf-7e943cb70adf	SWITCHGEAR
b1713c45-5df3-4187-b7f1-5bac057bff81	dac2ac93-498e-4a1e-97de-98b01098c6c9	GENERATOR
b1713c45-5df3-4187-b7f1-5bac057bff81	6e93c863-6ab1-480e-bf62-90208c325808	PRIMARY_AUXILIARIES
b1713c45-5df3-4187-b7f1-5bac057bff81	c7549e6b-dae8-4332-860b-535212546a12	UPS
b1713c45-5df3-4187-b7f1-5bac057bff81	4533f16b-932f-49ba-8035-446ab4b44235	CRITICAL_AUXILIARIES
b1713c45-5df3-4187-b7f1-5bac057bff81	a2b63a9d-6527-4adf-82d9-c275fb543ce4	LIGHTING
b1713c45-5df3-4187-b7f1-5bac057bff81	befb0fa7-2d3b-4fa3-89d9-326da7a361d9	CRITICAL_POWER_DISTRIBUTION
b1713c45-5df3-4187-b7f1-5bac057bff81	32ecb5ce-74fe-43e4-84ed-92e6419c3976	CRAH
b1713c45-5df3-4187-b7f1-5bac057bff81	7f9f467e-70a4-4e4c-ae6d-725a1814ef2c	CRAC
b1713c45-5df3-4187-b7f1-5bac057bff81	28779c75-72d5-4749-a870-5b07d4b98467	CRAC_WITHOUT_FAN
b1713c45-5df3-4187-b7f1-5bac057bff81	3027d66b-d480-4dde-a990-3a0ba77671bd	CRAC_FAN
b1713c45-5df3-4187-b7f1-5bac057bff81	e26a9dcf-e477-4b83-ab19-1e193617d678	CHILLER
b1713c45-5df3-4187-b7f1-5bac057bff81	b9d71e66-0086-41d7-97a5-24feac54e894	AIR_COOLED_CHILLER
b1713c45-5df3-4187-b7f1-5bac057bff81	4f8b1a68-a0fd-405e-9afe-0beab4793414	COOLING_TOWER
b1713c45-5df3-4187-b7f1-5bac057bff81	39fdf1e2-ab29-4b6e-a716-e65a27e9ec0b	DRY_COOLER
b1713c45-5df3-4187-b7f1-5bac057bff81	ce62510c-ef6c-4557-938b-dd11406b6793	REMOTE_CONDENSER
b1713c45-5df3-4187-b7f1-5bac057bff81	62cb2025-b804-4d7c-8ce4-f9dd3dc421e5	CHILLED_WATER_PUMPS
b1713c45-5df3-4187-b7f1-5bac057bff81	ede78d2a-379d-43f6-9f38-ce239a5035ac	HEAT_REJECTION_PUMPS
b1713c45-5df3-4187-b7f1-5bac057bff81	ca005034-ec40-4683-ae71-d0e2bdb10343	VENTILATION
b1713c45-5df3-4187-b7f1-5bac057bff81	98ae0240-689b-46c6-a762-6c362593aaa3	INFILTRATION
b1713c45-5df3-4187-b7f1-5bac057bff81	b4932c27-1e1a-4bda-9e28-5c37945428ad	IT_LOAD
482265f1-7c92-48e1-894e-29924b18c542	61e73fde-cf92-43f2-8c5d-5936ffb1725a	SWITCHGEAR
482265f1-7c92-48e1-894e-29924b18c542	e5d991b2-dc30-4415-bcf7-067e3a316a55	GENERATOR
482265f1-7c92-48e1-894e-29924b18c542	a5b5a35e-fe04-4488-b340-88d79c2a8dfb	PRIMARY_AUXILIARIES
482265f1-7c92-48e1-894e-29924b18c542	49fa43c8-2079-4bfd-8e47-ad2a3ba5e4eb	UPS
482265f1-7c92-48e1-894e-29924b18c542	45762f95-d7ca-4213-8643-bbd03b3b3a12	CRITICAL_AUXILIARIES
482265f1-7c92-48e1-894e-29924b18c542	bd3beadb-cff3-49e8-9abe-ce5dcb64f2f5	LIGHTING
482265f1-7c92-48e1-894e-29924b18c542	290fbb0c-1cf5-4f6f-8d83-b672c97ba02a	CRITICAL_POWER_DISTRIBUTION
482265f1-7c92-48e1-894e-29924b18c542	794ee8ae-8a64-4813-96a2-3a740b0b2287	CRAH
482265f1-7c92-48e1-894e-29924b18c542	5b8584d7-73ab-4f86-a813-abc59e4dad9f	CRAC
482265f1-7c92-48e1-894e-29924b18c542	0844be7d-5ef7-4b51-88ad-6ca497ff925e	CRAC_WITHOUT_FAN
482265f1-7c92-48e1-894e-29924b18c542	2a88943a-eb11-4b37-a3d8-9beb9fadbab5	CRAC_FAN
482265f1-7c92-48e1-894e-29924b18c542	3b7bc330-1416-499c-8b1e-5c5f4724bdad	CHILLER
482265f1-7c92-48e1-894e-29924b18c542	5bf47592-15cf-41c3-b07e-151270cd3066	AIR_COOLED_CHILLER
482265f1-7c92-48e1-894e-29924b18c542	47c8a584-c635-4aec-a3af-0dc950a21424	COOLING_TOWER
482265f1-7c92-48e1-894e-29924b18c542	895a080f-0e38-4d0f-b0b5-5010d70edade	DRY_COOLER
482265f1-7c92-48e1-894e-29924b18c542	de5e0fe7-fba6-4676-8212-9dc651c51007	REMOTE_CONDENSER
482265f1-7c92-48e1-894e-29924b18c542	7ee1290e-07d7-489d-b6b7-9ba313ad7475	CHILLED_WATER_PUMPS
482265f1-7c92-48e1-894e-29924b18c542	c247d731-623c-4a78-a40a-c6896a166b4b	HEAT_REJECTION_PUMPS
482265f1-7c92-48e1-894e-29924b18c542	52364d98-2aac-45bd-9ab0-12d19567da33	VENTILATION
482265f1-7c92-48e1-894e-29924b18c542	fc7f0194-b57c-42de-b81d-93e2cef1fa9a	INFILTRATION
482265f1-7c92-48e1-894e-29924b18c542	100422ed-d616-435d-96cc-304da211e3f7	IT_LOAD
a63ed291-72f8-4719-875e-fc2cd29bc57e	9131e3b6-2db3-4c35-aea0-48b5e97038e8	SWITCHGEAR
a63ed291-72f8-4719-875e-fc2cd29bc57e	57fcd6bc-a631-4060-b91f-3f691576bad1	GENERATOR
a63ed291-72f8-4719-875e-fc2cd29bc57e	1f08bf8d-5f58-4251-927c-c0a982087f72	PRIMARY_AUXILIARIES
a63ed291-72f8-4719-875e-fc2cd29bc57e	1bfdc9e4-7ca8-4fcc-b7c7-aa8f454d7615	UPS
a63ed291-72f8-4719-875e-fc2cd29bc57e	41aa5c14-1f2b-4932-9d6f-6a7749aa76c4	CRITICAL_AUXILIARIES
a63ed291-72f8-4719-875e-fc2cd29bc57e	b55aadc2-c345-4852-a0f1-e941b068fc5d	LIGHTING
a63ed291-72f8-4719-875e-fc2cd29bc57e	a779b669-3159-4d86-8bf4-8cefb8c78383	CRITICAL_POWER_DISTRIBUTION
a63ed291-72f8-4719-875e-fc2cd29bc57e	a0c050e0-8065-4ebc-8779-b6dfd41098f2	CRAH
a63ed291-72f8-4719-875e-fc2cd29bc57e	526a093b-ba14-48d6-97bb-be6f2d6b2722	CRAC
a63ed291-72f8-4719-875e-fc2cd29bc57e	34363be5-bce0-4988-bf6a-f91b0e57196f	CRAC_WITHOUT_FAN
a63ed291-72f8-4719-875e-fc2cd29bc57e	f7caee93-b05a-4ca6-ad24-d744575ca491	CRAC_FAN
a63ed291-72f8-4719-875e-fc2cd29bc57e	082c2b58-a48c-496e-be50-7da46c04ef0c	CHILLER
a63ed291-72f8-4719-875e-fc2cd29bc57e	f96c60e1-37cf-4c2f-9365-35ba29efd3f2	AIR_COOLED_CHILLER
a63ed291-72f8-4719-875e-fc2cd29bc57e	279e94a0-f7be-49ba-b6c0-e89d5d72e5a3	COOLING_TOWER
a63ed291-72f8-4719-875e-fc2cd29bc57e	02ccbf2c-1d21-4214-9cc2-ad9797118cac	DRY_COOLER
a63ed291-72f8-4719-875e-fc2cd29bc57e	0979add9-290d-4f88-ba96-4a04025db6de	REMOTE_CONDENSER
a63ed291-72f8-4719-875e-fc2cd29bc57e	faaa5e56-50fa-4f34-bb75-c21c3f836ccc	CHILLED_WATER_PUMPS
a63ed291-72f8-4719-875e-fc2cd29bc57e	d2e0306d-0262-4871-ae02-5baa35354c98	HEAT_REJECTION_PUMPS
a63ed291-72f8-4719-875e-fc2cd29bc57e	fc9ab6bb-5ed5-49ac-bafc-4b9c980a6858	VENTILATION
a63ed291-72f8-4719-875e-fc2cd29bc57e	32513769-83d1-424d-a2e8-b63e041f3717	INFILTRATION
a63ed291-72f8-4719-875e-fc2cd29bc57e	5b0d3594-2a55-4a83-b31e-3a10fa5dff5b	IT_LOAD
c621da45-04e4-4cd9-bd40-be2ed90c06c1	86415a8c-1fa4-42c1-8c71-37773fa7350b	SWITCHGEAR
c621da45-04e4-4cd9-bd40-be2ed90c06c1	18e24448-ee14-4ee4-a14d-a624e068fe2b	GENERATOR
c621da45-04e4-4cd9-bd40-be2ed90c06c1	bab3210c-dc6c-4b32-af21-95da0ddcb7b1	PRIMARY_AUXILIARIES
c621da45-04e4-4cd9-bd40-be2ed90c06c1	16fbc1d2-c0dd-43b9-87c0-19e41a6a4429	UPS
c621da45-04e4-4cd9-bd40-be2ed90c06c1	de2175c2-3fae-4593-ad48-59dc70a59b1f	CRITICAL_AUXILIARIES
c621da45-04e4-4cd9-bd40-be2ed90c06c1	aa50c23b-35c6-4399-a5ab-95d10474429e	LIGHTING
c621da45-04e4-4cd9-bd40-be2ed90c06c1	86a19794-88d7-41e3-9d0e-c60cc148fe74	CRITICAL_POWER_DISTRIBUTION
c621da45-04e4-4cd9-bd40-be2ed90c06c1	33053af5-e06d-4ecc-81e6-0f61c0964938	CRAH
c621da45-04e4-4cd9-bd40-be2ed90c06c1	d09902f5-51a6-43ad-93cd-25868a46215b	CRAC
c621da45-04e4-4cd9-bd40-be2ed90c06c1	68b82f75-b07b-47a6-9cf5-3a5d8dca9f03	CRAC_WITHOUT_FAN
c621da45-04e4-4cd9-bd40-be2ed90c06c1	f29d2278-a55c-4fc6-8ad8-9fa4e04c797c	CRAC_FAN
c621da45-04e4-4cd9-bd40-be2ed90c06c1	54611ed1-f33c-42c5-bf6d-a5164b525647	CHILLER
c621da45-04e4-4cd9-bd40-be2ed90c06c1	71e41052-9010-42ee-9a10-5738b399291f	AIR_COOLED_CHILLER
c621da45-04e4-4cd9-bd40-be2ed90c06c1	5417acdb-9ca2-48a6-be3f-3635b2863549	COOLING_TOWER
c621da45-04e4-4cd9-bd40-be2ed90c06c1	6c57a740-5181-4635-9404-df6b13a1942c	DRY_COOLER
c621da45-04e4-4cd9-bd40-be2ed90c06c1	95642638-ea67-4647-964e-f40d74e5a6d6	REMOTE_CONDENSER
c621da45-04e4-4cd9-bd40-be2ed90c06c1	c23ce52b-11a7-44f7-90d2-4d140dff82f5	CHILLED_WATER_PUMPS
c621da45-04e4-4cd9-bd40-be2ed90c06c1	32aa8560-38e5-4ee3-bf75-cb4c14f57447	HEAT_REJECTION_PUMPS
c621da45-04e4-4cd9-bd40-be2ed90c06c1	70b67e9c-bd63-4f74-b0a2-89ea2e52c968	VENTILATION
c621da45-04e4-4cd9-bd40-be2ed90c06c1	c151a118-d9b3-4f6e-a0fc-92ba66f55171	INFILTRATION
c621da45-04e4-4cd9-bd40-be2ed90c06c1	bfcd5cce-b29e-4c66-bf04-8f2883383f37	IT_LOAD
cb9fd999-433c-4155-9c5e-82b3604d8d43	23b04534-576d-4302-814f-93278b12599f	SWITCHGEAR
cb9fd999-433c-4155-9c5e-82b3604d8d43	393fa7e9-5687-47f4-b915-ccc1075bf2ae	GENERATOR
cb9fd999-433c-4155-9c5e-82b3604d8d43	6c6d2fcb-c15a-4c5b-8a25-5475dd5c5289	PRIMARY_AUXILIARIES
cb9fd999-433c-4155-9c5e-82b3604d8d43	32296e52-f6a8-4cc1-8076-05e7c9cf1f86	UPS
cb9fd999-433c-4155-9c5e-82b3604d8d43	d30699eb-15e7-47b1-8146-fdc9e888f9a2	CRITICAL_AUXILIARIES
cb9fd999-433c-4155-9c5e-82b3604d8d43	e93165d2-3728-4260-877e-8b10d2310380	LIGHTING
cb9fd999-433c-4155-9c5e-82b3604d8d43	2753b78a-ff13-406b-bba8-f140b300801d	CRITICAL_POWER_DISTRIBUTION
cb9fd999-433c-4155-9c5e-82b3604d8d43	ff9c6e64-6e95-4192-995b-28839655c845	CRAH
cb9fd999-433c-4155-9c5e-82b3604d8d43	03d62428-eab0-42ed-894b-438fb802b63f	CRAC
cb9fd999-433c-4155-9c5e-82b3604d8d43	cc337e22-5f01-49ab-b689-5919e8ee5ba6	CRAC_WITHOUT_FAN
cb9fd999-433c-4155-9c5e-82b3604d8d43	432b130c-407d-4a5a-966e-4bb6855fc30f	CRAC_FAN
cb9fd999-433c-4155-9c5e-82b3604d8d43	8872354a-ce02-476b-9c77-748b71c8fdad	CHILLER
cb9fd999-433c-4155-9c5e-82b3604d8d43	1424c4bc-b5df-403c-90ae-165294813c2a	AIR_COOLED_CHILLER
cb9fd999-433c-4155-9c5e-82b3604d8d43	42cb6011-2ea0-4971-89b8-d1a49b105cc9	COOLING_TOWER
cb9fd999-433c-4155-9c5e-82b3604d8d43	407220aa-f63c-4f30-9ece-f440e40a2d6c	DRY_COOLER
cb9fd999-433c-4155-9c5e-82b3604d8d43	1c315b7a-30d5-4718-9589-ce2713784af4	REMOTE_CONDENSER
cb9fd999-433c-4155-9c5e-82b3604d8d43	deaca0f2-a8fe-4fa9-b821-4546ff1a3247	CHILLED_WATER_PUMPS
cb9fd999-433c-4155-9c5e-82b3604d8d43	c2419a28-27e8-4306-ab91-6582ea2dffbc	HEAT_REJECTION_PUMPS
cb9fd999-433c-4155-9c5e-82b3604d8d43	e5172a56-9bc0-4e11-a569-f682aa3b32a2	VENTILATION
cb9fd999-433c-4155-9c5e-82b3604d8d43	25e6a878-8fae-4e4e-8756-d6074d9ba4fd	INFILTRATION
cb9fd999-433c-4155-9c5e-82b3604d8d43	6bbedffd-d2a3-4073-a845-63e08b28238e	IT_LOAD
8ece2c9c-4d9f-4989-ae70-09480037d1e6	89a6a549-08f6-4aa0-a3fa-d452d19e1fc8	SWITCHGEAR
8ece2c9c-4d9f-4989-ae70-09480037d1e6	b61b4a5e-64aa-4360-854f-f04f0abcc58d	GENERATOR
8ece2c9c-4d9f-4989-ae70-09480037d1e6	b7228d98-6beb-4117-9261-7f4fe8ca9e2b	PRIMARY_AUXILIARIES
8ece2c9c-4d9f-4989-ae70-09480037d1e6	c0135b64-6065-47ef-a934-5bcd9e7d6b74	UPS
8ece2c9c-4d9f-4989-ae70-09480037d1e6	adccc5c3-6c56-4e03-9b24-b312372cf0b5	CRITICAL_AUXILIARIES
8ece2c9c-4d9f-4989-ae70-09480037d1e6	ca35228d-4241-4a1c-b65f-492267883306	LIGHTING
8ece2c9c-4d9f-4989-ae70-09480037d1e6	ebdff3a7-370c-456f-bdf2-cad5ae41cd68	CRITICAL_POWER_DISTRIBUTION
8ece2c9c-4d9f-4989-ae70-09480037d1e6	80967027-999d-41ea-8e09-ee1cee97925a	CRAH
8ece2c9c-4d9f-4989-ae70-09480037d1e6	21ee8c47-d193-467a-9f11-b58f18241fcf	CRAC
8ece2c9c-4d9f-4989-ae70-09480037d1e6	caf6e3f8-a677-4be1-bbd8-be316c99f110	CRAC_WITHOUT_FAN
8ece2c9c-4d9f-4989-ae70-09480037d1e6	fcfa4210-674a-42b9-a054-800bb1349180	CRAC_FAN
8ece2c9c-4d9f-4989-ae70-09480037d1e6	18281478-0306-4d3d-a9b7-c2434343d481	CHILLER
8ece2c9c-4d9f-4989-ae70-09480037d1e6	513a8279-c08e-45e3-af2b-c2ba1b14c0cd	AIR_COOLED_CHILLER
8ece2c9c-4d9f-4989-ae70-09480037d1e6	1c68acfd-d258-43f2-bc7b-d81fe469a001	COOLING_TOWER
8ece2c9c-4d9f-4989-ae70-09480037d1e6	6aa5eed9-e1a6-4644-a2f4-b6f1d21dff4e	DRY_COOLER
8ece2c9c-4d9f-4989-ae70-09480037d1e6	5d7513e5-57f0-44d0-a5fa-1c6062cbba64	REMOTE_CONDENSER
8ece2c9c-4d9f-4989-ae70-09480037d1e6	0bfb9007-c7a9-45c2-9545-f0966249ef76	CHILLED_WATER_PUMPS
8ece2c9c-4d9f-4989-ae70-09480037d1e6	c9dda0ef-798d-4894-b720-96d3cce2d3f2	HEAT_REJECTION_PUMPS
8ece2c9c-4d9f-4989-ae70-09480037d1e6	b4d0b464-3381-4617-a47a-9dba3f3f6b75	VENTILATION
8ece2c9c-4d9f-4989-ae70-09480037d1e6	693f29a3-26d0-4040-937e-a4e06d16086d	INFILTRATION
8ece2c9c-4d9f-4989-ae70-09480037d1e6	80b45113-ec45-49f1-9750-1fb4f297d02e	IT_LOAD
b0625b6d-c179-4db6-895c-1745359f3224	db2a3ee9-6a27-4273-99bd-ac43c47d4792	SWITCHGEAR
b0625b6d-c179-4db6-895c-1745359f3224	021d6cc9-e284-4980-b15a-7efc10e8385a	GENERATOR
b0625b6d-c179-4db6-895c-1745359f3224	4b5566b3-b007-487a-9ec2-5f186e1581ef	PRIMARY_AUXILIARIES
b0625b6d-c179-4db6-895c-1745359f3224	94787efe-8e64-4614-a613-c709a7c7cca3	UPS
b0625b6d-c179-4db6-895c-1745359f3224	0ff98ab2-3846-420d-8766-8e1431b313d0	CRITICAL_AUXILIARIES
b0625b6d-c179-4db6-895c-1745359f3224	c241edc7-2879-41e3-b5c5-699e00247bca	LIGHTING
b0625b6d-c179-4db6-895c-1745359f3224	e0422710-1890-4ace-a4b3-8f2292326067	CRITICAL_POWER_DISTRIBUTION
b0625b6d-c179-4db6-895c-1745359f3224	49c2e73a-ba89-4c8d-a27c-5ac157f9bef9	CRAH
b0625b6d-c179-4db6-895c-1745359f3224	75c7b20f-e29d-42e1-a3b4-8f91815bd5a7	CRAC
b0625b6d-c179-4db6-895c-1745359f3224	2660d354-98c5-4666-8114-7ec86793eae3	CRAC_WITHOUT_FAN
b0625b6d-c179-4db6-895c-1745359f3224	80fb78c2-fb26-41e6-961d-446d212e6989	CRAC_FAN
b0625b6d-c179-4db6-895c-1745359f3224	f2c9c7bf-01dd-4878-87e6-5df3872d3f37	CHILLER
b0625b6d-c179-4db6-895c-1745359f3224	cd8b4f12-62ef-4e20-bdba-11dbe764e9cb	AIR_COOLED_CHILLER
b0625b6d-c179-4db6-895c-1745359f3224	387a2969-0628-42f4-bdd3-bb67c2c2f7f1	COOLING_TOWER
b0625b6d-c179-4db6-895c-1745359f3224	a27883b9-b71f-4123-a313-6633715134fa	DRY_COOLER
b0625b6d-c179-4db6-895c-1745359f3224	d24afc72-1377-4ce7-aba1-2f891c84a984	REMOTE_CONDENSER
b0625b6d-c179-4db6-895c-1745359f3224	f51daab6-4cb5-4999-a595-3021fd30401f	CHILLED_WATER_PUMPS
b0625b6d-c179-4db6-895c-1745359f3224	9d327df7-df2b-41d5-910a-8979fb7754c1	HEAT_REJECTION_PUMPS
b0625b6d-c179-4db6-895c-1745359f3224	adda525e-0a09-4b77-bddf-575fd02e65e7	VENTILATION
b0625b6d-c179-4db6-895c-1745359f3224	94640adb-8fa1-4ec4-a4ac-3968f80c80ce	INFILTRATION
b0625b6d-c179-4db6-895c-1745359f3224	fd0370fe-118a-42d0-b88c-c50b15dac2e0	IT_LOAD
98f499ad-9da3-4968-bf45-b5dfd65c3e65	dee333b0-2523-47e0-add0-2455214b9dbc	SWITCHGEAR
98f499ad-9da3-4968-bf45-b5dfd65c3e65	f5310884-b631-4a8b-b27a-85cc7b5b9e98	GENERATOR
98f499ad-9da3-4968-bf45-b5dfd65c3e65	7264ed5c-ae3f-4381-964f-d05b8f5f8533	PRIMARY_AUXILIARIES
98f499ad-9da3-4968-bf45-b5dfd65c3e65	f0428796-bb55-44c5-b912-a3d7e76e502e	UPS
98f499ad-9da3-4968-bf45-b5dfd65c3e65	e15d901b-b13d-4665-b24c-8bead2848323	CRITICAL_AUXILIARIES
98f499ad-9da3-4968-bf45-b5dfd65c3e65	41107774-2030-48d2-8250-de75e79377bb	LIGHTING
98f499ad-9da3-4968-bf45-b5dfd65c3e65	a664e057-9acf-4c02-bf68-546290ddbf2d	CRITICAL_POWER_DISTRIBUTION
98f499ad-9da3-4968-bf45-b5dfd65c3e65	81b91563-0b10-4c6d-88d9-7cd9819fa9bf	CRAH
98f499ad-9da3-4968-bf45-b5dfd65c3e65	d54cb71c-b50d-4f8a-ba13-9a26293e97de	CRAC
98f499ad-9da3-4968-bf45-b5dfd65c3e65	4c4c4711-a3b8-47a9-9720-819df2efd08e	CRAC_WITHOUT_FAN
98f499ad-9da3-4968-bf45-b5dfd65c3e65	0283f912-82e4-417c-a762-b69ff1ae72ee	CRAC_FAN
98f499ad-9da3-4968-bf45-b5dfd65c3e65	a508627c-9728-4259-a175-ee17fe6b09cd	CHILLER
98f499ad-9da3-4968-bf45-b5dfd65c3e65	83e7c432-79b8-4c59-b4d5-1cf51ec7982e	AIR_COOLED_CHILLER
98f499ad-9da3-4968-bf45-b5dfd65c3e65	b5aba0bd-93c6-461a-8bdb-d30d4a705c52	COOLING_TOWER
98f499ad-9da3-4968-bf45-b5dfd65c3e65	7b316a29-1eb6-48d4-850d-87607b4ef91a	DRY_COOLER
98f499ad-9da3-4968-bf45-b5dfd65c3e65	7ca86d6d-9282-40d4-be19-bb9de681685d	REMOTE_CONDENSER
98f499ad-9da3-4968-bf45-b5dfd65c3e65	277b6f02-d97c-4710-b456-d28f0329fbd1	CHILLED_WATER_PUMPS
98f499ad-9da3-4968-bf45-b5dfd65c3e65	24012b24-3a47-4371-a572-e26057df7f31	HEAT_REJECTION_PUMPS
98f499ad-9da3-4968-bf45-b5dfd65c3e65	38ed51a9-377c-4ad2-bb00-dfd1fbdac732	VENTILATION
98f499ad-9da3-4968-bf45-b5dfd65c3e65	e56efe8f-0d52-4671-8f5a-3c0b67056501	INFILTRATION
98f499ad-9da3-4968-bf45-b5dfd65c3e65	197dfce7-56ec-4ea0-b8a5-2c525a73bf67	IT_LOAD
8353750b-00c8-4d53-b4ec-03201c269eb5	8dc40745-d43e-440d-97f0-cc5f15d09dd1	SWITCHGEAR
8353750b-00c8-4d53-b4ec-03201c269eb5	cade9bc6-4225-4d03-87d5-16305f49cc18	GENERATOR
8353750b-00c8-4d53-b4ec-03201c269eb5	47163285-1dc8-4738-8e60-19acfdbb243d	PRIMARY_AUXILIARIES
8353750b-00c8-4d53-b4ec-03201c269eb5	5f1af3cc-348e-4b2c-bd19-542f2aa90233	UPS
8353750b-00c8-4d53-b4ec-03201c269eb5	5a83d286-8133-41e2-8471-1f5b2cee0d0f	CRITICAL_AUXILIARIES
8353750b-00c8-4d53-b4ec-03201c269eb5	26e8fa2a-04b9-47db-a49a-39e7b56f6ad1	LIGHTING
8353750b-00c8-4d53-b4ec-03201c269eb5	7b2f54a2-2b6e-4522-a72d-b62c6eee1046	CRITICAL_POWER_DISTRIBUTION
8353750b-00c8-4d53-b4ec-03201c269eb5	78781cdb-b255-4344-9905-93b2075651bd	CRAH
8353750b-00c8-4d53-b4ec-03201c269eb5	1a369802-6fb2-4b38-94bf-dfb14a07f75f	CRAC
8353750b-00c8-4d53-b4ec-03201c269eb5	8ec0a5f7-8805-4009-aa7d-c0186a98507b	CRAC_WITHOUT_FAN
8353750b-00c8-4d53-b4ec-03201c269eb5	33bbc563-e5bd-49ed-bec8-00440fef9e20	CRAC_FAN
8353750b-00c8-4d53-b4ec-03201c269eb5	a396364c-80b9-46f3-96ad-efdb9fe749f2	CHILLER
8353750b-00c8-4d53-b4ec-03201c269eb5	a09712d9-4540-4f53-948a-776c10479b51	AIR_COOLED_CHILLER
8353750b-00c8-4d53-b4ec-03201c269eb5	f48b091c-23e8-4f55-a5de-91d2f52dd7c6	COOLING_TOWER
8353750b-00c8-4d53-b4ec-03201c269eb5	0fc8143a-eeb8-4ef3-b475-c9e3e6d3a818	DRY_COOLER
8353750b-00c8-4d53-b4ec-03201c269eb5	75c56bac-15dd-4341-aac5-df5e5768db4b	REMOTE_CONDENSER
8353750b-00c8-4d53-b4ec-03201c269eb5	2adc5ad6-1271-408c-b61a-ef70ccb5520a	CHILLED_WATER_PUMPS
8353750b-00c8-4d53-b4ec-03201c269eb5	6b0cd549-8ee8-4e88-b94f-a5f13557dab2	HEAT_REJECTION_PUMPS
8353750b-00c8-4d53-b4ec-03201c269eb5	ab1c01ad-a95a-41dd-a0eb-0451ce05b2ba	VENTILATION
8353750b-00c8-4d53-b4ec-03201c269eb5	cf0758a3-6d8d-48d3-9388-cbedb5f30146	INFILTRATION
8353750b-00c8-4d53-b4ec-03201c269eb5	c194e4ac-5700-471e-beb1-8a8ca93945f0	IT_LOAD
188d48f3-eaaa-406b-8522-0eac4761128e	064dcc18-4545-4368-ac63-552206e74e67	SWITCHGEAR
188d48f3-eaaa-406b-8522-0eac4761128e	329d6d3b-5957-4899-ba17-2e0e71a78654	GENERATOR
188d48f3-eaaa-406b-8522-0eac4761128e	d9d9114e-0bb9-493a-bc48-253530780d9f	PRIMARY_AUXILIARIES
188d48f3-eaaa-406b-8522-0eac4761128e	0b1b4d15-2cf1-4749-b075-5773ded02ef7	UPS
188d48f3-eaaa-406b-8522-0eac4761128e	edee5b1f-5c58-4a5f-a1b4-1fd65b77ec62	CRITICAL_AUXILIARIES
188d48f3-eaaa-406b-8522-0eac4761128e	a5437579-40df-4248-a047-eb9d577f89d7	LIGHTING
188d48f3-eaaa-406b-8522-0eac4761128e	8047d260-8b82-4c93-9d6f-75ff2445edff	CRITICAL_POWER_DISTRIBUTION
188d48f3-eaaa-406b-8522-0eac4761128e	2692064c-8afa-4d85-8429-54669aa55a6d	CRAH
188d48f3-eaaa-406b-8522-0eac4761128e	aaeb55df-f7f7-44d8-a3bd-c87b85e58939	CRAC
188d48f3-eaaa-406b-8522-0eac4761128e	25377c29-0ee5-4b19-a149-8b0de3c36850	CRAC_WITHOUT_FAN
188d48f3-eaaa-406b-8522-0eac4761128e	ce333e5b-2768-412d-b72a-91779de0de88	CRAC_FAN
188d48f3-eaaa-406b-8522-0eac4761128e	e3c9e561-aaa8-4b46-93f2-a7a665a627c8	CHILLER
188d48f3-eaaa-406b-8522-0eac4761128e	63820f8d-a9c7-4038-a202-11be898f903d	AIR_COOLED_CHILLER
188d48f3-eaaa-406b-8522-0eac4761128e	63bdeb08-b4f8-4bd8-8b4a-c28864535b14	COOLING_TOWER
188d48f3-eaaa-406b-8522-0eac4761128e	1bf9fe5b-4d84-4d3e-9d25-cf4d7e437f28	DRY_COOLER
188d48f3-eaaa-406b-8522-0eac4761128e	ecabd168-75e3-4c65-9976-3c0234858115	REMOTE_CONDENSER
188d48f3-eaaa-406b-8522-0eac4761128e	5889f12d-5056-4a24-9ce8-d9238dbab084	CHILLED_WATER_PUMPS
188d48f3-eaaa-406b-8522-0eac4761128e	ad83a9ef-b010-4906-a828-2e21cb2a4b6b	HEAT_REJECTION_PUMPS
188d48f3-eaaa-406b-8522-0eac4761128e	2695a2c2-ef39-4d34-b5d1-06d1dcf53c66	VENTILATION
188d48f3-eaaa-406b-8522-0eac4761128e	ea74f7c3-b66b-4784-a4a7-f214a12dfaee	INFILTRATION
188d48f3-eaaa-406b-8522-0eac4761128e	25567047-35c0-437a-a8ce-831e8ca83b1e	IT_LOAD
37e2916d-6380-43db-a98f-d8ea764f823c	29751ab8-509a-4a4a-92a7-2b06caea7091	SWITCHGEAR
37e2916d-6380-43db-a98f-d8ea764f823c	e262dc85-cea3-4c8b-b5e3-847044eed48e	GENERATOR
37e2916d-6380-43db-a98f-d8ea764f823c	2042ea5d-6948-486f-b1b5-f1511f7bf813	PRIMARY_AUXILIARIES
37e2916d-6380-43db-a98f-d8ea764f823c	74a50677-a2d1-407d-904c-21348d0d5485	UPS
37e2916d-6380-43db-a98f-d8ea764f823c	9cdda933-e9bc-4844-91ba-ae7e6664d257	CRITICAL_AUXILIARIES
37e2916d-6380-43db-a98f-d8ea764f823c	975139bb-bedd-4eee-9e24-83629454a395	LIGHTING
37e2916d-6380-43db-a98f-d8ea764f823c	fdac8622-b457-4e9e-bbcb-c9be6559eb7b	CRITICAL_POWER_DISTRIBUTION
37e2916d-6380-43db-a98f-d8ea764f823c	f369a90f-28ac-48e6-a3c8-068ed1cb23b9	CRAH
37e2916d-6380-43db-a98f-d8ea764f823c	b4171da0-df14-4407-8980-68a4cf92b671	CRAC
37e2916d-6380-43db-a98f-d8ea764f823c	65e67108-9ca6-457a-94fd-0c958aae2782	CRAC_WITHOUT_FAN
37e2916d-6380-43db-a98f-d8ea764f823c	a2d9fdeb-0e70-40f3-9bcb-82c96ac7cf76	CRAC_FAN
37e2916d-6380-43db-a98f-d8ea764f823c	59a590ec-ec96-4bfe-af13-05b410bd7f54	CHILLER
37e2916d-6380-43db-a98f-d8ea764f823c	2f33ff8b-9d03-42a0-b606-ec627f74aa21	AIR_COOLED_CHILLER
37e2916d-6380-43db-a98f-d8ea764f823c	55be6a68-d96e-446b-9bb8-35853dfa7ff7	COOLING_TOWER
37e2916d-6380-43db-a98f-d8ea764f823c	98db7060-ddfb-4396-b7fe-3660ae5ece37	DRY_COOLER
37e2916d-6380-43db-a98f-d8ea764f823c	ff9bf357-ddbd-4779-9e6d-98e044de3450	REMOTE_CONDENSER
37e2916d-6380-43db-a98f-d8ea764f823c	3aa7ab27-d650-489e-80f7-9f9b9f27b5f8	CHILLED_WATER_PUMPS
37e2916d-6380-43db-a98f-d8ea764f823c	e4d78a3d-f947-4f64-867d-f880e4020959	HEAT_REJECTION_PUMPS
37e2916d-6380-43db-a98f-d8ea764f823c	82849b7e-9621-4391-8ef8-fca00a3c2fc7	VENTILATION
37e2916d-6380-43db-a98f-d8ea764f823c	b2506887-f75e-4daa-a0ad-17d2aff5a300	INFILTRATION
37e2916d-6380-43db-a98f-d8ea764f823c	70c5d403-3afa-4297-ac43-8322d633eb47	IT_LOAD
a8f31f97-5e73-46f6-a75a-99ce7900cb79	7095150a-e243-44e3-a72e-558fb8c14767	SWITCHGEAR
a8f31f97-5e73-46f6-a75a-99ce7900cb79	297e08dd-109c-489b-8814-e0062146ec09	GENERATOR
a8f31f97-5e73-46f6-a75a-99ce7900cb79	4c15d398-ebd0-4f00-a1c8-fc0a2d0dfdc8	PRIMARY_AUXILIARIES
a8f31f97-5e73-46f6-a75a-99ce7900cb79	74ace21f-5282-4e5c-b9c6-e65a3cab3669	UPS
a8f31f97-5e73-46f6-a75a-99ce7900cb79	696d841b-2359-485f-a453-a7445b969569	CRITICAL_AUXILIARIES
a8f31f97-5e73-46f6-a75a-99ce7900cb79	4c0ba04f-7d86-4e09-8f97-7984ece6cc70	LIGHTING
a8f31f97-5e73-46f6-a75a-99ce7900cb79	7439e9d6-2e69-49b4-b7f8-96c5dedbd92f	CRITICAL_POWER_DISTRIBUTION
a8f31f97-5e73-46f6-a75a-99ce7900cb79	0f4a883d-e3bc-4a70-a456-dbc1a09847c8	CRAH
a8f31f97-5e73-46f6-a75a-99ce7900cb79	5281789b-3830-4331-bbfe-8d80c434c901	CRAC
a8f31f97-5e73-46f6-a75a-99ce7900cb79	fd3847a6-d4bf-4f79-8183-9fbaa83ff0af	CRAC_WITHOUT_FAN
a8f31f97-5e73-46f6-a75a-99ce7900cb79	6e9bdadb-4002-4d28-87c8-56777a60fb21	CRAC_FAN
a8f31f97-5e73-46f6-a75a-99ce7900cb79	c9bc53ab-93ba-4b90-80f2-238f0167d69a	CHILLER
a8f31f97-5e73-46f6-a75a-99ce7900cb79	690297d2-d166-470a-a3a4-22377436a6a6	AIR_COOLED_CHILLER
a8f31f97-5e73-46f6-a75a-99ce7900cb79	da06b8a9-0277-4550-b4eb-d8cf571e9514	COOLING_TOWER
a8f31f97-5e73-46f6-a75a-99ce7900cb79	6784dbd2-19ac-4a35-87b9-e8e9fc98f378	DRY_COOLER
a8f31f97-5e73-46f6-a75a-99ce7900cb79	afc7fbd2-108b-458e-b777-abe756424838	REMOTE_CONDENSER
a8f31f97-5e73-46f6-a75a-99ce7900cb79	4c6e799a-2edb-44cb-8b40-c82adf3c5f42	CHILLED_WATER_PUMPS
a8f31f97-5e73-46f6-a75a-99ce7900cb79	a31b00bb-d687-4e81-bdc9-0ed7df3b10a0	HEAT_REJECTION_PUMPS
a8f31f97-5e73-46f6-a75a-99ce7900cb79	ea074a43-e57f-437c-b9c3-8525521af961	VENTILATION
a8f31f97-5e73-46f6-a75a-99ce7900cb79	007dcf0d-51f2-4635-83ab-421bf8879ef9	INFILTRATION
a8f31f97-5e73-46f6-a75a-99ce7900cb79	e3afe9c5-22d3-4da5-bcd6-ddb0846dbd3b	IT_LOAD
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	d2b4d555-550f-400b-82d2-2725486b70c5	SWITCHGEAR
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	2155733a-f7df-49b3-a0fa-2ba421aadfeb	GENERATOR
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	a3182e46-f492-4192-8d35-16417eb7efd5	PRIMARY_AUXILIARIES
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	c9ec6e2d-413d-44c3-a63d-d794f30f72c0	UPS
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	4e0def0f-c767-43b4-939d-e8c2a1ae8f21	CRITICAL_AUXILIARIES
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	5c8322e0-c4d5-4e17-b22e-8f80bc3a8d94	LIGHTING
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	1bedb029-d4a4-4ee4-b471-0d36476b0c57	CRITICAL_POWER_DISTRIBUTION
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	c4c08b7d-0c35-4bdd-862d-b4ce5a8a790f	CRAH
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	5da6844c-7665-446f-8a91-bf787453fac1	CRAC
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	337f5d4c-0aa3-4a6f-a759-8f646a30bab8	CRAC_WITHOUT_FAN
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	bcc693e3-1e66-4ae4-8307-462069afa719	CRAC_FAN
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	32b83778-99cc-480d-8e1b-66812929ee85	CHILLER
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	2ea44a48-c57d-4989-9582-930383c095bf	AIR_COOLED_CHILLER
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	fbdc7bfa-6c7d-42d0-ba25-7704a779b1df	COOLING_TOWER
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	d763b01d-0c0f-43cb-b7db-215f1a8bf7f9	DRY_COOLER
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	ca36d997-7582-4709-a62a-15948371cbcd	REMOTE_CONDENSER
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	8bdc4fef-faff-4302-b261-31644d855cf7	CHILLED_WATER_PUMPS
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	9788bf2e-1413-4991-b1ad-42d00a491750	HEAT_REJECTION_PUMPS
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	0c8e026e-4fad-49e6-9a1a-3ae5bf56d69a	VENTILATION
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	4c383239-7bee-42f1-b523-1615b3c576b2	INFILTRATION
dd3db1fd-4100-4fa0-b3e5-e0370b9f6841	f1556dce-76f5-4368-a7d4-16d1def1813b	IT_LOAD
35523514-dc6a-4571-85e1-f38f734450c8	563e3245-70c2-4628-a647-676c40dd921e	SWITCHGEAR
35523514-dc6a-4571-85e1-f38f734450c8	f9c4dd57-e965-4d59-82d1-eb1d0d5a8268	GENERATOR
35523514-dc6a-4571-85e1-f38f734450c8	748c0f9d-0aa8-43af-8369-673d4f95f21f	PRIMARY_AUXILIARIES
35523514-dc6a-4571-85e1-f38f734450c8	4a524099-ced0-4ec0-9168-96a262df384f	UPS
35523514-dc6a-4571-85e1-f38f734450c8	a8ef7f41-8a06-48ab-9f56-77fe115627be	CRITICAL_AUXILIARIES
35523514-dc6a-4571-85e1-f38f734450c8	9f03d90e-54b1-4830-aef0-c761b4d63d3d	LIGHTING
35523514-dc6a-4571-85e1-f38f734450c8	8f1e4aaf-5421-4904-8f7c-156e31ab0e90	CRITICAL_POWER_DISTRIBUTION
35523514-dc6a-4571-85e1-f38f734450c8	4ba4a5d3-2ddd-4995-b790-3a8097316357	CRAH
35523514-dc6a-4571-85e1-f38f734450c8	a5180a20-9ffa-4e20-8e80-604285b9b3c4	CRAC
35523514-dc6a-4571-85e1-f38f734450c8	ea999f54-c28f-4578-b631-7d6f10342211	CRAC_WITHOUT_FAN
35523514-dc6a-4571-85e1-f38f734450c8	4042efb5-11a0-487c-9e7d-5de908646852	CRAC_FAN
35523514-dc6a-4571-85e1-f38f734450c8	438be5fc-6403-4827-8586-be0ec6ed1bc4	CHILLER
35523514-dc6a-4571-85e1-f38f734450c8	66fbd0e2-19f2-4da3-8ed8-9164866a7f5b	AIR_COOLED_CHILLER
35523514-dc6a-4571-85e1-f38f734450c8	2cc4d6c8-d816-479f-8147-99053123d337	COOLING_TOWER
35523514-dc6a-4571-85e1-f38f734450c8	7befa58c-e1b9-4262-b890-04464c06717d	DRY_COOLER
35523514-dc6a-4571-85e1-f38f734450c8	d1498a7d-cbc7-441c-8dac-d28858a450ed	REMOTE_CONDENSER
35523514-dc6a-4571-85e1-f38f734450c8	b7d282bc-8e7f-4a36-bd54-ef74925684b3	CHILLED_WATER_PUMPS
35523514-dc6a-4571-85e1-f38f734450c8	efe0b11b-7e1e-4847-b798-51e5072021e4	HEAT_REJECTION_PUMPS
35523514-dc6a-4571-85e1-f38f734450c8	bb158339-bcfe-4a7d-ab02-23ad154b0f55	VENTILATION
35523514-dc6a-4571-85e1-f38f734450c8	8a4e0392-71ea-4754-8ed2-702e51e06337	INFILTRATION
35523514-dc6a-4571-85e1-f38f734450c8	1af8ac45-f690-4837-9db6-a7da74d7215c	IT_LOAD
8857d1a2-17d5-4531-8d60-e39878d9c3b8	34469bc1-ee36-4b37-866e-862afcc12b4b	SWITCHGEAR
8857d1a2-17d5-4531-8d60-e39878d9c3b8	2063d7d3-305f-48e4-b17b-02e242ac426b	GENERATOR
8857d1a2-17d5-4531-8d60-e39878d9c3b8	31f452cb-96b0-4902-b75d-b9a7b0406a18	PRIMARY_AUXILIARIES
8857d1a2-17d5-4531-8d60-e39878d9c3b8	69ae924a-0034-423f-9b57-153cfca1187b	UPS
8857d1a2-17d5-4531-8d60-e39878d9c3b8	b47d483a-e610-44d1-9259-dc2d866278ff	CRITICAL_AUXILIARIES
8857d1a2-17d5-4531-8d60-e39878d9c3b8	44c59ead-f458-427d-9375-cf9200262944	LIGHTING
8857d1a2-17d5-4531-8d60-e39878d9c3b8	f98c7dee-bb16-4bb2-b59a-fc24dcbeda5a	CRITICAL_POWER_DISTRIBUTION
8857d1a2-17d5-4531-8d60-e39878d9c3b8	d16021d6-88bd-4561-ac0d-a7b2bd639659	CRAH
8857d1a2-17d5-4531-8d60-e39878d9c3b8	9f578f0a-97d4-4f9b-9728-3807e8b88459	CRAC
8857d1a2-17d5-4531-8d60-e39878d9c3b8	4fc9b14c-c1df-4aba-a176-06126cdc1eb2	CRAC_WITHOUT_FAN
8857d1a2-17d5-4531-8d60-e39878d9c3b8	a6f317dd-4f6d-476a-867c-6b463129a54b	CRAC_FAN
8857d1a2-17d5-4531-8d60-e39878d9c3b8	82e2b070-8d22-449b-a931-da9ee7585622	CHILLER
8857d1a2-17d5-4531-8d60-e39878d9c3b8	f27e1c08-97e6-454f-8bb5-eae418b498cf	AIR_COOLED_CHILLER
8857d1a2-17d5-4531-8d60-e39878d9c3b8	a529e809-27cf-4428-be39-486422a861c9	COOLING_TOWER
8857d1a2-17d5-4531-8d60-e39878d9c3b8	5d8b952a-03dd-4a7e-bdd2-3e77164bc3cc	DRY_COOLER
8857d1a2-17d5-4531-8d60-e39878d9c3b8	05f7ff8f-6c66-4f8c-83f0-4fa7ab03e315	REMOTE_CONDENSER
8857d1a2-17d5-4531-8d60-e39878d9c3b8	b792c4de-22ab-41ea-abb3-6c74e604b445	CHILLED_WATER_PUMPS
8857d1a2-17d5-4531-8d60-e39878d9c3b8	4bd8c803-cda1-41c5-8709-4bfe7c58747e	HEAT_REJECTION_PUMPS
8857d1a2-17d5-4531-8d60-e39878d9c3b8	9fb25d3c-c4c2-4258-a7bd-9a3d99823449	VENTILATION
8857d1a2-17d5-4531-8d60-e39878d9c3b8	beaab4a5-62bb-41b7-9038-e3b66de109b8	INFILTRATION
8857d1a2-17d5-4531-8d60-e39878d9c3b8	ae06ba68-73bb-42f4-84f9-274b2fccbf0f	IT_LOAD
3f2231c8-3f43-402a-840b-64eaee7bf91c	b95f22f2-f0e7-4405-9cd1-58d045e8904c	SWITCHGEAR
3f2231c8-3f43-402a-840b-64eaee7bf91c	1b88fe7e-47ab-4c45-a3a5-431229753bd7	GENERATOR
3f2231c8-3f43-402a-840b-64eaee7bf91c	abe0b565-a7f3-48d9-ae58-55cd6f4708c7	PRIMARY_AUXILIARIES
3f2231c8-3f43-402a-840b-64eaee7bf91c	0c023eb7-0964-47b7-85b1-3952b5b0d5d8	UPS
3f2231c8-3f43-402a-840b-64eaee7bf91c	9200ef77-af24-4a43-91b3-2682f13a9c7b	CRITICAL_AUXILIARIES
3f2231c8-3f43-402a-840b-64eaee7bf91c	2cf4d4f1-d733-4122-9a62-9cd8c8c794b9	LIGHTING
3f2231c8-3f43-402a-840b-64eaee7bf91c	d2432c45-b98b-46ea-ac75-5700d7131757	CRITICAL_POWER_DISTRIBUTION
3f2231c8-3f43-402a-840b-64eaee7bf91c	b8a2523e-ea88-4201-a406-e918a601bc68	CRAH
3f2231c8-3f43-402a-840b-64eaee7bf91c	c0ded3d4-c4fb-45ba-adad-4aa8f9eead2c	CRAC
3f2231c8-3f43-402a-840b-64eaee7bf91c	88770acd-208e-40b3-b556-d731c2eef75e	CRAC_WITHOUT_FAN
3f2231c8-3f43-402a-840b-64eaee7bf91c	e0b4cb82-203f-4174-b514-32edea17368c	CRAC_FAN
3f2231c8-3f43-402a-840b-64eaee7bf91c	565ec605-2726-4875-aac2-9311a33abc90	CHILLER
3f2231c8-3f43-402a-840b-64eaee7bf91c	667d6d01-7b0a-4757-babc-7c84dbfe60d1	AIR_COOLED_CHILLER
3f2231c8-3f43-402a-840b-64eaee7bf91c	3918ff0a-9049-41eb-9bcd-522a2cc88349	COOLING_TOWER
3f2231c8-3f43-402a-840b-64eaee7bf91c	2a84918b-c1e7-473d-8bbb-c3fc1cb12014	DRY_COOLER
3f2231c8-3f43-402a-840b-64eaee7bf91c	d9eae5d4-6641-4c25-98db-82da5ad553ca	REMOTE_CONDENSER
3f2231c8-3f43-402a-840b-64eaee7bf91c	5a410df3-6bb8-4719-98f8-e98ad295e681	CHILLED_WATER_PUMPS
3f2231c8-3f43-402a-840b-64eaee7bf91c	ec1a3bbb-75b6-47e7-a1cb-50460eb18dae	HEAT_REJECTION_PUMPS
3f2231c8-3f43-402a-840b-64eaee7bf91c	a20f1c35-0955-4bd5-92eb-43f0a4104f42	VENTILATION
3f2231c8-3f43-402a-840b-64eaee7bf91c	c28437ff-ef5e-4fcb-8ee8-4a7e2e51e1aa	INFILTRATION
3f2231c8-3f43-402a-840b-64eaee7bf91c	30320d8e-2077-499c-8f17-adb6d8f5cfcb	IT_LOAD
836c0fc7-abbf-4ee4-942c-0247f3cbf797	c552ecf7-7b00-4070-9591-05b62fc77e81	SWITCHGEAR
836c0fc7-abbf-4ee4-942c-0247f3cbf797	ee493c6d-7f4d-471c-bb82-47d17afd4b28	GENERATOR
836c0fc7-abbf-4ee4-942c-0247f3cbf797	d3f53b13-f5e5-43f1-9b43-d1d58ca06e83	PRIMARY_AUXILIARIES
836c0fc7-abbf-4ee4-942c-0247f3cbf797	10ae3a48-6ed2-4dfd-a05f-b21116fd618e	UPS
836c0fc7-abbf-4ee4-942c-0247f3cbf797	0753235c-f3ca-4e7f-9253-10b5a178671c	CRITICAL_AUXILIARIES
836c0fc7-abbf-4ee4-942c-0247f3cbf797	c01ddc1a-dc27-4c62-8028-5983702a7698	LIGHTING
836c0fc7-abbf-4ee4-942c-0247f3cbf797	e37f3c5f-8779-48d1-b166-e12d4a370641	CRITICAL_POWER_DISTRIBUTION
836c0fc7-abbf-4ee4-942c-0247f3cbf797	cf368a07-1b08-438b-a1e7-c20986615e9b	CRAH
836c0fc7-abbf-4ee4-942c-0247f3cbf797	b1772eae-3222-4c3d-94d5-37cfac6e7f62	CRAC
836c0fc7-abbf-4ee4-942c-0247f3cbf797	2101883e-4905-4928-86f2-efa6142b88d4	CRAC_WITHOUT_FAN
836c0fc7-abbf-4ee4-942c-0247f3cbf797	b3b84a70-b5bc-493e-bdd0-169cf4507187	CRAC_FAN
836c0fc7-abbf-4ee4-942c-0247f3cbf797	104fe1d6-ea7b-45de-9834-afcf0cc2a349	CHILLER
836c0fc7-abbf-4ee4-942c-0247f3cbf797	d26950c1-ef48-466b-aaa0-00275ed6419d	AIR_COOLED_CHILLER
836c0fc7-abbf-4ee4-942c-0247f3cbf797	d9e8f054-174e-44f2-aa06-5fd346dbbafc	COOLING_TOWER
836c0fc7-abbf-4ee4-942c-0247f3cbf797	17bf4c19-c5f6-4cd1-a240-0d4594f2e431	DRY_COOLER
836c0fc7-abbf-4ee4-942c-0247f3cbf797	68e966b4-ada3-46d4-af86-ad28df1706dc	REMOTE_CONDENSER
836c0fc7-abbf-4ee4-942c-0247f3cbf797	5802524a-b559-4fec-b2da-472ab5f2b5e2	CHILLED_WATER_PUMPS
836c0fc7-abbf-4ee4-942c-0247f3cbf797	e332acd1-da6c-4cc6-b4e0-4927423e60a5	HEAT_REJECTION_PUMPS
836c0fc7-abbf-4ee4-942c-0247f3cbf797	a026573c-60fc-47bd-9076-e37222e26b79	VENTILATION
836c0fc7-abbf-4ee4-942c-0247f3cbf797	e7c11d5d-e27e-4122-ae59-55235fb34ef5	INFILTRATION
836c0fc7-abbf-4ee4-942c-0247f3cbf797	b7dbd3fc-5f3d-4efe-b634-6d71d03791a9	IT_LOAD
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	56f1be66-8715-4a4b-8b10-5698adde7b3f	SWITCHGEAR
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	5b45052d-4337-4fcd-923f-b5b6d4c0e2d8	GENERATOR
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	ec61e158-8cf0-4199-91f1-fb502b0b12e4	PRIMARY_AUXILIARIES
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	454d077b-5152-4821-b027-12661d42484b	UPS
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	586d7611-4a55-4660-88bf-f9daa5a1a865	CRITICAL_AUXILIARIES
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	360244e8-450a-4d6f-93df-4761f3d38038	LIGHTING
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	7e307b85-28ce-47b7-9569-354768b8313d	CRITICAL_POWER_DISTRIBUTION
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	60e4545f-50e8-4203-acce-6a6c29600a2a	CRAH
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	b5849c21-f74a-4d4c-9df7-990e5888d2ba	CRAC
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	e622db5a-438f-4ad2-ba2d-93331bad7d8b	CRAC_WITHOUT_FAN
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	c91c05a0-ec1e-4be1-91d0-52a50a1234e3	CRAC_FAN
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	fb1e0d37-e8b0-435c-9338-2faeb2803872	CHILLER
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	a63a2cf7-8b60-4387-99eb-7e78a844fc70	AIR_COOLED_CHILLER
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	09bfacc0-3b60-49f1-bc3f-66d8bca2a3d3	COOLING_TOWER
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	9e3c5079-eead-43de-90ff-03a99e1edb29	DRY_COOLER
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	2cf3ebf6-7872-4b17-a08a-2ce4c24e0341	REMOTE_CONDENSER
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	535294b1-2abe-401d-95ce-b719dc39acb4	CHILLED_WATER_PUMPS
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	f9addeee-0775-4e43-af2f-7d27e4cf55d3	HEAT_REJECTION_PUMPS
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	e227babf-8403-45ab-8c0c-3b611354e4f2	VENTILATION
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	8af25680-5147-4205-a873-fa71a6a9f509	INFILTRATION
8cc609ba-5e25-4ee5-9f4a-7755f3e30b1c	3f297625-6330-469b-99a5-248c13446206	IT_LOAD
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	95f27598-3fd2-44f7-afe2-8036ed602016	SWITCHGEAR
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	3b22809d-067e-4972-a07a-7899f2f6ef89	GENERATOR
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	ba9c6405-dbf3-497b-b00b-16522a0d03cd	PRIMARY_AUXILIARIES
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	0bcf25f7-1c9b-44ed-89db-02f02fc9aa27	UPS
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	17a83f5b-599e-45cb-8e9e-144aef5f9401	CRITICAL_AUXILIARIES
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	3ce294a1-6a59-453e-9c46-897ef9e2af4e	LIGHTING
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	605956cc-e99e-4734-82b7-fdcac96c5bd6	CRITICAL_POWER_DISTRIBUTION
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	ef52296b-270f-450b-91f5-23e7692a44ab	CRAH
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	9f683b75-1624-45c4-b703-6fc42f6a67da	CRAC
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	5c862ff8-60d4-4484-a29c-22e9b16075ae	CRAC_WITHOUT_FAN
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	f906099b-78c7-45ad-bb7f-7084c4ecb871	CRAC_FAN
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	1a9a2ee4-80da-496b-920a-88f1e60eae6e	CHILLER
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	797df378-da23-4c9e-bb4d-56afba7bb157	AIR_COOLED_CHILLER
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	86b8b71b-da13-4a81-ad4f-968856f5cf4b	COOLING_TOWER
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	815196f1-8e67-4319-89a1-0d24883d76b6	DRY_COOLER
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	7ec58661-02b7-4ab5-bc33-96f275d6365c	REMOTE_CONDENSER
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	613a67c4-e14e-4584-8343-c00c6b14e113	CHILLED_WATER_PUMPS
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	66eef2ab-1afe-4c6a-8e79-de7cc3ce4714	HEAT_REJECTION_PUMPS
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	cf416362-0ebf-4750-89f4-a5da88ac0668	VENTILATION
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	0c54ee1b-dff6-4819-824d-48708ce67622	INFILTRATION
9ce1c1df-e12d-4eff-99d3-d486b4c723ae	4c927ca5-4e46-42c7-b556-2fbb52951c74	IT_LOAD
daa3e408-8ab3-4dfb-822a-c6818207febc	81cc1be0-043d-4f17-ad58-f0b8fa12deb0	SWITCHGEAR
daa3e408-8ab3-4dfb-822a-c6818207febc	63b184d5-9b47-4c6f-9a7b-7035a7d2b73c	GENERATOR
daa3e408-8ab3-4dfb-822a-c6818207febc	e20ac7aa-2499-443f-8aac-9212fb1196c1	PRIMARY_AUXILIARIES
daa3e408-8ab3-4dfb-822a-c6818207febc	9fb9a0d5-a673-43bb-9271-8a1e16ecaa95	UPS
daa3e408-8ab3-4dfb-822a-c6818207febc	c36e95d7-d535-4511-9cd5-be9cbc85ddb0	CRITICAL_AUXILIARIES
daa3e408-8ab3-4dfb-822a-c6818207febc	a352ce05-1a4e-4a64-b059-677570e160ed	LIGHTING
daa3e408-8ab3-4dfb-822a-c6818207febc	3c42b38b-7fb4-487f-b251-56b9c8e2838e	CRITICAL_POWER_DISTRIBUTION
daa3e408-8ab3-4dfb-822a-c6818207febc	7cc09d61-493a-43a3-a241-d728174cbe57	CRAH
daa3e408-8ab3-4dfb-822a-c6818207febc	a0d24016-b767-479f-8ca4-2b7027136634	CRAC
daa3e408-8ab3-4dfb-822a-c6818207febc	80500e7b-d03d-4b9c-8042-a47e6c49cbaf	CRAC_WITHOUT_FAN
daa3e408-8ab3-4dfb-822a-c6818207febc	91e014e0-bb03-4c0f-ab8c-9022082b00d3	CRAC_FAN
daa3e408-8ab3-4dfb-822a-c6818207febc	f254b7f1-43fb-4340-ac9d-50eecafdac40	CHILLER
daa3e408-8ab3-4dfb-822a-c6818207febc	fd5d3ac7-689e-45d4-90ff-321524b50449	AIR_COOLED_CHILLER
daa3e408-8ab3-4dfb-822a-c6818207febc	5ccd529e-8ef9-44d1-92cf-2734c6e200fc	COOLING_TOWER
daa3e408-8ab3-4dfb-822a-c6818207febc	1ffcb4da-d857-4c7c-aed1-2c5a2f1e5ecf	DRY_COOLER
daa3e408-8ab3-4dfb-822a-c6818207febc	c0c46a00-4970-4940-a55f-d3ceb331fc15	REMOTE_CONDENSER
daa3e408-8ab3-4dfb-822a-c6818207febc	628982a6-a540-41c1-9618-3535abd35e51	CHILLED_WATER_PUMPS
daa3e408-8ab3-4dfb-822a-c6818207febc	1c3d1138-9d0f-4eb5-b960-abf45a296c66	HEAT_REJECTION_PUMPS
daa3e408-8ab3-4dfb-822a-c6818207febc	57a98c71-62fa-4c74-9c8b-8e544fd4df69	VENTILATION
daa3e408-8ab3-4dfb-822a-c6818207febc	24d381c0-d66f-40d2-aac1-c4acf05bdce3	INFILTRATION
daa3e408-8ab3-4dfb-822a-c6818207febc	94d875d0-47fc-43f2-aeaf-fffec4532a57	IT_LOAD
9419a75c-f4b4-4456-b6ff-3102e1cd1784	11957b87-2187-444c-a291-c2f58c865ca9	SWITCHGEAR
9419a75c-f4b4-4456-b6ff-3102e1cd1784	5a0c817d-3ad6-4652-846b-6e7d2773a683	GENERATOR
9419a75c-f4b4-4456-b6ff-3102e1cd1784	13f375c8-2718-46bd-8ff0-08d50cf7541c	PRIMARY_AUXILIARIES
9419a75c-f4b4-4456-b6ff-3102e1cd1784	632af572-db64-4e3d-9fd6-8461b8c313eb	UPS
9419a75c-f4b4-4456-b6ff-3102e1cd1784	435e8cc0-4eab-4789-8701-b5646f2ce9a3	CRITICAL_AUXILIARIES
9419a75c-f4b4-4456-b6ff-3102e1cd1784	11fc5464-042d-4b04-a7eb-594811feb88f	LIGHTING
9419a75c-f4b4-4456-b6ff-3102e1cd1784	d1038b3a-5b1d-45c2-b9e5-150d111a73d7	CRITICAL_POWER_DISTRIBUTION
9419a75c-f4b4-4456-b6ff-3102e1cd1784	222d3cf3-b757-40b4-acc7-b4e97e90d8aa	CRAH
9419a75c-f4b4-4456-b6ff-3102e1cd1784	819a2d24-b95f-4af4-90c8-51cb6a0fc3ad	CRAC
9419a75c-f4b4-4456-b6ff-3102e1cd1784	4338c0de-15e2-437a-8dbe-42ad187abdae	CRAC_WITHOUT_FAN
9419a75c-f4b4-4456-b6ff-3102e1cd1784	6fbc0358-8f2c-42e3-ac7e-83e0751d395b	CRAC_FAN
9419a75c-f4b4-4456-b6ff-3102e1cd1784	62edb3de-5410-40aa-9ea3-4f7e6f280ad1	CHILLER
9419a75c-f4b4-4456-b6ff-3102e1cd1784	c020da52-f602-4727-a99b-6a414bdd3e6f	AIR_COOLED_CHILLER
9419a75c-f4b4-4456-b6ff-3102e1cd1784	bc7462b5-f1dc-4e2c-b21d-594b1e61673c	COOLING_TOWER
9419a75c-f4b4-4456-b6ff-3102e1cd1784	22031a85-db7b-4c0a-83b7-ad583645ed9b	DRY_COOLER
9419a75c-f4b4-4456-b6ff-3102e1cd1784	1e7d86dc-7416-492d-90a4-daff46c0314d	REMOTE_CONDENSER
9419a75c-f4b4-4456-b6ff-3102e1cd1784	7332b9cd-f177-4c43-934e-3ba608cb4523	CHILLED_WATER_PUMPS
9419a75c-f4b4-4456-b6ff-3102e1cd1784	fae28581-cc7b-44aa-aa18-0b2cd7ae632a	HEAT_REJECTION_PUMPS
9419a75c-f4b4-4456-b6ff-3102e1cd1784	f6460580-7e30-4e13-9fc2-ef00283aa6e6	VENTILATION
9419a75c-f4b4-4456-b6ff-3102e1cd1784	c9211df7-95be-4b34-8732-476f4f975091	INFILTRATION
9419a75c-f4b4-4456-b6ff-3102e1cd1784	7a187a18-ee97-45d9-bb41-3afc62ee9488	IT_LOAD
6c5564cb-6f05-4a51-a411-8e579276b987	3828c481-eb6d-41bf-89bc-0e0fcf4dc051	SWITCHGEAR
6c5564cb-6f05-4a51-a411-8e579276b987	c5eafa86-b7d4-4d80-baf7-ceb5a0e8f7ab	GENERATOR
6c5564cb-6f05-4a51-a411-8e579276b987	34a5e307-9a47-4c0d-b61a-1111475fb9ae	PRIMARY_AUXILIARIES
6c5564cb-6f05-4a51-a411-8e579276b987	6a78b560-d4dd-4c47-9af1-1a9ad2fec0f9	UPS
6c5564cb-6f05-4a51-a411-8e579276b987	2aec99d5-8c7c-4ef6-9017-c4407ce3ef41	CRITICAL_AUXILIARIES
6c5564cb-6f05-4a51-a411-8e579276b987	1f5f70e5-ad30-40b8-a565-0e8e9c38af39	LIGHTING
6c5564cb-6f05-4a51-a411-8e579276b987	5e36c36d-6ca8-4da6-b91a-63e22ee63617	CRITICAL_POWER_DISTRIBUTION
6c5564cb-6f05-4a51-a411-8e579276b987	2f1cce13-8dcc-4608-81b8-0b92a378b809	CRAH
6c5564cb-6f05-4a51-a411-8e579276b987	c600df1b-62c4-4757-8266-e2fac45acfaf	CRAC
6c5564cb-6f05-4a51-a411-8e579276b987	607ac8ef-0e98-47d5-af89-afcffc6e17cf	CRAC_WITHOUT_FAN
6c5564cb-6f05-4a51-a411-8e579276b987	67f97886-91c2-43a0-a1f1-03373650bf79	CRAC_FAN
6c5564cb-6f05-4a51-a411-8e579276b987	d3c68f85-1a74-4516-aeec-bcb6306a7473	CHILLER
6c5564cb-6f05-4a51-a411-8e579276b987	3ccb064e-c426-409d-b74e-d7a234660f49	AIR_COOLED_CHILLER
6c5564cb-6f05-4a51-a411-8e579276b987	6c364d28-25a0-4c7b-ad6d-ab5f5c039b26	COOLING_TOWER
6c5564cb-6f05-4a51-a411-8e579276b987	6db1d570-a814-450a-9fc3-06fd7b37a22f	DRY_COOLER
6c5564cb-6f05-4a51-a411-8e579276b987	6576a815-0657-47c7-9823-f49dbf3822b7	REMOTE_CONDENSER
6c5564cb-6f05-4a51-a411-8e579276b987	61fd5e52-03db-4603-899f-b857c65dd9e9	CHILLED_WATER_PUMPS
6c5564cb-6f05-4a51-a411-8e579276b987	15d6374f-b1c3-40f8-a09c-c94291753c46	HEAT_REJECTION_PUMPS
6c5564cb-6f05-4a51-a411-8e579276b987	c43628f7-7456-4936-8198-f397832e6983	VENTILATION
6c5564cb-6f05-4a51-a411-8e579276b987	fc45d478-17e3-4583-8e0b-3b3c33bd8899	INFILTRATION
6c5564cb-6f05-4a51-a411-8e579276b987	3683cab1-9322-4e0f-b7d0-5c6ec45de4f1	IT_LOAD
db17e89e-fa68-410b-b589-1836f000b4dc	ace2b2cd-65a4-4335-b270-73bb8573b1b5	SWITCHGEAR
db17e89e-fa68-410b-b589-1836f000b4dc	bf223a14-0439-432f-9696-93b97791b60b	GENERATOR
db17e89e-fa68-410b-b589-1836f000b4dc	9b05dcb0-14d4-4309-ac14-109899965b80	PRIMARY_AUXILIARIES
db17e89e-fa68-410b-b589-1836f000b4dc	12b6c1b0-720d-4b7d-af9e-9af909c9ed11	UPS
db17e89e-fa68-410b-b589-1836f000b4dc	8b25a0b7-780f-42a9-93cd-a09c913a7978	CRITICAL_AUXILIARIES
db17e89e-fa68-410b-b589-1836f000b4dc	f915e589-d985-4654-a118-a8738cd4f0f4	LIGHTING
db17e89e-fa68-410b-b589-1836f000b4dc	b575853b-d89b-43c5-aa87-4aeb6c97fb37	CRITICAL_POWER_DISTRIBUTION
db17e89e-fa68-410b-b589-1836f000b4dc	eabdea57-86b7-4af3-9b0b-80f760ce5b92	CRAH
db17e89e-fa68-410b-b589-1836f000b4dc	13bb58dd-d905-4175-a298-5e49b7591c40	CRAC
db17e89e-fa68-410b-b589-1836f000b4dc	6edea5aa-dc38-4954-9b31-bb0c0dc289c1	CRAC_WITHOUT_FAN
db17e89e-fa68-410b-b589-1836f000b4dc	340701a7-9aea-40f3-afe4-10e4f1b5ad37	CRAC_FAN
db17e89e-fa68-410b-b589-1836f000b4dc	88bb2b18-189f-43e0-9050-a4faf88500aa	CHILLER
db17e89e-fa68-410b-b589-1836f000b4dc	b1a2014a-6b8e-4008-850f-0d11c828e76e	AIR_COOLED_CHILLER
db17e89e-fa68-410b-b589-1836f000b4dc	500ed796-a8c1-4f59-9afc-3e27c6553b10	COOLING_TOWER
db17e89e-fa68-410b-b589-1836f000b4dc	99e49284-2024-4bf0-9aa2-3af6f412f069	DRY_COOLER
db17e89e-fa68-410b-b589-1836f000b4dc	ea30c454-376a-4624-949e-15533a0114ec	REMOTE_CONDENSER
db17e89e-fa68-410b-b589-1836f000b4dc	5377df68-39e8-405e-9ca2-60bc9a6fc51f	CHILLED_WATER_PUMPS
db17e89e-fa68-410b-b589-1836f000b4dc	c1f1c41c-224e-4287-a4a6-3ba69aead3b0	HEAT_REJECTION_PUMPS
db17e89e-fa68-410b-b589-1836f000b4dc	417af770-fe74-477c-be99-6aedf54b0b34	VENTILATION
db17e89e-fa68-410b-b589-1836f000b4dc	d6aa06a7-b7d2-4996-87be-f63ff53e0a8f	INFILTRATION
db17e89e-fa68-410b-b589-1836f000b4dc	17082513-e7ad-4d27-99ac-0bad1acec841	IT_LOAD
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	02037bfe-9cad-4967-917f-5e7e4db81e1f	SWITCHGEAR
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	5ee95793-e898-4d4a-9183-90f2ea61f1f7	GENERATOR
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	5d68d9e6-d45b-4afc-b834-67e6f5e12f65	PRIMARY_AUXILIARIES
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	352e0a85-0679-4420-93c1-c137020643da	UPS
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	c94323b7-6d7c-429a-bf30-1ac6b6652a1a	CRITICAL_AUXILIARIES
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	0155b9da-cef0-4aa6-8ec3-db3f3361cec0	LIGHTING
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	f28a099e-cdbb-4bde-8136-75d239537792	CRITICAL_POWER_DISTRIBUTION
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	bfcfd2ff-5c4c-4ac2-9b82-c783f938bd58	CRAH
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	9bdfabfd-6c06-4f2c-b13e-b5f13f99192a	CRAC
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	5cd20a46-5517-4abc-af78-2ae8e57f4ee0	CRAC_WITHOUT_FAN
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	4f1161c9-c6b3-4661-a56d-212cde1f134c	CRAC_FAN
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	0a1b9f28-365f-4015-9214-ac91fe6b0aed	CHILLER
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	c7f81ba2-839a-4d0f-97c7-cbdb8691c23c	AIR_COOLED_CHILLER
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	b1807b5c-647d-49b9-a847-a87b095bfd53	COOLING_TOWER
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	72359f48-4787-4d49-9d9f-dd56f86e8486	DRY_COOLER
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	789a3f7a-59df-4645-8efb-6014dbb57fb5	REMOTE_CONDENSER
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	2dd839e1-c702-4eab-9514-098df284d13b	CHILLED_WATER_PUMPS
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	72104fa7-1b45-4f35-ac9d-936ba48883e7	HEAT_REJECTION_PUMPS
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	895013f9-73a6-4ed2-a545-8f9d0263ef1b	VENTILATION
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	f421e7a6-721e-43fe-a4e5-3557fb3aef4c	INFILTRATION
ed4079e3-0ef8-4470-a8e1-38ee53a5e47a	81767bdc-6567-49fc-868f-988e00359e38	IT_LOAD
551ef466-3954-450e-b802-a50c5826b56b	d4e2217f-5b0c-420e-96da-08bc3071693a	SWITCHGEAR
551ef466-3954-450e-b802-a50c5826b56b	a6ea1c1d-aa73-4c8b-8a97-887868196570	GENERATOR
551ef466-3954-450e-b802-a50c5826b56b	d1adf0f1-d46e-4627-aef3-89d1726084b6	PRIMARY_AUXILIARIES
551ef466-3954-450e-b802-a50c5826b56b	5c05379f-31c2-4b0e-ab66-d14924cdb54d	UPS
551ef466-3954-450e-b802-a50c5826b56b	fde8e8a7-2084-423c-9980-ad64386e7e1d	CRITICAL_AUXILIARIES
551ef466-3954-450e-b802-a50c5826b56b	0e0e9636-9f15-4d31-b13c-239ca994232a	LIGHTING
551ef466-3954-450e-b802-a50c5826b56b	430941fe-6631-4657-aa38-c3b36eeb17c6	CRITICAL_POWER_DISTRIBUTION
551ef466-3954-450e-b802-a50c5826b56b	9984cd01-5130-4f77-917d-84db89f693ad	CRAH
551ef466-3954-450e-b802-a50c5826b56b	4e77cf07-8169-4bd0-bcf4-a6cf55387c05	CRAC
551ef466-3954-450e-b802-a50c5826b56b	9d61e346-7afd-444e-8af0-7f0359ba45c2	CRAC_WITHOUT_FAN
551ef466-3954-450e-b802-a50c5826b56b	7e7e2fa0-ab3a-4f9d-9c8d-63e5add4e989	CRAC_FAN
551ef466-3954-450e-b802-a50c5826b56b	0e81513c-f45a-476d-859f-72692d3989bc	CHILLER
551ef466-3954-450e-b802-a50c5826b56b	49d99d6a-2271-4302-b6e4-5e5f3f92f2d7	AIR_COOLED_CHILLER
551ef466-3954-450e-b802-a50c5826b56b	d3781669-029e-4b5a-8e04-cd83b61ad39e	COOLING_TOWER
551ef466-3954-450e-b802-a50c5826b56b	48762099-2e89-4a2f-98d5-e79fef94c9f2	DRY_COOLER
551ef466-3954-450e-b802-a50c5826b56b	81a101dd-d188-4a5d-8fa4-91a96dc8d898	REMOTE_CONDENSER
551ef466-3954-450e-b802-a50c5826b56b	5103cf00-dc1c-44c0-9a79-a53e6328e84c	CHILLED_WATER_PUMPS
551ef466-3954-450e-b802-a50c5826b56b	72a036a9-99b7-4bfd-9e60-3041c73b9a2d	HEAT_REJECTION_PUMPS
551ef466-3954-450e-b802-a50c5826b56b	67160b7e-d949-41c1-a84d-6e134eeed772	VENTILATION
551ef466-3954-450e-b802-a50c5826b56b	41488397-6ec0-433a-ac83-b7f078e4c7ad	INFILTRATION
551ef466-3954-450e-b802-a50c5826b56b	8b00aa4b-5b60-473f-805d-bf4015db19a8	IT_LOAD
72294437-92c4-4762-929e-954db66a70c7	c5757b92-ccf5-4621-a500-c79e01e3effe	SWITCHGEAR
72294437-92c4-4762-929e-954db66a70c7	56d0a36b-f7ba-4310-9b10-51a7e648bd1b	GENERATOR
72294437-92c4-4762-929e-954db66a70c7	09347fb1-3008-40fd-bb94-b2e4b29601f1	PRIMARY_AUXILIARIES
72294437-92c4-4762-929e-954db66a70c7	a8b5fe2c-d945-4ac1-a7b0-e60caadb8711	UPS
72294437-92c4-4762-929e-954db66a70c7	fac2c583-60be-44b6-9993-819234b5f690	CRITICAL_AUXILIARIES
72294437-92c4-4762-929e-954db66a70c7	97005d15-396b-4136-b673-9736656211fb	LIGHTING
72294437-92c4-4762-929e-954db66a70c7	b8f19e65-d01a-469d-a142-2ff355ba085b	CRITICAL_POWER_DISTRIBUTION
72294437-92c4-4762-929e-954db66a70c7	9c2bd63c-54af-43fc-8b29-5738ea7b695b	CRAH
72294437-92c4-4762-929e-954db66a70c7	7e7fce5f-fff0-4b8f-9822-e24c43af45ea	CRAC
72294437-92c4-4762-929e-954db66a70c7	fe14e434-4418-4b8c-96e2-2e134b72e79b	CRAC_WITHOUT_FAN
72294437-92c4-4762-929e-954db66a70c7	f8c45fb1-7c78-4cd4-af64-8e97b7023cb0	CRAC_FAN
72294437-92c4-4762-929e-954db66a70c7	d81e3471-7527-46cf-a0aa-7b36bd3f4dbe	CHILLER
72294437-92c4-4762-929e-954db66a70c7	200f65ce-df40-40f1-84d8-2b09f1133229	AIR_COOLED_CHILLER
72294437-92c4-4762-929e-954db66a70c7	0818f55e-8d8f-4a83-8354-72530c0cd3f0	COOLING_TOWER
72294437-92c4-4762-929e-954db66a70c7	1a804f2a-ff28-4767-bb46-e76212e556f5	DRY_COOLER
72294437-92c4-4762-929e-954db66a70c7	f9c8ac3a-788d-4dae-b835-b5d34c1ead01	REMOTE_CONDENSER
72294437-92c4-4762-929e-954db66a70c7	c805566f-5761-411e-a0c2-fae5641583ab	CHILLED_WATER_PUMPS
72294437-92c4-4762-929e-954db66a70c7	263f02fd-f3e9-4562-ac4f-4daa1f56edec	HEAT_REJECTION_PUMPS
72294437-92c4-4762-929e-954db66a70c7	3f733767-9037-4e83-be23-226002a75db5	VENTILATION
72294437-92c4-4762-929e-954db66a70c7	221145c9-9232-466e-8465-12bed87985bc	INFILTRATION
72294437-92c4-4762-929e-954db66a70c7	334f7d9f-4b55-4f77-be4b-a32cc9133c63	IT_LOAD
bb8f098b-c41b-4259-9c86-c05bcaf2433c	04806b41-e9b6-407d-9593-79fd7f3df028	SWITCHGEAR
bb8f098b-c41b-4259-9c86-c05bcaf2433c	2c699588-118c-4328-9f9a-148303871916	GENERATOR
bb8f098b-c41b-4259-9c86-c05bcaf2433c	254ed8e2-0110-4e3f-9908-06a740e65d69	PRIMARY_AUXILIARIES
bb8f098b-c41b-4259-9c86-c05bcaf2433c	1004511b-6d1a-44a8-9c08-5d4b224e1d66	UPS
bb8f098b-c41b-4259-9c86-c05bcaf2433c	7e17d6af-5291-4d6d-97d0-5a5e62e7e311	CRITICAL_AUXILIARIES
bb8f098b-c41b-4259-9c86-c05bcaf2433c	56f421de-f1eb-426f-be55-3ad4cc9a638f	LIGHTING
bb8f098b-c41b-4259-9c86-c05bcaf2433c	c9b8ed9f-72ce-44c0-90c3-ea825ee04750	CRITICAL_POWER_DISTRIBUTION
bb8f098b-c41b-4259-9c86-c05bcaf2433c	d8cc6664-2447-4e9e-a234-80d6fb219bcd	CRAH
bb8f098b-c41b-4259-9c86-c05bcaf2433c	7071fdb7-953e-44e5-a5f3-6afcf2f75882	CRAC
bb8f098b-c41b-4259-9c86-c05bcaf2433c	e7333482-9189-401c-a815-1cdc68be4ff8	CRAC_WITHOUT_FAN
bb8f098b-c41b-4259-9c86-c05bcaf2433c	7d0f3e97-38df-40e2-a275-3703a1659db8	CRAC_FAN
bb8f098b-c41b-4259-9c86-c05bcaf2433c	2d0f03b7-f704-439f-bbe2-4fcf61408dcd	CHILLER
bb8f098b-c41b-4259-9c86-c05bcaf2433c	1fe31468-4325-47ef-a0d9-a28d1be27f4c	AIR_COOLED_CHILLER
bb8f098b-c41b-4259-9c86-c05bcaf2433c	e4e62479-6d81-4776-bb26-98c5e53a29b4	COOLING_TOWER
bb8f098b-c41b-4259-9c86-c05bcaf2433c	d306960d-ccf8-488b-92ea-d769b6732730	DRY_COOLER
bb8f098b-c41b-4259-9c86-c05bcaf2433c	cdad3ca1-1f72-4c88-a299-8c6d6064150e	REMOTE_CONDENSER
bb8f098b-c41b-4259-9c86-c05bcaf2433c	178e4492-6699-4c4c-98e4-3676126919e5	CHILLED_WATER_PUMPS
bb8f098b-c41b-4259-9c86-c05bcaf2433c	728422e5-da15-48a3-b1f1-4cdc607f5bfe	HEAT_REJECTION_PUMPS
bb8f098b-c41b-4259-9c86-c05bcaf2433c	3642e6cf-70aa-44e5-bd00-df518e33738b	VENTILATION
bb8f098b-c41b-4259-9c86-c05bcaf2433c	1486632c-3721-40e7-9653-ed42bd49bff3	INFILTRATION
bb8f098b-c41b-4259-9c86-c05bcaf2433c	6c35913b-afaa-459d-a3df-960327203147	IT_LOAD
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	119279f7-c0d9-484b-9fa4-25d7f6019cde	SWITCHGEAR
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	0651603d-ffbb-48c0-92a0-e54f7caec0c2	GENERATOR
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	0c507bbf-7dd1-416d-8189-6fb86348fa11	PRIMARY_AUXILIARIES
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	d60531c1-a61a-450d-b72e-a917d280328d	UPS
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	2d7eea71-eb64-4ffd-9083-66804c0991e6	CRITICAL_AUXILIARIES
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	05fc2f5d-6a78-449a-8213-080e0db4112d	LIGHTING
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	23ebae07-f4ef-4386-8ec0-0811ebeb98a9	CRITICAL_POWER_DISTRIBUTION
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	37e37d3f-c393-40c6-a233-1a11d51b2457	CRAH
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	1cee089b-aad1-401c-9c2f-0e8538a05c75	CRAC
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	a34e24ef-948f-42d7-a671-968e55855b13	CRAC_WITHOUT_FAN
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	a5ca024d-653a-48fe-aa15-ffe2502a2ae7	CRAC_FAN
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	17bdd8be-2141-4571-af2a-f579d06c0d14	CHILLER
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	f4301515-b7bb-44ca-9862-93945b1e2b8c	AIR_COOLED_CHILLER
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	8293399a-e26c-4c25-bddb-b33342fc288c	COOLING_TOWER
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	68315fdf-ed4c-48e6-8c05-d294bcfd974a	DRY_COOLER
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	962b6220-f799-4fd3-9aac-48e170e879e8	REMOTE_CONDENSER
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	cdc1d614-37bf-4d19-b82e-40f8fd81ddc1	CHILLED_WATER_PUMPS
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	4fae208b-f0ee-4e8b-8c8f-c2f4e4fa7a60	HEAT_REJECTION_PUMPS
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	9e0b8781-de28-492e-ac9e-f1ebeb7a43df	VENTILATION
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	c7d3d044-b282-4c02-8c49-f373e1c69ef7	INFILTRATION
d0e84e9d-ccce-4d04-a2b0-ed0ae46010dd	f2aa67a1-fb6d-4e6e-b4d9-3227ed3d1f50	IT_LOAD
77f78942-0f4a-45c7-b454-9706ec155c87	fa53194a-bd8f-4c57-94ac-1cb793a421e7	SWITCHGEAR
77f78942-0f4a-45c7-b454-9706ec155c87	f1d0465c-1b6d-480e-9861-5b8b8753ba3c	GENERATOR
77f78942-0f4a-45c7-b454-9706ec155c87	485a764d-a0ea-4f73-95d9-821008f2f6bc	PRIMARY_AUXILIARIES
77f78942-0f4a-45c7-b454-9706ec155c87	18655621-d8ad-45a4-8f72-2d05a24b29b9	UPS
77f78942-0f4a-45c7-b454-9706ec155c87	892f7e8e-5771-4c76-b79b-e5fe6cf6a00c	CRITICAL_AUXILIARIES
77f78942-0f4a-45c7-b454-9706ec155c87	e060acea-0200-44d8-aeac-b1f53af5e3c2	LIGHTING
77f78942-0f4a-45c7-b454-9706ec155c87	fc66434c-7f43-47f8-90e1-f0cfa56827fb	CRITICAL_POWER_DISTRIBUTION
77f78942-0f4a-45c7-b454-9706ec155c87	6b942a0e-8548-45b6-9fdd-be56346414e5	CRAH
77f78942-0f4a-45c7-b454-9706ec155c87	cd0ecde2-e6db-498a-8758-ff5484bb04ae	CRAC
77f78942-0f4a-45c7-b454-9706ec155c87	ff4a722b-69bc-4f4e-bffa-661ad1feff63	CRAC_WITHOUT_FAN
77f78942-0f4a-45c7-b454-9706ec155c87	745f8deb-ef04-4e80-82ea-bba802e227f7	CRAC_FAN
77f78942-0f4a-45c7-b454-9706ec155c87	be1b4fc5-1b02-4967-9267-01fce65e5a2d	CHILLER
77f78942-0f4a-45c7-b454-9706ec155c87	02d19f8c-6220-4b8a-b430-ab834def24f4	AIR_COOLED_CHILLER
77f78942-0f4a-45c7-b454-9706ec155c87	5e08d742-28c7-4ae1-a020-70fb99ba3b50	COOLING_TOWER
77f78942-0f4a-45c7-b454-9706ec155c87	9d1a6939-2c11-4875-9bb8-d6ba83eb1e98	DRY_COOLER
77f78942-0f4a-45c7-b454-9706ec155c87	34b6fb56-2498-4226-9319-48789374009c	REMOTE_CONDENSER
77f78942-0f4a-45c7-b454-9706ec155c87	a366e14a-cd88-4f13-a886-b39c8d8e2819	CHILLED_WATER_PUMPS
77f78942-0f4a-45c7-b454-9706ec155c87	33da0c1f-198a-4c56-b32b-96b7eae4bc2a	HEAT_REJECTION_PUMPS
77f78942-0f4a-45c7-b454-9706ec155c87	8be9b96e-07c1-41c1-b645-7492b6f9c18f	VENTILATION
77f78942-0f4a-45c7-b454-9706ec155c87	b9e06880-73b6-46b5-a0b6-7bfec014da55	INFILTRATION
77f78942-0f4a-45c7-b454-9706ec155c87	a4515d16-a2fc-4ed4-9299-2baabf23946b	IT_LOAD
a7f4028e-b387-408f-bbd8-984f43e35a13	dd7531e2-cd18-47fb-8e77-90c603ce0f6e	SWITCHGEAR
a7f4028e-b387-408f-bbd8-984f43e35a13	45f66b9d-244b-44a9-bfe3-7e819c35bb39	GENERATOR
a7f4028e-b387-408f-bbd8-984f43e35a13	f3743421-d13b-4f8a-baa9-46b4709b6aea	PRIMARY_AUXILIARIES
a7f4028e-b387-408f-bbd8-984f43e35a13	01effe68-3cc8-4c09-95e8-efaf8353f76f	UPS
a7f4028e-b387-408f-bbd8-984f43e35a13	5b4b4307-a06a-45c1-9195-b22ae1cde845	CRITICAL_AUXILIARIES
a7f4028e-b387-408f-bbd8-984f43e35a13	53f03675-3d28-41b2-bc76-c370daf3f1aa	LIGHTING
a7f4028e-b387-408f-bbd8-984f43e35a13	4ab40e00-0bb9-47a0-bdc1-76161b14747b	CRITICAL_POWER_DISTRIBUTION
a7f4028e-b387-408f-bbd8-984f43e35a13	60b2b514-f6cd-423c-99a6-4505f060b431	CRAH
a7f4028e-b387-408f-bbd8-984f43e35a13	be6c1f98-1a61-4d72-b49b-3e2f87b32da4	CRAC
a7f4028e-b387-408f-bbd8-984f43e35a13	343e825a-ef34-4cdd-b5d1-61b8709762a7	CRAC_WITHOUT_FAN
a7f4028e-b387-408f-bbd8-984f43e35a13	6a022fb7-77d8-4852-84e9-341a03822e5e	CRAC_FAN
a7f4028e-b387-408f-bbd8-984f43e35a13	37bd80c6-0b84-4252-a4ea-2c661425b8bc	CHILLER
a7f4028e-b387-408f-bbd8-984f43e35a13	554acdd0-32a7-49cc-8d33-e2eef3a517b9	AIR_COOLED_CHILLER
a7f4028e-b387-408f-bbd8-984f43e35a13	8d574bcc-415c-4c94-8d11-1da857c638a3	COOLING_TOWER
a7f4028e-b387-408f-bbd8-984f43e35a13	43b80eb3-c1f3-4108-968f-a479c040bac1	DRY_COOLER
a7f4028e-b387-408f-bbd8-984f43e35a13	6334735b-a813-4b5e-9bb1-4d9abe884e14	REMOTE_CONDENSER
a7f4028e-b387-408f-bbd8-984f43e35a13	1dc9579a-62a8-40c6-ade8-b93c2c6cb3cf	CHILLED_WATER_PUMPS
a7f4028e-b387-408f-bbd8-984f43e35a13	0d87e422-4198-488e-bdf2-c57713f17b11	HEAT_REJECTION_PUMPS
a7f4028e-b387-408f-bbd8-984f43e35a13	2a63c899-7712-424b-82b2-8baf993c17c3	VENTILATION
a7f4028e-b387-408f-bbd8-984f43e35a13	643f369e-ab74-4831-b1bb-3ed7f08bdad4	INFILTRATION
a7f4028e-b387-408f-bbd8-984f43e35a13	be349349-7e06-49a1-b700-6d15253ccc01	IT_LOAD
7f5a76ec-92f5-4838-b350-56d87ac3fb05	96afcbe3-8614-462a-8401-08f049466609	SWITCHGEAR
7f5a76ec-92f5-4838-b350-56d87ac3fb05	31dfda88-6316-4f58-956f-993c2daba619	GENERATOR
7f5a76ec-92f5-4838-b350-56d87ac3fb05	c76c5741-ca26-4f46-8e6b-99be044ba2d8	PRIMARY_AUXILIARIES
7f5a76ec-92f5-4838-b350-56d87ac3fb05	cc425372-42fc-416a-96f3-e8e8fb3cc1be	UPS
7f5a76ec-92f5-4838-b350-56d87ac3fb05	9022f72d-ed88-4b24-9e85-9beedce15006	CRITICAL_AUXILIARIES
7f5a76ec-92f5-4838-b350-56d87ac3fb05	fec494c7-4ca0-48a6-b743-9e03d6d2aa7f	LIGHTING
7f5a76ec-92f5-4838-b350-56d87ac3fb05	c6c14e72-1b7d-4a6d-bee8-65d1fb715276	CRITICAL_POWER_DISTRIBUTION
7f5a76ec-92f5-4838-b350-56d87ac3fb05	3749c063-fcbf-49f2-8675-a6936afcf8d0	CRAH
7f5a76ec-92f5-4838-b350-56d87ac3fb05	0c58d824-f752-425b-9a48-1ccb76262f57	CRAC
7f5a76ec-92f5-4838-b350-56d87ac3fb05	a9f6d662-fbfe-4c69-a85e-7c610b3aa662	CRAC_WITHOUT_FAN
7f5a76ec-92f5-4838-b350-56d87ac3fb05	3a52c19d-30a1-4934-838b-c00343b3aba9	CRAC_FAN
7f5a76ec-92f5-4838-b350-56d87ac3fb05	bdb34baf-dfa5-4a5d-8e04-b3c2e8189ab8	CHILLER
7f5a76ec-92f5-4838-b350-56d87ac3fb05	30c274f2-b885-46ce-8079-9868d1e20b2b	AIR_COOLED_CHILLER
7f5a76ec-92f5-4838-b350-56d87ac3fb05	1ec4bd03-7d0b-4a47-9124-cda1404e57cb	COOLING_TOWER
7f5a76ec-92f5-4838-b350-56d87ac3fb05	74609c70-b17f-45d0-971d-775e43ed2e93	DRY_COOLER
7f5a76ec-92f5-4838-b350-56d87ac3fb05	6426eab9-1296-41af-9fc4-3a5efd8ffed3	REMOTE_CONDENSER
7f5a76ec-92f5-4838-b350-56d87ac3fb05	0e1cdb7b-f1dc-437d-829e-7b0bee7dce34	CHILLED_WATER_PUMPS
7f5a76ec-92f5-4838-b350-56d87ac3fb05	04fdcabc-8aef-43db-ae69-3ede2c0b9a3c	HEAT_REJECTION_PUMPS
7f5a76ec-92f5-4838-b350-56d87ac3fb05	9bc204d7-0733-48e9-9fac-380e4d0e029a	VENTILATION
7f5a76ec-92f5-4838-b350-56d87ac3fb05	55fd7535-1ac4-43bc-b7c9-62f7b4f4bbcf	INFILTRATION
7f5a76ec-92f5-4838-b350-56d87ac3fb05	16b2dbb2-3554-4daa-8297-9e168d77a327	IT_LOAD
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	2e4e401a-c6da-4b55-b7ef-17b3a3fcc512	SWITCHGEAR
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	45701b77-2bcc-484e-9507-4d10144027d3	GENERATOR
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	89a3e496-8b30-43d0-92b1-ca782a169f1e	PRIMARY_AUXILIARIES
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	eece7531-c1e6-49ec-879b-fca403f29e81	UPS
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	104eeecb-7a4b-4ca7-add0-b50006d066b5	CRITICAL_AUXILIARIES
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	774d7d12-c5dd-45ad-bf91-57980207cf3c	LIGHTING
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	5ec053de-d31d-4cb2-b058-071c78f487b1	CRITICAL_POWER_DISTRIBUTION
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	13175773-ea93-488f-995d-fdf9fa55bbdc	CRAH
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	c560eb6f-fcb2-444a-b229-aa7b36b5e8fa	CRAC
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	6826515d-bd75-405c-839b-017b6444f843	CRAC_WITHOUT_FAN
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	f6f24105-d371-419a-9c95-51a66e76a8d6	CRAC_FAN
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	27f42ebe-4a31-4b89-bbed-da51d2498003	CHILLER
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	5ebe5b1e-95c0-4ae2-9f95-98ece422203c	AIR_COOLED_CHILLER
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	d7d5b65e-a513-4164-ba44-dbb2b65599b3	COOLING_TOWER
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	084be1fc-92d1-4aed-9b78-5a0c8880889e	DRY_COOLER
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	a3b56876-eb1a-42f4-a671-2fc4d73391cc	REMOTE_CONDENSER
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	66da07e5-1bf8-4996-8e34-0a5156aeb0e1	CHILLED_WATER_PUMPS
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	bc32b0fb-9403-4ced-93ed-64e9ce683077	HEAT_REJECTION_PUMPS
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	d35f336f-5589-4ccb-81d2-e6f0d3e5ddd1	VENTILATION
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	9c73262c-37fb-4960-a2b3-92ee8d7b2a36	INFILTRATION
c0ed6117-08aa-4ebf-8c5a-1cfb3930ba26	49b7d987-9cc4-49f8-941a-3b6ae2e673f3	IT_LOAD
5691eb6e-7886-40cf-b4af-019b34ac8dc1	3cef0255-b1fa-45fc-a9bc-25873999de3e	SWITCHGEAR
5691eb6e-7886-40cf-b4af-019b34ac8dc1	55ddce1a-3d64-4c50-8a6b-37489aa032a1	GENERATOR
5691eb6e-7886-40cf-b4af-019b34ac8dc1	162abd17-8ea8-420f-87df-98954e32879a	PRIMARY_AUXILIARIES
5691eb6e-7886-40cf-b4af-019b34ac8dc1	731650d8-7966-4965-84b4-db69a0a26b19	UPS
5691eb6e-7886-40cf-b4af-019b34ac8dc1	33c41683-8584-49b3-9a8d-7a7e0b8d1fc0	CRITICAL_AUXILIARIES
5691eb6e-7886-40cf-b4af-019b34ac8dc1	3ffe6230-3c31-4ed4-96dc-fe39ed780ad1	LIGHTING
5691eb6e-7886-40cf-b4af-019b34ac8dc1	9e2aa073-d751-4784-84be-72a913ca836d	CRITICAL_POWER_DISTRIBUTION
5691eb6e-7886-40cf-b4af-019b34ac8dc1	1bc31327-8946-4a5e-a6cb-42f94fe4e207	CRAH
5691eb6e-7886-40cf-b4af-019b34ac8dc1	d8d34507-51ef-4076-a970-30aebd6aefc6	CRAC
5691eb6e-7886-40cf-b4af-019b34ac8dc1	5dfe87d9-e763-4faa-98cb-59932945c506	CRAC_WITHOUT_FAN
5691eb6e-7886-40cf-b4af-019b34ac8dc1	4420fdd0-364f-4e96-ae01-8f403c6d8fae	CRAC_FAN
5691eb6e-7886-40cf-b4af-019b34ac8dc1	a1ed409e-fede-4336-9364-22c89a18ba5b	CHILLER
5691eb6e-7886-40cf-b4af-019b34ac8dc1	dc0223c6-0feb-469c-ae32-f66ebe00c2e8	AIR_COOLED_CHILLER
5691eb6e-7886-40cf-b4af-019b34ac8dc1	5e54e614-65df-4382-8e7d-e0d42b87e3ed	COOLING_TOWER
5691eb6e-7886-40cf-b4af-019b34ac8dc1	60034360-815d-4052-b085-9ecceb230c08	DRY_COOLER
5691eb6e-7886-40cf-b4af-019b34ac8dc1	bce03d8c-744f-4cc2-8bb0-0669003bcbb6	REMOTE_CONDENSER
5691eb6e-7886-40cf-b4af-019b34ac8dc1	8be396a2-babb-41af-a841-0a980f005c84	CHILLED_WATER_PUMPS
5691eb6e-7886-40cf-b4af-019b34ac8dc1	000699b9-536d-4e82-a0d8-ed2b496a03b3	HEAT_REJECTION_PUMPS
5691eb6e-7886-40cf-b4af-019b34ac8dc1	88458b3d-bfa0-404b-af44-99939a0ab2e2	VENTILATION
5691eb6e-7886-40cf-b4af-019b34ac8dc1	eeb44ad2-f512-4e4b-8060-e654d5ad4d13	INFILTRATION
5691eb6e-7886-40cf-b4af-019b34ac8dc1	130ca470-1698-4421-b61f-cdc030f217a7	IT_LOAD
f44c12ee-a577-4ea0-806f-2aa7333733b5	526ad35f-3474-4892-9f2e-bfada6a0b310	SWITCHGEAR
f44c12ee-a577-4ea0-806f-2aa7333733b5	00a36905-0c70-44c6-a49d-6b1f12e1a72b	GENERATOR
f44c12ee-a577-4ea0-806f-2aa7333733b5	24447610-efc6-4e41-b058-b65b96847f96	PRIMARY_AUXILIARIES
f44c12ee-a577-4ea0-806f-2aa7333733b5	daee48e3-3c84-462f-9134-85fc171f6d2c	UPS
f44c12ee-a577-4ea0-806f-2aa7333733b5	b87c2d40-fb14-4b0a-aacc-c5d6e43da8de	CRITICAL_AUXILIARIES
f44c12ee-a577-4ea0-806f-2aa7333733b5	154725bd-2ea2-4e59-905d-d02c657b065c	LIGHTING
f44c12ee-a577-4ea0-806f-2aa7333733b5	786f8bfb-ca92-4331-846e-3decb040408b	CRITICAL_POWER_DISTRIBUTION
f44c12ee-a577-4ea0-806f-2aa7333733b5	4265c6bb-392d-40b1-ab10-995c058dbe9b	CRAH
f44c12ee-a577-4ea0-806f-2aa7333733b5	90d23c01-a32b-4e50-b63c-ab0cddd7e1ed	CRAC
f44c12ee-a577-4ea0-806f-2aa7333733b5	1445fac9-d07f-4d06-8425-7b1edb8b6a43	CRAC_WITHOUT_FAN
f44c12ee-a577-4ea0-806f-2aa7333733b5	c44639a3-f519-4b11-bd12-bb76110b3ab1	CRAC_FAN
f44c12ee-a577-4ea0-806f-2aa7333733b5	ee52b98c-4fd8-4c9e-bccf-700ae19e25a2	CHILLER
f44c12ee-a577-4ea0-806f-2aa7333733b5	6660fec0-c159-42df-b1e1-f2677c38587e	AIR_COOLED_CHILLER
f44c12ee-a577-4ea0-806f-2aa7333733b5	69ba2e31-af2a-4884-a2e7-9d0bea0f10b1	COOLING_TOWER
f44c12ee-a577-4ea0-806f-2aa7333733b5	6bc4f2c4-fc05-4e7a-8757-c1b0ed215c93	DRY_COOLER
f44c12ee-a577-4ea0-806f-2aa7333733b5	8887f62b-b930-4561-a859-76518e294768	REMOTE_CONDENSER
f44c12ee-a577-4ea0-806f-2aa7333733b5	fcc7aede-b917-45ec-9664-5acfd3249de0	CHILLED_WATER_PUMPS
f44c12ee-a577-4ea0-806f-2aa7333733b5	6ade25cc-b5d8-449e-9524-c166e3b0de00	HEAT_REJECTION_PUMPS
f44c12ee-a577-4ea0-806f-2aa7333733b5	b25e4554-9790-445a-aab6-382db989a528	VENTILATION
f44c12ee-a577-4ea0-806f-2aa7333733b5	541b551a-7817-4696-8d4f-87f8780ff605	INFILTRATION
f44c12ee-a577-4ea0-806f-2aa7333733b5	70825c3e-cd8f-4253-8799-69e33befa640	IT_LOAD
654c21d2-a499-4187-8220-09ad28a06234	930072ad-0c7b-459b-9e5d-b59c0cd3e001	SWITCHGEAR
654c21d2-a499-4187-8220-09ad28a06234	93d7e9be-3b57-44e3-aa71-322001c5126a	GENERATOR
654c21d2-a499-4187-8220-09ad28a06234	49157e2c-db40-43bc-95ab-b973779b3820	PRIMARY_AUXILIARIES
654c21d2-a499-4187-8220-09ad28a06234	386eb972-881f-47da-bf3a-a67a65c03e91	UPS
654c21d2-a499-4187-8220-09ad28a06234	4bcfca58-450c-4071-aa9f-7b5e0b5f7729	CRITICAL_AUXILIARIES
654c21d2-a499-4187-8220-09ad28a06234	335ca9fe-176f-48d1-91e1-366429586363	LIGHTING
654c21d2-a499-4187-8220-09ad28a06234	86918197-7656-4644-95c1-fdb405c5bf5e	CRITICAL_POWER_DISTRIBUTION
654c21d2-a499-4187-8220-09ad28a06234	5d1582be-edf3-4046-89f4-a5ae611bb412	CRAH
654c21d2-a499-4187-8220-09ad28a06234	b8aedf77-5c14-450b-a9db-ef5e78e9b9a9	CRAC
654c21d2-a499-4187-8220-09ad28a06234	823ad9d2-a239-4d94-8524-c5a988986479	CRAC_WITHOUT_FAN
654c21d2-a499-4187-8220-09ad28a06234	cb0ac0dc-34a5-4f08-abc8-a081aff30de7	CRAC_FAN
654c21d2-a499-4187-8220-09ad28a06234	27c85f2e-90c6-4568-b415-d5255f6f34b6	CHILLER
654c21d2-a499-4187-8220-09ad28a06234	2b006327-3c4e-4b9e-8643-aeafb8ad4639	AIR_COOLED_CHILLER
654c21d2-a499-4187-8220-09ad28a06234	d04be315-8235-48ee-958a-76ac769904b4	COOLING_TOWER
654c21d2-a499-4187-8220-09ad28a06234	e85de077-916c-420f-830a-01d3e076f09a	DRY_COOLER
654c21d2-a499-4187-8220-09ad28a06234	a5f2af23-a019-44f0-b708-778c9075c88c	REMOTE_CONDENSER
654c21d2-a499-4187-8220-09ad28a06234	8a6b6c78-04c7-4c43-a331-aec3d4d8cced	CHILLED_WATER_PUMPS
654c21d2-a499-4187-8220-09ad28a06234	c682d57f-a11e-454a-8e85-1deebb3ed432	HEAT_REJECTION_PUMPS
654c21d2-a499-4187-8220-09ad28a06234	63147ffb-ab2d-49fa-ab21-fad05b6443bf	VENTILATION
654c21d2-a499-4187-8220-09ad28a06234	7fb324d6-a444-4f69-9bda-3291f3f9d8eb	INFILTRATION
654c21d2-a499-4187-8220-09ad28a06234	5f289012-e910-401f-a4aa-7b45cc784d68	IT_LOAD
7011360a-c21c-46d7-9e29-b3a45c1c87bc	2d480133-4b63-400d-bd5b-d2a83eef3318	SWITCHGEAR
7011360a-c21c-46d7-9e29-b3a45c1c87bc	707b05ca-c082-4cce-a397-b85ff9ba3145	GENERATOR
7011360a-c21c-46d7-9e29-b3a45c1c87bc	e4376577-44be-4768-98dc-e85c38732197	PRIMARY_AUXILIARIES
7011360a-c21c-46d7-9e29-b3a45c1c87bc	e4d35f8e-433c-40f5-9406-05ec0de6b34b	UPS
7011360a-c21c-46d7-9e29-b3a45c1c87bc	3dd4e960-516b-4b78-b38c-7839a2d4676a	CRITICAL_AUXILIARIES
7011360a-c21c-46d7-9e29-b3a45c1c87bc	72d31d81-71f4-4620-a31a-f1e3bb06b138	LIGHTING
7011360a-c21c-46d7-9e29-b3a45c1c87bc	2f865f38-7d71-47bc-bb9c-65215bfa3201	CRITICAL_POWER_DISTRIBUTION
7011360a-c21c-46d7-9e29-b3a45c1c87bc	c8e6fac3-c2ee-45c0-8e8f-ceca0a286903	CRAH
7011360a-c21c-46d7-9e29-b3a45c1c87bc	e3012f3c-dc11-4fb4-8279-af76a506e122	CRAC
7011360a-c21c-46d7-9e29-b3a45c1c87bc	3b1cb696-534e-4902-852b-4ef5cffb7fda	CRAC_WITHOUT_FAN
7011360a-c21c-46d7-9e29-b3a45c1c87bc	44ea62d7-8b79-4ac1-86e1-eb071676463d	CRAC_FAN
7011360a-c21c-46d7-9e29-b3a45c1c87bc	f47a1e74-8091-4a04-8881-1b10622510cd	CHILLER
7011360a-c21c-46d7-9e29-b3a45c1c87bc	06175a39-7056-4ece-990b-429b0d40e437	AIR_COOLED_CHILLER
7011360a-c21c-46d7-9e29-b3a45c1c87bc	20bd0025-34af-4201-98d6-88ebf55479fa	COOLING_TOWER
7011360a-c21c-46d7-9e29-b3a45c1c87bc	e9cfad3d-c6e5-47b8-816d-81fb69d4326b	DRY_COOLER
7011360a-c21c-46d7-9e29-b3a45c1c87bc	b6a6b162-a232-409d-a01f-5aa535b6c231	REMOTE_CONDENSER
7011360a-c21c-46d7-9e29-b3a45c1c87bc	b22a7716-44b3-4a67-bb9d-e115499c82b9	CHILLED_WATER_PUMPS
7011360a-c21c-46d7-9e29-b3a45c1c87bc	a6754026-27ea-4f44-80fa-e38a4122c38d	HEAT_REJECTION_PUMPS
7011360a-c21c-46d7-9e29-b3a45c1c87bc	eba31576-61d0-41d1-8af6-096139f5632b	VENTILATION
7011360a-c21c-46d7-9e29-b3a45c1c87bc	d4a11a67-eb97-41bb-aaaf-b0312f3a0771	INFILTRATION
7011360a-c21c-46d7-9e29-b3a45c1c87bc	02d26c1a-658c-46aa-bf67-521b9bad84e0	IT_LOAD
6a9f1fca-eff2-4d58-a401-9f07138d5c60	aa442d00-9567-4740-966c-9aa60a0024ee	SWITCHGEAR
6a9f1fca-eff2-4d58-a401-9f07138d5c60	1127504b-fef7-4fe4-99f0-25f0585ad648	GENERATOR
6a9f1fca-eff2-4d58-a401-9f07138d5c60	61156b8c-2ceb-4cda-8d7f-a850482c4fde	PRIMARY_AUXILIARIES
6a9f1fca-eff2-4d58-a401-9f07138d5c60	3994e28e-6edc-4a46-a777-f7f77bff3796	UPS
6a9f1fca-eff2-4d58-a401-9f07138d5c60	d4aed233-aa27-4382-a6f2-36c3375ffdab	CRITICAL_AUXILIARIES
6a9f1fca-eff2-4d58-a401-9f07138d5c60	f99e2cc0-56b5-48a0-ba8b-37f5296c9a49	LIGHTING
6a9f1fca-eff2-4d58-a401-9f07138d5c60	d1f0b898-3e19-4bbc-8437-71337248683d	CRITICAL_POWER_DISTRIBUTION
6a9f1fca-eff2-4d58-a401-9f07138d5c60	b08bfcd0-785e-46fe-be79-134bec3ddd50	CRAH
6a9f1fca-eff2-4d58-a401-9f07138d5c60	c45ec9a2-d6f1-45fd-aaa7-207afb1d8b63	CRAC
6a9f1fca-eff2-4d58-a401-9f07138d5c60	91d62dd0-bd36-4c6e-b7d4-4d4c425e0c38	CRAC_WITHOUT_FAN
6a9f1fca-eff2-4d58-a401-9f07138d5c60	44dd32dd-cf4e-4d5d-9ad9-d18e496f9df4	CRAC_FAN
6a9f1fca-eff2-4d58-a401-9f07138d5c60	91f4ca6a-ba38-4a90-8461-9261c656600b	CHILLER
6a9f1fca-eff2-4d58-a401-9f07138d5c60	9b9fd223-8912-4102-a9dd-c284b0bcf318	AIR_COOLED_CHILLER
6a9f1fca-eff2-4d58-a401-9f07138d5c60	ea58bd89-1ce9-439f-984b-4a23d99ccf84	COOLING_TOWER
6a9f1fca-eff2-4d58-a401-9f07138d5c60	ba59040e-5911-4286-bc37-ac9ac0f4c3bd	DRY_COOLER
6a9f1fca-eff2-4d58-a401-9f07138d5c60	669d26e4-4c20-4181-b69a-a6805342d872	REMOTE_CONDENSER
6a9f1fca-eff2-4d58-a401-9f07138d5c60	6edbdbee-bfef-4ab7-8a52-ecb0d79a787d	CHILLED_WATER_PUMPS
6a9f1fca-eff2-4d58-a401-9f07138d5c60	bf35f780-96b4-4b28-93c1-f9ddab688b58	HEAT_REJECTION_PUMPS
6a9f1fca-eff2-4d58-a401-9f07138d5c60	7fe40e75-d3a1-4070-a28a-1f021705d141	VENTILATION
6a9f1fca-eff2-4d58-a401-9f07138d5c60	8029844b-faca-4215-8b15-dc765475a2ba	INFILTRATION
6a9f1fca-eff2-4d58-a401-9f07138d5c60	3ad9068e-f75f-4f5d-9e74-32aae5548460	IT_LOAD
227ec5be-e6b8-48e0-afd4-d0b817248f18	e4eda0a3-aac4-422c-9d8e-eac9c28ca8d1	SWITCHGEAR
227ec5be-e6b8-48e0-afd4-d0b817248f18	ac3e34a7-9ec0-4995-9f59-c499a0055ee5	GENERATOR
227ec5be-e6b8-48e0-afd4-d0b817248f18	1dfbb3a8-8dc6-4407-b6a0-97500d8ef92a	PRIMARY_AUXILIARIES
227ec5be-e6b8-48e0-afd4-d0b817248f18	dec4f9a9-9c20-480b-b05e-2c6229736e8a	UPS
227ec5be-e6b8-48e0-afd4-d0b817248f18	2a9c33c9-4de1-4efc-95e9-36a284f87ef7	CRITICAL_AUXILIARIES
227ec5be-e6b8-48e0-afd4-d0b817248f18	dedc0564-574a-4f0f-85e5-b929589332a4	LIGHTING
227ec5be-e6b8-48e0-afd4-d0b817248f18	2675e6b7-aadf-46a9-97ad-694dae88b8fa	CRITICAL_POWER_DISTRIBUTION
227ec5be-e6b8-48e0-afd4-d0b817248f18	f2d71f57-9ca2-433a-ab7d-d5d7cff2f92f	CRAH
227ec5be-e6b8-48e0-afd4-d0b817248f18	80f1a2dc-099f-427a-adcf-be7c0bbbe335	CRAC
227ec5be-e6b8-48e0-afd4-d0b817248f18	34c73c28-7beb-43d4-85a0-1576cba8ca5e	CRAC_WITHOUT_FAN
227ec5be-e6b8-48e0-afd4-d0b817248f18	a5aba4b4-40a5-49ba-97a5-996c1e22c18f	CRAC_FAN
227ec5be-e6b8-48e0-afd4-d0b817248f18	0caa7731-e43a-41be-85e1-415b728570d3	CHILLER
227ec5be-e6b8-48e0-afd4-d0b817248f18	6d1c68b6-ee09-4156-9ba4-1ee204baff24	AIR_COOLED_CHILLER
227ec5be-e6b8-48e0-afd4-d0b817248f18	07151819-43e8-4bcb-bd54-f9afe2359e9a	COOLING_TOWER
227ec5be-e6b8-48e0-afd4-d0b817248f18	70bd87e5-a226-45d5-8474-120c212adf19	DRY_COOLER
227ec5be-e6b8-48e0-afd4-d0b817248f18	dedad1a6-8482-46a3-be31-45175a4b2d53	REMOTE_CONDENSER
227ec5be-e6b8-48e0-afd4-d0b817248f18	ba66a9e7-ef97-4886-8ee4-fd631d41c1ca	CHILLED_WATER_PUMPS
227ec5be-e6b8-48e0-afd4-d0b817248f18	f1fbdce3-eee1-45b6-ad13-d1ed33534115	HEAT_REJECTION_PUMPS
227ec5be-e6b8-48e0-afd4-d0b817248f18	7c0d161b-9e5c-44b6-a351-60803a0954c5	VENTILATION
227ec5be-e6b8-48e0-afd4-d0b817248f18	0b7d0f19-c484-4b7f-a067-7aac85dcdc29	INFILTRATION
227ec5be-e6b8-48e0-afd4-d0b817248f18	9db6d9eb-c897-4763-a26d-02b14c01dd63	IT_LOAD
5cfd0074-896a-4957-807f-d61c49fd5a40	5be8a0c8-93dd-4d65-ab7a-c5f013c03c69	SWITCHGEAR
5cfd0074-896a-4957-807f-d61c49fd5a40	9d52f1d7-5bfa-4f64-bbac-2538cd4e524a	GENERATOR
5cfd0074-896a-4957-807f-d61c49fd5a40	7cdc2e92-0487-4f5d-8e1e-082f0d4bcc4d	PRIMARY_AUXILIARIES
5cfd0074-896a-4957-807f-d61c49fd5a40	28e37409-985f-460c-9f2c-3e997da48823	UPS
5cfd0074-896a-4957-807f-d61c49fd5a40	31d8886b-e2d5-42ff-95a8-bd335b0a6148	CRITICAL_AUXILIARIES
5cfd0074-896a-4957-807f-d61c49fd5a40	6ee018ea-350e-4235-ab2c-a25f2bb464d8	LIGHTING
5cfd0074-896a-4957-807f-d61c49fd5a40	c21dd40f-e83a-4f26-9569-0f02cf45f681	CRITICAL_POWER_DISTRIBUTION
5cfd0074-896a-4957-807f-d61c49fd5a40	f4b912b4-39f7-4a06-8cd3-ab7e229575de	CRAH
5cfd0074-896a-4957-807f-d61c49fd5a40	3e243236-18a8-42e7-9b33-4c5dcbbb04c0	CRAC
5cfd0074-896a-4957-807f-d61c49fd5a40	6f729400-6b2d-4b61-aeb5-25def63b5b3b	CRAC_WITHOUT_FAN
5cfd0074-896a-4957-807f-d61c49fd5a40	022b5a35-0c7c-46e4-b5c8-b81e2970176f	CRAC_FAN
5cfd0074-896a-4957-807f-d61c49fd5a40	cfe713a1-edec-427c-93b6-ac986200153c	CHILLER
5cfd0074-896a-4957-807f-d61c49fd5a40	8ce8eab1-9c60-447a-9065-42bdf103124c	AIR_COOLED_CHILLER
5cfd0074-896a-4957-807f-d61c49fd5a40	355a25bc-e6c0-46b8-b946-79dfa439c0b1	COOLING_TOWER
5cfd0074-896a-4957-807f-d61c49fd5a40	8bc87b8e-7216-40d3-bac1-2f7083d9c07d	DRY_COOLER
5cfd0074-896a-4957-807f-d61c49fd5a40	d0865897-5ac9-4f4e-8feb-10539c7b4e49	REMOTE_CONDENSER
5cfd0074-896a-4957-807f-d61c49fd5a40	ef164d2d-0bb8-4050-bb5d-c2e9ddcfec65	CHILLED_WATER_PUMPS
5cfd0074-896a-4957-807f-d61c49fd5a40	3af57743-5c5d-47a9-af71-a59f49a9d10f	HEAT_REJECTION_PUMPS
5cfd0074-896a-4957-807f-d61c49fd5a40	84432949-0b0f-4a06-bb1c-d59d52c43494	VENTILATION
5cfd0074-896a-4957-807f-d61c49fd5a40	6a8814e4-f075-4d60-9bf9-c543898f051b	INFILTRATION
5cfd0074-896a-4957-807f-d61c49fd5a40	f90b45fc-d448-4569-9638-f5f1c70e2818	IT_LOAD
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	bd641835-de60-4909-88f2-876d6e064095	SWITCHGEAR
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	2f4682bb-6c30-4642-a1cc-1d2fa3f39112	GENERATOR
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	132df9e7-eb5c-4b54-9bf5-e7764d2c27f9	PRIMARY_AUXILIARIES
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	2bc645f8-8931-48f6-8a26-d088d0b6fc5e	UPS
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	aae7e456-1d00-4dbf-afef-2a5cb35882fa	CRITICAL_AUXILIARIES
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	76fcb068-5d67-4a4c-9cc2-82854434c7ca	LIGHTING
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	133abc3c-beb5-46ec-8a05-26ff46c0e933	CRITICAL_POWER_DISTRIBUTION
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	3d5993ca-9f65-4ffe-a23a-733f420d5c8d	CRAH
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	60bf0ad3-36f6-4692-9cf8-8f12da105729	CRAC
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	d08f2ef1-6035-4b71-adcc-8cd9ac01d67f	CRAC_WITHOUT_FAN
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	8b8e02af-00e1-462b-9c2a-25e7de7c514f	CRAC_FAN
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	7fac6816-f527-48a0-8732-5f79ea6ace8a	CHILLER
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	4635a53e-6d13-4352-9db0-74a713f911ab	AIR_COOLED_CHILLER
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	942c9e7d-78c3-4962-9805-bfa39d16b810	COOLING_TOWER
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	4f176877-3b37-4ece-a863-8d41741fb57b	DRY_COOLER
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	3ee137e1-9aea-405a-ab43-40c03cd8fe16	REMOTE_CONDENSER
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	ae84acdb-89eb-47c1-93d5-5f9458f26c34	CHILLED_WATER_PUMPS
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	c20eafc9-0042-45a9-b402-793b7b43a8ab	HEAT_REJECTION_PUMPS
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	10276ec1-c636-4080-8931-05b50f0d927c	VENTILATION
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	f068ae2a-8b54-439c-86c5-421cb26d0165	INFILTRATION
8cd9e2f4-3af1-423c-bc52-fb95ce36b3ab	9cd875af-e15f-4a88-bd95-8272fa7d3c16	IT_LOAD
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	58fb1e48-b97e-4e6c-ad75-140b2818052b	SWITCHGEAR
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	be6972f5-3a05-459b-8aa9-468a4ce27fd2	GENERATOR
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	109d3e58-3e8e-4d09-a80e-b90b706be6f9	PRIMARY_AUXILIARIES
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	5e5f0b8f-4ad4-413d-8c93-8bd6bf10f27f	UPS
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	7d8be905-d60d-4b54-8c5a-8f94bc56a402	CRITICAL_AUXILIARIES
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	e8655d3e-40de-4594-af51-9e099d7afebb	LIGHTING
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	3f99142f-7242-4b4f-ac45-193711d17618	CRITICAL_POWER_DISTRIBUTION
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	bf00e28d-a4ec-4093-9ed2-bd6adeaa8704	CRAH
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	1b7d090c-2f61-4fe4-8b26-c345e003a1b2	CRAC
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	99717885-6faf-482f-a683-236854bd373e	CRAC_WITHOUT_FAN
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	ed8de751-52f8-4984-a1e5-b6b746e037b1	CRAC_FAN
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	ad8b0df5-fe2d-4438-bad6-3a861a08450b	CHILLER
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	82375808-7887-4a4c-b3eb-d387eb437d0f	AIR_COOLED_CHILLER
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	88e292fb-aed2-436a-ad51-072308b431af	COOLING_TOWER
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	7f07a595-55bb-45d4-ba93-b25a5fc9600e	DRY_COOLER
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	baefcee1-7c86-45f7-80f5-6875ca8b9151	REMOTE_CONDENSER
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	afc3a5ab-4232-48f1-8915-4ec00328432d	CHILLED_WATER_PUMPS
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	6fee7c0f-10e2-4dc8-a78a-f24309baf52c	HEAT_REJECTION_PUMPS
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	07183f6c-78af-484b-9abd-919b0f95a210	VENTILATION
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	9e3f4e3a-41d4-4a71-8d72-cc8ea0b04f77	INFILTRATION
e2e01d5e-a8de-43f3-90ef-4586e05c3ce6	4d6bb209-3b13-4b80-bdb3-180c6e6b2fe5	IT_LOAD
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	d81e974c-8a07-46b8-ab76-9dc1423d147f	SWITCHGEAR
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	3fbb1d3e-75f6-4209-b438-653fbb680d8f	GENERATOR
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	2f99aec3-5300-4298-a853-8f95311a3ec2	PRIMARY_AUXILIARIES
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	eaaeaa16-dc1c-4392-a453-a5053d4163d2	UPS
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	65af6d54-8ff7-4290-a453-4ffb35395c5d	CRITICAL_AUXILIARIES
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	96816c78-2734-4b22-b12d-05afdc86c297	LIGHTING
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	c176b8a9-5687-46de-9332-b15e093ce6f3	CRITICAL_POWER_DISTRIBUTION
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	e8af628f-5ce6-4df6-b7c6-c54c2a25952b	CRAH
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	08c3c431-46a5-4ea3-82c0-eec80b8022c9	CRAC
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	69673bf2-5c69-4a63-9b41-8ae2692307ee	CRAC_WITHOUT_FAN
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	5665ea61-ce5d-4878-9a63-b5d6ac50caeb	CRAC_FAN
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	940c9c1c-762f-4bf8-b077-43113d6becab	CHILLER
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	875e709d-5c34-4244-ae02-30ae947c85ba	AIR_COOLED_CHILLER
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	5de7b51b-ee6e-411e-a8cf-fef09e68b907	COOLING_TOWER
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	8450937c-d429-4dd1-bc48-17ac6d6bd708	DRY_COOLER
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	24db86f8-45bc-45bc-b64f-fb4108676211	REMOTE_CONDENSER
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	5513e574-caae-4d4a-afee-9af0a058b697	CHILLED_WATER_PUMPS
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	7d97d039-c739-46ec-953c-cabbe5b2c8e3	HEAT_REJECTION_PUMPS
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	4ab1e0d7-43d1-4141-a321-ccff15ebe584	VENTILATION
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	dc79b3eb-ad79-42d1-8aa4-7ec6d095f951	INFILTRATION
5cee1515-23b6-4ff3-90a2-2fb0db2587bf	08e0ac29-0edc-4682-bf0a-a1527eb18a2b	IT_LOAD
34858dfa-bef8-4755-9305-83601e954a74	abeb8f90-6ab4-457c-841f-80ef5dcc30b2	SWITCHGEAR
34858dfa-bef8-4755-9305-83601e954a74	3daf5127-43da-4977-b969-4c1c069ebb96	GENERATOR
34858dfa-bef8-4755-9305-83601e954a74	ff56d224-30a4-4f77-9bd0-4660d97dd048	PRIMARY_AUXILIARIES
34858dfa-bef8-4755-9305-83601e954a74	f02694c1-7721-4c55-8c5b-3a2a6c6ae0cb	UPS
34858dfa-bef8-4755-9305-83601e954a74	aaf7e112-cdd8-48e3-a668-cc1165db11f3	CRITICAL_AUXILIARIES
34858dfa-bef8-4755-9305-83601e954a74	2d8cf110-fb98-47cf-b83a-a692ee22fe4c	LIGHTING
34858dfa-bef8-4755-9305-83601e954a74	5ad77502-e42b-4177-aa36-dcd8a701c8a9	CRITICAL_POWER_DISTRIBUTION
34858dfa-bef8-4755-9305-83601e954a74	cec7b958-78cd-4d91-840c-00d6d115e837	CRAH
34858dfa-bef8-4755-9305-83601e954a74	cf9bf2f7-5080-4a30-a1be-9855ef8e5258	CRAC
34858dfa-bef8-4755-9305-83601e954a74	c6235448-dd1a-4330-925c-af123605de2f	CRAC_WITHOUT_FAN
34858dfa-bef8-4755-9305-83601e954a74	d32a4979-450d-4b7c-996a-25fd3e72275d	CRAC_FAN
34858dfa-bef8-4755-9305-83601e954a74	86077824-42f8-4d94-b1db-97a42d408a9c	CHILLER
34858dfa-bef8-4755-9305-83601e954a74	64f1e740-afe4-4e6d-983f-5ca77882851d	AIR_COOLED_CHILLER
34858dfa-bef8-4755-9305-83601e954a74	e370ae9d-ab48-4789-acbb-f2273b5a9e4f	COOLING_TOWER
34858dfa-bef8-4755-9305-83601e954a74	93705fc3-cf6c-46d2-8922-da318b40106d	DRY_COOLER
34858dfa-bef8-4755-9305-83601e954a74	805a387e-e619-4f6d-b793-d9943ff04421	REMOTE_CONDENSER
34858dfa-bef8-4755-9305-83601e954a74	78f343ce-79c3-4ae0-89f5-72e8c97e7beb	CHILLED_WATER_PUMPS
34858dfa-bef8-4755-9305-83601e954a74	4cc3f1a3-a85e-4875-87b3-dd008ccb3ea1	HEAT_REJECTION_PUMPS
34858dfa-bef8-4755-9305-83601e954a74	8b4f38c5-a2d4-4d02-8fc9-674c31be1dfc	VENTILATION
34858dfa-bef8-4755-9305-83601e954a74	89f085de-4c55-46a3-8444-25275a8a3095	INFILTRATION
34858dfa-bef8-4755-9305-83601e954a74	12b720c9-d12b-47dd-bc6b-9443bc498890	IT_LOAD
bab750a9-d956-4926-9729-d0935e7ad723	9400df3c-802c-41be-b9a9-074bc30f22fb	SWITCHGEAR
bab750a9-d956-4926-9729-d0935e7ad723	577e6d9b-328f-4cf7-aa50-665ac3e5a621	GENERATOR
bab750a9-d956-4926-9729-d0935e7ad723	d6dbf9c9-b88a-4509-b60b-976be5a0d1e2	PRIMARY_AUXILIARIES
bab750a9-d956-4926-9729-d0935e7ad723	b7407044-68f6-4d7d-a56d-7d476320c62d	UPS
bab750a9-d956-4926-9729-d0935e7ad723	313e3745-d49e-4eec-94f2-a69c8f73a075	CRITICAL_AUXILIARIES
bab750a9-d956-4926-9729-d0935e7ad723	143b4545-db94-4e66-beea-069e59f18b26	LIGHTING
bab750a9-d956-4926-9729-d0935e7ad723	30fd40f4-2da9-4eb4-970d-04767a9e8829	CRITICAL_POWER_DISTRIBUTION
bab750a9-d956-4926-9729-d0935e7ad723	525fd89c-cb3f-44a7-827b-77c55ea010b0	CRAH
bab750a9-d956-4926-9729-d0935e7ad723	b54e2b4c-69e7-44dd-a7f5-4fb10bf682ef	CRAC
bab750a9-d956-4926-9729-d0935e7ad723	f5fc38c7-5440-427b-81b1-2120b2907056	CRAC_WITHOUT_FAN
bab750a9-d956-4926-9729-d0935e7ad723	45c6aaa2-3401-4bd3-b683-8e2a3879a6a5	CRAC_FAN
bab750a9-d956-4926-9729-d0935e7ad723	17bd3573-a18c-4040-af96-a79ecfc969b7	CHILLER
bab750a9-d956-4926-9729-d0935e7ad723	aaf0bdb0-9dc0-4839-9194-d8fc41e5e5e4	AIR_COOLED_CHILLER
bab750a9-d956-4926-9729-d0935e7ad723	a3ac72cb-1c1e-4f5b-a035-de76f308d75a	COOLING_TOWER
bab750a9-d956-4926-9729-d0935e7ad723	53203916-bf0e-41cd-a92a-19efe1e994c1	DRY_COOLER
bab750a9-d956-4926-9729-d0935e7ad723	eba8a720-f0b3-4b60-9580-e5a6e9fcc3a8	REMOTE_CONDENSER
bab750a9-d956-4926-9729-d0935e7ad723	56f402f1-d158-470b-bce9-1ed0d57b9beb	CHILLED_WATER_PUMPS
bab750a9-d956-4926-9729-d0935e7ad723	9d18dde0-c3fc-457f-a1c0-c15eb0f9880a	HEAT_REJECTION_PUMPS
bab750a9-d956-4926-9729-d0935e7ad723	067a31e3-facb-43ee-ab70-b48d174702af	VENTILATION
bab750a9-d956-4926-9729-d0935e7ad723	58f1712d-a97e-4583-999b-a3889cbe3809	INFILTRATION
bab750a9-d956-4926-9729-d0935e7ad723	24e90ca2-8b59-45e1-b1f5-e2adc6bef0d5	IT_LOAD
4685b99c-1fee-4090-a933-078e9f216df6	691e0c56-ea52-4d90-945e-3451cca88c25	SWITCHGEAR
4685b99c-1fee-4090-a933-078e9f216df6	a1996c58-058d-42ce-bf23-d8b9886973f5	GENERATOR
4685b99c-1fee-4090-a933-078e9f216df6	fd28add8-ffb1-46e0-b8f0-cb3c36a72f0d	PRIMARY_AUXILIARIES
4685b99c-1fee-4090-a933-078e9f216df6	ae2aa0d7-243b-43bc-824f-ed9ba50b6be5	UPS
4685b99c-1fee-4090-a933-078e9f216df6	0f86c398-bbad-4b28-add8-16c7f3000c76	CRITICAL_AUXILIARIES
4685b99c-1fee-4090-a933-078e9f216df6	6368f66f-3f56-49ff-8e99-77dcf7133252	LIGHTING
4685b99c-1fee-4090-a933-078e9f216df6	f365a920-07da-4f53-8786-343925987475	CRITICAL_POWER_DISTRIBUTION
4685b99c-1fee-4090-a933-078e9f216df6	02478fcf-f050-4cf1-b91b-a5a10056f8c4	CRAH
4685b99c-1fee-4090-a933-078e9f216df6	8598274c-4149-4e39-a4dd-f1ecf99a451c	CRAC
4685b99c-1fee-4090-a933-078e9f216df6	e3a74d33-9197-4750-bb3e-40eda7262d9b	CRAC_WITHOUT_FAN
4685b99c-1fee-4090-a933-078e9f216df6	58f4ce06-9058-47ff-96c7-95e6f90f0758	CRAC_FAN
4685b99c-1fee-4090-a933-078e9f216df6	ab993c48-640c-49c8-8650-221ca218aa5c	CHILLER
4685b99c-1fee-4090-a933-078e9f216df6	443cb608-980a-41b4-9e8c-9c16b22dbfa6	AIR_COOLED_CHILLER
4685b99c-1fee-4090-a933-078e9f216df6	73c5dace-70fe-46a8-b441-2b1f7fd4a40e	COOLING_TOWER
4685b99c-1fee-4090-a933-078e9f216df6	cf01b020-e775-4621-b2b0-f2acf723ecba	DRY_COOLER
4685b99c-1fee-4090-a933-078e9f216df6	0e216810-e8ef-4972-ac31-f6e9f8f7d294	REMOTE_CONDENSER
4685b99c-1fee-4090-a933-078e9f216df6	31af4a63-6a51-4110-9d92-d47b0da88ba7	CHILLED_WATER_PUMPS
4685b99c-1fee-4090-a933-078e9f216df6	184df31d-729b-4722-b565-329cb4754c51	HEAT_REJECTION_PUMPS
4685b99c-1fee-4090-a933-078e9f216df6	76e01c99-a6e3-43e1-ac8e-a17b0090eedf	VENTILATION
4685b99c-1fee-4090-a933-078e9f216df6	2985993f-7f8b-460e-83c5-43ea7f230339	INFILTRATION
4685b99c-1fee-4090-a933-078e9f216df6	2fbec425-4fa3-4c54-9100-49a8b60ec0d8	IT_LOAD
1377a248-ef48-48f2-9d32-a767459e0c6f	617238d3-ca2a-411b-bc3b-3c46cf65b203	SWITCHGEAR
1377a248-ef48-48f2-9d32-a767459e0c6f	376dd933-a397-455e-b575-061bbd25f1b2	GENERATOR
1377a248-ef48-48f2-9d32-a767459e0c6f	29abeca8-a36b-48d7-b465-94e96e58fc82	PRIMARY_AUXILIARIES
1377a248-ef48-48f2-9d32-a767459e0c6f	7f485339-1e90-4eed-bf68-78b99513aadd	UPS
1377a248-ef48-48f2-9d32-a767459e0c6f	f8876818-7646-4fde-95aa-6eb2ffe014d4	CRITICAL_AUXILIARIES
1377a248-ef48-48f2-9d32-a767459e0c6f	1845d428-d5b7-4572-8a4c-a4c3110f484b	LIGHTING
1377a248-ef48-48f2-9d32-a767459e0c6f	db109447-3517-41e4-99c2-1359c9cd808e	CRITICAL_POWER_DISTRIBUTION
1377a248-ef48-48f2-9d32-a767459e0c6f	4f123d2b-c99c-4193-a350-a6d5de73337a	CRAH
1377a248-ef48-48f2-9d32-a767459e0c6f	365d2949-64be-46b2-94f2-0416c75ea8cd	CRAC
1377a248-ef48-48f2-9d32-a767459e0c6f	456c0a14-184c-4460-a4c6-8bcf15cfa132	CRAC_WITHOUT_FAN
1377a248-ef48-48f2-9d32-a767459e0c6f	39f40f87-07f6-4641-b0f4-45f080a6211a	CRAC_FAN
1377a248-ef48-48f2-9d32-a767459e0c6f	02182377-0666-4b32-b151-7ef6910df4c3	CHILLER
1377a248-ef48-48f2-9d32-a767459e0c6f	a8c04cbf-68ba-4c38-9318-8a1dc49e0d04	AIR_COOLED_CHILLER
1377a248-ef48-48f2-9d32-a767459e0c6f	d0ae79d9-8f0e-4030-9513-6fea8e4d6a8f	COOLING_TOWER
1377a248-ef48-48f2-9d32-a767459e0c6f	05bfac38-1e18-4176-aebc-682ebfb5d3a7	DRY_COOLER
1377a248-ef48-48f2-9d32-a767459e0c6f	37fe370b-fc16-4a2f-a9a4-175a12060e2f	REMOTE_CONDENSER
1377a248-ef48-48f2-9d32-a767459e0c6f	f15bd682-5116-4da0-8953-2998ae722257	CHILLED_WATER_PUMPS
1377a248-ef48-48f2-9d32-a767459e0c6f	1c6db518-17fc-4354-a370-a9fcfed2458c	HEAT_REJECTION_PUMPS
1377a248-ef48-48f2-9d32-a767459e0c6f	74dbf8ac-2f43-41de-a70a-cb3b2ceccfca	VENTILATION
1377a248-ef48-48f2-9d32-a767459e0c6f	97c169dd-7d5c-4a31-9d0b-d221c473617d	INFILTRATION
1377a248-ef48-48f2-9d32-a767459e0c6f	1e489a13-e3b2-4815-b294-41ece26446a7	IT_LOAD
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	1a785d4f-add0-4e53-bbda-0ed4fe81b38b	SWITCHGEAR
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	468cd5b1-f9c1-4c2b-bd8a-defa44307c78	GENERATOR
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	94e8f8fa-15cc-418a-ad9d-3ba4d4dea746	PRIMARY_AUXILIARIES
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	f1032c29-c82b-4605-9390-d9e248c274cc	UPS
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	5ab568ab-8599-4709-a8bb-fc59934ca49c	CRITICAL_AUXILIARIES
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	3a0753ec-482e-459a-9754-bdb901c2a925	LIGHTING
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	7894a2ae-8ec1-4f5a-a4f9-68760711b800	CRITICAL_POWER_DISTRIBUTION
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	8f1f369d-139a-46cc-9d01-ea134e372866	CRAH
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	71babe94-dacb-4034-8614-2647ee686ff0	CRAC
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	b6710b17-4265-4b68-8fbd-47fbe3955588	CRAC_WITHOUT_FAN
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	bdeece0b-2479-4d54-b549-564c62021fe5	CRAC_FAN
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	ad0c83ac-9660-409d-bfce-0d260e9e7f8f	CHILLER
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	f79f793e-8ac4-48ea-88bf-9a07b6a8f745	AIR_COOLED_CHILLER
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	44e83f1f-47fe-4ff2-9274-1cbb0c76e009	COOLING_TOWER
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	51034259-bc8f-44c8-b899-c28ab282b6c7	DRY_COOLER
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	082c61b0-c8e8-4df6-8253-7e66d214147b	REMOTE_CONDENSER
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	7edbe24b-569a-4c0b-9420-17dc80c15cda	CHILLED_WATER_PUMPS
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	003b9cef-25c1-47ab-a840-1faa55fcbb73	HEAT_REJECTION_PUMPS
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	4bd56de0-0acb-4a6a-b0b1-7c90e78164ce	VENTILATION
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	6a6ea214-87e5-4bd9-8580-4f0c213f18a0	INFILTRATION
79f8b5f6-d9c3-41c4-a696-a06cbe539b2f	6066b959-b4be-43e5-8025-628f57d37d6f	IT_LOAD
49c79542-cac4-4197-91e3-f3464b2f4e70	bdec5737-3fbf-4576-ba58-b22d46d6c18b	SWITCHGEAR
49c79542-cac4-4197-91e3-f3464b2f4e70	e50404ad-b692-4418-9fc1-4152a0678d81	GENERATOR
49c79542-cac4-4197-91e3-f3464b2f4e70	abdc3e29-217e-4dc3-b767-0e66effc7016	PRIMARY_AUXILIARIES
49c79542-cac4-4197-91e3-f3464b2f4e70	2273f84f-c8e3-4e82-87e0-e8bdb102ad02	UPS
49c79542-cac4-4197-91e3-f3464b2f4e70	81e671cc-1064-4f29-9284-a4994fc976c7	CRITICAL_AUXILIARIES
49c79542-cac4-4197-91e3-f3464b2f4e70	be7735ca-32ab-4243-b902-19f150d346be	LIGHTING
49c79542-cac4-4197-91e3-f3464b2f4e70	04c0e413-f0dc-4c94-8bf6-7df0e0d8d301	CRITICAL_POWER_DISTRIBUTION
49c79542-cac4-4197-91e3-f3464b2f4e70	c422d6d1-44f9-4f3b-99d4-83e3e0c12c35	CRAH
49c79542-cac4-4197-91e3-f3464b2f4e70	fd5b7636-ac4b-4b80-9c0c-d71a3bcbd631	CRAC
49c79542-cac4-4197-91e3-f3464b2f4e70	f9c37ff9-5fa6-45d0-aac2-265a082516ab	CRAC_WITHOUT_FAN
49c79542-cac4-4197-91e3-f3464b2f4e70	a5d9bbd4-bee2-4312-9a50-acbcecf13644	CRAC_FAN
49c79542-cac4-4197-91e3-f3464b2f4e70	9fdf051a-7522-494b-a368-4ced01a5b25f	CHILLER
49c79542-cac4-4197-91e3-f3464b2f4e70	dce8b10e-ce1b-408d-ab1e-176e0f14f73e	AIR_COOLED_CHILLER
49c79542-cac4-4197-91e3-f3464b2f4e70	d28d0d56-ff19-4c22-b714-cb24a82fcbf8	COOLING_TOWER
49c79542-cac4-4197-91e3-f3464b2f4e70	54015eee-ff3b-4fe9-a77d-8e24c60dbd9d	DRY_COOLER
49c79542-cac4-4197-91e3-f3464b2f4e70	1c0cf917-d893-4f80-91cf-99c8cf4e0070	REMOTE_CONDENSER
49c79542-cac4-4197-91e3-f3464b2f4e70	0e35803e-cc65-44c6-bf2a-ba5a0fbc89cd	CHILLED_WATER_PUMPS
49c79542-cac4-4197-91e3-f3464b2f4e70	86a58d18-9be2-4a67-884b-f5988c8a918f	HEAT_REJECTION_PUMPS
49c79542-cac4-4197-91e3-f3464b2f4e70	7dc24f4e-160f-48ce-9a76-66148fe1f1bf	VENTILATION
49c79542-cac4-4197-91e3-f3464b2f4e70	0c11ed0e-d10f-476e-a29b-6e5f313508da	INFILTRATION
49c79542-cac4-4197-91e3-f3464b2f4e70	57733936-213b-44d0-b4f0-6d2ad70cf679	IT_LOAD
da89c0c4-9a4d-4909-90e1-c2c246c38209	1078d32c-617b-4fcc-8625-9abb72c2ec57	SWITCHGEAR
da89c0c4-9a4d-4909-90e1-c2c246c38209	ac387c3a-6fda-453a-8e92-bdbe0ffd8984	GENERATOR
da89c0c4-9a4d-4909-90e1-c2c246c38209	32f8879b-1515-4b7a-adaa-cf304fbb2595	PRIMARY_AUXILIARIES
da89c0c4-9a4d-4909-90e1-c2c246c38209	92311af9-0f7f-45ab-b07a-e03348009bbe	UPS
da89c0c4-9a4d-4909-90e1-c2c246c38209	410866d4-72e2-443b-b53e-c7a976a5a2fa	CRITICAL_AUXILIARIES
da89c0c4-9a4d-4909-90e1-c2c246c38209	0f46b481-cd0f-4513-85cc-b0d239fb1f0d	LIGHTING
da89c0c4-9a4d-4909-90e1-c2c246c38209	5ce076f1-e08a-4655-981f-4fa813c3c1b7	CRITICAL_POWER_DISTRIBUTION
da89c0c4-9a4d-4909-90e1-c2c246c38209	cc67d3ab-d2d7-4f04-b6ad-f2d5defceb5e	CRAH
da89c0c4-9a4d-4909-90e1-c2c246c38209	58ca66fb-b83c-4b3e-8e64-98e453700dec	CRAC
da89c0c4-9a4d-4909-90e1-c2c246c38209	db0f8a4d-66b2-4849-8ea4-e925f34549aa	CRAC_WITHOUT_FAN
da89c0c4-9a4d-4909-90e1-c2c246c38209	282bd61c-be75-499f-b2a2-38546c90a5e9	CRAC_FAN
da89c0c4-9a4d-4909-90e1-c2c246c38209	f183d764-d37e-4dcf-9ba8-69334a833778	CHILLER
da89c0c4-9a4d-4909-90e1-c2c246c38209	1bdb6d83-7d2e-4fe1-8a97-630459b30712	AIR_COOLED_CHILLER
da89c0c4-9a4d-4909-90e1-c2c246c38209	5532e525-0fd5-4d6f-9184-c44d4a2a97a7	COOLING_TOWER
da89c0c4-9a4d-4909-90e1-c2c246c38209	c50ccc83-fec7-4920-ae28-1aac3716efb3	DRY_COOLER
da89c0c4-9a4d-4909-90e1-c2c246c38209	9386a5db-de01-41d9-b0e8-5e49cb2a7d0e	REMOTE_CONDENSER
da89c0c4-9a4d-4909-90e1-c2c246c38209	db750e18-cb76-45ae-863f-f3109a91ed54	CHILLED_WATER_PUMPS
da89c0c4-9a4d-4909-90e1-c2c246c38209	c37f01e3-f5d5-4e97-996c-d2581c684a63	HEAT_REJECTION_PUMPS
da89c0c4-9a4d-4909-90e1-c2c246c38209	25ed5a25-3a2e-414b-a069-5214f88ee7ad	VENTILATION
da89c0c4-9a4d-4909-90e1-c2c246c38209	a87f3627-55b6-4548-9587-7ad94fe76f47	INFILTRATION
da89c0c4-9a4d-4909-90e1-c2c246c38209	6417ee78-bba3-4347-bb4c-d5206a5b078b	IT_LOAD
186fa991-5c92-43e4-a874-52ae2814a20f	7d48abff-e78a-4719-aa13-d289b5c9558c	SWITCHGEAR
186fa991-5c92-43e4-a874-52ae2814a20f	3abce235-cf2c-4148-945a-77e5b6f4f168	GENERATOR
186fa991-5c92-43e4-a874-52ae2814a20f	b9816637-2f71-4140-8a23-a4153aaf8cd5	PRIMARY_AUXILIARIES
186fa991-5c92-43e4-a874-52ae2814a20f	08efd7a6-934d-4ae3-9364-24618afe33e7	UPS
186fa991-5c92-43e4-a874-52ae2814a20f	e3e97fb3-f183-4a53-a904-a7b2417d81a2	CRITICAL_AUXILIARIES
186fa991-5c92-43e4-a874-52ae2814a20f	7d733553-011b-4f19-83a4-5a7ebc4be939	LIGHTING
186fa991-5c92-43e4-a874-52ae2814a20f	9623cb21-7f12-4204-ad35-695586cb1d61	CRITICAL_POWER_DISTRIBUTION
186fa991-5c92-43e4-a874-52ae2814a20f	83536621-a738-4d33-a54d-8fb07df6759e	CRAH
186fa991-5c92-43e4-a874-52ae2814a20f	4ab6b477-a1ee-4c17-bdef-65f4d60c87a0	CRAC
186fa991-5c92-43e4-a874-52ae2814a20f	e40608e9-c605-41e0-b64f-2342ce32e8da	CRAC_WITHOUT_FAN
186fa991-5c92-43e4-a874-52ae2814a20f	ac464ee4-b3b4-407a-9ed6-1d2f62f82c61	CRAC_FAN
186fa991-5c92-43e4-a874-52ae2814a20f	266fa2c9-cdfa-4515-a305-d135c4a6aedb	CHILLER
186fa991-5c92-43e4-a874-52ae2814a20f	e464fc4a-1207-4fd2-a47f-3f474341940f	AIR_COOLED_CHILLER
186fa991-5c92-43e4-a874-52ae2814a20f	5941af49-7bc6-42dd-a6cf-dfd1b7309b33	COOLING_TOWER
186fa991-5c92-43e4-a874-52ae2814a20f	04678ced-1abf-4fe2-911a-4ae4299c5b24	DRY_COOLER
186fa991-5c92-43e4-a874-52ae2814a20f	4254b374-dd99-4d06-91c7-be87aa91890b	REMOTE_CONDENSER
186fa991-5c92-43e4-a874-52ae2814a20f	c7acf911-4eba-4802-af6d-ae5c386fe780	CHILLED_WATER_PUMPS
186fa991-5c92-43e4-a874-52ae2814a20f	d8acaba7-10e2-4f36-9ad3-97ce8e64efdc	HEAT_REJECTION_PUMPS
186fa991-5c92-43e4-a874-52ae2814a20f	29d03a14-7e85-41de-b63f-2c53fc6f26f0	VENTILATION
186fa991-5c92-43e4-a874-52ae2814a20f	21feed3f-f603-4bfa-a792-8171d799f5a6	INFILTRATION
186fa991-5c92-43e4-a874-52ae2814a20f	0aa17ed5-9806-405a-8054-199ca9d56fd1	IT_LOAD
17bc6824-085f-4b70-8f3e-f67287f757d8	4e192a67-f18a-468f-8727-971d7beb8821	SWITCHGEAR
17bc6824-085f-4b70-8f3e-f67287f757d8	33573fa0-7d48-45db-bf7f-6da1f6bbf669	GENERATOR
17bc6824-085f-4b70-8f3e-f67287f757d8	05a30d46-45d0-495c-b666-ca0218b0d6a5	PRIMARY_AUXILIARIES
17bc6824-085f-4b70-8f3e-f67287f757d8	c57a1433-8c5c-4039-b90e-4c7d60fd699e	UPS
17bc6824-085f-4b70-8f3e-f67287f757d8	c9ad5493-84c0-44a7-ad0d-7b62c320045e	CRITICAL_AUXILIARIES
17bc6824-085f-4b70-8f3e-f67287f757d8	036994d3-df5f-491d-964b-0a313cfa14cf	LIGHTING
17bc6824-085f-4b70-8f3e-f67287f757d8	419ec3c3-cd4b-4704-ac9f-127e8b60de1c	CRITICAL_POWER_DISTRIBUTION
17bc6824-085f-4b70-8f3e-f67287f757d8	ceec8199-3b8b-41e6-bf74-5d5daf652000	CRAH
17bc6824-085f-4b70-8f3e-f67287f757d8	9f70663c-cb3f-4459-a4be-18b278f73617	CRAC
17bc6824-085f-4b70-8f3e-f67287f757d8	7bf6324e-a1ed-4779-9c73-64770c0f5431	CRAC_WITHOUT_FAN
17bc6824-085f-4b70-8f3e-f67287f757d8	aada7143-7028-4318-8319-6e20862e683a	CRAC_FAN
17bc6824-085f-4b70-8f3e-f67287f757d8	ea1c3d25-a5b5-41d7-a9b6-fcd6f97cb23b	CHILLER
17bc6824-085f-4b70-8f3e-f67287f757d8	8f4411b1-0a47-4eef-803a-fa128c210f86	AIR_COOLED_CHILLER
17bc6824-085f-4b70-8f3e-f67287f757d8	45a56193-7ed1-4f3a-9036-2bc13f092c22	COOLING_TOWER
17bc6824-085f-4b70-8f3e-f67287f757d8	049a5cca-b61b-49bd-be84-ac76758b7544	DRY_COOLER
17bc6824-085f-4b70-8f3e-f67287f757d8	1bdfb857-8157-4e32-a5d5-c6153cc89252	REMOTE_CONDENSER
17bc6824-085f-4b70-8f3e-f67287f757d8	0c70bcab-164b-4756-938e-a64d2220d4b3	CHILLED_WATER_PUMPS
17bc6824-085f-4b70-8f3e-f67287f757d8	94063008-d9a5-4ac1-96b6-bf15706f45db	HEAT_REJECTION_PUMPS
17bc6824-085f-4b70-8f3e-f67287f757d8	a9785620-331e-4dd3-bebf-d26ae0bd5487	VENTILATION
17bc6824-085f-4b70-8f3e-f67287f757d8	c803894d-3e71-42f0-acbd-a62393ac7223	INFILTRATION
17bc6824-085f-4b70-8f3e-f67287f757d8	ad589bd7-88e3-4ea3-a7f3-247d0ca5b7c1	IT_LOAD
c123ab9b-6469-4b69-87c1-06cbab2cf59f	5eaddbbd-63d1-4e44-bb42-867e51850a9f	SWITCHGEAR
c123ab9b-6469-4b69-87c1-06cbab2cf59f	1aba680f-57af-450c-ab85-6a6bada91903	GENERATOR
c123ab9b-6469-4b69-87c1-06cbab2cf59f	5b80b0c0-ae2b-4bea-bf6f-c08a25b1ec81	PRIMARY_AUXILIARIES
c123ab9b-6469-4b69-87c1-06cbab2cf59f	9b68c219-b264-4162-90da-453d0ccbec8c	UPS
c123ab9b-6469-4b69-87c1-06cbab2cf59f	bbd20bc4-2da8-44f4-8ba7-ed710b5a7008	CRITICAL_AUXILIARIES
c123ab9b-6469-4b69-87c1-06cbab2cf59f	eef5fb03-525d-414c-b12f-36fcf8e4fb95	LIGHTING
c123ab9b-6469-4b69-87c1-06cbab2cf59f	435ec164-3660-4c20-8fab-7cbf1559294c	CRITICAL_POWER_DISTRIBUTION
c123ab9b-6469-4b69-87c1-06cbab2cf59f	f6b10d2b-d30b-4a54-bc44-ac48cad5840f	CRAH
c123ab9b-6469-4b69-87c1-06cbab2cf59f	4c4a9302-aca0-4e38-8f59-1556f5a52172	CRAC
c123ab9b-6469-4b69-87c1-06cbab2cf59f	17ff99b9-c9cb-431b-b752-f26e4788d87e	CRAC_WITHOUT_FAN
c123ab9b-6469-4b69-87c1-06cbab2cf59f	8a0de5e3-d5de-49c2-b08e-1ce8224e82be	CRAC_FAN
c123ab9b-6469-4b69-87c1-06cbab2cf59f	f221efcd-0cea-47a6-93e0-92a456fbec1a	CHILLER
c123ab9b-6469-4b69-87c1-06cbab2cf59f	7262e906-ff79-46ea-9920-b18c1693d436	AIR_COOLED_CHILLER
c123ab9b-6469-4b69-87c1-06cbab2cf59f	88b67cb7-f853-4b1e-94a1-0ec416ba0aef	COOLING_TOWER
c123ab9b-6469-4b69-87c1-06cbab2cf59f	f8b59c8d-f966-4b85-ac67-cc74997aab90	DRY_COOLER
c123ab9b-6469-4b69-87c1-06cbab2cf59f	a40fbd85-afab-4d59-9f02-8238911956bc	REMOTE_CONDENSER
c123ab9b-6469-4b69-87c1-06cbab2cf59f	dbf53d60-48c8-4ae3-af37-7223b1ed283f	CHILLED_WATER_PUMPS
c123ab9b-6469-4b69-87c1-06cbab2cf59f	e6cdd61a-5205-4a90-bdf8-d8d66641d4c8	HEAT_REJECTION_PUMPS
c123ab9b-6469-4b69-87c1-06cbab2cf59f	e6f83961-3f99-4eb6-ba93-3b1a2fdd5a5b	VENTILATION
c123ab9b-6469-4b69-87c1-06cbab2cf59f	58743e12-a88d-4cfc-8835-cf7cd241bb00	INFILTRATION
c123ab9b-6469-4b69-87c1-06cbab2cf59f	50622ca2-fc58-4bfe-8c4b-4f3dec59f8d6	IT_LOAD
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	1437864e-f1f1-4bc5-ae87-b22c14eee025	SWITCHGEAR
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	caafb071-4d79-4bce-be38-bd4b28d77aa2	GENERATOR
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	7963878d-dab0-43d8-8d66-23063dd77f1f	PRIMARY_AUXILIARIES
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	04a110bd-32a2-4ea2-b8c1-09ebadac9bc5	UPS
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	034497af-c90e-4084-92de-998996afa778	CRITICAL_AUXILIARIES
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	87fdd665-bea9-4380-966d-06519c109a96	LIGHTING
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	6ab6b4a3-5874-4481-b4c2-f7a9f5edbb55	CRITICAL_POWER_DISTRIBUTION
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	d3d7b333-bce5-4c03-b47f-df9fbd42ac45	CRAH
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	d12b0a7f-7290-40da-8ac9-91aa301a1c07	CRAC
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	bc745994-a918-4dca-bc54-129455d96610	CRAC_WITHOUT_FAN
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	cc5648af-61f6-448b-bb6b-e59cc4884670	CRAC_FAN
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	0a8d71d1-bb54-41f4-8d5f-5218e4221994	CHILLER
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	eb7228ad-7933-478d-86c2-116324044ec4	AIR_COOLED_CHILLER
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	3d7afabf-bd55-4a43-b8f4-d1529c1c3948	COOLING_TOWER
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	d91b28bd-a379-439f-8649-afcce293f6d1	DRY_COOLER
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	acbef66d-2510-4c1a-8344-268ab1b591bf	REMOTE_CONDENSER
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	f3933813-2140-4f0b-b249-333dbb368eca	CHILLED_WATER_PUMPS
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	d21906b2-f015-40fe-9464-40b39aa36eae	HEAT_REJECTION_PUMPS
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	c0345329-a8b9-47b7-8a97-92c4b0f9b6d9	VENTILATION
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	7bd79306-e2aa-4519-a4f4-9f17ad657680	INFILTRATION
b2d0b078-0f94-41ac-abac-8fe1df3eacd2	2ae71386-a706-4ea8-8e7f-5c5e81b5a224	IT_LOAD
21196ba2-2b02-4305-acf9-93813fb4ab3a	7335ab61-154f-4705-b9b2-b50a0b76a792	SWITCHGEAR
21196ba2-2b02-4305-acf9-93813fb4ab3a	13509381-493b-4270-af55-23ba7752738b	GENERATOR
21196ba2-2b02-4305-acf9-93813fb4ab3a	e42b84fa-218b-4f24-9e72-05a275581a3e	PRIMARY_AUXILIARIES
21196ba2-2b02-4305-acf9-93813fb4ab3a	c7690dc1-9648-4a1f-8391-5be1f078cb1e	UPS
21196ba2-2b02-4305-acf9-93813fb4ab3a	a1130f9e-ef22-42ba-a1f4-46727d574e8f	CRITICAL_AUXILIARIES
21196ba2-2b02-4305-acf9-93813fb4ab3a	8f0fd8a6-75e4-47d1-8b05-f7029ff77c3b	LIGHTING
21196ba2-2b02-4305-acf9-93813fb4ab3a	a858b874-abde-4a66-b0e6-86d8bb37ee37	CRITICAL_POWER_DISTRIBUTION
21196ba2-2b02-4305-acf9-93813fb4ab3a	e7d2b142-1a1f-46cd-946a-d147117f7e58	CRAH
21196ba2-2b02-4305-acf9-93813fb4ab3a	7de137c5-2dd3-4723-b5ce-76d51f5fb04d	CRAC
21196ba2-2b02-4305-acf9-93813fb4ab3a	028bdb01-c1ff-4149-aa44-ed5580c18e21	CRAC_WITHOUT_FAN
21196ba2-2b02-4305-acf9-93813fb4ab3a	86f8ace1-a47a-47ef-83d8-692ee81a774d	CRAC_FAN
21196ba2-2b02-4305-acf9-93813fb4ab3a	1b995804-ac70-43f8-9047-bfa00350076c	CHILLER
21196ba2-2b02-4305-acf9-93813fb4ab3a	5214ee0b-959b-4f27-9b69-ff4c7bf8ec7a	AIR_COOLED_CHILLER
21196ba2-2b02-4305-acf9-93813fb4ab3a	b2081e57-5f9c-41d8-9897-937ffe806725	COOLING_TOWER
21196ba2-2b02-4305-acf9-93813fb4ab3a	2bcf2f4a-f68f-4d80-9a2f-896444259a40	DRY_COOLER
21196ba2-2b02-4305-acf9-93813fb4ab3a	b951ba28-d497-4fe4-9be9-2aed6222082c	REMOTE_CONDENSER
21196ba2-2b02-4305-acf9-93813fb4ab3a	32609937-69b9-4a34-a74f-1765816ccf3f	CHILLED_WATER_PUMPS
21196ba2-2b02-4305-acf9-93813fb4ab3a	0f735fdf-58eb-4145-9f27-b5b60360d159	HEAT_REJECTION_PUMPS
21196ba2-2b02-4305-acf9-93813fb4ab3a	6bc04769-1b2e-4912-938b-67093826dcda	VENTILATION
21196ba2-2b02-4305-acf9-93813fb4ab3a	77f2ef17-8ee1-4afb-9b00-ad7f384d674e	INFILTRATION
21196ba2-2b02-4305-acf9-93813fb4ab3a	534af69a-cc75-416f-afc5-ebeb9b34b296	IT_LOAD
fbf42dca-18b4-4f0e-a809-12d42edf1e93	ffe52988-c646-4c78-8849-a03a84c88044	SWITCHGEAR
fbf42dca-18b4-4f0e-a809-12d42edf1e93	b9d5d173-913a-4238-b76a-9ae7eb713813	GENERATOR
fbf42dca-18b4-4f0e-a809-12d42edf1e93	1de93e9f-6052-4b19-a4dc-cf8d61bd7b64	PRIMARY_AUXILIARIES
fbf42dca-18b4-4f0e-a809-12d42edf1e93	dfecf711-e946-4d3e-b8c2-7aa3dc3cd222	UPS
fbf42dca-18b4-4f0e-a809-12d42edf1e93	f5dbc59f-c9d9-41d5-b04b-51db4a43e6b6	CRITICAL_AUXILIARIES
fbf42dca-18b4-4f0e-a809-12d42edf1e93	f79e2228-7b4d-4d1a-bbf8-cd9b3402800d	LIGHTING
fbf42dca-18b4-4f0e-a809-12d42edf1e93	acde3862-901e-418e-b259-eb5b5e435d09	CRITICAL_POWER_DISTRIBUTION
fbf42dca-18b4-4f0e-a809-12d42edf1e93	516b8616-3e5f-4105-8cbf-c8282793e427	CRAH
fbf42dca-18b4-4f0e-a809-12d42edf1e93	73002fbe-984f-4cde-8204-65227a63c6f5	CRAC
fbf42dca-18b4-4f0e-a809-12d42edf1e93	73181bbd-df4d-4889-acca-c498e3247fea	CRAC_WITHOUT_FAN
fbf42dca-18b4-4f0e-a809-12d42edf1e93	4dbe0d70-0190-4278-8f3a-6df0f7cf62d1	CRAC_FAN
fbf42dca-18b4-4f0e-a809-12d42edf1e93	47b015df-2cab-4329-a719-737f474e814b	CHILLER
fbf42dca-18b4-4f0e-a809-12d42edf1e93	d8d48412-db6b-4646-865f-4b909a108693	AIR_COOLED_CHILLER
fbf42dca-18b4-4f0e-a809-12d42edf1e93	749b1c2a-8f5a-44bd-8d43-338f6a7e11d6	COOLING_TOWER
fbf42dca-18b4-4f0e-a809-12d42edf1e93	5ee84477-0ba6-4d70-a132-94e58360d4ed	DRY_COOLER
fbf42dca-18b4-4f0e-a809-12d42edf1e93	024fae19-b493-46c4-9086-be5490a00181	REMOTE_CONDENSER
fbf42dca-18b4-4f0e-a809-12d42edf1e93	1ca24c4d-c84c-454f-b794-df468d8662c4	CHILLED_WATER_PUMPS
fbf42dca-18b4-4f0e-a809-12d42edf1e93	75251465-8706-4856-9ec0-589036c68654	HEAT_REJECTION_PUMPS
fbf42dca-18b4-4f0e-a809-12d42edf1e93	31dd2d53-ad2a-43e1-9293-5a9be90da13c	VENTILATION
fbf42dca-18b4-4f0e-a809-12d42edf1e93	9b7bbff6-8589-4710-8c95-abe00583a4f7	INFILTRATION
fbf42dca-18b4-4f0e-a809-12d42edf1e93	9726a96b-7531-4a48-8436-4d2c2bdef64c	IT_LOAD
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	60caff59-b63b-48e7-9a34-639a9a2052dc	SWITCHGEAR
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	789972cd-cf35-4fb7-9724-5484afdde2c4	GENERATOR
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	4d32cb54-b9ef-41ef-8d2a-b62a05f4dea1	PRIMARY_AUXILIARIES
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	8fed8709-e34e-44ae-b611-f1db417507ca	UPS
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	f2fbbaed-159a-4f02-bdcb-9b4356f85729	CRITICAL_AUXILIARIES
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	c4f3317d-140e-48b1-b81d-ab11acb41946	LIGHTING
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	34895fef-9f02-4ec4-b8b0-7893c8e22abf	CRITICAL_POWER_DISTRIBUTION
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	fe248259-fed7-4e0e-babc-8b8efdfa95f3	CRAH
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	6e5f6246-e327-4512-9de1-3caa588a3a44	CRAC
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	c0a970ef-4162-432a-b86b-0dd2a7f9b01c	CRAC_WITHOUT_FAN
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	403dc1b7-8ce7-4f72-89da-e2857072c8d9	CRAC_FAN
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	eb7c6181-b7db-435f-8785-2642286955f8	CHILLER
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	51cae3fd-4de5-40cd-924c-8bb2fafcff8a	AIR_COOLED_CHILLER
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	96c2c8dc-050e-4aa4-8d13-b73bbef61c53	COOLING_TOWER
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	53e49162-e69d-4006-bef8-b71e193b55bc	DRY_COOLER
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	f6d9afa7-17ed-42de-8271-fd6fd4733174	REMOTE_CONDENSER
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	dcba1b26-f14e-4950-9152-aba32ef0cef9	CHILLED_WATER_PUMPS
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	0251a67e-4956-4da0-96cc-e173cd54e444	HEAT_REJECTION_PUMPS
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	70fd02f3-3c23-4ad7-ad76-121fd9331658	VENTILATION
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	a350c278-7007-4c48-8608-83cda068acf2	INFILTRATION
2ea2a3b9-438f-4ca2-a4ce-8c48bb7733ae	24b43255-a536-4778-a81d-01ff72f15f38	IT_LOAD
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	2885d526-00ca-41b8-95a0-3426273cfc21	SWITCHGEAR
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	e7a99430-92e9-4977-8ada-11e721786a87	GENERATOR
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	cbfc2f77-f9d0-4018-b1e3-dc496b7ffb10	PRIMARY_AUXILIARIES
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	abd25b7a-8aa8-4fb4-9f16-15b1106b39b3	UPS
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	73a19d99-5b51-454f-93d0-ffff830711ff	CRITICAL_AUXILIARIES
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	a58113bf-6338-4653-80e0-24f1e75d3de4	LIGHTING
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	d508b88b-8309-4331-a0b5-102453e49c80	CRITICAL_POWER_DISTRIBUTION
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	c24c39f9-2fee-419b-a167-98f697fd6bfd	CRAH
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	32907a37-dd23-4194-bd9f-4cb25d3ba3dc	CRAC
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	c413fe47-99d9-41d8-abe7-297ffa663620	CRAC_WITHOUT_FAN
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	c12d847a-6866-4a61-babf-f06fee228998	CRAC_FAN
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	798ae968-ad7e-4b67-95f1-019905d5b94c	CHILLER
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	bd311b75-4a0a-474a-b024-94dd91a32a86	AIR_COOLED_CHILLER
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	9b5c2f12-8c1b-4444-8bbb-2dfc6d2cd3ae	COOLING_TOWER
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	dc5c5077-cc9a-4a60-b70c-905d171a483f	DRY_COOLER
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	42e6c55e-28cc-49cb-928b-654e27c30ff0	REMOTE_CONDENSER
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	39e1f6a0-d0cb-4dd5-a17b-1c0975013660	CHILLED_WATER_PUMPS
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	c7a5a531-ec99-43c6-8630-10457ec4c70f	HEAT_REJECTION_PUMPS
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	4e440eea-8d0f-451e-ad7e-63486bc0ad5b	VENTILATION
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	ca4673fd-5c02-4161-b2c8-1174561f18de	INFILTRATION
61da06f0-4fa4-4638-978b-0e1cdef4fdbf	9d670f0a-4777-46ca-9102-27a24063fa9a	IT_LOAD
7852cd5b-a633-4f52-b512-11f186eda81c	617e63b5-aa91-45eb-9173-db2745a0defe	SWITCHGEAR
7852cd5b-a633-4f52-b512-11f186eda81c	7410373e-ce2a-4aa3-a80b-00d7971052ca	GENERATOR
7852cd5b-a633-4f52-b512-11f186eda81c	b0f683fa-fcaf-4b0c-b7aa-98a2ff66a49c	PRIMARY_AUXILIARIES
7852cd5b-a633-4f52-b512-11f186eda81c	ed3fbf75-ebb4-4a9d-8c2e-be0c4adaf943	UPS
7852cd5b-a633-4f52-b512-11f186eda81c	6bee01af-ca6c-49d6-a63f-8d41afc3124e	CRITICAL_AUXILIARIES
7852cd5b-a633-4f52-b512-11f186eda81c	c76dfdd2-dbf4-45b2-b497-e41a28a66fa4	LIGHTING
7852cd5b-a633-4f52-b512-11f186eda81c	be1ec9c5-0f2f-432b-9d4b-9ef4a7053304	CRITICAL_POWER_DISTRIBUTION
7852cd5b-a633-4f52-b512-11f186eda81c	ab730c56-0720-43c4-ad9e-23088be81ec6	CRAH
7852cd5b-a633-4f52-b512-11f186eda81c	35f67358-5408-4179-9a60-590e488a0047	CRAC
7852cd5b-a633-4f52-b512-11f186eda81c	5d72ab88-17c9-4ac8-8bba-831df3c54b1b	CRAC_WITHOUT_FAN
7852cd5b-a633-4f52-b512-11f186eda81c	428200e6-d749-46fc-b293-9177a688a260	CRAC_FAN
7852cd5b-a633-4f52-b512-11f186eda81c	2d1c737c-9007-482c-8a98-80c9abffecec	CHILLER
7852cd5b-a633-4f52-b512-11f186eda81c	efb62e65-227c-4619-a724-389f830538a2	AIR_COOLED_CHILLER
7852cd5b-a633-4f52-b512-11f186eda81c	750e61ae-7362-4b34-bc8b-110deb00a2d8	COOLING_TOWER
7852cd5b-a633-4f52-b512-11f186eda81c	7a8ffed2-c1ce-4480-a954-4b5b6db26f1c	DRY_COOLER
7852cd5b-a633-4f52-b512-11f186eda81c	9f7e3d45-f280-4985-8b2b-6a9baff2d5cb	REMOTE_CONDENSER
7852cd5b-a633-4f52-b512-11f186eda81c	1f7602d3-ee6a-4245-86c6-2135576b04ab	CHILLED_WATER_PUMPS
7852cd5b-a633-4f52-b512-11f186eda81c	0cffea2c-4d7e-45d5-865e-269676d89d1c	HEAT_REJECTION_PUMPS
7852cd5b-a633-4f52-b512-11f186eda81c	6e127b39-4a1b-410f-acbb-25547e9f289e	VENTILATION
7852cd5b-a633-4f52-b512-11f186eda81c	da6d9b48-b59e-4c4b-ae68-6d5729835110	INFILTRATION
7852cd5b-a633-4f52-b512-11f186eda81c	d3055e24-133e-42dc-a878-b664cd5f497e	IT_LOAD
8a26b44d-6772-414a-82df-12e356b1c10a	e6af8052-a3c9-480f-a886-e2c1e7196b68	SWITCHGEAR
8a26b44d-6772-414a-82df-12e356b1c10a	5bcee075-e3d2-41e1-a26d-cacb114aafbc	GENERATOR
8a26b44d-6772-414a-82df-12e356b1c10a	ce5b42bd-3d2f-4908-9255-5ee3af49ef4d	PRIMARY_AUXILIARIES
8a26b44d-6772-414a-82df-12e356b1c10a	62cbf13e-6dba-4a6f-bbd4-39689a696f07	UPS
8a26b44d-6772-414a-82df-12e356b1c10a	02cddd26-78fe-4379-b9d4-d58158e445ba	CRITICAL_AUXILIARIES
8a26b44d-6772-414a-82df-12e356b1c10a	7feb6356-0671-475d-b56f-f0c37bd70f5c	LIGHTING
8a26b44d-6772-414a-82df-12e356b1c10a	7ffec4b1-621c-4359-a03d-ae5708425622	CRITICAL_POWER_DISTRIBUTION
8a26b44d-6772-414a-82df-12e356b1c10a	ec02a087-9c71-4455-afad-b0ac059a77ff	CRAH
8a26b44d-6772-414a-82df-12e356b1c10a	ac89969c-1fbd-4b61-a27e-eeab73d222a7	CRAC
8a26b44d-6772-414a-82df-12e356b1c10a	160ce964-bd91-48b1-9918-9ff0983a6235	CRAC_WITHOUT_FAN
8a26b44d-6772-414a-82df-12e356b1c10a	04d94730-740c-4f64-9c50-7437a354777a	CRAC_FAN
8a26b44d-6772-414a-82df-12e356b1c10a	d07d7f6b-aaeb-41c3-8b63-66e87dcb2411	CHILLER
8a26b44d-6772-414a-82df-12e356b1c10a	f5c26be3-4921-4f66-b76a-af762b8491cb	AIR_COOLED_CHILLER
8a26b44d-6772-414a-82df-12e356b1c10a	0e7e24db-426e-4507-94bd-1e012fb2613c	COOLING_TOWER
8a26b44d-6772-414a-82df-12e356b1c10a	9e2066a5-249e-4188-b691-12768af929ed	DRY_COOLER
8a26b44d-6772-414a-82df-12e356b1c10a	07278016-f26e-4182-97fe-dc695d3ff9b1	REMOTE_CONDENSER
8a26b44d-6772-414a-82df-12e356b1c10a	d46cb3c5-4b8d-4ad3-8997-5cbf35a86ed5	CHILLED_WATER_PUMPS
8a26b44d-6772-414a-82df-12e356b1c10a	a292fd2c-bbec-4778-8293-65712cb1b64c	HEAT_REJECTION_PUMPS
8a26b44d-6772-414a-82df-12e356b1c10a	b6418c82-5477-463a-8edc-453fbd4cb148	VENTILATION
8a26b44d-6772-414a-82df-12e356b1c10a	3b4e50fe-b9a1-4911-8e9d-0e574265b46b	INFILTRATION
8a26b44d-6772-414a-82df-12e356b1c10a	84fab8c7-abf1-4254-a49d-954add873764	IT_LOAD
dd6669a2-84ba-4870-a365-d86cb3e13349	04fead85-4873-4d7d-bdb6-3a9200057b72	SWITCHGEAR
dd6669a2-84ba-4870-a365-d86cb3e13349	3d4d5173-4613-4414-bbb1-9691abfadbd1	GENERATOR
dd6669a2-84ba-4870-a365-d86cb3e13349	9a96220e-1ff0-4050-b3d8-a682e88f0650	PRIMARY_AUXILIARIES
dd6669a2-84ba-4870-a365-d86cb3e13349	bf49709a-1d53-4fa8-8e07-e208d0a0284e	UPS
dd6669a2-84ba-4870-a365-d86cb3e13349	c9f48a40-6399-4629-9a5c-f76f646754bc	CRITICAL_AUXILIARIES
dd6669a2-84ba-4870-a365-d86cb3e13349	cea8879c-d7f1-4a8d-ab2f-057b45495f5a	LIGHTING
dd6669a2-84ba-4870-a365-d86cb3e13349	75059090-bfba-44c3-88a0-260b6da8c67d	CRITICAL_POWER_DISTRIBUTION
dd6669a2-84ba-4870-a365-d86cb3e13349	d22406fb-b7d1-4fb4-bb1d-d220730c2a77	CRAH
dd6669a2-84ba-4870-a365-d86cb3e13349	fe355c25-4ba2-431a-afed-a73d00c577bc	CRAC
dd6669a2-84ba-4870-a365-d86cb3e13349	b77be9d2-9aed-459e-9840-001ff3b66acf	CRAC_WITHOUT_FAN
dd6669a2-84ba-4870-a365-d86cb3e13349	8e27b2c7-1fe8-471a-b01b-e4786808f9a8	CRAC_FAN
dd6669a2-84ba-4870-a365-d86cb3e13349	923dd9ef-9ba1-4fb7-905f-5fe44222cadb	CHILLER
dd6669a2-84ba-4870-a365-d86cb3e13349	d1de103d-7984-4d27-9ffd-e08766f1e8fd	AIR_COOLED_CHILLER
dd6669a2-84ba-4870-a365-d86cb3e13349	81917936-0ba7-4a96-ae59-c9f091fc71ea	COOLING_TOWER
dd6669a2-84ba-4870-a365-d86cb3e13349	b83e9afe-7c1e-4337-814b-1ef4bb2752fd	DRY_COOLER
dd6669a2-84ba-4870-a365-d86cb3e13349	8ad629da-cc11-42e1-9cd5-714ba8d0a517	REMOTE_CONDENSER
dd6669a2-84ba-4870-a365-d86cb3e13349	66ef5e1b-ec1c-4344-94e5-0c6938c5d07c	CHILLED_WATER_PUMPS
dd6669a2-84ba-4870-a365-d86cb3e13349	f719740c-ae64-408f-ac71-86186e55fd68	HEAT_REJECTION_PUMPS
dd6669a2-84ba-4870-a365-d86cb3e13349	93ae006b-6490-406a-a15b-70dadeedd390	VENTILATION
dd6669a2-84ba-4870-a365-d86cb3e13349	3de2fef1-881c-4d3a-ad6a-9e17c63caf7d	INFILTRATION
dd6669a2-84ba-4870-a365-d86cb3e13349	dac84555-c922-454a-add4-3e4884bf4ea6	IT_LOAD
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	d229c47b-9ca1-4d41-8ab0-5c634b4af818	SWITCHGEAR
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	11686515-6843-4eab-bdb5-fae6a27efe6d	GENERATOR
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	0d6790a7-7007-455d-800e-d97a4c866976	PRIMARY_AUXILIARIES
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	d2f0555d-fc37-4951-9c7c-ea84ecbd7f1b	UPS
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	526900bf-763d-4ab2-a75b-1d1d582ff9c1	CRITICAL_AUXILIARIES
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	5e1e1f4e-53be-4696-9d93-4c3d8a259aab	LIGHTING
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	6e3e48f7-1838-4ad0-8f09-1e967a0361df	CRITICAL_POWER_DISTRIBUTION
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	d4bfb959-8b7d-4ea2-8186-af39564e906e	CRAH
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	4f3b6920-9945-4904-b2f1-6741a7a0f153	CRAC
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	e2042a6f-8f79-46bc-9b88-8d872cce6704	CRAC_WITHOUT_FAN
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	4ac8caf6-a796-48ef-937d-b65f3cd91f36	CRAC_FAN
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	d69d6b6c-f5f0-49b2-a89c-ed3d3fb77a10	CHILLER
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	8c1dd43e-34bd-4d9e-afe5-71028a97d9e0	AIR_COOLED_CHILLER
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	fe0c4ec7-f847-4ec6-a04e-8cefe2a4bed5	COOLING_TOWER
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	f778321e-2a32-405d-a7b6-46d91ae8d6e7	DRY_COOLER
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	3a7081b0-9ae9-45a3-a875-b03e7dc9387a	REMOTE_CONDENSER
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	eddda2b9-70e9-4168-8315-256a437e2b2f	CHILLED_WATER_PUMPS
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	63f509eb-8c67-440d-aca8-9e99e211e513	HEAT_REJECTION_PUMPS
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	1e25be3f-a455-4e3f-9ac9-e8528a76544c	VENTILATION
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	0f2da0f8-ac1d-4b67-89ca-0fbd8064ebf8	INFILTRATION
a63fe3e0-e53d-4ef7-9cf7-f298cf28fb84	bd246b24-3feb-4e9a-811f-f81077fa3869	IT_LOAD
fc5d7eb2-610b-40d3-978c-950faa56ca53	efa92e99-c07d-4207-82db-07f7281689b6	SWITCHGEAR
fc5d7eb2-610b-40d3-978c-950faa56ca53	25f0f5d9-bf71-4638-8db5-cf4ac287f1e0	GENERATOR
fc5d7eb2-610b-40d3-978c-950faa56ca53	af15b19a-d34a-4603-8f23-39c2eb9974b2	PRIMARY_AUXILIARIES
fc5d7eb2-610b-40d3-978c-950faa56ca53	81d24726-aec1-4120-92dc-2c86cd23474b	UPS
fc5d7eb2-610b-40d3-978c-950faa56ca53	31bfcc22-e0b1-49bb-bc30-e69e276994e3	CRITICAL_AUXILIARIES
fc5d7eb2-610b-40d3-978c-950faa56ca53	8c1ff3f9-4185-425a-a6a4-4791750f7ded	LIGHTING
fc5d7eb2-610b-40d3-978c-950faa56ca53	98edda91-72ff-44da-90fb-3414240c3778	CRITICAL_POWER_DISTRIBUTION
fc5d7eb2-610b-40d3-978c-950faa56ca53	8cd074d7-6ac2-467d-86de-8d780c274b8c	CRAH
fc5d7eb2-610b-40d3-978c-950faa56ca53	93a45a3e-5766-4151-abcb-d5b0b65c41ab	CRAC
fc5d7eb2-610b-40d3-978c-950faa56ca53	eca95e41-a179-4a64-85d7-0dba26b625ae	CRAC_WITHOUT_FAN
fc5d7eb2-610b-40d3-978c-950faa56ca53	eabd8e5e-02ad-4833-99f9-5d19b12d94d6	CRAC_FAN
fc5d7eb2-610b-40d3-978c-950faa56ca53	eb02de0d-0586-46b8-a399-92c5a4dce847	CHILLER
fc5d7eb2-610b-40d3-978c-950faa56ca53	be242997-03fc-44e4-938e-f1378ad6c53c	AIR_COOLED_CHILLER
fc5d7eb2-610b-40d3-978c-950faa56ca53	641d6b28-7ebc-4052-aa46-74cd540370fd	COOLING_TOWER
fc5d7eb2-610b-40d3-978c-950faa56ca53	1b88139e-5cf2-46d6-a922-cc9e149dae29	DRY_COOLER
fc5d7eb2-610b-40d3-978c-950faa56ca53	872e6396-a914-4b66-8aaa-62c5dbc58f62	REMOTE_CONDENSER
fc5d7eb2-610b-40d3-978c-950faa56ca53	79b0fcb0-cf72-46a0-8952-9b7734b22c7f	CHILLED_WATER_PUMPS
fc5d7eb2-610b-40d3-978c-950faa56ca53	99cf978f-6b2e-4d8a-8426-3fe53e76414b	HEAT_REJECTION_PUMPS
fc5d7eb2-610b-40d3-978c-950faa56ca53	b2660976-75d6-4f23-b9c9-dde640676b66	VENTILATION
fc5d7eb2-610b-40d3-978c-950faa56ca53	78c6e63b-91e3-4ed7-bb25-b6fb2ac0eea3	INFILTRATION
fc5d7eb2-610b-40d3-978c-950faa56ca53	3c231c43-7727-4cc5-ae22-7cf973fda736	IT_LOAD
4e53df00-80b6-4f63-9f59-e7c8b64c079a	e0f2594b-404a-405a-bc8c-7cbb851670a1	SWITCHGEAR
4e53df00-80b6-4f63-9f59-e7c8b64c079a	94e6d9c5-bb23-4110-8da8-2755bab111f3	GENERATOR
4e53df00-80b6-4f63-9f59-e7c8b64c079a	a9390a58-85ec-4cbc-8cdd-ce62a5c129ff	PRIMARY_AUXILIARIES
4e53df00-80b6-4f63-9f59-e7c8b64c079a	e500f6e6-7549-42bb-bfb8-e3a5b73b2a72	UPS
4e53df00-80b6-4f63-9f59-e7c8b64c079a	5ea481e5-12dd-4d84-95db-fa85fd56728d	CRITICAL_AUXILIARIES
4e53df00-80b6-4f63-9f59-e7c8b64c079a	782764ea-3928-4822-88a1-6efc5afd366f	LIGHTING
4e53df00-80b6-4f63-9f59-e7c8b64c079a	3b4341a3-6a77-4e12-9a52-1b1174d269c5	CRITICAL_POWER_DISTRIBUTION
4e53df00-80b6-4f63-9f59-e7c8b64c079a	183510c9-fb04-4133-8306-fbfe7a640084	CRAH
4e53df00-80b6-4f63-9f59-e7c8b64c079a	47c98495-d6d4-42ed-b7b8-e2883ef315a6	CRAC
4e53df00-80b6-4f63-9f59-e7c8b64c079a	5a808bfe-608e-45ce-a13b-18b56b000625	CRAC_WITHOUT_FAN
4e53df00-80b6-4f63-9f59-e7c8b64c079a	460282bb-bc2d-41de-bf4c-601aa3507133	CRAC_FAN
4e53df00-80b6-4f63-9f59-e7c8b64c079a	3cf64709-fa26-4b85-93db-8c3b0d2c7426	CHILLER
4e53df00-80b6-4f63-9f59-e7c8b64c079a	056f1f9e-729c-429a-8e64-669ab3d6773d	AIR_COOLED_CHILLER
4e53df00-80b6-4f63-9f59-e7c8b64c079a	302aa300-041f-4019-af32-4e68d64250e3	COOLING_TOWER
4e53df00-80b6-4f63-9f59-e7c8b64c079a	9f6945f7-8789-4259-ba14-b72660f5a3ff	DRY_COOLER
4e53df00-80b6-4f63-9f59-e7c8b64c079a	7a375d28-9b69-446c-922f-9b6b7706e8b5	REMOTE_CONDENSER
4e53df00-80b6-4f63-9f59-e7c8b64c079a	99f1a199-3a93-46fa-9db2-fc8737e5624c	CHILLED_WATER_PUMPS
4e53df00-80b6-4f63-9f59-e7c8b64c079a	2fd9d86c-2b85-4742-b828-873f64cbc7cf	HEAT_REJECTION_PUMPS
4e53df00-80b6-4f63-9f59-e7c8b64c079a	c2fbe146-a6f7-438c-8499-60e01a860fbb	VENTILATION
4e53df00-80b6-4f63-9f59-e7c8b64c079a	e9e7bccb-1171-41ef-bcab-096a104a0d91	INFILTRATION
4e53df00-80b6-4f63-9f59-e7c8b64c079a	7d622372-0d36-4421-8a78-30cf21bce067	IT_LOAD
7ade49a0-2324-4211-bc73-077e064e7627	69829cec-faed-4e2c-8abd-fec2545f3096	SWITCHGEAR
7ade49a0-2324-4211-bc73-077e064e7627	70dd51b0-6963-4022-b336-980bfa19f2bf	GENERATOR
7ade49a0-2324-4211-bc73-077e064e7627	881a598d-c730-43cc-a528-171f952539e4	PRIMARY_AUXILIARIES
7ade49a0-2324-4211-bc73-077e064e7627	98d583ed-582d-482e-b812-95aa9db267fb	UPS
7ade49a0-2324-4211-bc73-077e064e7627	27808c16-0ac8-47a7-a61f-f57f054dd7e8	CRITICAL_AUXILIARIES
7ade49a0-2324-4211-bc73-077e064e7627	ee801043-d8ff-4fcf-b0a4-75abf62a9f97	LIGHTING
7ade49a0-2324-4211-bc73-077e064e7627	31331e6c-9fcd-48fd-af2b-04a4d57fddca	CRITICAL_POWER_DISTRIBUTION
7ade49a0-2324-4211-bc73-077e064e7627	9ab47c81-500e-4889-80ed-d60d78d77a8e	CRAH
7ade49a0-2324-4211-bc73-077e064e7627	13f97d54-8545-4ff0-9a2f-fbe506558c59	CRAC
7ade49a0-2324-4211-bc73-077e064e7627	6db59ebc-663e-4fd9-af2c-1158ca3005f5	CRAC_WITHOUT_FAN
7ade49a0-2324-4211-bc73-077e064e7627	7a6b2018-4fb7-49de-a15f-f2260e2a0598	CRAC_FAN
7ade49a0-2324-4211-bc73-077e064e7627	e2f3e755-4e37-42fc-a93f-34633390623c	CHILLER
7ade49a0-2324-4211-bc73-077e064e7627	90126fdb-1855-4c22-af0a-cd337a82b05d	AIR_COOLED_CHILLER
7ade49a0-2324-4211-bc73-077e064e7627	ad85dc4e-0291-4218-b976-ea3bda6e6972	COOLING_TOWER
7ade49a0-2324-4211-bc73-077e064e7627	643d1b70-c0f2-47cf-91bb-e5bdc9d1c50e	DRY_COOLER
7ade49a0-2324-4211-bc73-077e064e7627	a6cb3bc3-67ea-4804-b3c5-6ecfac98871b	REMOTE_CONDENSER
7ade49a0-2324-4211-bc73-077e064e7627	fbe924ba-408a-4897-91c6-b5350c6eb10f	CHILLED_WATER_PUMPS
7ade49a0-2324-4211-bc73-077e064e7627	35c21504-c4c4-4be0-ae5a-c1e1f90fed91	HEAT_REJECTION_PUMPS
7ade49a0-2324-4211-bc73-077e064e7627	59aac729-22dc-466e-ac16-f21038e000e7	VENTILATION
7ade49a0-2324-4211-bc73-077e064e7627	561eeae2-f952-43b1-bde0-d4151681f724	INFILTRATION
7ade49a0-2324-4211-bc73-077e064e7627	e0566bb3-024b-454a-8469-9443fd95c6ff	IT_LOAD
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	7b7e3b05-abe5-4c7d-86f3-99d825ee8bb3	SWITCHGEAR
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	e3cc81b4-5734-4a92-badd-e611782c7ac5	GENERATOR
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	dd088b4c-dbb0-4a1a-ba74-56940eacd8fc	PRIMARY_AUXILIARIES
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	deb51d7c-a615-4f5e-a76a-abd82d20af26	UPS
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	fef2f44f-5ead-4afe-8ab0-045e1864d2c1	CRITICAL_AUXILIARIES
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	e19a3869-6c68-43c7-875d-2708f5e307fb	LIGHTING
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	6bae5f25-2db2-4395-bd47-836ed186d5ce	CRITICAL_POWER_DISTRIBUTION
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	9ee9db26-7d10-4625-a412-a44648d01cdb	CRAH
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	b3ea1a89-8774-43e7-97ec-dafe1d328d78	CRAC
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	1ab78c0f-4b2a-442b-b889-331beb216b91	CRAC_WITHOUT_FAN
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	8533bd5d-6e63-4255-9d74-a245949b7417	CRAC_FAN
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	5dcd3def-1392-4490-9aa2-30d6b368d191	CHILLER
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	c47b646a-69eb-4133-9e23-d832ca055869	AIR_COOLED_CHILLER
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	cce2271b-629d-46c8-8927-10a2708c12d9	COOLING_TOWER
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	567956b4-6710-4670-8bdd-8009af2f5597	DRY_COOLER
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	a7eb78d4-7661-45d0-a357-c4b1ae615ce6	REMOTE_CONDENSER
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	7ab57e55-e0fa-4e8e-9dd0-a17da0c2702a	CHILLED_WATER_PUMPS
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	9981dc63-0d0a-4225-85d5-4d0c0652cd39	HEAT_REJECTION_PUMPS
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	4238a1e7-39de-43c7-9a1a-5a4bb30254c3	VENTILATION
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	3312dd72-a61b-4462-a9b3-0c1b52a9477c	INFILTRATION
a75a1bd3-1a32-4514-ab01-5c2aa76e4361	63067f0a-b540-41cc-84fb-fb7daf588be6	IT_LOAD
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	b2f214b0-bd0f-41db-864b-14cbcaa8a671	SWITCHGEAR
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	9c2ae2b3-760a-438d-a55e-6a2e0259e789	GENERATOR
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	a3a613d6-e801-47c9-9337-f61ef7976b8f	PRIMARY_AUXILIARIES
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	fce5aa01-929c-4105-a613-61655f8a00ca	UPS
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	2270cef1-dee4-4d8b-9bff-7c9843eeba0f	CRITICAL_AUXILIARIES
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	92c37f63-7425-48d9-939f-ee3bba5e6f1b	LIGHTING
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	796d8880-7935-4273-b9a9-c3c03727ec45	CRITICAL_POWER_DISTRIBUTION
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	17b0bc4e-b47a-47a8-b9f4-9206db1d2521	CRAH
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	a4f5b534-a2dd-4c7d-a512-47b77891531b	CRAC
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	76bd7e06-d7f6-4469-8ca5-69427a67190a	CRAC_WITHOUT_FAN
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	3743d28c-591f-4838-b44a-7c6b7bdc9076	CRAC_FAN
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	5dbaddce-f394-4106-ac61-2b47ed1934d5	CHILLER
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	e33e1ac5-b282-44e4-8a46-dd255cf4169b	AIR_COOLED_CHILLER
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	cb5c7127-cc57-4945-9e7d-7e77562f4ee8	COOLING_TOWER
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	d44b51db-4fdb-4e89-9141-73af2e602023	DRY_COOLER
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	d8613b11-73d6-4289-9deb-06c79b197390	REMOTE_CONDENSER
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	b36d96d0-b0a1-4543-9bd3-b4618e279f68	CHILLED_WATER_PUMPS
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	bd763a1d-ba8f-4a2d-814b-0915c6c640aa	HEAT_REJECTION_PUMPS
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	ceeb1d3b-ab13-42e1-b23c-f7f4fbb54914	VENTILATION
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	9d340f31-d2e3-4d50-897f-8d892b2c3199	INFILTRATION
4e2f9a7b-26bc-42c1-beac-1519fdd67b6a	e96dbd8c-3dd5-43d0-ba72-e14f544a7b63	IT_LOAD
32293a5c-f3f5-43fb-ad41-e3492e05363f	1ac33089-c108-4f37-99e5-91937391cbb2	SWITCHGEAR
32293a5c-f3f5-43fb-ad41-e3492e05363f	70e7e91f-dde0-4c4e-859c-900a629a6f11	GENERATOR
32293a5c-f3f5-43fb-ad41-e3492e05363f	71dc74d2-5e4b-4489-b58a-c6e6fc81e1ad	PRIMARY_AUXILIARIES
32293a5c-f3f5-43fb-ad41-e3492e05363f	55161321-1b83-4a30-9689-ae1592e3268e	UPS
32293a5c-f3f5-43fb-ad41-e3492e05363f	685d1dea-0616-4fae-9410-7f03d9ab2364	CRITICAL_AUXILIARIES
32293a5c-f3f5-43fb-ad41-e3492e05363f	21c108bf-fd3b-4c02-ba03-3e63cf19cf2e	LIGHTING
32293a5c-f3f5-43fb-ad41-e3492e05363f	3e40d552-47de-4568-a372-dfc74086e82a	CRITICAL_POWER_DISTRIBUTION
32293a5c-f3f5-43fb-ad41-e3492e05363f	e7d6a382-563e-4765-a0be-302f2fd42862	CRAH
32293a5c-f3f5-43fb-ad41-e3492e05363f	1befc2d1-d8ff-409f-8882-28d8189a70ea	CRAC
32293a5c-f3f5-43fb-ad41-e3492e05363f	087df9f0-3a86-4ee2-a196-c481b47e4340	CRAC_WITHOUT_FAN
32293a5c-f3f5-43fb-ad41-e3492e05363f	7e3ee5e0-7fcd-4a21-98be-afe042a6e124	CRAC_FAN
32293a5c-f3f5-43fb-ad41-e3492e05363f	d5fb071a-c7d6-40b8-9352-d94abc746ce1	CHILLER
32293a5c-f3f5-43fb-ad41-e3492e05363f	9c69b9d7-7cb5-4a51-a143-f53e5d45b51b	AIR_COOLED_CHILLER
32293a5c-f3f5-43fb-ad41-e3492e05363f	3f7f1ff9-efb1-4b2c-bfc5-da29f4bd5d8e	COOLING_TOWER
32293a5c-f3f5-43fb-ad41-e3492e05363f	297e6ea4-20d1-4574-a036-a31961df0cca	DRY_COOLER
32293a5c-f3f5-43fb-ad41-e3492e05363f	98a718d9-8326-4b31-9de7-dde0eabcc284	REMOTE_CONDENSER
32293a5c-f3f5-43fb-ad41-e3492e05363f	71880228-bb18-4800-b80b-02dbbdd3bca3	CHILLED_WATER_PUMPS
32293a5c-f3f5-43fb-ad41-e3492e05363f	be44f1ea-330c-44f3-bdf2-72ead6cda9ff	HEAT_REJECTION_PUMPS
32293a5c-f3f5-43fb-ad41-e3492e05363f	71fe2274-fa4e-4a74-9910-89cbe818810f	VENTILATION
32293a5c-f3f5-43fb-ad41-e3492e05363f	5ff1b0c5-cd0c-40c8-acea-0545122811c7	INFILTRATION
32293a5c-f3f5-43fb-ad41-e3492e05363f	2c167bb9-3221-493a-b8a7-b7fd88ed7576	IT_LOAD
b18bf350-b544-4af9-b1ed-bd6403b309bb	31f142fd-5fe5-4c7b-ac31-4d6042bf2016	SWITCHGEAR
b18bf350-b544-4af9-b1ed-bd6403b309bb	b0114021-53ff-459d-95c9-c520e8354494	GENERATOR
b18bf350-b544-4af9-b1ed-bd6403b309bb	2dd85832-fd30-4eed-85e8-910f575dbbc9	PRIMARY_AUXILIARIES
b18bf350-b544-4af9-b1ed-bd6403b309bb	d1ea31de-c547-40bd-ba4c-849308f98636	UPS
b18bf350-b544-4af9-b1ed-bd6403b309bb	7099f4f3-501f-4bee-95fc-66aef6415119	CRITICAL_AUXILIARIES
b18bf350-b544-4af9-b1ed-bd6403b309bb	50b163aa-14c2-4f32-b792-ebbb525ed41d	LIGHTING
b18bf350-b544-4af9-b1ed-bd6403b309bb	e343d52d-d659-4c92-825e-bc159b16cdbd	CRITICAL_POWER_DISTRIBUTION
b18bf350-b544-4af9-b1ed-bd6403b309bb	e3e21ec4-12ee-4086-ba12-9299106c031f	CRAH
b18bf350-b544-4af9-b1ed-bd6403b309bb	ef3c237e-8867-40e6-9469-366a80b80ea8	CRAC
b18bf350-b544-4af9-b1ed-bd6403b309bb	0e32fa2b-3f0c-44e4-bf7f-8ab4b5a2defe	CRAC_WITHOUT_FAN
b18bf350-b544-4af9-b1ed-bd6403b309bb	a27c33e1-0f31-484c-8350-eb25410e5800	CRAC_FAN
b18bf350-b544-4af9-b1ed-bd6403b309bb	4ec09eed-8c47-4308-ae9e-efd1eece7a2a	CHILLER
b18bf350-b544-4af9-b1ed-bd6403b309bb	a6aa4343-b3b2-4dd3-9ccf-1e0d5eeb5f18	AIR_COOLED_CHILLER
b18bf350-b544-4af9-b1ed-bd6403b309bb	e2be8fd6-5afc-4b32-831a-5118d22ec27f	COOLING_TOWER
b18bf350-b544-4af9-b1ed-bd6403b309bb	c8a5f154-e9aa-4011-baf9-f936e5ed0a83	DRY_COOLER
b18bf350-b544-4af9-b1ed-bd6403b309bb	2ea3ac72-6976-4112-80d8-9ea089d29821	REMOTE_CONDENSER
b18bf350-b544-4af9-b1ed-bd6403b309bb	3ed6277c-e2c2-428c-83b9-3ad90d2b42cb	CHILLED_WATER_PUMPS
b18bf350-b544-4af9-b1ed-bd6403b309bb	05307ce3-b005-4761-8def-6d775e88dbed	HEAT_REJECTION_PUMPS
b18bf350-b544-4af9-b1ed-bd6403b309bb	3bda75f5-227d-40e8-8f76-7e291a6db0d7	VENTILATION
b18bf350-b544-4af9-b1ed-bd6403b309bb	033c3d74-5c99-4078-9984-0410fa9d9150	INFILTRATION
b18bf350-b544-4af9-b1ed-bd6403b309bb	4c70ac27-61a4-4301-9619-89601f4f5b01	IT_LOAD
8845308d-ff5c-4524-8e1e-dbc93b616eaa	bdb8a140-9556-4688-9bf7-314df2bf7187	SWITCHGEAR
8845308d-ff5c-4524-8e1e-dbc93b616eaa	3e08f54c-9e92-4c9f-bf18-7edeba1b78e8	GENERATOR
8845308d-ff5c-4524-8e1e-dbc93b616eaa	d5453064-dca8-48cb-921d-0141a8e69b49	PRIMARY_AUXILIARIES
8845308d-ff5c-4524-8e1e-dbc93b616eaa	d9513449-901e-4428-b8e6-a9c42f2d1e12	UPS
8845308d-ff5c-4524-8e1e-dbc93b616eaa	476c02e2-9289-423f-ae3d-ee37eccf8d3f	CRITICAL_AUXILIARIES
8845308d-ff5c-4524-8e1e-dbc93b616eaa	54c4b4aa-2132-4d10-8d2f-e520dc039848	LIGHTING
8845308d-ff5c-4524-8e1e-dbc93b616eaa	e8a50bbe-979d-458b-907b-2087e23cbea3	CRITICAL_POWER_DISTRIBUTION
8845308d-ff5c-4524-8e1e-dbc93b616eaa	47fd8547-2e6f-451d-973b-40e07f530228	CRAH
8845308d-ff5c-4524-8e1e-dbc93b616eaa	44f70b01-0383-4586-b490-29bfc45ef8d9	CRAC
8845308d-ff5c-4524-8e1e-dbc93b616eaa	d5792edf-eeed-4036-8acc-c41f6d7143b1	CRAC_WITHOUT_FAN
8845308d-ff5c-4524-8e1e-dbc93b616eaa	faa3d318-2f4a-4254-810f-53536dc19200	CRAC_FAN
8845308d-ff5c-4524-8e1e-dbc93b616eaa	0e5d2a21-cd09-4f62-a9e9-c05650f3c076	CHILLER
8845308d-ff5c-4524-8e1e-dbc93b616eaa	e98c371f-e983-4477-9f5e-083877b88b9b	AIR_COOLED_CHILLER
8845308d-ff5c-4524-8e1e-dbc93b616eaa	b1fca971-6a19-4f8b-a46f-915ab1e0345f	COOLING_TOWER
8845308d-ff5c-4524-8e1e-dbc93b616eaa	6afb2c95-106b-4e7b-b3ce-c5ce4c44fec5	DRY_COOLER
8845308d-ff5c-4524-8e1e-dbc93b616eaa	ccc3ffad-64d2-45a4-b436-dd31d26eaefb	REMOTE_CONDENSER
8845308d-ff5c-4524-8e1e-dbc93b616eaa	f1a76a7d-5178-4b5a-b6f2-40fb16a282e5	CHILLED_WATER_PUMPS
8845308d-ff5c-4524-8e1e-dbc93b616eaa	5dd809d2-93f7-4a99-84fe-44efd83c336b	HEAT_REJECTION_PUMPS
8845308d-ff5c-4524-8e1e-dbc93b616eaa	5654202a-0a63-41a2-8149-f0caacfb4dc6	VENTILATION
8845308d-ff5c-4524-8e1e-dbc93b616eaa	1ac602f3-ee82-44d0-bf18-397d03ef856d	INFILTRATION
8845308d-ff5c-4524-8e1e-dbc93b616eaa	f88ac120-e1dc-4f9e-b68e-989afeee4c61	IT_LOAD
a30fe175-f81e-446c-aab3-97e0930a5ca5	eeec5139-87b8-4f41-95af-19e92736b64c	SWITCHGEAR
a30fe175-f81e-446c-aab3-97e0930a5ca5	5fd27f24-8b60-4d88-81cc-3bbdafbfe181	GENERATOR
a30fe175-f81e-446c-aab3-97e0930a5ca5	4b977bc2-4a19-482a-b636-6ef8721ee5d9	PRIMARY_AUXILIARIES
a30fe175-f81e-446c-aab3-97e0930a5ca5	52e7ba29-6c51-414c-a933-4b17e1ae03fa	UPS
a30fe175-f81e-446c-aab3-97e0930a5ca5	58010803-3918-4be3-ac7a-15bf9938c8f3	CRITICAL_AUXILIARIES
a30fe175-f81e-446c-aab3-97e0930a5ca5	0bbc7dff-4dac-4eaf-8ee8-81b4968ac184	LIGHTING
a30fe175-f81e-446c-aab3-97e0930a5ca5	3c971c01-9c63-4598-a6fd-93af35df1d7c	CRITICAL_POWER_DISTRIBUTION
a30fe175-f81e-446c-aab3-97e0930a5ca5	131df35a-bbab-4b71-aa8a-78d7e164558d	CRAH
a30fe175-f81e-446c-aab3-97e0930a5ca5	5d391f6e-f912-466d-a7b0-af63c3042ca7	CRAC
a30fe175-f81e-446c-aab3-97e0930a5ca5	fa2a0ca0-3231-4d1e-8cbb-90b561d330d1	CRAC_WITHOUT_FAN
a30fe175-f81e-446c-aab3-97e0930a5ca5	1d150063-e5b5-4ef1-b54f-8cbcbe83797f	CRAC_FAN
a30fe175-f81e-446c-aab3-97e0930a5ca5	e9f0ed48-ae53-4702-be68-d590f03fb9f3	CHILLER
a30fe175-f81e-446c-aab3-97e0930a5ca5	7b331888-93ff-451c-8150-7329c7d33484	AIR_COOLED_CHILLER
a30fe175-f81e-446c-aab3-97e0930a5ca5	1a7a6496-469b-4abb-9327-2045ecca5fc3	COOLING_TOWER
a30fe175-f81e-446c-aab3-97e0930a5ca5	f70ead4d-cd3d-49c1-968a-3806e3139f06	DRY_COOLER
a30fe175-f81e-446c-aab3-97e0930a5ca5	742879c3-dc18-4ed0-9c63-1c69a89e748d	REMOTE_CONDENSER
a30fe175-f81e-446c-aab3-97e0930a5ca5	45f88311-59fa-4cac-8a46-cd38e0c51c47	CHILLED_WATER_PUMPS
a30fe175-f81e-446c-aab3-97e0930a5ca5	62bae854-98a5-4174-8981-851bfc224f15	HEAT_REJECTION_PUMPS
a30fe175-f81e-446c-aab3-97e0930a5ca5	49a94cf3-e1f8-4594-9326-c2427115221e	VENTILATION
a30fe175-f81e-446c-aab3-97e0930a5ca5	42f23f8e-2969-498d-823a-6318e3bf0905	INFILTRATION
a30fe175-f81e-446c-aab3-97e0930a5ca5	918ada2b-a43f-46f0-a51c-4d596eb34243	IT_LOAD
da40b714-c90f-4779-bb7f-d33fa8cdccca	33c8323d-c77c-4b6c-afa2-5f28dde23ad3	SWITCHGEAR
da40b714-c90f-4779-bb7f-d33fa8cdccca	be9fd84e-d5e6-473b-9603-952654e12477	GENERATOR
da40b714-c90f-4779-bb7f-d33fa8cdccca	28f5c100-7875-4066-9679-dbeecd276ff3	PRIMARY_AUXILIARIES
da40b714-c90f-4779-bb7f-d33fa8cdccca	3e1c8f47-a047-437f-ba03-95150da056be	UPS
da40b714-c90f-4779-bb7f-d33fa8cdccca	1b92822b-d6a0-4784-bf10-00de30837df3	CRITICAL_AUXILIARIES
da40b714-c90f-4779-bb7f-d33fa8cdccca	96ceed24-aa01-4681-8364-9221af4dcf91	LIGHTING
da40b714-c90f-4779-bb7f-d33fa8cdccca	25305500-a9e3-419b-b818-88cfcafcbcc9	CRITICAL_POWER_DISTRIBUTION
da40b714-c90f-4779-bb7f-d33fa8cdccca	94a5aad1-3530-4238-954c-ea120734ec5a	CRAH
da40b714-c90f-4779-bb7f-d33fa8cdccca	0f073082-6c73-425c-ac7f-8ef567687ee0	CRAC
da40b714-c90f-4779-bb7f-d33fa8cdccca	10a9272e-e9fe-4a47-99ea-6af308677c78	CRAC_WITHOUT_FAN
da40b714-c90f-4779-bb7f-d33fa8cdccca	639a7f9f-e773-4e08-90d8-26cbd139ace3	CRAC_FAN
da40b714-c90f-4779-bb7f-d33fa8cdccca	7a5cdcd7-f096-4c56-a8cb-eb1b6da804dc	CHILLER
da40b714-c90f-4779-bb7f-d33fa8cdccca	812f54e6-9035-4e9b-abd9-52a88b1ead7a	AIR_COOLED_CHILLER
da40b714-c90f-4779-bb7f-d33fa8cdccca	5f528aab-e43e-4880-9430-a9a641c2ada9	COOLING_TOWER
da40b714-c90f-4779-bb7f-d33fa8cdccca	09fd9206-3b28-469e-b47f-067845280dd9	DRY_COOLER
da40b714-c90f-4779-bb7f-d33fa8cdccca	0322d7a5-5ba3-4b12-9996-545f5033f700	REMOTE_CONDENSER
da40b714-c90f-4779-bb7f-d33fa8cdccca	09e4a1f2-ef5f-4b4a-be46-7e533a1aa386	CHILLED_WATER_PUMPS
da40b714-c90f-4779-bb7f-d33fa8cdccca	ba003857-254a-4d10-b708-026d9c30033b	HEAT_REJECTION_PUMPS
da40b714-c90f-4779-bb7f-d33fa8cdccca	c6b08754-a3e0-4b86-b41d-4fce8c600af8	VENTILATION
da40b714-c90f-4779-bb7f-d33fa8cdccca	b78ac13c-d9b8-4cf1-b631-a98486821229	INFILTRATION
da40b714-c90f-4779-bb7f-d33fa8cdccca	ac1e6035-1aa1-43e5-8a21-5e4db115a966	IT_LOAD
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	be47d70c-f516-4a3e-966e-1b3a6be5a23e	SWITCHGEAR
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	7ddb9547-c661-40d7-adae-bc452ba7737f	GENERATOR
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	4fc8e392-13f4-46c1-a132-740da94dd1ef	PRIMARY_AUXILIARIES
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	4a4a0559-04e7-48fd-aa1e-88171024d425	UPS
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	ec4e77aa-b595-4353-abd0-67a5797ff355	CRITICAL_AUXILIARIES
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	28b57fa9-dc83-4a5e-80ee-3e47b973f02d	LIGHTING
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	1960fe19-e764-46cc-bc6f-7533c7ef3614	CRITICAL_POWER_DISTRIBUTION
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	d6d10f1d-25f9-4fbb-924b-a199d40133e4	CRAH
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	72df2160-de0d-4cd7-86ae-dcf08cfd8ba4	CRAC
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	862dc5e0-3c06-4883-af4a-5a594ea7d412	CRAC_WITHOUT_FAN
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	b7f6c1be-775f-4380-a57b-1f8502db6274	CRAC_FAN
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	f8e6ae35-2d08-4343-abc2-2ff46e1800d9	CHILLER
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	7275cdbe-8f5e-4cf1-8015-5c0add7d6952	AIR_COOLED_CHILLER
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	4c7e09f2-128f-49db-8cc5-38f8ca2c2510	COOLING_TOWER
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	227b7f6c-4e30-43cd-be22-a6972ea2b47e	DRY_COOLER
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	09708c06-8738-41dc-b844-a1c0b8f1f96f	REMOTE_CONDENSER
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	dc4361d9-91da-4de6-bd43-438ae41e555c	CHILLED_WATER_PUMPS
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	c13751df-63e1-4564-9ea1-669d0afd0561	HEAT_REJECTION_PUMPS
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	8aa52930-29a3-4f61-a49f-d5eafd4f2eeb	VENTILATION
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	2e3d2c4e-8220-4807-a540-d8a6f2065d64	INFILTRATION
9d5f51bf-eb8b-46ea-8efb-b1e9a3b7ce70	6a3f5bc3-7882-45d2-9a36-896477919fab	IT_LOAD
5e3cba21-a853-4fad-ad2b-52ca41102ebe	5c12ee8a-364c-4180-b893-1c1c1d488526	SWITCHGEAR
5e3cba21-a853-4fad-ad2b-52ca41102ebe	2bc394d5-1394-4a1b-b86b-c3198e689fd6	GENERATOR
5e3cba21-a853-4fad-ad2b-52ca41102ebe	dd207319-06bc-48cb-bb92-9e44cf11e713	PRIMARY_AUXILIARIES
5e3cba21-a853-4fad-ad2b-52ca41102ebe	93fcd1c3-c785-4739-a5cd-00883773d89f	UPS
5e3cba21-a853-4fad-ad2b-52ca41102ebe	d18ab452-55eb-4400-a5f0-3c965205db60	CRITICAL_AUXILIARIES
5e3cba21-a853-4fad-ad2b-52ca41102ebe	e519ec9f-3f85-4fd0-9a39-ff49075edab3	LIGHTING
5e3cba21-a853-4fad-ad2b-52ca41102ebe	c14bf511-5cb0-4c10-b39e-ffbe39c1f0ce	CRITICAL_POWER_DISTRIBUTION
5e3cba21-a853-4fad-ad2b-52ca41102ebe	4f841ec4-726c-4150-b01b-92ecf4c81340	CRAH
5e3cba21-a853-4fad-ad2b-52ca41102ebe	a5cb2b66-ecf5-4dc9-b7e1-67b7814c5a99	CRAC
5e3cba21-a853-4fad-ad2b-52ca41102ebe	7df79815-f473-4d5d-8bff-627513182f31	CRAC_WITHOUT_FAN
5e3cba21-a853-4fad-ad2b-52ca41102ebe	f4555d0b-8639-4b9e-84ed-8953db59efbc	CRAC_FAN
5e3cba21-a853-4fad-ad2b-52ca41102ebe	3253faf6-b435-473a-963e-26c92f301be1	CHILLER
5e3cba21-a853-4fad-ad2b-52ca41102ebe	977a37f9-a194-4812-b3f5-017e89f67da1	AIR_COOLED_CHILLER
5e3cba21-a853-4fad-ad2b-52ca41102ebe	313e497b-5101-497d-aa26-8ee420ebec9b	COOLING_TOWER
5e3cba21-a853-4fad-ad2b-52ca41102ebe	0ad01e98-f383-4dbc-ba66-c40bbcb89128	DRY_COOLER
5e3cba21-a853-4fad-ad2b-52ca41102ebe	ab7f30ad-31cd-424a-8768-189ac3b44bfa	REMOTE_CONDENSER
5e3cba21-a853-4fad-ad2b-52ca41102ebe	a36e212c-3a12-40a9-ad93-61e2ac71c020	CHILLED_WATER_PUMPS
5e3cba21-a853-4fad-ad2b-52ca41102ebe	f10c4deb-0347-48a2-adf9-da94d25d210c	HEAT_REJECTION_PUMPS
5e3cba21-a853-4fad-ad2b-52ca41102ebe	597e0894-2b61-4203-8618-18a013686cfc	VENTILATION
5e3cba21-a853-4fad-ad2b-52ca41102ebe	dd7000d4-06ea-4415-b90f-da9ad453b230	INFILTRATION
5e3cba21-a853-4fad-ad2b-52ca41102ebe	05b19a12-b811-41d5-83ca-535cf0d6128a	IT_LOAD
e6a3426d-791d-42c3-a59b-387d1f7dfb36	ffb7b1e1-244e-4b31-98af-f238aaff50d5	SWITCHGEAR
e6a3426d-791d-42c3-a59b-387d1f7dfb36	127ac4ed-cb5a-43ff-8842-96830e270d34	GENERATOR
e6a3426d-791d-42c3-a59b-387d1f7dfb36	3af16fed-08db-4ccf-ba19-aadc163084fa	PRIMARY_AUXILIARIES
e6a3426d-791d-42c3-a59b-387d1f7dfb36	8813f3b1-5e4d-4e68-9886-3a7043e7c1e8	UPS
e6a3426d-791d-42c3-a59b-387d1f7dfb36	0d44f8be-f3fc-4cc4-804f-7233008ce491	CRITICAL_AUXILIARIES
e6a3426d-791d-42c3-a59b-387d1f7dfb36	485b048f-564a-418f-9e11-bfbe3c6cc867	LIGHTING
e6a3426d-791d-42c3-a59b-387d1f7dfb36	f2c376d9-db05-4f57-900f-bdfb84a46b07	CRITICAL_POWER_DISTRIBUTION
e6a3426d-791d-42c3-a59b-387d1f7dfb36	2c20d5cc-5db0-41b1-8d1c-d14aaa6f1100	CRAH
e6a3426d-791d-42c3-a59b-387d1f7dfb36	6fb38efd-310b-4bf3-877f-8730d3d77c85	CRAC
e6a3426d-791d-42c3-a59b-387d1f7dfb36	a8233e87-bee3-4d5f-84cd-4d2c8fcdbfdc	CRAC_WITHOUT_FAN
e6a3426d-791d-42c3-a59b-387d1f7dfb36	1065dbe4-7a9d-4959-906d-3ddc6134f2c2	CRAC_FAN
e6a3426d-791d-42c3-a59b-387d1f7dfb36	32f9cf62-4d19-4d99-9ccf-7130d0cbcae6	CHILLER
e6a3426d-791d-42c3-a59b-387d1f7dfb36	e04e398e-8a4d-4d75-9eee-b6ac783557db	AIR_COOLED_CHILLER
e6a3426d-791d-42c3-a59b-387d1f7dfb36	5eab8350-533d-460a-9625-edc16b83027b	COOLING_TOWER
e6a3426d-791d-42c3-a59b-387d1f7dfb36	141a2a43-48a2-4411-8972-7efeb85c83d2	DRY_COOLER
e6a3426d-791d-42c3-a59b-387d1f7dfb36	70c42f71-f441-48e6-a090-c1143bb066bd	REMOTE_CONDENSER
e6a3426d-791d-42c3-a59b-387d1f7dfb36	f4bb0e25-8c8a-4fdf-b82a-2880941e7d33	CHILLED_WATER_PUMPS
e6a3426d-791d-42c3-a59b-387d1f7dfb36	49fcd9db-d24d-4c29-bb37-5c993aab6457	HEAT_REJECTION_PUMPS
e6a3426d-791d-42c3-a59b-387d1f7dfb36	3f084e80-12e7-4aa1-b3f8-53134013cf62	VENTILATION
e6a3426d-791d-42c3-a59b-387d1f7dfb36	a7f479ea-afc5-44f6-8192-612295b9c67f	INFILTRATION
e6a3426d-791d-42c3-a59b-387d1f7dfb36	33f624af-4f00-468d-8e6c-856b5134ec37	IT_LOAD
7ac00941-9748-49db-9fc0-08ba8d18a106	74f6362b-50f6-4911-ba24-577916557f13	SWITCHGEAR
7ac00941-9748-49db-9fc0-08ba8d18a106	1e3abee3-ba7f-4962-8924-4cef9187df5b	GENERATOR
7ac00941-9748-49db-9fc0-08ba8d18a106	d605ce8d-f2c0-4b88-88e1-557b45e8a7d0	PRIMARY_AUXILIARIES
7ac00941-9748-49db-9fc0-08ba8d18a106	558a7a6d-2ce9-482d-aec8-05c713b1fd50	UPS
7ac00941-9748-49db-9fc0-08ba8d18a106	b7b352f8-502a-407b-ba7a-0852ffd52c6f	CRITICAL_AUXILIARIES
7ac00941-9748-49db-9fc0-08ba8d18a106	afe44fe4-a222-4151-9e93-b1ddd3adda60	LIGHTING
7ac00941-9748-49db-9fc0-08ba8d18a106	1a5ef6be-f667-4615-bed2-d8e8aadfe3b5	CRITICAL_POWER_DISTRIBUTION
7ac00941-9748-49db-9fc0-08ba8d18a106	472c4e60-2e9f-40cf-87a2-e642ac9795ee	CRAH
7ac00941-9748-49db-9fc0-08ba8d18a106	bd71c7c5-dc3a-4907-8cfa-f953f13eadcf	CRAC
7ac00941-9748-49db-9fc0-08ba8d18a106	89a2be7b-335a-423d-a007-34226520619d	CRAC_WITHOUT_FAN
7ac00941-9748-49db-9fc0-08ba8d18a106	3a8971fa-3fbd-4d14-a842-92cab9cb9849	CRAC_FAN
7ac00941-9748-49db-9fc0-08ba8d18a106	12ca91d4-c654-424e-be47-344da0b74220	CHILLER
7ac00941-9748-49db-9fc0-08ba8d18a106	4d80bacf-c35a-43cd-b731-83693ba067e7	AIR_COOLED_CHILLER
7ac00941-9748-49db-9fc0-08ba8d18a106	89dae106-c9f5-4872-84e2-1b4efa4b917d	COOLING_TOWER
7ac00941-9748-49db-9fc0-08ba8d18a106	f6d7529b-e786-42e2-9c84-26b71063fda2	DRY_COOLER
7ac00941-9748-49db-9fc0-08ba8d18a106	7b28206e-5963-4997-bc65-433423252964	REMOTE_CONDENSER
7ac00941-9748-49db-9fc0-08ba8d18a106	f1309df0-d2a4-47d1-b8d6-5ee374793539	CHILLED_WATER_PUMPS
7ac00941-9748-49db-9fc0-08ba8d18a106	1b4ba7ae-4447-482b-a573-adb5bf54e16f	HEAT_REJECTION_PUMPS
7ac00941-9748-49db-9fc0-08ba8d18a106	04e6ec3e-3a1e-49d7-8ec3-63e859855f8c	VENTILATION
7ac00941-9748-49db-9fc0-08ba8d18a106	67bafccb-5dbe-4f28-8acd-b99837d79307	INFILTRATION
7ac00941-9748-49db-9fc0-08ba8d18a106	c7c427dd-20d9-493d-a3d0-633247af8d92	IT_LOAD
a7ea0133-5f66-4976-bf1f-ad49746a617f	550a75b3-2dfd-41fd-8e8f-c585e9834dd2	SWITCHGEAR
a7ea0133-5f66-4976-bf1f-ad49746a617f	8f6367bd-bfef-4b5c-a5aa-4d30acd0e81d	GENERATOR
a7ea0133-5f66-4976-bf1f-ad49746a617f	223cbab1-fc8d-45a3-896a-35da1f3230de	PRIMARY_AUXILIARIES
a7ea0133-5f66-4976-bf1f-ad49746a617f	d3dab502-d75f-4ef4-98c2-2f1be1724294	UPS
a7ea0133-5f66-4976-bf1f-ad49746a617f	4ab5c16e-6f69-40cd-8b10-214cda6d9458	CRITICAL_AUXILIARIES
a7ea0133-5f66-4976-bf1f-ad49746a617f	3b1ebee4-c8e8-4dc8-a9b7-b433c0b8b3b7	LIGHTING
a7ea0133-5f66-4976-bf1f-ad49746a617f	2c40eec9-9b06-45e1-ae65-98b31ee8559a	CRITICAL_POWER_DISTRIBUTION
a7ea0133-5f66-4976-bf1f-ad49746a617f	c337b03e-0d50-4f09-b9cb-22de6851c1af	CRAH
a7ea0133-5f66-4976-bf1f-ad49746a617f	065cfe56-5b23-4e67-a620-755a39282c06	CRAC
a7ea0133-5f66-4976-bf1f-ad49746a617f	a0613597-260e-42fe-8251-8030e8eec4b6	CRAC_WITHOUT_FAN
a7ea0133-5f66-4976-bf1f-ad49746a617f	d5278b46-285f-453e-b482-212058cf542e	CRAC_FAN
a7ea0133-5f66-4976-bf1f-ad49746a617f	78a5ba50-f762-4870-b882-1363bf89426e	CHILLER
a7ea0133-5f66-4976-bf1f-ad49746a617f	de6e9180-4059-48d5-8403-20aec55b27e6	AIR_COOLED_CHILLER
a7ea0133-5f66-4976-bf1f-ad49746a617f	686caccf-67d5-4106-9184-560711676fa6	COOLING_TOWER
a7ea0133-5f66-4976-bf1f-ad49746a617f	de93e760-e7fd-4f57-b05a-f2133db5c7fa	DRY_COOLER
a7ea0133-5f66-4976-bf1f-ad49746a617f	2e44bd91-6802-4362-ab59-1733fd53f381	REMOTE_CONDENSER
a7ea0133-5f66-4976-bf1f-ad49746a617f	eb0927d8-789d-4e95-9897-e715018b7e58	CHILLED_WATER_PUMPS
a7ea0133-5f66-4976-bf1f-ad49746a617f	0c2746e0-9581-4bb5-8d06-8b3e68d2e540	HEAT_REJECTION_PUMPS
a7ea0133-5f66-4976-bf1f-ad49746a617f	1d976aa7-8fb3-4b71-8d08-15e4676b9228	VENTILATION
a7ea0133-5f66-4976-bf1f-ad49746a617f	dd9abb5a-aac4-430d-8070-043bed5d8ae9	INFILTRATION
a7ea0133-5f66-4976-bf1f-ad49746a617f	c026d8da-dca5-407e-88cd-6d58908f754e	IT_LOAD
1c2704f2-33be-4321-94ce-328438bcceb1	595e5058-6350-4c9a-a6cf-6172b36a0334	SWITCHGEAR
1c2704f2-33be-4321-94ce-328438bcceb1	afa135ee-5259-4ace-94f4-8a12cda0a7c0	GENERATOR
1c2704f2-33be-4321-94ce-328438bcceb1	9806bf3a-2fb4-4b82-a1f6-4fba9dcbe899	PRIMARY_AUXILIARIES
1c2704f2-33be-4321-94ce-328438bcceb1	9576d2a3-ece9-4dfe-b4b5-5dbe2a7f12e1	UPS
1c2704f2-33be-4321-94ce-328438bcceb1	94218991-064c-4d0b-806e-d37c3628dbb5	CRITICAL_AUXILIARIES
1c2704f2-33be-4321-94ce-328438bcceb1	944f27ba-f640-40da-b25c-73e3c3dff962	LIGHTING
1c2704f2-33be-4321-94ce-328438bcceb1	4b807c01-5841-4fea-8259-7ff5aad40d52	CRITICAL_POWER_DISTRIBUTION
1c2704f2-33be-4321-94ce-328438bcceb1	70428a85-0d38-4d9b-8f71-738f9a48ff44	CRAH
1c2704f2-33be-4321-94ce-328438bcceb1	7c617a4e-83c7-4a91-b1b9-8b3198418489	CRAC
1c2704f2-33be-4321-94ce-328438bcceb1	a1458009-c775-486b-94a7-263ac8e4d256	CRAC_WITHOUT_FAN
1c2704f2-33be-4321-94ce-328438bcceb1	9e7fcce5-873b-409c-ba93-67c71f624442	CRAC_FAN
1c2704f2-33be-4321-94ce-328438bcceb1	ba11dc41-c950-4e5b-8b7e-4f340b8fff5e	CHILLER
1c2704f2-33be-4321-94ce-328438bcceb1	1d7a0166-6e9e-41ef-a3a7-faa4d6e6f846	AIR_COOLED_CHILLER
1c2704f2-33be-4321-94ce-328438bcceb1	0315e308-3935-4e3d-bfec-a70460e8d716	COOLING_TOWER
1c2704f2-33be-4321-94ce-328438bcceb1	2a0508dc-f252-45ba-9ab0-1533538676ec	DRY_COOLER
1c2704f2-33be-4321-94ce-328438bcceb1	15d55d0b-3c7b-4694-98cf-bce812c8e600	REMOTE_CONDENSER
1c2704f2-33be-4321-94ce-328438bcceb1	5f0e90c4-68a7-4f89-9a1d-35193bd9d17c	CHILLED_WATER_PUMPS
1c2704f2-33be-4321-94ce-328438bcceb1	f7fad014-635a-4984-8ec0-bb6ab71232d2	HEAT_REJECTION_PUMPS
1c2704f2-33be-4321-94ce-328438bcceb1	afaedb75-9003-4a57-a087-d315c38ad8a1	VENTILATION
1c2704f2-33be-4321-94ce-328438bcceb1	b7a6291a-fb05-4152-8b88-6ac0a8976262	INFILTRATION
1c2704f2-33be-4321-94ce-328438bcceb1	b4d9f18c-d764-4d83-92f9-ab6147a54deb	IT_LOAD
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	66277f2b-8b8c-4dfe-9ab0-c13aaa6e811f	SWITCHGEAR
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	d421ccf2-45b0-499e-9cd3-8c05f7b3af62	GENERATOR
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	f995c077-f483-4f4a-be46-9717a6765f0a	PRIMARY_AUXILIARIES
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	84b8aa14-41b1-4714-80e2-d451f21e2250	UPS
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	8ab79809-000f-442a-bb6a-21bcfd7fcf30	CRITICAL_AUXILIARIES
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	8b54b6da-c6c9-4ed9-aad4-647f7bdb3cdc	LIGHTING
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	e678d264-3a21-4250-b69a-7d4facd78f37	CRITICAL_POWER_DISTRIBUTION
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	3fc24a0c-0222-4fd5-8a93-42a5fcc8ae4e	CRAH
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	34feb699-0054-475b-a474-2b08644c3676	CRAC
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	a055ed37-5cb7-484a-89c3-4c5f9798883e	CRAC_WITHOUT_FAN
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	aed42f9f-96ff-4ad1-a499-d24bddaa6f77	CRAC_FAN
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	215a5c8f-9abd-43c4-87fa-c210ec6675f7	CHILLER
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	a96a65e9-0ac0-4e43-a382-9a9a86072306	AIR_COOLED_CHILLER
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	ba29a55c-42af-4405-8f31-fa62356836f9	COOLING_TOWER
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	f5ce4db7-db12-471f-9106-b6638d86cd79	DRY_COOLER
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	0e55dee8-8a29-4533-984c-820265d72c66	REMOTE_CONDENSER
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	ef0f161f-c22e-49a6-8a59-09d1569ef86f	CHILLED_WATER_PUMPS
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	58829c1c-34cc-4fa3-9cdb-0ad26989ec5e	HEAT_REJECTION_PUMPS
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	06ce2ae0-ff94-4cc6-9694-47254c61dc9b	VENTILATION
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	256aaf6e-d7f0-4560-a42f-b414eb3ada02	INFILTRATION
7e96d528-ca6e-45f9-a395-eb1ecad0e6a9	2f09c24d-808e-41db-b6b6-b13312480e7d	IT_LOAD
b572c63d-d676-4f1c-aefc-5adfa2846f5a	df523e9a-8c83-4d61-adf9-1578aa4814ac	SWITCHGEAR
b572c63d-d676-4f1c-aefc-5adfa2846f5a	7e21548c-dded-419e-a5f8-3eb453d6d5bb	GENERATOR
b572c63d-d676-4f1c-aefc-5adfa2846f5a	fc71e9a4-8ed0-4f3c-8f4d-70bb16a65e77	PRIMARY_AUXILIARIES
b572c63d-d676-4f1c-aefc-5adfa2846f5a	8d78b9ad-c205-4229-a9f9-3533e9e5697f	UPS
b572c63d-d676-4f1c-aefc-5adfa2846f5a	4969d1c7-f540-4fe7-9f4e-b4a11f54436b	CRITICAL_AUXILIARIES
b572c63d-d676-4f1c-aefc-5adfa2846f5a	350df47d-3952-4159-b654-5b7265862ad6	LIGHTING
b572c63d-d676-4f1c-aefc-5adfa2846f5a	2069dd0e-f11e-4d21-b9a8-4e40a212543a	CRITICAL_POWER_DISTRIBUTION
b572c63d-d676-4f1c-aefc-5adfa2846f5a	6c69f415-51c6-434f-930f-ae227b765551	CRAH
b572c63d-d676-4f1c-aefc-5adfa2846f5a	b7698b1d-5d10-42ab-abd1-725fd7874c98	CRAC
b572c63d-d676-4f1c-aefc-5adfa2846f5a	352604d8-d84b-4845-95bc-3dba31ad13b4	CRAC_WITHOUT_FAN
b572c63d-d676-4f1c-aefc-5adfa2846f5a	1c698115-ec2c-4921-b041-978729b2c3c0	CRAC_FAN
b572c63d-d676-4f1c-aefc-5adfa2846f5a	a8af8840-1499-4a3c-852f-d63dfc257446	CHILLER
b572c63d-d676-4f1c-aefc-5adfa2846f5a	c8880348-2007-43fc-ae24-40eadf2d7d4c	AIR_COOLED_CHILLER
b572c63d-d676-4f1c-aefc-5adfa2846f5a	420c9452-26c5-4621-9ef8-767987097e2b	COOLING_TOWER
b572c63d-d676-4f1c-aefc-5adfa2846f5a	1078468a-6f79-4cee-952f-5db37538b48c	DRY_COOLER
b572c63d-d676-4f1c-aefc-5adfa2846f5a	14c58a9f-01b6-4da1-b0d2-b785473e4dd1	REMOTE_CONDENSER
b572c63d-d676-4f1c-aefc-5adfa2846f5a	b99e97f7-493a-4e19-a617-c31b57569614	CHILLED_WATER_PUMPS
b572c63d-d676-4f1c-aefc-5adfa2846f5a	e9e7a7ec-df55-4b23-9b21-8ca832123725	HEAT_REJECTION_PUMPS
b572c63d-d676-4f1c-aefc-5adfa2846f5a	275f7264-6bbc-413e-9e2d-aa6224fc561e	VENTILATION
b572c63d-d676-4f1c-aefc-5adfa2846f5a	75aa217a-77c7-4cc3-a295-c4778cb7abb2	INFILTRATION
b572c63d-d676-4f1c-aefc-5adfa2846f5a	55acd412-51f1-4bff-81cb-51a66a72e10f	IT_LOAD
ecae63a7-943d-41f7-9e75-ce822e6b55cf	dfccfa86-31b8-41a6-9389-ad631a63a9bc	SWITCHGEAR
ecae63a7-943d-41f7-9e75-ce822e6b55cf	c681e206-b46e-4c48-bdd0-b40b4796e570	GENERATOR
ecae63a7-943d-41f7-9e75-ce822e6b55cf	d60cd3d2-1c67-48ee-a68b-71308be3a015	PRIMARY_AUXILIARIES
ecae63a7-943d-41f7-9e75-ce822e6b55cf	f8726ae7-0fc2-4396-ad5a-19f24506ff13	UPS
ecae63a7-943d-41f7-9e75-ce822e6b55cf	93c3030b-541d-4a8c-8a11-2bcbee59d896	CRITICAL_AUXILIARIES
ecae63a7-943d-41f7-9e75-ce822e6b55cf	cbd0eefe-84d1-471b-8a6d-4de5fdf5072d	LIGHTING
ecae63a7-943d-41f7-9e75-ce822e6b55cf	c4372be0-98f2-4e46-947c-2f28009c5922	CRITICAL_POWER_DISTRIBUTION
ecae63a7-943d-41f7-9e75-ce822e6b55cf	547959bb-7735-4451-a0ce-7898f4c551db	CRAH
ecae63a7-943d-41f7-9e75-ce822e6b55cf	2a129870-396b-41b1-9e12-13121d899686	CRAC
ecae63a7-943d-41f7-9e75-ce822e6b55cf	99c8f312-e17f-40a1-91b3-a90f878d4553	CRAC_WITHOUT_FAN
ecae63a7-943d-41f7-9e75-ce822e6b55cf	4e5499ca-56ff-40a0-8fd9-0f309ca276cf	CRAC_FAN
ecae63a7-943d-41f7-9e75-ce822e6b55cf	58b29985-8fd2-4a2b-b233-b3be850d6b85	CHILLER
ecae63a7-943d-41f7-9e75-ce822e6b55cf	236041bd-150f-482b-b5da-7ae2f66e989a	AIR_COOLED_CHILLER
ecae63a7-943d-41f7-9e75-ce822e6b55cf	156b78ce-84e1-4f1c-a42b-fb7d1cdaaa3a	COOLING_TOWER
ecae63a7-943d-41f7-9e75-ce822e6b55cf	6e4d62d8-f61b-4ac7-9da5-8cbff79efd4d	DRY_COOLER
ecae63a7-943d-41f7-9e75-ce822e6b55cf	c9a73576-68bb-492a-a4f9-1cf509ff6ae9	REMOTE_CONDENSER
ecae63a7-943d-41f7-9e75-ce822e6b55cf	62e8688d-1d78-4cc7-a472-2d6f54c27ec3	CHILLED_WATER_PUMPS
ecae63a7-943d-41f7-9e75-ce822e6b55cf	70787933-0a11-490f-a517-74e3625d800d	HEAT_REJECTION_PUMPS
ecae63a7-943d-41f7-9e75-ce822e6b55cf	a8dea82c-3474-4c3d-852b-c33f58aa7199	VENTILATION
ecae63a7-943d-41f7-9e75-ce822e6b55cf	6fed1c8d-8638-4be3-b4e7-97ac39a327f1	INFILTRATION
ecae63a7-943d-41f7-9e75-ce822e6b55cf	5974afe5-a630-4138-a7d8-863b8821a666	IT_LOAD
6394d46f-840e-4cf9-b0f7-b6db62a49e05	af37529e-7a0f-4360-841c-333b5c447b31	SWITCHGEAR
6394d46f-840e-4cf9-b0f7-b6db62a49e05	621da8cd-b02c-4526-956b-ab463a314a8f	GENERATOR
6394d46f-840e-4cf9-b0f7-b6db62a49e05	7976aac7-f01d-4c56-af80-63697e85f2a9	PRIMARY_AUXILIARIES
6394d46f-840e-4cf9-b0f7-b6db62a49e05	4e2a36c6-4524-475a-b6c6-93f8cc65e424	UPS
6394d46f-840e-4cf9-b0f7-b6db62a49e05	3bcfbe8c-a238-4978-8119-c6e22bce3f2a	CRITICAL_AUXILIARIES
6394d46f-840e-4cf9-b0f7-b6db62a49e05	4e3c4390-0150-4bb5-91b3-12a7ac46b598	LIGHTING
6394d46f-840e-4cf9-b0f7-b6db62a49e05	e2e446b1-a75e-473c-ac29-7978edacc1cc	CRITICAL_POWER_DISTRIBUTION
6394d46f-840e-4cf9-b0f7-b6db62a49e05	00c6d553-9b91-4ee0-9d23-b79289d8f948	CRAH
6394d46f-840e-4cf9-b0f7-b6db62a49e05	7252f572-7d2b-41af-aba4-b5256667217a	CRAC
6394d46f-840e-4cf9-b0f7-b6db62a49e05	6bf8dbe3-86e8-422a-91c6-298f2fac3401	CRAC_WITHOUT_FAN
6394d46f-840e-4cf9-b0f7-b6db62a49e05	6ce11dfa-e755-4266-a56e-cb5a0cbdec76	CRAC_FAN
6394d46f-840e-4cf9-b0f7-b6db62a49e05	2e64e1fe-cf4c-4c13-ace2-19abcba9c4e5	CHILLER
6394d46f-840e-4cf9-b0f7-b6db62a49e05	5ef78170-3003-46f1-8e7f-86c648121844	AIR_COOLED_CHILLER
6394d46f-840e-4cf9-b0f7-b6db62a49e05	f3f351d5-411b-4021-a92d-cbe6930e6937	COOLING_TOWER
6394d46f-840e-4cf9-b0f7-b6db62a49e05	2d124369-0e38-4f31-b3be-b79d60147def	DRY_COOLER
6394d46f-840e-4cf9-b0f7-b6db62a49e05	04ebb735-8ea1-46c6-91a1-c957a5d04f66	REMOTE_CONDENSER
6394d46f-840e-4cf9-b0f7-b6db62a49e05	ec61404c-cea1-4804-a828-940220babe3c	CHILLED_WATER_PUMPS
6394d46f-840e-4cf9-b0f7-b6db62a49e05	a7b32b61-ea13-4af2-bd10-a19e78cf2a71	HEAT_REJECTION_PUMPS
6394d46f-840e-4cf9-b0f7-b6db62a49e05	a93e2c29-4bc6-474d-950e-78ac773f2561	VENTILATION
6394d46f-840e-4cf9-b0f7-b6db62a49e05	4c4cd349-7848-4146-b82c-7a9c9b62e985	INFILTRATION
6394d46f-840e-4cf9-b0f7-b6db62a49e05	44efbea7-c6ad-43a0-a57c-7e15c9f459eb	IT_LOAD
59922bf5-9ae9-4558-baba-3a66d36314d9	dc77e7b3-08ee-4def-b513-dbaf5472dd83	SWITCHGEAR
59922bf5-9ae9-4558-baba-3a66d36314d9	2991d54f-3b94-428a-a5ac-1eb795e12003	GENERATOR
59922bf5-9ae9-4558-baba-3a66d36314d9	449acc55-4cdc-4101-b06b-de952b6b8959	PRIMARY_AUXILIARIES
59922bf5-9ae9-4558-baba-3a66d36314d9	bbee3e1f-b1c6-4d33-84bd-17bcd6c2833f	UPS
59922bf5-9ae9-4558-baba-3a66d36314d9	493fe61e-d814-4c0d-9d70-de5220fc5464	CRITICAL_AUXILIARIES
59922bf5-9ae9-4558-baba-3a66d36314d9	f85cecd3-c0cf-468a-b20d-5485c0821488	LIGHTING
59922bf5-9ae9-4558-baba-3a66d36314d9	fcb77131-ee89-400d-88de-d4ae624299e9	CRITICAL_POWER_DISTRIBUTION
59922bf5-9ae9-4558-baba-3a66d36314d9	beea4024-d392-4954-818a-c33f69e87e93	CRAH
59922bf5-9ae9-4558-baba-3a66d36314d9	47c6e6ac-ddec-432e-b7a4-f3565fbf9c9c	CRAC
59922bf5-9ae9-4558-baba-3a66d36314d9	ef46bbeb-4881-44de-bd79-8fd02ddb643b	CRAC_WITHOUT_FAN
59922bf5-9ae9-4558-baba-3a66d36314d9	5265ef70-c843-4860-a863-01d077ef1345	CRAC_FAN
59922bf5-9ae9-4558-baba-3a66d36314d9	ceb692e3-ca48-4d1d-b4fc-52acb7f34922	CHILLER
59922bf5-9ae9-4558-baba-3a66d36314d9	032d10d9-e8be-48e8-87d2-632665b385e7	AIR_COOLED_CHILLER
59922bf5-9ae9-4558-baba-3a66d36314d9	323d34aa-5ea2-4381-87ae-c6ca808cb379	COOLING_TOWER
59922bf5-9ae9-4558-baba-3a66d36314d9	b059679f-7ae9-4e8a-acf6-f19eda02ad34	DRY_COOLER
59922bf5-9ae9-4558-baba-3a66d36314d9	50e15e4f-7ab6-41fc-912e-c80f53397fe5	REMOTE_CONDENSER
59922bf5-9ae9-4558-baba-3a66d36314d9	dbdbea42-3cd3-4a5e-b825-17574472dea0	CHILLED_WATER_PUMPS
59922bf5-9ae9-4558-baba-3a66d36314d9	e5077638-f5b5-4c70-9d0d-9372552542e9	HEAT_REJECTION_PUMPS
59922bf5-9ae9-4558-baba-3a66d36314d9	d37b3ce7-0545-4b35-8b9d-ffd16d72fc56	VENTILATION
59922bf5-9ae9-4558-baba-3a66d36314d9	46a13fdf-8102-4218-a1ed-d779f4ff7c5b	INFILTRATION
59922bf5-9ae9-4558-baba-3a66d36314d9	40c0cdfa-dcb1-4127-9986-7ad009aa4162	IT_LOAD
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	5943f48c-b409-4974-9550-a3cdfdd2e706	SWITCHGEAR
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	a4bb0af1-c203-48b4-8471-70cac76d8ffd	GENERATOR
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	32f77965-1de9-468f-989f-179adc790f7f	PRIMARY_AUXILIARIES
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	25b029dc-0e2c-49c1-bab2-582a0a6c5da9	UPS
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	c1448786-cb64-451b-9a23-2c321177d112	CRITICAL_AUXILIARIES
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	7001ae80-33fe-4131-9126-1f70678c9a50	LIGHTING
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	19ce255e-9d37-4737-bd55-e02b91392e60	CRITICAL_POWER_DISTRIBUTION
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	25984fcb-0562-4f30-86e7-0c71e41b11ba	CRAH
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	acebc982-1b19-4b5a-9ee7-0c2206dbaf44	CRAC
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	2c01c286-348d-4fa8-b358-0d5615cb0dac	CRAC_WITHOUT_FAN
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	a8512168-ec37-4fb0-b5fc-d7732f6cccc6	CRAC_FAN
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	ff269495-2c79-4daf-aa10-fb67e3908da2	CHILLER
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	c3e3b5a8-b19d-4bd5-810a-aa380aed8279	AIR_COOLED_CHILLER
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	09363b52-c760-4567-b1bf-03d0cef13b2d	COOLING_TOWER
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	41d6a366-a561-47e6-b94c-2d5685ec1e17	DRY_COOLER
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	52e617c6-e9d1-41e5-bf91-bf709427b3ab	REMOTE_CONDENSER
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	e1c84544-0afc-49eb-b0c7-65a7aca7685f	CHILLED_WATER_PUMPS
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	0e443540-30f6-4d9b-92a5-e3f508cba4b3	HEAT_REJECTION_PUMPS
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	c90ceb49-6d63-4afd-9899-99a1647dfea3	VENTILATION
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	8c5b9f51-688b-4e5d-97ca-c414f6c34913	INFILTRATION
ea1fd7bb-1c8c-486a-a83b-bfe0e08d3e3b	23690351-e3e8-414c-9063-c4c9700dfd22	IT_LOAD
1ad60d02-c837-47f5-be2f-2193e6bbc374	2d07123a-8d27-43b9-8d11-b6890bf0aeb9	SWITCHGEAR
1ad60d02-c837-47f5-be2f-2193e6bbc374	1d07b463-1e24-4b6e-8851-66debce5f118	GENERATOR
1ad60d02-c837-47f5-be2f-2193e6bbc374	76cacfb3-da30-4a32-951a-fe192e46dda0	PRIMARY_AUXILIARIES
1ad60d02-c837-47f5-be2f-2193e6bbc374	9cd65b26-f7bd-4b02-9c1d-310b0ef7fa98	UPS
1ad60d02-c837-47f5-be2f-2193e6bbc374	4c1508d8-13b6-4302-ae3e-6e39fa9b190c	CRITICAL_AUXILIARIES
1ad60d02-c837-47f5-be2f-2193e6bbc374	4715f222-220f-4a6a-8034-dc6c3eee2a11	LIGHTING
1ad60d02-c837-47f5-be2f-2193e6bbc374	519d6246-675d-4792-a9b1-84646d010c79	CRITICAL_POWER_DISTRIBUTION
1ad60d02-c837-47f5-be2f-2193e6bbc374	b9b12ea0-35fb-4bbf-a58e-b421d9631bf3	CRAH
1ad60d02-c837-47f5-be2f-2193e6bbc374	9369fe8c-2e1d-48b3-8d2f-c8114f6de278	CRAC
1ad60d02-c837-47f5-be2f-2193e6bbc374	9534692b-c6b1-44f5-8dc6-4e011eb6bf67	CRAC_WITHOUT_FAN
1ad60d02-c837-47f5-be2f-2193e6bbc374	00393dc1-2ece-4a9d-b7d4-d4fe4131be34	CRAC_FAN
1ad60d02-c837-47f5-be2f-2193e6bbc374	56a37f90-9090-4bd8-ae92-2c5969b9e0e5	CHILLER
1ad60d02-c837-47f5-be2f-2193e6bbc374	08c1b182-75f9-4d4d-9d82-ddbc7dff638c	AIR_COOLED_CHILLER
1ad60d02-c837-47f5-be2f-2193e6bbc374	c1724bd3-969f-42a1-9ef6-353d87d666a8	COOLING_TOWER
1ad60d02-c837-47f5-be2f-2193e6bbc374	b46a0403-461b-4948-83bf-aa68e5f1e3c7	DRY_COOLER
1ad60d02-c837-47f5-be2f-2193e6bbc374	8d81c80d-3757-4074-93ad-e3c83b136e03	REMOTE_CONDENSER
1ad60d02-c837-47f5-be2f-2193e6bbc374	6af984f1-e298-492c-9aa0-a6a0a3a28e29	CHILLED_WATER_PUMPS
1ad60d02-c837-47f5-be2f-2193e6bbc374	b638c396-50d4-4500-a08b-42095f06ef1b	HEAT_REJECTION_PUMPS
1ad60d02-c837-47f5-be2f-2193e6bbc374	c846e7e8-084a-4c83-bfac-a1559fe3241e	VENTILATION
1ad60d02-c837-47f5-be2f-2193e6bbc374	d85e8a9a-4415-42c6-9721-9e31d9216f21	INFILTRATION
1ad60d02-c837-47f5-be2f-2193e6bbc374	3ed86860-5bbb-4874-9844-68278cddb459	IT_LOAD
1ac758f5-e10c-49b2-a41c-5f177d5676b5	d86bc0d3-f176-4b24-975f-32f2359db8ad	SWITCHGEAR
1ac758f5-e10c-49b2-a41c-5f177d5676b5	d08ebcd0-c91a-4845-964c-cc735d1be93f	GENERATOR
1ac758f5-e10c-49b2-a41c-5f177d5676b5	4538178f-99eb-4aa7-8279-2b029a8a028f	PRIMARY_AUXILIARIES
1ac758f5-e10c-49b2-a41c-5f177d5676b5	b511cc24-be7b-4020-880f-229bd47e88f4	UPS
1ac758f5-e10c-49b2-a41c-5f177d5676b5	f98712b0-3387-46a3-91fc-1e995a160c97	CRITICAL_AUXILIARIES
1ac758f5-e10c-49b2-a41c-5f177d5676b5	a676017a-4276-40c9-a221-38a1e775b6c4	LIGHTING
1ac758f5-e10c-49b2-a41c-5f177d5676b5	9717f778-05dd-43f7-8cf5-43cc3009e733	CRITICAL_POWER_DISTRIBUTION
1ac758f5-e10c-49b2-a41c-5f177d5676b5	8eafea85-c1ce-4049-8edf-1077daa70a4b	CRAH
1ac758f5-e10c-49b2-a41c-5f177d5676b5	a590ad02-298d-4a36-bb7d-fe9b8a66241c	CRAC
1ac758f5-e10c-49b2-a41c-5f177d5676b5	9d621d3d-769f-45c8-bbdb-e184c5a338d1	CRAC_WITHOUT_FAN
1ac758f5-e10c-49b2-a41c-5f177d5676b5	121a3f26-ad63-4604-8bed-600a3d3f5afe	CRAC_FAN
1ac758f5-e10c-49b2-a41c-5f177d5676b5	3ab7e389-cf9b-4851-bc3f-7568117be0c3	CHILLER
1ac758f5-e10c-49b2-a41c-5f177d5676b5	3fc787d6-e255-4942-b8ab-373acc9bb02e	AIR_COOLED_CHILLER
1ac758f5-e10c-49b2-a41c-5f177d5676b5	668babcc-a54f-4aaf-b74e-57aece1450b8	COOLING_TOWER
1ac758f5-e10c-49b2-a41c-5f177d5676b5	bd1f2cda-e7b3-4283-8d80-4c0d42d2bc5c	DRY_COOLER
1ac758f5-e10c-49b2-a41c-5f177d5676b5	0c3fd9ff-4dbb-4ef2-ac05-f1288d8aa9d3	REMOTE_CONDENSER
1ac758f5-e10c-49b2-a41c-5f177d5676b5	28d48e92-0f1f-4b86-ab94-69ca06dacc9a	CHILLED_WATER_PUMPS
1ac758f5-e10c-49b2-a41c-5f177d5676b5	b149f9d6-ef24-47fd-8af6-17d3f7e97daa	HEAT_REJECTION_PUMPS
1ac758f5-e10c-49b2-a41c-5f177d5676b5	5f00cfcc-2610-47ee-99fd-8f18876eb355	VENTILATION
1ac758f5-e10c-49b2-a41c-5f177d5676b5	bf8a658a-d7aa-43e8-9c67-18022346a42f	INFILTRATION
1ac758f5-e10c-49b2-a41c-5f177d5676b5	71ca5f03-48c3-4059-b85e-85ae468915ec	IT_LOAD
d123e3da-b180-42c6-aab4-3ad6c6209128	08ff6bde-9af1-4288-afd0-cb49941212c3	SWITCHGEAR
d123e3da-b180-42c6-aab4-3ad6c6209128	7cbc1aa8-3b38-4770-bd84-ae22a8348e69	GENERATOR
d123e3da-b180-42c6-aab4-3ad6c6209128	3d6473af-99ea-41e3-ae5d-a4e2e8d8b6d0	PRIMARY_AUXILIARIES
d123e3da-b180-42c6-aab4-3ad6c6209128	0cbb7ecd-12c0-4aa1-b981-d095e6c65a35	UPS
d123e3da-b180-42c6-aab4-3ad6c6209128	db1987e7-782b-465c-873f-07d52d607aeb	CRITICAL_AUXILIARIES
d123e3da-b180-42c6-aab4-3ad6c6209128	ca784797-a51a-4905-9b41-f343fdac712f	LIGHTING
d123e3da-b180-42c6-aab4-3ad6c6209128	0af65588-d263-4431-8a95-f647673cb952	CRITICAL_POWER_DISTRIBUTION
d123e3da-b180-42c6-aab4-3ad6c6209128	d536df4b-d612-4e27-880e-971e8a65f180	CRAH
d123e3da-b180-42c6-aab4-3ad6c6209128	5d81c0ee-d83a-4af7-9b7d-a9d613b6eb83	CRAC
d123e3da-b180-42c6-aab4-3ad6c6209128	31d54a89-3d99-44dc-b1d8-3f11a471dd9a	CRAC_WITHOUT_FAN
d123e3da-b180-42c6-aab4-3ad6c6209128	ac7a774d-d0f1-46b3-87d0-55f22ff75b65	CRAC_FAN
d123e3da-b180-42c6-aab4-3ad6c6209128	ae640754-f795-4c96-976a-7460cfcd17ab	CHILLER
d123e3da-b180-42c6-aab4-3ad6c6209128	30432116-8222-4b4d-9c29-e42cf0f93895	AIR_COOLED_CHILLER
d123e3da-b180-42c6-aab4-3ad6c6209128	f8971258-a741-49e8-82b3-29ed34a0b003	COOLING_TOWER
d123e3da-b180-42c6-aab4-3ad6c6209128	4af6ecbc-06f8-4a2c-9c90-5c49bc6435c8	DRY_COOLER
d123e3da-b180-42c6-aab4-3ad6c6209128	d9a4213a-c503-4516-b704-0bfe20dbff41	REMOTE_CONDENSER
d123e3da-b180-42c6-aab4-3ad6c6209128	f65598ea-f4f3-4153-b0a0-efe48bcd3985	CHILLED_WATER_PUMPS
d123e3da-b180-42c6-aab4-3ad6c6209128	e9ee612d-a5e9-4b68-8c53-77812cc2169c	HEAT_REJECTION_PUMPS
d123e3da-b180-42c6-aab4-3ad6c6209128	37d7f83c-cbc9-40d7-90d1-54051c62d114	VENTILATION
d123e3da-b180-42c6-aab4-3ad6c6209128	206955c1-7887-4752-87e1-34c04ac76f8c	INFILTRATION
d123e3da-b180-42c6-aab4-3ad6c6209128	ac4f041a-dace-423f-a167-0839883e46bc	IT_LOAD
7a875366-6d86-4146-ae9a-3ecdd1662658	f4dad118-fcea-464a-9548-698ff937ff82	SWITCHGEAR
7a875366-6d86-4146-ae9a-3ecdd1662658	df68329a-1e56-4d6d-bced-57daf592d920	GENERATOR
7a875366-6d86-4146-ae9a-3ecdd1662658	091279b8-4d7d-4d2f-bea9-826791bb0f0c	PRIMARY_AUXILIARIES
7a875366-6d86-4146-ae9a-3ecdd1662658	22c908b0-5280-4235-adab-50aa3c595785	UPS
7a875366-6d86-4146-ae9a-3ecdd1662658	d29e1365-6a92-440c-affa-8d0a9cca2c53	CRITICAL_AUXILIARIES
7a875366-6d86-4146-ae9a-3ecdd1662658	e97bdf28-621f-49ab-86fd-bb6e7fc129a2	LIGHTING
7a875366-6d86-4146-ae9a-3ecdd1662658	7abd2809-7b4e-4a01-b858-d000e669fd87	CRITICAL_POWER_DISTRIBUTION
7a875366-6d86-4146-ae9a-3ecdd1662658	b9e1fc92-8d33-48e9-aec6-fad4651ba223	CRAH
7a875366-6d86-4146-ae9a-3ecdd1662658	8f062eb7-a551-45f8-a323-18a20f6b078a	CRAC
7a875366-6d86-4146-ae9a-3ecdd1662658	41273d94-d2c2-4072-8f47-558d9fe48d6c	CRAC_WITHOUT_FAN
7a875366-6d86-4146-ae9a-3ecdd1662658	362c151c-2501-4704-b4cb-bf1080996985	CRAC_FAN
7a875366-6d86-4146-ae9a-3ecdd1662658	aa0714c9-9df4-4c8c-a30a-b3cbd1756f64	CHILLER
7a875366-6d86-4146-ae9a-3ecdd1662658	1cf676e9-bf46-4dbf-9557-ec84307dfc6c	AIR_COOLED_CHILLER
7a875366-6d86-4146-ae9a-3ecdd1662658	af6d1701-2936-4c24-a62e-f8deb2acf701	COOLING_TOWER
7a875366-6d86-4146-ae9a-3ecdd1662658	e3fae649-d505-4b3a-b341-021be95968e5	DRY_COOLER
7a875366-6d86-4146-ae9a-3ecdd1662658	b6216308-1ee6-4add-be2f-81922887b733	REMOTE_CONDENSER
7a875366-6d86-4146-ae9a-3ecdd1662658	ae0cd51b-75f8-4ecd-b442-3a8a2436d181	CHILLED_WATER_PUMPS
7a875366-6d86-4146-ae9a-3ecdd1662658	6a4b6e7d-32fc-4206-80ad-7474451d2b63	HEAT_REJECTION_PUMPS
7a875366-6d86-4146-ae9a-3ecdd1662658	b309155c-49c6-4a6c-b87e-515830df3368	VENTILATION
7a875366-6d86-4146-ae9a-3ecdd1662658	4ee888f6-15ce-46b0-8a4c-1f6ff72c440d	INFILTRATION
7a875366-6d86-4146-ae9a-3ecdd1662658	bc4822f3-2e41-4ff3-93ce-ce581f1db378	IT_LOAD
50370776-b163-468c-af41-af3a43bf2b20	08154973-3cdf-465d-b224-fd15364a8ae2	SWITCHGEAR
50370776-b163-468c-af41-af3a43bf2b20	9e41d131-22e1-4852-99fc-b4842aeff312	GENERATOR
50370776-b163-468c-af41-af3a43bf2b20	49704ca5-62ac-4c0d-a377-27ee10602fa4	PRIMARY_AUXILIARIES
50370776-b163-468c-af41-af3a43bf2b20	d8c6a088-beb6-4d11-92cf-b21c5c28e5be	UPS
50370776-b163-468c-af41-af3a43bf2b20	6497ebc0-edf7-4083-a9e5-807c31a42782	CRITICAL_AUXILIARIES
50370776-b163-468c-af41-af3a43bf2b20	cedc7576-a579-4737-97ad-830a68cf05c5	LIGHTING
50370776-b163-468c-af41-af3a43bf2b20	72659586-ba18-4679-86f4-afc3cfde331e	CRITICAL_POWER_DISTRIBUTION
50370776-b163-468c-af41-af3a43bf2b20	bf7542b0-b1d6-4c29-8fae-40cbe4f16ef1	CRAH
50370776-b163-468c-af41-af3a43bf2b20	81d520ff-0875-4834-9eff-d1d527aa3e23	CRAC
50370776-b163-468c-af41-af3a43bf2b20	3912a453-3526-465b-9235-2da841910ec1	CRAC_WITHOUT_FAN
50370776-b163-468c-af41-af3a43bf2b20	fee8d05c-2f1d-49a7-aa2b-8341de056313	CRAC_FAN
50370776-b163-468c-af41-af3a43bf2b20	900ca0c3-de88-470f-8fc8-82b8f376e8a7	CHILLER
50370776-b163-468c-af41-af3a43bf2b20	dc89a039-2c3f-49f7-9c04-4c1cb73e93e0	AIR_COOLED_CHILLER
50370776-b163-468c-af41-af3a43bf2b20	03ba74d4-3bdf-4d51-9623-50ce7031fb86	COOLING_TOWER
50370776-b163-468c-af41-af3a43bf2b20	4202dc28-18ef-4b6a-b9f9-57dcde1f36e7	DRY_COOLER
50370776-b163-468c-af41-af3a43bf2b20	e1f0741c-7731-448d-9c75-7509a46f4606	REMOTE_CONDENSER
50370776-b163-468c-af41-af3a43bf2b20	4fda6f95-58d6-49d2-a4f4-0d155f8209d2	CHILLED_WATER_PUMPS
50370776-b163-468c-af41-af3a43bf2b20	d9604ccb-ae44-495b-9045-6d021140d77e	HEAT_REJECTION_PUMPS
50370776-b163-468c-af41-af3a43bf2b20	a84cdc23-45d3-441e-bc08-18d30f26dd4c	VENTILATION
50370776-b163-468c-af41-af3a43bf2b20	506138a9-5f40-4e7c-8c2b-0b0004599cd3	INFILTRATION
50370776-b163-468c-af41-af3a43bf2b20	67bac4cb-4af9-4af5-a976-ea8aee1c014a	IT_LOAD
93aa761f-436e-4388-8efe-37fb63df49fa	c60f4b8d-a189-4b6d-850d-519001a4da81	SWITCHGEAR
93aa761f-436e-4388-8efe-37fb63df49fa	8be1bed2-7f29-47e6-8666-fd7bfcb549b5	GENERATOR
93aa761f-436e-4388-8efe-37fb63df49fa	65b73fcb-30e5-4c66-b175-74e1f2a6a50e	PRIMARY_AUXILIARIES
93aa761f-436e-4388-8efe-37fb63df49fa	73778696-891e-4163-83da-bf097ab44cf3	UPS
93aa761f-436e-4388-8efe-37fb63df49fa	0365ecc1-c1c8-4ab4-8895-f4addd612b8c	CRITICAL_AUXILIARIES
93aa761f-436e-4388-8efe-37fb63df49fa	1b9e3bd3-8946-4bea-b3fb-39619c6b284f	LIGHTING
93aa761f-436e-4388-8efe-37fb63df49fa	0e086440-cc87-4647-a7f2-47f9df7f1eda	CRITICAL_POWER_DISTRIBUTION
93aa761f-436e-4388-8efe-37fb63df49fa	a49b9840-d0ba-45e5-878c-91afb5be8f51	CRAH
93aa761f-436e-4388-8efe-37fb63df49fa	33e57638-cb8b-42a9-90cd-eb7173d1ac70	CRAC
93aa761f-436e-4388-8efe-37fb63df49fa	c5078740-20e9-4043-a938-e248cb23037d	CRAC_WITHOUT_FAN
93aa761f-436e-4388-8efe-37fb63df49fa	7962350e-a407-4280-b436-66ba554b8874	CRAC_FAN
93aa761f-436e-4388-8efe-37fb63df49fa	4054bec6-9f4f-4fc1-88d3-7ee6e16bfcd9	CHILLER
93aa761f-436e-4388-8efe-37fb63df49fa	b0d641b5-b4bb-4319-bb85-b2c3a29a2578	AIR_COOLED_CHILLER
93aa761f-436e-4388-8efe-37fb63df49fa	719063e1-a136-41ef-b233-97f532819486	COOLING_TOWER
93aa761f-436e-4388-8efe-37fb63df49fa	468a5509-4d68-41a2-9406-8f0d74b6f924	DRY_COOLER
93aa761f-436e-4388-8efe-37fb63df49fa	79ede8ea-8818-493a-bd56-72328fa7c963	REMOTE_CONDENSER
93aa761f-436e-4388-8efe-37fb63df49fa	c54b4a6d-7a27-4e91-a378-1808e4568337	CHILLED_WATER_PUMPS
93aa761f-436e-4388-8efe-37fb63df49fa	74ab8c9a-7c8f-4c01-8230-765c5a002a08	HEAT_REJECTION_PUMPS
93aa761f-436e-4388-8efe-37fb63df49fa	0e38a8c0-6474-442a-b74f-9ab1d55841c7	VENTILATION
93aa761f-436e-4388-8efe-37fb63df49fa	29df74cf-6da0-48c8-bf64-e948fed6a689	INFILTRATION
93aa761f-436e-4388-8efe-37fb63df49fa	e180fa75-9be6-4cab-a659-1645186a26cf	IT_LOAD
e566890b-352b-4ae1-8731-d13b99c3ad2e	f375a4f9-40e2-4491-aadb-eeadaca98a90	SWITCHGEAR
e566890b-352b-4ae1-8731-d13b99c3ad2e	8c328070-a528-42e4-b37d-effae95a0918	GENERATOR
e566890b-352b-4ae1-8731-d13b99c3ad2e	b352fd8c-e6b7-4dbf-bd5b-9d91dd57bc7f	PRIMARY_AUXILIARIES
e566890b-352b-4ae1-8731-d13b99c3ad2e	47aa2924-04b7-4b26-a0b1-24f24c32ba48	UPS
e566890b-352b-4ae1-8731-d13b99c3ad2e	d4d4458f-e6ef-42ae-bc3d-aac081a07b67	CRITICAL_AUXILIARIES
e566890b-352b-4ae1-8731-d13b99c3ad2e	f2de60ce-ba25-4b61-beda-beeac5e8fff3	LIGHTING
e566890b-352b-4ae1-8731-d13b99c3ad2e	9c545a8d-9e77-4b4b-ae39-8e1d0c085ee1	CRITICAL_POWER_DISTRIBUTION
e566890b-352b-4ae1-8731-d13b99c3ad2e	3705205c-bf76-47cf-971a-de685cb4804c	CRAH
e566890b-352b-4ae1-8731-d13b99c3ad2e	14c9519e-59aa-4f7d-9d66-25499a799441	CRAC
e566890b-352b-4ae1-8731-d13b99c3ad2e	b064fb52-793d-4912-ae8f-17ea1de7cedd	CRAC_WITHOUT_FAN
e566890b-352b-4ae1-8731-d13b99c3ad2e	5f5443b5-bf6b-43e3-a980-e95c0812bbcd	CRAC_FAN
e566890b-352b-4ae1-8731-d13b99c3ad2e	5f3f7096-a33b-491c-9286-dc09f371a25c	CHILLER
e566890b-352b-4ae1-8731-d13b99c3ad2e	184f3479-a86f-4386-9c75-690e30799151	AIR_COOLED_CHILLER
e566890b-352b-4ae1-8731-d13b99c3ad2e	f3bdc567-6d4a-4bd9-821c-549e9d97699e	COOLING_TOWER
e566890b-352b-4ae1-8731-d13b99c3ad2e	23c6ede2-cf96-4ee4-86cb-f88f5226dcf3	DRY_COOLER
e566890b-352b-4ae1-8731-d13b99c3ad2e	733e5b2c-1152-4922-8f6b-e60a52146c73	REMOTE_CONDENSER
e566890b-352b-4ae1-8731-d13b99c3ad2e	5e6e6a7b-c0f4-4a65-992a-935b30d638b9	CHILLED_WATER_PUMPS
e566890b-352b-4ae1-8731-d13b99c3ad2e	1b0cbaa3-fe54-4d4d-885a-f5bf45604341	HEAT_REJECTION_PUMPS
e566890b-352b-4ae1-8731-d13b99c3ad2e	4fa86dbb-94fe-43d6-a0a4-803df3aaf8a0	VENTILATION
e566890b-352b-4ae1-8731-d13b99c3ad2e	50c1baee-c47a-4f06-bffe-b8dad33e5743	INFILTRATION
e566890b-352b-4ae1-8731-d13b99c3ad2e	7822986a-5360-4f7b-aa52-70dcd6da732f	IT_LOAD
a7760656-e3c3-42fe-9bde-4431eec92270	b9e58786-7969-429b-a320-bea64ced38d4	SWITCHGEAR
a7760656-e3c3-42fe-9bde-4431eec92270	af6b533d-fd97-4ce2-8e87-edce19952829	GENERATOR
a7760656-e3c3-42fe-9bde-4431eec92270	abd3a1bc-74c9-4ec3-8f6f-92c5a8f8835a	PRIMARY_AUXILIARIES
a7760656-e3c3-42fe-9bde-4431eec92270	82a2fab3-9e17-4ccd-8217-018157007af9	UPS
a7760656-e3c3-42fe-9bde-4431eec92270	8d45e506-ccfa-4178-90f6-8b9e66910cf5	CRITICAL_AUXILIARIES
a7760656-e3c3-42fe-9bde-4431eec92270	06a74b7e-43e7-403b-b3b9-3d003f9ad198	LIGHTING
a7760656-e3c3-42fe-9bde-4431eec92270	cb7305de-2ab3-4327-81ed-f6126b212f98	CRITICAL_POWER_DISTRIBUTION
a7760656-e3c3-42fe-9bde-4431eec92270	892a41ac-2d49-495b-813d-50d37ada3a6e	CRAH
a7760656-e3c3-42fe-9bde-4431eec92270	673a40ac-5a61-4dfd-a53c-b1373d87c957	CRAC
a7760656-e3c3-42fe-9bde-4431eec92270	f6382543-a160-4111-9944-f9ac68beb5b2	CRAC_WITHOUT_FAN
a7760656-e3c3-42fe-9bde-4431eec92270	04811b27-ae57-4424-b032-d49304b1dd36	CRAC_FAN
a7760656-e3c3-42fe-9bde-4431eec92270	c66624f8-4b4e-40f0-9726-4520431fb66c	CHILLER
a7760656-e3c3-42fe-9bde-4431eec92270	611e2176-26b4-4312-bbc3-89ab572e0336	AIR_COOLED_CHILLER
a7760656-e3c3-42fe-9bde-4431eec92270	443b97d3-441d-45ff-9b50-e0b4789c90f0	COOLING_TOWER
a7760656-e3c3-42fe-9bde-4431eec92270	3d3452c1-f996-4e58-a38e-63c17c18a865	DRY_COOLER
a7760656-e3c3-42fe-9bde-4431eec92270	ff680148-6a51-4ee2-94f7-cbdf7c2008ab	REMOTE_CONDENSER
a7760656-e3c3-42fe-9bde-4431eec92270	c4858446-2e70-4ca0-af3d-1e024baf4de1	CHILLED_WATER_PUMPS
a7760656-e3c3-42fe-9bde-4431eec92270	591c65a4-49a4-4835-98ae-e11750c190f0	HEAT_REJECTION_PUMPS
a7760656-e3c3-42fe-9bde-4431eec92270	96c03677-9204-497e-bc42-33c334980b96	VENTILATION
a7760656-e3c3-42fe-9bde-4431eec92270	5d8ebdc0-d3b8-4205-afff-6be84658ff9c	INFILTRATION
a7760656-e3c3-42fe-9bde-4431eec92270	0b775a85-fc70-4baa-9ad9-23b3acc53de6	IT_LOAD
41e018a9-cb3c-413f-9097-b07c7c968d5a	fe5986bb-e06e-46d1-a61f-70e231dced95	SWITCHGEAR
41e018a9-cb3c-413f-9097-b07c7c968d5a	17fda6e9-2207-40ad-a01d-7768cbfc3092	GENERATOR
41e018a9-cb3c-413f-9097-b07c7c968d5a	f3fe6b65-16d5-47f4-bd18-964010e11ab5	PRIMARY_AUXILIARIES
41e018a9-cb3c-413f-9097-b07c7c968d5a	eb3b9609-3116-4ff6-8609-385f4d38aeff	UPS
41e018a9-cb3c-413f-9097-b07c7c968d5a	e8a28474-5128-4f76-839f-ce2214e86e6c	CRITICAL_AUXILIARIES
41e018a9-cb3c-413f-9097-b07c7c968d5a	9cfa53bb-892c-4bb5-8e8c-26e13fe4ce58	LIGHTING
41e018a9-cb3c-413f-9097-b07c7c968d5a	7eac5ea6-fb47-4c1e-9a26-24ec2c616a00	CRITICAL_POWER_DISTRIBUTION
41e018a9-cb3c-413f-9097-b07c7c968d5a	afab8281-1127-4170-9716-ef85f17aeeeb	CRAH
41e018a9-cb3c-413f-9097-b07c7c968d5a	31dd68c4-6ff3-4a18-85d5-02c93826593e	CRAC
41e018a9-cb3c-413f-9097-b07c7c968d5a	9221ba93-ab14-4617-b92c-7933d02a1f3c	CRAC_WITHOUT_FAN
41e018a9-cb3c-413f-9097-b07c7c968d5a	ec40624b-d310-4c76-83f9-5066886e88a4	CRAC_FAN
41e018a9-cb3c-413f-9097-b07c7c968d5a	f9197b5d-1a64-4658-bd42-ed9bdbda77e9	CHILLER
41e018a9-cb3c-413f-9097-b07c7c968d5a	dc1686af-5e83-404c-a7b0-eaa4c2895404	AIR_COOLED_CHILLER
41e018a9-cb3c-413f-9097-b07c7c968d5a	a7a28917-accf-4b67-8bdb-4f4d04cc2742	COOLING_TOWER
41e018a9-cb3c-413f-9097-b07c7c968d5a	baa4b7ed-3662-4d0f-bea9-a0b0628c3f7f	DRY_COOLER
41e018a9-cb3c-413f-9097-b07c7c968d5a	cc0a5021-a054-4a64-9678-57ea88602ce1	REMOTE_CONDENSER
41e018a9-cb3c-413f-9097-b07c7c968d5a	e32a61b3-308a-4ac7-a9e4-c70a4089d918	CHILLED_WATER_PUMPS
41e018a9-cb3c-413f-9097-b07c7c968d5a	5a01e51c-1a22-46d5-81fd-4e32c096260b	HEAT_REJECTION_PUMPS
41e018a9-cb3c-413f-9097-b07c7c968d5a	3d16e8e2-9e0f-4d0d-b6c9-00eb327aaf8d	VENTILATION
41e018a9-cb3c-413f-9097-b07c7c968d5a	37346f24-ee8c-48b8-a13f-7c29d9f8a312	INFILTRATION
41e018a9-cb3c-413f-9097-b07c7c968d5a	2d53fade-fd2d-4f39-9d0f-c4a8ba0aee16	IT_LOAD
ddbc01fd-2874-405c-b55e-382f3ef6abe1	18952553-d4f0-4799-9ca8-d3d6a0a35449	SWITCHGEAR
ddbc01fd-2874-405c-b55e-382f3ef6abe1	bfa5012d-190d-46bc-b7f7-e26b85408de6	GENERATOR
ddbc01fd-2874-405c-b55e-382f3ef6abe1	91447959-17bb-4114-bc16-15135c63a002	PRIMARY_AUXILIARIES
ddbc01fd-2874-405c-b55e-382f3ef6abe1	fd1f7191-87f1-4b36-b08f-2fedde1e0ff9	UPS
ddbc01fd-2874-405c-b55e-382f3ef6abe1	137e4a88-8e16-4907-8cc7-e1466076714f	CRITICAL_AUXILIARIES
ddbc01fd-2874-405c-b55e-382f3ef6abe1	65facece-3808-4a8e-8618-88f35dfedd39	LIGHTING
ddbc01fd-2874-405c-b55e-382f3ef6abe1	0d447da8-191e-464f-8c3a-6c06b29941d5	CRITICAL_POWER_DISTRIBUTION
ddbc01fd-2874-405c-b55e-382f3ef6abe1	5a38233b-8681-4228-8e23-a9fe6a36c823	CRAH
ddbc01fd-2874-405c-b55e-382f3ef6abe1	7628ec8e-e44b-4bef-9a0e-4b7d5f2fbbba	CRAC
ddbc01fd-2874-405c-b55e-382f3ef6abe1	b91e7de1-8ab5-428a-afe1-c540732383e5	CRAC_WITHOUT_FAN
ddbc01fd-2874-405c-b55e-382f3ef6abe1	545ca207-99c2-4ca2-8a5f-a0ba12f917bc	CRAC_FAN
ddbc01fd-2874-405c-b55e-382f3ef6abe1	610de9cb-9bf0-4ba9-b0ad-e31d2e3fbfc1	CHILLER
ddbc01fd-2874-405c-b55e-382f3ef6abe1	217d3ad9-92bf-4caa-8602-109ad5211ef5	AIR_COOLED_CHILLER
ddbc01fd-2874-405c-b55e-382f3ef6abe1	acf6e8b1-3164-4adf-8c31-903dcfe5283c	COOLING_TOWER
ddbc01fd-2874-405c-b55e-382f3ef6abe1	17a18b7e-dba9-4f86-bb86-c4d3cfe27919	DRY_COOLER
ddbc01fd-2874-405c-b55e-382f3ef6abe1	9af6333f-2d24-4b58-8585-cbb0f2882ca8	REMOTE_CONDENSER
ddbc01fd-2874-405c-b55e-382f3ef6abe1	5615edf6-cd6e-4aab-a9b9-df07923b2dd3	CHILLED_WATER_PUMPS
ddbc01fd-2874-405c-b55e-382f3ef6abe1	f6a54524-5789-49e5-949e-632cc3a26dae	HEAT_REJECTION_PUMPS
ddbc01fd-2874-405c-b55e-382f3ef6abe1	2fdf99e5-2c7d-462f-beb3-74278c6a5ffa	VENTILATION
ddbc01fd-2874-405c-b55e-382f3ef6abe1	0e4bcbcf-fe94-4ffc-b1f7-3e92a14d9489	INFILTRATION
ddbc01fd-2874-405c-b55e-382f3ef6abe1	c6071725-9a38-4e97-bfd8-74e0198abbff	IT_LOAD
6eada824-09bf-4989-945b-0ba16e86be83	2556a6cc-091f-4cf0-a49d-399602ba3792	SWITCHGEAR
6eada824-09bf-4989-945b-0ba16e86be83	3b803928-79cb-4339-b88c-90bd44d0b56c	GENERATOR
6eada824-09bf-4989-945b-0ba16e86be83	c6d54971-aa1a-4614-8004-04b3503af477	PRIMARY_AUXILIARIES
6eada824-09bf-4989-945b-0ba16e86be83	629002e0-865f-4b0a-b6dc-0e6523713a5a	UPS
6eada824-09bf-4989-945b-0ba16e86be83	c7971e42-44fa-4321-a2d2-e95e473f029a	CRITICAL_AUXILIARIES
6eada824-09bf-4989-945b-0ba16e86be83	cfc4fd22-29c1-47f2-a4dc-e9fa6b3d1145	LIGHTING
6eada824-09bf-4989-945b-0ba16e86be83	00eab444-f14a-49f2-b379-831a157e0429	CRITICAL_POWER_DISTRIBUTION
6eada824-09bf-4989-945b-0ba16e86be83	4e02a4b5-8fb0-49a7-ba3a-ec07f2f0f356	CRAH
6eada824-09bf-4989-945b-0ba16e86be83	744653c9-5d05-459a-93ae-b572b0635a45	CRAC
6eada824-09bf-4989-945b-0ba16e86be83	8f319e13-9ba2-4053-be98-e88b053c3fac	CRAC_WITHOUT_FAN
6eada824-09bf-4989-945b-0ba16e86be83	fe7f256a-3372-4cec-a69f-ca57dbb843b6	CRAC_FAN
6eada824-09bf-4989-945b-0ba16e86be83	257eb55c-4335-4659-aa6f-4be9e47af9ea	CHILLER
6eada824-09bf-4989-945b-0ba16e86be83	7bfc6b41-5869-4b41-b669-b277d42f858f	AIR_COOLED_CHILLER
6eada824-09bf-4989-945b-0ba16e86be83	208ca524-6a47-4880-93a0-22e131780d34	COOLING_TOWER
6eada824-09bf-4989-945b-0ba16e86be83	daae1e0d-fc3f-451d-a869-2b5017b7ba6f	DRY_COOLER
6eada824-09bf-4989-945b-0ba16e86be83	813bb942-7694-4177-a62b-52a62153c5ab	REMOTE_CONDENSER
6eada824-09bf-4989-945b-0ba16e86be83	95e4c3d2-0a7f-4672-bb1e-bddfec5eefcf	CHILLED_WATER_PUMPS
6eada824-09bf-4989-945b-0ba16e86be83	28e71e0a-359c-4309-b02d-f8557b43f68a	HEAT_REJECTION_PUMPS
6eada824-09bf-4989-945b-0ba16e86be83	caba8964-18da-48bc-b753-28f45028c480	VENTILATION
6eada824-09bf-4989-945b-0ba16e86be83	1d093814-ec4c-4137-86ba-75c22a8671ce	INFILTRATION
6eada824-09bf-4989-945b-0ba16e86be83	352fbc96-df30-4d2e-b088-f78fee908d44	IT_LOAD
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	39a3540e-eb26-43a1-8b0c-d9a479bb6a66	SWITCHGEAR
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	880f19b4-3a67-463a-9c85-a74c139025d7	GENERATOR
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	faa02546-bd17-4fc8-a6a6-7a3a6ef9327f	PRIMARY_AUXILIARIES
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	399eec3f-89b6-44bd-81e0-0d1a7c44f96e	UPS
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	d1142b14-bc58-4a20-b390-cea24b57902f	CRITICAL_AUXILIARIES
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	c5573cda-c82b-41fa-b90d-42f86b99d060	LIGHTING
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	a4f32dcf-6809-4a07-b8de-8de013e27e2b	CRITICAL_POWER_DISTRIBUTION
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	6daa6bd2-7eb6-4849-86cd-892853cf49c6	CRAH
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	f92d7b30-d3d0-4ad1-a554-6a607422fa4a	CRAC
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	cb2a6e14-d1c1-4dc7-b1cd-6801ed179431	CRAC_WITHOUT_FAN
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	656f5555-c877-4f72-a0dc-694bb1f978e2	CRAC_FAN
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	f04a8e76-94b4-47bf-949e-8f2884e17562	CHILLER
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	a7f4265a-4e85-4c36-9f44-01004e252a04	AIR_COOLED_CHILLER
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	90be29e4-398d-4641-9a1d-2b2ba2b82376	COOLING_TOWER
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	13a7a0c2-4a6b-424f-b28d-49a02e21dcb8	DRY_COOLER
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	52d193aa-80a8-485e-95a2-e1cc590d9221	REMOTE_CONDENSER
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	1749c195-3992-4c15-ac23-5303729e832e	CHILLED_WATER_PUMPS
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	ae4334e3-f4d1-4b9c-aeb8-36d9234ad183	HEAT_REJECTION_PUMPS
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	25b6da64-1cb7-448d-aea4-d3482447e6cb	VENTILATION
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	5cf04c2c-8ae1-49c3-89e4-f882a473151f	INFILTRATION
12ce89b8-bad9-427d-bdfd-95bbc346c5ed	d84d9c79-01b8-4b4d-8629-6dda30dd83ef	IT_LOAD
e5852eb7-0961-4ee7-9441-8220e14f921c	b20af46c-cbe8-4731-869e-24edc8089ad5	SWITCHGEAR
e5852eb7-0961-4ee7-9441-8220e14f921c	633095aa-0720-4b4d-a937-7eb7f7023d7d	GENERATOR
e5852eb7-0961-4ee7-9441-8220e14f921c	03bc931a-da5c-4c8f-b909-6d2b0846d8f2	PRIMARY_AUXILIARIES
e5852eb7-0961-4ee7-9441-8220e14f921c	2034c280-fbf0-4e77-a4e4-ff9f8e4031da	UPS
e5852eb7-0961-4ee7-9441-8220e14f921c	8962e270-3e4b-4da2-b20b-63d08cce9428	CRITICAL_AUXILIARIES
e5852eb7-0961-4ee7-9441-8220e14f921c	11c56fe1-aa94-401d-8709-787b7877e873	LIGHTING
e5852eb7-0961-4ee7-9441-8220e14f921c	5c30554f-7ee9-46cb-b1de-2876045c4c98	CRITICAL_POWER_DISTRIBUTION
e5852eb7-0961-4ee7-9441-8220e14f921c	d19ff85c-46ed-4e82-a65e-8fa335345a76	CRAH
e5852eb7-0961-4ee7-9441-8220e14f921c	0127f55a-470e-4e99-a0a2-dbcbf1de655d	CRAC
e5852eb7-0961-4ee7-9441-8220e14f921c	5d442564-2c1d-4ec7-9c17-c449db104ada	CRAC_WITHOUT_FAN
e5852eb7-0961-4ee7-9441-8220e14f921c	fccd3560-6103-4c6c-aa69-2ace2b3f4efb	CRAC_FAN
e5852eb7-0961-4ee7-9441-8220e14f921c	25f9f218-ac46-446f-82a1-0e1f2f03d89b	CHILLER
e5852eb7-0961-4ee7-9441-8220e14f921c	99e2c61f-7948-4438-8784-e90d0a248196	AIR_COOLED_CHILLER
e5852eb7-0961-4ee7-9441-8220e14f921c	28d4d7aa-5587-45c1-aa5f-2095801951d8	COOLING_TOWER
e5852eb7-0961-4ee7-9441-8220e14f921c	146c9817-8bac-4f88-b21a-59066519eb0e	DRY_COOLER
e5852eb7-0961-4ee7-9441-8220e14f921c	d2e3b172-6c0e-4bd8-b095-a67646c0de61	REMOTE_CONDENSER
e5852eb7-0961-4ee7-9441-8220e14f921c	258cd1fa-59d5-417c-9d4b-d7afad0cb421	CHILLED_WATER_PUMPS
e5852eb7-0961-4ee7-9441-8220e14f921c	a89260e4-78ad-47f6-ad66-e6ac389a0f70	HEAT_REJECTION_PUMPS
e5852eb7-0961-4ee7-9441-8220e14f921c	e8f31aac-c4d5-4d89-a932-df1309d4b952	VENTILATION
e5852eb7-0961-4ee7-9441-8220e14f921c	f4d00420-6b2d-4225-8930-b1e04c01b67c	INFILTRATION
e5852eb7-0961-4ee7-9441-8220e14f921c	21e9ed3b-c0b3-4ea8-9a26-207d4b5154b8	IT_LOAD
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	ba7bfe01-7d95-4ea1-b972-614d0b965599	SWITCHGEAR
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	dc3d7f7e-503c-45d2-8176-1c736606e975	GENERATOR
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	717e492d-550c-41fc-a48d-3f09d0ae50b4	PRIMARY_AUXILIARIES
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	272b0904-c9a6-4b83-9c42-d7a78bc8cc20	UPS
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	2018a4a1-4f21-49a2-851a-627fb8737bd0	CRITICAL_AUXILIARIES
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	1a7d1206-d87a-496f-a337-ed05d2db68a1	LIGHTING
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	b2be6fa8-d28b-46e9-b2dd-e0c30d245282	CRITICAL_POWER_DISTRIBUTION
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	08869643-1562-4557-ba00-0fe662c7056f	CRAH
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	f237bac3-8855-40f6-9757-896f5a4184d1	CRAC
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	57515ce1-f15e-430c-ae6a-55ff6d7f19cb	CRAC_WITHOUT_FAN
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	6b1cfa5f-6ab9-4de6-bdf8-4d098f5cbc34	CRAC_FAN
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	be0c4351-ec67-4f3f-8f06-e52666952626	CHILLER
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	ae80a57e-ac7c-48f2-98d4-4be95e185bd1	AIR_COOLED_CHILLER
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	3003d93c-6431-4820-b4f6-e99b279062d9	COOLING_TOWER
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	9c38ec14-4b78-4e46-be09-6b5da80a06ea	DRY_COOLER
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	9475e098-39c8-45be-9ba0-c6a47165da9c	REMOTE_CONDENSER
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	266ac2b1-31e6-4475-8d36-64b16373c7e7	CHILLED_WATER_PUMPS
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	51a82a1a-b856-47cf-874d-e615242ffde6	HEAT_REJECTION_PUMPS
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	137a216a-9e2b-4b1c-9f9d-c4d2b69b044e	VENTILATION
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	31747194-863a-4fa4-9481-71e3732c97ac	INFILTRATION
f3e1dfe9-927d-4738-b6fc-e511f708e4cc	dbc47a30-7a48-4f5d-a6c5-a259b513804f	IT_LOAD
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	7311e0fc-e792-4456-ae44-2fa1b0118b84	SWITCHGEAR
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	ef0e0878-32b9-454a-a996-ccbf5560fa1b	GENERATOR
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	052c1a3b-e666-4f4f-a021-33ca90178ab4	PRIMARY_AUXILIARIES
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	ea756e5e-6044-4771-8d38-3e27a13d47b5	UPS
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	cdb08367-ed16-4b2e-8392-8cc02ef3b411	CRITICAL_AUXILIARIES
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	3b8c5abe-fb2a-449c-b126-6105bf098346	LIGHTING
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	bcdb4365-c519-4356-b706-fd85c1627538	CRITICAL_POWER_DISTRIBUTION
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	4047b116-bd19-46d0-bf3f-695bcb644d07	CRAH
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	3ae490b1-ce2b-4d2b-b313-f6011512e173	CRAC
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	914e25c3-9ae2-47d3-9632-cc7b05c3e641	CRAC_WITHOUT_FAN
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	719b68fb-e9ef-4f53-84b2-4e8a6c8ce3ca	CRAC_FAN
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	b301e4f7-ae60-4097-86db-37e0336e17c7	CHILLER
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	80ee6db9-bd6e-4cc3-bb46-43df132ec807	AIR_COOLED_CHILLER
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	d12b4589-73de-4bdb-b054-9143081512a0	COOLING_TOWER
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	7f475dc1-58de-4681-b0f3-0ab393057676	DRY_COOLER
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	0f590b03-274e-4dae-b49f-961ee50b7f68	REMOTE_CONDENSER
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	0cde53fe-41d6-427f-83f5-5096e010e666	CHILLED_WATER_PUMPS
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	172b824b-11ac-4c91-97d1-a9fbedbf234f	HEAT_REJECTION_PUMPS
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	0e9b23d4-34f3-4fd0-a32a-4f9a3311f436	VENTILATION
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	9a71d919-57c2-4d5c-beca-77d376abe815	INFILTRATION
e1929520-e4da-4c1b-a3b5-d2f5a201e13f	988ea69b-4617-4762-8f16-45eec56625fd	IT_LOAD
70e3563a-7c27-4470-a887-a5d507b92ce3	470a8f23-71cf-4b5f-9a9f-4024f944aac6	SWITCHGEAR
70e3563a-7c27-4470-a887-a5d507b92ce3	66c87249-a7f8-48d3-8b69-29cf46252d03	GENERATOR
70e3563a-7c27-4470-a887-a5d507b92ce3	b2d652a5-8680-4ffe-9ecd-dfd6d2c47458	PRIMARY_AUXILIARIES
70e3563a-7c27-4470-a887-a5d507b92ce3	501dceb1-4dc6-4c40-abec-ff7aad480910	UPS
70e3563a-7c27-4470-a887-a5d507b92ce3	eb195ced-ccf9-486e-8782-3df9f65fadb0	CRITICAL_AUXILIARIES
70e3563a-7c27-4470-a887-a5d507b92ce3	b21aafdf-4722-4d95-9f81-0cd9f2bcb0b1	LIGHTING
70e3563a-7c27-4470-a887-a5d507b92ce3	4a8e6a47-02e1-47f4-bacb-148a84bf5544	CRITICAL_POWER_DISTRIBUTION
70e3563a-7c27-4470-a887-a5d507b92ce3	64d9d2c7-42cc-43b1-abd9-a2a15a873348	CRAH
70e3563a-7c27-4470-a887-a5d507b92ce3	122b37c8-241b-4446-8aee-d5b54b28f958	CRAC
70e3563a-7c27-4470-a887-a5d507b92ce3	bf59de6d-f1f7-4647-82b3-e97bfb7e6aea	CRAC_WITHOUT_FAN
70e3563a-7c27-4470-a887-a5d507b92ce3	1b8958db-77c9-4513-b031-9fd2daa85ac5	CRAC_FAN
70e3563a-7c27-4470-a887-a5d507b92ce3	8286c8f6-951d-4494-bb82-c4c4cf424c54	CHILLER
70e3563a-7c27-4470-a887-a5d507b92ce3	953ffc02-9557-454c-b04c-351e1343b90e	AIR_COOLED_CHILLER
70e3563a-7c27-4470-a887-a5d507b92ce3	4f41c360-b1d6-45e7-9c99-27f5ca3e1383	COOLING_TOWER
70e3563a-7c27-4470-a887-a5d507b92ce3	986fa395-5621-4b81-baf9-fcfda137c610	DRY_COOLER
70e3563a-7c27-4470-a887-a5d507b92ce3	2d3f1f8b-1f6b-4da9-a6de-f2d70acf185a	REMOTE_CONDENSER
70e3563a-7c27-4470-a887-a5d507b92ce3	6de9ee1d-7927-4b70-9c52-2f9fd648f6d4	CHILLED_WATER_PUMPS
70e3563a-7c27-4470-a887-a5d507b92ce3	27d353d2-b4e9-4aad-92c3-89f3790fef65	HEAT_REJECTION_PUMPS
70e3563a-7c27-4470-a887-a5d507b92ce3	5960118a-aa8f-4721-af0d-e187aaea8608	VENTILATION
70e3563a-7c27-4470-a887-a5d507b92ce3	18785ee8-61d4-4f59-922d-9d321493b4ff	INFILTRATION
70e3563a-7c27-4470-a887-a5d507b92ce3	b9132491-0f42-49f4-abb2-49b0df7665ac	IT_LOAD
ce1def9f-df08-4424-b23e-9d1633aeedda	e14f7d90-9b76-46e4-9a0b-074b41aae2be	SWITCHGEAR
ce1def9f-df08-4424-b23e-9d1633aeedda	18f02586-ef71-4400-8bd4-4f3ce0f835af	GENERATOR
ce1def9f-df08-4424-b23e-9d1633aeedda	a066a61a-d223-41d4-a273-52b19e2160d0	PRIMARY_AUXILIARIES
ce1def9f-df08-4424-b23e-9d1633aeedda	d2a2f6ef-d9c2-43df-9151-b75c298a19cc	UPS
ce1def9f-df08-4424-b23e-9d1633aeedda	fc9d9c16-ef39-4236-8741-cb1eb4301267	CRITICAL_AUXILIARIES
ce1def9f-df08-4424-b23e-9d1633aeedda	ee6f8bcd-3686-42f4-81c0-598912f7bb01	LIGHTING
ce1def9f-df08-4424-b23e-9d1633aeedda	8fcadaab-408f-4351-bdf0-64f26e88ed04	CRITICAL_POWER_DISTRIBUTION
ce1def9f-df08-4424-b23e-9d1633aeedda	eb6d5313-d601-40ef-954d-5e05e5b049e9	CRAH
ce1def9f-df08-4424-b23e-9d1633aeedda	9ed70f61-ed32-4a72-9ded-e13261b692e9	CRAC
ce1def9f-df08-4424-b23e-9d1633aeedda	34ba6e95-481f-4fd6-8bca-ef2dfea24c6a	CRAC_WITHOUT_FAN
ce1def9f-df08-4424-b23e-9d1633aeedda	6e9e503a-b4e8-4151-8a39-ea413012805b	CRAC_FAN
ce1def9f-df08-4424-b23e-9d1633aeedda	2d42fc39-f792-47d8-89a0-63d731d41376	CHILLER
ce1def9f-df08-4424-b23e-9d1633aeedda	7a410792-7813-41de-8ce6-d1bef79d26f2	AIR_COOLED_CHILLER
ce1def9f-df08-4424-b23e-9d1633aeedda	3947ce10-11d9-4f62-a3b8-e0e16a98c061	COOLING_TOWER
ce1def9f-df08-4424-b23e-9d1633aeedda	feb035bf-446d-41c8-a396-179e84569cf3	DRY_COOLER
ce1def9f-df08-4424-b23e-9d1633aeedda	be94d5bd-91ff-419e-b4b5-0b0416e7e2b5	REMOTE_CONDENSER
ce1def9f-df08-4424-b23e-9d1633aeedda	f96a965f-9bff-4f18-b901-2bd494180e67	CHILLED_WATER_PUMPS
ce1def9f-df08-4424-b23e-9d1633aeedda	2b4c39a8-c162-4acb-a8da-1d73eb9b789f	HEAT_REJECTION_PUMPS
ce1def9f-df08-4424-b23e-9d1633aeedda	dfbd0fe7-b70c-4609-8368-4a7b474d44b8	VENTILATION
ce1def9f-df08-4424-b23e-9d1633aeedda	89555302-a512-4724-8314-c24057f25381	INFILTRATION
ce1def9f-df08-4424-b23e-9d1633aeedda	88af79e8-7046-4dfb-bc87-90ff976a6374	IT_LOAD
34d470a6-f114-4bf8-b022-4f38ae35a173	240a5a2c-091d-4baa-9fb5-e2ec33ea0e2b	SWITCHGEAR
34d470a6-f114-4bf8-b022-4f38ae35a173	9b1b90e8-e59a-47ba-b251-5466e46c7514	GENERATOR
34d470a6-f114-4bf8-b022-4f38ae35a173	5e6fad24-b0ae-49dc-88c3-c22ebf7f8d86	PRIMARY_AUXILIARIES
34d470a6-f114-4bf8-b022-4f38ae35a173	2daa77bb-eb4d-4da7-b05c-f60efec2d38b	UPS
34d470a6-f114-4bf8-b022-4f38ae35a173	1bbbb9c3-baf6-46f5-b481-4fbb275b0c3b	CRITICAL_AUXILIARIES
34d470a6-f114-4bf8-b022-4f38ae35a173	b2c08d4b-ea4f-4755-afa9-2c0eb4622c12	LIGHTING
34d470a6-f114-4bf8-b022-4f38ae35a173	eb0b3d7c-6a58-4060-bd35-cbfc22a5bb39	CRITICAL_POWER_DISTRIBUTION
34d470a6-f114-4bf8-b022-4f38ae35a173	63b0b80b-be7c-43cd-83d0-b79066589a74	CRAH
34d470a6-f114-4bf8-b022-4f38ae35a173	52447158-af1b-41b3-8e0d-6dff1ec6be49	CRAC
34d470a6-f114-4bf8-b022-4f38ae35a173	bfbb5245-6791-4150-960c-3af25e226d03	CRAC_WITHOUT_FAN
34d470a6-f114-4bf8-b022-4f38ae35a173	b32945d5-efd1-4aab-9f22-9ff4519c48da	CRAC_FAN
34d470a6-f114-4bf8-b022-4f38ae35a173	65c575df-dadd-47f1-a931-28cfb561a203	CHILLER
34d470a6-f114-4bf8-b022-4f38ae35a173	a0d9f306-1603-4209-a5f2-2ac61fe36949	AIR_COOLED_CHILLER
34d470a6-f114-4bf8-b022-4f38ae35a173	6314640d-9055-4230-b98a-f8326eda5f3a	COOLING_TOWER
34d470a6-f114-4bf8-b022-4f38ae35a173	9b8af786-97ac-429e-aa97-19040bcd9902	DRY_COOLER
34d470a6-f114-4bf8-b022-4f38ae35a173	a980d40f-2db3-4ffa-ba99-c7e677102200	REMOTE_CONDENSER
34d470a6-f114-4bf8-b022-4f38ae35a173	376dfc32-0d52-48a9-97a9-a4059a914017	CHILLED_WATER_PUMPS
34d470a6-f114-4bf8-b022-4f38ae35a173	9d0e03f0-c269-4723-8616-8df7c8c9e068	HEAT_REJECTION_PUMPS
34d470a6-f114-4bf8-b022-4f38ae35a173	0220c87e-b0b8-4e24-9b2e-3a173f0ff662	VENTILATION
34d470a6-f114-4bf8-b022-4f38ae35a173	74ae140e-4e36-44db-a0fb-1e3b3a7ebd6f	INFILTRATION
34d470a6-f114-4bf8-b022-4f38ae35a173	b57f1d74-d809-4e7c-b094-ab9d4a036744	IT_LOAD
b783687a-3cb1-4bd4-93bb-530b43a09833	086e5e12-6387-48ca-8243-932e19e11adf	SWITCHGEAR
b783687a-3cb1-4bd4-93bb-530b43a09833	3b4b23d3-c59b-459d-af05-63c76d1271fa	GENERATOR
b783687a-3cb1-4bd4-93bb-530b43a09833	fdd709fe-08fb-4647-ab7c-a2fd52b3db31	PRIMARY_AUXILIARIES
b783687a-3cb1-4bd4-93bb-530b43a09833	9be06a36-35bb-4564-8886-a01e9e8a4b6e	UPS
b783687a-3cb1-4bd4-93bb-530b43a09833	c47d3bb4-d172-4968-bd8b-8e9de44a3fb0	CRITICAL_AUXILIARIES
b783687a-3cb1-4bd4-93bb-530b43a09833	bafc9d56-e94b-4f49-b956-ea6a0ef2b089	LIGHTING
b783687a-3cb1-4bd4-93bb-530b43a09833	e9d0196e-2a9e-4d78-8251-3fdef5d0cd91	CRITICAL_POWER_DISTRIBUTION
b783687a-3cb1-4bd4-93bb-530b43a09833	fba5a42d-539c-467e-a086-5e0c2ef7c7fe	CRAH
b783687a-3cb1-4bd4-93bb-530b43a09833	6431beb9-c192-4a8e-bbab-08747bed100e	CRAC
b783687a-3cb1-4bd4-93bb-530b43a09833	579fa16e-5660-42b9-ac58-31392e6e8b58	CRAC_WITHOUT_FAN
b783687a-3cb1-4bd4-93bb-530b43a09833	7b2e02f0-c01b-423c-9d28-d5ab29c504bb	CRAC_FAN
b783687a-3cb1-4bd4-93bb-530b43a09833	90340cb8-de08-4835-b271-3e8414b5be66	CHILLER
b783687a-3cb1-4bd4-93bb-530b43a09833	8de78698-01a6-425f-b9d2-5788802afc94	AIR_COOLED_CHILLER
b783687a-3cb1-4bd4-93bb-530b43a09833	edaa6fae-227c-4c42-a29e-f6b604b61071	COOLING_TOWER
b783687a-3cb1-4bd4-93bb-530b43a09833	002cb625-1a60-4005-bedb-7d9540162768	DRY_COOLER
b783687a-3cb1-4bd4-93bb-530b43a09833	576731b8-d231-4bd5-ad80-1778df4b7580	REMOTE_CONDENSER
b783687a-3cb1-4bd4-93bb-530b43a09833	4b933dd0-557e-4043-b1e2-a033e8e2e720	CHILLED_WATER_PUMPS
b783687a-3cb1-4bd4-93bb-530b43a09833	e2d76484-df9a-4676-ba31-a42eda66ec61	HEAT_REJECTION_PUMPS
b783687a-3cb1-4bd4-93bb-530b43a09833	ab4fe081-e8cf-4c36-8c2d-1dcb2bfc5683	VENTILATION
b783687a-3cb1-4bd4-93bb-530b43a09833	cf9f4435-aef1-4286-9ef4-908204e6bb95	INFILTRATION
b783687a-3cb1-4bd4-93bb-530b43a09833	c5c3cd39-a487-4a2e-b7b1-b0c08ddc5462	IT_LOAD
92cc7e9a-3e08-483b-87d5-6ba47ced051f	afb70e61-1fd7-466e-978b-ebe845498fa4	SWITCHGEAR
92cc7e9a-3e08-483b-87d5-6ba47ced051f	af676f13-df0e-4c80-9894-c304f9052033	GENERATOR
92cc7e9a-3e08-483b-87d5-6ba47ced051f	970ad30b-f58a-4b4a-be26-b94bba41389e	PRIMARY_AUXILIARIES
92cc7e9a-3e08-483b-87d5-6ba47ced051f	e0376251-cedb-413c-a598-a01bb4885af7	UPS
92cc7e9a-3e08-483b-87d5-6ba47ced051f	d60aefd1-6ee8-49da-9145-50b0691c4056	CRITICAL_AUXILIARIES
92cc7e9a-3e08-483b-87d5-6ba47ced051f	40ea4dde-b881-421c-9f12-2eaea856da11	LIGHTING
92cc7e9a-3e08-483b-87d5-6ba47ced051f	58449ab2-985b-4772-bf3b-f9a76e963820	CRITICAL_POWER_DISTRIBUTION
92cc7e9a-3e08-483b-87d5-6ba47ced051f	29e75fd3-69df-49a9-b154-93a3c9ecd7fe	CRAH
92cc7e9a-3e08-483b-87d5-6ba47ced051f	e81db2f1-6241-47bb-9d17-f9a7ef478c19	CRAC
92cc7e9a-3e08-483b-87d5-6ba47ced051f	22715ba9-dc85-4d97-9ae8-993e2d34ee87	CRAC_WITHOUT_FAN
92cc7e9a-3e08-483b-87d5-6ba47ced051f	1c093459-ecbc-4d33-b266-19545601c33e	CRAC_FAN
92cc7e9a-3e08-483b-87d5-6ba47ced051f	88aab916-385d-4092-8f64-1a14dde4a2fb	CHILLER
92cc7e9a-3e08-483b-87d5-6ba47ced051f	3c8c11da-5794-4742-b2d8-e24af797fb1b	AIR_COOLED_CHILLER
92cc7e9a-3e08-483b-87d5-6ba47ced051f	f992d5e5-5d87-48e2-8585-1d9b15e478b2	COOLING_TOWER
92cc7e9a-3e08-483b-87d5-6ba47ced051f	30b89de1-87ee-4856-8f46-84eb303bbfde	DRY_COOLER
92cc7e9a-3e08-483b-87d5-6ba47ced051f	0bc9565b-87d1-4bdc-88b4-8f42cf1b9734	REMOTE_CONDENSER
92cc7e9a-3e08-483b-87d5-6ba47ced051f	1eb75776-b4f7-415e-ab8b-20231999e525	CHILLED_WATER_PUMPS
92cc7e9a-3e08-483b-87d5-6ba47ced051f	8751a65d-c966-46b9-87f6-84ed054e472a	HEAT_REJECTION_PUMPS
92cc7e9a-3e08-483b-87d5-6ba47ced051f	aeeeb0ee-1ab7-4ca9-b32d-4bbace6ef517	VENTILATION
92cc7e9a-3e08-483b-87d5-6ba47ced051f	211ce7b3-d27e-43d4-8a0b-e805f4c85889	INFILTRATION
92cc7e9a-3e08-483b-87d5-6ba47ced051f	584c5a17-dcfc-4847-b0c0-84d1cf572679	IT_LOAD
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	214b75c6-3876-4a76-8a99-14f0431a4d15	SWITCHGEAR
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	d8594647-04d2-4717-945e-b70cb2f53cc7	GENERATOR
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	9148f515-f81f-41b0-89be-904dcda22cbc	PRIMARY_AUXILIARIES
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	4bf8b43e-1675-4ba0-81a3-e5835170008e	UPS
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	621ab7f8-efe4-4887-b2f7-4815ff50a1e5	CRITICAL_AUXILIARIES
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	bc14b39e-f947-435e-882a-689b184951e4	LIGHTING
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	93ac492d-a69f-4d08-a9a4-4b5e7ff77ee2	CRITICAL_POWER_DISTRIBUTION
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	e6475641-cf7c-4b2a-9a1b-d1c8078e7646	CRAH
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	655f399a-2dd6-4f42-a0e3-85a9beea4acc	CRAC
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	5707b5a9-2151-431d-b5ef-f163e285c56c	CRAC_WITHOUT_FAN
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	2f260e43-f33d-4b69-a463-b89c4bc8a9a2	CRAC_FAN
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	c04c8c51-c139-458f-8259-98dc8b5468a0	CHILLER
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	c82de2ef-0cd0-4f3c-a00c-bcb742bda237	AIR_COOLED_CHILLER
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	8284b294-1453-4809-aac9-5a34a9d31865	COOLING_TOWER
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	9b3759a5-457e-485b-83b1-083f4a02a774	DRY_COOLER
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	bccc56bb-c879-44c8-ba27-a00a847960fa	REMOTE_CONDENSER
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	51989654-a28e-46bb-a9b3-8ba773ac0b1a	CHILLED_WATER_PUMPS
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	3e1306f7-9b54-4964-ade4-fe7a1aef701b	HEAT_REJECTION_PUMPS
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	6fb97958-4894-4411-8fae-4889b2310cf2	VENTILATION
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	08ceb0ab-9d8d-456a-a390-875dbeb4dc9e	INFILTRATION
21893389-d9c0-4aa7-8bf9-eb827e1dcbc7	5ae5422e-0bd6-4aec-820c-8919cd95ae78	IT_LOAD
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	c0de06fd-75c0-43d2-a26a-a145681db357	SWITCHGEAR
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	611943dc-5036-469b-b4cf-65e41765d956	GENERATOR
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	140b9923-a75a-4694-927f-cb115bff133f	PRIMARY_AUXILIARIES
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	9cad5018-a256-49b4-b1a8-603efe6e55c0	UPS
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	e994833d-5558-45e1-8aab-ec3cc87db099	CRITICAL_AUXILIARIES
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	4a835648-4c84-4450-99fa-be7edc43b6ca	LIGHTING
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	a109d452-4e11-43d7-982e-ac8d23e49bd1	CRITICAL_POWER_DISTRIBUTION
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	995bed74-5c0a-4c5d-aa8e-a1303b7e72fd	CRAH
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	4dc7068e-2595-4f23-9615-bb17f0368258	CRAC
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	1fdc22a0-b292-4cba-949c-154d12b29695	CRAC_WITHOUT_FAN
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	52e49e0c-780f-4061-b9e3-3df455a134d9	CRAC_FAN
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	b3d7ffda-73bc-4aa9-b492-36dfd5bed03d	CHILLER
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	49062b77-5815-46a4-bcb6-ee301b08360f	AIR_COOLED_CHILLER
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	0bf775ea-680e-4a6b-ad06-34dac3c68d29	COOLING_TOWER
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	9aecc30a-46e1-4e1f-a60c-0a3202aba26b	DRY_COOLER
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	92834650-b013-488f-9bd2-05eb3a2d93cf	REMOTE_CONDENSER
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	86324123-2d8b-4b23-b363-6ac98b4607e1	CHILLED_WATER_PUMPS
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	9802cb77-52c3-4c20-83e0-f222154410cd	HEAT_REJECTION_PUMPS
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	e6fe88e5-2e02-4168-a2d6-8bd3928ca167	VENTILATION
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	fb1d26b8-4b67-4397-8224-416a42ad4a34	INFILTRATION
bb20c9bc-cd9b-49a8-a7b4-5f48db93c266	aaf254e4-1a4e-4aba-b1c6-6273c67bfef3	IT_LOAD
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	21c7ad2d-2dba-432a-b6d5-5d077402ca33	SWITCHGEAR
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	6f105b72-46fd-4264-bfa3-da5b687b869a	GENERATOR
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	fa168ca0-54ca-4114-8549-459d76fba08b	PRIMARY_AUXILIARIES
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	c15edc6c-0e70-433a-aa2b-f236c1b623ea	UPS
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	8c1765e9-d673-43da-afc4-5bea8e81363e	CRITICAL_AUXILIARIES
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	58ccd612-0b9e-4b6e-9850-1bbe44b33f1f	LIGHTING
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	90c954c6-aaa3-4c76-9263-42b8ed551ecc	CRITICAL_POWER_DISTRIBUTION
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	1ec8890b-6f7b-46d3-9f48-9549a88b6485	CRAH
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	b06b9194-ed62-4df0-a55b-01922151fff8	CRAC
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	09cdb0be-06b4-4018-9daa-f521ccc612ec	CRAC_WITHOUT_FAN
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	8e2dabca-bb5d-4995-a64e-616308256269	CRAC_FAN
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	0e6ca09d-9c54-4ce3-b56e-86efba0e2510	CHILLER
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	a946f11e-e340-4b54-934c-c090dfecd0f9	AIR_COOLED_CHILLER
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	234a1239-1b58-4809-8440-3bca1f7249bd	COOLING_TOWER
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	3e35896c-61d9-4ce6-9ed4-4e93bf4549e8	DRY_COOLER
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	363f20f3-eaab-414f-83a8-a7d698c948de	REMOTE_CONDENSER
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	90948a35-18b0-4c78-a952-c4aeae212d2d	CHILLED_WATER_PUMPS
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	9dd8095d-47c3-49ae-b58c-a8251516cff0	HEAT_REJECTION_PUMPS
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	be7c9363-d9bb-437f-b186-5d8838195b30	VENTILATION
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	66c7f49f-76d7-48c6-89e0-3f1eb3e01a72	INFILTRATION
7ef5ad74-515b-48f4-8f2b-9dc5c31e650d	9183c1ef-6505-4340-8161-f6e3c9213797	IT_LOAD
9e030e26-07b4-4c1b-afc9-d6560b7a461e	11084915-7094-41cf-9ccb-a36831a357b1	SWITCHGEAR
9e030e26-07b4-4c1b-afc9-d6560b7a461e	ed854d21-b93f-4675-aaff-e74d338a5ed3	GENERATOR
9e030e26-07b4-4c1b-afc9-d6560b7a461e	8ef8476e-4715-40d3-8692-bac966b03ef9	PRIMARY_AUXILIARIES
9e030e26-07b4-4c1b-afc9-d6560b7a461e	8b680ecc-7215-4111-9bbb-6e462cab6cfc	UPS
9e030e26-07b4-4c1b-afc9-d6560b7a461e	4ee074b0-4792-474e-88c6-5703efe9ee2c	CRITICAL_AUXILIARIES
9e030e26-07b4-4c1b-afc9-d6560b7a461e	3929a5ac-b8ad-4485-b991-0e6dc8d12d01	LIGHTING
9e030e26-07b4-4c1b-afc9-d6560b7a461e	445ccb39-243a-44db-838c-74b499e2cadc	CRITICAL_POWER_DISTRIBUTION
9e030e26-07b4-4c1b-afc9-d6560b7a461e	e9f937cc-342b-4e30-b3c7-708ae4d597ee	CRAH
9e030e26-07b4-4c1b-afc9-d6560b7a461e	367c543f-7b7f-4a87-a064-8590e8028373	CRAC
9e030e26-07b4-4c1b-afc9-d6560b7a461e	2dbbbc9f-ba37-4b7a-a8b5-1f6ec40c0f07	CRAC_WITHOUT_FAN
9e030e26-07b4-4c1b-afc9-d6560b7a461e	c2ca5ac1-73ba-41aa-a77b-670c83ad289d	CRAC_FAN
9e030e26-07b4-4c1b-afc9-d6560b7a461e	902ffeea-98e2-46fa-9958-aa3353d571aa	CHILLER
9e030e26-07b4-4c1b-afc9-d6560b7a461e	a8574ed2-1638-41dd-887f-5814f173c5ca	AIR_COOLED_CHILLER
9e030e26-07b4-4c1b-afc9-d6560b7a461e	07962ef2-a13f-4819-a7af-0ac1a3530366	COOLING_TOWER
9e030e26-07b4-4c1b-afc9-d6560b7a461e	a6a6d6cf-e125-4f8d-bbd2-f65573f7428e	DRY_COOLER
9e030e26-07b4-4c1b-afc9-d6560b7a461e	5e25b001-f177-48a3-9368-60fdb7216a14	REMOTE_CONDENSER
9e030e26-07b4-4c1b-afc9-d6560b7a461e	1dfd995c-16d3-4525-acdb-af1d9a857973	CHILLED_WATER_PUMPS
9e030e26-07b4-4c1b-afc9-d6560b7a461e	93383bba-7634-4775-8bb8-133de2aa3f20	HEAT_REJECTION_PUMPS
9e030e26-07b4-4c1b-afc9-d6560b7a461e	3e35df1e-6345-477b-b6af-1b7324fcc814	VENTILATION
9e030e26-07b4-4c1b-afc9-d6560b7a461e	711b8d59-df1f-4544-8d3f-d1422919f2f3	INFILTRATION
9e030e26-07b4-4c1b-afc9-d6560b7a461e	3881e860-f806-451c-ae31-2d8910dc6aac	IT_LOAD
2863c15f-5efb-4b5e-9992-c6db51433d4b	c3f724e7-02ea-4b05-8629-31e1b7d5af92	SWITCHGEAR
2863c15f-5efb-4b5e-9992-c6db51433d4b	0f6d91c0-61c6-43df-ad0c-1be651112ec3	GENERATOR
2863c15f-5efb-4b5e-9992-c6db51433d4b	421bfe56-fb08-46ce-9d93-5ff241723694	PRIMARY_AUXILIARIES
2863c15f-5efb-4b5e-9992-c6db51433d4b	8eca681d-c974-4b23-adae-5b63479a7420	UPS
2863c15f-5efb-4b5e-9992-c6db51433d4b	b7fd0c16-597b-43fc-9650-1c1d51e703f9	CRITICAL_AUXILIARIES
2863c15f-5efb-4b5e-9992-c6db51433d4b	cad85156-ba42-4152-bee5-a60132826bfe	LIGHTING
2863c15f-5efb-4b5e-9992-c6db51433d4b	731ee240-6c0a-4b40-baaf-18659e70463a	CRITICAL_POWER_DISTRIBUTION
2863c15f-5efb-4b5e-9992-c6db51433d4b	c0a0f12e-5998-4752-b2ad-4d678f0edd0b	CRAH
2863c15f-5efb-4b5e-9992-c6db51433d4b	63694b04-984d-4dd2-a5b6-ff2bb7bd6709	CRAC
2863c15f-5efb-4b5e-9992-c6db51433d4b	0793294d-c9fa-492f-90e8-d2268ab3281d	CRAC_WITHOUT_FAN
2863c15f-5efb-4b5e-9992-c6db51433d4b	da2ba0bd-7026-4333-b9fe-57a4a6514b8a	CRAC_FAN
2863c15f-5efb-4b5e-9992-c6db51433d4b	685828f2-6ff4-4118-a891-7af2192494d7	CHILLER
2863c15f-5efb-4b5e-9992-c6db51433d4b	8f87ff85-92ca-4983-b310-32c30deaf774	AIR_COOLED_CHILLER
2863c15f-5efb-4b5e-9992-c6db51433d4b	7e08f719-29d4-4eaf-8168-682e4a3b460f	COOLING_TOWER
2863c15f-5efb-4b5e-9992-c6db51433d4b	915bb50d-43ec-43e6-ac6a-4359211a3bfd	DRY_COOLER
2863c15f-5efb-4b5e-9992-c6db51433d4b	fa51b958-f1f7-4c0b-a4b4-5d7c12b850a7	REMOTE_CONDENSER
2863c15f-5efb-4b5e-9992-c6db51433d4b	65c10cf8-ab1f-44b0-8a3f-86d9966b9c11	CHILLED_WATER_PUMPS
2863c15f-5efb-4b5e-9992-c6db51433d4b	8d2e1bda-a00d-40ff-b159-36af19afbd3d	HEAT_REJECTION_PUMPS
2863c15f-5efb-4b5e-9992-c6db51433d4b	2773698b-241b-4647-a697-ab85e98e3be1	VENTILATION
2863c15f-5efb-4b5e-9992-c6db51433d4b	54a8281b-2850-4e5f-970b-31a9b3a7fe7e	INFILTRATION
2863c15f-5efb-4b5e-9992-c6db51433d4b	1dd8427b-51d5-4c4c-8ece-de8fdd95cc8a	IT_LOAD
a53699e7-6e9c-432c-bf59-918b28fdff70	5c693686-4d31-4905-b760-5068a5c455e1	SWITCHGEAR
a53699e7-6e9c-432c-bf59-918b28fdff70	ec1e012c-9000-4f89-aed3-99d36f64c319	GENERATOR
a53699e7-6e9c-432c-bf59-918b28fdff70	ca1ad56f-aaff-49e7-b54e-a076b4ca346c	PRIMARY_AUXILIARIES
a53699e7-6e9c-432c-bf59-918b28fdff70	746854c8-d459-4f4b-85e6-0fec72bab6ac	UPS
a53699e7-6e9c-432c-bf59-918b28fdff70	19c2990a-dac0-48ce-ac2a-1968b53f56ca	CRITICAL_AUXILIARIES
a53699e7-6e9c-432c-bf59-918b28fdff70	8af174f7-5332-4d33-82c6-5fe3afd718e6	LIGHTING
a53699e7-6e9c-432c-bf59-918b28fdff70	5447b131-cac1-42f8-867d-a2369469a9e9	CRITICAL_POWER_DISTRIBUTION
a53699e7-6e9c-432c-bf59-918b28fdff70	23eb20cb-e00b-4dbf-955c-41a49777fb5e	CRAH
a53699e7-6e9c-432c-bf59-918b28fdff70	cfcefc5e-2b08-4d01-b25b-203192133004	CRAC
a53699e7-6e9c-432c-bf59-918b28fdff70	dcdfa0eb-5d0f-4b34-b104-679bf40d7d03	CRAC_WITHOUT_FAN
a53699e7-6e9c-432c-bf59-918b28fdff70	8ebca724-4497-484d-8bec-85233209f6bf	CRAC_FAN
a53699e7-6e9c-432c-bf59-918b28fdff70	cbe6efda-d85a-428e-8fda-9c660acffca8	CHILLER
a53699e7-6e9c-432c-bf59-918b28fdff70	0b1a9359-656a-43f4-8e3f-297abf751059	AIR_COOLED_CHILLER
a53699e7-6e9c-432c-bf59-918b28fdff70	adbd6d68-f8ae-40c9-aab1-145fdaa60174	COOLING_TOWER
a53699e7-6e9c-432c-bf59-918b28fdff70	340e455a-6a80-404b-aadb-1c3ade6022a9	DRY_COOLER
a53699e7-6e9c-432c-bf59-918b28fdff70	78f39bfd-cd36-4ef2-aff6-58fcfa48bfeb	REMOTE_CONDENSER
a53699e7-6e9c-432c-bf59-918b28fdff70	dcb42926-ac2f-4eac-b063-f7aa56b93190	CHILLED_WATER_PUMPS
a53699e7-6e9c-432c-bf59-918b28fdff70	982fdd78-0ad8-4393-b24c-d4e04bd60346	HEAT_REJECTION_PUMPS
a53699e7-6e9c-432c-bf59-918b28fdff70	f78bcd6b-2d45-42a3-9c9b-1a03d6ae30a8	VENTILATION
a53699e7-6e9c-432c-bf59-918b28fdff70	60599e7f-cf80-4387-a644-0b7fef26df6b	INFILTRATION
a53699e7-6e9c-432c-bf59-918b28fdff70	a9596e4a-9194-4707-bb39-1aaf8a15ba99	IT_LOAD
f3d8f116-03af-48af-ae35-6f5c0680ee4a	dfa4f8ba-8751-4cbf-a09a-448c870a70ec	SWITCHGEAR
f3d8f116-03af-48af-ae35-6f5c0680ee4a	4c5ab6a6-3a14-43b7-9d98-763a952e4acf	GENERATOR
f3d8f116-03af-48af-ae35-6f5c0680ee4a	6ea84f83-d925-4147-baf4-bc1accb833e3	PRIMARY_AUXILIARIES
f3d8f116-03af-48af-ae35-6f5c0680ee4a	b1637c50-d92c-40d4-aa4d-5119402a659f	UPS
f3d8f116-03af-48af-ae35-6f5c0680ee4a	62c50748-954a-460c-bb52-30932bb49e7f	CRITICAL_AUXILIARIES
f3d8f116-03af-48af-ae35-6f5c0680ee4a	b499a66e-a491-45e1-bdf3-4fc172c81794	LIGHTING
f3d8f116-03af-48af-ae35-6f5c0680ee4a	cce03437-9c51-477e-913f-e86b9b756eab	CRITICAL_POWER_DISTRIBUTION
f3d8f116-03af-48af-ae35-6f5c0680ee4a	9f104d4e-30ba-4185-9f32-cb4a448f8437	CRAH
f3d8f116-03af-48af-ae35-6f5c0680ee4a	783324c4-e5cd-46e1-8a56-7162329d9038	CRAC
f3d8f116-03af-48af-ae35-6f5c0680ee4a	c80df4ec-51d1-4614-ab07-26f89ec9b2d5	CRAC_WITHOUT_FAN
f3d8f116-03af-48af-ae35-6f5c0680ee4a	380464c7-04fc-4206-8c1a-f845d69a00f7	CRAC_FAN
f3d8f116-03af-48af-ae35-6f5c0680ee4a	a119384d-ab39-414b-aa7a-4bd5c922e2b7	CHILLER
f3d8f116-03af-48af-ae35-6f5c0680ee4a	e0fda933-dcc7-458b-b632-77d6ab6cedaf	AIR_COOLED_CHILLER
f3d8f116-03af-48af-ae35-6f5c0680ee4a	c50ba201-2098-4b66-ab00-407ea7963bf5	COOLING_TOWER
f3d8f116-03af-48af-ae35-6f5c0680ee4a	5dc5ea45-b2ef-4c5d-b144-84d60322a593	DRY_COOLER
f3d8f116-03af-48af-ae35-6f5c0680ee4a	753fa11f-24f8-4b86-9886-10c847f1ebd8	REMOTE_CONDENSER
f3d8f116-03af-48af-ae35-6f5c0680ee4a	a6ca78af-fb67-4ac0-bc34-ff7d1d853c24	CHILLED_WATER_PUMPS
f3d8f116-03af-48af-ae35-6f5c0680ee4a	fad3914c-4544-493f-a149-f5b295aecffb	HEAT_REJECTION_PUMPS
f3d8f116-03af-48af-ae35-6f5c0680ee4a	68482bd8-9bbc-493e-b35a-251a73cd27c3	VENTILATION
f3d8f116-03af-48af-ae35-6f5c0680ee4a	cde10045-a23c-4866-9d5d-cca542c707e7	INFILTRATION
f3d8f116-03af-48af-ae35-6f5c0680ee4a	037ee68f-5301-4eaa-9d1f-2a94a535ff63	IT_LOAD
c1376634-1fe3-4472-94c4-75ae860e0e0e	4cfacf52-0b67-4b38-9070-9635d44b3d6e	SWITCHGEAR
c1376634-1fe3-4472-94c4-75ae860e0e0e	c4d18d72-7aeb-433f-8c04-ace4c6a2e03c	GENERATOR
c1376634-1fe3-4472-94c4-75ae860e0e0e	a44028d5-656d-4cc9-99e9-518522cba479	PRIMARY_AUXILIARIES
c1376634-1fe3-4472-94c4-75ae860e0e0e	df624bf8-f9a8-49ef-b1cf-71668aeecd9d	UPS
c1376634-1fe3-4472-94c4-75ae860e0e0e	96991fba-bfa5-4af2-a85d-6edad98b6f64	CRITICAL_AUXILIARIES
c1376634-1fe3-4472-94c4-75ae860e0e0e	68213703-7485-4c91-8af5-870a255bb8fb	LIGHTING
c1376634-1fe3-4472-94c4-75ae860e0e0e	5fed6bee-a25a-44df-a9cd-ea5edda17688	CRITICAL_POWER_DISTRIBUTION
c1376634-1fe3-4472-94c4-75ae860e0e0e	5d41055a-6d16-44f6-afa3-2524038ad71a	CRAH
c1376634-1fe3-4472-94c4-75ae860e0e0e	29bf0e70-3a96-48c9-a75f-f57812a7948d	CRAC
c1376634-1fe3-4472-94c4-75ae860e0e0e	800b35cc-ff3d-422f-8b32-93806381fe11	CRAC_WITHOUT_FAN
c1376634-1fe3-4472-94c4-75ae860e0e0e	c20a8108-13e6-4630-9bf1-2f89985541d9	CRAC_FAN
c1376634-1fe3-4472-94c4-75ae860e0e0e	d87fb922-f35d-4358-afc8-a470edda21ee	CHILLER
c1376634-1fe3-4472-94c4-75ae860e0e0e	4fbaa276-d11c-4349-b90e-649b55aa35fd	AIR_COOLED_CHILLER
c1376634-1fe3-4472-94c4-75ae860e0e0e	f5c753ac-9dba-42d3-adf2-598383ab2838	COOLING_TOWER
c1376634-1fe3-4472-94c4-75ae860e0e0e	2ee963ca-5617-4b34-98fa-cf1ec1424d56	DRY_COOLER
c1376634-1fe3-4472-94c4-75ae860e0e0e	177e0522-b996-4042-b9e8-ebc66cdd0d09	REMOTE_CONDENSER
c1376634-1fe3-4472-94c4-75ae860e0e0e	1622b48d-d10a-47a1-bec3-bc8a9e08b3ff	CHILLED_WATER_PUMPS
c1376634-1fe3-4472-94c4-75ae860e0e0e	467dbefa-4719-4965-8fc8-bee30e0b9255	HEAT_REJECTION_PUMPS
c1376634-1fe3-4472-94c4-75ae860e0e0e	afb1bd9e-3d41-4069-aa81-9d134a338a27	VENTILATION
c1376634-1fe3-4472-94c4-75ae860e0e0e	46ab6fde-7e1f-4b08-b895-744901b78e71	INFILTRATION
c1376634-1fe3-4472-94c4-75ae860e0e0e	858eb2e4-8950-468b-b949-99264dc57b6a	IT_LOAD
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	d76bf8f1-a8b6-4e0e-aeec-5c35de7f6c13	SWITCHGEAR
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	ffc7d460-71a6-4bcc-a4da-471d9ba0bc97	GENERATOR
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	1290680e-9205-4b37-ba7c-237a51109fe3	PRIMARY_AUXILIARIES
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	9cc684f3-e380-4252-aad6-1ec2814e3c35	UPS
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	2787c85f-431d-4262-af24-5afaec5dbab2	CRITICAL_AUXILIARIES
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	ad35fe31-dbdb-4870-9901-e033b4e66c0d	LIGHTING
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	692e49ab-47c7-45fc-819b-e18337b6c150	CRITICAL_POWER_DISTRIBUTION
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	3943c2fe-a976-4f13-ac41-da0be79471a8	CRAH
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	dca6d953-30a9-4384-adb8-cb3a48d253c2	CRAC
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	2587c45d-f95e-4588-b14e-0e17c8d0bf21	CRAC_WITHOUT_FAN
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	195c7833-f2c7-4f6e-a322-df72d38d5118	CRAC_FAN
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	081aa0dc-b791-4b4f-9301-0d7f02e53632	CHILLER
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	5b11d540-5380-480b-915f-20b1a73c101e	AIR_COOLED_CHILLER
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	0607f094-ae69-4c4c-b568-2e4e9afb7c0e	COOLING_TOWER
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	181c017e-5ce0-4bce-9830-76b27e7f1221	DRY_COOLER
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	f54401b9-4e7c-4750-80d5-b27ed3d6edcd	REMOTE_CONDENSER
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	7d930406-4a65-492b-b8f8-f4182d995930	CHILLED_WATER_PUMPS
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	6bbf5625-b041-421c-a870-042893be52ea	HEAT_REJECTION_PUMPS
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	d5b44e1d-740f-463b-bae0-50ec43c5dfbb	VENTILATION
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	0450e134-67f1-4d5a-aef4-af78ecd2aeed	INFILTRATION
9376c20b-3bc4-48e9-8d9b-ad5ef30ddf14	0579e37c-74d6-4ce8-a354-ff6a27cb14cf	IT_LOAD
81533ba5-802b-49b9-9455-91b08bc4a6f3	7524cdf2-be8f-43af-a6d2-3486b5efea4d	SWITCHGEAR
81533ba5-802b-49b9-9455-91b08bc4a6f3	f3233bbc-4ea1-4e05-a7c2-a19280018e3d	GENERATOR
81533ba5-802b-49b9-9455-91b08bc4a6f3	92148eab-121c-484d-ab09-dad7147257df	PRIMARY_AUXILIARIES
81533ba5-802b-49b9-9455-91b08bc4a6f3	7bada226-9a00-49f7-8d92-8569b9863b15	UPS
81533ba5-802b-49b9-9455-91b08bc4a6f3	40003fbd-95ba-4187-9f6b-5369a3c53dea	CRITICAL_AUXILIARIES
81533ba5-802b-49b9-9455-91b08bc4a6f3	0870ecd2-a245-4eae-a5c4-e0d9ae57be26	LIGHTING
81533ba5-802b-49b9-9455-91b08bc4a6f3	b443795a-b72d-47ad-850f-0c3e03ca3008	CRITICAL_POWER_DISTRIBUTION
81533ba5-802b-49b9-9455-91b08bc4a6f3	19e9b19f-9ca1-45c5-9b36-e6d861732f0e	CRAH
81533ba5-802b-49b9-9455-91b08bc4a6f3	81aefec7-af27-4519-830a-24d7c49f7f59	CRAC
81533ba5-802b-49b9-9455-91b08bc4a6f3	55badf91-c0d8-4a4e-aa8e-f8fb7e2240b6	CRAC_WITHOUT_FAN
81533ba5-802b-49b9-9455-91b08bc4a6f3	11a90eed-f8f8-4d2b-927f-ef6bb5ab170f	CRAC_FAN
81533ba5-802b-49b9-9455-91b08bc4a6f3	1d8f146e-c8e6-4d91-b6fb-a27adecb2467	CHILLER
81533ba5-802b-49b9-9455-91b08bc4a6f3	ecf8c1fb-5ad9-429f-86bb-ab4284465e1a	AIR_COOLED_CHILLER
81533ba5-802b-49b9-9455-91b08bc4a6f3	13afffdb-dfde-4785-b4c3-4afecf89718c	COOLING_TOWER
81533ba5-802b-49b9-9455-91b08bc4a6f3	2848a28d-b5ac-45a0-8fdd-4b95c6d351f6	DRY_COOLER
81533ba5-802b-49b9-9455-91b08bc4a6f3	d6b94450-752c-4970-9c07-cd71a7a646f4	REMOTE_CONDENSER
81533ba5-802b-49b9-9455-91b08bc4a6f3	d623f322-30d6-4f30-99c7-26377a47032f	CHILLED_WATER_PUMPS
81533ba5-802b-49b9-9455-91b08bc4a6f3	b81f86a9-a4c5-45a0-9c3f-1966cb2dd960	HEAT_REJECTION_PUMPS
81533ba5-802b-49b9-9455-91b08bc4a6f3	d69cd35b-7e41-449a-92dc-b48b4361936b	VENTILATION
81533ba5-802b-49b9-9455-91b08bc4a6f3	4b0f1f95-df6f-401f-9f2b-961b2ca172f0	INFILTRATION
81533ba5-802b-49b9-9455-91b08bc4a6f3	2698e62b-4015-4f88-adae-c606006fe647	IT_LOAD
26dbd8e7-5280-4273-b077-d894f5896432	ea47ffa8-7240-49b9-9984-d3cf7c0e3334	SWITCHGEAR
26dbd8e7-5280-4273-b077-d894f5896432	8e2b07fd-1e24-4587-b151-777a23ab9fc1	GENERATOR
26dbd8e7-5280-4273-b077-d894f5896432	16687985-f280-4077-a018-4ee71955f2e1	PRIMARY_AUXILIARIES
26dbd8e7-5280-4273-b077-d894f5896432	5fef9dab-3757-4bb3-8a87-ae245e7ba3e1	UPS
26dbd8e7-5280-4273-b077-d894f5896432	65e92046-baeb-4b25-ac02-19cfcc3d72fa	CRITICAL_AUXILIARIES
26dbd8e7-5280-4273-b077-d894f5896432	78761aad-2671-4e9f-9520-32203078cd68	LIGHTING
26dbd8e7-5280-4273-b077-d894f5896432	b8948bdc-d8ac-4d47-b6ae-10347ee47183	CRITICAL_POWER_DISTRIBUTION
26dbd8e7-5280-4273-b077-d894f5896432	9bc5d2be-bcdc-4da8-863c-f9787696847f	CRAH
26dbd8e7-5280-4273-b077-d894f5896432	079e10b3-03f2-46b2-8129-15b9e597c336	CRAC
26dbd8e7-5280-4273-b077-d894f5896432	96a0bf51-c5ee-49bf-b1c9-ec5eb6ffcc5b	CRAC_WITHOUT_FAN
26dbd8e7-5280-4273-b077-d894f5896432	21ccb534-eb3e-40a3-b11c-80fd924e062e	CRAC_FAN
26dbd8e7-5280-4273-b077-d894f5896432	6bde3ebc-afd3-4298-abb4-e9ba021d5070	CHILLER
26dbd8e7-5280-4273-b077-d894f5896432	8d5e7186-d16b-44da-b156-1834e5c515c9	AIR_COOLED_CHILLER
26dbd8e7-5280-4273-b077-d894f5896432	19cda3cb-389b-4e1d-80c6-87dd054f19dd	COOLING_TOWER
26dbd8e7-5280-4273-b077-d894f5896432	ad03d0f4-bec1-4fcf-9e67-175eb736b456	DRY_COOLER
26dbd8e7-5280-4273-b077-d894f5896432	28044c7d-a42d-4153-8190-bfee990353b6	REMOTE_CONDENSER
26dbd8e7-5280-4273-b077-d894f5896432	95aebdeb-1a37-400c-811d-9b3eb1a285e0	CHILLED_WATER_PUMPS
26dbd8e7-5280-4273-b077-d894f5896432	530ff7b1-0022-45d4-966a-b0345e7cc2cc	HEAT_REJECTION_PUMPS
26dbd8e7-5280-4273-b077-d894f5896432	d675cc9e-1415-4f2b-aa93-bf2635e0f88f	VENTILATION
26dbd8e7-5280-4273-b077-d894f5896432	e556b6f3-8656-485a-ab3d-4e31613e65fc	INFILTRATION
26dbd8e7-5280-4273-b077-d894f5896432	2e248f64-9fdc-4a13-abfd-49afd6bd9415	IT_LOAD
9c20ba22-064e-4c56-a90d-6cc276335961	8877f2ef-b80d-4960-9429-aa7ec2ae22ff	SWITCHGEAR
9c20ba22-064e-4c56-a90d-6cc276335961	ab874c9d-3a9f-4e4f-979b-f3b28350bdce	GENERATOR
9c20ba22-064e-4c56-a90d-6cc276335961	c71bdc26-1d0d-4cad-9520-fb008401727b	PRIMARY_AUXILIARIES
9c20ba22-064e-4c56-a90d-6cc276335961	da7c8045-c1a5-4a98-b694-0bbf4177b3b9	UPS
9c20ba22-064e-4c56-a90d-6cc276335961	83c6a7e1-e594-4fb6-92ce-aa65b5487193	CRITICAL_AUXILIARIES
9c20ba22-064e-4c56-a90d-6cc276335961	c9e4a5cd-d83d-4b1f-8fa9-ee28605246fe	LIGHTING
9c20ba22-064e-4c56-a90d-6cc276335961	1dfb8583-ec12-47a2-8583-8ad6cc5e405c	CRITICAL_POWER_DISTRIBUTION
9c20ba22-064e-4c56-a90d-6cc276335961	ec41998a-27e9-4936-8d01-bd86e90fd1c9	CRAH
9c20ba22-064e-4c56-a90d-6cc276335961	d72f58d4-5fad-410b-bb3c-99a8e220b8a7	CRAC
9c20ba22-064e-4c56-a90d-6cc276335961	90021efb-cd36-4e5c-a126-a9fb91096ec1	CRAC_WITHOUT_FAN
9c20ba22-064e-4c56-a90d-6cc276335961	43c495ba-b0b0-42cb-9270-6bda18f70800	CRAC_FAN
9c20ba22-064e-4c56-a90d-6cc276335961	4dc83e0c-bf21-489e-a9f0-b2479bcc5be0	CHILLER
9c20ba22-064e-4c56-a90d-6cc276335961	a43774f0-80fc-467c-941a-b981bea634d6	AIR_COOLED_CHILLER
9c20ba22-064e-4c56-a90d-6cc276335961	7e7155bb-23bb-4a0e-b2cd-b0aa41fa6acb	COOLING_TOWER
9c20ba22-064e-4c56-a90d-6cc276335961	82fcc2a3-905d-4a8f-93c3-098106973412	DRY_COOLER
9c20ba22-064e-4c56-a90d-6cc276335961	618ce0b9-4341-4b71-b9ff-5e666d942adc	REMOTE_CONDENSER
9c20ba22-064e-4c56-a90d-6cc276335961	6ded7bc2-e7cf-41c7-8a85-1f2c833f1e3d	CHILLED_WATER_PUMPS
9c20ba22-064e-4c56-a90d-6cc276335961	a5dfc666-c1f9-4efe-86f4-597d7fd46784	HEAT_REJECTION_PUMPS
9c20ba22-064e-4c56-a90d-6cc276335961	02a8b3ec-b029-402b-af4a-0a223fae86cb	VENTILATION
9c20ba22-064e-4c56-a90d-6cc276335961	2bb2cad7-fc76-4576-b767-08e061958a4e	INFILTRATION
9c20ba22-064e-4c56-a90d-6cc276335961	c63bc64c-e4ba-4f09-9273-9f316b99217b	IT_LOAD
20adbff4-6959-4db4-a55f-7825536b9ad5	a40eafbe-09ed-41b0-aa0d-27831187f035	SWITCHGEAR
20adbff4-6959-4db4-a55f-7825536b9ad5	b1c84a4e-6398-4d76-86bd-97b356446cd7	GENERATOR
20adbff4-6959-4db4-a55f-7825536b9ad5	1c0bb167-f429-4df7-ad9e-acf558d0b799	PRIMARY_AUXILIARIES
20adbff4-6959-4db4-a55f-7825536b9ad5	cb3af26c-5150-4393-acaa-8a6bd45ae58d	UPS
20adbff4-6959-4db4-a55f-7825536b9ad5	fb94ca87-e4e6-453a-a3b9-ead3e8a125e6	CRITICAL_AUXILIARIES
20adbff4-6959-4db4-a55f-7825536b9ad5	fb7affbc-b3ac-41ee-a33a-6ec4ec5175d6	LIGHTING
20adbff4-6959-4db4-a55f-7825536b9ad5	56c521c1-20f2-4eb0-ae0d-dd95b6877d5b	CRITICAL_POWER_DISTRIBUTION
20adbff4-6959-4db4-a55f-7825536b9ad5	92545400-aace-4e84-a9d6-6c2f45ccf8ed	CRAH
20adbff4-6959-4db4-a55f-7825536b9ad5	65feae31-7a65-4eb3-8eec-f8484cdb9d1b	CRAC
20adbff4-6959-4db4-a55f-7825536b9ad5	8943027f-ac54-428d-878a-f3f33f965747	CRAC_WITHOUT_FAN
20adbff4-6959-4db4-a55f-7825536b9ad5	c50d3590-8475-4c66-9e7c-c417f905ebe7	CRAC_FAN
20adbff4-6959-4db4-a55f-7825536b9ad5	05019d01-7ed0-4cc1-bf46-c970a06e5f9f	CHILLER
20adbff4-6959-4db4-a55f-7825536b9ad5	07099a18-2c03-4430-96e1-a5d348d4cfbe	AIR_COOLED_CHILLER
20adbff4-6959-4db4-a55f-7825536b9ad5	1809c752-19e3-48fe-b6fd-61c1c9face6e	COOLING_TOWER
20adbff4-6959-4db4-a55f-7825536b9ad5	65a321c1-d781-47a6-a81c-7d2335d97ffa	DRY_COOLER
20adbff4-6959-4db4-a55f-7825536b9ad5	9d56fdb6-3423-4dfe-b4b8-0e084c65112a	REMOTE_CONDENSER
20adbff4-6959-4db4-a55f-7825536b9ad5	7b4ad19a-ac63-403b-bfec-6e1c4380cd2f	CHILLED_WATER_PUMPS
20adbff4-6959-4db4-a55f-7825536b9ad5	fb3b333a-1623-4464-a2c1-17f0db093c77	HEAT_REJECTION_PUMPS
20adbff4-6959-4db4-a55f-7825536b9ad5	48f5b836-3db1-49d6-b7ae-28f183b9ba77	VENTILATION
20adbff4-6959-4db4-a55f-7825536b9ad5	1c8056f1-1294-4402-aca4-bc1e42e58709	INFILTRATION
20adbff4-6959-4db4-a55f-7825536b9ad5	b2ec6237-dda6-42af-a56c-362c60ce6f7d	IT_LOAD
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	3930239a-1e3a-4689-913b-71ca090befb7	SWITCHGEAR
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	12133e23-9517-4b73-acf0-4277f227f720	GENERATOR
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	a238005f-629f-4751-b1d6-5a4956c9cd02	PRIMARY_AUXILIARIES
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	88c52285-b8b0-49ef-9646-ab1d47d482f1	UPS
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	fe08d495-ff41-422d-8b62-d5b960d541f4	CRITICAL_AUXILIARIES
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	65efb18b-3620-4802-b71a-3b655a6503d7	LIGHTING
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	57a5d2b6-d42d-4726-907c-805668c19ed0	CRITICAL_POWER_DISTRIBUTION
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	eafd00a6-ac5a-4afe-87e3-2372974ed948	CRAH
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	f06d40f1-264d-4c43-a876-634d501fff37	CRAC
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	84ae92b1-28d6-4786-bc36-d0633795b315	CRAC_WITHOUT_FAN
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	9a83b7d8-32a1-4aac-9b14-cda3d93a879b	CRAC_FAN
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	ca6703a7-e96a-4a53-b661-69f5e01aff83	CHILLER
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	27d6da83-dcaa-477e-af7f-e8ae4e4e6617	AIR_COOLED_CHILLER
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	794be1fe-8ede-4373-ad8f-337b84ec351a	COOLING_TOWER
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	a019474e-a9ec-4db5-b8ec-97f7db12c75a	DRY_COOLER
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	ec2afc8a-06c9-4784-9d85-153d6f0da31e	REMOTE_CONDENSER
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	55bf5e54-9b28-41cc-bcd8-b9236aeb29c1	CHILLED_WATER_PUMPS
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	36853905-17cc-4397-9d0d-5bd855f88a9d	HEAT_REJECTION_PUMPS
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	295ded9f-e1ae-49ae-964c-825e2a39e145	VENTILATION
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	e8d06740-d60a-4a51-b1ac-734a58010b4d	INFILTRATION
da4cf08d-991f-4722-97a9-b2dcc3b3c9f3	6fac5c04-58a7-465b-aa32-62b5fbf188cf	IT_LOAD
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	5d0a3963-fca5-4504-8eff-16208f0107da	SWITCHGEAR
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	d203bf6d-df7b-4a07-8712-bc264133f7a1	GENERATOR
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	4c6161e4-d3d7-4d5e-9a45-37c2caaad083	PRIMARY_AUXILIARIES
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	63305d91-95ea-455e-9076-13ad1f12526b	UPS
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	b601a2af-e776-46f5-b53d-0eeb5d4adbc9	CRITICAL_AUXILIARIES
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	72b15e15-a199-4df2-92ff-bb8daa7d93f4	LIGHTING
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	8e4121f9-1bc1-41fe-a71e-1ab0260abe37	CRITICAL_POWER_DISTRIBUTION
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	4d43aa4c-99b7-4033-9258-fa7876bfe744	CRAH
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	37bb79c3-1b08-4408-a59e-630f80b40794	CRAC
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	8778c43f-9cd5-4bcf-9ea5-b2301dd3884b	CRAC_WITHOUT_FAN
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	78068b46-b79d-4267-9704-75eb6b617ea8	CRAC_FAN
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	4713bb3d-fe3a-40d5-b174-6300abb6c409	CHILLER
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	cdb927a9-98d4-4a2c-93c1-169874a2b4ef	AIR_COOLED_CHILLER
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	cbcb783e-b982-4cec-8623-b63e8140f5ca	COOLING_TOWER
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	08361061-0c76-401f-bd73-5321e728e1f8	DRY_COOLER
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	f096d01a-208f-4ecf-aeb3-f7a54e66c380	REMOTE_CONDENSER
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	28736899-c5b2-40bb-9010-d6929875f0e9	CHILLED_WATER_PUMPS
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	fc7eefb6-e775-441e-96ff-02fc7deb1d2a	HEAT_REJECTION_PUMPS
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	73bf2d5c-dd41-4082-ad4a-52305dcfa340	VENTILATION
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	1b53148f-a0ee-480a-934b-82f307c8edb7	INFILTRATION
a1dd1a09-d444-46e2-b0e3-de918e9e7a62	26dd82e0-d12c-432e-a7a5-6de2bc98bf48	IT_LOAD
a9768365-b7d7-4fda-b302-50f64efdaf82	5431ec67-1e0c-43f7-a239-98a95c3d7e6d	SWITCHGEAR
a9768365-b7d7-4fda-b302-50f64efdaf82	668e1d7e-522e-42a9-bc8b-6796235e9be5	GENERATOR
a9768365-b7d7-4fda-b302-50f64efdaf82	065a9de5-f1b1-43e0-913a-1527b974524e	PRIMARY_AUXILIARIES
a9768365-b7d7-4fda-b302-50f64efdaf82	c9de81e2-b914-4404-9767-c9a183eba716	UPS
a9768365-b7d7-4fda-b302-50f64efdaf82	af7fb2cb-f491-432b-b6c6-42a7dd615f01	CRITICAL_AUXILIARIES
a9768365-b7d7-4fda-b302-50f64efdaf82	4a55baed-98a6-4c14-bce1-096ee027e656	LIGHTING
a9768365-b7d7-4fda-b302-50f64efdaf82	7db8f2a2-6850-4c91-a514-b08744cb6ba4	CRITICAL_POWER_DISTRIBUTION
a9768365-b7d7-4fda-b302-50f64efdaf82	a5381c68-c950-4e13-9199-7e353b6506f5	CRAH
a9768365-b7d7-4fda-b302-50f64efdaf82	35db51a2-e1fe-4d86-949a-72c437474feb	CRAC
a9768365-b7d7-4fda-b302-50f64efdaf82	d2ad6cae-cb5c-4428-b900-59087aa1f1aa	CRAC_WITHOUT_FAN
a9768365-b7d7-4fda-b302-50f64efdaf82	504bc888-4693-4667-bb9c-774c23f667a3	CRAC_FAN
a9768365-b7d7-4fda-b302-50f64efdaf82	d5a29c87-bd04-44f3-a825-cb6cc65aa3e5	CHILLER
a9768365-b7d7-4fda-b302-50f64efdaf82	ace8b9b2-cc3e-41ad-be7b-33170da06ee6	AIR_COOLED_CHILLER
a9768365-b7d7-4fda-b302-50f64efdaf82	254bfa7c-9607-401b-b823-6e7accdfb2f8	COOLING_TOWER
a9768365-b7d7-4fda-b302-50f64efdaf82	455714d5-3669-4f02-a231-ad0ceb03acb8	DRY_COOLER
a9768365-b7d7-4fda-b302-50f64efdaf82	24a2344a-4f48-4a2c-9d99-707ffec3c0de	REMOTE_CONDENSER
a9768365-b7d7-4fda-b302-50f64efdaf82	cc02f3b4-8d72-4707-8c27-e756dc8a2e0f	CHILLED_WATER_PUMPS
a9768365-b7d7-4fda-b302-50f64efdaf82	072c4c05-abd0-46fd-9f10-e0b698fd40b0	HEAT_REJECTION_PUMPS
a9768365-b7d7-4fda-b302-50f64efdaf82	37afd9b3-5172-4d44-b4bb-e2164b7a1bfd	VENTILATION
a9768365-b7d7-4fda-b302-50f64efdaf82	664542b2-f816-48d0-82b4-91865ce7a72c	INFILTRATION
a9768365-b7d7-4fda-b302-50f64efdaf82	80decaf1-d93f-4dd4-984e-abefa746136a	IT_LOAD
efe9b908-4055-4f09-aadc-7bdde5e18fad	1b9863fb-aee7-4b3f-866b-3bceb91f1cd6	SWITCHGEAR
efe9b908-4055-4f09-aadc-7bdde5e18fad	3d139bc8-2b1c-452f-a133-1c24937c1dca	GENERATOR
efe9b908-4055-4f09-aadc-7bdde5e18fad	1851e8e2-3618-4b0a-ac4e-b4b5899e9d39	PRIMARY_AUXILIARIES
efe9b908-4055-4f09-aadc-7bdde5e18fad	66af182f-0ffc-4efe-87c0-e65c2e01ae34	UPS
efe9b908-4055-4f09-aadc-7bdde5e18fad	5eebf13b-99b9-428f-bdcf-07a92b2c0cca	CRITICAL_AUXILIARIES
efe9b908-4055-4f09-aadc-7bdde5e18fad	baf16607-a724-48c6-ac03-fe6016bf500d	LIGHTING
efe9b908-4055-4f09-aadc-7bdde5e18fad	a7d6b7d7-71d9-4d74-a79b-d1928872adc3	CRITICAL_POWER_DISTRIBUTION
efe9b908-4055-4f09-aadc-7bdde5e18fad	6f362011-8b3b-40ea-b678-135b71210823	CRAH
efe9b908-4055-4f09-aadc-7bdde5e18fad	440fb43d-3a4b-4ab6-8f92-d3db88bf3596	CRAC
efe9b908-4055-4f09-aadc-7bdde5e18fad	cc3f8d51-edfb-419e-bced-63f4a6575c19	CRAC_WITHOUT_FAN
efe9b908-4055-4f09-aadc-7bdde5e18fad	0db4c605-2411-4b5e-aa09-79bd91a4f4a0	CRAC_FAN
efe9b908-4055-4f09-aadc-7bdde5e18fad	bd488378-bd5c-403e-8c8f-32f52c2b0e28	CHILLER
efe9b908-4055-4f09-aadc-7bdde5e18fad	65dfe288-c032-4e34-b202-23ca11d26576	AIR_COOLED_CHILLER
efe9b908-4055-4f09-aadc-7bdde5e18fad	9f4eea48-9eeb-4e37-b9c5-d43fd82d72ad	COOLING_TOWER
efe9b908-4055-4f09-aadc-7bdde5e18fad	b9a26d23-6c8f-49eb-adba-544cf320e72f	DRY_COOLER
efe9b908-4055-4f09-aadc-7bdde5e18fad	a07d4aa7-8959-41a2-a626-5c004293be2c	REMOTE_CONDENSER
efe9b908-4055-4f09-aadc-7bdde5e18fad	dab612d7-da7c-4a8d-a040-8bf09f96949b	CHILLED_WATER_PUMPS
efe9b908-4055-4f09-aadc-7bdde5e18fad	461112d2-394d-4088-94db-27917ffd5167	HEAT_REJECTION_PUMPS
efe9b908-4055-4f09-aadc-7bdde5e18fad	a0b8c918-4506-4461-babc-64183437d6c5	VENTILATION
efe9b908-4055-4f09-aadc-7bdde5e18fad	f5dd02c0-b8aa-4c09-952b-3d4061625627	INFILTRATION
efe9b908-4055-4f09-aadc-7bdde5e18fad	83eeba21-6111-422f-8be2-d1d827d263ab	IT_LOAD
4aa19178-e182-4b0f-942b-af6632d6bd9a	7aaf8646-fedd-432c-87c1-99392d5eca2d	SWITCHGEAR
4aa19178-e182-4b0f-942b-af6632d6bd9a	874837d7-3ccf-4adb-9336-b1ffbe9dbde8	GENERATOR
4aa19178-e182-4b0f-942b-af6632d6bd9a	666802fb-44f8-4587-a5a6-89b09f565f78	PRIMARY_AUXILIARIES
4aa19178-e182-4b0f-942b-af6632d6bd9a	cb4452f9-2cf4-4b99-ba43-046505b12963	UPS
4aa19178-e182-4b0f-942b-af6632d6bd9a	0b4e6724-ceeb-4932-b830-202096ccee88	CRITICAL_AUXILIARIES
4aa19178-e182-4b0f-942b-af6632d6bd9a	ae3a7b5a-1f5a-469d-a4b0-dbd4a54e1c3c	LIGHTING
4aa19178-e182-4b0f-942b-af6632d6bd9a	ad4c13db-7a8c-482c-9889-ab18d5e6ea4d	CRITICAL_POWER_DISTRIBUTION
4aa19178-e182-4b0f-942b-af6632d6bd9a	4f4b14b5-bad8-4a54-b097-bb2b0c40ecd5	CRAH
4aa19178-e182-4b0f-942b-af6632d6bd9a	9b947b99-00b3-4465-9860-398ca06f3857	CRAC
4aa19178-e182-4b0f-942b-af6632d6bd9a	b870d2c7-d2cb-4245-bcb0-27976022c9c2	CRAC_WITHOUT_FAN
4aa19178-e182-4b0f-942b-af6632d6bd9a	09bf1187-123c-4923-939c-cef0a615bc4b	CRAC_FAN
4aa19178-e182-4b0f-942b-af6632d6bd9a	4ddfd3c6-d801-4922-a205-c3630ea44578	CHILLER
4aa19178-e182-4b0f-942b-af6632d6bd9a	4ecd5005-2d6f-48ed-ada2-25e9a627c422	AIR_COOLED_CHILLER
4aa19178-e182-4b0f-942b-af6632d6bd9a	e6985417-0d81-4723-b5c8-6f1bd7b1cdd7	COOLING_TOWER
4aa19178-e182-4b0f-942b-af6632d6bd9a	7ee290e0-36ff-4c5b-8e3b-298421fc673e	DRY_COOLER
4aa19178-e182-4b0f-942b-af6632d6bd9a	b1317d49-43f8-4a83-80b5-8b464780ee02	REMOTE_CONDENSER
4aa19178-e182-4b0f-942b-af6632d6bd9a	1c9727ef-1493-4a16-b25d-c1b6ea20f650	CHILLED_WATER_PUMPS
4aa19178-e182-4b0f-942b-af6632d6bd9a	8036e573-7a92-4976-9e58-1e0d3621c0be	HEAT_REJECTION_PUMPS
4aa19178-e182-4b0f-942b-af6632d6bd9a	44814ffc-d041-4cde-a7e2-605ae4a1efa5	VENTILATION
4aa19178-e182-4b0f-942b-af6632d6bd9a	b50297dd-5d57-4d81-a919-0a692d3b9418	INFILTRATION
4aa19178-e182-4b0f-942b-af6632d6bd9a	59322fcf-206a-45e8-a329-1ab0eceedf32	IT_LOAD
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	246c3f6e-4b65-424a-b9e1-47f29f787005	SWITCHGEAR
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	83dc6814-d840-408e-9703-767414fa6b42	GENERATOR
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	a5572abc-8643-4fcb-bbfd-67065f92f328	PRIMARY_AUXILIARIES
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	4bff2372-aef6-4bb4-9a70-6402860c7776	UPS
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	7fa5fb58-d9d9-4d01-9018-c5e3c83b7836	CRITICAL_AUXILIARIES
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	e77346dd-0197-442d-b1b2-223a4974d14c	LIGHTING
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	22bff872-12b4-44a1-9979-c8a15dd04d14	CRITICAL_POWER_DISTRIBUTION
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	c3982be0-4749-4c58-b95d-49bb1e2335bf	CRAH
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	619603af-b0aa-452d-8aac-ed1eb63d8f9b	CRAC
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	d8685f99-b857-481c-84e1-67b17b1987d0	CRAC_WITHOUT_FAN
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	ea0116b4-2021-45f2-a145-ee023fb1072e	CRAC_FAN
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	9c860b2e-6f10-48b2-846a-f5eb9a198472	CHILLER
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	53f02129-d733-44bb-a9b1-7d415a7028f5	AIR_COOLED_CHILLER
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	2ccfd13a-1fec-4ecc-8ea0-58a675bdda06	COOLING_TOWER
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	b91aa51c-e2a4-41b9-bc4a-d79a586e624d	DRY_COOLER
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	998400b9-7d89-46a6-814c-cc6969e2c8e4	REMOTE_CONDENSER
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	84d4d4b6-cb07-44e8-8b24-cbaa1086ef13	CHILLED_WATER_PUMPS
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	2a1f8039-3c10-485c-8c3c-20005fb41272	HEAT_REJECTION_PUMPS
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	61b7866c-d0e4-4fa8-bc1c-16148bce94df	VENTILATION
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	736fc439-fbbc-4080-a561-ef949cec0ed6	INFILTRATION
1a327a66-d30d-4171-a20c-aa4b5ff25a8c	9d38ac98-adb9-4e05-8a7b-e7d95ecd6682	IT_LOAD
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	a0709dfe-1293-4c89-8fa4-8022fb718429	SWITCHGEAR
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	70f91a50-0c6b-4332-8551-d1481eb04827	GENERATOR
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	2f321de6-a0d1-442b-8287-b17afd9f1d54	PRIMARY_AUXILIARIES
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	a195f674-41e9-4a03-aa92-c3b8bdaf1f3e	UPS
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	17ccbc86-883e-4bb9-a978-930f75ac41b5	CRITICAL_AUXILIARIES
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	853830a8-d6cc-4ac2-ab94-779319d8fafb	LIGHTING
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	d38f6f7e-9712-4df7-a0d4-b9bfc8439a7b	CRITICAL_POWER_DISTRIBUTION
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	f3b2b277-85a6-4bf2-a59c-363b2a16ef20	CRAH
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	1d749f3f-e030-4ae4-bb3e-56c3c9f1e106	CRAC
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	d1080abc-4225-4566-92b9-fd48e61e7e3f	CRAC_WITHOUT_FAN
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	eec22caa-2893-4d23-a9d8-b1e623ab8261	CRAC_FAN
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	87ba4dcf-690b-4c69-bb15-15a0744d9852	CHILLER
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	d1811c54-1d56-408a-9cb5-aab8d997e264	AIR_COOLED_CHILLER
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	f939ba16-91a0-41ec-8e43-213ebc4c5743	COOLING_TOWER
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	057f5f3e-4ed8-49a8-94dd-d763a2fe31fe	DRY_COOLER
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	b20f95ba-55cf-4650-ade0-250d09b349fc	REMOTE_CONDENSER
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	7056e262-7eb2-4b70-9a97-870928e4216b	CHILLED_WATER_PUMPS
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	42fc45dc-6467-4d2d-a133-fe4f993f5fa7	HEAT_REJECTION_PUMPS
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	b52008f6-7d2c-491f-a390-ba41d3a17b98	VENTILATION
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	ba3a7f45-d613-478d-abed-db48abe735d9	INFILTRATION
19ccd9e5-3f3e-413f-bf7c-7c1e80b9166a	efc3a85e-7e37-4744-b871-3be2f55233a9	IT_LOAD
9d322e36-6c3a-4105-9f3c-7ea8e07af596	58247e29-ad2f-459a-98d6-47cdcd7c53cf	SWITCHGEAR
9d322e36-6c3a-4105-9f3c-7ea8e07af596	2da224b7-6186-48d9-9a1b-c6420202e267	GENERATOR
9d322e36-6c3a-4105-9f3c-7ea8e07af596	f28b81ed-7679-4d25-a65c-c63ec2e81426	PRIMARY_AUXILIARIES
9d322e36-6c3a-4105-9f3c-7ea8e07af596	1e0d2e3c-6848-447e-8f7a-7b391ee6520d	UPS
9d322e36-6c3a-4105-9f3c-7ea8e07af596	ff881bb1-b39b-443e-b4e7-f93cbd8ba22c	CRITICAL_AUXILIARIES
9d322e36-6c3a-4105-9f3c-7ea8e07af596	eec098b8-3f5c-41cc-81b0-2cd519ba2fd4	LIGHTING
9d322e36-6c3a-4105-9f3c-7ea8e07af596	3ad0eccb-c62b-4285-b613-b9a49addf949	CRITICAL_POWER_DISTRIBUTION
9d322e36-6c3a-4105-9f3c-7ea8e07af596	590c7875-65b4-4fdd-9d8f-8f1189796295	CRAH
9d322e36-6c3a-4105-9f3c-7ea8e07af596	80d2907d-fb89-48cd-bf0b-2593ad722025	CRAC
9d322e36-6c3a-4105-9f3c-7ea8e07af596	878e2132-fc71-4218-a490-70d02f197c89	CRAC_WITHOUT_FAN
9d322e36-6c3a-4105-9f3c-7ea8e07af596	2fcafefd-87a8-4942-8093-c3ee537eb08c	CRAC_FAN
9d322e36-6c3a-4105-9f3c-7ea8e07af596	0848a6b5-b633-4df5-b7a0-44cd76d11220	CHILLER
9d322e36-6c3a-4105-9f3c-7ea8e07af596	dca4a450-b17b-45aa-b76e-7aae55ea37c3	AIR_COOLED_CHILLER
9d322e36-6c3a-4105-9f3c-7ea8e07af596	11138761-7775-4283-ad28-c9fa6d757baf	COOLING_TOWER
9d322e36-6c3a-4105-9f3c-7ea8e07af596	075b50a4-b47c-45b0-9c5a-3b45290713cb	DRY_COOLER
9d322e36-6c3a-4105-9f3c-7ea8e07af596	799a0017-b236-4309-9365-62c6ea588e6c	REMOTE_CONDENSER
9d322e36-6c3a-4105-9f3c-7ea8e07af596	58ec4927-2bc3-41b9-9834-e080802cd719	CHILLED_WATER_PUMPS
9d322e36-6c3a-4105-9f3c-7ea8e07af596	359eab9c-ced8-4b3d-a159-cdba8dff16e8	HEAT_REJECTION_PUMPS
9d322e36-6c3a-4105-9f3c-7ea8e07af596	d2de3a55-bab0-41c7-8740-fd4847862dc5	VENTILATION
9d322e36-6c3a-4105-9f3c-7ea8e07af596	8888c25b-deb1-4a4c-9f7b-c49136b1db2e	INFILTRATION
9d322e36-6c3a-4105-9f3c-7ea8e07af596	c9778e19-96f4-49ba-9d99-2a55e86b9868	IT_LOAD
f1a083fd-36ad-4512-ad8d-84bd51297902	35487752-b772-4c47-a100-f4f6a6d88c20	SWITCHGEAR
f1a083fd-36ad-4512-ad8d-84bd51297902	2b9f9e97-a621-44d2-9c25-746685686b07	GENERATOR
f1a083fd-36ad-4512-ad8d-84bd51297902	6727f0e6-aca3-48b4-97df-936cdfa7d92d	PRIMARY_AUXILIARIES
f1a083fd-36ad-4512-ad8d-84bd51297902	d75f96c9-30ea-430e-96bc-5c14ff1a7d8f	UPS
f1a083fd-36ad-4512-ad8d-84bd51297902	474b415d-d672-46fe-ad0c-db05e39d3676	CRITICAL_AUXILIARIES
f1a083fd-36ad-4512-ad8d-84bd51297902	8c53597e-dabe-4d0d-832a-7efc579f2dfe	LIGHTING
f1a083fd-36ad-4512-ad8d-84bd51297902	e51bf800-7dca-477b-8dca-785920d068ca	CRITICAL_POWER_DISTRIBUTION
f1a083fd-36ad-4512-ad8d-84bd51297902	0c9b1e74-34cf-448a-a2d0-1ad8532441fa	CRAH
f1a083fd-36ad-4512-ad8d-84bd51297902	480b233f-ffc2-4b0b-9595-861a391961a6	CRAC
f1a083fd-36ad-4512-ad8d-84bd51297902	a18e4cb1-13b9-432b-bb8e-ab6fc5f5109f	CRAC_WITHOUT_FAN
f1a083fd-36ad-4512-ad8d-84bd51297902	9e66b9af-d28a-4210-b77c-e6eec1674ad9	CRAC_FAN
f1a083fd-36ad-4512-ad8d-84bd51297902	f452465e-27d5-4f21-ac22-d2fd888902fe	CHILLER
f1a083fd-36ad-4512-ad8d-84bd51297902	f10f3313-b676-465a-b88a-ae4bffb83fb4	AIR_COOLED_CHILLER
f1a083fd-36ad-4512-ad8d-84bd51297902	6ebb7279-6222-4792-9b4b-41e09578ac6c	COOLING_TOWER
f1a083fd-36ad-4512-ad8d-84bd51297902	d3a7288b-cc33-4f43-a936-a25742ac2699	DRY_COOLER
f1a083fd-36ad-4512-ad8d-84bd51297902	8a7358f4-6fcf-4882-8edd-34d46a9d9d39	REMOTE_CONDENSER
f1a083fd-36ad-4512-ad8d-84bd51297902	238116f9-7726-4be5-a492-1fa8c0b41eef	CHILLED_WATER_PUMPS
f1a083fd-36ad-4512-ad8d-84bd51297902	f7020aa0-0556-44e6-9927-11aa7499e29a	HEAT_REJECTION_PUMPS
f1a083fd-36ad-4512-ad8d-84bd51297902	ff2cb889-76d8-4fe2-8dff-27ded375ee47	VENTILATION
f1a083fd-36ad-4512-ad8d-84bd51297902	24964950-5cc4-4a2e-935a-ee1965f40fbd	INFILTRATION
f1a083fd-36ad-4512-ad8d-84bd51297902	6e43a6c6-0eb8-4335-a705-0dbce160e4f7	IT_LOAD
cc4722e4-93cb-47b8-9431-b097112a65bc	c1df0882-c8c0-4a51-ba0c-13686b87e11e	SWITCHGEAR
cc4722e4-93cb-47b8-9431-b097112a65bc	2b70af9a-2e30-47dd-8247-6a7bb6e5d139	GENERATOR
cc4722e4-93cb-47b8-9431-b097112a65bc	48dc415f-4a24-461f-8449-c3351121b254	PRIMARY_AUXILIARIES
cc4722e4-93cb-47b8-9431-b097112a65bc	8b334136-ed69-4b16-8383-151adfcdd14a	UPS
cc4722e4-93cb-47b8-9431-b097112a65bc	9ae07e91-5fd8-4697-8531-28627b79f2c1	CRITICAL_AUXILIARIES
cc4722e4-93cb-47b8-9431-b097112a65bc	601d6729-aac2-459c-8c15-d734aa01c8e1	LIGHTING
cc4722e4-93cb-47b8-9431-b097112a65bc	921aa2d2-4d32-4d7f-9e5a-4f705c7b0975	CRITICAL_POWER_DISTRIBUTION
cc4722e4-93cb-47b8-9431-b097112a65bc	d0553aca-1714-4665-aec4-dbc3632ecdb7	CRAH
cc4722e4-93cb-47b8-9431-b097112a65bc	2c11b15e-1729-4c07-af55-b102e752e562	CRAC
cc4722e4-93cb-47b8-9431-b097112a65bc	431b59d9-6224-48d6-bebe-31b681363f17	CRAC_WITHOUT_FAN
cc4722e4-93cb-47b8-9431-b097112a65bc	042dd053-e45c-47e4-9e83-93d8a2ecf5b1	CRAC_FAN
cc4722e4-93cb-47b8-9431-b097112a65bc	aa479cb4-c210-4a1e-b726-10e98e9eb0c5	CHILLER
cc4722e4-93cb-47b8-9431-b097112a65bc	1859ccf6-22c1-4855-847c-beda8d61a498	AIR_COOLED_CHILLER
cc4722e4-93cb-47b8-9431-b097112a65bc	984bc89c-75d6-408e-adb2-ad2904ed6682	COOLING_TOWER
cc4722e4-93cb-47b8-9431-b097112a65bc	baf3f135-5b77-4c80-82d6-3a99dee8a6c1	DRY_COOLER
cc4722e4-93cb-47b8-9431-b097112a65bc	d50922de-bda4-492c-b55b-273392fc5055	REMOTE_CONDENSER
cc4722e4-93cb-47b8-9431-b097112a65bc	28460aa4-eb45-472d-8aa0-82f590682a1b	CHILLED_WATER_PUMPS
cc4722e4-93cb-47b8-9431-b097112a65bc	a966530f-6c36-432a-a859-ba88ff6353b2	HEAT_REJECTION_PUMPS
cc4722e4-93cb-47b8-9431-b097112a65bc	77bac894-f3aa-47ab-806f-aceb26acde97	VENTILATION
cc4722e4-93cb-47b8-9431-b097112a65bc	f7a43030-4779-43b9-a13e-ebae5a3deca9	INFILTRATION
cc4722e4-93cb-47b8-9431-b097112a65bc	8e3bdef3-04f6-44ed-bd5c-e0e4dc04a810	IT_LOAD
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	3bb6b5f9-f5d8-4f55-bcb3-633235f09d9e	SWITCHGEAR
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	be95e6c2-3558-43bb-bc0b-e306c2dd56f7	GENERATOR
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	5f2eb557-ba7c-4bf0-8ce8-888aba2db780	PRIMARY_AUXILIARIES
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	445540bd-b0b5-4d04-bf12-e1c3b9973c3e	UPS
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	bc3f90d6-775d-4531-92e3-3d4749c3a013	CRITICAL_AUXILIARIES
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	b0abcb63-e8ff-44dc-a824-2144d554ade8	LIGHTING
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	df3d8a72-5caa-41ac-82d4-93b95cb9a47e	CRITICAL_POWER_DISTRIBUTION
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	84ad642d-a0e2-4efd-bb06-e9468b4dfd9d	CRAH
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	80708081-4c31-4f49-aaba-b89407cd6357	CRAC
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	5bdf7b44-1ec2-455a-9556-9da65e71a38c	CRAC_WITHOUT_FAN
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	0dfde926-9b53-4c9c-8f8d-297494c8ecdb	CRAC_FAN
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	2aa14336-a8d1-4034-8dbc-d35a6b7c1d39	CHILLER
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	19e7eec0-26b7-4c68-91b3-92f0e89c3f7c	AIR_COOLED_CHILLER
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	73458b97-a50d-454d-9950-1198194ad3ae	COOLING_TOWER
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	376bc72d-00b7-4521-865d-85a753226fc7	DRY_COOLER
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	0954f115-106b-4193-ac96-f45daa32a9eb	REMOTE_CONDENSER
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	5f270403-0e1b-4fb8-a50d-4b74ce56ab42	CHILLED_WATER_PUMPS
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	2b9018e0-4410-4f1e-b1c7-650369f1e786	HEAT_REJECTION_PUMPS
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	a4f2d6d9-37da-4538-9916-d2b302b93415	VENTILATION
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	6726f8b2-6322-430d-9e1c-5ac52ea3544d	INFILTRATION
5ccfc52b-60d4-4342-9c41-96eaff8f3da8	f376be38-815a-482f-ba38-4541508ab423	IT_LOAD
7850c142-8796-43a7-809f-0d6f1384cdcf	81a942b2-5065-406f-93c8-2bee378aaab3	SWITCHGEAR
7850c142-8796-43a7-809f-0d6f1384cdcf	07702d2c-8df1-445f-af90-ef047d1b84ac	GENERATOR
7850c142-8796-43a7-809f-0d6f1384cdcf	ea6050b6-32dd-4ce7-89ab-1ca0859567ef	PRIMARY_AUXILIARIES
7850c142-8796-43a7-809f-0d6f1384cdcf	269d0c61-147c-4569-90f7-a6f0c8f4c29e	UPS
7850c142-8796-43a7-809f-0d6f1384cdcf	f1e685f7-81a3-4d57-9643-8d26e23cae87	CRITICAL_AUXILIARIES
7850c142-8796-43a7-809f-0d6f1384cdcf	6746e20d-26be-402a-bba4-7e85f43cec8b	LIGHTING
7850c142-8796-43a7-809f-0d6f1384cdcf	11eb07b4-a3ad-41e9-83d2-ff8cb116170a	CRITICAL_POWER_DISTRIBUTION
7850c142-8796-43a7-809f-0d6f1384cdcf	fada516e-7f60-49ab-9077-3850e5e48b8d	CRAH
7850c142-8796-43a7-809f-0d6f1384cdcf	8710ac14-3cef-4d4e-96a8-f30e53ec5f65	CRAC
7850c142-8796-43a7-809f-0d6f1384cdcf	b4b598c3-129a-4514-8d5b-c86304f0be25	CRAC_WITHOUT_FAN
7850c142-8796-43a7-809f-0d6f1384cdcf	6ef4226d-b61d-48b7-bc70-e24895d680c1	CRAC_FAN
7850c142-8796-43a7-809f-0d6f1384cdcf	c1270993-15fa-4a30-8c71-612daff40084	CHILLER
7850c142-8796-43a7-809f-0d6f1384cdcf	1190e7e2-8d16-488b-af7f-cca0569de608	AIR_COOLED_CHILLER
7850c142-8796-43a7-809f-0d6f1384cdcf	749d97f4-51a1-45f6-996a-b1032f24a368	COOLING_TOWER
7850c142-8796-43a7-809f-0d6f1384cdcf	e1ad46cf-02b7-41ce-9c24-7df183e00ac5	DRY_COOLER
7850c142-8796-43a7-809f-0d6f1384cdcf	b75ce5b1-e206-490b-9052-cdf3fe4f5138	REMOTE_CONDENSER
7850c142-8796-43a7-809f-0d6f1384cdcf	8048f0d3-96b4-438f-9466-0e7cef7abc6e	CHILLED_WATER_PUMPS
7850c142-8796-43a7-809f-0d6f1384cdcf	ca7fa055-8285-4932-98ad-59e24d55da3f	HEAT_REJECTION_PUMPS
7850c142-8796-43a7-809f-0d6f1384cdcf	2a67fc1b-0672-4bd9-b9c7-6de92bb57c0d	VENTILATION
7850c142-8796-43a7-809f-0d6f1384cdcf	abe8e25a-f900-49d3-8754-4d07db6ae6d7	INFILTRATION
7850c142-8796-43a7-809f-0d6f1384cdcf	62ce981b-fb38-4f1a-b067-d6f1e8752342	IT_LOAD
2aedce45-95cb-47cc-924c-6d396e82d114	22900650-38d8-43ad-aae6-03be1bfc44f6	SWITCHGEAR
2aedce45-95cb-47cc-924c-6d396e82d114	a983d550-f908-475a-af4d-9f11ddc1ad04	GENERATOR
2aedce45-95cb-47cc-924c-6d396e82d114	3c1e44df-7a19-44fe-8b66-354521418623	PRIMARY_AUXILIARIES
2aedce45-95cb-47cc-924c-6d396e82d114	b762d91e-b58e-4087-8212-3536fff6d4fa	UPS
2aedce45-95cb-47cc-924c-6d396e82d114	d6c908d0-9e56-4377-ac80-14e9deb4d3f1	CRITICAL_AUXILIARIES
2aedce45-95cb-47cc-924c-6d396e82d114	cb9c1fcd-ab9a-4710-98c8-5ca9efabd6ae	LIGHTING
2aedce45-95cb-47cc-924c-6d396e82d114	ff18eec2-be8f-4e2e-b5f4-265b2b05ca67	CRITICAL_POWER_DISTRIBUTION
2aedce45-95cb-47cc-924c-6d396e82d114	382eacae-1876-454d-a54f-d16cb629e488	CRAH
2aedce45-95cb-47cc-924c-6d396e82d114	a881089d-1e60-48be-84f4-0c2944ea72f3	CRAC
2aedce45-95cb-47cc-924c-6d396e82d114	8cfff7d0-bb81-447b-b026-f38dd690d2cc	CRAC_WITHOUT_FAN
2aedce45-95cb-47cc-924c-6d396e82d114	f231bd4e-7584-412a-872f-b7105e02921a	CRAC_FAN
2aedce45-95cb-47cc-924c-6d396e82d114	c0a64199-b5c8-4861-8ed4-0dd21f3ca77a	CHILLER
2aedce45-95cb-47cc-924c-6d396e82d114	afd85006-6d87-469b-bc93-8741f4ad3aad	AIR_COOLED_CHILLER
2aedce45-95cb-47cc-924c-6d396e82d114	d352794c-e4cf-4879-bafc-fe937d1cb85f	COOLING_TOWER
2aedce45-95cb-47cc-924c-6d396e82d114	bfc0e13c-a652-460c-87ff-49c94b55a7ef	DRY_COOLER
2aedce45-95cb-47cc-924c-6d396e82d114	fbf17681-f970-47f8-b4d2-5338b35a21cc	REMOTE_CONDENSER
2aedce45-95cb-47cc-924c-6d396e82d114	5c80db9e-4586-4772-bc0d-6ae48df91eeb	CHILLED_WATER_PUMPS
2aedce45-95cb-47cc-924c-6d396e82d114	d3a538a1-fde5-40e3-afbf-7a6d88368b25	HEAT_REJECTION_PUMPS
2aedce45-95cb-47cc-924c-6d396e82d114	e4aecbc3-48aa-421f-90ce-4690fc8aa9ad	VENTILATION
2aedce45-95cb-47cc-924c-6d396e82d114	cdb81e83-87f7-43cf-9b53-c8c9f70a4480	INFILTRATION
2aedce45-95cb-47cc-924c-6d396e82d114	4fa40d7a-2230-4028-8bca-57b824e88394	IT_LOAD
d84a7c60-20bc-472d-9f90-326d8d92fd39	25616b77-ca73-4cc2-935d-74a4750f9eec	SWITCHGEAR
d84a7c60-20bc-472d-9f90-326d8d92fd39	a95f750f-7aa4-48b9-a4b7-5af3add803c2	GENERATOR
d84a7c60-20bc-472d-9f90-326d8d92fd39	982220af-a92c-48fc-bca4-f4882bff1311	PRIMARY_AUXILIARIES
d84a7c60-20bc-472d-9f90-326d8d92fd39	ed70453a-21b8-4c0a-9266-fc2f4b0a2c07	UPS
d84a7c60-20bc-472d-9f90-326d8d92fd39	6d3d8122-d504-47e7-9d61-e32b23417149	CRITICAL_AUXILIARIES
d84a7c60-20bc-472d-9f90-326d8d92fd39	0d6e16a7-cf1a-4463-8a13-994a0b177b65	LIGHTING
d84a7c60-20bc-472d-9f90-326d8d92fd39	1577f72e-65a4-46aa-91ba-8788b815d4ff	CRITICAL_POWER_DISTRIBUTION
d84a7c60-20bc-472d-9f90-326d8d92fd39	c540380b-b0cc-498b-ab77-43c5210d8beb	CRAH
d84a7c60-20bc-472d-9f90-326d8d92fd39	6a85221e-33f8-43de-832e-d8b92d5e804c	CRAC
d84a7c60-20bc-472d-9f90-326d8d92fd39	74c706fc-171e-4c2e-a3d9-024bb526a5b1	CRAC_WITHOUT_FAN
d84a7c60-20bc-472d-9f90-326d8d92fd39	6cf5ef53-a573-48ac-b384-def3bec37305	CRAC_FAN
d84a7c60-20bc-472d-9f90-326d8d92fd39	83f56596-51a4-4f77-8778-304103991870	CHILLER
d84a7c60-20bc-472d-9f90-326d8d92fd39	b95df2a4-9ac0-42a5-aaa7-92b7f883ffd2	AIR_COOLED_CHILLER
d84a7c60-20bc-472d-9f90-326d8d92fd39	2a54f962-6487-495e-a75e-b0ad635c44a6	COOLING_TOWER
d84a7c60-20bc-472d-9f90-326d8d92fd39	90ba99fd-f2a0-4d9f-b1c7-edf38280b767	DRY_COOLER
d84a7c60-20bc-472d-9f90-326d8d92fd39	8406928c-2dd5-4272-93bf-928332fe2345	REMOTE_CONDENSER
d84a7c60-20bc-472d-9f90-326d8d92fd39	ee0be3c6-d6b0-44e4-aebb-2d5bd9730c4b	CHILLED_WATER_PUMPS
d84a7c60-20bc-472d-9f90-326d8d92fd39	2cdee948-7717-4261-8aff-1e6430be4ad7	HEAT_REJECTION_PUMPS
d84a7c60-20bc-472d-9f90-326d8d92fd39	c32de59b-dd15-4ab3-b314-69c968fc4992	VENTILATION
d84a7c60-20bc-472d-9f90-326d8d92fd39	c25eba27-1b91-47eb-b0f0-347bc79a58a2	INFILTRATION
d84a7c60-20bc-472d-9f90-326d8d92fd39	b2bf1dde-8821-40e6-9e8b-d5856d17f207	IT_LOAD
9b5fea62-50f8-46e8-a542-faede9775107	d38932c0-7115-4d20-a2fe-656be12ea31c	SWITCHGEAR
9b5fea62-50f8-46e8-a542-faede9775107	604cead7-e598-4bcf-99ab-05f64155dc65	GENERATOR
9b5fea62-50f8-46e8-a542-faede9775107	7eb8cde0-7bb8-4272-8fe2-ddb2a926f684	PRIMARY_AUXILIARIES
9b5fea62-50f8-46e8-a542-faede9775107	3cc24ad7-54db-48ab-810a-b5136ed41445	UPS
9b5fea62-50f8-46e8-a542-faede9775107	40ea08be-1a9d-4589-8f70-51a3314fa937	CRITICAL_AUXILIARIES
9b5fea62-50f8-46e8-a542-faede9775107	ddea7c02-7a78-4acd-ba7c-648de014365b	LIGHTING
9b5fea62-50f8-46e8-a542-faede9775107	b1c4510b-4872-4bc7-bd4b-c854700c0ec3	CRITICAL_POWER_DISTRIBUTION
9b5fea62-50f8-46e8-a542-faede9775107	30629798-e74f-4b08-be33-e0ce3e2f2803	CRAH
9b5fea62-50f8-46e8-a542-faede9775107	f40f6544-faf3-46d1-bb75-45d3ff6f96be	CRAC
9b5fea62-50f8-46e8-a542-faede9775107	9c828d37-2c96-4f18-9dcc-6901b8aa612f	CRAC_WITHOUT_FAN
9b5fea62-50f8-46e8-a542-faede9775107	b72db658-f5c0-4327-b4a3-3802f53c435a	CRAC_FAN
9b5fea62-50f8-46e8-a542-faede9775107	620f33d3-46df-419e-9595-4bb859db4971	CHILLER
9b5fea62-50f8-46e8-a542-faede9775107	ccf5f6bf-8c7d-4bc0-a31c-f2ed57efe4cb	AIR_COOLED_CHILLER
9b5fea62-50f8-46e8-a542-faede9775107	c64372b6-442b-4afc-a07a-726a07947a55	COOLING_TOWER
9b5fea62-50f8-46e8-a542-faede9775107	a008fbd6-77a4-485c-8aff-8af6f3e66e40	DRY_COOLER
9b5fea62-50f8-46e8-a542-faede9775107	aa5d450e-c361-44b3-b004-43f47c8de724	REMOTE_CONDENSER
9b5fea62-50f8-46e8-a542-faede9775107	1dc3f173-4b3f-4632-aa5c-40d426212b87	CHILLED_WATER_PUMPS
9b5fea62-50f8-46e8-a542-faede9775107	e5dd6b91-ec11-49af-a601-6d994eb74d51	HEAT_REJECTION_PUMPS
9b5fea62-50f8-46e8-a542-faede9775107	bbf85f53-c672-45ac-857a-364a2124d7ff	VENTILATION
9b5fea62-50f8-46e8-a542-faede9775107	0c95978f-74dd-42ec-9f95-00c7ff8d8983	INFILTRATION
9b5fea62-50f8-46e8-a542-faede9775107	9e619aef-5ae3-4881-bd95-9f87fcdbe1a0	IT_LOAD
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	096dfa96-8640-46c6-bb81-678a6b582b16	SWITCHGEAR
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	b64d1d7d-439d-4893-8aee-29ee5e5c85fa	GENERATOR
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	a7f9bc2b-bdf5-4f27-a210-c3445dd5990e	PRIMARY_AUXILIARIES
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	18d967a4-258f-4796-a4a1-d28b8032f9d0	UPS
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	6f3a0407-4a06-4d33-8265-478ad0f5f2c5	CRITICAL_AUXILIARIES
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	5b501bb1-8740-4bbd-82a5-81ad90fdc45e	LIGHTING
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	3d196773-3d2b-4b3a-bfc4-de48e0e15aca	CRITICAL_POWER_DISTRIBUTION
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	68188c0d-6159-4fe4-a880-18d908e401d5	CRAH
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	48859024-39e3-4614-a04f-9f110c1f5041	CRAC
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	8c41b80b-9b97-44fd-a9a7-939d149f13bc	CRAC_WITHOUT_FAN
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	5ed6e95d-fa03-4104-906a-fd0d0d7a783e	CRAC_FAN
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	96d0c4c6-944a-456b-b2ef-680b0870fb60	CHILLER
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	64000a6a-6df7-4dc0-9512-b384d9f3eac3	AIR_COOLED_CHILLER
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	20873f0a-b4fd-4756-867b-64509df112d1	COOLING_TOWER
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	92dc787e-da9b-421e-b43f-801a7e88bb00	DRY_COOLER
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	8b4222aa-df8f-425c-b995-8be762a2a3e9	REMOTE_CONDENSER
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	e5db597a-1400-411d-a4d0-d8f3baeb4ab8	CHILLED_WATER_PUMPS
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	5f3e18a8-1e05-468f-81ed-f0aede6fe785	HEAT_REJECTION_PUMPS
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	0f3a89a2-9037-45c9-8639-6739840ba486	VENTILATION
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	e4140f84-f345-4cfa-81be-1cac28fad34e	INFILTRATION
5f4fbf47-4705-40eb-93a2-0e3e2ae1c165	f465ef05-9f71-48ce-b838-d7febf2c51ff	IT_LOAD
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	f5bcafcb-7e27-49aa-904e-73a26055ae40	SWITCHGEAR
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	1130db8b-7b28-4b1f-a061-785701c1a952	GENERATOR
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	80356165-0c43-407f-a300-43bba7b7de14	PRIMARY_AUXILIARIES
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	cd09c799-280e-4752-bddb-e81dbcd12e7a	UPS
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	8d5667d5-2ede-445f-9f1b-fcedbd9058a3	CRITICAL_AUXILIARIES
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	9fbc32dc-e529-4a7c-8a10-d3b6fb2c5ff5	LIGHTING
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	41dbe781-753d-4287-8f2b-4be82b10e8b2	CRITICAL_POWER_DISTRIBUTION
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	3f4e79ed-76b0-422b-b931-b914e1ee0319	CRAH
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	af3de025-ff5c-4b0a-bb3b-73a92972680f	CRAC
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	126e4db4-1edb-4e5f-bd24-9568f50a67e2	CRAC_WITHOUT_FAN
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	b421224e-c78c-4168-b1a4-201ac624154e	CRAC_FAN
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	7cceb446-53cc-4cdf-a181-2c09a2997706	CHILLER
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	304edce9-c0a4-4afd-a6ac-53abe3523f1b	AIR_COOLED_CHILLER
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	a55b927a-6beb-4b14-8bb8-26af8424db22	COOLING_TOWER
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	57e99398-00a3-4889-a57b-04f0958d1361	DRY_COOLER
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	c2246558-930d-47b3-a174-915b745c2d09	REMOTE_CONDENSER
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	681c8971-ce25-48ff-913b-66297ed9d1c0	CHILLED_WATER_PUMPS
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	4eefc45f-8958-4830-b517-416cab5d479f	HEAT_REJECTION_PUMPS
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	7f0e8349-4e7e-47a4-9aa1-db9805a39e12	VENTILATION
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	90adf6ad-0590-4214-a107-26c227cd5ce4	INFILTRATION
f8a327fd-3086-4428-bfd8-2b8bcfb7822d	ba2cd620-1456-46de-a961-e3ed8f2fe6fd	IT_LOAD
1859ad58-79e0-406d-a4ec-91e2834dbed7	7fd68984-4aa4-43db-a856-f9a3f57c3014	SWITCHGEAR
1859ad58-79e0-406d-a4ec-91e2834dbed7	42635e6f-2cdb-45f5-bf97-26c2251cd146	GENERATOR
1859ad58-79e0-406d-a4ec-91e2834dbed7	407e3d8b-2d95-4964-8899-9166984206e7	PRIMARY_AUXILIARIES
1859ad58-79e0-406d-a4ec-91e2834dbed7	b5e678ec-c602-4cfb-a79c-3157a5496f19	UPS
1859ad58-79e0-406d-a4ec-91e2834dbed7	5215e91c-dff3-45a1-8d9e-a7438b19cc23	CRITICAL_AUXILIARIES
1859ad58-79e0-406d-a4ec-91e2834dbed7	a9186d11-85a6-4a77-83fe-6f80b03c8480	LIGHTING
1859ad58-79e0-406d-a4ec-91e2834dbed7	567bc390-710a-41c0-8538-68b2bd70da54	CRITICAL_POWER_DISTRIBUTION
1859ad58-79e0-406d-a4ec-91e2834dbed7	cd6584e6-94f8-4cbf-9219-44b2d1c806e2	CRAH
1859ad58-79e0-406d-a4ec-91e2834dbed7	0998e720-1a15-4d04-9a9c-f4289a6e2950	CRAC
1859ad58-79e0-406d-a4ec-91e2834dbed7	83ce002f-a900-47e5-8013-6fe60cab900f	CRAC_WITHOUT_FAN
1859ad58-79e0-406d-a4ec-91e2834dbed7	becf2ee3-9ee3-4daf-823a-009803cf4ef5	CRAC_FAN
1859ad58-79e0-406d-a4ec-91e2834dbed7	3fe0421d-10ce-43b8-8475-493699cb2d08	CHILLER
1859ad58-79e0-406d-a4ec-91e2834dbed7	b5abafbe-9890-4436-af38-26ddc84e66f7	AIR_COOLED_CHILLER
1859ad58-79e0-406d-a4ec-91e2834dbed7	a3c6e593-4b5e-4e45-96fc-b9febfa385f0	COOLING_TOWER
1859ad58-79e0-406d-a4ec-91e2834dbed7	ba03c486-b319-44ba-94f6-a616ac23d51b	DRY_COOLER
1859ad58-79e0-406d-a4ec-91e2834dbed7	05367fef-49a5-4cea-8ef6-a0dba065d875	REMOTE_CONDENSER
1859ad58-79e0-406d-a4ec-91e2834dbed7	89186d01-01e2-4bc3-8dfb-37831b3917e1	CHILLED_WATER_PUMPS
1859ad58-79e0-406d-a4ec-91e2834dbed7	3d500bb2-72a8-4e6c-97cc-a75cb6bd9429	HEAT_REJECTION_PUMPS
1859ad58-79e0-406d-a4ec-91e2834dbed7	72c3a89d-9db0-4e2e-9a96-36af00874a15	VENTILATION
1859ad58-79e0-406d-a4ec-91e2834dbed7	fc81b8ed-b379-4feb-95ce-e8f311cfa075	INFILTRATION
1859ad58-79e0-406d-a4ec-91e2834dbed7	50e8b1b3-89ec-4efd-8ea0-614d17382af2	IT_LOAD
a180a5db-b9bd-49e7-af9e-dd92c975b439	10bc4c72-cd3c-4807-87f5-9696afdb786b	SWITCHGEAR
a180a5db-b9bd-49e7-af9e-dd92c975b439	83da7c60-8094-4aec-9ffd-56255fbd90fa	GENERATOR
a180a5db-b9bd-49e7-af9e-dd92c975b439	a8237cd3-7283-46c2-aee4-01e93f3f3b7c	PRIMARY_AUXILIARIES
a180a5db-b9bd-49e7-af9e-dd92c975b439	262c7de4-c760-4f97-86ae-8d57a778c5b1	UPS
a180a5db-b9bd-49e7-af9e-dd92c975b439	6995f28f-1a3f-4bba-bb26-53921fc81271	CRITICAL_AUXILIARIES
a180a5db-b9bd-49e7-af9e-dd92c975b439	16313084-f509-451a-bca7-1485dde02332	LIGHTING
a180a5db-b9bd-49e7-af9e-dd92c975b439	ec611744-0dbd-4745-957e-dc6ecd1bd914	CRITICAL_POWER_DISTRIBUTION
a180a5db-b9bd-49e7-af9e-dd92c975b439	89151930-f909-463f-935b-78fddcda4aff	CRAH
a180a5db-b9bd-49e7-af9e-dd92c975b439	37aedd58-1a16-4292-b119-7c87e0624fe5	CRAC
a180a5db-b9bd-49e7-af9e-dd92c975b439	a8137338-a315-4c46-bfb3-8d15a5c79ae3	CRAC_WITHOUT_FAN
a180a5db-b9bd-49e7-af9e-dd92c975b439	ff70a000-e226-452c-9446-388fa06f9a63	CRAC_FAN
a180a5db-b9bd-49e7-af9e-dd92c975b439	9d2f9052-aca1-4746-9069-419ffe988d8d	CHILLER
a180a5db-b9bd-49e7-af9e-dd92c975b439	0eed16a7-4e4a-4afb-979f-56aa85b715cf	AIR_COOLED_CHILLER
a180a5db-b9bd-49e7-af9e-dd92c975b439	389676cc-308f-41b6-991d-b1c900bf5fa5	COOLING_TOWER
a180a5db-b9bd-49e7-af9e-dd92c975b439	0bab1b4a-e361-41ad-bd55-e22948790ec7	DRY_COOLER
a180a5db-b9bd-49e7-af9e-dd92c975b439	7e2a23d5-7acc-4f41-9dec-136783dc6ee4	REMOTE_CONDENSER
a180a5db-b9bd-49e7-af9e-dd92c975b439	76fdd6b6-b50b-4985-836b-068a8cc6d053	CHILLED_WATER_PUMPS
a180a5db-b9bd-49e7-af9e-dd92c975b439	cc03b4e8-43d7-47f5-9227-764b9b271b49	HEAT_REJECTION_PUMPS
a180a5db-b9bd-49e7-af9e-dd92c975b439	ee5f1b56-01a7-421e-9032-10afa449b615	VENTILATION
a180a5db-b9bd-49e7-af9e-dd92c975b439	253d1b60-7c74-4caa-a320-39c3826329a2	INFILTRATION
a180a5db-b9bd-49e7-af9e-dd92c975b439	bec8214f-e434-48f8-bba9-d0bab3738af1	IT_LOAD
25861310-2982-4839-a699-86d4db620d6e	65e1e6e9-c253-4017-b5a2-6b738f474ad9	SWITCHGEAR
25861310-2982-4839-a699-86d4db620d6e	883ddf03-9a0b-4a63-9c86-2d2806b2bef5	GENERATOR
25861310-2982-4839-a699-86d4db620d6e	d2e5205a-6e6e-43db-9b92-c14ea6c195a7	PRIMARY_AUXILIARIES
25861310-2982-4839-a699-86d4db620d6e	bd9cb7a1-048c-4a2f-9057-a62fb9d25507	UPS
25861310-2982-4839-a699-86d4db620d6e	75485015-75a9-4209-a363-6cbc96c94817	CRITICAL_AUXILIARIES
25861310-2982-4839-a699-86d4db620d6e	9211e6e6-ddd8-483e-a487-656cd02880da	LIGHTING
25861310-2982-4839-a699-86d4db620d6e	fbe3cc97-06f2-4530-bc6a-7a4acd5f46f8	CRITICAL_POWER_DISTRIBUTION
25861310-2982-4839-a699-86d4db620d6e	66f92e77-324d-4265-b159-c96481899039	CRAH
25861310-2982-4839-a699-86d4db620d6e	d229d2d0-b015-4f8d-89b0-d510059198b5	CRAC
25861310-2982-4839-a699-86d4db620d6e	3f453681-1ea7-4c07-95f4-d1f9bc2796c4	CRAC_WITHOUT_FAN
25861310-2982-4839-a699-86d4db620d6e	c82e0de6-b9bd-4c3b-8456-7a63d6600741	CRAC_FAN
25861310-2982-4839-a699-86d4db620d6e	9713cda3-0801-4e4a-af96-dee78f65c3f4	CHILLER
25861310-2982-4839-a699-86d4db620d6e	bd2393a9-0811-4cb8-b211-5a734e29f1c7	AIR_COOLED_CHILLER
25861310-2982-4839-a699-86d4db620d6e	db2d3472-8363-46ee-a027-94b552c0dfc4	COOLING_TOWER
25861310-2982-4839-a699-86d4db620d6e	2d3b3fc4-fd8a-4be2-ad30-25370683f49b	DRY_COOLER
25861310-2982-4839-a699-86d4db620d6e	f8425b8f-435d-4286-8b2b-138b9f9cd1f0	REMOTE_CONDENSER
25861310-2982-4839-a699-86d4db620d6e	6c6238ae-6abd-477a-8847-6f34548d8c98	CHILLED_WATER_PUMPS
25861310-2982-4839-a699-86d4db620d6e	4f3492f8-2b53-41ee-8916-f993e50b0b80	HEAT_REJECTION_PUMPS
25861310-2982-4839-a699-86d4db620d6e	62b488f1-f8ad-49ae-accb-fa9699aa6330	VENTILATION
25861310-2982-4839-a699-86d4db620d6e	6f783020-9d9f-4b99-9d34-a775e9baa5b7	INFILTRATION
25861310-2982-4839-a699-86d4db620d6e	8513d6b3-d904-4f4f-ba4b-84017576d0cd	IT_LOAD
23c9e945-f745-44ad-b4f5-7da0004aefb2	fac5b625-6c71-4913-ac5b-d1716c229033	SWITCHGEAR
23c9e945-f745-44ad-b4f5-7da0004aefb2	334ac58d-b356-4d68-8644-9eb83b745665	GENERATOR
23c9e945-f745-44ad-b4f5-7da0004aefb2	be05baaf-db57-4cd3-9274-6f9355af5bd2	PRIMARY_AUXILIARIES
23c9e945-f745-44ad-b4f5-7da0004aefb2	e6e8e5ce-dbc2-4f3e-96a6-803b359044e4	UPS
23c9e945-f745-44ad-b4f5-7da0004aefb2	5d405cc4-fcb5-46a5-a3b7-b490451b3ac1	CRITICAL_AUXILIARIES
23c9e945-f745-44ad-b4f5-7da0004aefb2	2f8a0c29-0c8c-43f9-967a-0d93533c3ada	LIGHTING
23c9e945-f745-44ad-b4f5-7da0004aefb2	41bd341c-5389-42c9-bb6a-fd018e36716e	CRITICAL_POWER_DISTRIBUTION
23c9e945-f745-44ad-b4f5-7da0004aefb2	43904cba-1bb6-4b78-aefe-a7abdd3a696e	CRAH
23c9e945-f745-44ad-b4f5-7da0004aefb2	c00930a2-cb9d-4c3b-9a9c-74ce6c751e3a	CRAC
23c9e945-f745-44ad-b4f5-7da0004aefb2	b3a4770c-6823-4a34-988a-2708704bb79a	CRAC_WITHOUT_FAN
23c9e945-f745-44ad-b4f5-7da0004aefb2	67c624ea-a3af-4be4-8ee7-f60a75c83795	CRAC_FAN
23c9e945-f745-44ad-b4f5-7da0004aefb2	313e03ec-592a-4fee-8a24-93b0826171c7	CHILLER
23c9e945-f745-44ad-b4f5-7da0004aefb2	2209ce16-21cd-42e4-83b0-2a4b0ac61e5d	AIR_COOLED_CHILLER
23c9e945-f745-44ad-b4f5-7da0004aefb2	7840a944-6344-4211-8443-67ef4fc28a72	COOLING_TOWER
23c9e945-f745-44ad-b4f5-7da0004aefb2	87f8dd5a-e614-45ef-a39d-ac1cff55d1c0	DRY_COOLER
23c9e945-f745-44ad-b4f5-7da0004aefb2	c8c76978-fbd9-4e34-a980-0473b4d27c59	REMOTE_CONDENSER
23c9e945-f745-44ad-b4f5-7da0004aefb2	f8bb9a75-dc3f-47c0-b0ba-b789195a5550	CHILLED_WATER_PUMPS
23c9e945-f745-44ad-b4f5-7da0004aefb2	aec09965-fa6f-4919-93fc-46a14daf66c5	HEAT_REJECTION_PUMPS
23c9e945-f745-44ad-b4f5-7da0004aefb2	8c6dd692-3f97-4c18-aab5-e1c33f4b7037	VENTILATION
23c9e945-f745-44ad-b4f5-7da0004aefb2	840d0c76-fd93-49d6-ba9f-573520d36c9c	INFILTRATION
23c9e945-f745-44ad-b4f5-7da0004aefb2	45991d4c-c54e-47de-a4a5-8978f16886a7	IT_LOAD
799dafcb-ef77-4c8b-80d4-66188e9d650b	b4bae347-46c6-46dd-8565-6368d5661697	SWITCHGEAR
799dafcb-ef77-4c8b-80d4-66188e9d650b	d6451f4f-c89a-4a1f-816c-bb981c583291	GENERATOR
799dafcb-ef77-4c8b-80d4-66188e9d650b	fe3f6ed9-ef62-4e17-ae6a-04416bf4365b	PRIMARY_AUXILIARIES
799dafcb-ef77-4c8b-80d4-66188e9d650b	7d1ac371-f872-4a42-af36-035803d46a97	UPS
799dafcb-ef77-4c8b-80d4-66188e9d650b	26633bf9-70d9-4b4f-848d-885d7ef166db	CRITICAL_AUXILIARIES
799dafcb-ef77-4c8b-80d4-66188e9d650b	fa486454-0ec8-4870-8dd3-49b0837468ea	LIGHTING
799dafcb-ef77-4c8b-80d4-66188e9d650b	7d617a00-a41c-4cee-99f7-53a79f22e796	CRITICAL_POWER_DISTRIBUTION
799dafcb-ef77-4c8b-80d4-66188e9d650b	e94ceaf0-552b-45f2-b6a5-8dd57ad062f2	CRAH
799dafcb-ef77-4c8b-80d4-66188e9d650b	1b372034-4acc-4a8c-8af5-57fb82407c35	CRAC
799dafcb-ef77-4c8b-80d4-66188e9d650b	0e33bfa9-14f3-4314-b162-9b77b648e36f	CRAC_WITHOUT_FAN
799dafcb-ef77-4c8b-80d4-66188e9d650b	f4bda595-8ffb-4393-8b34-eb1b81940ed4	CRAC_FAN
799dafcb-ef77-4c8b-80d4-66188e9d650b	43b69e22-debc-49ec-a37c-9e44f046e112	CHILLER
799dafcb-ef77-4c8b-80d4-66188e9d650b	2070b250-4e31-4f09-8cd1-54f2a2aa7953	AIR_COOLED_CHILLER
799dafcb-ef77-4c8b-80d4-66188e9d650b	a5ac0dd7-efbe-416b-b06c-613916e49c8a	COOLING_TOWER
799dafcb-ef77-4c8b-80d4-66188e9d650b	403af6b5-1b59-43d2-a7c8-ca7066a22eec	DRY_COOLER
799dafcb-ef77-4c8b-80d4-66188e9d650b	6702dce0-6667-4b3e-a344-6ebfea695c02	REMOTE_CONDENSER
799dafcb-ef77-4c8b-80d4-66188e9d650b	a81b644f-5f92-4f52-b924-b2b6dfe854cc	CHILLED_WATER_PUMPS
799dafcb-ef77-4c8b-80d4-66188e9d650b	fcfaadfe-04d5-4e17-bfd9-38a8c086e3ff	HEAT_REJECTION_PUMPS
799dafcb-ef77-4c8b-80d4-66188e9d650b	2f20751a-67b4-46b8-ba4c-d28392519a56	VENTILATION
799dafcb-ef77-4c8b-80d4-66188e9d650b	3b168b96-b2d3-4715-9684-7c3efa7ee186	INFILTRATION
799dafcb-ef77-4c8b-80d4-66188e9d650b	6bf284d4-736d-471f-b2d5-a30237956e52	IT_LOAD
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	422874fc-f89f-4e6f-a5f1-83ab3bbebc92	SWITCHGEAR
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	040c8844-fd7d-4c5b-9230-6102d75c2acc	GENERATOR
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	3db381f0-ba41-4739-a560-01d357fcac78	PRIMARY_AUXILIARIES
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	8cb413bb-6155-442c-b0b7-0b1acf7dce06	UPS
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	3398b321-4609-4e3d-91c8-ba73273c2bca	CRITICAL_AUXILIARIES
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	f2703725-6732-452d-9ae1-61c97742657d	LIGHTING
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	a88c43a7-3fb0-4dad-a2cb-2c81c4642715	CRITICAL_POWER_DISTRIBUTION
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	9a4e43a3-c2df-4c1a-99d4-9c79518e6f05	CRAH
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	677b4ff3-8858-4207-8d50-a97b75f15f3b	CRAC
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	4aa6b0ae-6014-45da-bc41-0d28bd3991e0	CRAC_WITHOUT_FAN
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	5c9794c0-9031-4f9d-876b-b48b7d6f4416	CRAC_FAN
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	ff862851-c34b-4cd7-90e1-5c1652204d22	CHILLER
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	4348f52d-a8f0-4c86-a9d4-5e2a2bec7000	AIR_COOLED_CHILLER
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	bd2e97d2-9cd6-4ebd-9c80-10b1319b9525	COOLING_TOWER
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	3c56c011-61cc-46db-8c53-3cc715336bdf	DRY_COOLER
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	3004e3fb-67e0-47a4-a7e8-fad5c903c20e	REMOTE_CONDENSER
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	cbbf4d3c-cf54-47e2-95ef-d0b287449524	CHILLED_WATER_PUMPS
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	58203d98-5e68-41e7-9652-c44278b906fa	HEAT_REJECTION_PUMPS
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	f1255ed3-ddd1-41b0-b7cd-c5347cfb2733	VENTILATION
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	291086f0-25ff-445e-b7cd-e67ce978cd0d	INFILTRATION
7777ee2a-f0c7-4dbf-aeb9-d679d5e6a2dc	f6b70934-d68f-4809-823e-275d2c97ff80	IT_LOAD
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	3889d29a-4567-435f-b899-98e2ec084915	SWITCHGEAR
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	aa971a64-898f-4e3d-9827-8f1d0f7bf1e7	GENERATOR
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	b5dff218-92f2-49eb-b394-b9bbc97b67b4	PRIMARY_AUXILIARIES
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	cd64f6cc-7c1c-473a-a984-059d51753d00	UPS
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	663ed598-43a9-4cc3-8736-124cdb83da27	CRITICAL_AUXILIARIES
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	a74b29ea-f75f-4a0a-a881-d1efa82b731d	LIGHTING
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	f8d285b0-37b5-47da-be17-8f15ed798baa	CRITICAL_POWER_DISTRIBUTION
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	4a736ce2-7f3e-46e0-a1b4-eb9a7d8909ac	CRAH
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	efb4b661-4ca1-4057-8392-b125a9822c65	CRAC
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	c340be9e-a785-4f28-b7b3-3a3e38bca4ce	CRAC_WITHOUT_FAN
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	2d1c27c7-8371-47cc-a3d1-049a43202b8d	CRAC_FAN
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	90cafae6-e4d0-468e-9558-28da8506cd69	CHILLER
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	cd07664f-fc7e-43ed-95a2-d2e920d5adea	AIR_COOLED_CHILLER
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	c91183c3-e316-401a-b752-2d1f03355f76	COOLING_TOWER
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	6999f125-a8bf-4ee4-a79d-aafef8f5d60c	DRY_COOLER
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	d0937e7d-1dbe-4111-a23e-3b5cc57939f4	REMOTE_CONDENSER
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	4886c4fb-98d5-4308-8326-792eb8303034	CHILLED_WATER_PUMPS
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	62c173c6-bd1a-416d-8ffd-a8ef414a107a	HEAT_REJECTION_PUMPS
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	fb0f5555-9e42-433a-88c8-5c67e4783ec5	VENTILATION
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	9af3cbde-35e9-44dd-9d77-e32b0bc5a379	INFILTRATION
f5a37556-b712-4e4b-bb74-b0fc67b3a49d	52f0c56f-f6a2-48a2-858c-c6012dd03209	IT_LOAD
c65b2385-ea5c-4a8e-807b-68e7525c4e78	2a421435-661e-4077-9501-dbad0a37ed3a	SWITCHGEAR
c65b2385-ea5c-4a8e-807b-68e7525c4e78	2781ba3a-9e52-4e88-81f2-abc0e17168a2	GENERATOR
c65b2385-ea5c-4a8e-807b-68e7525c4e78	a91007ee-97d9-456e-8e58-4b8ae586c211	PRIMARY_AUXILIARIES
c65b2385-ea5c-4a8e-807b-68e7525c4e78	2953e390-5968-4642-b193-9bc6afc52606	UPS
c65b2385-ea5c-4a8e-807b-68e7525c4e78	5f8c2436-990c-4a8a-a8e7-38d69aa7a824	CRITICAL_AUXILIARIES
c65b2385-ea5c-4a8e-807b-68e7525c4e78	19a18a44-8bdf-4789-a19c-43cea22f4b3e	LIGHTING
c65b2385-ea5c-4a8e-807b-68e7525c4e78	96ae5e2e-0363-4fe7-9829-34d2ad13b8de	CRITICAL_POWER_DISTRIBUTION
c65b2385-ea5c-4a8e-807b-68e7525c4e78	22761070-3f93-409e-a262-1864eb10e29c	CRAH
c65b2385-ea5c-4a8e-807b-68e7525c4e78	930217af-4193-4059-9545-564d150d62f3	CRAC
c65b2385-ea5c-4a8e-807b-68e7525c4e78	c18ae80f-ce97-4248-a903-88ed04e10f9e	CRAC_WITHOUT_FAN
c65b2385-ea5c-4a8e-807b-68e7525c4e78	c49931ee-f2c9-42ca-96d3-b686290f1507	CRAC_FAN
c65b2385-ea5c-4a8e-807b-68e7525c4e78	fdee207b-6d23-45d2-9ad3-0479f01804c5	CHILLER
c65b2385-ea5c-4a8e-807b-68e7525c4e78	957f1ee7-cf6d-4ae8-acd8-51ee53ba5080	AIR_COOLED_CHILLER
c65b2385-ea5c-4a8e-807b-68e7525c4e78	959fb9ea-dbad-455d-b8f2-03ef52ebba96	COOLING_TOWER
c65b2385-ea5c-4a8e-807b-68e7525c4e78	a6d25966-383e-4586-a1d6-36fd2f15a466	DRY_COOLER
c65b2385-ea5c-4a8e-807b-68e7525c4e78	eb3f557c-0900-41ea-b8fc-528503ed26ad	REMOTE_CONDENSER
c65b2385-ea5c-4a8e-807b-68e7525c4e78	5d8db2fd-71d1-423f-94af-f6cf0ae7a64f	CHILLED_WATER_PUMPS
c65b2385-ea5c-4a8e-807b-68e7525c4e78	5ef6d167-5428-4b2a-89c7-cf48f44a66ed	HEAT_REJECTION_PUMPS
c65b2385-ea5c-4a8e-807b-68e7525c4e78	bf955a39-3ca3-4e0d-8d0b-f44ed287c1fb	VENTILATION
c65b2385-ea5c-4a8e-807b-68e7525c4e78	b64de78a-f4c1-4316-9f80-9225b86be496	INFILTRATION
c65b2385-ea5c-4a8e-807b-68e7525c4e78	82f5ae6a-a59b-4898-8215-5a144d4c8829	IT_LOAD
7e64bbea-2025-447e-a7d9-04789e1f34a6	7eca3282-ef60-459c-803f-7f47cdfe8c65	SWITCHGEAR
7e64bbea-2025-447e-a7d9-04789e1f34a6	224d09dc-0015-47af-af75-3fb2dfa2d139	GENERATOR
7e64bbea-2025-447e-a7d9-04789e1f34a6	15134ec6-e451-4e73-b07d-4e7859801d7f	PRIMARY_AUXILIARIES
7e64bbea-2025-447e-a7d9-04789e1f34a6	381a0f1c-64b0-405d-8e5f-785fb17b3353	UPS
7e64bbea-2025-447e-a7d9-04789e1f34a6	e63c37fe-b6f1-4921-a223-881efba76bfd	CRITICAL_AUXILIARIES
7e64bbea-2025-447e-a7d9-04789e1f34a6	e5b778ac-513e-4ff1-9920-dd236c9dd987	LIGHTING
7e64bbea-2025-447e-a7d9-04789e1f34a6	6d2aa6d1-4a73-4eba-aa9c-169c4ef0d382	CRITICAL_POWER_DISTRIBUTION
7e64bbea-2025-447e-a7d9-04789e1f34a6	a4df285f-b1de-4a39-a4d5-9b0ad8e9e185	CRAH
7e64bbea-2025-447e-a7d9-04789e1f34a6	28ec6a9f-8249-4006-b35c-dd44b383ebb2	CRAC
7e64bbea-2025-447e-a7d9-04789e1f34a6	2dd75eb5-eb29-43eb-8630-c04823bae28d	CRAC_WITHOUT_FAN
7e64bbea-2025-447e-a7d9-04789e1f34a6	426aa13b-1b13-42ef-9cac-126becd26559	CRAC_FAN
7e64bbea-2025-447e-a7d9-04789e1f34a6	f4cdefd7-d516-47c3-9ea0-6a58a60c7565	CHILLER
7e64bbea-2025-447e-a7d9-04789e1f34a6	dc8c14bb-e06b-4c13-b60e-431837570f3e	AIR_COOLED_CHILLER
7e64bbea-2025-447e-a7d9-04789e1f34a6	4fd0045c-905c-4c29-a971-d18947bb4974	COOLING_TOWER
7e64bbea-2025-447e-a7d9-04789e1f34a6	1ecbfd5a-eb0d-4d16-a707-1293e80914eb	DRY_COOLER
7e64bbea-2025-447e-a7d9-04789e1f34a6	d7b9a48f-a665-4dcf-9c78-ee893d931d66	REMOTE_CONDENSER
7e64bbea-2025-447e-a7d9-04789e1f34a6	195bd7df-2740-4c69-a322-a5fd19f1988c	CHILLED_WATER_PUMPS
7e64bbea-2025-447e-a7d9-04789e1f34a6	714b9b76-cc03-4f3c-a313-136f70ff3419	HEAT_REJECTION_PUMPS
7e64bbea-2025-447e-a7d9-04789e1f34a6	5b651af6-360c-4676-9be7-8c51dfa50177	VENTILATION
7e64bbea-2025-447e-a7d9-04789e1f34a6	7c27ce77-ab3f-4b1e-bc5d-24dede77e7f4	INFILTRATION
7e64bbea-2025-447e-a7d9-04789e1f34a6	a5373803-2ccd-4d18-a024-b5305ee6e494	IT_LOAD
e2271962-f5bc-4cdd-ba69-2ece45d04363	3bdb70cc-2d17-4cfa-a50f-59b788c822da	SWITCHGEAR
e2271962-f5bc-4cdd-ba69-2ece45d04363	e271344f-e028-46f3-b15d-7709275ad9d2	GENERATOR
e2271962-f5bc-4cdd-ba69-2ece45d04363	c2d6bbf5-aa3f-4bf9-a78a-c499c017431e	PRIMARY_AUXILIARIES
e2271962-f5bc-4cdd-ba69-2ece45d04363	81559d4a-1c01-4db6-88b9-8a2080b8c1d7	UPS
e2271962-f5bc-4cdd-ba69-2ece45d04363	93bce36f-7752-42a9-a879-822bb4fe02c5	CRITICAL_AUXILIARIES
e2271962-f5bc-4cdd-ba69-2ece45d04363	ad0de469-1140-493a-b82a-c6b5c98afc56	LIGHTING
e2271962-f5bc-4cdd-ba69-2ece45d04363	895ce58d-085f-474b-bd02-9507afefd7ec	CRITICAL_POWER_DISTRIBUTION
e2271962-f5bc-4cdd-ba69-2ece45d04363	4758d99b-5e5a-4627-8a57-b62c3e0d21a1	CRAH
e2271962-f5bc-4cdd-ba69-2ece45d04363	27cf745d-abb9-455c-ad1b-0ce55a8407a8	CRAC
e2271962-f5bc-4cdd-ba69-2ece45d04363	3c8b8fed-eab9-427e-b118-3a489892862a	CRAC_WITHOUT_FAN
e2271962-f5bc-4cdd-ba69-2ece45d04363	f6b96606-e3ef-443e-baab-8c249e4d72f6	CRAC_FAN
e2271962-f5bc-4cdd-ba69-2ece45d04363	b674d5a8-f1f5-4f4d-b6e8-6be15033f7c2	CHILLER
e2271962-f5bc-4cdd-ba69-2ece45d04363	c1ea6e37-76b3-4430-921c-44858d57d479	AIR_COOLED_CHILLER
e2271962-f5bc-4cdd-ba69-2ece45d04363	10c71f46-355e-4cee-8e96-a726a9de06e8	COOLING_TOWER
e2271962-f5bc-4cdd-ba69-2ece45d04363	29a1dfc4-6117-494a-8f31-8b67791804d0	DRY_COOLER
e2271962-f5bc-4cdd-ba69-2ece45d04363	7c9a7434-9525-469d-9d13-263731c8dd6d	REMOTE_CONDENSER
e2271962-f5bc-4cdd-ba69-2ece45d04363	330c6a6a-023a-48cc-a08b-c30adeb78e1f	CHILLED_WATER_PUMPS
e2271962-f5bc-4cdd-ba69-2ece45d04363	c1530004-2b66-4c04-990f-e6b2493278d7	HEAT_REJECTION_PUMPS
e2271962-f5bc-4cdd-ba69-2ece45d04363	7f14567a-3425-4be8-a66c-0ac4f3e4deb0	VENTILATION
e2271962-f5bc-4cdd-ba69-2ece45d04363	26c314be-15af-4272-812e-35c872758e37	INFILTRATION
e2271962-f5bc-4cdd-ba69-2ece45d04363	29949b83-0a55-4d7b-aa79-e1204faff73e	IT_LOAD
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	6b18eb65-aefd-4e69-8e93-e3395fc74d6c	SWITCHGEAR
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	32b87612-a2e1-493e-9f80-3eadba5c4a60	GENERATOR
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	3737a120-c604-4002-9c82-b9d77ee9b961	PRIMARY_AUXILIARIES
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	33aba100-7862-4193-a933-0a9dfacfd16c	UPS
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	0010dffb-8140-4c2e-84b4-3ede7f570c68	CRITICAL_AUXILIARIES
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	8a650478-c9b6-4a96-8aac-b25f32b92383	LIGHTING
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	4f9c4864-1694-47f0-8ce7-8d8ee6c70155	CRITICAL_POWER_DISTRIBUTION
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	16bab271-492e-4759-8236-8be5b63c37fb	CRAH
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	bbc45a9a-58f4-41b8-9622-c18565577f8b	CRAC
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	b89ee8b4-d437-445b-b854-74be324a22ac	CRAC_WITHOUT_FAN
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	7bf387a8-a081-443e-849a-8c5680e2c72a	CRAC_FAN
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	f42e1da1-ce73-4dd0-a4c0-b640ba230452	CHILLER
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	9c7102c1-391d-4da7-afe0-30f0edde0a59	AIR_COOLED_CHILLER
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	31e10c26-d2f6-444d-ad05-ee61538460e4	COOLING_TOWER
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	918521f3-4310-4085-84e9-ee52c70cf934	DRY_COOLER
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	d2a55e53-5f5e-4ff1-b224-6b06bedf217b	REMOTE_CONDENSER
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	f0bd340d-a005-41c4-b14a-9d587b454dc5	CHILLED_WATER_PUMPS
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	61e7747c-3fa8-4768-a8b2-20c829460b10	HEAT_REJECTION_PUMPS
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	21469818-d1f1-418e-9ed3-e2cb4c76a80e	VENTILATION
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	88e16795-752d-4445-ad1f-aca4773d72c1	INFILTRATION
fc1a2e49-f05b-42c3-bf83-f0c39bde2d95	8888b683-6601-4712-b1df-9096377f2fcf	IT_LOAD
ea855b3f-50f4-4786-9ae6-5f960563221f	86809932-0c93-4f76-b716-8d37092465d9	SWITCHGEAR
ea855b3f-50f4-4786-9ae6-5f960563221f	21f996cd-04e3-4e16-affd-701610f9402d	GENERATOR
ea855b3f-50f4-4786-9ae6-5f960563221f	53cbb880-2763-4d6e-859c-318c2e052c61	PRIMARY_AUXILIARIES
ea855b3f-50f4-4786-9ae6-5f960563221f	8a5b6550-d96c-485c-bda0-932d97c93007	UPS
ea855b3f-50f4-4786-9ae6-5f960563221f	28b3b894-173e-4e51-83f9-0f423fb0c3c0	CRITICAL_AUXILIARIES
ea855b3f-50f4-4786-9ae6-5f960563221f	afcb38bf-48b2-48e3-b53a-e09cade6a440	LIGHTING
ea855b3f-50f4-4786-9ae6-5f960563221f	e3ecf1fa-38de-4e56-937b-44dd1ca3ae02	CRITICAL_POWER_DISTRIBUTION
ea855b3f-50f4-4786-9ae6-5f960563221f	a86fcae8-0216-4d56-8c88-a5f60615d0a1	CRAH
ea855b3f-50f4-4786-9ae6-5f960563221f	d1583a75-8538-4579-bdd3-06264dcdff5d	CRAC
ea855b3f-50f4-4786-9ae6-5f960563221f	e8c3c355-ae28-4e49-9dc9-c505eb4703c1	CRAC_WITHOUT_FAN
ea855b3f-50f4-4786-9ae6-5f960563221f	f8cec32f-b089-4342-b87e-5d436ab55638	CRAC_FAN
ea855b3f-50f4-4786-9ae6-5f960563221f	1e89e88f-4f3d-4b36-9c96-ebbfcc9d5920	CHILLER
ea855b3f-50f4-4786-9ae6-5f960563221f	e81eea21-8611-43f9-844c-57b27629e370	AIR_COOLED_CHILLER
ea855b3f-50f4-4786-9ae6-5f960563221f	99a7a930-d73c-41af-998a-f610d51ac756	COOLING_TOWER
ea855b3f-50f4-4786-9ae6-5f960563221f	cc2bc59d-378a-4226-ab36-5d2f9fe3b313	DRY_COOLER
ea855b3f-50f4-4786-9ae6-5f960563221f	a2c9a552-5558-49bb-a48b-de4fa2866ba5	REMOTE_CONDENSER
ea855b3f-50f4-4786-9ae6-5f960563221f	e4fba3cb-6ea0-4a9d-9b17-71e574f0c40d	CHILLED_WATER_PUMPS
ea855b3f-50f4-4786-9ae6-5f960563221f	e619fcf4-9aae-4420-ae81-21b52d15fb80	HEAT_REJECTION_PUMPS
ea855b3f-50f4-4786-9ae6-5f960563221f	6ed78eb3-6a29-4999-8a21-9a26161d98a7	VENTILATION
ea855b3f-50f4-4786-9ae6-5f960563221f	8ede922a-8a3e-4d95-b99f-ae4e2b4ad6fa	INFILTRATION
ea855b3f-50f4-4786-9ae6-5f960563221f	b3f983df-64c2-4953-9b2a-fe147756e7bd	IT_LOAD
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	07fdd3e3-54ba-421e-aa6e-e117387fae12	SWITCHGEAR
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	c0404c64-b234-44e7-afaa-b63fd3736e27	GENERATOR
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	16bd7299-df25-4f8e-9c5f-478e67adb13e	PRIMARY_AUXILIARIES
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	f7c1ddc0-8b19-43c3-94f1-eb9994965309	UPS
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	503220f9-7b74-42b0-a613-1de9092da0ba	CRITICAL_AUXILIARIES
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	d0a622e4-6367-4d16-8545-fdafc096c10d	LIGHTING
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	9d436b13-e3bc-4409-9395-cc0734ff02b8	CRITICAL_POWER_DISTRIBUTION
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	0cdaadb7-5565-4cfa-bb41-dfe107992a5f	CRAH
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	d3737534-0e58-400d-9c71-1b4c526b1590	CRAC
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	7636d594-51c8-4379-8373-9f74f6fccce9	CRAC_WITHOUT_FAN
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	4770af94-d2ca-45a0-b612-13210a9261d9	CRAC_FAN
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	46d449ab-ef30-4faa-a96d-9773c5a02ec2	CHILLER
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	da9ccc17-cd43-4563-a410-a0215138234b	AIR_COOLED_CHILLER
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	7052069a-b618-44aa-a137-f4bb553619db	COOLING_TOWER
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	f9d252d7-eb85-4f7c-afdb-c68f91e10043	DRY_COOLER
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	bcc996a0-0bc0-4006-bf2f-c145c64ee567	REMOTE_CONDENSER
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	6d78f030-5b9f-4337-8cf9-9837967c34a1	CHILLED_WATER_PUMPS
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	be9edb33-d4bd-4bf7-b0ca-eb666424c2b8	HEAT_REJECTION_PUMPS
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	ea382de9-ea38-4ce7-a542-2d7be51171a2	VENTILATION
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	eac95ab6-4d9c-46b8-b0e8-fc30409eccd1	INFILTRATION
f3b04a31-6763-45f6-a49f-d35c09bfe9a8	82249c15-c6ea-4a0a-9299-2000f10c9fa4	IT_LOAD
d7c9fbdf-197f-4fba-9e3b-0831d7952406	14e63927-4520-4647-a29c-fcfe08fc33e9	SWITCHGEAR
d7c9fbdf-197f-4fba-9e3b-0831d7952406	70da071f-87f8-4c20-a0da-b389f8f3365e	GENERATOR
d7c9fbdf-197f-4fba-9e3b-0831d7952406	975dc360-f237-4523-aca6-6105b75d9bbb	PRIMARY_AUXILIARIES
d7c9fbdf-197f-4fba-9e3b-0831d7952406	60ec1bcb-2749-444b-87f6-e538a3e44631	UPS
d7c9fbdf-197f-4fba-9e3b-0831d7952406	e9ccabef-dad2-4b1d-9042-4930211bffc7	CRITICAL_AUXILIARIES
d7c9fbdf-197f-4fba-9e3b-0831d7952406	9399f9ac-1d19-4bd2-b9b0-1a6b51f8fdf0	LIGHTING
d7c9fbdf-197f-4fba-9e3b-0831d7952406	83f5223d-2263-4659-b8dc-c841771d632e	CRITICAL_POWER_DISTRIBUTION
d7c9fbdf-197f-4fba-9e3b-0831d7952406	292f3f1f-2f5e-4921-a1d3-13a62ef25005	CRAH
d7c9fbdf-197f-4fba-9e3b-0831d7952406	383064ba-d0d7-4b42-b51d-e9ba23a65a8f	CRAC
d7c9fbdf-197f-4fba-9e3b-0831d7952406	2792edc2-bb8d-44e7-a42e-cd343d1c4fb5	CRAC_WITHOUT_FAN
d7c9fbdf-197f-4fba-9e3b-0831d7952406	7308f3b4-8484-45dc-949b-c69d62b44dbc	CRAC_FAN
d7c9fbdf-197f-4fba-9e3b-0831d7952406	158cdfe3-4977-4835-98ab-2105252bc06d	CHILLER
d7c9fbdf-197f-4fba-9e3b-0831d7952406	b915345f-324b-451a-99c0-75a6041a9602	AIR_COOLED_CHILLER
d7c9fbdf-197f-4fba-9e3b-0831d7952406	17eb24e0-2f5e-4c0c-8dd1-ac7124c022fa	COOLING_TOWER
d7c9fbdf-197f-4fba-9e3b-0831d7952406	2cebccc0-a8f5-4450-814f-5479084e2072	DRY_COOLER
d7c9fbdf-197f-4fba-9e3b-0831d7952406	c9f4832a-3f21-462a-ade1-b85d389ce4de	REMOTE_CONDENSER
d7c9fbdf-197f-4fba-9e3b-0831d7952406	52e2f4bf-d809-4a72-9f78-ecc267425531	CHILLED_WATER_PUMPS
d7c9fbdf-197f-4fba-9e3b-0831d7952406	1a7fbcd0-a925-4585-9c7d-12a6860879aa	HEAT_REJECTION_PUMPS
d7c9fbdf-197f-4fba-9e3b-0831d7952406	69c4a69f-a1d1-420f-8acf-74e0afa56ba4	VENTILATION
d7c9fbdf-197f-4fba-9e3b-0831d7952406	eada8d6d-d3c4-4084-b50b-109aad0ab0d2	INFILTRATION
d7c9fbdf-197f-4fba-9e3b-0831d7952406	9a29974e-6638-45ea-adf4-df22b597965a	IT_LOAD
8b42c82c-7182-47d9-8772-d0c943c23388	d0da9ab6-d4b4-456f-b3cc-e6fcf3e380b0	SWITCHGEAR
8b42c82c-7182-47d9-8772-d0c943c23388	852aa69d-acdf-40c7-b486-30c7b2fe84b9	GENERATOR
8b42c82c-7182-47d9-8772-d0c943c23388	fdce27e6-4fa6-4601-9655-64cb909d072d	PRIMARY_AUXILIARIES
8b42c82c-7182-47d9-8772-d0c943c23388	f327a2df-9010-44c3-a6dc-b53587129921	UPS
8b42c82c-7182-47d9-8772-d0c943c23388	6dba2a12-1709-4adc-9b87-1ee9d83139c3	CRITICAL_AUXILIARIES
8b42c82c-7182-47d9-8772-d0c943c23388	82514c30-5bdb-457b-932e-6b37fa948363	LIGHTING
8b42c82c-7182-47d9-8772-d0c943c23388	9a1d26cb-708e-44cd-96e8-5c10e835aed3	CRITICAL_POWER_DISTRIBUTION
8b42c82c-7182-47d9-8772-d0c943c23388	214f003b-3cc6-4661-8670-ac335b5cac2f	CRAH
8b42c82c-7182-47d9-8772-d0c943c23388	9977fdf4-df28-4641-a59b-ac06d4ff47bf	CRAC
8b42c82c-7182-47d9-8772-d0c943c23388	adb2cd14-458e-41d4-8015-f76c2acc677d	CRAC_WITHOUT_FAN
8b42c82c-7182-47d9-8772-d0c943c23388	39b5ddd1-03a7-4038-90f7-7847b3506388	CRAC_FAN
8b42c82c-7182-47d9-8772-d0c943c23388	b721c52e-0e97-4ca1-9521-3c788d2ffbd2	CHILLER
8b42c82c-7182-47d9-8772-d0c943c23388	1821e0c2-5024-4544-843a-e99fc15e0bdb	AIR_COOLED_CHILLER
8b42c82c-7182-47d9-8772-d0c943c23388	6da8fcb7-ea2d-4bd2-adaf-b79f76bb252f	COOLING_TOWER
8b42c82c-7182-47d9-8772-d0c943c23388	9c4c383d-762c-4a2b-a89f-6aacb4b63482	DRY_COOLER
8b42c82c-7182-47d9-8772-d0c943c23388	988084e9-97f1-4310-95a7-033c16ae7ad6	REMOTE_CONDENSER
8b42c82c-7182-47d9-8772-d0c943c23388	b0684ae9-c0e1-4d45-a1c2-f96af35a5429	CHILLED_WATER_PUMPS
8b42c82c-7182-47d9-8772-d0c943c23388	ab7b33a5-36ca-4df9-980c-1c3498e35da9	HEAT_REJECTION_PUMPS
8b42c82c-7182-47d9-8772-d0c943c23388	ca6b1767-cac2-4d86-8010-87f2f6c8fa12	VENTILATION
8b42c82c-7182-47d9-8772-d0c943c23388	6af17b55-9f2c-4fed-a274-af16e2683d91	INFILTRATION
8b42c82c-7182-47d9-8772-d0c943c23388	b05ef016-4131-419d-b8e0-e8617fdc1697	IT_LOAD
8ed4586a-523d-47e4-81ec-065dd8a5cadf	5bdf7495-7b9a-4a34-8efe-afd043fe9c77	SWITCHGEAR
8ed4586a-523d-47e4-81ec-065dd8a5cadf	fb836b64-779b-4bac-8196-d605c1a9a29d	GENERATOR
8ed4586a-523d-47e4-81ec-065dd8a5cadf	cc363727-fb03-4558-a7ce-3b89c06dcbbf	PRIMARY_AUXILIARIES
8ed4586a-523d-47e4-81ec-065dd8a5cadf	89826cbe-5890-40f5-8e56-7843104dc669	UPS
8ed4586a-523d-47e4-81ec-065dd8a5cadf	d0018112-501e-4ab0-84c9-9335332d9cb1	CRITICAL_AUXILIARIES
8ed4586a-523d-47e4-81ec-065dd8a5cadf	531ecd29-b08e-49aa-a899-7b708c4122be	LIGHTING
8ed4586a-523d-47e4-81ec-065dd8a5cadf	1551ee77-22a6-472e-a7ff-3552562cdab1	CRITICAL_POWER_DISTRIBUTION
8ed4586a-523d-47e4-81ec-065dd8a5cadf	e07d5b80-febf-4085-9213-d30426ee6630	CRAH
8ed4586a-523d-47e4-81ec-065dd8a5cadf	b06b4762-d065-40f9-bf8a-3eccb3cb6681	CRAC
8ed4586a-523d-47e4-81ec-065dd8a5cadf	d71650ea-7891-4652-bc89-aba6ee249cac	CRAC_WITHOUT_FAN
8ed4586a-523d-47e4-81ec-065dd8a5cadf	6130984e-8054-444f-ae4a-4cc653ec164e	CRAC_FAN
8ed4586a-523d-47e4-81ec-065dd8a5cadf	de32f341-a2ce-42fe-b0e9-89fb21ab602b	CHILLER
8ed4586a-523d-47e4-81ec-065dd8a5cadf	dde6ec67-345e-47c9-a11e-c8d2cd05c055	AIR_COOLED_CHILLER
8ed4586a-523d-47e4-81ec-065dd8a5cadf	c832145d-e95c-420e-8f40-c25d35c09ff3	COOLING_TOWER
8ed4586a-523d-47e4-81ec-065dd8a5cadf	6721f8c5-d54e-4d8f-b73f-6a889c55988c	DRY_COOLER
8ed4586a-523d-47e4-81ec-065dd8a5cadf	f43e6255-7ac1-4d10-9a2f-7107a314efb6	REMOTE_CONDENSER
8ed4586a-523d-47e4-81ec-065dd8a5cadf	000205cc-323e-49e0-881e-c771b9a8010e	CHILLED_WATER_PUMPS
8ed4586a-523d-47e4-81ec-065dd8a5cadf	85faca45-f11e-4e85-82b5-8483d4465b02	HEAT_REJECTION_PUMPS
8ed4586a-523d-47e4-81ec-065dd8a5cadf	d8254b05-af99-46aa-84f6-50dff23d220b	VENTILATION
8ed4586a-523d-47e4-81ec-065dd8a5cadf	36b277d0-a741-45e5-9366-05423088c5e5	INFILTRATION
8ed4586a-523d-47e4-81ec-065dd8a5cadf	c2257325-3537-4dca-af0b-21e270cafcdf	IT_LOAD
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	f959c277-7ee4-44f1-bbc7-66228d29cb14	SWITCHGEAR
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	9218716a-1e0c-4534-bdcd-1e8456e739d5	GENERATOR
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	c95266e1-a769-4926-a897-d50569384950	PRIMARY_AUXILIARIES
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	c84b98da-81f8-48ab-aaa3-46f1e466a77f	UPS
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	76aa434e-7ca8-427c-801f-eb48b4320643	CRITICAL_AUXILIARIES
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	b2a1ffef-5c9c-4c06-90ef-fd736939a1fb	LIGHTING
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	cdd22ac7-3433-45cf-ba80-c5ba621cef84	CRITICAL_POWER_DISTRIBUTION
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	5db1efe8-cfd6-46ef-8ddc-7b7f2e4013f4	CRAH
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	bb3ffe8a-79ce-49d2-8d3d-1f6beb62d52f	CRAC
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	c84ac86c-3705-42bb-b520-4dfd285b42d6	CRAC_WITHOUT_FAN
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	16780f9b-5d6e-4c8a-b295-6861077252d7	CRAC_FAN
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	73996c4c-8a11-4558-a15f-6a2c1fc85e81	CHILLER
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	fc71fab7-d174-4836-8f7a-4e2986d9cef6	AIR_COOLED_CHILLER
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	9851b396-94be-47a9-97d1-5bedd7aa5a19	COOLING_TOWER
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	9b445a5f-db90-42ad-af42-4ebea2ffafb9	DRY_COOLER
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	ee9568df-faaa-4919-9623-b65b4b8266a1	REMOTE_CONDENSER
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	3b0ba29c-3876-44ff-91ec-8a967139bd3e	CHILLED_WATER_PUMPS
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	210bab57-5cbf-47ab-a92c-8c8cd9d98358	HEAT_REJECTION_PUMPS
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	6be6a7d6-b31a-408b-a340-0199f4fd3a3e	VENTILATION
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	94050c7d-07bd-496c-b6f1-8e1a8a094ee2	INFILTRATION
fc919883-6cf4-4d7d-9a6e-5e97e2ce6b23	5481604f-124a-487f-9656-494f8ad062bd	IT_LOAD
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	b313ed1a-e1f1-40ac-ae50-dedebdabd892	SWITCHGEAR
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	9d3b107f-a555-47ff-b947-ab9c81db04e0	GENERATOR
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	18286614-ae44-4a72-8acd-135b38266538	PRIMARY_AUXILIARIES
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	3073da1d-2271-4bda-9588-f5a6f699480e	UPS
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	6ef876b7-2e0f-4c4c-acc3-e66f1136f545	CRITICAL_AUXILIARIES
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	55040c16-6a8e-46de-98f9-e186cab821c1	LIGHTING
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	dafeb235-859b-4ab2-ac51-e2dc29039ee4	CRITICAL_POWER_DISTRIBUTION
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	c32469c4-01c1-4f44-b58a-e50117e98e45	CRAH
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	d6425448-a1d3-4dfa-9e3d-116adc5ed1c3	CRAC
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	c822d757-5a2b-4dc4-8333-c319a6c00860	CRAC_WITHOUT_FAN
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	a96ebef5-a61f-4c14-860c-0c7d47ebc04e	CRAC_FAN
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	036c42ab-3c9e-4dcb-bbfb-7b555c58ccb5	CHILLER
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	40459507-4da7-4c28-b197-70c2c54d7d2d	AIR_COOLED_CHILLER
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	46790fda-fe0f-44be-9f19-c3285736d175	COOLING_TOWER
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	349f4e28-bf96-4a84-bbf8-0600c207290a	DRY_COOLER
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	4bfaa990-3f35-453f-8e60-6218fa4c17ee	REMOTE_CONDENSER
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	471e376d-cddc-4fde-8f83-873b943d6c9a	CHILLED_WATER_PUMPS
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	f36272e6-92af-4600-bff4-34284895b10c	HEAT_REJECTION_PUMPS
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	7b3ed463-9bbf-4db0-86c5-e78aa1fca528	VENTILATION
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	2828dfd2-a5f7-4ab9-b203-9eab6237eaf1	INFILTRATION
5eefc0af-0290-49b7-bdb8-6e1384ec63bc	e1885168-7ae1-4a91-abae-49c85c69a017	IT_LOAD
a3f1fd98-6e04-4ee9-a588-e2683e28e546	f0971d53-082e-4a3d-ab46-a4a8c49bf85e	SWITCHGEAR
a3f1fd98-6e04-4ee9-a588-e2683e28e546	24530215-db25-4bbb-acb2-34aca44c1b9b	GENERATOR
a3f1fd98-6e04-4ee9-a588-e2683e28e546	94c57b2c-4137-41fc-953e-5c04b8f6463a	PRIMARY_AUXILIARIES
a3f1fd98-6e04-4ee9-a588-e2683e28e546	3d25aa87-a03e-460b-bfbf-10c5fabf1ff6	UPS
a3f1fd98-6e04-4ee9-a588-e2683e28e546	4c283929-2a13-4ded-9075-12ed1bc2cc22	CRITICAL_AUXILIARIES
a3f1fd98-6e04-4ee9-a588-e2683e28e546	f8d72099-3adb-4819-839b-c9c0b8a89dee	LIGHTING
a3f1fd98-6e04-4ee9-a588-e2683e28e546	045fd441-96ee-48b5-890c-b76e66ba55dc	CRITICAL_POWER_DISTRIBUTION
a3f1fd98-6e04-4ee9-a588-e2683e28e546	d394de26-5c83-49f7-a77e-5ab13bfe9ed9	CRAH
a3f1fd98-6e04-4ee9-a588-e2683e28e546	2d6b316a-07c4-42f7-b76c-3f020d417452	CRAC
a3f1fd98-6e04-4ee9-a588-e2683e28e546	7986172c-abc7-4c5a-a975-1f86e790a3b5	CRAC_WITHOUT_FAN
a3f1fd98-6e04-4ee9-a588-e2683e28e546	309eadca-e3e0-437e-8131-24fa17826dae	CRAC_FAN
a3f1fd98-6e04-4ee9-a588-e2683e28e546	592d86c9-324f-47d6-a7be-d634174e27e9	CHILLER
a3f1fd98-6e04-4ee9-a588-e2683e28e546	f403d626-d7b7-4936-a245-683c03790be4	AIR_COOLED_CHILLER
a3f1fd98-6e04-4ee9-a588-e2683e28e546	72ed8ddb-09db-4700-8970-4f80dae694d9	COOLING_TOWER
a3f1fd98-6e04-4ee9-a588-e2683e28e546	324170ec-4593-48ee-862b-2de52b49de0f	DRY_COOLER
a3f1fd98-6e04-4ee9-a588-e2683e28e546	a036c8ce-e3f6-4baf-819a-9be56f6e1306	REMOTE_CONDENSER
a3f1fd98-6e04-4ee9-a588-e2683e28e546	650b0096-69f2-455d-8ef0-bec7ae7789b3	CHILLED_WATER_PUMPS
a3f1fd98-6e04-4ee9-a588-e2683e28e546	be0c2b77-668f-4ad4-a074-a35453bfec90	HEAT_REJECTION_PUMPS
a3f1fd98-6e04-4ee9-a588-e2683e28e546	9c458db8-5e53-4306-b7f7-aa2fb9bede2b	VENTILATION
a3f1fd98-6e04-4ee9-a588-e2683e28e546	60f1f6fa-b3a2-4366-8841-5454db6cefed	INFILTRATION
a3f1fd98-6e04-4ee9-a588-e2683e28e546	546c4295-40fe-426b-a0f8-2acbe0543ffc	IT_LOAD
039e0163-4322-41c6-9199-ea3e46f55800	b24b6a2a-1194-4b1c-a7e0-4ec0d0a47e33	SWITCHGEAR
039e0163-4322-41c6-9199-ea3e46f55800	1312cc4c-5e9b-4f4c-9e11-7915a047b0ba	GENERATOR
039e0163-4322-41c6-9199-ea3e46f55800	c171401b-b61b-49ee-b751-42be269bf330	PRIMARY_AUXILIARIES
039e0163-4322-41c6-9199-ea3e46f55800	5a2dba6c-7921-477d-a144-5a92b9ad5894	UPS
039e0163-4322-41c6-9199-ea3e46f55800	c5d80aed-0037-458f-ae93-8db3efa85074	CRITICAL_AUXILIARIES
039e0163-4322-41c6-9199-ea3e46f55800	2630e5f2-937f-4efb-a672-51b5b07171c3	LIGHTING
039e0163-4322-41c6-9199-ea3e46f55800	5bf71aef-d5c9-4be5-8902-53979412333b	CRITICAL_POWER_DISTRIBUTION
039e0163-4322-41c6-9199-ea3e46f55800	2d0fd830-254d-457b-a0a7-4ff35a7d0498	CRAH
039e0163-4322-41c6-9199-ea3e46f55800	5b789804-3473-4431-b86e-5d817fe6d8e5	CRAC
039e0163-4322-41c6-9199-ea3e46f55800	ad8a396f-12d3-489d-9365-b22c7d8363a6	CRAC_WITHOUT_FAN
039e0163-4322-41c6-9199-ea3e46f55800	d2516349-b9f3-4a25-8ba0-16056d02ac6b	CRAC_FAN
039e0163-4322-41c6-9199-ea3e46f55800	879f59bb-27ba-4225-890d-5d6076830498	CHILLER
039e0163-4322-41c6-9199-ea3e46f55800	804d8542-5773-4793-aa15-317f2caa9acf	AIR_COOLED_CHILLER
039e0163-4322-41c6-9199-ea3e46f55800	cc2259a8-483f-4876-b002-3271c5a658f1	COOLING_TOWER
039e0163-4322-41c6-9199-ea3e46f55800	228893a2-2fea-41a8-93b9-50808aad6464	DRY_COOLER
039e0163-4322-41c6-9199-ea3e46f55800	05af8301-0bf7-4244-82d5-6c8f31cc38a3	REMOTE_CONDENSER
039e0163-4322-41c6-9199-ea3e46f55800	9d4cb1b1-7fa4-458a-90a9-a82cc0cac64d	CHILLED_WATER_PUMPS
039e0163-4322-41c6-9199-ea3e46f55800	671b58ab-df17-4a91-aa82-afb6b6c2ce16	HEAT_REJECTION_PUMPS
039e0163-4322-41c6-9199-ea3e46f55800	29113839-55da-4799-ba94-c9d8f5152b7b	VENTILATION
039e0163-4322-41c6-9199-ea3e46f55800	dd1840f3-0f01-4d7a-bac9-1b84b2edf2b4	INFILTRATION
039e0163-4322-41c6-9199-ea3e46f55800	335781bb-d95d-4ec9-b35b-1eecb4e20cf4	IT_LOAD
fed6a482-4719-466f-99e2-c38c16f3c648	15775e2f-c32d-4eb8-b16f-db23a69053b6	SWITCHGEAR
fed6a482-4719-466f-99e2-c38c16f3c648	f077214e-fa6a-40dc-97fc-424eff09a973	GENERATOR
fed6a482-4719-466f-99e2-c38c16f3c648	9bbb1ea3-066c-4220-b157-8efc8069ba56	PRIMARY_AUXILIARIES
fed6a482-4719-466f-99e2-c38c16f3c648	733e68e2-905a-42d5-b055-b8725f41f08e	UPS
fed6a482-4719-466f-99e2-c38c16f3c648	bc18d7f1-69fb-4bfe-9bb7-393f3bd7ac7e	CRITICAL_AUXILIARIES
fed6a482-4719-466f-99e2-c38c16f3c648	35535328-82ca-4228-99b8-64682e2a398b	LIGHTING
fed6a482-4719-466f-99e2-c38c16f3c648	c819ffe2-10de-4eef-9bfd-57cf540547bf	CRITICAL_POWER_DISTRIBUTION
fed6a482-4719-466f-99e2-c38c16f3c648	fde9135c-fe26-4cac-a123-f9d4f11728e4	CRAH
fed6a482-4719-466f-99e2-c38c16f3c648	0c8d2e41-3d98-4ed7-af68-44e76cdd8cd6	CRAC
fed6a482-4719-466f-99e2-c38c16f3c648	86a07c2e-ac39-481b-ad7c-f8d1214a3e54	CRAC_WITHOUT_FAN
fed6a482-4719-466f-99e2-c38c16f3c648	51ece918-7b1f-4b45-bdb3-b17cca681577	CRAC_FAN
fed6a482-4719-466f-99e2-c38c16f3c648	5298362e-e6f8-43d7-8c41-a9ba3d6425ad	CHILLER
fed6a482-4719-466f-99e2-c38c16f3c648	2af25b14-ffa5-4792-941a-7ca7fab91758	AIR_COOLED_CHILLER
fed6a482-4719-466f-99e2-c38c16f3c648	cf9dcafb-382f-41da-b084-f70651a3148e	COOLING_TOWER
fed6a482-4719-466f-99e2-c38c16f3c648	c6a11416-d125-47fa-a4b7-a70c961cabcd	DRY_COOLER
fed6a482-4719-466f-99e2-c38c16f3c648	b11e272c-2c27-4d76-8015-f3533c644c7b	REMOTE_CONDENSER
fed6a482-4719-466f-99e2-c38c16f3c648	93dfd6d5-d2e7-4073-ab8a-695217d332cf	CHILLED_WATER_PUMPS
fed6a482-4719-466f-99e2-c38c16f3c648	0cc6d275-aad1-4ac9-b736-bea58a99ca7f	HEAT_REJECTION_PUMPS
fed6a482-4719-466f-99e2-c38c16f3c648	cfdc89b6-e58a-4429-9c9f-437be1b0c350	VENTILATION
fed6a482-4719-466f-99e2-c38c16f3c648	5ea2b57e-814b-4701-9e57-26e3bdce9eeb	INFILTRATION
fed6a482-4719-466f-99e2-c38c16f3c648	27dcf816-95c1-47cb-a135-7ab1ae887d5f	IT_LOAD
e9e416fc-0a01-41c5-ad90-be1b493a0594	19f68810-7b60-462a-866b-b581dd109dd9	SWITCHGEAR
e9e416fc-0a01-41c5-ad90-be1b493a0594	9aaa343a-2687-4bdc-882f-140da77f73d6	GENERATOR
e9e416fc-0a01-41c5-ad90-be1b493a0594	9089c80a-3473-47d9-ad50-aa34c14f0d8a	PRIMARY_AUXILIARIES
e9e416fc-0a01-41c5-ad90-be1b493a0594	fe330754-49be-4e15-9091-7334be2fe1c5	UPS
e9e416fc-0a01-41c5-ad90-be1b493a0594	c4ba0258-5a8c-4be3-9b6a-c7f8fde42512	CRITICAL_AUXILIARIES
e9e416fc-0a01-41c5-ad90-be1b493a0594	aa9341df-5573-4fbb-aab0-0b340af7f80f	LIGHTING
e9e416fc-0a01-41c5-ad90-be1b493a0594	d6f3537f-5999-4186-85a6-19c819d08788	CRITICAL_POWER_DISTRIBUTION
e9e416fc-0a01-41c5-ad90-be1b493a0594	61da7648-d9b2-4dad-bc8b-40b3351492b1	CRAH
e9e416fc-0a01-41c5-ad90-be1b493a0594	8e4b159b-e899-4190-be44-335b55f0eba2	CRAC
e9e416fc-0a01-41c5-ad90-be1b493a0594	93e233c9-a20a-4d8e-837c-a8dad2f17d8b	CRAC_WITHOUT_FAN
e9e416fc-0a01-41c5-ad90-be1b493a0594	7715c301-b2a4-47db-a2c2-25c673927ef6	CRAC_FAN
e9e416fc-0a01-41c5-ad90-be1b493a0594	69edb290-7262-451c-a554-3760e10177d6	CHILLER
e9e416fc-0a01-41c5-ad90-be1b493a0594	095a37f7-8fe9-4dfb-82a7-41d0c2101c9a	AIR_COOLED_CHILLER
e9e416fc-0a01-41c5-ad90-be1b493a0594	b2c30d5f-5d27-40ff-8443-04cba2242291	COOLING_TOWER
e9e416fc-0a01-41c5-ad90-be1b493a0594	67f15c64-e718-4a5b-ae44-0f25184bd738	DRY_COOLER
e9e416fc-0a01-41c5-ad90-be1b493a0594	606cf8c7-f399-465a-94e9-8f0a85fd8c6f	REMOTE_CONDENSER
e9e416fc-0a01-41c5-ad90-be1b493a0594	64998702-7f24-46f3-832c-fe9c922f84c5	CHILLED_WATER_PUMPS
e9e416fc-0a01-41c5-ad90-be1b493a0594	c21aa803-f3e4-4ee2-9754-da8931f2552b	HEAT_REJECTION_PUMPS
e9e416fc-0a01-41c5-ad90-be1b493a0594	cc12027e-991c-49b2-8417-71b515f56015	VENTILATION
e9e416fc-0a01-41c5-ad90-be1b493a0594	e746fbfc-d0fc-463a-b356-5cbf2209485e	INFILTRATION
e9e416fc-0a01-41c5-ad90-be1b493a0594	93b508c3-e6bc-4d2b-9c0e-9b7dc09e0a67	IT_LOAD
8d49bf18-36a5-4047-8161-bb28b7ed21d5	7db6d837-4351-42cd-bfb2-6fcb906288c4	SWITCHGEAR
8d49bf18-36a5-4047-8161-bb28b7ed21d5	94a4aa34-d2a8-43d2-bf2b-c1a489f0da4d	GENERATOR
8d49bf18-36a5-4047-8161-bb28b7ed21d5	038f5776-71bb-404a-8a86-561765b4e8c5	PRIMARY_AUXILIARIES
8d49bf18-36a5-4047-8161-bb28b7ed21d5	e22a9bca-d445-4b72-9b07-ff517d1f3d63	UPS
8d49bf18-36a5-4047-8161-bb28b7ed21d5	16fea32d-7a9e-46a2-b163-8d8c5fe86546	CRITICAL_AUXILIARIES
8d49bf18-36a5-4047-8161-bb28b7ed21d5	44a674e3-88ba-40e1-8e62-69edd5422ba7	LIGHTING
8d49bf18-36a5-4047-8161-bb28b7ed21d5	ae989b23-ef7e-44b2-ab2d-770e6814c77a	CRITICAL_POWER_DISTRIBUTION
8d49bf18-36a5-4047-8161-bb28b7ed21d5	1a8ece90-a8ea-4299-a0ea-5d90065b255c	CRAH
8d49bf18-36a5-4047-8161-bb28b7ed21d5	50f7c22f-b3a9-47a1-b962-55de0c88e5a2	CRAC
8d49bf18-36a5-4047-8161-bb28b7ed21d5	4c3a34bd-59e9-41cb-a1fb-7f627e9fceda	CRAC_WITHOUT_FAN
8d49bf18-36a5-4047-8161-bb28b7ed21d5	1b3a0979-937b-43bc-9df2-6848f3f108b9	CRAC_FAN
8d49bf18-36a5-4047-8161-bb28b7ed21d5	dcaaccb0-3b92-4546-ab41-ee539130017b	CHILLER
8d49bf18-36a5-4047-8161-bb28b7ed21d5	813326dd-772f-4665-aab4-b3157c523e87	AIR_COOLED_CHILLER
8d49bf18-36a5-4047-8161-bb28b7ed21d5	0eebba4f-efe1-4d9d-b864-3325ff26255a	COOLING_TOWER
8d49bf18-36a5-4047-8161-bb28b7ed21d5	e2ce4432-f138-4469-91b3-1a299ca92f0b	DRY_COOLER
8d49bf18-36a5-4047-8161-bb28b7ed21d5	a20bfdef-170e-4a9f-bac1-3afaeba5f43e	REMOTE_CONDENSER
8d49bf18-36a5-4047-8161-bb28b7ed21d5	38b3a760-9674-426d-b4d8-f70d7f55906c	CHILLED_WATER_PUMPS
8d49bf18-36a5-4047-8161-bb28b7ed21d5	6fc2defe-c0b4-4942-ba65-e2e62c9d177c	HEAT_REJECTION_PUMPS
8d49bf18-36a5-4047-8161-bb28b7ed21d5	1cf00e48-2135-4355-9158-afe61828df3d	VENTILATION
8d49bf18-36a5-4047-8161-bb28b7ed21d5	16808ff1-d8e2-4e74-bc11-83e248033fa1	INFILTRATION
8d49bf18-36a5-4047-8161-bb28b7ed21d5	0b347a70-acaf-40dd-8779-e26d12489fd7	IT_LOAD
2311cebe-5916-49a1-9789-94ec795e7bc8	59a8fbf9-a705-4058-8c56-052e1cc4372d	SWITCHGEAR
2311cebe-5916-49a1-9789-94ec795e7bc8	7483e576-9167-49c8-9ff4-84a2da57fd87	GENERATOR
2311cebe-5916-49a1-9789-94ec795e7bc8	19d6c4dc-ffcc-47d2-9111-9db3c9d34fa7	PRIMARY_AUXILIARIES
2311cebe-5916-49a1-9789-94ec795e7bc8	42dde2bc-58f3-4433-8ca6-b76ca6274f26	UPS
2311cebe-5916-49a1-9789-94ec795e7bc8	86395011-de22-4452-937c-12122d6cd922	CRITICAL_AUXILIARIES
2311cebe-5916-49a1-9789-94ec795e7bc8	337af9d8-50de-439b-b326-31bd70080ea7	LIGHTING
2311cebe-5916-49a1-9789-94ec795e7bc8	9a79a138-0d6b-4ad1-a0b0-09af68497d14	CRITICAL_POWER_DISTRIBUTION
2311cebe-5916-49a1-9789-94ec795e7bc8	599e87d1-7e89-4d03-a422-4998c5f2bde2	CRAH
2311cebe-5916-49a1-9789-94ec795e7bc8	d347842f-03b0-43be-bf0b-300e165113b1	CRAC
2311cebe-5916-49a1-9789-94ec795e7bc8	115dab25-e830-4549-bd3f-1c7a438498d7	CRAC_WITHOUT_FAN
2311cebe-5916-49a1-9789-94ec795e7bc8	bf5335ef-a094-46a8-a51a-2255fcc23ae9	CRAC_FAN
2311cebe-5916-49a1-9789-94ec795e7bc8	79ed08b4-fbab-4b3b-bdb9-5ab8aa28aeb6	CHILLER
2311cebe-5916-49a1-9789-94ec795e7bc8	67b2fd49-f71b-4358-8e6d-9d99cd920979	AIR_COOLED_CHILLER
2311cebe-5916-49a1-9789-94ec795e7bc8	7d633c03-db46-4364-a761-849a7d949d85	COOLING_TOWER
2311cebe-5916-49a1-9789-94ec795e7bc8	b7f89047-f4f4-4622-8574-76711566d612	DRY_COOLER
2311cebe-5916-49a1-9789-94ec795e7bc8	ec0541ca-d9d1-42f9-9d40-65cb4e92e15a	REMOTE_CONDENSER
2311cebe-5916-49a1-9789-94ec795e7bc8	e574e6c3-2af2-4251-b912-ea5e31556482	CHILLED_WATER_PUMPS
2311cebe-5916-49a1-9789-94ec795e7bc8	77a90480-ace7-45ee-acbd-cacdec7e02bc	HEAT_REJECTION_PUMPS
2311cebe-5916-49a1-9789-94ec795e7bc8	266e26b7-a319-4e23-b7f2-3c6b51731b5c	VENTILATION
2311cebe-5916-49a1-9789-94ec795e7bc8	596aaaf5-cdee-47f8-9166-0f589d55dfa6	INFILTRATION
2311cebe-5916-49a1-9789-94ec795e7bc8	cd75a04f-4e57-4289-8f4e-a2ca0c316287	IT_LOAD
854342f7-2500-4a3f-a472-e318688f4e1e	b8e9967c-ddf0-4aa5-ac78-50120998527c	SWITCHGEAR
854342f7-2500-4a3f-a472-e318688f4e1e	7f9a7d0c-a7d1-4014-945f-c98b37c35f61	GENERATOR
854342f7-2500-4a3f-a472-e318688f4e1e	b8a38f05-a0d8-4f71-a386-6e1d8aadb7d9	PRIMARY_AUXILIARIES
854342f7-2500-4a3f-a472-e318688f4e1e	56fc9b68-941e-4c52-873a-6df6c67d8f09	UPS
854342f7-2500-4a3f-a472-e318688f4e1e	cadb80e4-1e73-4862-a6a5-91c379818dea	CRITICAL_AUXILIARIES
854342f7-2500-4a3f-a472-e318688f4e1e	ec2db5b4-d23c-45a3-bd71-4c4f276bb9af	LIGHTING
854342f7-2500-4a3f-a472-e318688f4e1e	b224e3ab-344a-40fd-87bd-caf2447da91b	CRITICAL_POWER_DISTRIBUTION
854342f7-2500-4a3f-a472-e318688f4e1e	9b75c097-52e8-4d8c-b150-7b26c2621f5d	CRAH
854342f7-2500-4a3f-a472-e318688f4e1e	18b8f9d1-99c4-45c5-ae05-bc566c4f90a3	CRAC
854342f7-2500-4a3f-a472-e318688f4e1e	e56b9558-bf1c-4388-89d9-c1819c29d01e	CRAC_WITHOUT_FAN
854342f7-2500-4a3f-a472-e318688f4e1e	b34c175e-b849-40c0-af0c-abbb97255e19	CRAC_FAN
854342f7-2500-4a3f-a472-e318688f4e1e	baad5aae-1958-457b-9d75-65662a7b752c	CHILLER
854342f7-2500-4a3f-a472-e318688f4e1e	398c2753-c116-4b23-b855-4d87d0993472	AIR_COOLED_CHILLER
854342f7-2500-4a3f-a472-e318688f4e1e	6e577098-5942-478d-9c39-0353a3f33123	COOLING_TOWER
854342f7-2500-4a3f-a472-e318688f4e1e	385aa791-e602-4abf-9d9c-fc028ce16e73	DRY_COOLER
854342f7-2500-4a3f-a472-e318688f4e1e	a15983d8-6a08-47b8-9d9f-7fdbb823bc03	REMOTE_CONDENSER
854342f7-2500-4a3f-a472-e318688f4e1e	366979b5-ba81-431e-992a-c18c756dc270	CHILLED_WATER_PUMPS
854342f7-2500-4a3f-a472-e318688f4e1e	407ed4ee-14c2-4f26-814e-5c81e45fddcb	HEAT_REJECTION_PUMPS
854342f7-2500-4a3f-a472-e318688f4e1e	cac9e40d-0547-4a96-8a46-ded5db9275f8	VENTILATION
854342f7-2500-4a3f-a472-e318688f4e1e	97f68bc1-26d3-4202-85c1-d71d3434a4fa	INFILTRATION
854342f7-2500-4a3f-a472-e318688f4e1e	61c72a0f-4380-44ac-94c0-de48bfebd226	IT_LOAD
8a824bf4-665c-4450-8e36-c0693a004ea5	e08f07c2-e750-4fae-9e5e-5f21528da7f4	SWITCHGEAR
8a824bf4-665c-4450-8e36-c0693a004ea5	13a62e42-99e6-4ad2-98ad-8ad05ddeb20f	GENERATOR
8a824bf4-665c-4450-8e36-c0693a004ea5	4230c9e5-0588-4095-91bb-b6868cde9435	PRIMARY_AUXILIARIES
8a824bf4-665c-4450-8e36-c0693a004ea5	6f9f818d-df28-4e5b-bc09-c0a33922f0aa	UPS
8a824bf4-665c-4450-8e36-c0693a004ea5	6a45c56d-3bda-49d0-9aef-a7530d3cd98f	CRITICAL_AUXILIARIES
8a824bf4-665c-4450-8e36-c0693a004ea5	494500f2-24c3-4c5c-a2de-c49778b9de7c	LIGHTING
8a824bf4-665c-4450-8e36-c0693a004ea5	6303be5f-a4f4-49be-830f-c7166de2318f	CRITICAL_POWER_DISTRIBUTION
8a824bf4-665c-4450-8e36-c0693a004ea5	4519c30a-3ef4-43eb-8ccd-6320c483ee88	CRAH
8a824bf4-665c-4450-8e36-c0693a004ea5	380a057d-2447-4fb9-9ef2-2783106aa381	CRAC
8a824bf4-665c-4450-8e36-c0693a004ea5	49ed5bb5-c13e-4b6a-889f-d5a2a0f2edb5	CRAC_WITHOUT_FAN
8a824bf4-665c-4450-8e36-c0693a004ea5	c64eca9c-2e28-48e5-aeba-a533fa65d4e7	CRAC_FAN
8a824bf4-665c-4450-8e36-c0693a004ea5	9a843087-0bc5-422a-ac31-ee81b79d7f42	CHILLER
8a824bf4-665c-4450-8e36-c0693a004ea5	3c947c5a-b115-4221-9628-cfd178d6d2a2	AIR_COOLED_CHILLER
8a824bf4-665c-4450-8e36-c0693a004ea5	44beb642-cb30-4ef3-8ea6-9a2cf671d187	COOLING_TOWER
8a824bf4-665c-4450-8e36-c0693a004ea5	0e7b7f09-a74e-4ccd-8f4e-92d9d53d8889	DRY_COOLER
8a824bf4-665c-4450-8e36-c0693a004ea5	5e6f318d-ad72-42b7-a291-21b3af7a92aa	REMOTE_CONDENSER
8a824bf4-665c-4450-8e36-c0693a004ea5	938252fd-cf9b-4426-b491-69a074f30d44	CHILLED_WATER_PUMPS
8a824bf4-665c-4450-8e36-c0693a004ea5	4a5ba0e2-6fd0-4a82-b9ff-a8d23b582e59	HEAT_REJECTION_PUMPS
8a824bf4-665c-4450-8e36-c0693a004ea5	a8d86be6-04dd-422f-a370-626336fbb5c5	VENTILATION
8a824bf4-665c-4450-8e36-c0693a004ea5	464a52d4-678c-4433-a494-cb84bdc78a7a	INFILTRATION
8a824bf4-665c-4450-8e36-c0693a004ea5	642a8d93-00dd-4828-aee3-3ff1675e8079	IT_LOAD
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	c0c66dbb-2a37-4582-88ca-e81eaf16d2fa	SWITCHGEAR
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	62c9a346-fa05-4434-b741-435716b5220a	GENERATOR
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	27eaab2d-ae9e-429e-a638-a88f019de05e	PRIMARY_AUXILIARIES
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	77065cb0-6d29-40bd-a345-fbb4e1197d2f	UPS
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	7548ba85-5936-4552-b2b3-40b0b0e6fbdf	CRITICAL_AUXILIARIES
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	b448ffda-d213-400d-b23c-1da6e4d0ff75	LIGHTING
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	416a3570-219f-4108-a1e7-c9c68b6cc225	CRITICAL_POWER_DISTRIBUTION
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	93b49692-bf85-426b-97d2-cde45b1f8b41	CRAH
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	fcb1182f-141e-499b-82a4-3dd3c09e8e49	CRAC
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	c17d07c4-a857-41cd-ad8c-52beb6df6f55	CRAC_WITHOUT_FAN
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	68f02927-0855-4391-8114-94ac6b291de6	CRAC_FAN
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	888118ed-4f09-464f-b314-6a754f936e29	CHILLER
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	f8944b52-1f1d-49c4-b044-7ae052a44026	AIR_COOLED_CHILLER
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	d8d25065-3350-4c39-bc53-f85c5692c960	COOLING_TOWER
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	7340b481-74fe-45f6-ab41-d1a19e3b6cd1	DRY_COOLER
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	9583b0b8-ec75-4c98-96c0-5073dc043b69	REMOTE_CONDENSER
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	62285cab-28ea-47d8-a0ef-9b80bde0aa3a	CHILLED_WATER_PUMPS
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	76daf825-7e6f-43b8-9065-d1c288d6c478	HEAT_REJECTION_PUMPS
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	bbe4e5b8-f9e8-44a4-a844-ec11901b8442	VENTILATION
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	c3a1c297-c8b7-4682-9fd5-fcdba40f7fd2	INFILTRATION
a21cf1c1-7ad1-4b6a-81bb-f091953eacfc	bbad1c7c-9a1c-4164-b621-4d93e5d37611	IT_LOAD
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	15098d6e-3e3c-4ccc-ad42-29a721a6902b	SWITCHGEAR
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	0fe1b0cc-c80c-42a8-a1de-dd2a55e47d49	GENERATOR
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	dffdada9-cb07-4bbd-91a5-af3c7a930de4	PRIMARY_AUXILIARIES
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	60954fc0-d660-413c-bf46-4cdd9eddccb8	UPS
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	e9238bc9-bfa0-4617-b3bd-cf4d67f057e0	CRITICAL_AUXILIARIES
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	8db4dbb9-1d61-44b0-98c2-2550b394bd3c	LIGHTING
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	dbdf9134-f5d4-40fe-a6e9-46aa07ea097a	CRITICAL_POWER_DISTRIBUTION
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	0364d457-ac5b-42e0-a36a-d5fd82360899	CRAH
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	b0fab57c-be12-4496-be30-aa83125a6731	CRAC
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	b79ba0b4-eb71-4367-9220-5a2b961c00c1	CRAC_WITHOUT_FAN
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	6613b997-b504-4d6a-bf48-9b6a0e6e7801	CRAC_FAN
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	fdaca49b-a225-46f1-b24e-1649aa4e7432	CHILLER
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	efe0f06e-6c1c-4dd1-b1bc-c7794e2cc2fa	AIR_COOLED_CHILLER
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	9e2484b0-63f6-4d58-a68f-ec2e576e5b1a	COOLING_TOWER
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	5a2b69a0-eaef-4815-88bd-7675f80ba188	DRY_COOLER
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	dfd03245-b240-4db3-ad96-45c8e984d430	REMOTE_CONDENSER
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	476d861e-adcb-45bb-bcc1-1cd0dc5ae62b	CHILLED_WATER_PUMPS
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	beb0ee34-9877-451b-8a20-032d4f309b43	HEAT_REJECTION_PUMPS
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	6d3447ca-29d6-4026-be61-a223ecf5a317	VENTILATION
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	2effeca9-6037-47ba-baa4-033e52d78a3f	INFILTRATION
d5d0979f-3bb2-44ad-8122-a3e649cf3ffb	93e0aa02-9ab7-427b-b7ee-c9a49a832f8c	IT_LOAD
a30ffb49-7d54-46c1-81cb-aabf174d8c54	f6049d76-0524-4251-afe5-7674e987cb7a	SWITCHGEAR
a30ffb49-7d54-46c1-81cb-aabf174d8c54	0593f5da-4bce-4388-9056-c5e5455e8b9d	GENERATOR
a30ffb49-7d54-46c1-81cb-aabf174d8c54	8fff0dd6-41de-4afd-a26d-a293219f639d	PRIMARY_AUXILIARIES
a30ffb49-7d54-46c1-81cb-aabf174d8c54	09733e29-238c-4377-ad26-1ba5ffb17965	UPS
a30ffb49-7d54-46c1-81cb-aabf174d8c54	a988fb58-2a8a-43b2-a68c-b8d39397bbb3	CRITICAL_AUXILIARIES
a30ffb49-7d54-46c1-81cb-aabf174d8c54	80caefed-a579-433a-aadf-666fad6d669e	LIGHTING
a30ffb49-7d54-46c1-81cb-aabf174d8c54	ab44614c-8573-482f-af05-125090615aa5	CRITICAL_POWER_DISTRIBUTION
a30ffb49-7d54-46c1-81cb-aabf174d8c54	3a369bb8-af0e-4ab1-8779-f914e506aea6	CRAH
a30ffb49-7d54-46c1-81cb-aabf174d8c54	b0217b76-5758-43b7-8a43-b8e250ab5693	CRAC
a30ffb49-7d54-46c1-81cb-aabf174d8c54	a7a24684-a4c1-402d-8481-d8044b23680d	CRAC_WITHOUT_FAN
a30ffb49-7d54-46c1-81cb-aabf174d8c54	2903c517-b592-4ddb-b947-b6e73c6066b6	CRAC_FAN
a30ffb49-7d54-46c1-81cb-aabf174d8c54	758b03e6-3149-4134-9b93-d226a3e415d5	CHILLER
a30ffb49-7d54-46c1-81cb-aabf174d8c54	4ed3e115-eead-4a80-b132-42cff4763b31	AIR_COOLED_CHILLER
a30ffb49-7d54-46c1-81cb-aabf174d8c54	6f192b8f-3a11-470f-864f-5d78a827d3b9	COOLING_TOWER
a30ffb49-7d54-46c1-81cb-aabf174d8c54	811ae16f-bce8-425f-ae1d-5426eb92d632	DRY_COOLER
a30ffb49-7d54-46c1-81cb-aabf174d8c54	bc29e5ee-6348-43bb-bea6-11b535b85c65	REMOTE_CONDENSER
a30ffb49-7d54-46c1-81cb-aabf174d8c54	e4cc129f-5236-4546-a4ab-030caa1db4aa	CHILLED_WATER_PUMPS
a30ffb49-7d54-46c1-81cb-aabf174d8c54	6cd2f4f5-aa81-451e-9c79-0df5fe0c6d6f	HEAT_REJECTION_PUMPS
a30ffb49-7d54-46c1-81cb-aabf174d8c54	2ffe1aaa-e069-4727-ac88-413932a3ace9	VENTILATION
a30ffb49-7d54-46c1-81cb-aabf174d8c54	03954b6f-6fa6-40e8-a167-05b0ff33850e	INFILTRATION
a30ffb49-7d54-46c1-81cb-aabf174d8c54	cdf6de45-ca2d-468f-ad83-9059c8156fda	IT_LOAD
33addb4e-3b7b-42c5-859a-517fb2e14e1d	88397fc7-4faa-45c2-8eec-2b871372a66e	SWITCHGEAR
33addb4e-3b7b-42c5-859a-517fb2e14e1d	ba9aa644-d522-4e2f-a3be-583079973abc	GENERATOR
33addb4e-3b7b-42c5-859a-517fb2e14e1d	d9ed23f7-35bd-40ff-9b0b-b4febf1638ac	PRIMARY_AUXILIARIES
33addb4e-3b7b-42c5-859a-517fb2e14e1d	1e1cbc2f-f656-4b18-8477-50765f0eb329	UPS
33addb4e-3b7b-42c5-859a-517fb2e14e1d	30c5fdc3-5c0f-4380-aac0-15fb92d6a6a5	CRITICAL_AUXILIARIES
33addb4e-3b7b-42c5-859a-517fb2e14e1d	b3729abe-849f-4d18-b214-c1012892f09e	LIGHTING
33addb4e-3b7b-42c5-859a-517fb2e14e1d	12b5a017-0bbc-494f-b710-0189ff949809	CRITICAL_POWER_DISTRIBUTION
33addb4e-3b7b-42c5-859a-517fb2e14e1d	0626ddfd-7bf0-4793-b519-ea26c310590d	CRAH
33addb4e-3b7b-42c5-859a-517fb2e14e1d	9ce8584e-b1c6-41dc-9dd9-e61fd1bb67df	CRAC
33addb4e-3b7b-42c5-859a-517fb2e14e1d	96a24fc3-c532-4def-84c4-2d320c2ea072	CRAC_WITHOUT_FAN
33addb4e-3b7b-42c5-859a-517fb2e14e1d	3191b6ea-5ff5-4b80-a6eb-f33e4d0ed0b1	CRAC_FAN
33addb4e-3b7b-42c5-859a-517fb2e14e1d	016706ea-5121-4d65-a633-105533d73bff	CHILLER
33addb4e-3b7b-42c5-859a-517fb2e14e1d	26880d12-061a-4aac-8856-7b01efc2d5a9	AIR_COOLED_CHILLER
33addb4e-3b7b-42c5-859a-517fb2e14e1d	d63593de-3c3c-41be-9526-3d413839cd9f	COOLING_TOWER
33addb4e-3b7b-42c5-859a-517fb2e14e1d	2cc3b7fb-f913-449c-91bb-6bbc1b0cb1f1	DRY_COOLER
33addb4e-3b7b-42c5-859a-517fb2e14e1d	bc446a7c-8594-4b71-9bb6-98fff5aa8db7	REMOTE_CONDENSER
33addb4e-3b7b-42c5-859a-517fb2e14e1d	2acce340-a34f-44f0-9653-8153ec4422fa	CHILLED_WATER_PUMPS
33addb4e-3b7b-42c5-859a-517fb2e14e1d	b3e2f9ae-b768-42bc-a882-19f68a9a5fa9	HEAT_REJECTION_PUMPS
33addb4e-3b7b-42c5-859a-517fb2e14e1d	9f2db7ea-eb6c-482f-939f-3df927f2e28c	VENTILATION
33addb4e-3b7b-42c5-859a-517fb2e14e1d	594ec81c-220f-4e95-a5ff-9c44a3ace185	INFILTRATION
33addb4e-3b7b-42c5-859a-517fb2e14e1d	c8f7f362-580e-4d49-9e33-428827c58adc	IT_LOAD
79acffb1-1720-4a58-a340-a8d2ee24f24e	9404ccd9-efb5-4059-94df-5e06a0761558	SWITCHGEAR
79acffb1-1720-4a58-a340-a8d2ee24f24e	fb52bdfc-8605-499c-a780-4972e68e64bc	GENERATOR
79acffb1-1720-4a58-a340-a8d2ee24f24e	8876b515-086c-4595-bdac-201230c9aac5	PRIMARY_AUXILIARIES
79acffb1-1720-4a58-a340-a8d2ee24f24e	df891195-5fd1-4618-8cde-eaa85be92f09	UPS
79acffb1-1720-4a58-a340-a8d2ee24f24e	2bf357d5-88b1-42f5-9d3f-cff7396093b5	CRITICAL_AUXILIARIES
79acffb1-1720-4a58-a340-a8d2ee24f24e	7a11ed5e-60d5-49ef-a293-31239f2b98e2	LIGHTING
79acffb1-1720-4a58-a340-a8d2ee24f24e	da882d91-383d-40ad-8530-07bf8ac77cc5	CRITICAL_POWER_DISTRIBUTION
79acffb1-1720-4a58-a340-a8d2ee24f24e	cb24fc8c-7571-4e64-bc42-8cb4b694a096	CRAH
79acffb1-1720-4a58-a340-a8d2ee24f24e	1e4ad5f1-81ce-43e7-806f-891da83ad2a3	CRAC
79acffb1-1720-4a58-a340-a8d2ee24f24e	4520bd3f-56b3-49ed-978a-844a92a009ad	CRAC_WITHOUT_FAN
79acffb1-1720-4a58-a340-a8d2ee24f24e	9e2d5b93-e802-4d67-b526-b7f383085cb8	CRAC_FAN
79acffb1-1720-4a58-a340-a8d2ee24f24e	ea4d4694-2a25-4ab9-8282-cc35c3cec12e	CHILLER
79acffb1-1720-4a58-a340-a8d2ee24f24e	97e6d529-147e-4873-8932-d0666f7ee652	AIR_COOLED_CHILLER
79acffb1-1720-4a58-a340-a8d2ee24f24e	dc7f5616-c0cd-4112-876c-9d63c11cb1e6	COOLING_TOWER
79acffb1-1720-4a58-a340-a8d2ee24f24e	49f4ee26-d506-4576-8fae-100f227f1d37	DRY_COOLER
79acffb1-1720-4a58-a340-a8d2ee24f24e	e77cc4e0-d531-4fda-bfaa-56545389fd97	REMOTE_CONDENSER
79acffb1-1720-4a58-a340-a8d2ee24f24e	051d74e9-22a7-4ddf-a8f1-36f2d64a8a24	CHILLED_WATER_PUMPS
79acffb1-1720-4a58-a340-a8d2ee24f24e	14152e53-e4b8-4109-9149-1b8da40a8527	HEAT_REJECTION_PUMPS
79acffb1-1720-4a58-a340-a8d2ee24f24e	9fc53b8a-6162-4c90-a1b9-fb68ce4bf992	VENTILATION
79acffb1-1720-4a58-a340-a8d2ee24f24e	8e7d0dc8-7065-4923-8a27-b8812c37d29e	INFILTRATION
79acffb1-1720-4a58-a340-a8d2ee24f24e	32f0ef5d-99cd-43f0-a80f-99bd0948a561	IT_LOAD
1df405a6-cf05-43aa-8132-26b59ef997f1	e2e182d5-5033-4db6-a9d6-2c93b691ce55	SWITCHGEAR
1df405a6-cf05-43aa-8132-26b59ef997f1	e73905a3-713f-4e90-ba84-07596603bfaa	GENERATOR
1df405a6-cf05-43aa-8132-26b59ef997f1	cb786650-2b79-4f32-a4dd-c2cab0d3cc76	PRIMARY_AUXILIARIES
1df405a6-cf05-43aa-8132-26b59ef997f1	a82c03aa-9738-48b8-bc73-fdb0c528936a	UPS
1df405a6-cf05-43aa-8132-26b59ef997f1	14cd0b91-a382-4972-817d-053f27da175f	CRITICAL_AUXILIARIES
1df405a6-cf05-43aa-8132-26b59ef997f1	9d97b31d-9e9d-4dbf-be4e-8cc2fd808791	LIGHTING
1df405a6-cf05-43aa-8132-26b59ef997f1	a4a0e4c9-66d2-4762-97cd-09416caf5910	CRITICAL_POWER_DISTRIBUTION
1df405a6-cf05-43aa-8132-26b59ef997f1	48389b14-8682-4d1c-a5ea-dc3a8b238d9c	CRAH
1df405a6-cf05-43aa-8132-26b59ef997f1	b16f9d55-ace9-4939-abcc-879e0a4870d8	CRAC
1df405a6-cf05-43aa-8132-26b59ef997f1	a12c6b87-893b-43ee-9c2d-5d3a2a883d67	CRAC_WITHOUT_FAN
1df405a6-cf05-43aa-8132-26b59ef997f1	771bf38d-b9bb-4cd6-87f6-75569437a228	CRAC_FAN
1df405a6-cf05-43aa-8132-26b59ef997f1	93b3b076-6d4b-4f9d-a0d2-01068bdcb7c3	CHILLER
1df405a6-cf05-43aa-8132-26b59ef997f1	504179dc-52cd-4a13-b1e5-312dc22dcf2b	AIR_COOLED_CHILLER
1df405a6-cf05-43aa-8132-26b59ef997f1	a030271f-159c-445e-9c12-1b55e367bae7	COOLING_TOWER
1df405a6-cf05-43aa-8132-26b59ef997f1	6534aec0-a7cc-4270-8b83-d984655dccd6	DRY_COOLER
1df405a6-cf05-43aa-8132-26b59ef997f1	6ee7453b-f69a-4b9f-9730-334989871cc9	REMOTE_CONDENSER
1df405a6-cf05-43aa-8132-26b59ef997f1	96ae7c22-69cb-4b33-9aea-7d6804475011	CHILLED_WATER_PUMPS
1df405a6-cf05-43aa-8132-26b59ef997f1	2c71c5a4-a6b9-430e-b34e-39d3118d5c20	HEAT_REJECTION_PUMPS
1df405a6-cf05-43aa-8132-26b59ef997f1	bdb2b974-057a-405b-a0f3-73c2b03923da	VENTILATION
1df405a6-cf05-43aa-8132-26b59ef997f1	76474a30-4b73-4a20-b958-aaa8a43ee335	INFILTRATION
1df405a6-cf05-43aa-8132-26b59ef997f1	772e7248-d01f-4da5-b040-dd355e652bea	IT_LOAD
b52bb7cd-bfa4-4660-acc6-2bc172244982	5fcd7571-ccb6-4704-92f6-f029edb3a41a	SWITCHGEAR
b52bb7cd-bfa4-4660-acc6-2bc172244982	a2c5b39d-8c73-4512-ad5f-f98b83bc71aa	GENERATOR
b52bb7cd-bfa4-4660-acc6-2bc172244982	cd032206-81b9-4890-b034-5cdbc196d3fc	PRIMARY_AUXILIARIES
b52bb7cd-bfa4-4660-acc6-2bc172244982	b0bf504c-79dc-4046-a410-1e340a435d42	UPS
b52bb7cd-bfa4-4660-acc6-2bc172244982	22e50787-1c3e-4bbd-9349-ba0b165b1507	CRITICAL_AUXILIARIES
b52bb7cd-bfa4-4660-acc6-2bc172244982	42b342ac-aa1a-4c3c-8ab5-2d68175d898c	LIGHTING
b52bb7cd-bfa4-4660-acc6-2bc172244982	8bf010b0-287f-44bc-ad1f-cece136d9460	CRITICAL_POWER_DISTRIBUTION
b52bb7cd-bfa4-4660-acc6-2bc172244982	db4bcb2a-3af6-42c4-8a13-5fc22cf39678	CRAH
b52bb7cd-bfa4-4660-acc6-2bc172244982	08eca761-4550-491b-a8df-93612d4bc42f	CRAC
b52bb7cd-bfa4-4660-acc6-2bc172244982	3bceda40-1edb-4c04-934b-36e7387634a4	CRAC_WITHOUT_FAN
b52bb7cd-bfa4-4660-acc6-2bc172244982	1f1cc831-f897-474c-a3ef-24d956a87136	CRAC_FAN
b52bb7cd-bfa4-4660-acc6-2bc172244982	5d1bc04d-3cb6-4db8-8e19-a66c77883771	CHILLER
b52bb7cd-bfa4-4660-acc6-2bc172244982	5ad7517e-cdd0-4eec-bcba-dcaaca5d90d1	AIR_COOLED_CHILLER
b52bb7cd-bfa4-4660-acc6-2bc172244982	b84d0bd8-5d1c-4b3e-aa43-ecea21e943e9	COOLING_TOWER
b52bb7cd-bfa4-4660-acc6-2bc172244982	244b8086-1ac5-41d7-a8e3-6c1c32082d6b	DRY_COOLER
b52bb7cd-bfa4-4660-acc6-2bc172244982	bb00a4a4-631c-4d20-9768-ad11379d3bf9	REMOTE_CONDENSER
b52bb7cd-bfa4-4660-acc6-2bc172244982	c4051191-c36a-4855-9adb-76ee309a1e6b	CHILLED_WATER_PUMPS
b52bb7cd-bfa4-4660-acc6-2bc172244982	f164405f-5a8d-4bae-81ca-e964b5251f7b	HEAT_REJECTION_PUMPS
b52bb7cd-bfa4-4660-acc6-2bc172244982	de937f77-a526-4d1a-bb9d-9f18721a34e3	VENTILATION
b52bb7cd-bfa4-4660-acc6-2bc172244982	b860fa3d-e5fc-4c1d-a1c4-8c8fa6efbfa0	INFILTRATION
b52bb7cd-bfa4-4660-acc6-2bc172244982	ed59026f-9375-44b3-a030-e99210000f44	IT_LOAD
7b7aaca2-9053-4000-bebb-f221a550fc68	2d5b19e7-a845-4a10-80d0-9f29c39cb965	SWITCHGEAR
7b7aaca2-9053-4000-bebb-f221a550fc68	bc0fe2c8-3c76-4003-bbf7-5085f8b2d871	GENERATOR
7b7aaca2-9053-4000-bebb-f221a550fc68	eed6d27f-6ca9-41c0-8663-9aca1b4e624d	PRIMARY_AUXILIARIES
7b7aaca2-9053-4000-bebb-f221a550fc68	8c3f840a-ed10-4da2-bb3b-f41cb733078d	UPS
7b7aaca2-9053-4000-bebb-f221a550fc68	3c92e0ba-5958-4601-a733-3d0f69d5bc1d	CRITICAL_AUXILIARIES
7b7aaca2-9053-4000-bebb-f221a550fc68	bdb3bd5e-61d1-48be-bafb-d96028d32282	LIGHTING
7b7aaca2-9053-4000-bebb-f221a550fc68	a3662b36-1d86-43a8-a581-fe2ce350cb35	CRITICAL_POWER_DISTRIBUTION
7b7aaca2-9053-4000-bebb-f221a550fc68	3f329781-2b6d-41cb-a837-2f52c4a80cba	CRAH
7b7aaca2-9053-4000-bebb-f221a550fc68	2089ca99-5f80-437f-95ca-ef5aa27a8a85	CRAC
7b7aaca2-9053-4000-bebb-f221a550fc68	9640b35f-227c-49e6-8090-cf59be479762	CRAC_WITHOUT_FAN
7b7aaca2-9053-4000-bebb-f221a550fc68	32e271e7-19ea-48c5-a175-6d915a4566e8	CRAC_FAN
7b7aaca2-9053-4000-bebb-f221a550fc68	9581204d-75e1-4310-bf55-f15f50773155	CHILLER
7b7aaca2-9053-4000-bebb-f221a550fc68	a02d62e4-0fe0-4082-bcaa-8bd72d013c81	AIR_COOLED_CHILLER
7b7aaca2-9053-4000-bebb-f221a550fc68	1d382c3a-977b-4844-8256-7dc7c7e8fdad	COOLING_TOWER
7b7aaca2-9053-4000-bebb-f221a550fc68	a79be74e-db18-4d5c-b35b-fe631bb8e627	DRY_COOLER
7b7aaca2-9053-4000-bebb-f221a550fc68	dd308f00-6ca4-4045-966f-662e215fc2a2	REMOTE_CONDENSER
7b7aaca2-9053-4000-bebb-f221a550fc68	d456b316-aefe-442f-9fc9-76c823ef419e	CHILLED_WATER_PUMPS
7b7aaca2-9053-4000-bebb-f221a550fc68	101d200b-be08-4712-9a36-038b046612b5	HEAT_REJECTION_PUMPS
7b7aaca2-9053-4000-bebb-f221a550fc68	281410c1-b810-4d0f-a7e5-fb2721b259ce	VENTILATION
7b7aaca2-9053-4000-bebb-f221a550fc68	b3ba24ce-16ad-4c3a-8e90-35b309e2fd1a	INFILTRATION
7b7aaca2-9053-4000-bebb-f221a550fc68	cb9c26af-8bb4-417e-9e0e-ee5613b9e60d	IT_LOAD
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	2e8b90ed-3024-4532-9859-914f59ac74d7	SWITCHGEAR
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	7e5f7b9c-bce7-40dd-a769-ea94c5e4ca3a	GENERATOR
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	3e8cf56d-221b-47f4-93f5-3ae4235dc62e	PRIMARY_AUXILIARIES
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	5b53e3cc-dcee-4669-88d4-6951ff8dbf1f	UPS
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	a4b0a0b6-e8b8-419c-974d-8d4cccfe3732	CRITICAL_AUXILIARIES
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	586a18b4-68fd-466f-b9d8-be40ab65101c	LIGHTING
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	3946a851-abfd-431d-a945-b323870d1fc6	CRITICAL_POWER_DISTRIBUTION
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	92f19c85-75ce-409c-a2ff-91104adb93b0	CRAH
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	730797ab-b0ce-4f11-8d54-5fa6b99a08af	CRAC
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	2a4ec1ac-37ae-426c-8d1e-067089809a2e	CRAC_WITHOUT_FAN
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	82895afb-468d-41e7-86bc-ba920ce544fc	CRAC_FAN
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	0ec7797d-8329-4e17-8415-e81569de54f4	CHILLER
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	8ff3fbe7-aba8-486d-82f4-e1bab2066ef8	AIR_COOLED_CHILLER
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	1ef3974a-590d-45f7-9565-46bcd6d5605d	COOLING_TOWER
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	ced712f3-a0f3-425f-b04d-24451869b852	DRY_COOLER
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	6acb80e4-a154-492a-9cf3-6d572c024fb7	REMOTE_CONDENSER
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	dac829c7-4c83-425a-ad10-33b669cd9e0a	CHILLED_WATER_PUMPS
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	6a988b65-18af-4f41-92f8-9fd36159a103	HEAT_REJECTION_PUMPS
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	45da3754-77ee-4595-9daa-f5bb6be855b6	VENTILATION
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	caf03bdc-9bdc-4bd8-99d4-14e39b2be74d	INFILTRATION
2a373d4f-e0b1-49a4-a2b5-c117c86bd2bd	dfa47a6a-42a2-430b-8704-b3f8fe82bd20	IT_LOAD
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	b997bd88-a07e-4f77-993a-1f216da876e2	SWITCHGEAR
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	68f104d5-ece4-45d5-8c14-05b15cab3ca6	GENERATOR
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	5e387a3a-0a5b-47b0-a930-da05dac42368	PRIMARY_AUXILIARIES
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	651f0d99-5b9f-4040-97ee-b875e36564bd	UPS
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	530513ee-8f29-44ce-9d9e-c8da34a2da3b	CRITICAL_AUXILIARIES
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	316df9a2-eb20-4b0b-8402-095096b647bf	LIGHTING
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	5a7d9e60-4481-4704-8d6f-a66edb83d640	CRITICAL_POWER_DISTRIBUTION
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	f2b3dda9-20c1-48b1-af9c-e594021e45b9	CRAH
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	cb9c9331-64c4-4c89-93b3-0a5aa40695d3	CRAC
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	60526f02-8c38-4eb9-b83b-0f6678f57008	CRAC_WITHOUT_FAN
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	26d4ec28-f417-4d52-98cb-351cb160244b	CRAC_FAN
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	a18499da-da86-428c-9bb4-6518220219b8	CHILLER
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	3b656c42-ef95-4943-b22c-b14747a8730a	AIR_COOLED_CHILLER
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	23d525cc-a0e9-4e58-ad06-eb6ed5e04afc	COOLING_TOWER
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	ac9c6397-5de1-4d9c-a218-740beebf570f	DRY_COOLER
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	a05851bd-df8a-4b25-8df9-86eb793a442e	REMOTE_CONDENSER
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	eff9d582-471f-43b5-bd33-6b86fa6a4447	CHILLED_WATER_PUMPS
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	3902616a-26fb-4eb6-9c45-a5437722f443	HEAT_REJECTION_PUMPS
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	0c3b816f-321b-46f4-aa10-0955aa0e591c	VENTILATION
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	df6e1fd2-b045-46b1-afdc-dd02b96510ae	INFILTRATION
9ff12dd1-0c72-4994-a4bd-a4682ac2952e	be8c489b-c987-4a3f-8c33-8bb8db83ba09	IT_LOAD
79de7afe-fc21-4e72-ba19-db2dfe48677a	cd572840-2a78-420a-b5ce-ec68cbd13dca	SWITCHGEAR
79de7afe-fc21-4e72-ba19-db2dfe48677a	8913c9f2-2f5b-4c66-9275-52a8ce20bd77	GENERATOR
79de7afe-fc21-4e72-ba19-db2dfe48677a	a021977c-7a8e-4d11-a353-dadace39584d	PRIMARY_AUXILIARIES
79de7afe-fc21-4e72-ba19-db2dfe48677a	04af1f92-74c8-4164-998f-06a456eb25eb	UPS
79de7afe-fc21-4e72-ba19-db2dfe48677a	fc67289f-01a8-412c-878f-c5208c63b4cc	CRITICAL_AUXILIARIES
79de7afe-fc21-4e72-ba19-db2dfe48677a	8f1a13a4-ef72-43e9-bd55-bf83987b8919	LIGHTING
79de7afe-fc21-4e72-ba19-db2dfe48677a	d3627e15-77ef-4a22-93d0-7c579c748624	CRITICAL_POWER_DISTRIBUTION
79de7afe-fc21-4e72-ba19-db2dfe48677a	1efecb68-0403-4791-8af6-873dde032bd4	CRAH
79de7afe-fc21-4e72-ba19-db2dfe48677a	42e560ad-14a1-45d1-804d-ac2a35127efc	CRAC
79de7afe-fc21-4e72-ba19-db2dfe48677a	20677cd9-fcec-439f-a240-c00181e16e07	CRAC_WITHOUT_FAN
79de7afe-fc21-4e72-ba19-db2dfe48677a	a65a0d60-5316-42dd-97dd-0bb5a4b4efe6	CRAC_FAN
79de7afe-fc21-4e72-ba19-db2dfe48677a	cb8523f8-dfb7-44af-a2c4-d4812acbf37f	CHILLER
79de7afe-fc21-4e72-ba19-db2dfe48677a	9f1ec7fa-8cad-49a0-bccc-c7d4c82ce776	AIR_COOLED_CHILLER
79de7afe-fc21-4e72-ba19-db2dfe48677a	f918e515-fa3f-4f9e-9ebd-1d0984804d49	COOLING_TOWER
79de7afe-fc21-4e72-ba19-db2dfe48677a	39532ff1-c36d-43d4-8f43-84ba80782395	DRY_COOLER
79de7afe-fc21-4e72-ba19-db2dfe48677a	d41ece54-3d27-4424-82f1-34f2d775cc00	REMOTE_CONDENSER
79de7afe-fc21-4e72-ba19-db2dfe48677a	3c487481-6061-4e37-9274-bf63e736a801	CHILLED_WATER_PUMPS
79de7afe-fc21-4e72-ba19-db2dfe48677a	3c76205e-c4e4-4bbd-98af-eb26d6043cb3	HEAT_REJECTION_PUMPS
79de7afe-fc21-4e72-ba19-db2dfe48677a	93f2e787-2aea-4749-9ab5-3b6970c29741	VENTILATION
79de7afe-fc21-4e72-ba19-db2dfe48677a	e2fb0c0a-aac5-4125-8b8a-6b78aac67763	INFILTRATION
79de7afe-fc21-4e72-ba19-db2dfe48677a	94d79517-5fce-4ccc-a9d4-e066491fff7d	IT_LOAD
3642f192-ffa2-4d60-92a8-d11dc8585184	a60f849f-6478-4406-8465-08729e767727	SWITCHGEAR
3642f192-ffa2-4d60-92a8-d11dc8585184	e251179d-09af-4410-8b91-ae7ef623dc15	GENERATOR
3642f192-ffa2-4d60-92a8-d11dc8585184	77509a42-6b7a-4b5c-beb1-89d4f685508a	PRIMARY_AUXILIARIES
3642f192-ffa2-4d60-92a8-d11dc8585184	5c8bddff-fa85-4dc1-9d8c-caaaa2bc3468	UPS
3642f192-ffa2-4d60-92a8-d11dc8585184	9138523c-0e22-473e-95f2-35edbf4607cb	CRITICAL_AUXILIARIES
3642f192-ffa2-4d60-92a8-d11dc8585184	2e8ec210-e719-42c9-84a6-5dd4568a5892	LIGHTING
3642f192-ffa2-4d60-92a8-d11dc8585184	2a158606-5f79-47b1-a357-b20bec7a17a9	CRITICAL_POWER_DISTRIBUTION
3642f192-ffa2-4d60-92a8-d11dc8585184	51f830c0-b7c1-4994-866a-698b0ac2bad8	CRAH
3642f192-ffa2-4d60-92a8-d11dc8585184	27418e63-16ea-4ab9-a489-7f99cdc8e7d3	CRAC
3642f192-ffa2-4d60-92a8-d11dc8585184	99dd30cf-b7ad-4a11-86fd-602a4ef5724d	CRAC_WITHOUT_FAN
3642f192-ffa2-4d60-92a8-d11dc8585184	a7527c95-bca6-4b8f-b37e-025865375077	CRAC_FAN
3642f192-ffa2-4d60-92a8-d11dc8585184	d565c412-1293-40a2-9f61-765bb3c97284	CHILLER
3642f192-ffa2-4d60-92a8-d11dc8585184	f8c70a23-f6fc-4a92-8bbb-42bf2dbb0162	AIR_COOLED_CHILLER
3642f192-ffa2-4d60-92a8-d11dc8585184	4330fb7a-545f-462f-826c-55ec37fda4bc	COOLING_TOWER
3642f192-ffa2-4d60-92a8-d11dc8585184	1ac5f373-518e-4eb8-8a07-8f14a7f4543c	DRY_COOLER
3642f192-ffa2-4d60-92a8-d11dc8585184	28f1b5b3-b05a-4a6d-a945-8b85e27efb0d	REMOTE_CONDENSER
3642f192-ffa2-4d60-92a8-d11dc8585184	cd9747e3-4321-454a-96df-41a0d03c82f8	CHILLED_WATER_PUMPS
3642f192-ffa2-4d60-92a8-d11dc8585184	c6da5727-1c30-4de3-9de3-8ed8b5956efb	HEAT_REJECTION_PUMPS
3642f192-ffa2-4d60-92a8-d11dc8585184	95de30a2-7416-427f-9cc7-3e299acc090b	VENTILATION
3642f192-ffa2-4d60-92a8-d11dc8585184	fc32bc7a-ec38-4861-a24e-60cfcd539346	INFILTRATION
3642f192-ffa2-4d60-92a8-d11dc8585184	1f9c0f8f-6ea8-4f53-8c84-d1a593423316	IT_LOAD
b578ea30-5481-4eb7-8b07-736a38dfa80d	9c2ac382-b49e-4af0-9be7-1fe03dfedf72	SWITCHGEAR
b578ea30-5481-4eb7-8b07-736a38dfa80d	acb592dc-2a30-4956-897d-c2dc7873cbed	GENERATOR
b578ea30-5481-4eb7-8b07-736a38dfa80d	43cf5105-3e49-4b52-b0b3-97b9ea445b9b	PRIMARY_AUXILIARIES
b578ea30-5481-4eb7-8b07-736a38dfa80d	099babf9-2877-4dbc-b786-5c7a39763790	UPS
b578ea30-5481-4eb7-8b07-736a38dfa80d	39c584dc-3482-4fed-a8e1-9ced2308879f	CRITICAL_AUXILIARIES
b578ea30-5481-4eb7-8b07-736a38dfa80d	9472c758-74a3-490b-9554-c0818e599d5c	LIGHTING
b578ea30-5481-4eb7-8b07-736a38dfa80d	04536a22-10f7-4624-846f-873fb4edf011	CRITICAL_POWER_DISTRIBUTION
b578ea30-5481-4eb7-8b07-736a38dfa80d	46a32674-d8b5-4ec8-9247-976a7624e0b4	CRAH
b578ea30-5481-4eb7-8b07-736a38dfa80d	b848b0ae-4f6f-4c98-bbc9-141b55d846ed	CRAC
b578ea30-5481-4eb7-8b07-736a38dfa80d	70102d47-1145-49bc-b44b-e6012b3a46e5	CRAC_WITHOUT_FAN
b578ea30-5481-4eb7-8b07-736a38dfa80d	a50fd981-1c00-4f85-9b7c-93a6963c9a02	CRAC_FAN
b578ea30-5481-4eb7-8b07-736a38dfa80d	66b5e0ac-4ac7-400c-b3a4-b7925a1a72fd	CHILLER
b578ea30-5481-4eb7-8b07-736a38dfa80d	4154a4e7-7b27-4f7d-afc8-a49f562c79e1	AIR_COOLED_CHILLER
b578ea30-5481-4eb7-8b07-736a38dfa80d	0b78b9f8-5bd5-4b9b-8e25-b0d4b4b9e8b3	COOLING_TOWER
b578ea30-5481-4eb7-8b07-736a38dfa80d	9dc830bb-8c39-46d9-a74c-0c0ff212b1e6	DRY_COOLER
b578ea30-5481-4eb7-8b07-736a38dfa80d	45ec1810-1f83-4788-9831-732c0528dae8	REMOTE_CONDENSER
b578ea30-5481-4eb7-8b07-736a38dfa80d	bf501c57-a06f-4245-b6a4-c702da603824	CHILLED_WATER_PUMPS
b578ea30-5481-4eb7-8b07-736a38dfa80d	fe5632db-5ac3-475b-938f-8553ac05ec3c	HEAT_REJECTION_PUMPS
b578ea30-5481-4eb7-8b07-736a38dfa80d	4a7816ce-5bd8-4d53-b6bc-d3cefd494419	VENTILATION
b578ea30-5481-4eb7-8b07-736a38dfa80d	1a279cd6-fcdd-418d-ac46-954d1797cddf	INFILTRATION
b578ea30-5481-4eb7-8b07-736a38dfa80d	40ac9750-1b7e-4f57-8d7a-2e0a4f7beaf0	IT_LOAD
cdb0b292-17e3-47f0-bdee-0d520733542a	42b4027d-b65c-4f90-97b9-4e7b324a1b04	SWITCHGEAR
cdb0b292-17e3-47f0-bdee-0d520733542a	634e8d65-6a23-4470-a5ed-dbb096c01621	GENERATOR
cdb0b292-17e3-47f0-bdee-0d520733542a	d946b6c0-8e54-4e9a-9f25-32d2c8cc121f	PRIMARY_AUXILIARIES
cdb0b292-17e3-47f0-bdee-0d520733542a	a3697483-c4c9-460e-b77a-45e5b44ccd65	UPS
cdb0b292-17e3-47f0-bdee-0d520733542a	ce6991b2-40f1-49ec-b3d5-9ef34bdb97a1	CRITICAL_AUXILIARIES
cdb0b292-17e3-47f0-bdee-0d520733542a	ae4e8c3e-9590-4a6e-8ab2-be3e7a166f3c	LIGHTING
cdb0b292-17e3-47f0-bdee-0d520733542a	dec983d0-8417-46be-98fe-f8202c10f063	CRITICAL_POWER_DISTRIBUTION
cdb0b292-17e3-47f0-bdee-0d520733542a	14500d51-aec7-4991-bbc0-4589f82542d6	CRAH
cdb0b292-17e3-47f0-bdee-0d520733542a	177a7f33-4e77-4316-bdc9-8eb89383a8bd	CRAC
cdb0b292-17e3-47f0-bdee-0d520733542a	9da446ce-62c9-4532-a117-bc48028bedfd	CRAC_WITHOUT_FAN
cdb0b292-17e3-47f0-bdee-0d520733542a	ec4f62b0-be27-4733-9e1d-568d43e8bd78	CRAC_FAN
cdb0b292-17e3-47f0-bdee-0d520733542a	747ef378-1f8f-42af-ad99-7b105edc1acd	CHILLER
cdb0b292-17e3-47f0-bdee-0d520733542a	bf97a32b-d7fb-466f-bfd8-4e9039600012	AIR_COOLED_CHILLER
cdb0b292-17e3-47f0-bdee-0d520733542a	a4d36c93-3d1e-4d1e-b608-ef67b107d112	COOLING_TOWER
cdb0b292-17e3-47f0-bdee-0d520733542a	3fb55b80-b90d-4a56-852e-779d5719f7a7	DRY_COOLER
cdb0b292-17e3-47f0-bdee-0d520733542a	c2b75031-acd1-4523-a83c-81fa1a72359f	REMOTE_CONDENSER
cdb0b292-17e3-47f0-bdee-0d520733542a	28de15ea-009d-4ced-9ab8-bb26f8fa1e9b	CHILLED_WATER_PUMPS
cdb0b292-17e3-47f0-bdee-0d520733542a	f829a7e2-70cd-4a06-b92e-ff76adccba5a	HEAT_REJECTION_PUMPS
cdb0b292-17e3-47f0-bdee-0d520733542a	178ea264-492c-4aaa-b2fc-062401a5506f	VENTILATION
cdb0b292-17e3-47f0-bdee-0d520733542a	f8faa052-a28c-4c68-938e-f58bc98aab31	INFILTRATION
cdb0b292-17e3-47f0-bdee-0d520733542a	2f7fe4d4-c984-47cd-9f47-be932f551354	IT_LOAD
608a6ecd-aee6-43e7-9a10-062e358c4328	5168b702-d4cf-40fb-b601-e8c1c3ce88d2	SWITCHGEAR
608a6ecd-aee6-43e7-9a10-062e358c4328	e712430d-9f36-4d52-9e09-1e99bece14a8	GENERATOR
608a6ecd-aee6-43e7-9a10-062e358c4328	635fb088-805b-433d-8ae3-591367863312	PRIMARY_AUXILIARIES
608a6ecd-aee6-43e7-9a10-062e358c4328	26c5f6d1-a4a8-47af-bae5-0afa708642aa	UPS
608a6ecd-aee6-43e7-9a10-062e358c4328	f7700f78-ed33-4018-9a85-dc85053ab537	CRITICAL_AUXILIARIES
608a6ecd-aee6-43e7-9a10-062e358c4328	b555af6b-0bcb-4973-baff-f8f72471fb21	LIGHTING
608a6ecd-aee6-43e7-9a10-062e358c4328	b54124be-5f72-4276-965d-d79da8af3681	CRITICAL_POWER_DISTRIBUTION
608a6ecd-aee6-43e7-9a10-062e358c4328	013a4104-1906-43ad-b475-935ff6d75fcc	CRAH
608a6ecd-aee6-43e7-9a10-062e358c4328	af175ab4-dd06-4555-8b89-49b25dddfa4c	CRAC
608a6ecd-aee6-43e7-9a10-062e358c4328	b40c5ddd-eb06-4660-be8b-2f85e6e47ab0	CRAC_WITHOUT_FAN
608a6ecd-aee6-43e7-9a10-062e358c4328	1c7023bd-e7ed-4f3b-b70c-54fa279cd637	CRAC_FAN
608a6ecd-aee6-43e7-9a10-062e358c4328	f4a5fdb1-f4a6-4bf8-9474-8281cb49d2da	CHILLER
608a6ecd-aee6-43e7-9a10-062e358c4328	85fc4710-43c0-4d4b-98ae-ee5865960734	AIR_COOLED_CHILLER
608a6ecd-aee6-43e7-9a10-062e358c4328	bfa72891-77ec-4375-858c-7f3db2e5bdd3	COOLING_TOWER
608a6ecd-aee6-43e7-9a10-062e358c4328	ff7085db-081f-4451-b7e0-ef59c6d09fc7	DRY_COOLER
608a6ecd-aee6-43e7-9a10-062e358c4328	ad927946-52ca-4f10-9d7b-8d6c8925fc79	REMOTE_CONDENSER
608a6ecd-aee6-43e7-9a10-062e358c4328	c729c671-8b54-4700-b54a-064f4f06f6db	CHILLED_WATER_PUMPS
608a6ecd-aee6-43e7-9a10-062e358c4328	6611270e-1ba4-4893-ac46-0b39afbcceeb	HEAT_REJECTION_PUMPS
608a6ecd-aee6-43e7-9a10-062e358c4328	0b7a7fc5-223f-4257-982f-5b7b9a65b744	VENTILATION
608a6ecd-aee6-43e7-9a10-062e358c4328	d4d3fc76-975c-4957-b888-92c0a2f56c0c	INFILTRATION
608a6ecd-aee6-43e7-9a10-062e358c4328	0a6a67d7-00f1-4d68-8b7c-1eaf8afb1e39	IT_LOAD
22b23edf-1a7a-4804-ae24-64695e2697ba	b5518b70-979d-454c-8100-87580c138319	SWITCHGEAR
22b23edf-1a7a-4804-ae24-64695e2697ba	fe9db78f-5931-4e70-8657-cc84c724e836	GENERATOR
22b23edf-1a7a-4804-ae24-64695e2697ba	d16be542-15b2-463f-804b-83c4ccc0c2ca	PRIMARY_AUXILIARIES
22b23edf-1a7a-4804-ae24-64695e2697ba	b547d002-2386-4e84-a049-2862528620f4	UPS
22b23edf-1a7a-4804-ae24-64695e2697ba	a66936ca-24ce-4ce7-bfa3-3839b66aee66	CRITICAL_AUXILIARIES
22b23edf-1a7a-4804-ae24-64695e2697ba	0d3cdf0a-0e2a-49d0-97e4-3e3c823e9e29	LIGHTING
22b23edf-1a7a-4804-ae24-64695e2697ba	3d9196a0-5ea7-48af-9b59-9de6dd3f0ff3	CRITICAL_POWER_DISTRIBUTION
22b23edf-1a7a-4804-ae24-64695e2697ba	a4a7851d-95ee-4199-8684-8debaf529820	CRAH
22b23edf-1a7a-4804-ae24-64695e2697ba	f88abe58-48a5-4650-b008-a931cd36e182	CRAC
22b23edf-1a7a-4804-ae24-64695e2697ba	71821649-eda4-4ce6-9f20-705748f7d42a	CRAC_WITHOUT_FAN
22b23edf-1a7a-4804-ae24-64695e2697ba	e10b87f3-7303-4da5-b649-fcf1a6397c72	CRAC_FAN
22b23edf-1a7a-4804-ae24-64695e2697ba	ba75a64c-f3df-4e42-8267-0de52250e6c0	CHILLER
22b23edf-1a7a-4804-ae24-64695e2697ba	e97d2f4d-e6b3-43ae-a9dc-7bedad5a72b2	AIR_COOLED_CHILLER
22b23edf-1a7a-4804-ae24-64695e2697ba	6a24aac0-42fe-4692-9496-aeba90eb135c	COOLING_TOWER
22b23edf-1a7a-4804-ae24-64695e2697ba	a676136b-d672-4996-bb9f-d42c8485b95b	DRY_COOLER
22b23edf-1a7a-4804-ae24-64695e2697ba	25d9b20e-2df7-4d40-a8c8-76cd60b70638	REMOTE_CONDENSER
22b23edf-1a7a-4804-ae24-64695e2697ba	b61e3c24-2256-419b-a5ab-dbb94cc2c06d	CHILLED_WATER_PUMPS
22b23edf-1a7a-4804-ae24-64695e2697ba	800f7b11-e139-45a7-a442-ed80627ca7b5	HEAT_REJECTION_PUMPS
22b23edf-1a7a-4804-ae24-64695e2697ba	c83c4adb-92e8-49c3-bb2c-d2e582045c7e	VENTILATION
22b23edf-1a7a-4804-ae24-64695e2697ba	23666a8b-6acb-43e3-8242-03d143a7e71b	INFILTRATION
22b23edf-1a7a-4804-ae24-64695e2697ba	cba5b8a0-a9f3-4f7b-8ad8-3e0eea6c9615	IT_LOAD
319eafda-0e5a-425c-96a1-70673164b9cf	27b61841-5f57-4d4e-bd98-ffd4b7826a99	SWITCHGEAR
319eafda-0e5a-425c-96a1-70673164b9cf	87e8239a-87ec-40d3-b6d8-2d9d3389210b	GENERATOR
319eafda-0e5a-425c-96a1-70673164b9cf	893bc46a-f01a-4a5e-808a-1b851e509a18	PRIMARY_AUXILIARIES
319eafda-0e5a-425c-96a1-70673164b9cf	0cc22fce-8d3d-4c29-9420-dc6131bb77d0	UPS
319eafda-0e5a-425c-96a1-70673164b9cf	094150b9-e269-4d37-a901-382854677999	CRITICAL_AUXILIARIES
319eafda-0e5a-425c-96a1-70673164b9cf	301a6649-90a0-47e7-8c18-e0fb2477b9cd	LIGHTING
319eafda-0e5a-425c-96a1-70673164b9cf	5cd81f05-ffd2-42dd-9657-51e314d83156	CRITICAL_POWER_DISTRIBUTION
319eafda-0e5a-425c-96a1-70673164b9cf	cd903bf2-dd21-4569-8121-a08ee6a0d842	CRAH
319eafda-0e5a-425c-96a1-70673164b9cf	34a461a8-697b-4d12-b05c-fe5fe42dc5d4	CRAC
319eafda-0e5a-425c-96a1-70673164b9cf	9292597e-ac2c-4052-b9c6-e614534d2a21	CRAC_WITHOUT_FAN
319eafda-0e5a-425c-96a1-70673164b9cf	dd812e1c-ab8e-4ab1-b9d3-d9072822677f	CRAC_FAN
319eafda-0e5a-425c-96a1-70673164b9cf	28f5d7b0-fa0f-4847-bb18-f671ecb91849	CHILLER
319eafda-0e5a-425c-96a1-70673164b9cf	261b9bb9-0751-4ae0-8419-3d0f2fe28ef6	AIR_COOLED_CHILLER
319eafda-0e5a-425c-96a1-70673164b9cf	dfa1690d-fa24-442c-9202-c7620704b027	COOLING_TOWER
319eafda-0e5a-425c-96a1-70673164b9cf	c16d55b8-6c33-439a-8a4a-3a01033ea63d	DRY_COOLER
319eafda-0e5a-425c-96a1-70673164b9cf	ecac7ab6-fd8d-4358-87da-7816cb26277c	REMOTE_CONDENSER
319eafda-0e5a-425c-96a1-70673164b9cf	a9cb846d-34d7-4b43-8868-b0b251a65a41	CHILLED_WATER_PUMPS
319eafda-0e5a-425c-96a1-70673164b9cf	01a8729e-7b85-4c12-b06b-4d812dacb3dc	HEAT_REJECTION_PUMPS
319eafda-0e5a-425c-96a1-70673164b9cf	c1effe1e-6106-4bb9-91b2-f8f74624a615	VENTILATION
319eafda-0e5a-425c-96a1-70673164b9cf	30f85dc1-0b28-4e2f-9fea-d9316d8dff20	INFILTRATION
319eafda-0e5a-425c-96a1-70673164b9cf	1b2a8b90-f2bd-4b0c-9694-562c90eaa6b3	IT_LOAD
1638d892-ae55-49f2-baa3-cc49f1aad12e	b1e54b0a-004d-4948-8f6e-cd43aca61912	SWITCHGEAR
1638d892-ae55-49f2-baa3-cc49f1aad12e	5a1ce79f-c915-40c7-af3b-42c16701f589	GENERATOR
1638d892-ae55-49f2-baa3-cc49f1aad12e	99737e55-f028-4551-ac89-2e5407ea0841	PRIMARY_AUXILIARIES
1638d892-ae55-49f2-baa3-cc49f1aad12e	b81f6891-6951-4753-ac4c-0e63c273595e	UPS
1638d892-ae55-49f2-baa3-cc49f1aad12e	c3c54f2f-2bce-4c83-91dd-bdfe249469f4	CRITICAL_AUXILIARIES
1638d892-ae55-49f2-baa3-cc49f1aad12e	ab42a592-d493-4253-aa22-d47a2baef528	LIGHTING
1638d892-ae55-49f2-baa3-cc49f1aad12e	c8016f5e-78a3-4024-a5b7-405d17b6374b	CRITICAL_POWER_DISTRIBUTION
1638d892-ae55-49f2-baa3-cc49f1aad12e	35093d58-9c11-4761-9c24-03bfb744ac6c	CRAH
1638d892-ae55-49f2-baa3-cc49f1aad12e	6bbeb573-7428-46cf-8787-de5caa121c17	CRAC
1638d892-ae55-49f2-baa3-cc49f1aad12e	998c97f9-adf3-4309-8db0-fa653f689fce	CRAC_WITHOUT_FAN
1638d892-ae55-49f2-baa3-cc49f1aad12e	72dfccd9-dd19-4cbd-842a-48b8e9311584	CRAC_FAN
1638d892-ae55-49f2-baa3-cc49f1aad12e	33f4012c-de41-4959-a766-98ed9433aa0b	CHILLER
1638d892-ae55-49f2-baa3-cc49f1aad12e	13435de9-ab9e-462b-bfc4-c61102b0cfdd	AIR_COOLED_CHILLER
1638d892-ae55-49f2-baa3-cc49f1aad12e	05f41444-7b46-4211-80ab-064f28d14641	COOLING_TOWER
1638d892-ae55-49f2-baa3-cc49f1aad12e	e433e002-3c69-42d6-8637-f5e4dd72b2fa	DRY_COOLER
1638d892-ae55-49f2-baa3-cc49f1aad12e	2118bdcd-b940-4b66-a9b6-b41ad3f91f64	REMOTE_CONDENSER
1638d892-ae55-49f2-baa3-cc49f1aad12e	79636fb9-c1b1-47cf-80fc-7191024d535a	CHILLED_WATER_PUMPS
1638d892-ae55-49f2-baa3-cc49f1aad12e	d7d05165-3d3d-407f-a477-2266cbbb941d	HEAT_REJECTION_PUMPS
1638d892-ae55-49f2-baa3-cc49f1aad12e	eb5cd526-7373-41bc-9af5-f0b538abaef6	VENTILATION
1638d892-ae55-49f2-baa3-cc49f1aad12e	c8144201-b422-451d-90dd-d305fcb93edb	INFILTRATION
1638d892-ae55-49f2-baa3-cc49f1aad12e	5f7f1d09-959f-434b-b1da-11809bb64316	IT_LOAD
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	0865bb9f-8351-4acd-acc4-f12740a7b942	SWITCHGEAR
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	2d5939f8-5111-4d08-a8e4-91f70b5037d4	GENERATOR
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	f01040c0-69e0-46fe-bbcf-19a1ad6bb135	PRIMARY_AUXILIARIES
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	1d1c3c8f-861d-47ea-af17-d1aca5e52596	UPS
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	d6a14e16-4583-4cdf-8061-aa0e81ae8e84	CRITICAL_AUXILIARIES
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	df6cf34c-345c-4aff-ac98-972eb7aa2951	LIGHTING
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	0557dbbe-ee7f-4355-abd2-38e14686d0a6	CRITICAL_POWER_DISTRIBUTION
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	82c19b34-0e04-4ca4-8b44-662790acad3f	CRAH
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	15639dc9-0e00-4c34-a5ee-4b2029bd13d0	CRAC
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	568e1017-6419-49f2-8c49-49a34d8fdb9a	CRAC_WITHOUT_FAN
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	8335752a-dee3-434a-a5d7-4d0fa0200ea6	CRAC_FAN
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	39f18aaf-3813-4bfc-9bad-5d96f252a65f	CHILLER
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	e59dbe92-2649-4e6f-a7d0-5ed96f7b22b0	AIR_COOLED_CHILLER
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	06ce4648-a10d-41a8-9a7f-326675a35bb6	COOLING_TOWER
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	8381893c-1c50-458a-98a2-94f1fe2ecce8	DRY_COOLER
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	c584d1d9-d35c-4064-ae8a-c52d5fb2f3c5	REMOTE_CONDENSER
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	d9417e5b-c4a2-4ccd-b398-678f76953e2a	CHILLED_WATER_PUMPS
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	05e4133f-a83c-4afd-b26e-7d46124ec225	HEAT_REJECTION_PUMPS
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	73f3b963-267e-4ca8-aa99-3f745420ed96	VENTILATION
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	37c43c29-e3c1-412e-bc80-d8ce3b7ad395	INFILTRATION
131d6a62-61d7-4b71-9d6b-7c98ed4150e3	d21da015-f69c-43a8-af4d-b16c4fde6956	IT_LOAD
f6dcd50b-d525-4fae-b10e-06ecd59266ba	5bde4e33-98a1-4bc3-a599-c7fcf2e38ee2	SWITCHGEAR
f6dcd50b-d525-4fae-b10e-06ecd59266ba	71e6685c-0637-4cf8-b1a5-763c2ca35f92	GENERATOR
f6dcd50b-d525-4fae-b10e-06ecd59266ba	a1aa6e8d-bb10-43da-bb11-6b181a06910d	PRIMARY_AUXILIARIES
f6dcd50b-d525-4fae-b10e-06ecd59266ba	8594b0df-03b4-47ed-b7db-bff7069e17d2	UPS
f6dcd50b-d525-4fae-b10e-06ecd59266ba	a902c06a-8f8f-4b2f-8db7-96db04792701	CRITICAL_AUXILIARIES
f6dcd50b-d525-4fae-b10e-06ecd59266ba	010ea0ce-2163-43f9-bbfe-80d9fb33b046	LIGHTING
f6dcd50b-d525-4fae-b10e-06ecd59266ba	e64d5031-1df8-4bbe-8f47-d97a2bb91b9a	CRITICAL_POWER_DISTRIBUTION
f6dcd50b-d525-4fae-b10e-06ecd59266ba	e58642ee-2d6a-4d9e-a010-e32820e584ab	CRAH
f6dcd50b-d525-4fae-b10e-06ecd59266ba	b0ad7866-3f12-4edb-8022-0cf20d5c1bb1	CRAC
f6dcd50b-d525-4fae-b10e-06ecd59266ba	15e02352-4ace-4ae5-8297-54f6d6bdab13	CRAC_WITHOUT_FAN
f6dcd50b-d525-4fae-b10e-06ecd59266ba	adc9ac83-793f-4a25-94cf-3f6050b420cf	CRAC_FAN
f6dcd50b-d525-4fae-b10e-06ecd59266ba	bcc610b6-a98b-45c6-a983-5d26ccd5cfd1	CHILLER
f6dcd50b-d525-4fae-b10e-06ecd59266ba	cefd9c47-511a-4549-b285-2fab0e282eb2	AIR_COOLED_CHILLER
f6dcd50b-d525-4fae-b10e-06ecd59266ba	3262cacd-3839-4d1d-b82c-2d74195e5bb6	COOLING_TOWER
f6dcd50b-d525-4fae-b10e-06ecd59266ba	0930d714-ec6a-4b74-abac-02f03f83fe8b	DRY_COOLER
f6dcd50b-d525-4fae-b10e-06ecd59266ba	1ed253ee-fd27-44ee-a60d-d9f2fdd8e084	REMOTE_CONDENSER
f6dcd50b-d525-4fae-b10e-06ecd59266ba	2d1e3986-2cc5-40ad-97c3-670d25aee900	CHILLED_WATER_PUMPS
f6dcd50b-d525-4fae-b10e-06ecd59266ba	f034f4dc-d9e9-49b4-8877-f4b8782622e7	HEAT_REJECTION_PUMPS
f6dcd50b-d525-4fae-b10e-06ecd59266ba	695bbc63-8929-4057-8ed2-5c5138606871	VENTILATION
f6dcd50b-d525-4fae-b10e-06ecd59266ba	ba0478b8-9328-48d4-8cca-98f411f022dc	INFILTRATION
f6dcd50b-d525-4fae-b10e-06ecd59266ba	d3cc0e2c-a77b-40e2-afa5-ae8698db5044	IT_LOAD
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	a3eeff28-b1a8-473d-b564-298d3869dc7e	SWITCHGEAR
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	c746e8bf-c22c-42b5-a4b7-50bcd257406d	GENERATOR
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	49856b7f-8dab-4e69-a047-b4db1ee73f9a	PRIMARY_AUXILIARIES
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	181aa8c1-6346-4453-b76e-f20147b80dd7	UPS
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	8857be52-e68a-4e47-b8bc-335245ca7d30	CRITICAL_AUXILIARIES
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	3e193fe6-da4a-430e-bdcf-64be920fee08	LIGHTING
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	6b0b5e35-104b-41f7-9a57-7f9172141af9	CRITICAL_POWER_DISTRIBUTION
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	b44cf48d-179a-42da-a934-71b43c34fda5	CRAH
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	9859833b-bdb5-43ae-b7c3-e2c03fe213de	CRAC
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	980b00f1-949f-4308-8951-d2d148f91c38	CRAC_WITHOUT_FAN
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	7b1a0518-615e-49ee-bc31-432c437e5f75	CRAC_FAN
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	a9b117ae-00ab-41d2-bd30-c05a1730b830	CHILLER
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	5ff56cd4-837a-4c33-b743-b54fa7fee95c	AIR_COOLED_CHILLER
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	3675451c-c6ae-490d-b7f8-06df15d5fef1	COOLING_TOWER
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	3aadb278-6a2b-427e-aede-b51bd6009756	DRY_COOLER
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	9a57433a-d5aa-4d69-a61d-b141f8f25283	REMOTE_CONDENSER
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	fbbd9e6f-b3b7-47c5-a8e2-e30ff239a43e	CHILLED_WATER_PUMPS
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	c8566c2a-054d-4b74-ae19-4154aed9691e	HEAT_REJECTION_PUMPS
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	3bb7d79f-abf9-4316-a16c-ef0a30b47371	VENTILATION
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	fe687d3a-6046-4ca0-83b0-4f3cc859f490	INFILTRATION
d0ce6034-5e7a-4ea5-aa6c-d906c61b8b69	d7434c83-b25a-436c-86e3-286429a823ea	IT_LOAD
bf05acf2-f984-40b4-8eed-97b85bd4d64f	3db1e0c0-f5ef-4ea9-8228-99d6d90160ec	SWITCHGEAR
bf05acf2-f984-40b4-8eed-97b85bd4d64f	4dee9373-61d8-487a-9fd7-331f239ba6a3	GENERATOR
bf05acf2-f984-40b4-8eed-97b85bd4d64f	acc8dfd4-6b21-41d3-850a-533e3e14f34a	PRIMARY_AUXILIARIES
bf05acf2-f984-40b4-8eed-97b85bd4d64f	4e0c6cb0-fb72-4771-9799-ff04c91b6a1c	UPS
bf05acf2-f984-40b4-8eed-97b85bd4d64f	db529084-1f50-40e9-9ff5-4817a2267372	CRITICAL_AUXILIARIES
bf05acf2-f984-40b4-8eed-97b85bd4d64f	097d8683-c1fd-405a-9ea4-25b6be1787d9	LIGHTING
bf05acf2-f984-40b4-8eed-97b85bd4d64f	83bad79f-7e3c-4010-833c-18b99372d3ee	CRITICAL_POWER_DISTRIBUTION
bf05acf2-f984-40b4-8eed-97b85bd4d64f	f392ea2e-d762-40be-9441-2809b7f2647f	CRAH
bf05acf2-f984-40b4-8eed-97b85bd4d64f	639525e4-9797-42ad-89c8-23bcfffe976e	CRAC
bf05acf2-f984-40b4-8eed-97b85bd4d64f	b5ee2a39-ed8b-4752-8caa-324dbbf01537	CRAC_WITHOUT_FAN
bf05acf2-f984-40b4-8eed-97b85bd4d64f	0861444e-4aa0-44ce-b5f5-9b1f4c7ab962	CRAC_FAN
bf05acf2-f984-40b4-8eed-97b85bd4d64f	2f7cea23-a700-45bc-ad70-977338db010d	CHILLER
bf05acf2-f984-40b4-8eed-97b85bd4d64f	7db9e439-9577-4130-a7ac-82cd680f6481	AIR_COOLED_CHILLER
bf05acf2-f984-40b4-8eed-97b85bd4d64f	58d644cc-75c9-486e-ae57-232ac677ea86	COOLING_TOWER
bf05acf2-f984-40b4-8eed-97b85bd4d64f	f849addb-1031-4445-8dcb-ef5c37b2f99b	DRY_COOLER
bf05acf2-f984-40b4-8eed-97b85bd4d64f	eb6ac28f-524d-453b-b122-e0798f73cb3c	REMOTE_CONDENSER
bf05acf2-f984-40b4-8eed-97b85bd4d64f	b1c467a5-e6be-4271-bcdb-d201cfda63c5	CHILLED_WATER_PUMPS
bf05acf2-f984-40b4-8eed-97b85bd4d64f	a689a5c6-dd69-47ec-9489-ba6cc8d8b182	HEAT_REJECTION_PUMPS
bf05acf2-f984-40b4-8eed-97b85bd4d64f	dac9202a-174d-45f8-a619-7ae68c6bf80f	VENTILATION
bf05acf2-f984-40b4-8eed-97b85bd4d64f	543fec80-b4e0-4d3b-a58b-0a73f19cb3c0	INFILTRATION
bf05acf2-f984-40b4-8eed-97b85bd4d64f	af0457f0-c227-4767-bf7a-e75f7f979737	IT_LOAD
948599cb-00f9-4d71-aef7-467d79d40f5b	609dbac6-289f-4d52-bc83-410bf30a820e	SWITCHGEAR
948599cb-00f9-4d71-aef7-467d79d40f5b	df09b61d-da6e-40c1-8d37-8fdbd42d1105	GENERATOR
948599cb-00f9-4d71-aef7-467d79d40f5b	f30560ca-01d1-410e-9bfb-e27f85ba5f5f	PRIMARY_AUXILIARIES
948599cb-00f9-4d71-aef7-467d79d40f5b	f88bd151-d765-4f05-8bda-2a8af35a3a09	UPS
948599cb-00f9-4d71-aef7-467d79d40f5b	0a8abb47-8543-4136-a643-fbae9a00dbbb	CRITICAL_AUXILIARIES
948599cb-00f9-4d71-aef7-467d79d40f5b	29fdb1fd-a1c8-4a69-9cef-2df19f05d472	LIGHTING
948599cb-00f9-4d71-aef7-467d79d40f5b	a0d28eb9-0356-4109-9aac-05e8604e9082	CRITICAL_POWER_DISTRIBUTION
948599cb-00f9-4d71-aef7-467d79d40f5b	419820f9-6fca-4a49-9925-0e3372437356	CRAH
948599cb-00f9-4d71-aef7-467d79d40f5b	4fa9d0ee-9b14-476e-9de1-eaef55c0b1f7	CRAC
948599cb-00f9-4d71-aef7-467d79d40f5b	8fec1041-5e1b-4d82-ab7f-7ae2647a79e4	CRAC_WITHOUT_FAN
948599cb-00f9-4d71-aef7-467d79d40f5b	68e9b907-55c8-43eb-aca9-12bab009f509	CRAC_FAN
948599cb-00f9-4d71-aef7-467d79d40f5b	db039f20-dfce-430b-aaaa-889dbba73f37	CHILLER
948599cb-00f9-4d71-aef7-467d79d40f5b	83a13ba6-ec80-4916-88b9-345b519277ac	AIR_COOLED_CHILLER
948599cb-00f9-4d71-aef7-467d79d40f5b	e0288ba5-96b3-4134-8fe6-0a83814828df	COOLING_TOWER
948599cb-00f9-4d71-aef7-467d79d40f5b	e9431b7d-9af0-4c57-b599-e7a4fd56bfff	DRY_COOLER
948599cb-00f9-4d71-aef7-467d79d40f5b	f0ab6314-33b7-4c11-b92d-9acf95745fe3	REMOTE_CONDENSER
948599cb-00f9-4d71-aef7-467d79d40f5b	2c99182a-f7c5-4083-a389-4722b2c60663	CHILLED_WATER_PUMPS
948599cb-00f9-4d71-aef7-467d79d40f5b	ee1e4cb0-4548-4180-8fa2-3db79139b2e6	HEAT_REJECTION_PUMPS
948599cb-00f9-4d71-aef7-467d79d40f5b	ef7d51f7-dd77-4554-9a73-bb0a5b7106a6	VENTILATION
948599cb-00f9-4d71-aef7-467d79d40f5b	f064fafe-2e38-4fff-b1a1-d130ca30ae72	INFILTRATION
948599cb-00f9-4d71-aef7-467d79d40f5b	0281a7df-2a2b-49c9-b4ce-ac7c40987238	IT_LOAD
df021430-4112-4f21-9435-61018da157ef	56a29196-ae38-4f8c-820c-fd008055fb9b	SWITCHGEAR
df021430-4112-4f21-9435-61018da157ef	6d8c9c52-0e70-4199-9a17-f97aa5a78ed9	GENERATOR
df021430-4112-4f21-9435-61018da157ef	5640680f-6d3a-41d1-8983-fc74724ebc02	PRIMARY_AUXILIARIES
df021430-4112-4f21-9435-61018da157ef	f583d2a1-704b-4009-995b-c5ac77bb12ab	UPS
df021430-4112-4f21-9435-61018da157ef	3fbf2669-24f4-4c25-808b-d116fd26411b	CRITICAL_AUXILIARIES
df021430-4112-4f21-9435-61018da157ef	e06ef05d-1dee-45b2-a557-d93d2460572a	LIGHTING
df021430-4112-4f21-9435-61018da157ef	c708b779-340f-4817-9cb8-60958a263c8a	CRITICAL_POWER_DISTRIBUTION
df021430-4112-4f21-9435-61018da157ef	5b681065-e741-471b-ae91-eea53cef7bb9	CRAH
df021430-4112-4f21-9435-61018da157ef	93bdd7f0-7ec2-4fbd-8d61-dd3ceb92bdf8	CRAC
df021430-4112-4f21-9435-61018da157ef	e873cba2-b393-499a-9568-a8fbc9382e7f	CRAC_WITHOUT_FAN
df021430-4112-4f21-9435-61018da157ef	50b8eaf4-e572-4525-a9de-4a7c56e669e8	CRAC_FAN
df021430-4112-4f21-9435-61018da157ef	1c72743a-3fe1-4d3e-9a75-0ab2a0216f7c	CHILLER
df021430-4112-4f21-9435-61018da157ef	5fc4f05d-3096-4f8b-9f83-2d16bedfdcae	AIR_COOLED_CHILLER
df021430-4112-4f21-9435-61018da157ef	11350dd6-aaf6-4eea-849c-02d1a012d5c1	COOLING_TOWER
df021430-4112-4f21-9435-61018da157ef	0e4fd467-1621-40d9-9af4-b6f60fa83470	DRY_COOLER
df021430-4112-4f21-9435-61018da157ef	d85a484c-5306-478c-aac1-37f2701672e0	REMOTE_CONDENSER
df021430-4112-4f21-9435-61018da157ef	486df3d7-8bbf-40e6-9edb-b1fedd82932b	CHILLED_WATER_PUMPS
df021430-4112-4f21-9435-61018da157ef	339511a5-f876-45e9-9b76-1c744ac9c452	HEAT_REJECTION_PUMPS
df021430-4112-4f21-9435-61018da157ef	ea63aa07-dbd9-426a-82ed-c84d2ebb40cb	VENTILATION
df021430-4112-4f21-9435-61018da157ef	0c721ef4-a3ec-4ac3-987e-615fd6a44012	INFILTRATION
df021430-4112-4f21-9435-61018da157ef	f8b6d9fd-100b-49cb-8307-08749fba1a82	IT_LOAD
50e5b175-eb27-4d26-8cfc-67fa166e4915	c9f47013-a9b6-48ab-8356-95d7db1f68e2	SWITCHGEAR
50e5b175-eb27-4d26-8cfc-67fa166e4915	efbf4b75-0f27-4a81-9454-08e453cb01d8	GENERATOR
50e5b175-eb27-4d26-8cfc-67fa166e4915	e93c9108-f1cd-4a6e-8f28-5a8e1c25c23b	PRIMARY_AUXILIARIES
50e5b175-eb27-4d26-8cfc-67fa166e4915	efa95424-16e8-42ec-92ae-f4498bd1840c	UPS
50e5b175-eb27-4d26-8cfc-67fa166e4915	282a5203-495e-4b74-bffa-4700fedd7dd5	CRITICAL_AUXILIARIES
50e5b175-eb27-4d26-8cfc-67fa166e4915	39c477f0-58bc-4bf1-840b-47291286bb96	LIGHTING
50e5b175-eb27-4d26-8cfc-67fa166e4915	5ef3e88b-42a5-47eb-b57f-acc97ff282ea	CRITICAL_POWER_DISTRIBUTION
50e5b175-eb27-4d26-8cfc-67fa166e4915	9e660ce1-7510-4adb-b2d4-4424493b4634	CRAH
50e5b175-eb27-4d26-8cfc-67fa166e4915	f0e928c5-0f0c-470e-b86a-27e22eb63016	CRAC
50e5b175-eb27-4d26-8cfc-67fa166e4915	ec0f9685-7069-4940-b52b-21a3ac3f0e7c	CRAC_WITHOUT_FAN
50e5b175-eb27-4d26-8cfc-67fa166e4915	c1c88214-218c-43e1-aa70-fdd2dad52343	CRAC_FAN
50e5b175-eb27-4d26-8cfc-67fa166e4915	f8df4702-46d3-4096-8021-5978fbfd8f74	CHILLER
50e5b175-eb27-4d26-8cfc-67fa166e4915	97b57155-e6b7-4eaa-96b5-e2c7436abd6f	AIR_COOLED_CHILLER
50e5b175-eb27-4d26-8cfc-67fa166e4915	16d5a0c4-eea0-480b-bd02-9b17258ea1b4	COOLING_TOWER
50e5b175-eb27-4d26-8cfc-67fa166e4915	2c3e0fe2-6fdb-4dce-a85f-71d631a4f267	DRY_COOLER
50e5b175-eb27-4d26-8cfc-67fa166e4915	88ccce03-e099-469d-840a-090f626d0cdd	REMOTE_CONDENSER
50e5b175-eb27-4d26-8cfc-67fa166e4915	a6570cdb-9f4b-4701-9a24-50af51475a5a	CHILLED_WATER_PUMPS
50e5b175-eb27-4d26-8cfc-67fa166e4915	242361e9-1895-4d25-8071-93523a993131	HEAT_REJECTION_PUMPS
50e5b175-eb27-4d26-8cfc-67fa166e4915	0f1179ec-9088-4fdb-8d80-c782c65505ba	VENTILATION
50e5b175-eb27-4d26-8cfc-67fa166e4915	a0633444-e5ad-4c38-82b2-aa27e2d935fc	INFILTRATION
50e5b175-eb27-4d26-8cfc-67fa166e4915	4cca8e88-8ce0-4288-9450-cbff6ad4a44a	IT_LOAD
bb0d6430-5029-4792-a603-72ed9e0fb4fe	dbc6ed5e-0f0d-40bf-b551-b1b1cfa3cdf2	SWITCHGEAR
bb0d6430-5029-4792-a603-72ed9e0fb4fe	3a4b1f99-9c00-4c9e-9d1b-a7531fc9a462	GENERATOR
bb0d6430-5029-4792-a603-72ed9e0fb4fe	69afad23-7cd8-410c-8fa3-6e70c7d67184	PRIMARY_AUXILIARIES
bb0d6430-5029-4792-a603-72ed9e0fb4fe	d357a190-96d6-47c7-bbfb-ea2f8c36fdfd	UPS
bb0d6430-5029-4792-a603-72ed9e0fb4fe	b43d9a04-c115-4ead-85db-0d133003926a	CRITICAL_AUXILIARIES
bb0d6430-5029-4792-a603-72ed9e0fb4fe	a87807f1-8f03-4561-822e-282f9a42e4d9	LIGHTING
bb0d6430-5029-4792-a603-72ed9e0fb4fe	6bf7c473-27ce-45f4-ab20-3fcebc481c71	CRITICAL_POWER_DISTRIBUTION
bb0d6430-5029-4792-a603-72ed9e0fb4fe	dd9b9935-6c31-47c6-913c-dc8823c2408a	CRAH
bb0d6430-5029-4792-a603-72ed9e0fb4fe	f64a2db1-3b2e-4255-ac3c-a0461983a420	CRAC
bb0d6430-5029-4792-a603-72ed9e0fb4fe	6f13950d-d617-4b74-a768-84123726375c	CRAC_WITHOUT_FAN
bb0d6430-5029-4792-a603-72ed9e0fb4fe	d3b89f57-37ef-418f-a32c-c083b454e7d0	CRAC_FAN
bb0d6430-5029-4792-a603-72ed9e0fb4fe	9da6ff4e-fdc3-4159-93b1-364df5dd6793	CHILLER
bb0d6430-5029-4792-a603-72ed9e0fb4fe	e1ad8d23-e3f4-4b5c-a874-8e70e6088670	AIR_COOLED_CHILLER
bb0d6430-5029-4792-a603-72ed9e0fb4fe	95a196a0-4dd8-4fee-82e7-5bcf765ecf8e	COOLING_TOWER
bb0d6430-5029-4792-a603-72ed9e0fb4fe	29a04dd7-7d66-44b5-9a00-9f31054f0627	DRY_COOLER
bb0d6430-5029-4792-a603-72ed9e0fb4fe	d3ef3ad0-9384-4f1a-9949-8488a8537198	REMOTE_CONDENSER
bb0d6430-5029-4792-a603-72ed9e0fb4fe	2e8dc75a-35a8-4260-98f3-48ff8233acab	CHILLED_WATER_PUMPS
bb0d6430-5029-4792-a603-72ed9e0fb4fe	4c1c0334-47db-4691-bb0b-c930dabf35c5	HEAT_REJECTION_PUMPS
bb0d6430-5029-4792-a603-72ed9e0fb4fe	ffd9ab90-6e83-4176-a284-f626e230e98d	VENTILATION
bb0d6430-5029-4792-a603-72ed9e0fb4fe	ef4c9397-7efc-478a-a85f-7e40b2051ac4	INFILTRATION
bb0d6430-5029-4792-a603-72ed9e0fb4fe	7ebbddd4-a7d2-492a-b4d2-709558abf72c	IT_LOAD
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	ea7b6ed3-48c5-4e56-be15-9270ed28fec2	SWITCHGEAR
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	4bc03414-3025-46a4-acbe-87477c471242	GENERATOR
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	06a40422-fd0a-46e2-bd05-b8d5fbf0fa95	PRIMARY_AUXILIARIES
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	684947f7-1603-4a36-a910-3d9373d6f68d	UPS
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	9c65d899-2e08-4fea-8479-1ceb47e9b9ba	CRITICAL_AUXILIARIES
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	bf6cc8c3-ba9b-4cb1-9c44-51c0cdb36111	LIGHTING
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	f5066280-07e4-4e6e-a779-86136caf0b3e	CRITICAL_POWER_DISTRIBUTION
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	41df73b4-5252-4d08-a769-f6c82ed5daaa	CRAH
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	0ccee9bd-23f4-47b7-b6b5-e8c063146bb1	CRAC
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	1a3d3b53-059e-448d-9852-e8e57aa4a836	CRAC_WITHOUT_FAN
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	fd9d5f60-c678-46ad-afdc-50f2caba17f9	CRAC_FAN
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	31edcad2-ef8d-4bc8-b26d-82e0465a474f	CHILLER
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	015ed087-519e-4a0d-9cdc-57c8f9b9ee44	AIR_COOLED_CHILLER
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	c665e5f0-2b24-4f75-9890-7c7e65cda409	COOLING_TOWER
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	2442a42b-e399-41da-890d-30eb4c5952b7	DRY_COOLER
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	2cf5994a-50f2-4975-8dd4-044327fee9ff	REMOTE_CONDENSER
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	c82f85a2-0955-4c21-8c42-d9b75094e8c6	CHILLED_WATER_PUMPS
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	999f9fca-267f-41c7-89da-ade98556f93c	HEAT_REJECTION_PUMPS
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	ebffa20c-69a1-4d93-828e-71958a7fae67	VENTILATION
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	fcbfdc1e-8dab-4b50-a2dd-09abc90e5d02	INFILTRATION
e5d7d2f0-caae-4e1a-a49f-5faa7dc97fe9	03ba64af-dd16-4c5e-898b-a7896eb1749d	IT_LOAD
1b9285c5-4afb-41b4-8542-ba424575f42f	4152ea13-dab1-4f32-aada-372b05ed0db8	SWITCHGEAR
1b9285c5-4afb-41b4-8542-ba424575f42f	043ac6e2-881a-4a2c-a74b-203506d10741	GENERATOR
1b9285c5-4afb-41b4-8542-ba424575f42f	c81c8425-f2ea-4637-b80d-178828f7972e	PRIMARY_AUXILIARIES
1b9285c5-4afb-41b4-8542-ba424575f42f	962ebb91-cd53-4af0-add8-be6bf3d51ec0	UPS
1b9285c5-4afb-41b4-8542-ba424575f42f	4c8128b2-b61b-49d2-8b85-559d8f1dbb18	CRITICAL_AUXILIARIES
1b9285c5-4afb-41b4-8542-ba424575f42f	3c90e9a7-55e8-4d5a-bada-a402e72ad032	LIGHTING
1b9285c5-4afb-41b4-8542-ba424575f42f	806ebd5c-25e5-47bf-b65a-bc8ecdb8d6ad	CRITICAL_POWER_DISTRIBUTION
1b9285c5-4afb-41b4-8542-ba424575f42f	d1d2a27f-d2f8-4d45-9063-ed9ed5cb0033	CRAH
1b9285c5-4afb-41b4-8542-ba424575f42f	df336147-57e3-4f5f-ae08-ba887113f6ce	CRAC
1b9285c5-4afb-41b4-8542-ba424575f42f	3a6f55e1-7b4e-4c3e-b4c5-0aa396c0d3b2	CRAC_WITHOUT_FAN
1b9285c5-4afb-41b4-8542-ba424575f42f	892d3ef9-4200-44ee-bb87-2aadbf779b71	CRAC_FAN
1b9285c5-4afb-41b4-8542-ba424575f42f	f3807eb1-8cb5-4c24-ad81-8088759f4311	CHILLER
1b9285c5-4afb-41b4-8542-ba424575f42f	0e21c0eb-f473-4fc3-bd41-6549bebe76ec	AIR_COOLED_CHILLER
1b9285c5-4afb-41b4-8542-ba424575f42f	2ee0f31c-c5ad-4ed7-a9f0-d3843e552e65	COOLING_TOWER
1b9285c5-4afb-41b4-8542-ba424575f42f	df39fecd-3a73-4fa2-826e-c7b388667edb	DRY_COOLER
1b9285c5-4afb-41b4-8542-ba424575f42f	e903606c-6806-43e1-b2a2-60f2f1539ecf	REMOTE_CONDENSER
1b9285c5-4afb-41b4-8542-ba424575f42f	064ad984-17be-48b7-9ea3-afa71b845e4e	CHILLED_WATER_PUMPS
1b9285c5-4afb-41b4-8542-ba424575f42f	e048b78c-75d1-44b6-8150-dab9dcfc062f	HEAT_REJECTION_PUMPS
1b9285c5-4afb-41b4-8542-ba424575f42f	b834f1c8-0373-4978-9ca1-167f3a023bc8	VENTILATION
1b9285c5-4afb-41b4-8542-ba424575f42f	1f683178-dd06-4843-a0ce-822b664dc3a9	INFILTRATION
1b9285c5-4afb-41b4-8542-ba424575f42f	f460c635-6c76-4863-9be8-586e96d4a7c1	IT_LOAD
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	b5a1173c-2dd2-4f16-b220-6bc5f8b9f301	SWITCHGEAR
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	3cccd8e8-d132-438d-ab0c-4b068b2c952c	GENERATOR
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	da305be5-b6fd-46eb-803b-83c9957494be	PRIMARY_AUXILIARIES
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	3cd171b8-f755-457d-82fe-61623218d5a2	UPS
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	a90085fa-4619-4f97-9880-9eb10a363057	CRITICAL_AUXILIARIES
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	39043074-7d9c-4948-b5c5-6e74094794cb	LIGHTING
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	9a0a2e4c-6182-411b-b84f-6faa23a313b9	CRITICAL_POWER_DISTRIBUTION
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	4d5186a9-e65a-415b-ac7c-0a147160c63b	CRAH
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	0285a900-002f-4c66-8cbe-5017c25c61f5	CRAC
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	961ea90a-0ff5-4cb7-9316-e46473719957	CRAC_WITHOUT_FAN
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	ee5415ea-4303-4e9b-933c-86b6aedcdd78	CRAC_FAN
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	d1aca1b7-18ad-45f4-9924-a6f8699da254	CHILLER
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	ca522f05-f05a-44c3-b3f4-70f0756886d2	AIR_COOLED_CHILLER
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	43d35e2d-3280-49ce-8884-e8b1eee305ab	COOLING_TOWER
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	14a7433f-9e8a-4581-b269-829f8c86c1d2	DRY_COOLER
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	b6ae7542-160e-4d39-a21c-55ece33597e5	REMOTE_CONDENSER
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	49e258f0-b864-4685-9991-31d281256d8d	CHILLED_WATER_PUMPS
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	2af40323-fd9f-4a68-8642-de29b103604b	HEAT_REJECTION_PUMPS
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	7fe48822-3177-4c23-ab3c-f5e1f7b2452e	VENTILATION
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	9b1ce8b1-f58d-4f03-97d2-7b8ef5138a2d	INFILTRATION
6c1734ad-70d7-4011-90a3-aa419fbe2bbe	5db7f63b-b35e-47c6-8e3b-8b0862da8bd7	IT_LOAD
9d3b5e2e-17ec-40f9-abce-f3c32b462331	b608591b-e7d3-4a7e-b367-e2b09d630a95	SWITCHGEAR
9d3b5e2e-17ec-40f9-abce-f3c32b462331	b4660e2b-ea39-4308-9085-d954aa1bf094	GENERATOR
9d3b5e2e-17ec-40f9-abce-f3c32b462331	6589f3e8-478a-4fe9-a59a-22ee26bb38b3	PRIMARY_AUXILIARIES
9d3b5e2e-17ec-40f9-abce-f3c32b462331	56276be0-ce17-4551-a6f4-287b27f40435	UPS
9d3b5e2e-17ec-40f9-abce-f3c32b462331	5d15db29-7953-4334-b1d9-3f0050a6656b	CRITICAL_AUXILIARIES
9d3b5e2e-17ec-40f9-abce-f3c32b462331	f96bf2ca-d566-4129-a8ad-57687507e7d4	LIGHTING
9d3b5e2e-17ec-40f9-abce-f3c32b462331	6f5d3641-91aa-47aa-994a-15abe85c3854	CRITICAL_POWER_DISTRIBUTION
9d3b5e2e-17ec-40f9-abce-f3c32b462331	7307c25e-23aa-4074-a2bf-905cee24fd92	CRAH
9d3b5e2e-17ec-40f9-abce-f3c32b462331	dbda6696-5172-4b09-8766-7a61a497ca76	CRAC
9d3b5e2e-17ec-40f9-abce-f3c32b462331	6f777f8f-3884-4995-b60b-99dea4a07b75	CRAC_WITHOUT_FAN
9d3b5e2e-17ec-40f9-abce-f3c32b462331	f628657a-6dd9-4799-8b84-aa8fd2609a4d	CRAC_FAN
9d3b5e2e-17ec-40f9-abce-f3c32b462331	99f74af0-93de-4723-b485-be8e3ba91652	CHILLER
9d3b5e2e-17ec-40f9-abce-f3c32b462331	f67f4ced-f46a-45e1-86b5-3062641f9523	AIR_COOLED_CHILLER
9d3b5e2e-17ec-40f9-abce-f3c32b462331	bfb90704-d086-4d67-98d8-2fa7cc56fc60	COOLING_TOWER
9d3b5e2e-17ec-40f9-abce-f3c32b462331	8635f7f4-1e3f-475d-a15e-a441f61a4b78	DRY_COOLER
9d3b5e2e-17ec-40f9-abce-f3c32b462331	561343da-ee22-41d2-b545-675d83636725	REMOTE_CONDENSER
9d3b5e2e-17ec-40f9-abce-f3c32b462331	a6d7d617-4f82-4657-85a0-799a2b26ea4a	CHILLED_WATER_PUMPS
9d3b5e2e-17ec-40f9-abce-f3c32b462331	2e242309-89ec-41b7-abb1-9bde9f7e01f4	HEAT_REJECTION_PUMPS
9d3b5e2e-17ec-40f9-abce-f3c32b462331	1bd584ae-2b84-44df-875f-4cd5f0206e4f	VENTILATION
9d3b5e2e-17ec-40f9-abce-f3c32b462331	fd4b77b7-fdec-4fc5-8e7f-1dbb9c9cbf7b	INFILTRATION
9d3b5e2e-17ec-40f9-abce-f3c32b462331	0f007178-6387-41ee-a033-3bd0deec9fd1	IT_LOAD
f5d73048-92e1-4374-87e1-a7f81c41599e	ad3956df-6704-4f11-85d7-aee1886c3139	SWITCHGEAR
f5d73048-92e1-4374-87e1-a7f81c41599e	2ded0893-808f-4905-9e6a-8765d664efbf	GENERATOR
f5d73048-92e1-4374-87e1-a7f81c41599e	174332d1-576b-4a52-a31d-70317598e9ad	PRIMARY_AUXILIARIES
f5d73048-92e1-4374-87e1-a7f81c41599e	8b07c264-fd18-48a8-88c5-fff347ddf8e7	UPS
f5d73048-92e1-4374-87e1-a7f81c41599e	b4fd3576-ca5c-4fd7-a951-79997c800707	CRITICAL_AUXILIARIES
f5d73048-92e1-4374-87e1-a7f81c41599e	90ed6d72-4229-45df-bff7-62040eaca002	LIGHTING
f5d73048-92e1-4374-87e1-a7f81c41599e	edc0ab48-e3b6-43ea-a92c-4c30da7833c5	CRITICAL_POWER_DISTRIBUTION
f5d73048-92e1-4374-87e1-a7f81c41599e	7a067083-3ce7-4346-af22-84392ddce679	CRAH
f5d73048-92e1-4374-87e1-a7f81c41599e	83706784-a4df-4da7-bea5-09a6ff580136	CRAC
f5d73048-92e1-4374-87e1-a7f81c41599e	f588a9a7-939b-4809-bb69-63c6f6cf207d	CRAC_WITHOUT_FAN
f5d73048-92e1-4374-87e1-a7f81c41599e	124a6b8f-f718-4791-94d7-cc1467cf2e71	CRAC_FAN
f5d73048-92e1-4374-87e1-a7f81c41599e	00c6efe3-9bc3-478a-b665-386092cd18ef	CHILLER
f5d73048-92e1-4374-87e1-a7f81c41599e	a51d27ac-e624-40dc-b8fb-85397181342b	AIR_COOLED_CHILLER
f5d73048-92e1-4374-87e1-a7f81c41599e	d919d1d6-f775-4bd2-b6ca-e09e41f0babf	COOLING_TOWER
f5d73048-92e1-4374-87e1-a7f81c41599e	b175c6b5-442a-4b65-84e4-202f152518f8	DRY_COOLER
f5d73048-92e1-4374-87e1-a7f81c41599e	2d68de5a-e079-4a6e-9a88-60590aebfa86	REMOTE_CONDENSER
f5d73048-92e1-4374-87e1-a7f81c41599e	c9039476-a89f-41ca-8f13-18624193a57e	CHILLED_WATER_PUMPS
f5d73048-92e1-4374-87e1-a7f81c41599e	555f566d-72a1-4141-a52f-3d37e5a26d71	HEAT_REJECTION_PUMPS
f5d73048-92e1-4374-87e1-a7f81c41599e	2f4ffc22-b0f8-4acc-84ed-72e4761293c2	VENTILATION
f5d73048-92e1-4374-87e1-a7f81c41599e	3ffda030-e492-4c5c-869b-76828fe8fe10	INFILTRATION
f5d73048-92e1-4374-87e1-a7f81c41599e	9ef76ba8-daeb-4c50-bb2c-009f0affad78	IT_LOAD
9102de51-97fc-40e9-8411-ff07f63d2955	8700c64b-5bed-49a5-9324-feb48076cc55	SWITCHGEAR
9102de51-97fc-40e9-8411-ff07f63d2955	4e850f41-dd69-4d10-95d3-4a138457803a	GENERATOR
9102de51-97fc-40e9-8411-ff07f63d2955	142b3dea-2d3c-427d-bf52-a22891ad3a47	PRIMARY_AUXILIARIES
9102de51-97fc-40e9-8411-ff07f63d2955	95ac5bcb-fe97-402c-b575-fd664dfd6f62	UPS
9102de51-97fc-40e9-8411-ff07f63d2955	817eb639-6fc3-4a1e-bdea-0aef307a9f17	CRITICAL_AUXILIARIES
9102de51-97fc-40e9-8411-ff07f63d2955	ff772d59-049a-4292-9d4e-013d3613b66e	LIGHTING
9102de51-97fc-40e9-8411-ff07f63d2955	99c73d5d-1674-4eb8-9244-f37b936700e3	CRITICAL_POWER_DISTRIBUTION
9102de51-97fc-40e9-8411-ff07f63d2955	5788ef36-0019-4078-8007-6a2524560eb2	CRAH
9102de51-97fc-40e9-8411-ff07f63d2955	9260f351-1ec3-4133-a55f-92097b69ce97	CRAC
9102de51-97fc-40e9-8411-ff07f63d2955	7adcc3ce-ca71-4c6e-aaf0-fee4c9cc912d	CRAC_WITHOUT_FAN
9102de51-97fc-40e9-8411-ff07f63d2955	4091083b-dab4-4720-b08e-f7f4a93b9e84	CRAC_FAN
9102de51-97fc-40e9-8411-ff07f63d2955	c77036d1-35c0-49f0-bc28-d290df1425e5	CHILLER
9102de51-97fc-40e9-8411-ff07f63d2955	133d9b24-aef2-409a-adef-ccd50c2c3345	AIR_COOLED_CHILLER
9102de51-97fc-40e9-8411-ff07f63d2955	6b707f28-3f32-4f9c-b320-aad377211306	COOLING_TOWER
9102de51-97fc-40e9-8411-ff07f63d2955	118120f3-0c42-47c5-a889-37370a3248ec	DRY_COOLER
9102de51-97fc-40e9-8411-ff07f63d2955	bbcd16b7-8e80-42d7-bde2-3ab319e16ec4	REMOTE_CONDENSER
9102de51-97fc-40e9-8411-ff07f63d2955	f7b2271c-6ca0-439e-9c89-7b31010909e7	CHILLED_WATER_PUMPS
9102de51-97fc-40e9-8411-ff07f63d2955	4d718d85-0a00-4d68-a3d1-a4d8317fd588	HEAT_REJECTION_PUMPS
9102de51-97fc-40e9-8411-ff07f63d2955	1b5eae07-526d-44b1-9ecb-c3e7e4530889	VENTILATION
9102de51-97fc-40e9-8411-ff07f63d2955	b2f4772d-c55f-4a47-be85-34daa01b5c12	INFILTRATION
9102de51-97fc-40e9-8411-ff07f63d2955	005ab3d2-4868-4af4-b69a-6d83fa12917f	IT_LOAD
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	526487a1-4f01-4832-8fb4-9a70a52af6b7	SWITCHGEAR
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	61e7a58c-89ca-40c0-b488-35f53d94a1ee	GENERATOR
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	eeb7c942-07b4-4ad7-aeb5-9467c7d6aed4	PRIMARY_AUXILIARIES
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	7cafbc91-d4aa-4df6-8459-a97d039c5420	UPS
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	4e8d3356-8641-4f82-bb45-32285daf76e0	CRITICAL_AUXILIARIES
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	00d34d5f-dd6d-4dbd-b91d-b8dfcee3db5e	LIGHTING
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	beb22bc0-8dcb-402c-b524-9b51fadaef5c	CRITICAL_POWER_DISTRIBUTION
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	aebbe9f6-4e98-4c2b-9f19-1ece65463475	CRAH
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	724da897-c9cc-4cf8-8e1f-803ce8fa79e6	CRAC
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	07ef29b3-ddbc-4a97-b6e7-b8f8eed29d26	CRAC_WITHOUT_FAN
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	82034b74-47a5-4751-b3ca-9343ce8d8cae	CRAC_FAN
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	6def797d-8b8d-444e-9d63-0a3e11936b4e	CHILLER
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	adc48f73-a6e3-454a-84f4-819b6e09bc8e	AIR_COOLED_CHILLER
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	380cce07-6db9-4832-a403-37556a04e053	COOLING_TOWER
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	e3a778a1-54f3-433f-b522-a7aab38d705d	DRY_COOLER
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	bb4618cb-f23e-435c-8798-d50903f8c8bc	REMOTE_CONDENSER
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	dd400128-c015-45da-8d18-b7d8c649537c	CHILLED_WATER_PUMPS
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	2ba8c699-a27f-428b-af5d-6d18f114fb2f	HEAT_REJECTION_PUMPS
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	2c12e30b-38fd-4ed5-853b-ead67f26e9f0	VENTILATION
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	81e52f37-9f44-431b-bb1f-5671a96b7473	INFILTRATION
7c5b6f4d-839f-422b-acf1-0af7b26d9da6	83217935-5274-42c7-9331-2c73c07647d2	IT_LOAD
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	a5ef7d41-880b-4c88-97ca-3b7f5c84ebc7	SWITCHGEAR
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	b4d6717b-7510-42d0-b593-3a3e47ad9535	GENERATOR
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	68df6295-d8af-4823-b546-66a551e3b051	PRIMARY_AUXILIARIES
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	4971e34c-b847-422b-a757-9f16c7cd9189	UPS
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	39765cf5-7317-498c-9297-1e4f459d5750	CRITICAL_AUXILIARIES
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	401e61f8-0e34-44fd-bb62-f0b94f399a1f	LIGHTING
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	949b33a5-c20a-407e-9f54-e7e30a1fe773	CRITICAL_POWER_DISTRIBUTION
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	8d8310b9-81aa-4082-916c-2325d1cbeef1	CRAH
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	6223d09a-5345-4e4b-997d-1203e8a27226	CRAC
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	e23a5631-8e94-4495-9117-08fb3a3473ae	CRAC_WITHOUT_FAN
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	29c74747-e6f6-4223-acdc-c5e623daae3e	CRAC_FAN
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	7b80dfcb-f28a-4d55-9d81-ead3d8d4a3fe	CHILLER
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	f9bca025-027b-43cb-9e77-9f023a87aa4f	AIR_COOLED_CHILLER
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	a051217d-7360-440f-bf6e-d10ee382e1ce	COOLING_TOWER
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	e4665402-caa6-4280-b11d-6415500f0364	DRY_COOLER
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	3e4c120e-f27d-41d1-8b18-ec84fc947eba	REMOTE_CONDENSER
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	16ebb699-a277-47e4-8a5e-33f3120775aa	CHILLED_WATER_PUMPS
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	b620269a-8bcc-4710-be0b-739e47eb11a6	HEAT_REJECTION_PUMPS
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	c0b9c21b-8925-4e94-a534-884f45240dd7	VENTILATION
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	1b552142-223a-44c6-8fa4-7c55ee1dad41	INFILTRATION
b7e16789-0fa4-4375-8f7e-abe9ea005a0a	4691d369-860f-452c-b544-86b031c7a8b6	IT_LOAD
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	7adf3cef-e4e6-4199-beb3-267054fbc8ca	SWITCHGEAR
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	d608b361-3a40-46e6-b6e3-51f513dd15b7	GENERATOR
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	5789a961-5ba0-46f9-a693-fb903949c5be	PRIMARY_AUXILIARIES
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	c5afa453-5b87-4379-b313-965d2c80f086	UPS
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	a633df79-7fcb-4416-823c-1a55cc745932	CRITICAL_AUXILIARIES
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	9d6b558f-b2b9-435d-b651-554dce311ad6	LIGHTING
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	bc02b03e-246d-45bf-8b85-24d4ee3b436e	CRITICAL_POWER_DISTRIBUTION
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	4eb10ff8-35db-4a30-b51b-f099944bec06	CRAH
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	393f30fb-ef8b-4c1e-bc7f-184e03701582	CRAC
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	6f68db09-a5bf-4a15-88a3-c5eed94f5bae	CRAC_WITHOUT_FAN
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	ac2640fb-f8d0-4211-94c1-b2b9689113ad	CRAC_FAN
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	5099f7b7-8462-41c0-98a5-9c48022ca106	CHILLER
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	9fc8c31a-9390-4ae3-bd25-d3951f6459a0	AIR_COOLED_CHILLER
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	ec9aacd4-964b-4508-80f1-bc867321c43a	COOLING_TOWER
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	e1d24660-8986-4645-9aed-4871a23c6c79	DRY_COOLER
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	d278c76b-49f2-41de-bf3f-642ce18c4199	REMOTE_CONDENSER
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	d27f9629-ab33-4cc5-8370-ae531b92181c	CHILLED_WATER_PUMPS
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	97c610bc-170f-43b3-9e23-3c04eed0dce7	HEAT_REJECTION_PUMPS
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	35720f6a-778d-4a2b-b849-98b5dc640d6c	VENTILATION
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	30237727-2c84-419a-95ae-1c39bbfa88f9	INFILTRATION
26dbb5e4-072a-4804-b9dd-b3bcc11640c4	347adae3-0dda-4143-b5cf-fb2690477c39	IT_LOAD
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	dce830a2-19c8-4ced-9c59-51f2919e0a2d	SWITCHGEAR
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	6d8bf412-1bb1-4a40-97d6-f129a6987ecb	GENERATOR
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	b9e1f556-d317-4282-9963-d17f0d8e27e7	PRIMARY_AUXILIARIES
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	e2793c82-06f4-440e-8f11-bbd351b33c95	UPS
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	75eaac78-0ff2-4e2c-8aff-569c0db6f967	CRITICAL_AUXILIARIES
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	9f3eba20-a9e6-4d97-9a6c-79707698a985	LIGHTING
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	70a76d07-af29-451a-bbe2-5c1c9d8c6f1d	CRITICAL_POWER_DISTRIBUTION
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	5d556182-e17c-4f9f-9ec9-59fe4cef5535	CRAH
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	16ee1254-d3f0-4194-bae8-0c50306ac471	CRAC
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	b3a8f90b-fde6-488e-b453-678b5d5e1cc6	CRAC_WITHOUT_FAN
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	49b44772-9f95-4bc3-8237-442449e58549	CRAC_FAN
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	f98e67ae-9b66-49ef-aad2-d4e50b110757	CHILLER
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	57fc39a1-c07d-4eb2-95a3-efa8015a3446	AIR_COOLED_CHILLER
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	f7c5b131-8850-4de3-b95d-da24f6118249	COOLING_TOWER
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	87958ad1-8d83-4439-ab4f-738cac8ffa90	DRY_COOLER
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	acfbed87-7f86-49bc-ae6d-67ef0d1695ec	REMOTE_CONDENSER
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	77a64981-e63b-44a0-8bd8-45a288c6cb4b	CHILLED_WATER_PUMPS
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	1399cf00-cec6-4065-a3a1-4284359708f5	HEAT_REJECTION_PUMPS
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	41fe54b5-b4a6-4b4c-85dc-e4e84beefacb	VENTILATION
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	c28a529e-3d59-497a-a8cc-4b81be3a479d	INFILTRATION
7e957cfb-42d0-40ca-abe8-ba5773e1b1d9	94af32f9-5364-4530-bc87-366e194c1762	IT_LOAD
789bb593-87d0-4230-9d0a-60d17c5d01c5	7cb09c80-8335-4728-91c2-70ae5a0081fa	SWITCHGEAR
789bb593-87d0-4230-9d0a-60d17c5d01c5	e15ec259-5ac5-407b-9410-122f26b18d25	GENERATOR
789bb593-87d0-4230-9d0a-60d17c5d01c5	6bf400b7-eae0-4dc8-be83-b09555a6e839	PRIMARY_AUXILIARIES
789bb593-87d0-4230-9d0a-60d17c5d01c5	0222d139-37b0-4a15-8aca-75a2f0ba0b11	UPS
789bb593-87d0-4230-9d0a-60d17c5d01c5	53c20d27-e18d-498f-979b-5621b4952ce0	CRITICAL_AUXILIARIES
789bb593-87d0-4230-9d0a-60d17c5d01c5	576eb298-0412-426b-b052-103d7c661173	LIGHTING
789bb593-87d0-4230-9d0a-60d17c5d01c5	bb1fbcad-3dd7-4c9e-abe3-28bbdcf8bd71	CRITICAL_POWER_DISTRIBUTION
789bb593-87d0-4230-9d0a-60d17c5d01c5	4a089f61-1ad7-4f54-97bc-fb977a9fdfa4	CRAH
789bb593-87d0-4230-9d0a-60d17c5d01c5	2d994b7c-06a5-4b90-a562-da595e2fcbcc	CRAC
789bb593-87d0-4230-9d0a-60d17c5d01c5	2297508a-6070-4203-9957-39af73f37e45	CRAC_WITHOUT_FAN
789bb593-87d0-4230-9d0a-60d17c5d01c5	eccf7539-a4f9-4ca1-9e28-c4e43c0c1861	CRAC_FAN
789bb593-87d0-4230-9d0a-60d17c5d01c5	9fbf945f-5a14-45a6-addb-fb3ca9f15f29	CHILLER
789bb593-87d0-4230-9d0a-60d17c5d01c5	c1fc187f-64c5-4b97-803a-aba1348c7d15	AIR_COOLED_CHILLER
789bb593-87d0-4230-9d0a-60d17c5d01c5	9867c54a-9cd1-4ee5-8df9-d7fa6e0dc569	COOLING_TOWER
789bb593-87d0-4230-9d0a-60d17c5d01c5	4856516e-ea63-4a23-835b-e44a1346382c	DRY_COOLER
789bb593-87d0-4230-9d0a-60d17c5d01c5	0c1a4850-75a8-403e-8b6f-27ca95ebe0cc	REMOTE_CONDENSER
789bb593-87d0-4230-9d0a-60d17c5d01c5	d52e95a2-83e7-46af-b532-9b957412fc82	CHILLED_WATER_PUMPS
789bb593-87d0-4230-9d0a-60d17c5d01c5	efad0135-7515-4b52-a98f-accd6bf276f5	HEAT_REJECTION_PUMPS
789bb593-87d0-4230-9d0a-60d17c5d01c5	1577782b-4893-4ed8-a222-497e2f6003d0	VENTILATION
789bb593-87d0-4230-9d0a-60d17c5d01c5	9be59205-5f3c-4241-bc62-a27d09ffb5ac	INFILTRATION
789bb593-87d0-4230-9d0a-60d17c5d01c5	53481891-ec42-4c0b-97c8-9f51c95eec04	IT_LOAD
8b9bdf67-60d0-405a-9bfa-29133116f71b	63ea731e-19ac-4fd9-bd2e-8f426d822956	SWITCHGEAR
8b9bdf67-60d0-405a-9bfa-29133116f71b	ecfc2467-1d93-4ce7-a209-175b5bc52381	GENERATOR
8b9bdf67-60d0-405a-9bfa-29133116f71b	8cb00a14-8250-4b86-89e0-b7e4912ea4d0	PRIMARY_AUXILIARIES
8b9bdf67-60d0-405a-9bfa-29133116f71b	4a10df67-d733-4caf-b3f8-f347b8e9ec08	UPS
8b9bdf67-60d0-405a-9bfa-29133116f71b	570d58b3-d4df-42fe-80cc-3dbcb8d44679	CRITICAL_AUXILIARIES
8b9bdf67-60d0-405a-9bfa-29133116f71b	40ba7c97-803c-4c79-b78e-e7e7a8f4eb59	LIGHTING
8b9bdf67-60d0-405a-9bfa-29133116f71b	6cb8400d-13be-4d88-82eb-89254094a331	CRITICAL_POWER_DISTRIBUTION
8b9bdf67-60d0-405a-9bfa-29133116f71b	3e077286-d331-44ef-a025-9769c0d446b3	CRAH
8b9bdf67-60d0-405a-9bfa-29133116f71b	0a097398-574e-42dd-9f7a-5a35ccc9e53b	CRAC
8b9bdf67-60d0-405a-9bfa-29133116f71b	90a71dde-f105-4304-9603-bf88ec3b6e85	CRAC_WITHOUT_FAN
8b9bdf67-60d0-405a-9bfa-29133116f71b	738b1d49-0a6a-49a7-9a6a-53bb818ea501	CRAC_FAN
8b9bdf67-60d0-405a-9bfa-29133116f71b	87d3d5f5-7994-40e7-999a-7e3d01758000	CHILLER
8b9bdf67-60d0-405a-9bfa-29133116f71b	554116f6-5342-42c5-bef5-069134daa1b1	AIR_COOLED_CHILLER
8b9bdf67-60d0-405a-9bfa-29133116f71b	106728f1-c20c-44de-bfab-7ff528024081	COOLING_TOWER
8b9bdf67-60d0-405a-9bfa-29133116f71b	b5990414-5b63-42b7-aa94-18e2869c7bbd	DRY_COOLER
8b9bdf67-60d0-405a-9bfa-29133116f71b	cb82daae-11b1-4d03-9426-ed55d9d6e532	REMOTE_CONDENSER
8b9bdf67-60d0-405a-9bfa-29133116f71b	76763658-38ca-4577-b0ad-fcc89f24642b	CHILLED_WATER_PUMPS
8b9bdf67-60d0-405a-9bfa-29133116f71b	6219ca09-a7bd-42e0-ac6e-938ef96b8b30	HEAT_REJECTION_PUMPS
8b9bdf67-60d0-405a-9bfa-29133116f71b	698ed16f-055c-42bc-90b5-b35e42e2e03c	VENTILATION
8b9bdf67-60d0-405a-9bfa-29133116f71b	8c9a0103-ac69-48b3-a2ad-6960d15863c1	INFILTRATION
8b9bdf67-60d0-405a-9bfa-29133116f71b	21dc1284-a767-450e-a326-48138f4cdbec	IT_LOAD
21ea6165-6675-478d-8154-d7557ca806c2	76004073-bcc4-45d7-ba92-2db5f339fe19	SWITCHGEAR
21ea6165-6675-478d-8154-d7557ca806c2	8fa9dcac-601a-453d-a472-6bbb99864060	GENERATOR
21ea6165-6675-478d-8154-d7557ca806c2	60d815d2-8cbe-4704-a026-517e08f7b171	PRIMARY_AUXILIARIES
21ea6165-6675-478d-8154-d7557ca806c2	9da2eaa5-41e7-4a00-86a8-d4af9e958fe1	UPS
21ea6165-6675-478d-8154-d7557ca806c2	38c699b9-0e4b-4ab6-b296-5a65061c8194	CRITICAL_AUXILIARIES
21ea6165-6675-478d-8154-d7557ca806c2	416684b4-93cf-43dc-a1a1-5ef9e2434d0f	LIGHTING
21ea6165-6675-478d-8154-d7557ca806c2	955af61f-a05b-4224-adea-3fb9d864a065	CRITICAL_POWER_DISTRIBUTION
21ea6165-6675-478d-8154-d7557ca806c2	ab5ec7b2-8cc5-47ac-b803-64da52804ddf	CRAH
21ea6165-6675-478d-8154-d7557ca806c2	b936c5c5-1eda-498d-9bcb-f823cb26884c	CRAC
21ea6165-6675-478d-8154-d7557ca806c2	1958f396-42ef-4a08-80f5-af39c69a558f	CRAC_WITHOUT_FAN
21ea6165-6675-478d-8154-d7557ca806c2	a73cbcd4-4fe3-4d78-b924-6119c0af5fe2	CRAC_FAN
21ea6165-6675-478d-8154-d7557ca806c2	18227c71-f550-4ffb-bd7c-c6be8f06ac5e	CHILLER
21ea6165-6675-478d-8154-d7557ca806c2	be35343e-071f-453c-a8c7-a55b4c74d1e3	AIR_COOLED_CHILLER
21ea6165-6675-478d-8154-d7557ca806c2	7077f7d1-7f3c-431b-94cf-fdb12ff474a4	COOLING_TOWER
21ea6165-6675-478d-8154-d7557ca806c2	3bde2ceb-54a2-4c01-8e7f-4e6dfb8a8596	DRY_COOLER
21ea6165-6675-478d-8154-d7557ca806c2	43ee0089-fd9f-41d8-b700-4db0bd20b0bf	REMOTE_CONDENSER
21ea6165-6675-478d-8154-d7557ca806c2	5c917260-a047-4a28-be8c-3d607aa8b85f	CHILLED_WATER_PUMPS
21ea6165-6675-478d-8154-d7557ca806c2	9a344311-a5ac-48d6-a5da-fae7864d1921	HEAT_REJECTION_PUMPS
21ea6165-6675-478d-8154-d7557ca806c2	604a508d-33f6-4e8b-81d4-f94d4aec3af2	VENTILATION
21ea6165-6675-478d-8154-d7557ca806c2	754456f9-0348-4a91-ba0d-7d6223ac0127	INFILTRATION
21ea6165-6675-478d-8154-d7557ca806c2	15f62c13-4fa4-490b-aebd-2aebe2e54607	IT_LOAD
f98ba2a0-df5a-4717-a1df-6b2307d34331	8d9b039b-099a-4b8d-8331-976808ef383e	SWITCHGEAR
f98ba2a0-df5a-4717-a1df-6b2307d34331	9b14576c-f10c-4cf4-a0c4-c4bc083116e7	GENERATOR
f98ba2a0-df5a-4717-a1df-6b2307d34331	e3076617-5aa7-41b9-bf9e-0055bb6dac69	PRIMARY_AUXILIARIES
f98ba2a0-df5a-4717-a1df-6b2307d34331	0d5949ad-86ee-46e7-9170-51ef572fd3ae	UPS
f98ba2a0-df5a-4717-a1df-6b2307d34331	9bcde3b0-762b-48d4-a38e-c743df15452f	CRITICAL_AUXILIARIES
f98ba2a0-df5a-4717-a1df-6b2307d34331	871921d1-00ed-481f-984e-038ddc816913	LIGHTING
f98ba2a0-df5a-4717-a1df-6b2307d34331	5644e08a-cfdf-4060-ae39-6e742ac2d64f	CRITICAL_POWER_DISTRIBUTION
f98ba2a0-df5a-4717-a1df-6b2307d34331	1df4315a-70c0-4729-9610-7ea0a70d591c	CRAH
f98ba2a0-df5a-4717-a1df-6b2307d34331	2a1a8e2d-33d0-4915-aa57-9fd0e7e517f9	CRAC
f98ba2a0-df5a-4717-a1df-6b2307d34331	9b32978e-2361-42f8-8f92-d07a1df9ca5e	CRAC_WITHOUT_FAN
f98ba2a0-df5a-4717-a1df-6b2307d34331	96eb62a8-08b7-479b-b6c3-41b2cc13a357	CRAC_FAN
f98ba2a0-df5a-4717-a1df-6b2307d34331	6ebc30c7-f379-4268-8f1c-6543fc480b32	CHILLER
f98ba2a0-df5a-4717-a1df-6b2307d34331	2f30ec32-52aa-4c3b-a3d2-387e916c9053	AIR_COOLED_CHILLER
f98ba2a0-df5a-4717-a1df-6b2307d34331	f24dfc62-6d40-4abf-9795-1f7b9aa213c9	COOLING_TOWER
f98ba2a0-df5a-4717-a1df-6b2307d34331	6b603cbf-3f3a-4434-958d-8f5c2d64f57c	DRY_COOLER
f98ba2a0-df5a-4717-a1df-6b2307d34331	68ec4a92-9f27-4aa1-bd1a-5459dc6879e7	REMOTE_CONDENSER
f98ba2a0-df5a-4717-a1df-6b2307d34331	1bd6be5e-1d82-44d3-bbb9-eb168017aedd	CHILLED_WATER_PUMPS
f98ba2a0-df5a-4717-a1df-6b2307d34331	d1668aaa-fe2a-48f8-9a65-4e1f33f71a63	HEAT_REJECTION_PUMPS
f98ba2a0-df5a-4717-a1df-6b2307d34331	7ee54ca2-9c4c-4ebc-9803-6015e9620fda	VENTILATION
f98ba2a0-df5a-4717-a1df-6b2307d34331	15358a22-2008-41bf-80e9-c21ed474adfc	INFILTRATION
f98ba2a0-df5a-4717-a1df-6b2307d34331	611d1e0f-ac85-4552-b4f7-a40256fca04e	IT_LOAD
64bb5f38-65f3-4b8a-9c53-3752c0716fba	f05b5f75-4ad5-41b1-b723-b7e703c1b2e1	SWITCHGEAR
64bb5f38-65f3-4b8a-9c53-3752c0716fba	7654dee6-d846-4c83-a335-ceed07e55c47	GENERATOR
64bb5f38-65f3-4b8a-9c53-3752c0716fba	1d0b6dd9-c6ad-4379-98c7-dfe059c93ff0	PRIMARY_AUXILIARIES
64bb5f38-65f3-4b8a-9c53-3752c0716fba	2b929857-6e1e-41b7-b029-4827a8903509	UPS
64bb5f38-65f3-4b8a-9c53-3752c0716fba	036083fc-4f36-4192-9325-b6b665e8651e	CRITICAL_AUXILIARIES
64bb5f38-65f3-4b8a-9c53-3752c0716fba	6fc36a0d-5f3d-4a1f-8f2b-2364c6756996	LIGHTING
64bb5f38-65f3-4b8a-9c53-3752c0716fba	06b834b4-ee2c-4bdd-8fad-f68835285d0b	CRITICAL_POWER_DISTRIBUTION
64bb5f38-65f3-4b8a-9c53-3752c0716fba	f6e85bc5-ff7f-45b1-a99c-c23965479906	CRAH
64bb5f38-65f3-4b8a-9c53-3752c0716fba	3d8b2256-1f94-4658-a268-33b8f8425e75	CRAC
64bb5f38-65f3-4b8a-9c53-3752c0716fba	7c0fb0d3-fa02-4657-a957-72167d66010e	CRAC_WITHOUT_FAN
64bb5f38-65f3-4b8a-9c53-3752c0716fba	205252be-046e-4f55-8bb5-3c67a4aea70a	CRAC_FAN
64bb5f38-65f3-4b8a-9c53-3752c0716fba	bbd6bdcd-4a1f-4e26-aaa3-b142e379136e	CHILLER
64bb5f38-65f3-4b8a-9c53-3752c0716fba	adb61811-6d6b-49a2-a648-3a075d96e6c1	AIR_COOLED_CHILLER
64bb5f38-65f3-4b8a-9c53-3752c0716fba	9ede55a4-7a16-4078-a495-3bcfd9b4ef5d	COOLING_TOWER
64bb5f38-65f3-4b8a-9c53-3752c0716fba	c57cd520-2080-414f-85f7-aed4d3446034	DRY_COOLER
64bb5f38-65f3-4b8a-9c53-3752c0716fba	3def0f47-f67c-49be-98a0-a0897dca9b45	REMOTE_CONDENSER
64bb5f38-65f3-4b8a-9c53-3752c0716fba	e8b5373a-0731-45ca-9a4f-0c75f317a0a8	CHILLED_WATER_PUMPS
64bb5f38-65f3-4b8a-9c53-3752c0716fba	168a45c9-74c1-4ac6-989f-70c465b7386b	HEAT_REJECTION_PUMPS
64bb5f38-65f3-4b8a-9c53-3752c0716fba	cd8f044b-efd3-407f-9ec5-47c803418e7a	VENTILATION
64bb5f38-65f3-4b8a-9c53-3752c0716fba	65e54d44-ea3e-4405-8b7b-181bc1636107	INFILTRATION
64bb5f38-65f3-4b8a-9c53-3752c0716fba	aad14914-a082-4196-982b-2015b423c97d	IT_LOAD
d6755566-fb3a-40e6-aac2-cc22c7f2f063	ba83b031-4ce3-4ffc-aa45-ab02bbb4a5da	SWITCHGEAR
d6755566-fb3a-40e6-aac2-cc22c7f2f063	945bcff8-e96d-4e2f-aa8a-b63442cb9d2a	GENERATOR
d6755566-fb3a-40e6-aac2-cc22c7f2f063	ff086553-46b1-462d-849b-eee4970c9956	PRIMARY_AUXILIARIES
d6755566-fb3a-40e6-aac2-cc22c7f2f063	8e47dd73-60fb-4252-ae8e-5c78898b1852	UPS
d6755566-fb3a-40e6-aac2-cc22c7f2f063	5b1d9ec3-aa59-4997-a69e-6038824ba745	CRITICAL_AUXILIARIES
d6755566-fb3a-40e6-aac2-cc22c7f2f063	d0e78078-2404-4e18-b69e-e96e26a17b8b	LIGHTING
d6755566-fb3a-40e6-aac2-cc22c7f2f063	fcea7fd2-1172-4ebc-94c0-bba7d1e5bdef	CRITICAL_POWER_DISTRIBUTION
d6755566-fb3a-40e6-aac2-cc22c7f2f063	1fcf4f00-76fd-4861-aaf0-bf3cffc8f7a5	CRAH
d6755566-fb3a-40e6-aac2-cc22c7f2f063	33b2a3a2-012f-4fd1-9519-3c3ba06abc83	CRAC
d6755566-fb3a-40e6-aac2-cc22c7f2f063	f2e06184-2795-4e8b-b758-60bdaf869621	CRAC_WITHOUT_FAN
d6755566-fb3a-40e6-aac2-cc22c7f2f063	40d863ce-a87b-404b-910e-0f06b2675cf4	CRAC_FAN
d6755566-fb3a-40e6-aac2-cc22c7f2f063	1a0d0325-1ed8-40a0-8a0a-9191d6cb2607	CHILLER
d6755566-fb3a-40e6-aac2-cc22c7f2f063	aaeba6b5-b253-4e09-a45d-0dedc857a4c3	AIR_COOLED_CHILLER
d6755566-fb3a-40e6-aac2-cc22c7f2f063	0a07130f-5182-4748-a4db-b8f92340242e	COOLING_TOWER
d6755566-fb3a-40e6-aac2-cc22c7f2f063	6c22bb77-79e5-4af6-8ae3-3bb63f108fe5	DRY_COOLER
d6755566-fb3a-40e6-aac2-cc22c7f2f063	e4161462-db9f-48ab-a543-455566b309c5	REMOTE_CONDENSER
d6755566-fb3a-40e6-aac2-cc22c7f2f063	87ab4466-fa3c-4b4c-aa16-6a36c94b2a3a	CHILLED_WATER_PUMPS
d6755566-fb3a-40e6-aac2-cc22c7f2f063	dcef60f9-2336-49b7-b887-8a7c96312289	HEAT_REJECTION_PUMPS
d6755566-fb3a-40e6-aac2-cc22c7f2f063	8cb5a7fe-d4aa-4279-9767-c54508939f05	VENTILATION
d6755566-fb3a-40e6-aac2-cc22c7f2f063	d67eba14-109f-438c-b34d-6d4fcf086228	INFILTRATION
d6755566-fb3a-40e6-aac2-cc22c7f2f063	2dc975dc-57b6-47e0-b98f-669f7a1992a0	IT_LOAD
d51056f9-5bdd-42f2-9c31-f9134f52d50f	c662b234-33db-42e8-ab56-7ba308bd21fc	SWITCHGEAR
d51056f9-5bdd-42f2-9c31-f9134f52d50f	0a853ddb-43ad-4d4d-a62a-661c6fb8be40	GENERATOR
d51056f9-5bdd-42f2-9c31-f9134f52d50f	6d73416a-4abe-42e4-868b-380ed9209de6	PRIMARY_AUXILIARIES
d51056f9-5bdd-42f2-9c31-f9134f52d50f	8688f457-b0ae-4842-b7f5-4b58a0ac4c7d	UPS
d51056f9-5bdd-42f2-9c31-f9134f52d50f	472119b1-03cd-4a73-9b7e-5f44f1d1443e	CRITICAL_AUXILIARIES
d51056f9-5bdd-42f2-9c31-f9134f52d50f	e885b058-3295-4fe2-9c6d-ca926db38e2b	LIGHTING
d51056f9-5bdd-42f2-9c31-f9134f52d50f	22e0df9a-ac6b-4fb3-8395-8214a3bf7e88	CRITICAL_POWER_DISTRIBUTION
d51056f9-5bdd-42f2-9c31-f9134f52d50f	8c5c5d20-ce67-4a52-bcbf-e4f7f40bbe1c	CRAH
d51056f9-5bdd-42f2-9c31-f9134f52d50f	afd24471-7015-41c6-a3da-650d24e285c1	CRAC
d51056f9-5bdd-42f2-9c31-f9134f52d50f	4e7ab5b3-cb50-4e60-9a8c-7fb999541651	CRAC_WITHOUT_FAN
d51056f9-5bdd-42f2-9c31-f9134f52d50f	bfb6a5d8-4716-4e58-8005-48b100df0a69	CRAC_FAN
d51056f9-5bdd-42f2-9c31-f9134f52d50f	3b139ea1-b3c2-4d44-8409-dc6fe76dad8e	CHILLER
d51056f9-5bdd-42f2-9c31-f9134f52d50f	a0be42f0-3ab7-40ae-a46e-0c9f517107be	AIR_COOLED_CHILLER
d51056f9-5bdd-42f2-9c31-f9134f52d50f	e4c65895-99e7-4d10-8a45-f241be9550ba	COOLING_TOWER
d51056f9-5bdd-42f2-9c31-f9134f52d50f	7427494a-21bc-4601-9a27-e0d5d9afdf93	DRY_COOLER
d51056f9-5bdd-42f2-9c31-f9134f52d50f	d8a67dea-72d2-447b-8fe3-d6ebb8255290	REMOTE_CONDENSER
d51056f9-5bdd-42f2-9c31-f9134f52d50f	5d815162-5ba6-4072-956e-98bc32e79c79	CHILLED_WATER_PUMPS
d51056f9-5bdd-42f2-9c31-f9134f52d50f	526b17a1-875d-49fa-8d23-26a40e6d44c7	HEAT_REJECTION_PUMPS
d51056f9-5bdd-42f2-9c31-f9134f52d50f	250c4672-4751-45dc-a7d5-99248391ab39	VENTILATION
d51056f9-5bdd-42f2-9c31-f9134f52d50f	19f572f9-dcfd-4027-8a92-40d9dcbcc3fb	INFILTRATION
d51056f9-5bdd-42f2-9c31-f9134f52d50f	2fbdaff1-146a-41b8-86b7-47e180a30855	IT_LOAD
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	93c54066-28d3-4ff3-8a4e-2715b58df26e	SWITCHGEAR
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	8bcb2d1e-223e-4935-9ad6-68893a2855b9	GENERATOR
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	8947ae74-dc91-471f-bda1-ce7c53449350	PRIMARY_AUXILIARIES
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	c96978f7-91bc-4309-882d-2a1f00e031ce	UPS
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	3ee7d505-1a8c-4a7c-b0f4-b33846f9b322	CRITICAL_AUXILIARIES
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	cebcf901-49a1-4446-b5d5-ce3b64b57a2e	LIGHTING
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	cdca8ab4-20bc-477e-af92-b6a294c79886	CRITICAL_POWER_DISTRIBUTION
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	258925d5-eb0e-4aff-b6a8-3ea83b4349a1	CRAH
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	e1e43143-fb63-48ac-9419-b936ac2e5a77	CRAC
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	8abea0d7-d468-48d7-9ec2-400e85ba661f	CRAC_WITHOUT_FAN
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	88337f38-4a95-4bb3-bcbc-2113dd74b2a4	CRAC_FAN
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	0b48d238-8f97-447a-bb7a-ba95c5adc6c0	CHILLER
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	1674c683-a26c-46c0-a0b3-fa7e8f4595ab	AIR_COOLED_CHILLER
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	3d0c2caa-570a-43e8-8fcd-6d367abc7201	COOLING_TOWER
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	aedeb429-07ab-4f9f-b4b1-f63493b5fc8a	DRY_COOLER
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	6589ebbb-1c06-4767-9293-3dd09e10feaa	REMOTE_CONDENSER
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	524ae573-dfdf-491e-98ca-0def223905c5	CHILLED_WATER_PUMPS
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	9af2ffb9-a82b-40b8-b25f-b8c52a7d0f91	HEAT_REJECTION_PUMPS
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	b3bfcd45-c3cd-4a5c-b3a8-747bf2ebee77	VENTILATION
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	ea1128d2-9b41-40c9-9f39-10b1dbc7672d	INFILTRATION
acdbc7aa-b145-453e-8c79-4ec25ac5f1a8	88ac8fd3-6576-4f47-b545-2548312fc425	IT_LOAD
de29d553-5a2c-43eb-bad7-778c5267d265	4483d473-ae81-4fc7-a040-387deafb7deb	SWITCHGEAR
de29d553-5a2c-43eb-bad7-778c5267d265	e24eb9fd-bf30-4c5e-b720-501568955de4	GENERATOR
de29d553-5a2c-43eb-bad7-778c5267d265	15692dfd-67b0-455e-a36f-81988be2edb2	PRIMARY_AUXILIARIES
de29d553-5a2c-43eb-bad7-778c5267d265	a9659085-79fa-451d-9d33-1cd81d7ef674	UPS
de29d553-5a2c-43eb-bad7-778c5267d265	62e4fb28-2cf0-4adf-aecd-5feafb1073d1	CRITICAL_AUXILIARIES
de29d553-5a2c-43eb-bad7-778c5267d265	38a3b68a-f58c-463f-98f1-813c248d60bb	LIGHTING
de29d553-5a2c-43eb-bad7-778c5267d265	491463bf-5341-4883-ad0b-c9c199867be8	CRITICAL_POWER_DISTRIBUTION
de29d553-5a2c-43eb-bad7-778c5267d265	08e6eb39-0b8b-4218-ab94-f31a53d7bb98	CRAH
de29d553-5a2c-43eb-bad7-778c5267d265	db4a2689-7f63-40b9-ad4e-cebb6d2c5f20	CRAC
de29d553-5a2c-43eb-bad7-778c5267d265	7c81ebc3-19fb-477e-8a0a-49eff849779b	CRAC_WITHOUT_FAN
de29d553-5a2c-43eb-bad7-778c5267d265	bb6d839a-ab51-4485-a612-e60b3e965016	CRAC_FAN
de29d553-5a2c-43eb-bad7-778c5267d265	a78ab07e-6e55-434e-8eb3-b23f8e4d0c87	CHILLER
de29d553-5a2c-43eb-bad7-778c5267d265	56d065ea-9b7c-4d67-9ea9-2cd75abc437e	AIR_COOLED_CHILLER
de29d553-5a2c-43eb-bad7-778c5267d265	ef57d46e-ceea-4062-a09c-7c18732c0a6d	COOLING_TOWER
de29d553-5a2c-43eb-bad7-778c5267d265	5f4c9394-2ef7-4e90-a377-8eac618a6b18	DRY_COOLER
de29d553-5a2c-43eb-bad7-778c5267d265	caf3fcda-af77-4e6e-97d2-c4dc27d67417	REMOTE_CONDENSER
de29d553-5a2c-43eb-bad7-778c5267d265	24bbca49-9fdf-4019-95ef-3162034c634c	CHILLED_WATER_PUMPS
de29d553-5a2c-43eb-bad7-778c5267d265	1d20d739-1c50-47d8-a1aa-e75d2ad97330	HEAT_REJECTION_PUMPS
de29d553-5a2c-43eb-bad7-778c5267d265	189c844b-c3a5-48d3-b861-4d3702e20b54	VENTILATION
de29d553-5a2c-43eb-bad7-778c5267d265	64fe1c77-1901-4974-9f8d-3e7631e6823d	INFILTRATION
de29d553-5a2c-43eb-bad7-778c5267d265	4cbf6868-1e1a-463f-ae59-e9a1f4d2f48d	IT_LOAD
b1110311-b11d-4b90-8653-d03cb19974cb	5044d895-08e9-4735-87bb-c632ba4f6b0b	SWITCHGEAR
b1110311-b11d-4b90-8653-d03cb19974cb	a6f4ba03-a8c3-47cb-a819-c875569cc22b	GENERATOR
b1110311-b11d-4b90-8653-d03cb19974cb	90d294eb-2f9d-4949-addb-d39a1fdca5a4	PRIMARY_AUXILIARIES
b1110311-b11d-4b90-8653-d03cb19974cb	ed0ccf94-b7f2-44a8-b256-c0afdd764dc2	UPS
b1110311-b11d-4b90-8653-d03cb19974cb	b1831b76-934f-4528-b2f2-c1279a910bc0	CRITICAL_AUXILIARIES
b1110311-b11d-4b90-8653-d03cb19974cb	510ae896-6eda-4d5b-9ff2-b3b18c86d4a9	LIGHTING
b1110311-b11d-4b90-8653-d03cb19974cb	f2ed9efa-bc66-4aaa-93e3-dde008befa27	CRITICAL_POWER_DISTRIBUTION
b1110311-b11d-4b90-8653-d03cb19974cb	097db941-95c8-40a6-9525-bcb523be1855	CRAH
b1110311-b11d-4b90-8653-d03cb19974cb	04df43fe-7765-41b8-b071-ded8e213e835	CRAC
b1110311-b11d-4b90-8653-d03cb19974cb	91286945-2b7b-4432-bc49-e67881c03b49	CRAC_WITHOUT_FAN
b1110311-b11d-4b90-8653-d03cb19974cb	4308cdac-c787-49ef-9282-63b972a483e1	CRAC_FAN
b1110311-b11d-4b90-8653-d03cb19974cb	5b9f2c77-cdd9-4bc5-8708-c0a39df16051	CHILLER
b1110311-b11d-4b90-8653-d03cb19974cb	6b59ffd7-d4b0-45d9-9b9c-0e647cf24733	AIR_COOLED_CHILLER
b1110311-b11d-4b90-8653-d03cb19974cb	e6d28ff7-8697-4e6f-b944-6c3e481a2491	COOLING_TOWER
b1110311-b11d-4b90-8653-d03cb19974cb	8805ae9b-009c-492b-817d-0f9cfadc75c5	DRY_COOLER
b1110311-b11d-4b90-8653-d03cb19974cb	2094d4ac-115a-426d-bcb7-72b6ceab6f33	REMOTE_CONDENSER
b1110311-b11d-4b90-8653-d03cb19974cb	493709fc-dfcf-4f0f-85da-a068f6130a01	CHILLED_WATER_PUMPS
b1110311-b11d-4b90-8653-d03cb19974cb	3b7a529d-bc01-4213-b183-cad99abffcb6	HEAT_REJECTION_PUMPS
b1110311-b11d-4b90-8653-d03cb19974cb	3834e6eb-8a4a-4fdb-b5ce-ce50e07d7b86	VENTILATION
b1110311-b11d-4b90-8653-d03cb19974cb	a1f6ae78-c2a5-40c3-a6fc-8d413bcf7c02	INFILTRATION
b1110311-b11d-4b90-8653-d03cb19974cb	171252a1-0529-48b7-b221-afa5ded82001	IT_LOAD
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	1ddc839b-76d9-462c-9fc2-e300dfa29f84	SWITCHGEAR
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	26d75e63-6cbe-4fc7-9e40-74c20f728cc7	GENERATOR
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	1a4e4026-fd43-4687-8763-f5d63d0185fd	PRIMARY_AUXILIARIES
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	35999cd1-7b57-4264-9937-39cc08aefc01	UPS
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	5c91f86a-6c92-4796-a0f3-adc3354ce49d	CRITICAL_AUXILIARIES
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	3550fb9e-46e3-4059-b260-25effbe07b59	LIGHTING
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	c5834e4a-4568-409d-8e21-5e01702c70d4	CRITICAL_POWER_DISTRIBUTION
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	87873d14-83fa-4f5c-83d4-c3d3b01d3901	CRAH
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	090543c0-364b-4234-99f0-b1902f9baecd	CRAC
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	8b51ef1e-5518-469b-ba2d-b1eb7adc56aa	CRAC_WITHOUT_FAN
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	f34034a6-f039-4fa8-880d-4a541752aa94	CRAC_FAN
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	c69498f4-15ee-480c-9a76-e9a970616fa4	CHILLER
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	972a2e91-0684-4463-b842-661e6159e079	AIR_COOLED_CHILLER
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	2fabe9e4-af00-4398-89db-7243db710bd7	COOLING_TOWER
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	9db65b6d-b94d-4bdf-994f-b656c8a955be	DRY_COOLER
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	fd28ea18-3edc-4f21-ba9c-510c0d126f23	REMOTE_CONDENSER
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	de2a62f3-bf86-41f1-b866-85568dbe9fc2	CHILLED_WATER_PUMPS
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	f8e88086-6a81-4cdc-95e6-c0e626ae8d0d	HEAT_REJECTION_PUMPS
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	9a65c278-fee1-4cc0-8b4f-b57c8faf2d27	VENTILATION
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	cc2263fb-ccbd-4645-a2e2-7d5cb6a0e0f6	INFILTRATION
e0ed802d-0ed1-4a45-8a4d-218396a27ea4	70620329-d772-4006-a732-31f6d17e57b0	IT_LOAD
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	233d66d8-f6cd-4b03-92d0-0349465ba7ad	SWITCHGEAR
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	456edef7-575f-4091-b652-15432ff1fdd8	GENERATOR
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	c6e3b476-ff71-45e3-bd9f-8eee344b301a	PRIMARY_AUXILIARIES
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	369c0dcd-df73-4004-be70-b793e9c199ba	UPS
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	447ef3a7-8a9d-4019-99a8-50b37281d207	CRITICAL_AUXILIARIES
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	67b7dea8-fb10-4483-bc56-957c3389b19c	LIGHTING
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	100226c0-640d-4876-b29b-14043bd12455	CRITICAL_POWER_DISTRIBUTION
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	78f80fc2-a0ea-493c-8805-8f70285b27af	CRAH
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	4659e7b8-95a0-40dd-9003-32d1165735de	CRAC
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	806ec6e5-fc4d-460f-b80f-fe2e70656979	CRAC_WITHOUT_FAN
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	26976d56-2a4f-41d6-bac9-df682c2fb778	CRAC_FAN
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	6ad97ab3-62a0-4905-9e77-b158c849d44f	CHILLER
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	02bd657f-1eab-49bd-bee8-5ab55cf62702	AIR_COOLED_CHILLER
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	50ec440a-fcf9-43d4-ac28-fad5d0b8952e	COOLING_TOWER
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	df901cc4-cefa-4e1a-83d6-0784c73bdb95	DRY_COOLER
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	6ee79c0a-687d-4cbb-b7e2-6b567a22d552	REMOTE_CONDENSER
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	7696e4fd-2d33-465f-84ab-cf72bf67915e	CHILLED_WATER_PUMPS
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	9c9d0cfa-9598-4fdd-8098-616465f90290	HEAT_REJECTION_PUMPS
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	5d516e23-69d6-4403-b9d4-fc197a0870ff	VENTILATION
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	dc91ad5e-15d7-498d-b3d6-16427498c106	INFILTRATION
f82a368e-baa7-4ac3-b82e-bf45789cd8f6	46d35182-2871-4121-a1f5-5b38369c6bc9	IT_LOAD
da6c991e-819f-406c-a3f0-79972e2598d8	1356961e-3404-4582-ab5c-98883e076d2d	SWITCHGEAR
da6c991e-819f-406c-a3f0-79972e2598d8	56c91207-e64c-434e-aec8-ba0f4cf0afa4	GENERATOR
da6c991e-819f-406c-a3f0-79972e2598d8	8bd2f69d-f24e-494a-8694-ab5482aeba37	PRIMARY_AUXILIARIES
da6c991e-819f-406c-a3f0-79972e2598d8	6445c390-e726-4fb7-89c9-43a181869d14	UPS
da6c991e-819f-406c-a3f0-79972e2598d8	ff69a17c-6027-427b-a7c6-e843b0ee4404	CRITICAL_AUXILIARIES
da6c991e-819f-406c-a3f0-79972e2598d8	ea82f5d6-fbcb-452b-a0bb-2a212d8a2570	LIGHTING
da6c991e-819f-406c-a3f0-79972e2598d8	44b55cc0-1198-421f-94d7-847c3ba536ab	CRITICAL_POWER_DISTRIBUTION
da6c991e-819f-406c-a3f0-79972e2598d8	ec2c1e29-1356-49b8-8641-6ba2aa9ce717	CRAH
da6c991e-819f-406c-a3f0-79972e2598d8	9f9a839f-df7f-4121-a49e-b7f97e7929c6	CRAC
da6c991e-819f-406c-a3f0-79972e2598d8	d8257721-ab25-4fb3-8fd6-f0499191714f	CRAC_WITHOUT_FAN
da6c991e-819f-406c-a3f0-79972e2598d8	6af2e862-5efd-46a3-a8e2-dde10baa3383	CRAC_FAN
da6c991e-819f-406c-a3f0-79972e2598d8	a3b93f70-3b5f-44d8-b001-256fde3b464b	CHILLER
da6c991e-819f-406c-a3f0-79972e2598d8	c4eb10a1-4a09-42f9-bc06-286e131c21c4	AIR_COOLED_CHILLER
da6c991e-819f-406c-a3f0-79972e2598d8	46970db3-9183-4385-b270-2ec1252196b6	COOLING_TOWER
da6c991e-819f-406c-a3f0-79972e2598d8	ee8b7850-d596-41f8-ae8f-2b1081b41bf5	DRY_COOLER
da6c991e-819f-406c-a3f0-79972e2598d8	ec283665-6948-4bcb-9a15-6a66839382d1	REMOTE_CONDENSER
da6c991e-819f-406c-a3f0-79972e2598d8	66ffc704-850b-4431-988d-ba4e31ee2519	CHILLED_WATER_PUMPS
da6c991e-819f-406c-a3f0-79972e2598d8	fb51f754-557f-49c7-b1bc-d3ef6ef7dd1a	HEAT_REJECTION_PUMPS
da6c991e-819f-406c-a3f0-79972e2598d8	be537606-896b-405a-aa14-262cc71e9544	VENTILATION
da6c991e-819f-406c-a3f0-79972e2598d8	abde0b3b-0c5c-4b2a-8acf-7ee91481d089	INFILTRATION
da6c991e-819f-406c-a3f0-79972e2598d8	011a975c-c46f-4766-b9d6-e37b76356072	IT_LOAD
b557c068-0326-455f-b143-138890e4ec40	3a0f5733-2630-4c7f-80fd-fa3ee1e971bd	SWITCHGEAR
b557c068-0326-455f-b143-138890e4ec40	29c15df1-dc86-4ba9-8441-1e7a445747aa	GENERATOR
b557c068-0326-455f-b143-138890e4ec40	41b88bbd-074d-4779-9495-440e6d788b28	PRIMARY_AUXILIARIES
b557c068-0326-455f-b143-138890e4ec40	95a33b63-02da-4302-aeac-73e19b8808e5	UPS
b557c068-0326-455f-b143-138890e4ec40	8f94e845-afdc-45cc-913e-6e364ddc315a	CRITICAL_AUXILIARIES
b557c068-0326-455f-b143-138890e4ec40	a8f9bbdb-0871-48c7-b677-d8c5e0ea9e2b	LIGHTING
b557c068-0326-455f-b143-138890e4ec40	4db25d3b-c8c0-4b0c-bb11-99e432562f3e	CRITICAL_POWER_DISTRIBUTION
b557c068-0326-455f-b143-138890e4ec40	4d34d682-fe74-497f-a225-6cdd021cadc7	CRAH
b557c068-0326-455f-b143-138890e4ec40	50bc2cea-f010-4131-beac-25826d44f862	CRAC
b557c068-0326-455f-b143-138890e4ec40	94146470-0648-4633-850c-2fc310b2af6d	CRAC_WITHOUT_FAN
b557c068-0326-455f-b143-138890e4ec40	36bf3098-feac-4266-9a8e-81db88016768	CRAC_FAN
b557c068-0326-455f-b143-138890e4ec40	a0c667dc-2f4d-4a85-a6d3-1fd4336db6cc	CHILLER
b557c068-0326-455f-b143-138890e4ec40	c8ddf2df-248b-4eb0-b5c4-fa052bb705e6	AIR_COOLED_CHILLER
b557c068-0326-455f-b143-138890e4ec40	f45f434b-7b8d-45c6-a730-ff4fe3b72d72	COOLING_TOWER
b557c068-0326-455f-b143-138890e4ec40	11ca9cda-7131-46a5-bc61-8bf034177b04	DRY_COOLER
b557c068-0326-455f-b143-138890e4ec40	14c7da1f-68ef-41fe-bb79-05fdf257514d	REMOTE_CONDENSER
b557c068-0326-455f-b143-138890e4ec40	f2d1f753-d339-49ff-a6a8-8f92d3d2e646	CHILLED_WATER_PUMPS
b557c068-0326-455f-b143-138890e4ec40	a8b3e40d-06ab-4acc-866d-621b9e0a2144	HEAT_REJECTION_PUMPS
b557c068-0326-455f-b143-138890e4ec40	5e2c5c88-c4b6-4907-8eb5-3bae7f4853fe	VENTILATION
b557c068-0326-455f-b143-138890e4ec40	f2046b56-2caa-429a-b582-468a864a8362	INFILTRATION
b557c068-0326-455f-b143-138890e4ec40	29193774-c36d-4b57-8989-cfacf8e7de07	IT_LOAD
841c1505-474c-4bd5-9e7b-a9cef15be1f6	2864b340-b020-49e5-959a-5c444d388ccf	SWITCHGEAR
841c1505-474c-4bd5-9e7b-a9cef15be1f6	57cb7cc8-cb2e-40da-a6c7-d332a48354da	GENERATOR
841c1505-474c-4bd5-9e7b-a9cef15be1f6	a6760ca9-5921-405c-880b-9009e889e0ad	PRIMARY_AUXILIARIES
841c1505-474c-4bd5-9e7b-a9cef15be1f6	7b0e07d4-caf0-4620-b339-9bdcda5f9185	UPS
841c1505-474c-4bd5-9e7b-a9cef15be1f6	b060911e-e889-4eb0-b4b7-cced04925450	CRITICAL_AUXILIARIES
841c1505-474c-4bd5-9e7b-a9cef15be1f6	b7701ccc-e4a4-4688-bf39-ea1424982033	LIGHTING
841c1505-474c-4bd5-9e7b-a9cef15be1f6	492be57b-2980-4468-a811-15576327e201	CRITICAL_POWER_DISTRIBUTION
841c1505-474c-4bd5-9e7b-a9cef15be1f6	d88b7381-d85c-4293-b483-70c74e5704d9	CRAH
841c1505-474c-4bd5-9e7b-a9cef15be1f6	dfc2c0ee-4733-4e36-ada0-b428a09c8843	CRAC
841c1505-474c-4bd5-9e7b-a9cef15be1f6	bc184e1a-00f2-4c5b-aab7-171098b893d2	CRAC_WITHOUT_FAN
841c1505-474c-4bd5-9e7b-a9cef15be1f6	4882af1e-c81a-4e33-9251-f0737df769cb	CRAC_FAN
841c1505-474c-4bd5-9e7b-a9cef15be1f6	74fb5f0c-345d-4aaf-8c33-33f6ff448f8e	CHILLER
841c1505-474c-4bd5-9e7b-a9cef15be1f6	4ea86e2c-df4d-4e92-886c-dc4412a6fc11	AIR_COOLED_CHILLER
841c1505-474c-4bd5-9e7b-a9cef15be1f6	03b7a4d0-6811-4ae4-a744-80ac735f052c	COOLING_TOWER
841c1505-474c-4bd5-9e7b-a9cef15be1f6	88720925-5f60-4508-83e0-81493aceb08a	DRY_COOLER
841c1505-474c-4bd5-9e7b-a9cef15be1f6	23c39d08-7acb-4bce-a1ea-1f17ccac4cd7	REMOTE_CONDENSER
841c1505-474c-4bd5-9e7b-a9cef15be1f6	4c524a21-c1dd-4db1-933b-a5ae9a0a6c9f	CHILLED_WATER_PUMPS
841c1505-474c-4bd5-9e7b-a9cef15be1f6	8fe5421c-5936-4579-ab85-81eaf9e7988c	HEAT_REJECTION_PUMPS
841c1505-474c-4bd5-9e7b-a9cef15be1f6	46b4637f-2c7e-4aea-8a73-c9a16f435639	VENTILATION
841c1505-474c-4bd5-9e7b-a9cef15be1f6	7118693d-f9f8-4223-b572-7d97483404c8	INFILTRATION
841c1505-474c-4bd5-9e7b-a9cef15be1f6	ca28923a-5de8-4cd2-89e7-e11bcecbde7c	IT_LOAD
f55b4667-54cd-480d-ac2f-ba700208a625	a0d667d9-203d-4ef9-a9cd-4826e5c1b38b	SWITCHGEAR
f55b4667-54cd-480d-ac2f-ba700208a625	f4133643-624d-46b6-a3bd-01718a4842ea	GENERATOR
f55b4667-54cd-480d-ac2f-ba700208a625	44a9d12c-7967-40d4-9f26-4d24b3f7be40	PRIMARY_AUXILIARIES
f55b4667-54cd-480d-ac2f-ba700208a625	f60f428d-ef61-4f99-97f0-74b40a684f73	UPS
f55b4667-54cd-480d-ac2f-ba700208a625	22bfa54d-d9fd-4395-a044-176ade720fcc	CRITICAL_AUXILIARIES
f55b4667-54cd-480d-ac2f-ba700208a625	6d4505ee-0307-4787-9d70-ab4e2cdbeb23	LIGHTING
f55b4667-54cd-480d-ac2f-ba700208a625	61ebf699-ec97-4e47-9c5c-a1dd39f8c730	CRITICAL_POWER_DISTRIBUTION
f55b4667-54cd-480d-ac2f-ba700208a625	4fd6305b-f397-4a3d-acd3-75535fb7b1e7	CRAH
f55b4667-54cd-480d-ac2f-ba700208a625	07c48b27-e287-44f9-b0be-50c2f0a11d1b	CRAC
f55b4667-54cd-480d-ac2f-ba700208a625	7c0eb660-690c-43c1-a04f-9f797582a74f	CRAC_WITHOUT_FAN
f55b4667-54cd-480d-ac2f-ba700208a625	ddbe5685-16f6-4b8b-9079-b46d946a2577	CRAC_FAN
f55b4667-54cd-480d-ac2f-ba700208a625	37b0cd01-e3a1-487a-b397-c7b6d71c14b1	CHILLER
f55b4667-54cd-480d-ac2f-ba700208a625	99afcfd9-cd67-47a0-aedf-0aa5dba3d71b	AIR_COOLED_CHILLER
f55b4667-54cd-480d-ac2f-ba700208a625	7c4ff8b4-a2c4-4b9f-8fe8-3b6c0255262a	COOLING_TOWER
f55b4667-54cd-480d-ac2f-ba700208a625	a62eff78-735b-4086-b09f-588b0dfc0cb5	DRY_COOLER
f55b4667-54cd-480d-ac2f-ba700208a625	dc253581-65dd-451c-9aa3-d33ffe995c21	REMOTE_CONDENSER
f55b4667-54cd-480d-ac2f-ba700208a625	cb180934-44e3-4af3-89fa-fac75a7bb879	CHILLED_WATER_PUMPS
f55b4667-54cd-480d-ac2f-ba700208a625	4358cdcf-d1f2-4a2b-b0ff-e254d6542b28	HEAT_REJECTION_PUMPS
f55b4667-54cd-480d-ac2f-ba700208a625	89f93bab-22fd-424b-846a-78c02c0d9351	VENTILATION
f55b4667-54cd-480d-ac2f-ba700208a625	6c6dfd52-863e-43c2-b003-4b57957b5818	INFILTRATION
f55b4667-54cd-480d-ac2f-ba700208a625	6a277b32-55e3-43f7-b803-544dbdf9d2f5	IT_LOAD
c0a3e912-c933-4cae-a007-ff97689a8a73	165b4c3a-ab2e-4641-8c30-5e8ba3ebaa04	SWITCHGEAR
c0a3e912-c933-4cae-a007-ff97689a8a73	ebca9abd-154b-4feb-ad1f-10cc68ee5a45	GENERATOR
c0a3e912-c933-4cae-a007-ff97689a8a73	2d720b9c-07d4-4ad2-9807-cbcd99bf2522	PRIMARY_AUXILIARIES
c0a3e912-c933-4cae-a007-ff97689a8a73	9b9132f1-d8c8-4833-9268-1c85fb8ae6cc	UPS
c0a3e912-c933-4cae-a007-ff97689a8a73	1038e130-5d62-4e74-a8aa-13472b5525f9	CRITICAL_AUXILIARIES
c0a3e912-c933-4cae-a007-ff97689a8a73	fed357ef-ff0a-4989-9ec8-f7c365b3590c	LIGHTING
c0a3e912-c933-4cae-a007-ff97689a8a73	c1a1422e-6ec9-4798-b20f-2f5e731bc6b9	CRITICAL_POWER_DISTRIBUTION
c0a3e912-c933-4cae-a007-ff97689a8a73	f1186061-e873-49f3-83cb-75da4f1439d6	CRAH
c0a3e912-c933-4cae-a007-ff97689a8a73	e54271a2-a1b5-4b33-9242-cb91bdc849c8	CRAC
c0a3e912-c933-4cae-a007-ff97689a8a73	ebd9297c-5c4b-4049-874c-91f5d49b84ac	CRAC_WITHOUT_FAN
c0a3e912-c933-4cae-a007-ff97689a8a73	17d8d676-3f04-4e22-b614-af62feb32467	CRAC_FAN
c0a3e912-c933-4cae-a007-ff97689a8a73	c8408b8b-a2ce-4767-aacd-fdce0983d2a9	CHILLER
c0a3e912-c933-4cae-a007-ff97689a8a73	1fc33873-33d7-4224-ac6a-7c06395070d2	AIR_COOLED_CHILLER
c0a3e912-c933-4cae-a007-ff97689a8a73	39878156-a57d-41bb-b8ce-d1f6b27d191a	COOLING_TOWER
c0a3e912-c933-4cae-a007-ff97689a8a73	226d5ae7-0bbe-4e55-b956-3a13a2351355	DRY_COOLER
c0a3e912-c933-4cae-a007-ff97689a8a73	8349856d-fc71-408d-90e3-4f6cd9c2ecd1	REMOTE_CONDENSER
c0a3e912-c933-4cae-a007-ff97689a8a73	dd3c4605-91a9-46ea-8556-d6d518e9bd48	CHILLED_WATER_PUMPS
c0a3e912-c933-4cae-a007-ff97689a8a73	8c1f7ed2-b16e-42eb-908a-e62addc5f7d6	HEAT_REJECTION_PUMPS
c0a3e912-c933-4cae-a007-ff97689a8a73	ee1c93ad-6dc9-44b5-9875-933f4708d6e4	VENTILATION
c0a3e912-c933-4cae-a007-ff97689a8a73	00d9d6f4-09f9-4515-b298-15728d8071db	INFILTRATION
c0a3e912-c933-4cae-a007-ff97689a8a73	4fd53679-000e-4652-a6a5-9181055ab1eb	IT_LOAD
06db548d-895b-41e2-a5fd-0137061ae443	9bdab0e3-dd02-47ea-bfa1-b1b39d10e1a8	SWITCHGEAR
06db548d-895b-41e2-a5fd-0137061ae443	0624b1f5-e3f2-4848-861c-c411a7cc15e4	GENERATOR
06db548d-895b-41e2-a5fd-0137061ae443	bf7795fd-549b-460f-ae9c-2355f989f567	PRIMARY_AUXILIARIES
06db548d-895b-41e2-a5fd-0137061ae443	6501b3e6-24b3-4f2a-93d4-f3df49b9878d	UPS
06db548d-895b-41e2-a5fd-0137061ae443	7362dc30-e08f-40ba-b60f-c648db53fec8	CRITICAL_AUXILIARIES
06db548d-895b-41e2-a5fd-0137061ae443	11830bd6-cdd9-4e70-8f31-c8ef94d3fc80	LIGHTING
06db548d-895b-41e2-a5fd-0137061ae443	6aa8f12a-96e8-4192-9831-47243569dc95	CRITICAL_POWER_DISTRIBUTION
06db548d-895b-41e2-a5fd-0137061ae443	f91bd8fb-07e2-4335-aa56-ac7a908b2725	CRAH
06db548d-895b-41e2-a5fd-0137061ae443	4b6c839d-8ba0-45cd-acd2-6d6f042883f8	CRAC
06db548d-895b-41e2-a5fd-0137061ae443	d5ac007b-2f99-430d-955c-894ca891735a	CRAC_WITHOUT_FAN
06db548d-895b-41e2-a5fd-0137061ae443	d5d1cab5-33a7-4eb7-9e89-dad727572ce5	CRAC_FAN
06db548d-895b-41e2-a5fd-0137061ae443	ec92823e-29d3-43ed-bf00-7b5173042e40	CHILLER
06db548d-895b-41e2-a5fd-0137061ae443	86adb536-171f-4b30-9c67-fbe3ad47d1d5	AIR_COOLED_CHILLER
06db548d-895b-41e2-a5fd-0137061ae443	cc9ec8df-6daf-4695-a7e3-07f2ef9b4c00	COOLING_TOWER
06db548d-895b-41e2-a5fd-0137061ae443	24279cca-cadc-41a1-9912-876a8a5ca86f	DRY_COOLER
06db548d-895b-41e2-a5fd-0137061ae443	1864d50b-590e-480e-928b-7ec70a923b4d	REMOTE_CONDENSER
06db548d-895b-41e2-a5fd-0137061ae443	70c5c329-6481-4a1b-8104-ea301f275fa4	CHILLED_WATER_PUMPS
06db548d-895b-41e2-a5fd-0137061ae443	b82dae49-839b-4d42-a6bc-3e2b216de4b0	HEAT_REJECTION_PUMPS
06db548d-895b-41e2-a5fd-0137061ae443	6a9f1c8a-8b3a-40c3-b232-9b5f8a664cfa	VENTILATION
06db548d-895b-41e2-a5fd-0137061ae443	f3418d6e-a242-48e8-a4ef-7bf6514f1859	INFILTRATION
06db548d-895b-41e2-a5fd-0137061ae443	839f3c8c-9c1e-4637-b5af-ed7908716302	IT_LOAD
54a10489-22e1-4c49-a21d-05ce5290c407	4f0d1177-0c70-46c2-b351-bdd96ca46d72	SWITCHGEAR
54a10489-22e1-4c49-a21d-05ce5290c407	2033b17e-d53c-4f53-9047-8813426ac193	GENERATOR
54a10489-22e1-4c49-a21d-05ce5290c407	7d420303-a171-404f-86d1-890e0f2afee1	PRIMARY_AUXILIARIES
54a10489-22e1-4c49-a21d-05ce5290c407	f9065aa0-b34d-424e-98c4-2ce7d4013c77	UPS
54a10489-22e1-4c49-a21d-05ce5290c407	a7db27ab-d0d6-4cd2-bced-dcf1e7d19bbc	CRITICAL_AUXILIARIES
54a10489-22e1-4c49-a21d-05ce5290c407	2bce1fd5-f99b-4885-928f-86f55ff15ed5	LIGHTING
54a10489-22e1-4c49-a21d-05ce5290c407	fd4ae783-982b-4db1-aa5d-c8f542a58302	CRITICAL_POWER_DISTRIBUTION
54a10489-22e1-4c49-a21d-05ce5290c407	a5b2078f-109a-43b5-a097-717c6de5a262	CRAH
54a10489-22e1-4c49-a21d-05ce5290c407	50dee4b5-bdb6-468b-bbbf-4e28bef94107	CRAC
54a10489-22e1-4c49-a21d-05ce5290c407	5c6bff3c-a0b0-4c0c-9e05-80d348ad7f78	CRAC_WITHOUT_FAN
54a10489-22e1-4c49-a21d-05ce5290c407	6f1644d2-7bc7-4fdf-845f-abd5eb91478c	CRAC_FAN
54a10489-22e1-4c49-a21d-05ce5290c407	0c8b59dd-fe74-4009-a912-571a1baaf693	CHILLER
54a10489-22e1-4c49-a21d-05ce5290c407	3d251371-c18d-4373-94bf-4d80b92b784c	AIR_COOLED_CHILLER
54a10489-22e1-4c49-a21d-05ce5290c407	9269f559-413b-4472-b790-20dd0c0c524a	COOLING_TOWER
54a10489-22e1-4c49-a21d-05ce5290c407	bb051122-500a-4a78-b8e2-150012597fb6	DRY_COOLER
54a10489-22e1-4c49-a21d-05ce5290c407	9f65d2aa-7385-4f22-a322-87d1f36977e7	REMOTE_CONDENSER
54a10489-22e1-4c49-a21d-05ce5290c407	f4e2a717-e122-4327-b8f4-ecede4ef4653	CHILLED_WATER_PUMPS
54a10489-22e1-4c49-a21d-05ce5290c407	57da26a5-8671-4d59-803e-b824b29c25f8	HEAT_REJECTION_PUMPS
54a10489-22e1-4c49-a21d-05ce5290c407	4147465d-e4cf-4359-a5b7-97088a26f8a5	VENTILATION
54a10489-22e1-4c49-a21d-05ce5290c407	9aa28728-a39a-47ef-8bfd-19c49a272f71	INFILTRATION
54a10489-22e1-4c49-a21d-05ce5290c407	2c75f962-bde2-4785-8cdf-8058a585287a	IT_LOAD
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	c8aeaef2-f061-4b1b-8afe-2ed7168bffbd	SWITCHGEAR
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	412d0de2-475a-4255-9243-3cbd90519c42	GENERATOR
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	ac9d3430-ada5-4cba-ba88-1705955b88da	PRIMARY_AUXILIARIES
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	8d810c85-b5a5-41d7-9dc3-d924bbe4182b	UPS
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	7caa0453-74c1-4892-b9c2-b30c025b2d5f	CRITICAL_AUXILIARIES
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	40964e92-e2e8-47d1-8e91-cabc9fecd41d	LIGHTING
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	17567f3c-9dcc-4f4f-a96f-d96ab44a8839	CRITICAL_POWER_DISTRIBUTION
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	9f466f93-bd46-4ed8-af74-3083c717cadd	CRAH
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	3add0e4d-3f3d-4ddc-ba77-ae1039cac251	CRAC
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	13924a85-bd38-40ad-af34-e562788a5037	CRAC_WITHOUT_FAN
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	938ed90c-9364-45b2-b5ef-e11cf0773a0e	CRAC_FAN
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	a2f0c578-41ba-46c4-a8d0-a5eb13f3f587	CHILLER
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	c38d56b6-18fa-4b24-bd66-a826e16e9bfc	AIR_COOLED_CHILLER
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	f40dd522-d5ee-4623-ba88-25c5d9dc65fa	COOLING_TOWER
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	b8559bdd-3380-4392-b5fe-d586d7632eb2	DRY_COOLER
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	6ee87806-e72a-4746-a8e4-3940a8492b8a	REMOTE_CONDENSER
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	0f524797-4fb6-42fe-a0e5-a5f7ea16081e	CHILLED_WATER_PUMPS
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	fd77d9eb-d0ca-4766-9c33-074edc82b612	HEAT_REJECTION_PUMPS
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	a41e5b76-c148-435e-abf5-761903439b57	VENTILATION
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	c7bca7c3-ac5d-4caa-9819-0154da23bd79	INFILTRATION
92ad0a9c-b691-4fba-ae5b-783c6a9d85b9	1d852d9c-6593-4d4f-bf84-434dac3b7c2a	IT_LOAD
e05fd6b6-7f46-4097-8ee6-b9c72418c726	4ac64713-0c5a-4321-baed-671c8279d0c2	SWITCHGEAR
e05fd6b6-7f46-4097-8ee6-b9c72418c726	2097ce60-7c31-45a9-86d2-35d6f2081f08	GENERATOR
e05fd6b6-7f46-4097-8ee6-b9c72418c726	b655976a-646c-4b51-94cc-e1a2eb70f81a	PRIMARY_AUXILIARIES
e05fd6b6-7f46-4097-8ee6-b9c72418c726	b077bcb1-96b1-4c06-91bb-851dc77331d9	UPS
e05fd6b6-7f46-4097-8ee6-b9c72418c726	312039db-0de3-4d19-a080-6a3453ae96a5	CRITICAL_AUXILIARIES
e05fd6b6-7f46-4097-8ee6-b9c72418c726	38437975-f301-4d1e-9f2a-aa997e71b406	LIGHTING
e05fd6b6-7f46-4097-8ee6-b9c72418c726	a22984e9-7827-45e6-a0bb-dad2736b8358	CRITICAL_POWER_DISTRIBUTION
e05fd6b6-7f46-4097-8ee6-b9c72418c726	9dc100b5-df29-464e-a38b-bb1531ef575f	CRAH
e05fd6b6-7f46-4097-8ee6-b9c72418c726	151e363d-1536-41b7-9a40-374866e36086	CRAC
e05fd6b6-7f46-4097-8ee6-b9c72418c726	3651f835-4565-4083-bebe-eadd337c61c0	CRAC_WITHOUT_FAN
e05fd6b6-7f46-4097-8ee6-b9c72418c726	4eedd70f-a5c6-4189-81a2-43f9d8598b7a	CRAC_FAN
e05fd6b6-7f46-4097-8ee6-b9c72418c726	dc894a19-3d33-4a08-bd1d-a68657614871	CHILLER
e05fd6b6-7f46-4097-8ee6-b9c72418c726	d3142571-3751-4270-8d60-c35fa02409fa	AIR_COOLED_CHILLER
e05fd6b6-7f46-4097-8ee6-b9c72418c726	a28ad2d1-46de-438e-b7f3-c39857e603d7	COOLING_TOWER
e05fd6b6-7f46-4097-8ee6-b9c72418c726	acf2fd1c-803b-458e-9133-57413d3bc49b	DRY_COOLER
e05fd6b6-7f46-4097-8ee6-b9c72418c726	d99fca24-232d-47c6-b5d5-4793721a4c1d	REMOTE_CONDENSER
e05fd6b6-7f46-4097-8ee6-b9c72418c726	392ca30e-ca37-4cb2-8496-ac9739c16512	CHILLED_WATER_PUMPS
e05fd6b6-7f46-4097-8ee6-b9c72418c726	930e0614-f236-4c90-8ff9-a71a66ecd6cb	HEAT_REJECTION_PUMPS
e05fd6b6-7f46-4097-8ee6-b9c72418c726	1024fa38-c7c9-4bee-bf58-6d841a5a02b3	VENTILATION
e05fd6b6-7f46-4097-8ee6-b9c72418c726	ae4ec6db-779a-4233-88b9-2614e768c0ea	INFILTRATION
e05fd6b6-7f46-4097-8ee6-b9c72418c726	8fe6c111-d9a5-4e26-82f7-7752e91ea42b	IT_LOAD
1aee06b6-b447-4b89-8b05-9753f81afbff	8d04e40e-0725-463c-8c03-2e3c66b813c9	SWITCHGEAR
1aee06b6-b447-4b89-8b05-9753f81afbff	94feb8c1-8e54-4429-9c38-4594a6b42912	GENERATOR
1aee06b6-b447-4b89-8b05-9753f81afbff	04053518-d1ff-4b1d-8b37-9bc13184e545	PRIMARY_AUXILIARIES
1aee06b6-b447-4b89-8b05-9753f81afbff	256404b5-441b-4345-8471-3a1ff2cfb0f5	UPS
1aee06b6-b447-4b89-8b05-9753f81afbff	14d72651-ef1a-498c-b909-81dd76f82f89	CRITICAL_AUXILIARIES
1aee06b6-b447-4b89-8b05-9753f81afbff	2b10ca4f-295a-4ea7-bbcc-19917d24e830	LIGHTING
1aee06b6-b447-4b89-8b05-9753f81afbff	1a70bc25-acba-4cc5-8d37-d84dadf263c1	CRITICAL_POWER_DISTRIBUTION
1aee06b6-b447-4b89-8b05-9753f81afbff	74cfcfec-a5e1-445d-926f-b8e50a57fff3	CRAH
1aee06b6-b447-4b89-8b05-9753f81afbff	8f0153df-cc5c-472f-a210-c0fe9d54d16b	CRAC
1aee06b6-b447-4b89-8b05-9753f81afbff	ffe3ae6e-b678-4af4-83e3-16fba53212c6	CRAC_WITHOUT_FAN
1aee06b6-b447-4b89-8b05-9753f81afbff	8e26a803-e3a8-4c9d-8bbe-9b01d5b91c2e	CRAC_FAN
1aee06b6-b447-4b89-8b05-9753f81afbff	b6d9f09d-c7b6-426c-9cba-b702a48bbc28	CHILLER
1aee06b6-b447-4b89-8b05-9753f81afbff	6cbc228a-e039-401a-b1c0-73fb57b8208b	AIR_COOLED_CHILLER
1aee06b6-b447-4b89-8b05-9753f81afbff	d8ef6b02-7ad0-4716-bc16-7ab817e1ea72	COOLING_TOWER
1aee06b6-b447-4b89-8b05-9753f81afbff	76a25b2a-81d9-4c29-9d48-adec330bc74c	DRY_COOLER
1aee06b6-b447-4b89-8b05-9753f81afbff	4f7e59f9-3404-4d9a-802b-834fbb50cd36	REMOTE_CONDENSER
1aee06b6-b447-4b89-8b05-9753f81afbff	403e1570-f67a-4569-912b-10df7a0a0d97	CHILLED_WATER_PUMPS
1aee06b6-b447-4b89-8b05-9753f81afbff	7227c5ca-f63f-405d-8d6c-89d111c14dec	HEAT_REJECTION_PUMPS
1aee06b6-b447-4b89-8b05-9753f81afbff	f72b1bd5-0a5d-4da3-8acb-e1f088f7eebd	VENTILATION
1aee06b6-b447-4b89-8b05-9753f81afbff	30be7772-b171-4422-a90f-8ac40553d50e	INFILTRATION
1aee06b6-b447-4b89-8b05-9753f81afbff	6cf7a7ba-eadc-444e-b22d-e2d3d7ce215a	IT_LOAD
92fed0ca-7322-4087-b50f-dd2cd334061d	d3027309-4788-4380-b1ec-3db1e54dfa46	SWITCHGEAR
92fed0ca-7322-4087-b50f-dd2cd334061d	4e372258-ec8d-482b-8cde-fd3e958b12da	GENERATOR
92fed0ca-7322-4087-b50f-dd2cd334061d	542f7bdb-c064-4678-83ea-7b7d0a35877f	PRIMARY_AUXILIARIES
92fed0ca-7322-4087-b50f-dd2cd334061d	408ae7a1-8ab1-4024-8c35-911699e6811e	UPS
92fed0ca-7322-4087-b50f-dd2cd334061d	d84093bb-69f2-45ac-8840-e5b5c70f63c4	CRITICAL_AUXILIARIES
92fed0ca-7322-4087-b50f-dd2cd334061d	881b07b6-effc-4e09-9bb4-b7d99bf35023	LIGHTING
92fed0ca-7322-4087-b50f-dd2cd334061d	002ce4fd-e53c-424b-bc10-8737e53720f6	CRITICAL_POWER_DISTRIBUTION
92fed0ca-7322-4087-b50f-dd2cd334061d	b171d5c5-e6c2-486a-9856-705208cacbee	CRAH
92fed0ca-7322-4087-b50f-dd2cd334061d	d4da0f9a-dadf-4ff1-81d0-10755ef0838b	CRAC
92fed0ca-7322-4087-b50f-dd2cd334061d	50ab310e-ff4f-4942-817e-1494f67533cc	CRAC_WITHOUT_FAN
92fed0ca-7322-4087-b50f-dd2cd334061d	708a91ea-ebaa-4274-97fc-fa3a41e75906	CRAC_FAN
92fed0ca-7322-4087-b50f-dd2cd334061d	c1890064-62a7-4ed1-a84f-c7b0b59f0131	CHILLER
92fed0ca-7322-4087-b50f-dd2cd334061d	0010ce5a-8e2e-4d90-9f6f-c752a6b82ba6	AIR_COOLED_CHILLER
92fed0ca-7322-4087-b50f-dd2cd334061d	740f2abd-1ce6-4c2f-9470-fa1e19c9ad3a	COOLING_TOWER
92fed0ca-7322-4087-b50f-dd2cd334061d	136bd4e0-39f4-434e-9224-34327474fcfb	DRY_COOLER
92fed0ca-7322-4087-b50f-dd2cd334061d	376d3e6f-8824-4d89-8b15-21d2e5a66132	REMOTE_CONDENSER
92fed0ca-7322-4087-b50f-dd2cd334061d	a6ccbb4b-d1d3-410f-aa31-5418946ae29f	CHILLED_WATER_PUMPS
92fed0ca-7322-4087-b50f-dd2cd334061d	b1acc7c2-f702-4e5b-a0cd-2eabd1ba9902	HEAT_REJECTION_PUMPS
92fed0ca-7322-4087-b50f-dd2cd334061d	5b54f6e8-74f0-48a7-98f8-6b9b2e426003	VENTILATION
92fed0ca-7322-4087-b50f-dd2cd334061d	0bd9d349-364d-4560-88d0-6542b0c83023	INFILTRATION
92fed0ca-7322-4087-b50f-dd2cd334061d	8a438e62-ee98-449a-9083-1f1b9c8f8b50	IT_LOAD
ce297ff6-5a0a-4715-9a05-fab5beb65103	a3e54edd-c347-485c-8889-908c059cdfc0	SWITCHGEAR
ce297ff6-5a0a-4715-9a05-fab5beb65103	1b657a17-f63c-4717-8133-b65a1ec5ab1e	GENERATOR
ce297ff6-5a0a-4715-9a05-fab5beb65103	6805b69d-35d0-4e2b-b560-7924b397ca52	PRIMARY_AUXILIARIES
ce297ff6-5a0a-4715-9a05-fab5beb65103	8f00591d-83dd-4479-a836-855d775612d9	UPS
ce297ff6-5a0a-4715-9a05-fab5beb65103	3c138eeb-06bb-431d-8e4f-048d3cc898e2	CRITICAL_AUXILIARIES
ce297ff6-5a0a-4715-9a05-fab5beb65103	13a30cab-f26a-4236-9b85-fbf1808a9c4f	LIGHTING
ce297ff6-5a0a-4715-9a05-fab5beb65103	621340b1-7f62-4791-a7e4-ab76a2d42d65	CRITICAL_POWER_DISTRIBUTION
ce297ff6-5a0a-4715-9a05-fab5beb65103	9ab0bf37-dc52-4d13-b3a0-84780ba08c19	CRAH
ce297ff6-5a0a-4715-9a05-fab5beb65103	807b8d72-7980-49b9-bec5-137def3552e1	CRAC
ce297ff6-5a0a-4715-9a05-fab5beb65103	b389488a-9fc5-464d-99d8-fa5740b2ae30	CRAC_WITHOUT_FAN
ce297ff6-5a0a-4715-9a05-fab5beb65103	5a795c32-a3d1-4c0c-b91e-ecd385d69c63	CRAC_FAN
ce297ff6-5a0a-4715-9a05-fab5beb65103	8d87e133-b994-4238-bd9e-34f18ed14141	CHILLER
ce297ff6-5a0a-4715-9a05-fab5beb65103	c57ebc4e-e9d1-4b25-a221-0125fca297fe	AIR_COOLED_CHILLER
ce297ff6-5a0a-4715-9a05-fab5beb65103	da404592-6aaa-40dd-b1b7-93ead733dce6	COOLING_TOWER
ce297ff6-5a0a-4715-9a05-fab5beb65103	bfa86a48-3667-41e4-bd58-c47b66652697	DRY_COOLER
ce297ff6-5a0a-4715-9a05-fab5beb65103	9fe8f12d-1ab9-439f-b0ac-94084ff9a7cf	REMOTE_CONDENSER
ce297ff6-5a0a-4715-9a05-fab5beb65103	7fc5d39f-f4ce-42e9-9936-49d1cd5baab2	CHILLED_WATER_PUMPS
ce297ff6-5a0a-4715-9a05-fab5beb65103	66b6b230-9b24-4354-bd29-0011363e01c0	HEAT_REJECTION_PUMPS
ce297ff6-5a0a-4715-9a05-fab5beb65103	543c652e-497e-4ca7-bf0b-62adf223289f	VENTILATION
ce297ff6-5a0a-4715-9a05-fab5beb65103	a73b211b-ae73-45c5-9484-1b1ec762b3a1	INFILTRATION
ce297ff6-5a0a-4715-9a05-fab5beb65103	a89a1f8d-5de2-4475-a0e5-1290a288695a	IT_LOAD
32323034-7455-4386-97c4-8ac2d1a503be	dcc1b412-7fa2-41eb-ae6e-9e0f1492af98	SWITCHGEAR
32323034-7455-4386-97c4-8ac2d1a503be	71e5c0de-115b-4052-91e5-9965e0887b1c	GENERATOR
32323034-7455-4386-97c4-8ac2d1a503be	8ac705b6-e1e3-4e17-a028-e934dcb8e495	PRIMARY_AUXILIARIES
32323034-7455-4386-97c4-8ac2d1a503be	e6e9b856-1b85-4910-9c14-ba0028259313	UPS
32323034-7455-4386-97c4-8ac2d1a503be	a2fcf72d-fba8-4132-8e0d-395459108c46	CRITICAL_AUXILIARIES
32323034-7455-4386-97c4-8ac2d1a503be	ee13b896-6ec3-484a-a0af-7fec7c3ed1b0	LIGHTING
32323034-7455-4386-97c4-8ac2d1a503be	28d95482-c349-4306-a0e7-812f543dc41f	CRITICAL_POWER_DISTRIBUTION
32323034-7455-4386-97c4-8ac2d1a503be	dabeef75-0436-49fe-b48e-4f20385f8fb5	CRAH
32323034-7455-4386-97c4-8ac2d1a503be	5972d660-8244-446c-b943-0d0a1bbab648	CRAC
32323034-7455-4386-97c4-8ac2d1a503be	f57a9f99-645d-4cdf-9f36-8516c31d9bb7	CRAC_WITHOUT_FAN
32323034-7455-4386-97c4-8ac2d1a503be	c6119e38-c07e-4b41-9e18-dff26ce2d79f	CRAC_FAN
32323034-7455-4386-97c4-8ac2d1a503be	5ed41b0c-eda0-4056-8e7e-31202479bcf2	CHILLER
32323034-7455-4386-97c4-8ac2d1a503be	776475e8-6856-42a3-836a-9b41708b779c	AIR_COOLED_CHILLER
32323034-7455-4386-97c4-8ac2d1a503be	fa768914-8572-4547-90e6-f2b39b14da8c	COOLING_TOWER
32323034-7455-4386-97c4-8ac2d1a503be	6143a28a-63b1-4f3e-bb9b-38f7d4ab0adc	DRY_COOLER
32323034-7455-4386-97c4-8ac2d1a503be	0c81ad11-5461-4913-a6dd-8168e1cc5175	REMOTE_CONDENSER
32323034-7455-4386-97c4-8ac2d1a503be	a063f7ee-842f-4d9f-98dd-cb32f28ca445	CHILLED_WATER_PUMPS
32323034-7455-4386-97c4-8ac2d1a503be	1c40771e-8fc3-4a9b-a13e-036468cd7339	HEAT_REJECTION_PUMPS
32323034-7455-4386-97c4-8ac2d1a503be	46d28891-aa24-475c-99a6-25401691ce21	VENTILATION
32323034-7455-4386-97c4-8ac2d1a503be	941e6477-bb95-44b6-a510-2bbe7e0adf2e	INFILTRATION
32323034-7455-4386-97c4-8ac2d1a503be	0e5844f3-3e87-41ec-b75f-533e2f3562c9	IT_LOAD
a12f55a8-4404-4c35-a474-bbea9ac858f5	cc3a66b1-6e93-40c3-9f4e-5c051b9fe4f8	SWITCHGEAR
a12f55a8-4404-4c35-a474-bbea9ac858f5	d03e76a6-0dbd-4f08-9743-68ee6acbbb0e	GENERATOR
a12f55a8-4404-4c35-a474-bbea9ac858f5	e999ebea-5850-42bb-8117-a8dd271985ce	PRIMARY_AUXILIARIES
a12f55a8-4404-4c35-a474-bbea9ac858f5	6ee720fc-5bbc-4bf8-92f4-e39e76ce21a9	UPS
a12f55a8-4404-4c35-a474-bbea9ac858f5	842aa82a-64fe-425a-bf8e-cab8aa2b159b	CRITICAL_AUXILIARIES
a12f55a8-4404-4c35-a474-bbea9ac858f5	bb448e85-b4b7-4737-87f2-2d709db78092	LIGHTING
a12f55a8-4404-4c35-a474-bbea9ac858f5	529b2d6c-3992-4c5e-ab02-c0d238e675ac	CRITICAL_POWER_DISTRIBUTION
a12f55a8-4404-4c35-a474-bbea9ac858f5	51202716-58ba-4e40-ad48-5c3d59c4c47c	CRAH
a12f55a8-4404-4c35-a474-bbea9ac858f5	d17b6299-e8b6-4954-a93c-5f00c87f8552	CRAC
a12f55a8-4404-4c35-a474-bbea9ac858f5	46f26f58-4e93-46a4-a74c-4db807735a8e	CRAC_WITHOUT_FAN
a12f55a8-4404-4c35-a474-bbea9ac858f5	edcf784d-51bd-4ffa-a244-f161125f1b56	CRAC_FAN
a12f55a8-4404-4c35-a474-bbea9ac858f5	6317006c-e80e-44f0-8e5c-95cf76b339f7	CHILLER
a12f55a8-4404-4c35-a474-bbea9ac858f5	ed90a499-5830-40e8-9baf-deae207dd673	AIR_COOLED_CHILLER
a12f55a8-4404-4c35-a474-bbea9ac858f5	58806875-4606-4f68-a6af-d72e40343f38	COOLING_TOWER
a12f55a8-4404-4c35-a474-bbea9ac858f5	774822b9-c4fc-4425-8f20-7cb71b28b49c	DRY_COOLER
a12f55a8-4404-4c35-a474-bbea9ac858f5	ab164ff2-15b6-4c34-a538-9986b901b69e	REMOTE_CONDENSER
a12f55a8-4404-4c35-a474-bbea9ac858f5	66156fd2-ff46-4b59-8a2d-90099a267347	CHILLED_WATER_PUMPS
a12f55a8-4404-4c35-a474-bbea9ac858f5	d8c4185a-89cb-4dda-a43f-0b1d0edbd3f7	HEAT_REJECTION_PUMPS
a12f55a8-4404-4c35-a474-bbea9ac858f5	9f567af0-5463-417a-ac9f-db1b5bc0b6f4	VENTILATION
a12f55a8-4404-4c35-a474-bbea9ac858f5	bed7b645-4549-4144-8111-b60811d8d71f	INFILTRATION
a12f55a8-4404-4c35-a474-bbea9ac858f5	945ee1c6-718a-4bb5-8fe0-c1d62d6739e4	IT_LOAD
5753507a-90c9-4e3d-91c3-26db2898e378	87f18c3f-cf8d-4fba-a49b-b2085ebfcd51	SWITCHGEAR
5753507a-90c9-4e3d-91c3-26db2898e378	2f92da48-3d39-453f-ba65-4e6105a39e40	GENERATOR
5753507a-90c9-4e3d-91c3-26db2898e378	d8807960-0749-459d-8ac4-67b5d92e5d3e	PRIMARY_AUXILIARIES
5753507a-90c9-4e3d-91c3-26db2898e378	c308c605-2ab5-491a-a24f-330771260364	UPS
5753507a-90c9-4e3d-91c3-26db2898e378	71f2ce87-fc94-4ddc-af04-f1b5f34e6ce8	CRITICAL_AUXILIARIES
5753507a-90c9-4e3d-91c3-26db2898e378	3a38bbb3-1a97-4727-b887-8dfae793cdf8	LIGHTING
5753507a-90c9-4e3d-91c3-26db2898e378	f98bfe68-dc64-4e65-ae53-86eb41589115	CRITICAL_POWER_DISTRIBUTION
5753507a-90c9-4e3d-91c3-26db2898e378	dd6aea17-d426-41e5-a780-853302183d2c	CRAH
5753507a-90c9-4e3d-91c3-26db2898e378	cf7744d5-4901-47eb-96f4-f5ac9318e135	CRAC
5753507a-90c9-4e3d-91c3-26db2898e378	71b4dfe3-585f-4827-93ac-f7de9ef0b400	CRAC_WITHOUT_FAN
5753507a-90c9-4e3d-91c3-26db2898e378	bbd9c566-9a7e-4f25-8aa8-e483e9ff3a60	CRAC_FAN
5753507a-90c9-4e3d-91c3-26db2898e378	d5cbe655-9240-443b-9c5b-78a1adf6d805	CHILLER
5753507a-90c9-4e3d-91c3-26db2898e378	76870d19-ca5b-4402-9641-54f079493156	AIR_COOLED_CHILLER
5753507a-90c9-4e3d-91c3-26db2898e378	6423d721-ef63-4293-bc8a-9b8f4bb47c5e	COOLING_TOWER
5753507a-90c9-4e3d-91c3-26db2898e378	c15ab04f-3c69-4073-9ae8-b7aece8ee014	DRY_COOLER
5753507a-90c9-4e3d-91c3-26db2898e378	939947df-7d46-4ae7-8df7-26bffdda8aad	REMOTE_CONDENSER
5753507a-90c9-4e3d-91c3-26db2898e378	93bc52f3-d840-44df-83e4-36442ee8e4c1	CHILLED_WATER_PUMPS
5753507a-90c9-4e3d-91c3-26db2898e378	e20b5497-ca91-4abc-8e70-a3e67b31600a	HEAT_REJECTION_PUMPS
5753507a-90c9-4e3d-91c3-26db2898e378	ef0531d3-3d19-429b-afe5-becd52acb3ec	VENTILATION
5753507a-90c9-4e3d-91c3-26db2898e378	e25b6262-6848-4258-a179-01b322ea6ae8	INFILTRATION
5753507a-90c9-4e3d-91c3-26db2898e378	e35e7b98-34cd-4cb2-83b2-732f119dbd51	IT_LOAD
dbeff379-7f66-487d-a1dc-2125731e86ed	2bcb776b-44b0-475e-96a5-3b99c5f1932d	SWITCHGEAR
dbeff379-7f66-487d-a1dc-2125731e86ed	cdf27e11-3f39-41bb-b535-44d6dffe09b3	GENERATOR
dbeff379-7f66-487d-a1dc-2125731e86ed	31f69b44-b4e5-4c2d-868c-059b4c69083c	PRIMARY_AUXILIARIES
dbeff379-7f66-487d-a1dc-2125731e86ed	2d5d2fb6-0665-44de-893a-616941629e5b	UPS
dbeff379-7f66-487d-a1dc-2125731e86ed	09bc6852-42c9-4640-aa4b-f03b3cb70de7	CRITICAL_AUXILIARIES
dbeff379-7f66-487d-a1dc-2125731e86ed	2949764f-86ac-452a-9060-a3472d9d64ca	LIGHTING
dbeff379-7f66-487d-a1dc-2125731e86ed	68439a75-6f84-4df5-9d13-f4fd426ce6f3	CRITICAL_POWER_DISTRIBUTION
dbeff379-7f66-487d-a1dc-2125731e86ed	14dcd900-c629-47d6-bb7b-f50edab835b0	CRAH
dbeff379-7f66-487d-a1dc-2125731e86ed	d03859b0-a150-40c6-8767-20a0119c2133	CRAC
dbeff379-7f66-487d-a1dc-2125731e86ed	f7a3676c-62a2-46de-9565-37d85c3468c9	CRAC_WITHOUT_FAN
dbeff379-7f66-487d-a1dc-2125731e86ed	4bd47b50-4add-46b7-bce2-5ae8f20a8da2	CRAC_FAN
dbeff379-7f66-487d-a1dc-2125731e86ed	b9b826ec-8d7a-4bda-84cd-871526032711	CHILLER
dbeff379-7f66-487d-a1dc-2125731e86ed	e2e22b2d-9ea3-4625-acdc-5fb2f7f10bb6	AIR_COOLED_CHILLER
dbeff379-7f66-487d-a1dc-2125731e86ed	161f31a4-993e-49a0-8bf5-cdd357aad70e	COOLING_TOWER
dbeff379-7f66-487d-a1dc-2125731e86ed	8bce0bf2-6cd7-403e-a109-cfe84c733786	DRY_COOLER
dbeff379-7f66-487d-a1dc-2125731e86ed	29b14578-1d05-4dbb-a8c6-b47976ee6938	REMOTE_CONDENSER
dbeff379-7f66-487d-a1dc-2125731e86ed	9bc9eb62-b0cc-4b88-be05-1deb3abf0679	CHILLED_WATER_PUMPS
dbeff379-7f66-487d-a1dc-2125731e86ed	ed8a912f-0602-40e1-b4e6-15d7d8d90967	HEAT_REJECTION_PUMPS
dbeff379-7f66-487d-a1dc-2125731e86ed	08aea69c-dd4b-49e0-8f63-c5b92f10a591	VENTILATION
dbeff379-7f66-487d-a1dc-2125731e86ed	868720f4-21c9-43da-9371-02e9e0341570	INFILTRATION
dbeff379-7f66-487d-a1dc-2125731e86ed	34112dcd-d238-4ef7-ab68-7758e3f5a304	IT_LOAD
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	fd48ac32-a883-4de2-9b07-19d290c78e6a	SWITCHGEAR
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	6cf24864-7040-4e35-b97e-684cecbe6fda	GENERATOR
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	181e2f5e-f3a4-45a2-86de-95c6f4c7e2a8	PRIMARY_AUXILIARIES
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	61195c88-407d-41a6-ab25-a2ad3a055ef2	UPS
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	9597c935-ef6d-4e20-8db9-13c2902f255e	CRITICAL_AUXILIARIES
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	d51bc274-58be-4448-9d91-776933fb0f12	LIGHTING
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	37aaf4f9-db42-4a7f-98cd-a3f4db923e44	CRITICAL_POWER_DISTRIBUTION
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	80c84634-a055-4f76-a0c7-67aa8d0b5ebe	CRAH
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	970e58a3-1b63-4d0d-84e9-af44d1a9eb0e	CRAC
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	f6fa7884-c3b2-4716-a775-74376ab1015f	CRAC_WITHOUT_FAN
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	60f42ed3-0ba1-43fc-802a-5c09f33a3d81	CRAC_FAN
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	695f81a1-d4df-4b9f-8aa9-66e10364225f	CHILLER
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	ab184b76-0a74-4ff6-b88b-4dcecc10cc0e	AIR_COOLED_CHILLER
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	5e0d3f17-0264-4f1d-b3a2-0767c617daa2	COOLING_TOWER
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	5fd9f498-4553-4d39-966f-46150cf54b0a	DRY_COOLER
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	8652f4c9-ece5-4654-89a0-c031a29b1735	REMOTE_CONDENSER
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	1b2a570f-66e8-4c2d-a155-e71049f556e8	CHILLED_WATER_PUMPS
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	3bdcd591-a251-4bc0-a2e1-82d2971ca4b6	HEAT_REJECTION_PUMPS
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	31980fdf-c465-492c-84b9-884989d780f1	VENTILATION
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	126f9f38-0523-47fc-98da-e04511ab765d	INFILTRATION
c16a4e62-d4b3-459e-ad3b-bbbf6da3f98b	834848d3-4f6b-4f82-8b7e-b0f89518e99a	IT_LOAD
5b03f968-23f9-4d86-9913-349bdf5f6d8a	93c69fbf-9dcb-498c-892e-78344721e44e	SWITCHGEAR
5b03f968-23f9-4d86-9913-349bdf5f6d8a	1cd72e9f-d6f9-4c5c-969b-315a4d65f30c	GENERATOR
5b03f968-23f9-4d86-9913-349bdf5f6d8a	17572b5f-a4dd-42b8-a9ef-b528f14902f3	PRIMARY_AUXILIARIES
5b03f968-23f9-4d86-9913-349bdf5f6d8a	c8d4c15b-a2f7-46f8-8b9d-1d3a2fb1c9f4	UPS
5b03f968-23f9-4d86-9913-349bdf5f6d8a	1df08f1f-2e72-4f15-8adc-1fe6414effa5	CRITICAL_AUXILIARIES
5b03f968-23f9-4d86-9913-349bdf5f6d8a	7aba4d66-e762-4fa1-9d43-64b11cf3b3ad	LIGHTING
5b03f968-23f9-4d86-9913-349bdf5f6d8a	41c957f1-d2a9-486b-a85c-1b007c397b19	CRITICAL_POWER_DISTRIBUTION
5b03f968-23f9-4d86-9913-349bdf5f6d8a	1f3fe2cf-bf91-4614-b723-f779332f7680	CRAH
5b03f968-23f9-4d86-9913-349bdf5f6d8a	a41db3d4-6aa0-47d5-ac75-7f5ba7236fc5	CRAC
5b03f968-23f9-4d86-9913-349bdf5f6d8a	0ef3f150-211a-4115-84d8-64b75f5cdd3e	CRAC_WITHOUT_FAN
5b03f968-23f9-4d86-9913-349bdf5f6d8a	d3dfef8f-d16f-453a-9238-1da6d870066f	CRAC_FAN
5b03f968-23f9-4d86-9913-349bdf5f6d8a	c11ea0fa-fd7d-423f-91c2-5041ef2c7c2f	CHILLER
5b03f968-23f9-4d86-9913-349bdf5f6d8a	d75e15b6-512b-412e-9d06-162613eacfcb	AIR_COOLED_CHILLER
5b03f968-23f9-4d86-9913-349bdf5f6d8a	9f12d916-e580-49b9-b08d-e10ac707e425	COOLING_TOWER
5b03f968-23f9-4d86-9913-349bdf5f6d8a	f8de9f47-98cf-419e-b507-8ba35dc6bdb6	DRY_COOLER
5b03f968-23f9-4d86-9913-349bdf5f6d8a	f34811f3-84d5-429a-a323-3f97851f7856	REMOTE_CONDENSER
5b03f968-23f9-4d86-9913-349bdf5f6d8a	a5bfd70a-780f-49b9-80d6-b531829078ea	CHILLED_WATER_PUMPS
5b03f968-23f9-4d86-9913-349bdf5f6d8a	c6b54b57-7bcc-4901-aa5f-77f398e1308f	HEAT_REJECTION_PUMPS
5b03f968-23f9-4d86-9913-349bdf5f6d8a	5ed23b4a-7299-4371-97fc-903092742f23	VENTILATION
5b03f968-23f9-4d86-9913-349bdf5f6d8a	315dc4c7-64fe-4852-b639-8091a9df8da5	INFILTRATION
5b03f968-23f9-4d86-9913-349bdf5f6d8a	8dbb7770-32b1-49b0-8c63-ab43862a2be7	IT_LOAD
fe4efe75-f197-47f6-97dc-e683f842b78d	3441fc7d-57bc-4af4-aab9-db360b377c5f	SWITCHGEAR
fe4efe75-f197-47f6-97dc-e683f842b78d	5314ecf5-b0c3-438b-b6bc-fcaffdc2eeec	GENERATOR
fe4efe75-f197-47f6-97dc-e683f842b78d	57fea875-0d22-4278-96ed-6fcdb88dcf14	PRIMARY_AUXILIARIES
fe4efe75-f197-47f6-97dc-e683f842b78d	0c8abd65-0c20-42ad-a95a-ad896983e131	UPS
fe4efe75-f197-47f6-97dc-e683f842b78d	4bbd530b-d83d-4a3b-a3bb-acbcc6d1353e	CRITICAL_AUXILIARIES
fe4efe75-f197-47f6-97dc-e683f842b78d	6c36067d-2897-406a-8179-8cf9ff36a04e	LIGHTING
fe4efe75-f197-47f6-97dc-e683f842b78d	33e11d93-ff31-4dca-a712-52eec2242ba7	CRITICAL_POWER_DISTRIBUTION
fe4efe75-f197-47f6-97dc-e683f842b78d	1c080404-281b-4431-b0e7-550f6442b995	CRAH
fe4efe75-f197-47f6-97dc-e683f842b78d	edaef85e-875c-4627-8ec7-265338653a46	CRAC
fe4efe75-f197-47f6-97dc-e683f842b78d	e732fb5a-9349-492e-9b12-9a21d9a9f9f0	CRAC_WITHOUT_FAN
fe4efe75-f197-47f6-97dc-e683f842b78d	a0f79c97-f90f-4cd9-b5c4-b932047dbfdc	CRAC_FAN
fe4efe75-f197-47f6-97dc-e683f842b78d	151ebc6b-a16d-40be-b2af-10bd1420bbd8	CHILLER
fe4efe75-f197-47f6-97dc-e683f842b78d	a16fb0e4-5c00-447f-ae26-a9dc1b770679	AIR_COOLED_CHILLER
fe4efe75-f197-47f6-97dc-e683f842b78d	4be6e7f4-c664-4941-be35-81659198209f	COOLING_TOWER
fe4efe75-f197-47f6-97dc-e683f842b78d	6ba2b01c-ebbd-4388-8712-46329cb0a5a1	DRY_COOLER
fe4efe75-f197-47f6-97dc-e683f842b78d	d83fedaf-6d31-4faf-9831-61d7bbe179a4	REMOTE_CONDENSER
fe4efe75-f197-47f6-97dc-e683f842b78d	48515770-5c8d-4644-8a83-c21fd8b55519	CHILLED_WATER_PUMPS
fe4efe75-f197-47f6-97dc-e683f842b78d	f2831e7b-cc81-4c7e-b518-335e63d57210	HEAT_REJECTION_PUMPS
fe4efe75-f197-47f6-97dc-e683f842b78d	cc9901b9-cd27-4a0b-9e92-854e0cc23229	VENTILATION
fe4efe75-f197-47f6-97dc-e683f842b78d	32aa3594-daea-4007-a4f8-5e17b03cdbc4	INFILTRATION
fe4efe75-f197-47f6-97dc-e683f842b78d	445af586-7bdf-4f3b-b242-03d4d20358f7	IT_LOAD
50009ee8-4f9b-4762-9f36-f1088f342129	4548f99a-8757-4e63-b3d1-329607fdaee3	SWITCHGEAR
50009ee8-4f9b-4762-9f36-f1088f342129	25f3fdd8-02df-465e-aec8-1e426699cb7c	GENERATOR
50009ee8-4f9b-4762-9f36-f1088f342129	926aa113-e235-4d40-9517-65d2109cf0c9	PRIMARY_AUXILIARIES
50009ee8-4f9b-4762-9f36-f1088f342129	df290601-6e1c-4620-8003-d26bffebb28d	UPS
50009ee8-4f9b-4762-9f36-f1088f342129	ab2308f9-12d2-4e72-96fe-1471f27c0f43	CRITICAL_AUXILIARIES
50009ee8-4f9b-4762-9f36-f1088f342129	cfcdae3d-835a-4cf2-951a-a3e03015e095	LIGHTING
50009ee8-4f9b-4762-9f36-f1088f342129	d3ab651a-5256-42b6-9a42-d9915576c9cb	CRITICAL_POWER_DISTRIBUTION
50009ee8-4f9b-4762-9f36-f1088f342129	c4baf967-22bc-4df2-9cda-49d751798d08	CRAH
50009ee8-4f9b-4762-9f36-f1088f342129	c6ba9a2d-d735-4d4c-8db7-7c0c8536b991	CRAC
50009ee8-4f9b-4762-9f36-f1088f342129	767f3f5e-289a-455e-a566-4bc97e79d7e9	CRAC_WITHOUT_FAN
50009ee8-4f9b-4762-9f36-f1088f342129	5cd04f5b-cf44-43c4-8441-eb0a9d5f8191	CRAC_FAN
50009ee8-4f9b-4762-9f36-f1088f342129	d6a2d39f-8856-45d6-b568-acc725543ae7	CHILLER
50009ee8-4f9b-4762-9f36-f1088f342129	4cf2f2e3-7750-402e-b1bc-0c4699eab3b7	AIR_COOLED_CHILLER
50009ee8-4f9b-4762-9f36-f1088f342129	9cfd22a1-eb33-41ce-8cb4-4b65240367ca	COOLING_TOWER
50009ee8-4f9b-4762-9f36-f1088f342129	c965ed4c-80c7-4801-9509-cc32217f9e55	DRY_COOLER
50009ee8-4f9b-4762-9f36-f1088f342129	fd031cb6-e8e0-4264-b059-5a4acc4b75a3	REMOTE_CONDENSER
50009ee8-4f9b-4762-9f36-f1088f342129	81e5ad98-c355-4e5b-939d-d4ff2a176e19	CHILLED_WATER_PUMPS
50009ee8-4f9b-4762-9f36-f1088f342129	f761a0a8-5407-46de-9f29-5fe52cbe3d0d	HEAT_REJECTION_PUMPS
50009ee8-4f9b-4762-9f36-f1088f342129	0ba91e20-8879-4f47-8062-552326808df3	VENTILATION
50009ee8-4f9b-4762-9f36-f1088f342129	4de1c674-0261-4f0c-9f76-70050f675674	INFILTRATION
50009ee8-4f9b-4762-9f36-f1088f342129	93d4c33c-eb4b-4b27-a145-d7a7d90e4ac8	IT_LOAD
5a780585-2093-40f8-bf8d-60aaf5968ebf	bef4440a-83f0-470b-a491-208729dabbcc	SWITCHGEAR
5a780585-2093-40f8-bf8d-60aaf5968ebf	2ae55c00-c529-4792-9f3f-4b548995c890	GENERATOR
5a780585-2093-40f8-bf8d-60aaf5968ebf	eaf68448-6dd4-42f9-a5d0-719a6bd6d886	PRIMARY_AUXILIARIES
5a780585-2093-40f8-bf8d-60aaf5968ebf	6535c790-18c9-4598-ae19-bf7e2835d73a	UPS
5a780585-2093-40f8-bf8d-60aaf5968ebf	ff07c65a-f123-4b50-96c4-e923d8c21c7c	CRITICAL_AUXILIARIES
5a780585-2093-40f8-bf8d-60aaf5968ebf	dc032edb-99ca-429a-9c38-e0fccd403078	LIGHTING
5a780585-2093-40f8-bf8d-60aaf5968ebf	6e6b0652-6934-4025-8cf3-009793da2d85	CRITICAL_POWER_DISTRIBUTION
5a780585-2093-40f8-bf8d-60aaf5968ebf	135edd50-63c3-4e80-9b00-3725ff33290b	CRAH
5a780585-2093-40f8-bf8d-60aaf5968ebf	e3475aea-2425-49f2-a22e-81bcaae3d5b5	CRAC
5a780585-2093-40f8-bf8d-60aaf5968ebf	e1643182-d866-4f64-8488-9cd5427e544a	CRAC_WITHOUT_FAN
5a780585-2093-40f8-bf8d-60aaf5968ebf	2143bc4e-b433-41ff-92f3-efe5e476aece	CRAC_FAN
5a780585-2093-40f8-bf8d-60aaf5968ebf	05cda07f-f641-40b1-a632-905799243085	CHILLER
5a780585-2093-40f8-bf8d-60aaf5968ebf	9ef9321a-b022-4900-b28b-3798ec9dfee5	AIR_COOLED_CHILLER
5a780585-2093-40f8-bf8d-60aaf5968ebf	6fdc3aae-6117-4d2b-b73b-ca720037f194	COOLING_TOWER
5a780585-2093-40f8-bf8d-60aaf5968ebf	61fd92fe-16c0-4c8b-a968-43c1bfcb27d1	DRY_COOLER
5a780585-2093-40f8-bf8d-60aaf5968ebf	d5f69476-9d53-4af1-a88e-62531142d6a1	REMOTE_CONDENSER
5a780585-2093-40f8-bf8d-60aaf5968ebf	37686bb2-efb6-40ff-a1ad-ebd746bece7f	CHILLED_WATER_PUMPS
5a780585-2093-40f8-bf8d-60aaf5968ebf	316c1f4e-2711-4468-82d2-63a062be3e60	HEAT_REJECTION_PUMPS
5a780585-2093-40f8-bf8d-60aaf5968ebf	a52e348e-26d1-4157-86e6-e41ce6dba7f9	VENTILATION
5a780585-2093-40f8-bf8d-60aaf5968ebf	004cd5f1-b43b-4859-ac70-081a7e2fd8ec	INFILTRATION
5a780585-2093-40f8-bf8d-60aaf5968ebf	4aed947e-d1f0-417c-8715-c937fb305764	IT_LOAD
1d0fd57b-3870-413c-8daa-92099d6465d4	412b8804-f230-4de5-b600-73c3a38df441	SWITCHGEAR
1d0fd57b-3870-413c-8daa-92099d6465d4	19c78540-0633-4e43-b8be-f2cf5c3e64b0	GENERATOR
1d0fd57b-3870-413c-8daa-92099d6465d4	71ab1af1-0609-4e09-be98-2d48bccb8413	PRIMARY_AUXILIARIES
1d0fd57b-3870-413c-8daa-92099d6465d4	94d5a3e9-fa0b-46f6-babe-9e2a628ea729	UPS
1d0fd57b-3870-413c-8daa-92099d6465d4	5f6e813d-abef-4819-837f-1edcbb48e50d	CRITICAL_AUXILIARIES
1d0fd57b-3870-413c-8daa-92099d6465d4	0a8c82ee-81e3-4d01-a283-305c32bbae87	LIGHTING
1d0fd57b-3870-413c-8daa-92099d6465d4	24364287-40da-4057-a734-ddd4ed5e7d1f	CRITICAL_POWER_DISTRIBUTION
1d0fd57b-3870-413c-8daa-92099d6465d4	f1c14cee-52fd-489f-8e93-d1ced82eb6ed	CRAH
1d0fd57b-3870-413c-8daa-92099d6465d4	27284215-b01a-4794-aea0-be999e6b2512	CRAC
1d0fd57b-3870-413c-8daa-92099d6465d4	5e53c209-baa4-4ad1-bcc5-314a6135e020	CRAC_WITHOUT_FAN
1d0fd57b-3870-413c-8daa-92099d6465d4	0de636c5-ee09-41bf-bc11-eb814fb286d3	CRAC_FAN
1d0fd57b-3870-413c-8daa-92099d6465d4	b01dea1e-f03a-4f86-a374-b27cc19167a9	CHILLER
1d0fd57b-3870-413c-8daa-92099d6465d4	85ec0633-7d88-4430-bf39-26b45583e55a	AIR_COOLED_CHILLER
1d0fd57b-3870-413c-8daa-92099d6465d4	bb723867-789e-43e0-b9b3-38a75eece3c2	COOLING_TOWER
1d0fd57b-3870-413c-8daa-92099d6465d4	6185c318-e329-4342-9f8a-b98c55851309	DRY_COOLER
1d0fd57b-3870-413c-8daa-92099d6465d4	3c9f4504-a1d6-40e4-be18-799ca705d553	REMOTE_CONDENSER
1d0fd57b-3870-413c-8daa-92099d6465d4	61bc0578-a8f5-49ae-b39e-9e2fbd5e8686	CHILLED_WATER_PUMPS
1d0fd57b-3870-413c-8daa-92099d6465d4	37eafd14-ed0d-4261-aee1-11dd11cc1ecd	HEAT_REJECTION_PUMPS
1d0fd57b-3870-413c-8daa-92099d6465d4	5ba9739a-2015-4167-8322-ed2e0bc9fcc3	VENTILATION
1d0fd57b-3870-413c-8daa-92099d6465d4	3be99415-53bb-4a03-b2f7-0e1b3416ae2c	INFILTRATION
1d0fd57b-3870-413c-8daa-92099d6465d4	e6e93382-ae04-4ccd-b419-2cd200d1de73	IT_LOAD
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	421cf075-c353-47ab-a7d7-76b4c276cf5b	SWITCHGEAR
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	1b7f8293-08e1-4275-b23c-9f7b244e6c35	GENERATOR
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	ea116ad1-fec6-4da0-a087-63e679e8b646	PRIMARY_AUXILIARIES
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	ea1e5b53-0039-44fe-ad46-85e0cb89c172	UPS
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	e0747015-dfa7-4dc6-9c81-f1778f2a402f	CRITICAL_AUXILIARIES
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	438a536b-3c0a-460a-bb85-7fca56832b00	LIGHTING
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	9b7a4161-71ca-42c6-9e12-148f17856976	CRITICAL_POWER_DISTRIBUTION
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	0954342d-5339-43a9-8472-94f8ba89e313	CRAH
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	ea5f0aef-68cd-42a5-91c5-f461d9f54b12	CRAC
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	15696b9c-3218-46e0-957d-a0ba0ec2e658	CRAC_WITHOUT_FAN
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	da231b7e-d700-47f5-85f5-171fa90e8d11	CRAC_FAN
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	072a1ecb-49dc-47ac-88ac-3a5d6604afd3	CHILLER
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	55319dbf-58c5-46c1-8868-f7d0ecec96a7	AIR_COOLED_CHILLER
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	abef6046-69f5-4fc3-9c74-fe1512bdff6c	COOLING_TOWER
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	be43cbc2-9d09-4481-805a-c860733385ab	DRY_COOLER
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	44221321-8e4a-40a0-bd0a-543efb3122cb	REMOTE_CONDENSER
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	8e751290-f4f8-47c2-9f6d-40c515d93b4f	CHILLED_WATER_PUMPS
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	0b696bcc-4afd-471a-aeaa-aa2dbe4a6713	HEAT_REJECTION_PUMPS
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	ea21e6b1-0a7c-4d25-9d34-8d4f26f9ea1b	VENTILATION
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	9ec49904-8f39-4744-938a-0bf1cae53549	INFILTRATION
bf84a4ed-c84e-4a4f-ab1b-93458b6b8501	9a68b660-7700-45a3-8589-26266479e631	IT_LOAD
8ecffe53-2be2-4658-811c-663e204b7fe4	4917b0c9-7a90-4702-87e4-02c0a0405d2c	SWITCHGEAR
8ecffe53-2be2-4658-811c-663e204b7fe4	eb00e44a-7a6a-4510-a561-3a42e85cfd3b	GENERATOR
8ecffe53-2be2-4658-811c-663e204b7fe4	a27fd232-d081-4c24-a919-c1f8225e4e1a	PRIMARY_AUXILIARIES
8ecffe53-2be2-4658-811c-663e204b7fe4	dfcdf69c-aff3-4da1-a6d9-e5ec43e023c5	UPS
8ecffe53-2be2-4658-811c-663e204b7fe4	39257aa7-b4d1-42f1-a5d6-714229985718	CRITICAL_AUXILIARIES
8ecffe53-2be2-4658-811c-663e204b7fe4	a931e013-c811-479c-b2e8-88c75e1a4cba	LIGHTING
8ecffe53-2be2-4658-811c-663e204b7fe4	a07dedcf-01ae-43eb-895e-0a049d49788f	CRITICAL_POWER_DISTRIBUTION
8ecffe53-2be2-4658-811c-663e204b7fe4	89351b21-b46f-471e-bead-263a1c27b005	CRAH
8ecffe53-2be2-4658-811c-663e204b7fe4	8f72231a-2de4-440f-ba01-d85703bc7805	CRAC
8ecffe53-2be2-4658-811c-663e204b7fe4	4373bebc-1813-423e-90cb-100c1b4f965f	CRAC_WITHOUT_FAN
8ecffe53-2be2-4658-811c-663e204b7fe4	59cc5fbd-a704-4519-ab27-b44f51d7be43	CRAC_FAN
8ecffe53-2be2-4658-811c-663e204b7fe4	f5ce2ede-c7c9-449e-947b-6bc5c461ac0b	CHILLER
8ecffe53-2be2-4658-811c-663e204b7fe4	e04d0874-35e5-4370-9392-8b19b599b589	AIR_COOLED_CHILLER
8ecffe53-2be2-4658-811c-663e204b7fe4	6d8d143a-a6f1-47f5-ba90-e6a785771252	COOLING_TOWER
8ecffe53-2be2-4658-811c-663e204b7fe4	a5dd9934-1e32-4082-be05-59cf1feebf4a	DRY_COOLER
8ecffe53-2be2-4658-811c-663e204b7fe4	123ea611-f874-46bf-b557-d28dd953d707	REMOTE_CONDENSER
8ecffe53-2be2-4658-811c-663e204b7fe4	35b8f5fd-b1c0-49dd-b6b3-43ef00332274	CHILLED_WATER_PUMPS
8ecffe53-2be2-4658-811c-663e204b7fe4	4af34f64-94fd-479c-b801-e5afe29f6c0a	HEAT_REJECTION_PUMPS
8ecffe53-2be2-4658-811c-663e204b7fe4	01df46d3-ba09-4bd0-8066-28e6c45b1d33	VENTILATION
8ecffe53-2be2-4658-811c-663e204b7fe4	8d13cc90-711d-41d4-a3a0-a577c89e6312	INFILTRATION
8ecffe53-2be2-4658-811c-663e204b7fe4	6b3c12a4-a7e4-4dde-aea4-01abfac65998	IT_LOAD
87b397fc-4c68-4425-80c4-21755604fc7b	fbb3720e-8da7-4e12-941a-5a1002b62d68	SWITCHGEAR
87b397fc-4c68-4425-80c4-21755604fc7b	d4953302-4533-40d9-8a1e-c893a14cb306	GENERATOR
87b397fc-4c68-4425-80c4-21755604fc7b	383e479f-ca22-48de-9b96-938bbd1a9315	PRIMARY_AUXILIARIES
87b397fc-4c68-4425-80c4-21755604fc7b	4d7f0675-b332-4155-bcb5-fee1c28f6560	UPS
87b397fc-4c68-4425-80c4-21755604fc7b	32b93712-d3e1-44ba-88d5-7726d7129b12	CRITICAL_AUXILIARIES
87b397fc-4c68-4425-80c4-21755604fc7b	17b4310c-72e6-4a79-9b04-65807df3c3f8	LIGHTING
87b397fc-4c68-4425-80c4-21755604fc7b	a8f1e594-142e-43ce-942f-7d638e521140	CRITICAL_POWER_DISTRIBUTION
87b397fc-4c68-4425-80c4-21755604fc7b	c6c9943a-b9f9-43e2-a6dc-a30e07fcc836	CRAH
87b397fc-4c68-4425-80c4-21755604fc7b	f8b0c2cf-101e-44df-9e9e-ea669042f337	CRAC
87b397fc-4c68-4425-80c4-21755604fc7b	f598745b-fb64-4c07-be9d-770f626ea640	CRAC_WITHOUT_FAN
87b397fc-4c68-4425-80c4-21755604fc7b	2569fd2e-baa6-41bd-bd02-c5f99376711c	CRAC_FAN
87b397fc-4c68-4425-80c4-21755604fc7b	d95c44bd-c182-4fa1-a838-c271f4c9e9be	CHILLER
87b397fc-4c68-4425-80c4-21755604fc7b	f2fb0a95-8e97-44b9-8d15-c899bd32e7f6	AIR_COOLED_CHILLER
87b397fc-4c68-4425-80c4-21755604fc7b	6eea8d6e-b19e-44e6-afae-c1b4454ba261	COOLING_TOWER
87b397fc-4c68-4425-80c4-21755604fc7b	fed27dde-29e0-4975-96be-4ddce587e7ea	DRY_COOLER
87b397fc-4c68-4425-80c4-21755604fc7b	556c9220-262f-46af-a7dc-6943187f0610	REMOTE_CONDENSER
87b397fc-4c68-4425-80c4-21755604fc7b	3b9a0168-b31e-4c97-a4d2-4bef78556594	CHILLED_WATER_PUMPS
87b397fc-4c68-4425-80c4-21755604fc7b	da1ec61f-aeaf-4212-a7a8-188b5e76c950	HEAT_REJECTION_PUMPS
87b397fc-4c68-4425-80c4-21755604fc7b	cccec451-977f-47b1-817b-ba1a15ed19c4	VENTILATION
87b397fc-4c68-4425-80c4-21755604fc7b	6c4ae250-6e8f-4a07-9e70-478422791450	INFILTRATION
87b397fc-4c68-4425-80c4-21755604fc7b	ad39bd00-35a3-40ca-86d7-f99e378f368a	IT_LOAD
9224b546-5b0d-49cb-8407-9d7a576db8cb	150a7ab2-1757-4f8f-9cd5-755108400357	SWITCHGEAR
9224b546-5b0d-49cb-8407-9d7a576db8cb	2c53020c-f742-4bb1-a2c9-30f3efb17d0e	GENERATOR
9224b546-5b0d-49cb-8407-9d7a576db8cb	108938b4-35e2-4192-afbd-ccfad099ab79	PRIMARY_AUXILIARIES
9224b546-5b0d-49cb-8407-9d7a576db8cb	8669c3b4-e2d9-4fc3-80d7-52a0cd25ce37	UPS
9224b546-5b0d-49cb-8407-9d7a576db8cb	e6f50d66-7070-4d2c-94b7-60b5c1fc46a8	CRITICAL_AUXILIARIES
9224b546-5b0d-49cb-8407-9d7a576db8cb	41fa5d2a-7660-4a88-ae44-f8efa33edd9f	LIGHTING
9224b546-5b0d-49cb-8407-9d7a576db8cb	2541a197-7b29-46df-913f-f2b878fb1328	CRITICAL_POWER_DISTRIBUTION
9224b546-5b0d-49cb-8407-9d7a576db8cb	21b006cd-97fb-4bf7-9e34-9f29f8963704	CRAH
9224b546-5b0d-49cb-8407-9d7a576db8cb	7868adb5-1190-4e83-b28b-49b4163647ce	CRAC
9224b546-5b0d-49cb-8407-9d7a576db8cb	47a3f2fd-eda8-4e76-83bf-da893c1fcf5b	CRAC_WITHOUT_FAN
9224b546-5b0d-49cb-8407-9d7a576db8cb	31f4f8d3-eded-4e79-85a5-304647f0b9bb	CRAC_FAN
9224b546-5b0d-49cb-8407-9d7a576db8cb	de5d7e9b-8884-4807-a3f8-10179330aef9	CHILLER
9224b546-5b0d-49cb-8407-9d7a576db8cb	25fe4a09-3eb4-419c-91d2-4f702aea5530	AIR_COOLED_CHILLER
9224b546-5b0d-49cb-8407-9d7a576db8cb	485101c2-4a63-4974-ba39-f9352021b7d5	COOLING_TOWER
9224b546-5b0d-49cb-8407-9d7a576db8cb	94f359cb-1d7f-43e7-b055-43ea62ea65a3	DRY_COOLER
9224b546-5b0d-49cb-8407-9d7a576db8cb	779c191f-f8b2-4dec-b81b-3928a783b64d	REMOTE_CONDENSER
9224b546-5b0d-49cb-8407-9d7a576db8cb	6c9f6b52-32f0-42dc-ba4a-15a42832c42d	CHILLED_WATER_PUMPS
9224b546-5b0d-49cb-8407-9d7a576db8cb	35d71fb7-cfa2-4f00-82df-c6322065b3a3	HEAT_REJECTION_PUMPS
9224b546-5b0d-49cb-8407-9d7a576db8cb	43275bd0-8507-4ebd-a38b-dbdb6d04da30	VENTILATION
9224b546-5b0d-49cb-8407-9d7a576db8cb	3091b060-d645-4cc0-888e-9a56d60c2432	INFILTRATION
9224b546-5b0d-49cb-8407-9d7a576db8cb	3c0eabbd-3ae0-4786-a7b9-8051b444034d	IT_LOAD
a46f336d-ff52-4abf-86da-326dbfb460e3	14e9f672-4f5c-4cb7-9129-33d9ae9640f0	SWITCHGEAR
a46f336d-ff52-4abf-86da-326dbfb460e3	320dbb5c-7d78-4873-b887-09d0cf110c0b	GENERATOR
a46f336d-ff52-4abf-86da-326dbfb460e3	fbf4bfda-74fd-4249-af2d-cb80a784ee04	PRIMARY_AUXILIARIES
a46f336d-ff52-4abf-86da-326dbfb460e3	a01d7fed-291c-4e0e-8c0e-9fce6a77b594	UPS
a46f336d-ff52-4abf-86da-326dbfb460e3	cc102724-4862-48c6-bc13-d3c04963dfab	CRITICAL_AUXILIARIES
a46f336d-ff52-4abf-86da-326dbfb460e3	cbc18c5c-46ba-4c54-a0b5-393aa1828f41	LIGHTING
a46f336d-ff52-4abf-86da-326dbfb460e3	bf69a736-2d8b-4c15-b30d-221defda436d	CRITICAL_POWER_DISTRIBUTION
a46f336d-ff52-4abf-86da-326dbfb460e3	387b4ccf-48ad-4d52-b15d-b17d5cbf702a	CRAH
a46f336d-ff52-4abf-86da-326dbfb460e3	09f63b4c-00fe-4d8c-90ab-e5b63febc5a5	CRAC
a46f336d-ff52-4abf-86da-326dbfb460e3	5331052e-4722-4aff-a1cd-20659dabe589	CRAC_WITHOUT_FAN
a46f336d-ff52-4abf-86da-326dbfb460e3	92440e95-dd44-4827-b69a-c0ee466faa7f	CRAC_FAN
a46f336d-ff52-4abf-86da-326dbfb460e3	35563033-7c5e-43e2-8ba1-145bbf6ac738	CHILLER
a46f336d-ff52-4abf-86da-326dbfb460e3	321baf80-f03a-4357-b810-2e6b7a47ca06	AIR_COOLED_CHILLER
a46f336d-ff52-4abf-86da-326dbfb460e3	157579ce-7ce9-4858-a14f-5a019c2308ee	COOLING_TOWER
a46f336d-ff52-4abf-86da-326dbfb460e3	c3213d49-8259-463a-9e5c-2f68e94ff5c2	DRY_COOLER
a46f336d-ff52-4abf-86da-326dbfb460e3	6b4e3781-5af3-4948-b282-c78bf3a01d0d	REMOTE_CONDENSER
a46f336d-ff52-4abf-86da-326dbfb460e3	5df0da77-8873-4b22-afbc-ca069050912f	CHILLED_WATER_PUMPS
a46f336d-ff52-4abf-86da-326dbfb460e3	c737ed47-1c86-485e-903c-bd131e560638	HEAT_REJECTION_PUMPS
a46f336d-ff52-4abf-86da-326dbfb460e3	85982211-a39d-4ede-aa63-49bdc904c0cc	VENTILATION
a46f336d-ff52-4abf-86da-326dbfb460e3	2540901f-5004-4255-a987-04633aa81b59	INFILTRATION
a46f336d-ff52-4abf-86da-326dbfb460e3	31f8cd5b-4b16-4266-b54a-a2e1fd59c11b	IT_LOAD
42878806-4e0b-4185-87bf-5538c8bcb95c	8d8c1183-b24b-40b9-a12e-3d6386d509ff	SWITCHGEAR
42878806-4e0b-4185-87bf-5538c8bcb95c	f9d6027e-a774-4f6c-b577-07f1b26136c5	GENERATOR
42878806-4e0b-4185-87bf-5538c8bcb95c	19c369f2-b90f-4fc6-80a3-862da2ca9d13	PRIMARY_AUXILIARIES
42878806-4e0b-4185-87bf-5538c8bcb95c	9644b107-981f-4211-a08c-451fe95ea335	UPS
42878806-4e0b-4185-87bf-5538c8bcb95c	fe8920b5-28ca-4e69-a837-9b92b4541396	CRITICAL_AUXILIARIES
42878806-4e0b-4185-87bf-5538c8bcb95c	10222ec8-7fca-45ef-92eb-9154ac66009b	LIGHTING
42878806-4e0b-4185-87bf-5538c8bcb95c	3c87b5df-b309-471a-9061-8dc268f3c645	CRITICAL_POWER_DISTRIBUTION
42878806-4e0b-4185-87bf-5538c8bcb95c	35b414e6-784b-45a1-baa1-0349aa17f52e	CRAH
42878806-4e0b-4185-87bf-5538c8bcb95c	af4b4c9c-70f1-4a45-8f02-e0e3770eb7e2	CRAC
42878806-4e0b-4185-87bf-5538c8bcb95c	773ed1ed-2bd3-49d2-8383-e8e6ba3ff569	CRAC_WITHOUT_FAN
42878806-4e0b-4185-87bf-5538c8bcb95c	341e6189-d804-4321-bbaa-dc15ad23e4d9	CRAC_FAN
42878806-4e0b-4185-87bf-5538c8bcb95c	f0ef7667-713b-4601-ae17-915753acf68c	CHILLER
42878806-4e0b-4185-87bf-5538c8bcb95c	3516c051-252b-4397-b26f-9e0149a5851a	AIR_COOLED_CHILLER
42878806-4e0b-4185-87bf-5538c8bcb95c	51b160c0-920a-4777-9fef-701b780466ac	COOLING_TOWER
42878806-4e0b-4185-87bf-5538c8bcb95c	f928bb5e-b864-47ec-b09f-59c543f069a1	DRY_COOLER
42878806-4e0b-4185-87bf-5538c8bcb95c	46bbc0b6-8092-46c8-aa60-75d72f1bbbe8	REMOTE_CONDENSER
42878806-4e0b-4185-87bf-5538c8bcb95c	d4860b69-e7e3-439b-8e34-468fe6bd00b5	CHILLED_WATER_PUMPS
42878806-4e0b-4185-87bf-5538c8bcb95c	da6501f8-22d3-4269-89b3-5dc1dda0f80c	HEAT_REJECTION_PUMPS
42878806-4e0b-4185-87bf-5538c8bcb95c	db85a122-bb95-4d36-85c5-c7197b96e890	VENTILATION
42878806-4e0b-4185-87bf-5538c8bcb95c	15e3cb24-8aaa-4f33-852f-d675dc643f29	INFILTRATION
42878806-4e0b-4185-87bf-5538c8bcb95c	266c60e1-776c-47fc-8c9e-72d01f1adf5f	IT_LOAD
f1107076-da21-49cd-9f3a-b9fcb09c541a	12f412b1-20fd-4ea7-9479-2d4b5e39b4c3	SWITCHGEAR
f1107076-da21-49cd-9f3a-b9fcb09c541a	76cfc1b2-2f85-45db-a76b-21be6746992e	GENERATOR
f1107076-da21-49cd-9f3a-b9fcb09c541a	4430dff3-628e-46df-8143-cab764a0509b	PRIMARY_AUXILIARIES
f1107076-da21-49cd-9f3a-b9fcb09c541a	72464564-767f-4964-8de1-6afdb25df11f	UPS
f1107076-da21-49cd-9f3a-b9fcb09c541a	387d31ae-ac16-4c04-a482-4920725493c6	CRITICAL_AUXILIARIES
f1107076-da21-49cd-9f3a-b9fcb09c541a	5513be7e-1604-4cc5-9b80-6c2162b11cb2	LIGHTING
f1107076-da21-49cd-9f3a-b9fcb09c541a	8915c406-cde8-4dd6-8f88-07e686e8c3db	CRITICAL_POWER_DISTRIBUTION
f1107076-da21-49cd-9f3a-b9fcb09c541a	f640e306-01f4-4571-9f4d-548a038f58ae	CRAH
f1107076-da21-49cd-9f3a-b9fcb09c541a	6d741775-ed56-4833-a41d-ebe76f989ba8	CRAC
f1107076-da21-49cd-9f3a-b9fcb09c541a	5b3ca69b-2d41-4342-8564-321c1c9614af	CRAC_WITHOUT_FAN
f1107076-da21-49cd-9f3a-b9fcb09c541a	db63e18c-a3a6-41e9-bd86-c25f1cffd73b	CRAC_FAN
f1107076-da21-49cd-9f3a-b9fcb09c541a	8a43f035-429d-4d75-a1b8-74a5ad817713	CHILLER
f1107076-da21-49cd-9f3a-b9fcb09c541a	dcb4d1c5-28fd-4cc7-84db-5b09b7e59b23	AIR_COOLED_CHILLER
f1107076-da21-49cd-9f3a-b9fcb09c541a	6d7bbf43-8b16-42d2-8a36-e33b31e5156d	COOLING_TOWER
f1107076-da21-49cd-9f3a-b9fcb09c541a	0b5ea616-a021-462c-b8f5-aab64775dca7	DRY_COOLER
f1107076-da21-49cd-9f3a-b9fcb09c541a	eed0e197-d2eb-4a44-adf0-718741b23a14	REMOTE_CONDENSER
f1107076-da21-49cd-9f3a-b9fcb09c541a	2d9c197e-f5d2-4d8d-89e4-91a1044be7a6	CHILLED_WATER_PUMPS
f1107076-da21-49cd-9f3a-b9fcb09c541a	bb997c90-53dd-436f-941b-cda67268f015	HEAT_REJECTION_PUMPS
f1107076-da21-49cd-9f3a-b9fcb09c541a	6139c0d2-6cbd-40e8-b902-b28ac8be2ed9	VENTILATION
f1107076-da21-49cd-9f3a-b9fcb09c541a	08387b17-3dec-4ae6-8997-c900c2aef89c	INFILTRATION
f1107076-da21-49cd-9f3a-b9fcb09c541a	11997705-fb19-484a-8c92-aa6c277b1ba9	IT_LOAD
320ab102-775d-4af8-8f6b-6d44edf37eef	d909656f-c6b7-4a30-a251-f2fa1d7b2f63	SWITCHGEAR
320ab102-775d-4af8-8f6b-6d44edf37eef	9e0d22e3-a2bb-4673-8ab3-4904aff92726	GENERATOR
320ab102-775d-4af8-8f6b-6d44edf37eef	a9af400e-3991-4e4b-9ab2-f3698bb06c3a	PRIMARY_AUXILIARIES
320ab102-775d-4af8-8f6b-6d44edf37eef	9226af94-2701-410e-9526-8b9544ed0146	UPS
320ab102-775d-4af8-8f6b-6d44edf37eef	a27934ae-63f0-4235-be32-b8af5cfa5cd6	CRITICAL_AUXILIARIES
320ab102-775d-4af8-8f6b-6d44edf37eef	55503333-d993-429c-b713-788d1e645aec	LIGHTING
320ab102-775d-4af8-8f6b-6d44edf37eef	c9be0962-0085-4cbb-80f0-d648997e19f9	CRITICAL_POWER_DISTRIBUTION
320ab102-775d-4af8-8f6b-6d44edf37eef	7609faf7-7b6b-4296-be2d-043ae80db6f4	CRAH
320ab102-775d-4af8-8f6b-6d44edf37eef	29125c1d-e0c5-4569-94cb-1ec4cc7bd4a2	CRAC
320ab102-775d-4af8-8f6b-6d44edf37eef	703ec918-bed4-4fec-826c-bfcaf9b44240	CRAC_WITHOUT_FAN
320ab102-775d-4af8-8f6b-6d44edf37eef	7a0855e4-2f84-4d4d-873b-90f69c58c5b0	CRAC_FAN
320ab102-775d-4af8-8f6b-6d44edf37eef	1af761ff-a8b5-4d67-8df8-c680e49fd806	CHILLER
320ab102-775d-4af8-8f6b-6d44edf37eef	74c81007-41cb-4e69-a0a6-db3dfbd101ec	AIR_COOLED_CHILLER
320ab102-775d-4af8-8f6b-6d44edf37eef	2adfa5ed-b7e7-413d-9b76-126c113eb50e	COOLING_TOWER
320ab102-775d-4af8-8f6b-6d44edf37eef	e80b7298-6624-4219-a161-e9bfde28299b	DRY_COOLER
320ab102-775d-4af8-8f6b-6d44edf37eef	09f91d6c-a52b-4f45-afb3-1ea12e0a806d	REMOTE_CONDENSER
320ab102-775d-4af8-8f6b-6d44edf37eef	df03febb-4403-49a9-a7f7-581c136672c5	CHILLED_WATER_PUMPS
320ab102-775d-4af8-8f6b-6d44edf37eef	785bb9c8-37ed-44c0-acb8-48224d46b41c	HEAT_REJECTION_PUMPS
320ab102-775d-4af8-8f6b-6d44edf37eef	85de01a4-24c7-4015-9cb1-d3dad62b1068	VENTILATION
320ab102-775d-4af8-8f6b-6d44edf37eef	a742aa72-1584-46cb-bfed-984c2a61df4e	INFILTRATION
320ab102-775d-4af8-8f6b-6d44edf37eef	15b27f3e-9ee5-4feb-a2c1-4a142a4320f2	IT_LOAD
03af6716-189d-4c61-b35e-433b0b5f1ba3	cc69530b-1711-48ae-bf24-5e9f42721bc9	SWITCHGEAR
03af6716-189d-4c61-b35e-433b0b5f1ba3	c02992d4-4cfc-441e-8276-04dea611406b	GENERATOR
03af6716-189d-4c61-b35e-433b0b5f1ba3	dd9bd9f2-9741-48db-b109-fa69fa75d1f0	PRIMARY_AUXILIARIES
03af6716-189d-4c61-b35e-433b0b5f1ba3	ec04469d-fb19-42b2-a1ef-337ab75a6ece	UPS
03af6716-189d-4c61-b35e-433b0b5f1ba3	cdef6912-1fa5-4c8f-ba6f-6633e891568e	CRITICAL_AUXILIARIES
03af6716-189d-4c61-b35e-433b0b5f1ba3	4068a7ca-869a-4392-9a82-dbec80926009	LIGHTING
03af6716-189d-4c61-b35e-433b0b5f1ba3	dc5d16b3-4228-4998-8cf2-682b8a4470b9	CRITICAL_POWER_DISTRIBUTION
03af6716-189d-4c61-b35e-433b0b5f1ba3	ae1d656f-ef4f-4d37-8d04-351e9eaca511	CRAH
03af6716-189d-4c61-b35e-433b0b5f1ba3	492a2ce6-c19f-4927-9bbd-6c26daddc8eb	CRAC
03af6716-189d-4c61-b35e-433b0b5f1ba3	c2fd286a-f919-45bd-b865-1d3b10b0c293	CRAC_WITHOUT_FAN
03af6716-189d-4c61-b35e-433b0b5f1ba3	f1b6158d-c759-44a2-8415-1364b1a573b6	CRAC_FAN
03af6716-189d-4c61-b35e-433b0b5f1ba3	24818791-8290-4467-b89f-534811f3c560	CHILLER
03af6716-189d-4c61-b35e-433b0b5f1ba3	4d9c4d5e-fc14-4541-9a7c-2d6ffef4c787	AIR_COOLED_CHILLER
03af6716-189d-4c61-b35e-433b0b5f1ba3	1a103d85-aa92-4cc4-8540-8b34ee8d7aca	COOLING_TOWER
03af6716-189d-4c61-b35e-433b0b5f1ba3	f8e8a177-452b-4f63-bc19-8546dd0016b2	DRY_COOLER
03af6716-189d-4c61-b35e-433b0b5f1ba3	ff2fdd82-db50-4e8b-9ac1-919a9d1f3653	REMOTE_CONDENSER
03af6716-189d-4c61-b35e-433b0b5f1ba3	f9803627-c185-47da-8f3d-c2930c688912	CHILLED_WATER_PUMPS
03af6716-189d-4c61-b35e-433b0b5f1ba3	740f8313-eaa9-42fd-8128-e44580de6832	HEAT_REJECTION_PUMPS
03af6716-189d-4c61-b35e-433b0b5f1ba3	e8e2ada2-2e18-4914-aaa5-a8f3fc549d2f	VENTILATION
03af6716-189d-4c61-b35e-433b0b5f1ba3	df5464cd-4847-4f56-bdc6-021a413d6d52	INFILTRATION
03af6716-189d-4c61-b35e-433b0b5f1ba3	9959a863-7a7f-4bb3-a8bf-3dd258e62ef0	IT_LOAD
244c9a85-5bcb-460f-af49-875fa5a23b00	81420e9c-64ff-473c-9a92-f9aa2ef489cd	SWITCHGEAR
244c9a85-5bcb-460f-af49-875fa5a23b00	36678b27-cc57-4785-b450-91190cfcd82e	GENERATOR
244c9a85-5bcb-460f-af49-875fa5a23b00	b57379b9-9566-4b2d-a8ba-8cc84b593db7	PRIMARY_AUXILIARIES
244c9a85-5bcb-460f-af49-875fa5a23b00	9d88be6f-df1f-4148-b7f4-afd02f8a72f7	UPS
244c9a85-5bcb-460f-af49-875fa5a23b00	5fba6129-09a6-4538-b91b-70512624ef39	CRITICAL_AUXILIARIES
244c9a85-5bcb-460f-af49-875fa5a23b00	01eaa532-023c-47ba-b08e-14d1d0dad214	LIGHTING
244c9a85-5bcb-460f-af49-875fa5a23b00	f5d42429-2e66-4d7d-847f-d17878ba8c86	CRITICAL_POWER_DISTRIBUTION
244c9a85-5bcb-460f-af49-875fa5a23b00	2400d0b0-d903-4b4d-af30-17cc1a09e62d	CRAH
244c9a85-5bcb-460f-af49-875fa5a23b00	950c203b-168b-41ac-ae90-65fc6bd5164a	CRAC
244c9a85-5bcb-460f-af49-875fa5a23b00	c68a55c1-aae5-4e34-8600-2dfa5ead0815	CRAC_WITHOUT_FAN
244c9a85-5bcb-460f-af49-875fa5a23b00	e3e2a232-fc39-4518-8b7c-2c509eba764e	CRAC_FAN
244c9a85-5bcb-460f-af49-875fa5a23b00	5bfbd99d-8653-4be4-948a-b513246dd35c	CHILLER
244c9a85-5bcb-460f-af49-875fa5a23b00	603ea329-b330-43e2-bc7b-a650d048b2db	AIR_COOLED_CHILLER
244c9a85-5bcb-460f-af49-875fa5a23b00	1a1f87de-2a54-4f13-a4e9-4fce76d7b23c	COOLING_TOWER
244c9a85-5bcb-460f-af49-875fa5a23b00	83ffce5d-5b9f-415f-9c5a-4864873c3e22	DRY_COOLER
244c9a85-5bcb-460f-af49-875fa5a23b00	7c3e4f11-8720-4069-980a-16255d2cf6f6	REMOTE_CONDENSER
244c9a85-5bcb-460f-af49-875fa5a23b00	1b7ca1e7-3b3c-4c19-9a88-96474412886a	CHILLED_WATER_PUMPS
244c9a85-5bcb-460f-af49-875fa5a23b00	0b5526e1-5d82-46ae-96bd-ab1d9d15fc61	HEAT_REJECTION_PUMPS
244c9a85-5bcb-460f-af49-875fa5a23b00	26e585f6-a6d5-4712-b6d2-f0568ab616f4	VENTILATION
244c9a85-5bcb-460f-af49-875fa5a23b00	17c31562-50af-4cfa-a44e-4151744e436a	INFILTRATION
244c9a85-5bcb-460f-af49-875fa5a23b00	b1e2e9c6-ed81-4410-9742-5646b82afd0a	IT_LOAD
125b27ad-41a6-41b5-b751-9f95438c8aa3	09ca3bb0-3695-46ef-9a81-782ae5f83322	SWITCHGEAR
125b27ad-41a6-41b5-b751-9f95438c8aa3	580f40e0-ce3e-4bd1-be91-e6a5b7462b5b	GENERATOR
125b27ad-41a6-41b5-b751-9f95438c8aa3	ae47ca17-8ef9-4ce7-87a3-cf2bee1ac8c0	PRIMARY_AUXILIARIES
125b27ad-41a6-41b5-b751-9f95438c8aa3	f93d1134-4771-4146-89d2-5a1cb80c9848	UPS
125b27ad-41a6-41b5-b751-9f95438c8aa3	6082da07-ae8d-4440-82fd-05c36e3b86e6	CRITICAL_AUXILIARIES
125b27ad-41a6-41b5-b751-9f95438c8aa3	576c981d-95ba-4d4f-8985-e478b7419e3c	LIGHTING
125b27ad-41a6-41b5-b751-9f95438c8aa3	c5430c08-58a9-4f32-992d-da9fea8a8fa8	CRITICAL_POWER_DISTRIBUTION
125b27ad-41a6-41b5-b751-9f95438c8aa3	b2a0ef6c-a539-45e4-8a5b-747955f9f678	CRAH
125b27ad-41a6-41b5-b751-9f95438c8aa3	38e5e78b-09a2-4eb6-8b68-7806e387e810	CRAC
125b27ad-41a6-41b5-b751-9f95438c8aa3	93f80e8f-8846-4066-b77e-657a7e6936ba	CRAC_WITHOUT_FAN
125b27ad-41a6-41b5-b751-9f95438c8aa3	014bf8a9-f7f7-4fdc-858c-b231b6bf6e35	CRAC_FAN
125b27ad-41a6-41b5-b751-9f95438c8aa3	f3fd0c5e-6ed5-4575-a831-bb16390fd35f	CHILLER
125b27ad-41a6-41b5-b751-9f95438c8aa3	c1f58842-55ae-48bc-b16e-26aff0f7ced4	AIR_COOLED_CHILLER
125b27ad-41a6-41b5-b751-9f95438c8aa3	9a3c409e-9e44-469c-8adf-539d4b728ccc	COOLING_TOWER
125b27ad-41a6-41b5-b751-9f95438c8aa3	39f25f79-4cfe-403c-ae30-84d39932ef67	DRY_COOLER
125b27ad-41a6-41b5-b751-9f95438c8aa3	c0b6fbfd-efe6-489b-ad06-64ffa97953f2	REMOTE_CONDENSER
125b27ad-41a6-41b5-b751-9f95438c8aa3	df294784-b39f-4de6-bc77-3aaaaf79cb2f	CHILLED_WATER_PUMPS
125b27ad-41a6-41b5-b751-9f95438c8aa3	563eff75-8a18-4561-a1ec-2648de628d7f	HEAT_REJECTION_PUMPS
125b27ad-41a6-41b5-b751-9f95438c8aa3	c4e5af02-d341-4a11-a37f-6cab69e83b98	VENTILATION
125b27ad-41a6-41b5-b751-9f95438c8aa3	f24f7eed-7655-4500-95d6-e5c1a3ccd15f	INFILTRATION
125b27ad-41a6-41b5-b751-9f95438c8aa3	ad101a08-d41c-4c73-9fcf-fad4641f1bc3	IT_LOAD
d44d5bb8-a025-4973-9622-db40a87ef6c9	d47fb155-1694-4a42-8a63-c878364909ef	SWITCHGEAR
d44d5bb8-a025-4973-9622-db40a87ef6c9	2b17644c-8235-4141-84d8-adc2f1952a77	GENERATOR
d44d5bb8-a025-4973-9622-db40a87ef6c9	56c9cda5-e3df-4873-a2b0-fa74a8b64d32	PRIMARY_AUXILIARIES
d44d5bb8-a025-4973-9622-db40a87ef6c9	4ab851e3-6c3f-4118-b60d-45d3b6941d5f	UPS
d44d5bb8-a025-4973-9622-db40a87ef6c9	28378870-4496-4933-a709-05d5b0f66d67	CRITICAL_AUXILIARIES
d44d5bb8-a025-4973-9622-db40a87ef6c9	fd639fbf-1f73-43ab-bcbd-26f97845205d	LIGHTING
d44d5bb8-a025-4973-9622-db40a87ef6c9	a0d60679-0ad4-48aa-aab0-9ee515e2d69e	CRITICAL_POWER_DISTRIBUTION
d44d5bb8-a025-4973-9622-db40a87ef6c9	42262da3-8d64-4760-8bee-95adc58bf1fe	CRAH
d44d5bb8-a025-4973-9622-db40a87ef6c9	bae3ed42-6cf4-4e14-8571-4f055640f283	CRAC
d44d5bb8-a025-4973-9622-db40a87ef6c9	9b8319f9-cfd7-42ae-8745-06e0dbc64843	CRAC_WITHOUT_FAN
d44d5bb8-a025-4973-9622-db40a87ef6c9	6554e41a-8d9b-490f-ae58-249f89160b82	CRAC_FAN
d44d5bb8-a025-4973-9622-db40a87ef6c9	8339004b-d115-4bd7-b328-4abffd9c91d4	CHILLER
d44d5bb8-a025-4973-9622-db40a87ef6c9	01682791-d1fc-460f-a841-30542b6c02a0	AIR_COOLED_CHILLER
d44d5bb8-a025-4973-9622-db40a87ef6c9	749e2f2b-b457-4a47-aef0-221ca37e97d1	COOLING_TOWER
d44d5bb8-a025-4973-9622-db40a87ef6c9	9cb87f58-7a5f-4a80-8c8f-461ed2724d1b	DRY_COOLER
d44d5bb8-a025-4973-9622-db40a87ef6c9	f113d029-9969-47fc-95ca-f5b7e3d3ceb9	REMOTE_CONDENSER
d44d5bb8-a025-4973-9622-db40a87ef6c9	4e3f3282-8c68-448c-822f-7ef172f8172d	CHILLED_WATER_PUMPS
d44d5bb8-a025-4973-9622-db40a87ef6c9	2c82e4df-d87a-4928-a5a1-dc100e316a8d	HEAT_REJECTION_PUMPS
d44d5bb8-a025-4973-9622-db40a87ef6c9	776b47a0-c7fe-431b-9c70-271198b2fa5b	VENTILATION
d44d5bb8-a025-4973-9622-db40a87ef6c9	9d5e0080-d8e8-41a4-a6af-870abec3a82c	INFILTRATION
d44d5bb8-a025-4973-9622-db40a87ef6c9	641793be-d5e7-4036-a039-de14f853c5a7	IT_LOAD
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	e08c2406-ca61-478a-ab40-1e8443d309c9	SWITCHGEAR
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	38df7726-0464-4fbc-a8dc-41df0653579a	GENERATOR
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	b6f21970-a031-4032-b2a1-af7b0db117be	PRIMARY_AUXILIARIES
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	7f420a64-0c90-4077-838a-9f58efdc7f16	UPS
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	6e53876b-4897-4a98-9d57-8ce34e92149b	CRITICAL_AUXILIARIES
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	9bc875c6-c54f-46fc-8230-32af8021314b	LIGHTING
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	ec0d1282-1fbe-455d-b619-a2467b94f6e0	CRITICAL_POWER_DISTRIBUTION
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	8116e2de-fb89-433a-8ff0-eec000201991	CRAH
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	66710557-6c1b-4de7-b12e-18d5412c32d4	CRAC
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	fc5e3303-ea63-479c-92a5-f1cbbe542381	CRAC_WITHOUT_FAN
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	3154d378-4899-45a8-8aff-cd08ea4ec8de	CRAC_FAN
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	5911bec6-67bd-487b-96df-6431bfba7ec1	CHILLER
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	a34515e2-cbaa-4525-8305-4d11a2f974e5	AIR_COOLED_CHILLER
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	81a92a88-cf7c-4738-b226-6d727cc03ea3	COOLING_TOWER
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	847c0ed6-283b-4b67-b606-7a9eb3f71511	DRY_COOLER
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	c8c5e75f-a959-4ca3-ab24-40c7ee6648ce	REMOTE_CONDENSER
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	356e6ce9-ed02-4611-bc63-d294cb57e9c8	CHILLED_WATER_PUMPS
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	fd8ac238-d194-41a5-a208-8ef3f1e85b53	HEAT_REJECTION_PUMPS
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	c0b22da2-832c-484e-a6f0-4de3c04fd3ae	VENTILATION
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	793a5c40-4ea9-4c3f-acb9-de962a12152b	INFILTRATION
2b5ac6ce-f36b-415e-8571-f1b69ee5d499	6361b22e-5f95-4fe3-9bf8-b185d4ecfdca	IT_LOAD
27de738a-49b4-4c49-9136-0d0ee4c7926a	eead3ef1-6b78-45cf-90f6-1a1ee86f8982	SWITCHGEAR
27de738a-49b4-4c49-9136-0d0ee4c7926a	ba3d78f2-0af3-4a82-acd9-7d333adc083a	GENERATOR
27de738a-49b4-4c49-9136-0d0ee4c7926a	2876fd39-aa4a-4151-b58d-25d1dc77e0a1	PRIMARY_AUXILIARIES
27de738a-49b4-4c49-9136-0d0ee4c7926a	fbe7c2a5-1f8d-4805-9143-49bc5011f93a	UPS
27de738a-49b4-4c49-9136-0d0ee4c7926a	e4882279-a340-46d2-8e77-0ace723384ed	CRITICAL_AUXILIARIES
27de738a-49b4-4c49-9136-0d0ee4c7926a	a6939f21-2a42-4bef-98a0-af4fe5353aed	LIGHTING
27de738a-49b4-4c49-9136-0d0ee4c7926a	eb9ad94c-6bed-470f-a01d-b3dac4979309	CRITICAL_POWER_DISTRIBUTION
27de738a-49b4-4c49-9136-0d0ee4c7926a	e2b7fc4d-d179-462b-94af-683e7595e439	CRAH
27de738a-49b4-4c49-9136-0d0ee4c7926a	8c7395a7-0a4a-4b93-9b18-8d8360c0f658	CRAC
27de738a-49b4-4c49-9136-0d0ee4c7926a	58f6a893-8476-45c5-b5fa-b0f9dbf810c1	CRAC_WITHOUT_FAN
27de738a-49b4-4c49-9136-0d0ee4c7926a	16038d46-417f-4ab9-8368-bb96295de0b2	CRAC_FAN
27de738a-49b4-4c49-9136-0d0ee4c7926a	b4d99f2b-92bd-49ec-9f3b-cc06629ec53b	CHILLER
27de738a-49b4-4c49-9136-0d0ee4c7926a	c764ace8-1330-4396-98f3-6b342c95980a	AIR_COOLED_CHILLER
27de738a-49b4-4c49-9136-0d0ee4c7926a	d9b324d4-58df-49ee-8b75-5112f4411431	COOLING_TOWER
27de738a-49b4-4c49-9136-0d0ee4c7926a	754e4f37-92df-4cc5-a9d1-53c278ab72cb	DRY_COOLER
27de738a-49b4-4c49-9136-0d0ee4c7926a	09c02bdf-ebc3-45b5-a78e-46cdb05ba965	REMOTE_CONDENSER
27de738a-49b4-4c49-9136-0d0ee4c7926a	9abeaa81-11d2-41b2-937a-50810a52780e	CHILLED_WATER_PUMPS
27de738a-49b4-4c49-9136-0d0ee4c7926a	7d573397-6010-49cf-8dd3-ad93dd9c4d9e	HEAT_REJECTION_PUMPS
27de738a-49b4-4c49-9136-0d0ee4c7926a	ded92879-ff5b-45a9-930b-2326120b55a3	VENTILATION
27de738a-49b4-4c49-9136-0d0ee4c7926a	38c84a23-9761-40f9-903f-ba430688c985	INFILTRATION
27de738a-49b4-4c49-9136-0d0ee4c7926a	290c40dd-fbd6-4fcf-ad28-30cebff88dd4	IT_LOAD
8bd8e002-9878-467e-914e-a5ef7f0a009d	25d71896-f659-4edb-9639-9d66e47ad948	SWITCHGEAR
8bd8e002-9878-467e-914e-a5ef7f0a009d	e0c0724a-fa15-4600-a4f4-eef59ff3d7d5	GENERATOR
8bd8e002-9878-467e-914e-a5ef7f0a009d	45a11634-27a7-4cd1-bc36-06f218468093	PRIMARY_AUXILIARIES
8bd8e002-9878-467e-914e-a5ef7f0a009d	f999aa69-9f88-4cee-bd70-152966432877	UPS
8bd8e002-9878-467e-914e-a5ef7f0a009d	750e7c78-3092-4244-8dd0-c10232e554e3	CRITICAL_AUXILIARIES
8bd8e002-9878-467e-914e-a5ef7f0a009d	1e8ba17c-980b-44ad-8e6d-7a8f50a43d0b	LIGHTING
8bd8e002-9878-467e-914e-a5ef7f0a009d	bdf8793e-16e5-4e88-8949-8f5ffede8b56	CRITICAL_POWER_DISTRIBUTION
8bd8e002-9878-467e-914e-a5ef7f0a009d	dc857bd7-baa1-4170-9d7a-04c0d69deb1e	CRAH
8bd8e002-9878-467e-914e-a5ef7f0a009d	00f0dd31-694c-473e-a0c6-24e7539441da	CRAC
8bd8e002-9878-467e-914e-a5ef7f0a009d	6d136a0d-6c2e-4d04-967c-aba7ca10137d	CRAC_WITHOUT_FAN
8bd8e002-9878-467e-914e-a5ef7f0a009d	b6fef66e-cb60-4e91-93eb-3f967fc8b2c0	CRAC_FAN
8bd8e002-9878-467e-914e-a5ef7f0a009d	b11465a7-b64f-474c-b817-f044093afd00	CHILLER
8bd8e002-9878-467e-914e-a5ef7f0a009d	9159184c-b4fa-489d-a9c6-abdcd260902a	AIR_COOLED_CHILLER
8bd8e002-9878-467e-914e-a5ef7f0a009d	e30b2f36-d917-44f8-8464-e15f1d51d922	COOLING_TOWER
8bd8e002-9878-467e-914e-a5ef7f0a009d	8291c243-5f9e-4a7b-8537-afe4322176fd	DRY_COOLER
8bd8e002-9878-467e-914e-a5ef7f0a009d	0ccc151c-dbec-405a-a07b-968dbbc1a4b3	REMOTE_CONDENSER
8bd8e002-9878-467e-914e-a5ef7f0a009d	0f47312a-c60a-4a92-99cd-367ad28fff8f	CHILLED_WATER_PUMPS
8bd8e002-9878-467e-914e-a5ef7f0a009d	7166f99e-b34e-4e07-9196-c52aa0bd9621	HEAT_REJECTION_PUMPS
8bd8e002-9878-467e-914e-a5ef7f0a009d	073d1097-a344-4a75-84e1-0f1036b0db18	VENTILATION
8bd8e002-9878-467e-914e-a5ef7f0a009d	ce7e78c3-ed8f-486d-912e-f7d8709ac48a	INFILTRATION
8bd8e002-9878-467e-914e-a5ef7f0a009d	8436fecf-acf3-4a26-92dc-bf5f5bfc7e12	IT_LOAD
862fb7ba-f91e-411a-8458-ea4b9bb64f94	c5e4495c-0433-4b4a-b159-7befc055be37	SWITCHGEAR
862fb7ba-f91e-411a-8458-ea4b9bb64f94	7a521ed5-2d6a-4a1f-a326-2e6f74ce36f1	GENERATOR
862fb7ba-f91e-411a-8458-ea4b9bb64f94	b4ebc25d-1fae-4d17-a562-7aaeb6d1471e	PRIMARY_AUXILIARIES
862fb7ba-f91e-411a-8458-ea4b9bb64f94	02f5cf33-7979-4187-81be-da24ae7ee218	UPS
862fb7ba-f91e-411a-8458-ea4b9bb64f94	afa82953-b938-456c-8fa0-7dbb39e2ccb8	CRITICAL_AUXILIARIES
862fb7ba-f91e-411a-8458-ea4b9bb64f94	0f6f591c-35ef-4713-802e-9d6d366386a0	LIGHTING
862fb7ba-f91e-411a-8458-ea4b9bb64f94	66039078-de5a-45c4-9599-daa9ede68298	CRITICAL_POWER_DISTRIBUTION
862fb7ba-f91e-411a-8458-ea4b9bb64f94	c23ef0f4-7da2-449b-9f75-f1f90c326602	CRAH
862fb7ba-f91e-411a-8458-ea4b9bb64f94	9605a21c-78c3-4f6d-934e-3777222bddb9	CRAC
862fb7ba-f91e-411a-8458-ea4b9bb64f94	cd2032c6-21d3-4d7d-8187-7b0e35a6c16c	CRAC_WITHOUT_FAN
862fb7ba-f91e-411a-8458-ea4b9bb64f94	905c2377-382c-4003-b4a7-b4a04076a1ab	CRAC_FAN
862fb7ba-f91e-411a-8458-ea4b9bb64f94	fbf725e5-746a-49c2-8201-20c50e979ddc	CHILLER
862fb7ba-f91e-411a-8458-ea4b9bb64f94	192407d9-c5ea-4dcc-8170-68ef50a1bc93	AIR_COOLED_CHILLER
862fb7ba-f91e-411a-8458-ea4b9bb64f94	672d0200-d627-489e-b42d-8ab7f47fe2c3	COOLING_TOWER
862fb7ba-f91e-411a-8458-ea4b9bb64f94	7670fde8-fab5-4d82-9160-be50a9be4b95	DRY_COOLER
862fb7ba-f91e-411a-8458-ea4b9bb64f94	c1924876-509d-4acd-befe-d675d5910c71	REMOTE_CONDENSER
862fb7ba-f91e-411a-8458-ea4b9bb64f94	9b989aab-fef7-4de0-8554-b04c98950dd7	CHILLED_WATER_PUMPS
862fb7ba-f91e-411a-8458-ea4b9bb64f94	916b6887-4649-4fda-abed-9de3989da862	HEAT_REJECTION_PUMPS
862fb7ba-f91e-411a-8458-ea4b9bb64f94	1502ec50-4a7a-412d-b8cb-508485daee16	VENTILATION
862fb7ba-f91e-411a-8458-ea4b9bb64f94	b75cde2a-9bd4-4e54-8627-85593a2e51cd	INFILTRATION
862fb7ba-f91e-411a-8458-ea4b9bb64f94	7179f088-ce5b-48be-a059-9f99e7041d84	IT_LOAD
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	e83215ce-3d2b-41e4-989a-8647943460cf	SWITCHGEAR
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	4795327f-6a2a-4c9b-9b44-3dfda241c539	GENERATOR
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	1292b46a-f0bf-41f2-8667-577f10685fdf	PRIMARY_AUXILIARIES
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	dee0067f-72f1-4310-b1c4-732ec3b8604a	UPS
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	3520e31e-5137-4fa6-99d2-0e3d79d663d5	CRITICAL_AUXILIARIES
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	6e611f13-aecc-4de5-ba8a-ec65bd0cb85d	LIGHTING
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	e6972b68-2555-4e65-b62b-ef205f9edbbc	CRITICAL_POWER_DISTRIBUTION
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	6200dccd-e5fb-43f1-af74-0fe02623e860	CRAH
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	137b4f90-b777-456b-80c1-e5dc123b2b28	CRAC
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	6680d8d6-d346-4d1c-b1fd-1ee6fa1c1df4	CRAC_WITHOUT_FAN
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	073475bb-79eb-40bc-960f-5ef3dbc1a500	CRAC_FAN
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	df3cdfb3-d9c0-4ed3-8a30-bb24434f07f7	CHILLER
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	c8ff7c31-5040-4daa-97e0-4a90eff65703	AIR_COOLED_CHILLER
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	84b98937-be88-4a07-bdcd-ac95a7979a6b	COOLING_TOWER
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	69ea93fd-7e66-470f-a0a2-1f6fcbd43355	DRY_COOLER
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	9fa5dd77-d26d-4b72-8acb-70d50ac383ff	REMOTE_CONDENSER
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	459912ea-2fd0-442e-b1ba-7c290668e494	CHILLED_WATER_PUMPS
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	95813e34-fb9e-4495-8c36-8cece8d9c91b	HEAT_REJECTION_PUMPS
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	6186a0b7-2e84-4db3-b160-73b9285b40db	VENTILATION
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	e7adfe73-b529-4ab6-ab73-2000cf97c815	INFILTRATION
33897b01-a2e8-4cfb-a82f-b585e1ef4ba4	448483bd-6abb-4eec-999b-671b87e60347	IT_LOAD
9c6eb1e4-61c9-4b12-8757-410452aa45a4	e8899aff-bdc6-49a5-ac51-bc4f32c39c4d	SWITCHGEAR
9c6eb1e4-61c9-4b12-8757-410452aa45a4	67b48cc3-7fa0-4055-805d-2c2c86234e58	GENERATOR
9c6eb1e4-61c9-4b12-8757-410452aa45a4	2408f973-1f16-4879-b616-a95a641864b3	PRIMARY_AUXILIARIES
9c6eb1e4-61c9-4b12-8757-410452aa45a4	5d7e47ef-9a64-4b91-8135-5aea45566276	UPS
9c6eb1e4-61c9-4b12-8757-410452aa45a4	adb613b7-deb4-422c-96da-3983f059fbd4	CRITICAL_AUXILIARIES
9c6eb1e4-61c9-4b12-8757-410452aa45a4	b412777e-b510-4a8b-8c9d-0388dc9f3077	LIGHTING
9c6eb1e4-61c9-4b12-8757-410452aa45a4	15c57587-a5fb-43be-acf6-7525ee153821	CRITICAL_POWER_DISTRIBUTION
9c6eb1e4-61c9-4b12-8757-410452aa45a4	45ae42a6-4fbd-4e02-8b27-22c7e29bb7c3	CRAH
9c6eb1e4-61c9-4b12-8757-410452aa45a4	3cc4c2e7-2f2c-4e88-ab4e-908ebffcbb96	CRAC
9c6eb1e4-61c9-4b12-8757-410452aa45a4	f52405de-efb7-4790-8df7-5ded55c68550	CRAC_WITHOUT_FAN
9c6eb1e4-61c9-4b12-8757-410452aa45a4	33b406c0-5d48-407d-b493-8444e77c2b68	CRAC_FAN
9c6eb1e4-61c9-4b12-8757-410452aa45a4	a1ff78d2-71d6-4195-a91d-ad16cbf8236c	CHILLER
9c6eb1e4-61c9-4b12-8757-410452aa45a4	a35227ee-bf3a-4ab7-90a9-cc831a104695	AIR_COOLED_CHILLER
9c6eb1e4-61c9-4b12-8757-410452aa45a4	5aa58712-6c09-42ae-8397-5c712802d428	COOLING_TOWER
9c6eb1e4-61c9-4b12-8757-410452aa45a4	8683964d-8828-493e-9203-66ed885deeb4	DRY_COOLER
9c6eb1e4-61c9-4b12-8757-410452aa45a4	665d595d-b3ab-4e5d-931d-ded3d8aa79a9	REMOTE_CONDENSER
9c6eb1e4-61c9-4b12-8757-410452aa45a4	345b26df-e39e-448f-87bd-179bedb575e5	CHILLED_WATER_PUMPS
9c6eb1e4-61c9-4b12-8757-410452aa45a4	d47765cb-bfd4-4f6a-89c7-1e019b30eabb	HEAT_REJECTION_PUMPS
9c6eb1e4-61c9-4b12-8757-410452aa45a4	1367ca85-7292-46f3-a587-06d8bbd95ba3	VENTILATION
9c6eb1e4-61c9-4b12-8757-410452aa45a4	8ae1a2fe-df19-4470-ba4a-2be4d0d7f7f7	INFILTRATION
9c6eb1e4-61c9-4b12-8757-410452aa45a4	13b24e8f-f2e8-4b93-a988-64a4e17641c2	IT_LOAD
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	506305cb-9ae4-4c38-a67d-4a8ee12d9c8a	SWITCHGEAR
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	51b5ce2a-4ad2-45b5-a7a9-8b49fb96f1cd	GENERATOR
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	205a2062-0628-4c36-a301-6a2ec0a3be8a	PRIMARY_AUXILIARIES
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	a9c48f3f-100a-44a4-b0f8-cf86226ce75d	UPS
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	28458459-7c70-46c7-a3c1-cb26e7c26c79	CRITICAL_AUXILIARIES
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	d7e81950-d333-476b-b8a9-22dd319744b8	LIGHTING
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	8906d59b-6add-48e3-ad87-91fbae4c5872	CRITICAL_POWER_DISTRIBUTION
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	816e6686-1647-4c32-812c-df2bbbd0e917	CRAH
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	f64c636a-6826-4f3f-aaf0-b8075147203f	CRAC
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	d3f3c995-7a82-4fb0-8994-39a72a1c3f46	CRAC_WITHOUT_FAN
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	2f6762cb-31f7-4ad5-9966-b065562042ec	CRAC_FAN
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	355edec8-08d6-4056-bc3f-8d9ab8034587	CHILLER
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	82fe8d53-6d16-47c2-87bc-ba2ff418e8db	AIR_COOLED_CHILLER
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	356dbe1b-d590-4c78-8e81-6d5d76ae28cf	COOLING_TOWER
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	85a47ba7-92d8-4c9d-b3fe-bf5667a43da1	DRY_COOLER
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	563ee79e-9b25-4c15-bdc9-41a1ba6e7921	REMOTE_CONDENSER
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	e37e5915-dc05-444c-8bb4-aabf68348b0f	CHILLED_WATER_PUMPS
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	88422556-31f0-480d-92ad-a1afc502ec29	HEAT_REJECTION_PUMPS
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	6cf29c40-15a8-4056-8118-bd3cda0fc20b	VENTILATION
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	0f61f549-4a89-4431-9dfe-f095cec1b5fa	INFILTRATION
3849e4db-1462-4336-8ff6-2d1f44ad6dfe	4c41b23f-62c6-4914-a497-f08d23b19d7f	IT_LOAD
17a535ff-1020-4040-bed2-1b573d1dc9f0	5ba06543-f8c4-40de-ac74-88af7e17838b	SWITCHGEAR
17a535ff-1020-4040-bed2-1b573d1dc9f0	edb92746-d7c8-45a5-96a0-cf10627f9940	GENERATOR
17a535ff-1020-4040-bed2-1b573d1dc9f0	3e6497a0-718c-40c7-90b8-45db10a6e7eb	PRIMARY_AUXILIARIES
17a535ff-1020-4040-bed2-1b573d1dc9f0	accaf0ef-5387-4452-9957-2389726fe1c0	UPS
17a535ff-1020-4040-bed2-1b573d1dc9f0	0af4ef6e-8b8c-4b61-8cde-3484aab93cf6	CRITICAL_AUXILIARIES
17a535ff-1020-4040-bed2-1b573d1dc9f0	dc737b88-9e78-4de4-bdba-8defc676f575	LIGHTING
17a535ff-1020-4040-bed2-1b573d1dc9f0	16bfe6bb-9b23-458a-8d4c-4882962047dd	CRITICAL_POWER_DISTRIBUTION
17a535ff-1020-4040-bed2-1b573d1dc9f0	59811c23-9809-4b61-842d-224690820e59	CRAH
17a535ff-1020-4040-bed2-1b573d1dc9f0	2504aa82-dbff-433a-b61c-99884576794f	CRAC
17a535ff-1020-4040-bed2-1b573d1dc9f0	ccf7b617-e158-42ed-b3f1-41b6af5c0e29	CRAC_WITHOUT_FAN
17a535ff-1020-4040-bed2-1b573d1dc9f0	3977cbbc-0d02-43e8-89fd-b46175c24ceb	CRAC_FAN
17a535ff-1020-4040-bed2-1b573d1dc9f0	2bf6eded-c85e-47f8-b890-a4aebadfe46b	CHILLER
17a535ff-1020-4040-bed2-1b573d1dc9f0	3725387c-225a-4d97-b000-5b5501f85930	AIR_COOLED_CHILLER
17a535ff-1020-4040-bed2-1b573d1dc9f0	9596881a-3df7-4fb4-94e7-5faade042218	COOLING_TOWER
17a535ff-1020-4040-bed2-1b573d1dc9f0	8fabed26-9622-41e7-a778-5db55d438e2e	DRY_COOLER
17a535ff-1020-4040-bed2-1b573d1dc9f0	27a4720b-d0fd-4a6f-8d20-04816fc48040	REMOTE_CONDENSER
17a535ff-1020-4040-bed2-1b573d1dc9f0	80441ec9-7b54-4c05-b931-bdc42f9ab865	CHILLED_WATER_PUMPS
17a535ff-1020-4040-bed2-1b573d1dc9f0	377047d5-fdce-4247-a6aa-37cd6c9f8a08	HEAT_REJECTION_PUMPS
17a535ff-1020-4040-bed2-1b573d1dc9f0	22f0b134-6ee7-4757-b4ed-515e4172ce4a	VENTILATION
17a535ff-1020-4040-bed2-1b573d1dc9f0	2f1afaab-e31f-46ab-b534-e723dc978dfb	INFILTRATION
17a535ff-1020-4040-bed2-1b573d1dc9f0	885355ff-3729-4cf1-af5e-9197a7603c3e	IT_LOAD
0d07807d-204d-4e7d-a691-4561b079d42b	ab9cfc13-525e-429c-837f-d337d326bc51	SWITCHGEAR
0d07807d-204d-4e7d-a691-4561b079d42b	b182a1e9-0f39-4e49-b40f-f8acfc17f27f	GENERATOR
0d07807d-204d-4e7d-a691-4561b079d42b	9c328619-2ab9-4e63-a4e7-4c02226b47bd	PRIMARY_AUXILIARIES
0d07807d-204d-4e7d-a691-4561b079d42b	b86cdb59-916a-44f3-a6be-ae86fbf186ae	UPS
0d07807d-204d-4e7d-a691-4561b079d42b	f6880120-f993-4b7a-b5df-a5ccb0d08c38	CRITICAL_AUXILIARIES
0d07807d-204d-4e7d-a691-4561b079d42b	85129081-e77a-469b-80a4-683c6813ed66	LIGHTING
0d07807d-204d-4e7d-a691-4561b079d42b	5e6f89f8-9ac1-450c-b068-203559570168	CRITICAL_POWER_DISTRIBUTION
0d07807d-204d-4e7d-a691-4561b079d42b	6259fedf-6f24-4a52-9d23-78de8468cc96	CRAH
0d07807d-204d-4e7d-a691-4561b079d42b	f750f0c8-b026-45c5-90b9-c01a2f0ee2e6	CRAC
0d07807d-204d-4e7d-a691-4561b079d42b	ff171048-587b-4275-b125-41e54b2b0cea	CRAC_WITHOUT_FAN
0d07807d-204d-4e7d-a691-4561b079d42b	cf1f1538-83ad-4529-ba38-f0d620bbbbdb	CRAC_FAN
0d07807d-204d-4e7d-a691-4561b079d42b	0df60e12-2eda-4a90-840a-bacbf4db201e	CHILLER
0d07807d-204d-4e7d-a691-4561b079d42b	c270fe99-9d0c-4db7-b210-6d2f72b3b167	AIR_COOLED_CHILLER
0d07807d-204d-4e7d-a691-4561b079d42b	c1d54b2b-f7fd-4db0-8c1e-f214e1a11064	COOLING_TOWER
0d07807d-204d-4e7d-a691-4561b079d42b	3247a428-d7b2-44ab-89b9-6257571c4219	DRY_COOLER
0d07807d-204d-4e7d-a691-4561b079d42b	89551765-42fb-42b6-bd0f-75bab36ffab0	REMOTE_CONDENSER
0d07807d-204d-4e7d-a691-4561b079d42b	8a3c3a43-627c-406f-bf03-b7a690340997	CHILLED_WATER_PUMPS
0d07807d-204d-4e7d-a691-4561b079d42b	01bbe0a0-2a43-44bb-a18f-22f71aff7121	HEAT_REJECTION_PUMPS
0d07807d-204d-4e7d-a691-4561b079d42b	367a79c1-6b70-4fb9-bdb9-b215038aead7	VENTILATION
0d07807d-204d-4e7d-a691-4561b079d42b	ff006a20-814b-4ab2-9928-cd30e6e83d69	INFILTRATION
0d07807d-204d-4e7d-a691-4561b079d42b	880d46d3-5b8e-449d-a47e-85d666debc36	IT_LOAD
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	f1dfbab1-eec4-407c-b0ee-7e830eb55793	SWITCHGEAR
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	3d4d3abb-d7dd-4210-a2c6-f36ced961f65	GENERATOR
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	d6610652-272c-4da4-a306-4ea306e8a810	PRIMARY_AUXILIARIES
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	0f1eedc7-42ee-4baf-80db-4af1e19f90ea	UPS
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	dd5fcc45-50a7-457a-990e-1ced13e3942f	CRITICAL_AUXILIARIES
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	d91665ad-1a4d-42e4-a210-d290b33d9a9d	LIGHTING
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	5c63458f-ef33-44ad-9bba-a782cbc118cc	CRITICAL_POWER_DISTRIBUTION
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	4ec04034-60a4-445a-becb-5f11d82291e6	CRAH
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	6e08e63d-8da7-4937-94d6-ada20bce8fbf	CRAC
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	ab9cd135-96f5-45ba-8946-3878bdf554ea	CRAC_WITHOUT_FAN
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	1b00665d-d1c1-4ee0-aabf-b17aa3cd3f30	CRAC_FAN
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	b140602e-ba56-4c48-949f-1648ee937d2a	CHILLER
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	21772283-a8a1-4697-b344-f246b70a691f	AIR_COOLED_CHILLER
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	67f0f0fa-206b-4899-b983-34f2eb2fae4e	COOLING_TOWER
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	e1b5e000-cb9b-4e7f-8381-83ea762ea1a8	DRY_COOLER
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	592636f5-5cca-4819-b1a5-b8b0f245dbe7	REMOTE_CONDENSER
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	bc7d5c3e-9f46-4a7d-9915-6da4ed14f570	CHILLED_WATER_PUMPS
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	cb45a028-1ca4-4df6-8815-ab0840f7d7ad	HEAT_REJECTION_PUMPS
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	89722850-0439-4805-a666-385a3a7e03c9	VENTILATION
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	f1cbac8d-1f19-46cc-9fce-4f630c113814	INFILTRATION
ba2a7f53-3e93-43d4-85dd-ad1c657f8705	db5de097-cc01-48fb-97e9-317039408a54	IT_LOAD
bd8a3142-f001-4caf-af38-943c8734a2ae	d9a78ea8-3691-4af7-b890-c5a990aecc8b	SWITCHGEAR
bd8a3142-f001-4caf-af38-943c8734a2ae	49687437-f6a4-41c1-b242-8561f478e565	GENERATOR
bd8a3142-f001-4caf-af38-943c8734a2ae	c085dfb1-d3a8-4072-8d39-3eed9e532802	PRIMARY_AUXILIARIES
bd8a3142-f001-4caf-af38-943c8734a2ae	e5080eeb-8c67-4eba-883f-16485e6f618e	UPS
bd8a3142-f001-4caf-af38-943c8734a2ae	8412bc97-0523-45f6-9174-1ddbe8831ff3	CRITICAL_AUXILIARIES
bd8a3142-f001-4caf-af38-943c8734a2ae	68d0d898-3022-4d28-a2c9-06a41ca601a0	LIGHTING
bd8a3142-f001-4caf-af38-943c8734a2ae	d1cf6a1c-4aaa-4a3e-891d-1e155ddee71d	CRITICAL_POWER_DISTRIBUTION
bd8a3142-f001-4caf-af38-943c8734a2ae	73bc52a7-8fd2-4af0-b54a-baa3969ccd58	CRAH
bd8a3142-f001-4caf-af38-943c8734a2ae	0f290df7-140a-4919-a3c9-88855e0745e0	CRAC
bd8a3142-f001-4caf-af38-943c8734a2ae	45b9fa00-9ed7-474d-9042-88a967a7aeda	CRAC_WITHOUT_FAN
bd8a3142-f001-4caf-af38-943c8734a2ae	b6185ad0-f885-474b-ba2d-97b1a156b176	CRAC_FAN
bd8a3142-f001-4caf-af38-943c8734a2ae	e02652a7-069d-4ef9-a9f4-88e922553130	CHILLER
bd8a3142-f001-4caf-af38-943c8734a2ae	de30cbfd-2de0-4ec3-91c9-249f096336d5	AIR_COOLED_CHILLER
bd8a3142-f001-4caf-af38-943c8734a2ae	507b3785-f2de-428e-87d8-c82a47bdea2a	COOLING_TOWER
bd8a3142-f001-4caf-af38-943c8734a2ae	7d89a233-c45b-4475-9d78-0ddb07396ebf	DRY_COOLER
bd8a3142-f001-4caf-af38-943c8734a2ae	b2307c2b-f854-4ce5-930b-f1bc8fadb838	REMOTE_CONDENSER
bd8a3142-f001-4caf-af38-943c8734a2ae	46524bf6-36de-43a2-bb8e-664337357158	CHILLED_WATER_PUMPS
bd8a3142-f001-4caf-af38-943c8734a2ae	5a60fef0-3393-47bc-9926-534cd39e0e8d	HEAT_REJECTION_PUMPS
bd8a3142-f001-4caf-af38-943c8734a2ae	5bff550f-23ac-4ca5-8084-141f23ecb8d1	VENTILATION
bd8a3142-f001-4caf-af38-943c8734a2ae	7d9ba544-a5a2-4f5b-9f89-3a2946f77767	INFILTRATION
bd8a3142-f001-4caf-af38-943c8734a2ae	41e2e435-021f-4a2b-af6c-caec24291ff9	IT_LOAD
42735a64-0ebb-4df2-8d27-34da3dffda0b	ee9b4ee9-f3c0-41e9-8ee7-f2c92b79ece2	SWITCHGEAR
42735a64-0ebb-4df2-8d27-34da3dffda0b	4bc27890-1774-438e-b8d7-7fc4361dc5dc	GENERATOR
42735a64-0ebb-4df2-8d27-34da3dffda0b	dd19991d-a997-4e21-91bc-6465a4147753	PRIMARY_AUXILIARIES
42735a64-0ebb-4df2-8d27-34da3dffda0b	699a64b4-9dd8-4e46-bf5a-cb54ba516eeb	UPS
42735a64-0ebb-4df2-8d27-34da3dffda0b	0901ccfc-a0f6-48ee-a4c0-958413325016	CRITICAL_AUXILIARIES
42735a64-0ebb-4df2-8d27-34da3dffda0b	46049750-628e-4e3c-bca1-ffafcea9aec7	LIGHTING
42735a64-0ebb-4df2-8d27-34da3dffda0b	05b39a69-b08d-4350-a03a-a75921203046	CRITICAL_POWER_DISTRIBUTION
42735a64-0ebb-4df2-8d27-34da3dffda0b	3312e229-13c9-4546-a5ca-bf0a00826271	CRAH
42735a64-0ebb-4df2-8d27-34da3dffda0b	3b51c11e-074a-473c-9cac-a246147114bf	CRAC
42735a64-0ebb-4df2-8d27-34da3dffda0b	e5611983-b444-4d28-9cdd-ecf98aee1518	CRAC_WITHOUT_FAN
42735a64-0ebb-4df2-8d27-34da3dffda0b	f3386393-72c1-4791-9585-29fdc43debf6	CRAC_FAN
42735a64-0ebb-4df2-8d27-34da3dffda0b	183f4059-e6c3-4b20-add4-e63f247b1167	CHILLER
42735a64-0ebb-4df2-8d27-34da3dffda0b	c3586852-af40-497b-8f6f-0ebc558a7d9f	AIR_COOLED_CHILLER
42735a64-0ebb-4df2-8d27-34da3dffda0b	996ac37e-899b-4270-8b2b-e3a27a0166a9	COOLING_TOWER
42735a64-0ebb-4df2-8d27-34da3dffda0b	8d712190-9094-4660-8698-09d490de56f0	DRY_COOLER
42735a64-0ebb-4df2-8d27-34da3dffda0b	8c9c3ad0-c4e4-43b0-a1cd-cb3e874b46a0	REMOTE_CONDENSER
42735a64-0ebb-4df2-8d27-34da3dffda0b	b2e726b9-13b0-4c17-bbec-ed23d733d8be	CHILLED_WATER_PUMPS
42735a64-0ebb-4df2-8d27-34da3dffda0b	6b8f3588-6117-4ec0-aca6-7e6250432574	HEAT_REJECTION_PUMPS
42735a64-0ebb-4df2-8d27-34da3dffda0b	0c8f54b5-b6d4-4c3f-9acb-b06144fb8c76	VENTILATION
42735a64-0ebb-4df2-8d27-34da3dffda0b	33973f3c-837a-4433-9e81-88f83fe6b7fa	INFILTRATION
42735a64-0ebb-4df2-8d27-34da3dffda0b	35ba601f-783f-42a6-928d-3df76848c5c6	IT_LOAD
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	e36e9275-6a70-4bb6-b2c4-0448bc56338a	SWITCHGEAR
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	378f79fb-c99f-4e93-8c49-bd0da36d73dc	GENERATOR
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	ba286729-c5b2-495c-8890-e422d14839b9	PRIMARY_AUXILIARIES
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	83b747b6-415d-4ded-a3b2-9a1a0091b2b8	UPS
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	b6e9db13-5645-40b8-ad1c-d378599009dc	CRITICAL_AUXILIARIES
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	9f06db40-18af-4a0b-9ca4-8e34e349c5ea	LIGHTING
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	15446596-8c8c-4170-a7ea-f00f46ef84b2	CRITICAL_POWER_DISTRIBUTION
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	fba45f27-968e-4b5a-bbe4-200b31437b86	CRAH
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	a3922638-3577-4059-85f6-8ab2b3271077	CRAC
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	faa25394-e48a-41f4-abdf-9cb0246ae5ec	CRAC_WITHOUT_FAN
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	4c9d38a1-9d0e-40f8-85ce-db0f04fb1c6a	CRAC_FAN
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	ab1b7115-fe0b-41cc-b8d3-4a31f4d0cf58	CHILLER
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	a5266415-a940-4227-9a46-131214f65cdb	AIR_COOLED_CHILLER
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	bc8e8551-2d80-4bca-94fa-7a88b21a22a3	COOLING_TOWER
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	57df1dad-b162-454a-b3f2-b5c9f48e3a64	DRY_COOLER
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	c98db75f-273a-49ff-a3a6-fe3aeaea8164	REMOTE_CONDENSER
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	6c97d298-3405-4387-80ff-f0fcecc2c3fd	CHILLED_WATER_PUMPS
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	087eab62-d795-4cdb-9b5d-7dc04270262b	HEAT_REJECTION_PUMPS
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	a3b299af-f24d-46b3-a626-937e05ae86ad	VENTILATION
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	7c462729-7538-4ec3-b95c-93b3fe71aa14	INFILTRATION
ebcfc04e-f628-4af5-87b2-c7c939bb9a9c	a84a27f9-ea74-4bdf-889d-c9702d4feb1f	IT_LOAD
da0399f2-874a-40ba-bcdd-1bc0d6126258	59909261-d104-4fcb-b8b6-0467ae8435ff	SWITCHGEAR
da0399f2-874a-40ba-bcdd-1bc0d6126258	6c208ab1-d4bb-4a52-86ab-ade331698c64	GENERATOR
da0399f2-874a-40ba-bcdd-1bc0d6126258	9014e81f-43be-417f-8ebd-32985d6853bf	PRIMARY_AUXILIARIES
da0399f2-874a-40ba-bcdd-1bc0d6126258	269cb931-0c29-4679-be74-87be8f17cb0c	UPS
da0399f2-874a-40ba-bcdd-1bc0d6126258	384f43e2-fc6a-4172-b16a-8176a8989b32	CRITICAL_AUXILIARIES
da0399f2-874a-40ba-bcdd-1bc0d6126258	35a9503b-dc0c-4c05-989b-7dcf6eee91e2	LIGHTING
da0399f2-874a-40ba-bcdd-1bc0d6126258	fd73622f-1221-472d-b34f-edc3933260e9	CRITICAL_POWER_DISTRIBUTION
da0399f2-874a-40ba-bcdd-1bc0d6126258	aa5146cc-c9eb-4ee5-b41b-21233d2c7531	CRAH
da0399f2-874a-40ba-bcdd-1bc0d6126258	763777ae-d43e-4db3-9f09-f8b8785aeca4	CRAC
da0399f2-874a-40ba-bcdd-1bc0d6126258	b9afbaa0-0cd2-42d7-88c3-84298896aaf5	CRAC_WITHOUT_FAN
da0399f2-874a-40ba-bcdd-1bc0d6126258	3f93b1e7-7bc8-4705-b782-bea023036e73	CRAC_FAN
da0399f2-874a-40ba-bcdd-1bc0d6126258	0f0e8a9b-129f-47a5-8e44-a6fdfefa14a6	CHILLER
da0399f2-874a-40ba-bcdd-1bc0d6126258	de543d3c-689a-4368-b7dc-653b6195a4a0	AIR_COOLED_CHILLER
da0399f2-874a-40ba-bcdd-1bc0d6126258	d2773ab2-aec9-4f2f-a52e-f0d9516d1a16	COOLING_TOWER
da0399f2-874a-40ba-bcdd-1bc0d6126258	1dad96fc-5b2c-4fcc-aae0-6caad51dbfa5	DRY_COOLER
da0399f2-874a-40ba-bcdd-1bc0d6126258	cc715d47-4188-409d-94d1-3fefada11ba8	REMOTE_CONDENSER
da0399f2-874a-40ba-bcdd-1bc0d6126258	50433031-5ecf-4a26-b495-f5b710a3f086	CHILLED_WATER_PUMPS
da0399f2-874a-40ba-bcdd-1bc0d6126258	282c5542-8319-4334-a568-1125b927da06	HEAT_REJECTION_PUMPS
da0399f2-874a-40ba-bcdd-1bc0d6126258	c7626634-2b16-4223-a2c7-7e96c5d5d0f7	VENTILATION
da0399f2-874a-40ba-bcdd-1bc0d6126258	59b38306-9a41-4e51-8c87-b74564f75e64	INFILTRATION
da0399f2-874a-40ba-bcdd-1bc0d6126258	f4d46e5c-327b-4e74-b27e-b390b529873b	IT_LOAD
00a33705-f139-4ea6-9a89-ef536a353158	199123e7-d91c-45b0-932d-9389bbebc20c	SWITCHGEAR
00a33705-f139-4ea6-9a89-ef536a353158	dfa7b3bd-b02e-4ce7-a019-3956af645eb7	GENERATOR
00a33705-f139-4ea6-9a89-ef536a353158	0573cd05-2486-41f1-bd24-a30a9ae247e4	PRIMARY_AUXILIARIES
00a33705-f139-4ea6-9a89-ef536a353158	bde4ac2b-56cf-425d-b000-226de4f6063a	UPS
00a33705-f139-4ea6-9a89-ef536a353158	d3110225-7efe-498d-9774-d98519268be4	CRITICAL_AUXILIARIES
00a33705-f139-4ea6-9a89-ef536a353158	a0465e2e-b650-43f1-80d5-a033ada88eb3	LIGHTING
00a33705-f139-4ea6-9a89-ef536a353158	c0435ea2-f17c-4653-b37f-23dac07f86ad	CRITICAL_POWER_DISTRIBUTION
00a33705-f139-4ea6-9a89-ef536a353158	7bd7b204-d512-4819-9f01-df97a52618b3	CRAH
00a33705-f139-4ea6-9a89-ef536a353158	ab1b3862-660d-4e82-af5b-8c520494a718	CRAC
00a33705-f139-4ea6-9a89-ef536a353158	8c56e40a-ff38-46fd-bf4f-316097740175	CRAC_WITHOUT_FAN
00a33705-f139-4ea6-9a89-ef536a353158	ca876ec9-a6a5-45c6-a52e-1b114bf06766	CRAC_FAN
00a33705-f139-4ea6-9a89-ef536a353158	6d383c90-0b53-46e2-8f26-c7eabe765cf6	CHILLER
00a33705-f139-4ea6-9a89-ef536a353158	efad6611-7599-46fa-a3a2-89dc854df5af	AIR_COOLED_CHILLER
00a33705-f139-4ea6-9a89-ef536a353158	0c9cee63-69eb-4c68-8fe8-15114ddf20e6	COOLING_TOWER
00a33705-f139-4ea6-9a89-ef536a353158	be038714-b602-49ce-8bb8-04f813668780	DRY_COOLER
00a33705-f139-4ea6-9a89-ef536a353158	2816940a-e04d-46d0-9594-3a628a7827e2	REMOTE_CONDENSER
00a33705-f139-4ea6-9a89-ef536a353158	91b70dc4-5665-43c2-bd70-5aaaf69249d8	CHILLED_WATER_PUMPS
00a33705-f139-4ea6-9a89-ef536a353158	22e7523d-67ef-446b-a374-1d4bb2cc2391	HEAT_REJECTION_PUMPS
00a33705-f139-4ea6-9a89-ef536a353158	a4e1a6e9-e873-4b1a-ac9e-4be245c2c296	VENTILATION
00a33705-f139-4ea6-9a89-ef536a353158	da24d60d-7385-4183-993c-76f9fc93d43a	INFILTRATION
00a33705-f139-4ea6-9a89-ef536a353158	0ea3a0f9-3b7b-4963-b11c-03477ce0eacf	IT_LOAD
d4af7df9-bfc0-45a0-ba76-b072adb70995	df31d46d-34c3-463b-8ae6-862a769da39a	SWITCHGEAR
d4af7df9-bfc0-45a0-ba76-b072adb70995	57e23083-89f1-4d7e-96e2-550a23035bbb	GENERATOR
d4af7df9-bfc0-45a0-ba76-b072adb70995	d000ab68-6d40-4e20-9d5a-8677ecf4e5c3	PRIMARY_AUXILIARIES
d4af7df9-bfc0-45a0-ba76-b072adb70995	87e3efb1-d631-4b30-97bb-800b6e7aa9e7	UPS
d4af7df9-bfc0-45a0-ba76-b072adb70995	b05f1548-68a6-44da-a85e-edb16cebe253	CRITICAL_AUXILIARIES
d4af7df9-bfc0-45a0-ba76-b072adb70995	742e6946-a0a9-4e90-b1a3-ac9ab05dbd17	LIGHTING
d4af7df9-bfc0-45a0-ba76-b072adb70995	b027131a-e823-43d9-a5c3-885ed27731cf	CRITICAL_POWER_DISTRIBUTION
d4af7df9-bfc0-45a0-ba76-b072adb70995	2f363304-2e40-4b1a-8b6e-4cd04dd91124	CRAH
d4af7df9-bfc0-45a0-ba76-b072adb70995	74cffb3b-54c1-4dea-9103-9788591035d6	CRAC
d4af7df9-bfc0-45a0-ba76-b072adb70995	33a97dce-1f2f-42f7-9962-e6de4296da4b	CRAC_WITHOUT_FAN
d4af7df9-bfc0-45a0-ba76-b072adb70995	431571b6-91ce-4ad8-83ab-8bd2bad8a3cd	CRAC_FAN
d4af7df9-bfc0-45a0-ba76-b072adb70995	79ab0127-4d00-42b6-97ef-ed71ccd7b417	CHILLER
d4af7df9-bfc0-45a0-ba76-b072adb70995	8fb9d2ff-389e-40f5-9b06-f0db55735cb4	AIR_COOLED_CHILLER
d4af7df9-bfc0-45a0-ba76-b072adb70995	58c1532c-dcbf-4a7d-8c86-b99f3fc97777	COOLING_TOWER
d4af7df9-bfc0-45a0-ba76-b072adb70995	8f4fdf2b-45a0-4f00-8cad-21c573d58c97	DRY_COOLER
d4af7df9-bfc0-45a0-ba76-b072adb70995	1856b7f4-8114-4a54-bf81-0cd7f8965ff9	REMOTE_CONDENSER
d4af7df9-bfc0-45a0-ba76-b072adb70995	5fdf5097-e72a-4d69-8ce2-b19753425fff	CHILLED_WATER_PUMPS
d4af7df9-bfc0-45a0-ba76-b072adb70995	5bb03b32-4948-4537-ae8b-fcfb7ac5e472	HEAT_REJECTION_PUMPS
d4af7df9-bfc0-45a0-ba76-b072adb70995	73f19825-ddb4-4e0d-8f45-c896ab8046d7	VENTILATION
d4af7df9-bfc0-45a0-ba76-b072adb70995	46a4a38b-7c0d-4088-b6ac-79445eb307a1	INFILTRATION
d4af7df9-bfc0-45a0-ba76-b072adb70995	9876c88b-ee2e-4356-8a21-61471593e507	IT_LOAD
753ac5b4-90c8-4467-9f63-e46208f37ad5	a5f2ad90-9027-404b-84e4-bfcb7fbd65d1	SWITCHGEAR
753ac5b4-90c8-4467-9f63-e46208f37ad5	989b325b-d4e0-4656-82d4-846b2010bbc1	GENERATOR
753ac5b4-90c8-4467-9f63-e46208f37ad5	27f062a2-e596-4af5-89a0-27a18cb7cae2	PRIMARY_AUXILIARIES
753ac5b4-90c8-4467-9f63-e46208f37ad5	97c8669a-ec95-40b4-8d3e-05a7b9e383c1	UPS
753ac5b4-90c8-4467-9f63-e46208f37ad5	ae2552a5-492d-4b53-9007-b2653237ea0e	CRITICAL_AUXILIARIES
753ac5b4-90c8-4467-9f63-e46208f37ad5	b7d273e2-9edd-4c43-af76-85c2b6c48dad	LIGHTING
753ac5b4-90c8-4467-9f63-e46208f37ad5	7ff93642-aeac-427c-ba4e-7f606a434a39	CRITICAL_POWER_DISTRIBUTION
753ac5b4-90c8-4467-9f63-e46208f37ad5	2cb2825a-48f2-4c2c-8fcd-fb4c8da7e4c1	CRAH
753ac5b4-90c8-4467-9f63-e46208f37ad5	b0cf4ae9-a8fc-4db7-8bf0-d0d48c3144e8	CRAC
753ac5b4-90c8-4467-9f63-e46208f37ad5	66b34b99-5aaf-4a35-95f1-22a118418a62	CRAC_WITHOUT_FAN
753ac5b4-90c8-4467-9f63-e46208f37ad5	af8d11c5-d267-44f4-bbb4-921f3fa6382b	CRAC_FAN
753ac5b4-90c8-4467-9f63-e46208f37ad5	ef3fdf7e-2070-4dbc-b80c-0dfc22e575bc	CHILLER
753ac5b4-90c8-4467-9f63-e46208f37ad5	4a6e472b-5e11-47e3-bd20-2491157a1e63	AIR_COOLED_CHILLER
753ac5b4-90c8-4467-9f63-e46208f37ad5	637aa894-1ccc-418f-90de-d5918f4e7512	COOLING_TOWER
753ac5b4-90c8-4467-9f63-e46208f37ad5	a934a3ac-e7fc-4bd8-acc7-e135a41dac18	DRY_COOLER
753ac5b4-90c8-4467-9f63-e46208f37ad5	bc17f135-7da5-4857-98ed-28653ed7b8d3	REMOTE_CONDENSER
753ac5b4-90c8-4467-9f63-e46208f37ad5	af446201-ec10-485e-928f-02b4b82a19f7	CHILLED_WATER_PUMPS
753ac5b4-90c8-4467-9f63-e46208f37ad5	3a59d82f-b347-455a-a741-c1728a8b515c	HEAT_REJECTION_PUMPS
753ac5b4-90c8-4467-9f63-e46208f37ad5	20f09f08-8d90-4b4b-a21a-25aa34a439b8	VENTILATION
753ac5b4-90c8-4467-9f63-e46208f37ad5	d2f389d5-8f7a-442d-83d6-54efe6db853a	INFILTRATION
753ac5b4-90c8-4467-9f63-e46208f37ad5	a09f49c0-217d-47a8-b4dd-5cfd63744ca2	IT_LOAD
e41fa29d-ff2c-4050-ab33-580d7556fcd3	f65eb979-1136-449e-af45-f33fc9155eb6	SWITCHGEAR
e41fa29d-ff2c-4050-ab33-580d7556fcd3	558143ef-cf69-4000-83bf-e3686822b3b3	GENERATOR
e41fa29d-ff2c-4050-ab33-580d7556fcd3	b5af0f17-8156-4683-94d7-93fa222c7975	PRIMARY_AUXILIARIES
e41fa29d-ff2c-4050-ab33-580d7556fcd3	b14391c3-4ec1-43d0-afdf-f4207af1af91	UPS
e41fa29d-ff2c-4050-ab33-580d7556fcd3	57fa1e55-13b6-46f4-a838-0fabc5efc490	CRITICAL_AUXILIARIES
e41fa29d-ff2c-4050-ab33-580d7556fcd3	9ab026a7-f803-4278-a7d0-efb8904290d7	LIGHTING
e41fa29d-ff2c-4050-ab33-580d7556fcd3	b141a127-ca95-49b9-881b-473ca20d277e	CRITICAL_POWER_DISTRIBUTION
e41fa29d-ff2c-4050-ab33-580d7556fcd3	aa6ec882-b8ca-4a62-9771-41773189c2f5	CRAH
e41fa29d-ff2c-4050-ab33-580d7556fcd3	491f1cc4-1a0d-4812-bdd3-e5a5347e6448	CRAC
e41fa29d-ff2c-4050-ab33-580d7556fcd3	3a3ab9d7-1688-4098-94e1-8f81910a3565	CRAC_WITHOUT_FAN
e41fa29d-ff2c-4050-ab33-580d7556fcd3	a06a812b-6dff-4635-90b5-c5a159a52299	CRAC_FAN
e41fa29d-ff2c-4050-ab33-580d7556fcd3	3b81d0e1-971e-4385-aec7-45571350a83c	CHILLER
e41fa29d-ff2c-4050-ab33-580d7556fcd3	a0f968ce-4579-4102-866f-6f61ed025c10	AIR_COOLED_CHILLER
e41fa29d-ff2c-4050-ab33-580d7556fcd3	96efd42c-7896-4b28-ac2f-ae5191544748	COOLING_TOWER
e41fa29d-ff2c-4050-ab33-580d7556fcd3	a898caf1-f989-4d94-8b93-cee52d85348e	DRY_COOLER
e41fa29d-ff2c-4050-ab33-580d7556fcd3	214c0e32-cd04-49e0-b46a-7871f1e36567	REMOTE_CONDENSER
e41fa29d-ff2c-4050-ab33-580d7556fcd3	63d895bb-e05b-49e6-a59f-cb796d18b04c	CHILLED_WATER_PUMPS
e41fa29d-ff2c-4050-ab33-580d7556fcd3	d05bf9a1-f37d-44b2-9b57-33dc14ca67c2	HEAT_REJECTION_PUMPS
e41fa29d-ff2c-4050-ab33-580d7556fcd3	f22b7b5a-105e-4f65-a9aa-90f9f332fc2b	VENTILATION
e41fa29d-ff2c-4050-ab33-580d7556fcd3	26fc39af-d136-487d-9fc4-6d4641dacf5c	INFILTRATION
e41fa29d-ff2c-4050-ab33-580d7556fcd3	98542323-f7ce-4658-8658-bdeb07e05f75	IT_LOAD
08da942f-ca8e-43e5-b032-32c5b6b3b34b	1324d38b-6c54-4a4f-9faf-2f97e2a017ff	SWITCHGEAR
08da942f-ca8e-43e5-b032-32c5b6b3b34b	fe8dd18b-f6e7-4ed8-b926-8fa6e4661d03	GENERATOR
08da942f-ca8e-43e5-b032-32c5b6b3b34b	8042b2fc-f3d6-4c31-884b-2f2f85ad5acf	PRIMARY_AUXILIARIES
08da942f-ca8e-43e5-b032-32c5b6b3b34b	3f66a3a2-5ab7-4e5e-bcb3-61a7001ba046	UPS
08da942f-ca8e-43e5-b032-32c5b6b3b34b	2103f0fb-e3a9-4660-a741-763a1003c554	CRITICAL_AUXILIARIES
08da942f-ca8e-43e5-b032-32c5b6b3b34b	20b34197-3eeb-498d-9855-5f06d556ed20	LIGHTING
08da942f-ca8e-43e5-b032-32c5b6b3b34b	6d933e8a-8549-45c9-8af8-c88da00f5bb5	CRITICAL_POWER_DISTRIBUTION
08da942f-ca8e-43e5-b032-32c5b6b3b34b	807397a8-36d7-4f28-abab-28afbdeaaefa	CRAH
08da942f-ca8e-43e5-b032-32c5b6b3b34b	d9ff4256-bd76-41e4-834b-c5f8d3343830	CRAC
08da942f-ca8e-43e5-b032-32c5b6b3b34b	0c047681-b059-4b79-8614-563ad0f2bbf5	CRAC_WITHOUT_FAN
08da942f-ca8e-43e5-b032-32c5b6b3b34b	e7c446ec-49ec-4150-a5be-b72917420db3	CRAC_FAN
08da942f-ca8e-43e5-b032-32c5b6b3b34b	31af1397-ab8a-4c17-be52-0841833d8d49	CHILLER
08da942f-ca8e-43e5-b032-32c5b6b3b34b	b46fc1ac-7025-4516-9afe-0f06c0e176ea	AIR_COOLED_CHILLER
08da942f-ca8e-43e5-b032-32c5b6b3b34b	1be54c05-8c8c-4a86-b7f7-b32bbc00f8c0	COOLING_TOWER
08da942f-ca8e-43e5-b032-32c5b6b3b34b	8db0dad3-eccf-440f-896e-b7bc3e736c99	DRY_COOLER
08da942f-ca8e-43e5-b032-32c5b6b3b34b	f89c2636-cc16-40ab-a7f2-908caaa7bbe0	REMOTE_CONDENSER
08da942f-ca8e-43e5-b032-32c5b6b3b34b	38a8433f-6f06-47ee-b27b-81c6207823ce	CHILLED_WATER_PUMPS
08da942f-ca8e-43e5-b032-32c5b6b3b34b	deba9419-3d46-46f9-bded-5864e9412152	HEAT_REJECTION_PUMPS
08da942f-ca8e-43e5-b032-32c5b6b3b34b	9c131268-9f36-4663-acf3-bdc73cd919f0	VENTILATION
08da942f-ca8e-43e5-b032-32c5b6b3b34b	96c3c2b7-b12a-4170-a071-7b4f3003b08d	INFILTRATION
08da942f-ca8e-43e5-b032-32c5b6b3b34b	87072c81-2804-46a2-b217-bfc98f8719f1	IT_LOAD
90e57385-3568-41bf-a3a6-5f246216248a	e3292496-c1e2-4a6f-aee2-b5f36b3a156b	SWITCHGEAR
90e57385-3568-41bf-a3a6-5f246216248a	532be58b-be98-46ae-ade8-e9e4cd8f71c0	GENERATOR
90e57385-3568-41bf-a3a6-5f246216248a	56a866e0-0ffa-416e-80ee-7ed9238cf195	PRIMARY_AUXILIARIES
90e57385-3568-41bf-a3a6-5f246216248a	4cc65051-441d-47a7-8a4c-d06bbeed786f	UPS
90e57385-3568-41bf-a3a6-5f246216248a	79c5b85a-3622-4901-86de-70e808fdf339	CRITICAL_AUXILIARIES
90e57385-3568-41bf-a3a6-5f246216248a	7d59a301-7c98-4cfe-882a-6e46bf185a33	LIGHTING
90e57385-3568-41bf-a3a6-5f246216248a	4486e4ba-b3c8-4be1-a712-dfe4c36df949	CRITICAL_POWER_DISTRIBUTION
90e57385-3568-41bf-a3a6-5f246216248a	465feab6-fdd8-4ba5-8e3c-be8a995cdfe3	CRAH
90e57385-3568-41bf-a3a6-5f246216248a	8ee40297-bdf3-4e4a-8075-7dae9c415d51	CRAC
90e57385-3568-41bf-a3a6-5f246216248a	cccb83d1-322b-43e7-9540-5b0344243e21	CRAC_WITHOUT_FAN
90e57385-3568-41bf-a3a6-5f246216248a	1f1f4571-2b1c-4293-86da-5d9eac47dde6	CRAC_FAN
90e57385-3568-41bf-a3a6-5f246216248a	fea5b759-b390-468f-b140-bc78c75d966d	CHILLER
90e57385-3568-41bf-a3a6-5f246216248a	c0c9f9d1-78aa-41d8-8630-cdabfac96af8	AIR_COOLED_CHILLER
90e57385-3568-41bf-a3a6-5f246216248a	ac55ea4a-046a-44cd-82c8-58a4be0f8335	COOLING_TOWER
90e57385-3568-41bf-a3a6-5f246216248a	9ae65b29-9ccd-443d-8a31-f030da1b74e6	DRY_COOLER
90e57385-3568-41bf-a3a6-5f246216248a	0f2cdb6a-5196-4148-b5e4-b2df5ece1c98	REMOTE_CONDENSER
90e57385-3568-41bf-a3a6-5f246216248a	0a098931-5a9b-41b6-925f-c2e1b1808de3	CHILLED_WATER_PUMPS
90e57385-3568-41bf-a3a6-5f246216248a	7fa5b4a1-6730-4f98-8b72-ffd7995de85c	HEAT_REJECTION_PUMPS
90e57385-3568-41bf-a3a6-5f246216248a	a4a063b4-eedf-469b-94cb-12754df0c241	VENTILATION
90e57385-3568-41bf-a3a6-5f246216248a	2c011d91-2d8c-4c03-9049-4edb3fa59ec7	INFILTRATION
90e57385-3568-41bf-a3a6-5f246216248a	8585f007-399b-454f-908e-75ddd8e333d3	IT_LOAD
8f31394c-52fd-486c-86c4-51c2b73e3fc2	d9de2af3-d58d-40e8-86e8-06dbd19f4e83	SWITCHGEAR
8f31394c-52fd-486c-86c4-51c2b73e3fc2	804aaf6a-c2e2-40f5-9ea8-2eb6ab44e21c	GENERATOR
8f31394c-52fd-486c-86c4-51c2b73e3fc2	633a7fa7-fa91-4a8a-950c-ffeb5382d02a	PRIMARY_AUXILIARIES
8f31394c-52fd-486c-86c4-51c2b73e3fc2	b1a1b55b-399d-4f13-933f-273cc69fc77c	UPS
8f31394c-52fd-486c-86c4-51c2b73e3fc2	d8664072-c96d-4f86-a6d4-08b5ed8712c5	CRITICAL_AUXILIARIES
8f31394c-52fd-486c-86c4-51c2b73e3fc2	78f439c9-c800-448c-baee-6ab19f6e0fbe	LIGHTING
8f31394c-52fd-486c-86c4-51c2b73e3fc2	6b0ef7d6-0508-4fcb-b43b-cf9e9bb83fd8	CRITICAL_POWER_DISTRIBUTION
8f31394c-52fd-486c-86c4-51c2b73e3fc2	09bac054-f171-42a3-8c8f-661a8e95b38d	CRAH
8f31394c-52fd-486c-86c4-51c2b73e3fc2	c070aad4-1521-4a2a-b9a9-93973842324f	CRAC
8f31394c-52fd-486c-86c4-51c2b73e3fc2	6a545519-892a-45d4-9b54-08db8497229d	CRAC_WITHOUT_FAN
8f31394c-52fd-486c-86c4-51c2b73e3fc2	8cd36227-ae1f-4013-8b7a-2a6b199f0cdc	CRAC_FAN
8f31394c-52fd-486c-86c4-51c2b73e3fc2	85cf6ccb-6601-47e9-bf6d-430a9cdd751e	CHILLER
8f31394c-52fd-486c-86c4-51c2b73e3fc2	5d550d69-333e-47bb-ae3b-f8683ec214d5	AIR_COOLED_CHILLER
8f31394c-52fd-486c-86c4-51c2b73e3fc2	26791c2b-d9f3-46f5-b1b7-f49c34e6eaad	COOLING_TOWER
8f31394c-52fd-486c-86c4-51c2b73e3fc2	72246101-a078-480d-916d-c86dc7c662fe	DRY_COOLER
8f31394c-52fd-486c-86c4-51c2b73e3fc2	462090c1-03ed-4c08-9ce0-5512cde781df	REMOTE_CONDENSER
8f31394c-52fd-486c-86c4-51c2b73e3fc2	e2764b9f-a450-40eb-ac79-cb3ea4eb47db	CHILLED_WATER_PUMPS
8f31394c-52fd-486c-86c4-51c2b73e3fc2	2ba683ab-6f14-4144-953c-af787ce2a6f3	HEAT_REJECTION_PUMPS
8f31394c-52fd-486c-86c4-51c2b73e3fc2	8adbad9e-7110-4bee-8887-e4df8e545467	VENTILATION
8f31394c-52fd-486c-86c4-51c2b73e3fc2	750fa1ba-7aa2-43c5-b064-abba0d8d37ac	INFILTRATION
8f31394c-52fd-486c-86c4-51c2b73e3fc2	7c3604b5-05c2-4d89-a13a-85fb81985262	IT_LOAD
6f7764a0-3a9a-4146-aabd-d71a1ac33628	60b92634-d4d3-47ab-8f6b-b68f4c7c53c4	SWITCHGEAR
6f7764a0-3a9a-4146-aabd-d71a1ac33628	6c47b011-a646-49f4-b128-7d6b36405b00	GENERATOR
6f7764a0-3a9a-4146-aabd-d71a1ac33628	355ccd06-2e81-4078-a612-f6e85807f8c3	PRIMARY_AUXILIARIES
6f7764a0-3a9a-4146-aabd-d71a1ac33628	c0e8e7a1-0a4b-4774-8292-864352f27296	UPS
6f7764a0-3a9a-4146-aabd-d71a1ac33628	d6704e6a-cbe6-4bf2-902e-0aee4f45cbaa	CRITICAL_AUXILIARIES
6f7764a0-3a9a-4146-aabd-d71a1ac33628	e1e8307b-42ab-4754-b8d0-eb86dc4177f0	LIGHTING
6f7764a0-3a9a-4146-aabd-d71a1ac33628	c50776e1-143a-4e8c-b209-9d38faf181da	CRITICAL_POWER_DISTRIBUTION
6f7764a0-3a9a-4146-aabd-d71a1ac33628	3a798c8c-63f8-4fca-8361-05d9e9d9a0a8	CRAH
6f7764a0-3a9a-4146-aabd-d71a1ac33628	22f870cd-2c00-4b51-b4cc-c0dfa37ee5f4	CRAC
6f7764a0-3a9a-4146-aabd-d71a1ac33628	eccbdebf-9de1-4971-990b-87457af346a3	CRAC_WITHOUT_FAN
6f7764a0-3a9a-4146-aabd-d71a1ac33628	1c0729e0-5113-4066-a68d-2f58754a203f	CRAC_FAN
6f7764a0-3a9a-4146-aabd-d71a1ac33628	18e6cb34-7c99-4f40-8b31-a542a7a70265	CHILLER
6f7764a0-3a9a-4146-aabd-d71a1ac33628	6389bf64-673e-4895-bb59-0a779ae35315	AIR_COOLED_CHILLER
6f7764a0-3a9a-4146-aabd-d71a1ac33628	11bab28c-8896-4a76-a6e4-c3a5d0817fec	COOLING_TOWER
6f7764a0-3a9a-4146-aabd-d71a1ac33628	a57cd44d-3bb8-481c-8afa-1868ade5d6f4	DRY_COOLER
6f7764a0-3a9a-4146-aabd-d71a1ac33628	08ea3c84-b912-45d4-8b6d-4ef289427960	REMOTE_CONDENSER
6f7764a0-3a9a-4146-aabd-d71a1ac33628	ef3c8f2e-314f-4238-8606-a292cd1b7ab0	CHILLED_WATER_PUMPS
6f7764a0-3a9a-4146-aabd-d71a1ac33628	866c6bd4-4d15-4285-a502-fd38416d9481	HEAT_REJECTION_PUMPS
6f7764a0-3a9a-4146-aabd-d71a1ac33628	33da5ecf-dea7-4c36-8366-34a3a5d76aa3	VENTILATION
6f7764a0-3a9a-4146-aabd-d71a1ac33628	9bf634a6-ff83-4f6e-aebb-016d626f6d60	INFILTRATION
6f7764a0-3a9a-4146-aabd-d71a1ac33628	30517546-b8d4-41a8-a9dd-a1a3f0de974e	IT_LOAD
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	b93fa391-15d2-4e66-9974-865aa1713981	SWITCHGEAR
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	44aef757-9831-4b24-a8b9-27e2e8997946	GENERATOR
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	1e996d08-5127-4a16-9d82-7f1ab257f57c	PRIMARY_AUXILIARIES
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	b091a6cc-b885-42e6-8337-3f6045a8ffea	UPS
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	c25f11bd-95d1-4eea-892b-3b2c5d94a15e	CRITICAL_AUXILIARIES
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	1dced5fd-1fd5-4085-8ca5-c1ef1b0e21ae	LIGHTING
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	189f347d-1cfd-4263-8eab-d0eac4dd2af5	CRITICAL_POWER_DISTRIBUTION
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	24a13ec9-7be7-4177-b15a-4729178dc3a9	CRAH
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	51212a43-da10-4a47-8b4c-7bd7e62ec8b6	CRAC
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	b8a61e43-2a26-4f65-a28e-15e5b5fa83d2	CRAC_WITHOUT_FAN
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	8e3b5ec0-980d-4e9d-85a3-380c204217a9	CRAC_FAN
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	bbfabd69-b530-4be5-8117-9922decee426	CHILLER
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	9555a5da-ba9d-4b44-a0a0-5a7bb24347bb	AIR_COOLED_CHILLER
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	6ecd6440-a922-4878-bda4-cb761602ac01	COOLING_TOWER
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	f5cc8bf0-cf20-453d-b460-48df0dc2134a	DRY_COOLER
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	02c08304-a241-4d07-b2cc-6d5d5af8cab9	REMOTE_CONDENSER
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	70ad9c09-5805-4330-b2cf-69bc375f52c4	CHILLED_WATER_PUMPS
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	8f26dc39-af99-4df8-90d9-66c49b1beecc	HEAT_REJECTION_PUMPS
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	6748953b-5344-4cc2-bb8e-74f2747350b1	VENTILATION
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	6273ac9b-fbe7-4561-9101-4676d98f505a	INFILTRATION
b2e7fb9a-e283-4a5f-9d76-8938567fb9f5	fc481bc1-b8be-444f-842e-a7fca39b5652	IT_LOAD
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	8a05f3c7-e0e5-4637-b18a-553879422706	SWITCHGEAR
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	fec9b8a3-7d9b-42ca-8079-e2c31814634d	GENERATOR
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	3f013a4a-e504-4fcc-a67c-4bc2f34ca4d9	PRIMARY_AUXILIARIES
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	065fef04-4f26-4110-bb48-49437b402a41	UPS
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	093b9a73-5e8e-4a16-a4f2-0427e905db22	CRITICAL_AUXILIARIES
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	68d5a129-13b4-419b-822b-7196deab2637	LIGHTING
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	c5a74a0f-75d8-4dc5-93a9-a743b2dcafab	CRITICAL_POWER_DISTRIBUTION
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	2f1b5515-6d79-4e44-bd05-ab974b3138fb	CRAH
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	98f57efa-8ed9-41c5-b632-919d9e8d20e2	CRAC
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	94a423ae-6233-4620-92cc-ed0280e485d9	CRAC_WITHOUT_FAN
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	c20383ed-b2d9-47e6-bda5-42827b6c85ba	CRAC_FAN
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	c65fb378-89e1-4355-a817-fea0f06125cc	CHILLER
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	82fb6a34-2cd1-4603-a740-f9fcf6f66937	AIR_COOLED_CHILLER
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	d6c0e781-e7d9-49d3-8611-6a915f267b80	COOLING_TOWER
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	1cbd2ebf-7200-4e70-8778-580580bd4a83	DRY_COOLER
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	533e3860-5de8-4602-acc7-9eed2f579add	REMOTE_CONDENSER
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	aa511fcc-b4bc-4f0e-987b-d2db3c4f60dd	CHILLED_WATER_PUMPS
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	8c5200a9-4dcf-4ba8-9adf-dd71f0945824	HEAT_REJECTION_PUMPS
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	76837c74-b0b6-4ecd-810f-e94d51f83a79	VENTILATION
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	29aae906-51e4-4557-91ce-99e28542a916	INFILTRATION
8c4c3a4d-0fbf-48a9-ba41-69bef5e642dc	93e50a33-5a74-455b-aa40-6e68cd0fc3d0	IT_LOAD
e40a3629-12a5-447e-afb1-6cd20b61e601	c45b4bb8-35b7-4c67-a282-f5528c8dd215	SWITCHGEAR
e40a3629-12a5-447e-afb1-6cd20b61e601	48761e34-8979-49ca-955d-4b1f15b8c2cb	GENERATOR
e40a3629-12a5-447e-afb1-6cd20b61e601	875eaf7e-086a-47bb-8240-263386e45c48	PRIMARY_AUXILIARIES
e40a3629-12a5-447e-afb1-6cd20b61e601	bc7cf9b0-b25a-47bc-b777-4d92b023c7ee	UPS
e40a3629-12a5-447e-afb1-6cd20b61e601	d5e7a5ac-4199-46e8-bbd4-0646cd570551	CRITICAL_AUXILIARIES
e40a3629-12a5-447e-afb1-6cd20b61e601	380b1a99-8dbb-488b-9c7c-eef7b9ab685c	LIGHTING
e40a3629-12a5-447e-afb1-6cd20b61e601	797ec2f4-e77d-4ccd-a916-a3f184e7dab5	CRITICAL_POWER_DISTRIBUTION
e40a3629-12a5-447e-afb1-6cd20b61e601	8e7e95ad-67a4-4816-8cf7-a50f1052c63e	CRAH
e40a3629-12a5-447e-afb1-6cd20b61e601	c2b6176f-c55a-405b-b3a9-82dacaf437bc	CRAC
e40a3629-12a5-447e-afb1-6cd20b61e601	28562840-28b5-4a1d-848e-aaabc5903066	CRAC_WITHOUT_FAN
e40a3629-12a5-447e-afb1-6cd20b61e601	12fed4e1-85e8-431b-a91e-3e1809cd541d	CRAC_FAN
e40a3629-12a5-447e-afb1-6cd20b61e601	7cec6fbd-6c36-4ad1-8e14-73d1a01ea390	CHILLER
e40a3629-12a5-447e-afb1-6cd20b61e601	9c1f89ab-f980-4371-86bd-6b66f5d6d3bf	AIR_COOLED_CHILLER
e40a3629-12a5-447e-afb1-6cd20b61e601	8b553ee8-16fe-4fd3-9f8c-1c79be76e915	COOLING_TOWER
e40a3629-12a5-447e-afb1-6cd20b61e601	41028287-f50d-478d-9aba-e350e1abb837	DRY_COOLER
e40a3629-12a5-447e-afb1-6cd20b61e601	db555654-5cde-4071-92de-f2b99088e524	REMOTE_CONDENSER
e40a3629-12a5-447e-afb1-6cd20b61e601	5fd2106a-c01c-43aa-930e-7f3fee8d1a1e	CHILLED_WATER_PUMPS
e40a3629-12a5-447e-afb1-6cd20b61e601	1965b23f-0d04-40c2-a2ee-65f50e748ef1	HEAT_REJECTION_PUMPS
e40a3629-12a5-447e-afb1-6cd20b61e601	d5eacc1e-cbcb-476c-ae3d-0749afd123bb	VENTILATION
e40a3629-12a5-447e-afb1-6cd20b61e601	d968672c-c385-48e8-9716-cac0b39cce34	INFILTRATION
e40a3629-12a5-447e-afb1-6cd20b61e601	8f6b129c-6516-41ba-9131-2a7b241a3295	IT_LOAD
efa0749c-805a-4248-afd5-b550914dea9b	bf7bf7f0-74f3-4e20-81e7-05afb6f47753	SWITCHGEAR
efa0749c-805a-4248-afd5-b550914dea9b	bb3873a4-25b1-4de7-8ef4-2a5313b94eb3	GENERATOR
efa0749c-805a-4248-afd5-b550914dea9b	e50f96f8-02dd-437b-9463-43c59a494f87	PRIMARY_AUXILIARIES
efa0749c-805a-4248-afd5-b550914dea9b	459b35df-5b21-4316-86cb-75e0c7e911c3	UPS
efa0749c-805a-4248-afd5-b550914dea9b	cef36586-826c-44cf-8505-23922c30daf4	CRITICAL_AUXILIARIES
efa0749c-805a-4248-afd5-b550914dea9b	5d3ef804-c941-4888-b3ef-bf62b965a95a	LIGHTING
efa0749c-805a-4248-afd5-b550914dea9b	bc5bb695-879c-4c37-b514-4c8ac70abded	CRITICAL_POWER_DISTRIBUTION
efa0749c-805a-4248-afd5-b550914dea9b	262ae3d3-b49b-49bf-831b-495cece1a2c8	CRAH
efa0749c-805a-4248-afd5-b550914dea9b	6b3b85ec-fe8c-4d31-8597-8254c7f9083d	CRAC
efa0749c-805a-4248-afd5-b550914dea9b	bfcdb630-8d31-41f8-ad0f-52cf27b3e44b	CRAC_WITHOUT_FAN
efa0749c-805a-4248-afd5-b550914dea9b	cc4f7089-e5a6-4895-8ff8-9bfb5c9ebd2f	CRAC_FAN
efa0749c-805a-4248-afd5-b550914dea9b	924313b7-c43e-49eb-b8fb-40d60ada6dc0	CHILLER
efa0749c-805a-4248-afd5-b550914dea9b	492b4a88-97fd-410d-a812-1befef0c6a95	AIR_COOLED_CHILLER
efa0749c-805a-4248-afd5-b550914dea9b	e59bc990-01c6-45e5-a688-0cd8682417cd	COOLING_TOWER
efa0749c-805a-4248-afd5-b550914dea9b	f0139124-5baf-417a-b223-96705b38f279	DRY_COOLER
efa0749c-805a-4248-afd5-b550914dea9b	ebdbc797-bff8-4707-bb85-02c744a758cd	REMOTE_CONDENSER
efa0749c-805a-4248-afd5-b550914dea9b	12e901fa-619d-4048-a038-12ff2d3ab462	CHILLED_WATER_PUMPS
efa0749c-805a-4248-afd5-b550914dea9b	9158bd3e-d83c-424e-9b40-03889bef53f2	HEAT_REJECTION_PUMPS
efa0749c-805a-4248-afd5-b550914dea9b	a99e7778-5b6c-4cff-82ae-825b9f545b60	VENTILATION
efa0749c-805a-4248-afd5-b550914dea9b	ce10e93c-32eb-4fd3-a9dc-8d1d4058171b	INFILTRATION
efa0749c-805a-4248-afd5-b550914dea9b	a11e511d-3ce1-4ebd-a0b8-db022a6816d5	IT_LOAD
d26b437a-68e1-48a5-8961-6154cfd2e9ca	c50d9318-a35d-443b-88c6-0e6c5f76162c	SWITCHGEAR
d26b437a-68e1-48a5-8961-6154cfd2e9ca	ab359553-c46b-4634-b784-4ec8b93b18d8	GENERATOR
d26b437a-68e1-48a5-8961-6154cfd2e9ca	3830e73d-e57c-4ae5-a5e3-5b4562768f68	PRIMARY_AUXILIARIES
d26b437a-68e1-48a5-8961-6154cfd2e9ca	a832afde-3d8b-4fed-9880-8c136aa53aaa	UPS
d26b437a-68e1-48a5-8961-6154cfd2e9ca	41da7a97-5aee-4f36-8ca7-7ac574ca68b0	CRITICAL_AUXILIARIES
d26b437a-68e1-48a5-8961-6154cfd2e9ca	4bb48eb9-bfec-44ce-9696-eeae55a30fa0	LIGHTING
d26b437a-68e1-48a5-8961-6154cfd2e9ca	f2b1c82f-e98b-450c-ab4b-280cf0164cc4	CRITICAL_POWER_DISTRIBUTION
d26b437a-68e1-48a5-8961-6154cfd2e9ca	31b2a033-c5ed-47a4-9476-2a3fdeb0d909	CRAH
d26b437a-68e1-48a5-8961-6154cfd2e9ca	6a1fd704-f17e-4517-8b41-7eaaa174bc8b	CRAC
d26b437a-68e1-48a5-8961-6154cfd2e9ca	5cb500df-7cc5-4d8c-9813-962aa6a382c2	CRAC_WITHOUT_FAN
d26b437a-68e1-48a5-8961-6154cfd2e9ca	270bbd7b-e25b-4b91-be7e-5c8fabd9a81a	CRAC_FAN
d26b437a-68e1-48a5-8961-6154cfd2e9ca	247f388a-a18c-4955-8b6b-896ab401eb5a	CHILLER
d26b437a-68e1-48a5-8961-6154cfd2e9ca	c5310e44-7159-4e12-b789-ecf9ee240303	AIR_COOLED_CHILLER
d26b437a-68e1-48a5-8961-6154cfd2e9ca	bbd905c7-107c-4534-a8be-9dc5a17b89ee	COOLING_TOWER
d26b437a-68e1-48a5-8961-6154cfd2e9ca	07cb60e3-ee3c-41e0-9b6f-04a925fca7a2	DRY_COOLER
d26b437a-68e1-48a5-8961-6154cfd2e9ca	9da48e5b-07af-4373-94bf-71fdd8570fe0	REMOTE_CONDENSER
d26b437a-68e1-48a5-8961-6154cfd2e9ca	b68da679-de44-4e03-b20b-08b814d2fb12	CHILLED_WATER_PUMPS
d26b437a-68e1-48a5-8961-6154cfd2e9ca	72c7d47a-371c-4bb4-8aca-8a6ded8a1cfc	HEAT_REJECTION_PUMPS
d26b437a-68e1-48a5-8961-6154cfd2e9ca	e4448886-1c16-4259-b94e-fcd50b79d387	VENTILATION
d26b437a-68e1-48a5-8961-6154cfd2e9ca	40995114-5213-453a-ab86-54ef837ec88b	INFILTRATION
d26b437a-68e1-48a5-8961-6154cfd2e9ca	c55c89ff-bd32-4099-8970-33efc8f9b48a	IT_LOAD
2a3b729d-678e-4142-b84b-f24600ecfd72	79986c0b-3042-4f47-8e16-5719e536cc8c	SWITCHGEAR
2a3b729d-678e-4142-b84b-f24600ecfd72	fea9eb60-9ff2-4625-89fc-ad70b0bfb250	GENERATOR
2a3b729d-678e-4142-b84b-f24600ecfd72	f342f0a3-41bd-40c8-adf1-e33c48359a67	PRIMARY_AUXILIARIES
2a3b729d-678e-4142-b84b-f24600ecfd72	e810ebcc-97b9-499a-b60a-b626662b3d17	UPS
2a3b729d-678e-4142-b84b-f24600ecfd72	4791ba10-c378-4e97-8d9e-bf6cdf2501fa	CRITICAL_AUXILIARIES
2a3b729d-678e-4142-b84b-f24600ecfd72	06642a88-1a06-408d-a407-043917c34565	LIGHTING
2a3b729d-678e-4142-b84b-f24600ecfd72	12c49f2f-a1c5-4dcd-8b1f-bb5294753d89	CRITICAL_POWER_DISTRIBUTION
2a3b729d-678e-4142-b84b-f24600ecfd72	8c286b2a-44aa-4be6-a4d9-3d0fc5795f8a	CRAH
2a3b729d-678e-4142-b84b-f24600ecfd72	fe5305d3-ee02-4f4e-8f3e-5e23bc167890	CRAC
2a3b729d-678e-4142-b84b-f24600ecfd72	fd3c133a-84da-4a1b-a6f7-10507ab060b5	CRAC_WITHOUT_FAN
2a3b729d-678e-4142-b84b-f24600ecfd72	f951feb7-0e08-4c58-8d42-4622d78f154e	CRAC_FAN
2a3b729d-678e-4142-b84b-f24600ecfd72	e03f9c3e-e440-4436-acfd-c5ae0349309b	CHILLER
2a3b729d-678e-4142-b84b-f24600ecfd72	c931c798-1751-43b7-ad25-53c751a45d14	AIR_COOLED_CHILLER
2a3b729d-678e-4142-b84b-f24600ecfd72	b5f777a4-d708-422d-abfb-d972714bc586	COOLING_TOWER
2a3b729d-678e-4142-b84b-f24600ecfd72	d40485d0-c5c1-402a-980e-6b30bd05d89c	DRY_COOLER
2a3b729d-678e-4142-b84b-f24600ecfd72	9e3dbced-f34b-4912-8f87-a0e996f318b1	REMOTE_CONDENSER
2a3b729d-678e-4142-b84b-f24600ecfd72	58ad5f12-654c-4176-aac7-314f32d475ea	CHILLED_WATER_PUMPS
2a3b729d-678e-4142-b84b-f24600ecfd72	54631641-117f-4460-8418-bcedb45e3f40	HEAT_REJECTION_PUMPS
2a3b729d-678e-4142-b84b-f24600ecfd72	68160a21-fd45-4392-b7e6-4334f6853b5e	VENTILATION
2a3b729d-678e-4142-b84b-f24600ecfd72	f623a579-ea09-4237-9872-4f316c868634	INFILTRATION
2a3b729d-678e-4142-b84b-f24600ecfd72	341e75de-94ea-4a87-ac4c-126095b95207	IT_LOAD
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	42ac43f6-9363-4840-9992-0bb1e0265f75	SWITCHGEAR
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	44bcbb55-c749-4e00-8659-8a772463962e	GENERATOR
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	62b719c2-22e6-44c8-827a-c30634d1e59c	PRIMARY_AUXILIARIES
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	34821c38-4c57-4338-a111-587347f1077d	UPS
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	9177c9f7-37ac-4549-a7c5-6c8657a8e4f8	CRITICAL_AUXILIARIES
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	5659cd54-2561-4480-96c7-7ace352badf9	LIGHTING
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	add9e29e-83c4-4a19-bfab-0deabd3bab0a	CRITICAL_POWER_DISTRIBUTION
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	7fbb8927-c0e6-4e60-9889-74935cf57f7d	CRAH
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	4b782d95-4da5-4e52-ac7a-9d1cb42c97bb	CRAC
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	ec5e2e77-2f2c-405a-b5fe-65a7b0a44624	CRAC_WITHOUT_FAN
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	7837dbe2-5fb2-4b99-8886-3d6810ed160f	CRAC_FAN
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	716f819a-35c5-487f-9903-54374188ef76	CHILLER
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	e2d0f416-745f-4986-befa-1884e594c49f	AIR_COOLED_CHILLER
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	570afad4-f487-4404-9ec0-8e08ded46c02	COOLING_TOWER
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	6f76967a-84b0-43d7-98f5-c6587db60ebb	DRY_COOLER
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	a4446095-14ff-4f57-ba10-f8e5ae93ae0c	REMOTE_CONDENSER
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	e5d68d4a-4adf-4bd3-a144-2dd2cf1238e5	CHILLED_WATER_PUMPS
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	85ab5a24-b46c-4202-b6a4-92b8369d0f2d	HEAT_REJECTION_PUMPS
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	f09af951-da0e-440d-8bb3-e54123b2f27e	VENTILATION
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	319f62b6-1839-4e51-9708-f05a8b77dee9	INFILTRATION
9595dfa6-c5d5-4e24-88b7-6ef588b941c9	b5465308-99b6-479e-89ef-31137d017a1a	IT_LOAD
83df744e-a95f-4b67-b46f-0fc96baa0d30	8ba1ab4c-4400-4872-9a85-39edd93981fe	SWITCHGEAR
83df744e-a95f-4b67-b46f-0fc96baa0d30	4340cae4-0d04-4405-a44a-13dbb0e8919b	GENERATOR
83df744e-a95f-4b67-b46f-0fc96baa0d30	52e506b2-c4fc-42ec-94d9-c727868dc1dd	PRIMARY_AUXILIARIES
83df744e-a95f-4b67-b46f-0fc96baa0d30	5d1c2a34-4fe1-4643-944b-c8f771f49940	UPS
83df744e-a95f-4b67-b46f-0fc96baa0d30	35ca0316-df61-4d5c-8a19-37d37ab3b8a1	CRITICAL_AUXILIARIES
83df744e-a95f-4b67-b46f-0fc96baa0d30	f8b29097-b1ec-4fd3-aa36-9499f46daba3	LIGHTING
83df744e-a95f-4b67-b46f-0fc96baa0d30	405be7cf-492e-4aed-b4e5-5514da6a606b	CRITICAL_POWER_DISTRIBUTION
83df744e-a95f-4b67-b46f-0fc96baa0d30	379b7020-ffba-4cc7-aac5-9710cc8a31f2	CRAH
83df744e-a95f-4b67-b46f-0fc96baa0d30	f47f0e9f-347a-42b3-97d7-bcd1e403d05b	CRAC
83df744e-a95f-4b67-b46f-0fc96baa0d30	f1b2084b-bb70-44db-8af1-918a073552fd	CRAC_WITHOUT_FAN
83df744e-a95f-4b67-b46f-0fc96baa0d30	23f0ba31-742c-4567-a10a-bf8fc6615067	CRAC_FAN
83df744e-a95f-4b67-b46f-0fc96baa0d30	f208e463-bc8b-43e0-b9b1-88c4bf15ba6b	CHILLER
83df744e-a95f-4b67-b46f-0fc96baa0d30	2870c71d-71ad-4f68-9957-c24393538c1f	AIR_COOLED_CHILLER
83df744e-a95f-4b67-b46f-0fc96baa0d30	f316d4f1-6e02-4d71-820e-ffa65cf12240	COOLING_TOWER
83df744e-a95f-4b67-b46f-0fc96baa0d30	138c5f8b-fc7c-4ed5-bafe-c49da2513fa4	DRY_COOLER
83df744e-a95f-4b67-b46f-0fc96baa0d30	d52596a1-ce10-4acc-8630-202ba2466ac4	REMOTE_CONDENSER
83df744e-a95f-4b67-b46f-0fc96baa0d30	4c254ec4-32e4-4ce1-8faa-e315ab2819dd	CHILLED_WATER_PUMPS
83df744e-a95f-4b67-b46f-0fc96baa0d30	a7d6da99-67a9-40c7-a2a1-0a22084caa43	HEAT_REJECTION_PUMPS
83df744e-a95f-4b67-b46f-0fc96baa0d30	f19e889f-fc43-46b1-a21a-1ac7a0fb2a62	VENTILATION
83df744e-a95f-4b67-b46f-0fc96baa0d30	f33894a2-abc0-4c17-ac90-0ef53a74a4c3	INFILTRATION
83df744e-a95f-4b67-b46f-0fc96baa0d30	ac651556-b9d0-45eb-bcfc-96403ac9e805	IT_LOAD
c352c6fc-863e-4422-95d0-45d2bbb202b2	e9fb5b77-8bf3-4883-9aa2-78a1f9752613	SWITCHGEAR
c352c6fc-863e-4422-95d0-45d2bbb202b2	5d784685-8ac0-46dc-86aa-e4d080d6e5b6	GENERATOR
c352c6fc-863e-4422-95d0-45d2bbb202b2	f93ab5ec-6f7e-4eb0-bd84-d9fba1431ad3	PRIMARY_AUXILIARIES
c352c6fc-863e-4422-95d0-45d2bbb202b2	115f0f69-9943-4f11-8499-721ee5fe8707	UPS
c352c6fc-863e-4422-95d0-45d2bbb202b2	7d4fcf82-ab64-4325-a37b-9019ed446369	CRITICAL_AUXILIARIES
c352c6fc-863e-4422-95d0-45d2bbb202b2	80d2fe1e-f8d8-47f8-afd5-be771d4e916a	LIGHTING
c352c6fc-863e-4422-95d0-45d2bbb202b2	c02cd97f-9c91-4630-9409-7a4cdc9f2fb0	CRITICAL_POWER_DISTRIBUTION
c352c6fc-863e-4422-95d0-45d2bbb202b2	80ee0831-5d9f-485a-9621-3445a496d94d	CRAH
c352c6fc-863e-4422-95d0-45d2bbb202b2	b8f53e7a-00fb-498b-9fe6-a4f8efd08b24	CRAC
c352c6fc-863e-4422-95d0-45d2bbb202b2	26a36652-aac4-4ac1-b4cd-06170779b48d	CRAC_WITHOUT_FAN
c352c6fc-863e-4422-95d0-45d2bbb202b2	c1f6963a-7750-4606-a967-a9f2980dc3eb	CRAC_FAN
c352c6fc-863e-4422-95d0-45d2bbb202b2	21b0c95d-6cb5-4570-95fe-0c154cd0eeec	CHILLER
c352c6fc-863e-4422-95d0-45d2bbb202b2	5dc1c383-f770-47cb-b970-d9d418fe23b4	AIR_COOLED_CHILLER
c352c6fc-863e-4422-95d0-45d2bbb202b2	448ea03a-4563-4ae4-b66a-2805ad009eb2	COOLING_TOWER
c352c6fc-863e-4422-95d0-45d2bbb202b2	8b864eb8-5045-47b8-8c94-21a8fc5de9eb	DRY_COOLER
c352c6fc-863e-4422-95d0-45d2bbb202b2	2459b029-382f-4ca0-9e83-757d4958ee4f	REMOTE_CONDENSER
c352c6fc-863e-4422-95d0-45d2bbb202b2	17b0086c-b44e-4b07-8098-d8ba80661195	CHILLED_WATER_PUMPS
c352c6fc-863e-4422-95d0-45d2bbb202b2	4e429d70-bead-4042-9538-e7bc06dc0b79	HEAT_REJECTION_PUMPS
c352c6fc-863e-4422-95d0-45d2bbb202b2	8f8e659c-feac-4124-a2b9-16df9e0353a5	VENTILATION
c352c6fc-863e-4422-95d0-45d2bbb202b2	da65e510-92ba-4a7b-81bb-c136b1a6b3b0	INFILTRATION
c352c6fc-863e-4422-95d0-45d2bbb202b2	d8a0c254-d0c4-49ac-a89f-6fdd6115b5b0	IT_LOAD
841e9b20-59f4-49c6-8ac8-21c964f66c1b	053d7123-ee7d-4906-a893-10275bd76279	SWITCHGEAR
841e9b20-59f4-49c6-8ac8-21c964f66c1b	1ba41398-365f-4bad-9b49-1858683637c4	GENERATOR
841e9b20-59f4-49c6-8ac8-21c964f66c1b	69d50b20-2b70-4e31-8aa3-1501995f5b2d	PRIMARY_AUXILIARIES
841e9b20-59f4-49c6-8ac8-21c964f66c1b	d7c43532-4c36-45e4-813c-7f18e5f6ddf0	UPS
841e9b20-59f4-49c6-8ac8-21c964f66c1b	56a5653d-0bce-47fd-a7bd-09be54cb2519	CRITICAL_AUXILIARIES
841e9b20-59f4-49c6-8ac8-21c964f66c1b	564c66e1-ec32-4998-8992-95fdd7268a35	LIGHTING
841e9b20-59f4-49c6-8ac8-21c964f66c1b	db74f721-2a29-49ee-a0c6-ae0f3aa04469	CRITICAL_POWER_DISTRIBUTION
841e9b20-59f4-49c6-8ac8-21c964f66c1b	241aaa54-6d3f-4c21-9a0c-94354d2f2818	CRAH
841e9b20-59f4-49c6-8ac8-21c964f66c1b	a01302ca-6e12-4805-bfbf-1a76eb5956c8	CRAC
841e9b20-59f4-49c6-8ac8-21c964f66c1b	2edc27fb-efca-440e-8927-d03f484a9fa9	CRAC_WITHOUT_FAN
841e9b20-59f4-49c6-8ac8-21c964f66c1b	37d1a852-9bbe-443f-9e8c-c43c6b9d433c	CRAC_FAN
841e9b20-59f4-49c6-8ac8-21c964f66c1b	ef16ada7-f067-4886-9a5c-0484ee6c5966	CHILLER
841e9b20-59f4-49c6-8ac8-21c964f66c1b	287d0dd7-0be4-4526-8323-f5599a763137	AIR_COOLED_CHILLER
841e9b20-59f4-49c6-8ac8-21c964f66c1b	4cdc8621-a4a2-4146-bbf5-a3c41da7b118	COOLING_TOWER
841e9b20-59f4-49c6-8ac8-21c964f66c1b	fbcec889-0ca2-40c4-a0a4-3994ac1e9027	DRY_COOLER
841e9b20-59f4-49c6-8ac8-21c964f66c1b	c0cb49b8-2bd7-4939-a346-c757496d79c0	REMOTE_CONDENSER
841e9b20-59f4-49c6-8ac8-21c964f66c1b	3060e0fa-622a-475c-95d1-02c98b147a22	CHILLED_WATER_PUMPS
841e9b20-59f4-49c6-8ac8-21c964f66c1b	d0fe9d05-0b3b-462a-ba0d-d0c631879720	HEAT_REJECTION_PUMPS
841e9b20-59f4-49c6-8ac8-21c964f66c1b	9c51d07d-94ea-4660-984c-97e36260271f	VENTILATION
841e9b20-59f4-49c6-8ac8-21c964f66c1b	aa445f8c-eb7e-4f25-836d-c54852aaa3c4	INFILTRATION
841e9b20-59f4-49c6-8ac8-21c964f66c1b	2b88a9d9-352f-4756-911b-7a5171be7199	IT_LOAD
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	37b5afbe-ce15-4437-bdef-85cc75363921	SWITCHGEAR
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	b875046b-18e0-4c69-a5f9-ce1d73608e51	GENERATOR
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	6c3e08b4-bcde-4458-b430-78d1052e3ae3	PRIMARY_AUXILIARIES
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	4fe584cf-8fab-4d14-b900-e9eadfb100b1	UPS
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	d18f8b03-17a1-4d01-a90d-9f93ba8beb43	CRITICAL_AUXILIARIES
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	c9d682b6-08aa-41d3-a6ff-81d2a3d7e263	LIGHTING
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	d0c284e5-9650-45ef-b55b-430d5a7adf91	CRITICAL_POWER_DISTRIBUTION
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	baadf311-5965-4844-a553-7f4db2bcaf0f	CRAH
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	02fe130f-2473-415b-b108-cdebe3d20ed7	CRAC
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	799a8a29-202c-43b3-a335-3e0f331eb33c	CRAC_WITHOUT_FAN
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	31c08b7d-63d5-481e-b1d8-e3aea555b3e9	CRAC_FAN
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	7396240d-a729-4185-8371-198704054b76	CHILLER
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	dd73c1e6-4ba3-4e85-b7fc-5815c9a6a95c	AIR_COOLED_CHILLER
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	a5b64e55-2051-482c-9b03-4d6670f94560	COOLING_TOWER
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	f1ee4609-2abf-4f37-be79-52366986984e	DRY_COOLER
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	4fb60107-3c6c-4ba2-8cf5-602062dd6867	REMOTE_CONDENSER
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	413f9adc-3674-4d7e-9371-73914b274201	CHILLED_WATER_PUMPS
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	0cf53797-98f6-4da9-8293-e25fe1480f29	HEAT_REJECTION_PUMPS
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	ca0e32bf-e82e-40f3-a2c2-81e52776b676	VENTILATION
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	b0fe5879-3948-4bc6-b627-9703ba735fa3	INFILTRATION
e1bce5ed-b7df-4c5e-8a8d-18483b62b5af	01399562-ab4d-439d-8643-5653f0b950d2	IT_LOAD
bf385a5a-b0e1-427a-8955-63168a8d7825	098cd308-576d-46aa-aed0-89b2aa825b63	SWITCHGEAR
bf385a5a-b0e1-427a-8955-63168a8d7825	f16f4810-6a6e-47a9-af65-963c39d3372f	GENERATOR
bf385a5a-b0e1-427a-8955-63168a8d7825	859c5743-441e-424a-bbc3-b57e29e5bfdb	PRIMARY_AUXILIARIES
bf385a5a-b0e1-427a-8955-63168a8d7825	694426f7-c05b-4b5e-ac21-2ac630eb2300	UPS
bf385a5a-b0e1-427a-8955-63168a8d7825	e5cfa893-7e92-47ba-b06f-ac16c87f5e38	CRITICAL_AUXILIARIES
bf385a5a-b0e1-427a-8955-63168a8d7825	bf38453e-8d83-4af5-a9ec-13015101a27c	LIGHTING
bf385a5a-b0e1-427a-8955-63168a8d7825	2f04beb2-9fa1-4f78-af97-31657262aad4	CRITICAL_POWER_DISTRIBUTION
bf385a5a-b0e1-427a-8955-63168a8d7825	b3f462cf-7d9c-4214-a1ec-8ce46c59403f	CRAH
bf385a5a-b0e1-427a-8955-63168a8d7825	c898fbcd-cd82-4058-b17b-73b160992303	CRAC
bf385a5a-b0e1-427a-8955-63168a8d7825	4195dcfa-93b4-42e2-ace7-8363f0205f59	CRAC_WITHOUT_FAN
bf385a5a-b0e1-427a-8955-63168a8d7825	1935b8ed-117b-4259-abe8-7fc839c188d9	CRAC_FAN
bf385a5a-b0e1-427a-8955-63168a8d7825	2d5b91c2-b0db-49af-9a28-60586e63548f	CHILLER
bf385a5a-b0e1-427a-8955-63168a8d7825	34983355-e7b6-4e8c-85bb-816ab63fbca5	AIR_COOLED_CHILLER
bf385a5a-b0e1-427a-8955-63168a8d7825	393c0380-5281-4121-968b-b7eb2f1c4006	COOLING_TOWER
bf385a5a-b0e1-427a-8955-63168a8d7825	96c16e6b-3ca0-4da6-9f32-c3a670f40842	DRY_COOLER
bf385a5a-b0e1-427a-8955-63168a8d7825	0e552046-098e-4847-8f8e-28e47a36ce7c	REMOTE_CONDENSER
bf385a5a-b0e1-427a-8955-63168a8d7825	e3bad1dd-fbb4-4a48-a57c-b796ce6dc073	CHILLED_WATER_PUMPS
bf385a5a-b0e1-427a-8955-63168a8d7825	223269b0-e4df-40ae-a4b0-9a9e68b96d8e	HEAT_REJECTION_PUMPS
bf385a5a-b0e1-427a-8955-63168a8d7825	77bbcaf8-8b21-4164-a0fe-f3ad28ed5976	VENTILATION
bf385a5a-b0e1-427a-8955-63168a8d7825	17d95e73-7b60-45c1-bf3c-ca7440a2a649	INFILTRATION
bf385a5a-b0e1-427a-8955-63168a8d7825	93010bfe-9fbe-4e48-bb41-9b12e983fbcb	IT_LOAD
4044c86e-fe44-4737-95ca-4c184645c0ae	78b27a39-8fb6-49dc-bc6e-2dabe9d7a186	SWITCHGEAR
4044c86e-fe44-4737-95ca-4c184645c0ae	5053d8f3-8b87-4f78-84d0-c3b93abbcb4a	GENERATOR
4044c86e-fe44-4737-95ca-4c184645c0ae	7ca112d1-280a-4cc8-b66c-eacf5f8ef429	PRIMARY_AUXILIARIES
4044c86e-fe44-4737-95ca-4c184645c0ae	6db162a5-80ad-489a-a823-63d6f7bbfe5e	UPS
4044c86e-fe44-4737-95ca-4c184645c0ae	fa3629cb-d303-4c01-a872-7ea89f46e041	CRITICAL_AUXILIARIES
4044c86e-fe44-4737-95ca-4c184645c0ae	8657d2ad-94fa-4ac8-89f2-ad18bf9d2098	LIGHTING
4044c86e-fe44-4737-95ca-4c184645c0ae	6bc59aca-b1ec-42be-a5eb-c33724bf5d59	CRITICAL_POWER_DISTRIBUTION
4044c86e-fe44-4737-95ca-4c184645c0ae	f5e016ec-76d1-4ab5-9fc0-d0971d7393aa	CRAH
4044c86e-fe44-4737-95ca-4c184645c0ae	8eb9e09a-6bd8-4247-85ba-e4e3bea6dfcf	CRAC
4044c86e-fe44-4737-95ca-4c184645c0ae	1e2a4589-b34c-4dd4-93ca-2b7fd717686b	CRAC_WITHOUT_FAN
4044c86e-fe44-4737-95ca-4c184645c0ae	3472c5e2-68b9-4f3a-977f-bfae97c3af0e	CRAC_FAN
4044c86e-fe44-4737-95ca-4c184645c0ae	404173f1-3599-4a22-ae56-43efc8b18147	CHILLER
4044c86e-fe44-4737-95ca-4c184645c0ae	dd06c547-4293-431a-86a0-b1b833c3b561	AIR_COOLED_CHILLER
4044c86e-fe44-4737-95ca-4c184645c0ae	cc69fc8b-5da9-46a6-b6d3-cad430ef0c77	COOLING_TOWER
4044c86e-fe44-4737-95ca-4c184645c0ae	bcdccf42-1b58-4be9-b17b-4e5e214d2957	DRY_COOLER
4044c86e-fe44-4737-95ca-4c184645c0ae	999dea9a-8c69-4371-9e8e-526e39b6df11	REMOTE_CONDENSER
4044c86e-fe44-4737-95ca-4c184645c0ae	4dfb1e74-0005-426e-b0ec-1fe63f20904b	CHILLED_WATER_PUMPS
4044c86e-fe44-4737-95ca-4c184645c0ae	806a95e4-557b-451b-b72d-bfd4b8c733a2	HEAT_REJECTION_PUMPS
4044c86e-fe44-4737-95ca-4c184645c0ae	969f9179-3b63-4f3c-8d2c-5f0567996bf4	VENTILATION
4044c86e-fe44-4737-95ca-4c184645c0ae	0aeec363-9f50-4eef-8af2-3b765d08eea2	INFILTRATION
4044c86e-fe44-4737-95ca-4c184645c0ae	5409cc7e-8a23-4a15-b4a5-0126d6f65797	IT_LOAD
2f4e4164-0baf-42a4-80d7-7585445c5f33	66dc0494-6be7-477a-bca6-770875251ab9	SWITCHGEAR
2f4e4164-0baf-42a4-80d7-7585445c5f33	11b7fb5e-55e3-45e5-bdc7-bd67477b9bd3	GENERATOR
2f4e4164-0baf-42a4-80d7-7585445c5f33	ddf0abb0-6665-406c-b00c-2a4dc55c26fd	PRIMARY_AUXILIARIES
2f4e4164-0baf-42a4-80d7-7585445c5f33	c3628b6f-ce9e-4346-9c32-cb3f3ad8e885	UPS
2f4e4164-0baf-42a4-80d7-7585445c5f33	3a4e9263-1eb8-42d9-9ed4-604a85ef4916	CRITICAL_AUXILIARIES
2f4e4164-0baf-42a4-80d7-7585445c5f33	b694eef9-2e40-47ab-84f3-8dcfa5881f47	LIGHTING
2f4e4164-0baf-42a4-80d7-7585445c5f33	051c521d-26c1-4d5c-8729-9dfdbb230f60	CRITICAL_POWER_DISTRIBUTION
2f4e4164-0baf-42a4-80d7-7585445c5f33	dfc2332e-a29c-4e3e-9ee3-db1666822d63	CRAH
2f4e4164-0baf-42a4-80d7-7585445c5f33	5d2fc623-43ef-484c-9ff0-8a110e9b20bc	CRAC
2f4e4164-0baf-42a4-80d7-7585445c5f33	fe1c1bcd-32a1-43ed-be54-4dbd3853d7e1	CRAC_WITHOUT_FAN
2f4e4164-0baf-42a4-80d7-7585445c5f33	5603cb54-63b3-44b2-bdda-f1d87ae1fe1c	CRAC_FAN
2f4e4164-0baf-42a4-80d7-7585445c5f33	1c9e5fcb-4746-4b41-bd4e-8da16b3cdccc	CHILLER
2f4e4164-0baf-42a4-80d7-7585445c5f33	9c102e0e-bd78-4c3b-a5c0-928034a4cb58	AIR_COOLED_CHILLER
2f4e4164-0baf-42a4-80d7-7585445c5f33	5541eb70-d937-4790-b1d1-02df82df7285	COOLING_TOWER
2f4e4164-0baf-42a4-80d7-7585445c5f33	c156ffc7-3f79-4e17-8365-f101277babfa	DRY_COOLER
2f4e4164-0baf-42a4-80d7-7585445c5f33	42baa0f2-e323-42dd-acda-3712610142ad	REMOTE_CONDENSER
2f4e4164-0baf-42a4-80d7-7585445c5f33	cbb6b2c6-ccee-4a60-9fde-8e89c1d4a982	CHILLED_WATER_PUMPS
2f4e4164-0baf-42a4-80d7-7585445c5f33	b93995f6-5551-41f8-b054-f83c6d83939e	HEAT_REJECTION_PUMPS
2f4e4164-0baf-42a4-80d7-7585445c5f33	8c6896d6-ff29-4a8c-823d-39458d7112fb	VENTILATION
2f4e4164-0baf-42a4-80d7-7585445c5f33	28cbae17-2db6-4ecf-83b4-5f19a4268c0a	INFILTRATION
2f4e4164-0baf-42a4-80d7-7585445c5f33	99f0bba1-fc5a-4123-8d38-c649b2bee9f9	IT_LOAD
15ed627d-89ec-4910-bb03-9b7f0148444a	bac6ca41-8de1-4950-97eb-0ce1a8bf6761	SWITCHGEAR
15ed627d-89ec-4910-bb03-9b7f0148444a	f3991b7b-11c7-4986-a925-703f102da332	GENERATOR
15ed627d-89ec-4910-bb03-9b7f0148444a	d1796bd0-bcec-4433-bee8-1a4dabcd8fb6	PRIMARY_AUXILIARIES
15ed627d-89ec-4910-bb03-9b7f0148444a	a1667ff4-1fea-4c73-ae00-8dd19d5b8281	UPS
15ed627d-89ec-4910-bb03-9b7f0148444a	22ed9147-43b3-420a-b91a-56c493300330	CRITICAL_AUXILIARIES
15ed627d-89ec-4910-bb03-9b7f0148444a	cd739b70-b5c8-4263-8955-382d64bdfbfb	LIGHTING
15ed627d-89ec-4910-bb03-9b7f0148444a	2d4e0ab2-f5d6-44d9-b35c-503af9787273	CRITICAL_POWER_DISTRIBUTION
15ed627d-89ec-4910-bb03-9b7f0148444a	e2f0de02-98f8-4091-a461-e0de4ef524a9	CRAH
15ed627d-89ec-4910-bb03-9b7f0148444a	6b4a24e9-751c-43b7-b871-c570dbae2918	CRAC
15ed627d-89ec-4910-bb03-9b7f0148444a	9807612b-f6e4-4339-9202-a9f3284decbd	CRAC_WITHOUT_FAN
15ed627d-89ec-4910-bb03-9b7f0148444a	5abfad53-453d-4a81-9c5b-7076ec3f6b94	CRAC_FAN
15ed627d-89ec-4910-bb03-9b7f0148444a	8bbb2c0e-18df-4f09-a79c-1c16a3d82de4	CHILLER
15ed627d-89ec-4910-bb03-9b7f0148444a	d4225d45-e70f-45f5-acff-6dc541ad5ef8	AIR_COOLED_CHILLER
15ed627d-89ec-4910-bb03-9b7f0148444a	987fe615-07aa-499b-8937-d314121c0c21	COOLING_TOWER
15ed627d-89ec-4910-bb03-9b7f0148444a	6680ebe1-0a05-4313-971e-00aae27b3a77	DRY_COOLER
15ed627d-89ec-4910-bb03-9b7f0148444a	8cd5791a-5710-4220-a228-17eb34ac5eea	REMOTE_CONDENSER
15ed627d-89ec-4910-bb03-9b7f0148444a	20181666-9ba6-47d2-af7c-4bb6e96558d5	CHILLED_WATER_PUMPS
15ed627d-89ec-4910-bb03-9b7f0148444a	cf2d5050-d1de-47a2-ae44-f4af0b7486b0	HEAT_REJECTION_PUMPS
15ed627d-89ec-4910-bb03-9b7f0148444a	50618005-74e0-439c-b643-d07ceba2d2be	VENTILATION
15ed627d-89ec-4910-bb03-9b7f0148444a	f348f34b-2d3a-4d89-b921-4c06dd09eae0	INFILTRATION
15ed627d-89ec-4910-bb03-9b7f0148444a	71712fa4-c0a1-4204-bfc9-afe98a0b607e	IT_LOAD
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	a54f3896-a124-4dd8-9af1-5fda63230fb6	SWITCHGEAR
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	87fc29d9-d82b-4e81-bd33-825bc29b28ce	GENERATOR
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	8a935821-b2e6-4da7-9a6f-610e9cc8b7cb	PRIMARY_AUXILIARIES
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	ed156646-4ddc-4cc0-87da-5152d1d0bd05	UPS
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	7e8741c5-0a8e-4ef6-9da8-c0e45cdc944d	CRITICAL_AUXILIARIES
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	425d0b50-8459-4f0f-9ed7-acbcabc32dee	LIGHTING
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	29a2e8be-f9b7-49f2-b29a-fb9345358c64	CRITICAL_POWER_DISTRIBUTION
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	9770d3fa-ca4e-4057-83c4-ea5fc0b0434d	CRAH
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	9d2b3891-27b0-4f78-b894-6fd5e015c653	CRAC
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	e854081e-37f4-4caa-a13d-ce4d3c274366	CRAC_WITHOUT_FAN
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	001567f9-880b-495e-b71c-8b4b56af2012	CRAC_FAN
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	1e81010c-a2ff-4296-bdcc-54ec36b02c83	CHILLER
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	215f567d-8e74-4912-b039-cb9cdb454132	AIR_COOLED_CHILLER
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	1f2dcd07-d6ab-4a1a-aec3-5eba7997d2da	COOLING_TOWER
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	790a75c8-0b9a-47e6-ae94-9fc3c3aa4e94	DRY_COOLER
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	ad5a0608-f451-4c0f-bbaf-895d62e45cdf	REMOTE_CONDENSER
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	69141357-9725-4d87-a068-df6fb8efc5b8	CHILLED_WATER_PUMPS
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	60c0e3a1-60ce-46fc-97c6-888a03a152ce	HEAT_REJECTION_PUMPS
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	22bb6df9-ef11-4893-9dc2-8fd2deafcaeb	VENTILATION
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	845435a6-ca1d-4f85-9209-4cc33e4fb42e	INFILTRATION
1d82bbc3-1893-46d7-9f6c-af46b0e07f6a	53211417-f42d-47fa-9cd4-2ca3659a831b	IT_LOAD
7aec4cf3-2518-42e1-a196-9291864771a4	28efb337-b717-49b2-8730-912f853f2f83	SWITCHGEAR
7aec4cf3-2518-42e1-a196-9291864771a4	135c9d62-039a-47e6-a075-fe6ef4ba9787	GENERATOR
7aec4cf3-2518-42e1-a196-9291864771a4	8df99009-e2df-4213-bd65-0d898cc0af85	PRIMARY_AUXILIARIES
7aec4cf3-2518-42e1-a196-9291864771a4	d64b3a28-2262-4868-83b0-f4f5d1f6de16	UPS
7aec4cf3-2518-42e1-a196-9291864771a4	136c74ef-2e8c-4d9a-89e6-0daf1d90951b	CRITICAL_AUXILIARIES
7aec4cf3-2518-42e1-a196-9291864771a4	f59f446c-a9f4-483b-a2c0-46aac66a837c	LIGHTING
7aec4cf3-2518-42e1-a196-9291864771a4	48560825-d8aa-4fc7-99c1-ffde47569864	CRITICAL_POWER_DISTRIBUTION
7aec4cf3-2518-42e1-a196-9291864771a4	b8bf59d2-a957-4648-9fb9-ef5fc8a6a282	CRAH
7aec4cf3-2518-42e1-a196-9291864771a4	aabc94ce-fe16-489e-8e86-21f0056cd899	CRAC
7aec4cf3-2518-42e1-a196-9291864771a4	4a86a768-c1af-4e2f-a736-31fcb9dd009b	CRAC_WITHOUT_FAN
7aec4cf3-2518-42e1-a196-9291864771a4	c62c1d70-a98b-4de6-a409-87acd4523607	CRAC_FAN
7aec4cf3-2518-42e1-a196-9291864771a4	d436e32a-7a0e-4941-a248-635cb127b5b6	CHILLER
7aec4cf3-2518-42e1-a196-9291864771a4	01918fa8-5bd3-4548-b22a-793cadee8534	AIR_COOLED_CHILLER
7aec4cf3-2518-42e1-a196-9291864771a4	ad51981b-fd3c-4ccb-b568-5177ed41c6bb	COOLING_TOWER
7aec4cf3-2518-42e1-a196-9291864771a4	14e050a3-736a-4fb4-b683-29767f25acee	DRY_COOLER
7aec4cf3-2518-42e1-a196-9291864771a4	e540899b-e54d-4ec2-ba11-88df730ecf74	REMOTE_CONDENSER
7aec4cf3-2518-42e1-a196-9291864771a4	9086923a-077d-4fe3-8559-103ca8e9af3c	CHILLED_WATER_PUMPS
7aec4cf3-2518-42e1-a196-9291864771a4	8f6e1b40-802c-462b-9796-fb8e1792e12c	HEAT_REJECTION_PUMPS
7aec4cf3-2518-42e1-a196-9291864771a4	09e79cbd-092e-4f46-ab5b-3957b7fc46a2	VENTILATION
7aec4cf3-2518-42e1-a196-9291864771a4	fa9e521b-20bc-4b87-a6f8-975b25ad4a30	INFILTRATION
7aec4cf3-2518-42e1-a196-9291864771a4	2bce9de0-57f6-458d-8a33-52a8a900350b	IT_LOAD
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	4136f4c3-5529-47ab-833d-a9529d84c317	SWITCHGEAR
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	a9ef6090-2022-4291-9198-04589ee608cd	GENERATOR
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	2127a557-4b60-4ca1-b727-7db028b38f03	PRIMARY_AUXILIARIES
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	ee20488b-0c2d-4ca8-be29-de5b764729be	UPS
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	a51bd296-45c1-45ac-8055-ec20adc71c3c	CRITICAL_AUXILIARIES
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	02b2e39d-8101-4b3e-a2d7-7d5e185a363e	LIGHTING
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	ef75994e-5c0c-4e47-b59b-d723b1f4fec2	CRITICAL_POWER_DISTRIBUTION
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	eaedc2eb-e7da-4b69-911a-fa216d39848d	CRAH
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	6bef999d-51fd-4d2f-bd15-81b844048729	CRAC
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	1e97c793-2616-4cb3-81d5-a6b00b88946f	CRAC_WITHOUT_FAN
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	2922c386-cea8-4a77-a803-7a083f9f2730	CRAC_FAN
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	a1c2dc3a-be3c-40cf-ad4d-3f6c95c03795	CHILLER
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	1413773d-f10c-49f1-b675-12a5c2686b2a	AIR_COOLED_CHILLER
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	8ed0fff1-ea38-4d56-9d3f-bd8f2ad21acc	COOLING_TOWER
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	1bbf7295-56a5-4540-a3fa-e031a773a855	DRY_COOLER
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	c68bf7d4-8b57-430c-8009-d070f05d53d9	REMOTE_CONDENSER
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	4d96cfbb-d003-48a3-81be-3a1d31181491	CHILLED_WATER_PUMPS
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	a5111db1-991b-431c-8af0-ecd4acdfeaeb	HEAT_REJECTION_PUMPS
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	ffa90dcc-ac92-450d-8d92-aa020b76159e	VENTILATION
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	bf18b086-965e-4adf-b319-443e9a58605c	INFILTRATION
a42dd3b8-a01d-4bd5-a0a1-847ab344a0de	e4b56e30-ae0f-44d8-92fc-aa3b96e94db9	IT_LOAD
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	36039713-a4e6-4f7e-9ea3-92c6a30593d5	SWITCHGEAR
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	21db9538-ba10-43f0-b73f-57acd9cdf45a	GENERATOR
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	397cb624-15e9-4a22-bab3-89814f520b08	PRIMARY_AUXILIARIES
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	a92cc1a9-39bf-4bc4-ae68-0dfba4f7e360	UPS
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	22c81ba1-7292-4e2c-bd86-78e5b5bf0b31	CRITICAL_AUXILIARIES
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	18a5c6ce-39f8-45af-80a2-cf60c159e2cc	LIGHTING
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	3ae396d8-4f81-4d2f-93a1-bee0df5e7553	CRITICAL_POWER_DISTRIBUTION
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	1b172d81-fd0a-46ca-b4f7-b0ca2a31a6ba	CRAH
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	e138467e-ddd9-4723-aa23-88f156e02de6	CRAC
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	787bf2c5-3b63-4f1d-9f51-bcc616dce916	CRAC_WITHOUT_FAN
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	b2957288-d345-4e93-8329-861bf7333443	CRAC_FAN
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	dcb121b9-5329-497c-8b13-b315b7192868	CHILLER
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	568bbdad-a9a4-479f-9a3d-1852a5a3bf01	AIR_COOLED_CHILLER
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	945cd646-56c4-4f68-8d37-bc38acb83fa7	COOLING_TOWER
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	e6d2c4d5-4c96-4915-8644-d9ee5d994e3c	DRY_COOLER
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	a55b6a2f-a717-49f8-ace4-0b9d01889aff	REMOTE_CONDENSER
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	885cbbf3-a678-430e-a36e-33325176b7ba	CHILLED_WATER_PUMPS
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	14413a60-88ec-40b8-9186-8d96a39ec942	HEAT_REJECTION_PUMPS
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	612ab89d-2a1a-46d7-8e6d-032750a09fb1	VENTILATION
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	81e0bcd7-06bc-4795-bbc5-bd48949bca4c	INFILTRATION
b81e92e6-b453-4445-8f12-f7dc1ee5d21f	bd88f1aa-28bf-48e4-a59f-a8cabb639efa	IT_LOAD
ba6dec3e-9d51-48e7-8779-619697df1443	c6be65c4-9563-48f2-90bb-05a8213f7c57	SWITCHGEAR
ba6dec3e-9d51-48e7-8779-619697df1443	6ec8855d-54b7-45b5-967c-a8e8a3dc492f	GENERATOR
ba6dec3e-9d51-48e7-8779-619697df1443	6a74058d-dda0-4676-a550-f0e186e3876c	PRIMARY_AUXILIARIES
ba6dec3e-9d51-48e7-8779-619697df1443	57a72114-940d-4ade-ab50-36c101a7efbe	UPS
ba6dec3e-9d51-48e7-8779-619697df1443	b5540ab3-dcaf-4aaf-95d2-92ad98a13f89	CRITICAL_AUXILIARIES
ba6dec3e-9d51-48e7-8779-619697df1443	cea78282-57f5-4319-9080-05c8b3bb2e26	LIGHTING
ba6dec3e-9d51-48e7-8779-619697df1443	2e238971-d5d2-43f6-a6f6-9036061da29d	CRITICAL_POWER_DISTRIBUTION
ba6dec3e-9d51-48e7-8779-619697df1443	e1aabfad-878e-46a2-a330-fa420920ea8e	CRAH
ba6dec3e-9d51-48e7-8779-619697df1443	b27a9199-0b97-4001-82fb-0bbbf9296051	CRAC
ba6dec3e-9d51-48e7-8779-619697df1443	ad105b2a-145b-4dcb-8b75-986c22600437	CRAC_WITHOUT_FAN
ba6dec3e-9d51-48e7-8779-619697df1443	3cbca619-65c2-4b39-a1d3-f1bbb60107b0	CRAC_FAN
ba6dec3e-9d51-48e7-8779-619697df1443	ee86ea2c-d7e2-4eeb-b011-f576f4f84cec	CHILLER
ba6dec3e-9d51-48e7-8779-619697df1443	1a25b6b8-e75b-4550-bdc9-a19e4d7ed5b4	AIR_COOLED_CHILLER
ba6dec3e-9d51-48e7-8779-619697df1443	3dafe9c7-2db2-4d8f-bb04-755de03222a4	COOLING_TOWER
ba6dec3e-9d51-48e7-8779-619697df1443	1e5415ed-398c-4892-bddc-d1ae28a65821	DRY_COOLER
ba6dec3e-9d51-48e7-8779-619697df1443	645e4c0f-43bb-4c94-b29c-d665eb40102f	REMOTE_CONDENSER
ba6dec3e-9d51-48e7-8779-619697df1443	a32459bb-bac9-4665-b1cc-692a7abe2f80	CHILLED_WATER_PUMPS
ba6dec3e-9d51-48e7-8779-619697df1443	135edecc-40b2-4f08-889f-5bbaddabe05f	HEAT_REJECTION_PUMPS
ba6dec3e-9d51-48e7-8779-619697df1443	4e4c81d2-9c2d-4c60-8640-49f009e6586e	VENTILATION
ba6dec3e-9d51-48e7-8779-619697df1443	c8096d44-412e-4aed-afe8-70d61c9eeb93	INFILTRATION
ba6dec3e-9d51-48e7-8779-619697df1443	67ec1c20-bc35-4938-a5b1-f225a00ceef4	IT_LOAD
ee811ef0-6cd2-41fc-affa-4b62c0823978	46ec752b-3cdb-4c4d-b2ea-9a9712c358f5	SWITCHGEAR
ee811ef0-6cd2-41fc-affa-4b62c0823978	f31645d2-4d01-490d-a95b-2d69734e0e2d	GENERATOR
ee811ef0-6cd2-41fc-affa-4b62c0823978	45b1fb18-31c9-40a9-92cc-433bd8adcb9e	PRIMARY_AUXILIARIES
ee811ef0-6cd2-41fc-affa-4b62c0823978	2ed11aa9-2926-425d-8aba-9aa051a9788d	UPS
ee811ef0-6cd2-41fc-affa-4b62c0823978	af25dae4-bcd9-46aa-b08f-9b3f5169f874	CRITICAL_AUXILIARIES
ee811ef0-6cd2-41fc-affa-4b62c0823978	41713d87-26e6-4f4a-9103-82473bed9a73	LIGHTING
ee811ef0-6cd2-41fc-affa-4b62c0823978	9dcdebcc-57da-4746-b78c-18b0855797b1	CRITICAL_POWER_DISTRIBUTION
ee811ef0-6cd2-41fc-affa-4b62c0823978	41f9a510-8a3c-4647-acff-f9ff48267325	CRAH
ee811ef0-6cd2-41fc-affa-4b62c0823978	5328e815-9682-49cc-ac3b-bbe9e9688b54	CRAC
ee811ef0-6cd2-41fc-affa-4b62c0823978	3df0dde9-d0b0-43f3-ab98-5ec915bf81b7	CRAC_WITHOUT_FAN
ee811ef0-6cd2-41fc-affa-4b62c0823978	d0cb9dea-28cb-44fe-99b0-c47a124f33fe	CRAC_FAN
ee811ef0-6cd2-41fc-affa-4b62c0823978	79976578-f9fc-436d-a731-f499183876c0	CHILLER
ee811ef0-6cd2-41fc-affa-4b62c0823978	deb83854-50fb-445d-b23b-e78fb8a47606	AIR_COOLED_CHILLER
ee811ef0-6cd2-41fc-affa-4b62c0823978	ca6907c0-4e47-4c9d-ac99-b8e3263d59d9	COOLING_TOWER
ee811ef0-6cd2-41fc-affa-4b62c0823978	c5a9c28d-ddfe-41de-b22d-26eac1b3a048	DRY_COOLER
ee811ef0-6cd2-41fc-affa-4b62c0823978	842936c2-65bb-4c34-8a0d-1ac2aaeca7a2	REMOTE_CONDENSER
ee811ef0-6cd2-41fc-affa-4b62c0823978	d77b4695-7f0a-413f-aecb-c5a4d56fdb5e	CHILLED_WATER_PUMPS
ee811ef0-6cd2-41fc-affa-4b62c0823978	63417d43-8b28-40be-90be-a1eafcfac3be	HEAT_REJECTION_PUMPS
ee811ef0-6cd2-41fc-affa-4b62c0823978	36f6e772-f4f3-4bae-8fa2-91a021debc0b	VENTILATION
ee811ef0-6cd2-41fc-affa-4b62c0823978	9a07a6d0-d060-4212-a9d0-8253de70a230	INFILTRATION
ee811ef0-6cd2-41fc-affa-4b62c0823978	1f800a62-03dc-4b17-9544-927f572fec1b	IT_LOAD
9e357a7e-9052-4a02-925f-f448ac9ec725	4a041f88-2066-4017-9ab2-780d7a28860b	SWITCHGEAR
9e357a7e-9052-4a02-925f-f448ac9ec725	d5a08436-6496-40ef-94ca-56241e287c91	GENERATOR
9e357a7e-9052-4a02-925f-f448ac9ec725	0e6a3278-7df1-4eeb-9175-5843e22b38e6	PRIMARY_AUXILIARIES
9e357a7e-9052-4a02-925f-f448ac9ec725	729913b1-29b5-4598-8c85-9c86628029fa	UPS
9e357a7e-9052-4a02-925f-f448ac9ec725	69cd3d44-f532-4533-bc2e-03e572d7d3a8	CRITICAL_AUXILIARIES
9e357a7e-9052-4a02-925f-f448ac9ec725	419c682e-d129-405e-92f7-6ba0a44ea1d6	LIGHTING
9e357a7e-9052-4a02-925f-f448ac9ec725	0cf6d7ff-0aa3-47f4-8449-9ad63fc44844	CRITICAL_POWER_DISTRIBUTION
9e357a7e-9052-4a02-925f-f448ac9ec725	a4ee1032-48da-42cd-854b-2c06748ead34	CRAH
9e357a7e-9052-4a02-925f-f448ac9ec725	c143389e-213d-49e8-9cee-423a1ede7992	CRAC
9e357a7e-9052-4a02-925f-f448ac9ec725	ae0f735c-478a-49f7-ae86-e58f8638085e	CRAC_WITHOUT_FAN
9e357a7e-9052-4a02-925f-f448ac9ec725	9186794d-e8c8-46fa-838e-76b3561fceaa	CRAC_FAN
9e357a7e-9052-4a02-925f-f448ac9ec725	28c2d23c-37c0-4f4a-bc72-7a72f4eaffb9	CHILLER
9e357a7e-9052-4a02-925f-f448ac9ec725	1a658532-9e73-4f5c-9b8f-4b2555a08bf9	AIR_COOLED_CHILLER
9e357a7e-9052-4a02-925f-f448ac9ec725	276b3b84-762f-4534-a6ad-cfc2acc68945	COOLING_TOWER
9e357a7e-9052-4a02-925f-f448ac9ec725	46aaabea-805c-44d4-843e-f8be8cec1542	DRY_COOLER
9e357a7e-9052-4a02-925f-f448ac9ec725	83d35467-109b-4027-b773-d39d0bc56197	REMOTE_CONDENSER
9e357a7e-9052-4a02-925f-f448ac9ec725	59c64486-dd83-46bc-a973-69fb27c1ae1d	CHILLED_WATER_PUMPS
9e357a7e-9052-4a02-925f-f448ac9ec725	cbdad13b-bcaf-4658-b500-bf187db43198	HEAT_REJECTION_PUMPS
9e357a7e-9052-4a02-925f-f448ac9ec725	2f3d9d00-5685-4e2e-9f86-833e18d40134	VENTILATION
9e357a7e-9052-4a02-925f-f448ac9ec725	5e2186e8-96c7-441f-9179-0e65ee8642a4	INFILTRATION
9e357a7e-9052-4a02-925f-f448ac9ec725	c4749dc0-3643-4e64-a4f0-8b271798d424	IT_LOAD
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	57bc4f48-033d-4ab8-b055-a620addfd5f4	SWITCHGEAR
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	7fd6b959-2c73-4a10-a1dd-f4de744370b0	GENERATOR
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	f9d342d8-f70e-4358-8912-49f87a832165	PRIMARY_AUXILIARIES
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	5f9dbf03-7e1e-4272-a5a0-19cdba23d2d9	UPS
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	26507379-c504-40c9-9c9f-b590c6911401	CRITICAL_AUXILIARIES
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	b893847b-d433-43b9-9be9-49f7a70fa40b	LIGHTING
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	75c7e3d3-d758-446b-a59a-6f4ed8f789b3	CRITICAL_POWER_DISTRIBUTION
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	d840a411-d7bd-44e6-abf7-dfcb62cb4c1f	CRAH
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	bb425b08-5648-4f7f-911f-4e4e3c7829e4	CRAC
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	6b5aaaf8-0b13-4638-9a7e-374583e97f7c	CRAC_WITHOUT_FAN
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	fbdb6cb4-319d-4ad2-bc95-2319e4653f5f	CRAC_FAN
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	9a6f07ce-d6b5-4cc1-bf56-dd867cc02783	CHILLER
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	9b45cbe6-58ff-4db0-9b04-c5ecfa94e920	AIR_COOLED_CHILLER
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	9b5c1bd5-515d-4986-b74f-874adcf70613	COOLING_TOWER
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	86315230-621a-46bb-ad61-7b7a2d3ebe0a	DRY_COOLER
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	b660062a-3953-4aec-98f5-6f7db2a8faa9	REMOTE_CONDENSER
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	3b494775-d308-4dec-8684-e1bc757785f0	CHILLED_WATER_PUMPS
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	587af7e1-2f6a-45a7-9dd6-fc0636f62e99	HEAT_REJECTION_PUMPS
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	5e6a732f-1c68-46ec-aafb-653da27010e8	VENTILATION
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	0e6ee174-fcfc-411f-8821-9a537ed7372e	INFILTRATION
1fd093b7-3a7f-47aa-9e70-37ca4a3f6e30	76177895-4b38-4699-9c37-e393d7387c23	IT_LOAD
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	13e1a3ba-53f4-4585-b580-0c0889237980	SWITCHGEAR
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	6fbdb6ba-d79c-4f53-98ac-58516a33a412	GENERATOR
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	62cfff7a-21ac-4f34-be09-020b1d6ee49c	PRIMARY_AUXILIARIES
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	e26971f7-87a4-4eaf-8db2-4eb802aecef6	UPS
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	14aeefa3-3067-4671-9714-3a6213106603	CRITICAL_AUXILIARIES
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	40735160-5573-4ddf-bdf6-58ea70832015	LIGHTING
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	b7661f3b-09db-49a1-bbb8-35a89d49d653	CRITICAL_POWER_DISTRIBUTION
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	6c82ee08-df1f-437f-8d3a-630e407b6085	CRAH
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	515528d3-3317-438d-92c0-1ddfea2d97aa	CRAC
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	828353c0-4ad4-4d57-bc1d-b265a312a0f9	CRAC_WITHOUT_FAN
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	3a6c36de-9d7d-45fb-b02f-6678b57f2e45	CRAC_FAN
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	39b84b86-2053-4d2f-aeb9-3292249a5aac	CHILLER
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	333958c4-e7a4-4380-afad-579667f3d277	AIR_COOLED_CHILLER
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	d6ad3aa4-c562-40de-8fc8-94c208af5c5c	COOLING_TOWER
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	3dc38191-2ca3-49d4-9a7f-22c06ee72469	DRY_COOLER
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	69f1fa6e-8d3e-4808-964d-90fd793111df	REMOTE_CONDENSER
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	32346219-e2c2-4b68-b155-46445c4c7f1e	CHILLED_WATER_PUMPS
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	9e5a2adb-36ba-4a87-b2ce-dc30f3afc075	HEAT_REJECTION_PUMPS
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	07f8bc70-29fb-4356-9c8e-490935c4aa54	VENTILATION
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	20996061-d302-4c2c-8f05-b7bd640a0864	INFILTRATION
a6f6790b-ee19-48d2-b0b3-a6a4387a47dd	efd152c2-9382-418f-b985-cac71cad971c	IT_LOAD
e1079765-4dea-4926-b6cc-4d5403468698	8d765cec-7a6e-42c0-b150-23e4b7d224d6	SWITCHGEAR
e1079765-4dea-4926-b6cc-4d5403468698	134a0df2-17c9-4933-9fc2-c0cdba8fbb77	GENERATOR
e1079765-4dea-4926-b6cc-4d5403468698	b83ca807-fc78-4922-97c3-fee4886ed5fa	PRIMARY_AUXILIARIES
e1079765-4dea-4926-b6cc-4d5403468698	f4df1754-c46a-4958-809b-10855862c07b	UPS
e1079765-4dea-4926-b6cc-4d5403468698	32ee6471-dd79-4eb5-9597-1ac59df46fd2	CRITICAL_AUXILIARIES
e1079765-4dea-4926-b6cc-4d5403468698	22929cfe-a753-43b0-b906-67a617cc55f5	LIGHTING
e1079765-4dea-4926-b6cc-4d5403468698	5da69315-c4d5-406c-9076-884b8baf4404	CRITICAL_POWER_DISTRIBUTION
e1079765-4dea-4926-b6cc-4d5403468698	e7636ec1-db2e-45c7-82c6-1dc3d2f0d1f2	CRAH
e1079765-4dea-4926-b6cc-4d5403468698	0e93cfc0-eb28-4daf-bcfa-4c42246d26e5	CRAC
e1079765-4dea-4926-b6cc-4d5403468698	9eae53b3-6df7-47f9-b12e-a6d1d8d3166e	CRAC_WITHOUT_FAN
e1079765-4dea-4926-b6cc-4d5403468698	c01843a4-3186-4519-b5f1-1e78abde3f80	CRAC_FAN
e1079765-4dea-4926-b6cc-4d5403468698	10fac660-aa37-4fa9-937c-23ae27893050	CHILLER
e1079765-4dea-4926-b6cc-4d5403468698	f1483646-b329-47ab-a73b-d01b308a7a13	AIR_COOLED_CHILLER
e1079765-4dea-4926-b6cc-4d5403468698	a2b458f2-07b1-4779-885a-aa2e69fd6aa3	COOLING_TOWER
e1079765-4dea-4926-b6cc-4d5403468698	698e2293-8409-4045-8640-263960dcd080	DRY_COOLER
e1079765-4dea-4926-b6cc-4d5403468698	9e9e7593-2e5b-4437-9d5e-3445ea22a934	REMOTE_CONDENSER
e1079765-4dea-4926-b6cc-4d5403468698	ce9245f6-ff12-4bd2-afb8-822f449d0d24	CHILLED_WATER_PUMPS
e1079765-4dea-4926-b6cc-4d5403468698	75a37e5c-ec4a-409e-81e4-356c6e133472	HEAT_REJECTION_PUMPS
e1079765-4dea-4926-b6cc-4d5403468698	181eb7c3-42ea-4188-bfe5-5ac7343eb4ba	VENTILATION
e1079765-4dea-4926-b6cc-4d5403468698	279b4242-fcd7-4a48-aa7b-fe7b960e1add	INFILTRATION
e1079765-4dea-4926-b6cc-4d5403468698	f0a68994-a5ca-4a69-aea6-519961641128	IT_LOAD
5b3ace8c-9c8e-469f-adde-7468daf681ee	9c6ae279-5659-420a-9467-1a6d101e3122	SWITCHGEAR
5b3ace8c-9c8e-469f-adde-7468daf681ee	8b2b24b8-04a6-41b8-bf6c-d69d67a50511	GENERATOR
5b3ace8c-9c8e-469f-adde-7468daf681ee	0d7fcf8f-b460-4889-8457-dd0984e75eaa	PRIMARY_AUXILIARIES
5b3ace8c-9c8e-469f-adde-7468daf681ee	c0fb32f3-1047-435e-a35d-a0c9c58d0852	UPS
5b3ace8c-9c8e-469f-adde-7468daf681ee	e20d5a92-bb86-4505-8c7c-1afc0122a6b9	CRITICAL_AUXILIARIES
5b3ace8c-9c8e-469f-adde-7468daf681ee	f27f6362-ee51-44a5-81d6-d245bf42593b	LIGHTING
5b3ace8c-9c8e-469f-adde-7468daf681ee	9624b2e6-814e-4b79-80b5-556335781f93	CRITICAL_POWER_DISTRIBUTION
5b3ace8c-9c8e-469f-adde-7468daf681ee	5b4d7229-e54d-4ed5-85b3-ccea074850b9	CRAH
5b3ace8c-9c8e-469f-adde-7468daf681ee	33c8e62a-1834-41b3-b8b6-5494a7477a2f	CRAC
5b3ace8c-9c8e-469f-adde-7468daf681ee	bd7463c5-d92c-49de-8b53-9bd8dedcef65	CRAC_WITHOUT_FAN
5b3ace8c-9c8e-469f-adde-7468daf681ee	a2cd2b6a-ca35-4a26-8449-f9ddd3e1a549	CRAC_FAN
5b3ace8c-9c8e-469f-adde-7468daf681ee	8ce9b1b8-5cc0-476d-a358-29ec09c151a5	CHILLER
5b3ace8c-9c8e-469f-adde-7468daf681ee	4ee7104b-ec9e-40ae-a0fe-e01d079e4a81	AIR_COOLED_CHILLER
5b3ace8c-9c8e-469f-adde-7468daf681ee	37392b4f-8457-4862-9f84-874f6fbbeb84	COOLING_TOWER
5b3ace8c-9c8e-469f-adde-7468daf681ee	6907d348-3fda-4f51-bcfd-b81771a62e14	DRY_COOLER
5b3ace8c-9c8e-469f-adde-7468daf681ee	7105024f-704d-4253-b695-3229636a8516	REMOTE_CONDENSER
5b3ace8c-9c8e-469f-adde-7468daf681ee	5ea0d726-2401-4bd5-8ebc-9e8800f5bd45	CHILLED_WATER_PUMPS
5b3ace8c-9c8e-469f-adde-7468daf681ee	0464407d-9905-42f5-8b3f-f31000a0b39b	HEAT_REJECTION_PUMPS
5b3ace8c-9c8e-469f-adde-7468daf681ee	471de057-6c43-40b1-9c9f-76b777dff331	VENTILATION
5b3ace8c-9c8e-469f-adde-7468daf681ee	946aeb1d-58fb-44ad-b699-b2890616dbd8	INFILTRATION
5b3ace8c-9c8e-469f-adde-7468daf681ee	0095960a-5864-4f45-bce1-07d118f84cb9	IT_LOAD
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	dc882115-a635-4681-8bdd-6226a6187496	SWITCHGEAR
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	11fd6358-c365-4c97-b1f6-f93012874c23	GENERATOR
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	8f69a95e-8898-4c6e-bf49-15590dafb561	PRIMARY_AUXILIARIES
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	1b2ccd10-3f2e-4289-9d4b-87194ab15fc0	UPS
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	1057c07e-a28a-4fdd-8eaa-207917811159	CRITICAL_AUXILIARIES
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	cbf01069-da82-44a0-b1f5-d65bd0e6788f	LIGHTING
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	326984c0-9a6a-4b52-ae1d-3838c88fb0ec	CRITICAL_POWER_DISTRIBUTION
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	434b5aae-d5a3-45da-989a-0c752fcf08f7	CRAH
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	3dcf7c2d-1f06-417a-bf9e-f2958f6de1b9	CRAC
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	03a22b3e-add6-4228-9391-4fb255d385f0	CRAC_WITHOUT_FAN
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	ce839d32-9c39-47bf-b0a3-da1ea08cf057	CRAC_FAN
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	2c11eaab-e21b-4818-9e5a-00525f3b54ee	CHILLER
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	b5965de8-ff73-48ff-9db9-6c0d40545f63	AIR_COOLED_CHILLER
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	c721845f-b4b6-4b74-8ca0-9b36704e9308	COOLING_TOWER
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	ed2d8940-2e40-4cbe-8dd5-ab42d3e09040	DRY_COOLER
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	7b3501e9-3166-4cb7-b1bd-92351160c481	REMOTE_CONDENSER
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	9786027d-a6ae-4204-b817-5daad44f395d	CHILLED_WATER_PUMPS
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	e4c2dd6f-d130-4e07-b18d-46497092be21	HEAT_REJECTION_PUMPS
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	b946e05a-fbe0-4930-9468-638344d15d58	VENTILATION
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	81a09259-f48d-4911-8a2d-32e72781ef35	INFILTRATION
90ac14a0-bfd8-4c3a-ac27-5348f15691e3	c76a1727-dc9d-4bfb-ad95-4cef00cda14b	IT_LOAD
00fd4ab5-4600-4d75-a65b-17207515a70d	3c407df0-7503-42f4-94d7-01cefb540ef2	SWITCHGEAR
00fd4ab5-4600-4d75-a65b-17207515a70d	9e10436f-903b-4261-b05b-abf1352954a6	GENERATOR
00fd4ab5-4600-4d75-a65b-17207515a70d	b4d71e5e-5006-460a-b7ec-99fb1df4b6bd	PRIMARY_AUXILIARIES
00fd4ab5-4600-4d75-a65b-17207515a70d	d32c05ff-e741-48f3-afff-011ab119b866	UPS
00fd4ab5-4600-4d75-a65b-17207515a70d	f3ba55af-3036-450e-8dff-fd10e796edea	CRITICAL_AUXILIARIES
00fd4ab5-4600-4d75-a65b-17207515a70d	5f9f5f33-964a-4a73-a56b-11842e79797b	LIGHTING
00fd4ab5-4600-4d75-a65b-17207515a70d	2fd97a2d-1b9a-4232-a7a3-cd243cc5cc96	CRITICAL_POWER_DISTRIBUTION
00fd4ab5-4600-4d75-a65b-17207515a70d	5e326e46-70fd-4e49-9359-598572dafb28	CRAH
00fd4ab5-4600-4d75-a65b-17207515a70d	4bed1cda-f819-4704-9e67-11ba2b74e259	CRAC
00fd4ab5-4600-4d75-a65b-17207515a70d	87e38175-d355-47a1-b0fc-83363fbc1519	CRAC_WITHOUT_FAN
00fd4ab5-4600-4d75-a65b-17207515a70d	1715ffbd-8059-498d-9d72-8c0962af9c8d	CRAC_FAN
00fd4ab5-4600-4d75-a65b-17207515a70d	7207cc33-b9fa-4613-89af-bc1b964e631a	CHILLER
00fd4ab5-4600-4d75-a65b-17207515a70d	2b6a900a-a3bf-41fb-afe5-f94ca0228505	AIR_COOLED_CHILLER
00fd4ab5-4600-4d75-a65b-17207515a70d	9330cf8e-148f-42e2-86ca-7e22edf2eb49	COOLING_TOWER
00fd4ab5-4600-4d75-a65b-17207515a70d	9c14e37c-6907-46a3-928a-07ebeabb70a6	DRY_COOLER
00fd4ab5-4600-4d75-a65b-17207515a70d	3ec68b4e-d1c6-4437-87c8-9dd05df7e2c7	REMOTE_CONDENSER
00fd4ab5-4600-4d75-a65b-17207515a70d	8463fe3b-856b-4b47-ac43-1964244f202d	CHILLED_WATER_PUMPS
00fd4ab5-4600-4d75-a65b-17207515a70d	b8235495-a711-4ce8-a3fa-6a081c80157d	HEAT_REJECTION_PUMPS
00fd4ab5-4600-4d75-a65b-17207515a70d	a05c27bc-2031-4eab-94a2-c7c80d6c0123	VENTILATION
00fd4ab5-4600-4d75-a65b-17207515a70d	5e309c72-56ba-46c2-9a38-4259f528be58	INFILTRATION
00fd4ab5-4600-4d75-a65b-17207515a70d	6f95b663-6cbc-4daa-bd0e-3b27cf6e218d	IT_LOAD
92f0f842-d3f1-4b8f-8068-01334ef05ba2	f112426d-ff46-466b-894a-20fd4f489696	SWITCHGEAR
92f0f842-d3f1-4b8f-8068-01334ef05ba2	a41abd8f-9f09-45b3-8f22-b9af8d541410	GENERATOR
92f0f842-d3f1-4b8f-8068-01334ef05ba2	d5be5bd6-18a3-4e6e-ba88-97b2aeb15599	PRIMARY_AUXILIARIES
92f0f842-d3f1-4b8f-8068-01334ef05ba2	c0cbd121-a234-4868-a7d1-55e3ffeba14b	UPS
92f0f842-d3f1-4b8f-8068-01334ef05ba2	d706b413-305b-469b-994d-a68df49a6f15	CRITICAL_AUXILIARIES
92f0f842-d3f1-4b8f-8068-01334ef05ba2	4cd6c8db-c420-4ff0-b8b9-d2cb9842a9be	LIGHTING
92f0f842-d3f1-4b8f-8068-01334ef05ba2	dd2201fa-714f-4166-87f7-18a5cb8c065c	CRITICAL_POWER_DISTRIBUTION
92f0f842-d3f1-4b8f-8068-01334ef05ba2	bd8f9edb-4af3-4b1f-ac54-b168e3b4967e	CRAH
92f0f842-d3f1-4b8f-8068-01334ef05ba2	94ff46f5-adb2-438b-93c9-5b9a4816a777	CRAC
92f0f842-d3f1-4b8f-8068-01334ef05ba2	71c415f8-4b81-43ef-b1c5-bd272864abac	CRAC_WITHOUT_FAN
92f0f842-d3f1-4b8f-8068-01334ef05ba2	9e7825b7-2d32-4c2f-ac57-67c7a1a47d4e	CRAC_FAN
92f0f842-d3f1-4b8f-8068-01334ef05ba2	8dc1a497-a768-4642-90ba-8bddae20b69d	CHILLER
92f0f842-d3f1-4b8f-8068-01334ef05ba2	2d8c4273-c0cf-4562-93bd-8543df9d276e	AIR_COOLED_CHILLER
92f0f842-d3f1-4b8f-8068-01334ef05ba2	13104155-86c4-4be7-b36d-07d8a461a267	COOLING_TOWER
92f0f842-d3f1-4b8f-8068-01334ef05ba2	640ffd6f-fdf2-4573-be61-fb24a0f95b3a	DRY_COOLER
92f0f842-d3f1-4b8f-8068-01334ef05ba2	df3e3a46-5c4c-423e-b607-ad854305dd19	REMOTE_CONDENSER
92f0f842-d3f1-4b8f-8068-01334ef05ba2	f578971e-7bcb-498f-aac2-51e8aa54c970	CHILLED_WATER_PUMPS
92f0f842-d3f1-4b8f-8068-01334ef05ba2	09b0c31f-d20d-4bd4-b8bc-b9df60c421d9	HEAT_REJECTION_PUMPS
92f0f842-d3f1-4b8f-8068-01334ef05ba2	e31796c6-577e-473c-9771-dceee64001c6	VENTILATION
92f0f842-d3f1-4b8f-8068-01334ef05ba2	e181d814-2107-42da-9abc-27a6d6ee7854	INFILTRATION
92f0f842-d3f1-4b8f-8068-01334ef05ba2	2d8daa3c-cd4f-451f-8c66-fe873ad9dcbe	IT_LOAD
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	86e22838-3ab8-4e0f-bcfa-158aba5a8ac9	SWITCHGEAR
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	3891c712-0c30-4352-a3c4-69c1720dfc51	GENERATOR
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	6e213cc7-b933-4670-997c-585999a346bd	PRIMARY_AUXILIARIES
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	d44e16bc-b5b0-4254-89f7-a4a7d9bc2ea8	UPS
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	3fc395ec-19d6-4a44-a199-8b75dbc278e5	CRITICAL_AUXILIARIES
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	b245ba46-db8f-4f4a-a10f-b94fe789a603	LIGHTING
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	fce3b34d-66b5-43a8-81a4-8b33080d5cb0	CRITICAL_POWER_DISTRIBUTION
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	3ef264f5-29e8-4b14-8f19-365fe4e6da61	CRAH
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	bb230c90-29ad-4254-8acb-439a193991a3	CRAC
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	e0c2bd53-bfd7-44ee-94a7-8b27c004a914	CRAC_WITHOUT_FAN
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	932ef37d-fed4-4ac6-99ea-c01828d4f2fa	CRAC_FAN
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	a39a4bd8-0816-4cc0-aca9-19792f19f1e0	CHILLER
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	b070b027-2a10-4e63-bff7-a9ea9a0a987d	AIR_COOLED_CHILLER
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	12135089-89b6-463b-9c8e-d47f53712600	COOLING_TOWER
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	535e0c97-aac0-43ee-b0b6-5640677ac441	DRY_COOLER
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	5e211378-bf1b-4ee7-8a2c-be6f2bf0e9bd	REMOTE_CONDENSER
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	4970a591-7cd0-4731-829a-5360c48eb399	CHILLED_WATER_PUMPS
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	ad00661a-2da2-4b27-8077-4579ed2834ee	HEAT_REJECTION_PUMPS
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	4f982113-b193-43b7-ab7e-eaf9542687b0	VENTILATION
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	524501a6-2368-411b-b434-8ea9d72b5106	INFILTRATION
d43199b6-76dc-4ef7-9642-33cb8dfa6a46	709caf81-5792-41a1-8cc4-505c0069520e	IT_LOAD
5e737692-179c-46ff-a15d-3e7b27121f2d	5d7416fb-67fe-44b4-80aa-40bacb95078c	SWITCHGEAR
5e737692-179c-46ff-a15d-3e7b27121f2d	3db2f75b-9534-48aa-9474-fac49ef792f1	GENERATOR
5e737692-179c-46ff-a15d-3e7b27121f2d	f02389df-fa04-47b7-800d-636294a7b691	PRIMARY_AUXILIARIES
5e737692-179c-46ff-a15d-3e7b27121f2d	0c85cee1-bdfa-4ccd-a578-cbb8a373bcf8	UPS
5e737692-179c-46ff-a15d-3e7b27121f2d	a9d54ea0-4fea-45ee-a102-37645196ce6c	CRITICAL_AUXILIARIES
5e737692-179c-46ff-a15d-3e7b27121f2d	75cba91b-826e-43b1-973e-5e6cd410c51a	LIGHTING
5e737692-179c-46ff-a15d-3e7b27121f2d	b3f086e6-2004-49d5-b2b7-5f2883b134c1	CRITICAL_POWER_DISTRIBUTION
5e737692-179c-46ff-a15d-3e7b27121f2d	10680e5b-2590-4c83-bb07-f31046d37bf0	CRAH
5e737692-179c-46ff-a15d-3e7b27121f2d	ae19efd1-f661-4493-b448-40a9bc58cde5	CRAC
5e737692-179c-46ff-a15d-3e7b27121f2d	ea97f214-5dab-449c-b5b4-b49cdd5b8f22	CRAC_WITHOUT_FAN
5e737692-179c-46ff-a15d-3e7b27121f2d	cf52e7ad-4de1-4e3e-a513-96684c6088f1	CRAC_FAN
5e737692-179c-46ff-a15d-3e7b27121f2d	611cab44-739b-43c7-a6e1-dbced81bd3b2	CHILLER
5e737692-179c-46ff-a15d-3e7b27121f2d	9ab5b823-9b52-40f5-a799-0887009c5f1e	AIR_COOLED_CHILLER
5e737692-179c-46ff-a15d-3e7b27121f2d	8789257f-536c-4b8c-a2e7-8ca01bde3376	COOLING_TOWER
5e737692-179c-46ff-a15d-3e7b27121f2d	3e8d740d-4ca3-419b-87e8-5307544a55cd	DRY_COOLER
5e737692-179c-46ff-a15d-3e7b27121f2d	6a81ec58-08cb-4529-ab76-56bd09a4d55a	REMOTE_CONDENSER
5e737692-179c-46ff-a15d-3e7b27121f2d	00fbc8ac-b088-4bef-9c98-946815d3f1fe	CHILLED_WATER_PUMPS
5e737692-179c-46ff-a15d-3e7b27121f2d	d9b92e7e-03e1-4392-815e-00db57926400	HEAT_REJECTION_PUMPS
5e737692-179c-46ff-a15d-3e7b27121f2d	84c427ff-3afc-4ec8-91ce-0cac2d092abf	VENTILATION
5e737692-179c-46ff-a15d-3e7b27121f2d	695e7bbe-450b-48ee-86ea-350583a9559a	INFILTRATION
5e737692-179c-46ff-a15d-3e7b27121f2d	76996115-279f-49c1-aaeb-a83e4b1f2534	IT_LOAD
b54bf32d-f913-4d14-b26c-312a5684e06b	de0ef720-0f8a-4a7c-9050-928a32bf2abb	SWITCHGEAR
b54bf32d-f913-4d14-b26c-312a5684e06b	1b1b95a6-2a3e-4112-90ba-ff8ac20bd249	GENERATOR
b54bf32d-f913-4d14-b26c-312a5684e06b	3235e5cb-5c8f-432b-a5fe-aa18350d66d9	PRIMARY_AUXILIARIES
b54bf32d-f913-4d14-b26c-312a5684e06b	9bbb56fa-6336-4fd4-b1d2-87663179f371	UPS
b54bf32d-f913-4d14-b26c-312a5684e06b	860f963e-65d0-4ac8-af6d-f8682d491a3f	CRITICAL_AUXILIARIES
b54bf32d-f913-4d14-b26c-312a5684e06b	3bd26e33-39f4-494e-a9fb-4cc2fada6314	LIGHTING
b54bf32d-f913-4d14-b26c-312a5684e06b	f741d63b-5393-4d80-84ee-c9033bf441a7	CRITICAL_POWER_DISTRIBUTION
b54bf32d-f913-4d14-b26c-312a5684e06b	07e14cbd-a6a2-4d72-9982-f5982d67aa73	CRAH
b54bf32d-f913-4d14-b26c-312a5684e06b	4895118a-680c-499e-b05a-ef207f12a1e3	CRAC
b54bf32d-f913-4d14-b26c-312a5684e06b	cb250c21-0f3b-4d6b-8cc8-bfbcd703f16a	CRAC_WITHOUT_FAN
b54bf32d-f913-4d14-b26c-312a5684e06b	2105b6e0-464e-487c-aa91-458b720bfc8e	CRAC_FAN
b54bf32d-f913-4d14-b26c-312a5684e06b	28edebb2-ade8-4c53-a5bb-ae7f67135668	CHILLER
b54bf32d-f913-4d14-b26c-312a5684e06b	7266d588-d9c1-4d30-a66d-d3829b42b5e1	AIR_COOLED_CHILLER
b54bf32d-f913-4d14-b26c-312a5684e06b	d5449ccb-c2d4-49b6-9c22-5e9396e0dd06	COOLING_TOWER
b54bf32d-f913-4d14-b26c-312a5684e06b	1df96dc6-3f58-4bd0-ac8b-b1f0ee8b8c2c	DRY_COOLER
b54bf32d-f913-4d14-b26c-312a5684e06b	b7841335-6e1a-4653-a8e9-ea68a93c5c2d	REMOTE_CONDENSER
b54bf32d-f913-4d14-b26c-312a5684e06b	aa9c9efe-11dc-4add-be59-9b893e9c4e54	CHILLED_WATER_PUMPS
b54bf32d-f913-4d14-b26c-312a5684e06b	986e1e26-d50e-4793-a9ad-74d83bfdbfa7	HEAT_REJECTION_PUMPS
b54bf32d-f913-4d14-b26c-312a5684e06b	2c65efa1-0642-44db-a3b6-c135bb38fc74	VENTILATION
b54bf32d-f913-4d14-b26c-312a5684e06b	cd399727-a709-4e17-8f56-f7060d0a29b3	INFILTRATION
b54bf32d-f913-4d14-b26c-312a5684e06b	73d540f4-8537-4822-8007-e6ec40231d57	IT_LOAD
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	4d1cfaa2-8154-423c-8b2d-e045ac5f126f	SWITCHGEAR
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	27680d18-0089-4099-9837-3f5871106dc3	GENERATOR
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	1ced027b-1a90-4611-b07e-46d81cc1fc2c	PRIMARY_AUXILIARIES
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	95d860f7-1072-47bd-82cc-082a13c7f6a8	UPS
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	bfbe5512-baf5-42b2-b87c-ec8ec8577539	CRITICAL_AUXILIARIES
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	22fb2897-40e1-4a5e-a823-c819d648e81d	LIGHTING
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	703a7022-e233-4ae0-b873-7d9c166c0f06	CRITICAL_POWER_DISTRIBUTION
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	0b14485f-a108-4170-b7d5-08baba8c41e0	CRAH
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	0a5f8720-966a-426f-8968-72372dc6c532	CRAC
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	1fce055b-853c-412f-9aab-1e2aa74019b6	CRAC_WITHOUT_FAN
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	b09981d6-925b-4bcb-9d18-910de4b139ef	CRAC_FAN
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	6fc2a6a2-009a-4683-ab04-00c04f9d717b	CHILLER
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	77cbf7e6-0f4c-457c-acf0-2ffa8172c237	AIR_COOLED_CHILLER
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	d95d3cd6-5a98-4d23-993b-7a5a805a89fe	COOLING_TOWER
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	5056e7fb-fc7c-49c8-811c-a6e9fd2145c6	DRY_COOLER
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	a5369408-f67e-47f7-bf8c-634f6fff037e	REMOTE_CONDENSER
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	0929b511-f93c-4b5e-aed7-a8012d64ed74	CHILLED_WATER_PUMPS
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	7a8f3863-c584-4a24-bbe5-501a659a77b7	HEAT_REJECTION_PUMPS
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	3b0b174e-ef00-468e-aaa3-b4e2d2894e19	VENTILATION
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	6a39ecc7-a8cf-42db-b878-737c6d295fb3	INFILTRATION
1d919f6b-1e8b-4328-84c2-42c1ae9f2930	d3232cb0-d1cb-42a4-9d2d-1642666a2de1	IT_LOAD
5aa2de65-507b-4733-b1c8-b4926113f237	265a0287-01e7-439b-8fed-58268c135397	SWITCHGEAR
5aa2de65-507b-4733-b1c8-b4926113f237	37fb0f56-fc33-4c2d-bd1a-a22923fb8abe	GENERATOR
5aa2de65-507b-4733-b1c8-b4926113f237	37d097fc-ec25-4dd7-bb1c-bd47cb93f1a4	PRIMARY_AUXILIARIES
5aa2de65-507b-4733-b1c8-b4926113f237	8ca301c5-5200-447c-9238-6797bcdb9fab	UPS
5aa2de65-507b-4733-b1c8-b4926113f237	403dd5a9-5da9-4bda-97fc-fec95047630e	CRITICAL_AUXILIARIES
5aa2de65-507b-4733-b1c8-b4926113f237	19ac567e-f370-43a2-b66d-9eb84fb8f338	LIGHTING
5aa2de65-507b-4733-b1c8-b4926113f237	538f2749-95ef-47d6-b658-ea328c90805b	CRITICAL_POWER_DISTRIBUTION
5aa2de65-507b-4733-b1c8-b4926113f237	42e20457-c464-4349-bfbf-a0d133788c6e	CRAH
5aa2de65-507b-4733-b1c8-b4926113f237	3b02eb74-6e98-4a6d-b9d8-82d53bd7b990	CRAC
5aa2de65-507b-4733-b1c8-b4926113f237	6096d91c-981d-4d2c-a1d0-41d3a8d63868	CRAC_WITHOUT_FAN
5aa2de65-507b-4733-b1c8-b4926113f237	44e93e35-0045-4207-a4a6-734698023dd1	CRAC_FAN
5aa2de65-507b-4733-b1c8-b4926113f237	42dd9ec4-516e-44cd-b6dd-99f80f88ecd8	CHILLER
5aa2de65-507b-4733-b1c8-b4926113f237	eece877a-2e81-4738-8505-cbf1c6d90c08	AIR_COOLED_CHILLER
5aa2de65-507b-4733-b1c8-b4926113f237	824bd661-ae58-4d7d-9810-bf667b1a6372	COOLING_TOWER
5aa2de65-507b-4733-b1c8-b4926113f237	5f93002e-59cf-4496-98cf-761aa0d3eec1	DRY_COOLER
5aa2de65-507b-4733-b1c8-b4926113f237	99c55ea7-18ff-4ce2-8981-9cde96fd3a60	REMOTE_CONDENSER
5aa2de65-507b-4733-b1c8-b4926113f237	7fcf6ed8-bede-437d-957a-ba1177d3ece6	CHILLED_WATER_PUMPS
5aa2de65-507b-4733-b1c8-b4926113f237	be6d1051-58c1-4fcb-b82e-cf7931e4843a	HEAT_REJECTION_PUMPS
5aa2de65-507b-4733-b1c8-b4926113f237	2cba09e7-54a5-4cd4-be82-dbd639785fae	VENTILATION
5aa2de65-507b-4733-b1c8-b4926113f237	513eb590-083c-4a50-8fc4-1d4dd888eaa3	INFILTRATION
5aa2de65-507b-4733-b1c8-b4926113f237	e9e70d58-3111-45d6-a209-cb6df4643aa2	IT_LOAD
b7395380-6bf5-48d6-8b45-6448a88cff5f	1ea22e0b-6e94-4220-9f90-54b12b3724b4	SWITCHGEAR
b7395380-6bf5-48d6-8b45-6448a88cff5f	423fd866-2bfa-49a6-a753-ddcf04d35f49	GENERATOR
b7395380-6bf5-48d6-8b45-6448a88cff5f	d134528b-b007-4d06-be80-36f063c57bf6	PRIMARY_AUXILIARIES
b7395380-6bf5-48d6-8b45-6448a88cff5f	64cb1b6b-822a-4b8b-94e2-c50560739ed8	UPS
b7395380-6bf5-48d6-8b45-6448a88cff5f	7056ef81-5b78-4dc5-b746-0f6e232a3785	CRITICAL_AUXILIARIES
b7395380-6bf5-48d6-8b45-6448a88cff5f	03c1a13f-53d4-4d1c-93c1-fcf2ab296aa8	LIGHTING
b7395380-6bf5-48d6-8b45-6448a88cff5f	5c75cc90-73a3-4c9a-bd5f-f65f0ce306f6	CRITICAL_POWER_DISTRIBUTION
b7395380-6bf5-48d6-8b45-6448a88cff5f	f6f4b6a1-f37d-4fcc-bb82-4783457fb72f	CRAH
b7395380-6bf5-48d6-8b45-6448a88cff5f	47a56eff-cb89-4371-8daf-0fd121a8027e	CRAC
b7395380-6bf5-48d6-8b45-6448a88cff5f	75c8dd2d-971c-4b6b-aaf4-667e599bf6fc	CRAC_WITHOUT_FAN
b7395380-6bf5-48d6-8b45-6448a88cff5f	1d6570dc-7ef1-4025-835c-aad97f3a55c9	CRAC_FAN
b7395380-6bf5-48d6-8b45-6448a88cff5f	fb3666b5-cfa3-4b32-b5e9-b0fb4d410c9a	CHILLER
b7395380-6bf5-48d6-8b45-6448a88cff5f	300be648-1d62-4662-ae02-ee74c34acf03	AIR_COOLED_CHILLER
b7395380-6bf5-48d6-8b45-6448a88cff5f	9f29b1bb-d973-41c7-8efe-4fbd50cb3632	COOLING_TOWER
b7395380-6bf5-48d6-8b45-6448a88cff5f	101bd214-d536-4235-ac2e-7479de71964f	DRY_COOLER
b7395380-6bf5-48d6-8b45-6448a88cff5f	1ddb8cbc-46c3-40eb-926d-de6b9ce582b4	REMOTE_CONDENSER
b7395380-6bf5-48d6-8b45-6448a88cff5f	9f6d48e2-9f1e-4b56-bec3-1f75d68948ce	CHILLED_WATER_PUMPS
b7395380-6bf5-48d6-8b45-6448a88cff5f	bdf2ee9b-9ae7-4bee-a568-60563f3b20aa	HEAT_REJECTION_PUMPS
b7395380-6bf5-48d6-8b45-6448a88cff5f	f7f82218-b475-4701-8fc6-c2df7ffebd5a	VENTILATION
b7395380-6bf5-48d6-8b45-6448a88cff5f	f9cd6210-a377-4028-833a-4ba2d44adae0	INFILTRATION
b7395380-6bf5-48d6-8b45-6448a88cff5f	ab2157e3-a249-4408-811a-229699567dc1	IT_LOAD
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	58a303b9-f7ab-439c-818a-3bcb38322419	SWITCHGEAR
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	01a37e94-0eb9-40a4-8199-102c8cb91729	GENERATOR
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	62afe4d9-a847-4428-841a-092e43f5f9e3	PRIMARY_AUXILIARIES
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	e60ebb61-9766-42a1-8560-549f7022ef8e	UPS
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	3f1e72db-34ed-4a7f-8d21-b824b76ab2d2	CRITICAL_AUXILIARIES
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	5521f64d-7448-457f-8b1e-0835887bb76e	LIGHTING
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	72840c0f-f815-4963-95f1-faefb24ad6fc	CRITICAL_POWER_DISTRIBUTION
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	fbabc4bb-f334-44fc-b6ee-affd3b8d7166	CRAH
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	6d9f19b4-3912-42ae-860f-78d51f82493c	CRAC
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	616d1190-7e0d-4187-8dc8-46b16aea9655	CRAC_WITHOUT_FAN
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	33fda9ce-07e2-4fad-a6ad-c60d058b79cd	CRAC_FAN
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	7883d494-8d7d-4058-8bd2-b332a1557a23	CHILLER
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	f479dcef-ce84-4aaf-a492-fc72614649cd	AIR_COOLED_CHILLER
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	3daea560-1105-427f-9894-67232fbd8aa1	COOLING_TOWER
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	347fb53e-3f6a-4354-b3be-39e2c2129758	DRY_COOLER
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	0e50a12f-2707-410a-89ab-2acca43ea8ff	REMOTE_CONDENSER
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	9fe70c33-ca54-4836-985d-7d8f85782be6	CHILLED_WATER_PUMPS
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	f82bfa14-6d2a-4f7c-bb18-5e09900e1037	HEAT_REJECTION_PUMPS
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	02d3c9a1-af4c-4623-908d-306ab97f9c40	VENTILATION
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	79d59aa6-498f-4f4d-b831-6ca33fa22d46	INFILTRATION
ca0001a5-3581-4c11-aa3b-8dbf7c66b82a	dce28855-f66d-40f5-8e86-b56f4af4cad3	IT_LOAD
229471de-a39f-43ec-855b-181ae395622e	e5b0ce4e-2afe-41bf-b546-0059be37bfbc	SWITCHGEAR
229471de-a39f-43ec-855b-181ae395622e	9b6e229d-53d2-4364-acbd-63fec57629a4	GENERATOR
229471de-a39f-43ec-855b-181ae395622e	2bb8252b-ddce-44f9-a36d-e22b1337b5e8	PRIMARY_AUXILIARIES
229471de-a39f-43ec-855b-181ae395622e	1a4fa753-c05f-443c-9f12-254ff74aecdd	UPS
229471de-a39f-43ec-855b-181ae395622e	a53325dd-1522-4f34-808c-c86f31d65836	CRITICAL_AUXILIARIES
229471de-a39f-43ec-855b-181ae395622e	4eb78dbb-1246-4c0d-b65a-f4f17502e33c	LIGHTING
229471de-a39f-43ec-855b-181ae395622e	057d1e97-543a-47b1-8c1b-b1db944fa65e	CRITICAL_POWER_DISTRIBUTION
229471de-a39f-43ec-855b-181ae395622e	e6f5146e-477b-4986-a2b6-0f2821150889	CRAH
229471de-a39f-43ec-855b-181ae395622e	e0875768-f0cf-48a2-ac10-062bfacc62bf	CRAC
229471de-a39f-43ec-855b-181ae395622e	8c31e177-04ed-4e9a-a5ac-a21c21f1d79f	CRAC_WITHOUT_FAN
229471de-a39f-43ec-855b-181ae395622e	5d2c601a-2609-4c86-b781-10c717206394	CRAC_FAN
229471de-a39f-43ec-855b-181ae395622e	3279b085-7054-46a0-8ab2-8808f729dcf3	CHILLER
229471de-a39f-43ec-855b-181ae395622e	4ab7d869-c147-4513-857c-55452b698334	AIR_COOLED_CHILLER
229471de-a39f-43ec-855b-181ae395622e	a1463490-28ab-480e-b56e-f67c8b904dc5	COOLING_TOWER
229471de-a39f-43ec-855b-181ae395622e	4205cfff-08e6-4112-b1f9-05c6f8b24266	DRY_COOLER
229471de-a39f-43ec-855b-181ae395622e	13d52808-d4e4-4504-a050-0bfa3a9f6412	REMOTE_CONDENSER
229471de-a39f-43ec-855b-181ae395622e	6bc3d1ac-0e0f-48a7-aef8-45490565d126	CHILLED_WATER_PUMPS
229471de-a39f-43ec-855b-181ae395622e	5cc8af74-85bc-4926-a96f-5fa11d8da1d8	HEAT_REJECTION_PUMPS
229471de-a39f-43ec-855b-181ae395622e	eca31cf8-bf3f-4a67-b717-1a489e2208c0	VENTILATION
229471de-a39f-43ec-855b-181ae395622e	a0d84026-37f4-4ba0-9ea2-a81a2b04a286	INFILTRATION
229471de-a39f-43ec-855b-181ae395622e	8b8a5698-dc96-46de-a0dd-3ae9ac6b8e43	IT_LOAD
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	b61d8d83-1137-4d1f-b131-83a159521aaa	SWITCHGEAR
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	cac8bf08-f08e-413d-99fc-d59d1d3ed050	GENERATOR
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	ec435746-888b-4001-8951-70bb4cf9b0cf	PRIMARY_AUXILIARIES
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	fb23fc83-abda-46a3-9f6b-438ff73cdf5c	UPS
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	ba3857be-6fb4-4d3a-8d27-0f749867dadf	CRITICAL_AUXILIARIES
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	1cc5cf6d-c349-42bd-af40-ccfb30252d5f	LIGHTING
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	568df3f1-7021-4206-a3c0-ef74f2306991	CRITICAL_POWER_DISTRIBUTION
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	63b8a4a1-7d0a-4f83-956f-2ec8e46807a0	CRAH
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	2e6dbe56-da07-4457-af4a-c2adb9cae84f	CRAC
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	7621f3fd-260b-46fa-a78f-20b3ecb09af1	CRAC_WITHOUT_FAN
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	6be01d79-e397-4201-8abc-900f4cd8da15	CRAC_FAN
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	898d7589-4dd5-4eaf-a148-0b10e2db37ee	CHILLER
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	6c30388c-fbbc-43a0-80b8-96149ad40f28	AIR_COOLED_CHILLER
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	56341af8-d1eb-4e40-9fd0-befae7b0ef93	COOLING_TOWER
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	e29affe1-c314-4094-9d1b-13c02ccef48f	DRY_COOLER
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	71aea80e-d96e-4bd2-a917-e32ba13b4957	REMOTE_CONDENSER
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	175fe584-93bb-4c93-ab42-d9b99ad7ce0f	CHILLED_WATER_PUMPS
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	16504a54-5a4f-44e1-9645-db84fed2f955	HEAT_REJECTION_PUMPS
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	1806ec31-c6b8-4b3f-bdd6-6bb435472ea4	VENTILATION
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	502e6843-511f-4fac-82cb-db7398039558	INFILTRATION
1c4d470f-2738-4dd9-bb80-9fc33ac32fa3	efbd700a-1db4-40e3-8b68-9251d60225da	IT_LOAD
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	0a978d48-c4b2-445e-859a-2847052dc8ef	SWITCHGEAR
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	ed7fc083-ae6a-439b-8835-6bbe0f622423	GENERATOR
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	33ce167d-9246-4798-b7b3-a773a2737003	PRIMARY_AUXILIARIES
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	74c8d125-24fc-48b9-b23b-22b090d6d264	UPS
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	e263a676-ba83-4c92-8cbc-d9c479e43f4d	CRITICAL_AUXILIARIES
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	fb1e9789-55b1-4f7b-966e-4dfcae709cd9	LIGHTING
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	fcd16e21-984c-4a60-8760-c7a6cbf2618d	CRITICAL_POWER_DISTRIBUTION
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	a4a221c3-3093-400c-918c-f277a5650fbd	CRAH
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	02f55fe2-a093-4758-9c44-dad6e0de27a7	CRAC
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	24e8726a-a385-4fba-941a-3bbca0694bd7	CRAC_WITHOUT_FAN
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	c79991ed-776a-4ef7-82a0-e533a4c16cc9	CRAC_FAN
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	f29fc77d-d6cd-4207-8daa-efffebec84a5	CHILLER
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	7f32c5b2-0df2-40c2-bfab-4845ac3928f9	AIR_COOLED_CHILLER
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	d84bd414-31f5-4d78-bfc0-415fd0aa29d5	COOLING_TOWER
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	7c7bea0c-d641-4e4d-a8d2-8825b4a48aeb	DRY_COOLER
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	3a58cbdc-38ab-41c6-bdb9-0668298f8fe7	REMOTE_CONDENSER
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	457936a9-46bd-4537-a694-41c27951d6ec	CHILLED_WATER_PUMPS
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	7417a576-4daf-4127-8103-0302e3fc1417	HEAT_REJECTION_PUMPS
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	3afdf9d9-f35f-4829-88a1-b7d098e7f05b	VENTILATION
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	88ddbab6-819f-4430-90ed-d8e45ecf5714	INFILTRATION
9d0f9451-82c3-48aa-9b4c-39a900f1f88d	7f68a8f5-cef9-4022-999a-8f5d7712d34a	IT_LOAD
4555c03a-56bd-4c32-bed2-b4dc7c42326e	bd067203-a890-4370-8320-03934df74006	SWITCHGEAR
4555c03a-56bd-4c32-bed2-b4dc7c42326e	df49bc52-6ff2-40b2-8bc5-4681c1adac43	GENERATOR
4555c03a-56bd-4c32-bed2-b4dc7c42326e	f94c5bff-adca-431e-93b2-481f83ce9a83	PRIMARY_AUXILIARIES
4555c03a-56bd-4c32-bed2-b4dc7c42326e	73269cf3-b029-4007-8d7f-03bca62f9b74	UPS
4555c03a-56bd-4c32-bed2-b4dc7c42326e	d5fee78f-8b23-4b83-b4ce-1919f0e0faa6	CRITICAL_AUXILIARIES
4555c03a-56bd-4c32-bed2-b4dc7c42326e	e5749286-4f1b-416d-b223-b18ff2b9309f	LIGHTING
4555c03a-56bd-4c32-bed2-b4dc7c42326e	331813ff-232e-479d-8bd6-f7cdb03974f1	CRITICAL_POWER_DISTRIBUTION
4555c03a-56bd-4c32-bed2-b4dc7c42326e	b73095d9-ea5c-4e5c-a3f6-d2fafb4fc9f1	CRAH
4555c03a-56bd-4c32-bed2-b4dc7c42326e	4fa0068d-f8ae-4b2a-b836-b7aed01172c1	CRAC
4555c03a-56bd-4c32-bed2-b4dc7c42326e	132db5b4-e6d1-4e7b-aec0-19f8eecdc5c8	CRAC_WITHOUT_FAN
4555c03a-56bd-4c32-bed2-b4dc7c42326e	aefb6f56-233f-4957-a76f-f09ee2ee56c9	CRAC_FAN
4555c03a-56bd-4c32-bed2-b4dc7c42326e	54925957-af15-4ef4-90c1-5511ac614382	CHILLER
4555c03a-56bd-4c32-bed2-b4dc7c42326e	e0a32598-3b09-4389-8e6b-f9cd60ac2527	AIR_COOLED_CHILLER
4555c03a-56bd-4c32-bed2-b4dc7c42326e	aa3ab475-c456-4e37-9eb8-d26ce3714ba9	COOLING_TOWER
4555c03a-56bd-4c32-bed2-b4dc7c42326e	7bbe200d-9e86-40dc-8a2f-b10a94961a02	DRY_COOLER
4555c03a-56bd-4c32-bed2-b4dc7c42326e	ac068592-315c-498c-9e9c-b7a87f40563a	REMOTE_CONDENSER
4555c03a-56bd-4c32-bed2-b4dc7c42326e	9c8a7990-aa57-4487-a802-8a5281629fa5	CHILLED_WATER_PUMPS
4555c03a-56bd-4c32-bed2-b4dc7c42326e	183ea083-1fa3-48c7-b6eb-57e1f649fee8	HEAT_REJECTION_PUMPS
4555c03a-56bd-4c32-bed2-b4dc7c42326e	d699d655-e3d1-4ab4-bf76-8c5aeb4f69eb	VENTILATION
4555c03a-56bd-4c32-bed2-b4dc7c42326e	b098f708-91a1-4b0a-b1b4-ad5128a10f02	INFILTRATION
4555c03a-56bd-4c32-bed2-b4dc7c42326e	9b20dbf0-6c0b-4988-83ac-092dba425adf	IT_LOAD
458eacf9-f1eb-4e91-aefe-0ec324669905	45d1dfc1-5da4-4ff1-93fd-3e8bfc196959	SWITCHGEAR
458eacf9-f1eb-4e91-aefe-0ec324669905	5ba18be1-3c15-4ffa-85d9-d82ab7706051	GENERATOR
458eacf9-f1eb-4e91-aefe-0ec324669905	d0b6921a-4b38-41c6-a597-8172032fa92d	PRIMARY_AUXILIARIES
458eacf9-f1eb-4e91-aefe-0ec324669905	481103e0-016a-46ed-8145-74692b3e8e66	UPS
458eacf9-f1eb-4e91-aefe-0ec324669905	dd04ae23-8ed0-48d1-ad86-617ba9c3ad7d	CRITICAL_AUXILIARIES
458eacf9-f1eb-4e91-aefe-0ec324669905	37f3b74a-b150-4412-a1c3-5c1769d77288	LIGHTING
458eacf9-f1eb-4e91-aefe-0ec324669905	e867e948-a6f4-4a9a-a218-268d10a68c0e	CRITICAL_POWER_DISTRIBUTION
458eacf9-f1eb-4e91-aefe-0ec324669905	14ed3a53-c53b-4226-82df-c4cb091d38d7	CRAH
458eacf9-f1eb-4e91-aefe-0ec324669905	aad0fab1-b158-4474-9a99-4c99de1f1ecd	CRAC
458eacf9-f1eb-4e91-aefe-0ec324669905	7aab2951-21c9-4fcf-a3c0-8d06107cb17c	CRAC_WITHOUT_FAN
458eacf9-f1eb-4e91-aefe-0ec324669905	412b9614-1eb0-4d32-9a6a-8b1cba454817	CRAC_FAN
458eacf9-f1eb-4e91-aefe-0ec324669905	9855c4a9-116b-43a1-a266-8f5cb5425587	CHILLER
458eacf9-f1eb-4e91-aefe-0ec324669905	1b2ae2b1-648a-4cde-ad08-2b557da25064	AIR_COOLED_CHILLER
458eacf9-f1eb-4e91-aefe-0ec324669905	5317898a-22b0-4481-b57d-92dbd77146eb	COOLING_TOWER
458eacf9-f1eb-4e91-aefe-0ec324669905	536da6ae-59f1-4d8d-a5a5-7099c7f3e052	DRY_COOLER
458eacf9-f1eb-4e91-aefe-0ec324669905	319798aa-dfa6-4acb-9ea8-3231845586ea	REMOTE_CONDENSER
458eacf9-f1eb-4e91-aefe-0ec324669905	fc46946f-f217-4f5f-a129-b3a8831777c6	CHILLED_WATER_PUMPS
458eacf9-f1eb-4e91-aefe-0ec324669905	74fafe68-2524-4f62-9bec-e3816411f1a9	HEAT_REJECTION_PUMPS
458eacf9-f1eb-4e91-aefe-0ec324669905	4434c606-efb7-499d-83fd-0e893a82d3ac	VENTILATION
458eacf9-f1eb-4e91-aefe-0ec324669905	8133ef96-9e95-4049-82ad-7a74a8a2ac0c	INFILTRATION
458eacf9-f1eb-4e91-aefe-0ec324669905	4e1b675b-9a04-4791-b67a-30e1761e4efd	IT_LOAD
1c2ccb62-091c-4357-ba23-082f8d29b70f	9a68b54c-fd99-45f3-817c-8bf7ad261c4c	SWITCHGEAR
1c2ccb62-091c-4357-ba23-082f8d29b70f	b4cd7799-9418-43e9-96c5-02592c1cd951	GENERATOR
1c2ccb62-091c-4357-ba23-082f8d29b70f	e114b54c-84de-4e9a-951a-e3cc16cbf4db	PRIMARY_AUXILIARIES
1c2ccb62-091c-4357-ba23-082f8d29b70f	01e6d15f-af29-446f-b4c6-e73ccd22675e	UPS
1c2ccb62-091c-4357-ba23-082f8d29b70f	1c135444-04c5-4527-b36f-4393c059c768	CRITICAL_AUXILIARIES
1c2ccb62-091c-4357-ba23-082f8d29b70f	0a31a0f8-b226-4918-a571-db085ca818f8	LIGHTING
1c2ccb62-091c-4357-ba23-082f8d29b70f	31eaa4d5-efe0-4463-b0ba-39f3b017df13	CRITICAL_POWER_DISTRIBUTION
1c2ccb62-091c-4357-ba23-082f8d29b70f	09e8a213-a0c7-4601-ac3e-6f0c9919450b	CRAH
1c2ccb62-091c-4357-ba23-082f8d29b70f	00f26934-a028-47bb-9225-6458bd653a2f	CRAC
1c2ccb62-091c-4357-ba23-082f8d29b70f	e2c5a410-a32a-477e-9ded-910d5e8c33d9	CRAC_WITHOUT_FAN
1c2ccb62-091c-4357-ba23-082f8d29b70f	49776d02-759a-414c-8568-a62687bf560d	CRAC_FAN
1c2ccb62-091c-4357-ba23-082f8d29b70f	2f71faea-0fb9-430d-b9c1-f9a53da95bfa	CHILLER
1c2ccb62-091c-4357-ba23-082f8d29b70f	df8d0c5e-66a7-4eb0-b200-80d071a644ae	AIR_COOLED_CHILLER
1c2ccb62-091c-4357-ba23-082f8d29b70f	a7d9ca91-87e7-4732-a9d0-abb8c1408f0d	COOLING_TOWER
1c2ccb62-091c-4357-ba23-082f8d29b70f	b30a7c50-65e0-4364-840d-cfb7228df41f	DRY_COOLER
1c2ccb62-091c-4357-ba23-082f8d29b70f	62a658f2-3982-41b3-977c-cf2366b38588	REMOTE_CONDENSER
1c2ccb62-091c-4357-ba23-082f8d29b70f	3c4e03d0-459f-4b5a-8610-54acbaefb5fb	CHILLED_WATER_PUMPS
1c2ccb62-091c-4357-ba23-082f8d29b70f	997094d7-1344-40fe-918b-1e258e952212	HEAT_REJECTION_PUMPS
1c2ccb62-091c-4357-ba23-082f8d29b70f	66a0d17a-3774-4fd1-a56d-e578f5487b37	VENTILATION
1c2ccb62-091c-4357-ba23-082f8d29b70f	daff4ab2-7120-428e-a9c0-15cb29998826	INFILTRATION
1c2ccb62-091c-4357-ba23-082f8d29b70f	edc563d5-ec66-4c0f-8113-1e2f923aaf8f	IT_LOAD
210df022-f779-46db-9731-09262807470b	3d363cd4-3d46-4f1e-9796-0deb7d24733b	SWITCHGEAR
210df022-f779-46db-9731-09262807470b	d8a4f087-ab86-46df-b1d9-ddcdc480b845	GENERATOR
210df022-f779-46db-9731-09262807470b	f5798815-49b4-4038-be32-207f5d313971	PRIMARY_AUXILIARIES
210df022-f779-46db-9731-09262807470b	04849fe0-06e1-4e47-8649-588166f9dccb	UPS
210df022-f779-46db-9731-09262807470b	fe857fb4-638b-4f54-8e82-4072c79b57c0	CRITICAL_AUXILIARIES
210df022-f779-46db-9731-09262807470b	e16f6783-68e6-429c-bab7-f7eb9229fa31	LIGHTING
210df022-f779-46db-9731-09262807470b	f123901f-efb9-41d6-9e79-de2f51321374	CRITICAL_POWER_DISTRIBUTION
210df022-f779-46db-9731-09262807470b	14e66d36-6291-4435-a315-18a39e8ca854	CRAH
210df022-f779-46db-9731-09262807470b	c6ec91f2-2edf-4dbb-8d90-4b23666811b7	CRAC
210df022-f779-46db-9731-09262807470b	d901de34-2e29-4d36-a613-491d014aa48a	CRAC_WITHOUT_FAN
210df022-f779-46db-9731-09262807470b	50822745-930d-4016-8151-a825ee795ea8	CRAC_FAN
210df022-f779-46db-9731-09262807470b	39bd448e-7be4-48e3-8896-94b3165764d6	CHILLER
210df022-f779-46db-9731-09262807470b	02d5017c-e300-457b-a4cc-001aa6068cf0	AIR_COOLED_CHILLER
210df022-f779-46db-9731-09262807470b	6655ec47-c0e3-4d4e-bb95-e23746690d51	COOLING_TOWER
210df022-f779-46db-9731-09262807470b	0f301a03-4e90-49d5-98d8-0b4fbe9567e5	DRY_COOLER
210df022-f779-46db-9731-09262807470b	566a6117-06b4-4045-8b03-c061b4c92b32	REMOTE_CONDENSER
210df022-f779-46db-9731-09262807470b	7cd01e00-1df2-4ff4-b804-7a13f985aa20	CHILLED_WATER_PUMPS
210df022-f779-46db-9731-09262807470b	3d6af763-cc21-4e81-88a7-43c17416598f	HEAT_REJECTION_PUMPS
210df022-f779-46db-9731-09262807470b	99fb24b7-5bf2-454b-bfdc-45c7636367e4	VENTILATION
210df022-f779-46db-9731-09262807470b	f958caa4-213a-4232-a19a-6ad2d52da21b	INFILTRATION
210df022-f779-46db-9731-09262807470b	04c85e8f-3739-455f-9136-8e3c66790553	IT_LOAD
f7c22c17-8e56-467e-a0da-637676f60388	81dbfad8-9366-47bc-a16c-8ed136908152	SWITCHGEAR
f7c22c17-8e56-467e-a0da-637676f60388	4b43c8fe-d8a1-4dff-be0c-9c565c182e82	GENERATOR
f7c22c17-8e56-467e-a0da-637676f60388	f78ee39d-ebce-4721-a290-b8a7dcfe68e6	PRIMARY_AUXILIARIES
f7c22c17-8e56-467e-a0da-637676f60388	e5c92562-37b1-4a62-93d5-3bb1d2195c22	UPS
f7c22c17-8e56-467e-a0da-637676f60388	dccee621-411f-4f9c-bf73-f5fa662dafd2	CRITICAL_AUXILIARIES
f7c22c17-8e56-467e-a0da-637676f60388	1f2e89c3-8a62-44db-b1c7-958cc1c40da6	LIGHTING
f7c22c17-8e56-467e-a0da-637676f60388	77f0cc78-5251-4f0e-8af7-f312777ba91b	CRITICAL_POWER_DISTRIBUTION
f7c22c17-8e56-467e-a0da-637676f60388	7488fdad-4a42-482e-ac9e-66a3b4190905	CRAH
f7c22c17-8e56-467e-a0da-637676f60388	dc1f107c-6c4b-4197-a7eb-c413f688d319	CRAC
f7c22c17-8e56-467e-a0da-637676f60388	c6e08068-0758-4b89-9d2b-87d15b7d8890	CRAC_WITHOUT_FAN
f7c22c17-8e56-467e-a0da-637676f60388	622b65f4-5e9e-4760-950b-0c110c145045	CRAC_FAN
f7c22c17-8e56-467e-a0da-637676f60388	dd35ed08-3207-4f15-9342-7b1d5fbea5ff	CHILLER
f7c22c17-8e56-467e-a0da-637676f60388	ee32c1ff-ac57-4661-b627-6d60ffc735c4	AIR_COOLED_CHILLER
f7c22c17-8e56-467e-a0da-637676f60388	6ceaee5d-0481-4d0c-af60-6f957ed52567	COOLING_TOWER
f7c22c17-8e56-467e-a0da-637676f60388	a87f2ebb-fe9e-4398-9eb6-997ddc41479d	DRY_COOLER
f7c22c17-8e56-467e-a0da-637676f60388	b586c956-211a-4d08-a377-e34ade1aa83b	REMOTE_CONDENSER
f7c22c17-8e56-467e-a0da-637676f60388	a3550388-4d66-4934-951e-4635f994615a	CHILLED_WATER_PUMPS
f7c22c17-8e56-467e-a0da-637676f60388	ab0893a4-46b5-487d-b412-fa1360c07fdf	HEAT_REJECTION_PUMPS
f7c22c17-8e56-467e-a0da-637676f60388	dbd9c109-0bf8-40b8-9baa-ee34f0c3e4d0	VENTILATION
f7c22c17-8e56-467e-a0da-637676f60388	c93d4fbe-c5a8-455f-b9fb-44effe359863	INFILTRATION
f7c22c17-8e56-467e-a0da-637676f60388	e632afab-7cf5-489a-85f8-4eb3188c1595	IT_LOAD
bb75e879-d40e-49b8-abbe-1699dd8c343d	60d766c5-33ab-4bee-bae8-cb3b6e2d3d02	SWITCHGEAR
bb75e879-d40e-49b8-abbe-1699dd8c343d	8c965bf4-8116-4f39-bc8f-418b54d85c1a	GENERATOR
bb75e879-d40e-49b8-abbe-1699dd8c343d	1c5c0e7c-a547-4149-af00-f85dbff979b6	PRIMARY_AUXILIARIES
bb75e879-d40e-49b8-abbe-1699dd8c343d	234e8824-613d-4f99-9505-79ccf04c2f58	UPS
bb75e879-d40e-49b8-abbe-1699dd8c343d	8c6ee18f-70c2-4f07-983c-8d27ef62de9c	CRITICAL_AUXILIARIES
bb75e879-d40e-49b8-abbe-1699dd8c343d	457c063c-223c-4a23-8a29-9c8e29119c24	LIGHTING
bb75e879-d40e-49b8-abbe-1699dd8c343d	c1f1360c-daa0-44a9-af00-1b4197c3200e	CRITICAL_POWER_DISTRIBUTION
bb75e879-d40e-49b8-abbe-1699dd8c343d	fd829c0c-6618-4ac7-93af-92b2528263c3	CRAH
bb75e879-d40e-49b8-abbe-1699dd8c343d	2c8cc67f-b1f4-4ff3-ba51-476c4f5a3cc2	CRAC
bb75e879-d40e-49b8-abbe-1699dd8c343d	9a12f3a1-186b-4f3c-ad9c-0521a08d24f9	CRAC_WITHOUT_FAN
bb75e879-d40e-49b8-abbe-1699dd8c343d	463317ef-6e74-457e-8186-8a7209c803bf	CRAC_FAN
bb75e879-d40e-49b8-abbe-1699dd8c343d	e84f492b-7871-4bc7-a173-7a3531e454aa	CHILLER
bb75e879-d40e-49b8-abbe-1699dd8c343d	ba88a8d2-8080-4354-bd43-c804f3389c43	AIR_COOLED_CHILLER
bb75e879-d40e-49b8-abbe-1699dd8c343d	045398c9-60a0-470f-b685-8ab2a27d7bc3	COOLING_TOWER
bb75e879-d40e-49b8-abbe-1699dd8c343d	63eb3c5f-1e94-4518-ade0-3ce116953026	DRY_COOLER
bb75e879-d40e-49b8-abbe-1699dd8c343d	bd6f3a93-7e88-4998-9f18-1bc98e432ed1	REMOTE_CONDENSER
bb75e879-d40e-49b8-abbe-1699dd8c343d	35038375-e2fc-4604-a7f3-5b08333ee41f	CHILLED_WATER_PUMPS
bb75e879-d40e-49b8-abbe-1699dd8c343d	0f7b9fd8-9fab-4321-9714-bb0fa025163f	HEAT_REJECTION_PUMPS
bb75e879-d40e-49b8-abbe-1699dd8c343d	7b9ec9d7-6172-4b0d-ba02-8f0e6c3cea92	VENTILATION
bb75e879-d40e-49b8-abbe-1699dd8c343d	07c7a5ab-d937-47cd-80ad-b5a540386624	INFILTRATION
bb75e879-d40e-49b8-abbe-1699dd8c343d	84f132d9-408c-4797-811f-c8a1f0c3b27f	IT_LOAD
dda7e632-9475-4a7a-b195-9ad51beb8657	3a0a8cd2-900c-4bf6-b2ab-cbf98907ae2a	SWITCHGEAR
dda7e632-9475-4a7a-b195-9ad51beb8657	4b45aa08-147a-49c5-987c-25a688fe80f3	GENERATOR
dda7e632-9475-4a7a-b195-9ad51beb8657	6697d999-2650-48e2-a2d9-7e65f60bd565	PRIMARY_AUXILIARIES
dda7e632-9475-4a7a-b195-9ad51beb8657	2c6b2896-d207-43ad-bd0d-da43bdfcd781	UPS
dda7e632-9475-4a7a-b195-9ad51beb8657	9b77fc46-1446-45cb-b698-16340c4842a1	CRITICAL_AUXILIARIES
dda7e632-9475-4a7a-b195-9ad51beb8657	57905c08-e0ba-401a-94ff-c26124c116fc	LIGHTING
dda7e632-9475-4a7a-b195-9ad51beb8657	df2b0462-deca-45b9-a7ff-0233449b741d	CRITICAL_POWER_DISTRIBUTION
dda7e632-9475-4a7a-b195-9ad51beb8657	3fb88a27-b306-450b-ad32-de6239903f66	CRAH
dda7e632-9475-4a7a-b195-9ad51beb8657	0d503863-4b16-41dc-a8c6-e6e050802ca7	CRAC
dda7e632-9475-4a7a-b195-9ad51beb8657	bca883c2-1d7e-421f-9315-7006ee616d91	CRAC_WITHOUT_FAN
dda7e632-9475-4a7a-b195-9ad51beb8657	8b1c0004-65a8-4153-9b85-4743ff5b052c	CRAC_FAN
dda7e632-9475-4a7a-b195-9ad51beb8657	9d50c2a1-eeb8-439c-90c4-26bf91783a54	CHILLER
dda7e632-9475-4a7a-b195-9ad51beb8657	f600cb3f-5f8d-4f37-8268-18e840d2cb0b	AIR_COOLED_CHILLER
dda7e632-9475-4a7a-b195-9ad51beb8657	29df9cba-5bbf-4732-a279-85d1035ab612	COOLING_TOWER
dda7e632-9475-4a7a-b195-9ad51beb8657	4b24f22b-a804-4233-b6c6-9f3cd2308770	DRY_COOLER
dda7e632-9475-4a7a-b195-9ad51beb8657	b8642a3d-f825-49b0-b1a9-a53797aaa5ce	REMOTE_CONDENSER
dda7e632-9475-4a7a-b195-9ad51beb8657	2e25c6fc-5c8f-4700-9bbb-1704102e90d6	CHILLED_WATER_PUMPS
dda7e632-9475-4a7a-b195-9ad51beb8657	c0f4f03c-2848-48c1-9487-373bd7b5bc28	HEAT_REJECTION_PUMPS
dda7e632-9475-4a7a-b195-9ad51beb8657	0b55c395-11af-4113-8c54-bfd51f2f114e	VENTILATION
dda7e632-9475-4a7a-b195-9ad51beb8657	f1ef4d13-ff90-4df5-bd05-daa5d5cbe9b7	INFILTRATION
dda7e632-9475-4a7a-b195-9ad51beb8657	66dae3fb-569c-4052-937a-b058b717aba8	IT_LOAD
3d7f7a3b-9fcc-4446-a804-13da4a10079e	891b47f2-9283-4fe8-bc55-a420c7998bc3	SWITCHGEAR
3d7f7a3b-9fcc-4446-a804-13da4a10079e	e37316a3-1f3a-4a22-8916-c7ad3f80c492	GENERATOR
3d7f7a3b-9fcc-4446-a804-13da4a10079e	7a6ad461-7dd6-44ed-9aa2-d1f574bf5bad	PRIMARY_AUXILIARIES
3d7f7a3b-9fcc-4446-a804-13da4a10079e	fe63b7c2-3e73-44dc-a9fe-864f10aad575	UPS
3d7f7a3b-9fcc-4446-a804-13da4a10079e	1ecaac52-9aac-45ae-8df5-e783c6819249	CRITICAL_AUXILIARIES
3d7f7a3b-9fcc-4446-a804-13da4a10079e	4ad293ea-ffb4-4b40-9a74-38f3f3b58412	LIGHTING
3d7f7a3b-9fcc-4446-a804-13da4a10079e	aad71350-d80c-421a-98e3-f8e15661265d	CRITICAL_POWER_DISTRIBUTION
3d7f7a3b-9fcc-4446-a804-13da4a10079e	819fac55-ac3e-4648-bd29-24a79b235baa	CRAH
3d7f7a3b-9fcc-4446-a804-13da4a10079e	8c7bbfe2-01c5-4e00-aee9-6287937215c9	CRAC
3d7f7a3b-9fcc-4446-a804-13da4a10079e	56993091-95ba-4856-ab4f-45e576131003	CRAC_WITHOUT_FAN
3d7f7a3b-9fcc-4446-a804-13da4a10079e	2372c086-965a-4295-a647-152695f1e0e7	CRAC_FAN
3d7f7a3b-9fcc-4446-a804-13da4a10079e	4793f295-57d4-489d-96e5-04d340f9ed95	CHILLER
3d7f7a3b-9fcc-4446-a804-13da4a10079e	2a2b5caa-3685-4dc0-9147-f392cb49a508	AIR_COOLED_CHILLER
3d7f7a3b-9fcc-4446-a804-13da4a10079e	8f58643d-05b7-47e6-a4fa-f014d3a7016e	COOLING_TOWER
3d7f7a3b-9fcc-4446-a804-13da4a10079e	badbde64-4d14-41d5-add5-7c7cda8fef90	DRY_COOLER
3d7f7a3b-9fcc-4446-a804-13da4a10079e	881053dd-5565-43bc-a0ca-1cafdbd0fc50	REMOTE_CONDENSER
3d7f7a3b-9fcc-4446-a804-13da4a10079e	2a20955d-a9d1-4c29-a359-38e1c4d8c51a	CHILLED_WATER_PUMPS
3d7f7a3b-9fcc-4446-a804-13da4a10079e	bce0a6e6-9292-400a-802e-de9d4e928d54	HEAT_REJECTION_PUMPS
3d7f7a3b-9fcc-4446-a804-13da4a10079e	e8952eba-62aa-4c20-b749-ffedcd658e21	VENTILATION
3d7f7a3b-9fcc-4446-a804-13da4a10079e	4993ec45-39e5-4dd1-ab76-f8e08a9e0d9c	INFILTRATION
3d7f7a3b-9fcc-4446-a804-13da4a10079e	ce93f247-264f-41df-b9e4-0bc76f70cb49	IT_LOAD
8a55ad5f-62ff-446e-a08f-0b43442309ae	2aba27be-0ab8-4597-b080-adcfad983cba	SWITCHGEAR
8a55ad5f-62ff-446e-a08f-0b43442309ae	fde550f2-1146-4fd0-84da-6837c84f3fe2	GENERATOR
8a55ad5f-62ff-446e-a08f-0b43442309ae	06201681-c7ee-425d-ac18-77e654271d68	PRIMARY_AUXILIARIES
8a55ad5f-62ff-446e-a08f-0b43442309ae	4bb52e2c-ed35-4fe5-9c06-a4d972cabceb	UPS
8a55ad5f-62ff-446e-a08f-0b43442309ae	c08a03ae-7f52-4603-90a9-b34d2d9307f9	CRITICAL_AUXILIARIES
8a55ad5f-62ff-446e-a08f-0b43442309ae	78738a2a-9c6d-4bf0-8162-897411de93ea	LIGHTING
8a55ad5f-62ff-446e-a08f-0b43442309ae	c3586793-8bc7-4da9-9dda-764bdcfc6685	CRITICAL_POWER_DISTRIBUTION
8a55ad5f-62ff-446e-a08f-0b43442309ae	e92aeefc-4e8a-4466-9d84-3b33097b8904	CRAH
8a55ad5f-62ff-446e-a08f-0b43442309ae	8f340657-7e24-4dd8-bd87-999f44fd2fe9	CRAC
8a55ad5f-62ff-446e-a08f-0b43442309ae	ab0edc53-470a-47db-b572-ab9885f0619d	CRAC_WITHOUT_FAN
8a55ad5f-62ff-446e-a08f-0b43442309ae	4fbe4dd2-5e96-4c22-8802-ca363177a221	CRAC_FAN
8a55ad5f-62ff-446e-a08f-0b43442309ae	48d99fd5-ca98-487f-b2e8-5d128f7de9f3	CHILLER
8a55ad5f-62ff-446e-a08f-0b43442309ae	67ad9f08-9db4-490e-9814-61a31cb13f11	AIR_COOLED_CHILLER
8a55ad5f-62ff-446e-a08f-0b43442309ae	f56b477a-e37a-45fd-b8e1-f099453158c7	COOLING_TOWER
8a55ad5f-62ff-446e-a08f-0b43442309ae	b4538cd9-b39e-44a7-8af7-0058bac829eb	DRY_COOLER
8a55ad5f-62ff-446e-a08f-0b43442309ae	ad68ac2f-3067-478d-a38e-e1eb7c3c561e	REMOTE_CONDENSER
8a55ad5f-62ff-446e-a08f-0b43442309ae	38b55ff7-dcc2-4e45-9c18-bac249b77a59	CHILLED_WATER_PUMPS
8a55ad5f-62ff-446e-a08f-0b43442309ae	0c01e2a3-98bf-4dec-b7e2-466b20b1a0d2	HEAT_REJECTION_PUMPS
8a55ad5f-62ff-446e-a08f-0b43442309ae	407fffdd-c934-4e89-a83d-e060a5e7d97d	VENTILATION
8a55ad5f-62ff-446e-a08f-0b43442309ae	8bf67eea-2ceb-4e45-8c2f-e7b0928611b5	INFILTRATION
8a55ad5f-62ff-446e-a08f-0b43442309ae	38f97276-c761-4a33-8645-aa40b8d5a843	IT_LOAD
c269a088-b524-4ac0-9359-6009c69e5535	3ad1defd-39e3-4935-a71f-fe62fd1be34c	SWITCHGEAR
c269a088-b524-4ac0-9359-6009c69e5535	8e9056a0-12b9-48cf-8c71-c1716732b29d	GENERATOR
c269a088-b524-4ac0-9359-6009c69e5535	8441e837-ea7f-4eef-8e25-d368a4ea8985	PRIMARY_AUXILIARIES
c269a088-b524-4ac0-9359-6009c69e5535	29414321-4cf9-4a00-9818-34969ee57890	UPS
c269a088-b524-4ac0-9359-6009c69e5535	e0436457-09be-427c-9770-a8bc5bbdcd30	CRITICAL_AUXILIARIES
c269a088-b524-4ac0-9359-6009c69e5535	2a9fef7f-1ed8-4035-ba5d-7891cc139b42	LIGHTING
c269a088-b524-4ac0-9359-6009c69e5535	4b156b14-36a0-41e2-a6b1-72dbb036f805	CRITICAL_POWER_DISTRIBUTION
c269a088-b524-4ac0-9359-6009c69e5535	c5c2e710-01a4-4cd1-9339-4b32b96ed379	CRAH
c269a088-b524-4ac0-9359-6009c69e5535	9519ef41-d468-4aad-868e-1f4f0a3a09bc	CRAC
c269a088-b524-4ac0-9359-6009c69e5535	99025572-991f-4875-aaea-a073fcfc69c7	CRAC_WITHOUT_FAN
c269a088-b524-4ac0-9359-6009c69e5535	9033c205-5ac9-43b3-aba4-befa6c1d05d7	CRAC_FAN
c269a088-b524-4ac0-9359-6009c69e5535	fbab0fbc-85a3-4d9a-acec-ca07baf4059e	CHILLER
c269a088-b524-4ac0-9359-6009c69e5535	4d3a8618-34dd-4e5e-aa59-6153395a944e	AIR_COOLED_CHILLER
c269a088-b524-4ac0-9359-6009c69e5535	9b08ee7b-0bf0-499d-9d50-9c94d2e1ff60	COOLING_TOWER
c269a088-b524-4ac0-9359-6009c69e5535	c36aa22a-237e-43bd-bbfb-936203f28eaf	DRY_COOLER
c269a088-b524-4ac0-9359-6009c69e5535	a622bc61-e7b2-480a-8413-fe7283ee3b62	REMOTE_CONDENSER
c269a088-b524-4ac0-9359-6009c69e5535	2e6cdf91-150f-40b2-abb9-66036e68b6ee	CHILLED_WATER_PUMPS
c269a088-b524-4ac0-9359-6009c69e5535	e1b4e9ea-9ceb-439d-bb82-aa522794e5e4	HEAT_REJECTION_PUMPS
c269a088-b524-4ac0-9359-6009c69e5535	be3f6e1d-aab9-4073-bfd2-bd705921d981	VENTILATION
c269a088-b524-4ac0-9359-6009c69e5535	884380dd-b6dd-408a-a4f1-3f8c99f645fb	INFILTRATION
c269a088-b524-4ac0-9359-6009c69e5535	db81786a-2e2d-4edf-ac37-3c74628c1e42	IT_LOAD
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	50e80ab0-46d0-4610-aa52-f590f907998a	SWITCHGEAR
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	a1408c91-80dc-46c1-9d6e-f3daa9a38148	GENERATOR
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	e7b433c8-d7ba-492b-9fff-8e2154a1b6b8	PRIMARY_AUXILIARIES
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	28c56fc0-42f6-430a-a37c-85676f0b284f	UPS
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	f41ac201-efc4-47f2-8616-82e80d029cea	CRITICAL_AUXILIARIES
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	b13194fc-4e1f-4009-99b8-0ec6e4735a5d	LIGHTING
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	48bc1fbc-9b8e-4c61-aa14-0966c3f8849f	CRITICAL_POWER_DISTRIBUTION
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	3f6fbac4-b5d6-4582-8844-1e7397f181eb	CRAH
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	469a26ca-8f08-433d-a39e-9912e484fc5b	CRAC
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	b762614a-a6ab-4e76-906a-ed2603196057	CRAC_WITHOUT_FAN
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	c2de48e8-79c4-43f6-855c-362c4b0c6c28	CRAC_FAN
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	3c8edebd-fad0-454c-b750-988ac7844fe7	CHILLER
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	c83b6df8-1587-498c-84f5-f844f465f1b4	AIR_COOLED_CHILLER
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	630a958b-1362-4fb7-99da-84760f1ba6c3	COOLING_TOWER
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	63537941-96b9-47a5-aae6-f604edf890cb	DRY_COOLER
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	8ee0c520-f963-4c4c-b156-37b7cdb7e233	REMOTE_CONDENSER
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	d4472ddc-fc80-4bce-905e-3fedc328efd0	CHILLED_WATER_PUMPS
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	0521a1f8-7d04-4f37-99e2-2c929e46549d	HEAT_REJECTION_PUMPS
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	2f9d800c-af47-4a66-bf52-7c55a9aafb35	VENTILATION
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	01dc9ca5-bfcf-4507-b1d3-3d043e48ec37	INFILTRATION
b5ddfc06-b576-4cd1-85ed-c9abcbb93e82	e5ca77ba-81fb-4547-95ac-292407dc51f0	IT_LOAD
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	09435539-4c8a-43a9-8d18-57a9fc956077	SWITCHGEAR
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	73bae39f-631f-4f71-a6ae-f5536e3cb32a	GENERATOR
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	c3e92a78-f6ac-4161-ae65-fd952f6d32a6	PRIMARY_AUXILIARIES
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	d80128c6-297c-4cdc-a7b8-2b206981bde6	UPS
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	056a3f4a-becb-4668-8c52-19f7e96d8196	CRITICAL_AUXILIARIES
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	a22a621a-e480-4363-9d2a-597261a9b0ae	LIGHTING
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	4aed4715-4822-473f-9fa0-2201c9b30910	CRITICAL_POWER_DISTRIBUTION
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	80f32294-9fe7-47ec-97b5-29c1ed69746c	CRAH
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	27ab20b4-6b06-45c6-8e44-41ddfa7804a3	CRAC
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	f3a2686f-d2ac-47c2-84e2-52a9f1c0acb3	CRAC_WITHOUT_FAN
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	f68c8565-b21a-4fbc-85ba-31e2c5484991	CRAC_FAN
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	181f640f-7486-4c16-964b-cfd53f513597	CHILLER
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	7102e9be-d124-4898-9ca6-3b254fa30594	AIR_COOLED_CHILLER
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	3a71d7a2-6e79-401a-bdbf-23ffc10bd228	COOLING_TOWER
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	2745cb54-0d39-4fea-8e46-78208422f3f3	DRY_COOLER
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	d5c152ba-c0d9-4c6a-975f-fe8c298b0a0f	REMOTE_CONDENSER
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	99a717c3-7f11-43a3-b116-b82164aa63d5	CHILLED_WATER_PUMPS
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	5a0ae16e-c517-4cbc-846c-479eb2fb20c3	HEAT_REJECTION_PUMPS
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	70e3b20c-4431-45af-950a-6ee6c94399c7	VENTILATION
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	8b563e83-cd85-411c-9d8d-c7b2b69c2ef9	INFILTRATION
0b3b9b06-b1b7-4a51-9572-a8deab2117dd	d64521a4-c77f-4d5c-ab10-9b071c9fa199	IT_LOAD
0169909e-86c1-4ef1-8617-b8582b4a35af	16e1412f-e6bf-47b3-b255-b379193bd6ff	SWITCHGEAR
0169909e-86c1-4ef1-8617-b8582b4a35af	4028f807-021e-4766-a015-5acb7e48e1cf	GENERATOR
0169909e-86c1-4ef1-8617-b8582b4a35af	435fd22b-ef61-4d9c-8dc9-2cc45a80974d	PRIMARY_AUXILIARIES
0169909e-86c1-4ef1-8617-b8582b4a35af	d2d5afcb-0bfd-483b-8e7a-555022bf11dd	UPS
0169909e-86c1-4ef1-8617-b8582b4a35af	cfc779d1-130c-4b92-bf23-c514a37e0353	CRITICAL_AUXILIARIES
0169909e-86c1-4ef1-8617-b8582b4a35af	4b5aa8ba-f0fb-4ae0-9e4e-719a41af4b8d	LIGHTING
0169909e-86c1-4ef1-8617-b8582b4a35af	0b7af6d1-30fe-4e78-b872-1b5cd9540286	CRITICAL_POWER_DISTRIBUTION
0169909e-86c1-4ef1-8617-b8582b4a35af	36524760-2659-4686-8f0e-bef673a2b95a	CRAH
0169909e-86c1-4ef1-8617-b8582b4a35af	3ec10c3b-97fc-477f-94b7-e9320f0fc64a	CRAC
0169909e-86c1-4ef1-8617-b8582b4a35af	df43fc2b-379e-4574-9415-330fd2ef01d1	CRAC_WITHOUT_FAN
0169909e-86c1-4ef1-8617-b8582b4a35af	2017ebe4-3930-4fda-b613-f2443f773a1c	CRAC_FAN
0169909e-86c1-4ef1-8617-b8582b4a35af	a4f5e21b-4095-4e99-8ceb-89ed8c625bac	CHILLER
0169909e-86c1-4ef1-8617-b8582b4a35af	2dfe1986-db66-4e65-b737-58c66742a451	AIR_COOLED_CHILLER
0169909e-86c1-4ef1-8617-b8582b4a35af	615268fd-2d58-4483-a723-aecc2188f378	COOLING_TOWER
0169909e-86c1-4ef1-8617-b8582b4a35af	1c573785-ecf1-4d54-a743-365d936019df	DRY_COOLER
0169909e-86c1-4ef1-8617-b8582b4a35af	afb4e497-ea0f-4ff5-8841-142bfc906905	REMOTE_CONDENSER
0169909e-86c1-4ef1-8617-b8582b4a35af	794f1148-c618-49c1-8fb8-f8f6e94cb391	CHILLED_WATER_PUMPS
0169909e-86c1-4ef1-8617-b8582b4a35af	a6eb1302-de9a-4a11-9341-e64c120706de	HEAT_REJECTION_PUMPS
0169909e-86c1-4ef1-8617-b8582b4a35af	7005306d-73b6-4b39-9196-efaa4a7eb2ef	VENTILATION
0169909e-86c1-4ef1-8617-b8582b4a35af	ed8082ad-d48d-42e4-8c4d-0821aea9b23e	INFILTRATION
0169909e-86c1-4ef1-8617-b8582b4a35af	834ff5c6-f42f-4ad5-aa6d-bebf7d0d79ac	IT_LOAD
d0089d7b-c4b7-4621-9455-85d08db3394b	7178a31b-2096-4db6-94a8-85c95307217a	SWITCHGEAR
d0089d7b-c4b7-4621-9455-85d08db3394b	49ecbef0-0bf8-4ad5-ba60-69afcd4e2e97	GENERATOR
d0089d7b-c4b7-4621-9455-85d08db3394b	01108805-7bc2-4881-a235-e13a6945ec32	PRIMARY_AUXILIARIES
d0089d7b-c4b7-4621-9455-85d08db3394b	c78bf5f3-3e60-4605-b903-a7cdac7c0846	UPS
d0089d7b-c4b7-4621-9455-85d08db3394b	930a5118-9dae-4117-9855-52c79bd74007	CRITICAL_AUXILIARIES
d0089d7b-c4b7-4621-9455-85d08db3394b	76221315-cd51-4761-b1fd-381147de931b	LIGHTING
d0089d7b-c4b7-4621-9455-85d08db3394b	0fb73203-d0dc-45ec-bbdb-a3c9885bf080	CRITICAL_POWER_DISTRIBUTION
d0089d7b-c4b7-4621-9455-85d08db3394b	88387240-99da-4ebb-a0f9-c4ae90a8b4cd	CRAH
d0089d7b-c4b7-4621-9455-85d08db3394b	67dbf6fb-a9b3-4d83-950e-cda64b5f184b	CRAC
d0089d7b-c4b7-4621-9455-85d08db3394b	579926f6-a2af-4a71-a3ad-7e5750941f00	CRAC_WITHOUT_FAN
d0089d7b-c4b7-4621-9455-85d08db3394b	fc1ed1a8-7688-40a2-92eb-f465be53e7f4	CRAC_FAN
d0089d7b-c4b7-4621-9455-85d08db3394b	cb82e08e-7bc2-4e3d-9045-6847f6453b57	CHILLER
d0089d7b-c4b7-4621-9455-85d08db3394b	36d4f199-3b08-4ecd-b5a3-0c582980a74c	AIR_COOLED_CHILLER
d0089d7b-c4b7-4621-9455-85d08db3394b	497731e5-7dcc-4edb-bf2a-ab465a165d09	COOLING_TOWER
d0089d7b-c4b7-4621-9455-85d08db3394b	c48a09cf-d8e9-4ffe-bb57-f97f75f31082	DRY_COOLER
d0089d7b-c4b7-4621-9455-85d08db3394b	b8151b23-29f2-4efe-a415-8fa9f53a4e82	REMOTE_CONDENSER
d0089d7b-c4b7-4621-9455-85d08db3394b	084b31c9-b410-4562-a965-41a4482c7630	CHILLED_WATER_PUMPS
d0089d7b-c4b7-4621-9455-85d08db3394b	7f05693c-81e0-4b50-b2f1-41cc1e8aa5ad	HEAT_REJECTION_PUMPS
d0089d7b-c4b7-4621-9455-85d08db3394b	c88e397f-6034-4a41-b5a6-41da62ed8037	VENTILATION
d0089d7b-c4b7-4621-9455-85d08db3394b	97092282-7f6f-467d-82d2-cb152bfc5947	INFILTRATION
d0089d7b-c4b7-4621-9455-85d08db3394b	5939b69b-51ff-4137-863a-5e80159484e2	IT_LOAD
6ffbcf02-394e-4c96-acec-4908f1525a3d	82b70b82-fb36-4dfd-8e21-e5f200388990	SWITCHGEAR
6ffbcf02-394e-4c96-acec-4908f1525a3d	e8880293-f48e-4dad-979c-3c5dffd6fdb9	GENERATOR
6ffbcf02-394e-4c96-acec-4908f1525a3d	8f8606d5-ad74-42cd-bc06-edc413907226	PRIMARY_AUXILIARIES
6ffbcf02-394e-4c96-acec-4908f1525a3d	6af83cd3-a7f8-4bd4-950c-b41239e16670	UPS
6ffbcf02-394e-4c96-acec-4908f1525a3d	e1d18d99-e768-42d5-b6be-75df191533f9	CRITICAL_AUXILIARIES
6ffbcf02-394e-4c96-acec-4908f1525a3d	69dbfa8b-5758-48d2-b47e-87184384ae44	LIGHTING
6ffbcf02-394e-4c96-acec-4908f1525a3d	40a12ced-592e-45dd-884d-00badf44de83	CRITICAL_POWER_DISTRIBUTION
6ffbcf02-394e-4c96-acec-4908f1525a3d	1a2e2597-19ec-4f2b-8457-33cd82d89b5a	CRAH
6ffbcf02-394e-4c96-acec-4908f1525a3d	99d6960f-18de-4902-8750-efeb06a11ada	CRAC
6ffbcf02-394e-4c96-acec-4908f1525a3d	c50bd477-3ae6-449c-adce-325d8126e465	CRAC_WITHOUT_FAN
6ffbcf02-394e-4c96-acec-4908f1525a3d	77d34ab9-445b-48ce-aa83-efa9c334782c	CRAC_FAN
6ffbcf02-394e-4c96-acec-4908f1525a3d	655215e5-1903-418a-b108-033173a19206	CHILLER
6ffbcf02-394e-4c96-acec-4908f1525a3d	45c43c1f-b719-4f9a-8d82-044223a15e85	AIR_COOLED_CHILLER
6ffbcf02-394e-4c96-acec-4908f1525a3d	53cb3921-08e0-4f0f-9823-2b0790a1cbc1	COOLING_TOWER
6ffbcf02-394e-4c96-acec-4908f1525a3d	ad52eebe-100d-4c3b-a645-7f8ccf5b431f	DRY_COOLER
6ffbcf02-394e-4c96-acec-4908f1525a3d	7894063b-52be-46b6-b332-b60e5bc0cab9	REMOTE_CONDENSER
6ffbcf02-394e-4c96-acec-4908f1525a3d	a0aad2e1-26ff-4e4c-bc17-954ecbeb460a	CHILLED_WATER_PUMPS
6ffbcf02-394e-4c96-acec-4908f1525a3d	fb691bbd-7173-4b33-873b-b50adba325b0	HEAT_REJECTION_PUMPS
6ffbcf02-394e-4c96-acec-4908f1525a3d	fac07eec-4a0b-4e68-9929-7b54ad3b61dc	VENTILATION
6ffbcf02-394e-4c96-acec-4908f1525a3d	3a93c2dc-5bd6-47c0-94b4-bdcb44ebfb1e	INFILTRATION
6ffbcf02-394e-4c96-acec-4908f1525a3d	5d66d1ae-d153-466c-8a9d-9bab9c061394	IT_LOAD
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	1a3d6fe1-dedb-4b99-b7c9-74885631fd98	SWITCHGEAR
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	cf386eef-0cbb-4b31-a8cf-af742136e6ac	GENERATOR
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	169c63ca-8b28-47fc-b551-4dca1c461a22	PRIMARY_AUXILIARIES
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	4925cbc2-b32c-4d19-8811-932c8b96cea2	UPS
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	1170937e-c1c0-4026-a9d8-a91d02f07b31	CRITICAL_AUXILIARIES
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	44bafbaa-7c53-4b0a-b5af-2555910df416	LIGHTING
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	36002d67-4f18-46d5-b049-380eba6f213d	CRITICAL_POWER_DISTRIBUTION
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	4b14f5e9-0863-4e46-b402-15cd8a484208	CRAH
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	f8e2eb62-af6d-474b-99d8-125539c568ee	CRAC
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	0c4e3b76-8afc-4f11-8795-c3edb93fc333	CRAC_WITHOUT_FAN
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	fe90402b-de0a-48df-8c05-6a9d89af1126	CRAC_FAN
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	f4805f1b-058c-4ea8-b620-896adf695d40	CHILLER
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	6646b185-e712-4e21-82c9-c2464a1277a7	AIR_COOLED_CHILLER
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	b0ac21d2-830d-4ed0-97af-796550ac2a95	COOLING_TOWER
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	37d7cccf-65fd-4ff0-91fa-747cf12715d3	DRY_COOLER
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	1272438a-1831-422d-8dde-d05dbffa2f68	REMOTE_CONDENSER
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	706b576b-46ef-4d27-a415-72985aaaff03	CHILLED_WATER_PUMPS
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	10ed867d-fe49-430d-9af7-bbe47062d842	HEAT_REJECTION_PUMPS
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	b07c277f-7f9f-401c-83cf-62eb57bacb20	VENTILATION
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	8417b6ec-73f5-446f-a6c4-b88e9ee2078a	INFILTRATION
3897e5ca-eb8c-4b56-b08e-901a305dbcdd	3b6fdd46-0680-4776-86d9-07e9326e04da	IT_LOAD
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	cd24dbeb-4596-40f4-a49f-9c72304e44c6	SWITCHGEAR
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	1e98ad12-beff-4a7d-9045-723a3ad7d024	GENERATOR
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	50b1eded-89c1-4d95-8643-c1bf70afe154	PRIMARY_AUXILIARIES
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	55309c40-1a57-4fb3-a556-a5744a197fb6	UPS
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	da220ddf-68df-498d-a05a-b75f4b3dce5e	CRITICAL_AUXILIARIES
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	bcbf2502-188b-4d10-bd9b-cc2fe6d74196	LIGHTING
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	55ffdc4b-07f5-45c3-9585-98a46c028b72	CRITICAL_POWER_DISTRIBUTION
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	899f3a66-5d19-41a6-8c31-959392e0bfd9	CRAH
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	ecafccb1-b4e0-46c9-8e22-2a73d8fa4de0	CRAC
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	da22233a-9707-4b9b-a4c5-77b4a334ea88	CRAC_WITHOUT_FAN
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	552340e4-da49-44d4-89e0-817b7a52054d	CRAC_FAN
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	276d5828-0663-4ede-9238-219f26305934	CHILLER
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	37e89625-2e37-49f5-b59e-031f49586684	AIR_COOLED_CHILLER
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	7468306f-0804-4aa5-acf7-8ed868a5c1e4	COOLING_TOWER
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	5cd17094-49c3-4934-bcb4-62aeb36d4b0f	DRY_COOLER
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	76967b97-6913-4542-a35e-ae792ac042ca	REMOTE_CONDENSER
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	d8da907a-4aab-4891-beb0-30d9c9281586	CHILLED_WATER_PUMPS
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	a430e3a7-3fbf-4016-90ee-95de1601da60	HEAT_REJECTION_PUMPS
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	1e2562e9-6252-4d30-8499-488cf1cb2aaf	VENTILATION
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	a4c0e489-99db-4d5a-b1e0-9e719b6fc927	INFILTRATION
0b5f5914-135b-4d67-93bd-8bc53a1bcf73	6a36542c-603c-421b-ac6d-9bc633e07bf5	IT_LOAD
0eec4954-b8a9-4255-8549-c0499de73dbb	23044a0e-f622-4268-9fec-dc2cd8a5455c	SWITCHGEAR
0eec4954-b8a9-4255-8549-c0499de73dbb	dbe1ce74-969a-4c94-87a3-6a8a48a0df61	GENERATOR
0eec4954-b8a9-4255-8549-c0499de73dbb	33033cc4-d0ac-4b7f-9c40-7feea0f53949	PRIMARY_AUXILIARIES
0eec4954-b8a9-4255-8549-c0499de73dbb	5742f67c-daf6-4217-9197-fa62b277c000	UPS
0eec4954-b8a9-4255-8549-c0499de73dbb	56d84658-6d3f-433b-bcfc-fe31ee14df60	CRITICAL_AUXILIARIES
0eec4954-b8a9-4255-8549-c0499de73dbb	944c0280-c1de-4005-91e6-3936afcf32bf	LIGHTING
0eec4954-b8a9-4255-8549-c0499de73dbb	2fb8b8df-04b0-44bc-a863-f20f126be119	CRITICAL_POWER_DISTRIBUTION
0eec4954-b8a9-4255-8549-c0499de73dbb	5f62ef60-2053-4c20-b077-23f96bd98d15	CRAH
0eec4954-b8a9-4255-8549-c0499de73dbb	2379026e-b3df-4305-ae5c-f846c7683c06	CRAC
0eec4954-b8a9-4255-8549-c0499de73dbb	e13e2892-5ff3-4d2e-a411-180cb8deb71c	CRAC_WITHOUT_FAN
0eec4954-b8a9-4255-8549-c0499de73dbb	f31e9581-c35e-414f-94f1-1fccb7f060cd	CRAC_FAN
0eec4954-b8a9-4255-8549-c0499de73dbb	a64afc55-44d9-4e81-a49b-0ddaab557e7d	CHILLER
0eec4954-b8a9-4255-8549-c0499de73dbb	111098c1-799a-4059-9af3-dc481e50deac	AIR_COOLED_CHILLER
0eec4954-b8a9-4255-8549-c0499de73dbb	1b51acb4-3964-49ff-96ae-0fd218396429	COOLING_TOWER
0eec4954-b8a9-4255-8549-c0499de73dbb	c72339e7-24c4-4451-b68c-a8c64f161fe2	DRY_COOLER
0eec4954-b8a9-4255-8549-c0499de73dbb	384bd2b1-15c9-4fbd-a63a-ca28f0b6be42	REMOTE_CONDENSER
0eec4954-b8a9-4255-8549-c0499de73dbb	19416126-8251-48ae-ba01-b608623ac398	CHILLED_WATER_PUMPS
0eec4954-b8a9-4255-8549-c0499de73dbb	a04ddc46-002a-455b-89bd-f96924e0e7f1	HEAT_REJECTION_PUMPS
0eec4954-b8a9-4255-8549-c0499de73dbb	373cd5b7-d6a0-4c30-a64e-1e4b9af117fb	VENTILATION
0eec4954-b8a9-4255-8549-c0499de73dbb	6b1a2220-07b4-4d7a-9cc4-ccf4b98698d3	INFILTRATION
0eec4954-b8a9-4255-8549-c0499de73dbb	014d7ff3-9e2b-4a4a-bac6-26575fe03824	IT_LOAD
d531e88f-34af-4487-a48c-e0e6d8ddc589	467cabe6-f2e1-480b-8080-2b56d909b53b	SWITCHGEAR
d531e88f-34af-4487-a48c-e0e6d8ddc589	7c882e9e-d5a8-478f-ba15-361064b37240	GENERATOR
d531e88f-34af-4487-a48c-e0e6d8ddc589	b8e2ba7c-e39f-41c5-96b0-b36a25e8ae65	PRIMARY_AUXILIARIES
d531e88f-34af-4487-a48c-e0e6d8ddc589	6cd4bd71-f7eb-4783-a269-a8938b15d87d	UPS
d531e88f-34af-4487-a48c-e0e6d8ddc589	d2ca0a0c-39ef-4d96-b638-cadee38f3a94	CRITICAL_AUXILIARIES
d531e88f-34af-4487-a48c-e0e6d8ddc589	d9ed7047-f52a-4442-aad9-437cec4cd4db	LIGHTING
d531e88f-34af-4487-a48c-e0e6d8ddc589	544d0e5d-1e7c-4102-babf-3014139ff156	CRITICAL_POWER_DISTRIBUTION
d531e88f-34af-4487-a48c-e0e6d8ddc589	c31e0a79-1a09-40ea-a61a-9186131fba3c	CRAH
d531e88f-34af-4487-a48c-e0e6d8ddc589	fa24516b-2b21-42ba-9347-0c62b472ef5a	CRAC
d531e88f-34af-4487-a48c-e0e6d8ddc589	a4f1f25e-b701-4ed9-8ee9-5507bcfa6c29	CRAC_WITHOUT_FAN
d531e88f-34af-4487-a48c-e0e6d8ddc589	18b753b4-80b6-4bcd-b162-a26ef2b30675	CRAC_FAN
d531e88f-34af-4487-a48c-e0e6d8ddc589	6a6d5cd1-8cf2-4d48-a194-63f4a7088f8c	CHILLER
d531e88f-34af-4487-a48c-e0e6d8ddc589	b73202c6-3d47-4bd6-aa98-57451a4f6940	AIR_COOLED_CHILLER
d531e88f-34af-4487-a48c-e0e6d8ddc589	fbcfe951-55c2-43a6-ac82-1d5b65a467bf	COOLING_TOWER
d531e88f-34af-4487-a48c-e0e6d8ddc589	cd45f5ff-fb31-49fe-b85c-37d34f9c0866	DRY_COOLER
d531e88f-34af-4487-a48c-e0e6d8ddc589	39f870d2-c8ea-4ed3-9205-129e1fa88a6a	REMOTE_CONDENSER
d531e88f-34af-4487-a48c-e0e6d8ddc589	bda77cd7-6bce-4dfa-b054-62fe8d54abbc	CHILLED_WATER_PUMPS
d531e88f-34af-4487-a48c-e0e6d8ddc589	510a049a-a313-47f9-8be0-4308a8597a1a	HEAT_REJECTION_PUMPS
d531e88f-34af-4487-a48c-e0e6d8ddc589	8e1d0a31-78ad-4f20-9c57-0da20955a69b	VENTILATION
d531e88f-34af-4487-a48c-e0e6d8ddc589	d73b2e0e-3ba0-4eea-98cf-6faf7ca6b1ec	INFILTRATION
d531e88f-34af-4487-a48c-e0e6d8ddc589	0edfd9d8-5c60-4b10-b253-4649b7c2fc21	IT_LOAD
714dd16b-1124-44b3-8c83-c03ae9b67b1f	fbceeedf-245c-40c4-8559-7a2617c7f9e5	SWITCHGEAR
714dd16b-1124-44b3-8c83-c03ae9b67b1f	153c8a8d-dea9-4c4c-ac2b-90ca218ccf26	GENERATOR
714dd16b-1124-44b3-8c83-c03ae9b67b1f	508d6adf-62e1-4ba8-b097-331f7868e474	PRIMARY_AUXILIARIES
714dd16b-1124-44b3-8c83-c03ae9b67b1f	f9d39362-2d60-4722-b368-a43a93585605	UPS
714dd16b-1124-44b3-8c83-c03ae9b67b1f	6b60303b-169c-4d70-9704-5fa476cddb81	CRITICAL_AUXILIARIES
714dd16b-1124-44b3-8c83-c03ae9b67b1f	d6cb1713-7931-427c-aa6c-24a9ceaaa6eb	LIGHTING
714dd16b-1124-44b3-8c83-c03ae9b67b1f	211d7b48-2597-4c90-bdee-d63e2bece8ed	CRITICAL_POWER_DISTRIBUTION
714dd16b-1124-44b3-8c83-c03ae9b67b1f	2802cb47-fad1-435c-bf0d-59a30f73cc27	CRAH
714dd16b-1124-44b3-8c83-c03ae9b67b1f	5198854f-4f1d-43f8-b178-3fead93e6a57	CRAC
714dd16b-1124-44b3-8c83-c03ae9b67b1f	de9f1558-3f1c-4f80-bd47-74350232e1a4	CRAC_WITHOUT_FAN
714dd16b-1124-44b3-8c83-c03ae9b67b1f	f84f2d6c-c698-4f6a-b47e-5ae49787da52	CRAC_FAN
714dd16b-1124-44b3-8c83-c03ae9b67b1f	db3aa9a6-b0ea-4000-baf1-4f0d030635fc	CHILLER
714dd16b-1124-44b3-8c83-c03ae9b67b1f	0cae598b-e31d-4deb-9795-bded4dd124d8	AIR_COOLED_CHILLER
714dd16b-1124-44b3-8c83-c03ae9b67b1f	ad67428b-7923-4264-a27b-d914bd88de6b	COOLING_TOWER
714dd16b-1124-44b3-8c83-c03ae9b67b1f	1773a0f4-a9ea-4e64-afe2-a694535bd2f6	DRY_COOLER
714dd16b-1124-44b3-8c83-c03ae9b67b1f	4946086b-623e-4522-9286-06ccc7bbff0e	REMOTE_CONDENSER
714dd16b-1124-44b3-8c83-c03ae9b67b1f	91e26ca3-b406-4894-bf87-85cb1fbb8075	CHILLED_WATER_PUMPS
714dd16b-1124-44b3-8c83-c03ae9b67b1f	c82e959f-1c27-462e-8e4c-ec4aab674e32	HEAT_REJECTION_PUMPS
714dd16b-1124-44b3-8c83-c03ae9b67b1f	b62484de-c688-4091-8088-6fc30f684d6e	VENTILATION
714dd16b-1124-44b3-8c83-c03ae9b67b1f	c7949a34-71f1-4619-913e-0f4987ff439b	INFILTRATION
714dd16b-1124-44b3-8c83-c03ae9b67b1f	408d689d-3de5-40bf-a43b-409893aa3a54	IT_LOAD
4a7a58cb-1832-4c62-9445-126196149142	5e28d32c-9cc2-4368-85ec-f2c161566f86	SWITCHGEAR
4a7a58cb-1832-4c62-9445-126196149142	1f47a69c-01f2-4104-9831-3fd8b4f7fa45	GENERATOR
4a7a58cb-1832-4c62-9445-126196149142	9408879f-0615-427e-985f-6885f221a5a0	PRIMARY_AUXILIARIES
4a7a58cb-1832-4c62-9445-126196149142	84f58337-c17c-4b8b-a5b0-268c833ea704	UPS
4a7a58cb-1832-4c62-9445-126196149142	a520e5ca-1058-45ba-b2c6-50bc718c5ebd	CRITICAL_AUXILIARIES
4a7a58cb-1832-4c62-9445-126196149142	5e0f13d6-74a0-4c28-8b58-37deb2d1d92c	LIGHTING
4a7a58cb-1832-4c62-9445-126196149142	ae36dc35-bfa3-4388-bf68-3653539c8c6d	CRITICAL_POWER_DISTRIBUTION
4a7a58cb-1832-4c62-9445-126196149142	e4cbd1c6-7625-4140-96fa-893a7ba87b77	CRAH
4a7a58cb-1832-4c62-9445-126196149142	0e2349fc-65ec-4bbe-a530-df33dfe195c9	CRAC
4a7a58cb-1832-4c62-9445-126196149142	c3016869-e62c-4535-a546-702b43bb45f3	CRAC_WITHOUT_FAN
4a7a58cb-1832-4c62-9445-126196149142	fce3a233-6d87-49c0-b693-892d6bad4a1d	CRAC_FAN
4a7a58cb-1832-4c62-9445-126196149142	e845c513-13d4-4473-9b68-b04cfa08b604	CHILLER
4a7a58cb-1832-4c62-9445-126196149142	4b8c8243-f501-422d-b2de-10d6e627b579	AIR_COOLED_CHILLER
4a7a58cb-1832-4c62-9445-126196149142	389f9a8b-2548-4555-ab23-a8b73ae87089	COOLING_TOWER
4a7a58cb-1832-4c62-9445-126196149142	0acafa17-9c78-4999-a61a-d06186da2b84	DRY_COOLER
4a7a58cb-1832-4c62-9445-126196149142	bb1b9573-569c-4957-924b-a4b28f0fa3a2	REMOTE_CONDENSER
4a7a58cb-1832-4c62-9445-126196149142	07d53b89-cc2e-4ebe-9909-d4117da652ae	CHILLED_WATER_PUMPS
4a7a58cb-1832-4c62-9445-126196149142	0d32d7e5-32aa-4caa-8f85-79e98ce3f804	HEAT_REJECTION_PUMPS
4a7a58cb-1832-4c62-9445-126196149142	0341488d-abea-479a-9905-182b0d2548af	VENTILATION
4a7a58cb-1832-4c62-9445-126196149142	7ce7edaa-f9d0-4417-8816-a00c5732682b	INFILTRATION
4a7a58cb-1832-4c62-9445-126196149142	eafa7a7d-7294-40cc-9704-6bf5e9c109f6	IT_LOAD
ba5ea90a-dc5c-4ee7-916d-835891bccea7	98a20ab7-ead7-42e5-b411-72216043f358	SWITCHGEAR
ba5ea90a-dc5c-4ee7-916d-835891bccea7	e1c73bdb-9602-4484-95fa-36720bdfa9a4	GENERATOR
ba5ea90a-dc5c-4ee7-916d-835891bccea7	a041b7f3-83f9-440e-b7d4-2d7dc895cca3	PRIMARY_AUXILIARIES
ba5ea90a-dc5c-4ee7-916d-835891bccea7	aaab64fa-dae7-47a8-807e-6d3161754a08	UPS
ba5ea90a-dc5c-4ee7-916d-835891bccea7	dd879bea-2d61-4872-bd0c-7aec251bc073	CRITICAL_AUXILIARIES
ba5ea90a-dc5c-4ee7-916d-835891bccea7	cd093d01-c78d-445b-a28c-95d198b8fb98	LIGHTING
ba5ea90a-dc5c-4ee7-916d-835891bccea7	d260e8cd-a5f7-4e56-89d8-29d2bc9646cc	CRITICAL_POWER_DISTRIBUTION
ba5ea90a-dc5c-4ee7-916d-835891bccea7	82114179-5eb2-43c2-991b-5810997e33e8	CRAH
ba5ea90a-dc5c-4ee7-916d-835891bccea7	0e9acb73-64ac-4beb-b0b2-d0bb2d094df7	CRAC
ba5ea90a-dc5c-4ee7-916d-835891bccea7	2a461dde-b27a-45b4-8aae-cc168043a4ee	CRAC_WITHOUT_FAN
ba5ea90a-dc5c-4ee7-916d-835891bccea7	63e19873-9b78-4076-b1f6-6115991e9dc1	CRAC_FAN
ba5ea90a-dc5c-4ee7-916d-835891bccea7	751f41f7-2fcc-4057-84cd-21abc780bdba	CHILLER
ba5ea90a-dc5c-4ee7-916d-835891bccea7	ac453575-0b6b-4da0-9716-9f5a552c61f6	AIR_COOLED_CHILLER
ba5ea90a-dc5c-4ee7-916d-835891bccea7	c3652e70-63fe-4030-8681-32f25ea89edc	COOLING_TOWER
ba5ea90a-dc5c-4ee7-916d-835891bccea7	2aaab11e-437b-4200-b98c-acbae59d3857	DRY_COOLER
ba5ea90a-dc5c-4ee7-916d-835891bccea7	10bbe290-bd3c-4606-8d49-5631c66f47bb	REMOTE_CONDENSER
ba5ea90a-dc5c-4ee7-916d-835891bccea7	1dfaed92-5157-4cb4-b516-f6665f036185	CHILLED_WATER_PUMPS
ba5ea90a-dc5c-4ee7-916d-835891bccea7	b244a574-34bf-4fe3-a90d-805701a36bbf	HEAT_REJECTION_PUMPS
ba5ea90a-dc5c-4ee7-916d-835891bccea7	1b62e92d-324c-41ca-aec7-8fc5c6994a92	VENTILATION
ba5ea90a-dc5c-4ee7-916d-835891bccea7	5ec15134-7285-42bb-9859-bb96b3f2ae04	INFILTRATION
ba5ea90a-dc5c-4ee7-916d-835891bccea7	c348eba4-ecc9-44fd-b22b-756e5c971409	IT_LOAD
3fa124cf-6446-43da-a5bf-52410bbd341a	fd3d4683-5810-4bc1-bf6c-c0b2d91c5c6c	SWITCHGEAR
3fa124cf-6446-43da-a5bf-52410bbd341a	e8fb716e-6c8d-4aaa-80ae-0de24038636a	GENERATOR
3fa124cf-6446-43da-a5bf-52410bbd341a	8adec5bc-44d9-43c3-abc8-3c5c4fa4793f	PRIMARY_AUXILIARIES
3fa124cf-6446-43da-a5bf-52410bbd341a	6a47dc47-2155-4d35-89ee-d14badc6c1c6	UPS
3fa124cf-6446-43da-a5bf-52410bbd341a	99493191-44ea-4295-a9b5-8c9eb7f30691	CRITICAL_AUXILIARIES
3fa124cf-6446-43da-a5bf-52410bbd341a	7ea2a029-63be-450c-b35e-3bd97494f1c5	LIGHTING
3fa124cf-6446-43da-a5bf-52410bbd341a	f16aa009-a481-4407-a9f8-944ca5a114cc	CRITICAL_POWER_DISTRIBUTION
3fa124cf-6446-43da-a5bf-52410bbd341a	07942aa5-71ca-4950-904a-e8dd8aa5ce09	CRAH
3fa124cf-6446-43da-a5bf-52410bbd341a	3de8e09b-b5c3-495c-923b-2cf6dedf9cec	CRAC
3fa124cf-6446-43da-a5bf-52410bbd341a	a49ebfea-5caf-417e-9576-6dfdf22cea54	CRAC_WITHOUT_FAN
3fa124cf-6446-43da-a5bf-52410bbd341a	f4e3aa68-306c-4525-ae74-0d567a62a746	CRAC_FAN
3fa124cf-6446-43da-a5bf-52410bbd341a	5758bf11-3de0-4435-be09-8df06a81f131	CHILLER
3fa124cf-6446-43da-a5bf-52410bbd341a	e7d28bff-e991-445d-a2a1-d93ccc19cef2	AIR_COOLED_CHILLER
3fa124cf-6446-43da-a5bf-52410bbd341a	1bca2d24-fc5b-4a06-aeb8-90a400f94eae	COOLING_TOWER
3fa124cf-6446-43da-a5bf-52410bbd341a	4b999ac2-29c8-4d30-bc7a-cfc37e75f537	DRY_COOLER
3fa124cf-6446-43da-a5bf-52410bbd341a	cc1706fb-ad5c-4f41-8853-a89d1e7a1e70	REMOTE_CONDENSER
3fa124cf-6446-43da-a5bf-52410bbd341a	b9792a40-f07d-427a-a84c-cb786f06c447	CHILLED_WATER_PUMPS
3fa124cf-6446-43da-a5bf-52410bbd341a	ff0b5d20-c501-4df0-a40d-57f40a4657c3	HEAT_REJECTION_PUMPS
3fa124cf-6446-43da-a5bf-52410bbd341a	635cb8a5-08f2-4a12-b8de-3233f1406146	VENTILATION
3fa124cf-6446-43da-a5bf-52410bbd341a	b26ed1ba-2bed-4df5-bdc1-13e27a2fa635	INFILTRATION
3fa124cf-6446-43da-a5bf-52410bbd341a	1bcc4efd-a572-40ac-b74a-4449c3950607	IT_LOAD
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	f0c572cb-50c6-41d0-91f5-dbec27eb6f81	SWITCHGEAR
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	22665155-6bfe-49c9-a991-233507aa92ec	GENERATOR
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	b7840657-2e9b-400a-bb60-f1fec401d387	PRIMARY_AUXILIARIES
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	d61b84c3-b539-4af3-997d-301c5ac8098d	UPS
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	6dd362dc-59a7-4f2b-a833-9900bd8572a7	CRITICAL_AUXILIARIES
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	e114392d-5b29-43b1-914c-92f69cb0e7ee	LIGHTING
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	7f0f04f6-84bb-4e83-93b5-d3fbe0c34332	CRITICAL_POWER_DISTRIBUTION
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	bddfe77e-3bdc-4f35-a725-b1759c10e607	CRAH
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	8389bfb4-92b4-4752-9768-dacada0acac6	CRAC
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	f51c17cd-9ee4-4ffe-b236-4b67addb59d7	CRAC_WITHOUT_FAN
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	0c9adead-f975-43ee-96f5-fd125bb03432	CRAC_FAN
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	75ba95a6-4f53-491a-8c3d-dba093b7d767	CHILLER
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	55259d9c-1690-49b5-a16e-6b3cc3b5e81c	AIR_COOLED_CHILLER
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	5b4f4ba8-5e04-4e42-8f50-7c4d215abb84	COOLING_TOWER
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	2bab3b90-b165-4043-998e-a841db292202	DRY_COOLER
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	b8adfd29-c534-43af-813b-e8302d59adcb	REMOTE_CONDENSER
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	4eeda17e-d64a-47cc-b8f0-6f46607fce4c	CHILLED_WATER_PUMPS
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	def41c8c-72ec-4856-aef6-436a0ff1a18b	HEAT_REJECTION_PUMPS
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	fcfd7998-cc22-439b-8864-ff5e39644d83	VENTILATION
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	08c85526-30a1-4fdd-bce2-22685458cfb7	INFILTRATION
5b4e89d4-6dd9-44e9-a83f-4990f15d0fb7	9723cb21-c445-4c6e-bdee-52412a5829df	IT_LOAD
06828030-3c32-45b4-b421-7b75db55abb2	c0b1cb7b-e930-453a-ac75-b17f3ef94fd1	SWITCHGEAR
06828030-3c32-45b4-b421-7b75db55abb2	687738bc-abf0-485c-bc46-ba39d0e4eaa3	GENERATOR
06828030-3c32-45b4-b421-7b75db55abb2	cbb482bb-0567-48ae-910b-cdc8740a7adf	PRIMARY_AUXILIARIES
06828030-3c32-45b4-b421-7b75db55abb2	39882947-ea84-410c-a2ef-69555af8a769	UPS
06828030-3c32-45b4-b421-7b75db55abb2	6c52eae8-be34-4dda-a400-350e7c0d5053	CRITICAL_AUXILIARIES
06828030-3c32-45b4-b421-7b75db55abb2	89b60bb0-8c40-4ad5-8c49-67c2d7ac9818	LIGHTING
06828030-3c32-45b4-b421-7b75db55abb2	74d10a91-1055-42c0-a2ad-1248a4858cca	CRITICAL_POWER_DISTRIBUTION
06828030-3c32-45b4-b421-7b75db55abb2	6b2f23e8-22e9-48e4-9032-e37066d4ad44	CRAH
06828030-3c32-45b4-b421-7b75db55abb2	8510b150-6149-4ffe-aa31-29e691d7ca3a	CRAC
06828030-3c32-45b4-b421-7b75db55abb2	94a02c16-a365-440a-867c-537c0e0a90a7	CRAC_WITHOUT_FAN
06828030-3c32-45b4-b421-7b75db55abb2	e85d8dd2-9f27-4309-b34c-528c9a6a3dd7	CRAC_FAN
06828030-3c32-45b4-b421-7b75db55abb2	cec64c85-72ed-448d-bbb7-0cfcf945f245	CHILLER
06828030-3c32-45b4-b421-7b75db55abb2	d862c895-7a4e-4f27-b3c8-aaf0705a4072	AIR_COOLED_CHILLER
06828030-3c32-45b4-b421-7b75db55abb2	384b8031-e6ef-46cf-8b30-4616ac07f43f	COOLING_TOWER
06828030-3c32-45b4-b421-7b75db55abb2	2a423303-d4d8-4532-a3f0-fce5291ab3e4	DRY_COOLER
06828030-3c32-45b4-b421-7b75db55abb2	0b034452-653a-4449-bed1-1ad6074edc8a	REMOTE_CONDENSER
06828030-3c32-45b4-b421-7b75db55abb2	179f7870-1778-4a94-82b3-e056950a6786	CHILLED_WATER_PUMPS
06828030-3c32-45b4-b421-7b75db55abb2	0974775d-7603-4cff-9241-21f5f2cf9888	HEAT_REJECTION_PUMPS
06828030-3c32-45b4-b421-7b75db55abb2	7c026808-63f2-4dae-b364-9972eb986c8d	VENTILATION
06828030-3c32-45b4-b421-7b75db55abb2	2cc0db23-b90f-4756-b3fd-e790233605e9	INFILTRATION
06828030-3c32-45b4-b421-7b75db55abb2	57bc7d46-51e9-4682-bd8d-3aff264965ae	IT_LOAD
720db849-e704-4111-aaa3-7a21153463ed	d8fed7ff-919e-494f-914c-479b3fbed06d	SWITCHGEAR
720db849-e704-4111-aaa3-7a21153463ed	003c3c12-4a4b-46d0-913d-4306ff389d5f	GENERATOR
720db849-e704-4111-aaa3-7a21153463ed	dd034f6e-1930-4544-8eb1-9da4f2bba2f4	PRIMARY_AUXILIARIES
720db849-e704-4111-aaa3-7a21153463ed	617092e7-305f-4432-86e7-332d9560b231	UPS
720db849-e704-4111-aaa3-7a21153463ed	6e73e2cc-44dd-4e18-845e-f4f24404998c	CRITICAL_AUXILIARIES
720db849-e704-4111-aaa3-7a21153463ed	ca6a17be-03a9-4bc7-9572-f2f92d112609	LIGHTING
720db849-e704-4111-aaa3-7a21153463ed	6e5ef581-0c72-46d8-9e6f-3f7e85412eba	CRITICAL_POWER_DISTRIBUTION
720db849-e704-4111-aaa3-7a21153463ed	56571773-cebe-499a-8a2c-53016351b275	CRAH
720db849-e704-4111-aaa3-7a21153463ed	5a8530b1-303c-40be-93a1-debc38fc1ed0	CRAC
720db849-e704-4111-aaa3-7a21153463ed	8498dd31-41dc-462a-b954-371005c14761	CRAC_WITHOUT_FAN
720db849-e704-4111-aaa3-7a21153463ed	f35b59a2-c1fa-4589-8787-b59af4c44c25	CRAC_FAN
720db849-e704-4111-aaa3-7a21153463ed	523c2669-9194-4a47-9115-281444fcdeb1	CHILLER
720db849-e704-4111-aaa3-7a21153463ed	c7c59dd6-ce1d-418c-884f-78ad4c8f02fe	AIR_COOLED_CHILLER
720db849-e704-4111-aaa3-7a21153463ed	07c214d4-9c1c-497d-b686-d571e83956f7	COOLING_TOWER
720db849-e704-4111-aaa3-7a21153463ed	b718ab9d-f59c-4648-b18f-70150d453e76	DRY_COOLER
720db849-e704-4111-aaa3-7a21153463ed	48016868-4d4b-4be7-a846-5fc397e06039	REMOTE_CONDENSER
720db849-e704-4111-aaa3-7a21153463ed	00efe51c-d35e-4b77-942f-ad59b6fa26d4	CHILLED_WATER_PUMPS
720db849-e704-4111-aaa3-7a21153463ed	49b06f09-e201-41bb-ad84-5813d5e2cb8b	HEAT_REJECTION_PUMPS
720db849-e704-4111-aaa3-7a21153463ed	dbdec91f-5218-4886-b0f5-57761c5a32bb	VENTILATION
720db849-e704-4111-aaa3-7a21153463ed	513bd594-ab10-406a-9b2d-2ee2807d37a1	INFILTRATION
720db849-e704-4111-aaa3-7a21153463ed	fedbf62a-2bdb-43ea-acc0-e6d87337e727	IT_LOAD
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	769f97c3-0180-4f6f-bb24-6f5582fdb161	SWITCHGEAR
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	de98cb9b-5300-439a-b4fe-aa1d81891f9b	GENERATOR
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	55b1744d-b88c-4015-a0a8-34c76d7be996	PRIMARY_AUXILIARIES
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	aa92cf58-5faf-4061-95e5-ef9ffeb6457e	UPS
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	295b80c9-ddc2-4149-881b-a9907d998319	CRITICAL_AUXILIARIES
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	d7a5d3cd-48b5-4821-b36e-4c9c652bf228	LIGHTING
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	6e3032c2-2bde-4d9a-aac9-c24d8690c252	CRITICAL_POWER_DISTRIBUTION
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	2dc80964-c049-4e44-b057-b86ebdcc8668	CRAH
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	6420554d-62f1-4cb2-a44b-80b76f82eea5	CRAC
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	d2e500e6-0600-4195-be34-03b754b66ecd	CRAC_WITHOUT_FAN
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	2a64fd1d-b5e7-4146-b4cf-a2a9f3581603	CRAC_FAN
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	60ca605f-4eca-40d2-9ed9-17489c011738	CHILLER
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	6c826d16-f742-43d8-9219-d29515977681	AIR_COOLED_CHILLER
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	f83d8d3b-9814-423c-9755-2841416f7b6a	COOLING_TOWER
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	84d5364d-c908-46bc-a435-3a60b07e2e54	DRY_COOLER
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	68f8c1a1-744c-4075-9bf7-c607517f938e	REMOTE_CONDENSER
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	5d067a28-430f-4e2c-8eea-84f16b000d25	CHILLED_WATER_PUMPS
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	9625f2cb-0c0f-4340-8d69-2bac53577cae	HEAT_REJECTION_PUMPS
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	b627d776-d8e2-4530-91bc-b48ba71533a7	VENTILATION
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	408b0472-6b90-4b0f-9b48-f62a26092763	INFILTRATION
9d9951e7-00d6-4b5b-9541-66e498a6aa4a	70e66ca3-acaf-41b2-bbd8-4c8174fe3790	IT_LOAD
cc99c02c-4127-47f8-b547-2cd10faad46f	308efd0c-2dd8-4131-86f9-6f0c2e6e9b16	SWITCHGEAR
cc99c02c-4127-47f8-b547-2cd10faad46f	49e7b187-6a0e-4217-a225-c21b547934fb	GENERATOR
cc99c02c-4127-47f8-b547-2cd10faad46f	4ab5584f-d604-470d-9112-b25c0ab8bf8e	PRIMARY_AUXILIARIES
cc99c02c-4127-47f8-b547-2cd10faad46f	b0fed7f5-3daa-4de4-94cc-fd3e7cc0bcb0	UPS
cc99c02c-4127-47f8-b547-2cd10faad46f	feacb555-65c5-4298-b844-026b11467c45	CRITICAL_AUXILIARIES
cc99c02c-4127-47f8-b547-2cd10faad46f	75c57394-2681-46bc-815c-ec50fc6e2eab	LIGHTING
cc99c02c-4127-47f8-b547-2cd10faad46f	db9c1a54-6e6c-4dc4-8972-8811d8f4d7f5	CRITICAL_POWER_DISTRIBUTION
cc99c02c-4127-47f8-b547-2cd10faad46f	f2fed60f-ad2a-451a-af7d-8e65fe7a862e	CRAH
cc99c02c-4127-47f8-b547-2cd10faad46f	05e25d00-c055-42e7-b924-96c7a3da390b	CRAC
cc99c02c-4127-47f8-b547-2cd10faad46f	4610bfdd-34ed-4175-a34b-9f578c93b0de	CRAC_WITHOUT_FAN
cc99c02c-4127-47f8-b547-2cd10faad46f	2074f4d8-2936-4ab7-af23-81835f506a29	CRAC_FAN
cc99c02c-4127-47f8-b547-2cd10faad46f	6728d589-85bb-4aef-8404-ed6a815bdd29	CHILLER
cc99c02c-4127-47f8-b547-2cd10faad46f	43cdef3d-0ea4-458d-b37d-417eeaab83cf	AIR_COOLED_CHILLER
cc99c02c-4127-47f8-b547-2cd10faad46f	589aea37-7bc4-4d41-8780-478886ecefb2	COOLING_TOWER
cc99c02c-4127-47f8-b547-2cd10faad46f	ec3c1a90-141c-470f-8020-33ed472fc0de	DRY_COOLER
cc99c02c-4127-47f8-b547-2cd10faad46f	21a9088c-938c-4400-ae82-b88383e36941	REMOTE_CONDENSER
cc99c02c-4127-47f8-b547-2cd10faad46f	d2b1dd09-9796-42d8-9369-c2ded213201a	CHILLED_WATER_PUMPS
cc99c02c-4127-47f8-b547-2cd10faad46f	afcb2130-3495-4ade-bf98-63b780d8bc3b	HEAT_REJECTION_PUMPS
cc99c02c-4127-47f8-b547-2cd10faad46f	0438a6a7-3399-45e7-b7e3-084b5cfa185f	VENTILATION
cc99c02c-4127-47f8-b547-2cd10faad46f	bf0bf468-ee22-4d82-a01e-c7ed764d0774	INFILTRATION
cc99c02c-4127-47f8-b547-2cd10faad46f	023fba2e-6dcd-4fb8-87e8-ae85862af5b9	IT_LOAD
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	dcea8f05-bb6f-4691-8ae2-1618a7ec7a00	SWITCHGEAR
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	785bae70-29ea-40e0-90c6-4b41b9bc89f3	GENERATOR
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	c2e0ee93-3f7e-4c8d-aba4-9c4f493f1a4a	PRIMARY_AUXILIARIES
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	151dbc56-25aa-4d77-b725-6aa8bba19b5d	UPS
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	359c0d12-1b03-445e-b6a1-2a1b672700b9	CRITICAL_AUXILIARIES
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	29dedbea-8e5f-44aa-b6e3-1bb72a9825aa	LIGHTING
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	f036a112-3dd0-45b3-93a3-acfeaed006e7	CRITICAL_POWER_DISTRIBUTION
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	cc5ef46d-25f8-4a2c-b7e6-de2701f51d52	CRAH
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	29fc5d03-025e-4bf1-817e-12c090df719a	CRAC
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	16d54939-ae28-4928-a005-f84ed6f4dce0	CRAC_WITHOUT_FAN
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	702aae12-b389-4854-8c39-bddbe6cb4242	CRAC_FAN
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	fe1190e0-5f75-4b98-9ed4-e4db39c35c78	CHILLER
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	c22efbf2-daa5-4458-bb86-01636df51f31	AIR_COOLED_CHILLER
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	049f61e5-cd4e-402f-8342-e5d9b99efbfc	COOLING_TOWER
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	cfd664fc-d202-468d-a87f-cff5246efe39	DRY_COOLER
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	57229c33-c693-432f-a4c1-49351afd4acb	REMOTE_CONDENSER
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	ba6167ab-f42a-49f8-a5ea-9672879cfa60	CHILLED_WATER_PUMPS
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	67bad34f-861a-44d0-ab6a-5fe94f4ff9e0	HEAT_REJECTION_PUMPS
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	0da97748-24a3-4b77-bdcf-b163858b69d4	VENTILATION
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	0ebc7e10-ea48-4034-9169-36b3a1e86599	INFILTRATION
2cbbb3e6-8f1a-48a2-bf29-e492b564e0ad	d31a10dd-0cb1-433d-b3f0-149c313a0c05	IT_LOAD
80783ad1-e2ee-463b-a083-d7ee810926d9	95375e0c-6dc0-4a17-97d1-30240bb89405	SWITCHGEAR
80783ad1-e2ee-463b-a083-d7ee810926d9	eca6d67a-9627-416e-b3a9-9dc32d7ca260	GENERATOR
80783ad1-e2ee-463b-a083-d7ee810926d9	2763d36c-8c75-4d00-8d44-612c7659b1c0	PRIMARY_AUXILIARIES
80783ad1-e2ee-463b-a083-d7ee810926d9	1a9133f5-6365-49f2-810a-bc7fd1db7f99	UPS
80783ad1-e2ee-463b-a083-d7ee810926d9	d6141d61-1970-4386-bc0c-cf82896fefe2	CRITICAL_AUXILIARIES
80783ad1-e2ee-463b-a083-d7ee810926d9	477d9a1b-0dc1-463e-919f-43600112e2a8	LIGHTING
80783ad1-e2ee-463b-a083-d7ee810926d9	490c4a18-a49d-4221-8c6a-35372e2d8814	CRITICAL_POWER_DISTRIBUTION
80783ad1-e2ee-463b-a083-d7ee810926d9	9881eaff-2735-4795-9ef2-6897d228dbdb	CRAH
80783ad1-e2ee-463b-a083-d7ee810926d9	a6abdc94-0f5f-4473-a3be-bda0bc0e40d1	CRAC
80783ad1-e2ee-463b-a083-d7ee810926d9	fc2d2d30-08d8-4a07-8362-940f0d4f1073	CRAC_WITHOUT_FAN
80783ad1-e2ee-463b-a083-d7ee810926d9	e1148b8a-c551-4892-bf58-a6a2972a5e99	CRAC_FAN
80783ad1-e2ee-463b-a083-d7ee810926d9	650ef020-b7c1-4e06-9c75-9c0d15453caa	CHILLER
80783ad1-e2ee-463b-a083-d7ee810926d9	4909099e-52c5-4650-9b02-2fe3e85d7b3b	AIR_COOLED_CHILLER
80783ad1-e2ee-463b-a083-d7ee810926d9	87e323e7-a0bf-47c8-8a49-258ec4d3eae7	COOLING_TOWER
80783ad1-e2ee-463b-a083-d7ee810926d9	ecb4d6ed-1839-4f49-9651-6160be89eb6a	DRY_COOLER
80783ad1-e2ee-463b-a083-d7ee810926d9	bd90c9e9-1e7a-4e25-a4ad-68e93c6c4d67	REMOTE_CONDENSER
80783ad1-e2ee-463b-a083-d7ee810926d9	cc908c87-7fd1-4694-98b5-222b004e28e3	CHILLED_WATER_PUMPS
80783ad1-e2ee-463b-a083-d7ee810926d9	3719fae2-5966-483b-87e4-6d78c18bbb49	HEAT_REJECTION_PUMPS
80783ad1-e2ee-463b-a083-d7ee810926d9	b8fba138-f441-469a-9566-1e5d6bfecfba	VENTILATION
80783ad1-e2ee-463b-a083-d7ee810926d9	6872ee10-1cdd-48ce-9b9d-6f98ec229e54	INFILTRATION
80783ad1-e2ee-463b-a083-d7ee810926d9	f3fe1bbd-c315-4a36-a415-d4a0840fe3c8	IT_LOAD
37bc014a-0f89-4d63-abd3-65c07b3ea34c	ee33c6cd-bd93-4873-a5e4-5e73d293209a	SWITCHGEAR
37bc014a-0f89-4d63-abd3-65c07b3ea34c	a861a82f-d745-4c79-b247-3ad7f85edc55	GENERATOR
37bc014a-0f89-4d63-abd3-65c07b3ea34c	ebe5f13c-eb94-4f9a-b23d-11e243493f8b	PRIMARY_AUXILIARIES
37bc014a-0f89-4d63-abd3-65c07b3ea34c	db6c07c1-7f50-47fb-a5ec-9de67e223f76	UPS
37bc014a-0f89-4d63-abd3-65c07b3ea34c	514abab4-d834-4f3a-b62c-4596a3d675e1	CRITICAL_AUXILIARIES
37bc014a-0f89-4d63-abd3-65c07b3ea34c	7de4ea04-43de-49b7-a96f-b7522a858a49	LIGHTING
37bc014a-0f89-4d63-abd3-65c07b3ea34c	6c75e1cf-78a4-4e1f-8c05-88d6f45c385f	CRITICAL_POWER_DISTRIBUTION
37bc014a-0f89-4d63-abd3-65c07b3ea34c	b6335154-93d5-4f7d-a076-c47a1ff250f6	CRAH
37bc014a-0f89-4d63-abd3-65c07b3ea34c	21ce4f00-54dc-49f7-bdc6-2f5a5ec74ad8	CRAC
37bc014a-0f89-4d63-abd3-65c07b3ea34c	a6c5bf3a-ee8e-411d-9479-4c45b3179223	CRAC_WITHOUT_FAN
37bc014a-0f89-4d63-abd3-65c07b3ea34c	b83117d5-ff4b-4146-8524-155c2004655c	CRAC_FAN
37bc014a-0f89-4d63-abd3-65c07b3ea34c	326f0980-22c2-45a3-a922-c862f7c2e0b1	CHILLER
37bc014a-0f89-4d63-abd3-65c07b3ea34c	21afcd64-3288-4171-b5b1-111e2cff2e3d	AIR_COOLED_CHILLER
37bc014a-0f89-4d63-abd3-65c07b3ea34c	4312a90d-d8a9-431c-92c2-2b2bf207ee51	COOLING_TOWER
37bc014a-0f89-4d63-abd3-65c07b3ea34c	e1c75832-0588-449b-8a8a-04ef1f6a8dfa	DRY_COOLER
37bc014a-0f89-4d63-abd3-65c07b3ea34c	878c7cc9-9c82-459d-b417-86bff80efd8a	REMOTE_CONDENSER
37bc014a-0f89-4d63-abd3-65c07b3ea34c	deef44b2-0244-47af-9764-e9814b8012f8	CHILLED_WATER_PUMPS
37bc014a-0f89-4d63-abd3-65c07b3ea34c	e54dbeda-4f5f-42fb-b72b-cb712047d368	HEAT_REJECTION_PUMPS
37bc014a-0f89-4d63-abd3-65c07b3ea34c	ec322253-e021-42e2-8a4b-b7c7553c24d2	VENTILATION
37bc014a-0f89-4d63-abd3-65c07b3ea34c	20f88dcf-6785-4a89-b35a-9b905a60d908	INFILTRATION
37bc014a-0f89-4d63-abd3-65c07b3ea34c	8aba5128-caae-4e7a-9056-f2a015bbe45a	IT_LOAD
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	ab11ce97-af7a-4172-a76a-9e2113b71885	SWITCHGEAR
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	cbfcc8ad-6394-4c40-81c7-ab19722e8d9e	GENERATOR
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	6755c5d3-dc55-437c-9b5d-4c1109513713	PRIMARY_AUXILIARIES
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	f0fa59cd-7b38-4ab6-9336-b8cc6b05e5b3	UPS
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	39ec52ba-7795-4746-89d3-78ca4ec8d280	CRITICAL_AUXILIARIES
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	2f92663c-cc70-47c7-852f-9afa806ed79c	LIGHTING
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	9eb004e9-98d3-4970-87a5-d6277bb400fb	CRITICAL_POWER_DISTRIBUTION
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	84f218a4-6927-429f-bc41-1a34e2095db9	CRAH
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	2b694a35-59be-442c-893e-a385ac739722	CRAC
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	ffea4188-37ff-4ec0-8983-e358f70df7c3	CRAC_WITHOUT_FAN
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	91e280b4-a781-46b8-a670-0c077fcb8247	CRAC_FAN
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	7e11c6d9-4252-42d4-b4ca-95a8eb363b3d	CHILLER
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	e8686d0d-3c97-4c33-819d-72f0bc29a88e	AIR_COOLED_CHILLER
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	b18f4085-1306-450d-ba18-6a81a22411ce	COOLING_TOWER
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	4e2c86c4-2fbb-46a7-ab04-44d734d8f62e	DRY_COOLER
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	66da665a-2bd8-4acd-bf77-f5400283f449	REMOTE_CONDENSER
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	316889d2-d50b-4f2f-bde9-84952d66b413	CHILLED_WATER_PUMPS
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	19ec10dc-815b-4c1e-b0af-8c3d595a8bd1	HEAT_REJECTION_PUMPS
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	c82a46c4-43d3-410c-96be-16fa827be428	VENTILATION
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	5101e1bd-0e4f-4c94-83c9-5b27eaec6700	INFILTRATION
c6d1a0cb-157d-4a44-b46a-2877889c1ba2	aa2090fb-2c11-4550-92af-1fd31a01cd30	IT_LOAD
2230fd94-2824-4db6-80a9-c035511b23bc	89d68755-e075-4a80-8129-98fc89117e5c	SWITCHGEAR
2230fd94-2824-4db6-80a9-c035511b23bc	9256210f-070e-4d27-8128-e1ec8cbf7b63	GENERATOR
2230fd94-2824-4db6-80a9-c035511b23bc	d949fbc0-a856-4689-95cf-97c1d89fed9a	PRIMARY_AUXILIARIES
2230fd94-2824-4db6-80a9-c035511b23bc	7557aa57-7915-45f7-b8b7-083b5570b4f0	UPS
2230fd94-2824-4db6-80a9-c035511b23bc	bb3eb4ab-dcf2-4c7c-805d-ead14c57e179	CRITICAL_AUXILIARIES
2230fd94-2824-4db6-80a9-c035511b23bc	a5ddedd6-3753-4b0f-a800-5258ea31bbcc	LIGHTING
2230fd94-2824-4db6-80a9-c035511b23bc	0755675e-ab6e-41a2-92ca-da8575205b90	CRITICAL_POWER_DISTRIBUTION
2230fd94-2824-4db6-80a9-c035511b23bc	40c3643c-4f47-44ec-a787-422f4d20bf83	CRAH
2230fd94-2824-4db6-80a9-c035511b23bc	5e2d337e-d817-4884-9891-5a2aa98142f7	CRAC
2230fd94-2824-4db6-80a9-c035511b23bc	0c4bae2b-41ca-45b4-81f5-eba70f79fea6	CRAC_WITHOUT_FAN
2230fd94-2824-4db6-80a9-c035511b23bc	c3ad4cd9-22ef-42f8-aca2-e8a841b8a0d5	CRAC_FAN
2230fd94-2824-4db6-80a9-c035511b23bc	89b6070f-998f-47fd-9865-7772b2146a1b	CHILLER
2230fd94-2824-4db6-80a9-c035511b23bc	88668b5d-7440-4997-8ceb-497d2b6915c1	AIR_COOLED_CHILLER
2230fd94-2824-4db6-80a9-c035511b23bc	126496d7-d2aa-4089-8f29-7e06998052dd	COOLING_TOWER
2230fd94-2824-4db6-80a9-c035511b23bc	cd10179f-6280-4f9f-87ac-bdd49377c50a	DRY_COOLER
2230fd94-2824-4db6-80a9-c035511b23bc	8cf37557-5215-46d1-b503-24ef0febee4e	REMOTE_CONDENSER
2230fd94-2824-4db6-80a9-c035511b23bc	575bfefe-c194-4d67-9f22-ea23957c190e	CHILLED_WATER_PUMPS
2230fd94-2824-4db6-80a9-c035511b23bc	2eca93db-8c62-48de-b62c-276a255dfbd7	HEAT_REJECTION_PUMPS
2230fd94-2824-4db6-80a9-c035511b23bc	588757f9-355f-446e-b872-ad0c5e661b6c	VENTILATION
2230fd94-2824-4db6-80a9-c035511b23bc	02d26853-7f6e-47c9-8f07-03d71706ceea	INFILTRATION
2230fd94-2824-4db6-80a9-c035511b23bc	79d65e84-9a52-46d0-afde-eb25a61b17af	IT_LOAD
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	eb6af03b-0a1c-4639-b9b5-cbdd68ec7b90	SWITCHGEAR
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	326811e3-22df-4703-afd3-718864f88784	GENERATOR
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	2da5f281-a14b-4666-8364-cb3c53df459d	PRIMARY_AUXILIARIES
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	193cdcb0-494c-444b-b098-b39f479c81bf	UPS
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	2a6515e6-d9a5-4fd1-8f94-5ec69213229c	CRITICAL_AUXILIARIES
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	a6610032-a541-46c0-94b3-4c8ef4bf1a20	LIGHTING
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	24cd6a81-85e7-4a5a-b2c2-a90e0e7a6a55	CRITICAL_POWER_DISTRIBUTION
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	9d5f599e-7306-4f47-a21e-d190aeb2eae9	CRAH
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	1b0f5488-51dc-4dfc-8eff-7b02304cfd08	CRAC
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	22d428b6-3b07-4df8-bf0c-2d852acc78ac	CRAC_WITHOUT_FAN
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	98c2992c-9a17-4d89-9505-b2a7047c5883	CRAC_FAN
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	43c92dad-74f2-4003-ba3f-93e40ad9a266	CHILLER
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	99285671-32f1-47f2-b2f6-8893d7e99d26	AIR_COOLED_CHILLER
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	71330f57-3ee3-4391-b3ae-983a6b1cc315	COOLING_TOWER
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	02903466-a2eb-4f30-9621-4f4a4f439164	DRY_COOLER
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	9b3382e7-6447-4e27-b4b9-b513366725b6	REMOTE_CONDENSER
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	d2a73827-8cee-44f8-848e-f13893722ef3	CHILLED_WATER_PUMPS
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	96a3f76c-a44e-454e-b094-ceeb3192c8fb	HEAT_REJECTION_PUMPS
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	f84f4cd6-b542-4886-bbcc-7900c3d035ee	VENTILATION
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	e2722448-dbdd-444f-b7b3-9e23583bf7c9	INFILTRATION
1a3e0795-90f8-42ea-bc06-44e4302d8bc3	d4431b64-e178-4ec1-8299-70744dc4ec0f	IT_LOAD
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	9ada1024-8dc7-4d94-946e-518bef9ac96f	SWITCHGEAR
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	88a8ad77-cbe6-4c73-9c9d-d3ae9bc7202a	GENERATOR
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	8f67b99b-516d-4feb-896c-1746da1ab397	PRIMARY_AUXILIARIES
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	62f0772f-5605-48a7-a502-a3d5f4b9101a	UPS
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	c3ecc3ab-63b7-4538-a827-0198a004a806	CRITICAL_AUXILIARIES
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	c86b0dec-9fc9-435e-9d42-88a72aed6ca6	LIGHTING
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	c1b7b386-ede5-419b-8ca8-9a699189e281	CRITICAL_POWER_DISTRIBUTION
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	6505b554-b209-4fe4-8bca-6288f8cc7d59	CRAH
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	b56d6e9b-5d09-4f14-9b8d-24b216465ff0	CRAC
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	8e1015e4-7c9d-4d32-84d5-5bdc4985a6cd	CRAC_WITHOUT_FAN
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	d6002d4e-b867-4e0a-8aee-c27f75d77502	CRAC_FAN
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	2b937ee2-fb57-453d-ab05-4a8e1ba38a56	CHILLER
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	d5ced553-1e00-4ab9-b0a4-fb8408a6d478	AIR_COOLED_CHILLER
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	0e2bef3d-d4af-4835-88b4-75ec66acb3c1	COOLING_TOWER
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	6e7c5b4c-0f67-4384-82b6-5b8fe2b0a95a	DRY_COOLER
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	a8ed18d5-60c0-4e70-8170-9d5dc803bbef	REMOTE_CONDENSER
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	c40ff1a6-1794-4f1d-bc2f-d647a46a55b8	CHILLED_WATER_PUMPS
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	d0e1eae0-d31b-4b50-8420-5d0d9fcd060b	HEAT_REJECTION_PUMPS
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	34055afe-eafa-40f8-8b58-9d91b352dacf	VENTILATION
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	07b4151b-c0e2-451f-bd18-8724f8993fc0	INFILTRATION
2ce4c2db-5578-4fa4-b257-1ae42fe7afa5	ca42b6a9-b062-4af3-b200-44d5da2a7950	IT_LOAD
e263bc33-1793-41ef-8c39-8cf2975030e4	ab8460ac-228c-467a-8ee1-3eac26130a92	SWITCHGEAR
e263bc33-1793-41ef-8c39-8cf2975030e4	47f82c44-81cd-4c27-939f-e7925b8a9fab	GENERATOR
e263bc33-1793-41ef-8c39-8cf2975030e4	3f6d7c32-d08a-4157-87ce-c623fdfb88da	PRIMARY_AUXILIARIES
e263bc33-1793-41ef-8c39-8cf2975030e4	542816ec-8dbd-4912-85dc-84ed244cb6cd	UPS
e263bc33-1793-41ef-8c39-8cf2975030e4	5b5379bf-9484-4f09-ad3a-5e7798078c2d	CRITICAL_AUXILIARIES
e263bc33-1793-41ef-8c39-8cf2975030e4	e69f6c5d-3d27-4004-9986-8c14df7a8d8b	LIGHTING
e263bc33-1793-41ef-8c39-8cf2975030e4	3502db3e-87d7-49c3-9325-beec7cc92257	CRITICAL_POWER_DISTRIBUTION
e263bc33-1793-41ef-8c39-8cf2975030e4	37b68bf8-aefd-4959-9086-3b86cdeb594c	CRAH
e263bc33-1793-41ef-8c39-8cf2975030e4	2f8822f7-ee16-4290-8fd4-e8af2ca9db23	CRAC
e263bc33-1793-41ef-8c39-8cf2975030e4	6db69bc2-43d6-43c7-acf2-d3e3aadd229a	CRAC_WITHOUT_FAN
e263bc33-1793-41ef-8c39-8cf2975030e4	dfd231e4-fbf6-4843-b829-2661a284ff0f	CRAC_FAN
e263bc33-1793-41ef-8c39-8cf2975030e4	3b990bce-263c-4d88-807f-dc6d208bc79c	CHILLER
e263bc33-1793-41ef-8c39-8cf2975030e4	1c5aa4bd-0100-444a-8429-9557d9333a33	AIR_COOLED_CHILLER
e263bc33-1793-41ef-8c39-8cf2975030e4	8f519245-9807-450c-9b7a-b1646cfd1189	COOLING_TOWER
e263bc33-1793-41ef-8c39-8cf2975030e4	90ad1070-7af8-4627-89fd-06e8e934eea4	DRY_COOLER
e263bc33-1793-41ef-8c39-8cf2975030e4	83a456b1-2fd4-4406-b743-19a3364bf07a	REMOTE_CONDENSER
e263bc33-1793-41ef-8c39-8cf2975030e4	3962f79c-0412-4801-9c7b-fb4c6a281fec	CHILLED_WATER_PUMPS
e263bc33-1793-41ef-8c39-8cf2975030e4	9aa09d7d-7c5e-4348-9792-f75460d39f18	HEAT_REJECTION_PUMPS
e263bc33-1793-41ef-8c39-8cf2975030e4	9ef6cf44-6875-4c92-ad60-56f2cbab4ff8	VENTILATION
e263bc33-1793-41ef-8c39-8cf2975030e4	bf54460f-0af0-4aa8-b2f9-e5351f17841d	INFILTRATION
e263bc33-1793-41ef-8c39-8cf2975030e4	bf945464-8435-420e-89fa-f5865f55e5a5	IT_LOAD
eed69b88-8f02-4fdd-818c-ba409da98fde	1950e6d6-65dd-4708-babe-8bb3756440c5	SWITCHGEAR
eed69b88-8f02-4fdd-818c-ba409da98fde	dd31596c-22a6-4396-9150-11c3f14f08fe	GENERATOR
eed69b88-8f02-4fdd-818c-ba409da98fde	7ca9e033-602c-4765-9684-d642b0d938ac	PRIMARY_AUXILIARIES
eed69b88-8f02-4fdd-818c-ba409da98fde	74e2901f-ab60-4a80-bee8-059764a588d1	UPS
eed69b88-8f02-4fdd-818c-ba409da98fde	49dcd867-1337-4c31-9b95-c8e0eb03c5d7	CRITICAL_AUXILIARIES
eed69b88-8f02-4fdd-818c-ba409da98fde	293b12fb-8621-48d9-b1a0-fd2ef98b8866	LIGHTING
eed69b88-8f02-4fdd-818c-ba409da98fde	3f330428-1727-4582-9fe0-30c89861702e	CRITICAL_POWER_DISTRIBUTION
eed69b88-8f02-4fdd-818c-ba409da98fde	4de81d55-11c5-45ff-bcdf-74c20c598d31	CRAH
eed69b88-8f02-4fdd-818c-ba409da98fde	db2d327c-cb0d-477c-a123-19261b8ac512	CRAC
eed69b88-8f02-4fdd-818c-ba409da98fde	ae5707b5-432e-4ae7-a609-971730280182	CRAC_WITHOUT_FAN
eed69b88-8f02-4fdd-818c-ba409da98fde	8807308e-100d-41a3-a4ec-e63d50065817	CRAC_FAN
eed69b88-8f02-4fdd-818c-ba409da98fde	397ae8fe-ab1e-433a-928b-f15c693846d2	CHILLER
eed69b88-8f02-4fdd-818c-ba409da98fde	e77f7553-7987-4642-a9bc-3a8daa457441	AIR_COOLED_CHILLER
eed69b88-8f02-4fdd-818c-ba409da98fde	5728b78a-6999-484d-b7d7-55927a01ea97	COOLING_TOWER
eed69b88-8f02-4fdd-818c-ba409da98fde	8da53739-c7ec-4630-9f93-b5ec871d5171	DRY_COOLER
eed69b88-8f02-4fdd-818c-ba409da98fde	63a51331-6ff4-469a-b2a5-e07878f14a61	REMOTE_CONDENSER
eed69b88-8f02-4fdd-818c-ba409da98fde	ee979b8e-1065-492e-a51b-6ea816fd4131	CHILLED_WATER_PUMPS
eed69b88-8f02-4fdd-818c-ba409da98fde	a1aa8bc5-9cbe-4a49-915b-cf35c0c6ba66	HEAT_REJECTION_PUMPS
eed69b88-8f02-4fdd-818c-ba409da98fde	86345536-c779-48bd-a292-ee287347a8cc	VENTILATION
eed69b88-8f02-4fdd-818c-ba409da98fde	2e5e75ee-9c0c-4100-8e70-d5a07e66d8e4	INFILTRATION
eed69b88-8f02-4fdd-818c-ba409da98fde	4eeedca6-981e-4e09-aff7-1ee0eb8fb66f	IT_LOAD
f267fd13-dcc9-4749-b431-638921cb0791	bb4ef09c-8a24-426e-b100-cea3c7525803	SWITCHGEAR
f267fd13-dcc9-4749-b431-638921cb0791	da830caa-3ae9-4d53-8d1f-eae1783d578f	GENERATOR
f267fd13-dcc9-4749-b431-638921cb0791	e52a5141-7fa3-4e99-9bd6-7f3390471a57	PRIMARY_AUXILIARIES
f267fd13-dcc9-4749-b431-638921cb0791	f92c8c08-9111-4e90-aea8-40bd5ea4de63	UPS
f267fd13-dcc9-4749-b431-638921cb0791	93534131-22fe-467f-b7bd-f8bcabbe6bd7	CRITICAL_AUXILIARIES
f267fd13-dcc9-4749-b431-638921cb0791	b72371b7-33c4-4077-b1e1-214f572221f0	LIGHTING
f267fd13-dcc9-4749-b431-638921cb0791	fea5f333-56f0-49d1-8c99-639c8c79599d	CRITICAL_POWER_DISTRIBUTION
f267fd13-dcc9-4749-b431-638921cb0791	e4443eea-f993-45ae-bbcb-123a89c84cb8	CRAH
f267fd13-dcc9-4749-b431-638921cb0791	afc4dbdf-6f0a-4b6a-8664-524688e0d7d0	CRAC
f267fd13-dcc9-4749-b431-638921cb0791	62adaac2-9d3d-4354-b478-ad61a5b53db7	CRAC_WITHOUT_FAN
f267fd13-dcc9-4749-b431-638921cb0791	6e527e91-8d41-4d54-bac6-6ca11587656c	CRAC_FAN
f267fd13-dcc9-4749-b431-638921cb0791	67ed9ae8-251a-4414-a8ff-6667f83a90f5	CHILLER
f267fd13-dcc9-4749-b431-638921cb0791	4b3b613b-c20f-4439-a2b2-cf6489e05acb	AIR_COOLED_CHILLER
f267fd13-dcc9-4749-b431-638921cb0791	e97f3016-a55d-4a2d-b27c-ad5ee93927a0	COOLING_TOWER
f267fd13-dcc9-4749-b431-638921cb0791	752d9682-2206-4ac3-9ed9-b062ccd8b1ff	DRY_COOLER
f267fd13-dcc9-4749-b431-638921cb0791	6a41fcbd-d440-4fe3-a122-e54eefbdff03	REMOTE_CONDENSER
f267fd13-dcc9-4749-b431-638921cb0791	62e8bd4d-3ebf-498f-acf2-4be355337b5f	CHILLED_WATER_PUMPS
f267fd13-dcc9-4749-b431-638921cb0791	c02642ed-906c-4500-8287-2f71c914b677	HEAT_REJECTION_PUMPS
f267fd13-dcc9-4749-b431-638921cb0791	680b18e7-028a-49ff-931f-67d874adfcbe	VENTILATION
f267fd13-dcc9-4749-b431-638921cb0791	3c725209-98e9-42f8-9b97-cc9c6990946b	INFILTRATION
f267fd13-dcc9-4749-b431-638921cb0791	b0f47ea8-cb75-4197-8b7a-a0b217bd30f3	IT_LOAD
924ff15f-241b-4c31-a9d5-fbce551ccafa	d1939947-0253-46e6-b4aa-1131a74aa720	SWITCHGEAR
924ff15f-241b-4c31-a9d5-fbce551ccafa	37488242-4505-49ab-9806-7fdb398c2d30	GENERATOR
924ff15f-241b-4c31-a9d5-fbce551ccafa	1b562dda-94ad-4832-a323-3a0dbe9831e8	PRIMARY_AUXILIARIES
924ff15f-241b-4c31-a9d5-fbce551ccafa	da0b8b38-6a0f-4996-93c6-970fbe8e31ec	UPS
924ff15f-241b-4c31-a9d5-fbce551ccafa	f8392800-9aa9-4c34-8bfc-bd6722c89340	CRITICAL_AUXILIARIES
924ff15f-241b-4c31-a9d5-fbce551ccafa	95939248-47c9-4cef-ba67-e4c7001b56c1	LIGHTING
924ff15f-241b-4c31-a9d5-fbce551ccafa	aae3b28f-3f88-4307-aed5-7a7b9a3192b1	CRITICAL_POWER_DISTRIBUTION
924ff15f-241b-4c31-a9d5-fbce551ccafa	7d369c70-e6e6-41e0-81f3-2aeb4637c0c6	CRAH
924ff15f-241b-4c31-a9d5-fbce551ccafa	6d55a680-ba35-4c93-851a-164e65579586	CRAC
924ff15f-241b-4c31-a9d5-fbce551ccafa	720d3c7c-d241-4cdb-b4b6-10041866ad26	CRAC_WITHOUT_FAN
924ff15f-241b-4c31-a9d5-fbce551ccafa	34568ab1-1704-4e44-af06-c849bdeab4be	CRAC_FAN
924ff15f-241b-4c31-a9d5-fbce551ccafa	3c1b13d8-55ce-492d-982b-6c2bd8ca8a10	CHILLER
924ff15f-241b-4c31-a9d5-fbce551ccafa	f0091452-9455-4714-ba87-906b031a0b59	AIR_COOLED_CHILLER
924ff15f-241b-4c31-a9d5-fbce551ccafa	f5f93797-e375-4bfb-8a30-08f32d591f31	COOLING_TOWER
924ff15f-241b-4c31-a9d5-fbce551ccafa	b286c4b8-5770-457b-8b65-417e9bc5c58c	DRY_COOLER
924ff15f-241b-4c31-a9d5-fbce551ccafa	d51adfcf-ae1b-40cc-96c5-39dbff0992e9	REMOTE_CONDENSER
924ff15f-241b-4c31-a9d5-fbce551ccafa	c6efcc5a-afa5-41b2-8e7a-e674d20ef633	CHILLED_WATER_PUMPS
924ff15f-241b-4c31-a9d5-fbce551ccafa	4c334750-d4f7-4bbe-ad1b-6a4e78fb44c3	HEAT_REJECTION_PUMPS
924ff15f-241b-4c31-a9d5-fbce551ccafa	7fa3b234-979d-40cf-9a19-aec5f0ba08a3	VENTILATION
924ff15f-241b-4c31-a9d5-fbce551ccafa	7cefbab7-d2ec-410e-86a8-df1c916ff109	INFILTRATION
924ff15f-241b-4c31-a9d5-fbce551ccafa	1c098088-e6c4-403e-a810-0b0c4082bc91	IT_LOAD
fec346c2-4636-468c-a116-2bb25de29ae5	3a99645a-1a99-4b59-9919-8076ee13ddee	SWITCHGEAR
fec346c2-4636-468c-a116-2bb25de29ae5	a4b8fab8-c46c-4ce2-b371-0b0a634f39c3	GENERATOR
fec346c2-4636-468c-a116-2bb25de29ae5	6d9d4842-e86c-4eb7-8aff-b2a115b76b4e	PRIMARY_AUXILIARIES
fec346c2-4636-468c-a116-2bb25de29ae5	f588ecb1-d62a-4d19-94e8-f31dbc5144c2	UPS
fec346c2-4636-468c-a116-2bb25de29ae5	c874176f-182b-4fb1-a553-d23e7209d4ef	CRITICAL_AUXILIARIES
fec346c2-4636-468c-a116-2bb25de29ae5	271fdf17-dca0-41f0-89dd-3cd9e72b3b3e	LIGHTING
fec346c2-4636-468c-a116-2bb25de29ae5	9d9c3c08-14e8-4392-97f7-3dde2257e0bb	CRITICAL_POWER_DISTRIBUTION
fec346c2-4636-468c-a116-2bb25de29ae5	61840af9-805f-4c7b-8808-68a70cd0716d	CRAH
fec346c2-4636-468c-a116-2bb25de29ae5	bd3da586-5f38-48f1-9dea-49395992ea91	CRAC
fec346c2-4636-468c-a116-2bb25de29ae5	9b28d3df-4b06-4c30-aa55-4fcbae0673cd	CRAC_WITHOUT_FAN
fec346c2-4636-468c-a116-2bb25de29ae5	64fdb393-4246-4912-8c89-40713928963d	CRAC_FAN
fec346c2-4636-468c-a116-2bb25de29ae5	6a6f9a41-3ab8-43ad-bd12-a341dbc1942a	CHILLER
fec346c2-4636-468c-a116-2bb25de29ae5	4ae62878-1a83-4ee9-9de3-0206985d925d	AIR_COOLED_CHILLER
fec346c2-4636-468c-a116-2bb25de29ae5	5a928d0b-8388-4794-ae4f-c2b31bd751d1	COOLING_TOWER
fec346c2-4636-468c-a116-2bb25de29ae5	ce3eeb18-13f2-44d0-ab7a-489b4fc20a00	DRY_COOLER
fec346c2-4636-468c-a116-2bb25de29ae5	5eda5ae5-c3cd-4871-adda-47f41bcce2ed	REMOTE_CONDENSER
fec346c2-4636-468c-a116-2bb25de29ae5	ef7c028e-475d-4a84-8527-757374f4c168	CHILLED_WATER_PUMPS
fec346c2-4636-468c-a116-2bb25de29ae5	38c42b60-20e0-4014-a98f-8e21f09879b0	HEAT_REJECTION_PUMPS
fec346c2-4636-468c-a116-2bb25de29ae5	b05ec056-0ae1-4861-be5a-d55831125e16	VENTILATION
fec346c2-4636-468c-a116-2bb25de29ae5	4fd6bfab-3edc-4867-b360-56d12ffb8827	INFILTRATION
fec346c2-4636-468c-a116-2bb25de29ae5	ece203d1-c006-4b02-b9fd-5d49c804d493	IT_LOAD
fdb1ef83-2647-440c-83c1-1459a7a30c3e	36016cf0-3b06-4b22-a4c8-e8fa0d07b37c	SWITCHGEAR
fdb1ef83-2647-440c-83c1-1459a7a30c3e	ca80f392-bf96-47f2-968b-c1d9d9d79414	GENERATOR
fdb1ef83-2647-440c-83c1-1459a7a30c3e	1802fa1b-9486-4eff-a2ff-83afc351027e	PRIMARY_AUXILIARIES
fdb1ef83-2647-440c-83c1-1459a7a30c3e	d8c58856-3f24-4f7c-8a7d-5db1543f840b	UPS
fdb1ef83-2647-440c-83c1-1459a7a30c3e	b9b13a28-0401-4c6e-bf8d-853b342ff2a2	CRITICAL_AUXILIARIES
fdb1ef83-2647-440c-83c1-1459a7a30c3e	5f40a163-3aca-48e8-92ca-6898fb6057a5	LIGHTING
fdb1ef83-2647-440c-83c1-1459a7a30c3e	e055af4e-397c-4ebf-8670-a29333845e0d	CRITICAL_POWER_DISTRIBUTION
fdb1ef83-2647-440c-83c1-1459a7a30c3e	2ded3946-71a6-45db-918c-05e6383d247c	CRAH
fdb1ef83-2647-440c-83c1-1459a7a30c3e	f1ff5f33-e1a8-41f0-bc21-e55f95ed399d	CRAC
fdb1ef83-2647-440c-83c1-1459a7a30c3e	9674da28-647d-412e-b461-ee4a84c5fdfd	CRAC_WITHOUT_FAN
fdb1ef83-2647-440c-83c1-1459a7a30c3e	c636070c-2fed-4b06-a488-f121c080dd2b	CRAC_FAN
fdb1ef83-2647-440c-83c1-1459a7a30c3e	bc5507ad-7d3f-4c76-b67f-3817d527ba38	CHILLER
fdb1ef83-2647-440c-83c1-1459a7a30c3e	202ec9be-5f3b-4c0c-bf10-17a934ef8f03	AIR_COOLED_CHILLER
fdb1ef83-2647-440c-83c1-1459a7a30c3e	788ed47a-0ec9-4470-8d51-c14a28d5c2cb	COOLING_TOWER
fdb1ef83-2647-440c-83c1-1459a7a30c3e	9b43c47b-7dca-4bd9-97cd-ea51cd9879d7	DRY_COOLER
fdb1ef83-2647-440c-83c1-1459a7a30c3e	5777fdf2-1fa7-4f26-8a30-88cce98cdae6	REMOTE_CONDENSER
fdb1ef83-2647-440c-83c1-1459a7a30c3e	f260d825-fb70-49be-8468-a90350f230df	CHILLED_WATER_PUMPS
fdb1ef83-2647-440c-83c1-1459a7a30c3e	70ee1dab-125b-4371-9af2-30209d3b8ec5	HEAT_REJECTION_PUMPS
fdb1ef83-2647-440c-83c1-1459a7a30c3e	0531fef3-9c39-4a71-9952-e4956928debc	VENTILATION
fdb1ef83-2647-440c-83c1-1459a7a30c3e	62561aed-e8c4-4a0d-865a-4d933ebffe40	INFILTRATION
fdb1ef83-2647-440c-83c1-1459a7a30c3e	c5e79f3c-7d5e-4283-82ba-3d1a65ebda3d	IT_LOAD
c294f3e7-d4bc-42be-8563-860e4af62a1b	68687125-8abc-40d0-b545-f188c8abba3d	SWITCHGEAR
c294f3e7-d4bc-42be-8563-860e4af62a1b	44901acd-5fb0-4ca6-a6cf-183aba69d33d	GENERATOR
c294f3e7-d4bc-42be-8563-860e4af62a1b	17eb6d32-fc78-44f0-92df-ac0cc2da42d8	PRIMARY_AUXILIARIES
c294f3e7-d4bc-42be-8563-860e4af62a1b	a9257a73-3bcf-4e4b-b21a-42a437d2b1dc	UPS
c294f3e7-d4bc-42be-8563-860e4af62a1b	7fb7aeff-c9ad-492d-a39f-29096ef246f2	CRITICAL_AUXILIARIES
c294f3e7-d4bc-42be-8563-860e4af62a1b	9c09a8f5-56bb-40f4-8b52-cba1371b2f6f	LIGHTING
c294f3e7-d4bc-42be-8563-860e4af62a1b	702f91ae-d3d8-4331-a9a2-30444dcfa8e8	CRITICAL_POWER_DISTRIBUTION
c294f3e7-d4bc-42be-8563-860e4af62a1b	da7f980c-5175-48e0-b604-be849f0aea46	CRAH
c294f3e7-d4bc-42be-8563-860e4af62a1b	c5a9461f-44f0-4d7d-b310-e68d870dbd34	CRAC
c294f3e7-d4bc-42be-8563-860e4af62a1b	c6e1239b-faed-4f12-93be-4da8f773168f	CRAC_WITHOUT_FAN
c294f3e7-d4bc-42be-8563-860e4af62a1b	b9b580c4-6283-4b46-b7cc-1a2abc41d2b9	CRAC_FAN
c294f3e7-d4bc-42be-8563-860e4af62a1b	14d99215-293e-4729-8ca9-8d9d6338ade8	CHILLER
c294f3e7-d4bc-42be-8563-860e4af62a1b	570f466e-b5ef-4f3e-8800-9c864da2adfd	AIR_COOLED_CHILLER
c294f3e7-d4bc-42be-8563-860e4af62a1b	17ef9daa-f5a0-4c1a-8c30-57b28d19e7c1	COOLING_TOWER
c294f3e7-d4bc-42be-8563-860e4af62a1b	86a1b630-bea4-4c7a-bdc9-e9fc7d70776f	DRY_COOLER
c294f3e7-d4bc-42be-8563-860e4af62a1b	766b6ac5-96d8-4d5e-9ae0-032b8dd2f5d3	REMOTE_CONDENSER
c294f3e7-d4bc-42be-8563-860e4af62a1b	e9fbf031-ad1c-4214-be61-2d67cb33da54	CHILLED_WATER_PUMPS
c294f3e7-d4bc-42be-8563-860e4af62a1b	85a142da-8c48-4bc5-8a1b-471616586c5d	HEAT_REJECTION_PUMPS
c294f3e7-d4bc-42be-8563-860e4af62a1b	ce42bc33-6ba4-4e94-98b0-63c068d40b28	VENTILATION
c294f3e7-d4bc-42be-8563-860e4af62a1b	3b288c12-4be5-4dcf-a929-541a78e3f060	INFILTRATION
c294f3e7-d4bc-42be-8563-860e4af62a1b	d54804f7-b29b-43b3-b7d2-fcb04c36609a	IT_LOAD
9c602403-8261-4a6a-bb29-6c1250a97c98	f1e01c00-c102-4199-9805-7bfea73ad2c2	SWITCHGEAR
9c602403-8261-4a6a-bb29-6c1250a97c98	da51e200-9f4a-4e6c-97da-bc365fd2f9ec	GENERATOR
9c602403-8261-4a6a-bb29-6c1250a97c98	04dc8953-d65c-4dcf-8d94-710d575dacd8	PRIMARY_AUXILIARIES
9c602403-8261-4a6a-bb29-6c1250a97c98	c516b521-dd58-4bea-a576-69639c342112	UPS
9c602403-8261-4a6a-bb29-6c1250a97c98	28b51b75-f2ff-41f8-a11a-a51885db1d85	CRITICAL_AUXILIARIES
9c602403-8261-4a6a-bb29-6c1250a97c98	294af81b-941d-430c-8dc5-f7d40f8feebc	LIGHTING
9c602403-8261-4a6a-bb29-6c1250a97c98	d18cca81-fee6-42fb-a265-89c4790ed921	CRITICAL_POWER_DISTRIBUTION
9c602403-8261-4a6a-bb29-6c1250a97c98	d3ab3ad4-6177-4ecb-987e-f65c356aa122	CRAH
9c602403-8261-4a6a-bb29-6c1250a97c98	50cfd751-95b3-4ffa-a4af-e4f397e88385	CRAC
9c602403-8261-4a6a-bb29-6c1250a97c98	973c6448-d863-410f-bc5f-938aede705d0	CRAC_WITHOUT_FAN
9c602403-8261-4a6a-bb29-6c1250a97c98	bdb85676-8700-4e00-bc11-1a5da2721cf5	CRAC_FAN
9c602403-8261-4a6a-bb29-6c1250a97c98	1fa400ac-e423-49cf-b2dc-1cb722621c0c	CHILLER
9c602403-8261-4a6a-bb29-6c1250a97c98	d9e315b5-1567-409d-acdc-965b9d388b44	AIR_COOLED_CHILLER
9c602403-8261-4a6a-bb29-6c1250a97c98	b54a7a0b-dc41-4fd0-a5c8-87a1c404bafc	COOLING_TOWER
9c602403-8261-4a6a-bb29-6c1250a97c98	c941e5f8-a727-4eb8-9fe1-6dc0eb6ae987	DRY_COOLER
9c602403-8261-4a6a-bb29-6c1250a97c98	711ba7e1-1fb4-4e5b-87d3-8eeea09ec5ea	REMOTE_CONDENSER
9c602403-8261-4a6a-bb29-6c1250a97c98	7e15160f-9421-4f5e-87f0-b6f65a21758b	CHILLED_WATER_PUMPS
9c602403-8261-4a6a-bb29-6c1250a97c98	50a89ba2-6c3f-4980-949d-138044a10833	HEAT_REJECTION_PUMPS
9c602403-8261-4a6a-bb29-6c1250a97c98	0de1f8b1-636d-442d-94e6-a95e80ed61ca	VENTILATION
9c602403-8261-4a6a-bb29-6c1250a97c98	bca28da0-ade5-4701-8a97-cd6707bedd8b	INFILTRATION
9c602403-8261-4a6a-bb29-6c1250a97c98	ffcef8e0-3b88-4685-a850-fc44337d983a	IT_LOAD
115d4c56-1f21-4490-9b61-b62531e40898	90cc0431-67be-4d2a-9ba1-0a51141372cb	SWITCHGEAR
115d4c56-1f21-4490-9b61-b62531e40898	018d6ad3-f46b-4afd-896d-f2a781497085	GENERATOR
115d4c56-1f21-4490-9b61-b62531e40898	ca62d653-0546-41ef-8eb6-e644ed0cb74c	PRIMARY_AUXILIARIES
115d4c56-1f21-4490-9b61-b62531e40898	7d9ed093-730d-4601-b25d-f1466cae413a	UPS
115d4c56-1f21-4490-9b61-b62531e40898	fb4034c6-6f9a-45d7-8235-6b47e9b38bf2	CRITICAL_AUXILIARIES
115d4c56-1f21-4490-9b61-b62531e40898	b902abe2-1f1e-4de6-8b0f-628a83d1fd35	LIGHTING
115d4c56-1f21-4490-9b61-b62531e40898	2c6f7030-e005-4272-8b71-2685e19c16ce	CRITICAL_POWER_DISTRIBUTION
115d4c56-1f21-4490-9b61-b62531e40898	fa4eb0b4-7e1f-4d94-a4c6-a3c7ed12e2eb	CRAH
115d4c56-1f21-4490-9b61-b62531e40898	d1accc95-89c1-4709-9cee-4376592bd736	CRAC
115d4c56-1f21-4490-9b61-b62531e40898	3f6bb825-ef4e-4253-9a8e-0b6cccca4826	CRAC_WITHOUT_FAN
115d4c56-1f21-4490-9b61-b62531e40898	cd2764b8-f367-409d-99cb-e7d7e233dc28	CRAC_FAN
115d4c56-1f21-4490-9b61-b62531e40898	a68596a8-b3a6-4b1d-9d2d-403f5166eddc	CHILLER
115d4c56-1f21-4490-9b61-b62531e40898	46242f4a-7089-445f-a8b8-4c77ddc153f6	AIR_COOLED_CHILLER
115d4c56-1f21-4490-9b61-b62531e40898	47c1a74a-a034-433b-b813-9cc91f04dc57	COOLING_TOWER
115d4c56-1f21-4490-9b61-b62531e40898	0b441cf1-f71d-4acc-b3a9-5513086e2c16	DRY_COOLER
115d4c56-1f21-4490-9b61-b62531e40898	c0b536b6-ebc1-4f36-a5a7-f12f857f9c6e	REMOTE_CONDENSER
115d4c56-1f21-4490-9b61-b62531e40898	04314dad-276b-4b98-a960-d7d1a1a48762	CHILLED_WATER_PUMPS
115d4c56-1f21-4490-9b61-b62531e40898	b9199b73-458e-4639-920a-4823826d9526	HEAT_REJECTION_PUMPS
115d4c56-1f21-4490-9b61-b62531e40898	c25f8fd0-92fc-4081-a74f-c85869831dcb	VENTILATION
115d4c56-1f21-4490-9b61-b62531e40898	db223e1e-14ab-4264-aea0-2942c5b545c9	INFILTRATION
115d4c56-1f21-4490-9b61-b62531e40898	058ed383-c0b7-406b-9659-b5eea6c38348	IT_LOAD
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	8c809ca0-24b6-45bf-953a-e2ccbaa67797	SWITCHGEAR
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	95ae364f-155c-4d4c-9a57-0d1763083f5c	GENERATOR
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	56bc196b-911a-44fa-8115-715bf665c091	PRIMARY_AUXILIARIES
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	472ceed2-5abb-4c28-801d-bf014eb07c5c	UPS
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	22aa7399-4faa-4c10-81c9-238ad37e62f1	CRITICAL_AUXILIARIES
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	3556c643-1c33-4468-8b53-d2119c335ca7	LIGHTING
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	8c4ce435-e3bb-4ca6-b2d4-b53d48cabaeb	CRITICAL_POWER_DISTRIBUTION
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	35185557-7125-40ae-949a-d7d26efc29dd	CRAH
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	994ab935-9801-4e47-96a8-0c6fd689a714	CRAC
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	4b0b4fd7-93ff-47c8-990e-824a30701906	CRAC_WITHOUT_FAN
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	62e8ed7d-e0e6-4fd2-95f1-381e7538fd0e	CRAC_FAN
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	c5ad9227-7847-4970-96a7-aaa003f39f91	CHILLER
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	70471f91-e3a5-419f-94e4-fd4a120188c7	AIR_COOLED_CHILLER
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	5148241d-d0a2-42a1-89b6-1cfc5f1c3788	COOLING_TOWER
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	4ca3ad78-3452-45e0-8b18-700dae01d9bc	DRY_COOLER
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	e69de0ec-67ac-457c-a221-12bb3d102d5a	REMOTE_CONDENSER
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	7d1d4ee2-644a-499f-86b8-487b737352a0	CHILLED_WATER_PUMPS
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	2e32981c-2e64-4ec9-be91-d4ccaba01793	HEAT_REJECTION_PUMPS
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	e0f55f99-39f0-48c5-9417-86514f0e54af	VENTILATION
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	1019b3db-596c-4bb4-80f8-e0b65c82e43f	INFILTRATION
b58d5210-3b5c-4c6a-a43c-5896f5e11b66	8912b364-4202-4dcc-b37e-e308d3504d44	IT_LOAD
99c3977f-a1d5-4ff6-8884-d196f2e13bea	62329cec-4c25-43f9-afba-188a3da71e47	SWITCHGEAR
99c3977f-a1d5-4ff6-8884-d196f2e13bea	aaabd9c6-818d-4ada-9485-31e3fbea1263	GENERATOR
99c3977f-a1d5-4ff6-8884-d196f2e13bea	f0ab23f3-8fb0-4ea8-b8a1-9e207ee6d5c4	PRIMARY_AUXILIARIES
99c3977f-a1d5-4ff6-8884-d196f2e13bea	e766e660-3cc0-4742-8ed5-5b129a3db9b1	UPS
99c3977f-a1d5-4ff6-8884-d196f2e13bea	cd875d84-0961-4eba-89ef-9568d836e3f9	CRITICAL_AUXILIARIES
99c3977f-a1d5-4ff6-8884-d196f2e13bea	0f509204-625e-4cc1-8888-6c3a1ef15e6a	LIGHTING
99c3977f-a1d5-4ff6-8884-d196f2e13bea	e8a9b9ea-d1e5-401e-87ae-f44d98971037	CRITICAL_POWER_DISTRIBUTION
99c3977f-a1d5-4ff6-8884-d196f2e13bea	861dd6a8-2aa0-46f1-833a-8d37f8ea73cf	CRAH
99c3977f-a1d5-4ff6-8884-d196f2e13bea	fa15feee-6e96-47da-9f18-2e55909b6880	CRAC
99c3977f-a1d5-4ff6-8884-d196f2e13bea	0ad8feee-8093-4746-93b8-a37f4e2b6353	CRAC_WITHOUT_FAN
99c3977f-a1d5-4ff6-8884-d196f2e13bea	9dce3414-df68-454f-bb5a-83448d0a3e12	CRAC_FAN
99c3977f-a1d5-4ff6-8884-d196f2e13bea	c56ef21c-23e7-4885-ad9a-740c08fd75da	CHILLER
99c3977f-a1d5-4ff6-8884-d196f2e13bea	7b3dd4b8-c13f-40a7-b0a8-ec4f9f558d72	AIR_COOLED_CHILLER
99c3977f-a1d5-4ff6-8884-d196f2e13bea	79001832-9b2c-4b7b-8e15-078898310db2	COOLING_TOWER
99c3977f-a1d5-4ff6-8884-d196f2e13bea	b4189443-f39f-4300-a983-a6d2b80060b9	DRY_COOLER
99c3977f-a1d5-4ff6-8884-d196f2e13bea	10b3fd07-69c5-400a-a2a7-d495731b9d8b	REMOTE_CONDENSER
99c3977f-a1d5-4ff6-8884-d196f2e13bea	4c532a8d-8b44-4e26-935e-dd7f6122deb1	CHILLED_WATER_PUMPS
99c3977f-a1d5-4ff6-8884-d196f2e13bea	f7dd5e74-7514-42d5-b274-6bd09413a16b	HEAT_REJECTION_PUMPS
99c3977f-a1d5-4ff6-8884-d196f2e13bea	86b30f7f-9d9f-43fe-a92c-e2ed102be0a3	VENTILATION
99c3977f-a1d5-4ff6-8884-d196f2e13bea	f7679e20-25b1-462c-b9c3-4bb775b21146	INFILTRATION
99c3977f-a1d5-4ff6-8884-d196f2e13bea	80355c00-221f-4b08-b147-d764f25f43ca	IT_LOAD
6d30957f-2e4e-48d9-86e0-914cfff15628	951aa477-56cb-48f0-b644-8db304da75fc	SWITCHGEAR
6d30957f-2e4e-48d9-86e0-914cfff15628	29536a1f-eb4b-44af-bc5b-c6e4851863d7	GENERATOR
6d30957f-2e4e-48d9-86e0-914cfff15628	183eeb66-06fe-407b-8730-3e4a3a9a2f55	PRIMARY_AUXILIARIES
6d30957f-2e4e-48d9-86e0-914cfff15628	94dba127-032d-4457-a6dc-28d768fdcf24	UPS
6d30957f-2e4e-48d9-86e0-914cfff15628	8dfdc16f-c810-4b74-b160-b753f2e20c33	CRITICAL_AUXILIARIES
6d30957f-2e4e-48d9-86e0-914cfff15628	4211167c-69c3-43ab-b328-546ed489a3eb	LIGHTING
6d30957f-2e4e-48d9-86e0-914cfff15628	46fea883-db63-438c-8718-acfd019899c0	CRITICAL_POWER_DISTRIBUTION
6d30957f-2e4e-48d9-86e0-914cfff15628	3a5ae167-fa83-46a6-8bb8-e36f76d184fe	CRAH
6d30957f-2e4e-48d9-86e0-914cfff15628	2ead68dd-9992-471f-9921-f099419d8068	CRAC
6d30957f-2e4e-48d9-86e0-914cfff15628	c4d0fa45-8e48-498e-9771-b5df9a56cb71	CRAC_WITHOUT_FAN
6d30957f-2e4e-48d9-86e0-914cfff15628	f62c92ae-fd80-4103-8134-45d1017afe4c	CRAC_FAN
6d30957f-2e4e-48d9-86e0-914cfff15628	3afc6331-c3ba-41f7-a052-d36d94e0ec20	CHILLER
6d30957f-2e4e-48d9-86e0-914cfff15628	18675ab0-bb4a-4b7b-b35d-84911d3b6f17	AIR_COOLED_CHILLER
6d30957f-2e4e-48d9-86e0-914cfff15628	bffe03ff-cd46-4028-98ca-0a2657f1f609	COOLING_TOWER
6d30957f-2e4e-48d9-86e0-914cfff15628	bf259213-d50c-498d-9cd6-77d588c3b4d0	DRY_COOLER
6d30957f-2e4e-48d9-86e0-914cfff15628	225772e1-7a9f-47d8-9126-cfaedd2503a3	REMOTE_CONDENSER
6d30957f-2e4e-48d9-86e0-914cfff15628	02937e42-5bc3-4cb7-9968-cc0133f40c31	CHILLED_WATER_PUMPS
6d30957f-2e4e-48d9-86e0-914cfff15628	f3876c0e-f080-4f1e-b98e-417452618527	HEAT_REJECTION_PUMPS
6d30957f-2e4e-48d9-86e0-914cfff15628	85fe121b-cfbc-4393-bda4-ef4cc949cf86	VENTILATION
6d30957f-2e4e-48d9-86e0-914cfff15628	0cb1f4d3-2d0d-4535-b9a9-f77dca89429b	INFILTRATION
6d30957f-2e4e-48d9-86e0-914cfff15628	81ed9f53-0057-41a6-9fb9-9a6cfef7aa9c	IT_LOAD
3b66887a-4924-4efd-8258-9be07a50adc5	74aa1c78-6357-4958-a5e7-1d07f8820280	SWITCHGEAR
3b66887a-4924-4efd-8258-9be07a50adc5	2d34b72f-9780-4a1d-9908-5f81a4dc09a1	GENERATOR
3b66887a-4924-4efd-8258-9be07a50adc5	442d3de9-d2fa-4221-8c53-afefc474d672	PRIMARY_AUXILIARIES
3b66887a-4924-4efd-8258-9be07a50adc5	a4632f90-002d-4ac0-82a5-25b532c8f907	UPS
3b66887a-4924-4efd-8258-9be07a50adc5	ab2766c3-23e4-49b0-97d8-950448f3ec4a	CRITICAL_AUXILIARIES
3b66887a-4924-4efd-8258-9be07a50adc5	2a92fd32-f20d-401a-8f41-24d525da5e86	LIGHTING
3b66887a-4924-4efd-8258-9be07a50adc5	54156211-b58d-48bd-b330-1409fac958e5	CRITICAL_POWER_DISTRIBUTION
3b66887a-4924-4efd-8258-9be07a50adc5	000dd175-d0dd-4a8b-92f3-2e9613d879ed	CRAH
3b66887a-4924-4efd-8258-9be07a50adc5	777e2453-6fef-455e-999f-fc0771743cac	CRAC
3b66887a-4924-4efd-8258-9be07a50adc5	54a29c67-e07f-4043-be32-4eda196ac1cc	CRAC_WITHOUT_FAN
3b66887a-4924-4efd-8258-9be07a50adc5	405d7259-6b2d-43fd-8223-99bde1578a56	CRAC_FAN
3b66887a-4924-4efd-8258-9be07a50adc5	45f8098d-8de2-4c1b-8544-bc7f5a01fd2e	CHILLER
3b66887a-4924-4efd-8258-9be07a50adc5	2321b3f8-c802-427f-9826-043f69b4f1ce	AIR_COOLED_CHILLER
3b66887a-4924-4efd-8258-9be07a50adc5	712c7890-bfa1-407b-a389-2eba4658fcf8	COOLING_TOWER
3b66887a-4924-4efd-8258-9be07a50adc5	254fae95-9973-4ed4-9aec-cf75ded3c80a	DRY_COOLER
3b66887a-4924-4efd-8258-9be07a50adc5	c4a8681e-1a0d-4adf-bd3a-d267a4e3e33a	REMOTE_CONDENSER
3b66887a-4924-4efd-8258-9be07a50adc5	6f1e55e0-f2eb-4aef-953a-9be8b6b2fba7	CHILLED_WATER_PUMPS
3b66887a-4924-4efd-8258-9be07a50adc5	bfe87fa9-45db-4e48-9c26-ac321d602deb	HEAT_REJECTION_PUMPS
3b66887a-4924-4efd-8258-9be07a50adc5	776ae90b-6369-4340-a2a9-6d21164cdd76	VENTILATION
3b66887a-4924-4efd-8258-9be07a50adc5	e1423651-7900-41a2-bb6b-59392bdcf8a7	INFILTRATION
3b66887a-4924-4efd-8258-9be07a50adc5	1caa0701-9c06-4431-9bff-57cbd80cafa6	IT_LOAD
e744ad2c-472c-4a14-90a4-08efeb5ae324	bff0c2f9-6912-4921-8e1b-60554dd485eb	SWITCHGEAR
e744ad2c-472c-4a14-90a4-08efeb5ae324	a06b70e2-5040-419d-83e3-4f67e4c3ca4d	GENERATOR
e744ad2c-472c-4a14-90a4-08efeb5ae324	3365174e-3774-4a5d-b0b7-438deeb2b6c7	PRIMARY_AUXILIARIES
e744ad2c-472c-4a14-90a4-08efeb5ae324	c9928ee3-f8ce-409c-91ce-223230614cef	UPS
e744ad2c-472c-4a14-90a4-08efeb5ae324	0f5f313f-90c2-41fe-92db-621a3c740bc1	CRITICAL_AUXILIARIES
e744ad2c-472c-4a14-90a4-08efeb5ae324	24b2d9ff-8448-4863-81d3-df37006bedf5	LIGHTING
e744ad2c-472c-4a14-90a4-08efeb5ae324	864b31ce-044a-4410-b8a5-ea3ca9961660	CRITICAL_POWER_DISTRIBUTION
e744ad2c-472c-4a14-90a4-08efeb5ae324	f7ac7fc5-b900-4967-8d31-02c63b3c7fd8	CRAH
e744ad2c-472c-4a14-90a4-08efeb5ae324	ce3fe51e-a389-4a96-8244-e4e2731d4c81	CRAC
e744ad2c-472c-4a14-90a4-08efeb5ae324	8cfd5141-b038-4378-a6dd-a62d2fa18668	CRAC_WITHOUT_FAN
e744ad2c-472c-4a14-90a4-08efeb5ae324	04d7e604-145e-4086-a09c-df4c3a956902	CRAC_FAN
e744ad2c-472c-4a14-90a4-08efeb5ae324	0f8e3d64-4e7f-4414-aa66-fb4f6302927b	CHILLER
e744ad2c-472c-4a14-90a4-08efeb5ae324	b0922e16-9df8-422b-a532-5574f6645bea	AIR_COOLED_CHILLER
e744ad2c-472c-4a14-90a4-08efeb5ae324	8f8f9bbb-1866-4747-991e-222ac4dcb49e	COOLING_TOWER
e744ad2c-472c-4a14-90a4-08efeb5ae324	5c8fb2dc-be94-4942-9407-935db5e1223e	DRY_COOLER
e744ad2c-472c-4a14-90a4-08efeb5ae324	8609e472-debe-42bc-9c7e-ac2d701a2649	REMOTE_CONDENSER
e744ad2c-472c-4a14-90a4-08efeb5ae324	35464357-5c7b-4b2c-bcc2-ad1f0f66d32d	CHILLED_WATER_PUMPS
e744ad2c-472c-4a14-90a4-08efeb5ae324	040351f8-c362-4944-8076-4a287e7f3dd6	HEAT_REJECTION_PUMPS
e744ad2c-472c-4a14-90a4-08efeb5ae324	fe10258c-890f-4161-9c24-e4f09c1d0031	VENTILATION
e744ad2c-472c-4a14-90a4-08efeb5ae324	e5f10951-bc9e-43f6-84b4-3779a4c5ee0a	INFILTRATION
e744ad2c-472c-4a14-90a4-08efeb5ae324	d327a072-53a4-4084-a7d9-473ae5b25e18	IT_LOAD
661940e9-0c91-4a7d-99fa-9cf01ffadffe	e09a3718-98f8-4fa4-926a-5043952fe392	SWITCHGEAR
661940e9-0c91-4a7d-99fa-9cf01ffadffe	094ff5e5-96c4-4507-81fa-557153d404ff	GENERATOR
661940e9-0c91-4a7d-99fa-9cf01ffadffe	7d18b9f9-195a-4b48-9c29-3723de09b936	PRIMARY_AUXILIARIES
661940e9-0c91-4a7d-99fa-9cf01ffadffe	bdb32a53-9c9f-42bc-bc66-721828645541	UPS
661940e9-0c91-4a7d-99fa-9cf01ffadffe	53a4262c-253d-41fd-80c1-ae91835b15a6	CRITICAL_AUXILIARIES
661940e9-0c91-4a7d-99fa-9cf01ffadffe	0dcf784a-96b8-41b4-98bc-01ab1c54ce09	LIGHTING
661940e9-0c91-4a7d-99fa-9cf01ffadffe	b35e3cd3-d9d2-4d4a-b97a-b41fe683f7fa	CRITICAL_POWER_DISTRIBUTION
661940e9-0c91-4a7d-99fa-9cf01ffadffe	6490f9ff-6bfd-4c47-a80e-d180ee7119bc	CRAH
661940e9-0c91-4a7d-99fa-9cf01ffadffe	911077c4-bcf7-45a3-b79e-c57d3611801c	CRAC
661940e9-0c91-4a7d-99fa-9cf01ffadffe	74ba74d7-17d2-403b-a77a-25d3e5c0fe7a	CRAC_WITHOUT_FAN
661940e9-0c91-4a7d-99fa-9cf01ffadffe	8b755693-3603-4981-89a6-0e63a9283141	CRAC_FAN
661940e9-0c91-4a7d-99fa-9cf01ffadffe	28f777b9-c911-4753-b353-ce457a9816d1	CHILLER
661940e9-0c91-4a7d-99fa-9cf01ffadffe	97b50085-2c08-425a-a81d-7e7a177f4dc5	AIR_COOLED_CHILLER
661940e9-0c91-4a7d-99fa-9cf01ffadffe	3c0b7798-329b-4415-934b-7f786c258988	COOLING_TOWER
661940e9-0c91-4a7d-99fa-9cf01ffadffe	4bd5a123-9cee-4834-ade4-15a325465bdf	DRY_COOLER
661940e9-0c91-4a7d-99fa-9cf01ffadffe	7a2b669a-3636-47dd-a167-3e0f207f1cec	REMOTE_CONDENSER
661940e9-0c91-4a7d-99fa-9cf01ffadffe	976022ab-4e9d-44a8-b5dc-f33df8a6c6e8	CHILLED_WATER_PUMPS
661940e9-0c91-4a7d-99fa-9cf01ffadffe	ef025fd4-5bf5-4b46-991c-3f47e021eee8	HEAT_REJECTION_PUMPS
661940e9-0c91-4a7d-99fa-9cf01ffadffe	9499acf1-2e95-4016-bcc8-6f7fde7cd749	VENTILATION
661940e9-0c91-4a7d-99fa-9cf01ffadffe	c13feeaf-a44d-4bec-883a-b318f3cc2057	INFILTRATION
661940e9-0c91-4a7d-99fa-9cf01ffadffe	248e52b1-8805-48b1-a796-5d632d33a03d	IT_LOAD
794863e8-ebe9-4768-a299-7ad6c0780a38	4f6894e2-c3d2-4a17-8463-25a64fa48a2d	SWITCHGEAR
794863e8-ebe9-4768-a299-7ad6c0780a38	b588685c-4258-45a7-a963-404da335eab8	GENERATOR
794863e8-ebe9-4768-a299-7ad6c0780a38	22d1a12c-6cb7-4af5-857a-0fb96c908475	PRIMARY_AUXILIARIES
794863e8-ebe9-4768-a299-7ad6c0780a38	db431782-ac5e-4b53-bfb7-38ed7a1015b1	UPS
794863e8-ebe9-4768-a299-7ad6c0780a38	e3155db4-bca2-4155-ab62-fd8db84056f3	CRITICAL_AUXILIARIES
794863e8-ebe9-4768-a299-7ad6c0780a38	0ee72cdf-845d-4506-9cdf-9b639a7846b3	LIGHTING
794863e8-ebe9-4768-a299-7ad6c0780a38	ee7bb01f-82aa-450e-a79d-cc1c482d993b	CRITICAL_POWER_DISTRIBUTION
794863e8-ebe9-4768-a299-7ad6c0780a38	648dfad6-ba1f-430e-80c6-5dfeffebefba	CRAH
794863e8-ebe9-4768-a299-7ad6c0780a38	bef19d0d-245a-4164-bda2-d902c3feb784	CRAC
794863e8-ebe9-4768-a299-7ad6c0780a38	ca344d59-06ce-41e8-8e22-86e0871b2a29	CRAC_WITHOUT_FAN
794863e8-ebe9-4768-a299-7ad6c0780a38	bd365487-6883-4782-933f-6d164c0f4a78	CRAC_FAN
794863e8-ebe9-4768-a299-7ad6c0780a38	4f0e7913-f252-44bc-b786-8f3672d2f8d4	CHILLER
794863e8-ebe9-4768-a299-7ad6c0780a38	3e9252d0-1707-4878-b1ca-9c1277510890	AIR_COOLED_CHILLER
794863e8-ebe9-4768-a299-7ad6c0780a38	ebcd69a1-bcfb-44a9-bd7a-0518f097874d	COOLING_TOWER
794863e8-ebe9-4768-a299-7ad6c0780a38	32090cf9-60a1-4377-9407-aa0d7fba0e2a	DRY_COOLER
794863e8-ebe9-4768-a299-7ad6c0780a38	f9dcf132-fe72-47d3-8804-2532ed442a2f	REMOTE_CONDENSER
794863e8-ebe9-4768-a299-7ad6c0780a38	613472f3-1c62-4882-8079-e4b39207b5a3	CHILLED_WATER_PUMPS
794863e8-ebe9-4768-a299-7ad6c0780a38	be350ab3-48de-4694-b4d7-474710fdd603	HEAT_REJECTION_PUMPS
794863e8-ebe9-4768-a299-7ad6c0780a38	8b2cfe7f-4266-4b60-9596-ecd2ff4cba04	VENTILATION
794863e8-ebe9-4768-a299-7ad6c0780a38	68b325e6-aea4-400f-94b6-f4c0e8112232	INFILTRATION
794863e8-ebe9-4768-a299-7ad6c0780a38	330d2873-5ae3-46b8-aaf8-89cd92be7326	IT_LOAD
a006844a-7052-404a-9506-ca8a4e5dda15	b878d118-5bff-42ab-8d97-5ad62dca8ee2	SWITCHGEAR
a006844a-7052-404a-9506-ca8a4e5dda15	d998a44d-553b-4307-ac32-121389831b97	GENERATOR
a006844a-7052-404a-9506-ca8a4e5dda15	59cded73-bdc3-44e7-95bc-47d3ffa3360f	PRIMARY_AUXILIARIES
a006844a-7052-404a-9506-ca8a4e5dda15	3b9919a8-b369-41db-ad61-7a02e1802194	UPS
a006844a-7052-404a-9506-ca8a4e5dda15	6e593fde-3911-411a-8ead-b7f2808734fa	CRITICAL_AUXILIARIES
a006844a-7052-404a-9506-ca8a4e5dda15	45d9b7d7-23ec-49b5-b189-fb67adf1f7e2	LIGHTING
a006844a-7052-404a-9506-ca8a4e5dda15	655d1e7b-0890-44fc-b945-c6de29ce9038	CRITICAL_POWER_DISTRIBUTION
a006844a-7052-404a-9506-ca8a4e5dda15	3eb8eef2-f64d-4770-bf63-1e5aaa2bb395	CRAH
a006844a-7052-404a-9506-ca8a4e5dda15	68f72a1f-b347-4759-ae20-d2a73608233e	CRAC
a006844a-7052-404a-9506-ca8a4e5dda15	eb671204-2f08-47db-a2e5-8e52b9eec634	CRAC_WITHOUT_FAN
a006844a-7052-404a-9506-ca8a4e5dda15	d82325f1-9fed-46bf-b500-3a5454b8bddb	CRAC_FAN
a006844a-7052-404a-9506-ca8a4e5dda15	963eceee-b896-42ce-8230-785e4fb45bd6	CHILLER
a006844a-7052-404a-9506-ca8a4e5dda15	462ffa39-a8be-49b5-908d-270b5aa07512	AIR_COOLED_CHILLER
a006844a-7052-404a-9506-ca8a4e5dda15	bfda3cb1-9cf0-4a97-889e-463989a40c42	COOLING_TOWER
a006844a-7052-404a-9506-ca8a4e5dda15	0511609c-625f-4f47-b02a-a93531441a01	DRY_COOLER
a006844a-7052-404a-9506-ca8a4e5dda15	7c19f528-2bea-4802-b7c5-8a84a30a64e3	REMOTE_CONDENSER
a006844a-7052-404a-9506-ca8a4e5dda15	cd7df6c6-fa04-413c-8244-45bee8271d02	CHILLED_WATER_PUMPS
a006844a-7052-404a-9506-ca8a4e5dda15	923ec101-9e90-4b79-9b26-aae5f6e34033	HEAT_REJECTION_PUMPS
a006844a-7052-404a-9506-ca8a4e5dda15	9d82ca8a-242d-4f6d-ab01-cde74cf4943a	VENTILATION
a006844a-7052-404a-9506-ca8a4e5dda15	4a298e12-e083-4588-8643-5c33b80043cd	INFILTRATION
a006844a-7052-404a-9506-ca8a4e5dda15	7bd7d88c-aa3d-4329-9dca-46c05c541573	IT_LOAD
9e124c65-4399-4122-b7bc-2464fb01827e	b32ffe14-25df-4dd4-ba62-41f141aac828	SWITCHGEAR
9e124c65-4399-4122-b7bc-2464fb01827e	6cf318ea-1000-44d9-b173-4d58f30f9d68	GENERATOR
9e124c65-4399-4122-b7bc-2464fb01827e	30841651-c18b-4152-83d7-b20a488ae3ab	PRIMARY_AUXILIARIES
9e124c65-4399-4122-b7bc-2464fb01827e	f5f6eb3e-a8af-4857-aee3-2cd45996f1a3	UPS
9e124c65-4399-4122-b7bc-2464fb01827e	2196f010-91b8-44d2-80c1-a42abb6e101a	CRITICAL_AUXILIARIES
9e124c65-4399-4122-b7bc-2464fb01827e	c37b48f6-7e6b-4090-90ed-d2d27efed820	LIGHTING
9e124c65-4399-4122-b7bc-2464fb01827e	055085af-b453-400d-9720-a45a72e4f864	CRITICAL_POWER_DISTRIBUTION
9e124c65-4399-4122-b7bc-2464fb01827e	843d5c2f-e782-482c-8dfa-86c0f51a0c44	CRAH
9e124c65-4399-4122-b7bc-2464fb01827e	d484c10b-a908-4ba7-82fe-abc6a552af2e	CRAC
9e124c65-4399-4122-b7bc-2464fb01827e	99ae229a-f5b6-4ede-b918-dddb3e2a4c8c	CRAC_WITHOUT_FAN
9e124c65-4399-4122-b7bc-2464fb01827e	e3a72e17-4f48-4ced-9298-0a990497ac6c	CRAC_FAN
9e124c65-4399-4122-b7bc-2464fb01827e	b07852d6-e67d-435a-ba24-5a615ec03bea	CHILLER
9e124c65-4399-4122-b7bc-2464fb01827e	19e73ffd-7910-48c5-8977-91174326431d	AIR_COOLED_CHILLER
9e124c65-4399-4122-b7bc-2464fb01827e	b339f93d-5ffd-4dec-bee1-4e79c69de0a2	COOLING_TOWER
9e124c65-4399-4122-b7bc-2464fb01827e	99f40a96-6d94-4269-9f9d-2e5f01293b61	DRY_COOLER
9e124c65-4399-4122-b7bc-2464fb01827e	1ee338d2-f495-40b5-8289-70f62ec8db99	REMOTE_CONDENSER
9e124c65-4399-4122-b7bc-2464fb01827e	776ba9e1-cfaf-4682-8abe-eff62ce6e166	CHILLED_WATER_PUMPS
9e124c65-4399-4122-b7bc-2464fb01827e	426e82b6-ee76-4a0d-8ceb-ee9f66ba9d38	HEAT_REJECTION_PUMPS
9e124c65-4399-4122-b7bc-2464fb01827e	a600fbf8-3a88-4ca1-ba74-cdfebdcc84b2	VENTILATION
9e124c65-4399-4122-b7bc-2464fb01827e	f1d0856c-2b3d-4021-badd-bcac415036ee	INFILTRATION
9e124c65-4399-4122-b7bc-2464fb01827e	1c91e73c-e320-44b2-991e-3707e20308b2	IT_LOAD
ae6aa98c-2602-4f89-823c-56041f51181d	d4d8e9fc-6aed-477a-9862-0f15db6d654b	SWITCHGEAR
ae6aa98c-2602-4f89-823c-56041f51181d	f633dbd4-2d44-4a54-9bcc-7ac6f67ed3cd	GENERATOR
ae6aa98c-2602-4f89-823c-56041f51181d	bacf9a0f-29c7-4621-86c2-3b4db8094f0f	PRIMARY_AUXILIARIES
ae6aa98c-2602-4f89-823c-56041f51181d	3ab41858-5bd5-42be-8054-abcdcfe8c206	UPS
ae6aa98c-2602-4f89-823c-56041f51181d	c1947447-82f3-4b03-9547-4af5738470a1	CRITICAL_AUXILIARIES
ae6aa98c-2602-4f89-823c-56041f51181d	7819ebe0-87ef-4aa1-9140-0d3a7a1118f6	LIGHTING
ae6aa98c-2602-4f89-823c-56041f51181d	0d8134a4-9cba-44cd-a631-a33f4d29c209	CRITICAL_POWER_DISTRIBUTION
ae6aa98c-2602-4f89-823c-56041f51181d	fb1436b9-b142-446b-ba25-7b56266f4aee	CRAH
ae6aa98c-2602-4f89-823c-56041f51181d	6abdc382-5c54-4c89-9da6-2c0bcb51fff2	CRAC
ae6aa98c-2602-4f89-823c-56041f51181d	82af707d-423f-4a77-8bc6-1e8ab94c4305	CRAC_WITHOUT_FAN
ae6aa98c-2602-4f89-823c-56041f51181d	a48833ee-b0ce-4b91-841f-692b884669fe	CRAC_FAN
ae6aa98c-2602-4f89-823c-56041f51181d	1b10dfe5-967f-4fc9-87ac-e6808e018a7c	CHILLER
ae6aa98c-2602-4f89-823c-56041f51181d	865b3398-c754-412d-a549-da3c37667a8d	AIR_COOLED_CHILLER
ae6aa98c-2602-4f89-823c-56041f51181d	e66ccb20-2395-402c-a512-8b00e475bab9	COOLING_TOWER
ae6aa98c-2602-4f89-823c-56041f51181d	1013bb80-8c18-4643-a66d-cd9c66fb8670	DRY_COOLER
ae6aa98c-2602-4f89-823c-56041f51181d	e33a7ce2-5ecd-409f-bf37-0164c19d10e5	REMOTE_CONDENSER
ae6aa98c-2602-4f89-823c-56041f51181d	646e2539-b2fd-4986-b515-6ff42ae683cc	CHILLED_WATER_PUMPS
ae6aa98c-2602-4f89-823c-56041f51181d	082c03f6-60b0-4b0b-8ad2-3f6c135d1b40	HEAT_REJECTION_PUMPS
ae6aa98c-2602-4f89-823c-56041f51181d	39fe2f8d-a18c-44d2-bbd2-cd38e93e10db	VENTILATION
ae6aa98c-2602-4f89-823c-56041f51181d	4f97d5a7-67fe-4cfb-bbde-a3c4bb2470c5	INFILTRATION
ae6aa98c-2602-4f89-823c-56041f51181d	c7f62b2b-947b-4f15-b5e7-14e18adac035	IT_LOAD
10087d10-88ad-4e11-b07b-6bbcb51e07ad	3947c18a-d596-48a6-a8c5-8908d4889018	SWITCHGEAR
10087d10-88ad-4e11-b07b-6bbcb51e07ad	21dc09b6-2b10-4a21-af6e-7f9454488875	GENERATOR
10087d10-88ad-4e11-b07b-6bbcb51e07ad	b3aa789a-7efc-4a5d-af3e-7608f41dc88e	PRIMARY_AUXILIARIES
10087d10-88ad-4e11-b07b-6bbcb51e07ad	5ff7517c-1bc4-492d-9e41-d2f931af585f	UPS
10087d10-88ad-4e11-b07b-6bbcb51e07ad	d4cc2ed1-085e-4797-b2ad-ce6bc115bcf8	CRITICAL_AUXILIARIES
10087d10-88ad-4e11-b07b-6bbcb51e07ad	1e5fa765-4020-43f6-852b-95de0e7db4b7	LIGHTING
10087d10-88ad-4e11-b07b-6bbcb51e07ad	7a22c951-0b9e-429c-b676-f161815bdd2d	CRITICAL_POWER_DISTRIBUTION
10087d10-88ad-4e11-b07b-6bbcb51e07ad	1f33ef65-448b-429e-9fb7-688088da3234	CRAH
10087d10-88ad-4e11-b07b-6bbcb51e07ad	d85f9104-ac03-4795-8e94-a43ea7f0f975	CRAC
10087d10-88ad-4e11-b07b-6bbcb51e07ad	3ab980f3-8953-4ff6-8b85-91ea86ac988a	CRAC_WITHOUT_FAN
10087d10-88ad-4e11-b07b-6bbcb51e07ad	e4522fe7-de7c-4d78-9141-90487dcca88e	CRAC_FAN
10087d10-88ad-4e11-b07b-6bbcb51e07ad	1e29ffcc-0be4-4409-a127-085c5ee15a97	CHILLER
10087d10-88ad-4e11-b07b-6bbcb51e07ad	c78073f1-51f5-4380-b508-4ca85e834b49	AIR_COOLED_CHILLER
10087d10-88ad-4e11-b07b-6bbcb51e07ad	bcee7d33-8935-43c0-8307-93ac47967973	COOLING_TOWER
10087d10-88ad-4e11-b07b-6bbcb51e07ad	eeb9408c-21de-4fd7-9b37-8a7e20f45fc6	DRY_COOLER
10087d10-88ad-4e11-b07b-6bbcb51e07ad	ddcb797a-7f8b-4ea4-a972-ebcb97aa12ae	REMOTE_CONDENSER
10087d10-88ad-4e11-b07b-6bbcb51e07ad	4329a3e8-1585-4690-932d-08eea2bb5e49	CHILLED_WATER_PUMPS
10087d10-88ad-4e11-b07b-6bbcb51e07ad	87afcc17-615b-441f-a132-49b607dd22b6	HEAT_REJECTION_PUMPS
10087d10-88ad-4e11-b07b-6bbcb51e07ad	d8808dc4-e3f9-4cb8-80ba-df4e2cb08ee6	VENTILATION
10087d10-88ad-4e11-b07b-6bbcb51e07ad	7850d869-5f29-4893-b2c2-48cc4222b8f5	INFILTRATION
10087d10-88ad-4e11-b07b-6bbcb51e07ad	eaac57fa-d6ff-476f-965a-879a9133a441	IT_LOAD
bb857040-e4b6-4eca-a76e-d6db45a8f713	7f267ffe-af24-4af1-ae69-cf49b7d59622	SWITCHGEAR
bb857040-e4b6-4eca-a76e-d6db45a8f713	2a747b68-d4f5-43bf-aff4-45ef654bda4f	GENERATOR
bb857040-e4b6-4eca-a76e-d6db45a8f713	1e7fa968-b574-4d78-b2df-19384d8a0ea1	PRIMARY_AUXILIARIES
bb857040-e4b6-4eca-a76e-d6db45a8f713	45533085-d470-47f4-8bab-8d9bcd9a1ca2	UPS
bb857040-e4b6-4eca-a76e-d6db45a8f713	c1e2980d-acbf-4ab0-bd86-13ce64498f53	CRITICAL_AUXILIARIES
bb857040-e4b6-4eca-a76e-d6db45a8f713	66eed940-fa4f-4b75-b29b-04090cc99c97	LIGHTING
bb857040-e4b6-4eca-a76e-d6db45a8f713	4ebeddca-4f6c-4f48-a57d-6db4b42fb08d	CRITICAL_POWER_DISTRIBUTION
bb857040-e4b6-4eca-a76e-d6db45a8f713	7e951e83-c1a8-4ac6-a53d-4228c3946d5e	CRAH
bb857040-e4b6-4eca-a76e-d6db45a8f713	61ecfa2b-1b76-4633-9a49-4b04e2730998	CRAC
bb857040-e4b6-4eca-a76e-d6db45a8f713	b992add7-d813-4147-847e-8833d86ea455	CRAC_WITHOUT_FAN
bb857040-e4b6-4eca-a76e-d6db45a8f713	a057388c-be22-49c4-af42-644a1a6413df	CRAC_FAN
bb857040-e4b6-4eca-a76e-d6db45a8f713	e74aef1d-8373-49f6-a085-79fbddeae2b2	CHILLER
bb857040-e4b6-4eca-a76e-d6db45a8f713	9d594a37-7880-40bb-9a9f-efe2d3ce66df	AIR_COOLED_CHILLER
bb857040-e4b6-4eca-a76e-d6db45a8f713	efafd7a9-4081-4a22-8afb-7e4bb61f5a2a	COOLING_TOWER
bb857040-e4b6-4eca-a76e-d6db45a8f713	2bf96b89-93c2-449c-be1b-2558b4580a48	DRY_COOLER
bb857040-e4b6-4eca-a76e-d6db45a8f713	67890579-20fb-412d-bc1d-2c2c89d9c008	REMOTE_CONDENSER
bb857040-e4b6-4eca-a76e-d6db45a8f713	6f32aad2-d338-4989-8f93-2341abdfe598	CHILLED_WATER_PUMPS
bb857040-e4b6-4eca-a76e-d6db45a8f713	39ba7a91-1f9c-4bec-bf1e-b5990d9bc9a4	HEAT_REJECTION_PUMPS
bb857040-e4b6-4eca-a76e-d6db45a8f713	3651154d-af81-4e42-82a2-0e0edc5abf6d	VENTILATION
bb857040-e4b6-4eca-a76e-d6db45a8f713	54359f0f-0913-414c-85b0-f52bc240d97f	INFILTRATION
bb857040-e4b6-4eca-a76e-d6db45a8f713	ba003393-9de8-4e52-bb66-a2635fe0daef	IT_LOAD
fcf22e12-f414-4622-8214-da4054a5ef07	216b4629-112c-4232-a0f7-1ddfde76b4ed	SWITCHGEAR
fcf22e12-f414-4622-8214-da4054a5ef07	9149f42d-8d09-472f-9686-3836dab42f29	GENERATOR
fcf22e12-f414-4622-8214-da4054a5ef07	51e335d4-9c6c-4689-bc3a-cb99031647a7	PRIMARY_AUXILIARIES
fcf22e12-f414-4622-8214-da4054a5ef07	a921f75c-2df2-4c5b-a80f-71431a783e9c	UPS
fcf22e12-f414-4622-8214-da4054a5ef07	83bf4954-6b47-401b-b373-9eeb3d4eb577	CRITICAL_AUXILIARIES
fcf22e12-f414-4622-8214-da4054a5ef07	1b2ced0b-2517-41c3-aaf7-79e13965600f	LIGHTING
fcf22e12-f414-4622-8214-da4054a5ef07	9bd944f4-32b5-40a5-a0b2-fabbf9a0a975	CRITICAL_POWER_DISTRIBUTION
fcf22e12-f414-4622-8214-da4054a5ef07	712bd5ba-6bd3-46f3-a9f2-ccef0cf39df1	CRAH
fcf22e12-f414-4622-8214-da4054a5ef07	d7aeb31d-7ad1-4104-a8a2-cffa5e17fb9d	CRAC
fcf22e12-f414-4622-8214-da4054a5ef07	943ac71d-f8a2-4c8d-859f-e03bafa741cc	CRAC_WITHOUT_FAN
fcf22e12-f414-4622-8214-da4054a5ef07	d8c59b68-eb6d-4df8-b2dd-0df0e0c0851b	CRAC_FAN
fcf22e12-f414-4622-8214-da4054a5ef07	ad8e3ae9-1e6a-454b-931c-0e5e43005b39	CHILLER
fcf22e12-f414-4622-8214-da4054a5ef07	b21e6744-1435-4e6d-8c85-41d9c7ed9deb	AIR_COOLED_CHILLER
fcf22e12-f414-4622-8214-da4054a5ef07	1b631944-ddee-4170-b9e7-8b22c648decd	COOLING_TOWER
fcf22e12-f414-4622-8214-da4054a5ef07	d9b6e535-73e5-44e2-add9-2c6f698424cb	DRY_COOLER
fcf22e12-f414-4622-8214-da4054a5ef07	cfba0bb2-5a6d-4afe-b45a-b5d992ba4761	REMOTE_CONDENSER
fcf22e12-f414-4622-8214-da4054a5ef07	e1e29233-dbaf-4612-8ed4-65335273a7db	CHILLED_WATER_PUMPS
fcf22e12-f414-4622-8214-da4054a5ef07	56a1228e-6bb3-4e02-b589-41f9a0df9008	HEAT_REJECTION_PUMPS
fcf22e12-f414-4622-8214-da4054a5ef07	4a8fa54a-3723-4d50-988b-d7a88e804152	VENTILATION
fcf22e12-f414-4622-8214-da4054a5ef07	c5740646-42d0-4b8f-986e-10642cd21588	INFILTRATION
fcf22e12-f414-4622-8214-da4054a5ef07	0951896c-39c4-4ca8-b7f0-45783f20f074	IT_LOAD
93885143-3a53-4683-9f4b-2af6d8fd44f0	fee5995d-12bb-4dca-872b-f0e91f28f10a	SWITCHGEAR
93885143-3a53-4683-9f4b-2af6d8fd44f0	725ce782-71cd-4e69-924d-fff06303cd78	GENERATOR
93885143-3a53-4683-9f4b-2af6d8fd44f0	def89619-b170-48df-b1c8-5556ecd93a98	PRIMARY_AUXILIARIES
93885143-3a53-4683-9f4b-2af6d8fd44f0	77d7334e-da96-4117-ad29-664ba4bf6009	UPS
93885143-3a53-4683-9f4b-2af6d8fd44f0	e9ea32a2-223f-4e4d-876e-457bc63d73d5	CRITICAL_AUXILIARIES
93885143-3a53-4683-9f4b-2af6d8fd44f0	dc301029-257a-47a7-822a-d583da5f5562	LIGHTING
93885143-3a53-4683-9f4b-2af6d8fd44f0	64b3db84-2003-4350-8240-3d35a1b9093d	CRITICAL_POWER_DISTRIBUTION
93885143-3a53-4683-9f4b-2af6d8fd44f0	90a4e6f5-7a72-4c78-991e-b86f94fcb3d7	CRAH
93885143-3a53-4683-9f4b-2af6d8fd44f0	2159b168-b942-4425-953c-66c8e953316a	CRAC
93885143-3a53-4683-9f4b-2af6d8fd44f0	cacc560e-61de-4f61-adf4-e1baded4f206	CRAC_WITHOUT_FAN
93885143-3a53-4683-9f4b-2af6d8fd44f0	392d4ad8-f0da-45ab-9471-834777d22135	CRAC_FAN
93885143-3a53-4683-9f4b-2af6d8fd44f0	8b3f2036-8a6c-4c19-82b7-8a8313356e80	CHILLER
93885143-3a53-4683-9f4b-2af6d8fd44f0	bc59e7ec-2057-471a-a2f7-272771cee231	AIR_COOLED_CHILLER
93885143-3a53-4683-9f4b-2af6d8fd44f0	e85d4a29-412f-48d5-bb91-7fba93000009	COOLING_TOWER
93885143-3a53-4683-9f4b-2af6d8fd44f0	88f8bc4b-f42e-48ec-96eb-8de0c2fa5eef	DRY_COOLER
93885143-3a53-4683-9f4b-2af6d8fd44f0	bfa661f8-a3fe-4423-ad82-2713b195a9ad	REMOTE_CONDENSER
93885143-3a53-4683-9f4b-2af6d8fd44f0	63b6ec22-f529-4fa6-856d-e91eaed22d07	CHILLED_WATER_PUMPS
93885143-3a53-4683-9f4b-2af6d8fd44f0	47c6bbee-fca5-49a7-b458-0d83878e7ee6	HEAT_REJECTION_PUMPS
93885143-3a53-4683-9f4b-2af6d8fd44f0	d1f274dc-cda2-4a8e-96ed-a95a6f9e94be	VENTILATION
93885143-3a53-4683-9f4b-2af6d8fd44f0	51030889-b5a0-4299-8807-d12f0ea6ea6b	INFILTRATION
93885143-3a53-4683-9f4b-2af6d8fd44f0	e4ef8390-cf7b-4d69-bffc-804fde9ce0ba	IT_LOAD
72beb605-b545-4e5b-8b7f-32320656e856	3810c1fd-6ca4-4d90-b2d1-4893a5711d24	SWITCHGEAR
72beb605-b545-4e5b-8b7f-32320656e856	ea73cf24-538a-4d11-a020-e62d5e21132a	GENERATOR
72beb605-b545-4e5b-8b7f-32320656e856	6bad44f2-fee6-402e-b0c8-19b556eddfcd	PRIMARY_AUXILIARIES
72beb605-b545-4e5b-8b7f-32320656e856	9588f13f-9cc5-47de-8bec-120a3135a70b	UPS
72beb605-b545-4e5b-8b7f-32320656e856	63e2c3ab-8bd8-4441-86f4-d23c35d7ae3f	CRITICAL_AUXILIARIES
72beb605-b545-4e5b-8b7f-32320656e856	aa2374a3-6845-49b2-b5b8-5fff09bb5b01	LIGHTING
72beb605-b545-4e5b-8b7f-32320656e856	3bc9f3b0-c022-48e8-a584-81a7f067ca96	CRITICAL_POWER_DISTRIBUTION
72beb605-b545-4e5b-8b7f-32320656e856	b83ab21d-205d-4a48-a717-27b61e611c21	CRAH
72beb605-b545-4e5b-8b7f-32320656e856	c6587451-5fff-4a40-b4a1-d4b66ba3c1fa	CRAC
72beb605-b545-4e5b-8b7f-32320656e856	42070cc4-93f0-43d8-b431-9a7adc9df87b	CRAC_WITHOUT_FAN
72beb605-b545-4e5b-8b7f-32320656e856	25e93423-170a-4b07-8eb3-1acbb8d7faa0	CRAC_FAN
72beb605-b545-4e5b-8b7f-32320656e856	d999b97e-769d-41ae-be4a-873654bbfbe1	CHILLER
72beb605-b545-4e5b-8b7f-32320656e856	6251293a-85c1-45d2-a493-7612294035ff	AIR_COOLED_CHILLER
72beb605-b545-4e5b-8b7f-32320656e856	0c9a2e7a-0122-43c2-b642-41bc68fad3e6	COOLING_TOWER
72beb605-b545-4e5b-8b7f-32320656e856	8dbde7c9-05f8-4872-8316-bd5638b22ad8	DRY_COOLER
72beb605-b545-4e5b-8b7f-32320656e856	84eada54-8951-4ca1-bebd-86caf368c2d5	REMOTE_CONDENSER
72beb605-b545-4e5b-8b7f-32320656e856	916cec98-b20b-427b-85fa-df0ae63a694d	CHILLED_WATER_PUMPS
72beb605-b545-4e5b-8b7f-32320656e856	ebf975de-6e5e-45d4-880c-9985b0467ed5	HEAT_REJECTION_PUMPS
72beb605-b545-4e5b-8b7f-32320656e856	14bedefc-f495-4823-8c58-4512b7580ad9	VENTILATION
72beb605-b545-4e5b-8b7f-32320656e856	87facf2c-ec5f-427c-91fe-c8151d76ffd4	INFILTRATION
72beb605-b545-4e5b-8b7f-32320656e856	3f56f97c-1cd2-4857-80ff-8e8cfdc2fc78	IT_LOAD
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	8c152bce-e9a4-418b-b2f5-3d05f05a7c35	SWITCHGEAR
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	a09a8502-f5df-4c62-a9a9-e936523747db	GENERATOR
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	40b16c64-c404-410e-850f-705279a8a6c2	PRIMARY_AUXILIARIES
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	85e8f0e5-1c08-41c4-9548-bd1adbd132ee	UPS
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	4bb5f9a4-e637-4849-b7cd-9dfc8e01b3fe	CRITICAL_AUXILIARIES
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	2afb57ed-2605-42e3-bba1-6a2a63789d8b	LIGHTING
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	a40bd48b-a793-41d3-b5cf-9a8bd061fc1d	CRITICAL_POWER_DISTRIBUTION
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	1f8065bf-c892-426b-b622-0275279b4fbc	CRAH
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	3b99f668-8823-4732-b83d-644fee348be2	CRAC
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	b678b9a3-9a77-44f2-9d55-54ff1294c10b	CRAC_WITHOUT_FAN
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	3c1f7b38-4588-4063-b0ba-4ba1c3ca3220	CRAC_FAN
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	d7548112-dd48-456e-94a3-0b41c479e635	CHILLER
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	b8b5a4ba-0938-4729-83ee-e6dcb839e99d	AIR_COOLED_CHILLER
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	48c9d8c1-ea1a-47a8-8d1d-c35dcb1f6bdb	COOLING_TOWER
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	e0137c4a-7d83-4cb7-a27f-d40b95792377	DRY_COOLER
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	1e296206-4c9b-4ea6-a83d-685ad7588408	REMOTE_CONDENSER
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	a69c56ff-2331-4f98-a36b-47794ec1ec9f	CHILLED_WATER_PUMPS
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	02d1ddab-3072-4a69-915f-7fd7d190257b	HEAT_REJECTION_PUMPS
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	bf576a14-80a6-49ac-8986-8cf1c7711a52	VENTILATION
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	b73d316d-b439-4630-98a7-4e64550d6944	INFILTRATION
af46eefd-b9e7-4dcd-b28a-b9cd69f79c82	6e67ebfb-1a12-4fe1-91d1-8b402ed2c220	IT_LOAD
7f5a007d-3f3d-4b59-868d-c274460329c1	34b59194-e461-4d3f-b3fe-255b595d40a9	SWITCHGEAR
7f5a007d-3f3d-4b59-868d-c274460329c1	28e80d12-2a1a-4a60-b688-21de254eae47	GENERATOR
7f5a007d-3f3d-4b59-868d-c274460329c1	21f7377c-4f8f-49ba-8e1a-e0bfc37d2362	PRIMARY_AUXILIARIES
7f5a007d-3f3d-4b59-868d-c274460329c1	23da4f8f-7f1e-493b-95dd-8f9ca214f4e1	UPS
7f5a007d-3f3d-4b59-868d-c274460329c1	beafbe56-12ff-458f-96ad-d01595185dc1	CRITICAL_AUXILIARIES
7f5a007d-3f3d-4b59-868d-c274460329c1	fbbafe3f-36e1-4738-858c-399cac0c003b	LIGHTING
7f5a007d-3f3d-4b59-868d-c274460329c1	cad218ec-7d5e-4162-96df-28e9c4f5f98b	CRITICAL_POWER_DISTRIBUTION
7f5a007d-3f3d-4b59-868d-c274460329c1	0ad118dc-dc82-4175-83a6-d651a9286465	CRAH
7f5a007d-3f3d-4b59-868d-c274460329c1	949ad381-10fa-4a33-818a-668cbb588498	CRAC
7f5a007d-3f3d-4b59-868d-c274460329c1	0471ae31-aca2-4733-87b5-e5bfecb234ef	CRAC_WITHOUT_FAN
7f5a007d-3f3d-4b59-868d-c274460329c1	9b02892d-ee3a-4204-aa6e-92b2a8cf8280	CRAC_FAN
7f5a007d-3f3d-4b59-868d-c274460329c1	6a3ffc71-25c9-4512-ad8e-1b86bd06e731	CHILLER
7f5a007d-3f3d-4b59-868d-c274460329c1	dbf8d16a-fd2f-4ecc-8c1e-245db5b1bb46	AIR_COOLED_CHILLER
7f5a007d-3f3d-4b59-868d-c274460329c1	0287c017-6c46-4697-b4f0-6a632069ee66	COOLING_TOWER
7f5a007d-3f3d-4b59-868d-c274460329c1	37d17738-a0fe-450f-bff9-ffe42672eb00	DRY_COOLER
7f5a007d-3f3d-4b59-868d-c274460329c1	23d1f51f-b6f8-4e8e-a47c-129a263e53df	REMOTE_CONDENSER
7f5a007d-3f3d-4b59-868d-c274460329c1	be8d34f1-4fb2-45cd-a7e6-14eb17923d8f	CHILLED_WATER_PUMPS
7f5a007d-3f3d-4b59-868d-c274460329c1	36e3df00-6b35-4523-bc3d-857a92a8940e	HEAT_REJECTION_PUMPS
7f5a007d-3f3d-4b59-868d-c274460329c1	cdcba479-a54d-46c5-9755-2e4d6a610d2f	VENTILATION
7f5a007d-3f3d-4b59-868d-c274460329c1	9a51e764-3424-4a82-a569-0b33819f662a	INFILTRATION
7f5a007d-3f3d-4b59-868d-c274460329c1	ec153682-c573-4a78-a244-5318f2360d0a	IT_LOAD
cc91448b-d23e-41ca-a78e-8fd102863edb	261ae83f-ebfc-4fcd-85e4-2fab5ba3476e	SWITCHGEAR
cc91448b-d23e-41ca-a78e-8fd102863edb	c15c5b59-acbd-4f3f-9775-48f5b2751613	GENERATOR
cc91448b-d23e-41ca-a78e-8fd102863edb	3dbfd4ca-b08c-4802-931a-cb9522496e46	PRIMARY_AUXILIARIES
cc91448b-d23e-41ca-a78e-8fd102863edb	192476f1-3505-4f2a-9bb8-57cc95c23f0d	UPS
cc91448b-d23e-41ca-a78e-8fd102863edb	19535cc8-fae4-4bb0-a09e-8ea5a4f3326e	CRITICAL_AUXILIARIES
cc91448b-d23e-41ca-a78e-8fd102863edb	9e38482a-5947-46fc-af36-51eb988bc1b9	LIGHTING
cc91448b-d23e-41ca-a78e-8fd102863edb	e94fb4a7-1681-4e39-bc61-b6fd148bc96f	CRITICAL_POWER_DISTRIBUTION
cc91448b-d23e-41ca-a78e-8fd102863edb	40463af9-9285-48b5-ba17-cd931f7b221a	CRAH
cc91448b-d23e-41ca-a78e-8fd102863edb	e8db75d4-f27a-40d3-a603-f24fa8a93d2f	CRAC
cc91448b-d23e-41ca-a78e-8fd102863edb	f45dd93a-9d16-4c2e-8984-aaf0bf253ad8	CRAC_WITHOUT_FAN
cc91448b-d23e-41ca-a78e-8fd102863edb	1c9347a9-020f-4595-8b34-9c1535200d29	CRAC_FAN
cc91448b-d23e-41ca-a78e-8fd102863edb	f448227e-f776-4f6e-b560-630e5c832a6e	CHILLER
cc91448b-d23e-41ca-a78e-8fd102863edb	3ce26996-95ce-47d9-8b91-908e41f1afba	AIR_COOLED_CHILLER
cc91448b-d23e-41ca-a78e-8fd102863edb	7c594061-8b48-4c61-a98e-c70c7e3071d4	COOLING_TOWER
cc91448b-d23e-41ca-a78e-8fd102863edb	bb80a96c-c0d0-40a0-909f-340b2d53f0f5	DRY_COOLER
cc91448b-d23e-41ca-a78e-8fd102863edb	6f71a616-4e0a-488c-9ac8-253c9152da17	REMOTE_CONDENSER
cc91448b-d23e-41ca-a78e-8fd102863edb	d37c5ab1-cfe2-4bea-aa32-b2155e673d48	CHILLED_WATER_PUMPS
cc91448b-d23e-41ca-a78e-8fd102863edb	b0f2f97c-6100-451f-b486-84deb6e2fb93	HEAT_REJECTION_PUMPS
cc91448b-d23e-41ca-a78e-8fd102863edb	6553a468-993e-44fa-9c1d-62b43bc78839	VENTILATION
cc91448b-d23e-41ca-a78e-8fd102863edb	d69b54a1-c4fc-4cfa-8954-67ebb6dddb21	INFILTRATION
cc91448b-d23e-41ca-a78e-8fd102863edb	20b9291c-072f-4218-b350-dd06b2ea6f06	IT_LOAD
eefbd071-cd43-4097-aeb3-677978dc164d	c6192d01-2f4f-46e8-a5dd-c2b7cc425ecf	SWITCHGEAR
eefbd071-cd43-4097-aeb3-677978dc164d	73751bed-a523-481f-90c7-55eb1cd57f2f	GENERATOR
eefbd071-cd43-4097-aeb3-677978dc164d	7fb67961-62f3-4f7a-b043-1d9614767832	PRIMARY_AUXILIARIES
eefbd071-cd43-4097-aeb3-677978dc164d	653ac727-2681-40ba-a957-c500e56465f7	UPS
eefbd071-cd43-4097-aeb3-677978dc164d	07f76c53-8f37-4d67-982a-6eebbf4d5438	CRITICAL_AUXILIARIES
eefbd071-cd43-4097-aeb3-677978dc164d	b5349924-287d-461a-8878-3050017fc6d0	LIGHTING
eefbd071-cd43-4097-aeb3-677978dc164d	664b6c35-cf00-454e-8c09-fb70d1d934bd	CRITICAL_POWER_DISTRIBUTION
eefbd071-cd43-4097-aeb3-677978dc164d	43ae115a-7a07-4442-8995-f925d10a56b0	CRAH
eefbd071-cd43-4097-aeb3-677978dc164d	f1114c1c-467c-4d53-a778-3c71e10892b4	CRAC
eefbd071-cd43-4097-aeb3-677978dc164d	eaa30ade-e8ae-4f5f-8acb-b1263296ccef	CRAC_WITHOUT_FAN
eefbd071-cd43-4097-aeb3-677978dc164d	a088d3ed-0f18-4207-a304-6c777150ce3d	CRAC_FAN
eefbd071-cd43-4097-aeb3-677978dc164d	61fa878f-a666-46a8-ad9d-faa6c1bdddab	CHILLER
eefbd071-cd43-4097-aeb3-677978dc164d	6170029d-2951-4838-a82d-ac0da24564ab	AIR_COOLED_CHILLER
eefbd071-cd43-4097-aeb3-677978dc164d	bb4c5c94-ad44-402a-a65a-f53e5722d66c	COOLING_TOWER
eefbd071-cd43-4097-aeb3-677978dc164d	bc498ab5-5dde-42f1-8bb3-c824145eb530	DRY_COOLER
eefbd071-cd43-4097-aeb3-677978dc164d	66062143-0408-45c3-92d1-90fde4b11b90	REMOTE_CONDENSER
eefbd071-cd43-4097-aeb3-677978dc164d	c28ff79b-8d90-42ad-9e27-aa36443125fb	CHILLED_WATER_PUMPS
eefbd071-cd43-4097-aeb3-677978dc164d	bad5a5cf-8421-4260-879e-73e5bd7322e0	HEAT_REJECTION_PUMPS
eefbd071-cd43-4097-aeb3-677978dc164d	1049ba6a-3e43-49fe-8100-54bd0cb88fb9	VENTILATION
eefbd071-cd43-4097-aeb3-677978dc164d	69356134-6f05-4895-95af-f0bd68eaa517	INFILTRATION
eefbd071-cd43-4097-aeb3-677978dc164d	175a59b7-4a2d-4b39-82ae-f9a3a405bad2	IT_LOAD
33dafcf7-7424-4d87-a713-5d0a7a31c408	afb3a9db-86a6-45c6-bd61-4577e08b73f8	SWITCHGEAR
33dafcf7-7424-4d87-a713-5d0a7a31c408	9c17fd27-9180-4ee4-a636-f943c1009aaa	GENERATOR
33dafcf7-7424-4d87-a713-5d0a7a31c408	8cf08397-4283-45c5-b268-ccfac4c8479c	PRIMARY_AUXILIARIES
33dafcf7-7424-4d87-a713-5d0a7a31c408	dfcfcc5e-7f1d-491a-8432-feb25392dfc7	UPS
33dafcf7-7424-4d87-a713-5d0a7a31c408	9f029e38-3249-49fb-b973-9185bc27cf53	CRITICAL_AUXILIARIES
33dafcf7-7424-4d87-a713-5d0a7a31c408	07ea04ee-4e01-4171-91d3-ec4239d3477c	LIGHTING
33dafcf7-7424-4d87-a713-5d0a7a31c408	036b2e18-d5ef-4e91-9381-ff2e88ed60f1	CRITICAL_POWER_DISTRIBUTION
33dafcf7-7424-4d87-a713-5d0a7a31c408	28f12d01-9d36-42ce-8e33-cb9c2f63bbd1	CRAH
33dafcf7-7424-4d87-a713-5d0a7a31c408	610af540-c45c-41e6-9689-5d762ff212bc	CRAC
33dafcf7-7424-4d87-a713-5d0a7a31c408	b8c0d819-9369-4b9c-a3d8-248b14ed86a6	CRAC_WITHOUT_FAN
33dafcf7-7424-4d87-a713-5d0a7a31c408	870e3513-1c77-4070-96a6-716032c5ed93	CRAC_FAN
33dafcf7-7424-4d87-a713-5d0a7a31c408	b4fa3ef3-b8dc-45f6-8a07-f90e1f2fa705	CHILLER
33dafcf7-7424-4d87-a713-5d0a7a31c408	2515bc0e-c6f4-4b8a-abd3-96ab420a1423	AIR_COOLED_CHILLER
33dafcf7-7424-4d87-a713-5d0a7a31c408	3c8ddc96-134a-4303-aa4c-8ba0af629818	COOLING_TOWER
33dafcf7-7424-4d87-a713-5d0a7a31c408	05b20699-9363-4b66-b25c-a0e7cd17d767	DRY_COOLER
33dafcf7-7424-4d87-a713-5d0a7a31c408	faa5a406-1503-4e0b-8048-c1e7158e3f7d	REMOTE_CONDENSER
33dafcf7-7424-4d87-a713-5d0a7a31c408	4c9a92db-8a54-4324-80bf-6185c268fe14	CHILLED_WATER_PUMPS
33dafcf7-7424-4d87-a713-5d0a7a31c408	9dfe24c1-d8e7-445c-88e4-36b13a9d89cb	HEAT_REJECTION_PUMPS
33dafcf7-7424-4d87-a713-5d0a7a31c408	4ed1d318-9d2f-444b-9aa7-de936ec9ce32	VENTILATION
33dafcf7-7424-4d87-a713-5d0a7a31c408	cd5495ee-4e7c-46a0-a578-5eafd537c5f8	INFILTRATION
33dafcf7-7424-4d87-a713-5d0a7a31c408	b13d43cc-8b86-4386-8484-f44bd30bb578	IT_LOAD
d79cf547-1307-4ff6-a258-fef31e716b22	6b2c5af4-7d1a-4e7c-9c2a-1dea9fcbbca0	SWITCHGEAR
d79cf547-1307-4ff6-a258-fef31e716b22	e2d49eec-431d-4c64-8aa8-fec6a8df8a02	GENERATOR
d79cf547-1307-4ff6-a258-fef31e716b22	60f7a5e6-0ec9-4d56-b0a2-abdb3f52fffd	PRIMARY_AUXILIARIES
d79cf547-1307-4ff6-a258-fef31e716b22	16f2e80f-30b1-47cc-a9f7-e7eb0f1f9574	UPS
d79cf547-1307-4ff6-a258-fef31e716b22	4d3116f4-a66a-4dca-94e4-bcccf3cc0de9	CRITICAL_AUXILIARIES
d79cf547-1307-4ff6-a258-fef31e716b22	939aad2e-dde3-4f1a-9ed7-4753f9b727f7	LIGHTING
d79cf547-1307-4ff6-a258-fef31e716b22	1f1f2f80-446b-48f9-a6d5-fe037a8627db	CRITICAL_POWER_DISTRIBUTION
d79cf547-1307-4ff6-a258-fef31e716b22	e8c5d9b5-ae4c-48e3-a817-e5931d5517f9	CRAH
d79cf547-1307-4ff6-a258-fef31e716b22	32f95062-72f0-41d1-832b-29948197390b	CRAC
d79cf547-1307-4ff6-a258-fef31e716b22	36a3b55f-b9f4-44a5-ad9b-6f2d69f24cca	CRAC_WITHOUT_FAN
d79cf547-1307-4ff6-a258-fef31e716b22	c40794f0-5c21-47be-b393-ec4e18f6c368	CRAC_FAN
d79cf547-1307-4ff6-a258-fef31e716b22	5d9911a5-ac73-492b-b649-3e3a3f3c7acd	CHILLER
d79cf547-1307-4ff6-a258-fef31e716b22	2772699a-e92b-4154-b34e-bac76a8eff9e	AIR_COOLED_CHILLER
d79cf547-1307-4ff6-a258-fef31e716b22	0f6c8eec-3f11-4e34-81fa-fd29e436f728	COOLING_TOWER
d79cf547-1307-4ff6-a258-fef31e716b22	b60cccba-cac9-47ce-8607-ab878b8638b8	DRY_COOLER
d79cf547-1307-4ff6-a258-fef31e716b22	331ae852-63be-41ad-84c5-3858f9b3fbf8	REMOTE_CONDENSER
d79cf547-1307-4ff6-a258-fef31e716b22	96c9cdeb-8574-4fb3-9c9d-44a3f70d45ab	CHILLED_WATER_PUMPS
d79cf547-1307-4ff6-a258-fef31e716b22	86af30d5-ec89-4451-b197-0df6ae59d344	HEAT_REJECTION_PUMPS
d79cf547-1307-4ff6-a258-fef31e716b22	a4dd9ae3-18ef-4204-b46b-df1a674e12ad	VENTILATION
d79cf547-1307-4ff6-a258-fef31e716b22	7f4a90fe-478b-4698-9c50-4d40bdfc33eb	INFILTRATION
d79cf547-1307-4ff6-a258-fef31e716b22	00be9057-fc24-4629-ae5e-eaeab4f1e0a8	IT_LOAD
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	ad55d43b-39e6-445c-98a3-1b3c3bf477e3	SWITCHGEAR
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	9621a617-b5af-4daf-989f-10090708fe22	GENERATOR
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	cd2b9f02-acb0-4682-849a-683dae714b08	PRIMARY_AUXILIARIES
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	c3d99165-6a8e-4a71-9c3f-356b7c415714	UPS
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	78215fbd-37e3-4a45-88ed-b59902fe3ba1	CRITICAL_AUXILIARIES
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	39214ed4-720f-4e9a-98f1-c0cee24a8aa3	LIGHTING
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	66532f53-7b6b-4862-b7c6-fedad37ca70f	CRITICAL_POWER_DISTRIBUTION
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	6c82de1c-1bd0-4771-bdce-5e821c8488b9	CRAH
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	d53c1085-1875-4790-ab6d-d0c95c75b998	CRAC
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	e7c09cbe-48ee-4f3e-b871-32b6a5d45be6	CRAC_WITHOUT_FAN
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	30bc1c51-329f-4879-acfe-ca037c3b85dd	CRAC_FAN
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	c74a29c7-dcc5-417c-8655-29dd1b7fb991	CHILLER
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	87e1c073-9a31-464e-ad33-702fc6636e58	AIR_COOLED_CHILLER
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	848cf40b-8d6d-4e94-a5a8-fb96c1996f03	COOLING_TOWER
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	ee99a1f0-51a6-49d6-b630-904041447b85	DRY_COOLER
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	13fb6e21-1172-4baa-a7fb-fa5555adc75c	REMOTE_CONDENSER
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	bec9de56-3fa9-4b76-8705-2cdc087c85af	CHILLED_WATER_PUMPS
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	c4ab1d89-7c64-4e35-8647-9d8dfb829798	HEAT_REJECTION_PUMPS
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	099b7c0d-fbd2-47c3-b22c-0c522d78df23	VENTILATION
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	cc7e9d67-495b-44c9-a438-7cfd9267911c	INFILTRATION
3bc0ab60-e5e1-44df-b6ff-f960f53b831f	b19f8bf0-40a5-4bb3-ae78-63049438fcf5	IT_LOAD
f36e66ee-c57d-4d73-abcf-36276a0c61c0	4169c885-b20d-428b-9324-3045e383f894	SWITCHGEAR
f36e66ee-c57d-4d73-abcf-36276a0c61c0	9060c7c4-98b1-491a-ba7a-92eb5b28bb6d	GENERATOR
f36e66ee-c57d-4d73-abcf-36276a0c61c0	8b2d88fa-8e25-4bcc-a973-9aa227b149a1	PRIMARY_AUXILIARIES
f36e66ee-c57d-4d73-abcf-36276a0c61c0	ef5d30b0-6fc1-40bd-9699-45b63c313e63	UPS
f36e66ee-c57d-4d73-abcf-36276a0c61c0	30809533-eaaa-423e-9a2a-52a7e599c4e5	CRITICAL_AUXILIARIES
f36e66ee-c57d-4d73-abcf-36276a0c61c0	3a7a8c61-3fc6-48ca-95b5-fb1e8dff020d	LIGHTING
f36e66ee-c57d-4d73-abcf-36276a0c61c0	2c49dfd6-7254-4ef1-8dfb-cda9269b0bf1	CRITICAL_POWER_DISTRIBUTION
f36e66ee-c57d-4d73-abcf-36276a0c61c0	249cf251-5746-4f19-b42b-ec9a3740a433	CRAH
f36e66ee-c57d-4d73-abcf-36276a0c61c0	37031581-0e3b-4f02-baa7-606e8d8b246c	CRAC
f36e66ee-c57d-4d73-abcf-36276a0c61c0	c2f890ee-62cc-4dec-980e-58d1fc4df7ea	CRAC_WITHOUT_FAN
f36e66ee-c57d-4d73-abcf-36276a0c61c0	f528ab0e-2f9a-4e75-ae05-624bdcbf9c71	CRAC_FAN
f36e66ee-c57d-4d73-abcf-36276a0c61c0	34fd11c3-5e7c-4e6a-a737-1be6486067d0	CHILLER
f36e66ee-c57d-4d73-abcf-36276a0c61c0	f8ec4e89-af41-4623-842d-dd54687a50ba	AIR_COOLED_CHILLER
f36e66ee-c57d-4d73-abcf-36276a0c61c0	8bb0e4cb-f43c-4d9d-b916-5d8ed1525842	COOLING_TOWER
f36e66ee-c57d-4d73-abcf-36276a0c61c0	cd24d79e-7825-49ae-8484-d84d1cfa0887	DRY_COOLER
f36e66ee-c57d-4d73-abcf-36276a0c61c0	f512f754-11f8-4628-b24a-30d158a481f2	REMOTE_CONDENSER
f36e66ee-c57d-4d73-abcf-36276a0c61c0	2ebe54f0-1ffe-497f-9cbc-cb5020a46106	CHILLED_WATER_PUMPS
f36e66ee-c57d-4d73-abcf-36276a0c61c0	ec073bd5-8f62-4a46-98c9-6c1a86d2a082	HEAT_REJECTION_PUMPS
f36e66ee-c57d-4d73-abcf-36276a0c61c0	f46fe11e-c6ab-4c60-b5ad-ad2cdba84af5	VENTILATION
f36e66ee-c57d-4d73-abcf-36276a0c61c0	c59df089-e491-4e4c-afff-5d1e016ba022	INFILTRATION
f36e66ee-c57d-4d73-abcf-36276a0c61c0	d2c772dc-e859-44ef-996e-d3f8f8459052	IT_LOAD
17c8c932-670e-42c0-8625-d76e4542c4f2	4f55d895-4bed-4fb6-8ed8-bd35283bd04a	SWITCHGEAR
17c8c932-670e-42c0-8625-d76e4542c4f2	12b1f8b3-65d5-4cd0-a121-40cc65b18e4b	GENERATOR
17c8c932-670e-42c0-8625-d76e4542c4f2	e7f0dd1d-699a-43ab-9478-d854d6475ffa	PRIMARY_AUXILIARIES
17c8c932-670e-42c0-8625-d76e4542c4f2	6a4c9efb-a64e-4c1e-a3d1-6fa75c52b47f	UPS
17c8c932-670e-42c0-8625-d76e4542c4f2	f76c895d-7d22-4e62-9026-23a7e5f16b68	CRITICAL_AUXILIARIES
17c8c932-670e-42c0-8625-d76e4542c4f2	f763e504-bc6b-4d5e-93fb-ce18245ca90a	LIGHTING
17c8c932-670e-42c0-8625-d76e4542c4f2	cc06f030-3b9d-4e2d-a26d-23ca46cecf6f	CRITICAL_POWER_DISTRIBUTION
17c8c932-670e-42c0-8625-d76e4542c4f2	fafeb55a-a281-4724-9fbe-490f8adbde83	CRAH
17c8c932-670e-42c0-8625-d76e4542c4f2	bb9c5856-38f5-48b3-aa04-a87ee4875116	CRAC
17c8c932-670e-42c0-8625-d76e4542c4f2	1a1ee444-0038-4024-8b11-5e13d54d1d98	CRAC_WITHOUT_FAN
17c8c932-670e-42c0-8625-d76e4542c4f2	0c1720a9-57ee-4adb-bb09-e78f5a322289	CRAC_FAN
17c8c932-670e-42c0-8625-d76e4542c4f2	4462ba6a-5dd9-4a94-8d3d-03d3a580dad0	CHILLER
17c8c932-670e-42c0-8625-d76e4542c4f2	b95a4a44-e3f6-49ea-9610-a5aaaa9c14b1	AIR_COOLED_CHILLER
17c8c932-670e-42c0-8625-d76e4542c4f2	61c63feb-8a05-4402-9ed9-3d695d89e587	COOLING_TOWER
17c8c932-670e-42c0-8625-d76e4542c4f2	f7686d7f-e16a-4c19-b4bb-5caa02f13769	DRY_COOLER
17c8c932-670e-42c0-8625-d76e4542c4f2	8e4f6962-c4a3-41d2-806f-19efb9709cf3	REMOTE_CONDENSER
17c8c932-670e-42c0-8625-d76e4542c4f2	3712e1e8-2a22-4c74-aba2-de619cb804a9	CHILLED_WATER_PUMPS
17c8c932-670e-42c0-8625-d76e4542c4f2	e040c879-2c17-44d0-b571-f3c7a6820120	HEAT_REJECTION_PUMPS
17c8c932-670e-42c0-8625-d76e4542c4f2	8deb3bfe-3bb4-4231-adf6-946a29d939ca	VENTILATION
17c8c932-670e-42c0-8625-d76e4542c4f2	21d2083d-2373-44c2-a50a-580548b08c18	INFILTRATION
17c8c932-670e-42c0-8625-d76e4542c4f2	d4c2e624-1f5b-453d-944e-a5b0fab80671	IT_LOAD
445c9370-a975-4842-9986-3ea80a5705cb	a96a9d5d-6d60-454e-9db1-d8a67846f857	SWITCHGEAR
445c9370-a975-4842-9986-3ea80a5705cb	d89f6a50-6039-484b-8fff-7e09d8bbf678	GENERATOR
445c9370-a975-4842-9986-3ea80a5705cb	1b9a846b-269a-4089-ac43-9d792d2986e0	PRIMARY_AUXILIARIES
445c9370-a975-4842-9986-3ea80a5705cb	bbdbad70-a330-480b-84ea-c50528987da6	UPS
445c9370-a975-4842-9986-3ea80a5705cb	d9502aab-54b1-4531-9469-225880c5fd55	CRITICAL_AUXILIARIES
445c9370-a975-4842-9986-3ea80a5705cb	965f300e-a8d9-40df-82d9-55f8e25d8798	LIGHTING
445c9370-a975-4842-9986-3ea80a5705cb	cfe1bd5b-64b7-4989-a2d4-92919bbdec1b	CRITICAL_POWER_DISTRIBUTION
445c9370-a975-4842-9986-3ea80a5705cb	4087c6c6-cfd8-4c3b-9eb5-35a403d2c2d0	CRAH
445c9370-a975-4842-9986-3ea80a5705cb	67d70553-70cd-4688-823b-d999e2a39731	CRAC
445c9370-a975-4842-9986-3ea80a5705cb	f3c9547a-4307-43a4-988d-837ae1cd10eb	CRAC_WITHOUT_FAN
445c9370-a975-4842-9986-3ea80a5705cb	18d0e45c-f8b3-4eaa-9f0d-9986b760a930	CRAC_FAN
445c9370-a975-4842-9986-3ea80a5705cb	90014f82-1ab7-440b-bfa7-7697bde8ebed	CHILLER
445c9370-a975-4842-9986-3ea80a5705cb	50605ca1-01bd-45c9-beab-0c0841d17e73	AIR_COOLED_CHILLER
445c9370-a975-4842-9986-3ea80a5705cb	402f425d-e470-463d-a704-5bba5ada2d59	COOLING_TOWER
445c9370-a975-4842-9986-3ea80a5705cb	d6c7f78b-2b57-4c0f-8d6d-45e497fb7cf1	DRY_COOLER
445c9370-a975-4842-9986-3ea80a5705cb	e43d7b84-6b06-4a81-9b73-586c3b0e2adf	REMOTE_CONDENSER
445c9370-a975-4842-9986-3ea80a5705cb	6f754834-a0a5-4f52-8cb4-0a9ab21727b9	CHILLED_WATER_PUMPS
445c9370-a975-4842-9986-3ea80a5705cb	c443d16b-2eaf-4241-a5ac-db291dc3cc4f	HEAT_REJECTION_PUMPS
445c9370-a975-4842-9986-3ea80a5705cb	8459a359-5d81-49e2-a808-143147bb397b	VENTILATION
445c9370-a975-4842-9986-3ea80a5705cb	23e28170-732e-4cd4-b721-ed5a82bb2555	INFILTRATION
445c9370-a975-4842-9986-3ea80a5705cb	94732465-e2ad-4b90-be85-82e4eef6297b	IT_LOAD
0e874d7a-4657-40fc-86b9-799c50bf03c1	aa9f7db5-1be3-44c0-84c9-6c48b621f5fd	SWITCHGEAR
0e874d7a-4657-40fc-86b9-799c50bf03c1	91bbab8b-4130-42ca-b1ff-cb66d94f7a9a	GENERATOR
0e874d7a-4657-40fc-86b9-799c50bf03c1	36fb9601-a6a4-4bd1-b5f6-daa2fa9a208d	PRIMARY_AUXILIARIES
0e874d7a-4657-40fc-86b9-799c50bf03c1	0815b25c-80ed-480a-b688-97d0f5ac34f8	UPS
0e874d7a-4657-40fc-86b9-799c50bf03c1	0a0803ae-5107-4555-a5c9-b7feb25cc79a	CRITICAL_AUXILIARIES
0e874d7a-4657-40fc-86b9-799c50bf03c1	1742e76d-a7c8-4323-be99-3d55625530fb	LIGHTING
0e874d7a-4657-40fc-86b9-799c50bf03c1	46f33921-b591-46b9-8c18-c209695dd870	CRITICAL_POWER_DISTRIBUTION
0e874d7a-4657-40fc-86b9-799c50bf03c1	f97c0ffc-55bf-4654-b2b4-6c52b364a93b	CRAH
0e874d7a-4657-40fc-86b9-799c50bf03c1	44748cfa-8492-4503-a0d8-1a9c03b01be6	CRAC
0e874d7a-4657-40fc-86b9-799c50bf03c1	7b49a533-ca9f-47a7-a055-d505fc04b69d	CRAC_WITHOUT_FAN
0e874d7a-4657-40fc-86b9-799c50bf03c1	6d27d423-b295-4e97-9ad0-55f311c42bed	CRAC_FAN
0e874d7a-4657-40fc-86b9-799c50bf03c1	683c314c-3072-46e4-9d14-c46a54de2e3c	CHILLER
0e874d7a-4657-40fc-86b9-799c50bf03c1	690592ab-778b-4620-97e2-be6910c185da	AIR_COOLED_CHILLER
0e874d7a-4657-40fc-86b9-799c50bf03c1	73709c1f-6ba6-4fc5-b0e3-ead2f535e0ed	COOLING_TOWER
0e874d7a-4657-40fc-86b9-799c50bf03c1	bda4c8e3-05e7-4cc3-857b-960535d7552c	DRY_COOLER
0e874d7a-4657-40fc-86b9-799c50bf03c1	22d1be27-1ed1-4d31-aba6-77fce445625c	REMOTE_CONDENSER
0e874d7a-4657-40fc-86b9-799c50bf03c1	089c898c-4221-4e18-b39e-ccffbd49068a	CHILLED_WATER_PUMPS
0e874d7a-4657-40fc-86b9-799c50bf03c1	31aafb83-4863-4e37-9cde-d113a29b37a0	HEAT_REJECTION_PUMPS
0e874d7a-4657-40fc-86b9-799c50bf03c1	9e32d61c-6ec9-41b9-88e3-de21efe2989b	VENTILATION
0e874d7a-4657-40fc-86b9-799c50bf03c1	c6e2dd2e-d55e-489b-85d7-6c75733fff12	INFILTRATION
0e874d7a-4657-40fc-86b9-799c50bf03c1	4c9cc26d-bc0f-45a5-9f40-4b935162f233	IT_LOAD
50d8ec95-5ce6-4717-91e2-eaec496c15a4	c16b8e8a-9af0-4a1d-bd1a-10c1089cbc06	SWITCHGEAR
50d8ec95-5ce6-4717-91e2-eaec496c15a4	51b8b086-65c4-4a2f-8fc6-084f2e09d865	GENERATOR
50d8ec95-5ce6-4717-91e2-eaec496c15a4	eb72c375-e0a6-4e7a-8090-db8b6dba0990	PRIMARY_AUXILIARIES
50d8ec95-5ce6-4717-91e2-eaec496c15a4	ff5d1412-d3bd-473b-9bd0-c6ef1fd2c232	UPS
50d8ec95-5ce6-4717-91e2-eaec496c15a4	9fbcf657-ff5a-416d-a27b-ff7d7a06f7e2	CRITICAL_AUXILIARIES
50d8ec95-5ce6-4717-91e2-eaec496c15a4	b969e605-b1e7-442d-a634-deb0f66450b9	LIGHTING
50d8ec95-5ce6-4717-91e2-eaec496c15a4	38904f74-7b2d-4a03-81ef-9b7587137ce4	CRITICAL_POWER_DISTRIBUTION
50d8ec95-5ce6-4717-91e2-eaec496c15a4	fd8ecf5d-6312-4131-a36b-840ba3869813	CRAH
50d8ec95-5ce6-4717-91e2-eaec496c15a4	73f07e13-95f0-48f0-8632-10e0e4b10a18	CRAC
50d8ec95-5ce6-4717-91e2-eaec496c15a4	28676b69-6ba1-48db-891b-def5ba279f9f	CRAC_WITHOUT_FAN
50d8ec95-5ce6-4717-91e2-eaec496c15a4	7ae52f11-79dd-4ada-8f84-c4e491c93765	CRAC_FAN
50d8ec95-5ce6-4717-91e2-eaec496c15a4	d79a9d2a-b5c4-42fa-bd79-4b3dc675a151	CHILLER
50d8ec95-5ce6-4717-91e2-eaec496c15a4	911e9b2a-7c56-45ef-9528-e111b036b34c	AIR_COOLED_CHILLER
50d8ec95-5ce6-4717-91e2-eaec496c15a4	e6004e02-a8a6-4241-bb78-fc64e80fc937	COOLING_TOWER
50d8ec95-5ce6-4717-91e2-eaec496c15a4	5c245160-86dc-472c-adf0-6a6f53bb270f	DRY_COOLER
50d8ec95-5ce6-4717-91e2-eaec496c15a4	73f9fb91-aff4-4a20-a807-3cbf07cafb5f	REMOTE_CONDENSER
50d8ec95-5ce6-4717-91e2-eaec496c15a4	a42c7836-a78a-4898-b21f-a4a5b750f0b0	CHILLED_WATER_PUMPS
50d8ec95-5ce6-4717-91e2-eaec496c15a4	9c6a8baa-077c-40b6-94a7-63f60a6f72d2	HEAT_REJECTION_PUMPS
50d8ec95-5ce6-4717-91e2-eaec496c15a4	531feac1-3a51-4ef2-aa12-eb8db0b2d178	VENTILATION
50d8ec95-5ce6-4717-91e2-eaec496c15a4	b0b5c2ad-9ae8-4867-85a7-b835b612a95d	INFILTRATION
50d8ec95-5ce6-4717-91e2-eaec496c15a4	30892c9b-5c49-4f95-8dd4-8f78c971a3e0	IT_LOAD
7820f7db-546e-4de1-9b71-b841fa3c293a	4880a77b-2319-4d8d-8af9-81c051dd4cad	SWITCHGEAR
7820f7db-546e-4de1-9b71-b841fa3c293a	c26cf8f8-04f2-4430-bce8-09c69d043ece	GENERATOR
7820f7db-546e-4de1-9b71-b841fa3c293a	c617fd71-0175-4aee-92f4-19c59429b446	PRIMARY_AUXILIARIES
7820f7db-546e-4de1-9b71-b841fa3c293a	f96a0564-15e2-4252-911c-dc7fe0b49d09	UPS
7820f7db-546e-4de1-9b71-b841fa3c293a	2d7ecca5-3d03-4709-982d-4b84859d9f67	CRITICAL_AUXILIARIES
7820f7db-546e-4de1-9b71-b841fa3c293a	b5dfffcf-954f-46ba-a651-4bab6621cfa9	LIGHTING
7820f7db-546e-4de1-9b71-b841fa3c293a	a4c1c510-8905-4f81-88e6-170b751c8f73	CRITICAL_POWER_DISTRIBUTION
7820f7db-546e-4de1-9b71-b841fa3c293a	1146df87-d001-49c9-b028-af2840eaa8f9	CRAH
7820f7db-546e-4de1-9b71-b841fa3c293a	f1e33da7-82ab-4a6d-8c94-c47fc2cdb153	CRAC
7820f7db-546e-4de1-9b71-b841fa3c293a	0f5012ce-877c-4361-8021-58ae3dcae45c	CRAC_WITHOUT_FAN
7820f7db-546e-4de1-9b71-b841fa3c293a	38303d0c-6117-4e81-af92-e6ef77ac33f9	CRAC_FAN
7820f7db-546e-4de1-9b71-b841fa3c293a	fd2eb8e8-4b5a-4f07-b0da-71c7ce7d9c81	CHILLER
7820f7db-546e-4de1-9b71-b841fa3c293a	4d29bed6-dc27-4fad-b5e1-942ea3f77d24	AIR_COOLED_CHILLER
7820f7db-546e-4de1-9b71-b841fa3c293a	215700cb-356a-4de0-8986-2dc54b096b22	COOLING_TOWER
7820f7db-546e-4de1-9b71-b841fa3c293a	431fbd40-2353-46e5-accc-b5dc97c16e24	DRY_COOLER
7820f7db-546e-4de1-9b71-b841fa3c293a	caee82e9-2832-46ac-83b1-a05e1d30f816	REMOTE_CONDENSER
7820f7db-546e-4de1-9b71-b841fa3c293a	18869d5a-9506-4e7a-a998-16f5f5e664d1	CHILLED_WATER_PUMPS
7820f7db-546e-4de1-9b71-b841fa3c293a	d4a54976-08f4-488c-9064-94d2d57aa43a	HEAT_REJECTION_PUMPS
7820f7db-546e-4de1-9b71-b841fa3c293a	7b2b49b5-98c7-4e41-86cc-f2fdd606ce5d	VENTILATION
7820f7db-546e-4de1-9b71-b841fa3c293a	83086dff-1387-4976-9d4a-99b6cec075cd	INFILTRATION
7820f7db-546e-4de1-9b71-b841fa3c293a	031a79b1-91ec-4115-9b8a-b86e4a8fda7c	IT_LOAD
4108ac10-c9dc-4122-9e42-f0d336a099de	97b8e890-d31b-40da-9240-74b897f7d9c6	SWITCHGEAR
4108ac10-c9dc-4122-9e42-f0d336a099de	9d5f206a-7fc7-4cf6-9040-731180a3bed3	GENERATOR
4108ac10-c9dc-4122-9e42-f0d336a099de	29d184c6-fe4d-4d77-a477-bfe508b03cc6	PRIMARY_AUXILIARIES
4108ac10-c9dc-4122-9e42-f0d336a099de	118c4676-0524-4817-a2e0-24d2d9ceeb49	UPS
4108ac10-c9dc-4122-9e42-f0d336a099de	182d4c15-b922-4b35-90de-f32d87bcf59a	CRITICAL_AUXILIARIES
4108ac10-c9dc-4122-9e42-f0d336a099de	002a88f1-1f05-41db-bdbb-ec2d53b8b230	LIGHTING
4108ac10-c9dc-4122-9e42-f0d336a099de	d934d45b-d534-478d-a456-b10fff8b65ab	CRITICAL_POWER_DISTRIBUTION
4108ac10-c9dc-4122-9e42-f0d336a099de	50309ef4-c2f4-423e-95d7-7d1cf428705e	CRAH
4108ac10-c9dc-4122-9e42-f0d336a099de	237a0942-e9ab-4fa0-93ec-000412a580a7	CRAC
4108ac10-c9dc-4122-9e42-f0d336a099de	17919fc4-5e61-4760-816b-712f9d9ab108	CRAC_WITHOUT_FAN
4108ac10-c9dc-4122-9e42-f0d336a099de	22dfae71-1279-49d6-82a5-6c33d43ce170	CRAC_FAN
4108ac10-c9dc-4122-9e42-f0d336a099de	0cc32a2a-4be6-4921-b2e1-09d0e787fbde	CHILLER
4108ac10-c9dc-4122-9e42-f0d336a099de	7edf3dc5-b14f-4242-b6aa-7c2319ddb993	AIR_COOLED_CHILLER
4108ac10-c9dc-4122-9e42-f0d336a099de	18e4996e-faa1-4949-8055-3084af81ab50	COOLING_TOWER
4108ac10-c9dc-4122-9e42-f0d336a099de	efbfd575-1473-4093-9b17-7654acddadef	DRY_COOLER
4108ac10-c9dc-4122-9e42-f0d336a099de	bcb07ee6-a407-4ca3-962c-09b35789a4c1	REMOTE_CONDENSER
4108ac10-c9dc-4122-9e42-f0d336a099de	a181e631-2007-4c5a-a589-e533a353d0b3	CHILLED_WATER_PUMPS
4108ac10-c9dc-4122-9e42-f0d336a099de	b2168cab-96a3-4b70-be4c-42078e31b104	HEAT_REJECTION_PUMPS
4108ac10-c9dc-4122-9e42-f0d336a099de	1e30cbb5-6423-4ad1-b3f1-ef7d25b630bf	VENTILATION
4108ac10-c9dc-4122-9e42-f0d336a099de	b39aa10a-6f38-4dca-a63d-b39a6f4cdce9	INFILTRATION
4108ac10-c9dc-4122-9e42-f0d336a099de	f01c3c04-24fe-40b4-97b6-f1eb8b227af4	IT_LOAD
894a55cb-fcc0-4e80-9168-305fbb261a3e	8450571a-ecaa-4eaf-b678-dbd8e848d355	SWITCHGEAR
894a55cb-fcc0-4e80-9168-305fbb261a3e	3ff4b72a-a2fb-4e8c-b50b-5e4585b8daf5	GENERATOR
894a55cb-fcc0-4e80-9168-305fbb261a3e	3406d731-16be-49a1-a891-0f4b18d10553	PRIMARY_AUXILIARIES
894a55cb-fcc0-4e80-9168-305fbb261a3e	f9209b76-bcc1-408f-ab97-b61be5c39be5	UPS
894a55cb-fcc0-4e80-9168-305fbb261a3e	be3d269c-be5b-4a0d-a5fc-c5f4bba04a51	CRITICAL_AUXILIARIES
894a55cb-fcc0-4e80-9168-305fbb261a3e	1b2d1ee7-e482-44f9-bdcc-55a089788650	LIGHTING
894a55cb-fcc0-4e80-9168-305fbb261a3e	0170a2de-dd51-4402-a1fc-87d43d90840c	CRITICAL_POWER_DISTRIBUTION
894a55cb-fcc0-4e80-9168-305fbb261a3e	a46732a6-2d09-40a6-9a55-67f5d1cb37bf	CRAH
894a55cb-fcc0-4e80-9168-305fbb261a3e	57507ca9-e3ba-418c-a953-6216c9b1255c	CRAC
894a55cb-fcc0-4e80-9168-305fbb261a3e	e477ab4f-a32f-495f-9b61-65d0d408e609	CRAC_WITHOUT_FAN
894a55cb-fcc0-4e80-9168-305fbb261a3e	f8cbe308-05ec-4dee-a54f-9b93e5e3be23	CRAC_FAN
894a55cb-fcc0-4e80-9168-305fbb261a3e	9245079b-d793-4790-9827-40d4fe593f76	CHILLER
894a55cb-fcc0-4e80-9168-305fbb261a3e	e56306e1-5700-42cc-8c27-ce0e530f94a4	AIR_COOLED_CHILLER
894a55cb-fcc0-4e80-9168-305fbb261a3e	eaf1a3a6-4a74-4f6e-b71a-9e8605c8418e	COOLING_TOWER
894a55cb-fcc0-4e80-9168-305fbb261a3e	d1d95ba1-c860-47f3-8aea-97a28f1c62b0	DRY_COOLER
894a55cb-fcc0-4e80-9168-305fbb261a3e	ac247674-3eb4-4012-9d81-37591b141506	REMOTE_CONDENSER
894a55cb-fcc0-4e80-9168-305fbb261a3e	a23afcd4-b352-49f4-b98f-070112be5a3e	CHILLED_WATER_PUMPS
894a55cb-fcc0-4e80-9168-305fbb261a3e	22420e03-0c97-4b55-9042-57239746a0fb	HEAT_REJECTION_PUMPS
894a55cb-fcc0-4e80-9168-305fbb261a3e	c10ca826-442d-4932-8af5-498805fd77b3	VENTILATION
894a55cb-fcc0-4e80-9168-305fbb261a3e	536cf6eb-1bae-4e6d-9e74-9af7b9b9745b	INFILTRATION
894a55cb-fcc0-4e80-9168-305fbb261a3e	b9143ef8-5396-458c-9324-05b4a3c61fe8	IT_LOAD
ea3b4cdb-51e3-4221-b60d-985c979ccab7	1ce64d69-262f-4db3-8a76-dbb3a9419570	SWITCHGEAR
ea3b4cdb-51e3-4221-b60d-985c979ccab7	15f3165a-df97-4372-982a-1a4fadb8cc63	GENERATOR
ea3b4cdb-51e3-4221-b60d-985c979ccab7	6dc326db-2554-4024-9688-c9524749d03c	PRIMARY_AUXILIARIES
ea3b4cdb-51e3-4221-b60d-985c979ccab7	f1bef522-f618-4958-becd-dfbdc77acee7	UPS
ea3b4cdb-51e3-4221-b60d-985c979ccab7	ee6b03ef-85a2-4f25-9aa5-88426722ef0f	CRITICAL_AUXILIARIES
ea3b4cdb-51e3-4221-b60d-985c979ccab7	280bdc3d-14bd-470b-ab8c-ad4f373dc9c1	LIGHTING
ea3b4cdb-51e3-4221-b60d-985c979ccab7	b4126fc0-82da-406b-aeab-24d4492ff89d	CRITICAL_POWER_DISTRIBUTION
ea3b4cdb-51e3-4221-b60d-985c979ccab7	3e4139fc-18ab-4f78-a022-12eb5cfa49e1	CRAH
ea3b4cdb-51e3-4221-b60d-985c979ccab7	bbd8da4a-2050-4032-875a-40379efb1ad3	CRAC
ea3b4cdb-51e3-4221-b60d-985c979ccab7	aa0b58d3-816d-4250-a2dc-8030b4a27aef	CRAC_WITHOUT_FAN
ea3b4cdb-51e3-4221-b60d-985c979ccab7	39816895-e700-4f0a-bd24-ffb2280ae481	CRAC_FAN
ea3b4cdb-51e3-4221-b60d-985c979ccab7	9a9a3ba7-a9ac-4898-910b-8e5733e6c2f1	CHILLER
ea3b4cdb-51e3-4221-b60d-985c979ccab7	01c04d5d-c8d9-42d7-8a1e-e76a0185e01f	AIR_COOLED_CHILLER
ea3b4cdb-51e3-4221-b60d-985c979ccab7	fd4fa4ec-9cbd-4abe-baff-39434aa0d98f	COOLING_TOWER
ea3b4cdb-51e3-4221-b60d-985c979ccab7	5ad30a23-f15e-4e79-a458-e8e0d1c3baed	DRY_COOLER
ea3b4cdb-51e3-4221-b60d-985c979ccab7	ab60a7ca-f852-4e73-a162-30283b537d23	REMOTE_CONDENSER
ea3b4cdb-51e3-4221-b60d-985c979ccab7	463756f5-eef6-4e5c-bb1b-94f0ba199f1e	CHILLED_WATER_PUMPS
ea3b4cdb-51e3-4221-b60d-985c979ccab7	90725548-d14a-4a6b-851a-9f2828283658	HEAT_REJECTION_PUMPS
ea3b4cdb-51e3-4221-b60d-985c979ccab7	99961651-2a46-47ef-8e3d-33cad0956a10	VENTILATION
ea3b4cdb-51e3-4221-b60d-985c979ccab7	f9a327ce-9e6b-4833-bded-637a6fe4d0f4	INFILTRATION
ea3b4cdb-51e3-4221-b60d-985c979ccab7	297f490c-fa76-477b-90d1-90b8416993e6	IT_LOAD
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	99e49b0f-5583-4e1f-a34d-4ed9fe27af98	SWITCHGEAR
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	4a4e62a2-6999-4ca3-bae3-b7579aa79ba3	GENERATOR
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	a1bde231-9242-4441-8067-ff01ea0c0dff	PRIMARY_AUXILIARIES
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	9ee66de6-658b-4fb9-a6e4-eef1abd16413	UPS
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	a898454f-fd82-4740-bcfb-d21cd16cdee6	CRITICAL_AUXILIARIES
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	845a71ee-329c-4e6c-816a-a661853e60f9	LIGHTING
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	bebd268c-dfac-4ac0-9edd-6d4d30479aa6	CRITICAL_POWER_DISTRIBUTION
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	d0bb25ce-d50f-416b-8102-06ea6dbda676	CRAH
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	82fd84a4-de0c-4e41-be8b-b35bc21a663d	CRAC
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	25e53911-a63f-42f8-a9db-d08efbbd36de	CRAC_WITHOUT_FAN
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	c8955ce8-9745-4a87-b22e-a0a2d1e9dcbb	CRAC_FAN
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	eb3cbdd6-b8ed-492b-997e-0d20731e3814	CHILLER
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	4686d7c3-6ff6-4a9c-8bc8-889ef924ffc0	AIR_COOLED_CHILLER
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	67e5c5cb-2f5a-4137-ab74-8453070f69a0	COOLING_TOWER
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	dee7865f-b3df-4d57-8676-2b543fd961ce	DRY_COOLER
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	0dd9bf03-0e5a-4359-9464-82466ff2ae2a	REMOTE_CONDENSER
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	dd26896c-8713-4e03-ae88-7ab65c83c932	CHILLED_WATER_PUMPS
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	6701cda4-06be-4cc9-8293-532d4c5e356c	HEAT_REJECTION_PUMPS
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	83840b83-a95d-44a8-8ea6-1b1161ae7fdc	VENTILATION
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	d511f845-9c57-41c4-bd0e-92c37917cd8e	INFILTRATION
e88bc89f-1020-44b7-bd05-4ed6ca6a9c9f	fa519963-ab80-4b3a-b124-c7a9cbefe5e4	IT_LOAD
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	8215eb7a-5d91-4d64-9987-52d4915b0cf3	SWITCHGEAR
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	89772f7b-f310-4bd9-b8a2-1e68294c7f05	GENERATOR
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	96523e6f-a331-4c5e-a5ef-b6a15f2df702	PRIMARY_AUXILIARIES
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	488ea5c1-3a31-4af0-98f0-60fc19a146f3	UPS
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	cd8a973b-0a51-43cc-b67d-334eecc9b563	CRITICAL_AUXILIARIES
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	3225a301-3a85-4e78-9bd2-46069ed97c8c	LIGHTING
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	85c38685-dd88-4a78-bd72-07e8ff114a4f	CRITICAL_POWER_DISTRIBUTION
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	28c036fe-9f8d-476c-ab7b-8463fe11d88a	CRAH
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	08a3e256-d558-47d7-8116-6c872ea12c02	CRAC
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	7e41fc84-9376-4ed6-b15a-914d802b9732	CRAC_WITHOUT_FAN
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	b1a466a7-3550-4d81-aba8-6025445337a8	CRAC_FAN
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	419b69a7-5e7f-4be1-833e-25d02fba08fc	CHILLER
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	2602b6d5-c5eb-405d-9fd7-4c62830eba34	AIR_COOLED_CHILLER
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	d4af66ef-5cad-470f-927f-77be06dedfa2	COOLING_TOWER
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	8042deed-1dd3-4a8e-8726-c7882d495994	DRY_COOLER
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	d181a1a7-4578-4c61-ab2d-e2d7ebe1ea4d	REMOTE_CONDENSER
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	404c3ba5-a31e-42e3-a077-9ea3798f5401	CHILLED_WATER_PUMPS
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	155fb782-414c-4e8a-9663-f89251fb2f41	HEAT_REJECTION_PUMPS
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	fe3078cb-26a0-41cd-9a95-d93eaaf282e5	VENTILATION
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	749b5014-b2a5-476f-9287-f2e8a8424968	INFILTRATION
15bb0481-c650-4dd2-aa2d-7ab482dd43c7	e36661ac-f280-42e6-bff1-b26c8c73406a	IT_LOAD
812b709c-5c1f-4458-82d8-0635f72d8ec7	12e757fa-271e-4533-a17f-80b54b1826a4	SWITCHGEAR
812b709c-5c1f-4458-82d8-0635f72d8ec7	0355aafc-b6bc-49b1-914d-1d6343367264	GENERATOR
812b709c-5c1f-4458-82d8-0635f72d8ec7	acb31e8b-b5e8-441a-9f00-19382221d44e	PRIMARY_AUXILIARIES
812b709c-5c1f-4458-82d8-0635f72d8ec7	ed1d62fa-0551-44a6-8779-16fb532a477c	UPS
812b709c-5c1f-4458-82d8-0635f72d8ec7	71b99b8d-d13c-4c1e-b274-fdcff09aa945	CRITICAL_AUXILIARIES
812b709c-5c1f-4458-82d8-0635f72d8ec7	df81e943-42d8-4299-a87c-3a831870c459	LIGHTING
812b709c-5c1f-4458-82d8-0635f72d8ec7	ef389c28-1eb3-4607-bd42-1ce87675a1b9	CRITICAL_POWER_DISTRIBUTION
812b709c-5c1f-4458-82d8-0635f72d8ec7	71bf083a-6d85-4724-a589-746852eb7434	CRAH
812b709c-5c1f-4458-82d8-0635f72d8ec7	b6ca39d8-6ec8-447a-9506-93729ab77079	CRAC
812b709c-5c1f-4458-82d8-0635f72d8ec7	db0ffc07-84c4-4d3b-8adf-3591733510d0	CRAC_WITHOUT_FAN
812b709c-5c1f-4458-82d8-0635f72d8ec7	4e2acf08-ab64-42d2-8984-39dd1580a09b	CRAC_FAN
812b709c-5c1f-4458-82d8-0635f72d8ec7	4d54a962-031a-486a-aa8d-315fb14b7c62	CHILLER
812b709c-5c1f-4458-82d8-0635f72d8ec7	1e7dbcfc-4fe3-4019-be38-dd164d04075d	AIR_COOLED_CHILLER
812b709c-5c1f-4458-82d8-0635f72d8ec7	1a5c39e7-5c01-4aba-90ce-e32cb7ecdc04	COOLING_TOWER
812b709c-5c1f-4458-82d8-0635f72d8ec7	b8175a47-d2cf-4377-84f4-39f155f66bad	DRY_COOLER
812b709c-5c1f-4458-82d8-0635f72d8ec7	db91cbd1-109d-4e29-a14e-92d19717679c	REMOTE_CONDENSER
812b709c-5c1f-4458-82d8-0635f72d8ec7	d9eef7bb-dfd8-47b9-9ef9-46cf28cf4cd8	CHILLED_WATER_PUMPS
812b709c-5c1f-4458-82d8-0635f72d8ec7	f1895dc7-16df-42e7-b69f-80bb0d0b5815	HEAT_REJECTION_PUMPS
812b709c-5c1f-4458-82d8-0635f72d8ec7	735c8e44-936f-4ae1-bdc9-aed2cc976791	VENTILATION
812b709c-5c1f-4458-82d8-0635f72d8ec7	4d906cdc-f74c-437a-ac6b-3b69fe25139a	INFILTRATION
812b709c-5c1f-4458-82d8-0635f72d8ec7	e3ddb0e2-9b24-42ec-b6a2-292e0b9f9957	IT_LOAD
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	10aacad7-1445-4daa-94d4-77b552948007	SWITCHGEAR
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	428fdb9d-e46a-4a2a-ac2b-a2d9eaecb15f	GENERATOR
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	36f56c1f-628d-47c1-9b39-1cd47ff5f972	PRIMARY_AUXILIARIES
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	814cd495-9e54-4f7e-bb3e-0728a2a66879	UPS
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	48c40760-77e5-4859-9780-089d05ecae51	CRITICAL_AUXILIARIES
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	412ad2cc-a764-44be-8407-8a358cd20e2e	LIGHTING
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	ad94ece3-5914-4a02-9c73-6854f350f9fb	CRITICAL_POWER_DISTRIBUTION
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	4acc699c-64d6-4c61-bdc9-b27a1a41d802	CRAH
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	31c83bf0-23ad-41d0-a391-7742ac75c737	CRAC
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	c2f00bdb-ec10-4571-a8fd-ab9a177e7275	CRAC_WITHOUT_FAN
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	70c73df1-c606-44e5-ab17-2c549d1a646e	CRAC_FAN
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	57716afb-6fb9-4cf8-9cc1-7402b8ed8d0d	CHILLER
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	a7af065c-c3f4-44d4-ab6d-fec6ac87e93c	AIR_COOLED_CHILLER
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	8152a925-aab3-4b26-a89a-b2b21f73eff0	COOLING_TOWER
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	6b28ac0d-f9ae-4c8b-b01d-1b14d136f9e4	DRY_COOLER
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	1cd2cc9a-86e8-4e5e-adea-f0e31fe0f989	REMOTE_CONDENSER
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	ac7a4c27-3501-4d43-8612-04d89300aea3	CHILLED_WATER_PUMPS
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	bfead937-cbe2-4786-9b07-8bc5173e4c07	HEAT_REJECTION_PUMPS
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	10129d12-e10c-4ef4-9186-6878e0dd1f57	VENTILATION
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	44e9fd73-f519-41d8-a19d-6deca0382e6f	INFILTRATION
1cbc418e-50dd-45b1-9610-f97f8fa6f1b2	63fbfc83-4cdc-40cc-95b6-f88e5b7a3bb7	IT_LOAD
53c67149-0d37-414b-866f-8abff80a7cbf	6145b30a-cc4d-4efd-9079-2d1cdf785b24	SWITCHGEAR
53c67149-0d37-414b-866f-8abff80a7cbf	f43abddf-98d6-4567-b75e-df448003aaa5	GENERATOR
53c67149-0d37-414b-866f-8abff80a7cbf	b9c853ef-c11b-4430-bdbb-072c3f2e36e3	PRIMARY_AUXILIARIES
53c67149-0d37-414b-866f-8abff80a7cbf	ba0952a6-2f40-4b5b-9699-0be59a418aa9	UPS
53c67149-0d37-414b-866f-8abff80a7cbf	3f2bb932-1f4c-4e29-8b24-b0ac24f91a79	CRITICAL_AUXILIARIES
53c67149-0d37-414b-866f-8abff80a7cbf	c254a789-44d3-4f77-80a3-21f13e690672	LIGHTING
53c67149-0d37-414b-866f-8abff80a7cbf	326a8a76-a572-456e-8c38-4d39666f1ebd	CRITICAL_POWER_DISTRIBUTION
53c67149-0d37-414b-866f-8abff80a7cbf	3093f93d-fe94-4831-9b82-e256ec23186b	CRAH
53c67149-0d37-414b-866f-8abff80a7cbf	b363191d-6c93-46d0-b24d-8a4ceb71c49b	CRAC
53c67149-0d37-414b-866f-8abff80a7cbf	ef6de251-4e47-4153-ae40-4b88e691c810	CRAC_WITHOUT_FAN
53c67149-0d37-414b-866f-8abff80a7cbf	46f48d75-a716-49fe-9c5e-3f614d71cbeb	CRAC_FAN
53c67149-0d37-414b-866f-8abff80a7cbf	320836f3-7e0a-4769-a428-fc9456eafa26	CHILLER
53c67149-0d37-414b-866f-8abff80a7cbf	7c46ecfc-ae39-493c-8f0f-1d10b00b5f46	AIR_COOLED_CHILLER
53c67149-0d37-414b-866f-8abff80a7cbf	0e27dda4-4fb9-43a9-89fd-540976894e02	COOLING_TOWER
53c67149-0d37-414b-866f-8abff80a7cbf	1a895d6a-bb2f-42d0-b51a-b26f8a2d529d	DRY_COOLER
53c67149-0d37-414b-866f-8abff80a7cbf	bfda56e2-3e6c-48cc-95d9-d6e5cfe2c721	REMOTE_CONDENSER
53c67149-0d37-414b-866f-8abff80a7cbf	6092fefb-4628-4cae-ae61-d7a48fbf7bc8	CHILLED_WATER_PUMPS
53c67149-0d37-414b-866f-8abff80a7cbf	7d099240-4284-4156-a473-a19ed22ef1b8	HEAT_REJECTION_PUMPS
53c67149-0d37-414b-866f-8abff80a7cbf	fd498d58-26e3-4731-b827-ccb8e9de6517	VENTILATION
53c67149-0d37-414b-866f-8abff80a7cbf	4aa4f823-2f96-4219-bf60-f21506bc9c3f	INFILTRATION
53c67149-0d37-414b-866f-8abff80a7cbf	ff3e88fe-389b-42f2-87e2-c2c50de4b9e7	IT_LOAD
e9c1545c-c37d-45d8-a63f-072017ad9174	7fac24e2-ce7f-4638-bbdb-6cee7487396b	SWITCHGEAR
e9c1545c-c37d-45d8-a63f-072017ad9174	280eba40-fb2a-470c-8d92-f4a22d3a680b	GENERATOR
e9c1545c-c37d-45d8-a63f-072017ad9174	28c727b5-c9c9-4546-bd62-53442e0d8789	PRIMARY_AUXILIARIES
e9c1545c-c37d-45d8-a63f-072017ad9174	a1a5fc59-c5c9-4ae1-97d8-79ccf6373539	UPS
e9c1545c-c37d-45d8-a63f-072017ad9174	8b154cb2-2c72-4de0-8765-298bfe54fa3f	CRITICAL_AUXILIARIES
e9c1545c-c37d-45d8-a63f-072017ad9174	5d6b0e70-6539-4759-b1b8-06ff7109b362	LIGHTING
e9c1545c-c37d-45d8-a63f-072017ad9174	427d3a3d-ce03-4087-8a38-18b8c5dfd279	CRITICAL_POWER_DISTRIBUTION
e9c1545c-c37d-45d8-a63f-072017ad9174	af866d02-bf77-4bf7-9216-fa3c91578c35	CRAH
e9c1545c-c37d-45d8-a63f-072017ad9174	c6d71a9b-906d-4f60-9f9f-2a302f528586	CRAC
e9c1545c-c37d-45d8-a63f-072017ad9174	b35044d3-9434-4342-b5ac-e918a767af40	CRAC_WITHOUT_FAN
e9c1545c-c37d-45d8-a63f-072017ad9174	33cf3c7a-46cf-4c3e-ae14-66b4945867b2	CRAC_FAN
e9c1545c-c37d-45d8-a63f-072017ad9174	4418bfd7-99cc-497e-a546-ce65d4b0ec02	CHILLER
e9c1545c-c37d-45d8-a63f-072017ad9174	5d5fb22d-e2e1-4b74-b402-4b5401f8d1ae	AIR_COOLED_CHILLER
e9c1545c-c37d-45d8-a63f-072017ad9174	90130501-454f-4830-a0d7-91f9c12bdf32	COOLING_TOWER
e9c1545c-c37d-45d8-a63f-072017ad9174	6961568d-30b3-4ec2-9547-57365c482928	DRY_COOLER
e9c1545c-c37d-45d8-a63f-072017ad9174	f497d886-3870-48c7-ab7b-a6c5408efc31	REMOTE_CONDENSER
e9c1545c-c37d-45d8-a63f-072017ad9174	18cb3238-320a-4acc-bf61-330922bf43ab	CHILLED_WATER_PUMPS
e9c1545c-c37d-45d8-a63f-072017ad9174	cac0d050-bc7c-4f4b-81b8-96cc8de61a70	HEAT_REJECTION_PUMPS
e9c1545c-c37d-45d8-a63f-072017ad9174	1c050e65-37ff-43e8-be77-6cb778ec80f2	VENTILATION
e9c1545c-c37d-45d8-a63f-072017ad9174	c6ba0fb1-da06-4d53-908a-6a69656f2213	INFILTRATION
e9c1545c-c37d-45d8-a63f-072017ad9174	b46b745a-9405-44a3-9939-89158d16da46	IT_LOAD
710997b0-a01d-4790-839d-202ca59126d8	93b947fd-c05f-45d0-84fd-8cde154831df	SWITCHGEAR
710997b0-a01d-4790-839d-202ca59126d8	e6edf755-915a-48d1-892f-7e5933503898	GENERATOR
710997b0-a01d-4790-839d-202ca59126d8	43e10d77-ca20-4b83-814a-ab2791fae916	PRIMARY_AUXILIARIES
710997b0-a01d-4790-839d-202ca59126d8	12faf53b-fe39-4811-b01a-53881fa99398	UPS
710997b0-a01d-4790-839d-202ca59126d8	7d994713-0cce-4416-99f8-b366bb52c235	CRITICAL_AUXILIARIES
710997b0-a01d-4790-839d-202ca59126d8	6101692c-fe28-4038-863c-da3db424af21	LIGHTING
710997b0-a01d-4790-839d-202ca59126d8	d92d2dd5-099b-4daf-8091-d0a0fff139e9	CRITICAL_POWER_DISTRIBUTION
710997b0-a01d-4790-839d-202ca59126d8	68465472-aaa2-4a46-98eb-5d4d4add087d	CRAH
710997b0-a01d-4790-839d-202ca59126d8	29414809-1fd9-4cc6-b59b-4a6ca8e74833	CRAC
710997b0-a01d-4790-839d-202ca59126d8	e3c87d14-708b-4d8e-8df1-e8b55322d2fd	CRAC_WITHOUT_FAN
710997b0-a01d-4790-839d-202ca59126d8	6c2782b4-17c5-47f7-a66c-dd6a5785dd31	CRAC_FAN
710997b0-a01d-4790-839d-202ca59126d8	1a0aa760-5b4c-4f2f-8770-9da845ae6ca4	CHILLER
710997b0-a01d-4790-839d-202ca59126d8	9a2e1e48-a4fb-45da-a498-7fdfeadb04aa	AIR_COOLED_CHILLER
710997b0-a01d-4790-839d-202ca59126d8	3f197d94-034d-4e08-bae0-9de1657493f6	COOLING_TOWER
710997b0-a01d-4790-839d-202ca59126d8	e0b3846a-84ae-4fca-9429-11dcae2ae50e	DRY_COOLER
710997b0-a01d-4790-839d-202ca59126d8	a2fa3140-80a0-4de0-8c24-3ef315ba2c99	REMOTE_CONDENSER
710997b0-a01d-4790-839d-202ca59126d8	c0a81c62-c7fa-412a-b2a5-5e21325cd5e0	CHILLED_WATER_PUMPS
710997b0-a01d-4790-839d-202ca59126d8	9beed468-35a4-4a8d-b687-e2bc0552b201	HEAT_REJECTION_PUMPS
710997b0-a01d-4790-839d-202ca59126d8	62b94cf5-747e-48bd-a99e-31f0b3c536c7	VENTILATION
710997b0-a01d-4790-839d-202ca59126d8	1d3c6cd3-1488-424c-bb3c-69f148fbc70f	INFILTRATION
710997b0-a01d-4790-839d-202ca59126d8	0a9a5e20-5de2-4d98-8a2f-286722846ea8	IT_LOAD
752cdf7e-2202-4a0a-8d50-628842f60aab	93ffa9d9-c6a1-42b6-9ea3-45769eece8d4	SWITCHGEAR
752cdf7e-2202-4a0a-8d50-628842f60aab	787ea0bf-ead5-4613-83af-6973571f2d15	GENERATOR
752cdf7e-2202-4a0a-8d50-628842f60aab	22912d52-5baa-43a1-8049-6106b9762437	PRIMARY_AUXILIARIES
752cdf7e-2202-4a0a-8d50-628842f60aab	f88a35c0-8b33-4f0b-8b84-c793b53bef16	UPS
752cdf7e-2202-4a0a-8d50-628842f60aab	22c7b507-5c19-4a73-84da-102b094d3ff6	CRITICAL_AUXILIARIES
752cdf7e-2202-4a0a-8d50-628842f60aab	6f68586e-dfd1-48bc-acd9-d3d5fe393af4	LIGHTING
752cdf7e-2202-4a0a-8d50-628842f60aab	7c7e2de4-7438-4db1-abd5-ec552446fdfd	CRITICAL_POWER_DISTRIBUTION
752cdf7e-2202-4a0a-8d50-628842f60aab	86026fea-5f74-4dbd-9248-87a4fcd6ddcf	CRAH
752cdf7e-2202-4a0a-8d50-628842f60aab	e8505b70-0525-470e-9424-fe19c705e0d8	CRAC
752cdf7e-2202-4a0a-8d50-628842f60aab	3caa69f9-ffc4-423a-9959-6b525f940747	CRAC_WITHOUT_FAN
752cdf7e-2202-4a0a-8d50-628842f60aab	6f9e62e0-4624-44b4-b0ca-6876b6ee52cc	CRAC_FAN
752cdf7e-2202-4a0a-8d50-628842f60aab	6ce7b1b6-d6a0-427e-bc01-592deff92905	CHILLER
752cdf7e-2202-4a0a-8d50-628842f60aab	742cd42f-d902-44ca-aec7-ceee5526fd03	AIR_COOLED_CHILLER
752cdf7e-2202-4a0a-8d50-628842f60aab	8f22b3f9-26b2-4865-bddd-f1d4ebd76c48	COOLING_TOWER
752cdf7e-2202-4a0a-8d50-628842f60aab	8cf761b4-1dda-40f5-9f53-8ad673a156c0	DRY_COOLER
752cdf7e-2202-4a0a-8d50-628842f60aab	65b9d99f-ae37-4d33-879b-d7547d721fc3	REMOTE_CONDENSER
752cdf7e-2202-4a0a-8d50-628842f60aab	1d2d0a5d-99c0-4022-862a-e4b16a255685	CHILLED_WATER_PUMPS
752cdf7e-2202-4a0a-8d50-628842f60aab	5aaea708-9a6b-420a-b06c-3ebfe17e94c4	HEAT_REJECTION_PUMPS
752cdf7e-2202-4a0a-8d50-628842f60aab	bbbb5cc2-e635-44c8-a93a-9a7e212cfaac	VENTILATION
752cdf7e-2202-4a0a-8d50-628842f60aab	99c9f9ad-2ec1-4923-9702-0e45c3e8b9dc	INFILTRATION
752cdf7e-2202-4a0a-8d50-628842f60aab	531693a9-f201-466c-9060-c5bffb83ba98	IT_LOAD
c6de0cae-0997-49a6-a45f-944738977a3f	dcefac97-21cd-45fc-bf54-adffcbdd36b6	SWITCHGEAR
c6de0cae-0997-49a6-a45f-944738977a3f	cd3c413d-0468-48f5-8f38-a8e8a18c2d89	GENERATOR
c6de0cae-0997-49a6-a45f-944738977a3f	ce3a151a-d554-40e1-a9bf-22bef989df1b	PRIMARY_AUXILIARIES
c6de0cae-0997-49a6-a45f-944738977a3f	7df70249-ca52-4018-ae28-553011008dfc	UPS
c6de0cae-0997-49a6-a45f-944738977a3f	ce17f1f8-29a4-4c4b-a15f-5e45d1cf6176	CRITICAL_AUXILIARIES
c6de0cae-0997-49a6-a45f-944738977a3f	164d7f42-4bbb-4ff2-9d7d-32037da3d796	LIGHTING
c6de0cae-0997-49a6-a45f-944738977a3f	ac5dd297-b5f6-4f08-b6b3-3af3512fd5d5	CRITICAL_POWER_DISTRIBUTION
c6de0cae-0997-49a6-a45f-944738977a3f	4f0416a6-5e6c-4be9-8bee-6f439d43f9e2	CRAH
c6de0cae-0997-49a6-a45f-944738977a3f	ff775366-0405-4368-a816-35344fb57a44	CRAC
c6de0cae-0997-49a6-a45f-944738977a3f	9ab8e1a2-2ef6-4c6c-a8b6-0995e16d2cff	CRAC_WITHOUT_FAN
c6de0cae-0997-49a6-a45f-944738977a3f	33db8237-ccbd-4385-a1f9-55d61013eb2f	CRAC_FAN
c6de0cae-0997-49a6-a45f-944738977a3f	b05c444d-f212-4dcc-a210-47453a514a94	CHILLER
c6de0cae-0997-49a6-a45f-944738977a3f	4f6c0e54-8887-4f46-85b8-bd53d67178cb	AIR_COOLED_CHILLER
c6de0cae-0997-49a6-a45f-944738977a3f	28e4b150-2977-4709-9594-eb237d3315c1	COOLING_TOWER
c6de0cae-0997-49a6-a45f-944738977a3f	3cc66eeb-0f46-459b-a5b7-a3a19731d6f4	DRY_COOLER
c6de0cae-0997-49a6-a45f-944738977a3f	8b0759c1-5fe1-45de-bf63-33a72ffb2f05	REMOTE_CONDENSER
c6de0cae-0997-49a6-a45f-944738977a3f	f053b1de-e1c8-4fb8-8d79-c4d6e46bcc43	CHILLED_WATER_PUMPS
c6de0cae-0997-49a6-a45f-944738977a3f	13122533-0f8a-4540-93de-3045c0052910	HEAT_REJECTION_PUMPS
c6de0cae-0997-49a6-a45f-944738977a3f	d6207c28-8c42-497a-bdbf-bc2760ddba31	VENTILATION
c6de0cae-0997-49a6-a45f-944738977a3f	70ea4fd5-9096-4d8e-b1c4-b7147d6e1a98	INFILTRATION
c6de0cae-0997-49a6-a45f-944738977a3f	90489281-2998-488e-9cec-55ba02f2372c	IT_LOAD
55085b56-6915-450c-9457-083ba326d9f2	f61dcc0f-e503-4e5c-9aad-b1456cad50f8	SWITCHGEAR
55085b56-6915-450c-9457-083ba326d9f2	f95d605a-5eb7-420d-95a9-5722a00d0e24	GENERATOR
55085b56-6915-450c-9457-083ba326d9f2	fbbe39c1-bcff-4328-acd8-b851467eab47	PRIMARY_AUXILIARIES
55085b56-6915-450c-9457-083ba326d9f2	a17d31cb-6f4f-4649-ade1-6c6b4222bee3	UPS
55085b56-6915-450c-9457-083ba326d9f2	acef17a3-5ff2-4556-94b1-dbbd9a98eaee	CRITICAL_AUXILIARIES
55085b56-6915-450c-9457-083ba326d9f2	4029705a-17c1-4816-8d30-a95dfca5cd1a	LIGHTING
55085b56-6915-450c-9457-083ba326d9f2	1e5daed7-7ad5-4df8-8c62-c869f5fe313b	CRITICAL_POWER_DISTRIBUTION
55085b56-6915-450c-9457-083ba326d9f2	25ebb431-991a-4e52-9e17-68dbbfa74f5c	CRAH
55085b56-6915-450c-9457-083ba326d9f2	8aa94926-d53e-438a-9f0c-cfbfd6db3075	CRAC
55085b56-6915-450c-9457-083ba326d9f2	d22e9205-8582-4253-ac7d-9cbf18ab3d54	CRAC_WITHOUT_FAN
55085b56-6915-450c-9457-083ba326d9f2	9411d082-5b09-4336-91e6-9d006e42b21e	CRAC_FAN
55085b56-6915-450c-9457-083ba326d9f2	8d499314-0cc2-4779-879d-bbb717bf3cf2	CHILLER
55085b56-6915-450c-9457-083ba326d9f2	79ddb53c-1b2d-4d5e-9a8e-3f5217a779cc	AIR_COOLED_CHILLER
55085b56-6915-450c-9457-083ba326d9f2	f297faa9-07ba-43d2-8c5d-1975641e0351	COOLING_TOWER
55085b56-6915-450c-9457-083ba326d9f2	c2a69bbc-e65e-4e1c-955f-6c12731f94fd	DRY_COOLER
55085b56-6915-450c-9457-083ba326d9f2	3698a8e5-1092-47a1-a483-fe9b46672da0	REMOTE_CONDENSER
55085b56-6915-450c-9457-083ba326d9f2	0548f8e2-3298-4521-8cdb-180fc319f891	CHILLED_WATER_PUMPS
55085b56-6915-450c-9457-083ba326d9f2	c96a1a59-d2ca-4c62-8f07-0f016db3bf5e	HEAT_REJECTION_PUMPS
55085b56-6915-450c-9457-083ba326d9f2	daada54a-7398-4506-9aba-d39bc501073d	VENTILATION
55085b56-6915-450c-9457-083ba326d9f2	fc9f9253-193e-4db4-b7dd-bd9229d0882e	INFILTRATION
55085b56-6915-450c-9457-083ba326d9f2	4e779d68-c0a4-4e0c-b553-f62e5cc57b98	IT_LOAD
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	6226bb1f-7377-41f4-977a-095fc3f33b8a	SWITCHGEAR
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	59565e70-df47-4c5b-8700-2fca79200e7e	GENERATOR
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	37d4fb6a-72f4-469b-bd04-7b53e9bf9029	PRIMARY_AUXILIARIES
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	1c5b1391-d07e-4ab0-8a5e-435c168845a9	UPS
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	030c8f4b-c254-4ab2-8bba-113bdf33d77b	CRITICAL_AUXILIARIES
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	227001f2-4164-4895-8930-57c63f3a2455	LIGHTING
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	24c7cf49-7ec2-4338-9f12-8aa66c1b8c74	CRITICAL_POWER_DISTRIBUTION
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	499aa999-61c6-4ab7-84ad-ccba7fa76d98	CRAH
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	5b79f0d2-5d9f-48cb-b19c-0466eab82a8e	CRAC
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	f7e774da-6baf-445d-953e-d6d332d65623	CRAC_WITHOUT_FAN
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	44429289-573c-483b-931a-a7ec7b148cf2	CRAC_FAN
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	71ad68bf-647d-4097-ab96-16e57e3d27df	CHILLER
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	bcbdb1f1-7029-4741-bf14-9436bb01a7c1	AIR_COOLED_CHILLER
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	549011c8-482f-4b8c-b8fb-be2fc2fce232	COOLING_TOWER
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	77592964-6adb-4925-9f4d-25d73476f6af	DRY_COOLER
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	36f1d43e-c7bc-4c00-a365-a385059a8375	REMOTE_CONDENSER
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	23063b21-6fa3-40ef-acbc-fc9f506fe84b	CHILLED_WATER_PUMPS
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	67e0da99-e092-406c-aa83-c8468900feaa	HEAT_REJECTION_PUMPS
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	78c6e832-87c2-4ff3-aee7-59e364bf1ad4	VENTILATION
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	872d7270-e17d-4407-9bb8-0edf4a28b44b	INFILTRATION
767a9a64-3e1c-4ff5-bfef-94d9d31127ea	817ef035-e99b-4103-b8a2-ee4116e04556	IT_LOAD
eb087d7c-afb1-4a86-974b-1421ae27dd30	38b51203-e9dc-41be-a506-9e85f16031e7	SWITCHGEAR
eb087d7c-afb1-4a86-974b-1421ae27dd30	514470de-0d17-4b7b-8b0d-7a85008f4df8	GENERATOR
eb087d7c-afb1-4a86-974b-1421ae27dd30	2dfc606c-dae0-4b7a-b975-685c9128ec26	PRIMARY_AUXILIARIES
eb087d7c-afb1-4a86-974b-1421ae27dd30	ab367867-4eae-4d11-bef2-72d021db9963	UPS
eb087d7c-afb1-4a86-974b-1421ae27dd30	c7ad6195-4ad1-45fe-849a-0dadaedd0120	CRITICAL_AUXILIARIES
eb087d7c-afb1-4a86-974b-1421ae27dd30	916c183f-e6cc-45a5-a238-29f070cb2589	LIGHTING
eb087d7c-afb1-4a86-974b-1421ae27dd30	7be9063f-bc1a-4923-adc6-642518ab5d0b	CRITICAL_POWER_DISTRIBUTION
eb087d7c-afb1-4a86-974b-1421ae27dd30	b98b1f66-489e-48d3-b1e6-e25cb2125ccc	CRAH
eb087d7c-afb1-4a86-974b-1421ae27dd30	23d7c994-fea4-4034-8ed2-ce2690dc8148	CRAC
eb087d7c-afb1-4a86-974b-1421ae27dd30	98d26946-73a1-4a99-be6d-8195ddd3c7e8	CRAC_WITHOUT_FAN
eb087d7c-afb1-4a86-974b-1421ae27dd30	b3154c4b-f848-44cc-bdf1-ee48a59f854b	CRAC_FAN
eb087d7c-afb1-4a86-974b-1421ae27dd30	d3f47830-dd64-4102-ab8b-a29cbe26b1e7	CHILLER
eb087d7c-afb1-4a86-974b-1421ae27dd30	1bf8e79d-c6e3-467f-8787-92f6f4c2cc3d	AIR_COOLED_CHILLER
eb087d7c-afb1-4a86-974b-1421ae27dd30	365d91d1-1824-4fcd-bdf4-26506e9badf3	COOLING_TOWER
eb087d7c-afb1-4a86-974b-1421ae27dd30	40791ba5-fa50-4ad3-90fe-ed8be532f807	DRY_COOLER
eb087d7c-afb1-4a86-974b-1421ae27dd30	2d9fbdfb-b85f-4a27-8621-83638def0720	REMOTE_CONDENSER
eb087d7c-afb1-4a86-974b-1421ae27dd30	ccdffbe6-fa64-4340-ae04-4fe4cbc24e70	CHILLED_WATER_PUMPS
eb087d7c-afb1-4a86-974b-1421ae27dd30	05f2a173-9ddf-4529-9211-6cad67b3db3d	HEAT_REJECTION_PUMPS
eb087d7c-afb1-4a86-974b-1421ae27dd30	4e9b636e-9cfe-4fae-9309-38a7d02c18c6	VENTILATION
eb087d7c-afb1-4a86-974b-1421ae27dd30	26baee10-04a6-4019-8012-d5f77c657c90	INFILTRATION
eb087d7c-afb1-4a86-974b-1421ae27dd30	009032b8-c901-4de3-8737-d81c81d2f74f	IT_LOAD
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	76d301d3-4350-40ab-b50e-0ce9ce84df85	SWITCHGEAR
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	93be253b-838d-451c-bc28-7a4f5166b35c	GENERATOR
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	c1f2c2bf-7ea2-4b76-8d59-118d326e0fd9	PRIMARY_AUXILIARIES
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	33f8b5f0-6b87-4b24-b82b-dd09b8602005	UPS
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	804ba23e-2085-4807-8bb9-b84afcc420a9	CRITICAL_AUXILIARIES
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	b88524be-0855-459b-ac5a-aff157895f8e	LIGHTING
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	79ad1350-f432-4e9c-9505-cc7e6b748b68	CRITICAL_POWER_DISTRIBUTION
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	53975463-25e5-4329-abc5-0a9b48688987	CRAH
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	e4b5ee58-461e-4ec1-9342-7b3fc2473e01	CRAC
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	a686e5bf-7af8-4712-9d7d-a6612cb3408c	CRAC_WITHOUT_FAN
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	3d3d46a3-0219-4f16-9127-0e773eb5666f	CRAC_FAN
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	8e10abcf-e47b-4b53-be59-d1c1f93c4be4	CHILLER
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	16251e3a-6df4-4fdb-ad4e-ab2d2ebff57a	AIR_COOLED_CHILLER
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	11b9b4ec-d1d2-4cee-b9b0-68650aaf8540	COOLING_TOWER
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	2de9d18f-ea53-4722-a174-fc7146f2d882	DRY_COOLER
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	bcf814ed-73e8-4f50-bd98-b50ebba5e024	REMOTE_CONDENSER
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	d285c5ef-e3db-4196-878a-311517fb6ef9	CHILLED_WATER_PUMPS
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	4dc261a7-62d7-4048-bb23-50a3d1286cec	HEAT_REJECTION_PUMPS
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	c9416b8d-616c-417b-85fd-166b415ce473	VENTILATION
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	5f0ce325-10eb-4d8a-8754-f645909d929d	INFILTRATION
6b7d24f8-0105-4a7e-9bbc-8fcf34755c3a	76a4830b-7f95-43b2-83d5-9c31263eef4e	IT_LOAD
033fd5ed-f400-4888-b8a3-67c2afc3e894	d7b80b7a-a619-4caa-acca-9e598bc44809	SWITCHGEAR
033fd5ed-f400-4888-b8a3-67c2afc3e894	4186d7ba-9542-40ba-8174-bb8d61c27c3b	GENERATOR
033fd5ed-f400-4888-b8a3-67c2afc3e894	8f7eeb6b-1f79-448b-a6e3-f999e9adda22	PRIMARY_AUXILIARIES
033fd5ed-f400-4888-b8a3-67c2afc3e894	ac4e7a64-4207-431b-b2ee-ba441180871f	UPS
033fd5ed-f400-4888-b8a3-67c2afc3e894	918ec1d1-3d1b-4419-8147-341ec3c4c9b7	CRITICAL_AUXILIARIES
033fd5ed-f400-4888-b8a3-67c2afc3e894	eb856831-a7f9-43a1-8be1-a1eeb846076c	LIGHTING
033fd5ed-f400-4888-b8a3-67c2afc3e894	43d3ab18-cf13-4713-bbfc-a5167ca0fffc	CRITICAL_POWER_DISTRIBUTION
033fd5ed-f400-4888-b8a3-67c2afc3e894	ece56f41-9e76-4ee2-9747-e07adf39b55d	CRAH
033fd5ed-f400-4888-b8a3-67c2afc3e894	7652c1fb-7d34-4a40-a7cc-d14f05b46253	CRAC
033fd5ed-f400-4888-b8a3-67c2afc3e894	be93ea88-5f7f-4dfc-baa4-86a2cea400ad	CRAC_WITHOUT_FAN
033fd5ed-f400-4888-b8a3-67c2afc3e894	11a426e1-c232-4850-a18d-1a53b47ad337	CRAC_FAN
033fd5ed-f400-4888-b8a3-67c2afc3e894	f5f658d8-4ca8-4a59-b2a9-c9a488e80e2c	CHILLER
033fd5ed-f400-4888-b8a3-67c2afc3e894	d2116117-82cf-40a3-8138-aa755f5e6de1	AIR_COOLED_CHILLER
033fd5ed-f400-4888-b8a3-67c2afc3e894	71258188-4d68-49b9-8f2c-76e6946263fd	COOLING_TOWER
033fd5ed-f400-4888-b8a3-67c2afc3e894	a57ffd5c-bad3-43b0-a651-1a1be87e7463	DRY_COOLER
033fd5ed-f400-4888-b8a3-67c2afc3e894	5e73d266-bc1b-488e-98c0-ad946281f76c	REMOTE_CONDENSER
033fd5ed-f400-4888-b8a3-67c2afc3e894	be839699-6735-46b0-ba54-95c8393e2e5e	CHILLED_WATER_PUMPS
033fd5ed-f400-4888-b8a3-67c2afc3e894	9eb962b6-5d1a-4262-a989-6112c31d7cb4	HEAT_REJECTION_PUMPS
033fd5ed-f400-4888-b8a3-67c2afc3e894	916246ca-d895-49be-9125-71ae5f3f2cf3	VENTILATION
033fd5ed-f400-4888-b8a3-67c2afc3e894	fe485162-dc95-4721-8f23-5bec93e44220	INFILTRATION
033fd5ed-f400-4888-b8a3-67c2afc3e894	c054e866-cd9f-4fff-83de-6c180d3ceba9	IT_LOAD
67275746-5537-42dc-8428-483aab25d6e6	86f2e6ee-fd59-4ae0-a1db-c63824bf9050	SWITCHGEAR
67275746-5537-42dc-8428-483aab25d6e6	38acde7a-9bfa-4033-8559-202d95b826b1	GENERATOR
67275746-5537-42dc-8428-483aab25d6e6	9268b0dd-abcb-4895-ab91-a15ffe9e850c	PRIMARY_AUXILIARIES
67275746-5537-42dc-8428-483aab25d6e6	28b28f95-2bd0-4404-b282-2e5143ba2f85	UPS
67275746-5537-42dc-8428-483aab25d6e6	b4587544-6849-42cc-8b80-794d92ccae1a	CRITICAL_AUXILIARIES
67275746-5537-42dc-8428-483aab25d6e6	f87101bb-9c04-4a16-a1d7-bac4e477f166	LIGHTING
67275746-5537-42dc-8428-483aab25d6e6	6c903c82-39c5-4fc7-99af-2c7b7c0bc5e5	CRITICAL_POWER_DISTRIBUTION
67275746-5537-42dc-8428-483aab25d6e6	9a529f9e-507f-452f-92ea-9c74c96f15c4	CRAH
67275746-5537-42dc-8428-483aab25d6e6	226f58ee-db16-4ecf-82e2-9007bd61fdc9	CRAC
67275746-5537-42dc-8428-483aab25d6e6	2b0ef535-33d2-4a12-8bbb-f4109108c04d	CRAC_WITHOUT_FAN
67275746-5537-42dc-8428-483aab25d6e6	d4dd92f3-0235-4910-aeec-cd6a5a3cec40	CRAC_FAN
67275746-5537-42dc-8428-483aab25d6e6	254653d8-ec89-4d64-85f2-d4fba2587fee	CHILLER
67275746-5537-42dc-8428-483aab25d6e6	d58f00bf-dfe4-462e-b770-e7cbcc5a43e3	AIR_COOLED_CHILLER
67275746-5537-42dc-8428-483aab25d6e6	886ddedb-6235-4ee1-8362-58c855484eba	COOLING_TOWER
67275746-5537-42dc-8428-483aab25d6e6	aa54d493-c149-4b9d-8cad-20cccf910f09	DRY_COOLER
67275746-5537-42dc-8428-483aab25d6e6	9e082a54-9818-4569-bd32-8f8f4eea1d67	REMOTE_CONDENSER
67275746-5537-42dc-8428-483aab25d6e6	a4beb7f5-a307-47d8-9885-ab14af99e6e1	CHILLED_WATER_PUMPS
67275746-5537-42dc-8428-483aab25d6e6	f4ba4f4f-9b88-408f-8050-42f1a4c34f51	HEAT_REJECTION_PUMPS
67275746-5537-42dc-8428-483aab25d6e6	67ad66f9-3ba1-46a6-a71f-e114764c665e	VENTILATION
67275746-5537-42dc-8428-483aab25d6e6	e6c1d52d-e00b-4f67-b5bf-9c1528dc0ad8	INFILTRATION
67275746-5537-42dc-8428-483aab25d6e6	179a7625-a955-4539-a31f-0efe0701418f	IT_LOAD
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	0fb50f84-6da4-4a6b-a656-83c322fd13b3	SWITCHGEAR
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	985246f2-b2f5-423a-b144-8a91911899e1	GENERATOR
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	95a8dee7-d331-4da9-9bfa-aa8f1da8a18b	PRIMARY_AUXILIARIES
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	ccf92e93-b7df-4a7a-9966-e77840be7efb	UPS
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	2658fdf3-8c2e-49c6-b30c-03de67cde382	CRITICAL_AUXILIARIES
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	66dba823-0a6c-4fea-8697-7cfefc1acade	LIGHTING
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	874d8d8d-99ea-476f-a08c-8010b78c7794	CRITICAL_POWER_DISTRIBUTION
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	c0d0bf60-cca3-43fe-89bb-e7e82d98c674	CRAH
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	a211c3a4-5f62-4f28-9398-b0b8469a7f66	CRAC
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	73ef5cf1-6199-472d-99e3-f36951e9f12f	CRAC_WITHOUT_FAN
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	74613a4d-1098-43fa-9a47-a2f1addada7b	CRAC_FAN
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	02934ac1-f79b-41ca-8090-ef8d71af5b6c	CHILLER
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	02c1eb78-be07-4a08-b54f-f634d1301830	AIR_COOLED_CHILLER
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	611eb5aa-9ba8-478f-9257-4bc6de44e8ae	COOLING_TOWER
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	7a9456e2-495b-461c-bc8c-1ca94ab33a75	DRY_COOLER
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	e532e912-244c-4031-8a52-ee1ce653a00e	REMOTE_CONDENSER
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	d27f43d4-bd1c-4210-934a-4bc1ac25df32	CHILLED_WATER_PUMPS
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	3747cc62-b311-42ac-91ab-1a2cbc302589	HEAT_REJECTION_PUMPS
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	cab120e2-c92e-4ce5-8344-139b6d6b775a	VENTILATION
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	1e5a6939-9be9-4f0e-93da-f24608663000	INFILTRATION
104c0f48-1a4e-4f3f-8e0e-33a8ae16a182	50a7c14b-5d2d-4f56-bc61-942afa15e34b	IT_LOAD
7933bf89-e78b-429f-b46a-7846913be7fc	4dbda41b-b127-4973-b755-03f6b9d73dd5	SWITCHGEAR
7933bf89-e78b-429f-b46a-7846913be7fc	21eef6fe-d20c-4160-a87d-d8477b248322	GENERATOR
7933bf89-e78b-429f-b46a-7846913be7fc	af04bad5-d73f-4012-80a0-1a5f656f0761	PRIMARY_AUXILIARIES
7933bf89-e78b-429f-b46a-7846913be7fc	42f2d5bf-2410-455f-b034-1312502f78b9	UPS
7933bf89-e78b-429f-b46a-7846913be7fc	a4709d72-19fd-4400-8e95-b71b5c0ac334	CRITICAL_AUXILIARIES
7933bf89-e78b-429f-b46a-7846913be7fc	4da25b87-a75a-492d-a9ab-f8bf21523c83	LIGHTING
7933bf89-e78b-429f-b46a-7846913be7fc	2b143869-b74d-488a-ab77-6926267777e1	CRITICAL_POWER_DISTRIBUTION
7933bf89-e78b-429f-b46a-7846913be7fc	e1523a27-4869-4014-9663-2b2840cd843f	CRAH
7933bf89-e78b-429f-b46a-7846913be7fc	dd9810ea-73ae-4c8d-a71b-b3739862549f	CRAC
7933bf89-e78b-429f-b46a-7846913be7fc	f18fa9ed-ff99-48a5-8cf4-10483993a402	CRAC_WITHOUT_FAN
7933bf89-e78b-429f-b46a-7846913be7fc	fa2d3811-25be-48d0-bbaa-5e9a5a55c7a9	CRAC_FAN
7933bf89-e78b-429f-b46a-7846913be7fc	195ad482-68bf-4b6d-937d-0812a82d54ea	CHILLER
7933bf89-e78b-429f-b46a-7846913be7fc	1d360027-c16c-4598-876d-cbd375e18c0c	AIR_COOLED_CHILLER
7933bf89-e78b-429f-b46a-7846913be7fc	1915e6f0-b795-42a2-a91d-eb81b4def947	COOLING_TOWER
7933bf89-e78b-429f-b46a-7846913be7fc	79e009a0-bee9-432a-a2e6-0b3bde8adf46	DRY_COOLER
7933bf89-e78b-429f-b46a-7846913be7fc	013224d5-98a6-4f58-aa1f-f226a32d41b7	REMOTE_CONDENSER
7933bf89-e78b-429f-b46a-7846913be7fc	01d6a134-b57d-4bf4-be22-133776bb0b33	CHILLED_WATER_PUMPS
7933bf89-e78b-429f-b46a-7846913be7fc	3212ac26-5f47-48d1-9a0e-b67159ea3cc5	HEAT_REJECTION_PUMPS
7933bf89-e78b-429f-b46a-7846913be7fc	420042a8-e349-4fda-9348-b37d39d2cd97	VENTILATION
7933bf89-e78b-429f-b46a-7846913be7fc	3399ebd6-e1a1-4041-a880-2927652a59b0	INFILTRATION
7933bf89-e78b-429f-b46a-7846913be7fc	af41b2a9-1840-41f4-bf59-8148a99789e8	IT_LOAD
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	3d51a564-1a2e-4a0c-a592-c0766aa17d2c	SWITCHGEAR
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	02f52a2f-3beb-4793-8ee9-a90731985d4b	GENERATOR
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	ecad2b7e-4c51-4c56-8d07-29b75ea054e8	PRIMARY_AUXILIARIES
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	88e0d163-f6e1-4f3a-8163-57f793302e9d	UPS
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	e6c1f99d-76c0-4e3e-84ba-4e144c4b7ac5	CRITICAL_AUXILIARIES
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	510543d2-edd1-4a56-af74-a0955e2aacdd	LIGHTING
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	b583db00-962c-422b-bdbc-e07d4e8104ee	CRITICAL_POWER_DISTRIBUTION
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	8dbe2beb-a67d-4e45-9a75-00e989213933	CRAH
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	82434a72-2f69-434a-aba0-1e56a4174b9a	CRAC
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	7a53d0c6-2b50-4278-bd43-890e29dce228	CRAC_WITHOUT_FAN
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	cd1839f2-3d93-40e0-8503-3dfe5c2796d1	CRAC_FAN
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	b0130598-18b0-4b47-b668-988d57eff71d	CHILLER
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	e5ff0804-e65d-4dd2-9c6f-8a6b6eab776e	AIR_COOLED_CHILLER
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	fa9d9b66-d8c1-4f0e-a0d8-ba2883d95f13	COOLING_TOWER
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	866b903e-2bcf-4fe2-a6f4-731bcb85b245	DRY_COOLER
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	aa6a0577-e37a-4998-b15b-bb2f1da9c0b7	REMOTE_CONDENSER
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	a520158d-6f5d-4b4b-8980-19615168df86	CHILLED_WATER_PUMPS
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	ac254d90-af9c-46e0-8580-d3919e79ce43	HEAT_REJECTION_PUMPS
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	9df34d41-03dc-411b-9634-0ece366deb24	VENTILATION
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	32a3691f-8e27-4c8b-8ea7-b16a7a8e9e95	INFILTRATION
e4f1bfd4-58e7-4e3c-96cc-8d3eed43f151	b70a830a-4f8b-4974-ac14-6809a7f76469	IT_LOAD
e4479610-a27e-4746-b065-b81d5ce4d6ec	c3bb7271-e562-419a-89a0-b74f5a1d54e2	SWITCHGEAR
e4479610-a27e-4746-b065-b81d5ce4d6ec	86734cfe-ee3e-4397-a4b8-47833d2437e1	GENERATOR
e4479610-a27e-4746-b065-b81d5ce4d6ec	ddf113ac-8a51-481f-bef7-2ac71d2be875	PRIMARY_AUXILIARIES
e4479610-a27e-4746-b065-b81d5ce4d6ec	74dff163-72f1-4be8-bb7b-9a7d064a89d5	UPS
e4479610-a27e-4746-b065-b81d5ce4d6ec	d059dbe4-aaf7-48c1-b039-866abd171198	CRITICAL_AUXILIARIES
e4479610-a27e-4746-b065-b81d5ce4d6ec	3f1bcc3b-4d7b-4327-aeb7-067f6e9cf979	LIGHTING
e4479610-a27e-4746-b065-b81d5ce4d6ec	eb53059b-59ff-47b9-9da3-e9293a5103e5	CRITICAL_POWER_DISTRIBUTION
e4479610-a27e-4746-b065-b81d5ce4d6ec	7c450bb6-9fe2-40b0-ac4f-d1e82d785869	CRAH
e4479610-a27e-4746-b065-b81d5ce4d6ec	776c6145-13f0-4d8a-ace2-ce216887ec26	CRAC
e4479610-a27e-4746-b065-b81d5ce4d6ec	8b300ef9-3ad1-4882-bad3-a1f62dc4715a	CRAC_WITHOUT_FAN
e4479610-a27e-4746-b065-b81d5ce4d6ec	adfff818-e75f-4213-957c-e8ded92d4d58	CRAC_FAN
e4479610-a27e-4746-b065-b81d5ce4d6ec	01efc3f8-1165-4f07-b6c7-e96a4ffb8969	CHILLER
e4479610-a27e-4746-b065-b81d5ce4d6ec	81623464-69ea-46df-9d25-c168268211ea	AIR_COOLED_CHILLER
e4479610-a27e-4746-b065-b81d5ce4d6ec	2763043a-21b4-4247-a7f6-e3bb5da67e80	COOLING_TOWER
e4479610-a27e-4746-b065-b81d5ce4d6ec	ea3c71a7-6406-40e0-8bbc-9245f6e56819	DRY_COOLER
e4479610-a27e-4746-b065-b81d5ce4d6ec	97092047-b65a-4600-9b04-224a7fc6c65f	REMOTE_CONDENSER
e4479610-a27e-4746-b065-b81d5ce4d6ec	634e81b7-ba1b-496e-9788-e5b4a59da99e	CHILLED_WATER_PUMPS
e4479610-a27e-4746-b065-b81d5ce4d6ec	b8879890-c80b-412a-9855-8e6ee1a20cf0	HEAT_REJECTION_PUMPS
e4479610-a27e-4746-b065-b81d5ce4d6ec	9202f829-d92f-4795-9744-da4e692a4c31	VENTILATION
e4479610-a27e-4746-b065-b81d5ce4d6ec	6fd956bf-d166-4a35-80c8-4ca4386d2de2	INFILTRATION
e4479610-a27e-4746-b065-b81d5ce4d6ec	30d42524-bd0f-478e-a45d-092f52e50bd0	IT_LOAD
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	68519b65-0bb2-4f38-b5d5-7e29c0092b2e	SWITCHGEAR
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	cf1e81cf-6b96-42dc-8a36-02c648a75e06	GENERATOR
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	2662370b-dc5d-4839-91a4-5574ccf524e0	PRIMARY_AUXILIARIES
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	33fc9937-489c-4854-b870-3e197cc12dba	UPS
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	aaa1e005-724b-471a-8958-788d15e49aef	CRITICAL_AUXILIARIES
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	9bf6e5f4-67b0-49e0-bcff-97f195dad849	LIGHTING
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	782c0944-69a1-4d27-baf0-94da1dceb45d	CRITICAL_POWER_DISTRIBUTION
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	17f5cde6-a6e5-408e-a9ff-d17cd3260aea	CRAH
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	f47d6311-91d1-44db-955d-76dbfe513f64	CRAC
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	ad06d9d5-b645-4a4b-9f8f-a2356319f224	CRAC_WITHOUT_FAN
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	ae122c55-7100-42bf-a619-a8c34ddc1254	CRAC_FAN
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	8ca4a7b4-dbb7-4943-a024-092f7c0b9926	CHILLER
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	44e96fe0-d2c4-4006-af26-eab79515ea84	AIR_COOLED_CHILLER
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	93181320-7c41-4f1f-90a4-8f6007d24e6f	COOLING_TOWER
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	2817f23a-af79-4ac1-8cb4-d50c9b76e55e	DRY_COOLER
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	7efb11df-e8d3-4592-b1e2-a8dc8318b986	REMOTE_CONDENSER
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	e0fc9a4c-388d-45f3-a4d3-817b2d71d58c	CHILLED_WATER_PUMPS
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	c1283363-588f-4510-a5c9-cf71812e2f29	HEAT_REJECTION_PUMPS
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	56a9bd1e-aaab-455e-a644-4f5c30db5252	VENTILATION
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	716a4472-b474-41ef-90f4-63c4444b2d4f	INFILTRATION
e9b59e30-b03b-4e50-8ccd-1d549ec2fa0c	8c7c7d93-cd6e-40db-a4d1-67d5a3d74350	IT_LOAD
2bcccda9-83f0-49da-a5ff-0bcd936842a0	33d201e7-361a-478c-9bcd-4d28fdbec5a7	SWITCHGEAR
2bcccda9-83f0-49da-a5ff-0bcd936842a0	55bce71e-696b-49e1-b44e-9bc7965d677f	GENERATOR
2bcccda9-83f0-49da-a5ff-0bcd936842a0	9904bdd0-d4f3-485d-8885-d9576e0d0dfb	PRIMARY_AUXILIARIES
2bcccda9-83f0-49da-a5ff-0bcd936842a0	4a34f953-6072-46ef-a870-230f72562e13	UPS
2bcccda9-83f0-49da-a5ff-0bcd936842a0	7c783d51-0746-4df1-9342-0421e70c7417	CRITICAL_AUXILIARIES
2bcccda9-83f0-49da-a5ff-0bcd936842a0	d06d995d-0f6d-4e5b-88fd-49059d9cb43c	LIGHTING
2bcccda9-83f0-49da-a5ff-0bcd936842a0	3a58b5a1-dafc-4c65-8e4c-b2e31df3fa27	CRITICAL_POWER_DISTRIBUTION
2bcccda9-83f0-49da-a5ff-0bcd936842a0	6f988dbc-84a0-4e16-a5cb-507b084f6d78	CRAH
2bcccda9-83f0-49da-a5ff-0bcd936842a0	c84a22e1-751d-4fbd-ae33-179e22cd0216	CRAC
2bcccda9-83f0-49da-a5ff-0bcd936842a0	b1a6546f-87a1-427b-b0aa-f29a83fd4d88	CRAC_WITHOUT_FAN
2bcccda9-83f0-49da-a5ff-0bcd936842a0	f566747b-883b-451c-b9ff-d7d2fcf0935f	CRAC_FAN
2bcccda9-83f0-49da-a5ff-0bcd936842a0	0a520867-32cb-4014-9847-ba4eae69f912	CHILLER
2bcccda9-83f0-49da-a5ff-0bcd936842a0	c6a7870a-6bb4-4650-b7b6-bec05bf7c598	AIR_COOLED_CHILLER
2bcccda9-83f0-49da-a5ff-0bcd936842a0	66f2d747-ce64-422b-bd04-1a95231eadee	COOLING_TOWER
2bcccda9-83f0-49da-a5ff-0bcd936842a0	31443445-0f3a-4286-abbe-d283eb6f84f4	DRY_COOLER
2bcccda9-83f0-49da-a5ff-0bcd936842a0	8da74df0-1a49-4630-9676-5d723d83ddbd	REMOTE_CONDENSER
2bcccda9-83f0-49da-a5ff-0bcd936842a0	5b64232a-b3c2-4675-acdc-d240126a852d	CHILLED_WATER_PUMPS
2bcccda9-83f0-49da-a5ff-0bcd936842a0	3821cace-ce5e-48ab-9bd9-01ff628c10c3	HEAT_REJECTION_PUMPS
2bcccda9-83f0-49da-a5ff-0bcd936842a0	07f7e651-2338-445d-b59a-4e999ea0c868	VENTILATION
2bcccda9-83f0-49da-a5ff-0bcd936842a0	b4296cf6-66a6-4595-939c-1349d2e9a1e8	INFILTRATION
2bcccda9-83f0-49da-a5ff-0bcd936842a0	8f042172-6741-47aa-854d-453039d3204b	IT_LOAD
8379a8cd-8d7a-4251-bb96-0582858c406b	6b6a435e-2400-432d-a924-ea82f7ddf454	SWITCHGEAR
8379a8cd-8d7a-4251-bb96-0582858c406b	638c73ad-e275-40c6-b16f-9c2686f0b0c6	GENERATOR
8379a8cd-8d7a-4251-bb96-0582858c406b	5178f394-30a0-473b-8dda-866d6d64f8f4	PRIMARY_AUXILIARIES
8379a8cd-8d7a-4251-bb96-0582858c406b	6fee7195-0f97-480d-9689-3cced65c2c39	UPS
8379a8cd-8d7a-4251-bb96-0582858c406b	9c6260e6-088a-4335-b173-7539f6f839d6	CRITICAL_AUXILIARIES
8379a8cd-8d7a-4251-bb96-0582858c406b	7ef46ed5-c0b2-427f-89c7-b58ddb391f93	LIGHTING
8379a8cd-8d7a-4251-bb96-0582858c406b	6427e901-8bfc-4af7-b2bf-d4f332c57783	CRITICAL_POWER_DISTRIBUTION
8379a8cd-8d7a-4251-bb96-0582858c406b	a72f4eaa-0b47-4e94-b300-a4ab643746c1	CRAH
8379a8cd-8d7a-4251-bb96-0582858c406b	2ba18242-c7b4-46c7-882d-9d4151dee12b	CRAC
8379a8cd-8d7a-4251-bb96-0582858c406b	e2469738-19d7-4c89-ad28-452fc8685cd9	CRAC_WITHOUT_FAN
8379a8cd-8d7a-4251-bb96-0582858c406b	8e03a4a5-3903-49ec-adbc-b82f39c51e93	CRAC_FAN
8379a8cd-8d7a-4251-bb96-0582858c406b	e653e345-0826-4c44-a3b4-21424f9d99f6	CHILLER
8379a8cd-8d7a-4251-bb96-0582858c406b	5356585f-b3da-493b-a424-3f8b3e2c7f5d	AIR_COOLED_CHILLER
8379a8cd-8d7a-4251-bb96-0582858c406b	98ebfce0-119d-4c01-8a6b-d92856622a03	COOLING_TOWER
8379a8cd-8d7a-4251-bb96-0582858c406b	1d84d45d-577d-45f0-9b4b-7059f89fb20c	DRY_COOLER
8379a8cd-8d7a-4251-bb96-0582858c406b	5c055810-1e64-4ab4-b3a9-2526c6c1bfd6	REMOTE_CONDENSER
8379a8cd-8d7a-4251-bb96-0582858c406b	c9d14512-7021-4804-9d85-c778b5f787c3	CHILLED_WATER_PUMPS
8379a8cd-8d7a-4251-bb96-0582858c406b	5aaa311b-d33b-49e2-817b-f609e8742334	HEAT_REJECTION_PUMPS
8379a8cd-8d7a-4251-bb96-0582858c406b	95ca81fb-6262-4a2e-aa46-4e4480c0c15a	VENTILATION
8379a8cd-8d7a-4251-bb96-0582858c406b	7a3c1ee4-8c0b-4f6b-aa93-c946488d69c8	INFILTRATION
8379a8cd-8d7a-4251-bb96-0582858c406b	b3dfdbcd-3984-4ce7-8322-1ed2c1085dfd	IT_LOAD
c2724644-1a0f-4acf-943a-dbd1d048b32c	898111b8-49d6-471d-afe5-6f1f7aa2f4f5	SWITCHGEAR
c2724644-1a0f-4acf-943a-dbd1d048b32c	4295eb09-c5b5-4d34-b9ed-57b46473e6b3	GENERATOR
c2724644-1a0f-4acf-943a-dbd1d048b32c	d626d0cc-a432-46bd-8312-454da4fdcd6d	PRIMARY_AUXILIARIES
c2724644-1a0f-4acf-943a-dbd1d048b32c	25566426-0d61-457a-af8c-625385dce0cc	UPS
c2724644-1a0f-4acf-943a-dbd1d048b32c	9087bd1b-9705-40d2-b26a-f67e0f310d92	CRITICAL_AUXILIARIES
c2724644-1a0f-4acf-943a-dbd1d048b32c	11835042-7dba-4745-b54a-0d2a52cc7e6e	LIGHTING
c2724644-1a0f-4acf-943a-dbd1d048b32c	d361be5d-2f08-46e3-ae21-851e268e6dda	CRITICAL_POWER_DISTRIBUTION
c2724644-1a0f-4acf-943a-dbd1d048b32c	194ed118-8e62-4692-8c48-b948d5991109	CRAH
c2724644-1a0f-4acf-943a-dbd1d048b32c	47870e2b-c996-4fd7-ba23-e7b619a44363	CRAC
c2724644-1a0f-4acf-943a-dbd1d048b32c	d5775811-827d-4a04-a3bc-92033fd5647a	CRAC_WITHOUT_FAN
c2724644-1a0f-4acf-943a-dbd1d048b32c	1f121e73-f4ab-4cc6-b5c1-d682f65010de	CRAC_FAN
c2724644-1a0f-4acf-943a-dbd1d048b32c	6cdb9ff7-c9b7-4044-9626-57ace75c1f46	CHILLER
c2724644-1a0f-4acf-943a-dbd1d048b32c	dfc444f6-5490-446e-84c6-ac0d6e313910	AIR_COOLED_CHILLER
c2724644-1a0f-4acf-943a-dbd1d048b32c	cdd3f30c-9bdb-43a4-95ca-f801f28b1512	COOLING_TOWER
c2724644-1a0f-4acf-943a-dbd1d048b32c	d26cc392-5c5d-48a5-87a0-c5d1b9db912a	DRY_COOLER
c2724644-1a0f-4acf-943a-dbd1d048b32c	9177e436-f362-41e7-805d-ae92575ff862	REMOTE_CONDENSER
c2724644-1a0f-4acf-943a-dbd1d048b32c	5c1fedf8-b69a-4d90-a92e-e8a96a7ba1c9	CHILLED_WATER_PUMPS
c2724644-1a0f-4acf-943a-dbd1d048b32c	84852ca9-aa77-4371-9317-4568d32ae5b7	HEAT_REJECTION_PUMPS
c2724644-1a0f-4acf-943a-dbd1d048b32c	58d5df17-1455-40c2-b7d3-308fa45b6af1	VENTILATION
c2724644-1a0f-4acf-943a-dbd1d048b32c	0813a6d2-4c43-456e-9414-5939faea255d	INFILTRATION
c2724644-1a0f-4acf-943a-dbd1d048b32c	70d2e1ff-d2fb-44be-b6db-476a27e11241	IT_LOAD
c9dac60d-9acf-4317-b007-2ba589d57d4d	0eed0b8d-07fb-493f-a198-2f5e7f9e9172	SWITCHGEAR
c9dac60d-9acf-4317-b007-2ba589d57d4d	95af477e-6137-4b55-b960-9022cfb6c26c	GENERATOR
c9dac60d-9acf-4317-b007-2ba589d57d4d	0b080323-c1e3-4645-a4ff-b01b909df4b1	PRIMARY_AUXILIARIES
c9dac60d-9acf-4317-b007-2ba589d57d4d	7f42595a-bd34-4c44-9c64-e7a746e36c48	UPS
c9dac60d-9acf-4317-b007-2ba589d57d4d	a0ff1fb3-ac08-4f6a-a90d-a1f3809bfbdc	CRITICAL_AUXILIARIES
c9dac60d-9acf-4317-b007-2ba589d57d4d	cbc8384d-628b-44f9-a613-db5b2a3737e9	LIGHTING
c9dac60d-9acf-4317-b007-2ba589d57d4d	9ec5ac90-07a5-4942-bb7a-c3efbb4c32db	CRITICAL_POWER_DISTRIBUTION
c9dac60d-9acf-4317-b007-2ba589d57d4d	c199ff7f-e558-4294-a52a-df448dcaa595	CRAH
c9dac60d-9acf-4317-b007-2ba589d57d4d	944367d4-b9d7-483e-ab38-ff0b5fd1a241	CRAC
c9dac60d-9acf-4317-b007-2ba589d57d4d	c3cb36a3-b569-498f-9956-36788178be03	CRAC_WITHOUT_FAN
c9dac60d-9acf-4317-b007-2ba589d57d4d	8fc6b071-cb45-47fe-888a-314ec41e74b2	CRAC_FAN
c9dac60d-9acf-4317-b007-2ba589d57d4d	bf093a3c-bc6a-493f-be9e-3656d6471b5a	CHILLER
c9dac60d-9acf-4317-b007-2ba589d57d4d	1eac2972-8d5b-4a35-89ef-5cdfdee5056b	AIR_COOLED_CHILLER
c9dac60d-9acf-4317-b007-2ba589d57d4d	cae71a8c-d6d8-4977-82cb-4f48d9bcd820	COOLING_TOWER
c9dac60d-9acf-4317-b007-2ba589d57d4d	13374dd3-e1be-41dd-84ed-8cee9153b23a	DRY_COOLER
c9dac60d-9acf-4317-b007-2ba589d57d4d	0f4fa9d3-6603-4f77-909c-d32528052c9d	REMOTE_CONDENSER
c9dac60d-9acf-4317-b007-2ba589d57d4d	ea3d060a-41d0-4fa1-ab37-73a12a8e143f	CHILLED_WATER_PUMPS
c9dac60d-9acf-4317-b007-2ba589d57d4d	c6fd6140-5ab5-4b35-babf-4abbc1645b54	HEAT_REJECTION_PUMPS
c9dac60d-9acf-4317-b007-2ba589d57d4d	b5bec965-2024-4263-be06-e8dfaea66cbb	VENTILATION
c9dac60d-9acf-4317-b007-2ba589d57d4d	a0889957-26af-4a9c-8e22-ab088774ff53	INFILTRATION
c9dac60d-9acf-4317-b007-2ba589d57d4d	abfd0d3d-c384-4da6-9d65-08c0d0d2c196	IT_LOAD
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	4ad67b75-2f47-4d73-bb22-4219695a8e8c	SWITCHGEAR
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	5efff10a-e53c-4b22-8ad1-1c12c3592080	GENERATOR
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	b17d4c84-882d-4f94-ab10-8e37f3ee13e0	PRIMARY_AUXILIARIES
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	48b19e5e-561e-4f16-8cc4-765df1e909e7	UPS
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	8bc484e0-1b32-436e-8fe0-0c7da515b34e	CRITICAL_AUXILIARIES
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	4fad1687-aec4-4cc4-9eaa-76db266bb3f4	LIGHTING
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	41a586f3-5adb-4ee8-8f5c-3c45fd82e84f	CRITICAL_POWER_DISTRIBUTION
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	a00e0b92-fbca-4f8c-a712-ac760343c2ab	CRAH
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	4018de93-6696-414c-a67e-e005b54508de	CRAC
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	ad2a1aba-3f17-4e27-9156-2de0bfd9a32b	CRAC_WITHOUT_FAN
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	3dce38be-8d20-4afb-803e-e78fc6f58717	CRAC_FAN
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	c5e1426e-d480-4afa-9632-776499c5e5c5	CHILLER
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	13c7a9aa-f983-4f50-96a8-dd20129d367a	AIR_COOLED_CHILLER
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	74e56eff-930e-47aa-8ff9-9e7ec3e55874	COOLING_TOWER
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	2d18a834-e801-4875-8355-0be34d8c2e8e	DRY_COOLER
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	abe724b6-ed4a-4c9b-bfc0-2dd80d9d0b1a	REMOTE_CONDENSER
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	87f0b785-8cd3-4206-911c-0c6af44a8bbe	CHILLED_WATER_PUMPS
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	9118fe2a-94f4-407b-8db1-f8149943d3b8	HEAT_REJECTION_PUMPS
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	f6f3a257-347d-4139-8886-39251f845f3d	VENTILATION
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	cbf669a8-aeb7-49eb-a40a-b16d5e3d306e	INFILTRATION
b023e9b3-7ed1-4ea6-a561-82175c9f06b3	255ac5b2-b293-471d-bc5f-0da3c20a8919	IT_LOAD
1a374961-73e7-4d60-974d-23cdd3dbacbb	142c1618-0ebc-4d59-8f2a-b09551423dd4	SWITCHGEAR
1a374961-73e7-4d60-974d-23cdd3dbacbb	e23d7553-4953-4824-be56-68005fd34b84	GENERATOR
1a374961-73e7-4d60-974d-23cdd3dbacbb	5827420f-98b1-4f26-89a0-14320ba2bb15	PRIMARY_AUXILIARIES
1a374961-73e7-4d60-974d-23cdd3dbacbb	412a14e5-8dcb-4468-b08f-04db282f5320	UPS
1a374961-73e7-4d60-974d-23cdd3dbacbb	5634f550-5116-4554-b3f9-22746b9f2700	CRITICAL_AUXILIARIES
1a374961-73e7-4d60-974d-23cdd3dbacbb	84e2e1b3-b48c-424a-bed5-81761a7f8daa	LIGHTING
1a374961-73e7-4d60-974d-23cdd3dbacbb	63c1f768-4c93-4d4a-b0e0-2825767a8be4	CRITICAL_POWER_DISTRIBUTION
1a374961-73e7-4d60-974d-23cdd3dbacbb	7ec4ee01-79fb-470c-8946-4301c68ad889	CRAH
1a374961-73e7-4d60-974d-23cdd3dbacbb	9a5797c9-3219-40ba-88d9-5648f41b749c	CRAC
1a374961-73e7-4d60-974d-23cdd3dbacbb	beefe74e-e8ef-4150-a361-f9395ed9b30d	CRAC_WITHOUT_FAN
1a374961-73e7-4d60-974d-23cdd3dbacbb	fbb0099c-254c-4440-b1a5-708b1208f00a	CRAC_FAN
1a374961-73e7-4d60-974d-23cdd3dbacbb	a1b527c6-8e09-4c40-85fc-db4501081fc3	CHILLER
1a374961-73e7-4d60-974d-23cdd3dbacbb	d188c6ea-b6a9-40b0-8a73-59ced42e5ab7	AIR_COOLED_CHILLER
1a374961-73e7-4d60-974d-23cdd3dbacbb	244fe017-7546-46d4-ae54-59544034f6eb	COOLING_TOWER
1a374961-73e7-4d60-974d-23cdd3dbacbb	ec860011-1d60-4f34-8b8a-1835c4147287	DRY_COOLER
1a374961-73e7-4d60-974d-23cdd3dbacbb	891c016b-eae1-41e9-9504-7557c9224c53	REMOTE_CONDENSER
1a374961-73e7-4d60-974d-23cdd3dbacbb	668ae730-681b-4b0e-89c4-3d90dfd03b6e	CHILLED_WATER_PUMPS
1a374961-73e7-4d60-974d-23cdd3dbacbb	f1afd768-cc05-4518-8721-9024784d99e0	HEAT_REJECTION_PUMPS
1a374961-73e7-4d60-974d-23cdd3dbacbb	93df7abb-a734-4f31-898f-7b283c4f21bc	VENTILATION
1a374961-73e7-4d60-974d-23cdd3dbacbb	e78430b9-0a06-456a-aed6-606b7407c34a	INFILTRATION
1a374961-73e7-4d60-974d-23cdd3dbacbb	476a3843-8593-4146-adf5-56850358ba91	IT_LOAD
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	db845f74-e820-4eac-b602-0d809b825f30	SWITCHGEAR
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	898ee365-1d19-4f74-acd4-b0b3065cfa88	GENERATOR
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	eb9f40c3-6ea4-4bd3-963f-e6cab4806bd7	PRIMARY_AUXILIARIES
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	6f97c5a7-525f-459c-b6cc-490a8874ac4e	UPS
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	e1140eba-6d04-4c10-a5de-c7feb1895ee7	CRITICAL_AUXILIARIES
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	e0aad623-7406-461b-9302-4f2789ff2ac4	LIGHTING
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	3eeb0972-4e45-4372-8b91-43841009ee57	CRITICAL_POWER_DISTRIBUTION
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	64e238bb-c411-4be1-9a3a-75dd2892769c	CRAH
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	b9bb484b-8b8b-46dc-8523-2e6bb6e78f21	CRAC
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	ff16481e-52cb-4bb1-984f-e477c014cea6	CRAC_WITHOUT_FAN
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	2635d1ac-4d21-487b-a33f-8cdc2fb183a9	CRAC_FAN
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	7c35d5e5-b90f-4e88-94b9-34ceef3bcac6	CHILLER
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	e4822986-4927-4719-b925-cb84c395505a	AIR_COOLED_CHILLER
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	d6eee08e-7ca8-4256-8b5f-86ecc6df01ba	COOLING_TOWER
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	c8158575-0962-43ef-9f73-b1a8700f878a	DRY_COOLER
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	afc2740a-2f83-4b02-9e40-8cb74bf1e3ea	REMOTE_CONDENSER
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	f9eae98b-e1de-49d8-a295-9288016e7f7e	CHILLED_WATER_PUMPS
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	e7e8adb0-811f-4bfe-b15b-d78bdc7eb2ef	HEAT_REJECTION_PUMPS
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	c36ca9cf-e234-4ce9-8361-e895c8156685	VENTILATION
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	5968f9a1-289c-4b61-bcab-bce7c8fed27b	INFILTRATION
30d501fc-ba29-48f0-a8c8-94d3d9ef2d45	5d81bf65-cdfa-4f04-a104-b393a28db00d	IT_LOAD
327bf727-4325-422f-a89d-985305b58813	d8331427-729f-474d-b387-ee2948475ec3	SWITCHGEAR
327bf727-4325-422f-a89d-985305b58813	4291909d-c53c-40fb-b187-0b71343b44af	GENERATOR
327bf727-4325-422f-a89d-985305b58813	0650996d-edb4-486c-8912-bd1ade67e3fe	PRIMARY_AUXILIARIES
327bf727-4325-422f-a89d-985305b58813	41dff5e3-79d1-4bf0-a1e2-7b95e0937aa0	UPS
327bf727-4325-422f-a89d-985305b58813	293717fa-09cf-4203-b6f4-879bb444eeab	CRITICAL_AUXILIARIES
327bf727-4325-422f-a89d-985305b58813	83ec99d5-bbf7-4d5c-9d45-99d71a40505a	LIGHTING
327bf727-4325-422f-a89d-985305b58813	b70b5fb8-fe60-46da-8738-58cdc739319c	CRITICAL_POWER_DISTRIBUTION
327bf727-4325-422f-a89d-985305b58813	d53594b2-25d8-4d21-b89d-88f78cb92b89	CRAH
327bf727-4325-422f-a89d-985305b58813	075b3b87-0bab-43a4-964c-bcd718bd6d93	CRAC
327bf727-4325-422f-a89d-985305b58813	02545543-8c9c-400c-bb56-37080ca5407d	CRAC_WITHOUT_FAN
327bf727-4325-422f-a89d-985305b58813	bab78c20-0f00-40d6-85c1-fafe292a47bd	CRAC_FAN
327bf727-4325-422f-a89d-985305b58813	9120dee8-795a-4b4e-ba6c-56ea7a180974	CHILLER
327bf727-4325-422f-a89d-985305b58813	6ae13519-cde5-436d-8ffa-b1922020a3d4	AIR_COOLED_CHILLER
327bf727-4325-422f-a89d-985305b58813	5aeec10e-294b-457d-851f-aba357208af2	COOLING_TOWER
327bf727-4325-422f-a89d-985305b58813	5ceeecd9-c202-4fc9-875a-ecc4fac429a0	DRY_COOLER
327bf727-4325-422f-a89d-985305b58813	de1ebe3e-0a96-4e2e-b4cf-71a3aa274586	REMOTE_CONDENSER
327bf727-4325-422f-a89d-985305b58813	78f69d85-a609-44ed-9f14-a08331e95e0d	CHILLED_WATER_PUMPS
327bf727-4325-422f-a89d-985305b58813	8413c3e0-36a7-4ce2-93b0-135cab423028	HEAT_REJECTION_PUMPS
327bf727-4325-422f-a89d-985305b58813	c0cc9c77-4d0e-4d2d-95f3-22d4582fdd56	VENTILATION
327bf727-4325-422f-a89d-985305b58813	ef3e7527-fa9a-454c-8899-bfc3bfd5b6e9	INFILTRATION
327bf727-4325-422f-a89d-985305b58813	224f54c7-6acc-4548-8fc3-15390c35c3a0	IT_LOAD
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	51ba6594-a7a2-472b-99ef-c562d2751e88	SWITCHGEAR
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	32599498-c9aa-4969-9bc6-1f97e7aabd33	GENERATOR
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	e202db47-4f11-460d-b2d8-5160f3fecbef	PRIMARY_AUXILIARIES
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	628c65d9-6848-49cf-b854-3f5a850a7fcf	UPS
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	9a0686db-22e7-4685-9b72-391710eced2e	CRITICAL_AUXILIARIES
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	173e4f29-776f-4191-9e2f-e9b244e3c478	LIGHTING
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	216a1ccd-669a-4c93-bc74-9bdbe038fcdb	CRITICAL_POWER_DISTRIBUTION
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	4891c268-d446-4552-9b2e-3e8ecbf0f553	CRAH
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	c9cb6ac0-e5a5-4aee-b3cc-ad9749964aa1	CRAC
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	17efc110-fe2d-4751-9827-6b2e5ebb0f76	CRAC_WITHOUT_FAN
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	25cb2927-7efe-4493-ac8d-72027f77810c	CRAC_FAN
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	59820290-6fd0-41b2-94b8-300b1b6622a4	CHILLER
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	0b71d85b-e146-4b9b-a4e2-682ad9a4ce69	AIR_COOLED_CHILLER
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	2b3bce32-9897-4202-9439-2697e1d3ea00	COOLING_TOWER
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	15bc641e-76f2-401d-9737-1f35ae9a637e	DRY_COOLER
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	b8ecc2a3-f76c-49f8-b991-4259270f4248	REMOTE_CONDENSER
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	153dca97-91a5-4f30-8e67-91a5f0976bb6	CHILLED_WATER_PUMPS
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	b8fd6f73-40d1-4a5e-a754-0a78e73934eb	HEAT_REJECTION_PUMPS
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	2d55a3c5-5192-4e99-aecb-60cd5350d338	VENTILATION
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	c54fdecd-f2a7-42e4-8fe9-f82b1662b5ed	INFILTRATION
2f7cf1cd-4dd7-4525-bd7b-b6d34ae7c480	61641497-5539-4697-88be-383a212f8660	IT_LOAD
02daf5f8-6337-4611-ab35-b1a003241183	1cd30cac-e751-4a5b-92c0-2e0cf0c1080c	SWITCHGEAR
02daf5f8-6337-4611-ab35-b1a003241183	e3b81d1a-37e6-4cc3-8383-f5274fec48e0	GENERATOR
02daf5f8-6337-4611-ab35-b1a003241183	2eee0b96-80ec-44ba-ad42-08722b88027e	PRIMARY_AUXILIARIES
02daf5f8-6337-4611-ab35-b1a003241183	f117ec9c-5418-4d81-b119-f91d1c62811e	UPS
02daf5f8-6337-4611-ab35-b1a003241183	91327765-2121-4b61-95d1-549e8d5243b4	CRITICAL_AUXILIARIES
02daf5f8-6337-4611-ab35-b1a003241183	f1f2281f-1441-40a9-9933-6e2d69e823d2	LIGHTING
02daf5f8-6337-4611-ab35-b1a003241183	02095141-781b-4206-9684-7298184f06f6	CRITICAL_POWER_DISTRIBUTION
02daf5f8-6337-4611-ab35-b1a003241183	a87ae313-8127-4ece-926b-3b1dd042e3a8	CRAH
02daf5f8-6337-4611-ab35-b1a003241183	582b773f-a9fd-4a7e-8c1e-b1b2228a8d54	CRAC
02daf5f8-6337-4611-ab35-b1a003241183	0ef77447-0af5-4dc7-b03e-7a11c8974f84	CRAC_WITHOUT_FAN
02daf5f8-6337-4611-ab35-b1a003241183	865533d5-621d-4aeb-9051-5d50be54a816	CRAC_FAN
02daf5f8-6337-4611-ab35-b1a003241183	e5acb507-8edd-40a3-8994-2528154e1143	CHILLER
02daf5f8-6337-4611-ab35-b1a003241183	a3b8b75b-b254-4112-b569-b3fbe08e94e7	AIR_COOLED_CHILLER
02daf5f8-6337-4611-ab35-b1a003241183	9a7d6e43-c877-4eaa-aa8e-c0cbd1ec942a	COOLING_TOWER
02daf5f8-6337-4611-ab35-b1a003241183	6674e69c-102c-4888-8625-c801534ef646	DRY_COOLER
02daf5f8-6337-4611-ab35-b1a003241183	dc1bc415-26ee-4b85-85c4-517d12dd8246	REMOTE_CONDENSER
02daf5f8-6337-4611-ab35-b1a003241183	368c5209-f7bd-47e8-931d-55831ff9e155	CHILLED_WATER_PUMPS
02daf5f8-6337-4611-ab35-b1a003241183	233daadd-7ba0-4dc7-84d7-4c1d3a75645a	HEAT_REJECTION_PUMPS
02daf5f8-6337-4611-ab35-b1a003241183	9849a587-3e42-4d00-9155-410147e9f692	VENTILATION
02daf5f8-6337-4611-ab35-b1a003241183	6535bdef-7e45-462f-a061-f30d06277a79	INFILTRATION
02daf5f8-6337-4611-ab35-b1a003241183	5737d036-68c0-4c41-b7be-c7210ef1056f	IT_LOAD
b32f15a0-0232-4a07-b014-5664e6e14412	f527539a-e047-42ee-94c7-8526b589a3a6	SWITCHGEAR
b32f15a0-0232-4a07-b014-5664e6e14412	d3dd1998-e87d-4755-b472-1a684bd4f6ef	GENERATOR
b32f15a0-0232-4a07-b014-5664e6e14412	2a94b80b-3b05-42af-a122-bfe8db44d964	PRIMARY_AUXILIARIES
b32f15a0-0232-4a07-b014-5664e6e14412	4a2e02a5-fb4c-4833-8695-0ab6a86549fd	UPS
b32f15a0-0232-4a07-b014-5664e6e14412	21f8f305-61c9-4186-93f8-deb9bda814b9	CRITICAL_AUXILIARIES
b32f15a0-0232-4a07-b014-5664e6e14412	e208a385-8d04-4ede-98b8-c89ea25829e0	LIGHTING
b32f15a0-0232-4a07-b014-5664e6e14412	daa50eec-8d71-4905-965d-f9e4a65221d5	CRITICAL_POWER_DISTRIBUTION
b32f15a0-0232-4a07-b014-5664e6e14412	39a86f39-296c-42c7-b34c-fdb9b0552ac0	CRAH
b32f15a0-0232-4a07-b014-5664e6e14412	acc9aa60-cbd8-442f-9e2e-16112b458b14	CRAC
b32f15a0-0232-4a07-b014-5664e6e14412	c43e870c-39d6-47f3-b71e-d8909ca97822	CRAC_WITHOUT_FAN
b32f15a0-0232-4a07-b014-5664e6e14412	9007cea3-b2b6-4b83-816b-4fec9e9cb09a	CRAC_FAN
b32f15a0-0232-4a07-b014-5664e6e14412	d0fae347-d176-4657-ab28-5796321673b5	CHILLER
b32f15a0-0232-4a07-b014-5664e6e14412	201b00c5-2cf0-4c53-94a8-041701cec73b	AIR_COOLED_CHILLER
b32f15a0-0232-4a07-b014-5664e6e14412	bab5a2a5-d136-485c-a4d8-71f45b326878	COOLING_TOWER
b32f15a0-0232-4a07-b014-5664e6e14412	1a458e53-bbd6-4c70-a261-394d1927c50c	DRY_COOLER
b32f15a0-0232-4a07-b014-5664e6e14412	3b37d303-8ff4-42c1-b5c5-472d7c0720f5	REMOTE_CONDENSER
b32f15a0-0232-4a07-b014-5664e6e14412	bb0fd914-97ed-4344-84ac-f4f09299571a	CHILLED_WATER_PUMPS
b32f15a0-0232-4a07-b014-5664e6e14412	2501bb1e-0494-445f-806f-2c73853e741c	HEAT_REJECTION_PUMPS
b32f15a0-0232-4a07-b014-5664e6e14412	8cf6ce6d-14f7-430c-ad51-2c4c9f85efa8	VENTILATION
b32f15a0-0232-4a07-b014-5664e6e14412	91ba8e42-51c0-4b76-a533-4d39acbbdf10	INFILTRATION
b32f15a0-0232-4a07-b014-5664e6e14412	10c0a659-338c-4c39-ae6f-2b2cd64380ae	IT_LOAD
60fe598a-7cc3-4a01-b68b-a3b287f672e2	928d210c-717f-4bed-9a9d-1224d5880d03	SWITCHGEAR
60fe598a-7cc3-4a01-b68b-a3b287f672e2	bcc42aec-3540-4637-9c82-40ef69f46fd4	GENERATOR
60fe598a-7cc3-4a01-b68b-a3b287f672e2	fe52464f-21c6-48ce-a076-f35e080814cd	PRIMARY_AUXILIARIES
60fe598a-7cc3-4a01-b68b-a3b287f672e2	21687712-eac0-49cb-be8e-5ab03ba84184	UPS
60fe598a-7cc3-4a01-b68b-a3b287f672e2	b9a3f012-e02b-4153-9853-ae7562d0c316	CRITICAL_AUXILIARIES
60fe598a-7cc3-4a01-b68b-a3b287f672e2	27bb6127-efae-4a86-81b6-607371f90230	LIGHTING
60fe598a-7cc3-4a01-b68b-a3b287f672e2	0c616710-449f-45ee-b3b7-1fc845a33de2	CRITICAL_POWER_DISTRIBUTION
60fe598a-7cc3-4a01-b68b-a3b287f672e2	89127630-ee4a-43d1-abfe-71fae6432b78	CRAH
60fe598a-7cc3-4a01-b68b-a3b287f672e2	3289a787-675a-4057-ac61-707ae1b57c3e	CRAC
60fe598a-7cc3-4a01-b68b-a3b287f672e2	e6b71bd6-5748-4fbc-b964-2066b5310e38	CRAC_WITHOUT_FAN
60fe598a-7cc3-4a01-b68b-a3b287f672e2	a6eea40f-55a2-4986-bea9-8d754c0dd4b4	CRAC_FAN
60fe598a-7cc3-4a01-b68b-a3b287f672e2	16a3fb9f-380c-424e-ace3-da22239bd3e8	CHILLER
60fe598a-7cc3-4a01-b68b-a3b287f672e2	5014db8a-5b7a-47c4-a520-ec328bb1f7e4	AIR_COOLED_CHILLER
60fe598a-7cc3-4a01-b68b-a3b287f672e2	c4914f95-ab8c-40a1-8751-caf50606cc23	COOLING_TOWER
60fe598a-7cc3-4a01-b68b-a3b287f672e2	413a1212-acf8-4f83-9de0-af65c08c2bf1	DRY_COOLER
60fe598a-7cc3-4a01-b68b-a3b287f672e2	e8acc9bc-ab79-4769-9fd7-a4a0cf4a90cf	REMOTE_CONDENSER
60fe598a-7cc3-4a01-b68b-a3b287f672e2	9030e8c8-99f6-4093-8e83-4202528ae40a	CHILLED_WATER_PUMPS
60fe598a-7cc3-4a01-b68b-a3b287f672e2	ca5d5d2e-82e7-4da6-af6f-e3ae27679ee8	HEAT_REJECTION_PUMPS
60fe598a-7cc3-4a01-b68b-a3b287f672e2	fa6ad68e-d875-4785-b26c-16f17a7bec81	VENTILATION
60fe598a-7cc3-4a01-b68b-a3b287f672e2	5a71ce87-89e8-4065-bc29-595f2384b020	INFILTRATION
60fe598a-7cc3-4a01-b68b-a3b287f672e2	ff4feceb-661f-4692-a1c2-8c1da18c0cbd	IT_LOAD
74ebddb3-11c6-4d71-b790-acd100a8c2f2	3f63c3c7-31a9-482e-b4f8-18fd748b06df	SWITCHGEAR
74ebddb3-11c6-4d71-b790-acd100a8c2f2	76976e8e-8bab-4b98-9eae-befcdfe30b17	GENERATOR
74ebddb3-11c6-4d71-b790-acd100a8c2f2	2506f37a-f49f-405d-a7d2-77fe05c4cba6	PRIMARY_AUXILIARIES
74ebddb3-11c6-4d71-b790-acd100a8c2f2	304be587-ce1b-4ddc-aca9-4274758f1b43	UPS
74ebddb3-11c6-4d71-b790-acd100a8c2f2	dd6eacd7-f638-48b0-bb55-3183c564b1d7	CRITICAL_AUXILIARIES
74ebddb3-11c6-4d71-b790-acd100a8c2f2	01ba4857-91ea-4445-a03b-1e2fe65aa0e9	LIGHTING
74ebddb3-11c6-4d71-b790-acd100a8c2f2	fabd94da-a03e-4b7a-95dd-a11745560772	CRITICAL_POWER_DISTRIBUTION
74ebddb3-11c6-4d71-b790-acd100a8c2f2	e0afee57-addf-4fdf-93a7-ca03e0666001	CRAH
74ebddb3-11c6-4d71-b790-acd100a8c2f2	0a13a489-dbd1-4507-879c-a23c38f2783f	CRAC
74ebddb3-11c6-4d71-b790-acd100a8c2f2	a8cd2c80-e06e-4f8f-b082-87f8c2e2ec50	CRAC_WITHOUT_FAN
74ebddb3-11c6-4d71-b790-acd100a8c2f2	93dfd544-409d-4226-9d95-03e77093067d	CRAC_FAN
74ebddb3-11c6-4d71-b790-acd100a8c2f2	3e51a64e-ffb4-43f0-a622-01d00d982fcb	CHILLER
74ebddb3-11c6-4d71-b790-acd100a8c2f2	7ae6d633-3bba-4872-8049-60ac65f8b5a7	AIR_COOLED_CHILLER
74ebddb3-11c6-4d71-b790-acd100a8c2f2	21d4a709-b447-4eb5-9b2b-09ffe36059c2	COOLING_TOWER
74ebddb3-11c6-4d71-b790-acd100a8c2f2	9e09b22a-6e7e-4632-934d-295a2686fe0d	DRY_COOLER
74ebddb3-11c6-4d71-b790-acd100a8c2f2	d89cebc3-8111-453c-84b7-1546ccb49642	REMOTE_CONDENSER
74ebddb3-11c6-4d71-b790-acd100a8c2f2	e09f9d85-0122-4305-b1d1-bd02a407485c	CHILLED_WATER_PUMPS
74ebddb3-11c6-4d71-b790-acd100a8c2f2	b2f56d16-52c0-4702-bd9e-516427570fc7	HEAT_REJECTION_PUMPS
74ebddb3-11c6-4d71-b790-acd100a8c2f2	bca6fb2b-1802-4b63-9d7e-aa0b8b0426d7	VENTILATION
74ebddb3-11c6-4d71-b790-acd100a8c2f2	4076b7d0-a431-4cbb-8fd8-d0b5fdc149ec	INFILTRATION
74ebddb3-11c6-4d71-b790-acd100a8c2f2	ae1b48b9-73a2-42a1-aab6-14dad266cc26	IT_LOAD
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	2c2b9ca1-b4fc-40cc-aa49-6dc499f2749b	SWITCHGEAR
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	aaa1288d-9359-4096-8d69-0621699961f1	GENERATOR
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	b95723a2-ac4f-4fe5-88a5-88f7152dc93d	PRIMARY_AUXILIARIES
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	95ab49ec-1fed-4518-9763-04b98f2832b9	UPS
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	ac7bb8ad-c1a9-47f1-92dd-4be923698ad2	CRITICAL_AUXILIARIES
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	63ce7642-4fd9-4b18-ac2b-92e59c33627f	LIGHTING
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	9ee867d5-77b7-46fc-ace1-e09b9e1b42ce	CRITICAL_POWER_DISTRIBUTION
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	32213a6e-df67-4d9e-9910-b990cf91b658	CRAH
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	10b3bd63-cc52-4dbc-b3d6-060a908b8762	CRAC
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	645c87fd-9006-4716-aeab-a035005597f0	CRAC_WITHOUT_FAN
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	3392f0ae-5660-4745-bdc5-ffaaf642da2f	CRAC_FAN
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	f11b9307-a949-465e-bbae-71313e4971db	CHILLER
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	7e49639b-ff0e-473e-89d0-fd95d1036b49	AIR_COOLED_CHILLER
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	a1bbbc59-d174-4318-813f-8ef9bd181a0f	COOLING_TOWER
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	abaa2f7a-806d-40a5-83ab-681a99809dfb	DRY_COOLER
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	52ce44ae-d69f-460a-a071-595d9161f29e	REMOTE_CONDENSER
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	c78e33f5-6b62-4f86-9ed7-5ee1cc9eac94	CHILLED_WATER_PUMPS
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	9f329a6f-7a85-4b7a-af7b-d551ae7d3e7f	HEAT_REJECTION_PUMPS
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	fc507c71-be8d-4fe3-85c5-41e53108aa78	VENTILATION
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	b649ba19-d497-45cf-b42f-307d5c361b1b	INFILTRATION
63f8cea3-6406-44a8-ae3c-66ee35b4c01e	69034b95-e93e-4089-a55c-5ee80b31e7d8	IT_LOAD
4d749af9-39c4-4273-85db-6dd8e42bc8a9	47de9ed9-3de0-4e6b-a54c-6cc93f8e4f21	SWITCHGEAR
4d749af9-39c4-4273-85db-6dd8e42bc8a9	5ed46999-4367-44a8-9b12-6adb68bf7765	GENERATOR
4d749af9-39c4-4273-85db-6dd8e42bc8a9	430c0072-f8bd-4f81-b0e2-c0cc76995ad1	PRIMARY_AUXILIARIES
4d749af9-39c4-4273-85db-6dd8e42bc8a9	f75369bd-b680-4e9f-bd11-f04cb9d23d19	UPS
4d749af9-39c4-4273-85db-6dd8e42bc8a9	acf83799-6f21-4f2e-acf8-498c9fd1c89a	CRITICAL_AUXILIARIES
4d749af9-39c4-4273-85db-6dd8e42bc8a9	b6f011dd-c8ec-462e-aa33-c86f2fbab1ae	LIGHTING
4d749af9-39c4-4273-85db-6dd8e42bc8a9	40c62898-14f8-4c0c-b725-3ba401f372fd	CRITICAL_POWER_DISTRIBUTION
4d749af9-39c4-4273-85db-6dd8e42bc8a9	89a41b2a-a47b-43e9-8e23-dc60c6fad879	CRAH
4d749af9-39c4-4273-85db-6dd8e42bc8a9	30371960-0a26-4dad-81f6-2acf4e4ffe11	CRAC
4d749af9-39c4-4273-85db-6dd8e42bc8a9	bc633a74-2e8c-4d5e-bf5c-0634c19d63f8	CRAC_WITHOUT_FAN
4d749af9-39c4-4273-85db-6dd8e42bc8a9	0f65f2a5-5456-4022-b197-b821b69293ac	CRAC_FAN
4d749af9-39c4-4273-85db-6dd8e42bc8a9	cab09182-422a-4933-b8d9-4c590b9afe84	CHILLER
4d749af9-39c4-4273-85db-6dd8e42bc8a9	d35e0ca9-a7a3-49d0-8ab3-7f70cf884549	AIR_COOLED_CHILLER
4d749af9-39c4-4273-85db-6dd8e42bc8a9	bcabc746-4004-4b52-944c-00c44b45ddee	COOLING_TOWER
4d749af9-39c4-4273-85db-6dd8e42bc8a9	95d463d6-b056-43a8-8a9d-3d026df60ba6	DRY_COOLER
4d749af9-39c4-4273-85db-6dd8e42bc8a9	29c29068-b6d7-43c8-a975-5e67f1e94a74	REMOTE_CONDENSER
4d749af9-39c4-4273-85db-6dd8e42bc8a9	3bf6b4aa-81a2-4732-b9d4-33da2924fb60	CHILLED_WATER_PUMPS
4d749af9-39c4-4273-85db-6dd8e42bc8a9	ebbea6a1-7e6e-4e99-9a79-9c2d19edbb70	HEAT_REJECTION_PUMPS
4d749af9-39c4-4273-85db-6dd8e42bc8a9	b6621891-ab6f-4ec9-97bb-7d9088e5aa49	VENTILATION
4d749af9-39c4-4273-85db-6dd8e42bc8a9	429c480d-d1a0-4626-9d61-568172f5a102	INFILTRATION
4d749af9-39c4-4273-85db-6dd8e42bc8a9	fd76113c-49f1-40cf-8a80-b2ae7f293113	IT_LOAD
6972537c-2a2e-4c3f-960a-6a7f137b05ac	d5ea4f13-3a73-4cac-a933-c7bae662ae0b	SWITCHGEAR
6972537c-2a2e-4c3f-960a-6a7f137b05ac	d07964ed-128c-48f6-ba82-4eaff247a17a	GENERATOR
6972537c-2a2e-4c3f-960a-6a7f137b05ac	bdbe008e-ac68-4b2f-a239-8151ae5c9f95	PRIMARY_AUXILIARIES
6972537c-2a2e-4c3f-960a-6a7f137b05ac	df272d49-251c-42a4-be69-c7f40e66faf1	UPS
6972537c-2a2e-4c3f-960a-6a7f137b05ac	6463a135-a4a9-42b8-8e9b-44fb747afc9b	CRITICAL_AUXILIARIES
6972537c-2a2e-4c3f-960a-6a7f137b05ac	55faa710-e9ab-4dec-a121-dfc8271bf7e1	LIGHTING
6972537c-2a2e-4c3f-960a-6a7f137b05ac	5d56cb7d-ebf7-430b-9b85-0fc40a0806ca	CRITICAL_POWER_DISTRIBUTION
6972537c-2a2e-4c3f-960a-6a7f137b05ac	1b1db7f0-18fa-46b6-a06d-d62793e1911e	CRAH
6972537c-2a2e-4c3f-960a-6a7f137b05ac	428b7341-2828-4da2-9f1a-1115d45fdeac	CRAC
6972537c-2a2e-4c3f-960a-6a7f137b05ac	721ed50f-65eb-4d63-a8ed-46e50bffea1c	CRAC_WITHOUT_FAN
6972537c-2a2e-4c3f-960a-6a7f137b05ac	fb18da02-7403-4a29-b64d-fbacfb81a287	CRAC_FAN
6972537c-2a2e-4c3f-960a-6a7f137b05ac	7103f43f-e3fb-4457-a13d-bd58dd34d729	CHILLER
6972537c-2a2e-4c3f-960a-6a7f137b05ac	6470d278-0ba5-4e18-9c5c-0bb436538830	AIR_COOLED_CHILLER
6972537c-2a2e-4c3f-960a-6a7f137b05ac	baf81d91-09ce-455a-b5d8-c30d60453664	COOLING_TOWER
6972537c-2a2e-4c3f-960a-6a7f137b05ac	b463c3ca-1bf1-4e48-bf7f-d88a9d5a2491	DRY_COOLER
6972537c-2a2e-4c3f-960a-6a7f137b05ac	519ca0a8-ce3b-4eee-982b-9a8e9bb10b34	REMOTE_CONDENSER
6972537c-2a2e-4c3f-960a-6a7f137b05ac	470f5348-9db8-45ab-92cf-2c9c6cac193f	CHILLED_WATER_PUMPS
6972537c-2a2e-4c3f-960a-6a7f137b05ac	bef015f5-36c9-457b-9981-cdcc8aa524c6	HEAT_REJECTION_PUMPS
6972537c-2a2e-4c3f-960a-6a7f137b05ac	1e06b520-3673-4367-88e0-f54b007f21dc	VENTILATION
6972537c-2a2e-4c3f-960a-6a7f137b05ac	770d8ec9-6cf4-4ad3-99e2-5b04f51e4be6	INFILTRATION
6972537c-2a2e-4c3f-960a-6a7f137b05ac	ec927490-58e8-449e-9965-f1ac1e736979	IT_LOAD
a024e46e-bbcd-44a5-a455-871239f14f46	d033b616-2515-4ffa-884e-5c5c251606ce	SWITCHGEAR
a024e46e-bbcd-44a5-a455-871239f14f46	67a8aea5-13f5-47b0-97e3-088372448014	GENERATOR
a024e46e-bbcd-44a5-a455-871239f14f46	0e960b3b-513d-4536-9ce1-6d47910eb86d	PRIMARY_AUXILIARIES
a024e46e-bbcd-44a5-a455-871239f14f46	6e1324fd-45aa-4427-b68d-beec7f32f602	UPS
a024e46e-bbcd-44a5-a455-871239f14f46	6e590e1b-6ef7-4f4e-b3f0-c9eca033931c	CRITICAL_AUXILIARIES
a024e46e-bbcd-44a5-a455-871239f14f46	b34be999-11f2-48af-8199-a075270d5b2d	LIGHTING
a024e46e-bbcd-44a5-a455-871239f14f46	7469358c-f90f-4d1c-b76e-ae779b28f959	CRITICAL_POWER_DISTRIBUTION
a024e46e-bbcd-44a5-a455-871239f14f46	d022bae9-53d3-459c-822f-6b6445e4a5df	CRAH
a024e46e-bbcd-44a5-a455-871239f14f46	54a3cd03-1a5b-4b85-8b28-4cbddd227c8a	CRAC
a024e46e-bbcd-44a5-a455-871239f14f46	4ffe6780-5df8-4d7e-8a37-d232dc273184	CRAC_WITHOUT_FAN
a024e46e-bbcd-44a5-a455-871239f14f46	3426c2c6-6c79-49f5-b52a-a61d1f34a726	CRAC_FAN
a024e46e-bbcd-44a5-a455-871239f14f46	b21c0be1-e8ec-4df9-a00c-84bb238a02b5	CHILLER
a024e46e-bbcd-44a5-a455-871239f14f46	a9ce66c9-8d78-4e1a-a7a3-23d349b6604a	AIR_COOLED_CHILLER
a024e46e-bbcd-44a5-a455-871239f14f46	3dfdce3e-95d7-49a1-acb7-cff5c94331f9	COOLING_TOWER
a024e46e-bbcd-44a5-a455-871239f14f46	8878ae27-f8ba-499e-9a4b-5bbb0f49019b	DRY_COOLER
a024e46e-bbcd-44a5-a455-871239f14f46	d8811fb0-3d5e-4ded-a7ab-803e9ace0da0	REMOTE_CONDENSER
a024e46e-bbcd-44a5-a455-871239f14f46	a8cf473a-feb8-4856-b48e-9888abdf125c	CHILLED_WATER_PUMPS
a024e46e-bbcd-44a5-a455-871239f14f46	fbd67f09-472f-40a8-ac93-8fa970a393e3	HEAT_REJECTION_PUMPS
a024e46e-bbcd-44a5-a455-871239f14f46	6a5cf96d-9828-40b9-bff1-2d7974a7d209	VENTILATION
a024e46e-bbcd-44a5-a455-871239f14f46	7d2b32be-2c93-4e3c-b1a4-71c6da5648e0	INFILTRATION
a024e46e-bbcd-44a5-a455-871239f14f46	296de419-ad02-4279-8c3d-3e701366ed54	IT_LOAD
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	75bcf93a-e3f8-41a8-ba12-6448ac4d0dca	SWITCHGEAR
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	46ee35c3-5ba3-4676-a384-48cbc89e718c	GENERATOR
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	b6a1ecb2-bafe-4cb9-afe5-dcd4a858e002	PRIMARY_AUXILIARIES
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	1d722cc1-d28b-4de4-a656-f196fed1ee9c	UPS
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	5d69e0a8-5809-4e50-af22-9f3bbeb31e17	CRITICAL_AUXILIARIES
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	1e436b78-61d5-4eb4-9782-bff8f62f06c4	LIGHTING
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	3ac7908c-97d9-4fc6-ab1e-4b4471d3e8ad	CRITICAL_POWER_DISTRIBUTION
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	b703d2c4-734d-4a2e-aaf4-2f0573ebe27a	CRAH
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	9b8c0388-9166-4d9d-8bc9-cdd86a91d3bd	CRAC
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	60782c81-1f21-410c-94bf-f325f635c0b3	CRAC_WITHOUT_FAN
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	9b9437ad-8ae6-4a1b-9622-1432a4922b63	CRAC_FAN
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	b5035b63-741b-4fad-9d11-f61929cd30cc	CHILLER
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	cb6ff7d6-590c-4fdc-b419-37a4bcbfc79a	AIR_COOLED_CHILLER
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	448d39cd-689b-4440-a03c-a8505039b109	COOLING_TOWER
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	a8836ac6-d2da-41a4-8ab1-a464c8e418f3	DRY_COOLER
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	5d7975a0-4cea-4d50-b9a9-95c95e4d95d6	REMOTE_CONDENSER
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	839a1d34-2f9b-4203-8326-ce9ee0586632	CHILLED_WATER_PUMPS
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	3907e586-f670-49a8-93b8-9b9b81ee3b66	HEAT_REJECTION_PUMPS
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	127268b7-b0ce-4066-b32e-92b464bddfa1	VENTILATION
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	1e518a83-6c75-4968-ad30-497daa4f773d	INFILTRATION
4119b8e4-2a1f-45c2-9cf3-80d9556acb82	d1d4c513-51f3-44ee-ab1c-191db634c070	IT_LOAD
12086b80-24d2-4be9-b6cb-eed518d18cde	d8f31743-7444-415a-83fd-7e3be38dd039	SWITCHGEAR
12086b80-24d2-4be9-b6cb-eed518d18cde	1cbdb54f-1e4a-4678-8c5f-48a36839f578	GENERATOR
12086b80-24d2-4be9-b6cb-eed518d18cde	0d42286d-5cf8-460d-a8da-8744dffb57a1	PRIMARY_AUXILIARIES
12086b80-24d2-4be9-b6cb-eed518d18cde	4a06f946-7ef2-4a41-9ac5-c6e9de96b860	UPS
12086b80-24d2-4be9-b6cb-eed518d18cde	224254ae-665d-4c46-984b-e5b34e152ce1	CRITICAL_AUXILIARIES
12086b80-24d2-4be9-b6cb-eed518d18cde	1d61bb42-3f79-4bc2-a267-89e5d8cef103	LIGHTING
12086b80-24d2-4be9-b6cb-eed518d18cde	bd84d702-f2c6-44e9-be1d-bbddbe2c915f	CRITICAL_POWER_DISTRIBUTION
12086b80-24d2-4be9-b6cb-eed518d18cde	e1f79928-7770-466a-80c9-0c67f0f7c339	CRAH
12086b80-24d2-4be9-b6cb-eed518d18cde	448002cc-1479-46de-9e86-00570f38fc0c	CRAC
12086b80-24d2-4be9-b6cb-eed518d18cde	8e5ee3a0-1be1-4cec-b4e3-df56b4c0bbed	CRAC_WITHOUT_FAN
12086b80-24d2-4be9-b6cb-eed518d18cde	ea8d3a9d-e33a-4d0e-9fb4-2038e807ab5c	CRAC_FAN
12086b80-24d2-4be9-b6cb-eed518d18cde	73f1a73a-1136-4836-b859-fe704a3540d1	CHILLER
12086b80-24d2-4be9-b6cb-eed518d18cde	c1a4e1ad-7ce5-423e-9afd-75ed7f86a73b	AIR_COOLED_CHILLER
12086b80-24d2-4be9-b6cb-eed518d18cde	6d8fec64-54d1-4589-9d1d-48f98eaf9c44	COOLING_TOWER
12086b80-24d2-4be9-b6cb-eed518d18cde	bdcd1a3e-396c-42e7-8e37-f6b8ab7964ce	DRY_COOLER
12086b80-24d2-4be9-b6cb-eed518d18cde	850fcf6b-a56f-47e6-ad68-70f8b310b0e5	REMOTE_CONDENSER
12086b80-24d2-4be9-b6cb-eed518d18cde	35adcc77-4223-422d-89de-22a10d055b80	CHILLED_WATER_PUMPS
12086b80-24d2-4be9-b6cb-eed518d18cde	f8d56586-0fee-485e-93ef-c8f05b491628	HEAT_REJECTION_PUMPS
12086b80-24d2-4be9-b6cb-eed518d18cde	de5a4782-5c9c-4f77-9810-9275872a992f	VENTILATION
12086b80-24d2-4be9-b6cb-eed518d18cde	919359e4-c274-4faa-b9ed-824136525371	INFILTRATION
12086b80-24d2-4be9-b6cb-eed518d18cde	015ae990-0663-4715-b83b-5d831df782fd	IT_LOAD
096eb847-ec25-45ca-8a5b-a466f56c5c51	b4057f92-a8ad-4dc5-92e5-5ead2030d5a0	SWITCHGEAR
096eb847-ec25-45ca-8a5b-a466f56c5c51	818f4992-91e3-4eda-b622-2fd7fb31c77f	GENERATOR
096eb847-ec25-45ca-8a5b-a466f56c5c51	1aa99bc2-64d2-4b17-b93a-5d35296b6eb4	PRIMARY_AUXILIARIES
096eb847-ec25-45ca-8a5b-a466f56c5c51	00c560e3-c67e-4556-af26-71701ced8c02	UPS
096eb847-ec25-45ca-8a5b-a466f56c5c51	349586c6-5068-4b8f-adce-fdeab51afaeb	CRITICAL_AUXILIARIES
096eb847-ec25-45ca-8a5b-a466f56c5c51	b732efb4-fb99-4974-b14f-2cc3b555d017	LIGHTING
096eb847-ec25-45ca-8a5b-a466f56c5c51	e400c42d-7c0a-497f-8120-f9c89c7e6f21	CRITICAL_POWER_DISTRIBUTION
096eb847-ec25-45ca-8a5b-a466f56c5c51	07a6d4ee-92f2-4cae-8a5b-160fa50785e3	CRAH
096eb847-ec25-45ca-8a5b-a466f56c5c51	a75e7f88-d469-458e-bcd1-82b8b5799557	CRAC
096eb847-ec25-45ca-8a5b-a466f56c5c51	e095ab1f-b61f-4907-88b3-163d489af94c	CRAC_WITHOUT_FAN
096eb847-ec25-45ca-8a5b-a466f56c5c51	1cb418f9-815e-4941-9058-df79b35084b6	CRAC_FAN
096eb847-ec25-45ca-8a5b-a466f56c5c51	1763070b-5297-496c-af2c-fa4105286a91	CHILLER
096eb847-ec25-45ca-8a5b-a466f56c5c51	e2594fcb-fa19-44ec-b50b-4059caf2db60	AIR_COOLED_CHILLER
096eb847-ec25-45ca-8a5b-a466f56c5c51	1ee3a5ca-f946-4619-8239-ed4fbf3c78af	COOLING_TOWER
096eb847-ec25-45ca-8a5b-a466f56c5c51	082e54b2-642a-414d-8e94-8790b0b576a7	DRY_COOLER
096eb847-ec25-45ca-8a5b-a466f56c5c51	c46cc541-fa01-4ad1-b8c9-7056e9f60c2e	REMOTE_CONDENSER
096eb847-ec25-45ca-8a5b-a466f56c5c51	3bdc0529-6c76-41eb-818a-071cd2e569b3	CHILLED_WATER_PUMPS
096eb847-ec25-45ca-8a5b-a466f56c5c51	72db3589-2478-44a5-9073-e733a299c872	HEAT_REJECTION_PUMPS
096eb847-ec25-45ca-8a5b-a466f56c5c51	5852130a-7285-48e1-a9da-101369581aed	VENTILATION
096eb847-ec25-45ca-8a5b-a466f56c5c51	3c4a21b4-5a69-4662-a6de-f862adb09227	INFILTRATION
096eb847-ec25-45ca-8a5b-a466f56c5c51	101cb9d6-19f6-485d-acad-7a67605b81ea	IT_LOAD
814aafd0-0b23-4476-b13f-2155abe494a9	4e9d98a9-7892-4b67-bf25-a944eb8d7cba	SWITCHGEAR
814aafd0-0b23-4476-b13f-2155abe494a9	acb0387a-5820-4c6e-8057-c8bf9083a0a4	GENERATOR
814aafd0-0b23-4476-b13f-2155abe494a9	6afd389e-9d52-4ec0-a1e8-72a23ce18adb	PRIMARY_AUXILIARIES
814aafd0-0b23-4476-b13f-2155abe494a9	5362b3db-cd06-4019-9f78-770a6a1a6f93	UPS
814aafd0-0b23-4476-b13f-2155abe494a9	b47fe513-a3f2-461f-ada1-fe123e734503	CRITICAL_AUXILIARIES
814aafd0-0b23-4476-b13f-2155abe494a9	5f8fb567-c584-4194-9e38-189ab89475fd	LIGHTING
814aafd0-0b23-4476-b13f-2155abe494a9	08eb546b-dc28-4684-a68e-c7bad138630b	CRITICAL_POWER_DISTRIBUTION
814aafd0-0b23-4476-b13f-2155abe494a9	9b74ab10-9455-4e57-8003-875c9422f042	CRAH
814aafd0-0b23-4476-b13f-2155abe494a9	123d5cba-52bf-40c6-9f12-e3c50de932d9	CRAC
814aafd0-0b23-4476-b13f-2155abe494a9	9c80a2c4-15da-472e-bee4-8cff1760bd76	CRAC_WITHOUT_FAN
814aafd0-0b23-4476-b13f-2155abe494a9	1f00f61a-46ed-4ef7-8f30-81e3251d79ad	CRAC_FAN
814aafd0-0b23-4476-b13f-2155abe494a9	6f976417-c740-4bc3-8c44-8e86dfa9e4f3	CHILLER
814aafd0-0b23-4476-b13f-2155abe494a9	7d7a2344-bdf3-4d43-a542-8e1727b7f5f2	AIR_COOLED_CHILLER
814aafd0-0b23-4476-b13f-2155abe494a9	8ef55f14-1b70-4af9-a74a-461467550fc0	COOLING_TOWER
814aafd0-0b23-4476-b13f-2155abe494a9	03718097-5e3d-4502-8e47-be2bd8c4bd3a	DRY_COOLER
814aafd0-0b23-4476-b13f-2155abe494a9	9caa4f07-c579-49da-9e7a-4ff598883072	REMOTE_CONDENSER
814aafd0-0b23-4476-b13f-2155abe494a9	da9ee81e-d0fb-4f47-aeb2-7c951b5515fa	CHILLED_WATER_PUMPS
814aafd0-0b23-4476-b13f-2155abe494a9	5a9ee4f1-bd28-4dce-a35d-dfb0f68cf6ff	HEAT_REJECTION_PUMPS
814aafd0-0b23-4476-b13f-2155abe494a9	369a68e9-a4bb-4137-8b9e-cc5aa47b0e83	VENTILATION
814aafd0-0b23-4476-b13f-2155abe494a9	0eb92184-9d04-44c3-adf4-7a8854479937	INFILTRATION
814aafd0-0b23-4476-b13f-2155abe494a9	6a21f355-f1cf-4ca8-bc21-fe054b529674	IT_LOAD
7f1c8f11-eebc-4751-ae4a-741a96ce2557	5cafbadc-4ea8-4613-bd99-999dba6d7d9d	SWITCHGEAR
7f1c8f11-eebc-4751-ae4a-741a96ce2557	3d4417fb-bbb0-41f5-a9f3-e5da42881e79	GENERATOR
7f1c8f11-eebc-4751-ae4a-741a96ce2557	afb2ce81-c68c-4842-9ba5-1a8a5fde00e8	PRIMARY_AUXILIARIES
7f1c8f11-eebc-4751-ae4a-741a96ce2557	682dec75-8b17-449a-8fb9-c98f6a544d43	UPS
7f1c8f11-eebc-4751-ae4a-741a96ce2557	a524645a-e648-44ab-8242-46837d4aa507	CRITICAL_AUXILIARIES
7f1c8f11-eebc-4751-ae4a-741a96ce2557	ebb0ba75-7378-4182-9165-d7993b2facdd	LIGHTING
7f1c8f11-eebc-4751-ae4a-741a96ce2557	805144c3-d87a-4748-87a3-51d0d87bcabd	CRITICAL_POWER_DISTRIBUTION
7f1c8f11-eebc-4751-ae4a-741a96ce2557	e8307260-72bf-43c0-bb3c-e6b9abac68ee	CRAH
7f1c8f11-eebc-4751-ae4a-741a96ce2557	1a4922f0-06d7-41da-8fc0-f3ac1e3bfd74	CRAC
7f1c8f11-eebc-4751-ae4a-741a96ce2557	d821dc47-860c-4c11-8d6c-130ebf2326f6	CRAC_WITHOUT_FAN
7f1c8f11-eebc-4751-ae4a-741a96ce2557	c27e22bf-8c35-4ee1-b9aa-db520c7ba128	CRAC_FAN
7f1c8f11-eebc-4751-ae4a-741a96ce2557	461a4e22-3894-4a7f-b0f1-f749f1cffe82	CHILLER
7f1c8f11-eebc-4751-ae4a-741a96ce2557	77a30009-8d1a-4e4a-bff4-6eb3a02c6c3b	AIR_COOLED_CHILLER
7f1c8f11-eebc-4751-ae4a-741a96ce2557	124fb31a-3348-4a90-bcac-835bea9ebc3c	COOLING_TOWER
7f1c8f11-eebc-4751-ae4a-741a96ce2557	e279ac7d-4c62-460e-abcf-07e60d48ac5d	DRY_COOLER
7f1c8f11-eebc-4751-ae4a-741a96ce2557	84d2afad-db1c-4465-9d02-24391a95571d	REMOTE_CONDENSER
7f1c8f11-eebc-4751-ae4a-741a96ce2557	69601c21-2fd7-4957-84a4-dffe273a7eb8	CHILLED_WATER_PUMPS
7f1c8f11-eebc-4751-ae4a-741a96ce2557	950a2cc6-1846-4ee7-9365-41772381c00c	HEAT_REJECTION_PUMPS
7f1c8f11-eebc-4751-ae4a-741a96ce2557	8733f176-47cb-4290-be76-f98716ff770d	VENTILATION
7f1c8f11-eebc-4751-ae4a-741a96ce2557	ddb89ef0-563d-420c-8883-056b44ea5c2d	INFILTRATION
7f1c8f11-eebc-4751-ae4a-741a96ce2557	810e949e-ec29-4213-bc25-89c39d8d5814	IT_LOAD
4b504616-ce36-46a8-83b1-f83749e17640	5ecdb4d7-0def-48f5-ad08-867e6f339281	SWITCHGEAR
4b504616-ce36-46a8-83b1-f83749e17640	e35742bd-cf45-4eb3-aad7-62b2b2ce8e5d	GENERATOR
4b504616-ce36-46a8-83b1-f83749e17640	24b962d7-ed54-4584-b84b-014eeb2e6264	PRIMARY_AUXILIARIES
4b504616-ce36-46a8-83b1-f83749e17640	8a8b8580-4e84-496d-b951-e00efd1f49eb	UPS
4b504616-ce36-46a8-83b1-f83749e17640	793b4dca-78eb-46bf-bf66-65acb5a6a228	CRITICAL_AUXILIARIES
4b504616-ce36-46a8-83b1-f83749e17640	21b0365e-452a-4686-84ae-2036f9e35637	LIGHTING
4b504616-ce36-46a8-83b1-f83749e17640	f92f26c0-c859-485f-9174-3d4d6b695ae7	CRITICAL_POWER_DISTRIBUTION
4b504616-ce36-46a8-83b1-f83749e17640	e6057b33-fa2e-4c3c-bdd2-fbb516b0a060	CRAH
4b504616-ce36-46a8-83b1-f83749e17640	23f8c082-2470-4dc8-8cc3-e2773868d179	CRAC
4b504616-ce36-46a8-83b1-f83749e17640	d427a0b5-fcaa-43cc-87f5-60f00913e08d	CRAC_WITHOUT_FAN
4b504616-ce36-46a8-83b1-f83749e17640	240e269c-ff0f-4459-a45a-785640bac1a2	CRAC_FAN
4b504616-ce36-46a8-83b1-f83749e17640	810384fd-f96c-4ce8-82b2-2b031fc8f9a7	CHILLER
4b504616-ce36-46a8-83b1-f83749e17640	9c069fe1-2bb5-4b8e-bef2-a5f282995829	AIR_COOLED_CHILLER
4b504616-ce36-46a8-83b1-f83749e17640	251c5057-af55-4f01-b1d4-720386032e4d	COOLING_TOWER
4b504616-ce36-46a8-83b1-f83749e17640	ada967e5-a729-498f-8451-c0d2c2b4b424	DRY_COOLER
4b504616-ce36-46a8-83b1-f83749e17640	8aca4a4c-d997-41e5-a84d-7934b5100036	REMOTE_CONDENSER
4b504616-ce36-46a8-83b1-f83749e17640	a183546b-8830-44b1-99f4-d99ff5b85513	CHILLED_WATER_PUMPS
4b504616-ce36-46a8-83b1-f83749e17640	a6c80da0-33df-41ad-882c-9cb7fcb1a7bf	HEAT_REJECTION_PUMPS
4b504616-ce36-46a8-83b1-f83749e17640	de1e500c-667b-413e-9648-7038d9611e55	VENTILATION
4b504616-ce36-46a8-83b1-f83749e17640	fe33b318-9a31-4d80-9a46-325ceb729cd0	INFILTRATION
4b504616-ce36-46a8-83b1-f83749e17640	4b5e99ff-8ee0-4193-b662-26083215920a	IT_LOAD
7e7c6886-d840-473a-aa89-f913bd54d7a4	bf1bc7b1-d1f5-4de8-8cf5-0763c2fa14b7	SWITCHGEAR
7e7c6886-d840-473a-aa89-f913bd54d7a4	8b222a59-8951-4e00-a996-514514c561cf	GENERATOR
7e7c6886-d840-473a-aa89-f913bd54d7a4	4256b165-1969-49df-bb0f-2ff88fd008b8	PRIMARY_AUXILIARIES
7e7c6886-d840-473a-aa89-f913bd54d7a4	eededf19-5a03-41e5-bf6c-a092c769fa9b	UPS
7e7c6886-d840-473a-aa89-f913bd54d7a4	fde8b8f6-8945-4f61-9142-c92a225c5f2c	CRITICAL_AUXILIARIES
7e7c6886-d840-473a-aa89-f913bd54d7a4	8ea80743-14d6-4bda-bd6b-9c44894181b8	LIGHTING
7e7c6886-d840-473a-aa89-f913bd54d7a4	cf314ca2-b63f-45a3-98d5-9987c326fc86	CRITICAL_POWER_DISTRIBUTION
7e7c6886-d840-473a-aa89-f913bd54d7a4	e61a2af7-df3f-4570-880d-e4484b8de1a9	CRAH
7e7c6886-d840-473a-aa89-f913bd54d7a4	5940e208-db25-4adc-a828-f8e7d71260a3	CRAC
7e7c6886-d840-473a-aa89-f913bd54d7a4	24c6424d-e09d-4cce-9570-1224ac8f9358	CRAC_WITHOUT_FAN
7e7c6886-d840-473a-aa89-f913bd54d7a4	551b4128-98cb-42a6-820d-7e07761acfa4	CRAC_FAN
7e7c6886-d840-473a-aa89-f913bd54d7a4	0163c2f7-dedb-4657-b512-06b31622c034	CHILLER
7e7c6886-d840-473a-aa89-f913bd54d7a4	2c09837f-e9ba-4f75-80e0-5b6b162cf72c	AIR_COOLED_CHILLER
7e7c6886-d840-473a-aa89-f913bd54d7a4	2f9a0310-9337-4e3f-b0df-60375e209efa	COOLING_TOWER
7e7c6886-d840-473a-aa89-f913bd54d7a4	0e94ffd0-b075-46e1-9466-7bb9c88c2beb	DRY_COOLER
7e7c6886-d840-473a-aa89-f913bd54d7a4	b3782c75-c231-4d89-bf68-25f425ed70c6	REMOTE_CONDENSER
7e7c6886-d840-473a-aa89-f913bd54d7a4	8986d7dc-3ba6-453d-acba-e2758135d88e	CHILLED_WATER_PUMPS
7e7c6886-d840-473a-aa89-f913bd54d7a4	deeafa23-1508-4c79-bd42-368cce46509c	HEAT_REJECTION_PUMPS
7e7c6886-d840-473a-aa89-f913bd54d7a4	d852f806-2074-49c6-a753-36c41fe92ac5	VENTILATION
7e7c6886-d840-473a-aa89-f913bd54d7a4	bf8ab115-06bc-45ec-a21f-3c133e03e9ea	INFILTRATION
7e7c6886-d840-473a-aa89-f913bd54d7a4	5e64a77b-3823-43f8-bab3-9a9d69894bf2	IT_LOAD
02ea1e65-5790-41cd-a0d6-8868cf03366d	7bb56d44-b46f-4c22-aabf-284846c079c6	SWITCHGEAR
02ea1e65-5790-41cd-a0d6-8868cf03366d	5b24d9e1-3137-44c4-8385-22bc2919cab9	GENERATOR
02ea1e65-5790-41cd-a0d6-8868cf03366d	bf19de15-459c-4206-9e38-a8b1483497d8	PRIMARY_AUXILIARIES
02ea1e65-5790-41cd-a0d6-8868cf03366d	e61e2b62-a040-4038-a70d-920291b0678c	UPS
02ea1e65-5790-41cd-a0d6-8868cf03366d	061fe96a-0f5a-4051-a8fd-42344711b0a2	CRITICAL_AUXILIARIES
02ea1e65-5790-41cd-a0d6-8868cf03366d	1b43d019-d392-43db-97a5-eb2d7c43f056	LIGHTING
02ea1e65-5790-41cd-a0d6-8868cf03366d	f40aa264-5c97-4d97-8b4d-6d3900b195a1	CRITICAL_POWER_DISTRIBUTION
02ea1e65-5790-41cd-a0d6-8868cf03366d	cc8dc617-d474-45ee-a1e9-b6d1ca9bdf41	CRAH
02ea1e65-5790-41cd-a0d6-8868cf03366d	131004c6-19d3-4d0c-b5b2-51a4f136e0c9	CRAC
02ea1e65-5790-41cd-a0d6-8868cf03366d	b6c83ac7-d0e9-44fe-a78f-3774a5beeac5	CRAC_WITHOUT_FAN
02ea1e65-5790-41cd-a0d6-8868cf03366d	7a0de6a4-0ace-40c1-a1b9-a65e2af4035d	CRAC_FAN
02ea1e65-5790-41cd-a0d6-8868cf03366d	724be878-4ffd-477a-835f-053d48880bd0	CHILLER
02ea1e65-5790-41cd-a0d6-8868cf03366d	8549e695-dfb0-4bff-9028-a2c700712835	AIR_COOLED_CHILLER
02ea1e65-5790-41cd-a0d6-8868cf03366d	9e6999f5-d53b-4eee-82b9-1196a24aee7a	COOLING_TOWER
02ea1e65-5790-41cd-a0d6-8868cf03366d	92fb9a82-1819-4f04-a693-707bb95386ec	DRY_COOLER
02ea1e65-5790-41cd-a0d6-8868cf03366d	9297eb69-984d-496d-a474-74d8825068f8	REMOTE_CONDENSER
02ea1e65-5790-41cd-a0d6-8868cf03366d	815bdb45-0a94-4882-9093-2fe22e33646e	CHILLED_WATER_PUMPS
02ea1e65-5790-41cd-a0d6-8868cf03366d	2dcc8fdd-6a06-4113-908c-728fa5b9b113	HEAT_REJECTION_PUMPS
02ea1e65-5790-41cd-a0d6-8868cf03366d	68cf2aaa-527e-42e6-be17-6cd0117d1553	VENTILATION
02ea1e65-5790-41cd-a0d6-8868cf03366d	b8c6ce41-9008-436d-8696-ad88dc9df511	INFILTRATION
02ea1e65-5790-41cd-a0d6-8868cf03366d	9013e300-2990-40a9-a94e-181ffd4c0203	IT_LOAD
54f28569-76f8-44a6-92a9-e570c86bfec4	33061a22-1cce-4de1-b54d-b25849da7b8f	SWITCHGEAR
54f28569-76f8-44a6-92a9-e570c86bfec4	37254fac-95e9-476d-b3a4-7cf2f7d2d8ae	GENERATOR
54f28569-76f8-44a6-92a9-e570c86bfec4	9ae64236-a319-45a6-b8c6-da23bb99387c	PRIMARY_AUXILIARIES
54f28569-76f8-44a6-92a9-e570c86bfec4	dd262b81-98a5-4abe-8462-a79559e9a1c7	UPS
54f28569-76f8-44a6-92a9-e570c86bfec4	17ffa653-1c62-4374-ba8b-ef66a63b2036	CRITICAL_AUXILIARIES
54f28569-76f8-44a6-92a9-e570c86bfec4	5d1e8ace-bd60-44df-ad65-bf66d89522ea	LIGHTING
54f28569-76f8-44a6-92a9-e570c86bfec4	5ef8e997-7cc0-4867-b115-81f232d5c6d0	CRITICAL_POWER_DISTRIBUTION
54f28569-76f8-44a6-92a9-e570c86bfec4	f9e79d36-1fbd-40ab-8687-f073b661c14b	CRAH
54f28569-76f8-44a6-92a9-e570c86bfec4	24df7dab-9dd8-4c34-802d-9e4781b842e7	CRAC
54f28569-76f8-44a6-92a9-e570c86bfec4	cfecd945-517d-4605-b41d-33cf17ee4ce6	CRAC_WITHOUT_FAN
54f28569-76f8-44a6-92a9-e570c86bfec4	6ffa91d9-35c1-4634-8ff3-c65895f101d7	CRAC_FAN
54f28569-76f8-44a6-92a9-e570c86bfec4	e44a39cd-89fc-44e4-be01-e6e3a9b5ea2a	CHILLER
54f28569-76f8-44a6-92a9-e570c86bfec4	6dd76596-8755-4637-9a9c-beff94880188	AIR_COOLED_CHILLER
54f28569-76f8-44a6-92a9-e570c86bfec4	89011838-560c-4ebe-b11c-e4a25b0981f1	COOLING_TOWER
54f28569-76f8-44a6-92a9-e570c86bfec4	8e5aece5-a2d7-478a-bf12-84b9e6a24e43	DRY_COOLER
54f28569-76f8-44a6-92a9-e570c86bfec4	719c954f-accc-48cd-b667-96c029665345	REMOTE_CONDENSER
54f28569-76f8-44a6-92a9-e570c86bfec4	a60b1f40-6e2d-4716-b531-588708d32584	CHILLED_WATER_PUMPS
54f28569-76f8-44a6-92a9-e570c86bfec4	6ff7cd95-9ddc-4c2b-9224-2a486f170f70	HEAT_REJECTION_PUMPS
54f28569-76f8-44a6-92a9-e570c86bfec4	7060ff9a-faf8-44d7-a2c2-c73380c9da38	VENTILATION
54f28569-76f8-44a6-92a9-e570c86bfec4	9e813464-4929-463d-941e-d7e770df8ba7	INFILTRATION
54f28569-76f8-44a6-92a9-e570c86bfec4	14d1ebae-0dc6-4990-a52b-cbc5f8d237cf	IT_LOAD
81b52725-b628-4830-b5ef-3773f37e9350	80312eb2-ca88-46f9-9ccc-a50ea551e59b	SWITCHGEAR
81b52725-b628-4830-b5ef-3773f37e9350	1586d36b-ebd5-4ed3-b032-03eb9651dfcf	GENERATOR
81b52725-b628-4830-b5ef-3773f37e9350	e1819c03-466c-4044-b2c0-f27079809310	PRIMARY_AUXILIARIES
81b52725-b628-4830-b5ef-3773f37e9350	3fbd1e4c-ca9c-4573-8b13-9dc7a13a16fa	UPS
81b52725-b628-4830-b5ef-3773f37e9350	40fc9cb4-fdf3-4ec9-93d5-37ecd4848fe1	CRITICAL_AUXILIARIES
81b52725-b628-4830-b5ef-3773f37e9350	b30ca10c-8cae-4741-b403-ddfcb03b0fd6	LIGHTING
81b52725-b628-4830-b5ef-3773f37e9350	f4dd9fb4-4431-4703-99d9-fa0e3ece79d5	CRITICAL_POWER_DISTRIBUTION
81b52725-b628-4830-b5ef-3773f37e9350	0f227ec2-fe84-40bd-9fa5-6e467d2a0a14	CRAH
81b52725-b628-4830-b5ef-3773f37e9350	10c3cb8b-6b7b-4aaf-80ae-da090e4cac18	CRAC
81b52725-b628-4830-b5ef-3773f37e9350	e8acccd6-7d2b-41cc-80a8-81126f03c7cb	CRAC_WITHOUT_FAN
81b52725-b628-4830-b5ef-3773f37e9350	28b0f8ad-acc0-43eb-a2fa-110830cc5c8d	CRAC_FAN
81b52725-b628-4830-b5ef-3773f37e9350	3314f0b5-5fac-413d-b29d-a8471b3d6965	CHILLER
81b52725-b628-4830-b5ef-3773f37e9350	4b832225-11b8-4b9f-8cf0-fc6a312b7d96	AIR_COOLED_CHILLER
81b52725-b628-4830-b5ef-3773f37e9350	228b7016-d153-4129-ad36-8e0cb0132729	COOLING_TOWER
81b52725-b628-4830-b5ef-3773f37e9350	cb292dbc-a317-4ebb-8f4e-5fa1c252d9f3	DRY_COOLER
81b52725-b628-4830-b5ef-3773f37e9350	a6c40307-5f1f-42a4-a17d-f2b806c20111	REMOTE_CONDENSER
81b52725-b628-4830-b5ef-3773f37e9350	d8d488ba-bb9d-47ed-86f5-e7d8986617f9	CHILLED_WATER_PUMPS
81b52725-b628-4830-b5ef-3773f37e9350	b62fa1a7-0b07-47b8-9831-c7f3e12d8c04	HEAT_REJECTION_PUMPS
81b52725-b628-4830-b5ef-3773f37e9350	6749f474-3539-4876-b718-64dc2740e57c	VENTILATION
81b52725-b628-4830-b5ef-3773f37e9350	ba283047-c035-4205-8515-0547f9c659b8	INFILTRATION
81b52725-b628-4830-b5ef-3773f37e9350	1136649f-e230-4c03-81c8-81cbe1336fcb	IT_LOAD
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	5fe24e26-fdfb-46ec-bbfb-fa7825b9154c	SWITCHGEAR
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	a847450b-9cc6-421c-89b2-0df9d3bc83c3	GENERATOR
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	542787e0-946b-49f3-aacd-c705893f5a50	PRIMARY_AUXILIARIES
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	2a2d0cb5-da7d-44bc-8a3c-21669708cb5d	UPS
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	5973783e-ff9b-42c9-bac9-41e19f2da42a	CRITICAL_AUXILIARIES
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	d6cb3e32-22e7-4cc4-b5b9-1e35545732ee	LIGHTING
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	1738930e-69fd-4655-bda5-ce25acb397da	CRITICAL_POWER_DISTRIBUTION
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	0aa228d0-abee-4687-8d7e-6ae66ac0d187	CRAH
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	5570e33d-3213-459c-be56-cc3f54347beb	CRAC
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	f3aaa29e-734a-41bc-b10d-b86aa7fbff9d	CRAC_WITHOUT_FAN
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	ea3e1845-d9a9-48b7-9de2-41ebc9de9788	CRAC_FAN
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	3fb3a619-5d66-4459-8d41-5119dd3e0fbe	CHILLER
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	190908f4-484e-4346-94f7-708a15c7d07d	AIR_COOLED_CHILLER
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	24d65588-f92d-4ab1-8832-7e277537e064	COOLING_TOWER
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	211f3985-e518-459b-aee1-c3ab41af9b3e	DRY_COOLER
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	bdcbfcfa-54ac-40ec-86e9-113a5f5f5a28	REMOTE_CONDENSER
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	075e8e52-61c0-41df-8096-326c4c512295	CHILLED_WATER_PUMPS
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	36eaa7b6-847b-48bb-a2dd-0c00b8eb7d02	HEAT_REJECTION_PUMPS
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	7372d5a4-8714-4f70-a772-8ed198b97082	VENTILATION
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	c68b1c09-fc83-4095-b21f-3726798dd4c2	INFILTRATION
8d6b4527-da1e-49fa-a5c3-d6b6de883a9c	b787b19b-9f18-4c9d-9cf4-7f25d91395fd	IT_LOAD
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	50269272-1e79-4082-984b-de416b5a236d	SWITCHGEAR
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	6a335e8f-f8d8-48ef-839e-c274c67a9453	GENERATOR
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	a1fb86a2-cfde-4bac-8e02-92a836502d7a	PRIMARY_AUXILIARIES
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	8b9b7012-50e6-4bc7-ba05-0299ec9aa096	UPS
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	1a38ecd8-07ce-41e2-a2ad-9b50c1ad6f49	CRITICAL_AUXILIARIES
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	8459a24f-f2b5-4d11-bdf6-1b126bcd6dbb	LIGHTING
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	1dee98aa-96a3-4cda-bef1-c715f947e798	CRITICAL_POWER_DISTRIBUTION
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	e43550ab-89b9-4424-a914-d03485257bba	CRAH
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	72e950f5-105f-445a-b5f0-35b0d4686bcc	CRAC
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	9b4412c3-3b45-48e9-bfc0-bcbf07158117	CRAC_WITHOUT_FAN
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	9af72a07-03ae-4df5-9357-36a97daa6f94	CRAC_FAN
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	ad87cfc7-40c2-46aa-a501-239b6bfa2629	CHILLER
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	93b19d60-6fc2-453f-8dd6-c3eba8ec8113	AIR_COOLED_CHILLER
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	dc373061-c40c-4eab-a81b-782d79641f79	COOLING_TOWER
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	13d24bf9-23e2-4db3-b573-c0dfeeaa88f4	DRY_COOLER
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	f570ba28-d5ce-4c6e-b2dc-b928f1f94e9f	REMOTE_CONDENSER
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	4b480ee3-b4e6-476e-bda3-09bf98db848f	CHILLED_WATER_PUMPS
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	e0efba27-282a-4b52-ae49-ec1f5b3ce139	HEAT_REJECTION_PUMPS
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	322e2604-776b-4180-aa57-d26befb221d9	VENTILATION
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	235dd09e-2034-4493-9256-0661c21aa888	INFILTRATION
ccea0d3f-b833-4f0d-80e4-7a86ede6dcba	f1ab2b24-87fe-470a-9817-eaa927dfeb9b	IT_LOAD
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	28e0cc0e-10cb-46ee-9184-fd1e53f40467	SWITCHGEAR
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	08e85b84-e639-40b8-a53f-78a6cde21145	GENERATOR
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	ccb639f3-3820-4007-94b3-35fb37252223	PRIMARY_AUXILIARIES
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	b2c15850-7973-4b5f-8624-69bc6ce8727b	UPS
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	8052b7ee-16cd-425c-acf0-1c81c96838f1	CRITICAL_AUXILIARIES
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	97fe657b-d011-442b-b209-123c6ad3484a	LIGHTING
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	464344d6-73c1-4526-832d-988e59fe9b7e	CRITICAL_POWER_DISTRIBUTION
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	a43def51-88ae-4889-8a72-5000032e14b8	CRAH
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	4bf8784b-9827-4864-943a-eac17c725b67	CRAC
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	6b452d0a-4d43-4dd4-afe0-7a72c6e90624	CRAC_WITHOUT_FAN
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	a8fc5e64-b46f-4e6d-b461-989ecdbbfaa6	CRAC_FAN
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	03d771c8-4de1-4a51-9385-48ca366a19c8	CHILLER
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	96fedd3a-07a2-45ed-8a92-2d1b0f6920bb	AIR_COOLED_CHILLER
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	f0ba89a6-14cd-429f-9051-e680023a3f94	COOLING_TOWER
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	f66ea9dc-44d2-4851-9ea5-28b6d90ef29d	DRY_COOLER
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	50e0ec47-4c64-4b3f-a837-91c415786b33	REMOTE_CONDENSER
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	8c7b362b-85b8-40c2-82b8-68709da9fad7	CHILLED_WATER_PUMPS
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	c5c0ae7f-b4da-47d4-a500-24af00f339d2	HEAT_REJECTION_PUMPS
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	8cf392fe-638a-4bf2-8f9a-8b1c08cb1ce0	VENTILATION
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	738537bb-9a2c-4edf-844e-350eb8fcc4c2	INFILTRATION
b3d515ee-8872-4a69-8ded-c8663d3f3a4c	3c12ff91-25f0-47a1-9708-d152eda07dcc	IT_LOAD
c2f554ca-53cc-4496-a60d-700d05e8ad6e	93341c14-5a01-42ba-a28e-4ab30bbc21fc	SWITCHGEAR
c2f554ca-53cc-4496-a60d-700d05e8ad6e	6649ca05-97a6-4bfc-bf24-899f3c477b7e	GENERATOR
c2f554ca-53cc-4496-a60d-700d05e8ad6e	a3e19719-a529-43d3-ada9-b806833583ec	PRIMARY_AUXILIARIES
c2f554ca-53cc-4496-a60d-700d05e8ad6e	388bcd28-d35a-481a-885d-1200a60d65a6	UPS
c2f554ca-53cc-4496-a60d-700d05e8ad6e	0e444a23-efdc-49c0-9203-1772567d3fc2	CRITICAL_AUXILIARIES
c2f554ca-53cc-4496-a60d-700d05e8ad6e	c524b825-dfcf-412b-b6c0-3ede5a917c6b	LIGHTING
c2f554ca-53cc-4496-a60d-700d05e8ad6e	5240c0b9-adec-4daa-82b8-74183d2003cd	CRITICAL_POWER_DISTRIBUTION
c2f554ca-53cc-4496-a60d-700d05e8ad6e	b61c265a-6625-4c23-b7e7-2acc5a52b0b9	CRAH
c2f554ca-53cc-4496-a60d-700d05e8ad6e	5ab98be2-d3c5-46bb-8928-b6cb352bce73	CRAC
c2f554ca-53cc-4496-a60d-700d05e8ad6e	915c9d13-f2a6-4304-8158-36d13f95a132	CRAC_WITHOUT_FAN
c2f554ca-53cc-4496-a60d-700d05e8ad6e	61fcbd58-0cfa-4ddc-8812-f1ce81330358	CRAC_FAN
c2f554ca-53cc-4496-a60d-700d05e8ad6e	f9f33caf-5a6b-480d-b34b-47ea815982b7	CHILLER
c2f554ca-53cc-4496-a60d-700d05e8ad6e	b677da32-e1f4-4ee7-a48f-f0d2d9f86dbd	AIR_COOLED_CHILLER
c2f554ca-53cc-4496-a60d-700d05e8ad6e	8dedec7b-3874-4e9f-81c7-bc2cc653ba34	COOLING_TOWER
c2f554ca-53cc-4496-a60d-700d05e8ad6e	0a093244-ba26-44b6-bcae-033f89b7c225	DRY_COOLER
c2f554ca-53cc-4496-a60d-700d05e8ad6e	c0e7afe1-d51e-41de-91f5-d118592886f9	REMOTE_CONDENSER
c2f554ca-53cc-4496-a60d-700d05e8ad6e	6b0a3174-8c40-4b6a-b528-f64d34717881	CHILLED_WATER_PUMPS
c2f554ca-53cc-4496-a60d-700d05e8ad6e	b85971f7-8b03-4327-a85f-d700ab7b453c	HEAT_REJECTION_PUMPS
c2f554ca-53cc-4496-a60d-700d05e8ad6e	2a3d4ebd-3a07-4713-84d1-ccef92811c7e	VENTILATION
c2f554ca-53cc-4496-a60d-700d05e8ad6e	b91dcf5a-4570-4580-a8a3-e4a517aefc09	INFILTRATION
c2f554ca-53cc-4496-a60d-700d05e8ad6e	b5747dc1-1e7b-4e80-a595-b257ad1bbca4	IT_LOAD
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	c4a73ae7-de34-4427-99ff-469f131352ae	SWITCHGEAR
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	18501062-76f9-4525-b0a8-1f4d35a19970	GENERATOR
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	2a56a9a1-1fb2-41fd-86e0-40a30e9045c3	PRIMARY_AUXILIARIES
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	032d011d-8ecd-4fb6-86cc-e14f244c3202	UPS
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	d8f754c1-268e-4c50-9bda-769655838c38	CRITICAL_AUXILIARIES
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	17e5ad8d-211f-4e7e-8ceb-190583164248	LIGHTING
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	d82f5357-a318-4814-ac06-ec87571b9e53	CRITICAL_POWER_DISTRIBUTION
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	1fcdb988-f5dc-46ea-a3d9-eb905eb4a3b5	CRAH
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	c5161c71-96a7-45c6-99f3-d7ed6cf52c71	CRAC
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	3e26269b-9a8d-4f83-9999-f94c9a566d0d	CRAC_WITHOUT_FAN
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	9f4d031b-78e2-4353-ae98-89325fa64e05	CRAC_FAN
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	974b27db-2518-4793-a957-4c8a6efeaff3	CHILLER
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	b2279316-e270-4418-ada6-1b5cd5855157	AIR_COOLED_CHILLER
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	09e58f82-06a6-4dab-8ed2-e94e33f85ca7	COOLING_TOWER
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	b586000c-309f-45ba-adea-e3ca4533f7f9	DRY_COOLER
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	38ddb7d1-a0dd-4197-88e7-61f6e30024bf	REMOTE_CONDENSER
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	6360e294-12ca-4c94-ba74-0869f5d4597f	CHILLED_WATER_PUMPS
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	c0131bf3-8e44-4d03-8b91-26c1cd5ee876	HEAT_REJECTION_PUMPS
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	0a599a9c-b2d9-491a-b83f-b85e39f85576	VENTILATION
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	1ed8078b-2842-4ac3-881f-aadf1bca0610	INFILTRATION
97574d99-d22d-4ef9-a6ce-1fad885ba2cc	97eeeeaf-2509-4154-a27b-60899c45ed9c	IT_LOAD
b309cb4c-0880-4060-8dad-ef6577c167a0	43aaaf8b-9225-44d8-8352-821d1be92866	SWITCHGEAR
b309cb4c-0880-4060-8dad-ef6577c167a0	1d910bbf-9e5e-4e51-b481-68e1224080be	GENERATOR
b309cb4c-0880-4060-8dad-ef6577c167a0	11b3b1c6-8986-4fed-9e8d-55519dafdc84	PRIMARY_AUXILIARIES
b309cb4c-0880-4060-8dad-ef6577c167a0	e8ab612b-1191-4db7-9cbb-5dc299772e60	UPS
b309cb4c-0880-4060-8dad-ef6577c167a0	12b20dc0-1e80-4f78-97a4-cd6e0697abda	CRITICAL_AUXILIARIES
b309cb4c-0880-4060-8dad-ef6577c167a0	a200fd2a-06f0-4b4e-886c-3549b3f4002c	LIGHTING
b309cb4c-0880-4060-8dad-ef6577c167a0	d52ff6b4-db82-4449-bdad-7203d8fcf7e9	CRITICAL_POWER_DISTRIBUTION
b309cb4c-0880-4060-8dad-ef6577c167a0	2df332f4-4d3a-4821-9ea1-7b36cb900eac	CRAH
b309cb4c-0880-4060-8dad-ef6577c167a0	8004509c-3a03-42d8-9614-a86df214dd16	CRAC
b309cb4c-0880-4060-8dad-ef6577c167a0	d6aaa495-6226-4634-b633-5861d64acf4a	CRAC_WITHOUT_FAN
b309cb4c-0880-4060-8dad-ef6577c167a0	bc0900f9-23bb-42ac-b713-00ac377ab369	CRAC_FAN
b309cb4c-0880-4060-8dad-ef6577c167a0	14c2cfeb-5cb7-4795-a89d-353bc4326280	CHILLER
b309cb4c-0880-4060-8dad-ef6577c167a0	a460ff6e-1066-481a-afca-25c829cf2ade	AIR_COOLED_CHILLER
b309cb4c-0880-4060-8dad-ef6577c167a0	f8749133-8eba-433c-beef-e5eb46288457	COOLING_TOWER
b309cb4c-0880-4060-8dad-ef6577c167a0	7b855453-3a1e-47b6-8d51-c8d60776c1cf	DRY_COOLER
b309cb4c-0880-4060-8dad-ef6577c167a0	45214bfb-1682-4857-a763-fa7eb8ce0acc	REMOTE_CONDENSER
b309cb4c-0880-4060-8dad-ef6577c167a0	11ce1fb6-cf59-47ee-b3b6-ae825ac7ba25	CHILLED_WATER_PUMPS
b309cb4c-0880-4060-8dad-ef6577c167a0	5b60c0bf-af21-4d27-a97d-29fad2e5420e	HEAT_REJECTION_PUMPS
b309cb4c-0880-4060-8dad-ef6577c167a0	b379aa3b-92d5-4014-8d06-f4837d72832b	VENTILATION
b309cb4c-0880-4060-8dad-ef6577c167a0	2cc4dbf3-a0b1-4bc9-8e3f-421fae35613b	INFILTRATION
b309cb4c-0880-4060-8dad-ef6577c167a0	dd13b1e7-82ee-40aa-a8b4-25f76060006b	IT_LOAD
5429fb4f-58b4-4715-93c2-69e6cc3c659c	09b30949-6405-4e7e-beb5-e18439acd699	SWITCHGEAR
5429fb4f-58b4-4715-93c2-69e6cc3c659c	10dade5a-ec22-4b99-9bfa-5fe5048d1d37	GENERATOR
5429fb4f-58b4-4715-93c2-69e6cc3c659c	48cf9a52-3da8-4f35-8956-554756bb3b1c	PRIMARY_AUXILIARIES
5429fb4f-58b4-4715-93c2-69e6cc3c659c	2e73f242-bfb5-4a38-a2fc-aba8904cda80	UPS
5429fb4f-58b4-4715-93c2-69e6cc3c659c	c4355843-f69c-4067-a92d-f7ac5ab431e9	CRITICAL_AUXILIARIES
5429fb4f-58b4-4715-93c2-69e6cc3c659c	a3c7233f-b716-4c35-8d27-03bfe242bcd4	LIGHTING
5429fb4f-58b4-4715-93c2-69e6cc3c659c	77f11514-4a2d-4702-afd7-ff832fdd50da	CRITICAL_POWER_DISTRIBUTION
5429fb4f-58b4-4715-93c2-69e6cc3c659c	b55b81de-ff95-4985-b18c-7dcbd5711d82	CRAH
5429fb4f-58b4-4715-93c2-69e6cc3c659c	15c1ce9b-04d4-4860-90d1-c50f68f0cf72	CRAC
5429fb4f-58b4-4715-93c2-69e6cc3c659c	d69bb88d-95c1-4437-9c61-b3d8dda2eb1c	CRAC_WITHOUT_FAN
5429fb4f-58b4-4715-93c2-69e6cc3c659c	86927def-5225-4bb1-b003-5b1d7e11e6bd	CRAC_FAN
5429fb4f-58b4-4715-93c2-69e6cc3c659c	4ff81fe8-2727-4f90-aa56-67052aea5854	CHILLER
5429fb4f-58b4-4715-93c2-69e6cc3c659c	e136db59-f101-4589-8b2b-c8db14e2e10b	AIR_COOLED_CHILLER
5429fb4f-58b4-4715-93c2-69e6cc3c659c	691b7754-9e0d-4cc6-bd13-580c1c6194a9	COOLING_TOWER
5429fb4f-58b4-4715-93c2-69e6cc3c659c	67b4cd34-a568-49da-a9ad-c192222143c4	DRY_COOLER
5429fb4f-58b4-4715-93c2-69e6cc3c659c	e3955d84-e014-4ce6-917a-8774c8a6339f	REMOTE_CONDENSER
5429fb4f-58b4-4715-93c2-69e6cc3c659c	0248f690-4346-49fb-934d-edb1357c321e	CHILLED_WATER_PUMPS
5429fb4f-58b4-4715-93c2-69e6cc3c659c	0b165b6d-f0a4-41b1-99aa-5298b1e37262	HEAT_REJECTION_PUMPS
5429fb4f-58b4-4715-93c2-69e6cc3c659c	60e21659-f8f6-41a1-af11-8a430d88c9e6	VENTILATION
5429fb4f-58b4-4715-93c2-69e6cc3c659c	9d6a7533-18c9-4c42-a04b-7e486900df52	INFILTRATION
5429fb4f-58b4-4715-93c2-69e6cc3c659c	48173b66-9fba-4df5-ac2b-7c7ed58ad82d	IT_LOAD
283159f7-5e44-41c3-af8d-95f4ed78a401	9aa0b90d-136d-4848-ab07-e1cd03275615	SWITCHGEAR
283159f7-5e44-41c3-af8d-95f4ed78a401	4954f184-f12d-4c0f-93f1-1e5331b405e0	GENERATOR
283159f7-5e44-41c3-af8d-95f4ed78a401	66ff239f-0cde-49d7-aac4-812a5623311f	PRIMARY_AUXILIARIES
283159f7-5e44-41c3-af8d-95f4ed78a401	514fbe3c-a3e7-4a62-9869-1d0f88ef2650	UPS
283159f7-5e44-41c3-af8d-95f4ed78a401	534f5084-aa90-4d89-8600-b248aa9049ac	CRITICAL_AUXILIARIES
283159f7-5e44-41c3-af8d-95f4ed78a401	38e809cd-4c35-4530-ac9e-a060f574fc00	LIGHTING
283159f7-5e44-41c3-af8d-95f4ed78a401	d9f3f1d8-f112-46b8-8229-5974cb392dbf	CRITICAL_POWER_DISTRIBUTION
283159f7-5e44-41c3-af8d-95f4ed78a401	ce988688-073e-4377-9307-adc4c3a46aca	CRAH
283159f7-5e44-41c3-af8d-95f4ed78a401	ac72c2e7-e89c-47cd-bdae-1874b2bb2055	CRAC
283159f7-5e44-41c3-af8d-95f4ed78a401	61cab6ca-74dd-4d5c-9453-fe9e69a74300	CRAC_WITHOUT_FAN
283159f7-5e44-41c3-af8d-95f4ed78a401	b04f4c23-5fa0-4100-902e-a7182c315a4e	CRAC_FAN
283159f7-5e44-41c3-af8d-95f4ed78a401	f72ff8d5-f3f1-44dc-b388-db0b3f090ce0	CHILLER
283159f7-5e44-41c3-af8d-95f4ed78a401	48347276-c5fb-4187-b10d-6cd1f62c0a33	AIR_COOLED_CHILLER
283159f7-5e44-41c3-af8d-95f4ed78a401	bf0bece4-d754-4c32-974d-ea33f869d586	COOLING_TOWER
283159f7-5e44-41c3-af8d-95f4ed78a401	d50f8a11-1711-4acf-b320-e6526e77aaed	DRY_COOLER
283159f7-5e44-41c3-af8d-95f4ed78a401	5e4e6e6a-eeee-4d31-b7ae-b937324d72bb	REMOTE_CONDENSER
283159f7-5e44-41c3-af8d-95f4ed78a401	9cec63a3-5c41-4cf1-9089-682bb1aaeece	CHILLED_WATER_PUMPS
283159f7-5e44-41c3-af8d-95f4ed78a401	b8adbb6e-7167-4c78-bc00-fa127651ce19	HEAT_REJECTION_PUMPS
283159f7-5e44-41c3-af8d-95f4ed78a401	64c70d28-8fae-4215-b163-447853b0058f	VENTILATION
283159f7-5e44-41c3-af8d-95f4ed78a401	6101172f-8635-426e-8c22-ac2d6362dbc5	INFILTRATION
283159f7-5e44-41c3-af8d-95f4ed78a401	76a98f3f-156f-44d6-9827-07e73ea55a7a	IT_LOAD
2f392dfa-44c1-4442-bfc9-002aae71ffa6	8189a67d-af76-463a-ba15-7743f11cc0da	SWITCHGEAR
2f392dfa-44c1-4442-bfc9-002aae71ffa6	ade58b2c-a0bf-41b5-9b64-f6c2d2727e82	GENERATOR
2f392dfa-44c1-4442-bfc9-002aae71ffa6	b3974182-d16d-48c0-b159-90f4af6d8b04	PRIMARY_AUXILIARIES
2f392dfa-44c1-4442-bfc9-002aae71ffa6	eba6e83b-b8b5-452f-8dea-e9f548b0247b	UPS
2f392dfa-44c1-4442-bfc9-002aae71ffa6	0ce8a762-bdbc-45dc-ac09-158e5e8a53a4	CRITICAL_AUXILIARIES
2f392dfa-44c1-4442-bfc9-002aae71ffa6	aa7ed3b5-8e28-4023-b423-c0bc9991e364	LIGHTING
2f392dfa-44c1-4442-bfc9-002aae71ffa6	c1a1db6c-b938-4332-938e-a3b7940d0659	CRITICAL_POWER_DISTRIBUTION
2f392dfa-44c1-4442-bfc9-002aae71ffa6	2e761b25-deb8-4bca-8c75-2d99995d66d7	CRAH
2f392dfa-44c1-4442-bfc9-002aae71ffa6	a9964894-1587-47f5-a1ae-2f95a7ed276f	CRAC
2f392dfa-44c1-4442-bfc9-002aae71ffa6	ee5c9949-df0f-4cc5-b5e9-bd3baee8f454	CRAC_WITHOUT_FAN
2f392dfa-44c1-4442-bfc9-002aae71ffa6	79a528ea-46b5-427b-ae35-13df93a5309f	CRAC_FAN
2f392dfa-44c1-4442-bfc9-002aae71ffa6	a54536f5-00c3-401e-9cfa-fba60abb8a97	CHILLER
2f392dfa-44c1-4442-bfc9-002aae71ffa6	512b57c3-72fc-4dce-9a69-4a5eea5ea513	AIR_COOLED_CHILLER
2f392dfa-44c1-4442-bfc9-002aae71ffa6	058e275c-313e-4ecc-a31d-7af10eb131a5	COOLING_TOWER
2f392dfa-44c1-4442-bfc9-002aae71ffa6	03568d74-b9f9-4f01-a829-0d801be9f3f4	DRY_COOLER
2f392dfa-44c1-4442-bfc9-002aae71ffa6	457cda66-e7c3-4c08-aea0-83a4c2eaa983	REMOTE_CONDENSER
2f392dfa-44c1-4442-bfc9-002aae71ffa6	71efebdd-08a3-4b63-ba86-77fba4e18f58	CHILLED_WATER_PUMPS
2f392dfa-44c1-4442-bfc9-002aae71ffa6	605d4f7d-bbec-4993-b83e-85828791726c	HEAT_REJECTION_PUMPS
2f392dfa-44c1-4442-bfc9-002aae71ffa6	191187ab-d399-4815-9e97-646fd918407f	VENTILATION
2f392dfa-44c1-4442-bfc9-002aae71ffa6	cbf3f7ee-480a-4992-b933-f31a8e44fb44	INFILTRATION
2f392dfa-44c1-4442-bfc9-002aae71ffa6	faa3ab15-bc7c-4cb2-9c23-bbb9a563bfc6	IT_LOAD
d77669f4-4a2b-4dfa-be67-d5b90cda0771	f50d8c50-cfb0-4a7f-aa37-677c103dfe4b	SWITCHGEAR
d77669f4-4a2b-4dfa-be67-d5b90cda0771	fbb942fa-3cbf-4c3f-8c9a-eae7a91b9cf0	GENERATOR
d77669f4-4a2b-4dfa-be67-d5b90cda0771	00bd6617-0519-4b65-b971-367ddf8b8b94	PRIMARY_AUXILIARIES
d77669f4-4a2b-4dfa-be67-d5b90cda0771	74402fa0-ef86-4b90-97da-25a8967378fa	UPS
d77669f4-4a2b-4dfa-be67-d5b90cda0771	cea53990-9e9a-4ac2-9834-35a2791bca16	CRITICAL_AUXILIARIES
d77669f4-4a2b-4dfa-be67-d5b90cda0771	c4f5ae06-ac44-4968-b75d-e59c62c7d27b	LIGHTING
d77669f4-4a2b-4dfa-be67-d5b90cda0771	bdf7c9d0-0bb5-4fe9-a218-b725032f57ce	CRITICAL_POWER_DISTRIBUTION
d77669f4-4a2b-4dfa-be67-d5b90cda0771	0a5a172e-c662-4bf3-be53-ecd2f74b7daa	CRAH
d77669f4-4a2b-4dfa-be67-d5b90cda0771	6da7ba02-1ca5-4d55-bc18-9fb89ebb229c	CRAC
d77669f4-4a2b-4dfa-be67-d5b90cda0771	96cfaf5a-4bc2-41cd-bc68-bb3891ac0910	CRAC_WITHOUT_FAN
d77669f4-4a2b-4dfa-be67-d5b90cda0771	2570dd35-6b3d-48eb-992b-f049947c83cc	CRAC_FAN
d77669f4-4a2b-4dfa-be67-d5b90cda0771	7835eda7-07b1-4b47-a944-149b6f7ea11a	CHILLER
d77669f4-4a2b-4dfa-be67-d5b90cda0771	e859d899-eda5-4aed-862a-bccc52beb1c4	AIR_COOLED_CHILLER
d77669f4-4a2b-4dfa-be67-d5b90cda0771	2d1dd789-cc7b-4bea-9732-66edb7695a6e	COOLING_TOWER
d77669f4-4a2b-4dfa-be67-d5b90cda0771	73c5da32-bcf4-4c70-b530-eeb6388b0589	DRY_COOLER
d77669f4-4a2b-4dfa-be67-d5b90cda0771	7c712ddb-8868-42dc-9f86-cdce358c3ba2	REMOTE_CONDENSER
d77669f4-4a2b-4dfa-be67-d5b90cda0771	62767aa8-6c55-435b-b3a1-e17bd3afdb68	CHILLED_WATER_PUMPS
d77669f4-4a2b-4dfa-be67-d5b90cda0771	60a6c05f-5115-4d08-b45e-520d4b613179	HEAT_REJECTION_PUMPS
d77669f4-4a2b-4dfa-be67-d5b90cda0771	8ef6710c-cd6a-48b9-be6f-311ae86adca8	VENTILATION
d77669f4-4a2b-4dfa-be67-d5b90cda0771	15d71c78-3986-45ee-b7ff-6e6590c2ed65	INFILTRATION
d77669f4-4a2b-4dfa-be67-d5b90cda0771	380329ad-532c-43cb-9bb3-eb83e169dcb7	IT_LOAD
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	d6bd7449-aa8d-4edf-8ab0-ab490d38f684	SWITCHGEAR
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	4812a5db-71b5-401c-80e7-1a08a666720c	GENERATOR
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	3442d988-fa6b-44b0-88bb-c2b6689d23a2	PRIMARY_AUXILIARIES
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	d0644138-f610-46f2-92b2-757e3fd68a26	UPS
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	25ffee83-0499-41d6-8187-c3d2310a0e52	CRITICAL_AUXILIARIES
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	de98441d-7364-4157-8c83-032024a1feda	LIGHTING
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	421bd7cb-e680-477a-aa3b-500710548df5	CRITICAL_POWER_DISTRIBUTION
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	92faf038-21a8-47aa-830e-2738c8296f42	CRAH
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	e07b3731-8f40-46ec-b0a1-ef5462e04bc2	CRAC
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	468d44e8-a200-4d6d-8505-39d5452f97b8	CRAC_WITHOUT_FAN
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	8c6b274b-792a-4763-a591-1ee04bd7095a	CRAC_FAN
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	4e0542b8-2224-4b61-bd76-047c22411b0a	CHILLER
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	11ddc176-3c25-4d39-82eb-a9580a5e99e0	AIR_COOLED_CHILLER
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	07c12440-7c6a-47c8-b2e8-831c364b47b8	COOLING_TOWER
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	3c21f69b-a422-4309-8a0e-a1505ac3cf40	DRY_COOLER
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	80cf687b-fd51-413c-8037-dc631b472fed	REMOTE_CONDENSER
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	7f5015a3-e379-4384-8209-2e255a7248b6	CHILLED_WATER_PUMPS
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	9c9069fe-75d0-41fb-a3e9-e67e1198935e	HEAT_REJECTION_PUMPS
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	718a38a4-aa58-4603-bbcd-44f10019978f	VENTILATION
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	bb61e52a-1540-4d5b-85f6-8220097c557d	INFILTRATION
d60fecfe-02f4-4af4-a5e0-df53bd2b482b	6355d94c-9fe2-47a3-b3ef-f85a9c588e36	IT_LOAD
c107b4fd-c3ba-43e4-a19f-3eeff758693f	516cf1d9-a35d-4c60-bb6c-f1340cb2990f	SWITCHGEAR
c107b4fd-c3ba-43e4-a19f-3eeff758693f	66b48c21-4f94-4a96-addd-cafaadda8e14	GENERATOR
c107b4fd-c3ba-43e4-a19f-3eeff758693f	45b2f843-d479-44ca-bff8-cd5c40701aca	PRIMARY_AUXILIARIES
c107b4fd-c3ba-43e4-a19f-3eeff758693f	0f123b4f-8fd3-49ef-aabd-e656c0f06c58	UPS
c107b4fd-c3ba-43e4-a19f-3eeff758693f	6ab4659a-b7b5-4c05-8953-3b1b926d3cb0	CRITICAL_AUXILIARIES
c107b4fd-c3ba-43e4-a19f-3eeff758693f	c83778be-8c7e-4b84-9db7-80f441417ce1	LIGHTING
c107b4fd-c3ba-43e4-a19f-3eeff758693f	ec895920-2308-4339-87a8-3b056e5f077d	CRITICAL_POWER_DISTRIBUTION
c107b4fd-c3ba-43e4-a19f-3eeff758693f	3cb7e634-7a87-4149-ac8b-953873e22116	CRAH
c107b4fd-c3ba-43e4-a19f-3eeff758693f	628058e4-b6dc-4b5b-a179-a2c4a0588f68	CRAC
c107b4fd-c3ba-43e4-a19f-3eeff758693f	355da22e-4c10-4229-9d40-62e112ce97de	CRAC_WITHOUT_FAN
c107b4fd-c3ba-43e4-a19f-3eeff758693f	22164f9f-600b-4a19-8c2e-e24c90c0c169	CRAC_FAN
c107b4fd-c3ba-43e4-a19f-3eeff758693f	ff3a69a6-829f-4924-b31c-16f27c91b21b	CHILLER
c107b4fd-c3ba-43e4-a19f-3eeff758693f	3b286b32-49a0-452b-b7ae-d6fe23528784	AIR_COOLED_CHILLER
c107b4fd-c3ba-43e4-a19f-3eeff758693f	01ec08c7-8b5e-4651-bf8d-66019ea14ca2	COOLING_TOWER
c107b4fd-c3ba-43e4-a19f-3eeff758693f	78ccbe37-dfc1-42a8-8a59-9b50b28ea27e	DRY_COOLER
c107b4fd-c3ba-43e4-a19f-3eeff758693f	6a7fe53d-c4ed-45f6-b788-5f11ec40b39d	REMOTE_CONDENSER
c107b4fd-c3ba-43e4-a19f-3eeff758693f	169c86ac-1a5a-41be-8787-dd5fe4c2b93c	CHILLED_WATER_PUMPS
c107b4fd-c3ba-43e4-a19f-3eeff758693f	4612b19b-7e7d-4c54-891b-1ea768d509cf	HEAT_REJECTION_PUMPS
c107b4fd-c3ba-43e4-a19f-3eeff758693f	01c30a95-25c7-44a2-8119-6641600f72a1	VENTILATION
c107b4fd-c3ba-43e4-a19f-3eeff758693f	7387f083-679f-4af9-ae16-2b50a1c6d408	INFILTRATION
c107b4fd-c3ba-43e4-a19f-3eeff758693f	e7ac59ca-a388-423a-9284-4efcabdf30ad	IT_LOAD
7d79df00-b83e-43ca-b07d-08647b4f5b1f	8e67d680-2a44-4691-9900-f6675f1768d2	SWITCHGEAR
7d79df00-b83e-43ca-b07d-08647b4f5b1f	2aa80aaa-656d-4907-b76b-de92dc5469ca	GENERATOR
7d79df00-b83e-43ca-b07d-08647b4f5b1f	22463f51-fafe-457a-8172-f81b3e32acc4	PRIMARY_AUXILIARIES
7d79df00-b83e-43ca-b07d-08647b4f5b1f	21c9143b-90cb-4dfd-ba60-8c34723c9e55	UPS
7d79df00-b83e-43ca-b07d-08647b4f5b1f	06649a03-b84f-45de-be58-0d9bec56df13	CRITICAL_AUXILIARIES
7d79df00-b83e-43ca-b07d-08647b4f5b1f	b21e2521-46e8-4619-99cd-70dc4b333b1e	LIGHTING
7d79df00-b83e-43ca-b07d-08647b4f5b1f	a024779a-1ca0-4d61-ac87-49d72a25feae	CRITICAL_POWER_DISTRIBUTION
7d79df00-b83e-43ca-b07d-08647b4f5b1f	a92664d4-bbec-4a86-a148-21b1ba29c256	CRAH
7d79df00-b83e-43ca-b07d-08647b4f5b1f	b288054f-22e5-4bd1-9753-560fa9504d9c	CRAC
7d79df00-b83e-43ca-b07d-08647b4f5b1f	053182a6-c334-4d64-a4b8-a005c986d43f	CRAC_WITHOUT_FAN
7d79df00-b83e-43ca-b07d-08647b4f5b1f	2361c428-5bd4-4f87-a123-5864fdf952e2	CRAC_FAN
7d79df00-b83e-43ca-b07d-08647b4f5b1f	00c45245-73a9-4d52-b7f3-fe525675caf0	CHILLER
7d79df00-b83e-43ca-b07d-08647b4f5b1f	2f3ce5d0-39a7-41fe-a794-dc9e3d1f640d	AIR_COOLED_CHILLER
7d79df00-b83e-43ca-b07d-08647b4f5b1f	ad0d9006-a0e0-48fd-86f6-d986b183d7f9	COOLING_TOWER
7d79df00-b83e-43ca-b07d-08647b4f5b1f	628d3103-e55d-407d-a57d-6150cf57c2cb	DRY_COOLER
7d79df00-b83e-43ca-b07d-08647b4f5b1f	53c7e260-f698-4617-bd6c-23ea1126464a	REMOTE_CONDENSER
7d79df00-b83e-43ca-b07d-08647b4f5b1f	635a40c5-fed8-453d-a375-96317c48df00	CHILLED_WATER_PUMPS
7d79df00-b83e-43ca-b07d-08647b4f5b1f	d2804254-f25a-4fa4-bd81-dd83d8a2df77	HEAT_REJECTION_PUMPS
7d79df00-b83e-43ca-b07d-08647b4f5b1f	9395fec5-8c66-49e6-9c45-00a2c8605e80	VENTILATION
7d79df00-b83e-43ca-b07d-08647b4f5b1f	89999ea8-c9a4-4865-afab-45b985155608	INFILTRATION
7d79df00-b83e-43ca-b07d-08647b4f5b1f	902a6d1b-168a-4435-8981-c62a763bd1e6	IT_LOAD
45abac29-2550-47bd-a070-c25ee6269cc0	60445f04-90f4-4e5d-ba86-a760feaea53e	SWITCHGEAR
45abac29-2550-47bd-a070-c25ee6269cc0	c0b2d00b-d347-4e97-8704-9f6a28fee31c	GENERATOR
45abac29-2550-47bd-a070-c25ee6269cc0	d19510ad-b8b4-4d81-a6ef-07625e8ed43e	PRIMARY_AUXILIARIES
45abac29-2550-47bd-a070-c25ee6269cc0	c9a09096-7074-4c96-9a72-0a95c2a49686	UPS
45abac29-2550-47bd-a070-c25ee6269cc0	07707a8f-b7eb-414d-89a3-55e2056b6969	CRITICAL_AUXILIARIES
45abac29-2550-47bd-a070-c25ee6269cc0	c91ba193-299f-42bc-8e26-1fc3f194223f	LIGHTING
45abac29-2550-47bd-a070-c25ee6269cc0	23de5ad4-53a9-43b9-bbe0-19a231664e2d	CRITICAL_POWER_DISTRIBUTION
45abac29-2550-47bd-a070-c25ee6269cc0	8eb8ba29-b1dc-4131-8bd0-3551444d6129	CRAH
45abac29-2550-47bd-a070-c25ee6269cc0	9ae03792-9328-431e-ba37-cb682be90f57	CRAC
45abac29-2550-47bd-a070-c25ee6269cc0	baa3dd05-e443-41aa-9ed0-e7cdc87b439c	CRAC_WITHOUT_FAN
45abac29-2550-47bd-a070-c25ee6269cc0	492a8fe4-384b-4169-adc3-ee875b5ff77c	CRAC_FAN
45abac29-2550-47bd-a070-c25ee6269cc0	8416143c-7711-4fbf-a2bb-19b1bb2b14f0	CHILLER
45abac29-2550-47bd-a070-c25ee6269cc0	923d50b6-511e-4228-945c-386416a6ad36	AIR_COOLED_CHILLER
45abac29-2550-47bd-a070-c25ee6269cc0	a9f67e1e-1fab-466f-b4eb-e83f926da925	COOLING_TOWER
45abac29-2550-47bd-a070-c25ee6269cc0	df0c7949-0f3d-4af1-b984-2af9bfff0be1	DRY_COOLER
45abac29-2550-47bd-a070-c25ee6269cc0	b1b165a7-8bd2-4253-a5c5-6893dfe659ed	REMOTE_CONDENSER
45abac29-2550-47bd-a070-c25ee6269cc0	9406b561-1aac-48ce-bbff-45fbc5049502	CHILLED_WATER_PUMPS
45abac29-2550-47bd-a070-c25ee6269cc0	072cc41d-57b9-4393-8619-5c0c223dd923	HEAT_REJECTION_PUMPS
45abac29-2550-47bd-a070-c25ee6269cc0	aa8a4cb5-1f7c-4728-b341-53a4bb433edd	VENTILATION
45abac29-2550-47bd-a070-c25ee6269cc0	102cca92-e089-4b16-a0b5-ebe2929aec87	INFILTRATION
45abac29-2550-47bd-a070-c25ee6269cc0	dc1738f7-1656-489e-9635-b4e85a25f7cd	IT_LOAD
58baf61c-1bdd-4b0f-abad-03a3b593cb84	37578161-0fa9-47c8-8c54-f66be5b52c86	SWITCHGEAR
58baf61c-1bdd-4b0f-abad-03a3b593cb84	5cee30f3-dc7f-4ced-8165-e98a5b8ede3b	GENERATOR
58baf61c-1bdd-4b0f-abad-03a3b593cb84	9a7c1a1f-54d3-4971-b88b-1f1bdeacba1f	PRIMARY_AUXILIARIES
58baf61c-1bdd-4b0f-abad-03a3b593cb84	5c6e3c46-2aad-481d-b548-344fc6ded3c2	UPS
58baf61c-1bdd-4b0f-abad-03a3b593cb84	88a3ed1a-2630-4204-8f81-eac4b05d36a8	CRITICAL_AUXILIARIES
58baf61c-1bdd-4b0f-abad-03a3b593cb84	9028d41c-2c37-46c8-b80f-dc9bd8397a8b	LIGHTING
58baf61c-1bdd-4b0f-abad-03a3b593cb84	bed71966-045d-4d97-ae90-71259fa78ccf	CRITICAL_POWER_DISTRIBUTION
58baf61c-1bdd-4b0f-abad-03a3b593cb84	dbaefa71-c9e2-4890-a771-cfd9adfbe72c	CRAH
58baf61c-1bdd-4b0f-abad-03a3b593cb84	625883ee-cac5-460b-a696-d87c2b3c8540	CRAC
58baf61c-1bdd-4b0f-abad-03a3b593cb84	58e83d25-13e3-4033-91d9-904a98f9d5e7	CRAC_WITHOUT_FAN
58baf61c-1bdd-4b0f-abad-03a3b593cb84	4bcc138f-0b7a-4eaa-86db-4f344983394e	CRAC_FAN
58baf61c-1bdd-4b0f-abad-03a3b593cb84	5a50be57-8383-480f-bf87-5d16a11f00b9	CHILLER
58baf61c-1bdd-4b0f-abad-03a3b593cb84	803f6ce2-d865-46cd-9f01-fd161830a965	AIR_COOLED_CHILLER
58baf61c-1bdd-4b0f-abad-03a3b593cb84	c3a9d506-52fd-452d-8fd6-05b557f21b27	COOLING_TOWER
58baf61c-1bdd-4b0f-abad-03a3b593cb84	ec3ccd32-56d2-4f25-a6e9-101c1e47e5b0	DRY_COOLER
58baf61c-1bdd-4b0f-abad-03a3b593cb84	68bdaf6d-b62a-4a29-ae5f-f8add5742407	REMOTE_CONDENSER
58baf61c-1bdd-4b0f-abad-03a3b593cb84	0275315a-4221-459c-9203-ba0dac10c326	CHILLED_WATER_PUMPS
58baf61c-1bdd-4b0f-abad-03a3b593cb84	cd8b03b5-e0c1-4d6b-91ce-9610ab516099	HEAT_REJECTION_PUMPS
58baf61c-1bdd-4b0f-abad-03a3b593cb84	e8404398-4419-462f-9574-52d73770635e	VENTILATION
58baf61c-1bdd-4b0f-abad-03a3b593cb84	3cf7fc48-f4ce-448a-9722-1806ad76c03b	INFILTRATION
58baf61c-1bdd-4b0f-abad-03a3b593cb84	8da24d36-841d-49fa-80b9-e6a4cacf0b8c	IT_LOAD
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	691db4c3-5788-443b-87ca-1d38f34c5bdd	SWITCHGEAR
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	49371f96-14d7-4242-92ef-4387d0168c13	GENERATOR
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	dcb57191-8eca-415a-9a05-d72497ff6535	PRIMARY_AUXILIARIES
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	b558a678-6b08-4a32-937a-40c851f21277	UPS
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	c18482e0-fe0e-4d1f-b639-a03821953645	CRITICAL_AUXILIARIES
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	99a063df-0a0b-4945-816c-267f28b689f5	LIGHTING
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	de28eedc-de8b-4e74-9532-077774ef36ee	CRITICAL_POWER_DISTRIBUTION
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	da063990-452c-482b-b1d3-e5ecd2719b44	CRAH
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	9aa801ed-aeb6-4bfb-8c04-b9e01c32fbf4	CRAC
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	b368daba-6e3f-416a-9624-3772a1ba5bc6	CRAC_WITHOUT_FAN
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	1adf7cb6-7268-4407-857f-a43448250df5	CRAC_FAN
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	4b9cc84d-c814-414d-91e4-f75a1aaf2648	CHILLER
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	0b0f062f-f259-4aaa-8ea3-1a5a38dce70e	AIR_COOLED_CHILLER
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	52ded712-949a-4e13-ae7e-e66f253684e1	COOLING_TOWER
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	78150cd8-aad4-446b-b62e-a2e820f2aaff	DRY_COOLER
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	1b8bd898-0ab4-4b70-9759-908232e4b2b4	REMOTE_CONDENSER
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	cb5f98f1-4c38-4fba-9728-fd5045b4f93c	CHILLED_WATER_PUMPS
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	ad3209b8-8f39-4f70-9d9f-b7fe1f77a5ec	HEAT_REJECTION_PUMPS
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	32edba1d-26a1-49cf-a34e-9760ff8cafb3	VENTILATION
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	8c2f1ee6-99ba-4d08-8335-f330bb62d9e5	INFILTRATION
ae9aa6b5-8b41-460a-8723-ebc20f6d7c24	a5b569fe-40c8-4f19-b533-6a461250ef43	IT_LOAD
6afae34e-cbe3-46be-9f5a-b527fad31d87	a2ed726f-7133-4461-9004-32c50a90a95a	SWITCHGEAR
6afae34e-cbe3-46be-9f5a-b527fad31d87	1c38c398-2ff8-4a5a-8022-f707ba036fb7	GENERATOR
6afae34e-cbe3-46be-9f5a-b527fad31d87	4eca3980-ce9d-48ca-b9fb-2f635495bc71	PRIMARY_AUXILIARIES
6afae34e-cbe3-46be-9f5a-b527fad31d87	a548e854-020c-4087-a1aa-db9bed9a7950	UPS
6afae34e-cbe3-46be-9f5a-b527fad31d87	aa5baebc-df1f-4a98-9afa-a03593f7f7ab	CRITICAL_AUXILIARIES
6afae34e-cbe3-46be-9f5a-b527fad31d87	2dfbd6a9-f465-4c04-9170-693f0236a933	LIGHTING
6afae34e-cbe3-46be-9f5a-b527fad31d87	fef2240f-5ec1-4470-b3f1-690411b64000	CRITICAL_POWER_DISTRIBUTION
6afae34e-cbe3-46be-9f5a-b527fad31d87	2ba0900c-306f-417d-9605-aefc3443ee0d	CRAH
6afae34e-cbe3-46be-9f5a-b527fad31d87	adda54a7-a133-44d7-a99d-1de8099ea7f7	CRAC
6afae34e-cbe3-46be-9f5a-b527fad31d87	d53568c4-f58f-4283-a3eb-5c88908bea41	CRAC_WITHOUT_FAN
6afae34e-cbe3-46be-9f5a-b527fad31d87	5bba1505-a218-449d-b397-c3251d3ca0d8	CRAC_FAN
6afae34e-cbe3-46be-9f5a-b527fad31d87	e113fea5-6f70-433e-9e14-de6b2eee80e2	CHILLER
6afae34e-cbe3-46be-9f5a-b527fad31d87	db321628-04b6-438e-bea3-ac19d690ed34	AIR_COOLED_CHILLER
6afae34e-cbe3-46be-9f5a-b527fad31d87	f75c4223-3ebd-459d-a960-379cf19dbc9f	COOLING_TOWER
6afae34e-cbe3-46be-9f5a-b527fad31d87	2db6a8fa-e976-4d41-b95d-9c97de29c358	DRY_COOLER
6afae34e-cbe3-46be-9f5a-b527fad31d87	4284a5bd-d091-4885-a423-32ad730e6a2d	REMOTE_CONDENSER
6afae34e-cbe3-46be-9f5a-b527fad31d87	ba60769d-6fd4-48eb-9491-942b101d9c52	CHILLED_WATER_PUMPS
6afae34e-cbe3-46be-9f5a-b527fad31d87	41032961-3ba0-42be-a3cb-e1c5bce3e856	HEAT_REJECTION_PUMPS
6afae34e-cbe3-46be-9f5a-b527fad31d87	21eb370a-b286-4e79-95e7-5208dd126f94	VENTILATION
6afae34e-cbe3-46be-9f5a-b527fad31d87	a7ffaa72-ff2f-406e-bc77-536a296ec740	INFILTRATION
6afae34e-cbe3-46be-9f5a-b527fad31d87	aa1bb8f5-07c5-4fbe-a062-12ac4ea6a000	IT_LOAD
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	502f4b7b-d082-4107-89f1-fb3eaa0715f6	SWITCHGEAR
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	5a35f40f-fc49-4ba8-b0e5-e048ee796bd1	GENERATOR
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	2a6272ad-d960-4e1d-81d1-5faccf2052f4	PRIMARY_AUXILIARIES
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	5152fe5c-1847-46fa-bd48-e9c238fef8e9	UPS
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	a3bff03e-ed31-4a7b-98e9-25f983dac29d	CRITICAL_AUXILIARIES
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	91fa01fa-fb16-4151-889c-db892d41e131	LIGHTING
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	f909eaf3-0aa9-4cba-8d1c-35c27b3e2fc8	CRITICAL_POWER_DISTRIBUTION
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	c8f4083e-5afa-4799-9d7d-00a353dca06e	CRAH
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	035d70bb-5d81-4c0f-b0ae-ed67fe0e39dc	CRAC
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	acf18c56-64ec-410e-ad4c-f8acd8a4bd17	CRAC_WITHOUT_FAN
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	75f5686c-48ce-4f0b-83d5-5f22302e6ddf	CRAC_FAN
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	57859262-f172-48b3-bab1-b16545852b82	CHILLER
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	a8e385d6-2393-43e4-a995-938f425cd2d0	AIR_COOLED_CHILLER
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	fe590851-81de-4f2b-9942-1ac64c34c640	COOLING_TOWER
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	6266a615-2e92-4155-95a6-68a534183d6f	DRY_COOLER
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	4faf9e01-2e2e-4e80-a55b-eab7206a68d0	REMOTE_CONDENSER
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	19cfb9cf-9c22-4d96-b745-20ebfc5f5b65	CHILLED_WATER_PUMPS
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	8344e5e9-e505-4e09-92f6-8fffcb4f3e55	HEAT_REJECTION_PUMPS
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	fc6ff3c7-b9ea-4caa-b841-5eb2724cb7f9	VENTILATION
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	b47127fe-4a60-41b4-8636-79103d11382d	INFILTRATION
ad1bd2eb-a309-41c3-89ec-8b3b914031ab	e4d139da-3a43-4f6c-a5c2-e55523784422	IT_LOAD
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	cda0f411-4696-4eba-bd07-57b1d88dbbde	SWITCHGEAR
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	d16bc9be-38f2-41b7-99a7-c40ad261ed07	GENERATOR
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	0f2e9f97-7490-4ba3-9358-8803f16be5d8	PRIMARY_AUXILIARIES
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	8f1013a2-e57b-42d4-ae29-42eba2a79e57	UPS
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	aae64b15-2ce7-47e7-8f42-0ead17c1179c	CRITICAL_AUXILIARIES
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	07a283a7-7ab2-4c30-9cd2-ec9ae35be5a1	LIGHTING
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	4cc62b75-18c5-49a9-b0e1-f69379622deb	CRITICAL_POWER_DISTRIBUTION
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	ced56d0d-4d77-46b0-b280-937aaa84c60d	CRAH
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	1d12e70e-7172-4e43-a214-284100e36f5b	CRAC
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	d733cb4b-ec44-4460-9f2a-d37930918bd6	CRAC_WITHOUT_FAN
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	dd54b64c-f5da-4119-aa30-dffeb3443fa3	CRAC_FAN
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	1efc2fc4-e703-47d6-8050-799159b050a8	CHILLER
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	948492ce-5c3f-4410-9394-cd2b0ee4774e	AIR_COOLED_CHILLER
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	4a94fa5f-c062-4145-9636-9dd702403780	COOLING_TOWER
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	310195c9-569e-4943-8d71-2dcf7c345468	DRY_COOLER
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	e610015f-7cc4-455f-9643-473561e22e95	REMOTE_CONDENSER
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	98b6cf6a-d654-47df-867d-38c3eafbf5e0	CHILLED_WATER_PUMPS
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	5535535f-54ab-49ce-a247-70b767495146	HEAT_REJECTION_PUMPS
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	f9874f67-3b7d-405d-ba2c-988a50ae749e	VENTILATION
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	c243cb91-16ab-43f5-853e-0ea564886d0e	INFILTRATION
ebd47aa0-d4d8-47f9-ae0a-14eec9d73a10	59964e5f-9af3-4d85-981f-feb942c5e5bc	IT_LOAD
42c001be-4bc7-41b9-8e56-8cf8d5270813	a0ff9425-5d50-4eeb-9ba0-3157b29f1506	SWITCHGEAR
42c001be-4bc7-41b9-8e56-8cf8d5270813	dba7001a-a805-422d-9446-f5a928f975b0	GENERATOR
42c001be-4bc7-41b9-8e56-8cf8d5270813	55dc77fc-896e-464e-a021-de79da09fd52	PRIMARY_AUXILIARIES
42c001be-4bc7-41b9-8e56-8cf8d5270813	9872adda-3d6e-4f84-9032-b90d6bd4e1cf	UPS
42c001be-4bc7-41b9-8e56-8cf8d5270813	312d5114-dc69-4947-87af-a0ceef5002f4	CRITICAL_AUXILIARIES
42c001be-4bc7-41b9-8e56-8cf8d5270813	0d5b6254-e11b-4226-8571-ec0e2d29b8f3	LIGHTING
42c001be-4bc7-41b9-8e56-8cf8d5270813	9606ddc7-64cd-4113-ab5f-b53032b019d8	CRITICAL_POWER_DISTRIBUTION
42c001be-4bc7-41b9-8e56-8cf8d5270813	b93919a7-ec93-46e1-be45-5479308c289c	CRAH
42c001be-4bc7-41b9-8e56-8cf8d5270813	c8592c18-71ce-4288-acb9-ceef2388927a	CRAC
42c001be-4bc7-41b9-8e56-8cf8d5270813	7bc0b545-78b2-422c-b0c5-fb3a99656206	CRAC_WITHOUT_FAN
42c001be-4bc7-41b9-8e56-8cf8d5270813	816878af-01ac-4a48-b572-d76d4e94aa7c	CRAC_FAN
42c001be-4bc7-41b9-8e56-8cf8d5270813	e2fe544a-17ed-4e26-971c-a7661cebfc92	CHILLER
42c001be-4bc7-41b9-8e56-8cf8d5270813	5a856001-7292-4a48-adeb-693adbaeba07	AIR_COOLED_CHILLER
42c001be-4bc7-41b9-8e56-8cf8d5270813	133d3891-f389-41f4-98eb-63d6d667df43	COOLING_TOWER
42c001be-4bc7-41b9-8e56-8cf8d5270813	dfb711b2-7f41-4336-a65d-804f5efa6f4b	DRY_COOLER
42c001be-4bc7-41b9-8e56-8cf8d5270813	f15902ed-e8c8-4c4c-b7d5-e1af32433591	REMOTE_CONDENSER
42c001be-4bc7-41b9-8e56-8cf8d5270813	0f25c714-ae53-4de5-9bc6-cddd48a04f32	CHILLED_WATER_PUMPS
42c001be-4bc7-41b9-8e56-8cf8d5270813	67a88000-6ccd-4357-b361-3e1fca06ec51	HEAT_REJECTION_PUMPS
42c001be-4bc7-41b9-8e56-8cf8d5270813	cfb6065a-e6d2-499e-ac6a-88f6984c9e38	VENTILATION
42c001be-4bc7-41b9-8e56-8cf8d5270813	50bb59c4-2e8b-43c4-97c3-e0dbea2734a9	INFILTRATION
42c001be-4bc7-41b9-8e56-8cf8d5270813	573f63e2-1a9e-4253-95b4-4e5543f1a0db	IT_LOAD
ebb8d32c-7aed-4297-85de-f220b8af1e2d	c0a9d06f-1a93-44dc-a263-5a4c1b8f38d8	SWITCHGEAR
ebb8d32c-7aed-4297-85de-f220b8af1e2d	692fe5b9-4b5a-4e0f-8fe9-5eb6ab831627	GENERATOR
ebb8d32c-7aed-4297-85de-f220b8af1e2d	9efc6401-771e-4cd1-9476-e575a5f9631d	PRIMARY_AUXILIARIES
ebb8d32c-7aed-4297-85de-f220b8af1e2d	342c4464-36e6-4878-add9-e3e9062a771c	UPS
ebb8d32c-7aed-4297-85de-f220b8af1e2d	ec473277-33cb-45d2-9a43-fbf727685359	CRITICAL_AUXILIARIES
ebb8d32c-7aed-4297-85de-f220b8af1e2d	b0c0e935-12f5-4800-89f8-1af81f0a88f0	LIGHTING
ebb8d32c-7aed-4297-85de-f220b8af1e2d	acb8b839-5c54-4f60-a08a-143640c5c6ef	CRITICAL_POWER_DISTRIBUTION
ebb8d32c-7aed-4297-85de-f220b8af1e2d	acd8d6d8-387b-449e-a107-8eac3bf2fc09	CRAH
ebb8d32c-7aed-4297-85de-f220b8af1e2d	2043b426-bc68-415d-951e-b46228f45a4c	CRAC
ebb8d32c-7aed-4297-85de-f220b8af1e2d	ccb75fb2-91ef-4096-b0f6-7382684e2de9	CRAC_WITHOUT_FAN
ebb8d32c-7aed-4297-85de-f220b8af1e2d	c3a2442f-0781-464c-af4a-6c66ed13fb08	CRAC_FAN
ebb8d32c-7aed-4297-85de-f220b8af1e2d	f4ad058d-7f3e-49c7-b8a2-7e967e83ed20	CHILLER
ebb8d32c-7aed-4297-85de-f220b8af1e2d	ae094efe-1ab9-405d-8306-746b9cd120af	AIR_COOLED_CHILLER
ebb8d32c-7aed-4297-85de-f220b8af1e2d	c408d7ac-480c-4c57-8837-4d0516b1c8ec	COOLING_TOWER
ebb8d32c-7aed-4297-85de-f220b8af1e2d	a8920f74-f536-4626-87e9-b302f9c150b4	DRY_COOLER
ebb8d32c-7aed-4297-85de-f220b8af1e2d	5123f96b-1a08-42bc-bafe-cf0c7e421527	REMOTE_CONDENSER
ebb8d32c-7aed-4297-85de-f220b8af1e2d	7f42594a-7e3a-43a9-8d10-40c742a45050	CHILLED_WATER_PUMPS
ebb8d32c-7aed-4297-85de-f220b8af1e2d	19c4fc87-74f1-417b-a6b0-674fafcb6715	HEAT_REJECTION_PUMPS
ebb8d32c-7aed-4297-85de-f220b8af1e2d	4fe0a8d1-20fc-4765-864f-02d2c8f0d122	VENTILATION
ebb8d32c-7aed-4297-85de-f220b8af1e2d	d61ba227-bf1d-4ac4-9a63-d0ffc299d9c3	INFILTRATION
ebb8d32c-7aed-4297-85de-f220b8af1e2d	59e17d30-638d-4ecc-8c39-94f1a935248e	IT_LOAD
7483aa65-56c5-4f00-a93f-5fd39219ee7d	2db068cd-2993-4f49-83e4-ee56c2a9cb78	SWITCHGEAR
7483aa65-56c5-4f00-a93f-5fd39219ee7d	e90d24ed-e622-4e93-b951-a3b2c2c62443	GENERATOR
7483aa65-56c5-4f00-a93f-5fd39219ee7d	70593827-416a-4dab-b0d6-b1d77a58617b	PRIMARY_AUXILIARIES
7483aa65-56c5-4f00-a93f-5fd39219ee7d	60f764a8-409d-42df-a80f-19d2190da8b4	UPS
7483aa65-56c5-4f00-a93f-5fd39219ee7d	eef0c4b1-589a-4d72-b50d-393fb47a30f6	CRITICAL_AUXILIARIES
7483aa65-56c5-4f00-a93f-5fd39219ee7d	7004719c-6a86-4865-96e2-cbbd42bc99b4	LIGHTING
7483aa65-56c5-4f00-a93f-5fd39219ee7d	20f6604d-b4a2-448a-a31a-daac047d9a9c	CRITICAL_POWER_DISTRIBUTION
7483aa65-56c5-4f00-a93f-5fd39219ee7d	3cc837d7-010f-429b-a6a3-889554b2359c	CRAH
7483aa65-56c5-4f00-a93f-5fd39219ee7d	17ab28a2-18b9-4222-b13a-d1ba9a643f43	CRAC
7483aa65-56c5-4f00-a93f-5fd39219ee7d	2d9f8274-61d6-43c4-8124-1beda4265f05	CRAC_WITHOUT_FAN
7483aa65-56c5-4f00-a93f-5fd39219ee7d	8bc855bb-5e8e-4a14-a8af-13016f12c391	CRAC_FAN
7483aa65-56c5-4f00-a93f-5fd39219ee7d	f62a7f23-b415-4273-9f38-9a35007245f9	CHILLER
7483aa65-56c5-4f00-a93f-5fd39219ee7d	2cffe2ad-e184-4d97-a323-1f712fc9fb30	AIR_COOLED_CHILLER
7483aa65-56c5-4f00-a93f-5fd39219ee7d	4b353cab-ca38-40b0-b092-75748aad46a5	COOLING_TOWER
7483aa65-56c5-4f00-a93f-5fd39219ee7d	6f211f72-1faf-4fbd-8753-3afe13e410e7	DRY_COOLER
7483aa65-56c5-4f00-a93f-5fd39219ee7d	c5a49dda-a612-4419-b9d1-9d0e5fad8e1a	REMOTE_CONDENSER
7483aa65-56c5-4f00-a93f-5fd39219ee7d	e405fe92-0674-4c16-bb0b-a3b7954de712	CHILLED_WATER_PUMPS
7483aa65-56c5-4f00-a93f-5fd39219ee7d	fde01697-c046-48c4-942e-8ab6df9eb31f	HEAT_REJECTION_PUMPS
7483aa65-56c5-4f00-a93f-5fd39219ee7d	46293ac7-e537-4c32-a2d8-bd8e6918337e	VENTILATION
7483aa65-56c5-4f00-a93f-5fd39219ee7d	f1de8dcb-b708-4470-b278-ec8f085ca0d6	INFILTRATION
7483aa65-56c5-4f00-a93f-5fd39219ee7d	1cfad982-5e52-4e9d-a482-c1a5bc13bc22	IT_LOAD
26fc6e60-784e-4d55-a161-9a27d86cd257	de04e896-8769-4e2f-8558-ac3e008bb60a	SWITCHGEAR
26fc6e60-784e-4d55-a161-9a27d86cd257	a1cf212e-0386-4d4e-bb5e-02b44c6790ab	GENERATOR
26fc6e60-784e-4d55-a161-9a27d86cd257	a0194d7f-19cc-4cee-a0ec-a6e4fd9c7d46	PRIMARY_AUXILIARIES
26fc6e60-784e-4d55-a161-9a27d86cd257	01619e98-93ce-4517-b6aa-3b226f2fa370	UPS
26fc6e60-784e-4d55-a161-9a27d86cd257	78cf053c-0c64-4a38-ac35-32fe709ea5ba	CRITICAL_AUXILIARIES
26fc6e60-784e-4d55-a161-9a27d86cd257	ef1a7d0d-1911-48e0-af07-2aac72a7e59d	LIGHTING
26fc6e60-784e-4d55-a161-9a27d86cd257	c32bfb94-b957-4e29-9dd1-e86c18897bef	CRITICAL_POWER_DISTRIBUTION
26fc6e60-784e-4d55-a161-9a27d86cd257	319cf383-ceac-43e7-b12f-482cffd58092	CRAH
26fc6e60-784e-4d55-a161-9a27d86cd257	ecbd5280-d699-4129-adf1-cf65642d3938	CRAC
26fc6e60-784e-4d55-a161-9a27d86cd257	981a54fe-30e8-4880-b920-bb02d064ed07	CRAC_WITHOUT_FAN
26fc6e60-784e-4d55-a161-9a27d86cd257	73a7b86d-25b6-497a-9ff0-077a5ffed92d	CRAC_FAN
26fc6e60-784e-4d55-a161-9a27d86cd257	5833eecf-d891-45d5-93e0-b4b9c5e167bb	CHILLER
26fc6e60-784e-4d55-a161-9a27d86cd257	a583e248-2876-4119-b8bc-8dff7d74b5c2	AIR_COOLED_CHILLER
26fc6e60-784e-4d55-a161-9a27d86cd257	ba2e01b5-5166-4651-bbc4-2319a5d12b43	COOLING_TOWER
26fc6e60-784e-4d55-a161-9a27d86cd257	6397dd9a-8e67-43f3-96e5-cef2f30ae021	DRY_COOLER
26fc6e60-784e-4d55-a161-9a27d86cd257	2274f9d0-0564-4c21-aa98-da351aabf82d	REMOTE_CONDENSER
26fc6e60-784e-4d55-a161-9a27d86cd257	423a15bf-f85e-4646-b998-dd957bb50884	CHILLED_WATER_PUMPS
26fc6e60-784e-4d55-a161-9a27d86cd257	c70a8fe4-f75e-43f9-b557-782e3b8bc972	HEAT_REJECTION_PUMPS
26fc6e60-784e-4d55-a161-9a27d86cd257	fd284a3d-22c9-4b92-be46-58e1ef9bd407	VENTILATION
26fc6e60-784e-4d55-a161-9a27d86cd257	0c6a574f-6e61-47c5-848c-473667cec102	INFILTRATION
26fc6e60-784e-4d55-a161-9a27d86cd257	b2ba5de5-0b8d-4255-a842-e30d78f3c871	IT_LOAD
331ec946-5844-4dfd-81eb-7c3d16f3f415	ebe51063-c851-45fb-90d9-607015278010	SWITCHGEAR
331ec946-5844-4dfd-81eb-7c3d16f3f415	ccebe69f-b12d-4dbb-bb4b-56bf96bb3122	GENERATOR
331ec946-5844-4dfd-81eb-7c3d16f3f415	1ae271f5-4ca8-42d4-aedc-8feaf975b0a8	PRIMARY_AUXILIARIES
331ec946-5844-4dfd-81eb-7c3d16f3f415	7011a240-8ced-403b-bf22-29d6fe422159	UPS
331ec946-5844-4dfd-81eb-7c3d16f3f415	4dbf78c5-d7f5-4676-a85e-b751abba098f	CRITICAL_AUXILIARIES
331ec946-5844-4dfd-81eb-7c3d16f3f415	e8f859eb-4750-40b5-b553-3389f531d8b7	LIGHTING
331ec946-5844-4dfd-81eb-7c3d16f3f415	2531da5e-179d-4e0f-94eb-9633a34066e7	CRITICAL_POWER_DISTRIBUTION
331ec946-5844-4dfd-81eb-7c3d16f3f415	fa2b392b-cb40-41ad-938a-6dec4fe8ea2d	CRAH
331ec946-5844-4dfd-81eb-7c3d16f3f415	d2845315-10fb-4958-a486-13b3d9ea4b7a	CRAC
331ec946-5844-4dfd-81eb-7c3d16f3f415	483e0a17-d80b-4688-a695-9d36e3ce4084	CRAC_WITHOUT_FAN
331ec946-5844-4dfd-81eb-7c3d16f3f415	83ae0a35-68ba-4a70-a13d-9dbbe4db5963	CRAC_FAN
331ec946-5844-4dfd-81eb-7c3d16f3f415	09c03b72-eb83-4496-b880-0c85b262dbbf	CHILLER
331ec946-5844-4dfd-81eb-7c3d16f3f415	84311ff8-09f1-43c2-a37e-c7fb1832b4aa	AIR_COOLED_CHILLER
331ec946-5844-4dfd-81eb-7c3d16f3f415	0c175c38-79bd-4a12-96b1-1f72d87e4679	COOLING_TOWER
331ec946-5844-4dfd-81eb-7c3d16f3f415	39145be9-580a-43f6-8768-53bd6263fe0e	DRY_COOLER
331ec946-5844-4dfd-81eb-7c3d16f3f415	1b33b8d9-6274-4ee2-8f80-86c90dbf52a5	REMOTE_CONDENSER
331ec946-5844-4dfd-81eb-7c3d16f3f415	88b83e3c-5306-4a03-8781-072654a61f5c	CHILLED_WATER_PUMPS
331ec946-5844-4dfd-81eb-7c3d16f3f415	9cee7156-0c35-426a-ac8f-f591438f3304	HEAT_REJECTION_PUMPS
331ec946-5844-4dfd-81eb-7c3d16f3f415	ba17576e-c249-4898-a96b-1240cc1667a1	VENTILATION
331ec946-5844-4dfd-81eb-7c3d16f3f415	13e09eb1-4dbf-4907-a273-38b2681af87f	INFILTRATION
331ec946-5844-4dfd-81eb-7c3d16f3f415	c71b05ad-7327-4736-9c65-9ce4fc95bbe8	IT_LOAD
f096c486-ed18-4707-b005-55ac5a7eb233	b61d36d7-af84-4a32-a86d-da249e3f9c0d	SWITCHGEAR
f096c486-ed18-4707-b005-55ac5a7eb233	0e55fe66-310e-439f-8010-eec7145e20fa	GENERATOR
f096c486-ed18-4707-b005-55ac5a7eb233	1a2cb200-9b84-491b-904f-4bf106b2f1c4	PRIMARY_AUXILIARIES
f096c486-ed18-4707-b005-55ac5a7eb233	078f059e-ece9-411b-9c2d-4b8b06342b55	UPS
f096c486-ed18-4707-b005-55ac5a7eb233	18c6118d-c7e7-4d96-a521-9ffb5d921a48	CRITICAL_AUXILIARIES
f096c486-ed18-4707-b005-55ac5a7eb233	e418d07b-c480-42dd-a4de-db5c29709485	LIGHTING
f096c486-ed18-4707-b005-55ac5a7eb233	e51e8eee-d1fe-40ea-9308-baa7332e76bd	CRITICAL_POWER_DISTRIBUTION
f096c486-ed18-4707-b005-55ac5a7eb233	9f509d10-2bc3-402b-bfc4-c68e7a50cf7d	CRAH
f096c486-ed18-4707-b005-55ac5a7eb233	8ba32ae9-580b-445e-8b36-628ddc57803a	CRAC
f096c486-ed18-4707-b005-55ac5a7eb233	dffa2282-a135-4c7b-9ad1-02564f35ea9a	CRAC_WITHOUT_FAN
f096c486-ed18-4707-b005-55ac5a7eb233	6511825b-2d59-4226-b5c9-fd7407ab1e99	CRAC_FAN
f096c486-ed18-4707-b005-55ac5a7eb233	a3f38d4d-71fe-4976-b74b-6075c6369c7d	CHILLER
f096c486-ed18-4707-b005-55ac5a7eb233	f312f654-8ebf-48bb-bd6e-cc3f35245586	AIR_COOLED_CHILLER
f096c486-ed18-4707-b005-55ac5a7eb233	1b4064f3-dc32-4e49-8584-dbf9a28dbe72	COOLING_TOWER
f096c486-ed18-4707-b005-55ac5a7eb233	645b873b-b0e7-420a-bd13-15a0aaa7518a	DRY_COOLER
f096c486-ed18-4707-b005-55ac5a7eb233	eefbaf31-c6c4-4545-9528-67e10b4c19fc	REMOTE_CONDENSER
f096c486-ed18-4707-b005-55ac5a7eb233	41f9aa31-115b-4d39-a815-c9d9e00ec870	CHILLED_WATER_PUMPS
f096c486-ed18-4707-b005-55ac5a7eb233	622ff3fa-f315-4da6-9b04-baf4f48ef530	HEAT_REJECTION_PUMPS
f096c486-ed18-4707-b005-55ac5a7eb233	0ef6cb2f-9cf3-4cbc-821a-bf0cc3c2858f	VENTILATION
f096c486-ed18-4707-b005-55ac5a7eb233	efeaf9c6-57fe-4c5d-9787-2d11a88d469a	INFILTRATION
f096c486-ed18-4707-b005-55ac5a7eb233	87b06140-3310-42d5-861d-9d609aa20d64	IT_LOAD
570600c0-2a23-4f8f-85db-a499c2df0ea0	f698bdc5-80a1-4be5-b223-511d6b00d76e	SWITCHGEAR
570600c0-2a23-4f8f-85db-a499c2df0ea0	ee43d202-8924-4028-921d-16a3cae4eab8	GENERATOR
570600c0-2a23-4f8f-85db-a499c2df0ea0	651a373a-1726-489b-b098-eab50b8eb78b	PRIMARY_AUXILIARIES
570600c0-2a23-4f8f-85db-a499c2df0ea0	aa01f3d8-416c-41cb-86b1-534a2ae8d154	UPS
570600c0-2a23-4f8f-85db-a499c2df0ea0	07d0e38a-7f65-4c2c-b1d1-d8e6fa87c774	CRITICAL_AUXILIARIES
570600c0-2a23-4f8f-85db-a499c2df0ea0	4cddd5c9-a383-4ecd-84ea-39be64627a09	LIGHTING
570600c0-2a23-4f8f-85db-a499c2df0ea0	f3c778d3-8439-4a03-a70d-3aa08943b151	CRITICAL_POWER_DISTRIBUTION
570600c0-2a23-4f8f-85db-a499c2df0ea0	1fb78465-2f40-435f-aaea-ff26b46be0b0	CRAH
570600c0-2a23-4f8f-85db-a499c2df0ea0	2b7f2783-019f-47e2-8b88-443032431821	CRAC
570600c0-2a23-4f8f-85db-a499c2df0ea0	a1f4ee8d-a675-4f90-9045-d0d3083a8d10	CRAC_WITHOUT_FAN
570600c0-2a23-4f8f-85db-a499c2df0ea0	755cfa70-f9e1-4fca-8041-30eddf137a0e	CRAC_FAN
570600c0-2a23-4f8f-85db-a499c2df0ea0	154835a4-3230-487d-9cfd-5a7d41ad9e07	CHILLER
570600c0-2a23-4f8f-85db-a499c2df0ea0	6c3521a9-d0f3-43ef-9740-314f0243f4a5	AIR_COOLED_CHILLER
570600c0-2a23-4f8f-85db-a499c2df0ea0	d0319a00-47ef-453f-9ad2-ddef91a92548	COOLING_TOWER
570600c0-2a23-4f8f-85db-a499c2df0ea0	e80ba472-e923-4a83-ae13-f0d175eb0c75	DRY_COOLER
570600c0-2a23-4f8f-85db-a499c2df0ea0	f0d0f50b-b166-4847-9084-eeb4ca6cafad	REMOTE_CONDENSER
570600c0-2a23-4f8f-85db-a499c2df0ea0	714ab160-0fd2-4019-908b-398137d7c254	CHILLED_WATER_PUMPS
570600c0-2a23-4f8f-85db-a499c2df0ea0	45253baf-7def-4f77-90c3-835dac10c632	HEAT_REJECTION_PUMPS
570600c0-2a23-4f8f-85db-a499c2df0ea0	6143924a-89ef-4c1e-a415-ef9814549a3b	VENTILATION
570600c0-2a23-4f8f-85db-a499c2df0ea0	0b769fd6-babc-4af1-820a-34ee59d7951a	INFILTRATION
570600c0-2a23-4f8f-85db-a499c2df0ea0	bee6b753-a336-44d2-bd41-3756830b4c10	IT_LOAD
4f9877fb-7ea4-4632-a725-437e6f5f579c	0d1e8719-18c5-48b5-9326-fd90c8cb930c	SWITCHGEAR
4f9877fb-7ea4-4632-a725-437e6f5f579c	c83c83e6-724d-4bfc-8826-9c72d56a0e65	GENERATOR
4f9877fb-7ea4-4632-a725-437e6f5f579c	1133d6b2-aa4c-45c2-95f5-645afd02a611	PRIMARY_AUXILIARIES
4f9877fb-7ea4-4632-a725-437e6f5f579c	9ba95411-28ae-4439-97c3-5ef0deb7ed09	UPS
4f9877fb-7ea4-4632-a725-437e6f5f579c	d53dc414-fddf-47a4-b3da-e31839d449c8	CRITICAL_AUXILIARIES
4f9877fb-7ea4-4632-a725-437e6f5f579c	a68ae4c9-6361-4f84-bfc0-d665c8e26e13	LIGHTING
4f9877fb-7ea4-4632-a725-437e6f5f579c	0542226e-e432-4c50-92b2-278cad1843e2	CRITICAL_POWER_DISTRIBUTION
4f9877fb-7ea4-4632-a725-437e6f5f579c	d31bf4e6-0ab2-4455-a326-ee38ce35f360	CRAH
4f9877fb-7ea4-4632-a725-437e6f5f579c	4df2d914-59dc-447d-a20b-fb9b8c4d3675	CRAC
4f9877fb-7ea4-4632-a725-437e6f5f579c	d1705185-f493-4ae6-8c90-d6e9af49e9a5	CRAC_WITHOUT_FAN
4f9877fb-7ea4-4632-a725-437e6f5f579c	069555e6-069f-43a1-8517-fadea20590ee	CRAC_FAN
4f9877fb-7ea4-4632-a725-437e6f5f579c	c23e5b8f-b6cd-4e1b-b2fb-6c5ff2abd5ac	CHILLER
4f9877fb-7ea4-4632-a725-437e6f5f579c	51c7a845-0659-4c9d-9c00-361373ee2167	AIR_COOLED_CHILLER
4f9877fb-7ea4-4632-a725-437e6f5f579c	f23934ee-9db1-4b01-908f-20d3e568870d	COOLING_TOWER
4f9877fb-7ea4-4632-a725-437e6f5f579c	74cfba26-fe03-45fe-b10d-bfb2545288ae	DRY_COOLER
4f9877fb-7ea4-4632-a725-437e6f5f579c	58f69d59-dcc3-4187-b017-2b615cf13fd0	REMOTE_CONDENSER
4f9877fb-7ea4-4632-a725-437e6f5f579c	989fbb09-5dcc-4d24-a298-16359c9da88c	CHILLED_WATER_PUMPS
4f9877fb-7ea4-4632-a725-437e6f5f579c	386674a8-39ca-4613-9803-93f3614373b7	HEAT_REJECTION_PUMPS
4f9877fb-7ea4-4632-a725-437e6f5f579c	f4cb833a-db43-42f4-a0d4-a52563bd50c9	VENTILATION
4f9877fb-7ea4-4632-a725-437e6f5f579c	6f581159-fe60-4c9b-9f0e-6e4e713eb7fe	INFILTRATION
4f9877fb-7ea4-4632-a725-437e6f5f579c	07ad0f3f-e4fe-4a2e-93ae-382b7a99ffb5	IT_LOAD
49e47e06-03f5-4d61-8735-c379b3ef5e4e	3680b6cc-aea4-40f8-aa6f-b190e21cefe0	SWITCHGEAR
49e47e06-03f5-4d61-8735-c379b3ef5e4e	57370c2c-ccc9-4960-85c6-d4bb5afd576c	GENERATOR
49e47e06-03f5-4d61-8735-c379b3ef5e4e	13e15de3-125f-48fe-9f7c-cda66bca513d	PRIMARY_AUXILIARIES
49e47e06-03f5-4d61-8735-c379b3ef5e4e	fe1b60d7-5568-4a60-a415-0c9cf3ae05a2	UPS
49e47e06-03f5-4d61-8735-c379b3ef5e4e	e005ffdd-6d3b-43d6-82d4-a590517551bb	CRITICAL_AUXILIARIES
49e47e06-03f5-4d61-8735-c379b3ef5e4e	d2843357-ab0d-47cc-88aa-141c26ee8142	LIGHTING
49e47e06-03f5-4d61-8735-c379b3ef5e4e	0026cbbf-f22d-4d03-95f4-bb810c7b953c	CRITICAL_POWER_DISTRIBUTION
49e47e06-03f5-4d61-8735-c379b3ef5e4e	2040f935-2deb-42ec-ab90-05d117508fc8	CRAH
49e47e06-03f5-4d61-8735-c379b3ef5e4e	273bb587-e040-4264-a734-9d8885909ada	CRAC
49e47e06-03f5-4d61-8735-c379b3ef5e4e	a6c607d7-89b1-424f-8e0d-9a18c5a7bbe1	CRAC_WITHOUT_FAN
49e47e06-03f5-4d61-8735-c379b3ef5e4e	d6568d33-db55-4049-8dbc-53dce213dd3a	CRAC_FAN
49e47e06-03f5-4d61-8735-c379b3ef5e4e	144a606f-af1d-409d-8387-2705a870f43a	CHILLER
49e47e06-03f5-4d61-8735-c379b3ef5e4e	d1a6e3d6-4886-4667-8e07-a9c0b26a091a	AIR_COOLED_CHILLER
49e47e06-03f5-4d61-8735-c379b3ef5e4e	7cf739a8-3a9d-4287-8ce4-cd232109e243	COOLING_TOWER
49e47e06-03f5-4d61-8735-c379b3ef5e4e	253ee6e6-eb0a-4e22-80fb-3a91336a118b	DRY_COOLER
49e47e06-03f5-4d61-8735-c379b3ef5e4e	137eb917-c17c-4199-ac46-968b1aae77b6	REMOTE_CONDENSER
49e47e06-03f5-4d61-8735-c379b3ef5e4e	cfdd9973-6fa1-4659-8e63-7d2bcf94fb34	CHILLED_WATER_PUMPS
49e47e06-03f5-4d61-8735-c379b3ef5e4e	d048c4e8-b826-4284-b196-cdc9078dd4b2	HEAT_REJECTION_PUMPS
49e47e06-03f5-4d61-8735-c379b3ef5e4e	6d94f045-6692-4c6b-b5ee-8edd514e3714	VENTILATION
49e47e06-03f5-4d61-8735-c379b3ef5e4e	93580401-df93-4502-903d-c0ff4f7da69b	INFILTRATION
49e47e06-03f5-4d61-8735-c379b3ef5e4e	6f1a083c-8998-4b6a-bad5-c51842e8e163	IT_LOAD
fc50ad34-c697-4df1-b2dc-c0375096c2ac	15b422d2-1d28-4e78-bdce-8e3b0d7694e4	SWITCHGEAR
fc50ad34-c697-4df1-b2dc-c0375096c2ac	43f785c6-1671-412c-9ab9-f8ace9dcb935	GENERATOR
fc50ad34-c697-4df1-b2dc-c0375096c2ac	c81225a9-d08e-48da-8f53-03401cb3eef0	PRIMARY_AUXILIARIES
fc50ad34-c697-4df1-b2dc-c0375096c2ac	252bb3c6-f7f7-4ff1-8988-1f1ac637a002	UPS
fc50ad34-c697-4df1-b2dc-c0375096c2ac	aae4292b-4b45-4b54-9417-31847a6f4006	CRITICAL_AUXILIARIES
fc50ad34-c697-4df1-b2dc-c0375096c2ac	4a42991d-bd34-4467-9d3e-59d7d524f8c7	LIGHTING
fc50ad34-c697-4df1-b2dc-c0375096c2ac	02498fac-24a4-491a-919e-40a45e9897ad	CRITICAL_POWER_DISTRIBUTION
fc50ad34-c697-4df1-b2dc-c0375096c2ac	ae1413a2-b9ef-4878-9d04-86fb4442205a	CRAH
fc50ad34-c697-4df1-b2dc-c0375096c2ac	5e0f44a0-7bce-4f70-9428-998b22795b94	CRAC
fc50ad34-c697-4df1-b2dc-c0375096c2ac	abd5e643-d40c-4493-8a38-d4a4d5019b7f	CRAC_WITHOUT_FAN
fc50ad34-c697-4df1-b2dc-c0375096c2ac	bd47907f-5a50-4832-96e8-41c56d3064ad	CRAC_FAN
fc50ad34-c697-4df1-b2dc-c0375096c2ac	9dfd0ae5-ea76-416f-8dc6-b71baad7d1e1	CHILLER
fc50ad34-c697-4df1-b2dc-c0375096c2ac	be96964c-b429-44b8-aa88-fb33f290ed8d	AIR_COOLED_CHILLER
fc50ad34-c697-4df1-b2dc-c0375096c2ac	848c611d-c3c9-4af7-8d4c-ad8c2168497c	COOLING_TOWER
fc50ad34-c697-4df1-b2dc-c0375096c2ac	7384932a-8e93-4fb9-a3b2-788af31db40c	DRY_COOLER
fc50ad34-c697-4df1-b2dc-c0375096c2ac	604e3042-887f-46db-a279-8608c970741c	REMOTE_CONDENSER
fc50ad34-c697-4df1-b2dc-c0375096c2ac	2393afb9-d054-4143-8f9b-dfa357783734	CHILLED_WATER_PUMPS
fc50ad34-c697-4df1-b2dc-c0375096c2ac	0d3f59fb-45c3-4eff-a08d-e0df7ec78f3b	HEAT_REJECTION_PUMPS
fc50ad34-c697-4df1-b2dc-c0375096c2ac	d3b9fc21-a2a4-4ed3-b4af-83a34a5b6157	VENTILATION
fc50ad34-c697-4df1-b2dc-c0375096c2ac	bf77a4de-8c59-42ea-a5b2-32efd880e9fa	INFILTRATION
fc50ad34-c697-4df1-b2dc-c0375096c2ac	aa6a4020-7fdb-45cc-a299-566ca62386d3	IT_LOAD
3f0124ba-8794-472d-8a75-ba1553d09b3d	4a086fa8-6072-420c-be20-819fb366aaf2	SWITCHGEAR
3f0124ba-8794-472d-8a75-ba1553d09b3d	1f089bd6-778a-4d4d-9918-81b5d275586f	GENERATOR
3f0124ba-8794-472d-8a75-ba1553d09b3d	d5496d6f-003b-46d1-82e9-9c91ae966f58	PRIMARY_AUXILIARIES
3f0124ba-8794-472d-8a75-ba1553d09b3d	488d1052-8d58-410d-a9b0-0ec7b0a14cc8	UPS
3f0124ba-8794-472d-8a75-ba1553d09b3d	fce8b3e5-9908-4341-9959-f99948f9995f	CRITICAL_AUXILIARIES
3f0124ba-8794-472d-8a75-ba1553d09b3d	504b5e1e-03dc-43f5-9689-303291c31d81	LIGHTING
3f0124ba-8794-472d-8a75-ba1553d09b3d	9b0c5a6a-f4e1-4117-bb85-d4cc4dbdd03f	CRITICAL_POWER_DISTRIBUTION
3f0124ba-8794-472d-8a75-ba1553d09b3d	2f19b7e4-409e-4f1d-8233-91b4f41fccd3	CRAH
3f0124ba-8794-472d-8a75-ba1553d09b3d	df80a789-1d60-4f72-a485-ee83a68e84c4	CRAC
3f0124ba-8794-472d-8a75-ba1553d09b3d	36e48433-ccfd-479e-ad51-27073ed1421f	CRAC_WITHOUT_FAN
3f0124ba-8794-472d-8a75-ba1553d09b3d	1f428fcd-4bad-4712-83ec-d613c60c6242	CRAC_FAN
3f0124ba-8794-472d-8a75-ba1553d09b3d	5f4b045b-652a-4e22-9aa8-ecb1beea34ed	CHILLER
3f0124ba-8794-472d-8a75-ba1553d09b3d	9352563c-5895-49eb-a498-452269a1297b	AIR_COOLED_CHILLER
3f0124ba-8794-472d-8a75-ba1553d09b3d	41274585-19f2-4544-8438-3357b5fbda0c	COOLING_TOWER
3f0124ba-8794-472d-8a75-ba1553d09b3d	536366f0-49ba-4f0f-b97e-c86f0eaf4e8f	DRY_COOLER
3f0124ba-8794-472d-8a75-ba1553d09b3d	4ba419b5-acdf-4d42-9125-b65347bf7ccf	REMOTE_CONDENSER
3f0124ba-8794-472d-8a75-ba1553d09b3d	6113291e-c136-48ec-99ee-421e611a2bfb	CHILLED_WATER_PUMPS
3f0124ba-8794-472d-8a75-ba1553d09b3d	70257a3c-aaed-4dcf-b0b6-fa11f94aff0d	HEAT_REJECTION_PUMPS
3f0124ba-8794-472d-8a75-ba1553d09b3d	1ef7db18-d113-48ea-9074-c89247afaca3	VENTILATION
3f0124ba-8794-472d-8a75-ba1553d09b3d	be9cb59c-25a1-4030-bfe6-7e183b060041	INFILTRATION
3f0124ba-8794-472d-8a75-ba1553d09b3d	e4f40dc6-c840-42df-b55c-1def9ab476c8	IT_LOAD
47f42321-2959-4696-b2c7-be31bbd8a10b	5de7a6d3-781a-4153-b93d-c440d6953a0b	SWITCHGEAR
47f42321-2959-4696-b2c7-be31bbd8a10b	9955ab01-ecdd-4775-92aa-7d9dc48829a7	GENERATOR
47f42321-2959-4696-b2c7-be31bbd8a10b	57cb95e7-6935-4457-a733-2c7bc1eb0cae	PRIMARY_AUXILIARIES
47f42321-2959-4696-b2c7-be31bbd8a10b	137aed82-a4b7-457c-98da-c90d4a0f0b4b	UPS
47f42321-2959-4696-b2c7-be31bbd8a10b	d4b2f18a-e816-497e-b9c1-4faf444d33af	CRITICAL_AUXILIARIES
47f42321-2959-4696-b2c7-be31bbd8a10b	3f834c8f-2cc7-4e50-9c18-8475b4a32340	LIGHTING
47f42321-2959-4696-b2c7-be31bbd8a10b	3145e8f1-fa15-409e-af99-5bd1682ab398	CRITICAL_POWER_DISTRIBUTION
47f42321-2959-4696-b2c7-be31bbd8a10b	b9b4d88d-8b0a-48e1-b521-cd9bed65200e	CRAH
47f42321-2959-4696-b2c7-be31bbd8a10b	af6b465b-f89e-4b8b-a918-b8a4d0897bd6	CRAC
47f42321-2959-4696-b2c7-be31bbd8a10b	5f36c406-efa2-495b-b805-2a7d737ad15e	CRAC_WITHOUT_FAN
47f42321-2959-4696-b2c7-be31bbd8a10b	00f74722-4925-4200-8435-b028b1d3005c	CRAC_FAN
47f42321-2959-4696-b2c7-be31bbd8a10b	37fdb0ed-9027-45e7-a037-c7b7ec4c9150	CHILLER
47f42321-2959-4696-b2c7-be31bbd8a10b	2f6f1adc-b3a5-484f-bff9-32c77266b412	AIR_COOLED_CHILLER
47f42321-2959-4696-b2c7-be31bbd8a10b	69129a23-d84f-40ca-bb17-2106532215b2	COOLING_TOWER
47f42321-2959-4696-b2c7-be31bbd8a10b	6727d9d7-1613-41a2-85b5-87e6702e858f	DRY_COOLER
47f42321-2959-4696-b2c7-be31bbd8a10b	a8af92a4-c0d3-4455-9c0f-022651281f1c	REMOTE_CONDENSER
47f42321-2959-4696-b2c7-be31bbd8a10b	30189344-0fce-498a-95e2-9f3edc0bd075	CHILLED_WATER_PUMPS
47f42321-2959-4696-b2c7-be31bbd8a10b	d1bd2b49-f358-4205-90ce-c6d2795aaa38	HEAT_REJECTION_PUMPS
47f42321-2959-4696-b2c7-be31bbd8a10b	e302a59f-b2e0-43ea-a14a-78ab4874809b	VENTILATION
47f42321-2959-4696-b2c7-be31bbd8a10b	c2beb457-eafd-40b1-9ec9-bc396839969e	INFILTRATION
47f42321-2959-4696-b2c7-be31bbd8a10b	e00c5e13-6050-42f9-aa3c-32c02520f91c	IT_LOAD
37d44e68-8cde-40aa-84b6-709910874a38	7de54896-fa8a-4535-9765-a2fff8580829	SWITCHGEAR
37d44e68-8cde-40aa-84b6-709910874a38	0eac188c-465c-4e51-8e03-f398c5c9f5f2	GENERATOR
37d44e68-8cde-40aa-84b6-709910874a38	9fb649fb-7d03-4385-989a-88841394aba1	PRIMARY_AUXILIARIES
37d44e68-8cde-40aa-84b6-709910874a38	d29c27e7-57ef-4141-bbed-1cc4e0d342c4	UPS
37d44e68-8cde-40aa-84b6-709910874a38	3c980060-7838-49d8-9229-24775212fdff	CRITICAL_AUXILIARIES
37d44e68-8cde-40aa-84b6-709910874a38	1af9aac9-e7a0-40b8-b86b-4313f14901d2	LIGHTING
37d44e68-8cde-40aa-84b6-709910874a38	fd9f4fae-5064-435b-b1f2-e26eb5746ede	CRITICAL_POWER_DISTRIBUTION
37d44e68-8cde-40aa-84b6-709910874a38	854ac984-5299-4984-b544-053c4f9df1a9	CRAH
37d44e68-8cde-40aa-84b6-709910874a38	4639c717-7710-49f3-9eb2-4ae78a0adf5e	CRAC
37d44e68-8cde-40aa-84b6-709910874a38	dd9e54ab-37a5-4968-9005-9a0cd2f1c480	CRAC_WITHOUT_FAN
37d44e68-8cde-40aa-84b6-709910874a38	2f3f7837-dd9d-4be1-bc7c-fbdf2fc0c5ff	CRAC_FAN
37d44e68-8cde-40aa-84b6-709910874a38	0af6f212-a9ec-47ee-8cde-e1e80f3a2410	CHILLER
37d44e68-8cde-40aa-84b6-709910874a38	0ddf181a-4684-41de-bf76-15a33d8a5bba	AIR_COOLED_CHILLER
37d44e68-8cde-40aa-84b6-709910874a38	1640c66a-8668-4cf0-8709-8bf3b4ca40fd	COOLING_TOWER
37d44e68-8cde-40aa-84b6-709910874a38	2bc36f4a-1468-49ee-945e-5aae2cf5c5a9	DRY_COOLER
37d44e68-8cde-40aa-84b6-709910874a38	df2daa8d-2920-4093-baef-4fc2ec1b0bfa	REMOTE_CONDENSER
37d44e68-8cde-40aa-84b6-709910874a38	70f5eda9-474e-4926-80c3-b3ffc1d46ad5	CHILLED_WATER_PUMPS
37d44e68-8cde-40aa-84b6-709910874a38	072ebe77-a0bd-4c99-a179-a61ea5ecc61b	HEAT_REJECTION_PUMPS
37d44e68-8cde-40aa-84b6-709910874a38	d0c76085-5295-496c-9d97-9a00837029bd	VENTILATION
37d44e68-8cde-40aa-84b6-709910874a38	e4f8ac14-7dda-4bab-b703-940a503b9c38	INFILTRATION
37d44e68-8cde-40aa-84b6-709910874a38	d00404df-9fdd-45c1-a565-c6d2f8ce9c52	IT_LOAD
ca1887a4-f2cc-402b-a05d-87f2c3339404	26dd591b-db3d-408e-892d-14dc1a31bec1	SWITCHGEAR
ca1887a4-f2cc-402b-a05d-87f2c3339404	c35b1c57-dbb2-44c9-afbb-bac21f179fd6	GENERATOR
ca1887a4-f2cc-402b-a05d-87f2c3339404	f8c24d0e-4ace-4c55-9d07-174a94bccd59	PRIMARY_AUXILIARIES
ca1887a4-f2cc-402b-a05d-87f2c3339404	fd3dd229-5b6f-44c0-9e31-c9694a6d871f	UPS
ca1887a4-f2cc-402b-a05d-87f2c3339404	70a113bc-6420-4f97-a811-676a0b3b9edf	CRITICAL_AUXILIARIES
ca1887a4-f2cc-402b-a05d-87f2c3339404	1898c535-eac4-47d4-a2b3-d3f7fb9d1d38	LIGHTING
ca1887a4-f2cc-402b-a05d-87f2c3339404	9607a47b-e7cf-4349-b1c3-acd5a8af57e2	CRITICAL_POWER_DISTRIBUTION
ca1887a4-f2cc-402b-a05d-87f2c3339404	a26295a7-0223-4716-b1ee-232ab414b1c8	CRAH
ca1887a4-f2cc-402b-a05d-87f2c3339404	950b5a55-8d93-4387-aa2c-593c148be430	CRAC
ca1887a4-f2cc-402b-a05d-87f2c3339404	f7a7b0df-1cd8-46bd-816f-28e53053f0a2	CRAC_WITHOUT_FAN
ca1887a4-f2cc-402b-a05d-87f2c3339404	88ba91d9-8f03-4e27-95d1-27ac1abf131f	CRAC_FAN
ca1887a4-f2cc-402b-a05d-87f2c3339404	d4f747df-64b3-409f-a782-dbb1910c6324	CHILLER
ca1887a4-f2cc-402b-a05d-87f2c3339404	c13ff4f6-2297-4fd2-baa5-a8107ab8762a	AIR_COOLED_CHILLER
ca1887a4-f2cc-402b-a05d-87f2c3339404	21a8463e-86cb-412f-955d-c2ec08ab659a	COOLING_TOWER
ca1887a4-f2cc-402b-a05d-87f2c3339404	0ae29c17-ca25-4814-8c43-43649886a7ef	DRY_COOLER
ca1887a4-f2cc-402b-a05d-87f2c3339404	e0ba682a-7a8c-4225-adbe-abe837f9cceb	REMOTE_CONDENSER
ca1887a4-f2cc-402b-a05d-87f2c3339404	9dfd4d77-0619-416a-95d5-aff0dc8cc764	CHILLED_WATER_PUMPS
ca1887a4-f2cc-402b-a05d-87f2c3339404	640ce3db-ba9e-4f0f-8df9-b521a9242545	HEAT_REJECTION_PUMPS
ca1887a4-f2cc-402b-a05d-87f2c3339404	41f3ed82-a108-48de-a5c5-36e722c325b6	VENTILATION
ca1887a4-f2cc-402b-a05d-87f2c3339404	efe589a3-004f-445e-a14d-bcc9be0742f1	INFILTRATION
ca1887a4-f2cc-402b-a05d-87f2c3339404	a3194930-b239-424e-8001-0892813d2b92	IT_LOAD
5b2c7d48-4530-490e-8d67-f31cf346538e	b5c07539-c56a-46c2-9b25-551654594115	SWITCHGEAR
5b2c7d48-4530-490e-8d67-f31cf346538e	b02d8c5f-580f-4a8c-bd8c-3da2e6d79a37	GENERATOR
5b2c7d48-4530-490e-8d67-f31cf346538e	fde7e7dc-8e15-48c2-b924-9d17fcdaabb6	PRIMARY_AUXILIARIES
5b2c7d48-4530-490e-8d67-f31cf346538e	04615626-d486-4d28-9583-6c1d33bcd746	UPS
5b2c7d48-4530-490e-8d67-f31cf346538e	5bc9fdb6-ba41-4709-a9fd-8987f15e7eb1	CRITICAL_AUXILIARIES
5b2c7d48-4530-490e-8d67-f31cf346538e	3fe18093-6b81-49de-973c-8a55d50d9721	LIGHTING
5b2c7d48-4530-490e-8d67-f31cf346538e	97df7002-78e0-4bcc-9009-a914bf3494d2	CRITICAL_POWER_DISTRIBUTION
5b2c7d48-4530-490e-8d67-f31cf346538e	63c91214-6fbb-4f81-b5ce-2b17e9ac618c	CRAH
5b2c7d48-4530-490e-8d67-f31cf346538e	430d2474-df6a-4b85-bc8e-adc5147d9405	CRAC
5b2c7d48-4530-490e-8d67-f31cf346538e	900ebf0d-18a4-47e2-bfdc-1a2c0b255a7c	CRAC_WITHOUT_FAN
5b2c7d48-4530-490e-8d67-f31cf346538e	592825b8-dc74-4e9f-9aa2-b207746dd269	CRAC_FAN
5b2c7d48-4530-490e-8d67-f31cf346538e	450b26ef-7e7b-4051-935c-9436d8a8d412	CHILLER
5b2c7d48-4530-490e-8d67-f31cf346538e	5ec8e54f-58ac-40d7-895a-cb3f973a13ac	AIR_COOLED_CHILLER
5b2c7d48-4530-490e-8d67-f31cf346538e	2e252213-4692-4711-a73d-68892af6ea59	COOLING_TOWER
5b2c7d48-4530-490e-8d67-f31cf346538e	7749fc5f-e4d8-4e8f-8632-e3bf0e016699	DRY_COOLER
5b2c7d48-4530-490e-8d67-f31cf346538e	14a07400-8204-4ea4-9a86-ea5417ea08bc	REMOTE_CONDENSER
5b2c7d48-4530-490e-8d67-f31cf346538e	ef6d2ffd-d9ac-4e97-a4f4-08ffaa5b22e8	CHILLED_WATER_PUMPS
5b2c7d48-4530-490e-8d67-f31cf346538e	942741f1-1995-40a8-9f88-822b15429872	HEAT_REJECTION_PUMPS
5b2c7d48-4530-490e-8d67-f31cf346538e	91dcf2ee-52b3-4e27-ac66-ef8f9b940df7	VENTILATION
5b2c7d48-4530-490e-8d67-f31cf346538e	d50534b4-f854-4633-8433-87bd2f0c7811	INFILTRATION
5b2c7d48-4530-490e-8d67-f31cf346538e	e90efdba-73b3-4060-ae5b-42f52656dfae	IT_LOAD
3626ca6e-6951-40e5-842e-8bc141281234	1b2f28f2-b71d-4d43-a59c-750a668ac9a4	SWITCHGEAR
3626ca6e-6951-40e5-842e-8bc141281234	9ce9db08-1689-432b-a233-f0bf85c9bd86	GENERATOR
3626ca6e-6951-40e5-842e-8bc141281234	cb68a01d-8fad-4cbd-91d5-9213742a9a3f	PRIMARY_AUXILIARIES
3626ca6e-6951-40e5-842e-8bc141281234	0b4fa609-bd1d-4c17-8256-943bc9c980b3	UPS
3626ca6e-6951-40e5-842e-8bc141281234	91ac9cf9-ad90-40b0-afdf-ae5adaa7901c	CRITICAL_AUXILIARIES
3626ca6e-6951-40e5-842e-8bc141281234	397b8cf1-f772-4f01-b545-977b33a6eb79	LIGHTING
3626ca6e-6951-40e5-842e-8bc141281234	bdee13b5-72b1-4d0f-9245-46314fd075c4	CRITICAL_POWER_DISTRIBUTION
3626ca6e-6951-40e5-842e-8bc141281234	cd642fa6-9578-4f53-949d-7084b6468817	CRAH
3626ca6e-6951-40e5-842e-8bc141281234	5c6f89a1-cf6d-42e3-81bd-6b11f8ce4f64	CRAC
3626ca6e-6951-40e5-842e-8bc141281234	cea93262-c704-4cae-9766-b071737762a4	CRAC_WITHOUT_FAN
3626ca6e-6951-40e5-842e-8bc141281234	1a498364-1c33-452f-b3f4-af1ee3264055	CRAC_FAN
3626ca6e-6951-40e5-842e-8bc141281234	26800bac-93f4-4ffc-879f-ea32fb0dc2b7	CHILLER
3626ca6e-6951-40e5-842e-8bc141281234	171d6268-ebe4-4d56-8037-da568956835d	AIR_COOLED_CHILLER
3626ca6e-6951-40e5-842e-8bc141281234	8afce64d-6889-4765-acb4-1b289e38b56e	COOLING_TOWER
3626ca6e-6951-40e5-842e-8bc141281234	c4bdd2e7-8acb-446d-baf5-304e239733e3	DRY_COOLER
3626ca6e-6951-40e5-842e-8bc141281234	a8a890da-8e03-48dc-9736-e4966726bd70	REMOTE_CONDENSER
3626ca6e-6951-40e5-842e-8bc141281234	598692a1-9333-4513-b99b-7b23ab291be1	CHILLED_WATER_PUMPS
3626ca6e-6951-40e5-842e-8bc141281234	48989b63-5bdd-4c68-a2ef-9fe04a2d506c	HEAT_REJECTION_PUMPS
3626ca6e-6951-40e5-842e-8bc141281234	b054c715-7546-4f05-b975-953e823f6669	VENTILATION
3626ca6e-6951-40e5-842e-8bc141281234	f044b3a1-f47a-4cac-b10f-ddc51bc9de93	INFILTRATION
3626ca6e-6951-40e5-842e-8bc141281234	94c285a1-13a7-4fa6-a247-788a8670b6c6	IT_LOAD
6c45c3d9-fe09-452c-9939-659229ea4b48	442c3c17-ea20-4c4c-9cf0-577fdcd8f9f9	SWITCHGEAR
6c45c3d9-fe09-452c-9939-659229ea4b48	331232ce-bce3-427d-b917-fe8e7ef24ce8	GENERATOR
6c45c3d9-fe09-452c-9939-659229ea4b48	96e99a3e-ab96-4d13-b434-751a50f2b130	PRIMARY_AUXILIARIES
6c45c3d9-fe09-452c-9939-659229ea4b48	ddf823c2-67c4-4b84-8375-4ed71abcb287	UPS
6c45c3d9-fe09-452c-9939-659229ea4b48	048b6e48-7b8f-4ee2-b013-c617c8a0c302	CRITICAL_AUXILIARIES
6c45c3d9-fe09-452c-9939-659229ea4b48	cd3500cc-9870-4a21-be47-3e3fa161d93f	LIGHTING
6c45c3d9-fe09-452c-9939-659229ea4b48	810ec40e-686f-4009-b489-9d378a4766c0	CRITICAL_POWER_DISTRIBUTION
6c45c3d9-fe09-452c-9939-659229ea4b48	a0197eb1-c542-46e7-a1ff-cc65b95e6504	CRAH
6c45c3d9-fe09-452c-9939-659229ea4b48	9ce0623d-0693-4fbd-8c63-7e8d1e2fcbc4	CRAC
6c45c3d9-fe09-452c-9939-659229ea4b48	0302c28c-2090-48f5-a062-0ef49b7314c4	CRAC_WITHOUT_FAN
6c45c3d9-fe09-452c-9939-659229ea4b48	7039727c-bfbe-4953-ab6e-53a13e80b40e	CRAC_FAN
6c45c3d9-fe09-452c-9939-659229ea4b48	a5e23b05-4d18-4261-80f7-ba794babbf41	CHILLER
6c45c3d9-fe09-452c-9939-659229ea4b48	aaa26c3e-639c-4719-93be-9be4799f81b8	AIR_COOLED_CHILLER
6c45c3d9-fe09-452c-9939-659229ea4b48	41501d97-7e1d-4545-a445-d15f99307e77	COOLING_TOWER
6c45c3d9-fe09-452c-9939-659229ea4b48	a0e9e20b-da42-4b25-a839-d675ec954a52	DRY_COOLER
6c45c3d9-fe09-452c-9939-659229ea4b48	62eae914-96c1-470b-86f7-b6d65e5bfe99	REMOTE_CONDENSER
6c45c3d9-fe09-452c-9939-659229ea4b48	05a1585f-d172-48df-9eea-d0f882b2e475	CHILLED_WATER_PUMPS
6c45c3d9-fe09-452c-9939-659229ea4b48	f1da24d8-5b5c-4aa5-83e4-f4ae5b12a482	HEAT_REJECTION_PUMPS
6c45c3d9-fe09-452c-9939-659229ea4b48	ba24189a-6843-4357-98b2-ac277a434dc5	VENTILATION
6c45c3d9-fe09-452c-9939-659229ea4b48	df4f6767-66e4-4b1a-8d20-3f9c5b5e0ed2	INFILTRATION
6c45c3d9-fe09-452c-9939-659229ea4b48	1eec05cc-8a48-4f07-b176-5b80c11cca85	IT_LOAD
c86e70fd-acb1-48a7-bb12-591b24b0d575	c41d7c0e-4954-4770-9712-4aff3650d0d6	SWITCHGEAR
c86e70fd-acb1-48a7-bb12-591b24b0d575	1109f613-b497-4058-88b9-7fe98f0ff892	GENERATOR
c86e70fd-acb1-48a7-bb12-591b24b0d575	021105a2-d007-420d-bd62-fb0a2d592d51	PRIMARY_AUXILIARIES
c86e70fd-acb1-48a7-bb12-591b24b0d575	c2845702-eb0b-42a7-9461-6fcb97c22f28	UPS
c86e70fd-acb1-48a7-bb12-591b24b0d575	841e406f-43e6-49cb-9a33-db899f592380	CRITICAL_AUXILIARIES
c86e70fd-acb1-48a7-bb12-591b24b0d575	81335f42-18cf-45a0-95c5-084b277931bd	LIGHTING
c86e70fd-acb1-48a7-bb12-591b24b0d575	0c89bb7e-4189-46ca-b240-faf17d03b93f	CRITICAL_POWER_DISTRIBUTION
c86e70fd-acb1-48a7-bb12-591b24b0d575	f23385fa-7b67-45d5-98e2-0a3f106bf114	CRAH
c86e70fd-acb1-48a7-bb12-591b24b0d575	aa30faa8-115e-40c1-b6e6-7ce9c6d7942d	CRAC
c86e70fd-acb1-48a7-bb12-591b24b0d575	d73c0e89-c09e-4570-be6e-f48fe78b3d90	CRAC_WITHOUT_FAN
c86e70fd-acb1-48a7-bb12-591b24b0d575	150e6c2e-3f41-4dc8-b1af-d070e71fc236	CRAC_FAN
c86e70fd-acb1-48a7-bb12-591b24b0d575	744a3ec5-d72f-44d8-9af1-7a2ed3ea75eb	CHILLER
c86e70fd-acb1-48a7-bb12-591b24b0d575	6c387c7f-820f-42d6-8f3e-0055354e4952	AIR_COOLED_CHILLER
c86e70fd-acb1-48a7-bb12-591b24b0d575	476339c2-1267-4e1d-9c8b-75d27a4e71d3	COOLING_TOWER
c86e70fd-acb1-48a7-bb12-591b24b0d575	1628c513-8b47-4b5c-b554-d9a7ea9348d2	DRY_COOLER
c86e70fd-acb1-48a7-bb12-591b24b0d575	2fac0362-5d31-4355-8476-28b8d03f6bce	REMOTE_CONDENSER
c86e70fd-acb1-48a7-bb12-591b24b0d575	11de793b-a3cd-46ea-b4d4-b35ea1f3b6dd	CHILLED_WATER_PUMPS
c86e70fd-acb1-48a7-bb12-591b24b0d575	4fbe9c39-c605-423c-b9e5-6bc6e14d83d9	HEAT_REJECTION_PUMPS
c86e70fd-acb1-48a7-bb12-591b24b0d575	0cca8ed7-7512-4b65-9a35-32323b497b0b	VENTILATION
c86e70fd-acb1-48a7-bb12-591b24b0d575	2c9675b4-4f57-4335-b2ea-2c42b8b09a49	INFILTRATION
c86e70fd-acb1-48a7-bb12-591b24b0d575	f620d875-7cfe-4e40-a857-4dcb1f752e92	IT_LOAD
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	ff01e8ff-3101-45a6-b1c6-06f59b681af4	SWITCHGEAR
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	982cf574-2353-4fed-bff0-c96083e0945c	GENERATOR
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	d9808f03-d551-43bb-be9c-e43b60b37625	PRIMARY_AUXILIARIES
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	bff24daa-d03b-407b-af6a-07483aa9c0bb	UPS
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	c1302eb7-65ea-40d4-bc1f-2b8c37977ee1	CRITICAL_AUXILIARIES
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	2772c14c-58d4-4cbf-b319-f9a304160ec0	LIGHTING
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	aff9a5eb-5153-4e77-acee-d4c3685f14c8	CRITICAL_POWER_DISTRIBUTION
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	51ef074e-c865-47fc-97c9-a0e29ebcfa0d	CRAH
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	d6280db2-77a6-4278-be5f-52ba80c4fba4	CRAC
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	902f764e-2331-411e-a1e7-7e6abb6f1618	CRAC_WITHOUT_FAN
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	881ad068-140d-4757-a048-3095c60d20c3	CRAC_FAN
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	6e992ad6-0744-4c5d-b35d-92336c805693	CHILLER
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	63b43d8a-f961-4ff2-832a-a49028ea746d	AIR_COOLED_CHILLER
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	760f71bc-4af0-4bd5-b294-5ecdbb806848	COOLING_TOWER
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	eb1a8273-20cf-4ac3-85b3-46be82cd25a3	DRY_COOLER
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	e7ed8491-b400-4c37-9976-92800f84e761	REMOTE_CONDENSER
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	f1975c45-9bab-4f79-9c14-89cf9b14f53d	CHILLED_WATER_PUMPS
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	cf0ad676-cdaa-485e-a361-176b9cf089c0	HEAT_REJECTION_PUMPS
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	ce68467f-8c61-493a-a4b1-66901990fc68	VENTILATION
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	e3aa8af0-97da-4b23-8655-7f2dddc41d4b	INFILTRATION
4b3fca2d-3d56-4a72-a68c-77cfc2a0021d	5f6e5f85-ad9b-441f-b63b-64bab34e93e5	IT_LOAD
35934ce2-e485-499a-a885-04d535bcbc20	71ebc972-3b41-4ab9-875f-36aecb5ee7ba	SWITCHGEAR
35934ce2-e485-499a-a885-04d535bcbc20	1e1f32be-a5d1-400a-994e-d71df82ad35e	GENERATOR
35934ce2-e485-499a-a885-04d535bcbc20	3d22a394-a5ad-4e9b-8eee-a9241c9cc9f0	PRIMARY_AUXILIARIES
35934ce2-e485-499a-a885-04d535bcbc20	68c68993-6dab-4461-9ee6-10230950f7c5	UPS
35934ce2-e485-499a-a885-04d535bcbc20	795d9e23-297c-4919-a873-f69530ef4754	CRITICAL_AUXILIARIES
35934ce2-e485-499a-a885-04d535bcbc20	82212e98-dfcb-4f7e-aacf-3d3cf3329287	LIGHTING
35934ce2-e485-499a-a885-04d535bcbc20	b55608ad-f1f4-4aaf-a52c-33a94e731abc	CRITICAL_POWER_DISTRIBUTION
35934ce2-e485-499a-a885-04d535bcbc20	da532e82-3b37-402f-a59e-5cd9807893cc	CRAH
35934ce2-e485-499a-a885-04d535bcbc20	b2bd2873-caa1-4d98-8878-21356956d665	CRAC
35934ce2-e485-499a-a885-04d535bcbc20	75921ae3-c865-43d6-8223-aa7184678082	CRAC_WITHOUT_FAN
35934ce2-e485-499a-a885-04d535bcbc20	5b7f968a-13a0-4fae-bf04-ebeed9de9c1c	CRAC_FAN
35934ce2-e485-499a-a885-04d535bcbc20	46ba9428-c3d9-48f2-af9d-7896ccbfa201	CHILLER
35934ce2-e485-499a-a885-04d535bcbc20	c8df3d8b-ba15-452a-8a3f-7363aa46c2c8	AIR_COOLED_CHILLER
35934ce2-e485-499a-a885-04d535bcbc20	9b14bcb0-c003-4f82-b84a-c19f12c1bc22	COOLING_TOWER
35934ce2-e485-499a-a885-04d535bcbc20	f43be24b-f551-437a-bcc1-6234497628c1	DRY_COOLER
35934ce2-e485-499a-a885-04d535bcbc20	fea60824-ac95-40ee-8b47-5cacf044acb3	REMOTE_CONDENSER
35934ce2-e485-499a-a885-04d535bcbc20	3cfc5c00-6718-4490-af08-2dea4806a96f	CHILLED_WATER_PUMPS
35934ce2-e485-499a-a885-04d535bcbc20	d534d94b-b5f3-4854-9b60-f916f182ddff	HEAT_REJECTION_PUMPS
35934ce2-e485-499a-a885-04d535bcbc20	46dffab0-b1b6-4301-a7b8-fdf0afe8cf11	VENTILATION
35934ce2-e485-499a-a885-04d535bcbc20	8c5b1713-cafb-4e8a-8627-e68eb21ddacf	INFILTRATION
35934ce2-e485-499a-a885-04d535bcbc20	11afbae3-58c2-41ce-bed0-e7aeb47eb4ef	IT_LOAD
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	b0a87a81-2ce4-477d-9adb-057360a240d8	SWITCHGEAR
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	5af345cf-d2b9-420e-aa18-f54522e285c6	GENERATOR
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	5b0e2c40-135d-4462-bf8f-26df39b6dffd	PRIMARY_AUXILIARIES
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	b56d6e50-3df7-413f-9ff0-aaed93a9e815	UPS
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	525b5352-70df-49f8-b319-64825998097e	CRITICAL_AUXILIARIES
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	bc9b5af3-0c5f-44e6-b801-e653e25c6ba5	LIGHTING
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	50b695e1-3b50-4d7c-91ed-2c68bbf5ecd9	CRITICAL_POWER_DISTRIBUTION
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	15ba64df-d07b-4bb1-a385-9a4208fc8226	CRAH
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	a33ce4ce-24bc-4ff4-b963-30b6f9fa38ff	CRAC
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	d0648bb7-3756-44f9-a12c-ff01f7e9509c	CRAC_WITHOUT_FAN
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	c0c71136-ba69-4b81-a5c4-ece119fe885f	CRAC_FAN
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	7317036a-5648-4be0-9c39-728842091220	CHILLER
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	1e5441f3-1100-40b3-bfc2-16321c6e6e39	AIR_COOLED_CHILLER
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	d3620a78-ef44-480e-a2c6-6148e4cbef27	COOLING_TOWER
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	b101fdd8-0404-4697-ad2d-d983fb3f8fa1	DRY_COOLER
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	8a87d2e8-9925-453b-8e1b-ca4910087b50	REMOTE_CONDENSER
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	a4c36dfd-fa9a-46cd-88d8-15699cba4dc1	CHILLED_WATER_PUMPS
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	8991d5b0-5305-448d-9c40-9bbd8b04e15a	HEAT_REJECTION_PUMPS
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	bc354975-2ef3-4bfd-958d-08a986915988	VENTILATION
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	04dc5392-f42f-4917-88a4-a5f0596b43e9	INFILTRATION
dfab9a90-8d77-4f56-a47b-492ad7fd5dc1	840a3d8b-8751-4915-bf7f-5f3de3abea79	IT_LOAD
df74633c-7bc0-40e6-bdee-878000af5024	426596b5-d862-49e2-9266-96609eabfb40	SWITCHGEAR
df74633c-7bc0-40e6-bdee-878000af5024	6f67110c-82cc-4bf2-a9d3-968014eb77d3	GENERATOR
df74633c-7bc0-40e6-bdee-878000af5024	d7fe2556-c868-4033-9a85-969a744dd952	PRIMARY_AUXILIARIES
df74633c-7bc0-40e6-bdee-878000af5024	aea6bf3e-bbc5-4b96-a777-33f6b6a0c644	UPS
df74633c-7bc0-40e6-bdee-878000af5024	293a06ec-0672-40d3-9ace-22e60655355c	CRITICAL_AUXILIARIES
df74633c-7bc0-40e6-bdee-878000af5024	a22f95ed-66cf-436e-833a-42321618dda4	LIGHTING
df74633c-7bc0-40e6-bdee-878000af5024	38172281-2e90-44f3-bfe7-934002e4635d	CRITICAL_POWER_DISTRIBUTION
df74633c-7bc0-40e6-bdee-878000af5024	fc001c6b-ad41-4608-8553-e2d42a13e37a	CRAH
df74633c-7bc0-40e6-bdee-878000af5024	e027d523-8af3-4ce0-ad23-4e30e4dcd98f	CRAC
df74633c-7bc0-40e6-bdee-878000af5024	1049db67-bffb-4df9-9835-a2af958ec3f1	CRAC_WITHOUT_FAN
df74633c-7bc0-40e6-bdee-878000af5024	26c3224f-30ab-4337-b513-d6a917191395	CRAC_FAN
df74633c-7bc0-40e6-bdee-878000af5024	ab8a0223-3a6a-48e6-a6d5-8439a10a19a2	CHILLER
df74633c-7bc0-40e6-bdee-878000af5024	4e970ac0-cada-4c85-9cb1-53e6dea34ea1	AIR_COOLED_CHILLER
df74633c-7bc0-40e6-bdee-878000af5024	6016d3a8-2145-4a05-9f5b-29e0f6af004e	COOLING_TOWER
df74633c-7bc0-40e6-bdee-878000af5024	456e22da-7544-4c55-8a1e-c51a2fd9a14e	DRY_COOLER
df74633c-7bc0-40e6-bdee-878000af5024	3b5c2639-8318-47e3-b785-f5c03bae9684	REMOTE_CONDENSER
df74633c-7bc0-40e6-bdee-878000af5024	09779560-5848-4f60-a28f-a1edf7b99b8b	CHILLED_WATER_PUMPS
df74633c-7bc0-40e6-bdee-878000af5024	73889e20-d0cd-49af-81e8-959c2ba0e8e6	HEAT_REJECTION_PUMPS
df74633c-7bc0-40e6-bdee-878000af5024	97cdd6f3-3064-4bbc-b00b-3b30d38371b2	VENTILATION
df74633c-7bc0-40e6-bdee-878000af5024	7daa1d74-32eb-447e-b8be-d134668290ef	INFILTRATION
df74633c-7bc0-40e6-bdee-878000af5024	0c7e9010-dc27-4046-b2e0-371923df782d	IT_LOAD
0083aacc-85f6-4701-8f27-de4646df3362	7cf80bf9-6b66-418d-abdf-0ff310d745a9	SWITCHGEAR
0083aacc-85f6-4701-8f27-de4646df3362	f2c2ffc2-e024-4e87-96bd-cf0f901cac63	GENERATOR
0083aacc-85f6-4701-8f27-de4646df3362	e32b6255-7c57-4d09-b0d9-446ac3ec7acc	PRIMARY_AUXILIARIES
0083aacc-85f6-4701-8f27-de4646df3362	e8ae3768-31d4-4b94-bc32-2afc2a49f2ef	UPS
0083aacc-85f6-4701-8f27-de4646df3362	2b4a1012-5665-4bb8-8149-fc4d050b2465	CRITICAL_AUXILIARIES
0083aacc-85f6-4701-8f27-de4646df3362	893b0db8-91f5-46ca-8e50-6778073afef8	LIGHTING
0083aacc-85f6-4701-8f27-de4646df3362	5008c261-d123-421e-800c-02ccba0f7feb	CRITICAL_POWER_DISTRIBUTION
0083aacc-85f6-4701-8f27-de4646df3362	3fbe0c6d-8b3b-4db6-ad64-1050d12f4314	CRAH
0083aacc-85f6-4701-8f27-de4646df3362	b84c0791-1beb-4e46-bbc5-1597d906a509	CRAC
0083aacc-85f6-4701-8f27-de4646df3362	8dd7d701-a806-4452-9ea7-a426fa514b1f	CRAC_WITHOUT_FAN
0083aacc-85f6-4701-8f27-de4646df3362	934dcbb0-f8eb-44da-ba2d-a1e8c428bedd	CRAC_FAN
0083aacc-85f6-4701-8f27-de4646df3362	8594ec49-f050-400a-a23c-66a369dc92f3	CHILLER
0083aacc-85f6-4701-8f27-de4646df3362	3086e716-4766-4c9c-bae7-721b28551c4d	AIR_COOLED_CHILLER
0083aacc-85f6-4701-8f27-de4646df3362	11d2fdb6-8fb1-4478-a4a8-91e438c95b82	COOLING_TOWER
0083aacc-85f6-4701-8f27-de4646df3362	306ab471-4054-4480-bc77-85c3a055f6fc	DRY_COOLER
0083aacc-85f6-4701-8f27-de4646df3362	e0c8f288-9b9e-4b2f-8e18-fa741c577513	REMOTE_CONDENSER
0083aacc-85f6-4701-8f27-de4646df3362	86c2662a-3372-4509-bfdf-e6ba24a7d8af	CHILLED_WATER_PUMPS
0083aacc-85f6-4701-8f27-de4646df3362	293be815-678f-45cd-b598-738360e9c17a	HEAT_REJECTION_PUMPS
0083aacc-85f6-4701-8f27-de4646df3362	58bf23d8-482f-44e6-a9fa-5e17342fce1e	VENTILATION
0083aacc-85f6-4701-8f27-de4646df3362	f429e41a-6ade-49a8-8d39-952f17b46a44	INFILTRATION
0083aacc-85f6-4701-8f27-de4646df3362	987c76b4-ad56-4bd7-8288-edcc2a3d68e8	IT_LOAD
029781d6-9d8f-4205-85e3-b15fed081dd2	59a05856-2b9e-41d0-ac88-ebda56fd20d5	SWITCHGEAR
029781d6-9d8f-4205-85e3-b15fed081dd2	42b7d314-5f58-488e-ad57-b4460a57b392	GENERATOR
029781d6-9d8f-4205-85e3-b15fed081dd2	7c7fa24c-6dd7-4665-997d-6887de9a89f3	PRIMARY_AUXILIARIES
029781d6-9d8f-4205-85e3-b15fed081dd2	4175be1a-1267-42ac-aa31-2f3374dac141	UPS
029781d6-9d8f-4205-85e3-b15fed081dd2	7cb1db9d-ab5b-4954-8121-40863331d1f4	CRITICAL_AUXILIARIES
029781d6-9d8f-4205-85e3-b15fed081dd2	043b7e54-15b7-4b72-bdd9-d83ad2e9303a	LIGHTING
029781d6-9d8f-4205-85e3-b15fed081dd2	73c8edfa-f6f6-42e8-bd7c-8f315dba2774	CRITICAL_POWER_DISTRIBUTION
029781d6-9d8f-4205-85e3-b15fed081dd2	da6f742a-135a-406e-ba85-5d9b19bf41a1	CRAH
029781d6-9d8f-4205-85e3-b15fed081dd2	a088c792-9e72-447f-b020-738cda347bbb	CRAC
029781d6-9d8f-4205-85e3-b15fed081dd2	c6f79ab3-d6e6-4f89-82f5-ba87e316ee9d	CRAC_WITHOUT_FAN
029781d6-9d8f-4205-85e3-b15fed081dd2	009ad7a6-8494-468c-bff2-2e05f36d3ecf	CRAC_FAN
029781d6-9d8f-4205-85e3-b15fed081dd2	4914df52-65c3-430b-ab63-aa087ad71a66	CHILLER
029781d6-9d8f-4205-85e3-b15fed081dd2	eadecb1d-87db-446b-981d-303236748598	AIR_COOLED_CHILLER
029781d6-9d8f-4205-85e3-b15fed081dd2	26a31cce-5440-4dd7-967f-f89d1133297e	COOLING_TOWER
029781d6-9d8f-4205-85e3-b15fed081dd2	ba261b68-d2f1-470a-98a7-8e8d11b70213	DRY_COOLER
029781d6-9d8f-4205-85e3-b15fed081dd2	92bc49a8-25d0-4701-9a34-669d50d30301	REMOTE_CONDENSER
029781d6-9d8f-4205-85e3-b15fed081dd2	1680e796-0001-42bc-b0f7-4412c1bb37c4	CHILLED_WATER_PUMPS
029781d6-9d8f-4205-85e3-b15fed081dd2	45970fae-5e26-487c-8d70-54a03c019b88	HEAT_REJECTION_PUMPS
029781d6-9d8f-4205-85e3-b15fed081dd2	869ed126-3f30-485f-8a52-72bf931a0652	VENTILATION
029781d6-9d8f-4205-85e3-b15fed081dd2	c5d9f3e6-d3d9-4943-b4b0-e4ade56932d8	INFILTRATION
029781d6-9d8f-4205-85e3-b15fed081dd2	60bda998-b145-41af-ad5f-b240b1bddfc9	IT_LOAD
86a77a81-c959-4759-b61c-978b103b868c	52b2d976-053f-4991-9902-7d5a101a936f	SWITCHGEAR
86a77a81-c959-4759-b61c-978b103b868c	77600b9a-b3f9-410e-8a98-ee263ff9fba1	GENERATOR
86a77a81-c959-4759-b61c-978b103b868c	a846c070-d084-4c8e-9160-d5d086b3910b	PRIMARY_AUXILIARIES
86a77a81-c959-4759-b61c-978b103b868c	393397ce-55ab-4024-ae7d-73af225f72e7	UPS
86a77a81-c959-4759-b61c-978b103b868c	1e19ed84-f2bc-4a17-b773-e04111bc79c7	CRITICAL_AUXILIARIES
86a77a81-c959-4759-b61c-978b103b868c	9c98e413-0b1a-4423-b7c0-8083ced358ad	LIGHTING
86a77a81-c959-4759-b61c-978b103b868c	277afebf-46db-4587-bf1e-3602d6b66607	CRITICAL_POWER_DISTRIBUTION
86a77a81-c959-4759-b61c-978b103b868c	4f0d2ae0-6f5d-4d85-9a99-169bee03bbc5	CRAH
86a77a81-c959-4759-b61c-978b103b868c	40da280b-c143-4fe6-8ff3-c8091523cfb3	CRAC
86a77a81-c959-4759-b61c-978b103b868c	9bee6a2c-b3c1-4414-973c-4788a6b19165	CRAC_WITHOUT_FAN
86a77a81-c959-4759-b61c-978b103b868c	0d96f48e-c302-48b7-85aa-37e288a156fd	CRAC_FAN
86a77a81-c959-4759-b61c-978b103b868c	1ef9da6d-b115-4096-9c46-92962aa768ed	CHILLER
86a77a81-c959-4759-b61c-978b103b868c	ce60f733-f768-4f23-9a47-534ccdb52d82	AIR_COOLED_CHILLER
86a77a81-c959-4759-b61c-978b103b868c	f04e08b5-0ec1-4383-bb12-91c01ddcf9a1	COOLING_TOWER
86a77a81-c959-4759-b61c-978b103b868c	3417ab15-2034-4537-8bb9-2f1602b17012	DRY_COOLER
86a77a81-c959-4759-b61c-978b103b868c	c9af5eac-77b1-4f27-88f8-841724df3658	REMOTE_CONDENSER
86a77a81-c959-4759-b61c-978b103b868c	064f3298-7839-4907-96ac-582e8e7d856f	CHILLED_WATER_PUMPS
86a77a81-c959-4759-b61c-978b103b868c	37f0ba5c-a982-43ab-9628-8676625b785d	HEAT_REJECTION_PUMPS
86a77a81-c959-4759-b61c-978b103b868c	3b7c5753-2468-4f86-901d-e08abb6e92da	VENTILATION
86a77a81-c959-4759-b61c-978b103b868c	667f441b-64b3-43af-b717-20d08ae28859	INFILTRATION
86a77a81-c959-4759-b61c-978b103b868c	095c304f-3a4b-42f4-9a9e-ffd53bc67c9c	IT_LOAD
6038d2ca-120d-40bb-860e-ee72c9c26adc	69c6141e-3161-4f98-8485-c18117093bec	SWITCHGEAR
6038d2ca-120d-40bb-860e-ee72c9c26adc	255263b8-d1e9-4197-8e87-c42f73620b57	GENERATOR
6038d2ca-120d-40bb-860e-ee72c9c26adc	63de6838-6d21-49e7-b6e7-201e2313bbb9	PRIMARY_AUXILIARIES
6038d2ca-120d-40bb-860e-ee72c9c26adc	5b773aef-e8fd-461b-bfe7-c28ada1b9396	UPS
6038d2ca-120d-40bb-860e-ee72c9c26adc	bcb399e3-a16e-411e-96a5-3862af0875c3	CRITICAL_AUXILIARIES
6038d2ca-120d-40bb-860e-ee72c9c26adc	08cd6bb7-3767-4c6d-9c03-0fb3e80500b1	LIGHTING
6038d2ca-120d-40bb-860e-ee72c9c26adc	da73e923-439a-4331-9d8a-0550b5a50354	CRITICAL_POWER_DISTRIBUTION
6038d2ca-120d-40bb-860e-ee72c9c26adc	74a6fb7d-b0cb-4e33-9268-072aa26a471a	CRAH
6038d2ca-120d-40bb-860e-ee72c9c26adc	12f8df10-86ef-4336-800b-c11e5f7fc392	CRAC
6038d2ca-120d-40bb-860e-ee72c9c26adc	82822fa3-df72-42b5-9e52-299daaabdc46	CRAC_WITHOUT_FAN
6038d2ca-120d-40bb-860e-ee72c9c26adc	a7a2e082-250e-4566-b501-a39d4d0cda9f	CRAC_FAN
6038d2ca-120d-40bb-860e-ee72c9c26adc	af73524a-d4ed-4d2d-9939-afd16118786e	CHILLER
6038d2ca-120d-40bb-860e-ee72c9c26adc	84df8200-92e4-4f3a-a7a5-7bcf694369e7	AIR_COOLED_CHILLER
6038d2ca-120d-40bb-860e-ee72c9c26adc	9ef66d9c-bf4b-4305-92cb-b80f7fb72444	COOLING_TOWER
6038d2ca-120d-40bb-860e-ee72c9c26adc	70924b98-a356-4692-82a2-b8096a9d3ac3	DRY_COOLER
6038d2ca-120d-40bb-860e-ee72c9c26adc	7dcd0c20-c5ac-4c8c-b363-a82101386ca3	REMOTE_CONDENSER
6038d2ca-120d-40bb-860e-ee72c9c26adc	9bb918fb-b794-419f-ad66-96099b2db6bd	CHILLED_WATER_PUMPS
6038d2ca-120d-40bb-860e-ee72c9c26adc	621d04bc-d84e-4029-a91c-5da32c76ec5d	HEAT_REJECTION_PUMPS
6038d2ca-120d-40bb-860e-ee72c9c26adc	6993d1da-9845-47c0-aeab-e1c6bec8fdae	VENTILATION
6038d2ca-120d-40bb-860e-ee72c9c26adc	295d8412-6f02-406f-8180-bdfbfd686090	INFILTRATION
6038d2ca-120d-40bb-860e-ee72c9c26adc	233ede89-786b-4747-bdb4-34cc71dd5f5e	IT_LOAD
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	e581862e-93c5-4aa4-91ae-0c2e6b560204	SWITCHGEAR
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	33c68aee-20d8-4ef4-ab3a-51273f033744	GENERATOR
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	f2ca9d4a-8b7c-4107-8f80-bda0846a2dd9	PRIMARY_AUXILIARIES
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	75d6df90-c7a7-4084-a8f0-8ab64457ef61	UPS
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	d95e44e7-3cde-4fa3-a5c5-7d8a99a199d7	CRITICAL_AUXILIARIES
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	3f73cccf-f2f6-4529-ab4d-80a2d5f920fb	LIGHTING
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	b9a22ce0-b55a-427f-8a08-e03ea3af907c	CRITICAL_POWER_DISTRIBUTION
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	43a9b95e-66ba-474b-8e74-ea6612a80706	CRAH
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	d8e65848-02d4-4075-a0d0-59c1110cc891	CRAC
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	4111495c-693b-4035-af33-7b4ed28c847a	CRAC_WITHOUT_FAN
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	60b641d9-69dd-4f45-b9b4-b655bfcd4f14	CRAC_FAN
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	1e1a2e03-1417-49a7-853b-53ec97b3709e	CHILLER
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	26b35851-763d-42a1-ac89-2922f1c0ce99	AIR_COOLED_CHILLER
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	691ebd47-0e69-4ce4-aa1a-4e4a00550d37	COOLING_TOWER
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	52fcdbac-ab63-4b5a-a991-8c993ca2e02c	DRY_COOLER
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	c6dd4f10-2b5e-464a-9e09-44633848f596	REMOTE_CONDENSER
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	c46b4c16-42b8-42a8-acaf-1e42252ef86d	CHILLED_WATER_PUMPS
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	6e5219ef-9cdb-462f-bce0-74db4cd58460	HEAT_REJECTION_PUMPS
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	4f13bcfc-3f73-45ec-876f-113220441e50	VENTILATION
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	95f7e8ec-ece6-4885-9d72-2a011ec7380b	INFILTRATION
ddcf7fa4-f89b-4ac5-ab73-0d369693b26a	1e7a1654-89bc-43d6-9ea0-6ea3528dd054	IT_LOAD
7c144e49-bc0d-4a0f-bfe0-d32530855f37	b0bd4a7b-e002-4226-946c-718a801aa372	SWITCHGEAR
7c144e49-bc0d-4a0f-bfe0-d32530855f37	fab6c1f6-2608-4f40-8ee3-5a0b29ff7035	GENERATOR
7c144e49-bc0d-4a0f-bfe0-d32530855f37	cf03e303-1440-4660-b3c7-b380060ce2fc	PRIMARY_AUXILIARIES
7c144e49-bc0d-4a0f-bfe0-d32530855f37	8f2e4413-097d-4328-bbb1-96a675b720e1	UPS
7c144e49-bc0d-4a0f-bfe0-d32530855f37	7b801871-73f2-4915-b299-8df047710b38	CRITICAL_AUXILIARIES
7c144e49-bc0d-4a0f-bfe0-d32530855f37	90ff8d79-ce03-4897-9aa3-0653b24423f4	LIGHTING
7c144e49-bc0d-4a0f-bfe0-d32530855f37	9981e16a-1787-4be4-97d5-044a8596c0ec	CRITICAL_POWER_DISTRIBUTION
7c144e49-bc0d-4a0f-bfe0-d32530855f37	c91f1fb2-8da4-4f2e-a6d2-0bf67f61a4a2	CRAH
7c144e49-bc0d-4a0f-bfe0-d32530855f37	095a6239-c67c-40b2-b70e-9971ededad68	CRAC
7c144e49-bc0d-4a0f-bfe0-d32530855f37	920a5462-5e67-44c6-b1fd-63dea755c96b	CRAC_WITHOUT_FAN
7c144e49-bc0d-4a0f-bfe0-d32530855f37	8b756169-1c65-464c-825a-d75e63c852ed	CRAC_FAN
7c144e49-bc0d-4a0f-bfe0-d32530855f37	6911b480-e174-4012-b5f7-b9334ee6ac82	CHILLER
7c144e49-bc0d-4a0f-bfe0-d32530855f37	347944dd-420e-43f4-9a77-e62762a108e7	AIR_COOLED_CHILLER
7c144e49-bc0d-4a0f-bfe0-d32530855f37	dfb30296-7c47-4fd5-a01d-01b9bf926b8e	COOLING_TOWER
7c144e49-bc0d-4a0f-bfe0-d32530855f37	a3919555-09c4-431e-af0e-cb1f7c8ee480	DRY_COOLER
7c144e49-bc0d-4a0f-bfe0-d32530855f37	9e20fc95-1399-4cec-b61c-91fbfe66cc70	REMOTE_CONDENSER
7c144e49-bc0d-4a0f-bfe0-d32530855f37	b08c64ee-5d38-412c-9dbe-b121fd7a9dc9	CHILLED_WATER_PUMPS
7c144e49-bc0d-4a0f-bfe0-d32530855f37	924d13b1-4f57-452b-9ce3-12d6dc27f292	HEAT_REJECTION_PUMPS
7c144e49-bc0d-4a0f-bfe0-d32530855f37	5ac8a53f-6d0b-4a66-b2e3-c9d13d5f9513	VENTILATION
7c144e49-bc0d-4a0f-bfe0-d32530855f37	db45d532-bee8-4dc7-bb22-96fbc4920f15	INFILTRATION
7c144e49-bc0d-4a0f-bfe0-d32530855f37	67abec00-c26e-450c-b3c8-03c18d3748cf	IT_LOAD
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	2e8829f3-87ee-4eba-87db-ffb02f58baef	SWITCHGEAR
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	3249753b-adc7-4f03-8972-b058b58ea25d	GENERATOR
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	6c356bae-dd53-4f27-8e60-5947bba64395	PRIMARY_AUXILIARIES
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	68941ebe-542f-45b5-9251-e82dc731f592	UPS
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	9dd43770-88db-4d3b-8e82-599fe270646b	CRITICAL_AUXILIARIES
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	20fd7ccb-31f8-4b6b-8369-fba0c0a41647	LIGHTING
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	a9fa53bd-0f3b-4c11-9155-c406dbc5cfc5	CRITICAL_POWER_DISTRIBUTION
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	f3c915e5-143e-44df-bacf-f6989dc980e8	CRAH
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	423109b7-3bc9-4f08-b944-9b073fb6db20	CRAC
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	435cbd83-84aa-4ec3-a551-c0add7ef3685	CRAC_WITHOUT_FAN
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	a839a86e-7c82-4e3d-95ce-7fe7ed4a4fa0	CRAC_FAN
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	93356b4b-a303-4ffc-816e-70ac6afcf861	CHILLER
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	b85ecee7-80cb-4401-9a70-de403fdb8629	AIR_COOLED_CHILLER
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	b16252cf-65cc-44cb-98c3-7e0092b88c92	COOLING_TOWER
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	553aade0-6e33-4da7-a183-3fda87eeedaa	DRY_COOLER
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	e542f4b1-a4d0-4c0b-b480-7b36b5942625	REMOTE_CONDENSER
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	dc9718b0-d396-4343-965f-829ff1c520b5	CHILLED_WATER_PUMPS
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	5c8b84f6-2164-4a94-864d-310904a185ec	HEAT_REJECTION_PUMPS
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	2132dc35-60d6-4a7c-9777-8bc9ab2722ff	VENTILATION
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	258549dc-78fa-454d-ba92-9d798bc0401d	INFILTRATION
ef1a396b-fb42-46b8-a4fa-b1cf955974fd	ec5d8967-b0cd-44ec-bc9f-505ef7c78e95	IT_LOAD
6242f043-d601-4cf3-ba0d-594d862d5733	4575d5b8-ef7d-452e-a43e-94ac2381f06e	SWITCHGEAR
6242f043-d601-4cf3-ba0d-594d862d5733	ea8a266d-3f43-4467-b00d-638fe4ab0a4c	GENERATOR
6242f043-d601-4cf3-ba0d-594d862d5733	d5c2ae24-5d94-4621-a0f5-f16552ccf1c9	PRIMARY_AUXILIARIES
6242f043-d601-4cf3-ba0d-594d862d5733	9ad14ecd-22d5-4920-8447-68ad654cb856	UPS
6242f043-d601-4cf3-ba0d-594d862d5733	20b811cd-5e2e-427f-9afe-c68abfccfefc	CRITICAL_AUXILIARIES
6242f043-d601-4cf3-ba0d-594d862d5733	bc0e768f-304a-4752-9489-529bad087fc1	LIGHTING
6242f043-d601-4cf3-ba0d-594d862d5733	08c212e6-6dce-4d4d-9d78-f4bbfe9eb8fc	CRITICAL_POWER_DISTRIBUTION
6242f043-d601-4cf3-ba0d-594d862d5733	a707b58e-3fbc-463e-ab47-6f478dc87a8b	CRAH
6242f043-d601-4cf3-ba0d-594d862d5733	ab6b76ad-858e-4454-89f3-3bdf060f0a10	CRAC
6242f043-d601-4cf3-ba0d-594d862d5733	cf44a06f-632a-49b4-b5c4-1b61bc67d8ea	CRAC_WITHOUT_FAN
6242f043-d601-4cf3-ba0d-594d862d5733	3cf4f88d-b406-4c33-8bdd-d70f467d2cb1	CRAC_FAN
6242f043-d601-4cf3-ba0d-594d862d5733	2022f8c0-6132-433a-8e89-3b0afda62d0e	CHILLER
6242f043-d601-4cf3-ba0d-594d862d5733	f27b6b43-9dc0-40e7-a487-11f6d78e08aa	AIR_COOLED_CHILLER
6242f043-d601-4cf3-ba0d-594d862d5733	c0a0818a-5dd1-42f1-80f5-e6c5982e0af2	COOLING_TOWER
6242f043-d601-4cf3-ba0d-594d862d5733	a918fc59-f3ad-4a33-93fd-22deaa30f4a4	DRY_COOLER
6242f043-d601-4cf3-ba0d-594d862d5733	12c383e4-6a56-4dcf-b36c-f45891b709e6	REMOTE_CONDENSER
6242f043-d601-4cf3-ba0d-594d862d5733	85a17a4f-bec2-4e44-b13b-62a1a0639c1a	CHILLED_WATER_PUMPS
6242f043-d601-4cf3-ba0d-594d862d5733	b2eb2d99-7967-4fbc-be63-18691c84fd9c	HEAT_REJECTION_PUMPS
6242f043-d601-4cf3-ba0d-594d862d5733	653e6d68-43b5-4944-9877-f229bd5d6e88	VENTILATION
6242f043-d601-4cf3-ba0d-594d862d5733	aefdc554-7512-40ed-bf26-4ddd9904d033	INFILTRATION
6242f043-d601-4cf3-ba0d-594d862d5733	88118ec7-80e9-4a0d-b6e6-b3c1357b1b19	IT_LOAD
b810041c-641b-4bd7-9397-f2b488d82b9d	66062e19-418e-46f6-8ffc-5d992db5636a	SWITCHGEAR
b810041c-641b-4bd7-9397-f2b488d82b9d	88a14024-511c-4008-a240-f1c429610d45	GENERATOR
b810041c-641b-4bd7-9397-f2b488d82b9d	6fd578cc-cf2e-4b32-8984-bc5475eb430b	PRIMARY_AUXILIARIES
b810041c-641b-4bd7-9397-f2b488d82b9d	3535fd7d-e107-455d-9f9a-9ecb9ee0c8d5	UPS
b810041c-641b-4bd7-9397-f2b488d82b9d	189cc66d-e4e0-47a5-b81f-9dfc690bc118	CRITICAL_AUXILIARIES
b810041c-641b-4bd7-9397-f2b488d82b9d	ece40e64-bc2f-43a0-a873-1bfaf17877f3	LIGHTING
b810041c-641b-4bd7-9397-f2b488d82b9d	e5713011-2f0f-43e1-b800-b99ee6374adb	CRITICAL_POWER_DISTRIBUTION
b810041c-641b-4bd7-9397-f2b488d82b9d	6660df14-62b6-4ff2-bd1a-d6728b6430fd	CRAH
b810041c-641b-4bd7-9397-f2b488d82b9d	76b85e91-d0c3-44cc-a50a-8bdde3360dfa	CRAC
b810041c-641b-4bd7-9397-f2b488d82b9d	8aeac7c9-53ca-4d62-8300-6a2c603b6d16	CRAC_WITHOUT_FAN
b810041c-641b-4bd7-9397-f2b488d82b9d	82ef1198-e751-47d8-bfa5-12f32419a536	CRAC_FAN
b810041c-641b-4bd7-9397-f2b488d82b9d	efbb3f01-3bab-4129-b00e-28752c70934a	CHILLER
b810041c-641b-4bd7-9397-f2b488d82b9d	9f928b41-9297-4613-bc97-e75ae6bcb3cb	AIR_COOLED_CHILLER
b810041c-641b-4bd7-9397-f2b488d82b9d	f689ea52-06a7-4ba3-8001-499148f88458	COOLING_TOWER
b810041c-641b-4bd7-9397-f2b488d82b9d	2d718585-a4a7-43f3-9d03-1a263dbacacd	DRY_COOLER
b810041c-641b-4bd7-9397-f2b488d82b9d	6377f30a-9e53-44cb-8b56-9a2e457dfed0	REMOTE_CONDENSER
b810041c-641b-4bd7-9397-f2b488d82b9d	a16518dd-910c-40a8-8ff6-7398ecd88068	CHILLED_WATER_PUMPS
b810041c-641b-4bd7-9397-f2b488d82b9d	73c67839-0c74-4a9c-a04e-c4ac64c6ca5d	HEAT_REJECTION_PUMPS
b810041c-641b-4bd7-9397-f2b488d82b9d	5f467a9e-8016-45a0-974e-0394f6a3c118	VENTILATION
b810041c-641b-4bd7-9397-f2b488d82b9d	5aede06c-175c-4126-9b8d-f8d0910e6a71	INFILTRATION
b810041c-641b-4bd7-9397-f2b488d82b9d	ab0d9ab5-ce53-45ac-8d7a-ff010dec6d27	IT_LOAD
bbe3f579-26fe-4eaf-b209-db0e8737203f	50ef8537-60b7-4f32-bdf1-01576b2b67a5	SWITCHGEAR
bbe3f579-26fe-4eaf-b209-db0e8737203f	4a176bf8-30aa-4938-b757-ee491618ddf2	GENERATOR
bbe3f579-26fe-4eaf-b209-db0e8737203f	d0d05925-48e7-4ee4-ba8d-5dffe2c24d4b	PRIMARY_AUXILIARIES
bbe3f579-26fe-4eaf-b209-db0e8737203f	51aad612-e681-4623-8d92-5bc2621925ae	UPS
bbe3f579-26fe-4eaf-b209-db0e8737203f	453f333c-fc32-4345-bed4-6f0b224c4c2d	CRITICAL_AUXILIARIES
bbe3f579-26fe-4eaf-b209-db0e8737203f	aab92c91-f600-43da-ad48-0939b2c5b97d	LIGHTING
bbe3f579-26fe-4eaf-b209-db0e8737203f	1d128bf1-83b6-4423-b257-39dd227c5a43	CRITICAL_POWER_DISTRIBUTION
bbe3f579-26fe-4eaf-b209-db0e8737203f	da3f2850-512f-4475-89aa-41f31fa9841d	CRAH
bbe3f579-26fe-4eaf-b209-db0e8737203f	cfa034b7-e152-4085-a305-3ca0eefa0a05	CRAC
bbe3f579-26fe-4eaf-b209-db0e8737203f	d6802028-fd7d-4110-83bd-da1a7447464a	CRAC_WITHOUT_FAN
bbe3f579-26fe-4eaf-b209-db0e8737203f	15c1ce5e-cc0b-4373-85b2-72c730224022	CRAC_FAN
bbe3f579-26fe-4eaf-b209-db0e8737203f	338ba525-6001-4541-8be3-64a5d86dc707	CHILLER
bbe3f579-26fe-4eaf-b209-db0e8737203f	176a198f-8df3-4cd9-9b15-cc68dbb56e42	AIR_COOLED_CHILLER
bbe3f579-26fe-4eaf-b209-db0e8737203f	2110e7d4-2877-4b95-bfb1-21d6fd23e380	COOLING_TOWER
bbe3f579-26fe-4eaf-b209-db0e8737203f	fca1cc55-6492-44f6-875d-de3a2a831118	DRY_COOLER
bbe3f579-26fe-4eaf-b209-db0e8737203f	adea48b4-9924-446e-aa06-449acf5667e6	REMOTE_CONDENSER
bbe3f579-26fe-4eaf-b209-db0e8737203f	b34b8827-daea-4a62-8af2-0ad5da845922	CHILLED_WATER_PUMPS
bbe3f579-26fe-4eaf-b209-db0e8737203f	3a48313a-da8d-4c75-bb9b-fde33ba4fb67	HEAT_REJECTION_PUMPS
bbe3f579-26fe-4eaf-b209-db0e8737203f	63c937f0-324b-43a9-bc2d-3ca31611d6b5	VENTILATION
bbe3f579-26fe-4eaf-b209-db0e8737203f	cade9eb8-22d2-427b-a043-04a2031e7d9f	INFILTRATION
bbe3f579-26fe-4eaf-b209-db0e8737203f	c003a73e-89d1-4182-b498-053872c209ba	IT_LOAD
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	fb181581-fb3c-41ea-8794-846d56184edd	SWITCHGEAR
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	fb95fe27-29a4-4497-9cd1-5eac504c6a9a	GENERATOR
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	6abbd119-5db0-4a8f-8415-f2d7e0961b57	PRIMARY_AUXILIARIES
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	41511458-dfea-4d98-b5c0-4b91fe100d06	UPS
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	f5a1c8a2-0996-4c24-832e-e01cfb14fe0c	CRITICAL_AUXILIARIES
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	97d0ba8c-2f17-410b-827a-3f829c2b6ff2	LIGHTING
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	0987dee5-e1de-469a-aa6e-73533aa7241e	CRITICAL_POWER_DISTRIBUTION
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	a66376d8-9f87-428c-9cea-8448c24fff46	CRAH
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	8df72ff8-63ff-4fe6-9187-c4afa34f13b3	CRAC
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	cfb3929f-c9df-4172-a5d3-d6f77b3d8ece	CRAC_WITHOUT_FAN
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	94e7deb7-e7cb-4d87-9e1d-41d11bb63888	CRAC_FAN
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	f10b78ff-df3a-4361-a894-ffe04c584a10	CHILLER
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	08db715a-c075-4ad0-b96c-7e67524b611c	AIR_COOLED_CHILLER
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	c2b80e0a-13a1-4107-a301-6035f7ad727c	COOLING_TOWER
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	c5b3d601-8a20-4b96-8f07-ea1bb3fdfdf4	DRY_COOLER
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	ab0092e4-74cc-4ad2-a164-f370cc68a815	REMOTE_CONDENSER
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	7077b51b-feaa-4685-bb92-37f4f22bc312	CHILLED_WATER_PUMPS
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	351305e1-cc1d-462d-87a0-cbec41996ce6	HEAT_REJECTION_PUMPS
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	caeb0135-d450-45c9-96ee-1f2b35045de2	VENTILATION
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	90f63bb9-2dd8-4466-aa5c-1173cde8c1fb	INFILTRATION
b389eb5c-e0ab-4ff0-a52e-7e2db2326688	af84ea42-0501-499f-b6ff-08c634ffc8f0	IT_LOAD
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	633ebc5d-3f91-40e9-b83e-af3a2bbc5a5c	SWITCHGEAR
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	51551f6b-1147-4157-abb3-d1a872d34060	GENERATOR
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	b780d460-5291-4001-8a02-11542edad582	PRIMARY_AUXILIARIES
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	890af936-d004-4cb1-8dea-a6a5e901433e	UPS
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	009e6324-c3bb-40ff-846f-71879c3099f2	CRITICAL_AUXILIARIES
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	04f0a1cc-db66-4f4f-abae-01a05a975cc0	LIGHTING
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	dff1b593-335f-4599-aef7-0c0b2b7a49c5	CRITICAL_POWER_DISTRIBUTION
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	03582516-b8fc-468d-8700-898775c0257a	CRAH
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	4198fcc3-c7f6-4603-b3af-fa32809c0f17	CRAC
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	662cac24-e99d-47d5-b6bf-47c2ec44128b	CRAC_WITHOUT_FAN
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	d1f5b4a2-0756-421b-9875-f93b52d80840	CRAC_FAN
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	252170e7-9f17-4ddd-a581-8ccb90d50ffa	CHILLER
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	929d80d5-4219-4c24-9bf5-78d90eb4aef2	AIR_COOLED_CHILLER
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	9c153a19-8661-42d5-8973-6eed6e006285	COOLING_TOWER
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	e774859a-0789-4c3b-9be1-ae36bfabb045	DRY_COOLER
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	c77e227d-74d8-4a3b-8603-cd543466dd51	REMOTE_CONDENSER
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	818435a2-4ec7-44c4-9c86-d9adee818f32	CHILLED_WATER_PUMPS
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	43a11023-58bc-4d9b-bd4c-073ab2c324ee	HEAT_REJECTION_PUMPS
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	ad105ecb-1e43-41c3-9033-4675d947a309	VENTILATION
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	eab9cb32-688e-4def-afb3-361ba8b774c9	INFILTRATION
256ce147-e5e4-4a0f-a0aa-78bb0733b9af	0a6c4759-56e3-4258-8b38-d1665283be70	IT_LOAD
9012a37b-5348-4deb-af82-ffbd7ac80f14	efda5fa7-6265-4047-b0f5-b41d42c9a9b3	SWITCHGEAR
9012a37b-5348-4deb-af82-ffbd7ac80f14	97f100fe-e6d7-46dd-bd56-0e41ac789df7	GENERATOR
9012a37b-5348-4deb-af82-ffbd7ac80f14	c946c243-2900-4307-87f1-9104093f3fb4	PRIMARY_AUXILIARIES
9012a37b-5348-4deb-af82-ffbd7ac80f14	7ee7414e-9fb0-4af3-afb6-319cd128f66b	UPS
9012a37b-5348-4deb-af82-ffbd7ac80f14	7296a996-e7e2-4c05-9845-c1c6f27d682e	CRITICAL_AUXILIARIES
9012a37b-5348-4deb-af82-ffbd7ac80f14	7fcc2110-55d1-45e2-8078-93869d49c8eb	LIGHTING
9012a37b-5348-4deb-af82-ffbd7ac80f14	de3e1d79-5146-4cef-a50c-41e8fbc112e5	CRITICAL_POWER_DISTRIBUTION
9012a37b-5348-4deb-af82-ffbd7ac80f14	7bb9eaf3-2e7a-4255-b999-8e1ac4fb60eb	CRAH
9012a37b-5348-4deb-af82-ffbd7ac80f14	0013404d-d2ba-43ae-80f0-1becc82872b4	CRAC
9012a37b-5348-4deb-af82-ffbd7ac80f14	bcf72fad-07f6-40cb-84a2-8817976d2b9e	CRAC_WITHOUT_FAN
9012a37b-5348-4deb-af82-ffbd7ac80f14	2888dc7d-628a-41ef-81b3-65974aa5c3cd	CRAC_FAN
9012a37b-5348-4deb-af82-ffbd7ac80f14	a5e460be-335a-4074-8405-ca2731efe7f6	CHILLER
9012a37b-5348-4deb-af82-ffbd7ac80f14	f9bccab9-cf58-4a77-b327-fcabc143ac3b	AIR_COOLED_CHILLER
9012a37b-5348-4deb-af82-ffbd7ac80f14	e7cfe800-ea8e-48b9-84d7-8bff939568bb	COOLING_TOWER
9012a37b-5348-4deb-af82-ffbd7ac80f14	747a47ca-b2b3-45b2-9f2a-4e9a3c2021c4	DRY_COOLER
9012a37b-5348-4deb-af82-ffbd7ac80f14	8cb211b2-167f-4ca8-9b8e-0c1ebdb9ed22	REMOTE_CONDENSER
9012a37b-5348-4deb-af82-ffbd7ac80f14	cc3bba15-b8f7-4822-81de-002b8ba099b6	CHILLED_WATER_PUMPS
9012a37b-5348-4deb-af82-ffbd7ac80f14	5e8afe02-55d1-4b02-b0c6-b03b76138381	HEAT_REJECTION_PUMPS
9012a37b-5348-4deb-af82-ffbd7ac80f14	768a85a6-6cef-4d9f-9541-4490ba6c9a64	VENTILATION
9012a37b-5348-4deb-af82-ffbd7ac80f14	3d75656c-809c-4852-8f84-f27acf23329b	INFILTRATION
9012a37b-5348-4deb-af82-ffbd7ac80f14	0551943e-4d7b-48a5-b5c7-1afe7a7c7dd9	IT_LOAD
e75269b4-2884-4fdb-b4e7-5205de7aaed3	d2b7e059-5446-4f9d-b6b9-3f8631cccd58	SWITCHGEAR
e75269b4-2884-4fdb-b4e7-5205de7aaed3	f18dca30-dd0d-42bc-b476-9b0c96e155c4	GENERATOR
e75269b4-2884-4fdb-b4e7-5205de7aaed3	b4ab7a28-fdcc-47e6-b9c8-e2444b965e38	PRIMARY_AUXILIARIES
e75269b4-2884-4fdb-b4e7-5205de7aaed3	cd5a9dc1-6f81-471d-baa6-6d17ada3a651	UPS
e75269b4-2884-4fdb-b4e7-5205de7aaed3	0017675f-dfef-4fd9-9883-e0155d85aed2	CRITICAL_AUXILIARIES
e75269b4-2884-4fdb-b4e7-5205de7aaed3	db62097d-3fe6-464b-a74a-b8c424e8c10c	LIGHTING
e75269b4-2884-4fdb-b4e7-5205de7aaed3	7128562d-70bd-439e-9e52-3835f0f034a0	CRITICAL_POWER_DISTRIBUTION
e75269b4-2884-4fdb-b4e7-5205de7aaed3	c946d6af-1da4-4289-afdd-0785b1d814fa	CRAH
e75269b4-2884-4fdb-b4e7-5205de7aaed3	c5ba3e95-8869-4572-b92c-acb5c2e53c0d	CRAC
e75269b4-2884-4fdb-b4e7-5205de7aaed3	2e0e7c4f-2805-4f32-8e31-6c7fbc7347cc	CRAC_WITHOUT_FAN
e75269b4-2884-4fdb-b4e7-5205de7aaed3	7b389434-95e1-4ec2-aee2-aad05235c007	CRAC_FAN
e75269b4-2884-4fdb-b4e7-5205de7aaed3	8d0247c5-6c20-4394-9b11-85060736e041	CHILLER
e75269b4-2884-4fdb-b4e7-5205de7aaed3	5e1fc32a-adb3-4763-a26c-ba35ccf597f4	AIR_COOLED_CHILLER
e75269b4-2884-4fdb-b4e7-5205de7aaed3	1ed5b2dd-baa5-4a5a-9b87-372c7d6fdf2f	COOLING_TOWER
e75269b4-2884-4fdb-b4e7-5205de7aaed3	abbac7ce-9bff-4da2-a82b-ce329f27783f	DRY_COOLER
e75269b4-2884-4fdb-b4e7-5205de7aaed3	44f1b759-de6f-4d5c-9704-799cad693c20	REMOTE_CONDENSER
e75269b4-2884-4fdb-b4e7-5205de7aaed3	9409e297-6bc9-4457-94db-747ee3230a80	CHILLED_WATER_PUMPS
e75269b4-2884-4fdb-b4e7-5205de7aaed3	2a17d01f-8d59-4b58-9204-d2b5244a6080	HEAT_REJECTION_PUMPS
e75269b4-2884-4fdb-b4e7-5205de7aaed3	e293141e-db12-4357-ad1e-97e46e972a9d	VENTILATION
e75269b4-2884-4fdb-b4e7-5205de7aaed3	332fd091-1ea2-4159-a7d0-2d3896ba891f	INFILTRATION
e75269b4-2884-4fdb-b4e7-5205de7aaed3	55160b0a-59ba-4a0d-84a4-1911488b7ed3	IT_LOAD
95608f71-8990-4bd9-8106-70a120f17044	8dda86b9-05e2-4e38-90b5-620b0b43c630	SWITCHGEAR
95608f71-8990-4bd9-8106-70a120f17044	77879430-6d77-4c9a-a599-e6b1ca89704d	GENERATOR
95608f71-8990-4bd9-8106-70a120f17044	5dcf275a-a8e8-45c5-b1b8-ed322fb6d61b	PRIMARY_AUXILIARIES
95608f71-8990-4bd9-8106-70a120f17044	a8605658-7d2d-4dc0-8802-9a76d6458d3f	UPS
95608f71-8990-4bd9-8106-70a120f17044	b853a3e4-dbc2-4c4a-aa48-7d5bbb04ceb0	CRITICAL_AUXILIARIES
95608f71-8990-4bd9-8106-70a120f17044	d73c7f86-747d-45ea-9a92-6af0df07c260	LIGHTING
95608f71-8990-4bd9-8106-70a120f17044	5b24a2b6-c0e8-4961-8160-99352cfa3e50	CRITICAL_POWER_DISTRIBUTION
95608f71-8990-4bd9-8106-70a120f17044	b1fd83ea-983d-4c9b-a4dc-0ec4118bb039	CRAH
95608f71-8990-4bd9-8106-70a120f17044	07746b15-654f-4270-bff0-fd3cf1dc608d	CRAC
95608f71-8990-4bd9-8106-70a120f17044	29f4a239-1cf8-4f4d-acf1-574df0b385f1	CRAC_WITHOUT_FAN
95608f71-8990-4bd9-8106-70a120f17044	a0235567-caaf-4fc8-b224-4e697368e3e9	CRAC_FAN
95608f71-8990-4bd9-8106-70a120f17044	b72b606a-3118-46b8-a922-9deb9adf8c0c	CHILLER
95608f71-8990-4bd9-8106-70a120f17044	c6288f1c-04f4-45f3-97da-9413f4e4d77f	AIR_COOLED_CHILLER
95608f71-8990-4bd9-8106-70a120f17044	85791663-ab28-47b1-a332-57fe20f882a4	COOLING_TOWER
95608f71-8990-4bd9-8106-70a120f17044	432defc5-5868-4d65-a8d5-f286c5e74e0c	DRY_COOLER
95608f71-8990-4bd9-8106-70a120f17044	3fa6dd8a-5ec4-4d58-b6c1-86f512d834ec	REMOTE_CONDENSER
95608f71-8990-4bd9-8106-70a120f17044	4c43f5d1-e3cc-47ee-999a-d3f21cb1a769	CHILLED_WATER_PUMPS
95608f71-8990-4bd9-8106-70a120f17044	abe3ae5a-4d15-41d6-9742-b86345e729d0	HEAT_REJECTION_PUMPS
95608f71-8990-4bd9-8106-70a120f17044	796b4b17-4ec7-4244-8131-0646cd7d6034	VENTILATION
95608f71-8990-4bd9-8106-70a120f17044	f0023aa5-44a8-4812-8c62-0537a26f1753	INFILTRATION
95608f71-8990-4bd9-8106-70a120f17044	b65a17c5-adde-4e60-bc07-a184337fa3d6	IT_LOAD
d139ac5d-09cf-4214-8ef8-190a010a4e3c	81d61d65-bac7-4fb4-a026-072ae2e4d304	SWITCHGEAR
d139ac5d-09cf-4214-8ef8-190a010a4e3c	9ded15b6-08c9-4463-99d1-5275328b2218	GENERATOR
d139ac5d-09cf-4214-8ef8-190a010a4e3c	236d5de8-6fc7-4d37-be1d-7ad978473009	PRIMARY_AUXILIARIES
d139ac5d-09cf-4214-8ef8-190a010a4e3c	3d7a9a1a-eadc-439a-b820-52cbfc322939	UPS
d139ac5d-09cf-4214-8ef8-190a010a4e3c	4d7bd2bb-536b-4ae8-8fa6-d0feefedf5c6	CRITICAL_AUXILIARIES
d139ac5d-09cf-4214-8ef8-190a010a4e3c	a6e7cc22-a36b-452f-b8b9-8f613ea237df	LIGHTING
d139ac5d-09cf-4214-8ef8-190a010a4e3c	90f1ae34-1ab3-4c05-885a-03f7a7d8e8d2	CRITICAL_POWER_DISTRIBUTION
d139ac5d-09cf-4214-8ef8-190a010a4e3c	4437c83f-b804-4bd9-8b04-79fb4cbb4360	CRAH
d139ac5d-09cf-4214-8ef8-190a010a4e3c	45ac6976-e68c-4f08-bc5a-4e9a04b07dbb	CRAC
d139ac5d-09cf-4214-8ef8-190a010a4e3c	ac6f572b-a5b4-47e2-b884-93c3d0e93573	CRAC_WITHOUT_FAN
d139ac5d-09cf-4214-8ef8-190a010a4e3c	d13bf1b6-58d8-491f-870f-3318eee8c388	CRAC_FAN
d139ac5d-09cf-4214-8ef8-190a010a4e3c	f8352b3e-399a-4cd6-9691-d206e3bdb9c3	CHILLER
d139ac5d-09cf-4214-8ef8-190a010a4e3c	145055ea-1dd1-4d9d-b33f-19b628708ef8	AIR_COOLED_CHILLER
d139ac5d-09cf-4214-8ef8-190a010a4e3c	a3d6d48a-184b-4176-9b2b-1f7f86eadd25	COOLING_TOWER
d139ac5d-09cf-4214-8ef8-190a010a4e3c	efdc20d9-5b8b-4e18-896b-505342f8c06e	DRY_COOLER
d139ac5d-09cf-4214-8ef8-190a010a4e3c	1d704e6d-caa4-401b-a05c-6fa02b9656b8	REMOTE_CONDENSER
d139ac5d-09cf-4214-8ef8-190a010a4e3c	81284984-072f-459f-8476-2432e0806e45	CHILLED_WATER_PUMPS
d139ac5d-09cf-4214-8ef8-190a010a4e3c	b49b9ae7-470e-4316-b693-5af32304cfff	HEAT_REJECTION_PUMPS
d139ac5d-09cf-4214-8ef8-190a010a4e3c	5d4dbeed-fbb8-4d7c-a884-be67833fba7e	VENTILATION
d139ac5d-09cf-4214-8ef8-190a010a4e3c	72bfc5a1-8948-4595-a0bf-a273ac051914	INFILTRATION
d139ac5d-09cf-4214-8ef8-190a010a4e3c	3b90f121-d2f2-4d29-98f8-a52a1e92f369	IT_LOAD
58209d83-237d-4c0b-a382-befbd66853f5	4a6bae08-fd5d-46e9-91af-9e7921eee7ab	SWITCHGEAR
58209d83-237d-4c0b-a382-befbd66853f5	ae8b3ccf-b27b-418f-8bdc-ab2a01f77fd4	GENERATOR
58209d83-237d-4c0b-a382-befbd66853f5	f5a9bbf9-ff61-402a-a77a-5241d6f008c8	PRIMARY_AUXILIARIES
58209d83-237d-4c0b-a382-befbd66853f5	0ad6546b-65e0-47bc-a044-a9463545a3fc	UPS
58209d83-237d-4c0b-a382-befbd66853f5	aca6ce87-bec0-4c34-9a48-68bcdb1a3d99	CRITICAL_AUXILIARIES
58209d83-237d-4c0b-a382-befbd66853f5	8f1894b5-c513-4afb-9a1b-794ebfbca1e9	LIGHTING
58209d83-237d-4c0b-a382-befbd66853f5	1af51e63-9298-4e44-b4a9-e73930bc81b4	CRITICAL_POWER_DISTRIBUTION
58209d83-237d-4c0b-a382-befbd66853f5	4c49c633-eb71-439e-9849-fa7d43877fdc	CRAH
58209d83-237d-4c0b-a382-befbd66853f5	ee145397-5132-4cb0-95f2-de91a1ef9595	CRAC
58209d83-237d-4c0b-a382-befbd66853f5	563f59e3-5942-44cf-8490-de3520e7d199	CRAC_WITHOUT_FAN
58209d83-237d-4c0b-a382-befbd66853f5	d9d72dd7-e23a-486c-803b-9b26838f8c8e	CRAC_FAN
58209d83-237d-4c0b-a382-befbd66853f5	d6c67b3f-95cd-4180-9419-1ac17178cf2a	CHILLER
58209d83-237d-4c0b-a382-befbd66853f5	20efa456-5329-40cf-b418-343cb996b2f8	AIR_COOLED_CHILLER
58209d83-237d-4c0b-a382-befbd66853f5	b70d1d21-0cd8-47f9-9139-23c08e223aed	COOLING_TOWER
58209d83-237d-4c0b-a382-befbd66853f5	081a62b4-c558-4fa5-a2d5-0656e3157b73	DRY_COOLER
58209d83-237d-4c0b-a382-befbd66853f5	b28a6649-790a-4da9-8822-797a6b6e21da	REMOTE_CONDENSER
58209d83-237d-4c0b-a382-befbd66853f5	e1ac3af1-a620-4142-8767-9effc3fe6d1e	CHILLED_WATER_PUMPS
58209d83-237d-4c0b-a382-befbd66853f5	c42858a2-ece1-4149-a2c7-0970663b37f3	HEAT_REJECTION_PUMPS
58209d83-237d-4c0b-a382-befbd66853f5	f74aa385-bc13-4251-8682-199c1a413763	VENTILATION
58209d83-237d-4c0b-a382-befbd66853f5	40c15ee6-f9bf-4023-afa2-aa089391eef3	INFILTRATION
58209d83-237d-4c0b-a382-befbd66853f5	7e40deea-59c1-4caf-bd9b-4016ffa1f49b	IT_LOAD
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	db6c5426-bcd4-49b8-bc3b-ec2dc85daa63	SWITCHGEAR
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	1289a7d8-b0e7-452e-9741-5e8ab8f65d02	GENERATOR
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	9c8d0f7c-4893-4ff8-bd9c-771e78a8c6b0	PRIMARY_AUXILIARIES
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	d152b328-c4fc-4cef-a730-952612c7d502	UPS
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	4b05de84-6e18-46cb-86b0-2830adecc2d2	CRITICAL_AUXILIARIES
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	9d5573a3-7ee1-44fe-a2d2-3bce56b10aec	LIGHTING
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	9be8162b-21ca-4d4d-988a-dcf9095a108a	CRITICAL_POWER_DISTRIBUTION
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	d967bd88-7e8e-44e9-90ae-ae56e3fc7712	CRAH
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	0467b60d-777b-4d6a-8723-b3a0c27a230d	CRAC
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	a7a37a7e-36ed-47a7-966b-efaf9b0a541e	CRAC_WITHOUT_FAN
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	2fac3e40-2106-4077-8df9-5edc5682b7fe	CRAC_FAN
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	f8e0dc71-ee3c-49be-8d00-bcaf4c0f8b3a	CHILLER
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	3e803428-2525-4f33-b77e-8f90b3e8a81d	AIR_COOLED_CHILLER
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	9e400e85-13b3-4c5a-b7c6-589406f21bdc	COOLING_TOWER
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	18cc6705-a07d-45b4-9716-ba75036689aa	DRY_COOLER
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	ccd9b8ec-26b0-4e69-9266-577470836458	REMOTE_CONDENSER
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	934f7978-81aa-426e-bac1-b7f5235b9850	CHILLED_WATER_PUMPS
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	d546edfc-7062-4862-9816-489ba3a365b5	HEAT_REJECTION_PUMPS
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	ce511db3-ed80-4cdc-96aa-0cd80f4a9cff	VENTILATION
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	84a1bab3-5548-4bf6-96c3-45c7067b14d0	INFILTRATION
e9f1dc54-fa1b-4812-ae1f-51ba8e5d0f98	c7f81108-4887-4a72-8aea-d86d5f244af4	IT_LOAD
0a216dc6-df04-42fd-b301-86610e4ae7c8	ffde7f7a-5c7c-4e86-a55f-de169c53ae38	SWITCHGEAR
0a216dc6-df04-42fd-b301-86610e4ae7c8	b826bb2f-f9e2-47f7-8f4a-b9d2316482f0	GENERATOR
0a216dc6-df04-42fd-b301-86610e4ae7c8	3663522d-eb39-494a-9bd3-f70826985b67	PRIMARY_AUXILIARIES
0a216dc6-df04-42fd-b301-86610e4ae7c8	5c8f0603-5cb9-4e82-af73-6763a70705a2	UPS
0a216dc6-df04-42fd-b301-86610e4ae7c8	5ff6d7b4-4c36-46b6-a7d3-14c67bd9cdc8	CRITICAL_AUXILIARIES
0a216dc6-df04-42fd-b301-86610e4ae7c8	f2d06eaa-fd36-4af0-95f1-2f1b72be2c0e	LIGHTING
0a216dc6-df04-42fd-b301-86610e4ae7c8	730d39a9-7062-465f-a70c-654d7c171850	CRITICAL_POWER_DISTRIBUTION
0a216dc6-df04-42fd-b301-86610e4ae7c8	f2ce83bb-9080-4d2d-9911-d9a478a8fd8d	CRAH
0a216dc6-df04-42fd-b301-86610e4ae7c8	83effea4-895f-4247-a013-f7988cb2b0f1	CRAC
0a216dc6-df04-42fd-b301-86610e4ae7c8	6c300692-4598-488f-8549-46c975b6367f	CRAC_WITHOUT_FAN
0a216dc6-df04-42fd-b301-86610e4ae7c8	5118846d-e088-4a3e-bcd6-96630b60f463	CRAC_FAN
0a216dc6-df04-42fd-b301-86610e4ae7c8	cac06200-529f-4df4-9e30-dc6861ce1396	CHILLER
0a216dc6-df04-42fd-b301-86610e4ae7c8	295e8ebb-09ca-4214-9b0d-1d0db7135784	AIR_COOLED_CHILLER
0a216dc6-df04-42fd-b301-86610e4ae7c8	7356cd17-7ec1-4694-8ddb-1fa043c15044	COOLING_TOWER
0a216dc6-df04-42fd-b301-86610e4ae7c8	af799eed-4928-4eed-8a95-d32ef91f78f0	DRY_COOLER
0a216dc6-df04-42fd-b301-86610e4ae7c8	084d1283-b51a-45cb-bc18-a9670b0ea82f	REMOTE_CONDENSER
0a216dc6-df04-42fd-b301-86610e4ae7c8	f2b2df66-2b53-4dff-a450-42d3103c0fa1	CHILLED_WATER_PUMPS
0a216dc6-df04-42fd-b301-86610e4ae7c8	464ff613-9a61-4662-8868-b180abf7dd66	HEAT_REJECTION_PUMPS
0a216dc6-df04-42fd-b301-86610e4ae7c8	a7b1025d-404e-48f5-9d6b-1e6937b5af99	VENTILATION
0a216dc6-df04-42fd-b301-86610e4ae7c8	7b423b0e-731e-4027-b1ba-8fdc77367827	INFILTRATION
0a216dc6-df04-42fd-b301-86610e4ae7c8	7f326325-1bc3-4ff6-ad1a-0f23c3c41e19	IT_LOAD
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	080f422e-e237-47d1-9553-547913bf52fa	SWITCHGEAR
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	ae8757fb-6eaa-48f7-b800-3ad5c946be7d	GENERATOR
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	4ec57638-4cb6-43a7-a011-5ae0d07188ef	PRIMARY_AUXILIARIES
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	a596f444-5232-458a-88e5-22ee05cc2090	UPS
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	ad8e261e-8026-4b10-ac15-7d414a5953cd	CRITICAL_AUXILIARIES
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	8ac74fcf-aebc-4b32-b2cc-f6c9657945d9	LIGHTING
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	dead7f4a-f55e-4ded-9f31-60a2ef3c6287	CRITICAL_POWER_DISTRIBUTION
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	5ac85f8a-4d45-4a9c-ba3e-d7a8f9adbd5f	CRAH
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	704631dc-3ce6-4bc6-a5d7-d32c4d7bb46e	CRAC
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	3d56a5c2-cfa5-40f3-b596-9347da234cbe	CRAC_WITHOUT_FAN
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	6dcaffc2-4100-409f-a06a-89ab62bee210	CRAC_FAN
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	9e9a6628-6069-4be8-a1f9-b313c44dc4ed	CHILLER
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	7461da9c-6c5d-41b7-bf09-8068f555e2db	AIR_COOLED_CHILLER
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	f8887a3f-ae70-41cd-8f61-e6af3ad7d323	COOLING_TOWER
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	94f89f20-8415-4d64-babc-5d5a2030e0d9	DRY_COOLER
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	c8e54dec-772e-4dae-aaf9-2271f5679c67	REMOTE_CONDENSER
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	40b20355-b4a2-492a-9858-96d5570f26dd	CHILLED_WATER_PUMPS
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	b13f24ce-6075-4a3a-b3ad-29b2ed019b98	HEAT_REJECTION_PUMPS
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	3c6ddbd4-98b2-41c9-83b3-d4947498e2cc	VENTILATION
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	e468b967-e802-40ec-a924-afb11bfc6341	INFILTRATION
df7d300a-8875-4c8d-b44c-0e5ea5b074d6	f3b4a29a-336e-4422-a109-2563a9d90755	IT_LOAD
083370b3-d66a-4ef6-abd2-188a261150e6	7ea0335d-da17-4342-832e-727308644349	SWITCHGEAR
083370b3-d66a-4ef6-abd2-188a261150e6	1389e353-f67a-4e4b-bf88-d98d6554e6f7	GENERATOR
083370b3-d66a-4ef6-abd2-188a261150e6	b384d046-5436-408d-8141-9e685a1d2d42	PRIMARY_AUXILIARIES
083370b3-d66a-4ef6-abd2-188a261150e6	f1951523-9a39-4d43-8d07-2b716547388f	UPS
083370b3-d66a-4ef6-abd2-188a261150e6	236d87d6-13e7-43c2-b8a3-7036480489e0	CRITICAL_AUXILIARIES
083370b3-d66a-4ef6-abd2-188a261150e6	949a12a2-c103-4490-9532-c1c249fb8ed6	LIGHTING
083370b3-d66a-4ef6-abd2-188a261150e6	a0197664-37bb-4661-abfc-698a4a660950	CRITICAL_POWER_DISTRIBUTION
083370b3-d66a-4ef6-abd2-188a261150e6	2a1a901a-597b-4518-b26b-510ff95a5b30	CRAH
083370b3-d66a-4ef6-abd2-188a261150e6	2275af49-465b-49e7-b0d5-62e4e7c9ddaa	CRAC
083370b3-d66a-4ef6-abd2-188a261150e6	ddc1997d-02de-45ef-8b3a-4ccc88762f75	CRAC_WITHOUT_FAN
083370b3-d66a-4ef6-abd2-188a261150e6	dd565f2d-2adc-4efb-b6c8-82baf34d72f8	CRAC_FAN
083370b3-d66a-4ef6-abd2-188a261150e6	7e242eb1-a291-4895-845e-8cab27472a75	CHILLER
083370b3-d66a-4ef6-abd2-188a261150e6	83b533bc-0612-4404-bfb1-f54f77e04152	AIR_COOLED_CHILLER
083370b3-d66a-4ef6-abd2-188a261150e6	1ebf9744-4bb4-4b16-b6eb-9e60b38dae60	COOLING_TOWER
083370b3-d66a-4ef6-abd2-188a261150e6	c4a911f6-2492-4b5f-a037-2b2aa2368d43	DRY_COOLER
083370b3-d66a-4ef6-abd2-188a261150e6	0195b7b7-b3cf-4149-8f36-52f3ed9355a7	REMOTE_CONDENSER
083370b3-d66a-4ef6-abd2-188a261150e6	4e20af52-de23-4410-995a-077d7bdee8ca	CHILLED_WATER_PUMPS
083370b3-d66a-4ef6-abd2-188a261150e6	173ecf45-2ef6-4721-971c-9fe69cedb809	HEAT_REJECTION_PUMPS
083370b3-d66a-4ef6-abd2-188a261150e6	71f07bd5-765d-44d6-8ebf-ef49cfc6601a	VENTILATION
083370b3-d66a-4ef6-abd2-188a261150e6	a88fa26e-d2e0-4426-b513-846eaee13997	INFILTRATION
083370b3-d66a-4ef6-abd2-188a261150e6	d6e058e7-b170-40cc-93e9-4b32b33df55a	IT_LOAD
d05674bc-ce18-4b33-ae2f-80091aa32f49	36e486f4-c98e-43a0-9ddc-af615361731a	SWITCHGEAR
d05674bc-ce18-4b33-ae2f-80091aa32f49	64640edf-313c-438e-85ff-c53549fc6b2e	GENERATOR
d05674bc-ce18-4b33-ae2f-80091aa32f49	b1805926-4aac-49fb-bd31-fc41292eab62	PRIMARY_AUXILIARIES
d05674bc-ce18-4b33-ae2f-80091aa32f49	e4b487fc-0885-4a6a-b46e-1c7f12c7d5f9	UPS
d05674bc-ce18-4b33-ae2f-80091aa32f49	72ba75a4-19a9-4239-ab77-23851ca78b7d	CRITICAL_AUXILIARIES
d05674bc-ce18-4b33-ae2f-80091aa32f49	1ab5d41e-fef1-4fc3-adbc-63c79723b109	LIGHTING
d05674bc-ce18-4b33-ae2f-80091aa32f49	967d6078-bc5d-4a2a-8fd9-aff327dd596a	CRITICAL_POWER_DISTRIBUTION
d05674bc-ce18-4b33-ae2f-80091aa32f49	e3229a03-7e0a-4509-b46b-d4ea65303f71	CRAH
d05674bc-ce18-4b33-ae2f-80091aa32f49	0d5a41b9-c5d5-46df-a164-042a3d4633cf	CRAC
d05674bc-ce18-4b33-ae2f-80091aa32f49	95c78cda-6a2e-44bf-b951-ade998e6f7d4	CRAC_WITHOUT_FAN
d05674bc-ce18-4b33-ae2f-80091aa32f49	2a5a3868-8600-40f0-8c85-4b935d885840	CRAC_FAN
d05674bc-ce18-4b33-ae2f-80091aa32f49	4b592c5c-d834-46ec-a4a6-d178cc19a68d	CHILLER
d05674bc-ce18-4b33-ae2f-80091aa32f49	70bd317b-3c3e-4d49-862e-d6b775380e09	AIR_COOLED_CHILLER
d05674bc-ce18-4b33-ae2f-80091aa32f49	70d00c31-3c2f-4d07-8331-31156d5b9bfe	COOLING_TOWER
d05674bc-ce18-4b33-ae2f-80091aa32f49	4a20da12-cdaf-4c21-ae6b-0ec4c1bdb710	DRY_COOLER
d05674bc-ce18-4b33-ae2f-80091aa32f49	b3dd1734-d815-4be3-83cf-b8f7b11da1b2	REMOTE_CONDENSER
d05674bc-ce18-4b33-ae2f-80091aa32f49	8c8015e2-a616-4b22-b54c-b014513762d5	CHILLED_WATER_PUMPS
d05674bc-ce18-4b33-ae2f-80091aa32f49	fcd40e48-3b13-4c30-b743-7a98f39f2d5d	HEAT_REJECTION_PUMPS
d05674bc-ce18-4b33-ae2f-80091aa32f49	d50f1c4a-24e0-497f-ad59-742094df5531	VENTILATION
d05674bc-ce18-4b33-ae2f-80091aa32f49	7abf2b3b-165c-432c-94ac-046953ae3ab6	INFILTRATION
d05674bc-ce18-4b33-ae2f-80091aa32f49	ab41e602-74fb-4a86-890c-11aee20efb21	IT_LOAD
74cbb59f-5787-4036-a8de-f3977a76d34b	c6ae2530-7915-4fdf-b684-700bde04c0ea	SWITCHGEAR
74cbb59f-5787-4036-a8de-f3977a76d34b	f2a3b716-a29c-44da-b3d1-7238399fe900	GENERATOR
74cbb59f-5787-4036-a8de-f3977a76d34b	1e56f5af-7dd4-42c1-a301-a04f981227da	PRIMARY_AUXILIARIES
74cbb59f-5787-4036-a8de-f3977a76d34b	48de61db-08fc-4eb4-8aa6-c1ca1cfb9589	UPS
74cbb59f-5787-4036-a8de-f3977a76d34b	f07089d8-f9cc-46f2-8f8b-1f0dd1829f79	CRITICAL_AUXILIARIES
74cbb59f-5787-4036-a8de-f3977a76d34b	4f4caa0c-6b8e-4dea-b48c-b7dc78f9b867	LIGHTING
74cbb59f-5787-4036-a8de-f3977a76d34b	4868202f-7b44-4087-b075-9eda14474f80	CRITICAL_POWER_DISTRIBUTION
74cbb59f-5787-4036-a8de-f3977a76d34b	2795061e-6e8c-4215-b2cd-abdde019333e	CRAH
74cbb59f-5787-4036-a8de-f3977a76d34b	3247cb51-daf2-443f-b004-44318c2f3c42	CRAC
74cbb59f-5787-4036-a8de-f3977a76d34b	3f1f26e5-8a6b-4122-bf51-1bd374a28afa	CRAC_WITHOUT_FAN
74cbb59f-5787-4036-a8de-f3977a76d34b	f4b1cbe6-b56d-43b3-80b0-08ee8c475de8	CRAC_FAN
74cbb59f-5787-4036-a8de-f3977a76d34b	568bae43-2661-4b76-b3a3-24bf364a1adf	CHILLER
74cbb59f-5787-4036-a8de-f3977a76d34b	78af5444-ea41-4917-8365-7dab2aa5e9ab	AIR_COOLED_CHILLER
74cbb59f-5787-4036-a8de-f3977a76d34b	eddf03fc-adf5-4638-90ef-153c6a6ce125	COOLING_TOWER
74cbb59f-5787-4036-a8de-f3977a76d34b	6ce45f9e-4bf7-4efe-a79f-a9b5a18a51a5	DRY_COOLER
74cbb59f-5787-4036-a8de-f3977a76d34b	9609f90f-c4fc-441e-86a0-43f5bca292a6	REMOTE_CONDENSER
74cbb59f-5787-4036-a8de-f3977a76d34b	eeee740d-ce84-47c7-bd30-64656c7de040	CHILLED_WATER_PUMPS
74cbb59f-5787-4036-a8de-f3977a76d34b	533748d1-383d-4e3a-9e4e-b8cdc6f43994	HEAT_REJECTION_PUMPS
74cbb59f-5787-4036-a8de-f3977a76d34b	75bae28f-99b0-4397-9265-e0f6ef1efd23	VENTILATION
74cbb59f-5787-4036-a8de-f3977a76d34b	d2c16b19-dbe2-41cb-8659-fc1ebc77fbcb	INFILTRATION
74cbb59f-5787-4036-a8de-f3977a76d34b	d5ede999-efe2-4424-ad38-93fab86e3adc	IT_LOAD
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	4002357f-e28e-4f0d-8a1e-e580e5237be2	SWITCHGEAR
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	7f610303-4b08-4f35-a179-3d0c5708f8a1	GENERATOR
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	4d8fae3f-6331-422c-8483-fbcb994894b9	PRIMARY_AUXILIARIES
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	704fef44-096a-46a7-acc7-2f52a398ab5f	UPS
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	610b51aa-ac6e-4ce7-99b5-16f72966588d	CRITICAL_AUXILIARIES
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	5abfc802-d33d-485f-8216-1240eb434995	LIGHTING
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	c985d66f-a396-4210-a65b-f669e96d241f	CRITICAL_POWER_DISTRIBUTION
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	856c2cbe-11b2-4ef4-a31c-b33729ba7e0c	CRAH
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	6651bd16-358c-433f-9834-44ca09c70b98	CRAC
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	7e81571f-5bc8-42d1-8803-bbbd70a46d9c	CRAC_WITHOUT_FAN
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	85e68805-83e2-41ce-b3cf-c681f7b32d1a	CRAC_FAN
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	b719483d-a5df-40fb-be39-d1c90ca0e852	CHILLER
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	1b3e9526-7ebc-42e2-8253-10d5d784ebd0	AIR_COOLED_CHILLER
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	4e0c6ca1-bc32-4ba2-baad-57c9d1f6b23e	COOLING_TOWER
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	5aafd981-770a-4495-91b6-4516f165d442	DRY_COOLER
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	094be7de-5f05-4d64-b3e6-52c694512536	REMOTE_CONDENSER
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	fb778760-fe3f-46e8-b619-eb672a9b4058	CHILLED_WATER_PUMPS
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	1e86e14b-311b-4cf2-b449-c6d099b6a02a	HEAT_REJECTION_PUMPS
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	a67d29e1-12c9-4afe-b902-75ec392bc5b0	VENTILATION
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	6606a8af-1add-4ada-b583-2d5486dd288a	INFILTRATION
2ac03b6b-d3a2-4d29-bbcc-c5ec15e1e331	92c0a897-607e-4f49-9788-621c009c04d8	IT_LOAD
378ea422-3763-4635-a387-1f9f0fcca6a6	035778bf-16be-4590-b39d-8af2ebdba20c	SWITCHGEAR
378ea422-3763-4635-a387-1f9f0fcca6a6	47a1306e-23d5-4aef-aa55-3eb3ca667e89	GENERATOR
378ea422-3763-4635-a387-1f9f0fcca6a6	ad6ea8f5-d9f5-497f-9e94-0cb00508ccca	PRIMARY_AUXILIARIES
378ea422-3763-4635-a387-1f9f0fcca6a6	62bcf2b2-1544-4f2b-9939-fd8cd638f54d	UPS
378ea422-3763-4635-a387-1f9f0fcca6a6	cea5edc6-20c8-4f26-a642-0611c6053eaf	CRITICAL_AUXILIARIES
378ea422-3763-4635-a387-1f9f0fcca6a6	c33b627f-ce39-4071-bb36-f1c5af300890	LIGHTING
378ea422-3763-4635-a387-1f9f0fcca6a6	60b77fad-2433-4dc2-bf8e-14e507ffc5c2	CRITICAL_POWER_DISTRIBUTION
378ea422-3763-4635-a387-1f9f0fcca6a6	725638e5-b7d7-4dfb-aadc-5ac992d2f88c	CRAH
378ea422-3763-4635-a387-1f9f0fcca6a6	a7417be3-287d-420c-a4c2-415a9583c8fe	CRAC
378ea422-3763-4635-a387-1f9f0fcca6a6	2c969146-dd34-41c1-b10e-9d8fe37ce61d	CRAC_WITHOUT_FAN
378ea422-3763-4635-a387-1f9f0fcca6a6	bf940b59-4bed-4cfb-b41b-a782ff3eb08e	CRAC_FAN
378ea422-3763-4635-a387-1f9f0fcca6a6	b7f6f707-1ff9-47a4-9d39-10b7371c3160	CHILLER
378ea422-3763-4635-a387-1f9f0fcca6a6	5fd85425-fd80-41ce-a2c7-58a52aa3b8b6	AIR_COOLED_CHILLER
378ea422-3763-4635-a387-1f9f0fcca6a6	f150afd9-4639-4f6e-be0c-ec8577232350	COOLING_TOWER
378ea422-3763-4635-a387-1f9f0fcca6a6	7b7e0800-4628-443f-bc9f-1a0d49091690	DRY_COOLER
378ea422-3763-4635-a387-1f9f0fcca6a6	799f37e6-086b-43ca-8b7e-9ad7bc24b925	REMOTE_CONDENSER
378ea422-3763-4635-a387-1f9f0fcca6a6	0a921517-4d2c-4d73-8eaa-2f51d9cd3a2a	CHILLED_WATER_PUMPS
378ea422-3763-4635-a387-1f9f0fcca6a6	191a3c88-d0a2-45ec-a092-ddf0e1e797fb	HEAT_REJECTION_PUMPS
378ea422-3763-4635-a387-1f9f0fcca6a6	ac1af42c-e15c-42c3-ac46-81a4a703b716	VENTILATION
378ea422-3763-4635-a387-1f9f0fcca6a6	6c76b1cc-0f1e-48de-8b11-5284b54a3e7d	INFILTRATION
378ea422-3763-4635-a387-1f9f0fcca6a6	0c31fe26-594f-4a04-9de0-448f723b30a9	IT_LOAD
73de1479-bd38-4994-bb96-2330c353ad00	1c02a8fc-2b20-4a93-9168-d01e5b6297fd	SWITCHGEAR
73de1479-bd38-4994-bb96-2330c353ad00	f08cc95f-db73-4baf-80b6-a64a764eaba8	GENERATOR
73de1479-bd38-4994-bb96-2330c353ad00	fb4b1818-7380-4fc1-9f27-25929272eeda	PRIMARY_AUXILIARIES
73de1479-bd38-4994-bb96-2330c353ad00	3b913d7f-c573-49cb-9857-b1e4131be49b	UPS
73de1479-bd38-4994-bb96-2330c353ad00	7c0d95b3-b537-4271-842d-5dc1c76d9bc0	CRITICAL_AUXILIARIES
73de1479-bd38-4994-bb96-2330c353ad00	4e78b98a-6bb8-47f3-a9c1-d08be5aef6cf	LIGHTING
73de1479-bd38-4994-bb96-2330c353ad00	ef43aa46-8c8a-4704-9315-277974460ef7	CRITICAL_POWER_DISTRIBUTION
73de1479-bd38-4994-bb96-2330c353ad00	6bcb4de0-64d9-420a-ad85-38d4ccb205e1	CRAH
73de1479-bd38-4994-bb96-2330c353ad00	1d1e8ffd-6ea3-4cda-a275-e2ae2f6822ef	CRAC
73de1479-bd38-4994-bb96-2330c353ad00	c3c66055-a615-4b0b-83bc-c84c9cd22a39	CRAC_WITHOUT_FAN
73de1479-bd38-4994-bb96-2330c353ad00	04f5ba2c-1efa-494d-b638-135f82984c50	CRAC_FAN
73de1479-bd38-4994-bb96-2330c353ad00	4bbe5d9f-fa0b-460f-aeda-d6c24c59a5c0	CHILLER
73de1479-bd38-4994-bb96-2330c353ad00	dc7d5f19-3162-4c2b-b8e6-54e687b58838	AIR_COOLED_CHILLER
73de1479-bd38-4994-bb96-2330c353ad00	09bde6af-1ca7-4216-ac7c-c69f4c9a697f	COOLING_TOWER
73de1479-bd38-4994-bb96-2330c353ad00	cd0ddfac-8bc2-4824-83c6-67558f12b709	DRY_COOLER
73de1479-bd38-4994-bb96-2330c353ad00	d5f5a361-f9b0-42d0-b035-88e65cc29f55	REMOTE_CONDENSER
73de1479-bd38-4994-bb96-2330c353ad00	7574b08f-c809-4dca-a0a7-a1d43a753ad2	CHILLED_WATER_PUMPS
73de1479-bd38-4994-bb96-2330c353ad00	0458c024-63cb-4d7b-a1b6-bca605ca4f9c	HEAT_REJECTION_PUMPS
73de1479-bd38-4994-bb96-2330c353ad00	87922246-3c72-466d-8e4a-230a9fb905db	VENTILATION
73de1479-bd38-4994-bb96-2330c353ad00	80810750-e873-4bb3-8e72-f7879f71a208	INFILTRATION
73de1479-bd38-4994-bb96-2330c353ad00	b1f6ac98-6fe1-4ca1-9381-acea0fd8ff1f	IT_LOAD
b0b91d32-7eaa-4fbf-b187-183730b30cb2	3f3c6be6-efab-4654-94d4-d3204136fd43	SWITCHGEAR
b0b91d32-7eaa-4fbf-b187-183730b30cb2	7dbf524c-3af0-4b15-bf7a-455fe9f523c2	GENERATOR
b0b91d32-7eaa-4fbf-b187-183730b30cb2	9e2ea03b-fc3f-47ab-be7b-2eb29ed0896f	PRIMARY_AUXILIARIES
b0b91d32-7eaa-4fbf-b187-183730b30cb2	3fd1609e-1391-4f67-b578-cea3ae2fb7bb	UPS
b0b91d32-7eaa-4fbf-b187-183730b30cb2	d7b768f8-4700-4c1a-be76-312a191085a3	CRITICAL_AUXILIARIES
b0b91d32-7eaa-4fbf-b187-183730b30cb2	00ec7014-4ab3-447b-bb51-a47de13837ae	LIGHTING
b0b91d32-7eaa-4fbf-b187-183730b30cb2	c217de64-b45c-4387-b246-8be7c1901606	CRITICAL_POWER_DISTRIBUTION
b0b91d32-7eaa-4fbf-b187-183730b30cb2	4447eb75-e631-4d8c-bbe9-3f005c7ff8f9	CRAH
b0b91d32-7eaa-4fbf-b187-183730b30cb2	e8482973-a373-4711-8b00-33b7d1a52a0f	CRAC
b0b91d32-7eaa-4fbf-b187-183730b30cb2	133b677d-ac92-451f-a5db-f1eff238c229	CRAC_WITHOUT_FAN
b0b91d32-7eaa-4fbf-b187-183730b30cb2	9ce3aaa0-5f21-41c2-8625-b3262ae8b8a2	CRAC_FAN
b0b91d32-7eaa-4fbf-b187-183730b30cb2	ff1d019b-8f10-4eca-b6cf-4babecdb2eca	CHILLER
b0b91d32-7eaa-4fbf-b187-183730b30cb2	3d80b550-1f57-4fcb-a9e5-e3525e1b78ea	AIR_COOLED_CHILLER
b0b91d32-7eaa-4fbf-b187-183730b30cb2	55eb069e-2bbc-49d1-94a5-6855f08ed1ae	COOLING_TOWER
b0b91d32-7eaa-4fbf-b187-183730b30cb2	6803da54-acbe-4822-add9-5bf0e74e5e61	DRY_COOLER
b0b91d32-7eaa-4fbf-b187-183730b30cb2	7de83101-d318-4cd0-a436-ee6c9dd9cef7	REMOTE_CONDENSER
b0b91d32-7eaa-4fbf-b187-183730b30cb2	506fdca5-7d09-428d-8a37-93c483fd45a4	CHILLED_WATER_PUMPS
b0b91d32-7eaa-4fbf-b187-183730b30cb2	4fe4cfb9-2cd7-4dbc-a19e-2e6f5cdc15b4	HEAT_REJECTION_PUMPS
b0b91d32-7eaa-4fbf-b187-183730b30cb2	3f4d1eef-756a-4b05-ae4b-78b7cb1a0211	VENTILATION
b0b91d32-7eaa-4fbf-b187-183730b30cb2	a7db229c-721f-4327-a925-0ae81882a938	INFILTRATION
b0b91d32-7eaa-4fbf-b187-183730b30cb2	60733a17-d23c-45e5-9a80-7761b53cc632	IT_LOAD
a20fe152-b1f8-4e23-818b-7839de99dda6	09b7bafe-3844-425d-b479-9ac7b92e777e	SWITCHGEAR
a20fe152-b1f8-4e23-818b-7839de99dda6	90f263d0-8ba3-458b-849a-e65c86cdafaa	GENERATOR
a20fe152-b1f8-4e23-818b-7839de99dda6	6928fca4-f97a-4e5f-98ef-59e717a63a3b	PRIMARY_AUXILIARIES
a20fe152-b1f8-4e23-818b-7839de99dda6	7470349b-a742-454d-94b8-b4c5b10df338	UPS
a20fe152-b1f8-4e23-818b-7839de99dda6	61d9a920-9241-4908-9c39-550c5c59892c	CRITICAL_AUXILIARIES
a20fe152-b1f8-4e23-818b-7839de99dda6	cc97b8d7-e05b-4866-acdc-97609e2d0435	LIGHTING
a20fe152-b1f8-4e23-818b-7839de99dda6	14b0fd2e-e234-4536-b2ef-ac55bb0ae91a	CRITICAL_POWER_DISTRIBUTION
a20fe152-b1f8-4e23-818b-7839de99dda6	47b72c87-d325-406c-98d3-4deeaabec1d8	CRAH
a20fe152-b1f8-4e23-818b-7839de99dda6	7b333462-2631-4a07-9607-4502a0998a13	CRAC
a20fe152-b1f8-4e23-818b-7839de99dda6	623a1734-d9da-4590-b00d-519d22831e30	CRAC_WITHOUT_FAN
a20fe152-b1f8-4e23-818b-7839de99dda6	56df42a2-ba76-4547-aab4-e0eb30e0e80e	CRAC_FAN
a20fe152-b1f8-4e23-818b-7839de99dda6	7e24f821-4630-412e-a75d-4f487bfbfa26	CHILLER
a20fe152-b1f8-4e23-818b-7839de99dda6	a37829d0-6e8e-47a6-9763-93923d07b747	AIR_COOLED_CHILLER
a20fe152-b1f8-4e23-818b-7839de99dda6	a652e3fb-a9e5-4e2e-9c20-633dbbf2f2fd	COOLING_TOWER
a20fe152-b1f8-4e23-818b-7839de99dda6	ceafb0e4-4a15-4223-9db1-9e4d9b816bef	DRY_COOLER
a20fe152-b1f8-4e23-818b-7839de99dda6	7012be3f-20f8-4952-b693-39c2b206be51	REMOTE_CONDENSER
a20fe152-b1f8-4e23-818b-7839de99dda6	f4247c87-aae4-4749-953b-f3e13948f61c	CHILLED_WATER_PUMPS
a20fe152-b1f8-4e23-818b-7839de99dda6	fcec5447-387b-40d1-a56f-5763358e8ccf	HEAT_REJECTION_PUMPS
a20fe152-b1f8-4e23-818b-7839de99dda6	a93d48d3-ef6e-4323-a12c-62c776c8e097	VENTILATION
a20fe152-b1f8-4e23-818b-7839de99dda6	5afc0721-d567-43fd-85a7-d18b7b67ee64	INFILTRATION
a20fe152-b1f8-4e23-818b-7839de99dda6	0b284b7c-6116-40ea-a010-08ebf745611a	IT_LOAD
298f7cae-e565-47ee-a76b-d52c715bc551	c4e32044-4d74-4fab-9195-58d92a9ad078	SWITCHGEAR
298f7cae-e565-47ee-a76b-d52c715bc551	6d359bd4-d289-477e-b45d-265519255c1b	GENERATOR
298f7cae-e565-47ee-a76b-d52c715bc551	196cbd12-ecec-4334-adc5-05e14594a24b	PRIMARY_AUXILIARIES
298f7cae-e565-47ee-a76b-d52c715bc551	d55f4588-518b-48ff-9c68-68f209e271b0	UPS
298f7cae-e565-47ee-a76b-d52c715bc551	185d2829-1513-48bf-ac71-6d75873de1bc	CRITICAL_AUXILIARIES
298f7cae-e565-47ee-a76b-d52c715bc551	ffb9b05d-b982-407b-b554-17c0e45c908e	LIGHTING
298f7cae-e565-47ee-a76b-d52c715bc551	9414b28e-930f-4a44-94a6-f59feaff6a2e	CRITICAL_POWER_DISTRIBUTION
298f7cae-e565-47ee-a76b-d52c715bc551	b5fe4088-944d-4d5b-87e5-ab72ce17bec8	CRAH
298f7cae-e565-47ee-a76b-d52c715bc551	7349d87e-8b71-4522-b265-b9794c098f5b	CRAC
298f7cae-e565-47ee-a76b-d52c715bc551	379a90fb-2cc1-41c4-9e85-3e89ffece51b	CRAC_WITHOUT_FAN
298f7cae-e565-47ee-a76b-d52c715bc551	29f37ad3-c0b2-4939-975a-952a907a498f	CRAC_FAN
298f7cae-e565-47ee-a76b-d52c715bc551	624a0910-190a-4735-a03c-7328044d313c	CHILLER
298f7cae-e565-47ee-a76b-d52c715bc551	1cdfb3a9-25de-4d37-b4e4-a3b91208fbc0	AIR_COOLED_CHILLER
298f7cae-e565-47ee-a76b-d52c715bc551	4fa1d5c3-763f-42a0-8be2-08894d6ea675	COOLING_TOWER
298f7cae-e565-47ee-a76b-d52c715bc551	a0d9b078-7568-4e38-bcba-6fb5576c9580	DRY_COOLER
298f7cae-e565-47ee-a76b-d52c715bc551	8100e5e0-a98d-4fb8-b10c-8b83c6b78194	REMOTE_CONDENSER
298f7cae-e565-47ee-a76b-d52c715bc551	1941dd10-83f2-4a22-96fd-e40ca76bd02a	CHILLED_WATER_PUMPS
298f7cae-e565-47ee-a76b-d52c715bc551	d7be0d6e-f748-4e76-8434-f9c4b50dbafe	HEAT_REJECTION_PUMPS
298f7cae-e565-47ee-a76b-d52c715bc551	3a03adf7-68f4-43f4-96c6-0a5c478f9875	VENTILATION
298f7cae-e565-47ee-a76b-d52c715bc551	9645e5f3-980f-44ff-8c63-be814fac8740	INFILTRATION
298f7cae-e565-47ee-a76b-d52c715bc551	c235242c-1edf-4174-9742-65bcceefb9c5	IT_LOAD
674f522f-626a-4a94-acce-157285e60cbb	f744a95b-c0b3-4f34-818c-afd5f15dc195	SWITCHGEAR
674f522f-626a-4a94-acce-157285e60cbb	7ade163d-fff1-40aa-abf6-f9df62ff592c	GENERATOR
674f522f-626a-4a94-acce-157285e60cbb	6f093db6-02a3-4a6b-a0cc-a31572e2ca45	PRIMARY_AUXILIARIES
674f522f-626a-4a94-acce-157285e60cbb	f389c888-c67c-4140-aed1-db61fca91e4b	UPS
674f522f-626a-4a94-acce-157285e60cbb	07efa8e7-4359-4324-a42e-177ecaa3ab76	CRITICAL_AUXILIARIES
674f522f-626a-4a94-acce-157285e60cbb	ca9ab038-c730-43bc-8378-c7eb6712644a	LIGHTING
674f522f-626a-4a94-acce-157285e60cbb	0ae27c28-1810-4394-bfc3-283957dac0d8	CRITICAL_POWER_DISTRIBUTION
674f522f-626a-4a94-acce-157285e60cbb	823fce8a-e838-42f8-a24e-53b5f3ffc4d8	CRAH
674f522f-626a-4a94-acce-157285e60cbb	78daae1b-e113-43e0-ab6e-0c7005c03165	CRAC
674f522f-626a-4a94-acce-157285e60cbb	21ef73c5-e207-4222-abd0-4a321e69c90c	CRAC_WITHOUT_FAN
674f522f-626a-4a94-acce-157285e60cbb	f66ee56a-deef-444f-99f3-434e1e3f450d	CRAC_FAN
674f522f-626a-4a94-acce-157285e60cbb	f9552019-8381-478b-a24c-16a076e43325	CHILLER
674f522f-626a-4a94-acce-157285e60cbb	7d8bf3a5-cbbd-4296-bc51-4f693a20baaf	AIR_COOLED_CHILLER
674f522f-626a-4a94-acce-157285e60cbb	481ccaac-fd85-4613-a5f8-7899ac6a611b	COOLING_TOWER
674f522f-626a-4a94-acce-157285e60cbb	cc2b045a-ffb0-4c30-a745-ed453757d580	DRY_COOLER
674f522f-626a-4a94-acce-157285e60cbb	4c5f4260-1f11-4842-ae7f-1bb9561b4408	REMOTE_CONDENSER
674f522f-626a-4a94-acce-157285e60cbb	10277a21-11af-4209-aa45-9a9986417614	CHILLED_WATER_PUMPS
674f522f-626a-4a94-acce-157285e60cbb	53ef8398-7bdd-4aed-bb1a-1d3565ee4928	HEAT_REJECTION_PUMPS
674f522f-626a-4a94-acce-157285e60cbb	28cd8c1f-3779-4e56-8671-e10c10d20b0f	VENTILATION
674f522f-626a-4a94-acce-157285e60cbb	5299f61c-30c5-4186-8bae-86fe757a7234	INFILTRATION
674f522f-626a-4a94-acce-157285e60cbb	9b205315-09dd-4d54-9d28-d237b01b2cb3	IT_LOAD
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	8432d4ad-a3af-413a-8720-de32d7a79bd2	SWITCHGEAR
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	0bbdcb82-f605-443f-ac80-0b7c0ed3aebd	GENERATOR
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	7e07e2f7-f679-434d-abbf-1107434a0b36	PRIMARY_AUXILIARIES
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	598846ff-2237-47a4-aab6-afdfffade32a	UPS
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	39f0f9df-20b0-4f28-96b3-8450e5dd560c	CRITICAL_AUXILIARIES
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	1c49cd3e-7ddd-470b-9126-38e36f5d9e91	LIGHTING
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	f358171b-1a02-4519-8dcd-a90bdb872e50	CRITICAL_POWER_DISTRIBUTION
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	8abfe930-2772-40a4-88ef-b4c1b164111c	CRAH
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	8f6705c4-5202-4689-a80f-0953f29b924c	CRAC
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	0f558d1c-93e1-4deb-9758-a5a285cf02ee	CRAC_WITHOUT_FAN
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	f5290640-8803-469a-8379-3a8f571b24dd	CRAC_FAN
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	176c1aab-ae34-456a-a96d-2232957a05cc	CHILLER
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	6d449b03-0989-4c16-b01e-80ee522cd721	AIR_COOLED_CHILLER
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	b2a1c9d4-bb4d-4702-8889-a65a801da7b3	COOLING_TOWER
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	9dd80379-ee2a-4cba-a4df-dcbd019056e0	DRY_COOLER
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	0abbfee1-a600-409d-a5d6-8ef8d2b8ece3	REMOTE_CONDENSER
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	ab5cab63-c53c-4cf8-8154-eec68fa09304	CHILLED_WATER_PUMPS
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	9c1bf021-9e19-4ed9-9141-ff4497b05971	HEAT_REJECTION_PUMPS
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	e79fa839-4dbf-4891-8144-971666b71bd8	VENTILATION
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	d1e1e884-d242-4dd0-a45e-b946a59eccc0	INFILTRATION
316f785a-ddbc-4238-a5e8-3fe08c4fa3ab	54c81d1b-c881-426c-b12a-71d4937e09ea	IT_LOAD
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	d614ef91-3693-4830-a275-65dfea8df49a	SWITCHGEAR
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	72e6141d-3ee7-4d47-8f65-1b9de3e9ae10	GENERATOR
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	a5a90f2f-1b95-42f6-9e0f-234b92c6bdeb	PRIMARY_AUXILIARIES
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	213d90fc-3e60-4430-9d21-622b0733eeda	UPS
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	d8d54085-725c-47ee-b5bb-49e784acc0e3	CRITICAL_AUXILIARIES
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	8b3bed6a-ddee-4dff-84f3-41943a398a47	LIGHTING
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	bd9bc37c-9cea-449b-b99c-e63b15a4df54	CRITICAL_POWER_DISTRIBUTION
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	910ec05d-d452-4039-88fc-c69d3298ab09	CRAH
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	0dc6e84a-52e8-4be2-8170-398876dbfb26	CRAC
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	17fd9edb-7d49-4c45-ad23-c5cc629b644a	CRAC_WITHOUT_FAN
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	ebbf0c44-5a34-4d96-89af-740daddb4dc3	CRAC_FAN
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	3641d888-45c2-42c2-9219-baacf0609a2e	CHILLER
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	4464579b-16dd-4f07-9d03-dcffae520cd6	AIR_COOLED_CHILLER
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	98f4fd80-c99c-45e6-a985-3a792f648bbf	COOLING_TOWER
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	ad680b6c-08f3-47fc-b141-3f381809ba3e	DRY_COOLER
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	d8160535-c24d-4ebf-8274-37006cfcc33c	REMOTE_CONDENSER
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	b3d3d683-597d-49fa-b0db-7b3ccbb16494	CHILLED_WATER_PUMPS
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	13a48431-c9a2-4252-a2c6-4ee0afd64451	HEAT_REJECTION_PUMPS
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	bebb1753-5b16-4c5a-ba2d-4b2edf2b2d45	VENTILATION
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	f864bf13-fbb7-4dd0-9c26-0a858013c024	INFILTRATION
04ecde7f-c304-44e2-b043-a92ca4f1b4e2	92afa454-f70c-4757-bf34-e99bfbb69dd2	IT_LOAD
8fc2d993-6784-4416-ba8d-aa5fff7b1808	4e69cae3-128f-41e8-ab91-ede70db4abf0	SWITCHGEAR
8fc2d993-6784-4416-ba8d-aa5fff7b1808	d35eb990-1440-461e-9ee1-d5e7db82582b	GENERATOR
8fc2d993-6784-4416-ba8d-aa5fff7b1808	618fdc45-55d0-4d99-aff0-e0e7b113d2be	PRIMARY_AUXILIARIES
8fc2d993-6784-4416-ba8d-aa5fff7b1808	50584154-ac71-4116-81f8-752a314f3861	UPS
8fc2d993-6784-4416-ba8d-aa5fff7b1808	c6c31def-8a11-40ce-b906-823c0249dda8	CRITICAL_AUXILIARIES
8fc2d993-6784-4416-ba8d-aa5fff7b1808	339bf85f-ee14-4828-9fb2-93acdf149489	LIGHTING
8fc2d993-6784-4416-ba8d-aa5fff7b1808	806575f7-6350-4178-a62b-fd4c25b4ecb8	CRITICAL_POWER_DISTRIBUTION
8fc2d993-6784-4416-ba8d-aa5fff7b1808	5ba60843-4db1-4d00-8758-2d5642ab279c	CRAH
8fc2d993-6784-4416-ba8d-aa5fff7b1808	c9e978b2-6267-435b-90c3-f21fee127e21	CRAC
8fc2d993-6784-4416-ba8d-aa5fff7b1808	90604bc7-e220-492c-9bb4-423d898d085e	CRAC_WITHOUT_FAN
8fc2d993-6784-4416-ba8d-aa5fff7b1808	4857480f-fb0d-4f02-9253-2eaa20c15188	CRAC_FAN
8fc2d993-6784-4416-ba8d-aa5fff7b1808	09d3cda1-30c3-4501-800e-99fa8ff3c089	CHILLER
8fc2d993-6784-4416-ba8d-aa5fff7b1808	c1439cb0-e996-422e-b54c-377f3a5de5c5	AIR_COOLED_CHILLER
8fc2d993-6784-4416-ba8d-aa5fff7b1808	16052edb-ebd7-4e5f-8b02-3ef5c163d3a7	COOLING_TOWER
8fc2d993-6784-4416-ba8d-aa5fff7b1808	3384a3b3-6329-4a58-8bc9-5f2f1b5a0c0c	DRY_COOLER
8fc2d993-6784-4416-ba8d-aa5fff7b1808	ff8d1021-a051-40e1-b067-d9540b2dd29e	REMOTE_CONDENSER
8fc2d993-6784-4416-ba8d-aa5fff7b1808	7ae7a1f9-19d6-4753-b7ad-82ce60b12227	CHILLED_WATER_PUMPS
8fc2d993-6784-4416-ba8d-aa5fff7b1808	9c9fde62-bdc2-4fca-989b-7f76340f725d	HEAT_REJECTION_PUMPS
8fc2d993-6784-4416-ba8d-aa5fff7b1808	80f27fcb-cade-444b-968e-f33a9c43944c	VENTILATION
8fc2d993-6784-4416-ba8d-aa5fff7b1808	7fa628e6-100e-4a35-8f9b-70d42989a335	INFILTRATION
8fc2d993-6784-4416-ba8d-aa5fff7b1808	21f808b3-c271-479f-9814-234981acc3ee	IT_LOAD
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	0c6beba3-1bfa-4440-91ac-5f1467a18a24	SWITCHGEAR
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	81160b51-3c46-4a53-8e89-35e440b32006	GENERATOR
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	1ab9035b-3169-47f1-b114-4cd6a1784df4	PRIMARY_AUXILIARIES
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	9caf2115-84ac-4ba0-bd3d-68c5b7275f17	UPS
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	daadec4e-bd3a-40d3-97f9-e2120581e9ba	CRITICAL_AUXILIARIES
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	25575cee-4e96-4d0f-8cb5-9e0d54f05cd8	LIGHTING
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	50b5247f-6fc2-4e2b-8573-765e607f5701	CRITICAL_POWER_DISTRIBUTION
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	e45776c8-cc11-4cff-be4e-7d780c3547d6	CRAH
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	54d3acb0-0db7-4471-8515-638f6b33594a	CRAC
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	6d7cb159-f589-4e7e-af53-ac5a05ec8391	CRAC_WITHOUT_FAN
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	0f93d04f-7ab6-4d86-9150-97efbfae3fe8	CRAC_FAN
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	c7ea4262-5e27-46b1-a792-85ffe833080f	CHILLER
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	5b84d561-1d1b-486b-837f-565eedd222f7	AIR_COOLED_CHILLER
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	e99abad3-d156-4621-b851-d61ce81bd6e4	COOLING_TOWER
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	ce180d95-ecef-4572-b9a1-2cdacfc9018f	DRY_COOLER
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	affa75e8-4ec6-4e7e-95cc-155fe886cae2	REMOTE_CONDENSER
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	1cc129ed-db29-4a7c-b448-2b718af16903	CHILLED_WATER_PUMPS
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	62dbc80d-c1f1-4fae-a46f-166e4b2f35d4	HEAT_REJECTION_PUMPS
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	56916637-617e-4aac-bb51-7e4479c622fb	VENTILATION
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	ebb0a326-63c6-4457-b29b-ae82fd8b70af	INFILTRATION
2a91b543-ff52-47e5-b12b-5d84cb23c3d3	0a78f2bc-e9b4-4a5d-b6e5-6537f72f5613	IT_LOAD
670bc3cf-ceec-4247-8988-dcbc6db2688b	595f58ab-fe21-434f-8217-ac09674d69f6	SWITCHGEAR
670bc3cf-ceec-4247-8988-dcbc6db2688b	fe984103-889a-464e-aa13-c39990f15a2f	GENERATOR
670bc3cf-ceec-4247-8988-dcbc6db2688b	aa4d5b43-a98e-40f6-bfcc-9230c3653979	PRIMARY_AUXILIARIES
670bc3cf-ceec-4247-8988-dcbc6db2688b	67321b34-1cee-45f3-b55f-ab834ed62c25	UPS
670bc3cf-ceec-4247-8988-dcbc6db2688b	918c6104-c989-4114-9fa6-69eec75f0e71	CRITICAL_AUXILIARIES
670bc3cf-ceec-4247-8988-dcbc6db2688b	55de0412-9bd5-4da5-9211-24d79114d6d1	LIGHTING
670bc3cf-ceec-4247-8988-dcbc6db2688b	b335a0a8-5359-4c26-973b-79140c293407	CRITICAL_POWER_DISTRIBUTION
670bc3cf-ceec-4247-8988-dcbc6db2688b	566297c3-22c8-4a94-86e2-3f7848467868	CRAH
670bc3cf-ceec-4247-8988-dcbc6db2688b	9f21f9b3-9af9-4686-8259-62028bc128af	CRAC
670bc3cf-ceec-4247-8988-dcbc6db2688b	e829087a-5082-47e3-9aa2-e5b68b380f77	CRAC_WITHOUT_FAN
670bc3cf-ceec-4247-8988-dcbc6db2688b	20549e50-df86-47e2-8438-a9dce126dc95	CRAC_FAN
670bc3cf-ceec-4247-8988-dcbc6db2688b	d7ed9d9b-4896-4b8f-986f-d410d2e7667c	CHILLER
670bc3cf-ceec-4247-8988-dcbc6db2688b	951de462-41e4-4122-a677-14b83a9bc03e	AIR_COOLED_CHILLER
670bc3cf-ceec-4247-8988-dcbc6db2688b	a1021c93-497c-4dcd-8cc3-cb2f928840a7	COOLING_TOWER
670bc3cf-ceec-4247-8988-dcbc6db2688b	cfb45c86-4cee-44d4-bcd6-2d430fc4eda7	DRY_COOLER
670bc3cf-ceec-4247-8988-dcbc6db2688b	696554df-b9cf-4c58-ab09-aa64e1bf508b	REMOTE_CONDENSER
670bc3cf-ceec-4247-8988-dcbc6db2688b	b20d79e5-1083-4d0e-8e89-c5599f1beafd	CHILLED_WATER_PUMPS
670bc3cf-ceec-4247-8988-dcbc6db2688b	d4749461-a7b2-4178-9666-6e2675b95585	HEAT_REJECTION_PUMPS
670bc3cf-ceec-4247-8988-dcbc6db2688b	e9dfd8f8-6d78-456d-9260-de8b6869d0dd	VENTILATION
670bc3cf-ceec-4247-8988-dcbc6db2688b	d3c7f4bc-e34c-4f3b-9d24-2ff188089ddf	INFILTRATION
670bc3cf-ceec-4247-8988-dcbc6db2688b	02582e6e-7f44-4231-bc49-40c8f136b468	IT_LOAD
4030197a-4368-4b6a-9f45-1675fc8ed168	9dd656ea-7d94-484c-bb99-25c94f2f7b0e	SWITCHGEAR
4030197a-4368-4b6a-9f45-1675fc8ed168	75ea08ed-7a0e-415f-aa1d-063d659ffe17	GENERATOR
4030197a-4368-4b6a-9f45-1675fc8ed168	430df7bf-34d3-4b1d-abd6-062943d16eba	PRIMARY_AUXILIARIES
4030197a-4368-4b6a-9f45-1675fc8ed168	797e9efb-9f31-4861-b0e7-b0b62c80fe76	UPS
4030197a-4368-4b6a-9f45-1675fc8ed168	d17fd0d7-7242-429d-bdf1-c6d0bc980d13	CRITICAL_AUXILIARIES
4030197a-4368-4b6a-9f45-1675fc8ed168	5282bb84-c7e8-4ebe-8589-720af1bbe914	LIGHTING
4030197a-4368-4b6a-9f45-1675fc8ed168	f28c93e0-e7fd-4aa1-9daf-534748fe6c82	CRITICAL_POWER_DISTRIBUTION
4030197a-4368-4b6a-9f45-1675fc8ed168	7f6b2534-3c62-4c6c-aaf0-878cdd8d138c	CRAH
4030197a-4368-4b6a-9f45-1675fc8ed168	868e7be3-1ba2-4b35-ad52-0c8ed0c9553a	CRAC
4030197a-4368-4b6a-9f45-1675fc8ed168	95cc9f3f-090b-4051-b574-3aa3ea20f667	CRAC_WITHOUT_FAN
4030197a-4368-4b6a-9f45-1675fc8ed168	02207914-2d4d-4cc8-b2ca-466490b70b5a	CRAC_FAN
4030197a-4368-4b6a-9f45-1675fc8ed168	53ecda94-6979-4b4a-95cb-8ac73d2a8196	CHILLER
4030197a-4368-4b6a-9f45-1675fc8ed168	fc43bc57-9a26-4a5e-907d-5bccda29f400	AIR_COOLED_CHILLER
4030197a-4368-4b6a-9f45-1675fc8ed168	5e463030-6237-44d1-aa5f-e999994e0811	COOLING_TOWER
4030197a-4368-4b6a-9f45-1675fc8ed168	73cc3e7c-28be-45d8-8087-eaa317dfe392	DRY_COOLER
4030197a-4368-4b6a-9f45-1675fc8ed168	5a4dae78-b136-4d8b-9f84-70dd4a92e1ec	REMOTE_CONDENSER
4030197a-4368-4b6a-9f45-1675fc8ed168	52015413-2bab-4e3f-a2bf-abf2020f060d	CHILLED_WATER_PUMPS
4030197a-4368-4b6a-9f45-1675fc8ed168	d258af76-0c92-41fb-a156-05be3d1f62d3	HEAT_REJECTION_PUMPS
4030197a-4368-4b6a-9f45-1675fc8ed168	053d087f-e453-4861-b4d0-1a5e56866a1d	VENTILATION
4030197a-4368-4b6a-9f45-1675fc8ed168	29b4d162-d9c1-40a3-a5b9-132f301b69dd	INFILTRATION
4030197a-4368-4b6a-9f45-1675fc8ed168	6c4dcfda-192b-445b-8868-5c106b972c6a	IT_LOAD
f7086d57-4747-4346-b6fb-625d89afc8e1	cce4d011-51c2-48df-931b-bf6eec9eb04d	SWITCHGEAR
f7086d57-4747-4346-b6fb-625d89afc8e1	751af017-e353-4390-a6b4-e2e7642f83f9	GENERATOR
f7086d57-4747-4346-b6fb-625d89afc8e1	cc6b0b22-1e6c-44e1-8845-70c2d37dc43e	PRIMARY_AUXILIARIES
f7086d57-4747-4346-b6fb-625d89afc8e1	a76d0753-afec-470f-b4e0-178b412dbda9	UPS
f7086d57-4747-4346-b6fb-625d89afc8e1	70971f0e-cdc0-4665-9e43-ca95766107a4	CRITICAL_AUXILIARIES
f7086d57-4747-4346-b6fb-625d89afc8e1	091ee005-15c2-4a3d-85e9-2f579fa7a6eb	LIGHTING
f7086d57-4747-4346-b6fb-625d89afc8e1	16fb8155-ef84-4aaa-aef4-48d12071f220	CRITICAL_POWER_DISTRIBUTION
f7086d57-4747-4346-b6fb-625d89afc8e1	3a5559e0-8279-454d-9f5c-0e7996b15673	CRAH
f7086d57-4747-4346-b6fb-625d89afc8e1	a57c40d4-84b2-4104-b354-881464f5a978	CRAC
f7086d57-4747-4346-b6fb-625d89afc8e1	ce9d75f5-2554-4721-b6e8-5e0a8f0b2012	CRAC_WITHOUT_FAN
f7086d57-4747-4346-b6fb-625d89afc8e1	0e971412-fa1d-4250-88cf-0a2c7fce02f1	CRAC_FAN
f7086d57-4747-4346-b6fb-625d89afc8e1	d8a40370-df23-4bf5-8b74-c5270867ff0b	CHILLER
f7086d57-4747-4346-b6fb-625d89afc8e1	2b73a579-e405-407a-96e7-61a19fdf9009	AIR_COOLED_CHILLER
f7086d57-4747-4346-b6fb-625d89afc8e1	912731a4-fe12-4223-afa5-c8070a998473	COOLING_TOWER
f7086d57-4747-4346-b6fb-625d89afc8e1	99dfd3b2-15bd-4252-9497-db9c324e7329	DRY_COOLER
f7086d57-4747-4346-b6fb-625d89afc8e1	aad76ee1-1cd2-4f8d-ba02-85ad563b88fa	REMOTE_CONDENSER
f7086d57-4747-4346-b6fb-625d89afc8e1	5ff663c7-271f-4ce8-a64b-edab6d56bfef	CHILLED_WATER_PUMPS
f7086d57-4747-4346-b6fb-625d89afc8e1	ff0f3945-7f89-4a1e-a74e-642cbc2a6b86	HEAT_REJECTION_PUMPS
f7086d57-4747-4346-b6fb-625d89afc8e1	d5f1977d-bf17-4de4-b7b6-9da26271d29f	VENTILATION
f7086d57-4747-4346-b6fb-625d89afc8e1	ebe9d011-b59c-41dd-bc93-3cd5a89dd309	INFILTRATION
f7086d57-4747-4346-b6fb-625d89afc8e1	09667e56-dbf8-4e8d-9890-5b1013dc3965	IT_LOAD
48331d18-d849-4983-8657-e88dbb8e8bfd	60e74299-1ee3-43cc-9de0-1888434cef91	SWITCHGEAR
48331d18-d849-4983-8657-e88dbb8e8bfd	f46dbffc-67a0-4d23-9c54-a747068b4ca1	GENERATOR
48331d18-d849-4983-8657-e88dbb8e8bfd	a791ff8f-8c1f-467d-9df7-bb3e1e6845d0	PRIMARY_AUXILIARIES
48331d18-d849-4983-8657-e88dbb8e8bfd	0600ae57-06a0-4211-83a5-417a6b18d3b9	UPS
48331d18-d849-4983-8657-e88dbb8e8bfd	b2b202e8-a4f8-4c42-add4-74994c54355b	CRITICAL_AUXILIARIES
48331d18-d849-4983-8657-e88dbb8e8bfd	faf88bd1-a82f-4704-a3c7-79de024d5692	LIGHTING
48331d18-d849-4983-8657-e88dbb8e8bfd	a6b813c8-465a-4c37-95a4-c697b15b0912	CRITICAL_POWER_DISTRIBUTION
48331d18-d849-4983-8657-e88dbb8e8bfd	55d378ee-a38a-4560-9ed6-7993e4ec2f65	CRAH
48331d18-d849-4983-8657-e88dbb8e8bfd	c808e63c-9985-4183-96d8-fba8484b34a7	CRAC
48331d18-d849-4983-8657-e88dbb8e8bfd	4c5694d8-da53-413a-abdc-e61cdb51a4bb	CRAC_WITHOUT_FAN
48331d18-d849-4983-8657-e88dbb8e8bfd	7106cc3f-7ae0-4459-b37b-354432d92d6f	CRAC_FAN
48331d18-d849-4983-8657-e88dbb8e8bfd	5a1d82c4-4350-4046-8565-395bc6315c1d	CHILLER
48331d18-d849-4983-8657-e88dbb8e8bfd	1cf21d29-455b-4a25-9f70-18460e58ecc9	AIR_COOLED_CHILLER
48331d18-d849-4983-8657-e88dbb8e8bfd	8b4710c8-20d4-48bb-b384-78b3917131f7	COOLING_TOWER
48331d18-d849-4983-8657-e88dbb8e8bfd	42e2fd9c-32cd-4b83-9bbd-5af2383ce014	DRY_COOLER
48331d18-d849-4983-8657-e88dbb8e8bfd	297e1d45-2b8a-4a03-a862-60a2fe9c35e3	REMOTE_CONDENSER
48331d18-d849-4983-8657-e88dbb8e8bfd	7edd0904-6d6e-4a84-ba46-b86c5cf61776	CHILLED_WATER_PUMPS
48331d18-d849-4983-8657-e88dbb8e8bfd	4759556c-f03c-4932-b20c-a672ea4f8b2d	HEAT_REJECTION_PUMPS
48331d18-d849-4983-8657-e88dbb8e8bfd	4c5ef014-7e8b-4e5c-b0b2-feba333879b4	VENTILATION
48331d18-d849-4983-8657-e88dbb8e8bfd	062210cf-f09e-488c-a084-b9238e90db27	INFILTRATION
48331d18-d849-4983-8657-e88dbb8e8bfd	e7f44931-f039-4769-b457-e5f5c3115c10	IT_LOAD
51292d61-8b76-4cb5-b9fc-c2fc6584019d	3a117c0a-6700-444a-875e-a6d928925327	SWITCHGEAR
51292d61-8b76-4cb5-b9fc-c2fc6584019d	e1d08d6e-7b1e-44c2-bd6a-3c205dfa1e4c	GENERATOR
51292d61-8b76-4cb5-b9fc-c2fc6584019d	812ecb57-a077-4c29-89c7-0606762d2928	PRIMARY_AUXILIARIES
51292d61-8b76-4cb5-b9fc-c2fc6584019d	744101a0-a91e-4055-9d13-f89250a25461	UPS
51292d61-8b76-4cb5-b9fc-c2fc6584019d	74e54989-033f-4167-94be-e7d076873881	CRITICAL_AUXILIARIES
51292d61-8b76-4cb5-b9fc-c2fc6584019d	a55f2cf0-a02a-4d57-a7e8-1f48b06d8112	LIGHTING
51292d61-8b76-4cb5-b9fc-c2fc6584019d	3955aa59-236c-42d9-a9ed-1cc20c3a6aa9	CRITICAL_POWER_DISTRIBUTION
51292d61-8b76-4cb5-b9fc-c2fc6584019d	6dd80fb6-5a90-4d5f-9f28-7c8e63f6b767	CRAH
51292d61-8b76-4cb5-b9fc-c2fc6584019d	80b94211-57fe-4bb8-bc5f-1b2489d01d44	CRAC
51292d61-8b76-4cb5-b9fc-c2fc6584019d	68ad386a-3f53-4107-badd-2acf02d4bee9	CRAC_WITHOUT_FAN
51292d61-8b76-4cb5-b9fc-c2fc6584019d	a6463ebe-02a4-41aa-8850-02e757c48cd3	CRAC_FAN
51292d61-8b76-4cb5-b9fc-c2fc6584019d	ec7a2669-996f-4a7a-9d46-d7648824d08b	CHILLER
51292d61-8b76-4cb5-b9fc-c2fc6584019d	47e5cd3d-47d7-409a-bc27-4ab81763734f	AIR_COOLED_CHILLER
51292d61-8b76-4cb5-b9fc-c2fc6584019d	f9fbff73-bc6d-4d9d-bf63-b9028be14434	COOLING_TOWER
51292d61-8b76-4cb5-b9fc-c2fc6584019d	f6f2196a-4924-4685-9128-8847bcb4f8cb	DRY_COOLER
51292d61-8b76-4cb5-b9fc-c2fc6584019d	4963dd9e-7fac-44e3-96fe-6784a557fc6e	REMOTE_CONDENSER
51292d61-8b76-4cb5-b9fc-c2fc6584019d	061694b1-112d-4b1d-8bb2-dcb066750a60	CHILLED_WATER_PUMPS
51292d61-8b76-4cb5-b9fc-c2fc6584019d	4fac1d6f-3a28-4ce9-8976-11b62ad73f5f	HEAT_REJECTION_PUMPS
51292d61-8b76-4cb5-b9fc-c2fc6584019d	7711abdc-245f-49c8-a14a-3fb08580a299	VENTILATION
51292d61-8b76-4cb5-b9fc-c2fc6584019d	42c9ddf1-1a22-481f-988c-d3874a5259c7	INFILTRATION
51292d61-8b76-4cb5-b9fc-c2fc6584019d	534aecb8-0a1b-48df-97af-607a05f85dd3	IT_LOAD
1cdc4fe0-6999-40e5-8962-53cb77185ed0	c858a6f1-6fbc-4b2a-ae4a-b97a0aaa4cbc	SWITCHGEAR
1cdc4fe0-6999-40e5-8962-53cb77185ed0	6768f901-031b-4dde-be9d-117a731978fa	GENERATOR
1cdc4fe0-6999-40e5-8962-53cb77185ed0	04282a12-468f-4c06-9b51-00725f8cb42f	PRIMARY_AUXILIARIES
1cdc4fe0-6999-40e5-8962-53cb77185ed0	8366eb68-47e8-48df-8393-a130db69f017	UPS
1cdc4fe0-6999-40e5-8962-53cb77185ed0	f440b410-ad4b-4f1a-b809-1a66b9584205	CRITICAL_AUXILIARIES
1cdc4fe0-6999-40e5-8962-53cb77185ed0	e146fcad-12c3-4ad1-bfb4-8f78735ee79b	LIGHTING
1cdc4fe0-6999-40e5-8962-53cb77185ed0	6810defc-6577-420e-913c-261cb5b73a28	CRITICAL_POWER_DISTRIBUTION
1cdc4fe0-6999-40e5-8962-53cb77185ed0	8e3e6195-dd2f-4436-a610-08ecdf5f8bb7	CRAH
1cdc4fe0-6999-40e5-8962-53cb77185ed0	2ae8f55a-fd82-4417-95c8-64b806a27686	CRAC
1cdc4fe0-6999-40e5-8962-53cb77185ed0	7fe81415-d047-4de2-a191-1ea45f9ecd9f	CRAC_WITHOUT_FAN
1cdc4fe0-6999-40e5-8962-53cb77185ed0	901ab870-53a2-4a63-9da0-8307b7d234a5	CRAC_FAN
1cdc4fe0-6999-40e5-8962-53cb77185ed0	d8d3bc6b-1ddd-4e0a-a3e5-a72c22b4116c	CHILLER
1cdc4fe0-6999-40e5-8962-53cb77185ed0	f7b9399a-2a34-4954-93ad-4b51fe2d63ca	AIR_COOLED_CHILLER
1cdc4fe0-6999-40e5-8962-53cb77185ed0	a7c50a5f-7330-4d79-8f6b-25ca7c6df4fd	COOLING_TOWER
1cdc4fe0-6999-40e5-8962-53cb77185ed0	3d58b2c9-6aff-4c18-8ff4-b1aa6f4f1203	DRY_COOLER
1cdc4fe0-6999-40e5-8962-53cb77185ed0	62aa0115-fdf6-4496-8bde-f359656f1018	REMOTE_CONDENSER
1cdc4fe0-6999-40e5-8962-53cb77185ed0	86d4ae7f-fe51-40ee-8a01-444ca18bc0ec	CHILLED_WATER_PUMPS
1cdc4fe0-6999-40e5-8962-53cb77185ed0	2c7621e4-1b35-43b0-9277-5442b96ca8f8	HEAT_REJECTION_PUMPS
1cdc4fe0-6999-40e5-8962-53cb77185ed0	19393445-760a-42fc-afe1-54c67d33ee70	VENTILATION
1cdc4fe0-6999-40e5-8962-53cb77185ed0	2c7e1234-9c25-49da-8ef6-78cc5cbb9351	INFILTRATION
1cdc4fe0-6999-40e5-8962-53cb77185ed0	afab8161-b072-466f-b18a-f7dcdeaac6ec	IT_LOAD
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	39c414de-91c5-464b-909f-dc017ece9bdc	SWITCHGEAR
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	f8a047e6-f707-4610-839a-af8b5e7fad90	GENERATOR
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	c6995757-a050-4589-8885-1068b9475ea9	PRIMARY_AUXILIARIES
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	fde6bbc6-8697-4c5a-8138-fcd622569dcc	UPS
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	83c2fd2d-b31f-4aa5-8222-1f1907b1fc82	CRITICAL_AUXILIARIES
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	901dcce2-a376-40cc-90ac-fd29fadfddee	LIGHTING
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	373133b7-310c-480a-b415-95b4e925344d	CRITICAL_POWER_DISTRIBUTION
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	b0f54a43-3fda-4b6b-a3df-8f1865458b39	CRAH
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	77e117ab-d72e-4ab5-9597-52ef2606a071	CRAC
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	e6f45d3c-c78a-4de7-ae3b-bf013af7b6a7	CRAC_WITHOUT_FAN
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	e4ad5c12-f4c6-4e1a-bcd7-3d543ab931f9	CRAC_FAN
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	5cae1553-87c1-4862-80e8-8fc4df04fc8f	CHILLER
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	f5004545-dc3e-465a-9071-933bc23e6bcc	AIR_COOLED_CHILLER
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	e1d87fd6-0e1d-40b0-af81-0e56a4e60361	COOLING_TOWER
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	bb632c4d-f001-4170-9ed5-0ad002751c6f	DRY_COOLER
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	636876c9-8010-4745-b9e6-be9c417bbf41	REMOTE_CONDENSER
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	4d1a4da5-a629-4e72-9f5c-b0f233169db7	CHILLED_WATER_PUMPS
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	d2021c8f-436f-49c8-af63-b96d920eff88	HEAT_REJECTION_PUMPS
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	2a17a1ec-bbf8-4eaf-bd93-eb94aa539e74	VENTILATION
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	c5d928bf-e322-4867-bbca-6f4fbfeb280c	INFILTRATION
7e070628-e69b-4a3f-b87a-8d5a511c5aa4	49dc085b-7060-4669-a096-6c9457a00e95	IT_LOAD
78edd24f-fa06-43bc-9ee2-59a515a9d05b	ea25826a-2b58-4fd4-9fb6-f272328bf018	SWITCHGEAR
78edd24f-fa06-43bc-9ee2-59a515a9d05b	778ca3f9-9e50-41e2-9424-0b2ac028b86f	GENERATOR
78edd24f-fa06-43bc-9ee2-59a515a9d05b	04e7e3ba-921c-46ce-9bd6-66c51da6eb5d	PRIMARY_AUXILIARIES
78edd24f-fa06-43bc-9ee2-59a515a9d05b	08eb7a99-4778-4268-8f69-46b818583233	UPS
78edd24f-fa06-43bc-9ee2-59a515a9d05b	76a090eb-94a1-4af1-b599-22701bd2be6c	CRITICAL_AUXILIARIES
78edd24f-fa06-43bc-9ee2-59a515a9d05b	dd4789f1-f54d-4373-9baf-dd86fed180dd	LIGHTING
78edd24f-fa06-43bc-9ee2-59a515a9d05b	b074d066-20f3-4d9b-80ef-1b9dc1ad2ec6	CRITICAL_POWER_DISTRIBUTION
78edd24f-fa06-43bc-9ee2-59a515a9d05b	7ea94c2c-c641-4865-baa8-23498fded115	CRAH
78edd24f-fa06-43bc-9ee2-59a515a9d05b	71a003f6-6516-4346-967e-0e9e0a503391	CRAC
78edd24f-fa06-43bc-9ee2-59a515a9d05b	583a38b2-6d85-4754-977a-fb58fb42ab8c	CRAC_WITHOUT_FAN
78edd24f-fa06-43bc-9ee2-59a515a9d05b	6387093b-daa5-4e7a-b4d8-9a382c08d5a2	CRAC_FAN
78edd24f-fa06-43bc-9ee2-59a515a9d05b	ff8bfdfe-a3a8-4755-a9aa-1a479b627640	CHILLER
78edd24f-fa06-43bc-9ee2-59a515a9d05b	9875f345-ee11-4b31-90ed-ca535031c3d9	AIR_COOLED_CHILLER
78edd24f-fa06-43bc-9ee2-59a515a9d05b	5b6e9a54-8b9c-474b-9c78-7ac11c54b1b3	COOLING_TOWER
78edd24f-fa06-43bc-9ee2-59a515a9d05b	7a66930c-ef80-4a02-87d8-6e99669f1285	DRY_COOLER
78edd24f-fa06-43bc-9ee2-59a515a9d05b	e216cdbb-ac28-4a18-a740-4ab537aeeb51	REMOTE_CONDENSER
78edd24f-fa06-43bc-9ee2-59a515a9d05b	28399157-527c-4f9e-8000-870404c4da65	CHILLED_WATER_PUMPS
78edd24f-fa06-43bc-9ee2-59a515a9d05b	1e40d824-b17b-44a8-a4ea-da9612a92435	HEAT_REJECTION_PUMPS
78edd24f-fa06-43bc-9ee2-59a515a9d05b	bd5e033c-782f-4aab-9b8e-0f3c1ebd6037	VENTILATION
78edd24f-fa06-43bc-9ee2-59a515a9d05b	3090dfb3-affb-4a6e-b2bd-dc89e8477f3d	INFILTRATION
78edd24f-fa06-43bc-9ee2-59a515a9d05b	aaa7a839-8ead-4af8-95fc-711087bd1bef	IT_LOAD
dd4b8bf2-e13f-43b3-83b9-188209d8e961	006ec39e-39b1-476d-83bc-a28c7dd21ab8	SWITCHGEAR
dd4b8bf2-e13f-43b3-83b9-188209d8e961	d67cf900-d827-4bfb-b3b9-ad0416bf434c	GENERATOR
dd4b8bf2-e13f-43b3-83b9-188209d8e961	ca642c9a-cc67-42ed-b631-1b616ceb8bbf	PRIMARY_AUXILIARIES
dd4b8bf2-e13f-43b3-83b9-188209d8e961	9b622e0e-9f3e-4587-8417-d851a8a34858	UPS
dd4b8bf2-e13f-43b3-83b9-188209d8e961	e05911d5-7c24-40c0-aa70-8bf6e81d7eca	CRITICAL_AUXILIARIES
dd4b8bf2-e13f-43b3-83b9-188209d8e961	ed56b2ef-b7ec-41b8-8b0f-0586cb817f0b	LIGHTING
dd4b8bf2-e13f-43b3-83b9-188209d8e961	28ee906e-041c-4062-9602-870b329a5f23	CRITICAL_POWER_DISTRIBUTION
dd4b8bf2-e13f-43b3-83b9-188209d8e961	2b03a668-45ba-4746-96dc-867131ce2992	CRAH
dd4b8bf2-e13f-43b3-83b9-188209d8e961	b94901e8-db5b-4516-aeab-ed6a902da243	CRAC
dd4b8bf2-e13f-43b3-83b9-188209d8e961	e8a0aa83-9166-49a8-a10e-7cf52dd7139c	CRAC_WITHOUT_FAN
dd4b8bf2-e13f-43b3-83b9-188209d8e961	ce1f56eb-ffe8-4489-9bac-784192e2e7b7	CRAC_FAN
dd4b8bf2-e13f-43b3-83b9-188209d8e961	359515fb-e09c-4bbe-b70d-581bacc44011	CHILLER
dd4b8bf2-e13f-43b3-83b9-188209d8e961	5b5d4ab5-5791-4c17-82ef-783e5c0f8f73	AIR_COOLED_CHILLER
dd4b8bf2-e13f-43b3-83b9-188209d8e961	db8c4847-2475-4d09-b7d1-bcae743e76c6	COOLING_TOWER
dd4b8bf2-e13f-43b3-83b9-188209d8e961	57762703-ced8-4c83-af26-fb639d5404da	DRY_COOLER
dd4b8bf2-e13f-43b3-83b9-188209d8e961	8fda376d-e2e6-422a-8b06-963a32ce3569	REMOTE_CONDENSER
dd4b8bf2-e13f-43b3-83b9-188209d8e961	91afb080-7612-4d41-8b03-a595d09339c6	CHILLED_WATER_PUMPS
dd4b8bf2-e13f-43b3-83b9-188209d8e961	fe5ec1b5-c5e1-4e76-8a21-d1b16a0064f0	HEAT_REJECTION_PUMPS
dd4b8bf2-e13f-43b3-83b9-188209d8e961	a1152658-d8f3-48f9-9e74-0f40968ef90c	VENTILATION
dd4b8bf2-e13f-43b3-83b9-188209d8e961	cf3e967f-3543-4c8a-ad05-1b5cbe569b47	INFILTRATION
dd4b8bf2-e13f-43b3-83b9-188209d8e961	3e82ff38-f02e-4852-9124-0514b4a15de6	IT_LOAD
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	034c3685-66b1-493e-878c-fb6ebd912008	SWITCHGEAR
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	d64b0db9-0a29-4c86-abe2-79208d0070e8	GENERATOR
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	0f22aa56-2dc8-4619-9cd2-51f9a4cb8279	PRIMARY_AUXILIARIES
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	996a843a-040c-4a08-a0bd-5bb0b777fdef	UPS
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	1f901ca4-4173-412e-8096-8e5fff6cc3b8	CRITICAL_AUXILIARIES
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	98e7ae00-d1d4-40e3-83ec-e95a998e7c51	LIGHTING
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	b1067487-5e07-45d9-a414-cc1b21b4e3c6	CRITICAL_POWER_DISTRIBUTION
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	6c1a6aac-5469-4c71-a069-188ea8d48740	CRAH
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	b386783a-5a42-4a2c-a015-da454c30e32d	CRAC
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	2b4a0623-01ad-425f-8ab8-1b5cd8c811ca	CRAC_WITHOUT_FAN
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	544ef873-b27f-4a7a-a69e-d5c0b752bc68	CRAC_FAN
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	a5a3d015-6273-4ec8-91c4-99c9b0807522	CHILLER
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	570ca19b-b1ed-4497-8df7-4f63cc95aa26	AIR_COOLED_CHILLER
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	a25816b1-4f98-4b25-89dc-bf8471b0f2bd	COOLING_TOWER
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	8f541948-22ac-4568-a14e-d717b6c65c75	DRY_COOLER
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	06c75fae-187a-44ed-ab60-293264ff296a	REMOTE_CONDENSER
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	c14fa97b-dce2-483a-8c4f-7805302767fb	CHILLED_WATER_PUMPS
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	3ef2dcb1-b4bd-49f9-b844-48c8359ed970	HEAT_REJECTION_PUMPS
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	6a36a9c4-4191-4df6-9ac6-d026c5c179cf	VENTILATION
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	317a644b-e339-4ed1-b6e3-c2be8a0fb047	INFILTRATION
226c3c64-eb4d-4c43-a6d3-4160a26abf5a	0c7feaca-038a-4941-8c0a-26f0afb462bb	IT_LOAD
adba2293-fd67-4159-b673-eaaee7317938	12ac2e26-156a-40b9-9251-468b3b5b07ed	SWITCHGEAR
adba2293-fd67-4159-b673-eaaee7317938	7e179968-9322-4f61-984e-44af49f96754	GENERATOR
adba2293-fd67-4159-b673-eaaee7317938	25eb19e9-197a-4fcb-a449-4860b13a8f54	PRIMARY_AUXILIARIES
adba2293-fd67-4159-b673-eaaee7317938	5acc7ed8-c3bd-4caa-ba22-f9f1ee89d5da	UPS
adba2293-fd67-4159-b673-eaaee7317938	75cf70a6-00c9-45d1-a703-6ebb84105c20	CRITICAL_AUXILIARIES
adba2293-fd67-4159-b673-eaaee7317938	9d34c9da-937e-43a3-9678-d6dcdc76f2b7	LIGHTING
adba2293-fd67-4159-b673-eaaee7317938	66ab5b6a-43dd-44ce-9176-3be3d986006f	CRITICAL_POWER_DISTRIBUTION
adba2293-fd67-4159-b673-eaaee7317938	0cecd00e-7ed1-4e18-808b-a894d936caff	CRAH
adba2293-fd67-4159-b673-eaaee7317938	a7badc10-83d2-40f4-b96d-87b79e5b3862	CRAC
adba2293-fd67-4159-b673-eaaee7317938	336db394-4337-4fc9-8ac5-43ca58e12137	CRAC_WITHOUT_FAN
adba2293-fd67-4159-b673-eaaee7317938	1dd14325-f648-478e-b9d0-a508ad6ff823	CRAC_FAN
adba2293-fd67-4159-b673-eaaee7317938	ed9cc310-c7ed-4cf8-a275-fe96889e291d	CHILLER
adba2293-fd67-4159-b673-eaaee7317938	d9ccfcd2-d3d3-4e73-8065-df8e018498d6	AIR_COOLED_CHILLER
adba2293-fd67-4159-b673-eaaee7317938	8d06d47e-7555-4f5d-a146-515ddb6b979a	COOLING_TOWER
adba2293-fd67-4159-b673-eaaee7317938	400051ae-bd41-498b-a45e-156e11ed9f45	DRY_COOLER
adba2293-fd67-4159-b673-eaaee7317938	b33c4ba8-0802-476c-953b-d04aacd89680	REMOTE_CONDENSER
adba2293-fd67-4159-b673-eaaee7317938	5f86098f-a689-4178-947b-e508c5731370	CHILLED_WATER_PUMPS
adba2293-fd67-4159-b673-eaaee7317938	81843d19-f5b8-4563-97ae-bcdfa94f7e76	HEAT_REJECTION_PUMPS
adba2293-fd67-4159-b673-eaaee7317938	51b779a4-527e-4214-b664-3a2dcb11f231	VENTILATION
adba2293-fd67-4159-b673-eaaee7317938	4a9885bd-6e21-4b1a-9793-fec56efabeb5	INFILTRATION
adba2293-fd67-4159-b673-eaaee7317938	67b6037c-b066-48bb-b54d-bf64e0bc16c9	IT_LOAD
082da503-29eb-4be4-851e-531d9788c827	6f3ebf16-3845-482c-8d6e-a3703445ec84	SWITCHGEAR
082da503-29eb-4be4-851e-531d9788c827	9b868bc9-7300-4cf3-be0f-e825680b21f0	GENERATOR
082da503-29eb-4be4-851e-531d9788c827	2acc0041-1ca7-4381-9398-9f5720678ac1	PRIMARY_AUXILIARIES
082da503-29eb-4be4-851e-531d9788c827	5ce867f1-6976-43e5-9f96-85b505df604f	UPS
082da503-29eb-4be4-851e-531d9788c827	31dcb366-b53e-4f12-b369-80185508e089	CRITICAL_AUXILIARIES
082da503-29eb-4be4-851e-531d9788c827	e868b02a-a3de-44f3-8b61-698691fc4446	LIGHTING
082da503-29eb-4be4-851e-531d9788c827	09d82270-c116-4a7b-bf20-05db3a342f20	CRITICAL_POWER_DISTRIBUTION
082da503-29eb-4be4-851e-531d9788c827	fb5f85c2-fb62-45ce-add7-44a78478049e	CRAH
082da503-29eb-4be4-851e-531d9788c827	62fe1144-aad1-49ce-ac2a-946dd7298d9d	CRAC
082da503-29eb-4be4-851e-531d9788c827	2a4da645-8766-4e35-9dc4-c92ca242e686	CRAC_WITHOUT_FAN
082da503-29eb-4be4-851e-531d9788c827	1666ca86-ca2e-4ad2-9b9c-522c606002d0	CRAC_FAN
082da503-29eb-4be4-851e-531d9788c827	54270f4b-0911-4327-b35f-31662f36bbce	CHILLER
082da503-29eb-4be4-851e-531d9788c827	bd56bd91-99c5-46cd-bc96-64cec9c9ecaf	AIR_COOLED_CHILLER
082da503-29eb-4be4-851e-531d9788c827	e95986d4-f460-4b45-a6af-fdc78d66b967	COOLING_TOWER
082da503-29eb-4be4-851e-531d9788c827	ac6fa087-e449-4a02-8f29-c1ac2fd4fad3	DRY_COOLER
082da503-29eb-4be4-851e-531d9788c827	e6e9bc37-a268-461a-a9a0-67e3d885e784	REMOTE_CONDENSER
082da503-29eb-4be4-851e-531d9788c827	b6a08e80-7099-4f3e-a8e2-f62d4f541072	CHILLED_WATER_PUMPS
082da503-29eb-4be4-851e-531d9788c827	719b230d-9338-46d2-aaee-9d06c441ad14	HEAT_REJECTION_PUMPS
082da503-29eb-4be4-851e-531d9788c827	7cd633d4-9f61-413d-b79b-71e38591d067	VENTILATION
082da503-29eb-4be4-851e-531d9788c827	eb175b81-ad06-4923-8b9b-7d7b077783b1	INFILTRATION
082da503-29eb-4be4-851e-531d9788c827	a4ad43b5-8431-4841-864e-8b07e3e367a1	IT_LOAD
48231091-e3b4-4283-95e7-3942e0401146	b9d87ab6-3aa3-411b-8f85-e08332e1a768	SWITCHGEAR
48231091-e3b4-4283-95e7-3942e0401146	d5c6a0e9-163f-404e-85c5-dd0c2829e3ea	GENERATOR
48231091-e3b4-4283-95e7-3942e0401146	299ce379-66c5-43e4-a3a2-c72044af3cef	PRIMARY_AUXILIARIES
48231091-e3b4-4283-95e7-3942e0401146	09dc2ab8-6b04-41d1-8282-b62adc8f2ff7	UPS
48231091-e3b4-4283-95e7-3942e0401146	f4b905a9-5630-4342-a788-3f89520c3f68	CRITICAL_AUXILIARIES
48231091-e3b4-4283-95e7-3942e0401146	bfb108c9-fd52-4333-b4a2-9cd81009b8ee	LIGHTING
48231091-e3b4-4283-95e7-3942e0401146	8ceabc0e-c37b-424a-8c79-aaefcce16e7b	CRITICAL_POWER_DISTRIBUTION
48231091-e3b4-4283-95e7-3942e0401146	a3a09d34-93ad-4841-b09a-da24d710ef95	CRAH
48231091-e3b4-4283-95e7-3942e0401146	9b5a981a-b3db-4644-9374-8c79607a4f9e	CRAC
48231091-e3b4-4283-95e7-3942e0401146	bb7f1a34-1de0-433f-9fa6-658f0da20501	CRAC_WITHOUT_FAN
48231091-e3b4-4283-95e7-3942e0401146	0b2db2b9-67ea-438c-b167-8707f6aeb14c	CRAC_FAN
48231091-e3b4-4283-95e7-3942e0401146	3b5a9986-416b-46cb-9100-1cf19595ee9e	CHILLER
48231091-e3b4-4283-95e7-3942e0401146	e514a485-780b-4a30-b75a-3c1d01f5ed6b	AIR_COOLED_CHILLER
48231091-e3b4-4283-95e7-3942e0401146	061938b5-0829-41fe-9dfe-bb0074639e10	COOLING_TOWER
48231091-e3b4-4283-95e7-3942e0401146	0b81c206-b25d-4fa4-aac7-72dc5fa73bea	DRY_COOLER
48231091-e3b4-4283-95e7-3942e0401146	9db985ea-9d2d-4a36-bfe6-01e180ce25b3	REMOTE_CONDENSER
48231091-e3b4-4283-95e7-3942e0401146	2ef27c88-b543-484b-9a2b-f8146f93bc7d	CHILLED_WATER_PUMPS
48231091-e3b4-4283-95e7-3942e0401146	69d9adb4-905a-40ce-a8de-8dc83da5502b	HEAT_REJECTION_PUMPS
48231091-e3b4-4283-95e7-3942e0401146	c9d282e5-10f5-41f6-9aad-006d2c2ead8e	VENTILATION
48231091-e3b4-4283-95e7-3942e0401146	2e5fe55e-53b3-4ae7-a64b-4c9b2a17383a	INFILTRATION
48231091-e3b4-4283-95e7-3942e0401146	4417c738-6f01-4bea-9865-0d74cace1b75	IT_LOAD
95ef1414-3a13-4a92-8012-b4c408234400	b0af1781-d48f-414a-93b5-0d6e438fbea9	SWITCHGEAR
95ef1414-3a13-4a92-8012-b4c408234400	c8f663cf-6881-4224-a417-255ded03ff24	GENERATOR
95ef1414-3a13-4a92-8012-b4c408234400	37eb49a2-5315-49d2-9b91-2f98ed1e43f6	PRIMARY_AUXILIARIES
95ef1414-3a13-4a92-8012-b4c408234400	ace94212-9a88-4afc-a470-4d37f80028c2	UPS
95ef1414-3a13-4a92-8012-b4c408234400	d68faf92-5c56-4553-83b3-1ff1cf8b3d01	CRITICAL_AUXILIARIES
95ef1414-3a13-4a92-8012-b4c408234400	b32ebdb1-1cd1-49d6-8e0e-6f4244f1f1f0	LIGHTING
95ef1414-3a13-4a92-8012-b4c408234400	70304afd-ce92-45fd-9aa8-57028b6c746a	CRITICAL_POWER_DISTRIBUTION
95ef1414-3a13-4a92-8012-b4c408234400	ebc0d5ae-0369-41a2-92f0-c10c0d6c334c	CRAH
95ef1414-3a13-4a92-8012-b4c408234400	13c57d22-a271-4bcc-b9e0-91176228d439	CRAC
95ef1414-3a13-4a92-8012-b4c408234400	2610fa9e-c3ad-4d7b-993b-9624929b69a9	CRAC_WITHOUT_FAN
95ef1414-3a13-4a92-8012-b4c408234400	7bbee7cf-fcbb-486b-8dc1-da33383851c2	CRAC_FAN
95ef1414-3a13-4a92-8012-b4c408234400	e8cee7d5-46f5-4cd5-af60-b7eb91fa2e6e	CHILLER
95ef1414-3a13-4a92-8012-b4c408234400	6efb1c1d-852b-443f-bfd7-e0003b1af69d	AIR_COOLED_CHILLER
95ef1414-3a13-4a92-8012-b4c408234400	ad5c87af-2eac-4621-a4fe-e66f2dca9087	COOLING_TOWER
95ef1414-3a13-4a92-8012-b4c408234400	95c83202-1117-4ffb-b11a-923e04313601	DRY_COOLER
95ef1414-3a13-4a92-8012-b4c408234400	84ba2321-6256-42ab-95b8-0282974fb2e7	REMOTE_CONDENSER
95ef1414-3a13-4a92-8012-b4c408234400	7e3c4236-38e7-4b58-922a-36c81af29672	CHILLED_WATER_PUMPS
95ef1414-3a13-4a92-8012-b4c408234400	8a5bafd9-68b2-4f22-b574-a4db9995217e	HEAT_REJECTION_PUMPS
95ef1414-3a13-4a92-8012-b4c408234400	96140b75-9562-4a4b-b4d4-d6d4e03b4aa9	VENTILATION
95ef1414-3a13-4a92-8012-b4c408234400	adae4904-9454-4caa-84de-33835e609b6a	INFILTRATION
95ef1414-3a13-4a92-8012-b4c408234400	2634225f-1fbf-4c33-b3cb-5af31c0d671e	IT_LOAD
9cbea749-0098-4c6d-baab-ea55a793dc49	b4a6e170-b62b-4902-8c02-20a677d8f853	SWITCHGEAR
9cbea749-0098-4c6d-baab-ea55a793dc49	a3e3b36f-abe8-47d4-8af7-3eb49b733914	GENERATOR
9cbea749-0098-4c6d-baab-ea55a793dc49	6b6f742d-72f8-492a-b650-116b03e499b5	PRIMARY_AUXILIARIES
9cbea749-0098-4c6d-baab-ea55a793dc49	bdfcba48-e987-4204-bbeb-b11c4bf8d000	UPS
9cbea749-0098-4c6d-baab-ea55a793dc49	9ba022af-b8bf-4f7a-b739-ebd78a6c582f	CRITICAL_AUXILIARIES
9cbea749-0098-4c6d-baab-ea55a793dc49	acc962f7-51b7-49e2-a158-37dc6fc165a8	LIGHTING
9cbea749-0098-4c6d-baab-ea55a793dc49	bc4e9a3e-f9b8-499f-a1c8-9122052ff380	CRITICAL_POWER_DISTRIBUTION
9cbea749-0098-4c6d-baab-ea55a793dc49	601c140a-ccf9-4bee-b39c-3708b82d4d29	CRAH
9cbea749-0098-4c6d-baab-ea55a793dc49	11e40e83-ca4f-4ccf-b393-f8bdffd4546a	CRAC
9cbea749-0098-4c6d-baab-ea55a793dc49	3f4cf9a4-2984-47ec-894a-9518f44040c6	CRAC_WITHOUT_FAN
9cbea749-0098-4c6d-baab-ea55a793dc49	df8468de-ccf0-4568-95ab-e0e329f70bf4	CRAC_FAN
9cbea749-0098-4c6d-baab-ea55a793dc49	80294fb6-ea53-4e7e-b07b-2e9760f4b5de	CHILLER
9cbea749-0098-4c6d-baab-ea55a793dc49	1c682a37-ae63-4c95-876e-5662877ce11a	AIR_COOLED_CHILLER
9cbea749-0098-4c6d-baab-ea55a793dc49	189ec193-b4e1-4dbb-b23b-1967bb17df12	COOLING_TOWER
9cbea749-0098-4c6d-baab-ea55a793dc49	95bccd6e-6f50-4814-b63a-594385b44904	DRY_COOLER
9cbea749-0098-4c6d-baab-ea55a793dc49	d325907d-f4dc-44e6-919f-9f2cfe2e5a80	REMOTE_CONDENSER
9cbea749-0098-4c6d-baab-ea55a793dc49	5b2670b2-5c89-40f4-b7f5-e7cbebcaa00d	CHILLED_WATER_PUMPS
9cbea749-0098-4c6d-baab-ea55a793dc49	ad791e0b-02fc-4395-bca0-d265a76f7bc5	HEAT_REJECTION_PUMPS
9cbea749-0098-4c6d-baab-ea55a793dc49	1fde108f-2305-4f32-a048-42debe2adfb9	VENTILATION
9cbea749-0098-4c6d-baab-ea55a793dc49	ca7d3572-5db6-4fec-95e8-c3dc0c2e3f77	INFILTRATION
9cbea749-0098-4c6d-baab-ea55a793dc49	dd3cf0dd-7769-4673-bc9d-a8315618bb9a	IT_LOAD
1d72795a-f869-43cd-b15f-cb7ca3672bc2	4146f14b-56b5-4915-ae99-675ddfadcfec	SWITCHGEAR
1d72795a-f869-43cd-b15f-cb7ca3672bc2	54629265-1324-4868-91d6-3ec264a3cd69	GENERATOR
1d72795a-f869-43cd-b15f-cb7ca3672bc2	c11b9c94-f194-4b4d-863c-35594e8558cb	PRIMARY_AUXILIARIES
1d72795a-f869-43cd-b15f-cb7ca3672bc2	3e24d1e7-d21a-4d2d-8ddd-865d0f5eac29	UPS
1d72795a-f869-43cd-b15f-cb7ca3672bc2	220e24b9-4136-4559-94db-d02c67953d39	CRITICAL_AUXILIARIES
1d72795a-f869-43cd-b15f-cb7ca3672bc2	0bce5165-c5ca-4032-8f2f-6dae2ff07ea4	LIGHTING
1d72795a-f869-43cd-b15f-cb7ca3672bc2	aeff0bb5-fd53-43e5-a254-ef60dbdc8afb	CRITICAL_POWER_DISTRIBUTION
1d72795a-f869-43cd-b15f-cb7ca3672bc2	9cac02d0-988d-4ca7-b397-d7cd406bb3e9	CRAH
1d72795a-f869-43cd-b15f-cb7ca3672bc2	d322ff8a-d922-4d6f-91c7-8f1eaaaecc0c	CRAC
1d72795a-f869-43cd-b15f-cb7ca3672bc2	411a3e8f-f048-48f3-8a97-53f3a129ad63	CRAC_WITHOUT_FAN
1d72795a-f869-43cd-b15f-cb7ca3672bc2	288ae1ad-daab-476b-9f10-6e0106ac9c79	CRAC_FAN
1d72795a-f869-43cd-b15f-cb7ca3672bc2	8c4c18c1-70e0-440c-ae1f-e8ceb0c4f294	CHILLER
1d72795a-f869-43cd-b15f-cb7ca3672bc2	e30410b2-527f-4193-9c91-73a736b11500	AIR_COOLED_CHILLER
1d72795a-f869-43cd-b15f-cb7ca3672bc2	e9cc4ecc-3dd1-47d0-8c1c-05a7bb6931e9	COOLING_TOWER
1d72795a-f869-43cd-b15f-cb7ca3672bc2	1aa74b88-9ad4-410c-8e7b-0182c5e38760	DRY_COOLER
1d72795a-f869-43cd-b15f-cb7ca3672bc2	95f26fe7-ec2e-4542-b301-81ae7eb77540	REMOTE_CONDENSER
1d72795a-f869-43cd-b15f-cb7ca3672bc2	91bfeadb-3d78-469c-a150-5823fed239df	CHILLED_WATER_PUMPS
1d72795a-f869-43cd-b15f-cb7ca3672bc2	a64b0e40-e44f-4075-a9b3-265017c19e92	HEAT_REJECTION_PUMPS
1d72795a-f869-43cd-b15f-cb7ca3672bc2	88a448a1-8a11-403e-afbb-fd1682cfad70	VENTILATION
1d72795a-f869-43cd-b15f-cb7ca3672bc2	9a64598b-bbf7-44ad-b803-c533bdde4f45	INFILTRATION
1d72795a-f869-43cd-b15f-cb7ca3672bc2	fca65904-1ad0-4d29-b7fb-164fb84ee52d	IT_LOAD
cfc4a016-2921-4810-8ca1-e266ab4dbc58	7e0eb09b-2c2b-49c2-b5d5-ef7312375932	SWITCHGEAR
cfc4a016-2921-4810-8ca1-e266ab4dbc58	bcce651f-2629-47ea-bfba-ed7a7085dce0	GENERATOR
cfc4a016-2921-4810-8ca1-e266ab4dbc58	dc7fc8bc-ba18-42e9-9096-81cc4dfaca7e	PRIMARY_AUXILIARIES
cfc4a016-2921-4810-8ca1-e266ab4dbc58	b3e0fa6e-df3a-48d3-a414-f0c16b57569b	UPS
cfc4a016-2921-4810-8ca1-e266ab4dbc58	55ca428d-07e7-40f1-b884-3b430b9947dd	CRITICAL_AUXILIARIES
cfc4a016-2921-4810-8ca1-e266ab4dbc58	7834d210-7323-4a9c-a61c-ffc54258e0fd	LIGHTING
cfc4a016-2921-4810-8ca1-e266ab4dbc58	aead489a-951a-4e93-992b-1538d0885489	CRITICAL_POWER_DISTRIBUTION
cfc4a016-2921-4810-8ca1-e266ab4dbc58	6f87fe05-6a0a-4a56-b351-d419a1903e96	CRAH
cfc4a016-2921-4810-8ca1-e266ab4dbc58	ec834337-69b3-4c24-b252-7138bdd225bc	CRAC
cfc4a016-2921-4810-8ca1-e266ab4dbc58	9bcc6106-1b5e-4659-a4ae-2d192da013e3	CRAC_WITHOUT_FAN
cfc4a016-2921-4810-8ca1-e266ab4dbc58	5d75f35c-4513-49f4-98e0-c74edcb2eec0	CRAC_FAN
cfc4a016-2921-4810-8ca1-e266ab4dbc58	8f58d35a-f292-4035-a4d5-657c12a0cf85	CHILLER
cfc4a016-2921-4810-8ca1-e266ab4dbc58	4b2228c5-fa48-45b7-b4fe-7c96235ef39f	AIR_COOLED_CHILLER
cfc4a016-2921-4810-8ca1-e266ab4dbc58	6c51b70a-4093-4d0d-ac9b-d7bd037898fd	COOLING_TOWER
cfc4a016-2921-4810-8ca1-e266ab4dbc58	f77c938a-29fc-46e7-8b6b-2b9d3b98a1ba	DRY_COOLER
cfc4a016-2921-4810-8ca1-e266ab4dbc58	00c0b30b-0321-40e6-90c1-0976eb83360f	REMOTE_CONDENSER
cfc4a016-2921-4810-8ca1-e266ab4dbc58	38bf5313-4ccc-4e39-9469-2b8161d11e95	CHILLED_WATER_PUMPS
cfc4a016-2921-4810-8ca1-e266ab4dbc58	74e0e61a-f27e-4d0a-836b-498f33f8b449	HEAT_REJECTION_PUMPS
cfc4a016-2921-4810-8ca1-e266ab4dbc58	cb2c7f84-ecda-42d8-92e8-d4b661d378d4	VENTILATION
cfc4a016-2921-4810-8ca1-e266ab4dbc58	f6adeb4c-c39f-46f3-98e7-8f0a26bd7266	INFILTRATION
cfc4a016-2921-4810-8ca1-e266ab4dbc58	c7ca1d4f-fc36-4032-8841-28a0b0ae22c1	IT_LOAD
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	8daf218e-e562-41fb-b52c-8088d73655f5	SWITCHGEAR
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	4a2098e2-f11d-4bbe-acf7-a31f4b88059a	GENERATOR
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	a31a494c-db85-4051-a194-b9190a800eda	PRIMARY_AUXILIARIES
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	76df130a-4016-4e81-b3b6-d37caeb07709	UPS
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	ffbdc628-e682-482e-94e9-a828cbcff529	CRITICAL_AUXILIARIES
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	38caf03f-19cb-4229-8c52-0f0187c92c94	LIGHTING
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	af80fed8-ea92-4698-895a-cf15666b0f1c	CRITICAL_POWER_DISTRIBUTION
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	1509dc65-b3b5-458f-8b71-b3d5bb4cbdf4	CRAH
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	e90f2fe5-4fa4-4b75-8606-de17d9f86757	CRAC
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	234dca6d-9a7b-4fdf-b657-afae101775eb	CRAC_WITHOUT_FAN
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	e7e43937-f100-43a2-9cd7-164112b1aef2	CRAC_FAN
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	2c923596-0c4a-4b7a-9731-f8dacd5c95d1	CHILLER
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	0ed388d1-0400-4d3f-8401-8adf0dd55e7b	AIR_COOLED_CHILLER
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	717cb933-c3e5-4b68-b649-399a7fb4418e	COOLING_TOWER
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	e8a90d5b-2edd-4080-bdeb-ef628776e3cf	DRY_COOLER
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	2f821701-b7cb-4451-8fe6-8eb408232d3b	REMOTE_CONDENSER
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	adab2ebb-2635-43d2-a9ea-6206ac26874d	CHILLED_WATER_PUMPS
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	157143a7-a535-44ed-a02f-252b76253bfc	HEAT_REJECTION_PUMPS
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	12d6b770-ecaf-4bf9-b2a9-49a4e180a44b	VENTILATION
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	30e435b4-3b49-4a4e-9a8c-a1f954bee7e0	INFILTRATION
0eb9e9f9-b8cf-4afc-8d57-ef071f2e1d99	c85325ef-e93e-4e16-a24b-a8d7a774f626	IT_LOAD
19b07e15-366f-46c5-b5ed-954b4d211887	f6cdb063-9c2d-4541-a349-9e4e6deed533	SWITCHGEAR
19b07e15-366f-46c5-b5ed-954b4d211887	96839ab4-d98e-40be-b7c1-f8c1aa85150d	GENERATOR
19b07e15-366f-46c5-b5ed-954b4d211887	6a2e2256-2725-4ff5-95f7-197b09e7fc1b	PRIMARY_AUXILIARIES
19b07e15-366f-46c5-b5ed-954b4d211887	56af8349-6d85-419d-9618-8f517f2d654a	UPS
19b07e15-366f-46c5-b5ed-954b4d211887	cd2252eb-fe90-48d1-953d-8c3ab7cdd3b0	CRITICAL_AUXILIARIES
19b07e15-366f-46c5-b5ed-954b4d211887	f4601bb8-03b2-4835-a161-c87ece482a5d	LIGHTING
19b07e15-366f-46c5-b5ed-954b4d211887	5174f829-a222-47b4-8525-d0a8df55d6d5	CRITICAL_POWER_DISTRIBUTION
19b07e15-366f-46c5-b5ed-954b4d211887	4933b3e0-2c4f-4958-9f96-ba02f945d801	CRAH
19b07e15-366f-46c5-b5ed-954b4d211887	12d1d5b7-1888-4f95-bc47-fab325d83b60	CRAC
19b07e15-366f-46c5-b5ed-954b4d211887	7ad010ad-b3de-45c4-a1b0-ea99bf4997f8	CRAC_WITHOUT_FAN
19b07e15-366f-46c5-b5ed-954b4d211887	6c776cc3-7b2e-4447-99a1-1031e0110d25	CRAC_FAN
19b07e15-366f-46c5-b5ed-954b4d211887	40d302d5-a6ec-414f-ae76-d5dffc1b115f	CHILLER
19b07e15-366f-46c5-b5ed-954b4d211887	ae2daeba-46bd-483c-b877-1e37b037d712	AIR_COOLED_CHILLER
19b07e15-366f-46c5-b5ed-954b4d211887	09ab2da2-ae68-44e6-b399-0fbe4d127862	COOLING_TOWER
19b07e15-366f-46c5-b5ed-954b4d211887	18bce1cf-fa3e-416e-b10b-3d7aad2bb0e7	DRY_COOLER
19b07e15-366f-46c5-b5ed-954b4d211887	50aee1f0-24ed-4502-a461-fc1712a2da12	REMOTE_CONDENSER
19b07e15-366f-46c5-b5ed-954b4d211887	2b923db2-d713-4373-8aca-166f0ae6e8b7	CHILLED_WATER_PUMPS
19b07e15-366f-46c5-b5ed-954b4d211887	f8e77528-febc-46fc-8af0-066ccf7e8d1e	HEAT_REJECTION_PUMPS
19b07e15-366f-46c5-b5ed-954b4d211887	6b757273-674a-40dc-9cdd-49bf9bf940d0	VENTILATION
19b07e15-366f-46c5-b5ed-954b4d211887	19327889-59cd-4c67-9b87-1f8bfe3adb47	INFILTRATION
19b07e15-366f-46c5-b5ed-954b4d211887	18a24fc8-ce88-498e-8c50-eb38ac915594	IT_LOAD
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	4d46a72e-5519-440a-a006-517698a25314	SWITCHGEAR
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	3616b133-c69c-4d0a-80bc-12af3db7ae6b	GENERATOR
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	825b5f2d-32df-4ab7-a848-245ab543fec0	PRIMARY_AUXILIARIES
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	c84b4a7e-1778-4792-ab52-34bf12e2badd	UPS
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	79b15aa2-6f42-4514-860c-fa1277418c58	CRITICAL_AUXILIARIES
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	55e13068-8809-46f6-96ef-cebe919d6639	LIGHTING
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	741bc638-173c-401e-8af8-867ebda35217	CRITICAL_POWER_DISTRIBUTION
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	ae7a2627-9983-4cf3-87e6-cd23d66a0140	CRAH
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	08b1a731-0cb7-49f7-a002-c95a8f7df9f2	CRAC
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	1362f207-827d-4023-bdae-9752f14ffb8d	CRAC_WITHOUT_FAN
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	fe8b5f2f-04b2-4550-b67a-eab946729c16	CRAC_FAN
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	1349ba96-9f4a-4402-ad7b-c6ef6548c9c3	CHILLER
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	26232d2b-48a1-4389-b560-78481ba6853f	AIR_COOLED_CHILLER
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	1f5b8bb1-f0e6-4ef3-b9b3-cf4d8011a91d	COOLING_TOWER
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	c1107c37-23de-4ee1-8cea-5e5e0ab51398	DRY_COOLER
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	601146ea-3eed-466e-8d46-8751b1cac10f	REMOTE_CONDENSER
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	6be98a4a-78a7-4ab1-91dd-4a23283d643f	CHILLED_WATER_PUMPS
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	cf258411-39a3-4d8e-9907-9ea9720d7b03	HEAT_REJECTION_PUMPS
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	8d8ca642-b7ef-4531-afb9-c906c5ebb37c	VENTILATION
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	3ba0b573-984d-4e49-82d3-ef264edc763b	INFILTRATION
e5046a4e-e937-46aa-9f68-1bf38d17c8ac	8e50c6d3-c99b-4698-8d24-6beaccf04b33	IT_LOAD
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	ffda91af-3ee3-41fe-a0a3-0519a648d580	SWITCHGEAR
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	7809cbac-8308-4a6d-8a3d-144a229639ab	GENERATOR
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	71f87a91-e213-493e-82e6-7ede0c17b1aa	PRIMARY_AUXILIARIES
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	8a5b246b-3d7d-4ef3-9650-7dae67c6575b	UPS
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	751c0b9d-8aa7-43c3-9d6c-509237f26859	CRITICAL_AUXILIARIES
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	22fe428e-6839-48b1-80db-e9b3bd322ee1	LIGHTING
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	8a60ccc3-2753-4d56-b52f-a39f0558bf3c	CRITICAL_POWER_DISTRIBUTION
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	745209c5-0828-44e9-a466-c7e94245f0bf	CRAH
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	e27ab5c6-b8b3-4aa4-8ffc-4243620ca4d4	CRAC
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	ab119347-754c-4ac9-8a4a-90956f3d663c	CRAC_WITHOUT_FAN
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	7e303eb2-4a26-43b5-81a6-e2a8cf003147	CRAC_FAN
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	8033e936-44bd-414c-9761-ff66c5072c18	CHILLER
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	eb3d9324-8a68-4eb0-a55a-d4aa74cc5f95	AIR_COOLED_CHILLER
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	115eb9f3-219b-4919-8ed3-a740a5f99805	COOLING_TOWER
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	d4f9db14-1787-4fff-b1da-a21e1fa8f73d	DRY_COOLER
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	8d7de482-e413-424e-abfc-adc9324786bb	REMOTE_CONDENSER
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	75d41a45-9fdc-4859-a700-39259fe77642	CHILLED_WATER_PUMPS
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	e7ab98a6-a08a-4be6-966b-66bc70b7f16e	HEAT_REJECTION_PUMPS
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	ab10aced-a03d-41d1-b30c-a529a3dd1198	VENTILATION
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	0de3d00b-d7d4-4bf7-9840-fb86c5913b9b	INFILTRATION
181b4c1b-8e28-45a1-a0f2-4ed1dde33636	e6cceec9-9366-4402-abd8-72ecaba4ba02	IT_LOAD
49222420-20d8-4592-bbe0-ca1a1c2ebe54	d2b7865c-6fce-4b96-abb9-52143019ba0e	SWITCHGEAR
49222420-20d8-4592-bbe0-ca1a1c2ebe54	8eb0f635-2dd8-4f1a-8e69-a9ffc51dc658	GENERATOR
49222420-20d8-4592-bbe0-ca1a1c2ebe54	0a8316cb-32c4-4845-b835-38f9937fb08f	PRIMARY_AUXILIARIES
49222420-20d8-4592-bbe0-ca1a1c2ebe54	c9cba206-4cb6-4a73-8d18-80af812873a9	UPS
49222420-20d8-4592-bbe0-ca1a1c2ebe54	040ff4aa-cd33-42df-b035-a799f2f99b42	CRITICAL_AUXILIARIES
49222420-20d8-4592-bbe0-ca1a1c2ebe54	a6b526b2-7e16-48fd-9073-1da2d0840a3e	LIGHTING
49222420-20d8-4592-bbe0-ca1a1c2ebe54	03f100c3-4a7f-4ea9-8d96-2508d0c387d9	CRITICAL_POWER_DISTRIBUTION
49222420-20d8-4592-bbe0-ca1a1c2ebe54	4bef6ba8-8437-4a94-9993-e10521413a23	CRAH
49222420-20d8-4592-bbe0-ca1a1c2ebe54	b02b06f8-a7d0-4d8e-8b8f-fb0975eebdba	CRAC
49222420-20d8-4592-bbe0-ca1a1c2ebe54	a4ad8c66-985f-4971-a135-fbc59224605b	CRAC_WITHOUT_FAN
49222420-20d8-4592-bbe0-ca1a1c2ebe54	2d18a1bf-eed3-4377-a9a4-5873b7ad8628	CRAC_FAN
49222420-20d8-4592-bbe0-ca1a1c2ebe54	77982ddc-2dc7-4c90-afe3-c7f0db2cf98b	CHILLER
49222420-20d8-4592-bbe0-ca1a1c2ebe54	96c26b3f-596a-4977-8a53-e350085f858b	AIR_COOLED_CHILLER
49222420-20d8-4592-bbe0-ca1a1c2ebe54	14f03658-4448-49b1-adca-c8b8060558ad	COOLING_TOWER
49222420-20d8-4592-bbe0-ca1a1c2ebe54	07a8fef8-d73a-449e-9ac4-a0342465e530	DRY_COOLER
49222420-20d8-4592-bbe0-ca1a1c2ebe54	553b0b44-6d1f-4e61-8d66-b21e3b4e6ebf	REMOTE_CONDENSER
49222420-20d8-4592-bbe0-ca1a1c2ebe54	c27bd43a-ef20-4d79-80e5-9429e5a156e9	CHILLED_WATER_PUMPS
49222420-20d8-4592-bbe0-ca1a1c2ebe54	4314c09b-e404-41c3-937f-b218becd589c	HEAT_REJECTION_PUMPS
49222420-20d8-4592-bbe0-ca1a1c2ebe54	2bb6e866-c7ff-45ca-98d3-c5b4bef8e54d	VENTILATION
49222420-20d8-4592-bbe0-ca1a1c2ebe54	44f36615-09ca-423a-a7c7-f415cb9a4269	INFILTRATION
49222420-20d8-4592-bbe0-ca1a1c2ebe54	77a25e61-8d76-48f0-bc5f-98466d1cd026	IT_LOAD
7faa4837-78a9-4e09-93c2-d075bc997c5e	32da3617-9770-4247-9530-70e3e4f4eaf7	SWITCHGEAR
7faa4837-78a9-4e09-93c2-d075bc997c5e	7ae4965a-4b8b-46f2-8258-32d9ccb8c71f	GENERATOR
7faa4837-78a9-4e09-93c2-d075bc997c5e	973bc55c-bcad-49ca-b34b-f29da1a9c12a	PRIMARY_AUXILIARIES
7faa4837-78a9-4e09-93c2-d075bc997c5e	2d224f5c-c57a-4cb5-8e7d-80f80cc259bf	UPS
7faa4837-78a9-4e09-93c2-d075bc997c5e	fff4bdb8-d409-49e9-a701-9d216d390eaf	CRITICAL_AUXILIARIES
7faa4837-78a9-4e09-93c2-d075bc997c5e	faba1a08-4bf6-4388-8336-18dd52404bcd	LIGHTING
7faa4837-78a9-4e09-93c2-d075bc997c5e	9241826a-dc41-4b8e-bee7-552b10ee4c36	CRITICAL_POWER_DISTRIBUTION
7faa4837-78a9-4e09-93c2-d075bc997c5e	7bd0534e-4812-4a84-b593-162738a71951	CRAH
7faa4837-78a9-4e09-93c2-d075bc997c5e	92429b06-9a2c-4cca-be8f-415ebd51094f	CRAC
7faa4837-78a9-4e09-93c2-d075bc997c5e	dcd41d9a-a305-4726-884e-cce0dd0273af	CRAC_WITHOUT_FAN
7faa4837-78a9-4e09-93c2-d075bc997c5e	b9d7a8f8-b13b-44fc-8e02-6c4eeb2bac8b	CRAC_FAN
7faa4837-78a9-4e09-93c2-d075bc997c5e	c385d7a6-77ac-412d-8240-653a3bf10a57	CHILLER
7faa4837-78a9-4e09-93c2-d075bc997c5e	8cd99e66-d7b1-4b6a-9fc1-7d090ace9b59	AIR_COOLED_CHILLER
7faa4837-78a9-4e09-93c2-d075bc997c5e	3a96ea83-2a71-4851-a808-d2259081354a	COOLING_TOWER
7faa4837-78a9-4e09-93c2-d075bc997c5e	41c3fb2d-a30d-482e-a430-3c1fb30a3c3c	DRY_COOLER
7faa4837-78a9-4e09-93c2-d075bc997c5e	e3407b34-15c6-4b46-b8d6-7b4f38f0b7e8	REMOTE_CONDENSER
7faa4837-78a9-4e09-93c2-d075bc997c5e	a23ddad7-ae74-4759-9b4a-28277b7c87cb	CHILLED_WATER_PUMPS
7faa4837-78a9-4e09-93c2-d075bc997c5e	b32515c9-8647-4f6b-b1bf-f4240d155aef	HEAT_REJECTION_PUMPS
7faa4837-78a9-4e09-93c2-d075bc997c5e	4a892f6b-9100-4270-a622-2a23bfb47e32	VENTILATION
7faa4837-78a9-4e09-93c2-d075bc997c5e	7eec11cc-c00e-42c2-9016-68729a2c10a5	INFILTRATION
7faa4837-78a9-4e09-93c2-d075bc997c5e	9bf250e3-7763-4ff0-8a61-b8cc691924cd	IT_LOAD
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	3f4d9d19-c7ea-417c-8e69-b9142febacfe	SWITCHGEAR
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	8e847de1-6962-4b5f-b916-74ff75fb419d	GENERATOR
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	1371380b-8d42-4a4b-b01f-16dfd494e7af	PRIMARY_AUXILIARIES
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	8139d25b-1c5c-461f-b93f-3034fc6092eb	UPS
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	590b176b-8b2b-4895-baf7-35575ad1c9b1	CRITICAL_AUXILIARIES
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	3328e289-5a92-4421-98d0-2db0a4c01152	LIGHTING
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	3af330e6-6a71-4e6a-9151-676271a0f6f7	CRITICAL_POWER_DISTRIBUTION
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	8725955c-08be-4e2f-a823-3ce17200b00f	CRAH
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	1c6df593-b474-47d4-a22c-150015355658	CRAC
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	0a80d073-80ce-4dfa-98b7-f2754474bd22	CRAC_WITHOUT_FAN
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	e6b40515-b5c8-42cf-b570-4a1a9b395eca	CRAC_FAN
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	ee23cf82-6052-4dc2-a3a2-b2379a5e5e86	CHILLER
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	73eec245-09da-439d-85bb-4182103b2967	AIR_COOLED_CHILLER
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	6622e835-2bfb-4ab1-b984-d066bbbebafd	COOLING_TOWER
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	c6369aeb-abc9-48d2-805d-761dbc799ac5	DRY_COOLER
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	bfcd879c-c1c0-4d6c-af07-d47cc9e06c83	REMOTE_CONDENSER
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	0008857d-1012-4d2b-b744-c5509acd6f27	CHILLED_WATER_PUMPS
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	92232ca4-a3e6-4b19-b730-6d093d8b1cf1	HEAT_REJECTION_PUMPS
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	51662c01-5616-48ed-9519-594b7fe4d399	VENTILATION
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	09c50c60-c1e0-4eda-b92b-33ba29e085d8	INFILTRATION
cfba0dd8-3a7f-4b11-8c51-f76842751ae1	b4d273d5-70c0-4cb2-b01d-c8c75a4c75b7	IT_LOAD
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	294432be-7163-459a-9525-a94930e09ac5	SWITCHGEAR
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	d4dc4e60-1d36-4684-9fb6-2e73a05aca2a	GENERATOR
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	d10f0bd6-1b46-4047-b379-b47e7c5d3008	PRIMARY_AUXILIARIES
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	2fc34d16-b8fc-4534-8617-bc9ac4aad7c9	UPS
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	b1e56855-3adf-4f6e-a0f0-ab23e8318209	CRITICAL_AUXILIARIES
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	7490f762-0c39-4909-aa06-a7c3735fc289	LIGHTING
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	c1bf0519-b3e6-44dd-9d78-3d202de778b7	CRITICAL_POWER_DISTRIBUTION
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	b71ce209-ca0d-4c65-a779-9935ae5dcbd5	CRAH
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	00d1105c-689c-40b9-b06a-e4c8e8ecf0cb	CRAC
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	b6a559c4-fb25-496c-b8c3-ae269b00abb8	CRAC_WITHOUT_FAN
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	1b0d5518-e782-4b95-8d99-68dac4e0d7d8	CRAC_FAN
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	5aef7e3c-0ec9-4b24-ae30-8164ee802ad1	CHILLER
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	abf7b007-3261-4ce6-9da6-f24a5a151ee9	AIR_COOLED_CHILLER
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	53216905-0db6-408a-81d5-ee4995bd46aa	COOLING_TOWER
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	ce09380b-8b92-4fea-9f12-4ba02879a341	DRY_COOLER
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	956f7686-fccc-483b-926c-bd128fe55d0c	REMOTE_CONDENSER
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	0083238f-6e30-49fc-8398-791c2bb3cc72	CHILLED_WATER_PUMPS
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	070335a7-09c7-4c3b-b5f5-518bcf861e33	HEAT_REJECTION_PUMPS
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	446e11c0-8d53-4fa4-8183-c720402c5aed	VENTILATION
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	7736f652-decf-48c1-b399-36c57f4e0c0b	INFILTRATION
f4ae5cb1-b585-4812-9f51-7b4ef23237a4	f144efb9-67a3-45df-8d5d-9f02bf868089	IT_LOAD
7dd65a51-c3d3-4680-bc73-8d82576dcad2	78967c32-1c84-4b0d-b1d5-a4415acda7ec	SWITCHGEAR
7dd65a51-c3d3-4680-bc73-8d82576dcad2	1ee2d25b-c367-4723-bd08-c44e4667960e	GENERATOR
7dd65a51-c3d3-4680-bc73-8d82576dcad2	b7883dc8-2057-4c1e-ac45-a432bde54152	PRIMARY_AUXILIARIES
7dd65a51-c3d3-4680-bc73-8d82576dcad2	63088561-1a9e-4252-91bc-78c049b09b08	UPS
7dd65a51-c3d3-4680-bc73-8d82576dcad2	8a3711e3-4607-43aa-854f-53f1b6e11624	CRITICAL_AUXILIARIES
7dd65a51-c3d3-4680-bc73-8d82576dcad2	7cbbc413-8f25-42c8-a0fe-b9319311ae99	LIGHTING
7dd65a51-c3d3-4680-bc73-8d82576dcad2	90706fe8-c742-4ea3-9d78-00ae58ede312	CRITICAL_POWER_DISTRIBUTION
7dd65a51-c3d3-4680-bc73-8d82576dcad2	6e589443-457c-4504-8d84-e395ba31463e	CRAH
7dd65a51-c3d3-4680-bc73-8d82576dcad2	14babeda-0821-408b-b209-13e5f6d7165d	CRAC
7dd65a51-c3d3-4680-bc73-8d82576dcad2	f49b032f-1b47-4d32-978e-6970b851eca0	CRAC_WITHOUT_FAN
7dd65a51-c3d3-4680-bc73-8d82576dcad2	a60ba470-58e2-49f7-8290-a2e8ea03fdf0	CRAC_FAN
7dd65a51-c3d3-4680-bc73-8d82576dcad2	a442776a-4be5-4a91-8ec8-8046e7331668	CHILLER
7dd65a51-c3d3-4680-bc73-8d82576dcad2	ebbc6cc7-9df0-48dc-942b-04ebfba16a65	AIR_COOLED_CHILLER
7dd65a51-c3d3-4680-bc73-8d82576dcad2	11eb3d42-d18b-430c-9e3f-24f53657a696	COOLING_TOWER
7dd65a51-c3d3-4680-bc73-8d82576dcad2	fa39868a-bb31-4840-8e04-8a8338a3720c	DRY_COOLER
7dd65a51-c3d3-4680-bc73-8d82576dcad2	738461aa-fe2e-4dd2-ba54-b90a817eb006	REMOTE_CONDENSER
7dd65a51-c3d3-4680-bc73-8d82576dcad2	7f7016e9-66f6-4c48-ae70-debf09aa9ff4	CHILLED_WATER_PUMPS
7dd65a51-c3d3-4680-bc73-8d82576dcad2	ff575b8b-36fe-431b-bcf3-8036194a2618	HEAT_REJECTION_PUMPS
7dd65a51-c3d3-4680-bc73-8d82576dcad2	5be256fe-f005-4917-adee-d6c2e421a7bd	VENTILATION
7dd65a51-c3d3-4680-bc73-8d82576dcad2	71404cb5-5639-4710-8764-58b36e48dd27	INFILTRATION
7dd65a51-c3d3-4680-bc73-8d82576dcad2	c12733da-6a15-4f9d-bf03-93f07fe61649	IT_LOAD
4931a6f7-69c0-4c3c-9ce1-5a7626940337	4df465e7-4ed2-46fb-bd3e-127bb34fb5c3	SWITCHGEAR
4931a6f7-69c0-4c3c-9ce1-5a7626940337	543807da-32da-487b-bbe8-b89ef8437161	GENERATOR
4931a6f7-69c0-4c3c-9ce1-5a7626940337	cb73b6bc-7337-4eb7-9e15-9d4eee464ba2	PRIMARY_AUXILIARIES
4931a6f7-69c0-4c3c-9ce1-5a7626940337	4eaf699d-8cd0-46b7-8095-f8592ad6cb63	UPS
4931a6f7-69c0-4c3c-9ce1-5a7626940337	abe355dc-7116-4d16-8031-54801c93b3d0	CRITICAL_AUXILIARIES
4931a6f7-69c0-4c3c-9ce1-5a7626940337	66fd08ee-bded-4f85-a1cb-46e3cb958394	LIGHTING
4931a6f7-69c0-4c3c-9ce1-5a7626940337	54aa35e9-0ad9-4ce1-bdb2-c70975d09a1b	CRITICAL_POWER_DISTRIBUTION
4931a6f7-69c0-4c3c-9ce1-5a7626940337	945abdab-e843-431f-af8c-69a7619e19a0	CRAH
4931a6f7-69c0-4c3c-9ce1-5a7626940337	c018a88e-7ddb-4812-8d63-4c9c7152d4f2	CRAC
4931a6f7-69c0-4c3c-9ce1-5a7626940337	8fcaefc1-4e03-4144-b9dd-9c35586e1f05	CRAC_WITHOUT_FAN
4931a6f7-69c0-4c3c-9ce1-5a7626940337	12189412-0646-47b4-bcc6-6a57768d6d15	CRAC_FAN
4931a6f7-69c0-4c3c-9ce1-5a7626940337	dca90acd-d0eb-4dc0-b91e-a74cf246072f	CHILLER
4931a6f7-69c0-4c3c-9ce1-5a7626940337	2f627ca4-684a-4f39-ac97-61bbc1347796	AIR_COOLED_CHILLER
4931a6f7-69c0-4c3c-9ce1-5a7626940337	89d982a0-800a-4bf3-b400-2cca0a5be08a	COOLING_TOWER
4931a6f7-69c0-4c3c-9ce1-5a7626940337	dd4014bb-6f3b-45bd-9c5b-e2680a02b0fa	DRY_COOLER
4931a6f7-69c0-4c3c-9ce1-5a7626940337	36f119b4-94ad-4afa-97b1-2304eb4836b3	REMOTE_CONDENSER
4931a6f7-69c0-4c3c-9ce1-5a7626940337	5f5e34f6-c136-401c-a4dc-23c07966e472	CHILLED_WATER_PUMPS
4931a6f7-69c0-4c3c-9ce1-5a7626940337	5f97876f-648e-40a3-8dee-137c09081338	HEAT_REJECTION_PUMPS
4931a6f7-69c0-4c3c-9ce1-5a7626940337	3a346a3f-6776-4175-9c9b-bb3222665fc5	VENTILATION
4931a6f7-69c0-4c3c-9ce1-5a7626940337	736530e4-37a5-4470-9439-61efb013740e	INFILTRATION
4931a6f7-69c0-4c3c-9ce1-5a7626940337	89676eb4-f305-450d-942d-6d5c86ff0d14	IT_LOAD
85b8330d-a90c-4d2e-ad55-a463635eff40	8c378d63-aa94-4a68-9709-386c44617fc1	SWITCHGEAR
85b8330d-a90c-4d2e-ad55-a463635eff40	37a1f5bb-316b-4d3e-82a5-1225850a0e52	GENERATOR
85b8330d-a90c-4d2e-ad55-a463635eff40	8803862b-3043-46eb-bd3c-9afb9d235b72	PRIMARY_AUXILIARIES
85b8330d-a90c-4d2e-ad55-a463635eff40	2db8527d-10dd-4bb8-bea3-b20cf1cbee06	UPS
85b8330d-a90c-4d2e-ad55-a463635eff40	f231c5f2-32b3-4637-8d52-b40bc4874be6	CRITICAL_AUXILIARIES
85b8330d-a90c-4d2e-ad55-a463635eff40	14266a91-0ad9-4160-816c-9fba8a6df3aa	LIGHTING
85b8330d-a90c-4d2e-ad55-a463635eff40	83b8e04b-3de7-4b64-a165-8b2846e2246c	CRITICAL_POWER_DISTRIBUTION
85b8330d-a90c-4d2e-ad55-a463635eff40	d0046b5a-12f2-4c8f-961d-113ad17b42ac	CRAH
85b8330d-a90c-4d2e-ad55-a463635eff40	e7af1caf-9666-451e-95a2-137134e2a1ee	CRAC
85b8330d-a90c-4d2e-ad55-a463635eff40	eb155938-1ed2-492a-970b-c881505f5fc4	CRAC_WITHOUT_FAN
85b8330d-a90c-4d2e-ad55-a463635eff40	985efe28-fbb2-4900-9b0e-76b00f62468b	CRAC_FAN
85b8330d-a90c-4d2e-ad55-a463635eff40	3d591e44-dc80-40ac-8985-3042d419d5af	CHILLER
85b8330d-a90c-4d2e-ad55-a463635eff40	7ad499ff-d66e-4382-a1f8-f0a2c4384e2b	AIR_COOLED_CHILLER
85b8330d-a90c-4d2e-ad55-a463635eff40	b549255f-e3eb-41b4-8f0b-fce4b89c896f	COOLING_TOWER
85b8330d-a90c-4d2e-ad55-a463635eff40	9e0a7846-f062-49c7-9d9b-07d2615ac021	DRY_COOLER
85b8330d-a90c-4d2e-ad55-a463635eff40	c57d7533-996e-45cc-93a8-53fdc973bee2	REMOTE_CONDENSER
85b8330d-a90c-4d2e-ad55-a463635eff40	3c5dd79c-13d7-42f4-a8da-1719fe574f18	CHILLED_WATER_PUMPS
85b8330d-a90c-4d2e-ad55-a463635eff40	de1bd3c1-175c-444a-8ee0-9d042a5ce1b9	HEAT_REJECTION_PUMPS
85b8330d-a90c-4d2e-ad55-a463635eff40	c325ca1e-af33-43d7-988c-df8a50148f8d	VENTILATION
85b8330d-a90c-4d2e-ad55-a463635eff40	8c93362d-c695-4695-a8c1-77912370e264	INFILTRATION
85b8330d-a90c-4d2e-ad55-a463635eff40	3154ac33-5b43-46d9-b695-61c988d8f19c	IT_LOAD
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	d93f2ed1-6cb7-434c-b04d-9d6a02095ae8	SWITCHGEAR
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	4e9fddb3-74c9-4882-9461-f4dcada58c77	GENERATOR
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	3d82ffd4-d32c-4520-ba4f-662b641c58da	PRIMARY_AUXILIARIES
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	2f63d8f8-4bcc-4b80-99c8-ca1c2b09692a	UPS
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	a2bcb425-ec97-4bb4-9ef9-106442596fa1	CRITICAL_AUXILIARIES
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	ff6943e6-d04c-44a1-991f-9388f14100c4	LIGHTING
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	28562d13-37e2-42dd-9c27-74971d268e49	CRITICAL_POWER_DISTRIBUTION
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	40e16126-7c6b-4d38-a9ef-da9f547951ae	CRAH
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	4ec94dad-0513-4175-98e4-fead66d5bcca	CRAC
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	f207fda7-e2f6-45bd-8de4-aaa7038e41e4	CRAC_WITHOUT_FAN
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	77a532aa-755b-46c7-ad15-66dd80d69357	CRAC_FAN
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	7257e2cd-1463-4648-9a34-f9deaf2430da	CHILLER
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	29d80286-d922-4257-9a16-091425a1fc5f	AIR_COOLED_CHILLER
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	abeff956-c2f3-4ce0-b533-023c9b854158	COOLING_TOWER
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	7dd9d80f-62b5-4308-958c-a2c869d2852f	DRY_COOLER
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	df8d26d2-bc36-49b7-bc38-6430e6a1ece6	REMOTE_CONDENSER
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	51139c44-cfcd-4e50-aa6a-5238469870a0	CHILLED_WATER_PUMPS
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	a3fa0db8-d336-4947-a678-8679f90bd153	HEAT_REJECTION_PUMPS
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	535aedb4-f8b9-4368-b49b-08c4a6f3199b	VENTILATION
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	501c7576-0524-440a-8fbe-aace4a35a2f8	INFILTRATION
bb3737cb-8ad2-4afb-91e9-5af53c8d5c7b	192437c1-4979-4245-a4cb-98f60696c80a	IT_LOAD
1429774e-5151-49ab-a855-cea5c7d35af6	c187aa74-9870-460b-8c5a-74119ac2c767	SWITCHGEAR
1429774e-5151-49ab-a855-cea5c7d35af6	5c085754-0bc6-4e7d-a452-272d15f461a7	GENERATOR
1429774e-5151-49ab-a855-cea5c7d35af6	917c3b88-8c50-4d94-983c-bb20fe22f68e	PRIMARY_AUXILIARIES
1429774e-5151-49ab-a855-cea5c7d35af6	ba1d406e-d889-4412-8fca-bf4b68de599d	UPS
1429774e-5151-49ab-a855-cea5c7d35af6	a9d32307-312f-471e-98b2-328f274c6750	CRITICAL_AUXILIARIES
1429774e-5151-49ab-a855-cea5c7d35af6	5a64b936-a30d-49cf-9670-f51e3defe0ef	LIGHTING
1429774e-5151-49ab-a855-cea5c7d35af6	ba55a27b-aaa8-4876-b2ba-ff43327f6be2	CRITICAL_POWER_DISTRIBUTION
1429774e-5151-49ab-a855-cea5c7d35af6	2f75e388-0aed-4cc2-9795-dd989f60ace5	CRAH
1429774e-5151-49ab-a855-cea5c7d35af6	7bcce3f6-7119-4655-bad2-9ae43780c8e6	CRAC
1429774e-5151-49ab-a855-cea5c7d35af6	1802478d-12ba-4a29-ae14-84ca08b630ad	CRAC_WITHOUT_FAN
1429774e-5151-49ab-a855-cea5c7d35af6	9ea63a17-d380-40f3-963f-6c257ae65347	CRAC_FAN
1429774e-5151-49ab-a855-cea5c7d35af6	f7bbeb30-6688-43e7-8d67-ec683d20b7c7	CHILLER
1429774e-5151-49ab-a855-cea5c7d35af6	0818405d-ee65-4f8a-bebf-a7daae454a24	AIR_COOLED_CHILLER
1429774e-5151-49ab-a855-cea5c7d35af6	4ba3a863-4a09-4aa7-adef-bd8ba21eb534	COOLING_TOWER
1429774e-5151-49ab-a855-cea5c7d35af6	2fa40dfe-76a5-4589-b916-506ada892345	DRY_COOLER
1429774e-5151-49ab-a855-cea5c7d35af6	02930445-1b6a-46a3-bf23-c8df3eec2dc6	REMOTE_CONDENSER
1429774e-5151-49ab-a855-cea5c7d35af6	ff4da1d8-190a-4fe8-b534-2e5507df4fd0	CHILLED_WATER_PUMPS
1429774e-5151-49ab-a855-cea5c7d35af6	4db3a2ed-6410-4879-9615-1ff6e21626c7	HEAT_REJECTION_PUMPS
1429774e-5151-49ab-a855-cea5c7d35af6	cc275af7-f931-4688-bce4-cf0ff293b33f	VENTILATION
1429774e-5151-49ab-a855-cea5c7d35af6	3a442ccd-7e0c-4b35-9c49-87652c4a5e43	INFILTRATION
1429774e-5151-49ab-a855-cea5c7d35af6	a0611093-41bc-4c7c-82d0-99fa0fe2dcc2	IT_LOAD
13022325-b34e-4c80-9de3-650433f57ca9	8abfd6bf-457c-49ab-9751-56aeafda2a2e	SWITCHGEAR
13022325-b34e-4c80-9de3-650433f57ca9	db32f3e4-2f88-4860-84ba-275fa5918280	GENERATOR
13022325-b34e-4c80-9de3-650433f57ca9	7ac165ca-5c7f-495f-8cb6-b89dee01d494	PRIMARY_AUXILIARIES
13022325-b34e-4c80-9de3-650433f57ca9	a53c3fef-f467-4b1c-8fd7-baf274122040	UPS
13022325-b34e-4c80-9de3-650433f57ca9	912deb43-c664-45bf-bfa2-b813b5b9a669	CRITICAL_AUXILIARIES
13022325-b34e-4c80-9de3-650433f57ca9	84cae71d-97c4-4cec-bf37-1023ee685008	LIGHTING
13022325-b34e-4c80-9de3-650433f57ca9	0bc985ed-e1b5-43e1-ab7c-812b6192e455	CRITICAL_POWER_DISTRIBUTION
13022325-b34e-4c80-9de3-650433f57ca9	bfee4755-29f6-4b32-9d34-7219eef8d9ac	CRAH
13022325-b34e-4c80-9de3-650433f57ca9	02759463-f49d-4524-b2cc-addc5d38d0ae	CRAC
13022325-b34e-4c80-9de3-650433f57ca9	cb7f3413-11a9-49fa-ae5a-9662528ac15c	CRAC_WITHOUT_FAN
13022325-b34e-4c80-9de3-650433f57ca9	7d4a837f-90e4-4094-89b6-fef5ac0db809	CRAC_FAN
13022325-b34e-4c80-9de3-650433f57ca9	b0756fd3-35fa-412c-8258-610052bfa843	CHILLER
13022325-b34e-4c80-9de3-650433f57ca9	7dde05db-4a55-421a-951b-f39651bfac29	AIR_COOLED_CHILLER
13022325-b34e-4c80-9de3-650433f57ca9	ee6b1e78-670b-4135-bcf3-4c1f815f9ddf	COOLING_TOWER
13022325-b34e-4c80-9de3-650433f57ca9	53617930-ec88-4239-8dd4-0320395d2082	DRY_COOLER
13022325-b34e-4c80-9de3-650433f57ca9	fec90b83-0214-425d-bb58-2aa8169b344e	REMOTE_CONDENSER
13022325-b34e-4c80-9de3-650433f57ca9	a69daf2e-9b13-4da0-b78e-06d6b1c265ef	CHILLED_WATER_PUMPS
13022325-b34e-4c80-9de3-650433f57ca9	b9233bef-aa17-4c61-8b46-21ae4d7713b5	HEAT_REJECTION_PUMPS
13022325-b34e-4c80-9de3-650433f57ca9	fdf3a5ae-37c9-49f7-bb6d-5aade87ac683	VENTILATION
13022325-b34e-4c80-9de3-650433f57ca9	add44e5c-cc8f-4d43-b2ab-dfc350680a9c	INFILTRATION
13022325-b34e-4c80-9de3-650433f57ca9	b6455329-a476-483e-ac60-5f3c9d3950fa	IT_LOAD
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	f8cc874c-e20f-4152-96b9-afbe281405f7	SWITCHGEAR
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	dd979570-a950-4caf-9297-812503295456	GENERATOR
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	dc214d4c-dbeb-44c8-8baa-578135c4170b	PRIMARY_AUXILIARIES
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	94cc7ceb-53a6-4ab6-9e8d-29983fb5d6c5	UPS
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	660886b2-8598-4ff6-8163-3246ed2fcc51	CRITICAL_AUXILIARIES
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	bda64ebe-dd20-4ca0-bda8-d1710c5407d1	LIGHTING
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	07c085fd-966e-48e4-927e-d914249a06a6	CRITICAL_POWER_DISTRIBUTION
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	13beb43a-80e2-4114-b3ed-9694590f669d	CRAH
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	89ec54a9-d869-4d9a-a65c-2553805e2ec2	CRAC
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	fe977882-d1bd-4f82-a644-e3d47ea18050	CRAC_WITHOUT_FAN
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	4afdb80f-cd4e-4639-8755-4f451f701430	CRAC_FAN
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	a7ba0b60-069e-488b-8fd9-d1d5314ffddd	CHILLER
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	bd830395-490e-48c5-9e15-818ebfaa4fcd	AIR_COOLED_CHILLER
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	8a639164-032d-46c6-b8db-4172512394d6	COOLING_TOWER
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	6d6c41d9-cd1f-4e39-88bf-a7cb96fccbc5	DRY_COOLER
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	a1fd672a-37c3-4a98-b33b-5f42bd47cd07	REMOTE_CONDENSER
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	00c875ac-97fc-4d0c-b922-30dca2ea37f1	CHILLED_WATER_PUMPS
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	9bfcea0f-17c0-4e83-8ecf-51b1b1eec110	HEAT_REJECTION_PUMPS
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	d4fba8e2-27d1-4b35-aab8-d8105b4c6f40	VENTILATION
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	64a2aad4-2266-4992-8024-06dbfa8c109c	INFILTRATION
707fc1d7-cc54-4b57-99bd-1ba6bda8b6b1	b65de4f3-2f51-4ea8-a171-c47e9fdb1434	IT_LOAD
04eb8d11-0750-4803-b660-abf37f39f9d3	79b91ca5-d0e2-4a06-a2e5-9d71b635cfe7	SWITCHGEAR
04eb8d11-0750-4803-b660-abf37f39f9d3	f90eecd0-c87d-4418-9c3a-e9bcc82bb58c	GENERATOR
04eb8d11-0750-4803-b660-abf37f39f9d3	7b6e5a87-5498-492e-bdae-c839b1b3541e	PRIMARY_AUXILIARIES
04eb8d11-0750-4803-b660-abf37f39f9d3	69618d16-8385-4bc2-b1fe-84970f94ef02	UPS
04eb8d11-0750-4803-b660-abf37f39f9d3	6a8b267d-ebaa-4833-adb9-6b1909b9a450	CRITICAL_AUXILIARIES
04eb8d11-0750-4803-b660-abf37f39f9d3	a9b988df-2a25-4140-92e5-49d8857d9e85	LIGHTING
04eb8d11-0750-4803-b660-abf37f39f9d3	c29030ec-f726-42b5-80de-8b6197aeac06	CRITICAL_POWER_DISTRIBUTION
04eb8d11-0750-4803-b660-abf37f39f9d3	8f0f8621-ef03-454c-bb92-01319c27e9f4	CRAH
04eb8d11-0750-4803-b660-abf37f39f9d3	e83043a0-a535-49ed-9274-3514c6dc6b17	CRAC
04eb8d11-0750-4803-b660-abf37f39f9d3	abac56fb-8dc5-4ca5-9309-ec5368e5a417	CRAC_WITHOUT_FAN
04eb8d11-0750-4803-b660-abf37f39f9d3	2babea03-5568-42e3-bef7-e19ced677f1a	CRAC_FAN
04eb8d11-0750-4803-b660-abf37f39f9d3	5a6cd24b-af44-4a70-aab4-1c26587e4fe1	CHILLER
04eb8d11-0750-4803-b660-abf37f39f9d3	620ee79a-1863-4fcf-819d-4b655fde9ecf	AIR_COOLED_CHILLER
04eb8d11-0750-4803-b660-abf37f39f9d3	467097c0-6e02-4ac2-8938-5fd75b0a885e	COOLING_TOWER
04eb8d11-0750-4803-b660-abf37f39f9d3	d7837a1b-8e5d-47f3-b89d-51dd3323c220	DRY_COOLER
04eb8d11-0750-4803-b660-abf37f39f9d3	67268a49-7d39-4c38-afce-3c302cac9702	REMOTE_CONDENSER
04eb8d11-0750-4803-b660-abf37f39f9d3	536a8b01-73fd-408e-a3c0-f2252e5fcacc	CHILLED_WATER_PUMPS
04eb8d11-0750-4803-b660-abf37f39f9d3	3ce9f9ca-a17a-468b-bc35-c5c7390bf431	HEAT_REJECTION_PUMPS
04eb8d11-0750-4803-b660-abf37f39f9d3	7b045523-a946-45ce-84c7-696bc5863a60	VENTILATION
04eb8d11-0750-4803-b660-abf37f39f9d3	6468594f-71ef-42a6-a7d1-5a43ecb06ce6	INFILTRATION
04eb8d11-0750-4803-b660-abf37f39f9d3	18d4cb24-84f0-4c53-9446-738a0c630618	IT_LOAD
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	c712772c-95bc-477e-bbe0-224abaa4fa1a	SWITCHGEAR
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	30b9a745-7d88-4375-ad6a-a55566dd9651	GENERATOR
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	a11d2b2d-8776-4579-82c8-e52107999246	PRIMARY_AUXILIARIES
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	25c395cf-280d-4a72-94fa-ba83f0f7acee	UPS
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	79d462f5-4fe8-43e4-aa20-c0ddef6919d1	CRITICAL_AUXILIARIES
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	d803b8ec-dbaa-45c0-8ef1-08a90f5f51b2	LIGHTING
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	51399e38-e8ee-442d-8286-b601eafc6d87	CRITICAL_POWER_DISTRIBUTION
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	2be3ace0-7d4d-41c1-88b6-81952d08dfb8	CRAH
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	4024024f-d042-487a-acde-84faef98b738	CRAC
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	2022770f-0260-46b7-8377-6d92ddefeb99	CRAC_WITHOUT_FAN
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	243fe7d9-5577-4ea7-8e9f-3d933773a98f	CRAC_FAN
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	16b5000b-c312-4dfd-a37e-e46955503cf0	CHILLER
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	54f15231-3f3e-4542-bf80-bf9a7d96b069	AIR_COOLED_CHILLER
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	1af57b02-ab5c-42da-972d-b59dac9e4b2d	COOLING_TOWER
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	d407a308-7551-43a0-b8e5-ced67c32f5e9	DRY_COOLER
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	41da5dfe-cf71-4629-a330-a0be1e77dc64	REMOTE_CONDENSER
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	52dbc389-ff2a-46b1-8056-af4c41eca606	CHILLED_WATER_PUMPS
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	80488531-09fb-474c-aa48-bad14bafc1c7	HEAT_REJECTION_PUMPS
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	80910a73-1bd9-44ce-bbf0-1964b7ec553d	VENTILATION
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	dae49650-7f7e-484c-9d4a-95ff1f058d31	INFILTRATION
6b056bd9-2e03-4df8-b92c-6c1d2abddc49	1244095d-eb6e-4b90-a953-1a8fb21f3aea	IT_LOAD
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	6a903b07-f09e-4ca8-a08b-21d39c9d9664	SWITCHGEAR
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	d15c2c67-ea22-4e6c-8633-f7e8aabf1bcf	GENERATOR
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	ba9a3bf0-ae51-4906-856e-3965283bba34	PRIMARY_AUXILIARIES
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	d37370cb-a788-4590-be70-44baf6602bee	UPS
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	843c5620-3141-4bdf-b3f8-5998f3ac7c46	CRITICAL_AUXILIARIES
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	609c7a78-d972-4af4-864d-0a8099160a39	LIGHTING
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	d5e6243b-5a07-4009-b671-eb7643e68eff	CRITICAL_POWER_DISTRIBUTION
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	15827167-4ee6-4f57-a36f-cb3d4935f73b	CRAH
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	b4b2b799-075e-4b00-987e-fa85c93f40f8	CRAC
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	33c2fbb9-53b1-4ecb-ad9a-f22dafc44763	CRAC_WITHOUT_FAN
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	ba3af0f2-73fc-427b-ada5-0aff58c8ca0a	CRAC_FAN
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	5842b2a3-8183-47dd-9fa9-c1d77b1a3982	CHILLER
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	6c066aff-bded-4b1c-bed4-59ad8ca6fbc8	AIR_COOLED_CHILLER
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	a5b25928-6451-4d03-8159-805bda011e4f	COOLING_TOWER
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	d501dcc7-36bd-4c4c-bddd-b353d9373017	DRY_COOLER
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	c20af1c7-e692-4642-9ea3-59e4ba96c360	REMOTE_CONDENSER
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	b775ec1c-59d9-4484-bd9e-bea29dbcfdb0	CHILLED_WATER_PUMPS
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	7f7fd9b6-4005-4d8d-a22a-baffcddffadb	HEAT_REJECTION_PUMPS
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	1bff4afe-73ed-4e42-bd7b-ba2758bff90b	VENTILATION
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	8800b0ff-0473-45e2-9f21-6eb6225af8fe	INFILTRATION
f48e6cf0-f764-48d7-88fa-6b4f6608d6bc	ca6e85d7-e5ae-410d-8f08-fcc72d53ce19	IT_LOAD
fa3552d9-cb72-4ab0-a433-3bf078ac7110	81acef22-47e7-4113-888e-bc256c18f4cd	SWITCHGEAR
fa3552d9-cb72-4ab0-a433-3bf078ac7110	2bfdb840-2df3-4150-bd67-54ecfb55783a	GENERATOR
fa3552d9-cb72-4ab0-a433-3bf078ac7110	67c9bb19-02ca-4b14-986d-d897bebba1bc	PRIMARY_AUXILIARIES
fa3552d9-cb72-4ab0-a433-3bf078ac7110	06963d9b-a9fe-43d7-8aca-8bfeb1c3d711	UPS
fa3552d9-cb72-4ab0-a433-3bf078ac7110	5c5633e1-fe5d-4c03-ba03-a8e0f5126675	CRITICAL_AUXILIARIES
fa3552d9-cb72-4ab0-a433-3bf078ac7110	57e5d0a5-a7ed-4983-a68e-d7769311c8f1	LIGHTING
fa3552d9-cb72-4ab0-a433-3bf078ac7110	318f1e05-17d8-435e-9024-f255387879a1	CRITICAL_POWER_DISTRIBUTION
fa3552d9-cb72-4ab0-a433-3bf078ac7110	e103c113-9fd4-4b67-910b-f1db8eac9acb	CRAH
fa3552d9-cb72-4ab0-a433-3bf078ac7110	ded1ef99-72c8-4b69-8195-ff27948df91b	CRAC
fa3552d9-cb72-4ab0-a433-3bf078ac7110	752afaa2-680a-4b46-8073-79a7c216671c	CRAC_WITHOUT_FAN
fa3552d9-cb72-4ab0-a433-3bf078ac7110	667c6060-bde8-4c38-855e-d28f242da164	CRAC_FAN
fa3552d9-cb72-4ab0-a433-3bf078ac7110	b5d7f05b-6e94-4374-8e33-9cf9f429c02e	CHILLER
fa3552d9-cb72-4ab0-a433-3bf078ac7110	dec97468-4406-4e03-a663-034beb303a6a	AIR_COOLED_CHILLER
fa3552d9-cb72-4ab0-a433-3bf078ac7110	03a0f805-116c-4386-b4f5-8ec504347d82	COOLING_TOWER
fa3552d9-cb72-4ab0-a433-3bf078ac7110	5d58e534-4661-4382-9151-af13bb2c8a8f	DRY_COOLER
fa3552d9-cb72-4ab0-a433-3bf078ac7110	1a70d755-8684-4e1a-9037-f8f430fde023	REMOTE_CONDENSER
fa3552d9-cb72-4ab0-a433-3bf078ac7110	05aa7f4e-007b-4749-9e3b-7124627b859c	CHILLED_WATER_PUMPS
fa3552d9-cb72-4ab0-a433-3bf078ac7110	98839f23-dfd1-4981-a640-1b2852e30c59	HEAT_REJECTION_PUMPS
fa3552d9-cb72-4ab0-a433-3bf078ac7110	fa089fed-66b6-4792-84bb-15cd5d2132bb	VENTILATION
fa3552d9-cb72-4ab0-a433-3bf078ac7110	01f72f70-cecd-4c0e-9ec8-a72167fec566	INFILTRATION
fa3552d9-cb72-4ab0-a433-3bf078ac7110	7008abce-921f-4625-9538-6b8c12bca037	IT_LOAD
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	9977728b-820b-4da0-8b55-1456ce4482b1	SWITCHGEAR
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	b9b437f9-05f1-4d7c-9e12-7879d001c5a0	GENERATOR
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	a3945031-7c59-4922-8047-aebc355e5f40	PRIMARY_AUXILIARIES
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	98bc4d15-7377-4f3e-b950-211e5e054f0e	UPS
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	d70a28fd-21b1-424f-b970-0d2438e060f8	CRITICAL_AUXILIARIES
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	7833a09c-efb8-4c07-a44f-6c3a5f917170	LIGHTING
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	5ea64c38-530b-4e43-8311-c25a14932ac9	CRITICAL_POWER_DISTRIBUTION
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	f2b65585-e4f5-4066-8314-69700a2c6306	CRAH
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	ff5cb17f-49b2-41fd-9fc5-61a7da0bef3a	CRAC
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	28d55717-fbff-4831-86f1-3703d8e12a88	CRAC_WITHOUT_FAN
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	1d27034a-f4e3-4387-8776-531131e6317b	CRAC_FAN
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	f1c6a55b-7828-4a0a-a0ff-322da2d17d1c	CHILLER
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	709654ec-1f20-4e6d-a96e-f76e7fcf2bc1	AIR_COOLED_CHILLER
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	6e30993a-1ffa-4db3-9b5c-c153721cf9b7	COOLING_TOWER
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	b2cde6f7-295f-42bd-bb96-186ac10648a7	DRY_COOLER
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	91d383ea-4d82-47fb-9516-5bd6ac468f60	REMOTE_CONDENSER
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	43077354-328b-4d43-b102-c53a4fbacdaa	CHILLED_WATER_PUMPS
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	1f0b4330-f1a6-42dd-96f9-335de54e6d30	HEAT_REJECTION_PUMPS
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	b8aabb61-f131-45e9-b547-f777d1c2cc60	VENTILATION
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	c4ad77d2-dcf6-4c2d-a671-9fcb458d9c4c	INFILTRATION
77c79e8a-dd2e-447f-88c6-83151b0fbd9b	b2cbeaed-8798-45cc-9e3d-cb3b3dc5b486	IT_LOAD
213d3ff9-48e3-4ce0-a134-d67da125fd87	3e3c174c-f1ef-4dd3-b3d9-2c7148faa14e	SWITCHGEAR
213d3ff9-48e3-4ce0-a134-d67da125fd87	da785a3a-8257-49ec-b13b-b28f8f84517c	GENERATOR
213d3ff9-48e3-4ce0-a134-d67da125fd87	098112d9-a994-4e41-b2fd-408a05b695c0	PRIMARY_AUXILIARIES
213d3ff9-48e3-4ce0-a134-d67da125fd87	5f6ea8e7-73de-43ce-8ea1-a1dc7164d397	UPS
213d3ff9-48e3-4ce0-a134-d67da125fd87	8720afa2-50b7-41f4-a345-5b6e9a7ec1a7	CRITICAL_AUXILIARIES
213d3ff9-48e3-4ce0-a134-d67da125fd87	4270369b-b091-4dc9-be86-074c4874c071	LIGHTING
213d3ff9-48e3-4ce0-a134-d67da125fd87	0fe0eca3-4f0f-4d91-8806-316adc738653	CRITICAL_POWER_DISTRIBUTION
213d3ff9-48e3-4ce0-a134-d67da125fd87	e2cdb81d-c501-4e78-b0ca-a4f19e1e6b3f	CRAH
213d3ff9-48e3-4ce0-a134-d67da125fd87	87abc8e5-9718-4d57-8ee3-70fd1fed1df0	CRAC
213d3ff9-48e3-4ce0-a134-d67da125fd87	d54ea159-acda-440c-bfd2-61ef83b6f78f	CRAC_WITHOUT_FAN
213d3ff9-48e3-4ce0-a134-d67da125fd87	3aad2e16-944e-45bb-9e84-8846bbcc932a	CRAC_FAN
213d3ff9-48e3-4ce0-a134-d67da125fd87	2575c392-1400-42de-993c-f6a8c14115c1	CHILLER
213d3ff9-48e3-4ce0-a134-d67da125fd87	c4d3cc32-f42a-49b6-aada-062444c5dbdd	AIR_COOLED_CHILLER
213d3ff9-48e3-4ce0-a134-d67da125fd87	dcb2cc98-ef79-44e4-9847-386abbea5062	COOLING_TOWER
213d3ff9-48e3-4ce0-a134-d67da125fd87	000163a5-cb4c-405f-b844-2dc816dede72	DRY_COOLER
213d3ff9-48e3-4ce0-a134-d67da125fd87	da3372f8-cc86-4b21-b8d9-7cc433765383	REMOTE_CONDENSER
213d3ff9-48e3-4ce0-a134-d67da125fd87	a61230bd-2929-4b68-933c-5ca0205db7fa	CHILLED_WATER_PUMPS
213d3ff9-48e3-4ce0-a134-d67da125fd87	39f21b51-caf3-480c-9f2c-1b280c04828b	HEAT_REJECTION_PUMPS
213d3ff9-48e3-4ce0-a134-d67da125fd87	6a834f2d-4bc0-4444-8fec-9efde7051e1f	VENTILATION
213d3ff9-48e3-4ce0-a134-d67da125fd87	cb74c1dd-1168-4cea-9329-b1653d3f13cb	INFILTRATION
213d3ff9-48e3-4ce0-a134-d67da125fd87	b356d8d4-9dfd-4a35-9474-12cc14ab6dfc	IT_LOAD
db32d0da-0e05-4802-95db-9bd154559baa	b37ed1f7-0d50-4811-85d0-203371cfbcda	SWITCHGEAR
db32d0da-0e05-4802-95db-9bd154559baa	7e41c448-b71a-417b-aed0-93b332ec4b1f	GENERATOR
db32d0da-0e05-4802-95db-9bd154559baa	bfd69cc9-f88a-468e-8274-551123921230	PRIMARY_AUXILIARIES
db32d0da-0e05-4802-95db-9bd154559baa	abf1dae6-cb04-4553-b884-30b68ea23eb4	UPS
db32d0da-0e05-4802-95db-9bd154559baa	45500141-2696-4a53-8093-db2d0a857ecb	CRITICAL_AUXILIARIES
db32d0da-0e05-4802-95db-9bd154559baa	334b6016-2a6f-4b2f-b092-8dd721638f71	LIGHTING
db32d0da-0e05-4802-95db-9bd154559baa	a6624c1c-f007-4ae1-bbc6-1838b09820b5	CRITICAL_POWER_DISTRIBUTION
db32d0da-0e05-4802-95db-9bd154559baa	9f7bb18e-d950-416b-8f35-666ef3d5171c	CRAH
db32d0da-0e05-4802-95db-9bd154559baa	4e35e5fb-f239-4764-b797-f90895902e49	CRAC
db32d0da-0e05-4802-95db-9bd154559baa	541016d3-b0dd-4190-a41b-85790af2072e	CRAC_WITHOUT_FAN
db32d0da-0e05-4802-95db-9bd154559baa	6cbd7738-0baa-40c6-bec1-7b83ce6efe89	CRAC_FAN
db32d0da-0e05-4802-95db-9bd154559baa	e4622d4c-e608-40a5-ab0f-80b66dbb962f	CHILLER
db32d0da-0e05-4802-95db-9bd154559baa	133f28e7-314f-4083-8285-0f23b3648704	AIR_COOLED_CHILLER
db32d0da-0e05-4802-95db-9bd154559baa	b5d05684-5640-4a8a-8b75-8d34b56e6bd4	COOLING_TOWER
db32d0da-0e05-4802-95db-9bd154559baa	caa8b935-9a8b-4db4-8b9f-849254374804	DRY_COOLER
db32d0da-0e05-4802-95db-9bd154559baa	07d14691-7908-4c7e-a3e1-e5de90e5a734	REMOTE_CONDENSER
db32d0da-0e05-4802-95db-9bd154559baa	3d6d3b1e-7b59-433b-8001-2fb4db26fc07	CHILLED_WATER_PUMPS
db32d0da-0e05-4802-95db-9bd154559baa	f186d4ec-c9d3-4ebc-a493-28f68b0d9c92	HEAT_REJECTION_PUMPS
db32d0da-0e05-4802-95db-9bd154559baa	e84b863e-7c84-4c30-8bb9-54305a9bd441	VENTILATION
db32d0da-0e05-4802-95db-9bd154559baa	4f2222c0-fdb8-42eb-b8bc-631071b3385c	INFILTRATION
db32d0da-0e05-4802-95db-9bd154559baa	e1946b1d-0146-4f30-aabb-92d336b47a42	IT_LOAD
11966d50-db6f-4e46-96ef-9db77700faf7	e4a862ee-1b94-44ae-9cac-4cb95c8a06fd	SWITCHGEAR
11966d50-db6f-4e46-96ef-9db77700faf7	abbe3d11-c458-4e73-8615-a38d11950ea5	GENERATOR
11966d50-db6f-4e46-96ef-9db77700faf7	0b71ec97-3a8a-4492-b346-354aa3f68489	PRIMARY_AUXILIARIES
11966d50-db6f-4e46-96ef-9db77700faf7	6af26b5c-828d-4607-84d9-dd7cae010331	UPS
11966d50-db6f-4e46-96ef-9db77700faf7	3df0061f-5998-4808-82e3-4431f2db25af	CRITICAL_AUXILIARIES
11966d50-db6f-4e46-96ef-9db77700faf7	bce78389-1cb6-47dd-ac88-1bf5317f1ed6	LIGHTING
11966d50-db6f-4e46-96ef-9db77700faf7	18573fc8-3d9d-4e66-af5b-5deae12ab134	CRITICAL_POWER_DISTRIBUTION
11966d50-db6f-4e46-96ef-9db77700faf7	591ed498-2797-499d-a57e-7b5fc0bf5b98	CRAH
11966d50-db6f-4e46-96ef-9db77700faf7	452146d1-da56-4cab-b891-efea44a97685	CRAC
11966d50-db6f-4e46-96ef-9db77700faf7	4b91ae17-e050-4626-b83a-97a30824cf49	CRAC_WITHOUT_FAN
11966d50-db6f-4e46-96ef-9db77700faf7	1838657e-0ad7-40e6-a6e5-2b5b3b9d5101	CRAC_FAN
11966d50-db6f-4e46-96ef-9db77700faf7	d89a72f8-4f1b-4aad-b3ba-785281b405a9	CHILLER
11966d50-db6f-4e46-96ef-9db77700faf7	eb23e902-7ff6-4fec-a961-9af54fe57b4a	AIR_COOLED_CHILLER
11966d50-db6f-4e46-96ef-9db77700faf7	6706edc9-0f62-48ff-8bf7-392708542dcd	COOLING_TOWER
11966d50-db6f-4e46-96ef-9db77700faf7	f77038e4-8996-4015-8917-068c7c0ec43c	DRY_COOLER
11966d50-db6f-4e46-96ef-9db77700faf7	38ccb793-d109-4802-a023-52ec045869db	REMOTE_CONDENSER
11966d50-db6f-4e46-96ef-9db77700faf7	6d831db0-61e3-446f-95f2-aa47a814ee88	CHILLED_WATER_PUMPS
11966d50-db6f-4e46-96ef-9db77700faf7	1bc37874-5d96-405f-9fd1-1c3a66dae412	HEAT_REJECTION_PUMPS
11966d50-db6f-4e46-96ef-9db77700faf7	9a2ba0bd-d7b3-46c7-ae47-1f4315888289	VENTILATION
11966d50-db6f-4e46-96ef-9db77700faf7	da2c3351-41d1-4952-970b-c64721c4ad0e	INFILTRATION
11966d50-db6f-4e46-96ef-9db77700faf7	1a89c44f-5009-4dd8-b08a-14e48c42c98e	IT_LOAD
9a204b7e-97f0-414b-980e-3da537972328	a0ba113b-75e7-4910-9ec7-38bec39236c2	SWITCHGEAR
9a204b7e-97f0-414b-980e-3da537972328	d2380ee6-bac4-4c5d-bcfc-d78c24ba08a0	GENERATOR
9a204b7e-97f0-414b-980e-3da537972328	7e7f6a0a-67c8-408a-b8d7-1364a9382848	PRIMARY_AUXILIARIES
9a204b7e-97f0-414b-980e-3da537972328	3d07100d-1c49-497a-9fae-bb32a8e06809	UPS
9a204b7e-97f0-414b-980e-3da537972328	7c823e62-6e9c-4515-a845-258e38f9b742	CRITICAL_AUXILIARIES
9a204b7e-97f0-414b-980e-3da537972328	b4c1bdea-8d6f-4a3b-992b-278f5ed74b3d	LIGHTING
9a204b7e-97f0-414b-980e-3da537972328	00b7936b-794a-4666-9aec-30ad219b9ee3	CRITICAL_POWER_DISTRIBUTION
9a204b7e-97f0-414b-980e-3da537972328	4884b258-4a9a-44ef-9de6-50967d908d61	CRAH
9a204b7e-97f0-414b-980e-3da537972328	d634c954-8f8d-4ca4-856b-e2e6c1200b20	CRAC
9a204b7e-97f0-414b-980e-3da537972328	d7bd2874-bc63-4bc7-a5af-a1d4dcaaf7e3	CRAC_WITHOUT_FAN
9a204b7e-97f0-414b-980e-3da537972328	93c2e302-c08e-4f3d-98ab-a0d6ad3f535b	CRAC_FAN
9a204b7e-97f0-414b-980e-3da537972328	31ff943d-197e-49e1-95bd-22c2cdcb49fe	CHILLER
9a204b7e-97f0-414b-980e-3da537972328	4eb8cb19-6099-419b-82f2-7f03bfe7e8ff	AIR_COOLED_CHILLER
9a204b7e-97f0-414b-980e-3da537972328	de0c6f98-b786-492b-ab00-f7f35a578803	COOLING_TOWER
9a204b7e-97f0-414b-980e-3da537972328	ba8138e7-1824-4a12-a055-2152fed1749b	DRY_COOLER
9a204b7e-97f0-414b-980e-3da537972328	4c1cf452-523b-459c-abdb-7fd7fb93d9fb	REMOTE_CONDENSER
9a204b7e-97f0-414b-980e-3da537972328	967ab189-d5e0-4211-af96-21d6a27012e0	CHILLED_WATER_PUMPS
9a204b7e-97f0-414b-980e-3da537972328	502d445f-2758-411e-abe5-88d6dfc41cb5	HEAT_REJECTION_PUMPS
9a204b7e-97f0-414b-980e-3da537972328	d7d00608-413f-449b-949f-dc8938993607	VENTILATION
9a204b7e-97f0-414b-980e-3da537972328	06efbc75-8e56-473d-b5be-6b93c1936b2c	INFILTRATION
9a204b7e-97f0-414b-980e-3da537972328	c31971ca-db02-48e5-941e-a7b569042b7f	IT_LOAD
351b335a-e83f-4ee8-abd1-18fd11f47129	a6e954f0-bc4d-499a-86b9-fda882fbd2bd	SWITCHGEAR
351b335a-e83f-4ee8-abd1-18fd11f47129	ce7ae75f-e454-446b-baf3-291a85bf1ff7	GENERATOR
351b335a-e83f-4ee8-abd1-18fd11f47129	5e962cf5-3b15-46db-aefe-da524fe09d42	PRIMARY_AUXILIARIES
351b335a-e83f-4ee8-abd1-18fd11f47129	c0b7daa4-35b8-40e0-b4d8-d76a6a4833db	UPS
351b335a-e83f-4ee8-abd1-18fd11f47129	066f6bd4-6fde-4fcf-82d4-1207b69586d9	CRITICAL_AUXILIARIES
351b335a-e83f-4ee8-abd1-18fd11f47129	5970a2bc-0bbf-4601-bb29-943ada5bb80b	LIGHTING
351b335a-e83f-4ee8-abd1-18fd11f47129	42b65300-d1f6-4dd7-b798-4412a64f16c5	CRITICAL_POWER_DISTRIBUTION
351b335a-e83f-4ee8-abd1-18fd11f47129	91c032cc-f9cd-479b-855a-6e453d1deb03	CRAH
351b335a-e83f-4ee8-abd1-18fd11f47129	860ab48d-a6d5-4d2e-8803-b4d83f290cdd	CRAC
351b335a-e83f-4ee8-abd1-18fd11f47129	b4bb6408-292a-4b20-a7bd-7aa4357acb87	CRAC_WITHOUT_FAN
351b335a-e83f-4ee8-abd1-18fd11f47129	eb67b208-6372-473f-9d20-6781f8fe9587	CRAC_FAN
351b335a-e83f-4ee8-abd1-18fd11f47129	c156f5a1-e087-4c5f-956f-85183d63e104	CHILLER
351b335a-e83f-4ee8-abd1-18fd11f47129	4ae5e724-8091-47f2-be0b-a2f14f432a4d	AIR_COOLED_CHILLER
351b335a-e83f-4ee8-abd1-18fd11f47129	fd415f28-64e7-4ad3-afe2-8dd51de746e7	COOLING_TOWER
351b335a-e83f-4ee8-abd1-18fd11f47129	dc6a0e83-9038-494d-aaa9-f06d296301d0	DRY_COOLER
351b335a-e83f-4ee8-abd1-18fd11f47129	569b50cf-5b1e-41d8-a931-e09c8d956604	REMOTE_CONDENSER
351b335a-e83f-4ee8-abd1-18fd11f47129	d2e944e2-225b-47a5-a84c-b3a767f61811	CHILLED_WATER_PUMPS
351b335a-e83f-4ee8-abd1-18fd11f47129	5065e15b-efec-40b9-b76d-19b30c729789	HEAT_REJECTION_PUMPS
351b335a-e83f-4ee8-abd1-18fd11f47129	7215d427-7622-4f9d-9d3f-a9ee195fd375	VENTILATION
351b335a-e83f-4ee8-abd1-18fd11f47129	b42537f3-4ec3-4dbd-a30f-30819754f09a	INFILTRATION
351b335a-e83f-4ee8-abd1-18fd11f47129	51badf54-e318-4b30-a964-50487b6625e1	IT_LOAD
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	83f2c385-86e1-46ce-b3cc-ab8505580a67	SWITCHGEAR
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	a2fb8391-b9b4-4b62-9eb0-bfea3e07c040	GENERATOR
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	bd83f168-778f-4f63-a7d9-e3c127b8d920	PRIMARY_AUXILIARIES
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	8c91af3c-d2d6-496f-9e73-c0bc91178b64	UPS
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	f377e422-2fe5-479a-a0e7-511a0372aae8	CRITICAL_AUXILIARIES
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	711cc735-652c-4be1-ae45-a7fc12d8be69	LIGHTING
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	dc85885e-0620-4926-90e7-d99fe5fa1557	CRITICAL_POWER_DISTRIBUTION
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	77d017f0-792a-4ed7-a889-90534931ae2c	CRAH
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	7dd86fe4-8dc2-44ad-b22e-073377978666	CRAC
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	89c4b999-db15-4280-939b-8d406cb4f667	CRAC_WITHOUT_FAN
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	36f96d59-9a4b-40b0-afb3-c10fb86fc54e	CRAC_FAN
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	fb7a0703-d297-4777-90b2-0609e11af175	CHILLER
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	6bef536d-a41c-47e9-ade0-c3d392aa9351	AIR_COOLED_CHILLER
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	3e7b6133-25bb-4cb5-a2d8-d53c394af2ae	COOLING_TOWER
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	0d6c6404-da93-42f4-a18b-691e7f24d455	DRY_COOLER
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	fdfbea2c-b319-4faf-a692-d1cc912cffaa	REMOTE_CONDENSER
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	32903274-4378-40bd-92bc-efec7c80a188	CHILLED_WATER_PUMPS
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	8557a97c-86b8-4f08-93eb-08efa7a8752b	HEAT_REJECTION_PUMPS
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	274807f1-dfbd-4cb1-8ac6-84a4f03909de	VENTILATION
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	8a99f9af-42a6-47bc-8d2f-a9aa1e51cc66	INFILTRATION
5fd8258c-036c-40e9-a9ee-a7d46e0c16ab	33333919-554e-4a2c-8eb9-2a8fe2b55252	IT_LOAD
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	78921911-2eb7-4324-9d02-0adc0e5d832a	SWITCHGEAR
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	79043f82-8339-43e7-afb7-7f733af2f938	GENERATOR
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	15fa96d2-d570-4a29-a816-34c5d64f27bd	PRIMARY_AUXILIARIES
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	d1f6a337-ab5d-4939-acfa-9fcf34ab05a9	UPS
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	61e56c98-653a-4843-ac03-651d25c1b889	CRITICAL_AUXILIARIES
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	aa6dd02c-6eab-49ae-8bf4-63886362bc8e	LIGHTING
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	360449cf-f95c-4fe9-bf88-22d5f2b00c6b	CRITICAL_POWER_DISTRIBUTION
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	35e4b13e-b177-45d0-8e65-23fbdf512f3a	CRAH
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	10a1b82c-6d83-489b-9e2c-908e2898d0ed	CRAC
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	191357e6-355a-477e-8f68-ec572acf4dd4	CRAC_WITHOUT_FAN
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	96fa617a-4d02-4a81-8fb7-8ee28f7f594d	CRAC_FAN
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	d217a2cf-8e11-46dd-ba66-97c28aba47e5	CHILLER
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	42503202-908c-4602-86f2-ea1191f1daf9	AIR_COOLED_CHILLER
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	9cceb94d-c11a-46a4-8fdd-e59fc5022415	COOLING_TOWER
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	f2f2ca89-dc21-43f5-934d-2dabd1bbb702	DRY_COOLER
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	d4d4ac5f-c09a-4354-93d0-646129f56b88	REMOTE_CONDENSER
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	808cfe3e-559e-4b12-be60-39de86ab55de	CHILLED_WATER_PUMPS
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	05f19528-3af4-4780-9e2f-25598b92b124	HEAT_REJECTION_PUMPS
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	15b46093-762b-47ee-bc33-1a582be4cbbd	VENTILATION
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	2236eacb-e885-40df-b43c-ca45475ca624	INFILTRATION
c6fc1aab-5e4d-44c6-9e95-fd6c76f864f6	0170482f-bc14-48ae-a704-f4bd8393197f	IT_LOAD
5b532a4b-629d-4d06-a0ce-4676614ce1ba	27e25f02-2239-4ee4-b460-08552e1c89b8	SWITCHGEAR
5b532a4b-629d-4d06-a0ce-4676614ce1ba	95009bf7-8fe4-4b84-b7d3-68d00360efcc	GENERATOR
5b532a4b-629d-4d06-a0ce-4676614ce1ba	e60e12b2-e8ac-4a65-9a5d-e6dc114e70ec	PRIMARY_AUXILIARIES
5b532a4b-629d-4d06-a0ce-4676614ce1ba	a97014c0-183f-4cb5-890b-d589fb67dbe5	UPS
5b532a4b-629d-4d06-a0ce-4676614ce1ba	4d012ee0-3765-4040-9576-66bb42393157	CRITICAL_AUXILIARIES
5b532a4b-629d-4d06-a0ce-4676614ce1ba	d2d4b16f-8bcb-4da5-ab23-01dbf89d35ec	LIGHTING
5b532a4b-629d-4d06-a0ce-4676614ce1ba	e74e3f24-e606-4abc-beab-90e0302b6255	CRITICAL_POWER_DISTRIBUTION
5b532a4b-629d-4d06-a0ce-4676614ce1ba	11bbc157-489f-4c12-b99b-c5c87b7cdaa1	CRAH
5b532a4b-629d-4d06-a0ce-4676614ce1ba	77697b35-431f-4a5d-a22c-17554828ace8	CRAC
5b532a4b-629d-4d06-a0ce-4676614ce1ba	f65dc79e-0d12-4ce2-a21d-520a5d6f67f4	CRAC_WITHOUT_FAN
5b532a4b-629d-4d06-a0ce-4676614ce1ba	ade4b0a2-91ce-4c0b-9b89-f59cd954d4da	CRAC_FAN
5b532a4b-629d-4d06-a0ce-4676614ce1ba	36c686e3-be2d-4478-9706-9df46ada317b	CHILLER
5b532a4b-629d-4d06-a0ce-4676614ce1ba	e4b21cfb-c1cc-4891-9509-7a00c6e0ef24	AIR_COOLED_CHILLER
5b532a4b-629d-4d06-a0ce-4676614ce1ba	c8e9a821-36b7-458d-a195-bc39ba2ab21c	COOLING_TOWER
5b532a4b-629d-4d06-a0ce-4676614ce1ba	628eb296-ae1d-4ac1-b3e7-7af088871b56	DRY_COOLER
5b532a4b-629d-4d06-a0ce-4676614ce1ba	1d9d540a-8f59-4d3f-90c2-979ea4258d68	REMOTE_CONDENSER
5b532a4b-629d-4d06-a0ce-4676614ce1ba	e99510b8-f3f1-4e39-80a8-c6c599d490b9	CHILLED_WATER_PUMPS
5b532a4b-629d-4d06-a0ce-4676614ce1ba	15ea1972-bfce-46fe-b899-da377ab250c0	HEAT_REJECTION_PUMPS
5b532a4b-629d-4d06-a0ce-4676614ce1ba	4efaf51e-d1e0-4057-bcba-4a6209f0dac5	VENTILATION
5b532a4b-629d-4d06-a0ce-4676614ce1ba	e09f9d9d-2c69-4a2a-8f62-2e44020c05bd	INFILTRATION
5b532a4b-629d-4d06-a0ce-4676614ce1ba	bcbb25c6-d5dd-48c5-a87f-d8fa976f8360	IT_LOAD
9b189c71-9c6d-4cf3-b80a-d142bd172d07	d9a6a83f-80f0-4657-b71e-f09e997908ac	SWITCHGEAR
9b189c71-9c6d-4cf3-b80a-d142bd172d07	0c37a6a4-383a-407f-88e9-d9aa61951fb6	GENERATOR
9b189c71-9c6d-4cf3-b80a-d142bd172d07	57afdb32-3495-4753-b26a-ef09bdd81989	PRIMARY_AUXILIARIES
9b189c71-9c6d-4cf3-b80a-d142bd172d07	1f0a9988-44c0-4af3-9449-a48e9fe0e46e	UPS
9b189c71-9c6d-4cf3-b80a-d142bd172d07	baecc591-42d2-42d2-bee6-9488bb46828d	CRITICAL_AUXILIARIES
9b189c71-9c6d-4cf3-b80a-d142bd172d07	15ac73b3-3e3a-49c9-9769-a35a73db0280	LIGHTING
9b189c71-9c6d-4cf3-b80a-d142bd172d07	3da22b7a-7129-4f18-8c01-7dac6fa1aab9	CRITICAL_POWER_DISTRIBUTION
9b189c71-9c6d-4cf3-b80a-d142bd172d07	278943ff-1019-4f7e-97c3-f9adef2ae17a	CRAH
9b189c71-9c6d-4cf3-b80a-d142bd172d07	c103bfed-cd7b-4d00-b250-448883b0f145	CRAC
9b189c71-9c6d-4cf3-b80a-d142bd172d07	7c10bfb6-166c-4cc2-9a64-b6d961cd9bfb	CRAC_WITHOUT_FAN
9b189c71-9c6d-4cf3-b80a-d142bd172d07	b4be4c38-0228-499c-b009-8f76b99c12d1	CRAC_FAN
9b189c71-9c6d-4cf3-b80a-d142bd172d07	b97b1ebb-0b8c-4c20-ab35-4c6fd2bd4145	CHILLER
9b189c71-9c6d-4cf3-b80a-d142bd172d07	db166aaa-c14e-46c0-890f-5322a8ed637c	AIR_COOLED_CHILLER
9b189c71-9c6d-4cf3-b80a-d142bd172d07	75919922-44b7-47f5-a14b-78a2f0d681db	COOLING_TOWER
9b189c71-9c6d-4cf3-b80a-d142bd172d07	f40085c8-d439-4c8e-af45-b1e12925450c	DRY_COOLER
9b189c71-9c6d-4cf3-b80a-d142bd172d07	5fee65f1-b8cc-4dc2-a02a-bce813ca637a	REMOTE_CONDENSER
9b189c71-9c6d-4cf3-b80a-d142bd172d07	7c4335b1-4e35-483a-9ff5-a062f0bf4830	CHILLED_WATER_PUMPS
9b189c71-9c6d-4cf3-b80a-d142bd172d07	fd4683c6-f05e-4e66-9fbf-87f9e95c7fb0	HEAT_REJECTION_PUMPS
9b189c71-9c6d-4cf3-b80a-d142bd172d07	90d5c9ec-2249-4051-bb6e-b2e54d64d0bd	VENTILATION
9b189c71-9c6d-4cf3-b80a-d142bd172d07	9d053565-d0d6-4afe-b9b9-5708bfd03439	INFILTRATION
9b189c71-9c6d-4cf3-b80a-d142bd172d07	1ffda918-380e-4aee-bf08-5d1358ae8df0	IT_LOAD
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	dc3f0478-5ab8-4800-9e7a-1caa842e1928	SWITCHGEAR
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	47d0a9a7-d5c0-452e-b42a-7a1224bb1d93	GENERATOR
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	9fe5b665-5232-4b5f-b3ff-b7fb0c28882a	PRIMARY_AUXILIARIES
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	b19ed643-6b77-435f-a86e-6ca8fda5e759	UPS
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	33188a75-85a6-44a9-8400-edd3ff850ed7	CRITICAL_AUXILIARIES
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	8001a93f-c9b4-4d1f-b4cd-b3673fd2d3ca	LIGHTING
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	ad9ea3d8-20eb-422c-96c5-938a0a9e538b	CRITICAL_POWER_DISTRIBUTION
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	e030c277-e1c2-456d-9bc0-52fc1bf19333	CRAH
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	9294b9c1-cfae-45b7-9d87-ce405dc6d3a0	CRAC
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	c21bfb6e-19bb-458d-b5e2-f780159f54e1	CRAC_WITHOUT_FAN
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	90690152-cca8-4158-8e74-4497cd79345a	CRAC_FAN
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	1604be52-34ac-45fb-be0e-a643aac6591a	CHILLER
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	ee3b6181-b14f-44c6-b5b9-784bb274315a	AIR_COOLED_CHILLER
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	fc1fb640-7c47-4cbe-bbc5-a782de185086	COOLING_TOWER
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	9db962c0-713a-4a38-9752-9bbaa2dd7430	DRY_COOLER
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	94154fb3-5138-4723-b79f-6406533bfa93	REMOTE_CONDENSER
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	44915b7e-2617-4cb3-9349-d55cc62e6e91	CHILLED_WATER_PUMPS
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	f9a099d8-d830-477b-865e-46675ffc169a	HEAT_REJECTION_PUMPS
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	b34c40d3-6fbf-4d23-80f7-62b9b3cd5b47	VENTILATION
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	1ab0c295-de72-4af3-9029-c40808aa759c	INFILTRATION
8b66b33b-e4e7-4c64-aea7-13d903e6d1e1	a7558494-813e-4dbb-bd63-df520bf40944	IT_LOAD
751001e1-6374-4ad0-949a-666a0fa78c93	0e1e9924-2f39-43b5-a3b3-b82443e57d3c	SWITCHGEAR
751001e1-6374-4ad0-949a-666a0fa78c93	eb357648-76f4-4ec3-90c6-62f583d6d79d	GENERATOR
751001e1-6374-4ad0-949a-666a0fa78c93	ca8ff419-4e14-40b1-858e-acc91e68eb0f	PRIMARY_AUXILIARIES
751001e1-6374-4ad0-949a-666a0fa78c93	28d43474-b8ed-482e-8381-84e515528a71	UPS
751001e1-6374-4ad0-949a-666a0fa78c93	aad4f2d9-251e-4725-9ba9-78857cb2eff9	CRITICAL_AUXILIARIES
751001e1-6374-4ad0-949a-666a0fa78c93	4e385607-e0e9-4f52-85d1-dde878c1c4f6	LIGHTING
751001e1-6374-4ad0-949a-666a0fa78c93	fade4c19-8a14-4bf4-9e36-380c4dc970de	CRITICAL_POWER_DISTRIBUTION
751001e1-6374-4ad0-949a-666a0fa78c93	5fb3457e-52f0-4dfa-9ab1-9ed3f00c4ff1	CRAH
751001e1-6374-4ad0-949a-666a0fa78c93	be2241c8-2be8-4b26-aa9e-f07417495e0a	CRAC
751001e1-6374-4ad0-949a-666a0fa78c93	d4bf2fc5-9097-4568-8c24-9a23a75b0028	CRAC_WITHOUT_FAN
751001e1-6374-4ad0-949a-666a0fa78c93	163c0e82-07b1-4dba-87a9-b87ca46ee71a	CRAC_FAN
751001e1-6374-4ad0-949a-666a0fa78c93	12e83136-670d-4c6a-aef2-ae0af54770f5	CHILLER
751001e1-6374-4ad0-949a-666a0fa78c93	6ac9357b-4ae3-45cd-be1f-49a54e6a62dd	AIR_COOLED_CHILLER
751001e1-6374-4ad0-949a-666a0fa78c93	2f6f5604-5dcf-47ae-92bf-f04c16191e5c	COOLING_TOWER
751001e1-6374-4ad0-949a-666a0fa78c93	6f2b4cb0-1efb-4a3d-97fa-806ed9806052	DRY_COOLER
751001e1-6374-4ad0-949a-666a0fa78c93	89217ad7-d007-4ea5-8cc2-1c958cc74b08	REMOTE_CONDENSER
751001e1-6374-4ad0-949a-666a0fa78c93	92d9ba42-134d-4542-a278-1c56e923fd7c	CHILLED_WATER_PUMPS
751001e1-6374-4ad0-949a-666a0fa78c93	e29b7290-1a3e-43cf-a385-a36c247c66e0	HEAT_REJECTION_PUMPS
751001e1-6374-4ad0-949a-666a0fa78c93	de5e5a12-0f42-46cb-9b84-a74c5d85d809	VENTILATION
751001e1-6374-4ad0-949a-666a0fa78c93	a6c9eebf-42eb-4f08-ac83-d310fceccb3a	INFILTRATION
751001e1-6374-4ad0-949a-666a0fa78c93	d6f194d8-2e3b-4bc2-9b17-ac5c5de2476c	IT_LOAD
e1380d8a-e35a-45ea-9d46-0a6c7a015492	e91afe2e-2b5f-4c3c-a93e-b86faa37293e	SWITCHGEAR
e1380d8a-e35a-45ea-9d46-0a6c7a015492	6ab88fd7-4fac-471c-b71e-710c45287e95	GENERATOR
e1380d8a-e35a-45ea-9d46-0a6c7a015492	f05c3b61-580e-4bf7-b98e-79f11269b518	PRIMARY_AUXILIARIES
e1380d8a-e35a-45ea-9d46-0a6c7a015492	b8b73dda-beb5-42ce-bd2d-f8f2d13026a8	UPS
e1380d8a-e35a-45ea-9d46-0a6c7a015492	1d493d8f-e7f6-4640-8ab6-51ef3ecb97de	CRITICAL_AUXILIARIES
e1380d8a-e35a-45ea-9d46-0a6c7a015492	c65b2c94-773e-43e6-bb37-924f4b4c1ede	LIGHTING
e1380d8a-e35a-45ea-9d46-0a6c7a015492	72512130-3258-4299-9103-d8efa8bf0849	CRITICAL_POWER_DISTRIBUTION
e1380d8a-e35a-45ea-9d46-0a6c7a015492	e8fced9f-cf9b-48cd-9d7e-8042d93a4af7	CRAH
e1380d8a-e35a-45ea-9d46-0a6c7a015492	84559602-f4d5-4b8e-a257-798a787ba21a	CRAC
e1380d8a-e35a-45ea-9d46-0a6c7a015492	83173fba-d5f5-47b2-88e7-4a34bea75b8e	CRAC_WITHOUT_FAN
e1380d8a-e35a-45ea-9d46-0a6c7a015492	0f040968-cec0-492c-9b6d-51f5c74ac4c8	CRAC_FAN
e1380d8a-e35a-45ea-9d46-0a6c7a015492	1879f01c-35e0-4228-962e-3afeb1a1b630	CHILLER
e1380d8a-e35a-45ea-9d46-0a6c7a015492	d675bc57-3f48-4278-805a-f2e0b0ea66c7	AIR_COOLED_CHILLER
e1380d8a-e35a-45ea-9d46-0a6c7a015492	714a8acd-4863-4d4d-801e-f917234ed9c6	COOLING_TOWER
e1380d8a-e35a-45ea-9d46-0a6c7a015492	a65e9f02-23fe-49ef-a35b-7ebf15f476d9	DRY_COOLER
e1380d8a-e35a-45ea-9d46-0a6c7a015492	805a6436-ebb0-4697-9018-371add114b70	REMOTE_CONDENSER
e1380d8a-e35a-45ea-9d46-0a6c7a015492	5482ac57-9bd4-4d7b-95b1-98668b9f4fee	CHILLED_WATER_PUMPS
e1380d8a-e35a-45ea-9d46-0a6c7a015492	d9bb1531-327e-4bad-979b-e90949508bcd	HEAT_REJECTION_PUMPS
e1380d8a-e35a-45ea-9d46-0a6c7a015492	beff25ef-fbe2-4830-ab2c-b05413e45615	VENTILATION
e1380d8a-e35a-45ea-9d46-0a6c7a015492	80cc6b40-72c2-474b-9254-5f28231accbf	INFILTRATION
e1380d8a-e35a-45ea-9d46-0a6c7a015492	608df3f3-c1e7-4a6d-98c4-88da601eec71	IT_LOAD
67c37081-5898-46d6-9887-55d9c1997671	caff8fdf-dfef-4765-adef-3b5ce9a6254b	SWITCHGEAR
67c37081-5898-46d6-9887-55d9c1997671	b8fa6e40-21b4-49aa-bb97-c27a38673162	GENERATOR
67c37081-5898-46d6-9887-55d9c1997671	eb2987a0-ae43-4843-8fa9-49900f30c925	PRIMARY_AUXILIARIES
67c37081-5898-46d6-9887-55d9c1997671	92cdf731-0fe1-4b68-8067-5200ff502d79	UPS
67c37081-5898-46d6-9887-55d9c1997671	d00270ea-9523-4be0-a85e-abb71466969d	CRITICAL_AUXILIARIES
67c37081-5898-46d6-9887-55d9c1997671	8fffd129-9f0f-4e64-a71a-7afa560eb0ea	LIGHTING
67c37081-5898-46d6-9887-55d9c1997671	29e74b41-da5a-4ac2-bc66-9692cc12bacb	CRITICAL_POWER_DISTRIBUTION
67c37081-5898-46d6-9887-55d9c1997671	fb1e7804-65e5-4e30-9c20-12855aa06c67	CRAH
67c37081-5898-46d6-9887-55d9c1997671	a8a6867f-e47b-473c-ae8c-b5c9e23bf6a5	CRAC
67c37081-5898-46d6-9887-55d9c1997671	55b0feaa-46bc-4e1a-a995-76bcc9a8f8b5	CRAC_WITHOUT_FAN
67c37081-5898-46d6-9887-55d9c1997671	6cfde002-2670-486f-bc6f-df469c892459	CRAC_FAN
67c37081-5898-46d6-9887-55d9c1997671	5be58030-8a5b-4b12-beb8-e0c019c05a37	CHILLER
67c37081-5898-46d6-9887-55d9c1997671	0cf583b4-18c4-47ca-a667-5ba5191101ec	AIR_COOLED_CHILLER
67c37081-5898-46d6-9887-55d9c1997671	f407c03d-bf11-4390-9faf-63e418977de7	COOLING_TOWER
67c37081-5898-46d6-9887-55d9c1997671	ae6eb744-a253-4596-81fa-e53d8619198e	DRY_COOLER
67c37081-5898-46d6-9887-55d9c1997671	69f21414-eb24-48f7-98ba-7794bf3f421a	REMOTE_CONDENSER
67c37081-5898-46d6-9887-55d9c1997671	8aa931b7-e438-4f06-b230-10b9f0eea122	CHILLED_WATER_PUMPS
67c37081-5898-46d6-9887-55d9c1997671	87c3a1a3-e471-4415-8c62-78377c08a1c7	HEAT_REJECTION_PUMPS
67c37081-5898-46d6-9887-55d9c1997671	c7f12780-0dad-4d62-9d3a-cb0f8e3ba2ae	VENTILATION
67c37081-5898-46d6-9887-55d9c1997671	9c4277a9-3b12-4680-90fd-400e35ae044f	INFILTRATION
67c37081-5898-46d6-9887-55d9c1997671	196288eb-f430-477d-b5ff-f0e4a1216296	IT_LOAD
81f1a065-9779-4153-ab96-ca39e95140fb	afde14ef-1d75-40e5-867f-803db721e2b2	SWITCHGEAR
81f1a065-9779-4153-ab96-ca39e95140fb	b0aa3997-4fb8-420b-a201-62bd3839cfb2	GENERATOR
81f1a065-9779-4153-ab96-ca39e95140fb	55f3f16b-fe62-4081-ab9e-45a10276badd	PRIMARY_AUXILIARIES
81f1a065-9779-4153-ab96-ca39e95140fb	ad84655c-cb44-4e87-9ef3-274b2630d902	UPS
81f1a065-9779-4153-ab96-ca39e95140fb	f66a2ee9-4db8-467f-b7ea-bd5e6f6b7f86	CRITICAL_AUXILIARIES
81f1a065-9779-4153-ab96-ca39e95140fb	64b05563-d982-4bd7-aa5a-b22cf5178858	LIGHTING
81f1a065-9779-4153-ab96-ca39e95140fb	e501df24-b755-4228-afdd-5eda9386451d	CRITICAL_POWER_DISTRIBUTION
81f1a065-9779-4153-ab96-ca39e95140fb	86def8ee-a3f9-4a73-8f87-de5151fce929	CRAH
81f1a065-9779-4153-ab96-ca39e95140fb	f83c7186-af42-45da-888f-7215a16910b4	CRAC
81f1a065-9779-4153-ab96-ca39e95140fb	803e63cc-d30b-48be-ad11-25826b1b0fd5	CRAC_WITHOUT_FAN
81f1a065-9779-4153-ab96-ca39e95140fb	5bcdaca9-b79b-4df9-9ef2-2b8828332935	CRAC_FAN
81f1a065-9779-4153-ab96-ca39e95140fb	8f3749a9-0647-4057-a458-9e44f49419f7	CHILLER
81f1a065-9779-4153-ab96-ca39e95140fb	2beabab2-04bb-49e0-8120-c921de11af2b	AIR_COOLED_CHILLER
81f1a065-9779-4153-ab96-ca39e95140fb	e433ca19-1bd6-46c2-9b0d-e17fe1415763	COOLING_TOWER
81f1a065-9779-4153-ab96-ca39e95140fb	2ef7a564-dd25-4aa7-9251-a54da2b855cb	DRY_COOLER
81f1a065-9779-4153-ab96-ca39e95140fb	cee196f7-7a74-42bd-9f7b-b423f9773e63	REMOTE_CONDENSER
81f1a065-9779-4153-ab96-ca39e95140fb	15fd8633-4343-4d2f-9a0a-3140fa3079a3	CHILLED_WATER_PUMPS
81f1a065-9779-4153-ab96-ca39e95140fb	37c6ff72-3e5c-420c-9f4c-c9b0cf868ea2	HEAT_REJECTION_PUMPS
81f1a065-9779-4153-ab96-ca39e95140fb	aed69928-09e1-4902-91a2-13566eb164a3	VENTILATION
81f1a065-9779-4153-ab96-ca39e95140fb	e4a1e1df-7f4d-4651-bd31-317aa304d4cc	INFILTRATION
81f1a065-9779-4153-ab96-ca39e95140fb	0850fc67-f333-467b-8e9e-c95b510689b5	IT_LOAD
8070f81e-edcd-420c-a807-2c0f375d7b38	0ddcf528-af9a-4d53-95fa-4b562803cd91	SWITCHGEAR
8070f81e-edcd-420c-a807-2c0f375d7b38	454ed761-3eaf-4494-adeb-0ef7a7f30851	GENERATOR
8070f81e-edcd-420c-a807-2c0f375d7b38	d159d3af-0918-4a95-8085-ed8da0f84fd7	PRIMARY_AUXILIARIES
8070f81e-edcd-420c-a807-2c0f375d7b38	64a11ccb-47c5-4287-b37e-8499ff2fe90a	UPS
8070f81e-edcd-420c-a807-2c0f375d7b38	3c7d772a-f5bb-4971-994a-6560f2ab4896	CRITICAL_AUXILIARIES
8070f81e-edcd-420c-a807-2c0f375d7b38	5ab409a2-bc8b-4aa6-962b-410588e2e590	LIGHTING
8070f81e-edcd-420c-a807-2c0f375d7b38	89a9d3e6-cb7c-4d27-a2a7-29b47f9df439	CRITICAL_POWER_DISTRIBUTION
8070f81e-edcd-420c-a807-2c0f375d7b38	92cc6269-de64-4a0f-8d16-c3de06acd4d8	CRAH
8070f81e-edcd-420c-a807-2c0f375d7b38	c6737690-d26f-43c4-8c01-6241ed428236	CRAC
8070f81e-edcd-420c-a807-2c0f375d7b38	71019eb4-014e-4b57-9cce-161ad484fa36	CRAC_WITHOUT_FAN
8070f81e-edcd-420c-a807-2c0f375d7b38	53386fe4-ed78-4274-a0eb-8fea08bf7ea7	CRAC_FAN
8070f81e-edcd-420c-a807-2c0f375d7b38	8de86b07-b922-4e78-8e66-32b2d191f284	CHILLER
8070f81e-edcd-420c-a807-2c0f375d7b38	14b10129-025a-4300-a7bb-6aa3764b5c7d	AIR_COOLED_CHILLER
8070f81e-edcd-420c-a807-2c0f375d7b38	9c0d820b-ceb8-4ec9-9ea4-8260f3d4412c	COOLING_TOWER
8070f81e-edcd-420c-a807-2c0f375d7b38	1fa7f708-5f6f-48a3-8be1-2c55de5c1134	DRY_COOLER
8070f81e-edcd-420c-a807-2c0f375d7b38	7ea394d5-2921-4fb4-b8ce-40762865091c	REMOTE_CONDENSER
8070f81e-edcd-420c-a807-2c0f375d7b38	6d49206d-74b9-4a16-becb-aea2ddc48c40	CHILLED_WATER_PUMPS
8070f81e-edcd-420c-a807-2c0f375d7b38	ca128ccc-452b-47e7-9f11-e8fc08f6f54a	HEAT_REJECTION_PUMPS
8070f81e-edcd-420c-a807-2c0f375d7b38	e177c652-72f6-46ac-99c7-235393866c47	VENTILATION
8070f81e-edcd-420c-a807-2c0f375d7b38	23aa0720-4bdd-4b14-9b4c-37efa29e095d	INFILTRATION
8070f81e-edcd-420c-a807-2c0f375d7b38	0a25106c-3f09-47b0-b483-6b65af196df4	IT_LOAD
2db829a5-e8a3-4d23-adcf-d5895732c72e	95a7ad0c-f5d6-4f67-beb0-2f886d91e809	SWITCHGEAR
2db829a5-e8a3-4d23-adcf-d5895732c72e	6c5f6ad9-05e1-4c73-a3cb-3eae6885bcf2	GENERATOR
2db829a5-e8a3-4d23-adcf-d5895732c72e	d4a120bd-e887-4d51-80d9-fe644d8c2cc6	PRIMARY_AUXILIARIES
2db829a5-e8a3-4d23-adcf-d5895732c72e	fd7ef459-ab7b-46a7-afe9-d1adc8ddbe53	UPS
2db829a5-e8a3-4d23-adcf-d5895732c72e	3530a577-8def-4360-a421-203521f62ca8	CRITICAL_AUXILIARIES
2db829a5-e8a3-4d23-adcf-d5895732c72e	39261256-b3a9-4936-9642-dac0bcf74955	LIGHTING
2db829a5-e8a3-4d23-adcf-d5895732c72e	cff2b65a-1d38-45b4-be34-353f3879115f	CRITICAL_POWER_DISTRIBUTION
2db829a5-e8a3-4d23-adcf-d5895732c72e	9e114f03-7741-4120-9ca6-539a7b0bdbbc	CRAH
2db829a5-e8a3-4d23-adcf-d5895732c72e	948dbd07-c7eb-4674-b954-19dffae444ae	CRAC
2db829a5-e8a3-4d23-adcf-d5895732c72e	0109ac66-cc49-41e1-b006-1fbc3c133910	CRAC_WITHOUT_FAN
2db829a5-e8a3-4d23-adcf-d5895732c72e	68f8377b-b9cf-4dfe-8cde-48c9c943e93e	CRAC_FAN
2db829a5-e8a3-4d23-adcf-d5895732c72e	d63d5637-f773-48f5-96f3-c9a15c195b0b	CHILLER
2db829a5-e8a3-4d23-adcf-d5895732c72e	749a07cf-5c44-4848-a257-3919597b6508	AIR_COOLED_CHILLER
2db829a5-e8a3-4d23-adcf-d5895732c72e	d3e9d9b0-9901-468f-8172-100f52ef552a	COOLING_TOWER
2db829a5-e8a3-4d23-adcf-d5895732c72e	634447c0-9c3d-433f-a756-ca65235107da	DRY_COOLER
2db829a5-e8a3-4d23-adcf-d5895732c72e	7113aa2c-eb8d-45e7-beaf-d452150174da	REMOTE_CONDENSER
2db829a5-e8a3-4d23-adcf-d5895732c72e	576bd66f-6058-4975-a694-78cf649c791f	CHILLED_WATER_PUMPS
2db829a5-e8a3-4d23-adcf-d5895732c72e	9a6589dc-36ca-4205-9143-d44c9c787015	HEAT_REJECTION_PUMPS
2db829a5-e8a3-4d23-adcf-d5895732c72e	dbf60fc6-7e32-42cf-97fb-a3cc613a9f62	VENTILATION
2db829a5-e8a3-4d23-adcf-d5895732c72e	6a95c91c-5d44-4faa-a877-e6b333d2a5dc	INFILTRATION
2db829a5-e8a3-4d23-adcf-d5895732c72e	7d0e8730-c4a4-45ca-999b-92ecfa6aa75e	IT_LOAD
887d5b86-a986-45d8-a3c9-84ff61b9b362	99a00f06-56cc-43e7-a49b-525a99e8d47e	SWITCHGEAR
887d5b86-a986-45d8-a3c9-84ff61b9b362	3b37ab34-dd6c-4465-a6bd-4a37ff6e9e25	GENERATOR
887d5b86-a986-45d8-a3c9-84ff61b9b362	9eb32996-5ffe-47cf-aead-daab4d177f92	PRIMARY_AUXILIARIES
887d5b86-a986-45d8-a3c9-84ff61b9b362	a65d3035-43ce-4013-afee-30a87e3b6a0c	UPS
887d5b86-a986-45d8-a3c9-84ff61b9b362	70eae0bd-b15a-4080-be45-41ade232f6ed	CRITICAL_AUXILIARIES
887d5b86-a986-45d8-a3c9-84ff61b9b362	079bc537-ff9d-422e-8012-1ada4fca38bb	LIGHTING
887d5b86-a986-45d8-a3c9-84ff61b9b362	c9b86b0c-c54e-4025-a0f8-c2c2b23e930a	CRITICAL_POWER_DISTRIBUTION
887d5b86-a986-45d8-a3c9-84ff61b9b362	c93597b3-d863-41b5-866e-ff8211598cca	CRAH
887d5b86-a986-45d8-a3c9-84ff61b9b362	e5e7025b-7176-4b18-81ff-18306b78af46	CRAC
887d5b86-a986-45d8-a3c9-84ff61b9b362	cfd1af82-9aa3-4cd5-b924-af25218acefb	CRAC_WITHOUT_FAN
887d5b86-a986-45d8-a3c9-84ff61b9b362	24be905f-427d-438e-930a-c8108070124a	CRAC_FAN
887d5b86-a986-45d8-a3c9-84ff61b9b362	20ffb00c-19a5-481f-88c8-abfcda6b743f	CHILLER
887d5b86-a986-45d8-a3c9-84ff61b9b362	e5b0ad91-ae7f-4e43-9704-f8ee8357550d	AIR_COOLED_CHILLER
887d5b86-a986-45d8-a3c9-84ff61b9b362	1e118813-57b3-41dc-af0c-9281cdcc35d9	COOLING_TOWER
887d5b86-a986-45d8-a3c9-84ff61b9b362	c552056d-9be8-464e-824b-1fe125ccf58b	DRY_COOLER
887d5b86-a986-45d8-a3c9-84ff61b9b362	02326970-e0e7-4969-84bb-7f91f89092d0	REMOTE_CONDENSER
887d5b86-a986-45d8-a3c9-84ff61b9b362	543304aa-3742-4b36-ab19-3676354b87d9	CHILLED_WATER_PUMPS
887d5b86-a986-45d8-a3c9-84ff61b9b362	9d77d504-5de3-4192-a6ba-9d060e306511	HEAT_REJECTION_PUMPS
887d5b86-a986-45d8-a3c9-84ff61b9b362	ef957b1c-ce1d-467c-8a55-0d86ebb6eebf	VENTILATION
887d5b86-a986-45d8-a3c9-84ff61b9b362	df27019f-6b68-4e2e-80b8-fda878fd218b	INFILTRATION
887d5b86-a986-45d8-a3c9-84ff61b9b362	5d42c8cb-52c7-43de-9e1a-82d0563f1c5d	IT_LOAD
67523153-68e4-416c-9c8c-9cc1cfdf55e8	68323171-fd3a-41bd-b786-9b9975ee82bc	SWITCHGEAR
67523153-68e4-416c-9c8c-9cc1cfdf55e8	58bb7a3f-7e7a-43ae-b43a-6594da255f14	GENERATOR
67523153-68e4-416c-9c8c-9cc1cfdf55e8	775e9449-e1bf-48cf-8c3e-df72b4ef028e	PRIMARY_AUXILIARIES
67523153-68e4-416c-9c8c-9cc1cfdf55e8	378c5019-2342-4117-bbaa-4a5116ae00b8	UPS
67523153-68e4-416c-9c8c-9cc1cfdf55e8	188bbad9-f28b-4abb-9054-7d8776b782ef	CRITICAL_AUXILIARIES
67523153-68e4-416c-9c8c-9cc1cfdf55e8	f90acf35-670f-4b01-9697-9a3234bd7cd0	LIGHTING
67523153-68e4-416c-9c8c-9cc1cfdf55e8	240bda97-70d6-4bfd-92ec-db113103f4d2	CRITICAL_POWER_DISTRIBUTION
67523153-68e4-416c-9c8c-9cc1cfdf55e8	a7ecc460-b8ef-405c-aaf4-81242e68f35d	CRAH
67523153-68e4-416c-9c8c-9cc1cfdf55e8	2b97b98d-4b58-49e8-ac0e-2f1c5d3083a1	CRAC
67523153-68e4-416c-9c8c-9cc1cfdf55e8	0195a28c-fa7a-4768-9805-49ad4e0b654c	CRAC_WITHOUT_FAN
67523153-68e4-416c-9c8c-9cc1cfdf55e8	80d79e54-91cf-47ba-a44f-35cb4f8dc323	CRAC_FAN
67523153-68e4-416c-9c8c-9cc1cfdf55e8	7cce2741-81c3-4ca4-a92e-890f68aef242	CHILLER
67523153-68e4-416c-9c8c-9cc1cfdf55e8	7e7dca90-a0e3-4467-ae83-ef3b359874a9	AIR_COOLED_CHILLER
67523153-68e4-416c-9c8c-9cc1cfdf55e8	473f38d2-8bb2-4f2a-82a9-fe851fdddcbd	COOLING_TOWER
67523153-68e4-416c-9c8c-9cc1cfdf55e8	a46e9144-23a5-49da-a620-a2e1206f90bd	DRY_COOLER
67523153-68e4-416c-9c8c-9cc1cfdf55e8	172d7459-ad06-4e65-a749-6320f8198f48	REMOTE_CONDENSER
67523153-68e4-416c-9c8c-9cc1cfdf55e8	41d0f963-5af8-4051-87fe-82401a5b4661	CHILLED_WATER_PUMPS
67523153-68e4-416c-9c8c-9cc1cfdf55e8	d207d2b3-e6dc-414d-967b-4aafb305a644	HEAT_REJECTION_PUMPS
67523153-68e4-416c-9c8c-9cc1cfdf55e8	714c7b23-ea71-43ed-85b7-6797166bdb68	VENTILATION
67523153-68e4-416c-9c8c-9cc1cfdf55e8	5bfce7c1-9684-4634-ba2c-63c6272b6bed	INFILTRATION
67523153-68e4-416c-9c8c-9cc1cfdf55e8	3353715c-98d7-497f-9c36-fe2daf670caa	IT_LOAD
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	f7f2b094-aa66-4cd0-914d-c7ccd6980991	SWITCHGEAR
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	b871a493-1c78-46af-9909-716819108856	GENERATOR
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	330d414d-0567-49d7-b041-874bf41e0906	PRIMARY_AUXILIARIES
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	fec3540a-234f-4f12-b273-ed52f9b317e5	UPS
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	d7b98491-54a2-4b76-87ea-1ac223829ea1	CRITICAL_AUXILIARIES
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	f2364c2f-70c3-4b55-91e2-e101eb9a2d87	LIGHTING
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	dca73b68-dc60-43fb-9f8a-98b95330e744	CRITICAL_POWER_DISTRIBUTION
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	9c915259-ac51-4110-9e7c-5f43365db43c	CRAH
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	af7d333c-c400-4f43-ab64-b3acc59523b9	CRAC
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	587a9c78-12f9-4a42-8345-51d08c6de4ec	CRAC_WITHOUT_FAN
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	cab57343-1b81-4a30-928c-967d80f09b8f	CRAC_FAN
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	98a3acf5-66a6-4d80-934d-59c3b6fbd506	CHILLER
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	e3445c60-76d5-4941-88f0-cd484d8b8bdb	AIR_COOLED_CHILLER
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	18ca3a24-6fa2-4821-9747-ea1efabde539	COOLING_TOWER
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	77b1527c-5967-44e2-ace4-deb686756861	DRY_COOLER
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	aee67ecd-6408-4eaa-9a95-91d9657ac5fa	REMOTE_CONDENSER
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	9a8b485c-14f5-4931-88f0-43cdb2d6bf4b	CHILLED_WATER_PUMPS
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	23b10810-8560-4178-b028-b0eb80ebe068	HEAT_REJECTION_PUMPS
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	52a325a8-ce5a-4eb0-b1f1-453403717bd8	VENTILATION
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	3618561c-488b-4f06-a799-f5e560c44daf	INFILTRATION
93cb5cb3-1a15-4c2a-b07a-c861b0d6092e	a4397886-4938-402b-93b9-012463954c23	IT_LOAD
57821358-0563-491c-875c-f3e82342d049	08fee700-2d14-4443-8f03-aa3df493bfe1	SWITCHGEAR
57821358-0563-491c-875c-f3e82342d049	646ef3d3-44a0-434b-932a-f3b5c6a687ed	GENERATOR
57821358-0563-491c-875c-f3e82342d049	444b4f64-1d98-47bc-82b6-d7e5bf27a6b1	PRIMARY_AUXILIARIES
57821358-0563-491c-875c-f3e82342d049	1997725b-e46c-4661-a548-b502c7644e9f	UPS
57821358-0563-491c-875c-f3e82342d049	9221a582-221a-493b-bace-9a742aaad072	CRITICAL_AUXILIARIES
57821358-0563-491c-875c-f3e82342d049	d7965284-cbb2-4841-933b-c3551f45623f	LIGHTING
57821358-0563-491c-875c-f3e82342d049	41f2fac5-1af5-4a6e-87a2-5ae77ffd9c7f	CRITICAL_POWER_DISTRIBUTION
57821358-0563-491c-875c-f3e82342d049	10df71d1-e8b6-4163-b46a-9d3c63a7edbd	CRAH
57821358-0563-491c-875c-f3e82342d049	963a2f9e-d25c-4825-985e-19995b41c25f	CRAC
57821358-0563-491c-875c-f3e82342d049	40d40d37-2728-4a0f-b3fc-486441f08a3b	CRAC_WITHOUT_FAN
57821358-0563-491c-875c-f3e82342d049	c6708561-6145-4b25-be72-4c13a39becfd	CRAC_FAN
57821358-0563-491c-875c-f3e82342d049	d8e4d895-98a0-4098-a41b-6b01a91eb394	CHILLER
57821358-0563-491c-875c-f3e82342d049	20b99060-c94a-4007-b022-b0a49e2c6149	AIR_COOLED_CHILLER
57821358-0563-491c-875c-f3e82342d049	b0f5af25-a7db-4c60-8a25-a5e1af489142	COOLING_TOWER
57821358-0563-491c-875c-f3e82342d049	809dacfa-63b6-494a-8d58-36a58ef8ab01	DRY_COOLER
57821358-0563-491c-875c-f3e82342d049	8c709a32-c301-4e27-9233-14773f07123c	REMOTE_CONDENSER
57821358-0563-491c-875c-f3e82342d049	695c959c-23d7-47b0-ba73-1fa4198596fd	CHILLED_WATER_PUMPS
57821358-0563-491c-875c-f3e82342d049	6bd6e53e-d8d5-4b60-9edf-ce8a58ac5af9	HEAT_REJECTION_PUMPS
57821358-0563-491c-875c-f3e82342d049	ffeffccd-38b3-4264-b7fc-6097a2c2b726	VENTILATION
57821358-0563-491c-875c-f3e82342d049	1da61cbe-1bdf-426d-9632-9dacd73bb032	INFILTRATION
57821358-0563-491c-875c-f3e82342d049	c04ef8c7-e11e-46be-b536-f9da01c25586	IT_LOAD
2d581730-6d8d-4526-80f8-5744416131f2	cf9992af-600a-469f-8870-ee0a9ef12982	SWITCHGEAR
2d581730-6d8d-4526-80f8-5744416131f2	66eb4032-6ac1-44eb-a6d8-eb31f3e92d26	GENERATOR
2d581730-6d8d-4526-80f8-5744416131f2	99ab85a2-6263-443d-a8ac-2803e0e375ff	PRIMARY_AUXILIARIES
2d581730-6d8d-4526-80f8-5744416131f2	1d7fab3a-cc17-4a18-8698-0b3ded13313f	UPS
2d581730-6d8d-4526-80f8-5744416131f2	c0c39e84-70e0-4e64-9cf6-0e7b2208ab45	CRITICAL_AUXILIARIES
2d581730-6d8d-4526-80f8-5744416131f2	b032da0d-3ab0-4ea1-aafd-bda5a29513b1	LIGHTING
2d581730-6d8d-4526-80f8-5744416131f2	1e0b7d88-a360-4740-932e-8ef94ce3b740	CRITICAL_POWER_DISTRIBUTION
2d581730-6d8d-4526-80f8-5744416131f2	a8a08c17-354b-475e-9475-de3c89249e07	CRAH
2d581730-6d8d-4526-80f8-5744416131f2	124f3ada-5768-40c4-8d75-b8bc4da8c85d	CRAC
2d581730-6d8d-4526-80f8-5744416131f2	ced8b04a-a5ea-494a-b028-20acfec3e985	CRAC_WITHOUT_FAN
2d581730-6d8d-4526-80f8-5744416131f2	d9fe38c4-b46e-4c1d-92a4-624d95e4e60e	CRAC_FAN
2d581730-6d8d-4526-80f8-5744416131f2	735bb18f-0d4a-4de2-81ee-4e91c0c8f49b	CHILLER
2d581730-6d8d-4526-80f8-5744416131f2	7539703f-56c1-420f-8bde-922d9afb361c	AIR_COOLED_CHILLER
2d581730-6d8d-4526-80f8-5744416131f2	199e6f86-5371-46b3-b0e1-04b4e1301fa0	COOLING_TOWER
2d581730-6d8d-4526-80f8-5744416131f2	a43ef5a8-712e-4148-b0f2-00bb49a6b011	DRY_COOLER
2d581730-6d8d-4526-80f8-5744416131f2	04cdb5ff-6eef-44bb-8b21-e4664674fab4	REMOTE_CONDENSER
2d581730-6d8d-4526-80f8-5744416131f2	f6cee1ce-e4a0-4d6b-8886-ee96fd2f4993	CHILLED_WATER_PUMPS
2d581730-6d8d-4526-80f8-5744416131f2	12eef067-f5ed-4d36-982f-8b7e8212ff7c	HEAT_REJECTION_PUMPS
2d581730-6d8d-4526-80f8-5744416131f2	4e2b366e-3233-4193-afaa-abc1ca53ee09	VENTILATION
2d581730-6d8d-4526-80f8-5744416131f2	c03d8ed4-6e14-436f-bda0-7e158bd995e4	INFILTRATION
2d581730-6d8d-4526-80f8-5744416131f2	77db0c07-7f70-4de3-8ab3-23b551d9b351	IT_LOAD
aef38740-63d0-40a3-8cda-ec55eed1005c	72fec9d2-6768-4a3d-b9d1-cca24f4700b7	SWITCHGEAR
aef38740-63d0-40a3-8cda-ec55eed1005c	6d63e266-ba68-4274-9671-12882d03e7bf	GENERATOR
aef38740-63d0-40a3-8cda-ec55eed1005c	3f66ef47-dcd4-49e2-823c-2a0163ca08f1	PRIMARY_AUXILIARIES
aef38740-63d0-40a3-8cda-ec55eed1005c	59e1fd3f-c8a9-4a51-b395-303f3da06113	UPS
aef38740-63d0-40a3-8cda-ec55eed1005c	fdb61adc-885d-4478-abd1-ec0525a80662	CRITICAL_AUXILIARIES
aef38740-63d0-40a3-8cda-ec55eed1005c	69ebb9c2-32b5-4372-bca8-3a2340cb13ea	LIGHTING
aef38740-63d0-40a3-8cda-ec55eed1005c	608ce71e-be98-4342-9460-6f45506c9cfc	CRITICAL_POWER_DISTRIBUTION
aef38740-63d0-40a3-8cda-ec55eed1005c	9f874227-a25c-4462-ba74-3d342d1cdd86	CRAH
aef38740-63d0-40a3-8cda-ec55eed1005c	1ed80f25-d0e6-4aee-908a-4f52b18b873c	CRAC
aef38740-63d0-40a3-8cda-ec55eed1005c	f1f98f5b-9f65-452e-91ed-684f49371453	CRAC_WITHOUT_FAN
aef38740-63d0-40a3-8cda-ec55eed1005c	8b7ffdb4-f2a8-4c99-b93f-47cce3334724	CRAC_FAN
aef38740-63d0-40a3-8cda-ec55eed1005c	ed8e3032-2c3e-4a38-a5c4-991abad60ff9	CHILLER
aef38740-63d0-40a3-8cda-ec55eed1005c	f7d0a24f-e155-4115-a311-fb1a054f55b5	AIR_COOLED_CHILLER
aef38740-63d0-40a3-8cda-ec55eed1005c	34eb9ae0-5c76-4369-a6d4-a0aa4d1c61be	COOLING_TOWER
aef38740-63d0-40a3-8cda-ec55eed1005c	1ad9b7ae-c0eb-40eb-b9c8-f08ec5e55499	DRY_COOLER
aef38740-63d0-40a3-8cda-ec55eed1005c	a158cdc1-712a-401b-8459-7ea06a9d86fe	REMOTE_CONDENSER
aef38740-63d0-40a3-8cda-ec55eed1005c	6c3438c4-ab49-466a-ab0c-c2ef728fbf86	CHILLED_WATER_PUMPS
aef38740-63d0-40a3-8cda-ec55eed1005c	bc50e4ae-a208-4839-bd3b-ef608f19158e	HEAT_REJECTION_PUMPS
aef38740-63d0-40a3-8cda-ec55eed1005c	c034d669-064c-45b8-8c4a-b66be9e3dc78	VENTILATION
aef38740-63d0-40a3-8cda-ec55eed1005c	a265b767-eb5f-424f-a042-29dbc2cdd057	INFILTRATION
aef38740-63d0-40a3-8cda-ec55eed1005c	333714ec-9dde-42f1-8d44-a6b1ee7ab6f6	IT_LOAD
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	54b34124-a1db-4bf9-b545-cb749e96e122	SWITCHGEAR
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	2c5585a7-1fc0-41fd-8fe1-c4ede82db01b	GENERATOR
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	07539e99-0290-4c6b-bebe-2f2f9d2170d8	PRIMARY_AUXILIARIES
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	07dd5036-3d65-4733-8c6b-f27664172c75	UPS
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	1e85d589-285e-4db8-a66c-24e9821afdd3	CRITICAL_AUXILIARIES
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	6062a632-af48-4249-89b5-e2df11401181	LIGHTING
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	75282204-ebfd-45e4-88cb-c1419dc7a280	CRITICAL_POWER_DISTRIBUTION
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	0395e83f-b3fe-492b-8912-28c61d283ffc	CRAH
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	d41235ee-82c1-4e0f-a1db-42f852b0e5df	CRAC
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	ce0b5f9f-d51c-4a23-9418-6ff5eaa9bdfd	CRAC_WITHOUT_FAN
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	f546622d-1fdc-436c-a012-869f0bfa88a1	CRAC_FAN
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	d6eaad2b-b414-4dd0-8650-f9f355f7fdd2	CHILLER
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	d58c23e2-a953-41ed-b1aa-17fcf6a23e62	AIR_COOLED_CHILLER
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	b70b5806-5984-466b-9830-408114676f4c	COOLING_TOWER
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	d292d660-6025-4663-a33b-eaae91afb6fb	DRY_COOLER
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	e1840ae6-8a49-472c-a259-9ea5d6a66a7d	REMOTE_CONDENSER
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	c551499c-119e-4eb3-b38a-d2a28cc20b41	CHILLED_WATER_PUMPS
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	f51d67a3-fb42-4e5c-b493-e9843a565f10	HEAT_REJECTION_PUMPS
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	c80c1b77-9139-4081-b5bd-a9cd7a4b159c	VENTILATION
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	afcf90d2-66ef-4f43-88de-eab4e498c026	INFILTRATION
26d1e39b-6684-4eb0-bf82-2290f2a94a0b	221a908d-3986-42bc-b1bb-bd9d9e83fadf	IT_LOAD
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	002e7666-07dc-4d94-8ee1-1e9cf9c65230	SWITCHGEAR
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	9c072bb4-21b1-432f-bf63-f76672e4e93d	GENERATOR
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	e1dc9a18-f665-44b5-8ffd-72e960595518	PRIMARY_AUXILIARIES
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	0a6324be-a0a2-4c43-8d12-08933ce2acd6	UPS
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	ca7e6f03-3408-4ba9-9af5-3469ae6d5dc8	CRITICAL_AUXILIARIES
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	653d9d76-368b-4d8d-bebf-7edecf7a21d3	LIGHTING
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	7144baa7-ac12-44ad-807e-02841de92fab	CRITICAL_POWER_DISTRIBUTION
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	400920ff-2fe3-487a-ba4d-8ba81acf0a6f	CRAH
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	7032d033-956a-4c9f-a8ef-dbb7fc92644a	CRAC
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	a4d27884-ded0-485a-a67c-cc18e30f4a64	CRAC_WITHOUT_FAN
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	6de5e4ed-d3d3-4b01-b4ad-525f3db4e349	CRAC_FAN
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	17f0a4d5-27d7-4a1b-a4ab-a0d869f0a5a1	CHILLER
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	dd4f154b-0fbf-4251-b3f8-a7100273be6e	AIR_COOLED_CHILLER
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	cffdd1af-ef96-4171-8f05-e03bc743a692	COOLING_TOWER
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	64395560-52f3-418c-ab02-840f51357470	DRY_COOLER
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	6d88b1eb-96a7-4145-aff8-ebcbf9132f33	REMOTE_CONDENSER
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	a5dd5dcc-9cdd-4c15-8145-db12855eb418	CHILLED_WATER_PUMPS
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	a9a8812e-3b03-468c-bca9-b4a6dae2fd0c	HEAT_REJECTION_PUMPS
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	be2c4d40-7049-438d-a61c-63ffcd56f9b2	VENTILATION
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	e39d89f7-971d-4702-baac-6add87a39d12	INFILTRATION
caedfe8b-6fe2-4c71-acb9-12560b7e84ec	b558f2de-63af-45a3-a485-464eade389f5	IT_LOAD
3d58ecd7-15a9-45f6-b67e-2d280684c20c	3dffff9f-371e-4b26-919e-b45a0f2810f1	SWITCHGEAR
3d58ecd7-15a9-45f6-b67e-2d280684c20c	82da294c-9747-4d6d-9a62-9db5c7f53669	GENERATOR
3d58ecd7-15a9-45f6-b67e-2d280684c20c	a5972be6-0a30-4933-801e-d2d5984b3fea	PRIMARY_AUXILIARIES
3d58ecd7-15a9-45f6-b67e-2d280684c20c	5ea45cfc-4a33-485a-90a8-7383aff501d4	UPS
3d58ecd7-15a9-45f6-b67e-2d280684c20c	af6a351a-4be6-49af-a204-398c338acb3a	CRITICAL_AUXILIARIES
3d58ecd7-15a9-45f6-b67e-2d280684c20c	a7e390b7-5cec-4cb7-a620-206fd43b21ee	LIGHTING
3d58ecd7-15a9-45f6-b67e-2d280684c20c	212bcc3d-07c7-4580-a6d5-b437789d541a	CRITICAL_POWER_DISTRIBUTION
3d58ecd7-15a9-45f6-b67e-2d280684c20c	4245f908-27d5-4e53-8caf-71d83a32743f	CRAH
3d58ecd7-15a9-45f6-b67e-2d280684c20c	8d076aeb-5a0d-49c0-9955-7f027564155c	CRAC
3d58ecd7-15a9-45f6-b67e-2d280684c20c	4bdbffd5-5359-4448-b8be-c8ef5b8d8f5e	CRAC_WITHOUT_FAN
3d58ecd7-15a9-45f6-b67e-2d280684c20c	9831946f-cc36-4047-890e-85a0de3a24e1	CRAC_FAN
3d58ecd7-15a9-45f6-b67e-2d280684c20c	b43edc12-7fa4-4d43-a7eb-5280daf7f342	CHILLER
3d58ecd7-15a9-45f6-b67e-2d280684c20c	26b920fa-d091-4d4a-b32b-4a23590932d5	AIR_COOLED_CHILLER
3d58ecd7-15a9-45f6-b67e-2d280684c20c	8e6f6578-0bad-4b99-9cca-a6e435880b9b	COOLING_TOWER
3d58ecd7-15a9-45f6-b67e-2d280684c20c	26bb187d-559c-4471-b71c-0e8ca6e5dea0	DRY_COOLER
3d58ecd7-15a9-45f6-b67e-2d280684c20c	d9a8827d-db7d-46fb-9ec0-2e4cab37253d	REMOTE_CONDENSER
3d58ecd7-15a9-45f6-b67e-2d280684c20c	a6ceedf2-64eb-4a79-a33b-4916235472d2	CHILLED_WATER_PUMPS
3d58ecd7-15a9-45f6-b67e-2d280684c20c	4023b326-c0dc-45fb-878e-5a408020e5ef	HEAT_REJECTION_PUMPS
3d58ecd7-15a9-45f6-b67e-2d280684c20c	43930c88-88e9-4b0b-8725-1697b2a1beb5	VENTILATION
3d58ecd7-15a9-45f6-b67e-2d280684c20c	1a6518c7-d32f-4d15-b65f-f30262974b39	INFILTRATION
3d58ecd7-15a9-45f6-b67e-2d280684c20c	1ba406a4-77cf-4b4d-99f4-8c7d780a8546	IT_LOAD
93fc963a-fdd3-4444-8e9b-54c9c86dc631	fe237e2d-9841-4372-b1ed-f683d85cf3dc	SWITCHGEAR
93fc963a-fdd3-4444-8e9b-54c9c86dc631	1ca6e09e-3af8-4c04-b503-0b8449c82443	GENERATOR
93fc963a-fdd3-4444-8e9b-54c9c86dc631	531910f4-c24a-4ca3-aaaa-6d62dce6445a	PRIMARY_AUXILIARIES
93fc963a-fdd3-4444-8e9b-54c9c86dc631	fa2b835f-b791-4384-ac2f-3a946d42fe33	UPS
93fc963a-fdd3-4444-8e9b-54c9c86dc631	1aae86af-c43b-46f4-99a2-bc256c5bb724	CRITICAL_AUXILIARIES
93fc963a-fdd3-4444-8e9b-54c9c86dc631	b31ddc29-33cd-4871-910d-b88ef8b24d52	LIGHTING
93fc963a-fdd3-4444-8e9b-54c9c86dc631	fff55ba8-9c38-41b7-80ab-5040c66bb85c	CRITICAL_POWER_DISTRIBUTION
93fc963a-fdd3-4444-8e9b-54c9c86dc631	819723e6-5814-4ec9-8ea1-c7699b9e6575	CRAH
93fc963a-fdd3-4444-8e9b-54c9c86dc631	a9746af1-cb1f-4afb-9d67-8f433bf9bde3	CRAC
93fc963a-fdd3-4444-8e9b-54c9c86dc631	34536a4b-4edb-4b31-97fe-0c7bd3d40d79	CRAC_WITHOUT_FAN
93fc963a-fdd3-4444-8e9b-54c9c86dc631	c0e7a8d7-f1ea-4c66-96f2-a4b1a974f0d5	CRAC_FAN
93fc963a-fdd3-4444-8e9b-54c9c86dc631	ea3bce67-79c5-4939-a4ea-08bf174646db	CHILLER
93fc963a-fdd3-4444-8e9b-54c9c86dc631	3a1059cd-64f3-400f-ab9c-024ea4c2da12	AIR_COOLED_CHILLER
93fc963a-fdd3-4444-8e9b-54c9c86dc631	bc12542a-3868-41cf-afdf-3085d26fa7ec	COOLING_TOWER
93fc963a-fdd3-4444-8e9b-54c9c86dc631	9c46356d-31fb-484c-add0-9a079e3a41f2	DRY_COOLER
93fc963a-fdd3-4444-8e9b-54c9c86dc631	8b2f787d-8227-4516-b546-a9ab5bfc7a05	REMOTE_CONDENSER
93fc963a-fdd3-4444-8e9b-54c9c86dc631	8b8d3f0c-b0e2-45cf-80f1-9cc8921b7203	CHILLED_WATER_PUMPS
93fc963a-fdd3-4444-8e9b-54c9c86dc631	5153bbd8-54df-4ecb-bf7b-fb437697ac31	HEAT_REJECTION_PUMPS
93fc963a-fdd3-4444-8e9b-54c9c86dc631	ead4418a-4014-40e0-9ea0-0f1d94f4fd1e	VENTILATION
93fc963a-fdd3-4444-8e9b-54c9c86dc631	b26132c0-6c84-4be9-af24-4ae5012f268f	INFILTRATION
93fc963a-fdd3-4444-8e9b-54c9c86dc631	e1f8c43e-3459-4e81-a4d3-01118815c221	IT_LOAD
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	98f1cd57-cf4f-41bf-b451-a1a5469a3468	SWITCHGEAR
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	64444180-418d-47fe-b658-c56c8a4386b3	GENERATOR
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	dc402cf5-68ea-4d71-b3bb-d60ef6e392e5	PRIMARY_AUXILIARIES
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	1013c2e3-5d36-43c3-927e-0c38276e0dea	UPS
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	77bd1d3a-96fe-4655-972c-626b630a6698	CRITICAL_AUXILIARIES
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	42fc9989-402a-4ee2-85f1-674b09005d55	LIGHTING
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	c27ee4d7-fa8c-47d8-9c1a-269e6d1eb50b	CRITICAL_POWER_DISTRIBUTION
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	82f48c4b-3c4a-4b69-84dc-872b6e6331c8	CRAH
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	506453f1-7e37-4ad2-af49-7789939b178c	CRAC
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	ef5e2237-5369-4443-ab80-06c314e0b19a	CRAC_WITHOUT_FAN
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	62faf61b-f14c-46dc-9317-5c528c644af1	CRAC_FAN
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	5bbb6e41-883f-4b83-9e4f-24611bdb581e	CHILLER
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	18295bb6-2ef4-4e48-9640-8922ea196fde	AIR_COOLED_CHILLER
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	c0de25ab-b540-4a68-ac33-55d906071aae	COOLING_TOWER
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	a274291e-da0f-4d51-885f-5bd1d75bb42f	DRY_COOLER
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	79c9b979-3579-4faf-8f2c-a170d87f9025	REMOTE_CONDENSER
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	df0e4fb8-11a2-40a2-8c89-5d80620a7dfd	CHILLED_WATER_PUMPS
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	55f3da83-4f91-4fd9-9047-5f46fd2f1c3f	HEAT_REJECTION_PUMPS
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	47c18f0a-2024-4691-a3cb-29682691eb93	VENTILATION
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	dc768156-58d0-4d38-b6c2-48e5471cd1ad	INFILTRATION
9975efd6-928a-4ef1-a9ed-b74f0c5a8769	52235986-69c7-4a87-8872-645e37edf397	IT_LOAD
9205d883-19f4-4174-81aa-ba85999aa05c	46939307-218f-4776-832a-0a58298e4d36	SWITCHGEAR
9205d883-19f4-4174-81aa-ba85999aa05c	f726fc6b-8988-40ea-aad5-b1e07f56a8fd	GENERATOR
9205d883-19f4-4174-81aa-ba85999aa05c	d4a99e42-7f70-471d-b118-6a9bf93ad4c5	PRIMARY_AUXILIARIES
9205d883-19f4-4174-81aa-ba85999aa05c	6f18f37e-78a8-4e57-8d2a-04e7a685a30a	UPS
9205d883-19f4-4174-81aa-ba85999aa05c	c837c629-ac59-43da-9c2f-b84fdf0baa4c	CRITICAL_AUXILIARIES
9205d883-19f4-4174-81aa-ba85999aa05c	080d35e7-7951-4faf-8817-88cc241d1218	LIGHTING
9205d883-19f4-4174-81aa-ba85999aa05c	50aee14e-b580-4480-9e14-f8ea4281a875	CRITICAL_POWER_DISTRIBUTION
9205d883-19f4-4174-81aa-ba85999aa05c	e5b92d0c-5870-449b-b653-2878afbe003f	CRAH
9205d883-19f4-4174-81aa-ba85999aa05c	4f9f0417-fd89-43b1-a296-0f72a6ad40bf	CRAC
9205d883-19f4-4174-81aa-ba85999aa05c	1f74e9ab-05bc-412f-80fe-7b5700afb796	CRAC_WITHOUT_FAN
9205d883-19f4-4174-81aa-ba85999aa05c	203c7056-2919-4c19-b4f2-ae47af3d9e9e	CRAC_FAN
9205d883-19f4-4174-81aa-ba85999aa05c	31296424-e28f-4a1b-938c-55c8e689683e	CHILLER
9205d883-19f4-4174-81aa-ba85999aa05c	a65d1575-3d04-4d3c-bc3a-eccceb1448fe	AIR_COOLED_CHILLER
9205d883-19f4-4174-81aa-ba85999aa05c	b41a3e72-d29b-4e51-af98-eaeafa02f3e6	COOLING_TOWER
9205d883-19f4-4174-81aa-ba85999aa05c	8a10299e-27d5-4b3b-9bc1-dd93a909ce97	DRY_COOLER
9205d883-19f4-4174-81aa-ba85999aa05c	2b4edf82-9c4a-4871-9ff0-615a8ccc774b	REMOTE_CONDENSER
9205d883-19f4-4174-81aa-ba85999aa05c	89854334-b2a5-4b1e-bef0-2759a50802be	CHILLED_WATER_PUMPS
9205d883-19f4-4174-81aa-ba85999aa05c	d821e3ad-732e-4913-a641-bdf7e8395111	HEAT_REJECTION_PUMPS
9205d883-19f4-4174-81aa-ba85999aa05c	08d2f490-c7db-4f25-a902-5e112cbfc046	VENTILATION
9205d883-19f4-4174-81aa-ba85999aa05c	facdbb8b-bd1e-43b1-802f-b15f4a60a897	INFILTRATION
9205d883-19f4-4174-81aa-ba85999aa05c	0707f1f1-77d3-4f1e-80cc-10ac3c254764	IT_LOAD
a7da3ee9-dfae-4839-a2a8-3732b644225e	b2aa297d-522c-428f-a038-c3774c2072ed	SWITCHGEAR
a7da3ee9-dfae-4839-a2a8-3732b644225e	25ca0964-21d0-4e35-9f7f-8f067cf5064d	GENERATOR
a7da3ee9-dfae-4839-a2a8-3732b644225e	b412247e-1975-467c-832f-b518e85080fe	PRIMARY_AUXILIARIES
a7da3ee9-dfae-4839-a2a8-3732b644225e	3ce2f275-0580-42cf-a052-f2789bb0eae7	UPS
a7da3ee9-dfae-4839-a2a8-3732b644225e	3d7b10a3-aa25-4ee8-a593-8aaffaefcaf0	CRITICAL_AUXILIARIES
a7da3ee9-dfae-4839-a2a8-3732b644225e	065f65ef-514e-4650-a858-55ebcbeefd70	LIGHTING
a7da3ee9-dfae-4839-a2a8-3732b644225e	cb855968-e65e-4c89-a246-616e78594e00	CRITICAL_POWER_DISTRIBUTION
a7da3ee9-dfae-4839-a2a8-3732b644225e	2207248c-3780-4360-86ab-9ea3ffe64860	CRAH
a7da3ee9-dfae-4839-a2a8-3732b644225e	944d6904-191b-4afc-b018-abffa21cc1e1	CRAC
a7da3ee9-dfae-4839-a2a8-3732b644225e	c6e2a6d8-2a75-47ac-bf82-3793d862d6c8	CRAC_WITHOUT_FAN
a7da3ee9-dfae-4839-a2a8-3732b644225e	163a6c19-c4ae-4407-98bf-a0d24128906c	CRAC_FAN
a7da3ee9-dfae-4839-a2a8-3732b644225e	689f0b46-0a8d-4152-9ea6-bdc0b21fa211	CHILLER
a7da3ee9-dfae-4839-a2a8-3732b644225e	c03ba922-bf3d-496c-b771-590b6461f5c9	AIR_COOLED_CHILLER
a7da3ee9-dfae-4839-a2a8-3732b644225e	1d836c53-abf1-4e83-832b-47fd91188c32	COOLING_TOWER
a7da3ee9-dfae-4839-a2a8-3732b644225e	61685b7b-16fe-458e-aa90-20ad46d7f5ae	DRY_COOLER
a7da3ee9-dfae-4839-a2a8-3732b644225e	9f50e58f-b059-430b-8908-3f6aca30a1cc	REMOTE_CONDENSER
a7da3ee9-dfae-4839-a2a8-3732b644225e	b5991e52-a0fa-4189-9946-2d85ac9b568c	CHILLED_WATER_PUMPS
a7da3ee9-dfae-4839-a2a8-3732b644225e	6f705b00-4151-44bc-8994-bf5e305b4f82	HEAT_REJECTION_PUMPS
a7da3ee9-dfae-4839-a2a8-3732b644225e	e6351cee-253e-40b7-8b1a-2dc0415b49e9	VENTILATION
a7da3ee9-dfae-4839-a2a8-3732b644225e	838cc440-8ec6-425c-8eb5-e74ad8852988	INFILTRATION
a7da3ee9-dfae-4839-a2a8-3732b644225e	3ec05a5d-f79d-4333-86ee-a3834a745fa6	IT_LOAD
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	8ac692b1-e4b7-4e4a-a308-ae1e90121942	SWITCHGEAR
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	173e30f0-9c54-4490-9f72-7e63725bfeed	GENERATOR
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	5337b1d1-670b-4ed0-8130-1e9072438907	PRIMARY_AUXILIARIES
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	0c4f7ca6-eb82-48f9-989a-f3135d74638e	UPS
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	0075fbe0-6a94-47bb-94e2-2b0c16747f9c	CRITICAL_AUXILIARIES
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	2357c7ed-6002-440a-96e6-5de09150e798	LIGHTING
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	8f4098ad-fe1b-4fd6-94ab-3d9c6745e74b	CRITICAL_POWER_DISTRIBUTION
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	4ae47e5c-b724-48ec-a74b-abb0634f901a	CRAH
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	936f0b2d-6cb0-4e13-8dff-d563bd62fe67	CRAC
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	8c994950-92e0-4390-9f8b-0dccffde49ef	CRAC_WITHOUT_FAN
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	8e1a7ed7-a9fa-448c-9700-3025db49f77b	CRAC_FAN
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	ff806b43-c3a8-4704-b432-398e502cb587	CHILLER
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	b3257c1d-28a7-4b1c-bfc4-fee8ea5f3b37	AIR_COOLED_CHILLER
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	8b6a5979-1bd3-4810-95ed-b321b0ad16ec	COOLING_TOWER
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	d016aee0-f515-45dc-ab08-02374104ad89	DRY_COOLER
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	c2c3caa7-b064-4444-a295-dc3a2a0c42b3	REMOTE_CONDENSER
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	6fab5be3-519a-4009-a5fa-57f0cf329ba9	CHILLED_WATER_PUMPS
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	7f7082d5-e17f-4c54-ba21-88a512fe6afb	HEAT_REJECTION_PUMPS
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	abcb8083-1391-491c-acd4-aafe37e05e6a	VENTILATION
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	e84acdeb-aa7a-41b9-87f1-4d8eea76a4f8	INFILTRATION
9bf9230d-aa0d-4c3c-b3f7-ed11e968d720	e4b97b50-7c57-4991-80fc-f9a82be91543	IT_LOAD
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	7ee520d8-4488-4ff9-941d-072b03525cbb	SWITCHGEAR
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	06b236ff-ee4f-4293-ae93-4441a2e686fa	GENERATOR
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	59da0b1b-7646-49f8-9706-537eb5c39de4	PRIMARY_AUXILIARIES
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	77e027d9-fbb8-4182-978f-9c2ea9e465de	UPS
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	87668fb3-e486-4cc6-be45-4792ec1e16e7	CRITICAL_AUXILIARIES
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	6e6e378f-6fd4-4530-a893-63e30759e16c	LIGHTING
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	7ceaa7ef-6efd-4cac-8aaa-140c47e03850	CRITICAL_POWER_DISTRIBUTION
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	e27c12fc-7c7a-4f63-9b56-ada0a7e1222e	CRAH
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	53c71ea7-cef2-413e-8429-d2c3ff25f80f	CRAC
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	f771b9e8-0b14-4155-ac66-dddfbe697bdf	CRAC_WITHOUT_FAN
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	64e88f35-8ae6-4a2d-8abb-f430c18b36d2	CRAC_FAN
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	b819647c-08c2-48b5-9809-19487d065cd5	CHILLER
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	c4b17fb9-5c6e-442b-8b45-34b01c08c55e	AIR_COOLED_CHILLER
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	a9fbc4d9-6bb4-4c5f-b3ab-91ac5048456e	COOLING_TOWER
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	2fd1200c-b9e4-489d-b019-eb61eed3bf9c	DRY_COOLER
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	247f46a0-9676-47d0-a1c6-1dffb75cd2d4	REMOTE_CONDENSER
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	3507e019-518d-4aff-b920-6320b4436379	CHILLED_WATER_PUMPS
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	7f1bbe10-52da-4e6c-9671-4cdd2b7025b6	HEAT_REJECTION_PUMPS
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	2a5b05b8-cc5e-488f-9201-38d98ddb8732	VENTILATION
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	90d6b44a-fee4-4f9a-818e-c177189fea64	INFILTRATION
9210ad13-6c4f-4aad-8d54-b99ae407fc1d	a8c8372b-70f2-492c-9755-ea430d51aa43	IT_LOAD
b3e477d8-f995-4691-adb8-a8cf5b749430	74e8cd40-2b69-43dc-9959-891217b9fb2d	SWITCHGEAR
b3e477d8-f995-4691-adb8-a8cf5b749430	720af148-a880-4597-8392-78c86276684f	GENERATOR
b3e477d8-f995-4691-adb8-a8cf5b749430	db053b82-16d0-46e4-adff-6125b2617378	PRIMARY_AUXILIARIES
b3e477d8-f995-4691-adb8-a8cf5b749430	622f3886-0e3c-47ff-a0b7-e06532023df9	UPS
b3e477d8-f995-4691-adb8-a8cf5b749430	16bf3184-1769-4016-a896-71d3f4bd06db	CRITICAL_AUXILIARIES
b3e477d8-f995-4691-adb8-a8cf5b749430	82f1f4cd-9c71-4785-8f66-4d52d05894c2	LIGHTING
b3e477d8-f995-4691-adb8-a8cf5b749430	f9c27721-7ee0-4c83-983b-e959824c25c5	CRITICAL_POWER_DISTRIBUTION
b3e477d8-f995-4691-adb8-a8cf5b749430	0fdf3187-ad0d-4a29-a88a-104167959c4d	CRAH
b3e477d8-f995-4691-adb8-a8cf5b749430	b53aac60-d3c2-4684-bdf1-1a8baa7a62da	CRAC
b3e477d8-f995-4691-adb8-a8cf5b749430	f634f72d-fb5a-4a6f-8afc-6d16059457fe	CRAC_WITHOUT_FAN
b3e477d8-f995-4691-adb8-a8cf5b749430	11c0f19d-1051-4788-8c94-bab4abddc8fe	CRAC_FAN
b3e477d8-f995-4691-adb8-a8cf5b749430	a8311de5-8479-4bbc-885e-b84b7468d285	CHILLER
b3e477d8-f995-4691-adb8-a8cf5b749430	09ed08f6-301b-4195-b95d-080d512827ce	AIR_COOLED_CHILLER
b3e477d8-f995-4691-adb8-a8cf5b749430	c0347643-6628-4d37-8cbe-82ae9c521fc7	COOLING_TOWER
b3e477d8-f995-4691-adb8-a8cf5b749430	861f4998-711e-4e6e-843f-f8d2a17f7e43	DRY_COOLER
b3e477d8-f995-4691-adb8-a8cf5b749430	e55b8c65-28ce-485e-ba46-086e6d92981c	REMOTE_CONDENSER
b3e477d8-f995-4691-adb8-a8cf5b749430	96240160-897b-46ac-b115-42d914fa0219	CHILLED_WATER_PUMPS
b3e477d8-f995-4691-adb8-a8cf5b749430	4f3b974b-9ef6-44c1-94a0-67f0546ef498	HEAT_REJECTION_PUMPS
b3e477d8-f995-4691-adb8-a8cf5b749430	aaecc4a3-4c89-4c41-a266-41234347c801	VENTILATION
b3e477d8-f995-4691-adb8-a8cf5b749430	91c01cba-bb0f-454d-8567-9c5e5e944b7d	INFILTRATION
b3e477d8-f995-4691-adb8-a8cf5b749430	7eb93ad9-b4b6-4aa2-9170-5cd885859a28	IT_LOAD
d1f3f907-5b11-4d67-8263-de29ef08a058	7399e123-3fea-4b4d-978e-0eefe1ac1613	SWITCHGEAR
d1f3f907-5b11-4d67-8263-de29ef08a058	cc66b2c6-7ecf-42fe-adaa-ab7c2fb6cc4d	GENERATOR
d1f3f907-5b11-4d67-8263-de29ef08a058	b6fda8af-eabf-4ea2-bcfd-6674ca41b48c	PRIMARY_AUXILIARIES
d1f3f907-5b11-4d67-8263-de29ef08a058	7a12b4ea-4c21-45ce-9a6a-0f844acdd9ff	UPS
d1f3f907-5b11-4d67-8263-de29ef08a058	b593834f-617a-44d4-b307-07279d62fb6b	CRITICAL_AUXILIARIES
d1f3f907-5b11-4d67-8263-de29ef08a058	48f1233a-d156-4f0b-b2a4-ab6a0d969a33	LIGHTING
d1f3f907-5b11-4d67-8263-de29ef08a058	2951f4fe-1b67-4f13-b296-1dce2ccd64e6	CRITICAL_POWER_DISTRIBUTION
d1f3f907-5b11-4d67-8263-de29ef08a058	0bc17ee8-04f8-4823-bdbf-91846e1f2dcf	CRAH
d1f3f907-5b11-4d67-8263-de29ef08a058	a0a32017-3fee-4b33-9862-75171511343b	CRAC
d1f3f907-5b11-4d67-8263-de29ef08a058	a15fad36-88c8-4138-84cb-a9ef1040aa69	CRAC_WITHOUT_FAN
d1f3f907-5b11-4d67-8263-de29ef08a058	3100c365-0910-4c07-bb0f-c3ffd7cb2879	CRAC_FAN
d1f3f907-5b11-4d67-8263-de29ef08a058	c082280d-5b5a-4cdb-9db6-a3bb09d81675	CHILLER
d1f3f907-5b11-4d67-8263-de29ef08a058	71ecf6ba-2dbb-465d-a9bf-46054efed33f	AIR_COOLED_CHILLER
d1f3f907-5b11-4d67-8263-de29ef08a058	b927cf9f-7115-4f31-8ef5-521c11d46d56	COOLING_TOWER
d1f3f907-5b11-4d67-8263-de29ef08a058	651aa442-3b8f-4718-929a-06e3c2504d2d	DRY_COOLER
d1f3f907-5b11-4d67-8263-de29ef08a058	6e84514b-4cb5-4adc-ab14-47ecdbcfe218	REMOTE_CONDENSER
d1f3f907-5b11-4d67-8263-de29ef08a058	98545ff6-4647-49fa-bccb-d332668d73c8	CHILLED_WATER_PUMPS
d1f3f907-5b11-4d67-8263-de29ef08a058	e971b751-db0e-497a-bc2f-70c3b470b41e	HEAT_REJECTION_PUMPS
d1f3f907-5b11-4d67-8263-de29ef08a058	43505027-49d6-4fc0-bcb1-d63a0e34612d	VENTILATION
d1f3f907-5b11-4d67-8263-de29ef08a058	4b61c336-05ca-40bf-bb5c-135b9240b147	INFILTRATION
d1f3f907-5b11-4d67-8263-de29ef08a058	f8686725-9fa1-4ab3-9cc6-b682d8469685	IT_LOAD
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	0e4cd6db-6acb-45a2-a466-19cea336c994	SWITCHGEAR
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	b65d0600-629b-419c-b225-de576495000b	GENERATOR
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	c8b3e867-d2d5-4caf-b32e-f20382074209	PRIMARY_AUXILIARIES
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	0274838a-9392-417e-85d1-8cdc95bc19ad	UPS
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	e677750f-0bad-4b41-9966-cc73ac405ce8	CRITICAL_AUXILIARIES
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	d6c20606-66a2-4a2b-a312-84c9a9d83ca7	LIGHTING
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	c769f49b-d10a-4189-ab94-e7e5634862d3	CRITICAL_POWER_DISTRIBUTION
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	ff46ea9b-ff6e-4af4-9add-f57da279fa59	CRAH
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	3116e548-e3d9-4c6e-91b3-c8c45d446e7b	CRAC
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	8cc6d9a9-af56-4eea-acd4-a18f9ec280f1	CRAC_WITHOUT_FAN
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	6053b54b-623e-4688-b232-e2edad20512d	CRAC_FAN
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	a3a06776-c0ea-476f-9aa7-e5229e01b770	CHILLER
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	5b0ead28-6596-4a0e-a7f9-3426d7e10947	AIR_COOLED_CHILLER
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	4979b08d-5fad-438f-b30c-7cd892710751	COOLING_TOWER
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	f4d1dfd8-0682-4be6-ade9-e65f0ceeb3bf	DRY_COOLER
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	c48b36d3-6dc9-4a6d-9e3b-aee3375fe4d3	REMOTE_CONDENSER
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	639202a4-92dd-402f-a86f-a0cdf2d84d33	CHILLED_WATER_PUMPS
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	3705847e-41fa-4c6c-8732-37630428288e	HEAT_REJECTION_PUMPS
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	cc5901e8-e1d0-4654-bb01-955fd08eb057	VENTILATION
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	fbfe667d-6386-419a-85e9-f0e1e2ed921d	INFILTRATION
8ca6e7a0-f0d0-4cec-8ed1-a508d04b6cff	ba916ea8-2ecc-4335-a9d4-c329fc74b102	IT_LOAD
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	91265206-05f1-4de1-bd2d-3322421319bd	SWITCHGEAR
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	1536fc4a-ae14-4c3a-83ac-cf08bff27096	GENERATOR
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	465cc727-2b41-49d8-8f39-47df52b97763	PRIMARY_AUXILIARIES
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	84461978-3a4d-45ae-b0a8-2b72a8e47ebf	UPS
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	3f0176ec-8141-4902-baea-8ac39321da7e	CRITICAL_AUXILIARIES
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	35fd8d41-64da-493e-8fc1-e950744beac5	LIGHTING
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	573f79fc-165d-4f9d-861f-8083475361b6	CRITICAL_POWER_DISTRIBUTION
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	e5b88af9-ad55-415c-8734-44a074c355ee	CRAH
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	ff51f712-375f-49bc-8d00-6c930e2571f3	CRAC
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	32a74882-6f14-4925-9638-36975a09fde1	CRAC_WITHOUT_FAN
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	cc5fd176-2644-4b2d-9f3e-27708492a65e	CRAC_FAN
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	42078825-a459-4d8e-aa2e-9fe265e1d9d8	CHILLER
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	c34da0e2-e2c0-453a-869f-4663994d1e4a	AIR_COOLED_CHILLER
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	2c0629e6-7a0b-4f50-aa83-acc57a21531a	COOLING_TOWER
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	18682bda-8de3-42f3-8096-64792ba830c7	DRY_COOLER
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	1407ddaf-11b6-429b-b388-7aa7d6504dc9	REMOTE_CONDENSER
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	85a13882-a910-4557-aff0-634060c63fdb	CHILLED_WATER_PUMPS
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	a9ff5b9d-ad80-4456-8ccb-881fab07f1d3	HEAT_REJECTION_PUMPS
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	921d1e1d-029b-4cd2-a670-e29b5c09d253	VENTILATION
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	d5dbf65b-f64b-4402-aa27-48f84163c643	INFILTRATION
128d3a0b-5ddc-48a9-b53b-fa257f6addd6	ce882348-a4d1-4514-b915-33b649344ffd	IT_LOAD
fc7cc204-1dd1-4350-83dd-44b495537148	95990107-a1f5-49c5-8024-d71819cfa30c	SWITCHGEAR
fc7cc204-1dd1-4350-83dd-44b495537148	41f50adb-abd8-4b1e-ad82-f7d564a55c5b	GENERATOR
fc7cc204-1dd1-4350-83dd-44b495537148	c0343946-c2b4-422d-a1b6-ff9ebad9e9cb	PRIMARY_AUXILIARIES
fc7cc204-1dd1-4350-83dd-44b495537148	0294ef45-dd7a-4175-a605-21fc30f0937d	UPS
fc7cc204-1dd1-4350-83dd-44b495537148	2fb8f66e-c396-45d2-be23-7e9824c88f84	CRITICAL_AUXILIARIES
fc7cc204-1dd1-4350-83dd-44b495537148	31c3f194-4cb9-423f-aa0e-5a209e3723bc	LIGHTING
fc7cc204-1dd1-4350-83dd-44b495537148	c85be5e8-7fef-410a-83a7-f738c2131095	CRITICAL_POWER_DISTRIBUTION
fc7cc204-1dd1-4350-83dd-44b495537148	17c4e0b5-755a-4694-8944-3a50f55da3ed	CRAH
fc7cc204-1dd1-4350-83dd-44b495537148	632a8be8-b831-4b95-8d4c-a3a36b7de654	CRAC
fc7cc204-1dd1-4350-83dd-44b495537148	31ff0218-15a6-46f7-962b-bc9df1bbbd09	CRAC_WITHOUT_FAN
fc7cc204-1dd1-4350-83dd-44b495537148	26593f56-6d4f-4d0e-b45e-5ec12b97a9c9	CRAC_FAN
fc7cc204-1dd1-4350-83dd-44b495537148	61314294-ce76-4635-ada0-ef2eb35b4300	CHILLER
fc7cc204-1dd1-4350-83dd-44b495537148	3babb582-1228-4a40-88a1-197cd8335741	AIR_COOLED_CHILLER
fc7cc204-1dd1-4350-83dd-44b495537148	c29cd00d-7778-4ea2-ac7b-f9d7e1849df3	COOLING_TOWER
fc7cc204-1dd1-4350-83dd-44b495537148	10977941-8c72-45ef-bbc3-b891c314f955	DRY_COOLER
fc7cc204-1dd1-4350-83dd-44b495537148	3813df11-97bb-4d0c-aafc-dce48098acad	REMOTE_CONDENSER
fc7cc204-1dd1-4350-83dd-44b495537148	29967bb0-bb51-41b4-9a5c-e4f7e9b16290	CHILLED_WATER_PUMPS
fc7cc204-1dd1-4350-83dd-44b495537148	758bef20-cdc8-47c1-a0ca-667a1f1027c3	HEAT_REJECTION_PUMPS
fc7cc204-1dd1-4350-83dd-44b495537148	632060e9-d9e8-4027-8ee3-c3653fcc9b24	VENTILATION
fc7cc204-1dd1-4350-83dd-44b495537148	6db9d6d4-b58e-4550-94cb-40510b3bd021	INFILTRATION
fc7cc204-1dd1-4350-83dd-44b495537148	318c9975-0f2c-41e2-8633-0639158ccc04	IT_LOAD
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	1d3d7bb1-25fb-45db-a6c4-aa4394824581	SWITCHGEAR
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	b4f6f33c-b419-4bd5-84e9-5d0a7723b9a0	GENERATOR
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	c5e7e4bd-775f-4cea-b8c5-b54188cb801f	PRIMARY_AUXILIARIES
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	5ff7febb-ed2e-4334-90c9-187dea053708	UPS
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	b57408ff-5dec-4a4c-88ae-75173bf373e5	CRITICAL_AUXILIARIES
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	1a38853a-4907-4881-a4d2-57dbc5020892	LIGHTING
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	ccc07008-943d-4cb0-b404-262643cbf795	CRITICAL_POWER_DISTRIBUTION
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	51dec9a5-a25d-4035-a794-89e518a9f362	CRAH
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	aeeb6bba-0f17-41e8-b554-3b38df0860e9	CRAC
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	7a99e553-0b5f-4bd0-be5e-304a1e2f41a7	CRAC_WITHOUT_FAN
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	1c275bf6-c1fa-4c13-bd92-98c6ad0d704b	CRAC_FAN
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	6c6fd56d-8e0a-4d70-a6c7-534ae127292e	CHILLER
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	2fce23c1-16ce-4bdc-9486-70f2af1321ad	AIR_COOLED_CHILLER
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	96246da3-585b-4e49-8283-06043a230b68	COOLING_TOWER
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	ca928f0b-bfbe-4c1d-a9d3-3462d43f8fb3	DRY_COOLER
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	ea6a0a0f-689e-472f-b9ba-6c95a036636e	REMOTE_CONDENSER
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	9f59590e-0b4d-4d43-b8d5-b0ef0f44568e	CHILLED_WATER_PUMPS
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	6c7bf4a1-27c3-4b2b-a1eb-c8a80ad278bd	HEAT_REJECTION_PUMPS
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	88eca04a-a0be-47ab-ad64-a5107d7fdc6d	VENTILATION
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	72f19f24-fb31-4b8c-87da-d2b9202c273f	INFILTRATION
f57cee7c-309e-4fff-a11e-dc067c5ba7d2	d927755a-ff94-4039-8dac-e87a439fe18c	IT_LOAD
84112f64-847d-467e-a45a-bb476f0e7a27	2060f997-ec2a-415e-8a26-73687e8aa78c	SWITCHGEAR
84112f64-847d-467e-a45a-bb476f0e7a27	e8034239-db0d-4c3d-afee-987cc5708c83	GENERATOR
84112f64-847d-467e-a45a-bb476f0e7a27	de728dfe-4106-4f5c-89a3-1a668547b3d4	PRIMARY_AUXILIARIES
84112f64-847d-467e-a45a-bb476f0e7a27	a85cb11b-6efe-457b-93d2-a6bec833d13f	UPS
84112f64-847d-467e-a45a-bb476f0e7a27	9774d32e-8c18-43dc-bb69-79edbdd7163e	CRITICAL_AUXILIARIES
84112f64-847d-467e-a45a-bb476f0e7a27	2141565e-8cb9-48f7-ad0b-020e89939ba7	LIGHTING
84112f64-847d-467e-a45a-bb476f0e7a27	5850cfee-0666-4796-a8a8-2a3313146dae	CRITICAL_POWER_DISTRIBUTION
84112f64-847d-467e-a45a-bb476f0e7a27	8e708df7-7894-411d-888a-4caf791fe1ec	CRAH
84112f64-847d-467e-a45a-bb476f0e7a27	08a08a31-9c79-48ec-8982-cbf76b6803f5	CRAC
84112f64-847d-467e-a45a-bb476f0e7a27	0ec49b14-35f3-459a-908c-36b6ac1e6d44	CRAC_WITHOUT_FAN
84112f64-847d-467e-a45a-bb476f0e7a27	8971bde6-cebb-44cf-af75-f272121079b6	CRAC_FAN
84112f64-847d-467e-a45a-bb476f0e7a27	23f64856-bc6f-4bf5-80db-5b85ef3abe88	CHILLER
84112f64-847d-467e-a45a-bb476f0e7a27	91e7add1-8110-4092-92eb-f3b40f012ac8	AIR_COOLED_CHILLER
84112f64-847d-467e-a45a-bb476f0e7a27	a7855ef7-a82a-469a-b8fb-5c8728b1df30	COOLING_TOWER
84112f64-847d-467e-a45a-bb476f0e7a27	547c41c1-4dca-4673-8e89-0f49c465c6d3	DRY_COOLER
84112f64-847d-467e-a45a-bb476f0e7a27	0f2fff61-af7c-48d8-94fe-328bed4e8991	REMOTE_CONDENSER
84112f64-847d-467e-a45a-bb476f0e7a27	19fb6dfa-4afd-40d3-99fb-578158bcf938	CHILLED_WATER_PUMPS
84112f64-847d-467e-a45a-bb476f0e7a27	4b674d9c-de56-47a4-a86f-8a55bd951cce	HEAT_REJECTION_PUMPS
84112f64-847d-467e-a45a-bb476f0e7a27	4d639bd3-9388-4fd5-9b62-7854343691b4	VENTILATION
84112f64-847d-467e-a45a-bb476f0e7a27	517ea2ac-6c76-4bcd-bbcc-22d679c01843	INFILTRATION
84112f64-847d-467e-a45a-bb476f0e7a27	6f96bf46-252b-4f15-8e48-d70fb0761933	IT_LOAD
4d85dad0-5e7a-466d-ac54-17e128aef010	38dcfb28-ae04-412c-bc1a-45bda80bd422	SWITCHGEAR
4d85dad0-5e7a-466d-ac54-17e128aef010	db774783-76fb-44f7-8b8d-090488cc18e2	GENERATOR
4d85dad0-5e7a-466d-ac54-17e128aef010	79f7c5f7-811c-4326-8eb3-fcdd12af10a4	PRIMARY_AUXILIARIES
4d85dad0-5e7a-466d-ac54-17e128aef010	2adb5ff6-aebd-4c0d-87bd-8c9971fa5b09	UPS
4d85dad0-5e7a-466d-ac54-17e128aef010	c22862fe-4d58-4320-84eb-d951e2fb08e3	CRITICAL_AUXILIARIES
4d85dad0-5e7a-466d-ac54-17e128aef010	8ff41d7a-305e-4081-b3c4-a3a012b5f2a8	LIGHTING
4d85dad0-5e7a-466d-ac54-17e128aef010	41a1362f-d7d4-41d9-b3c9-938a5a13a694	CRITICAL_POWER_DISTRIBUTION
4d85dad0-5e7a-466d-ac54-17e128aef010	21619c6a-02ed-4035-9601-93ce251c1505	CRAH
4d85dad0-5e7a-466d-ac54-17e128aef010	ceca8433-b6c7-4fe8-ba0c-cdd7f3eca6ff	CRAC
4d85dad0-5e7a-466d-ac54-17e128aef010	1937593b-f61d-43af-bb39-52c4f0e0a1d8	CRAC_WITHOUT_FAN
4d85dad0-5e7a-466d-ac54-17e128aef010	4952dba3-9bd5-43fb-8d52-07f245694903	CRAC_FAN
4d85dad0-5e7a-466d-ac54-17e128aef010	76e6d085-f583-48c3-b7aa-6a1359358a61	CHILLER
4d85dad0-5e7a-466d-ac54-17e128aef010	bf601971-3256-4b46-94ec-e4901914a8ab	AIR_COOLED_CHILLER
4d85dad0-5e7a-466d-ac54-17e128aef010	e5dc0f64-bd6c-4f78-919b-ec540085cbf9	COOLING_TOWER
4d85dad0-5e7a-466d-ac54-17e128aef010	def74d4d-34f5-4fb2-93fd-9403dce36a87	DRY_COOLER
4d85dad0-5e7a-466d-ac54-17e128aef010	77cd92e9-ee5f-4499-8b3a-148656ca1dc8	REMOTE_CONDENSER
4d85dad0-5e7a-466d-ac54-17e128aef010	98d9660a-6b35-41ba-b098-0f1a1eb37001	CHILLED_WATER_PUMPS
4d85dad0-5e7a-466d-ac54-17e128aef010	3137f94f-65e5-426b-aed2-200ac4c32d11	HEAT_REJECTION_PUMPS
4d85dad0-5e7a-466d-ac54-17e128aef010	eea64f49-1256-4a08-b0cb-29e8572ad417	VENTILATION
4d85dad0-5e7a-466d-ac54-17e128aef010	577e9360-74b6-45d0-ae66-6e9c085ccbd8	INFILTRATION
4d85dad0-5e7a-466d-ac54-17e128aef010	212ffa71-d6b4-4c6c-ac71-52e082437eb2	IT_LOAD
45d56b30-0140-4107-9914-1a74ee8844c3	6c746e86-0f70-41c5-b755-8921e1e949ca	SWITCHGEAR
45d56b30-0140-4107-9914-1a74ee8844c3	fdfdd642-d412-47ec-a475-42b220420cf9	GENERATOR
45d56b30-0140-4107-9914-1a74ee8844c3	8bef9598-1550-416b-b7fb-473053b5b307	PRIMARY_AUXILIARIES
45d56b30-0140-4107-9914-1a74ee8844c3	c72e88e9-899c-4837-bf46-4798d69ab7c4	UPS
45d56b30-0140-4107-9914-1a74ee8844c3	ee5b6ed9-90e0-4809-8639-d2fe5b8430af	CRITICAL_AUXILIARIES
45d56b30-0140-4107-9914-1a74ee8844c3	8be1867d-449d-4dde-a520-3c3a0d3d344e	LIGHTING
45d56b30-0140-4107-9914-1a74ee8844c3	09bd8aa8-113c-4257-af98-04cbe35bf4c0	CRITICAL_POWER_DISTRIBUTION
45d56b30-0140-4107-9914-1a74ee8844c3	711973e3-e4bc-417d-b72d-da6da2dde49b	CRAH
45d56b30-0140-4107-9914-1a74ee8844c3	3cf22d81-9633-46fc-8262-e5bdd4cd66d4	CRAC
45d56b30-0140-4107-9914-1a74ee8844c3	f79f92c2-0463-4251-a9be-d4effdc449ac	CRAC_WITHOUT_FAN
45d56b30-0140-4107-9914-1a74ee8844c3	d558e221-c740-4bc1-8409-cdeb4516082f	CRAC_FAN
45d56b30-0140-4107-9914-1a74ee8844c3	1d2d78c0-bdf2-4ff3-8b30-8f6a13474b68	CHILLER
45d56b30-0140-4107-9914-1a74ee8844c3	fc84ec85-fec4-41ec-9db6-cd0b0e0e4e1e	AIR_COOLED_CHILLER
45d56b30-0140-4107-9914-1a74ee8844c3	943860f0-668e-481a-be08-9fb4fa663628	COOLING_TOWER
45d56b30-0140-4107-9914-1a74ee8844c3	72377057-7a0e-4d25-ac37-922c3d8d27ab	DRY_COOLER
45d56b30-0140-4107-9914-1a74ee8844c3	2135f2d9-81a4-4129-bd66-18ba28cf5fde	REMOTE_CONDENSER
45d56b30-0140-4107-9914-1a74ee8844c3	56cf76e3-f7ab-4453-bf41-ecacf096c39f	CHILLED_WATER_PUMPS
45d56b30-0140-4107-9914-1a74ee8844c3	e16fb395-50a6-456c-84f7-7b6b943efb0f	HEAT_REJECTION_PUMPS
45d56b30-0140-4107-9914-1a74ee8844c3	9d915316-4b24-49d2-a0a0-9ea8c0876c46	VENTILATION
45d56b30-0140-4107-9914-1a74ee8844c3	b3c43f24-2260-45ff-8786-5e91c61587c6	INFILTRATION
45d56b30-0140-4107-9914-1a74ee8844c3	21c0e1b1-bab2-4824-bc17-abc664a3c38b	IT_LOAD
42b38cfa-bbb4-44c3-83f7-93225448d287	770c8bd8-044c-4eae-906e-fa1d631ce77a	SWITCHGEAR
42b38cfa-bbb4-44c3-83f7-93225448d287	b1eee0b6-c7da-40b5-b283-8e389651c8a5	GENERATOR
42b38cfa-bbb4-44c3-83f7-93225448d287	83f6189e-ac0f-4954-ab33-c28c99ed1de3	PRIMARY_AUXILIARIES
42b38cfa-bbb4-44c3-83f7-93225448d287	8c663264-24fd-4ff3-8483-0fac037f0f69	UPS
42b38cfa-bbb4-44c3-83f7-93225448d287	f5afb834-0871-48b7-a9b4-51668d824023	CRITICAL_AUXILIARIES
42b38cfa-bbb4-44c3-83f7-93225448d287	51e8f5ee-f8cf-4652-ad54-31bd30c1b23b	LIGHTING
42b38cfa-bbb4-44c3-83f7-93225448d287	e3e7c195-a298-4d1c-92f9-850eba29126c	CRITICAL_POWER_DISTRIBUTION
42b38cfa-bbb4-44c3-83f7-93225448d287	314c6635-71c5-4146-a9af-87ca308af6d3	CRAH
42b38cfa-bbb4-44c3-83f7-93225448d287	33c5217d-a8db-496e-a9e3-a9e4fe3fac77	CRAC
42b38cfa-bbb4-44c3-83f7-93225448d287	c41658c7-6de9-4865-a499-97bf5e6c650e	CRAC_WITHOUT_FAN
42b38cfa-bbb4-44c3-83f7-93225448d287	adda137a-b256-434d-95ef-e8b447431b9b	CRAC_FAN
42b38cfa-bbb4-44c3-83f7-93225448d287	fb1019a5-1225-4086-80c3-2ed530d49d01	CHILLER
42b38cfa-bbb4-44c3-83f7-93225448d287	1637e3c1-b17d-45d5-9541-0a4879c614ca	AIR_COOLED_CHILLER
42b38cfa-bbb4-44c3-83f7-93225448d287	7a5c2c97-a03b-4343-b523-7bb4760b6eb7	COOLING_TOWER
42b38cfa-bbb4-44c3-83f7-93225448d287	1f48c9aa-e734-4e45-9170-205529406d78	DRY_COOLER
42b38cfa-bbb4-44c3-83f7-93225448d287	ba07df82-2aa4-46f5-9749-73343539fd69	REMOTE_CONDENSER
42b38cfa-bbb4-44c3-83f7-93225448d287	35f56e3d-0f99-40f4-af76-0038029ab8b5	CHILLED_WATER_PUMPS
42b38cfa-bbb4-44c3-83f7-93225448d287	854729a5-2a85-4fd0-afe3-dee4ee84147a	HEAT_REJECTION_PUMPS
42b38cfa-bbb4-44c3-83f7-93225448d287	6e6fa479-ff5d-4d67-8de3-affc527cc4ed	VENTILATION
42b38cfa-bbb4-44c3-83f7-93225448d287	a40d86ea-08cc-4791-a8ab-8a185102665d	INFILTRATION
42b38cfa-bbb4-44c3-83f7-93225448d287	a3a81a89-bcac-42c0-bfc9-a60d2fc2182a	IT_LOAD
d9887256-91fb-428d-ba09-b17ba450acd0	0cb1e2da-01ee-4df8-aeb8-29b7c2e87b0d	SWITCHGEAR
d9887256-91fb-428d-ba09-b17ba450acd0	a995af19-81d9-4b01-b83d-c9531d9424a8	GENERATOR
d9887256-91fb-428d-ba09-b17ba450acd0	034feda4-8671-4e60-9b77-fff46e018ce5	PRIMARY_AUXILIARIES
d9887256-91fb-428d-ba09-b17ba450acd0	8d203f89-0aa7-4c72-baa0-e68cb68deb98	UPS
d9887256-91fb-428d-ba09-b17ba450acd0	d8c73d3a-b900-484d-a8e4-131452272e47	CRITICAL_AUXILIARIES
d9887256-91fb-428d-ba09-b17ba450acd0	ecaf4291-5820-473c-862a-2a2352b01581	LIGHTING
d9887256-91fb-428d-ba09-b17ba450acd0	17bdd236-9379-4b52-9706-5a8bbcb58d3a	CRITICAL_POWER_DISTRIBUTION
d9887256-91fb-428d-ba09-b17ba450acd0	dc91e485-b234-464a-aa10-18daa6e4cbe0	CRAH
d9887256-91fb-428d-ba09-b17ba450acd0	84980664-87d6-49db-8748-492507c3b3c3	CRAC
d9887256-91fb-428d-ba09-b17ba450acd0	d4e771a3-27ec-4f98-a64a-0227add43a53	CRAC_WITHOUT_FAN
d9887256-91fb-428d-ba09-b17ba450acd0	20694546-6d1d-4d2f-b275-ae9cfa416653	CRAC_FAN
d9887256-91fb-428d-ba09-b17ba450acd0	d6627de8-96c6-49f3-96ac-d515f6f56442	CHILLER
d9887256-91fb-428d-ba09-b17ba450acd0	a478cf14-6fa2-4cf1-ad13-dacb48303e51	AIR_COOLED_CHILLER
d9887256-91fb-428d-ba09-b17ba450acd0	38a0fb3f-c7ba-420d-8dda-05176a12e513	COOLING_TOWER
d9887256-91fb-428d-ba09-b17ba450acd0	ae2ae7d0-a79b-4e6d-bef4-1010fe0b92f7	DRY_COOLER
d9887256-91fb-428d-ba09-b17ba450acd0	66871aef-cbb0-4b82-94c7-538fec7eaae9	REMOTE_CONDENSER
d9887256-91fb-428d-ba09-b17ba450acd0	fb77016c-7742-404b-bbba-31580dde4d61	CHILLED_WATER_PUMPS
d9887256-91fb-428d-ba09-b17ba450acd0	5a2e2639-79da-4233-ab4d-d819c7b867fd	HEAT_REJECTION_PUMPS
d9887256-91fb-428d-ba09-b17ba450acd0	99274a75-ff4d-46ce-9514-f1efc4d501a7	VENTILATION
d9887256-91fb-428d-ba09-b17ba450acd0	f18706bc-6a2d-4e5a-991a-e402bae6770e	INFILTRATION
d9887256-91fb-428d-ba09-b17ba450acd0	c38d3751-437b-4946-90da-ea9df7fd0a23	IT_LOAD
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	a0d3b8b6-d1a8-4ff2-9d40-e1cc7de09768	SWITCHGEAR
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	303a16dd-0614-4af7-9d59-3c2af7c1654f	GENERATOR
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	fd6555ed-9358-48cb-89c8-c489feec4408	PRIMARY_AUXILIARIES
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	94bf730c-910f-4542-9484-06f76188c057	UPS
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	dd36fc1b-7ec6-40e8-9fd6-826def3d46aa	CRITICAL_AUXILIARIES
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	cb63fdd0-c0d7-4831-99ee-a5a07f888d80	LIGHTING
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	62ee8662-e575-41dd-8247-57e841067bc6	CRITICAL_POWER_DISTRIBUTION
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	4ca5ebb2-277e-402d-ba02-0c7dea500bf7	CRAH
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	84cf5b12-1d75-4eec-8edf-242a870b8edc	CRAC
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	0c7dbf05-f8be-4bca-84a9-5e6d46e803ce	CRAC_WITHOUT_FAN
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	2c0a4a49-4f56-4e51-949d-ecdb4bfbafd5	CRAC_FAN
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	6d16c6f6-cc0c-4619-9ca7-ccd25ecb8158	CHILLER
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	ad867875-ecb1-4c2d-ba40-e2bc2e57dac7	AIR_COOLED_CHILLER
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	9d248b41-ef6b-4aca-bbaa-ffe76d6f2ef1	COOLING_TOWER
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	ffd08611-6f10-41c6-aecc-f8b6d51df683	DRY_COOLER
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	154c88ca-2923-45f5-946d-c5fe17ec5d6c	REMOTE_CONDENSER
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	86ef2254-5648-42ea-8708-80784b82842b	CHILLED_WATER_PUMPS
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	d63841e6-2ac6-4f8f-99c4-6823a6b1b3fb	HEAT_REJECTION_PUMPS
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	6ae4e2d1-9112-489b-93ff-11e68086d056	VENTILATION
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	49f16f38-1b00-4f87-8930-e3d9517f76b3	INFILTRATION
e45f93cb-9ca0-4016-a4b5-0a08a2ec4bee	5a89ed1d-8020-4d00-80c2-2fdedd59de77	IT_LOAD
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	5d930f54-29c6-4410-bc7c-8c21ce6bd698	SWITCHGEAR
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	a2160ffb-854b-4161-87f8-eff601190fa6	GENERATOR
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	a146532e-cc76-4192-9b38-ee67cf456372	PRIMARY_AUXILIARIES
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	7cb07fef-efde-4fe1-a31c-63b49133b41a	UPS
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	3a38e1e2-06c4-48db-9005-6a2acbc3cf7a	CRITICAL_AUXILIARIES
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	63fad13a-52cd-4bbf-a2f3-eb3a7be1ebcd	LIGHTING
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	6016efaf-0f5d-4953-8c35-1a136d63d352	CRITICAL_POWER_DISTRIBUTION
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	75809ae3-1855-476a-a971-70d71d942423	CRAH
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	35c3ca18-79d2-48cc-9ab7-f328610530c0	CRAC
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	bdc62cb6-9bb3-4677-a645-a91da81cd553	CRAC_WITHOUT_FAN
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	70e3ea02-3d67-46ae-8d7b-d08338a28fa8	CRAC_FAN
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	9abf6ce4-e18c-4b60-8837-3286fbc42241	CHILLER
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	b812f887-3943-433e-b739-e6be6059c9db	AIR_COOLED_CHILLER
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	4eee6d57-3065-4c5c-9acb-6bb2f50d87d4	COOLING_TOWER
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	86447d91-7804-4c5e-bc32-56fcd02c7935	DRY_COOLER
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	624ebafe-1151-408c-8bee-d376bdc3210f	REMOTE_CONDENSER
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	0ce52084-29a0-4561-8437-e31ffa10f6de	CHILLED_WATER_PUMPS
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	cbcd261d-88fc-4c48-86c0-30ed6931cd0f	HEAT_REJECTION_PUMPS
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	11822497-3852-4451-861d-0f80032d6ae1	VENTILATION
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	47d03fbb-f039-4e86-b8c6-75c07c3a35fe	INFILTRATION
c4c0bcbe-f42f-45e7-84fa-8a9fe6163d94	4adfc1f4-d5e5-4f7d-8ad9-07aebe9efaa4	IT_LOAD
4f5200e1-44c0-45b4-96cc-cb7e965453ba	d30adfe2-98bf-41b8-bb52-5990f02b67a8	SWITCHGEAR
4f5200e1-44c0-45b4-96cc-cb7e965453ba	03c9da0c-cecb-4d77-a616-03931bb34d6f	GENERATOR
4f5200e1-44c0-45b4-96cc-cb7e965453ba	feb88042-28dc-497a-852d-4cd225476574	PRIMARY_AUXILIARIES
4f5200e1-44c0-45b4-96cc-cb7e965453ba	085fabd7-753f-45fe-a8de-e9a0261f8dc7	UPS
4f5200e1-44c0-45b4-96cc-cb7e965453ba	06bb12c5-ec4f-4d62-a5ce-137589193094	CRITICAL_AUXILIARIES
4f5200e1-44c0-45b4-96cc-cb7e965453ba	49d74a9d-391c-4344-9723-5d26813caeac	LIGHTING
4f5200e1-44c0-45b4-96cc-cb7e965453ba	5e61a2c4-82bc-4f09-bb79-6a10d619db95	CRITICAL_POWER_DISTRIBUTION
4f5200e1-44c0-45b4-96cc-cb7e965453ba	136ff799-e1f8-4399-b4d1-7744f74fe13f	CRAH
4f5200e1-44c0-45b4-96cc-cb7e965453ba	669396c9-beef-4683-bb14-441c3a746b4d	CRAC
4f5200e1-44c0-45b4-96cc-cb7e965453ba	31709908-b335-462f-a2f7-bc6cb846a5cc	CRAC_WITHOUT_FAN
4f5200e1-44c0-45b4-96cc-cb7e965453ba	243108a4-6a31-442b-980e-d2b7c2877363	CRAC_FAN
4f5200e1-44c0-45b4-96cc-cb7e965453ba	ec67916b-524a-49a9-aad4-905a7d255933	CHILLER
4f5200e1-44c0-45b4-96cc-cb7e965453ba	99fb3dcd-3507-42a9-b005-3f7763b8db97	AIR_COOLED_CHILLER
4f5200e1-44c0-45b4-96cc-cb7e965453ba	c7cde785-d3ca-4926-ab8e-9ad1b18c4b8f	COOLING_TOWER
4f5200e1-44c0-45b4-96cc-cb7e965453ba	e32d4f18-31ef-4f7e-b0f9-d402e9a08475	DRY_COOLER
4f5200e1-44c0-45b4-96cc-cb7e965453ba	715f6c95-69f4-49d6-9e32-7e22d4856400	REMOTE_CONDENSER
4f5200e1-44c0-45b4-96cc-cb7e965453ba	928a80c1-1e55-4585-8514-698a696d0ff4	CHILLED_WATER_PUMPS
4f5200e1-44c0-45b4-96cc-cb7e965453ba	ad1c0bdd-768b-47c4-a7dd-d7e3e8048c7f	HEAT_REJECTION_PUMPS
4f5200e1-44c0-45b4-96cc-cb7e965453ba	176bf489-8122-469f-8741-d604869b5c5d	VENTILATION
4f5200e1-44c0-45b4-96cc-cb7e965453ba	7b65d697-0560-4bb0-a469-59ec237fffef	INFILTRATION
4f5200e1-44c0-45b4-96cc-cb7e965453ba	3e7248b0-dd41-4cb6-8254-38504a806444	IT_LOAD
ba0c2967-2a25-49b0-8ad1-79f69841f152	67bb988d-e07c-4cd4-92f2-2e509f5bda62	SWITCHGEAR
ba0c2967-2a25-49b0-8ad1-79f69841f152	88b6d134-1142-4494-8e56-b2b23af5cde7	GENERATOR
ba0c2967-2a25-49b0-8ad1-79f69841f152	bc0f2642-3a83-41c9-b45f-ae6be309a917	PRIMARY_AUXILIARIES
ba0c2967-2a25-49b0-8ad1-79f69841f152	882f6563-5c90-4f1b-b89c-d86ff4bfa7b1	UPS
ba0c2967-2a25-49b0-8ad1-79f69841f152	ac627820-78c4-49c3-863b-41056762dd3b	CRITICAL_AUXILIARIES
ba0c2967-2a25-49b0-8ad1-79f69841f152	d656d95e-c748-4e08-a99f-15feb2701328	LIGHTING
ba0c2967-2a25-49b0-8ad1-79f69841f152	f33ff0c0-7f23-4fc0-98b3-83b6b24ec1b2	CRITICAL_POWER_DISTRIBUTION
ba0c2967-2a25-49b0-8ad1-79f69841f152	e51b5fcf-6913-439b-be7c-1b65280a7691	CRAH
ba0c2967-2a25-49b0-8ad1-79f69841f152	80d7d274-3979-4e30-a60a-c1547b457edf	CRAC
ba0c2967-2a25-49b0-8ad1-79f69841f152	a1f156f1-f42b-4bbf-9c86-d06005a0d388	CRAC_WITHOUT_FAN
ba0c2967-2a25-49b0-8ad1-79f69841f152	2e70d0e5-2dbc-4bb6-81ae-976c28615c2f	CRAC_FAN
ba0c2967-2a25-49b0-8ad1-79f69841f152	41739897-0711-4083-9773-77c25d588fa9	CHILLER
ba0c2967-2a25-49b0-8ad1-79f69841f152	4e2dd6ae-fc6c-4088-b01a-4718cead1432	AIR_COOLED_CHILLER
ba0c2967-2a25-49b0-8ad1-79f69841f152	388a1127-69a1-4780-a09d-bfc379034b64	COOLING_TOWER
ba0c2967-2a25-49b0-8ad1-79f69841f152	e3773374-03b2-4f40-a6ae-6727fc0641ca	DRY_COOLER
ba0c2967-2a25-49b0-8ad1-79f69841f152	161b7508-9a91-46dc-96f7-dd4772c1c5cb	REMOTE_CONDENSER
ba0c2967-2a25-49b0-8ad1-79f69841f152	0686c701-b6db-415b-b33e-765425d4e751	CHILLED_WATER_PUMPS
ba0c2967-2a25-49b0-8ad1-79f69841f152	7eb6e701-f674-4bd3-aadd-7c984656ebfb	HEAT_REJECTION_PUMPS
ba0c2967-2a25-49b0-8ad1-79f69841f152	df8dde29-4758-43e0-a3f1-73da38315ec9	VENTILATION
ba0c2967-2a25-49b0-8ad1-79f69841f152	762aeb9a-b409-44df-8998-ebf403f3576f	INFILTRATION
ba0c2967-2a25-49b0-8ad1-79f69841f152	907cda91-ec7b-4a35-a266-48a382032379	IT_LOAD
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	bcb3877d-a4b6-4dc5-b710-4384524cb838	SWITCHGEAR
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	3ce64991-a88a-4132-82be-c5f67142caf5	GENERATOR
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	b705044a-ae9d-48fd-9604-9059e5208b9c	PRIMARY_AUXILIARIES
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	2673e5aa-6f3f-43b9-a2b2-6cab84feb1f2	UPS
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	a9907a0f-7f91-4af9-bf90-25a38bca6859	CRITICAL_AUXILIARIES
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	0c1c12bc-43ae-4083-a6bd-8640377ef343	LIGHTING
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	1d9d4355-6c7a-43ba-97ea-a96ca56ec52b	CRITICAL_POWER_DISTRIBUTION
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	a26506a9-f796-4e2d-8b29-a7eb49c6a9dd	CRAH
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	a1796530-5abe-4c84-98f7-e493a0dc1261	CRAC
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	1ec81b0f-8a7e-4043-855f-14edeb62d5d0	CRAC_WITHOUT_FAN
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	da653484-b283-495c-9d27-be575e48b6f6	CRAC_FAN
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	8ca338b0-0205-4074-a85c-fc8978eb69c9	CHILLER
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	7b03908a-690c-4a41-84f3-e18103502c56	AIR_COOLED_CHILLER
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	d882c8dd-d421-450a-88de-700af7d80f78	COOLING_TOWER
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	4ef7c329-6583-4440-8833-3319aa8c4989	DRY_COOLER
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	ee09961a-4515-47b7-b2cc-99f9e9f8131f	REMOTE_CONDENSER
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	59b3f33d-85c8-4767-bb63-414403d27557	CHILLED_WATER_PUMPS
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	e7c0a8e3-1eb3-485f-b8f4-3c110eeb86b2	HEAT_REJECTION_PUMPS
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	739bda0f-bb27-42a3-8175-2f809e68fe22	VENTILATION
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	959d2ec3-6009-4819-923d-7c21ff995ca0	INFILTRATION
6a4b5921-a213-4bbc-80e3-61ea7b8084e9	d2c08493-f9fd-4281-916b-2c7a2e855afb	IT_LOAD
f1ce33bc-2b03-44d8-af63-3fe773170142	1590b5bd-6d6b-4e35-84a0-111016f3ccdc	SWITCHGEAR
f1ce33bc-2b03-44d8-af63-3fe773170142	8bc4780c-ef9f-40a6-a607-2678a5063a88	GENERATOR
f1ce33bc-2b03-44d8-af63-3fe773170142	9cb33bc2-0ed0-4b11-b9ac-478ae61665a3	PRIMARY_AUXILIARIES
f1ce33bc-2b03-44d8-af63-3fe773170142	0cf03b78-606d-4814-a532-7d49262033ed	UPS
f1ce33bc-2b03-44d8-af63-3fe773170142	f93b954d-8e5c-4b7d-a72c-8b1179d32160	CRITICAL_AUXILIARIES
f1ce33bc-2b03-44d8-af63-3fe773170142	8ce904ba-376d-4a01-8465-ed30e5c7df8c	LIGHTING
f1ce33bc-2b03-44d8-af63-3fe773170142	4e20c29f-a999-42db-8eae-3c75bb81cec4	CRITICAL_POWER_DISTRIBUTION
f1ce33bc-2b03-44d8-af63-3fe773170142	d76e6ef2-d3a5-461b-bd2f-e2f438d56e17	CRAH
f1ce33bc-2b03-44d8-af63-3fe773170142	3b8f85d1-a789-4168-b718-6da8e60e3db5	CRAC
f1ce33bc-2b03-44d8-af63-3fe773170142	e09ae83d-1152-45b5-a6b2-44fb1e2c5b2f	CRAC_WITHOUT_FAN
f1ce33bc-2b03-44d8-af63-3fe773170142	8a262c3e-8c4b-418a-ac37-a99ad3381b13	CRAC_FAN
f1ce33bc-2b03-44d8-af63-3fe773170142	59f97dbc-3044-4b63-8b50-e44b15dee2e2	CHILLER
f1ce33bc-2b03-44d8-af63-3fe773170142	bcf60045-9c86-4c28-9bb3-42dce1fc6fa6	AIR_COOLED_CHILLER
f1ce33bc-2b03-44d8-af63-3fe773170142	14bff9e5-4f85-4e00-9841-751fc68478ec	COOLING_TOWER
f1ce33bc-2b03-44d8-af63-3fe773170142	80541529-793d-4bad-bc46-b6fed655b9df	DRY_COOLER
f1ce33bc-2b03-44d8-af63-3fe773170142	002c2cca-13ac-4849-9e67-c80429f6cdf1	REMOTE_CONDENSER
f1ce33bc-2b03-44d8-af63-3fe773170142	028d7f5e-9779-4564-81b2-32ac1835b50d	CHILLED_WATER_PUMPS
f1ce33bc-2b03-44d8-af63-3fe773170142	24e99568-b492-4a2c-82bc-47b2b32e5716	HEAT_REJECTION_PUMPS
f1ce33bc-2b03-44d8-af63-3fe773170142	f709ca21-d020-4a5d-a828-84dd660b31dc	VENTILATION
f1ce33bc-2b03-44d8-af63-3fe773170142	286b85ef-82a1-400b-a2c7-ffe375d8a9f0	INFILTRATION
f1ce33bc-2b03-44d8-af63-3fe773170142	e28cdcf2-0af2-4c68-99b1-289657023df9	IT_LOAD
dded3304-1413-4c0c-8c58-1df0d977d18b	6b41584f-6c46-4717-94bf-22eb7d75193d	SWITCHGEAR
dded3304-1413-4c0c-8c58-1df0d977d18b	70679f6f-60b6-4180-a65d-ddeb15720f57	GENERATOR
dded3304-1413-4c0c-8c58-1df0d977d18b	89f57b47-7eeb-4703-8530-6af376d232ba	PRIMARY_AUXILIARIES
dded3304-1413-4c0c-8c58-1df0d977d18b	9feb8382-3fa5-4584-b080-9c616bb6d3a3	UPS
dded3304-1413-4c0c-8c58-1df0d977d18b	f929e1c5-887d-4c3c-9861-98d6a51b6504	CRITICAL_AUXILIARIES
dded3304-1413-4c0c-8c58-1df0d977d18b	0fddd211-b95f-4d95-80d0-8897677050ee	LIGHTING
dded3304-1413-4c0c-8c58-1df0d977d18b	b852ef17-ffca-4377-aef9-76cbe94861cc	CRITICAL_POWER_DISTRIBUTION
dded3304-1413-4c0c-8c58-1df0d977d18b	4e8e37bd-5e30-4e85-9193-e566f96de232	CRAH
dded3304-1413-4c0c-8c58-1df0d977d18b	0b4079a0-74e8-4f52-a380-3c93bd75da8c	CRAC
dded3304-1413-4c0c-8c58-1df0d977d18b	a1a604ab-abc4-4210-9f03-f57d60188750	CRAC_WITHOUT_FAN
dded3304-1413-4c0c-8c58-1df0d977d18b	47d23fd7-0d7b-472f-9f65-535db4c18b32	CRAC_FAN
dded3304-1413-4c0c-8c58-1df0d977d18b	d48158f4-7f1e-4afc-912d-1a09bdc971a9	CHILLER
dded3304-1413-4c0c-8c58-1df0d977d18b	8c31ebbd-138f-41fd-abb0-ade63281eb94	AIR_COOLED_CHILLER
dded3304-1413-4c0c-8c58-1df0d977d18b	57d69b20-d702-4f1a-ae2f-9aa8f5d87332	COOLING_TOWER
dded3304-1413-4c0c-8c58-1df0d977d18b	38e4f5f6-7185-4b5a-a760-43e78b3b17fb	DRY_COOLER
dded3304-1413-4c0c-8c58-1df0d977d18b	5e01c79d-19ab-46ec-88bc-db37d9ea89bf	REMOTE_CONDENSER
dded3304-1413-4c0c-8c58-1df0d977d18b	047efc65-880e-4074-8b1e-de4188998e5e	CHILLED_WATER_PUMPS
dded3304-1413-4c0c-8c58-1df0d977d18b	4e3de2a8-f6aa-4a39-8092-79c11e2682fb	HEAT_REJECTION_PUMPS
dded3304-1413-4c0c-8c58-1df0d977d18b	9e4dce8f-1eb5-4ebe-b5c6-e6ca4ea91a96	VENTILATION
dded3304-1413-4c0c-8c58-1df0d977d18b	a2a1a37b-8f9e-4326-b41e-e4f6398fe325	INFILTRATION
dded3304-1413-4c0c-8c58-1df0d977d18b	d407905f-3878-4e40-8388-e632268b83a7	IT_LOAD
f9f9acee-dd65-463a-ab07-956f6153b4a6	e4259b4d-eb2c-4ba9-ac75-7c2d4da0892a	SWITCHGEAR
f9f9acee-dd65-463a-ab07-956f6153b4a6	21a78eca-7ad5-4fb4-986a-e27985287cc4	GENERATOR
f9f9acee-dd65-463a-ab07-956f6153b4a6	db3e6dcb-73c6-4d38-b8e2-e1d45613fa46	PRIMARY_AUXILIARIES
f9f9acee-dd65-463a-ab07-956f6153b4a6	2d645ef1-d859-4b97-9832-0673b980498c	UPS
f9f9acee-dd65-463a-ab07-956f6153b4a6	1e1c1309-683e-44d4-b641-e0acc1d04ffb	CRITICAL_AUXILIARIES
f9f9acee-dd65-463a-ab07-956f6153b4a6	bb8c77ec-0568-4e50-a9c7-4db167d1b7bd	LIGHTING
f9f9acee-dd65-463a-ab07-956f6153b4a6	fba7eaa3-d335-467f-8e03-2cf295a6b6b0	CRITICAL_POWER_DISTRIBUTION
f9f9acee-dd65-463a-ab07-956f6153b4a6	d46eeb23-d70f-45a8-9b01-ec32086baecc	CRAH
f9f9acee-dd65-463a-ab07-956f6153b4a6	03226acb-f2a1-4f95-9ac5-84349ad6d7ce	CRAC
f9f9acee-dd65-463a-ab07-956f6153b4a6	ce93bb01-7864-4d5c-88cb-1fca04d90fc8	CRAC_WITHOUT_FAN
f9f9acee-dd65-463a-ab07-956f6153b4a6	e3977aa8-478d-4c94-af30-5366fe7902a4	CRAC_FAN
f9f9acee-dd65-463a-ab07-956f6153b4a6	68cb3a9a-f2c3-475e-91f7-633abf70e666	CHILLER
f9f9acee-dd65-463a-ab07-956f6153b4a6	99d82071-987d-40bc-8869-a40eaa3e5bdc	AIR_COOLED_CHILLER
f9f9acee-dd65-463a-ab07-956f6153b4a6	0a61472e-e513-4d9d-8893-5bcbb640ae81	COOLING_TOWER
f9f9acee-dd65-463a-ab07-956f6153b4a6	66c7d465-9e11-4680-ab04-c7c5cbf2ff5d	DRY_COOLER
f9f9acee-dd65-463a-ab07-956f6153b4a6	4af68773-2137-4509-a3b7-e2a739a1ff1d	REMOTE_CONDENSER
f9f9acee-dd65-463a-ab07-956f6153b4a6	69f30c04-2e41-48c3-a256-de66fa853962	CHILLED_WATER_PUMPS
f9f9acee-dd65-463a-ab07-956f6153b4a6	057b926b-46e8-4782-a2d4-612147d5aec4	HEAT_REJECTION_PUMPS
f9f9acee-dd65-463a-ab07-956f6153b4a6	651adc16-9915-44ff-90ec-0ea6552bb2b2	VENTILATION
f9f9acee-dd65-463a-ab07-956f6153b4a6	3f805a9e-ba4e-4423-8b7d-eb0835d06882	INFILTRATION
f9f9acee-dd65-463a-ab07-956f6153b4a6	bf89d911-1b2d-487a-b3fe-3df4444a849c	IT_LOAD
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	f6ac5152-78e2-4de6-8a78-ee816f60a96c	SWITCHGEAR
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	8f3e045d-c697-40fc-a316-b06f61f11264	GENERATOR
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	d351133f-62a8-41b3-bbdc-151ad84c2dd2	PRIMARY_AUXILIARIES
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	a729fe38-9371-4a20-afa8-5aa784da88aa	UPS
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	25d46ffe-48fb-4229-bc44-0861966d4e71	CRITICAL_AUXILIARIES
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	bf1c6a34-bb07-4bea-8f99-7f197fb610db	LIGHTING
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	9e2bdaa6-fbe3-4421-bf22-8b3410c0c49e	CRITICAL_POWER_DISTRIBUTION
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	41ce194f-2a7a-4924-93af-376f31bb50c5	CRAH
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	e3d55df4-519e-4a9c-9082-a8cc2c0fa043	CRAC
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	d1f51bb5-f4ad-4542-909b-70db7f71abd6	CRAC_WITHOUT_FAN
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	7771bfe3-6438-4d59-a360-cf3fe7d43eee	CRAC_FAN
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	b8c882d8-cff4-40a4-86dd-f60ab01ee450	CHILLER
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	8517c45b-d55a-4348-a3e3-2c8aad9c257d	AIR_COOLED_CHILLER
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	48c90616-7247-41fa-a3d1-fffebb9394b0	COOLING_TOWER
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	942cb1ab-1032-4bd7-9cba-e6c7a88294aa	DRY_COOLER
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	0b85a592-8f4f-4206-9920-be8080328023	REMOTE_CONDENSER
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	8ab1ad49-4683-4b5b-aeb2-9d101ee06dab	CHILLED_WATER_PUMPS
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	0f474b27-ae10-4f32-b36a-bd5ae566e9bb	HEAT_REJECTION_PUMPS
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	2f12805d-ac2d-42f5-a2e2-f653a6a1f157	VENTILATION
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	5e7165b8-1d44-4ff1-848f-0c44af977ef9	INFILTRATION
68b25594-cad4-42c8-a8ea-dd72cf51bbf5	d8c63225-ab53-445c-81bd-34fbcea79b04	IT_LOAD
df3eaf99-4bc5-43c1-9524-44cc52da9593	7643fc07-0aa5-4b55-9ca5-a823867e25bc	SWITCHGEAR
df3eaf99-4bc5-43c1-9524-44cc52da9593	1bbe7ee3-9d3d-4c95-9418-53864dadade7	GENERATOR
df3eaf99-4bc5-43c1-9524-44cc52da9593	7ce95c7a-ab42-4128-b488-47a899d00caf	PRIMARY_AUXILIARIES
df3eaf99-4bc5-43c1-9524-44cc52da9593	439f88e7-9cf3-46f5-99af-8e03e1edfa7a	UPS
df3eaf99-4bc5-43c1-9524-44cc52da9593	2ca7b0a8-1d7a-44a8-93b5-a3c097c42144	CRITICAL_AUXILIARIES
df3eaf99-4bc5-43c1-9524-44cc52da9593	e2e8e5ac-b6ea-4d23-934f-9517492a0fb1	LIGHTING
df3eaf99-4bc5-43c1-9524-44cc52da9593	c054c95f-7739-45ee-9d0b-825a55383b01	CRITICAL_POWER_DISTRIBUTION
df3eaf99-4bc5-43c1-9524-44cc52da9593	ae910e69-c80b-4b51-abb8-a5564bac3154	CRAH
df3eaf99-4bc5-43c1-9524-44cc52da9593	ad7a349e-96e4-4d93-ab35-13309e071699	CRAC
df3eaf99-4bc5-43c1-9524-44cc52da9593	b8101f4e-1312-49d4-85f5-31196c155466	CRAC_WITHOUT_FAN
df3eaf99-4bc5-43c1-9524-44cc52da9593	e23f180a-5bf8-4853-acb1-a7dad255059c	CRAC_FAN
df3eaf99-4bc5-43c1-9524-44cc52da9593	4a35e002-88a3-4504-baa4-5616f22115c4	CHILLER
df3eaf99-4bc5-43c1-9524-44cc52da9593	da251b68-e80a-45dd-b897-3a49c57ab8ad	AIR_COOLED_CHILLER
df3eaf99-4bc5-43c1-9524-44cc52da9593	2a383e43-18fb-40b6-8319-2311fe126c97	COOLING_TOWER
df3eaf99-4bc5-43c1-9524-44cc52da9593	f1cd2ad2-ce2a-477e-8369-bc30b1368545	DRY_COOLER
df3eaf99-4bc5-43c1-9524-44cc52da9593	9c40e49e-73d0-431f-9378-01c32f516a9a	REMOTE_CONDENSER
df3eaf99-4bc5-43c1-9524-44cc52da9593	125b1671-50e5-4d69-b8ba-8652164daa12	CHILLED_WATER_PUMPS
df3eaf99-4bc5-43c1-9524-44cc52da9593	51c9f279-bd4e-431a-a467-69b0738e6453	HEAT_REJECTION_PUMPS
df3eaf99-4bc5-43c1-9524-44cc52da9593	97fbe6d3-8316-4dd7-b428-f21320ded043	VENTILATION
df3eaf99-4bc5-43c1-9524-44cc52da9593	086ab4b3-b937-49fd-adb1-71ccb135f095	INFILTRATION
df3eaf99-4bc5-43c1-9524-44cc52da9593	02a6bdf3-25fd-4e66-9d37-21a435d49f22	IT_LOAD
f84947d9-b31a-4b88-b64b-29fef2199eb4	548c4253-da50-4e6b-81d2-c8f6e545b68c	SWITCHGEAR
f84947d9-b31a-4b88-b64b-29fef2199eb4	0fb7b737-9637-4801-b571-329be6a3ff66	GENERATOR
f84947d9-b31a-4b88-b64b-29fef2199eb4	56908d44-2774-436d-8260-0dbcf22a7c77	PRIMARY_AUXILIARIES
f84947d9-b31a-4b88-b64b-29fef2199eb4	a20f9ac2-1c09-4862-a7a2-77a71215458f	UPS
f84947d9-b31a-4b88-b64b-29fef2199eb4	8af4b93f-f7fd-42b3-b553-b71a550f9e10	CRITICAL_AUXILIARIES
f84947d9-b31a-4b88-b64b-29fef2199eb4	9b7b1c7e-dc7b-4e25-9012-1c140e76d5e3	LIGHTING
f84947d9-b31a-4b88-b64b-29fef2199eb4	2dce3f7c-e569-4924-847b-41238ed029c9	CRITICAL_POWER_DISTRIBUTION
f84947d9-b31a-4b88-b64b-29fef2199eb4	ecca2ea5-1ec9-4d2a-87df-055222aea36d	CRAH
f84947d9-b31a-4b88-b64b-29fef2199eb4	39840b70-ab79-4143-9cf4-30daef593bc3	CRAC
f84947d9-b31a-4b88-b64b-29fef2199eb4	0108cbf8-7c46-4c19-8192-7d33a7b5b03d	CRAC_WITHOUT_FAN
f84947d9-b31a-4b88-b64b-29fef2199eb4	3992799b-daba-48a5-bb64-c1e21298f2a8	CRAC_FAN
f84947d9-b31a-4b88-b64b-29fef2199eb4	76b73d2c-517d-4810-a8c0-8db24356113f	CHILLER
f84947d9-b31a-4b88-b64b-29fef2199eb4	68eb1639-3a17-487e-8f88-d35d2e13824b	AIR_COOLED_CHILLER
f84947d9-b31a-4b88-b64b-29fef2199eb4	5d9be22d-4dc9-4153-a56e-2ddc93249b94	COOLING_TOWER
f84947d9-b31a-4b88-b64b-29fef2199eb4	43d6700d-23e3-4b2d-bceb-20fa396d9fd3	DRY_COOLER
f84947d9-b31a-4b88-b64b-29fef2199eb4	8f40ff16-2de3-4dfd-af46-8e9c4fa8613d	REMOTE_CONDENSER
f84947d9-b31a-4b88-b64b-29fef2199eb4	84923594-15ab-45fa-af46-37761c5ccca1	CHILLED_WATER_PUMPS
f84947d9-b31a-4b88-b64b-29fef2199eb4	900d37a0-4d2d-40ff-be9a-9913bc2feea7	HEAT_REJECTION_PUMPS
f84947d9-b31a-4b88-b64b-29fef2199eb4	f848dbd4-eff2-4268-82ca-6409a5bb5b42	VENTILATION
f84947d9-b31a-4b88-b64b-29fef2199eb4	eb990d35-516b-4c1d-bbf1-2d5e8da0a85b	INFILTRATION
f84947d9-b31a-4b88-b64b-29fef2199eb4	05fd711c-f881-482c-b08a-105679d2ba78	IT_LOAD
8477621f-9b76-4793-92cd-4830ff8bbea6	bcd9a913-df15-4938-b816-d37cb5e8a281	SWITCHGEAR
8477621f-9b76-4793-92cd-4830ff8bbea6	62244fa2-0fed-4320-91fc-555d23b9466c	GENERATOR
8477621f-9b76-4793-92cd-4830ff8bbea6	14b0be8a-9f74-4f3f-b625-1d323b5dd745	PRIMARY_AUXILIARIES
8477621f-9b76-4793-92cd-4830ff8bbea6	8973fc42-c05b-49f1-828e-5d140be90375	UPS
8477621f-9b76-4793-92cd-4830ff8bbea6	93813dc2-b5bb-419c-b3ce-10316ad02740	CRITICAL_AUXILIARIES
8477621f-9b76-4793-92cd-4830ff8bbea6	65987b66-73c3-42d2-b07b-9ef85e3526ed	LIGHTING
8477621f-9b76-4793-92cd-4830ff8bbea6	53206ca1-334c-48cd-886f-91659e00e2ad	CRITICAL_POWER_DISTRIBUTION
8477621f-9b76-4793-92cd-4830ff8bbea6	b3ef5023-d737-49cb-a7d5-0de6ffa003bb	CRAH
8477621f-9b76-4793-92cd-4830ff8bbea6	c6643d25-9753-4736-b864-3ff5eadcd440	CRAC
8477621f-9b76-4793-92cd-4830ff8bbea6	f7fa3577-0b27-44fa-8d97-8e473034273f	CRAC_WITHOUT_FAN
8477621f-9b76-4793-92cd-4830ff8bbea6	236e0682-1952-48c1-aab5-aef44b299b5a	CRAC_FAN
8477621f-9b76-4793-92cd-4830ff8bbea6	a57d617b-8a68-4422-a024-7ff5f5481483	CHILLER
8477621f-9b76-4793-92cd-4830ff8bbea6	d8bb0d15-2f89-49f9-b628-230979f5ab91	AIR_COOLED_CHILLER
8477621f-9b76-4793-92cd-4830ff8bbea6	12a79bc4-f71a-4b8c-86ad-0b6f35300cdb	COOLING_TOWER
8477621f-9b76-4793-92cd-4830ff8bbea6	b0996621-b504-4312-895a-e9016740b242	DRY_COOLER
8477621f-9b76-4793-92cd-4830ff8bbea6	4ea86499-7111-4c89-83d2-3a30b9884c1d	REMOTE_CONDENSER
8477621f-9b76-4793-92cd-4830ff8bbea6	5749eaee-8052-4c09-acf5-a41ac80b5f4c	CHILLED_WATER_PUMPS
8477621f-9b76-4793-92cd-4830ff8bbea6	6ad2adf5-62f4-481d-924f-bd5521b72aac	HEAT_REJECTION_PUMPS
8477621f-9b76-4793-92cd-4830ff8bbea6	77457b35-db5f-4613-8f2b-2fe5ebe50c0a	VENTILATION
8477621f-9b76-4793-92cd-4830ff8bbea6	6e65f50c-c1a4-4e9c-8958-0bcb55a5af15	INFILTRATION
8477621f-9b76-4793-92cd-4830ff8bbea6	2985d193-f84d-41a6-ab40-19374fbda69e	IT_LOAD
e689c35b-a3f1-4393-8bce-87074486765d	6b0f3922-c031-41cf-904e-303282123430	SWITCHGEAR
e689c35b-a3f1-4393-8bce-87074486765d	f70b4c3e-840c-442b-a46d-8b7883062f78	GENERATOR
e689c35b-a3f1-4393-8bce-87074486765d	ab403e72-6179-494e-9ba7-8e96b06ce2ef	PRIMARY_AUXILIARIES
e689c35b-a3f1-4393-8bce-87074486765d	62422eba-6630-4786-937d-0387896514a6	UPS
e689c35b-a3f1-4393-8bce-87074486765d	03670052-5ea7-4f0d-a363-7f094492b7e5	CRITICAL_AUXILIARIES
e689c35b-a3f1-4393-8bce-87074486765d	082c0aa6-6b53-4bb7-89e7-b201ceed046a	LIGHTING
e689c35b-a3f1-4393-8bce-87074486765d	3bc9e99d-4ddc-43d2-b26d-ea93c42812da	CRITICAL_POWER_DISTRIBUTION
e689c35b-a3f1-4393-8bce-87074486765d	969c57f5-1ca3-4a04-a1a8-9fb5ca356fb9	CRAH
e689c35b-a3f1-4393-8bce-87074486765d	58d8ea22-bce4-4a63-8def-b12a15a47801	CRAC
e689c35b-a3f1-4393-8bce-87074486765d	fa408352-d8db-42e8-a636-723796ea44f4	CRAC_WITHOUT_FAN
e689c35b-a3f1-4393-8bce-87074486765d	a6c0c89d-4a06-4631-b96a-393add084135	CRAC_FAN
e689c35b-a3f1-4393-8bce-87074486765d	b54aca88-c57a-4f7b-acae-139169645fca	CHILLER
e689c35b-a3f1-4393-8bce-87074486765d	df5e4698-1ed0-40a5-8237-c9db2d518372	AIR_COOLED_CHILLER
e689c35b-a3f1-4393-8bce-87074486765d	01846d14-0956-47e9-b803-e3075c3c8466	COOLING_TOWER
e689c35b-a3f1-4393-8bce-87074486765d	37eb2c16-0a5e-463b-822b-ea657a8fff07	DRY_COOLER
e689c35b-a3f1-4393-8bce-87074486765d	3da3a0bf-a00a-4fc2-a465-84a675e83637	REMOTE_CONDENSER
e689c35b-a3f1-4393-8bce-87074486765d	71d8c99d-8e8a-4970-adaf-1d1a5ef0b392	CHILLED_WATER_PUMPS
e689c35b-a3f1-4393-8bce-87074486765d	a5ce1a0d-02da-4bbc-9f5e-9b33270c9504	HEAT_REJECTION_PUMPS
e689c35b-a3f1-4393-8bce-87074486765d	03f88a93-8f75-4a7e-b33a-9828b10d1774	VENTILATION
e689c35b-a3f1-4393-8bce-87074486765d	457b3bf1-54f2-4606-825e-1181dd57ea5a	INFILTRATION
e689c35b-a3f1-4393-8bce-87074486765d	fcfc0c3d-4cab-4089-9b30-2db933f06930	IT_LOAD
0cb8ecea-7f0e-4744-83b8-170957506f20	d057f9fd-a19b-4de0-8bfc-de239208a936	SWITCHGEAR
0cb8ecea-7f0e-4744-83b8-170957506f20	191353c0-1081-4d8d-9b4d-8ee76aac10ab	GENERATOR
0cb8ecea-7f0e-4744-83b8-170957506f20	a68baf99-78c1-4fc8-97e6-683f301423ef	PRIMARY_AUXILIARIES
0cb8ecea-7f0e-4744-83b8-170957506f20	71d4c46c-d9d1-40c0-9fb9-ed72d8f0848f	UPS
0cb8ecea-7f0e-4744-83b8-170957506f20	6eb17a40-c397-4fbc-90c3-43b0a2239842	CRITICAL_AUXILIARIES
0cb8ecea-7f0e-4744-83b8-170957506f20	32a1b373-54d7-4641-b801-35e8d186f681	LIGHTING
0cb8ecea-7f0e-4744-83b8-170957506f20	84e7cc06-75a0-4bfb-8bad-fd382cd29410	CRITICAL_POWER_DISTRIBUTION
0cb8ecea-7f0e-4744-83b8-170957506f20	2187c582-e94f-4d37-bdbf-62caf5d4e18a	CRAH
0cb8ecea-7f0e-4744-83b8-170957506f20	a043627a-c736-41d4-9aaf-564cfcadbb22	CRAC
0cb8ecea-7f0e-4744-83b8-170957506f20	5ce28cfa-b7f1-4bea-a8fe-ebe8556fd072	CRAC_WITHOUT_FAN
0cb8ecea-7f0e-4744-83b8-170957506f20	af848320-7d55-4fae-9e60-ce6586c389fc	CRAC_FAN
0cb8ecea-7f0e-4744-83b8-170957506f20	58f4354b-a677-4efc-92d9-7a4cba8319d9	CHILLER
0cb8ecea-7f0e-4744-83b8-170957506f20	eede65c4-9778-4273-b63e-9bb0f272e953	AIR_COOLED_CHILLER
0cb8ecea-7f0e-4744-83b8-170957506f20	ff5048c4-e7da-4b33-b66c-b0d525bc1796	COOLING_TOWER
0cb8ecea-7f0e-4744-83b8-170957506f20	dee7f5c0-b100-49e7-8311-0bc76d490a87	DRY_COOLER
0cb8ecea-7f0e-4744-83b8-170957506f20	0174e413-996e-488b-937c-23bc678ae2a6	REMOTE_CONDENSER
0cb8ecea-7f0e-4744-83b8-170957506f20	443a55b2-7ac4-4421-935c-1df3cc23b8d6	CHILLED_WATER_PUMPS
0cb8ecea-7f0e-4744-83b8-170957506f20	4094ecbe-6622-4a27-9e69-a09c1f2d820e	HEAT_REJECTION_PUMPS
0cb8ecea-7f0e-4744-83b8-170957506f20	1f185e98-ae1b-41bb-9e06-fad3680c5edc	VENTILATION
0cb8ecea-7f0e-4744-83b8-170957506f20	0ac35d16-b341-48f0-a087-e919f74c108a	INFILTRATION
0cb8ecea-7f0e-4744-83b8-170957506f20	17e73612-a0a1-4b8a-a419-d0bc3cd59ca7	IT_LOAD
757baf88-c39f-40a4-b891-84516c8bb81f	38512f26-ceaa-4b84-b347-a0ccd60198b7	SWITCHGEAR
757baf88-c39f-40a4-b891-84516c8bb81f	43c5fb91-2fcd-4527-8997-4113c940e2ab	GENERATOR
757baf88-c39f-40a4-b891-84516c8bb81f	37a0b372-1ce0-417d-aa45-9cb9c28d1f77	PRIMARY_AUXILIARIES
757baf88-c39f-40a4-b891-84516c8bb81f	39ef66e6-dbdf-4358-bbf9-74334f8e15ee	UPS
757baf88-c39f-40a4-b891-84516c8bb81f	8d0d4de7-fab0-49c4-a55c-a6075117b788	CRITICAL_AUXILIARIES
757baf88-c39f-40a4-b891-84516c8bb81f	4f8c5cec-5ec4-4672-bccc-e1f853cdc9b8	LIGHTING
757baf88-c39f-40a4-b891-84516c8bb81f	ec698f95-1b1b-495e-9437-4970e39f1399	CRITICAL_POWER_DISTRIBUTION
757baf88-c39f-40a4-b891-84516c8bb81f	f5f77289-b994-4141-af98-8992e6668b98	CRAH
757baf88-c39f-40a4-b891-84516c8bb81f	b29d0a71-aae7-4915-8e37-4367569fbc5d	CRAC
757baf88-c39f-40a4-b891-84516c8bb81f	f3dc31c5-313f-43c0-90a0-b34ee5b43cd9	CRAC_WITHOUT_FAN
757baf88-c39f-40a4-b891-84516c8bb81f	9a86b596-4082-4742-a9a0-a6f1692ea33f	CRAC_FAN
757baf88-c39f-40a4-b891-84516c8bb81f	c82c422a-3ad1-468c-b106-318345c822c8	CHILLER
757baf88-c39f-40a4-b891-84516c8bb81f	a693658a-5460-4c7b-a263-ea214c6166be	AIR_COOLED_CHILLER
757baf88-c39f-40a4-b891-84516c8bb81f	2deadb83-8eeb-4c11-8f18-110259096e95	COOLING_TOWER
757baf88-c39f-40a4-b891-84516c8bb81f	e85e3f8d-0f91-4be6-bc7c-94ef9b778bdf	DRY_COOLER
757baf88-c39f-40a4-b891-84516c8bb81f	00f8dcc3-10fd-422d-9468-c4285f6ba7ae	REMOTE_CONDENSER
757baf88-c39f-40a4-b891-84516c8bb81f	f0a62f12-3fba-44ec-b743-c5744405955f	CHILLED_WATER_PUMPS
757baf88-c39f-40a4-b891-84516c8bb81f	48d32528-2c79-44bf-9cc6-33ce53f21b8f	HEAT_REJECTION_PUMPS
757baf88-c39f-40a4-b891-84516c8bb81f	a349cec2-0488-452f-9c6e-1df38ec89c05	VENTILATION
757baf88-c39f-40a4-b891-84516c8bb81f	97025821-e63c-4594-b617-a47794232065	INFILTRATION
757baf88-c39f-40a4-b891-84516c8bb81f	ef0b3d2e-1e57-44b4-900f-9df5c4b4fe46	IT_LOAD
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	bfc2a40e-9f13-4175-a556-b0775fd8796a	SWITCHGEAR
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	a32c6c92-7e5e-487b-b3a9-85a79e1321c7	GENERATOR
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	4085230c-482c-4762-b77a-ec51a337955e	PRIMARY_AUXILIARIES
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	8f637d37-cd3d-4ad4-9ff3-af088f4d9c50	UPS
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	ed6ca849-e5da-4635-92c5-b1d41f125695	CRITICAL_AUXILIARIES
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	987b7930-e5e3-4f00-8aac-b867a9cb3be4	LIGHTING
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	33a99c0d-9fee-49e4-8571-33a6f0c09df0	CRITICAL_POWER_DISTRIBUTION
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	0a220f36-9e85-46e4-b22b-85e2d12e7337	CRAH
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	3e53ef40-cc40-4900-ad52-8109a7a6cd48	CRAC
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	733940b0-9c0c-436d-894b-4baf5a25a99a	CRAC_WITHOUT_FAN
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	ba97b52f-418f-46ae-8295-2ca7449e8d3b	CRAC_FAN
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	a6dc7350-77fa-4de2-8b02-a351caca7f49	CHILLER
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	e4d63261-a9a2-4003-a87f-bccccf062df4	AIR_COOLED_CHILLER
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	d9364bdd-29a1-4eb6-95b7-958815677ce3	COOLING_TOWER
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	4dcc7218-6689-4f58-8033-6272d11a2594	DRY_COOLER
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	8cbf5f38-ea23-4aa3-88e3-2661e952ada5	REMOTE_CONDENSER
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	567f1424-5f5c-4347-a726-2a14557ff67d	CHILLED_WATER_PUMPS
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	c3ca17ea-45a4-4c7d-bdd5-f09be7ba3ff1	HEAT_REJECTION_PUMPS
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	9f160d1c-e74f-47b1-9560-c5cbb495ca6f	VENTILATION
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	ea0c134c-7f09-4238-96f6-093975fd1ee8	INFILTRATION
af35a5fb-c74f-4075-bbc0-e0a36a3fde59	6007356e-e2a3-47ee-9f63-ae6a585d96d2	IT_LOAD
e67e1819-50c5-469b-a8e5-e15c7ff56f23	23f44ef6-2402-42e4-baf9-c05f177d72a4	SWITCHGEAR
e67e1819-50c5-469b-a8e5-e15c7ff56f23	f5982075-3512-46fd-9bd3-2021bbec7b7c	GENERATOR
e67e1819-50c5-469b-a8e5-e15c7ff56f23	aed21f72-02f4-46f7-8e65-a274c1a39c75	PRIMARY_AUXILIARIES
e67e1819-50c5-469b-a8e5-e15c7ff56f23	e8fcdf70-c874-439b-a398-b26d169b5b3f	UPS
e67e1819-50c5-469b-a8e5-e15c7ff56f23	1d95a726-2b7a-464d-b974-3846599db3ef	CRITICAL_AUXILIARIES
e67e1819-50c5-469b-a8e5-e15c7ff56f23	cc7d9c90-d463-4afe-a282-fff4fc7a2b64	LIGHTING
e67e1819-50c5-469b-a8e5-e15c7ff56f23	c2f7daaa-7826-4a7a-955d-56ec7dc25ea3	CRITICAL_POWER_DISTRIBUTION
e67e1819-50c5-469b-a8e5-e15c7ff56f23	221ebb06-9205-45fa-9898-9918ab5be4f0	CRAH
e67e1819-50c5-469b-a8e5-e15c7ff56f23	a5f9f45f-b03d-4073-9ce4-0abafeddcd2a	CRAC
e67e1819-50c5-469b-a8e5-e15c7ff56f23	6e20bb5d-3a02-4138-aa58-b75eb47e4190	CRAC_WITHOUT_FAN
e67e1819-50c5-469b-a8e5-e15c7ff56f23	748752f0-57b2-461e-9ee0-c1ded3ef0248	CRAC_FAN
e67e1819-50c5-469b-a8e5-e15c7ff56f23	9471deb6-b3c5-4da3-84c0-5c55ff4955fe	CHILLER
e67e1819-50c5-469b-a8e5-e15c7ff56f23	f3721d15-43c6-486c-b01a-0d36ac727862	AIR_COOLED_CHILLER
e67e1819-50c5-469b-a8e5-e15c7ff56f23	5427c0db-322a-4fd3-9e59-4d41f22fa1a5	COOLING_TOWER
e67e1819-50c5-469b-a8e5-e15c7ff56f23	67fff5ff-a831-475d-90af-36f1a9dc5b0e	DRY_COOLER
e67e1819-50c5-469b-a8e5-e15c7ff56f23	ff63672c-a01e-4d5c-b7b4-6ae8c75ea1ef	REMOTE_CONDENSER
e67e1819-50c5-469b-a8e5-e15c7ff56f23	ed8367a4-3f2d-4212-a543-68f338c5c54a	CHILLED_WATER_PUMPS
e67e1819-50c5-469b-a8e5-e15c7ff56f23	7a687b48-4370-4022-83a5-ec3b0848e73e	HEAT_REJECTION_PUMPS
e67e1819-50c5-469b-a8e5-e15c7ff56f23	44833f83-f14c-4595-a84b-c151a6959402	VENTILATION
e67e1819-50c5-469b-a8e5-e15c7ff56f23	e0feb23c-ff3d-453c-a2dc-4820e6e0e7f8	INFILTRATION
e67e1819-50c5-469b-a8e5-e15c7ff56f23	95f1388a-ecca-4904-bf2a-158233f8ab64	IT_LOAD
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	6964d44f-c36f-450c-9f65-62df4fc26032	SWITCHGEAR
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	3597e9b7-e55a-4b9a-9265-6f3221932c6c	GENERATOR
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	e8b215c8-0b05-48be-9343-9141583fbf4d	PRIMARY_AUXILIARIES
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	0f0e85fd-ed34-4146-8649-e6feaecc6029	UPS
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	2b6205f2-7f08-4c4b-b5db-bafaffdead8b	CRITICAL_AUXILIARIES
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	e69311b1-ddac-4893-a3aa-dea474a8c5d0	LIGHTING
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	664a4366-a3b3-4bce-8b5b-14a1ab88844f	CRITICAL_POWER_DISTRIBUTION
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	ec3f2601-41ce-4edf-a5eb-0d8e870bd28a	CRAH
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	fdd37785-9531-4cd4-8799-d5b97e7a4cec	CRAC
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	e43f8fd9-aae8-4160-afde-9b993ec14455	CRAC_WITHOUT_FAN
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	ca619abe-df00-4482-b6c8-578137ffd204	CRAC_FAN
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	feae46b0-fca8-42bc-aa38-80018f758ee2	CHILLER
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	c942ea56-a36d-4a13-9d87-acd3a72b5af2	AIR_COOLED_CHILLER
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	5cea3943-f15b-4732-ad45-302391fcf008	COOLING_TOWER
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	dc14f7b4-c4b2-4d65-ad98-4715e3fbd203	DRY_COOLER
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	86fb7a93-e3c9-407c-b57e-07afb8c18ec2	REMOTE_CONDENSER
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	4af71cf5-c4d1-4906-a99b-f0fe8f2a1b7e	CHILLED_WATER_PUMPS
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	04cd2eec-43e2-405e-bc61-2e97c1c900a6	HEAT_REJECTION_PUMPS
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	80ae7ef0-f50e-4d40-bf49-95819d3b43f8	VENTILATION
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	9e0a7721-4e12-41db-a41c-7e6dda728d3e	INFILTRATION
5f7a1f6d-e540-46aa-b6c7-7691ab1afa9f	ce8549c7-5386-4a27-b850-4bb385006d58	IT_LOAD
ecbc4cad-fe00-45f4-acb4-be926956f792	33e41857-da15-436c-9ca5-b26ca4e2a9e1	SWITCHGEAR
ecbc4cad-fe00-45f4-acb4-be926956f792	23e017aa-c63d-4f0f-a687-be75a5126a31	GENERATOR
ecbc4cad-fe00-45f4-acb4-be926956f792	9477c535-a941-4ee0-ac10-da22b3fa794e	PRIMARY_AUXILIARIES
ecbc4cad-fe00-45f4-acb4-be926956f792	7e96d58a-2eaa-4514-9e20-ca8568381ee4	UPS
ecbc4cad-fe00-45f4-acb4-be926956f792	97f1f6bf-d4b0-42f7-a06c-b4cca9bcc7e2	CRITICAL_AUXILIARIES
ecbc4cad-fe00-45f4-acb4-be926956f792	c8a7149e-2161-4629-a77a-17d6ff5c26e7	LIGHTING
ecbc4cad-fe00-45f4-acb4-be926956f792	a6acffa0-6a9c-44b6-bea9-88a9f2a7c0b9	CRITICAL_POWER_DISTRIBUTION
ecbc4cad-fe00-45f4-acb4-be926956f792	7501ce53-3786-4239-85d2-ed95470a5653	CRAH
ecbc4cad-fe00-45f4-acb4-be926956f792	ca20f593-de65-4808-b187-993c70cfc7c9	CRAC
ecbc4cad-fe00-45f4-acb4-be926956f792	a2451958-5dfe-48f7-af28-1bc09b611783	CRAC_WITHOUT_FAN
ecbc4cad-fe00-45f4-acb4-be926956f792	0f812af9-393d-46cd-920d-59b06885690e	CRAC_FAN
ecbc4cad-fe00-45f4-acb4-be926956f792	ae91e885-46cd-41d4-8e91-901fee4ec841	CHILLER
ecbc4cad-fe00-45f4-acb4-be926956f792	f1b9193a-7b33-408e-a255-8eaf77086d61	AIR_COOLED_CHILLER
ecbc4cad-fe00-45f4-acb4-be926956f792	db775be1-3c61-452f-bf4f-e6f3ef859fdb	COOLING_TOWER
ecbc4cad-fe00-45f4-acb4-be926956f792	5f59be63-d809-4972-b16e-15561116d1c4	DRY_COOLER
ecbc4cad-fe00-45f4-acb4-be926956f792	70600cdc-d1e0-4a00-b69c-2b69e8b84e61	REMOTE_CONDENSER
ecbc4cad-fe00-45f4-acb4-be926956f792	99871d34-81f7-40a9-bffb-f6fb39fcfedd	CHILLED_WATER_PUMPS
ecbc4cad-fe00-45f4-acb4-be926956f792	0e85410c-dd37-4627-a8d8-e6709867efa6	HEAT_REJECTION_PUMPS
ecbc4cad-fe00-45f4-acb4-be926956f792	994aab3e-a2f4-4c76-a4a6-d7c47c7d82e4	VENTILATION
ecbc4cad-fe00-45f4-acb4-be926956f792	f7de6f7d-6b07-4c20-b9c4-4c31ebba2895	INFILTRATION
ecbc4cad-fe00-45f4-acb4-be926956f792	ba778571-e05b-475c-8c73-a1685a6e5fc3	IT_LOAD
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	fea5ea14-4865-4089-9a33-e48fa95863a6	SWITCHGEAR
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	1a96aef9-f5fb-4236-b1a4-beff5a4b8f7e	GENERATOR
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	e273f06f-68e2-42de-96f2-44bdca42d4e4	PRIMARY_AUXILIARIES
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	bd0de08c-1e82-426b-a883-a5f225ad8af2	UPS
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	800e86f5-fdea-4005-96eb-fa5e8a9b769e	CRITICAL_AUXILIARIES
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	b5b7b239-d7cf-4866-9f9c-63eadbd1bead	LIGHTING
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	eb0c7908-4bfe-4809-a199-f5387f599c0c	CRITICAL_POWER_DISTRIBUTION
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	b8612727-57f5-4bc7-ae19-52e64d7ada10	CRAH
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	63485e6a-988f-49cd-88c9-bafce63ebfb3	CRAC
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	d9dfb803-fcf9-4439-a631-893b079432d5	CRAC_WITHOUT_FAN
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	dda4b54f-2d7f-46b0-8f56-ee3bd90f48e3	CRAC_FAN
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	ef39b521-b601-44fe-8a8d-47a9420a82d2	CHILLER
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	9ff266bf-3549-467e-bb88-2326cedb6dd6	AIR_COOLED_CHILLER
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	b7233b3e-2827-437d-bc00-111ac13dabdb	COOLING_TOWER
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	ce644d05-8c5d-4b37-9bb5-212b96d84f33	DRY_COOLER
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	9d1d4631-41b9-4242-a11b-1cade99dcc2e	REMOTE_CONDENSER
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	67395566-409b-4f0c-bd1c-c6583e482e56	CHILLED_WATER_PUMPS
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	1edc1b69-1e90-4555-8548-54998cd93c0c	HEAT_REJECTION_PUMPS
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	853c5bca-fbf9-4ed8-a435-5e1ff299bd72	VENTILATION
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	2e310593-cabd-4d56-99b5-4e0aed67e3ce	INFILTRATION
7cac15e9-bbd9-41af-8d8d-4a8c7d8d299f	94fbb487-8004-475d-bb07-80632447b57a	IT_LOAD
66f28ba5-eded-442f-b395-ba24155626e9	e417f2f0-8787-4644-80e0-b6130bebd193	SWITCHGEAR
66f28ba5-eded-442f-b395-ba24155626e9	0e34c6c7-10de-489b-bb83-45b2b8a2e52d	GENERATOR
66f28ba5-eded-442f-b395-ba24155626e9	8dc8a57c-e2c8-4591-becd-24ad25f8aa23	PRIMARY_AUXILIARIES
66f28ba5-eded-442f-b395-ba24155626e9	932618b6-4cee-4d08-a2e0-563baa7bdb18	UPS
66f28ba5-eded-442f-b395-ba24155626e9	8d6c502e-7968-4adb-a56e-7d93f10615d3	CRITICAL_AUXILIARIES
66f28ba5-eded-442f-b395-ba24155626e9	2fea6071-4c06-431a-a421-573dcba633cc	LIGHTING
66f28ba5-eded-442f-b395-ba24155626e9	f3af39ef-5a69-482c-a53a-009f43e6a930	CRITICAL_POWER_DISTRIBUTION
66f28ba5-eded-442f-b395-ba24155626e9	1aaa1f9b-986f-497c-9a04-d36cf818170f	CRAH
66f28ba5-eded-442f-b395-ba24155626e9	8addafca-ba76-47a9-8870-ef686ad2927f	CRAC
66f28ba5-eded-442f-b395-ba24155626e9	6ab542d9-f0b3-442e-82a4-7ef296f222b8	CRAC_WITHOUT_FAN
66f28ba5-eded-442f-b395-ba24155626e9	59bf02f0-0ccb-4a92-a67f-d612f14fc9cc	CRAC_FAN
66f28ba5-eded-442f-b395-ba24155626e9	e8ab8a42-fea2-4ffe-8b31-aa949a2ae04d	CHILLER
66f28ba5-eded-442f-b395-ba24155626e9	d1d5006a-b97c-4a8a-9dd5-da40218a1e74	AIR_COOLED_CHILLER
66f28ba5-eded-442f-b395-ba24155626e9	b468f6aa-703f-4071-a886-c43320afae45	COOLING_TOWER
66f28ba5-eded-442f-b395-ba24155626e9	32b25024-5a41-4b56-8e73-fab6516564c1	DRY_COOLER
66f28ba5-eded-442f-b395-ba24155626e9	573b66fd-6642-4dec-9743-3d08b1be3548	REMOTE_CONDENSER
66f28ba5-eded-442f-b395-ba24155626e9	fa22af6f-33c5-451e-87ac-17f98bdd4665	CHILLED_WATER_PUMPS
66f28ba5-eded-442f-b395-ba24155626e9	a3943c59-62d2-4e99-af0e-3d12ea6123f0	HEAT_REJECTION_PUMPS
66f28ba5-eded-442f-b395-ba24155626e9	7e7414ba-2d5c-44f8-8f93-e816474eb6e7	VENTILATION
66f28ba5-eded-442f-b395-ba24155626e9	8f8cff0d-0509-422f-94cd-a9cc975a53af	INFILTRATION
66f28ba5-eded-442f-b395-ba24155626e9	116b28cc-9c08-4b54-bbfd-949fd4ff33e7	IT_LOAD
49f1a209-289d-48a4-8aa3-6a4479e4db59	752c2937-f9a7-4429-85b5-913067731280	SWITCHGEAR
49f1a209-289d-48a4-8aa3-6a4479e4db59	e7a2ae40-78d7-4c02-bebf-b809dbc2311a	GENERATOR
49f1a209-289d-48a4-8aa3-6a4479e4db59	67a1f28e-cb04-42ff-a2eb-f984ad4e1a69	PRIMARY_AUXILIARIES
49f1a209-289d-48a4-8aa3-6a4479e4db59	298fe610-badb-4310-9813-3408b2ff359e	UPS
49f1a209-289d-48a4-8aa3-6a4479e4db59	be5b59af-a6df-40c5-9da4-0d256c5543e2	CRITICAL_AUXILIARIES
49f1a209-289d-48a4-8aa3-6a4479e4db59	4397a889-d853-48c1-8b80-d2fd6fd5b93d	LIGHTING
49f1a209-289d-48a4-8aa3-6a4479e4db59	3a53fdd0-f5aa-4c22-a951-908cbff3af24	CRITICAL_POWER_DISTRIBUTION
49f1a209-289d-48a4-8aa3-6a4479e4db59	c8cbb7cf-03bc-4f5a-8511-5eceea976f17	CRAH
49f1a209-289d-48a4-8aa3-6a4479e4db59	ec5d4d4c-c5fc-48e2-bc45-fecd007cc481	CRAC
49f1a209-289d-48a4-8aa3-6a4479e4db59	09630072-1b2f-4a9a-866b-4f4a459616bd	CRAC_WITHOUT_FAN
49f1a209-289d-48a4-8aa3-6a4479e4db59	c2c63234-96bb-4b61-a9af-a592d317a46e	CRAC_FAN
49f1a209-289d-48a4-8aa3-6a4479e4db59	d7d3baeb-0e2b-4945-97a0-d6259786caf6	CHILLER
49f1a209-289d-48a4-8aa3-6a4479e4db59	9c815c7f-2cd4-4a36-9f16-9534bc74397e	AIR_COOLED_CHILLER
49f1a209-289d-48a4-8aa3-6a4479e4db59	33a0aee0-35e5-481d-996a-212851e69287	COOLING_TOWER
49f1a209-289d-48a4-8aa3-6a4479e4db59	b14180c5-c895-4e35-93d7-2440924d7884	DRY_COOLER
49f1a209-289d-48a4-8aa3-6a4479e4db59	af8a44b1-8497-4dd7-b700-af919fb86fd1	REMOTE_CONDENSER
49f1a209-289d-48a4-8aa3-6a4479e4db59	987db903-e0ca-427f-8e03-298045d50a14	CHILLED_WATER_PUMPS
49f1a209-289d-48a4-8aa3-6a4479e4db59	1a0dee5d-f3ce-48b4-8c3f-1041aa7382d0	HEAT_REJECTION_PUMPS
49f1a209-289d-48a4-8aa3-6a4479e4db59	57c3a7ca-4451-4ddc-8f55-121cac44cce5	VENTILATION
49f1a209-289d-48a4-8aa3-6a4479e4db59	f2f47743-2250-495a-a8d0-cde2475e802e	INFILTRATION
49f1a209-289d-48a4-8aa3-6a4479e4db59	a8a54efe-bfef-4e53-8407-222b2e35c367	IT_LOAD
70114d95-501f-44c7-b837-b9f0271d5f7c	6caa48e2-c57b-4d39-8f61-a7fe1aac1d3d	SWITCHGEAR
70114d95-501f-44c7-b837-b9f0271d5f7c	5c036c3a-c502-49e8-92a5-8f3238049461	GENERATOR
70114d95-501f-44c7-b837-b9f0271d5f7c	19145786-e89d-4b44-9489-00c0211aed89	PRIMARY_AUXILIARIES
70114d95-501f-44c7-b837-b9f0271d5f7c	4de881d6-0db9-4ef4-984c-51638c83cdd7	UPS
70114d95-501f-44c7-b837-b9f0271d5f7c	dcb97770-7fd6-42f8-a9cd-385b95c009b7	CRITICAL_AUXILIARIES
70114d95-501f-44c7-b837-b9f0271d5f7c	7a081b68-d5bd-4f11-bf0f-49ba173c31cd	LIGHTING
70114d95-501f-44c7-b837-b9f0271d5f7c	8bacad22-381d-4ab7-ae4b-264eab3cbe2c	CRITICAL_POWER_DISTRIBUTION
70114d95-501f-44c7-b837-b9f0271d5f7c	8fc809ee-1166-4f3c-9c65-21f24e25500b	CRAH
70114d95-501f-44c7-b837-b9f0271d5f7c	311babc3-ca5f-4323-8cbe-683ce0e8a23b	CRAC
70114d95-501f-44c7-b837-b9f0271d5f7c	84e1d8af-7142-498b-81f4-83ad9337be34	CRAC_WITHOUT_FAN
70114d95-501f-44c7-b837-b9f0271d5f7c	28526fb9-8624-4097-9ea2-d68a3bb77346	CRAC_FAN
70114d95-501f-44c7-b837-b9f0271d5f7c	38d89cff-c600-4933-a335-8243c15288a3	CHILLER
70114d95-501f-44c7-b837-b9f0271d5f7c	9ec8ce39-7b9b-4f57-9579-d2852e9b9202	AIR_COOLED_CHILLER
70114d95-501f-44c7-b837-b9f0271d5f7c	704ed5ef-8a6f-405a-ae15-48762f1be5d3	COOLING_TOWER
70114d95-501f-44c7-b837-b9f0271d5f7c	c86a46cb-5a1f-4498-b513-19274257afe8	DRY_COOLER
70114d95-501f-44c7-b837-b9f0271d5f7c	6c676994-e1cd-4f5e-87bf-50a446a62de4	REMOTE_CONDENSER
70114d95-501f-44c7-b837-b9f0271d5f7c	1330a2df-29af-47a1-91fe-657c80b0d13d	CHILLED_WATER_PUMPS
70114d95-501f-44c7-b837-b9f0271d5f7c	6d41e524-a475-41ac-a3ec-afdb3ad10145	HEAT_REJECTION_PUMPS
70114d95-501f-44c7-b837-b9f0271d5f7c	2ae2f4dd-9711-4f78-94b9-e6ab81177050	VENTILATION
70114d95-501f-44c7-b837-b9f0271d5f7c	134f9ca2-780c-4b7d-884c-44abb8490923	INFILTRATION
70114d95-501f-44c7-b837-b9f0271d5f7c	a7cf2751-f33a-4581-bc8e-999822bf51a0	IT_LOAD
7ac9c814-055a-4c3e-a697-a3283a8d90f3	860f4773-a867-4fe2-be4b-8c3b3c4de8bc	SWITCHGEAR
7ac9c814-055a-4c3e-a697-a3283a8d90f3	a2b0d0c0-21d0-4ca6-8ef1-1cc990d7f4a8	GENERATOR
7ac9c814-055a-4c3e-a697-a3283a8d90f3	bda37971-429e-4b74-bebd-401514fbe0c7	PRIMARY_AUXILIARIES
7ac9c814-055a-4c3e-a697-a3283a8d90f3	0293ea45-84ef-41b8-9b88-3038236b2c27	UPS
7ac9c814-055a-4c3e-a697-a3283a8d90f3	4b3f0b2b-66a0-4baf-b8d0-0645c1be286e	CRITICAL_AUXILIARIES
7ac9c814-055a-4c3e-a697-a3283a8d90f3	d6ca09ce-cece-4a81-9cf4-e3068037c798	LIGHTING
7ac9c814-055a-4c3e-a697-a3283a8d90f3	297d2866-1920-4a69-b7ff-ca01986eef14	CRITICAL_POWER_DISTRIBUTION
7ac9c814-055a-4c3e-a697-a3283a8d90f3	462576be-b48e-45a3-a4f3-aa3f7e00d0ca	CRAH
7ac9c814-055a-4c3e-a697-a3283a8d90f3	0bfdc711-0be6-4269-8f0a-9c5a6d023d19	CRAC
7ac9c814-055a-4c3e-a697-a3283a8d90f3	400c3469-50ff-4b11-99b0-229aace1244e	CRAC_WITHOUT_FAN
7ac9c814-055a-4c3e-a697-a3283a8d90f3	338238d4-8432-42ba-82a4-fb2e27dcb42e	CRAC_FAN
7ac9c814-055a-4c3e-a697-a3283a8d90f3	1c63f15a-a770-4b2f-a82a-472182c37f00	CHILLER
7ac9c814-055a-4c3e-a697-a3283a8d90f3	f84dec78-7fcb-4977-88e8-72ad47bbce89	AIR_COOLED_CHILLER
7ac9c814-055a-4c3e-a697-a3283a8d90f3	98e9e105-1707-4301-9de3-7a632cae1dd0	COOLING_TOWER
7ac9c814-055a-4c3e-a697-a3283a8d90f3	d44a4062-3a5a-4255-a6d2-da02b8e2d147	DRY_COOLER
7ac9c814-055a-4c3e-a697-a3283a8d90f3	2ffc6a7b-6075-4a4f-a236-dfc0e5b015e1	REMOTE_CONDENSER
7ac9c814-055a-4c3e-a697-a3283a8d90f3	e3eea6a2-b7d2-4cf3-86b1-90fbe70a7d62	CHILLED_WATER_PUMPS
7ac9c814-055a-4c3e-a697-a3283a8d90f3	791615c7-07be-4f9b-a306-aa4a129db716	HEAT_REJECTION_PUMPS
7ac9c814-055a-4c3e-a697-a3283a8d90f3	7954936a-6681-4cd1-9219-913baea32798	VENTILATION
7ac9c814-055a-4c3e-a697-a3283a8d90f3	5d3692bf-75f5-4149-9966-ba4eb18ad8f8	INFILTRATION
7ac9c814-055a-4c3e-a697-a3283a8d90f3	9bc839fc-57a6-45bb-aa39-d34138615039	IT_LOAD
e87ab7b6-9c74-4791-a365-9795570d22d0	cf282831-33ef-4732-b2fa-f9eb46042f7c	SWITCHGEAR
e87ab7b6-9c74-4791-a365-9795570d22d0	3a95d10d-2185-4757-8423-0dfb1c5efca6	GENERATOR
e87ab7b6-9c74-4791-a365-9795570d22d0	30fe894e-96ae-4f57-81f9-5fd3ccebb638	PRIMARY_AUXILIARIES
e87ab7b6-9c74-4791-a365-9795570d22d0	8d0b0132-7650-4214-ada1-442ea2e2d36b	UPS
e87ab7b6-9c74-4791-a365-9795570d22d0	f2809568-f8fe-4f2a-8660-45b1c7ed63f6	CRITICAL_AUXILIARIES
e87ab7b6-9c74-4791-a365-9795570d22d0	dd4d846d-188d-4da8-9a5b-b51b015ee2c0	LIGHTING
e87ab7b6-9c74-4791-a365-9795570d22d0	62acbc9b-edde-408a-9482-0ac39bcda068	CRITICAL_POWER_DISTRIBUTION
e87ab7b6-9c74-4791-a365-9795570d22d0	2b9113ed-7fe9-4bae-a32a-10a56045c720	CRAH
e87ab7b6-9c74-4791-a365-9795570d22d0	e9419cae-dd63-4ff9-b2ad-fe771d0da1eb	CRAC
e87ab7b6-9c74-4791-a365-9795570d22d0	c5601b8e-01c4-4f11-b7a6-f4097c1dda97	CRAC_WITHOUT_FAN
e87ab7b6-9c74-4791-a365-9795570d22d0	3eeb0d05-b9c8-4878-936e-5ffcb4110b3a	CRAC_FAN
e87ab7b6-9c74-4791-a365-9795570d22d0	425e9ce6-db0f-4f7f-9dbc-06ecea071a2a	CHILLER
e87ab7b6-9c74-4791-a365-9795570d22d0	5aacb6bb-213c-4b25-afc7-0194786207bf	AIR_COOLED_CHILLER
e87ab7b6-9c74-4791-a365-9795570d22d0	cec7941e-9ed4-422f-b314-386c55e327fc	COOLING_TOWER
e87ab7b6-9c74-4791-a365-9795570d22d0	85caca66-9c8b-455a-a56b-4a63065e7d8a	DRY_COOLER
e87ab7b6-9c74-4791-a365-9795570d22d0	b3921bed-4489-420e-9aaa-4289213301b1	REMOTE_CONDENSER
e87ab7b6-9c74-4791-a365-9795570d22d0	81bfd7f4-2a8b-40d1-a394-15997663f9d7	CHILLED_WATER_PUMPS
e87ab7b6-9c74-4791-a365-9795570d22d0	926448ec-f21a-47dc-a681-d9a1f0af33cd	HEAT_REJECTION_PUMPS
e87ab7b6-9c74-4791-a365-9795570d22d0	f53a3973-8430-433f-ad20-d92ef0e32c18	VENTILATION
e87ab7b6-9c74-4791-a365-9795570d22d0	42ca76b4-6fda-4663-823a-55d302191cd7	INFILTRATION
e87ab7b6-9c74-4791-a365-9795570d22d0	76c966e4-33db-4d37-984e-f4f070a5a859	IT_LOAD
29d4092b-8572-483b-ba41-d10c800d3128	78ab8a23-fe78-4a8e-8185-582866259c37	SWITCHGEAR
29d4092b-8572-483b-ba41-d10c800d3128	e184fb73-851a-4863-86ce-0a826b7f4b00	GENERATOR
29d4092b-8572-483b-ba41-d10c800d3128	11c801d1-cbd0-46e5-a066-57edd53bd5b4	PRIMARY_AUXILIARIES
29d4092b-8572-483b-ba41-d10c800d3128	f52bcb8d-5856-4ece-be1a-15048a8479ed	UPS
29d4092b-8572-483b-ba41-d10c800d3128	b14e9123-8dc3-4dab-a090-92e42d8d1b8d	CRITICAL_AUXILIARIES
29d4092b-8572-483b-ba41-d10c800d3128	bcc7d999-ff48-4641-80ca-7225c5b031b3	LIGHTING
29d4092b-8572-483b-ba41-d10c800d3128	983edb52-809e-4181-b717-bfa7276a97c5	CRITICAL_POWER_DISTRIBUTION
29d4092b-8572-483b-ba41-d10c800d3128	132d2f14-0afb-452a-bd6e-13be74ba5fb7	CRAH
29d4092b-8572-483b-ba41-d10c800d3128	31ced04e-aa42-4705-a112-c3f4a04bd03d	CRAC
29d4092b-8572-483b-ba41-d10c800d3128	8d11836e-607f-43e6-9ced-29957a06b4b7	CRAC_WITHOUT_FAN
29d4092b-8572-483b-ba41-d10c800d3128	420ea1c5-1880-455b-b18a-1b2b7b642429	CRAC_FAN
29d4092b-8572-483b-ba41-d10c800d3128	dd3d1aab-f1e2-4cd2-8052-172346b2dc0c	CHILLER
29d4092b-8572-483b-ba41-d10c800d3128	be7153b8-d623-4878-bd3f-3239b29cc221	AIR_COOLED_CHILLER
29d4092b-8572-483b-ba41-d10c800d3128	2abf2476-7a56-4eb3-97d5-cf0aafdb7c99	COOLING_TOWER
29d4092b-8572-483b-ba41-d10c800d3128	d3032361-ebfa-4908-9ee6-ad204b2d5863	DRY_COOLER
29d4092b-8572-483b-ba41-d10c800d3128	7960f45d-9313-40e2-85a9-6a9a0667d03e	REMOTE_CONDENSER
29d4092b-8572-483b-ba41-d10c800d3128	ec3b91ab-07fb-44ee-973f-0e38418a5bf0	CHILLED_WATER_PUMPS
29d4092b-8572-483b-ba41-d10c800d3128	9dabd886-4e47-49a2-8608-b7cfcf97355c	HEAT_REJECTION_PUMPS
29d4092b-8572-483b-ba41-d10c800d3128	af341e26-b3cb-476a-905d-ac62d734c174	VENTILATION
29d4092b-8572-483b-ba41-d10c800d3128	fe12a1ea-dcde-4915-a9c2-25db579097c6	INFILTRATION
29d4092b-8572-483b-ba41-d10c800d3128	d345c204-3e1d-43e5-8ba6-2256fbef261b	IT_LOAD
df69bdde-34d2-405b-8206-4059f6e64119	59307008-b10b-4fb1-8e75-538f86b7ada1	SWITCHGEAR
df69bdde-34d2-405b-8206-4059f6e64119	1cd50bfc-b00e-4bd8-ae8d-9543f7fdf7d0	GENERATOR
df69bdde-34d2-405b-8206-4059f6e64119	f09ac11b-f6a4-455c-be0e-bc225f95d53f	PRIMARY_AUXILIARIES
df69bdde-34d2-405b-8206-4059f6e64119	3a1b5f9a-df19-4110-b98f-4046f5c84465	UPS
df69bdde-34d2-405b-8206-4059f6e64119	91875136-9feb-4d65-b544-3411808631ab	CRITICAL_AUXILIARIES
df69bdde-34d2-405b-8206-4059f6e64119	9f56d829-eb9a-4ff6-8d16-1deca435f89b	LIGHTING
df69bdde-34d2-405b-8206-4059f6e64119	298ca1e6-ddf1-49b0-b761-894fb069bc02	CRITICAL_POWER_DISTRIBUTION
df69bdde-34d2-405b-8206-4059f6e64119	878b18bd-973f-49f0-b599-eca619098b25	CRAH
df69bdde-34d2-405b-8206-4059f6e64119	335c1585-5666-42f7-99f6-7a5514e91d48	CRAC
df69bdde-34d2-405b-8206-4059f6e64119	e6b7494d-2337-4928-a617-6eef7d460342	CRAC_WITHOUT_FAN
df69bdde-34d2-405b-8206-4059f6e64119	b4f509b2-5d64-409c-8ec7-07484325720c	CRAC_FAN
df69bdde-34d2-405b-8206-4059f6e64119	9fb09330-1724-4deb-b0c3-c6d21dd3652b	CHILLER
df69bdde-34d2-405b-8206-4059f6e64119	cd84feee-83de-4f37-bf25-432953a21652	AIR_COOLED_CHILLER
df69bdde-34d2-405b-8206-4059f6e64119	0b5fcdb8-5f4c-49bc-93dc-d8ecce81b4b6	COOLING_TOWER
df69bdde-34d2-405b-8206-4059f6e64119	6b67886e-7e81-4eb8-86cd-2c0af5b27142	DRY_COOLER
df69bdde-34d2-405b-8206-4059f6e64119	8d9b87cc-deb4-4539-9ece-2172e96d4372	REMOTE_CONDENSER
df69bdde-34d2-405b-8206-4059f6e64119	2764808c-6161-42d2-b6c4-b65f3c0a3f8f	CHILLED_WATER_PUMPS
df69bdde-34d2-405b-8206-4059f6e64119	3d4a59fa-674e-4fc7-9ea0-00b853f71773	HEAT_REJECTION_PUMPS
df69bdde-34d2-405b-8206-4059f6e64119	1fa26607-8644-4636-a3c1-d05ec91c79b2	VENTILATION
df69bdde-34d2-405b-8206-4059f6e64119	4032633a-b643-4509-84c1-3caec40a7038	INFILTRATION
df69bdde-34d2-405b-8206-4059f6e64119	3e3ee68f-175b-4000-add6-001c09dc646c	IT_LOAD
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	bf8e824b-c461-40b7-b000-46a90cfac60b	SWITCHGEAR
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	330fbd43-e48b-41e6-ad82-93263c61ec4a	GENERATOR
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	3ada9cb2-085c-4a0a-87d9-603c4c8b3b9d	PRIMARY_AUXILIARIES
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	7b695034-ffb2-43f9-8956-9651af4754d9	UPS
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	b2e56a92-5a1d-44f4-a3b0-a65d5b992b18	CRITICAL_AUXILIARIES
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	53f864df-1d5a-488b-84a8-9247e887a551	LIGHTING
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	45fc21d4-1e53-4c33-a252-b52f773c8285	CRITICAL_POWER_DISTRIBUTION
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	7f56a3a2-66b4-4b3e-82ae-3feeb07853bb	CRAH
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	a27bf07f-fa5f-4fe1-affb-a0d10c1b6304	CRAC
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	3db80303-4088-48e8-bdb3-c4e90bb5dafa	CRAC_WITHOUT_FAN
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	1a8485d2-0df9-43a9-9703-2089e1c69a07	CRAC_FAN
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	dd005f62-0630-48f2-aed0-47546856e9d0	CHILLER
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	bdc7972c-7c6e-488c-aa37-077e1332143d	AIR_COOLED_CHILLER
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	aa829dc2-877f-4b86-bdd2-279250a9e015	COOLING_TOWER
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	d1263615-e7dc-4b8e-8dbb-acf3e630f3c6	DRY_COOLER
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	6d3b4fef-156c-44fc-ae6c-663cd1544163	REMOTE_CONDENSER
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	91a668ad-cae3-4300-a66d-c7705114e179	CHILLED_WATER_PUMPS
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	c962eb09-f0f9-4978-b804-e9ed7c636ffa	HEAT_REJECTION_PUMPS
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	52c6c088-f0a0-4bc6-9f36-b9b5e14214a0	VENTILATION
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	9597265c-4331-4cd6-8ed5-49210bf9152f	INFILTRATION
6c5d3fbe-d8b3-44ce-991e-0b5c975409b3	0f565329-8d5a-4661-95fb-b9b6bdccbb86	IT_LOAD
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	a925dbdd-f4b3-4baa-aac4-100c106bcfd3	SWITCHGEAR
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	2b420d97-449c-4d94-9b40-a47e143402e4	GENERATOR
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	a507234b-6c81-465c-9024-ec2ef698967b	PRIMARY_AUXILIARIES
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	4362ef6a-e01f-405c-9c38-4011f7ea2127	UPS
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	32c3dd14-e61e-4250-bd97-2217f8278670	CRITICAL_AUXILIARIES
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	946ad56f-8381-4f99-a30e-723fde7e43cb	LIGHTING
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	986e0613-5b6e-45e6-9b63-3c3ec3786e14	CRITICAL_POWER_DISTRIBUTION
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	f9863f82-cbd6-47a8-b2ce-fc46e3ad8863	CRAH
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	7a6e0e44-34f6-4bed-98a4-6febc6b92c60	CRAC
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	9b8ddfb1-4cd9-4aec-8ccd-0f97f16dd8bc	CRAC_WITHOUT_FAN
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	dcb6f69d-ba04-4a5d-8e6d-7128b4b00703	CRAC_FAN
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	f071c6d8-8301-4d7b-bf71-fe008c50dbfc	CHILLER
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	f2787b6b-353b-48ea-bd13-7ac401dbd7f3	AIR_COOLED_CHILLER
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	57679546-a7c0-41f1-b33f-afe40e73e7a5	COOLING_TOWER
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	59904e19-42a5-440e-a369-8df24dfa857e	DRY_COOLER
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	6e14e7fb-39a8-4cb0-942c-d9262b75f15a	REMOTE_CONDENSER
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	77528a46-c172-487c-865f-c6a3ee7204b1	CHILLED_WATER_PUMPS
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	dc993d78-9f28-4d45-a194-0f8742ab836a	HEAT_REJECTION_PUMPS
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	1a9d59f2-baf9-425e-a92b-73e653a953df	VENTILATION
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	4491373b-de11-447e-9ab9-9e84c5720d0b	INFILTRATION
a074507c-2f14-4bdb-b7ad-7ac5dd63eb57	d92ffe12-afba-4ae0-85cb-479aa8c15a83	IT_LOAD
10b2100d-54f2-495b-ace0-83063add636e	1d281513-547a-4d41-8850-f08c85ab378f	SWITCHGEAR
10b2100d-54f2-495b-ace0-83063add636e	e2bfa02b-c53c-440f-b1b2-f514230cbd4d	GENERATOR
10b2100d-54f2-495b-ace0-83063add636e	5794926a-0c46-4cfa-bf26-11c0e5fa73d0	PRIMARY_AUXILIARIES
10b2100d-54f2-495b-ace0-83063add636e	8067ee7b-c68a-4471-afcb-5a792ff057dd	UPS
10b2100d-54f2-495b-ace0-83063add636e	dbccb103-8f27-45c7-a146-c2fad07c052a	CRITICAL_AUXILIARIES
10b2100d-54f2-495b-ace0-83063add636e	c4aaa752-0582-4e22-828a-5edac46633b2	LIGHTING
10b2100d-54f2-495b-ace0-83063add636e	b13a8ed7-142e-4feb-a9b5-8a853f75fe5d	CRITICAL_POWER_DISTRIBUTION
10b2100d-54f2-495b-ace0-83063add636e	cd003968-d8f1-4dc0-b384-fd07dce0855c	CRAH
10b2100d-54f2-495b-ace0-83063add636e	22334244-138c-4bb9-8a26-a8874efae0bd	CRAC
10b2100d-54f2-495b-ace0-83063add636e	c90388a0-5bbc-47fd-9305-19a382dcda35	CRAC_WITHOUT_FAN
10b2100d-54f2-495b-ace0-83063add636e	d906a71c-b107-4edc-aff9-48d71862568f	CRAC_FAN
10b2100d-54f2-495b-ace0-83063add636e	57ee3e31-5400-4fa7-8cbf-426bd2aa26a9	CHILLER
10b2100d-54f2-495b-ace0-83063add636e	2c76698c-0b2d-46d2-8cc0-644820f87179	AIR_COOLED_CHILLER
10b2100d-54f2-495b-ace0-83063add636e	51feef28-8f4d-407e-bb5b-ad79fbf02671	COOLING_TOWER
10b2100d-54f2-495b-ace0-83063add636e	daf02cb8-89c4-4b4b-b4dc-91600c996b1d	DRY_COOLER
10b2100d-54f2-495b-ace0-83063add636e	b4f296cc-24e0-4023-aed0-e721241fe173	REMOTE_CONDENSER
10b2100d-54f2-495b-ace0-83063add636e	313f1d99-93f1-4da9-ad3e-0338960b9d01	CHILLED_WATER_PUMPS
10b2100d-54f2-495b-ace0-83063add636e	cfb6096c-c537-411e-8645-372e8f330138	HEAT_REJECTION_PUMPS
10b2100d-54f2-495b-ace0-83063add636e	73946115-7152-48cb-812d-30f3033affaa	VENTILATION
10b2100d-54f2-495b-ace0-83063add636e	09351faf-7e85-48b1-b35e-2b4ab41c2718	INFILTRATION
10b2100d-54f2-495b-ace0-83063add636e	8f1f35b4-2949-4386-9714-df9f7b5d2ed3	IT_LOAD
7e671b29-8e22-43c0-a98b-84cfa95da2d1	3cf81084-1ac4-4512-ae0c-1fd7791c33e3	SWITCHGEAR
7e671b29-8e22-43c0-a98b-84cfa95da2d1	43f3bc7a-ca56-40a7-8d42-6d828ce77618	GENERATOR
7e671b29-8e22-43c0-a98b-84cfa95da2d1	756e6e2a-c820-4a8b-b6e1-bef772eeb2a4	PRIMARY_AUXILIARIES
7e671b29-8e22-43c0-a98b-84cfa95da2d1	19a5a4e2-ec9d-4883-8117-1976db19d0ae	UPS
7e671b29-8e22-43c0-a98b-84cfa95da2d1	d189ae75-91ae-4596-a4ea-537ffccd8a10	CRITICAL_AUXILIARIES
7e671b29-8e22-43c0-a98b-84cfa95da2d1	001e44e3-eefd-4523-80d4-57371b8b5882	LIGHTING
7e671b29-8e22-43c0-a98b-84cfa95da2d1	ba498c40-74d5-47f1-bf9a-08ccd65247d6	CRITICAL_POWER_DISTRIBUTION
7e671b29-8e22-43c0-a98b-84cfa95da2d1	6c5c67f0-62fc-4e91-8928-e34dd9391a2f	CRAH
7e671b29-8e22-43c0-a98b-84cfa95da2d1	de2a591f-3914-47ae-96ff-6875899c82cd	CRAC
7e671b29-8e22-43c0-a98b-84cfa95da2d1	289efb5c-4bf5-4e85-9224-d2453ec68c23	CRAC_WITHOUT_FAN
7e671b29-8e22-43c0-a98b-84cfa95da2d1	a5f2d38a-2ff5-4bef-bb19-fca4d82a5a63	CRAC_FAN
7e671b29-8e22-43c0-a98b-84cfa95da2d1	941568a1-234e-43b0-bccb-e88a33dd4dde	CHILLER
7e671b29-8e22-43c0-a98b-84cfa95da2d1	94a6def9-d030-4333-97b9-2d61a9018e2a	AIR_COOLED_CHILLER
7e671b29-8e22-43c0-a98b-84cfa95da2d1	fde000ea-a914-4032-9a21-6080147573d5	COOLING_TOWER
7e671b29-8e22-43c0-a98b-84cfa95da2d1	93ce0442-c29d-4136-b853-82af6f140ec2	DRY_COOLER
7e671b29-8e22-43c0-a98b-84cfa95da2d1	e99362a7-6d15-4f6a-b1e8-e9a76350a293	REMOTE_CONDENSER
7e671b29-8e22-43c0-a98b-84cfa95da2d1	5de5d3d6-e4f3-4aaa-9f87-91d8e67e8a54	CHILLED_WATER_PUMPS
7e671b29-8e22-43c0-a98b-84cfa95da2d1	b27d966d-fe0c-4771-83e9-844b3913e33e	HEAT_REJECTION_PUMPS
7e671b29-8e22-43c0-a98b-84cfa95da2d1	44314f0d-7900-4921-bf74-f31b8076af76	VENTILATION
7e671b29-8e22-43c0-a98b-84cfa95da2d1	b1a46468-5bb2-4dd2-993e-12c6ba7e60e0	INFILTRATION
7e671b29-8e22-43c0-a98b-84cfa95da2d1	6e176fe8-f524-4547-abd4-a60ff6734f26	IT_LOAD
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	c19dff07-ddcf-4d37-887e-a6c570c02b6e	SWITCHGEAR
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	e8e9f19f-3677-41d2-ac25-dfdd547f6219	GENERATOR
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	93627b12-5e45-4d81-81b7-36d263f4cf06	PRIMARY_AUXILIARIES
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	53265c61-d5e5-4a3d-b324-f65059eeebad	UPS
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	28fe5971-483f-42bf-920c-d79beefd4fb9	CRITICAL_AUXILIARIES
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	0ce8e3b4-e5e9-49b7-be37-f80a8e5cf0ec	LIGHTING
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	2698be88-f8e4-497f-b8d9-bcfbff111d15	CRITICAL_POWER_DISTRIBUTION
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	29a4c3eb-4a4c-4849-bad4-3a3e57358448	CRAH
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	5ce6f9d0-93ff-4d91-8eba-53bfbf740437	CRAC
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	4e575c0e-ff5b-4e2b-a30f-d7a0b0e6056a	CRAC_WITHOUT_FAN
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	c47fd675-7829-4a6b-b4d5-008e7f9a1c12	CRAC_FAN
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	ec381bab-6e1c-4b94-82dc-f30584cfad50	CHILLER
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	91d28e43-d9e3-4e28-90cd-344d9d1ab4ca	AIR_COOLED_CHILLER
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	3f2605b6-f2b9-4db0-b200-d4627fbec45f	COOLING_TOWER
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	fd4ce728-a926-4425-b5f4-48de1940bdb8	DRY_COOLER
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	60b1dd7d-250b-48b4-bd45-ee8fa84a379c	REMOTE_CONDENSER
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	830e2fe6-d2c2-42e3-b258-54c4f090c21a	CHILLED_WATER_PUMPS
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	3bd7d465-7ea4-4e68-9559-18ba61022bf4	HEAT_REJECTION_PUMPS
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	05ee2a68-0d58-4693-97dc-3fa1e82c186b	VENTILATION
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	ae5a8cee-4012-421e-ab6d-4a20d50a36ed	INFILTRATION
78b8bc61-e3b3-4494-adb7-70c02f6fe1bf	73bb038d-736d-4236-9cc5-885101f71ac3	IT_LOAD
23710ded-8b63-495b-ad00-2a119dedfe9e	0883983b-2a96-456b-9453-a1f93cd6586c	SWITCHGEAR
23710ded-8b63-495b-ad00-2a119dedfe9e	48e7c363-9297-477f-9e31-ebae211308f0	GENERATOR
23710ded-8b63-495b-ad00-2a119dedfe9e	dc471a3a-09fc-49bf-b67f-ab1e1c0e3b0e	PRIMARY_AUXILIARIES
23710ded-8b63-495b-ad00-2a119dedfe9e	87482fe4-1028-42f9-bf46-44edc32d965f	UPS
23710ded-8b63-495b-ad00-2a119dedfe9e	47eb83a7-e2b8-4862-b545-f7c88b162c40	CRITICAL_AUXILIARIES
23710ded-8b63-495b-ad00-2a119dedfe9e	b6400da6-0479-490d-8069-92be29b694c3	LIGHTING
23710ded-8b63-495b-ad00-2a119dedfe9e	995a1f4e-bee1-4a5b-acd0-963fd72519c2	CRITICAL_POWER_DISTRIBUTION
23710ded-8b63-495b-ad00-2a119dedfe9e	417578df-d27e-4261-ac81-bb8677b3f3b4	CRAH
23710ded-8b63-495b-ad00-2a119dedfe9e	77e975b1-1abb-4bfa-89a2-22f4d22b8dd7	CRAC
23710ded-8b63-495b-ad00-2a119dedfe9e	8bb9dbaa-cc5f-42b3-aa9c-bf1fea1cf9f5	CRAC_WITHOUT_FAN
23710ded-8b63-495b-ad00-2a119dedfe9e	40ab8740-847c-4f1e-b566-319b23d2c9f8	CRAC_FAN
23710ded-8b63-495b-ad00-2a119dedfe9e	c9532632-c0aa-4077-b1c5-bbedbb0d7a9e	CHILLER
23710ded-8b63-495b-ad00-2a119dedfe9e	37722efb-23c7-4dfd-8e88-88cd7b2cf1cb	AIR_COOLED_CHILLER
23710ded-8b63-495b-ad00-2a119dedfe9e	346e5ea3-d4be-4313-94af-4ad726acbccf	COOLING_TOWER
23710ded-8b63-495b-ad00-2a119dedfe9e	5413cf08-dc1a-4506-a3fd-c0760bfa1643	DRY_COOLER
23710ded-8b63-495b-ad00-2a119dedfe9e	d1744a57-f254-411a-a4bc-f26f9799debf	REMOTE_CONDENSER
23710ded-8b63-495b-ad00-2a119dedfe9e	ce796a46-c040-40ad-9f76-e3ede88c3aa2	CHILLED_WATER_PUMPS
23710ded-8b63-495b-ad00-2a119dedfe9e	4cc0429e-6d87-4ecc-bb73-bc7aeca6a2f7	HEAT_REJECTION_PUMPS
23710ded-8b63-495b-ad00-2a119dedfe9e	1b923f2d-9ea7-41ab-9877-a13ca9d8733c	VENTILATION
23710ded-8b63-495b-ad00-2a119dedfe9e	d4465e82-366d-4397-b80c-eb304eb540b2	INFILTRATION
23710ded-8b63-495b-ad00-2a119dedfe9e	6b4c5fb2-98fa-4a5c-a9dc-1ddb7a9d759b	IT_LOAD
ee6427a8-5490-4430-8c52-ee32130f1916	50c95003-ec64-488c-87ff-b1a9612770f5	SWITCHGEAR
ee6427a8-5490-4430-8c52-ee32130f1916	97f7c047-7ea9-4c7b-869f-296663b61a0d	GENERATOR
ee6427a8-5490-4430-8c52-ee32130f1916	c6607af3-dba1-42e5-b74a-52356476cc9f	PRIMARY_AUXILIARIES
ee6427a8-5490-4430-8c52-ee32130f1916	23ed78c1-350b-4ddb-a1da-b8aba65c8afd	UPS
ee6427a8-5490-4430-8c52-ee32130f1916	e3511adf-7173-4cee-91f7-22d961dbf667	CRITICAL_AUXILIARIES
ee6427a8-5490-4430-8c52-ee32130f1916	a613eba9-f88f-4c9b-87fc-ad0a94aad320	LIGHTING
ee6427a8-5490-4430-8c52-ee32130f1916	9399be4b-13dc-435c-b7e7-dca465b5bab1	CRITICAL_POWER_DISTRIBUTION
ee6427a8-5490-4430-8c52-ee32130f1916	77262fd9-786c-4d0c-959e-d553e5798ae4	CRAH
ee6427a8-5490-4430-8c52-ee32130f1916	72d96710-c4b4-4fad-9ee3-94c93df14aaa	CRAC
ee6427a8-5490-4430-8c52-ee32130f1916	0857aebc-f1cd-4ced-8687-434d935fa42d	CRAC_WITHOUT_FAN
ee6427a8-5490-4430-8c52-ee32130f1916	d9180c35-4528-4da7-be39-3b8b89a61a34	CRAC_FAN
ee6427a8-5490-4430-8c52-ee32130f1916	e36300ef-bb45-4041-9564-e5f0d9918bd3	CHILLER
ee6427a8-5490-4430-8c52-ee32130f1916	3e833007-aa79-4850-8f5e-36ed1eed6755	AIR_COOLED_CHILLER
ee6427a8-5490-4430-8c52-ee32130f1916	9922a9ff-fe40-4f05-9558-1d3781225b62	COOLING_TOWER
ee6427a8-5490-4430-8c52-ee32130f1916	1982970e-e41a-496c-a6ae-16e5dd3a17e5	DRY_COOLER
ee6427a8-5490-4430-8c52-ee32130f1916	e4ef1720-5c16-4166-a470-b4ce3f856147	REMOTE_CONDENSER
ee6427a8-5490-4430-8c52-ee32130f1916	55acde8f-e3d2-409f-842f-e89cd3a4fc35	CHILLED_WATER_PUMPS
ee6427a8-5490-4430-8c52-ee32130f1916	0bb4d8d5-e526-4dda-a936-036e7baf60c0	HEAT_REJECTION_PUMPS
ee6427a8-5490-4430-8c52-ee32130f1916	c3b62eb5-4083-4400-bc2d-b022a9830f75	VENTILATION
ee6427a8-5490-4430-8c52-ee32130f1916	94727f4a-8c88-4e3e-bae0-d95dee2f58e7	INFILTRATION
ee6427a8-5490-4430-8c52-ee32130f1916	94a2665c-306e-4bb8-ab07-592beb7ed94d	IT_LOAD
c8356fc9-9504-4499-b188-ec367df45146	a6970110-116e-4768-af5e-7907cb48b2e1	SWITCHGEAR
c8356fc9-9504-4499-b188-ec367df45146	5692e9a1-7b60-41ce-8c83-a3ca74f2fe9d	GENERATOR
c8356fc9-9504-4499-b188-ec367df45146	d49dd2d5-c471-449d-87ad-8bcb8fd07124	PRIMARY_AUXILIARIES
c8356fc9-9504-4499-b188-ec367df45146	f909ff69-be26-4398-b45d-860fd7479152	UPS
c8356fc9-9504-4499-b188-ec367df45146	75c6e8a2-586a-4248-b578-b6bda9b4831a	CRITICAL_AUXILIARIES
c8356fc9-9504-4499-b188-ec367df45146	214223db-c553-412a-a051-4a37689e0abc	LIGHTING
c8356fc9-9504-4499-b188-ec367df45146	bb5a5991-ee33-4a8c-87f7-2176daf62509	CRITICAL_POWER_DISTRIBUTION
c8356fc9-9504-4499-b188-ec367df45146	e580b1ea-c152-47c8-8cc0-75d674fcf5e3	CRAH
c8356fc9-9504-4499-b188-ec367df45146	7ccfeff3-a18c-4b5f-aa21-aeb1352d1d4b	CRAC
c8356fc9-9504-4499-b188-ec367df45146	2922798e-6460-4d71-8207-230a49ad7791	CRAC_WITHOUT_FAN
c8356fc9-9504-4499-b188-ec367df45146	5e81526c-9e7d-4985-8f2e-db4b0eacb0f5	CRAC_FAN
c8356fc9-9504-4499-b188-ec367df45146	192187aa-0068-49a9-ba41-a1213faadc08	CHILLER
c8356fc9-9504-4499-b188-ec367df45146	e5e302c3-1855-4ddb-8c99-ddd54d4c7f3c	AIR_COOLED_CHILLER
c8356fc9-9504-4499-b188-ec367df45146	1a4d68d6-1b59-4faf-bce3-b0b99f552cf5	COOLING_TOWER
c8356fc9-9504-4499-b188-ec367df45146	5a7f7d4f-cf14-472d-8a49-5e8a23d71d14	DRY_COOLER
c8356fc9-9504-4499-b188-ec367df45146	852579bb-8e4d-4add-8f70-7872348e969f	REMOTE_CONDENSER
c8356fc9-9504-4499-b188-ec367df45146	05cea682-497e-406f-90db-cf2130311ca8	CHILLED_WATER_PUMPS
c8356fc9-9504-4499-b188-ec367df45146	736996f4-ef52-41ae-b93c-06d97ef63373	HEAT_REJECTION_PUMPS
c8356fc9-9504-4499-b188-ec367df45146	38d9613c-f6a6-4c18-9946-f5079d516822	VENTILATION
c8356fc9-9504-4499-b188-ec367df45146	062d8e71-8287-4286-ad20-3158f846eaef	INFILTRATION
c8356fc9-9504-4499-b188-ec367df45146	bb059e5f-3d59-4f31-8e4a-97005a26df78	IT_LOAD
f47252e4-1175-4faf-9f48-db268f9ee36e	3645737d-5e5f-4f8b-b401-d76d21ae41b5	SWITCHGEAR
f47252e4-1175-4faf-9f48-db268f9ee36e	de686d7f-4261-4d95-9783-b57b2dbb30cb	GENERATOR
f47252e4-1175-4faf-9f48-db268f9ee36e	dd0432e8-12e2-43a6-b26e-e342c69b9886	PRIMARY_AUXILIARIES
f47252e4-1175-4faf-9f48-db268f9ee36e	dc67f5b6-c06a-4875-9cd2-f4d0b49c51fc	UPS
f47252e4-1175-4faf-9f48-db268f9ee36e	76339bd4-5a14-4a42-ad3f-aecb3076835a	CRITICAL_AUXILIARIES
f47252e4-1175-4faf-9f48-db268f9ee36e	a5538e82-33dc-4ecd-8578-59f46a688f9d	LIGHTING
f47252e4-1175-4faf-9f48-db268f9ee36e	9ddb0a49-566b-4262-9791-8c006575bde3	CRITICAL_POWER_DISTRIBUTION
f47252e4-1175-4faf-9f48-db268f9ee36e	cf071f4d-463a-4009-a35a-8cfb618bf027	CRAH
f47252e4-1175-4faf-9f48-db268f9ee36e	da0ce8ce-9253-41c5-8e99-8ea9caecd032	CRAC
f47252e4-1175-4faf-9f48-db268f9ee36e	be75c42f-5c3e-45b8-9eb0-7ed1e04006a9	CRAC_WITHOUT_FAN
f47252e4-1175-4faf-9f48-db268f9ee36e	7f20fd7d-b267-47ea-bbb4-3350d78f35fd	CRAC_FAN
f47252e4-1175-4faf-9f48-db268f9ee36e	5a915163-12e5-4ba6-b8e3-47138ed64143	CHILLER
f47252e4-1175-4faf-9f48-db268f9ee36e	c7c6a454-31e7-4d8b-9023-133ce08f1981	AIR_COOLED_CHILLER
f47252e4-1175-4faf-9f48-db268f9ee36e	4cbebd95-351d-4cf1-8bc4-7058966f9234	COOLING_TOWER
f47252e4-1175-4faf-9f48-db268f9ee36e	becc4f29-aff2-4dcf-81ae-0227ceb18737	DRY_COOLER
f47252e4-1175-4faf-9f48-db268f9ee36e	f2192339-266a-4173-973d-0eb36e12d836	REMOTE_CONDENSER
f47252e4-1175-4faf-9f48-db268f9ee36e	35ec0c40-15df-4735-96f3-428dd74b74cb	CHILLED_WATER_PUMPS
f47252e4-1175-4faf-9f48-db268f9ee36e	5285a6e4-ea0a-47dd-a585-9f5a588ea058	HEAT_REJECTION_PUMPS
f47252e4-1175-4faf-9f48-db268f9ee36e	acbef8e6-3940-469a-8ef5-64ff45a7bfb8	VENTILATION
f47252e4-1175-4faf-9f48-db268f9ee36e	bebb1115-ad0e-40b0-afff-f33abf23902b	INFILTRATION
f47252e4-1175-4faf-9f48-db268f9ee36e	b9510c50-61ce-4008-9ba9-6849730ad58e	IT_LOAD
0e11d147-110a-4c45-95f3-6e3c64559352	38ae5d66-1f4c-4a58-901a-abd9ac7926f2	SWITCHGEAR
0e11d147-110a-4c45-95f3-6e3c64559352	04d1bb8b-625e-458d-a1d7-188ebe309e67	GENERATOR
0e11d147-110a-4c45-95f3-6e3c64559352	c6cb3416-4966-4abe-8e53-ef68c39ab652	PRIMARY_AUXILIARIES
0e11d147-110a-4c45-95f3-6e3c64559352	5052c833-ed91-47d6-831f-316b7f3661ab	UPS
0e11d147-110a-4c45-95f3-6e3c64559352	4487f11d-89b7-4c98-b2fa-ac10fdf3f219	CRITICAL_AUXILIARIES
0e11d147-110a-4c45-95f3-6e3c64559352	7730bfea-b8b7-4f7d-b493-b8e881a1a31b	LIGHTING
0e11d147-110a-4c45-95f3-6e3c64559352	f5ea232c-1c89-4aee-b06d-aa8564e43110	CRITICAL_POWER_DISTRIBUTION
0e11d147-110a-4c45-95f3-6e3c64559352	6e2462fb-0e90-4e87-95ef-baf37827aa47	CRAH
0e11d147-110a-4c45-95f3-6e3c64559352	6b03107a-ee87-496b-ae66-fe2b2443ae76	CRAC
0e11d147-110a-4c45-95f3-6e3c64559352	815c943b-c1d3-425b-b5fb-0283acf5a8b1	CRAC_WITHOUT_FAN
0e11d147-110a-4c45-95f3-6e3c64559352	17fa76c6-a4d5-4975-a6ca-d3a48e385f31	CRAC_FAN
0e11d147-110a-4c45-95f3-6e3c64559352	40076541-b0dd-42be-b298-48408b751661	CHILLER
0e11d147-110a-4c45-95f3-6e3c64559352	332b1678-0e8c-416a-953f-2a8fe14bac08	AIR_COOLED_CHILLER
0e11d147-110a-4c45-95f3-6e3c64559352	d1808e51-2f0c-4bd4-9e0e-060abad0d89d	COOLING_TOWER
0e11d147-110a-4c45-95f3-6e3c64559352	2b6356c9-44d9-41a1-900b-54419526038e	DRY_COOLER
0e11d147-110a-4c45-95f3-6e3c64559352	96147549-3974-4543-b354-9693ed81005f	REMOTE_CONDENSER
0e11d147-110a-4c45-95f3-6e3c64559352	67f65214-3d94-491c-9166-6405d4829a76	CHILLED_WATER_PUMPS
0e11d147-110a-4c45-95f3-6e3c64559352	8b2749ad-1440-4d36-9d23-b38036ad51b3	HEAT_REJECTION_PUMPS
0e11d147-110a-4c45-95f3-6e3c64559352	f0b39671-0906-4e71-82b5-5a87209b6efd	VENTILATION
0e11d147-110a-4c45-95f3-6e3c64559352	fe08b2ff-c77e-4fb4-bdd7-c4f5b2529aef	INFILTRATION
0e11d147-110a-4c45-95f3-6e3c64559352	dd8e1923-1c93-4e01-8261-f6cc7f34b01d	IT_LOAD
85937941-a175-4b12-ba57-44afe56473f7	155fc891-bf27-4f0a-b89d-526ae8929f71	SWITCHGEAR
85937941-a175-4b12-ba57-44afe56473f7	7dbf84b3-6b97-4725-ab8a-6aadf0a5a858	GENERATOR
85937941-a175-4b12-ba57-44afe56473f7	ca7a06e0-8fbd-4bf8-825e-3f399891b40d	PRIMARY_AUXILIARIES
85937941-a175-4b12-ba57-44afe56473f7	f7ca7da5-9210-4c2c-8ffc-e8a1170e864f	UPS
85937941-a175-4b12-ba57-44afe56473f7	8a1100a2-8525-4a1b-a2f5-489f13ef904e	CRITICAL_AUXILIARIES
85937941-a175-4b12-ba57-44afe56473f7	4c2f7380-1a5c-4a32-b6e9-4d0c6ccb6b64	LIGHTING
85937941-a175-4b12-ba57-44afe56473f7	11029ec1-7495-4473-8d17-e1e4891a5658	CRITICAL_POWER_DISTRIBUTION
85937941-a175-4b12-ba57-44afe56473f7	c09dc693-b92f-4004-bf82-87ffd7283b9a	CRAH
85937941-a175-4b12-ba57-44afe56473f7	acddedff-79b7-40cc-8d78-3f75b41a2b5d	CRAC
85937941-a175-4b12-ba57-44afe56473f7	8f88fbf2-c78a-4065-aaa5-86bc2bb50a5e	CRAC_WITHOUT_FAN
85937941-a175-4b12-ba57-44afe56473f7	c5b451bd-a584-43c8-87cd-b5fe7a9cb40b	CRAC_FAN
85937941-a175-4b12-ba57-44afe56473f7	ff173234-e6c4-4f68-9d8d-17aa7b593b8e	CHILLER
85937941-a175-4b12-ba57-44afe56473f7	2ea2356f-eec9-411e-a39a-2e38c2258fd1	AIR_COOLED_CHILLER
85937941-a175-4b12-ba57-44afe56473f7	65cc5216-375c-4ff2-850b-a498fc324231	COOLING_TOWER
85937941-a175-4b12-ba57-44afe56473f7	99cd12e4-f94d-4564-ab9f-cd34f85e51e7	DRY_COOLER
85937941-a175-4b12-ba57-44afe56473f7	9a84850a-1364-454b-9dfa-23f2cd818007	REMOTE_CONDENSER
85937941-a175-4b12-ba57-44afe56473f7	ff9a64d2-5dad-4a95-bd4f-8cb2db2f34d4	CHILLED_WATER_PUMPS
85937941-a175-4b12-ba57-44afe56473f7	e55a040e-a079-45ab-9a8f-aafa4095573d	HEAT_REJECTION_PUMPS
85937941-a175-4b12-ba57-44afe56473f7	4b975707-6486-40e8-8e88-aff027b16699	VENTILATION
85937941-a175-4b12-ba57-44afe56473f7	aadded76-f56f-42b6-a065-156be8f2da33	INFILTRATION
85937941-a175-4b12-ba57-44afe56473f7	e902106f-ee77-45ac-86a2-219113051d0a	IT_LOAD
6d33ff06-a3b9-4658-9f57-ea504d64b39c	a9c0ed48-7e34-49d3-a03a-33b027821eeb	SWITCHGEAR
6d33ff06-a3b9-4658-9f57-ea504d64b39c	039692e3-88dc-41b6-9149-18a4ae343a36	GENERATOR
6d33ff06-a3b9-4658-9f57-ea504d64b39c	6600a7f4-6498-44bf-a3de-ad52abd36af3	PRIMARY_AUXILIARIES
6d33ff06-a3b9-4658-9f57-ea504d64b39c	ab0448ce-5180-47bb-a441-0520465e0121	UPS
6d33ff06-a3b9-4658-9f57-ea504d64b39c	24b4a532-42d0-4202-94d7-0376f674abff	CRITICAL_AUXILIARIES
6d33ff06-a3b9-4658-9f57-ea504d64b39c	ec70467e-bfcf-4315-a4bc-02ac92ac542b	LIGHTING
6d33ff06-a3b9-4658-9f57-ea504d64b39c	c34e9e56-7b8d-45fb-8bf1-e75fa2367303	CRITICAL_POWER_DISTRIBUTION
6d33ff06-a3b9-4658-9f57-ea504d64b39c	dcf01a07-4dc3-405b-b63d-40ccc1c880c5	CRAH
6d33ff06-a3b9-4658-9f57-ea504d64b39c	107d8fc4-9f4a-4f1d-a663-8260dbed2670	CRAC
6d33ff06-a3b9-4658-9f57-ea504d64b39c	577c4185-d401-43b6-935b-15ba89d258e2	CRAC_WITHOUT_FAN
6d33ff06-a3b9-4658-9f57-ea504d64b39c	6b4435d1-abd0-4708-b242-5fd8e838c609	CRAC_FAN
6d33ff06-a3b9-4658-9f57-ea504d64b39c	da25863d-2438-4491-a0e7-9afdf90303c9	CHILLER
6d33ff06-a3b9-4658-9f57-ea504d64b39c	7d669461-84c6-4579-9b96-f3dd358132e3	AIR_COOLED_CHILLER
6d33ff06-a3b9-4658-9f57-ea504d64b39c	43bf0fe4-51ec-4cf6-bb6d-98de7236aa06	COOLING_TOWER
6d33ff06-a3b9-4658-9f57-ea504d64b39c	255a1b41-5139-4fed-b949-365961de643c	DRY_COOLER
6d33ff06-a3b9-4658-9f57-ea504d64b39c	17725cd5-f2b3-4591-b678-ff35243da06f	REMOTE_CONDENSER
6d33ff06-a3b9-4658-9f57-ea504d64b39c	50f3a49a-0be8-4c05-bf7d-784225bb29bc	CHILLED_WATER_PUMPS
6d33ff06-a3b9-4658-9f57-ea504d64b39c	8ea3e2de-5767-41f4-b7c7-b75c0c58890d	HEAT_REJECTION_PUMPS
6d33ff06-a3b9-4658-9f57-ea504d64b39c	95dd08bb-5b0f-4a55-b469-0669cc570922	VENTILATION
6d33ff06-a3b9-4658-9f57-ea504d64b39c	bb66734a-71a0-4ef4-8bb6-2798f527c94d	INFILTRATION
6d33ff06-a3b9-4658-9f57-ea504d64b39c	b399c916-b330-4bc6-883e-2896c786569d	IT_LOAD
7df496b6-e1b2-4169-9dc6-a05513177214	64c37c9c-e7a6-4e6d-9db9-6baf74b53533	SWITCHGEAR
7df496b6-e1b2-4169-9dc6-a05513177214	fe0f5cf6-48a6-4375-b354-2fc62b12d0c0	GENERATOR
7df496b6-e1b2-4169-9dc6-a05513177214	bc247a98-d5a1-40be-bb1b-e6802c0d22d6	PRIMARY_AUXILIARIES
7df496b6-e1b2-4169-9dc6-a05513177214	9b6f2e42-43e6-4941-9661-32e906db9285	UPS
7df496b6-e1b2-4169-9dc6-a05513177214	8f51d19a-f51f-45a2-9305-768bbd2b2fc8	CRITICAL_AUXILIARIES
7df496b6-e1b2-4169-9dc6-a05513177214	63b6fd53-5a29-4225-9f70-55bf2a2ec5ba	LIGHTING
7df496b6-e1b2-4169-9dc6-a05513177214	88205555-de40-43e8-8a1b-d6af5cb944fe	CRITICAL_POWER_DISTRIBUTION
7df496b6-e1b2-4169-9dc6-a05513177214	4a84180a-9e73-4427-b2d1-8f3c70ea1771	CRAH
7df496b6-e1b2-4169-9dc6-a05513177214	cfcdf511-c21e-4e35-a718-9e53b54fded5	CRAC
7df496b6-e1b2-4169-9dc6-a05513177214	6d681c54-6c2a-4419-881c-e7183643c0c8	CRAC_WITHOUT_FAN
7df496b6-e1b2-4169-9dc6-a05513177214	f6cbffc3-2e57-4fd7-92f2-8ee2e3eac254	CRAC_FAN
7df496b6-e1b2-4169-9dc6-a05513177214	32fdc1f3-ffe2-4515-9677-fb2b96491925	CHILLER
7df496b6-e1b2-4169-9dc6-a05513177214	d86e0fd5-e22c-4b13-99ff-b7b4b37fb6bd	AIR_COOLED_CHILLER
7df496b6-e1b2-4169-9dc6-a05513177214	e696e78f-51c9-49c4-b5cd-61361263cf9d	COOLING_TOWER
7df496b6-e1b2-4169-9dc6-a05513177214	3d129e38-e49a-49a0-bc68-1a2d6ce4d5a4	DRY_COOLER
7df496b6-e1b2-4169-9dc6-a05513177214	d9616efe-6b75-472f-9233-f10568390be1	REMOTE_CONDENSER
7df496b6-e1b2-4169-9dc6-a05513177214	4086959f-9606-410b-b44a-eb3c187dbc49	CHILLED_WATER_PUMPS
7df496b6-e1b2-4169-9dc6-a05513177214	591b4037-0a85-41ea-987b-e30ef85001f1	HEAT_REJECTION_PUMPS
7df496b6-e1b2-4169-9dc6-a05513177214	2b40ff28-a1b1-4cbb-812f-b599e9a0eaa5	VENTILATION
7df496b6-e1b2-4169-9dc6-a05513177214	877374eb-ce61-43cf-b688-6a03c4ff9ebb	INFILTRATION
7df496b6-e1b2-4169-9dc6-a05513177214	b2fcc28c-973d-4e92-b501-14371a42dd87	IT_LOAD
42f641a7-cf24-42e6-9338-479b17238f17	c9e89882-d5ed-449f-8d6c-c7df954d8d36	SWITCHGEAR
42f641a7-cf24-42e6-9338-479b17238f17	b2401c77-9183-4609-ba29-10ab854e20ae	GENERATOR
42f641a7-cf24-42e6-9338-479b17238f17	473b9c4c-cfcd-44d4-90fe-3553480e0810	PRIMARY_AUXILIARIES
42f641a7-cf24-42e6-9338-479b17238f17	f586bb20-ed83-4f61-b33d-11a2072eb93e	UPS
42f641a7-cf24-42e6-9338-479b17238f17	859408d9-74c6-4cd0-afdd-ca5fca5af5d0	CRITICAL_AUXILIARIES
42f641a7-cf24-42e6-9338-479b17238f17	21745ef8-8d83-47f3-9716-ac64942748e1	LIGHTING
42f641a7-cf24-42e6-9338-479b17238f17	f6ab56dc-b3a0-452d-9d17-1e2e00f46a0d	CRITICAL_POWER_DISTRIBUTION
42f641a7-cf24-42e6-9338-479b17238f17	015983e6-ffbc-4952-8f79-4645bc23d26a	CRAH
42f641a7-cf24-42e6-9338-479b17238f17	c9d7afdf-8cca-4e82-bfe6-81e881758908	CRAC
42f641a7-cf24-42e6-9338-479b17238f17	22e53ff2-b27d-45be-8ce5-8f3b011ffdb5	CRAC_WITHOUT_FAN
42f641a7-cf24-42e6-9338-479b17238f17	40d1f585-3237-4b82-abe2-115827ddf674	CRAC_FAN
42f641a7-cf24-42e6-9338-479b17238f17	8679c9d6-e305-422a-9475-eba405a36004	CHILLER
42f641a7-cf24-42e6-9338-479b17238f17	70d182eb-8be8-4791-8d0e-2b445ed8bf67	AIR_COOLED_CHILLER
42f641a7-cf24-42e6-9338-479b17238f17	87a7e363-df77-431f-9a39-aed4b5a7a9b5	COOLING_TOWER
42f641a7-cf24-42e6-9338-479b17238f17	0b222f71-fe1b-457e-891f-4627ee1e081d	DRY_COOLER
42f641a7-cf24-42e6-9338-479b17238f17	3437fd05-912f-4389-b623-ee880d416bb6	REMOTE_CONDENSER
42f641a7-cf24-42e6-9338-479b17238f17	72dbb6a3-474b-428f-bc37-5055644d7ceb	CHILLED_WATER_PUMPS
42f641a7-cf24-42e6-9338-479b17238f17	3c1e8d9e-3a2b-4c9b-969b-982d70624039	HEAT_REJECTION_PUMPS
42f641a7-cf24-42e6-9338-479b17238f17	0a74f322-c2a6-4c54-8985-d6705c5df084	VENTILATION
42f641a7-cf24-42e6-9338-479b17238f17	214ceb68-3c73-4279-ace6-54a059863c49	INFILTRATION
42f641a7-cf24-42e6-9338-479b17238f17	113ca6f5-88c6-4a4b-9708-88dd848e1b96	IT_LOAD
40454c63-26dc-45c0-8d01-e22aa063d6ec	8d994ff9-f24d-4f57-aeff-464841b7e170	SWITCHGEAR
40454c63-26dc-45c0-8d01-e22aa063d6ec	15c219b8-eff1-4d83-af2f-84ef97f32cae	GENERATOR
40454c63-26dc-45c0-8d01-e22aa063d6ec	4890a798-966d-4b87-8fb0-4b63c79189f6	PRIMARY_AUXILIARIES
40454c63-26dc-45c0-8d01-e22aa063d6ec	7c12838f-6aaa-452a-a6c4-a75442eb8b22	UPS
40454c63-26dc-45c0-8d01-e22aa063d6ec	bfc3127c-438c-4d4c-a161-0bdc8a7b5564	CRITICAL_AUXILIARIES
40454c63-26dc-45c0-8d01-e22aa063d6ec	17cf0a29-d755-4b42-aa0f-f781ede0d53c	LIGHTING
40454c63-26dc-45c0-8d01-e22aa063d6ec	06ffd115-2b59-40c4-97f8-8c39892e7009	CRITICAL_POWER_DISTRIBUTION
40454c63-26dc-45c0-8d01-e22aa063d6ec	072c8f38-36ee-4b45-b795-ce60465fd47c	CRAH
40454c63-26dc-45c0-8d01-e22aa063d6ec	8b1627f9-7568-4bd9-b30b-bbd866a34d69	CRAC
40454c63-26dc-45c0-8d01-e22aa063d6ec	d78589a6-0606-43db-b6b1-a6ed589e5338	CRAC_WITHOUT_FAN
40454c63-26dc-45c0-8d01-e22aa063d6ec	a5b00811-cce5-40b3-b5cb-59df40260188	CRAC_FAN
40454c63-26dc-45c0-8d01-e22aa063d6ec	f3c4e750-7c1a-4877-9e57-2617ea55b448	CHILLER
40454c63-26dc-45c0-8d01-e22aa063d6ec	62513f9b-8f89-49aa-82d8-e9caf000c984	AIR_COOLED_CHILLER
40454c63-26dc-45c0-8d01-e22aa063d6ec	8ac577d4-c717-4965-ab33-f7fccd79020b	COOLING_TOWER
40454c63-26dc-45c0-8d01-e22aa063d6ec	6f643b5e-5b94-43b2-bc0b-8e6ce63dbff7	DRY_COOLER
40454c63-26dc-45c0-8d01-e22aa063d6ec	3d072b9e-1c22-4264-92fa-8150bca41476	REMOTE_CONDENSER
40454c63-26dc-45c0-8d01-e22aa063d6ec	7010811e-f70b-401c-9d96-63a7f6f94299	CHILLED_WATER_PUMPS
40454c63-26dc-45c0-8d01-e22aa063d6ec	5554f548-3a57-4f4b-bc9d-42ae5bbb931c	HEAT_REJECTION_PUMPS
40454c63-26dc-45c0-8d01-e22aa063d6ec	5da9ab1e-bfec-4b67-9fe7-9567fff5db13	VENTILATION
40454c63-26dc-45c0-8d01-e22aa063d6ec	1fa79892-ea2e-4505-bcc7-d0e8ad29a279	INFILTRATION
40454c63-26dc-45c0-8d01-e22aa063d6ec	877ec6dd-146b-4fd0-aab8-17856c4c34b1	IT_LOAD
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	1b9b3b43-b21c-44f0-b0e4-4eac218a67b6	SWITCHGEAR
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	9a42f07e-ec1e-4b76-8434-558d1c9fd1d1	GENERATOR
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	2882d3e3-92df-4911-9f25-fe20779553c2	PRIMARY_AUXILIARIES
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	56b0449e-b327-4597-b636-eda7d879b439	UPS
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	16ed0720-131d-4a1f-b427-f045525b40cf	CRITICAL_AUXILIARIES
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	bdf1f323-35cc-4c50-be03-b85541abfaa6	LIGHTING
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	4439296f-7d6e-4620-a4e2-62bbe5d372e1	CRITICAL_POWER_DISTRIBUTION
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	b934726a-c185-4680-8659-bdef3d25a8b8	CRAH
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	b02aca08-276e-426f-945a-1181e179ebe8	CRAC
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	97f77e66-9101-4b79-8203-5d26e2798652	CRAC_WITHOUT_FAN
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	668dbbf6-23ee-4391-b00e-83c3ff475512	CRAC_FAN
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	ca0d3913-6b59-4645-bec8-d0642690ee04	CHILLER
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	b16a3855-238b-4dc8-bb6a-79e9045bebc4	AIR_COOLED_CHILLER
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	e70d7b97-b939-4061-9d9e-5cee175d802b	COOLING_TOWER
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	42b65a7f-aeaa-4cb0-9be1-b2c36c637f29	DRY_COOLER
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	281e6df1-3a1a-48f7-8e2e-a5385681c856	REMOTE_CONDENSER
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	0904d1b8-51cd-44fd-8734-5cad0d365ece	CHILLED_WATER_PUMPS
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	d1f57341-8366-4153-b6a6-1d79c270f67a	HEAT_REJECTION_PUMPS
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	8943c656-41f0-42bd-af78-38fd47a77865	VENTILATION
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	ca00aa3f-25ef-405e-841f-8befd05f7930	INFILTRATION
7367c09c-4a38-4cab-a6e1-4e89ded2c78f	d5c30a34-ded2-4256-a9cd-93aa3c3534eb	IT_LOAD
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	4413ed29-9520-4318-8199-702ded88e70e	SWITCHGEAR
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	0fc6a960-a699-4322-85ab-0d15eae9b4e5	GENERATOR
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	6471e265-611e-42e3-81ea-8649c4b7a146	PRIMARY_AUXILIARIES
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	5450ff8f-f463-4cff-8f33-2dbed0165080	UPS
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	945e097c-4bdb-4427-8da5-0ea6e7c559ac	CRITICAL_AUXILIARIES
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	083c030d-e0a3-48a4-8bcd-b32148f0c77e	LIGHTING
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	8b882693-af43-4c3c-932b-608a0bc41f4c	CRITICAL_POWER_DISTRIBUTION
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	4caced3a-5f3d-4681-aafe-1337d86bfb86	CRAH
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	21c1edf1-7943-4844-8d9f-3b89bdb1f69a	CRAC
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	09bda579-b047-4bf5-8851-bd613861303a	CRAC_WITHOUT_FAN
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	4489415c-c980-4f14-ad30-f4dc278c2e68	CRAC_FAN
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	0da3ee65-3a3d-45d2-a574-b7ecd22e5581	CHILLER
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	9b889043-14ac-4167-bf1d-84aa723e0644	AIR_COOLED_CHILLER
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	7d76f5ad-8a19-4f9c-b8b2-2fbfe46a8a7d	COOLING_TOWER
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	0a9ecad6-fe38-4417-8bee-5d99457ac996	DRY_COOLER
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	8b7d2e18-8b96-4375-91a3-6065755dd92c	REMOTE_CONDENSER
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	87601bf9-93d7-47ba-b7ec-b97116aafcae	CHILLED_WATER_PUMPS
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	a2d799ff-2997-463d-a863-31beb3dcd602	HEAT_REJECTION_PUMPS
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	095d289d-a1f3-4bcc-bf7a-2afcd1cdc6cd	VENTILATION
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	891ab3f3-317e-4789-bf02-389bd85ae34a	INFILTRATION
65ec59b6-b6ba-438c-a592-fc0aa8f4c248	e5546d1b-afa0-4ed7-b08a-96fe5f2b70a8	IT_LOAD
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	0f6b3ff7-4f9c-4f5e-9a7b-c85e089a0c42	SWITCHGEAR
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	5146a74d-1b6e-407a-8137-1e6b3012d3b1	GENERATOR
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	c112ba28-06f8-4078-9e90-fb6b5a2115c9	PRIMARY_AUXILIARIES
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	0a5affef-a60d-40c7-a2b0-af785c625475	UPS
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	d5e56dd1-6886-4de8-b22a-2dc351581610	CRITICAL_AUXILIARIES
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	3869be60-b51b-443a-a081-13db1bff5141	LIGHTING
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	78ed1bfd-93f3-447e-9db5-e66bba0827f8	CRITICAL_POWER_DISTRIBUTION
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	a638cbf3-1739-461f-b7d5-f75ba6418daf	CRAH
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	a0a07021-2423-4237-9ea1-9f642deacaa6	CRAC
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	77fb0def-5ec3-49e2-8484-2b486cf01a8d	CRAC_WITHOUT_FAN
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	5386e257-5fb1-4470-8967-7a1cfcc41f90	CRAC_FAN
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	d507869c-9130-441c-a6c6-94d8a6820081	CHILLER
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	c3d9fc3e-9b8e-46b8-af67-4a6997078386	AIR_COOLED_CHILLER
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	d74463e3-5a5e-444f-abae-d6dae3a1e1d5	COOLING_TOWER
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	c85e9a3e-4e6d-4986-9398-8b1c8c7a1261	DRY_COOLER
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	9b3505b0-6f3a-4494-91f6-0bca9ae6a19c	REMOTE_CONDENSER
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	2bdcf7be-7746-44f0-8f23-12db29bb28af	CHILLED_WATER_PUMPS
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	02783458-cee9-4799-8f8d-d2a5bd5786b3	HEAT_REJECTION_PUMPS
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	a8bd73ea-86fc-4bd3-a874-fdd782a6cc9f	VENTILATION
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	edd83685-04bc-4024-8490-40c0acb3cade	INFILTRATION
7737bcf4-8c20-41a0-9d72-d5f0d6c5d330	f79e90ba-e889-4d8f-a189-af46f5ed297f	IT_LOAD
0e4517c4-f5dd-4755-814d-3104b23cc831	9e1736b2-6289-4f76-9aaf-91e82a3e2e3e	SWITCHGEAR
0e4517c4-f5dd-4755-814d-3104b23cc831	8e88ee59-ab35-4e8e-a1bd-8b478b5ccbe4	GENERATOR
0e4517c4-f5dd-4755-814d-3104b23cc831	9bae3051-939c-42f3-b89b-f8ddac968ec1	PRIMARY_AUXILIARIES
0e4517c4-f5dd-4755-814d-3104b23cc831	1a186228-17ee-43c1-ae0f-62e47816b464	UPS
0e4517c4-f5dd-4755-814d-3104b23cc831	5b8a36c0-f7a1-4c8e-b389-3e6bc1fa6d24	CRITICAL_AUXILIARIES
0e4517c4-f5dd-4755-814d-3104b23cc831	ac6a7050-ef17-4280-8a77-d534566f6ebd	LIGHTING
0e4517c4-f5dd-4755-814d-3104b23cc831	5440098b-55b3-4928-ab91-f357b5c7ed90	CRITICAL_POWER_DISTRIBUTION
0e4517c4-f5dd-4755-814d-3104b23cc831	d2021a55-cbff-40e1-b178-16b7d47299cc	CRAH
0e4517c4-f5dd-4755-814d-3104b23cc831	0109d78e-b8b5-4e14-9726-372f3a3208c5	CRAC
0e4517c4-f5dd-4755-814d-3104b23cc831	1b4cfb2a-8ed1-4656-ba53-f4eda0eec55e	CRAC_WITHOUT_FAN
0e4517c4-f5dd-4755-814d-3104b23cc831	7db731fe-4ede-493b-bf8f-c3a528280006	CRAC_FAN
0e4517c4-f5dd-4755-814d-3104b23cc831	6204e48d-d498-456f-ae4d-8af1a57b4f52	CHILLER
0e4517c4-f5dd-4755-814d-3104b23cc831	7c832567-2846-4934-ab09-2349c87321ee	AIR_COOLED_CHILLER
0e4517c4-f5dd-4755-814d-3104b23cc831	079d0143-b196-43a1-8c4e-ac10d10f2766	COOLING_TOWER
0e4517c4-f5dd-4755-814d-3104b23cc831	33338a45-2f41-44c0-92dd-7edf41d28296	DRY_COOLER
0e4517c4-f5dd-4755-814d-3104b23cc831	40134c07-a94f-4d20-8da1-fed2f17e7624	REMOTE_CONDENSER
0e4517c4-f5dd-4755-814d-3104b23cc831	b9de759f-afd1-4e07-a1c2-368da5bd4e4d	CHILLED_WATER_PUMPS
0e4517c4-f5dd-4755-814d-3104b23cc831	9c485150-a347-4726-9f9c-42608df05e38	HEAT_REJECTION_PUMPS
0e4517c4-f5dd-4755-814d-3104b23cc831	11e42c7e-2cb6-41c9-a804-307228df0c41	VENTILATION
0e4517c4-f5dd-4755-814d-3104b23cc831	a86f0f20-90c5-4797-81bc-2e426ebfa2fb	INFILTRATION
0e4517c4-f5dd-4755-814d-3104b23cc831	4d8138ff-565f-4517-8798-5ea45d3eebed	IT_LOAD
1201a3ec-14a7-4977-8362-4121ffed0fb1	6d5d7088-54e9-4a60-9220-f2ef5e63e042	SWITCHGEAR
1201a3ec-14a7-4977-8362-4121ffed0fb1	c6e05160-042f-41be-b5d4-c446cf4bde28	GENERATOR
1201a3ec-14a7-4977-8362-4121ffed0fb1	617c582b-388e-472b-bd80-ab72bc35ef39	PRIMARY_AUXILIARIES
1201a3ec-14a7-4977-8362-4121ffed0fb1	faa4f2d7-5d5c-477d-96e6-1ac6dd088727	UPS
1201a3ec-14a7-4977-8362-4121ffed0fb1	0540296f-ba05-432d-98f9-47b2ad934828	CRITICAL_AUXILIARIES
1201a3ec-14a7-4977-8362-4121ffed0fb1	fab80642-0dbc-40b3-812a-cd31d188510a	LIGHTING
1201a3ec-14a7-4977-8362-4121ffed0fb1	a9b745a9-486c-4de6-84f6-1ecd533e7901	CRITICAL_POWER_DISTRIBUTION
1201a3ec-14a7-4977-8362-4121ffed0fb1	a1e5d3c2-af9e-4f9e-a315-46c10d108d64	CRAH
1201a3ec-14a7-4977-8362-4121ffed0fb1	efacc276-cf5c-42d3-abcc-3f6f603adb5f	CRAC
1201a3ec-14a7-4977-8362-4121ffed0fb1	64e97240-1f92-45b3-92a1-41e8994ec6a5	CRAC_WITHOUT_FAN
1201a3ec-14a7-4977-8362-4121ffed0fb1	a4543c55-8891-4ecb-aa8f-309e231541c7	CRAC_FAN
1201a3ec-14a7-4977-8362-4121ffed0fb1	8e5c9258-ce4d-4ade-8ea6-0e5389a29435	CHILLER
1201a3ec-14a7-4977-8362-4121ffed0fb1	36de2b2b-0a6c-4145-83a4-37bf570f9a52	AIR_COOLED_CHILLER
1201a3ec-14a7-4977-8362-4121ffed0fb1	176083cf-c6d0-405b-b437-15753a871582	COOLING_TOWER
1201a3ec-14a7-4977-8362-4121ffed0fb1	8af66ce8-256b-41de-8d05-bdab09ab73d4	DRY_COOLER
1201a3ec-14a7-4977-8362-4121ffed0fb1	2dc703dc-879a-4f83-b31f-469e761fad11	REMOTE_CONDENSER
1201a3ec-14a7-4977-8362-4121ffed0fb1	aa9b1ab6-b8dc-4ad4-88c0-997993bb6410	CHILLED_WATER_PUMPS
1201a3ec-14a7-4977-8362-4121ffed0fb1	4b5462de-291b-4339-bfcf-12affd803cbb	HEAT_REJECTION_PUMPS
1201a3ec-14a7-4977-8362-4121ffed0fb1	0d5937e1-70d4-4539-ab64-03a72892df70	VENTILATION
1201a3ec-14a7-4977-8362-4121ffed0fb1	f500db1a-a6bc-4c39-af1f-4ddb7b620ef4	INFILTRATION
1201a3ec-14a7-4977-8362-4121ffed0fb1	1ef36cfd-ce6f-42c9-8a13-34b4be5aa288	IT_LOAD
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	009b614b-e9cc-4984-87f8-2b2c53e0ce01	SWITCHGEAR
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	fb305419-a9c7-41f6-ab7d-b4206a53381e	GENERATOR
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	f905b821-89b8-4a58-ae1c-db14a70a1fa6	PRIMARY_AUXILIARIES
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	04e31bb4-bb42-4911-9862-bb65ef6cd641	UPS
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	58b8defb-971c-4869-a81e-e87cad06bc7b	CRITICAL_AUXILIARIES
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	012c337f-5936-4ea3-9076-f723c0fcb0ba	LIGHTING
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	721b867b-6bba-4796-a2b3-c8eb99ee0cc5	CRITICAL_POWER_DISTRIBUTION
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	46673a67-096d-40bc-a59f-21f1ce25e9cc	CRAH
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	cef1bfd5-351d-4256-aa14-e0a4dbeadcfc	CRAC
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	460b794f-24e3-4c72-af24-62f626b7831f	CRAC_WITHOUT_FAN
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	c12ea000-2aa5-4832-8d5e-f274aeb54ca6	CRAC_FAN
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	6b0975df-d169-452f-91a8-e5317eb92ab5	CHILLER
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	631f239c-a16f-4755-a7a8-7f23ed427322	AIR_COOLED_CHILLER
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	2566343b-a864-4eb6-b108-02cb5852a82d	COOLING_TOWER
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	c57b7371-359d-408c-8751-b6af1d4f0262	DRY_COOLER
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	794b58da-5558-4d1c-81a9-1d799c219690	REMOTE_CONDENSER
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	5056c29b-2202-4735-8fbd-4f1662e3657f	CHILLED_WATER_PUMPS
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	b32ae9fb-9efd-4342-ba41-ead22ec0b842	HEAT_REJECTION_PUMPS
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	a8695fd1-b10f-458f-a9f2-153e357231d9	VENTILATION
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	2e6acd7f-61a8-46fa-b8e4-a5a6b38991a3	INFILTRATION
ef48e562-9f52-4f47-a9e3-ef8beb5c209a	1dd5d227-43a8-4374-8c7c-91e10e69a41d	IT_LOAD
15507301-4c91-4fb8-b02a-b405b40a6875	0f5ba8dc-cf63-40bd-afbc-260516bd375f	SWITCHGEAR
15507301-4c91-4fb8-b02a-b405b40a6875	4fb22c28-49ab-4887-bf5b-12a24cfcd911	GENERATOR
15507301-4c91-4fb8-b02a-b405b40a6875	f3aab036-36ff-4d38-b2c3-add8e30894cc	PRIMARY_AUXILIARIES
15507301-4c91-4fb8-b02a-b405b40a6875	c62804bf-2002-4a15-82d8-d3a91cf01feb	UPS
15507301-4c91-4fb8-b02a-b405b40a6875	9f907219-e4e3-45aa-ad4f-f6167dc04f64	CRITICAL_AUXILIARIES
15507301-4c91-4fb8-b02a-b405b40a6875	4ff65e99-ca20-48a8-be6e-84c160efa35a	LIGHTING
15507301-4c91-4fb8-b02a-b405b40a6875	2becab3c-8b12-43a4-b309-ded03b4a6d00	CRITICAL_POWER_DISTRIBUTION
15507301-4c91-4fb8-b02a-b405b40a6875	3d3ff746-edbb-4d82-9531-723a4d6102c2	CRAH
15507301-4c91-4fb8-b02a-b405b40a6875	90f49ad7-3b44-4d93-a465-e37edf9c70f9	CRAC
15507301-4c91-4fb8-b02a-b405b40a6875	c1e1c645-a14c-40dc-a79d-6ca15600c96d	CRAC_WITHOUT_FAN
15507301-4c91-4fb8-b02a-b405b40a6875	371fb981-6a14-4240-9e21-56cba3ad5178	CRAC_FAN
15507301-4c91-4fb8-b02a-b405b40a6875	b8bdb5ef-1eb7-44dc-b744-4b7a5a39ea94	CHILLER
15507301-4c91-4fb8-b02a-b405b40a6875	32858a4a-e64f-4d9d-8872-ad0f3d126dfc	AIR_COOLED_CHILLER
15507301-4c91-4fb8-b02a-b405b40a6875	10570a80-beed-4f8b-9d3a-b674041da5fe	COOLING_TOWER
15507301-4c91-4fb8-b02a-b405b40a6875	5e2a16ed-b7ab-448d-8889-4882983b4058	DRY_COOLER
15507301-4c91-4fb8-b02a-b405b40a6875	7e21ac4a-ebdc-4348-be57-126922ef17e7	REMOTE_CONDENSER
15507301-4c91-4fb8-b02a-b405b40a6875	734d5ae5-ebbc-45b7-b852-ab56dfcdb3a0	CHILLED_WATER_PUMPS
15507301-4c91-4fb8-b02a-b405b40a6875	39366959-f8cf-4be3-82c5-35ed18cdb988	HEAT_REJECTION_PUMPS
15507301-4c91-4fb8-b02a-b405b40a6875	7ff11014-1542-4b47-98fb-1623e43a3efa	VENTILATION
15507301-4c91-4fb8-b02a-b405b40a6875	a90ca1fd-ca32-47e1-8688-85e3a4a08381	INFILTRATION
15507301-4c91-4fb8-b02a-b405b40a6875	0589c0db-e926-44bc-b4f9-4ed666825165	IT_LOAD
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	e62a64dd-b6db-4553-a334-c21b04b94d43	SWITCHGEAR
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	24a66370-d738-4f1a-a489-3e4b86f4ad5c	GENERATOR
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	6cc11826-a0c9-4232-9d1a-734d7f0877ca	PRIMARY_AUXILIARIES
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	03ec468a-613d-4a1e-8739-074f101c7a72	UPS
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	1d26e2b4-e535-4830-b649-41194be6ff3e	CRITICAL_AUXILIARIES
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	ac646b87-7c87-46a3-b2fe-be41a4711fe3	LIGHTING
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	d410c197-509c-4f9b-b7fa-fdddfbcad6ef	CRITICAL_POWER_DISTRIBUTION
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	9ce151ba-889f-4f14-947a-dd3fddaa723f	CRAH
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	b94ba490-c3d4-494b-8e47-3cc7f9cee62c	CRAC
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	238ce1dd-3944-44ff-8753-6053f01646ae	CRAC_WITHOUT_FAN
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	ced71ea7-583a-477f-acc3-38710f3bb5a5	CRAC_FAN
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	a1fb2bb6-b37b-4be9-b8d3-f8c66393168a	CHILLER
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	bb049d9a-9fbc-4667-bfcf-15ebbefb03c0	AIR_COOLED_CHILLER
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	a6c9bfd4-9790-4deb-ba20-583d3aaeba73	COOLING_TOWER
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	e52361e1-5c01-4813-9f78-e09c693e4827	DRY_COOLER
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	5864f93b-ba87-4fa8-a46a-1c3cc1742f8c	REMOTE_CONDENSER
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	9535e859-b27c-4502-8b21-9c9748c0ecfe	CHILLED_WATER_PUMPS
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	715d42c1-a519-4393-a3e2-db4489424f40	HEAT_REJECTION_PUMPS
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	d6039a93-04bf-4da6-8c02-a9743e83d29a	VENTILATION
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	3b87b591-1a37-44bb-9e52-8c2f06871074	INFILTRATION
6e0b9c99-46a7-47cb-aa04-03327e0ccb4f	bc7b7dcf-6f50-42e9-849e-a4de8706af80	IT_LOAD
c7268c0d-bc99-417b-9c68-7fcd70749ecd	389def40-a908-498c-8c58-98eaffe17ee1	SWITCHGEAR
c7268c0d-bc99-417b-9c68-7fcd70749ecd	42ae669a-5ec0-413f-a723-d2d23c018b93	GENERATOR
c7268c0d-bc99-417b-9c68-7fcd70749ecd	55e58072-e896-41c0-bf9f-626212fb2815	PRIMARY_AUXILIARIES
c7268c0d-bc99-417b-9c68-7fcd70749ecd	6975cf6b-e5b3-4011-83aa-1612746f8af4	UPS
c7268c0d-bc99-417b-9c68-7fcd70749ecd	1f94faae-4b4a-44d6-8982-04bd45ecd9f7	CRITICAL_AUXILIARIES
c7268c0d-bc99-417b-9c68-7fcd70749ecd	3bca7374-d192-497d-8ec3-15489231ee2b	LIGHTING
c7268c0d-bc99-417b-9c68-7fcd70749ecd	554bd359-2c9e-45f3-868d-f7fe8ccd2776	CRITICAL_POWER_DISTRIBUTION
c7268c0d-bc99-417b-9c68-7fcd70749ecd	25ca50bf-d3e2-4ceb-8f37-836181828b32	CRAH
c7268c0d-bc99-417b-9c68-7fcd70749ecd	87dfab6b-86f9-4d46-892b-0249e9792bc0	CRAC
c7268c0d-bc99-417b-9c68-7fcd70749ecd	163287e3-5f6d-44b3-b90c-f79873f8a9a9	CRAC_WITHOUT_FAN
c7268c0d-bc99-417b-9c68-7fcd70749ecd	26470ce5-98a4-4438-bfb4-cd7499ab4662	CRAC_FAN
c7268c0d-bc99-417b-9c68-7fcd70749ecd	041dd764-0557-44d9-837f-3b8ff2f984d4	CHILLER
c7268c0d-bc99-417b-9c68-7fcd70749ecd	568982cf-7d5a-429b-91b9-b88266755bdf	AIR_COOLED_CHILLER
c7268c0d-bc99-417b-9c68-7fcd70749ecd	1c582d88-c7ae-48d6-8969-ee9d4864bf14	COOLING_TOWER
c7268c0d-bc99-417b-9c68-7fcd70749ecd	f5fa027f-5280-4667-a576-fa60b9229a78	DRY_COOLER
c7268c0d-bc99-417b-9c68-7fcd70749ecd	e9ddf0a4-1e01-4c08-af5b-13820ccf20a7	REMOTE_CONDENSER
c7268c0d-bc99-417b-9c68-7fcd70749ecd	03289ac2-7368-451d-b7e0-f8437414f6c4	CHILLED_WATER_PUMPS
c7268c0d-bc99-417b-9c68-7fcd70749ecd	05196a92-deb2-4ae6-9b99-c9704a662186	HEAT_REJECTION_PUMPS
c7268c0d-bc99-417b-9c68-7fcd70749ecd	1657c250-4851-4d36-a0bc-76e6ddf37e3f	VENTILATION
c7268c0d-bc99-417b-9c68-7fcd70749ecd	e2306851-834c-4187-8a5c-b92b9aa26341	INFILTRATION
c7268c0d-bc99-417b-9c68-7fcd70749ecd	44ff0937-7862-4e8a-be71-5cdd05ec3dd9	IT_LOAD
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	16306615-b407-4764-8241-b3870a484333	SWITCHGEAR
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	9976d859-ab1d-478e-8a88-9d45ab8004f8	GENERATOR
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	c2280422-0037-4582-b55d-a357b180b02f	PRIMARY_AUXILIARIES
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	bcf40607-a8ab-4432-ae1c-3ef32ce1ab93	UPS
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	044d119f-882d-4cfd-8b85-f9f8eec1b3c2	CRITICAL_AUXILIARIES
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	ead182b3-398e-4f40-ba07-fcb4bc39867a	LIGHTING
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	71e9635b-7d9b-4bee-beb9-3bbb8421d17c	CRITICAL_POWER_DISTRIBUTION
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	2653dc8e-2f36-4c4a-8132-d080e354a191	CRAH
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	e46df782-2b73-487e-be8f-1706dff6a699	CRAC
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	36bee3fa-dc09-40da-9cb8-e72f68c184be	CRAC_WITHOUT_FAN
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	bfc9ccbe-b092-419c-953d-48b61ecc5521	CRAC_FAN
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	32ac3f10-061a-4f0f-8754-fba9920f0abf	CHILLER
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	c6dfc3dd-1aa1-4cf6-b78e-8db11ba8152e	AIR_COOLED_CHILLER
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	de9d81e4-b4a2-4828-8103-cb51deaa7a5b	COOLING_TOWER
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	032b21f5-f17b-4040-8712-4c9db9d9bbfd	DRY_COOLER
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	69f13582-b95b-4daa-9cbe-5ca16d3e6149	REMOTE_CONDENSER
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	105c0a54-0a08-4e5f-86be-27cbb7e4d94c	CHILLED_WATER_PUMPS
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	2c63d5e2-7f9b-4bf3-bfb8-96a51cc2b7f2	HEAT_REJECTION_PUMPS
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	41819b0e-2355-46c2-8d8f-847ad207234b	VENTILATION
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	1ee34249-e4a9-41ce-960f-767bc9420f96	INFILTRATION
db7e5369-0dc4-4a84-88ee-a90b8656b2d9	d5eb87e1-aba0-42c0-a5d4-e39a20fe184c	IT_LOAD
22066088-322d-41c1-a637-ba4b4013d540	7de2fdde-a107-48f1-9a70-c4a898d89070	SWITCHGEAR
22066088-322d-41c1-a637-ba4b4013d540	30f4a50f-87a0-40c9-a291-f312b4f2ff32	GENERATOR
22066088-322d-41c1-a637-ba4b4013d540	e1a59a51-75b3-4a95-93f1-f37da3f0c4a9	PRIMARY_AUXILIARIES
22066088-322d-41c1-a637-ba4b4013d540	a9c0b52f-8bc8-410f-825d-ab28c496693a	UPS
22066088-322d-41c1-a637-ba4b4013d540	f8604bd6-95cd-4b08-8a82-b77857c948fe	CRITICAL_AUXILIARIES
22066088-322d-41c1-a637-ba4b4013d540	36ee4da2-c7da-4400-a79c-b054e67931e2	LIGHTING
22066088-322d-41c1-a637-ba4b4013d540	bd474529-72f8-4ad4-a108-94a89abe1ad7	CRITICAL_POWER_DISTRIBUTION
22066088-322d-41c1-a637-ba4b4013d540	b16785e2-b2ca-4d02-a212-9b66d008370d	CRAH
22066088-322d-41c1-a637-ba4b4013d540	b1a9fe0f-4e95-4796-8256-d526f89795bf	CRAC
22066088-322d-41c1-a637-ba4b4013d540	c55631db-adbc-4b5b-a62f-7d7ba34a3c54	CRAC_WITHOUT_FAN
22066088-322d-41c1-a637-ba4b4013d540	c452f472-f996-485e-965a-51c4d24aeab3	CRAC_FAN
22066088-322d-41c1-a637-ba4b4013d540	00fef48b-542d-4edc-98f6-f03e367e9671	CHILLER
22066088-322d-41c1-a637-ba4b4013d540	b988faaf-e481-4b30-8e6d-b4f4086e1dce	AIR_COOLED_CHILLER
22066088-322d-41c1-a637-ba4b4013d540	c263668d-fe4e-44c5-8027-3d9bdc29ed09	COOLING_TOWER
22066088-322d-41c1-a637-ba4b4013d540	4a43a573-c119-477a-bc3f-6d1fc86ad8a4	DRY_COOLER
22066088-322d-41c1-a637-ba4b4013d540	02c99f42-8299-4ed9-a9f8-3a65274adee0	REMOTE_CONDENSER
22066088-322d-41c1-a637-ba4b4013d540	98937bc5-aad4-4abc-81f2-77fc5e64fd16	CHILLED_WATER_PUMPS
22066088-322d-41c1-a637-ba4b4013d540	66fb1b5a-c478-4c6c-bf83-5a73afb5a3c8	HEAT_REJECTION_PUMPS
22066088-322d-41c1-a637-ba4b4013d540	72cf3494-d4cc-4f79-b529-158302c49c38	VENTILATION
22066088-322d-41c1-a637-ba4b4013d540	67e7c789-b44c-4e43-8115-a2c9c4d9a08a	INFILTRATION
22066088-322d-41c1-a637-ba4b4013d540	860fdad6-2191-40a3-a397-63c5bb193630	IT_LOAD
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	05150588-4393-4834-8d27-c5ac0ae1c8f9	SWITCHGEAR
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	890480ce-6b0c-41fd-81fd-728545c7feac	GENERATOR
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	7faf9e2d-3b6c-4579-a7d3-dec4f51d8542	PRIMARY_AUXILIARIES
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	cefa347c-6b93-49af-98a7-829f2c671627	UPS
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	6304ceb1-1424-46c3-8659-fbe94ff0d80c	CRITICAL_AUXILIARIES
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	f945bb8b-d79a-42ee-8d1e-92ad525b63aa	LIGHTING
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	7dff36df-e6bc-483d-9b29-31f82fd2941a	CRITICAL_POWER_DISTRIBUTION
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	59163b97-8727-469d-bf72-65a23dde1f19	CRAH
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	c12ada33-0416-4d69-bbac-e58313d4bd56	CRAC
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	f31d660a-1a40-4312-a49d-fdc077abff04	CRAC_WITHOUT_FAN
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	8af61891-3330-4a5c-84c4-ed33b52a004c	CRAC_FAN
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	03017b38-5459-4ca4-aa01-639aa23789e1	CHILLER
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	841e79cb-fba2-428f-b9d2-7154fde90a8b	AIR_COOLED_CHILLER
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	06996eb9-8872-4a2d-ba70-5776ba0b1a77	COOLING_TOWER
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	a2b16cd7-6bd7-4f4d-85ac-3ad48c6cb6b5	DRY_COOLER
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	316b6081-9df8-4eba-8950-7fafb30c9837	REMOTE_CONDENSER
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	e4000ba4-cfa5-4da6-a099-3d025be1ff1d	CHILLED_WATER_PUMPS
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	dfd41579-b6d2-467a-87a0-7030e45ecd18	HEAT_REJECTION_PUMPS
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	a149d08a-f953-4851-a98a-641f92352c9e	VENTILATION
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	1443e45d-2f3a-4dc6-9817-29db2114702b	INFILTRATION
0f7ad1e6-49ed-436e-9f67-4ccd97fe2481	175122b3-619d-4d16-8018-2684da5536c9	IT_LOAD
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	991eea32-8cea-4a73-922c-6988c6d813e3	SWITCHGEAR
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	9bb1d929-ea8a-4230-bf95-7235b158f237	GENERATOR
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	149bb4c9-04c3-40d5-b377-66dd020db889	PRIMARY_AUXILIARIES
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	5be1005a-e1f0-4981-ab93-b895248aa1d3	UPS
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	02fec3d2-e701-4160-b0e8-af88c1b0595b	CRITICAL_AUXILIARIES
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	0151c2b4-c4d1-4462-9b68-4e188024b8a7	LIGHTING
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	92d2fd22-81b7-430a-bfe2-c93b7da8142c	CRITICAL_POWER_DISTRIBUTION
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	7ef88185-f6b2-4ec0-aa76-b8e8538a3fe6	CRAH
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	1a06da30-dff6-46a5-b425-1f4a0a7b0b95	CRAC
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	0a08a686-85a7-43a6-8379-e88052f0a57f	CRAC_WITHOUT_FAN
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	18861026-353d-4706-8770-2fed46cdab2a	CRAC_FAN
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	33134376-f2ba-4ddb-bc56-e8ead32d223d	CHILLER
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	e944a0d0-657b-4e86-975f-72d0097c391d	AIR_COOLED_CHILLER
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	e8b38f3d-c715-4766-bdf1-e29795c75b91	COOLING_TOWER
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	58a04c0b-9668-4a06-85e3-84f8bc946bbc	DRY_COOLER
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	d0c216f7-f848-409e-81b4-4fddd8e97879	REMOTE_CONDENSER
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	40f06c15-bfea-476b-82fc-d4a6674667a0	CHILLED_WATER_PUMPS
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	f383ff62-abc2-42eb-84f1-c8faa7bf20ae	HEAT_REJECTION_PUMPS
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	d65a9729-826f-4afa-a9ae-00838fadc478	VENTILATION
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	be1942f0-1bfa-4cc2-9936-eadd90f06ef9	INFILTRATION
3bc0216f-37b1-4ce5-9658-b8ef1a6f7f4c	4ffe5ec2-4768-46a3-97ff-756132cc9560	IT_LOAD
3bb9106b-53d9-474c-acfa-515866da5eda	1090506a-0e38-4631-9da4-3c6e8cbfdaa9	SWITCHGEAR
3bb9106b-53d9-474c-acfa-515866da5eda	5af94cfd-0a92-4eba-9c4e-e04f2e12f3bf	GENERATOR
3bb9106b-53d9-474c-acfa-515866da5eda	00f568ea-3595-4114-9ddd-1038fbcbbabb	PRIMARY_AUXILIARIES
3bb9106b-53d9-474c-acfa-515866da5eda	39b1b793-90a7-4aea-b34d-c545ca2f6927	UPS
3bb9106b-53d9-474c-acfa-515866da5eda	2a1d0394-1e58-4f76-962b-b092dcf450e1	CRITICAL_AUXILIARIES
3bb9106b-53d9-474c-acfa-515866da5eda	b6540853-d86d-4f91-96b4-9fb8d54b5f80	LIGHTING
3bb9106b-53d9-474c-acfa-515866da5eda	236d62da-002f-43f9-9f61-0f2f88c6fba1	CRITICAL_POWER_DISTRIBUTION
3bb9106b-53d9-474c-acfa-515866da5eda	5563179d-9e8b-41b4-8b80-bfdb5d11d1b2	CRAH
3bb9106b-53d9-474c-acfa-515866da5eda	25baf9d8-fee0-42d2-b8f7-fee9e6d90091	CRAC
3bb9106b-53d9-474c-acfa-515866da5eda	8a655b3f-9a71-49ba-9e6f-4fc607f8e868	CRAC_WITHOUT_FAN
3bb9106b-53d9-474c-acfa-515866da5eda	bff3bd6f-9025-4b91-8998-06259f6e9074	CRAC_FAN
3bb9106b-53d9-474c-acfa-515866da5eda	9293a359-f30a-4046-8339-8ff470273296	CHILLER
3bb9106b-53d9-474c-acfa-515866da5eda	99af7793-3a08-4523-a247-fcf55c196bf6	AIR_COOLED_CHILLER
3bb9106b-53d9-474c-acfa-515866da5eda	02bf3e7c-9f5c-4ac0-91a5-87b7ac04ab80	COOLING_TOWER
3bb9106b-53d9-474c-acfa-515866da5eda	dd6aca0b-573b-4625-8097-b206aeaf2881	DRY_COOLER
3bb9106b-53d9-474c-acfa-515866da5eda	46f51633-1a70-4273-a8ce-a4a584bedab4	REMOTE_CONDENSER
3bb9106b-53d9-474c-acfa-515866da5eda	4c65d89b-b44c-42f6-bdba-63509bb550fb	CHILLED_WATER_PUMPS
3bb9106b-53d9-474c-acfa-515866da5eda	d22507b7-b6c1-4815-9649-48d7f0784cc5	HEAT_REJECTION_PUMPS
3bb9106b-53d9-474c-acfa-515866da5eda	98ab5670-47a1-4cb4-bab5-f24bf5cfdbd3	VENTILATION
3bb9106b-53d9-474c-acfa-515866da5eda	743a322d-057a-49cb-ac9c-451a95786498	INFILTRATION
3bb9106b-53d9-474c-acfa-515866da5eda	dbf62ec0-ebce-4615-a22e-d63a70e89493	IT_LOAD
e506761c-c921-4016-b295-f58e27864b27	204b1067-e51f-49db-a92a-ef9105477536	SWITCHGEAR
e506761c-c921-4016-b295-f58e27864b27	36e945df-06b0-4d1b-a5ff-c8d34337a607	GENERATOR
e506761c-c921-4016-b295-f58e27864b27	4e7b1467-e643-4694-b1e2-2bf3b56d057b	PRIMARY_AUXILIARIES
e506761c-c921-4016-b295-f58e27864b27	96a2850f-8327-4d59-866a-29f2e3b72496	UPS
e506761c-c921-4016-b295-f58e27864b27	8f309a19-1759-434e-a9f3-ef378cad9bf8	CRITICAL_AUXILIARIES
e506761c-c921-4016-b295-f58e27864b27	548a4bf4-5d4e-41cc-9c45-6063b582a563	LIGHTING
e506761c-c921-4016-b295-f58e27864b27	a418e940-f40e-42b7-bb0f-2e02711e5a14	CRITICAL_POWER_DISTRIBUTION
e506761c-c921-4016-b295-f58e27864b27	08981f94-7082-4126-8b0d-28696dbb9a6e	CRAH
e506761c-c921-4016-b295-f58e27864b27	4ad04817-9197-468f-adfb-756a8683a754	CRAC
e506761c-c921-4016-b295-f58e27864b27	6a9112db-ab93-4406-944c-ea5cda9da13d	CRAC_WITHOUT_FAN
e506761c-c921-4016-b295-f58e27864b27	e0184fbb-f4be-4edc-9fbc-5a74b82f7e0b	CRAC_FAN
e506761c-c921-4016-b295-f58e27864b27	ce6ab532-a485-4707-93cc-2d93a1e77a34	CHILLER
e506761c-c921-4016-b295-f58e27864b27	10392d09-7cb7-4a79-a769-39868a8ebd80	AIR_COOLED_CHILLER
e506761c-c921-4016-b295-f58e27864b27	45020b56-b876-49b5-9a84-7ca19a01aab8	COOLING_TOWER
e506761c-c921-4016-b295-f58e27864b27	f142fcce-1b45-485d-9cca-dabc6433cf96	DRY_COOLER
e506761c-c921-4016-b295-f58e27864b27	db2159a4-690f-4475-b028-28bb9d14931e	REMOTE_CONDENSER
e506761c-c921-4016-b295-f58e27864b27	d672d2de-bf0c-4665-9106-24be15fc66b3	CHILLED_WATER_PUMPS
e506761c-c921-4016-b295-f58e27864b27	1f12ee26-156d-4ab2-95e0-55fecca00af8	HEAT_REJECTION_PUMPS
e506761c-c921-4016-b295-f58e27864b27	7fc9b96d-a8dc-446b-bfd6-c0c64a7329fd	VENTILATION
e506761c-c921-4016-b295-f58e27864b27	62c9e7df-d71c-4c8c-9394-00d885e5953b	INFILTRATION
e506761c-c921-4016-b295-f58e27864b27	0c400089-3ea0-47a7-9311-6f19c7a4036f	IT_LOAD
529af19c-f609-47d0-abdb-d8129646bd87	260a1ffe-44dd-41ca-9b75-090eade77ce1	SWITCHGEAR
529af19c-f609-47d0-abdb-d8129646bd87	12ed14bd-4fb6-42a2-ab5d-05bff1400a58	GENERATOR
529af19c-f609-47d0-abdb-d8129646bd87	81f174e9-ef4a-46b2-9050-14eda4372833	PRIMARY_AUXILIARIES
529af19c-f609-47d0-abdb-d8129646bd87	5e9dd1a0-0ea8-4ca1-8857-c9f682c5917b	UPS
529af19c-f609-47d0-abdb-d8129646bd87	5c515ea8-6332-4b7c-8d83-e4cec05aed1e	CRITICAL_AUXILIARIES
529af19c-f609-47d0-abdb-d8129646bd87	15c71f08-361f-4aa4-968f-8e81e53a16ee	LIGHTING
529af19c-f609-47d0-abdb-d8129646bd87	61b9c2d1-ef9e-4549-852b-1f47055a9e78	CRITICAL_POWER_DISTRIBUTION
529af19c-f609-47d0-abdb-d8129646bd87	110c4c17-7695-4e44-83a5-963171937c5e	CRAH
529af19c-f609-47d0-abdb-d8129646bd87	d358de22-17a9-45c0-a4df-66fec3e06cbd	CRAC
529af19c-f609-47d0-abdb-d8129646bd87	0591dbca-4f53-48a0-a04b-e48b8e37a785	CRAC_WITHOUT_FAN
529af19c-f609-47d0-abdb-d8129646bd87	854b9d94-7d4c-44d6-a2c0-70bd9bb02b94	CRAC_FAN
529af19c-f609-47d0-abdb-d8129646bd87	b3973abf-4b32-4672-8bef-cb6644940153	CHILLER
529af19c-f609-47d0-abdb-d8129646bd87	505a619a-97ab-47d1-a7fc-4eda4c10b0ce	AIR_COOLED_CHILLER
529af19c-f609-47d0-abdb-d8129646bd87	b3ea151a-b72d-4ded-beb9-c3e05ea7184c	COOLING_TOWER
529af19c-f609-47d0-abdb-d8129646bd87	431719fb-53a2-4b7e-8764-6a3837404390	DRY_COOLER
529af19c-f609-47d0-abdb-d8129646bd87	ee9e1626-e760-481c-bf1d-0b895f0fbe7c	REMOTE_CONDENSER
529af19c-f609-47d0-abdb-d8129646bd87	d0b8fad7-b6eb-431c-93e7-2cf7f0ef42ac	CHILLED_WATER_PUMPS
529af19c-f609-47d0-abdb-d8129646bd87	4593a2f5-ea7e-458d-a1c4-ecd37fb2e3d6	HEAT_REJECTION_PUMPS
529af19c-f609-47d0-abdb-d8129646bd87	c7354f6e-aea0-486b-b395-a50628921eaa	VENTILATION
529af19c-f609-47d0-abdb-d8129646bd87	e15fc984-748f-40bf-be06-232f0a9a7212	INFILTRATION
529af19c-f609-47d0-abdb-d8129646bd87	54f209cd-aacb-4994-b620-6161cefa24cf	IT_LOAD
b9764e70-91b9-4e59-b02d-9bc59d7991b4	6507a178-89d2-41c7-a814-e337ed97fc58	SWITCHGEAR
b9764e70-91b9-4e59-b02d-9bc59d7991b4	159fa054-5c3d-4d58-9455-dff7c984fd2c	GENERATOR
b9764e70-91b9-4e59-b02d-9bc59d7991b4	0d095e84-9bb8-462b-a6ab-12fe0402deb9	PRIMARY_AUXILIARIES
b9764e70-91b9-4e59-b02d-9bc59d7991b4	fb38730f-7e64-443a-9b4d-ecbbde5f185e	UPS
b9764e70-91b9-4e59-b02d-9bc59d7991b4	4f22e4e9-bffa-43eb-8a34-661abb04674b	CRITICAL_AUXILIARIES
b9764e70-91b9-4e59-b02d-9bc59d7991b4	fe8589ec-da59-421a-82cc-32e051241ec8	LIGHTING
b9764e70-91b9-4e59-b02d-9bc59d7991b4	38a0a1be-ed99-4bef-a5e6-0a9997937e05	CRITICAL_POWER_DISTRIBUTION
b9764e70-91b9-4e59-b02d-9bc59d7991b4	a4bfb4fe-231c-4495-ba9f-c4858484f9fa	CRAH
b9764e70-91b9-4e59-b02d-9bc59d7991b4	bc9a9d1c-7025-4783-aeff-f985ac187bbb	CRAC
b9764e70-91b9-4e59-b02d-9bc59d7991b4	d353342c-5bd9-4971-8a07-6204e501596b	CRAC_WITHOUT_FAN
b9764e70-91b9-4e59-b02d-9bc59d7991b4	7d42b5cb-4dae-494e-b26b-8605ee9a2cb4	CRAC_FAN
b9764e70-91b9-4e59-b02d-9bc59d7991b4	03abd76a-72b4-4540-8dc5-409ed31ad032	CHILLER
b9764e70-91b9-4e59-b02d-9bc59d7991b4	b8fefb1b-587c-4c07-b66a-80addb78681f	AIR_COOLED_CHILLER
b9764e70-91b9-4e59-b02d-9bc59d7991b4	ad5019e2-3a2d-44eb-a261-48bab698c554	COOLING_TOWER
b9764e70-91b9-4e59-b02d-9bc59d7991b4	63ec701f-f46d-4900-894e-96d06127a284	DRY_COOLER
b9764e70-91b9-4e59-b02d-9bc59d7991b4	0473254b-3832-46f9-baef-8c317e99dc73	REMOTE_CONDENSER
b9764e70-91b9-4e59-b02d-9bc59d7991b4	a2ef6851-cf8b-4745-ac8c-640ecc33b577	CHILLED_WATER_PUMPS
b9764e70-91b9-4e59-b02d-9bc59d7991b4	69f93f4f-5e92-4edd-88af-d0c40180591e	HEAT_REJECTION_PUMPS
b9764e70-91b9-4e59-b02d-9bc59d7991b4	a62a1a20-62ac-4f92-97a6-cc214494ea02	VENTILATION
b9764e70-91b9-4e59-b02d-9bc59d7991b4	9f86fd6e-3ddd-416b-b3cb-629359a9292e	INFILTRATION
b9764e70-91b9-4e59-b02d-9bc59d7991b4	e64794df-4b96-4d5d-9ab7-a53c777d881e	IT_LOAD
4c6f780a-c852-4356-869d-9bfd688e481f	56f25c33-d9f1-4c9f-b8ae-6a976ed12a22	SWITCHGEAR
4c6f780a-c852-4356-869d-9bfd688e481f	6ffcea59-cf21-4379-af9e-85c3f5541cde	GENERATOR
4c6f780a-c852-4356-869d-9bfd688e481f	e2cf8e6f-9920-409e-a7c6-1204ffe4c6ea	PRIMARY_AUXILIARIES
4c6f780a-c852-4356-869d-9bfd688e481f	245a1551-141f-42ef-a12f-8742e855fcf9	UPS
4c6f780a-c852-4356-869d-9bfd688e481f	c3ea9178-5cb4-4b0f-b209-2e723c83f6b2	CRITICAL_AUXILIARIES
4c6f780a-c852-4356-869d-9bfd688e481f	39e286a0-6d4a-465b-ac75-79373f8229fb	LIGHTING
4c6f780a-c852-4356-869d-9bfd688e481f	420157cf-69ab-4731-8dba-9df6388dd5c3	CRITICAL_POWER_DISTRIBUTION
4c6f780a-c852-4356-869d-9bfd688e481f	ae3da6c5-1c92-49d4-9200-f688189e7eda	CRAH
4c6f780a-c852-4356-869d-9bfd688e481f	77c92d63-c9f9-4a96-8f81-c38ccd0332fd	CRAC
4c6f780a-c852-4356-869d-9bfd688e481f	e6895052-e13f-4743-8926-e26131df55b8	CRAC_WITHOUT_FAN
4c6f780a-c852-4356-869d-9bfd688e481f	a718352c-8a36-4b32-9047-3e568e3bf366	CRAC_FAN
4c6f780a-c852-4356-869d-9bfd688e481f	3ff013bd-635a-41f9-89e1-80bcbb0214ac	CHILLER
4c6f780a-c852-4356-869d-9bfd688e481f	2701efac-4707-43e7-8d3f-8e45c5dddf71	AIR_COOLED_CHILLER
4c6f780a-c852-4356-869d-9bfd688e481f	173973e6-6565-431f-93c1-74725a67930d	COOLING_TOWER
4c6f780a-c852-4356-869d-9bfd688e481f	b1523c0b-5e14-48cd-9242-64b039875b3b	DRY_COOLER
4c6f780a-c852-4356-869d-9bfd688e481f	fd22588c-db91-4444-b6d6-3262ef07cec8	REMOTE_CONDENSER
4c6f780a-c852-4356-869d-9bfd688e481f	26e52fef-6c1c-4396-b026-b98576b5e246	CHILLED_WATER_PUMPS
4c6f780a-c852-4356-869d-9bfd688e481f	1d5f89cb-1af4-4e87-9202-4174381b49cf	HEAT_REJECTION_PUMPS
4c6f780a-c852-4356-869d-9bfd688e481f	66e23811-cafb-49ad-8fc6-906767a2e375	VENTILATION
4c6f780a-c852-4356-869d-9bfd688e481f	5c2f6d8f-3b93-43b1-a3e7-b1b13ef430a4	INFILTRATION
4c6f780a-c852-4356-869d-9bfd688e481f	1c9932cf-bf92-4328-a165-bf4a1277e1b7	IT_LOAD
61207fad-ac76-4c4a-995d-24f20b45d909	5cc85f6d-59fa-4526-b2a5-2f7dc7121e79	SWITCHGEAR
61207fad-ac76-4c4a-995d-24f20b45d909	ddd5b1e4-aba6-4bdb-9c56-92925ba1b833	GENERATOR
61207fad-ac76-4c4a-995d-24f20b45d909	3d21471e-44a4-444b-9d94-d964afc1f214	PRIMARY_AUXILIARIES
61207fad-ac76-4c4a-995d-24f20b45d909	01a39379-b5e5-4461-a01f-f0b17209ee11	UPS
61207fad-ac76-4c4a-995d-24f20b45d909	1ed67b94-d72d-4968-812a-6f3c2aa3801e	CRITICAL_AUXILIARIES
61207fad-ac76-4c4a-995d-24f20b45d909	742a0a89-8a56-4fa0-a1b6-94e6a786928c	LIGHTING
61207fad-ac76-4c4a-995d-24f20b45d909	734c0a6a-5779-4622-b435-cb6b4371b75f	CRITICAL_POWER_DISTRIBUTION
61207fad-ac76-4c4a-995d-24f20b45d909	f8064253-2b00-4e3e-bddb-a711da1f479e	CRAH
61207fad-ac76-4c4a-995d-24f20b45d909	bf6c22b0-40ce-4caa-a6ca-a25aa5080ebd	CRAC
61207fad-ac76-4c4a-995d-24f20b45d909	373fe2a0-5b9b-4844-9eb0-cc210790723f	CRAC_WITHOUT_FAN
61207fad-ac76-4c4a-995d-24f20b45d909	35222610-9916-4511-8aa4-777c964b30f7	CRAC_FAN
61207fad-ac76-4c4a-995d-24f20b45d909	92a84f54-f981-4b20-be74-2f2a221f6276	CHILLER
61207fad-ac76-4c4a-995d-24f20b45d909	ec1fe912-b0ee-463a-acda-47e2f24d0ecc	AIR_COOLED_CHILLER
61207fad-ac76-4c4a-995d-24f20b45d909	131874a4-f413-47eb-a9ad-4eed7f980c35	COOLING_TOWER
61207fad-ac76-4c4a-995d-24f20b45d909	31783bb5-0c4e-4b5e-93b4-c51ba19cedd8	DRY_COOLER
61207fad-ac76-4c4a-995d-24f20b45d909	931af8c3-a215-4a75-bdea-daaeb88f8274	REMOTE_CONDENSER
61207fad-ac76-4c4a-995d-24f20b45d909	ea78858a-e6e3-443d-a4f3-7c98c72f0d01	CHILLED_WATER_PUMPS
61207fad-ac76-4c4a-995d-24f20b45d909	9ce8a17b-c49a-4446-b9d9-d52883bb2218	HEAT_REJECTION_PUMPS
61207fad-ac76-4c4a-995d-24f20b45d909	11a0115e-8327-4cc3-829a-f9e3ae40d096	VENTILATION
61207fad-ac76-4c4a-995d-24f20b45d909	1832e9dc-3d54-41cf-9f92-5ca7885fc559	INFILTRATION
61207fad-ac76-4c4a-995d-24f20b45d909	7f915878-75c0-4d17-b43d-6cb60066f8d1	IT_LOAD
c594a954-583b-4f03-b54a-5e1ad5f59143	523185a3-cff0-4b5a-ad45-8b016980b174	SWITCHGEAR
c594a954-583b-4f03-b54a-5e1ad5f59143	a0a9adee-8f2f-4e8d-ae5e-2a5d3da6e634	GENERATOR
c594a954-583b-4f03-b54a-5e1ad5f59143	33dd017d-776c-421d-9838-02bba2fa1f29	PRIMARY_AUXILIARIES
c594a954-583b-4f03-b54a-5e1ad5f59143	45c57448-c4cb-4a07-8124-1be517a515b2	UPS
c594a954-583b-4f03-b54a-5e1ad5f59143	902a1441-28ce-483c-9ae6-30300ec988a9	CRITICAL_AUXILIARIES
c594a954-583b-4f03-b54a-5e1ad5f59143	87895a45-62b3-43b8-ae24-990583db10e4	LIGHTING
c594a954-583b-4f03-b54a-5e1ad5f59143	3c738e52-fec1-4b0b-a440-7614772e72a7	CRITICAL_POWER_DISTRIBUTION
c594a954-583b-4f03-b54a-5e1ad5f59143	5e260497-1251-44a9-923d-f15d2918c67b	CRAH
c594a954-583b-4f03-b54a-5e1ad5f59143	3bbea618-378c-4721-a92d-1e2bbfef15c6	CRAC
c594a954-583b-4f03-b54a-5e1ad5f59143	ffa321b4-b755-4896-8d02-9bf92721898d	CRAC_WITHOUT_FAN
c594a954-583b-4f03-b54a-5e1ad5f59143	8d660aa5-8e48-4881-adce-0de9fab99f07	CRAC_FAN
c594a954-583b-4f03-b54a-5e1ad5f59143	6657961a-8e05-463b-a70d-f55ac797596a	CHILLER
c594a954-583b-4f03-b54a-5e1ad5f59143	fc3af298-d14b-4d80-815f-ce49874318e4	AIR_COOLED_CHILLER
c594a954-583b-4f03-b54a-5e1ad5f59143	3df9000b-f2ab-42ee-958e-9011fecae241	COOLING_TOWER
c594a954-583b-4f03-b54a-5e1ad5f59143	7c617870-b536-4567-b07d-577231da6ba3	DRY_COOLER
c594a954-583b-4f03-b54a-5e1ad5f59143	48bdee2a-f755-4e3a-9a8c-d29dc04f6b49	REMOTE_CONDENSER
c594a954-583b-4f03-b54a-5e1ad5f59143	25db8275-9462-42bf-af1c-03aa17d89e82	CHILLED_WATER_PUMPS
c594a954-583b-4f03-b54a-5e1ad5f59143	4a1ffe32-e1ed-4e5a-b8c9-214074544e51	HEAT_REJECTION_PUMPS
c594a954-583b-4f03-b54a-5e1ad5f59143	fc2896b4-1f46-47e4-8e3f-18be68689587	VENTILATION
c594a954-583b-4f03-b54a-5e1ad5f59143	fec453a7-db0c-4fc2-b59f-e9da9eb67c94	INFILTRATION
c594a954-583b-4f03-b54a-5e1ad5f59143	fd82c7f0-d916-4a9b-84d9-53087d100d61	IT_LOAD
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	ee425db7-46bd-4b80-b4c4-b70615d4aa3c	SWITCHGEAR
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	42932078-a576-4e59-aa94-eaf1df7937e4	GENERATOR
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	2a257533-e8e9-4d3d-bde1-4aa7a938ed15	PRIMARY_AUXILIARIES
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	f747e5cf-dc6b-4e4f-b790-971b1bf11bd1	UPS
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	1c1572c9-7e76-4716-a019-c687ca97d2a4	CRITICAL_AUXILIARIES
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	8e58dfc8-0228-4447-a189-ebfbc36ec152	LIGHTING
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	2943cbb8-3177-4d60-8e3c-0642b9c84293	CRITICAL_POWER_DISTRIBUTION
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	74874d4b-89ad-4673-bb84-e572bd5e42f4	CRAH
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	f9088268-fa6c-4f6b-810a-ec5926e9e11a	CRAC
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	41b0b018-32bb-4355-a4eb-7f58a0257683	CRAC_WITHOUT_FAN
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	3eea5d6f-2cae-4d6e-9e2b-2359985c9d4a	CRAC_FAN
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	3395ecf9-de69-4c0f-9cf3-001fa8bd0778	CHILLER
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	53c98c78-0121-4f52-96f6-0782a53ffed9	AIR_COOLED_CHILLER
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	39ce00e4-2af1-4681-9eeb-30900bffb88d	COOLING_TOWER
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	df8b6e6b-16c6-4d46-b5d0-5901f7f7c85d	DRY_COOLER
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	33d203ed-7d6f-4ceb-b448-ee1fd199367e	REMOTE_CONDENSER
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	eef847bf-8d08-46cd-ba7d-46a180647af4	CHILLED_WATER_PUMPS
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	c0020522-6815-4c56-a3b6-012665ce029c	HEAT_REJECTION_PUMPS
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	6c528eb3-b7c7-4a1a-aac2-2f42f05c4284	VENTILATION
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	ff185a24-a59a-4a87-a9b8-685b17152e4d	INFILTRATION
31d6346a-7a17-4dbc-9100-37b1e4b92fb2	d16c61f3-da0c-4820-a6bc-d437ae694ede	IT_LOAD
d7889587-a518-4b39-9510-cd03610cc81f	331a1ffe-4aec-49a1-aa54-603856749642	SWITCHGEAR
d7889587-a518-4b39-9510-cd03610cc81f	1996dc23-dd39-4531-9b78-0654d8bbd2dd	GENERATOR
d7889587-a518-4b39-9510-cd03610cc81f	27d2c487-7632-4419-8bbd-53a455c4d4c0	PRIMARY_AUXILIARIES
d7889587-a518-4b39-9510-cd03610cc81f	97bc5f18-f61f-43b9-97a1-fb7e66560af5	UPS
d7889587-a518-4b39-9510-cd03610cc81f	90882329-7f20-4056-9c37-cbea5cb96c72	CRITICAL_AUXILIARIES
d7889587-a518-4b39-9510-cd03610cc81f	01b891cb-d115-4b0d-84dc-e740a22e73ec	LIGHTING
d7889587-a518-4b39-9510-cd03610cc81f	7b8742bf-fe6a-44c3-ae70-a28f5ee94ba3	CRITICAL_POWER_DISTRIBUTION
d7889587-a518-4b39-9510-cd03610cc81f	bbdec182-729f-4e20-8da0-854cd84534be	CRAH
d7889587-a518-4b39-9510-cd03610cc81f	e0eb1b47-5fee-4fcb-8586-f1bdbdc7af2d	CRAC
d7889587-a518-4b39-9510-cd03610cc81f	07b26682-75de-4fad-888b-990cf755ea36	CRAC_WITHOUT_FAN
d7889587-a518-4b39-9510-cd03610cc81f	0e789086-2209-4f24-bfa0-2254b904040c	CRAC_FAN
d7889587-a518-4b39-9510-cd03610cc81f	f227d8e8-88a6-4574-949f-2d48749c7d50	CHILLER
d7889587-a518-4b39-9510-cd03610cc81f	98803070-56f5-4b02-8a63-d6a32511e055	AIR_COOLED_CHILLER
d7889587-a518-4b39-9510-cd03610cc81f	6438df05-d729-4096-8743-f6a89fc051d5	COOLING_TOWER
d7889587-a518-4b39-9510-cd03610cc81f	bda5e63e-5ce0-42f2-b048-7c8c336b2e57	DRY_COOLER
d7889587-a518-4b39-9510-cd03610cc81f	9f31f340-a564-4c43-9c8e-d8d37a11a5b3	REMOTE_CONDENSER
d7889587-a518-4b39-9510-cd03610cc81f	1c56ab9c-f276-4f6f-a4dd-bdb862d960bb	CHILLED_WATER_PUMPS
d7889587-a518-4b39-9510-cd03610cc81f	0e79aa61-4e93-42d5-84be-4032b4e471cc	HEAT_REJECTION_PUMPS
d7889587-a518-4b39-9510-cd03610cc81f	fe59a4f1-b613-4338-a0dd-e6c39cbf1032	VENTILATION
d7889587-a518-4b39-9510-cd03610cc81f	7cc0b5a8-7390-47c6-9f11-8d82efe5f328	INFILTRATION
d7889587-a518-4b39-9510-cd03610cc81f	3eb2c2e6-08a8-4589-8400-d5f525388d51	IT_LOAD
11b6a0f9-9808-4646-a059-e3587a324323	1e2770a9-9340-451e-b7d9-4055f4c94e45	SWITCHGEAR
11b6a0f9-9808-4646-a059-e3587a324323	a4579a4e-5501-4f55-87ea-8e11976d3971	GENERATOR
11b6a0f9-9808-4646-a059-e3587a324323	af4c9e56-45c9-4d91-8882-b6f2f8c05ed0	PRIMARY_AUXILIARIES
11b6a0f9-9808-4646-a059-e3587a324323	f88d85f3-d1e2-4ef0-8640-49c762d31ae6	UPS
11b6a0f9-9808-4646-a059-e3587a324323	4e081b29-6f27-45e2-bf7c-026aa4a12ca7	CRITICAL_AUXILIARIES
11b6a0f9-9808-4646-a059-e3587a324323	7ea9d217-8826-4ed2-bc0c-82bc325e5a43	LIGHTING
11b6a0f9-9808-4646-a059-e3587a324323	4e8547f6-fd43-4b64-85a3-1158de641665	CRITICAL_POWER_DISTRIBUTION
11b6a0f9-9808-4646-a059-e3587a324323	09583886-b47a-4dbb-af78-c519214dd1c7	CRAH
11b6a0f9-9808-4646-a059-e3587a324323	57b3a94f-621c-445c-923e-b05471eaecd7	CRAC
11b6a0f9-9808-4646-a059-e3587a324323	a2207913-a008-40cc-8d50-718c067c8767	CRAC_WITHOUT_FAN
11b6a0f9-9808-4646-a059-e3587a324323	3ac60bd4-952a-4a3b-b80f-126f686d8d84	CRAC_FAN
11b6a0f9-9808-4646-a059-e3587a324323	bdf60763-acb9-4538-b731-63c1411fb024	CHILLER
11b6a0f9-9808-4646-a059-e3587a324323	e8c3b9f1-c8f3-4515-a3bc-5a184842aadf	AIR_COOLED_CHILLER
11b6a0f9-9808-4646-a059-e3587a324323	5d91fbe0-9221-40c5-a8c4-2703e9c1a3d9	COOLING_TOWER
11b6a0f9-9808-4646-a059-e3587a324323	7a212f37-b497-490b-9bc6-1119d3aa071d	DRY_COOLER
11b6a0f9-9808-4646-a059-e3587a324323	d070e24a-8d20-4cf7-bc90-bc0e39bbe15e	REMOTE_CONDENSER
11b6a0f9-9808-4646-a059-e3587a324323	4a45b2ac-34b1-499f-b881-3f5984716184	CHILLED_WATER_PUMPS
11b6a0f9-9808-4646-a059-e3587a324323	55cfe93d-a914-4819-ae83-eec1229c3016	HEAT_REJECTION_PUMPS
11b6a0f9-9808-4646-a059-e3587a324323	6d6d7a09-5f3f-4f82-9332-fe573555ebe0	VENTILATION
11b6a0f9-9808-4646-a059-e3587a324323	343b37e3-3a99-48ab-a2f2-169b0ab89f9d	INFILTRATION
11b6a0f9-9808-4646-a059-e3587a324323	72ec324b-9d8b-4598-b0c3-eead3003314d	IT_LOAD
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	bcd30d27-54e9-4c95-8d85-392bafc45cc5	SWITCHGEAR
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	5ad83a30-1049-4692-83a5-e2ae1e439f09	GENERATOR
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	ec56b7a4-9509-4da1-bf38-f0d7ff5fd359	PRIMARY_AUXILIARIES
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	4ac1cd9c-0334-4d42-97b3-2582b336b90f	UPS
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	cd0216b8-8a38-4047-a484-2c3503b0c3ec	CRITICAL_AUXILIARIES
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	80b46cbd-50bf-4f9a-ba43-b98c6c03c10b	LIGHTING
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	9bc5ac37-ff1b-4355-a360-11964d97a331	CRITICAL_POWER_DISTRIBUTION
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	de646dca-5691-4260-ac66-7a78a4c04bec	CRAH
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	86d2eaef-a508-455a-899a-efd44a00724e	CRAC
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	b1d7085a-148d-4dd2-91ba-e9af44459f9e	CRAC_WITHOUT_FAN
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	0aaeb1bd-ecca-45e0-aff0-c612225f282b	CRAC_FAN
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	162b0db1-3e5b-4a42-9a58-9aebddecb5c8	CHILLER
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	67df595a-ee4d-4f57-9722-cd1119ee0455	AIR_COOLED_CHILLER
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	8f2eb6bb-099b-4e32-a54d-204505c88440	COOLING_TOWER
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	9dd6511d-93c8-43c9-9614-bf1aeb6286f9	DRY_COOLER
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	44c034c7-09cc-4d45-bbe2-6540d3910500	REMOTE_CONDENSER
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	8e9cfffc-db6a-48cb-b514-ebb3d87c2408	CHILLED_WATER_PUMPS
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	1f879484-ce2e-4c04-94ab-4d3c42eefff6	HEAT_REJECTION_PUMPS
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	ba35be26-13b9-483d-92d5-de12a546a806	VENTILATION
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	48445089-130b-4700-9a7d-ab6e14dda2fd	INFILTRATION
1c7184b6-7de3-40fb-862c-f1fbb2aedc9f	bb8bda6e-8b45-4f54-b235-ee7accac48d5	IT_LOAD
25d979a1-1d35-4a71-9942-95150811cc46	e6e7394e-8f1a-4868-a62b-f4f361aab4ec	SWITCHGEAR
25d979a1-1d35-4a71-9942-95150811cc46	10d78f64-3931-40da-8ad3-500d4c2e1b82	GENERATOR
25d979a1-1d35-4a71-9942-95150811cc46	3c091b40-1e85-428a-a915-c56c4d8be564	PRIMARY_AUXILIARIES
25d979a1-1d35-4a71-9942-95150811cc46	2905d664-6db9-407f-bbde-c84a325d0ad8	UPS
25d979a1-1d35-4a71-9942-95150811cc46	d8c650a6-c5f3-43c1-920c-be57db5caa60	CRITICAL_AUXILIARIES
25d979a1-1d35-4a71-9942-95150811cc46	335a9b2f-c54f-43da-9db7-c478c90be7e8	LIGHTING
25d979a1-1d35-4a71-9942-95150811cc46	99611235-fc5d-4411-a766-8f2f2cf4fbc5	CRITICAL_POWER_DISTRIBUTION
25d979a1-1d35-4a71-9942-95150811cc46	3330f6d8-806f-4642-8358-b76639ef4d16	CRAH
25d979a1-1d35-4a71-9942-95150811cc46	a17b78c6-d5fb-4739-b17b-a4587fb0c01f	CRAC
25d979a1-1d35-4a71-9942-95150811cc46	c5ee396d-70b5-4e5b-8496-25a017477aaf	CRAC_WITHOUT_FAN
25d979a1-1d35-4a71-9942-95150811cc46	954ba11c-3f37-48aa-b924-ed1b192d5c0f	CRAC_FAN
25d979a1-1d35-4a71-9942-95150811cc46	7138aada-4ed4-434a-849c-04e925f91c68	CHILLER
25d979a1-1d35-4a71-9942-95150811cc46	6019b90b-e70a-471f-b94e-c84dc0774b36	AIR_COOLED_CHILLER
25d979a1-1d35-4a71-9942-95150811cc46	8cf171ae-5958-4cd5-b5ee-ce16dc0f44c5	COOLING_TOWER
25d979a1-1d35-4a71-9942-95150811cc46	2154131e-70d0-4a9f-878c-ea4f6dc0367e	DRY_COOLER
25d979a1-1d35-4a71-9942-95150811cc46	631cd6bb-a839-488b-8683-bdd1ecec08cf	REMOTE_CONDENSER
25d979a1-1d35-4a71-9942-95150811cc46	ab9b51b2-3602-498e-802c-ae02de1f047f	CHILLED_WATER_PUMPS
25d979a1-1d35-4a71-9942-95150811cc46	dec80f9f-90d2-4822-aaac-205a19a03fd2	HEAT_REJECTION_PUMPS
25d979a1-1d35-4a71-9942-95150811cc46	0d609bac-5e9a-473c-908b-addf86176d12	VENTILATION
25d979a1-1d35-4a71-9942-95150811cc46	0f1a5eb0-5b27-42b7-b493-96c70ddd9f54	INFILTRATION
25d979a1-1d35-4a71-9942-95150811cc46	86d941af-3e4c-4d44-bac5-547bbfb2be83	IT_LOAD
fe56888d-a3d6-4bd3-8351-78306c9264f7	2600d13d-8fad-4866-b1f1-c10b15af2ba2	SWITCHGEAR
fe56888d-a3d6-4bd3-8351-78306c9264f7	bfe390c3-ff8c-42ad-ac22-99218e885670	GENERATOR
fe56888d-a3d6-4bd3-8351-78306c9264f7	340a537d-1f5e-40b8-826d-803e02ebfc96	PRIMARY_AUXILIARIES
fe56888d-a3d6-4bd3-8351-78306c9264f7	3d7e3aed-9a2a-483f-a561-f8f154820350	UPS
fe56888d-a3d6-4bd3-8351-78306c9264f7	e8c15104-3f87-4331-82d6-bd76134ed058	CRITICAL_AUXILIARIES
fe56888d-a3d6-4bd3-8351-78306c9264f7	5d8732f1-401d-4d28-8795-3749829b2295	LIGHTING
fe56888d-a3d6-4bd3-8351-78306c9264f7	36ff5398-68de-4404-ace3-969975453352	CRITICAL_POWER_DISTRIBUTION
fe56888d-a3d6-4bd3-8351-78306c9264f7	f8f2e7d1-0f6f-416a-b15f-4f3d5897a0ac	CRAH
fe56888d-a3d6-4bd3-8351-78306c9264f7	86e9a60d-6c26-4aba-8bb5-930b0eea4923	CRAC
fe56888d-a3d6-4bd3-8351-78306c9264f7	23b7eaea-0eb4-4fb3-b6ff-bc9ddbec11af	CRAC_WITHOUT_FAN
fe56888d-a3d6-4bd3-8351-78306c9264f7	9283c720-77a8-4c93-898b-a83c20cf691a	CRAC_FAN
fe56888d-a3d6-4bd3-8351-78306c9264f7	bbb1eda5-1e99-4914-8cee-f88b0161fa29	CHILLER
fe56888d-a3d6-4bd3-8351-78306c9264f7	d32dc0a8-b2fd-4956-9825-c62586e243e4	AIR_COOLED_CHILLER
fe56888d-a3d6-4bd3-8351-78306c9264f7	4351506a-9e89-4d15-807d-33636b995ff1	COOLING_TOWER
fe56888d-a3d6-4bd3-8351-78306c9264f7	d479371b-b164-488d-bef8-a681464fc39b	DRY_COOLER
fe56888d-a3d6-4bd3-8351-78306c9264f7	7e73987b-9413-40be-b3f7-42048660b643	REMOTE_CONDENSER
fe56888d-a3d6-4bd3-8351-78306c9264f7	277cbaa8-d7e7-4b38-8727-f09e01e7ab8f	CHILLED_WATER_PUMPS
fe56888d-a3d6-4bd3-8351-78306c9264f7	76636533-8610-4e8e-9887-e792cd9c51c3	HEAT_REJECTION_PUMPS
fe56888d-a3d6-4bd3-8351-78306c9264f7	d4dafdf2-d7d2-4f81-8b3b-1dc2f123a91b	VENTILATION
fe56888d-a3d6-4bd3-8351-78306c9264f7	1bf9f2b1-2cf3-42df-838b-d8f71ba2722a	INFILTRATION
fe56888d-a3d6-4bd3-8351-78306c9264f7	950edaf5-8c2a-41f5-afdc-1001dacb453d	IT_LOAD
73d4d5e1-039b-4a92-adb7-a70678f97df2	ada7cf19-6088-4e50-bb9a-b8c8dc4fa9d4	SWITCHGEAR
73d4d5e1-039b-4a92-adb7-a70678f97df2	39d577be-57ed-4ff6-a1f4-820914941530	GENERATOR
73d4d5e1-039b-4a92-adb7-a70678f97df2	4964f788-bd64-4902-bf60-7489172f346d	PRIMARY_AUXILIARIES
73d4d5e1-039b-4a92-adb7-a70678f97df2	d1a75c0b-42ee-48b3-afb4-415e07e243ef	UPS
73d4d5e1-039b-4a92-adb7-a70678f97df2	ecfb14dd-47c0-4d21-925e-901e4efd45b6	CRITICAL_AUXILIARIES
73d4d5e1-039b-4a92-adb7-a70678f97df2	772042b2-5fff-47da-bb85-c3fb12911c0c	LIGHTING
73d4d5e1-039b-4a92-adb7-a70678f97df2	b4098939-7269-411c-8f18-84250fdd1609	CRITICAL_POWER_DISTRIBUTION
73d4d5e1-039b-4a92-adb7-a70678f97df2	00b720f8-7756-4c8e-8303-5a32c7a5b436	CRAH
73d4d5e1-039b-4a92-adb7-a70678f97df2	d49df826-12cd-498e-9a2b-8329599bfdc4	CRAC
73d4d5e1-039b-4a92-adb7-a70678f97df2	5c90297d-32aa-4ac2-bca6-0005badc8915	CRAC_WITHOUT_FAN
73d4d5e1-039b-4a92-adb7-a70678f97df2	d8c46af3-2874-466c-8a76-b7ec6d96892f	CRAC_FAN
73d4d5e1-039b-4a92-adb7-a70678f97df2	d29b3aa1-3326-40b5-a0c7-fe099876a05f	CHILLER
73d4d5e1-039b-4a92-adb7-a70678f97df2	d4ea8c38-739e-44b3-a651-d20555697b88	AIR_COOLED_CHILLER
73d4d5e1-039b-4a92-adb7-a70678f97df2	dd58352f-0dac-439f-96be-dabd47814800	COOLING_TOWER
73d4d5e1-039b-4a92-adb7-a70678f97df2	aa85596a-e17e-46ee-a755-7e00fff55b7b	DRY_COOLER
73d4d5e1-039b-4a92-adb7-a70678f97df2	ed65299c-7609-4670-b958-9393c30f2373	REMOTE_CONDENSER
73d4d5e1-039b-4a92-adb7-a70678f97df2	7112f730-8723-440d-a16f-355e593b562f	CHILLED_WATER_PUMPS
73d4d5e1-039b-4a92-adb7-a70678f97df2	7972cc16-6fa0-45e8-a3dc-3dfdaa8aad85	HEAT_REJECTION_PUMPS
73d4d5e1-039b-4a92-adb7-a70678f97df2	0f246b6e-0e30-42a0-9e2f-24bf071e71e2	VENTILATION
73d4d5e1-039b-4a92-adb7-a70678f97df2	174b9bab-9d84-4dd7-93b1-d0fa8d7a87fd	INFILTRATION
73d4d5e1-039b-4a92-adb7-a70678f97df2	5d0b0c2b-8a7e-4463-8fbd-3cf17b956861	IT_LOAD
171bba48-d559-4f6c-bd4d-0f0db801d71b	bc71203c-a6ce-40bc-9f9d-0ff4c6b26b57	SWITCHGEAR
171bba48-d559-4f6c-bd4d-0f0db801d71b	40f42446-650c-44e4-9056-56caaadce2ac	GENERATOR
171bba48-d559-4f6c-bd4d-0f0db801d71b	c4fc4166-2edb-4872-b2e3-7a3de7cbeac0	PRIMARY_AUXILIARIES
171bba48-d559-4f6c-bd4d-0f0db801d71b	6cfe66ad-479d-474e-869d-6db432dbd91f	UPS
171bba48-d559-4f6c-bd4d-0f0db801d71b	d0839093-0dd4-418a-8682-56c0176fd401	CRITICAL_AUXILIARIES
171bba48-d559-4f6c-bd4d-0f0db801d71b	262b59d4-b657-40d9-a94e-cecc9b1bf79d	LIGHTING
171bba48-d559-4f6c-bd4d-0f0db801d71b	f6822f18-377e-4a3f-8c0a-93162d364f6a	CRITICAL_POWER_DISTRIBUTION
171bba48-d559-4f6c-bd4d-0f0db801d71b	0a72d6ab-e6d6-4078-86ff-23864bdc0348	CRAH
171bba48-d559-4f6c-bd4d-0f0db801d71b	22662547-4961-48a6-afd3-582a9ddb754b	CRAC
171bba48-d559-4f6c-bd4d-0f0db801d71b	ba7d3b0b-adcf-47fb-9b63-9baa4f4b0bd8	CRAC_WITHOUT_FAN
171bba48-d559-4f6c-bd4d-0f0db801d71b	e3cb30cd-608a-488c-a555-7d98770ca495	CRAC_FAN
171bba48-d559-4f6c-bd4d-0f0db801d71b	8d6f80ca-b309-458c-b54e-76091089aee4	CHILLER
171bba48-d559-4f6c-bd4d-0f0db801d71b	3ab2204e-495b-463f-a5ca-92d85bc34cd8	AIR_COOLED_CHILLER
171bba48-d559-4f6c-bd4d-0f0db801d71b	0c59d479-95b7-4fb9-94bb-308b0969c2dd	COOLING_TOWER
171bba48-d559-4f6c-bd4d-0f0db801d71b	29773bc8-5b25-4f5a-96a6-8d4acf820954	DRY_COOLER
171bba48-d559-4f6c-bd4d-0f0db801d71b	fc59c584-1195-4579-9b01-37e849814644	REMOTE_CONDENSER
171bba48-d559-4f6c-bd4d-0f0db801d71b	8b734d59-fe28-4605-a623-0447b5927f63	CHILLED_WATER_PUMPS
171bba48-d559-4f6c-bd4d-0f0db801d71b	17752fae-9f3c-479a-b71f-d4c2b63cd8a8	HEAT_REJECTION_PUMPS
171bba48-d559-4f6c-bd4d-0f0db801d71b	0da03794-1b5b-49b3-8a39-ad050ea26c82	VENTILATION
171bba48-d559-4f6c-bd4d-0f0db801d71b	d7749968-19c2-4e00-a6c2-d2bdf0ef3b0f	INFILTRATION
171bba48-d559-4f6c-bd4d-0f0db801d71b	e85f61b7-0d4a-4a3d-959e-009b8beff2f2	IT_LOAD
49fddaa5-1040-4e73-83d1-a249b7d0e34d	b95eaaa8-f60b-456d-baee-53854507a305	SWITCHGEAR
49fddaa5-1040-4e73-83d1-a249b7d0e34d	5ef52299-82c6-4f4d-871d-fafd7e461562	GENERATOR
49fddaa5-1040-4e73-83d1-a249b7d0e34d	fcb5e5db-e54f-4f54-b066-5771f54b4a00	PRIMARY_AUXILIARIES
49fddaa5-1040-4e73-83d1-a249b7d0e34d	23b75fe4-fe64-4901-8c42-0550b466a01e	UPS
49fddaa5-1040-4e73-83d1-a249b7d0e34d	5677ecf2-bff7-4bf6-9c37-3029c8246af3	CRITICAL_AUXILIARIES
49fddaa5-1040-4e73-83d1-a249b7d0e34d	1f2cdd4d-8b92-4e4f-b8dc-cc1703118cdb	LIGHTING
49fddaa5-1040-4e73-83d1-a249b7d0e34d	68c8dee6-e7c0-49fa-a74d-29e1bbb9ae11	CRITICAL_POWER_DISTRIBUTION
49fddaa5-1040-4e73-83d1-a249b7d0e34d	fc7f2cd9-d3dc-4662-8d29-db604a5f474e	CRAH
49fddaa5-1040-4e73-83d1-a249b7d0e34d	5049ff27-723c-4838-9584-8c69f73dd24c	CRAC
49fddaa5-1040-4e73-83d1-a249b7d0e34d	7a213512-8950-4302-84fa-a80b84bdb5ab	CRAC_WITHOUT_FAN
49fddaa5-1040-4e73-83d1-a249b7d0e34d	a77e3e7a-a5d0-46bb-a918-db755d951754	CRAC_FAN
49fddaa5-1040-4e73-83d1-a249b7d0e34d	e7076403-314d-453c-9e88-472be4318dc6	CHILLER
49fddaa5-1040-4e73-83d1-a249b7d0e34d	552b955e-476b-482a-9611-6363cf1f8be0	AIR_COOLED_CHILLER
49fddaa5-1040-4e73-83d1-a249b7d0e34d	29ef7bbf-894f-4768-ad99-2e62e9204901	COOLING_TOWER
49fddaa5-1040-4e73-83d1-a249b7d0e34d	da7cb6dd-d5bf-4b97-aa79-ab6132ab74f1	DRY_COOLER
49fddaa5-1040-4e73-83d1-a249b7d0e34d	18ece03f-f47b-474f-b804-91185b5f5f51	REMOTE_CONDENSER
49fddaa5-1040-4e73-83d1-a249b7d0e34d	cd408174-ddd7-4ae8-ac06-f27e09b386aa	CHILLED_WATER_PUMPS
49fddaa5-1040-4e73-83d1-a249b7d0e34d	b1391b8d-b0b0-4d09-82db-3e61fa4925ac	HEAT_REJECTION_PUMPS
49fddaa5-1040-4e73-83d1-a249b7d0e34d	47dd4a20-9fee-4ebd-93c5-3215a58f560e	VENTILATION
49fddaa5-1040-4e73-83d1-a249b7d0e34d	112eb737-1f52-46ce-9076-87e306801242	INFILTRATION
49fddaa5-1040-4e73-83d1-a249b7d0e34d	664a843e-80a2-4102-bd28-1f63727a5509	IT_LOAD
7a09cc9e-51ce-4fbc-b153-9520abf3c385	9a3e3727-8036-424e-b632-84218836c297	SWITCHGEAR
7a09cc9e-51ce-4fbc-b153-9520abf3c385	3bc082eb-b958-4399-9356-5557343c3181	GENERATOR
7a09cc9e-51ce-4fbc-b153-9520abf3c385	5ca0a9aa-1e01-4ade-a861-4db39c78faea	PRIMARY_AUXILIARIES
7a09cc9e-51ce-4fbc-b153-9520abf3c385	67da1d75-3970-4907-a2e1-2130dec8b01f	UPS
7a09cc9e-51ce-4fbc-b153-9520abf3c385	a9a4146c-dd80-4904-a769-82f61f09d6bf	CRITICAL_AUXILIARIES
7a09cc9e-51ce-4fbc-b153-9520abf3c385	a382be89-b3fe-472b-96a5-1b5ed704335f	LIGHTING
7a09cc9e-51ce-4fbc-b153-9520abf3c385	713e872d-97d1-4e0c-95f8-9f5bcd53479f	CRITICAL_POWER_DISTRIBUTION
7a09cc9e-51ce-4fbc-b153-9520abf3c385	66f67ace-27b1-4a6b-a662-7c209e7ceeb6	CRAH
7a09cc9e-51ce-4fbc-b153-9520abf3c385	f10cc415-d989-492a-b2e8-a96db64b56a7	CRAC
7a09cc9e-51ce-4fbc-b153-9520abf3c385	a3578263-4dd0-4414-b3a2-d57009ec0939	CRAC_WITHOUT_FAN
7a09cc9e-51ce-4fbc-b153-9520abf3c385	a18d3dca-c675-4de6-98b2-7a6814607d85	CRAC_FAN
7a09cc9e-51ce-4fbc-b153-9520abf3c385	44807314-cb8d-489c-ae10-ce80dd5bd2e5	CHILLER
7a09cc9e-51ce-4fbc-b153-9520abf3c385	abe4b9fe-d212-44bb-b37f-a6b7728f98b5	AIR_COOLED_CHILLER
7a09cc9e-51ce-4fbc-b153-9520abf3c385	4f1131f5-415d-42d7-8a1f-2866c5e4e185	COOLING_TOWER
7a09cc9e-51ce-4fbc-b153-9520abf3c385	0e84aace-1ad6-4208-82e8-916beef9512a	DRY_COOLER
7a09cc9e-51ce-4fbc-b153-9520abf3c385	1f7ff9ed-f002-49f2-a21f-c25f2fd09aa7	REMOTE_CONDENSER
7a09cc9e-51ce-4fbc-b153-9520abf3c385	fd1c8c28-282f-4c73-b61c-510d84a34d86	CHILLED_WATER_PUMPS
7a09cc9e-51ce-4fbc-b153-9520abf3c385	8af586fc-b0bc-4635-9caf-d6b2d20028c7	HEAT_REJECTION_PUMPS
7a09cc9e-51ce-4fbc-b153-9520abf3c385	d7fdfa92-8479-4b0e-a487-afc61b7a58a9	VENTILATION
7a09cc9e-51ce-4fbc-b153-9520abf3c385	8d1c7ee5-b020-49a4-bdfa-53901b27c4fd	INFILTRATION
7a09cc9e-51ce-4fbc-b153-9520abf3c385	2cde5eae-82b9-4dc4-88e0-f408bcc744d3	IT_LOAD
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	526f7c6a-19e2-4767-be4b-e50045b1b3f7	SWITCHGEAR
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	14960148-cb45-4dcb-bbb7-0663e6864f7b	GENERATOR
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	d0dbf465-72e3-4c81-ab66-eed5c5748df4	PRIMARY_AUXILIARIES
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	1f311ad7-85df-472b-9ac9-306692c2f44a	UPS
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	605ca69d-fc71-436c-833f-40c5e4a96786	CRITICAL_AUXILIARIES
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	7e508696-5337-418b-996f-61435f1d9f82	LIGHTING
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	d49ba5a9-6ead-484e-8361-2e3f6803c37e	CRITICAL_POWER_DISTRIBUTION
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	14c43248-4891-4a24-b139-c891032095db	CRAH
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	9d15a59a-248d-400b-9c8b-211811b5c4da	CRAC
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	815edd65-416b-4a4a-93d1-3ec956abe3d3	CRAC_WITHOUT_FAN
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	8916f760-27df-44ea-9046-5e519336ca8f	CRAC_FAN
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	1b716386-5b83-4f4e-aed7-c994c852b34c	CHILLER
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	585deae9-f57f-427d-8785-01d80b96b40b	AIR_COOLED_CHILLER
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	4b39518c-6165-440f-b9f0-e787c10ea0cd	COOLING_TOWER
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	e1908c7e-025a-4843-8429-7cdc60af52fa	DRY_COOLER
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	21cfe0af-835a-49fb-8e5d-753d144381bc	REMOTE_CONDENSER
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	e59482b6-656b-4019-b1bf-41b4ca598443	CHILLED_WATER_PUMPS
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	7e669a76-b51e-4550-9765-fed99687acc0	HEAT_REJECTION_PUMPS
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	078176b8-edf8-4f41-b621-d8bfa00773d2	VENTILATION
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	78c2e0e7-7482-420a-b146-145015ab37e0	INFILTRATION
c91e6ea6-92fc-46b5-a729-b859d6c4bfec	22915998-ee8a-4aa4-863a-b88601035f7b	IT_LOAD
eceb8a3f-6a0f-41d0-b844-049119ba6ced	b4c2b663-f5f2-4c67-b867-7f117ca0d66e	SWITCHGEAR
eceb8a3f-6a0f-41d0-b844-049119ba6ced	033e8b97-9472-4105-871b-9e1cd0f7c014	GENERATOR
eceb8a3f-6a0f-41d0-b844-049119ba6ced	5bd60987-cec8-47db-91a8-24983ba735c5	PRIMARY_AUXILIARIES
eceb8a3f-6a0f-41d0-b844-049119ba6ced	3c9972a9-fbfc-44be-90c9-aa5966374bf3	UPS
eceb8a3f-6a0f-41d0-b844-049119ba6ced	e090e69f-0a50-4a7a-929a-69fa405f0ed9	CRITICAL_AUXILIARIES
eceb8a3f-6a0f-41d0-b844-049119ba6ced	a3263279-07b2-4db6-9054-0f485b08e8e4	LIGHTING
eceb8a3f-6a0f-41d0-b844-049119ba6ced	3697fd8f-ad91-40b4-938f-b5a671d498c0	CRITICAL_POWER_DISTRIBUTION
eceb8a3f-6a0f-41d0-b844-049119ba6ced	c468ea55-c62d-41c0-9734-c2ac6de4426c	CRAH
eceb8a3f-6a0f-41d0-b844-049119ba6ced	a6df1256-0c5d-45b7-a584-4144c1918bdb	CRAC
eceb8a3f-6a0f-41d0-b844-049119ba6ced	f1ac9ced-f8ca-4152-b2df-8fe349f6bfc4	CRAC_WITHOUT_FAN
eceb8a3f-6a0f-41d0-b844-049119ba6ced	4a470c89-53e5-4ae6-a784-aa08204d2865	CRAC_FAN
eceb8a3f-6a0f-41d0-b844-049119ba6ced	085ea79c-557b-4653-a776-47abcc2109ff	CHILLER
eceb8a3f-6a0f-41d0-b844-049119ba6ced	013b8445-7875-4d5b-97f5-48b9e18d5ae2	AIR_COOLED_CHILLER
eceb8a3f-6a0f-41d0-b844-049119ba6ced	181b6790-1a2e-4ab1-a900-1a1b9d603faa	COOLING_TOWER
eceb8a3f-6a0f-41d0-b844-049119ba6ced	507426e9-4a81-4f43-83aa-1002b238bf80	DRY_COOLER
eceb8a3f-6a0f-41d0-b844-049119ba6ced	77fb9b47-7b89-42bc-88d5-fa2d330ba6d7	REMOTE_CONDENSER
eceb8a3f-6a0f-41d0-b844-049119ba6ced	6480cf41-e3e1-4682-ac4b-dae3a9217392	CHILLED_WATER_PUMPS
eceb8a3f-6a0f-41d0-b844-049119ba6ced	ed8ce24e-6e71-4384-8496-751a0775153d	HEAT_REJECTION_PUMPS
eceb8a3f-6a0f-41d0-b844-049119ba6ced	c727060b-72bd-4180-ac6d-8b45d1bdd874	VENTILATION
eceb8a3f-6a0f-41d0-b844-049119ba6ced	dfc3edc5-917c-4374-84e6-a612d39eeeaf	INFILTRATION
eceb8a3f-6a0f-41d0-b844-049119ba6ced	31a6167d-315e-4dd2-bb6a-daec8fbeb1de	IT_LOAD
a1938795-6bee-4acc-bc66-f90c08298bdb	48ff87dd-a969-40fc-9c17-d4443b0ffd88	SWITCHGEAR
a1938795-6bee-4acc-bc66-f90c08298bdb	386815c8-870d-489a-981b-bd75a3cab57a	GENERATOR
a1938795-6bee-4acc-bc66-f90c08298bdb	5d04ffa7-c296-44f7-ae2d-1f01f9e8612e	PRIMARY_AUXILIARIES
a1938795-6bee-4acc-bc66-f90c08298bdb	c4196497-6ad1-4f64-91ae-0d2ec103cfe0	UPS
a1938795-6bee-4acc-bc66-f90c08298bdb	f90036b9-fb55-47ec-bbc7-ce98620c347f	CRITICAL_AUXILIARIES
a1938795-6bee-4acc-bc66-f90c08298bdb	de13e8cc-53f4-4624-9665-ddcc29b40f2f	LIGHTING
a1938795-6bee-4acc-bc66-f90c08298bdb	3590e071-7bc2-4e29-8b39-9df33f929aa3	CRITICAL_POWER_DISTRIBUTION
a1938795-6bee-4acc-bc66-f90c08298bdb	e0289346-c6d3-4bf8-96a9-7b183d2fb120	CRAH
a1938795-6bee-4acc-bc66-f90c08298bdb	58414ad9-ccd6-4b87-8372-b1e55e699d20	CRAC
a1938795-6bee-4acc-bc66-f90c08298bdb	98042d06-bb5e-4585-a82b-22f20a0e8a5d	CRAC_WITHOUT_FAN
a1938795-6bee-4acc-bc66-f90c08298bdb	06f5ecb9-2a11-45b8-8bdf-d6fa5289b4f8	CRAC_FAN
a1938795-6bee-4acc-bc66-f90c08298bdb	6965add7-ef1d-43a2-b1b3-2390779b0a18	CHILLER
a1938795-6bee-4acc-bc66-f90c08298bdb	6839976b-aaa5-4121-99b6-8409c3603cff	AIR_COOLED_CHILLER
a1938795-6bee-4acc-bc66-f90c08298bdb	65d822be-6d93-4b5d-9f60-62024504d4a2	COOLING_TOWER
a1938795-6bee-4acc-bc66-f90c08298bdb	57119fdb-dce4-4e10-a0ec-09bbf89724a3	DRY_COOLER
a1938795-6bee-4acc-bc66-f90c08298bdb	1eec1b1f-f886-4e0d-9da9-f1fdf75249cd	REMOTE_CONDENSER
a1938795-6bee-4acc-bc66-f90c08298bdb	df168969-7621-4b2e-9ca9-821da36952e7	CHILLED_WATER_PUMPS
a1938795-6bee-4acc-bc66-f90c08298bdb	9d2cc80d-76eb-4268-a395-b868e464774b	HEAT_REJECTION_PUMPS
a1938795-6bee-4acc-bc66-f90c08298bdb	8fadd4ed-45da-4551-a4de-9979ad8d8765	VENTILATION
a1938795-6bee-4acc-bc66-f90c08298bdb	79136631-b1a6-4904-9250-90b15d4c6ba4	INFILTRATION
a1938795-6bee-4acc-bc66-f90c08298bdb	60f37235-2d92-418d-b68f-e4c11ccbb41c	IT_LOAD
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	9851d932-7659-45c1-bd90-b0b752c0eaea	SWITCHGEAR
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	0220d53f-a16b-442c-9b2c-3dfaed4abb19	GENERATOR
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	74a269dd-e61b-472a-9efa-a0361dacdec0	PRIMARY_AUXILIARIES
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	857d2989-f594-48b6-a463-a1dc7c1a2267	UPS
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	98bdbdfd-f56b-42af-bab6-74c6a12b7a2b	CRITICAL_AUXILIARIES
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	1abf3acc-399c-44f1-a6fc-75f66ce83769	LIGHTING
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	e03b2176-1131-4d25-bf6a-948a111e710e	CRITICAL_POWER_DISTRIBUTION
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	407a9981-8e2a-4539-b43a-76e1a304d86e	CRAH
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	a7e5a7cd-974d-47aa-8377-d552f0a056aa	CRAC
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	e01be472-2ecb-4be0-a69b-f62a0f709df8	CRAC_WITHOUT_FAN
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	2b9fd80d-cd78-4f14-89d5-0492e243512b	CRAC_FAN
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	cc4aad3f-d52f-4ee9-8af1-6ba3cd38a5b0	CHILLER
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	5f5ff2ee-6d0d-47a6-8368-6cfce17fde1e	AIR_COOLED_CHILLER
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	2bcf885a-3eff-4813-8622-05cb275c45c0	COOLING_TOWER
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	be6b8a86-c425-43a5-955d-ea10f7218e84	DRY_COOLER
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	903ba6fe-de55-4bb2-a023-a3cabdb47c60	REMOTE_CONDENSER
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	dcc8e0ec-a9d4-465f-b17d-f9d33f0c1536	CHILLED_WATER_PUMPS
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	abfb4c80-95e3-4201-8922-78ea6860d253	HEAT_REJECTION_PUMPS
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	4cdec2b8-026c-44e3-ae39-dd16735c27d7	VENTILATION
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	2bb13779-090c-476c-b123-6cf30681a7c2	INFILTRATION
7174bf8f-7add-413f-a81c-e9ce1e0eee9a	057eef0b-77b5-4813-a29a-1dff8aac82d8	IT_LOAD
bd7219d4-ce4a-472e-92ee-8451320f2c77	d4da84ae-a9bd-4130-8769-e4e218b53960	SWITCHGEAR
bd7219d4-ce4a-472e-92ee-8451320f2c77	b0d7aee4-b66e-4d1a-a101-05a960666463	GENERATOR
bd7219d4-ce4a-472e-92ee-8451320f2c77	5956586a-1e8c-42e3-9ae3-b1c2a09c09c9	PRIMARY_AUXILIARIES
bd7219d4-ce4a-472e-92ee-8451320f2c77	b8d04bfe-4c03-4c63-80e9-4f425b8167cc	UPS
bd7219d4-ce4a-472e-92ee-8451320f2c77	1f66fdda-5ebe-4233-9a5f-d2203b735c6b	CRITICAL_AUXILIARIES
bd7219d4-ce4a-472e-92ee-8451320f2c77	98366414-136a-4e78-a239-db0f18a2d653	LIGHTING
bd7219d4-ce4a-472e-92ee-8451320f2c77	d30e5ba7-7af7-45f9-989d-c1cd3db3d204	CRITICAL_POWER_DISTRIBUTION
bd7219d4-ce4a-472e-92ee-8451320f2c77	cbfddedc-c92d-4142-8b61-98671776b157	CRAH
bd7219d4-ce4a-472e-92ee-8451320f2c77	b19aacf6-35c3-4665-a002-1234fabf2d2e	CRAC
bd7219d4-ce4a-472e-92ee-8451320f2c77	80747d4d-b7be-49c5-9ba9-a926faa69520	CRAC_WITHOUT_FAN
bd7219d4-ce4a-472e-92ee-8451320f2c77	2c276102-0a2e-4a8d-a70b-ca35ec31788a	CRAC_FAN
bd7219d4-ce4a-472e-92ee-8451320f2c77	0b4a9267-9730-4f8b-8cf3-98af4824ad7b	CHILLER
bd7219d4-ce4a-472e-92ee-8451320f2c77	92898d7d-023c-4bd8-b3e1-918e699c87f7	AIR_COOLED_CHILLER
bd7219d4-ce4a-472e-92ee-8451320f2c77	d381d95a-e86a-4890-9c33-d349c1d3a490	COOLING_TOWER
bd7219d4-ce4a-472e-92ee-8451320f2c77	851295ec-7228-480e-9a0c-470a020e264f	DRY_COOLER
bd7219d4-ce4a-472e-92ee-8451320f2c77	251275da-04e8-4d51-921c-403bd4de56b7	REMOTE_CONDENSER
bd7219d4-ce4a-472e-92ee-8451320f2c77	2b7bfc24-ad96-494c-9b09-70b1cefca1d0	CHILLED_WATER_PUMPS
bd7219d4-ce4a-472e-92ee-8451320f2c77	b90c5fe1-3e4a-4270-91a1-cbd509d0c6b3	HEAT_REJECTION_PUMPS
bd7219d4-ce4a-472e-92ee-8451320f2c77	0d253f77-4cd3-421c-81e9-c08c3fa6994b	VENTILATION
bd7219d4-ce4a-472e-92ee-8451320f2c77	8b40f0d5-bd4d-4c38-99cc-eaacc2928e65	INFILTRATION
bd7219d4-ce4a-472e-92ee-8451320f2c77	fd72d361-0f15-4c1d-a0d0-ee667f02e6dc	IT_LOAD
2322f801-4f6c-4747-9184-6a2bdbe45c5a	885fdd99-5788-463a-8a72-7c5a00e90e10	SWITCHGEAR
2322f801-4f6c-4747-9184-6a2bdbe45c5a	0cc3aec3-1a69-4d8e-9d6e-4ca87515b716	GENERATOR
2322f801-4f6c-4747-9184-6a2bdbe45c5a	6a598755-da1f-49c5-a650-99b69453231e	PRIMARY_AUXILIARIES
2322f801-4f6c-4747-9184-6a2bdbe45c5a	68718ac8-674d-4e85-b776-2816980f1482	UPS
2322f801-4f6c-4747-9184-6a2bdbe45c5a	7f73afae-c5d8-4cc6-9168-28ad1ff4ca6b	CRITICAL_AUXILIARIES
2322f801-4f6c-4747-9184-6a2bdbe45c5a	647a9f0a-8bd3-4f40-be40-beece7d0d1e6	LIGHTING
2322f801-4f6c-4747-9184-6a2bdbe45c5a	b942a713-78c8-4a42-9c23-3984dc286370	CRITICAL_POWER_DISTRIBUTION
2322f801-4f6c-4747-9184-6a2bdbe45c5a	72fd60d6-8db2-424e-958c-9dc680dfd936	CRAH
2322f801-4f6c-4747-9184-6a2bdbe45c5a	941c2dc6-0c8b-4874-9c5a-886766b7d977	CRAC
2322f801-4f6c-4747-9184-6a2bdbe45c5a	b6de7df9-b510-4dce-bf35-d009f79dfd53	CRAC_WITHOUT_FAN
2322f801-4f6c-4747-9184-6a2bdbe45c5a	7585ca26-c03e-441f-8757-ff74373596fa	CRAC_FAN
2322f801-4f6c-4747-9184-6a2bdbe45c5a	bdb2452c-0f3c-42a7-916c-10f8c304dd6c	CHILLER
2322f801-4f6c-4747-9184-6a2bdbe45c5a	cc1d60f4-5e92-4c3b-a46c-a9a2c6377b80	AIR_COOLED_CHILLER
2322f801-4f6c-4747-9184-6a2bdbe45c5a	38dd25ef-e299-4ce6-bcaf-6881ea72b81f	COOLING_TOWER
2322f801-4f6c-4747-9184-6a2bdbe45c5a	66bc55ec-3d11-4110-b198-078ad9d7dce9	DRY_COOLER
2322f801-4f6c-4747-9184-6a2bdbe45c5a	10284400-112c-4ef1-bbb9-d20fc3bbdf85	REMOTE_CONDENSER
2322f801-4f6c-4747-9184-6a2bdbe45c5a	839056d0-c56a-4a03-ba23-663b4bb1274b	CHILLED_WATER_PUMPS
2322f801-4f6c-4747-9184-6a2bdbe45c5a	f2c285c3-8248-4530-8099-6be7afa49457	HEAT_REJECTION_PUMPS
2322f801-4f6c-4747-9184-6a2bdbe45c5a	a8ad273e-62bd-4750-b0b6-7e8542b6b33e	VENTILATION
2322f801-4f6c-4747-9184-6a2bdbe45c5a	329b0336-0822-405d-9f73-6b0409d00cf4	INFILTRATION
2322f801-4f6c-4747-9184-6a2bdbe45c5a	d3011d7b-ab4e-4272-bbf8-30cd31e5f31f	IT_LOAD
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	a9154dad-b761-415f-b3d0-6068a6772711	SWITCHGEAR
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	f5e928e1-60a4-481e-a831-373f9ddccb4d	GENERATOR
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	3c5447c8-141c-4953-940c-5efbda98104b	PRIMARY_AUXILIARIES
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	651b4f0f-3de6-4fb4-9b49-83d02efa058d	UPS
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	83337b72-7a70-4f3d-8556-80ada9512b6b	CRITICAL_AUXILIARIES
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	1fb52b42-d61a-4928-846a-11bbb4919e4d	LIGHTING
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	23b2b88a-206f-42ea-8dfb-ef30d3c3557b	CRITICAL_POWER_DISTRIBUTION
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	86e66bb4-4527-42c9-a5cf-3d61835f761f	CRAH
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	85765869-f876-44a4-a7ad-035187f1ad9a	CRAC
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	f5e317f1-e219-41d9-a880-e82fca6d064d	CRAC_WITHOUT_FAN
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	15a2d46a-4a4c-4b70-8fa6-270b3b55e755	CRAC_FAN
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	8634715d-5bd3-4974-8ce5-e84683e9284f	CHILLER
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	3ddf4761-34b2-4ba5-a701-56a58c1a8564	AIR_COOLED_CHILLER
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	47383f66-6296-4c7e-bf39-858cbf600f30	COOLING_TOWER
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	68d8fa2a-cab9-44a1-a601-030c36e35d34	DRY_COOLER
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	85283dad-e489-4e6d-93db-8059817d91e1	REMOTE_CONDENSER
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	719b6ee3-392d-4381-a301-27fc631c9c3c	CHILLED_WATER_PUMPS
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	9f8dce81-f749-4aa8-8c8e-93e372b7f56e	HEAT_REJECTION_PUMPS
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	39d2d804-9f11-4518-b862-7551345f452d	VENTILATION
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	45a7b420-9df6-47f7-abae-2ad522b36462	INFILTRATION
bd7a5115-3c90-4fb2-8b40-7d9b1e498de3	23602074-d01e-437a-9b52-c0c8b25d7eee	IT_LOAD
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	bc278e29-79d9-4f0f-b6f9-ea67b41ac4da	SWITCHGEAR
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	ddb637e7-8791-4d38-809b-d71bab9a1bbb	GENERATOR
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	a78661cc-2a1c-496c-b301-a47bdea86fc2	PRIMARY_AUXILIARIES
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	431df279-bfec-411d-b3eb-a8bd37aaf854	UPS
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	a3288bb5-2220-4962-9248-3aae4f573fd4	CRITICAL_AUXILIARIES
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	4d1368c3-8241-41d9-b92b-4caa7d91d5e7	LIGHTING
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	e11c8fa4-adc7-4c28-890e-c36183caf47b	CRITICAL_POWER_DISTRIBUTION
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	973356d3-43ae-494a-8a37-b5c7cd6f47a0	CRAH
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	1beaffae-4d84-4a66-b1e8-afdcca164786	CRAC
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	c47a2250-e676-48bf-b119-84f45f33d572	CRAC_WITHOUT_FAN
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	ab33541f-2284-438d-ba00-2a964d42d1d6	CRAC_FAN
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	cdd0f340-40c8-41fd-89d1-0a4ed67522dd	CHILLER
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	f6ab2c05-9c2c-4e03-8723-6a5e6c4c579d	AIR_COOLED_CHILLER
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	223cd675-e40a-4d08-998e-d9381b60ace7	COOLING_TOWER
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	d7072a08-df2f-466b-b7dd-ab894f98e4b4	DRY_COOLER
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	575b2287-5a3b-4106-a9ac-b757e1ce8a4d	REMOTE_CONDENSER
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	b6bd05b5-c2f5-41a4-a983-3780956788ce	CHILLED_WATER_PUMPS
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	ca20b59c-73b4-4e24-b0e4-e9bbd33ed95f	HEAT_REJECTION_PUMPS
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	1d420e64-c26a-4406-bc91-a6f458d7aa80	VENTILATION
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	4886c3cb-36a6-4155-8382-6454d40b1bc6	INFILTRATION
31db77fb-cbdd-4be9-8ac0-fb23416bc06a	19f400d3-d246-4be4-a5fc-06a9d70e1d21	IT_LOAD
c4b88209-c1fd-47be-8ec9-669db6c48a7e	57bd7f3c-5509-4ec2-836a-2b2ff699a568	SWITCHGEAR
c4b88209-c1fd-47be-8ec9-669db6c48a7e	6dbf1b9a-f17a-4dc7-8057-1c682bd65697	GENERATOR
c4b88209-c1fd-47be-8ec9-669db6c48a7e	0dff05b8-1fe0-4cb4-afae-76d47f3c1128	PRIMARY_AUXILIARIES
c4b88209-c1fd-47be-8ec9-669db6c48a7e	5494f8c2-ff41-47c2-bcb5-656a7fb365e6	UPS
c4b88209-c1fd-47be-8ec9-669db6c48a7e	6530dc98-1bda-4d07-9430-6e26ce53cd80	CRITICAL_AUXILIARIES
c4b88209-c1fd-47be-8ec9-669db6c48a7e	3d5b0200-4ae7-4858-828a-020fbe1b1843	LIGHTING
c4b88209-c1fd-47be-8ec9-669db6c48a7e	126c2477-3c07-46b4-8af9-5632d853574e	CRITICAL_POWER_DISTRIBUTION
c4b88209-c1fd-47be-8ec9-669db6c48a7e	8cb7b66a-533c-408c-b645-0c95f1f118fb	CRAH
c4b88209-c1fd-47be-8ec9-669db6c48a7e	b2e724e8-c6b8-49cb-8e7b-c6a4c79c7c12	CRAC
c4b88209-c1fd-47be-8ec9-669db6c48a7e	523b54c3-3980-4698-8d4f-6d31a78cd8d0	CRAC_WITHOUT_FAN
c4b88209-c1fd-47be-8ec9-669db6c48a7e	d4e6ce4d-23cc-4c77-a0b3-17bb66fa457d	CRAC_FAN
c4b88209-c1fd-47be-8ec9-669db6c48a7e	598a3efd-26bc-40f2-ad5d-2e4c66419ff7	CHILLER
c4b88209-c1fd-47be-8ec9-669db6c48a7e	651d8ca8-8058-4185-ac5a-91d37335ce1f	AIR_COOLED_CHILLER
c4b88209-c1fd-47be-8ec9-669db6c48a7e	65b98047-aa85-4712-a5fd-98f8bf6870f7	COOLING_TOWER
c4b88209-c1fd-47be-8ec9-669db6c48a7e	6aa0722d-31ca-4a10-928c-31dbe45972de	DRY_COOLER
c4b88209-c1fd-47be-8ec9-669db6c48a7e	8f8f9f90-1d7d-4b9a-8e63-1f06d830e8bd	REMOTE_CONDENSER
c4b88209-c1fd-47be-8ec9-669db6c48a7e	61658996-5d57-4618-8788-5bb2018c3b0a	CHILLED_WATER_PUMPS
c4b88209-c1fd-47be-8ec9-669db6c48a7e	b0e3c263-4ad5-4d1c-8101-d304701b257a	HEAT_REJECTION_PUMPS
c4b88209-c1fd-47be-8ec9-669db6c48a7e	c5a37de9-5cb2-4402-82e4-b02e87b23a8d	VENTILATION
c4b88209-c1fd-47be-8ec9-669db6c48a7e	2cfd00b1-11a4-4197-aa57-20c7d0b3f9d5	INFILTRATION
c4b88209-c1fd-47be-8ec9-669db6c48a7e	e906fedd-f43f-4faf-9804-bc3a96e9166b	IT_LOAD
37f22bb4-51a5-4179-b3dc-6237f7901b19	559c9c99-47c4-43c2-9b0e-228a1cbe3f27	SWITCHGEAR
37f22bb4-51a5-4179-b3dc-6237f7901b19	6a04f0d9-868b-4e7e-919d-785af979a16a	GENERATOR
37f22bb4-51a5-4179-b3dc-6237f7901b19	3f6de110-b393-4503-9649-dc84be0525b5	PRIMARY_AUXILIARIES
37f22bb4-51a5-4179-b3dc-6237f7901b19	875256e2-d347-42c3-83e1-da23b6dc716b	UPS
37f22bb4-51a5-4179-b3dc-6237f7901b19	4e773a0b-07b2-4295-8db9-895575c6c438	CRITICAL_AUXILIARIES
37f22bb4-51a5-4179-b3dc-6237f7901b19	8ff49b59-6dde-457d-b466-b6999654e0fe	LIGHTING
37f22bb4-51a5-4179-b3dc-6237f7901b19	5f18025a-4644-4a2c-a3f2-89d6cfb6c170	CRITICAL_POWER_DISTRIBUTION
37f22bb4-51a5-4179-b3dc-6237f7901b19	1f0cb6ee-2d46-41ad-9f8e-294f5c843339	CRAH
37f22bb4-51a5-4179-b3dc-6237f7901b19	615e2418-f0e7-4223-8b1d-d8b64d63647d	CRAC
37f22bb4-51a5-4179-b3dc-6237f7901b19	163b7281-d904-4bf6-a766-0ed860d0dd27	CRAC_WITHOUT_FAN
37f22bb4-51a5-4179-b3dc-6237f7901b19	dc25618b-cf8c-48f6-9c82-7869fdd402b9	CRAC_FAN
37f22bb4-51a5-4179-b3dc-6237f7901b19	e1a9849e-d93f-439c-b369-e5b34afb92f2	CHILLER
37f22bb4-51a5-4179-b3dc-6237f7901b19	23548589-8b74-4dd6-83b6-a46624cffe16	AIR_COOLED_CHILLER
37f22bb4-51a5-4179-b3dc-6237f7901b19	26b281bc-ccf4-4cb8-8c0e-4aad581d7ea4	COOLING_TOWER
37f22bb4-51a5-4179-b3dc-6237f7901b19	aa25b59b-d15d-49ed-b155-0342960e0fd2	DRY_COOLER
37f22bb4-51a5-4179-b3dc-6237f7901b19	bf96d618-4434-41ec-81b1-3a59a26e7db7	REMOTE_CONDENSER
37f22bb4-51a5-4179-b3dc-6237f7901b19	e750dcf3-b46d-4bc7-a79c-f1cef0aa25f2	CHILLED_WATER_PUMPS
37f22bb4-51a5-4179-b3dc-6237f7901b19	9af8347e-3722-4234-b64c-8c7404a83450	HEAT_REJECTION_PUMPS
37f22bb4-51a5-4179-b3dc-6237f7901b19	bc191b66-39c6-45e6-9eb0-c88dd02d1d50	VENTILATION
37f22bb4-51a5-4179-b3dc-6237f7901b19	2762322b-1087-47bb-bfea-1b87a1953875	INFILTRATION
37f22bb4-51a5-4179-b3dc-6237f7901b19	7cc3aed1-7752-4ced-ab7a-d5b9c2732142	IT_LOAD
3d4df8f8-be98-4328-b86b-32b3e8585a9a	4d977928-e4e2-4b25-953f-8f078c6761db	SWITCHGEAR
3d4df8f8-be98-4328-b86b-32b3e8585a9a	0bda4254-7c94-423d-b0d0-7bb84eeebc11	GENERATOR
3d4df8f8-be98-4328-b86b-32b3e8585a9a	37bf8f0e-7243-4524-a19a-973fe5a003aa	PRIMARY_AUXILIARIES
3d4df8f8-be98-4328-b86b-32b3e8585a9a	706ee4b0-9231-4318-ba7f-36f8240f1b3e	UPS
3d4df8f8-be98-4328-b86b-32b3e8585a9a	94d3ff4e-76dc-4501-86a9-c960c0d7394e	CRITICAL_AUXILIARIES
3d4df8f8-be98-4328-b86b-32b3e8585a9a	3f9ffc5a-b1b9-452e-91a9-c01096c5b536	LIGHTING
3d4df8f8-be98-4328-b86b-32b3e8585a9a	09c5da76-4422-42d0-93bd-4ca7e1a2bbef	CRITICAL_POWER_DISTRIBUTION
3d4df8f8-be98-4328-b86b-32b3e8585a9a	03c9f148-f8fa-40f7-81ed-34f81ebb57af	CRAH
3d4df8f8-be98-4328-b86b-32b3e8585a9a	d78b5e21-93c5-41d1-9af6-561309784418	CRAC
3d4df8f8-be98-4328-b86b-32b3e8585a9a	984b3726-4c1d-4b68-a4e2-959f9dde043f	CRAC_WITHOUT_FAN
3d4df8f8-be98-4328-b86b-32b3e8585a9a	d7a8fd7d-3e1f-45e1-875d-6d00a32087ce	CRAC_FAN
3d4df8f8-be98-4328-b86b-32b3e8585a9a	1a9d1142-6c3e-4713-8382-5f350809ce52	CHILLER
3d4df8f8-be98-4328-b86b-32b3e8585a9a	8096a9ba-ee6e-40fe-ab84-c6f197c05334	AIR_COOLED_CHILLER
3d4df8f8-be98-4328-b86b-32b3e8585a9a	b33463b5-2194-4b1f-9aea-307d8e3743be	COOLING_TOWER
3d4df8f8-be98-4328-b86b-32b3e8585a9a	7db99a6e-a2b4-48e7-a183-cb38ff0c5540	DRY_COOLER
3d4df8f8-be98-4328-b86b-32b3e8585a9a	89975741-ea38-4a72-a06a-581034a7292b	REMOTE_CONDENSER
3d4df8f8-be98-4328-b86b-32b3e8585a9a	56205c9b-199b-440e-b1b4-bb68e1d71793	CHILLED_WATER_PUMPS
3d4df8f8-be98-4328-b86b-32b3e8585a9a	a84e1798-c385-4201-aeab-42d8b5004b8e	HEAT_REJECTION_PUMPS
3d4df8f8-be98-4328-b86b-32b3e8585a9a	c9e21fb6-c512-4c74-926f-8dfa8189684f	VENTILATION
3d4df8f8-be98-4328-b86b-32b3e8585a9a	bfbdb12d-b017-4023-9904-44da84692228	INFILTRATION
3d4df8f8-be98-4328-b86b-32b3e8585a9a	2b83edb9-3701-4ff2-943d-9847159ee828	IT_LOAD
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	50efbf9e-9425-4211-886b-d9609d953950	SWITCHGEAR
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	de887402-4bb5-4c52-acda-906f2200d603	GENERATOR
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	de7dd136-b2bf-4e9f-9f87-949f99428656	PRIMARY_AUXILIARIES
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	73d83def-4d8c-4e6b-9b1a-ed6643225357	UPS
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	d162328e-e8fa-4e8d-81e9-bafe97d57767	CRITICAL_AUXILIARIES
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	3bb49b3a-316b-47de-a941-44573e7bb25e	LIGHTING
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	27a86ce3-f81f-4294-9e54-9d95ed141145	CRITICAL_POWER_DISTRIBUTION
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	fc3d5217-ddb7-4e82-88ae-59483d6adf94	CRAH
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	dc6a6126-b13a-4165-894d-320294e62d85	CRAC
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	34f9ae24-0041-4188-90be-7572123946e4	CRAC_WITHOUT_FAN
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	d7643f58-7221-439d-868b-52f8732c5a95	CRAC_FAN
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	44811648-e7f8-4532-bddc-b79951de9c93	CHILLER
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	37e96aaf-e5c5-4404-941c-ecc10771a055	AIR_COOLED_CHILLER
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	d970733d-6ac8-495e-835c-4ddc151055ef	COOLING_TOWER
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	9262030d-dddb-4532-b4a8-2cb44069bd42	DRY_COOLER
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	e9930609-c973-4e49-a22b-27221d569da1	REMOTE_CONDENSER
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	d8af1acf-0954-4907-bbb8-1b8bd6068b5f	CHILLED_WATER_PUMPS
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	0dbf9f39-8793-4d3c-9b8d-275195baa9e7	HEAT_REJECTION_PUMPS
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	389eda13-c450-4766-9863-8bc45fdb95e4	VENTILATION
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	996011a1-bd79-4d9c-8190-69a58e379a59	INFILTRATION
51c8fb6e-2936-433f-ab68-bb9a30d90cdc	38c88a57-6a97-46a9-806f-49039b5d83f4	IT_LOAD
4a579b10-4d79-4569-8665-44ac8bda9c07	71a001df-4d17-49a1-9dad-c39800042461	SWITCHGEAR
4a579b10-4d79-4569-8665-44ac8bda9c07	6763ccff-011c-482c-aadc-9fa7f2e55808	GENERATOR
4a579b10-4d79-4569-8665-44ac8bda9c07	df9d16d6-aa89-4dfb-9245-bf09971bfd36	PRIMARY_AUXILIARIES
4a579b10-4d79-4569-8665-44ac8bda9c07	6a969442-4272-48ee-a308-d2a076af32bc	UPS
4a579b10-4d79-4569-8665-44ac8bda9c07	26e10a54-f38d-4979-9973-466a4f269780	CRITICAL_AUXILIARIES
4a579b10-4d79-4569-8665-44ac8bda9c07	e4a03aad-6eca-4465-b4d8-60a75b92117b	LIGHTING
4a579b10-4d79-4569-8665-44ac8bda9c07	a75d6bd0-7322-49fc-97d7-a2d5ff82b5d8	CRITICAL_POWER_DISTRIBUTION
4a579b10-4d79-4569-8665-44ac8bda9c07	76cf0ea4-7bcf-43cb-b516-00c50c20fcc1	CRAH
4a579b10-4d79-4569-8665-44ac8bda9c07	dcced75a-10db-4e0d-8a0d-911924762487	CRAC
4a579b10-4d79-4569-8665-44ac8bda9c07	e0da0425-6f21-473e-a557-ce40ded4c2f0	CRAC_WITHOUT_FAN
4a579b10-4d79-4569-8665-44ac8bda9c07	4f48bf97-52d2-47c9-b25a-d86c4ee2d722	CRAC_FAN
4a579b10-4d79-4569-8665-44ac8bda9c07	c9fe4aac-d418-4b51-a162-e299f9d46fc4	CHILLER
4a579b10-4d79-4569-8665-44ac8bda9c07	ed01b68d-d985-46be-b44e-50f32a816ea2	AIR_COOLED_CHILLER
4a579b10-4d79-4569-8665-44ac8bda9c07	2e035dd9-902f-4671-97f3-6e8ddff720fb	COOLING_TOWER
4a579b10-4d79-4569-8665-44ac8bda9c07	52d57b3d-4617-4587-bb27-f4f63d7c7bb3	DRY_COOLER
4a579b10-4d79-4569-8665-44ac8bda9c07	bfa491ca-b6d5-4023-9d78-03c286548f67	REMOTE_CONDENSER
4a579b10-4d79-4569-8665-44ac8bda9c07	db2d9f36-2e09-4295-8b40-e868e4dda722	CHILLED_WATER_PUMPS
4a579b10-4d79-4569-8665-44ac8bda9c07	d984d7c5-2a29-4f91-86dd-7572576731b4	HEAT_REJECTION_PUMPS
4a579b10-4d79-4569-8665-44ac8bda9c07	70457360-f15d-4b87-bffe-622de44d5871	VENTILATION
4a579b10-4d79-4569-8665-44ac8bda9c07	5602c5b9-2345-4aee-bbe1-541f61695df8	INFILTRATION
4a579b10-4d79-4569-8665-44ac8bda9c07	6c9a9b86-9806-4607-9f81-d80bcd1fdc76	IT_LOAD
fb320c5e-a88e-4f44-a79c-0a094e9fda72	226b4066-b8ab-4af5-aec4-db613402aa73	SWITCHGEAR
fb320c5e-a88e-4f44-a79c-0a094e9fda72	696249dc-5041-40ae-8626-d36f033095e0	GENERATOR
fb320c5e-a88e-4f44-a79c-0a094e9fda72	45e17006-2d1f-4ec5-9789-e56ecb14022d	PRIMARY_AUXILIARIES
fb320c5e-a88e-4f44-a79c-0a094e9fda72	d23b9769-9cae-4d9b-a789-b6a6b4a152f9	UPS
fb320c5e-a88e-4f44-a79c-0a094e9fda72	905aec94-2e97-47e2-9bca-c81f4c5c9602	CRITICAL_AUXILIARIES
fb320c5e-a88e-4f44-a79c-0a094e9fda72	a972d75f-0217-46d9-aaaf-e4ed7fed012d	LIGHTING
fb320c5e-a88e-4f44-a79c-0a094e9fda72	9ff5e8c6-e81f-4d62-a9d9-fd84011872f7	CRITICAL_POWER_DISTRIBUTION
fb320c5e-a88e-4f44-a79c-0a094e9fda72	1268fbf4-4d94-433a-807f-6b44e91758be	CRAH
fb320c5e-a88e-4f44-a79c-0a094e9fda72	18b8747b-882b-464b-a0c1-f6c54fb68ac8	CRAC
fb320c5e-a88e-4f44-a79c-0a094e9fda72	725f589a-277f-43ae-8aeb-d7e8c1810fc7	CRAC_WITHOUT_FAN
fb320c5e-a88e-4f44-a79c-0a094e9fda72	adf0a81a-0a8f-407e-aa84-53fd2106f1e9	CRAC_FAN
fb320c5e-a88e-4f44-a79c-0a094e9fda72	b07c4bf3-b184-408e-b31f-07389bfd94aa	CHILLER
fb320c5e-a88e-4f44-a79c-0a094e9fda72	505e1607-e004-4631-b00e-917a88646bd6	AIR_COOLED_CHILLER
fb320c5e-a88e-4f44-a79c-0a094e9fda72	dee0df93-9131-4b96-8ea8-ec23f720e153	COOLING_TOWER
fb320c5e-a88e-4f44-a79c-0a094e9fda72	28b6ddad-ca29-4193-88b3-cb5765584849	DRY_COOLER
fb320c5e-a88e-4f44-a79c-0a094e9fda72	b3f4a859-72a1-465e-ad04-39508322f5b2	REMOTE_CONDENSER
fb320c5e-a88e-4f44-a79c-0a094e9fda72	979c87b5-dc73-4a21-b9e1-bbd121b409ec	CHILLED_WATER_PUMPS
fb320c5e-a88e-4f44-a79c-0a094e9fda72	d81f114a-4388-4088-8116-531f7fa126a4	HEAT_REJECTION_PUMPS
fb320c5e-a88e-4f44-a79c-0a094e9fda72	96805a84-6e22-44fc-9442-2dbf4d3678dd	VENTILATION
fb320c5e-a88e-4f44-a79c-0a094e9fda72	f95abb3b-e91d-49f4-9a40-66ec46b13ce6	INFILTRATION
fb320c5e-a88e-4f44-a79c-0a094e9fda72	cccdfd20-bdaf-41a2-9f29-f15cbc3b3d62	IT_LOAD
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	8328a189-189b-4c2b-bef2-bc9f3080555f	SWITCHGEAR
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	f33ba0e2-ef53-4e8f-b1ef-a8335064bb34	GENERATOR
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	506a4417-6e0d-40f3-9068-0c191f73ef27	PRIMARY_AUXILIARIES
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	22eeb7ae-646b-4699-b75a-ce1caf9e1f73	UPS
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	0b2d2360-d074-46f6-960f-7667dd17bbcf	CRITICAL_AUXILIARIES
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	9ad13a56-7a69-4a82-b773-9908482fa45b	LIGHTING
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	190008b3-4f8d-43ee-94a4-f996fd6ca651	CRITICAL_POWER_DISTRIBUTION
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	4f2e2176-3bc4-4482-acef-34dcb8f0c4ce	CRAH
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	dd90924c-0a5a-43a4-a557-2d64ec715778	CRAC
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	cbb5749b-8dc0-4fdb-9a85-298fc5db8bdf	CRAC_WITHOUT_FAN
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	cc374516-0a31-4f18-8853-aeff43e4d116	CRAC_FAN
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	7274af7c-2cc9-477a-b956-de986c5583c1	CHILLER
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	4cd31591-8d8e-478c-88de-459a68a4a626	AIR_COOLED_CHILLER
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	f76c4de8-fb44-409d-b77a-81c105ab1a68	COOLING_TOWER
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	535a9292-ef9e-438e-b001-b9818cd6dd49	DRY_COOLER
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	bd46efbe-5765-4c9c-b689-cbd72549163a	REMOTE_CONDENSER
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	0ffc07c3-ede9-48ca-926f-c75cef4c3558	CHILLED_WATER_PUMPS
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	29106390-a80e-41c1-8f16-8a783217f46d	HEAT_REJECTION_PUMPS
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	bed5843a-bde0-4fae-8147-eb91a4b60d5c	VENTILATION
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	a22dbfb9-6017-4012-bf52-20d7daec6f57	INFILTRATION
1f1d7d60-48b3-44ed-8fc6-0a2433f73e49	b1e8526d-29a3-4889-9aef-d7649da2d8c0	IT_LOAD
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	565773bc-0879-4521-9475-5f39135eceba	SWITCHGEAR
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	7d333c98-16e7-4878-8da0-8c69ea010de2	GENERATOR
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	020feed2-9ac3-4708-b4ea-e48213fa6e34	PRIMARY_AUXILIARIES
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	19812989-03e1-45a6-894a-f840132e0bd5	UPS
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	0a762c74-e212-4108-ae14-e31b495034ca	CRITICAL_AUXILIARIES
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	437e2f04-c601-45d1-b8a8-426667528815	LIGHTING
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	9b39a39c-309e-4402-aa79-8cdfe2bb46ce	CRITICAL_POWER_DISTRIBUTION
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	c01e0286-c5f1-44d3-9e03-4512f6cc85bb	CRAH
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	5e1f9927-8a3a-4174-9c89-3d46dfb823b0	CRAC
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	5f143808-4148-4bf4-8da1-1f84bd82c498	CRAC_WITHOUT_FAN
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	68027b47-499e-4b8b-a111-5130627420a8	CRAC_FAN
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	cd37781a-4c4c-4861-abe3-6018f2e4e5a6	CHILLER
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	54646882-935d-4449-92e9-b70fbc76a54c	AIR_COOLED_CHILLER
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	321ac4b2-b41c-4ad7-84f4-8038906f196b	COOLING_TOWER
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	e17aefbe-c03a-4f92-8999-c1bdfd9181c7	DRY_COOLER
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	5388e9bd-494d-49ed-b602-d3a1f3c78e16	REMOTE_CONDENSER
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	fae9cdb6-d136-424d-b084-5c231fa1ff9c	CHILLED_WATER_PUMPS
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	6346f703-ed38-46d8-9ff0-30616c339512	HEAT_REJECTION_PUMPS
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	dc037bd8-8618-433c-be2e-bb59ff802f26	VENTILATION
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	0ec56023-61f4-43ba-8e22-17828c849f82	INFILTRATION
5025f58d-57ff-4571-bc0f-ed9b9595f8b3	145bbb71-5583-48d8-bbe5-986f0ec7e1a3	IT_LOAD
5bdaa288-9301-41c0-9ee1-5709e21e131d	75be79c8-da14-4804-8eb8-ccd9c2d91057	SWITCHGEAR
5bdaa288-9301-41c0-9ee1-5709e21e131d	bee31cee-bb7d-4499-b987-fa3d2eb1c6e8	GENERATOR
5bdaa288-9301-41c0-9ee1-5709e21e131d	5546bfcb-c5bc-4010-9cf7-b1c485051980	PRIMARY_AUXILIARIES
5bdaa288-9301-41c0-9ee1-5709e21e131d	abdf4dac-8c81-4f98-882e-83030152cf97	UPS
5bdaa288-9301-41c0-9ee1-5709e21e131d	4de173cf-aa67-47bc-bcaf-566d8817e64a	CRITICAL_AUXILIARIES
5bdaa288-9301-41c0-9ee1-5709e21e131d	ed2f0c7b-4770-469f-851c-2996e6942792	LIGHTING
5bdaa288-9301-41c0-9ee1-5709e21e131d	68a1f7da-2085-4ab7-8360-57086501762f	CRITICAL_POWER_DISTRIBUTION
5bdaa288-9301-41c0-9ee1-5709e21e131d	02174872-abcd-4328-b890-48df7ccaa96d	CRAH
5bdaa288-9301-41c0-9ee1-5709e21e131d	468bcd35-253b-44dd-8e7a-91e8f52e5682	CRAC
5bdaa288-9301-41c0-9ee1-5709e21e131d	ede7ca29-3ce2-438a-9bd9-1cb346bead49	CRAC_WITHOUT_FAN
5bdaa288-9301-41c0-9ee1-5709e21e131d	f99e1d50-2264-4beb-b0be-baf602fa6b3c	CRAC_FAN
5bdaa288-9301-41c0-9ee1-5709e21e131d	c153c796-cdd2-4e1a-a209-350281005007	CHILLER
5bdaa288-9301-41c0-9ee1-5709e21e131d	5fc5768f-2b34-4511-b7b3-fbe566bed760	AIR_COOLED_CHILLER
5bdaa288-9301-41c0-9ee1-5709e21e131d	d695b11f-dbd4-41c3-8db3-e389b4ad2915	COOLING_TOWER
5bdaa288-9301-41c0-9ee1-5709e21e131d	3d461cc5-65b4-4a66-9942-778c542760cc	DRY_COOLER
5bdaa288-9301-41c0-9ee1-5709e21e131d	e6e8470c-a1ad-4ebd-a2c1-ec49b1fc2d7e	REMOTE_CONDENSER
5bdaa288-9301-41c0-9ee1-5709e21e131d	ca10fffa-0d7e-4a69-a0b7-8f7ee6553a47	CHILLED_WATER_PUMPS
5bdaa288-9301-41c0-9ee1-5709e21e131d	ee4e0b75-fc28-4ddc-99af-5bcc18dddfdf	HEAT_REJECTION_PUMPS
5bdaa288-9301-41c0-9ee1-5709e21e131d	fcc6c5ba-e9dd-4bce-a31d-427e4b26afcb	VENTILATION
5bdaa288-9301-41c0-9ee1-5709e21e131d	4c53dff5-fcab-469f-b510-2232b4ddf2a0	INFILTRATION
5bdaa288-9301-41c0-9ee1-5709e21e131d	60137ec1-338c-4c76-8ba2-c16abbc55da5	IT_LOAD
4d457f79-28b0-4618-a240-b65b357ec30d	abbe87ce-042f-4e3d-b045-0e5cccd47601	SWITCHGEAR
4d457f79-28b0-4618-a240-b65b357ec30d	f33a9e35-5817-4f99-94b9-a751fa1c4ea9	GENERATOR
4d457f79-28b0-4618-a240-b65b357ec30d	783e1fee-f41c-4465-bb15-a4808a08c1f5	PRIMARY_AUXILIARIES
4d457f79-28b0-4618-a240-b65b357ec30d	02bffbef-5036-43e6-9aea-e309afd4cbc1	UPS
4d457f79-28b0-4618-a240-b65b357ec30d	057fbf01-6d39-4883-b757-aadb8c942719	CRITICAL_AUXILIARIES
4d457f79-28b0-4618-a240-b65b357ec30d	51bca2cb-b9a2-4c62-9b0d-9d58c128f1cd	LIGHTING
4d457f79-28b0-4618-a240-b65b357ec30d	b53348dc-8147-4b3c-b9a2-da06bce01443	CRITICAL_POWER_DISTRIBUTION
4d457f79-28b0-4618-a240-b65b357ec30d	9511c926-51ed-4a7d-af15-ee0c02921e1d	CRAH
4d457f79-28b0-4618-a240-b65b357ec30d	5903cdb4-0c28-403a-88ea-aa10b4820253	CRAC
4d457f79-28b0-4618-a240-b65b357ec30d	7af0b2b8-44c2-4961-a3c0-8e393e912a89	CRAC_WITHOUT_FAN
4d457f79-28b0-4618-a240-b65b357ec30d	cbb26822-df7b-4160-a1fe-3e543981b822	CRAC_FAN
4d457f79-28b0-4618-a240-b65b357ec30d	2a5de7fe-e128-4457-9f9c-bc49b19109dc	CHILLER
4d457f79-28b0-4618-a240-b65b357ec30d	5bc7d5eb-87ea-4731-8aa7-4a6aa2b449be	AIR_COOLED_CHILLER
4d457f79-28b0-4618-a240-b65b357ec30d	c18b7565-6d31-4ea3-b3e1-955b20077614	COOLING_TOWER
4d457f79-28b0-4618-a240-b65b357ec30d	4a3eea94-1476-4c4c-9738-095a7ede76ad	DRY_COOLER
4d457f79-28b0-4618-a240-b65b357ec30d	087162b3-5ed4-4189-82af-17c5cf5402ac	REMOTE_CONDENSER
4d457f79-28b0-4618-a240-b65b357ec30d	2d0c135a-c555-4ab1-b588-26b41bbbbfe5	CHILLED_WATER_PUMPS
4d457f79-28b0-4618-a240-b65b357ec30d	04923468-d4ce-4dcf-8eb8-f3ad4f0198f0	HEAT_REJECTION_PUMPS
4d457f79-28b0-4618-a240-b65b357ec30d	3ad7de3d-d537-4168-8a16-4f1746ddab7f	VENTILATION
4d457f79-28b0-4618-a240-b65b357ec30d	c7f53f5e-167d-4142-81aa-e1a3d0f57e65	INFILTRATION
4d457f79-28b0-4618-a240-b65b357ec30d	0f680596-b69f-4c67-9332-a572ed1de5c0	IT_LOAD
d94c0706-542a-4adf-987c-f8cc5e2be9cc	d20e4d55-23af-4aa4-a21e-4c6ddc365a99	SWITCHGEAR
d94c0706-542a-4adf-987c-f8cc5e2be9cc	04c413e1-16eb-4f9c-968f-97d57cc17067	GENERATOR
d94c0706-542a-4adf-987c-f8cc5e2be9cc	132406d9-2cd4-4ed2-8047-e335baed1d39	PRIMARY_AUXILIARIES
d94c0706-542a-4adf-987c-f8cc5e2be9cc	bdd12adc-93da-4b09-ae46-eb6beb76c638	UPS
d94c0706-542a-4adf-987c-f8cc5e2be9cc	104f3e68-b428-426a-ad61-14649fdfefef	CRITICAL_AUXILIARIES
d94c0706-542a-4adf-987c-f8cc5e2be9cc	807b75c2-bab4-41c2-9d9a-482778f01aaa	LIGHTING
d94c0706-542a-4adf-987c-f8cc5e2be9cc	dc9f9810-a2e6-49de-bd70-81ee44b0e6c5	CRITICAL_POWER_DISTRIBUTION
d94c0706-542a-4adf-987c-f8cc5e2be9cc	fd34163c-13e7-442b-bcb3-a38ccc7e0693	CRAH
d94c0706-542a-4adf-987c-f8cc5e2be9cc	aae1d7ba-2f9b-4d47-9b28-28a63c64202e	CRAC
d94c0706-542a-4adf-987c-f8cc5e2be9cc	11da777e-460e-4867-b5a5-2e50ca37a127	CRAC_WITHOUT_FAN
d94c0706-542a-4adf-987c-f8cc5e2be9cc	f127f56c-2683-410e-8bfb-ae9a3593b31e	CRAC_FAN
d94c0706-542a-4adf-987c-f8cc5e2be9cc	795e99ba-3917-4be9-b51f-63e0c6ed1649	CHILLER
d94c0706-542a-4adf-987c-f8cc5e2be9cc	5ff611d8-6821-4401-9670-1a570aa48dc5	AIR_COOLED_CHILLER
d94c0706-542a-4adf-987c-f8cc5e2be9cc	86d24f2e-7f30-407b-bb9f-d6be953c3598	COOLING_TOWER
d94c0706-542a-4adf-987c-f8cc5e2be9cc	0529ab11-668f-44c0-b8ef-c0f503e0a75b	DRY_COOLER
d94c0706-542a-4adf-987c-f8cc5e2be9cc	8a569af0-041c-43bf-b361-7ce349dc9af7	REMOTE_CONDENSER
d94c0706-542a-4adf-987c-f8cc5e2be9cc	2dc4d97a-aa1f-4915-b7df-8c5a0bc2a4e9	CHILLED_WATER_PUMPS
d94c0706-542a-4adf-987c-f8cc5e2be9cc	aba5d473-55c8-423a-a9a8-5a1e636c02a5	HEAT_REJECTION_PUMPS
d94c0706-542a-4adf-987c-f8cc5e2be9cc	3e95a20a-e463-4c63-bde0-cfccc2c5cd27	VENTILATION
d94c0706-542a-4adf-987c-f8cc5e2be9cc	4e74c903-7c84-4534-a716-d5b7f79ba866	INFILTRATION
d94c0706-542a-4adf-987c-f8cc5e2be9cc	9e05f69b-7a7a-40b7-a699-c6caa1772bcd	IT_LOAD
bf14726a-b9da-4d71-859e-67f518d79319	c293f71d-37de-453f-81e4-c1eb2e813584	SWITCHGEAR
bf14726a-b9da-4d71-859e-67f518d79319	064ef6e7-e78d-478e-a368-a025c3687566	GENERATOR
bf14726a-b9da-4d71-859e-67f518d79319	85405147-d36f-420d-9ffa-019e4bc05a79	PRIMARY_AUXILIARIES
bf14726a-b9da-4d71-859e-67f518d79319	67802923-09df-47cd-b39c-6a8920846e0a	UPS
bf14726a-b9da-4d71-859e-67f518d79319	cf99ae68-b710-4dae-b3ed-ed018994a75d	CRITICAL_AUXILIARIES
bf14726a-b9da-4d71-859e-67f518d79319	4d24428c-9996-447a-b6ba-42f301e0514c	LIGHTING
bf14726a-b9da-4d71-859e-67f518d79319	fc35b5e3-0469-4e8b-86e7-55d27a681749	CRITICAL_POWER_DISTRIBUTION
bf14726a-b9da-4d71-859e-67f518d79319	89ec7d7e-fcff-4fbb-bedd-213e94c797ef	CRAH
bf14726a-b9da-4d71-859e-67f518d79319	6bd96cf2-4d36-4c45-abd1-f9bcfe39d751	CRAC
bf14726a-b9da-4d71-859e-67f518d79319	9ad8767b-3892-40cd-b86c-05c0a297d1eb	CRAC_WITHOUT_FAN
bf14726a-b9da-4d71-859e-67f518d79319	16a22a42-bf8b-4bca-b955-c1766a935a3a	CRAC_FAN
bf14726a-b9da-4d71-859e-67f518d79319	a6965c49-db13-4098-8c08-6885e13afaf6	CHILLER
bf14726a-b9da-4d71-859e-67f518d79319	c2e319a0-a58b-4d62-8078-33012e32af81	AIR_COOLED_CHILLER
bf14726a-b9da-4d71-859e-67f518d79319	ebc6ae41-7f69-4ff3-9c85-e431db47482b	COOLING_TOWER
bf14726a-b9da-4d71-859e-67f518d79319	430f9ac4-6d9a-4802-9d27-1439a2dd0192	DRY_COOLER
bf14726a-b9da-4d71-859e-67f518d79319	3e95a3e6-0479-499a-82a9-9cd012cefdd6	REMOTE_CONDENSER
bf14726a-b9da-4d71-859e-67f518d79319	dc26fc8b-9d0f-4382-a441-c589b6475548	CHILLED_WATER_PUMPS
bf14726a-b9da-4d71-859e-67f518d79319	f235cb63-3c82-4841-ae83-d4c21be04828	HEAT_REJECTION_PUMPS
bf14726a-b9da-4d71-859e-67f518d79319	39bdbbbd-b7ab-45ac-b963-6b46db85461b	VENTILATION
bf14726a-b9da-4d71-859e-67f518d79319	fee93745-1e43-4ade-bbfd-8f4d1564fc38	INFILTRATION
bf14726a-b9da-4d71-859e-67f518d79319	3822c024-cd44-4d99-9d4b-1b670b0cfee5	IT_LOAD
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	b30fd1a0-1f4d-450b-9292-9da1e4d2e5a7	SWITCHGEAR
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	0eab543a-90e3-4fbb-ae88-383ea92bc0d6	GENERATOR
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	48ba171c-8e51-4515-95bf-49abc563ce19	PRIMARY_AUXILIARIES
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	06578a99-3a14-49b8-b949-0362ee3f6673	UPS
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	7719d3a5-fb92-4cb8-9367-b4ead769798a	CRITICAL_AUXILIARIES
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	0c38fc74-3b8d-4707-b723-5cc4fff8301d	LIGHTING
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	0a9697db-2e06-4d28-8728-f022b466d035	CRITICAL_POWER_DISTRIBUTION
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	97b9efec-74d6-4dc8-a116-d45c88029a5b	CRAH
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	9c0fd115-cc2a-416d-a18f-5ae8a81d0914	CRAC
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	3e0ba8f2-da01-4117-a8fc-4c2f988a2724	CRAC_WITHOUT_FAN
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	3f9489eb-272f-46fd-a77e-1e803573f1fd	CRAC_FAN
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	8a4dedcd-2fa0-4828-b40c-8e71aa7f539b	CHILLER
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	8c469844-5ff9-48a7-900a-53c447d6a1cd	AIR_COOLED_CHILLER
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	6c1bfd42-e5c1-4c53-973a-bd1f95811ece	COOLING_TOWER
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	eb9ec8ef-9354-4e7f-a0e0-dbe13b67e07a	DRY_COOLER
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	f8a1ad29-cea2-4673-ade1-df160cbc46a7	REMOTE_CONDENSER
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	0004bb21-e724-426b-b59f-79a90bbed09a	CHILLED_WATER_PUMPS
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	265c0ebe-b06e-4014-8086-aaa4f99befb3	HEAT_REJECTION_PUMPS
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	1c605a7b-e8fb-4581-9115-d4609fe19336	VENTILATION
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	4d1b3975-288a-4a99-8e8d-7aa257075c84	INFILTRATION
1e8418e8-8065-4e48-b2ea-ec1b3ba04cbc	9346ac51-b23e-4ee0-8669-8821f9ac9d6e	IT_LOAD
92ec6857-1146-4e82-b528-663ea6f3fc44	64e822cf-295a-4e38-b094-9bdffa80e742	SWITCHGEAR
92ec6857-1146-4e82-b528-663ea6f3fc44	3e067ed5-d60e-4b3f-945a-b992ecec2cd7	GENERATOR
92ec6857-1146-4e82-b528-663ea6f3fc44	8cd9abbe-f72a-4a31-987c-fbc2134ce9ee	PRIMARY_AUXILIARIES
92ec6857-1146-4e82-b528-663ea6f3fc44	e29e3b45-7cb6-41e3-90e7-a0f95afcfbc9	UPS
92ec6857-1146-4e82-b528-663ea6f3fc44	71ee4bff-8db9-4b1e-89de-98c2fe290543	CRITICAL_AUXILIARIES
92ec6857-1146-4e82-b528-663ea6f3fc44	d7b3a2c4-2901-4ebb-a523-244ebddefdce	LIGHTING
92ec6857-1146-4e82-b528-663ea6f3fc44	32585bd1-d189-4c4d-8e37-b69982c0d1fa	CRITICAL_POWER_DISTRIBUTION
92ec6857-1146-4e82-b528-663ea6f3fc44	c414f888-2a5d-4d55-a055-49b7e5fb64b3	CRAH
92ec6857-1146-4e82-b528-663ea6f3fc44	93a37738-0d89-4e1c-afd2-c0a8e5b3b589	CRAC
92ec6857-1146-4e82-b528-663ea6f3fc44	762ab063-b4bd-4421-9108-f9f888744354	CRAC_WITHOUT_FAN
92ec6857-1146-4e82-b528-663ea6f3fc44	5a6bf7a9-10e7-4975-81ef-68c61f5b6fc4	CRAC_FAN
92ec6857-1146-4e82-b528-663ea6f3fc44	208754e4-157a-4ea5-9742-f813b2633f4b	CHILLER
92ec6857-1146-4e82-b528-663ea6f3fc44	53dfbee3-2c76-4cb0-9ccb-16b6ff15a2cb	AIR_COOLED_CHILLER
92ec6857-1146-4e82-b528-663ea6f3fc44	cecf0a50-43d8-4be4-b8be-4d768db207ad	COOLING_TOWER
92ec6857-1146-4e82-b528-663ea6f3fc44	3468e078-9d54-4789-9163-5216f6c31a76	DRY_COOLER
92ec6857-1146-4e82-b528-663ea6f3fc44	189e6731-e289-42e1-9bae-832e0c085e72	REMOTE_CONDENSER
92ec6857-1146-4e82-b528-663ea6f3fc44	f1c712e0-e3f2-4946-a93a-372e650ef259	CHILLED_WATER_PUMPS
92ec6857-1146-4e82-b528-663ea6f3fc44	6ef057e4-9661-44d6-a595-b37f1c428a11	HEAT_REJECTION_PUMPS
92ec6857-1146-4e82-b528-663ea6f3fc44	3fe75328-b59c-4f04-ab9d-bf689d9f598a	VENTILATION
92ec6857-1146-4e82-b528-663ea6f3fc44	377af458-f4bc-41f4-ae8a-f7667fc76edb	INFILTRATION
92ec6857-1146-4e82-b528-663ea6f3fc44	8711a0d7-e7df-47da-9dfb-9fae0aec1465	IT_LOAD
ee685c8b-99b3-49da-adc3-f556479a9495	3ef81702-cb21-4f5f-8b40-21e4469853e3	SWITCHGEAR
ee685c8b-99b3-49da-adc3-f556479a9495	73fa95c2-201f-45e3-964d-a9206c1d3090	GENERATOR
ee685c8b-99b3-49da-adc3-f556479a9495	e4a71f03-a9a3-48a1-8f45-2c864d6b45b1	PRIMARY_AUXILIARIES
ee685c8b-99b3-49da-adc3-f556479a9495	40ca0668-6fb1-44cc-884b-8c076765c4df	UPS
ee685c8b-99b3-49da-adc3-f556479a9495	af294f84-ac2c-4b5c-ba9a-13a6791b08b9	CRITICAL_AUXILIARIES
ee685c8b-99b3-49da-adc3-f556479a9495	c5a28981-e353-4c4e-b95c-49f80f095d9e	LIGHTING
ee685c8b-99b3-49da-adc3-f556479a9495	722b48d3-6443-420a-8c6c-1ce730163066	CRITICAL_POWER_DISTRIBUTION
ee685c8b-99b3-49da-adc3-f556479a9495	17d7b589-0342-4aa1-9ef2-836d38eb0923	CRAH
ee685c8b-99b3-49da-adc3-f556479a9495	6b7ac12c-ee01-482e-95b3-a8ee84eb5147	CRAC
ee685c8b-99b3-49da-adc3-f556479a9495	b6474490-81cd-4caa-a0ba-d9878e9430d5	CRAC_WITHOUT_FAN
ee685c8b-99b3-49da-adc3-f556479a9495	b8c3c2c1-d339-4a89-aced-1ae659e09d42	CRAC_FAN
ee685c8b-99b3-49da-adc3-f556479a9495	7462a9bf-3929-4631-99f2-5bbaa0375c4b	CHILLER
ee685c8b-99b3-49da-adc3-f556479a9495	ef82e22a-1bd3-4f54-92bd-236f828da69f	AIR_COOLED_CHILLER
ee685c8b-99b3-49da-adc3-f556479a9495	a5a2a0c9-1a08-47bd-bd74-bf0ddb50bb19	COOLING_TOWER
ee685c8b-99b3-49da-adc3-f556479a9495	00af486b-bfdf-4568-b312-d4a8d0229165	DRY_COOLER
ee685c8b-99b3-49da-adc3-f556479a9495	bbd382fd-72f7-40d4-b52e-f78dc399f135	REMOTE_CONDENSER
ee685c8b-99b3-49da-adc3-f556479a9495	f99c241a-6787-4cc9-9825-65efb1f765ea	CHILLED_WATER_PUMPS
ee685c8b-99b3-49da-adc3-f556479a9495	a1b02049-61d7-42eb-946e-8faa2b99425d	HEAT_REJECTION_PUMPS
ee685c8b-99b3-49da-adc3-f556479a9495	4a3e5bc9-4c23-4664-803a-eef8b5ac58ef	VENTILATION
ee685c8b-99b3-49da-adc3-f556479a9495	faaf830b-2905-4ba0-8122-362f5c30bd54	INFILTRATION
ee685c8b-99b3-49da-adc3-f556479a9495	ecdfb347-55cc-4c99-ae84-8e43572ab6cf	IT_LOAD
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	7555cd04-2a90-4307-b51d-20473e200461	SWITCHGEAR
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	1c97db2e-f93e-41d4-bf87-d615257592bc	GENERATOR
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	e4684a9b-56fb-40a6-afb6-6dde9b535ae3	PRIMARY_AUXILIARIES
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	c0f2fd68-22bc-4184-9f45-9fedf858ad8d	UPS
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	a63d4b85-d353-4415-880d-d204159b870a	CRITICAL_AUXILIARIES
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	6155841b-dc03-48cd-8243-adc507e8cd18	LIGHTING
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	6102e164-ada9-419b-91a6-c974226cd0af	CRITICAL_POWER_DISTRIBUTION
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	b1225d62-1b03-4958-8b04-4394e372deb1	CRAH
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	12b073a7-aeaa-4f5b-9479-108a81a03b2a	CRAC
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	2fa5bfeb-d674-452e-97a1-5bfb27728c10	CRAC_WITHOUT_FAN
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	c3481a3c-e9ca-4513-92fc-ee1b7fb16787	CRAC_FAN
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	8e84204f-6e83-41d2-a4ab-8ea7219dcef0	CHILLER
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	a351e52d-3a38-4d90-9070-5d1edd1f2fc5	AIR_COOLED_CHILLER
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	9f8ab68e-f187-43b9-a744-b994bfed88d9	COOLING_TOWER
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	ddf900e7-1873-46a3-8a93-46be6b28e5b2	DRY_COOLER
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	72b0965c-91bb-4b17-ab73-7eecbc515254	REMOTE_CONDENSER
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	34b72ebc-7f2e-4e64-8929-52323b3ea93f	CHILLED_WATER_PUMPS
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	338040ff-0965-4c6c-a433-1dfb5d256005	HEAT_REJECTION_PUMPS
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	12ec4724-8c81-40b0-b884-2dd81b522ad2	VENTILATION
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	cbce241f-a35a-4ad9-99f0-8ace83b582d8	INFILTRATION
2ac20f3d-7b76-48f2-8188-8b5cb991bc68	667f34d7-ab15-4e5f-af4a-f9660d0a9f5c	IT_LOAD
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	77ccc203-27b2-42e4-816e-8f64b00047e5	SWITCHGEAR
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	075481e4-61f8-4c3e-84d7-f180d9f7a95b	GENERATOR
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	0d8061f7-195a-4df6-b27e-d95215119a31	PRIMARY_AUXILIARIES
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	838f19d9-bebf-4a82-9814-b05b4a51f223	UPS
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	f2b5faad-f207-4159-b6e3-e7ce9bf4bad0	CRITICAL_AUXILIARIES
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	19ddf6cd-341e-444b-89c6-3507596d9b25	LIGHTING
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	93f69339-5ca3-4b14-9996-0e20457dc6ec	CRITICAL_POWER_DISTRIBUTION
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	e0f3af38-5abd-4c26-8e38-31f146e71cc6	CRAH
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	724742c7-9f1c-4cd5-a277-1fa4e846ad33	CRAC
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	91a1db48-2220-40ec-8739-8a15035b0241	CRAC_WITHOUT_FAN
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	d43c8ea2-1d6f-46fa-ae3f-b1b05b5849fb	CRAC_FAN
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	7fbdd03f-ce17-4547-b3d1-2e093780667a	CHILLER
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	d48ce56d-affa-4daf-aa3d-87db23a609ca	AIR_COOLED_CHILLER
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	4e8f44ad-5e83-4385-9e03-aaea3de9fa56	COOLING_TOWER
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	afd491ee-af79-4dee-9992-60c16f5aeb65	DRY_COOLER
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	32af27b9-55f9-4e91-97b7-123ed4ac127d	REMOTE_CONDENSER
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	d54c434e-dfb5-4236-991d-2d78f21b362f	CHILLED_WATER_PUMPS
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	51eec5dd-ad40-4261-bb55-beae0c108633	HEAT_REJECTION_PUMPS
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	80203dce-a79e-4bb0-b868-f5fc0d749348	VENTILATION
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	d99b4eeb-7c00-465f-b8a2-2a438d2892f6	INFILTRATION
3bb93bcd-3be6-4f1f-ad3b-9b61dfcb78d1	e0387928-4209-4049-b2a2-2013a8fa6ebc	IT_LOAD
51e432ce-be21-46d5-bcd7-e5010e955ec2	876fa753-a8b1-4f32-8561-1ebae66c17f1	SWITCHGEAR
51e432ce-be21-46d5-bcd7-e5010e955ec2	4a98cb20-3473-4459-8f2c-bcff3cfa4051	GENERATOR
51e432ce-be21-46d5-bcd7-e5010e955ec2	1ef5724e-9775-4f1b-a467-621f87d5e877	PRIMARY_AUXILIARIES
51e432ce-be21-46d5-bcd7-e5010e955ec2	c3ffda71-107a-49f0-9ba6-1a58c8c173af	UPS
51e432ce-be21-46d5-bcd7-e5010e955ec2	30757c8a-e35b-4898-8d0d-8ef79efa16bb	CRITICAL_AUXILIARIES
51e432ce-be21-46d5-bcd7-e5010e955ec2	706adc47-1d7b-4117-8532-fd950e96dde4	LIGHTING
51e432ce-be21-46d5-bcd7-e5010e955ec2	c57f9489-7e2a-4c54-be44-812c2e80dbda	CRITICAL_POWER_DISTRIBUTION
51e432ce-be21-46d5-bcd7-e5010e955ec2	50c05b28-2430-4c8f-84d9-7b85a0a10b5a	CRAH
51e432ce-be21-46d5-bcd7-e5010e955ec2	25e54db3-54a6-42af-ac26-209cf097d50c	CRAC
51e432ce-be21-46d5-bcd7-e5010e955ec2	0ff606c9-4b4b-41e8-b945-81056a7a2ece	CRAC_WITHOUT_FAN
51e432ce-be21-46d5-bcd7-e5010e955ec2	e7fe0bed-f4b0-41a5-9add-5af771feceff	CRAC_FAN
51e432ce-be21-46d5-bcd7-e5010e955ec2	535f1411-1957-42a7-944f-90cc3d233ddf	CHILLER
51e432ce-be21-46d5-bcd7-e5010e955ec2	d9c89f05-af63-463a-98c6-ed751c118dea	AIR_COOLED_CHILLER
51e432ce-be21-46d5-bcd7-e5010e955ec2	0836504f-2946-4eac-9aa4-4171e5c56f94	COOLING_TOWER
51e432ce-be21-46d5-bcd7-e5010e955ec2	6779f1c6-d01b-49b3-a5d2-3bc8295217dd	DRY_COOLER
51e432ce-be21-46d5-bcd7-e5010e955ec2	814f1605-2b26-4eee-81a9-4c6d52c0f01a	REMOTE_CONDENSER
51e432ce-be21-46d5-bcd7-e5010e955ec2	a9202185-bac2-4963-9137-0177dd9ec21f	CHILLED_WATER_PUMPS
51e432ce-be21-46d5-bcd7-e5010e955ec2	e2e69871-f1e0-4856-9669-d2717b25e178	HEAT_REJECTION_PUMPS
51e432ce-be21-46d5-bcd7-e5010e955ec2	25a60882-5646-4d74-a5f7-ff242a33c822	VENTILATION
51e432ce-be21-46d5-bcd7-e5010e955ec2	2ef5b4c9-91b4-4409-9269-568f7e58369e	INFILTRATION
51e432ce-be21-46d5-bcd7-e5010e955ec2	501a4cf1-35d6-420c-a5e6-1f9dd1b671e5	IT_LOAD
3adaf374-78a7-407c-8b9d-9065ec7c2179	94c4dfe4-daff-41d2-b882-193a7fcc71e1	SWITCHGEAR
3adaf374-78a7-407c-8b9d-9065ec7c2179	b104174a-deee-40a6-aeed-a3dee5f8fbd9	GENERATOR
3adaf374-78a7-407c-8b9d-9065ec7c2179	22c90b7c-73dc-494f-9d22-ad237d4ebffd	PRIMARY_AUXILIARIES
3adaf374-78a7-407c-8b9d-9065ec7c2179	791ee1c2-2755-4674-b540-46c7a7803d1f	UPS
3adaf374-78a7-407c-8b9d-9065ec7c2179	13a6cdf3-716a-43e1-9a6d-c79cffc2172e	CRITICAL_AUXILIARIES
3adaf374-78a7-407c-8b9d-9065ec7c2179	ebf09b3f-f99d-4d71-a059-e6945ed1b9b5	LIGHTING
3adaf374-78a7-407c-8b9d-9065ec7c2179	8676c7b7-a661-4185-b842-67b5c61ff3a7	CRITICAL_POWER_DISTRIBUTION
3adaf374-78a7-407c-8b9d-9065ec7c2179	e12edd81-0037-41bd-8817-737349196531	CRAH
3adaf374-78a7-407c-8b9d-9065ec7c2179	b7a6ef1a-ef98-414d-9181-46b0484d151d	CRAC
3adaf374-78a7-407c-8b9d-9065ec7c2179	6cf28f97-d5e9-4d93-a4dd-88568ae57671	CRAC_WITHOUT_FAN
3adaf374-78a7-407c-8b9d-9065ec7c2179	1d3b9dfc-8d85-41e9-b46b-c1dd5dfb3e33	CRAC_FAN
3adaf374-78a7-407c-8b9d-9065ec7c2179	424ff8b5-948b-4b58-8227-d63b18579b7a	CHILLER
3adaf374-78a7-407c-8b9d-9065ec7c2179	74b2c9c7-5a2c-43f1-85d7-4d1ff47a6b7b	AIR_COOLED_CHILLER
3adaf374-78a7-407c-8b9d-9065ec7c2179	1311f3c1-4b76-444e-8bee-844dc7f8ee45	COOLING_TOWER
3adaf374-78a7-407c-8b9d-9065ec7c2179	4b5edd7b-34e2-45a8-9516-eb91116342e9	DRY_COOLER
3adaf374-78a7-407c-8b9d-9065ec7c2179	d18215e1-ebe2-469f-932a-0119b972c09d	REMOTE_CONDENSER
3adaf374-78a7-407c-8b9d-9065ec7c2179	63d4fc6c-5874-4645-8c73-64600f6c923f	CHILLED_WATER_PUMPS
3adaf374-78a7-407c-8b9d-9065ec7c2179	4bb51aa3-c025-4670-8aee-850f07f64ffd	HEAT_REJECTION_PUMPS
3adaf374-78a7-407c-8b9d-9065ec7c2179	5580269e-66d0-44e8-a0eb-02a3f1b8b193	VENTILATION
3adaf374-78a7-407c-8b9d-9065ec7c2179	2dc04e2a-257e-438f-9e4c-9a70897d34a3	INFILTRATION
3adaf374-78a7-407c-8b9d-9065ec7c2179	25b6ed02-cf59-480c-b676-12baeefc5720	IT_LOAD
e6a7b84a-c342-44ff-a104-cb08d48d6d27	c9b8dbb5-a234-41d5-b1f8-014b4ab2884b	SWITCHGEAR
e6a7b84a-c342-44ff-a104-cb08d48d6d27	0156502d-eecf-44cb-8b15-c1c58506720b	GENERATOR
e6a7b84a-c342-44ff-a104-cb08d48d6d27	f4b2b4cc-289c-433c-886c-eeff364bdb67	PRIMARY_AUXILIARIES
e6a7b84a-c342-44ff-a104-cb08d48d6d27	db6c6f18-5fcd-460d-bf22-15d9652953e9	UPS
e6a7b84a-c342-44ff-a104-cb08d48d6d27	ac09820f-d350-403c-8251-ac843adaa426	CRITICAL_AUXILIARIES
e6a7b84a-c342-44ff-a104-cb08d48d6d27	5a3d6bbc-1816-473f-adf3-4ea7eab2cd5e	LIGHTING
e6a7b84a-c342-44ff-a104-cb08d48d6d27	b16598b4-9eb9-49c5-b6d2-da628e0d9fe8	CRITICAL_POWER_DISTRIBUTION
e6a7b84a-c342-44ff-a104-cb08d48d6d27	ddb5f08f-b7e2-4a9d-9fb0-1feb349f32b2	CRAH
e6a7b84a-c342-44ff-a104-cb08d48d6d27	0a24ebcb-348a-4f06-8e5f-035df05816d3	CRAC
e6a7b84a-c342-44ff-a104-cb08d48d6d27	1dc25886-1206-4f93-889a-946aacc9c1d4	CRAC_WITHOUT_FAN
e6a7b84a-c342-44ff-a104-cb08d48d6d27	0eeb8f63-0dd4-45a9-9b6c-a0464de82b41	CRAC_FAN
e6a7b84a-c342-44ff-a104-cb08d48d6d27	af8dc2bc-f531-4088-a060-b6043b36dd3f	CHILLER
e6a7b84a-c342-44ff-a104-cb08d48d6d27	31f86c54-2688-4d25-8fee-44c117040ba6	AIR_COOLED_CHILLER
e6a7b84a-c342-44ff-a104-cb08d48d6d27	e92897c8-4362-46e2-9a03-402f12d02048	COOLING_TOWER
e6a7b84a-c342-44ff-a104-cb08d48d6d27	f289e2b8-25ee-484f-a6d6-4156792226f2	DRY_COOLER
e6a7b84a-c342-44ff-a104-cb08d48d6d27	50284641-d18e-449f-905b-44b90c977bdb	REMOTE_CONDENSER
e6a7b84a-c342-44ff-a104-cb08d48d6d27	d0f42cb1-cb24-4b3b-bf73-9b422023d8a2	CHILLED_WATER_PUMPS
e6a7b84a-c342-44ff-a104-cb08d48d6d27	ba573e1b-d49c-4397-85c1-a7cf762e11c6	HEAT_REJECTION_PUMPS
e6a7b84a-c342-44ff-a104-cb08d48d6d27	7339ea16-7f65-4024-a68e-9800062e2b82	VENTILATION
e6a7b84a-c342-44ff-a104-cb08d48d6d27	ea51bebc-744d-4165-9cf0-d1b4ecf883b1	INFILTRATION
e6a7b84a-c342-44ff-a104-cb08d48d6d27	03328491-5729-401c-890b-bcc0172cf53d	IT_LOAD
42d7fa08-f443-48cb-aed2-4bd524acd518	234fe01a-f9b7-44d5-8988-30dcd84f4f1c	SWITCHGEAR
42d7fa08-f443-48cb-aed2-4bd524acd518	4ea56d29-770a-4ff3-90c3-04addd77e473	GENERATOR
42d7fa08-f443-48cb-aed2-4bd524acd518	935ce805-c9de-4670-bc54-ca1eb1dcf168	PRIMARY_AUXILIARIES
42d7fa08-f443-48cb-aed2-4bd524acd518	812afc7e-b5fb-4ae9-b39f-8ae24460eaf7	UPS
42d7fa08-f443-48cb-aed2-4bd524acd518	2b778977-4cb3-4051-9adf-115642d2aa34	CRITICAL_AUXILIARIES
42d7fa08-f443-48cb-aed2-4bd524acd518	42a7f0b2-a3fe-4b04-b4da-ded8ca031c5d	LIGHTING
42d7fa08-f443-48cb-aed2-4bd524acd518	946843a9-b106-401d-844e-db1f9e212440	CRITICAL_POWER_DISTRIBUTION
42d7fa08-f443-48cb-aed2-4bd524acd518	70647c25-c58e-460b-8a02-b8cd03b2c014	CRAH
42d7fa08-f443-48cb-aed2-4bd524acd518	8524c6ee-bba9-4c94-96ae-09e0fd72f8cd	CRAC
42d7fa08-f443-48cb-aed2-4bd524acd518	3e4787af-c488-48a7-8bfc-8d21fc02bf65	CRAC_WITHOUT_FAN
42d7fa08-f443-48cb-aed2-4bd524acd518	3d717b98-f794-4aa5-bddc-4e82a830e93c	CRAC_FAN
42d7fa08-f443-48cb-aed2-4bd524acd518	c3cd76b1-f2c1-410f-9e57-fa405a5dfab0	CHILLER
42d7fa08-f443-48cb-aed2-4bd524acd518	34d4b429-65b2-4636-a901-e78eab5183ac	AIR_COOLED_CHILLER
42d7fa08-f443-48cb-aed2-4bd524acd518	4172654f-db11-4ffa-b0bb-7dac8842cdf7	COOLING_TOWER
42d7fa08-f443-48cb-aed2-4bd524acd518	c169d862-a250-4281-9ca3-9d9a506c9b11	DRY_COOLER
42d7fa08-f443-48cb-aed2-4bd524acd518	3319b492-5c56-4029-9e7b-a55c1fa360b5	REMOTE_CONDENSER
42d7fa08-f443-48cb-aed2-4bd524acd518	64f0bbb9-38c0-4269-9a0f-92d72670f6e7	CHILLED_WATER_PUMPS
42d7fa08-f443-48cb-aed2-4bd524acd518	98e9a870-8526-42ac-805f-0b4d6ca73579	HEAT_REJECTION_PUMPS
42d7fa08-f443-48cb-aed2-4bd524acd518	9051ca29-b11e-465e-b73b-b53d748c2a08	VENTILATION
42d7fa08-f443-48cb-aed2-4bd524acd518	09fb394d-1050-4bcd-9329-a02a6160088f	INFILTRATION
42d7fa08-f443-48cb-aed2-4bd524acd518	71fb09a3-6955-4dff-a71c-d0b352ecd91d	IT_LOAD
a890c4a1-7c34-426d-ace9-d56da591101e	d0623b95-f8f0-471b-b68c-8a4efe9dd23e	SWITCHGEAR
a890c4a1-7c34-426d-ace9-d56da591101e	d2fe269b-3563-4eaa-810b-d54c45b39d25	GENERATOR
a890c4a1-7c34-426d-ace9-d56da591101e	7954ec6f-cbc6-483b-bf86-9a02ae562b8e	PRIMARY_AUXILIARIES
a890c4a1-7c34-426d-ace9-d56da591101e	8c83d674-24d4-4658-91a1-b10a24ed2a8b	UPS
a890c4a1-7c34-426d-ace9-d56da591101e	46e94159-5ded-482f-b306-171ab6a65e90	CRITICAL_AUXILIARIES
a890c4a1-7c34-426d-ace9-d56da591101e	8134c8e4-974f-4c67-944f-ec3d9c794e2b	LIGHTING
a890c4a1-7c34-426d-ace9-d56da591101e	480d925f-2fe1-4296-8e66-ea0f7c283eb0	CRITICAL_POWER_DISTRIBUTION
a890c4a1-7c34-426d-ace9-d56da591101e	d892d21e-f2f1-4215-b9c2-39fe8064f6f4	CRAH
a890c4a1-7c34-426d-ace9-d56da591101e	fe60817f-4e06-4a3d-aae2-8db011d613f2	CRAC
a890c4a1-7c34-426d-ace9-d56da591101e	706c58fc-8d00-4e9d-9106-971ff9ad9c3a	CRAC_WITHOUT_FAN
a890c4a1-7c34-426d-ace9-d56da591101e	1263b445-939d-4dec-950c-ec7884d5bbe3	CRAC_FAN
a890c4a1-7c34-426d-ace9-d56da591101e	45138ee7-9f3c-4af4-aa3a-0c3f29cfbec4	CHILLER
a890c4a1-7c34-426d-ace9-d56da591101e	cc959415-4874-4234-be59-a13d1aceb575	AIR_COOLED_CHILLER
a890c4a1-7c34-426d-ace9-d56da591101e	55ca2516-9ad0-454d-9ad3-66b4d80b8aed	COOLING_TOWER
a890c4a1-7c34-426d-ace9-d56da591101e	22ec80ba-92bc-4913-bf67-f3c4bd91de18	DRY_COOLER
a890c4a1-7c34-426d-ace9-d56da591101e	62d84997-f786-4016-93f8-50d818bc23db	REMOTE_CONDENSER
a890c4a1-7c34-426d-ace9-d56da591101e	19589250-18fb-4628-9e73-69e15a588684	CHILLED_WATER_PUMPS
a890c4a1-7c34-426d-ace9-d56da591101e	76dfb695-2489-4f5c-8d64-28d20e238b42	HEAT_REJECTION_PUMPS
a890c4a1-7c34-426d-ace9-d56da591101e	3306475f-6ae0-4288-8a1b-093ad4119459	VENTILATION
a890c4a1-7c34-426d-ace9-d56da591101e	f3e98cd8-11c9-49ae-ade7-1149ee5b8390	INFILTRATION
a890c4a1-7c34-426d-ace9-d56da591101e	ac435740-4da5-48e9-aa69-fe1f659774c8	IT_LOAD
2e6b9de9-0141-4a6f-a422-ef971aef563a	c751b13c-0d53-41a5-b322-b64bac312b3a	SWITCHGEAR
2e6b9de9-0141-4a6f-a422-ef971aef563a	2cbd22e6-a55d-4614-9288-966a07107e05	GENERATOR
2e6b9de9-0141-4a6f-a422-ef971aef563a	7c754514-cd1a-442d-913e-3760327e0afa	PRIMARY_AUXILIARIES
2e6b9de9-0141-4a6f-a422-ef971aef563a	834084ea-67e4-4b10-964a-c4dd72dea588	UPS
2e6b9de9-0141-4a6f-a422-ef971aef563a	dceded57-9431-495e-ac26-2cc67a02a4fc	CRITICAL_AUXILIARIES
2e6b9de9-0141-4a6f-a422-ef971aef563a	1f861e3e-2bb3-483b-a4f0-b5e582021e4c	LIGHTING
2e6b9de9-0141-4a6f-a422-ef971aef563a	d906b54d-06d5-4af0-b5f5-68a539141be0	CRITICAL_POWER_DISTRIBUTION
2e6b9de9-0141-4a6f-a422-ef971aef563a	b528ab9c-88c4-451e-8721-0e6bc61ec697	CRAH
2e6b9de9-0141-4a6f-a422-ef971aef563a	49477eac-cc9f-485b-96b9-c0d3bef3a3d4	CRAC
2e6b9de9-0141-4a6f-a422-ef971aef563a	937da8a5-7954-4ca4-97cf-f5c1c5fe9fcd	CRAC_WITHOUT_FAN
2e6b9de9-0141-4a6f-a422-ef971aef563a	bbb6c2fc-f7bd-455c-bef8-b7bad37f2bcf	CRAC_FAN
2e6b9de9-0141-4a6f-a422-ef971aef563a	e5172a01-f961-4efd-83e7-18c5e352b603	CHILLER
2e6b9de9-0141-4a6f-a422-ef971aef563a	4c97d2c1-a1c5-4e02-9a74-7a85830c465b	AIR_COOLED_CHILLER
2e6b9de9-0141-4a6f-a422-ef971aef563a	2d998a52-191e-4b76-a1ff-03fdb7e24da5	COOLING_TOWER
2e6b9de9-0141-4a6f-a422-ef971aef563a	aa9c79ac-a47e-4963-91c5-76b999b57481	DRY_COOLER
2e6b9de9-0141-4a6f-a422-ef971aef563a	e497525e-c018-4a72-9dde-9049c356b885	REMOTE_CONDENSER
2e6b9de9-0141-4a6f-a422-ef971aef563a	be17d1ec-5a3e-4244-83fa-57cc6737e35a	CHILLED_WATER_PUMPS
2e6b9de9-0141-4a6f-a422-ef971aef563a	d9bb5300-e1b6-40c8-afad-c10578765713	HEAT_REJECTION_PUMPS
2e6b9de9-0141-4a6f-a422-ef971aef563a	bcafe749-79f1-4170-891e-ea5e40f9a7b5	VENTILATION
2e6b9de9-0141-4a6f-a422-ef971aef563a	582f4fec-9cb9-48cd-8ab8-83ccfe701dac	INFILTRATION
2e6b9de9-0141-4a6f-a422-ef971aef563a	70d6dff7-ac20-4a17-a6f3-b43f27b6ccab	IT_LOAD
a6280926-af9c-47dd-ae55-349f777bfcbd	e09d1b80-62ff-4e10-bfdd-4e0642570896	SWITCHGEAR
a6280926-af9c-47dd-ae55-349f777bfcbd	9b9159c9-b3c6-4f7e-9550-ccc1595dfe25	GENERATOR
a6280926-af9c-47dd-ae55-349f777bfcbd	32f669c6-1d4f-4112-8568-c480fdb9405a	PRIMARY_AUXILIARIES
a6280926-af9c-47dd-ae55-349f777bfcbd	681f0fa3-b77f-4de5-90c4-fe5d430a3f02	UPS
a6280926-af9c-47dd-ae55-349f777bfcbd	911bb01a-09e7-499a-8784-21320ef1f3d7	CRITICAL_AUXILIARIES
a6280926-af9c-47dd-ae55-349f777bfcbd	8e0f1cfd-b629-4041-9b60-44618f5d4e5b	LIGHTING
a6280926-af9c-47dd-ae55-349f777bfcbd	c63a6c68-670f-4590-a698-151f7e0cb6d9	CRITICAL_POWER_DISTRIBUTION
a6280926-af9c-47dd-ae55-349f777bfcbd	14744b07-d6fa-4079-97e1-839fc98fd4ee	CRAH
a6280926-af9c-47dd-ae55-349f777bfcbd	bc055993-5e7e-4a25-bc4e-ced597539a93	CRAC
a6280926-af9c-47dd-ae55-349f777bfcbd	dc44cf61-8ba5-48cf-8caa-faf977237d15	CRAC_WITHOUT_FAN
a6280926-af9c-47dd-ae55-349f777bfcbd	61f47255-7ee2-48e7-abce-b80bd12e0865	CRAC_FAN
a6280926-af9c-47dd-ae55-349f777bfcbd	48ad98b7-80d6-4908-910b-2a6db8a07bf0	CHILLER
a6280926-af9c-47dd-ae55-349f777bfcbd	e0784dfb-ae9a-423d-a3e4-507414ada6d6	AIR_COOLED_CHILLER
a6280926-af9c-47dd-ae55-349f777bfcbd	deff2bd2-a02b-47ca-884f-f933d8665d9e	COOLING_TOWER
a6280926-af9c-47dd-ae55-349f777bfcbd	51e03163-7472-4c19-b652-ba0fefaa0da2	DRY_COOLER
a6280926-af9c-47dd-ae55-349f777bfcbd	d1dfe10b-fec8-4a96-b80a-9b97618e80e4	REMOTE_CONDENSER
a6280926-af9c-47dd-ae55-349f777bfcbd	0cac757c-74b2-45e7-bf4a-7e88d7bda504	CHILLED_WATER_PUMPS
a6280926-af9c-47dd-ae55-349f777bfcbd	c215fd2b-c8b0-439b-9892-814649fe02b7	HEAT_REJECTION_PUMPS
a6280926-af9c-47dd-ae55-349f777bfcbd	6947f082-45da-434e-8103-5ab875a5a8fb	VENTILATION
a6280926-af9c-47dd-ae55-349f777bfcbd	b89d5d94-9c66-4c91-8b1f-bc5aa8de5135	INFILTRATION
a6280926-af9c-47dd-ae55-349f777bfcbd	e7bd79dc-3b54-4fde-8211-6861d0d80219	IT_LOAD
4f7eb960-c792-4ab6-b1c1-85221c139fc0	8112d07d-7ff8-410a-bad5-a2364dab9ddd	SWITCHGEAR
4f7eb960-c792-4ab6-b1c1-85221c139fc0	794ec923-469b-4b3d-ab2a-d1322b8d1b26	GENERATOR
4f7eb960-c792-4ab6-b1c1-85221c139fc0	5a81d68b-de01-45aa-a3bd-ddb5c729670b	PRIMARY_AUXILIARIES
4f7eb960-c792-4ab6-b1c1-85221c139fc0	3d367f3a-73be-41ba-a7e9-7ed4a3f9b1e3	UPS
4f7eb960-c792-4ab6-b1c1-85221c139fc0	bf759424-f962-49cd-80bd-1d8c6411b094	CRITICAL_AUXILIARIES
4f7eb960-c792-4ab6-b1c1-85221c139fc0	df4d0ba2-eb53-4f14-a1d0-29c5aaa8cb29	LIGHTING
4f7eb960-c792-4ab6-b1c1-85221c139fc0	14d26ad0-6d07-464e-a75f-588dec8a7eb4	CRITICAL_POWER_DISTRIBUTION
4f7eb960-c792-4ab6-b1c1-85221c139fc0	cecb1f17-b51f-4007-8641-201b649d7096	CRAH
4f7eb960-c792-4ab6-b1c1-85221c139fc0	cc8f65d3-167e-435f-b518-75e9675b0a3a	CRAC
4f7eb960-c792-4ab6-b1c1-85221c139fc0	e346cbbc-8d7b-404c-8314-65476e18c256	CRAC_WITHOUT_FAN
4f7eb960-c792-4ab6-b1c1-85221c139fc0	730629c4-d499-4e58-b5d1-87d78f45ec92	CRAC_FAN
4f7eb960-c792-4ab6-b1c1-85221c139fc0	94348621-9102-4bf1-bbbe-58cb5ac4e4d6	CHILLER
4f7eb960-c792-4ab6-b1c1-85221c139fc0	0a4636ca-bdba-409d-bbc6-673dd3426373	AIR_COOLED_CHILLER
4f7eb960-c792-4ab6-b1c1-85221c139fc0	e24f7fe9-806e-4abf-aa5e-f70a13def256	COOLING_TOWER
4f7eb960-c792-4ab6-b1c1-85221c139fc0	c1ae3656-fdb2-4ce0-8e4b-9ce34bf92afb	DRY_COOLER
4f7eb960-c792-4ab6-b1c1-85221c139fc0	c6b163f6-2279-4010-9edc-79e033627e75	REMOTE_CONDENSER
4f7eb960-c792-4ab6-b1c1-85221c139fc0	70931ad1-cab6-459a-8fd5-6d1117e08dcb	CHILLED_WATER_PUMPS
4f7eb960-c792-4ab6-b1c1-85221c139fc0	6d81daeb-e130-4c2b-9ca5-a42fa5264b2d	HEAT_REJECTION_PUMPS
4f7eb960-c792-4ab6-b1c1-85221c139fc0	f36f55a3-81e6-4181-a604-7fbc57a25953	VENTILATION
4f7eb960-c792-4ab6-b1c1-85221c139fc0	39330d90-b92a-413d-8113-28de5ab6cff7	INFILTRATION
4f7eb960-c792-4ab6-b1c1-85221c139fc0	35238f76-40d8-4dae-ba3a-a6a381cf366a	IT_LOAD
9bffb6d3-5ec7-4bf1-8dde-f16542030016	22fc398a-0590-446e-82cd-7f57d8796809	SWITCHGEAR
9bffb6d3-5ec7-4bf1-8dde-f16542030016	7580b530-bd3c-443c-9cdf-ef18ed9a3707	GENERATOR
9bffb6d3-5ec7-4bf1-8dde-f16542030016	2a5cca6a-3cbd-4d23-b6ee-ccd2356e3db1	PRIMARY_AUXILIARIES
9bffb6d3-5ec7-4bf1-8dde-f16542030016	a613d64c-9d7f-4c95-ac5f-81114ae55dff	UPS
9bffb6d3-5ec7-4bf1-8dde-f16542030016	127de9ec-81b1-43e5-bf48-61ad63d480a3	CRITICAL_AUXILIARIES
9bffb6d3-5ec7-4bf1-8dde-f16542030016	8889cfa0-6094-411b-b20b-08f7943b3bcf	LIGHTING
9bffb6d3-5ec7-4bf1-8dde-f16542030016	72952406-ad5f-4a21-b45b-f336bc80a2d2	CRITICAL_POWER_DISTRIBUTION
9bffb6d3-5ec7-4bf1-8dde-f16542030016	59f5b9be-cf93-4ac7-818e-6da8b6ce716f	CRAH
9bffb6d3-5ec7-4bf1-8dde-f16542030016	3e4512cc-4200-4085-a1b0-475111b75f15	CRAC
9bffb6d3-5ec7-4bf1-8dde-f16542030016	1771155c-0ce3-41ce-b78a-a19829851341	CRAC_WITHOUT_FAN
9bffb6d3-5ec7-4bf1-8dde-f16542030016	9729a2c0-8ca5-467e-894f-607c8e90b285	CRAC_FAN
9bffb6d3-5ec7-4bf1-8dde-f16542030016	2994f286-5afe-441c-8740-868003f0b85b	CHILLER
9bffb6d3-5ec7-4bf1-8dde-f16542030016	3e4827b9-9f94-450a-a49c-ce185a1eaf7f	AIR_COOLED_CHILLER
9bffb6d3-5ec7-4bf1-8dde-f16542030016	38d17dc0-6340-41c2-9966-da232553428f	COOLING_TOWER
9bffb6d3-5ec7-4bf1-8dde-f16542030016	5d370afb-8d67-40aa-b3de-b7168bfcb9b4	DRY_COOLER
9bffb6d3-5ec7-4bf1-8dde-f16542030016	809a1b43-9fc0-4f21-9904-8173548077c8	REMOTE_CONDENSER
9bffb6d3-5ec7-4bf1-8dde-f16542030016	ab71e04e-6ea8-4add-aede-5def27fc677d	CHILLED_WATER_PUMPS
9bffb6d3-5ec7-4bf1-8dde-f16542030016	d84fb2a3-4de5-4e4a-9ae7-fd78bfb0c9e1	HEAT_REJECTION_PUMPS
9bffb6d3-5ec7-4bf1-8dde-f16542030016	374be20e-eee5-4c16-ba9d-cdeb3b69dc0a	VENTILATION
9bffb6d3-5ec7-4bf1-8dde-f16542030016	efa48ed3-5fc5-4eee-ac5b-52ceb85343da	INFILTRATION
9bffb6d3-5ec7-4bf1-8dde-f16542030016	499d17d4-4992-41c4-a201-110fb43faa56	IT_LOAD
a9229b83-76e0-475c-af1f-a29504a831cb	67cac682-9783-4bed-a381-214933e661bb	SWITCHGEAR
a9229b83-76e0-475c-af1f-a29504a831cb	374dedd9-f2ea-4836-98e8-7d6e35e9c0ab	GENERATOR
a9229b83-76e0-475c-af1f-a29504a831cb	e3cc9b2d-00f6-4086-ae9c-6556710e8863	PRIMARY_AUXILIARIES
a9229b83-76e0-475c-af1f-a29504a831cb	af99a3ee-7273-42e3-9a77-2b6d711fb56d	UPS
a9229b83-76e0-475c-af1f-a29504a831cb	4a71f564-da22-4d06-bed1-2f1ccbcd6cb9	CRITICAL_AUXILIARIES
a9229b83-76e0-475c-af1f-a29504a831cb	66d5edef-0b2d-4383-979a-cc8865c70998	LIGHTING
a9229b83-76e0-475c-af1f-a29504a831cb	d40a3891-bd61-4ae4-9a94-41994d9f4483	CRITICAL_POWER_DISTRIBUTION
a9229b83-76e0-475c-af1f-a29504a831cb	fcd7a84d-877a-4be9-af03-30828f9e40f9	CRAH
a9229b83-76e0-475c-af1f-a29504a831cb	5158c434-faf0-4af8-96fe-f62123d4c98a	CRAC
a9229b83-76e0-475c-af1f-a29504a831cb	408b59c4-5c00-4a57-916b-455cf63d584d	CRAC_WITHOUT_FAN
a9229b83-76e0-475c-af1f-a29504a831cb	bede4bb6-d787-4ef5-b1df-1486f402dc3b	CRAC_FAN
a9229b83-76e0-475c-af1f-a29504a831cb	1caf8e0b-d6e8-4dd0-abaf-cd6e3d503e8c	CHILLER
a9229b83-76e0-475c-af1f-a29504a831cb	7fa5edce-121e-46c1-a28e-987dc15fe0aa	AIR_COOLED_CHILLER
a9229b83-76e0-475c-af1f-a29504a831cb	9cbcda5d-9f3c-4d8a-a849-1f2fdd2282e0	COOLING_TOWER
a9229b83-76e0-475c-af1f-a29504a831cb	361963d5-d663-47a8-92dd-875e6e84aa61	DRY_COOLER
a9229b83-76e0-475c-af1f-a29504a831cb	7218cd77-f9f5-4068-85de-a2826b8054b6	REMOTE_CONDENSER
a9229b83-76e0-475c-af1f-a29504a831cb	8a62b7f1-d411-4a1a-94bb-f6a4a0c52c03	CHILLED_WATER_PUMPS
a9229b83-76e0-475c-af1f-a29504a831cb	ff12b039-254b-485c-b789-2bdb67ef900d	HEAT_REJECTION_PUMPS
a9229b83-76e0-475c-af1f-a29504a831cb	3fa5c3e5-f88c-4a80-8201-24754a557be8	VENTILATION
a9229b83-76e0-475c-af1f-a29504a831cb	32261b95-4e1c-41c2-be55-87b869580d6c	INFILTRATION
a9229b83-76e0-475c-af1f-a29504a831cb	4f8f6e20-c0c7-49e2-b938-307c9d8dea48	IT_LOAD
e9cd8d8f-269d-4196-aec4-65504173808f	de43ba19-0b0b-4056-8a76-c4405eeec6ed	SWITCHGEAR
e9cd8d8f-269d-4196-aec4-65504173808f	3c85b6d6-381e-4fb8-bc3f-23167eb75362	GENERATOR
e9cd8d8f-269d-4196-aec4-65504173808f	89da4a93-f8eb-4d33-96c9-d8bdb6b8b747	PRIMARY_AUXILIARIES
e9cd8d8f-269d-4196-aec4-65504173808f	26b21cd1-f289-4284-a5bb-96b00d33fb09	UPS
e9cd8d8f-269d-4196-aec4-65504173808f	ab95e285-3faf-4ee1-9ab1-5521024670a5	CRITICAL_AUXILIARIES
e9cd8d8f-269d-4196-aec4-65504173808f	e9ede48b-a73d-4fa4-b955-a33e403b1b3e	LIGHTING
e9cd8d8f-269d-4196-aec4-65504173808f	06d445cc-3d24-4313-b625-0078f81501cd	CRITICAL_POWER_DISTRIBUTION
e9cd8d8f-269d-4196-aec4-65504173808f	2ba9417a-8e0f-4fa3-a363-a2496a78fabd	CRAH
e9cd8d8f-269d-4196-aec4-65504173808f	abeffb8b-6abf-4aeb-869a-987d1cec631e	CRAC
e9cd8d8f-269d-4196-aec4-65504173808f	12ec21d4-a2fd-4d81-ab81-15fcec3b95ba	CRAC_WITHOUT_FAN
e9cd8d8f-269d-4196-aec4-65504173808f	db8fd2e7-1a11-4ed6-af9e-f440a4ff18d1	CRAC_FAN
e9cd8d8f-269d-4196-aec4-65504173808f	d5eefa96-e8e2-4e85-9cb4-7aa961731eea	CHILLER
e9cd8d8f-269d-4196-aec4-65504173808f	8de104ec-8263-469e-a13d-a9f0e75f0197	AIR_COOLED_CHILLER
e9cd8d8f-269d-4196-aec4-65504173808f	74778735-c215-4f99-be30-c364bb052727	COOLING_TOWER
e9cd8d8f-269d-4196-aec4-65504173808f	b041ba87-f8d3-4273-b0c4-4e7bdb13192f	DRY_COOLER
e9cd8d8f-269d-4196-aec4-65504173808f	7a38d561-04a1-4bf3-b4b3-c1f0ef84e2d9	REMOTE_CONDENSER
e9cd8d8f-269d-4196-aec4-65504173808f	9cb990b2-185b-41fe-ad2c-b92302348855	CHILLED_WATER_PUMPS
e9cd8d8f-269d-4196-aec4-65504173808f	a235d013-fd3c-4c01-bfdf-26070d3d5e42	HEAT_REJECTION_PUMPS
e9cd8d8f-269d-4196-aec4-65504173808f	f64b4eaf-7d9e-4cea-a103-7efd7bcb547d	VENTILATION
e9cd8d8f-269d-4196-aec4-65504173808f	491b34ec-0676-4c16-8a5e-d74d38708557	INFILTRATION
e9cd8d8f-269d-4196-aec4-65504173808f	46e26037-246f-4357-9591-d4e8f13f0479	IT_LOAD
374e1e97-23b0-42c5-ad71-a8381457a8e9	3b6ab5cf-219d-4985-8ad6-753ae1a75127	SWITCHGEAR
374e1e97-23b0-42c5-ad71-a8381457a8e9	00f856f4-e968-47cd-957d-f699a2207c09	GENERATOR
374e1e97-23b0-42c5-ad71-a8381457a8e9	6af2014f-87ca-4ba5-9665-afe7e6f24ff9	PRIMARY_AUXILIARIES
374e1e97-23b0-42c5-ad71-a8381457a8e9	740a29bd-e551-4ced-8dc8-29c4f47200e3	UPS
374e1e97-23b0-42c5-ad71-a8381457a8e9	43b6e997-9e2e-4132-8571-e0c52d63f627	CRITICAL_AUXILIARIES
374e1e97-23b0-42c5-ad71-a8381457a8e9	a043340b-f9e4-4557-8328-cc7bfbf0f9cc	LIGHTING
374e1e97-23b0-42c5-ad71-a8381457a8e9	e55cf264-ccb9-4f50-bcd5-78ab2746f997	CRITICAL_POWER_DISTRIBUTION
374e1e97-23b0-42c5-ad71-a8381457a8e9	b608e35c-92e8-4f58-88bc-b75d7450116a	CRAH
374e1e97-23b0-42c5-ad71-a8381457a8e9	c7419310-ffb3-43b3-b2cd-d245f398cfd5	CRAC
374e1e97-23b0-42c5-ad71-a8381457a8e9	47dcdd9d-4f41-4cc2-8759-d58735d5a1f8	CRAC_WITHOUT_FAN
374e1e97-23b0-42c5-ad71-a8381457a8e9	efcd590b-9f1e-4a0d-9057-45aca7b87ab9	CRAC_FAN
374e1e97-23b0-42c5-ad71-a8381457a8e9	ffb43604-926a-4ada-a8eb-f232ad5105db	CHILLER
374e1e97-23b0-42c5-ad71-a8381457a8e9	9af19430-daad-4df4-a7b8-c2a2f906529f	AIR_COOLED_CHILLER
374e1e97-23b0-42c5-ad71-a8381457a8e9	5bf02238-ed97-4ebc-8afc-9b39fac19c96	COOLING_TOWER
374e1e97-23b0-42c5-ad71-a8381457a8e9	9e073d9f-01aa-4dad-b01b-a17ea955e7d6	DRY_COOLER
374e1e97-23b0-42c5-ad71-a8381457a8e9	48a21834-e78f-48e8-b2e1-00fa5a02a3fc	REMOTE_CONDENSER
374e1e97-23b0-42c5-ad71-a8381457a8e9	3e30cdd3-41d4-4728-bfbd-8d9b3941103d	CHILLED_WATER_PUMPS
374e1e97-23b0-42c5-ad71-a8381457a8e9	0728065d-bc95-4242-ab37-fa1b40e8ec09	HEAT_REJECTION_PUMPS
374e1e97-23b0-42c5-ad71-a8381457a8e9	565b1b00-112b-4399-88d5-54f910e8c98a	VENTILATION
374e1e97-23b0-42c5-ad71-a8381457a8e9	6f215ace-9255-470d-839b-6cd4b20b2c1f	INFILTRATION
374e1e97-23b0-42c5-ad71-a8381457a8e9	a030967e-cf10-496f-a723-d01eea277447	IT_LOAD
96cc37e7-34ba-4d30-b526-0c4e6852be03	3915cbd7-b143-4e3b-9d63-1da819f839a6	SWITCHGEAR
96cc37e7-34ba-4d30-b526-0c4e6852be03	324e6c0e-6521-40ed-88bc-220b0b5b65ab	GENERATOR
96cc37e7-34ba-4d30-b526-0c4e6852be03	610462b1-75fc-4ed3-931c-2471f2fe32e5	PRIMARY_AUXILIARIES
96cc37e7-34ba-4d30-b526-0c4e6852be03	f69ee494-8c40-4009-ad8e-8e0fe280cbc2	UPS
96cc37e7-34ba-4d30-b526-0c4e6852be03	ccfc3020-49d5-45e2-a49d-3efae7445cb2	CRITICAL_AUXILIARIES
96cc37e7-34ba-4d30-b526-0c4e6852be03	6b41d96b-da34-4038-9d8d-cfbf58bef8b0	LIGHTING
96cc37e7-34ba-4d30-b526-0c4e6852be03	bacf339e-20f1-40a7-8dbe-eb88fccb6f1d	CRITICAL_POWER_DISTRIBUTION
96cc37e7-34ba-4d30-b526-0c4e6852be03	405d0b0a-d536-4a34-b666-b174175c3899	CRAH
96cc37e7-34ba-4d30-b526-0c4e6852be03	4280afee-f42d-4c10-b2fd-cf50b6206f34	CRAC
96cc37e7-34ba-4d30-b526-0c4e6852be03	54e01ec5-3405-4121-a254-9806266486b2	CRAC_WITHOUT_FAN
96cc37e7-34ba-4d30-b526-0c4e6852be03	ee751e71-46ae-4a2d-b0ee-ab721d0decf7	CRAC_FAN
96cc37e7-34ba-4d30-b526-0c4e6852be03	9f73c63b-e84c-42c1-8602-d15fbfb4bcc2	CHILLER
96cc37e7-34ba-4d30-b526-0c4e6852be03	957352ba-63d5-4975-8eac-1a6fe0810bbc	AIR_COOLED_CHILLER
96cc37e7-34ba-4d30-b526-0c4e6852be03	d21c55df-c32a-4670-b2c0-49a7decbbc13	COOLING_TOWER
96cc37e7-34ba-4d30-b526-0c4e6852be03	e2698389-d593-4d34-8c34-49d1bcb22b15	DRY_COOLER
96cc37e7-34ba-4d30-b526-0c4e6852be03	1178ef57-b067-44ad-8c11-37b715141492	REMOTE_CONDENSER
96cc37e7-34ba-4d30-b526-0c4e6852be03	5aa0e275-ef24-4577-a279-25246bfe5c28	CHILLED_WATER_PUMPS
96cc37e7-34ba-4d30-b526-0c4e6852be03	aa1b2df6-e398-4333-9433-ab6f6ad5ca5b	HEAT_REJECTION_PUMPS
96cc37e7-34ba-4d30-b526-0c4e6852be03	f116aede-202b-4f11-a2f8-928b51c1b105	VENTILATION
96cc37e7-34ba-4d30-b526-0c4e6852be03	e4d8ff78-f1cc-4ab5-bb79-dac3b8fd0644	INFILTRATION
96cc37e7-34ba-4d30-b526-0c4e6852be03	e1fc6734-1c7b-4983-97df-ccf59acf2fc4	IT_LOAD
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	2f7b49ce-740e-48d7-a7f9-250bf3f88587	SWITCHGEAR
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	862a8d1f-f134-44b3-8138-ab59b0db7e3a	GENERATOR
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	2b0bfd02-58cb-482f-b8b0-ef5ffc0a80f0	PRIMARY_AUXILIARIES
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	261c64ef-9ead-42c7-8757-2ede5107f730	UPS
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	ef13cdcb-639c-471d-8154-f49c320e4393	CRITICAL_AUXILIARIES
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	09a3b5ac-34b9-4bb8-8dfe-64cbbfdb56e5	LIGHTING
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	7a41a27f-13e6-42bb-b9ae-ac306c070f06	CRITICAL_POWER_DISTRIBUTION
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	3daa4230-67c2-4e0d-8ee5-1971517e1c65	CRAH
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	4553dc24-31b2-41d9-a324-60c962a11570	CRAC
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	2ae7e786-ac24-4f23-8651-10bcaaca8a76	CRAC_WITHOUT_FAN
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	40595132-3483-4d6b-bb50-34b83d8f6eb9	CRAC_FAN
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	e9897133-110f-40f4-86b1-9dd494b9ed2d	CHILLER
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	c9700857-8d40-4034-9023-2a82924eff84	AIR_COOLED_CHILLER
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	2c8a87de-e353-44fa-9aa1-037c8de7737f	COOLING_TOWER
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	58a76e19-e1ae-4128-a87c-fd3e6870b627	DRY_COOLER
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	a76f1acd-2ef8-4e40-977f-894d6fdf0066	REMOTE_CONDENSER
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	f601cbbd-d089-4041-a78f-6f86fd8f1d12	CHILLED_WATER_PUMPS
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	f0614031-a025-4637-8613-e5c14dda2270	HEAT_REJECTION_PUMPS
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	c382085b-4e72-45a7-93b8-69be4bfa22cd	VENTILATION
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	edcd72d2-1b2c-4c07-b2ec-75afa9241525	INFILTRATION
155896a0-3fa8-4daa-9a7f-b0c11535eb5f	c80b66fa-22a9-4eb2-bf43-95ec0715bd28	IT_LOAD
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	fb8f0bc1-fbe7-4d17-b850-48e633958e84	SWITCHGEAR
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	f3917765-acba-4a17-ab82-b064c495a700	GENERATOR
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	84750f68-c43e-4c08-80e8-fa9d30d03e38	PRIMARY_AUXILIARIES
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	9e4a9398-df77-46c0-a168-a8453736aa9f	UPS
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	229cd25a-e4af-48b0-befa-db38caec22db	CRITICAL_AUXILIARIES
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	e2ec4b7d-bfe4-4a76-9ccf-7e9ef037bace	LIGHTING
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	5db1778e-f9b2-4170-989b-532b996d61f6	CRITICAL_POWER_DISTRIBUTION
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	37f9a7f1-d11f-4fc4-a8fd-50925f0cc36b	CRAH
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	d2d28efd-9460-4fc1-b57e-41bb757bc7e7	CRAC
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	ff1fbefe-52b6-40cf-8bdf-c5073a6ec8e5	CRAC_WITHOUT_FAN
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	c70a5519-3712-43f7-970a-8d0ca315b753	CRAC_FAN
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	6e82a151-3585-4ae6-b1bb-1f5964643d50	CHILLER
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	49581050-c85c-4e90-afba-0fc6f9eca38a	AIR_COOLED_CHILLER
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	df03d01a-e841-455c-9e33-9603c2bd77dd	COOLING_TOWER
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	5825da6f-dfd4-4545-8ad7-8d7e28cd4b6b	DRY_COOLER
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	c2bd7d79-8df9-409f-a1f7-11da431a187f	REMOTE_CONDENSER
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	1e8c47df-4436-4e8d-a783-f18ff9f0984b	CHILLED_WATER_PUMPS
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	4b4a3616-cf52-4e89-8c9e-d4d9689a6f87	HEAT_REJECTION_PUMPS
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	d0b8f59d-0eda-460a-9cc0-3b4ab2a5533e	VENTILATION
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	c898e44d-28f1-465d-8958-7915cd46d2f5	INFILTRATION
c0b76c28-600f-4dd2-9599-d1dd89bf1cef	58169982-ea2b-4b41-b3d7-399f8ed3deaf	IT_LOAD
1973bb77-b838-48a3-8472-bf3fcb3847c5	b6556ef0-e477-45e6-b1b5-2003a08d3f30	SWITCHGEAR
1973bb77-b838-48a3-8472-bf3fcb3847c5	c7a5814d-d2e1-45dd-9412-8ab81e252cc5	GENERATOR
1973bb77-b838-48a3-8472-bf3fcb3847c5	01773cce-424f-436c-85b5-a358d82e36a1	PRIMARY_AUXILIARIES
1973bb77-b838-48a3-8472-bf3fcb3847c5	43913241-ff3f-4c11-80e7-46647c042c76	UPS
1973bb77-b838-48a3-8472-bf3fcb3847c5	2ee26486-af0e-493d-b7a2-1a05bf2ecd59	CRITICAL_AUXILIARIES
1973bb77-b838-48a3-8472-bf3fcb3847c5	aec898a2-5efa-41d1-8262-742374336c89	LIGHTING
1973bb77-b838-48a3-8472-bf3fcb3847c5	d291f83c-fbab-4a24-8e5b-7322bef26bb2	CRITICAL_POWER_DISTRIBUTION
1973bb77-b838-48a3-8472-bf3fcb3847c5	99456f02-6e9a-4605-a049-04e1fb9a1e24	CRAH
1973bb77-b838-48a3-8472-bf3fcb3847c5	33a8679b-ac00-492a-b742-64ef7c226e45	CRAC
1973bb77-b838-48a3-8472-bf3fcb3847c5	82e48f9c-7cf4-44b6-84c6-c829fac6199c	CRAC_WITHOUT_FAN
1973bb77-b838-48a3-8472-bf3fcb3847c5	d97b787c-8d79-430a-85ed-6122bdfa6c42	CRAC_FAN
1973bb77-b838-48a3-8472-bf3fcb3847c5	847dfd9f-6bcc-4a0d-bd43-3e849ebe9eba	CHILLER
1973bb77-b838-48a3-8472-bf3fcb3847c5	b1093e3b-9fe8-4f32-ad4c-ea77a47cf58d	AIR_COOLED_CHILLER
1973bb77-b838-48a3-8472-bf3fcb3847c5	acb4ffa7-e093-405b-8a03-b1d5fa59135a	COOLING_TOWER
1973bb77-b838-48a3-8472-bf3fcb3847c5	212706a4-4a54-4463-8560-8a3331da4e97	DRY_COOLER
1973bb77-b838-48a3-8472-bf3fcb3847c5	cb38a3e5-6422-4b86-8dfb-00317ad40fbe	REMOTE_CONDENSER
1973bb77-b838-48a3-8472-bf3fcb3847c5	7e6f80a3-f006-4b2a-a1e5-925b8fe14e14	CHILLED_WATER_PUMPS
1973bb77-b838-48a3-8472-bf3fcb3847c5	84438177-a71f-4d66-80e6-d8266f00e581	HEAT_REJECTION_PUMPS
1973bb77-b838-48a3-8472-bf3fcb3847c5	a23782da-118d-41bb-89b8-cc0d962f0a95	VENTILATION
1973bb77-b838-48a3-8472-bf3fcb3847c5	ddf22db0-a4f1-46d5-a468-7c44a94dcf26	INFILTRATION
1973bb77-b838-48a3-8472-bf3fcb3847c5	19c44b36-81fc-48aa-b3d4-068c48aba0b9	IT_LOAD
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	340d5e5b-2227-460b-b092-42e5a347957c	SWITCHGEAR
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	361652cd-db2e-41a8-b598-a5ea2bb12a31	GENERATOR
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	ac5cb51c-77bc-40c4-b9d5-ac28ab848930	PRIMARY_AUXILIARIES
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	744c1b3c-d1ee-4de7-bead-86b15c63a901	UPS
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	436cd545-2aad-4e0e-825f-25bc4c2817a1	CRITICAL_AUXILIARIES
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	a60e692e-24e8-4353-b5af-65936d30043b	LIGHTING
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	b549f3d0-7a9f-428e-bcc1-99bde7aa4d76	CRITICAL_POWER_DISTRIBUTION
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	b69da203-1f4a-4653-9287-a813b086a007	CRAH
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	fe30c467-265d-40c3-a32a-5296739b3b0a	CRAC
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	cb6710b5-15ac-4a7b-a5b5-bc5bd207f63d	CRAC_WITHOUT_FAN
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	e4bed36f-bd06-4578-b324-9da4d7ac3ca5	CRAC_FAN
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	a3998385-ef2d-4f51-ac62-5eb68701a3b2	CHILLER
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	19e78057-bf58-4baa-a6b8-80eec80e6acd	AIR_COOLED_CHILLER
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	1896f20e-ea5c-4a49-b21a-70464f03c143	COOLING_TOWER
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	2b7a5239-8d0a-4ded-9ed4-d2c2cb4045b6	DRY_COOLER
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	a5c7d86b-1b18-4493-a9d5-fb4bd49f00f3	REMOTE_CONDENSER
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	3507b544-1619-4737-9c43-4cb1e335cb8f	CHILLED_WATER_PUMPS
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	6a3836fd-dd26-4e08-a41e-0ed6af621a41	HEAT_REJECTION_PUMPS
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	9d10195c-bf5d-47cf-b337-f7d417fc1575	VENTILATION
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	e40215c6-725b-4460-954c-bdecaa7ca3f6	INFILTRATION
08d8b788-86fc-4ec2-a163-e9b9f04b7f94	2495cb00-6609-4120-a5c7-93b42e86ce9b	IT_LOAD
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	e0cae177-8ffd-40a1-944f-b149d28754bc	SWITCHGEAR
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	38258905-12e1-44c4-95c0-24c333693885	GENERATOR
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	7d686563-22a7-4064-8629-9d72c2099e80	PRIMARY_AUXILIARIES
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	7032e212-f0dc-43ce-8f1a-53076ac997f9	UPS
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	eadc2f9b-2619-4522-baa5-f97fa0c88a49	CRITICAL_AUXILIARIES
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	5aff1cee-c9d7-4760-8a22-c9496eb2fd73	LIGHTING
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	0f53ef74-e8cb-402c-b811-884ca88563c5	CRITICAL_POWER_DISTRIBUTION
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	acc6317e-365f-4daf-b968-79ca6421c756	CRAH
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	8d924aad-0b03-47fd-be1e-b1e2f0b79af2	CRAC
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	edbbfe64-121f-4f1a-9617-067314cd5ba3	CRAC_WITHOUT_FAN
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	aa3be053-21b1-46a7-a617-ab4fc1c55a27	CRAC_FAN
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	1f409b09-7a61-4494-b902-807693377529	CHILLER
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	b7fc7717-ab51-4ff4-aee0-2e7928d386bd	AIR_COOLED_CHILLER
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	34819516-183d-4591-b997-f2b788e722d4	COOLING_TOWER
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	6ae262f3-c332-4e56-9a5c-301f79358af2	DRY_COOLER
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	a162fad8-6906-49e5-8c92-c8d73e7fa6eb	REMOTE_CONDENSER
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	9bf75153-4fc5-48d0-b8b3-421535663bae	CHILLED_WATER_PUMPS
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	5f84024c-5a9f-4402-a373-5a1cc96614da	HEAT_REJECTION_PUMPS
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	a86c8b66-032e-4577-8b2c-4ecb07f54b29	VENTILATION
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	099992d7-d128-4a06-8e36-8ff45613a469	INFILTRATION
5cb92d0c-2b5c-48ee-a367-27e2d75e5622	545fc79b-3cc4-4a36-b5bb-45f47c5b5574	IT_LOAD
a0944421-afaa-4e59-960d-43fe213c0948	76dd2610-b19a-4f7c-b533-8bd661e8596c	SWITCHGEAR
a0944421-afaa-4e59-960d-43fe213c0948	fbcf5439-e2b8-4515-bfe1-fd5e76b9ef5d	GENERATOR
a0944421-afaa-4e59-960d-43fe213c0948	5fcde1dd-0e6c-4ae7-8709-803f502b7b9c	PRIMARY_AUXILIARIES
a0944421-afaa-4e59-960d-43fe213c0948	14c77b98-a820-4c0d-b1e5-5527b3112f73	UPS
a0944421-afaa-4e59-960d-43fe213c0948	75fabd37-7ba5-471a-b67a-1c1020a6ff70	CRITICAL_AUXILIARIES
a0944421-afaa-4e59-960d-43fe213c0948	4ed2be47-cf77-4122-a705-63b427b23900	LIGHTING
a0944421-afaa-4e59-960d-43fe213c0948	e8b63e28-f33e-42a7-b935-22178517c0a7	CRITICAL_POWER_DISTRIBUTION
a0944421-afaa-4e59-960d-43fe213c0948	0b908d73-c344-4917-aeac-5422048cd060	CRAH
a0944421-afaa-4e59-960d-43fe213c0948	9dfdca1f-bc57-4af8-81d4-c584f6b3884e	CRAC
a0944421-afaa-4e59-960d-43fe213c0948	f308c67b-8e9d-4044-b93a-79b57563b437	CRAC_WITHOUT_FAN
a0944421-afaa-4e59-960d-43fe213c0948	8f17c009-618b-4a1f-a54b-a6c1a7ec0504	CRAC_FAN
a0944421-afaa-4e59-960d-43fe213c0948	76c29305-630c-48e0-9255-725320891027	CHILLER
a0944421-afaa-4e59-960d-43fe213c0948	851177cb-8351-4986-b8fa-5c294e2e59ba	AIR_COOLED_CHILLER
a0944421-afaa-4e59-960d-43fe213c0948	e53cf5b2-1f96-45aa-8737-fadd08dc866a	COOLING_TOWER
a0944421-afaa-4e59-960d-43fe213c0948	3d88392f-9506-4aa0-b0bb-cc74e7926e8c	DRY_COOLER
a0944421-afaa-4e59-960d-43fe213c0948	77ad7564-8d99-4fc3-beaa-ee42ca4fa870	REMOTE_CONDENSER
a0944421-afaa-4e59-960d-43fe213c0948	2365513c-08ac-4ef7-8c9c-418b970d2c23	CHILLED_WATER_PUMPS
a0944421-afaa-4e59-960d-43fe213c0948	35e6a96c-9a8b-48be-98ea-fa1198733620	HEAT_REJECTION_PUMPS
a0944421-afaa-4e59-960d-43fe213c0948	d26455fa-8694-40da-bcfb-0248ef288b9e	VENTILATION
a0944421-afaa-4e59-960d-43fe213c0948	9770766c-7392-4c10-af05-fe73acd42fed	INFILTRATION
a0944421-afaa-4e59-960d-43fe213c0948	f32799d3-409c-4186-bce9-ba6dcd438500	IT_LOAD
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	2618c9e5-4251-4ce2-9f37-5fa5c4b2257c	SWITCHGEAR
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	c8f8146f-32cb-470d-9f24-8c3733431d30	GENERATOR
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	54463b94-31cd-49ea-a5ba-cd6e9eb51d29	PRIMARY_AUXILIARIES
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	c4f402fd-2a3f-457d-9c0d-d3e0e2793722	UPS
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	0921dddb-eaa7-421c-80c9-d858885031bc	CRITICAL_AUXILIARIES
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	668c1e77-6ece-410f-a651-8f2657f95541	LIGHTING
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	13bb039d-a973-4a5f-bc7f-de4966f81856	CRITICAL_POWER_DISTRIBUTION
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	8e2b9a19-1c48-4223-b074-e096bc1a6544	CRAH
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	085fac1c-8ccb-457f-bd0b-6072508e6f39	CRAC
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	d193a0a6-d769-4769-9257-8949cad4fefa	CRAC_WITHOUT_FAN
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	e6df5e09-3107-41bd-8245-317690ee4a0e	CRAC_FAN
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	862359e1-b1c7-4aa9-a196-4bf4673dd5ce	CHILLER
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	e8079991-0650-4fda-80f4-c68086dfbc9b	AIR_COOLED_CHILLER
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	95f3591f-4e8a-4c13-8959-b4ce0a687356	COOLING_TOWER
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	79cec1c3-4ed0-4602-baba-800335c1d517	DRY_COOLER
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	81cae69e-f6db-4921-9d07-f71da3de5fa4	REMOTE_CONDENSER
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	9b546741-cec5-4dfd-b492-b681061fcc07	CHILLED_WATER_PUMPS
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	9ffd27a2-16ba-40a8-b0b0-b3fe4dfe4dae	HEAT_REJECTION_PUMPS
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	d4d6cdd3-4d16-42b5-b835-0503fba52b80	VENTILATION
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	348bc014-373c-407b-8711-11d75edb0b53	INFILTRATION
9fe5b867-4ba1-4dcc-a65f-50a6b4457e77	e60c7f92-c246-4b75-b83f-d499b9d8419a	IT_LOAD
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	b47a86b4-f2fa-4265-8700-7b9c99e64560	SWITCHGEAR
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	ab24207c-6362-45e4-9515-2967043933c7	GENERATOR
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	ed45446c-fa43-482e-a2ca-11c23536494e	PRIMARY_AUXILIARIES
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	27de71db-699c-454e-a3eb-5ee0cee5b85f	UPS
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	8d838341-5b4e-4a2b-814e-c0baa1e17397	CRITICAL_AUXILIARIES
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	1260bed7-0b85-4287-b2c3-8d85116a6d87	LIGHTING
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	bd60d801-e717-4bf8-aee6-997a79596baf	CRITICAL_POWER_DISTRIBUTION
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	88035e1d-085b-4600-97d5-0328e7f5ba60	CRAH
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	7f2bb999-873a-4bc6-bb5b-b41e8c3fa503	CRAC
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	f34fb3e7-513e-42a7-af9b-be6a740275b3	CRAC_WITHOUT_FAN
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	1f85d0bd-1a7a-4625-9a17-13e1157708a9	CRAC_FAN
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	9a8dbc12-3e40-4902-b566-ba35383dbd74	CHILLER
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	5ae90ae7-ad6b-48de-93f7-6821dee1e3cb	AIR_COOLED_CHILLER
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	294d1011-734d-462b-9bda-ccfe9b9f4603	COOLING_TOWER
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	07a730d3-b6af-4762-b233-6a21aa96b37f	DRY_COOLER
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	920a8936-66f1-4c0f-bbfe-da8ab13dd294	REMOTE_CONDENSER
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	03a29c00-5f62-4430-b859-cf54d36bbcd9	CHILLED_WATER_PUMPS
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	cac34bc1-70cb-4de4-bb0e-8651d920703a	HEAT_REJECTION_PUMPS
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	5f6dbae8-7525-4bbd-843e-c296677b2b85	VENTILATION
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	f6d1a02d-e0f5-40ec-98a5-19801dbabb5b	INFILTRATION
a63eefeb-fb96-4d25-8ba1-c90796a7a2f4	2462ac0a-f2e7-4ce0-93ef-ee0837563b85	IT_LOAD
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	84a176e7-d8ba-48bb-ad8b-4c40f62150f2	SWITCHGEAR
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	17acc03f-e311-4335-9949-396146a883a4	GENERATOR
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	0a163826-7c60-4884-b1de-c4a1520c85b1	PRIMARY_AUXILIARIES
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	7292fa4a-1378-4b22-9923-4e279201c912	UPS
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	52511c8e-c865-43bc-91eb-ec312d898f0a	CRITICAL_AUXILIARIES
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	c079a8d4-eb6e-413d-ae0d-36567af7cc1d	LIGHTING
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	f760b34d-c5f4-4dbb-a71d-3d2aa548a67f	CRITICAL_POWER_DISTRIBUTION
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	259acca2-c20b-4ef2-993e-fbed65d82293	CRAH
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	90b269d3-1e6b-42ad-a1bc-f0fdb78a3e9c	CRAC
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	c06e2d71-e18a-41eb-a19f-6a70f64ec0f7	CRAC_WITHOUT_FAN
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	f383abe6-4d52-4a79-a4ba-6ea899133140	CRAC_FAN
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	c59f38e1-240a-4e30-b228-4525ce8a26da	CHILLER
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	bc166eba-6670-4551-91b9-539a2e4c251b	AIR_COOLED_CHILLER
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	3187da12-807e-4f8c-8e67-ce37ce2e49b9	COOLING_TOWER
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	4fb175a4-26e2-4733-82e9-bfdec2616e86	DRY_COOLER
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	141d787d-6062-44df-b670-41fe81d86f6e	REMOTE_CONDENSER
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	8fc4549b-91f6-430f-97c0-cf8f89b079dc	CHILLED_WATER_PUMPS
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	793e4275-ac08-47ac-86af-556e460de7d1	HEAT_REJECTION_PUMPS
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	32df7708-fcdb-4857-9dbd-c4674fcd8d2f	VENTILATION
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	727573ef-10e8-46ca-aa8b-7da96f056eca	INFILTRATION
7a73b5ac-ca8d-46ba-9523-aca9675f1f5c	cde14f27-8860-4aec-bf8c-190efe761456	IT_LOAD
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	139cad39-7e8a-40ae-9aef-1a4aeb4101da	SWITCHGEAR
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	0a1e9d7a-2ec1-4ea0-829e-f4c3ccc80f47	GENERATOR
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	8aaa8062-8f10-4a36-bafe-064beed1c58d	PRIMARY_AUXILIARIES
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	dc614366-fb84-45e4-8ac2-b6af5b7ef40a	UPS
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	3616f308-a487-45d2-b655-04d31fcafa54	CRITICAL_AUXILIARIES
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	33872c2f-e26a-4020-901f-9c0c36a01a00	LIGHTING
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	35d6f5ce-6db1-4cf7-95d8-625bde760162	CRITICAL_POWER_DISTRIBUTION
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	2f75c91e-84d0-4ec2-9b0a-984d64499e20	CRAH
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	067f4e84-2af6-4016-aa33-9b2b68563424	CRAC
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	c8e943dc-657a-4612-9ba5-2db7058d7750	CRAC_WITHOUT_FAN
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	6a0620f2-e6e1-470c-b0b0-131fdeb4ae58	CRAC_FAN
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	3003ac6b-2034-4e9c-b6bd-261603d62904	CHILLER
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	3b5f1efa-9b55-42cf-b17d-973fcc57fcfa	AIR_COOLED_CHILLER
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	a5069355-e39c-475b-9e58-0ed6a5fc2f9e	COOLING_TOWER
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	252e4a15-66f3-4e21-933a-915c185c22bb	DRY_COOLER
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	f717d48d-49ff-4b51-90e5-4138938e463d	REMOTE_CONDENSER
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	c66c01f8-e117-4171-98a3-38b902e8769c	CHILLED_WATER_PUMPS
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	4c43066e-7735-4433-a135-e331e60727cd	HEAT_REJECTION_PUMPS
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	e4a47877-9016-4365-9271-97d7b68f4258	VENTILATION
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	e50abbe4-3d3e-4373-ba3b-29b3baff8651	INFILTRATION
14b1b460-214d-4bc0-a7be-9cf9cc2eabc3	7ac9d736-2e0c-4286-a882-b156d9522bdd	IT_LOAD
98edb814-6cfb-4881-8963-4c67d2bd6bee	d0c9be08-d49d-4cb8-b745-a50f4d34f228	SWITCHGEAR
98edb814-6cfb-4881-8963-4c67d2bd6bee	3f182e80-bb1e-498c-9b07-0b22a8b68fab	GENERATOR
98edb814-6cfb-4881-8963-4c67d2bd6bee	9b0ef9cb-184c-4427-b730-b880af3ee874	PRIMARY_AUXILIARIES
98edb814-6cfb-4881-8963-4c67d2bd6bee	ec364dce-812e-4850-b63f-770aced40a0e	UPS
98edb814-6cfb-4881-8963-4c67d2bd6bee	c7a2073c-50bc-461c-b78f-62b8c646506f	CRITICAL_AUXILIARIES
98edb814-6cfb-4881-8963-4c67d2bd6bee	18f9ea63-925d-4c0d-a88a-95490dfb9cdb	LIGHTING
98edb814-6cfb-4881-8963-4c67d2bd6bee	b8639748-b1e1-424c-af41-83e2108f0859	CRITICAL_POWER_DISTRIBUTION
98edb814-6cfb-4881-8963-4c67d2bd6bee	4bbc98b7-8cfc-4494-ab1c-64728326c7dd	CRAH
98edb814-6cfb-4881-8963-4c67d2bd6bee	faa5db2e-2e28-4f72-b614-1046855be3a6	CRAC
98edb814-6cfb-4881-8963-4c67d2bd6bee	1246ee5c-c959-4961-bde0-277d423dfb9f	CRAC_WITHOUT_FAN
98edb814-6cfb-4881-8963-4c67d2bd6bee	1de10fce-ec82-45ea-8b53-d34fcf8e2a75	CRAC_FAN
98edb814-6cfb-4881-8963-4c67d2bd6bee	031cc18d-076f-4a2a-a837-e14abed899aa	CHILLER
98edb814-6cfb-4881-8963-4c67d2bd6bee	dc1f57ef-1cb9-4c36-b54d-ffc5cd973e71	AIR_COOLED_CHILLER
98edb814-6cfb-4881-8963-4c67d2bd6bee	05b01b9a-2cad-4692-b621-2c6979520b6c	COOLING_TOWER
98edb814-6cfb-4881-8963-4c67d2bd6bee	5ceb18ce-157b-4598-b325-698a542eb64a	DRY_COOLER
98edb814-6cfb-4881-8963-4c67d2bd6bee	c75f6200-b1c7-4a50-96b0-682b51c86b5b	REMOTE_CONDENSER
98edb814-6cfb-4881-8963-4c67d2bd6bee	92955035-4c18-42bf-a2af-b0b76cd29299	CHILLED_WATER_PUMPS
98edb814-6cfb-4881-8963-4c67d2bd6bee	00301b51-93c6-4a05-938e-673229c867d1	HEAT_REJECTION_PUMPS
98edb814-6cfb-4881-8963-4c67d2bd6bee	e60699cf-1aad-4819-aaf6-289399f8733f	VENTILATION
98edb814-6cfb-4881-8963-4c67d2bd6bee	99e84629-8be3-4e32-baec-0d64983f14a5	INFILTRATION
98edb814-6cfb-4881-8963-4c67d2bd6bee	3e09abc6-403d-426a-b88b-083bb1dd966c	IT_LOAD
4b191a1b-a6cf-4991-83ce-28246acbebf7	d1f04671-234d-44e8-9f35-d66ec3ace5b0	SWITCHGEAR
4b191a1b-a6cf-4991-83ce-28246acbebf7	3213ce6a-9906-43ee-aa6f-9ea1ba2c91be	GENERATOR
4b191a1b-a6cf-4991-83ce-28246acbebf7	2360dcd0-0d0d-48f1-9ad2-b5fbe2243bcc	PRIMARY_AUXILIARIES
4b191a1b-a6cf-4991-83ce-28246acbebf7	79af2ba1-972b-4687-a8ae-cf97cfec4f84	UPS
4b191a1b-a6cf-4991-83ce-28246acbebf7	6795aefe-66e0-43fa-9eaa-48dbcff4d54a	CRITICAL_AUXILIARIES
4b191a1b-a6cf-4991-83ce-28246acbebf7	0e7cf647-0c18-460f-8e20-9f684c199319	LIGHTING
4b191a1b-a6cf-4991-83ce-28246acbebf7	8dd98777-9887-4387-971b-04dacbf37714	CRITICAL_POWER_DISTRIBUTION
4b191a1b-a6cf-4991-83ce-28246acbebf7	6d2f52db-4ce5-431c-8e20-ff5a56e46011	CRAH
4b191a1b-a6cf-4991-83ce-28246acbebf7	831f576d-59b9-4583-b4c0-51403f6973e0	CRAC
4b191a1b-a6cf-4991-83ce-28246acbebf7	99338279-cd34-41e2-a600-be753ebe85d6	CRAC_WITHOUT_FAN
4b191a1b-a6cf-4991-83ce-28246acbebf7	62313a1f-ccaf-416a-b753-f1fdeff7adb9	CRAC_FAN
4b191a1b-a6cf-4991-83ce-28246acbebf7	337d9b2c-17e9-4a86-afb2-37a296340368	CHILLER
4b191a1b-a6cf-4991-83ce-28246acbebf7	b819eb91-57ea-4e7d-8a72-785c57a86536	AIR_COOLED_CHILLER
4b191a1b-a6cf-4991-83ce-28246acbebf7	25495493-09aa-426d-9e2b-6490b1c7045f	COOLING_TOWER
4b191a1b-a6cf-4991-83ce-28246acbebf7	05132cff-d2ad-4777-b9ad-8476add5e4c8	DRY_COOLER
4b191a1b-a6cf-4991-83ce-28246acbebf7	fa841e18-fe46-4eb6-8e62-67af37c43fc2	REMOTE_CONDENSER
4b191a1b-a6cf-4991-83ce-28246acbebf7	9c125164-a84d-4204-9fb7-4a9443e2455c	CHILLED_WATER_PUMPS
4b191a1b-a6cf-4991-83ce-28246acbebf7	1800c2a2-18ba-48fe-bd90-2280f3c2f42a	HEAT_REJECTION_PUMPS
4b191a1b-a6cf-4991-83ce-28246acbebf7	a62708f4-1b88-4bfe-b324-9959bd946d2a	VENTILATION
4b191a1b-a6cf-4991-83ce-28246acbebf7	aa58d14a-9235-46a6-a6f6-af83aa0450e2	INFILTRATION
4b191a1b-a6cf-4991-83ce-28246acbebf7	42082e9e-64c0-41ac-9542-463ac9747b42	IT_LOAD
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	f96adecf-e2c5-4d25-8576-fd2dc3b9f324	SWITCHGEAR
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	95a95a5a-f552-4280-9c85-0a181a52092b	GENERATOR
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	8d0ac20d-f533-4aa4-ad1d-d81a58918a74	PRIMARY_AUXILIARIES
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	8ca5f310-a7ba-445a-9e13-32ed5acca3ce	UPS
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	efe04cf0-0bc9-4b92-8310-b2b8633f0f07	CRITICAL_AUXILIARIES
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	909e0532-02d4-420b-8430-c936bb4a7115	LIGHTING
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	b7fb1a93-0c9d-49cb-8a10-9ac26ba7d148	CRITICAL_POWER_DISTRIBUTION
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	c93560d2-d6ec-4fce-aba3-873e42f86fad	CRAH
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	55dbef66-b010-4c71-975f-d93f44c8e76f	CRAC
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	dc11356d-3dc7-44cf-9028-5ddc97fbba03	CRAC_WITHOUT_FAN
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	52d339a4-9165-4c67-a10b-a367d6d716e1	CRAC_FAN
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	a8922ab6-ce7a-4b09-bb53-e4e14fccd801	CHILLER
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	e21d3a1a-ec46-45e6-9408-cc22452832b2	AIR_COOLED_CHILLER
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	6e71756e-ad19-42a1-99e1-1d1d697168f2	COOLING_TOWER
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	075cd5ef-5f25-4eb9-82d6-7f59370f1653	DRY_COOLER
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	c571b740-da7e-48c2-b28c-1cd090b5d8b7	REMOTE_CONDENSER
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	b316c2ed-d5d9-416d-86f2-82954402d451	CHILLED_WATER_PUMPS
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	9e994f87-6af8-4403-8c62-171a28054783	HEAT_REJECTION_PUMPS
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	7a91e45b-0235-4625-85c4-3a983bf99588	VENTILATION
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	e346eb08-1947-4e48-b3d2-a5a26242b6b8	INFILTRATION
a2a6453b-4f6b-4e3d-9d2a-da18b870494f	f1adc35f-9b68-43c1-9390-f781d3df165d	IT_LOAD
9b96a36f-e081-4c94-9be8-c27ba1487e34	dd255956-7967-4021-bdda-b1d237cb1d7c	SWITCHGEAR
9b96a36f-e081-4c94-9be8-c27ba1487e34	23cba799-0409-4948-9ec7-00cde09772c3	GENERATOR
9b96a36f-e081-4c94-9be8-c27ba1487e34	242250d9-7018-4b66-9d1f-d2b8ad31c2ed	PRIMARY_AUXILIARIES
9b96a36f-e081-4c94-9be8-c27ba1487e34	f0ebc350-bfb8-4149-bf88-3fd03a70a2ab	UPS
9b96a36f-e081-4c94-9be8-c27ba1487e34	651213b8-18cb-4ece-a704-4d2edb4471f2	CRITICAL_AUXILIARIES
9b96a36f-e081-4c94-9be8-c27ba1487e34	a624bc42-0ccf-4dfa-b017-5df2ed9e9008	LIGHTING
9b96a36f-e081-4c94-9be8-c27ba1487e34	f1ac013d-23f1-49d6-996a-0a1fa106d68f	CRITICAL_POWER_DISTRIBUTION
9b96a36f-e081-4c94-9be8-c27ba1487e34	05fb3584-cc44-4413-b644-59ac61fa334b	CRAH
9b96a36f-e081-4c94-9be8-c27ba1487e34	b6b42fbd-0e8f-4c28-a8db-9cbc276fe046	CRAC
9b96a36f-e081-4c94-9be8-c27ba1487e34	1b178218-51ed-4473-ad0f-add63b722aea	CRAC_WITHOUT_FAN
9b96a36f-e081-4c94-9be8-c27ba1487e34	43b1cd52-d7ed-4483-8978-a61f5a509493	CRAC_FAN
9b96a36f-e081-4c94-9be8-c27ba1487e34	25ff1851-88bf-49f0-bb4f-30331fce38f8	CHILLER
9b96a36f-e081-4c94-9be8-c27ba1487e34	906bd716-0f58-49fc-bdde-f3240938293f	AIR_COOLED_CHILLER
9b96a36f-e081-4c94-9be8-c27ba1487e34	cdc807b6-1e1e-4ca9-9b99-112c3f6fabd5	COOLING_TOWER
9b96a36f-e081-4c94-9be8-c27ba1487e34	bdbb9d9c-3abb-4338-8d7e-9491830055f9	DRY_COOLER
9b96a36f-e081-4c94-9be8-c27ba1487e34	b151c397-2f8a-4397-a0a5-7ca9ff5a9153	REMOTE_CONDENSER
9b96a36f-e081-4c94-9be8-c27ba1487e34	648c6e85-3f97-42e3-9c08-83b83ecbdd3e	CHILLED_WATER_PUMPS
9b96a36f-e081-4c94-9be8-c27ba1487e34	f75940c8-805c-440a-8866-91a2edaef452	HEAT_REJECTION_PUMPS
9b96a36f-e081-4c94-9be8-c27ba1487e34	ebf9ccf9-a319-4391-af15-9b9671f84612	VENTILATION
9b96a36f-e081-4c94-9be8-c27ba1487e34	92c6a646-d4a3-4cfc-a02a-cd2cf8dc8b82	INFILTRATION
9b96a36f-e081-4c94-9be8-c27ba1487e34	661fc209-17ac-45d5-bab4-a5782e6dbaee	IT_LOAD
9dff9711-6a5a-41d9-8413-3792ed9428cc	20b85608-a727-4cd0-b0ed-b2db249528f5	SWITCHGEAR
9dff9711-6a5a-41d9-8413-3792ed9428cc	ceac6315-ffc4-4aea-a896-4d6bf8595815	GENERATOR
9dff9711-6a5a-41d9-8413-3792ed9428cc	a7c0d3c7-beaa-4ad5-997d-a1a7d79d2d3b	PRIMARY_AUXILIARIES
9dff9711-6a5a-41d9-8413-3792ed9428cc	b0b150bd-44a2-4bf8-898e-115f3c15ae21	UPS
9dff9711-6a5a-41d9-8413-3792ed9428cc	43339321-9b3e-4e3c-aed3-c8b7b94f8e67	CRITICAL_AUXILIARIES
9dff9711-6a5a-41d9-8413-3792ed9428cc	381b43f6-bf38-439b-9c31-546aae0495a4	LIGHTING
9dff9711-6a5a-41d9-8413-3792ed9428cc	ffb7beda-dda0-4cbd-97c2-366fd6805d99	CRITICAL_POWER_DISTRIBUTION
9dff9711-6a5a-41d9-8413-3792ed9428cc	d3ce9261-6d7a-4d98-9361-7102d412e32a	CRAH
9dff9711-6a5a-41d9-8413-3792ed9428cc	a46aeb9d-cb29-4846-9bc6-cff6ddc3ad44	CRAC
9dff9711-6a5a-41d9-8413-3792ed9428cc	0f0b5103-3422-4c4b-a2c7-bc82b0dc5cfb	CRAC_WITHOUT_FAN
9dff9711-6a5a-41d9-8413-3792ed9428cc	20ae836d-07e8-48a8-a539-67a39825d05a	CRAC_FAN
9dff9711-6a5a-41d9-8413-3792ed9428cc	91270f9c-8b88-4555-a0fa-db0e5eddf73a	CHILLER
9dff9711-6a5a-41d9-8413-3792ed9428cc	69fd511e-862e-45f2-925c-ae9bf477a7df	AIR_COOLED_CHILLER
9dff9711-6a5a-41d9-8413-3792ed9428cc	55259819-99ce-436a-9048-049fc3f100dd	COOLING_TOWER
9dff9711-6a5a-41d9-8413-3792ed9428cc	494baedb-88bd-4765-a6f5-56323c55ffe5	DRY_COOLER
9dff9711-6a5a-41d9-8413-3792ed9428cc	580c75f2-03ae-4340-89a8-aeb2b027ae61	REMOTE_CONDENSER
9dff9711-6a5a-41d9-8413-3792ed9428cc	6220ffd4-fd55-444d-b26f-73d6890d7e9f	CHILLED_WATER_PUMPS
9dff9711-6a5a-41d9-8413-3792ed9428cc	0166772e-8e2b-4ac7-a7c5-dae7f78e6abf	HEAT_REJECTION_PUMPS
9dff9711-6a5a-41d9-8413-3792ed9428cc	a76f0e97-e1c8-45b5-9349-d2982372c202	VENTILATION
9dff9711-6a5a-41d9-8413-3792ed9428cc	a6154fa8-53ca-427d-b867-aa3ddc153f0f	INFILTRATION
9dff9711-6a5a-41d9-8413-3792ed9428cc	334577cc-9524-4873-ae10-13da00beab19	IT_LOAD
057d6139-606d-47c7-95f9-eb40bbc6df3a	c8229d87-95d3-46cc-887a-01683fef349f	SWITCHGEAR
057d6139-606d-47c7-95f9-eb40bbc6df3a	8f0d51d6-82d9-4ad7-8692-2a3ff402734d	GENERATOR
057d6139-606d-47c7-95f9-eb40bbc6df3a	0c8d2bd6-2141-4e55-8aa2-2aebe7bde646	PRIMARY_AUXILIARIES
057d6139-606d-47c7-95f9-eb40bbc6df3a	e2ffb399-455d-4e29-abd0-d385c2f96a70	UPS
057d6139-606d-47c7-95f9-eb40bbc6df3a	7c98821e-22e3-4cc5-b3f5-2c4d43ff5081	CRITICAL_AUXILIARIES
057d6139-606d-47c7-95f9-eb40bbc6df3a	b0bd1730-0774-401d-82cd-b3e67ac4a755	LIGHTING
057d6139-606d-47c7-95f9-eb40bbc6df3a	fcbbd2b3-6643-4803-ada9-b60ff390937b	CRITICAL_POWER_DISTRIBUTION
057d6139-606d-47c7-95f9-eb40bbc6df3a	21645631-c46a-4b1a-bee0-eaaa1060e58b	CRAH
057d6139-606d-47c7-95f9-eb40bbc6df3a	c48b949d-652e-4431-a9c2-44112a402eb0	CRAC
057d6139-606d-47c7-95f9-eb40bbc6df3a	85a04af2-b341-45c0-ac8f-1ffa335a423a	CRAC_WITHOUT_FAN
057d6139-606d-47c7-95f9-eb40bbc6df3a	d3fef210-1840-443a-900c-c51affa762f6	CRAC_FAN
057d6139-606d-47c7-95f9-eb40bbc6df3a	fc810221-3d4a-45f2-bfe8-200287a916d8	CHILLER
057d6139-606d-47c7-95f9-eb40bbc6df3a	2e9fea8a-bb54-44a0-8be7-da4ca8c6c73c	AIR_COOLED_CHILLER
057d6139-606d-47c7-95f9-eb40bbc6df3a	f76b2ec7-21be-4395-a8ff-d5e103c876e0	COOLING_TOWER
057d6139-606d-47c7-95f9-eb40bbc6df3a	ca4016bc-49d9-47f0-96da-8ed51f614f4b	DRY_COOLER
057d6139-606d-47c7-95f9-eb40bbc6df3a	2551cc11-5b94-414a-add0-40b0996bb62d	REMOTE_CONDENSER
057d6139-606d-47c7-95f9-eb40bbc6df3a	1d8b6d66-959e-4724-a0a1-2acd6426cf90	CHILLED_WATER_PUMPS
057d6139-606d-47c7-95f9-eb40bbc6df3a	53b41501-7787-4963-8e85-382ab73f35cd	HEAT_REJECTION_PUMPS
057d6139-606d-47c7-95f9-eb40bbc6df3a	61d009b2-88a0-4aa2-a185-f593a88910ff	VENTILATION
057d6139-606d-47c7-95f9-eb40bbc6df3a	f3baa5f6-5d38-4f7b-849c-262953b12fac	INFILTRATION
057d6139-606d-47c7-95f9-eb40bbc6df3a	f9ef234e-b51d-40cc-9e26-d5c501fc961b	IT_LOAD
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	965a9c31-e5e3-4fc9-9cf8-2652bd25f80f	SWITCHGEAR
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	006d28d6-6d52-4108-92c0-5985d90f11cc	GENERATOR
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	954abde7-3f08-448e-bc47-94460c1bd061	PRIMARY_AUXILIARIES
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	bf7c1f05-abc6-4272-a9da-67b4939a00ae	UPS
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	0dd3f12f-d3b0-4566-8ab5-aec68a3f4011	CRITICAL_AUXILIARIES
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	782b455f-e29f-46a7-8173-db9d21d78a9a	LIGHTING
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	35407e05-d083-444c-abda-0a723badc50f	CRITICAL_POWER_DISTRIBUTION
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	ae5e5d2b-f34c-4ffc-92ee-83d771c9c6cb	CRAH
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	baa41c5a-9584-4b47-8303-bad02848f4a5	CRAC
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	4cded696-83a3-44b8-8def-2465d707fcff	CRAC_WITHOUT_FAN
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	bf2913b4-8089-4296-8e61-562693884669	CRAC_FAN
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	390c21f1-e188-4e2c-94ca-7230ce835d07	CHILLER
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	ad85ee6c-ef3a-4ba0-994e-05384d704ca9	AIR_COOLED_CHILLER
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	d0b3dd9f-4f85-4e9e-85ae-1c968771f078	COOLING_TOWER
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	8ce6e044-5531-4be8-a8ea-ac1658aae954	DRY_COOLER
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	b5798546-56cf-4fed-be2d-5600b7d7c377	REMOTE_CONDENSER
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	31836bdf-4100-4ec7-a224-850078a88cc8	CHILLED_WATER_PUMPS
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	f4da76d8-391b-47ec-b7e1-da0ddb46ab47	HEAT_REJECTION_PUMPS
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	a391ade0-537d-4c50-80e0-fd7db97a8251	VENTILATION
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	62fea5e2-cdc2-4d3f-becc-b40e3a92c218	INFILTRATION
4c2fe4a6-5e0d-4f4d-9354-539eb1341e01	bd015e84-7411-4e2d-9d95-52e3f9aa6d88	IT_LOAD
4856e2e0-1927-4ccf-911d-4bf936f0043b	150aa039-a608-4784-804c-8698deb3fe69	SWITCHGEAR
4856e2e0-1927-4ccf-911d-4bf936f0043b	2248a5ea-abe6-440f-8595-88595310bfad	GENERATOR
4856e2e0-1927-4ccf-911d-4bf936f0043b	7229dcee-a10b-427b-b39e-ddf2476057b3	PRIMARY_AUXILIARIES
4856e2e0-1927-4ccf-911d-4bf936f0043b	845b6456-23cd-415b-8332-4264663bb85c	UPS
4856e2e0-1927-4ccf-911d-4bf936f0043b	6fd0e135-1851-4784-8511-e42b88d5e713	CRITICAL_AUXILIARIES
4856e2e0-1927-4ccf-911d-4bf936f0043b	4fdb1709-f01e-43f8-aaff-4c02281e3dbd	LIGHTING
4856e2e0-1927-4ccf-911d-4bf936f0043b	6ac02dfe-0da6-4222-b9d7-04e433fd6e60	CRITICAL_POWER_DISTRIBUTION
4856e2e0-1927-4ccf-911d-4bf936f0043b	3fbf7037-cdb8-4310-9f0f-17edb4961df9	CRAH
4856e2e0-1927-4ccf-911d-4bf936f0043b	04887177-1673-41c7-9e21-2f9ae6e3df31	CRAC
4856e2e0-1927-4ccf-911d-4bf936f0043b	d7f27843-a4eb-4616-b9d9-bf6c6d549b3b	CRAC_WITHOUT_FAN
4856e2e0-1927-4ccf-911d-4bf936f0043b	1990571f-0848-4d44-a885-fe8147103b3d	CRAC_FAN
4856e2e0-1927-4ccf-911d-4bf936f0043b	8ed11d2f-4088-42a8-9d7f-26fa0855bd3b	CHILLER
4856e2e0-1927-4ccf-911d-4bf936f0043b	a7bc14c1-a73f-458c-a9dc-1e45c70a6de3	AIR_COOLED_CHILLER
4856e2e0-1927-4ccf-911d-4bf936f0043b	04cbfebc-6f54-44a7-ab17-7088d320d0c6	COOLING_TOWER
4856e2e0-1927-4ccf-911d-4bf936f0043b	117d0aba-8e79-45d3-b52a-8eead20047a2	DRY_COOLER
4856e2e0-1927-4ccf-911d-4bf936f0043b	ef475671-2ded-45ed-9937-067493c209ac	REMOTE_CONDENSER
4856e2e0-1927-4ccf-911d-4bf936f0043b	fb38afa4-4bf5-4aab-910a-9acad4397812	CHILLED_WATER_PUMPS
4856e2e0-1927-4ccf-911d-4bf936f0043b	a62d684e-5223-46e4-9152-3d1d2b2b0b80	HEAT_REJECTION_PUMPS
4856e2e0-1927-4ccf-911d-4bf936f0043b	86259c1e-7ddd-4927-abdf-5132dbdda23a	VENTILATION
4856e2e0-1927-4ccf-911d-4bf936f0043b	ecca1c50-cedb-465e-8ea5-1ce368872b41	INFILTRATION
4856e2e0-1927-4ccf-911d-4bf936f0043b	0d0b94c4-d9e7-4cd4-aaaa-0796fc9c7fe4	IT_LOAD
e4613553-1df9-4439-9331-b4bc7fb04c45	f9678985-054f-4102-8fad-3d9cbd3f35d9	SWITCHGEAR
e4613553-1df9-4439-9331-b4bc7fb04c45	f35c0519-8bc2-43c4-8ad3-e4d35eff6194	GENERATOR
e4613553-1df9-4439-9331-b4bc7fb04c45	c4bc4c4b-5464-4c98-b666-97511c3014bb	PRIMARY_AUXILIARIES
e4613553-1df9-4439-9331-b4bc7fb04c45	88a5c97d-0919-4d3b-9288-bed4e37f77af	UPS
e4613553-1df9-4439-9331-b4bc7fb04c45	293cd498-87e1-4cae-ac04-76f98f6f8813	CRITICAL_AUXILIARIES
e4613553-1df9-4439-9331-b4bc7fb04c45	c6241d4b-5da5-44e0-8120-01ce0aec5727	LIGHTING
e4613553-1df9-4439-9331-b4bc7fb04c45	2522fd6c-58bc-4b79-9f07-b65c2a4b9fc1	CRITICAL_POWER_DISTRIBUTION
e4613553-1df9-4439-9331-b4bc7fb04c45	69a95a1c-6f26-4658-9588-7506ae27ca47	CRAH
e4613553-1df9-4439-9331-b4bc7fb04c45	1bb1728d-bee2-4b6f-95e6-e0f1c57a2b75	CRAC
e4613553-1df9-4439-9331-b4bc7fb04c45	3c3db8df-63d6-4c77-926d-d7f8bdc0d830	CRAC_WITHOUT_FAN
e4613553-1df9-4439-9331-b4bc7fb04c45	fd51bf5b-bff8-4b4d-b63d-fdaa76401639	CRAC_FAN
e4613553-1df9-4439-9331-b4bc7fb04c45	f8b97a00-3cf4-4ee8-b2cb-6a02d2169ec6	CHILLER
e4613553-1df9-4439-9331-b4bc7fb04c45	2bc9f554-113a-43b7-9b25-25b06a334980	AIR_COOLED_CHILLER
e4613553-1df9-4439-9331-b4bc7fb04c45	3448112f-f629-403c-b7a5-b100568b6507	COOLING_TOWER
e4613553-1df9-4439-9331-b4bc7fb04c45	2822a631-df91-4103-9a14-a2cdb0eccbde	DRY_COOLER
e4613553-1df9-4439-9331-b4bc7fb04c45	1e55c860-dcef-49ff-8970-a6c518a4b0f0	REMOTE_CONDENSER
e4613553-1df9-4439-9331-b4bc7fb04c45	49788551-d808-4638-a6c6-5b3ad87ab1a7	CHILLED_WATER_PUMPS
e4613553-1df9-4439-9331-b4bc7fb04c45	687184cf-9d99-4801-93be-d77a8771b642	HEAT_REJECTION_PUMPS
e4613553-1df9-4439-9331-b4bc7fb04c45	ab1971cf-15f8-4238-9aac-3503cdb69993	VENTILATION
e4613553-1df9-4439-9331-b4bc7fb04c45	4b313691-4952-4850-b316-6a37587e24fc	INFILTRATION
e4613553-1df9-4439-9331-b4bc7fb04c45	83b1e49a-3331-428c-a06c-8d2b266e60b8	IT_LOAD
f4784813-a054-4a66-94ef-2f41214138f0	fd6a591a-5956-4246-b979-bf8d1bbfe51c	SWITCHGEAR
f4784813-a054-4a66-94ef-2f41214138f0	19196a2c-dd7f-4746-b508-a6f821b26312	GENERATOR
f4784813-a054-4a66-94ef-2f41214138f0	a51f2a55-347e-4f32-9c4d-d5fce324a603	PRIMARY_AUXILIARIES
f4784813-a054-4a66-94ef-2f41214138f0	5ff6489f-a86d-4ef2-b38c-f7d2cbb0313e	UPS
f4784813-a054-4a66-94ef-2f41214138f0	d48a50ca-b599-4d49-a3ee-7520934c63b5	CRITICAL_AUXILIARIES
f4784813-a054-4a66-94ef-2f41214138f0	29e0c84f-60cb-485d-9808-e3116b083020	LIGHTING
f4784813-a054-4a66-94ef-2f41214138f0	6c01d8b9-5af6-4fec-8c63-b68480aa7be6	CRITICAL_POWER_DISTRIBUTION
f4784813-a054-4a66-94ef-2f41214138f0	9e7e61b7-ae28-4c2f-8727-672998abb98d	CRAH
f4784813-a054-4a66-94ef-2f41214138f0	4a493e14-8bda-4e9d-89a3-ad385df395c5	CRAC
f4784813-a054-4a66-94ef-2f41214138f0	573a4080-aa0d-442f-a76d-42b893a36855	CRAC_WITHOUT_FAN
f4784813-a054-4a66-94ef-2f41214138f0	e3bc558f-6e98-49a9-9613-dfa579e2c791	CRAC_FAN
f4784813-a054-4a66-94ef-2f41214138f0	34a8aef9-0eb6-4de1-9068-b6f54f2aa352	CHILLER
f4784813-a054-4a66-94ef-2f41214138f0	f34c8457-725f-475b-b150-6e7d07257735	AIR_COOLED_CHILLER
f4784813-a054-4a66-94ef-2f41214138f0	8aec3704-1c8d-4c7a-9bd3-7610ce342818	COOLING_TOWER
f4784813-a054-4a66-94ef-2f41214138f0	0737f022-3c8f-4e8f-89d1-3e51697da640	DRY_COOLER
f4784813-a054-4a66-94ef-2f41214138f0	c9955931-3adc-4b21-b60b-d6bc536f4f26	REMOTE_CONDENSER
f4784813-a054-4a66-94ef-2f41214138f0	014aae7a-05d9-4bf5-ac55-8eba829c0ba4	CHILLED_WATER_PUMPS
f4784813-a054-4a66-94ef-2f41214138f0	123ed45f-45ec-4b1c-9c90-55116f380018	HEAT_REJECTION_PUMPS
f4784813-a054-4a66-94ef-2f41214138f0	9d7577fa-6d48-4c1c-b823-7f459b777479	VENTILATION
f4784813-a054-4a66-94ef-2f41214138f0	fe9cee19-dd69-4502-8547-b0ab876c0d8f	INFILTRATION
f4784813-a054-4a66-94ef-2f41214138f0	c55df068-9537-4616-a57c-302064829d3c	IT_LOAD
45a35e70-10b7-463f-842f-e7cbca168d4d	17f0d5a1-8a56-4691-9059-4274c003aa12	SWITCHGEAR
45a35e70-10b7-463f-842f-e7cbca168d4d	803fbbc4-2919-4afb-b7f5-976f2fcc393c	GENERATOR
45a35e70-10b7-463f-842f-e7cbca168d4d	a046f5d4-c2d3-42ac-979b-c329bed1cf62	PRIMARY_AUXILIARIES
45a35e70-10b7-463f-842f-e7cbca168d4d	843d16aa-8b71-4dfe-bbb7-430ff3a47e30	UPS
45a35e70-10b7-463f-842f-e7cbca168d4d	a882f2e0-ba4c-48e0-bcc0-e31696dfa0ed	CRITICAL_AUXILIARIES
45a35e70-10b7-463f-842f-e7cbca168d4d	4cb7ab36-a0be-4217-9d9b-2f402774c3ba	LIGHTING
45a35e70-10b7-463f-842f-e7cbca168d4d	05ea82b9-608a-45bc-9bb7-69ad8c46a149	CRITICAL_POWER_DISTRIBUTION
45a35e70-10b7-463f-842f-e7cbca168d4d	89c95951-ab03-415a-81f1-11b14ebcf2d1	CRAH
45a35e70-10b7-463f-842f-e7cbca168d4d	3402e110-730e-4581-84b2-078f6d058d6a	CRAC
45a35e70-10b7-463f-842f-e7cbca168d4d	ac8ea4cb-c061-469c-85a2-3ea298c08f2f	CRAC_WITHOUT_FAN
45a35e70-10b7-463f-842f-e7cbca168d4d	e6d59596-3f8f-47ce-b0f6-501d5d29a02c	CRAC_FAN
45a35e70-10b7-463f-842f-e7cbca168d4d	61eb832f-e157-422f-9b1d-f602642d1168	CHILLER
45a35e70-10b7-463f-842f-e7cbca168d4d	b5e12c07-789c-484f-a23d-10a0c086f6c4	AIR_COOLED_CHILLER
45a35e70-10b7-463f-842f-e7cbca168d4d	a927fed1-9e2e-4a05-96eb-f385e1a23ac9	COOLING_TOWER
45a35e70-10b7-463f-842f-e7cbca168d4d	60d6bda4-528e-4ac8-806b-e4fb21202757	DRY_COOLER
45a35e70-10b7-463f-842f-e7cbca168d4d	1960919a-3ef0-48bc-b8e3-5e991ba90192	REMOTE_CONDENSER
45a35e70-10b7-463f-842f-e7cbca168d4d	4c3ff1ac-e2ee-4c05-9fdf-8ed083d79527	CHILLED_WATER_PUMPS
45a35e70-10b7-463f-842f-e7cbca168d4d	737f47f4-4efb-4589-89c5-1f335ee76736	HEAT_REJECTION_PUMPS
45a35e70-10b7-463f-842f-e7cbca168d4d	fe7039a7-a418-4622-9e18-9820dff84767	VENTILATION
45a35e70-10b7-463f-842f-e7cbca168d4d	00bb6493-eaa2-4ad3-8712-9ed89bdb2ada	INFILTRATION
45a35e70-10b7-463f-842f-e7cbca168d4d	1dbafdd5-c522-4136-bb93-0aad234bcb1c	IT_LOAD
0272b022-b64f-41d4-beda-661ac3d5d409	2b162ade-abdc-40e6-b462-4f0f43204310	SWITCHGEAR
0272b022-b64f-41d4-beda-661ac3d5d409	dd2ecf0a-2f44-4b88-b2e3-ef4cb7dfa0fd	GENERATOR
0272b022-b64f-41d4-beda-661ac3d5d409	83040280-87a9-46b8-9c57-dacc944324ea	PRIMARY_AUXILIARIES
0272b022-b64f-41d4-beda-661ac3d5d409	0161a3ac-96f4-4b93-9209-adc5aa7dcf54	UPS
0272b022-b64f-41d4-beda-661ac3d5d409	67eeedb7-4f98-4c8c-aa57-e83455276897	CRITICAL_AUXILIARIES
0272b022-b64f-41d4-beda-661ac3d5d409	194e7efb-b4db-42d5-893e-0380bc499fec	LIGHTING
0272b022-b64f-41d4-beda-661ac3d5d409	f68ab428-c0c8-40ac-a44e-5db2656ac127	CRITICAL_POWER_DISTRIBUTION
0272b022-b64f-41d4-beda-661ac3d5d409	85b54ff8-0544-4dfd-a3c5-81a9785fa54b	CRAH
0272b022-b64f-41d4-beda-661ac3d5d409	91091211-72eb-4c68-b27b-435c2983bb53	CRAC
0272b022-b64f-41d4-beda-661ac3d5d409	c10efa65-d062-477d-ab47-210f62748e1b	CRAC_WITHOUT_FAN
0272b022-b64f-41d4-beda-661ac3d5d409	09f1d542-d129-4cad-b461-3a9d330b9f6b	CRAC_FAN
0272b022-b64f-41d4-beda-661ac3d5d409	c50a73f3-fd65-4338-8136-075a01beb95d	CHILLER
0272b022-b64f-41d4-beda-661ac3d5d409	a505370d-8d87-4316-abd4-413f326ca6a9	AIR_COOLED_CHILLER
0272b022-b64f-41d4-beda-661ac3d5d409	7f466132-df65-423c-87dd-173bf6931d26	COOLING_TOWER
0272b022-b64f-41d4-beda-661ac3d5d409	6e4de06a-0b4a-4c26-a98c-7d32b290606d	DRY_COOLER
0272b022-b64f-41d4-beda-661ac3d5d409	0e08459b-7b93-4642-9487-bc75460ef505	REMOTE_CONDENSER
0272b022-b64f-41d4-beda-661ac3d5d409	8d022cba-f709-4272-8f99-452518a7276b	CHILLED_WATER_PUMPS
0272b022-b64f-41d4-beda-661ac3d5d409	75948944-6952-493f-9bdd-2ecf20442964	HEAT_REJECTION_PUMPS
0272b022-b64f-41d4-beda-661ac3d5d409	e19e8124-8fa1-467c-bb68-60c6fcac459a	VENTILATION
0272b022-b64f-41d4-beda-661ac3d5d409	001a30b1-95c6-4adb-bcc1-68b387e45d5a	INFILTRATION
0272b022-b64f-41d4-beda-661ac3d5d409	c76892be-5e34-4fc1-8908-8c45f971592f	IT_LOAD
3aab9048-d966-494c-9885-5abe9407552a	89334675-e2a8-40c8-8a6b-5b5da3895e03	SWITCHGEAR
3aab9048-d966-494c-9885-5abe9407552a	684d8849-e83d-4d0e-a3eb-b3cd89ec0524	GENERATOR
3aab9048-d966-494c-9885-5abe9407552a	a1b3eeae-d6a9-4e1f-80bf-5fa84798e512	PRIMARY_AUXILIARIES
3aab9048-d966-494c-9885-5abe9407552a	6989b7fd-a6a7-48ce-bbc5-c04b27091d90	UPS
3aab9048-d966-494c-9885-5abe9407552a	bcafbeac-b7df-4418-9bfd-c8566bf94b14	CRITICAL_AUXILIARIES
3aab9048-d966-494c-9885-5abe9407552a	6af1f741-90c6-4b14-b769-c766f9bbbff8	LIGHTING
3aab9048-d966-494c-9885-5abe9407552a	aa3f4086-ba0a-4205-8e20-a96bd6c5da6c	CRITICAL_POWER_DISTRIBUTION
3aab9048-d966-494c-9885-5abe9407552a	3b06e14e-8403-4d15-b0ef-cf922eb2640d	CRAH
3aab9048-d966-494c-9885-5abe9407552a	5a74474b-90fe-4159-bbc8-d81f81c7ff1d	CRAC
3aab9048-d966-494c-9885-5abe9407552a	497ae686-f600-4028-8c81-98fddc4fb23e	CRAC_WITHOUT_FAN
3aab9048-d966-494c-9885-5abe9407552a	ec317fc3-f97f-4b60-819c-be04db2c0d32	CRAC_FAN
3aab9048-d966-494c-9885-5abe9407552a	ffe26043-4091-4ed4-9268-6401e05057a8	CHILLER
3aab9048-d966-494c-9885-5abe9407552a	5334365a-279c-4924-b944-d2dbd2c2394a	AIR_COOLED_CHILLER
3aab9048-d966-494c-9885-5abe9407552a	dbf9b991-a2a6-47cf-aa21-0574e767a6eb	COOLING_TOWER
3aab9048-d966-494c-9885-5abe9407552a	6d9dd207-f2a4-427a-9f22-e77fa953d38e	DRY_COOLER
3aab9048-d966-494c-9885-5abe9407552a	614a9316-5409-456f-96b7-5332f8e77db1	REMOTE_CONDENSER
3aab9048-d966-494c-9885-5abe9407552a	b2b8861d-c8b8-439d-a98c-ddf76b14d64a	CHILLED_WATER_PUMPS
3aab9048-d966-494c-9885-5abe9407552a	0455ea11-bc80-4eed-86fa-664a90860252	HEAT_REJECTION_PUMPS
3aab9048-d966-494c-9885-5abe9407552a	1584fefb-2330-435d-b8b6-8f2e64f07b25	VENTILATION
3aab9048-d966-494c-9885-5abe9407552a	d45a9691-2e44-4401-88a1-cf1a6a46570c	INFILTRATION
3aab9048-d966-494c-9885-5abe9407552a	aa8a00de-84bb-4ad4-b3b6-d955f0f2f0a8	IT_LOAD
5816560b-c216-4f82-b8f0-131756e79629	bd6122fe-ac17-4d41-bd7c-ee9b95094e72	SWITCHGEAR
5816560b-c216-4f82-b8f0-131756e79629	56343055-6571-4af1-9717-4a2a5635e941	GENERATOR
5816560b-c216-4f82-b8f0-131756e79629	a74d0dbf-489f-49ff-9d7b-1d20fdc44a93	PRIMARY_AUXILIARIES
5816560b-c216-4f82-b8f0-131756e79629	f709534f-f750-47b4-ad68-0086a0a313d6	UPS
5816560b-c216-4f82-b8f0-131756e79629	b8e0f207-a9f9-41c6-babe-f47597ea7509	CRITICAL_AUXILIARIES
5816560b-c216-4f82-b8f0-131756e79629	29f747d8-705d-4c08-abf5-4b6d547d8c78	LIGHTING
5816560b-c216-4f82-b8f0-131756e79629	f1f48658-7ba9-44e9-9fc0-81515ed0254a	CRITICAL_POWER_DISTRIBUTION
5816560b-c216-4f82-b8f0-131756e79629	c4c4d3b9-7ba8-41ba-9d8b-6d6ad2040988	CRAH
5816560b-c216-4f82-b8f0-131756e79629	8f38262f-0ce1-4a2c-8848-321753279f62	CRAC
5816560b-c216-4f82-b8f0-131756e79629	93ef06a4-79ba-49a0-91e1-cce85c170e48	CRAC_WITHOUT_FAN
5816560b-c216-4f82-b8f0-131756e79629	db25842b-64f7-43a2-af2c-80435620c44a	CRAC_FAN
5816560b-c216-4f82-b8f0-131756e79629	369906c9-c273-4990-98f6-6ad916b60c41	CHILLER
5816560b-c216-4f82-b8f0-131756e79629	d4c8203d-bb86-4ceb-8df2-1c77781a364e	AIR_COOLED_CHILLER
5816560b-c216-4f82-b8f0-131756e79629	f238aa99-6df2-4f2e-ac89-e03e51c7c5f7	COOLING_TOWER
5816560b-c216-4f82-b8f0-131756e79629	2b06898d-9ce6-4928-93e1-b3438975a15b	DRY_COOLER
5816560b-c216-4f82-b8f0-131756e79629	7e4ef9f4-b566-4866-9d15-f235c7c19b2f	REMOTE_CONDENSER
5816560b-c216-4f82-b8f0-131756e79629	06279c2f-eae6-4c19-9d56-be63d6a285ac	CHILLED_WATER_PUMPS
5816560b-c216-4f82-b8f0-131756e79629	c7f20e2d-c570-46a6-b012-a4a6d8defcc9	HEAT_REJECTION_PUMPS
5816560b-c216-4f82-b8f0-131756e79629	8791be68-1fb4-4b2a-9fe4-01d026f10ac6	VENTILATION
5816560b-c216-4f82-b8f0-131756e79629	5d5bcacf-d8dc-49aa-987c-5a7f4ae50792	INFILTRATION
5816560b-c216-4f82-b8f0-131756e79629	69b84df9-c565-45ca-b54d-4ea500672def	IT_LOAD
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	b9089c66-f4be-4ff3-a3d3-0017e5c22b67	SWITCHGEAR
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	d8da6f88-0ca3-4885-af11-652439dd1ac2	GENERATOR
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	520957d1-80a8-437c-ae6f-b3482c429ce8	PRIMARY_AUXILIARIES
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	2dd5a27d-48ef-4e4e-a724-7c7c9f70e912	UPS
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	0cea13eb-fad2-4867-9473-5b9e33650937	CRITICAL_AUXILIARIES
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	9c45f6c0-6cb7-4baf-8c39-4328d1d273e6	LIGHTING
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	b7d96f76-2552-46d8-9a9c-d78513436fad	CRITICAL_POWER_DISTRIBUTION
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	4c53ad5e-155e-4158-856d-92537bdf5f73	CRAH
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	fc6561e6-6842-4dc2-941f-fcce8070c80e	CRAC
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	5898a62f-2ca0-492c-bc48-af8c99ae9e81	CRAC_WITHOUT_FAN
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	21cadc29-6033-4d5c-9d63-24b75f233bc8	CRAC_FAN
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	905a6b11-5b80-41be-982d-965d66960c7b	CHILLER
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	e0d37a4c-c154-444c-8903-d6c3d51aefed	AIR_COOLED_CHILLER
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	f3fe9a69-f339-4a31-b7fe-cb6f66ccd9e4	COOLING_TOWER
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	4cbb794d-21ee-4f3f-944d-5a195fcc54e0	DRY_COOLER
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	b50f5aab-cf3a-46bb-83c9-dc3d79d3f7cc	REMOTE_CONDENSER
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	432dc2d4-6e5f-4fbc-b783-5437866e1f55	CHILLED_WATER_PUMPS
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	880671ee-a3b1-4e06-af57-8ab635873a85	HEAT_REJECTION_PUMPS
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	229fff1d-1918-4ea9-8972-31fc189fae11	VENTILATION
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	c830d2d2-dce1-4ad1-88fb-0c698c339431	INFILTRATION
5b07c4c8-7ce1-4c9b-a078-8cea7d1eb81e	215618ee-6261-4cce-8501-a17484335c1c	IT_LOAD
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	1f7bc508-dbc5-4609-ba97-4a492270c47a	SWITCHGEAR
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	246b26a9-fad5-4786-8403-ee6a39323b62	GENERATOR
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	6a573ee3-8bda-4126-9f3a-c6ed3a449d15	PRIMARY_AUXILIARIES
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	dac6f112-d795-4e75-aae0-7f44aa3f2054	UPS
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	fe080563-dc3f-48fd-a7b3-1ac7519cb310	CRITICAL_AUXILIARIES
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	febb2ce4-c354-4228-a7c9-f4b276f589f0	LIGHTING
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	ad31feec-cdbd-4e31-8e10-0e361a66b1e5	CRITICAL_POWER_DISTRIBUTION
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	d4056005-9ad3-42af-b1bb-b79629278882	CRAH
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	9fa3f232-8dca-4115-94d0-5bfa13feeb02	CRAC
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	efd95a76-5963-4d57-9a34-75f8bfa2d22a	CRAC_WITHOUT_FAN
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	3e165fa6-bd09-4430-9d1b-610a0d36856b	CRAC_FAN
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	e8588155-5411-4a49-a551-0b9f6ef24201	CHILLER
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	07ca0062-4a8e-4f45-889d-74e4e2246d27	AIR_COOLED_CHILLER
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	5bcb942a-e66a-4e27-8233-fa7a28107b54	COOLING_TOWER
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	69905ff9-c768-477f-a93b-0b1d7ccdaf57	DRY_COOLER
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	7640c54a-84cb-46fc-a869-66455d07b442	REMOTE_CONDENSER
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	1215f68d-9db3-429e-b28b-68c98808e123	CHILLED_WATER_PUMPS
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	a7f2f3c5-9429-4bfb-a325-5b8bf9c1b56e	HEAT_REJECTION_PUMPS
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	d2edf53e-05e0-42a6-be73-90b2a76dca3e	VENTILATION
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	0b8c07fa-4d94-4ce8-ae79-c88269354fac	INFILTRATION
e41dcbdb-41a5-41c9-b8a0-6741d96fc732	c7eb7a7d-3a0c-4ffd-aed0-0a71bcfff8ff	IT_LOAD
1421ccad-8e03-485f-97d1-e408edc53c21	84323603-0e33-4365-b4cb-18cfc9f3898e	SWITCHGEAR
1421ccad-8e03-485f-97d1-e408edc53c21	8d3e1d42-e5b3-4651-977f-b91934a9ad05	GENERATOR
1421ccad-8e03-485f-97d1-e408edc53c21	d6774367-6bc4-4679-a12c-ce516eb363ad	PRIMARY_AUXILIARIES
1421ccad-8e03-485f-97d1-e408edc53c21	288112f1-d06d-4603-bf24-304c2c7c3e63	UPS
1421ccad-8e03-485f-97d1-e408edc53c21	22df692f-73f3-4603-bec8-d548d71af885	CRITICAL_AUXILIARIES
1421ccad-8e03-485f-97d1-e408edc53c21	cbb560ba-d263-4f4a-b9f6-6a3322ae6c3f	LIGHTING
1421ccad-8e03-485f-97d1-e408edc53c21	5bcec99e-df40-4d6b-ac23-10e5f59c53fc	CRITICAL_POWER_DISTRIBUTION
1421ccad-8e03-485f-97d1-e408edc53c21	de3b5af3-c699-4d77-a55b-becbcf50d028	CRAH
1421ccad-8e03-485f-97d1-e408edc53c21	7d9131ed-6b66-4b1d-a390-9be3a6ea952f	CRAC
1421ccad-8e03-485f-97d1-e408edc53c21	f36823db-1e05-474d-ac85-485d234f3c59	CRAC_WITHOUT_FAN
1421ccad-8e03-485f-97d1-e408edc53c21	3be22bde-6009-4e77-a2cb-166dd73e6edc	CRAC_FAN
1421ccad-8e03-485f-97d1-e408edc53c21	be1b7e5d-fe29-4c95-85d1-4d47e831899c	CHILLER
1421ccad-8e03-485f-97d1-e408edc53c21	b8ccb457-2f7d-4b53-8cbe-26653824b199	AIR_COOLED_CHILLER
1421ccad-8e03-485f-97d1-e408edc53c21	f7414897-3cdb-465a-b063-afa265197f6c	COOLING_TOWER
1421ccad-8e03-485f-97d1-e408edc53c21	d7d3bbe2-bbb7-443f-8a3f-521e47d3f4b1	DRY_COOLER
1421ccad-8e03-485f-97d1-e408edc53c21	8774588c-6d0c-4003-aff8-97985d041ba5	REMOTE_CONDENSER
1421ccad-8e03-485f-97d1-e408edc53c21	3d1167c2-f29d-4a01-bbbc-1b8f4a72ebf1	CHILLED_WATER_PUMPS
1421ccad-8e03-485f-97d1-e408edc53c21	e085f04a-7023-4be2-9c35-5ba7b28790d3	HEAT_REJECTION_PUMPS
1421ccad-8e03-485f-97d1-e408edc53c21	bef5fff8-0be7-4d56-ab0c-c35e2de839bc	VENTILATION
1421ccad-8e03-485f-97d1-e408edc53c21	6db1b4c1-410a-4816-ba78-9aaeb7e079a9	INFILTRATION
1421ccad-8e03-485f-97d1-e408edc53c21	a21e02b7-afdc-4c58-a675-56ddac74c6bd	IT_LOAD
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	f29b328e-7b60-4043-9185-f12755feffbb	SWITCHGEAR
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	628a20eb-f87b-4a23-80c0-b15dd687d4a4	GENERATOR
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	652be387-6704-4136-a13b-95ba21b79a64	PRIMARY_AUXILIARIES
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	f3d89d06-73d8-45ff-9aab-78a16a02a621	UPS
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	2fe22955-b676-4b8f-a76e-bb3f8be04bf6	CRITICAL_AUXILIARIES
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	02973586-b3e3-44d4-9780-a20eabe9bd2f	LIGHTING
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	5e87141d-ce32-4997-b6c4-a5bd7678e670	CRITICAL_POWER_DISTRIBUTION
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	2cd7ccb6-4e4d-4345-9efc-aa7e3ee5f228	CRAH
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	fe3c303f-42fe-4668-a26a-b80c364857be	CRAC
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	83c2f2b6-4b9e-4ce8-ba85-63adaa51344f	CRAC_WITHOUT_FAN
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	dd4b4097-eeaa-4447-a5e0-e79e44bcbe36	CRAC_FAN
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	9585a000-5efa-4e6b-9918-8aed885069b6	CHILLER
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	87612393-0fad-4c01-913b-cd2abf27fbbc	AIR_COOLED_CHILLER
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	787d0dc8-1c7c-4ae7-8252-89a942503d03	COOLING_TOWER
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	4e777f7d-fb78-4dc2-84c9-003f5be34628	DRY_COOLER
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	f627d2b3-82eb-47df-ac05-7b16cf9cb70c	REMOTE_CONDENSER
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	b12a39b2-b0a6-4d6b-8df2-8532631cff4a	CHILLED_WATER_PUMPS
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	2cd102ee-67c3-4a38-bf8f-512eee1b2949	HEAT_REJECTION_PUMPS
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	fa76f331-29d6-4bee-a00c-e62871a65b64	VENTILATION
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	b583c965-c9ed-41ed-803f-f60acecbd65c	INFILTRATION
c8c53a47-7e8f-4e5d-a767-02f313b8bf40	d692a6e6-df6b-48ef-a155-c948bf20bcd1	IT_LOAD
f7b3f270-f271-4992-810b-7b93b8285714	c653a5d3-589c-4268-be51-42d743fc9d17	SWITCHGEAR
f7b3f270-f271-4992-810b-7b93b8285714	80c6fe66-fc70-4175-bcc0-dff3b169f7ff	GENERATOR
f7b3f270-f271-4992-810b-7b93b8285714	3b3b762a-dc97-4502-8980-3feb02f43354	PRIMARY_AUXILIARIES
f7b3f270-f271-4992-810b-7b93b8285714	782951de-4488-49c1-92e5-455063619328	UPS
f7b3f270-f271-4992-810b-7b93b8285714	b8d4f8f7-6534-4452-b95d-33d78a3ca016	CRITICAL_AUXILIARIES
f7b3f270-f271-4992-810b-7b93b8285714	c0afb305-d59a-400d-872b-8fdf7e9dcdff	LIGHTING
f7b3f270-f271-4992-810b-7b93b8285714	cd6f699e-d2db-4a86-b218-1bd169ec7127	CRITICAL_POWER_DISTRIBUTION
f7b3f270-f271-4992-810b-7b93b8285714	94a91c93-fb81-4dc8-9c46-5b764d84f371	CRAH
f7b3f270-f271-4992-810b-7b93b8285714	2916a6a0-c0d9-41bc-8215-2aa1f9d51d24	CRAC
f7b3f270-f271-4992-810b-7b93b8285714	ee1026f0-63b5-4269-8612-2a9f1579dceb	CRAC_WITHOUT_FAN
f7b3f270-f271-4992-810b-7b93b8285714	299dc40b-508e-45f5-92a3-e4ddb85db62e	CRAC_FAN
f7b3f270-f271-4992-810b-7b93b8285714	e109a33f-472f-4ea7-bf9e-31634228020f	CHILLER
f7b3f270-f271-4992-810b-7b93b8285714	9c0b5d0a-946d-4ed9-84b6-219d56a20cdb	AIR_COOLED_CHILLER
f7b3f270-f271-4992-810b-7b93b8285714	86f24f97-cd8b-4958-9245-d7f4eab8087a	COOLING_TOWER
f7b3f270-f271-4992-810b-7b93b8285714	a30fceb2-e3fb-44e9-a7cc-910f19d6fed3	DRY_COOLER
f7b3f270-f271-4992-810b-7b93b8285714	e58d84f0-11b6-4c5b-98f0-5b54faf6d12a	REMOTE_CONDENSER
f7b3f270-f271-4992-810b-7b93b8285714	66ca4245-ec12-43ab-ad97-9e6c31f3a169	CHILLED_WATER_PUMPS
f7b3f270-f271-4992-810b-7b93b8285714	d0daa507-ab34-4203-b8bb-90edc3e92353	HEAT_REJECTION_PUMPS
f7b3f270-f271-4992-810b-7b93b8285714	48507cbd-b59f-4506-8ee9-6acb4f8c1539	VENTILATION
f7b3f270-f271-4992-810b-7b93b8285714	839c2008-ffb8-4708-a263-6a07fcd38686	INFILTRATION
f7b3f270-f271-4992-810b-7b93b8285714	d4b81313-c6c4-4c18-b610-53dc6e71f3fe	IT_LOAD
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	62f1786a-8985-4f9f-a6f6-d24484e292dc	SWITCHGEAR
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	050cf221-4f16-4e36-95a4-e0f12f000533	GENERATOR
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	92a9aaf5-9e49-4b7d-bda0-4da96dcca0f1	PRIMARY_AUXILIARIES
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	a300d9b5-29d0-4990-a01c-b1d2c12d9ce0	UPS
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	00a79058-7184-4a4b-ae86-423ee1c19315	CRITICAL_AUXILIARIES
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	ea88c066-fdd7-469c-9c70-3fa97e8b23d4	LIGHTING
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	c797e882-2c10-4689-9fc4-bf4f86d5c478	CRITICAL_POWER_DISTRIBUTION
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	fbc17e1f-3484-4c7c-826b-1bcdc3ad9449	CRAH
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	0582dc93-99ae-48f4-ad1a-c93cbec0c2f4	CRAC
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	9b446254-ccdb-40f7-8add-26b9e6e93911	CRAC_WITHOUT_FAN
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	e9889774-a942-414a-bf3f-6c17d4da1a29	CRAC_FAN
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	a28bb529-a83d-45bc-b4eb-1098622c7742	CHILLER
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	95c32a28-63de-4d2f-a59f-1331f023e50d	AIR_COOLED_CHILLER
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	ce994ee4-a1cf-4381-adf8-e73d4c67e56a	COOLING_TOWER
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	7cc647cb-17f7-43d0-8b13-edd18927815e	DRY_COOLER
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	daa4ba9a-2008-4141-8749-01b1c5f9f753	REMOTE_CONDENSER
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	c098c485-285e-4104-afc5-46f76a3ae47d	CHILLED_WATER_PUMPS
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	d7d39f10-8654-416d-bb20-a6249ff5eb62	HEAT_REJECTION_PUMPS
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	bf2ee262-85fa-4811-87f2-cae93a66ca1d	VENTILATION
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	6155854b-2e60-4650-921d-385b7b9fb564	INFILTRATION
abdec85f-8f7f-49d8-9745-14a6e48e4fd0	ab1d4a96-f97d-4236-adac-aea468c1ba45	IT_LOAD
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	d1afa755-db2a-41c6-b91d-cb48dea67c75	SWITCHGEAR
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	c420896a-737f-459c-bc4a-e2bdb6f16b9b	GENERATOR
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	c62299a5-216e-4d07-bf79-beb66b653fbc	PRIMARY_AUXILIARIES
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	4cf3d338-3f4a-4dee-8878-5f849a39083b	UPS
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	3d270144-dd19-4a97-abb6-6a50d2270979	CRITICAL_AUXILIARIES
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	fbb98b3c-8e1c-4bf9-a475-01b2f384e1f1	LIGHTING
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	6b9c7c64-ce19-40df-aab5-4c05a0b38834	CRITICAL_POWER_DISTRIBUTION
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	29be0ed4-1deb-4964-ba04-538ccda78d7e	CRAH
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	ffa98526-6c23-41ea-a6cd-bed41b541eb1	CRAC
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	134c9a5e-2e83-46ec-9ff4-3ace127a7fc8	CRAC_WITHOUT_FAN
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	2f1e40ad-fae5-4f54-9068-1f07deea6f1a	CRAC_FAN
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	086aff93-f3d9-4e67-b237-79f7982885fd	CHILLER
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	9dbef146-d726-456a-b613-dcd3ee2ff530	AIR_COOLED_CHILLER
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	ccfd2278-d9f6-4c76-af2f-1126bf6ab852	COOLING_TOWER
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	32d1c0d8-54e6-4d67-8436-53435eb7093a	DRY_COOLER
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	6a44cada-d8b8-4550-8808-f88a41d756d3	REMOTE_CONDENSER
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	73036aef-8f39-4c0d-bda0-2af5cbed2113	CHILLED_WATER_PUMPS
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	9e798bdf-708e-4be6-a256-0d4d9ce9ce96	HEAT_REJECTION_PUMPS
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	9c1cdda2-b266-4f5e-928a-60ad6160580c	VENTILATION
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	5540aa49-072e-4d86-b63c-b11fecd3561a	INFILTRATION
bb878f9e-ad8a-40ed-a51f-72c5c0c95df5	2534824f-9421-4308-be4d-10b17230998d	IT_LOAD
61d6a5ac-3dba-4002-a219-996bb8c14175	8f33ff94-cdf3-451b-92e0-e98280975ad2	SWITCHGEAR
61d6a5ac-3dba-4002-a219-996bb8c14175	a7e59cdd-959f-4e8f-82a8-e568eed16c6a	GENERATOR
61d6a5ac-3dba-4002-a219-996bb8c14175	6dcf3ea7-f0f4-4775-a2d7-52e6ae527d51	PRIMARY_AUXILIARIES
61d6a5ac-3dba-4002-a219-996bb8c14175	0e34b47b-1656-4ace-8691-d2bca06e0160	UPS
61d6a5ac-3dba-4002-a219-996bb8c14175	72f11aba-8ecc-4977-908a-6736be64d79f	CRITICAL_AUXILIARIES
61d6a5ac-3dba-4002-a219-996bb8c14175	2ac61f26-9f00-47af-b829-5e1a0afcad8f	LIGHTING
61d6a5ac-3dba-4002-a219-996bb8c14175	3971f404-9b7d-4310-a5c6-2c0419b8548e	CRITICAL_POWER_DISTRIBUTION
61d6a5ac-3dba-4002-a219-996bb8c14175	40285108-63a8-47be-9674-b2e400d7006f	CRAH
61d6a5ac-3dba-4002-a219-996bb8c14175	34b1e86e-1621-4fe9-9914-766717ec3711	CRAC
61d6a5ac-3dba-4002-a219-996bb8c14175	e9ca894d-ad21-4331-add2-6137aa81f285	CRAC_WITHOUT_FAN
61d6a5ac-3dba-4002-a219-996bb8c14175	6efd376c-279f-455f-878d-3f4b2c62ac37	CRAC_FAN
61d6a5ac-3dba-4002-a219-996bb8c14175	e9495887-6a22-449a-8245-dfad0952f395	CHILLER
61d6a5ac-3dba-4002-a219-996bb8c14175	c30282d6-08c9-4e97-9c92-063ce0ddaf8a	AIR_COOLED_CHILLER
61d6a5ac-3dba-4002-a219-996bb8c14175	8cb1b999-257c-41d7-ba39-b16c724fb333	COOLING_TOWER
61d6a5ac-3dba-4002-a219-996bb8c14175	15043213-b629-49b3-8367-7e27ef9afc15	DRY_COOLER
61d6a5ac-3dba-4002-a219-996bb8c14175	65efe8eb-7d25-40d5-a371-06a4224f19fb	REMOTE_CONDENSER
61d6a5ac-3dba-4002-a219-996bb8c14175	d6a744ee-2f24-4abb-b9a1-a1ac87c69d29	CHILLED_WATER_PUMPS
61d6a5ac-3dba-4002-a219-996bb8c14175	695e41ee-fdb9-4346-a81a-ee177a9a5e07	HEAT_REJECTION_PUMPS
61d6a5ac-3dba-4002-a219-996bb8c14175	4017666b-d4bb-46be-b426-e90a95039cc4	VENTILATION
61d6a5ac-3dba-4002-a219-996bb8c14175	5ba85de7-6eb0-4662-b232-617e3fce328c	INFILTRATION
61d6a5ac-3dba-4002-a219-996bb8c14175	be94d3a2-2d8e-4d21-8a1d-0103164e127a	IT_LOAD
c4327cdb-2390-4318-8ac8-11551f255c73	0f6e64bd-e863-4f37-aeea-431315285df2	SWITCHGEAR
c4327cdb-2390-4318-8ac8-11551f255c73	9075cade-6a41-40d4-9897-c01faf0d58dc	GENERATOR
c4327cdb-2390-4318-8ac8-11551f255c73	a2b330dc-9445-4223-822d-65cb44c53f6c	PRIMARY_AUXILIARIES
c4327cdb-2390-4318-8ac8-11551f255c73	b79352ab-52bd-4a41-98e9-8b5d93a25b95	UPS
c4327cdb-2390-4318-8ac8-11551f255c73	6be0fa31-a212-4cc9-af31-7c0878f71787	CRITICAL_AUXILIARIES
c4327cdb-2390-4318-8ac8-11551f255c73	2a0718b6-d7a2-4c81-8706-64d7a486957d	LIGHTING
c4327cdb-2390-4318-8ac8-11551f255c73	fd4afbed-fa38-4009-bb99-21d9f98d6e47	CRITICAL_POWER_DISTRIBUTION
c4327cdb-2390-4318-8ac8-11551f255c73	38d2daef-7f26-49ba-a2c9-59ec9a1e04c9	CRAH
c4327cdb-2390-4318-8ac8-11551f255c73	f0d61225-cb87-4131-9c4b-71c7ba4a7ed1	CRAC
c4327cdb-2390-4318-8ac8-11551f255c73	84b5477e-aa0f-4a63-b05a-bd572a5c174f	CRAC_WITHOUT_FAN
c4327cdb-2390-4318-8ac8-11551f255c73	134f2779-5bf2-4c36-a70e-ae6e08bd2fab	CRAC_FAN
c4327cdb-2390-4318-8ac8-11551f255c73	d5af74e5-795f-48f0-bc59-13d9587be72a	CHILLER
c4327cdb-2390-4318-8ac8-11551f255c73	11a7a2a4-b4c1-4a4f-88c8-3005d4780af2	AIR_COOLED_CHILLER
c4327cdb-2390-4318-8ac8-11551f255c73	7131bc20-52a0-4e23-8bfc-09821d55ce16	COOLING_TOWER
c4327cdb-2390-4318-8ac8-11551f255c73	f38419d4-f39b-4d50-b500-96fae338b734	DRY_COOLER
c4327cdb-2390-4318-8ac8-11551f255c73	84168766-8059-452d-a9bf-e19d34408330	REMOTE_CONDENSER
c4327cdb-2390-4318-8ac8-11551f255c73	a76a1f4e-27c8-4834-8695-c57b5f249004	CHILLED_WATER_PUMPS
c4327cdb-2390-4318-8ac8-11551f255c73	cf10a040-c043-47aa-b3d5-618d7b6aa700	HEAT_REJECTION_PUMPS
c4327cdb-2390-4318-8ac8-11551f255c73	3eec806c-12ec-4502-9ad3-f875362a84ae	VENTILATION
c4327cdb-2390-4318-8ac8-11551f255c73	39dd0780-f461-4cca-a3bc-c3618084f43e	INFILTRATION
c4327cdb-2390-4318-8ac8-11551f255c73	152ad71a-f9e0-4c09-bf39-62d653d16465	IT_LOAD
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	a27eb68f-1c8c-40b6-840b-257ca22181ca	SWITCHGEAR
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	c5d1f87d-9521-4825-b7a5-39e4dc35059a	GENERATOR
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	a45001d4-908a-44e1-afd1-201b9a9df2db	PRIMARY_AUXILIARIES
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	9395ee56-2edd-4d1c-bdf2-ba35d367037c	UPS
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	908b1b70-c49c-4b80-9ddf-1083bf842a1e	CRITICAL_AUXILIARIES
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	b658f9d7-86a3-4f40-9c51-5de6531e5b7c	LIGHTING
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	d378448c-8638-40ea-98d6-2b2b574e2dda	CRITICAL_POWER_DISTRIBUTION
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	b4d77e7a-8061-4aa5-92c1-f49dde5c5043	CRAH
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	b071c191-5528-404d-8973-057369400f22	CRAC
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	cee7a439-ec6c-4416-8b58-0b16fc9d45c3	CRAC_WITHOUT_FAN
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	a79060ac-7e12-49b9-9f83-d051cc11a305	CRAC_FAN
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	9d8117c0-fd0e-4237-b507-313c8299492d	CHILLER
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	e8380d72-e323-4887-91da-59d2c3825cd3	AIR_COOLED_CHILLER
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	e21a4d23-d65a-4686-a97f-69720381008d	COOLING_TOWER
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	0f6cca51-0247-4020-b777-b33215724201	DRY_COOLER
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	a4dffdfb-253b-4f01-87b8-fb79ce5ba133	REMOTE_CONDENSER
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	1c1f8f4a-823b-46ce-b233-0f2f3e3efebc	CHILLED_WATER_PUMPS
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	b87096a2-15b8-4264-b8d4-9e023817f7fb	HEAT_REJECTION_PUMPS
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	b55e4a9a-beaa-44da-ae3b-cacb77decee0	VENTILATION
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	eceada39-997c-4914-b63c-62d9c06f9c3d	INFILTRATION
9e046b06-18fc-4f29-b3db-62b8c6d0a0d9	b83f99d9-5929-4ec0-90ef-76de6ca85c2c	IT_LOAD
21d73734-1146-4f67-b655-20c14d529bd7	096976b7-80d6-4bb4-b83b-655234478ae4	SWITCHGEAR
21d73734-1146-4f67-b655-20c14d529bd7	f0ab3e60-6985-401d-b666-cb475e3996d7	GENERATOR
21d73734-1146-4f67-b655-20c14d529bd7	d4da0f25-4cb5-4435-ba19-154ff4f76295	PRIMARY_AUXILIARIES
21d73734-1146-4f67-b655-20c14d529bd7	af50b215-aab7-4001-b1fe-c64340a38475	UPS
21d73734-1146-4f67-b655-20c14d529bd7	1baf0571-4052-46e8-9783-c267875cd5e3	CRITICAL_AUXILIARIES
21d73734-1146-4f67-b655-20c14d529bd7	ce0eb65c-720c-4add-9b29-faa34bcf1af8	LIGHTING
21d73734-1146-4f67-b655-20c14d529bd7	9df92449-36de-4956-8af2-61bb6d8e5c8f	CRITICAL_POWER_DISTRIBUTION
21d73734-1146-4f67-b655-20c14d529bd7	4ee75fcc-81be-4ccf-abd7-64d7e41f1712	CRAH
21d73734-1146-4f67-b655-20c14d529bd7	116ee221-6bac-4c36-95fe-998963b63e32	CRAC
21d73734-1146-4f67-b655-20c14d529bd7	81256a6d-9663-4e8b-82d5-153c1ae0db69	CRAC_WITHOUT_FAN
21d73734-1146-4f67-b655-20c14d529bd7	09d35a2b-f2f5-43d6-91ea-5274152532f9	CRAC_FAN
21d73734-1146-4f67-b655-20c14d529bd7	2e22a1ad-e3a6-4731-a48e-517251130a61	CHILLER
21d73734-1146-4f67-b655-20c14d529bd7	cd57880e-dbbc-4a48-b9b3-17838d296d45	AIR_COOLED_CHILLER
21d73734-1146-4f67-b655-20c14d529bd7	825e5a33-c99d-44ab-9080-704a3e63cae1	COOLING_TOWER
21d73734-1146-4f67-b655-20c14d529bd7	bcb532a0-adaa-4f1f-970c-c0f4bb2e67c7	DRY_COOLER
21d73734-1146-4f67-b655-20c14d529bd7	50c7f1ee-b65e-44b4-9ae9-be4081ea7b31	REMOTE_CONDENSER
21d73734-1146-4f67-b655-20c14d529bd7	624ca818-a2a4-4398-b959-d7dc40deb5ab	CHILLED_WATER_PUMPS
21d73734-1146-4f67-b655-20c14d529bd7	660c74f9-05a0-42f0-83a4-b10655c93df3	HEAT_REJECTION_PUMPS
21d73734-1146-4f67-b655-20c14d529bd7	5a4b233b-e84e-49a6-9429-c949b3122a9b	VENTILATION
21d73734-1146-4f67-b655-20c14d529bd7	1240c01a-72ba-4698-8eb5-5a78ab1de9ce	INFILTRATION
21d73734-1146-4f67-b655-20c14d529bd7	db2d9c32-ebba-4c43-a3ab-4ebd1ea49741	IT_LOAD
001e78ab-d968-43c8-9b65-af9de7f93d9a	828e0274-b6ef-4729-8013-b2981a478d89	SWITCHGEAR
001e78ab-d968-43c8-9b65-af9de7f93d9a	82bfd6d6-441a-447c-b383-cf25aebdacc0	GENERATOR
001e78ab-d968-43c8-9b65-af9de7f93d9a	9d4d89be-43a3-44a6-bfd0-6016a4666dc3	PRIMARY_AUXILIARIES
001e78ab-d968-43c8-9b65-af9de7f93d9a	7dc20fb2-5a94-4e8a-96b0-53029677de3e	UPS
001e78ab-d968-43c8-9b65-af9de7f93d9a	077d071c-3fee-41e3-b4c0-536c152cfd27	CRITICAL_AUXILIARIES
001e78ab-d968-43c8-9b65-af9de7f93d9a	365f7375-2a59-4c3e-90a5-5fb916ff66c0	LIGHTING
001e78ab-d968-43c8-9b65-af9de7f93d9a	454b1cff-d1fa-469d-b86b-73ae710e0de4	CRITICAL_POWER_DISTRIBUTION
001e78ab-d968-43c8-9b65-af9de7f93d9a	2a996245-67f0-4e8c-8d81-d3e42a459cf1	CRAH
001e78ab-d968-43c8-9b65-af9de7f93d9a	f9760dcc-c4ad-4963-ac89-4bfc393c3c65	CRAC
001e78ab-d968-43c8-9b65-af9de7f93d9a	8c652f7a-5295-4695-ba7f-41ee2ce2eba4	CRAC_WITHOUT_FAN
001e78ab-d968-43c8-9b65-af9de7f93d9a	d38fff60-1ae0-44b3-82db-1ec5ab96863e	CRAC_FAN
001e78ab-d968-43c8-9b65-af9de7f93d9a	c7b47144-be43-47ab-89f2-2601c0ac4ebb	CHILLER
001e78ab-d968-43c8-9b65-af9de7f93d9a	65543ab3-22bb-4160-a782-03683dcd6ae4	AIR_COOLED_CHILLER
001e78ab-d968-43c8-9b65-af9de7f93d9a	e70f85b8-114f-4ff9-8329-57560f155963	COOLING_TOWER
001e78ab-d968-43c8-9b65-af9de7f93d9a	ff020094-73c7-4e2e-a52d-3d01b70bb38e	DRY_COOLER
001e78ab-d968-43c8-9b65-af9de7f93d9a	90847343-8e51-4b9c-851f-242af8441f18	REMOTE_CONDENSER
001e78ab-d968-43c8-9b65-af9de7f93d9a	2fdd74fe-e2ec-4d63-9aee-c469ab518fb0	CHILLED_WATER_PUMPS
001e78ab-d968-43c8-9b65-af9de7f93d9a	c5fa37d8-089b-4e42-a25c-8da9d1c9e259	HEAT_REJECTION_PUMPS
001e78ab-d968-43c8-9b65-af9de7f93d9a	2e50ff79-b817-4ad2-bccd-986a645bb321	VENTILATION
001e78ab-d968-43c8-9b65-af9de7f93d9a	612df7d7-ee55-47fd-a152-55e312db9fb7	INFILTRATION
001e78ab-d968-43c8-9b65-af9de7f93d9a	13c9e9e1-1dba-4c01-90f4-baed096511b0	IT_LOAD
55095243-1933-410a-93af-4ad700ddbea0	f1e93439-d377-4aa1-a3aa-0ee73e382ca9	SWITCHGEAR
55095243-1933-410a-93af-4ad700ddbea0	e93a5a6d-6b29-47c4-a61e-55374164b251	GENERATOR
55095243-1933-410a-93af-4ad700ddbea0	fe525caf-9222-4f46-8ea8-b6f2b1b9021e	PRIMARY_AUXILIARIES
55095243-1933-410a-93af-4ad700ddbea0	d93cd145-e8fe-40ea-bd8e-4c05ad09829a	UPS
55095243-1933-410a-93af-4ad700ddbea0	f486af8a-7a60-407d-bfa3-a14b82ea2ef5	CRITICAL_AUXILIARIES
55095243-1933-410a-93af-4ad700ddbea0	7b10335c-4a40-45c0-944c-5a01942dd8c9	LIGHTING
55095243-1933-410a-93af-4ad700ddbea0	4c8de6f1-b643-4fa7-8b0e-1f3f6ca16f4a	CRITICAL_POWER_DISTRIBUTION
55095243-1933-410a-93af-4ad700ddbea0	3f56f196-fd88-46a1-949b-1532a360ccb3	CRAH
55095243-1933-410a-93af-4ad700ddbea0	abad4065-7750-4d4c-91c4-88df7219f7b0	CRAC
55095243-1933-410a-93af-4ad700ddbea0	aa3f7af7-957b-4f51-9504-b74eb55e1037	CRAC_WITHOUT_FAN
55095243-1933-410a-93af-4ad700ddbea0	b8a4834c-9c10-4957-b725-0c373c5cdce7	CRAC_FAN
55095243-1933-410a-93af-4ad700ddbea0	b0bfb905-ea7a-47a5-8aa9-51f646400e2a	CHILLER
55095243-1933-410a-93af-4ad700ddbea0	42a8f4a7-bfd8-4687-9bcf-8d7bb3604be3	AIR_COOLED_CHILLER
55095243-1933-410a-93af-4ad700ddbea0	2a73efb1-1759-4365-97fe-ca1ddc5967fd	COOLING_TOWER
55095243-1933-410a-93af-4ad700ddbea0	763e6d2e-60b0-4887-ba08-1c25d3d60f65	DRY_COOLER
55095243-1933-410a-93af-4ad700ddbea0	6361fb08-69a5-426d-a9a0-0bb399ac52ed	REMOTE_CONDENSER
55095243-1933-410a-93af-4ad700ddbea0	dc022f1e-142b-4edd-b4c5-71fcbfb9d77e	CHILLED_WATER_PUMPS
55095243-1933-410a-93af-4ad700ddbea0	94dde146-d7a6-49af-b3f8-0672c56d8a87	HEAT_REJECTION_PUMPS
55095243-1933-410a-93af-4ad700ddbea0	f58e11fa-eb4d-4ff9-9ea1-eb7834cd8e17	VENTILATION
55095243-1933-410a-93af-4ad700ddbea0	2c21f0e6-9dd9-4fa8-92b9-4794524bb0d9	INFILTRATION
55095243-1933-410a-93af-4ad700ddbea0	364b1119-f9b2-4898-bd6a-918726b05e6b	IT_LOAD
29351aac-1d4d-4de8-9d14-3331d12f2ce6	fdecd5ca-53b0-4a87-afce-de5f412d1996	SWITCHGEAR
29351aac-1d4d-4de8-9d14-3331d12f2ce6	db193c14-19bd-46ea-bdc8-9511b71c455f	GENERATOR
29351aac-1d4d-4de8-9d14-3331d12f2ce6	9a2b4e90-791f-4af0-8e98-503c235d029e	PRIMARY_AUXILIARIES
29351aac-1d4d-4de8-9d14-3331d12f2ce6	8b774dcd-af00-416f-bb1d-d891a0b30879	UPS
29351aac-1d4d-4de8-9d14-3331d12f2ce6	7c7a1c89-0d70-483b-9e29-1518abb4d6e5	CRITICAL_AUXILIARIES
29351aac-1d4d-4de8-9d14-3331d12f2ce6	c97bf8ce-7b14-432d-aae3-ffa492ef9c01	LIGHTING
29351aac-1d4d-4de8-9d14-3331d12f2ce6	08c1665f-bca3-4d98-b514-4c4ec25d7c09	CRITICAL_POWER_DISTRIBUTION
29351aac-1d4d-4de8-9d14-3331d12f2ce6	659b0017-21c8-459e-aee4-fc047aea84a6	CRAH
29351aac-1d4d-4de8-9d14-3331d12f2ce6	5bc10056-cd76-44aa-8426-37c286141fa8	CRAC
29351aac-1d4d-4de8-9d14-3331d12f2ce6	7ccc389a-9744-481e-8137-074a35a3fac9	CRAC_WITHOUT_FAN
29351aac-1d4d-4de8-9d14-3331d12f2ce6	1dcdc674-d2c8-4429-bf27-e11ea6b2a52e	CRAC_FAN
29351aac-1d4d-4de8-9d14-3331d12f2ce6	2317fc44-7655-4a03-8751-fedfda39a511	CHILLER
29351aac-1d4d-4de8-9d14-3331d12f2ce6	5ea66e83-b8d5-4980-aaa6-ef06d159b4d6	AIR_COOLED_CHILLER
29351aac-1d4d-4de8-9d14-3331d12f2ce6	46f8b1d6-eefe-4b19-904f-ee6b15154242	COOLING_TOWER
29351aac-1d4d-4de8-9d14-3331d12f2ce6	8345f999-db89-4a0f-b20d-9ea630ac365a	DRY_COOLER
29351aac-1d4d-4de8-9d14-3331d12f2ce6	54e9ad62-6a6c-4af2-9dbd-ddf52a50ed76	REMOTE_CONDENSER
29351aac-1d4d-4de8-9d14-3331d12f2ce6	3050e804-81fb-4a21-8ad9-98fa7963cad1	CHILLED_WATER_PUMPS
29351aac-1d4d-4de8-9d14-3331d12f2ce6	2babcd92-11e3-44a7-953b-da699b1b189b	HEAT_REJECTION_PUMPS
29351aac-1d4d-4de8-9d14-3331d12f2ce6	19a41eaf-5203-4c2b-885b-884139141350	VENTILATION
29351aac-1d4d-4de8-9d14-3331d12f2ce6	34585480-4811-44e9-b7aa-516b19863eb1	INFILTRATION
29351aac-1d4d-4de8-9d14-3331d12f2ce6	f3187cca-6b48-4a30-b506-aeaf2ba17dae	IT_LOAD
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	af27cb3f-4508-4c75-85a6-19c1f19d7c85	SWITCHGEAR
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	5752c051-d684-4b20-af84-3c0fff60c5f8	GENERATOR
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	71b5a5c7-d3c7-4399-9f38-e10e5eed52d1	PRIMARY_AUXILIARIES
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	ae2c3ba6-559e-44c1-b42c-076623e92f8c	UPS
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	fbd1bb5e-a07e-4820-96cd-e5136a48db31	CRITICAL_AUXILIARIES
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	51f02516-6608-4b2c-887c-f8f2433f400c	LIGHTING
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	c918e0c1-447c-49f9-a3e2-2b77d3118124	CRITICAL_POWER_DISTRIBUTION
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	e0b3a4dd-4da5-483c-bd8d-0a29b5136afc	CRAH
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	c137ef7e-8700-4f84-ad49-7e0fa18766ae	CRAC
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	8170d593-5c90-490f-b451-5b5fc5d78a18	CRAC_WITHOUT_FAN
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	e4e35a34-bb97-4b62-8c91-d3f7e726efcd	CRAC_FAN
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	146daab6-36be-4a6a-9e14-fe9684c386d5	CHILLER
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	1566a711-c217-4331-8423-fb44173843c8	AIR_COOLED_CHILLER
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	f1947640-36b2-42f5-981d-6966362c1276	COOLING_TOWER
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	be2df56a-490e-447e-a51e-dcb30cf5fabc	DRY_COOLER
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	eae2a9e5-47e0-4b17-a344-7eba848ce87d	REMOTE_CONDENSER
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	f21b25da-0365-4003-8c99-2675646f030d	CHILLED_WATER_PUMPS
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	25233881-155b-426b-8230-342bbea93fbc	HEAT_REJECTION_PUMPS
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	39c6d993-7e4e-4fb3-9174-befade95f37b	VENTILATION
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	7aa1cdd1-104a-4c4c-87df-a6710c438b25	INFILTRATION
3a1b74c4-84f6-4fd4-bf8e-2e8bb02b469b	5c497e57-3580-437f-a043-126b14b102eb	IT_LOAD
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	4ec905e5-2e1a-4cc6-8ef4-d37e6e13b55e	SWITCHGEAR
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	92abcdf4-1c81-4f0f-842f-87662b804c64	GENERATOR
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	f61a99ed-10e9-4b7b-a7db-c2df09fa9332	PRIMARY_AUXILIARIES
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	a7dd402e-47f9-48dd-ab29-75ec9800e380	UPS
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	27597e36-4ac9-43e5-aa7c-2041803f2fb0	CRITICAL_AUXILIARIES
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	ba0c7680-37f9-4b0d-acb0-82243d38753a	LIGHTING
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	47927260-898e-4608-a359-f62fbc60bee2	CRITICAL_POWER_DISTRIBUTION
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	48621a3b-804c-415b-a9fe-d9a54851f9e0	CRAH
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	f3cbc033-975f-4d4c-9b1a-5c9bc6bcf452	CRAC
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	e243de0a-3be2-4221-805c-c417cbe1fe2f	CRAC_WITHOUT_FAN
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	69064fc7-8ee9-4078-8619-21b016a27b68	CRAC_FAN
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	9bdbb0a4-cf4f-454f-b427-491cda325141	CHILLER
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	83b44a83-05b4-411f-b6d8-dc99e6ecde52	AIR_COOLED_CHILLER
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	3904e5b0-c9b7-44eb-921a-a68d57fc393b	COOLING_TOWER
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	a33a069f-9de7-45be-b1c8-01b58b7a1047	DRY_COOLER
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	60991c7d-5575-4c49-8966-567422b30fce	REMOTE_CONDENSER
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	8d514f15-f310-4a05-a7eb-a984a40a1f63	CHILLED_WATER_PUMPS
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	9bd516c5-2fa1-4840-9a8a-d4adf2985172	HEAT_REJECTION_PUMPS
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	80a414d5-1436-402c-a3f1-04db7e14bb5d	VENTILATION
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	6df6f000-ad07-4ba7-ba26-75f01fba0164	INFILTRATION
5b1c5cb7-1f35-4165-a287-cd6502e71ba5	81fd300e-0c80-4f5c-96f1-0f95a5c7cd39	IT_LOAD
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	dda013ff-14c5-46ee-bdb8-66ac236b7ca0	SWITCHGEAR
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	afdcdda1-38cd-4bfa-87f5-cf4e4d854aba	GENERATOR
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	5766c12d-0aff-4a83-a8fe-ea45109224b9	PRIMARY_AUXILIARIES
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	f2ad85a4-38b4-4542-9969-6bf9dc99fdce	UPS
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	0988152e-2323-49b7-90c3-08c5fe8c2f89	CRITICAL_AUXILIARIES
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	840550fd-0c91-4e04-97d8-43ab94d2927c	LIGHTING
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	08198f34-db05-4562-b857-fd09b0bb1ce3	CRITICAL_POWER_DISTRIBUTION
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	c8f9d45f-6bee-4488-ac78-5a54d5a18df0	CRAH
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	352a3567-36ee-441c-8374-6b27db787cad	CRAC
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	e3544aff-8e0b-40a8-b7cb-ce79a66f86db	CRAC_WITHOUT_FAN
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	5282dfd7-ec56-4b90-ac4d-1024461a419f	CRAC_FAN
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	75c595c7-dde7-4fe3-8076-207cac4331dd	CHILLER
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	50c14661-ff3b-4661-99dd-b87fb6b59352	AIR_COOLED_CHILLER
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	03d86a59-44a5-4fa6-9b04-888b7e227626	COOLING_TOWER
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	1d0ef605-fb90-43c0-8d95-b90e4ecbdc18	DRY_COOLER
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	d31eca88-0d08-4a55-a082-d3c5152ae2c5	REMOTE_CONDENSER
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	95e61562-6cca-408b-897a-59c834ae21d5	CHILLED_WATER_PUMPS
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	c5ad0790-2dcf-48d6-ba6a-f206cd736179	HEAT_REJECTION_PUMPS
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	69bac1a8-f0a0-42b9-b833-0555948616b3	VENTILATION
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	b37b07bf-9f73-4bc7-a619-0de4102f3e95	INFILTRATION
54e001bb-2eb8-45f6-bbfb-6f9a61eb412c	882e2e62-56c7-48b3-8e2e-63a508658620	IT_LOAD
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	c71221cb-7e32-4922-aa54-0db0767c422b	SWITCHGEAR
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	fc1d1c6b-dc02-40c4-8278-55839fcc2e5e	GENERATOR
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	98dc80c6-c70c-43a7-b6c3-b8df267094be	PRIMARY_AUXILIARIES
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	822f77b2-8f43-4aac-bcba-6168f1bdb40b	UPS
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	33806335-07a2-44eb-802f-806bb0b6a2d1	CRITICAL_AUXILIARIES
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	47397a08-317e-497e-b8b1-2b9fad58c7a1	LIGHTING
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	43fc4378-db6c-4cdc-913a-4ac8c6bcb4b9	CRITICAL_POWER_DISTRIBUTION
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	d4a61829-df52-4b3c-9c84-14aa3352dca9	CRAH
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	547dfd71-21db-446f-b04e-811c9d7c32f8	CRAC
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	7a1cf070-e480-45e1-9d43-f7b9cbc9b69d	CRAC_WITHOUT_FAN
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	3c953bc2-2223-42d5-a581-a6f2dd3d986d	CRAC_FAN
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	799aaca6-a79c-41a7-a299-4a4f8d07f8ed	CHILLER
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	06fb22c0-dc67-4342-a91c-32cd8a1fab21	AIR_COOLED_CHILLER
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	30676bb2-2ecf-4b69-a673-294378160f31	COOLING_TOWER
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	c79ccd0d-6a21-46fe-a3dc-6aa13e6e2c62	DRY_COOLER
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	2f953c51-b449-4a34-bd41-a82383ac6af1	REMOTE_CONDENSER
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	ae08e656-bada-41a9-8a6c-fea2ecfc0385	CHILLED_WATER_PUMPS
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	e458c727-9848-447f-a6ad-62a9f2b320b6	HEAT_REJECTION_PUMPS
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	f8b6428a-67ff-49bf-8449-f6e2f7cb280a	VENTILATION
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	541ffad8-b953-43c1-9b9b-99fa5b167fef	INFILTRATION
fd2f1f1d-326a-4aa3-abe8-34f36a026f5b	d3047f7d-baf2-4b5c-8581-5d5e72f387ed	IT_LOAD
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	7b19251c-40f3-4440-aa87-e59550d786ae	SWITCHGEAR
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	653cefc3-ca58-4ee6-a8b9-237c11baa048	GENERATOR
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	19d05979-b97d-4af4-9acc-cfc4c01aeed6	PRIMARY_AUXILIARIES
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	ae4952ef-066e-4f55-a2c6-8edf04085511	UPS
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	fcb1b0d9-c792-40b6-ad00-282d5cb41c28	CRITICAL_AUXILIARIES
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	ababec53-981d-471e-b42d-c9deb1a0781b	LIGHTING
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	05ef64a0-4290-4538-b6b3-af30a56ef24f	CRITICAL_POWER_DISTRIBUTION
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	30c2b7e7-9bc4-4ba1-951b-09c4efda6925	CRAH
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	cc561b0e-94b8-4a02-aebe-35b231fb8c98	CRAC
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	78976718-e97b-4524-938a-4b38c102d4fd	CRAC_WITHOUT_FAN
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	b3b41ae6-0cb1-4c19-bece-089ea5b59162	CRAC_FAN
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	c2a5d8b6-0d07-4d05-a3e8-9eb263079e76	CHILLER
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	be840062-77ec-4577-9192-f433a481522a	AIR_COOLED_CHILLER
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	eefc36e1-3df9-4c08-91da-8d30a19075e0	COOLING_TOWER
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	1f2757d9-adfc-4251-bc3a-ba9b45a5ff0a	DRY_COOLER
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	595df7a1-8a60-41cb-b2a6-4327c5bb7b75	REMOTE_CONDENSER
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	635acb4a-b310-45c5-beef-83ea332f55d9	CHILLED_WATER_PUMPS
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	2dbb0057-8e4a-478a-9700-9c636be89a62	HEAT_REJECTION_PUMPS
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	d8d651ec-b225-40e6-9226-0aa31a2137f2	VENTILATION
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	a897c031-187c-47cc-8235-da3c0d3bf449	INFILTRATION
af2f3fe1-0fd1-480b-8a6e-831b7ea90fe1	440a547e-fff1-4710-9d71-f0feddbf13c1	IT_LOAD
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	0a2bb4a6-ee4d-47a6-b197-5d95a354c780	SWITCHGEAR
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	19800cb2-c081-460f-88c5-8ac7341313d9	GENERATOR
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	cd34fe6c-4e6a-4a73-8437-41c5b07465c0	PRIMARY_AUXILIARIES
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	5573000a-f44a-48e0-8c0b-c5c49a127ddc	UPS
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	335343b9-92c2-4772-a120-a15a45e16c38	CRITICAL_AUXILIARIES
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	87f9bdcc-d132-4eaf-866b-971100bd462a	LIGHTING
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	398405e4-9f8b-49c8-ab73-cf2b7112219b	CRITICAL_POWER_DISTRIBUTION
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	41e50fe5-8e5f-45cf-add1-e985e449c710	CRAH
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	8aecb154-bea1-46e5-afaf-d6b624e4f988	CRAC
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	1489921c-c259-4711-85fc-2a969f60d1cd	CRAC_WITHOUT_FAN
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	21f4f8af-b395-49cf-b766-e7319bb6f7fa	CRAC_FAN
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	bc113d62-288a-4748-a879-1cf0d7765513	CHILLER
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	7d08d2b7-953d-4dfc-8651-6b20b75863ca	AIR_COOLED_CHILLER
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	b1c595de-4187-492d-a617-26aa2dc5a0c5	COOLING_TOWER
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	b5b10fd9-e985-420d-bb5f-dcf849ded41d	DRY_COOLER
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	e54f878b-c637-47af-b473-50472dacd9a9	REMOTE_CONDENSER
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	c8594732-2f87-4073-978b-01ec6b42073f	CHILLED_WATER_PUMPS
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	86954617-0f7f-4492-b3c8-f4c52678fb7f	HEAT_REJECTION_PUMPS
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	241becbd-ccff-4911-baaa-757d6ecdfb23	VENTILATION
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	0123aa28-a1fb-4ba2-a660-35598c70d8e5	INFILTRATION
3e8dc84e-f65a-4dc8-b00b-1e33edaa778d	7bb21c4f-7a4a-4248-b811-dc332e92d8f9	IT_LOAD
cafc5ed6-626f-4747-a87b-7a18018dcd69	13ebec78-bcff-45b1-a5b7-38fe3724cd73	SWITCHGEAR
cafc5ed6-626f-4747-a87b-7a18018dcd69	33de2ebc-f4cc-46bc-8996-f47f90ac9fc8	GENERATOR
cafc5ed6-626f-4747-a87b-7a18018dcd69	bb037d0d-afd2-4525-8f60-e2ef7a3f6a1e	PRIMARY_AUXILIARIES
cafc5ed6-626f-4747-a87b-7a18018dcd69	59683f6f-1b86-4ee3-846d-fe502ff134f1	UPS
cafc5ed6-626f-4747-a87b-7a18018dcd69	961255c5-fe37-4d2e-ac0b-d85c844f1b17	CRITICAL_AUXILIARIES
cafc5ed6-626f-4747-a87b-7a18018dcd69	e40b62b4-64a8-4b4e-b9bf-459fe1fe92ac	LIGHTING
cafc5ed6-626f-4747-a87b-7a18018dcd69	f59e4d14-644f-463b-b308-0930a365ab58	CRITICAL_POWER_DISTRIBUTION
cafc5ed6-626f-4747-a87b-7a18018dcd69	b8441e3e-cc4b-4f49-9177-0a9f629432d8	CRAH
cafc5ed6-626f-4747-a87b-7a18018dcd69	bde7b7e6-86f9-43d8-bade-c40848cc54d6	CRAC
cafc5ed6-626f-4747-a87b-7a18018dcd69	9851ffce-5eff-466c-9f32-b1945739ca43	CRAC_WITHOUT_FAN
cafc5ed6-626f-4747-a87b-7a18018dcd69	1b724ae0-5fc8-4de8-96ac-e83a3a94d760	CRAC_FAN
cafc5ed6-626f-4747-a87b-7a18018dcd69	56b51dad-54ed-4d9b-b5bd-948bfad149ec	CHILLER
cafc5ed6-626f-4747-a87b-7a18018dcd69	23ec0e40-1d7a-4464-82fe-769d43f18b1a	AIR_COOLED_CHILLER
cafc5ed6-626f-4747-a87b-7a18018dcd69	e4fac906-9538-49a6-86fe-794abb36277e	COOLING_TOWER
cafc5ed6-626f-4747-a87b-7a18018dcd69	223de3f0-47a7-4d59-a02b-9e661d3da95d	DRY_COOLER
cafc5ed6-626f-4747-a87b-7a18018dcd69	3667bebe-dd26-4a44-aada-f4d9cb6df086	REMOTE_CONDENSER
cafc5ed6-626f-4747-a87b-7a18018dcd69	5b168343-8b99-4b83-af1a-084121836e41	CHILLED_WATER_PUMPS
cafc5ed6-626f-4747-a87b-7a18018dcd69	f4709580-b9f1-4ae2-9dc5-9bd1b50a5ecd	HEAT_REJECTION_PUMPS
cafc5ed6-626f-4747-a87b-7a18018dcd69	dce4a188-b658-4058-ab22-0405c0552d33	VENTILATION
cafc5ed6-626f-4747-a87b-7a18018dcd69	cf0c79e6-66ff-4ffb-aa3e-a507d7f1381b	INFILTRATION
cafc5ed6-626f-4747-a87b-7a18018dcd69	7649074d-3f6e-4871-b5d1-e9f78d3e8dd2	IT_LOAD
3ece1a26-dd42-4c72-a879-628f21786c4d	21cef31d-6091-46b1-a252-54f5f256d648	SWITCHGEAR
3ece1a26-dd42-4c72-a879-628f21786c4d	d7439d73-f4ee-4681-ba04-bfab972abdff	GENERATOR
3ece1a26-dd42-4c72-a879-628f21786c4d	990737a2-629c-44d1-bd38-c3606bce251e	PRIMARY_AUXILIARIES
3ece1a26-dd42-4c72-a879-628f21786c4d	ff0b469e-31a4-4ead-a2cb-a2ff72cadc3c	UPS
3ece1a26-dd42-4c72-a879-628f21786c4d	789c6966-fb52-4403-af61-50748043c06e	CRITICAL_AUXILIARIES
3ece1a26-dd42-4c72-a879-628f21786c4d	e2c8858f-37f0-466d-83f6-0ed36c3128fe	LIGHTING
3ece1a26-dd42-4c72-a879-628f21786c4d	98bd119b-5aac-4d16-b65b-f187eb8677ac	CRITICAL_POWER_DISTRIBUTION
3ece1a26-dd42-4c72-a879-628f21786c4d	d570463f-9def-40cc-bea2-e5de687b2a74	CRAH
3ece1a26-dd42-4c72-a879-628f21786c4d	f72f7b27-da42-427e-ba04-91f41ccdf211	CRAC
3ece1a26-dd42-4c72-a879-628f21786c4d	2a1d4ebc-a16c-45a1-be32-ce753b4176cf	CRAC_WITHOUT_FAN
3ece1a26-dd42-4c72-a879-628f21786c4d	29bce349-c3d1-4c81-8d44-3bc9cd51a169	CRAC_FAN
3ece1a26-dd42-4c72-a879-628f21786c4d	9fa84b2b-109e-41b1-bc83-badc7d26499d	CHILLER
3ece1a26-dd42-4c72-a879-628f21786c4d	ea3b6f50-30ba-4b2c-9efa-4f75c1241c09	AIR_COOLED_CHILLER
3ece1a26-dd42-4c72-a879-628f21786c4d	8078f98d-9d3a-425c-b23d-0e786a7b3f2d	COOLING_TOWER
3ece1a26-dd42-4c72-a879-628f21786c4d	9e3f7986-b595-44b7-b6c0-09e6be5d8461	DRY_COOLER
3ece1a26-dd42-4c72-a879-628f21786c4d	3098d189-41a2-4b00-b181-775e5de1ca74	REMOTE_CONDENSER
3ece1a26-dd42-4c72-a879-628f21786c4d	5e3046d0-bf15-4108-b108-ef6af5c4b416	CHILLED_WATER_PUMPS
3ece1a26-dd42-4c72-a879-628f21786c4d	d64a4d5b-f1a6-431e-98bc-ab1243afec3d	HEAT_REJECTION_PUMPS
3ece1a26-dd42-4c72-a879-628f21786c4d	d50e36a4-82f4-4d06-8aa7-2e01efb23c4f	VENTILATION
3ece1a26-dd42-4c72-a879-628f21786c4d	d41dca9d-f8d3-4730-9b34-92e960d9dae8	INFILTRATION
3ece1a26-dd42-4c72-a879-628f21786c4d	c62883ea-c09d-4e2c-8a52-4731c16deca9	IT_LOAD
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	fdadf92d-3f0e-4d9f-bfac-18e8b93e01cb	SWITCHGEAR
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	9716a6bf-9f3b-4c3c-81a5-7f0ecae92efc	GENERATOR
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	3f7c8666-2961-42fd-bbf1-264fb0105ff2	PRIMARY_AUXILIARIES
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	69f3d826-e14f-43d4-807b-a3bf4f88a034	UPS
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	add124d2-650e-487c-b809-056f6ccfe54d	CRITICAL_AUXILIARIES
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	eba68a6c-5fa3-4b9f-af7f-aa3c0f31b23b	LIGHTING
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	9273e4d5-54cb-4101-9677-77cf29352768	CRITICAL_POWER_DISTRIBUTION
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	cf3dec06-8872-4106-8a25-ba1a07019c2a	CRAH
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	efdd0cd0-7b49-4233-8b01-c15856d68167	CRAC
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	04636e41-d150-403f-9b78-9f841bc71841	CRAC_WITHOUT_FAN
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	79d26c28-82c3-4847-94e7-492959cb35ea	CRAC_FAN
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	ab88078d-cdac-4bd3-b8b2-9a902cc52729	CHILLER
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	04bd6343-4fec-403c-aef0-cfb061ffc020	AIR_COOLED_CHILLER
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	55443f9e-a5d2-47ab-a1ea-5e110b51e9c8	COOLING_TOWER
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	6a3a8957-0416-46e4-ae05-d5154369602d	DRY_COOLER
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	a7f5f495-88b1-4fd3-b589-eca639a9a36a	REMOTE_CONDENSER
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	28d35cbf-a130-43fc-894d-c5a27a38142c	CHILLED_WATER_PUMPS
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	bf39aa58-7cea-46ca-ab23-0a76886b19b4	HEAT_REJECTION_PUMPS
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	b2bdf94a-8c1c-44ce-b9e7-b0aea41df937	VENTILATION
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	3db674ce-7111-400b-bc8f-747f69b08106	INFILTRATION
e1cd56a2-5551-4201-a7d0-f4f41d4a6c71	c231f8b5-0c27-4c0d-8b5a-68d2f8905966	IT_LOAD
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	61001ecf-adcd-4b47-8636-66a866854735	SWITCHGEAR
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	be6ced83-0087-4c51-ad45-4994a74807ee	GENERATOR
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	4e508212-0011-4b45-89f0-8988e6c04239	PRIMARY_AUXILIARIES
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	bb14f9db-d3ce-4c4c-97ad-85c690d43677	UPS
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	f6ed2889-4c23-41c8-a5de-04050f8b8827	CRITICAL_AUXILIARIES
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	011483ed-e6cf-4068-a36a-49e47bf98caf	LIGHTING
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	620dd033-27b6-4173-809e-464ddbc1aef2	CRITICAL_POWER_DISTRIBUTION
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	286f12e2-4aaf-4223-b301-1acb92109319	CRAH
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	17703c16-7c75-4681-b316-616f81ca6e9b	CRAC
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	a3233b4f-db7a-4b79-8a0a-983382a28e04	CRAC_WITHOUT_FAN
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	cc5b1cc3-779c-49fb-9c0f-6dc5d25e7be5	CRAC_FAN
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	1099dc12-2cfb-44bf-8276-68bea3801159	CHILLER
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	2718b0cc-c413-40f8-a21c-d876058a7933	AIR_COOLED_CHILLER
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	688345d3-ec41-474f-8b91-fb3d3e37f708	COOLING_TOWER
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	9f6d91cb-42d1-4211-b196-6b487f75d5d2	DRY_COOLER
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	68ae078c-e324-49cb-a819-693f9702745e	REMOTE_CONDENSER
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	6ae902ac-80ce-454c-ad85-c367ec94e630	CHILLED_WATER_PUMPS
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	281baeb4-0966-4b56-9447-c9fc6582ac1d	HEAT_REJECTION_PUMPS
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	b819221b-5606-4e4c-b35c-408a08271614	VENTILATION
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	01b4b08c-d894-45c7-be6d-2c6d0927f91c	INFILTRATION
7c7c2564-8317-40d8-a4a1-7595ea3d6f10	1ec712e5-0ad1-4bf5-b09b-224e05eed8b4	IT_LOAD
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	23350577-7f56-4b96-8528-4cc4cc86c33e	SWITCHGEAR
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	b0ad92f7-0ddd-4de2-927b-72da2d134967	GENERATOR
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	a4ace317-f593-4af3-aa8c-526727f047fb	PRIMARY_AUXILIARIES
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	5b07d977-634a-488e-9ed1-5983dfd9520e	UPS
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	970c0298-7a42-4bc5-98e5-23f86299bc0a	CRITICAL_AUXILIARIES
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	dfde2d9c-c31a-4980-ab79-83b0290350d5	LIGHTING
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	cc289cc1-9dc1-429e-8725-52986dbf3abb	CRITICAL_POWER_DISTRIBUTION
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	f68db252-66a5-4816-9dfd-95a6209e27c7	CRAH
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	6b37e0bd-7667-4e6b-862e-5dc4d50ffe5a	CRAC
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	a8711928-c353-4ccf-b056-25d90bbad140	CRAC_WITHOUT_FAN
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	20b783be-456e-453c-8b2c-64f623f2a795	CRAC_FAN
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	5c56e453-4387-43e2-85aa-ce4c725ecced	CHILLER
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	8d74b219-9099-40ed-b4fe-0f097e299cf3	AIR_COOLED_CHILLER
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	dd952b99-15ad-4ee3-a891-7d654a0ab8c7	COOLING_TOWER
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	e918989d-d422-4b50-aee7-d847733c5c50	DRY_COOLER
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	0ce4bcb5-636c-42b0-b0c8-39f5d2394187	REMOTE_CONDENSER
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	07d56970-7ce4-4798-a650-cb0d8aac22d0	CHILLED_WATER_PUMPS
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	a862c702-ab8c-402c-841d-19152e9c617a	HEAT_REJECTION_PUMPS
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	53900dfd-3d7a-4a08-86df-cd34474e37a9	VENTILATION
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	17191911-16f7-4c32-b3f4-2bad6e08fcce	INFILTRATION
da905a16-7a81-4ebf-a0e9-3659c15f5e5b	142b3f22-f0be-4dff-ac35-75f00bdd6e92	IT_LOAD
d323e6cb-e9f5-40c3-b778-0713f8976256	d4a42a8c-f3ca-49cf-9103-0b189d30e6ae	SWITCHGEAR
d323e6cb-e9f5-40c3-b778-0713f8976256	4f4ab99c-4960-48c3-9dbb-f7a407cf18ab	GENERATOR
d323e6cb-e9f5-40c3-b778-0713f8976256	9b467552-3947-405b-a939-318e701c069f	PRIMARY_AUXILIARIES
d323e6cb-e9f5-40c3-b778-0713f8976256	e8746281-563f-497b-b626-1e219990e5b2	UPS
d323e6cb-e9f5-40c3-b778-0713f8976256	5b43518d-a7e5-4995-a2e6-730159390645	CRITICAL_AUXILIARIES
d323e6cb-e9f5-40c3-b778-0713f8976256	a3055522-e757-4231-937d-fa19b24be9ce	LIGHTING
d323e6cb-e9f5-40c3-b778-0713f8976256	d1080d3f-03dc-4fa9-a3f2-3d4b8a9b5238	CRITICAL_POWER_DISTRIBUTION
d323e6cb-e9f5-40c3-b778-0713f8976256	df54cfd2-a54a-4e5f-8d14-f279cf806d39	CRAH
d323e6cb-e9f5-40c3-b778-0713f8976256	088c855a-52f5-420a-8a85-5e5952d702dc	CRAC
d323e6cb-e9f5-40c3-b778-0713f8976256	70d1e70e-9a4d-43c1-abd7-df3a7eb1f43e	CRAC_WITHOUT_FAN
d323e6cb-e9f5-40c3-b778-0713f8976256	5e4fed69-34dc-4294-bd34-f85d99ff99bb	CRAC_FAN
d323e6cb-e9f5-40c3-b778-0713f8976256	5541852d-f514-4786-bcd3-76d0f1265206	CHILLER
d323e6cb-e9f5-40c3-b778-0713f8976256	78dbb06a-7484-4861-b8c4-aac38418e1a9	AIR_COOLED_CHILLER
d323e6cb-e9f5-40c3-b778-0713f8976256	e8a83bdd-09f1-4ecd-9032-807a9535d9d8	COOLING_TOWER
d323e6cb-e9f5-40c3-b778-0713f8976256	c9a0d0b4-ebff-40b9-8a6c-f8e696681c31	DRY_COOLER
d323e6cb-e9f5-40c3-b778-0713f8976256	30b83323-80bd-4ef4-b698-8b2674616060	REMOTE_CONDENSER
d323e6cb-e9f5-40c3-b778-0713f8976256	3cab31f0-7212-444a-a3f4-a18e18d08975	CHILLED_WATER_PUMPS
d323e6cb-e9f5-40c3-b778-0713f8976256	af2b423d-086c-4410-bd93-c01b832b0b8b	HEAT_REJECTION_PUMPS
d323e6cb-e9f5-40c3-b778-0713f8976256	4cf66b57-9c9e-41f0-8d11-65d67a2cdd9e	VENTILATION
d323e6cb-e9f5-40c3-b778-0713f8976256	95282786-638f-4f3f-a649-5922a73aaa6a	INFILTRATION
d323e6cb-e9f5-40c3-b778-0713f8976256	91115b99-8577-4ca9-a1e1-2e3d352e47bd	IT_LOAD
69090edc-eb01-4452-b233-526ac78938df	e2ad1afe-6e00-43e7-acbf-b556377d10ec	SWITCHGEAR
69090edc-eb01-4452-b233-526ac78938df	c607d100-a239-44de-9847-e6ebafe611a8	GENERATOR
69090edc-eb01-4452-b233-526ac78938df	bf96c586-fb8b-42e4-80c4-21e342e79305	PRIMARY_AUXILIARIES
69090edc-eb01-4452-b233-526ac78938df	9800d4c2-d815-44a6-ad96-77f820dabfcc	UPS
69090edc-eb01-4452-b233-526ac78938df	63cbd5fb-bd5d-4604-bf56-89c31534c1cf	CRITICAL_AUXILIARIES
69090edc-eb01-4452-b233-526ac78938df	d96b487a-30ca-4758-8d51-744a1084dc87	LIGHTING
69090edc-eb01-4452-b233-526ac78938df	b54e5896-22cf-4c69-b8e8-1aa25f70e0e9	CRITICAL_POWER_DISTRIBUTION
69090edc-eb01-4452-b233-526ac78938df	10b24adc-175d-4e6c-a367-c401b7e9391a	CRAH
69090edc-eb01-4452-b233-526ac78938df	cfcf1ee4-94f6-45e7-89ca-3fcf30a4a78b	CRAC
69090edc-eb01-4452-b233-526ac78938df	24a6fb11-e706-42d5-b87b-616f52d72667	CRAC_WITHOUT_FAN
69090edc-eb01-4452-b233-526ac78938df	2caffb62-72ba-400c-9ce9-394b9771cf77	CRAC_FAN
69090edc-eb01-4452-b233-526ac78938df	e841d402-e698-4db1-ab1a-042cc066df41	CHILLER
69090edc-eb01-4452-b233-526ac78938df	4ed64142-2b25-4d68-9371-b475013264e5	AIR_COOLED_CHILLER
69090edc-eb01-4452-b233-526ac78938df	711ab70f-77ba-4033-a7f2-ec99bbffbfe8	COOLING_TOWER
69090edc-eb01-4452-b233-526ac78938df	55cf83ad-cf1e-469b-9905-40e1ecbf9de0	DRY_COOLER
69090edc-eb01-4452-b233-526ac78938df	ef0e9635-429a-4754-8ab2-f06496931be0	REMOTE_CONDENSER
69090edc-eb01-4452-b233-526ac78938df	40e0168e-7da4-4e01-b25c-d15dde434baa	CHILLED_WATER_PUMPS
69090edc-eb01-4452-b233-526ac78938df	d8e7394c-8445-4844-9a62-5ad9830d3c3b	HEAT_REJECTION_PUMPS
69090edc-eb01-4452-b233-526ac78938df	18c00219-bd36-4dce-a901-732214ac5090	VENTILATION
69090edc-eb01-4452-b233-526ac78938df	a1709856-0fb3-461e-b4bf-a40a7d5fc09b	INFILTRATION
69090edc-eb01-4452-b233-526ac78938df	07a1975e-41ea-4c07-a37d-7c1067d30558	IT_LOAD
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	3b4eccc1-dc99-457e-9d44-7a99432e010f	SWITCHGEAR
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	626f654b-47cf-4053-8253-3288e523655f	GENERATOR
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	619959ec-6cb3-45ee-991d-a73b5102a395	PRIMARY_AUXILIARIES
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	75aa27c4-ef71-44fc-a7d6-6a0bc87f4b69	UPS
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	e8b9379a-5c1e-4553-b0f0-6549a4317a49	CRITICAL_AUXILIARIES
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	b9fed87c-c08e-410f-b650-a34cf332ef99	LIGHTING
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	24e94f84-a136-453d-b4f6-e004d4343ffe	CRITICAL_POWER_DISTRIBUTION
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	8ceb3602-6e8e-4e1b-a77a-c38e058e547d	CRAH
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	820b285b-c62d-4933-81dd-1e600202766e	CRAC
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	35eaa2dd-b4af-4e8f-b5e4-73c3c35677a4	CRAC_WITHOUT_FAN
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	dbb77e0d-f790-4062-92d8-df6c6ddbc802	CRAC_FAN
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	33c9f8f1-0463-4e87-9b34-ada04f808ec8	CHILLER
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	858e4cd3-7b88-40a4-b129-29b2a1289ae4	AIR_COOLED_CHILLER
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	05339b4e-2ce8-4fac-ab36-a81654a188d1	COOLING_TOWER
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	ff4b0d44-cfb2-4551-98e3-bd6dee9bfa98	DRY_COOLER
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	3425a691-14a2-4ae6-9c7c-8c2cf1ed5039	REMOTE_CONDENSER
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	dcd76aa8-c944-4e66-82fc-e3416f237a13	CHILLED_WATER_PUMPS
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	9a83d7ea-a714-4a3b-a12c-c50f97920d17	HEAT_REJECTION_PUMPS
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	60316e31-a625-4bd0-8d1b-c4ca7eb7c83f	VENTILATION
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	8ae9fa4a-c93f-4dd7-8091-f79b090af85c	INFILTRATION
9358d0c6-f271-4cfc-9572-10ee3f0b5b7e	3a45dae0-e93b-47f1-b4ea-553bd8fbf37c	IT_LOAD
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	21de78de-be9a-4b60-9fba-4fbf888e6b3a	SWITCHGEAR
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	9d9a9af7-cd34-4642-8040-b1208dbe6687	GENERATOR
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	8aa3fce4-22c7-48d6-a0ed-abd1992a2b72	PRIMARY_AUXILIARIES
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	5602b08e-1d64-48f5-8185-8c1f8e764d85	UPS
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	23661057-83d7-456c-859d-e8cad0019476	CRITICAL_AUXILIARIES
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	babaef5a-7e15-4838-b1c6-8ea378435ca5	LIGHTING
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	db7d0eee-18aa-41d4-a8eb-28eb022f0b83	CRITICAL_POWER_DISTRIBUTION
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	8296272a-635e-4ec3-8e52-48fc97fa302e	CRAH
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	8437303b-e4f2-41ac-9b5c-86f84ab0f24c	CRAC
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	b7f44e23-f8a2-4bda-b54f-54dc633fc712	CRAC_WITHOUT_FAN
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	5c0ef049-69d1-4827-835f-207bfdd61d8b	CRAC_FAN
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	1547b72b-75dc-4f29-9ea1-f0714d15fd0b	CHILLER
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	080490aa-f362-40fd-b956-4c4c4b7a440a	AIR_COOLED_CHILLER
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	139c9b53-4b9d-4afe-8009-2740e9700bf0	COOLING_TOWER
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	f0264204-d519-40ba-a7b7-a9a7c5b53d83	DRY_COOLER
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	6a0e0ed2-bb19-45a5-841d-ed25241d4395	REMOTE_CONDENSER
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	56a86845-f03f-4afe-9c9e-6662a652da0f	CHILLED_WATER_PUMPS
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	08b63a10-ed1b-496b-bc01-a81b81948ca2	HEAT_REJECTION_PUMPS
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	0651230e-9b2b-4dea-b3cd-8153f095b1e7	VENTILATION
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	6a28a77e-ad02-4105-9b9f-e033024e8ab3	INFILTRATION
76c41b3c-149a-4f87-a84d-d1f3272a3b6f	8f0bfcb6-20f6-4373-91b0-5699cbf6dbb3	IT_LOAD
6dbb96d9-8882-4148-8adf-45bdf97ee31a	d6040958-77e0-4ef4-96c2-a9e4b4d8fe31	SWITCHGEAR
6dbb96d9-8882-4148-8adf-45bdf97ee31a	8dd5e264-0d53-4517-9aee-30662d3a05eb	GENERATOR
6dbb96d9-8882-4148-8adf-45bdf97ee31a	5dd1002b-71bd-4371-9951-f4250eb19b23	PRIMARY_AUXILIARIES
6dbb96d9-8882-4148-8adf-45bdf97ee31a	8eeb19dd-dde2-4524-9025-b5ff4ac8b79f	UPS
6dbb96d9-8882-4148-8adf-45bdf97ee31a	cb4aa051-51f1-4c12-aa19-1d72447b8ace	CRITICAL_AUXILIARIES
6dbb96d9-8882-4148-8adf-45bdf97ee31a	8227f766-47e4-434f-a2c6-7595f3e5d633	LIGHTING
6dbb96d9-8882-4148-8adf-45bdf97ee31a	75fdb991-8f35-403b-8d67-2caec7a0fedb	CRITICAL_POWER_DISTRIBUTION
6dbb96d9-8882-4148-8adf-45bdf97ee31a	c7ea0e52-7fb2-4339-8298-b43f332b9c09	CRAH
6dbb96d9-8882-4148-8adf-45bdf97ee31a	23085289-d79e-4ae0-a137-7800a706c03a	CRAC
6dbb96d9-8882-4148-8adf-45bdf97ee31a	b21c7612-25cc-475c-b25d-4c02d618e146	CRAC_WITHOUT_FAN
6dbb96d9-8882-4148-8adf-45bdf97ee31a	68d664fa-0df6-480c-a609-30df5e359722	CRAC_FAN
6dbb96d9-8882-4148-8adf-45bdf97ee31a	36a7df48-b242-43bd-9d58-328132f1d8d0	CHILLER
6dbb96d9-8882-4148-8adf-45bdf97ee31a	cb970b07-de38-4360-8f7a-35afd33625e1	AIR_COOLED_CHILLER
6dbb96d9-8882-4148-8adf-45bdf97ee31a	d80e019a-8474-4230-a119-b497c8cde27e	COOLING_TOWER
6dbb96d9-8882-4148-8adf-45bdf97ee31a	304202eb-a7c4-447a-920c-37211d3399d7	DRY_COOLER
6dbb96d9-8882-4148-8adf-45bdf97ee31a	574eba3d-730d-4690-8465-ae67682183f8	REMOTE_CONDENSER
6dbb96d9-8882-4148-8adf-45bdf97ee31a	6359fe28-70a8-4c31-a189-504cac9400fb	CHILLED_WATER_PUMPS
6dbb96d9-8882-4148-8adf-45bdf97ee31a	61344674-3ced-4ac2-b1a7-b42493f505f7	HEAT_REJECTION_PUMPS
6dbb96d9-8882-4148-8adf-45bdf97ee31a	213a6da7-c80c-4517-9830-de6241b9a2a0	VENTILATION
6dbb96d9-8882-4148-8adf-45bdf97ee31a	a024dc71-a522-47b7-8f21-f0efa93674fc	INFILTRATION
6dbb96d9-8882-4148-8adf-45bdf97ee31a	0c74fc9b-d352-449f-ba84-8c861dd7fef8	IT_LOAD
777e8de1-ba37-424a-ad44-c7c79f45c43d	969d1f3b-bde0-44c2-89c7-1a2e1ca8b5fd	SWITCHGEAR
777e8de1-ba37-424a-ad44-c7c79f45c43d	e34e74b1-c0d3-493d-85c6-44d56fb916a2	GENERATOR
777e8de1-ba37-424a-ad44-c7c79f45c43d	28236d93-ffc4-48e3-8b8a-d8461402035e	PRIMARY_AUXILIARIES
777e8de1-ba37-424a-ad44-c7c79f45c43d	41064bef-5694-4c67-b921-aec21c9aebf7	UPS
777e8de1-ba37-424a-ad44-c7c79f45c43d	fefd0c9d-eab3-4cad-b7e1-347d286727c4	CRITICAL_AUXILIARIES
777e8de1-ba37-424a-ad44-c7c79f45c43d	69ecb443-3921-462f-aa5e-3ddef5088914	LIGHTING
777e8de1-ba37-424a-ad44-c7c79f45c43d	72298222-865d-4d7e-a8d6-d9c15fbdfeb8	CRITICAL_POWER_DISTRIBUTION
777e8de1-ba37-424a-ad44-c7c79f45c43d	86b6916a-d834-429b-8536-19b52eb49ee1	CRAH
777e8de1-ba37-424a-ad44-c7c79f45c43d	860e392b-7851-48de-8415-2ed5f5983219	CRAC
777e8de1-ba37-424a-ad44-c7c79f45c43d	11b9e202-f4ee-4a19-8be2-4b04132a19c9	CRAC_WITHOUT_FAN
777e8de1-ba37-424a-ad44-c7c79f45c43d	fb8c9681-fda1-4161-ad7c-7a2f9277ead1	CRAC_FAN
777e8de1-ba37-424a-ad44-c7c79f45c43d	eb8172ab-f102-4d8d-9c59-c95a511d8572	CHILLER
777e8de1-ba37-424a-ad44-c7c79f45c43d	f91b8a0b-64c5-4b8e-85d0-ebf1dca43cf4	AIR_COOLED_CHILLER
777e8de1-ba37-424a-ad44-c7c79f45c43d	ce962bd3-122b-4088-bf12-f2f907d913f1	COOLING_TOWER
777e8de1-ba37-424a-ad44-c7c79f45c43d	0a5df9db-9cfe-4159-9b70-6305fead0b2f	DRY_COOLER
777e8de1-ba37-424a-ad44-c7c79f45c43d	06e58e58-7f04-4ac3-8f71-1da6d71f273b	REMOTE_CONDENSER
777e8de1-ba37-424a-ad44-c7c79f45c43d	9b3ad50b-d9c6-4448-a14d-138fd4eb5d83	CHILLED_WATER_PUMPS
777e8de1-ba37-424a-ad44-c7c79f45c43d	a11337b9-8b65-4088-a718-b468573c2926	HEAT_REJECTION_PUMPS
777e8de1-ba37-424a-ad44-c7c79f45c43d	045cb9a2-8bca-4760-9f45-43efbe5c3ec0	VENTILATION
777e8de1-ba37-424a-ad44-c7c79f45c43d	c0b9aa00-e453-4c95-a351-b5f76d932e8f	INFILTRATION
777e8de1-ba37-424a-ad44-c7c79f45c43d	69561739-bb50-4f5d-b2be-0d7c699c4d49	IT_LOAD
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	ed9c9073-7008-41aa-80e9-9ded46568e2e	SWITCHGEAR
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	9538cb01-256b-4d90-a4d1-157e0927e660	GENERATOR
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	80ea4455-4de1-4f67-8ad5-dc5b42d57b4a	PRIMARY_AUXILIARIES
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	616578cf-0a9a-4855-a358-afdccd05d080	UPS
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	5a10edd0-2103-490c-a803-94b3769d8f82	CRITICAL_AUXILIARIES
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	82dae25c-0fac-48ea-b673-44debd727f6f	LIGHTING
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	20dcc565-9845-4641-9fcd-d231094c84a8	CRITICAL_POWER_DISTRIBUTION
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	a7b669bb-54f0-4e94-a3e6-8ef2734f7f9e	CRAH
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	c46f8df0-ae13-42f1-9b76-ec204747d939	CRAC
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	809e4322-1649-4ce9-b986-1ac73736dbea	CRAC_WITHOUT_FAN
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	b4cfd928-1e19-487a-833b-cb739b8a70a1	CRAC_FAN
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	c04e1bef-a80b-470d-b258-78b45124045f	CHILLER
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	7f949d8c-5e2b-4482-a8bd-b22e7fe9be29	AIR_COOLED_CHILLER
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	46184e63-2e26-4b71-ba75-138d7f69f59e	COOLING_TOWER
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	5d1c8843-baed-4c07-af33-72446d95fe4d	DRY_COOLER
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	82d6053b-18f9-47cf-bc6a-e1869b938feb	REMOTE_CONDENSER
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	fc0f9237-8f23-444b-83fb-a9175c3e9dd9	CHILLED_WATER_PUMPS
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	ab778d6f-455c-4a59-aa0a-0c0374a3f642	HEAT_REJECTION_PUMPS
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	8e0a8a5f-d604-4c0e-b66e-e7513291516b	VENTILATION
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	121fc106-e915-48ca-84d1-f619493e8587	INFILTRATION
c3bc132f-3a0c-4313-b4ee-ef7b85d64e78	8e2af582-0cdb-4c7d-b976-635a4c181bf7	IT_LOAD
85eec1e1-27b3-451d-af3e-aa11323dc359	cd2e96f8-3f92-4729-ba7a-5a8473524408	SWITCHGEAR
85eec1e1-27b3-451d-af3e-aa11323dc359	be303ef3-1f0a-48c1-b72d-9a7f0dd46e11	GENERATOR
85eec1e1-27b3-451d-af3e-aa11323dc359	5c9f6260-c3ef-468c-a0ac-f6d159af58c5	PRIMARY_AUXILIARIES
85eec1e1-27b3-451d-af3e-aa11323dc359	6ef63374-cbb0-4911-b325-093441c57c2a	UPS
85eec1e1-27b3-451d-af3e-aa11323dc359	d9cb9b15-aaa4-4642-9da0-a7863fe2cc2f	CRITICAL_AUXILIARIES
85eec1e1-27b3-451d-af3e-aa11323dc359	a355a5c0-529b-4d17-b5c0-3df47e6af754	LIGHTING
85eec1e1-27b3-451d-af3e-aa11323dc359	6215c1d6-2f46-43a2-8e2a-37fe5fa85364	CRITICAL_POWER_DISTRIBUTION
85eec1e1-27b3-451d-af3e-aa11323dc359	29b91b2c-3d38-4817-b4dd-ea663a442a97	CRAH
85eec1e1-27b3-451d-af3e-aa11323dc359	5e0d82a0-c0b1-400c-9911-3c0063ba4851	CRAC
85eec1e1-27b3-451d-af3e-aa11323dc359	e7749d96-560f-44e7-8f77-ed8d3798a875	CRAC_WITHOUT_FAN
85eec1e1-27b3-451d-af3e-aa11323dc359	8160214b-aa7d-4e22-93bb-88e442299e54	CRAC_FAN
85eec1e1-27b3-451d-af3e-aa11323dc359	282f38dd-7b90-4fbe-a1be-aaad9391c75e	CHILLER
85eec1e1-27b3-451d-af3e-aa11323dc359	45ff52b8-fabe-40ce-89e7-66c11b70edd0	AIR_COOLED_CHILLER
85eec1e1-27b3-451d-af3e-aa11323dc359	dc3381d2-b755-4b07-be96-49075fe63911	COOLING_TOWER
85eec1e1-27b3-451d-af3e-aa11323dc359	7807e3de-e8b1-4bfa-b1e8-0524eb846a4c	DRY_COOLER
85eec1e1-27b3-451d-af3e-aa11323dc359	8f9eb195-6cf6-4947-a387-090d7733b126	REMOTE_CONDENSER
85eec1e1-27b3-451d-af3e-aa11323dc359	3055dbec-d31d-4e1f-b097-e1e223b7c013	CHILLED_WATER_PUMPS
85eec1e1-27b3-451d-af3e-aa11323dc359	b2af51b9-8390-4f53-931b-7c1e35840f23	HEAT_REJECTION_PUMPS
85eec1e1-27b3-451d-af3e-aa11323dc359	907e396e-31df-4e61-b145-67a5ca06ae4c	VENTILATION
85eec1e1-27b3-451d-af3e-aa11323dc359	653dbc29-17c3-489c-b4f6-a4384cb21f2d	INFILTRATION
85eec1e1-27b3-451d-af3e-aa11323dc359	facc157d-f10e-45fe-b334-014b77eab9b5	IT_LOAD
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	90a96217-bb1b-4531-a241-1c0ed0cbd35b	SWITCHGEAR
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	55ea9506-3687-44a2-bc38-44fe272bb56d	GENERATOR
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	fe49bc6f-5231-42f6-bf36-281c47c948fa	PRIMARY_AUXILIARIES
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	14ea804c-46d8-4f30-bd49-d5f32f056a1a	UPS
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	872ff6cf-7eab-45dd-8dc5-b6b3b19ddf8a	CRITICAL_AUXILIARIES
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	be0325b1-ea75-45a4-955c-6e5e93d01af0	LIGHTING
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	28502362-b4e1-4d62-a28e-9d9d8c9149fa	CRITICAL_POWER_DISTRIBUTION
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	c6036ba3-d057-4676-8bc1-423f765306fc	CRAH
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	7401222e-287a-4791-89b7-43f9ffb239c7	CRAC
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	54f48979-35be-4d9e-bb0c-b6b0b0045eb3	CRAC_WITHOUT_FAN
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	75af0de8-f99c-429e-9d25-1dd9ec7d7802	CRAC_FAN
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	35a90407-4b4c-41d0-85ee-7c1a94463764	CHILLER
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	e50b9779-c8e4-4db8-8ad1-354d2e8bb682	AIR_COOLED_CHILLER
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	32d53690-33a2-44a2-97df-668e098f4c35	COOLING_TOWER
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	cad2015d-2e19-44fd-bc0a-dc4c7764cc32	DRY_COOLER
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	47b183f6-b71e-44d0-a18d-fc0caf4d1d91	REMOTE_CONDENSER
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	7f4a5faf-8190-4e0a-82a6-1a4616dc1be1	CHILLED_WATER_PUMPS
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	220827d9-1055-4bcd-b719-83ca46d85398	HEAT_REJECTION_PUMPS
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	6912d5f2-aaaf-4683-bc19-b77bd9393398	VENTILATION
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	a25d0546-ea23-4195-a638-64d2821e5801	INFILTRATION
38bc7c3b-8b23-4c33-822c-2b7d98f1922e	5895bbe7-d2fa-4aac-85d4-2badc565cccc	IT_LOAD
9f679ae9-dda9-4702-8f4a-83cdc823d880	1184fbc3-a0ec-4ebc-ab00-0c9241b7a2fb	SWITCHGEAR
9f679ae9-dda9-4702-8f4a-83cdc823d880	4da45025-3cbe-48cc-b5e1-75b6edf4054d	GENERATOR
9f679ae9-dda9-4702-8f4a-83cdc823d880	9b096be3-8ebf-4e59-9b1f-79a16b8f3f8f	PRIMARY_AUXILIARIES
9f679ae9-dda9-4702-8f4a-83cdc823d880	90631385-a57c-4d9b-98f8-0732f8da9f46	UPS
9f679ae9-dda9-4702-8f4a-83cdc823d880	069e9818-2a6b-480e-a761-78216a22a93c	CRITICAL_AUXILIARIES
9f679ae9-dda9-4702-8f4a-83cdc823d880	c1a14e9e-5ead-417f-8c8c-8e8212e9c4e8	LIGHTING
9f679ae9-dda9-4702-8f4a-83cdc823d880	4ccf50be-b9fd-4156-ac2e-14cbef905f4d	CRITICAL_POWER_DISTRIBUTION
9f679ae9-dda9-4702-8f4a-83cdc823d880	bdeaebe4-5556-48f8-9f7f-c36dda04831c	CRAH
9f679ae9-dda9-4702-8f4a-83cdc823d880	211bf546-a071-4207-bab1-ef92532fd41c	CRAC
9f679ae9-dda9-4702-8f4a-83cdc823d880	2f313a17-f361-4742-b9c4-1dbda044dffb	CRAC_WITHOUT_FAN
9f679ae9-dda9-4702-8f4a-83cdc823d880	9598c27f-6ba1-4f0f-9ac4-eba3dc94889e	CRAC_FAN
9f679ae9-dda9-4702-8f4a-83cdc823d880	2e478435-0ec1-492b-a350-db17b81710da	CHILLER
9f679ae9-dda9-4702-8f4a-83cdc823d880	e8a71606-fdfb-474c-a3ce-78e2c708955e	AIR_COOLED_CHILLER
9f679ae9-dda9-4702-8f4a-83cdc823d880	6fb96123-63d6-42c6-ad37-999494c7dedd	COOLING_TOWER
9f679ae9-dda9-4702-8f4a-83cdc823d880	33363ffb-814b-4062-b21f-51c0a3116860	DRY_COOLER
9f679ae9-dda9-4702-8f4a-83cdc823d880	5d17bcde-b9f1-4881-a144-8fa3cff9bcc8	REMOTE_CONDENSER
9f679ae9-dda9-4702-8f4a-83cdc823d880	27c49a57-6a07-4c4a-857a-20b216ca8e16	CHILLED_WATER_PUMPS
9f679ae9-dda9-4702-8f4a-83cdc823d880	a46ae00e-cb46-4440-b244-cf08ef6d07a7	HEAT_REJECTION_PUMPS
9f679ae9-dda9-4702-8f4a-83cdc823d880	a2e15b36-a2f8-4495-b914-c7fc22d8ea08	VENTILATION
9f679ae9-dda9-4702-8f4a-83cdc823d880	9066caab-1afb-4c34-98ce-e410e2d88792	INFILTRATION
9f679ae9-dda9-4702-8f4a-83cdc823d880	98cc23e8-f7f9-4971-b52b-5c75b3105212	IT_LOAD
e8c782f4-7835-484a-89b3-c813f88d6b3a	6c0fe1e4-225d-4bfe-9ea9-f1765ee4b31b	SWITCHGEAR
e8c782f4-7835-484a-89b3-c813f88d6b3a	7256d87f-0f97-4260-83b1-911523abd618	GENERATOR
e8c782f4-7835-484a-89b3-c813f88d6b3a	ca462ca4-d90f-4b70-bc27-dad313310c50	PRIMARY_AUXILIARIES
e8c782f4-7835-484a-89b3-c813f88d6b3a	5ba9ebd0-9988-4433-8bae-8346fd34e5c5	UPS
e8c782f4-7835-484a-89b3-c813f88d6b3a	706bd8c4-dbed-4276-bdd0-be544000048b	CRITICAL_AUXILIARIES
e8c782f4-7835-484a-89b3-c813f88d6b3a	1903cb65-08a8-4a9b-a230-4cba97c64108	LIGHTING
e8c782f4-7835-484a-89b3-c813f88d6b3a	d42e04e0-34f1-4b7d-a09d-c5bdd5e3dad8	CRITICAL_POWER_DISTRIBUTION
e8c782f4-7835-484a-89b3-c813f88d6b3a	00829634-318e-47ee-aafe-ec6a4c1227e6	CRAH
e8c782f4-7835-484a-89b3-c813f88d6b3a	36c7efd2-144c-4428-8b1e-9cb35fc8ba72	CRAC
e8c782f4-7835-484a-89b3-c813f88d6b3a	40998e11-6929-46d2-9fe7-ccd7a3e04e1e	CRAC_WITHOUT_FAN
e8c782f4-7835-484a-89b3-c813f88d6b3a	61e0874e-7cf2-49e2-9f10-6f3cc9d3a022	CRAC_FAN
e8c782f4-7835-484a-89b3-c813f88d6b3a	241159c4-8a17-4df7-bc6c-e9c135e47238	CHILLER
e8c782f4-7835-484a-89b3-c813f88d6b3a	2bab2aea-efb0-4cdd-a881-e34cf3ba822d	AIR_COOLED_CHILLER
e8c782f4-7835-484a-89b3-c813f88d6b3a	a6d0a561-9515-4e43-96ba-921ce9489188	COOLING_TOWER
e8c782f4-7835-484a-89b3-c813f88d6b3a	aa04e051-3975-48ed-aa84-b1a04a809748	DRY_COOLER
e8c782f4-7835-484a-89b3-c813f88d6b3a	2011a26a-8ea0-4a15-a773-8c0a4f3b7299	REMOTE_CONDENSER
e8c782f4-7835-484a-89b3-c813f88d6b3a	229ff10a-ad65-41a0-bc0c-63d6acc5f7c5	CHILLED_WATER_PUMPS
e8c782f4-7835-484a-89b3-c813f88d6b3a	8a4931c4-2ad8-47b1-94b3-b4214eb7a99d	HEAT_REJECTION_PUMPS
e8c782f4-7835-484a-89b3-c813f88d6b3a	5b86b8f3-ce32-48f8-a13f-e86c7752092e	VENTILATION
e8c782f4-7835-484a-89b3-c813f88d6b3a	5f70d594-d195-4467-acc3-988026db06ed	INFILTRATION
e8c782f4-7835-484a-89b3-c813f88d6b3a	351d4b0c-af87-409d-8586-c48b2fdee4b4	IT_LOAD
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	ad65e3e3-c6bc-49a3-8a05-1c5a329b925f	SWITCHGEAR
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	fcaabf5d-7cb4-467f-8887-983e1f328cc3	GENERATOR
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	03da2f35-610b-4ddd-978d-97fed3be5b47	PRIMARY_AUXILIARIES
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	12c22199-3cef-412a-8404-891f84f54165	UPS
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	6864d711-3a60-4597-a19a-0aa40dda5fdf	CRITICAL_AUXILIARIES
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	31d8720a-0cd1-47f1-9848-7df9085ba575	LIGHTING
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	a2a826fe-7143-45cf-957d-b78dd0f8e4a0	CRITICAL_POWER_DISTRIBUTION
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	9e3fdfc7-6006-4d43-a386-2d73ada73939	CRAH
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	d54d9756-a28a-4668-846a-8ae47fdfbbff	CRAC
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	ba8fe556-e667-4f56-878a-79a85bbce3fb	CRAC_WITHOUT_FAN
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	7e8a1593-6739-4256-9b89-780fce047d2b	CRAC_FAN
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	17397a84-a05b-425b-ae5d-71370c64d349	CHILLER
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	816902f9-fc32-4922-9f9d-d6dd9f4f2266	AIR_COOLED_CHILLER
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	98814286-e507-4502-a470-5848a6a184ac	COOLING_TOWER
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	50d69419-996e-495d-9114-6385a62672fb	DRY_COOLER
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	1c73e749-5bf5-4bef-ae15-af30fb418c82	REMOTE_CONDENSER
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	a277e285-0791-4a6c-81aa-b51d54119d4e	CHILLED_WATER_PUMPS
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	e13b82a7-4bdc-4265-ae9d-c9785f6560fd	HEAT_REJECTION_PUMPS
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	623e3cda-7214-4738-8b7d-90332eb5d168	VENTILATION
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	716e3c70-057a-41bb-8fcf-ba60fd914fd2	INFILTRATION
3e3b8da1-69ec-4313-b6bd-a2e6645c8218	39ee1c66-7225-484a-b70d-a861c157b3dc	IT_LOAD
05913ac9-b27a-4be5-8df4-48d31e773a57	8c5b83b6-f3de-4e21-a04b-e1ad463e608d	SWITCHGEAR
05913ac9-b27a-4be5-8df4-48d31e773a57	3d5c2812-ea71-41a5-a481-94ce55896e4b	GENERATOR
05913ac9-b27a-4be5-8df4-48d31e773a57	ed2aa966-4bad-419a-b012-edcaa39afd64	PRIMARY_AUXILIARIES
05913ac9-b27a-4be5-8df4-48d31e773a57	c01358b4-5462-41fc-85fb-a97c15a7d772	UPS
05913ac9-b27a-4be5-8df4-48d31e773a57	743fce2c-b26c-4bfd-b9d7-0b1b3665707c	CRITICAL_AUXILIARIES
05913ac9-b27a-4be5-8df4-48d31e773a57	c0aa7460-57fe-45ff-a3ab-ec10e43ac248	LIGHTING
05913ac9-b27a-4be5-8df4-48d31e773a57	29b2c96a-c6fc-413b-94d5-f5f776192f4a	CRITICAL_POWER_DISTRIBUTION
05913ac9-b27a-4be5-8df4-48d31e773a57	185c62b1-0b9a-481f-b00c-a89e0a21ffb6	CRAH
05913ac9-b27a-4be5-8df4-48d31e773a57	fa9bd437-e0ca-44b8-9074-445eb39aace3	CRAC
05913ac9-b27a-4be5-8df4-48d31e773a57	8836e388-c31d-4ec9-9a77-d86a840dbaa0	CRAC_WITHOUT_FAN
05913ac9-b27a-4be5-8df4-48d31e773a57	fcfeefed-e622-4362-ad24-737a7b48a88b	CRAC_FAN
05913ac9-b27a-4be5-8df4-48d31e773a57	4841eb2d-96c0-466f-b967-bf6dde6665d0	CHILLER
05913ac9-b27a-4be5-8df4-48d31e773a57	9824c16e-de58-4308-8538-9baee4ef1605	AIR_COOLED_CHILLER
05913ac9-b27a-4be5-8df4-48d31e773a57	5694fb78-e31a-4837-af4e-026235224723	COOLING_TOWER
05913ac9-b27a-4be5-8df4-48d31e773a57	fe54e1df-4e6b-4a79-ab27-cd1f59f26505	DRY_COOLER
05913ac9-b27a-4be5-8df4-48d31e773a57	f44fa2de-a7e4-4a50-a9bc-6c1aa2fe84f5	REMOTE_CONDENSER
05913ac9-b27a-4be5-8df4-48d31e773a57	93abcea3-0f42-4355-bb7a-9f94e0d1a0c8	CHILLED_WATER_PUMPS
05913ac9-b27a-4be5-8df4-48d31e773a57	cfec004a-fa70-4db2-b278-047629b66564	HEAT_REJECTION_PUMPS
05913ac9-b27a-4be5-8df4-48d31e773a57	55f65844-6e1e-453c-aaaa-13836be3ca7e	VENTILATION
05913ac9-b27a-4be5-8df4-48d31e773a57	c83988e8-12ab-4fde-b11c-2278da9800d2	INFILTRATION
05913ac9-b27a-4be5-8df4-48d31e773a57	b47633be-beef-46f7-99d7-8ca3f623ca94	IT_LOAD
0081deba-b009-48b8-9649-fd18e0e9be2d	87b84bef-f4cf-4896-8a10-6f8a6df8f430	SWITCHGEAR
0081deba-b009-48b8-9649-fd18e0e9be2d	1c531318-636b-43eb-b2aa-0111c0a451de	GENERATOR
0081deba-b009-48b8-9649-fd18e0e9be2d	b03edb89-2078-45ae-862c-40e450682557	PRIMARY_AUXILIARIES
0081deba-b009-48b8-9649-fd18e0e9be2d	06445225-d2fc-445f-a8f9-f6d218269a08	UPS
0081deba-b009-48b8-9649-fd18e0e9be2d	4f661e14-319a-49df-92d8-b182848aaca6	CRITICAL_AUXILIARIES
0081deba-b009-48b8-9649-fd18e0e9be2d	8f8d6018-8641-43a6-aa99-5541385364a7	LIGHTING
0081deba-b009-48b8-9649-fd18e0e9be2d	daf4186a-df55-4ac3-9ac6-8afda1f27a86	CRITICAL_POWER_DISTRIBUTION
0081deba-b009-48b8-9649-fd18e0e9be2d	5eeefa45-3e45-416c-93fe-798ebb78cd8b	CRAH
0081deba-b009-48b8-9649-fd18e0e9be2d	8ae9d832-6863-473b-80cb-70d7a0f16869	CRAC
0081deba-b009-48b8-9649-fd18e0e9be2d	3b827e87-1e6d-4b6b-ad08-0fe347b095f6	CRAC_WITHOUT_FAN
0081deba-b009-48b8-9649-fd18e0e9be2d	a3d39caf-4c18-478c-9540-ea0aa7f7d223	CRAC_FAN
0081deba-b009-48b8-9649-fd18e0e9be2d	653df4f0-6efd-4594-9de2-acafc6097757	CHILLER
0081deba-b009-48b8-9649-fd18e0e9be2d	04f2f9f9-bf43-408b-bccc-01bac2011f78	AIR_COOLED_CHILLER
0081deba-b009-48b8-9649-fd18e0e9be2d	07976f52-023e-4671-8d37-be180d6cea6e	COOLING_TOWER
0081deba-b009-48b8-9649-fd18e0e9be2d	f035e3a0-d29a-47b6-ba58-d2d5c62d09a9	DRY_COOLER
0081deba-b009-48b8-9649-fd18e0e9be2d	bf027aff-b0b5-4975-996c-dff1503c2025	REMOTE_CONDENSER
0081deba-b009-48b8-9649-fd18e0e9be2d	2e422287-bb2c-4b5e-b44e-07740ac33f22	CHILLED_WATER_PUMPS
0081deba-b009-48b8-9649-fd18e0e9be2d	c01ad73b-e8aa-4f81-8837-92a3a7a52c59	HEAT_REJECTION_PUMPS
0081deba-b009-48b8-9649-fd18e0e9be2d	19434001-9697-43fc-8d17-6fbd894c2bae	VENTILATION
0081deba-b009-48b8-9649-fd18e0e9be2d	28a70929-b4ab-417e-bfeb-b50523d10d7a	INFILTRATION
0081deba-b009-48b8-9649-fd18e0e9be2d	4b5a77e2-82a6-4a2c-95ec-7be8dce59666	IT_LOAD
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	bf369861-a9c8-4b9d-bf37-d7ad117c3ff0	SWITCHGEAR
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	8fb8df30-22f5-4e50-8dd7-de002f4340d6	GENERATOR
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	a9ea9ee3-77b3-44ba-82bb-ff6688252211	PRIMARY_AUXILIARIES
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	9ad54ccd-835f-4b5d-9ef0-a497cb11060d	UPS
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	488ec52e-f18f-4346-bf87-22ac3a5f74be	CRITICAL_AUXILIARIES
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	7c8eeaae-61ed-4ed6-94d3-1a687c8c6969	LIGHTING
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	bd877aac-c7fa-4702-87d9-5775438031a1	CRITICAL_POWER_DISTRIBUTION
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	9aeee801-f20a-4dbe-a6ef-6871ac7029f6	CRAH
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	f1094c0e-314e-4d59-99e4-71af66c3e48e	CRAC
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	c8366ff5-7e35-4a4d-876e-e2fece4d4c21	CRAC_WITHOUT_FAN
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	b59be1e5-55f1-405d-9c52-2236b03d789e	CRAC_FAN
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	89d00081-d0b3-49b7-b8b4-697d113f7e4d	CHILLER
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	a52e7e73-6266-48a9-ae90-cbc0a03399a6	AIR_COOLED_CHILLER
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	68338f93-e447-4576-b143-32f9789c99c6	COOLING_TOWER
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	011b1988-c2b0-4655-ab84-7bd7fce8c10f	DRY_COOLER
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	4778c1bb-5326-447b-8ec7-9e659d2714dd	REMOTE_CONDENSER
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	58ec0d7a-cf2d-4bbf-98d6-622338fb2b5f	CHILLED_WATER_PUMPS
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	67effe9f-e96d-4712-b76d-abad12b46e8c	HEAT_REJECTION_PUMPS
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	ddb19992-8d9e-4b7b-b729-f750b0cd2b61	VENTILATION
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	fb51646e-c81e-4922-ab72-6b573e8e9aca	INFILTRATION
6bce5fe5-0495-4f9a-9a7c-aa24a76c655a	c948fe89-873f-4041-9d42-8f497c81e0b6	IT_LOAD
95175f51-1362-4966-ace0-04056de6053d	b0067caa-4140-4564-9b15-f56843def07d	SWITCHGEAR
95175f51-1362-4966-ace0-04056de6053d	e001f06e-a86f-4156-9a70-950f4c60e4ca	GENERATOR
95175f51-1362-4966-ace0-04056de6053d	d7e84ad2-4067-4738-94ac-765e4293d9b3	PRIMARY_AUXILIARIES
95175f51-1362-4966-ace0-04056de6053d	903e949a-ea5a-445d-b1e5-5acc1296fab6	UPS
95175f51-1362-4966-ace0-04056de6053d	067b3d5b-4f39-4a0b-bd7e-787648001beb	CRITICAL_AUXILIARIES
95175f51-1362-4966-ace0-04056de6053d	c5b5b936-0157-4558-bd3c-a6d73402b392	LIGHTING
95175f51-1362-4966-ace0-04056de6053d	417a3b3e-5019-44c9-8a03-9c31d77d98ac	CRITICAL_POWER_DISTRIBUTION
95175f51-1362-4966-ace0-04056de6053d	56ba5c5c-7305-4c4b-b92b-2f46e30c166e	CRAH
95175f51-1362-4966-ace0-04056de6053d	4c70d801-ba9b-4785-9ee9-16fd6a0c7c66	CRAC
95175f51-1362-4966-ace0-04056de6053d	6418443a-612d-44fa-89df-ea1fe4820e9e	CRAC_WITHOUT_FAN
95175f51-1362-4966-ace0-04056de6053d	a1b3a1dc-4113-4d52-8268-5062d7ef4ffc	CRAC_FAN
95175f51-1362-4966-ace0-04056de6053d	c2ca1cce-efc7-4062-9474-0a3a7c738cbc	CHILLER
95175f51-1362-4966-ace0-04056de6053d	e2417e76-eff4-4d5d-a2be-1c77886fb3b9	AIR_COOLED_CHILLER
95175f51-1362-4966-ace0-04056de6053d	dca9c946-eeb5-42a5-b452-d3306a986c6b	COOLING_TOWER
95175f51-1362-4966-ace0-04056de6053d	b4e365a4-0627-43ab-81f5-5e43ac289f25	DRY_COOLER
95175f51-1362-4966-ace0-04056de6053d	24b19356-5403-439d-8091-a4a8ea192399	REMOTE_CONDENSER
95175f51-1362-4966-ace0-04056de6053d	6b2d1676-9c7d-43fa-a99a-0f6c5c2def58	CHILLED_WATER_PUMPS
95175f51-1362-4966-ace0-04056de6053d	595cc38f-daf0-4674-a2be-421bec79c470	HEAT_REJECTION_PUMPS
95175f51-1362-4966-ace0-04056de6053d	6b89f380-3ccc-4215-a0f1-1ddc7cc51a58	VENTILATION
95175f51-1362-4966-ace0-04056de6053d	5bc9a7c1-ef7f-4559-9a9f-caf4e2643748	INFILTRATION
95175f51-1362-4966-ace0-04056de6053d	969d65e2-79e4-48b2-b615-631268323f60	IT_LOAD
753832f0-9eed-4752-b858-5f40a6ecd230	f1789006-4194-4e2f-83be-4cd5c3bff2de	SWITCHGEAR
753832f0-9eed-4752-b858-5f40a6ecd230	95de36d4-2709-4244-9374-1d0f33d63703	GENERATOR
753832f0-9eed-4752-b858-5f40a6ecd230	8abb8601-6e5f-4145-99da-1f5a65203d5e	PRIMARY_AUXILIARIES
753832f0-9eed-4752-b858-5f40a6ecd230	b25b1ca5-f677-4ac3-93b1-58af266806fb	UPS
753832f0-9eed-4752-b858-5f40a6ecd230	4efcfae5-ec7c-4755-bb8f-49cf4198daa7	CRITICAL_AUXILIARIES
753832f0-9eed-4752-b858-5f40a6ecd230	f3805a1b-847e-4a98-86ad-7f56be08bd9e	LIGHTING
753832f0-9eed-4752-b858-5f40a6ecd230	a4c87871-13fd-4e61-9719-c8f7ea761b04	CRITICAL_POWER_DISTRIBUTION
753832f0-9eed-4752-b858-5f40a6ecd230	bbed7637-cc19-4921-90af-eda09ad9819a	CRAH
753832f0-9eed-4752-b858-5f40a6ecd230	ecc64b6c-602f-4ef4-beb8-51c338b5fcf5	CRAC
753832f0-9eed-4752-b858-5f40a6ecd230	3585610b-8abc-452d-b5e9-bf30b4de39b5	CRAC_WITHOUT_FAN
753832f0-9eed-4752-b858-5f40a6ecd230	1e011d80-57c6-4eed-a752-8fb0ed6f1af8	CRAC_FAN
753832f0-9eed-4752-b858-5f40a6ecd230	4af2a01f-c390-431d-b49d-9603dc34a41d	CHILLER
753832f0-9eed-4752-b858-5f40a6ecd230	b442253f-e40e-4deb-923c-5a4fc8cdf36b	AIR_COOLED_CHILLER
753832f0-9eed-4752-b858-5f40a6ecd230	01c5f096-1d71-4cb2-8a65-11aa9e4af66b	COOLING_TOWER
753832f0-9eed-4752-b858-5f40a6ecd230	2b7a5b48-fddc-4c55-843d-5b6de9f726e6	DRY_COOLER
753832f0-9eed-4752-b858-5f40a6ecd230	5dc131dd-34ac-40d4-ba9f-741a3ece9daa	REMOTE_CONDENSER
753832f0-9eed-4752-b858-5f40a6ecd230	9a90a386-3241-45bc-8ad7-9afa457a1828	CHILLED_WATER_PUMPS
753832f0-9eed-4752-b858-5f40a6ecd230	b7084329-6d56-4d5e-ba51-b538273d380d	HEAT_REJECTION_PUMPS
753832f0-9eed-4752-b858-5f40a6ecd230	d2d8c3a4-da4d-4116-879a-c627ba7d3d7c	VENTILATION
753832f0-9eed-4752-b858-5f40a6ecd230	14c1fef6-303e-4e3b-9fc7-51cea9f6ca22	INFILTRATION
753832f0-9eed-4752-b858-5f40a6ecd230	f15852d4-f827-49c7-aca9-9d83872dba77	IT_LOAD
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	c3e80c8d-fe25-418d-8022-b46c4fea3b29	SWITCHGEAR
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	02bea523-6b4c-441a-b011-efb85e4c60e4	GENERATOR
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	8dddbd79-e40f-413e-b256-46f33fbfe11b	PRIMARY_AUXILIARIES
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	f83a771e-5d1d-4904-a1d0-193dd93078ed	UPS
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	b69631fa-ac8c-46f0-a2cc-b5d9194fd9ad	CRITICAL_AUXILIARIES
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	9ba5753a-4d7e-4193-821e-65f10b4510a8	LIGHTING
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	d60f0005-6b1a-400b-b56a-40ce306b61b8	CRITICAL_POWER_DISTRIBUTION
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	8f8354ca-6622-4838-bf49-dba0bed2739e	CRAH
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	fe129fa9-7f4d-4dbd-88e4-41e9b6c3a47e	CRAC
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	b8224f2f-d186-4bb2-9353-af8bce3fd4dd	CRAC_WITHOUT_FAN
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	ffc9e7ce-0a93-4e2d-af43-bb54d9bca3ab	CRAC_FAN
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	75c783bd-dc15-4372-9985-cb1dca04771f	CHILLER
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	29f0bb8f-1e69-4e71-ad3f-e2ae3cc49565	AIR_COOLED_CHILLER
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	988cd572-4138-4ceb-886b-c56caab26e46	COOLING_TOWER
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	ad59484a-65ed-4dd5-97fb-0f8f4aaaa261	DRY_COOLER
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	6a56efa9-215a-49a3-87e5-19d2d4652a9e	REMOTE_CONDENSER
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	8a3cbb5a-f452-40da-8a87-85733723f211	CHILLED_WATER_PUMPS
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	f8f6e8ed-7d4d-46cf-be33-9ad9d1ebe74c	HEAT_REJECTION_PUMPS
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	d2a18293-ad6d-4d4a-ab08-ac0fb5e512e4	VENTILATION
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	ba771fe5-6f65-4000-93e2-5bf6b69435a0	INFILTRATION
4c30b1d0-be39-4cd6-85b4-2efb57fbddfa	d0dc3d3d-b8f1-4044-b3df-765a9cc1ead7	IT_LOAD
b9d191b7-7036-4df5-b797-99e07abf0c99	0383509b-c677-4d0b-b33b-f8c3e9dfecb0	SWITCHGEAR
b9d191b7-7036-4df5-b797-99e07abf0c99	27fb43c2-3f8c-4fb3-a7d9-ec8101432249	GENERATOR
b9d191b7-7036-4df5-b797-99e07abf0c99	4b1bc69e-fc42-4e78-9758-6eb5600aa805	PRIMARY_AUXILIARIES
b9d191b7-7036-4df5-b797-99e07abf0c99	6dbcf02a-3f79-4e98-86db-2fd3ca901c20	UPS
b9d191b7-7036-4df5-b797-99e07abf0c99	9bc0f39a-3bc1-46ca-bca5-8a9bb089e58f	CRITICAL_AUXILIARIES
b9d191b7-7036-4df5-b797-99e07abf0c99	79b6dc78-04f6-47e3-81a0-b8cbfb63fe56	LIGHTING
b9d191b7-7036-4df5-b797-99e07abf0c99	aa73f489-104b-455b-91c2-5886af0a3c92	CRITICAL_POWER_DISTRIBUTION
b9d191b7-7036-4df5-b797-99e07abf0c99	22c8d181-5826-4361-91c2-da1a2e1344f6	CRAH
b9d191b7-7036-4df5-b797-99e07abf0c99	b7b0c1e5-e43c-426b-88ed-1a75ecce0376	CRAC
b9d191b7-7036-4df5-b797-99e07abf0c99	9ce4be3e-d160-4500-9032-ffe62a281eae	CRAC_WITHOUT_FAN
b9d191b7-7036-4df5-b797-99e07abf0c99	8ce5399b-f72e-45bd-8c26-fba1070a2547	CRAC_FAN
b9d191b7-7036-4df5-b797-99e07abf0c99	a4994d26-1066-46ca-832a-25d517ac05b0	CHILLER
b9d191b7-7036-4df5-b797-99e07abf0c99	240c3312-bb63-44e3-959b-3f81ef72d013	AIR_COOLED_CHILLER
b9d191b7-7036-4df5-b797-99e07abf0c99	7c45ce67-5e06-415f-b1af-108a2d0ac214	COOLING_TOWER
b9d191b7-7036-4df5-b797-99e07abf0c99	67bda558-2b37-460c-81c0-f78c66047f73	DRY_COOLER
b9d191b7-7036-4df5-b797-99e07abf0c99	43d7f206-04c7-414e-a51d-135a392a2bf1	REMOTE_CONDENSER
b9d191b7-7036-4df5-b797-99e07abf0c99	1bd853c4-14be-410c-bb23-b884ad2c0f10	CHILLED_WATER_PUMPS
b9d191b7-7036-4df5-b797-99e07abf0c99	b44d7e46-946c-4b0c-bd68-4291018ae7ec	HEAT_REJECTION_PUMPS
b9d191b7-7036-4df5-b797-99e07abf0c99	f3e0094a-bb3a-4356-97ca-b82218dd72c4	VENTILATION
b9d191b7-7036-4df5-b797-99e07abf0c99	fc65ec3a-2181-4c65-93d0-1df51ae3170c	INFILTRATION
b9d191b7-7036-4df5-b797-99e07abf0c99	f103b1bd-40aa-455e-a0d9-85600ff2aea5	IT_LOAD
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	60650710-0ad1-4f76-96bc-1a0381c173be	SWITCHGEAR
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	5fb0e7be-cf46-49d9-acf0-110682b9e76c	GENERATOR
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	7f3fc06e-737b-4627-b37d-b1280a8d1ee0	PRIMARY_AUXILIARIES
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	b7dd101a-a1d3-4fbf-b3a3-cc1a6de279e5	UPS
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	360643fb-c34e-4ed2-9b6e-5e4912747174	CRITICAL_AUXILIARIES
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	2294805e-da34-486a-9be5-6dcee0e263b3	LIGHTING
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	dbfc505f-b56d-4cdf-8965-68194b922f0c	CRITICAL_POWER_DISTRIBUTION
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	59819329-8d75-4cce-abbc-54b1b26dabe5	CRAH
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	bcfb71ea-991e-4880-80a8-c82bafa3954e	CRAC
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	8cb91780-a030-428a-8b16-d89f31f021d4	CRAC_WITHOUT_FAN
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	049d144c-aa64-4b9c-ad1e-fc58f4140d59	CRAC_FAN
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	eafbe799-ce2f-4281-98ac-6c59dd0661ee	CHILLER
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	c810ebef-dc20-41ba-baa2-83776665caf7	AIR_COOLED_CHILLER
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	3bdce1bb-dbeb-4953-bee1-047f53fa3996	COOLING_TOWER
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	2029296e-3115-42de-982e-83df5aaecd5e	DRY_COOLER
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	09bfff37-dbae-4a12-b197-2b4d3f757721	REMOTE_CONDENSER
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	56682ae3-bb95-40c7-982d-e29b7b46adad	CHILLED_WATER_PUMPS
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	dffd73a4-3324-4e25-b44e-b7180ca3370d	HEAT_REJECTION_PUMPS
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	bfbdeb65-ef3e-4880-b990-34e6e7ccb39a	VENTILATION
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	1db60a6a-14be-44c9-82fd-de18f3a4d891	INFILTRATION
bee36205-6a00-4ae2-bbdf-eb90c9d6eae9	ddd7411a-c8ee-4a82-9f18-bfd3f996e1e1	IT_LOAD
545ea2cc-b92b-4df0-9701-6ef60e54528d	3f821585-a118-4c4e-a3fe-6d39c8d89bd1	SWITCHGEAR
545ea2cc-b92b-4df0-9701-6ef60e54528d	2d299b63-7c40-4d9c-91bf-71fef158270d	GENERATOR
545ea2cc-b92b-4df0-9701-6ef60e54528d	a3009268-8757-48bf-84be-87f9f07e8aef	PRIMARY_AUXILIARIES
545ea2cc-b92b-4df0-9701-6ef60e54528d	dac361a4-8d98-4ed4-8f36-06594810bbeb	UPS
545ea2cc-b92b-4df0-9701-6ef60e54528d	d5d73659-371a-4667-86e8-ec5b079d24fb	CRITICAL_AUXILIARIES
545ea2cc-b92b-4df0-9701-6ef60e54528d	8053c30a-ff75-4432-a8f5-b620d035df03	LIGHTING
545ea2cc-b92b-4df0-9701-6ef60e54528d	5c56b870-8f98-4b4a-8aaf-ba9f1b608c4c	CRITICAL_POWER_DISTRIBUTION
545ea2cc-b92b-4df0-9701-6ef60e54528d	0d97cd5e-c662-4da9-98ed-c7515c290f7e	CRAH
545ea2cc-b92b-4df0-9701-6ef60e54528d	6563e81b-f044-4e2d-a520-fa3b1455ddf4	CRAC
545ea2cc-b92b-4df0-9701-6ef60e54528d	82c9cc07-c994-4924-96a4-a61cb7c6abb7	CRAC_WITHOUT_FAN
545ea2cc-b92b-4df0-9701-6ef60e54528d	f5cfcb55-ffad-4620-91df-bbe18c9436a2	CRAC_FAN
545ea2cc-b92b-4df0-9701-6ef60e54528d	07442a2e-87b9-4ee6-b8e3-a7167e16a253	CHILLER
545ea2cc-b92b-4df0-9701-6ef60e54528d	ef0dba02-2bc5-4380-80ee-1d811c0161cf	AIR_COOLED_CHILLER
545ea2cc-b92b-4df0-9701-6ef60e54528d	eae8a476-207c-42ee-bdef-ee743967e986	COOLING_TOWER
545ea2cc-b92b-4df0-9701-6ef60e54528d	d3790aba-313e-4013-bc02-0895f96e76aa	DRY_COOLER
545ea2cc-b92b-4df0-9701-6ef60e54528d	ac790747-23b5-433c-9396-840bdc5feaae	REMOTE_CONDENSER
545ea2cc-b92b-4df0-9701-6ef60e54528d	cfb8318b-d950-4065-83cb-0ea8623950b8	CHILLED_WATER_PUMPS
545ea2cc-b92b-4df0-9701-6ef60e54528d	f7bf8fb4-1c2d-47a9-a7bd-a871f2e90fba	HEAT_REJECTION_PUMPS
545ea2cc-b92b-4df0-9701-6ef60e54528d	e5901057-fc12-4669-b331-99c5b83d8d08	VENTILATION
545ea2cc-b92b-4df0-9701-6ef60e54528d	78d58fc2-0ad0-4dbc-ba71-ac4accd586cf	INFILTRATION
545ea2cc-b92b-4df0-9701-6ef60e54528d	e4884114-ee36-4382-b6e1-844cf7453864	IT_LOAD
895a5c91-1c46-47e1-8539-7842c9097fbf	140e87f2-2ab8-492e-b62b-5aef3562b9df	SWITCHGEAR
895a5c91-1c46-47e1-8539-7842c9097fbf	00c8b136-fa0c-44ce-b64c-04f0b0fe6178	GENERATOR
895a5c91-1c46-47e1-8539-7842c9097fbf	55dabdfa-ee59-4a9a-b34b-d6e06bb1ce4e	PRIMARY_AUXILIARIES
895a5c91-1c46-47e1-8539-7842c9097fbf	39cc20b8-1577-4e30-851a-b34536fcc6a0	UPS
895a5c91-1c46-47e1-8539-7842c9097fbf	1127ad09-6d35-4f70-bac6-ede584935ea3	CRITICAL_AUXILIARIES
895a5c91-1c46-47e1-8539-7842c9097fbf	2cb2510c-3990-4d55-b439-3db4998878ba	LIGHTING
895a5c91-1c46-47e1-8539-7842c9097fbf	a2d323ea-0904-4626-b10c-aadc230e3baf	CRITICAL_POWER_DISTRIBUTION
895a5c91-1c46-47e1-8539-7842c9097fbf	a795f5bc-9a50-421d-95a8-593903b4d9e1	CRAH
895a5c91-1c46-47e1-8539-7842c9097fbf	54dc3c1f-0d24-40ac-83a5-c373a9379eec	CRAC
895a5c91-1c46-47e1-8539-7842c9097fbf	8820fdd8-c049-4911-b1cc-a4f91529cf03	CRAC_WITHOUT_FAN
895a5c91-1c46-47e1-8539-7842c9097fbf	50fa67e7-7dcb-4b88-974f-43c325eb140a	CRAC_FAN
895a5c91-1c46-47e1-8539-7842c9097fbf	05cf3346-f0dd-4d4f-af67-e9f148971f05	CHILLER
895a5c91-1c46-47e1-8539-7842c9097fbf	e556c910-b17d-4d1e-ad4f-8703bdfdc95d	AIR_COOLED_CHILLER
895a5c91-1c46-47e1-8539-7842c9097fbf	d9009ebe-9803-4e9b-992c-ff0f8ac38217	COOLING_TOWER
895a5c91-1c46-47e1-8539-7842c9097fbf	5c525ce9-efdc-418a-b980-6dc1faa1546c	DRY_COOLER
895a5c91-1c46-47e1-8539-7842c9097fbf	f2e180e6-8ca1-4c0f-888e-d9e296775338	REMOTE_CONDENSER
895a5c91-1c46-47e1-8539-7842c9097fbf	7c5d0fa0-6a79-4ff1-8f85-ada3cff24a7a	CHILLED_WATER_PUMPS
895a5c91-1c46-47e1-8539-7842c9097fbf	67bc2e0e-8a9e-475c-af51-1276e969e2bf	HEAT_REJECTION_PUMPS
895a5c91-1c46-47e1-8539-7842c9097fbf	4da94448-8f2a-4e3d-98ba-d257288fd4fe	VENTILATION
895a5c91-1c46-47e1-8539-7842c9097fbf	9afc794a-2701-4394-a875-9c7a8cadbdc6	INFILTRATION
895a5c91-1c46-47e1-8539-7842c9097fbf	47b445b0-9b31-467f-aeb9-00ddd3c0ea14	IT_LOAD
5d0e810f-f0af-44e3-92eb-486ea0c6df97	4b66effc-47d6-4003-b2c9-850a362a1567	SWITCHGEAR
5d0e810f-f0af-44e3-92eb-486ea0c6df97	c08adb7c-70ca-4126-8a6b-e62b8dfa192e	GENERATOR
5d0e810f-f0af-44e3-92eb-486ea0c6df97	9eed0155-7126-4c30-9368-2f48cd5ddb52	PRIMARY_AUXILIARIES
5d0e810f-f0af-44e3-92eb-486ea0c6df97	eabd0f61-c6c8-4ddb-a7a2-deab3f5c0f3f	UPS
5d0e810f-f0af-44e3-92eb-486ea0c6df97	30155ff7-368f-46e9-833f-180284471cc5	CRITICAL_AUXILIARIES
5d0e810f-f0af-44e3-92eb-486ea0c6df97	9bc63f5a-0b4c-4330-89d4-7d79de650542	LIGHTING
5d0e810f-f0af-44e3-92eb-486ea0c6df97	55aaa812-5126-4191-a6dd-e5788a053fa5	CRITICAL_POWER_DISTRIBUTION
5d0e810f-f0af-44e3-92eb-486ea0c6df97	55298999-6787-4022-9e74-39acde8e25ad	CRAH
5d0e810f-f0af-44e3-92eb-486ea0c6df97	b784cc1c-c5d7-444a-93dc-6511267ed900	CRAC
5d0e810f-f0af-44e3-92eb-486ea0c6df97	1cddc15f-e40c-4f02-aa8f-78ea0c3a3125	CRAC_WITHOUT_FAN
5d0e810f-f0af-44e3-92eb-486ea0c6df97	f9cf7adb-13d7-43b1-b1b7-004739a6c3f1	CRAC_FAN
5d0e810f-f0af-44e3-92eb-486ea0c6df97	997c45b1-a7ea-44b3-96f8-6eed8b69c42a	CHILLER
5d0e810f-f0af-44e3-92eb-486ea0c6df97	5a8b580c-1fb7-48f4-9944-e3f72708ffe6	AIR_COOLED_CHILLER
5d0e810f-f0af-44e3-92eb-486ea0c6df97	4bf18487-5f98-4dba-b0ad-327bb7072ae3	COOLING_TOWER
5d0e810f-f0af-44e3-92eb-486ea0c6df97	7b2ac16d-d307-4222-8832-06c1b3a6e383	DRY_COOLER
5d0e810f-f0af-44e3-92eb-486ea0c6df97	dd4c750f-3cbe-4bae-a1a7-561c7611ab74	REMOTE_CONDENSER
5d0e810f-f0af-44e3-92eb-486ea0c6df97	6a9f77b7-7c5a-4d66-bbe5-0bbe7fc16b05	CHILLED_WATER_PUMPS
5d0e810f-f0af-44e3-92eb-486ea0c6df97	3804fe7c-69e8-45f2-92bf-04581d7336c2	HEAT_REJECTION_PUMPS
5d0e810f-f0af-44e3-92eb-486ea0c6df97	e5269b1c-5770-45c4-acde-649b1b2b37b1	VENTILATION
5d0e810f-f0af-44e3-92eb-486ea0c6df97	56999f65-3ac8-4e54-9875-d216677d243d	INFILTRATION
5d0e810f-f0af-44e3-92eb-486ea0c6df97	4198a58a-3669-4f12-beb6-4fff678af627	IT_LOAD
40691547-4035-49c5-aad2-6520423030ea	24d9d013-4ce9-46e1-a06b-9ee44081ce23	SWITCHGEAR
40691547-4035-49c5-aad2-6520423030ea	143ab52f-0577-4252-a97b-34022e65ce76	GENERATOR
40691547-4035-49c5-aad2-6520423030ea	e7791a68-5220-4ef0-9dc8-fd54953f5a8b	PRIMARY_AUXILIARIES
40691547-4035-49c5-aad2-6520423030ea	a02533da-ada1-41aa-ae7f-b7ded6bcfeb9	UPS
40691547-4035-49c5-aad2-6520423030ea	2cbebe78-0c73-4e32-a198-db336cd81275	CRITICAL_AUXILIARIES
40691547-4035-49c5-aad2-6520423030ea	628dab32-5b91-4ee1-bf04-a5acb379bc04	LIGHTING
40691547-4035-49c5-aad2-6520423030ea	0e729ba3-de68-4277-8556-481f1fbecb87	CRITICAL_POWER_DISTRIBUTION
40691547-4035-49c5-aad2-6520423030ea	203c1c3e-9304-41c2-8e41-0553a3f1fe31	CRAH
40691547-4035-49c5-aad2-6520423030ea	a69e527d-8b4d-422a-ba24-272b4005cf6c	CRAC
40691547-4035-49c5-aad2-6520423030ea	e77dc8b1-aea6-4d1b-aefd-9246826e3377	CRAC_WITHOUT_FAN
40691547-4035-49c5-aad2-6520423030ea	59588922-ef43-4809-a141-ab11bb4b7e4b	CRAC_FAN
40691547-4035-49c5-aad2-6520423030ea	f4c5a3fb-2af6-489c-9df9-4555914bd79c	CHILLER
40691547-4035-49c5-aad2-6520423030ea	e9e4f068-4655-4a9e-be59-2b1e2f6dc21f	AIR_COOLED_CHILLER
40691547-4035-49c5-aad2-6520423030ea	39022924-cf0f-4a46-a988-dcbb8bd4532b	COOLING_TOWER
40691547-4035-49c5-aad2-6520423030ea	4d724787-df4b-42eb-989b-4ce8a02122bf	DRY_COOLER
40691547-4035-49c5-aad2-6520423030ea	37ad6dd5-68de-466c-8b07-7ab37396f7bf	REMOTE_CONDENSER
40691547-4035-49c5-aad2-6520423030ea	cfe1a4fa-766b-4155-95a1-aea7ac93d916	CHILLED_WATER_PUMPS
40691547-4035-49c5-aad2-6520423030ea	94b66738-2708-4e63-b01a-28621b96baa4	HEAT_REJECTION_PUMPS
40691547-4035-49c5-aad2-6520423030ea	33e47614-f255-4eb6-ae06-c002047f4a98	VENTILATION
40691547-4035-49c5-aad2-6520423030ea	f5a7cf0a-411f-4345-b1ab-8c8c1c96225c	INFILTRATION
40691547-4035-49c5-aad2-6520423030ea	f5dd7792-67f8-42da-927e-7fdd29aef45d	IT_LOAD
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	bfac578c-ca4e-4304-9d1a-2e72e1ab91f9	SWITCHGEAR
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	4d0dd4ae-b0de-405e-9b1a-3e9331af7aef	GENERATOR
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	599d3eb4-7173-4c9e-8bd5-ac259b165cf4	PRIMARY_AUXILIARIES
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	97996db2-05c7-459f-8b7c-45c39fffc9d4	UPS
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	588093e9-488d-4fed-aa55-9cf35115098a	CRITICAL_AUXILIARIES
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	5a7ea4a6-f95d-4d1d-9ede-605bff0a0791	LIGHTING
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	24f956cc-8d94-42a5-921a-ace3805b3465	CRITICAL_POWER_DISTRIBUTION
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	7d009cf9-19a0-43e6-ac2c-7a271ddbfd83	CRAH
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	417e684b-c1a9-40c6-ade7-8c7ba357149c	CRAC
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	44394b93-b106-4045-ba71-8bb6d78055aa	CRAC_WITHOUT_FAN
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	c2b70e6a-e22a-4084-b31c-4b0b23805af7	CRAC_FAN
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	26a32e1f-584f-4afb-876a-bcf3654d7082	CHILLER
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	c1aa2aaa-1445-4a4a-aa24-cc1e954b26bd	AIR_COOLED_CHILLER
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	01106262-a0c7-4640-935a-a2e1870a3429	COOLING_TOWER
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	820e150b-227c-46be-95eb-a8c5d6a6adaa	DRY_COOLER
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	18d1cb4c-9dbe-48a3-91fc-18282f7c4581	REMOTE_CONDENSER
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	1738cf7a-d83b-4f9e-a14c-7bdcf8aa2d2d	CHILLED_WATER_PUMPS
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	163ede48-92ab-4b62-95fc-284c11bc1ddc	HEAT_REJECTION_PUMPS
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	c29d95df-4ca7-43b1-8647-3a7fedbebb97	VENTILATION
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	9c563b26-3c91-444f-ae3a-dc31ba6f4fce	INFILTRATION
401bdcd0-0f4a-4fb9-9e82-f7b151932fce	5104def9-f878-4622-95da-930881b78f25	IT_LOAD
3c953c86-7d7b-494d-82ba-641579a3e826	ee63f73e-7093-490c-8413-c5aecc5aeda5	SWITCHGEAR
3c953c86-7d7b-494d-82ba-641579a3e826	4597ec6b-d68e-44aa-b346-ce950d1ae1c8	GENERATOR
3c953c86-7d7b-494d-82ba-641579a3e826	a1afbafa-02f0-40be-92f0-ab0d4c16aa2d	PRIMARY_AUXILIARIES
3c953c86-7d7b-494d-82ba-641579a3e826	389397d1-0385-403d-bb88-e4eea6c4de3e	UPS
3c953c86-7d7b-494d-82ba-641579a3e826	f61e6658-aa30-4abf-a435-c5948f9f29ff	CRITICAL_AUXILIARIES
3c953c86-7d7b-494d-82ba-641579a3e826	3fd04970-5f5d-472d-932c-4829e8a6f7c7	LIGHTING
3c953c86-7d7b-494d-82ba-641579a3e826	d577d495-0ba4-46e8-9900-f942b0c7220e	CRITICAL_POWER_DISTRIBUTION
3c953c86-7d7b-494d-82ba-641579a3e826	7f86a7c6-bba7-4106-b9f4-794355ff8e96	CRAH
3c953c86-7d7b-494d-82ba-641579a3e826	1fd9c229-b37a-4be6-988c-5e1d9b52855a	CRAC
3c953c86-7d7b-494d-82ba-641579a3e826	56d1db06-4d9e-4537-baeb-b54f535a13ec	CRAC_WITHOUT_FAN
3c953c86-7d7b-494d-82ba-641579a3e826	3a49c8cf-6d26-4dec-9e34-0f47d9064584	CRAC_FAN
3c953c86-7d7b-494d-82ba-641579a3e826	e4afbaf2-eced-4104-930c-00a7b3ce1a5f	CHILLER
3c953c86-7d7b-494d-82ba-641579a3e826	86fb45a6-8c58-4e94-afd1-041a1572cdb0	AIR_COOLED_CHILLER
3c953c86-7d7b-494d-82ba-641579a3e826	61664be2-c9f5-4a65-a5cd-8799c17ae8f8	COOLING_TOWER
3c953c86-7d7b-494d-82ba-641579a3e826	30be4f14-0818-45e1-883d-ea365bef3dd0	DRY_COOLER
3c953c86-7d7b-494d-82ba-641579a3e826	8ba0127c-c2be-4424-9ccc-3f1f5a444ce6	REMOTE_CONDENSER
3c953c86-7d7b-494d-82ba-641579a3e826	87327fe9-005d-4e89-b089-44c3bad6e6a5	CHILLED_WATER_PUMPS
3c953c86-7d7b-494d-82ba-641579a3e826	5f6a4c88-316f-45c0-9521-e80dd51a9dff	HEAT_REJECTION_PUMPS
3c953c86-7d7b-494d-82ba-641579a3e826	b5641d2b-7cd9-4782-a5d5-4dcb5c26cc7e	VENTILATION
3c953c86-7d7b-494d-82ba-641579a3e826	083b6cf1-fa19-4abb-9d02-fa4b31db3ef1	INFILTRATION
3c953c86-7d7b-494d-82ba-641579a3e826	65e128a3-a0aa-474b-a9da-a3ae909b7b98	IT_LOAD
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	b5364923-9e99-4217-a981-442e1eae800e	SWITCHGEAR
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	91c03c9c-c0e0-420b-801d-1e194547bd44	GENERATOR
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	74180d1e-2ee5-42eb-a11b-e8e8cd9080f6	PRIMARY_AUXILIARIES
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	d65e5582-1449-4d03-a81c-09e4a2cdbfd8	UPS
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	5e530dea-e262-46fb-8400-9d92267e21ec	CRITICAL_AUXILIARIES
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	f8c531c4-e0d0-4cce-89e8-a171d6f54deb	LIGHTING
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	b031c2c4-4741-4a8f-84d1-2ebf05bc4671	CRITICAL_POWER_DISTRIBUTION
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	1558255b-b7c8-4980-92aa-c2ea6969a85f	CRAH
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	34a4a0cb-884a-48f7-b701-634cfd68d9a7	CRAC
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	b86e9049-f670-4581-a000-a993055c7727	CRAC_WITHOUT_FAN
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	54310294-e372-49ad-b38d-3acdfacd9fc8	CRAC_FAN
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	723ce8c9-d184-470f-b71c-53b31f83d724	CHILLER
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	150e1247-7002-4766-8114-31d7156c5ba7	AIR_COOLED_CHILLER
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	ae622d13-5847-4a5d-8b00-3e593aba11dd	COOLING_TOWER
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	5e88b7d6-f748-40a6-851c-f8ef23074136	DRY_COOLER
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	60c40966-1ffe-4c29-b52d-b280fa3cb794	REMOTE_CONDENSER
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	53ade4fc-ea18-4295-9bcb-158d0143f10c	CHILLED_WATER_PUMPS
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	c91e965b-0399-407d-a37d-04e715a832c3	HEAT_REJECTION_PUMPS
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	68de7983-ef6b-4c7d-a0d0-7a7bd11fcf2e	VENTILATION
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	5d033e1f-5ea6-4f7a-96c0-bb7fa677f3a2	INFILTRATION
fce5f1af-6b66-4bda-b75a-c5e30c8ad30a	d4b697ab-f918-4b26-9549-15dfb4e59ffe	IT_LOAD
e902b23c-94b5-4f7c-bfce-8d1fea419d59	cc21b4cd-701d-42c8-99b6-be028fc83e75	SWITCHGEAR
e902b23c-94b5-4f7c-bfce-8d1fea419d59	740db7e9-9814-463e-bafc-2aadedc04b6f	GENERATOR
e902b23c-94b5-4f7c-bfce-8d1fea419d59	a665d512-7da3-48b3-a019-9ad249f2ea1b	PRIMARY_AUXILIARIES
e902b23c-94b5-4f7c-bfce-8d1fea419d59	3513f035-f8e8-4da6-942a-e3aa55ebb74f	UPS
e902b23c-94b5-4f7c-bfce-8d1fea419d59	977449fa-4a98-4f31-a62c-6d214adf880b	CRITICAL_AUXILIARIES
e902b23c-94b5-4f7c-bfce-8d1fea419d59	eb1a3abe-99e0-4c1a-9840-58a1352d4354	LIGHTING
e902b23c-94b5-4f7c-bfce-8d1fea419d59	e8b62453-dd5d-407d-a0cf-6a1dbd810af4	CRITICAL_POWER_DISTRIBUTION
e902b23c-94b5-4f7c-bfce-8d1fea419d59	1bba8ff1-c136-4a73-b815-38c6458fd1f6	CRAH
e902b23c-94b5-4f7c-bfce-8d1fea419d59	055f4c9c-be73-4f71-9bf1-1084b40ecb73	CRAC
e902b23c-94b5-4f7c-bfce-8d1fea419d59	65c79d16-55e2-4c5c-b1f6-ddf60bba69b5	CRAC_WITHOUT_FAN
e902b23c-94b5-4f7c-bfce-8d1fea419d59	fe4b8750-2fd8-4e7b-88b5-0579af61c209	CRAC_FAN
e902b23c-94b5-4f7c-bfce-8d1fea419d59	52596209-55ad-476f-932e-986d25cc2ff8	CHILLER
e902b23c-94b5-4f7c-bfce-8d1fea419d59	661e597f-2aa5-4db3-8740-36d3084a458c	AIR_COOLED_CHILLER
e902b23c-94b5-4f7c-bfce-8d1fea419d59	4b3836a6-e3e6-41e0-91f1-c4ce8f3b9af4	COOLING_TOWER
e902b23c-94b5-4f7c-bfce-8d1fea419d59	a65e6d39-1008-4875-956d-06724fbf7ec2	DRY_COOLER
e902b23c-94b5-4f7c-bfce-8d1fea419d59	2cd537c2-1c18-447a-9c5b-4b4b13fb1a41	REMOTE_CONDENSER
e902b23c-94b5-4f7c-bfce-8d1fea419d59	95693687-d6cd-403b-b78f-5cda88efca5b	CHILLED_WATER_PUMPS
e902b23c-94b5-4f7c-bfce-8d1fea419d59	d5f1310c-3c8a-433e-85ba-966a609a1ae2	HEAT_REJECTION_PUMPS
e902b23c-94b5-4f7c-bfce-8d1fea419d59	ad924b24-2a70-4e68-877c-6e6117108953	VENTILATION
e902b23c-94b5-4f7c-bfce-8d1fea419d59	c7e00774-8c03-44d4-b195-f46391a1463d	INFILTRATION
e902b23c-94b5-4f7c-bfce-8d1fea419d59	04a9716d-54a2-4ae1-b9fb-a3a2c5cdb238	IT_LOAD
f33e9ace-caa5-4639-919e-d3ae4b18b034	ceae6eac-c4f8-4657-9baa-13955fc8420b	SWITCHGEAR
f33e9ace-caa5-4639-919e-d3ae4b18b034	7de1a3d9-fd0e-48fe-8f30-041e7465ceae	GENERATOR
f33e9ace-caa5-4639-919e-d3ae4b18b034	91fa91ae-93ce-4540-bdca-bca73fbdbd28	PRIMARY_AUXILIARIES
f33e9ace-caa5-4639-919e-d3ae4b18b034	da62a06b-11cc-4138-995a-952bc8ca91c0	UPS
f33e9ace-caa5-4639-919e-d3ae4b18b034	3effcc3b-c52e-42c4-8df3-58b435818fea	CRITICAL_AUXILIARIES
f33e9ace-caa5-4639-919e-d3ae4b18b034	22e8c027-2298-4070-8f32-d964415db0b5	LIGHTING
f33e9ace-caa5-4639-919e-d3ae4b18b034	77b941be-079b-418b-9b36-551a99acc8c8	CRITICAL_POWER_DISTRIBUTION
f33e9ace-caa5-4639-919e-d3ae4b18b034	e742b949-1162-4ec4-bede-a5a281a46a53	CRAH
f33e9ace-caa5-4639-919e-d3ae4b18b034	b6d63de5-1e32-4710-a1a3-50f2d3657f56	CRAC
f33e9ace-caa5-4639-919e-d3ae4b18b034	cf4ebefb-7da1-4642-a075-8b17bc381cde	CRAC_WITHOUT_FAN
f33e9ace-caa5-4639-919e-d3ae4b18b034	0d06a593-b8fa-43db-92d9-0c23052f9558	CRAC_FAN
f33e9ace-caa5-4639-919e-d3ae4b18b034	449b2d74-f1c2-4135-b2fc-ee1a54d9804f	CHILLER
f33e9ace-caa5-4639-919e-d3ae4b18b034	bb7bc078-799e-4aab-850b-545000786ab1	AIR_COOLED_CHILLER
f33e9ace-caa5-4639-919e-d3ae4b18b034	cd0fc8e1-d963-4971-811c-45fc748f1074	COOLING_TOWER
f33e9ace-caa5-4639-919e-d3ae4b18b034	3dbfdc46-93aa-4222-904d-cc9df5bcc16d	DRY_COOLER
f33e9ace-caa5-4639-919e-d3ae4b18b034	613511ff-1fcc-44d8-b139-1fe2a25d3c9b	REMOTE_CONDENSER
f33e9ace-caa5-4639-919e-d3ae4b18b034	74bd17a0-b0c8-469b-bf2c-0a58958c0d77	CHILLED_WATER_PUMPS
f33e9ace-caa5-4639-919e-d3ae4b18b034	62f217c5-2297-4a15-bab2-751aaa0c3cac	HEAT_REJECTION_PUMPS
f33e9ace-caa5-4639-919e-d3ae4b18b034	43fa30dd-2e5f-4638-a33d-356983b900ff	VENTILATION
f33e9ace-caa5-4639-919e-d3ae4b18b034	e220cc0f-11e1-40da-8d61-b24b5d3694b2	INFILTRATION
f33e9ace-caa5-4639-919e-d3ae4b18b034	3e3278eb-bb94-4ead-88a6-67b98c7a22ee	IT_LOAD
82a5a0a6-4f9a-451a-9b9f-8a683afad602	0a0daaaa-0cfe-4dfd-b4cf-271ea074f4a6	SWITCHGEAR
82a5a0a6-4f9a-451a-9b9f-8a683afad602	42718e55-8a44-4c62-9857-cba05f94077d	GENERATOR
82a5a0a6-4f9a-451a-9b9f-8a683afad602	e867ef65-f996-42ca-a1c6-5de81f970871	PRIMARY_AUXILIARIES
82a5a0a6-4f9a-451a-9b9f-8a683afad602	1aa304fc-6688-46a6-ad54-44b4e8bd6659	UPS
82a5a0a6-4f9a-451a-9b9f-8a683afad602	1447d402-645b-4465-894a-a6618b2080ec	CRITICAL_AUXILIARIES
82a5a0a6-4f9a-451a-9b9f-8a683afad602	e05b46d8-8dac-41b9-b4f2-e4c754448083	LIGHTING
82a5a0a6-4f9a-451a-9b9f-8a683afad602	0457c3d8-dd45-4432-8009-a42031e4dd1b	CRITICAL_POWER_DISTRIBUTION
82a5a0a6-4f9a-451a-9b9f-8a683afad602	5b2c3750-2904-41ca-a8f7-c9a9022c84ef	CRAH
82a5a0a6-4f9a-451a-9b9f-8a683afad602	4ab2ad54-2e91-42c4-8069-b26345a55435	CRAC
82a5a0a6-4f9a-451a-9b9f-8a683afad602	7643463f-86d7-4c8d-a56d-0d61a0f919c6	CRAC_WITHOUT_FAN
82a5a0a6-4f9a-451a-9b9f-8a683afad602	489b9969-42ba-49f1-b97c-b7accbf38b76	CRAC_FAN
82a5a0a6-4f9a-451a-9b9f-8a683afad602	4f5af60b-6347-4a05-a314-04dd15394f21	CHILLER
82a5a0a6-4f9a-451a-9b9f-8a683afad602	6e7123e2-faa2-4d9b-b39f-f925dcb16375	AIR_COOLED_CHILLER
82a5a0a6-4f9a-451a-9b9f-8a683afad602	c96f4a7c-ac8d-4b64-8d46-f3e35082d631	COOLING_TOWER
82a5a0a6-4f9a-451a-9b9f-8a683afad602	36cc02ba-7a0e-401a-8475-cc0654e7b1b8	DRY_COOLER
82a5a0a6-4f9a-451a-9b9f-8a683afad602	3b4a98cc-7baa-47bd-8d2e-0377445a5d5a	REMOTE_CONDENSER
82a5a0a6-4f9a-451a-9b9f-8a683afad602	cd0261f6-5f32-4c5e-b311-5a3ca7012e4c	CHILLED_WATER_PUMPS
82a5a0a6-4f9a-451a-9b9f-8a683afad602	84d1a40d-8682-429f-96a6-678dbd741690	HEAT_REJECTION_PUMPS
82a5a0a6-4f9a-451a-9b9f-8a683afad602	0dfb9a16-a869-4273-8cac-836827910097	VENTILATION
82a5a0a6-4f9a-451a-9b9f-8a683afad602	ed131e66-9ccc-412e-b274-6b21c2a89add	INFILTRATION
82a5a0a6-4f9a-451a-9b9f-8a683afad602	1790e6ee-6484-45c6-aced-63ac7c8db766	IT_LOAD
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	0853d78e-853a-4882-ba6b-5883f6a66897	SWITCHGEAR
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	97946198-6461-43f0-a079-3097dbd46e43	GENERATOR
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	b47b4e81-c1aa-4cd8-ba4b-92b279ded972	PRIMARY_AUXILIARIES
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	6250e6a9-1bdb-4980-9d75-6e2e34290559	UPS
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	38e4c473-95d8-4abb-bca2-21a4f2833b94	CRITICAL_AUXILIARIES
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	94e51e56-d6e3-4974-827e-f416fabb0752	LIGHTING
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	fce5e16c-85ef-499a-9625-b7e3817e05b7	CRITICAL_POWER_DISTRIBUTION
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	3d0631e4-f823-4788-8cb7-45143fa54d33	CRAH
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	a1d77984-94fb-4916-926d-7eb9ac09639e	CRAC
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	2af6c2c5-00b2-4619-b816-a2bfbc604ddd	CRAC_WITHOUT_FAN
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	13a67234-1292-40bc-805c-5000b3259232	CRAC_FAN
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	3e3fb2d2-1a4e-4242-94c3-8c88b2249042	CHILLER
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	c6502306-82cc-4ab8-aeb5-0693bf768ce6	AIR_COOLED_CHILLER
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	a38b4915-6135-4f3a-982b-639d6d189e4f	COOLING_TOWER
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	6bcfbd6a-9aa3-41da-8497-1f551b66fc14	DRY_COOLER
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	fc1ab4af-25ca-4bba-bc63-a31b4d2b0931	REMOTE_CONDENSER
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	cff3514b-18ef-4614-87cc-14cbc30217bf	CHILLED_WATER_PUMPS
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	0e9b0452-271a-4fc2-8d1b-759488792646	HEAT_REJECTION_PUMPS
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	14a17be9-e71e-432c-8514-997519600726	VENTILATION
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	beecb9ec-c699-48e8-9f07-0290e6f4d176	INFILTRATION
0eb87a59-f9de-4f17-bc6a-0a84c8fd3008	c37ff770-e064-4856-931b-377e03dcce99	IT_LOAD
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	bff23dcf-e1c5-4360-988a-3a8bd7be43c6	SWITCHGEAR
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	27d71c69-f246-4a3e-bfd8-4a8be19807ef	GENERATOR
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	f14822f0-4928-431b-a949-374ab674197c	PRIMARY_AUXILIARIES
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	b541077e-120f-4d42-81f3-76d407cbf7b3	UPS
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	c86c51f8-6d86-4676-8f0e-85c39481d3de	CRITICAL_AUXILIARIES
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	2d663237-ebcc-49ee-a5cc-1d577a8b7b85	LIGHTING
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	07376c05-a96b-48de-86fc-91a502f5e87f	CRITICAL_POWER_DISTRIBUTION
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	69efe976-5a54-4a61-9dc9-ef5411d6c977	CRAH
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	d97a6e56-4f20-4d2b-be6e-c73f59e40a25	CRAC
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	5c099782-bcd0-4a3f-a88a-d95b61551627	CRAC_WITHOUT_FAN
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	67af31f3-7cf7-4d53-b4cb-a38a25726180	CRAC_FAN
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	e2da9537-a78c-4ab2-93c1-bab8697d150f	CHILLER
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	f2faec6a-018b-4cb9-a950-f600c3ef9c64	AIR_COOLED_CHILLER
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	8a026e18-a60f-416a-bdde-9cd6f1ef6b35	COOLING_TOWER
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	ed9eb5b2-6589-47f7-9312-a28114bcbb47	DRY_COOLER
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	9937c228-2bee-4f82-9fc7-718f40b0b508	REMOTE_CONDENSER
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	16bafe92-346f-4143-9dbe-0bdea0840341	CHILLED_WATER_PUMPS
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	f57b24b2-e2fa-40f8-9f94-c79ae2d133e6	HEAT_REJECTION_PUMPS
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	8f53f428-16f1-4c6d-8409-19a84fe9e6c6	VENTILATION
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	b45a69b4-a21b-4d32-8e3d-db099a099b47	INFILTRATION
9009a03b-75c2-43d7-9d8d-ddcd71a2bf00	fb017aef-b5f7-4f36-b574-385223466ccb	IT_LOAD
6b5dd716-434d-4376-a83c-7085339bddc6	bd240449-de01-4a0f-aaa7-8c35ce9abc61	SWITCHGEAR
6b5dd716-434d-4376-a83c-7085339bddc6	d930cf31-1928-4b06-8414-4399451a92bd	GENERATOR
6b5dd716-434d-4376-a83c-7085339bddc6	22726394-f73f-42c6-aa10-b1a40dccbfbe	PRIMARY_AUXILIARIES
6b5dd716-434d-4376-a83c-7085339bddc6	6a030f8b-c0dd-437d-a8a5-779d131cb75f	UPS
6b5dd716-434d-4376-a83c-7085339bddc6	9c2ab257-48f8-46f0-b3a8-90d81f6566b1	CRITICAL_AUXILIARIES
6b5dd716-434d-4376-a83c-7085339bddc6	e3fe7bed-2dc8-4be0-9a07-66f98c113a31	LIGHTING
6b5dd716-434d-4376-a83c-7085339bddc6	f7c20bc5-0af2-4005-86e0-311f361bd215	CRITICAL_POWER_DISTRIBUTION
6b5dd716-434d-4376-a83c-7085339bddc6	91639637-ab49-479a-899a-54e85724eba6	CRAH
6b5dd716-434d-4376-a83c-7085339bddc6	9e8df91c-8ef7-47ce-a4a0-24b3977d34f3	CRAC
6b5dd716-434d-4376-a83c-7085339bddc6	e4d037cb-ba3f-421d-ba57-9ddf0ce0c783	CRAC_WITHOUT_FAN
6b5dd716-434d-4376-a83c-7085339bddc6	a9b45180-8088-4a89-9ccc-5cdd21f94abd	CRAC_FAN
6b5dd716-434d-4376-a83c-7085339bddc6	60b30031-fc7c-4512-9c19-2b0c47ec1a7a	CHILLER
6b5dd716-434d-4376-a83c-7085339bddc6	873dc684-c936-40ee-88fa-0975eb08796f	AIR_COOLED_CHILLER
6b5dd716-434d-4376-a83c-7085339bddc6	cb0c2b81-d112-4fb9-93a0-75dff56f510e	COOLING_TOWER
6b5dd716-434d-4376-a83c-7085339bddc6	6b4a4338-ac49-47a4-ae9f-f6dd0c25f64c	DRY_COOLER
6b5dd716-434d-4376-a83c-7085339bddc6	a02d019c-ad8b-4886-b067-8fa75a26dfd7	REMOTE_CONDENSER
6b5dd716-434d-4376-a83c-7085339bddc6	b32d40aa-dcda-4636-bb64-02521bd2d4ab	CHILLED_WATER_PUMPS
6b5dd716-434d-4376-a83c-7085339bddc6	4830f46a-7a8f-4169-966b-e473570a9297	HEAT_REJECTION_PUMPS
6b5dd716-434d-4376-a83c-7085339bddc6	484e1cea-ea13-4559-a800-2c5070724a52	VENTILATION
6b5dd716-434d-4376-a83c-7085339bddc6	a4e36b5a-4ca6-45cb-b156-90bcc382d2a1	INFILTRATION
6b5dd716-434d-4376-a83c-7085339bddc6	e6785aad-b54b-4c66-b9e3-4e543190cac4	IT_LOAD
31fb3c11-1007-42b9-a299-5899b5a8ddc9	535325eb-a411-4754-ac4f-64ee720d02e4	SWITCHGEAR
31fb3c11-1007-42b9-a299-5899b5a8ddc9	12f16b97-dc5d-44bd-82e1-51311a8c6048	GENERATOR
31fb3c11-1007-42b9-a299-5899b5a8ddc9	8140be69-360d-4522-9dbf-ad2779fe2dc7	PRIMARY_AUXILIARIES
31fb3c11-1007-42b9-a299-5899b5a8ddc9	9c3ee001-5d0c-43ca-ae67-19565bbf353d	UPS
31fb3c11-1007-42b9-a299-5899b5a8ddc9	d4e9b307-46ef-4427-a693-6d5f2cb551f5	CRITICAL_AUXILIARIES
31fb3c11-1007-42b9-a299-5899b5a8ddc9	7061163b-6a2a-4856-ae54-a68b34803df1	LIGHTING
31fb3c11-1007-42b9-a299-5899b5a8ddc9	7ad7a078-a725-43fa-980b-19127efd39e7	CRITICAL_POWER_DISTRIBUTION
31fb3c11-1007-42b9-a299-5899b5a8ddc9	e596cef0-a54a-4771-823f-6c873e44e862	CRAH
31fb3c11-1007-42b9-a299-5899b5a8ddc9	bfabbd8a-c416-4c54-a85a-5f66ad12e31c	CRAC
31fb3c11-1007-42b9-a299-5899b5a8ddc9	2781e6d0-8d79-4c31-940e-9b68dccfb764	CRAC_WITHOUT_FAN
31fb3c11-1007-42b9-a299-5899b5a8ddc9	7e845e80-3807-4bcd-88fc-5d4f25956b61	CRAC_FAN
31fb3c11-1007-42b9-a299-5899b5a8ddc9	2379ac79-8ee3-41f5-ad49-0dc24277568b	CHILLER
31fb3c11-1007-42b9-a299-5899b5a8ddc9	5e3bab01-c245-4b7f-83b7-ef0913094438	AIR_COOLED_CHILLER
31fb3c11-1007-42b9-a299-5899b5a8ddc9	c54b6cae-532e-4179-ae08-d1ebbb412663	COOLING_TOWER
31fb3c11-1007-42b9-a299-5899b5a8ddc9	3f183382-080d-426c-afd3-3bf68f197d4d	DRY_COOLER
31fb3c11-1007-42b9-a299-5899b5a8ddc9	a8562157-c7b1-47cb-92dc-5cda9badd8a2	REMOTE_CONDENSER
31fb3c11-1007-42b9-a299-5899b5a8ddc9	4eca4bc5-fdb3-4c51-a97c-e9f163bb2cf2	CHILLED_WATER_PUMPS
31fb3c11-1007-42b9-a299-5899b5a8ddc9	5884327c-d799-4463-8266-d37181c79889	HEAT_REJECTION_PUMPS
31fb3c11-1007-42b9-a299-5899b5a8ddc9	66c3638a-919b-4105-a40c-5b842c62f775	VENTILATION
31fb3c11-1007-42b9-a299-5899b5a8ddc9	7ae737b8-212e-41a1-92e7-7f6a527c2bb4	INFILTRATION
31fb3c11-1007-42b9-a299-5899b5a8ddc9	693d3a72-d07c-4e84-a394-3ca8e6657487	IT_LOAD
2969b1ed-4b1c-4e6d-b870-abb35640e08b	a251194a-743b-4412-9758-2f3da9870c00	SWITCHGEAR
2969b1ed-4b1c-4e6d-b870-abb35640e08b	6401f282-a8c8-4a2f-8455-e31f849fcbfe	GENERATOR
2969b1ed-4b1c-4e6d-b870-abb35640e08b	dbd556dc-324b-4359-b4fc-a4de21f7c16d	PRIMARY_AUXILIARIES
2969b1ed-4b1c-4e6d-b870-abb35640e08b	94e6b266-ac36-41ec-9441-782faa56fd97	UPS
2969b1ed-4b1c-4e6d-b870-abb35640e08b	d116eb86-4449-4610-abbc-516042754e0b	CRITICAL_AUXILIARIES
2969b1ed-4b1c-4e6d-b870-abb35640e08b	0425e676-9718-4c13-9488-7dcbfe89c3f1	LIGHTING
2969b1ed-4b1c-4e6d-b870-abb35640e08b	fcbc542e-4382-4a00-8e95-ab34de41dc91	CRITICAL_POWER_DISTRIBUTION
2969b1ed-4b1c-4e6d-b870-abb35640e08b	7b805dc3-c8a4-4404-88ab-169333d67959	CRAH
2969b1ed-4b1c-4e6d-b870-abb35640e08b	0cbf5d57-49b9-450d-afc0-1e9b7fff08a5	CRAC
2969b1ed-4b1c-4e6d-b870-abb35640e08b	c40503e3-2929-4716-9552-54fd5fa567fb	CRAC_WITHOUT_FAN
2969b1ed-4b1c-4e6d-b870-abb35640e08b	ea688899-5026-4e8d-9ca6-c7624ad45c28	CRAC_FAN
2969b1ed-4b1c-4e6d-b870-abb35640e08b	f2c07136-5bef-47bb-8e73-92432380cf6e	CHILLER
2969b1ed-4b1c-4e6d-b870-abb35640e08b	e908fdbe-b455-4be6-9caa-a0d5ac86b06e	AIR_COOLED_CHILLER
2969b1ed-4b1c-4e6d-b870-abb35640e08b	a6b0f9f3-ef3e-4b50-a4f6-b5c60fb68197	COOLING_TOWER
2969b1ed-4b1c-4e6d-b870-abb35640e08b	ed24e0a2-694b-4ea2-b347-85cbf7df6a62	DRY_COOLER
2969b1ed-4b1c-4e6d-b870-abb35640e08b	e937a54c-96b9-4d34-be07-b3a1f92053b8	REMOTE_CONDENSER
2969b1ed-4b1c-4e6d-b870-abb35640e08b	36ef3521-d236-4359-a71f-a087d37870d6	CHILLED_WATER_PUMPS
2969b1ed-4b1c-4e6d-b870-abb35640e08b	08afdf84-39cb-490f-9d00-2a73b50781db	HEAT_REJECTION_PUMPS
2969b1ed-4b1c-4e6d-b870-abb35640e08b	5119ed20-faef-454f-8313-540e7859406c	VENTILATION
2969b1ed-4b1c-4e6d-b870-abb35640e08b	ba514434-0353-426f-9ed9-21c96a02e4f1	INFILTRATION
2969b1ed-4b1c-4e6d-b870-abb35640e08b	e663a6cf-5eb0-464b-bff4-cdd27e36c05d	IT_LOAD
b360746f-81b9-48d9-abb7-4d6e9e028a28	0ff3c8dc-3e7b-40f5-85f5-fc757f8534b7	SWITCHGEAR
b360746f-81b9-48d9-abb7-4d6e9e028a28	dc33cfa7-3ebd-47a5-ac7e-be0fce019b88	GENERATOR
b360746f-81b9-48d9-abb7-4d6e9e028a28	1887106e-8b71-40b7-8f5f-cee17a4ef86b	PRIMARY_AUXILIARIES
b360746f-81b9-48d9-abb7-4d6e9e028a28	331004ed-44a1-438a-a3a4-a125b8b69f38	UPS
b360746f-81b9-48d9-abb7-4d6e9e028a28	8dd13a6b-d175-4ada-b3fa-eff469b46def	CRITICAL_AUXILIARIES
b360746f-81b9-48d9-abb7-4d6e9e028a28	ebbea1ad-7bc7-4be6-a929-b7161d9db8e3	LIGHTING
b360746f-81b9-48d9-abb7-4d6e9e028a28	ea98760d-79d0-49b8-a0ad-80f8cbaefe3c	CRITICAL_POWER_DISTRIBUTION
b360746f-81b9-48d9-abb7-4d6e9e028a28	79f83e0c-e6c8-4564-ad2a-b8d592d60d6d	CRAH
b360746f-81b9-48d9-abb7-4d6e9e028a28	b0812ba2-0a1f-4a92-95c4-c73a2142d181	CRAC
b360746f-81b9-48d9-abb7-4d6e9e028a28	931deffd-ecb3-4cd7-8c04-c092b1ec2ab3	CRAC_WITHOUT_FAN
b360746f-81b9-48d9-abb7-4d6e9e028a28	edffc9c9-1c56-4dc3-a111-26f77480ef00	CRAC_FAN
b360746f-81b9-48d9-abb7-4d6e9e028a28	d7905a6f-08f7-4aac-86d0-cfe7df678c9f	CHILLER
b360746f-81b9-48d9-abb7-4d6e9e028a28	183bf5db-ce22-4cd7-af3d-310e397cea27	AIR_COOLED_CHILLER
b360746f-81b9-48d9-abb7-4d6e9e028a28	e2f1c63f-e37f-4799-a789-944c66342ab3	COOLING_TOWER
b360746f-81b9-48d9-abb7-4d6e9e028a28	9d1bd718-854c-45b1-a029-b8b8b55403a0	DRY_COOLER
b360746f-81b9-48d9-abb7-4d6e9e028a28	8ba28384-b59d-44f5-aa03-70188688e9d9	REMOTE_CONDENSER
b360746f-81b9-48d9-abb7-4d6e9e028a28	610a91a5-9812-4ba0-a344-9f47e55177c2	CHILLED_WATER_PUMPS
b360746f-81b9-48d9-abb7-4d6e9e028a28	5dfa670a-6b52-4ebf-843e-63b9b51fa61d	HEAT_REJECTION_PUMPS
b360746f-81b9-48d9-abb7-4d6e9e028a28	7d0b13bc-37f6-4697-afe7-b7a90e42e218	VENTILATION
b360746f-81b9-48d9-abb7-4d6e9e028a28	ad01d9b0-2085-42ae-a179-eb05a9aff1dc	INFILTRATION
b360746f-81b9-48d9-abb7-4d6e9e028a28	9f8c0129-7374-447b-a80e-407257e2895b	IT_LOAD
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	bc32ce4c-0da4-488b-b043-9edaef231878	SWITCHGEAR
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	b8f7d1ec-f5db-4244-a077-b3e8106f9e88	GENERATOR
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	6a69819e-4eb9-4904-b7a7-0668bbf90c4d	PRIMARY_AUXILIARIES
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	437b3da2-9fc0-45f8-86bf-bbf35ad4e689	UPS
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	45cf61e1-e1dd-4f6e-bfd8-5f7231ebd663	CRITICAL_AUXILIARIES
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	a09b0ec7-15e3-43bb-917f-18629e01e1c5	LIGHTING
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	b8bf5871-b785-4647-9023-2a11413ca661	CRITICAL_POWER_DISTRIBUTION
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	825ad5a7-eacc-445f-90e8-c13b1b34d9ad	CRAH
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	7a448f5b-cafa-4a7e-9411-e78778a62dfc	CRAC
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	6d9b8f14-301d-4247-aaa9-70f810aec954	CRAC_WITHOUT_FAN
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	e7c314ab-7630-4cb9-bbb4-85baec0c96c2	CRAC_FAN
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	81094611-a3a5-4917-b5fc-fddad4e6e08d	CHILLER
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	41317bfc-1285-4fbf-a2bc-742b52bf71a0	AIR_COOLED_CHILLER
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	23878fcc-3f3a-4d35-af16-80731503c771	COOLING_TOWER
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	14dd9334-6f67-4cb9-8fee-1908d3e54a6a	DRY_COOLER
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	6396fd28-7a1b-4172-b188-6238840ec45c	REMOTE_CONDENSER
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	caf56f1d-68c2-46d9-b981-6c45ec0943ba	CHILLED_WATER_PUMPS
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	3f41c853-2989-4e67-9595-70d4aba46c5a	HEAT_REJECTION_PUMPS
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	835f76ce-1d95-4b18-b1de-23d76a2c7ac6	VENTILATION
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	2c74a040-1c0b-4150-b21f-3fb8327c4c72	INFILTRATION
8a102e90-2ce9-4ab9-847a-ed54f60ede0e	a4ff611a-8e61-4619-bedf-761f83245708	IT_LOAD
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	d4a3ca08-ad19-4d35-bab7-5ec2f36ef15d	SWITCHGEAR
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	c2d45328-208a-4f84-b411-46acadf35e44	GENERATOR
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	b1714565-2b44-40f7-b6ae-71812c800218	PRIMARY_AUXILIARIES
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	c986771b-2bb6-4ea9-a7c6-a13800e8fc5d	UPS
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	2c4e3df5-d6c4-4fbc-97ff-e6080b4319d5	CRITICAL_AUXILIARIES
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	352b1639-98d7-4c56-950f-f9fad6ce7e88	LIGHTING
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	a33c1c29-0e53-410e-8ba6-f07d2db1f5f1	CRITICAL_POWER_DISTRIBUTION
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	2b45b149-44e2-41bb-96a6-434776ecb2f7	CRAH
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	2a1dd162-4f13-4fb4-95d5-fc7028673bb8	CRAC
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	ffd51de3-b788-4f68-a6a5-0a2395041caf	CRAC_WITHOUT_FAN
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	e82e2184-833e-4866-bc9f-70179d676286	CRAC_FAN
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	c02acb7e-10b7-44d4-9868-6f72b2fb65f9	CHILLER
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	2572748a-aa29-4f1f-9f07-b47f5ee45b56	AIR_COOLED_CHILLER
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	76c7c397-ea79-4c99-a05f-8da4a53b04b3	COOLING_TOWER
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	631effa3-d98e-440f-93ec-6209ded7b816	DRY_COOLER
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	422749f4-cb06-40f8-b8bd-8b44e5267652	REMOTE_CONDENSER
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	580cca5f-4f32-4b2e-8463-6f2a9061dd5e	CHILLED_WATER_PUMPS
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	7128150c-5c42-4078-bce6-324eaa81407d	HEAT_REJECTION_PUMPS
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	562a5aa3-e720-4c42-aa03-b127b2c4ab04	VENTILATION
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	4cf73358-2f81-4b62-a4e1-57ae4ad187b5	INFILTRATION
6fba7b8e-dce6-4d61-a657-6d1a5ea87d0d	af4581b3-ce7d-454f-b2a0-c916df5145a3	IT_LOAD
b243451d-1f1f-4c6b-956f-70752b09b093	a82db187-2809-42c2-ab4b-3eebd512b0e4	SWITCHGEAR
b243451d-1f1f-4c6b-956f-70752b09b093	3dc7df6d-f5e7-44e3-9c5d-c5233e36bb82	GENERATOR
b243451d-1f1f-4c6b-956f-70752b09b093	f3ab1c23-ae13-4d8c-9173-4f8c6a984652	PRIMARY_AUXILIARIES
b243451d-1f1f-4c6b-956f-70752b09b093	fdd56f24-e6ea-4151-ae4c-bcfc89fde779	UPS
b243451d-1f1f-4c6b-956f-70752b09b093	cad3ca11-8952-46cd-8bf9-fdfe201bf9a7	CRITICAL_AUXILIARIES
b243451d-1f1f-4c6b-956f-70752b09b093	0ce945d1-c55f-453c-b816-b683ee3fa07c	LIGHTING
b243451d-1f1f-4c6b-956f-70752b09b093	0f3a1796-a210-418d-8c1e-e8e8bbfe67c0	CRITICAL_POWER_DISTRIBUTION
b243451d-1f1f-4c6b-956f-70752b09b093	6a97becb-306b-4bba-8876-dd61645a7c7a	CRAH
b243451d-1f1f-4c6b-956f-70752b09b093	04167d7c-dc50-4a45-8bbd-591b9d63a957	CRAC
b243451d-1f1f-4c6b-956f-70752b09b093	36a9c86f-d2e1-42bd-8159-78b6423ae732	CRAC_WITHOUT_FAN
b243451d-1f1f-4c6b-956f-70752b09b093	83f81257-35d1-4259-bde7-5e4faa37ca40	CRAC_FAN
b243451d-1f1f-4c6b-956f-70752b09b093	5cf18f29-28c3-473e-a7a3-0f70a41b873c	CHILLER
b243451d-1f1f-4c6b-956f-70752b09b093	b49e30b9-3cd6-4e2b-9f5e-269dd800756b	AIR_COOLED_CHILLER
b243451d-1f1f-4c6b-956f-70752b09b093	d0e6e302-97f4-4861-b5e8-30abbe1bc369	COOLING_TOWER
b243451d-1f1f-4c6b-956f-70752b09b093	95b9004c-a7f9-4743-8b39-a44356c847b8	DRY_COOLER
b243451d-1f1f-4c6b-956f-70752b09b093	ec3e80b3-ad9c-4c53-8eda-f9d512fb3801	REMOTE_CONDENSER
b243451d-1f1f-4c6b-956f-70752b09b093	7cde5341-a7bb-4075-9baa-17fcc4bd412c	CHILLED_WATER_PUMPS
b243451d-1f1f-4c6b-956f-70752b09b093	594d5fbc-c906-4110-848e-5f8251acd58e	HEAT_REJECTION_PUMPS
b243451d-1f1f-4c6b-956f-70752b09b093	7cdbf528-0047-473e-b062-6b29cce8d5b1	VENTILATION
b243451d-1f1f-4c6b-956f-70752b09b093	c13f4cee-4446-4dc4-8ce1-e58428965170	INFILTRATION
b243451d-1f1f-4c6b-956f-70752b09b093	9d54f244-e292-41e6-8bb5-4633700ade0e	IT_LOAD
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	b3531179-5df8-4242-93d9-58ed757073dd	SWITCHGEAR
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	d0c270fa-d80c-47a1-80e6-7a9c9a6caea9	GENERATOR
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	d1f5fa1c-9cd7-44c2-8e8d-7e8fbca4ccc2	PRIMARY_AUXILIARIES
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	198c8b40-4419-497c-82ef-9c7acf90c9e2	UPS
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	a4466aeb-bf21-48ed-8681-dfda6dfc1c4d	CRITICAL_AUXILIARIES
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	78002373-a53b-4df3-ae5f-7746cf70b8eb	LIGHTING
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	c85b963d-77aa-4d7c-ae4e-45c1e9a1421a	CRITICAL_POWER_DISTRIBUTION
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	47a86f7d-55cc-45c1-a2d0-d1251c61aa02	CRAH
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	e251b75d-e417-413a-a3c4-965f8ec06f05	CRAC
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	cc5a1d08-a571-4cc8-8710-0238621ed111	CRAC_WITHOUT_FAN
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	b6d783c0-9b5f-4fa0-8497-fdef88c70441	CRAC_FAN
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	c97798c7-4f86-42cf-9c84-c365d3b915c6	CHILLER
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	dc8d4697-7bc5-418a-916b-99f251ff68f3	AIR_COOLED_CHILLER
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	9bd94839-6afd-4faa-87ae-686e5e2470a3	COOLING_TOWER
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	8da52504-017b-44c3-a48d-cc25a012eac7	DRY_COOLER
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	5b768503-e63c-4e99-87cf-c6ad7671ab17	REMOTE_CONDENSER
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	484eee8f-9603-4f2c-ae99-38852c2a7699	CHILLED_WATER_PUMPS
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	56a4d58d-4cfc-4a74-9652-f016c1847e3b	HEAT_REJECTION_PUMPS
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	479d420a-c8bb-4d96-8490-a2195886b44e	VENTILATION
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	d4a181b2-803f-4ca6-af91-570ca29d84f2	INFILTRATION
e34f8c88-63ad-40e2-9656-4dac4ef3e9d3	f51e37c7-365e-4a7e-88f7-7fe286f310e8	IT_LOAD
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	3b3a1338-c7a1-440d-a078-0388dcb9832d	SWITCHGEAR
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	b4783200-a931-42db-8ef1-a1ee40e18e2c	GENERATOR
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	ea1d8f2f-430c-4415-aeb8-17183a3fd55c	PRIMARY_AUXILIARIES
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	12569743-a0a3-4003-abae-6d723fd1b2eb	UPS
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	6c1f5044-00bc-4d80-a354-a4d108b71ac8	CRITICAL_AUXILIARIES
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	48351ac8-9862-45a1-aa1d-84c589d3ef0c	LIGHTING
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	d8c3509b-212d-4650-870a-9077aaec9d99	CRITICAL_POWER_DISTRIBUTION
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	87e25a6b-374e-4301-8740-f80429d08690	CRAH
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	39f25176-7869-447e-8c9c-61407229edeb	CRAC
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	c683dd44-4e9f-4bc5-95f4-25c3327dcbcf	CRAC_WITHOUT_FAN
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	d34fb68e-26e4-4c49-b0cd-d1cfb694b58d	CRAC_FAN
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	d8bf9985-d799-4d8c-96ba-92ce3a37e845	CHILLER
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	a47f5f12-c74e-41c0-9996-9126ad321431	AIR_COOLED_CHILLER
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	dee992ce-6110-459e-b27c-b588c10c8b7f	COOLING_TOWER
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	9d8d015d-997a-474d-83cf-04fc29b3ce44	DRY_COOLER
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	de82daef-d88d-4380-bd6e-e8b4668876b9	REMOTE_CONDENSER
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	5f24f8cc-fbb4-481b-a25c-5c7ce9cf13bd	CHILLED_WATER_PUMPS
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	de0268dd-5f81-4836-9bac-a68f55559629	HEAT_REJECTION_PUMPS
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	958bc241-309f-4eb5-8e04-a3ae8f2e85ca	VENTILATION
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	bee79ab7-ffc5-487b-b705-ae9923a372d1	INFILTRATION
aa5154d1-f7d6-43e4-9c0c-b80cfb0a9cae	6adc2f80-1311-475c-b211-cb12ff352218	IT_LOAD
565d7598-60da-42df-8ef9-b29446afa9fc	c16e075b-91a9-4f1d-9667-25cf3cf7b9e8	SWITCHGEAR
565d7598-60da-42df-8ef9-b29446afa9fc	7140b8a7-b257-4f5f-91e7-d4e792e05765	GENERATOR
565d7598-60da-42df-8ef9-b29446afa9fc	937e131b-675d-43ee-8543-30cbc592d185	PRIMARY_AUXILIARIES
565d7598-60da-42df-8ef9-b29446afa9fc	6c5d8001-c10d-4a5a-a328-0426958b77ed	UPS
565d7598-60da-42df-8ef9-b29446afa9fc	13c92669-42e9-49a5-9940-b1ee04505bc8	CRITICAL_AUXILIARIES
565d7598-60da-42df-8ef9-b29446afa9fc	b087238f-c374-45c0-833c-4e17caa879e2	LIGHTING
565d7598-60da-42df-8ef9-b29446afa9fc	9bdb8935-5c92-4e24-882f-18bfe7fa8e12	CRITICAL_POWER_DISTRIBUTION
565d7598-60da-42df-8ef9-b29446afa9fc	70cd04a8-f73b-4755-9a06-9fd35f70d281	CRAH
565d7598-60da-42df-8ef9-b29446afa9fc	a70175d1-86eb-4fb8-8bba-73c8c2e6f154	CRAC
565d7598-60da-42df-8ef9-b29446afa9fc	2abbb3df-3ee9-4f49-a03d-703decd24764	CRAC_WITHOUT_FAN
565d7598-60da-42df-8ef9-b29446afa9fc	51101124-118e-4a06-b381-3df6e8eb9a3d	CRAC_FAN
565d7598-60da-42df-8ef9-b29446afa9fc	2746d7dd-48e5-4157-a739-6c176b543b0c	CHILLER
565d7598-60da-42df-8ef9-b29446afa9fc	65a0888b-6ffc-4d36-af9e-218093d1a9f5	AIR_COOLED_CHILLER
565d7598-60da-42df-8ef9-b29446afa9fc	9ae2a0f6-2a59-4df8-9207-28055b65684f	COOLING_TOWER
565d7598-60da-42df-8ef9-b29446afa9fc	31af23f8-9463-4584-9834-b631ecf8da85	DRY_COOLER
565d7598-60da-42df-8ef9-b29446afa9fc	1e04c8d4-7327-4075-8a29-5846a8099e97	REMOTE_CONDENSER
565d7598-60da-42df-8ef9-b29446afa9fc	1a938f48-9e1e-40f5-9587-7e97c41c0593	CHILLED_WATER_PUMPS
565d7598-60da-42df-8ef9-b29446afa9fc	b113478b-bb50-4411-829a-6bfbfc96775d	HEAT_REJECTION_PUMPS
565d7598-60da-42df-8ef9-b29446afa9fc	3bb69c19-1f7a-410d-a08a-cc3403d03590	VENTILATION
565d7598-60da-42df-8ef9-b29446afa9fc	a144ec6c-14c9-4dd1-8c0f-8d427c1593d8	INFILTRATION
565d7598-60da-42df-8ef9-b29446afa9fc	548580da-d657-4770-aed8-b7db7b8187d8	IT_LOAD
db8456df-612a-445b-a318-fdfb90c63ccb	c53fe030-e5cf-462d-8481-aad208ef139c	SWITCHGEAR
db8456df-612a-445b-a318-fdfb90c63ccb	6c7a297f-cd64-4b3f-a028-64cf96b580fa	GENERATOR
db8456df-612a-445b-a318-fdfb90c63ccb	60dd82b6-3461-453f-8eb7-0dc0812d50f5	PRIMARY_AUXILIARIES
db8456df-612a-445b-a318-fdfb90c63ccb	233e85ce-4a3d-499f-99ab-02d544ec6196	UPS
db8456df-612a-445b-a318-fdfb90c63ccb	c8cb791e-f5c0-40ad-a34d-9534542c8a0c	CRITICAL_AUXILIARIES
db8456df-612a-445b-a318-fdfb90c63ccb	8fb7816c-8af3-433f-86bd-ef50db1f4ac3	LIGHTING
db8456df-612a-445b-a318-fdfb90c63ccb	6b11560b-4141-4f24-a924-40d4855a96f8	CRITICAL_POWER_DISTRIBUTION
db8456df-612a-445b-a318-fdfb90c63ccb	29d573a6-36c7-4067-9709-27bf59e45957	CRAH
db8456df-612a-445b-a318-fdfb90c63ccb	1e30f6c4-50d5-4cba-8bce-9e3beb4e4da2	CRAC
db8456df-612a-445b-a318-fdfb90c63ccb	7bdd0a88-1ec4-4a92-b432-e6b0f67a089b	CRAC_WITHOUT_FAN
db8456df-612a-445b-a318-fdfb90c63ccb	43ad13d3-6ddb-4356-b988-70d816807ed3	CRAC_FAN
db8456df-612a-445b-a318-fdfb90c63ccb	312d3815-6fd0-494b-9f03-1d9a050cdcc3	CHILLER
db8456df-612a-445b-a318-fdfb90c63ccb	0d9b4571-0718-484b-bc82-aab14f79c004	AIR_COOLED_CHILLER
db8456df-612a-445b-a318-fdfb90c63ccb	deebb2bf-096e-41d6-9839-74e798e3a18e	COOLING_TOWER
db8456df-612a-445b-a318-fdfb90c63ccb	eb9d3416-822b-480a-af9d-7ada57ba6519	DRY_COOLER
db8456df-612a-445b-a318-fdfb90c63ccb	13806f05-3167-4b0a-bd4d-4b656ecd0eb7	REMOTE_CONDENSER
db8456df-612a-445b-a318-fdfb90c63ccb	ed19babe-a3ba-4b06-af64-dd777d8efcc0	CHILLED_WATER_PUMPS
db8456df-612a-445b-a318-fdfb90c63ccb	cc0cb2e7-279a-47c2-ad7b-0665014f19f3	HEAT_REJECTION_PUMPS
db8456df-612a-445b-a318-fdfb90c63ccb	8c93695a-07c3-4a2a-acd3-f0f59b3cbbfe	VENTILATION
db8456df-612a-445b-a318-fdfb90c63ccb	200aa86f-2624-400d-92aa-0ec567a994fb	INFILTRATION
db8456df-612a-445b-a318-fdfb90c63ccb	4d046bf3-2743-406c-9dbb-e3726333cdd3	IT_LOAD
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	8b97c325-a5a5-45bf-9b3d-98413b4b61ce	SWITCHGEAR
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	134f8f23-62c8-4762-afd1-dd5e64b79eec	GENERATOR
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	5de7c20e-7c08-4469-8a3b-0e6c9a4c66b9	PRIMARY_AUXILIARIES
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	e21fef9e-6341-4f0f-a7e7-6db9f2e24922	UPS
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	ca68eecf-ac06-479e-b74a-a9b5a5f34325	CRITICAL_AUXILIARIES
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	fb1ff13a-601b-4e65-9dee-215d403b1f20	LIGHTING
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	4f050096-2ba3-4b81-bb85-52ee99ebe8dd	CRITICAL_POWER_DISTRIBUTION
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	ad86c0df-f906-4838-8011-e0a3dafbd511	CRAH
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	04cc0946-381d-4bd3-a9d0-2fbf9dc61f16	CRAC
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	7bdf7f09-cd37-4cfc-bd0e-f60f27ead20e	CRAC_WITHOUT_FAN
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	ccb299dd-8d32-4559-a9b2-dfa45f6de3c4	CRAC_FAN
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	6245e796-98ca-4a87-8364-69fa122cfa16	CHILLER
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	d8ce6d03-b83d-45a8-87d6-6f30ac3e5862	AIR_COOLED_CHILLER
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	ac971776-353b-4f55-af12-8de35d70e6e1	COOLING_TOWER
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	3ddfafeb-6834-444c-9b8c-30504f8cb80b	DRY_COOLER
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	75cf50ff-1c46-4ef5-ac44-f07497ebfba6	REMOTE_CONDENSER
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	f0c0ec46-1efa-43ea-87bb-fb561801ae40	CHILLED_WATER_PUMPS
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	7726dd30-83b4-4280-b6c2-a92ae93d7939	HEAT_REJECTION_PUMPS
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	f072217a-5eda-40b6-96e5-7bd5027253af	VENTILATION
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	558bf89b-beda-4c0b-b7b0-a6b02bced921	INFILTRATION
2db0e3cb-b821-4cb5-a850-1d8b38ffed1f	bba883bd-7a63-4c04-a0a3-db4f684659d8	IT_LOAD
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	68944e8e-bdb9-478e-931d-7a34b09015d3	SWITCHGEAR
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	d201cdcd-7571-4aab-8846-8d88df7500eb	GENERATOR
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	d82a3ce8-bc14-4f23-8986-4c8442fda5d7	PRIMARY_AUXILIARIES
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	04e2da3d-f80c-4820-bb4b-04a66c72909e	UPS
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	7a5ead7b-f777-4da9-9404-465e347d9040	CRITICAL_AUXILIARIES
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	7ab82594-c00d-4cfb-9ccd-50a72b352af8	LIGHTING
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	c1b12e2c-4bf7-4e80-a2fe-d1b0b719a925	CRITICAL_POWER_DISTRIBUTION
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	0b9d98e3-9cf4-4f8e-9473-0a562068ae47	CRAH
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	be4dfced-dfa7-4d28-ab34-6066aedd8a22	CRAC
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	306c7585-b845-4a6d-ac5a-97bed4959b3e	CRAC_WITHOUT_FAN
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	eeea87e3-62ff-471c-a89e-c2d1ba0643c7	CRAC_FAN
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	962fc895-7239-4c6e-8211-fe458c787dd8	CHILLER
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	753f76db-f3fe-477c-93e1-369df771408c	AIR_COOLED_CHILLER
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	640b9691-ec91-48c9-8f1a-eedbd6abbdc3	COOLING_TOWER
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	690fbfa1-e9bf-40d6-a319-2055736bbd81	DRY_COOLER
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	45a76474-4a65-441d-b80b-35d7a31d3a03	REMOTE_CONDENSER
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	b9cd8da7-ca01-4981-8ee5-fe962bf0b5ab	CHILLED_WATER_PUMPS
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	eb8d2be2-e894-438c-bd39-0b799a717662	HEAT_REJECTION_PUMPS
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	32557e99-38ac-421a-8489-eb369de4cd02	VENTILATION
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	0a9cd725-3395-4bba-92d2-8ac7f2d529c3	INFILTRATION
0d3e31c6-d1df-4147-b6e6-2fb69ead1a09	43a8e7c1-dafa-4a0c-9b40-b097a171ac44	IT_LOAD
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	8fc040e1-6640-4414-b0b2-de1aad9ff3e9	SWITCHGEAR
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	d7ac1650-c47c-4bcb-b47a-599548e32c6a	GENERATOR
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	3f2e6397-d6ee-4094-a577-843ae848cde8	PRIMARY_AUXILIARIES
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	5e4bdf33-6ae1-400d-872c-7c77fb63c1a8	UPS
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	9211a8d1-9134-4427-a495-241b74901478	CRITICAL_AUXILIARIES
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	3aeec15f-7e52-4554-b8a0-83015e034617	LIGHTING
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	8482f56b-ba85-4c0f-aca3-4060712108b0	CRITICAL_POWER_DISTRIBUTION
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	c100f4fc-bd53-4f80-92e0-761eacc76a6c	CRAH
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	c50f4726-2e46-4521-aa91-f990ec7a6609	CRAC
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	03c7c76d-0c36-43ec-b376-e6ef9b10aa98	CRAC_WITHOUT_FAN
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	540b1acc-9b40-4f06-8aad-9a6627585579	CRAC_FAN
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	c46311df-c060-49d6-8cf8-ef68d1ceb1a8	CHILLER
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	5e63d820-4ff7-4953-a57a-83f0ab299eec	AIR_COOLED_CHILLER
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	516d81ff-7dc7-4610-90a3-d880b937dff6	COOLING_TOWER
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	81bab6c5-4118-4f17-b3c4-c216065fe4f4	DRY_COOLER
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	1aaf84c0-2705-4225-9b69-02dc0387d164	REMOTE_CONDENSER
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	3a43c371-3563-4dab-8267-8c030e3a5ece	CHILLED_WATER_PUMPS
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	7e343cee-b5aa-482b-b3d2-6b3c9f910877	HEAT_REJECTION_PUMPS
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	5f8085f4-c74d-44f5-b236-0fd5fb98a659	VENTILATION
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	42e7f7dd-9c9a-483d-aeb8-c9f02d65ddd3	INFILTRATION
d077d65d-bb3a-4d6b-bc99-69e171d52f5c	d3b13a4a-b581-49b1-b5c1-fa3178ded7b8	IT_LOAD
21558f8f-08c2-4971-83c3-174f2f6cd617	7c6c2bea-57e3-4ae8-9e50-ea64d87b8b26	SWITCHGEAR
21558f8f-08c2-4971-83c3-174f2f6cd617	d3c7cf50-53f1-407e-ad10-08a396d36345	GENERATOR
21558f8f-08c2-4971-83c3-174f2f6cd617	85c73d25-5b35-4090-9e52-c4bc52377aec	PRIMARY_AUXILIARIES
21558f8f-08c2-4971-83c3-174f2f6cd617	6920bc7e-122e-4a2a-a855-842b96bb9f68	UPS
21558f8f-08c2-4971-83c3-174f2f6cd617	71f5c395-4d6f-4f2a-835b-985e93523251	CRITICAL_AUXILIARIES
21558f8f-08c2-4971-83c3-174f2f6cd617	bce1c5ba-0ddd-4d68-a336-d8f85fa70f7e	LIGHTING
21558f8f-08c2-4971-83c3-174f2f6cd617	7f30fa25-dddb-417b-b1d8-057c50c62e9a	CRITICAL_POWER_DISTRIBUTION
21558f8f-08c2-4971-83c3-174f2f6cd617	7aac111e-419e-4f43-beaf-071508c6b5c6	CRAH
21558f8f-08c2-4971-83c3-174f2f6cd617	31ce0abc-d704-4a1e-b367-f06ebc789729	CRAC
21558f8f-08c2-4971-83c3-174f2f6cd617	91846be1-1307-4c67-9556-ad3a277c3d69	CRAC_WITHOUT_FAN
21558f8f-08c2-4971-83c3-174f2f6cd617	aeab0cb8-30bd-41f8-bade-35f75d88c6b7	CRAC_FAN
21558f8f-08c2-4971-83c3-174f2f6cd617	44bdf934-9c92-494a-921e-f145c33dd14a	CHILLER
21558f8f-08c2-4971-83c3-174f2f6cd617	80a80bf5-df51-47cd-ad7a-1ea4137c3c55	AIR_COOLED_CHILLER
21558f8f-08c2-4971-83c3-174f2f6cd617	e4a195b2-c932-4d48-b95c-b93da85a25d9	COOLING_TOWER
21558f8f-08c2-4971-83c3-174f2f6cd617	74886c4c-aa31-4829-94b8-273529de9c2d	DRY_COOLER
21558f8f-08c2-4971-83c3-174f2f6cd617	a7b0a2b3-9b3f-4fc3-bf33-1504a4cef79c	REMOTE_CONDENSER
21558f8f-08c2-4971-83c3-174f2f6cd617	1f83a491-9d62-4233-b0e6-d547eab0d272	CHILLED_WATER_PUMPS
21558f8f-08c2-4971-83c3-174f2f6cd617	b0a72605-ce1f-4a05-a482-93a6a3a57b8f	HEAT_REJECTION_PUMPS
21558f8f-08c2-4971-83c3-174f2f6cd617	3360cd67-a2c3-4f34-9d60-2286bf3c1332	VENTILATION
21558f8f-08c2-4971-83c3-174f2f6cd617	4a45d352-6007-407f-bc02-3097cfc8ac69	INFILTRATION
21558f8f-08c2-4971-83c3-174f2f6cd617	a8a6d390-f4b8-41c2-9b28-47ea29f85b4a	IT_LOAD
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	0e4b45ec-70c1-4224-8f10-4e02571a63ff	SWITCHGEAR
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	024b7a54-f8d5-4f86-9898-a766167a448c	GENERATOR
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	99afd954-f6f0-4300-ab18-01fed83300e2	PRIMARY_AUXILIARIES
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	22b5f5f0-8fe9-45c0-8a92-0112d9891135	UPS
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	38bb4709-70e0-4dfe-ada3-44c9c4f28e5e	CRITICAL_AUXILIARIES
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	5700025d-f651-4608-b274-5fbb0c34f0ba	LIGHTING
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	3f44e9c8-c405-49c9-8f37-450f5b80d9d8	CRITICAL_POWER_DISTRIBUTION
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	cd9f903d-cdd2-4df7-9273-e6cdde05d358	CRAH
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	1affd96f-d197-4513-92b7-16f2bb61eb89	CRAC
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	4bd1ff1b-f658-4869-8421-8ba70980ff34	CRAC_WITHOUT_FAN
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	9d728c2a-a1c8-447f-8f76-710ee5c2afcb	CRAC_FAN
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	53b14d96-caa3-4734-9c57-f6a7c147cddc	CHILLER
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	b5b719f0-41bd-4235-8744-674f47c9a11a	AIR_COOLED_CHILLER
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	b4263b73-c047-4e52-97ce-a2d49c733278	COOLING_TOWER
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	b2875177-59e1-4618-b184-1fb4531d188a	DRY_COOLER
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	6584bfdb-749b-4035-98dc-0cd1b95c341d	REMOTE_CONDENSER
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	812e964c-b52c-4f45-b5c0-c4d4dd322329	CHILLED_WATER_PUMPS
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	60e54d2a-f505-44cf-a878-fe0ff9cb7cac	HEAT_REJECTION_PUMPS
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	49b3e0dd-d009-4c05-bf4d-bca0866435f6	VENTILATION
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	bdb50459-1d98-4ab6-99df-0ce5fccdd9f7	INFILTRATION
91ce8343-6dc1-4b9e-a82f-6f4c9a2441b0	902a4d86-a87d-4af5-aeee-36651556c345	IT_LOAD
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	3d1d3f38-a78c-49bc-a036-444f7053b471	SWITCHGEAR
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	2ce7f351-8f82-4c80-9e8f-dde998388c5b	GENERATOR
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	d7c45a60-b477-48f1-8f39-69f1e70a855d	PRIMARY_AUXILIARIES
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	7305bc67-6a7e-41c0-a615-def881b2ce8a	UPS
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	28d55165-a078-4c54-8bae-bad6bf04f912	CRITICAL_AUXILIARIES
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	0ba5b211-ebe2-407c-a793-bdaa7bab289b	LIGHTING
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	fda037b6-84dd-4eb5-b37d-211caa8453ae	CRITICAL_POWER_DISTRIBUTION
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	741cb5a0-0547-4e93-942f-9f997cc75115	CRAH
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	e76f956b-481d-48c1-a9d6-6f10d3e1cf64	CRAC
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	757b2c3f-2703-413c-b1e5-bc6175b8b13d	CRAC_WITHOUT_FAN
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	9b47a32d-c6e2-4943-999b-b9a59459bfb4	CRAC_FAN
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	43194f15-5bbd-42b7-b12d-9cffcfde1c14	CHILLER
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	387ef6d4-6d76-408d-9d33-2c2d0066ca73	AIR_COOLED_CHILLER
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	8ee1726f-e1ac-44d0-a8ef-e315f9ccb629	COOLING_TOWER
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	51a6a70a-f3f5-49ee-aea4-269f9baab544	DRY_COOLER
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	dd910ba5-d842-4ed9-9271-d8d5d1a66422	REMOTE_CONDENSER
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	79920df7-82b4-4bf5-a275-6e4b3e32a658	CHILLED_WATER_PUMPS
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	245198ab-e599-4eb9-b32f-aba0f7d8ed7b	HEAT_REJECTION_PUMPS
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	7f5deade-7b14-4326-97e4-15a4ecda3a84	VENTILATION
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	016b5c7e-d5df-4a13-9984-8e0df35c10c5	INFILTRATION
4dc93cd8-ed4b-4ed0-b313-6fe0b40c646d	810602f8-443b-43d3-9019-50aae339bdb6	IT_LOAD
dc30532e-eac0-48bf-b96f-b2bb500bd31c	5e27c243-3c6b-45f3-91e2-41d83528950b	SWITCHGEAR
dc30532e-eac0-48bf-b96f-b2bb500bd31c	917f7664-fe26-4073-9609-c8dfbdfaf633	GENERATOR
dc30532e-eac0-48bf-b96f-b2bb500bd31c	42678fbe-8c11-4ffb-a3fb-c29362b487e6	PRIMARY_AUXILIARIES
dc30532e-eac0-48bf-b96f-b2bb500bd31c	b209a1c4-bf23-4b4d-bff5-d8bb8ce84c6a	UPS
dc30532e-eac0-48bf-b96f-b2bb500bd31c	c7991cc8-0605-471e-b804-2ec79940cf6a	CRITICAL_AUXILIARIES
dc30532e-eac0-48bf-b96f-b2bb500bd31c	79528b0f-1404-4896-9b59-dabbd917dca3	LIGHTING
dc30532e-eac0-48bf-b96f-b2bb500bd31c	5e36e48f-fd36-49f1-9480-06a861b6c08a	CRITICAL_POWER_DISTRIBUTION
dc30532e-eac0-48bf-b96f-b2bb500bd31c	a0555ad9-463b-4f06-9a69-7ec8f13f73f4	CRAH
dc30532e-eac0-48bf-b96f-b2bb500bd31c	f1822142-23b5-4cd4-b12a-66135a32e13b	CRAC
dc30532e-eac0-48bf-b96f-b2bb500bd31c	78032a72-164d-4cfc-af08-59800017ccb0	CRAC_WITHOUT_FAN
dc30532e-eac0-48bf-b96f-b2bb500bd31c	e468c62a-983a-432a-9c67-6e4a0c763e78	CRAC_FAN
dc30532e-eac0-48bf-b96f-b2bb500bd31c	b928bd5a-f54a-410a-a8af-b4cd7ee54931	CHILLER
dc30532e-eac0-48bf-b96f-b2bb500bd31c	3403a5fc-4c22-49ba-86fc-c0584177651c	AIR_COOLED_CHILLER
dc30532e-eac0-48bf-b96f-b2bb500bd31c	5d70f467-f52d-4521-8dfd-8856b3be958f	COOLING_TOWER
dc30532e-eac0-48bf-b96f-b2bb500bd31c	e20c77cd-cf7c-4a6d-8022-6a1ed87e47b7	DRY_COOLER
dc30532e-eac0-48bf-b96f-b2bb500bd31c	faf3672d-035a-45ce-ba10-6edca4c95dff	REMOTE_CONDENSER
dc30532e-eac0-48bf-b96f-b2bb500bd31c	ae43926b-9944-458f-aff1-8376db2007ef	CHILLED_WATER_PUMPS
dc30532e-eac0-48bf-b96f-b2bb500bd31c	ec4bfe3a-9d41-43a3-b87a-ca81ecef0059	HEAT_REJECTION_PUMPS
dc30532e-eac0-48bf-b96f-b2bb500bd31c	bb646633-b1b5-48ed-b8ac-898bb30f2a58	VENTILATION
dc30532e-eac0-48bf-b96f-b2bb500bd31c	e5e808aa-85c4-4d86-8d50-dbfca42747e1	INFILTRATION
dc30532e-eac0-48bf-b96f-b2bb500bd31c	46b89f31-acc6-47e9-a7e7-0f068aab257a	IT_LOAD
7d014cef-7df1-4639-9a5d-55328a1a8a27	333c7281-4e77-421e-bb05-6cfa5ed89815	SWITCHGEAR
7d014cef-7df1-4639-9a5d-55328a1a8a27	60f801a5-ea0d-4344-a71d-dec06d68e7c6	GENERATOR
7d014cef-7df1-4639-9a5d-55328a1a8a27	b2e97550-286e-463e-a744-54d0eedfceda	PRIMARY_AUXILIARIES
7d014cef-7df1-4639-9a5d-55328a1a8a27	4e097719-90c0-458d-87d4-da14062b7fbb	UPS
7d014cef-7df1-4639-9a5d-55328a1a8a27	028e275d-88b9-4be1-91b0-7a91dd0e0447	CRITICAL_AUXILIARIES
7d014cef-7df1-4639-9a5d-55328a1a8a27	8c5d57e7-b05f-4200-9cb4-25674f7b4b5f	LIGHTING
7d014cef-7df1-4639-9a5d-55328a1a8a27	0c6ae7b1-b46b-476b-a8aa-4747250ee255	CRITICAL_POWER_DISTRIBUTION
7d014cef-7df1-4639-9a5d-55328a1a8a27	7fe942cd-ce7b-47b7-90e0-bd8ba56d85c1	CRAH
7d014cef-7df1-4639-9a5d-55328a1a8a27	47d187be-76d3-4a27-b567-f0635bcf9a18	CRAC
7d014cef-7df1-4639-9a5d-55328a1a8a27	565120b3-e0ff-4bcd-a575-7ae771a1989c	CRAC_WITHOUT_FAN
7d014cef-7df1-4639-9a5d-55328a1a8a27	3d981704-2799-48f4-9d4d-9c1d36ad146e	CRAC_FAN
7d014cef-7df1-4639-9a5d-55328a1a8a27	03ed63c2-fdf9-47f5-bb57-c1a872d3def8	CHILLER
7d014cef-7df1-4639-9a5d-55328a1a8a27	18921b96-d62f-4fb0-87a4-1b03a722c6d7	AIR_COOLED_CHILLER
7d014cef-7df1-4639-9a5d-55328a1a8a27	14bd5296-6e77-46f8-a54e-1ac0a174aea1	COOLING_TOWER
7d014cef-7df1-4639-9a5d-55328a1a8a27	36e1c34a-93dd-4b33-96bc-3ad9bf3e8aae	DRY_COOLER
7d014cef-7df1-4639-9a5d-55328a1a8a27	6169e282-acd7-469d-ae29-d10aff295be7	REMOTE_CONDENSER
7d014cef-7df1-4639-9a5d-55328a1a8a27	d67e30fe-a808-4a5b-a0dc-3a520b4b4b22	CHILLED_WATER_PUMPS
7d014cef-7df1-4639-9a5d-55328a1a8a27	170f7d86-c061-41e4-bc37-dabfac6b605d	HEAT_REJECTION_PUMPS
7d014cef-7df1-4639-9a5d-55328a1a8a27	5dab621f-ffcb-4c34-bca7-6362911d90d1	VENTILATION
7d014cef-7df1-4639-9a5d-55328a1a8a27	2ddc06fc-c264-4020-ad73-7cdfa9fcee28	INFILTRATION
7d014cef-7df1-4639-9a5d-55328a1a8a27	a87d9ff8-da0a-4bed-8306-40c42a554d4f	IT_LOAD
31553281-dc35-49e4-a752-eb543c0c10cd	df45ca01-cdf4-4288-bba7-e8ca98a64503	SWITCHGEAR
31553281-dc35-49e4-a752-eb543c0c10cd	8ccadf5f-d245-40e2-b398-6d7d9382e5a6	GENERATOR
31553281-dc35-49e4-a752-eb543c0c10cd	5080d57d-239d-495f-8f41-4ec7320e8a8a	PRIMARY_AUXILIARIES
31553281-dc35-49e4-a752-eb543c0c10cd	1c83f5ce-51fe-43b2-9da6-25a1d57aaa69	UPS
31553281-dc35-49e4-a752-eb543c0c10cd	b5323204-36b3-49b4-8d70-568f1009c6de	CRITICAL_AUXILIARIES
31553281-dc35-49e4-a752-eb543c0c10cd	87597e4d-1ea1-4731-b52a-6116ba1b16a7	LIGHTING
31553281-dc35-49e4-a752-eb543c0c10cd	920084d8-03e9-4c63-922c-25eaa269cdd0	CRITICAL_POWER_DISTRIBUTION
31553281-dc35-49e4-a752-eb543c0c10cd	b473b416-1ce0-4039-a915-0cc207c90ac1	CRAH
31553281-dc35-49e4-a752-eb543c0c10cd	4329b8af-5e31-407e-a8a1-c34798995dfe	CRAC
31553281-dc35-49e4-a752-eb543c0c10cd	36c4a3d5-ff3b-4fb7-be31-2df52e3f79e8	CRAC_WITHOUT_FAN
31553281-dc35-49e4-a752-eb543c0c10cd	dcd3cf91-7067-4efc-85f0-3a586c3abd04	CRAC_FAN
31553281-dc35-49e4-a752-eb543c0c10cd	80f68ad7-199e-4ee4-b1c1-3b1cab60a393	CHILLER
31553281-dc35-49e4-a752-eb543c0c10cd	fa95c118-ae2b-4dbc-a826-e1d5cb8a7be3	AIR_COOLED_CHILLER
31553281-dc35-49e4-a752-eb543c0c10cd	7302aa0e-0918-44bf-b4fc-756533668bb5	COOLING_TOWER
31553281-dc35-49e4-a752-eb543c0c10cd	fd6214dd-59ae-4ccd-82e1-04b7c547d6e4	DRY_COOLER
31553281-dc35-49e4-a752-eb543c0c10cd	c7ea6510-8649-4beb-a099-75d1bd9dbaac	REMOTE_CONDENSER
31553281-dc35-49e4-a752-eb543c0c10cd	da7c6972-7cbf-47dc-8403-dbed5f3ae5ba	CHILLED_WATER_PUMPS
31553281-dc35-49e4-a752-eb543c0c10cd	dfa82371-e78c-4037-bfa2-e624d1f5e971	HEAT_REJECTION_PUMPS
31553281-dc35-49e4-a752-eb543c0c10cd	80e871c3-a3fc-4f0a-9f95-b7beb99e52f9	VENTILATION
31553281-dc35-49e4-a752-eb543c0c10cd	79eaa929-464c-46ed-9c0a-f28db5b45b44	INFILTRATION
31553281-dc35-49e4-a752-eb543c0c10cd	24ba7e5d-542f-42e7-98cd-05063fc62a74	IT_LOAD
299f58ce-9771-434f-ab09-ae9ff93d169e	e32fc0d8-96dd-4171-aed1-54f1fee2c864	SWITCHGEAR
299f58ce-9771-434f-ab09-ae9ff93d169e	7d2db137-bef5-4df0-90bc-6ea308273726	GENERATOR
299f58ce-9771-434f-ab09-ae9ff93d169e	4e074fa9-34e2-466f-8ae2-e817d9845c15	PRIMARY_AUXILIARIES
299f58ce-9771-434f-ab09-ae9ff93d169e	bf8b6622-0f6a-499a-a0a8-26997f41df16	UPS
299f58ce-9771-434f-ab09-ae9ff93d169e	2cf408f7-b37f-4c18-b32f-499ada467adc	CRITICAL_AUXILIARIES
299f58ce-9771-434f-ab09-ae9ff93d169e	7c2a2d76-e645-4659-b5c0-f90e5b4bcc07	LIGHTING
299f58ce-9771-434f-ab09-ae9ff93d169e	ab5c4c32-a909-45c1-80d5-8eea0fa1f90c	CRITICAL_POWER_DISTRIBUTION
299f58ce-9771-434f-ab09-ae9ff93d169e	bfbca9a0-6bb4-4e05-a43a-6a6b32d5b4d1	CRAH
299f58ce-9771-434f-ab09-ae9ff93d169e	84b607bb-9de0-4b33-a03f-97ab15551485	CRAC
299f58ce-9771-434f-ab09-ae9ff93d169e	ec0b5b40-d28b-436e-b77c-4e04d8268809	CRAC_WITHOUT_FAN
299f58ce-9771-434f-ab09-ae9ff93d169e	d1dae369-6f77-42da-99c9-54230e54a917	CRAC_FAN
299f58ce-9771-434f-ab09-ae9ff93d169e	b015104a-f6bf-44f4-b74b-6778cd5a8410	CHILLER
299f58ce-9771-434f-ab09-ae9ff93d169e	ff4db0b3-21a1-4fa3-a18c-29354605ea9c	AIR_COOLED_CHILLER
299f58ce-9771-434f-ab09-ae9ff93d169e	fe229940-4344-4f4f-b19e-e8e211094298	COOLING_TOWER
299f58ce-9771-434f-ab09-ae9ff93d169e	5c986a1e-363f-44ce-b7da-fdda39fb1cd2	DRY_COOLER
299f58ce-9771-434f-ab09-ae9ff93d169e	d6749185-8038-4f6f-9067-861420532fb5	REMOTE_CONDENSER
299f58ce-9771-434f-ab09-ae9ff93d169e	d5bb8860-7ac9-417e-9534-ba03de33071f	CHILLED_WATER_PUMPS
299f58ce-9771-434f-ab09-ae9ff93d169e	5a4f93d3-0f65-4238-a3a4-db54eaf0e2c9	HEAT_REJECTION_PUMPS
299f58ce-9771-434f-ab09-ae9ff93d169e	61d359b5-e0e8-4be2-bd43-2b1656b7d073	VENTILATION
299f58ce-9771-434f-ab09-ae9ff93d169e	fdaaee90-211d-42fb-a219-466daee5cbee	INFILTRATION
299f58ce-9771-434f-ab09-ae9ff93d169e	e0fd3ea1-6cfc-4f77-8bc9-b5324d2e4b99	IT_LOAD
6c6958c1-b05b-4c84-aa62-1e5b377d558c	7a094cf3-6c29-4472-8c23-9bcb558e5961	SWITCHGEAR
6c6958c1-b05b-4c84-aa62-1e5b377d558c	7e0f8f42-838b-405d-8340-61edffd9271d	GENERATOR
6c6958c1-b05b-4c84-aa62-1e5b377d558c	b6a17767-210e-4050-8c51-733463f8fb99	PRIMARY_AUXILIARIES
6c6958c1-b05b-4c84-aa62-1e5b377d558c	ace2d56c-f636-4612-b8fc-48537b7bf5fa	UPS
6c6958c1-b05b-4c84-aa62-1e5b377d558c	c883a874-dbff-48fe-a34d-4264c91921c1	CRITICAL_AUXILIARIES
6c6958c1-b05b-4c84-aa62-1e5b377d558c	6dea9ddb-4392-41b0-90d7-a2420e4124af	LIGHTING
6c6958c1-b05b-4c84-aa62-1e5b377d558c	460ced66-9539-4871-b211-3a2ea26997ba	CRITICAL_POWER_DISTRIBUTION
6c6958c1-b05b-4c84-aa62-1e5b377d558c	387a11b6-351e-4292-aa04-e064e98a2ea6	CRAH
6c6958c1-b05b-4c84-aa62-1e5b377d558c	bd91a30e-4a8e-489f-a142-b252095a4a81	CRAC
6c6958c1-b05b-4c84-aa62-1e5b377d558c	078f5681-3bd8-4445-895b-3060114cb688	CRAC_WITHOUT_FAN
6c6958c1-b05b-4c84-aa62-1e5b377d558c	c87d53db-272d-405f-9beb-c9bc4128f47a	CRAC_FAN
6c6958c1-b05b-4c84-aa62-1e5b377d558c	783df3f5-bd58-4bb6-ae80-721b0a9519c5	CHILLER
6c6958c1-b05b-4c84-aa62-1e5b377d558c	ac49c8b5-562e-4921-bdd7-5f6c7709b4fd	AIR_COOLED_CHILLER
6c6958c1-b05b-4c84-aa62-1e5b377d558c	db3aeffa-8eb9-44fc-99c4-0a6171b5f9d5	COOLING_TOWER
6c6958c1-b05b-4c84-aa62-1e5b377d558c	62b7289f-48b3-4747-b594-db2387cb5f44	DRY_COOLER
6c6958c1-b05b-4c84-aa62-1e5b377d558c	6aa439d1-fbf5-4405-891d-3e14efe711bf	REMOTE_CONDENSER
6c6958c1-b05b-4c84-aa62-1e5b377d558c	baff1d15-f826-48ee-8ff3-2befdf5abd4b	CHILLED_WATER_PUMPS
6c6958c1-b05b-4c84-aa62-1e5b377d558c	a63b32be-7f9c-4603-b35c-b8c5c7873c09	HEAT_REJECTION_PUMPS
6c6958c1-b05b-4c84-aa62-1e5b377d558c	f14420c6-4e7d-46eb-b304-512e945681b1	VENTILATION
6c6958c1-b05b-4c84-aa62-1e5b377d558c	354d3d19-c6dd-4bda-915e-e5d5da876f3b	INFILTRATION
6c6958c1-b05b-4c84-aa62-1e5b377d558c	0d6bd045-9225-4f74-b44f-aac33ef03cb9	IT_LOAD
4ac40153-e3d5-49b4-9b22-22075b60924b	3e144332-4c63-4b20-bad0-196806cdca0f	SWITCHGEAR
4ac40153-e3d5-49b4-9b22-22075b60924b	6c76a272-b37e-4ef2-9b49-f161e866f5cb	GENERATOR
4ac40153-e3d5-49b4-9b22-22075b60924b	0173ff39-e6f5-4916-9163-8096ee8bdff0	PRIMARY_AUXILIARIES
4ac40153-e3d5-49b4-9b22-22075b60924b	39c75309-c724-42d4-a3b7-feaf49942166	UPS
4ac40153-e3d5-49b4-9b22-22075b60924b	bdf8d536-1c63-4c8e-a860-7b09a105ec9e	CRITICAL_AUXILIARIES
4ac40153-e3d5-49b4-9b22-22075b60924b	443d51af-1b3c-4be6-ae5a-ccd61db40a6e	LIGHTING
4ac40153-e3d5-49b4-9b22-22075b60924b	0230f4c2-9f11-4521-b17f-b610bec956a5	CRITICAL_POWER_DISTRIBUTION
4ac40153-e3d5-49b4-9b22-22075b60924b	1cc07004-028f-4770-a34d-cf421d8cf977	CRAH
4ac40153-e3d5-49b4-9b22-22075b60924b	1ce0fcb3-87b1-438d-9c00-d0caf0ff9708	CRAC
4ac40153-e3d5-49b4-9b22-22075b60924b	01b016ab-aca5-433d-b15a-492bfb83e80e	CRAC_WITHOUT_FAN
4ac40153-e3d5-49b4-9b22-22075b60924b	be06354d-fb57-4826-b210-9dcbfcca4921	CRAC_FAN
4ac40153-e3d5-49b4-9b22-22075b60924b	fcce33af-f8d0-4313-a98b-3f50ee80e0e7	CHILLER
4ac40153-e3d5-49b4-9b22-22075b60924b	db389dcf-5055-4147-b68d-3027341dc73e	AIR_COOLED_CHILLER
4ac40153-e3d5-49b4-9b22-22075b60924b	4d19488f-b72c-4995-9ab9-37485190a776	COOLING_TOWER
4ac40153-e3d5-49b4-9b22-22075b60924b	75d5f9c3-bb43-48ed-9fca-3d4bb5aac190	DRY_COOLER
4ac40153-e3d5-49b4-9b22-22075b60924b	8edd8435-d2ba-4320-b9f9-b8f1aa26d349	REMOTE_CONDENSER
4ac40153-e3d5-49b4-9b22-22075b60924b	8554870d-e66b-4f10-81e0-e2d841293838	CHILLED_WATER_PUMPS
4ac40153-e3d5-49b4-9b22-22075b60924b	fb8b6f6f-e8ed-4c35-8a0f-151f0d6f7037	HEAT_REJECTION_PUMPS
4ac40153-e3d5-49b4-9b22-22075b60924b	9fa9655d-bf7d-4bbd-8995-d25ba32d9dee	VENTILATION
4ac40153-e3d5-49b4-9b22-22075b60924b	8c1fa003-f87e-46a3-bb5f-ad07b92922ee	INFILTRATION
4ac40153-e3d5-49b4-9b22-22075b60924b	9ac124f1-7607-46b2-8fc7-f0034d1da0ac	IT_LOAD
fb74310b-1b00-4e0f-8f10-45e69f8716c7	5564f5de-64b6-46e5-b139-67199a1a10f8	SWITCHGEAR
fb74310b-1b00-4e0f-8f10-45e69f8716c7	d4a8c2d3-a61b-418a-ae8f-9f0566d72219	GENERATOR
fb74310b-1b00-4e0f-8f10-45e69f8716c7	f16c79c2-f21a-4106-9e60-9cc6f699de08	PRIMARY_AUXILIARIES
fb74310b-1b00-4e0f-8f10-45e69f8716c7	5245af57-0621-43a2-a360-c1358b9b3d85	UPS
fb74310b-1b00-4e0f-8f10-45e69f8716c7	40c9ae56-65c9-43db-a70d-adfd4345be7c	CRITICAL_AUXILIARIES
fb74310b-1b00-4e0f-8f10-45e69f8716c7	da238331-40f3-4004-94ee-8d7b161ba6ac	LIGHTING
fb74310b-1b00-4e0f-8f10-45e69f8716c7	ec12b5fc-ad96-4ee4-a785-de5559031077	CRITICAL_POWER_DISTRIBUTION
fb74310b-1b00-4e0f-8f10-45e69f8716c7	06756106-9218-4b91-8d4e-601228a5c60b	CRAH
fb74310b-1b00-4e0f-8f10-45e69f8716c7	ab5f6716-5088-427a-adfa-38d88f6e917c	CRAC
fb74310b-1b00-4e0f-8f10-45e69f8716c7	280312ab-2681-4f0c-aad3-1ba512f3a81d	CRAC_WITHOUT_FAN
fb74310b-1b00-4e0f-8f10-45e69f8716c7	ae4008c8-aed4-4913-a466-44d2ac442362	CRAC_FAN
fb74310b-1b00-4e0f-8f10-45e69f8716c7	718e486a-97e4-4eb5-9938-1e640c2e8967	CHILLER
fb74310b-1b00-4e0f-8f10-45e69f8716c7	540eb564-89c4-4439-85a3-6e4a601fa074	AIR_COOLED_CHILLER
fb74310b-1b00-4e0f-8f10-45e69f8716c7	4b785d09-f64b-4129-9d02-3daeaa19f25a	COOLING_TOWER
fb74310b-1b00-4e0f-8f10-45e69f8716c7	cd316828-c61c-48d0-8e94-3bfa307f7e9b	DRY_COOLER
fb74310b-1b00-4e0f-8f10-45e69f8716c7	a74f19d3-f670-4038-8f12-7d173d07191c	REMOTE_CONDENSER
fb74310b-1b00-4e0f-8f10-45e69f8716c7	01f546ca-b1af-482f-b83c-4e0f78f4fbaa	CHILLED_WATER_PUMPS
fb74310b-1b00-4e0f-8f10-45e69f8716c7	243c9752-22d8-4a28-8a8a-86824c7d69e5	HEAT_REJECTION_PUMPS
fb74310b-1b00-4e0f-8f10-45e69f8716c7	ff22e7f0-5f68-4d18-89e0-9bda056d3e22	VENTILATION
fb74310b-1b00-4e0f-8f10-45e69f8716c7	c05dd645-5804-4662-8e96-bbf3023b1996	INFILTRATION
fb74310b-1b00-4e0f-8f10-45e69f8716c7	0e8beb07-57c7-44eb-94d2-d4eca062ed2c	IT_LOAD
f9f4378a-75b5-44d8-bf60-3f2889503e63	5abb5ec9-93ae-41e2-8709-81608bbe6214	SWITCHGEAR
f9f4378a-75b5-44d8-bf60-3f2889503e63	fc958fa8-7ef8-4366-8fc4-06d34627ba6e	GENERATOR
f9f4378a-75b5-44d8-bf60-3f2889503e63	51ea7e04-4c07-4954-b860-3d8a5b417bca	PRIMARY_AUXILIARIES
f9f4378a-75b5-44d8-bf60-3f2889503e63	c51bc900-1196-4908-9dba-21467a1a0a01	UPS
f9f4378a-75b5-44d8-bf60-3f2889503e63	0c7c0c17-1936-4d5d-a490-311711acb983	CRITICAL_AUXILIARIES
f9f4378a-75b5-44d8-bf60-3f2889503e63	83197063-3676-496d-bc53-9bfcb082b6ad	LIGHTING
f9f4378a-75b5-44d8-bf60-3f2889503e63	0d9a41c7-7f14-4ea0-b26a-761f291b8a4c	CRITICAL_POWER_DISTRIBUTION
f9f4378a-75b5-44d8-bf60-3f2889503e63	39ca06d1-714c-4143-8196-e8e9853ec051	CRAH
f9f4378a-75b5-44d8-bf60-3f2889503e63	13f0b35e-c907-4c02-8dad-f59851611c01	CRAC
f9f4378a-75b5-44d8-bf60-3f2889503e63	b0724623-7acb-47b9-8203-5b9d67a6f670	CRAC_WITHOUT_FAN
f9f4378a-75b5-44d8-bf60-3f2889503e63	00f23b55-4df8-499a-9835-3b959057b10a	CRAC_FAN
f9f4378a-75b5-44d8-bf60-3f2889503e63	c9d9052f-a8fd-4116-99a1-065d2c17eac4	CHILLER
f9f4378a-75b5-44d8-bf60-3f2889503e63	0960ba31-bd4e-4c0a-9e89-6140f6a64ea7	AIR_COOLED_CHILLER
f9f4378a-75b5-44d8-bf60-3f2889503e63	c1c5d62f-5cb0-4e00-ba62-d06eec720b7a	COOLING_TOWER
f9f4378a-75b5-44d8-bf60-3f2889503e63	ba9c1406-8cb4-44e7-a9ad-929677cefc89	DRY_COOLER
f9f4378a-75b5-44d8-bf60-3f2889503e63	74e3eb48-dae6-41e8-9333-558edeb53bf5	REMOTE_CONDENSER
f9f4378a-75b5-44d8-bf60-3f2889503e63	7e736d0d-a2a8-4339-b239-101243ef1999	CHILLED_WATER_PUMPS
f9f4378a-75b5-44d8-bf60-3f2889503e63	15101e87-e66e-435c-96cc-9f320769be06	HEAT_REJECTION_PUMPS
f9f4378a-75b5-44d8-bf60-3f2889503e63	0ca06408-fbe2-4d7a-9612-c24945920816	VENTILATION
f9f4378a-75b5-44d8-bf60-3f2889503e63	bea4ed45-2b67-4d72-b063-da9d5ad6dd00	INFILTRATION
f9f4378a-75b5-44d8-bf60-3f2889503e63	ad1f5202-29ec-4883-9e02-d300a7e26a65	IT_LOAD
6e925f56-760c-43bf-b2f5-94aad7d91c6b	0b1a1d8d-dfc4-4d84-b5e1-34e376039c87	SWITCHGEAR
6e925f56-760c-43bf-b2f5-94aad7d91c6b	5b5e0b03-727a-49c8-a5a0-8674a9fdc382	GENERATOR
6e925f56-760c-43bf-b2f5-94aad7d91c6b	d9d257a1-e3e5-4787-bce4-bc6bc68ff1c2	PRIMARY_AUXILIARIES
6e925f56-760c-43bf-b2f5-94aad7d91c6b	709b0d5d-a9cb-4e52-bcd6-a8535ad6f1f7	UPS
6e925f56-760c-43bf-b2f5-94aad7d91c6b	fa1818e9-a2e7-4caa-a074-dc8e2c72fd75	CRITICAL_AUXILIARIES
6e925f56-760c-43bf-b2f5-94aad7d91c6b	a57f40ae-34a1-4ddc-b5e2-ae25274f985f	LIGHTING
6e925f56-760c-43bf-b2f5-94aad7d91c6b	ea906a97-4d28-42ae-bf03-fcc6bde7050c	CRITICAL_POWER_DISTRIBUTION
6e925f56-760c-43bf-b2f5-94aad7d91c6b	16d4f43b-4665-4421-84f4-47af59bb9e15	CRAH
6e925f56-760c-43bf-b2f5-94aad7d91c6b	46ea2ac6-ee45-4fd4-b944-35b42a2597b3	CRAC
6e925f56-760c-43bf-b2f5-94aad7d91c6b	5d129ea1-36b0-4ed5-a4f5-74957d7805c9	CRAC_WITHOUT_FAN
6e925f56-760c-43bf-b2f5-94aad7d91c6b	869ccbc3-b695-4393-9152-7a0448cfb49e	CRAC_FAN
6e925f56-760c-43bf-b2f5-94aad7d91c6b	3b318ac5-6ac3-4bde-85ba-9d500b387e44	CHILLER
6e925f56-760c-43bf-b2f5-94aad7d91c6b	de7cfd31-7941-4202-9e62-0bd19741f016	AIR_COOLED_CHILLER
6e925f56-760c-43bf-b2f5-94aad7d91c6b	d26aab25-5d5d-4f39-ac2a-c7066119f8cb	COOLING_TOWER
6e925f56-760c-43bf-b2f5-94aad7d91c6b	bc9ed644-1058-4d08-80ee-ceba82f27188	DRY_COOLER
6e925f56-760c-43bf-b2f5-94aad7d91c6b	8aa3d7fd-fcf1-42c9-8636-9e065629ed38	REMOTE_CONDENSER
6e925f56-760c-43bf-b2f5-94aad7d91c6b	5539fbf7-a0c8-44ba-baa1-e7beb1621887	CHILLED_WATER_PUMPS
6e925f56-760c-43bf-b2f5-94aad7d91c6b	32445124-a742-47d4-a7b4-0a51e2dd5879	HEAT_REJECTION_PUMPS
6e925f56-760c-43bf-b2f5-94aad7d91c6b	9f57b667-4b93-4b84-9d73-52b921e6e380	VENTILATION
6e925f56-760c-43bf-b2f5-94aad7d91c6b	614f70b6-0aa1-4c70-ae01-a792864d707b	INFILTRATION
6e925f56-760c-43bf-b2f5-94aad7d91c6b	5e01c07d-29c1-4e3d-850d-44e6064a5362	IT_LOAD
ae826f82-a402-4b1f-b0b0-499f424e8184	dab02d36-d049-47ab-85f0-05669dde89a8	SWITCHGEAR
ae826f82-a402-4b1f-b0b0-499f424e8184	5d5c3309-25a1-4214-a6c5-2dec14b402d0	GENERATOR
ae826f82-a402-4b1f-b0b0-499f424e8184	ade684a2-28ad-4b84-ae42-8d032f2ac429	PRIMARY_AUXILIARIES
ae826f82-a402-4b1f-b0b0-499f424e8184	38d632ea-d0e4-4153-8f3c-c77de06c0b82	UPS
ae826f82-a402-4b1f-b0b0-499f424e8184	17e0bd2f-df7c-4864-b131-b31beb4e0229	CRITICAL_AUXILIARIES
ae826f82-a402-4b1f-b0b0-499f424e8184	ddc1a89c-acf9-449f-b9e9-58f36cbb2b56	LIGHTING
ae826f82-a402-4b1f-b0b0-499f424e8184	03bdbcc0-2fa4-4479-a89b-4a44487ae270	CRITICAL_POWER_DISTRIBUTION
ae826f82-a402-4b1f-b0b0-499f424e8184	f72166ba-f0fa-4760-8c1f-e75406acb6f9	CRAH
ae826f82-a402-4b1f-b0b0-499f424e8184	1e2776e5-20e1-4c8e-b59c-8230c83800b6	CRAC
ae826f82-a402-4b1f-b0b0-499f424e8184	322bc0a9-20b9-4cef-a073-7ca5f8fa2bd6	CRAC_WITHOUT_FAN
ae826f82-a402-4b1f-b0b0-499f424e8184	768075d1-6f8c-44df-8fa2-10763d50d876	CRAC_FAN
ae826f82-a402-4b1f-b0b0-499f424e8184	d6c2fb88-66bf-45e0-980e-94114de6fc4f	CHILLER
ae826f82-a402-4b1f-b0b0-499f424e8184	ddb26979-61b9-46c1-81aa-f8916b8fdda9	AIR_COOLED_CHILLER
ae826f82-a402-4b1f-b0b0-499f424e8184	2691c682-2145-486e-ba38-851d9e34e8e3	COOLING_TOWER
ae826f82-a402-4b1f-b0b0-499f424e8184	0a97460a-57b1-4724-ad44-9554ac3d357c	DRY_COOLER
ae826f82-a402-4b1f-b0b0-499f424e8184	b59f0e16-5bf8-466c-aa94-3621ea681b99	REMOTE_CONDENSER
ae826f82-a402-4b1f-b0b0-499f424e8184	9e3a71b2-7bc4-4b9d-a8ef-a6905c427a7c	CHILLED_WATER_PUMPS
ae826f82-a402-4b1f-b0b0-499f424e8184	5383c6c5-0fec-4026-874e-e4904bc86325	HEAT_REJECTION_PUMPS
ae826f82-a402-4b1f-b0b0-499f424e8184	27107054-7231-446b-a274-392b7478f8e9	VENTILATION
ae826f82-a402-4b1f-b0b0-499f424e8184	0db05910-e44a-45ea-b508-481e29f38527	INFILTRATION
ae826f82-a402-4b1f-b0b0-499f424e8184	b11dd1e3-4d43-4160-926b-a37a68063b75	IT_LOAD
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	18d6b7c8-3ecb-49ed-b57c-05ab1eaf8dbb	SWITCHGEAR
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	be44dcd2-194c-4b5f-a9dc-2ad8b12aa384	GENERATOR
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	a6a29b85-ce0c-4e89-8d68-1417a4bdf4f6	PRIMARY_AUXILIARIES
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	106fe312-0b13-43f5-a28b-026e68da0c29	UPS
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	d35d3a32-8fa3-41b7-97ba-903e96f9d297	CRITICAL_AUXILIARIES
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	00b0d9c8-e388-4dcb-b293-7f071159afa1	LIGHTING
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	d234d4f9-b317-4818-bbba-63dbb14deb2e	CRITICAL_POWER_DISTRIBUTION
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	77c49106-2d58-4661-9b32-cf46a204cbf6	CRAH
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	11a3de47-a91b-4107-b269-b97a1442c22d	CRAC
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	7724616e-ac3b-4a3f-9be9-702360e36e74	CRAC_WITHOUT_FAN
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	e464c64a-51e1-4784-bdc6-53a8d92adffa	CRAC_FAN
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	0b838005-9362-4726-97c8-dbaccd798931	CHILLER
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	bbbe5901-ea42-4a05-8c73-a2b5d12b12df	AIR_COOLED_CHILLER
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	2b28a052-af57-4fd5-b987-14392c2ab247	COOLING_TOWER
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	ebdc7a94-25d3-4367-9b26-931004fd865d	DRY_COOLER
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	1f76752a-5d6d-45a2-b7e8-660b5b592e3e	REMOTE_CONDENSER
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	998b5e6c-fac3-4e2d-aa44-dc206810c85b	CHILLED_WATER_PUMPS
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	ebc76892-acd7-4474-944c-47e1128ceb47	HEAT_REJECTION_PUMPS
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	bbb73595-7d0b-4238-9904-16829bf4ec55	VENTILATION
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	62f43310-20c1-4ca8-a370-f0044a07f4fb	INFILTRATION
bd7933ea-b11e-45ae-b5b6-c1bd3f51cd7a	55c34f22-dcf1-4f3c-a7c1-2b83df545e85	IT_LOAD
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	b1ddd7d5-7c40-4fbe-a3f8-f0d65701eff7	SWITCHGEAR
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	281985aa-1cdc-4b28-8a72-99bb5e375922	GENERATOR
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	3a3dae8c-0122-416f-ab70-4539dafd5bd0	PRIMARY_AUXILIARIES
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	e93f109e-6273-4041-9e0e-3784844446e6	UPS
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	109465e7-50d1-4c26-9112-c9b75e5bae4f	CRITICAL_AUXILIARIES
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	466c11ea-0e34-4a41-bded-0688ff8d0eea	LIGHTING
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	1b5f9181-b01c-44f8-82f8-fec9258f7d58	CRITICAL_POWER_DISTRIBUTION
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	dff2f9ab-8237-4879-a9b5-b2591b9596b3	CRAH
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	c59c189d-b8f8-4a0f-893d-b40aec734fd9	CRAC
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	eb96cc43-83da-45e0-b409-5c5d9c78e387	CRAC_WITHOUT_FAN
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	9091bb3e-4a00-45f5-8766-4963c38e0adf	CRAC_FAN
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	20a04ae7-71e7-4fca-bbe7-14fe3727b1cd	CHILLER
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	15c21d97-a47f-47e7-85ee-9b80f5d6ed5b	AIR_COOLED_CHILLER
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	e6ec434b-67bd-4801-a445-94ed299f8446	COOLING_TOWER
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	42dec504-8d57-4fed-8460-6604420541a9	DRY_COOLER
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	2a873db0-bedf-4222-81bf-d1041104758f	REMOTE_CONDENSER
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	fb717ee8-3e5e-487c-a893-d85a93bedff5	CHILLED_WATER_PUMPS
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	d9cfe099-5a4b-4cf7-8161-dfca6e59a52e	HEAT_REJECTION_PUMPS
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	6ce43c8b-92a1-4f5c-add3-bad769733dee	VENTILATION
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	d046cd62-2f9c-46e3-9e43-7f18af9d123f	INFILTRATION
fab0bdf8-9d2c-4136-82d1-c2a0fde46582	dfbb007f-2cfe-477d-bf34-60e6c93a05f2	IT_LOAD
988e3327-b625-4683-bf77-9e1c7b2f1f68	c023cdac-73a4-46fa-9be8-087172ed6d80	SWITCHGEAR
988e3327-b625-4683-bf77-9e1c7b2f1f68	ae4e5c3c-112f-440c-990a-c1adbe653c5a	GENERATOR
988e3327-b625-4683-bf77-9e1c7b2f1f68	454ad44f-f7f4-4e17-977e-9206aa4b9c85	PRIMARY_AUXILIARIES
988e3327-b625-4683-bf77-9e1c7b2f1f68	0bde587b-3773-41eb-a8f9-6ad715d95ec1	UPS
988e3327-b625-4683-bf77-9e1c7b2f1f68	84c9f6af-3563-4de2-8e51-25e91e91dde7	CRITICAL_AUXILIARIES
988e3327-b625-4683-bf77-9e1c7b2f1f68	76844536-fa0d-45ea-b579-69e03e30a33b	LIGHTING
988e3327-b625-4683-bf77-9e1c7b2f1f68	9e0bfda1-4bfc-476e-a30f-f6700585bfd8	CRITICAL_POWER_DISTRIBUTION
988e3327-b625-4683-bf77-9e1c7b2f1f68	edad52c5-53ba-4b04-9715-9875fa0fb5de	CRAH
988e3327-b625-4683-bf77-9e1c7b2f1f68	9b9578c0-9daf-4b01-989f-cda339d24b4c	CRAC
988e3327-b625-4683-bf77-9e1c7b2f1f68	91bb48e0-09c2-4221-bf78-0e8acc279804	CRAC_WITHOUT_FAN
988e3327-b625-4683-bf77-9e1c7b2f1f68	eb409adf-3a75-469b-8c3b-119147773f70	CRAC_FAN
988e3327-b625-4683-bf77-9e1c7b2f1f68	faaec8ea-571f-4438-9ff8-2529bc3e319c	CHILLER
988e3327-b625-4683-bf77-9e1c7b2f1f68	364fd80f-dc12-4f7f-968e-0eae5bcdf0c9	AIR_COOLED_CHILLER
988e3327-b625-4683-bf77-9e1c7b2f1f68	9b717367-159d-4f10-9ad8-62a2996b558d	COOLING_TOWER
988e3327-b625-4683-bf77-9e1c7b2f1f68	8fc64ffd-1bfa-450a-bca7-963a6bf8ec40	DRY_COOLER
988e3327-b625-4683-bf77-9e1c7b2f1f68	7ad37cfd-521f-488e-8cf1-68a08f7ec1ad	REMOTE_CONDENSER
988e3327-b625-4683-bf77-9e1c7b2f1f68	734234a6-85f2-4887-bb66-6785da269539	CHILLED_WATER_PUMPS
988e3327-b625-4683-bf77-9e1c7b2f1f68	62fd306e-dbe5-4920-8947-2570d6d7b4a7	HEAT_REJECTION_PUMPS
988e3327-b625-4683-bf77-9e1c7b2f1f68	9d731c0a-a486-48a6-937b-ec4c15e0baba	VENTILATION
988e3327-b625-4683-bf77-9e1c7b2f1f68	835a36a1-b744-4353-b195-41917add8847	INFILTRATION
988e3327-b625-4683-bf77-9e1c7b2f1f68	26798361-6121-4895-b52b-05e7618af52f	IT_LOAD
f947466a-273d-4739-a578-1eb8d72ec079	f9ac0f3e-007d-44cd-ad3e-e231207a07e7	SWITCHGEAR
f947466a-273d-4739-a578-1eb8d72ec079	542209b0-a63f-4b3c-a6f8-42ffda580867	GENERATOR
f947466a-273d-4739-a578-1eb8d72ec079	46b846cb-55f9-4bab-b3b6-9f97b713672d	PRIMARY_AUXILIARIES
f947466a-273d-4739-a578-1eb8d72ec079	cf6dbdcf-c0dd-449f-93fe-4c0669b1b345	UPS
f947466a-273d-4739-a578-1eb8d72ec079	11a9fb07-1b49-49c6-9f0e-02c8d3a8e9c0	CRITICAL_AUXILIARIES
f947466a-273d-4739-a578-1eb8d72ec079	ea760ed5-5764-4635-aefa-c5449e67f0ef	LIGHTING
f947466a-273d-4739-a578-1eb8d72ec079	c3f11d33-2c9b-4105-b06b-c889efa5c198	CRITICAL_POWER_DISTRIBUTION
f947466a-273d-4739-a578-1eb8d72ec079	66259a82-2c6c-46bc-9c30-9f9cbc02b77c	CRAH
f947466a-273d-4739-a578-1eb8d72ec079	4494b118-2747-4b06-97fe-6af0556147b0	CRAC
f947466a-273d-4739-a578-1eb8d72ec079	3b6fe58b-973c-49cc-a83b-80e7a6badef4	CRAC_WITHOUT_FAN
f947466a-273d-4739-a578-1eb8d72ec079	8f797038-99f4-4e65-98b1-0431a3662f3e	CRAC_FAN
f947466a-273d-4739-a578-1eb8d72ec079	efc88016-ff9a-4da0-b8bd-a7fd16aabafe	CHILLER
f947466a-273d-4739-a578-1eb8d72ec079	56627d17-c926-4a2f-9796-442764dfefad	AIR_COOLED_CHILLER
f947466a-273d-4739-a578-1eb8d72ec079	a9cef75e-fbe0-49f7-bd05-674dfbf84236	COOLING_TOWER
f947466a-273d-4739-a578-1eb8d72ec079	7d909d54-27ea-42e9-a72b-ef5e246f7e4f	DRY_COOLER
f947466a-273d-4739-a578-1eb8d72ec079	089ac770-7d82-4213-a62e-7f948ee928b9	REMOTE_CONDENSER
f947466a-273d-4739-a578-1eb8d72ec079	20ebeeeb-c8f8-4227-accf-ad1b20c78709	CHILLED_WATER_PUMPS
f947466a-273d-4739-a578-1eb8d72ec079	e443cecc-d184-44c3-bb90-313d38f05820	HEAT_REJECTION_PUMPS
f947466a-273d-4739-a578-1eb8d72ec079	44b775f2-4b2e-4817-9c8a-c0b0f4b28243	VENTILATION
f947466a-273d-4739-a578-1eb8d72ec079	67bfbcd4-0d62-4af4-bf7a-39b73e47720b	INFILTRATION
f947466a-273d-4739-a578-1eb8d72ec079	00d5dcfd-afe4-44c5-bbef-d610479791ad	IT_LOAD
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	e4fae3bb-566b-4689-8343-807e3e6805dc	SWITCHGEAR
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	963fd35a-4631-45e3-8866-7f140b438edf	GENERATOR
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	9b4c15d5-50c2-4303-a5f8-89bbe15f3f1d	PRIMARY_AUXILIARIES
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	2635f3cd-f2ca-4969-a4c0-6a4f70760209	UPS
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	74fdb79a-6d11-46e2-bc94-1588f024661a	CRITICAL_AUXILIARIES
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	b48b990c-0a75-422c-8b17-7afe21c69763	LIGHTING
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	887eaa36-5a1c-4c0f-a1c8-858ec1d6723d	CRITICAL_POWER_DISTRIBUTION
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	951ca848-5394-4f09-9d57-b6c8f111ec77	CRAH
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	c6a57c69-169e-4954-b67a-1ebacafb6e54	CRAC
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	823d7f1b-2a49-4d8e-880c-ccf7f28f54fb	CRAC_WITHOUT_FAN
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	29e22784-4a25-42a1-860a-4b585c4d910f	CRAC_FAN
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	1096f762-29f6-499e-b1a2-a77cb2b1ec62	CHILLER
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	9d6f26c6-ee9a-40c1-8e2a-b6c69980a970	AIR_COOLED_CHILLER
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	58f218d2-c6de-47c6-8a64-db471d1c6b33	COOLING_TOWER
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	8dc6437a-2326-4aaa-9920-5fc469b00885	DRY_COOLER
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	893b3596-4ff1-42ad-8637-51abd142e2a8	REMOTE_CONDENSER
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	c943a197-329f-41d8-beea-bbbbd709de2c	CHILLED_WATER_PUMPS
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	1505d94b-932f-4532-9171-592717570977	HEAT_REJECTION_PUMPS
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	fd1180fd-c570-4cc2-a7f0-1250ea87a625	VENTILATION
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	fd146d18-7c92-44eb-b1a0-8ce58d51113f	INFILTRATION
858cf910-c6fd-4cfd-bcbd-9e551bdcc64e	086e575d-d1b5-49a9-b55c-2572318ebf83	IT_LOAD
271c0279-15d8-4f33-baf2-fd6607b224c3	ea2a1660-f6cd-4fb0-b477-9c0bd3ed5204	SWITCHGEAR
271c0279-15d8-4f33-baf2-fd6607b224c3	a4f62db0-cca7-4dec-8dfe-6f7a4859afe5	GENERATOR
271c0279-15d8-4f33-baf2-fd6607b224c3	a110dca1-ab52-4dd2-9e6d-6ec67638ef7e	PRIMARY_AUXILIARIES
271c0279-15d8-4f33-baf2-fd6607b224c3	ac99ecbe-b2db-4764-b7f5-e3ec53ca3d88	UPS
271c0279-15d8-4f33-baf2-fd6607b224c3	90f6ea09-ed92-4cc9-8d00-baafa98ba304	CRITICAL_AUXILIARIES
271c0279-15d8-4f33-baf2-fd6607b224c3	29cc2f11-17d3-4865-a0c0-0b928d6e0d41	LIGHTING
271c0279-15d8-4f33-baf2-fd6607b224c3	03536a7d-c1f5-4128-97cc-01bceb60fbcd	CRITICAL_POWER_DISTRIBUTION
271c0279-15d8-4f33-baf2-fd6607b224c3	63756556-2098-4b27-9e88-8e05245c24a4	CRAH
271c0279-15d8-4f33-baf2-fd6607b224c3	d3c3732d-9e7f-4f8a-b724-2be2a579f267	CRAC
271c0279-15d8-4f33-baf2-fd6607b224c3	f68b3d7d-e30f-4e92-ae18-fad80cb1989f	CRAC_WITHOUT_FAN
271c0279-15d8-4f33-baf2-fd6607b224c3	6a612708-4751-415c-819e-d267ca146c70	CRAC_FAN
271c0279-15d8-4f33-baf2-fd6607b224c3	ab884078-dec5-45d5-8593-cdae1452c4ca	CHILLER
271c0279-15d8-4f33-baf2-fd6607b224c3	19ced4bd-ff8d-42cb-9b68-24d65288276b	AIR_COOLED_CHILLER
271c0279-15d8-4f33-baf2-fd6607b224c3	ac24779e-75a9-4312-89fa-bbb73efda6d6	COOLING_TOWER
271c0279-15d8-4f33-baf2-fd6607b224c3	da40f99e-0bab-4fde-b3ba-c48871ff9443	DRY_COOLER
271c0279-15d8-4f33-baf2-fd6607b224c3	d5b81907-4a8e-4287-9836-2fa99d17da3c	REMOTE_CONDENSER
271c0279-15d8-4f33-baf2-fd6607b224c3	de54c845-3cd9-4bf7-a5b6-23bc315cf7f1	CHILLED_WATER_PUMPS
271c0279-15d8-4f33-baf2-fd6607b224c3	efcdda62-1d39-4f40-92a8-8e45cbba003d	HEAT_REJECTION_PUMPS
271c0279-15d8-4f33-baf2-fd6607b224c3	b0a25107-966b-43bb-89b9-deddbe99e457	VENTILATION
271c0279-15d8-4f33-baf2-fd6607b224c3	5d3c97b9-80af-41af-bf38-e56c17970226	INFILTRATION
271c0279-15d8-4f33-baf2-fd6607b224c3	4635ef51-d043-499e-af23-fabd5f8eb13e	IT_LOAD
c4bfcc16-2915-434b-91b1-8fed97461225	daa4aa64-48d4-4b5f-af61-cbfbf06ce280	SWITCHGEAR
c4bfcc16-2915-434b-91b1-8fed97461225	99d58dce-c6a6-478c-8261-4a33d9b33591	GENERATOR
c4bfcc16-2915-434b-91b1-8fed97461225	286262d7-58cd-49ef-a4a2-bb59b8a017c8	PRIMARY_AUXILIARIES
c4bfcc16-2915-434b-91b1-8fed97461225	49fc44e2-b998-4d55-abda-d37288f9ccf7	UPS
c4bfcc16-2915-434b-91b1-8fed97461225	0c5fa211-3c16-4776-a121-b8509f248562	CRITICAL_AUXILIARIES
c4bfcc16-2915-434b-91b1-8fed97461225	fa8609d8-9b73-47e3-b84b-1d80148c5083	LIGHTING
c4bfcc16-2915-434b-91b1-8fed97461225	80c19fd6-b6eb-46c9-961c-ff793784d84e	CRITICAL_POWER_DISTRIBUTION
c4bfcc16-2915-434b-91b1-8fed97461225	43760fde-e01f-481f-a054-73f9ece534c4	CRAH
c4bfcc16-2915-434b-91b1-8fed97461225	b5174159-86c6-4703-8174-8c7a6ddf58c0	CRAC
c4bfcc16-2915-434b-91b1-8fed97461225	6bad9169-7abe-4041-820a-6e6f67a8bc1f	CRAC_WITHOUT_FAN
c4bfcc16-2915-434b-91b1-8fed97461225	6449e3cb-a748-453e-915d-f5a149321cde	CRAC_FAN
c4bfcc16-2915-434b-91b1-8fed97461225	17f6357e-6674-4be0-a937-e43b94249ba5	CHILLER
c4bfcc16-2915-434b-91b1-8fed97461225	cac7cbea-9256-4652-9661-6f98e5abb7a5	AIR_COOLED_CHILLER
c4bfcc16-2915-434b-91b1-8fed97461225	da3feabb-89db-4a45-b0ee-37def6f3748b	COOLING_TOWER
c4bfcc16-2915-434b-91b1-8fed97461225	f6876211-9709-4267-87c8-76c6f642b318	DRY_COOLER
c4bfcc16-2915-434b-91b1-8fed97461225	329d777a-2cd4-4720-9f5b-d7a440470d20	REMOTE_CONDENSER
c4bfcc16-2915-434b-91b1-8fed97461225	9bd37a9e-7076-4504-9a2a-251b4e6cd4d8	CHILLED_WATER_PUMPS
c4bfcc16-2915-434b-91b1-8fed97461225	0cace86e-4f3c-4ec9-9f08-88450050b3e0	HEAT_REJECTION_PUMPS
c4bfcc16-2915-434b-91b1-8fed97461225	4ebe66ec-9e2d-4ecc-b040-47b4b59cb061	VENTILATION
c4bfcc16-2915-434b-91b1-8fed97461225	fd81064f-fd9d-49ba-a6f3-7a31e0848b05	INFILTRATION
c4bfcc16-2915-434b-91b1-8fed97461225	e4cc51cd-af62-4207-a1b8-63c6e58dc58d	IT_LOAD
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	d6b4f179-12a5-4e83-b68b-9d1769d5c1f2	SWITCHGEAR
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	b5668449-0bfc-4cf4-94b2-5d62998fffdb	GENERATOR
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	3c7bf304-f190-482e-9722-caf6f1636b4a	PRIMARY_AUXILIARIES
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	5b971560-512f-4bbd-af08-a4e29b2984e1	UPS
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	1c28605c-63ba-4cb2-81db-bb1ba665cec5	CRITICAL_AUXILIARIES
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	5a39caa3-87ed-4eaa-87f0-57a041b19561	LIGHTING
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	245e7413-1b42-479a-843d-99de84ee6cc4	CRITICAL_POWER_DISTRIBUTION
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	26f02ed2-5ed5-4af2-b82a-f44fab0fd7e0	CRAH
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	96156565-33dc-497a-a1a2-a583e7e11527	CRAC
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	2a261a17-5f76-4c21-8269-77b4ec211ee6	CRAC_WITHOUT_FAN
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	c0205fe6-71ff-4e75-ae45-2fa395e7ead8	CRAC_FAN
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	be61e293-8aef-4f1d-b3b2-4c93603ac05e	CHILLER
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	d22f1a05-ba8d-4448-80e8-540f68330bd2	AIR_COOLED_CHILLER
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	a9a6d1ee-7ec3-4760-ad99-ad94d8a92d89	COOLING_TOWER
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	9a12a948-bf43-44b9-b49f-acb87d7cb6a1	DRY_COOLER
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	dc0acf07-91ed-4410-bda5-23e3c91a46fe	REMOTE_CONDENSER
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	f6d8a0b2-c2ab-464a-ba01-de8265b999d0	CHILLED_WATER_PUMPS
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	36a12d92-27fe-40f3-a061-ef4bba3ad234	HEAT_REJECTION_PUMPS
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	9bc23357-31f4-41d1-bf4d-06060543824c	VENTILATION
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	54f92da0-7683-4f45-96c2-aa43ffaf135e	INFILTRATION
902826aa-c9cd-41f0-b6ca-a3df0ce3d6c2	371d4578-34a0-4254-a3ea-3e1091fdbc5e	IT_LOAD
efcd35fd-ff31-403a-a111-aa9b06b9c091	4edaa045-1577-4da8-be43-39510ea4f8b0	SWITCHGEAR
efcd35fd-ff31-403a-a111-aa9b06b9c091	172afe5a-a7df-4f6c-b4af-002048f4fae6	GENERATOR
efcd35fd-ff31-403a-a111-aa9b06b9c091	1ed609d8-c8ff-4182-9203-3f5c9aff2310	PRIMARY_AUXILIARIES
efcd35fd-ff31-403a-a111-aa9b06b9c091	e610e626-3cc5-479f-a153-7d2a7589e83d	UPS
efcd35fd-ff31-403a-a111-aa9b06b9c091	b41b1bcf-e497-4fd7-8a24-a280f341590a	CRITICAL_AUXILIARIES
efcd35fd-ff31-403a-a111-aa9b06b9c091	8743a59b-84cb-46f1-a424-0a84b0e45eca	LIGHTING
efcd35fd-ff31-403a-a111-aa9b06b9c091	942ec26a-7318-4a44-8735-964c90ab51cc	CRITICAL_POWER_DISTRIBUTION
efcd35fd-ff31-403a-a111-aa9b06b9c091	4fa42ed8-d8fb-473c-ae2b-f2596faf99f1	CRAH
efcd35fd-ff31-403a-a111-aa9b06b9c091	bcfb846b-e8a5-48a7-94c3-c1bcea7bb849	CRAC
efcd35fd-ff31-403a-a111-aa9b06b9c091	e648b40d-3eb1-415b-9286-fbc5063dafca	CRAC_WITHOUT_FAN
efcd35fd-ff31-403a-a111-aa9b06b9c091	bc998603-b956-4f42-958b-41aafbdd9010	CRAC_FAN
efcd35fd-ff31-403a-a111-aa9b06b9c091	5a850ea0-f563-4b0c-8ae3-7960e21cc2b4	CHILLER
efcd35fd-ff31-403a-a111-aa9b06b9c091	43f2222d-af5e-42d2-8ff9-bd0e0c61853e	AIR_COOLED_CHILLER
efcd35fd-ff31-403a-a111-aa9b06b9c091	bc0684da-1211-4788-a66a-30aa886a6528	COOLING_TOWER
efcd35fd-ff31-403a-a111-aa9b06b9c091	d62d2b44-7861-44b6-8715-91664e7eb85f	DRY_COOLER
efcd35fd-ff31-403a-a111-aa9b06b9c091	0cfc6a04-dbe7-4821-b68a-e14ff693d140	REMOTE_CONDENSER
efcd35fd-ff31-403a-a111-aa9b06b9c091	1bfb6f0c-e85d-4b99-9387-17556392633e	CHILLED_WATER_PUMPS
efcd35fd-ff31-403a-a111-aa9b06b9c091	a706df65-a244-4fa8-9895-6b4a39e7603c	HEAT_REJECTION_PUMPS
efcd35fd-ff31-403a-a111-aa9b06b9c091	7003b678-22dc-4e78-a2cb-6c6b13c5cdcd	VENTILATION
efcd35fd-ff31-403a-a111-aa9b06b9c091	09015d5a-5663-47ff-b72e-b61aad8db02a	INFILTRATION
efcd35fd-ff31-403a-a111-aa9b06b9c091	8ddf670f-f97f-4360-bf59-69f3f4559516	IT_LOAD
11ae6754-67c8-4f76-b392-5b0cd65355e4	22a0ed1b-10d4-4628-af68-f485d32418b3	SWITCHGEAR
11ae6754-67c8-4f76-b392-5b0cd65355e4	56677fe6-455b-4914-ad2a-128da71e3ffa	GENERATOR
11ae6754-67c8-4f76-b392-5b0cd65355e4	b1d1c78d-8ba3-4ab1-b93c-bc75b68baef7	PRIMARY_AUXILIARIES
11ae6754-67c8-4f76-b392-5b0cd65355e4	0cdd32fe-47f7-4395-88d7-ba034e55ec89	UPS
11ae6754-67c8-4f76-b392-5b0cd65355e4	d59efc84-068f-4a99-a131-98cbe4ef6a22	CRITICAL_AUXILIARIES
11ae6754-67c8-4f76-b392-5b0cd65355e4	cb45d8b2-412e-4c02-a5ac-63845580e20c	LIGHTING
11ae6754-67c8-4f76-b392-5b0cd65355e4	25396ad6-9e77-4d5f-8bf8-fd0bf07bfbcb	CRITICAL_POWER_DISTRIBUTION
11ae6754-67c8-4f76-b392-5b0cd65355e4	f43c9615-1a7d-46aa-8d43-e037dc383e94	CRAH
11ae6754-67c8-4f76-b392-5b0cd65355e4	d9829c94-0436-4831-9401-33eb0fc7c150	CRAC
11ae6754-67c8-4f76-b392-5b0cd65355e4	584aaa68-ef02-4e1a-8b88-dda057db35df	CRAC_WITHOUT_FAN
11ae6754-67c8-4f76-b392-5b0cd65355e4	61c0f17e-cb5d-49ac-98e3-19e0eaedc69e	CRAC_FAN
11ae6754-67c8-4f76-b392-5b0cd65355e4	10f99ee4-e809-4039-9d5a-55b0abf6b1b8	CHILLER
11ae6754-67c8-4f76-b392-5b0cd65355e4	3fdcd944-a92b-4ed9-bf6f-437bac7b9227	AIR_COOLED_CHILLER
11ae6754-67c8-4f76-b392-5b0cd65355e4	0ac8b7d5-e62d-4399-8217-0258c9d38e7a	COOLING_TOWER
11ae6754-67c8-4f76-b392-5b0cd65355e4	4d285682-4c21-4de5-aca8-0341f37a437d	DRY_COOLER
11ae6754-67c8-4f76-b392-5b0cd65355e4	a4957e3b-734f-4a36-88bc-5a809c1ae670	REMOTE_CONDENSER
11ae6754-67c8-4f76-b392-5b0cd65355e4	b4869fe7-2738-4a73-90b1-46bca53ce7d8	CHILLED_WATER_PUMPS
11ae6754-67c8-4f76-b392-5b0cd65355e4	933e043b-d189-4c94-9b6d-6a36dc897bc4	HEAT_REJECTION_PUMPS
11ae6754-67c8-4f76-b392-5b0cd65355e4	17d591a1-ac69-49b4-8735-4a87de45212c	VENTILATION
11ae6754-67c8-4f76-b392-5b0cd65355e4	7dd0b41a-fde6-4941-85a3-b85f283f4aff	INFILTRATION
11ae6754-67c8-4f76-b392-5b0cd65355e4	06311d95-21b8-4628-aced-818468a5958e	IT_LOAD
2696bc24-1324-4168-bf85-47f43eabe575	5dd662b6-489f-4e77-861d-ee719e4635c8	SWITCHGEAR
2696bc24-1324-4168-bf85-47f43eabe575	a128d16a-87f4-428e-afe9-77c40896f1e2	GENERATOR
2696bc24-1324-4168-bf85-47f43eabe575	2eb0b86d-07b6-4be0-bd0d-442700fb70c2	PRIMARY_AUXILIARIES
2696bc24-1324-4168-bf85-47f43eabe575	c47c9308-af26-4e5d-8342-7c6105081759	UPS
2696bc24-1324-4168-bf85-47f43eabe575	e52f099b-676a-4179-92a2-2f05d3d8be6e	CRITICAL_AUXILIARIES
2696bc24-1324-4168-bf85-47f43eabe575	b1127d46-64e6-432d-b341-d4be8a2d67b5	LIGHTING
2696bc24-1324-4168-bf85-47f43eabe575	c7b1e7ec-4a1c-4bae-b1bf-0a7b30ce7077	CRITICAL_POWER_DISTRIBUTION
2696bc24-1324-4168-bf85-47f43eabe575	d4df3ef4-70b1-40a8-8667-b3b3f4e0714c	CRAH
2696bc24-1324-4168-bf85-47f43eabe575	92e1bfad-4ca2-41a5-8fc7-62caf5307c3b	CRAC
2696bc24-1324-4168-bf85-47f43eabe575	3fdc1ba9-9cd6-49b9-af71-33b89311732e	CRAC_WITHOUT_FAN
2696bc24-1324-4168-bf85-47f43eabe575	ed0c018a-5747-4f5e-9b4a-ddcca1ae1d7e	CRAC_FAN
2696bc24-1324-4168-bf85-47f43eabe575	0e8c39e4-3642-463e-8a09-1eb532f5d2ee	CHILLER
2696bc24-1324-4168-bf85-47f43eabe575	00cd0f93-0cef-43a9-b991-a13b139623d6	AIR_COOLED_CHILLER
2696bc24-1324-4168-bf85-47f43eabe575	bf328906-3f8b-47ef-9c3f-b178b15d9c0e	COOLING_TOWER
2696bc24-1324-4168-bf85-47f43eabe575	6b769005-155d-4ab7-a0a2-65b9abd05eaf	DRY_COOLER
2696bc24-1324-4168-bf85-47f43eabe575	31340ae1-bc08-4c6d-bbd8-db10a13b0d2a	REMOTE_CONDENSER
2696bc24-1324-4168-bf85-47f43eabe575	6fcc08e7-a0b1-4438-b2d8-39d8d046207e	CHILLED_WATER_PUMPS
2696bc24-1324-4168-bf85-47f43eabe575	d47d9ebc-2143-4e1a-b27d-bca6b872b0b5	HEAT_REJECTION_PUMPS
2696bc24-1324-4168-bf85-47f43eabe575	e63e7d5d-7ee9-4352-a2ca-09b03caf1855	VENTILATION
2696bc24-1324-4168-bf85-47f43eabe575	01553ed0-9db2-470a-beec-d0f097ce9224	INFILTRATION
2696bc24-1324-4168-bf85-47f43eabe575	3f2cade3-d546-4d47-aab5-c21e77d32a75	IT_LOAD
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	2c95671d-cf49-4812-97da-81b95b5204c5	SWITCHGEAR
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	2e87ca06-ca7d-45cd-a48a-525b06826066	GENERATOR
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	59b58045-72bc-461e-8939-6e420207feaa	PRIMARY_AUXILIARIES
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	3970bee7-4f19-4241-b2cb-5d271c3fa1bb	UPS
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	435c0792-9240-4c45-ab60-bc74a460d626	CRITICAL_AUXILIARIES
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	db638866-be6c-44c9-93a2-dea2b42183e0	LIGHTING
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	db26a0cc-23a3-45d3-9346-d78aa1e7399f	CRITICAL_POWER_DISTRIBUTION
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	72f37fa7-8a0d-4121-8f89-88c50178f6fe	CRAH
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	b6ec1033-f1cd-46e8-b953-803c17ba19d3	CRAC
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	85443535-aedd-48b7-90da-dbed965a7184	CRAC_WITHOUT_FAN
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	7a3b2147-50e0-40ba-b308-d9a70a5827d3	CRAC_FAN
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	2fea491b-aed7-40c9-87da-00d306a244d3	CHILLER
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	c0db4e06-e7d3-4dd0-9c71-84cc511798b0	AIR_COOLED_CHILLER
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	ec29ac7d-e012-4893-99ca-a68e31a0dedd	COOLING_TOWER
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	7339a0e2-9892-4ff8-9c9a-73aabf963079	DRY_COOLER
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	df501b47-9ffa-4c41-b703-857a25d8f8a3	REMOTE_CONDENSER
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	4ff081fd-5be1-430a-a34b-7db5eb2c1522	CHILLED_WATER_PUMPS
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	826518bc-40e8-4943-b617-424a2b9685d1	HEAT_REJECTION_PUMPS
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	8d63f9eb-8707-4f13-aca2-a77932a75050	VENTILATION
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	210c9f17-c6fe-4ec0-b0e7-b4d899e9c3a1	INFILTRATION
f73dc1fb-836b-465b-8a70-9e8ad1fc7535	ea91e14c-f361-4b55-9359-3898e080fc8b	IT_LOAD
17ac8eef-1185-48b5-b523-bb9bb0b75b99	503d4459-7fc3-4fad-b034-369743dbac80	SWITCHGEAR
17ac8eef-1185-48b5-b523-bb9bb0b75b99	2b8e26a6-0792-48ac-8cad-2738f417de0b	GENERATOR
17ac8eef-1185-48b5-b523-bb9bb0b75b99	7c5a1c6d-89dd-4f9e-a07e-fb8d36d9302c	PRIMARY_AUXILIARIES
17ac8eef-1185-48b5-b523-bb9bb0b75b99	7ffdbf33-ca23-40ac-a2e1-e81c0f1ca966	UPS
17ac8eef-1185-48b5-b523-bb9bb0b75b99	2ff983be-bfba-49a8-becf-4f7e9fdc19de	CRITICAL_AUXILIARIES
17ac8eef-1185-48b5-b523-bb9bb0b75b99	80eb53a6-3305-4f08-b879-6cbb0657ef0b	LIGHTING
17ac8eef-1185-48b5-b523-bb9bb0b75b99	537f6cae-1781-4b18-9075-e43097fac596	CRITICAL_POWER_DISTRIBUTION
17ac8eef-1185-48b5-b523-bb9bb0b75b99	4d5536c3-8ab7-4de7-a41d-d20d455d5805	CRAH
17ac8eef-1185-48b5-b523-bb9bb0b75b99	13aeea84-0caf-492e-b45d-6e39f81b85e7	CRAC
17ac8eef-1185-48b5-b523-bb9bb0b75b99	aafae5f1-9fa0-48a5-80e4-417d8efa9b45	CRAC_WITHOUT_FAN
17ac8eef-1185-48b5-b523-bb9bb0b75b99	e9f70c6d-e9b6-4466-840b-db15541404e3	CRAC_FAN
17ac8eef-1185-48b5-b523-bb9bb0b75b99	e45824cf-9c73-4b5a-adcb-20342cef56fe	CHILLER
17ac8eef-1185-48b5-b523-bb9bb0b75b99	daaa9423-910e-407b-99c8-2685a3a89fc2	AIR_COOLED_CHILLER
17ac8eef-1185-48b5-b523-bb9bb0b75b99	e4fb3451-e929-40cc-8551-a6e06f63b42c	COOLING_TOWER
17ac8eef-1185-48b5-b523-bb9bb0b75b99	21a91740-e6de-4b78-8c9f-8b22b965faf6	DRY_COOLER
17ac8eef-1185-48b5-b523-bb9bb0b75b99	0295d867-76b4-4ad4-8682-60372ca7329c	REMOTE_CONDENSER
17ac8eef-1185-48b5-b523-bb9bb0b75b99	21c666b7-e126-4dd4-9f7a-68b9c7536428	CHILLED_WATER_PUMPS
17ac8eef-1185-48b5-b523-bb9bb0b75b99	0cf99717-8246-47d4-8a2b-d4b0d14145b7	HEAT_REJECTION_PUMPS
17ac8eef-1185-48b5-b523-bb9bb0b75b99	d3ee65b8-a3a2-4d93-b797-bcfed850bf74	VENTILATION
17ac8eef-1185-48b5-b523-bb9bb0b75b99	4445e255-d852-4e3a-93e6-91911a7444c0	INFILTRATION
17ac8eef-1185-48b5-b523-bb9bb0b75b99	8c9d702e-bcbc-4c2d-96f1-3aacd2f57557	IT_LOAD
255c6f6b-138a-4ac5-a432-021c08a27356	1e5a3738-fd1c-45d1-b4f3-b66afb395bc4	SWITCHGEAR
255c6f6b-138a-4ac5-a432-021c08a27356	66a79453-a8b6-4a50-87dc-9c94388fcd36	GENERATOR
255c6f6b-138a-4ac5-a432-021c08a27356	d7c426c6-5f36-4594-9e2e-492cb4819d26	PRIMARY_AUXILIARIES
255c6f6b-138a-4ac5-a432-021c08a27356	9d53355f-bbc9-49ec-97f9-072d2785cb4c	UPS
255c6f6b-138a-4ac5-a432-021c08a27356	5617a154-e6f8-4629-93c0-c83ecacf012c	CRITICAL_AUXILIARIES
255c6f6b-138a-4ac5-a432-021c08a27356	a0d62c71-b1df-406b-a62e-4be37c76a899	LIGHTING
255c6f6b-138a-4ac5-a432-021c08a27356	a4afed9b-8848-4fdc-8d7e-c69766f87122	CRITICAL_POWER_DISTRIBUTION
255c6f6b-138a-4ac5-a432-021c08a27356	ec132bc5-d23e-48b5-93bb-ec285253c2fe	CRAH
255c6f6b-138a-4ac5-a432-021c08a27356	1ad3f350-8901-4f24-bb4a-17f1b76600f3	CRAC
255c6f6b-138a-4ac5-a432-021c08a27356	59af6d0f-d4f0-4981-8653-24b5aa89af6e	CRAC_WITHOUT_FAN
255c6f6b-138a-4ac5-a432-021c08a27356	b1d61b15-b274-4c23-b12e-9d97452f909f	CRAC_FAN
255c6f6b-138a-4ac5-a432-021c08a27356	4f33fb16-fe02-4658-868b-c1b73e52eda2	CHILLER
255c6f6b-138a-4ac5-a432-021c08a27356	c11bbcc6-6264-413b-83b9-49804a36000c	AIR_COOLED_CHILLER
255c6f6b-138a-4ac5-a432-021c08a27356	613b0cff-2401-495a-a9c5-0a616ebf9de3	COOLING_TOWER
255c6f6b-138a-4ac5-a432-021c08a27356	ab5551e3-4d25-4d2f-93a1-be738ed18742	DRY_COOLER
255c6f6b-138a-4ac5-a432-021c08a27356	e01a7658-83a0-41e4-94b5-a86b227cc0de	REMOTE_CONDENSER
255c6f6b-138a-4ac5-a432-021c08a27356	65be4f92-5516-4aac-bc99-6cc44bfffc0e	CHILLED_WATER_PUMPS
255c6f6b-138a-4ac5-a432-021c08a27356	b09304e2-bc2e-41d6-b497-94581b3c294d	HEAT_REJECTION_PUMPS
255c6f6b-138a-4ac5-a432-021c08a27356	f375ecd5-2769-49af-a433-ce0bdfd5c36b	VENTILATION
255c6f6b-138a-4ac5-a432-021c08a27356	e184da29-876a-4bc7-b776-b910746cc920	INFILTRATION
255c6f6b-138a-4ac5-a432-021c08a27356	4f6103c3-1a48-45b0-8ab6-98cc06d261b7	IT_LOAD
a51acd4b-be01-4084-96f8-a876caa0ee85	a0915797-4a40-4d41-a7a1-474373dfb112	SWITCHGEAR
a51acd4b-be01-4084-96f8-a876caa0ee85	3353502a-2d13-42c7-8589-20ffcaad221f	GENERATOR
a51acd4b-be01-4084-96f8-a876caa0ee85	44b3a084-74c1-4223-aced-15eb72b5b345	PRIMARY_AUXILIARIES
a51acd4b-be01-4084-96f8-a876caa0ee85	540321fe-e5e1-41ae-8be6-3324ef79405e	UPS
a51acd4b-be01-4084-96f8-a876caa0ee85	0810e698-480d-4aca-9acb-2b56475d620c	CRITICAL_AUXILIARIES
a51acd4b-be01-4084-96f8-a876caa0ee85	cef87e40-d863-4639-a951-d92c0200a6aa	LIGHTING
a51acd4b-be01-4084-96f8-a876caa0ee85	88a0473b-5d7e-499a-8a25-f54ef5472420	CRITICAL_POWER_DISTRIBUTION
a51acd4b-be01-4084-96f8-a876caa0ee85	b1de30e7-c676-4fd1-b7cd-6f799e4d1f15	CRAH
a51acd4b-be01-4084-96f8-a876caa0ee85	4167ab01-fbc6-4be6-87ad-c92632b1ab0f	CRAC
a51acd4b-be01-4084-96f8-a876caa0ee85	12d55045-931e-4b9f-8cc9-6448e0d06bf5	CRAC_WITHOUT_FAN
a51acd4b-be01-4084-96f8-a876caa0ee85	b06155e5-0c5b-4ee6-86b6-a5ebc74f6fb3	CRAC_FAN
a51acd4b-be01-4084-96f8-a876caa0ee85	f00a5aa9-cdc3-4a24-b680-647e9119645f	CHILLER
a51acd4b-be01-4084-96f8-a876caa0ee85	daafab30-d238-44d6-a70f-c508985be782	AIR_COOLED_CHILLER
a51acd4b-be01-4084-96f8-a876caa0ee85	d0744a60-1cf4-4cfb-acde-0a6c8de23bda	COOLING_TOWER
a51acd4b-be01-4084-96f8-a876caa0ee85	99d459d3-dd79-49a4-9c7c-b68fc701209c	DRY_COOLER
a51acd4b-be01-4084-96f8-a876caa0ee85	f535a4e0-da40-4776-8e1b-76f46ad8b392	REMOTE_CONDENSER
a51acd4b-be01-4084-96f8-a876caa0ee85	f54b8e12-aac2-4525-bb8f-fa2eaf0e6a10	CHILLED_WATER_PUMPS
a51acd4b-be01-4084-96f8-a876caa0ee85	90cf7d1a-3ca6-41cb-a0ff-aa2c322adf0a	HEAT_REJECTION_PUMPS
a51acd4b-be01-4084-96f8-a876caa0ee85	3083d9c0-250d-4e9e-b90d-2c6c9a4e727f	VENTILATION
a51acd4b-be01-4084-96f8-a876caa0ee85	e75fdd45-577a-4682-a0e8-0dd0ef9084be	INFILTRATION
a51acd4b-be01-4084-96f8-a876caa0ee85	4f5336f8-96d2-4847-be8c-bdc85393f755	IT_LOAD
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	6134a79b-c7af-4e9c-b19d-196a0d9c2e04	SWITCHGEAR
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	aa1bf9a0-b615-478c-aaa6-d2380d1cf4b4	GENERATOR
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	d5bf2d4c-4041-4fc4-867b-227b7763df81	PRIMARY_AUXILIARIES
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	fdc8c1ad-6e28-4d9f-a0fd-2cc73847993c	UPS
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	9f599bbe-6675-4704-b4f7-6c132787439f	CRITICAL_AUXILIARIES
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	d21fe070-1d32-4956-8d75-ff31ef844152	LIGHTING
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	01319c66-788f-4031-9c71-8d5dcc831daa	CRITICAL_POWER_DISTRIBUTION
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	09fd0601-020c-4bab-b9cb-b9d7037b099c	CRAH
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	037688bb-03e3-4e89-977b-cfff768d5d2c	CRAC
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	926a9c2f-633f-4447-8b48-86fbac737191	CRAC_WITHOUT_FAN
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	96949167-9f56-4507-9076-b04a847aa473	CRAC_FAN
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	1d733b61-643d-441f-910a-e3f9b35576b1	CHILLER
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	ef3ce3e3-0366-4362-8b22-74df6918f376	AIR_COOLED_CHILLER
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	cfdd2323-e0e6-47b1-89b5-3e89398ded4f	COOLING_TOWER
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	ff8c5ccd-0deb-4d0a-ba6b-37346aafaccb	DRY_COOLER
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	49aa2497-56e1-4f1b-80b3-da4c26863429	REMOTE_CONDENSER
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	61ce4a92-0c58-400c-8a32-53977f9f58b6	CHILLED_WATER_PUMPS
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	71192109-29cc-41bc-9bed-fbf4ff4c9759	HEAT_REJECTION_PUMPS
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	fb9426d5-0724-4ae4-9b46-e2a708eac80d	VENTILATION
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	2a6ac71a-74a1-4b92-beec-5a8fb25d461b	INFILTRATION
6a9082ec-282e-4ebe-87a3-d5171c45d8fd	8afe549c-6e9b-4f6e-8758-65500f723b29	IT_LOAD
a62b3459-b8de-49e6-a19d-4161dd175e4d	860567f5-1793-4efe-b70b-f68107dd2bd1	SWITCHGEAR
a62b3459-b8de-49e6-a19d-4161dd175e4d	43d7c6e0-0d8b-431d-b88b-099253e8d1a8	GENERATOR
a62b3459-b8de-49e6-a19d-4161dd175e4d	f66a6385-5fcb-4a89-8428-423465f6eed7	PRIMARY_AUXILIARIES
a62b3459-b8de-49e6-a19d-4161dd175e4d	81b8d606-873c-4e3f-a4e9-6c11d96144b7	UPS
a62b3459-b8de-49e6-a19d-4161dd175e4d	8e705206-ef3b-47a4-8fcb-bcaeab88e3eb	CRITICAL_AUXILIARIES
a62b3459-b8de-49e6-a19d-4161dd175e4d	28ee60ac-d2d2-4432-962d-4f391219175b	LIGHTING
a62b3459-b8de-49e6-a19d-4161dd175e4d	feaa3ef0-d039-4159-96f0-5efa66373e84	CRITICAL_POWER_DISTRIBUTION
a62b3459-b8de-49e6-a19d-4161dd175e4d	d459e3a2-dec2-4f7d-a887-ae32f8452635	CRAH
a62b3459-b8de-49e6-a19d-4161dd175e4d	e277c1e4-a68f-4e98-af91-ae3f36089d44	CRAC
a62b3459-b8de-49e6-a19d-4161dd175e4d	b3724f62-1e61-444e-bd61-1c45adc8b246	CRAC_WITHOUT_FAN
a62b3459-b8de-49e6-a19d-4161dd175e4d	05f7f6ad-e5df-47c7-af18-3167e5c83e95	CRAC_FAN
a62b3459-b8de-49e6-a19d-4161dd175e4d	67aae3db-4a4e-44d5-8f2d-8f7bd77c98b7	CHILLER
a62b3459-b8de-49e6-a19d-4161dd175e4d	0ac3b5d1-7884-41b9-b067-82f1772b044a	AIR_COOLED_CHILLER
a62b3459-b8de-49e6-a19d-4161dd175e4d	3f22cbff-ae37-448a-b653-f15ed8fde100	COOLING_TOWER
a62b3459-b8de-49e6-a19d-4161dd175e4d	98549e78-0390-41e3-b88b-02811ca190cf	DRY_COOLER
a62b3459-b8de-49e6-a19d-4161dd175e4d	06b85b07-c040-4164-aa46-6c0d92d97cf8	REMOTE_CONDENSER
a62b3459-b8de-49e6-a19d-4161dd175e4d	b82eae74-7ac2-4473-bb50-f22289b5c95c	CHILLED_WATER_PUMPS
a62b3459-b8de-49e6-a19d-4161dd175e4d	19dbb099-252d-4836-9cae-5d6f3357c3bf	HEAT_REJECTION_PUMPS
a62b3459-b8de-49e6-a19d-4161dd175e4d	2ceb8e19-3277-421a-90f0-9ab8a2cfdb56	VENTILATION
a62b3459-b8de-49e6-a19d-4161dd175e4d	7b795872-22c5-4e79-aee1-b2425f3b62a7	INFILTRATION
a62b3459-b8de-49e6-a19d-4161dd175e4d	789e74cf-113c-411b-8f8b-0494e1d5b29e	IT_LOAD
56f692af-3248-4d80-952a-633452255916	94a82cc3-282a-4036-b2f3-2c09763670b7	SWITCHGEAR
56f692af-3248-4d80-952a-633452255916	1dda4b6e-96b1-4520-ae5e-5f0c4c08dce0	GENERATOR
56f692af-3248-4d80-952a-633452255916	d714ed69-ca98-413f-82de-bbb21aa6b892	PRIMARY_AUXILIARIES
56f692af-3248-4d80-952a-633452255916	39d63766-b9e9-452d-aa0c-67c3950f0c84	UPS
56f692af-3248-4d80-952a-633452255916	f550e135-2ec9-44fd-a483-b582f0287dfc	CRITICAL_AUXILIARIES
56f692af-3248-4d80-952a-633452255916	297ac047-82ed-4caa-9db3-04867d555256	LIGHTING
56f692af-3248-4d80-952a-633452255916	6e2908e3-5e11-42e8-9924-f5a89ee2de1a	CRITICAL_POWER_DISTRIBUTION
56f692af-3248-4d80-952a-633452255916	99c06b9a-34c8-4a3d-87e3-2a33fc8181a6	CRAH
56f692af-3248-4d80-952a-633452255916	1baf7483-55fb-4537-ac44-c5e650d9cc5b	CRAC
56f692af-3248-4d80-952a-633452255916	f3898fc1-03db-4480-bff8-f0beac1caeee	CRAC_WITHOUT_FAN
56f692af-3248-4d80-952a-633452255916	8cae89f1-e76b-44c5-94f6-55947347ae4a	CRAC_FAN
56f692af-3248-4d80-952a-633452255916	47a47877-5077-4cad-b75d-ec8d01913038	CHILLER
56f692af-3248-4d80-952a-633452255916	b8312c89-a6eb-4479-b2f5-c03a26f03042	AIR_COOLED_CHILLER
56f692af-3248-4d80-952a-633452255916	2666d3fb-1a6b-42c4-8677-c187383c44df	COOLING_TOWER
56f692af-3248-4d80-952a-633452255916	6b38a995-8fcc-4bcc-b66b-da3296d40e61	DRY_COOLER
56f692af-3248-4d80-952a-633452255916	b74c8d19-e435-4548-86be-8bfee167a63d	REMOTE_CONDENSER
56f692af-3248-4d80-952a-633452255916	9ab91475-5daf-420f-92ff-6422144dc1cf	CHILLED_WATER_PUMPS
56f692af-3248-4d80-952a-633452255916	4121e80a-e257-4442-9da7-2e90dd2dc0d0	HEAT_REJECTION_PUMPS
56f692af-3248-4d80-952a-633452255916	8bc14b0a-0aa5-4a96-84e8-cdb987d0b12c	VENTILATION
56f692af-3248-4d80-952a-633452255916	c2b020d5-bcd4-4ef8-bb0a-337844fe6db5	INFILTRATION
56f692af-3248-4d80-952a-633452255916	5069620e-80e4-421b-a475-7e03744ccd85	IT_LOAD
38783572-661f-488f-80f5-70df0eb9f219	f928ed5c-9eb9-4c24-9424-0bb82dca2a11	SWITCHGEAR
38783572-661f-488f-80f5-70df0eb9f219	d008b46b-f5f4-4910-99b1-06a835065a02	GENERATOR
38783572-661f-488f-80f5-70df0eb9f219	03228171-3037-41b3-8ed8-0f22a284ddcd	PRIMARY_AUXILIARIES
38783572-661f-488f-80f5-70df0eb9f219	98aad319-ce9d-4d3f-9fa5-73f83f526965	UPS
38783572-661f-488f-80f5-70df0eb9f219	dba9b475-106d-4465-9185-5c75722d1ebe	CRITICAL_AUXILIARIES
38783572-661f-488f-80f5-70df0eb9f219	30f01e73-dc0c-4de5-8020-75a0cf0afa78	LIGHTING
38783572-661f-488f-80f5-70df0eb9f219	894ec301-9dde-4936-b302-b33d7173a6cc	CRITICAL_POWER_DISTRIBUTION
38783572-661f-488f-80f5-70df0eb9f219	4c70554f-7db5-486f-8a07-0df4cb2bfbdc	CRAH
38783572-661f-488f-80f5-70df0eb9f219	541a20ee-a553-4aa0-894d-39d0db317a53	CRAC
38783572-661f-488f-80f5-70df0eb9f219	95e852a0-6494-4dd4-af92-ed991e802c94	CRAC_WITHOUT_FAN
38783572-661f-488f-80f5-70df0eb9f219	531a5aaa-69fe-49e4-ab37-658c778ee7fe	CRAC_FAN
38783572-661f-488f-80f5-70df0eb9f219	a5a6e097-2726-48f1-94db-10a14cc47637	CHILLER
38783572-661f-488f-80f5-70df0eb9f219	b988d46d-448e-4bf7-9643-d00469610abd	AIR_COOLED_CHILLER
38783572-661f-488f-80f5-70df0eb9f219	eb69a04b-0e8b-4343-8bb7-521e16218d42	COOLING_TOWER
38783572-661f-488f-80f5-70df0eb9f219	aaef1c3f-ee5c-46a2-b057-1765c8c8cd9d	DRY_COOLER
38783572-661f-488f-80f5-70df0eb9f219	3c8b730a-a760-4e5e-9d1d-06dce301aa36	REMOTE_CONDENSER
38783572-661f-488f-80f5-70df0eb9f219	daa61028-3ce7-4b5c-b767-eef2a557d038	CHILLED_WATER_PUMPS
38783572-661f-488f-80f5-70df0eb9f219	09a44643-60c5-42f3-9f00-c01988f69862	HEAT_REJECTION_PUMPS
38783572-661f-488f-80f5-70df0eb9f219	3d6478e5-9585-45f6-a351-7399c126132f	VENTILATION
38783572-661f-488f-80f5-70df0eb9f219	0321e8fd-f39a-48a1-88ae-fa7a5f84a193	INFILTRATION
38783572-661f-488f-80f5-70df0eb9f219	3ae8fbb8-440b-487c-9d62-f5e00050338c	IT_LOAD
beeff496-d31f-4294-85be-b994d0940ac0	7a55afec-ba14-425c-b887-588b0516a415	SWITCHGEAR
beeff496-d31f-4294-85be-b994d0940ac0	76977a48-22b7-4132-9a51-7fceaf8e2cef	GENERATOR
beeff496-d31f-4294-85be-b994d0940ac0	2b360fd1-6717-4300-b001-97a837f7bd5a	PRIMARY_AUXILIARIES
beeff496-d31f-4294-85be-b994d0940ac0	b99ae484-3d0f-4d0f-be65-e2175e015bf4	UPS
beeff496-d31f-4294-85be-b994d0940ac0	65aff0d4-7ac0-414d-83f4-c2ce3f84d739	CRITICAL_AUXILIARIES
beeff496-d31f-4294-85be-b994d0940ac0	33e038f6-ea2f-4f31-8988-984c3435d945	LIGHTING
beeff496-d31f-4294-85be-b994d0940ac0	d5ff5299-15e7-439f-8629-d6c3a694a974	CRITICAL_POWER_DISTRIBUTION
beeff496-d31f-4294-85be-b994d0940ac0	08ce687a-cb4c-4cb5-8275-7ee06bac928e	CRAH
beeff496-d31f-4294-85be-b994d0940ac0	e28c2302-c03b-4fa5-8e1b-a61e8c393860	CRAC
beeff496-d31f-4294-85be-b994d0940ac0	86307d25-d76a-4008-9515-58cab498d707	CRAC_WITHOUT_FAN
beeff496-d31f-4294-85be-b994d0940ac0	8adfd065-cb65-481a-9cae-1d7456706806	CRAC_FAN
beeff496-d31f-4294-85be-b994d0940ac0	6ab564c9-8f2f-4d70-af60-d58a28e4cf1f	CHILLER
beeff496-d31f-4294-85be-b994d0940ac0	aa10ae0e-7f6e-410a-945b-e7b918639bd5	AIR_COOLED_CHILLER
beeff496-d31f-4294-85be-b994d0940ac0	73ffbabb-d452-4abe-8a45-f1a0dac30b1b	COOLING_TOWER
beeff496-d31f-4294-85be-b994d0940ac0	67809cd0-b891-40cd-8dab-3d8955952987	DRY_COOLER
beeff496-d31f-4294-85be-b994d0940ac0	931b7125-c436-44d5-93f8-b48dcfc47f97	REMOTE_CONDENSER
beeff496-d31f-4294-85be-b994d0940ac0	37d764f8-e8ba-4f09-8718-e6df8364f51c	CHILLED_WATER_PUMPS
beeff496-d31f-4294-85be-b994d0940ac0	2fa3e3e9-0726-4fd6-bb3e-5ed6f5ff5fb3	HEAT_REJECTION_PUMPS
beeff496-d31f-4294-85be-b994d0940ac0	c7c2ef20-1572-4997-bf12-bad1136b5307	VENTILATION
beeff496-d31f-4294-85be-b994d0940ac0	448bae43-ba2e-404e-98da-581e9b9b2f6d	INFILTRATION
beeff496-d31f-4294-85be-b994d0940ac0	774d047e-c1b9-40e5-8394-1e3556b59839	IT_LOAD
5796dace-b1f8-46fe-86b2-442ccc21d0bb	338b70b8-aad8-49a5-9d15-8c01078c43dc	SWITCHGEAR
5796dace-b1f8-46fe-86b2-442ccc21d0bb	8516ea61-5348-4ba6-8a0b-f46a3f34de2c	GENERATOR
5796dace-b1f8-46fe-86b2-442ccc21d0bb	92b1c58c-8985-4d17-8562-a107663ee6ac	PRIMARY_AUXILIARIES
5796dace-b1f8-46fe-86b2-442ccc21d0bb	c069ba28-ae23-4f41-b803-5cb05e89f91d	UPS
5796dace-b1f8-46fe-86b2-442ccc21d0bb	129b0e11-af3d-4df0-8a28-176971e51369	CRITICAL_AUXILIARIES
5796dace-b1f8-46fe-86b2-442ccc21d0bb	3a854b2e-40b6-4873-b9f5-929544a1b2d7	LIGHTING
5796dace-b1f8-46fe-86b2-442ccc21d0bb	24771316-b391-4219-b7bc-c8ed7da574df	CRITICAL_POWER_DISTRIBUTION
5796dace-b1f8-46fe-86b2-442ccc21d0bb	0e7ee0b1-ebf0-4cd9-8c36-1c7d1003e903	CRAH
5796dace-b1f8-46fe-86b2-442ccc21d0bb	4a27ce83-d8f5-44ed-addc-3fd5696ed0f6	CRAC
5796dace-b1f8-46fe-86b2-442ccc21d0bb	e40148b2-632c-46e2-8321-7a6d7eff97ac	CRAC_WITHOUT_FAN
5796dace-b1f8-46fe-86b2-442ccc21d0bb	cb7ccf97-ae6b-489e-bc24-4e65bcba6b49	CRAC_FAN
5796dace-b1f8-46fe-86b2-442ccc21d0bb	321ec14b-f7bd-454e-af0e-c568d186c3b1	CHILLER
5796dace-b1f8-46fe-86b2-442ccc21d0bb	345135ba-c244-472b-b901-f8603c8f7e0c	AIR_COOLED_CHILLER
5796dace-b1f8-46fe-86b2-442ccc21d0bb	9e0309b8-242a-48e5-acdb-773970ac3ccb	COOLING_TOWER
5796dace-b1f8-46fe-86b2-442ccc21d0bb	0d1c7991-ea4c-414e-808d-7b126b7b7660	DRY_COOLER
5796dace-b1f8-46fe-86b2-442ccc21d0bb	e4bc8309-2635-47b7-86aa-874cde3d45ca	REMOTE_CONDENSER
5796dace-b1f8-46fe-86b2-442ccc21d0bb	7b209b2b-d6bc-4ab7-b975-df40b33b6aec	CHILLED_WATER_PUMPS
5796dace-b1f8-46fe-86b2-442ccc21d0bb	c0030214-748b-4e0c-8c34-28e8a54702fe	HEAT_REJECTION_PUMPS
5796dace-b1f8-46fe-86b2-442ccc21d0bb	38064e93-8047-406c-921b-ed232cede43a	VENTILATION
5796dace-b1f8-46fe-86b2-442ccc21d0bb	f193149f-b1c8-42e8-9127-51db078a54a0	INFILTRATION
5796dace-b1f8-46fe-86b2-442ccc21d0bb	48b9f254-f8f4-4ed0-949b-b6b94822ba0a	IT_LOAD
1cc34e20-312e-4087-af0f-733bc1800215	4c498f37-807e-49b7-9a5f-bcca7a448780	SWITCHGEAR
1cc34e20-312e-4087-af0f-733bc1800215	99568ab8-a37e-4c3f-b84d-aa8c0465f67e	GENERATOR
1cc34e20-312e-4087-af0f-733bc1800215	8502097d-621c-40b3-b1c1-240fe6c37a33	PRIMARY_AUXILIARIES
1cc34e20-312e-4087-af0f-733bc1800215	8bc829d3-3571-4c76-8423-f612bd6841f6	UPS
1cc34e20-312e-4087-af0f-733bc1800215	7e2fe33d-8369-4148-b0a5-1055fb6634c4	CRITICAL_AUXILIARIES
1cc34e20-312e-4087-af0f-733bc1800215	9fda1045-7913-4451-a804-9eed8a1033ef	LIGHTING
1cc34e20-312e-4087-af0f-733bc1800215	776f69d3-9e51-4d13-a2ae-52665fa9f667	CRITICAL_POWER_DISTRIBUTION
1cc34e20-312e-4087-af0f-733bc1800215	c28a95b7-51ed-4574-a162-b3c27b22f374	CRAH
1cc34e20-312e-4087-af0f-733bc1800215	adbae0c0-6ae1-4ef7-93e6-24efae0b3451	CRAC
1cc34e20-312e-4087-af0f-733bc1800215	f8937554-5c54-45c5-b0ab-20195e3799c3	CRAC_WITHOUT_FAN
1cc34e20-312e-4087-af0f-733bc1800215	458e1132-6d05-48b1-8fd3-0da628cfa410	CRAC_FAN
1cc34e20-312e-4087-af0f-733bc1800215	b5e68d3b-4fc8-4584-8531-f559390bde5f	CHILLER
1cc34e20-312e-4087-af0f-733bc1800215	e96ace7d-14d6-4325-a247-d7a03595b397	AIR_COOLED_CHILLER
1cc34e20-312e-4087-af0f-733bc1800215	a699a6b1-ac55-46f1-80bd-edb4c48fb638	COOLING_TOWER
1cc34e20-312e-4087-af0f-733bc1800215	e983d4a2-9c2a-4357-a671-6bf1624fef3b	DRY_COOLER
1cc34e20-312e-4087-af0f-733bc1800215	2e3207bf-d36e-44e6-a090-28a957c3aadc	REMOTE_CONDENSER
1cc34e20-312e-4087-af0f-733bc1800215	afd8ed08-68b4-471b-b9ec-4af70d8d3bb7	CHILLED_WATER_PUMPS
1cc34e20-312e-4087-af0f-733bc1800215	f23ea046-3474-4005-accd-da77e0212723	HEAT_REJECTION_PUMPS
1cc34e20-312e-4087-af0f-733bc1800215	b8ff8f64-55a4-40ee-be9c-082b0b0ca3a1	VENTILATION
1cc34e20-312e-4087-af0f-733bc1800215	b2cf8256-8b5f-4651-990d-774f224d3f9f	INFILTRATION
1cc34e20-312e-4087-af0f-733bc1800215	05b87edb-eba6-4d81-afec-35c775194da2	IT_LOAD
10760fb6-dbea-4820-9030-2cafe6de455e	7b102c38-8187-4b7e-9598-cb78a10f4936	SWITCHGEAR
10760fb6-dbea-4820-9030-2cafe6de455e	9af3c30c-3952-4af7-8fce-8cbb973e3694	GENERATOR
10760fb6-dbea-4820-9030-2cafe6de455e	19a34531-6919-4b52-976a-76fc4d339163	PRIMARY_AUXILIARIES
10760fb6-dbea-4820-9030-2cafe6de455e	7b1bb233-bdc0-46e0-a706-9d9d05bd2482	UPS
10760fb6-dbea-4820-9030-2cafe6de455e	6b61f179-a8dc-42c4-9415-94410a69875a	CRITICAL_AUXILIARIES
10760fb6-dbea-4820-9030-2cafe6de455e	34ff2c65-477b-4e2a-88a9-8c12320c8368	LIGHTING
10760fb6-dbea-4820-9030-2cafe6de455e	523ad77c-45dd-4588-8470-841fdb84fcbf	CRITICAL_POWER_DISTRIBUTION
10760fb6-dbea-4820-9030-2cafe6de455e	01b1d4d9-6d07-4c84-bdec-9ac836c3cd03	CRAH
10760fb6-dbea-4820-9030-2cafe6de455e	c3bbc549-61a9-46c4-b583-a6aeaeb5ef66	CRAC
10760fb6-dbea-4820-9030-2cafe6de455e	dbf3dc57-6cac-4403-9e83-8f5da3c292bc	CRAC_WITHOUT_FAN
10760fb6-dbea-4820-9030-2cafe6de455e	96329e2e-2856-4243-b2a4-defd6d417a4c	CRAC_FAN
10760fb6-dbea-4820-9030-2cafe6de455e	ad4fd85a-0031-4a56-8d4f-9c2b5595dc46	CHILLER
10760fb6-dbea-4820-9030-2cafe6de455e	27d5adca-2b94-4533-886d-009b3e8bbd21	AIR_COOLED_CHILLER
10760fb6-dbea-4820-9030-2cafe6de455e	28cfb123-dbfc-471e-bb44-3aed02b88fa9	COOLING_TOWER
10760fb6-dbea-4820-9030-2cafe6de455e	391b7a6c-0fbd-4d12-a6f9-a025c139e8cb	DRY_COOLER
10760fb6-dbea-4820-9030-2cafe6de455e	7d6ba420-6c20-494e-9351-f08a2d6f1e69	REMOTE_CONDENSER
10760fb6-dbea-4820-9030-2cafe6de455e	2aad52fd-c2a2-449e-b359-ad2965a22533	CHILLED_WATER_PUMPS
10760fb6-dbea-4820-9030-2cafe6de455e	2399ba9f-d992-4329-83a7-66a632617681	HEAT_REJECTION_PUMPS
10760fb6-dbea-4820-9030-2cafe6de455e	a6efb4a7-1138-450e-bdbd-637e62aaba8b	VENTILATION
10760fb6-dbea-4820-9030-2cafe6de455e	1cba1e2c-21d1-43c7-8ef9-222f0e20b125	INFILTRATION
10760fb6-dbea-4820-9030-2cafe6de455e	ed809a75-6848-4594-86b8-5af95110e2dd	IT_LOAD
85e7b177-1367-46b3-871a-da31c3e2888e	de6e1877-c15c-49e7-bb31-99bb51de762b	SWITCHGEAR
85e7b177-1367-46b3-871a-da31c3e2888e	f7e38ab8-a4b6-4865-b817-f041c55eb8a0	GENERATOR
85e7b177-1367-46b3-871a-da31c3e2888e	09d1a516-11d3-4a63-8191-b181279e4dd9	PRIMARY_AUXILIARIES
85e7b177-1367-46b3-871a-da31c3e2888e	8381b1c5-fdaa-41d7-8a70-6bf48bb4b7de	UPS
85e7b177-1367-46b3-871a-da31c3e2888e	d9529fe6-52f8-4815-b311-f3b8a82f52a6	CRITICAL_AUXILIARIES
85e7b177-1367-46b3-871a-da31c3e2888e	ace6608a-639c-4c2d-8cf9-27917b35cb0d	LIGHTING
85e7b177-1367-46b3-871a-da31c3e2888e	6acf8bfc-514b-478d-b299-e6f42a0c80d9	CRITICAL_POWER_DISTRIBUTION
85e7b177-1367-46b3-871a-da31c3e2888e	8bf0c834-f237-4fed-b465-666065ab176e	CRAH
85e7b177-1367-46b3-871a-da31c3e2888e	db11f6a5-59fd-4884-bfc7-d3093e86731f	CRAC
85e7b177-1367-46b3-871a-da31c3e2888e	e7e4565f-f8bd-4003-891a-807308272f78	CRAC_WITHOUT_FAN
85e7b177-1367-46b3-871a-da31c3e2888e	10a62d39-927e-4efb-b25e-510b3473f292	CRAC_FAN
85e7b177-1367-46b3-871a-da31c3e2888e	fa4fa697-e01f-4be4-b3a8-52ba60938413	CHILLER
85e7b177-1367-46b3-871a-da31c3e2888e	d75d49ca-e84d-4555-8b72-c07643da37cf	AIR_COOLED_CHILLER
85e7b177-1367-46b3-871a-da31c3e2888e	461b58f9-19fa-4959-a8ab-0dbb8d691238	COOLING_TOWER
85e7b177-1367-46b3-871a-da31c3e2888e	b55dcdcc-1d9e-4440-83ee-fd91a05957a0	DRY_COOLER
85e7b177-1367-46b3-871a-da31c3e2888e	32a4a5e3-8175-49c7-8813-8ca588e9c870	REMOTE_CONDENSER
85e7b177-1367-46b3-871a-da31c3e2888e	38c5ec93-f8f7-49f5-bbd9-752df493cbce	CHILLED_WATER_PUMPS
85e7b177-1367-46b3-871a-da31c3e2888e	aa93b754-89a3-43b4-9927-35e0b7dc21dc	HEAT_REJECTION_PUMPS
85e7b177-1367-46b3-871a-da31c3e2888e	324245ec-1a1e-4340-910a-4df1246c750c	VENTILATION
85e7b177-1367-46b3-871a-da31c3e2888e	a90d357f-f02b-45f5-a36a-81b85b79c71f	INFILTRATION
85e7b177-1367-46b3-871a-da31c3e2888e	835a8a11-0c79-4331-9791-da32e1483809	IT_LOAD
1113e075-d6a1-4b26-b655-c0950db01614	0a4f2722-572b-44b7-8e13-97979f3e9838	SWITCHGEAR
1113e075-d6a1-4b26-b655-c0950db01614	da16ff12-bf8b-4a47-b6ee-1f7d2a29a129	GENERATOR
1113e075-d6a1-4b26-b655-c0950db01614	89065900-e993-4452-ad25-79bb84b95eb1	PRIMARY_AUXILIARIES
1113e075-d6a1-4b26-b655-c0950db01614	63b6e77c-d64f-40a6-a05d-cdcb0289a08e	UPS
1113e075-d6a1-4b26-b655-c0950db01614	37b0fbcf-3045-41d7-8424-70cefbdf5e81	CRITICAL_AUXILIARIES
1113e075-d6a1-4b26-b655-c0950db01614	f24795f1-6783-488e-8359-374879c33ab8	LIGHTING
1113e075-d6a1-4b26-b655-c0950db01614	1a41a6d7-6eb7-4aea-8d96-9166a8e1b841	CRITICAL_POWER_DISTRIBUTION
1113e075-d6a1-4b26-b655-c0950db01614	5566f310-4f7c-4c45-95b6-25e226effa43	CRAH
1113e075-d6a1-4b26-b655-c0950db01614	c163682f-f312-42b4-8cdd-90b38008c500	CRAC
1113e075-d6a1-4b26-b655-c0950db01614	4670dfc8-2cab-406c-9047-05637e54290b	CRAC_WITHOUT_FAN
1113e075-d6a1-4b26-b655-c0950db01614	bd385305-11b9-4142-b5df-ccee13e0d9db	CRAC_FAN
1113e075-d6a1-4b26-b655-c0950db01614	4902a2a9-4f2c-40bd-9030-e6ff14c0cd77	CHILLER
1113e075-d6a1-4b26-b655-c0950db01614	be600e57-277a-4153-b334-5c8d894c426f	AIR_COOLED_CHILLER
1113e075-d6a1-4b26-b655-c0950db01614	21f2d9c5-1f49-45ea-826b-9e08371648cd	COOLING_TOWER
1113e075-d6a1-4b26-b655-c0950db01614	c9ccdce1-16c1-412e-aa0c-fb26b7505775	DRY_COOLER
1113e075-d6a1-4b26-b655-c0950db01614	22a162ef-1b16-4f21-9d28-bae493c0de67	REMOTE_CONDENSER
1113e075-d6a1-4b26-b655-c0950db01614	8cbe66fc-67c6-4b2d-9720-b0b4b3948c69	CHILLED_WATER_PUMPS
1113e075-d6a1-4b26-b655-c0950db01614	62924cdd-6c4f-45fa-8c51-a96a1d819965	HEAT_REJECTION_PUMPS
1113e075-d6a1-4b26-b655-c0950db01614	5369bcb5-79cb-4b32-98c8-244cef38ddc1	VENTILATION
1113e075-d6a1-4b26-b655-c0950db01614	d7d18bc2-cecb-40a7-bcbf-e46e9987967d	INFILTRATION
1113e075-d6a1-4b26-b655-c0950db01614	4dadc234-bffb-4604-9624-bc628555a1c5	IT_LOAD
dfc92262-3f49-410f-a736-7d58b1c24293	22b3d0b9-aa75-4ba7-bc07-e2a14fc199a1	SWITCHGEAR
dfc92262-3f49-410f-a736-7d58b1c24293	37ecc3b4-ca73-43b6-b1b2-1b33f5706560	GENERATOR
dfc92262-3f49-410f-a736-7d58b1c24293	23f7d498-b295-4957-880a-c8a9232e4d2d	PRIMARY_AUXILIARIES
dfc92262-3f49-410f-a736-7d58b1c24293	4ed95d84-da0b-44ec-9e68-c9816a424b9e	UPS
dfc92262-3f49-410f-a736-7d58b1c24293	428ec452-f755-4b06-8296-a0249df69c63	CRITICAL_AUXILIARIES
dfc92262-3f49-410f-a736-7d58b1c24293	fde03a45-d839-4bc9-9fce-c703c906aca2	LIGHTING
dfc92262-3f49-410f-a736-7d58b1c24293	739ab60e-4970-47f2-92fa-98296d4a66d7	CRITICAL_POWER_DISTRIBUTION
dfc92262-3f49-410f-a736-7d58b1c24293	a18351ae-8dc4-4e1e-b237-fa01ba855708	CRAH
dfc92262-3f49-410f-a736-7d58b1c24293	086fddc9-4c37-4284-8e93-56c701c591f3	CRAC
dfc92262-3f49-410f-a736-7d58b1c24293	4724c040-abaf-4bae-aeff-9e4946204309	CRAC_WITHOUT_FAN
dfc92262-3f49-410f-a736-7d58b1c24293	bf79398f-c1fb-4ca3-bd4a-e23627f7f9ec	CRAC_FAN
dfc92262-3f49-410f-a736-7d58b1c24293	e780df85-14fe-491a-84aa-8c05e45d60e0	CHILLER
dfc92262-3f49-410f-a736-7d58b1c24293	4d554b40-723d-4d8b-b1d3-2fc0f261a099	AIR_COOLED_CHILLER
dfc92262-3f49-410f-a736-7d58b1c24293	4f9d6e2e-e05b-4c1b-9082-77c2cb619139	COOLING_TOWER
dfc92262-3f49-410f-a736-7d58b1c24293	e4a8403d-323b-4a67-aeb5-bb17ab32ac27	DRY_COOLER
dfc92262-3f49-410f-a736-7d58b1c24293	9ce3c300-a92e-4d15-af0f-721c0cab8134	REMOTE_CONDENSER
dfc92262-3f49-410f-a736-7d58b1c24293	ffea73f1-b210-4406-b344-a332056c5074	CHILLED_WATER_PUMPS
dfc92262-3f49-410f-a736-7d58b1c24293	4dae4779-2047-4d8e-ab8e-7bc84c2f89b3	HEAT_REJECTION_PUMPS
dfc92262-3f49-410f-a736-7d58b1c24293	3a677fe9-fb77-4164-adf1-adc1077f8158	VENTILATION
dfc92262-3f49-410f-a736-7d58b1c24293	9e90032a-7d84-4cb2-b79a-85db8aa12bc7	INFILTRATION
dfc92262-3f49-410f-a736-7d58b1c24293	76d46de7-6e31-4904-88d5-ba8f7ef14d91	IT_LOAD
a0b08813-8ee6-4c16-9b0d-4e1741f15164	ce77a2e0-fee2-4451-b594-54f36420c465	SWITCHGEAR
a0b08813-8ee6-4c16-9b0d-4e1741f15164	503c1125-951b-496b-84c4-6098feae294b	GENERATOR
a0b08813-8ee6-4c16-9b0d-4e1741f15164	222d87ef-2c16-4f35-8aa5-27463071c3a0	PRIMARY_AUXILIARIES
a0b08813-8ee6-4c16-9b0d-4e1741f15164	0f28eea6-f57d-49d9-a2bc-02fd6f040959	UPS
a0b08813-8ee6-4c16-9b0d-4e1741f15164	b8e69a52-0100-4807-b4e3-718ab501cb71	CRITICAL_AUXILIARIES
a0b08813-8ee6-4c16-9b0d-4e1741f15164	8bad9dc3-447b-44af-8518-33c20b4f43c7	LIGHTING
a0b08813-8ee6-4c16-9b0d-4e1741f15164	1cef0dae-63ee-42c9-8003-f97271d78fbb	CRITICAL_POWER_DISTRIBUTION
a0b08813-8ee6-4c16-9b0d-4e1741f15164	1ddb4424-b5ae-4453-87b6-9f08cab2d40c	CRAH
a0b08813-8ee6-4c16-9b0d-4e1741f15164	5c84b8e5-4018-4102-9a3c-2d811dac2171	CRAC
a0b08813-8ee6-4c16-9b0d-4e1741f15164	d7f8a676-410b-4c99-a66c-cab0408d895f	CRAC_WITHOUT_FAN
a0b08813-8ee6-4c16-9b0d-4e1741f15164	e5e75b64-17b7-4f15-b109-81287c6eb131	CRAC_FAN
a0b08813-8ee6-4c16-9b0d-4e1741f15164	b3e933f3-1628-421c-962a-4628ee5f3842	CHILLER
a0b08813-8ee6-4c16-9b0d-4e1741f15164	9cabf97f-75b5-4f2e-b2ef-fd611f1fb759	AIR_COOLED_CHILLER
a0b08813-8ee6-4c16-9b0d-4e1741f15164	5d5b03cb-3540-4e6b-b944-278b43e61e90	COOLING_TOWER
a0b08813-8ee6-4c16-9b0d-4e1741f15164	80d562e2-03b6-4d29-9d4f-708ab768c820	DRY_COOLER
a0b08813-8ee6-4c16-9b0d-4e1741f15164	7be75609-0a8a-49ee-87fb-d113c05e15f1	REMOTE_CONDENSER
a0b08813-8ee6-4c16-9b0d-4e1741f15164	c6ba4818-ee3b-480d-be78-d27e66699fb7	CHILLED_WATER_PUMPS
a0b08813-8ee6-4c16-9b0d-4e1741f15164	99d6bb14-0042-4d17-948c-053a08e22076	HEAT_REJECTION_PUMPS
a0b08813-8ee6-4c16-9b0d-4e1741f15164	96072933-e9f6-4260-86b0-48173aac6b97	VENTILATION
a0b08813-8ee6-4c16-9b0d-4e1741f15164	d8e506d3-f3cf-4658-8325-d21b7e620388	INFILTRATION
a0b08813-8ee6-4c16-9b0d-4e1741f15164	11a825ba-37d5-4d9b-9b1d-0ad52f8d24a5	IT_LOAD
b39a9c93-c4f9-47f0-859e-c8450c22423b	5ff23473-8bf6-45a9-a922-abad04081ac0	SWITCHGEAR
b39a9c93-c4f9-47f0-859e-c8450c22423b	21acba9c-c2c4-4ed8-96c9-22d90925335c	GENERATOR
b39a9c93-c4f9-47f0-859e-c8450c22423b	160b04bf-9aca-47d2-a636-33158790a53c	PRIMARY_AUXILIARIES
b39a9c93-c4f9-47f0-859e-c8450c22423b	fca4226c-47d7-479e-b680-5a581a0cb725	UPS
b39a9c93-c4f9-47f0-859e-c8450c22423b	5b75d359-e928-4e56-8cdb-99a8f219f319	CRITICAL_AUXILIARIES
b39a9c93-c4f9-47f0-859e-c8450c22423b	e5eda46c-395d-4915-bd02-e25102e01ef3	LIGHTING
b39a9c93-c4f9-47f0-859e-c8450c22423b	0f0911c9-0078-441a-8ae4-d6f6175f6cac	CRITICAL_POWER_DISTRIBUTION
b39a9c93-c4f9-47f0-859e-c8450c22423b	ea351f18-7255-4203-a58e-0a50cb643b73	CRAH
b39a9c93-c4f9-47f0-859e-c8450c22423b	65621f01-1bf5-49b2-84e1-20ab9ca324f4	CRAC
b39a9c93-c4f9-47f0-859e-c8450c22423b	9ff64f11-0bdd-4394-8d3a-823772cd79ad	CRAC_WITHOUT_FAN
b39a9c93-c4f9-47f0-859e-c8450c22423b	63fdf85d-a8f1-4189-a64e-d003e1263bfc	CRAC_FAN
b39a9c93-c4f9-47f0-859e-c8450c22423b	74fd88bd-95b0-40d5-8bbe-1920fae44c2b	CHILLER
b39a9c93-c4f9-47f0-859e-c8450c22423b	047331d4-f9b9-48bd-a4d1-b7cb5b2faee6	AIR_COOLED_CHILLER
b39a9c93-c4f9-47f0-859e-c8450c22423b	bbf2772b-d403-49a1-96b1-7d81f7fe651f	COOLING_TOWER
b39a9c93-c4f9-47f0-859e-c8450c22423b	45567b61-7ada-4887-be31-0e4de288962c	DRY_COOLER
b39a9c93-c4f9-47f0-859e-c8450c22423b	2ed9e3c1-6c29-482f-9f47-fb73ec35dea6	REMOTE_CONDENSER
b39a9c93-c4f9-47f0-859e-c8450c22423b	00f62afc-07c6-4237-a2f3-16b7ae5717b5	CHILLED_WATER_PUMPS
b39a9c93-c4f9-47f0-859e-c8450c22423b	749222a8-26f2-4f03-a945-51359b208ebd	HEAT_REJECTION_PUMPS
b39a9c93-c4f9-47f0-859e-c8450c22423b	d26322f1-4779-4d00-ae1a-baef64c7229b	VENTILATION
b39a9c93-c4f9-47f0-859e-c8450c22423b	f35a12ed-083b-4ed8-8bd1-696bdf8e2177	INFILTRATION
b39a9c93-c4f9-47f0-859e-c8450c22423b	3644ac27-5132-4328-a5e5-680f74d7fdd1	IT_LOAD
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	52965313-dba7-4859-b108-cd3eb5979542	SWITCHGEAR
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	017225a8-8149-430f-b1c3-765501047072	GENERATOR
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	70d0f241-b2db-48d8-9165-07814ba62fb0	PRIMARY_AUXILIARIES
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	ff5830d9-18a6-4b67-a045-648450b7aa9e	UPS
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	2bd0edfc-a178-4700-bcdf-9a222e36beaf	CRITICAL_AUXILIARIES
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	7f824eea-0a99-43a1-b4f3-b953cecb69f4	LIGHTING
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	d67d0884-bfdc-4c12-b44a-a79183587f0c	CRITICAL_POWER_DISTRIBUTION
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	803fcbeb-3e69-4b7a-a701-cdac8da97ea4	CRAH
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	7606f8dc-8fa6-497e-87d0-f7aad3cc7933	CRAC
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	921f9915-2ddf-4b6f-9f02-6773caddcd96	CRAC_WITHOUT_FAN
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	5b1fbc88-7559-4267-928a-682f4ef99a79	CRAC_FAN
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	dae81a8c-e5b9-45a5-a630-f04ec7d91632	CHILLER
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	e13cc301-46a3-4aac-82a0-b346e6a0363f	AIR_COOLED_CHILLER
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	03e8eeaa-57a6-4787-b972-632a09cfef71	COOLING_TOWER
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	945554f9-1bee-4e2e-811f-78ca6ea09f62	DRY_COOLER
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	c4cb8225-fca1-45c9-b95f-c9af468a5300	REMOTE_CONDENSER
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	60448586-3425-48ce-a165-9c3ca3c12dc4	CHILLED_WATER_PUMPS
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	e2dfa56f-eeef-4fc5-a2d3-5f2a1304cf37	HEAT_REJECTION_PUMPS
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	9514d3ad-5e56-4076-8615-50e9eb63e477	VENTILATION
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	a894559f-a133-45d4-b0e3-61f1aed85aeb	INFILTRATION
5ca6aef3-a5cf-46a3-8ef9-7a98b0abef6d	076cac48-5bc7-4291-9efc-7b79ebe9b891	IT_LOAD
165a148e-c18b-4e59-acd0-f0cc528b6ded	c3295cca-6f51-44d9-9885-d236ac8d8134	SWITCHGEAR
165a148e-c18b-4e59-acd0-f0cc528b6ded	16963793-7d65-45cc-9b05-22a4737508fb	GENERATOR
165a148e-c18b-4e59-acd0-f0cc528b6ded	2d47d357-476e-47ef-a238-900aac4177ab	PRIMARY_AUXILIARIES
165a148e-c18b-4e59-acd0-f0cc528b6ded	e3248ad0-3fa5-4193-9569-210dc44a16ce	UPS
165a148e-c18b-4e59-acd0-f0cc528b6ded	175ded47-e974-4b4b-955e-b8ad961a8fd6	CRITICAL_AUXILIARIES
165a148e-c18b-4e59-acd0-f0cc528b6ded	ff38c7ea-d3b8-48b8-9a91-e59a5d63410a	LIGHTING
165a148e-c18b-4e59-acd0-f0cc528b6ded	80337c5a-3538-4dd4-a363-4e52e83717db	CRITICAL_POWER_DISTRIBUTION
165a148e-c18b-4e59-acd0-f0cc528b6ded	19946c28-552e-4d07-b40e-3982db306ce8	CRAH
165a148e-c18b-4e59-acd0-f0cc528b6ded	2bc08195-69f0-4dfc-aa46-19f9427e5259	CRAC
165a148e-c18b-4e59-acd0-f0cc528b6ded	38a1248b-fd6a-41fd-b071-df82f3a66bcc	CRAC_WITHOUT_FAN
165a148e-c18b-4e59-acd0-f0cc528b6ded	58ecd987-aad4-4c9a-917d-9d397f67c962	CRAC_FAN
165a148e-c18b-4e59-acd0-f0cc528b6ded	1713113d-6f15-45f9-9e91-0b86d8ced1d6	CHILLER
165a148e-c18b-4e59-acd0-f0cc528b6ded	a036748c-674d-431c-befe-f87f3893b3f9	AIR_COOLED_CHILLER
165a148e-c18b-4e59-acd0-f0cc528b6ded	34bf1004-e18f-4f95-92d9-fba7ed078b3b	COOLING_TOWER
165a148e-c18b-4e59-acd0-f0cc528b6ded	883ac7f8-77b9-4d4e-9504-3ca4581f75ea	DRY_COOLER
165a148e-c18b-4e59-acd0-f0cc528b6ded	9f74fca2-8521-4a44-b2fb-76fb9885be6b	REMOTE_CONDENSER
165a148e-c18b-4e59-acd0-f0cc528b6ded	84252e6a-1662-4c81-8ecf-4e69f1400ef6	CHILLED_WATER_PUMPS
165a148e-c18b-4e59-acd0-f0cc528b6ded	a84864fc-c947-4478-b074-299b1461d1c8	HEAT_REJECTION_PUMPS
165a148e-c18b-4e59-acd0-f0cc528b6ded	0a0bc460-477c-4386-a07f-d13fe28674df	VENTILATION
165a148e-c18b-4e59-acd0-f0cc528b6ded	15ac51a8-1bee-46a5-bf34-83a722df936b	INFILTRATION
165a148e-c18b-4e59-acd0-f0cc528b6ded	9fc76244-dbec-4657-bec6-2b45b12549fb	IT_LOAD
48cb344a-e229-4622-8602-8938a6a6e1fc	8d045cd3-aca2-444b-b803-e02db6b997f9	SWITCHGEAR
48cb344a-e229-4622-8602-8938a6a6e1fc	0856505b-4299-45b3-9181-24184dd93463	GENERATOR
48cb344a-e229-4622-8602-8938a6a6e1fc	ce53f8c2-b15d-4465-a21f-8c7272f30c33	PRIMARY_AUXILIARIES
48cb344a-e229-4622-8602-8938a6a6e1fc	b36e6936-fa17-451f-ab83-c63d6688b536	UPS
48cb344a-e229-4622-8602-8938a6a6e1fc	0a209bdc-f7a0-47bd-a2d2-cd37c91999db	CRITICAL_AUXILIARIES
48cb344a-e229-4622-8602-8938a6a6e1fc	f31d168f-10e9-4dac-babb-635ed9f56ee4	LIGHTING
48cb344a-e229-4622-8602-8938a6a6e1fc	373ad9ef-255b-49f3-bd98-a76a996768af	CRITICAL_POWER_DISTRIBUTION
48cb344a-e229-4622-8602-8938a6a6e1fc	0dbebf0b-fed4-4368-8675-8b1559af6d32	CRAH
48cb344a-e229-4622-8602-8938a6a6e1fc	21ac6573-62aa-4376-881e-d5753f2809a8	CRAC
48cb344a-e229-4622-8602-8938a6a6e1fc	fb8b11d1-df28-4334-a5eb-f79f6d7e3146	CRAC_WITHOUT_FAN
48cb344a-e229-4622-8602-8938a6a6e1fc	21ce4fb6-79e4-4dc6-9f11-b5e7f588aa16	CRAC_FAN
48cb344a-e229-4622-8602-8938a6a6e1fc	fec3c9d1-4ab7-4ac5-ae68-307f691874d3	CHILLER
48cb344a-e229-4622-8602-8938a6a6e1fc	6b393113-3dc1-4b69-8fc2-c4cb33ff8ffc	AIR_COOLED_CHILLER
48cb344a-e229-4622-8602-8938a6a6e1fc	a5046c07-11c8-4b59-b464-69c12b491519	COOLING_TOWER
48cb344a-e229-4622-8602-8938a6a6e1fc	06ef15a4-9754-415a-82f2-d2de5c674f4b	DRY_COOLER
48cb344a-e229-4622-8602-8938a6a6e1fc	94c2d66a-e10c-4724-be0e-007823913b9a	REMOTE_CONDENSER
48cb344a-e229-4622-8602-8938a6a6e1fc	ed1917fa-b409-4aab-8b26-3857b78bd58c	CHILLED_WATER_PUMPS
48cb344a-e229-4622-8602-8938a6a6e1fc	33c2bc5e-9ea6-4ae6-919e-108607982101	HEAT_REJECTION_PUMPS
48cb344a-e229-4622-8602-8938a6a6e1fc	fafa7a3a-08d1-4f05-8ba4-c701b735a93c	VENTILATION
48cb344a-e229-4622-8602-8938a6a6e1fc	50f3d2e7-4710-4857-8407-267345dcd32c	INFILTRATION
48cb344a-e229-4622-8602-8938a6a6e1fc	42b5e7e9-649a-44bf-847f-6a5bbc1b74e7	IT_LOAD
ab4c2986-2676-45a2-b2b8-5e3e1753869c	8fa1dd57-dbc0-4c21-b993-bce3825c856b	SWITCHGEAR
ab4c2986-2676-45a2-b2b8-5e3e1753869c	a86107e0-1f9f-4688-9c71-baac86296980	GENERATOR
ab4c2986-2676-45a2-b2b8-5e3e1753869c	8561d012-1092-463f-beb8-e942bec00ace	PRIMARY_AUXILIARIES
ab4c2986-2676-45a2-b2b8-5e3e1753869c	bca02288-b638-4377-aa4f-09f18c7f6fb9	UPS
ab4c2986-2676-45a2-b2b8-5e3e1753869c	013f9fc6-ab26-41db-8ecf-5912e4131a61	CRITICAL_AUXILIARIES
ab4c2986-2676-45a2-b2b8-5e3e1753869c	b27f3ad2-a23d-4bb0-a91f-e52759d3ad85	LIGHTING
ab4c2986-2676-45a2-b2b8-5e3e1753869c	3b104623-26c5-45e8-9eae-5f55698cbca0	CRITICAL_POWER_DISTRIBUTION
ab4c2986-2676-45a2-b2b8-5e3e1753869c	a8f36d23-936c-47a2-aae5-32538923317e	CRAH
ab4c2986-2676-45a2-b2b8-5e3e1753869c	5449580a-ab4c-4b7a-8ae0-9645271024b2	CRAC
ab4c2986-2676-45a2-b2b8-5e3e1753869c	0497e56f-eda6-4302-b98a-ece30cd7b60b	CRAC_WITHOUT_FAN
ab4c2986-2676-45a2-b2b8-5e3e1753869c	258781ee-0163-4edc-8b7e-991a3ba3994b	CRAC_FAN
ab4c2986-2676-45a2-b2b8-5e3e1753869c	25166539-a7f9-4059-987b-9ac9e1b2c934	CHILLER
ab4c2986-2676-45a2-b2b8-5e3e1753869c	81c5e6c4-b6d4-459e-a90b-9f9622bc66c8	AIR_COOLED_CHILLER
ab4c2986-2676-45a2-b2b8-5e3e1753869c	ea64a22a-4c21-4e3b-a39d-795f8b2f103d	COOLING_TOWER
ab4c2986-2676-45a2-b2b8-5e3e1753869c	d6826ca6-93be-4667-a947-0c4b9ba4e41b	DRY_COOLER
ab4c2986-2676-45a2-b2b8-5e3e1753869c	eb1071cc-2c65-479f-8abe-ca5ab2465cb1	REMOTE_CONDENSER
ab4c2986-2676-45a2-b2b8-5e3e1753869c	76663cdf-f9b8-4067-9e3f-2efc41c1dac7	CHILLED_WATER_PUMPS
ab4c2986-2676-45a2-b2b8-5e3e1753869c	ecf5c9cc-17c0-4a6d-81b6-3484d9fd861f	HEAT_REJECTION_PUMPS
ab4c2986-2676-45a2-b2b8-5e3e1753869c	b268d47a-ab72-4fee-901c-fe7133cda46e	VENTILATION
ab4c2986-2676-45a2-b2b8-5e3e1753869c	62da48de-4d14-4d83-9181-5175bcc0cf93	INFILTRATION
ab4c2986-2676-45a2-b2b8-5e3e1753869c	83872aa2-d552-4cb2-82d6-da263028106d	IT_LOAD
e4f07459-4409-4025-8357-a130b3025773	481752ec-82b9-42f5-aaca-71f5f0a8d53f	SWITCHGEAR
e4f07459-4409-4025-8357-a130b3025773	a8a55acf-9dc7-46cb-a5ba-704243fa9534	GENERATOR
e4f07459-4409-4025-8357-a130b3025773	81bf22a0-f6f1-4ad7-89c5-36b23159b58e	PRIMARY_AUXILIARIES
e4f07459-4409-4025-8357-a130b3025773	9cee8bcf-d482-42a4-9790-0c7ae8516c8f	UPS
e4f07459-4409-4025-8357-a130b3025773	a3469987-2eee-47d9-8ba5-4080935d730a	CRITICAL_AUXILIARIES
e4f07459-4409-4025-8357-a130b3025773	f5815746-3cf8-4884-97ee-6d04ebc91722	LIGHTING
e4f07459-4409-4025-8357-a130b3025773	6602f560-6d1e-4a23-835b-64c7b082df9a	CRITICAL_POWER_DISTRIBUTION
e4f07459-4409-4025-8357-a130b3025773	8c55779e-770d-4290-b227-72f55d58c8c4	CRAH
e4f07459-4409-4025-8357-a130b3025773	1cb0336b-77e0-476a-96dd-522b05a6883e	CRAC
e4f07459-4409-4025-8357-a130b3025773	c236db04-a974-40ff-ad3b-da397b5e92c0	CRAC_WITHOUT_FAN
e4f07459-4409-4025-8357-a130b3025773	0b78c64c-3112-483b-a908-dd106ea8e16e	CRAC_FAN
e4f07459-4409-4025-8357-a130b3025773	72198ef0-dfe9-4948-9f84-958c3af21032	CHILLER
e4f07459-4409-4025-8357-a130b3025773	6335c494-f18a-44b2-818b-242b5419f97d	AIR_COOLED_CHILLER
e4f07459-4409-4025-8357-a130b3025773	450c624f-14e4-4e03-bcb8-248f3f1bf36d	COOLING_TOWER
e4f07459-4409-4025-8357-a130b3025773	0ec7c9f5-a490-438e-862c-06c09b85e543	DRY_COOLER
e4f07459-4409-4025-8357-a130b3025773	97086a92-521b-4fad-887e-b47ee93ce67d	REMOTE_CONDENSER
e4f07459-4409-4025-8357-a130b3025773	db474768-a80b-4952-97ed-24f8b5e561ce	CHILLED_WATER_PUMPS
e4f07459-4409-4025-8357-a130b3025773	8c26bf01-1b2a-4a44-89f2-61cb2a66a534	HEAT_REJECTION_PUMPS
e4f07459-4409-4025-8357-a130b3025773	970304d9-08aa-453a-8438-c2e34d64d147	VENTILATION
e4f07459-4409-4025-8357-a130b3025773	a9dfd780-8178-41dc-9557-a557efa543f8	INFILTRATION
e4f07459-4409-4025-8357-a130b3025773	fa37bbc5-fbc2-4376-ba81-799aaf453532	IT_LOAD
c58838e3-2041-483e-aa85-1c04135c0bd7	6f285a78-e2ee-4009-9131-b4c745e21919	SWITCHGEAR
c58838e3-2041-483e-aa85-1c04135c0bd7	b250c42b-3a85-4784-b809-dfa537bec684	GENERATOR
c58838e3-2041-483e-aa85-1c04135c0bd7	f218090a-f92f-4ec8-ae4b-09a219436ef6	PRIMARY_AUXILIARIES
c58838e3-2041-483e-aa85-1c04135c0bd7	f36368b2-3166-4c24-86d3-340a2a4a2236	UPS
c58838e3-2041-483e-aa85-1c04135c0bd7	fe0e0917-2b4a-4a74-b357-9619068b6db9	CRITICAL_AUXILIARIES
c58838e3-2041-483e-aa85-1c04135c0bd7	9dbf7996-a307-4b34-a938-b15ed1265904	LIGHTING
c58838e3-2041-483e-aa85-1c04135c0bd7	23d98352-2507-4328-9787-b70eceed9f04	CRITICAL_POWER_DISTRIBUTION
c58838e3-2041-483e-aa85-1c04135c0bd7	f112e857-93b8-4891-98c3-97eddf0818e2	CRAH
c58838e3-2041-483e-aa85-1c04135c0bd7	5933b7ed-b80e-4c35-947b-4652a5bad9f8	CRAC
c58838e3-2041-483e-aa85-1c04135c0bd7	c17829a0-4c1a-425e-8e63-b4f16a7d69f6	CRAC_WITHOUT_FAN
c58838e3-2041-483e-aa85-1c04135c0bd7	7c773a9e-3e8a-4998-8bb6-7136a07d7138	CRAC_FAN
c58838e3-2041-483e-aa85-1c04135c0bd7	20ee6309-c2c0-4b57-9d63-4e6ab9a0cce1	CHILLER
c58838e3-2041-483e-aa85-1c04135c0bd7	86559100-605b-4ef4-9a10-5ec7cae2018a	AIR_COOLED_CHILLER
c58838e3-2041-483e-aa85-1c04135c0bd7	e188cd75-f387-4430-8e16-316e475ca2fb	COOLING_TOWER
c58838e3-2041-483e-aa85-1c04135c0bd7	fd121e1c-416d-4104-aa5d-d3799ae9b781	DRY_COOLER
c58838e3-2041-483e-aa85-1c04135c0bd7	8ab3ca60-14de-4d3a-994c-16c9b19da111	REMOTE_CONDENSER
c58838e3-2041-483e-aa85-1c04135c0bd7	f3ed312e-7e37-44e2-8ca5-afa3ad4a0c5c	CHILLED_WATER_PUMPS
c58838e3-2041-483e-aa85-1c04135c0bd7	516271c8-09dc-4719-b6f9-6e97893272d9	HEAT_REJECTION_PUMPS
c58838e3-2041-483e-aa85-1c04135c0bd7	a3c5e0e2-fe37-42fd-9db4-f3bd6180146a	VENTILATION
c58838e3-2041-483e-aa85-1c04135c0bd7	692d7658-0daa-44d2-92ea-38f98b85d99c	INFILTRATION
c58838e3-2041-483e-aa85-1c04135c0bd7	dc84ba66-3e86-4eea-bb70-cb5f2ec5b705	IT_LOAD
9aea5ba9-1a32-4115-9759-944b638bbdf6	6d2b3f04-491d-4b87-88f8-0d849778853d	SWITCHGEAR
9aea5ba9-1a32-4115-9759-944b638bbdf6	16bfe6da-94de-4f1d-aa7f-23dc256bc22a	GENERATOR
9aea5ba9-1a32-4115-9759-944b638bbdf6	f8959293-2b08-4974-99d3-a4f7f4e7fcee	PRIMARY_AUXILIARIES
9aea5ba9-1a32-4115-9759-944b638bbdf6	fa04f78a-75cb-4236-aff4-4fb8374bcf1b	UPS
9aea5ba9-1a32-4115-9759-944b638bbdf6	50a80f9e-4d5b-4157-8436-3ac44edb1b04	CRITICAL_AUXILIARIES
9aea5ba9-1a32-4115-9759-944b638bbdf6	5039923a-4a37-4fd3-b087-1ab2715795da	LIGHTING
9aea5ba9-1a32-4115-9759-944b638bbdf6	280dd443-a8ff-497b-99ed-358b874d72f6	CRITICAL_POWER_DISTRIBUTION
9aea5ba9-1a32-4115-9759-944b638bbdf6	0717bbd7-9831-41f3-b012-d47adc08a375	CRAH
9aea5ba9-1a32-4115-9759-944b638bbdf6	008f6c6a-8a70-4355-ab59-e093e884315a	CRAC
9aea5ba9-1a32-4115-9759-944b638bbdf6	12ca47b1-bc97-463e-9e4d-52f3455b8b31	CRAC_WITHOUT_FAN
9aea5ba9-1a32-4115-9759-944b638bbdf6	b2c9d971-d0b7-43d2-a221-c1e8bb2ad8ba	CRAC_FAN
9aea5ba9-1a32-4115-9759-944b638bbdf6	e92df94c-775f-4754-97b3-8a5d75955dae	CHILLER
9aea5ba9-1a32-4115-9759-944b638bbdf6	4aa7df40-50f3-4ab8-8406-89514c15d850	AIR_COOLED_CHILLER
9aea5ba9-1a32-4115-9759-944b638bbdf6	488803fb-4b62-403c-a644-776cbd2953bc	COOLING_TOWER
9aea5ba9-1a32-4115-9759-944b638bbdf6	0217f5ee-7272-4b61-bc7c-401514bd906d	DRY_COOLER
9aea5ba9-1a32-4115-9759-944b638bbdf6	3272b8a4-990a-4d4f-a835-5289b95d1fdc	REMOTE_CONDENSER
9aea5ba9-1a32-4115-9759-944b638bbdf6	472fc4f0-4833-4eab-b205-f67e0ee5172e	CHILLED_WATER_PUMPS
9aea5ba9-1a32-4115-9759-944b638bbdf6	b210ec6d-a154-499b-8b44-8667b69468fe	HEAT_REJECTION_PUMPS
9aea5ba9-1a32-4115-9759-944b638bbdf6	04838dea-888c-4747-ac69-ef978f7b39c0	VENTILATION
9aea5ba9-1a32-4115-9759-944b638bbdf6	f6da0a6b-6542-42f9-9ea3-b3bbb26cdf31	INFILTRATION
9aea5ba9-1a32-4115-9759-944b638bbdf6	f1b8a4ae-6411-41e9-a7db-6dcf6da2db82	IT_LOAD
eca72ea6-1a4c-459d-8c4e-12816a2f6407	bf5a8c8b-a262-4014-a03a-e7a14bb16c58	SWITCHGEAR
eca72ea6-1a4c-459d-8c4e-12816a2f6407	b0c3d176-917b-4f99-9cb3-67c872b312a9	GENERATOR
eca72ea6-1a4c-459d-8c4e-12816a2f6407	3c61567b-7b35-4425-80df-c6ef3fe98bd6	PRIMARY_AUXILIARIES
eca72ea6-1a4c-459d-8c4e-12816a2f6407	b3c59302-ce30-4b19-a0d8-33e18a6437f7	UPS
eca72ea6-1a4c-459d-8c4e-12816a2f6407	0ebb477f-d22a-4c44-9012-40164baa7c08	CRITICAL_AUXILIARIES
eca72ea6-1a4c-459d-8c4e-12816a2f6407	3ad66d1b-3dc5-4c41-af32-f192d4fd12ac	LIGHTING
eca72ea6-1a4c-459d-8c4e-12816a2f6407	76c9fac0-f7cc-4bb1-b8a1-77e550f2fc9a	CRITICAL_POWER_DISTRIBUTION
eca72ea6-1a4c-459d-8c4e-12816a2f6407	1104066d-5942-4024-804f-d6052c78c045	CRAH
eca72ea6-1a4c-459d-8c4e-12816a2f6407	a63d2fb1-f4e5-4623-8d3d-403c6be4b47f	CRAC
eca72ea6-1a4c-459d-8c4e-12816a2f6407	526e27a9-7da5-4d12-b3c4-6409a50d923f	CRAC_WITHOUT_FAN
eca72ea6-1a4c-459d-8c4e-12816a2f6407	bb942b38-e1c1-4308-aad7-d1624ca9f730	CRAC_FAN
eca72ea6-1a4c-459d-8c4e-12816a2f6407	c8877b19-13e4-4872-ac14-34606e3f3a65	CHILLER
eca72ea6-1a4c-459d-8c4e-12816a2f6407	819dc6de-f012-40f4-aa71-8bcec9e9a9b1	AIR_COOLED_CHILLER
eca72ea6-1a4c-459d-8c4e-12816a2f6407	5e86da72-b301-4f16-a40e-c6dd38d3c469	COOLING_TOWER
eca72ea6-1a4c-459d-8c4e-12816a2f6407	5cb81952-be21-4512-bdd2-4641c03e7a14	DRY_COOLER
eca72ea6-1a4c-459d-8c4e-12816a2f6407	04912764-700e-429f-9391-028c988e3db4	REMOTE_CONDENSER
eca72ea6-1a4c-459d-8c4e-12816a2f6407	a221bd6e-537c-4b08-aea3-ce9469cabc68	CHILLED_WATER_PUMPS
eca72ea6-1a4c-459d-8c4e-12816a2f6407	39423991-9e90-4580-bdfd-e648b93e3b04	HEAT_REJECTION_PUMPS
eca72ea6-1a4c-459d-8c4e-12816a2f6407	91563989-d326-47ef-b75e-8c692c4c579c	VENTILATION
eca72ea6-1a4c-459d-8c4e-12816a2f6407	e69305b8-306f-4d00-889d-e29ca591cf57	INFILTRATION
eca72ea6-1a4c-459d-8c4e-12816a2f6407	ab03be33-06c1-4796-971e-6485408d6001	IT_LOAD
ac3a9481-6704-4d60-9f9f-6d1d4830c313	cf22892b-33d8-489a-ab99-782c839ad66c	SWITCHGEAR
ac3a9481-6704-4d60-9f9f-6d1d4830c313	faed88c6-5839-49f3-8389-17dd0846f148	GENERATOR
ac3a9481-6704-4d60-9f9f-6d1d4830c313	3714728a-7cf5-457d-ad2d-95e8f1a9e6aa	PRIMARY_AUXILIARIES
ac3a9481-6704-4d60-9f9f-6d1d4830c313	067f6454-4096-44a0-baeb-e1ce3c19a30e	UPS
ac3a9481-6704-4d60-9f9f-6d1d4830c313	4903855d-d22b-406b-b009-627c044843a6	CRITICAL_AUXILIARIES
ac3a9481-6704-4d60-9f9f-6d1d4830c313	e7f070da-7eda-4492-a9aa-ac872814b482	LIGHTING
ac3a9481-6704-4d60-9f9f-6d1d4830c313	a011d782-e4f6-4c10-9df1-746dfdb54b8c	CRITICAL_POWER_DISTRIBUTION
ac3a9481-6704-4d60-9f9f-6d1d4830c313	4e6d4677-6572-4f7d-a59f-53fd29af7734	CRAH
ac3a9481-6704-4d60-9f9f-6d1d4830c313	a6441c4b-0b31-4105-a6f7-2b11abf27176	CRAC
ac3a9481-6704-4d60-9f9f-6d1d4830c313	e3bbf889-1bd4-4b08-bc74-7ce620d0c9e2	CRAC_WITHOUT_FAN
ac3a9481-6704-4d60-9f9f-6d1d4830c313	7b0e57fa-9488-4f93-b0d8-dae578d5b248	CRAC_FAN
ac3a9481-6704-4d60-9f9f-6d1d4830c313	65187a3a-cc2e-477d-a29b-5a420baf0314	CHILLER
ac3a9481-6704-4d60-9f9f-6d1d4830c313	63ff9536-a639-4794-ba09-e1271cd89eb9	AIR_COOLED_CHILLER
ac3a9481-6704-4d60-9f9f-6d1d4830c313	96adb4d0-a196-46e6-8df6-2728ae45b0c1	COOLING_TOWER
ac3a9481-6704-4d60-9f9f-6d1d4830c313	2cbe40a3-8001-43cd-b033-72d8352168f1	DRY_COOLER
ac3a9481-6704-4d60-9f9f-6d1d4830c313	c72d392b-1ca3-4dfc-930a-e710d6cdebee	REMOTE_CONDENSER
ac3a9481-6704-4d60-9f9f-6d1d4830c313	9207da4c-8e8c-48c5-9a5d-9e8ec18074ee	CHILLED_WATER_PUMPS
ac3a9481-6704-4d60-9f9f-6d1d4830c313	365cd441-6d8e-458c-b561-975e5a5f3983	HEAT_REJECTION_PUMPS
ac3a9481-6704-4d60-9f9f-6d1d4830c313	26a2ebfc-d67e-4c0f-bdc3-737a187e4673	VENTILATION
ac3a9481-6704-4d60-9f9f-6d1d4830c313	bc8e87b4-91ba-4204-a244-b1099d85a6c0	INFILTRATION
ac3a9481-6704-4d60-9f9f-6d1d4830c313	ae2cf4b2-fc2b-4a67-8cc8-d39ec34e3db0	IT_LOAD
0c4fc73b-1aa0-4925-8009-e0e418160010	811287f1-8190-4b87-acf6-f54b15f975b4	SWITCHGEAR
0c4fc73b-1aa0-4925-8009-e0e418160010	135c8170-0972-47c7-9358-1320fcf27b0c	GENERATOR
0c4fc73b-1aa0-4925-8009-e0e418160010	3c8edb2c-9077-49ee-ac92-6657f6e3c1d0	PRIMARY_AUXILIARIES
0c4fc73b-1aa0-4925-8009-e0e418160010	572243c7-bb28-438e-8efb-56a47b0845aa	UPS
0c4fc73b-1aa0-4925-8009-e0e418160010	38fb88de-5da5-48db-885d-3a1096ca8c5b	CRITICAL_AUXILIARIES
0c4fc73b-1aa0-4925-8009-e0e418160010	ffcb30c3-e305-4287-ac19-1a41226f4bcb	LIGHTING
0c4fc73b-1aa0-4925-8009-e0e418160010	6e9f7c0b-86ed-4a14-bc4b-334300cf7184	CRITICAL_POWER_DISTRIBUTION
0c4fc73b-1aa0-4925-8009-e0e418160010	92c930ec-3b61-4ffa-bd05-af1b79ee29e9	CRAH
0c4fc73b-1aa0-4925-8009-e0e418160010	367c0ffb-3212-41ae-af23-082671550603	CRAC
0c4fc73b-1aa0-4925-8009-e0e418160010	5068f3cf-8cc2-4ada-afb8-268da392438f	CRAC_WITHOUT_FAN
0c4fc73b-1aa0-4925-8009-e0e418160010	a88582b6-c25e-49cc-a486-e71db7dca08b	CRAC_FAN
0c4fc73b-1aa0-4925-8009-e0e418160010	38c58a63-4a1d-46a9-80f6-4810196ffc71	CHILLER
0c4fc73b-1aa0-4925-8009-e0e418160010	c632d10c-b33b-48da-812d-81177a4bfda3	AIR_COOLED_CHILLER
0c4fc73b-1aa0-4925-8009-e0e418160010	0236b200-eed9-45f8-91ff-174aae8edfe3	COOLING_TOWER
0c4fc73b-1aa0-4925-8009-e0e418160010	da3dcd1e-5e27-49b4-ac23-b1fe746c800c	DRY_COOLER
0c4fc73b-1aa0-4925-8009-e0e418160010	6f4e972a-f509-4d68-98ff-e4cb5069af2b	REMOTE_CONDENSER
0c4fc73b-1aa0-4925-8009-e0e418160010	3b76f011-089c-4c69-a18d-7b58147c8ead	CHILLED_WATER_PUMPS
0c4fc73b-1aa0-4925-8009-e0e418160010	85067156-6d2f-4f09-989d-fd0fd49723a7	HEAT_REJECTION_PUMPS
0c4fc73b-1aa0-4925-8009-e0e418160010	effa245c-0c1a-42da-af2d-313fec3b082a	VENTILATION
0c4fc73b-1aa0-4925-8009-e0e418160010	cee7a333-0405-43b0-a6ad-a7fc6c02448f	INFILTRATION
0c4fc73b-1aa0-4925-8009-e0e418160010	17a81e3f-9b3e-432f-8904-4a0001f887c1	IT_LOAD
8df9a173-9e2c-4a73-aa85-c61dcb675f91	11166ec7-fbb2-40dd-b3a0-9903ac9dc160	SWITCHGEAR
8df9a173-9e2c-4a73-aa85-c61dcb675f91	862d171a-dace-4386-a0a4-cec85378d989	GENERATOR
8df9a173-9e2c-4a73-aa85-c61dcb675f91	1775e840-2d2a-488a-8c6b-59926424fb34	PRIMARY_AUXILIARIES
8df9a173-9e2c-4a73-aa85-c61dcb675f91	9ad2085c-4ddb-4b2f-9245-5250e1484628	UPS
8df9a173-9e2c-4a73-aa85-c61dcb675f91	b2355e1e-d45a-4c4a-ad27-4c51114d506c	CRITICAL_AUXILIARIES
8df9a173-9e2c-4a73-aa85-c61dcb675f91	d08d4349-9b1d-45ec-8069-738756fefa77	LIGHTING
8df9a173-9e2c-4a73-aa85-c61dcb675f91	414c7600-1287-46c7-889b-bc6c56ba38e1	CRITICAL_POWER_DISTRIBUTION
8df9a173-9e2c-4a73-aa85-c61dcb675f91	02aaa6c1-5b3d-4cdd-803d-9b95cbb2aa92	CRAH
8df9a173-9e2c-4a73-aa85-c61dcb675f91	057f47f1-16e0-4c60-ab74-db887fe4fde7	CRAC
8df9a173-9e2c-4a73-aa85-c61dcb675f91	462795c8-120d-4c19-b14a-9ce3d89505e8	CRAC_WITHOUT_FAN
8df9a173-9e2c-4a73-aa85-c61dcb675f91	7fcb8f16-eb75-4456-a7c7-01346af8331c	CRAC_FAN
8df9a173-9e2c-4a73-aa85-c61dcb675f91	1dd8eef9-c5ad-47f0-b042-55c799ffd26d	CHILLER
8df9a173-9e2c-4a73-aa85-c61dcb675f91	e04e1171-02fd-4372-8588-1c24f202c5ad	AIR_COOLED_CHILLER
8df9a173-9e2c-4a73-aa85-c61dcb675f91	81e5e1f6-efa0-43e8-b86c-d013f40b0f42	COOLING_TOWER
8df9a173-9e2c-4a73-aa85-c61dcb675f91	909117f2-4d05-44ef-b33b-963a8736536b	DRY_COOLER
8df9a173-9e2c-4a73-aa85-c61dcb675f91	571de99f-cc0c-48b8-96ab-3eb96a88b1d5	REMOTE_CONDENSER
8df9a173-9e2c-4a73-aa85-c61dcb675f91	18962c4d-9ae4-49ac-8a8a-b0026ee38d63	CHILLED_WATER_PUMPS
8df9a173-9e2c-4a73-aa85-c61dcb675f91	cd2dc9bb-86d3-4aaf-992a-30e81182ebe8	HEAT_REJECTION_PUMPS
8df9a173-9e2c-4a73-aa85-c61dcb675f91	c2ced702-221f-40ff-a353-5a48fdaaf334	VENTILATION
8df9a173-9e2c-4a73-aa85-c61dcb675f91	58ed3a10-7c9f-446d-ae17-fb5064fb2d11	INFILTRATION
8df9a173-9e2c-4a73-aa85-c61dcb675f91	296c73a9-63cc-4e20-9e6a-01edc85bd23c	IT_LOAD
b3c8575d-4284-4386-bb3d-27387e932e16	b16b82ee-7270-4fe1-a577-e2324663ec54	SWITCHGEAR
b3c8575d-4284-4386-bb3d-27387e932e16	cdbc296c-440e-43f7-b9af-bb3a28414214	GENERATOR
b3c8575d-4284-4386-bb3d-27387e932e16	8dd1afba-ac75-48ce-9ac5-1ac9c5bd7937	PRIMARY_AUXILIARIES
b3c8575d-4284-4386-bb3d-27387e932e16	6ea74ccf-32a8-48e4-abc2-a5a9a676fbe9	UPS
b3c8575d-4284-4386-bb3d-27387e932e16	572b1674-e001-471c-88f7-d153c3d6dec1	CRITICAL_AUXILIARIES
b3c8575d-4284-4386-bb3d-27387e932e16	477e233b-0a25-4230-af6a-25216382d3ae	LIGHTING
b3c8575d-4284-4386-bb3d-27387e932e16	9c19c40d-2a77-411a-8ee2-02f5fafebde5	CRITICAL_POWER_DISTRIBUTION
b3c8575d-4284-4386-bb3d-27387e932e16	fa8363ac-15d6-415b-bb7f-85a3b7272445	CRAH
b3c8575d-4284-4386-bb3d-27387e932e16	021bdd0d-7200-4838-8bef-dbfd79b6d93d	CRAC
b3c8575d-4284-4386-bb3d-27387e932e16	f3441bf5-1f64-44e2-8bb0-8450a8c4ba77	CRAC_WITHOUT_FAN
b3c8575d-4284-4386-bb3d-27387e932e16	4f9fa3c1-6bc1-4c7a-9607-3e2ab40a81bf	CRAC_FAN
b3c8575d-4284-4386-bb3d-27387e932e16	c6cf942c-c29d-4b3b-9a46-fbd88abee37e	CHILLER
b3c8575d-4284-4386-bb3d-27387e932e16	df93ad81-e8cb-4dba-a8b0-ba932ba8d9df	AIR_COOLED_CHILLER
b3c8575d-4284-4386-bb3d-27387e932e16	50c7a2f1-512b-4320-afa1-342891732798	COOLING_TOWER
b3c8575d-4284-4386-bb3d-27387e932e16	5461d70c-d915-49d0-b502-971fdbb24636	DRY_COOLER
b3c8575d-4284-4386-bb3d-27387e932e16	8d039c86-e412-4888-8043-f49ac6fb753a	REMOTE_CONDENSER
b3c8575d-4284-4386-bb3d-27387e932e16	8175a6aa-d986-40b5-9be1-29965c669f2c	CHILLED_WATER_PUMPS
b3c8575d-4284-4386-bb3d-27387e932e16	80ed76df-c608-411c-9d0e-fee5c5454f74	HEAT_REJECTION_PUMPS
b3c8575d-4284-4386-bb3d-27387e932e16	537e3e87-5401-4c8a-9a1f-cf7400d01a8d	VENTILATION
b3c8575d-4284-4386-bb3d-27387e932e16	9b606f9e-966f-4e66-8138-4a002373a155	INFILTRATION
b3c8575d-4284-4386-bb3d-27387e932e16	c5307750-e9a3-4e84-9a13-9073142da1ed	IT_LOAD
cf57dcd8-496f-49c1-8a36-ccdde882512e	e5e791ff-10c5-42f4-a199-4a597160b55f	SWITCHGEAR
cf57dcd8-496f-49c1-8a36-ccdde882512e	e80bb94c-9d83-4b85-900a-91c44b7d3203	GENERATOR
cf57dcd8-496f-49c1-8a36-ccdde882512e	33e568b7-3dac-4fc1-8750-41a9fc8081b0	PRIMARY_AUXILIARIES
cf57dcd8-496f-49c1-8a36-ccdde882512e	6aafe8de-b9db-4621-932c-7f64b0111f33	UPS
cf57dcd8-496f-49c1-8a36-ccdde882512e	340f44d5-64fb-47b6-8522-0d91855432cd	CRITICAL_AUXILIARIES
cf57dcd8-496f-49c1-8a36-ccdde882512e	df77e102-8dbd-44a5-8bb0-70cb3ac8045a	LIGHTING
cf57dcd8-496f-49c1-8a36-ccdde882512e	7b0b8731-fc4a-4f2d-ba90-1b2d8a6d8cf9	CRITICAL_POWER_DISTRIBUTION
cf57dcd8-496f-49c1-8a36-ccdde882512e	82b628b8-a03e-4175-a33e-7770c8256e20	CRAH
cf57dcd8-496f-49c1-8a36-ccdde882512e	c40a7b62-811b-4488-9453-39ab4be23c7f	CRAC
cf57dcd8-496f-49c1-8a36-ccdde882512e	9e78b9f3-a9c9-4819-b0ba-13564a48f9b5	CRAC_WITHOUT_FAN
cf57dcd8-496f-49c1-8a36-ccdde882512e	61214c3d-0872-424d-a262-172b62e60b72	CRAC_FAN
cf57dcd8-496f-49c1-8a36-ccdde882512e	29e5eb7a-3df3-46a9-9e4e-f79d951a6e79	CHILLER
cf57dcd8-496f-49c1-8a36-ccdde882512e	f2127d99-26ef-435e-acab-4ba9a6aee85a	AIR_COOLED_CHILLER
cf57dcd8-496f-49c1-8a36-ccdde882512e	b7a4c86d-faac-4357-a951-e17ab8e8b51c	COOLING_TOWER
cf57dcd8-496f-49c1-8a36-ccdde882512e	207f2d57-743a-4468-b3bb-7eb81672fe54	DRY_COOLER
cf57dcd8-496f-49c1-8a36-ccdde882512e	7fda876a-ffda-43b9-b436-b0150a3cfb5e	REMOTE_CONDENSER
cf57dcd8-496f-49c1-8a36-ccdde882512e	f589d564-20c5-4d0c-bfe2-88ce2e7f77c0	CHILLED_WATER_PUMPS
cf57dcd8-496f-49c1-8a36-ccdde882512e	ec8a83df-9390-4c6d-a14b-2e0d20afc9d8	HEAT_REJECTION_PUMPS
cf57dcd8-496f-49c1-8a36-ccdde882512e	0a381d42-95df-436e-a2ff-e8df4bd7825b	VENTILATION
cf57dcd8-496f-49c1-8a36-ccdde882512e	6968b0ac-5ee9-48e6-aa70-3943e561ff6d	INFILTRATION
cf57dcd8-496f-49c1-8a36-ccdde882512e	fc3bb950-e586-41a4-adb7-f04f265e3093	IT_LOAD
0f23936d-adf0-4da6-ae71-ffa8451763bb	cd481065-2a13-4644-8b0f-0f7531cf0a9d	SWITCHGEAR
0f23936d-adf0-4da6-ae71-ffa8451763bb	1dbcd653-e4c3-460f-802f-896c429bbeda	GENERATOR
0f23936d-adf0-4da6-ae71-ffa8451763bb	c0630b3c-848c-48f8-8e03-fefdd481bb90	PRIMARY_AUXILIARIES
0f23936d-adf0-4da6-ae71-ffa8451763bb	22e8b933-a223-42a5-ac8a-ff75dd9a75ce	UPS
0f23936d-adf0-4da6-ae71-ffa8451763bb	ada14170-0aba-4d55-a9f0-19818f8e6e5f	CRITICAL_AUXILIARIES
0f23936d-adf0-4da6-ae71-ffa8451763bb	b5f4c8c6-3e61-4bd1-a615-d3b01d4eeb01	LIGHTING
0f23936d-adf0-4da6-ae71-ffa8451763bb	b373cc01-21f0-4339-bc2b-bffb4a9a37b4	CRITICAL_POWER_DISTRIBUTION
0f23936d-adf0-4da6-ae71-ffa8451763bb	39c0cd60-4b45-40f5-aea5-921d44d182d1	CRAH
0f23936d-adf0-4da6-ae71-ffa8451763bb	3756b707-9620-4bef-8685-3bcb8a90e2a6	CRAC
0f23936d-adf0-4da6-ae71-ffa8451763bb	3795c937-5498-4f1b-a8b6-f9f92ea0cb57	CRAC_WITHOUT_FAN
0f23936d-adf0-4da6-ae71-ffa8451763bb	3130cc1d-8654-4b91-a298-cff73e99355c	CRAC_FAN
0f23936d-adf0-4da6-ae71-ffa8451763bb	4d52057c-609c-4a1e-8c76-ed0eb830aa7e	CHILLER
0f23936d-adf0-4da6-ae71-ffa8451763bb	fb132ee1-95b7-4306-8a5b-4a3701f5f8b8	AIR_COOLED_CHILLER
0f23936d-adf0-4da6-ae71-ffa8451763bb	7f919dff-41d0-469d-b18c-2784b12eee58	COOLING_TOWER
0f23936d-adf0-4da6-ae71-ffa8451763bb	f0f2e805-b4a6-45bd-840e-9b78e340544b	DRY_COOLER
0f23936d-adf0-4da6-ae71-ffa8451763bb	5a2d253e-c0cf-4321-9eda-86b634ca77ae	REMOTE_CONDENSER
0f23936d-adf0-4da6-ae71-ffa8451763bb	95d11d24-7063-4954-8e38-de2ff0d06bf4	CHILLED_WATER_PUMPS
0f23936d-adf0-4da6-ae71-ffa8451763bb	e925e496-72d4-4857-8a4d-c935e2d4ed16	HEAT_REJECTION_PUMPS
0f23936d-adf0-4da6-ae71-ffa8451763bb	257be63b-548d-46b3-8e4f-ad6048a3a929	VENTILATION
0f23936d-adf0-4da6-ae71-ffa8451763bb	02d6a107-abe5-405b-8f27-66bb58915042	INFILTRATION
0f23936d-adf0-4da6-ae71-ffa8451763bb	c1b0513a-15e8-4c39-8b21-e84191948760	IT_LOAD
451627a4-909c-473e-88a9-0040502c555e	85ed649b-495b-481b-94bb-89f5ff518ab9	SWITCHGEAR
451627a4-909c-473e-88a9-0040502c555e	6f34883d-ac8a-40e6-8f5c-4070cc8b05e8	GENERATOR
451627a4-909c-473e-88a9-0040502c555e	95279540-1c73-44e2-a5ca-b03558309669	PRIMARY_AUXILIARIES
451627a4-909c-473e-88a9-0040502c555e	e0e462a1-fe66-4a31-999e-e337649b1cba	UPS
451627a4-909c-473e-88a9-0040502c555e	8d72ebef-4d99-405e-add9-37759eb0e41a	CRITICAL_AUXILIARIES
451627a4-909c-473e-88a9-0040502c555e	1bb1c0a9-f1d8-41de-b07c-7a7d99fbab77	LIGHTING
451627a4-909c-473e-88a9-0040502c555e	327f646d-f137-4f5f-9006-3d5cb16d39b8	CRITICAL_POWER_DISTRIBUTION
451627a4-909c-473e-88a9-0040502c555e	bbe70813-d139-484e-a41f-94122345a8ea	CRAH
451627a4-909c-473e-88a9-0040502c555e	a38180cb-4d35-4d01-804c-79f5128878c0	CRAC
451627a4-909c-473e-88a9-0040502c555e	f697cc05-a39e-4a73-a0a4-98ba27551f6e	CRAC_WITHOUT_FAN
451627a4-909c-473e-88a9-0040502c555e	fb6a29db-296e-4f5f-87ab-803da2b9d3c8	CRAC_FAN
451627a4-909c-473e-88a9-0040502c555e	df332a9e-38ce-4178-8aec-6f765cc0d215	CHILLER
451627a4-909c-473e-88a9-0040502c555e	20875da1-1994-4924-834a-007bcdfec771	AIR_COOLED_CHILLER
451627a4-909c-473e-88a9-0040502c555e	8dd16f87-9a5f-4c34-98e2-3f5c26807c4a	COOLING_TOWER
451627a4-909c-473e-88a9-0040502c555e	1d9c32c8-ebed-42d1-8b06-4dc2bebea9d4	DRY_COOLER
451627a4-909c-473e-88a9-0040502c555e	1b651a16-5cd2-483c-badd-24411fc59619	REMOTE_CONDENSER
451627a4-909c-473e-88a9-0040502c555e	c3ea79a8-668f-41c8-a431-a5d830d66d26	CHILLED_WATER_PUMPS
451627a4-909c-473e-88a9-0040502c555e	c6e2027a-da52-4725-8a0b-5956df8b08c0	HEAT_REJECTION_PUMPS
451627a4-909c-473e-88a9-0040502c555e	1c245f89-5915-4227-8575-c78375a50ae9	VENTILATION
451627a4-909c-473e-88a9-0040502c555e	a8e297d0-70a0-42f5-87ee-c915b2662af7	INFILTRATION
451627a4-909c-473e-88a9-0040502c555e	5af15932-0ed5-4f09-99f7-67eb873c5c8d	IT_LOAD
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	e99b3a55-cfa8-43a4-8e42-78bb7eedcccf	SWITCHGEAR
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	6520aa48-46a0-4dc0-9c55-263114c7f417	GENERATOR
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	b041b69e-f25f-41c6-b8ff-977f374e5cf5	PRIMARY_AUXILIARIES
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	3d3cf1e4-acbd-48cc-9aaf-2ac8cc47a3ec	UPS
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	61922550-392e-436a-ba16-ca1c30a9e46b	CRITICAL_AUXILIARIES
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	93e63a5a-ee90-4a83-a6b6-f34c98eb70b8	LIGHTING
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	c851692e-550b-4fe2-8e37-17b6eaad6690	CRITICAL_POWER_DISTRIBUTION
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	83ede08c-7f8f-43d4-aa26-e8ca0ffd5f8e	CRAH
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	daf89519-5f35-4254-a600-18267d360bcd	CRAC
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	9baaa9c2-24bd-4650-a781-1ad29ad8cc60	CRAC_WITHOUT_FAN
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	d5e137f6-5030-4913-b752-d1acac46f419	CRAC_FAN
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	16f8b95f-2ab9-40dc-a877-3183d3a415f9	CHILLER
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	7d286c48-10ee-45fd-b38d-cbf7228dea85	AIR_COOLED_CHILLER
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	a56e39bc-2297-45fc-8867-1d0951c237a5	COOLING_TOWER
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	95645423-0a6f-435c-8cf9-e9fa3b8c5461	DRY_COOLER
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	bd40e61c-1413-44c9-bdec-6004c7fc64ef	REMOTE_CONDENSER
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	70b422d8-1dd8-4099-abad-5faba2a14b6e	CHILLED_WATER_PUMPS
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	8d25a5a6-b06d-47dc-bb4f-8ebd7b36887f	HEAT_REJECTION_PUMPS
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	fe0daecf-435e-4a3c-b882-e2d3b29fdd80	VENTILATION
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	8576594a-03d3-449f-aff7-f9724fd70234	INFILTRATION
1ff50bb2-8598-4842-873a-e2a19c9ed9e7	69aecf28-c5cf-42dd-bc89-d8df28aafcf0	IT_LOAD
45c5f9e4-6764-4ad4-8080-14fce93d75b7	8b7ceab4-126d-4faf-9a7e-6d59ed36dd96	SWITCHGEAR
45c5f9e4-6764-4ad4-8080-14fce93d75b7	a0c4b900-e9c1-45d3-94ed-1406c00cecb4	GENERATOR
45c5f9e4-6764-4ad4-8080-14fce93d75b7	82a7696a-1735-4f26-bfc8-175823afa92e	PRIMARY_AUXILIARIES
45c5f9e4-6764-4ad4-8080-14fce93d75b7	03f759fc-8b7b-4b2b-8c2b-19c237ad6710	UPS
45c5f9e4-6764-4ad4-8080-14fce93d75b7	9d8122d3-1de1-4eae-b11a-901d85d840be	CRITICAL_AUXILIARIES
45c5f9e4-6764-4ad4-8080-14fce93d75b7	5909948f-0de9-4444-94a7-378bfceaa95f	LIGHTING
45c5f9e4-6764-4ad4-8080-14fce93d75b7	1b50ed12-dc4b-4131-b7b1-4fd07975bf81	CRITICAL_POWER_DISTRIBUTION
45c5f9e4-6764-4ad4-8080-14fce93d75b7	cfcadc31-2942-4f3c-bc0c-3fca96039661	CRAH
45c5f9e4-6764-4ad4-8080-14fce93d75b7	868557c4-6d89-4117-921d-391060b2fca0	CRAC
45c5f9e4-6764-4ad4-8080-14fce93d75b7	a3941573-635d-43d4-9837-70f9d2c010ab	CRAC_WITHOUT_FAN
45c5f9e4-6764-4ad4-8080-14fce93d75b7	98c0e603-552a-4f2d-800e-04aebaf766a2	CRAC_FAN
45c5f9e4-6764-4ad4-8080-14fce93d75b7	3fb3c9fd-f7fa-4490-ab2b-8ceeaf372029	CHILLER
45c5f9e4-6764-4ad4-8080-14fce93d75b7	353b2c8c-4dbb-4efe-9520-21afd4820a83	AIR_COOLED_CHILLER
45c5f9e4-6764-4ad4-8080-14fce93d75b7	31fd9f42-cd2e-4d3f-bbdb-88f58733660d	COOLING_TOWER
45c5f9e4-6764-4ad4-8080-14fce93d75b7	d820dea3-5de1-49f8-8e03-7c1040fd335e	DRY_COOLER
45c5f9e4-6764-4ad4-8080-14fce93d75b7	8a9b626f-98fb-48ea-b492-4bc89ade6b9c	REMOTE_CONDENSER
45c5f9e4-6764-4ad4-8080-14fce93d75b7	225547d9-8739-43d0-b695-c839f5558d7c	CHILLED_WATER_PUMPS
45c5f9e4-6764-4ad4-8080-14fce93d75b7	0c81eaad-2094-424a-9691-15c74beb30c6	HEAT_REJECTION_PUMPS
45c5f9e4-6764-4ad4-8080-14fce93d75b7	35d88d8a-917e-4933-bcc6-b36356c5d045	VENTILATION
45c5f9e4-6764-4ad4-8080-14fce93d75b7	cb56571f-40b5-4a0a-8ecf-9a36148a3add	INFILTRATION
45c5f9e4-6764-4ad4-8080-14fce93d75b7	0bb06545-eeb1-4753-9177-0946dc23cc44	IT_LOAD
cef734cd-27a4-4239-965f-efb0552454a2	0e55da2e-8007-4e38-a848-c3c5e3f08604	SWITCHGEAR
cef734cd-27a4-4239-965f-efb0552454a2	f5b1c500-288b-4f47-b102-42db94cc4f3f	GENERATOR
cef734cd-27a4-4239-965f-efb0552454a2	a8b018c5-220e-4d06-a56b-b61355eeb82b	PRIMARY_AUXILIARIES
cef734cd-27a4-4239-965f-efb0552454a2	3e273b46-681b-4e92-8080-0fbee5dd82d3	UPS
cef734cd-27a4-4239-965f-efb0552454a2	b18b0598-29d5-46ad-a859-63ad79a357db	CRITICAL_AUXILIARIES
cef734cd-27a4-4239-965f-efb0552454a2	c33d5e9c-49e8-45a9-a166-02600c4333cb	LIGHTING
cef734cd-27a4-4239-965f-efb0552454a2	32851116-891d-4f29-b498-3ec6b1a460dc	CRITICAL_POWER_DISTRIBUTION
cef734cd-27a4-4239-965f-efb0552454a2	90cd7285-1eeb-4172-b4a9-0783d6bc3c24	CRAH
cef734cd-27a4-4239-965f-efb0552454a2	a55d6a15-0e3e-42aa-be91-37c9e0bd80de	CRAC
cef734cd-27a4-4239-965f-efb0552454a2	364aff5b-8b1c-4eff-977a-735016407d64	CRAC_WITHOUT_FAN
cef734cd-27a4-4239-965f-efb0552454a2	e0083cf2-5377-4041-9a4d-aafb5a7ce431	CRAC_FAN
cef734cd-27a4-4239-965f-efb0552454a2	535b3ff1-9a08-481f-b513-74962a96af33	CHILLER
cef734cd-27a4-4239-965f-efb0552454a2	2df2bdc3-28cc-4da0-bf0d-0a59d2b522d2	AIR_COOLED_CHILLER
cef734cd-27a4-4239-965f-efb0552454a2	8b0bfef6-3cf4-441d-bf49-f231b7faea98	COOLING_TOWER
cef734cd-27a4-4239-965f-efb0552454a2	ba82e9dc-1850-4a1f-99f2-176289e5e5b9	DRY_COOLER
cef734cd-27a4-4239-965f-efb0552454a2	d5485ecf-d83e-4347-bd89-84df63c3ec0e	REMOTE_CONDENSER
cef734cd-27a4-4239-965f-efb0552454a2	8d7195ce-7cb0-490d-ba70-8e2fe544350e	CHILLED_WATER_PUMPS
cef734cd-27a4-4239-965f-efb0552454a2	893071eb-e625-4f8b-8779-344e01b06c80	HEAT_REJECTION_PUMPS
cef734cd-27a4-4239-965f-efb0552454a2	5f2570da-ae2f-473d-927a-7af71b1b66fe	VENTILATION
cef734cd-27a4-4239-965f-efb0552454a2	7c7733ca-ac8c-4258-a1ce-450549a3fa26	INFILTRATION
cef734cd-27a4-4239-965f-efb0552454a2	52439ab1-43c8-4bde-8d42-e9cc901755cf	IT_LOAD
38bc6d10-c00e-4e2c-83a3-86207b24de26	710313c6-381c-4231-9848-bc13e18156e9	SWITCHGEAR
38bc6d10-c00e-4e2c-83a3-86207b24de26	e55d218a-a393-4274-ab88-5b7a80f5ccc2	GENERATOR
38bc6d10-c00e-4e2c-83a3-86207b24de26	b58de9b1-fa16-4848-9b15-bfc48fd795ed	PRIMARY_AUXILIARIES
38bc6d10-c00e-4e2c-83a3-86207b24de26	11ef0898-fc34-42bd-a281-798ba1d2f1b3	UPS
38bc6d10-c00e-4e2c-83a3-86207b24de26	32b61ba2-5f34-4b37-8883-bbd02dc6cfa0	CRITICAL_AUXILIARIES
38bc6d10-c00e-4e2c-83a3-86207b24de26	dbc63a24-6bdd-4dda-a712-4f4776390318	LIGHTING
38bc6d10-c00e-4e2c-83a3-86207b24de26	636daa1f-2e47-4dfd-b651-aef4f7b90855	CRITICAL_POWER_DISTRIBUTION
38bc6d10-c00e-4e2c-83a3-86207b24de26	c564d00b-4235-495c-8054-e9979001b162	CRAH
38bc6d10-c00e-4e2c-83a3-86207b24de26	752d8a5e-30cc-46b5-85ed-330a48616532	CRAC
38bc6d10-c00e-4e2c-83a3-86207b24de26	cd85d2ae-9a62-4eec-ae27-90485a856bfc	CRAC_WITHOUT_FAN
38bc6d10-c00e-4e2c-83a3-86207b24de26	b3928c09-1cd0-4825-abc0-4884bc8bbe20	CRAC_FAN
38bc6d10-c00e-4e2c-83a3-86207b24de26	8f9951b4-fe33-40ae-bae4-80a16eccd733	CHILLER
38bc6d10-c00e-4e2c-83a3-86207b24de26	1f9bbd57-80d3-4d94-850d-e20cd55fa637	AIR_COOLED_CHILLER
38bc6d10-c00e-4e2c-83a3-86207b24de26	1dbbb3fe-74c3-410e-a4a4-28fc2d73f1b3	COOLING_TOWER
38bc6d10-c00e-4e2c-83a3-86207b24de26	16bdafc6-2f9e-45a7-8d6c-0f6d4266e225	DRY_COOLER
38bc6d10-c00e-4e2c-83a3-86207b24de26	899abd94-6a86-483a-a0ee-df2bcc1efd5a	REMOTE_CONDENSER
38bc6d10-c00e-4e2c-83a3-86207b24de26	286a30d3-0778-4753-82ed-aa453adac62f	CHILLED_WATER_PUMPS
38bc6d10-c00e-4e2c-83a3-86207b24de26	826dee35-5f2e-4287-919a-4c73c88cd270	HEAT_REJECTION_PUMPS
38bc6d10-c00e-4e2c-83a3-86207b24de26	2874b4b4-c0b5-4f3c-b997-e5bc0b05bd0b	VENTILATION
38bc6d10-c00e-4e2c-83a3-86207b24de26	ab8d9252-3ec5-4102-a2df-5b4eebc04cfd	INFILTRATION
38bc6d10-c00e-4e2c-83a3-86207b24de26	c70c1348-c157-4fa1-a666-e2bdc800ca42	IT_LOAD
81597379-363e-4118-b071-bcc5d200fcd1	525ca0e6-61aa-4f07-8434-08a73d68179c	SWITCHGEAR
81597379-363e-4118-b071-bcc5d200fcd1	18690fa8-cd6f-4d0c-886c-af03cf22ff43	GENERATOR
81597379-363e-4118-b071-bcc5d200fcd1	86d93a0e-3bd2-47fb-83c6-9e81f7a5cbb7	PRIMARY_AUXILIARIES
81597379-363e-4118-b071-bcc5d200fcd1	5cb02470-6326-4424-83c9-ea81f49384f4	UPS
81597379-363e-4118-b071-bcc5d200fcd1	0edca816-9a3d-4b15-8500-5420a7fe953f	CRITICAL_AUXILIARIES
81597379-363e-4118-b071-bcc5d200fcd1	f38cc132-307b-4786-a942-3bc40cf1b301	LIGHTING
81597379-363e-4118-b071-bcc5d200fcd1	67c7d163-4bcf-493e-84bd-ab7d935375fb	CRITICAL_POWER_DISTRIBUTION
81597379-363e-4118-b071-bcc5d200fcd1	13ccedb6-f5e5-4143-95a1-757790aa5348	CRAH
81597379-363e-4118-b071-bcc5d200fcd1	25d468c1-26b1-4524-8dde-7db59303a3de	CRAC
81597379-363e-4118-b071-bcc5d200fcd1	a0a6a458-2b61-4c38-b9e8-8d76af43fef6	CRAC_WITHOUT_FAN
81597379-363e-4118-b071-bcc5d200fcd1	1b83d150-7ea6-4eb0-a791-8c9106bb9c02	CRAC_FAN
81597379-363e-4118-b071-bcc5d200fcd1	23231015-8bf5-42d7-9a3e-359743bb19cd	CHILLER
81597379-363e-4118-b071-bcc5d200fcd1	9d5e5517-17bb-4a3f-803a-0f0afd54c0fe	AIR_COOLED_CHILLER
81597379-363e-4118-b071-bcc5d200fcd1	f113a007-ef63-41b1-8747-a473683e7f3f	COOLING_TOWER
81597379-363e-4118-b071-bcc5d200fcd1	10c669cb-0d33-4ceb-842b-73b5e62c69f7	DRY_COOLER
81597379-363e-4118-b071-bcc5d200fcd1	fc61397f-1786-4a1c-aeed-4ac9076a81c4	REMOTE_CONDENSER
81597379-363e-4118-b071-bcc5d200fcd1	520e1637-409d-400f-b037-7da5237a4c75	CHILLED_WATER_PUMPS
81597379-363e-4118-b071-bcc5d200fcd1	34c36404-6115-42d0-b36e-ffd626ba6616	HEAT_REJECTION_PUMPS
81597379-363e-4118-b071-bcc5d200fcd1	db6c2810-71f8-44b3-9b82-afbeec67e35a	VENTILATION
81597379-363e-4118-b071-bcc5d200fcd1	089db5d9-f6da-4a5f-8ce9-07f3e0e93b9c	INFILTRATION
81597379-363e-4118-b071-bcc5d200fcd1	73bf4d40-724c-462a-b872-4c720cb32c87	IT_LOAD
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	a1e6b31d-e3ab-4aa7-9b58-400be7937740	SWITCHGEAR
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	ec367fa0-d58f-45b2-812a-e8cd271bf82a	GENERATOR
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	26a668ce-d0ec-49a7-9efc-7ea06d5f6c3c	PRIMARY_AUXILIARIES
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	76b0da13-bed2-4691-b448-1d79d363723d	UPS
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	e04cf0d0-fb99-4a80-ba20-21936e86e6ae	CRITICAL_AUXILIARIES
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	4a20a654-510a-4ce5-af6c-ec9a32833269	LIGHTING
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	6ee01955-104a-453f-a139-c5e801b62204	CRITICAL_POWER_DISTRIBUTION
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	42c271cf-b61e-4ccb-b76c-c9757aca2c8f	CRAH
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	ce11e0ab-2f31-4652-b062-2df205de3e10	CRAC
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	3f194759-ec94-4e03-9e30-44df9ba6f4df	CRAC_WITHOUT_FAN
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	bd4163d9-3c11-4816-9173-04c3eafcfcfc	CRAC_FAN
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	f3058138-6f33-4e71-98cb-e3f96f7a0263	CHILLER
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	ad2383aa-0dfd-465b-a764-a5018086e8e3	AIR_COOLED_CHILLER
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	1a030240-31a6-4a46-82b9-ceb09232118a	COOLING_TOWER
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	321f3d39-b928-4414-b4ba-d8eef9cd005d	DRY_COOLER
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	07b2eaf3-fc9d-4b46-996d-ac94dee8fa72	REMOTE_CONDENSER
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	bba06def-e3e7-4c18-8df2-04d6a80b855f	CHILLED_WATER_PUMPS
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	ea7628da-6155-4c22-b6a3-5a9b32fa6b00	HEAT_REJECTION_PUMPS
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	272221c5-a44a-418d-b968-a66e265546b1	VENTILATION
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	749a4cbb-e175-43dd-828f-b29fd8c74ace	INFILTRATION
530ae6aa-e40f-4692-97d3-8bb6716ebfa8	6d95e7ab-dd6e-4a7d-a79e-5e034dced0d7	IT_LOAD
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	21428fb7-042c-4b3f-b9a8-7be3f157bd49	SWITCHGEAR
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	58e3c7f3-b47c-4e2f-8424-982c5918c4c3	GENERATOR
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	0d1c67d1-9d48-4978-8285-4d324caa25fd	PRIMARY_AUXILIARIES
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	5f91dbb1-f5b5-4b89-9381-a7a2a56f65fc	UPS
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	9b97ecb3-c638-4a29-9960-aa14d9fa93e0	CRITICAL_AUXILIARIES
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	3a4eb9de-9e55-43f0-8578-a29796e52b5d	LIGHTING
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	4dc67d02-8427-40be-bed2-d41f7925898e	CRITICAL_POWER_DISTRIBUTION
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	a85c52e8-b2a8-46c4-aad2-f0fc3754d4bf	CRAH
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	b4a9ac73-4d58-4dc1-a957-5151f58f54ab	CRAC
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	a98799a0-1b8e-4117-9a48-a7a8ce3e4f76	CRAC_WITHOUT_FAN
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	0cc0c373-567d-4de4-9449-3a9e03aae36a	CRAC_FAN
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	4765e140-8941-467f-b943-f2bc70e5ef27	CHILLER
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	209af1dd-f41e-498f-a5cf-f8de2a95671e	AIR_COOLED_CHILLER
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	6eb9277e-3f8f-4f00-80e5-ad05a94cb3c0	COOLING_TOWER
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	417dc085-463e-4c19-9e32-d7cbef29d257	DRY_COOLER
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	94365bdd-b7b3-4257-8d08-c67b93513ea1	REMOTE_CONDENSER
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	4381ae1a-e5e4-446a-b2ec-f3f91c016fde	CHILLED_WATER_PUMPS
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	42f75851-7854-4036-981d-9ae214446623	HEAT_REJECTION_PUMPS
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	92167713-c74c-4f47-bb08-4fbb99cee80e	VENTILATION
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	19a29315-4ea0-41f0-9cab-eec2f10e7564	INFILTRATION
7d1bf2a2-2e83-4d6a-9045-b590a7e3847e	fa6099ee-c321-4342-903d-4db6757abb23	IT_LOAD
1c25fd9f-38c0-43e3-9276-418008522bcc	74300561-9555-4621-8109-580b1fab2e3f	SWITCHGEAR
1c25fd9f-38c0-43e3-9276-418008522bcc	9b348f3b-71bd-4568-b8bc-1eb78e883ffa	GENERATOR
1c25fd9f-38c0-43e3-9276-418008522bcc	652ccdda-22e0-4057-b55c-680476ce123c	PRIMARY_AUXILIARIES
1c25fd9f-38c0-43e3-9276-418008522bcc	09323b78-4cf4-482f-bd09-aaf5f4982127	UPS
1c25fd9f-38c0-43e3-9276-418008522bcc	847cb091-711d-4407-b759-9f1a6907e466	CRITICAL_AUXILIARIES
1c25fd9f-38c0-43e3-9276-418008522bcc	d201bad5-e908-4a43-adc2-3506c374fb80	LIGHTING
1c25fd9f-38c0-43e3-9276-418008522bcc	abd4aa5e-891c-43c8-b89c-3a7779dbd123	CRITICAL_POWER_DISTRIBUTION
1c25fd9f-38c0-43e3-9276-418008522bcc	b5dd9024-1f5d-459e-a9a1-5d5760b7b2b2	CRAH
1c25fd9f-38c0-43e3-9276-418008522bcc	56a2799c-848f-475f-bc7a-bcb14e661833	CRAC
1c25fd9f-38c0-43e3-9276-418008522bcc	99624d2b-9ca1-45bd-b23d-74a861530cc4	CRAC_WITHOUT_FAN
1c25fd9f-38c0-43e3-9276-418008522bcc	3ac09e95-5583-4aae-b757-82f26bb08df5	CRAC_FAN
1c25fd9f-38c0-43e3-9276-418008522bcc	476409d5-90e9-4aa8-83f3-cf6847ef3d54	CHILLER
1c25fd9f-38c0-43e3-9276-418008522bcc	c7e9843a-a49e-427d-998a-e043b4c8c672	AIR_COOLED_CHILLER
1c25fd9f-38c0-43e3-9276-418008522bcc	604072aa-79aa-425e-accf-c603fe0c1059	COOLING_TOWER
1c25fd9f-38c0-43e3-9276-418008522bcc	75f5b649-02e0-4452-a286-74c0ced771c0	DRY_COOLER
1c25fd9f-38c0-43e3-9276-418008522bcc	c2bc0647-6093-4ecd-9a4c-68d4b383f308	REMOTE_CONDENSER
1c25fd9f-38c0-43e3-9276-418008522bcc	9a5894ae-5892-4746-8739-217a3d414300	CHILLED_WATER_PUMPS
1c25fd9f-38c0-43e3-9276-418008522bcc	f4ace650-6aa9-4759-81dc-8a11ed0eaa54	HEAT_REJECTION_PUMPS
1c25fd9f-38c0-43e3-9276-418008522bcc	3096c410-ce4a-4c7c-9a29-f8446f7b36e1	VENTILATION
1c25fd9f-38c0-43e3-9276-418008522bcc	258d55fe-848c-4d95-aa81-103389593428	INFILTRATION
1c25fd9f-38c0-43e3-9276-418008522bcc	9f7eb651-2728-4eb3-ac24-d1681274bbb7	IT_LOAD
43570978-07a3-4efa-911a-4e9c46562f05	d0242f15-2cdd-411c-a2a9-75e65f2e2811	SWITCHGEAR
43570978-07a3-4efa-911a-4e9c46562f05	b13c80ee-4146-48d2-8787-5521034b2336	GENERATOR
43570978-07a3-4efa-911a-4e9c46562f05	076123f6-4654-4c8c-a7dd-89846912b3a6	PRIMARY_AUXILIARIES
43570978-07a3-4efa-911a-4e9c46562f05	ee698759-9728-4998-a2df-d3dfd553e554	UPS
43570978-07a3-4efa-911a-4e9c46562f05	f81ed8c5-886b-40fc-b301-56b3912b5990	CRITICAL_AUXILIARIES
43570978-07a3-4efa-911a-4e9c46562f05	d24205d3-f6aa-40e3-a5fc-5233e54beed3	LIGHTING
43570978-07a3-4efa-911a-4e9c46562f05	ff25c9ab-bbbb-44c6-9bab-eb1b0b9c1207	CRITICAL_POWER_DISTRIBUTION
43570978-07a3-4efa-911a-4e9c46562f05	15a93c33-e7a3-4e88-bd07-cf7e9c23207f	CRAH
43570978-07a3-4efa-911a-4e9c46562f05	0a27d53d-63d6-4a0e-85d2-b617e7fe03f6	CRAC
43570978-07a3-4efa-911a-4e9c46562f05	956496fe-3d2f-4718-afd9-2c337f67bf68	CRAC_WITHOUT_FAN
43570978-07a3-4efa-911a-4e9c46562f05	6d067dd7-1e1f-4eae-9bea-b777224aeff1	CRAC_FAN
43570978-07a3-4efa-911a-4e9c46562f05	bc958560-b725-47b4-8ac1-9d1f73d33386	CHILLER
43570978-07a3-4efa-911a-4e9c46562f05	d10f9a9e-0142-48fc-8c7e-877a5f29fd0b	AIR_COOLED_CHILLER
43570978-07a3-4efa-911a-4e9c46562f05	fae5eab4-91f0-42f1-9e12-09b2ff9eac9c	COOLING_TOWER
43570978-07a3-4efa-911a-4e9c46562f05	3970ddcd-39d9-47ba-8203-78a28035779c	DRY_COOLER
43570978-07a3-4efa-911a-4e9c46562f05	984d7a30-325e-4103-9c5d-8804259e4b78	REMOTE_CONDENSER
43570978-07a3-4efa-911a-4e9c46562f05	cc967156-cf57-4fe8-8da3-5c4f59a7f152	CHILLED_WATER_PUMPS
43570978-07a3-4efa-911a-4e9c46562f05	ec72dc40-f506-4474-ad1a-6024c777e588	HEAT_REJECTION_PUMPS
43570978-07a3-4efa-911a-4e9c46562f05	8bad0c1d-5a28-4326-9eb0-66e6d9ee6f6d	VENTILATION
43570978-07a3-4efa-911a-4e9c46562f05	783468b2-9470-40ff-8b87-203768d471d7	INFILTRATION
43570978-07a3-4efa-911a-4e9c46562f05	99ae834a-27a5-4802-a01f-e526a75360ff	IT_LOAD
95822be8-2a9d-4606-ad35-0b6ffdbabf64	a25fa066-2237-4622-9340-b9a3200851d4	SWITCHGEAR
95822be8-2a9d-4606-ad35-0b6ffdbabf64	7d3efe25-ab0c-4b5a-bacf-7bf20c4c8217	GENERATOR
95822be8-2a9d-4606-ad35-0b6ffdbabf64	9470d26d-c41d-423d-9387-cfc9ff7461bf	PRIMARY_AUXILIARIES
95822be8-2a9d-4606-ad35-0b6ffdbabf64	b75fd67e-fd62-4963-a387-da01f9ec51db	UPS
95822be8-2a9d-4606-ad35-0b6ffdbabf64	457e09b8-9df0-4d70-8f32-2f5805a89d2b	CRITICAL_AUXILIARIES
95822be8-2a9d-4606-ad35-0b6ffdbabf64	eaa336db-d73e-49b9-aade-71ce00be750c	LIGHTING
95822be8-2a9d-4606-ad35-0b6ffdbabf64	4f407b73-8b0e-46f7-854d-d6bc1aafc9db	CRITICAL_POWER_DISTRIBUTION
95822be8-2a9d-4606-ad35-0b6ffdbabf64	169e9d33-4767-4cfe-8ee7-73445ad529f5	CRAH
95822be8-2a9d-4606-ad35-0b6ffdbabf64	196b34fe-8428-4cfc-9557-9e903e11e22a	CRAC
95822be8-2a9d-4606-ad35-0b6ffdbabf64	4f30bec8-0a36-4d98-af1b-52371ffb06f6	CRAC_WITHOUT_FAN
95822be8-2a9d-4606-ad35-0b6ffdbabf64	68c7daea-f8b7-40cf-a2c5-8e0125e277cd	CRAC_FAN
95822be8-2a9d-4606-ad35-0b6ffdbabf64	46a85441-bb5a-4b2c-8df2-623b5a88fa4b	CHILLER
95822be8-2a9d-4606-ad35-0b6ffdbabf64	35a73c15-9802-4d0e-a71f-9f5375089472	AIR_COOLED_CHILLER
95822be8-2a9d-4606-ad35-0b6ffdbabf64	dc02e8ac-efaf-4352-b24a-64693f00cc71	COOLING_TOWER
95822be8-2a9d-4606-ad35-0b6ffdbabf64	75457e62-4560-446d-802d-e36a963920f9	DRY_COOLER
95822be8-2a9d-4606-ad35-0b6ffdbabf64	17784f51-801d-4d63-b34c-c5c16ffd7018	REMOTE_CONDENSER
95822be8-2a9d-4606-ad35-0b6ffdbabf64	7dfb65db-e728-467e-a902-dc118be328e4	CHILLED_WATER_PUMPS
95822be8-2a9d-4606-ad35-0b6ffdbabf64	83cdec9b-4c24-4eed-8026-a8404270728b	HEAT_REJECTION_PUMPS
95822be8-2a9d-4606-ad35-0b6ffdbabf64	2f08475c-0fb5-446c-8fc7-f98b5ba5e8fa	VENTILATION
95822be8-2a9d-4606-ad35-0b6ffdbabf64	8f7d14a6-0353-44d1-a7ab-eef8107c42f5	INFILTRATION
95822be8-2a9d-4606-ad35-0b6ffdbabf64	b3bca362-cca9-4bb5-99a4-7149b8b6b3a5	IT_LOAD
5d1e53f7-dfd9-4117-845e-3c4be991167b	2737344a-271e-4fcc-9777-44fe5f2fe02f	SWITCHGEAR
5d1e53f7-dfd9-4117-845e-3c4be991167b	5fe96a17-12a0-4007-b406-8da9b3c04ecb	GENERATOR
5d1e53f7-dfd9-4117-845e-3c4be991167b	77c5ee3f-1c42-4455-b7b4-1e37ddc49dda	PRIMARY_AUXILIARIES
5d1e53f7-dfd9-4117-845e-3c4be991167b	71f85ecd-02bc-4a21-ab6a-da5bc61f27ac	UPS
5d1e53f7-dfd9-4117-845e-3c4be991167b	4c1778a7-7667-4976-82b6-f779c9efaa67	CRITICAL_AUXILIARIES
5d1e53f7-dfd9-4117-845e-3c4be991167b	f44ad44f-3210-468c-8ad1-c2d8c92ffa34	LIGHTING
5d1e53f7-dfd9-4117-845e-3c4be991167b	9734dffa-97c3-4bfa-91f5-bedeea0076b3	CRITICAL_POWER_DISTRIBUTION
5d1e53f7-dfd9-4117-845e-3c4be991167b	847db8a6-787a-4121-8d1a-bdb01584d5a9	CRAH
5d1e53f7-dfd9-4117-845e-3c4be991167b	9e6568d1-01b0-4b2a-a8c2-6849581933b7	CRAC
5d1e53f7-dfd9-4117-845e-3c4be991167b	b08b971c-ce3b-4356-8968-32ab2070fb1e	CRAC_WITHOUT_FAN
5d1e53f7-dfd9-4117-845e-3c4be991167b	78413fe3-b35d-46c7-bdc2-0b2eb48c8637	CRAC_FAN
5d1e53f7-dfd9-4117-845e-3c4be991167b	7000529e-30ab-48d2-8940-7b06aae5d4c3	CHILLER
5d1e53f7-dfd9-4117-845e-3c4be991167b	2ae99043-ad44-42f0-8f39-8a247ac2f6a6	AIR_COOLED_CHILLER
5d1e53f7-dfd9-4117-845e-3c4be991167b	a9387223-2ea6-445e-b104-b19ca694fad4	COOLING_TOWER
5d1e53f7-dfd9-4117-845e-3c4be991167b	9174871b-20c2-4fe7-bac3-40e3904c3344	DRY_COOLER
5d1e53f7-dfd9-4117-845e-3c4be991167b	b4c59e84-5e43-4949-9548-56dd2c771495	REMOTE_CONDENSER
5d1e53f7-dfd9-4117-845e-3c4be991167b	2b251e62-700c-4feb-ad65-ad658ec15471	CHILLED_WATER_PUMPS
5d1e53f7-dfd9-4117-845e-3c4be991167b	c0f4190e-6f2d-4520-bea3-ca1a103cf476	HEAT_REJECTION_PUMPS
5d1e53f7-dfd9-4117-845e-3c4be991167b	9cd81444-f8de-4f91-a42d-9cb97b75877c	VENTILATION
5d1e53f7-dfd9-4117-845e-3c4be991167b	b5e39135-d8b3-490f-971d-26c8fe52b771	INFILTRATION
5d1e53f7-dfd9-4117-845e-3c4be991167b	3e3b65b2-7562-44f3-a9af-02b0e0aa9cf5	IT_LOAD
af486afc-c61c-4ba0-b28b-0caee57266a3	8d809524-ce39-4ced-99ef-1d3386382188	SWITCHGEAR
af486afc-c61c-4ba0-b28b-0caee57266a3	b59faee9-54ec-4777-91a7-817756a75178	GENERATOR
af486afc-c61c-4ba0-b28b-0caee57266a3	50fe6b71-1968-4cf9-8708-329e6ab289aa	PRIMARY_AUXILIARIES
af486afc-c61c-4ba0-b28b-0caee57266a3	2db25fe2-5eac-4997-b0bb-a87e8ec97194	UPS
af486afc-c61c-4ba0-b28b-0caee57266a3	1eb122e4-23df-4715-89bc-8b6d30d42416	CRITICAL_AUXILIARIES
af486afc-c61c-4ba0-b28b-0caee57266a3	234c4a45-0a47-4241-bdc2-0b146fb81ba5	LIGHTING
af486afc-c61c-4ba0-b28b-0caee57266a3	d4f08873-5b4b-4e46-b160-2ac6b50b36de	CRITICAL_POWER_DISTRIBUTION
af486afc-c61c-4ba0-b28b-0caee57266a3	ae1032e6-d896-4256-8366-efb00b7f8535	CRAH
af486afc-c61c-4ba0-b28b-0caee57266a3	e5055b9b-e91c-4ff5-b90f-f77a39d0fa9f	CRAC
af486afc-c61c-4ba0-b28b-0caee57266a3	0781b22b-ceff-4908-8144-3cde5e2b6196	CRAC_WITHOUT_FAN
af486afc-c61c-4ba0-b28b-0caee57266a3	52cdf5d2-9a19-493d-b604-b38f4b3d2da1	CRAC_FAN
af486afc-c61c-4ba0-b28b-0caee57266a3	b3489206-27e3-4d1c-9903-9889a02f0697	CHILLER
af486afc-c61c-4ba0-b28b-0caee57266a3	4333f87b-c6d1-428c-bc9c-5d33519bdcfc	AIR_COOLED_CHILLER
af486afc-c61c-4ba0-b28b-0caee57266a3	2e4b5ecf-a780-4f1a-a03a-45f0e210594d	COOLING_TOWER
af486afc-c61c-4ba0-b28b-0caee57266a3	67e7970c-e974-4b0c-ad93-e8b74fe6c85f	DRY_COOLER
af486afc-c61c-4ba0-b28b-0caee57266a3	cc8babc0-73dc-401e-8989-44a6fa389058	REMOTE_CONDENSER
af486afc-c61c-4ba0-b28b-0caee57266a3	0046ed23-fd3c-4263-9eaa-b5e2f183a55c	CHILLED_WATER_PUMPS
af486afc-c61c-4ba0-b28b-0caee57266a3	93ed30ab-2285-4dd8-a878-3afd74a74b04	HEAT_REJECTION_PUMPS
af486afc-c61c-4ba0-b28b-0caee57266a3	28d8d0a6-25a2-4142-8899-268118bd4d27	VENTILATION
af486afc-c61c-4ba0-b28b-0caee57266a3	fdb10f07-23cc-4156-9f1c-943b36309b62	INFILTRATION
af486afc-c61c-4ba0-b28b-0caee57266a3	9aefd316-8f32-49c4-bb65-2918f84c5753	IT_LOAD
39c2244e-8f4e-45f4-ae82-add74862f35d	0d9c2190-963c-4451-984d-4ea0057b2482	SWITCHGEAR
39c2244e-8f4e-45f4-ae82-add74862f35d	ca89b5cb-0dc1-4a7c-a271-2c011e7ca534	GENERATOR
39c2244e-8f4e-45f4-ae82-add74862f35d	be832439-1845-42dc-9af1-6ebeb2f036b3	PRIMARY_AUXILIARIES
39c2244e-8f4e-45f4-ae82-add74862f35d	4a57d5f1-3a27-4767-bed1-64a3c1c9b149	UPS
39c2244e-8f4e-45f4-ae82-add74862f35d	9daf45ad-89e3-458e-8886-da93fca1997f	CRITICAL_AUXILIARIES
39c2244e-8f4e-45f4-ae82-add74862f35d	6f07a1e9-48b2-43cb-b820-dd6eb663efe8	LIGHTING
39c2244e-8f4e-45f4-ae82-add74862f35d	aaa560bb-751e-490f-ba77-d48b3407d4c8	CRITICAL_POWER_DISTRIBUTION
39c2244e-8f4e-45f4-ae82-add74862f35d	f4773e86-8035-47de-b36e-5ecc8898de43	CRAH
39c2244e-8f4e-45f4-ae82-add74862f35d	dc7ed1aa-ee91-4a52-8dfe-525353aa0765	CRAC
39c2244e-8f4e-45f4-ae82-add74862f35d	171f1db0-76c1-42ab-abaa-f4fda2cea53b	CRAC_WITHOUT_FAN
39c2244e-8f4e-45f4-ae82-add74862f35d	88c199de-10b1-4f35-a31a-769127e3c932	CRAC_FAN
39c2244e-8f4e-45f4-ae82-add74862f35d	4dbc2298-50d5-49da-bd96-d0b151dd528b	CHILLER
39c2244e-8f4e-45f4-ae82-add74862f35d	781286fa-810b-446b-9455-43bcc90f1160	AIR_COOLED_CHILLER
39c2244e-8f4e-45f4-ae82-add74862f35d	e417a1a5-04f9-47ee-9b35-ab57c053cdfd	COOLING_TOWER
39c2244e-8f4e-45f4-ae82-add74862f35d	0a813060-fcd2-4c6a-ab64-1f55efa06653	DRY_COOLER
39c2244e-8f4e-45f4-ae82-add74862f35d	c6919fd3-f258-49e1-acf5-a1293a1a25f8	REMOTE_CONDENSER
39c2244e-8f4e-45f4-ae82-add74862f35d	c3566756-bd28-47dc-863f-c83c6adb189d	CHILLED_WATER_PUMPS
39c2244e-8f4e-45f4-ae82-add74862f35d	21bab2e2-d3fc-45c0-8747-8e3bc8ad5af2	HEAT_REJECTION_PUMPS
39c2244e-8f4e-45f4-ae82-add74862f35d	f7802214-ded2-4c5e-9d81-eef48f347e76	VENTILATION
39c2244e-8f4e-45f4-ae82-add74862f35d	937f49b5-50ce-49cd-84d1-8888f955c87e	INFILTRATION
39c2244e-8f4e-45f4-ae82-add74862f35d	141f5d6f-ae34-4965-af85-6264d4b6f20a	IT_LOAD
335054bb-4d46-40fd-af00-0e5f237589f4	deb8a661-1791-4bb1-8953-dc3b5456451f	SWITCHGEAR
335054bb-4d46-40fd-af00-0e5f237589f4	25e640bf-8404-43e4-86de-ae27492737e3	GENERATOR
335054bb-4d46-40fd-af00-0e5f237589f4	f20083d9-ef2c-4c40-b5fa-7d6d9c1f0197	PRIMARY_AUXILIARIES
335054bb-4d46-40fd-af00-0e5f237589f4	aa8b5f9f-4e7f-47ac-8a9b-fbeeabb96a0c	UPS
335054bb-4d46-40fd-af00-0e5f237589f4	a611a0e3-9b96-4486-b8b9-e1fc60cdb3eb	CRITICAL_AUXILIARIES
335054bb-4d46-40fd-af00-0e5f237589f4	faf4a59a-fdde-452e-bc17-efcf02631e11	LIGHTING
335054bb-4d46-40fd-af00-0e5f237589f4	b2a2e123-9957-4e74-bce4-b143e17e0736	CRITICAL_POWER_DISTRIBUTION
335054bb-4d46-40fd-af00-0e5f237589f4	7c413cb4-0454-48d2-8a72-8ffc1004b60a	CRAH
335054bb-4d46-40fd-af00-0e5f237589f4	f4b56beb-3075-49b4-a873-38e92e302168	CRAC
335054bb-4d46-40fd-af00-0e5f237589f4	e945615f-c592-428f-bb3f-8c991268f8e3	CRAC_WITHOUT_FAN
335054bb-4d46-40fd-af00-0e5f237589f4	20e29530-af4c-4a15-abf0-5789198a75dc	CRAC_FAN
335054bb-4d46-40fd-af00-0e5f237589f4	1b5c2290-1dac-4de9-9ec0-47a56ebb88f3	CHILLER
335054bb-4d46-40fd-af00-0e5f237589f4	359d685a-e20a-486b-b51d-62952abf4e0e	AIR_COOLED_CHILLER
335054bb-4d46-40fd-af00-0e5f237589f4	ab604551-df20-43b4-8a30-660b86b98b44	COOLING_TOWER
335054bb-4d46-40fd-af00-0e5f237589f4	2381792a-66f1-49db-9a0f-d02a6854243d	DRY_COOLER
335054bb-4d46-40fd-af00-0e5f237589f4	38a25871-64b7-473f-b39e-0f0560a1b5a6	REMOTE_CONDENSER
335054bb-4d46-40fd-af00-0e5f237589f4	0845caaa-7945-43b9-b15c-4a0303fbaf4e	CHILLED_WATER_PUMPS
335054bb-4d46-40fd-af00-0e5f237589f4	d6308b50-a4b1-4288-95bf-dc0dc590a216	HEAT_REJECTION_PUMPS
335054bb-4d46-40fd-af00-0e5f237589f4	9bc5539b-63ed-456b-afd5-85b892440133	VENTILATION
335054bb-4d46-40fd-af00-0e5f237589f4	3155891d-1e4d-4bca-ab20-5b54f630b140	INFILTRATION
335054bb-4d46-40fd-af00-0e5f237589f4	d48ea576-e257-4161-bd2b-8b1b1ea51850	IT_LOAD
cbb44b84-64ea-4788-814e-5e442e39e29a	822be090-3f6e-4d7a-8f95-78a102eeaba7	SWITCHGEAR
cbb44b84-64ea-4788-814e-5e442e39e29a	6655b12e-93f7-46ae-bcf0-16623d005012	GENERATOR
cbb44b84-64ea-4788-814e-5e442e39e29a	2ceafed9-3589-45d4-8bb8-89529debbc3b	PRIMARY_AUXILIARIES
cbb44b84-64ea-4788-814e-5e442e39e29a	1038c1f6-1d19-4ef2-8fcd-dbf77366d05d	UPS
cbb44b84-64ea-4788-814e-5e442e39e29a	cbbfee8e-820b-4ef7-9485-7421b0d939d5	CRITICAL_AUXILIARIES
cbb44b84-64ea-4788-814e-5e442e39e29a	6de6b314-0bfc-4a8a-aec2-cf3314fced19	LIGHTING
cbb44b84-64ea-4788-814e-5e442e39e29a	b24bc42e-baba-43a4-a653-8cb3a7cb9ceb	CRITICAL_POWER_DISTRIBUTION
cbb44b84-64ea-4788-814e-5e442e39e29a	33488739-82d0-461b-abf3-ebd3cf810551	CRAH
cbb44b84-64ea-4788-814e-5e442e39e29a	9ed9133b-8924-42ed-bd88-0ee78e6bdd36	CRAC
cbb44b84-64ea-4788-814e-5e442e39e29a	e4ab7c81-5c95-488d-86d6-05c7feb1cd66	CRAC_WITHOUT_FAN
cbb44b84-64ea-4788-814e-5e442e39e29a	31f32279-96df-4ae9-b148-0b1146c0f134	CRAC_FAN
cbb44b84-64ea-4788-814e-5e442e39e29a	a49225b9-a0f2-4109-9724-0839612d21f7	CHILLER
cbb44b84-64ea-4788-814e-5e442e39e29a	56c5d658-1bee-4470-9142-d5df39baed9d	AIR_COOLED_CHILLER
cbb44b84-64ea-4788-814e-5e442e39e29a	cadcdbef-4eaf-464b-a3da-d98bd1d54062	COOLING_TOWER
cbb44b84-64ea-4788-814e-5e442e39e29a	b9786f1b-9419-4e61-a7d8-0d591539323a	DRY_COOLER
cbb44b84-64ea-4788-814e-5e442e39e29a	67d04c24-1793-46c4-ab31-57c9ad6f4d5a	REMOTE_CONDENSER
cbb44b84-64ea-4788-814e-5e442e39e29a	9487dbb0-b8c7-4c92-a88e-7b1e3d02141b	CHILLED_WATER_PUMPS
cbb44b84-64ea-4788-814e-5e442e39e29a	1638ac6c-5800-4235-a49c-f1c4db43e1f6	HEAT_REJECTION_PUMPS
cbb44b84-64ea-4788-814e-5e442e39e29a	f29d6d7a-8bf8-478c-b324-800510a42222	VENTILATION
cbb44b84-64ea-4788-814e-5e442e39e29a	c4efa199-ae67-4d52-994e-cc6a75a6a125	INFILTRATION
cbb44b84-64ea-4788-814e-5e442e39e29a	cefd6374-2168-4c63-9bdf-c49c0bfc431d	IT_LOAD
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	0937eace-3952-4e23-9dd1-8a4f8ec758b2	SWITCHGEAR
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	89d3aea0-584b-412d-b1bc-00c46e3abc6e	GENERATOR
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	111ac50e-05e7-4c81-a84f-d943c66b1c60	PRIMARY_AUXILIARIES
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	7ae84054-cb26-4712-bee7-13bd0a390310	UPS
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	9cc67014-b746-46cd-96ba-cac0657b82bb	CRITICAL_AUXILIARIES
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	301180fb-bec9-41b8-a9c7-aa51dee09191	LIGHTING
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	241f6dda-3cd0-474b-8a24-7f36c237d718	CRITICAL_POWER_DISTRIBUTION
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	47f6e50e-fdef-4216-bafc-3e55b9de8b1e	CRAH
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	144cd8fd-5c53-4645-a135-759a6933a97f	CRAC
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	3e9c4901-0e72-43d4-8c22-103416844e2b	CRAC_WITHOUT_FAN
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	89002674-1244-4ff7-a2c0-09f5d90d276e	CRAC_FAN
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	4cceb9c6-514a-47a4-bfb7-f673a61b12f5	CHILLER
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	66f8d57a-e0e1-44a5-b00c-3d52cdb3699a	AIR_COOLED_CHILLER
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	c74fe352-b872-4d8a-ac13-6d3614dc9da1	COOLING_TOWER
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	df60c947-05ba-4384-87bb-84d97f94c1a0	DRY_COOLER
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	602c0f63-4002-4404-b5bc-d895de514414	REMOTE_CONDENSER
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	c422a23c-8fa3-4c3d-9327-4d1b0a46ceda	CHILLED_WATER_PUMPS
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	5b1f44a6-c4c3-444d-8160-373ab54ba77e	HEAT_REJECTION_PUMPS
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	a3995527-a5a3-461c-b9cb-50ca8276af09	VENTILATION
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	6dc6f116-9bc0-47aa-87f5-fcdee87d7206	INFILTRATION
f5114e22-8d81-4d7d-8e5c-ffcfc91b39fc	19087190-0ea1-4120-9e08-508ed640cae2	IT_LOAD
524fa1de-29e9-4519-90c3-ad367ccee249	44c7e77b-5833-4a21-bfdf-b5b45d1348bf	SWITCHGEAR
524fa1de-29e9-4519-90c3-ad367ccee249	b773a876-7289-4d7f-a694-a745ce29c7ae	GENERATOR
524fa1de-29e9-4519-90c3-ad367ccee249	a01d6d25-0b66-46eb-b9a8-3d5bb7e6118d	PRIMARY_AUXILIARIES
524fa1de-29e9-4519-90c3-ad367ccee249	03867b81-8527-4921-b312-a3cd24334e4e	UPS
524fa1de-29e9-4519-90c3-ad367ccee249	7be78425-9dae-450b-8e64-198bec42a4a6	CRITICAL_AUXILIARIES
524fa1de-29e9-4519-90c3-ad367ccee249	ea6960fc-101d-40d5-a4ff-5342548f419f	LIGHTING
524fa1de-29e9-4519-90c3-ad367ccee249	b172c8a4-8c23-453f-9c8b-d6c5df160d84	CRITICAL_POWER_DISTRIBUTION
524fa1de-29e9-4519-90c3-ad367ccee249	3335f4f4-a2a8-4b71-9d45-346a3f9c9069	CRAH
524fa1de-29e9-4519-90c3-ad367ccee249	9dd59ef7-989a-4832-9b81-1f9140982220	CRAC
524fa1de-29e9-4519-90c3-ad367ccee249	aec5b106-84b8-4066-aee0-03a29c094ea7	CRAC_WITHOUT_FAN
524fa1de-29e9-4519-90c3-ad367ccee249	15fa5f55-a8e6-495a-8a66-60f19a63e479	CRAC_FAN
524fa1de-29e9-4519-90c3-ad367ccee249	84c30076-7019-49ec-8c63-8345fc0ed2c5	CHILLER
524fa1de-29e9-4519-90c3-ad367ccee249	03daf100-5146-49ca-8dec-1ee8371e9e96	AIR_COOLED_CHILLER
524fa1de-29e9-4519-90c3-ad367ccee249	bbff61be-57f7-4452-9274-a012665d4c6b	COOLING_TOWER
524fa1de-29e9-4519-90c3-ad367ccee249	e38c49a7-56ad-4424-a22e-b8e1200ab7ed	DRY_COOLER
524fa1de-29e9-4519-90c3-ad367ccee249	74ebe2da-1e3c-453e-8a0c-1685039ff3ed	REMOTE_CONDENSER
524fa1de-29e9-4519-90c3-ad367ccee249	dcb4c978-105d-4b2a-8a73-66ee7d166f3f	CHILLED_WATER_PUMPS
524fa1de-29e9-4519-90c3-ad367ccee249	74e2c793-ddc8-4ac3-86fd-f0d80df05049	HEAT_REJECTION_PUMPS
524fa1de-29e9-4519-90c3-ad367ccee249	300806bd-680d-4ca7-8cbf-873dc8bb7099	VENTILATION
524fa1de-29e9-4519-90c3-ad367ccee249	340a801d-944d-475a-8a4f-b47a2f6d4212	INFILTRATION
524fa1de-29e9-4519-90c3-ad367ccee249	98466b8e-f5ba-4026-9744-b5b65a2f2ef2	IT_LOAD
2395b4e4-98c9-4483-a98c-dc257d805d8b	1bf545c5-9609-402f-91f9-461498bd9db0	SWITCHGEAR
2395b4e4-98c9-4483-a98c-dc257d805d8b	0768b597-1354-4656-a60f-fdff0dcc0f23	GENERATOR
2395b4e4-98c9-4483-a98c-dc257d805d8b	a30c042e-f45a-43a8-82cb-22b43f50aff5	PRIMARY_AUXILIARIES
2395b4e4-98c9-4483-a98c-dc257d805d8b	9bfcf6c3-7d1d-4494-9c34-3aa3681edf2e	UPS
2395b4e4-98c9-4483-a98c-dc257d805d8b	a0c7ada0-4f67-431f-8ad7-d8307c10d301	CRITICAL_AUXILIARIES
2395b4e4-98c9-4483-a98c-dc257d805d8b	bbbf821f-5eec-41d8-9d92-08a4fd16564f	LIGHTING
2395b4e4-98c9-4483-a98c-dc257d805d8b	1dee5982-f7af-49fa-9172-e947adc80f86	CRITICAL_POWER_DISTRIBUTION
2395b4e4-98c9-4483-a98c-dc257d805d8b	753d9b67-61dd-4518-9c01-d4469299610a	CRAH
2395b4e4-98c9-4483-a98c-dc257d805d8b	30aec040-1b0a-4efe-b36a-634b9ca60b4a	CRAC
2395b4e4-98c9-4483-a98c-dc257d805d8b	8ff800a5-2512-4427-848f-5ab59c862a69	CRAC_WITHOUT_FAN
2395b4e4-98c9-4483-a98c-dc257d805d8b	5a3b991a-15c6-4318-b96d-f3706eb48acb	CRAC_FAN
2395b4e4-98c9-4483-a98c-dc257d805d8b	0efd287d-1d12-40d9-940b-f96f63b19ebf	CHILLER
2395b4e4-98c9-4483-a98c-dc257d805d8b	c8372ae6-4c02-45d7-ab09-f08cb90fc827	AIR_COOLED_CHILLER
2395b4e4-98c9-4483-a98c-dc257d805d8b	0a367d55-09e8-4313-9e1f-21415d8ac961	COOLING_TOWER
2395b4e4-98c9-4483-a98c-dc257d805d8b	1ee36653-373e-43b0-b947-a6a9ed5e7820	DRY_COOLER
2395b4e4-98c9-4483-a98c-dc257d805d8b	6dbe95ee-fb22-4734-9de6-42d048916dcb	REMOTE_CONDENSER
2395b4e4-98c9-4483-a98c-dc257d805d8b	0c5d8029-5ca6-4dbd-932f-1e52ccf6eeb2	CHILLED_WATER_PUMPS
2395b4e4-98c9-4483-a98c-dc257d805d8b	cfd1b1c1-6345-4c5e-b006-acc4d61b34de	HEAT_REJECTION_PUMPS
2395b4e4-98c9-4483-a98c-dc257d805d8b	57cc5609-2c84-4da3-9f80-5ef423190fe8	VENTILATION
2395b4e4-98c9-4483-a98c-dc257d805d8b	02ed022f-1459-4963-91a2-7e66a600a89c	INFILTRATION
2395b4e4-98c9-4483-a98c-dc257d805d8b	14aa087b-b411-45ee-82c2-2acf9d925db2	IT_LOAD
54409847-c7aa-42c2-9ba0-3d0626e3d72e	7526bef5-44c0-479b-b39a-d9bf56c76045	SWITCHGEAR
54409847-c7aa-42c2-9ba0-3d0626e3d72e	1a1c4d20-9e3f-45ed-8d34-06ce46b16897	GENERATOR
54409847-c7aa-42c2-9ba0-3d0626e3d72e	b649ef62-5fe3-4bf9-bc86-0d9a59a94573	PRIMARY_AUXILIARIES
54409847-c7aa-42c2-9ba0-3d0626e3d72e	5fb6da99-6d0c-4bf1-a3ea-c6ab9e25562a	UPS
54409847-c7aa-42c2-9ba0-3d0626e3d72e	4cbf6bb5-d35e-4c20-808a-c2979ed76dbf	CRITICAL_AUXILIARIES
54409847-c7aa-42c2-9ba0-3d0626e3d72e	9da19c7d-e4a9-4dc5-8b1a-99b115169e58	LIGHTING
54409847-c7aa-42c2-9ba0-3d0626e3d72e	16a47ef8-e668-448b-9d16-bb028c36c5d5	CRITICAL_POWER_DISTRIBUTION
54409847-c7aa-42c2-9ba0-3d0626e3d72e	8e475696-5933-4aec-b78b-b86c35fb394f	CRAH
54409847-c7aa-42c2-9ba0-3d0626e3d72e	3b3628f3-16bc-412c-ba9f-db146978b006	CRAC
54409847-c7aa-42c2-9ba0-3d0626e3d72e	6c2e85da-50b5-404c-be55-b47f1f82d639	CRAC_WITHOUT_FAN
54409847-c7aa-42c2-9ba0-3d0626e3d72e	72ba985b-6f08-48e3-9283-e78e01ec160c	CRAC_FAN
54409847-c7aa-42c2-9ba0-3d0626e3d72e	486983c2-879b-4e47-86f5-3c0a3853048d	CHILLER
54409847-c7aa-42c2-9ba0-3d0626e3d72e	58db9c66-1440-43c8-9d43-b7c3449b33cd	AIR_COOLED_CHILLER
54409847-c7aa-42c2-9ba0-3d0626e3d72e	9e602160-fb09-456b-9b99-65f0ea0a53eb	COOLING_TOWER
54409847-c7aa-42c2-9ba0-3d0626e3d72e	b8f41705-ad00-46d0-b018-91345fe3173b	DRY_COOLER
54409847-c7aa-42c2-9ba0-3d0626e3d72e	b9dc75a2-c356-4883-ad44-8e7a3ba643c9	REMOTE_CONDENSER
54409847-c7aa-42c2-9ba0-3d0626e3d72e	c4fbeca7-4710-45a7-b61b-2c372d083e9a	CHILLED_WATER_PUMPS
54409847-c7aa-42c2-9ba0-3d0626e3d72e	1ca7434b-b633-41a4-aa35-ab73ea96b84d	HEAT_REJECTION_PUMPS
54409847-c7aa-42c2-9ba0-3d0626e3d72e	5aa65964-1631-46bd-986a-5ed0c0c83f62	VENTILATION
54409847-c7aa-42c2-9ba0-3d0626e3d72e	707d3209-c87b-4a65-bcfc-75c98d629677	INFILTRATION
54409847-c7aa-42c2-9ba0-3d0626e3d72e	5f040203-1ca0-4cd2-bc69-b2e9f8487efd	IT_LOAD
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	cc2e255f-205a-4d82-99b1-28c73963ca1e	SWITCHGEAR
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	958d0ea9-fe26-4390-a6af-fd4e60e6f8d6	GENERATOR
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	12eedb8c-4a73-46d9-9096-cac68b68c656	PRIMARY_AUXILIARIES
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	f5881e6d-49d6-40ec-9e39-bd9575a06f5c	UPS
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	69d9aae8-d928-4e68-a454-a682c137eced	CRITICAL_AUXILIARIES
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	8345d9ac-a193-4680-8fce-1e473108a2bb	LIGHTING
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	911501f2-5638-4f8e-94b2-875815215ce0	CRITICAL_POWER_DISTRIBUTION
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	90205e16-dcdd-4810-98c3-97dd38407fd1	CRAH
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	9b44cc57-1af3-4e8a-be90-ed589dac5d63	CRAC
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	2b7dfa52-f005-4b59-89aa-78c4be733b8b	CRAC_WITHOUT_FAN
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	2385c0d8-5ae1-4953-b696-e759f6b203b8	CRAC_FAN
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	b295784d-a27e-4533-86f3-98acebce41d5	CHILLER
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	c4fd5c7a-3d5d-4d2f-9ad4-ab361e6493d7	AIR_COOLED_CHILLER
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	1e8b3620-31f8-4764-b5e1-6d66b24c5834	COOLING_TOWER
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	2a7563b1-1adc-4d26-a087-1cdd0e63d410	DRY_COOLER
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	710fe27a-661d-4b95-b955-048fa5b45af5	REMOTE_CONDENSER
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	8ed5b279-2aa7-400f-91ad-e13cc6990e91	CHILLED_WATER_PUMPS
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	1ce57ef0-1e09-4243-acba-63cb3366eb33	HEAT_REJECTION_PUMPS
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	9151c673-7d8f-4f5e-838c-93ba5637a58d	VENTILATION
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	f1332da5-871f-4a71-916a-fd131a7ea691	INFILTRATION
1df8cbe0-4810-46e4-8dc6-b830283f6aa1	6c1e9313-7407-4cdb-a266-accca1c68c32	IT_LOAD
c196245d-caf5-4deb-95b0-482207eb742a	cdf79974-c57f-4a7e-89a1-11246a69e1c4	SWITCHGEAR
c196245d-caf5-4deb-95b0-482207eb742a	106a9abb-dfd3-43a0-9935-0ee78484515c	GENERATOR
c196245d-caf5-4deb-95b0-482207eb742a	75553724-eade-4eb9-8fb4-26b3d3ace1d8	PRIMARY_AUXILIARIES
c196245d-caf5-4deb-95b0-482207eb742a	ace3aa3e-a342-4a0a-9066-0c4a10dc9a71	UPS
c196245d-caf5-4deb-95b0-482207eb742a	2087d9b0-2d4a-4a65-a392-238f281a36e6	CRITICAL_AUXILIARIES
c196245d-caf5-4deb-95b0-482207eb742a	c7545493-7ffa-456a-b184-c32407ca8e8e	LIGHTING
c196245d-caf5-4deb-95b0-482207eb742a	93c7739d-ac29-4a92-b7d8-b8d38b3323ab	CRITICAL_POWER_DISTRIBUTION
c196245d-caf5-4deb-95b0-482207eb742a	a45b80b3-304a-440b-bd83-dcf7ea2a3853	CRAH
c196245d-caf5-4deb-95b0-482207eb742a	5b9e0909-d366-4768-b698-e4c47a15e11a	CRAC
c196245d-caf5-4deb-95b0-482207eb742a	79d11973-c28f-4293-8f09-75839624c55e	CRAC_WITHOUT_FAN
c196245d-caf5-4deb-95b0-482207eb742a	e5270e5b-ec1c-4dcb-b813-b64b990577a6	CRAC_FAN
c196245d-caf5-4deb-95b0-482207eb742a	c95822a5-928e-47c1-9c48-0f050d39c6ca	CHILLER
c196245d-caf5-4deb-95b0-482207eb742a	10d8fb46-86c3-44f8-afdb-2242cbe41d2f	AIR_COOLED_CHILLER
c196245d-caf5-4deb-95b0-482207eb742a	eeec894e-c02e-4f35-87c1-a0e3a8a1901c	COOLING_TOWER
c196245d-caf5-4deb-95b0-482207eb742a	e5fac2c8-bef2-43bc-beb6-b10629a0b3a4	DRY_COOLER
c196245d-caf5-4deb-95b0-482207eb742a	b9a194be-6937-42f9-8b36-9046ebde9c84	REMOTE_CONDENSER
c196245d-caf5-4deb-95b0-482207eb742a	fd64c118-e548-42b9-8469-cc21d79e6e9f	CHILLED_WATER_PUMPS
c196245d-caf5-4deb-95b0-482207eb742a	d7b35a55-edc0-4d64-8d25-4a6f11787c87	HEAT_REJECTION_PUMPS
c196245d-caf5-4deb-95b0-482207eb742a	2db4d4f4-cbfe-469d-b99f-84ef116c95bd	VENTILATION
c196245d-caf5-4deb-95b0-482207eb742a	b09484e9-0264-4f8a-9898-15adc923180b	INFILTRATION
c196245d-caf5-4deb-95b0-482207eb742a	39fc07de-a985-4f14-85fd-677de132c554	IT_LOAD
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	125c3a2d-8765-4da9-ba66-ed9843b271fd	SWITCHGEAR
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	88e461e9-9e4b-45f7-b63e-b3bb606b8dbf	GENERATOR
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	33a9a620-841e-48bd-b4ab-7f4f348a5674	PRIMARY_AUXILIARIES
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	68c0ba6d-945b-44d0-9c96-86bf7398db73	UPS
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	c39dd327-367c-47fd-92c0-c6c7af58bd9a	CRITICAL_AUXILIARIES
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	412d12e5-bcb0-4e4a-a2cf-f0175ece3846	LIGHTING
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	db91ac70-022a-4294-94d2-8fb8b0c23701	CRITICAL_POWER_DISTRIBUTION
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	eec982c8-3969-4ec5-8fa3-f55e368d1005	CRAH
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	8c362844-5c55-4edb-bf87-ae19343f45fc	CRAC
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	7886092b-d5a3-4133-abfa-a43fe6672e2e	CRAC_WITHOUT_FAN
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	e74d7bd5-75c7-4543-8b2f-d16e9170b1f1	CRAC_FAN
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	53913d00-5019-4de6-9a81-08e6434eef34	CHILLER
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	3146b53a-d1ec-4d02-bdff-efa6d61d2cd1	AIR_COOLED_CHILLER
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	116608fb-7ced-4575-9391-2e6d28975e62	COOLING_TOWER
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	72fbf5e9-8edc-4ebb-9df0-c0c4638687a7	DRY_COOLER
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	c44f18c4-3442-42b0-a837-288c10e45299	REMOTE_CONDENSER
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	66c56ef0-d0b9-462a-8f11-de54bb8e37c2	CHILLED_WATER_PUMPS
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	ab9cda61-a395-4efe-9ada-373710199f39	HEAT_REJECTION_PUMPS
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	110cdf86-cf5f-4ea3-b2e4-a3399cb2a6f7	VENTILATION
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	4c12ec44-ebab-4519-89d0-fe2f9b28f133	INFILTRATION
24bbdf97-98e4-4384-8c38-3cd11fe00ac5	93396ab3-627b-4b9a-bde8-04c35a6065fe	IT_LOAD
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	2c5f118f-7bc1-487f-9ef0-840c12b9ad40	SWITCHGEAR
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	e09cc346-54a8-4f37-9a77-d60b91aa30c0	GENERATOR
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	7670a9d8-d05f-4787-a05c-d697694a7718	PRIMARY_AUXILIARIES
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	2c2e8b7c-707e-4945-904d-89f0fabf8ca4	UPS
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	afbf65b5-4f50-491a-9625-641e3c0abaf7	CRITICAL_AUXILIARIES
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	305291f4-89e7-43cd-9910-481a162a39b6	LIGHTING
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	4686c4b3-84ea-4ec4-b710-b8c08e57e9e8	CRITICAL_POWER_DISTRIBUTION
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	8f549546-c120-4599-a8b3-b0f3aeaf868b	CRAH
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	c255aea0-24ac-42d7-8b0f-f27629f3da43	CRAC
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	a4b155d7-65eb-4a2f-abeb-8bfc7c9f2efe	CRAC_WITHOUT_FAN
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	389a4eb5-3adb-4184-852b-358dceef5dc8	CRAC_FAN
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	068341f9-7a22-4fb3-9bbd-2b8baf09b69f	CHILLER
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	acf1174a-f427-4004-995c-6566fe46b3bd	AIR_COOLED_CHILLER
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	2f733fd5-3bc5-4c32-9d4e-d23eb481c597	COOLING_TOWER
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	d7452152-2638-4e82-854f-c7f6084db03e	DRY_COOLER
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	a295c163-3f62-4d2c-a2c8-33e48fbe3355	REMOTE_CONDENSER
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	7c359c10-67ee-4ea7-ad95-62d27acf59f0	CHILLED_WATER_PUMPS
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	b4d7ad1e-f5ce-4ead-8c65-83319de3669b	HEAT_REJECTION_PUMPS
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	ac62d48d-c8a3-4e56-bc64-6b426b57eaf6	VENTILATION
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	e223f837-2ef4-448a-84b9-ea6acb12a1f2	INFILTRATION
99012fcb-12fd-4ab5-ad9e-9f3c85c7a318	e09a6ba2-d7dd-440c-bcca-a8ab3e8eacdc	IT_LOAD
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	e36f905d-495e-46aa-8ccb-f7221f59f438	SWITCHGEAR
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	7efc638c-be6f-4955-920d-322324e0997a	GENERATOR
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	32f852a4-9101-441a-9f79-3ce9dcf38fbc	PRIMARY_AUXILIARIES
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	42cbf283-08e6-4c9f-af3e-d27e0b1533ce	UPS
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	f0fff78f-f482-473b-a1b5-01c61d44ae3a	CRITICAL_AUXILIARIES
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	c7febfc9-8798-4edc-9805-fc56141e4bb0	LIGHTING
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	d6594067-c277-49c8-aa2e-4ef127338da1	CRITICAL_POWER_DISTRIBUTION
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	50398698-e580-403a-ba64-21d02a4356df	CRAH
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	fb01e616-9833-41e3-bb10-813f346efb53	CRAC
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	6059da5b-3a6d-4301-91a3-5cc54bf46132	CRAC_WITHOUT_FAN
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	9184d9ad-15f8-4720-8514-8a3c08f7144b	CRAC_FAN
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	eb82fac0-4a12-4dcd-baff-0f99d9de0444	CHILLER
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	098f7a4e-6eaa-425f-9175-64bf62df60ef	AIR_COOLED_CHILLER
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	79d1e217-80f6-4c67-81bd-0071b7b28be2	COOLING_TOWER
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	a2ce233d-9317-47f2-a9a4-0aa86f72d5aa	DRY_COOLER
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	8775e5cf-495d-46ee-b0dc-c9a32a33a6a7	REMOTE_CONDENSER
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	b60893e3-ad83-41be-a27e-46efffbcfe04	CHILLED_WATER_PUMPS
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	8532bd85-5a1d-4e85-a3ba-88bfc2301a4d	HEAT_REJECTION_PUMPS
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	aa9360be-66ad-415c-a98b-039eee25a4d3	VENTILATION
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	06eb424a-fcdb-4003-9fca-5f1893737a80	INFILTRATION
fd5f193e-5464-4c17-85bb-321ec2b2fe6d	de22d5c7-19a3-4b20-b96e-49d8c60ec53d	IT_LOAD
ed311d0c-7057-4474-ac6e-f98fede04c07	76d6920b-15cf-4377-b68f-ce411294cdd2	SWITCHGEAR
ed311d0c-7057-4474-ac6e-f98fede04c07	9b134804-5b53-40de-8a26-538e58cdf5cc	GENERATOR
ed311d0c-7057-4474-ac6e-f98fede04c07	eda74071-1935-4dba-82ee-51bb8430953f	PRIMARY_AUXILIARIES
ed311d0c-7057-4474-ac6e-f98fede04c07	4f465163-1a9b-4c88-b095-28eec9974f09	UPS
ed311d0c-7057-4474-ac6e-f98fede04c07	95a61759-a819-4263-8f03-91b499a13da5	CRITICAL_AUXILIARIES
ed311d0c-7057-4474-ac6e-f98fede04c07	b25459d8-7048-4f0f-a917-e7ac13e6ac8f	LIGHTING
ed311d0c-7057-4474-ac6e-f98fede04c07	76a3faee-ce2b-4114-a25b-10d54ef0ce37	CRITICAL_POWER_DISTRIBUTION
ed311d0c-7057-4474-ac6e-f98fede04c07	d3f0ce33-30bf-4259-a928-8a85601b1ea5	CRAH
ed311d0c-7057-4474-ac6e-f98fede04c07	ce0328a7-8c52-47b4-8884-a05cfe3f4dd9	CRAC
ed311d0c-7057-4474-ac6e-f98fede04c07	9971aac0-91e7-4da4-afde-ce69ca344706	CRAC_WITHOUT_FAN
ed311d0c-7057-4474-ac6e-f98fede04c07	803dc668-8709-45f1-958c-6273a8b6741b	CRAC_FAN
ed311d0c-7057-4474-ac6e-f98fede04c07	8637c7c1-fe32-45c7-a643-b4777605cedf	CHILLER
ed311d0c-7057-4474-ac6e-f98fede04c07	7ac29ac0-a7e2-407a-bfd7-40454be11ca9	AIR_COOLED_CHILLER
ed311d0c-7057-4474-ac6e-f98fede04c07	23dec782-1bb0-4f29-b113-964ce666f140	COOLING_TOWER
ed311d0c-7057-4474-ac6e-f98fede04c07	0b98d145-e662-4420-a662-8c2512a85916	DRY_COOLER
ed311d0c-7057-4474-ac6e-f98fede04c07	2cf568aa-d8aa-47b2-8b1c-6fea8b6e43d5	REMOTE_CONDENSER
ed311d0c-7057-4474-ac6e-f98fede04c07	dc9b65e3-075a-4878-a032-5d17dafdeeaa	CHILLED_WATER_PUMPS
ed311d0c-7057-4474-ac6e-f98fede04c07	3a2c405a-de4b-40cd-bc44-6f58db2f3045	HEAT_REJECTION_PUMPS
ed311d0c-7057-4474-ac6e-f98fede04c07	eef2645d-0af3-4645-99b3-3990129ad808	VENTILATION
ed311d0c-7057-4474-ac6e-f98fede04c07	adcb4f3a-24ad-4f2a-9532-156eebe5fb74	INFILTRATION
ed311d0c-7057-4474-ac6e-f98fede04c07	602e4be9-4bf8-4198-8428-438b181a9fbc	IT_LOAD
e8b478fc-5b82-4110-94ff-e6009b98445b	d726427f-fb52-4692-871c-f426c3c34f78	SWITCHGEAR
e8b478fc-5b82-4110-94ff-e6009b98445b	6bc15637-96a4-4469-a7be-219bb4480713	GENERATOR
e8b478fc-5b82-4110-94ff-e6009b98445b	264e15cd-918e-44eb-95cd-5fa9c6ac4ff6	PRIMARY_AUXILIARIES
e8b478fc-5b82-4110-94ff-e6009b98445b	2449dc0c-2003-43f8-930a-197d57050e43	UPS
e8b478fc-5b82-4110-94ff-e6009b98445b	58fdd509-675f-4d94-9133-c36be7afa2a9	CRITICAL_AUXILIARIES
e8b478fc-5b82-4110-94ff-e6009b98445b	567c4a89-9a0b-4901-951b-3f49a0855308	LIGHTING
e8b478fc-5b82-4110-94ff-e6009b98445b	c231d0eb-6069-49ae-96da-1242db215379	CRITICAL_POWER_DISTRIBUTION
e8b478fc-5b82-4110-94ff-e6009b98445b	8613b0a8-ab29-403f-a932-0565481990a0	CRAH
e8b478fc-5b82-4110-94ff-e6009b98445b	c8b3d296-b232-4789-b838-3344d03a8be3	CRAC
e8b478fc-5b82-4110-94ff-e6009b98445b	115b2666-6990-427c-a7e8-aca42f833271	CRAC_WITHOUT_FAN
e8b478fc-5b82-4110-94ff-e6009b98445b	eeb9f15d-9e7c-4577-a7f2-ea65175bb992	CRAC_FAN
e8b478fc-5b82-4110-94ff-e6009b98445b	a9ff303e-8d79-4785-b0cb-c0d892f3ea1f	CHILLER
e8b478fc-5b82-4110-94ff-e6009b98445b	51a580da-100e-4f61-a25a-ad27df40c528	AIR_COOLED_CHILLER
e8b478fc-5b82-4110-94ff-e6009b98445b	ae7bb26d-0a6a-4e3a-93dc-2653e3511bea	COOLING_TOWER
e8b478fc-5b82-4110-94ff-e6009b98445b	36e3068d-786e-4bd3-b714-7ffae19c2921	DRY_COOLER
e8b478fc-5b82-4110-94ff-e6009b98445b	989ac7b3-7787-4bdb-b21e-d66a0b07f9b3	REMOTE_CONDENSER
e8b478fc-5b82-4110-94ff-e6009b98445b	c5e0b43c-8eee-4bf6-b5dc-c57bfeb8e83e	CHILLED_WATER_PUMPS
e8b478fc-5b82-4110-94ff-e6009b98445b	6c260031-c6cc-4983-b1d4-cbcd1ba4658f	HEAT_REJECTION_PUMPS
e8b478fc-5b82-4110-94ff-e6009b98445b	bc4fd98d-70af-4214-932c-cda870076c12	VENTILATION
e8b478fc-5b82-4110-94ff-e6009b98445b	3272de64-c025-4f56-8393-8ad6b39322ea	INFILTRATION
e8b478fc-5b82-4110-94ff-e6009b98445b	ed65e763-f5c6-4c71-b0c5-4105cdbc219f	IT_LOAD
10dec137-cf6b-460d-b5e0-37e8b4606d9b	e8c8ff55-3cd6-4541-aff5-31ce36ac693b	SWITCHGEAR
10dec137-cf6b-460d-b5e0-37e8b4606d9b	eac24149-f543-4f37-b37e-839b7b33c8c6	GENERATOR
10dec137-cf6b-460d-b5e0-37e8b4606d9b	6c5fb621-921f-45fd-97e9-a847e3b9d97d	PRIMARY_AUXILIARIES
10dec137-cf6b-460d-b5e0-37e8b4606d9b	eb57709d-7e0f-4d16-b888-8ae2bb5cdd65	UPS
10dec137-cf6b-460d-b5e0-37e8b4606d9b	9ecb6d80-efb9-46a3-9e70-3acacfbf7614	CRITICAL_AUXILIARIES
10dec137-cf6b-460d-b5e0-37e8b4606d9b	cbf77dbe-de1c-4976-bdb6-33f2ca22dae5	LIGHTING
10dec137-cf6b-460d-b5e0-37e8b4606d9b	d20873fa-8591-469f-9fe0-e395123df0cf	CRITICAL_POWER_DISTRIBUTION
10dec137-cf6b-460d-b5e0-37e8b4606d9b	ca624977-cbdc-4291-b47e-56c2f2c4e369	CRAH
10dec137-cf6b-460d-b5e0-37e8b4606d9b	1e21845f-cbba-4dbb-8a13-c66b5fe7a478	CRAC
10dec137-cf6b-460d-b5e0-37e8b4606d9b	0d3cca70-e350-4b4d-9b48-fdda2cb80066	CRAC_WITHOUT_FAN
10dec137-cf6b-460d-b5e0-37e8b4606d9b	9f38122e-a962-4d81-a0f4-e867e024bb36	CRAC_FAN
10dec137-cf6b-460d-b5e0-37e8b4606d9b	98ec7170-dd09-4857-b5b8-9c033d21d388	CHILLER
10dec137-cf6b-460d-b5e0-37e8b4606d9b	8dc54341-db49-4335-afae-7287e3ebd9db	AIR_COOLED_CHILLER
10dec137-cf6b-460d-b5e0-37e8b4606d9b	8decf560-de56-44ea-bb73-843dc1aab9fc	COOLING_TOWER
10dec137-cf6b-460d-b5e0-37e8b4606d9b	eb75f65d-8b76-4fc9-bf57-e9abda632d49	DRY_COOLER
10dec137-cf6b-460d-b5e0-37e8b4606d9b	7777f19e-cd64-4dd2-98e9-ea48c3d214df	REMOTE_CONDENSER
10dec137-cf6b-460d-b5e0-37e8b4606d9b	7670768e-8f4c-4448-a75e-85befc76a1c1	CHILLED_WATER_PUMPS
10dec137-cf6b-460d-b5e0-37e8b4606d9b	65f3afcc-9adb-4ccd-a678-63b629c464e1	HEAT_REJECTION_PUMPS
10dec137-cf6b-460d-b5e0-37e8b4606d9b	99bf1a17-8f0f-474c-9b21-157016e5a577	VENTILATION
10dec137-cf6b-460d-b5e0-37e8b4606d9b	04d41cc3-035f-420b-a404-2a5065e0737a	INFILTRATION
10dec137-cf6b-460d-b5e0-37e8b4606d9b	9e65ab1e-9b48-4de3-8573-cc49af3f52d6	IT_LOAD
41737542-c995-4f1d-a5d6-6a22b0305b67	d5f0230f-399b-438f-9ca2-2746c62cbbb7	SWITCHGEAR
41737542-c995-4f1d-a5d6-6a22b0305b67	a1301ac6-4746-45d0-97c5-99ded0318a90	GENERATOR
41737542-c995-4f1d-a5d6-6a22b0305b67	0c8df3f1-641b-4e39-8132-d2134ac7d180	PRIMARY_AUXILIARIES
41737542-c995-4f1d-a5d6-6a22b0305b67	c2ad6f08-4626-410e-b941-35e348d035b6	UPS
41737542-c995-4f1d-a5d6-6a22b0305b67	816949de-e719-4a06-8b52-baf5440ac391	CRITICAL_AUXILIARIES
41737542-c995-4f1d-a5d6-6a22b0305b67	fcf31227-8afe-4a31-90d9-1dd6becff46f	LIGHTING
41737542-c995-4f1d-a5d6-6a22b0305b67	b196643c-93e4-4295-abf5-ce6d73b0e568	CRITICAL_POWER_DISTRIBUTION
41737542-c995-4f1d-a5d6-6a22b0305b67	a1aadba3-cd51-47c2-ad79-16a796cc993c	CRAH
41737542-c995-4f1d-a5d6-6a22b0305b67	460a7505-aeae-469a-b14d-bc91ea0f5080	CRAC
41737542-c995-4f1d-a5d6-6a22b0305b67	16e0db8b-fba9-420b-bc30-25c012dfa828	CRAC_WITHOUT_FAN
41737542-c995-4f1d-a5d6-6a22b0305b67	ccf14e99-219e-440c-ac09-4129d94fb6a2	CRAC_FAN
41737542-c995-4f1d-a5d6-6a22b0305b67	9a4c6102-73c2-4871-8fda-b613e28e64e4	CHILLER
41737542-c995-4f1d-a5d6-6a22b0305b67	9b0fa7f4-b724-4144-86a0-37f3c2d2a32e	AIR_COOLED_CHILLER
41737542-c995-4f1d-a5d6-6a22b0305b67	8aaacc9f-6a27-42b1-88e5-ab18de864935	COOLING_TOWER
41737542-c995-4f1d-a5d6-6a22b0305b67	d8adda19-abe4-468a-8f83-9c44bd05c491	DRY_COOLER
41737542-c995-4f1d-a5d6-6a22b0305b67	09df2cee-8071-4a2f-b397-a46b7c6d39ff	REMOTE_CONDENSER
41737542-c995-4f1d-a5d6-6a22b0305b67	65738516-3fe5-445d-bbf1-c8efb7e39b95	CHILLED_WATER_PUMPS
41737542-c995-4f1d-a5d6-6a22b0305b67	ef0e9e0e-8c50-41aa-9d52-162fa9d2d7e1	HEAT_REJECTION_PUMPS
41737542-c995-4f1d-a5d6-6a22b0305b67	b11c179a-e0b2-43b1-8e8b-2f72255b768b	VENTILATION
41737542-c995-4f1d-a5d6-6a22b0305b67	30af2fdb-59c1-4810-97e6-690aa3ba37b3	INFILTRATION
41737542-c995-4f1d-a5d6-6a22b0305b67	5078a4e1-2f84-40b0-be39-f032bcd3059a	IT_LOAD
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	f1785c1b-093f-4f88-a1ed-fb69bdb7774a	SWITCHGEAR
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	e529cfa7-f486-4e68-b182-d6de5a301213	GENERATOR
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	b2fc9581-b7b6-4e53-b9d1-5722724c99ce	PRIMARY_AUXILIARIES
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	3ffed70b-a28f-4c61-a46f-73c8864ccc56	UPS
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	d1b23e27-8329-4a59-b3c9-bb10469bf861	CRITICAL_AUXILIARIES
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	b64c3a4b-81af-42c0-9244-c7e2c7bd9c3a	LIGHTING
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	7ae6b231-a823-4175-a627-88e936ceb2af	CRITICAL_POWER_DISTRIBUTION
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	b7c43105-bdea-4ded-9e6c-a7a8733bd4b9	CRAH
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	297cc4e3-cbda-4b91-b038-b99baaaa3643	CRAC
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	1b33d6b1-d667-40b3-9ba8-3abe485dff10	CRAC_WITHOUT_FAN
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	6b5ad34e-a0ed-4e4a-a42e-faac69a3b40c	CRAC_FAN
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	bdefe236-114a-47a1-8cb6-dc6361e59bfa	CHILLER
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	a3e7f30e-1444-45df-bb2c-c49ddf50555f	AIR_COOLED_CHILLER
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	35bb86e7-11a0-40bd-b33d-8f7680991c84	COOLING_TOWER
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	ce96e244-2972-4c28-8d58-32a5416551e7	DRY_COOLER
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	0544fce1-e64e-4020-94bc-c80f62c3851a	REMOTE_CONDENSER
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	8a837b5c-abc2-4b60-9b8a-d99258776e13	CHILLED_WATER_PUMPS
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	3df96f32-40d3-4d8f-a7a7-0a8486e9da73	HEAT_REJECTION_PUMPS
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	e92af0bf-2f58-4039-8750-746ee38e2d25	VENTILATION
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	4cc30581-1460-4296-92fd-7b882507bdf4	INFILTRATION
a3e8442b-e0b3-4c46-b6b3-a86f1abcb8d8	c2c77e95-186d-4797-9d5e-0c4ad9dd1872	IT_LOAD
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	5865bbe9-7e6a-411e-8f89-d40caf724d0a	SWITCHGEAR
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	aaafae66-857a-43b0-9901-2a834992cfc9	GENERATOR
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	dd749682-6905-4280-a4ec-262b0449d503	PRIMARY_AUXILIARIES
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	bcbaa05f-7837-4e38-9b46-5a0993ec2deb	UPS
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	9b13a52d-5def-442d-b954-5ffbaa9d6d57	CRITICAL_AUXILIARIES
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	f3363424-c2a3-4c17-a530-888810d468f0	LIGHTING
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	5c7f160c-df47-42cf-9354-caa3d8f5bee7	CRITICAL_POWER_DISTRIBUTION
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	8fe62c4a-4cc7-476d-b2c6-3a458cc34673	CRAH
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	db6aecab-64c7-47f7-b87f-08707cf7e1c1	CRAC
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	8cb576e1-ad04-4431-b006-27cf074415a9	CRAC_WITHOUT_FAN
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	daf2f979-6bb3-485d-97c0-633ddc49f905	CRAC_FAN
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	3ee5f60e-52ae-484b-96d9-bf8fa27434e8	CHILLER
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	1d251676-bba1-4fa6-8fd2-cbfb03bf7ac3	AIR_COOLED_CHILLER
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	b3ea874f-67b5-4847-b541-5d4071cf717a	COOLING_TOWER
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	59063162-1966-4d74-be89-11e753df2bb6	DRY_COOLER
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	5b850066-e571-4dfe-9b74-79962326adbd	REMOTE_CONDENSER
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	4e0f553e-fed7-45ee-90b8-4e35e387aacb	CHILLED_WATER_PUMPS
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	c96af2fb-c448-400f-b32b-a9ce051c83a6	HEAT_REJECTION_PUMPS
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	bf80cb02-c094-4837-bd75-a1471cdaacaa	VENTILATION
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	69a94b21-ec20-429f-b19f-ea54d380406f	INFILTRATION
588986f1-f6ca-48d3-90d6-5bb76b6efcf2	f2a6f3eb-6a28-4bb7-93d0-733ea4c1ef6d	IT_LOAD
98e0b526-9e28-4076-93c8-a4ed2d2003c0	b1b6414a-b973-4916-8da0-2967303c0d2d	SWITCHGEAR
98e0b526-9e28-4076-93c8-a4ed2d2003c0	8c9dd285-8eb4-4063-a886-1d549f85b6b5	GENERATOR
98e0b526-9e28-4076-93c8-a4ed2d2003c0	4c7f7264-3f86-4be5-8905-c9f448fe1abd	PRIMARY_AUXILIARIES
98e0b526-9e28-4076-93c8-a4ed2d2003c0	87e503a8-ad31-44bb-85de-c580610834cd	UPS
98e0b526-9e28-4076-93c8-a4ed2d2003c0	f235dc3c-e418-41b8-b6f5-9bcc759fb7b8	CRITICAL_AUXILIARIES
98e0b526-9e28-4076-93c8-a4ed2d2003c0	58c87f45-85ed-4eb1-b8f5-31955110b03d	LIGHTING
98e0b526-9e28-4076-93c8-a4ed2d2003c0	a801b6b2-1575-479d-a77b-abd6e0572884	CRITICAL_POWER_DISTRIBUTION
98e0b526-9e28-4076-93c8-a4ed2d2003c0	fa0958f9-3e4d-4341-a329-8782238fb4ce	CRAH
98e0b526-9e28-4076-93c8-a4ed2d2003c0	2525564a-4a00-4037-967a-994379cbfe2d	CRAC
98e0b526-9e28-4076-93c8-a4ed2d2003c0	d4bb7d1a-1faa-44d2-ab84-3a2d941b6974	CRAC_WITHOUT_FAN
98e0b526-9e28-4076-93c8-a4ed2d2003c0	b4e678fd-de05-493b-b5ea-d107c7aff8d0	CRAC_FAN
98e0b526-9e28-4076-93c8-a4ed2d2003c0	df256ab8-5a24-4ecf-b090-aa791e7e2ad7	CHILLER
98e0b526-9e28-4076-93c8-a4ed2d2003c0	163d56d8-5405-4bf2-8af6-d21d97882e5a	AIR_COOLED_CHILLER
98e0b526-9e28-4076-93c8-a4ed2d2003c0	7c148c2b-931a-47e2-89ba-62612c1dddf5	COOLING_TOWER
98e0b526-9e28-4076-93c8-a4ed2d2003c0	1778fe6b-6964-4b04-a390-aafecca5b0dd	DRY_COOLER
98e0b526-9e28-4076-93c8-a4ed2d2003c0	51088313-2a0b-42cb-883b-8aa49023dd55	REMOTE_CONDENSER
98e0b526-9e28-4076-93c8-a4ed2d2003c0	d152cc8d-e28b-4bc7-ae33-09dd90028486	CHILLED_WATER_PUMPS
98e0b526-9e28-4076-93c8-a4ed2d2003c0	35f3c4c0-52a0-4adf-b0a1-2b9c8be428fc	HEAT_REJECTION_PUMPS
98e0b526-9e28-4076-93c8-a4ed2d2003c0	8422ea3a-4c9d-44d6-a81d-aace11f5cbee	VENTILATION
98e0b526-9e28-4076-93c8-a4ed2d2003c0	01f1dccc-90b3-4b87-907b-10e0c1eaa1c0	INFILTRATION
98e0b526-9e28-4076-93c8-a4ed2d2003c0	f580896d-3a0c-4958-a17f-5e7cbe06ab90	IT_LOAD
e79c7ae2-8062-4b46-a86a-306d795fbe8a	7ef07db6-ecb2-41b6-8a96-57f9d2fe54e7	SWITCHGEAR
e79c7ae2-8062-4b46-a86a-306d795fbe8a	ae68c056-4b66-4a36-9aed-558e1eb9e41d	GENERATOR
e79c7ae2-8062-4b46-a86a-306d795fbe8a	bfd5383f-e1d7-4baa-a384-f428bb42e374	PRIMARY_AUXILIARIES
e79c7ae2-8062-4b46-a86a-306d795fbe8a	661bcd23-2815-4189-aec0-0341263c9a1a	UPS
e79c7ae2-8062-4b46-a86a-306d795fbe8a	46a24b0a-e5d6-4c92-806b-ba5548c2a3de	CRITICAL_AUXILIARIES
e79c7ae2-8062-4b46-a86a-306d795fbe8a	fef5354d-b1b5-4f99-9887-bdb8a15eb59c	LIGHTING
e79c7ae2-8062-4b46-a86a-306d795fbe8a	3cedda54-0e9c-4a27-9210-49afade218b7	CRITICAL_POWER_DISTRIBUTION
e79c7ae2-8062-4b46-a86a-306d795fbe8a	b4fc48d9-23ac-4b25-923c-655f40129647	CRAH
e79c7ae2-8062-4b46-a86a-306d795fbe8a	cdb73eb4-8659-43db-b906-42db651b4e3c	CRAC
e79c7ae2-8062-4b46-a86a-306d795fbe8a	1688a0a8-593c-4ccf-ae05-c1c635abb53b	CRAC_WITHOUT_FAN
e79c7ae2-8062-4b46-a86a-306d795fbe8a	1604828a-c9d3-429b-a9ac-8a09edae91e4	CRAC_FAN
e79c7ae2-8062-4b46-a86a-306d795fbe8a	9de9d0ff-0970-4f0f-a018-f41a63793cdd	CHILLER
e79c7ae2-8062-4b46-a86a-306d795fbe8a	e65c7359-7849-4bd5-91cd-bb307a274356	AIR_COOLED_CHILLER
e79c7ae2-8062-4b46-a86a-306d795fbe8a	51fdf96c-886b-4a47-a75a-1922552b1ea4	COOLING_TOWER
e79c7ae2-8062-4b46-a86a-306d795fbe8a	d39b9f03-0231-4745-a796-9ae517371b93	DRY_COOLER
e79c7ae2-8062-4b46-a86a-306d795fbe8a	27a56f92-5b03-4495-ab7f-1c78466ef959	REMOTE_CONDENSER
e79c7ae2-8062-4b46-a86a-306d795fbe8a	b6fdf9b6-d222-407c-94d5-492f055d6fcd	CHILLED_WATER_PUMPS
e79c7ae2-8062-4b46-a86a-306d795fbe8a	6e39009c-032a-473a-a59c-b44ea0b4e86d	HEAT_REJECTION_PUMPS
e79c7ae2-8062-4b46-a86a-306d795fbe8a	420e567b-f2fe-4ddf-a4f2-c380b0efa2b9	VENTILATION
e79c7ae2-8062-4b46-a86a-306d795fbe8a	a9081aaf-3767-4d9a-8319-1973c07683c4	INFILTRATION
e79c7ae2-8062-4b46-a86a-306d795fbe8a	09930fe7-17f7-4670-a90e-b1d4dcc6e932	IT_LOAD
432fd606-1df1-4dc7-8015-717a81dccd5a	e00af96a-4414-402f-af39-2f3e37f86cdb	SWITCHGEAR
432fd606-1df1-4dc7-8015-717a81dccd5a	edba86c3-3148-49df-8ebb-95a05104154b	GENERATOR
432fd606-1df1-4dc7-8015-717a81dccd5a	bff9cc7b-5eb0-4d14-a66e-eb86a63d74e6	PRIMARY_AUXILIARIES
432fd606-1df1-4dc7-8015-717a81dccd5a	fdcc3e37-5325-42b0-83b3-7ffc4ddc384e	UPS
432fd606-1df1-4dc7-8015-717a81dccd5a	584325a2-76de-492d-84a1-85fe8193aced	CRITICAL_AUXILIARIES
432fd606-1df1-4dc7-8015-717a81dccd5a	4287f5e2-e1e0-453d-9369-63b46b41d309	LIGHTING
432fd606-1df1-4dc7-8015-717a81dccd5a	437bd5ef-eaf0-4a2f-859d-4a68b9d5e9c8	CRITICAL_POWER_DISTRIBUTION
432fd606-1df1-4dc7-8015-717a81dccd5a	b78c538a-286f-478d-881e-151dffb71b4c	CRAH
432fd606-1df1-4dc7-8015-717a81dccd5a	ab9bc26d-94ef-425e-b8a4-6475cd81fb05	CRAC
432fd606-1df1-4dc7-8015-717a81dccd5a	1ccbde1b-a67b-44f5-8569-650ad5763263	CRAC_WITHOUT_FAN
432fd606-1df1-4dc7-8015-717a81dccd5a	369fc7eb-b060-4ce9-b781-86ad30442271	CRAC_FAN
432fd606-1df1-4dc7-8015-717a81dccd5a	7064295b-e11d-4683-8b09-1f836f28bc1e	CHILLER
432fd606-1df1-4dc7-8015-717a81dccd5a	c7e4bbe1-c6ae-40f0-8dca-98bf5e9cbcaa	AIR_COOLED_CHILLER
432fd606-1df1-4dc7-8015-717a81dccd5a	b87f1610-3fe4-43e3-958d-2e81f4d2cd83	COOLING_TOWER
432fd606-1df1-4dc7-8015-717a81dccd5a	4e239b08-cf03-41df-a34f-4e62181fd0af	DRY_COOLER
432fd606-1df1-4dc7-8015-717a81dccd5a	6ca2717b-a1bf-4bb0-8210-59ed9287c988	REMOTE_CONDENSER
432fd606-1df1-4dc7-8015-717a81dccd5a	6581a029-281a-4acc-8dc5-de7dcbfcc855	CHILLED_WATER_PUMPS
432fd606-1df1-4dc7-8015-717a81dccd5a	786fe57d-e5bd-456b-8f80-c871ecf9efd1	HEAT_REJECTION_PUMPS
432fd606-1df1-4dc7-8015-717a81dccd5a	2b4cd1d3-6e68-4afd-8ff0-f5e296934157	VENTILATION
432fd606-1df1-4dc7-8015-717a81dccd5a	b99f72fd-df5e-44db-bb17-d343a6c57ee7	INFILTRATION
432fd606-1df1-4dc7-8015-717a81dccd5a	dd934986-3555-4637-8328-3f91d5a0f972	IT_LOAD
74fafa9d-7274-4b0e-b68b-ed758744a77b	bf9ab3d1-d264-4e17-a3bb-8ec5877a8272	SWITCHGEAR
74fafa9d-7274-4b0e-b68b-ed758744a77b	cb251bdf-6eb6-4372-bf99-7b0829c77727	GENERATOR
74fafa9d-7274-4b0e-b68b-ed758744a77b	0217ae38-9ddb-47a6-a3e2-bb25c0182094	PRIMARY_AUXILIARIES
74fafa9d-7274-4b0e-b68b-ed758744a77b	d2cb9bef-72db-4ce4-868a-5e5af4fd47ca	UPS
74fafa9d-7274-4b0e-b68b-ed758744a77b	5703ff90-da29-4ad2-8622-b4785b24aeec	CRITICAL_AUXILIARIES
74fafa9d-7274-4b0e-b68b-ed758744a77b	47620c57-f283-4a6f-8b54-704f8dc210fb	LIGHTING
74fafa9d-7274-4b0e-b68b-ed758744a77b	72a6418b-62ff-4e59-959e-ab30c1fbd4b3	CRITICAL_POWER_DISTRIBUTION
74fafa9d-7274-4b0e-b68b-ed758744a77b	984c8b34-e4b9-4d31-ab3f-86a073bc536d	CRAH
74fafa9d-7274-4b0e-b68b-ed758744a77b	b09ee8ee-8a39-4374-8551-f77aa35f9f3f	CRAC
74fafa9d-7274-4b0e-b68b-ed758744a77b	0bf50a2b-bb7c-42b5-bb18-8ad20bd92167	CRAC_WITHOUT_FAN
74fafa9d-7274-4b0e-b68b-ed758744a77b	f4842856-2182-4b97-b704-367e66fef9bb	CRAC_FAN
74fafa9d-7274-4b0e-b68b-ed758744a77b	2409dcc7-af69-49ee-bba7-fc148385b874	CHILLER
74fafa9d-7274-4b0e-b68b-ed758744a77b	a58e050a-15bc-439d-841a-c0ecd49cffa7	AIR_COOLED_CHILLER
74fafa9d-7274-4b0e-b68b-ed758744a77b	29b4b76c-7e4e-4f9e-b02c-4d0106faff0d	COOLING_TOWER
74fafa9d-7274-4b0e-b68b-ed758744a77b	8b3a8829-53df-4b3f-a993-8f181ad9db99	DRY_COOLER
74fafa9d-7274-4b0e-b68b-ed758744a77b	b6acda07-c049-4eda-b731-fcf5eee4a669	REMOTE_CONDENSER
74fafa9d-7274-4b0e-b68b-ed758744a77b	5d4fde33-c32d-49d5-ad93-9ba3156f3f33	CHILLED_WATER_PUMPS
74fafa9d-7274-4b0e-b68b-ed758744a77b	c90613d1-ccf9-40d9-8688-128f2bf3a8b2	HEAT_REJECTION_PUMPS
74fafa9d-7274-4b0e-b68b-ed758744a77b	07bcb96a-219c-4968-aff5-6613b1e44c06	VENTILATION
74fafa9d-7274-4b0e-b68b-ed758744a77b	3d3ca7a6-ed1e-4a4f-b470-51eea7b0ea7a	INFILTRATION
74fafa9d-7274-4b0e-b68b-ed758744a77b	205ec120-919f-469f-b2f5-092f8993d816	IT_LOAD
bbde4eb8-230f-498f-b9e0-0e944b1277bc	2f03fa8d-8c5d-4fc2-b313-0ac4189b361a	SWITCHGEAR
bbde4eb8-230f-498f-b9e0-0e944b1277bc	4f9f451a-5c22-4613-8d09-590d2b2a33de	GENERATOR
bbde4eb8-230f-498f-b9e0-0e944b1277bc	a606d217-66bc-493a-adb4-9ab3aaf965e0	PRIMARY_AUXILIARIES
bbde4eb8-230f-498f-b9e0-0e944b1277bc	42f156e1-3917-42ae-b6ba-a6ed30b4da93	UPS
bbde4eb8-230f-498f-b9e0-0e944b1277bc	4a3011dd-9eec-424b-8b41-3296ebe1bc2e	CRITICAL_AUXILIARIES
bbde4eb8-230f-498f-b9e0-0e944b1277bc	cbcd0b7d-8237-4635-9ae7-20ab0fa33147	LIGHTING
bbde4eb8-230f-498f-b9e0-0e944b1277bc	133b753f-d6fa-4b19-aa6e-84c67d4564ab	CRITICAL_POWER_DISTRIBUTION
bbde4eb8-230f-498f-b9e0-0e944b1277bc	a00850bc-4d0a-4b97-bbfd-92f8af98672d	CRAH
bbde4eb8-230f-498f-b9e0-0e944b1277bc	5908901c-22af-4809-99da-190e312d7885	CRAC
bbde4eb8-230f-498f-b9e0-0e944b1277bc	2c0edd12-5c4f-4f12-bcdf-58a84decc3e7	CRAC_WITHOUT_FAN
bbde4eb8-230f-498f-b9e0-0e944b1277bc	9c2e439b-b85f-4a34-aad1-5eda4145a453	CRAC_FAN
bbde4eb8-230f-498f-b9e0-0e944b1277bc	dfe148c6-c3e2-491c-91c0-19c91ff4a132	CHILLER
bbde4eb8-230f-498f-b9e0-0e944b1277bc	fab19b05-f35a-4d2d-b374-aca9c00ffc2a	AIR_COOLED_CHILLER
bbde4eb8-230f-498f-b9e0-0e944b1277bc	3dad12db-9ea2-401d-9237-da8b729231a6	COOLING_TOWER
bbde4eb8-230f-498f-b9e0-0e944b1277bc	4ef0b794-e57f-411b-9293-91973c8229c1	DRY_COOLER
bbde4eb8-230f-498f-b9e0-0e944b1277bc	3dfda959-4ed1-4dfa-a758-f0cbac1e76e4	REMOTE_CONDENSER
bbde4eb8-230f-498f-b9e0-0e944b1277bc	8445b6bd-5b1e-4c6a-9265-dff34d97d955	CHILLED_WATER_PUMPS
bbde4eb8-230f-498f-b9e0-0e944b1277bc	530a244c-5d02-47cd-b453-597754203008	HEAT_REJECTION_PUMPS
bbde4eb8-230f-498f-b9e0-0e944b1277bc	dc44dad4-f8f4-419f-9ab0-6ed92eca8283	VENTILATION
bbde4eb8-230f-498f-b9e0-0e944b1277bc	1ea0c2d8-e26c-4343-8d4f-c80f1d3d4fb9	INFILTRATION
bbde4eb8-230f-498f-b9e0-0e944b1277bc	7d625362-2fb3-4920-a171-5dafa57d662e	IT_LOAD
8f3073aa-68f9-4e72-9caf-9d4687de962b	753b3058-0f16-4582-ad25-f5c1b31eb2d6	SWITCHGEAR
8f3073aa-68f9-4e72-9caf-9d4687de962b	d7c07e6b-454e-4369-a8a6-98df5a34607b	GENERATOR
8f3073aa-68f9-4e72-9caf-9d4687de962b	2e0148e8-47c9-454f-b9cc-2a714c89bf1d	PRIMARY_AUXILIARIES
8f3073aa-68f9-4e72-9caf-9d4687de962b	3b1248f5-a541-41ae-8030-5f14b6ae34f8	UPS
8f3073aa-68f9-4e72-9caf-9d4687de962b	665f41a9-ad30-4b15-85ab-46a2efbd1ef8	CRITICAL_AUXILIARIES
8f3073aa-68f9-4e72-9caf-9d4687de962b	966a02d2-c9ab-4685-9c98-ddcf7ac8f645	LIGHTING
8f3073aa-68f9-4e72-9caf-9d4687de962b	c146f2c7-cdb6-405a-9055-db46bab28fb4	CRITICAL_POWER_DISTRIBUTION
8f3073aa-68f9-4e72-9caf-9d4687de962b	1ab28d49-89a0-46e5-b8c8-0879bcb40f85	CRAH
8f3073aa-68f9-4e72-9caf-9d4687de962b	29879961-f6dc-4345-a999-ebc326787994	CRAC
8f3073aa-68f9-4e72-9caf-9d4687de962b	02056471-cff6-4c67-8938-c8ae17a11c74	CRAC_WITHOUT_FAN
8f3073aa-68f9-4e72-9caf-9d4687de962b	edd8cd08-9a5e-4c27-acf3-3e29adfdacb4	CRAC_FAN
8f3073aa-68f9-4e72-9caf-9d4687de962b	b659e136-cb4d-4543-a996-df89c82cb210	CHILLER
8f3073aa-68f9-4e72-9caf-9d4687de962b	367ae861-0fe0-40d7-a390-47e29db9e32b	AIR_COOLED_CHILLER
8f3073aa-68f9-4e72-9caf-9d4687de962b	1dae2a14-53ee-426d-8503-8e55b66fc8ee	COOLING_TOWER
8f3073aa-68f9-4e72-9caf-9d4687de962b	93ad0ed5-e142-4f44-8e5e-7256ca975620	DRY_COOLER
8f3073aa-68f9-4e72-9caf-9d4687de962b	f33bfcb2-99cf-45dc-91ca-985529cc54f8	REMOTE_CONDENSER
8f3073aa-68f9-4e72-9caf-9d4687de962b	828a01d3-ba46-4e84-86a4-7e41fc85f4a3	CHILLED_WATER_PUMPS
8f3073aa-68f9-4e72-9caf-9d4687de962b	b5810d14-a99c-43a0-9586-dc5bc261ddea	HEAT_REJECTION_PUMPS
8f3073aa-68f9-4e72-9caf-9d4687de962b	210b8417-be80-400f-a469-47d56913a2d4	VENTILATION
8f3073aa-68f9-4e72-9caf-9d4687de962b	0d00b7cf-75c3-474c-a152-3fd2adf04dc8	INFILTRATION
8f3073aa-68f9-4e72-9caf-9d4687de962b	6c1d4f06-f620-4df4-8942-bbad07c3b6ac	IT_LOAD
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	cb2927e7-addf-40ec-a6e8-6133619dabeb	SWITCHGEAR
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	309e5dde-b280-4e75-b79e-517cd041573a	GENERATOR
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	e3de1ffa-28b9-4227-9311-1e174da9a4b0	PRIMARY_AUXILIARIES
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	a95fd03a-5408-4df9-b47c-7105e412cdaf	UPS
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	247cc289-8e9d-428a-a311-17a4f5e31da1	CRITICAL_AUXILIARIES
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	f5731f7a-0798-457c-937d-1881afc968ea	LIGHTING
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	3403d77a-c565-4265-8944-40d9c6da3982	CRITICAL_POWER_DISTRIBUTION
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	2c54d4fb-59cb-4378-96d5-146ef38a36b2	CRAH
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	c71c8f7a-bd35-4850-b498-ad386f8164a1	CRAC
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	1d24b1fc-bdfe-42e4-adda-5f2bcd3bf005	CRAC_WITHOUT_FAN
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	0e708922-17f8-425b-a7bf-e4478f3bcfa5	CRAC_FAN
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	6e65f5a5-b571-400c-a0da-8a4cb1c970a6	CHILLER
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	102de1a9-d2a1-4107-8cdd-e01cfd4fd74e	AIR_COOLED_CHILLER
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	3392b2b3-a298-41c3-961d-770456c516c9	COOLING_TOWER
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	9d2f6e78-093f-4bb0-b0fa-74bfac340945	DRY_COOLER
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	cf80d6e8-bc96-4360-b33a-a55f3979b584	REMOTE_CONDENSER
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	40aedd6c-0b73-42c4-89a3-c5cfc2243cc2	CHILLED_WATER_PUMPS
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	45ae0015-1ad2-449a-adc8-de21bb603df0	HEAT_REJECTION_PUMPS
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	dfb9ce61-231c-4bd4-9350-b0069765e3e6	VENTILATION
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	7c3b7eaa-43ca-4d0b-93e2-d32c849f128e	INFILTRATION
9896c2ee-cb31-4bf5-a2ad-311eba9bf0a9	ea11019d-e534-46a0-9ac0-255b0f002406	IT_LOAD
e1f5eea3-df57-44f6-9c9e-07d91e504116	f2d60ee2-eb6a-408d-ba27-b9da2a9f1404	SWITCHGEAR
e1f5eea3-df57-44f6-9c9e-07d91e504116	bb7fa1e8-dc44-4d8d-baa3-22d37d5cfb72	GENERATOR
e1f5eea3-df57-44f6-9c9e-07d91e504116	e1559ce3-144f-4445-9213-a47a36aff0a4	PRIMARY_AUXILIARIES
e1f5eea3-df57-44f6-9c9e-07d91e504116	cd0c7e89-651b-42eb-b789-ab3978e9ba3e	UPS
e1f5eea3-df57-44f6-9c9e-07d91e504116	9e490eb2-cc3e-4ffc-b736-77a2df8c9136	CRITICAL_AUXILIARIES
e1f5eea3-df57-44f6-9c9e-07d91e504116	9cd2a932-32de-43d9-9ac7-114812f6540b	LIGHTING
e1f5eea3-df57-44f6-9c9e-07d91e504116	01d925c4-4351-402f-9e44-3d78ca81e6c0	CRITICAL_POWER_DISTRIBUTION
e1f5eea3-df57-44f6-9c9e-07d91e504116	562583b8-65f6-43df-800a-c0a3cdacdf7f	CRAH
e1f5eea3-df57-44f6-9c9e-07d91e504116	826c1a9e-9bab-4eea-b329-a912ab9aa031	CRAC
e1f5eea3-df57-44f6-9c9e-07d91e504116	86432247-1b86-45c3-a2d4-50f1184ab193	CRAC_WITHOUT_FAN
e1f5eea3-df57-44f6-9c9e-07d91e504116	44d40b9b-ede5-4e89-a9cf-09f78c83b935	CRAC_FAN
e1f5eea3-df57-44f6-9c9e-07d91e504116	d0bfc5b6-e503-497e-8884-dea3f9cb05bd	CHILLER
e1f5eea3-df57-44f6-9c9e-07d91e504116	f0fa8245-cfea-4e71-9041-0e2ebf2084f6	AIR_COOLED_CHILLER
e1f5eea3-df57-44f6-9c9e-07d91e504116	8d359f75-0060-4f61-8a35-22c0c3cfe7ee	COOLING_TOWER
e1f5eea3-df57-44f6-9c9e-07d91e504116	cc71d028-f640-4d43-bdbc-00a8ac79b6a7	DRY_COOLER
e1f5eea3-df57-44f6-9c9e-07d91e504116	36573d86-7f93-418c-86a5-9ffcb5fa14c2	REMOTE_CONDENSER
e1f5eea3-df57-44f6-9c9e-07d91e504116	16586f0d-4730-4553-9062-23fceb22d741	CHILLED_WATER_PUMPS
e1f5eea3-df57-44f6-9c9e-07d91e504116	8900ba8a-7312-43bb-bdf4-395940e0ba21	HEAT_REJECTION_PUMPS
e1f5eea3-df57-44f6-9c9e-07d91e504116	01451c4b-09e3-419b-b931-dee943417147	VENTILATION
e1f5eea3-df57-44f6-9c9e-07d91e504116	70893724-1e48-4a41-a88b-9600b6242a7c	INFILTRATION
e1f5eea3-df57-44f6-9c9e-07d91e504116	9c3f6f5a-42a9-4eb5-a2f6-d027f74ebc51	IT_LOAD
c00c7954-63b6-430d-82cc-6c7ccacf63b8	c9389b4b-2fe9-4db9-bcad-2d0d140930fb	SWITCHGEAR
c00c7954-63b6-430d-82cc-6c7ccacf63b8	f1aced2a-3a71-4b51-ab9a-740104a13e62	GENERATOR
c00c7954-63b6-430d-82cc-6c7ccacf63b8	dbce41c7-32f2-41f9-9c03-d89bcc2d31f1	PRIMARY_AUXILIARIES
c00c7954-63b6-430d-82cc-6c7ccacf63b8	47f8047b-9512-42b0-be3d-1c4ab9d5c439	UPS
c00c7954-63b6-430d-82cc-6c7ccacf63b8	f4709675-d71e-4b82-a8c3-8d1e2326f174	CRITICAL_AUXILIARIES
c00c7954-63b6-430d-82cc-6c7ccacf63b8	064c73ac-a2e6-4583-9ce4-631af05bd920	LIGHTING
c00c7954-63b6-430d-82cc-6c7ccacf63b8	d6105e1b-23d2-4f0d-b700-9c7628bdf648	CRITICAL_POWER_DISTRIBUTION
c00c7954-63b6-430d-82cc-6c7ccacf63b8	2d6b5d34-715b-4f50-a6f4-daba6a81c66c	CRAH
c00c7954-63b6-430d-82cc-6c7ccacf63b8	57b6df01-e233-4b6a-9178-2dd210347ee5	CRAC
c00c7954-63b6-430d-82cc-6c7ccacf63b8	a0cc8498-b0f0-4159-bbc5-c17a358ecb81	CRAC_WITHOUT_FAN
c00c7954-63b6-430d-82cc-6c7ccacf63b8	d15be493-744f-464c-b12b-8717a9db3642	CRAC_FAN
c00c7954-63b6-430d-82cc-6c7ccacf63b8	53b2243e-6302-41ff-876a-a6c53889b412	CHILLER
c00c7954-63b6-430d-82cc-6c7ccacf63b8	732229c0-7094-45f2-a6f8-1cf139068a61	AIR_COOLED_CHILLER
c00c7954-63b6-430d-82cc-6c7ccacf63b8	09fd0f57-7c04-45c8-820e-5ca74a224101	COOLING_TOWER
c00c7954-63b6-430d-82cc-6c7ccacf63b8	62a8e075-ab0d-4b65-804d-ef8952d64334	DRY_COOLER
c00c7954-63b6-430d-82cc-6c7ccacf63b8	789eb1ba-3f17-428b-9349-9c903d70fc3d	REMOTE_CONDENSER
c00c7954-63b6-430d-82cc-6c7ccacf63b8	991dd46d-3551-49a9-bf92-0c84aa25149a	CHILLED_WATER_PUMPS
c00c7954-63b6-430d-82cc-6c7ccacf63b8	9740d833-ab5d-4f23-b2ec-2394275e6a8e	HEAT_REJECTION_PUMPS
c00c7954-63b6-430d-82cc-6c7ccacf63b8	a7476ba4-659b-430d-a557-fc14a3c2ae06	VENTILATION
c00c7954-63b6-430d-82cc-6c7ccacf63b8	21555411-d8e1-42e6-aea4-0c9b03736c9d	INFILTRATION
c00c7954-63b6-430d-82cc-6c7ccacf63b8	8a7972d6-62f2-4c3d-93ef-7e6531f448fd	IT_LOAD
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	934baae7-002a-4f21-a412-9bda39483f8b	SWITCHGEAR
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	aa23028d-27fa-47b5-9676-b7a67540978e	GENERATOR
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	794d657b-5202-461a-aeae-3535a10980b4	PRIMARY_AUXILIARIES
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	81602f09-8dad-42b1-820a-da9bb2ed9fd7	UPS
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	3360d66f-9d45-4de8-b38a-281e75092fd0	CRITICAL_AUXILIARIES
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	3a219cfe-6097-4529-a797-40c77a1dd67e	LIGHTING
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	30d41f74-4de0-475b-a80d-1d6b76d76f54	CRITICAL_POWER_DISTRIBUTION
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	24d60fd4-d114-4aca-9ee9-ca042b931926	CRAH
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	f050254b-092d-4b47-87bf-cc24015ae3b9	CRAC
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	bfac665e-ac94-46df-8182-4ae314798943	CRAC_WITHOUT_FAN
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	fd7602c8-2a35-43cd-9ec7-596e2cabd71a	CRAC_FAN
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	481d194d-38c1-4632-ac87-2c0df9b16f97	CHILLER
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	f840d1c6-d213-4479-8173-52a6e47044d8	AIR_COOLED_CHILLER
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	f1a01f2e-f40a-4557-93dc-e2d4db2e2d68	COOLING_TOWER
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	979d843f-79f1-4c26-a1de-ecab2bb970a9	DRY_COOLER
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	9abee53c-2e09-4672-9912-4c7bf4eb3faf	REMOTE_CONDENSER
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	56ea2cb4-0355-4f56-90d7-76e5f3342351	CHILLED_WATER_PUMPS
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	172914c0-9601-4879-94d6-bebbf1a9bd19	HEAT_REJECTION_PUMPS
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	43dea1d4-4f5c-4f5f-9f98-b5ceee949d8b	VENTILATION
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	23178959-83f1-4639-80c9-0a6d093bf294	INFILTRATION
0f6b7ed7-3826-4cfe-9017-a7c5a8c158e9	dc64ee7d-5efb-4156-90e2-425360f2ce4e	IT_LOAD
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	3476fd2e-9dc0-4353-86dd-aa8cb19cb8c3	SWITCHGEAR
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	01567422-7e80-4e06-85d9-bec724529580	GENERATOR
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	8a68772d-56de-4d8c-953f-b653e32b9339	PRIMARY_AUXILIARIES
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	515930e3-aca0-493d-955b-3dd63b4fdede	UPS
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	8411a883-a9e8-4747-8bac-b7d389f6e8ee	CRITICAL_AUXILIARIES
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	da37f20d-0d37-4c65-8ff9-0023cf7e9a38	LIGHTING
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	3505eb70-43bb-4fe9-8c52-672c8c4c6bc5	CRITICAL_POWER_DISTRIBUTION
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	70ebda06-3035-47a1-9cf4-b34f1a20631d	CRAH
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	2ebdf4fc-807e-4ad3-8692-dae89582dc8c	CRAC
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	9a7919e2-cfaa-4942-9a30-65ab2e317b2c	CRAC_WITHOUT_FAN
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	0282a7af-fbef-4b61-ad62-a2461e348b82	CRAC_FAN
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	cfb0317e-b07b-4755-918e-9325d34fedb0	CHILLER
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	15ef6ab3-28fc-4e3d-bcb4-55bea5b09ea2	AIR_COOLED_CHILLER
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	db3d241e-a150-4903-828c-362c8cd57797	COOLING_TOWER
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	140990ea-24e0-4667-93a9-50179947b20c	DRY_COOLER
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	2101349e-089f-471c-aa48-cf2e0ec38ba0	REMOTE_CONDENSER
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	1f6b375d-962e-494a-8bac-f6d5a3c9b200	CHILLED_WATER_PUMPS
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	e4c22376-09fe-4b78-aacf-5bd1294a26e2	HEAT_REJECTION_PUMPS
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	da3bf12f-a87b-4f69-944b-75ad49163cbd	VENTILATION
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	9aa4317f-00b3-496f-ad40-b72aaf125078	INFILTRATION
bfe6486c-c3eb-4f98-b35d-ad80e4b91030	4d458d52-6b60-49a2-914b-a8a9b9a7d82c	IT_LOAD
d8c1a149-494d-4c48-a9f8-97f2fe752661	2b3bbf6b-ab35-4d4b-8cde-cf0ba30ebf97	SWITCHGEAR
d8c1a149-494d-4c48-a9f8-97f2fe752661	27b574e3-8238-4077-850f-0c398beeebf8	GENERATOR
d8c1a149-494d-4c48-a9f8-97f2fe752661	27f7d655-c33d-42c6-ac0e-ea19d96e7b99	PRIMARY_AUXILIARIES
d8c1a149-494d-4c48-a9f8-97f2fe752661	f5f23f06-8a32-4d20-8703-83fd89f77c2f	UPS
d8c1a149-494d-4c48-a9f8-97f2fe752661	b0c05041-30c1-4cbe-b9b2-6fafc10d5046	CRITICAL_AUXILIARIES
d8c1a149-494d-4c48-a9f8-97f2fe752661	512984c8-b040-46ca-b022-21683f921d55	LIGHTING
d8c1a149-494d-4c48-a9f8-97f2fe752661	522fa3b6-9377-47b8-b8ef-1d101ac3ce4c	CRITICAL_POWER_DISTRIBUTION
d8c1a149-494d-4c48-a9f8-97f2fe752661	36e67c04-8bdd-4120-a260-808a86a3a8b4	CRAH
d8c1a149-494d-4c48-a9f8-97f2fe752661	daea06c3-b95b-4738-a562-f73c8f9c17ee	CRAC
d8c1a149-494d-4c48-a9f8-97f2fe752661	18717804-0cb5-4793-924a-e31409571a5b	CRAC_WITHOUT_FAN
d8c1a149-494d-4c48-a9f8-97f2fe752661	463fb443-b673-4203-b403-e596b2a0638b	CRAC_FAN
d8c1a149-494d-4c48-a9f8-97f2fe752661	d03aeac6-22b4-462d-9655-8633e9c8b6f3	CHILLER
d8c1a149-494d-4c48-a9f8-97f2fe752661	65012845-e526-4058-a792-341c18d55e63	AIR_COOLED_CHILLER
d8c1a149-494d-4c48-a9f8-97f2fe752661	b248187a-2f86-459a-bd05-27d61f539101	COOLING_TOWER
d8c1a149-494d-4c48-a9f8-97f2fe752661	c4d08f1a-edef-4334-ba79-72e2153c4995	DRY_COOLER
d8c1a149-494d-4c48-a9f8-97f2fe752661	d7224087-dca6-4aac-a649-6412fa743887	REMOTE_CONDENSER
d8c1a149-494d-4c48-a9f8-97f2fe752661	e196dee8-70ee-4bc0-8ce1-59918e8bd5bb	CHILLED_WATER_PUMPS
d8c1a149-494d-4c48-a9f8-97f2fe752661	a7cbdf14-0914-44cf-ac9c-08294ab58087	HEAT_REJECTION_PUMPS
d8c1a149-494d-4c48-a9f8-97f2fe752661	86198eaf-331b-47ed-aaab-2154f9f7cd5a	VENTILATION
d8c1a149-494d-4c48-a9f8-97f2fe752661	e21bf909-62d3-4e0b-8f9b-f04f61a80bb7	INFILTRATION
d8c1a149-494d-4c48-a9f8-97f2fe752661	00c9f3b6-9923-4274-a8d8-6006fa4ff568	IT_LOAD
4f66aa63-c287-493e-bf3b-9f8e13a8daad	b4d072ec-7f21-4246-8229-a1e2157f345b	SWITCHGEAR
4f66aa63-c287-493e-bf3b-9f8e13a8daad	a72e8f94-5f7d-480c-a5a4-8d24a0d1a123	GENERATOR
4f66aa63-c287-493e-bf3b-9f8e13a8daad	19161288-108d-442b-8f48-177ce34702dd	PRIMARY_AUXILIARIES
4f66aa63-c287-493e-bf3b-9f8e13a8daad	613acb57-ec32-4a82-95e6-5333fcc55232	UPS
4f66aa63-c287-493e-bf3b-9f8e13a8daad	7bc11e4b-06dc-4c78-9c49-de7b927ba68c	CRITICAL_AUXILIARIES
4f66aa63-c287-493e-bf3b-9f8e13a8daad	dc023445-0b67-4fc2-9dd7-93b493be6263	LIGHTING
4f66aa63-c287-493e-bf3b-9f8e13a8daad	ae8b76c8-2146-44c5-9417-b1e1761babd6	CRITICAL_POWER_DISTRIBUTION
4f66aa63-c287-493e-bf3b-9f8e13a8daad	4a2fa480-a2d7-4a46-99f9-c3408902713a	CRAH
4f66aa63-c287-493e-bf3b-9f8e13a8daad	ecb645d1-6ccb-4cd2-b5e8-28c9ce80f51a	CRAC
4f66aa63-c287-493e-bf3b-9f8e13a8daad	19ec9e56-4a1c-4ffd-bc3a-12c7e11d2a1c	CRAC_WITHOUT_FAN
4f66aa63-c287-493e-bf3b-9f8e13a8daad	fd7ae180-ccda-4878-af99-1b9ca596373b	CRAC_FAN
4f66aa63-c287-493e-bf3b-9f8e13a8daad	cbc4f8be-0c27-43b8-92b5-f17fe25344ee	CHILLER
4f66aa63-c287-493e-bf3b-9f8e13a8daad	e371951f-e02f-4424-ac21-2485c1e215e6	AIR_COOLED_CHILLER
4f66aa63-c287-493e-bf3b-9f8e13a8daad	a614ce0a-f8b7-412d-b867-a561e7639ab8	COOLING_TOWER
4f66aa63-c287-493e-bf3b-9f8e13a8daad	ba5ee9bc-971f-4cf0-b0fd-70cdeb7661d2	DRY_COOLER
4f66aa63-c287-493e-bf3b-9f8e13a8daad	5f0ec5c4-d786-4c1a-a183-084879ff0530	REMOTE_CONDENSER
4f66aa63-c287-493e-bf3b-9f8e13a8daad	39297dbd-9773-4362-94a4-a43f4d8e839a	CHILLED_WATER_PUMPS
4f66aa63-c287-493e-bf3b-9f8e13a8daad	a62c276f-afc5-40ab-a620-ac1f33b26295	HEAT_REJECTION_PUMPS
4f66aa63-c287-493e-bf3b-9f8e13a8daad	9e80835f-99c9-4b65-8081-50d0b17c5d67	VENTILATION
4f66aa63-c287-493e-bf3b-9f8e13a8daad	4463f838-7093-45c6-9395-c0cc2733c79f	INFILTRATION
4f66aa63-c287-493e-bf3b-9f8e13a8daad	b263d237-9984-4cce-8f3b-30915ebf0ab0	IT_LOAD
5cbec3d8-83d1-450f-902c-0a44bc720e82	c15fa231-a89a-46c5-ae3e-95664d42ade9	SWITCHGEAR
5cbec3d8-83d1-450f-902c-0a44bc720e82	6fc877d7-f4d5-4143-aadb-1170a4203ae2	GENERATOR
5cbec3d8-83d1-450f-902c-0a44bc720e82	f0ff1d38-d2ca-43fb-90f4-970af9843460	PRIMARY_AUXILIARIES
5cbec3d8-83d1-450f-902c-0a44bc720e82	1073c801-b110-45f0-a0a2-58b6ff51062b	UPS
5cbec3d8-83d1-450f-902c-0a44bc720e82	bdcf5262-ae99-4d83-bb94-b98c15d7fc5a	CRITICAL_AUXILIARIES
5cbec3d8-83d1-450f-902c-0a44bc720e82	7cf9cd39-f266-4df7-8503-212efd49cf3c	LIGHTING
5cbec3d8-83d1-450f-902c-0a44bc720e82	311adabe-1270-46fa-b2e6-9f823cfb0c5b	CRITICAL_POWER_DISTRIBUTION
5cbec3d8-83d1-450f-902c-0a44bc720e82	8fa7d18f-c783-452b-8ea8-62b961a5e3a4	CRAH
5cbec3d8-83d1-450f-902c-0a44bc720e82	f5d415fb-52cc-4cb4-a72c-89d224c79a60	CRAC
5cbec3d8-83d1-450f-902c-0a44bc720e82	4adc9f97-1978-4e2c-ab5b-b1ac94dcabb4	CRAC_WITHOUT_FAN
5cbec3d8-83d1-450f-902c-0a44bc720e82	d43e2741-0580-4ba5-bfe5-4b7a82aef001	CRAC_FAN
5cbec3d8-83d1-450f-902c-0a44bc720e82	5ebe8000-a805-44a6-93a3-2689ae2c72fa	CHILLER
5cbec3d8-83d1-450f-902c-0a44bc720e82	84c9944b-8fd5-49a4-8ba1-23274170afb6	AIR_COOLED_CHILLER
5cbec3d8-83d1-450f-902c-0a44bc720e82	b23d2150-ca2a-4055-9b2a-899dfc8bbd4c	COOLING_TOWER
5cbec3d8-83d1-450f-902c-0a44bc720e82	27209cca-d7ef-43f6-bdce-63f85482a91a	DRY_COOLER
5cbec3d8-83d1-450f-902c-0a44bc720e82	215c01a8-b3eb-400a-bfd0-85557636d7d8	REMOTE_CONDENSER
5cbec3d8-83d1-450f-902c-0a44bc720e82	5829f286-9433-4e2b-86a7-b701eb8e42b0	CHILLED_WATER_PUMPS
5cbec3d8-83d1-450f-902c-0a44bc720e82	42470e66-c8a9-4578-8b43-7a49d832dd0e	HEAT_REJECTION_PUMPS
5cbec3d8-83d1-450f-902c-0a44bc720e82	1d389f04-8963-4b6d-a917-39b9f2024ad4	VENTILATION
5cbec3d8-83d1-450f-902c-0a44bc720e82	3f506c49-bff3-415d-bd68-ed1992a9bbcb	INFILTRATION
5cbec3d8-83d1-450f-902c-0a44bc720e82	cc6acbfa-3561-4fcb-a9cb-3ee7504784d1	IT_LOAD
e021d649-0a41-4fac-9b45-9d2bc6428b9b	7ff4c265-067a-4fed-b1b8-5271a923b407	SWITCHGEAR
e021d649-0a41-4fac-9b45-9d2bc6428b9b	926f2891-b0e4-44da-a1c2-b100a77711c7	GENERATOR
e021d649-0a41-4fac-9b45-9d2bc6428b9b	6f95a4bb-e2dc-40c9-9be2-4322bdde911b	PRIMARY_AUXILIARIES
e021d649-0a41-4fac-9b45-9d2bc6428b9b	be270204-fbf0-4214-a491-9a406d18203a	UPS
e021d649-0a41-4fac-9b45-9d2bc6428b9b	3d357431-9d3b-47f4-bd5f-8caffeb10493	CRITICAL_AUXILIARIES
e021d649-0a41-4fac-9b45-9d2bc6428b9b	89073a98-a31b-41e5-ad4d-fb6a930b3821	LIGHTING
e021d649-0a41-4fac-9b45-9d2bc6428b9b	1d7117ab-ce87-40fa-8d38-f29eb39d057b	CRITICAL_POWER_DISTRIBUTION
e021d649-0a41-4fac-9b45-9d2bc6428b9b	32930c10-661c-45d3-98b5-2d597dc9b3f7	CRAH
e021d649-0a41-4fac-9b45-9d2bc6428b9b	bd4d0ec4-38cf-43ab-bc99-5903c3ce9092	CRAC
e021d649-0a41-4fac-9b45-9d2bc6428b9b	41957f5b-d336-446c-9a04-34501526f58c	CRAC_WITHOUT_FAN
e021d649-0a41-4fac-9b45-9d2bc6428b9b	5e3c86a6-b474-4641-95b5-6be412719bf6	CRAC_FAN
e021d649-0a41-4fac-9b45-9d2bc6428b9b	5a2d1614-3be0-4cc8-ada3-8b452482fd92	CHILLER
e021d649-0a41-4fac-9b45-9d2bc6428b9b	b0aa95e0-e570-4307-8703-01896520d998	AIR_COOLED_CHILLER
e021d649-0a41-4fac-9b45-9d2bc6428b9b	5d17be7d-7a1b-4bfc-a2c3-9f389eb97e0b	COOLING_TOWER
e021d649-0a41-4fac-9b45-9d2bc6428b9b	12c239d8-a2cb-4a40-abd0-72e110a8bd58	DRY_COOLER
e021d649-0a41-4fac-9b45-9d2bc6428b9b	311346dc-3e99-40d2-b267-2d6f1171fbb0	REMOTE_CONDENSER
e021d649-0a41-4fac-9b45-9d2bc6428b9b	d22b6cc2-4c8b-4a06-b2f0-4d76771589e3	CHILLED_WATER_PUMPS
e021d649-0a41-4fac-9b45-9d2bc6428b9b	c5fc9be6-5662-42a6-b039-20a1f026a9e4	HEAT_REJECTION_PUMPS
e021d649-0a41-4fac-9b45-9d2bc6428b9b	f225d3f3-695b-4508-b62c-8fd2a1c4ab72	VENTILATION
e021d649-0a41-4fac-9b45-9d2bc6428b9b	2ac5e2a2-bbcf-485d-bdb3-1498e4f54e2d	INFILTRATION
e021d649-0a41-4fac-9b45-9d2bc6428b9b	ddfbbec1-5cb7-426e-a12a-b021081083b0	IT_LOAD
708bfbe5-c62c-4633-9bdb-99f40568402b	7c19ac31-b2df-4586-b752-7d061fdd7954	SWITCHGEAR
708bfbe5-c62c-4633-9bdb-99f40568402b	756540aa-7330-44f2-8b0e-3014f5f2592e	GENERATOR
708bfbe5-c62c-4633-9bdb-99f40568402b	dbbe9a76-7d9e-4540-9f29-95b9ace18420	PRIMARY_AUXILIARIES
708bfbe5-c62c-4633-9bdb-99f40568402b	7d933bae-0c0e-427e-8b6a-fb4d6a6499cc	UPS
708bfbe5-c62c-4633-9bdb-99f40568402b	2e32c279-19ca-4f49-9b4f-d16e550657f3	CRITICAL_AUXILIARIES
708bfbe5-c62c-4633-9bdb-99f40568402b	e1ce6ee6-9096-4365-9309-d8244e7bd6ec	LIGHTING
708bfbe5-c62c-4633-9bdb-99f40568402b	92a6fd7a-6a78-45cc-a42e-e5c037c16f29	CRITICAL_POWER_DISTRIBUTION
708bfbe5-c62c-4633-9bdb-99f40568402b	b414b012-f6d3-4211-82ba-13663460ccbe	CRAH
708bfbe5-c62c-4633-9bdb-99f40568402b	dad5eb53-dc70-4493-ac19-59e3d20ad8fe	CRAC
708bfbe5-c62c-4633-9bdb-99f40568402b	bfbd52db-c816-4d56-86d1-fffb78d19cc3	CRAC_WITHOUT_FAN
708bfbe5-c62c-4633-9bdb-99f40568402b	04df77f5-bd58-46e9-854b-1dce7cefe8aa	CRAC_FAN
708bfbe5-c62c-4633-9bdb-99f40568402b	2daaf508-67ce-48ab-9aa9-465d28ebf0c3	CHILLER
708bfbe5-c62c-4633-9bdb-99f40568402b	737655a6-f6f2-4de9-950a-69d5b6ed055f	AIR_COOLED_CHILLER
708bfbe5-c62c-4633-9bdb-99f40568402b	6ae6c292-3958-4cec-8000-1066710f3838	COOLING_TOWER
708bfbe5-c62c-4633-9bdb-99f40568402b	46e610ec-61ad-40f2-84d1-f53f82bd2d6e	DRY_COOLER
708bfbe5-c62c-4633-9bdb-99f40568402b	e4d4a1c3-9c58-420b-9270-a1f0f48843d6	REMOTE_CONDENSER
708bfbe5-c62c-4633-9bdb-99f40568402b	4eaf8e58-0a59-4ca3-8d31-2db82cc6a13e	CHILLED_WATER_PUMPS
708bfbe5-c62c-4633-9bdb-99f40568402b	b5e4152b-7a88-4e15-9cd3-cc15ea7dcc92	HEAT_REJECTION_PUMPS
708bfbe5-c62c-4633-9bdb-99f40568402b	f7c2be04-5103-4e3b-8f2c-ba240282ac2e	VENTILATION
708bfbe5-c62c-4633-9bdb-99f40568402b	3b96a53d-d0ed-436b-be97-ff2e06adde72	INFILTRATION
708bfbe5-c62c-4633-9bdb-99f40568402b	7fa684e0-74ea-4ce9-b031-7634c06bcfd1	IT_LOAD
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	b1f501c5-e894-4118-8b6e-215c3de83ccd	SWITCHGEAR
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	11688bfe-2500-475c-870a-5428d61c5362	GENERATOR
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	d723dc33-84d1-4ad2-a494-677e92a76864	PRIMARY_AUXILIARIES
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	bd0cc267-21a5-409d-bbec-cc05432b7e27	UPS
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	7e443208-583d-46a5-b418-044e12c83615	CRITICAL_AUXILIARIES
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	be7efc88-15c6-45cd-acdd-a8f1a330b125	LIGHTING
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	daf174af-3d98-4792-b2a0-2311aa96c31b	CRITICAL_POWER_DISTRIBUTION
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	f4c4734b-4c5e-4b30-a297-146c6d20bc06	CRAH
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	5cf8103f-76c2-41cd-b082-10077ec1cfc2	CRAC
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	4b589d5a-cc0a-4075-9659-7ad08a3891e3	CRAC_WITHOUT_FAN
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	09b125b1-6782-4fcc-af3b-42a3db8c0e2c	CRAC_FAN
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	8eb1c6df-8a21-4689-af23-21d93ffd376f	CHILLER
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	a817d02a-8e6c-404b-86c6-a9b5b111577c	AIR_COOLED_CHILLER
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	df8fb4b7-4d34-4d7f-bee2-1f4ee783bae6	COOLING_TOWER
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	fcd4325b-2620-40d9-8b81-e7289e154558	DRY_COOLER
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	1234ee76-ef49-44a5-99be-c65e0f62c1f9	REMOTE_CONDENSER
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	4d287c3f-b6d4-49f5-a3ce-6fc2cdb58c65	CHILLED_WATER_PUMPS
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	763657e6-aea9-4cce-8b40-84b0e46eeaf4	HEAT_REJECTION_PUMPS
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	89a2e8d8-227c-4c4c-8e14-bac2a5a4022b	VENTILATION
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	e413bae2-d603-4bf9-978a-32cdfee66bd8	INFILTRATION
153d0fb1-f8ec-466c-bda7-9e6942f3d5b0	59e89975-3a9f-4542-96c5-84a0a4449a21	IT_LOAD
72af0822-3bf0-46cb-a125-2e11a89e9b5f	4aa469ac-30e9-48d6-93a5-02135112931f	SWITCHGEAR
72af0822-3bf0-46cb-a125-2e11a89e9b5f	62ecdb66-8266-4a9d-b657-5026b33a1e69	GENERATOR
72af0822-3bf0-46cb-a125-2e11a89e9b5f	f8fc95cf-218c-4454-97ab-37a23ecd8f44	PRIMARY_AUXILIARIES
72af0822-3bf0-46cb-a125-2e11a89e9b5f	52bd84b5-dba4-4952-9718-3f258ae22479	UPS
72af0822-3bf0-46cb-a125-2e11a89e9b5f	c73fbc7b-dfbf-4a9c-bbbe-a7efad36e35b	CRITICAL_AUXILIARIES
72af0822-3bf0-46cb-a125-2e11a89e9b5f	09f07246-18f8-4209-9fab-b71a807fcdc3	LIGHTING
72af0822-3bf0-46cb-a125-2e11a89e9b5f	b953cd13-19ca-4941-9273-6d8f468a22c0	CRITICAL_POWER_DISTRIBUTION
72af0822-3bf0-46cb-a125-2e11a89e9b5f	b9084371-89cc-4f1a-b6ba-e2b819c75064	CRAH
72af0822-3bf0-46cb-a125-2e11a89e9b5f	e6fabd26-d365-4bd3-9ab3-17f37b9bbfbb	CRAC
72af0822-3bf0-46cb-a125-2e11a89e9b5f	4a6527dc-af47-4a36-84ac-b9c58191d5d4	CRAC_WITHOUT_FAN
72af0822-3bf0-46cb-a125-2e11a89e9b5f	38ff8770-f120-4a1c-bb7f-394db5a1ef16	CRAC_FAN
72af0822-3bf0-46cb-a125-2e11a89e9b5f	b6a9f1af-264e-429c-b1e6-74c0fbddd50a	CHILLER
72af0822-3bf0-46cb-a125-2e11a89e9b5f	ed83ada2-6eee-4476-a92d-fbf2532a1782	AIR_COOLED_CHILLER
72af0822-3bf0-46cb-a125-2e11a89e9b5f	dedb7700-5aeb-4c3a-98c3-c4885692c3fc	COOLING_TOWER
72af0822-3bf0-46cb-a125-2e11a89e9b5f	21f7501b-d0b6-4521-9e32-d947101129b5	DRY_COOLER
72af0822-3bf0-46cb-a125-2e11a89e9b5f	5f129c67-3a4d-49b2-9d6e-bb7c5c34707a	REMOTE_CONDENSER
72af0822-3bf0-46cb-a125-2e11a89e9b5f	5b62a49c-5f88-4c08-88f8-8820c8fc701e	CHILLED_WATER_PUMPS
72af0822-3bf0-46cb-a125-2e11a89e9b5f	438abb32-f30a-4e28-a5ea-00cf23bb4af8	HEAT_REJECTION_PUMPS
72af0822-3bf0-46cb-a125-2e11a89e9b5f	4812960a-1f88-4927-8705-328dbd16a150	VENTILATION
72af0822-3bf0-46cb-a125-2e11a89e9b5f	d8e98aa8-4a88-4756-a46f-09026113bce1	INFILTRATION
72af0822-3bf0-46cb-a125-2e11a89e9b5f	5fd0fba9-147c-42a3-98c9-1d9b68ada3af	IT_LOAD
2d028104-0b90-4b6b-8ffe-4a33f353c39a	465c7f3d-bae8-41be-9fb1-9a2d323680d1	SWITCHGEAR
2d028104-0b90-4b6b-8ffe-4a33f353c39a	16d8c899-9c91-47b3-a9ad-662e76ce4cd5	GENERATOR
2d028104-0b90-4b6b-8ffe-4a33f353c39a	8b1567aa-7491-4ad0-aba5-8cca64d3154d	PRIMARY_AUXILIARIES
2d028104-0b90-4b6b-8ffe-4a33f353c39a	6bfa0d1f-0d08-4fe1-babf-e539317fd27d	UPS
2d028104-0b90-4b6b-8ffe-4a33f353c39a	4ef005ea-0153-4501-9e4e-7f48a233eb81	CRITICAL_AUXILIARIES
2d028104-0b90-4b6b-8ffe-4a33f353c39a	fb8e9423-451a-499a-8b42-03cb3c6fbf1a	LIGHTING
2d028104-0b90-4b6b-8ffe-4a33f353c39a	6baecdaa-4c9a-4d57-b117-82647614d232	CRITICAL_POWER_DISTRIBUTION
2d028104-0b90-4b6b-8ffe-4a33f353c39a	22ad72a9-ab97-4c96-9e7d-574b781dcf42	CRAH
2d028104-0b90-4b6b-8ffe-4a33f353c39a	ad540076-941e-4763-ad38-148f7460bebf	CRAC
2d028104-0b90-4b6b-8ffe-4a33f353c39a	e2b96de6-8970-4ab1-b722-c6916fd72b1b	CRAC_WITHOUT_FAN
2d028104-0b90-4b6b-8ffe-4a33f353c39a	ef91c173-412b-4321-a9cf-d6d0593a74b1	CRAC_FAN
2d028104-0b90-4b6b-8ffe-4a33f353c39a	1d00904e-80b3-4b8d-ad94-242061562ee3	CHILLER
2d028104-0b90-4b6b-8ffe-4a33f353c39a	940a9a65-92a1-4fcc-a9b3-5305c8033f76	AIR_COOLED_CHILLER
2d028104-0b90-4b6b-8ffe-4a33f353c39a	e8911ed9-7a24-46c4-a5fd-6ba1979bcd7f	COOLING_TOWER
2d028104-0b90-4b6b-8ffe-4a33f353c39a	33b88806-55b6-4f79-b1b5-be9180d6ea2c	DRY_COOLER
2d028104-0b90-4b6b-8ffe-4a33f353c39a	e9f0def6-1a1d-4d5a-970a-7fe4defa11c8	REMOTE_CONDENSER
2d028104-0b90-4b6b-8ffe-4a33f353c39a	9a246547-c1d0-43fa-83dc-4d6fcab232a1	CHILLED_WATER_PUMPS
2d028104-0b90-4b6b-8ffe-4a33f353c39a	cd34beaa-146e-4987-b0bb-ff70e4749409	HEAT_REJECTION_PUMPS
2d028104-0b90-4b6b-8ffe-4a33f353c39a	6d5816f7-4c22-4807-a889-0303dc5d4fa8	VENTILATION
2d028104-0b90-4b6b-8ffe-4a33f353c39a	26fc7b45-c94c-43c8-b5b6-4e6a7e311aa2	INFILTRATION
2d028104-0b90-4b6b-8ffe-4a33f353c39a	717c609b-d7cd-46a2-92d1-f6615dd7d2f9	IT_LOAD
4e691b33-eae0-4a31-8143-2043cba20ac4	037008a4-4bf0-4a17-907d-a2bd56b80bc3	SWITCHGEAR
4e691b33-eae0-4a31-8143-2043cba20ac4	d0265832-947e-442d-856d-9c5eaacdeb83	GENERATOR
4e691b33-eae0-4a31-8143-2043cba20ac4	5da8c667-b5c3-461f-90ec-3903b315146e	PRIMARY_AUXILIARIES
4e691b33-eae0-4a31-8143-2043cba20ac4	d7b3c34b-769b-417a-aafc-095053141b98	UPS
4e691b33-eae0-4a31-8143-2043cba20ac4	d7acf747-1299-4e48-bc52-7ab4416b0dd8	CRITICAL_AUXILIARIES
4e691b33-eae0-4a31-8143-2043cba20ac4	2383fc01-fbb9-44a2-899d-f33699620b45	LIGHTING
4e691b33-eae0-4a31-8143-2043cba20ac4	bd547ccc-1a73-462b-8d87-c016cf87172b	CRITICAL_POWER_DISTRIBUTION
4e691b33-eae0-4a31-8143-2043cba20ac4	94a2af6a-047d-4c06-b94a-fa8ddbdfdc27	CRAH
4e691b33-eae0-4a31-8143-2043cba20ac4	555c5016-3912-4b47-ac33-851dcd3b1004	CRAC
4e691b33-eae0-4a31-8143-2043cba20ac4	fa35b96c-c45e-4d65-926c-02436766a945	CRAC_WITHOUT_FAN
4e691b33-eae0-4a31-8143-2043cba20ac4	9209b2e6-472c-4d61-b752-bf2243d4b3c1	CRAC_FAN
4e691b33-eae0-4a31-8143-2043cba20ac4	044f5be9-086e-43e7-805e-629f6cb51ecc	CHILLER
4e691b33-eae0-4a31-8143-2043cba20ac4	de1ce8e4-36c4-4b3d-9633-ee11ad6f5b65	AIR_COOLED_CHILLER
4e691b33-eae0-4a31-8143-2043cba20ac4	e880baa9-5239-4045-b8c4-8de0db5708b1	COOLING_TOWER
4e691b33-eae0-4a31-8143-2043cba20ac4	fe9575be-b3a6-4b09-aa54-4dfda46ab0c2	DRY_COOLER
4e691b33-eae0-4a31-8143-2043cba20ac4	40ba2108-716f-4bb8-add8-d11e782d3641	REMOTE_CONDENSER
4e691b33-eae0-4a31-8143-2043cba20ac4	564526c1-182e-4e9c-a87a-96706e9be473	CHILLED_WATER_PUMPS
4e691b33-eae0-4a31-8143-2043cba20ac4	fc05ae64-3d0f-4187-ab10-3ad35fd67b38	HEAT_REJECTION_PUMPS
4e691b33-eae0-4a31-8143-2043cba20ac4	fd986b7b-bd30-4a95-b6fc-508e95b8ef0f	VENTILATION
4e691b33-eae0-4a31-8143-2043cba20ac4	0f08e124-5187-4b66-a9fb-833811aa1521	INFILTRATION
4e691b33-eae0-4a31-8143-2043cba20ac4	d76093dc-8053-4d33-9e87-19bfc0e22c7c	IT_LOAD
23beecfc-cc4c-4286-b434-cc04e632e066	703908de-5c58-4d26-85d6-18ccefb251af	SWITCHGEAR
23beecfc-cc4c-4286-b434-cc04e632e066	cb03375b-df58-4921-80bb-26d2288f35b0	GENERATOR
23beecfc-cc4c-4286-b434-cc04e632e066	2d28b1fa-06f6-4b82-9e42-8bad68407687	PRIMARY_AUXILIARIES
23beecfc-cc4c-4286-b434-cc04e632e066	b18e4570-9350-44cc-967c-07079181aba9	UPS
23beecfc-cc4c-4286-b434-cc04e632e066	2073ae3c-b698-4021-b884-db11b8d86219	CRITICAL_AUXILIARIES
23beecfc-cc4c-4286-b434-cc04e632e066	18df65bb-5ea2-4449-b0a0-be4ee4a4589d	LIGHTING
23beecfc-cc4c-4286-b434-cc04e632e066	7084cc13-af30-459a-bd25-283defc64d78	CRITICAL_POWER_DISTRIBUTION
23beecfc-cc4c-4286-b434-cc04e632e066	e1e35f88-6e9a-4eb2-8631-e071960031dd	CRAH
23beecfc-cc4c-4286-b434-cc04e632e066	ac1aa4f0-75f1-41c3-9404-e61c5b96e697	CRAC
23beecfc-cc4c-4286-b434-cc04e632e066	b0bcda8d-ad4d-44c3-97bd-7343605ea54c	CRAC_WITHOUT_FAN
23beecfc-cc4c-4286-b434-cc04e632e066	69432328-489a-46b0-be7c-24e45e9386d0	CRAC_FAN
23beecfc-cc4c-4286-b434-cc04e632e066	062852ee-681c-492e-9dab-7264b248f386	CHILLER
23beecfc-cc4c-4286-b434-cc04e632e066	cc7c2728-0439-4807-b6b7-30bd48095f85	AIR_COOLED_CHILLER
23beecfc-cc4c-4286-b434-cc04e632e066	2a592524-6d46-4600-b54e-5d42083f741d	COOLING_TOWER
23beecfc-cc4c-4286-b434-cc04e632e066	2832fe8c-fdd9-4892-94a5-39fb7daada05	DRY_COOLER
23beecfc-cc4c-4286-b434-cc04e632e066	aff13581-4751-4dac-ba16-9ca4709416d5	REMOTE_CONDENSER
23beecfc-cc4c-4286-b434-cc04e632e066	b3192815-b403-42e6-825d-81d8786be38e	CHILLED_WATER_PUMPS
23beecfc-cc4c-4286-b434-cc04e632e066	e51785c9-7131-47f6-b432-716191ae5e1c	HEAT_REJECTION_PUMPS
23beecfc-cc4c-4286-b434-cc04e632e066	ae938035-1609-45d8-b662-ad3a309a7f01	VENTILATION
23beecfc-cc4c-4286-b434-cc04e632e066	cbf94fbc-0e71-4451-872b-548c0726e961	INFILTRATION
23beecfc-cc4c-4286-b434-cc04e632e066	54e0185c-f92d-4410-bf11-e8685255c326	IT_LOAD
cb5cdc37-296f-487f-91d6-c984e1c5c299	4b7ebbec-904a-4d2a-a3d9-8f0d242b91e2	SWITCHGEAR
cb5cdc37-296f-487f-91d6-c984e1c5c299	31882471-ee09-456c-99dd-fbf731be2b67	GENERATOR
cb5cdc37-296f-487f-91d6-c984e1c5c299	4e3e8e33-39ac-4722-af91-008f6f722283	PRIMARY_AUXILIARIES
cb5cdc37-296f-487f-91d6-c984e1c5c299	652fd8a8-61fc-4328-8ab8-6d2e4faf72ac	UPS
cb5cdc37-296f-487f-91d6-c984e1c5c299	abb11284-095c-48ae-9658-bb57113e4a0c	CRITICAL_AUXILIARIES
cb5cdc37-296f-487f-91d6-c984e1c5c299	baae2bd5-9290-46c2-bb93-f23d04f71178	LIGHTING
cb5cdc37-296f-487f-91d6-c984e1c5c299	8b138961-4c3c-4866-bba8-dff5c84f6aff	CRITICAL_POWER_DISTRIBUTION
cb5cdc37-296f-487f-91d6-c984e1c5c299	c47e5e1d-af1c-41bb-bc47-b6872b57134e	CRAH
cb5cdc37-296f-487f-91d6-c984e1c5c299	7fa46a19-b283-48a8-9260-f27d7853b01a	CRAC
cb5cdc37-296f-487f-91d6-c984e1c5c299	877d72c4-5a5b-4918-8106-51ee088fa11c	CRAC_WITHOUT_FAN
cb5cdc37-296f-487f-91d6-c984e1c5c299	1666925e-6cc7-4ee6-a3f9-f00f165f9bc2	CRAC_FAN
cb5cdc37-296f-487f-91d6-c984e1c5c299	f33addb1-4dd0-4de9-a4af-80209bee980d	CHILLER
cb5cdc37-296f-487f-91d6-c984e1c5c299	d5f0ba50-8272-4f82-94d6-2ac2d0951f29	AIR_COOLED_CHILLER
cb5cdc37-296f-487f-91d6-c984e1c5c299	37e33c94-6729-4a05-bc8d-82331dcaf125	COOLING_TOWER
cb5cdc37-296f-487f-91d6-c984e1c5c299	ad8dc908-ece2-47f3-a0be-a73651617a1c	DRY_COOLER
cb5cdc37-296f-487f-91d6-c984e1c5c299	1c4a5c08-8260-446d-9415-430388d94194	REMOTE_CONDENSER
cb5cdc37-296f-487f-91d6-c984e1c5c299	a68381a0-523e-44d3-bce1-3cd98ccd3c4e	CHILLED_WATER_PUMPS
cb5cdc37-296f-487f-91d6-c984e1c5c299	0060f765-a6fc-4cab-b336-a86f39803064	HEAT_REJECTION_PUMPS
cb5cdc37-296f-487f-91d6-c984e1c5c299	2173ea30-b8c6-46f2-9c70-8ad52d380dac	VENTILATION
cb5cdc37-296f-487f-91d6-c984e1c5c299	d03c2db8-bce3-489a-9b3d-2fbc59aac7c8	INFILTRATION
cb5cdc37-296f-487f-91d6-c984e1c5c299	3a06c1da-b07b-40ed-b021-f7c50d2a1d0b	IT_LOAD
2e818daf-3e09-4b37-9dd2-648461f5e372	2ff8f138-c0a1-496f-bd0a-6e70fad70ea5	SWITCHGEAR
2e818daf-3e09-4b37-9dd2-648461f5e372	956b3e9f-8314-4af5-ab3d-3219ce5bd017	GENERATOR
2e818daf-3e09-4b37-9dd2-648461f5e372	ef5565a8-c555-4dcd-bb08-722a80328488	PRIMARY_AUXILIARIES
2e818daf-3e09-4b37-9dd2-648461f5e372	a593cfb7-cbe0-4cb2-9736-2d0114b20d45	UPS
2e818daf-3e09-4b37-9dd2-648461f5e372	5bd29e42-4bc3-4815-b035-ea305f424b49	CRITICAL_AUXILIARIES
2e818daf-3e09-4b37-9dd2-648461f5e372	7da02f21-0609-4ee6-a627-69cad97f1de3	LIGHTING
2e818daf-3e09-4b37-9dd2-648461f5e372	52af4977-d0d1-44d7-8969-da7990321a58	CRITICAL_POWER_DISTRIBUTION
2e818daf-3e09-4b37-9dd2-648461f5e372	a664dc70-63d2-446c-bb43-a2d837bf22bb	CRAH
2e818daf-3e09-4b37-9dd2-648461f5e372	b8c4bf34-5712-4034-b47f-b732140c0680	CRAC
2e818daf-3e09-4b37-9dd2-648461f5e372	d0df07b0-7b48-4f73-b4ff-1859f23c9f7d	CRAC_WITHOUT_FAN
2e818daf-3e09-4b37-9dd2-648461f5e372	f7fbfbec-5b31-41db-a531-b1c474a67a63	CRAC_FAN
2e818daf-3e09-4b37-9dd2-648461f5e372	bb293470-14f6-4400-bcd1-eeb39f3a8ef0	CHILLER
2e818daf-3e09-4b37-9dd2-648461f5e372	ab4f67e4-d4a0-45ef-afac-d411e1f8859b	AIR_COOLED_CHILLER
2e818daf-3e09-4b37-9dd2-648461f5e372	c77f65a6-bf55-48a2-bc8a-18aeaf0ab7ba	COOLING_TOWER
2e818daf-3e09-4b37-9dd2-648461f5e372	cb226993-e756-48c2-9573-3f35a874acd7	DRY_COOLER
2e818daf-3e09-4b37-9dd2-648461f5e372	23ba9d5d-e07e-4e8d-8bb2-632aae19dbc7	REMOTE_CONDENSER
2e818daf-3e09-4b37-9dd2-648461f5e372	71d6e66a-9946-4efb-84d9-26e2f539e788	CHILLED_WATER_PUMPS
2e818daf-3e09-4b37-9dd2-648461f5e372	bbe63d5f-f6fa-4441-a054-5299c7a734c7	HEAT_REJECTION_PUMPS
2e818daf-3e09-4b37-9dd2-648461f5e372	662d8bfb-2c5a-4cf0-b57b-71755e85572b	VENTILATION
2e818daf-3e09-4b37-9dd2-648461f5e372	38e34803-b111-4339-a07d-1de3e0d1c904	INFILTRATION
2e818daf-3e09-4b37-9dd2-648461f5e372	e6448031-5901-404d-9e29-38d8467a8066	IT_LOAD
5bda4fb1-1ad1-45b7-ac97-200864da0046	78f50c2f-2d8a-45e7-ac11-5d08df593fda	SWITCHGEAR
5bda4fb1-1ad1-45b7-ac97-200864da0046	fe5137f0-9dd1-4297-9406-02b916a9043e	GENERATOR
5bda4fb1-1ad1-45b7-ac97-200864da0046	f5736026-39c5-4a30-ae02-939761d269d8	PRIMARY_AUXILIARIES
5bda4fb1-1ad1-45b7-ac97-200864da0046	9659bb67-b182-44ef-abe1-44c41cc38c0e	UPS
5bda4fb1-1ad1-45b7-ac97-200864da0046	f0214e31-7176-41b8-8fd3-140b0bd7ce9c	CRITICAL_AUXILIARIES
5bda4fb1-1ad1-45b7-ac97-200864da0046	1d272d82-c751-4b90-84be-1abe3d6907c2	LIGHTING
5bda4fb1-1ad1-45b7-ac97-200864da0046	9a4c2f7e-a0d4-4b72-a61e-2c038d8d579c	CRITICAL_POWER_DISTRIBUTION
5bda4fb1-1ad1-45b7-ac97-200864da0046	5cb5885a-ed06-4d79-aed3-e96ebc266c01	CRAH
5bda4fb1-1ad1-45b7-ac97-200864da0046	2d958e75-0ad4-4496-abeb-40be0d11d429	CRAC
5bda4fb1-1ad1-45b7-ac97-200864da0046	77b33a43-0938-4369-9dc3-16ce3621df6a	CRAC_WITHOUT_FAN
5bda4fb1-1ad1-45b7-ac97-200864da0046	fe25dd4d-b6ad-4336-86f6-4a52f5f7e729	CRAC_FAN
5bda4fb1-1ad1-45b7-ac97-200864da0046	41482adc-828a-4e72-9fbd-1cdf8e94de31	CHILLER
5bda4fb1-1ad1-45b7-ac97-200864da0046	fa66a00f-9b39-42dd-b836-ca7d1d4a3140	AIR_COOLED_CHILLER
5bda4fb1-1ad1-45b7-ac97-200864da0046	86ceba4f-9d09-434a-b528-04e736b749ed	COOLING_TOWER
5bda4fb1-1ad1-45b7-ac97-200864da0046	0df0ebdd-bed4-4152-9c68-e1ab94fe2e00	DRY_COOLER
5bda4fb1-1ad1-45b7-ac97-200864da0046	66fc0a43-68c6-4bc4-8866-6f63fa33f77a	REMOTE_CONDENSER
5bda4fb1-1ad1-45b7-ac97-200864da0046	96aef75f-5c9a-444c-bc54-9ce3f1881710	CHILLED_WATER_PUMPS
5bda4fb1-1ad1-45b7-ac97-200864da0046	908318aa-cfd0-448f-813e-536dca3b70f4	HEAT_REJECTION_PUMPS
5bda4fb1-1ad1-45b7-ac97-200864da0046	d7fb56b5-0f21-4056-b32d-c26e295653a8	VENTILATION
5bda4fb1-1ad1-45b7-ac97-200864da0046	43c9adc7-6c08-4dbd-8ae7-612f4b307f72	INFILTRATION
5bda4fb1-1ad1-45b7-ac97-200864da0046	8a1fa768-3ebf-4c9c-b198-42dced5f853b	IT_LOAD
7436eaa5-8235-48f7-b150-b042ba4a7218	73837d4e-eb8b-489d-9e69-47501d01a671	SWITCHGEAR
7436eaa5-8235-48f7-b150-b042ba4a7218	54ad37ac-804f-41ff-8c96-ae8950adb8c9	GENERATOR
7436eaa5-8235-48f7-b150-b042ba4a7218	d5dab5c2-fd65-40e1-b72d-1cb3514dd330	PRIMARY_AUXILIARIES
7436eaa5-8235-48f7-b150-b042ba4a7218	024cf7dd-7902-48ea-91e4-975f046743d8	UPS
7436eaa5-8235-48f7-b150-b042ba4a7218	ac5b0028-7b74-4617-bb79-16b5911facf9	CRITICAL_AUXILIARIES
7436eaa5-8235-48f7-b150-b042ba4a7218	f18d4bd6-eb23-4bd6-bd62-1ea7647b898b	LIGHTING
7436eaa5-8235-48f7-b150-b042ba4a7218	953bb4b4-af0f-4428-8d84-643a73252993	CRITICAL_POWER_DISTRIBUTION
7436eaa5-8235-48f7-b150-b042ba4a7218	7664d9dc-b4de-4c1a-b554-a9c4643b4144	CRAH
7436eaa5-8235-48f7-b150-b042ba4a7218	d8ce62f2-a6a2-467f-894a-868e7b2ced37	CRAC
7436eaa5-8235-48f7-b150-b042ba4a7218	35d759df-136e-4980-b944-c892a78f04a9	CRAC_WITHOUT_FAN
7436eaa5-8235-48f7-b150-b042ba4a7218	aa7ed76f-f0ec-4a70-9468-3cb2bce81312	CRAC_FAN
7436eaa5-8235-48f7-b150-b042ba4a7218	ac6ea901-18a5-407b-93dd-43f988de0612	CHILLER
7436eaa5-8235-48f7-b150-b042ba4a7218	3e64afa7-0eb6-4a6c-ac0e-5800f1ab74bb	AIR_COOLED_CHILLER
7436eaa5-8235-48f7-b150-b042ba4a7218	498be7a8-868a-462f-8910-9d41a4f1f729	COOLING_TOWER
7436eaa5-8235-48f7-b150-b042ba4a7218	84ec49c9-b4c4-4323-a8e0-984a3188babb	DRY_COOLER
7436eaa5-8235-48f7-b150-b042ba4a7218	cf191185-0c22-4ef7-99ae-33b8dc91981d	REMOTE_CONDENSER
7436eaa5-8235-48f7-b150-b042ba4a7218	a8800920-cb22-4cd0-ad97-09b739bec481	CHILLED_WATER_PUMPS
7436eaa5-8235-48f7-b150-b042ba4a7218	f0fdd52a-44b0-43c7-bc27-10ced8d61146	HEAT_REJECTION_PUMPS
7436eaa5-8235-48f7-b150-b042ba4a7218	6128f6c4-d71e-451f-8472-aa1992772de3	VENTILATION
7436eaa5-8235-48f7-b150-b042ba4a7218	bd0d9108-598e-4a81-9558-460298796821	INFILTRATION
7436eaa5-8235-48f7-b150-b042ba4a7218	8deb14ae-430d-48c8-bff6-0c492c44d5f4	IT_LOAD
77a2b625-88af-4cc0-9caa-4c69e563c971	63eb0023-3567-4f4a-9d8c-0c21275f9eef	SWITCHGEAR
77a2b625-88af-4cc0-9caa-4c69e563c971	755048b2-8b40-4eb6-b924-113179f82777	GENERATOR
77a2b625-88af-4cc0-9caa-4c69e563c971	d94014eb-2132-49d3-bd30-2233bdd2eaa6	PRIMARY_AUXILIARIES
77a2b625-88af-4cc0-9caa-4c69e563c971	dcc5f4aa-41cc-4dcd-ba16-43225f3a8237	UPS
77a2b625-88af-4cc0-9caa-4c69e563c971	ece1dc9f-3b7d-498a-8a6d-91b2e11afcda	CRITICAL_AUXILIARIES
77a2b625-88af-4cc0-9caa-4c69e563c971	ee1df723-3ee1-46b5-a8bf-fb2715b2bd8c	LIGHTING
77a2b625-88af-4cc0-9caa-4c69e563c971	7306b81f-9929-4e2b-b6fc-ee8af939a1a5	CRITICAL_POWER_DISTRIBUTION
77a2b625-88af-4cc0-9caa-4c69e563c971	d16e0bfc-afcc-40aa-aff6-cae744f5db2b	CRAH
77a2b625-88af-4cc0-9caa-4c69e563c971	84f32100-b04b-4023-b961-26b257146575	CRAC
77a2b625-88af-4cc0-9caa-4c69e563c971	45ef80f9-0632-43c3-8826-92464c169f49	CRAC_WITHOUT_FAN
77a2b625-88af-4cc0-9caa-4c69e563c971	af49f8a5-ce76-4d30-bce4-30fdc9814f07	CRAC_FAN
77a2b625-88af-4cc0-9caa-4c69e563c971	5b487f35-4752-45ee-a458-8e4886f59df2	CHILLER
77a2b625-88af-4cc0-9caa-4c69e563c971	1c693437-244c-4aee-940e-d6fe58c0d8ba	AIR_COOLED_CHILLER
77a2b625-88af-4cc0-9caa-4c69e563c971	c64bb691-c030-47d0-ae07-70c1ad229a62	COOLING_TOWER
77a2b625-88af-4cc0-9caa-4c69e563c971	79e21047-13d3-4dce-b1ad-b98e73ff870d	DRY_COOLER
77a2b625-88af-4cc0-9caa-4c69e563c971	aa8956f3-4172-407e-a9c6-d9c46a0c416c	REMOTE_CONDENSER
77a2b625-88af-4cc0-9caa-4c69e563c971	48d3bd1b-b10c-4465-9f7e-16b39212cf42	CHILLED_WATER_PUMPS
77a2b625-88af-4cc0-9caa-4c69e563c971	be4ceca9-91c7-452e-a9b6-dde1d18f9c14	HEAT_REJECTION_PUMPS
77a2b625-88af-4cc0-9caa-4c69e563c971	d3f1996b-4630-4940-99fc-0385e98b770e	VENTILATION
77a2b625-88af-4cc0-9caa-4c69e563c971	9e96e929-5d9e-4965-bc6f-a7e92beed308	INFILTRATION
77a2b625-88af-4cc0-9caa-4c69e563c971	20efe3cf-9316-445a-949e-7e2ea1bba1f1	IT_LOAD
f1d3cdac-2f41-4f75-ae73-5c5507791332	a1b09523-f39a-47f6-976c-4b336ddcbdba	SWITCHGEAR
f1d3cdac-2f41-4f75-ae73-5c5507791332	81b282d0-eff6-4487-9853-86007afa40aa	GENERATOR
f1d3cdac-2f41-4f75-ae73-5c5507791332	d0730e89-8549-48fd-974a-d1348de8f21e	PRIMARY_AUXILIARIES
f1d3cdac-2f41-4f75-ae73-5c5507791332	ca96415e-f5eb-4a4b-9d14-b954091d22f3	UPS
f1d3cdac-2f41-4f75-ae73-5c5507791332	ea873ebc-745a-4f5a-a619-d6bc90c30bde	CRITICAL_AUXILIARIES
f1d3cdac-2f41-4f75-ae73-5c5507791332	23e7031a-fa74-4fbd-be89-a549ca7cc236	LIGHTING
f1d3cdac-2f41-4f75-ae73-5c5507791332	1f4a5c64-fbcb-40b6-81cd-f3ee9091e5b4	CRITICAL_POWER_DISTRIBUTION
f1d3cdac-2f41-4f75-ae73-5c5507791332	ec133770-9e7a-4bf0-825b-94618f92ceeb	CRAH
f1d3cdac-2f41-4f75-ae73-5c5507791332	9f1c5987-b731-4040-b601-ab2b7cc6f91c	CRAC
f1d3cdac-2f41-4f75-ae73-5c5507791332	9ec64f69-4603-4741-adc2-bad87ab12734	CRAC_WITHOUT_FAN
f1d3cdac-2f41-4f75-ae73-5c5507791332	27f4e440-362e-4665-843c-87b56628edb8	CRAC_FAN
f1d3cdac-2f41-4f75-ae73-5c5507791332	d8ae6d44-ac9e-4d6f-a55b-6141e7b5987f	CHILLER
f1d3cdac-2f41-4f75-ae73-5c5507791332	ac2a7c6f-1180-4214-bb66-dc64df3e52fd	AIR_COOLED_CHILLER
f1d3cdac-2f41-4f75-ae73-5c5507791332	2187f083-c14b-4f5e-948a-75543b215ee7	COOLING_TOWER
f1d3cdac-2f41-4f75-ae73-5c5507791332	67a8406a-540a-4095-993c-6dab70d53bb2	DRY_COOLER
f1d3cdac-2f41-4f75-ae73-5c5507791332	08ec6cc7-019c-4966-a9c8-aca1a5eb2d0e	REMOTE_CONDENSER
f1d3cdac-2f41-4f75-ae73-5c5507791332	3b4ddd2b-e970-4197-8f3e-55f8af4a3d7b	CHILLED_WATER_PUMPS
f1d3cdac-2f41-4f75-ae73-5c5507791332	8248fddb-77ca-49a9-8b8b-243f11340256	HEAT_REJECTION_PUMPS
f1d3cdac-2f41-4f75-ae73-5c5507791332	7802f1e7-56ce-4b5b-acc5-9423a032f34c	VENTILATION
f1d3cdac-2f41-4f75-ae73-5c5507791332	db3416d4-2c18-4c5a-928d-2e4be0da490f	INFILTRATION
f1d3cdac-2f41-4f75-ae73-5c5507791332	174da7c0-253a-410b-a4a2-546c5271f9b1	IT_LOAD
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	ab5a5e32-99b0-4077-ad5f-c30c8256d48e	SWITCHGEAR
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	704a4e30-7c52-47a8-b143-ec18345e3418	GENERATOR
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	c576839a-8ce1-491f-a08b-1351732a3f4e	PRIMARY_AUXILIARIES
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	cdaf8bcb-c353-440c-b992-fbd9f44a2737	UPS
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	a8848d24-6a84-4f0a-b3db-53ae1e89e7c1	CRITICAL_AUXILIARIES
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	d678a626-4ed7-4df2-9f44-f1b411765259	LIGHTING
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	b61ac111-a06c-41d4-a95d-f9081f0094e3	CRITICAL_POWER_DISTRIBUTION
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	683e0e83-827c-47ba-b911-3802b5919a01	CRAH
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	9c7ab81a-cd52-47dd-8f0b-31263d3becf7	CRAC
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	4a26e4ea-cc1a-45f6-92f8-ecaf038e070a	CRAC_WITHOUT_FAN
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	3117eea0-8e7b-43ff-bfaf-e8ee91227219	CRAC_FAN
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	fe78eb3b-e142-4ad1-9605-89b0021ac0b1	CHILLER
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	c70a17f6-973d-47f6-a8c4-7142afd4facb	AIR_COOLED_CHILLER
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	129af77e-2fa2-437c-b9da-f4a481f8fe2f	COOLING_TOWER
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	2a1ac3e7-1563-4f49-be55-e405356516fc	DRY_COOLER
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	e5da4f8d-d39e-4dc9-8cd8-6ab6d3b0cdea	REMOTE_CONDENSER
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	59d97d5b-611a-4c6f-9083-698ab9726236	CHILLED_WATER_PUMPS
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	48d75299-dbff-44b0-a2b3-916112a0deb0	HEAT_REJECTION_PUMPS
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	f2ca857a-ead0-4e7b-a603-c8d46202fe72	VENTILATION
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	6673a536-614d-45a6-96f6-12573a542876	INFILTRATION
288bae01-30a7-49ba-bbd3-d309bc8fdeb4	864bdea8-5c62-4d54-ab25-f0344a5f5306	IT_LOAD
097c2446-f0cc-47b0-ad55-378d0f442286	85a81fc6-e08a-4677-96ba-a7409db36d1a	SWITCHGEAR
097c2446-f0cc-47b0-ad55-378d0f442286	4edc7b50-7f4a-4d8d-b161-8cbff29761de	GENERATOR
097c2446-f0cc-47b0-ad55-378d0f442286	a1236724-4519-4db3-b175-5709a3b039da	PRIMARY_AUXILIARIES
097c2446-f0cc-47b0-ad55-378d0f442286	934aad9f-7836-49cb-844f-2178f3fae507	UPS
097c2446-f0cc-47b0-ad55-378d0f442286	475fc41a-19bb-4021-a650-215c351bd372	CRITICAL_AUXILIARIES
097c2446-f0cc-47b0-ad55-378d0f442286	ba0b8904-dc09-4ee7-b1cd-31285aef7fc1	LIGHTING
097c2446-f0cc-47b0-ad55-378d0f442286	b959ac30-6e10-4d2f-a7fe-a9a2cae22958	CRITICAL_POWER_DISTRIBUTION
097c2446-f0cc-47b0-ad55-378d0f442286	fcf56715-b56c-48a9-9318-37b2ee3b901e	CRAH
097c2446-f0cc-47b0-ad55-378d0f442286	f17f3614-21a9-4afd-9a4b-9a596b417476	CRAC
097c2446-f0cc-47b0-ad55-378d0f442286	3d51cabf-41a2-4d75-8694-46902ffea2ab	CRAC_WITHOUT_FAN
097c2446-f0cc-47b0-ad55-378d0f442286	ae2ec65b-2525-4485-9df6-29e577abc28d	CRAC_FAN
097c2446-f0cc-47b0-ad55-378d0f442286	62c7ba40-5492-4f36-8ed7-3251097fa92d	CHILLER
097c2446-f0cc-47b0-ad55-378d0f442286	dd824933-e6a1-4453-b06d-3a5a833a740a	AIR_COOLED_CHILLER
097c2446-f0cc-47b0-ad55-378d0f442286	261ad4ac-f8d3-4fe1-92f7-547b531b283a	COOLING_TOWER
097c2446-f0cc-47b0-ad55-378d0f442286	52d64725-bdf0-4b0f-ab7b-5c3edd2ec745	DRY_COOLER
097c2446-f0cc-47b0-ad55-378d0f442286	b57009c5-1728-43de-84f4-37b32ee3a15c	REMOTE_CONDENSER
097c2446-f0cc-47b0-ad55-378d0f442286	f23aac33-767a-4693-9bd5-1428d173620e	CHILLED_WATER_PUMPS
097c2446-f0cc-47b0-ad55-378d0f442286	c0a9f845-5e9b-4842-8590-8ab0574fbec6	HEAT_REJECTION_PUMPS
097c2446-f0cc-47b0-ad55-378d0f442286	9b9ee889-2ad6-4fd7-85d1-be84ca493506	VENTILATION
097c2446-f0cc-47b0-ad55-378d0f442286	3de6524b-ad56-4b27-ac6f-9db0c415e70c	INFILTRATION
097c2446-f0cc-47b0-ad55-378d0f442286	eabeab32-991c-48c4-a2ca-0fd83a00a435	IT_LOAD
413ec9b4-dbf9-45a8-8fed-b740bc366b66	1a742069-40a0-44f8-a010-e06e38714889	SWITCHGEAR
413ec9b4-dbf9-45a8-8fed-b740bc366b66	4a8296f3-9f98-4e65-a326-150f7e04a67e	GENERATOR
413ec9b4-dbf9-45a8-8fed-b740bc366b66	b240f8cc-6e15-474e-8574-fd4a7f050385	PRIMARY_AUXILIARIES
413ec9b4-dbf9-45a8-8fed-b740bc366b66	c8b848e2-edc5-46d3-86aa-5bac24c60478	UPS
413ec9b4-dbf9-45a8-8fed-b740bc366b66	99841605-c5c6-48cc-8394-2d1ad8a69439	CRITICAL_AUXILIARIES
413ec9b4-dbf9-45a8-8fed-b740bc366b66	40234f9c-924f-4b22-8272-af9aca6e9a33	LIGHTING
413ec9b4-dbf9-45a8-8fed-b740bc366b66	be48633d-ea62-4520-a131-25e5fafe14f6	CRITICAL_POWER_DISTRIBUTION
413ec9b4-dbf9-45a8-8fed-b740bc366b66	c222a5c4-0e31-47ef-99c9-efdd94e8de8c	CRAH
413ec9b4-dbf9-45a8-8fed-b740bc366b66	6576d250-b873-40c0-98d1-d54cba1210fa	CRAC
413ec9b4-dbf9-45a8-8fed-b740bc366b66	ae9121f7-949d-4a10-88f0-89889ecaf3e7	CRAC_WITHOUT_FAN
413ec9b4-dbf9-45a8-8fed-b740bc366b66	34a0c4ed-34b6-4bee-95b3-811216cc0f7b	CRAC_FAN
413ec9b4-dbf9-45a8-8fed-b740bc366b66	d104ae5c-d520-47d0-9626-d4756df88dda	CHILLER
413ec9b4-dbf9-45a8-8fed-b740bc366b66	85544c21-ba99-4cd5-a3fe-0961e7d1e48f	AIR_COOLED_CHILLER
413ec9b4-dbf9-45a8-8fed-b740bc366b66	084349b4-1dea-4cba-910a-f7c355bc2fbb	COOLING_TOWER
413ec9b4-dbf9-45a8-8fed-b740bc366b66	a997f8a2-ec03-42dc-a457-1ca36d2cab60	DRY_COOLER
413ec9b4-dbf9-45a8-8fed-b740bc366b66	43e0ae14-70f9-4cb8-8e77-829e85559017	REMOTE_CONDENSER
413ec9b4-dbf9-45a8-8fed-b740bc366b66	e0a48f9d-b44d-4581-8b23-5ce6eaba0f3e	CHILLED_WATER_PUMPS
413ec9b4-dbf9-45a8-8fed-b740bc366b66	625a5d2a-a4a8-4eeb-b8ec-6b17bc15236f	HEAT_REJECTION_PUMPS
413ec9b4-dbf9-45a8-8fed-b740bc366b66	141875a8-c028-4d9b-ab46-6be2c38f8a33	VENTILATION
413ec9b4-dbf9-45a8-8fed-b740bc366b66	c9f6dba2-b44b-42b9-af1d-66ddef09189d	INFILTRATION
413ec9b4-dbf9-45a8-8fed-b740bc366b66	262ddc4b-004b-41d7-93a9-864e5d52fcc3	IT_LOAD
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	61e41a17-2f2c-4c5a-b8ac-8c7cd27b36fe	SWITCHGEAR
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	b996277b-2cbc-4870-92b1-4292bac4c2ac	GENERATOR
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	546226ea-ca8b-408f-ae04-540c98ea7e98	PRIMARY_AUXILIARIES
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	62259df8-6892-482a-a197-f06b6acdb01e	UPS
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	70afa44d-a930-4d74-89aa-95e17674f0f1	CRITICAL_AUXILIARIES
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	51a57bac-c17e-475f-be58-26e0da08ab64	LIGHTING
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	3c24301a-48ec-47d2-be16-2c6b8d3eb749	CRITICAL_POWER_DISTRIBUTION
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	05a688e3-5b39-4aaf-a840-4251b39359db	CRAH
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	a31d1ab3-d8c3-4e1d-88fe-a322f7104033	CRAC
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	da8cdf94-82dd-4bbe-968c-11e3db9c01ea	CRAC_WITHOUT_FAN
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	88bb1c08-5f47-4638-b92c-d0feb9818e46	CRAC_FAN
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	35aa5c5c-e652-49c2-9662-90745763f56d	CHILLER
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	9e17c998-a100-4185-9d57-434518055095	AIR_COOLED_CHILLER
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	151fa99f-fbf2-466b-a132-85373547a825	COOLING_TOWER
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	0f4c4a68-6f08-4cbf-9d74-6e20ef50584e	DRY_COOLER
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	3a10eb0f-952b-4cc0-9be2-d11dbedce5d7	REMOTE_CONDENSER
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	65c29d42-7b87-4dff-a6ba-5375496762e0	CHILLED_WATER_PUMPS
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	5e350f2f-08ac-4a69-ac25-88ccb14bb468	HEAT_REJECTION_PUMPS
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	eb97c18c-d4c2-4a7d-afb0-911691ca9718	VENTILATION
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	dc1c4bff-7bfe-4f9f-ab73-62015a309007	INFILTRATION
6e3234bb-30f8-4310-8d81-61e7c7fe14b9	13df6848-f80c-4c6e-ad45-cf0e0dc96831	IT_LOAD
ac15ba7d-2603-4b43-b873-04eff20cf49a	760e417c-7443-4f18-b31b-f7c9e03b9aab	SWITCHGEAR
ac15ba7d-2603-4b43-b873-04eff20cf49a	9b27f1e1-08aa-4581-9e0e-99236f16cee1	GENERATOR
ac15ba7d-2603-4b43-b873-04eff20cf49a	5f03e9e4-0446-4e3d-be64-ca34684e732f	PRIMARY_AUXILIARIES
ac15ba7d-2603-4b43-b873-04eff20cf49a	0adfd7d4-2ecc-4cfa-bc6b-0ba92fd549af	UPS
ac15ba7d-2603-4b43-b873-04eff20cf49a	b496f2c6-29c2-4856-b40e-987d77331f84	CRITICAL_AUXILIARIES
ac15ba7d-2603-4b43-b873-04eff20cf49a	a2d011c6-0084-48a4-8821-59f458f9c516	LIGHTING
ac15ba7d-2603-4b43-b873-04eff20cf49a	c6a21427-b955-46b7-9dfc-e06469344432	CRITICAL_POWER_DISTRIBUTION
ac15ba7d-2603-4b43-b873-04eff20cf49a	dae11ece-d732-4760-a103-f053e1b57158	CRAH
ac15ba7d-2603-4b43-b873-04eff20cf49a	68a85738-6949-4058-a3ef-ccf223785db5	CRAC
ac15ba7d-2603-4b43-b873-04eff20cf49a	779053f5-b48f-4f6e-bbbf-2f847bc1a2a5	CRAC_WITHOUT_FAN
ac15ba7d-2603-4b43-b873-04eff20cf49a	99a4f7c7-564c-43ab-9948-d3b47a1311e6	CRAC_FAN
ac15ba7d-2603-4b43-b873-04eff20cf49a	f027b126-2d5c-4121-8bf9-912434ddd739	CHILLER
ac15ba7d-2603-4b43-b873-04eff20cf49a	ca5da0dd-88c3-4f40-b5bc-2bec56d33739	AIR_COOLED_CHILLER
ac15ba7d-2603-4b43-b873-04eff20cf49a	c6fb0971-f00f-4a3f-96c2-39b9f770d984	COOLING_TOWER
ac15ba7d-2603-4b43-b873-04eff20cf49a	0baa4c62-d1c3-433a-b924-9c2bdf272492	DRY_COOLER
ac15ba7d-2603-4b43-b873-04eff20cf49a	f13263e6-1cf5-45e4-948b-55482eacc748	REMOTE_CONDENSER
ac15ba7d-2603-4b43-b873-04eff20cf49a	ea35cd8a-82d2-4d32-a6d0-6098a20893bb	CHILLED_WATER_PUMPS
ac15ba7d-2603-4b43-b873-04eff20cf49a	7c9a6c28-c94a-41ff-8661-af8597a17fcb	HEAT_REJECTION_PUMPS
ac15ba7d-2603-4b43-b873-04eff20cf49a	43660393-bfbc-4730-bc7f-fec4bae3ebb8	VENTILATION
ac15ba7d-2603-4b43-b873-04eff20cf49a	b582318c-8069-463a-b26c-7d664ea97fda	INFILTRATION
ac15ba7d-2603-4b43-b873-04eff20cf49a	89605c13-b2de-46b6-92cf-bdcca015af2e	IT_LOAD
0b0f1578-82ee-41a8-ba79-874deb03994a	320dd1aa-cb09-4977-91db-eae40e8b890e	SWITCHGEAR
0b0f1578-82ee-41a8-ba79-874deb03994a	ce7d1b09-a612-441f-ad14-4fe86ea01d7c	GENERATOR
0b0f1578-82ee-41a8-ba79-874deb03994a	af262607-f15d-4819-a9a0-1c68cad6f6fc	PRIMARY_AUXILIARIES
0b0f1578-82ee-41a8-ba79-874deb03994a	fbd28772-1252-42f2-8329-dcc1a87d9a0b	UPS
0b0f1578-82ee-41a8-ba79-874deb03994a	2902afd3-725d-4780-8c3f-e3abe7c0053f	CRITICAL_AUXILIARIES
0b0f1578-82ee-41a8-ba79-874deb03994a	26bad6c2-ebed-401a-8958-96dc10c2092e	LIGHTING
0b0f1578-82ee-41a8-ba79-874deb03994a	442b3e97-9866-4914-a26e-8bc6b312c9d6	CRITICAL_POWER_DISTRIBUTION
0b0f1578-82ee-41a8-ba79-874deb03994a	6d602970-da7a-49d1-9bf6-e14afb644d38	CRAH
0b0f1578-82ee-41a8-ba79-874deb03994a	3d40a3cb-e778-46c6-89c0-822a192be49b	CRAC
0b0f1578-82ee-41a8-ba79-874deb03994a	3ab80f53-8072-47ae-be14-e9247a45c48e	CRAC_WITHOUT_FAN
0b0f1578-82ee-41a8-ba79-874deb03994a	ea085489-83f4-4acf-a301-b91ae036e797	CRAC_FAN
0b0f1578-82ee-41a8-ba79-874deb03994a	69cda6f5-94a2-4a91-8012-4cf5336d077d	CHILLER
0b0f1578-82ee-41a8-ba79-874deb03994a	bf5968e1-3d57-43c1-aacc-475d4d942dce	AIR_COOLED_CHILLER
0b0f1578-82ee-41a8-ba79-874deb03994a	0d26204e-5fbf-43f1-be9f-63cfed4d0a43	COOLING_TOWER
0b0f1578-82ee-41a8-ba79-874deb03994a	714ee4c8-dcf2-4640-95eb-c4b8cd07d1b9	DRY_COOLER
0b0f1578-82ee-41a8-ba79-874deb03994a	98c45395-875d-4c41-aabc-5d0356f5a416	REMOTE_CONDENSER
0b0f1578-82ee-41a8-ba79-874deb03994a	1410fdd8-9ed9-4ce6-9128-115aa9ee2c11	CHILLED_WATER_PUMPS
0b0f1578-82ee-41a8-ba79-874deb03994a	9b210a4c-23d8-4a0e-9507-7862166ac564	HEAT_REJECTION_PUMPS
0b0f1578-82ee-41a8-ba79-874deb03994a	4660806f-0e12-4484-986f-e57088b4c39b	VENTILATION
0b0f1578-82ee-41a8-ba79-874deb03994a	f05e4781-c7c7-4bd6-9f57-e6a0fe6cca0a	INFILTRATION
0b0f1578-82ee-41a8-ba79-874deb03994a	fc165e65-e72e-4f94-a272-154805ee5071	IT_LOAD
c7f96377-b9d9-4291-9c9e-fb19a881dad7	c777f484-41a3-4e2d-b099-1d6eb9f1c595	SWITCHGEAR
c7f96377-b9d9-4291-9c9e-fb19a881dad7	0114f252-e7c8-461c-8654-9576c0a130b8	GENERATOR
c7f96377-b9d9-4291-9c9e-fb19a881dad7	c485145a-ab71-4317-a92f-6c1b26f6b86d	PRIMARY_AUXILIARIES
c7f96377-b9d9-4291-9c9e-fb19a881dad7	c551df78-110b-44c9-b61d-0152c16c0065	UPS
c7f96377-b9d9-4291-9c9e-fb19a881dad7	7d5cd9e3-c749-47db-9188-0648868cbe47	CRITICAL_AUXILIARIES
c7f96377-b9d9-4291-9c9e-fb19a881dad7	cb3c9c74-d9f8-46f4-9703-fe9e51d5698e	LIGHTING
c7f96377-b9d9-4291-9c9e-fb19a881dad7	03c697d6-d457-4cdc-8fb5-bdfd80cc1740	CRITICAL_POWER_DISTRIBUTION
c7f96377-b9d9-4291-9c9e-fb19a881dad7	9dee349f-fd74-42c9-a679-08065dc0b796	CRAH
c7f96377-b9d9-4291-9c9e-fb19a881dad7	e10498a4-7271-4890-9511-7ef9716dc913	CRAC
c7f96377-b9d9-4291-9c9e-fb19a881dad7	310506e4-5dbc-46bc-a210-40933cebc8c2	CRAC_WITHOUT_FAN
c7f96377-b9d9-4291-9c9e-fb19a881dad7	4d3a1f77-b207-4c89-9ee8-c25e6ddc2f88	CRAC_FAN
c7f96377-b9d9-4291-9c9e-fb19a881dad7	cd51f8e5-4a23-4276-8ffd-76b9ecebc845	CHILLER
c7f96377-b9d9-4291-9c9e-fb19a881dad7	c478ea64-2bdb-4f83-9c24-8998fb770fea	AIR_COOLED_CHILLER
c7f96377-b9d9-4291-9c9e-fb19a881dad7	9abd4a04-b7a1-43db-b8e3-b02d09b470e6	COOLING_TOWER
c7f96377-b9d9-4291-9c9e-fb19a881dad7	92832eb4-b5fe-4fce-b932-0478d436b06b	DRY_COOLER
c7f96377-b9d9-4291-9c9e-fb19a881dad7	49450484-ed70-4b3c-b9d8-13c512ffe5ed	REMOTE_CONDENSER
c7f96377-b9d9-4291-9c9e-fb19a881dad7	c18721f2-ac82-4f3a-b797-fea03f58fb05	CHILLED_WATER_PUMPS
c7f96377-b9d9-4291-9c9e-fb19a881dad7	26f1860c-7f65-48c9-8e8b-3e853b72b3de	HEAT_REJECTION_PUMPS
c7f96377-b9d9-4291-9c9e-fb19a881dad7	4a24d0e2-0d30-442e-a68b-76b3fe768e72	VENTILATION
c7f96377-b9d9-4291-9c9e-fb19a881dad7	60dd629a-10e1-47ff-84f9-8fcd7f8ab226	INFILTRATION
c7f96377-b9d9-4291-9c9e-fb19a881dad7	e5bffd4c-c626-4355-8898-859e06ff12ac	IT_LOAD
1f1e61b0-1777-4e4e-be2e-82fa748da261	6a2dc4f5-43e3-49b9-a767-36a91a941d0f	SWITCHGEAR
1f1e61b0-1777-4e4e-be2e-82fa748da261	e94bcf4a-6526-4d77-b42c-d5ae23fb4ad8	GENERATOR
1f1e61b0-1777-4e4e-be2e-82fa748da261	8b60416b-e461-499b-a86f-c24092a46ff6	PRIMARY_AUXILIARIES
1f1e61b0-1777-4e4e-be2e-82fa748da261	118f735f-5cd3-409a-bc4f-a6c09addab8c	UPS
1f1e61b0-1777-4e4e-be2e-82fa748da261	b387e03b-bec5-4371-a896-0f7c041b7ad9	CRITICAL_AUXILIARIES
1f1e61b0-1777-4e4e-be2e-82fa748da261	67255a0f-7fab-4799-b8a3-edb35fb133a1	LIGHTING
1f1e61b0-1777-4e4e-be2e-82fa748da261	0dd3a3b7-113e-4f55-950d-91e6faca5756	CRITICAL_POWER_DISTRIBUTION
1f1e61b0-1777-4e4e-be2e-82fa748da261	81d184ec-eec8-4e47-b68b-3b874298f93f	CRAH
1f1e61b0-1777-4e4e-be2e-82fa748da261	c414009d-c9d0-4019-be31-4e127a80586f	CRAC
1f1e61b0-1777-4e4e-be2e-82fa748da261	8a379541-8d5d-46a5-af8d-8de97aea364b	CRAC_WITHOUT_FAN
1f1e61b0-1777-4e4e-be2e-82fa748da261	f1cabea9-d830-4a52-bbcf-0d2b047fe018	CRAC_FAN
1f1e61b0-1777-4e4e-be2e-82fa748da261	e0027b34-b96e-4060-971a-d3f7927d0bba	CHILLER
1f1e61b0-1777-4e4e-be2e-82fa748da261	9074e021-91a4-44e2-a556-4fde1159c7c1	AIR_COOLED_CHILLER
1f1e61b0-1777-4e4e-be2e-82fa748da261	f6a3f61a-11bd-4435-8b5a-aedb6907fd54	COOLING_TOWER
1f1e61b0-1777-4e4e-be2e-82fa748da261	0fdd0851-05f4-44bb-a36c-3c01add04fa8	DRY_COOLER
1f1e61b0-1777-4e4e-be2e-82fa748da261	e1ad9f93-607e-431c-94c7-ab7f6c110fdb	REMOTE_CONDENSER
1f1e61b0-1777-4e4e-be2e-82fa748da261	7fa44610-e3ee-45b3-9826-df2476c7bd95	CHILLED_WATER_PUMPS
1f1e61b0-1777-4e4e-be2e-82fa748da261	ac5740fe-e69a-469d-af5d-d6362b7eda40	HEAT_REJECTION_PUMPS
1f1e61b0-1777-4e4e-be2e-82fa748da261	80a660d7-be99-4462-a30f-9a63bee89386	VENTILATION
1f1e61b0-1777-4e4e-be2e-82fa748da261	c4cd058d-2d32-4f44-a3d9-e15133483637	INFILTRATION
1f1e61b0-1777-4e4e-be2e-82fa748da261	51f70b02-5326-4331-a5fd-9bb0a00795e4	IT_LOAD
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	1a95e4c4-7846-45c9-99a8-4a21dc449d22	SWITCHGEAR
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	5dd6d902-1a0a-438c-93bf-4948390001cb	GENERATOR
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	763ca675-2306-4f2f-a472-819007edebd2	PRIMARY_AUXILIARIES
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	ad8c38db-7a52-41d8-b675-7421e71fe1b2	UPS
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	fd3bfdc1-cff3-40a5-b100-f16c824f1b63	CRITICAL_AUXILIARIES
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	7655785f-da07-42f7-9ff8-4fab4d160020	LIGHTING
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	a032dc52-a728-4f00-a850-62fe53c46217	CRITICAL_POWER_DISTRIBUTION
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	49957715-dd97-4529-b17d-04c4912355fb	CRAH
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	02d01697-b937-4b22-be9b-e4a09e5ad962	CRAC
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	e9200764-469d-452f-8084-a72b3c6ceeb4	CRAC_WITHOUT_FAN
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	b2d844fe-9867-4349-ad91-3c18a610f6fb	CRAC_FAN
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	cd3d394f-e7e6-4b95-86e0-1407ce6ee243	CHILLER
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	fbc38726-c03e-4d82-98f0-831cada04c9d	AIR_COOLED_CHILLER
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	9eab93d1-cd66-4c30-9474-29be0dc23d35	COOLING_TOWER
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	314d0255-6971-42f3-a8e1-738437f36b36	DRY_COOLER
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	ca09e660-7259-4384-bf28-9581b748622c	REMOTE_CONDENSER
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	71087875-7a8d-4c56-8c43-ffce2a2226e0	CHILLED_WATER_PUMPS
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	66a01c20-b92e-49f9-90f0-b945553417a9	HEAT_REJECTION_PUMPS
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	550e10c2-5ff5-47af-99cd-19b5cfb96a90	VENTILATION
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	fb7c91da-da8a-4d26-accd-dbf4bfcd8784	INFILTRATION
9b0b957e-f0a8-423d-a2c6-82019cf5fb91	1832feeb-e376-4192-9bff-acbee6a52738	IT_LOAD
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	dac5325d-bd22-4862-9b18-78404b3364ae	SWITCHGEAR
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	5f312ba7-9bea-463d-a9c7-3ba2082c906e	GENERATOR
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	b60092d1-c5d7-49bc-a651-8270130ab5f4	PRIMARY_AUXILIARIES
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	967ec2a8-a356-4b88-a05d-8112c2099c57	UPS
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	bd7411fc-435f-470c-940d-6e3d98e08ba1	CRITICAL_AUXILIARIES
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	390b081a-297a-44f5-a78c-a4f629e74ffd	LIGHTING
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	d31ca3fe-5a0e-4d66-a842-f8bd416e9206	CRITICAL_POWER_DISTRIBUTION
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	0af08e49-59ab-4e5f-aaf2-64b118256b13	CRAH
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	b5415d52-3fdd-4dcd-8fc0-4b0aff85e341	CRAC
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	e4c1ca2a-c99d-4071-93b0-433010050e2f	CRAC_WITHOUT_FAN
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	8665caf2-0e6a-436e-8a43-cba1a7e70cc7	CRAC_FAN
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	f387cce3-6ffc-42b4-9de7-e4a233968aee	CHILLER
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	1d21fa5e-30cb-4fdc-a274-786b16606143	AIR_COOLED_CHILLER
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	ee428d17-3d7e-42bd-8a38-c765d4d60f5c	COOLING_TOWER
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	28fa07d2-d364-414c-889b-6718d5ec2ee8	DRY_COOLER
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	83273c7c-4629-4da7-9b2e-09f59a683147	REMOTE_CONDENSER
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	e1b4057e-80d4-4c5c-92f8-222aa820c4ff	CHILLED_WATER_PUMPS
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	bcd33a05-05d3-4d24-99b7-da08eefbf1a8	HEAT_REJECTION_PUMPS
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	2000a0cb-c87a-431c-b291-09a681f45281	VENTILATION
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	e8a3d21a-132d-41af-a6b9-5b02e4af720a	INFILTRATION
acf3c5b8-f58c-4a3d-85a9-1dbb643c3530	27e3a588-50f0-48c4-8bd5-d56c5d7b5ac7	IT_LOAD
878b8872-919f-43c9-b853-5eeaffd5d19a	75112b92-2a38-4e22-8f86-7d341e57775e	SWITCHGEAR
878b8872-919f-43c9-b853-5eeaffd5d19a	122cb344-53d9-489f-8f77-46866f038385	GENERATOR
878b8872-919f-43c9-b853-5eeaffd5d19a	e8d34f60-4e2e-4c2d-8ea7-a7e416d43e8b	PRIMARY_AUXILIARIES
878b8872-919f-43c9-b853-5eeaffd5d19a	ba6969f7-5772-4d7f-91a5-08dbf8048a53	UPS
878b8872-919f-43c9-b853-5eeaffd5d19a	9a288ccd-7209-4b44-b205-3d2a3c2c2538	CRITICAL_AUXILIARIES
878b8872-919f-43c9-b853-5eeaffd5d19a	f1cd5ab1-8587-4c89-b12e-04c22e48b1ea	LIGHTING
878b8872-919f-43c9-b853-5eeaffd5d19a	2691ee30-1143-4e4d-bf75-539b746f5010	CRITICAL_POWER_DISTRIBUTION
878b8872-919f-43c9-b853-5eeaffd5d19a	78ae3444-15b3-42af-8f28-1f84f2fb6056	CRAH
878b8872-919f-43c9-b853-5eeaffd5d19a	fe0f7937-a0d7-476f-a125-aef6aa6080e4	CRAC
878b8872-919f-43c9-b853-5eeaffd5d19a	291b678d-8d15-42fb-8664-62bbf0b4ee30	CRAC_WITHOUT_FAN
878b8872-919f-43c9-b853-5eeaffd5d19a	e5251885-a9c2-4309-8854-4ded9f5d8464	CRAC_FAN
878b8872-919f-43c9-b853-5eeaffd5d19a	ea2e761f-7224-4270-a3f1-5605931a52f1	CHILLER
878b8872-919f-43c9-b853-5eeaffd5d19a	62852f3b-38e6-4b6c-be3e-2bd2fd67cbc3	AIR_COOLED_CHILLER
878b8872-919f-43c9-b853-5eeaffd5d19a	aef50eb4-a0b5-4367-b2f0-4dd091e09c91	COOLING_TOWER
878b8872-919f-43c9-b853-5eeaffd5d19a	3bf70e69-ff3d-4f38-b313-dc016254fe14	DRY_COOLER
878b8872-919f-43c9-b853-5eeaffd5d19a	3aeca869-2b66-4993-9a1f-b7d7a1c4d4b5	REMOTE_CONDENSER
878b8872-919f-43c9-b853-5eeaffd5d19a	502a80c0-bcc0-42b5-b658-a489f7c6743e	CHILLED_WATER_PUMPS
878b8872-919f-43c9-b853-5eeaffd5d19a	0790103c-edcb-46c3-b3fb-aab74204b29e	HEAT_REJECTION_PUMPS
878b8872-919f-43c9-b853-5eeaffd5d19a	348fdb69-a5fe-4a25-a3ea-0e90f9ecc3e2	VENTILATION
878b8872-919f-43c9-b853-5eeaffd5d19a	0bbbe8a8-8938-4407-aa9e-47e9cde1947a	INFILTRATION
878b8872-919f-43c9-b853-5eeaffd5d19a	62eca41a-228e-485f-920e-92363edf36f7	IT_LOAD
213f6a6e-b315-4555-8fc2-cb9881fb89c1	6ae9336a-cc96-469e-8b9c-c98e26f45d83	SWITCHGEAR
213f6a6e-b315-4555-8fc2-cb9881fb89c1	2aaaa829-c211-43bb-abd0-57c70f0b2a6e	GENERATOR
213f6a6e-b315-4555-8fc2-cb9881fb89c1	b5459978-6210-4a5f-a819-65fe1810ef15	PRIMARY_AUXILIARIES
213f6a6e-b315-4555-8fc2-cb9881fb89c1	eaaa9cb9-f238-4f2b-ad74-8e2ed2911619	UPS
213f6a6e-b315-4555-8fc2-cb9881fb89c1	379c3f81-e1de-47ae-b977-301381db534a	CRITICAL_AUXILIARIES
213f6a6e-b315-4555-8fc2-cb9881fb89c1	1ad3e720-8865-44fe-a516-916a7afef531	LIGHTING
213f6a6e-b315-4555-8fc2-cb9881fb89c1	86b26b1d-825e-4f0c-b18c-354533ee68bd	CRITICAL_POWER_DISTRIBUTION
213f6a6e-b315-4555-8fc2-cb9881fb89c1	4bb4df58-b16b-4336-9217-c7d7cdc66bc6	CRAH
213f6a6e-b315-4555-8fc2-cb9881fb89c1	6862fa1e-c007-4e47-9bb9-b92d29fce093	CRAC
213f6a6e-b315-4555-8fc2-cb9881fb89c1	2d802459-7c10-4e73-b282-bb9bae902b4f	CRAC_WITHOUT_FAN
213f6a6e-b315-4555-8fc2-cb9881fb89c1	3e6433d1-24a8-4949-98c9-279a68066385	CRAC_FAN
213f6a6e-b315-4555-8fc2-cb9881fb89c1	098b73ea-d5d3-4d6b-b5fd-1a9188ceb1f1	CHILLER
213f6a6e-b315-4555-8fc2-cb9881fb89c1	eec967d3-75bc-4db6-8052-943fdc9a3e10	AIR_COOLED_CHILLER
213f6a6e-b315-4555-8fc2-cb9881fb89c1	a6268ca3-b18d-4e62-8228-42a82bf00ac4	COOLING_TOWER
213f6a6e-b315-4555-8fc2-cb9881fb89c1	94884a66-813f-4d22-859b-b25a33e452f8	DRY_COOLER
213f6a6e-b315-4555-8fc2-cb9881fb89c1	22ab81eb-fb63-493a-b102-bad01257cb75	REMOTE_CONDENSER
213f6a6e-b315-4555-8fc2-cb9881fb89c1	9d2e0d08-214d-4056-8762-b167ad8117ac	CHILLED_WATER_PUMPS
213f6a6e-b315-4555-8fc2-cb9881fb89c1	a0f64a85-f126-4613-952a-03eb4163ac02	HEAT_REJECTION_PUMPS
213f6a6e-b315-4555-8fc2-cb9881fb89c1	3802cbbc-5600-4729-9ea4-deae0b8f9257	VENTILATION
213f6a6e-b315-4555-8fc2-cb9881fb89c1	cd23be16-660c-4d23-94d3-30a90e2abe01	INFILTRATION
213f6a6e-b315-4555-8fc2-cb9881fb89c1	0d376699-a457-4735-970f-6b27b20d615c	IT_LOAD
6e4a9d15-fa69-422d-a4b4-facd53e35f00	219153bc-da4d-4038-b85e-ed8ca34fe8f2	SWITCHGEAR
6e4a9d15-fa69-422d-a4b4-facd53e35f00	1e2f4d7b-b19d-44d0-abb6-67021bd7f58d	GENERATOR
6e4a9d15-fa69-422d-a4b4-facd53e35f00	8467cbf8-d958-4874-abd0-cc629c265747	PRIMARY_AUXILIARIES
6e4a9d15-fa69-422d-a4b4-facd53e35f00	43318f75-f079-40f7-bf0d-632df0e82c72	UPS
6e4a9d15-fa69-422d-a4b4-facd53e35f00	e1c4c21b-7027-4b20-9ffe-fd25aac878f3	CRITICAL_AUXILIARIES
6e4a9d15-fa69-422d-a4b4-facd53e35f00	ff412af6-3dc4-425d-96a0-dbafb44720a2	LIGHTING
6e4a9d15-fa69-422d-a4b4-facd53e35f00	45656063-2c9e-40f0-b070-80305dfc1c03	CRITICAL_POWER_DISTRIBUTION
6e4a9d15-fa69-422d-a4b4-facd53e35f00	7e319ac7-c0c2-4f23-83d2-fbdee9deab2d	CRAH
6e4a9d15-fa69-422d-a4b4-facd53e35f00	30beffcd-fcf9-4047-9cb4-bca15feece87	CRAC
6e4a9d15-fa69-422d-a4b4-facd53e35f00	f02ac9e3-c8d7-40d1-94c5-47eeb9c7d497	CRAC_WITHOUT_FAN
6e4a9d15-fa69-422d-a4b4-facd53e35f00	962b1e19-5159-4b1d-946b-7504dc737674	CRAC_FAN
6e4a9d15-fa69-422d-a4b4-facd53e35f00	9c34b15e-864a-4b01-81ed-ed0910426dd8	CHILLER
6e4a9d15-fa69-422d-a4b4-facd53e35f00	70dc79a4-5f77-4658-b341-c9a4d97139af	AIR_COOLED_CHILLER
6e4a9d15-fa69-422d-a4b4-facd53e35f00	ba9429ba-c2e8-4ebd-bafd-681bbf1fda9e	COOLING_TOWER
6e4a9d15-fa69-422d-a4b4-facd53e35f00	ce40c8ac-8162-48ea-9acb-620e35e6f117	DRY_COOLER
6e4a9d15-fa69-422d-a4b4-facd53e35f00	5f9fdf12-a9c6-45ff-a968-4bccf2d791be	REMOTE_CONDENSER
6e4a9d15-fa69-422d-a4b4-facd53e35f00	312ea913-9623-4191-a27f-e8b03173074f	CHILLED_WATER_PUMPS
6e4a9d15-fa69-422d-a4b4-facd53e35f00	58eb8b46-28e0-466e-b4ae-deb0a19ad3e2	HEAT_REJECTION_PUMPS
6e4a9d15-fa69-422d-a4b4-facd53e35f00	dd5fb4e0-18ce-4706-90a9-b71c6d4cbb99	VENTILATION
6e4a9d15-fa69-422d-a4b4-facd53e35f00	7c755a85-fc42-49d6-92f2-3a03456c6be6	INFILTRATION
6e4a9d15-fa69-422d-a4b4-facd53e35f00	e2f74cf4-8b9e-4531-8849-9251a7d58000	IT_LOAD
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	5fe27d34-4bcc-4570-baef-6e8aa735a192	SWITCHGEAR
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	ee86e398-e666-4af5-bb60-468587fc3e65	GENERATOR
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	94016178-1c5f-4f4d-bc82-ec3c0b06a660	PRIMARY_AUXILIARIES
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	78496028-41e5-4691-90fe-26c7ee7bb1eb	UPS
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	c717f90c-62e3-4288-80fe-faf24d5e54aa	CRITICAL_AUXILIARIES
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	0db0505f-857f-4c64-9cb3-3c4a4a1aec8a	LIGHTING
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	8500aae7-94e8-412b-8226-66cca64a01df	CRITICAL_POWER_DISTRIBUTION
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	a23daf28-e827-430e-bdd3-79093dd47448	CRAH
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	7a109290-6525-46e9-8e19-6640a047e0f5	CRAC
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	cdda7aee-5e32-4779-9c00-ae31d8eead3f	CRAC_WITHOUT_FAN
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	a260d4d0-1464-46c0-bd00-bb7d0b1e71d0	CRAC_FAN
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	839897b6-2f67-4592-939b-c6f1cd550e54	CHILLER
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	3b73e29c-686b-4e6a-88e6-09771928e7b3	AIR_COOLED_CHILLER
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	b9732f68-cd0f-41f5-9d5f-6cea40e127c9	COOLING_TOWER
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	15b6f2ca-8cad-4787-be36-2ef2dd1f2fcb	DRY_COOLER
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	60de894b-308b-40f0-8a6a-c720b318fba1	REMOTE_CONDENSER
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	2aeba51a-c3cf-40ae-bba9-1ce2fa41fa6e	CHILLED_WATER_PUMPS
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	59fc207c-43fb-48d4-8154-beee60207b6b	HEAT_REJECTION_PUMPS
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	3499f325-92d0-4b74-b697-6c81fc4264d6	VENTILATION
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	0d081d4a-9f88-4e3a-bd6b-64fac780d8b2	INFILTRATION
4a944d4b-8cc4-454e-a9c0-3b2d87de3dd7	eac8fc40-48aa-4577-9caf-b437ad5cbfd4	IT_LOAD
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	4c5e2790-c50d-4b21-916e-a50fd6872861	SWITCHGEAR
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	d5b670de-d6e7-43d5-b3f9-e2d9d87a5917	GENERATOR
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	bfb0cd08-1e4f-40f3-b9fd-d4fdf68df1ad	PRIMARY_AUXILIARIES
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	11457200-179b-4ea6-81df-bbbfaa8b5e14	UPS
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	dec4a2b1-cf92-4832-b7b6-f288ec1a26b2	CRITICAL_AUXILIARIES
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	289c46b6-4eaa-4f6d-ae94-cefeaab5936c	LIGHTING
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	a2c471b1-8b48-419b-b0da-bd5f09e9f0ac	CRITICAL_POWER_DISTRIBUTION
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	a1a1ed89-acc0-409a-ae5e-8bee081a91c4	CRAH
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	0fc3376a-83ab-4226-a11e-6bf6233a36ce	CRAC
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	e7776b6b-3535-4014-ba7a-8245629e0eac	CRAC_WITHOUT_FAN
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	b932eabb-77e8-4108-ab1c-69f3c562234c	CRAC_FAN
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	8a5f92bd-61ca-4e8d-aea9-f0d34437ff04	CHILLER
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	159cf609-c4f6-44b9-87c3-66a5eecf9067	AIR_COOLED_CHILLER
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	30fcf73f-a3f9-4369-9b2c-f55c2816351c	COOLING_TOWER
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	15a05f5d-c4d1-483b-82ca-5749fcfe8897	DRY_COOLER
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	4f6d6beb-ebf6-4aa5-bc6b-e79741c2bb1a	REMOTE_CONDENSER
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	a3b4e146-040f-43db-b93d-1a863cc2fbfd	CHILLED_WATER_PUMPS
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	076bd763-1d12-4995-a643-b692ae4aa94c	HEAT_REJECTION_PUMPS
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	332ea03f-af2f-45c9-8b93-748164e2e86b	VENTILATION
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	fbe7e1b9-9297-415b-8926-4fead81f16ed	INFILTRATION
53f06bba-3e88-4f8a-9a75-dfd0ccd9e273	3be5e3c5-c29c-4901-b627-9b46d3ed2c59	IT_LOAD
f1fe6249-5cb6-4813-81fe-5e64e62612bc	8082c8cd-65c0-4207-9823-271110fa5e74	SWITCHGEAR
f1fe6249-5cb6-4813-81fe-5e64e62612bc	8508d5a8-698d-4e06-a5b5-b7f78a4ff38f	GENERATOR
f1fe6249-5cb6-4813-81fe-5e64e62612bc	72b2f961-4881-4b6d-bb2b-005a06d54ecd	PRIMARY_AUXILIARIES
f1fe6249-5cb6-4813-81fe-5e64e62612bc	a0773d43-5c13-456b-958d-c3281bc4bd9a	UPS
f1fe6249-5cb6-4813-81fe-5e64e62612bc	507ffc27-d8f1-44c1-b765-639317c3c769	CRITICAL_AUXILIARIES
f1fe6249-5cb6-4813-81fe-5e64e62612bc	2344559b-8f52-4783-94fd-6eef1bb32981	LIGHTING
f1fe6249-5cb6-4813-81fe-5e64e62612bc	fd4c084b-fca8-40a6-815e-54d530712002	CRITICAL_POWER_DISTRIBUTION
f1fe6249-5cb6-4813-81fe-5e64e62612bc	a30fbf3e-2d03-4287-8e9a-8de86f9c54dc	CRAH
f1fe6249-5cb6-4813-81fe-5e64e62612bc	e42c18f2-875b-487e-ba58-65c2c1dd9e60	CRAC
f1fe6249-5cb6-4813-81fe-5e64e62612bc	19fb48be-6054-404e-ba78-cbaff94bdcad	CRAC_WITHOUT_FAN
f1fe6249-5cb6-4813-81fe-5e64e62612bc	cf526894-3cbd-484f-b6e7-29e448de4dca	CRAC_FAN
f1fe6249-5cb6-4813-81fe-5e64e62612bc	12c9042f-344b-43eb-845c-aee835942c6c	CHILLER
f1fe6249-5cb6-4813-81fe-5e64e62612bc	0e6399c0-16f6-43f6-9e50-2b0c1d53f272	AIR_COOLED_CHILLER
f1fe6249-5cb6-4813-81fe-5e64e62612bc	29634cf8-7889-48fa-b9ec-e0e72d9e7318	COOLING_TOWER
f1fe6249-5cb6-4813-81fe-5e64e62612bc	5692799f-6856-4d6b-b4f2-3b2c9b7e62ae	DRY_COOLER
f1fe6249-5cb6-4813-81fe-5e64e62612bc	f2bf5da8-3b97-403a-b273-2fdd537fa9eb	REMOTE_CONDENSER
f1fe6249-5cb6-4813-81fe-5e64e62612bc	9b6d4b6b-e842-44b6-8efd-f2c7fd41d9e9	CHILLED_WATER_PUMPS
f1fe6249-5cb6-4813-81fe-5e64e62612bc	f052c1c3-104c-413d-8519-26699a84d59f	HEAT_REJECTION_PUMPS
f1fe6249-5cb6-4813-81fe-5e64e62612bc	6d88df1a-8b62-4c76-bcbc-0d4c06b8bd74	VENTILATION
f1fe6249-5cb6-4813-81fe-5e64e62612bc	2a03304d-f402-47f8-81cd-a62e7b673b4b	INFILTRATION
f1fe6249-5cb6-4813-81fe-5e64e62612bc	bb76dbc1-ed09-426f-8a13-c16705b07807	IT_LOAD
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	2180b45b-7230-420d-bb0b-0897009de88b	SWITCHGEAR
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	e0eaf674-5d44-406b-9975-77657d1dc391	GENERATOR
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	e14dfcb5-479c-4add-a48d-a613ea1c73b3	PRIMARY_AUXILIARIES
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	a12b43b1-0cf1-4d52-b088-17bbdeb69556	UPS
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	0a50ed0e-e9ba-4a03-abfd-2e6b63e83bf5	CRITICAL_AUXILIARIES
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	705fde4f-a638-4ec3-b5c1-f2e43d49cafd	LIGHTING
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	076d6e10-bfda-488d-b109-d0911f196602	CRITICAL_POWER_DISTRIBUTION
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	26824fdd-d93b-4781-8bd9-c42caa353ad7	CRAH
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	8e32e424-f34c-432f-b3d8-a3e0d0b5f7b7	CRAC
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	60557245-1d0d-4401-9e0e-51f7d6d4d49f	CRAC_WITHOUT_FAN
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	d3700637-9254-4cf5-a491-0b25acdf5b46	CRAC_FAN
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	ab2f001b-f7e4-41e6-9467-e7003f38e345	CHILLER
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	51733c9a-5b55-4c11-b170-2cb39a176a55	AIR_COOLED_CHILLER
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	129ac5eb-7e5c-4e3c-a5af-844e61409d75	COOLING_TOWER
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	3a557f80-0363-4a53-ba11-f02f34d4f7b8	DRY_COOLER
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	4b39e89b-2351-43ab-95d7-26328708fb3d	REMOTE_CONDENSER
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	425f6b1c-01ca-4c09-bc9b-a6fd6d0a1d3d	CHILLED_WATER_PUMPS
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	438e02ec-7aaf-4a01-904e-df84e79ec7f1	HEAT_REJECTION_PUMPS
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	a0d73cbb-f701-48ac-8d66-bb8c43ba8840	VENTILATION
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	9acabe4d-ebd5-4846-a5ff-c41a8b24a35c	INFILTRATION
8c30c46a-22f5-45a1-b2ea-48fc8c60b264	4f6a1e7c-f3c2-45c7-8abc-12302c7fe78c	IT_LOAD
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	25c463fd-d31e-4a32-81c6-4aeaf3a9c27d	SWITCHGEAR
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	ee45c698-0899-4d9f-9ef4-40e308c19203	GENERATOR
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	7d619347-c789-4bff-9691-9c8e62c68a56	PRIMARY_AUXILIARIES
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	7b9c393c-e60a-4358-bdc3-d3a8137291f5	UPS
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	0f515688-c955-47f2-b878-fb139a51434a	CRITICAL_AUXILIARIES
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	b5823287-045f-46a6-b0e9-9ad6837170aa	LIGHTING
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	398db334-f4d4-4520-963c-035a3ac717f2	CRITICAL_POWER_DISTRIBUTION
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	9bf14819-db67-4fb8-8c4a-5d95b8596686	CRAH
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	ed24bba5-f86f-406b-9c49-950a4324bdd4	CRAC
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	8387d6b0-5d81-417b-94ce-117e23f945a6	CRAC_WITHOUT_FAN
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	7fc20900-ae8a-4cd5-864e-1f71a3d1843b	CRAC_FAN
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	386c92a1-c12a-42cd-98f2-85b6c809c61c	CHILLER
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	36f3d822-f2e0-4e2d-a83b-96126aa1d8d3	AIR_COOLED_CHILLER
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	a7116018-3cf5-4111-a970-f7a11cfc4abc	COOLING_TOWER
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	02a7fbca-034c-4276-852a-44a896f2efe2	DRY_COOLER
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	5a485660-db96-445d-b8b0-b0e20867991b	REMOTE_CONDENSER
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	c75e0c5c-fd50-41c5-bf44-89047f6bd96f	CHILLED_WATER_PUMPS
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	3ad9fa57-b5d0-442b-a09e-ca2c3c6afa9e	HEAT_REJECTION_PUMPS
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	422d7866-4ce8-4d91-930f-cf0eed08dbd2	VENTILATION
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	0f2138ee-3b17-4f9a-af58-2605d5c77733	INFILTRATION
c3a170ee-718e-4a81-ac7f-eee79c3bf7d5	c4caaa27-62c6-49d8-8f16-036282447c26	IT_LOAD
23de267c-735d-4664-8454-83076e685a54	9f03fe4d-36e6-42a9-a556-26ff05bb2e4b	SWITCHGEAR
23de267c-735d-4664-8454-83076e685a54	a3bcbc7f-ed87-48c9-bc07-0516729a187c	GENERATOR
23de267c-735d-4664-8454-83076e685a54	a47ab12f-d591-49b9-b225-42c752fa88a3	PRIMARY_AUXILIARIES
23de267c-735d-4664-8454-83076e685a54	4592801f-ae33-40cc-a124-6aa614912784	UPS
23de267c-735d-4664-8454-83076e685a54	88ef5c3b-3aaf-4dfa-bb29-b8886e63ed28	CRITICAL_AUXILIARIES
23de267c-735d-4664-8454-83076e685a54	5c8f9904-5647-4bad-8066-a6d7e422be83	LIGHTING
23de267c-735d-4664-8454-83076e685a54	9017572a-1f15-46a2-b9ff-7962a0344145	CRITICAL_POWER_DISTRIBUTION
23de267c-735d-4664-8454-83076e685a54	6770aeb7-972e-4c5e-84b0-137fa5057cd6	CRAH
23de267c-735d-4664-8454-83076e685a54	10c4b096-837c-438d-ae74-4ded70b7361a	CRAC
23de267c-735d-4664-8454-83076e685a54	ac89f100-7ff9-4845-be09-d6d949991b5c	CRAC_WITHOUT_FAN
23de267c-735d-4664-8454-83076e685a54	891a87c7-cffc-4fe1-9078-70476226efd8	CRAC_FAN
23de267c-735d-4664-8454-83076e685a54	533d35e8-dd1a-4ff7-9a72-c30c2ce4d220	CHILLER
23de267c-735d-4664-8454-83076e685a54	8fc73e92-a673-4e2c-bc58-00535561375e	AIR_COOLED_CHILLER
23de267c-735d-4664-8454-83076e685a54	235005c3-e690-4b8b-bdd0-b35437e492c7	COOLING_TOWER
23de267c-735d-4664-8454-83076e685a54	3afb447b-1371-482b-820a-86c384b297c9	DRY_COOLER
23de267c-735d-4664-8454-83076e685a54	6f407193-2524-41b1-abdf-bc503508ec6d	REMOTE_CONDENSER
23de267c-735d-4664-8454-83076e685a54	f930361f-dedf-4fbe-be6d-7c70943a29e0	CHILLED_WATER_PUMPS
23de267c-735d-4664-8454-83076e685a54	32f0b9e5-f68c-402d-b9fa-a5530b7cb2c4	HEAT_REJECTION_PUMPS
23de267c-735d-4664-8454-83076e685a54	1869fb89-8d44-438d-9aeb-57b4428afbbc	VENTILATION
23de267c-735d-4664-8454-83076e685a54	fbf35818-f327-41d3-b862-af2f0ed7d9b3	INFILTRATION
23de267c-735d-4664-8454-83076e685a54	c0e4a285-d664-475b-a7b2-24433c4a5bd5	IT_LOAD
0f238816-db25-4568-bf14-30ec2fb14591	e2bb5083-1909-42d4-a4fe-609d34498706	SWITCHGEAR
0f238816-db25-4568-bf14-30ec2fb14591	668308bd-5440-45d8-846f-8947616c6fb4	GENERATOR
0f238816-db25-4568-bf14-30ec2fb14591	b7d8bd50-0ea6-459e-ab04-9d66d2387b64	PRIMARY_AUXILIARIES
0f238816-db25-4568-bf14-30ec2fb14591	ad130813-28eb-4441-a5be-b05ccaf620ba	UPS
0f238816-db25-4568-bf14-30ec2fb14591	0ac128c9-408b-4638-bb7a-e366a3f5b590	CRITICAL_AUXILIARIES
0f238816-db25-4568-bf14-30ec2fb14591	a92311ba-918f-44a0-b3f2-e5c37cf17dd5	LIGHTING
0f238816-db25-4568-bf14-30ec2fb14591	90e36a5b-a4bd-4b63-bbf7-559ff6f5c621	CRITICAL_POWER_DISTRIBUTION
0f238816-db25-4568-bf14-30ec2fb14591	a1d14089-5e9a-4dee-bcd1-591200c5cf90	CRAH
0f238816-db25-4568-bf14-30ec2fb14591	78c08dbe-09e7-448f-95a3-5b17e79eb905	CRAC
0f238816-db25-4568-bf14-30ec2fb14591	87df9dbe-3a33-435c-9d71-bc794be8a749	CRAC_WITHOUT_FAN
0f238816-db25-4568-bf14-30ec2fb14591	d54e5b05-73c2-405f-8a50-c639174aa253	CRAC_FAN
0f238816-db25-4568-bf14-30ec2fb14591	55b383f8-007b-4905-9184-c60dbbd285a0	CHILLER
0f238816-db25-4568-bf14-30ec2fb14591	cd455f62-fdc8-4c16-a357-eb098f21892b	AIR_COOLED_CHILLER
0f238816-db25-4568-bf14-30ec2fb14591	39790517-cf81-4601-b88c-48dfdd0148b3	COOLING_TOWER
0f238816-db25-4568-bf14-30ec2fb14591	00865704-e502-4ef6-b9a5-54434337a5ea	DRY_COOLER
0f238816-db25-4568-bf14-30ec2fb14591	33b84b8d-d7bc-4868-90f2-21c3fd787ade	REMOTE_CONDENSER
0f238816-db25-4568-bf14-30ec2fb14591	371ae45e-91ad-4cb6-9f02-9c34f2dac4e7	CHILLED_WATER_PUMPS
0f238816-db25-4568-bf14-30ec2fb14591	c4c926f7-8aef-49fd-b79e-ca7f2dc7cb68	HEAT_REJECTION_PUMPS
0f238816-db25-4568-bf14-30ec2fb14591	8d5f936e-2e60-47a5-bf31-f45b8037e185	VENTILATION
0f238816-db25-4568-bf14-30ec2fb14591	185aa312-89ce-4737-ba9d-336f8fc57276	INFILTRATION
0f238816-db25-4568-bf14-30ec2fb14591	8b7eb0db-37f1-491b-9c6c-49ac4af19cb4	IT_LOAD
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	66195525-b235-4660-89ac-e464936ef5e9	SWITCHGEAR
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	7ef9bcdc-e52a-4389-8455-b0b3452f98f3	GENERATOR
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	8091c44f-ea98-4479-bc7d-f8e37b24c6f6	PRIMARY_AUXILIARIES
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	caece440-6e7c-4c93-bf8d-334d941eb845	UPS
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	f60a7eac-dbcc-4513-a47f-7cc452a322b0	CRITICAL_AUXILIARIES
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	c9a6da56-753a-49ea-99aa-149dc1ef51a3	LIGHTING
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	59b262e8-5185-48dd-834a-dd0788c3b4d1	CRITICAL_POWER_DISTRIBUTION
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	b49f7b46-8753-4b61-8a69-d56272a61aba	CRAH
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	e599d322-aa65-453c-984d-fdaa1a782d04	CRAC
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	755e585c-2241-4bec-83ff-e4cfe1030967	CRAC_WITHOUT_FAN
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	4ee36fa1-8852-43a0-979d-1fbf122ebfea	CRAC_FAN
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	62c1fa6a-6f92-4b85-8db9-459c8a463031	CHILLER
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	48ff8bbc-3cc1-45a2-89a6-22f5c9dce1ce	AIR_COOLED_CHILLER
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	e28b85ec-6c04-4121-9dba-f54e45b36763	COOLING_TOWER
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	2f18819b-27d9-43ad-85ca-ef3718021ff6	DRY_COOLER
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	1666a0d7-4d35-4653-aaac-24a6db61f80b	REMOTE_CONDENSER
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	445a5819-6c72-4618-b7e9-d6fe0f94df2e	CHILLED_WATER_PUMPS
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	b84de7e8-63c3-4fe5-8f5a-a9860d699394	HEAT_REJECTION_PUMPS
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	6e940c95-7b4b-4c80-a1b5-11c9c5f24c75	VENTILATION
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	0b1305c3-a547-450c-8453-d9c21db3a33e	INFILTRATION
94bdcf0d-a9ab-40c5-ae7d-a5b20c7cc108	57d56158-21de-466b-8253-5ed96d5ee850	IT_LOAD
47f80a78-54eb-4c20-a6a3-774daa829669	4b7ec131-d846-4e6b-8b91-562581a669e4	SWITCHGEAR
47f80a78-54eb-4c20-a6a3-774daa829669	519e9552-1591-402d-b8cd-ceb2a1aa0eb9	GENERATOR
47f80a78-54eb-4c20-a6a3-774daa829669	e1e1e77e-a6c6-41fa-a594-ba03e3ecba48	PRIMARY_AUXILIARIES
47f80a78-54eb-4c20-a6a3-774daa829669	dab760f9-2f42-4cba-acf6-6872b1c86ce6	UPS
47f80a78-54eb-4c20-a6a3-774daa829669	1f6d91f8-b3fd-439e-98fc-ac083e6b2630	CRITICAL_AUXILIARIES
47f80a78-54eb-4c20-a6a3-774daa829669	ac98eec9-29a8-4989-af88-96a6ed042a6d	LIGHTING
47f80a78-54eb-4c20-a6a3-774daa829669	82b12284-be92-42c4-a5c9-37db34a755c1	CRITICAL_POWER_DISTRIBUTION
47f80a78-54eb-4c20-a6a3-774daa829669	9dbff3d6-6d2d-454e-b33c-046ae53f376f	CRAH
47f80a78-54eb-4c20-a6a3-774daa829669	4492dc03-2484-4dd1-9d20-a18fe6524c39	CRAC
47f80a78-54eb-4c20-a6a3-774daa829669	e0598aa0-f6d6-4122-ba6b-331ea14aef76	CRAC_WITHOUT_FAN
47f80a78-54eb-4c20-a6a3-774daa829669	0102eaff-a98a-4f6d-a5db-abfe03e85c2b	CRAC_FAN
47f80a78-54eb-4c20-a6a3-774daa829669	65568bd4-5db6-4a31-95ca-200c05c0112b	CHILLER
47f80a78-54eb-4c20-a6a3-774daa829669	c842acc7-dbf3-4ce1-8696-822a7085ae87	AIR_COOLED_CHILLER
47f80a78-54eb-4c20-a6a3-774daa829669	ff5390b5-6daa-4a24-8afb-9b737b657e8f	COOLING_TOWER
47f80a78-54eb-4c20-a6a3-774daa829669	61bd80aa-5747-4183-a2ee-4d0e664fd163	DRY_COOLER
47f80a78-54eb-4c20-a6a3-774daa829669	356fec8c-063d-4026-b43f-3902acbf79fd	REMOTE_CONDENSER
47f80a78-54eb-4c20-a6a3-774daa829669	b8f4536c-b5b4-4968-a803-18d7042cc346	CHILLED_WATER_PUMPS
47f80a78-54eb-4c20-a6a3-774daa829669	fee5bf41-5487-404d-a161-df291ef9456b	HEAT_REJECTION_PUMPS
47f80a78-54eb-4c20-a6a3-774daa829669	fa71d990-3105-4d91-93f2-6f6f4b5a20b0	VENTILATION
47f80a78-54eb-4c20-a6a3-774daa829669	6e29b514-5c55-48a6-9448-b99da964e893	INFILTRATION
47f80a78-54eb-4c20-a6a3-774daa829669	29cda9ca-9eb0-48fb-8060-5b4471e16ee6	IT_LOAD
c027080f-eb77-46a1-a279-86972e7b32b0	9bb9b193-28f5-4ccb-817d-debb27ff2bb7	SWITCHGEAR
c027080f-eb77-46a1-a279-86972e7b32b0	e8eaa1b9-0585-4e7e-96ee-1feebf4a6fcd	GENERATOR
c027080f-eb77-46a1-a279-86972e7b32b0	4e8a79cc-4116-4d9c-b455-14237b99cb96	PRIMARY_AUXILIARIES
c027080f-eb77-46a1-a279-86972e7b32b0	25c9bc2d-95b1-4613-bee5-89b7426f08d3	UPS
c027080f-eb77-46a1-a279-86972e7b32b0	cbc5bb21-0bc1-45b2-b6d1-896891cdaa01	CRITICAL_AUXILIARIES
c027080f-eb77-46a1-a279-86972e7b32b0	359379aa-f0b2-4d9f-9887-d07bd4db6f45	LIGHTING
c027080f-eb77-46a1-a279-86972e7b32b0	7ddd9ad8-a250-4d1d-a342-39543bcad591	CRITICAL_POWER_DISTRIBUTION
c027080f-eb77-46a1-a279-86972e7b32b0	7f424cfe-0d6d-4441-a0fc-2e904eda849b	CRAH
c027080f-eb77-46a1-a279-86972e7b32b0	93c7024d-47fb-40bb-9718-ec96c36fa233	CRAC
c027080f-eb77-46a1-a279-86972e7b32b0	5c8e584c-405f-4156-8a23-435189d20727	CRAC_WITHOUT_FAN
c027080f-eb77-46a1-a279-86972e7b32b0	89714074-ed3f-4085-bae3-02617821c782	CRAC_FAN
c027080f-eb77-46a1-a279-86972e7b32b0	b0ad94b9-8dc0-473a-ab7c-a850eedaccf1	CHILLER
c027080f-eb77-46a1-a279-86972e7b32b0	24f4beb7-b1f0-404a-b39a-6a7aafbbcd5d	AIR_COOLED_CHILLER
c027080f-eb77-46a1-a279-86972e7b32b0	558d6af4-f97b-4538-b15f-1daa747445f4	COOLING_TOWER
c027080f-eb77-46a1-a279-86972e7b32b0	9b209eea-dee8-4a45-b2a5-828c1c577d8d	DRY_COOLER
c027080f-eb77-46a1-a279-86972e7b32b0	a00e1d76-e701-4952-be54-ae933aaf8635	REMOTE_CONDENSER
c027080f-eb77-46a1-a279-86972e7b32b0	6e000788-675e-4f17-ac2d-87bc29c6fcf4	CHILLED_WATER_PUMPS
c027080f-eb77-46a1-a279-86972e7b32b0	74f5fc32-b9f1-4efe-bf9f-fee73e327793	HEAT_REJECTION_PUMPS
c027080f-eb77-46a1-a279-86972e7b32b0	62894c43-9018-4446-ba67-c30f6fcbca7a	VENTILATION
c027080f-eb77-46a1-a279-86972e7b32b0	4343d8a3-a649-4e23-9dd0-b29ba296daa7	INFILTRATION
c027080f-eb77-46a1-a279-86972e7b32b0	14033ce0-2bf8-41bd-aba7-41a9efd1cac1	IT_LOAD
e0a10d30-70ba-42e1-a45d-12073c9447d2	a2ae43bc-3d89-4f7d-bf93-270ff9464e7f	SWITCHGEAR
e0a10d30-70ba-42e1-a45d-12073c9447d2	02d55696-95a4-4873-9730-95f1fc78c26a	GENERATOR
e0a10d30-70ba-42e1-a45d-12073c9447d2	489b5af4-3623-42c4-b7dd-990fcd09fcdf	PRIMARY_AUXILIARIES
e0a10d30-70ba-42e1-a45d-12073c9447d2	d85d1088-bc73-4fb1-802a-8a929dba54ee	UPS
e0a10d30-70ba-42e1-a45d-12073c9447d2	23b69313-47aa-4a2b-87f9-416e2526fd71	CRITICAL_AUXILIARIES
e0a10d30-70ba-42e1-a45d-12073c9447d2	2eb0653d-c84e-4a44-b9ae-8a3716a1b209	LIGHTING
e0a10d30-70ba-42e1-a45d-12073c9447d2	71561edd-950d-4b11-aecc-40bf97ac9d48	CRITICAL_POWER_DISTRIBUTION
e0a10d30-70ba-42e1-a45d-12073c9447d2	7f98d4cb-ea4a-4209-a3b7-c5ee85e8ca37	CRAH
e0a10d30-70ba-42e1-a45d-12073c9447d2	1936090b-5755-4da1-b991-be8a332b063b	CRAC
e0a10d30-70ba-42e1-a45d-12073c9447d2	ce60cd1f-064b-40c9-b72b-6020b6eec52b	CRAC_WITHOUT_FAN
e0a10d30-70ba-42e1-a45d-12073c9447d2	8fa5b716-44aa-4216-995c-d6063af5a2ae	CRAC_FAN
e0a10d30-70ba-42e1-a45d-12073c9447d2	4e01db20-b15c-4ecd-b112-e29b1dca4f7a	CHILLER
e0a10d30-70ba-42e1-a45d-12073c9447d2	140019ec-0244-4e65-985f-43b635e544e4	AIR_COOLED_CHILLER
e0a10d30-70ba-42e1-a45d-12073c9447d2	1787b5aa-a818-4b7a-800b-e5f4674d778e	COOLING_TOWER
e0a10d30-70ba-42e1-a45d-12073c9447d2	406d5ccc-3a7b-44a1-8281-5c43429e5fae	DRY_COOLER
e0a10d30-70ba-42e1-a45d-12073c9447d2	95e79cab-fd46-4769-b589-9d1235e0cf8a	REMOTE_CONDENSER
e0a10d30-70ba-42e1-a45d-12073c9447d2	2b98432b-05c4-4541-82e1-8c65c42292b4	CHILLED_WATER_PUMPS
e0a10d30-70ba-42e1-a45d-12073c9447d2	7e202fb2-8652-4e63-be96-86a54f9ab5cf	HEAT_REJECTION_PUMPS
e0a10d30-70ba-42e1-a45d-12073c9447d2	c4bd730c-0513-4257-ae45-d0d13d64f690	VENTILATION
e0a10d30-70ba-42e1-a45d-12073c9447d2	907e1b4d-4689-4516-b88a-92999a7e55f8	INFILTRATION
e0a10d30-70ba-42e1-a45d-12073c9447d2	f8e9ef47-b374-4eb7-9151-e0e960c78ea8	IT_LOAD
b4e89868-0646-4686-b96c-3a1be25846d8	d2dec7e3-ab53-44f4-8782-a1fad0ad20eb	SWITCHGEAR
b4e89868-0646-4686-b96c-3a1be25846d8	e832e166-71f3-4b0b-8ce3-26749417e6cc	GENERATOR
b4e89868-0646-4686-b96c-3a1be25846d8	61cdb1c1-8d2f-48ec-87a8-6051a3ee5d72	PRIMARY_AUXILIARIES
b4e89868-0646-4686-b96c-3a1be25846d8	cedab732-882a-41b3-a853-d3604da14d91	UPS
b4e89868-0646-4686-b96c-3a1be25846d8	6a6ab5b8-0d56-4844-b59b-53a07a9f0348	CRITICAL_AUXILIARIES
b4e89868-0646-4686-b96c-3a1be25846d8	eebd1de6-f205-44e3-b161-17bec4a86f9c	LIGHTING
b4e89868-0646-4686-b96c-3a1be25846d8	55adab60-daa1-4d78-a028-36b82e49b25f	CRITICAL_POWER_DISTRIBUTION
b4e89868-0646-4686-b96c-3a1be25846d8	2d9c668a-55c2-42e9-a68a-dc80dba72b1e	CRAH
b4e89868-0646-4686-b96c-3a1be25846d8	940e6e34-e86a-4963-8592-79400bbc7ad6	CRAC
b4e89868-0646-4686-b96c-3a1be25846d8	ef2dd9df-e679-4086-a012-cb9f9a93c21d	CRAC_WITHOUT_FAN
b4e89868-0646-4686-b96c-3a1be25846d8	6a2247e6-2711-4234-a52d-b2771824488d	CRAC_FAN
b4e89868-0646-4686-b96c-3a1be25846d8	2e0a0ce9-e29a-4812-9880-72229c7afacd	CHILLER
b4e89868-0646-4686-b96c-3a1be25846d8	15daa654-2820-49c5-bb33-0fc5f587ef96	AIR_COOLED_CHILLER
b4e89868-0646-4686-b96c-3a1be25846d8	587e2363-12a8-49d7-842d-cb3e096252d2	COOLING_TOWER
b4e89868-0646-4686-b96c-3a1be25846d8	9db10c7b-af61-4415-a73e-2ff176b73fab	DRY_COOLER
b4e89868-0646-4686-b96c-3a1be25846d8	08e7146d-09de-426d-883c-26a27819af10	REMOTE_CONDENSER
b4e89868-0646-4686-b96c-3a1be25846d8	e2d57406-ef6f-4b3c-a2d7-b42683c9c281	CHILLED_WATER_PUMPS
b4e89868-0646-4686-b96c-3a1be25846d8	3c37d390-0422-4b9b-bad9-636ca9d6744b	HEAT_REJECTION_PUMPS
b4e89868-0646-4686-b96c-3a1be25846d8	71b04585-2e87-4499-a40c-93f2c69e6b71	VENTILATION
b4e89868-0646-4686-b96c-3a1be25846d8	bd3c949c-9ae9-40dc-b324-d7c8e2f0a7d6	INFILTRATION
b4e89868-0646-4686-b96c-3a1be25846d8	e594f18d-ff73-40be-a56b-9bbe5f777ccb	IT_LOAD
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	2ed93f74-2dc6-4f45-a97b-0deda0fb7d16	SWITCHGEAR
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	31d5c789-ea0c-4ce6-9516-a207fcea2bc4	GENERATOR
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	adf202da-847f-4c71-9965-d75a0dc4109f	PRIMARY_AUXILIARIES
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	ce634df4-cc9e-4836-b6bc-cb50ecf5904e	UPS
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	e8f8530e-1a25-4d6c-b3fb-bb44296e4e2d	CRITICAL_AUXILIARIES
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	c16b8381-0ff2-4840-9749-17f1437ae6e0	LIGHTING
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	78cd2dd6-f96d-4727-9a16-665205a22e68	CRITICAL_POWER_DISTRIBUTION
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	f5bdb204-27fb-4ceb-a23e-d8613cca3424	CRAH
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	f42d9ca1-5963-4307-b4d5-782d759a3095	CRAC
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	46ebd0d9-fdf4-4276-bd1d-d62c36d14fc5	CRAC_WITHOUT_FAN
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	cbcbc304-9e89-434d-a37c-39c571d1dddf	CRAC_FAN
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	d50c965a-8f34-44c1-bf43-788942e288a9	CHILLER
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	d7367dc3-5eac-406f-8098-fe9c54114e2c	AIR_COOLED_CHILLER
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	4b746b10-f1ed-4495-94a4-9eb607622562	COOLING_TOWER
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	46d86ef4-d0a0-439d-a444-21796646b9be	DRY_COOLER
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	ffbb75a7-552b-4f4e-bf3a-42c46fac7632	REMOTE_CONDENSER
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	28e658b4-461d-40a1-b6fd-b44ce93f27e2	CHILLED_WATER_PUMPS
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	e3d7eefb-25d6-44c5-add1-9bec41b5eb31	HEAT_REJECTION_PUMPS
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	c3eb3465-b1a3-48ad-9a99-424278c02ede	VENTILATION
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	9496352c-24cc-44a0-b993-8ebc70064821	INFILTRATION
363b7a9c-48a9-4a94-aaa1-a3cb2210b76e	a9eccdbc-b854-452e-a51a-6e2f120236a7	IT_LOAD
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	ccbf7abf-d031-43bf-95d5-04847833eb9f	SWITCHGEAR
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	b2a0de6c-6ae9-4c15-ab70-de50980d77fb	GENERATOR
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	72c2913b-6b7a-4784-9837-9aa800a3ca23	PRIMARY_AUXILIARIES
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	9d7bc6d5-22af-45f9-a749-dd70c30fec3e	UPS
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	1d633949-cf01-442a-bc75-eca8e5414569	CRITICAL_AUXILIARIES
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	bc4c4587-ec63-4d13-a516-e6d74f0da2d2	LIGHTING
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	613849c1-c70a-40fe-b247-0d4768a3ec81	CRITICAL_POWER_DISTRIBUTION
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	76df21f7-1251-4ee7-87ee-ce90925581b3	CRAH
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	b46636d4-bd63-40c0-b6f0-9c6a98f3e857	CRAC
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	bb1fe1f3-2cd5-42fa-8e3f-967320d402ac	CRAC_WITHOUT_FAN
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	ddc354a3-dc27-4956-b92e-f96b34097d1b	CRAC_FAN
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	a817e88a-b816-4673-b0a1-0c16c2dd59ec	CHILLER
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	7cdaf8f0-ec46-493b-99da-b93562483978	AIR_COOLED_CHILLER
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	b97d593a-78ca-46b0-8b01-eb368325ed28	COOLING_TOWER
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	3b1c7d30-db52-4cff-99b7-f8ac30d1bc64	DRY_COOLER
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	a5bcb374-aed5-48a5-9128-82dc5fa13d86	REMOTE_CONDENSER
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	7c0d1622-fa05-43e7-a154-c2d04cc3ed50	CHILLED_WATER_PUMPS
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	b4083e6d-64df-49dd-a36b-e4f9f7eacfff	HEAT_REJECTION_PUMPS
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	81fa9725-9f40-429d-a746-c1d6fc9b5809	VENTILATION
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	6137d7ec-7903-45b9-ad74-b42924552a29	INFILTRATION
bf41dc0a-73d8-41a5-ab67-94c570e8a8f8	00c71d99-13ff-4557-b3b1-3fc3bad80f0c	IT_LOAD
0c127e60-8a85-41e3-bc91-009946143925	05ea2566-5e8f-435a-8c70-f8bb1af98ae8	SWITCHGEAR
0c127e60-8a85-41e3-bc91-009946143925	4a90ec9b-60cc-447b-880b-ee0f17853941	GENERATOR
0c127e60-8a85-41e3-bc91-009946143925	ccf060ae-9523-479c-b753-1e81fcd63279	PRIMARY_AUXILIARIES
0c127e60-8a85-41e3-bc91-009946143925	d6677908-f8eb-4ec8-9f4a-59926ba8ffe9	UPS
0c127e60-8a85-41e3-bc91-009946143925	1db10e8f-3ffb-40de-b5f0-dc77c39d4022	CRITICAL_AUXILIARIES
0c127e60-8a85-41e3-bc91-009946143925	a21ab213-f49f-47e6-a95f-cf9567d3b08f	LIGHTING
0c127e60-8a85-41e3-bc91-009946143925	ce7452da-faa6-4839-9295-e36fcf64842d	CRITICAL_POWER_DISTRIBUTION
0c127e60-8a85-41e3-bc91-009946143925	820c1da3-995e-4bcb-bc20-60d015eab1b2	CRAH
0c127e60-8a85-41e3-bc91-009946143925	af8b684a-30c2-44c5-8b2d-517d2d30c88d	CRAC
0c127e60-8a85-41e3-bc91-009946143925	dfefde23-33d8-44ce-a9e3-7226618d81d8	CRAC_WITHOUT_FAN
0c127e60-8a85-41e3-bc91-009946143925	9b039cbb-d6bd-4ade-8573-e4deebb20328	CRAC_FAN
0c127e60-8a85-41e3-bc91-009946143925	5a2dc434-c1ab-418a-b2b6-5a7f1f2a9cc6	CHILLER
0c127e60-8a85-41e3-bc91-009946143925	36c39081-0baa-433d-8409-9bae54951a8f	AIR_COOLED_CHILLER
0c127e60-8a85-41e3-bc91-009946143925	d1151c4f-2267-49a4-85b7-4b4241002228	COOLING_TOWER
0c127e60-8a85-41e3-bc91-009946143925	0e1a4a5d-cc50-4bbe-b64f-300e6715b7a7	DRY_COOLER
0c127e60-8a85-41e3-bc91-009946143925	3b2a0221-d211-4954-af95-75bd6a610f9a	REMOTE_CONDENSER
0c127e60-8a85-41e3-bc91-009946143925	54538b5f-0ffa-4472-a515-bcb4b63cbda8	CHILLED_WATER_PUMPS
0c127e60-8a85-41e3-bc91-009946143925	302fd7ac-9083-4334-9b1e-cb2f4739896e	HEAT_REJECTION_PUMPS
0c127e60-8a85-41e3-bc91-009946143925	14cb10a0-07e0-4ee3-9f2a-ac19959f8f7e	VENTILATION
0c127e60-8a85-41e3-bc91-009946143925	a68f768a-e2db-46fa-91dc-501acb65946d	INFILTRATION
0c127e60-8a85-41e3-bc91-009946143925	a72220d8-8fcd-4257-81fc-d4d77d22b4af	IT_LOAD
cfc17a9d-6e29-4976-9fa9-3b3635704e04	604f3bbd-5898-45e8-bd06-04182d7099da	SWITCHGEAR
cfc17a9d-6e29-4976-9fa9-3b3635704e04	1f4027ba-cbcd-4526-8667-a71aa04711ff	GENERATOR
cfc17a9d-6e29-4976-9fa9-3b3635704e04	738b3f58-21e4-4163-a650-fce4676f3316	PRIMARY_AUXILIARIES
cfc17a9d-6e29-4976-9fa9-3b3635704e04	d8210c91-51b5-4271-8aab-49e0d7eb528f	UPS
cfc17a9d-6e29-4976-9fa9-3b3635704e04	b6a07fa6-2a99-4d99-91a3-bba456a048ac	CRITICAL_AUXILIARIES
cfc17a9d-6e29-4976-9fa9-3b3635704e04	3a8b3cb0-7cb4-474e-bc50-c3f0562274ca	LIGHTING
cfc17a9d-6e29-4976-9fa9-3b3635704e04	ed118bc9-971d-4e7c-98db-19f60cc3bf16	CRITICAL_POWER_DISTRIBUTION
cfc17a9d-6e29-4976-9fa9-3b3635704e04	e9b53d57-0399-4a02-bc6e-a8b71faf0da5	CRAH
cfc17a9d-6e29-4976-9fa9-3b3635704e04	4f52b7c3-917d-4f70-9aca-2a4efeedd10d	CRAC
cfc17a9d-6e29-4976-9fa9-3b3635704e04	8bde2ef0-be66-4a9a-8ce2-d4ceae247514	CRAC_WITHOUT_FAN
cfc17a9d-6e29-4976-9fa9-3b3635704e04	db567f9f-4f06-4cf0-a9b5-2006d54664d7	CRAC_FAN
cfc17a9d-6e29-4976-9fa9-3b3635704e04	8b33010a-a878-4f2b-9577-b65e74793395	CHILLER
cfc17a9d-6e29-4976-9fa9-3b3635704e04	3425ccc6-808a-4e78-8efd-e1e59a2a71a1	AIR_COOLED_CHILLER
cfc17a9d-6e29-4976-9fa9-3b3635704e04	ecb5fcde-ec6b-42f2-bcec-431fe7b8fe6f	COOLING_TOWER
cfc17a9d-6e29-4976-9fa9-3b3635704e04	ccde3dbe-199c-4575-8306-e31d773f97fa	DRY_COOLER
cfc17a9d-6e29-4976-9fa9-3b3635704e04	29f6ad71-a3ba-4ff2-8c0a-332562db8336	REMOTE_CONDENSER
cfc17a9d-6e29-4976-9fa9-3b3635704e04	5442d907-7a80-4a15-9ae0-621dca80f172	CHILLED_WATER_PUMPS
cfc17a9d-6e29-4976-9fa9-3b3635704e04	52f65c15-1657-4afb-8c28-b3f8ea15d727	HEAT_REJECTION_PUMPS
cfc17a9d-6e29-4976-9fa9-3b3635704e04	d12ce968-8d46-47c4-8c06-3b5d5a4b565d	VENTILATION
cfc17a9d-6e29-4976-9fa9-3b3635704e04	77add822-d1db-4d30-9a5e-2424017b15c7	INFILTRATION
cfc17a9d-6e29-4976-9fa9-3b3635704e04	5a4d5bd9-f0ec-4a68-a0ec-fd0b8668bc3a	IT_LOAD
d65f9f5f-297c-4637-bdaa-571f213689fa	95eaf5cb-33fb-4398-bea0-57544e0332f5	SWITCHGEAR
d65f9f5f-297c-4637-bdaa-571f213689fa	8dabfc7a-7e8b-4035-ac2e-3dec7a1feb61	GENERATOR
d65f9f5f-297c-4637-bdaa-571f213689fa	476ce72c-aba2-469c-9ee4-cdde1c02d4ef	PRIMARY_AUXILIARIES
d65f9f5f-297c-4637-bdaa-571f213689fa	2592e2da-7bb7-4f8b-9004-be7f1fcf770b	UPS
d65f9f5f-297c-4637-bdaa-571f213689fa	942a20f3-3791-489b-b43c-549659843f05	CRITICAL_AUXILIARIES
d65f9f5f-297c-4637-bdaa-571f213689fa	a03e582b-ff97-4689-b52f-aa138c72fa7e	LIGHTING
d65f9f5f-297c-4637-bdaa-571f213689fa	306a1b21-9a7b-43cc-a744-95bcbfbc3c5c	CRITICAL_POWER_DISTRIBUTION
d65f9f5f-297c-4637-bdaa-571f213689fa	709f60ac-0184-4827-a412-2c89cefee4ec	CRAH
d65f9f5f-297c-4637-bdaa-571f213689fa	7e11b709-389f-42ec-965d-dba53b1261f0	CRAC
d65f9f5f-297c-4637-bdaa-571f213689fa	43f98307-4f09-415f-b793-ddb518f5beac	CRAC_WITHOUT_FAN
d65f9f5f-297c-4637-bdaa-571f213689fa	6008ed7c-9221-4b57-916e-3b1386342ed5	CRAC_FAN
d65f9f5f-297c-4637-bdaa-571f213689fa	0e5ecaeb-59f9-4e05-82e7-6773a2003f88	CHILLER
d65f9f5f-297c-4637-bdaa-571f213689fa	be603756-bc6a-47c3-85b1-9ade3b3b1df0	AIR_COOLED_CHILLER
d65f9f5f-297c-4637-bdaa-571f213689fa	ca64f635-35df-48ea-b7bc-67f1d2c2bdea	COOLING_TOWER
d65f9f5f-297c-4637-bdaa-571f213689fa	b0302e39-a498-4988-84bc-71fda739f0c0	DRY_COOLER
d65f9f5f-297c-4637-bdaa-571f213689fa	0e3bb5be-13a2-4d45-b668-fe3f10f32fa1	REMOTE_CONDENSER
d65f9f5f-297c-4637-bdaa-571f213689fa	041d5662-f7ba-48ab-8509-d29486af2189	CHILLED_WATER_PUMPS
d65f9f5f-297c-4637-bdaa-571f213689fa	ffb05161-eaa0-4816-a198-c1b7cb9c42cc	HEAT_REJECTION_PUMPS
d65f9f5f-297c-4637-bdaa-571f213689fa	f9ac8576-cfab-40cd-805c-7d1d1e204103	VENTILATION
d65f9f5f-297c-4637-bdaa-571f213689fa	6527fc44-3e2e-48bc-a1c3-e10f4d2fb050	INFILTRATION
d65f9f5f-297c-4637-bdaa-571f213689fa	beb8b7db-6b6c-40eb-a512-32fa48a1c9eb	IT_LOAD
376c7bb8-b087-4298-9600-9b3756c1de48	8ee169ec-15e5-4760-a68a-e484b10f55bf	SWITCHGEAR
376c7bb8-b087-4298-9600-9b3756c1de48	3d43b77f-981c-4557-ad0b-736230e55c2a	GENERATOR
376c7bb8-b087-4298-9600-9b3756c1de48	98f5ebaf-a39a-463f-9e5a-9f9a70f1e968	PRIMARY_AUXILIARIES
376c7bb8-b087-4298-9600-9b3756c1de48	dea024a7-45ec-4392-867f-9c68dc211a3a	UPS
376c7bb8-b087-4298-9600-9b3756c1de48	69536db1-b967-4e2f-858a-f83400cdbd54	CRITICAL_AUXILIARIES
376c7bb8-b087-4298-9600-9b3756c1de48	a30a987d-f190-4a56-bc49-c3a4b40a9bf1	LIGHTING
376c7bb8-b087-4298-9600-9b3756c1de48	25b9f8b7-9e97-4669-98da-955ea77e30bb	CRITICAL_POWER_DISTRIBUTION
376c7bb8-b087-4298-9600-9b3756c1de48	7dc71d42-56ed-44a8-9cf9-3ae6b0c26393	CRAH
376c7bb8-b087-4298-9600-9b3756c1de48	d23e0cf4-b44d-492d-b080-95c971e97578	CRAC
376c7bb8-b087-4298-9600-9b3756c1de48	72ea4941-8268-4168-b356-133985438f5f	CRAC_WITHOUT_FAN
376c7bb8-b087-4298-9600-9b3756c1de48	9c3e6793-ca6f-4baf-a920-52cce50a614c	CRAC_FAN
376c7bb8-b087-4298-9600-9b3756c1de48	0ed142aa-09a3-4a6c-b822-0ef7be44fda1	CHILLER
376c7bb8-b087-4298-9600-9b3756c1de48	bf2ad678-37f9-4e78-9887-a80b07925845	AIR_COOLED_CHILLER
376c7bb8-b087-4298-9600-9b3756c1de48	7fa525be-4822-40dc-99dc-d175a21e895d	COOLING_TOWER
376c7bb8-b087-4298-9600-9b3756c1de48	19405e94-7a1e-40f0-8c4a-e7f2e055d9bc	DRY_COOLER
376c7bb8-b087-4298-9600-9b3756c1de48	f9d8422f-8fc3-42ff-9656-e86b8e4587e4	REMOTE_CONDENSER
376c7bb8-b087-4298-9600-9b3756c1de48	b70a3736-db05-4a6e-b528-7ea81a3b5903	CHILLED_WATER_PUMPS
376c7bb8-b087-4298-9600-9b3756c1de48	412b0ba2-5d21-46d5-975f-ebab2674a8fd	HEAT_REJECTION_PUMPS
376c7bb8-b087-4298-9600-9b3756c1de48	7a577b6f-01ab-4a87-90d0-4bcd24c56df1	VENTILATION
376c7bb8-b087-4298-9600-9b3756c1de48	09f359f7-0f09-4365-8b04-613e25cb217f	INFILTRATION
376c7bb8-b087-4298-9600-9b3756c1de48	63212a72-0ac1-43d4-88d5-46340c202c70	IT_LOAD
7fdba42e-3db8-40e9-871f-de755a74766a	53f81774-e116-41ea-bf00-cb8e52435a27	SWITCHGEAR
7fdba42e-3db8-40e9-871f-de755a74766a	15b17740-18d1-477e-8ea6-1b5968ef7691	GENERATOR
7fdba42e-3db8-40e9-871f-de755a74766a	67adfcb3-0841-4c67-bdbf-a4a74ca9cbf8	PRIMARY_AUXILIARIES
7fdba42e-3db8-40e9-871f-de755a74766a	087aa66f-29b7-41e2-83d0-aa90e165205a	UPS
7fdba42e-3db8-40e9-871f-de755a74766a	3f4cf7fa-3a3c-4600-babb-cf07578a469f	CRITICAL_AUXILIARIES
7fdba42e-3db8-40e9-871f-de755a74766a	41bc8919-edb5-4671-8e09-feae55b377b3	LIGHTING
7fdba42e-3db8-40e9-871f-de755a74766a	118c145f-1a00-4c39-849e-3707b80928bf	CRITICAL_POWER_DISTRIBUTION
7fdba42e-3db8-40e9-871f-de755a74766a	cb125d4a-e9e5-4b47-a021-00e6afb71222	CRAH
7fdba42e-3db8-40e9-871f-de755a74766a	fe96fafa-9426-449e-be91-8d460be5c39a	CRAC
7fdba42e-3db8-40e9-871f-de755a74766a	4093d518-7ed4-4b0b-8452-4ecf01bf8a35	CRAC_WITHOUT_FAN
7fdba42e-3db8-40e9-871f-de755a74766a	2d648e6c-a6bf-4898-95e8-a422b3704a1e	CRAC_FAN
7fdba42e-3db8-40e9-871f-de755a74766a	c2bab5f5-74ff-4d3e-9961-f67e31763859	CHILLER
7fdba42e-3db8-40e9-871f-de755a74766a	83951844-b64d-439a-b6fb-54c0b6718a01	AIR_COOLED_CHILLER
7fdba42e-3db8-40e9-871f-de755a74766a	51fce67d-66fa-413b-8033-931854567171	COOLING_TOWER
7fdba42e-3db8-40e9-871f-de755a74766a	3ec80386-3f01-4ecb-9d49-e1b0e2f7dc61	DRY_COOLER
7fdba42e-3db8-40e9-871f-de755a74766a	fbcd51ad-18dd-4d86-9bf2-03337a260e40	REMOTE_CONDENSER
7fdba42e-3db8-40e9-871f-de755a74766a	af125022-b556-4c30-aa69-89082c18514d	CHILLED_WATER_PUMPS
7fdba42e-3db8-40e9-871f-de755a74766a	82f053c7-7d3c-458c-9dc4-72cfbe24909e	HEAT_REJECTION_PUMPS
7fdba42e-3db8-40e9-871f-de755a74766a	aff36125-3464-48c6-a833-60277aedaebd	VENTILATION
7fdba42e-3db8-40e9-871f-de755a74766a	fb757557-797b-4318-a44d-61556c3532ce	INFILTRATION
7fdba42e-3db8-40e9-871f-de755a74766a	f7a34fdd-e644-4c37-9dc3-fe99c1b7e8c6	IT_LOAD
3a98ec6a-c445-41e4-a29d-464c434f548a	72ae4ef6-32de-4927-9aed-561ddfdf77bb	SWITCHGEAR
3a98ec6a-c445-41e4-a29d-464c434f548a	45f0b843-e3cf-4f84-9263-cf0c68824f86	GENERATOR
3a98ec6a-c445-41e4-a29d-464c434f548a	9177ff85-44d7-4269-a219-463c9a382b00	PRIMARY_AUXILIARIES
3a98ec6a-c445-41e4-a29d-464c434f548a	9b3be1b0-57aa-4100-b578-35cf66c39a34	UPS
3a98ec6a-c445-41e4-a29d-464c434f548a	b37f9b76-60dc-41ec-b8b3-b881251819d8	CRITICAL_AUXILIARIES
3a98ec6a-c445-41e4-a29d-464c434f548a	46da0436-9fc3-44c5-83f5-06f894d5b3c5	LIGHTING
3a98ec6a-c445-41e4-a29d-464c434f548a	402755ac-2161-4d8f-ac91-20c2d94128a4	CRITICAL_POWER_DISTRIBUTION
3a98ec6a-c445-41e4-a29d-464c434f548a	b71c2852-321a-473f-8078-4a4ec5027287	CRAH
3a98ec6a-c445-41e4-a29d-464c434f548a	d065fe80-b6a1-4965-8019-bee8d9d837d9	CRAC
3a98ec6a-c445-41e4-a29d-464c434f548a	e6b9c856-27de-4e5a-af86-5c58e17d1b55	CRAC_WITHOUT_FAN
3a98ec6a-c445-41e4-a29d-464c434f548a	c4590331-65c7-47e9-8655-a0dfef9beb0c	CRAC_FAN
3a98ec6a-c445-41e4-a29d-464c434f548a	182c1e06-30d8-4797-9c73-e4f54f9a1c5c	CHILLER
3a98ec6a-c445-41e4-a29d-464c434f548a	2ca0c82b-6fce-4606-8a12-c57c205a8d17	AIR_COOLED_CHILLER
3a98ec6a-c445-41e4-a29d-464c434f548a	fdaea1c4-5182-4155-bd4c-a1d5d27c4dd2	COOLING_TOWER
3a98ec6a-c445-41e4-a29d-464c434f548a	4a840232-0c03-4f2b-aab9-d4635745b648	DRY_COOLER
3a98ec6a-c445-41e4-a29d-464c434f548a	c3df3e3a-a811-4888-b539-897e603c625d	REMOTE_CONDENSER
3a98ec6a-c445-41e4-a29d-464c434f548a	f3b9f19c-fdd2-4230-8d1a-f028dc6ca2bb	CHILLED_WATER_PUMPS
3a98ec6a-c445-41e4-a29d-464c434f548a	e2d0f6ae-9a08-4e60-a9de-79c6b63f04f9	HEAT_REJECTION_PUMPS
3a98ec6a-c445-41e4-a29d-464c434f548a	cf284a29-21cf-4722-97bc-0f1947730758	VENTILATION
3a98ec6a-c445-41e4-a29d-464c434f548a	8fb611e8-2d67-4dda-bb23-f023b54d3874	INFILTRATION
3a98ec6a-c445-41e4-a29d-464c434f548a	a59f514e-f8f5-4458-a578-4d139312dfd4	IT_LOAD
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	ce467b5b-50c1-4074-af00-7481e839d881	SWITCHGEAR
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	e26b71c9-38fb-4eb1-b55a-ee2e1f990527	GENERATOR
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	29ceb206-fb11-476d-8d1d-724431a3c252	PRIMARY_AUXILIARIES
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	97915a50-ed89-475d-845d-7fd7821f1249	UPS
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	db917304-bafa-44c1-ac3a-a6764b115ac7	CRITICAL_AUXILIARIES
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	5b10b8a7-b1f3-4fd1-96ea-479468846cc6	LIGHTING
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	bdbc53a9-29b2-4a22-b3ba-a502b5de81c3	CRITICAL_POWER_DISTRIBUTION
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	9ecdc4a8-3503-49cc-bdc8-3188a0f43421	CRAH
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	03854415-b49e-4ef7-889c-7be075341308	CRAC
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	f2cfdb96-b4d5-48c0-b033-a72076fc2c14	CRAC_WITHOUT_FAN
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	f657a1ba-5295-4948-888a-b09afde09839	CRAC_FAN
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	f5d6dbd9-b4cc-4798-9516-ee372f68b620	CHILLER
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	075b1720-186c-45ef-9a62-07e78876c935	AIR_COOLED_CHILLER
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	b85c9de6-1664-4446-9b62-6417da0f1888	COOLING_TOWER
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	077940dd-d105-4e61-a982-6b6ad4973ac6	DRY_COOLER
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	d18e43fc-2219-47d5-9b2e-c5c94c4eaee9	REMOTE_CONDENSER
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	69181373-fe8d-4eb7-8c9e-6385eae510e1	CHILLED_WATER_PUMPS
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	22d79484-cf60-4656-b563-b7d661f56dc5	HEAT_REJECTION_PUMPS
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	d22fd57f-3bcf-44d2-9e88-4f236caab19f	VENTILATION
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	e9166130-b949-4a63-9a70-2275e12acc0b	INFILTRATION
bc212a19-c863-42b4-bfb7-0f5cfe6df6ff	b5da3d9e-a72c-4f4e-b60a-e1d072385949	IT_LOAD
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	d3884062-745c-46a8-a3bc-b4ae75c263bc	SWITCHGEAR
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	5fbd38f2-bc72-4f82-a310-cc1b70aaacce	GENERATOR
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	30e87f54-c78f-40b5-aca4-4fbbf276ebca	PRIMARY_AUXILIARIES
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	832bf8f0-a113-4d24-8377-cebeddb6aa56	UPS
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	ed94c5a9-e5d9-4f43-817b-b8ee30a5caa1	CRITICAL_AUXILIARIES
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	e8a47694-5dbf-42f9-a2a7-f44dc109804d	LIGHTING
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	51085a79-c1d0-4b24-b663-fddec0c80db0	CRITICAL_POWER_DISTRIBUTION
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	e405711f-a031-4d38-8ac6-8c858b353ed1	CRAH
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	4f93711c-9eb2-45aa-86ea-d7ce54d1a7c5	CRAC
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	182f6d3e-385c-4780-b1e1-3ad46fea190b	CRAC_WITHOUT_FAN
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	3dcd7064-e6f5-4086-9e0e-00dd346f1cfc	CRAC_FAN
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	c12d9e76-3a32-47e1-ace1-4d605a79214a	CHILLER
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	a3d313b4-724b-4c0e-a71b-f61c91f9e122	AIR_COOLED_CHILLER
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	7ab24375-5350-457a-9c8a-7b18c1d669bb	COOLING_TOWER
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	6f3ef55f-1829-4a53-b9ad-fb91bd126952	DRY_COOLER
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	672b5fb0-9be0-462a-96e9-e78cf0a45c4b	REMOTE_CONDENSER
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	303f042e-c879-4c7b-8866-b209bb9d73b4	CHILLED_WATER_PUMPS
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	3af5e118-3949-401b-808c-569996e6a9f4	HEAT_REJECTION_PUMPS
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	a8019637-7825-4646-a079-6dc6f553d9b5	VENTILATION
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	722e835d-8274-4cca-84d3-9ca5dd1d9be2	INFILTRATION
f8fb29a2-fc94-4721-bbf3-ff95cb3f303b	f00d5f39-e299-4895-86a2-840d05c826cc	IT_LOAD
5f621718-eac1-4e99-bdc7-81a2f9697d4f	d4f3a502-8c4f-4130-bbcc-163cc2870dcc	SWITCHGEAR
5f621718-eac1-4e99-bdc7-81a2f9697d4f	f7be9385-b18e-4bf2-9218-6ad4043d7c8a	GENERATOR
5f621718-eac1-4e99-bdc7-81a2f9697d4f	a865d45f-89ae-493c-ad44-f2db454207ca	PRIMARY_AUXILIARIES
5f621718-eac1-4e99-bdc7-81a2f9697d4f	1c4c9844-ca4c-4299-b57a-775c19ccea85	UPS
5f621718-eac1-4e99-bdc7-81a2f9697d4f	1ea61ded-b145-4746-b66a-7c7b745105b9	CRITICAL_AUXILIARIES
5f621718-eac1-4e99-bdc7-81a2f9697d4f	c160d7e0-90fa-4029-891e-53fa8e8dd92c	LIGHTING
5f621718-eac1-4e99-bdc7-81a2f9697d4f	8f1a9a0b-dc5d-41d6-9f13-d1dc6d762bec	CRITICAL_POWER_DISTRIBUTION
5f621718-eac1-4e99-bdc7-81a2f9697d4f	6f34582c-922a-4fb7-a5df-85800aa0d063	CRAH
5f621718-eac1-4e99-bdc7-81a2f9697d4f	9687e92d-1a08-4ad1-a7f9-88fb5c58f0f9	CRAC
5f621718-eac1-4e99-bdc7-81a2f9697d4f	9cfc6921-9129-4dbf-a646-2d0da5ed5a59	CRAC_WITHOUT_FAN
5f621718-eac1-4e99-bdc7-81a2f9697d4f	2c9c344e-1e7c-4dd9-9a21-a0a04633711b	CRAC_FAN
5f621718-eac1-4e99-bdc7-81a2f9697d4f	340b0dec-1907-4728-9dbe-f3acdd945b7d	CHILLER
5f621718-eac1-4e99-bdc7-81a2f9697d4f	57f3a492-7ed5-4dec-8870-50676aa982b3	AIR_COOLED_CHILLER
5f621718-eac1-4e99-bdc7-81a2f9697d4f	664bbc29-ddc3-4c78-ac48-a53db17cdf80	COOLING_TOWER
5f621718-eac1-4e99-bdc7-81a2f9697d4f	1c7bf965-3037-4137-8f8e-566c95eff55e	DRY_COOLER
5f621718-eac1-4e99-bdc7-81a2f9697d4f	25d1d653-22b2-4bff-aa84-367a526a2916	REMOTE_CONDENSER
5f621718-eac1-4e99-bdc7-81a2f9697d4f	8aa8cbc2-8869-4962-9ee3-a11749726881	CHILLED_WATER_PUMPS
5f621718-eac1-4e99-bdc7-81a2f9697d4f	6f9c0494-f539-4851-87ae-25988be81a8b	HEAT_REJECTION_PUMPS
5f621718-eac1-4e99-bdc7-81a2f9697d4f	dcd01296-162d-4ba1-9b0a-e2c515b8e11e	VENTILATION
5f621718-eac1-4e99-bdc7-81a2f9697d4f	cb1a2ab0-16dc-473a-a53b-c57dcaf7f6ff	INFILTRATION
5f621718-eac1-4e99-bdc7-81a2f9697d4f	78ed969c-807a-403c-940d-bcbbdcf8113c	IT_LOAD
58dda1c2-9895-403f-ba0a-6309d51fd28a	07dcc986-f5d5-4f3a-b32b-6cf8c0f13b9d	SWITCHGEAR
58dda1c2-9895-403f-ba0a-6309d51fd28a	dcd2935b-7e25-4e35-bdec-207f0baa1f26	GENERATOR
58dda1c2-9895-403f-ba0a-6309d51fd28a	c378ec51-4ed7-41b5-bf64-4656df5b0ad1	PRIMARY_AUXILIARIES
58dda1c2-9895-403f-ba0a-6309d51fd28a	cac651fb-b2b3-4aac-9d9f-b01663c5dec5	UPS
58dda1c2-9895-403f-ba0a-6309d51fd28a	4dd3fd1c-7038-4989-a9e8-9489b20b5a4f	CRITICAL_AUXILIARIES
58dda1c2-9895-403f-ba0a-6309d51fd28a	81e08d66-6a4f-4e56-8e02-c81bf2940cf9	LIGHTING
58dda1c2-9895-403f-ba0a-6309d51fd28a	81f131c9-7828-474c-af39-af08e21c4783	CRITICAL_POWER_DISTRIBUTION
58dda1c2-9895-403f-ba0a-6309d51fd28a	bc5c0621-f4ad-4a92-9ebe-cc302a09c646	CRAH
58dda1c2-9895-403f-ba0a-6309d51fd28a	96dab75f-6eb9-445f-8bcf-acc0700d5a1b	CRAC
58dda1c2-9895-403f-ba0a-6309d51fd28a	8f491eab-0ee9-4a99-b952-83808c362d12	CRAC_WITHOUT_FAN
58dda1c2-9895-403f-ba0a-6309d51fd28a	183574c7-e4e5-4599-8c41-f6c6598539ba	CRAC_FAN
58dda1c2-9895-403f-ba0a-6309d51fd28a	8b1dfe30-ae5d-4e56-9911-4a6babfc147b	CHILLER
58dda1c2-9895-403f-ba0a-6309d51fd28a	02490c1e-2481-49c0-b98a-694b5fcef50e	AIR_COOLED_CHILLER
58dda1c2-9895-403f-ba0a-6309d51fd28a	911149f9-827b-4ef8-9721-3420f49211c5	COOLING_TOWER
58dda1c2-9895-403f-ba0a-6309d51fd28a	f6b328af-854d-4048-b80f-cd67a72f5717	DRY_COOLER
58dda1c2-9895-403f-ba0a-6309d51fd28a	70e96da3-d83b-4d88-8af1-a0b3326a3499	REMOTE_CONDENSER
58dda1c2-9895-403f-ba0a-6309d51fd28a	95dc41e9-f9b8-483d-8288-5f4b79247158	CHILLED_WATER_PUMPS
58dda1c2-9895-403f-ba0a-6309d51fd28a	bd7b3e2d-caab-4f19-8407-b78e46e1d278	HEAT_REJECTION_PUMPS
58dda1c2-9895-403f-ba0a-6309d51fd28a	ebe27987-e8f9-4c19-ac62-7bc28717ee9c	VENTILATION
58dda1c2-9895-403f-ba0a-6309d51fd28a	97e220da-9b17-41cb-9581-d320f340cf08	INFILTRATION
58dda1c2-9895-403f-ba0a-6309d51fd28a	223b12a9-f82d-4a83-88b9-8076a855efea	IT_LOAD
7c808448-cecd-4a87-a7f2-bdcb12f36e87	19009dcd-caa5-4970-9b8d-1899d0f2b68d	SWITCHGEAR
7c808448-cecd-4a87-a7f2-bdcb12f36e87	72b70673-ee4b-4ecc-93d1-cecd76840072	GENERATOR
7c808448-cecd-4a87-a7f2-bdcb12f36e87	f9ff6c00-a701-4f70-9fa4-084ed6a2cb3d	PRIMARY_AUXILIARIES
7c808448-cecd-4a87-a7f2-bdcb12f36e87	56b439d3-8848-448b-a01c-a337e997f075	UPS
7c808448-cecd-4a87-a7f2-bdcb12f36e87	a80da72f-c589-434d-a9f9-b4fd0d6278a2	CRITICAL_AUXILIARIES
7c808448-cecd-4a87-a7f2-bdcb12f36e87	e5c5fb2f-e48d-4b6f-bf2e-15f26a9ffb14	LIGHTING
7c808448-cecd-4a87-a7f2-bdcb12f36e87	27c73bb5-7001-40b0-a95d-d173f08409a0	CRITICAL_POWER_DISTRIBUTION
7c808448-cecd-4a87-a7f2-bdcb12f36e87	244b9f07-c991-4f93-a31e-f63c826f3d54	CRAH
7c808448-cecd-4a87-a7f2-bdcb12f36e87	c0eadafc-d14b-4a57-8846-a82ac7c976d5	CRAC
7c808448-cecd-4a87-a7f2-bdcb12f36e87	d336b3ca-074e-4a83-bd66-a89cd20b3d26	CRAC_WITHOUT_FAN
7c808448-cecd-4a87-a7f2-bdcb12f36e87	5dc7d4f3-b70d-4123-aae6-4d154526d7c7	CRAC_FAN
7c808448-cecd-4a87-a7f2-bdcb12f36e87	fd88cf8f-aeb7-47bc-80f2-afa2997fc675	CHILLER
7c808448-cecd-4a87-a7f2-bdcb12f36e87	890c0d32-568f-4437-b92d-bc72e3f0ae22	AIR_COOLED_CHILLER
7c808448-cecd-4a87-a7f2-bdcb12f36e87	0b8ae6f6-dccf-483c-92fb-a35fc6e05556	COOLING_TOWER
7c808448-cecd-4a87-a7f2-bdcb12f36e87	badf1b7a-bb6c-4f70-b230-d2ba6cd93482	DRY_COOLER
7c808448-cecd-4a87-a7f2-bdcb12f36e87	4867c902-2848-4cf6-80a3-0fd3931f7264	REMOTE_CONDENSER
7c808448-cecd-4a87-a7f2-bdcb12f36e87	6f9eeec7-1454-4e4c-9a3b-3d6cddfe14e0	CHILLED_WATER_PUMPS
7c808448-cecd-4a87-a7f2-bdcb12f36e87	b032e145-e607-4ffe-b13d-272c5538fb02	HEAT_REJECTION_PUMPS
7c808448-cecd-4a87-a7f2-bdcb12f36e87	25c6197c-ba08-4567-a3b2-735984bfdf2a	VENTILATION
7c808448-cecd-4a87-a7f2-bdcb12f36e87	c17d3f62-a1e8-4b00-a10b-f16fcc182daf	INFILTRATION
7c808448-cecd-4a87-a7f2-bdcb12f36e87	647312bd-caca-4f3e-a1f5-98352c48eacf	IT_LOAD
90ab75d0-d3df-45a6-ae35-70121e266b31	dcfb3cf6-7b3b-4a32-bac5-54e08c3d2e94	SWITCHGEAR
90ab75d0-d3df-45a6-ae35-70121e266b31	95db3ac6-67ee-4b59-899c-873e4aad56fb	GENERATOR
90ab75d0-d3df-45a6-ae35-70121e266b31	c98a1f6d-c5e3-41c3-b52b-438e07ee2914	PRIMARY_AUXILIARIES
90ab75d0-d3df-45a6-ae35-70121e266b31	1d7aa97b-71c7-486b-b417-010a04223d95	UPS
90ab75d0-d3df-45a6-ae35-70121e266b31	199a7814-19df-4d0d-8fe7-f6684e1c66bb	CRITICAL_AUXILIARIES
90ab75d0-d3df-45a6-ae35-70121e266b31	d23c7b6e-5799-46a2-ab61-1ac9f44cdcd6	LIGHTING
90ab75d0-d3df-45a6-ae35-70121e266b31	a07463c9-00c3-44e4-a54b-c0e533213c8c	CRITICAL_POWER_DISTRIBUTION
90ab75d0-d3df-45a6-ae35-70121e266b31	254e5636-0e2e-4356-b9d1-40e42f3634a1	CRAH
90ab75d0-d3df-45a6-ae35-70121e266b31	63771a8f-176b-4c8a-ae32-542030987f15	CRAC
90ab75d0-d3df-45a6-ae35-70121e266b31	11660d7c-9ed2-49dc-8ae0-2d613711f7fb	CRAC_WITHOUT_FAN
90ab75d0-d3df-45a6-ae35-70121e266b31	f5140525-9062-4dc3-925a-b0921857a264	CRAC_FAN
90ab75d0-d3df-45a6-ae35-70121e266b31	15403508-33f2-457c-bf72-c7fdea22b7fa	CHILLER
90ab75d0-d3df-45a6-ae35-70121e266b31	421f1c2a-6c13-44b6-bde7-8e76475c26ab	AIR_COOLED_CHILLER
90ab75d0-d3df-45a6-ae35-70121e266b31	e14aee93-e30d-4a68-9102-1fa6afa32c98	COOLING_TOWER
90ab75d0-d3df-45a6-ae35-70121e266b31	f41b6556-f42e-4366-b8bd-bacad92451b6	DRY_COOLER
90ab75d0-d3df-45a6-ae35-70121e266b31	35968862-c6a7-4a81-863f-31c45979e2c5	REMOTE_CONDENSER
90ab75d0-d3df-45a6-ae35-70121e266b31	a54854a0-d02d-4a09-86eb-34ff0689f1e5	CHILLED_WATER_PUMPS
90ab75d0-d3df-45a6-ae35-70121e266b31	8091790d-6b41-431d-8e45-e371dfc42118	HEAT_REJECTION_PUMPS
90ab75d0-d3df-45a6-ae35-70121e266b31	4dadfbd8-d7c4-4192-8b98-0e798edcf751	VENTILATION
90ab75d0-d3df-45a6-ae35-70121e266b31	7b02c900-bdc2-45d4-b2a0-4b403f0ed0f1	INFILTRATION
90ab75d0-d3df-45a6-ae35-70121e266b31	bb7f0278-fcd0-46e1-a743-19500371de9b	IT_LOAD
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	81edc701-af79-484e-ad18-2e53969035e0	SWITCHGEAR
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	84c9f0c5-dcb3-4ff3-827f-a80bba8b63e8	GENERATOR
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	6671aa73-3cb0-4b3e-a468-f9ef274b4f45	PRIMARY_AUXILIARIES
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	7da325eb-14d4-4421-a413-57156622e73d	UPS
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	644f17f0-3525-4578-bdd4-35c95a9e02c2	CRITICAL_AUXILIARIES
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	b5fedd80-1bae-4fbe-9c11-54328d2676fb	LIGHTING
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	358937b5-edf7-48b2-931e-51699dfc5226	CRITICAL_POWER_DISTRIBUTION
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	5e18f1e4-8668-420d-a24d-8de771af4792	CRAH
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	ecec2086-aac9-40fd-91c6-8d932a6a3c77	CRAC
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	ceb76f75-9158-4493-84ef-c19538f2ba98	CRAC_WITHOUT_FAN
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	d6ac3d15-c7a9-4e80-9541-b11b674678a1	CRAC_FAN
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	e208f4b7-2085-41ac-b384-add48efe61ef	CHILLER
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	c82e6d5c-3ffc-4351-9fd2-0a560f264bbd	AIR_COOLED_CHILLER
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	b9b003f3-7c33-4572-85f3-88ced69c3ae6	COOLING_TOWER
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	f1cf9fb9-716a-4b05-a6c9-c56e6258472a	DRY_COOLER
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	acf71b86-b7cf-4d7c-92be-43f53a3b438e	REMOTE_CONDENSER
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	9e8527ac-faa3-46ac-a496-f15a250b7c5e	CHILLED_WATER_PUMPS
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	215d718c-674b-4412-9e35-4ed4d6dcbcb8	HEAT_REJECTION_PUMPS
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	20a35a2f-e89f-4068-bb8d-3e7a0606565a	VENTILATION
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	5adad414-418a-4626-be84-5f2d4393391a	INFILTRATION
7fa5d6ed-38ee-47cc-b74f-89b81b1e7b3a	33d37b3b-8199-498c-8e5b-38abbe4d0bd3	IT_LOAD
60829a4f-0ad2-486b-af40-830404fff877	34d31344-2af8-493c-8801-8126665bd937	SWITCHGEAR
60829a4f-0ad2-486b-af40-830404fff877	0226af10-371d-49d4-890d-bb017c147769	GENERATOR
60829a4f-0ad2-486b-af40-830404fff877	3816f349-33b8-44e4-88b8-1b7419eb3443	PRIMARY_AUXILIARIES
60829a4f-0ad2-486b-af40-830404fff877	9db1a575-a3b8-4b64-84c5-1d8ebfdef6a9	UPS
60829a4f-0ad2-486b-af40-830404fff877	e0620a99-77b9-4a6a-a240-b81d09ee1cb5	CRITICAL_AUXILIARIES
60829a4f-0ad2-486b-af40-830404fff877	d120acda-9ca8-4c80-a050-a5f4ce9be441	LIGHTING
60829a4f-0ad2-486b-af40-830404fff877	dab97895-f2b0-4dff-96e5-0c22aace0057	CRITICAL_POWER_DISTRIBUTION
60829a4f-0ad2-486b-af40-830404fff877	4ea8673a-7590-41e1-ba52-1f5b12b1d6ec	CRAH
60829a4f-0ad2-486b-af40-830404fff877	fc6d27c9-85df-45b5-96d6-7c2e1358a55d	CRAC
60829a4f-0ad2-486b-af40-830404fff877	2c3cc43a-a464-42c4-a17b-46eca50145a4	CRAC_WITHOUT_FAN
60829a4f-0ad2-486b-af40-830404fff877	d98b7cf0-039a-493a-9907-89820802e3f0	CRAC_FAN
60829a4f-0ad2-486b-af40-830404fff877	6a1688de-504d-4981-aa83-5eded2792fc8	CHILLER
60829a4f-0ad2-486b-af40-830404fff877	49637d4f-1f73-4d57-9744-d8fdbf8934ad	AIR_COOLED_CHILLER
60829a4f-0ad2-486b-af40-830404fff877	aa2dcc9a-a884-4ce0-8808-b0850a1b4557	COOLING_TOWER
60829a4f-0ad2-486b-af40-830404fff877	71bf741f-a69e-4717-be65-7c7a8f0a392c	DRY_COOLER
60829a4f-0ad2-486b-af40-830404fff877	cd25d37a-5bb0-458c-b059-96eb868e9892	REMOTE_CONDENSER
60829a4f-0ad2-486b-af40-830404fff877	814ff897-116f-4166-9965-6faa2109aa9d	CHILLED_WATER_PUMPS
60829a4f-0ad2-486b-af40-830404fff877	dc7df4c3-f56d-48e6-8580-6ca8b5058679	HEAT_REJECTION_PUMPS
60829a4f-0ad2-486b-af40-830404fff877	d784878f-7144-4f75-badf-27032fa52677	VENTILATION
60829a4f-0ad2-486b-af40-830404fff877	ab881358-3e23-4cf0-842f-db77e11a2a1e	INFILTRATION
60829a4f-0ad2-486b-af40-830404fff877	2fc6ecd6-c348-4249-b2b8-7d8ae99b8819	IT_LOAD
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	b46b9b9d-18ab-4535-84a1-d61de6f9b52d	SWITCHGEAR
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	3249b730-1204-4952-bcd9-bbc168610d53	GENERATOR
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	74b2c6e1-7357-4f64-9c81-f10ba8da39ec	PRIMARY_AUXILIARIES
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	ab33ed5c-9389-42a7-bdcf-38244d27b842	UPS
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	626ae0d7-f815-40cf-adba-1884558f770b	CRITICAL_AUXILIARIES
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	8d785022-1858-4ba9-9c61-7ea6e486e793	LIGHTING
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	a0162586-961d-4480-9762-19fd05c02057	CRITICAL_POWER_DISTRIBUTION
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	664695aa-5f66-4aba-8ae4-030a453fb797	CRAH
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	8e888eba-0269-45c7-ab99-c7cc463bdbc3	CRAC
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	4c023917-6223-4823-a83f-de3ba2912c0c	CRAC_WITHOUT_FAN
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	66259262-406d-4135-93bb-4f8d96f0a8d0	CRAC_FAN
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	daa6c25e-59db-4ff1-a7a0-8f9663d64870	CHILLER
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	b60c77bf-2c0c-4858-84a5-37ea42368947	AIR_COOLED_CHILLER
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	e2355805-f42c-424f-b0e1-f7b6f1387e49	COOLING_TOWER
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	38f54158-8418-4889-82a1-3fc926da81b9	DRY_COOLER
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	ff7d6da9-f22e-42e0-a68e-bafc632514a8	REMOTE_CONDENSER
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	f717040e-5ca8-4c7b-95e2-972f33d99017	CHILLED_WATER_PUMPS
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	4ec64016-81da-4971-b682-cc357838f7c1	HEAT_REJECTION_PUMPS
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	e8585a74-ca62-4945-b4a6-cbffe6a85f22	VENTILATION
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	a9405ff6-20ef-4d2c-80c9-d431a7f1dda7	INFILTRATION
1b7cf850-ecbe-4ef9-b468-9284c2155c6a	71456877-a59a-4c45-a0c3-f876e7835684	IT_LOAD
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	b4a04735-7088-49bd-b3ca-a8b539b89915	SWITCHGEAR
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	a88e7d99-3c95-47bd-9a5f-80faf6ec2375	GENERATOR
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	b2a9b9fb-42c6-496d-941c-09076fdac268	PRIMARY_AUXILIARIES
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	65d81eb8-3d37-4a59-830d-69715f627581	UPS
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	a66dc620-c0d9-436e-bba1-f037dc4e0ffb	CRITICAL_AUXILIARIES
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	516019a5-977f-4b93-91ae-1c2b2d9af5cc	LIGHTING
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	5e37e471-9209-455b-8b9a-450019c658d5	CRITICAL_POWER_DISTRIBUTION
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	bbda8e76-d927-49e2-ba70-3a0d7614db48	CRAH
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	23e7f1ab-85b5-4820-9cee-4cf4e78c76ae	CRAC
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	b85d7425-d98b-464e-81e0-6eefb4893fe1	CRAC_WITHOUT_FAN
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	3987860f-d31c-4e69-a7ae-721422812a1b	CRAC_FAN
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	b66ad43d-42da-4a54-b2d9-db155d194055	CHILLER
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	70f7017f-f67e-4dcc-b81c-366b6f84cc44	AIR_COOLED_CHILLER
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	f41df6c4-bc45-424f-a930-c8ebf34a9601	COOLING_TOWER
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	64d1936b-bab5-43c8-887f-3fb99e7e2d8e	DRY_COOLER
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	7d586bb0-e824-4ad0-9bd7-6715b56772a7	REMOTE_CONDENSER
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	dc61aba4-6b62-4b13-b9ef-12e17875ae40	CHILLED_WATER_PUMPS
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	31866072-7144-4d6f-96ca-d66393a01f73	HEAT_REJECTION_PUMPS
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	e960c9eb-f535-4bc9-a78b-4826032f2c49	VENTILATION
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	dc123ba4-a617-4e23-ac18-993eb5a5f61f	INFILTRATION
3bd0879f-9afd-4414-bce5-7d42a2bdf43f	90ba2602-fc25-47f4-aeda-a9c2ccaf3aa2	IT_LOAD
196e6ea3-8d99-43e1-a8df-b47f4318d06d	446a6e46-0c15-4cfe-af5f-2ee26d6b3463	SWITCHGEAR
196e6ea3-8d99-43e1-a8df-b47f4318d06d	bd7aa257-2b7f-40ce-a926-b19696c5562d	GENERATOR
196e6ea3-8d99-43e1-a8df-b47f4318d06d	dd83db8e-48dd-43d2-8cca-1c89500df41e	PRIMARY_AUXILIARIES
196e6ea3-8d99-43e1-a8df-b47f4318d06d	202ea5dd-b29f-4f08-a218-fa2d6db97d51	UPS
196e6ea3-8d99-43e1-a8df-b47f4318d06d	4b225963-4d56-44d3-a8df-44115c3e35f6	CRITICAL_AUXILIARIES
196e6ea3-8d99-43e1-a8df-b47f4318d06d	6bc2b4ed-18d1-46cf-8eb3-6120159ef32b	LIGHTING
196e6ea3-8d99-43e1-a8df-b47f4318d06d	d2fca109-2dcb-4c0c-a67e-9291f672c783	CRITICAL_POWER_DISTRIBUTION
196e6ea3-8d99-43e1-a8df-b47f4318d06d	11761731-d783-4967-8ff9-f9e55dbc0acf	CRAH
196e6ea3-8d99-43e1-a8df-b47f4318d06d	587ca754-ad51-4b1d-9779-1b7dc81f8091	CRAC
196e6ea3-8d99-43e1-a8df-b47f4318d06d	a4fea3dd-8036-42bd-8daf-dca9f7d435a5	CRAC_WITHOUT_FAN
196e6ea3-8d99-43e1-a8df-b47f4318d06d	9edadeb7-26c5-4f2b-9b73-bf74d587e7b3	CRAC_FAN
196e6ea3-8d99-43e1-a8df-b47f4318d06d	62c11411-376b-4ae6-b09a-16598c48ed88	CHILLER
196e6ea3-8d99-43e1-a8df-b47f4318d06d	2b02c19d-1e59-4d0e-abc4-fb72dc8f78fa	AIR_COOLED_CHILLER
196e6ea3-8d99-43e1-a8df-b47f4318d06d	bff2e8d8-d05f-4b8e-91b4-a6acc4536c44	COOLING_TOWER
196e6ea3-8d99-43e1-a8df-b47f4318d06d	8b43c40a-b1d8-4c98-9131-184582c55cb9	DRY_COOLER
196e6ea3-8d99-43e1-a8df-b47f4318d06d	ef87005e-2ef5-4149-a7ed-f1b5b73deeb2	REMOTE_CONDENSER
196e6ea3-8d99-43e1-a8df-b47f4318d06d	117cbe69-e96a-4cb5-922f-623ed99f2c89	CHILLED_WATER_PUMPS
196e6ea3-8d99-43e1-a8df-b47f4318d06d	f7f9b92a-70ff-4445-b260-b3be5e5be14f	HEAT_REJECTION_PUMPS
196e6ea3-8d99-43e1-a8df-b47f4318d06d	a4f04d2c-e9ac-40a4-874e-da0ae7c9059f	VENTILATION
196e6ea3-8d99-43e1-a8df-b47f4318d06d	dded45ef-7e2f-42cc-ab11-9812e3bda3d6	INFILTRATION
196e6ea3-8d99-43e1-a8df-b47f4318d06d	2724965c-59ba-40e0-a442-32529b8adbbc	IT_LOAD
eee944ca-75b6-41c9-9cbf-a33525130416	edeb6837-3ff9-4929-b351-995de16814e4	SWITCHGEAR
eee944ca-75b6-41c9-9cbf-a33525130416	f2c79254-c0c7-469b-a570-b9d06bf8179a	GENERATOR
eee944ca-75b6-41c9-9cbf-a33525130416	e83b4198-4e07-45e9-ad8a-dc5ab7c16188	PRIMARY_AUXILIARIES
eee944ca-75b6-41c9-9cbf-a33525130416	71d1bfa2-7dd0-4ba3-8584-707112278e41	UPS
eee944ca-75b6-41c9-9cbf-a33525130416	befd28e7-f948-4f53-9c74-e88c7c0bc9d7	CRITICAL_AUXILIARIES
eee944ca-75b6-41c9-9cbf-a33525130416	0459907a-f655-46b4-87df-0e72155658c6	LIGHTING
eee944ca-75b6-41c9-9cbf-a33525130416	a71e64e9-871e-46cf-a6d0-6074d2842571	CRITICAL_POWER_DISTRIBUTION
eee944ca-75b6-41c9-9cbf-a33525130416	b0104bf2-8129-4a28-876c-233ed7b789b0	CRAH
eee944ca-75b6-41c9-9cbf-a33525130416	fbc3249c-6ea9-4bf9-be80-93378b9a815f	CRAC
eee944ca-75b6-41c9-9cbf-a33525130416	64449d7f-0275-4e0a-8162-68950e869f2e	CRAC_WITHOUT_FAN
eee944ca-75b6-41c9-9cbf-a33525130416	69fe2f81-7280-4c8a-9cf4-c597929afffe	CRAC_FAN
eee944ca-75b6-41c9-9cbf-a33525130416	dfb0b35e-a491-4081-ac7a-6f513520f009	CHILLER
eee944ca-75b6-41c9-9cbf-a33525130416	7313a61c-f2d2-4e63-9c07-c4f6074548a5	AIR_COOLED_CHILLER
eee944ca-75b6-41c9-9cbf-a33525130416	c961c6f2-032c-41ca-a6ce-d92fd55262ee	COOLING_TOWER
eee944ca-75b6-41c9-9cbf-a33525130416	fe9b6bed-0897-4ed3-a257-655bc058e856	DRY_COOLER
eee944ca-75b6-41c9-9cbf-a33525130416	3ec17f89-7bb4-467d-984b-0af03eea6537	REMOTE_CONDENSER
eee944ca-75b6-41c9-9cbf-a33525130416	e9fa04a4-0aca-442c-a56b-5c3814afadcb	CHILLED_WATER_PUMPS
eee944ca-75b6-41c9-9cbf-a33525130416	025488e3-debb-4253-b623-eaace88d5709	HEAT_REJECTION_PUMPS
eee944ca-75b6-41c9-9cbf-a33525130416	2699f91f-95ab-4779-8ae9-92b6392ec520	VENTILATION
eee944ca-75b6-41c9-9cbf-a33525130416	0e67a39d-b092-409e-b4c3-5a8639408aa8	INFILTRATION
eee944ca-75b6-41c9-9cbf-a33525130416	489629ee-8bcb-4041-992b-6b7111769008	IT_LOAD
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	ce87fdea-efa6-4e7b-a198-4d591b86ae60	SWITCHGEAR
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	01f9fa28-b3ab-457a-ad67-e67a4e87c1bb	GENERATOR
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	739f693c-01fe-401f-ac1e-c79e64f4838f	PRIMARY_AUXILIARIES
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	3b28dba7-a050-46e6-8cb1-bd42395ba459	UPS
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	dca855ea-c6ef-4b24-9190-288ad2fcb439	CRITICAL_AUXILIARIES
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	f301c87e-f749-41ec-9b45-86bf388f0477	LIGHTING
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	c8040542-45ae-4977-9972-7be18446e5f8	CRITICAL_POWER_DISTRIBUTION
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	15a12f61-dbc3-4f50-9154-305e3ecde104	CRAH
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	eae7605d-4ed9-43a7-bdae-059c1140686a	CRAC
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	06cbe035-0abd-40f9-8a55-d5fae74e3b7b	CRAC_WITHOUT_FAN
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	86ce2bff-714c-45eb-a507-8a64fd1f07aa	CRAC_FAN
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	78c49081-eba9-430f-9864-88020ac89e1a	CHILLER
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	314934d3-2ae3-4d57-97fe-91ae3d62c7ee	AIR_COOLED_CHILLER
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	9e7ae8c6-42ca-438b-b35d-dceb75e697f6	COOLING_TOWER
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	892618ff-b7f8-4074-a3f6-750993bd4fdb	DRY_COOLER
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	97223632-bebd-4442-94aa-123be4ed358f	REMOTE_CONDENSER
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	3976f606-4d60-4efd-b608-84fcecb0aafa	CHILLED_WATER_PUMPS
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	406c76fc-869d-4245-8940-e8453f292def	HEAT_REJECTION_PUMPS
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	48642eb0-d82c-4bc1-9ef8-7240dda8d02a	VENTILATION
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	a25e0b80-31ec-4bcf-9d18-edd041c72f02	INFILTRATION
9b5e4c1c-0cf0-4cd1-b72f-279efbb30615	dc321cd0-3e6a-4415-82ef-0a331cc42779	IT_LOAD
31e09754-7d10-48b6-8aa1-56d24445ba23	7fd7c364-fcbe-4ad4-9d9d-4c5f223c4a95	SWITCHGEAR
31e09754-7d10-48b6-8aa1-56d24445ba23	be85cdf3-2939-4a7a-b56a-c7e67d05b7bb	GENERATOR
31e09754-7d10-48b6-8aa1-56d24445ba23	b7229046-2227-47b0-8533-1c84aacff672	PRIMARY_AUXILIARIES
31e09754-7d10-48b6-8aa1-56d24445ba23	12463ab4-4d2b-489c-bc32-e915324cd378	UPS
31e09754-7d10-48b6-8aa1-56d24445ba23	46e972ba-860c-4bf3-afa5-c81aa0bbd82f	CRITICAL_AUXILIARIES
31e09754-7d10-48b6-8aa1-56d24445ba23	62994973-bafa-4e36-aafa-0d179a275261	LIGHTING
31e09754-7d10-48b6-8aa1-56d24445ba23	12d0884a-b9ba-471d-a345-a8a3b59a8735	CRITICAL_POWER_DISTRIBUTION
31e09754-7d10-48b6-8aa1-56d24445ba23	e0106717-1544-4be6-8dee-b8f5898a8639	CRAH
31e09754-7d10-48b6-8aa1-56d24445ba23	ec345312-2f47-4f68-be8e-270475a21b7b	CRAC
31e09754-7d10-48b6-8aa1-56d24445ba23	912bdecd-e97d-4139-8971-dd5892cd73a8	CRAC_WITHOUT_FAN
31e09754-7d10-48b6-8aa1-56d24445ba23	bd270f05-6a24-4c2a-80ac-ad9e2d71a846	CRAC_FAN
31e09754-7d10-48b6-8aa1-56d24445ba23	6c776617-5050-4a79-92d2-75d0180c6764	CHILLER
31e09754-7d10-48b6-8aa1-56d24445ba23	c83f4dcf-b006-47bb-ae2e-1ddc4b770ff2	AIR_COOLED_CHILLER
31e09754-7d10-48b6-8aa1-56d24445ba23	f3c733cb-821d-46fa-94ab-9c286b9efa06	COOLING_TOWER
31e09754-7d10-48b6-8aa1-56d24445ba23	656a19f8-9b3c-41a1-b24b-b87983c4a817	DRY_COOLER
31e09754-7d10-48b6-8aa1-56d24445ba23	25cc6bb6-fe69-42f6-91f5-3652168842db	REMOTE_CONDENSER
31e09754-7d10-48b6-8aa1-56d24445ba23	84222923-262d-4790-9312-11a929dc9b01	CHILLED_WATER_PUMPS
31e09754-7d10-48b6-8aa1-56d24445ba23	f43c95e7-3171-40ec-b921-d5bd1b77426d	HEAT_REJECTION_PUMPS
31e09754-7d10-48b6-8aa1-56d24445ba23	d30767ea-febb-4af4-a82c-733b26dc7c8c	VENTILATION
31e09754-7d10-48b6-8aa1-56d24445ba23	73a5bec0-d6fc-4bfe-9f54-3a3bd19d9c40	INFILTRATION
31e09754-7d10-48b6-8aa1-56d24445ba23	41c3df20-eb06-43ce-bf98-5d86bfb0ce4b	IT_LOAD
b202d9da-f4d6-449f-ace9-76d4c8760c57	e8210b9a-2403-47b7-97df-45c26306ffe6	SWITCHGEAR
b202d9da-f4d6-449f-ace9-76d4c8760c57	46f5dd8c-c223-47d4-a6dc-0a518ece7a4d	GENERATOR
b202d9da-f4d6-449f-ace9-76d4c8760c57	b7eb0a20-6b39-4aea-b4cf-2ce5f39f17e2	PRIMARY_AUXILIARIES
b202d9da-f4d6-449f-ace9-76d4c8760c57	390d7a86-6af5-4079-9da8-a98f994f4e03	UPS
b202d9da-f4d6-449f-ace9-76d4c8760c57	24e996a3-4c74-4c6b-bcdf-ace0fbcd3499	CRITICAL_AUXILIARIES
b202d9da-f4d6-449f-ace9-76d4c8760c57	ad7307f4-eea1-40ca-97d8-f9ef99972bd4	LIGHTING
b202d9da-f4d6-449f-ace9-76d4c8760c57	2be3009e-9354-414b-b6da-a5597b2191b6	CRITICAL_POWER_DISTRIBUTION
b202d9da-f4d6-449f-ace9-76d4c8760c57	19d999d5-e876-472e-8a81-dc94efdf067b	CRAH
b202d9da-f4d6-449f-ace9-76d4c8760c57	cfcd9c10-ebfb-454c-a4c0-3455a3c68c03	CRAC
b202d9da-f4d6-449f-ace9-76d4c8760c57	f2c068e7-641c-403e-8931-1b1212e84878	CRAC_WITHOUT_FAN
b202d9da-f4d6-449f-ace9-76d4c8760c57	9bdf8ce4-e24e-4064-a86d-7e85798c5cde	CRAC_FAN
b202d9da-f4d6-449f-ace9-76d4c8760c57	8afbe543-9130-4396-b452-e5fbd1d53887	CHILLER
b202d9da-f4d6-449f-ace9-76d4c8760c57	37ef7624-faea-4c08-8c4c-c60b4da0e363	AIR_COOLED_CHILLER
b202d9da-f4d6-449f-ace9-76d4c8760c57	1a283226-5324-4993-88b9-ea6de48d3da3	COOLING_TOWER
b202d9da-f4d6-449f-ace9-76d4c8760c57	cb3be7d9-ffde-47f4-aeba-eb3a69ace1cb	DRY_COOLER
b202d9da-f4d6-449f-ace9-76d4c8760c57	36051e75-7460-435f-be5f-7d57ad8400e0	REMOTE_CONDENSER
b202d9da-f4d6-449f-ace9-76d4c8760c57	dbfae1c4-3b05-4b83-8abb-346de2e402bc	CHILLED_WATER_PUMPS
b202d9da-f4d6-449f-ace9-76d4c8760c57	e92e20fc-03c3-4b99-925d-bb05dc6167e6	HEAT_REJECTION_PUMPS
b202d9da-f4d6-449f-ace9-76d4c8760c57	443c7b81-663d-41a5-8f4e-0a3c0dbbb059	VENTILATION
b202d9da-f4d6-449f-ace9-76d4c8760c57	44f7545b-42de-4740-991a-7786bee2eb67	INFILTRATION
b202d9da-f4d6-449f-ace9-76d4c8760c57	a4c486e9-9eb9-4ee6-9154-358de2f78e85	IT_LOAD
3c88227e-db17-478c-83c8-7d24ee4dbad5	65f3b834-b6b6-45ff-9093-253afc6773cf	SWITCHGEAR
3c88227e-db17-478c-83c8-7d24ee4dbad5	e517485a-b17b-41cc-8757-60b32e4b341e	GENERATOR
3c88227e-db17-478c-83c8-7d24ee4dbad5	070534a0-12cf-47e0-9929-43e07846afcf	PRIMARY_AUXILIARIES
3c88227e-db17-478c-83c8-7d24ee4dbad5	de0b4696-3e25-4788-8bc4-dd0b8d490d61	UPS
3c88227e-db17-478c-83c8-7d24ee4dbad5	a146d924-352f-4a1e-a0ff-39d13678884c	CRITICAL_AUXILIARIES
3c88227e-db17-478c-83c8-7d24ee4dbad5	fef526a3-cfa1-4d3c-9278-704691a96023	LIGHTING
3c88227e-db17-478c-83c8-7d24ee4dbad5	a83a42dd-1d11-4615-b0b1-de56860f07fc	CRITICAL_POWER_DISTRIBUTION
3c88227e-db17-478c-83c8-7d24ee4dbad5	2f6a24ea-3a71-4bf5-933a-56d9311ef54b	CRAH
3c88227e-db17-478c-83c8-7d24ee4dbad5	ac80ad87-3366-45db-bc09-c31363b06bef	CRAC
3c88227e-db17-478c-83c8-7d24ee4dbad5	1c401634-1f79-4169-ad6e-c8fc65a65618	CRAC_WITHOUT_FAN
3c88227e-db17-478c-83c8-7d24ee4dbad5	a33ed099-7f45-4ab6-9a37-0cc4c39abb66	CRAC_FAN
3c88227e-db17-478c-83c8-7d24ee4dbad5	ac33fd58-1efe-4f2b-978e-2271e1ab49c3	CHILLER
3c88227e-db17-478c-83c8-7d24ee4dbad5	9d1ec776-c175-4042-b4a1-911a43d77cb6	AIR_COOLED_CHILLER
3c88227e-db17-478c-83c8-7d24ee4dbad5	478491c5-3c43-4191-976f-6ad7baee6adb	COOLING_TOWER
3c88227e-db17-478c-83c8-7d24ee4dbad5	d25c4306-ea92-4ac0-a7f8-1db01b3cc02f	DRY_COOLER
3c88227e-db17-478c-83c8-7d24ee4dbad5	f6aea1f3-3b90-44bc-bbc7-05cf5430f599	REMOTE_CONDENSER
3c88227e-db17-478c-83c8-7d24ee4dbad5	efd251e0-4f6f-45bf-a602-4a48eea8593c	CHILLED_WATER_PUMPS
3c88227e-db17-478c-83c8-7d24ee4dbad5	8717a22e-c25c-4f09-ab31-d3b1beeb30be	HEAT_REJECTION_PUMPS
3c88227e-db17-478c-83c8-7d24ee4dbad5	6ceac040-71c4-4da8-8576-5de9c0a1a61b	VENTILATION
3c88227e-db17-478c-83c8-7d24ee4dbad5	e98ef13f-b50c-4720-8d58-bfbf02c8d983	INFILTRATION
3c88227e-db17-478c-83c8-7d24ee4dbad5	f1eb499e-defd-4a04-a072-024f20121e13	IT_LOAD
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	28867ba1-b600-481f-9ff9-71b3bfa144a9	SWITCHGEAR
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	9ed8b763-16cb-44a4-b20f-031fc32ec61f	GENERATOR
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	58b5821d-3539-4886-a2df-bac15dc44601	PRIMARY_AUXILIARIES
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	ceb4c96a-2472-4c87-be25-c7eda3a89969	UPS
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	c89f1bda-336d-4492-8222-549770639613	CRITICAL_AUXILIARIES
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	9c3cff54-6c5e-408a-860a-7b9f0c1f1354	LIGHTING
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	95a5c76b-7c26-4ca0-982d-7abdea915de0	CRITICAL_POWER_DISTRIBUTION
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	aee37431-73c1-4061-bf63-a799afca359f	CRAH
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	533cbb65-91ab-41df-8f28-1b0326cab9f4	CRAC
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	9c833552-dc33-4c13-96f3-2c2b86927ef0	CRAC_WITHOUT_FAN
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	fbf72145-5706-4711-91a3-4885310fb548	CRAC_FAN
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	bf599b6d-4f23-4b8a-a033-248f56117d61	CHILLER
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	a890c7dd-251f-4816-a3b2-3b89ce75af9b	AIR_COOLED_CHILLER
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	8fffad2d-f613-42e4-9f58-3745eb571e16	COOLING_TOWER
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	ac6e017d-c968-4d23-a665-89c725485826	DRY_COOLER
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	701b7bf4-2a6b-4e88-a817-b77b012bf611	REMOTE_CONDENSER
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	48692e6f-08d8-4ebf-a22e-eacbc370d64d	CHILLED_WATER_PUMPS
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	a49bfd87-7c30-4ad0-afa2-34f0386bd636	HEAT_REJECTION_PUMPS
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	aff6f969-b1e7-4b5f-950b-ad38ebc652bd	VENTILATION
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	3632fb67-cc87-47fa-807d-639e475fb601	INFILTRATION
05b1a5ee-f151-4c54-bee0-e2e88a746bfc	15b50b6b-25ae-4f84-82b5-25f142841368	IT_LOAD
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	7d0ea871-34a8-4afd-9086-86a44ed7441b	SWITCHGEAR
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	903c93f1-9014-4ef7-b576-fe93458580cb	GENERATOR
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	23cde560-e3d3-4a43-9bcd-7c9ae5f06ae6	PRIMARY_AUXILIARIES
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	1ed46659-67e6-45a2-a75f-1fd507944f95	UPS
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	b5b10466-6724-4b59-aedf-3c2c6201806f	CRITICAL_AUXILIARIES
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	43590074-6cca-4541-8be6-3cd54137cad6	LIGHTING
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	3d899e0e-511b-427b-aff7-444a90fd7375	CRITICAL_POWER_DISTRIBUTION
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	2485ec01-c2b2-4ba6-8b3e-4c0d3eb848f8	CRAH
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	4c2eebb2-1b2d-4b18-b30d-c92b23f833da	CRAC
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	bea19d21-78a3-458a-ae93-39e04dfd40ea	CRAC_WITHOUT_FAN
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	18e3b966-00e1-4b97-aae9-a1a1d7283010	CRAC_FAN
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	ac3c6c2e-2cc7-4238-81b3-a58223abe77d	CHILLER
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	63242628-3a35-4811-8002-7d1eb2b08461	AIR_COOLED_CHILLER
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	893adbc0-871b-44b6-8856-a869e4c50b8a	COOLING_TOWER
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	d5f421b5-3722-44d5-9020-a66aa60cd179	DRY_COOLER
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	7b482131-3884-4b01-9102-f45e3a559ea7	REMOTE_CONDENSER
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	b3f2936d-3414-4e72-bc72-682c4adbc9ea	CHILLED_WATER_PUMPS
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	43c8b024-5f8a-419c-9ba2-ca43d2fe62f9	HEAT_REJECTION_PUMPS
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	a762c8d7-3261-43fd-8394-fbbe977c29e2	VENTILATION
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	999e3609-d366-427f-af78-3d6bc699a44b	INFILTRATION
c54c02e7-1da6-42e9-8cb6-7f8c4429d6d4	d1772a8a-cc2b-430a-9970-0973463f4e20	IT_LOAD
d4edd906-eb15-4b7d-bdef-f462ac285347	73ea76f2-eacc-4b33-8e0a-fd571ca715d2	SWITCHGEAR
d4edd906-eb15-4b7d-bdef-f462ac285347	09b8da3f-91c7-498a-9a81-8b61bd96a164	GENERATOR
d4edd906-eb15-4b7d-bdef-f462ac285347	af52ee95-f65d-4788-bae9-b34f437758b9	PRIMARY_AUXILIARIES
d4edd906-eb15-4b7d-bdef-f462ac285347	460cdf92-3575-4e15-901c-4557172ee62f	UPS
d4edd906-eb15-4b7d-bdef-f462ac285347	8e603134-3bd6-4be0-82fc-7309a5303983	CRITICAL_AUXILIARIES
d4edd906-eb15-4b7d-bdef-f462ac285347	3f8c4c16-4001-49fa-8c62-3717b1ca7d30	LIGHTING
d4edd906-eb15-4b7d-bdef-f462ac285347	f4777a3f-b0d1-4f58-88b1-fdf0ceed4665	CRITICAL_POWER_DISTRIBUTION
d4edd906-eb15-4b7d-bdef-f462ac285347	bba8b793-b3e1-49ce-8ca9-ed25beb61be4	CRAH
d4edd906-eb15-4b7d-bdef-f462ac285347	4ec1fa60-d5d8-4240-a549-a072675e5435	CRAC
d4edd906-eb15-4b7d-bdef-f462ac285347	8aeaa40c-55d1-46fb-aa71-1b45db2f2abc	CRAC_WITHOUT_FAN
d4edd906-eb15-4b7d-bdef-f462ac285347	4abeb71f-ba27-4f13-bc14-a3d72bf7f7eb	CRAC_FAN
d4edd906-eb15-4b7d-bdef-f462ac285347	9670eeb9-5ca8-46f8-a707-6cbdd06a0e38	CHILLER
d4edd906-eb15-4b7d-bdef-f462ac285347	14cb65d3-9cd1-4dcf-a8e0-737aceb2450a	AIR_COOLED_CHILLER
d4edd906-eb15-4b7d-bdef-f462ac285347	37c4c29c-1182-4e92-84c4-63395597f2ce	COOLING_TOWER
d4edd906-eb15-4b7d-bdef-f462ac285347	fa6321c4-75a5-45b4-94e4-dbe08fed3b06	DRY_COOLER
d4edd906-eb15-4b7d-bdef-f462ac285347	44953ee5-4db0-4552-a57c-18ff12b5a54f	REMOTE_CONDENSER
d4edd906-eb15-4b7d-bdef-f462ac285347	3061f773-7fe2-4868-974f-b9b78d2c6853	CHILLED_WATER_PUMPS
d4edd906-eb15-4b7d-bdef-f462ac285347	98daa2ed-5b37-4df4-a6d1-c8b6d9cd63c0	HEAT_REJECTION_PUMPS
d4edd906-eb15-4b7d-bdef-f462ac285347	9c000e29-98c8-4967-bbaa-3ccced99a55f	VENTILATION
d4edd906-eb15-4b7d-bdef-f462ac285347	7fe2b970-0bce-4737-8293-731ddab34e5d	INFILTRATION
d4edd906-eb15-4b7d-bdef-f462ac285347	2a647517-46c5-4618-a6dc-12349cef4a0c	IT_LOAD
5302704c-42c5-42bb-acea-4d3fe68723b1	0955bb93-8acf-45c8-930c-a3f29fd23edd	SWITCHGEAR
5302704c-42c5-42bb-acea-4d3fe68723b1	85c0307a-94cd-48bd-980a-c79b65263dfa	GENERATOR
5302704c-42c5-42bb-acea-4d3fe68723b1	80c5bd3a-43cc-4aaf-b0b6-d86720063145	PRIMARY_AUXILIARIES
5302704c-42c5-42bb-acea-4d3fe68723b1	bec985a5-4dfb-41d9-acb2-d016032330e4	UPS
5302704c-42c5-42bb-acea-4d3fe68723b1	3871fd3f-148d-4ae8-a18a-6a9fc550f651	CRITICAL_AUXILIARIES
5302704c-42c5-42bb-acea-4d3fe68723b1	8d5a9641-a329-4f4f-83c0-8dfb14e23bf7	LIGHTING
5302704c-42c5-42bb-acea-4d3fe68723b1	67f1eea5-1631-4700-bf3e-63e0db62dc4a	CRITICAL_POWER_DISTRIBUTION
5302704c-42c5-42bb-acea-4d3fe68723b1	dbec2cf1-76cb-42eb-9b65-628b2b0a7203	CRAH
5302704c-42c5-42bb-acea-4d3fe68723b1	7fc75658-db2c-4ce3-ac7b-69db447c08ac	CRAC
5302704c-42c5-42bb-acea-4d3fe68723b1	3476851c-60d0-4723-9444-068cd6b3fe67	CRAC_WITHOUT_FAN
5302704c-42c5-42bb-acea-4d3fe68723b1	762bbad3-e92c-405c-9401-91fc1ad77114	CRAC_FAN
5302704c-42c5-42bb-acea-4d3fe68723b1	e1397360-d5dc-4f81-9def-99e4de97191c	CHILLER
5302704c-42c5-42bb-acea-4d3fe68723b1	1d318e9e-d961-4322-9269-02359af9fde8	AIR_COOLED_CHILLER
5302704c-42c5-42bb-acea-4d3fe68723b1	3918231c-4514-4861-9744-266fc2636654	COOLING_TOWER
5302704c-42c5-42bb-acea-4d3fe68723b1	c8276f6c-b157-4c68-9870-5c77d64126c5	DRY_COOLER
5302704c-42c5-42bb-acea-4d3fe68723b1	0e910932-f41f-4627-9a3d-e9f9c7ffb452	REMOTE_CONDENSER
5302704c-42c5-42bb-acea-4d3fe68723b1	80223f4e-4361-4932-94bd-ae35ce809c47	CHILLED_WATER_PUMPS
5302704c-42c5-42bb-acea-4d3fe68723b1	f81f6528-9515-4e09-8a98-a6b89758a1e8	HEAT_REJECTION_PUMPS
5302704c-42c5-42bb-acea-4d3fe68723b1	bae006d9-de7e-48b6-9a13-e28d70c6e2ef	VENTILATION
5302704c-42c5-42bb-acea-4d3fe68723b1	3c8284c5-7ce8-4c97-8b1e-c8c611a5d81f	INFILTRATION
5302704c-42c5-42bb-acea-4d3fe68723b1	f92e6d64-3421-4f5d-b88f-0b6a5554fab3	IT_LOAD
03769fbe-5f42-4727-bf81-4520e14ad7a6	e1be262a-f3b1-41dc-8b60-a42ce8bb4b47	SWITCHGEAR
03769fbe-5f42-4727-bf81-4520e14ad7a6	3d0f7be8-c350-4247-a8b7-d3c20b60eeda	GENERATOR
03769fbe-5f42-4727-bf81-4520e14ad7a6	5f3f8250-069c-4740-9296-1e7dced8b6ed	PRIMARY_AUXILIARIES
03769fbe-5f42-4727-bf81-4520e14ad7a6	dba83852-942e-4de8-94d8-9ffadadc9210	UPS
03769fbe-5f42-4727-bf81-4520e14ad7a6	50b36ab9-45a2-4c7f-b64b-6a40e3e3602b	CRITICAL_AUXILIARIES
03769fbe-5f42-4727-bf81-4520e14ad7a6	b611e9b5-11fc-488b-8749-e78dcc90beec	LIGHTING
03769fbe-5f42-4727-bf81-4520e14ad7a6	20a8b5e0-8918-4a70-b71e-56183bcdc0e6	CRITICAL_POWER_DISTRIBUTION
03769fbe-5f42-4727-bf81-4520e14ad7a6	8a9e9135-45be-46a9-98a9-2ece6301e2a4	CRAH
03769fbe-5f42-4727-bf81-4520e14ad7a6	d60a620c-e127-450f-a5a7-05aed4e63635	CRAC
03769fbe-5f42-4727-bf81-4520e14ad7a6	afca306a-9707-498a-80c5-173d3f24b750	CRAC_WITHOUT_FAN
03769fbe-5f42-4727-bf81-4520e14ad7a6	1dabc29c-268e-4446-bcee-36b17729db60	CRAC_FAN
03769fbe-5f42-4727-bf81-4520e14ad7a6	5af5ca50-90a8-4beb-ac95-7a0c4af727f5	CHILLER
03769fbe-5f42-4727-bf81-4520e14ad7a6	64ae5283-9f0e-4dd4-bd05-ea26c045a433	AIR_COOLED_CHILLER
03769fbe-5f42-4727-bf81-4520e14ad7a6	bc87a5d7-a2e6-4587-a4e1-83d7cd506b4e	COOLING_TOWER
03769fbe-5f42-4727-bf81-4520e14ad7a6	8c9afe64-9e5d-4dc3-b9ca-5102c34a9ad4	DRY_COOLER
03769fbe-5f42-4727-bf81-4520e14ad7a6	e0dbd793-a9a2-4ae4-8238-2ba93810c78d	REMOTE_CONDENSER
03769fbe-5f42-4727-bf81-4520e14ad7a6	337f3a60-494b-44d1-bd67-228cb35afb9e	CHILLED_WATER_PUMPS
03769fbe-5f42-4727-bf81-4520e14ad7a6	56322d2e-94b9-43c9-95ad-ba4b36fcb160	HEAT_REJECTION_PUMPS
03769fbe-5f42-4727-bf81-4520e14ad7a6	78fcefd5-dbd9-4e49-99ba-f202ae5f1708	VENTILATION
03769fbe-5f42-4727-bf81-4520e14ad7a6	7f190772-a3f8-4201-af66-acd377c7c06c	INFILTRATION
03769fbe-5f42-4727-bf81-4520e14ad7a6	b6e7fcec-f187-4231-9d8b-905feb1d1b3b	IT_LOAD
5880e271-2c4b-4af3-b18e-448b643d59bc	0184b54b-a130-476e-b832-761b456e7dd6	SWITCHGEAR
5880e271-2c4b-4af3-b18e-448b643d59bc	644daac1-821d-40b4-a0fb-33ef065de9af	GENERATOR
5880e271-2c4b-4af3-b18e-448b643d59bc	6d25b0b2-c35f-4495-8743-b5b04f90c0ae	PRIMARY_AUXILIARIES
5880e271-2c4b-4af3-b18e-448b643d59bc	41514c6a-bbe7-4430-acd2-845e32d8ef41	UPS
5880e271-2c4b-4af3-b18e-448b643d59bc	255d1f8e-0d71-4bfd-8961-dd887a0672e4	CRITICAL_AUXILIARIES
5880e271-2c4b-4af3-b18e-448b643d59bc	9e4e1ec9-f38c-4f01-9c2d-3ce05b87887d	LIGHTING
5880e271-2c4b-4af3-b18e-448b643d59bc	146da5db-8f9e-4554-b605-e8b9993546c9	CRITICAL_POWER_DISTRIBUTION
5880e271-2c4b-4af3-b18e-448b643d59bc	d2099f95-7095-44ef-a8ea-a2efe810274e	CRAH
5880e271-2c4b-4af3-b18e-448b643d59bc	8575a376-d62a-413f-b4fe-bdf1cf48ba43	CRAC
5880e271-2c4b-4af3-b18e-448b643d59bc	40911bd7-4282-4ede-bf99-e2eec73459ac	CRAC_WITHOUT_FAN
5880e271-2c4b-4af3-b18e-448b643d59bc	5ea59dce-30ae-40b1-a732-821f0202b673	CRAC_FAN
5880e271-2c4b-4af3-b18e-448b643d59bc	d88ed459-4035-44c4-9fdc-389a94446f97	CHILLER
5880e271-2c4b-4af3-b18e-448b643d59bc	f7485259-d76f-4b9e-b314-9cdc2d961458	AIR_COOLED_CHILLER
5880e271-2c4b-4af3-b18e-448b643d59bc	8e66f770-2f99-472d-b524-7ee5810cb524	COOLING_TOWER
5880e271-2c4b-4af3-b18e-448b643d59bc	dd1f3874-e45c-4181-9cba-42401f65edb3	DRY_COOLER
5880e271-2c4b-4af3-b18e-448b643d59bc	3961b3bb-8ed9-44b1-9c42-f5fadd730508	REMOTE_CONDENSER
5880e271-2c4b-4af3-b18e-448b643d59bc	e26a2fcd-0083-42c8-a63d-606d44f7089e	CHILLED_WATER_PUMPS
5880e271-2c4b-4af3-b18e-448b643d59bc	73c9ad72-ffde-4dbc-9644-de08d1fdb5c8	HEAT_REJECTION_PUMPS
5880e271-2c4b-4af3-b18e-448b643d59bc	04448c38-f8ad-454c-b5ae-a1e91545b43e	VENTILATION
5880e271-2c4b-4af3-b18e-448b643d59bc	b6de3b57-e618-42cb-b4e1-826ef278671b	INFILTRATION
5880e271-2c4b-4af3-b18e-448b643d59bc	f8851021-741b-444e-983c-f24c39f46366	IT_LOAD
bfca05bf-2727-43af-96eb-b56c53980ec2	eba43655-9c83-4801-b3f1-8ae8440ecd04	SWITCHGEAR
bfca05bf-2727-43af-96eb-b56c53980ec2	16e331f4-6d52-4ff8-82d0-76d69b6467a8	GENERATOR
bfca05bf-2727-43af-96eb-b56c53980ec2	d8b9d9fa-d4f9-4ea6-a412-054f91707f57	PRIMARY_AUXILIARIES
bfca05bf-2727-43af-96eb-b56c53980ec2	582efb42-a6c9-41a8-9b0b-009ddab9b739	UPS
bfca05bf-2727-43af-96eb-b56c53980ec2	3ffcbf58-8959-481e-8b18-e80a9fc8d85f	CRITICAL_AUXILIARIES
bfca05bf-2727-43af-96eb-b56c53980ec2	26eb2070-8f7e-47e7-9106-499d68ecbd9a	LIGHTING
bfca05bf-2727-43af-96eb-b56c53980ec2	192446d4-cdf4-4b2d-a17a-b171a46b07ad	CRITICAL_POWER_DISTRIBUTION
bfca05bf-2727-43af-96eb-b56c53980ec2	3b66bb25-3a21-4a93-8ad2-bf4d16d5b0df	CRAH
bfca05bf-2727-43af-96eb-b56c53980ec2	1819b0d1-2ca7-40c9-81be-98a7fbfb3436	CRAC
bfca05bf-2727-43af-96eb-b56c53980ec2	11841d53-4e23-43ee-8e95-05f38dc15bdb	CRAC_WITHOUT_FAN
bfca05bf-2727-43af-96eb-b56c53980ec2	cee06be2-631b-41fc-9d99-047fb34f406b	CRAC_FAN
bfca05bf-2727-43af-96eb-b56c53980ec2	5d6d0441-5e5f-401e-ac89-5680cef0c1da	CHILLER
bfca05bf-2727-43af-96eb-b56c53980ec2	2f8823c4-f36b-4b4c-8a7f-4eb2c8d2d814	AIR_COOLED_CHILLER
bfca05bf-2727-43af-96eb-b56c53980ec2	f4216e9f-6f80-46d4-92f1-bdba3e3d8b1b	COOLING_TOWER
bfca05bf-2727-43af-96eb-b56c53980ec2	0fa0c0c0-8789-4e42-aea1-63e857e370d0	DRY_COOLER
bfca05bf-2727-43af-96eb-b56c53980ec2	8a475144-317c-43ef-8968-2943848dd817	REMOTE_CONDENSER
bfca05bf-2727-43af-96eb-b56c53980ec2	d90c3710-a6b6-4d11-87d0-f7eea511a0ab	CHILLED_WATER_PUMPS
bfca05bf-2727-43af-96eb-b56c53980ec2	9e7a63cb-63f1-424b-98d7-167ef87c667d	HEAT_REJECTION_PUMPS
bfca05bf-2727-43af-96eb-b56c53980ec2	b790a126-3cb8-4a89-9b02-b4251a80cf1b	VENTILATION
bfca05bf-2727-43af-96eb-b56c53980ec2	78e5b96e-6984-4fbe-b2a9-f51d684ad704	INFILTRATION
bfca05bf-2727-43af-96eb-b56c53980ec2	86b688f5-5989-44cd-a4f0-dba1edcc45c0	IT_LOAD
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	a181cfbc-efc5-4062-9987-4ca48a3374c1	SWITCHGEAR
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	a55a9409-a68f-4e77-838d-06ee7467af8c	GENERATOR
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	e7bc6fe6-b8c6-4212-ad91-810f6d35626f	PRIMARY_AUXILIARIES
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	6950ea01-fc0d-4f55-b13d-f3f55e33cd70	UPS
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	2074fd08-b7f2-4c0d-87a0-e5bb19803618	CRITICAL_AUXILIARIES
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	4fd8513a-a07c-400e-acb2-ae078f1b6d66	LIGHTING
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	a6f4ad14-d809-4cca-a3f7-7494acc950c7	CRITICAL_POWER_DISTRIBUTION
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	a5f691ef-ffe5-46ca-9345-5f1c6dd128de	CRAH
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	11e575c5-3823-4d26-a8f1-75456996a8c2	CRAC
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	9a2bc027-49c0-410f-8ccc-8cab75e22027	CRAC_WITHOUT_FAN
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	18996a41-0539-484b-8318-c845bd804c0c	CRAC_FAN
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	17d3bd6f-ea11-4226-ab62-5b2e9f47ab0c	CHILLER
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	34d48839-a211-4564-93aa-02aa5e263098	AIR_COOLED_CHILLER
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	81329687-bd94-4fac-9032-0eb25ac25d80	COOLING_TOWER
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	9baf255d-ef3e-4435-b66e-da7426954441	DRY_COOLER
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	eb35748f-666d-414d-9269-cf380862d62c	REMOTE_CONDENSER
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	aed0449a-31cb-4b25-9498-6d1581d9e47c	CHILLED_WATER_PUMPS
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	de895470-de72-4d84-8a23-4ecb36ce77ea	HEAT_REJECTION_PUMPS
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	47d43503-5085-4eff-ab11-a76d10cb5d15	VENTILATION
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	4ef16b97-6f82-48fd-8ab7-f1ddd96cad7b	INFILTRATION
dccdc9a7-6aa5-4a24-8b28-ed22a986eec8	21ab0915-7912-4239-9bf8-10e9eafc5a47	IT_LOAD
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	165a319e-ce5e-4561-86a4-84e2aff4c797	SWITCHGEAR
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	ee03f473-0f5f-409f-9699-6a55542c7049	GENERATOR
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	dcda93ca-6f49-4064-aeb0-f0d0d39ef0ad	PRIMARY_AUXILIARIES
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	86fb7b3b-14d9-4f6f-ad74-e088803b6c37	UPS
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	61e29994-e4fb-4942-81d8-9abe1240df48	CRITICAL_AUXILIARIES
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	6bd7584c-85c5-41be-9624-e1c14e711043	LIGHTING
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	ac461fab-3945-46cd-8ba6-99beece7749a	CRITICAL_POWER_DISTRIBUTION
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	fbb0b064-c490-437f-aa04-875417d2497f	CRAH
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	7ae8c86b-72e5-4376-b66f-35a47a75367f	CRAC
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	344213e6-902e-4769-aa52-05e39d9d499b	CRAC_WITHOUT_FAN
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	b7327df6-57de-4f98-bb37-7339cb099b2b	CRAC_FAN
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	b5057a40-f729-42ce-ab54-c4153195d7ca	CHILLER
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	a693935e-7e92-4530-b3b2-3e5bafc763f1	AIR_COOLED_CHILLER
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	35b765c3-2cde-47e7-b2f9-87632251e095	COOLING_TOWER
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	961beba1-abba-43f1-9a2c-b17ae8a137f9	DRY_COOLER
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	1ba78181-bb04-4147-a620-8f2bc3eab7db	REMOTE_CONDENSER
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	142ab472-78a8-48fa-a96b-e4d171c9be38	CHILLED_WATER_PUMPS
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	8728f8f4-3bec-4a7c-a101-415c5d03ea81	HEAT_REJECTION_PUMPS
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	083ef5de-df5d-4019-ad28-79442ab5898f	VENTILATION
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	3e63cf0d-ffa4-4531-96c9-388e106fd164	INFILTRATION
8f8a8cb4-1b5c-4993-a9c8-37eb6d3ef975	ad10fd04-44e9-49ea-99ca-540b75f4881d	IT_LOAD
32a4ab95-9025-43ac-95c9-b11110fd1151	3e2c8d0f-eedd-4469-82fa-e76d2c4a12ea	SWITCHGEAR
32a4ab95-9025-43ac-95c9-b11110fd1151	d303ef3c-de6a-493a-bec2-dcbae92690e3	GENERATOR
32a4ab95-9025-43ac-95c9-b11110fd1151	30afdac8-ec19-4db4-a636-10e5964896ed	PRIMARY_AUXILIARIES
32a4ab95-9025-43ac-95c9-b11110fd1151	cf4feba1-eeb0-4761-91db-9e1589d10ec4	UPS
32a4ab95-9025-43ac-95c9-b11110fd1151	fd303060-e76f-4658-8aa9-25f4c205aaef	CRITICAL_AUXILIARIES
32a4ab95-9025-43ac-95c9-b11110fd1151	e2684a38-f8d2-4698-85f2-93da1302a215	LIGHTING
32a4ab95-9025-43ac-95c9-b11110fd1151	167f672f-10c8-4b61-845c-2fd4143e8fc1	CRITICAL_POWER_DISTRIBUTION
32a4ab95-9025-43ac-95c9-b11110fd1151	dcdce889-5db8-4916-9ed4-d36f989fa1f9	CRAH
32a4ab95-9025-43ac-95c9-b11110fd1151	8c307899-6ec4-4b4d-863e-7f30d640314f	CRAC
32a4ab95-9025-43ac-95c9-b11110fd1151	7c402923-d9b8-4b13-b8ae-bdd01a2326bb	CRAC_WITHOUT_FAN
32a4ab95-9025-43ac-95c9-b11110fd1151	0af66cd9-f5cf-4893-9805-824cd14e8f3a	CRAC_FAN
32a4ab95-9025-43ac-95c9-b11110fd1151	30963f92-2233-422a-8fe6-fa2023f91303	CHILLER
32a4ab95-9025-43ac-95c9-b11110fd1151	957f3589-eb35-492c-a84d-925f958caa62	AIR_COOLED_CHILLER
32a4ab95-9025-43ac-95c9-b11110fd1151	741a14e2-149c-41d2-8a30-0f0fd4b5b002	COOLING_TOWER
32a4ab95-9025-43ac-95c9-b11110fd1151	445fbda8-40ac-4166-b250-8304b7a5d667	DRY_COOLER
32a4ab95-9025-43ac-95c9-b11110fd1151	c9fdbb3e-c8f1-498b-992a-c77ccb73673e	REMOTE_CONDENSER
32a4ab95-9025-43ac-95c9-b11110fd1151	1c4ff755-69ab-492b-b592-9b6c46477b35	CHILLED_WATER_PUMPS
32a4ab95-9025-43ac-95c9-b11110fd1151	0f7455d8-6db7-43c6-86be-6b4a129fd4aa	HEAT_REJECTION_PUMPS
32a4ab95-9025-43ac-95c9-b11110fd1151	99a53cf8-cb4e-434a-9371-50258b8db1cb	VENTILATION
32a4ab95-9025-43ac-95c9-b11110fd1151	1728bed2-9711-4a23-9754-0ea102dbe828	INFILTRATION
32a4ab95-9025-43ac-95c9-b11110fd1151	e607c9bb-0c21-4510-9a74-d8b5123debda	IT_LOAD
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	2bed00b8-d4f3-48ef-b71b-52c7b0c39a1e	SWITCHGEAR
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	10a0bc80-7889-4add-8559-6cbf41701b25	GENERATOR
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	5628637d-7b99-4266-9c89-0fd00e2cc4fe	PRIMARY_AUXILIARIES
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	e18c855d-9024-4cfa-a9a9-77c331585d51	UPS
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	c674a095-5ec3-4261-8fa8-962f910994d5	CRITICAL_AUXILIARIES
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	91df3cef-6ff8-42fa-ac25-5a24e0a05e35	LIGHTING
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	1ca1a993-a848-45ac-b64c-c611ad67dfe8	CRITICAL_POWER_DISTRIBUTION
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	bb1a8833-3582-4680-a87f-863a3194b751	CRAH
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	1623dfe6-f07d-46da-967f-afccc0de3d25	CRAC
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	3de71944-ba44-41c2-a4cb-7f4b6e7cebd5	CRAC_WITHOUT_FAN
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	9aef032f-0d6c-4f9a-abc7-0349b420e5d4	CRAC_FAN
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	08966d99-a78e-4aaa-b7c0-b371cabb8470	CHILLER
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	e90415c4-7de4-48d3-99b3-c30acb0ef0f5	AIR_COOLED_CHILLER
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	d50d6433-93e9-48c4-8ada-2dd8c388de35	COOLING_TOWER
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	001d9895-23b9-4131-9a5a-5c23417d0ae3	DRY_COOLER
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	9ffc9459-9c55-487c-92b4-4e2e04d464d5	REMOTE_CONDENSER
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	43149b0a-d6b7-452d-b5f6-1f1de7b5562c	CHILLED_WATER_PUMPS
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	bb5c25de-934f-4581-b242-0706339dec0e	HEAT_REJECTION_PUMPS
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	2d305509-6516-41d2-9218-8011e981fa01	VENTILATION
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	3e31c76c-7039-4fdf-9474-db31707c8184	INFILTRATION
fbe0ffe5-e5f8-4346-8a05-66ebaf725eb2	e66154ce-0b73-418f-a5c0-7cdfb8709f76	IT_LOAD
8f41f534-512c-413c-9b06-19a998a6d018	b212be46-df6a-496d-9758-6021ba2a74f8	SWITCHGEAR
8f41f534-512c-413c-9b06-19a998a6d018	f3131a7d-065f-4129-adbe-a3f683bbc4e6	GENERATOR
8f41f534-512c-413c-9b06-19a998a6d018	d65fd342-9748-47d4-96bc-b85d061c6209	PRIMARY_AUXILIARIES
8f41f534-512c-413c-9b06-19a998a6d018	18dafb05-e50d-494e-a01a-145bad9182a3	UPS
8f41f534-512c-413c-9b06-19a998a6d018	095f64dd-1a12-4d45-b2de-661e9138b406	CRITICAL_AUXILIARIES
8f41f534-512c-413c-9b06-19a998a6d018	98b9acd4-2b98-4853-951c-2e30c3930243	LIGHTING
8f41f534-512c-413c-9b06-19a998a6d018	1e66d489-70f9-40bb-bbcc-e5becbb5b7e2	CRITICAL_POWER_DISTRIBUTION
8f41f534-512c-413c-9b06-19a998a6d018	bfc7f52b-6f54-4902-9613-25ae3248da98	CRAH
8f41f534-512c-413c-9b06-19a998a6d018	57192740-bb33-4c05-82f8-27339b3acf6f	CRAC
8f41f534-512c-413c-9b06-19a998a6d018	1a687c5e-4443-4e39-a530-bbe514a530e2	CRAC_WITHOUT_FAN
8f41f534-512c-413c-9b06-19a998a6d018	15e8d1d1-43d1-4320-bffd-1e2c6f77ca5c	CRAC_FAN
8f41f534-512c-413c-9b06-19a998a6d018	5abd32f0-3353-46c0-a57f-7e2a13c879f1	CHILLER
8f41f534-512c-413c-9b06-19a998a6d018	7654ce77-877f-4082-816b-fa1a6a88b7a6	AIR_COOLED_CHILLER
8f41f534-512c-413c-9b06-19a998a6d018	9ade04c8-d706-4ea8-9ff4-33cf3ef54489	COOLING_TOWER
8f41f534-512c-413c-9b06-19a998a6d018	cf105c27-ea49-4c1a-a3fd-4ed2d353af8e	DRY_COOLER
8f41f534-512c-413c-9b06-19a998a6d018	03794fb0-cb2a-4b18-8561-927f21913d8d	REMOTE_CONDENSER
8f41f534-512c-413c-9b06-19a998a6d018	9ae11c3b-8e24-43f1-a2d5-61384ed0c908	CHILLED_WATER_PUMPS
8f41f534-512c-413c-9b06-19a998a6d018	f00c691a-3dd1-493e-b951-eb7b9554685c	HEAT_REJECTION_PUMPS
8f41f534-512c-413c-9b06-19a998a6d018	486654ed-2796-4189-87a7-ee211c84cf76	VENTILATION
8f41f534-512c-413c-9b06-19a998a6d018	a2aaa74c-a75f-4955-a9e4-d9d4d1f0a17f	INFILTRATION
8f41f534-512c-413c-9b06-19a998a6d018	c39133af-6cc7-45aa-8d5e-e6566f6764d7	IT_LOAD
dec45b4c-c070-4f9f-a6f6-83515329f5fc	cafe4bc5-f6ab-4a28-87a6-5bdd4df98ac2	SWITCHGEAR
dec45b4c-c070-4f9f-a6f6-83515329f5fc	01feb5c7-7c7e-48fc-9a2d-d3fd261234ea	GENERATOR
dec45b4c-c070-4f9f-a6f6-83515329f5fc	843ad63a-38fe-461d-82bd-eb9971a92ab7	PRIMARY_AUXILIARIES
dec45b4c-c070-4f9f-a6f6-83515329f5fc	5309f8f8-35ed-4a62-a670-19115de58306	UPS
dec45b4c-c070-4f9f-a6f6-83515329f5fc	590a45e1-efae-4460-99ca-1afab40ae652	CRITICAL_AUXILIARIES
dec45b4c-c070-4f9f-a6f6-83515329f5fc	9d2cf8e2-9481-4ed3-9adf-47580690cb56	LIGHTING
dec45b4c-c070-4f9f-a6f6-83515329f5fc	9c649590-34e0-46c1-bfec-6e1d3bcb7032	CRITICAL_POWER_DISTRIBUTION
dec45b4c-c070-4f9f-a6f6-83515329f5fc	7e5b1680-4562-4929-afa0-f2aba8fd9142	CRAH
dec45b4c-c070-4f9f-a6f6-83515329f5fc	23e58590-ae23-4a35-b6f9-704a287cb822	CRAC
dec45b4c-c070-4f9f-a6f6-83515329f5fc	8a779929-ba35-4511-8d4e-a33033b639bd	CRAC_WITHOUT_FAN
dec45b4c-c070-4f9f-a6f6-83515329f5fc	07619b39-5611-44c2-b62f-54478826269b	CRAC_FAN
dec45b4c-c070-4f9f-a6f6-83515329f5fc	1b14dcea-87ea-46d1-9afb-8b97eead4d3c	CHILLER
dec45b4c-c070-4f9f-a6f6-83515329f5fc	d836966f-c9dd-470e-8bf4-bac14b4c4301	AIR_COOLED_CHILLER
dec45b4c-c070-4f9f-a6f6-83515329f5fc	458d78e1-fa0c-4868-8a62-0fba5fac136b	COOLING_TOWER
dec45b4c-c070-4f9f-a6f6-83515329f5fc	da949898-17e7-4322-911c-05efd8bb9fde	DRY_COOLER
dec45b4c-c070-4f9f-a6f6-83515329f5fc	c0d97a2e-0ccc-4489-ab8e-8217184aba79	REMOTE_CONDENSER
dec45b4c-c070-4f9f-a6f6-83515329f5fc	94b420b6-eb99-45e6-8f7c-9e854240abb0	CHILLED_WATER_PUMPS
dec45b4c-c070-4f9f-a6f6-83515329f5fc	b8cf3dc7-bf8e-478c-a6ef-ae72a1e88101	HEAT_REJECTION_PUMPS
dec45b4c-c070-4f9f-a6f6-83515329f5fc	6f6a41fa-c8a2-4cb4-adb7-5bada8a87401	VENTILATION
dec45b4c-c070-4f9f-a6f6-83515329f5fc	27622b18-682e-4d4b-800f-d117e4c1c8eb	INFILTRATION
dec45b4c-c070-4f9f-a6f6-83515329f5fc	de1913b8-4135-4d03-bd82-d740fdeaaf7d	IT_LOAD
f6287d7d-053b-42f1-99a6-c4f80eaad130	ef5ae0e0-29e6-4387-9de2-f44c5a7ce306	SWITCHGEAR
f6287d7d-053b-42f1-99a6-c4f80eaad130	cd6ad821-0e74-478b-96ea-be66bd4729ea	GENERATOR
f6287d7d-053b-42f1-99a6-c4f80eaad130	69d89552-c46b-4452-b169-29bfcad06b85	PRIMARY_AUXILIARIES
f6287d7d-053b-42f1-99a6-c4f80eaad130	c493e750-c027-4e6d-8a2e-5da20b609666	UPS
f6287d7d-053b-42f1-99a6-c4f80eaad130	9239551b-de3d-4955-8110-db87e5f0935b	CRITICAL_AUXILIARIES
f6287d7d-053b-42f1-99a6-c4f80eaad130	51ce637e-22f3-44b2-9600-d1e1fe9381ca	LIGHTING
f6287d7d-053b-42f1-99a6-c4f80eaad130	19a87c80-3805-4a95-9c48-2adebf90fe93	CRITICAL_POWER_DISTRIBUTION
f6287d7d-053b-42f1-99a6-c4f80eaad130	818aa22a-84cb-4315-a649-c2fb62a6ab28	CRAH
f6287d7d-053b-42f1-99a6-c4f80eaad130	90752840-4f69-4626-99fe-a37d89e1fd3c	CRAC
f6287d7d-053b-42f1-99a6-c4f80eaad130	b9f3c337-2139-4c62-ab7c-dcdbb9d0a89e	CRAC_WITHOUT_FAN
f6287d7d-053b-42f1-99a6-c4f80eaad130	b9a5239b-4ee3-4f43-a781-c2fe4bbce1f3	CRAC_FAN
f6287d7d-053b-42f1-99a6-c4f80eaad130	53c41c14-4837-4bb2-a0b0-cf216fc10ef2	CHILLER
f6287d7d-053b-42f1-99a6-c4f80eaad130	e5cfdaab-e9e2-43d9-ab34-f6084a948396	AIR_COOLED_CHILLER
f6287d7d-053b-42f1-99a6-c4f80eaad130	5e8eb026-18b4-469a-a709-d11deb22be2f	COOLING_TOWER
f6287d7d-053b-42f1-99a6-c4f80eaad130	074b307a-4646-4244-94c3-fc01c1076963	DRY_COOLER
f6287d7d-053b-42f1-99a6-c4f80eaad130	5c8008a2-7a29-49f3-a24a-d91c5ba43ace	REMOTE_CONDENSER
f6287d7d-053b-42f1-99a6-c4f80eaad130	c18215f9-c6f0-4b38-a6e6-a0d55a0083d0	CHILLED_WATER_PUMPS
f6287d7d-053b-42f1-99a6-c4f80eaad130	2d25543f-86f3-4f51-bda5-31fd28053812	HEAT_REJECTION_PUMPS
f6287d7d-053b-42f1-99a6-c4f80eaad130	6fdb242f-9d41-4990-ad74-08e1cef767e7	VENTILATION
f6287d7d-053b-42f1-99a6-c4f80eaad130	6018ad7c-f231-4bdd-8540-d25adae2ed96	INFILTRATION
f6287d7d-053b-42f1-99a6-c4f80eaad130	b8e62e94-ccd5-471d-a014-708fbc05ef52	IT_LOAD
e024707c-9d64-4dbd-8558-7355fa088e97	709d2f48-28c4-4411-b250-b08d3060cc01	SWITCHGEAR
e024707c-9d64-4dbd-8558-7355fa088e97	c462a532-2518-47fd-867c-974b9be8e844	GENERATOR
e024707c-9d64-4dbd-8558-7355fa088e97	54bca4d5-038e-4c39-866c-6205ade51dad	PRIMARY_AUXILIARIES
e024707c-9d64-4dbd-8558-7355fa088e97	41455b35-cd11-4af2-b1ad-bc52756f3038	UPS
e024707c-9d64-4dbd-8558-7355fa088e97	4a043749-a87c-4325-bcd4-1392b3e2931f	CRITICAL_AUXILIARIES
e024707c-9d64-4dbd-8558-7355fa088e97	e3a265f9-380b-4273-8f05-85177675e406	LIGHTING
e024707c-9d64-4dbd-8558-7355fa088e97	0d7d4278-5b26-4365-a2ce-855bb75b663f	CRITICAL_POWER_DISTRIBUTION
e024707c-9d64-4dbd-8558-7355fa088e97	9978bcc0-ac6b-4994-bd5c-73042205d66c	CRAH
e024707c-9d64-4dbd-8558-7355fa088e97	22e5d398-cf03-4673-9d64-d8c019867de9	CRAC
e024707c-9d64-4dbd-8558-7355fa088e97	29b72cd5-e4a5-4550-ac4f-c8b3a5abb196	CRAC_WITHOUT_FAN
e024707c-9d64-4dbd-8558-7355fa088e97	c7ae03de-0b4a-4ce9-9598-fe73cfc68c3e	CRAC_FAN
e024707c-9d64-4dbd-8558-7355fa088e97	a0aab376-8672-40cd-8dd8-6b90871c4d9e	CHILLER
e024707c-9d64-4dbd-8558-7355fa088e97	0d1c2eac-c42d-471c-bf93-0f15b2205f51	AIR_COOLED_CHILLER
e024707c-9d64-4dbd-8558-7355fa088e97	cb2aa364-8a8b-49ae-8b08-df198e9d4c2d	COOLING_TOWER
e024707c-9d64-4dbd-8558-7355fa088e97	644a374d-fdc8-44e7-b2cc-de790ec659b2	DRY_COOLER
e024707c-9d64-4dbd-8558-7355fa088e97	8397cc67-973c-4119-9a73-07b9044267e5	REMOTE_CONDENSER
e024707c-9d64-4dbd-8558-7355fa088e97	8ee9fc7c-d762-49d2-9615-c933421e46c5	CHILLED_WATER_PUMPS
e024707c-9d64-4dbd-8558-7355fa088e97	0163e512-e7f7-41da-9400-44a002817bd8	HEAT_REJECTION_PUMPS
e024707c-9d64-4dbd-8558-7355fa088e97	40cd7d4e-ead6-4e1c-855e-18e20277f572	VENTILATION
e024707c-9d64-4dbd-8558-7355fa088e97	2b4bde84-46c3-404c-ab15-ac6b52437023	INFILTRATION
e024707c-9d64-4dbd-8558-7355fa088e97	3e839520-b8a5-46fb-86c0-5de334695c17	IT_LOAD
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	d162923e-0f5e-43cb-8d36-c59536a8445b	SWITCHGEAR
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	0be84419-f355-4aad-a7b8-659c5ac2a876	GENERATOR
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	d2bc3dba-24d6-4186-b339-3f779b15644d	PRIMARY_AUXILIARIES
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	594c6109-f55a-49f2-917c-f5f887153fdb	UPS
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	a4b2349b-1011-450d-9abb-75ea418300f0	CRITICAL_AUXILIARIES
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	d512383d-821d-4799-b892-6564410da765	LIGHTING
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	0700e91a-6fb7-4b8e-aa78-c8aaed2a4bca	CRITICAL_POWER_DISTRIBUTION
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	5907581e-0d59-499c-a2de-755c23f7650d	CRAH
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	bfc60007-8527-4059-ae75-69a82eec3a06	CRAC
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	416d87a0-1c94-49a0-8810-c916d296faef	CRAC_WITHOUT_FAN
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	95a2e70c-d6c1-45fd-835b-71f508da7801	CRAC_FAN
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	5e5e2c31-27f2-48f3-861d-184f6d8c5fe7	CHILLER
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	8fc145f2-1669-47c4-abe3-bb14a206bbc5	AIR_COOLED_CHILLER
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	2d9f9446-a12a-4691-b1ef-fcfdde0e64e5	COOLING_TOWER
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	3ee6a647-db52-454e-b783-86d6a12e3c51	DRY_COOLER
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	c67fdbf3-545b-42d4-a132-ad08fec05b6e	REMOTE_CONDENSER
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	8a2694c9-6916-451b-a6ee-9896ed5d420a	CHILLED_WATER_PUMPS
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	600bfac0-0cac-43ed-ae2a-ad8627c0a332	HEAT_REJECTION_PUMPS
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	97a1dd60-6999-4a22-bc87-f35726d6782b	VENTILATION
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	95ddf77a-96b1-46d4-b6d3-70aab8f20048	INFILTRATION
ea51bec7-c8ef-4609-aa24-6f7f710a9c3d	0af3c4c3-555b-4503-9a57-05eb2c63c2d4	IT_LOAD
c62022ee-3468-423c-b90f-e890b53642c7	c18e03f6-07eb-4b9c-ae6d-ef97a1862057	SWITCHGEAR
c62022ee-3468-423c-b90f-e890b53642c7	bda2b70d-3fe2-4b12-b1f9-90fdafb22bcc	GENERATOR
c62022ee-3468-423c-b90f-e890b53642c7	b224108a-9603-4fe0-bfb9-4e557eff8fe7	PRIMARY_AUXILIARIES
c62022ee-3468-423c-b90f-e890b53642c7	00e09b5e-5386-4ec3-b2f4-5ae5435ecffe	UPS
c62022ee-3468-423c-b90f-e890b53642c7	8b5769c0-658a-49b6-9886-e9468ca34ddc	CRITICAL_AUXILIARIES
c62022ee-3468-423c-b90f-e890b53642c7	61991f9b-5775-456d-8ff8-d1498402835a	LIGHTING
c62022ee-3468-423c-b90f-e890b53642c7	52abbfe9-2ca4-4ab4-bd39-b0525318d1d3	CRITICAL_POWER_DISTRIBUTION
c62022ee-3468-423c-b90f-e890b53642c7	23415d04-7ae1-4d38-9fd3-deb78a5b289e	CRAH
c62022ee-3468-423c-b90f-e890b53642c7	9cfd362b-d0da-4fb0-b408-4aa432f18785	CRAC
c62022ee-3468-423c-b90f-e890b53642c7	6b14d484-dc1e-48d8-b5ba-d1b3d9fc17c9	CRAC_WITHOUT_FAN
c62022ee-3468-423c-b90f-e890b53642c7	e1e93d5f-ec6b-4f0e-8366-9e9592294afa	CRAC_FAN
c62022ee-3468-423c-b90f-e890b53642c7	3949fb4d-dfa5-40ff-b7a7-b5f49a503c4c	CHILLER
c62022ee-3468-423c-b90f-e890b53642c7	86bdcdf5-5aa7-4239-9d6e-a71f770fa3ac	AIR_COOLED_CHILLER
c62022ee-3468-423c-b90f-e890b53642c7	1d846b53-ab8d-462a-b67e-de1690de41cf	COOLING_TOWER
c62022ee-3468-423c-b90f-e890b53642c7	ba2a4b4f-ac34-4575-9941-db618f07a3d9	DRY_COOLER
c62022ee-3468-423c-b90f-e890b53642c7	e701ca5e-4ce1-401f-b4a1-3021fbd105b6	REMOTE_CONDENSER
c62022ee-3468-423c-b90f-e890b53642c7	5592a6db-178a-4acf-b9c7-068919ac35ec	CHILLED_WATER_PUMPS
c62022ee-3468-423c-b90f-e890b53642c7	7746c9b4-9b9f-450b-ae20-9fdda09b7092	HEAT_REJECTION_PUMPS
c62022ee-3468-423c-b90f-e890b53642c7	f31517c4-b8a4-4378-a177-1e07a9df279a	VENTILATION
c62022ee-3468-423c-b90f-e890b53642c7	16f6cc26-4b6b-426e-a41a-d8ba426d01d3	INFILTRATION
c62022ee-3468-423c-b90f-e890b53642c7	6689abc3-16df-4944-8f99-0303e0f0b58f	IT_LOAD
7f0c9dde-0d41-4643-89d5-6f132052a983	05ac571a-3d42-4e05-b8f9-8df4d21a4c10	SWITCHGEAR
7f0c9dde-0d41-4643-89d5-6f132052a983	c07542f7-942e-4346-ae99-0f6df36411c7	GENERATOR
7f0c9dde-0d41-4643-89d5-6f132052a983	2e79261a-3094-4c18-8f28-dc160f1a6dbf	PRIMARY_AUXILIARIES
7f0c9dde-0d41-4643-89d5-6f132052a983	0414bcef-1341-4c4c-822b-c8e50666b479	UPS
7f0c9dde-0d41-4643-89d5-6f132052a983	398a88ca-9e72-40a6-9f2a-6409e32794fa	CRITICAL_AUXILIARIES
7f0c9dde-0d41-4643-89d5-6f132052a983	1a65c0a0-e61d-4f96-a5e5-7457447b9c41	LIGHTING
7f0c9dde-0d41-4643-89d5-6f132052a983	f7329b04-cf0a-4992-b8b4-1e92071690e4	CRITICAL_POWER_DISTRIBUTION
7f0c9dde-0d41-4643-89d5-6f132052a983	a4867561-83d4-4171-9d63-841f319ae5f1	CRAH
7f0c9dde-0d41-4643-89d5-6f132052a983	7bf513f5-f4c2-4e37-968c-7f8e058e0073	CRAC
7f0c9dde-0d41-4643-89d5-6f132052a983	59051edc-3675-48b5-ad8e-7f37d2e89b80	CRAC_WITHOUT_FAN
7f0c9dde-0d41-4643-89d5-6f132052a983	d3f3ecef-c6aa-4b31-a77f-6d80fe6b95f8	CRAC_FAN
7f0c9dde-0d41-4643-89d5-6f132052a983	34043fff-a200-4601-95c3-f3f296fdae19	CHILLER
7f0c9dde-0d41-4643-89d5-6f132052a983	da419ca4-f23d-4043-8587-0b894fccdae9	AIR_COOLED_CHILLER
7f0c9dde-0d41-4643-89d5-6f132052a983	8510ee01-8981-4c98-8faf-df1a9d42245f	COOLING_TOWER
7f0c9dde-0d41-4643-89d5-6f132052a983	ecd61504-761a-431c-8bc7-780bc4e07449	DRY_COOLER
7f0c9dde-0d41-4643-89d5-6f132052a983	f08cb8f8-e7b3-4e2d-afa3-078c93b30214	REMOTE_CONDENSER
7f0c9dde-0d41-4643-89d5-6f132052a983	88422bf2-8740-41c0-9cef-80cfe4ebc267	CHILLED_WATER_PUMPS
7f0c9dde-0d41-4643-89d5-6f132052a983	32db9f44-60e3-4baa-9341-3e134756bf07	HEAT_REJECTION_PUMPS
7f0c9dde-0d41-4643-89d5-6f132052a983	9ce74cfe-9754-4f48-aa9b-527f0489ac4d	VENTILATION
7f0c9dde-0d41-4643-89d5-6f132052a983	6119064d-bee2-4856-a9cf-f731f8edc0a3	INFILTRATION
7f0c9dde-0d41-4643-89d5-6f132052a983	54780cee-85ee-45e5-84ca-df14c5f0441b	IT_LOAD
e2fe9bee-08e7-40b6-be41-07db0783b54f	384f3ade-0772-40f1-900d-7d840757e9c5	SWITCHGEAR
e2fe9bee-08e7-40b6-be41-07db0783b54f	461d6230-be27-49e4-bef4-3dccf13acf4f	GENERATOR
e2fe9bee-08e7-40b6-be41-07db0783b54f	df14d14c-a78e-4285-acaf-434366129d8e	PRIMARY_AUXILIARIES
e2fe9bee-08e7-40b6-be41-07db0783b54f	ded48041-bf1d-4e12-9515-145d7ce67714	UPS
e2fe9bee-08e7-40b6-be41-07db0783b54f	6de2db22-761d-4f8b-b309-5e9a42655297	CRITICAL_AUXILIARIES
e2fe9bee-08e7-40b6-be41-07db0783b54f	6bcc4764-dcb4-4233-a2c7-b181ac511f2e	LIGHTING
e2fe9bee-08e7-40b6-be41-07db0783b54f	319bbaa0-548c-4c9d-8188-e674fc10c583	CRITICAL_POWER_DISTRIBUTION
e2fe9bee-08e7-40b6-be41-07db0783b54f	cb1a7917-3db3-4f0f-b98c-cd6f04ac8be6	CRAH
e2fe9bee-08e7-40b6-be41-07db0783b54f	62d4147a-783c-422f-857a-94559041b3a0	CRAC
e2fe9bee-08e7-40b6-be41-07db0783b54f	9c714e74-0347-4d66-ae5a-3cef7adc7bec	CRAC_WITHOUT_FAN
e2fe9bee-08e7-40b6-be41-07db0783b54f	079edf2b-8325-4d00-9ef8-902944569aeb	CRAC_FAN
e2fe9bee-08e7-40b6-be41-07db0783b54f	1b5db67e-9cb9-4598-9ac9-01ecbd7e5c27	CHILLER
e2fe9bee-08e7-40b6-be41-07db0783b54f	dfe29a95-e960-4772-8245-89d17f0c81f0	AIR_COOLED_CHILLER
e2fe9bee-08e7-40b6-be41-07db0783b54f	18835b0f-8ff2-4bfb-9c7a-d1e420d792b5	COOLING_TOWER
e2fe9bee-08e7-40b6-be41-07db0783b54f	8344bd2a-a3c3-4f23-a12e-0c52cc667e20	DRY_COOLER
e2fe9bee-08e7-40b6-be41-07db0783b54f	948df489-1408-4c3f-9339-aa659575fee9	REMOTE_CONDENSER
e2fe9bee-08e7-40b6-be41-07db0783b54f	199b396f-ef11-44ea-81ab-6ddb87c64707	CHILLED_WATER_PUMPS
e2fe9bee-08e7-40b6-be41-07db0783b54f	83ca19be-e1ae-4128-a5c8-989f5bc0d437	HEAT_REJECTION_PUMPS
e2fe9bee-08e7-40b6-be41-07db0783b54f	60bbeed0-2667-4584-859a-4b00df021a6b	VENTILATION
e2fe9bee-08e7-40b6-be41-07db0783b54f	8f8e5a31-12fd-419a-84bd-c14ec4532e9e	INFILTRATION
e2fe9bee-08e7-40b6-be41-07db0783b54f	a61afd1b-99a5-47e4-89ec-2bb53535dc5c	IT_LOAD
c6d03b15-039c-4f49-a6b1-5c378535bac1	314684b1-75ee-4597-b7be-38c4e8293bb1	SWITCHGEAR
c6d03b15-039c-4f49-a6b1-5c378535bac1	6b732e9f-303e-4f65-8692-6760646e89aa	GENERATOR
c6d03b15-039c-4f49-a6b1-5c378535bac1	5345c9a3-d6d1-478f-ad2d-ffa329261324	PRIMARY_AUXILIARIES
c6d03b15-039c-4f49-a6b1-5c378535bac1	8b609cae-355c-4435-8959-e57ffcae4616	UPS
c6d03b15-039c-4f49-a6b1-5c378535bac1	a4654450-fecc-4348-b124-05c4e35af51e	CRITICAL_AUXILIARIES
c6d03b15-039c-4f49-a6b1-5c378535bac1	e11ab396-5864-41df-be66-35199e8a7c76	LIGHTING
c6d03b15-039c-4f49-a6b1-5c378535bac1	d278d71c-df19-45b9-8ae7-c4b01b5c2da0	CRITICAL_POWER_DISTRIBUTION
c6d03b15-039c-4f49-a6b1-5c378535bac1	994ba12c-8ccf-4de9-a98c-9c27af287fd9	CRAH
c6d03b15-039c-4f49-a6b1-5c378535bac1	2a5de3e5-2437-4ab8-8dfd-b7dfad20c201	CRAC
c6d03b15-039c-4f49-a6b1-5c378535bac1	d7a8eede-5a40-4847-b7db-44e6502ecb8f	CRAC_WITHOUT_FAN
c6d03b15-039c-4f49-a6b1-5c378535bac1	1ebb4f61-602b-44c0-935a-5e031db50d29	CRAC_FAN
c6d03b15-039c-4f49-a6b1-5c378535bac1	256a6c46-972b-4a1d-8ca0-2bad598e446b	CHILLER
c6d03b15-039c-4f49-a6b1-5c378535bac1	7e81a027-3c00-44fd-a20f-f56bc519e85f	AIR_COOLED_CHILLER
c6d03b15-039c-4f49-a6b1-5c378535bac1	66fd79c6-2fd3-4431-a930-036c1ee207c5	COOLING_TOWER
c6d03b15-039c-4f49-a6b1-5c378535bac1	fdc9b9ba-298f-4ae2-9663-cda96c4b49f8	DRY_COOLER
c6d03b15-039c-4f49-a6b1-5c378535bac1	1a99d6ab-930c-424f-8001-b25500430236	REMOTE_CONDENSER
c6d03b15-039c-4f49-a6b1-5c378535bac1	c29d49d0-3ca7-40f3-a4af-8c9e8be0ca12	CHILLED_WATER_PUMPS
c6d03b15-039c-4f49-a6b1-5c378535bac1	5cc97267-7d18-453b-ba3d-b8d22054c012	HEAT_REJECTION_PUMPS
c6d03b15-039c-4f49-a6b1-5c378535bac1	05c07926-cfde-445a-a6bc-c2c576788fd7	VENTILATION
c6d03b15-039c-4f49-a6b1-5c378535bac1	5ee35ce5-1f58-4323-abf1-0cb09e47e76c	INFILTRATION
c6d03b15-039c-4f49-a6b1-5c378535bac1	50089870-1565-401a-970b-1e10ed40ca3b	IT_LOAD
7f9b003d-dbdc-4c90-9130-54eed92677db	bf8cab4c-b264-40ea-a6ae-91d1c76aafc9	SWITCHGEAR
7f9b003d-dbdc-4c90-9130-54eed92677db	f68c79fd-d2db-420a-9af6-c0886f37ad3d	GENERATOR
7f9b003d-dbdc-4c90-9130-54eed92677db	d5594f13-cb9a-401c-bf84-376707f96c99	PRIMARY_AUXILIARIES
7f9b003d-dbdc-4c90-9130-54eed92677db	17a364ab-e798-46e5-8e95-1e8c75b74b60	UPS
7f9b003d-dbdc-4c90-9130-54eed92677db	058021f5-9d42-49b3-91e5-9424eb50a9bf	CRITICAL_AUXILIARIES
7f9b003d-dbdc-4c90-9130-54eed92677db	454e147f-0fcd-4fd4-aaf1-36780c2c2ab2	LIGHTING
7f9b003d-dbdc-4c90-9130-54eed92677db	356c8180-825f-4e79-9998-feb232ed0aae	CRITICAL_POWER_DISTRIBUTION
7f9b003d-dbdc-4c90-9130-54eed92677db	cab2c5b0-5112-44d3-bf61-fdb767431352	CRAH
7f9b003d-dbdc-4c90-9130-54eed92677db	3e2f95d6-60b3-4511-92cd-566cd4aa1105	CRAC
7f9b003d-dbdc-4c90-9130-54eed92677db	57a7bb99-5f9c-4557-a2a6-6973454ffc2b	CRAC_WITHOUT_FAN
7f9b003d-dbdc-4c90-9130-54eed92677db	b674e497-6d45-4e7e-89d0-f45cbef8c8ff	CRAC_FAN
7f9b003d-dbdc-4c90-9130-54eed92677db	f6200a07-a855-43e1-93c2-43f9f93f9870	CHILLER
7f9b003d-dbdc-4c90-9130-54eed92677db	4961fca8-24ac-4b89-9e90-4112198b5546	AIR_COOLED_CHILLER
7f9b003d-dbdc-4c90-9130-54eed92677db	89d2f977-e5dd-4e5a-9684-1b8bb717b910	COOLING_TOWER
7f9b003d-dbdc-4c90-9130-54eed92677db	60b1c4f7-ebac-4268-9958-b1d48d2ea2ee	DRY_COOLER
7f9b003d-dbdc-4c90-9130-54eed92677db	9f2db86b-bf35-493e-aaaf-d3d5b5a3b747	REMOTE_CONDENSER
7f9b003d-dbdc-4c90-9130-54eed92677db	54fa4e58-8d92-4b11-bf8b-e37bb31b493c	CHILLED_WATER_PUMPS
7f9b003d-dbdc-4c90-9130-54eed92677db	cb4b938a-e1e1-4406-a730-1e61e29c7774	HEAT_REJECTION_PUMPS
7f9b003d-dbdc-4c90-9130-54eed92677db	dd384da8-440c-40fc-bdfe-9550b765d4a3	VENTILATION
7f9b003d-dbdc-4c90-9130-54eed92677db	1220b843-f09e-4ea9-91e7-e9998c70b4c2	INFILTRATION
7f9b003d-dbdc-4c90-9130-54eed92677db	6b2cca17-38ff-47fb-991c-ce6560daadd0	IT_LOAD
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	6b6ddee0-c33c-47b0-bf25-c8c2c686bd24	SWITCHGEAR
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	81ff3519-09f5-4b92-bc84-53a4b4e627c1	GENERATOR
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	71c4109a-e461-493c-83ab-7d9cfbd598af	PRIMARY_AUXILIARIES
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	3b751ada-e1cc-4c67-bcd3-1952eb254c58	UPS
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	7e99ef2e-dbf2-4d97-b41a-10f94cbf5fef	CRITICAL_AUXILIARIES
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	66ce23ed-1aa4-436c-9cdd-8900c86f29a7	LIGHTING
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	b351f1e3-c323-4805-8c48-cec418bf5762	CRITICAL_POWER_DISTRIBUTION
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	44c7873b-1c77-403d-8821-75fabd1fb2b6	CRAH
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	a3c9fa18-c156-49a5-8d2c-12973bde0328	CRAC
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	79948c60-499a-4903-a027-066c118bff74	CRAC_WITHOUT_FAN
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	db853279-5ccf-448f-9bf0-3af49d6ede8d	CRAC_FAN
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	46761943-f2c8-4f31-bba6-1c6eb4b74bc5	CHILLER
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	68f62b8d-b6b7-4537-aba4-dfb4d19c5245	AIR_COOLED_CHILLER
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	de59b0fb-cf52-4072-93c6-9aa2be54e35e	COOLING_TOWER
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	406f2e08-348f-46f6-a6ae-80bad9bef25d	DRY_COOLER
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	76ad212a-9c19-418a-9954-efb2af0bd504	REMOTE_CONDENSER
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	4c7ac991-9cb4-4680-8040-94a00df08e6a	CHILLED_WATER_PUMPS
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	16784ee9-021a-425f-ae2b-5f73d6e7190e	HEAT_REJECTION_PUMPS
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	1997e52c-08d0-4681-9408-8035c3dc90e3	VENTILATION
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	5c3eb9bf-622f-4460-9960-f85f005166f6	INFILTRATION
918cfca4-ae3e-4f0b-8455-31e7d94b7cde	c2c066fc-0bd4-4773-913a-c0805d82447c	IT_LOAD
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	67b80f38-4df9-4c0e-a12d-f8f7319ffbe6	SWITCHGEAR
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	1301b707-faf3-4204-910b-750c11a83e32	GENERATOR
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	2eb75280-5ec1-4cef-a4e0-4684def2cd97	PRIMARY_AUXILIARIES
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	2dc70d22-7209-474d-8065-00e5da40c8d5	UPS
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	03bef935-e6a4-4018-95a2-59c7f868c265	CRITICAL_AUXILIARIES
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	2395649b-099f-4a72-bc80-db5c455d53d1	LIGHTING
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	5e91d2e1-8867-4e6b-b781-40cec1eab7b5	CRITICAL_POWER_DISTRIBUTION
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	1ab07b7c-1781-4186-a047-8dde0d24bf7a	CRAH
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	da0b349b-e9b1-4843-9706-9875b38ece02	CRAC
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	15e3995b-f170-42d1-9118-124a7e8d33ee	CRAC_WITHOUT_FAN
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	29acf2e9-127d-44d2-aa0a-470f42caa6a1	CRAC_FAN
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	e8e23855-36fd-411a-a69d-7df35a215211	CHILLER
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	925e1259-5161-4411-8519-a237bf9d8490	AIR_COOLED_CHILLER
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	3bb5bba0-10ad-4959-a416-0da19d195cc7	COOLING_TOWER
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	84815190-2a72-442e-ab0e-0378ac99eff6	DRY_COOLER
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	e495897d-a890-4607-b6bd-8831f7922d23	REMOTE_CONDENSER
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	ef452b0f-d78e-4dd5-b568-a948dae8562d	CHILLED_WATER_PUMPS
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	b29d9712-beae-45dc-b667-ca322a715b78	HEAT_REJECTION_PUMPS
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	44183f5c-1b78-4220-8519-53251e85e225	VENTILATION
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	bab28bf7-1b37-46c1-aacc-7dc34354e354	INFILTRATION
492947ec-3b59-4b3e-abb5-4f7c3a6ff403	451c514c-1347-434d-9535-1a719052d97e	IT_LOAD
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	7e66cf9c-2664-406b-bd86-c0be8f156a7a	SWITCHGEAR
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	9e16281f-0d20-4d54-ad12-9d4d072be955	GENERATOR
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	a1929d41-3308-450b-b5d1-66370548dba5	PRIMARY_AUXILIARIES
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	a4260a2c-bbec-4aa9-80e4-a15fd7a79f3c	UPS
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	51da25fe-388d-490b-86f3-c9cec8da7338	CRITICAL_AUXILIARIES
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	141b3ba7-6890-45f9-af89-d013c7a94ac8	LIGHTING
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	d7bb6cfe-c060-4bd8-b8c2-549b8a624152	CRITICAL_POWER_DISTRIBUTION
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	ad95e692-1c9e-4f54-995c-84825fdb7188	CRAH
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	1ca6f974-02cf-4b21-ac0f-04338e0a8043	CRAC
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	5bad893a-8f95-4a69-80a9-952a862c1727	CRAC_WITHOUT_FAN
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	49c40cf5-f6b7-4a43-b68b-5b43437e4a61	CRAC_FAN
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	2cb83d7e-5810-4e90-b177-f99a355b1779	CHILLER
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	8584845c-8e1c-40be-b76f-d55b92281c86	AIR_COOLED_CHILLER
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	42f63f2d-c398-4936-a104-7a5a33b6d889	COOLING_TOWER
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	95f1c7df-86c0-478a-ad57-e95bb9e8c4f9	DRY_COOLER
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	c6e32c35-4ed2-4548-9f44-0ad1477a9fcb	REMOTE_CONDENSER
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	bfc76a84-face-43c0-b577-3b32a1edc879	CHILLED_WATER_PUMPS
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	41ac35eb-03f0-44a3-8f4c-b33843cb8565	HEAT_REJECTION_PUMPS
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	a53c3cd9-cba2-4987-a1bd-62a376e52436	VENTILATION
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	603590d9-9244-4248-af1b-5770023ce724	INFILTRATION
1ecb0dbd-91d5-4b07-bd37-210d461b5c2d	852aa5ca-adcb-4782-aaaf-8e0044ed5045	IT_LOAD
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	96970509-fc21-4581-8790-f5ea23d27166	SWITCHGEAR
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	0088b4a8-3b32-4d3f-8746-4ec549e294c6	GENERATOR
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	9871c588-a734-427d-8dbf-902c64e11e1f	PRIMARY_AUXILIARIES
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	6e80ce43-68b4-42b1-8792-c051a0331864	UPS
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	bd6e6736-ff20-4e26-b804-c453df5b25da	CRITICAL_AUXILIARIES
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	94b1b76a-c6f2-4eda-965d-b57bc116d3de	LIGHTING
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	d74506f5-6352-416f-969b-60729897b11c	CRITICAL_POWER_DISTRIBUTION
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	381a6422-a60d-41a8-bea6-e129db2fc466	CRAH
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	45f22384-6901-4e46-a2fc-a9597bc4da42	CRAC
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	573dcbce-2493-486d-a69a-9f91859ba81d	CRAC_WITHOUT_FAN
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	d154b55e-a20d-40c0-bb02-3617060e0dbe	CRAC_FAN
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	6e259cf2-285f-45f9-b031-c8fca88d3a95	CHILLER
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	f5609942-d503-4cfb-86ce-2c5c69c925b3	AIR_COOLED_CHILLER
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	f5f3826f-e27a-4dfa-8496-0d429b7b6c4e	COOLING_TOWER
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	f98cdaa6-1778-43af-8c78-685fd2fec336	DRY_COOLER
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	de069e3c-6ae2-4c02-8c2d-c574a18fe2e8	REMOTE_CONDENSER
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	0315f399-5259-48e9-8eae-c66b8d9e7539	CHILLED_WATER_PUMPS
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	15c702d7-8185-4f7b-b3b8-2e5abeea74ab	HEAT_REJECTION_PUMPS
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	4a34efab-1f77-4b43-86af-2669bcc61551	VENTILATION
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	97c8100d-8a6d-4ad8-8606-0ab6de875e16	INFILTRATION
05ef0a2f-a3e1-4d4c-a6ab-27101fad097e	4a993bef-0ffe-4b06-aba0-e8ee05ce81c2	IT_LOAD
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	cd421eff-fb9c-4fd6-8cad-cbdd6af6a851	SWITCHGEAR
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	03358377-9bd0-489f-b8d9-939e28f705cf	GENERATOR
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	051b1195-cbe6-4726-a7f4-61329a02a31e	PRIMARY_AUXILIARIES
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	68d5b288-e2fa-4712-8664-b6669ad9b8e2	UPS
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	e52474f6-59bc-489f-926a-b9aa73b421bb	CRITICAL_AUXILIARIES
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	59be7886-69dd-4e7f-b8f9-3409b0e817d7	LIGHTING
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	f1db4799-38f2-4fc0-99a9-c0ea14b867c0	CRITICAL_POWER_DISTRIBUTION
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	73e8b3d6-b5f0-4649-9120-715c0d720b53	CRAH
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	55fa8b6c-8a05-45af-a459-c271d693ddc5	CRAC
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	df1784cf-b595-4363-a0ad-1a44e5d8b51e	CRAC_WITHOUT_FAN
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	2efc4717-7301-442c-8285-1d16b1bedb9e	CRAC_FAN
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	d0ad0db5-def4-46ac-8c13-0310f7f8af64	CHILLER
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	877b3dd5-4424-4645-8ee1-1b28f148d2b2	AIR_COOLED_CHILLER
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	a5eebc5e-df8a-4f45-97b4-24e50ea32a43	COOLING_TOWER
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	f78228d9-eb08-45a1-bc27-bdc14244789d	DRY_COOLER
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	f7cd3a34-343a-49d1-aab7-3c443d536cb4	REMOTE_CONDENSER
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	d52bf517-5b6a-4301-b7ca-8a446c5255dc	CHILLED_WATER_PUMPS
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	8b42f2de-8287-4a90-af03-d73c75a50850	HEAT_REJECTION_PUMPS
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	a46fe4f5-a202-4682-aeb7-0b0a288a5ab9	VENTILATION
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	49f7d172-a364-4783-9a69-52a626972e49	INFILTRATION
3cc6d941-0f46-4619-8d89-3eb4cbdc4143	3907b35a-ac47-4401-a0d9-dc122ff176f5	IT_LOAD
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	6731413b-40be-47d2-891e-0acfa3ffbe5e	SWITCHGEAR
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	b9a2b661-0e29-4558-98e1-40311c52e2d1	GENERATOR
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	830e3086-c49c-438f-86b2-a766d7dc772f	PRIMARY_AUXILIARIES
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	2475cb30-c2cd-45e1-a259-2cedaf276173	UPS
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	d662a3f2-ecdb-4b4c-80cc-a3ab8491f143	CRITICAL_AUXILIARIES
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	7097f7e5-0ec0-43b6-8de6-3ca40c0fb110	LIGHTING
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	7de926dc-798f-4a48-b81b-3ba84ce05ca4	CRITICAL_POWER_DISTRIBUTION
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	7a4d5d87-c760-430d-9dc2-be84d27c8000	CRAH
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	59609ac0-bb00-4c0a-a14d-7b8826612564	CRAC
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	20b66d5c-4be3-46d6-acdd-acc0e7156197	CRAC_WITHOUT_FAN
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	25bd61ad-32e6-4268-8532-7289eb1d3486	CRAC_FAN
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	5282ec6b-a94e-4cec-a63a-68acc0741904	CHILLER
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	e3589da2-1335-43b7-ad93-47b667c910dd	AIR_COOLED_CHILLER
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	37a33230-5b8f-4f00-af86-828748fabf35	COOLING_TOWER
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	1a252a61-1489-4c75-984f-498337d56ffc	DRY_COOLER
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	3f9e0869-620e-4feb-bc8e-f6a24b2cb865	REMOTE_CONDENSER
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	03b4931a-672c-40f5-b78d-eb83d226b30d	CHILLED_WATER_PUMPS
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	81675fa1-7c62-4e62-9512-548ae323c86d	HEAT_REJECTION_PUMPS
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	7e1b17c1-2add-4fe1-b009-291e6ecaa236	VENTILATION
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	b69808c0-135a-4462-a8dc-d6474d3330a8	INFILTRATION
b650b025-998d-4c26-8d6b-42ccc2f9e7c1	b3b8fb87-f651-488d-9b31-36fd27bb9a41	IT_LOAD
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	c9892b40-838a-485d-adef-16fed70834f0	SWITCHGEAR
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	ecd2d0d4-6812-4130-b486-1077744e2102	GENERATOR
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	d6494c31-f53c-44ec-b60c-331def3f51fc	PRIMARY_AUXILIARIES
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	be308785-4de4-4ba7-b420-eaeb920511d4	UPS
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	9c2057f3-2860-490b-a14e-1ccd3a8ce38f	CRITICAL_AUXILIARIES
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	168b5a8d-c463-446e-8993-6c084df29749	LIGHTING
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	4793191d-ac1b-4231-acf9-c7e7758be41d	CRITICAL_POWER_DISTRIBUTION
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	aa2b08dc-47dc-46a8-b1cb-c9f357f273c2	CRAH
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	dcb2bc77-e002-4d32-804a-9b8cc16433c2	CRAC
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	18355ccb-0b5c-482a-acd8-18007ec6ce11	CRAC_WITHOUT_FAN
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	9e4e33ee-72b2-44cd-9e5b-24f09b7371f0	CRAC_FAN
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	938eb9d6-0a0d-4fe5-99d6-a998ff8edf45	CHILLER
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	c4123a02-0552-4b31-b494-2bf221689a1c	AIR_COOLED_CHILLER
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	c93ff9af-d19a-4fe3-81c7-7a7c5d652f89	COOLING_TOWER
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	e877d0d2-1b1d-451f-ae48-0ea6620c3b85	DRY_COOLER
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	400233e3-51e3-4738-9e94-eacd92962a00	REMOTE_CONDENSER
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	73209665-745f-45b1-b835-deca56d4964c	CHILLED_WATER_PUMPS
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	4e41c9c6-08ae-48ba-8ae9-75a63b37d549	HEAT_REJECTION_PUMPS
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	7aa84598-cfd1-48f5-a5a1-6ac83b5d6321	VENTILATION
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	1ba98e11-b530-4e6a-a242-047730de68f1	INFILTRATION
c5ecaf20-d7a0-4d06-8c96-2bc81d558580	fa4c2de1-23d2-45c5-9f43-33a66367f624	IT_LOAD
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	0016028b-e766-448e-a057-0b9132f4deb7	SWITCHGEAR
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	6a4c1391-ca55-48d1-addb-e46bd8b7416a	GENERATOR
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	18141dd6-ed93-4fd6-a9ff-93b74987c087	PRIMARY_AUXILIARIES
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	d70b4f57-41c8-4270-9f45-0c13cf05d5c1	UPS
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	de55372c-1cc7-4815-b4ea-3482b2dd2c8c	CRITICAL_AUXILIARIES
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	6d2b5fc3-59a1-4f08-985e-9602aa523956	LIGHTING
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	7ed22324-8189-47cd-8fae-d676433249bd	CRITICAL_POWER_DISTRIBUTION
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	d583b865-f985-4cdb-aef7-b46ea2369d8f	CRAH
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	e96b46a6-29f9-42a3-8ae5-f23b762db1b6	CRAC
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	59349e53-527c-4258-bf2c-89ad248c05c1	CRAC_WITHOUT_FAN
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	e5ccd9b2-5dd0-43af-9c9d-5d629840101c	CRAC_FAN
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	b4e2e1e3-4cc5-4766-a97f-60f62f0ebc23	CHILLER
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	ce2f69bd-19f2-4074-a5b1-219a9ffc5e24	AIR_COOLED_CHILLER
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	840140c9-3a8e-43e0-86fa-ecc4836622f2	COOLING_TOWER
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	eef1e8b3-bd7a-4fe4-9fa0-f3c32ff34492	DRY_COOLER
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	9ba21314-7e05-4eb5-b134-da78fb08940b	REMOTE_CONDENSER
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	cdb059ef-911c-48f0-9a8a-02272b657fb2	CHILLED_WATER_PUMPS
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	2afc82d4-fb7f-495b-a723-b3f4c73db482	HEAT_REJECTION_PUMPS
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	703bff6f-be1c-4181-b906-70a030ab3c62	VENTILATION
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	dfae297f-b947-4582-af8f-afa40f298235	INFILTRATION
02581b23-fe6b-499a-9bd1-e9c9cc80a37d	3b352368-3e32-445c-85fa-22888ba9968c	IT_LOAD
96338133-4001-4ce6-bd08-17fa2dc96d2c	f0cfcf4f-3bb1-45de-99a4-6f3a5b14df50	SWITCHGEAR
96338133-4001-4ce6-bd08-17fa2dc96d2c	abfda907-d689-4315-b595-62d1279224bb	GENERATOR
96338133-4001-4ce6-bd08-17fa2dc96d2c	fc15008c-06ff-41e3-8f68-bc51c92c6327	PRIMARY_AUXILIARIES
96338133-4001-4ce6-bd08-17fa2dc96d2c	8eccbc2e-dcb8-46d6-bd2a-e4b7cc3d4f39	UPS
96338133-4001-4ce6-bd08-17fa2dc96d2c	f3e467cb-aae5-4696-bbc6-ad0d49178e30	CRITICAL_AUXILIARIES
96338133-4001-4ce6-bd08-17fa2dc96d2c	eea4de09-05fc-4cfb-a711-87548529bea3	LIGHTING
96338133-4001-4ce6-bd08-17fa2dc96d2c	9708768c-e91f-48f1-84b7-a0a0d83c1acb	CRITICAL_POWER_DISTRIBUTION
96338133-4001-4ce6-bd08-17fa2dc96d2c	504feb42-b20b-4721-b41a-43bdf38e250a	CRAH
96338133-4001-4ce6-bd08-17fa2dc96d2c	322c57b0-ac34-429d-91e4-b85abbf6bfa9	CRAC
96338133-4001-4ce6-bd08-17fa2dc96d2c	d1d77993-e0e2-4d44-b3a8-5212e869c612	CRAC_WITHOUT_FAN
96338133-4001-4ce6-bd08-17fa2dc96d2c	e4240974-65fc-4b55-903a-18a9485f8c81	CRAC_FAN
96338133-4001-4ce6-bd08-17fa2dc96d2c	129c8648-c999-4d49-8b32-01fafe7696ff	CHILLER
96338133-4001-4ce6-bd08-17fa2dc96d2c	c1eedb71-55de-46e0-be8a-bb7bc561aa01	AIR_COOLED_CHILLER
96338133-4001-4ce6-bd08-17fa2dc96d2c	71e38476-44c3-431a-ae73-33d2ef5b4664	COOLING_TOWER
96338133-4001-4ce6-bd08-17fa2dc96d2c	f1475524-9d82-489a-b425-44fc795e1fc0	DRY_COOLER
96338133-4001-4ce6-bd08-17fa2dc96d2c	e3975c41-a059-47d4-8615-4ef560c4e993	REMOTE_CONDENSER
96338133-4001-4ce6-bd08-17fa2dc96d2c	460e3aa9-e9ec-49cc-ba03-6a230ecb4b2a	CHILLED_WATER_PUMPS
96338133-4001-4ce6-bd08-17fa2dc96d2c	8bdbfb54-114f-4eaf-ae76-cfc64ce0784c	HEAT_REJECTION_PUMPS
96338133-4001-4ce6-bd08-17fa2dc96d2c	f583311e-2588-4710-9f07-1de264b4921f	VENTILATION
96338133-4001-4ce6-bd08-17fa2dc96d2c	56a0e86d-adcb-4cce-85e3-8cb23b6c33bd	INFILTRATION
96338133-4001-4ce6-bd08-17fa2dc96d2c	ad6de44a-94be-4d38-b19a-e374482b901e	IT_LOAD
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	c90a760f-5ffe-4623-bcd7-a73ea4aab463	SWITCHGEAR
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	b34131c7-21a6-48f2-af6c-2af9dd44c0b8	GENERATOR
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	e316b462-55e4-498f-a03d-3745736df146	PRIMARY_AUXILIARIES
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	2a6dd71d-5456-407e-8272-5ef6bef46984	UPS
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	c7288876-0dde-470f-b2d8-685c6bc95257	CRITICAL_AUXILIARIES
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	1ad4a267-a6e8-44a9-8d41-04eac2b8a54b	LIGHTING
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	369143da-1cb4-4a13-8b99-b7babda8e44b	CRITICAL_POWER_DISTRIBUTION
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	21fb0bab-5dfa-416e-bb86-2c7458ceaeef	CRAH
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	251a6c7b-59ce-4c03-9bcc-641a7fd3ad1f	CRAC
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	69f52c80-bcf1-4f98-8606-26892a684a1d	CRAC_WITHOUT_FAN
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	6392b405-ab34-44a5-b6bd-11b44be04f0f	CRAC_FAN
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	935f126d-5819-4250-9935-a859cf922685	CHILLER
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	ca16acec-34e2-425c-aa60-73b65cbdee29	AIR_COOLED_CHILLER
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	a77c5a04-6f4b-45f1-9352-5cd2b84df82a	COOLING_TOWER
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	095617fb-be6c-425a-b3f8-0ace58d7f663	DRY_COOLER
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	2de78389-b218-456c-a736-ac8113fdeaf5	REMOTE_CONDENSER
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	1dac572d-39da-4431-b912-2e6007d94393	CHILLED_WATER_PUMPS
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	940ccbd3-7c5c-4125-82b7-f69a19f9535b	HEAT_REJECTION_PUMPS
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	c65ce5cb-067c-4507-af0b-6698e06f55e0	VENTILATION
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	ba95f609-5171-4f1b-8f6e-38ec7d6d72a8	INFILTRATION
837d8304-15c3-4e7f-81fb-1d897b2bcfd0	85d558b9-0b2b-4f1b-a425-aade5c3a4303	IT_LOAD
637add22-1c15-4a0a-9a25-fed8e847205e	56bb8e0d-3a88-49ef-98a5-1dc38a412a1e	SWITCHGEAR
637add22-1c15-4a0a-9a25-fed8e847205e	05e110af-d3cf-4d55-996b-a2fbfd1ffe36	GENERATOR
637add22-1c15-4a0a-9a25-fed8e847205e	c4a5be39-d5ed-4bfa-b158-5eb35fb79f62	PRIMARY_AUXILIARIES
637add22-1c15-4a0a-9a25-fed8e847205e	0d2423d4-51d6-447d-9de9-1aa86cc550db	UPS
637add22-1c15-4a0a-9a25-fed8e847205e	47729433-b3eb-44c3-80fa-7e38c5706cc9	CRITICAL_AUXILIARIES
637add22-1c15-4a0a-9a25-fed8e847205e	3f8a1419-cdf6-4300-99b1-7bcbeeea462f	LIGHTING
637add22-1c15-4a0a-9a25-fed8e847205e	8f15583c-bd31-4b29-bc71-443337bb57d7	CRITICAL_POWER_DISTRIBUTION
637add22-1c15-4a0a-9a25-fed8e847205e	1f38295e-da7a-427c-aecb-affb64e583f4	CRAH
637add22-1c15-4a0a-9a25-fed8e847205e	1efeb0fc-a49f-4d16-af3c-56a0a61668b5	CRAC
637add22-1c15-4a0a-9a25-fed8e847205e	aa73d287-839e-452f-ae9b-4baf7b89574f	CRAC_WITHOUT_FAN
637add22-1c15-4a0a-9a25-fed8e847205e	1370a302-53f1-4d66-84b2-10805def61d7	CRAC_FAN
637add22-1c15-4a0a-9a25-fed8e847205e	0bfcba13-dbab-4978-9bf3-a1cc0a49d513	CHILLER
637add22-1c15-4a0a-9a25-fed8e847205e	13b50a73-112b-4709-a2f8-f24248f2dc70	AIR_COOLED_CHILLER
637add22-1c15-4a0a-9a25-fed8e847205e	1aede20a-a2db-4b09-b3fa-fce6c458de17	COOLING_TOWER
637add22-1c15-4a0a-9a25-fed8e847205e	6a1e5d09-9fb2-4817-b657-7b874c9e94f4	DRY_COOLER
637add22-1c15-4a0a-9a25-fed8e847205e	7649f79c-678d-462f-96a5-529efaebb33b	REMOTE_CONDENSER
637add22-1c15-4a0a-9a25-fed8e847205e	b339ad61-15a3-481f-8943-a4b14abc651b	CHILLED_WATER_PUMPS
637add22-1c15-4a0a-9a25-fed8e847205e	cf447ca5-2150-4ac8-81ae-ab69ce09beec	HEAT_REJECTION_PUMPS
637add22-1c15-4a0a-9a25-fed8e847205e	434a1f39-ed5f-4cbc-bbc4-8f881e1fd75e	VENTILATION
637add22-1c15-4a0a-9a25-fed8e847205e	68302866-7a40-4561-b553-210c0c395da3	INFILTRATION
637add22-1c15-4a0a-9a25-fed8e847205e	d92999c2-9b04-43e9-9941-228e92f6bd77	IT_LOAD
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	f17fe859-6cdb-4cef-8ba0-39eccb91c458	SWITCHGEAR
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	20d2172d-ce12-4643-a35e-0a2f9360b06a	GENERATOR
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	fc641418-4846-4e78-8a12-48c1de0eacaa	PRIMARY_AUXILIARIES
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	7923f73e-a88a-4844-8193-6b6570c594eb	UPS
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	b26035e0-54aa-4602-a9db-5ba92f22fa5e	CRITICAL_AUXILIARIES
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	21a33d3b-14a8-43ef-b1f8-116c3570745c	LIGHTING
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	0a9d9f88-bd3a-4da5-b405-a683a3283647	CRITICAL_POWER_DISTRIBUTION
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	cb9bd128-d543-4985-a48c-8d9754c0c8ab	CRAH
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	1bfc184b-2572-4114-b6ef-e913854e4ffe	CRAC
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	4d592300-b46f-4276-b3b8-f61ebe4a55b6	CRAC_WITHOUT_FAN
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	61b4c95e-722c-403d-8acf-a7c6df0e96bf	CRAC_FAN
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	d856eacc-4127-4b1c-a42b-3108f4b2be01	CHILLER
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	1932286a-f713-4fc1-90c7-63969277ec24	AIR_COOLED_CHILLER
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	f77fc38b-c2d7-458c-b96d-01944e6fbc4c	COOLING_TOWER
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	db462932-c65c-44fc-a5e3-50733fb01450	DRY_COOLER
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	541df4ee-8cea-442c-a3c9-3fcd47a06ba2	REMOTE_CONDENSER
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	669ab8a1-3f57-47c6-a6dd-9899696401c4	CHILLED_WATER_PUMPS
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	e6917b66-b671-4c71-a945-4ea5c51ef465	HEAT_REJECTION_PUMPS
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	92998125-db03-4fd6-8d83-5b35aa0455c7	VENTILATION
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	5166a0de-5362-4e9b-ada4-2752b7bb7104	INFILTRATION
2e4f6a36-8864-48e0-b6d3-2f59f9068b13	f99b8c85-079b-4508-9c72-9441d4903c62	IT_LOAD
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	bb34d963-abfa-4835-9e50-9f8e3204728b	SWITCHGEAR
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	5ff0fd10-f295-4a66-9e54-7f1bd5a4e063	GENERATOR
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	565b0596-b642-44f6-be08-6ee3ff39c247	PRIMARY_AUXILIARIES
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	8333dbd7-2e8a-41c5-a7b8-d04cfcdde768	UPS
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	b19b18d1-d0d2-487f-ae98-2397ab5e996c	CRITICAL_AUXILIARIES
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	13135a44-4945-46a9-9e78-519f5d779aba	LIGHTING
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	f69eebdf-ced2-4c1f-b415-3ff58792bbe0	CRITICAL_POWER_DISTRIBUTION
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	fd3c16dc-380e-41c8-8454-2672f6e36a8c	CRAH
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	4229ae8e-0293-4032-9540-3b6307fdb237	CRAC
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	562253ca-1859-4ff1-a8ee-36de3a6519a6	CRAC_WITHOUT_FAN
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	49b14503-b8e5-4c9d-9fe6-2bbfb2a28cba	CRAC_FAN
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	817c25d8-77b1-41ee-8f3f-c984d324c20e	CHILLER
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	57227d7f-087b-426a-b2a8-7c1e7ae37947	AIR_COOLED_CHILLER
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	9faca220-69e8-4106-a7ee-de65b30f26fe	COOLING_TOWER
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	c93eed96-cd89-4765-94d7-1e38d55c76a3	DRY_COOLER
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	f9f0100b-8aeb-434a-8c3e-cfeedc41ef80	REMOTE_CONDENSER
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	d003189f-8795-47e2-afbd-1db3f49d9542	CHILLED_WATER_PUMPS
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	60cc7e3f-9237-4e0b-9c81-9f76d3938e00	HEAT_REJECTION_PUMPS
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	c105a396-da4c-4182-a212-27045f2d2dca	VENTILATION
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	31767dbd-31e2-4ac3-b428-d9abbee57531	INFILTRATION
16fdf34a-17be-43a8-ad1e-9f3c9d602b81	02ea2fd0-d303-4694-be6d-5557e42c964b	IT_LOAD
f1a6af66-9a42-4a70-aea3-1547c515a3a9	d6673de6-5ca1-4bda-9901-6bd5f2e289d6	SWITCHGEAR
f1a6af66-9a42-4a70-aea3-1547c515a3a9	50f39728-b5d0-4785-a0d1-1364f98d42d5	GENERATOR
f1a6af66-9a42-4a70-aea3-1547c515a3a9	83e3d215-b2bd-40d0-b098-f286d39ca105	PRIMARY_AUXILIARIES
f1a6af66-9a42-4a70-aea3-1547c515a3a9	8c2445b5-8f24-499a-b08a-8b6f9cc5a46d	UPS
f1a6af66-9a42-4a70-aea3-1547c515a3a9	1e7da7dc-bf82-4cfd-8f10-eb19687ee8e3	CRITICAL_AUXILIARIES
f1a6af66-9a42-4a70-aea3-1547c515a3a9	771dd8da-2e1b-4ae7-a20c-35f85dc06755	LIGHTING
f1a6af66-9a42-4a70-aea3-1547c515a3a9	82976bd9-4c83-4184-9e30-0f000f87b74b	CRITICAL_POWER_DISTRIBUTION
f1a6af66-9a42-4a70-aea3-1547c515a3a9	5514d5cb-86f9-4fc4-b8a5-1156370c1709	CRAH
f1a6af66-9a42-4a70-aea3-1547c515a3a9	08e1f92a-4698-438b-b498-6f329f298daf	CRAC
f1a6af66-9a42-4a70-aea3-1547c515a3a9	6603eb77-1607-4b20-a5ba-30c9eb7cc318	CRAC_WITHOUT_FAN
f1a6af66-9a42-4a70-aea3-1547c515a3a9	6de9c611-2334-4f7c-8794-69348aca8355	CRAC_FAN
f1a6af66-9a42-4a70-aea3-1547c515a3a9	74bcd4d4-02d1-4a43-8873-4e683e338f06	CHILLER
f1a6af66-9a42-4a70-aea3-1547c515a3a9	bd3614ea-3e69-45e0-afd0-01c67f0bd94d	AIR_COOLED_CHILLER
f1a6af66-9a42-4a70-aea3-1547c515a3a9	8464e653-b09d-4f3a-8507-a6f3b4382f2e	COOLING_TOWER
f1a6af66-9a42-4a70-aea3-1547c515a3a9	08c74220-5f48-42f0-ad25-f13d0891e856	DRY_COOLER
f1a6af66-9a42-4a70-aea3-1547c515a3a9	2bfef82d-2f2e-4ef9-83f7-563fa71b142a	REMOTE_CONDENSER
f1a6af66-9a42-4a70-aea3-1547c515a3a9	8c89fe37-b449-408e-9c47-8fd7fdedf7bb	CHILLED_WATER_PUMPS
f1a6af66-9a42-4a70-aea3-1547c515a3a9	da74c0ed-d30a-4b95-963f-861e6f46d9d1	HEAT_REJECTION_PUMPS
f1a6af66-9a42-4a70-aea3-1547c515a3a9	a9b68764-7b91-417d-a271-589032128acf	VENTILATION
f1a6af66-9a42-4a70-aea3-1547c515a3a9	a17bcc5c-d468-497e-8260-f1da4699df0a	INFILTRATION
f1a6af66-9a42-4a70-aea3-1547c515a3a9	a7382489-3066-43f8-8d8d-d40007007aed	IT_LOAD
28fbb70c-80c8-4fc1-b945-5120bd407cba	eb2f38ac-ccef-4547-a14a-cfdcc4d70608	SWITCHGEAR
28fbb70c-80c8-4fc1-b945-5120bd407cba	baeebfc4-6e97-4f70-bfb3-99bdfda48ca9	GENERATOR
28fbb70c-80c8-4fc1-b945-5120bd407cba	d9fefa78-5a6c-43f1-ae87-60335ebb60e7	PRIMARY_AUXILIARIES
28fbb70c-80c8-4fc1-b945-5120bd407cba	2895bb8b-2002-4c9d-8008-a7dfcb302735	UPS
28fbb70c-80c8-4fc1-b945-5120bd407cba	892cafc4-90b9-4ed9-a3fc-7401b72c16bb	CRITICAL_AUXILIARIES
28fbb70c-80c8-4fc1-b945-5120bd407cba	05710637-84ad-4a5e-a916-303ee5682017	LIGHTING
28fbb70c-80c8-4fc1-b945-5120bd407cba	f8df3f00-05b7-4853-9e0c-678671f58c7c	CRITICAL_POWER_DISTRIBUTION
28fbb70c-80c8-4fc1-b945-5120bd407cba	9d54e658-c024-406a-b9fb-dd20e6ebd533	CRAH
28fbb70c-80c8-4fc1-b945-5120bd407cba	c407b273-3370-4072-8eb8-effba91a46da	CRAC
28fbb70c-80c8-4fc1-b945-5120bd407cba	60065f4c-4df2-4b37-868e-fcf7c1980313	CRAC_WITHOUT_FAN
28fbb70c-80c8-4fc1-b945-5120bd407cba	df9564cd-a1ad-47b2-afda-599ec910b4da	CRAC_FAN
28fbb70c-80c8-4fc1-b945-5120bd407cba	4cf00d91-87b0-4059-a769-4258b91b579f	CHILLER
28fbb70c-80c8-4fc1-b945-5120bd407cba	551037bc-72b4-4b28-976d-18423794bb42	AIR_COOLED_CHILLER
28fbb70c-80c8-4fc1-b945-5120bd407cba	af09c0dc-f451-4f81-946c-f594cff68125	COOLING_TOWER
28fbb70c-80c8-4fc1-b945-5120bd407cba	4fec96ba-91c7-4380-873b-19fb72806c52	DRY_COOLER
28fbb70c-80c8-4fc1-b945-5120bd407cba	e7098bb8-075f-45ee-a568-5f8740ebe481	REMOTE_CONDENSER
28fbb70c-80c8-4fc1-b945-5120bd407cba	8cb3e88c-ea22-41b9-a64f-d71b534684fc	CHILLED_WATER_PUMPS
28fbb70c-80c8-4fc1-b945-5120bd407cba	cf4c707e-0222-4a23-ae3a-1365828510e7	HEAT_REJECTION_PUMPS
28fbb70c-80c8-4fc1-b945-5120bd407cba	9d015bb6-1c86-42c6-8934-38d0baf0809c	VENTILATION
28fbb70c-80c8-4fc1-b945-5120bd407cba	b891682b-2b79-4076-937e-f2b99ea1da8a	INFILTRATION
28fbb70c-80c8-4fc1-b945-5120bd407cba	552c140b-3ad7-4bdd-97fb-874b483f48dd	IT_LOAD
47b40a0f-cdbb-4e73-8654-67949b06df66	7db22131-010b-4f73-8e22-ac8ae5ce7e13	SWITCHGEAR
47b40a0f-cdbb-4e73-8654-67949b06df66	d8734ebf-c4fa-4fb9-b29b-8d605171effe	GENERATOR
47b40a0f-cdbb-4e73-8654-67949b06df66	6e9358d3-982b-4e36-9e68-1d28e74971e9	PRIMARY_AUXILIARIES
47b40a0f-cdbb-4e73-8654-67949b06df66	9a2f3bfa-9636-43bd-a8a8-696bc8689b73	UPS
47b40a0f-cdbb-4e73-8654-67949b06df66	8ea81514-9b30-4ee2-9b41-51388a53d9ea	CRITICAL_AUXILIARIES
47b40a0f-cdbb-4e73-8654-67949b06df66	6a05a9df-30ed-4ec4-9d15-52aaa0208fe1	LIGHTING
47b40a0f-cdbb-4e73-8654-67949b06df66	a2013565-c221-478e-a6cb-7a1fe102716e	CRITICAL_POWER_DISTRIBUTION
47b40a0f-cdbb-4e73-8654-67949b06df66	daba2c53-a7aa-4957-ba8a-2e01228ffa3a	CRAH
47b40a0f-cdbb-4e73-8654-67949b06df66	f7f5208a-180b-4e46-877c-ecf6d3e09c44	CRAC
47b40a0f-cdbb-4e73-8654-67949b06df66	0d56a763-3329-45b8-8e10-3cc7171e464f	CRAC_WITHOUT_FAN
47b40a0f-cdbb-4e73-8654-67949b06df66	ed3e1697-0a34-4c47-9971-355c9e468f18	CRAC_FAN
47b40a0f-cdbb-4e73-8654-67949b06df66	86181b09-61c1-46bd-b36b-c4031bfc8010	CHILLER
47b40a0f-cdbb-4e73-8654-67949b06df66	d8dc9374-f8fc-4a97-8254-2673b9b327b5	AIR_COOLED_CHILLER
47b40a0f-cdbb-4e73-8654-67949b06df66	0aa6f6f3-65b8-4654-8e91-fb2d16253af3	COOLING_TOWER
47b40a0f-cdbb-4e73-8654-67949b06df66	30757dc2-30bb-4fa7-81fa-aa89f69be958	DRY_COOLER
47b40a0f-cdbb-4e73-8654-67949b06df66	17dc92e6-90f9-4c7e-a196-0e233097542e	REMOTE_CONDENSER
47b40a0f-cdbb-4e73-8654-67949b06df66	e0d2dd68-2b15-4bf7-9856-a5148c859dda	CHILLED_WATER_PUMPS
47b40a0f-cdbb-4e73-8654-67949b06df66	2279499c-a310-4684-bd69-ff5a9235440f	HEAT_REJECTION_PUMPS
47b40a0f-cdbb-4e73-8654-67949b06df66	0f5898e3-3b4c-4adf-9a68-cd4e99225437	VENTILATION
47b40a0f-cdbb-4e73-8654-67949b06df66	ee548432-a342-4c35-84a4-de6b78909332	INFILTRATION
47b40a0f-cdbb-4e73-8654-67949b06df66	93f9b1a7-08a8-4e62-ab6d-b6cf598cbee3	IT_LOAD
3ae3844f-b7b2-4907-bd35-cec5934df2ea	cd1e3127-56ee-48f7-a2f1-5ecef1e206a8	SWITCHGEAR
3ae3844f-b7b2-4907-bd35-cec5934df2ea	d78059e4-7a32-4ff4-bf12-90b206726621	GENERATOR
3ae3844f-b7b2-4907-bd35-cec5934df2ea	f1d76b03-5a9b-4cb1-87b4-b64740fce0cd	PRIMARY_AUXILIARIES
3ae3844f-b7b2-4907-bd35-cec5934df2ea	712bcd88-6a63-4aa2-aff3-83e7e8b66a33	UPS
3ae3844f-b7b2-4907-bd35-cec5934df2ea	846b1698-cac2-4038-bb66-17309078775c	CRITICAL_AUXILIARIES
3ae3844f-b7b2-4907-bd35-cec5934df2ea	8af3c9a9-1e96-41b4-88d4-84ab029e905a	LIGHTING
3ae3844f-b7b2-4907-bd35-cec5934df2ea	e362c2cd-41e5-4a3b-9c1a-7dba1457851b	CRITICAL_POWER_DISTRIBUTION
3ae3844f-b7b2-4907-bd35-cec5934df2ea	41f222d6-3e0e-4691-8871-2d4275e64e54	CRAH
3ae3844f-b7b2-4907-bd35-cec5934df2ea	ae48733b-4fef-4224-b812-ccad2a87e665	CRAC
3ae3844f-b7b2-4907-bd35-cec5934df2ea	9767a0cf-8ca1-4a20-a98d-2dde80c36bd8	CRAC_WITHOUT_FAN
3ae3844f-b7b2-4907-bd35-cec5934df2ea	b82031b2-7b53-4fdf-8ce5-739eb79da569	CRAC_FAN
3ae3844f-b7b2-4907-bd35-cec5934df2ea	b5be1a78-faa7-4a23-8356-1633b17d9a45	CHILLER
3ae3844f-b7b2-4907-bd35-cec5934df2ea	8c677d1d-46cb-4716-be0b-8c909b61c415	AIR_COOLED_CHILLER
3ae3844f-b7b2-4907-bd35-cec5934df2ea	c289d372-b0de-4609-8802-aa15004bf443	COOLING_TOWER
3ae3844f-b7b2-4907-bd35-cec5934df2ea	a554dd7f-c4f2-46c4-bc4e-05f8a0ee5609	DRY_COOLER
3ae3844f-b7b2-4907-bd35-cec5934df2ea	d22034c5-6b16-4338-9f4b-a853a3b10146	REMOTE_CONDENSER
3ae3844f-b7b2-4907-bd35-cec5934df2ea	8ff3e504-dcd8-42f5-a67e-e53d855c1ba9	CHILLED_WATER_PUMPS
3ae3844f-b7b2-4907-bd35-cec5934df2ea	499c99c9-ad2a-4c8e-a868-e883d3e1d04b	HEAT_REJECTION_PUMPS
3ae3844f-b7b2-4907-bd35-cec5934df2ea	df41b36f-15bf-467f-8327-9c78e11df446	VENTILATION
3ae3844f-b7b2-4907-bd35-cec5934df2ea	a010b90f-ac6a-418d-b8cf-ee94afb4691d	INFILTRATION
3ae3844f-b7b2-4907-bd35-cec5934df2ea	367c1b01-7303-4b67-8452-be5aeb0ed42a	IT_LOAD
cf6614db-145b-408e-9fb0-4df9950366fc	7540cb84-96e9-4ac3-a9f9-b3977a79f4af	SWITCHGEAR
cf6614db-145b-408e-9fb0-4df9950366fc	399d04ce-33ed-4a4e-883f-878c17527eff	GENERATOR
cf6614db-145b-408e-9fb0-4df9950366fc	4d277483-e90d-46f9-a965-11d6f4da8aea	PRIMARY_AUXILIARIES
cf6614db-145b-408e-9fb0-4df9950366fc	12c955f2-23db-443d-a421-d448d6e34b72	UPS
cf6614db-145b-408e-9fb0-4df9950366fc	c4061ae7-de04-49ca-a188-e487c77b7988	CRITICAL_AUXILIARIES
cf6614db-145b-408e-9fb0-4df9950366fc	29bd72e8-e035-41ae-b660-8c58ec5899a1	LIGHTING
cf6614db-145b-408e-9fb0-4df9950366fc	decf834f-2803-4e77-b0cd-235063417655	CRITICAL_POWER_DISTRIBUTION
cf6614db-145b-408e-9fb0-4df9950366fc	c548ece7-6c94-4d6e-ac1f-4cdcf168a7a2	CRAH
cf6614db-145b-408e-9fb0-4df9950366fc	b3c9c581-6433-455e-9eca-1c737023300b	CRAC
cf6614db-145b-408e-9fb0-4df9950366fc	fc917746-dbf8-4607-859c-a4dc91119f42	CRAC_WITHOUT_FAN
cf6614db-145b-408e-9fb0-4df9950366fc	a6e1c495-6490-4d5b-a8dd-504a133ef899	CRAC_FAN
cf6614db-145b-408e-9fb0-4df9950366fc	8340edde-66cd-44a1-8fab-9f82df4a2b90	CHILLER
cf6614db-145b-408e-9fb0-4df9950366fc	8e817638-52a6-4436-b4c0-1c98d18bdd0e	AIR_COOLED_CHILLER
cf6614db-145b-408e-9fb0-4df9950366fc	d3987405-d8d3-4d9d-9696-f9aea82fdda1	COOLING_TOWER
cf6614db-145b-408e-9fb0-4df9950366fc	d458205b-4ce8-4692-9d98-e80f210a0b87	DRY_COOLER
cf6614db-145b-408e-9fb0-4df9950366fc	a097db03-264c-4165-8918-51e801956ed3	REMOTE_CONDENSER
cf6614db-145b-408e-9fb0-4df9950366fc	499ef3c3-15bc-4e1b-8c50-561dbf491801	CHILLED_WATER_PUMPS
cf6614db-145b-408e-9fb0-4df9950366fc	76e05d95-d05b-4e16-b22a-f883a7360e61	HEAT_REJECTION_PUMPS
cf6614db-145b-408e-9fb0-4df9950366fc	fe93df78-60c7-429f-acbb-6e1b14497fee	VENTILATION
cf6614db-145b-408e-9fb0-4df9950366fc	08c09725-0d8f-41be-9bb0-5ed3b2b02489	INFILTRATION
cf6614db-145b-408e-9fb0-4df9950366fc	186e8333-cf0a-4be4-b78d-02335ac3859f	IT_LOAD
984485ed-f704-43f9-a97a-6946090edff7	ca788e0d-4298-4c37-9c3d-693d30d699cc	SWITCHGEAR
984485ed-f704-43f9-a97a-6946090edff7	01e618e0-cd8a-407f-930c-8de0087296c6	GENERATOR
984485ed-f704-43f9-a97a-6946090edff7	41fb8d6c-dc71-4d4a-a1c4-9dad88f11020	PRIMARY_AUXILIARIES
984485ed-f704-43f9-a97a-6946090edff7	bf9dfff0-406b-4901-af16-c7c4ae72c54d	UPS
984485ed-f704-43f9-a97a-6946090edff7	25bd64ae-e065-44f0-8916-31100038131f	CRITICAL_AUXILIARIES
984485ed-f704-43f9-a97a-6946090edff7	ebd0ed86-a30d-4693-be1a-04ba48295c3f	LIGHTING
984485ed-f704-43f9-a97a-6946090edff7	64541ded-b995-42fc-bb73-5706f4868490	CRITICAL_POWER_DISTRIBUTION
984485ed-f704-43f9-a97a-6946090edff7	00acef2a-9423-41fe-882e-60563dc308e9	CRAH
984485ed-f704-43f9-a97a-6946090edff7	5f98d3f8-f3a2-4c5a-8d0e-66c301d5e01c	CRAC
984485ed-f704-43f9-a97a-6946090edff7	7e9ead2f-70ff-41f2-883c-7229a095fbc0	CRAC_WITHOUT_FAN
984485ed-f704-43f9-a97a-6946090edff7	4bd2e1c1-3050-42d3-a217-fc43d93658a4	CRAC_FAN
984485ed-f704-43f9-a97a-6946090edff7	cc111091-0938-46a2-8263-2e2581f01529	CHILLER
984485ed-f704-43f9-a97a-6946090edff7	561de54e-4a04-4f74-97d7-5dac885aeb4b	AIR_COOLED_CHILLER
984485ed-f704-43f9-a97a-6946090edff7	9119971d-08bb-4243-86b7-238dbe61da61	COOLING_TOWER
984485ed-f704-43f9-a97a-6946090edff7	a1320898-97a5-44ef-90ec-38fb6ea8ac95	DRY_COOLER
984485ed-f704-43f9-a97a-6946090edff7	501fdd70-c61f-4942-a38e-a40bc4868b67	REMOTE_CONDENSER
984485ed-f704-43f9-a97a-6946090edff7	fa52bede-1145-4dab-88bd-2ef35a210eda	CHILLED_WATER_PUMPS
984485ed-f704-43f9-a97a-6946090edff7	70847236-c83a-45bc-abdc-f4311486c5ac	HEAT_REJECTION_PUMPS
984485ed-f704-43f9-a97a-6946090edff7	83504c59-4b87-4801-8228-433832a3d2af	VENTILATION
984485ed-f704-43f9-a97a-6946090edff7	34aa9fa5-6d06-459b-b173-fed609165474	INFILTRATION
984485ed-f704-43f9-a97a-6946090edff7	7d12e6a4-0ede-4e7b-935d-501036921aed	IT_LOAD
e1593c6f-c55c-4dbb-9991-300bc91785f7	2ddd33e4-2b7a-4e68-970c-fcbfb73f931a	SWITCHGEAR
e1593c6f-c55c-4dbb-9991-300bc91785f7	67461c18-cdc8-42dd-b9f1-3bac632fc1cf	GENERATOR
e1593c6f-c55c-4dbb-9991-300bc91785f7	de04d223-37dd-4683-8135-9d4934916d00	PRIMARY_AUXILIARIES
e1593c6f-c55c-4dbb-9991-300bc91785f7	00dad3bb-aaa7-45c9-8946-1052c4c2fc47	UPS
e1593c6f-c55c-4dbb-9991-300bc91785f7	8ecb539a-23a8-472c-a636-1c21f6886d01	CRITICAL_AUXILIARIES
e1593c6f-c55c-4dbb-9991-300bc91785f7	8d774f64-0139-4cc6-9019-bf80330cc172	LIGHTING
e1593c6f-c55c-4dbb-9991-300bc91785f7	3ef42120-77d0-40ab-9e35-1c634c49cbab	CRITICAL_POWER_DISTRIBUTION
e1593c6f-c55c-4dbb-9991-300bc91785f7	f102d867-5bca-42f7-a20a-7e588e2a97ec	CRAH
e1593c6f-c55c-4dbb-9991-300bc91785f7	158440fd-a073-4985-a46f-fd5ac4e73930	CRAC
e1593c6f-c55c-4dbb-9991-300bc91785f7	ba61de6e-d0f0-4361-875b-003a5aceee00	CRAC_WITHOUT_FAN
e1593c6f-c55c-4dbb-9991-300bc91785f7	40f547d1-4ccc-40f5-b7a8-32a5b9fc0138	CRAC_FAN
e1593c6f-c55c-4dbb-9991-300bc91785f7	8ddbeef1-9390-4328-a80c-a3d131ee7164	CHILLER
e1593c6f-c55c-4dbb-9991-300bc91785f7	87c16922-d605-445e-9acf-fdbb43005fb8	AIR_COOLED_CHILLER
e1593c6f-c55c-4dbb-9991-300bc91785f7	45f26ee8-8303-434a-96e9-8a4238ef4a8d	COOLING_TOWER
e1593c6f-c55c-4dbb-9991-300bc91785f7	a2833bc2-f267-49e6-942e-bb14d991fa6d	DRY_COOLER
e1593c6f-c55c-4dbb-9991-300bc91785f7	eb9c3e59-29dc-42d3-a039-3d9c35c15c2f	REMOTE_CONDENSER
e1593c6f-c55c-4dbb-9991-300bc91785f7	dad9c967-fc34-4715-8e49-2802c247e48b	CHILLED_WATER_PUMPS
e1593c6f-c55c-4dbb-9991-300bc91785f7	b4ac5e86-7b09-484e-acbb-2299f1cfdb1b	HEAT_REJECTION_PUMPS
e1593c6f-c55c-4dbb-9991-300bc91785f7	0c5a706a-465e-48f5-959a-4bda25180482	VENTILATION
e1593c6f-c55c-4dbb-9991-300bc91785f7	84c33e49-f0cd-4646-a234-78aa9fd493f6	INFILTRATION
e1593c6f-c55c-4dbb-9991-300bc91785f7	0ac168b4-ea43-40bb-862b-7b88dfb53511	IT_LOAD
3010bf67-dc51-410b-8559-4407af14e2ba	03b12e84-2909-43a1-a306-bf330cb5d6ad	SWITCHGEAR
3010bf67-dc51-410b-8559-4407af14e2ba	26ea9c65-113b-43d4-839b-48794bb646a8	GENERATOR
3010bf67-dc51-410b-8559-4407af14e2ba	53ff6e68-d31e-4798-b05e-d5f85570002f	PRIMARY_AUXILIARIES
3010bf67-dc51-410b-8559-4407af14e2ba	d64bee0a-775d-4661-a272-e56b613cda84	UPS
3010bf67-dc51-410b-8559-4407af14e2ba	cc56b13b-3928-49e2-a782-99dc91b2711e	CRITICAL_AUXILIARIES
3010bf67-dc51-410b-8559-4407af14e2ba	00ace107-ac83-4aea-8782-d3763d92d728	LIGHTING
3010bf67-dc51-410b-8559-4407af14e2ba	997e562e-0310-4968-98d9-8442c9b96e61	CRITICAL_POWER_DISTRIBUTION
3010bf67-dc51-410b-8559-4407af14e2ba	3f66c9ee-404c-4213-906d-75af5228c29e	CRAH
3010bf67-dc51-410b-8559-4407af14e2ba	af4d3bcc-c8ce-4936-8e7d-66d769bcb323	CRAC
3010bf67-dc51-410b-8559-4407af14e2ba	20f194e1-5c27-4c02-9cb4-6ed02251646f	CRAC_WITHOUT_FAN
3010bf67-dc51-410b-8559-4407af14e2ba	bc47fc9a-56b2-4858-8c18-265b0959d5e5	CRAC_FAN
3010bf67-dc51-410b-8559-4407af14e2ba	3065cac9-ebdf-4658-8531-ff52332c8e3d	CHILLER
3010bf67-dc51-410b-8559-4407af14e2ba	38937b6c-7f2c-4d72-bff0-fd9654b38e0c	AIR_COOLED_CHILLER
3010bf67-dc51-410b-8559-4407af14e2ba	9b74b1fc-c588-4ca4-89ef-e626df4e52a6	COOLING_TOWER
3010bf67-dc51-410b-8559-4407af14e2ba	2f883dd4-63af-4b32-a9b8-55b18b91710a	DRY_COOLER
3010bf67-dc51-410b-8559-4407af14e2ba	4a2286b4-1042-48ee-b90d-1a1723ee62ee	REMOTE_CONDENSER
3010bf67-dc51-410b-8559-4407af14e2ba	792473ac-a645-427e-89f9-70c7939212bc	CHILLED_WATER_PUMPS
3010bf67-dc51-410b-8559-4407af14e2ba	0f2f310a-caf7-4c8d-afcb-b37c470fdcb8	HEAT_REJECTION_PUMPS
3010bf67-dc51-410b-8559-4407af14e2ba	4825d2be-a2d4-468b-a827-d836beb17276	VENTILATION
3010bf67-dc51-410b-8559-4407af14e2ba	7babe1ab-91ae-4ded-8775-4ad553057687	INFILTRATION
3010bf67-dc51-410b-8559-4407af14e2ba	9190201e-142b-49a2-bfc1-cb853fbff655	IT_LOAD
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	19870083-22d7-4fdc-b887-ebdd14960545	SWITCHGEAR
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	8e782ab5-3c37-4130-a86e-e0174110372e	GENERATOR
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	89bd138e-89de-4305-b425-f7432f2bc322	PRIMARY_AUXILIARIES
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	bbc4a515-0b7b-400b-bdc6-e6a8e71dd88e	UPS
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	4cde2dfe-caba-4a01-926b-811cd065b6eb	CRITICAL_AUXILIARIES
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	28bbe8f5-5798-49e9-a7b3-700181347e63	LIGHTING
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	16da2a0f-6c90-4aa4-9ee6-2bd30eb577df	CRITICAL_POWER_DISTRIBUTION
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	ac397eb9-e0ba-4194-bc7b-176d88d19623	CRAH
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	c72c7c46-5a40-4825-a4b1-3d5b50c2bd3f	CRAC
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	dbcef2d5-fa7b-4fdd-b5cf-37c49f994b0b	CRAC_WITHOUT_FAN
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	062b9cdd-d95c-4357-8d7b-c872304c96d9	CRAC_FAN
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	0bb2fe4b-a3af-488c-ae1c-7f1da7b57739	CHILLER
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	5397a476-d96c-40ea-ba28-59a1b9981a84	AIR_COOLED_CHILLER
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	73feda2a-ffe8-4706-9d63-0ce6dc7e4a8a	COOLING_TOWER
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	20122baf-b755-4c95-89d7-0486249c8d18	DRY_COOLER
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	e1e15fe9-ee72-4ddb-92a0-0246863ccf94	REMOTE_CONDENSER
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	d46a7c32-6c1d-43ba-af66-26c526cc6aff	CHILLED_WATER_PUMPS
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	a7e14e30-0225-455c-b4ac-1b461ce8feec	HEAT_REJECTION_PUMPS
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	aa9a6672-9da2-4ca1-82d7-dee45b31383a	VENTILATION
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	da8e6d97-1a29-4ded-9b31-5a4e4ccfd23d	INFILTRATION
dec205c9-5cb0-4d74-af40-3a0fe6a703b4	bf494eae-6c39-4e59-a16b-3e2c1429a9fb	IT_LOAD
c8b40036-9136-4241-8f2b-4c59c934890a	73d6da21-f62b-4360-97ed-2a3055632210	SWITCHGEAR
c8b40036-9136-4241-8f2b-4c59c934890a	c7f05958-224e-4a22-89df-df4e375a2719	GENERATOR
c8b40036-9136-4241-8f2b-4c59c934890a	1e99474d-2f04-440b-9904-fc4251ae9f14	PRIMARY_AUXILIARIES
c8b40036-9136-4241-8f2b-4c59c934890a	627f9e31-33b5-4816-bbc7-b5b96a6e4223	UPS
c8b40036-9136-4241-8f2b-4c59c934890a	d5294974-c2c3-49b8-9ae6-ceba19a32908	CRITICAL_AUXILIARIES
c8b40036-9136-4241-8f2b-4c59c934890a	642af6e8-229b-4b19-b767-b13fefc6717e	LIGHTING
c8b40036-9136-4241-8f2b-4c59c934890a	7b9a7f60-34d6-4a46-b81c-466e5e519ece	CRITICAL_POWER_DISTRIBUTION
c8b40036-9136-4241-8f2b-4c59c934890a	b31e7a79-59ec-4d8d-a92c-3bf7cb59304c	CRAH
c8b40036-9136-4241-8f2b-4c59c934890a	b78752c3-fa4e-46b4-8f77-ee5882e190f2	CRAC
c8b40036-9136-4241-8f2b-4c59c934890a	fd2499f1-13c7-4e88-9781-e3f01865d082	CRAC_WITHOUT_FAN
c8b40036-9136-4241-8f2b-4c59c934890a	63780297-e5ee-4f78-ab99-3109b86db8ff	CRAC_FAN
c8b40036-9136-4241-8f2b-4c59c934890a	e7548700-6797-4927-9f28-8f8cb3c27865	CHILLER
c8b40036-9136-4241-8f2b-4c59c934890a	300ad45e-1982-402d-b8ab-82a3827341f3	AIR_COOLED_CHILLER
c8b40036-9136-4241-8f2b-4c59c934890a	ac427100-d0b8-42a3-ba46-54753b7ff03e	COOLING_TOWER
c8b40036-9136-4241-8f2b-4c59c934890a	357f494e-2d27-4d31-80ba-6b834b2e5ae8	DRY_COOLER
c8b40036-9136-4241-8f2b-4c59c934890a	6fdca319-cdc3-420e-a6b5-056f269f544c	REMOTE_CONDENSER
c8b40036-9136-4241-8f2b-4c59c934890a	6cd22d1c-aa9d-4b08-9504-868037b1bba2	CHILLED_WATER_PUMPS
c8b40036-9136-4241-8f2b-4c59c934890a	66bd7216-8c64-4c6c-b8bf-da2af2c40970	HEAT_REJECTION_PUMPS
c8b40036-9136-4241-8f2b-4c59c934890a	ff988b01-6a17-42cb-8e34-f9f00cf8f3aa	VENTILATION
c8b40036-9136-4241-8f2b-4c59c934890a	96b661cb-14b7-423c-81d4-5dbc1ecc2583	INFILTRATION
c8b40036-9136-4241-8f2b-4c59c934890a	63bd4256-47d9-483a-bc24-ad9cb773f4f6	IT_LOAD
4d2c0ff0-3d69-40aa-8fa3-67094f189910	c99985e6-3708-4272-9865-bd7fd991de67	SWITCHGEAR
4d2c0ff0-3d69-40aa-8fa3-67094f189910	38e4a62c-2ae2-4559-9870-f933e8d2719f	GENERATOR
4d2c0ff0-3d69-40aa-8fa3-67094f189910	48bf5117-12c8-48be-abd9-7746f9a2df1f	PRIMARY_AUXILIARIES
4d2c0ff0-3d69-40aa-8fa3-67094f189910	c16d4d85-7c14-49c2-93c3-7bf3138624e8	UPS
4d2c0ff0-3d69-40aa-8fa3-67094f189910	69e58b8a-964c-443d-b7b6-6b27ba808278	CRITICAL_AUXILIARIES
4d2c0ff0-3d69-40aa-8fa3-67094f189910	c6977be9-b2ab-4c62-8c4d-94616f5a3203	LIGHTING
4d2c0ff0-3d69-40aa-8fa3-67094f189910	30855c77-e5b6-4a95-94dd-456f5ccfd403	CRITICAL_POWER_DISTRIBUTION
4d2c0ff0-3d69-40aa-8fa3-67094f189910	02877eb4-98e3-4952-9e9f-5b98c5a61759	CRAH
4d2c0ff0-3d69-40aa-8fa3-67094f189910	02345962-a908-40a6-b599-1bbedbf70da1	CRAC
4d2c0ff0-3d69-40aa-8fa3-67094f189910	ac09179e-5dc9-455b-a6b0-71524d6eec16	CRAC_WITHOUT_FAN
4d2c0ff0-3d69-40aa-8fa3-67094f189910	f39f9adc-de87-40a0-a326-5553d21b0da6	CRAC_FAN
4d2c0ff0-3d69-40aa-8fa3-67094f189910	0fc424f5-30e3-4991-bc90-da918dccb01b	CHILLER
4d2c0ff0-3d69-40aa-8fa3-67094f189910	229e28b2-5e4b-4bae-a8c8-a745bf12142a	AIR_COOLED_CHILLER
4d2c0ff0-3d69-40aa-8fa3-67094f189910	d4988716-4572-44aa-85e9-cc5ba9be222f	COOLING_TOWER
4d2c0ff0-3d69-40aa-8fa3-67094f189910	5dfa89da-86ac-47fe-8465-3a4d159daee2	DRY_COOLER
4d2c0ff0-3d69-40aa-8fa3-67094f189910	f47c51f8-a9f8-40db-9d2a-4bb0b8f209be	REMOTE_CONDENSER
4d2c0ff0-3d69-40aa-8fa3-67094f189910	f6f049dd-7b99-47a8-9314-18572e88ccc8	CHILLED_WATER_PUMPS
4d2c0ff0-3d69-40aa-8fa3-67094f189910	7ad30244-9198-45c8-a3ff-1aa6877d30c9	HEAT_REJECTION_PUMPS
4d2c0ff0-3d69-40aa-8fa3-67094f189910	391f5c1f-940e-4500-bd21-17b646474429	VENTILATION
4d2c0ff0-3d69-40aa-8fa3-67094f189910	28acb012-38f1-4138-a1ec-8b1efd967c65	INFILTRATION
4d2c0ff0-3d69-40aa-8fa3-67094f189910	4a97280f-ac2f-497a-adfd-d017e5e738a6	IT_LOAD
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	e238c145-38a2-474e-a250-e1208806b68c	SWITCHGEAR
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	44a905f3-aecf-4dca-a358-7d6d9b9e2c14	GENERATOR
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	eba8fdf4-1100-40ac-b726-28fe610aa744	PRIMARY_AUXILIARIES
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	435fde95-6699-4f1e-8dfa-b89c8649089f	UPS
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	cd899d74-abec-409f-9dc4-53b61ff8e4d1	CRITICAL_AUXILIARIES
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	8d8e7597-fee9-4bbe-b939-b44cc859592a	LIGHTING
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	fa755739-c76e-4e88-af21-a438ba85a920	CRITICAL_POWER_DISTRIBUTION
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	32363c9a-e606-416a-84ad-94eb8e71aede	CRAH
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	e41c148a-3c8c-42ff-a2f5-64b5d8dea2ae	CRAC
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	3a0116d1-6eb0-42c9-b8b0-f348801637c1	CRAC_WITHOUT_FAN
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	196c70e4-bce2-4da5-bd3b-213ecb08aa92	CRAC_FAN
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	04cd1480-d6e3-4148-a137-01e3a8b734af	CHILLER
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	d1da873f-1c2f-4181-ad35-67713dcd437c	AIR_COOLED_CHILLER
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	0da11b66-b783-4e40-9ca3-d815b97319bd	COOLING_TOWER
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	242206cd-977c-4a3e-9dbc-388a2a9a295b	DRY_COOLER
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	0d7710fd-f209-4261-8375-0828677d7f7d	REMOTE_CONDENSER
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	683514a4-1150-45a7-9056-58e92f0805d1	CHILLED_WATER_PUMPS
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	736c2000-0b66-474b-baa7-d3ca56f253b1	HEAT_REJECTION_PUMPS
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	f34ea8be-c298-4d77-8fb2-7d932f159ada	VENTILATION
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	40d74876-9086-4957-a47a-e0a5d61bc1c8	INFILTRATION
8f7f0ef9-75a3-492b-8e21-cf2df5ff576b	a005b407-cfe3-4bf4-b827-9b2c65c63b33	IT_LOAD
204d159a-1d4b-49f4-b113-d7620a0d7184	a23a2a22-0a9a-4a77-b26c-ed0e5ec8399b	SWITCHGEAR
204d159a-1d4b-49f4-b113-d7620a0d7184	46cefa54-a633-4a60-9aaa-bb9c6eab1f50	GENERATOR
204d159a-1d4b-49f4-b113-d7620a0d7184	afa053f7-6841-482c-bada-9c668082ab07	PRIMARY_AUXILIARIES
204d159a-1d4b-49f4-b113-d7620a0d7184	c17a76aa-e93f-4775-8fd6-68f42bc35d58	UPS
204d159a-1d4b-49f4-b113-d7620a0d7184	d2d75160-1c8b-4f6d-a637-8dac3313308d	CRITICAL_AUXILIARIES
204d159a-1d4b-49f4-b113-d7620a0d7184	7607e104-01c6-422d-9e2f-2072bef6a9ad	LIGHTING
204d159a-1d4b-49f4-b113-d7620a0d7184	ad194808-47d6-45aa-877d-b82c22794fda	CRITICAL_POWER_DISTRIBUTION
204d159a-1d4b-49f4-b113-d7620a0d7184	a58198a0-2e3d-4f6c-9bc3-d5ddfd524368	CRAH
204d159a-1d4b-49f4-b113-d7620a0d7184	141feba4-2c30-4606-bf16-800f2e45d5e7	CRAC
204d159a-1d4b-49f4-b113-d7620a0d7184	cff402c9-fb86-4edd-a70b-91521b0abad3	CRAC_WITHOUT_FAN
204d159a-1d4b-49f4-b113-d7620a0d7184	d3546481-0e58-451e-a496-7bc058e968bd	CRAC_FAN
204d159a-1d4b-49f4-b113-d7620a0d7184	62154b08-8714-47ff-9f4c-476c7c65ebc5	CHILLER
204d159a-1d4b-49f4-b113-d7620a0d7184	e75dd453-9132-4fef-8631-bbc5c41d165e	AIR_COOLED_CHILLER
204d159a-1d4b-49f4-b113-d7620a0d7184	e25882be-6237-472e-b02a-c2a80c8f73f8	COOLING_TOWER
204d159a-1d4b-49f4-b113-d7620a0d7184	1c12e72f-2571-4b0e-b8ff-60f0bdf47552	DRY_COOLER
204d159a-1d4b-49f4-b113-d7620a0d7184	465dbf3e-905c-4c5d-9bde-35afaf1bde07	REMOTE_CONDENSER
204d159a-1d4b-49f4-b113-d7620a0d7184	97641981-4f0b-4db5-8f6a-b93a64399926	CHILLED_WATER_PUMPS
204d159a-1d4b-49f4-b113-d7620a0d7184	484ff836-6c91-4842-ad21-ad96f10bef63	HEAT_REJECTION_PUMPS
204d159a-1d4b-49f4-b113-d7620a0d7184	6a72424b-b093-4587-9e2d-6fba009e7998	VENTILATION
204d159a-1d4b-49f4-b113-d7620a0d7184	fdd453c3-ebfd-450c-a07e-af7ec3bee472	INFILTRATION
204d159a-1d4b-49f4-b113-d7620a0d7184	b1ca075f-da18-43c9-a975-7eb55c3b6c41	IT_LOAD
ee8c9d92-7631-48f5-bbcd-234a4288e9db	7d5ced8b-407f-46ff-bc14-dd2689fe3ff0	SWITCHGEAR
ee8c9d92-7631-48f5-bbcd-234a4288e9db	66f7ff72-90f1-4fec-a1f4-9f285bd21518	GENERATOR
ee8c9d92-7631-48f5-bbcd-234a4288e9db	4a1b0585-3cc0-4b02-89b7-d281dfe8c3f2	PRIMARY_AUXILIARIES
ee8c9d92-7631-48f5-bbcd-234a4288e9db	065af185-bcab-4d66-b2aa-a3624423b93a	UPS
ee8c9d92-7631-48f5-bbcd-234a4288e9db	70bad89e-e4d8-460f-8aab-c773cfb96819	CRITICAL_AUXILIARIES
ee8c9d92-7631-48f5-bbcd-234a4288e9db	c97c91cb-397b-4224-bfb1-bf8e4bfc1c54	LIGHTING
ee8c9d92-7631-48f5-bbcd-234a4288e9db	61a99a5b-06d0-4c16-a74e-06a1a34e4a2d	CRITICAL_POWER_DISTRIBUTION
ee8c9d92-7631-48f5-bbcd-234a4288e9db	3799c258-aa61-4242-a866-e72850543449	CRAH
ee8c9d92-7631-48f5-bbcd-234a4288e9db	1ecc76d6-57b8-4033-86b1-e7c7636b5ac3	CRAC
ee8c9d92-7631-48f5-bbcd-234a4288e9db	c9e9b310-cbc5-43d0-b673-4647f6c151f3	CRAC_WITHOUT_FAN
ee8c9d92-7631-48f5-bbcd-234a4288e9db	8068ab93-ff21-4159-8e65-13ab28a7be2b	CRAC_FAN
ee8c9d92-7631-48f5-bbcd-234a4288e9db	113e3436-6a28-4cb1-9927-6a4dd276011b	CHILLER
ee8c9d92-7631-48f5-bbcd-234a4288e9db	08c0c8ff-638c-4355-868d-736344b8ee30	AIR_COOLED_CHILLER
ee8c9d92-7631-48f5-bbcd-234a4288e9db	e012cec3-87de-4cc7-9a88-017672a6cf32	COOLING_TOWER
ee8c9d92-7631-48f5-bbcd-234a4288e9db	5dbfe8ae-3189-4b8a-8331-b9a0097fa8de	DRY_COOLER
ee8c9d92-7631-48f5-bbcd-234a4288e9db	9918e554-d20d-4634-91de-cd34cf47b82f	REMOTE_CONDENSER
ee8c9d92-7631-48f5-bbcd-234a4288e9db	227565f1-297a-4ad5-96ce-acf37fd66894	CHILLED_WATER_PUMPS
ee8c9d92-7631-48f5-bbcd-234a4288e9db	9152b94c-dbe5-4e45-aac2-def59a448cbe	HEAT_REJECTION_PUMPS
ee8c9d92-7631-48f5-bbcd-234a4288e9db	df659aeb-41e2-4d91-83e6-1870ef0aad87	VENTILATION
ee8c9d92-7631-48f5-bbcd-234a4288e9db	9d519d5c-2e9b-469b-be97-b9ba5eee5824	INFILTRATION
ee8c9d92-7631-48f5-bbcd-234a4288e9db	2f2f831a-bbdd-4ef9-83cb-a571d2bcad3f	IT_LOAD
546ba6a8-24bd-441d-a600-aa4a9053b126	79467172-bef3-4599-a972-61efd8250adf	SWITCHGEAR
546ba6a8-24bd-441d-a600-aa4a9053b126	56bb8d95-0b70-43bd-8147-43316ecbb46a	GENERATOR
546ba6a8-24bd-441d-a600-aa4a9053b126	17f574e5-96cd-4edc-9774-65f3d6e25042	PRIMARY_AUXILIARIES
546ba6a8-24bd-441d-a600-aa4a9053b126	5d7aa85c-3bf7-4bec-9ec0-800ad1d7cb67	UPS
546ba6a8-24bd-441d-a600-aa4a9053b126	d1893880-39c2-4737-a8e0-473eb015ca28	CRITICAL_AUXILIARIES
546ba6a8-24bd-441d-a600-aa4a9053b126	37190136-c60a-4a5f-9f4c-46278b38ca6c	LIGHTING
546ba6a8-24bd-441d-a600-aa4a9053b126	c6298884-e230-4ee0-a135-e9c8eedfc364	CRITICAL_POWER_DISTRIBUTION
546ba6a8-24bd-441d-a600-aa4a9053b126	12541a36-f81a-4849-b2c8-95fdf4e79eae	CRAH
546ba6a8-24bd-441d-a600-aa4a9053b126	6ba3e06f-fe7e-4a56-8a8d-f55656b79750	CRAC
546ba6a8-24bd-441d-a600-aa4a9053b126	17b07e77-ca25-4442-b20d-facad45ed1d2	CRAC_WITHOUT_FAN
546ba6a8-24bd-441d-a600-aa4a9053b126	58bd6b62-14ad-4092-9839-63ebcdea7baa	CRAC_FAN
546ba6a8-24bd-441d-a600-aa4a9053b126	5e96d6db-274a-4444-a096-d7bb40294481	CHILLER
546ba6a8-24bd-441d-a600-aa4a9053b126	50349d10-33a5-4158-81f0-35e227147817	AIR_COOLED_CHILLER
546ba6a8-24bd-441d-a600-aa4a9053b126	daa31b14-5df7-465c-bfdd-0a26c9e8a407	COOLING_TOWER
546ba6a8-24bd-441d-a600-aa4a9053b126	22f26ddf-9934-4b81-8f1c-7453ca9bf433	DRY_COOLER
546ba6a8-24bd-441d-a600-aa4a9053b126	d8674cb4-ffc3-42ca-a1d7-ac0444562777	REMOTE_CONDENSER
546ba6a8-24bd-441d-a600-aa4a9053b126	8f9d77c2-c34e-43df-9b2d-a14f7f2dbe1b	CHILLED_WATER_PUMPS
546ba6a8-24bd-441d-a600-aa4a9053b126	bef8e522-7617-47da-9c2b-55fb3725d42b	HEAT_REJECTION_PUMPS
546ba6a8-24bd-441d-a600-aa4a9053b126	5eb9c65e-1408-4d33-88a0-107299c53381	VENTILATION
546ba6a8-24bd-441d-a600-aa4a9053b126	92b4daa9-d9b1-45f6-9ccc-45bbae1dae98	INFILTRATION
546ba6a8-24bd-441d-a600-aa4a9053b126	d993d8fa-fdf3-46f2-8d49-f519b9521bf5	IT_LOAD
695dc46f-d734-4a78-ba2e-77122da87ae8	b076bbf0-03fc-4653-ad42-c04ae62f303c	SWITCHGEAR
695dc46f-d734-4a78-ba2e-77122da87ae8	854625ae-ef14-4980-b571-b5dc2fa08118	GENERATOR
695dc46f-d734-4a78-ba2e-77122da87ae8	a50a9297-94dd-4cd4-85a6-791c797ee831	PRIMARY_AUXILIARIES
695dc46f-d734-4a78-ba2e-77122da87ae8	b3018417-52e3-47b7-b786-2fa4bbb4787f	UPS
695dc46f-d734-4a78-ba2e-77122da87ae8	055d1ced-77d0-4a2f-bd86-176d6ba9b270	CRITICAL_AUXILIARIES
695dc46f-d734-4a78-ba2e-77122da87ae8	5b08604e-7212-44e1-802d-a73f2ab16843	LIGHTING
695dc46f-d734-4a78-ba2e-77122da87ae8	1a4788c1-c9c9-47c9-b96a-caecfb134aae	CRITICAL_POWER_DISTRIBUTION
695dc46f-d734-4a78-ba2e-77122da87ae8	3685c7e9-f819-4e8d-8be4-628a6a74401d	CRAH
695dc46f-d734-4a78-ba2e-77122da87ae8	b2a67d72-43b2-416b-b8a0-ad83f2a7c19d	CRAC
695dc46f-d734-4a78-ba2e-77122da87ae8	f72911cc-c566-4a5d-808e-72985fa53b1f	CRAC_WITHOUT_FAN
695dc46f-d734-4a78-ba2e-77122da87ae8	3c536b2a-95d5-4551-a870-f88245e01584	CRAC_FAN
695dc46f-d734-4a78-ba2e-77122da87ae8	382c8f60-5851-4f31-b58c-4d08a1b76455	CHILLER
695dc46f-d734-4a78-ba2e-77122da87ae8	f5c8df0d-5d20-4d21-89d4-7dfc43bcba82	AIR_COOLED_CHILLER
695dc46f-d734-4a78-ba2e-77122da87ae8	b9173d8a-ecaf-4026-8e00-1e61acb89224	COOLING_TOWER
695dc46f-d734-4a78-ba2e-77122da87ae8	83b28a3c-a076-4de3-b029-f18ba99a1245	DRY_COOLER
695dc46f-d734-4a78-ba2e-77122da87ae8	f1a9c130-d45f-4f0d-9c1f-eeef2932d181	REMOTE_CONDENSER
695dc46f-d734-4a78-ba2e-77122da87ae8	4c4fee3c-669d-4cc8-8724-f03d885238fc	CHILLED_WATER_PUMPS
695dc46f-d734-4a78-ba2e-77122da87ae8	eb7a81ae-b505-4c29-8ef7-1bbbf8710baf	HEAT_REJECTION_PUMPS
695dc46f-d734-4a78-ba2e-77122da87ae8	3a31622e-77ae-41ba-99f2-6911f13fb115	VENTILATION
695dc46f-d734-4a78-ba2e-77122da87ae8	df132396-5c1e-42c7-b263-63dd0351e6cc	INFILTRATION
695dc46f-d734-4a78-ba2e-77122da87ae8	1cf3215a-71e5-4af5-914c-e2d1cd252c37	IT_LOAD
e522bb10-9eec-4d98-b858-ba444684d41c	01354112-d46d-4b38-bdf2-3f896970f3f8	SWITCHGEAR
e522bb10-9eec-4d98-b858-ba444684d41c	1f1c58db-172a-4143-ad67-4adc99aa2016	GENERATOR
e522bb10-9eec-4d98-b858-ba444684d41c	fe0ac644-d99c-4f2f-9925-e0a564d903a2	PRIMARY_AUXILIARIES
e522bb10-9eec-4d98-b858-ba444684d41c	1fd37aed-8a70-4828-9f30-d6721668bfd9	UPS
e522bb10-9eec-4d98-b858-ba444684d41c	dae6d221-a664-4c8a-9591-e00a9fdc8119	CRITICAL_AUXILIARIES
e522bb10-9eec-4d98-b858-ba444684d41c	195169c7-ad2e-4863-940b-3b990dfaf387	LIGHTING
e522bb10-9eec-4d98-b858-ba444684d41c	c7996105-6672-4381-a79c-3b52fe08281a	CRITICAL_POWER_DISTRIBUTION
e522bb10-9eec-4d98-b858-ba444684d41c	6549e0bb-fa11-4179-88b8-1e2158eaa0c2	CRAH
e522bb10-9eec-4d98-b858-ba444684d41c	b4555602-e541-4b19-acc5-7416c8bcda1d	CRAC
e522bb10-9eec-4d98-b858-ba444684d41c	faaae22d-717c-4048-9851-52b3bef17d23	CRAC_WITHOUT_FAN
e522bb10-9eec-4d98-b858-ba444684d41c	83e9dca3-fe0c-4016-ba54-e9654e817ae8	CRAC_FAN
e522bb10-9eec-4d98-b858-ba444684d41c	eb492bc3-b3f0-4aef-adc4-0fa6e0924cbf	CHILLER
e522bb10-9eec-4d98-b858-ba444684d41c	f97e3f77-654a-4790-ab8b-cd2264ce0a8f	AIR_COOLED_CHILLER
e522bb10-9eec-4d98-b858-ba444684d41c	bda3e99a-fcfd-4204-ab16-9c987fb88a33	COOLING_TOWER
e522bb10-9eec-4d98-b858-ba444684d41c	f05257bc-61b9-4845-a315-3c495b82a94b	DRY_COOLER
e522bb10-9eec-4d98-b858-ba444684d41c	6328958e-5969-42dd-8eff-c52f178e2b78	REMOTE_CONDENSER
e522bb10-9eec-4d98-b858-ba444684d41c	6657603d-32ba-4474-ac40-bca9fc7161e1	CHILLED_WATER_PUMPS
e522bb10-9eec-4d98-b858-ba444684d41c	4c50acd0-1e5f-4066-9638-7e6a53f6cb9e	HEAT_REJECTION_PUMPS
e522bb10-9eec-4d98-b858-ba444684d41c	fc974fb6-5b07-4a66-aab1-cde0e87e3fb0	VENTILATION
e522bb10-9eec-4d98-b858-ba444684d41c	7c7f2520-fd63-4416-b84f-66dc4c947872	INFILTRATION
e522bb10-9eec-4d98-b858-ba444684d41c	853b79e3-7e9c-4cd4-b012-9e1ee027ef23	IT_LOAD
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	3c242543-5ecd-43f9-96d5-1cb8fe720ff7	SWITCHGEAR
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	c7b8d935-0fd2-4540-8d19-cdd7fe75ae98	GENERATOR
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	62107dba-0a6d-4846-8deb-f94ad2e78c99	PRIMARY_AUXILIARIES
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	2298220d-e803-4900-8e84-30f1a11f824a	UPS
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	df80aaf4-7d9a-4eea-8956-6633bb04d6af	CRITICAL_AUXILIARIES
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	4dd070eb-cc04-4a24-aa55-93bbf76030c4	LIGHTING
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	cba20aea-df4f-4b64-bc8b-0ef4dd228573	CRITICAL_POWER_DISTRIBUTION
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	06e65f4b-e4ad-4913-af7a-71c2f95c0294	CRAH
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	2dabea17-c222-4dcb-8af8-50e88e233e8c	CRAC
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	72ab8490-935d-4a39-929d-c57e0ebc4e7e	CRAC_WITHOUT_FAN
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	deb56440-66b1-4195-8bb0-71b3ae23499a	CRAC_FAN
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	b4fccf71-9000-4119-bdfd-ecf9cf007174	CHILLER
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	93c2f4c7-0a47-4b79-9bce-996ad39da8a2	AIR_COOLED_CHILLER
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	d2984540-2914-403e-acba-adaed6a7602e	COOLING_TOWER
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	67cad6d0-960c-4b95-a702-a0b0264a5fa0	DRY_COOLER
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	eeb42632-6c07-4123-ad72-fe55d8614fc2	REMOTE_CONDENSER
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	01ba351c-96c4-4ac4-9a06-e1971ff75326	CHILLED_WATER_PUMPS
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	d0f73ebc-0b22-4464-b294-a8ccf0951d49	HEAT_REJECTION_PUMPS
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	76ccbcb6-cdac-480e-9cc7-af64e75e6a79	VENTILATION
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	cc1d5e2a-79d4-440d-964e-3153903e6298	INFILTRATION
36d615b9-ae2f-47ec-bcd0-d99118e49d5e	c43bbff3-38ef-4c7d-ae67-d47cb994f585	IT_LOAD
da38c591-7997-4a1f-8ce7-b6b9f01056e5	493309cb-b1b4-4760-b915-3e20ef0ba46c	SWITCHGEAR
da38c591-7997-4a1f-8ce7-b6b9f01056e5	3d3153d4-fe58-466b-923d-0c369426e12c	GENERATOR
da38c591-7997-4a1f-8ce7-b6b9f01056e5	0a7839a6-f50f-4bc8-8c9e-db6cbc7d74d6	PRIMARY_AUXILIARIES
da38c591-7997-4a1f-8ce7-b6b9f01056e5	bd792433-2baa-47e2-b688-1ce484e9095c	UPS
da38c591-7997-4a1f-8ce7-b6b9f01056e5	a87a6b86-0c10-42e3-9749-ee7399213ba0	CRITICAL_AUXILIARIES
da38c591-7997-4a1f-8ce7-b6b9f01056e5	0142e008-cdae-48ea-aba3-821b9f5c069b	LIGHTING
da38c591-7997-4a1f-8ce7-b6b9f01056e5	779e3c93-3e42-4598-9db4-a9c6c37d8b44	CRITICAL_POWER_DISTRIBUTION
da38c591-7997-4a1f-8ce7-b6b9f01056e5	7813fd14-9a04-4d9d-9ef4-32ff1def4f0e	CRAH
da38c591-7997-4a1f-8ce7-b6b9f01056e5	d8b13bd6-4195-48b4-a912-28b2f07c6a9c	CRAC
da38c591-7997-4a1f-8ce7-b6b9f01056e5	3a42fa69-9cf9-46ba-9dbb-fdac67a125be	CRAC_WITHOUT_FAN
da38c591-7997-4a1f-8ce7-b6b9f01056e5	817ef021-020a-4517-9cc4-194f16eaa141	CRAC_FAN
da38c591-7997-4a1f-8ce7-b6b9f01056e5	6f869b0e-1d1c-46b3-834d-37bb196f2c2d	CHILLER
da38c591-7997-4a1f-8ce7-b6b9f01056e5	d5225b1a-0e40-433c-92d5-0ca296b6214e	AIR_COOLED_CHILLER
da38c591-7997-4a1f-8ce7-b6b9f01056e5	0f9e1c10-7d63-4d61-b21e-aa7d194193d7	COOLING_TOWER
da38c591-7997-4a1f-8ce7-b6b9f01056e5	3ad1ffcd-aed5-4719-ab75-4b49cc04d3b7	DRY_COOLER
da38c591-7997-4a1f-8ce7-b6b9f01056e5	c005f51a-fae4-45c4-86dc-186e80e1502a	REMOTE_CONDENSER
da38c591-7997-4a1f-8ce7-b6b9f01056e5	973d1c46-c53f-4f5e-a08b-b2a1c586b8a9	CHILLED_WATER_PUMPS
da38c591-7997-4a1f-8ce7-b6b9f01056e5	d47c616b-aabe-43d3-94ae-5dc221cf406c	HEAT_REJECTION_PUMPS
da38c591-7997-4a1f-8ce7-b6b9f01056e5	0c288faa-322a-4e1d-b79f-6fa70779778b	VENTILATION
da38c591-7997-4a1f-8ce7-b6b9f01056e5	2455fe2f-68f2-4bff-a92a-cb8b0cd82dc3	INFILTRATION
da38c591-7997-4a1f-8ce7-b6b9f01056e5	8e06e472-2d05-4bfa-a675-45790aa35327	IT_LOAD
d97e9056-f8f0-49ac-8733-59dd437932a5	34101cd3-d8a1-4053-8cad-3adf793e9eb0	SWITCHGEAR
d97e9056-f8f0-49ac-8733-59dd437932a5	be914d02-9c7f-4700-9122-07c7d2e6c97b	GENERATOR
d97e9056-f8f0-49ac-8733-59dd437932a5	1905d031-63a7-4a9b-9d95-5d1235963f02	PRIMARY_AUXILIARIES
d97e9056-f8f0-49ac-8733-59dd437932a5	51a8d3a5-24dc-4e6d-99e0-cfcb019909f4	UPS
d97e9056-f8f0-49ac-8733-59dd437932a5	2b668ffc-2984-4160-8e7a-de11b57611c4	CRITICAL_AUXILIARIES
d97e9056-f8f0-49ac-8733-59dd437932a5	be2762d5-7411-4489-9045-5e2dd0813d82	LIGHTING
d97e9056-f8f0-49ac-8733-59dd437932a5	14f4b19e-a04c-4019-9d0e-e5e7e9626438	CRITICAL_POWER_DISTRIBUTION
d97e9056-f8f0-49ac-8733-59dd437932a5	8e125ac3-2111-40e7-bf3c-f65b849dfa2d	CRAH
d97e9056-f8f0-49ac-8733-59dd437932a5	52915913-49ec-4d7a-b1a1-89803647417d	CRAC
d97e9056-f8f0-49ac-8733-59dd437932a5	a35baa42-c92b-48b2-829c-76a395ad9a34	CRAC_WITHOUT_FAN
d97e9056-f8f0-49ac-8733-59dd437932a5	e288f212-87fb-4cf6-9210-03f1ffeac595	CRAC_FAN
d97e9056-f8f0-49ac-8733-59dd437932a5	0f1f64be-ce16-4439-b7a3-629e20a8c31e	CHILLER
d97e9056-f8f0-49ac-8733-59dd437932a5	3b182df5-4a0f-4321-af3d-e95c16e1d631	AIR_COOLED_CHILLER
d97e9056-f8f0-49ac-8733-59dd437932a5	e1efe482-0956-4d52-b925-aeba84cc32e5	COOLING_TOWER
d97e9056-f8f0-49ac-8733-59dd437932a5	b851bf5a-2ec7-40ea-933b-e3257c0aa9b7	DRY_COOLER
d97e9056-f8f0-49ac-8733-59dd437932a5	3a435483-cf49-4fda-90cb-526509bca808	REMOTE_CONDENSER
d97e9056-f8f0-49ac-8733-59dd437932a5	765d1234-eaa8-440a-8c85-578921a74f6c	CHILLED_WATER_PUMPS
d97e9056-f8f0-49ac-8733-59dd437932a5	f7ab85e8-1a2f-4df4-8f82-799eaafa0afe	HEAT_REJECTION_PUMPS
d97e9056-f8f0-49ac-8733-59dd437932a5	55091345-4e5c-4413-a0d9-35952a70b126	VENTILATION
d97e9056-f8f0-49ac-8733-59dd437932a5	88fe3fbf-6812-4dea-b404-c31e02ed11a8	INFILTRATION
d97e9056-f8f0-49ac-8733-59dd437932a5	a121f95b-289f-4f4c-b46f-83fb8f45edb7	IT_LOAD
826ca3cf-ab1e-49c9-bb31-288bce59488c	f4ce2568-f945-4988-b5a9-588b3f86647b	SWITCHGEAR
826ca3cf-ab1e-49c9-bb31-288bce59488c	9a303116-70ca-406f-a8a7-176bc2200315	GENERATOR
826ca3cf-ab1e-49c9-bb31-288bce59488c	c87deecd-cdce-42cc-ba0f-1eed3a2e44de	PRIMARY_AUXILIARIES
826ca3cf-ab1e-49c9-bb31-288bce59488c	0b8abc21-0669-4ed5-8eb7-474d16436780	UPS
826ca3cf-ab1e-49c9-bb31-288bce59488c	138a93f0-60cc-4242-84dd-c6c46076729d	CRITICAL_AUXILIARIES
826ca3cf-ab1e-49c9-bb31-288bce59488c	019add41-203f-4612-86db-f81d9af60a8a	LIGHTING
826ca3cf-ab1e-49c9-bb31-288bce59488c	af433516-80ac-4fe0-b39d-ce6891d51a00	CRITICAL_POWER_DISTRIBUTION
826ca3cf-ab1e-49c9-bb31-288bce59488c	8ec78fe3-9976-4a6d-8f7b-9cfd19892c46	CRAH
826ca3cf-ab1e-49c9-bb31-288bce59488c	e1fa4ca5-d6ee-4157-b24f-e22dd75a6381	CRAC
826ca3cf-ab1e-49c9-bb31-288bce59488c	ce1bfa36-69e7-47db-9e54-1f28be28fac1	CRAC_WITHOUT_FAN
826ca3cf-ab1e-49c9-bb31-288bce59488c	e3dd24e8-b340-4299-99aa-742b261cefb5	CRAC_FAN
826ca3cf-ab1e-49c9-bb31-288bce59488c	202485b4-1765-438d-ad38-fa434ea77681	CHILLER
826ca3cf-ab1e-49c9-bb31-288bce59488c	5d65f720-0773-4b30-81e3-f163d6c28a85	AIR_COOLED_CHILLER
826ca3cf-ab1e-49c9-bb31-288bce59488c	1b4a73b7-b41c-480d-9b96-b59d7cbcf4cd	COOLING_TOWER
826ca3cf-ab1e-49c9-bb31-288bce59488c	d576c769-8234-41ae-b77a-bff5de476945	DRY_COOLER
826ca3cf-ab1e-49c9-bb31-288bce59488c	98b82a73-5c9a-488c-9fac-a49249962202	REMOTE_CONDENSER
826ca3cf-ab1e-49c9-bb31-288bce59488c	cccec987-7dd7-426b-9ddf-e67a4f3d4eec	CHILLED_WATER_PUMPS
826ca3cf-ab1e-49c9-bb31-288bce59488c	7345873f-2153-4bd2-b7cd-1610fd265468	HEAT_REJECTION_PUMPS
826ca3cf-ab1e-49c9-bb31-288bce59488c	16e35e08-d17a-439a-9f88-6905b78815cb	VENTILATION
826ca3cf-ab1e-49c9-bb31-288bce59488c	c6af47ad-08a7-4325-aa7f-2dd2765f1482	INFILTRATION
826ca3cf-ab1e-49c9-bb31-288bce59488c	d7234de1-bf5a-432a-ae38-1656d46acc1e	IT_LOAD
b4d81b1a-124c-459d-96c7-e183857d4c5a	473c1b16-7279-4530-8854-d1bb0893b344	SWITCHGEAR
b4d81b1a-124c-459d-96c7-e183857d4c5a	294b2823-543b-428b-8cd0-55656ddfb5dc	GENERATOR
b4d81b1a-124c-459d-96c7-e183857d4c5a	2071d388-e034-4352-9ca7-f3e2a910f9b9	PRIMARY_AUXILIARIES
b4d81b1a-124c-459d-96c7-e183857d4c5a	42e6b44e-542c-41ae-bf74-a5580bbe999a	UPS
b4d81b1a-124c-459d-96c7-e183857d4c5a	d1440d82-9657-4d82-886b-e91531254951	CRITICAL_AUXILIARIES
b4d81b1a-124c-459d-96c7-e183857d4c5a	6fc1a5c7-4f02-4789-a411-c7b83c1306ae	LIGHTING
b4d81b1a-124c-459d-96c7-e183857d4c5a	dbb99df4-2f50-4530-8b82-106b3166b86a	CRITICAL_POWER_DISTRIBUTION
b4d81b1a-124c-459d-96c7-e183857d4c5a	34d08c67-1e1a-43d6-a419-ab70f7336064	CRAH
b4d81b1a-124c-459d-96c7-e183857d4c5a	d06fbca4-d06b-4740-bd63-3d707e810f88	CRAC
b4d81b1a-124c-459d-96c7-e183857d4c5a	11722794-2e7f-42b9-b525-0c4a0e7078d8	CRAC_WITHOUT_FAN
b4d81b1a-124c-459d-96c7-e183857d4c5a	cf83c0b2-5609-45a5-98e9-faf2d2263fc6	CRAC_FAN
b4d81b1a-124c-459d-96c7-e183857d4c5a	664d5dc8-3bbb-4858-b64d-9d954103867f	CHILLER
b4d81b1a-124c-459d-96c7-e183857d4c5a	8b493e27-cd98-432f-9f9a-93536dceafc3	AIR_COOLED_CHILLER
b4d81b1a-124c-459d-96c7-e183857d4c5a	388e907b-e8bf-493e-863d-922d33a4f91f	COOLING_TOWER
b4d81b1a-124c-459d-96c7-e183857d4c5a	5453263f-c7bd-4a2e-8a6e-8bac692ef272	DRY_COOLER
b4d81b1a-124c-459d-96c7-e183857d4c5a	71cf4bd8-d396-4774-a99b-0e2c6e9f97f1	REMOTE_CONDENSER
b4d81b1a-124c-459d-96c7-e183857d4c5a	1c2a2bc4-d771-4a61-ba28-cc6781fff56f	CHILLED_WATER_PUMPS
b4d81b1a-124c-459d-96c7-e183857d4c5a	d7ca02a4-663b-4e82-bf3d-6330e6226592	HEAT_REJECTION_PUMPS
b4d81b1a-124c-459d-96c7-e183857d4c5a	abe4e5b7-3a5c-43e9-96f7-0be498ea3eb9	VENTILATION
b4d81b1a-124c-459d-96c7-e183857d4c5a	3c5daf74-e20a-4894-b448-5c080c4e38cb	INFILTRATION
b4d81b1a-124c-459d-96c7-e183857d4c5a	a61efc09-d8cc-4ba6-a8c6-def3f41cbcf4	IT_LOAD
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	4f6649ff-ef53-483d-8d06-c1668306e6e3	SWITCHGEAR
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	dbf972ae-d1c0-4ec2-8371-19334aad2832	GENERATOR
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	14db3bf6-71dd-4bd0-93b3-9e7f67b9ddfc	PRIMARY_AUXILIARIES
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	8553e980-50e2-41c7-8ad9-077ec4a05b5c	UPS
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	48213702-e799-4e98-a8d2-5eee2b1293b5	CRITICAL_AUXILIARIES
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	dcf049e3-1dd3-47e1-886d-1fa552307574	LIGHTING
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	ef3be893-e065-4171-8ea4-d2100fb6f6d8	CRITICAL_POWER_DISTRIBUTION
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	5695b50c-77c8-446e-8e2f-16c6e3984cb6	CRAH
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	a4160af7-2b7f-4601-8f22-42893a053db1	CRAC
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	cc4b25ae-e550-4f50-a608-b7b694570f06	CRAC_WITHOUT_FAN
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	f33f59bb-3033-46d8-aee9-1ace55c477e7	CRAC_FAN
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	d9bb9c54-04d7-42a7-8434-5f415dd57ba3	CHILLER
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	ce4be4d0-c7e8-4ba8-a78e-03d64d2ceeb7	AIR_COOLED_CHILLER
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	22424771-e2b9-4570-830c-2cc665fa44fc	COOLING_TOWER
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	35528962-1113-459d-9d99-0f3e963f917e	DRY_COOLER
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	fa3ee377-81c3-4405-bf40-cca9ca8cc655	REMOTE_CONDENSER
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	6a9e17a9-1dcd-40a2-9337-77e31da62937	CHILLED_WATER_PUMPS
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	d9117348-85d8-4921-a47b-46c5cc4c1371	HEAT_REJECTION_PUMPS
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	ee6e6dc1-470e-4414-a21f-a7abcfe39359	VENTILATION
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	89c99a72-6eae-46e9-a1e8-e9b27d1f6788	INFILTRATION
d8cb81eb-8b69-400e-9b8c-bae34ecb2f64	105b97a6-5c11-4434-8fc6-c81ba5b8b78a	IT_LOAD
53906e9c-0afa-4493-a39d-ed6d2aa942d3	9763da34-2a8a-4403-986f-650efdffbeaf	SWITCHGEAR
53906e9c-0afa-4493-a39d-ed6d2aa942d3	a391db3c-03b6-4148-8d1b-012faf46222d	GENERATOR
53906e9c-0afa-4493-a39d-ed6d2aa942d3	8fff2fb1-c3b5-422d-954e-f919f5a47d60	PRIMARY_AUXILIARIES
53906e9c-0afa-4493-a39d-ed6d2aa942d3	25a2fff4-edac-4261-b02c-4769f2121de6	UPS
53906e9c-0afa-4493-a39d-ed6d2aa942d3	57fb0528-baa9-45a9-b73a-00ced12add11	CRITICAL_AUXILIARIES
53906e9c-0afa-4493-a39d-ed6d2aa942d3	c508c89d-1f66-4ae8-bb43-5cacb9de40b2	LIGHTING
53906e9c-0afa-4493-a39d-ed6d2aa942d3	dbf2650a-cc1b-410f-a8de-5474fa17e2e2	CRITICAL_POWER_DISTRIBUTION
53906e9c-0afa-4493-a39d-ed6d2aa942d3	8d9d9b49-a093-44c3-86a1-e79117461690	CRAH
53906e9c-0afa-4493-a39d-ed6d2aa942d3	1ed926f5-c4e9-4ee4-9a97-e2c55820f471	CRAC
53906e9c-0afa-4493-a39d-ed6d2aa942d3	21766136-3224-46e5-bdc9-33a9aa334108	CRAC_WITHOUT_FAN
53906e9c-0afa-4493-a39d-ed6d2aa942d3	5147aa3b-c680-4712-b83a-76d90d40cfd1	CRAC_FAN
53906e9c-0afa-4493-a39d-ed6d2aa942d3	3da9b5ce-c357-423a-8c5b-920a98652a09	CHILLER
53906e9c-0afa-4493-a39d-ed6d2aa942d3	e7d0fd26-a86b-411e-86a1-ea1dd2520c10	AIR_COOLED_CHILLER
53906e9c-0afa-4493-a39d-ed6d2aa942d3	48fa2273-403c-4d89-9e81-73f44d588797	COOLING_TOWER
53906e9c-0afa-4493-a39d-ed6d2aa942d3	49b4d184-0a1f-48d1-87a1-d112c97db297	DRY_COOLER
53906e9c-0afa-4493-a39d-ed6d2aa942d3	17d22d51-9fa9-4a5c-8981-8ab4d1814b1d	REMOTE_CONDENSER
53906e9c-0afa-4493-a39d-ed6d2aa942d3	9f548f5e-e4ac-43e1-afca-21217611b8be	CHILLED_WATER_PUMPS
53906e9c-0afa-4493-a39d-ed6d2aa942d3	8337294a-8f6c-4354-92a0-9243bff395b1	HEAT_REJECTION_PUMPS
53906e9c-0afa-4493-a39d-ed6d2aa942d3	97398735-d678-4775-8f47-82189032bd99	VENTILATION
53906e9c-0afa-4493-a39d-ed6d2aa942d3	dea6cab0-d90d-441a-a1da-2610ea70a0df	INFILTRATION
53906e9c-0afa-4493-a39d-ed6d2aa942d3	67dafe6f-0f49-4b9c-8572-cd8f844e024b	IT_LOAD
c05dfa07-a684-489d-935d-e2d2eb66ed4e	ea455f36-df08-427d-abb4-18b73c0418e7	SWITCHGEAR
c05dfa07-a684-489d-935d-e2d2eb66ed4e	d9a7420e-900b-4fe3-b24a-3083e5a1991e	GENERATOR
c05dfa07-a684-489d-935d-e2d2eb66ed4e	d153f95a-0138-4a5b-a46c-09a4b9a6cec6	PRIMARY_AUXILIARIES
c05dfa07-a684-489d-935d-e2d2eb66ed4e	57dfc958-8893-48e4-98e4-cf488bce1575	UPS
c05dfa07-a684-489d-935d-e2d2eb66ed4e	4f866da7-292e-41ea-84c8-c65b3ccd96db	CRITICAL_AUXILIARIES
c05dfa07-a684-489d-935d-e2d2eb66ed4e	c55abfc6-b668-4057-9aa9-484decef5e05	LIGHTING
c05dfa07-a684-489d-935d-e2d2eb66ed4e	4c31b0af-abd3-4ad0-879a-2a77f6dcd577	CRITICAL_POWER_DISTRIBUTION
c05dfa07-a684-489d-935d-e2d2eb66ed4e	e913582f-da25-400a-9fbf-ae29338aedce	CRAH
c05dfa07-a684-489d-935d-e2d2eb66ed4e	416ae410-648d-46eb-a4e6-c326a2184254	CRAC
c05dfa07-a684-489d-935d-e2d2eb66ed4e	c1587ebd-852f-46c5-b72a-f6cc010a395e	CRAC_WITHOUT_FAN
c05dfa07-a684-489d-935d-e2d2eb66ed4e	28ae1321-87d6-4e3d-888f-58e3f767514f	CRAC_FAN
c05dfa07-a684-489d-935d-e2d2eb66ed4e	90970432-93c5-4310-83b8-08a222a3e5a2	CHILLER
c05dfa07-a684-489d-935d-e2d2eb66ed4e	d5dcfade-fc44-4931-a67f-3c7136d8d974	AIR_COOLED_CHILLER
c05dfa07-a684-489d-935d-e2d2eb66ed4e	c0140f97-2ade-4087-aa79-6ba820a0b376	COOLING_TOWER
c05dfa07-a684-489d-935d-e2d2eb66ed4e	064f7576-c5d5-4182-9c9a-40f8bf07ff8b	DRY_COOLER
c05dfa07-a684-489d-935d-e2d2eb66ed4e	a6f4a22e-ec9a-41b3-9173-08acad12f945	REMOTE_CONDENSER
c05dfa07-a684-489d-935d-e2d2eb66ed4e	20afe22b-191f-4fa4-a186-0d8468c5c339	CHILLED_WATER_PUMPS
c05dfa07-a684-489d-935d-e2d2eb66ed4e	6c0590a0-ebda-4c26-a941-8bb52b10f69c	HEAT_REJECTION_PUMPS
c05dfa07-a684-489d-935d-e2d2eb66ed4e	f5db6ae6-ef66-4600-b8a8-3cbd37062422	VENTILATION
c05dfa07-a684-489d-935d-e2d2eb66ed4e	ce2eb441-9f70-4602-bca7-01c0c04b29b2	INFILTRATION
c05dfa07-a684-489d-935d-e2d2eb66ed4e	e079b1e3-a8b5-4b73-ac39-b5abffe7499d	IT_LOAD
780ddb6f-81ed-4abb-9b92-46db062708e4	55c47d3f-be41-4a1a-b77b-94aacbe5157b	SWITCHGEAR
780ddb6f-81ed-4abb-9b92-46db062708e4	811f99df-0292-487a-b46c-c42656590800	GENERATOR
780ddb6f-81ed-4abb-9b92-46db062708e4	ee638084-25d5-486e-bcbf-e2f7ca99c84c	PRIMARY_AUXILIARIES
780ddb6f-81ed-4abb-9b92-46db062708e4	8553417e-e1a7-4081-8385-17c1a1143b5b	UPS
780ddb6f-81ed-4abb-9b92-46db062708e4	a13516ce-1bd0-45f6-a881-cd60c37cafc5	CRITICAL_AUXILIARIES
780ddb6f-81ed-4abb-9b92-46db062708e4	7baa7bf6-1336-43b3-a548-9b0043a81662	LIGHTING
780ddb6f-81ed-4abb-9b92-46db062708e4	ca4953fa-f124-417a-b40a-125602cf9261	CRITICAL_POWER_DISTRIBUTION
780ddb6f-81ed-4abb-9b92-46db062708e4	724ebc43-3593-45d3-b171-171d49502305	CRAH
780ddb6f-81ed-4abb-9b92-46db062708e4	89c91c22-5a9b-4403-a49d-37b336d3ad98	CRAC
780ddb6f-81ed-4abb-9b92-46db062708e4	838902e5-c3bc-429d-b493-2b47e393ab22	CRAC_WITHOUT_FAN
780ddb6f-81ed-4abb-9b92-46db062708e4	faece720-e28c-4213-80d1-117abd0ce264	CRAC_FAN
780ddb6f-81ed-4abb-9b92-46db062708e4	b3b308b8-5891-4e0c-a424-66deafb629b6	CHILLER
780ddb6f-81ed-4abb-9b92-46db062708e4	76f94ccf-5f47-46b9-934f-d84963f1ea54	AIR_COOLED_CHILLER
780ddb6f-81ed-4abb-9b92-46db062708e4	872b7700-338f-4751-8596-2bf575403b76	COOLING_TOWER
780ddb6f-81ed-4abb-9b92-46db062708e4	2da6e30a-f1e4-42c3-a75a-6c9fdc5254c2	DRY_COOLER
780ddb6f-81ed-4abb-9b92-46db062708e4	d1eb98fd-bd1d-4d16-bef2-247435630490	REMOTE_CONDENSER
780ddb6f-81ed-4abb-9b92-46db062708e4	7b0edde8-9bc9-40fb-a0ea-734d7c4719c8	CHILLED_WATER_PUMPS
780ddb6f-81ed-4abb-9b92-46db062708e4	23f07dac-9062-4416-a180-7efc8a2db963	HEAT_REJECTION_PUMPS
780ddb6f-81ed-4abb-9b92-46db062708e4	5d3608ed-a36d-4752-ba5a-9604cfa95b59	VENTILATION
780ddb6f-81ed-4abb-9b92-46db062708e4	865733aa-7f31-4ba9-bb10-cd58e197e543	INFILTRATION
780ddb6f-81ed-4abb-9b92-46db062708e4	62304513-0a9f-40cd-9a7d-b7aa0c344cf8	IT_LOAD
c5818fa4-aa06-4b07-9959-738936ed31a1	649fff1c-3a07-49f2-9890-c592b44a87e3	SWITCHGEAR
c5818fa4-aa06-4b07-9959-738936ed31a1	b06140b1-d0f7-4635-bbaf-e0212a8797d4	GENERATOR
c5818fa4-aa06-4b07-9959-738936ed31a1	eededeba-1a27-49d0-bd13-f44826ecaf32	PRIMARY_AUXILIARIES
c5818fa4-aa06-4b07-9959-738936ed31a1	a38a5e5d-c9f1-4b3b-b88f-1cf24fd5c98f	UPS
c5818fa4-aa06-4b07-9959-738936ed31a1	e5629673-bdf7-4ef1-b900-8100cffd7ade	CRITICAL_AUXILIARIES
c5818fa4-aa06-4b07-9959-738936ed31a1	cd29e82e-a6d0-43ef-a859-318f7a4973e6	LIGHTING
c5818fa4-aa06-4b07-9959-738936ed31a1	3adc8704-1ae8-4fad-a096-8e4e2ea842e0	CRITICAL_POWER_DISTRIBUTION
c5818fa4-aa06-4b07-9959-738936ed31a1	1fa1816d-d310-45ab-9c1c-135f7a81bb41	CRAH
c5818fa4-aa06-4b07-9959-738936ed31a1	52a6f03d-2389-4999-af4f-ec4e4ee3d31d	CRAC
c5818fa4-aa06-4b07-9959-738936ed31a1	50612eb9-c7bf-4b46-8e80-bdf5c57db9c6	CRAC_WITHOUT_FAN
c5818fa4-aa06-4b07-9959-738936ed31a1	285553b2-c5ff-4b95-9c63-18a161b2ef57	CRAC_FAN
c5818fa4-aa06-4b07-9959-738936ed31a1	07a3f51c-caba-49d0-bfb3-48f883388085	CHILLER
c5818fa4-aa06-4b07-9959-738936ed31a1	cb3cb739-3cde-4ed3-8b1f-7288455dffca	AIR_COOLED_CHILLER
c5818fa4-aa06-4b07-9959-738936ed31a1	4ba14116-7356-433e-84af-ec2477e8f424	COOLING_TOWER
c5818fa4-aa06-4b07-9959-738936ed31a1	edccb26a-3765-4160-bd66-a2e19f5264e2	DRY_COOLER
c5818fa4-aa06-4b07-9959-738936ed31a1	e602e3e4-21c8-4b62-b569-1136a36ff875	REMOTE_CONDENSER
c5818fa4-aa06-4b07-9959-738936ed31a1	3edd948b-2ce8-4dc8-8aff-de042d2e3ece	CHILLED_WATER_PUMPS
c5818fa4-aa06-4b07-9959-738936ed31a1	689721d0-04de-44b4-a6d4-df3ed64cecec	HEAT_REJECTION_PUMPS
c5818fa4-aa06-4b07-9959-738936ed31a1	d2a75f1c-524e-4a43-8ab3-1dc6b4dbb78c	VENTILATION
c5818fa4-aa06-4b07-9959-738936ed31a1	2c2b241a-36ab-4ced-9cf4-3194d0c1abd7	INFILTRATION
c5818fa4-aa06-4b07-9959-738936ed31a1	3fe6452d-0455-4763-a27e-be7023ef8bef	IT_LOAD
d6aca515-6c6b-4df9-84a9-45bf9b372055	f8475c61-4909-4d64-9537-96b51a7f9c05	SWITCHGEAR
d6aca515-6c6b-4df9-84a9-45bf9b372055	bdeb1191-9be2-4ed2-9bc7-d103fabd280a	GENERATOR
d6aca515-6c6b-4df9-84a9-45bf9b372055	6d6c32b5-9061-4e2d-9d05-cc5d2baccbfb	PRIMARY_AUXILIARIES
d6aca515-6c6b-4df9-84a9-45bf9b372055	20a19962-6046-41c2-9e39-ce3669784fd9	UPS
d6aca515-6c6b-4df9-84a9-45bf9b372055	91f58a1c-771b-4442-adc8-4f505ef22eb1	CRITICAL_AUXILIARIES
d6aca515-6c6b-4df9-84a9-45bf9b372055	d4025bd8-59e8-44d4-bc5b-19484487cdd8	LIGHTING
d6aca515-6c6b-4df9-84a9-45bf9b372055	1a8c9050-8a92-4eed-ac8b-8495d49b0a23	CRITICAL_POWER_DISTRIBUTION
d6aca515-6c6b-4df9-84a9-45bf9b372055	0cc5e821-9955-4406-abfe-6cb3d625228e	CRAH
d6aca515-6c6b-4df9-84a9-45bf9b372055	74efd87b-787e-4a88-8309-258d60a2d852	CRAC
d6aca515-6c6b-4df9-84a9-45bf9b372055	c20380f4-1f64-4bfd-909d-1c25cbf79864	CRAC_WITHOUT_FAN
d6aca515-6c6b-4df9-84a9-45bf9b372055	8bab1da0-fae7-42c0-bd96-c203c0d52e73	CRAC_FAN
d6aca515-6c6b-4df9-84a9-45bf9b372055	3286aa84-d369-48ed-8914-448ded87fe89	CHILLER
d6aca515-6c6b-4df9-84a9-45bf9b372055	859e2361-f51f-4113-b365-64f0e5b85808	AIR_COOLED_CHILLER
d6aca515-6c6b-4df9-84a9-45bf9b372055	9bb2c2ff-d6ec-4158-af52-e05e1f4b556e	COOLING_TOWER
d6aca515-6c6b-4df9-84a9-45bf9b372055	42a5cadc-f30a-43b4-a9b5-1f3b7c3239e0	DRY_COOLER
d6aca515-6c6b-4df9-84a9-45bf9b372055	d35fb4ce-c0eb-42ac-bf89-f54bfd62851e	REMOTE_CONDENSER
d6aca515-6c6b-4df9-84a9-45bf9b372055	aae45774-461c-474b-a9e7-660d67feddc1	CHILLED_WATER_PUMPS
d6aca515-6c6b-4df9-84a9-45bf9b372055	cebac83d-6b13-40eb-a809-86c3cdab141c	HEAT_REJECTION_PUMPS
d6aca515-6c6b-4df9-84a9-45bf9b372055	9a195b30-65ef-40cb-937a-d676e19a1a75	VENTILATION
d6aca515-6c6b-4df9-84a9-45bf9b372055	40cc62e6-7256-47d1-9039-3970f8adcdf4	INFILTRATION
d6aca515-6c6b-4df9-84a9-45bf9b372055	5a169ad6-bf1d-4945-88f4-0af727336469	IT_LOAD
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	1dc06877-d23d-4a0b-b0b6-66cb1971756a	SWITCHGEAR
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	43911392-303f-4422-b8df-6ef4f837f30c	GENERATOR
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	6171ee79-34f7-4dd6-a32e-c765fa716e5f	PRIMARY_AUXILIARIES
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	4685f12f-177d-4eb3-a3cf-f91e0a579564	UPS
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	906d0517-a76b-4a95-bb40-c914f712cfa1	CRITICAL_AUXILIARIES
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	22176bb8-37fb-4bd1-9585-0510ab5d5048	LIGHTING
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	5863d8d9-6259-441d-bb56-f268b92f4555	CRITICAL_POWER_DISTRIBUTION
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	139bd197-3673-4e9b-9eb3-5b650849f37c	CRAH
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	6e057ba6-f404-461c-a87e-6ca855d1d485	CRAC
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	0b437abd-b9a3-4587-97c2-da630113ee77	CRAC_WITHOUT_FAN
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	5335139e-974f-4edc-b0b3-47fcec88e947	CRAC_FAN
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	42e24dfa-4f80-4d1f-b18f-9d2ba4b8c5d8	CHILLER
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	83e77a04-40df-499a-8d87-b4c6d806aaf5	AIR_COOLED_CHILLER
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	40391243-2359-435f-aecd-0f9c89be559b	COOLING_TOWER
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	fcbc5abb-60ed-4224-aa24-bd5d1c5ea52e	DRY_COOLER
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	10b382c8-344a-4919-8473-ead68fa0c7d8	REMOTE_CONDENSER
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	253e473f-790a-45ed-a43c-3bae3eabeb02	CHILLED_WATER_PUMPS
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	71dbf462-2607-430c-975b-f436a3978522	HEAT_REJECTION_PUMPS
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	38686cfe-3876-4006-b992-70117f72ff74	VENTILATION
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	f1e0fecf-3ca1-4bd1-bb7e-3d323163a551	INFILTRATION
3d6480f0-1d26-4595-8bf9-6a7034e63fcd	f158e1cf-f9c9-4806-907c-343af5a0a56f	IT_LOAD
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	9ad29f3c-343e-4b21-97ed-8c28cd6933a1	SWITCHGEAR
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	c3453f53-57b5-4e35-afb0-9e37ae070e80	GENERATOR
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	f1d6774f-db70-4552-b4dd-bcb4a4b11ff3	PRIMARY_AUXILIARIES
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	ffeb8c8f-cb8c-46d8-9e9d-10be7dccfd9a	UPS
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	43bd65ff-435b-4e21-8a31-2dcaa5861045	CRITICAL_AUXILIARIES
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	ea944c2b-aa1a-42cd-a28d-4a69b735e8dc	LIGHTING
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	ac70d485-a3b0-4192-9efe-207c02135a0e	CRITICAL_POWER_DISTRIBUTION
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	8bf845d8-04d8-4004-b271-a3c064eca845	CRAH
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	e969d681-dd0b-440e-8000-c1190919e646	CRAC
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	8d2f17ff-3829-4627-aed8-697b734ad288	CRAC_WITHOUT_FAN
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	49ebd9d8-f4fa-449c-95a2-dee38e5b5820	CRAC_FAN
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	c9a38fb7-a2ec-4759-a5e6-ec6a4f7b137d	CHILLER
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	672cc230-9e2a-4f66-9912-cdadfa945e93	AIR_COOLED_CHILLER
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	952fe844-ecae-4a27-b933-04d33f72576d	COOLING_TOWER
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	a871f70a-94c3-48e0-8646-4cae5cbc88b3	DRY_COOLER
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	0a6bfef1-3da8-414a-8632-fd70bfb00342	REMOTE_CONDENSER
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	f3ec9ce6-9987-4091-bf9c-7b5c834aadd6	CHILLED_WATER_PUMPS
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	bafc8176-8dcf-4f70-b332-189258db3d53	HEAT_REJECTION_PUMPS
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	d125dc36-250b-4a90-9f25-db7b9ab3f7b8	VENTILATION
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	cd1b95bb-4f0e-4043-b6a6-e1157ad6a898	INFILTRATION
da7ad6fb-56c7-4cf2-9691-fab387eee0d1	92090831-97e3-48a0-8253-4823903ab59a	IT_LOAD
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	2c7ed266-8a31-42d3-b59b-46933d7201ec	SWITCHGEAR
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	d46345da-12ae-43f5-a50b-baece65e2ff9	GENERATOR
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	022fb0dd-c8c7-40ba-af57-202c4a2d4a32	PRIMARY_AUXILIARIES
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	f23e2e12-7cc5-49b4-8d04-3d92d1f4b2d3	UPS
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	708d17b8-d97a-4e12-8680-767e00bff9ea	CRITICAL_AUXILIARIES
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	ee1ba0b8-8cb1-48f2-aab0-1958cbac1dc8	LIGHTING
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	3878bbfb-5da0-4020-a156-dd2a67084597	CRITICAL_POWER_DISTRIBUTION
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	b1faf7d5-481b-4172-8890-942d9c409485	CRAH
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	cd3f8566-7495-4410-9030-d0f4f0ae84c0	CRAC
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	1efc2317-9fa0-4110-b4c1-02505f715326	CRAC_WITHOUT_FAN
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	23809f63-0a1f-4e3c-a837-07d3748216ab	CRAC_FAN
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	6f02b488-48fb-4c5c-987c-6bfea603bd7d	CHILLER
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	b32070de-2602-43fe-8979-70fe2767b2be	AIR_COOLED_CHILLER
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	65766937-04cd-4eed-b296-a733c3d73908	COOLING_TOWER
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	4db80484-4459-4f25-86d5-fa87b40917dc	DRY_COOLER
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	9e7f5732-d798-4e9d-84c4-267cd3ed9404	REMOTE_CONDENSER
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	59ca6d77-e6f9-4e71-9dd7-44830e64c291	CHILLED_WATER_PUMPS
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	385d83ee-de8e-4bbc-a594-8d26f2ce8c81	HEAT_REJECTION_PUMPS
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	25fea037-e25a-4d36-94cb-bd9374b8c8a0	VENTILATION
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	42dc7453-55b0-4d9c-8f8b-e5077d14b790	INFILTRATION
2c52de2f-fe7e-467a-9d1f-5630cd9e52dd	a987a36c-4047-446a-8359-3f532784c234	IT_LOAD
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	5502d1b7-22d1-40ed-b11f-62babf2e684e	SWITCHGEAR
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	68c72c20-ea2f-4835-846d-fd0d6b7ec70f	GENERATOR
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	cf68b7ef-63b5-4aa6-b14a-a08da77795bb	PRIMARY_AUXILIARIES
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	13944afc-7f3e-4cac-b660-6fd8b6e5d9b8	UPS
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	4224ea94-c5fc-46ee-9058-d85a58017ab8	CRITICAL_AUXILIARIES
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	09878405-776f-4f2e-9337-3b69f557b29e	LIGHTING
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	21d9cf42-f892-45d9-bd9a-319fb865cab6	CRITICAL_POWER_DISTRIBUTION
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	83b84b56-9137-4785-8fad-5b282b47ed54	CRAH
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	48b21a9a-e065-4b20-9603-f1615ba509a2	CRAC
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	9fbc3cea-33a8-4afb-8f0d-31035b3b2500	CRAC_WITHOUT_FAN
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	940b801f-3837-483b-a93b-cc14adbb4f2d	CRAC_FAN
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	b7c37c96-b962-4fda-93e8-e3535de0c30a	CHILLER
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	00fd2e7d-b5c2-4c8c-a4a5-9f039e8dd1c8	AIR_COOLED_CHILLER
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	e460d8dd-9266-4faa-8099-64570a2b5d88	COOLING_TOWER
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	b4a07fbd-04dd-4f01-a79b-71edcdbf3b6d	DRY_COOLER
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	3ee8519a-0ae2-4a87-9c98-31bdd02d1b8c	REMOTE_CONDENSER
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	d0930ce7-3e45-49cd-b6a1-8ac319e1fec6	CHILLED_WATER_PUMPS
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	c0f45865-c1fc-4228-bffe-c2267eec24a8	HEAT_REJECTION_PUMPS
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	579de256-135f-4714-ab5a-b66602367e5d	VENTILATION
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	f40d6be6-774e-4281-81fe-d94abb5888c5	INFILTRATION
f68e7a47-59a6-4930-bcac-f4ed6cba1d89	a5fcdc76-6b23-4797-9a54-4b7b943b2766	IT_LOAD
320f8e42-e636-4fa5-9a79-77d478482ff8	8fb5736a-463e-462d-ac45-a2af4fe5b76c	SWITCHGEAR
320f8e42-e636-4fa5-9a79-77d478482ff8	0d926594-a0ba-4b7c-b95b-6ae9291e356b	GENERATOR
320f8e42-e636-4fa5-9a79-77d478482ff8	6fa087e4-f87a-412a-9d2c-5920b91dad71	PRIMARY_AUXILIARIES
320f8e42-e636-4fa5-9a79-77d478482ff8	0440890c-cccc-49c7-a03a-2cbfab91ff03	UPS
320f8e42-e636-4fa5-9a79-77d478482ff8	738db234-6378-42c7-95d3-eba2ddd68c0e	CRITICAL_AUXILIARIES
320f8e42-e636-4fa5-9a79-77d478482ff8	ada23773-e0e0-4b85-8313-93dc15f18df4	LIGHTING
320f8e42-e636-4fa5-9a79-77d478482ff8	57a88feb-4c08-4dc2-87c8-2dffbfbadaf2	CRITICAL_POWER_DISTRIBUTION
320f8e42-e636-4fa5-9a79-77d478482ff8	9ac9f73f-5dae-4457-b993-a7019523393e	CRAH
320f8e42-e636-4fa5-9a79-77d478482ff8	d9c48c77-cd83-469a-982d-2cc7f954215a	CRAC
320f8e42-e636-4fa5-9a79-77d478482ff8	1b89f56a-dc20-41f6-aa96-829b5ded9dae	CRAC_WITHOUT_FAN
320f8e42-e636-4fa5-9a79-77d478482ff8	d66ad40a-126f-48f5-9dae-c06c3054ef7b	CRAC_FAN
320f8e42-e636-4fa5-9a79-77d478482ff8	ea7d4d43-31bd-4bf4-a5d6-f031fb2086c9	CHILLER
320f8e42-e636-4fa5-9a79-77d478482ff8	14ca0a62-6210-4548-83a0-5b06b407b314	AIR_COOLED_CHILLER
320f8e42-e636-4fa5-9a79-77d478482ff8	a41fdd8b-77e0-4d0c-b601-282b85fcfb36	COOLING_TOWER
320f8e42-e636-4fa5-9a79-77d478482ff8	3bb37654-315a-4deb-a7b1-54d5e9ae6c34	DRY_COOLER
320f8e42-e636-4fa5-9a79-77d478482ff8	5b6d876f-8a35-436c-9b83-e40a42aa26d8	REMOTE_CONDENSER
320f8e42-e636-4fa5-9a79-77d478482ff8	7cf208ee-ca26-4604-a7cf-cd3677892f26	CHILLED_WATER_PUMPS
320f8e42-e636-4fa5-9a79-77d478482ff8	5d01d019-b0e6-4ae2-a16b-51fd58b0c0c3	HEAT_REJECTION_PUMPS
320f8e42-e636-4fa5-9a79-77d478482ff8	3a603730-a24f-4b97-8616-abc9ee136715	VENTILATION
320f8e42-e636-4fa5-9a79-77d478482ff8	443a841f-034a-474a-9e03-ff4fe6815685	INFILTRATION
320f8e42-e636-4fa5-9a79-77d478482ff8	fe7aad91-f3be-47ed-b260-81afa8dfa03b	IT_LOAD
305094c2-0710-46dd-ab4e-621a3c04b044	82339b31-2c60-4c4c-b4e3-5c4c91687deb	SWITCHGEAR
305094c2-0710-46dd-ab4e-621a3c04b044	845f309b-4f51-40c8-bfe4-48512748f251	GENERATOR
305094c2-0710-46dd-ab4e-621a3c04b044	cc09fc24-b361-42fe-92c4-d2a8e0db3964	PRIMARY_AUXILIARIES
305094c2-0710-46dd-ab4e-621a3c04b044	d880142c-8365-4586-939a-4a8abd7d9bfc	UPS
305094c2-0710-46dd-ab4e-621a3c04b044	406e05fa-485b-4d01-b486-e02a28988560	CRITICAL_AUXILIARIES
305094c2-0710-46dd-ab4e-621a3c04b044	7598054d-36de-4e68-be5b-6c92e3775a05	LIGHTING
305094c2-0710-46dd-ab4e-621a3c04b044	e9d4b3d2-afef-4431-bef6-b7a4e2dc2b7b	CRITICAL_POWER_DISTRIBUTION
305094c2-0710-46dd-ab4e-621a3c04b044	2f9645fb-bf11-457e-aa30-34829a9f3778	CRAH
305094c2-0710-46dd-ab4e-621a3c04b044	5904e8f8-bd98-4bff-a140-0f8fd7e97e78	CRAC
305094c2-0710-46dd-ab4e-621a3c04b044	6a502990-34ef-4e9f-ae55-93d534892ffc	CRAC_WITHOUT_FAN
305094c2-0710-46dd-ab4e-621a3c04b044	5e4f5793-6f3a-4273-9bc1-fff878a8ec55	CRAC_FAN
305094c2-0710-46dd-ab4e-621a3c04b044	8968ec8d-3d2f-4e4e-9d30-fbbd65c57f10	CHILLER
305094c2-0710-46dd-ab4e-621a3c04b044	4c834c86-73ea-45d9-b937-c77a200ba746	AIR_COOLED_CHILLER
305094c2-0710-46dd-ab4e-621a3c04b044	44e5cd12-38e6-4fe1-b599-03115b2c15cf	COOLING_TOWER
305094c2-0710-46dd-ab4e-621a3c04b044	1bb13eec-61b3-4f2c-8026-f03f916e0d20	DRY_COOLER
305094c2-0710-46dd-ab4e-621a3c04b044	eda8a072-5874-49fd-96c6-c4c9a3405adf	REMOTE_CONDENSER
305094c2-0710-46dd-ab4e-621a3c04b044	d481567e-5565-41b8-bc39-f60b72d6438c	CHILLED_WATER_PUMPS
305094c2-0710-46dd-ab4e-621a3c04b044	46d36eaf-f37f-4a31-891e-a8bf464e565b	HEAT_REJECTION_PUMPS
305094c2-0710-46dd-ab4e-621a3c04b044	4b7457c5-2b89-4e5c-a0c8-e6b3b5d4f0b4	VENTILATION
305094c2-0710-46dd-ab4e-621a3c04b044	ede4bdbd-c677-494c-b728-1a7fd370efdb	INFILTRATION
305094c2-0710-46dd-ab4e-621a3c04b044	d9b98709-a111-4ea4-8c47-c2abff55e601	IT_LOAD
ed59487c-87fc-4829-955c-1ccb57f45eb3	6a8ab7e0-f1f5-4e0f-9f8e-ae04b1858845	SWITCHGEAR
ed59487c-87fc-4829-955c-1ccb57f45eb3	76d7399e-a6b6-4395-9550-7793823e6a50	GENERATOR
ed59487c-87fc-4829-955c-1ccb57f45eb3	00f1f616-59fc-4d41-aaa6-a829811196b9	PRIMARY_AUXILIARIES
ed59487c-87fc-4829-955c-1ccb57f45eb3	72ac4e9d-a8a2-49cc-8a77-c2a673d2bb95	UPS
ed59487c-87fc-4829-955c-1ccb57f45eb3	b7e6f6ef-07c2-4fdf-b5ee-9456b9a8ee28	CRITICAL_AUXILIARIES
ed59487c-87fc-4829-955c-1ccb57f45eb3	f1d3a088-669a-4777-86f5-80dd405f9b93	LIGHTING
ed59487c-87fc-4829-955c-1ccb57f45eb3	3142dbb8-ae1b-472f-b162-20c0deaa6bc8	CRITICAL_POWER_DISTRIBUTION
ed59487c-87fc-4829-955c-1ccb57f45eb3	83b253b6-1604-4a66-b973-32deaa57552b	CRAH
ed59487c-87fc-4829-955c-1ccb57f45eb3	4e594fdb-02f5-414c-b555-45666f035110	CRAC
ed59487c-87fc-4829-955c-1ccb57f45eb3	e617a1c2-126a-42a8-860f-8ff88fab1b1e	CRAC_WITHOUT_FAN
ed59487c-87fc-4829-955c-1ccb57f45eb3	c572737b-e11a-4734-b743-79c5672ef04d	CRAC_FAN
ed59487c-87fc-4829-955c-1ccb57f45eb3	ecea28d9-7f71-43e6-a263-26799ba5d2f0	CHILLER
ed59487c-87fc-4829-955c-1ccb57f45eb3	ba5d95d9-983d-4797-85a5-4286708ff587	AIR_COOLED_CHILLER
ed59487c-87fc-4829-955c-1ccb57f45eb3	6b62a1ae-9afc-419a-9ca2-fc6c3463f861	COOLING_TOWER
ed59487c-87fc-4829-955c-1ccb57f45eb3	c0dc04ca-20a2-4c7d-b0a8-633146ead225	DRY_COOLER
ed59487c-87fc-4829-955c-1ccb57f45eb3	566ffe9f-8225-417d-87b4-351e622d25f2	REMOTE_CONDENSER
ed59487c-87fc-4829-955c-1ccb57f45eb3	ec1e4d9d-09d2-4411-8a58-0fa96763d4a6	CHILLED_WATER_PUMPS
ed59487c-87fc-4829-955c-1ccb57f45eb3	c64b3a00-5600-4fc2-b39d-2066faf31a62	HEAT_REJECTION_PUMPS
ed59487c-87fc-4829-955c-1ccb57f45eb3	b9de8946-9f76-4e58-ab2d-1d25be927fef	VENTILATION
ed59487c-87fc-4829-955c-1ccb57f45eb3	2624d568-0623-4cbc-bd7a-80f91f524d05	INFILTRATION
ed59487c-87fc-4829-955c-1ccb57f45eb3	b909e840-a8c4-4c9b-86a9-12bcaf3c8f9c	IT_LOAD
7c3588df-c6fb-40b5-b3c1-0792b11cce29	8a5ac995-23e0-4c9b-9ea1-5ff389d94a54	SWITCHGEAR
7c3588df-c6fb-40b5-b3c1-0792b11cce29	fa0caceb-37df-41ff-94e3-59941599cb4b	GENERATOR
7c3588df-c6fb-40b5-b3c1-0792b11cce29	7b11ca17-74a2-4822-ba0f-041beeac0390	PRIMARY_AUXILIARIES
7c3588df-c6fb-40b5-b3c1-0792b11cce29	51478955-2511-4886-8306-9c0db5e4ac8f	UPS
7c3588df-c6fb-40b5-b3c1-0792b11cce29	8805dce7-cd16-487d-bd50-4d8b4175bcd1	CRITICAL_AUXILIARIES
7c3588df-c6fb-40b5-b3c1-0792b11cce29	6e201106-4b84-4ce2-a9bb-1e4cf3ef85e1	LIGHTING
7c3588df-c6fb-40b5-b3c1-0792b11cce29	d7cbbbc3-a146-4e52-aee5-d274e79f097e	CRITICAL_POWER_DISTRIBUTION
7c3588df-c6fb-40b5-b3c1-0792b11cce29	fb1d9e6e-6637-42a7-870d-a56974982b00	CRAH
7c3588df-c6fb-40b5-b3c1-0792b11cce29	588e6127-ea58-45d0-850c-84dc622ffca6	CRAC
7c3588df-c6fb-40b5-b3c1-0792b11cce29	c5f67442-aaac-43ee-8a65-02ea856aa4a4	CRAC_WITHOUT_FAN
7c3588df-c6fb-40b5-b3c1-0792b11cce29	0e96d847-5d35-4f42-987a-bd80adbc75a5	CRAC_FAN
7c3588df-c6fb-40b5-b3c1-0792b11cce29	024bc500-5d00-47ae-90d4-2ee5b96f50d3	CHILLER
7c3588df-c6fb-40b5-b3c1-0792b11cce29	73a3501d-aa0a-4e89-9155-c7b7edcc293a	AIR_COOLED_CHILLER
7c3588df-c6fb-40b5-b3c1-0792b11cce29	19e07d5b-63aa-4a1c-8b6d-85d5cd94974d	COOLING_TOWER
7c3588df-c6fb-40b5-b3c1-0792b11cce29	f7b37fc9-1989-459b-b452-724075f86969	DRY_COOLER
7c3588df-c6fb-40b5-b3c1-0792b11cce29	5825478d-1923-4ec8-847d-099436c7a8ae	REMOTE_CONDENSER
7c3588df-c6fb-40b5-b3c1-0792b11cce29	fa74ee4f-bd6a-484f-bdb9-6d01431fe0e7	CHILLED_WATER_PUMPS
7c3588df-c6fb-40b5-b3c1-0792b11cce29	ca5da16a-9ca7-43d9-81c4-cb1ed06814b1	HEAT_REJECTION_PUMPS
7c3588df-c6fb-40b5-b3c1-0792b11cce29	a4f8e478-f818-4089-a5b6-99dfd30bb25f	VENTILATION
7c3588df-c6fb-40b5-b3c1-0792b11cce29	69401163-1f18-46ab-8bc4-b4b4ba1e9434	INFILTRATION
7c3588df-c6fb-40b5-b3c1-0792b11cce29	c9446345-c231-4f6f-bd2f-a2e3a55b05e3	IT_LOAD
43f87eb7-8fac-4176-bf63-8ea947b4045b	223b9b6d-db31-48e3-8eab-ad6b97599c1e	SWITCHGEAR
43f87eb7-8fac-4176-bf63-8ea947b4045b	e8637d30-4d81-409c-8f85-48c2ff30643e	GENERATOR
43f87eb7-8fac-4176-bf63-8ea947b4045b	40be2d41-a46b-445e-aaa0-a9427ed219ec	PRIMARY_AUXILIARIES
43f87eb7-8fac-4176-bf63-8ea947b4045b	194b3a22-8883-4c70-bdd6-c92757a7736e	UPS
43f87eb7-8fac-4176-bf63-8ea947b4045b	732d6593-f5b3-46a3-94cd-cdd39252df0a	CRITICAL_AUXILIARIES
43f87eb7-8fac-4176-bf63-8ea947b4045b	aded749a-2196-4162-b8d3-b1a452059480	LIGHTING
43f87eb7-8fac-4176-bf63-8ea947b4045b	45049455-bbd9-424a-abb5-44b6e7ec20e5	CRITICAL_POWER_DISTRIBUTION
43f87eb7-8fac-4176-bf63-8ea947b4045b	eadd4f8f-499e-4fd5-8a93-ef602d0e385b	CRAH
43f87eb7-8fac-4176-bf63-8ea947b4045b	e91d8cff-e4ba-4337-9ec2-230c5040861f	CRAC
43f87eb7-8fac-4176-bf63-8ea947b4045b	de34bedc-0c67-4727-ba1c-b4a1d55e0c03	CRAC_WITHOUT_FAN
43f87eb7-8fac-4176-bf63-8ea947b4045b	fc0a818f-f378-4aff-8203-1fd521536f57	CRAC_FAN
43f87eb7-8fac-4176-bf63-8ea947b4045b	9644b4f4-de16-4a2b-b976-1dd1c9e574a3	CHILLER
43f87eb7-8fac-4176-bf63-8ea947b4045b	a62c4818-6fd3-44eb-a5c0-f803024a5a71	AIR_COOLED_CHILLER
43f87eb7-8fac-4176-bf63-8ea947b4045b	5cf88eb8-ce60-468a-bef4-e4d4335e36af	COOLING_TOWER
43f87eb7-8fac-4176-bf63-8ea947b4045b	f4a9dd54-1f5e-4bcd-a202-5c37800f33d2	DRY_COOLER
43f87eb7-8fac-4176-bf63-8ea947b4045b	74bb4069-6186-4690-b01b-0471e630953c	REMOTE_CONDENSER
43f87eb7-8fac-4176-bf63-8ea947b4045b	6edbe60a-a810-4d61-a267-5f0887bace30	CHILLED_WATER_PUMPS
43f87eb7-8fac-4176-bf63-8ea947b4045b	3fe389a3-44d2-4631-9c5e-60304cfe22b7	HEAT_REJECTION_PUMPS
43f87eb7-8fac-4176-bf63-8ea947b4045b	c3e07ef2-d229-4b45-ad61-8f8dbc0ae290	VENTILATION
43f87eb7-8fac-4176-bf63-8ea947b4045b	571fd258-f390-4241-aa17-53372c78c8fe	INFILTRATION
43f87eb7-8fac-4176-bf63-8ea947b4045b	6ee1f57b-1a06-42a8-926c-4ef21c909de9	IT_LOAD
cdd43a90-cb5a-40d8-abe0-d155521bbf18	eac7835d-653b-43a8-88dd-ccbdc774556c	SWITCHGEAR
cdd43a90-cb5a-40d8-abe0-d155521bbf18	535f5686-4989-4c7d-8ed3-b08a1af6a6c7	GENERATOR
cdd43a90-cb5a-40d8-abe0-d155521bbf18	d997fd44-03d5-4fd7-ac5e-5cc168e763c5	PRIMARY_AUXILIARIES
cdd43a90-cb5a-40d8-abe0-d155521bbf18	b9649946-ba80-4369-a5ae-0cb9b49b54c9	UPS
cdd43a90-cb5a-40d8-abe0-d155521bbf18	12dc52f1-5479-4804-a882-c827670b4954	CRITICAL_AUXILIARIES
cdd43a90-cb5a-40d8-abe0-d155521bbf18	baf5418b-b668-4036-a665-3f6e46734547	LIGHTING
cdd43a90-cb5a-40d8-abe0-d155521bbf18	b3f55761-2965-4203-9dc6-cac92bcf9666	CRITICAL_POWER_DISTRIBUTION
cdd43a90-cb5a-40d8-abe0-d155521bbf18	e2e1387b-3a93-4bcf-8a6e-b4ab654b6bd7	CRAH
cdd43a90-cb5a-40d8-abe0-d155521bbf18	20f49519-c14a-478c-99ff-701cee9887b3	CRAC
cdd43a90-cb5a-40d8-abe0-d155521bbf18	4e4901f3-86ad-4c65-a8b3-d065f7ebbe79	CRAC_WITHOUT_FAN
cdd43a90-cb5a-40d8-abe0-d155521bbf18	ea29833a-b9b6-41cf-acba-c27fb1885a68	CRAC_FAN
cdd43a90-cb5a-40d8-abe0-d155521bbf18	35bcb0bd-894c-4f20-8313-28a87983a5c1	CHILLER
cdd43a90-cb5a-40d8-abe0-d155521bbf18	3759def3-a86b-4a1b-b44b-e483f3c8ab43	AIR_COOLED_CHILLER
cdd43a90-cb5a-40d8-abe0-d155521bbf18	91d7032a-8e79-49db-aa6c-197e88efc3f4	COOLING_TOWER
cdd43a90-cb5a-40d8-abe0-d155521bbf18	dba2320d-b32f-40fd-87f0-21aeaf152a1d	DRY_COOLER
cdd43a90-cb5a-40d8-abe0-d155521bbf18	3a36064b-7728-4f55-a6b8-64d586aa70dc	REMOTE_CONDENSER
cdd43a90-cb5a-40d8-abe0-d155521bbf18	cbe42ae5-175a-4190-92fa-a5065659b3a4	CHILLED_WATER_PUMPS
cdd43a90-cb5a-40d8-abe0-d155521bbf18	e41aa2fd-8eee-43cc-8cef-0a4d7519b6f8	HEAT_REJECTION_PUMPS
cdd43a90-cb5a-40d8-abe0-d155521bbf18	74381d86-47e4-4142-8920-c394b41e4a08	VENTILATION
cdd43a90-cb5a-40d8-abe0-d155521bbf18	0be99e1f-f444-4aa4-915c-135af3638005	INFILTRATION
cdd43a90-cb5a-40d8-abe0-d155521bbf18	4e53635d-4b74-4986-9d7e-a40f4b22eb77	IT_LOAD
3f3a9b08-16c9-4f17-b807-c947b97e758f	4bbaefca-201b-4992-8e86-8f7860b18b45	SWITCHGEAR
3f3a9b08-16c9-4f17-b807-c947b97e758f	960ce4c0-ce2c-4841-8f9b-879acfdc00f6	GENERATOR
3f3a9b08-16c9-4f17-b807-c947b97e758f	55116823-38e2-42aa-a11f-7850752c4100	PRIMARY_AUXILIARIES
3f3a9b08-16c9-4f17-b807-c947b97e758f	5650473a-7fe6-460e-83b4-ceabd5c967d7	UPS
3f3a9b08-16c9-4f17-b807-c947b97e758f	bcae44e6-6264-43ea-858f-003e27c39220	CRITICAL_AUXILIARIES
3f3a9b08-16c9-4f17-b807-c947b97e758f	1a1221af-d5cb-4e2f-8333-a15314377d46	LIGHTING
3f3a9b08-16c9-4f17-b807-c947b97e758f	2d2c4ade-1bbb-46e7-a827-6e4ac4aef770	CRITICAL_POWER_DISTRIBUTION
3f3a9b08-16c9-4f17-b807-c947b97e758f	473d75ae-28c7-4291-baae-ff25a114887a	CRAH
3f3a9b08-16c9-4f17-b807-c947b97e758f	d1d52391-132a-42a8-a753-a1fab7a303bd	CRAC
3f3a9b08-16c9-4f17-b807-c947b97e758f	8dca6acd-5d13-4bf2-b86b-a07d1db0485f	CRAC_WITHOUT_FAN
3f3a9b08-16c9-4f17-b807-c947b97e758f	00d756ef-aa87-48db-860b-ccacfdc2e843	CRAC_FAN
3f3a9b08-16c9-4f17-b807-c947b97e758f	531a55e2-81da-4d28-bab7-a5b0bbd2e0f0	CHILLER
3f3a9b08-16c9-4f17-b807-c947b97e758f	823c49ca-da95-4525-9018-71415b163cda	AIR_COOLED_CHILLER
3f3a9b08-16c9-4f17-b807-c947b97e758f	eebc9076-1810-448b-b387-1930af258e58	COOLING_TOWER
3f3a9b08-16c9-4f17-b807-c947b97e758f	bc89f0d3-c26a-4fb8-8417-f8b8df5b60c4	DRY_COOLER
3f3a9b08-16c9-4f17-b807-c947b97e758f	229bbb13-e7c1-4d71-97f8-91a73ffc77aa	REMOTE_CONDENSER
3f3a9b08-16c9-4f17-b807-c947b97e758f	de674c4e-fdfe-406d-8c43-9c56ef7b79e2	CHILLED_WATER_PUMPS
3f3a9b08-16c9-4f17-b807-c947b97e758f	d18ad6a2-a5f1-4433-9ebb-ce571051d238	HEAT_REJECTION_PUMPS
3f3a9b08-16c9-4f17-b807-c947b97e758f	de904e5a-2e90-429a-9a3b-8dc11eaa2e2c	VENTILATION
3f3a9b08-16c9-4f17-b807-c947b97e758f	d3690636-476f-4ac0-a27a-812645601c5c	INFILTRATION
3f3a9b08-16c9-4f17-b807-c947b97e758f	89c0bf61-29d4-43ff-ad9d-9efc26842ace	IT_LOAD
d0e88383-7299-45f8-aa37-3d4e584b887b	9bdf995d-0cc2-4fc4-a002-5ab087d33a6e	SWITCHGEAR
d0e88383-7299-45f8-aa37-3d4e584b887b	f8f2d8b5-b4b2-4522-bbbb-94c8fb5ecc29	GENERATOR
d0e88383-7299-45f8-aa37-3d4e584b887b	fe7608f8-124e-4a42-bf93-876a43e94721	PRIMARY_AUXILIARIES
d0e88383-7299-45f8-aa37-3d4e584b887b	02f98958-60fa-42c1-bfcc-e65f6e92f4e9	UPS
d0e88383-7299-45f8-aa37-3d4e584b887b	bd55b509-3248-4f8c-8916-458e14d042cd	CRITICAL_AUXILIARIES
d0e88383-7299-45f8-aa37-3d4e584b887b	2d3c3a38-e4e6-46d9-aa72-25d404af6118	LIGHTING
d0e88383-7299-45f8-aa37-3d4e584b887b	12fe5705-a5f7-464b-a342-f22897e9dfb4	CRITICAL_POWER_DISTRIBUTION
d0e88383-7299-45f8-aa37-3d4e584b887b	55f960dd-6688-4678-b104-f30da9ad786c	CRAH
d0e88383-7299-45f8-aa37-3d4e584b887b	75969d0b-b31c-4d37-ba25-6237a57d0818	CRAC
d0e88383-7299-45f8-aa37-3d4e584b887b	e7101c43-6617-4a83-978f-2c20036bc360	CRAC_WITHOUT_FAN
d0e88383-7299-45f8-aa37-3d4e584b887b	db68a259-3479-47a9-aa69-ccbdf75ec8b2	CRAC_FAN
d0e88383-7299-45f8-aa37-3d4e584b887b	462a0ef7-4adf-4460-9f49-3d51fe83140a	CHILLER
d0e88383-7299-45f8-aa37-3d4e584b887b	ab7b0365-f74b-46fa-9730-36e06f457efa	AIR_COOLED_CHILLER
d0e88383-7299-45f8-aa37-3d4e584b887b	c69b2815-f158-4530-8efc-d25b6d987d2f	COOLING_TOWER
d0e88383-7299-45f8-aa37-3d4e584b887b	a63fb6b6-8c0f-4d0f-ae9b-c8f32dbc3b38	DRY_COOLER
d0e88383-7299-45f8-aa37-3d4e584b887b	0199d13d-8cdc-40b6-8655-b54295746d19	REMOTE_CONDENSER
d0e88383-7299-45f8-aa37-3d4e584b887b	6a1929ce-ad8e-4c8e-aee9-3be0828f3d93	CHILLED_WATER_PUMPS
d0e88383-7299-45f8-aa37-3d4e584b887b	f808ebd3-288b-4d13-8b2d-e74a74e31586	HEAT_REJECTION_PUMPS
d0e88383-7299-45f8-aa37-3d4e584b887b	30e775ba-61b2-497f-9ed6-f3873e742307	VENTILATION
d0e88383-7299-45f8-aa37-3d4e584b887b	120bd121-23a3-4257-a018-ce1cbd3aa840	INFILTRATION
d0e88383-7299-45f8-aa37-3d4e584b887b	e4ce615c-21e1-4ab2-8111-a04b40893774	IT_LOAD
842d8b6a-9118-4d99-bf91-80639be6ebf3	aa1eeacf-3af5-46be-b3c1-129af22718c4	SWITCHGEAR
842d8b6a-9118-4d99-bf91-80639be6ebf3	c73e840a-3a39-4b8a-b33a-134751dfe3a3	GENERATOR
842d8b6a-9118-4d99-bf91-80639be6ebf3	10e41184-0bdd-41d0-9237-ad2d785583d7	PRIMARY_AUXILIARIES
842d8b6a-9118-4d99-bf91-80639be6ebf3	98a46832-cb13-421b-aa77-0eb9550dc53d	UPS
842d8b6a-9118-4d99-bf91-80639be6ebf3	cd7b0f09-1d1b-407d-b03c-a0b6dfc90365	CRITICAL_AUXILIARIES
842d8b6a-9118-4d99-bf91-80639be6ebf3	1dde40e1-19fb-4ac0-a613-fa9be0185942	LIGHTING
842d8b6a-9118-4d99-bf91-80639be6ebf3	5504b8b5-d7fc-4066-9053-eabb5a81a231	CRITICAL_POWER_DISTRIBUTION
842d8b6a-9118-4d99-bf91-80639be6ebf3	4ded3f0a-ca8c-4738-a00f-317cf123b5fa	CRAH
842d8b6a-9118-4d99-bf91-80639be6ebf3	e0c70a15-4fbc-4cb0-a026-ae6db3a2267e	CRAC
842d8b6a-9118-4d99-bf91-80639be6ebf3	8fdce718-aad3-4ded-8cb6-49214ee4e5af	CRAC_WITHOUT_FAN
842d8b6a-9118-4d99-bf91-80639be6ebf3	25055a99-a571-4ba9-8445-4d3dd6cef8a4	CRAC_FAN
842d8b6a-9118-4d99-bf91-80639be6ebf3	c24b50f3-cf59-4b21-a003-5895971670ba	CHILLER
842d8b6a-9118-4d99-bf91-80639be6ebf3	fe4ff42b-9f16-42af-8d2b-81831e620086	AIR_COOLED_CHILLER
842d8b6a-9118-4d99-bf91-80639be6ebf3	6c9cf3ce-d0b1-4f96-9497-271cea83a1c9	COOLING_TOWER
842d8b6a-9118-4d99-bf91-80639be6ebf3	2c2b5dea-e80a-412c-8f31-f44f83b451bc	DRY_COOLER
842d8b6a-9118-4d99-bf91-80639be6ebf3	5d47e0e1-19d3-4dad-b77d-ddff43d73f8c	REMOTE_CONDENSER
842d8b6a-9118-4d99-bf91-80639be6ebf3	c7cb3ed2-8495-4c31-a460-343a13ac285d	CHILLED_WATER_PUMPS
842d8b6a-9118-4d99-bf91-80639be6ebf3	f49931a5-07ad-4ade-8a4e-48b56a6ced28	HEAT_REJECTION_PUMPS
842d8b6a-9118-4d99-bf91-80639be6ebf3	4d15fd59-e936-4064-a357-19996257221b	VENTILATION
842d8b6a-9118-4d99-bf91-80639be6ebf3	5cd30741-3e81-4540-bd4f-35a8dfae078d	INFILTRATION
842d8b6a-9118-4d99-bf91-80639be6ebf3	a4021ed4-d15b-490e-9d68-e6f9d1140ab3	IT_LOAD
b894ec56-70e3-4b3f-9807-a46c7547818e	e46b0c14-4e06-457c-96c2-e8078ea26efb	SWITCHGEAR
b894ec56-70e3-4b3f-9807-a46c7547818e	12fa215a-b792-4bb9-bfee-403fd8e33a47	GENERATOR
b894ec56-70e3-4b3f-9807-a46c7547818e	249e9406-2af6-4d47-a0f0-550b93110769	PRIMARY_AUXILIARIES
b894ec56-70e3-4b3f-9807-a46c7547818e	e612339e-bfb3-4ffd-866b-498e58480eaa	UPS
b894ec56-70e3-4b3f-9807-a46c7547818e	ab33e5f7-3e37-4ed1-9f38-f4f7f033b84c	CRITICAL_AUXILIARIES
b894ec56-70e3-4b3f-9807-a46c7547818e	32ce9ba2-947c-47fd-93c5-559076ac071a	LIGHTING
b894ec56-70e3-4b3f-9807-a46c7547818e	14561147-2553-4fce-88b0-818eae573cdb	CRITICAL_POWER_DISTRIBUTION
b894ec56-70e3-4b3f-9807-a46c7547818e	e4938fbd-ac7d-4aee-9c53-7dc1bd752a33	CRAH
b894ec56-70e3-4b3f-9807-a46c7547818e	480442e3-0a67-492d-a0bf-d0fe6e8d29fe	CRAC
b894ec56-70e3-4b3f-9807-a46c7547818e	64c05db3-652a-4245-bb84-66e64adb5fea	CRAC_WITHOUT_FAN
b894ec56-70e3-4b3f-9807-a46c7547818e	5328f834-cedb-4c45-9c9e-995ef37a931e	CRAC_FAN
b894ec56-70e3-4b3f-9807-a46c7547818e	d991701e-6e7f-445f-8d06-363ab16eaa8b	CHILLER
b894ec56-70e3-4b3f-9807-a46c7547818e	e79779a5-bc4b-4755-b5eb-242227f282e0	AIR_COOLED_CHILLER
b894ec56-70e3-4b3f-9807-a46c7547818e	470c4823-4a82-4047-9925-340ace3b21a7	COOLING_TOWER
b894ec56-70e3-4b3f-9807-a46c7547818e	2ef4aaf2-1b0c-4c94-820a-f2a615bddb52	DRY_COOLER
b894ec56-70e3-4b3f-9807-a46c7547818e	bf662d2f-4957-4057-9161-598e02fdeb6a	REMOTE_CONDENSER
b894ec56-70e3-4b3f-9807-a46c7547818e	0fa8d951-f271-482d-a512-1709242819c5	CHILLED_WATER_PUMPS
b894ec56-70e3-4b3f-9807-a46c7547818e	8bbf1e51-5211-49b5-be5b-a55b0fd7d8d1	HEAT_REJECTION_PUMPS
b894ec56-70e3-4b3f-9807-a46c7547818e	2cd7b7a4-2d02-487a-a949-9495d21b5aa5	VENTILATION
b894ec56-70e3-4b3f-9807-a46c7547818e	29e8c996-dbdf-4476-a6de-35bc17914ff5	INFILTRATION
b894ec56-70e3-4b3f-9807-a46c7547818e	e1dcfeea-0d45-48a5-8d40-0d3ebcca83c3	IT_LOAD
a94d9b7e-85ef-44f7-9924-8faac7bfc305	2964700c-f7ee-42db-92d1-cb76b8da48e3	SWITCHGEAR
a94d9b7e-85ef-44f7-9924-8faac7bfc305	b7c77d03-3ad8-4d79-a442-b178f1700e15	GENERATOR
a94d9b7e-85ef-44f7-9924-8faac7bfc305	10e3c9aa-1bad-4c04-994f-eb0794c033cf	PRIMARY_AUXILIARIES
a94d9b7e-85ef-44f7-9924-8faac7bfc305	ad79cd3b-9a2d-46b3-b792-e99f0963a7b6	UPS
a94d9b7e-85ef-44f7-9924-8faac7bfc305	16adc2c4-f5a3-4366-9445-e100ff48e110	CRITICAL_AUXILIARIES
a94d9b7e-85ef-44f7-9924-8faac7bfc305	746bb918-cbc8-4696-9a75-58cbe72312c2	LIGHTING
a94d9b7e-85ef-44f7-9924-8faac7bfc305	acf6e209-d710-4994-bc8a-5a5a03c9136e	CRITICAL_POWER_DISTRIBUTION
a94d9b7e-85ef-44f7-9924-8faac7bfc305	f1c36a20-7df9-4cad-be66-f76029289d02	CRAH
a94d9b7e-85ef-44f7-9924-8faac7bfc305	e7aaa587-d519-4c9b-8330-6bb79acca946	CRAC
a94d9b7e-85ef-44f7-9924-8faac7bfc305	8007b074-fbad-4ba0-ab29-14b2fae1fa6d	CRAC_WITHOUT_FAN
a94d9b7e-85ef-44f7-9924-8faac7bfc305	4e5a9925-f2c4-4605-8d20-674b74f1ac5f	CRAC_FAN
a94d9b7e-85ef-44f7-9924-8faac7bfc305	c0da51fb-b66a-449b-9f95-5a3595b0a21d	CHILLER
a94d9b7e-85ef-44f7-9924-8faac7bfc305	f8df9ad4-3967-48a5-a381-e68c10b6cfd7	AIR_COOLED_CHILLER
a94d9b7e-85ef-44f7-9924-8faac7bfc305	93771163-31a0-4ef3-ad00-a92f5696c88e	COOLING_TOWER
a94d9b7e-85ef-44f7-9924-8faac7bfc305	bb9334e1-518b-4e64-a99c-4aee2973ad74	DRY_COOLER
a94d9b7e-85ef-44f7-9924-8faac7bfc305	5eaf08cd-0812-4f65-a2b1-9e91f47c9c6d	REMOTE_CONDENSER
a94d9b7e-85ef-44f7-9924-8faac7bfc305	49e6d700-b465-4d55-bd3a-790bb47449d9	CHILLED_WATER_PUMPS
a94d9b7e-85ef-44f7-9924-8faac7bfc305	2fba1c36-f617-4128-8d5d-259203b301c9	HEAT_REJECTION_PUMPS
a94d9b7e-85ef-44f7-9924-8faac7bfc305	eecfe5a6-141a-4a89-9fd8-872c0aee99c1	VENTILATION
a94d9b7e-85ef-44f7-9924-8faac7bfc305	58ed9842-dd2c-4532-a4f2-d6d5995c701a	INFILTRATION
a94d9b7e-85ef-44f7-9924-8faac7bfc305	15378d8d-5ca3-4646-b3b5-4469ae583acc	IT_LOAD
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	03f28025-3cc8-4ebd-929c-f99c34909064	SWITCHGEAR
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	ce5afb99-655a-43e7-86cc-c697cf08590c	GENERATOR
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	f39841c4-b6b7-4b4a-9c40-9f226130bde6	PRIMARY_AUXILIARIES
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	01080af6-e873-4f60-a7a0-fb34dae193a4	UPS
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	a66fffd1-b718-48d0-bb0a-98a78edbe9c3	CRITICAL_AUXILIARIES
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	0292e747-0d3b-42d8-8919-9520ff2303a4	LIGHTING
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	c6285351-4346-4db6-9896-2f3f02896189	CRITICAL_POWER_DISTRIBUTION
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	688bf2e2-582b-4fdb-ab9a-30e55170a331	CRAH
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	6e4ff26c-aeca-48b7-8e6d-2f04bb88bc88	CRAC
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	83ca8754-0207-46d6-bbed-41cd08e13265	CRAC_WITHOUT_FAN
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	b73d231f-985f-452c-b6ce-fcf4bb312a00	CRAC_FAN
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	d7f5a2e1-abd2-48ad-9b41-bdda71e5ccdb	CHILLER
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	c546d22f-5d47-40f7-bd2d-715afdb4daf9	AIR_COOLED_CHILLER
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	e658fe82-a265-48be-afb8-8d3dd9108210	COOLING_TOWER
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	726a8c39-1e3b-4224-8715-024f5ef44cab	DRY_COOLER
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	89b46177-a029-4427-804e-5010c247a9d3	REMOTE_CONDENSER
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	a6155610-cde3-4c1e-895d-204825030bcd	CHILLED_WATER_PUMPS
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	1fca5886-6e89-44a4-a796-b058f1570287	HEAT_REJECTION_PUMPS
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	6454df9d-f315-4d21-817f-e8b7a12aa15b	VENTILATION
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	778ca548-7514-4adc-975b-adce53065a8f	INFILTRATION
556a7cb1-72a2-4d47-ac2c-ecf52b064b0c	1490204a-8c2a-4f17-9893-9289cedab2d5	IT_LOAD
d3650235-0725-4c5e-9445-f82fc4641d09	ccc8d122-bf6d-4476-87a1-e721c50e82ab	SWITCHGEAR
d3650235-0725-4c5e-9445-f82fc4641d09	88244b7d-9181-4486-91c6-e4c72aff86fa	GENERATOR
d3650235-0725-4c5e-9445-f82fc4641d09	b2841b1a-5a2c-4c66-9310-0f01008dc297	PRIMARY_AUXILIARIES
d3650235-0725-4c5e-9445-f82fc4641d09	bf6fd2bd-bf61-4beb-b58b-500f4021ce95	UPS
d3650235-0725-4c5e-9445-f82fc4641d09	6f9c792f-aab0-42fe-9145-50d5679cef21	CRITICAL_AUXILIARIES
d3650235-0725-4c5e-9445-f82fc4641d09	2ac94848-0847-43a4-9090-43f004228044	LIGHTING
d3650235-0725-4c5e-9445-f82fc4641d09	536aa9ec-f535-4c85-a2c4-8cc0f10aa648	CRITICAL_POWER_DISTRIBUTION
d3650235-0725-4c5e-9445-f82fc4641d09	01073552-4466-4837-a57b-94d1ff4e7f3f	CRAH
d3650235-0725-4c5e-9445-f82fc4641d09	3740dd1b-4729-4a08-aa6a-e9fd0c827f62	CRAC
d3650235-0725-4c5e-9445-f82fc4641d09	86585b8b-3c6c-47ee-93a4-4dfb5237cb6c	CRAC_WITHOUT_FAN
d3650235-0725-4c5e-9445-f82fc4641d09	b5e1d599-4893-4acd-89a1-604cd94e8c3e	CRAC_FAN
d3650235-0725-4c5e-9445-f82fc4641d09	09dbb85a-6b7b-4bc6-89d2-07653085c923	CHILLER
d3650235-0725-4c5e-9445-f82fc4641d09	f794858b-7fd4-4bc0-b509-47130e6133d5	AIR_COOLED_CHILLER
d3650235-0725-4c5e-9445-f82fc4641d09	a80eb268-3d88-4d74-ad85-4c050d0d9010	COOLING_TOWER
d3650235-0725-4c5e-9445-f82fc4641d09	e709460d-9fd4-4c53-8fbe-0abbf252c1c1	DRY_COOLER
d3650235-0725-4c5e-9445-f82fc4641d09	bdc54cc0-c6eb-435e-81a6-454cc6437db3	REMOTE_CONDENSER
d3650235-0725-4c5e-9445-f82fc4641d09	625259c9-2fc5-4d5f-b165-de29b3d0461d	CHILLED_WATER_PUMPS
d3650235-0725-4c5e-9445-f82fc4641d09	89d37c02-01de-4bc2-9dfe-3cf78833b5f0	HEAT_REJECTION_PUMPS
d3650235-0725-4c5e-9445-f82fc4641d09	9b26e3de-0b99-455a-a9b1-e27dba7ed3ca	VENTILATION
d3650235-0725-4c5e-9445-f82fc4641d09	40c42062-a283-4e44-8453-e7aa5d0e528d	INFILTRATION
d3650235-0725-4c5e-9445-f82fc4641d09	e50e6219-b3bc-4ab6-99d8-84f3a58d4438	IT_LOAD
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	9fc4ab80-7f42-414c-8026-944f0ccab4f7	SWITCHGEAR
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	eb62ee55-fb43-4136-947f-cd1e60e345f6	GENERATOR
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	f38f248f-24eb-42d8-afcd-0562141e239a	PRIMARY_AUXILIARIES
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	e79133e7-0bc4-45b8-b0ce-499fe4f1e897	UPS
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	9d28b098-25a3-4a06-ac32-6972049bf874	CRITICAL_AUXILIARIES
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	d3dd3ff0-2c69-4328-b93a-39d9836fa503	LIGHTING
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	8260adb6-bbf2-4504-a3d8-6eaad478cfec	CRITICAL_POWER_DISTRIBUTION
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	f0aadc8e-984e-4936-91ed-244000998c91	CRAH
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	429e9113-2866-4464-be35-22ddc74604a6	CRAC
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	f42f3507-daf0-4c20-bf1e-2f309e2785db	CRAC_WITHOUT_FAN
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	51581b52-3eb7-4c51-a059-a92939fbf0db	CRAC_FAN
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	d199e504-e40e-42a8-8f48-e6fd1b747de2	CHILLER
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	85b20a67-43a3-4b2f-9bd0-140226070352	AIR_COOLED_CHILLER
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	a0dd452b-4e41-42e6-a637-b25bf3fd3bae	COOLING_TOWER
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	c3df054b-d8bf-4922-bd0a-332c4cf10edc	DRY_COOLER
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	28cb2add-78b3-4ec5-9bc2-6daeac00eca8	REMOTE_CONDENSER
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	dce82f7b-80b7-4983-b8e9-2e3f2da0b5ab	CHILLED_WATER_PUMPS
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	161558a1-a04f-4287-b090-d8cf1a2c9a51	HEAT_REJECTION_PUMPS
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	4f0b4172-1b7f-4084-966e-dec6d6939c5e	VENTILATION
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	ca89b186-78a7-4d32-9e3f-065b0480d110	INFILTRATION
a2040a8d-9f69-4ff6-a95d-13a8057fa4a3	aab0855e-118b-4c40-bbc6-e7e760939f0d	IT_LOAD
a7bb8887-fdbb-4fae-ac02-8b395a05903d	0703062c-0b1f-4193-a992-0acfbcb15ec7	SWITCHGEAR
a7bb8887-fdbb-4fae-ac02-8b395a05903d	bf7a33a3-6a2f-4f86-b439-940ac0aae413	GENERATOR
a7bb8887-fdbb-4fae-ac02-8b395a05903d	ff0736f5-a147-4840-a057-11c3c69b39f9	PRIMARY_AUXILIARIES
a7bb8887-fdbb-4fae-ac02-8b395a05903d	9fba7098-cb00-4d3e-bc26-a01705f66325	UPS
a7bb8887-fdbb-4fae-ac02-8b395a05903d	d531b0d5-d4f7-4620-a207-231cf7e18032	CRITICAL_AUXILIARIES
a7bb8887-fdbb-4fae-ac02-8b395a05903d	4b9a2be5-df93-47c8-8980-c04b34bda205	LIGHTING
a7bb8887-fdbb-4fae-ac02-8b395a05903d	e8a98eb2-6a4c-4e85-8791-5dbdcf78f9fd	CRITICAL_POWER_DISTRIBUTION
a7bb8887-fdbb-4fae-ac02-8b395a05903d	1b501f17-8092-418a-ac6a-10b884222fe8	CRAH
a7bb8887-fdbb-4fae-ac02-8b395a05903d	66cc3af0-6902-48f6-aaf5-1c4c8a6435d7	CRAC
a7bb8887-fdbb-4fae-ac02-8b395a05903d	b5fd2d10-562f-45d9-bbe5-c60732e9dbd5	CRAC_WITHOUT_FAN
a7bb8887-fdbb-4fae-ac02-8b395a05903d	b6e66123-3d73-4a39-86ac-23e29cbaba21	CRAC_FAN
a7bb8887-fdbb-4fae-ac02-8b395a05903d	63698e27-bec5-43e1-bf1f-54376aaa3901	CHILLER
a7bb8887-fdbb-4fae-ac02-8b395a05903d	34037f02-fad9-4aeb-a8f5-63506d94905a	AIR_COOLED_CHILLER
a7bb8887-fdbb-4fae-ac02-8b395a05903d	d508b7d8-7838-4a46-9691-719d5359a0ae	COOLING_TOWER
a7bb8887-fdbb-4fae-ac02-8b395a05903d	7fa0293f-4c10-4d7e-8438-c2cdc920c5da	DRY_COOLER
a7bb8887-fdbb-4fae-ac02-8b395a05903d	c5c6e82a-c65a-4109-bee8-beb4f32af6ee	REMOTE_CONDENSER
a7bb8887-fdbb-4fae-ac02-8b395a05903d	086c1c47-6e40-4749-bb2c-07b071dde134	CHILLED_WATER_PUMPS
a7bb8887-fdbb-4fae-ac02-8b395a05903d	8e4186a7-353c-49d4-bbc8-637df2967718	HEAT_REJECTION_PUMPS
a7bb8887-fdbb-4fae-ac02-8b395a05903d	cde5bacd-7f40-420c-ad6e-fbf4a5c68b1a	VENTILATION
a7bb8887-fdbb-4fae-ac02-8b395a05903d	cbf46ba6-0268-4373-b657-8c75539e46ac	INFILTRATION
a7bb8887-fdbb-4fae-ac02-8b395a05903d	2bfd03bb-3a99-4a12-b2ac-b71065ba7303	IT_LOAD
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	597934ea-ee75-41cc-88c0-2348456d77e5	SWITCHGEAR
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	c9cdd15e-b67a-4422-b996-785457788ca1	GENERATOR
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	a673c653-e8fd-4630-9cf4-2380ef4d857e	PRIMARY_AUXILIARIES
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	1710e849-bd7b-4e1c-bd8a-1a4e8f8b08cd	UPS
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	1cfbd1b8-2957-4a96-a6f8-c1b9e29b4f62	CRITICAL_AUXILIARIES
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	2bfdb354-f31b-45b6-bc54-16644db36cde	LIGHTING
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	32ec6ae2-3eb7-4e84-872d-5c69937997f4	CRITICAL_POWER_DISTRIBUTION
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	e74bad9e-a59f-4342-9559-4ba614b0d19d	CRAH
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	1e53bbf8-b872-40b8-9a6c-63bfeea80b73	CRAC
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	35d4ed6f-4f4f-4396-9c52-26fd43c7887e	CRAC_WITHOUT_FAN
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	e121936b-dd0e-4442-90a8-13132e3817a3	CRAC_FAN
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	48738e23-af40-4bc4-8b8c-f5c080f76874	CHILLER
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	87908e76-21c1-4c07-9355-623215e1b988	AIR_COOLED_CHILLER
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	f0c12edc-4dd9-4f53-ac60-580be9bfb959	COOLING_TOWER
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	13dece32-2ef3-482d-8786-e0ec68f9a27f	DRY_COOLER
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	7e295c9f-09c2-4f5c-8ce0-e18d398dad3e	REMOTE_CONDENSER
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	eff63acb-9d34-44ba-bd03-fb3fc48d8ea7	CHILLED_WATER_PUMPS
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	fca95094-593b-42e4-8a82-7f2618d79794	HEAT_REJECTION_PUMPS
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	d4ffe0ff-e073-44e2-94c1-517638a9410a	VENTILATION
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	8d050a22-77a9-4061-a79a-1c5cdaaf6fcc	INFILTRATION
12ea23df-5ed2-4cdf-8b0d-3eb0b89979c8	28b98b5c-2132-429a-83e0-9680c4fc7b5e	IT_LOAD
53fd804b-ea06-43fa-b662-f0741233e062	5e5db999-2264-4a71-8582-6800dec2d19c	SWITCHGEAR
53fd804b-ea06-43fa-b662-f0741233e062	0638e524-104b-4c6a-abe7-ff0ee4a25c0c	GENERATOR
53fd804b-ea06-43fa-b662-f0741233e062	b2b49ef5-d70a-40a0-a1d2-7b1f7a16da5a	PRIMARY_AUXILIARIES
53fd804b-ea06-43fa-b662-f0741233e062	e6f32dcc-8987-42ad-b47d-7d0ffef30c54	UPS
53fd804b-ea06-43fa-b662-f0741233e062	a6ad9f33-e9ad-455b-a5fe-c88174d610d9	CRITICAL_AUXILIARIES
53fd804b-ea06-43fa-b662-f0741233e062	71cf811f-14a1-4794-ba1a-3eff6a6365f7	LIGHTING
53fd804b-ea06-43fa-b662-f0741233e062	955391b5-b507-4e16-94c1-96165b036f26	CRITICAL_POWER_DISTRIBUTION
53fd804b-ea06-43fa-b662-f0741233e062	e0f60267-7f85-487c-a9f8-31b59371a847	CRAH
53fd804b-ea06-43fa-b662-f0741233e062	5c19ba2b-52f9-4f89-b6b0-32c639aa208c	CRAC
53fd804b-ea06-43fa-b662-f0741233e062	3804fa80-1bd0-42d5-848a-1b15e43d144c	CRAC_WITHOUT_FAN
53fd804b-ea06-43fa-b662-f0741233e062	07b624cd-64ee-4374-b667-6e9ba7a41510	CRAC_FAN
53fd804b-ea06-43fa-b662-f0741233e062	eff46c4c-cc01-4b8b-9da3-7fec7f449daa	CHILLER
53fd804b-ea06-43fa-b662-f0741233e062	8abc6bdc-b1cb-4d13-857c-1c25b07b4fd3	AIR_COOLED_CHILLER
53fd804b-ea06-43fa-b662-f0741233e062	7c5ed4f2-0c55-4cd4-80eb-30c7e13c15c6	COOLING_TOWER
53fd804b-ea06-43fa-b662-f0741233e062	fab358b8-8177-4949-ae63-8329e456acdc	DRY_COOLER
53fd804b-ea06-43fa-b662-f0741233e062	c00029b1-152d-4c7c-8164-0fb5b14eadf7	REMOTE_CONDENSER
53fd804b-ea06-43fa-b662-f0741233e062	0b6842d2-8816-4776-bc5c-479211c8c213	CHILLED_WATER_PUMPS
53fd804b-ea06-43fa-b662-f0741233e062	3bdbe1eb-ec98-4a27-b307-1ccb3efd1663	HEAT_REJECTION_PUMPS
53fd804b-ea06-43fa-b662-f0741233e062	bbfb1a44-b207-4524-a503-bbd0de98acaf	VENTILATION
53fd804b-ea06-43fa-b662-f0741233e062	26cbb207-bf50-4b22-b328-8509241ed65a	INFILTRATION
53fd804b-ea06-43fa-b662-f0741233e062	fb80fa91-80b6-4010-b07e-ac02ca9c3404	IT_LOAD
56fcb43a-98fc-4493-9b04-7153363fc323	aacd79b1-ca3f-4f43-a490-6b09c416b2d7	SWITCHGEAR
56fcb43a-98fc-4493-9b04-7153363fc323	0d16695c-5229-4f74-a24f-dcf75bbaba04	GENERATOR
56fcb43a-98fc-4493-9b04-7153363fc323	5f714a74-3f8e-4fad-a8c6-a58dbd72633e	PRIMARY_AUXILIARIES
56fcb43a-98fc-4493-9b04-7153363fc323	4454912c-7b6b-4a23-a488-61acac3b70d9	UPS
56fcb43a-98fc-4493-9b04-7153363fc323	f0bce3dd-6cf8-4811-8099-c3e3aef797e1	CRITICAL_AUXILIARIES
56fcb43a-98fc-4493-9b04-7153363fc323	3eab563e-7e0f-42e0-bc76-a2db8add82e3	LIGHTING
56fcb43a-98fc-4493-9b04-7153363fc323	69a66b67-a5f2-4a22-b88d-a01cfdc371e8	CRITICAL_POWER_DISTRIBUTION
56fcb43a-98fc-4493-9b04-7153363fc323	ebdbb578-6afc-4395-801a-83efa4ab08a7	CRAH
56fcb43a-98fc-4493-9b04-7153363fc323	857eadab-adcc-4ed9-9184-71ac1242da34	CRAC
56fcb43a-98fc-4493-9b04-7153363fc323	4a98c0bf-7325-490e-b833-4318c6e47887	CRAC_WITHOUT_FAN
56fcb43a-98fc-4493-9b04-7153363fc323	3a38fe7d-ff26-4a1f-9432-990862d917f6	CRAC_FAN
56fcb43a-98fc-4493-9b04-7153363fc323	6f256fae-8bc0-4040-943d-e093099403e7	CHILLER
56fcb43a-98fc-4493-9b04-7153363fc323	e9026c96-a25b-41ad-81b6-6155a016e6a2	AIR_COOLED_CHILLER
56fcb43a-98fc-4493-9b04-7153363fc323	635828ae-4b5a-4d06-a5ff-a422347f4b25	COOLING_TOWER
56fcb43a-98fc-4493-9b04-7153363fc323	6c6081ac-d459-490d-8880-be3ddae31ebe	DRY_COOLER
56fcb43a-98fc-4493-9b04-7153363fc323	e2fb7426-d4de-4ab7-a13c-5d796ad785f0	REMOTE_CONDENSER
56fcb43a-98fc-4493-9b04-7153363fc323	ac3224d6-07db-4fa0-b3e0-e8cc66d65ec1	CHILLED_WATER_PUMPS
56fcb43a-98fc-4493-9b04-7153363fc323	87df19a0-91ce-4a20-8464-605c7e40513b	HEAT_REJECTION_PUMPS
56fcb43a-98fc-4493-9b04-7153363fc323	92355756-3624-41be-bfd8-cbf9cc4ddee5	VENTILATION
56fcb43a-98fc-4493-9b04-7153363fc323	5cd99426-717d-4bcc-933a-25c246e7ad84	INFILTRATION
56fcb43a-98fc-4493-9b04-7153363fc323	5ae84652-ccf4-447d-ae5e-a118b17812c3	IT_LOAD
a18ea463-71e6-4c3e-b406-ba3038e605db	24018e54-d868-478d-a325-d7ec849aa478	SWITCHGEAR
a18ea463-71e6-4c3e-b406-ba3038e605db	24566aa8-ae3f-49a7-9051-fbf68e441bf8	GENERATOR
a18ea463-71e6-4c3e-b406-ba3038e605db	94557884-5b76-4593-a57e-5db4c87d10f4	PRIMARY_AUXILIARIES
a18ea463-71e6-4c3e-b406-ba3038e605db	af16ad28-3db0-4645-9acc-41f20f5d4c32	UPS
a18ea463-71e6-4c3e-b406-ba3038e605db	eafcb7d1-ebf1-4a43-b862-f76febcc9d76	CRITICAL_AUXILIARIES
a18ea463-71e6-4c3e-b406-ba3038e605db	0d62a82e-b29c-41e3-9def-81618bcc1224	LIGHTING
a18ea463-71e6-4c3e-b406-ba3038e605db	1c58866a-8143-4813-a7e1-36b26764ee6f	CRITICAL_POWER_DISTRIBUTION
a18ea463-71e6-4c3e-b406-ba3038e605db	c6952a0c-3b2d-4fc6-82c8-a14e0e5de873	CRAH
a18ea463-71e6-4c3e-b406-ba3038e605db	c4af7a1f-1650-4cdb-b352-f40b94c8cb77	CRAC
a18ea463-71e6-4c3e-b406-ba3038e605db	2351d29d-db14-4588-990f-d78ac00ecc9f	CRAC_WITHOUT_FAN
a18ea463-71e6-4c3e-b406-ba3038e605db	7779c38d-a1fb-4d82-b3b4-7a965c9dc7a1	CRAC_FAN
a18ea463-71e6-4c3e-b406-ba3038e605db	b01a37b1-2d24-4125-a411-6e7977ce3ac6	CHILLER
a18ea463-71e6-4c3e-b406-ba3038e605db	949ecc2a-23e6-45fe-a41b-f8c4fe19bdee	AIR_COOLED_CHILLER
a18ea463-71e6-4c3e-b406-ba3038e605db	e2933969-991f-4e07-ab99-dcdf442a5cd4	COOLING_TOWER
a18ea463-71e6-4c3e-b406-ba3038e605db	84fcb23c-4d47-433a-94a3-251453019ae1	DRY_COOLER
a18ea463-71e6-4c3e-b406-ba3038e605db	548f7c9c-ede8-4823-96ca-5ff23ad3d7de	REMOTE_CONDENSER
a18ea463-71e6-4c3e-b406-ba3038e605db	c8c628ca-56aa-4ffa-b518-ac81b98abd69	CHILLED_WATER_PUMPS
a18ea463-71e6-4c3e-b406-ba3038e605db	ffd2a319-ba8e-43bc-9ab0-2c993662b237	HEAT_REJECTION_PUMPS
a18ea463-71e6-4c3e-b406-ba3038e605db	54c8a677-8b93-43bb-b978-0133d19a29e7	VENTILATION
a18ea463-71e6-4c3e-b406-ba3038e605db	aad5d953-22a4-4b2b-aa36-9a8cc4f0d60c	INFILTRATION
a18ea463-71e6-4c3e-b406-ba3038e605db	ae7e3242-add1-4056-ae0a-0247f88e716b	IT_LOAD
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	0309e6ef-6e12-429c-9393-ab871dc9a828	SWITCHGEAR
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	ec517197-9ad8-4eb0-8c88-eb7c2d0f5ef1	GENERATOR
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	c7783c3c-73cf-432e-ae39-e151308961eb	PRIMARY_AUXILIARIES
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	d37e0ab6-5f94-49fc-875e-f9794b6cc8ed	UPS
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	b2af8444-7a9e-41fe-838e-46b809dfdd29	CRITICAL_AUXILIARIES
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	fdd8810c-243e-4a77-ac54-a19405cb3d04	LIGHTING
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	d6df8953-7fac-4eb1-aa14-26f5b6aa55bb	CRITICAL_POWER_DISTRIBUTION
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	3ab7281c-845f-4c5c-9ca5-ea0a1da58e19	CRAH
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	acd4c90a-5eed-43e8-a90b-d01dff3f8a2c	CRAC
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	d3a7769e-01f3-4b72-ab15-e699694efee9	CRAC_WITHOUT_FAN
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	98115002-e752-4537-89ee-97db6e5a1de2	CRAC_FAN
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	0ca59786-f97f-47a2-a5c9-deb0d0829f4c	CHILLER
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	5c7744ab-9564-4cb2-855a-d8da675f8383	AIR_COOLED_CHILLER
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	7622592b-7c5b-42b8-b5d8-4c0d1a95f749	COOLING_TOWER
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	062aad29-e306-4ed7-8db1-73520115b9f3	DRY_COOLER
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	acbc57d2-d58c-4824-a90f-2c88e281646c	REMOTE_CONDENSER
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	d1c76f17-26e6-4bdc-8cf3-c85453129785	CHILLED_WATER_PUMPS
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	2431daea-e460-4d94-a264-0c270508da8f	HEAT_REJECTION_PUMPS
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	51394c70-25a8-4d65-9e3a-8b344fbae3b4	VENTILATION
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	76504c75-d3ed-4ab1-89d9-d8c2f0984f6c	INFILTRATION
be2f4e39-30a5-4ec9-9a78-2b6dae83be5b	b8f7e190-9eb8-400c-a111-438d2438fec9	IT_LOAD
61f7033b-0357-4a1d-9114-05908b20a9de	77f00a11-c800-401f-b294-0edd6f894f6b	SWITCHGEAR
61f7033b-0357-4a1d-9114-05908b20a9de	b8d88848-4ca1-42e0-88cf-09cff9c501a9	GENERATOR
61f7033b-0357-4a1d-9114-05908b20a9de	34f42d3e-3bad-4dcc-92cd-06b8ccc4de78	PRIMARY_AUXILIARIES
61f7033b-0357-4a1d-9114-05908b20a9de	d49bd032-51f5-4e8c-b17d-743ede3faf12	UPS
61f7033b-0357-4a1d-9114-05908b20a9de	47c2a80f-99c5-4932-a619-61ef83e212e2	CRITICAL_AUXILIARIES
61f7033b-0357-4a1d-9114-05908b20a9de	ecbdc9d9-9cac-4058-97b0-bd4572136242	LIGHTING
61f7033b-0357-4a1d-9114-05908b20a9de	43842631-8b86-4689-9997-8b0d607a96a6	CRITICAL_POWER_DISTRIBUTION
61f7033b-0357-4a1d-9114-05908b20a9de	1112ef74-72a1-4201-ad63-35aab85d0339	CRAH
61f7033b-0357-4a1d-9114-05908b20a9de	79b050bc-971e-481b-8ba0-5f890d9463a7	CRAC
61f7033b-0357-4a1d-9114-05908b20a9de	e3a477a7-9382-45ac-9768-6c93485a8f89	CRAC_WITHOUT_FAN
61f7033b-0357-4a1d-9114-05908b20a9de	d02da87a-b54b-4119-b277-20804cbdcb08	CRAC_FAN
61f7033b-0357-4a1d-9114-05908b20a9de	5be0299f-bcac-4c64-baff-b591280aa3a7	CHILLER
61f7033b-0357-4a1d-9114-05908b20a9de	e779d7c9-3c77-4ddc-965e-a1772129eb75	AIR_COOLED_CHILLER
61f7033b-0357-4a1d-9114-05908b20a9de	04f2c327-2d25-4cd3-b8c1-8f8150117481	COOLING_TOWER
61f7033b-0357-4a1d-9114-05908b20a9de	188c815d-e5db-4e71-8e1b-cfcc6c825e97	DRY_COOLER
61f7033b-0357-4a1d-9114-05908b20a9de	25284a03-2d91-46f2-a9a9-fc083c7c24f6	REMOTE_CONDENSER
61f7033b-0357-4a1d-9114-05908b20a9de	af9a935f-7e12-4eb0-94dc-a00c3d1d9a0a	CHILLED_WATER_PUMPS
61f7033b-0357-4a1d-9114-05908b20a9de	fd40ad67-99c8-433f-ac0f-3e920e537886	HEAT_REJECTION_PUMPS
61f7033b-0357-4a1d-9114-05908b20a9de	e86705bc-0afb-44dc-902f-8546966196fb	VENTILATION
61f7033b-0357-4a1d-9114-05908b20a9de	a7cc9c78-f7df-4fab-9ba5-47c896f5a184	INFILTRATION
61f7033b-0357-4a1d-9114-05908b20a9de	2eb07c46-6b9d-46c0-bc3e-eb8f32d2be23	IT_LOAD
305db680-1a99-48b5-8fb1-7679e3e11f57	e3e31fd0-196b-4e67-b66a-a4e9d99d8875	SWITCHGEAR
305db680-1a99-48b5-8fb1-7679e3e11f57	345b45bd-6d46-46f5-8f1c-d9f5413ff185	GENERATOR
305db680-1a99-48b5-8fb1-7679e3e11f57	02f469d9-279b-4d33-8f62-86f6160f922e	PRIMARY_AUXILIARIES
305db680-1a99-48b5-8fb1-7679e3e11f57	99b6a16e-63ed-4741-9dda-900255200c15	UPS
305db680-1a99-48b5-8fb1-7679e3e11f57	aead1798-dc65-4614-8192-05ff710e39f6	CRITICAL_AUXILIARIES
305db680-1a99-48b5-8fb1-7679e3e11f57	e96f42d4-4acc-45e4-9303-0691d97bd6ae	LIGHTING
305db680-1a99-48b5-8fb1-7679e3e11f57	0843d28d-26f0-4842-b577-9c6f4597278b	CRITICAL_POWER_DISTRIBUTION
305db680-1a99-48b5-8fb1-7679e3e11f57	5da1f0ba-531d-4f7b-965c-8f3e179f80a9	CRAH
305db680-1a99-48b5-8fb1-7679e3e11f57	523bf746-0bf6-417b-bd35-81f72a888917	CRAC
305db680-1a99-48b5-8fb1-7679e3e11f57	993bad3b-539b-4cd0-81e2-6835da5eb773	CRAC_WITHOUT_FAN
305db680-1a99-48b5-8fb1-7679e3e11f57	4d4e7cfc-483e-4f5c-980e-f143dd27a76a	CRAC_FAN
305db680-1a99-48b5-8fb1-7679e3e11f57	79e522dd-d6ec-4e9f-8b54-0ea050c573d8	CHILLER
305db680-1a99-48b5-8fb1-7679e3e11f57	891958d8-da9e-45e1-bf3c-528a378639e5	AIR_COOLED_CHILLER
305db680-1a99-48b5-8fb1-7679e3e11f57	7586311d-e5af-4ff7-a22d-96d6db87908d	COOLING_TOWER
305db680-1a99-48b5-8fb1-7679e3e11f57	510b52dd-b4a8-42c4-a70c-701bc440d736	DRY_COOLER
305db680-1a99-48b5-8fb1-7679e3e11f57	52371296-7728-4598-a3bd-e5069e08d7cf	REMOTE_CONDENSER
305db680-1a99-48b5-8fb1-7679e3e11f57	2a0eceb9-3f96-4fdc-b8d1-1f6510beac19	CHILLED_WATER_PUMPS
305db680-1a99-48b5-8fb1-7679e3e11f57	5f4d9005-fb2f-419d-a5a7-384122cb8df6	HEAT_REJECTION_PUMPS
305db680-1a99-48b5-8fb1-7679e3e11f57	93541b4f-e989-499b-a5e8-b71a2639fe7f	VENTILATION
305db680-1a99-48b5-8fb1-7679e3e11f57	7681f4bf-21e0-4481-b2e4-b09f044aab64	INFILTRATION
305db680-1a99-48b5-8fb1-7679e3e11f57	069980de-b24b-4e1e-9a70-7ae036469aca	IT_LOAD
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	c9a1047d-7fca-49d0-88e2-7c484b254c11	SWITCHGEAR
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	bab36c2a-b4b3-4b2a-bbe4-3b27df62beb8	GENERATOR
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	bc27f7e5-9b31-47c1-86a3-66c621d86db4	PRIMARY_AUXILIARIES
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	05b27cd1-ad71-475a-954d-546e43422f11	UPS
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	5d9c0b5d-9d1b-42cf-8b3c-9f8f896f820d	CRITICAL_AUXILIARIES
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	df1c7178-9696-47f9-b45b-040d6bdcbeb9	LIGHTING
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	b37762db-bbba-47ba-a90d-f268b35cf55d	CRITICAL_POWER_DISTRIBUTION
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	73c42bfe-9764-4199-83c7-326c852964b8	CRAH
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	04584b13-c326-4259-a543-41353258ef45	CRAC
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	f1d4f9fa-a68b-4de4-9c82-667f8e96126e	CRAC_WITHOUT_FAN
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	19fbb8ca-ff41-4431-96f1-77bc711c656b	CRAC_FAN
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	2a368220-d970-43ad-8daf-1d4336f7b0c4	CHILLER
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	a1d3411a-104b-4b0f-b41a-258145ecfadf	AIR_COOLED_CHILLER
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	d59cd69f-a308-497e-a964-765203b38b45	COOLING_TOWER
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	c8d9202d-7172-4102-8be0-509180a8cec7	DRY_COOLER
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	fd6149b9-da65-4a0e-aece-80be5095ebb8	REMOTE_CONDENSER
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	65de5b9d-042c-481d-a4d8-1693cfe31040	CHILLED_WATER_PUMPS
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	c7b8452f-e6e9-4532-ba58-117a91d0f005	HEAT_REJECTION_PUMPS
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	5b2e41c9-22af-46d5-8761-6a2effdc20f1	VENTILATION
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	f09ddc68-a9b7-4729-b64f-1ceab212eb3b	INFILTRATION
3d511fe6-e295-4ad3-8e4c-34f424dcefcd	d2f2504b-91ea-4690-926f-7ab07ba11403	IT_LOAD
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	2646dea0-f5df-4a30-b106-e051b564167b	SWITCHGEAR
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	3d2caf48-c77f-42fd-8074-e63fba3cd3b7	GENERATOR
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	3fecfa72-39cb-4d70-bd45-e1eb7056ef06	PRIMARY_AUXILIARIES
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	49f39288-d5ac-4e9a-8e32-0d5531e72006	UPS
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	77e8de96-15a7-40c5-8438-760e03f17a5a	CRITICAL_AUXILIARIES
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	53270f46-978d-4b78-87e9-5dee9c3e4bab	LIGHTING
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	7d0658d6-6b51-45b2-8e38-d1bb4b1557a7	CRITICAL_POWER_DISTRIBUTION
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	13f2495c-f0f5-4d58-a729-c39a25f6aad3	CRAH
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	5c06dcd8-3d9d-491d-88d9-128a9d656179	CRAC
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	d2f951fa-a447-48bb-b931-3299a0bd3331	CRAC_WITHOUT_FAN
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	21d85518-4d16-4c42-8fef-aaa63524535e	CRAC_FAN
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	a10166fe-a1c5-4bbd-93f1-fbd94db06900	CHILLER
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	b6fb622b-c89d-48b6-8c7e-7b00cb72497f	AIR_COOLED_CHILLER
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	79d5e505-d99c-4a19-a636-05770f595160	COOLING_TOWER
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	81e18441-3eb5-4dc5-b9a3-4404ddb38459	DRY_COOLER
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	e5ca5085-3c09-4123-8e64-c6e67894824d	REMOTE_CONDENSER
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	2440aa96-c1a1-4cbe-9433-27b7dd56af80	CHILLED_WATER_PUMPS
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	0a8eee59-ee51-4abd-99b5-9982e43019cf	HEAT_REJECTION_PUMPS
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	0b118da9-ac8e-4afa-8244-e25d79144d63	VENTILATION
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	7b974906-e5b7-461b-a7b4-b3f48430d866	INFILTRATION
b236f9a0-f45f-4ef7-8cd0-06f3e6aac305	f0fcd23e-527e-472e-9ca6-49d54b79ce3d	IT_LOAD
4376ae59-220b-469d-8f07-f55852cfb6da	54c87100-31de-4d8e-8016-66974510b57a	SWITCHGEAR
4376ae59-220b-469d-8f07-f55852cfb6da	c7664c53-c2a7-4b25-ad40-f2432f843f7a	GENERATOR
4376ae59-220b-469d-8f07-f55852cfb6da	1b5b10d1-6396-4620-a327-bcf35adc5f46	PRIMARY_AUXILIARIES
4376ae59-220b-469d-8f07-f55852cfb6da	2fccae7b-79f9-4b68-bce5-3dead6afb447	UPS
4376ae59-220b-469d-8f07-f55852cfb6da	ed98309d-2baa-4d5a-8689-5ea82b414a4d	CRITICAL_AUXILIARIES
4376ae59-220b-469d-8f07-f55852cfb6da	16bd8717-7acc-4593-86d2-2c503212f13d	LIGHTING
4376ae59-220b-469d-8f07-f55852cfb6da	0de2aca7-10b0-4e73-9546-37a98b037896	CRITICAL_POWER_DISTRIBUTION
4376ae59-220b-469d-8f07-f55852cfb6da	1ac81e38-8d29-4f76-a17b-2a63c250d9cb	CRAH
4376ae59-220b-469d-8f07-f55852cfb6da	932c0fe3-a9c0-4969-8426-7cd8ac3f41bc	CRAC
4376ae59-220b-469d-8f07-f55852cfb6da	83a181c9-58af-41a8-84b6-451a8881fed0	CRAC_WITHOUT_FAN
4376ae59-220b-469d-8f07-f55852cfb6da	688042df-2f80-4103-a599-5565209069eb	CRAC_FAN
4376ae59-220b-469d-8f07-f55852cfb6da	091fe77e-cade-4073-87a8-ffe016d7108f	CHILLER
4376ae59-220b-469d-8f07-f55852cfb6da	90cb9dd9-c839-4823-9a92-d9ed9c9ddf7c	AIR_COOLED_CHILLER
4376ae59-220b-469d-8f07-f55852cfb6da	0e1fe335-33de-436c-919d-ac9bc0693a41	COOLING_TOWER
4376ae59-220b-469d-8f07-f55852cfb6da	8d74957f-b24e-4400-9450-37d00d512938	DRY_COOLER
4376ae59-220b-469d-8f07-f55852cfb6da	200b93cf-7f15-48db-a013-c0ab3b2d0959	REMOTE_CONDENSER
4376ae59-220b-469d-8f07-f55852cfb6da	b66c64c1-9fda-4cd2-afb9-9dd593099f62	CHILLED_WATER_PUMPS
4376ae59-220b-469d-8f07-f55852cfb6da	f53307fb-5624-4cde-a2ee-edd80573b83f	HEAT_REJECTION_PUMPS
4376ae59-220b-469d-8f07-f55852cfb6da	f9377cb6-a698-488a-a8de-b9767806b71e	VENTILATION
4376ae59-220b-469d-8f07-f55852cfb6da	6e021fbf-77ba-4893-aad1-fda31dd73041	INFILTRATION
4376ae59-220b-469d-8f07-f55852cfb6da	45861804-77b9-44ab-9796-efec4f34abcf	IT_LOAD
525e6f10-86c7-428f-b5d4-a653e25e3604	2135083b-fb29-4155-a47f-a371386566ea	SWITCHGEAR
525e6f10-86c7-428f-b5d4-a653e25e3604	c259c1da-a3f9-469e-9e65-4dbbd5c3d3ef	GENERATOR
525e6f10-86c7-428f-b5d4-a653e25e3604	4a2e5138-0370-411b-ab01-c7d23dc23ff7	PRIMARY_AUXILIARIES
525e6f10-86c7-428f-b5d4-a653e25e3604	fa33a874-343d-466f-8da9-3ba7b59c833d	UPS
525e6f10-86c7-428f-b5d4-a653e25e3604	6c6a20fa-1f2f-4641-8e27-d7ced6680048	CRITICAL_AUXILIARIES
525e6f10-86c7-428f-b5d4-a653e25e3604	60246741-c255-40d0-9414-34869a92cf56	LIGHTING
525e6f10-86c7-428f-b5d4-a653e25e3604	742b3a02-0acb-49d4-b7de-d159e4c77f1d	CRITICAL_POWER_DISTRIBUTION
525e6f10-86c7-428f-b5d4-a653e25e3604	2b8474fb-6b2d-48b1-a09d-e7ec498c0e70	CRAH
525e6f10-86c7-428f-b5d4-a653e25e3604	9744b386-279b-4731-901b-739ca23ff31a	CRAC
525e6f10-86c7-428f-b5d4-a653e25e3604	1b35372c-df9e-4b47-838c-55ffcd2c0545	CRAC_WITHOUT_FAN
525e6f10-86c7-428f-b5d4-a653e25e3604	8d1e0fae-a42a-4de5-8d1c-dcba269d30e0	CRAC_FAN
525e6f10-86c7-428f-b5d4-a653e25e3604	99ff6a41-50b1-449e-9049-b93d47ab0208	CHILLER
525e6f10-86c7-428f-b5d4-a653e25e3604	4862a197-fbe8-40a4-8230-f544fe0c0010	AIR_COOLED_CHILLER
525e6f10-86c7-428f-b5d4-a653e25e3604	d5504b37-0771-4e0a-aea7-4d73a2748db2	COOLING_TOWER
525e6f10-86c7-428f-b5d4-a653e25e3604	8f32b2af-4a91-4a31-9a92-212acdd2517f	DRY_COOLER
525e6f10-86c7-428f-b5d4-a653e25e3604	d21b55d9-5044-48ff-a074-78e71603c89f	REMOTE_CONDENSER
525e6f10-86c7-428f-b5d4-a653e25e3604	a492f7ce-7061-48ff-b73e-f882b5e1f6fd	CHILLED_WATER_PUMPS
525e6f10-86c7-428f-b5d4-a653e25e3604	9ec310f3-cd33-4768-8815-b9749608b101	HEAT_REJECTION_PUMPS
525e6f10-86c7-428f-b5d4-a653e25e3604	e66d9946-9cad-4e52-beaf-009e757247b0	VENTILATION
525e6f10-86c7-428f-b5d4-a653e25e3604	09af6062-d912-4186-beac-b6a8a9536d03	INFILTRATION
525e6f10-86c7-428f-b5d4-a653e25e3604	d4e37a2d-286c-46e5-890d-de8aaf91c99d	IT_LOAD
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	6002c9c0-f549-4d0b-ba6a-531f09c3f644	SWITCHGEAR
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	9f3ba3a7-d74f-4e9a-bc44-a68a2f2e989d	GENERATOR
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	ba084920-c550-45e2-b08f-44e2e8da6f58	PRIMARY_AUXILIARIES
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	786c2713-a915-42e0-94f3-d51c272be64f	UPS
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	8b2d83a8-4b4c-4a7d-aa2e-ed29e1ec8f8f	CRITICAL_AUXILIARIES
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	2475db9b-28dd-477c-a5f6-b39d629d6757	LIGHTING
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	367de335-1910-462e-b61b-a907ff711215	CRITICAL_POWER_DISTRIBUTION
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	762019ce-4735-4fed-a9bc-559b6f6e5018	CRAH
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	63e7214f-9d2d-436e-b359-b5ec1a596492	CRAC
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	5448ec47-4cb7-4288-bf58-089158ae1ad9	CRAC_WITHOUT_FAN
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	bd9f200e-5876-4938-96bf-b77ae3b9b187	CRAC_FAN
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	402957a1-5ad3-4355-8217-675ca021e79a	CHILLER
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	5cdba73c-4e4b-4d93-a1e0-92643a2137f1	AIR_COOLED_CHILLER
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	d475e4e2-0dcb-4919-80c1-01a50baa52ff	COOLING_TOWER
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	10347d41-fabc-4c3b-a054-0294e93a82dd	DRY_COOLER
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	d3d34793-44ee-44e8-bfd5-4ee1dedbf6b5	REMOTE_CONDENSER
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	e36ba00f-ee67-42a8-bf4d-7d8b61d53dd7	CHILLED_WATER_PUMPS
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	7afdd0d2-3eb8-4d33-bae8-09cb18a60cbe	HEAT_REJECTION_PUMPS
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	e47014d1-acb0-44df-8f05-4dbf21d6e254	VENTILATION
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	fbdf52d4-4ac3-47dd-8122-142dda6da50e	INFILTRATION
f0edcf20-4ee6-4c9f-abd3-28f97a68708f	5df7e42c-0947-484c-afbf-c641b01106f2	IT_LOAD
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	a69a09e5-8fff-4d54-9d88-b0bf4596e642	SWITCHGEAR
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	fe22e215-2d16-4f5c-a951-1dfe87069f01	GENERATOR
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	d213cd97-4d5a-4465-8863-ef48ee1ea39b	PRIMARY_AUXILIARIES
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	ca9b5cd4-f441-4b04-a856-7e0d4508934f	UPS
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	b63faada-be63-42fb-baf6-76b4c2d12091	CRITICAL_AUXILIARIES
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	7c6e7c6c-3e89-4bd3-bef9-65b7757fd601	LIGHTING
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	4dd1167e-e43c-4919-bbe0-c78cf0fb0ddd	CRITICAL_POWER_DISTRIBUTION
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	fdce82c6-3e79-4321-8f5d-27208ac66a1a	CRAH
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	859beca1-aca9-4c19-bf6b-a93b32fc0a62	CRAC
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	96b05991-06cf-4213-b2ff-6df055a00206	CRAC_WITHOUT_FAN
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	9c8bff6c-2cc9-4b1f-9700-8bbbd41bec71	CRAC_FAN
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	17d0495f-ea71-4bcb-8940-d9fadf7ba1cf	CHILLER
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	ffcea457-332d-4ae4-871e-ac73d24ef683	AIR_COOLED_CHILLER
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	ed1338d0-935e-4253-b8ff-39f1ac03e76e	COOLING_TOWER
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	514cddb4-2ff8-43d5-8084-9410587b8fe2	DRY_COOLER
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	a3444ad2-1fd9-4333-beff-d2919392fd19	REMOTE_CONDENSER
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	fa631791-5949-48fb-bb29-1971d7cbec3f	CHILLED_WATER_PUMPS
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	181b4fd3-63ef-4af3-bbc8-83c0a314415e	HEAT_REJECTION_PUMPS
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	321ad03f-470c-4d29-b954-635b9993fe63	VENTILATION
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	f86386a3-37e3-453c-9644-dba7f90a2c11	INFILTRATION
9cbdad8f-ef4d-49e2-903c-6d6dd54671e7	46b75622-d199-44f4-b857-a374dc39f435	IT_LOAD
77196ff6-43ea-4e43-b852-19f11277e15d	ad91e6fa-7079-4143-a084-59711f7abfad	SWITCHGEAR
77196ff6-43ea-4e43-b852-19f11277e15d	b7e753bb-7fd9-4a92-846b-2eb3b7c15900	GENERATOR
77196ff6-43ea-4e43-b852-19f11277e15d	f5f2951f-74ce-41c6-a513-d8a66f38a289	PRIMARY_AUXILIARIES
77196ff6-43ea-4e43-b852-19f11277e15d	28da7604-bdd9-4bb2-9510-eda3ae88d925	UPS
77196ff6-43ea-4e43-b852-19f11277e15d	04cb1cad-a7f6-4fb9-894a-7154c10f8c58	CRITICAL_AUXILIARIES
77196ff6-43ea-4e43-b852-19f11277e15d	ae7744e3-24b5-490d-b4d2-4d4f461bf610	LIGHTING
77196ff6-43ea-4e43-b852-19f11277e15d	4f7bead8-bd64-4287-bbf8-4d846bf03c99	CRITICAL_POWER_DISTRIBUTION
77196ff6-43ea-4e43-b852-19f11277e15d	95053029-d413-4648-a407-bb3917f161db	CRAH
77196ff6-43ea-4e43-b852-19f11277e15d	db770a38-c5e4-4044-8dcf-a5e16c9b4376	CRAC
77196ff6-43ea-4e43-b852-19f11277e15d	35f69dc9-ff00-4724-be97-5a4c2e9ba29e	CRAC_WITHOUT_FAN
77196ff6-43ea-4e43-b852-19f11277e15d	17cdc2a9-0db8-4d2a-8c24-7d5a9e733be2	CRAC_FAN
77196ff6-43ea-4e43-b852-19f11277e15d	f77b0799-e86c-4312-94a5-58f3baf43ed3	CHILLER
77196ff6-43ea-4e43-b852-19f11277e15d	aad6f736-188e-4657-9f66-df521f092f92	AIR_COOLED_CHILLER
77196ff6-43ea-4e43-b852-19f11277e15d	12a6338d-b42b-4828-82e0-5dd7248a917f	COOLING_TOWER
77196ff6-43ea-4e43-b852-19f11277e15d	1763ba56-abc2-4066-83fa-0a5d33c64151	DRY_COOLER
77196ff6-43ea-4e43-b852-19f11277e15d	3c51b4bb-2f4a-48a2-b8aa-d4c419a7055d	REMOTE_CONDENSER
77196ff6-43ea-4e43-b852-19f11277e15d	d870feac-1480-47ad-ad38-d6c84bfcd7c9	CHILLED_WATER_PUMPS
77196ff6-43ea-4e43-b852-19f11277e15d	349e3c55-6f42-44b0-963a-c58361bfb2bd	HEAT_REJECTION_PUMPS
77196ff6-43ea-4e43-b852-19f11277e15d	bd88b40f-f7a7-4568-b295-1724b7eca9a1	VENTILATION
77196ff6-43ea-4e43-b852-19f11277e15d	a9c5fd28-ec37-446d-8c91-8897ab4e8f78	INFILTRATION
77196ff6-43ea-4e43-b852-19f11277e15d	8d4f1892-48f5-4098-89bb-7e14d2949515	IT_LOAD
6376bdff-9a0a-4961-aae9-ee91bbd160fa	75b63ab4-f76f-440d-9ff9-5bd2ff3c8933	SWITCHGEAR
6376bdff-9a0a-4961-aae9-ee91bbd160fa	ac0b4a9a-0712-4e87-a2f4-dcb98848488a	GENERATOR
6376bdff-9a0a-4961-aae9-ee91bbd160fa	66a958c7-638b-4a85-a491-93ac2a202cc6	PRIMARY_AUXILIARIES
6376bdff-9a0a-4961-aae9-ee91bbd160fa	18072946-ae4e-42bd-93ed-edb2526bee07	UPS
6376bdff-9a0a-4961-aae9-ee91bbd160fa	b9a63532-980d-41b2-b451-420d8607dcb6	CRITICAL_AUXILIARIES
6376bdff-9a0a-4961-aae9-ee91bbd160fa	6ea486a9-f49c-41fe-91cc-346614e1f7e4	LIGHTING
6376bdff-9a0a-4961-aae9-ee91bbd160fa	434aba64-50ba-4c43-a345-c7ff3c413a20	CRITICAL_POWER_DISTRIBUTION
6376bdff-9a0a-4961-aae9-ee91bbd160fa	236f3ff1-13c0-4238-93e6-bfa05b784519	CRAH
6376bdff-9a0a-4961-aae9-ee91bbd160fa	a5cb2f17-0e2d-4e12-b698-73fa87c1899e	CRAC
6376bdff-9a0a-4961-aae9-ee91bbd160fa	8af2d88b-7842-4d28-9a34-e349d6445795	CRAC_WITHOUT_FAN
6376bdff-9a0a-4961-aae9-ee91bbd160fa	0faa313e-b12d-4889-b2c1-bbed9e02785a	CRAC_FAN
6376bdff-9a0a-4961-aae9-ee91bbd160fa	63f61350-abe0-499f-81c6-a196ead5335a	CHILLER
6376bdff-9a0a-4961-aae9-ee91bbd160fa	d6f8e27f-0b82-4883-835c-b10285467de3	AIR_COOLED_CHILLER
6376bdff-9a0a-4961-aae9-ee91bbd160fa	ef266998-9665-4592-9807-5c3c6e39ff67	COOLING_TOWER
6376bdff-9a0a-4961-aae9-ee91bbd160fa	7356bd34-055a-4973-a767-7928c58fbc8e	DRY_COOLER
6376bdff-9a0a-4961-aae9-ee91bbd160fa	d9a80a99-2ed9-4f1d-a653-dd9f843284dc	REMOTE_CONDENSER
6376bdff-9a0a-4961-aae9-ee91bbd160fa	74a0ff77-6880-4073-95c0-0965347ed36a	CHILLED_WATER_PUMPS
6376bdff-9a0a-4961-aae9-ee91bbd160fa	2e96bd7b-800e-4772-b487-61b12f4108a5	HEAT_REJECTION_PUMPS
6376bdff-9a0a-4961-aae9-ee91bbd160fa	2e5c9de0-a67e-4b11-ae63-2b3fb59a91de	VENTILATION
6376bdff-9a0a-4961-aae9-ee91bbd160fa	1aa1a69c-aa0c-4c27-83b5-dc7050b15537	INFILTRATION
6376bdff-9a0a-4961-aae9-ee91bbd160fa	1ba27dec-6b35-4d38-be4c-90b0c0d79a27	IT_LOAD
a5c7c867-e878-4834-828f-92afed43d894	e8b5e2a1-a0d5-4108-9ff3-96c6832d1ef8	SWITCHGEAR
a5c7c867-e878-4834-828f-92afed43d894	927f442e-82f1-4527-8461-5628dda639b9	GENERATOR
a5c7c867-e878-4834-828f-92afed43d894	bd3bb0f4-ec79-4bf9-acd8-e87ede920179	PRIMARY_AUXILIARIES
a5c7c867-e878-4834-828f-92afed43d894	f9ba2cd7-6fb4-454a-9dc2-e1a6d1846bca	UPS
a5c7c867-e878-4834-828f-92afed43d894	b7815d43-c8c2-4e00-95e5-8e924953b275	CRITICAL_AUXILIARIES
a5c7c867-e878-4834-828f-92afed43d894	015cb9c4-a039-4a86-b071-b2223d90083d	LIGHTING
a5c7c867-e878-4834-828f-92afed43d894	8086b794-2169-45c6-89f8-fb4070b2382a	CRITICAL_POWER_DISTRIBUTION
a5c7c867-e878-4834-828f-92afed43d894	24f4b01a-d7d6-4a13-8fd3-68f654bb551f	CRAH
a5c7c867-e878-4834-828f-92afed43d894	1a714423-0f01-47cc-9997-5980153cdc8d	CRAC
a5c7c867-e878-4834-828f-92afed43d894	f9d7577b-7243-446e-8bd3-fbb2f56bf042	CRAC_WITHOUT_FAN
a5c7c867-e878-4834-828f-92afed43d894	c0eb9153-4201-4b1e-b77f-5aa329e0b419	CRAC_FAN
a5c7c867-e878-4834-828f-92afed43d894	58aa33ee-102b-45ad-9fab-0430f338075d	CHILLER
a5c7c867-e878-4834-828f-92afed43d894	f323f1d4-2665-4f72-9775-1938bb5ae600	AIR_COOLED_CHILLER
a5c7c867-e878-4834-828f-92afed43d894	49e8b2ca-9079-472d-8d22-f3f2736ef92d	COOLING_TOWER
a5c7c867-e878-4834-828f-92afed43d894	76dc3fcc-8ab3-49c7-be6d-d68f7aa81b25	DRY_COOLER
a5c7c867-e878-4834-828f-92afed43d894	d4c850ca-6ccc-4e3f-8bc3-f7bbd2ea14c7	REMOTE_CONDENSER
a5c7c867-e878-4834-828f-92afed43d894	95815884-d676-41c3-ba75-5cc71537a082	CHILLED_WATER_PUMPS
a5c7c867-e878-4834-828f-92afed43d894	2bfa079b-773b-4ecb-b428-a83c091f2a11	HEAT_REJECTION_PUMPS
a5c7c867-e878-4834-828f-92afed43d894	25dab57f-f145-400d-9436-2797546340e1	VENTILATION
a5c7c867-e878-4834-828f-92afed43d894	d2da0d01-c4c8-4d5f-bf4f-4649262d9546	INFILTRATION
a5c7c867-e878-4834-828f-92afed43d894	22472ad3-a619-42b7-bd94-7fed4486893c	IT_LOAD
81b36393-787b-41fc-a540-99d7ac7726c7	e53406f7-2d00-4d4e-ab0c-983da253873e	SWITCHGEAR
81b36393-787b-41fc-a540-99d7ac7726c7	f8db6f3b-f585-4eff-9db6-25e0f321281a	GENERATOR
81b36393-787b-41fc-a540-99d7ac7726c7	f35ae812-3481-42ba-8132-53592821e8dd	PRIMARY_AUXILIARIES
81b36393-787b-41fc-a540-99d7ac7726c7	ee4d0197-2ccf-4192-94eb-62c2f0c1d10c	UPS
81b36393-787b-41fc-a540-99d7ac7726c7	2c33bb27-11a0-44ac-a5b8-4ceb56e81cc7	CRITICAL_AUXILIARIES
81b36393-787b-41fc-a540-99d7ac7726c7	847c0aa9-06c2-4bb2-bd7a-c0943aa02044	LIGHTING
81b36393-787b-41fc-a540-99d7ac7726c7	79a41551-e251-4042-b9f9-f2e6fffd6d1d	CRITICAL_POWER_DISTRIBUTION
81b36393-787b-41fc-a540-99d7ac7726c7	bc502c32-9d13-4601-ac9d-55c847cd128b	CRAH
81b36393-787b-41fc-a540-99d7ac7726c7	7ec93952-633e-4166-a918-89bf10a287b2	CRAC
81b36393-787b-41fc-a540-99d7ac7726c7	3156932e-da78-4b19-93e6-6d5e01473f6a	CRAC_WITHOUT_FAN
81b36393-787b-41fc-a540-99d7ac7726c7	3106db2f-9285-4ee8-a928-8d3f1399b31d	CRAC_FAN
81b36393-787b-41fc-a540-99d7ac7726c7	f0126b1b-a89e-4d79-8655-9e2e8bd887cd	CHILLER
81b36393-787b-41fc-a540-99d7ac7726c7	8b5204ba-c5c9-4ab1-9514-8539b3418ccb	AIR_COOLED_CHILLER
81b36393-787b-41fc-a540-99d7ac7726c7	53ba8a47-bfc9-4d2c-a57d-0cd8b059546e	COOLING_TOWER
81b36393-787b-41fc-a540-99d7ac7726c7	685f83dc-3ce5-4047-ad53-4d6976b6bf30	DRY_COOLER
81b36393-787b-41fc-a540-99d7ac7726c7	a80fc7bd-5453-4d8c-82af-1024cce85c17	REMOTE_CONDENSER
81b36393-787b-41fc-a540-99d7ac7726c7	c2d380aa-fbc6-4f73-9af2-37df948bd9b8	CHILLED_WATER_PUMPS
81b36393-787b-41fc-a540-99d7ac7726c7	5f5b1f2c-33ba-4ec9-b773-900e98fdbffe	HEAT_REJECTION_PUMPS
81b36393-787b-41fc-a540-99d7ac7726c7	250ef9d9-cbdf-4708-8a78-605f30fa3361	VENTILATION
81b36393-787b-41fc-a540-99d7ac7726c7	6a302340-fd6c-4adc-913e-4113c48cdb0f	INFILTRATION
81b36393-787b-41fc-a540-99d7ac7726c7	eea9ee41-b88d-46dd-896d-13114b9ae409	IT_LOAD
9571f0c0-5b3c-4d25-b4cf-74a40588919d	f255154f-3cfb-4f79-89fd-ac6ab50f9aaf	SWITCHGEAR
9571f0c0-5b3c-4d25-b4cf-74a40588919d	ec4b9ca1-0955-493c-87c7-f66531d06bad	GENERATOR
9571f0c0-5b3c-4d25-b4cf-74a40588919d	153292aa-8370-4a59-9b60-5036d61c87fe	PRIMARY_AUXILIARIES
9571f0c0-5b3c-4d25-b4cf-74a40588919d	d39ccb61-a82f-4035-bab1-f587ed908721	UPS
9571f0c0-5b3c-4d25-b4cf-74a40588919d	b38ec763-f62c-49e6-a37a-7dd7bdf795e2	CRITICAL_AUXILIARIES
9571f0c0-5b3c-4d25-b4cf-74a40588919d	6784f419-c377-4373-b791-743660835d42	LIGHTING
9571f0c0-5b3c-4d25-b4cf-74a40588919d	25c4abe7-7695-45ff-83cd-bf6dd545f993	CRITICAL_POWER_DISTRIBUTION
9571f0c0-5b3c-4d25-b4cf-74a40588919d	6256f704-6073-45b8-b42a-7eac2cfa2109	CRAH
9571f0c0-5b3c-4d25-b4cf-74a40588919d	9eed2ad5-6a19-48df-a636-17e0bc9d1e49	CRAC
9571f0c0-5b3c-4d25-b4cf-74a40588919d	e20eb8ea-f6c3-4ba7-b1e4-d32d2935f517	CRAC_WITHOUT_FAN
9571f0c0-5b3c-4d25-b4cf-74a40588919d	4eaa2b7f-3d2f-4d9b-b7aa-711ae7c24ed8	CRAC_FAN
9571f0c0-5b3c-4d25-b4cf-74a40588919d	1c3f0740-6e02-43b7-bf03-dd8c15a26571	CHILLER
9571f0c0-5b3c-4d25-b4cf-74a40588919d	3e8cf325-61cb-4b4e-ae44-ea8cbd4bb04e	AIR_COOLED_CHILLER
9571f0c0-5b3c-4d25-b4cf-74a40588919d	03b91a68-c3d1-4b61-83e5-66bb8974acbd	COOLING_TOWER
9571f0c0-5b3c-4d25-b4cf-74a40588919d	8155a00b-21c0-4cb0-9194-3619f27f7fec	DRY_COOLER
9571f0c0-5b3c-4d25-b4cf-74a40588919d	4b040263-923a-4e2c-b669-df7b20479fc7	REMOTE_CONDENSER
9571f0c0-5b3c-4d25-b4cf-74a40588919d	dff10070-b565-4028-9fd4-8c19f52ffe4d	CHILLED_WATER_PUMPS
9571f0c0-5b3c-4d25-b4cf-74a40588919d	466b967e-82e2-4fb4-8a04-9981d1b728ef	HEAT_REJECTION_PUMPS
9571f0c0-5b3c-4d25-b4cf-74a40588919d	fc7b5a90-8f5d-4e50-a4fa-502c1412715c	VENTILATION
9571f0c0-5b3c-4d25-b4cf-74a40588919d	a8f3821b-cfea-4814-9f9b-e811adddad54	INFILTRATION
9571f0c0-5b3c-4d25-b4cf-74a40588919d	faad02d1-cdcb-4a30-b05b-78bd4e36a67e	IT_LOAD
0cb59209-5050-45ae-be60-61dac78852b3	6f006ae9-0e80-4a2e-b95f-3cddc8c28dae	SWITCHGEAR
0cb59209-5050-45ae-be60-61dac78852b3	08392747-0d19-4fc0-b83c-3e2cecbcd264	GENERATOR
0cb59209-5050-45ae-be60-61dac78852b3	a6a42c8f-5573-406e-b8d9-6c696ec0c980	PRIMARY_AUXILIARIES
0cb59209-5050-45ae-be60-61dac78852b3	bd78aaff-9c25-45ba-a387-795765bba26e	UPS
0cb59209-5050-45ae-be60-61dac78852b3	7422cc33-e5f7-47ed-a0a9-ff0b6dcd04f7	CRITICAL_AUXILIARIES
0cb59209-5050-45ae-be60-61dac78852b3	ebca783d-e177-434c-809a-3019afe41741	LIGHTING
0cb59209-5050-45ae-be60-61dac78852b3	58ba2926-858c-4b1f-924b-854ac28943e2	CRITICAL_POWER_DISTRIBUTION
0cb59209-5050-45ae-be60-61dac78852b3	37d5e7d8-55df-4143-867e-aa7e11e7dfae	CRAH
0cb59209-5050-45ae-be60-61dac78852b3	a718871f-0e53-4532-8f7e-3c2d5d03ae39	CRAC
0cb59209-5050-45ae-be60-61dac78852b3	ecfdfaf1-6e51-4dba-86e2-083dc6fb60ef	CRAC_WITHOUT_FAN
0cb59209-5050-45ae-be60-61dac78852b3	3b60c68a-4eb2-4f32-a8d7-c7136209d728	CRAC_FAN
0cb59209-5050-45ae-be60-61dac78852b3	ac6a5584-2d58-4171-8431-a51d5238c394	CHILLER
0cb59209-5050-45ae-be60-61dac78852b3	e56f7085-7cd3-4566-ba9a-5cb3bb01fec3	AIR_COOLED_CHILLER
0cb59209-5050-45ae-be60-61dac78852b3	a5eaef20-fae1-4065-a351-6cdd2d3e39c4	COOLING_TOWER
0cb59209-5050-45ae-be60-61dac78852b3	d0c7ef17-25e1-4883-b901-9189b28a4b11	DRY_COOLER
0cb59209-5050-45ae-be60-61dac78852b3	e65a8bed-199f-418e-b2cd-e84a8edf4ee4	REMOTE_CONDENSER
0cb59209-5050-45ae-be60-61dac78852b3	161c892a-1d3a-44ba-a696-5b9228365738	CHILLED_WATER_PUMPS
0cb59209-5050-45ae-be60-61dac78852b3	0b52578f-a427-4949-8b16-0ac7c457af62	HEAT_REJECTION_PUMPS
0cb59209-5050-45ae-be60-61dac78852b3	35d1faa2-4ced-483a-b1c8-e1dc6d9c699f	VENTILATION
0cb59209-5050-45ae-be60-61dac78852b3	c71dfe03-73de-4a18-b60c-200c7f56d053	INFILTRATION
0cb59209-5050-45ae-be60-61dac78852b3	929f880b-b212-45a1-bec8-88679177732e	IT_LOAD
6f2731e6-8276-4a9b-96bd-b7a85a566500	5605b547-34da-42f2-8ecb-22595abc7772	SWITCHGEAR
6f2731e6-8276-4a9b-96bd-b7a85a566500	c323e141-af43-465d-bd25-7e27b2e89ce9	GENERATOR
6f2731e6-8276-4a9b-96bd-b7a85a566500	eca80585-2791-41f5-93be-dd080d715c45	PRIMARY_AUXILIARIES
6f2731e6-8276-4a9b-96bd-b7a85a566500	bc705710-d3e7-42d7-8c4f-d4f609ca572c	UPS
6f2731e6-8276-4a9b-96bd-b7a85a566500	52538d17-0b6c-4ea3-a781-4e1e3c085f77	CRITICAL_AUXILIARIES
6f2731e6-8276-4a9b-96bd-b7a85a566500	0b16f2c5-29d5-430f-82e6-7d68da3c4b2b	LIGHTING
6f2731e6-8276-4a9b-96bd-b7a85a566500	454920a9-4476-479b-9eb6-3b59d26aeee2	CRITICAL_POWER_DISTRIBUTION
6f2731e6-8276-4a9b-96bd-b7a85a566500	f2b3294a-100c-4108-acc5-11bb98700caf	CRAH
6f2731e6-8276-4a9b-96bd-b7a85a566500	1d511968-f2e2-4272-a529-cb8d9ce39824	CRAC
6f2731e6-8276-4a9b-96bd-b7a85a566500	f6cfd74f-bfc9-4426-ba63-1b20b5cc758d	CRAC_WITHOUT_FAN
6f2731e6-8276-4a9b-96bd-b7a85a566500	1b69f700-39d9-461c-80f0-f761dc5160fa	CRAC_FAN
6f2731e6-8276-4a9b-96bd-b7a85a566500	766d3430-2125-4568-9af9-d2f0090aca44	CHILLER
6f2731e6-8276-4a9b-96bd-b7a85a566500	9dc19bc7-7f67-4931-a07d-d6b1d8715398	AIR_COOLED_CHILLER
6f2731e6-8276-4a9b-96bd-b7a85a566500	26cd5031-278d-412f-9521-518827056497	COOLING_TOWER
6f2731e6-8276-4a9b-96bd-b7a85a566500	3e813c88-7512-4f52-bad0-31305a25058d	DRY_COOLER
6f2731e6-8276-4a9b-96bd-b7a85a566500	86b9d4b6-3e33-48d4-aca6-b715a6887482	REMOTE_CONDENSER
6f2731e6-8276-4a9b-96bd-b7a85a566500	424d9f46-4344-4c0d-97ef-f86a1c94bd89	CHILLED_WATER_PUMPS
6f2731e6-8276-4a9b-96bd-b7a85a566500	d88258be-32ad-4c4f-b151-754a025f36d8	HEAT_REJECTION_PUMPS
6f2731e6-8276-4a9b-96bd-b7a85a566500	1a1918de-c78d-4245-a129-3dc8cfbceca4	VENTILATION
6f2731e6-8276-4a9b-96bd-b7a85a566500	3b1ef890-cd23-43a8-96aa-df625b7e845f	INFILTRATION
6f2731e6-8276-4a9b-96bd-b7a85a566500	eceb6300-8dd9-4c43-9268-f320e12264cf	IT_LOAD
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	95280908-9676-4566-88d4-b24b066b6244	SWITCHGEAR
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	54e62995-6d19-4db6-94c3-326edc23bda9	GENERATOR
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	a5ceb5a4-31c9-4cb6-820e-ac60ca1aa86b	PRIMARY_AUXILIARIES
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	9198f09d-f109-4f62-b504-c57cdbbe4a39	UPS
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	fc65cd05-8cc2-42d1-862b-4b4f1774619a	CRITICAL_AUXILIARIES
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	212d7d72-c7b7-4280-a3fd-8b93dae4cb26	LIGHTING
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	8e9a5e0b-23ca-41f2-a8f3-c9e568f66099	CRITICAL_POWER_DISTRIBUTION
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	54a25952-b17e-4444-9946-0a6f28300231	CRAH
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	399c12f7-4193-4778-a0bc-3b08ebde2680	CRAC
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	612d83d5-0ec1-46b8-9ea9-0efbc84c8a7f	CRAC_WITHOUT_FAN
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	d8917490-e22a-45df-869e-6d9b4f67b2ae	CRAC_FAN
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	e90c707c-6893-4d39-a19e-93b535be77f4	CHILLER
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	602c4237-51b8-4361-9757-5ad06207ead2	AIR_COOLED_CHILLER
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	753b019f-17a7-443c-9854-4683a5e5b85e	COOLING_TOWER
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	031e7c08-ffd9-4667-b187-f3777611909d	DRY_COOLER
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	f4d7a42b-9c75-46c2-9ac4-8a47875848ad	REMOTE_CONDENSER
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	f080ec43-20b4-4bc2-b6c9-681564f9d545	CHILLED_WATER_PUMPS
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	20d531ee-f82a-4b57-a890-3627d28ef19f	HEAT_REJECTION_PUMPS
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	68550a68-2d71-4ef1-9641-6c58a27ce0c0	VENTILATION
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	1dafbca2-3fce-4dfb-8e92-22f265b7a916	INFILTRATION
3c82bf3a-f286-4ad9-b739-fd1b4b33be94	346ee251-b894-4fb4-b7b0-17186ee3e944	IT_LOAD
4e5cf83b-b8e4-4755-9709-7041a90b571b	a595daaf-069a-46f8-a6a5-4ffe690b801c	SWITCHGEAR
4e5cf83b-b8e4-4755-9709-7041a90b571b	8dac1f6c-9bc9-4b27-aab2-8d6a9f3b3f2f	GENERATOR
4e5cf83b-b8e4-4755-9709-7041a90b571b	4e6ca729-8bfe-4767-8058-ce4ad3ba76c6	PRIMARY_AUXILIARIES
4e5cf83b-b8e4-4755-9709-7041a90b571b	1819f760-2208-4f87-b54c-8c71ea21b50b	UPS
4e5cf83b-b8e4-4755-9709-7041a90b571b	f4b6af7e-0c18-41a8-adb9-15a4afcb50ca	CRITICAL_AUXILIARIES
4e5cf83b-b8e4-4755-9709-7041a90b571b	8e276e8c-5ba7-4d37-b860-6a983a065d91	LIGHTING
4e5cf83b-b8e4-4755-9709-7041a90b571b	d5079626-d27f-46db-ad00-fcc014e6c0e3	CRITICAL_POWER_DISTRIBUTION
4e5cf83b-b8e4-4755-9709-7041a90b571b	4f95ab8c-85c5-4a49-bdf4-79518536d0a2	CRAH
4e5cf83b-b8e4-4755-9709-7041a90b571b	cefa798b-348d-441c-bc93-629ff23fae1a	CRAC
4e5cf83b-b8e4-4755-9709-7041a90b571b	7347f505-3c8c-4014-bd2e-2eb3e70eb58b	CRAC_WITHOUT_FAN
4e5cf83b-b8e4-4755-9709-7041a90b571b	7e28e52d-a2a1-4161-842f-af25cfba0ee7	CRAC_FAN
4e5cf83b-b8e4-4755-9709-7041a90b571b	ee273820-dfba-46bc-8ee6-4f75412b1693	CHILLER
4e5cf83b-b8e4-4755-9709-7041a90b571b	3e92f599-b280-4767-9875-904363572697	AIR_COOLED_CHILLER
4e5cf83b-b8e4-4755-9709-7041a90b571b	0c9f2f5d-2882-46a2-8dbb-d1605165d417	COOLING_TOWER
4e5cf83b-b8e4-4755-9709-7041a90b571b	9de7c780-3489-4dc5-af39-e3733add3d51	DRY_COOLER
4e5cf83b-b8e4-4755-9709-7041a90b571b	8ae36858-16ca-46fc-a890-1e9b2154bdda	REMOTE_CONDENSER
4e5cf83b-b8e4-4755-9709-7041a90b571b	c66b4536-3a5e-4b95-b20d-b697b8b04dc9	CHILLED_WATER_PUMPS
4e5cf83b-b8e4-4755-9709-7041a90b571b	6394bc0d-358c-4bdc-a747-14b3345e23aa	HEAT_REJECTION_PUMPS
4e5cf83b-b8e4-4755-9709-7041a90b571b	47e7d94d-2b4f-4d44-b437-38082cbef45d	VENTILATION
4e5cf83b-b8e4-4755-9709-7041a90b571b	26640ca4-16f4-4cf4-b902-32a7a763ecce	INFILTRATION
4e5cf83b-b8e4-4755-9709-7041a90b571b	dfb15982-289b-42d8-9df7-d5a64c1303ca	IT_LOAD
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	b88bf576-6606-4b4a-88a1-9142f196c086	SWITCHGEAR
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	bc763132-9ca1-4b79-87b8-1156302ab7f8	GENERATOR
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	926a51c8-0e72-4db4-a59b-7a0dfa15d806	PRIMARY_AUXILIARIES
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	aabe0326-3277-4baf-b29c-875f9d5b85cd	UPS
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	9e7fd1b8-fdc5-421f-b3e7-55cb21041ef3	CRITICAL_AUXILIARIES
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	25abf700-8cd8-4101-a497-5495e0133148	LIGHTING
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	a47d21be-0dd7-45eb-827b-f5f8ba15503d	CRITICAL_POWER_DISTRIBUTION
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	cc8972fd-81d9-4ee6-85c6-374b0c8fb25e	CRAH
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	53e1c7d1-5417-4abf-a258-87034293174d	CRAC
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	a2e1db38-5fed-4410-801f-4b6d0c77c867	CRAC_WITHOUT_FAN
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	1124c213-da38-4c06-834f-2f705655b5e2	CRAC_FAN
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	8e731c9f-7d94-4563-adb2-94629a7f5a6b	CHILLER
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	2a1621a4-cc42-43b1-8f5a-0c38bb2a567e	AIR_COOLED_CHILLER
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	6d61cf2f-13ed-4df9-8ff3-735ba753d15f	COOLING_TOWER
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	4e57f0ed-7ae6-4123-96f1-23b7c0cdb4a2	DRY_COOLER
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	f5b17760-e355-4d23-87b9-7cd960bff864	REMOTE_CONDENSER
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	c13f8101-f1b5-41bd-99da-2d34137b5840	CHILLED_WATER_PUMPS
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	34a2cff7-1c40-4d4b-ace1-00551f0b3d2e	HEAT_REJECTION_PUMPS
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	ac885319-010d-443e-9a54-a36822ee7ea1	VENTILATION
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	7e9bff08-c164-4ae6-b503-53db5a5492b4	INFILTRATION
af24fe0a-72c7-49aa-86da-3aaca54b5f7b	4aeade42-601b-4789-abd6-e3fc6cef27ea	IT_LOAD
231d640a-0b06-4fca-88d2-94354049ac07	595e83aa-53e0-4db9-abea-3d2534cf4a6a	SWITCHGEAR
231d640a-0b06-4fca-88d2-94354049ac07	4759c9c2-de29-4e94-be4a-d88c462aad1e	GENERATOR
231d640a-0b06-4fca-88d2-94354049ac07	dca6f0f0-2b6e-41ec-ad10-17b47f435489	PRIMARY_AUXILIARIES
231d640a-0b06-4fca-88d2-94354049ac07	94037590-df5e-49ff-b17d-c22b71365a20	UPS
231d640a-0b06-4fca-88d2-94354049ac07	85f14fdf-ea8d-4bc9-ac99-0f15426d1a71	CRITICAL_AUXILIARIES
231d640a-0b06-4fca-88d2-94354049ac07	ddf94ca0-4206-4c67-a31e-2806377e7f1b	LIGHTING
231d640a-0b06-4fca-88d2-94354049ac07	af1778c1-29ef-4c5f-af11-ef93b21af80a	CRITICAL_POWER_DISTRIBUTION
231d640a-0b06-4fca-88d2-94354049ac07	9a5b17e9-a131-4264-a395-691bd69d674e	CRAH
231d640a-0b06-4fca-88d2-94354049ac07	96853cb2-ff6d-4600-a671-f89eba4c9624	CRAC
231d640a-0b06-4fca-88d2-94354049ac07	42ab5586-cd5f-40ee-8614-979188d898d0	CRAC_WITHOUT_FAN
231d640a-0b06-4fca-88d2-94354049ac07	1282ec17-ed67-42ab-a7f7-44637f91397b	CRAC_FAN
231d640a-0b06-4fca-88d2-94354049ac07	f50dd814-91ee-4996-bbf0-89ea0eefe056	CHILLER
231d640a-0b06-4fca-88d2-94354049ac07	cebe682d-42d6-4e65-b3fc-8ff21818f36b	AIR_COOLED_CHILLER
231d640a-0b06-4fca-88d2-94354049ac07	2634f1e4-d147-4eb3-8aef-a92b01fad7ae	COOLING_TOWER
231d640a-0b06-4fca-88d2-94354049ac07	82df7fff-015e-4b72-aa59-34078e10b973	DRY_COOLER
231d640a-0b06-4fca-88d2-94354049ac07	abcd2d7d-8a67-4bec-b210-6c590e28a793	REMOTE_CONDENSER
231d640a-0b06-4fca-88d2-94354049ac07	a0f9a869-de81-4616-a895-7709eb766064	CHILLED_WATER_PUMPS
231d640a-0b06-4fca-88d2-94354049ac07	3cd0a37b-930c-4ada-81ee-29da8120c6c0	HEAT_REJECTION_PUMPS
231d640a-0b06-4fca-88d2-94354049ac07	8bb25683-aca5-4a10-a29b-dddaac452948	VENTILATION
231d640a-0b06-4fca-88d2-94354049ac07	bd04481f-b52c-45be-adc2-2a2cd81adc0e	INFILTRATION
231d640a-0b06-4fca-88d2-94354049ac07	480ac85d-7fa5-43d3-ae00-fd80b09f919f	IT_LOAD
7c4e8376-d027-4293-865e-b38b0d585f10	fffa840c-b8a0-4a54-9f28-f384e8330661	SWITCHGEAR
7c4e8376-d027-4293-865e-b38b0d585f10	5ffa4eba-f21d-4559-b756-7d195734367d	GENERATOR
7c4e8376-d027-4293-865e-b38b0d585f10	f1debcf4-0a9f-4a21-975c-0b959dc85f58	PRIMARY_AUXILIARIES
7c4e8376-d027-4293-865e-b38b0d585f10	9ecdafa6-5b53-4de6-866b-2e5b45fbfbf3	UPS
7c4e8376-d027-4293-865e-b38b0d585f10	097fbfa3-ee4a-4308-9256-93692c21fe83	CRITICAL_AUXILIARIES
7c4e8376-d027-4293-865e-b38b0d585f10	328010b4-146b-4c6d-820d-d3987d04bb2f	LIGHTING
7c4e8376-d027-4293-865e-b38b0d585f10	5e96fa50-01eb-4fb1-ad1d-8b71908dc113	CRITICAL_POWER_DISTRIBUTION
7c4e8376-d027-4293-865e-b38b0d585f10	0777905f-ccb4-41f0-9e81-bdd716dd5c4b	CRAH
7c4e8376-d027-4293-865e-b38b0d585f10	2dae9e43-bcd7-4f9b-a6ed-c2ab8eacc599	CRAC
7c4e8376-d027-4293-865e-b38b0d585f10	52ab02dd-48cf-4556-81ce-d02ddcafad26	CRAC_WITHOUT_FAN
7c4e8376-d027-4293-865e-b38b0d585f10	e2da252f-dc5f-461f-8152-3a65831abd98	CRAC_FAN
7c4e8376-d027-4293-865e-b38b0d585f10	e23bd5bd-8e67-4eed-b564-ee92450ea4bd	CHILLER
7c4e8376-d027-4293-865e-b38b0d585f10	af726a50-2e4e-4acb-8040-47e1518e71e5	AIR_COOLED_CHILLER
7c4e8376-d027-4293-865e-b38b0d585f10	c6f541d7-aa17-42e2-8b70-ed558a2c6aca	COOLING_TOWER
7c4e8376-d027-4293-865e-b38b0d585f10	4295cef0-64be-4d08-94b7-a19122a11e3c	DRY_COOLER
7c4e8376-d027-4293-865e-b38b0d585f10	eb9ea6b3-96be-429c-8778-553b9043708e	REMOTE_CONDENSER
7c4e8376-d027-4293-865e-b38b0d585f10	7e27cde3-d1ba-4b34-98a4-2b65a20cc368	CHILLED_WATER_PUMPS
7c4e8376-d027-4293-865e-b38b0d585f10	368f75a9-8f9f-4454-a816-201ed37195ea	HEAT_REJECTION_PUMPS
7c4e8376-d027-4293-865e-b38b0d585f10	e0ed077c-281f-43ba-adb1-de38a9b35a15	VENTILATION
7c4e8376-d027-4293-865e-b38b0d585f10	4a2cf246-2816-4c1c-8caf-93b075ad6ac7	INFILTRATION
7c4e8376-d027-4293-865e-b38b0d585f10	82e8156c-ea32-4295-8489-3dab3ae0a12e	IT_LOAD
3e6a6901-edde-4514-923b-287c41d053f6	2eec867a-cfdd-4091-b6bd-a3fdc5e2fb19	SWITCHGEAR
3e6a6901-edde-4514-923b-287c41d053f6	7f1d5c22-0f89-451e-ab31-b9525443ef75	GENERATOR
3e6a6901-edde-4514-923b-287c41d053f6	dfa72e83-6d8e-4a64-9c96-387d3fa05123	PRIMARY_AUXILIARIES
3e6a6901-edde-4514-923b-287c41d053f6	698a7515-3d3f-4877-bd25-77fde7bd7fcd	UPS
3e6a6901-edde-4514-923b-287c41d053f6	75e27c6a-4fdd-41a6-93dc-53716a20f535	CRITICAL_AUXILIARIES
3e6a6901-edde-4514-923b-287c41d053f6	e9576163-8dc3-4e18-8c84-ffa4f1e9c61b	LIGHTING
3e6a6901-edde-4514-923b-287c41d053f6	791a4a6f-7ad1-483b-b427-2d7228e36dca	CRITICAL_POWER_DISTRIBUTION
3e6a6901-edde-4514-923b-287c41d053f6	5fd543ff-61bb-4485-8741-c4d1f6645de7	CRAH
3e6a6901-edde-4514-923b-287c41d053f6	b40555d1-9424-4f96-a9b7-02fb5a8bc471	CRAC
3e6a6901-edde-4514-923b-287c41d053f6	c825b08d-47b2-4135-bc37-7975a25606cc	CRAC_WITHOUT_FAN
3e6a6901-edde-4514-923b-287c41d053f6	d492a7c7-54e3-459a-a1f1-7e620463f3c7	CRAC_FAN
3e6a6901-edde-4514-923b-287c41d053f6	91908ce5-89b2-4da6-ae26-2760625fb25d	CHILLER
3e6a6901-edde-4514-923b-287c41d053f6	4c277a98-747c-4697-a066-da61913bc385	AIR_COOLED_CHILLER
3e6a6901-edde-4514-923b-287c41d053f6	f1be1aab-c1fc-4787-9a08-48dc1f207fd4	COOLING_TOWER
3e6a6901-edde-4514-923b-287c41d053f6	8995c4c6-858b-4127-a81f-36b865fc422a	DRY_COOLER
3e6a6901-edde-4514-923b-287c41d053f6	be66b425-093a-4e53-bed9-63007a913970	REMOTE_CONDENSER
3e6a6901-edde-4514-923b-287c41d053f6	2ced2c71-ca70-4dc4-92ca-e403d185b524	CHILLED_WATER_PUMPS
3e6a6901-edde-4514-923b-287c41d053f6	2fcc7253-6f75-4415-a0c8-0fcf2d97b0f2	HEAT_REJECTION_PUMPS
3e6a6901-edde-4514-923b-287c41d053f6	5c9cbf21-49c2-465c-94d8-f2d520fb58a7	VENTILATION
3e6a6901-edde-4514-923b-287c41d053f6	1c9af531-8586-4c6b-9ce2-544fe98229e6	INFILTRATION
3e6a6901-edde-4514-923b-287c41d053f6	903b1ba0-65be-4331-bc18-de29d44c8b67	IT_LOAD
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	0d1ddee3-6650-4d12-bd02-c42b923ca516	SWITCHGEAR
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	288a771e-c4a3-4de6-b76f-5d895e10ca87	GENERATOR
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	918e799e-367e-4ba4-a28a-3093c93de915	PRIMARY_AUXILIARIES
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	d6ec2aee-1044-48cb-a80f-9cdfb1dace30	UPS
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	26682b4d-e539-48d4-9d20-b617934d4936	CRITICAL_AUXILIARIES
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	52a4ddd9-4dfe-4086-af18-33d5bb7ac165	LIGHTING
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	d6804c34-539e-4d40-a21c-525af91f2cf2	CRITICAL_POWER_DISTRIBUTION
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	93f58681-a45d-4a5b-8c31-d97b9818bd0a	CRAH
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	d657b671-5669-4664-b395-c3c68994659d	CRAC
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	10c2ced6-978b-4141-bb55-9c48a2875c49	CRAC_WITHOUT_FAN
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	9befb56b-897e-445d-9aac-7df992a6c603	CRAC_FAN
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	98541b10-056c-4738-9eed-b153db737a65	CHILLER
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	cdffb651-0939-49f0-811f-1d31f6aafc29	AIR_COOLED_CHILLER
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	09027165-1c40-482c-a592-8cd56c9b571f	COOLING_TOWER
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	c2f5afff-b837-4d6f-80dc-f94a1523a9b1	DRY_COOLER
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	95e677c8-497a-43d6-bdcd-496ed455ac4c	REMOTE_CONDENSER
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	3a2e3c6a-7372-4c4c-aa09-3bfd415807f0	CHILLED_WATER_PUMPS
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	7adf5f16-e49c-4da4-8173-3e4f0f15f019	HEAT_REJECTION_PUMPS
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	b71478eb-69fa-4751-877d-b8c6935c2216	VENTILATION
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	f274ae31-4886-4b62-b4db-72c63808241d	INFILTRATION
13a0e8a1-5b12-4445-8e05-58d4f373b5c6	05164f84-4623-4ea3-808a-0b85ed95662c	IT_LOAD
b59a8f07-c60b-49e4-8347-b4372c93c09b	2713c50f-0daf-440e-b424-d3a82aabf116	SWITCHGEAR
b59a8f07-c60b-49e4-8347-b4372c93c09b	a4d4ed38-3775-411c-b865-d539a84b30c8	GENERATOR
b59a8f07-c60b-49e4-8347-b4372c93c09b	d5878567-d902-4a30-b0dd-84b39acaec5e	PRIMARY_AUXILIARIES
b59a8f07-c60b-49e4-8347-b4372c93c09b	ef42004f-fa34-444e-abfa-7f0cb3ace175	UPS
b59a8f07-c60b-49e4-8347-b4372c93c09b	9146d456-9f52-42a2-86f8-aa7a3f4c7fe9	CRITICAL_AUXILIARIES
b59a8f07-c60b-49e4-8347-b4372c93c09b	da3d807f-59aa-40be-853b-eaa0e656752d	LIGHTING
b59a8f07-c60b-49e4-8347-b4372c93c09b	2f9d6437-556e-42ad-be51-bef26b91035d	CRITICAL_POWER_DISTRIBUTION
b59a8f07-c60b-49e4-8347-b4372c93c09b	ef47c416-702c-46aa-bd79-8386f56ef937	CRAH
b59a8f07-c60b-49e4-8347-b4372c93c09b	b7d38048-2cb1-4b93-9611-f6f1d7891ef3	CRAC
b59a8f07-c60b-49e4-8347-b4372c93c09b	a14761e7-b9a3-43f3-8298-79b634bab0f3	CRAC_WITHOUT_FAN
b59a8f07-c60b-49e4-8347-b4372c93c09b	169d3d22-5e47-46e9-96be-f05726d6aefe	CRAC_FAN
b59a8f07-c60b-49e4-8347-b4372c93c09b	e64a5251-2dd9-43df-88ae-64e7c412ebc2	CHILLER
b59a8f07-c60b-49e4-8347-b4372c93c09b	4ab5026c-45de-43c0-a33b-e77199e195fe	AIR_COOLED_CHILLER
b59a8f07-c60b-49e4-8347-b4372c93c09b	1e60b8fb-e6ce-4ec9-af99-6bf847f5be06	COOLING_TOWER
b59a8f07-c60b-49e4-8347-b4372c93c09b	6697181f-56ff-47c6-8efb-a6e318d59d3c	DRY_COOLER
b59a8f07-c60b-49e4-8347-b4372c93c09b	b6d632a4-cf27-49d7-b56b-d5cc35a50ac4	REMOTE_CONDENSER
b59a8f07-c60b-49e4-8347-b4372c93c09b	b63f0206-4e8f-4e37-b53b-f71614e69a8a	CHILLED_WATER_PUMPS
b59a8f07-c60b-49e4-8347-b4372c93c09b	757572f9-9594-4b82-b45d-fdba094c4afe	HEAT_REJECTION_PUMPS
b59a8f07-c60b-49e4-8347-b4372c93c09b	11be7bc0-9edc-4305-bbb7-929992f4ad54	VENTILATION
b59a8f07-c60b-49e4-8347-b4372c93c09b	a2c6cfca-a7b5-4693-af34-7fb133a41d98	INFILTRATION
b59a8f07-c60b-49e4-8347-b4372c93c09b	bb45d256-211e-4d25-b0e9-39e0af204bd4	IT_LOAD
4acd23f1-abab-4c90-b481-a9c09556251e	27ccb542-69ec-425f-b456-835aaf440273	SWITCHGEAR
4acd23f1-abab-4c90-b481-a9c09556251e	1407084a-58d3-4f7a-a91c-f7ce78833283	GENERATOR
4acd23f1-abab-4c90-b481-a9c09556251e	2c53c8c8-9709-4d1c-bcb0-982eae559a2b	PRIMARY_AUXILIARIES
4acd23f1-abab-4c90-b481-a9c09556251e	8da5a1ad-4b07-432f-873e-6c74f3640dd3	UPS
4acd23f1-abab-4c90-b481-a9c09556251e	add32409-4249-4be1-a703-596c44d4ceca	CRITICAL_AUXILIARIES
4acd23f1-abab-4c90-b481-a9c09556251e	35560556-fd73-42cc-986f-76e82c4153e7	LIGHTING
4acd23f1-abab-4c90-b481-a9c09556251e	ede6c7b9-783b-4a14-9743-132570955279	CRITICAL_POWER_DISTRIBUTION
4acd23f1-abab-4c90-b481-a9c09556251e	fb650d39-da49-4451-8bcb-ac127a1b4b87	CRAH
4acd23f1-abab-4c90-b481-a9c09556251e	e21e0853-3649-4f46-8450-76e3946b438f	CRAC
4acd23f1-abab-4c90-b481-a9c09556251e	33e62b77-efdb-41a8-b4a3-c7b01fd72be6	CRAC_WITHOUT_FAN
4acd23f1-abab-4c90-b481-a9c09556251e	357f2cca-8302-4691-9017-4aeea6e0e0e1	CRAC_FAN
4acd23f1-abab-4c90-b481-a9c09556251e	bad1a33f-81fd-4c3f-b433-d2b5672fafad	CHILLER
4acd23f1-abab-4c90-b481-a9c09556251e	18003a8a-e3f5-4dc7-81ce-ea95de5329e4	AIR_COOLED_CHILLER
4acd23f1-abab-4c90-b481-a9c09556251e	afe5848e-096a-4c0b-9782-17bc481dcbc5	COOLING_TOWER
4acd23f1-abab-4c90-b481-a9c09556251e	17634cd5-b3ef-4ae2-911e-f445f456fb9b	DRY_COOLER
4acd23f1-abab-4c90-b481-a9c09556251e	c633c1dd-f9bb-476c-a096-8d1d4e9b6090	REMOTE_CONDENSER
4acd23f1-abab-4c90-b481-a9c09556251e	2cd1f27f-3805-4b0f-b0e1-41422c01d00a	CHILLED_WATER_PUMPS
4acd23f1-abab-4c90-b481-a9c09556251e	c63c1c3f-71cf-4e90-8537-34b854fbb020	HEAT_REJECTION_PUMPS
4acd23f1-abab-4c90-b481-a9c09556251e	58c43598-fe3a-43a2-b0df-faf13945dd31	VENTILATION
4acd23f1-abab-4c90-b481-a9c09556251e	e8293bae-4508-4ca9-83d2-3d6031d36562	INFILTRATION
4acd23f1-abab-4c90-b481-a9c09556251e	6cee8eb9-afb0-4073-a810-8567594780e9	IT_LOAD
3ff55f01-2544-4949-a915-db1033a5d6a9	6db200d6-0e0d-4c1c-8aea-d989fa459f7d	SWITCHGEAR
3ff55f01-2544-4949-a915-db1033a5d6a9	e22a5256-7bb9-44a6-9f4a-5ee3d82cec52	GENERATOR
3ff55f01-2544-4949-a915-db1033a5d6a9	60afe6a0-bec7-4bba-bb99-e27a26778273	PRIMARY_AUXILIARIES
3ff55f01-2544-4949-a915-db1033a5d6a9	6369d3d1-7876-4f26-bf25-4a82cd680594	UPS
3ff55f01-2544-4949-a915-db1033a5d6a9	c15e4a2d-7656-4d9b-b488-5fe38349b30f	CRITICAL_AUXILIARIES
3ff55f01-2544-4949-a915-db1033a5d6a9	5df8f4f0-c969-4e66-ac91-522e8802330a	LIGHTING
3ff55f01-2544-4949-a915-db1033a5d6a9	9f852924-22de-4baf-af76-1cf1ecb7faa6	CRITICAL_POWER_DISTRIBUTION
3ff55f01-2544-4949-a915-db1033a5d6a9	5f563c9f-782a-4c25-8ad2-7b2e2630ee06	CRAH
3ff55f01-2544-4949-a915-db1033a5d6a9	ed7e5a88-624a-471e-9d62-5b7c437e6d23	CRAC
3ff55f01-2544-4949-a915-db1033a5d6a9	6a23f4a7-fefb-4c87-981d-8ad306afe025	CRAC_WITHOUT_FAN
3ff55f01-2544-4949-a915-db1033a5d6a9	bdd225a8-9d2b-49ed-86d3-6519a3351297	CRAC_FAN
3ff55f01-2544-4949-a915-db1033a5d6a9	aed55154-03ce-4af4-a7bf-91f50fd0a894	CHILLER
3ff55f01-2544-4949-a915-db1033a5d6a9	220611ec-0734-4716-9a51-01c1c4fc09be	AIR_COOLED_CHILLER
3ff55f01-2544-4949-a915-db1033a5d6a9	1d8f0cba-5cfe-49c4-afdc-528e3e7067f9	COOLING_TOWER
3ff55f01-2544-4949-a915-db1033a5d6a9	476c5447-c299-4610-b577-c66cde14e2ba	DRY_COOLER
3ff55f01-2544-4949-a915-db1033a5d6a9	ae947813-fead-44b6-b436-270e3980267b	REMOTE_CONDENSER
3ff55f01-2544-4949-a915-db1033a5d6a9	84adfd3b-6513-493c-9944-a03e409fc6a5	CHILLED_WATER_PUMPS
3ff55f01-2544-4949-a915-db1033a5d6a9	9eca1b55-2401-4380-992f-5d7b27db26d5	HEAT_REJECTION_PUMPS
3ff55f01-2544-4949-a915-db1033a5d6a9	4d2a0bc1-da09-47b1-b8fb-51498fe55214	VENTILATION
3ff55f01-2544-4949-a915-db1033a5d6a9	063d3a13-451d-462c-8b46-c90a7677c4cd	INFILTRATION
3ff55f01-2544-4949-a915-db1033a5d6a9	4328d289-cc73-46bf-a20f-14563b396f91	IT_LOAD
4e66f72f-b346-42e2-8433-67acbab87d46	207910e1-1147-4493-9936-ba23c69dc850	SWITCHGEAR
4e66f72f-b346-42e2-8433-67acbab87d46	f8cbeae1-84b3-4f33-ae4d-d5750488fe1e	GENERATOR
4e66f72f-b346-42e2-8433-67acbab87d46	dcdcb4e6-ab14-42b9-a94b-8ec40dfa4a21	PRIMARY_AUXILIARIES
4e66f72f-b346-42e2-8433-67acbab87d46	249ed53f-9078-4fab-8e01-4d8777f9d871	UPS
4e66f72f-b346-42e2-8433-67acbab87d46	5b6d7d91-3096-45c7-8afb-88d7c3e468ef	CRITICAL_AUXILIARIES
4e66f72f-b346-42e2-8433-67acbab87d46	9bcf4504-4301-4e38-b60b-08353d4a16b7	LIGHTING
4e66f72f-b346-42e2-8433-67acbab87d46	423e73bc-917f-4d2f-8691-1a3ef7ffbaac	CRITICAL_POWER_DISTRIBUTION
4e66f72f-b346-42e2-8433-67acbab87d46	404d080a-b943-4e7b-ba32-7095a0d82434	CRAH
4e66f72f-b346-42e2-8433-67acbab87d46	53496cc9-fe70-40c7-b49b-7136f199c277	CRAC
4e66f72f-b346-42e2-8433-67acbab87d46	e0600a52-70b8-4489-9dc2-ce9014d51010	CRAC_WITHOUT_FAN
4e66f72f-b346-42e2-8433-67acbab87d46	5f4667f7-acc4-4dac-b130-c7ebc1afea42	CRAC_FAN
4e66f72f-b346-42e2-8433-67acbab87d46	a49fa71c-47f2-4511-aebe-837e7211b201	CHILLER
4e66f72f-b346-42e2-8433-67acbab87d46	fc774a11-57f8-415b-8abd-d82fe64cbc0c	AIR_COOLED_CHILLER
4e66f72f-b346-42e2-8433-67acbab87d46	d7e3f2f0-bef3-4528-943c-6eb9f5c546fd	COOLING_TOWER
4e66f72f-b346-42e2-8433-67acbab87d46	27496c12-558d-4a54-8926-7468f83f9ac1	DRY_COOLER
4e66f72f-b346-42e2-8433-67acbab87d46	12096b34-6d93-4f94-90a4-f7303de361b1	REMOTE_CONDENSER
4e66f72f-b346-42e2-8433-67acbab87d46	a18adee5-f544-4bde-9296-208670f29006	CHILLED_WATER_PUMPS
4e66f72f-b346-42e2-8433-67acbab87d46	61e395fd-eb67-443b-9f24-8ff1ca7aca1e	HEAT_REJECTION_PUMPS
4e66f72f-b346-42e2-8433-67acbab87d46	2c021bfb-698c-43b8-bac7-c796cbca849d	VENTILATION
4e66f72f-b346-42e2-8433-67acbab87d46	f14dc278-0f2c-4162-a63f-119ad70d8310	INFILTRATION
4e66f72f-b346-42e2-8433-67acbab87d46	bbcaf05a-f524-4e07-a559-eb99ebe90892	IT_LOAD
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	6ed68d96-55bb-4883-8670-23cd68e7e2ef	SWITCHGEAR
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	0d53f5bf-0138-4521-97ef-4df1b07f7fc9	GENERATOR
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	b15a1a76-b57b-4c8e-9e02-0fc9c2fdd85f	PRIMARY_AUXILIARIES
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	1b2f2a0a-bce2-41ac-a159-922c9e44f6b4	UPS
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	ecff8f57-b08c-4b79-becb-34a79b2115d9	CRITICAL_AUXILIARIES
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	eab8d4c0-467c-40b9-af6f-095bcd4f306a	LIGHTING
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	1dcc11e1-7b2d-4ac8-b3ea-e5d5402ce89f	CRITICAL_POWER_DISTRIBUTION
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	beec9afe-b112-4df9-883f-5ea051036173	CRAH
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	f3e83ecc-707e-454b-85e8-2fad35c45c30	CRAC
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	a03a323f-f469-4bcc-80db-08276e5f21a8	CRAC_WITHOUT_FAN
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	4504b18b-bc88-46ec-9a2c-5b38f69593a2	CRAC_FAN
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	9f9a065b-61f0-4e88-a213-f016750f9cdf	CHILLER
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	195f1f8f-4f29-4363-bda1-a3ab2890392c	AIR_COOLED_CHILLER
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	6603fde4-6bf1-4ba5-b7af-7adaf83227ca	COOLING_TOWER
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	3aa6e040-fd74-43c2-a8e9-1b7bba92d434	DRY_COOLER
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	e5766c0b-1470-48d9-b1e0-419e4bef770a	REMOTE_CONDENSER
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	7b09ec1d-e7c2-42d6-9173-d3e043717379	CHILLED_WATER_PUMPS
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	e692fd65-633a-4525-95b8-c98a5503a90e	HEAT_REJECTION_PUMPS
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	88aa7482-387c-4ca0-960e-a76b22619444	VENTILATION
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	d6fa0c6b-15b2-4837-b0f6-8984c0f5b335	INFILTRATION
f82de0c7-c0f3-4751-9d2e-c8c2fc984c94	ab53b1fc-0ae3-472c-b26b-1b83e3decb09	IT_LOAD
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	7ef68ad6-0cce-4bd4-ab9c-1dfda7a399c7	SWITCHGEAR
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	1ef73dd2-c453-4394-8383-025b719214b1	GENERATOR
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	f330e5db-a280-4fe5-9c16-b014ffd655e6	PRIMARY_AUXILIARIES
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	43a2c1b6-0b3e-4cf5-b019-3d3558bcd3c1	UPS
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	6a41fd20-482f-4d4f-8788-f4ffb22b1a6b	CRITICAL_AUXILIARIES
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	b8e41a51-f67a-4166-92b3-51bacde88fd8	LIGHTING
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	2faf32b3-26ee-49ea-98dc-970f017eaae6	CRITICAL_POWER_DISTRIBUTION
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	af4b20f2-a956-41b2-aa49-6538aeb5e793	CRAH
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	fcf98fc2-3056-4615-8f10-a3a64974a7ce	CRAC
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	1821eb5a-8f0c-4bd0-acd0-aa50d5d9312e	CRAC_WITHOUT_FAN
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	5aa2b289-aade-4739-83fb-4b78e30a14d7	CRAC_FAN
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	0ee08e84-c8b1-486a-b40b-4bb9e2820bd1	CHILLER
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	913f9fd5-76a5-4da4-a819-801e21538516	AIR_COOLED_CHILLER
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	a88ae164-f941-4188-babb-ecfe81e103a5	COOLING_TOWER
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	7bb6a1cb-9331-4149-9a04-ed751dc7e532	DRY_COOLER
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	4db69500-4933-40bc-968f-884b0ee78d33	REMOTE_CONDENSER
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	55c8356b-4df8-4897-a48e-86c1171e021e	CHILLED_WATER_PUMPS
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	4b5add32-e0fb-4554-8422-fac70f387c31	HEAT_REJECTION_PUMPS
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	ce6c0d10-20b7-4dcb-ba81-9a6d2714a468	VENTILATION
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	0fa5e60c-9b61-4993-9482-833059f24d44	INFILTRATION
119dfd4f-bc1e-46ca-b1d7-b62127a68dac	1f5d120e-91c3-4af6-b24c-564d07ff6c15	IT_LOAD
88fecfb4-bed8-4211-a86e-b0c7567e3b41	0f59ce1e-9248-47f3-89db-ab312d7fead9	SWITCHGEAR
88fecfb4-bed8-4211-a86e-b0c7567e3b41	fad2c749-cbbf-4e50-b0b9-1020b9c09796	GENERATOR
88fecfb4-bed8-4211-a86e-b0c7567e3b41	3981c894-5294-4c43-9b82-14b82334884c	PRIMARY_AUXILIARIES
88fecfb4-bed8-4211-a86e-b0c7567e3b41	74a0b85e-7be9-45e4-a337-454389eddf3a	UPS
88fecfb4-bed8-4211-a86e-b0c7567e3b41	37629f95-4fa3-484f-add3-31cb0fd1ff9a	CRITICAL_AUXILIARIES
88fecfb4-bed8-4211-a86e-b0c7567e3b41	f9f6b0e8-6d61-48bc-badc-91df9d3ef426	LIGHTING
88fecfb4-bed8-4211-a86e-b0c7567e3b41	c5062282-8c8e-4b10-880a-7e061fb19384	CRITICAL_POWER_DISTRIBUTION
88fecfb4-bed8-4211-a86e-b0c7567e3b41	9c8351d4-125a-4795-85bf-efb81ccb6855	CRAH
88fecfb4-bed8-4211-a86e-b0c7567e3b41	ac0b5b2b-55e7-4df8-b00b-3a6505bdf5b5	CRAC
88fecfb4-bed8-4211-a86e-b0c7567e3b41	0fa99f38-d3f9-4795-a87a-94ad5d847b1f	CRAC_WITHOUT_FAN
88fecfb4-bed8-4211-a86e-b0c7567e3b41	95669036-a76c-4dde-9db1-81db4566b33b	CRAC_FAN
88fecfb4-bed8-4211-a86e-b0c7567e3b41	929f85ae-a03a-44ee-9967-30c075bbbc98	CHILLER
88fecfb4-bed8-4211-a86e-b0c7567e3b41	af2b614b-36b1-44c8-a6c9-b8f95c9be6ee	AIR_COOLED_CHILLER
88fecfb4-bed8-4211-a86e-b0c7567e3b41	81139fde-9534-43ba-823f-30feb1963fcf	COOLING_TOWER
88fecfb4-bed8-4211-a86e-b0c7567e3b41	635a6ba3-1bd4-4b02-8c46-2565155fc771	DRY_COOLER
88fecfb4-bed8-4211-a86e-b0c7567e3b41	7257ae39-cf5d-43dc-9e4d-6804b15e520d	REMOTE_CONDENSER
88fecfb4-bed8-4211-a86e-b0c7567e3b41	28ac38fb-25a0-4cb2-875f-2c7b0ec0224e	CHILLED_WATER_PUMPS
88fecfb4-bed8-4211-a86e-b0c7567e3b41	fbdf91a0-a6e5-4683-81eb-13c3f1ca5eae	HEAT_REJECTION_PUMPS
88fecfb4-bed8-4211-a86e-b0c7567e3b41	4dd123ef-0ed2-4b13-ab8a-2d08a745d942	VENTILATION
88fecfb4-bed8-4211-a86e-b0c7567e3b41	147a0458-ab19-48a2-94ea-a4c6b1d44f75	INFILTRATION
88fecfb4-bed8-4211-a86e-b0c7567e3b41	8acb9aff-beda-42fc-add5-689e1dc7e435	IT_LOAD
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	b078c6b2-4cf0-49de-9edf-a1a7bdcfdb1f	SWITCHGEAR
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	21e4f68e-ad0b-4e62-a0c2-7f3fca7ab211	GENERATOR
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	b6e25fdf-c801-40aa-b7ae-e7346441bf8a	PRIMARY_AUXILIARIES
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	0301c62d-f4bd-42cc-b736-f7d5a35c77b3	UPS
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	c1d9f952-afb3-4831-ae9c-cc1a865c9797	CRITICAL_AUXILIARIES
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	87406572-1760-430e-a48e-06c4a1edd82b	LIGHTING
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	2e42f047-bc29-4b2f-9280-76070c5bad10	CRITICAL_POWER_DISTRIBUTION
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	6922c787-a03f-4c04-8021-89a2a2f12450	CRAH
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	75571426-740c-47f4-83b1-5fd4b05fbe33	CRAC
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	74eaba7d-fa5e-4b28-8b0a-007e0652fd7d	CRAC_WITHOUT_FAN
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	ec2abfa9-be9f-47f2-9e70-d06d38330c38	CRAC_FAN
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	d99ed70b-6841-4aaa-a062-3ef3720b17f7	CHILLER
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	7c165332-5425-4c0a-973d-e836fde0ee13	AIR_COOLED_CHILLER
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	b0073fc1-b5e5-41b5-889a-cc80d45751c0	COOLING_TOWER
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	201795cb-9ce7-4c4b-a96a-2c56dc4989f1	DRY_COOLER
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	237df784-05ca-4ec2-a37c-2b8f23008024	REMOTE_CONDENSER
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	444a95a6-27a0-4ef8-9695-d520119cecb1	CHILLED_WATER_PUMPS
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	d26e4cd2-cd0d-4d5a-a61d-764ede0e1261	HEAT_REJECTION_PUMPS
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	64018679-02c1-4e76-a46d-a8a8418f078b	VENTILATION
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	79251ec6-2f88-4653-bde5-d98d4ab9e765	INFILTRATION
cb9d7ef0-37f8-43e0-a819-ec2e00ac8a56	cc0a147d-8371-4169-8ff3-c6032f2e2cdc	IT_LOAD
42af20c1-745e-48e2-8edc-a3c9ddec6137	b600d712-de77-4b24-bd64-5527aa74dae7	SWITCHGEAR
42af20c1-745e-48e2-8edc-a3c9ddec6137	3770bc07-f962-49f8-ab8d-fe9252f4e8f0	GENERATOR
42af20c1-745e-48e2-8edc-a3c9ddec6137	6ae0cc08-d3ed-4cf8-846a-958e584d22f7	PRIMARY_AUXILIARIES
42af20c1-745e-48e2-8edc-a3c9ddec6137	517a294a-e5da-44ec-b350-61e2e7bd7d5d	UPS
42af20c1-745e-48e2-8edc-a3c9ddec6137	5103078d-b5bc-40a7-9c8e-25ca2a812e5d	CRITICAL_AUXILIARIES
42af20c1-745e-48e2-8edc-a3c9ddec6137	1d93f229-0c4f-45e7-a322-de7ba5f12415	LIGHTING
42af20c1-745e-48e2-8edc-a3c9ddec6137	858074c4-f642-4318-b135-3943770eb164	CRITICAL_POWER_DISTRIBUTION
42af20c1-745e-48e2-8edc-a3c9ddec6137	66facdcc-492a-4303-82f1-9a4d6abfc4e9	CRAH
42af20c1-745e-48e2-8edc-a3c9ddec6137	f69e4cb2-7b54-455d-a445-57290007a725	CRAC
42af20c1-745e-48e2-8edc-a3c9ddec6137	1f7820d9-10e9-4ca5-94f2-c323c5d98aee	CRAC_WITHOUT_FAN
42af20c1-745e-48e2-8edc-a3c9ddec6137	c4fce666-2dd0-4e9c-a2fd-506b596fa207	CRAC_FAN
42af20c1-745e-48e2-8edc-a3c9ddec6137	01cc9777-ec15-48f9-a15e-7fe8b8fabf63	CHILLER
42af20c1-745e-48e2-8edc-a3c9ddec6137	79e290da-7ff7-4d8d-8ef7-94ced32ffbbe	AIR_COOLED_CHILLER
42af20c1-745e-48e2-8edc-a3c9ddec6137	4b65a352-8371-49a7-96b5-bf250d362e10	COOLING_TOWER
42af20c1-745e-48e2-8edc-a3c9ddec6137	c13f228a-1d8b-4bab-943d-d1cd8bb4ebb0	DRY_COOLER
42af20c1-745e-48e2-8edc-a3c9ddec6137	608c4cce-0e05-4524-9db9-873e11b4854a	REMOTE_CONDENSER
42af20c1-745e-48e2-8edc-a3c9ddec6137	36ad47f8-2893-40b7-b583-7d96c1b8dde9	CHILLED_WATER_PUMPS
42af20c1-745e-48e2-8edc-a3c9ddec6137	9df5bc7a-6139-46fd-ac7d-13fb82b07da7	HEAT_REJECTION_PUMPS
42af20c1-745e-48e2-8edc-a3c9ddec6137	6e05fd38-7eed-47c9-8358-81e8bf609353	VENTILATION
42af20c1-745e-48e2-8edc-a3c9ddec6137	dd921fd2-58fc-4638-8871-3db46d40a0b3	INFILTRATION
42af20c1-745e-48e2-8edc-a3c9ddec6137	73059255-edd3-4fc2-a3e3-045f36da509b	IT_LOAD
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	2d746f13-7f6d-4f6f-8cbd-a17c09d85292	SWITCHGEAR
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	2d33c68b-1466-48fd-8ee9-a4a02764943d	GENERATOR
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	c5a8b1f4-4560-4aa7-84ee-ba53ec571f2c	PRIMARY_AUXILIARIES
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	cf57fdc1-ab89-4b12-82d2-cbc5b222ac5d	UPS
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	e4ace245-0f9e-4364-b849-7f93ec1e2896	CRITICAL_AUXILIARIES
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	3ba9ef01-2c07-4e93-9371-8b3420d9470a	LIGHTING
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	cf15bf90-a521-4aa9-b745-a0d261aaf217	CRITICAL_POWER_DISTRIBUTION
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	d7a9a0e3-f4b1-4f3e-a1a5-b2ebf082dddf	CRAH
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	011f49e0-ba93-44b8-b8a1-863f4114a203	CRAC
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	1a30fac0-05c6-496b-a6db-836eeae8a3c3	CRAC_WITHOUT_FAN
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	8e75cfc5-bd9b-47f7-adec-f21d3d1f2f32	CRAC_FAN
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	7b97a38b-480d-4445-9e38-7f9cf4f793d3	CHILLER
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	5dc7c505-d3ae-47fc-9807-df94fd918825	AIR_COOLED_CHILLER
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	7f605603-d09c-4d7b-84ef-f0e5d32b1c23	COOLING_TOWER
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	6ab18e35-618a-42b5-a9da-3dcfa9fb0935	DRY_COOLER
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	f74ceaf5-0701-4ab0-8cd0-189682435dba	REMOTE_CONDENSER
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	3ca26f33-1a2f-4276-9208-7fc31886d10a	CHILLED_WATER_PUMPS
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	8e3bf4c4-9000-4583-8954-82a47d71db61	HEAT_REJECTION_PUMPS
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	0205fbf1-7234-4309-b031-1399db0b209a	VENTILATION
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	728ff998-5be3-468b-940a-04d76e65f3bc	INFILTRATION
e39ffdfa-6819-4174-9f50-7eb9dd3ae40c	2a39a263-1064-4bb8-bb08-3d87c2526ba2	IT_LOAD
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	73b7aa35-d369-485b-b2e8-8e797026d1fc	SWITCHGEAR
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	afeddcf2-011d-4e0d-9a17-24c9aac6c553	GENERATOR
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	ff3312e9-8d5d-496f-b7c3-7d8c0564d399	PRIMARY_AUXILIARIES
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	ba118571-a9ea-4fdd-8674-7dcf3e030bee	UPS
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	2a9458ed-9888-4efa-bf3d-dd6f8adde912	CRITICAL_AUXILIARIES
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	8fc1c31a-5b58-46cf-bcfd-33340a717dea	LIGHTING
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	cad57553-8cc1-44a8-8fc2-d1e348d492df	CRITICAL_POWER_DISTRIBUTION
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	a4d560ae-b611-4e8e-9bcf-eea8f0ded536	CRAH
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	46d631bf-91ff-40db-a84f-fb4e1712e403	CRAC
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	04507111-7839-40ba-8414-720a2979ddaf	CRAC_WITHOUT_FAN
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	142ac5a7-ec30-479a-875f-26a42c507399	CRAC_FAN
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	6da7c585-e36b-475e-9cc3-6e0646f7286d	CHILLER
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	acc32255-5b5d-4644-b925-55de1f9c1efe	AIR_COOLED_CHILLER
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	65d58162-e4c6-4aa1-834c-7956b4d9b1d1	COOLING_TOWER
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	5ac9ad48-fbe8-4d40-9d33-cb6a3db465fc	DRY_COOLER
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	705b8413-6eee-4f34-a8d9-d997f97d59dc	REMOTE_CONDENSER
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	f241bf0b-46e8-4f7a-862c-511afa0576d4	CHILLED_WATER_PUMPS
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	71418be2-e68a-45b0-a783-37527fad68fe	HEAT_REJECTION_PUMPS
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	3c542efb-566e-4af4-b0e5-1f829a09cff4	VENTILATION
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	64e2655f-deaa-4510-8bdc-86e21ff73ebd	INFILTRATION
81728714-e9e6-4f0f-b0da-dc7bb47ec9ce	95d55811-bc92-4d1f-b2d7-cf73277a7007	IT_LOAD
17fd8c30-f514-48b6-b5fd-033c9d209298	e87a2776-5c46-4156-93ad-4bf40b81d9d1	SWITCHGEAR
17fd8c30-f514-48b6-b5fd-033c9d209298	e24ed6c8-db51-44ec-b3e4-d9bebc55d0d6	GENERATOR
17fd8c30-f514-48b6-b5fd-033c9d209298	6787da20-e8eb-483b-b65f-138ae73e1d7c	PRIMARY_AUXILIARIES
17fd8c30-f514-48b6-b5fd-033c9d209298	fc8c18cf-e590-4107-a341-a8631fc38971	UPS
17fd8c30-f514-48b6-b5fd-033c9d209298	0329e7ba-27cb-43f5-b758-c3922593ff07	CRITICAL_AUXILIARIES
17fd8c30-f514-48b6-b5fd-033c9d209298	36fe3680-17da-46ee-ad49-085e2f112505	LIGHTING
17fd8c30-f514-48b6-b5fd-033c9d209298	15704902-9480-4966-9837-e0078e49450f	CRITICAL_POWER_DISTRIBUTION
17fd8c30-f514-48b6-b5fd-033c9d209298	e45dca9a-629e-4108-a5f9-db06de240bb2	CRAH
17fd8c30-f514-48b6-b5fd-033c9d209298	8be6f3ef-22ef-4946-a34b-a68ded99ee13	CRAC
17fd8c30-f514-48b6-b5fd-033c9d209298	78c2beb0-e53d-4dfc-ad38-d36c6ff953e9	CRAC_WITHOUT_FAN
17fd8c30-f514-48b6-b5fd-033c9d209298	0cef3955-5c0b-42d0-8dd6-72267db499f4	CRAC_FAN
17fd8c30-f514-48b6-b5fd-033c9d209298	a9b65a82-921a-4de4-9f0a-881796002bf9	CHILLER
17fd8c30-f514-48b6-b5fd-033c9d209298	c7a8a430-66d8-4994-8a0e-d951d7b30f11	AIR_COOLED_CHILLER
17fd8c30-f514-48b6-b5fd-033c9d209298	06b91f01-3cfb-4530-8fc6-878c010c21a8	COOLING_TOWER
17fd8c30-f514-48b6-b5fd-033c9d209298	8693d8f6-3351-44cd-a41e-5b10749f6f4d	DRY_COOLER
17fd8c30-f514-48b6-b5fd-033c9d209298	6228d173-1dac-42b1-907d-53686cfec6c7	REMOTE_CONDENSER
17fd8c30-f514-48b6-b5fd-033c9d209298	7d777c4c-115d-45f0-a8df-4d4926f4673f	CHILLED_WATER_PUMPS
17fd8c30-f514-48b6-b5fd-033c9d209298	75271b14-a249-4351-8cb6-9752efee02b0	HEAT_REJECTION_PUMPS
17fd8c30-f514-48b6-b5fd-033c9d209298	884f596c-c2c5-45e8-862f-5c6e48938686	VENTILATION
17fd8c30-f514-48b6-b5fd-033c9d209298	ee108239-e9d5-4137-a182-50fb06b4d90a	INFILTRATION
17fd8c30-f514-48b6-b5fd-033c9d209298	bb5b843c-7e6a-44b8-9699-720c5df2abc7	IT_LOAD
90e69438-1b30-4ab8-8037-aa2059bb44af	454f9fd9-7566-4e97-82c6-14c3d9f6451e	SWITCHGEAR
90e69438-1b30-4ab8-8037-aa2059bb44af	c6f6752c-8eb7-4b74-9eae-621353bea923	GENERATOR
90e69438-1b30-4ab8-8037-aa2059bb44af	b513601b-4c33-45a8-9f4a-0bdd1650df26	PRIMARY_AUXILIARIES
90e69438-1b30-4ab8-8037-aa2059bb44af	ae195ea2-9758-4e8e-b23e-6f7ea15ecc60	UPS
90e69438-1b30-4ab8-8037-aa2059bb44af	fd01a05c-ca89-483f-8ed9-96fc12548b1e	CRITICAL_AUXILIARIES
90e69438-1b30-4ab8-8037-aa2059bb44af	b8270f8e-7ba9-4db9-99b8-e88a53c562e7	LIGHTING
90e69438-1b30-4ab8-8037-aa2059bb44af	a6732d06-5b31-4333-96cd-f758eb4d6121	CRITICAL_POWER_DISTRIBUTION
90e69438-1b30-4ab8-8037-aa2059bb44af	eab4ef56-591f-44f9-996c-18f9c043359f	CRAH
90e69438-1b30-4ab8-8037-aa2059bb44af	e8cb110e-d4ff-4bd8-8abb-3e499a66563f	CRAC
90e69438-1b30-4ab8-8037-aa2059bb44af	ff349411-3c6a-4bac-ac75-d3589388279f	CRAC_WITHOUT_FAN
90e69438-1b30-4ab8-8037-aa2059bb44af	6826058b-c4bb-4a1c-9023-2559c198840b	CRAC_FAN
90e69438-1b30-4ab8-8037-aa2059bb44af	5dd80db0-7c87-4407-9ced-4ac3a4152e81	CHILLER
90e69438-1b30-4ab8-8037-aa2059bb44af	bc8f332b-f0fa-41d1-99be-c0f2e84cbe51	AIR_COOLED_CHILLER
90e69438-1b30-4ab8-8037-aa2059bb44af	2f639d8e-478b-4774-aa84-35ca85af5589	COOLING_TOWER
90e69438-1b30-4ab8-8037-aa2059bb44af	a5287e55-9f79-4a7c-a37b-b33acedf25b5	DRY_COOLER
90e69438-1b30-4ab8-8037-aa2059bb44af	ae191eed-d215-4839-9b1c-0866bd04d635	REMOTE_CONDENSER
90e69438-1b30-4ab8-8037-aa2059bb44af	2671d215-13e5-4c1c-99fe-0cefad99655a	CHILLED_WATER_PUMPS
90e69438-1b30-4ab8-8037-aa2059bb44af	73d289f0-18c3-4b81-9e4e-fbb18391916e	HEAT_REJECTION_PUMPS
90e69438-1b30-4ab8-8037-aa2059bb44af	1ef9d625-2282-43b8-bc19-9eecc6437b99	VENTILATION
90e69438-1b30-4ab8-8037-aa2059bb44af	8eca020d-edde-4293-9e83-bff966f4a67a	INFILTRATION
90e69438-1b30-4ab8-8037-aa2059bb44af	d5ae1662-4305-4ea5-ac51-6262451ffa81	IT_LOAD
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	946e33f9-cc15-4a28-89c2-894d1ca11944	SWITCHGEAR
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	840be43a-8b2e-4074-926b-11310fb119b0	GENERATOR
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	401b02ab-c2b1-43f0-93d0-027c217183a7	PRIMARY_AUXILIARIES
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	541779e0-5107-4091-b19d-2d04fa9ad81c	UPS
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	3de2b2eb-0a3a-403f-b0d4-676ffbcbf11e	CRITICAL_AUXILIARIES
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	70f5c465-c23e-44be-9423-4690bdef9418	LIGHTING
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	48fb6e2c-e544-4e95-8b80-0f0c09648b7d	CRITICAL_POWER_DISTRIBUTION
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	1e244c58-260f-431a-9cd5-7dbc9c789bbc	CRAH
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	3a02d3ab-1fa1-4eae-8c57-71e1e7ba3d32	CRAC
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	e0c805a5-4fb0-4b3a-8c16-f8568819b94c	CRAC_WITHOUT_FAN
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	9b1880a1-d1ef-4f78-8786-5039fbee162f	CRAC_FAN
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	8b482df1-ded7-412e-a4db-4f9ebd56af6f	CHILLER
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	6c4e9b01-70b8-42d1-be45-c0666825876b	AIR_COOLED_CHILLER
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	2d25d379-2289-494e-a4dc-63b46de589c8	COOLING_TOWER
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	3fd360ab-781e-408b-9cc3-afc7d5271082	DRY_COOLER
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	ec088a37-af6e-4b33-8dd9-655063706675	REMOTE_CONDENSER
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	bc820eba-91dd-40f7-aa43-bfe5fdeccd31	CHILLED_WATER_PUMPS
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	24619b0d-b5d4-4f18-90c8-aa77dce9f838	HEAT_REJECTION_PUMPS
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	f3372c6c-7d6c-4b39-850b-b57cb368339a	VENTILATION
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	6f1070a4-c05f-4d3f-aa91-5dda422bb623	INFILTRATION
1bcf3989-c0cd-4723-8c05-9ba8d97ebed9	6afea9b8-ec1c-42cd-a267-6574d5c34d68	IT_LOAD
7941ca18-9e88-4e18-aad1-fb530c04493d	c6800371-d84d-4dca-902f-79343d1b7aa1	SWITCHGEAR
7941ca18-9e88-4e18-aad1-fb530c04493d	5075dca7-9f26-40d1-9492-5b2b8a804b6b	GENERATOR
7941ca18-9e88-4e18-aad1-fb530c04493d	d36a1dba-4366-4d25-94d1-3779a94a9713	PRIMARY_AUXILIARIES
7941ca18-9e88-4e18-aad1-fb530c04493d	1d16a735-448e-4e6c-9236-89e4c303713e	UPS
7941ca18-9e88-4e18-aad1-fb530c04493d	e971c7c4-6b2b-438d-a323-be113dc3ff85	CRITICAL_AUXILIARIES
7941ca18-9e88-4e18-aad1-fb530c04493d	c41317e1-395c-4a11-a924-75c86ccfa497	LIGHTING
7941ca18-9e88-4e18-aad1-fb530c04493d	4d4217a4-ed68-408b-a9f5-5f532da02ecb	CRITICAL_POWER_DISTRIBUTION
7941ca18-9e88-4e18-aad1-fb530c04493d	0ae4322c-9c56-4fdc-9cfb-5def2ced1bc5	CRAH
7941ca18-9e88-4e18-aad1-fb530c04493d	99d9f8ae-0d50-443f-bb3c-105ca5316576	CRAC
7941ca18-9e88-4e18-aad1-fb530c04493d	4b18c925-25e4-4d94-8620-7af5d9af0fbf	CRAC_WITHOUT_FAN
7941ca18-9e88-4e18-aad1-fb530c04493d	ecc551dc-f048-4e2c-81f0-02e56ba7f593	CRAC_FAN
7941ca18-9e88-4e18-aad1-fb530c04493d	3a138775-1cea-4596-9773-787555f8c21b	CHILLER
7941ca18-9e88-4e18-aad1-fb530c04493d	344c9a6e-af72-4351-acfa-9286ae896702	AIR_COOLED_CHILLER
7941ca18-9e88-4e18-aad1-fb530c04493d	b9846542-13c0-4407-984f-5c84e87a85ff	COOLING_TOWER
7941ca18-9e88-4e18-aad1-fb530c04493d	143bbe87-fb38-4071-8bb7-dc6f0e8210c4	DRY_COOLER
7941ca18-9e88-4e18-aad1-fb530c04493d	cda0ab40-d548-4fe0-96ac-2355d9748a77	REMOTE_CONDENSER
7941ca18-9e88-4e18-aad1-fb530c04493d	5b53874b-5588-41de-ba72-6efd94466321	CHILLED_WATER_PUMPS
7941ca18-9e88-4e18-aad1-fb530c04493d	73c14819-8ced-40f8-8462-ad4d7a8e594e	HEAT_REJECTION_PUMPS
7941ca18-9e88-4e18-aad1-fb530c04493d	ea53abeb-e55c-427f-88b7-1927e7ea4e2b	VENTILATION
7941ca18-9e88-4e18-aad1-fb530c04493d	c84bfb2f-3362-4679-bb44-e19a4d0cc9a3	INFILTRATION
7941ca18-9e88-4e18-aad1-fb530c04493d	d4d7b6fe-3ba4-461e-b9d5-0c5636a3e548	IT_LOAD
2ff628f0-f796-4dfa-a226-bf8056bdf52b	73f8ae6c-565a-41b8-bae4-007541b6e611	SWITCHGEAR
2ff628f0-f796-4dfa-a226-bf8056bdf52b	d5542272-f865-4139-8cbd-d27e639151fe	GENERATOR
2ff628f0-f796-4dfa-a226-bf8056bdf52b	dfe70ba4-2bd5-42f3-8e79-71a1328db369	PRIMARY_AUXILIARIES
2ff628f0-f796-4dfa-a226-bf8056bdf52b	eef10330-2262-48f5-9533-0b64d5a92d5d	UPS
2ff628f0-f796-4dfa-a226-bf8056bdf52b	5c3202b7-b010-49dc-a17e-74aced67ca63	CRITICAL_AUXILIARIES
2ff628f0-f796-4dfa-a226-bf8056bdf52b	a43b57be-7b6d-4b8b-b5cd-f228bac0b348	LIGHTING
2ff628f0-f796-4dfa-a226-bf8056bdf52b	f04a1a81-3b4b-4afa-8ae7-c9f3d77b5722	CRITICAL_POWER_DISTRIBUTION
2ff628f0-f796-4dfa-a226-bf8056bdf52b	8210a4d5-635a-49d9-b03d-bf110e06d2c5	CRAH
2ff628f0-f796-4dfa-a226-bf8056bdf52b	0cee59cb-b54e-4515-a422-6253a5398248	CRAC
2ff628f0-f796-4dfa-a226-bf8056bdf52b	eabf0aa3-f068-4ee0-8c3c-2f9b6d45fe04	CRAC_WITHOUT_FAN
2ff628f0-f796-4dfa-a226-bf8056bdf52b	68d2dfb6-4a80-4aa4-9e5a-da6f98ec7b3e	CRAC_FAN
2ff628f0-f796-4dfa-a226-bf8056bdf52b	c451f666-fca3-41dc-9cc6-51e8e61130ac	CHILLER
2ff628f0-f796-4dfa-a226-bf8056bdf52b	f4c1b904-1842-48c6-84ca-80211539fe67	AIR_COOLED_CHILLER
2ff628f0-f796-4dfa-a226-bf8056bdf52b	fb62cbf5-8885-40d3-8d38-f84c5d727f57	COOLING_TOWER
2ff628f0-f796-4dfa-a226-bf8056bdf52b	93ffaa46-8c17-4398-994e-b3aa15b7b931	DRY_COOLER
2ff628f0-f796-4dfa-a226-bf8056bdf52b	eafdbfc8-72e3-4f1d-9dbe-cac56d64798a	REMOTE_CONDENSER
2ff628f0-f796-4dfa-a226-bf8056bdf52b	cf4a9ee8-ff4f-4a07-9b2e-6b6967a4336a	CHILLED_WATER_PUMPS
2ff628f0-f796-4dfa-a226-bf8056bdf52b	b5a0026d-35f7-477f-ab52-65938d3722ce	HEAT_REJECTION_PUMPS
2ff628f0-f796-4dfa-a226-bf8056bdf52b	2d0146c9-22f7-44a2-abaa-ab27017cfaeb	VENTILATION
2ff628f0-f796-4dfa-a226-bf8056bdf52b	cf306659-1ebe-4c80-b28f-7ce1ff8947a9	INFILTRATION
2ff628f0-f796-4dfa-a226-bf8056bdf52b	1a6f594c-cb4b-473c-a74b-88dc3422d5c5	IT_LOAD
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	3794879c-3e35-48e9-9fa5-66e06c53b36a	SWITCHGEAR
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	7ab72cde-6bc2-4b20-ab50-fb59fb564a79	GENERATOR
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	e17eb25a-9d95-45f2-b4ad-c7d266fc223d	PRIMARY_AUXILIARIES
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	3563a58e-1fbb-41ba-affa-f9f5731a5982	UPS
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	9a15b90e-344d-4a82-a5f6-269377565954	CRITICAL_AUXILIARIES
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	272f3c01-343c-4758-9fa1-411b1837c01c	LIGHTING
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	119ff436-6e1e-41e8-b2b3-751876cd8d8a	CRITICAL_POWER_DISTRIBUTION
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	14e9d4bc-5160-47e9-bb2d-ff43f1b7ba45	CRAH
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	fa2d3579-b3df-4e4a-bcda-5101adb11ace	CRAC
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	de3eb59d-ddea-45a5-9afd-8cc0d05d1c3f	CRAC_WITHOUT_FAN
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	3b30f135-8092-48a9-aeb0-0707d3f1bcfd	CRAC_FAN
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	2c622300-ebe8-4108-ad33-6912b9718aef	CHILLER
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	cda38b7d-5477-4263-9559-7c37b024ed0c	AIR_COOLED_CHILLER
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	f3af264b-7276-4894-acbe-6a6dd0543a9f	COOLING_TOWER
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	9e2d879c-7506-4123-8d93-d016ee0bca2d	DRY_COOLER
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	05668d6d-425f-4fea-ab88-40a2de98c488	REMOTE_CONDENSER
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	aa62c1cd-44ed-4f86-9171-41d77ed3377f	CHILLED_WATER_PUMPS
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	8b03961e-a841-4f14-8297-3aa7e8c21918	HEAT_REJECTION_PUMPS
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	69e4b988-fc45-4ce5-9838-bb3df3f51776	VENTILATION
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	0f09be2b-8b7d-4eaa-914b-1fd319e51e91	INFILTRATION
b8f6222d-679e-4eb9-b9a9-e7063a280a0a	9d06474c-c1d2-46e9-94bc-6d751218adbe	IT_LOAD
de3b0a02-60e2-46a1-8fdb-c05e8011620f	69c87a83-690d-4501-a3a7-9e3a78979e50	SWITCHGEAR
de3b0a02-60e2-46a1-8fdb-c05e8011620f	5d5b3172-6644-4bc2-a8de-1be009283647	GENERATOR
de3b0a02-60e2-46a1-8fdb-c05e8011620f	1fa2c51b-35cf-4337-b30d-b4bcae63379d	PRIMARY_AUXILIARIES
de3b0a02-60e2-46a1-8fdb-c05e8011620f	92e0b654-33cf-4957-aaf1-4d34ef160652	UPS
de3b0a02-60e2-46a1-8fdb-c05e8011620f	6f11456e-7629-413b-8e41-43a56095028f	CRITICAL_AUXILIARIES
de3b0a02-60e2-46a1-8fdb-c05e8011620f	e20c1c52-85c1-47d0-99fd-4e459fef6464	LIGHTING
de3b0a02-60e2-46a1-8fdb-c05e8011620f	6007f165-2b81-4bfd-9111-58b65a2fd41d	CRITICAL_POWER_DISTRIBUTION
de3b0a02-60e2-46a1-8fdb-c05e8011620f	ccaee07f-c994-4379-bbd1-4e532d51b255	CRAH
de3b0a02-60e2-46a1-8fdb-c05e8011620f	95702ebd-7f78-4521-ae93-57110f5ed188	CRAC
de3b0a02-60e2-46a1-8fdb-c05e8011620f	af2254c3-0d1c-40ee-8e85-db508d432d6e	CRAC_WITHOUT_FAN
de3b0a02-60e2-46a1-8fdb-c05e8011620f	d8a5dfb7-63b6-4312-9483-9ec0390e5746	CRAC_FAN
de3b0a02-60e2-46a1-8fdb-c05e8011620f	ff3f1029-8f4c-4837-bc2d-a0ae0305993a	CHILLER
de3b0a02-60e2-46a1-8fdb-c05e8011620f	75dd5fe1-2d0e-49c6-91e8-a4d142ac2d20	AIR_COOLED_CHILLER
de3b0a02-60e2-46a1-8fdb-c05e8011620f	a81c3ecb-ada3-4ffc-9694-92b97df45146	COOLING_TOWER
de3b0a02-60e2-46a1-8fdb-c05e8011620f	9cf2292b-35ca-4523-9664-02086fdf7c43	DRY_COOLER
de3b0a02-60e2-46a1-8fdb-c05e8011620f	2c98f53a-e465-4e7d-a820-c80f912ef42a	REMOTE_CONDENSER
de3b0a02-60e2-46a1-8fdb-c05e8011620f	36173302-c427-4d3f-8470-81bd14d86d72	CHILLED_WATER_PUMPS
de3b0a02-60e2-46a1-8fdb-c05e8011620f	ccbe7a03-98a6-460b-b97d-eeca8c5ede43	HEAT_REJECTION_PUMPS
de3b0a02-60e2-46a1-8fdb-c05e8011620f	1d70611c-23b2-47d8-871e-bff3bcfda761	VENTILATION
de3b0a02-60e2-46a1-8fdb-c05e8011620f	4b8307eb-8280-46f9-87d6-9fe9c999ec13	INFILTRATION
de3b0a02-60e2-46a1-8fdb-c05e8011620f	df6488cd-d45a-42d0-95cc-64e02cdd36f7	IT_LOAD
846dfc86-a791-40fb-b6e3-e5792cb7f20e	05634836-8464-4de2-b510-3ce4a17964c5	SWITCHGEAR
846dfc86-a791-40fb-b6e3-e5792cb7f20e	8b0aad61-76ac-477b-95ed-01e470ee9e47	GENERATOR
846dfc86-a791-40fb-b6e3-e5792cb7f20e	8575d014-435d-4644-8189-a9c9fafcfc10	PRIMARY_AUXILIARIES
846dfc86-a791-40fb-b6e3-e5792cb7f20e	952850fe-7a81-4483-a1dc-24e4ea0f3766	UPS
846dfc86-a791-40fb-b6e3-e5792cb7f20e	817cdd91-f8ff-4184-ae51-d3e3d4375460	CRITICAL_AUXILIARIES
846dfc86-a791-40fb-b6e3-e5792cb7f20e	4d6492f4-c82c-4519-893d-151fa984b3d2	LIGHTING
846dfc86-a791-40fb-b6e3-e5792cb7f20e	336b4e0b-7767-40fc-9534-325a47865119	CRITICAL_POWER_DISTRIBUTION
846dfc86-a791-40fb-b6e3-e5792cb7f20e	a9948793-2d64-445f-83f7-38b833549054	CRAH
846dfc86-a791-40fb-b6e3-e5792cb7f20e	e9498316-1156-4b34-b2d0-4bb9516d633b	CRAC
846dfc86-a791-40fb-b6e3-e5792cb7f20e	6c19ce47-f33f-4ff6-8ca1-7af7bb9157cf	CRAC_WITHOUT_FAN
846dfc86-a791-40fb-b6e3-e5792cb7f20e	ad661b7d-c537-4f22-9225-45fef7d20216	CRAC_FAN
846dfc86-a791-40fb-b6e3-e5792cb7f20e	31f3b444-9edf-4e9d-a47f-1a8a07dd030b	CHILLER
846dfc86-a791-40fb-b6e3-e5792cb7f20e	31c3d874-1f25-49ae-a468-7fd97bdfb8ff	AIR_COOLED_CHILLER
846dfc86-a791-40fb-b6e3-e5792cb7f20e	ec067c42-93e4-4b83-81a3-9d318a44174c	COOLING_TOWER
846dfc86-a791-40fb-b6e3-e5792cb7f20e	be2f05f3-19b8-45ae-8c46-4c52082a0b23	DRY_COOLER
846dfc86-a791-40fb-b6e3-e5792cb7f20e	dc84bdd1-119a-40d4-9da5-d29be09b282a	REMOTE_CONDENSER
846dfc86-a791-40fb-b6e3-e5792cb7f20e	4703a6b1-671e-40e9-a45e-d51d1882a190	CHILLED_WATER_PUMPS
846dfc86-a791-40fb-b6e3-e5792cb7f20e	d54cfd1c-3ad2-4e2e-9469-e9fb7dd6fb9f	HEAT_REJECTION_PUMPS
846dfc86-a791-40fb-b6e3-e5792cb7f20e	bf58c53a-725f-482f-9f1b-5830b0af6b7d	VENTILATION
846dfc86-a791-40fb-b6e3-e5792cb7f20e	ff74eb0b-8c08-4231-9846-a9c4be04e267	INFILTRATION
846dfc86-a791-40fb-b6e3-e5792cb7f20e	433ee8eb-fbd0-4ee1-8179-5587eec34ac7	IT_LOAD
673df56f-3b5a-46cc-9f20-14cd9dfd2480	89bd89dc-0ee3-47c3-a0fd-a525d0d18e98	SWITCHGEAR
673df56f-3b5a-46cc-9f20-14cd9dfd2480	d3251e8d-f07a-4073-88b4-8452eeacc72f	GENERATOR
673df56f-3b5a-46cc-9f20-14cd9dfd2480	4052e086-8a08-41ff-b91f-3ba9d00f9ef5	PRIMARY_AUXILIARIES
673df56f-3b5a-46cc-9f20-14cd9dfd2480	6a6c64c6-68b0-47f5-b433-e9ffdc4e176c	UPS
673df56f-3b5a-46cc-9f20-14cd9dfd2480	5ce18c56-cd04-4018-b6a5-30bfcd9281b8	CRITICAL_AUXILIARIES
673df56f-3b5a-46cc-9f20-14cd9dfd2480	672c63c3-d4ef-4c7b-ae76-3287c1be9cf3	LIGHTING
673df56f-3b5a-46cc-9f20-14cd9dfd2480	c308b211-daf3-48ee-91d1-7704f788e384	CRITICAL_POWER_DISTRIBUTION
673df56f-3b5a-46cc-9f20-14cd9dfd2480	ffd8a4f0-d80e-4888-a25d-fa2d0ac1e368	CRAH
673df56f-3b5a-46cc-9f20-14cd9dfd2480	b828022c-06ea-4837-9468-721a5fe89c3e	CRAC
673df56f-3b5a-46cc-9f20-14cd9dfd2480	efe34fe6-07c2-4946-bbc3-9dffb74ef690	CRAC_WITHOUT_FAN
673df56f-3b5a-46cc-9f20-14cd9dfd2480	90a06ff5-2e1a-463d-b9de-5a4b3e0fa8b7	CRAC_FAN
673df56f-3b5a-46cc-9f20-14cd9dfd2480	4fbe356d-c152-453e-bd94-d11289eb038d	CHILLER
673df56f-3b5a-46cc-9f20-14cd9dfd2480	f01a46d1-7447-41d7-9983-6f99d058eb42	AIR_COOLED_CHILLER
673df56f-3b5a-46cc-9f20-14cd9dfd2480	24b8b60a-3551-484d-8e5a-ee8f308e218b	COOLING_TOWER
673df56f-3b5a-46cc-9f20-14cd9dfd2480	2a3925e4-9a85-40c4-be1f-3a4f9af95c75	DRY_COOLER
673df56f-3b5a-46cc-9f20-14cd9dfd2480	2c0da49f-ff27-4ef2-bf90-1689e0d39d71	REMOTE_CONDENSER
673df56f-3b5a-46cc-9f20-14cd9dfd2480	ccdf8867-bb61-46bd-8cc7-be9c79b5751b	CHILLED_WATER_PUMPS
673df56f-3b5a-46cc-9f20-14cd9dfd2480	41af6117-15b4-437d-a90e-65ae3986ae6b	HEAT_REJECTION_PUMPS
673df56f-3b5a-46cc-9f20-14cd9dfd2480	3fcd99fd-21a7-4fa2-96d5-3bd263126fbe	VENTILATION
673df56f-3b5a-46cc-9f20-14cd9dfd2480	3f456f96-9cc0-4b34-b71a-80251a5b340b	INFILTRATION
673df56f-3b5a-46cc-9f20-14cd9dfd2480	775f6a38-e44b-4eab-9271-ddf61af2caef	IT_LOAD
3452648d-690d-4824-a570-a4607cbf3a1a	6644a0db-c741-4794-9a12-d6e5cb47d238	SWITCHGEAR
3452648d-690d-4824-a570-a4607cbf3a1a	08590241-b179-4702-b184-cf7e3631aff4	GENERATOR
3452648d-690d-4824-a570-a4607cbf3a1a	9cd8b6ba-196b-484e-8d9e-5593a30e36c1	PRIMARY_AUXILIARIES
3452648d-690d-4824-a570-a4607cbf3a1a	1f3bddad-796a-42a4-974e-c7fc8715d1bc	UPS
3452648d-690d-4824-a570-a4607cbf3a1a	f4c3b42f-5f8b-4633-9867-9bd80c615d61	CRITICAL_AUXILIARIES
3452648d-690d-4824-a570-a4607cbf3a1a	717f1515-a99b-409c-8973-24d60b3f92bd	LIGHTING
3452648d-690d-4824-a570-a4607cbf3a1a	225cbf96-480e-43f5-8c82-194928872d4d	CRITICAL_POWER_DISTRIBUTION
3452648d-690d-4824-a570-a4607cbf3a1a	22c9b96c-820e-42ef-91c5-21986423e9d6	CRAH
3452648d-690d-4824-a570-a4607cbf3a1a	bcf43c45-5e80-4d73-935a-c6793eced90a	CRAC
3452648d-690d-4824-a570-a4607cbf3a1a	3a676f5a-4473-485a-a2ec-074df0502683	CRAC_WITHOUT_FAN
3452648d-690d-4824-a570-a4607cbf3a1a	19f36e0f-07d5-4b50-afe6-f0be5c3f4c6c	CRAC_FAN
3452648d-690d-4824-a570-a4607cbf3a1a	8ff4f518-4b41-41ab-8dd6-e150af68aea0	CHILLER
3452648d-690d-4824-a570-a4607cbf3a1a	595aca9d-df0b-4d18-acf1-b3a2e2f040e3	AIR_COOLED_CHILLER
3452648d-690d-4824-a570-a4607cbf3a1a	1b3f93a7-6c8e-42b5-8325-85ecdc8116f0	COOLING_TOWER
3452648d-690d-4824-a570-a4607cbf3a1a	13b75722-f915-4010-9a31-1354eb7743ea	DRY_COOLER
3452648d-690d-4824-a570-a4607cbf3a1a	bc83e75e-b6fa-4e6b-8b4c-996b6b7af1ec	REMOTE_CONDENSER
3452648d-690d-4824-a570-a4607cbf3a1a	1ca2a4a1-b5a0-46e8-ba52-a90b3d0d6840	CHILLED_WATER_PUMPS
3452648d-690d-4824-a570-a4607cbf3a1a	e6057424-5456-4d1d-b69f-8e5617fb1897	HEAT_REJECTION_PUMPS
3452648d-690d-4824-a570-a4607cbf3a1a	d5c46fe2-ba42-48ac-84a0-850d23e3447b	VENTILATION
3452648d-690d-4824-a570-a4607cbf3a1a	3b2dda0b-1ce4-43ec-8972-c0527993953b	INFILTRATION
3452648d-690d-4824-a570-a4607cbf3a1a	66ec407c-3a51-4bf0-bbe3-97ec2e94dac9	IT_LOAD
0e57e816-c6ec-476c-ad86-56681bb9d124	f6070dbf-1ab3-4a74-92b5-422f65424a77	SWITCHGEAR
0e57e816-c6ec-476c-ad86-56681bb9d124	44774df6-c971-4445-9ba2-199b277ed000	GENERATOR
0e57e816-c6ec-476c-ad86-56681bb9d124	4c1648b7-8d24-4411-9da5-f334ddbc0ed9	PRIMARY_AUXILIARIES
0e57e816-c6ec-476c-ad86-56681bb9d124	1e28b304-9f79-4f06-9655-1bde2897ea00	UPS
0e57e816-c6ec-476c-ad86-56681bb9d124	e33657c9-c37f-4e99-b5cf-72efc25bfa26	CRITICAL_AUXILIARIES
0e57e816-c6ec-476c-ad86-56681bb9d124	86075e2a-4b22-4324-95f4-f64301cbaa28	LIGHTING
0e57e816-c6ec-476c-ad86-56681bb9d124	386d5d5a-df10-48ea-9b94-06b6ba4ef74f	CRITICAL_POWER_DISTRIBUTION
0e57e816-c6ec-476c-ad86-56681bb9d124	4fad17f0-35f5-46e0-9d4d-2cf7b8ee1762	CRAH
0e57e816-c6ec-476c-ad86-56681bb9d124	dd447ce1-0688-485b-9832-5737fb9501d7	CRAC
0e57e816-c6ec-476c-ad86-56681bb9d124	d86acfec-0b14-4293-9720-82032be6c3b0	CRAC_WITHOUT_FAN
0e57e816-c6ec-476c-ad86-56681bb9d124	91ded082-fbb0-403e-b49d-5e6bdeee1155	CRAC_FAN
0e57e816-c6ec-476c-ad86-56681bb9d124	41bccc6c-ca0b-496c-878f-01cfc2a80bd8	CHILLER
0e57e816-c6ec-476c-ad86-56681bb9d124	6f34f673-970d-4b24-8875-10f252b04a00	AIR_COOLED_CHILLER
0e57e816-c6ec-476c-ad86-56681bb9d124	ea537165-7637-4c4e-a93b-4bbc0cf1fb3e	COOLING_TOWER
0e57e816-c6ec-476c-ad86-56681bb9d124	c261c552-1732-450f-90be-0db183db2cc2	DRY_COOLER
0e57e816-c6ec-476c-ad86-56681bb9d124	82552d4a-34aa-476b-9778-179c8c5d7b68	REMOTE_CONDENSER
0e57e816-c6ec-476c-ad86-56681bb9d124	be3ac72e-e159-40b6-8c9f-d35c71e707a0	CHILLED_WATER_PUMPS
0e57e816-c6ec-476c-ad86-56681bb9d124	572323fc-14d5-4f11-8cd1-92ce374c1b85	HEAT_REJECTION_PUMPS
0e57e816-c6ec-476c-ad86-56681bb9d124	c0c45362-c3c6-4581-9d14-c59a2890a37e	VENTILATION
0e57e816-c6ec-476c-ad86-56681bb9d124	64080d8b-3838-4c28-873a-a121607baffe	INFILTRATION
0e57e816-c6ec-476c-ad86-56681bb9d124	1a99f316-9373-494b-88b3-d7363b4fb2ca	IT_LOAD
7c88d164-9613-4326-8a0e-67e72173aa58	4958aee9-5ec1-4b06-809a-f0190b653508	SWITCHGEAR
7c88d164-9613-4326-8a0e-67e72173aa58	9a59f599-617d-466a-86d9-dc015f49a07f	GENERATOR
7c88d164-9613-4326-8a0e-67e72173aa58	2ae9dcef-153e-4377-a5b4-ac37b8123a2e	PRIMARY_AUXILIARIES
7c88d164-9613-4326-8a0e-67e72173aa58	42d4b1ee-ee0b-4e94-b5fd-01440c49b84d	UPS
7c88d164-9613-4326-8a0e-67e72173aa58	149b7df6-a596-428b-a2bc-07f4e2dd67f1	CRITICAL_AUXILIARIES
7c88d164-9613-4326-8a0e-67e72173aa58	28c62f83-b8a6-4168-ac21-8b2f4883d484	LIGHTING
7c88d164-9613-4326-8a0e-67e72173aa58	764b3879-fc65-47bd-9253-a23ec1f46e1c	CRITICAL_POWER_DISTRIBUTION
7c88d164-9613-4326-8a0e-67e72173aa58	8177f705-332e-40d0-921a-d53529d353ee	CRAH
7c88d164-9613-4326-8a0e-67e72173aa58	c40a7a1b-dcb6-42e8-909f-eddfe89d00a4	CRAC
7c88d164-9613-4326-8a0e-67e72173aa58	48612c38-29e4-45eb-a854-90d5fd22e741	CRAC_WITHOUT_FAN
7c88d164-9613-4326-8a0e-67e72173aa58	c756fe6d-911c-4687-b522-35e5aa3f849b	CRAC_FAN
7c88d164-9613-4326-8a0e-67e72173aa58	1d064720-af41-4791-a0e7-d3bbf356a3b7	CHILLER
7c88d164-9613-4326-8a0e-67e72173aa58	b84e7e0d-9838-49cf-b4ed-b84d6cd1acbc	AIR_COOLED_CHILLER
7c88d164-9613-4326-8a0e-67e72173aa58	05964caf-8fa2-4b32-83f2-27e580a6bebf	COOLING_TOWER
7c88d164-9613-4326-8a0e-67e72173aa58	652100bb-be1b-477a-bcb9-7e36d5aa863f	DRY_COOLER
7c88d164-9613-4326-8a0e-67e72173aa58	d58d60dc-de79-4930-b58e-94728aa9c177	REMOTE_CONDENSER
7c88d164-9613-4326-8a0e-67e72173aa58	a6107fd9-4bd8-4fc5-ad14-d254c43d80eb	CHILLED_WATER_PUMPS
7c88d164-9613-4326-8a0e-67e72173aa58	594e3447-6f3f-43a0-97ec-dfae6c8c53fd	HEAT_REJECTION_PUMPS
7c88d164-9613-4326-8a0e-67e72173aa58	2574bb09-e1b1-411b-91fe-bd9c4d919330	VENTILATION
7c88d164-9613-4326-8a0e-67e72173aa58	936f1945-11d7-46bd-92d9-77a3e2e4d68d	INFILTRATION
7c88d164-9613-4326-8a0e-67e72173aa58	e8666be8-e8a6-4f32-a3fc-c44df6ea71c5	IT_LOAD
d73142dd-7470-4af3-a42d-c1c9aab5244b	5bb15333-48a6-4eff-b725-5768a0340f7d	SWITCHGEAR
d73142dd-7470-4af3-a42d-c1c9aab5244b	5470ced0-53ef-4966-83f0-7ec22e0f7579	GENERATOR
d73142dd-7470-4af3-a42d-c1c9aab5244b	cab53713-f6df-4645-a8c3-7434e1cb3e41	PRIMARY_AUXILIARIES
d73142dd-7470-4af3-a42d-c1c9aab5244b	de6bfa6f-900f-4f89-94cd-28994b95d973	UPS
d73142dd-7470-4af3-a42d-c1c9aab5244b	7d001d17-bec4-4ff9-9125-de83fee06b8c	CRITICAL_AUXILIARIES
d73142dd-7470-4af3-a42d-c1c9aab5244b	fb788f5a-0bb7-4f0a-aa09-76e036819023	LIGHTING
d73142dd-7470-4af3-a42d-c1c9aab5244b	a74fdcc7-cc76-43b6-8198-73d58ee17ab5	CRITICAL_POWER_DISTRIBUTION
d73142dd-7470-4af3-a42d-c1c9aab5244b	607eceda-5d39-4355-82d8-9fc2b56a70d2	CRAH
d73142dd-7470-4af3-a42d-c1c9aab5244b	da855b71-dc93-4849-9aac-acb6aab9ac32	CRAC
d73142dd-7470-4af3-a42d-c1c9aab5244b	7f2c0c01-f9e5-4ead-b229-a1d45b8b524e	CRAC_WITHOUT_FAN
d73142dd-7470-4af3-a42d-c1c9aab5244b	ac50bfdf-a90c-4233-9844-867ae0d86ee3	CRAC_FAN
d73142dd-7470-4af3-a42d-c1c9aab5244b	852297f8-5867-4b65-92cc-b2f8fe0512b6	CHILLER
d73142dd-7470-4af3-a42d-c1c9aab5244b	3e39cffc-8929-4baa-82fd-4c04e668d8ee	AIR_COOLED_CHILLER
d73142dd-7470-4af3-a42d-c1c9aab5244b	6432ba35-bc6c-4a9f-905f-195680d9efff	COOLING_TOWER
d73142dd-7470-4af3-a42d-c1c9aab5244b	9da9a4fb-07c4-423c-a5e1-64a3add883a1	DRY_COOLER
d73142dd-7470-4af3-a42d-c1c9aab5244b	c021b52b-93d1-40b7-b191-c00c20718449	REMOTE_CONDENSER
d73142dd-7470-4af3-a42d-c1c9aab5244b	cf0c0043-bc40-4495-aeae-f1665becc6b4	CHILLED_WATER_PUMPS
d73142dd-7470-4af3-a42d-c1c9aab5244b	c6c13e0c-a561-4e76-b17e-1009a616e559	HEAT_REJECTION_PUMPS
d73142dd-7470-4af3-a42d-c1c9aab5244b	4f86462d-c123-4929-a955-97df76df5643	VENTILATION
d73142dd-7470-4af3-a42d-c1c9aab5244b	481570bb-e3fa-4d1c-8112-8c25d424a4e0	INFILTRATION
d73142dd-7470-4af3-a42d-c1c9aab5244b	129d505e-d3dd-48d4-8e09-0d0ff483cfba	IT_LOAD
ac78a716-cf41-4a18-9928-e52e65004827	620c1bcf-a253-4c10-beef-230a9efc94e8	SWITCHGEAR
ac78a716-cf41-4a18-9928-e52e65004827	2f24a007-6397-4e7d-afea-bc25176616bd	GENERATOR
ac78a716-cf41-4a18-9928-e52e65004827	cc70e86a-3160-4c5d-a662-9da9b72fce0c	PRIMARY_AUXILIARIES
ac78a716-cf41-4a18-9928-e52e65004827	b51bc617-76c6-4ad8-ab3f-d048e103aba5	UPS
ac78a716-cf41-4a18-9928-e52e65004827	09354c8d-735a-437f-9593-7295dd1144a7	CRITICAL_AUXILIARIES
ac78a716-cf41-4a18-9928-e52e65004827	e39f11df-7ede-411c-9853-14b3c67ea4e3	LIGHTING
ac78a716-cf41-4a18-9928-e52e65004827	d46d0495-88a8-4946-bf56-e11f914a6448	CRITICAL_POWER_DISTRIBUTION
ac78a716-cf41-4a18-9928-e52e65004827	6702f31a-8296-4df0-8be6-51df84f8e921	CRAH
ac78a716-cf41-4a18-9928-e52e65004827	f892a89d-fd3a-4d36-aaaa-597965fbb308	CRAC
ac78a716-cf41-4a18-9928-e52e65004827	d233185a-c283-42af-80e5-1e64292731b6	CRAC_WITHOUT_FAN
ac78a716-cf41-4a18-9928-e52e65004827	db0a0397-693c-4334-add6-75c030e6d435	CRAC_FAN
ac78a716-cf41-4a18-9928-e52e65004827	dec3f482-67f7-4b84-818d-6cacfe973ebc	CHILLER
ac78a716-cf41-4a18-9928-e52e65004827	68ef03cc-7d81-4bfb-8d69-3dba543b170d	AIR_COOLED_CHILLER
ac78a716-cf41-4a18-9928-e52e65004827	4ff1c578-ee0e-47df-a984-dfd8a6f6bbee	COOLING_TOWER
ac78a716-cf41-4a18-9928-e52e65004827	21f2fc00-99bb-4c73-b849-59d58117fbbc	DRY_COOLER
ac78a716-cf41-4a18-9928-e52e65004827	124a35ca-c94d-467e-9be7-1b52c77273e1	REMOTE_CONDENSER
ac78a716-cf41-4a18-9928-e52e65004827	ab564ae4-2ace-4f15-9dbd-4996523f4a90	CHILLED_WATER_PUMPS
ac78a716-cf41-4a18-9928-e52e65004827	3c545ce5-f31f-470c-b69f-8577bc38f5b5	HEAT_REJECTION_PUMPS
ac78a716-cf41-4a18-9928-e52e65004827	943e5d59-a529-449e-84e0-d9cf6ec7e493	VENTILATION
ac78a716-cf41-4a18-9928-e52e65004827	4540b1c1-e26c-4b91-864e-aead70329f54	INFILTRATION
ac78a716-cf41-4a18-9928-e52e65004827	db93d986-766a-4743-8d0d-3d9a67edc3b0	IT_LOAD
a41441b2-53da-4ffa-bfdf-4c4943901ed8	9883561a-39fe-4680-a22a-d6214990da0e	SWITCHGEAR
a41441b2-53da-4ffa-bfdf-4c4943901ed8	5d812550-7412-4d6d-ba86-35c65df7dabb	GENERATOR
a41441b2-53da-4ffa-bfdf-4c4943901ed8	1a6f62f9-9faf-45d2-b0b7-df338d07718d	PRIMARY_AUXILIARIES
a41441b2-53da-4ffa-bfdf-4c4943901ed8	74bc8149-be5a-417b-9990-ddae8a8028ba	UPS
a41441b2-53da-4ffa-bfdf-4c4943901ed8	9dcb5d37-9bfd-4c00-9342-6940bc1902c2	CRITICAL_AUXILIARIES
a41441b2-53da-4ffa-bfdf-4c4943901ed8	f737e9c5-5977-4150-9db2-4cbe2962a621	LIGHTING
a41441b2-53da-4ffa-bfdf-4c4943901ed8	fae45d7a-ab30-4082-a206-a7c93d8eaff0	CRITICAL_POWER_DISTRIBUTION
a41441b2-53da-4ffa-bfdf-4c4943901ed8	88a11157-0230-4591-875e-c91741c534ab	CRAH
a41441b2-53da-4ffa-bfdf-4c4943901ed8	097db0cb-ab0a-45e0-a431-c4f90a784336	CRAC
a41441b2-53da-4ffa-bfdf-4c4943901ed8	dad5b53d-d46b-4538-b02c-eb3af751ab46	CRAC_WITHOUT_FAN
a41441b2-53da-4ffa-bfdf-4c4943901ed8	543fe61d-3d84-469b-b488-f3b037bc4697	CRAC_FAN
a41441b2-53da-4ffa-bfdf-4c4943901ed8	668654ff-6b4b-4a7e-9614-281f2f88a0df	CHILLER
a41441b2-53da-4ffa-bfdf-4c4943901ed8	3ef856ac-2e68-4677-8bb0-7106c54283e1	AIR_COOLED_CHILLER
a41441b2-53da-4ffa-bfdf-4c4943901ed8	abcae9ac-3792-4c40-b6de-78884a76cd59	COOLING_TOWER
a41441b2-53da-4ffa-bfdf-4c4943901ed8	3d25f1ec-4363-4c36-b099-7a94d4764e6c	DRY_COOLER
a41441b2-53da-4ffa-bfdf-4c4943901ed8	286a80e6-fc8e-41d6-aea5-ebfaf7266083	REMOTE_CONDENSER
a41441b2-53da-4ffa-bfdf-4c4943901ed8	67f59163-9404-4bec-9dfd-3eb1b223a68e	CHILLED_WATER_PUMPS
a41441b2-53da-4ffa-bfdf-4c4943901ed8	ff8d4108-f6d6-4dc3-b1b6-2c28d7394d5d	HEAT_REJECTION_PUMPS
a41441b2-53da-4ffa-bfdf-4c4943901ed8	3515c5d6-9b45-4ec2-a54e-e97df4aced8a	VENTILATION
a41441b2-53da-4ffa-bfdf-4c4943901ed8	364b7afe-1131-4619-94ec-abac7337c491	INFILTRATION
a41441b2-53da-4ffa-bfdf-4c4943901ed8	4b0da5bf-f471-491e-b42c-9ecd7ef7e009	IT_LOAD
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	d7da089b-9ada-44ec-b99d-f7e09c6c6070	SWITCHGEAR
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	eed33e25-fcac-41d8-8c7e-e7e0a75e26dd	GENERATOR
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	6e3ffeb7-8a07-4774-8ada-7fc55c983393	PRIMARY_AUXILIARIES
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	bcd32d1e-47a8-4f3d-a2d6-3d5ff9dac5f0	UPS
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	2b7b0329-61a9-406c-b559-339e5c653d62	CRITICAL_AUXILIARIES
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	c9c4f2cf-672a-41ac-a378-f8bafb864343	LIGHTING
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	004ea891-22de-4b83-bfbd-82f08d53005c	CRITICAL_POWER_DISTRIBUTION
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	355ebf33-1766-43b4-a397-8e75ea93ee2b	CRAH
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	693dd458-e73c-4532-88bd-086f13f3f65b	CRAC
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	87c82fe3-4d28-4d5a-805a-24706436aa92	CRAC_WITHOUT_FAN
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	916e84a2-ec14-4efe-bc1d-ed8f8bf7f84b	CRAC_FAN
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	2bb5b879-c8db-48c7-b56f-f3df23974f2e	CHILLER
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	250bbcd6-2510-4c79-a16e-ac86facb3d6b	AIR_COOLED_CHILLER
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	d2b800eb-afb9-4227-9c2f-d41e165a0295	COOLING_TOWER
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	f3bd3b39-a734-4e4d-9e34-704f2128777f	DRY_COOLER
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	7c7ad6b7-0617-494a-8f8d-00f87df81b83	REMOTE_CONDENSER
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	f077e89d-cda1-42db-aeb6-9e69c9b32e0d	CHILLED_WATER_PUMPS
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	216ba572-dfde-4755-a3d0-d923c6d7d8e9	HEAT_REJECTION_PUMPS
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	c5a1beab-86e1-44eb-9194-34e25a41ec85	VENTILATION
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	59947718-89b2-4188-8f28-6743826677fc	INFILTRATION
f6ec343a-06ce-4e09-a5c1-3b9c3ab19b2d	93d90586-c501-4e95-a257-defe3a4bbd2a	IT_LOAD
02fd9361-f1ea-481e-8f00-c55457e77614	fe0e2721-b3d3-47a3-b0f1-23d37a43661c	SWITCHGEAR
02fd9361-f1ea-481e-8f00-c55457e77614	dde4b4e3-f226-4223-88f7-d035132513dd	GENERATOR
02fd9361-f1ea-481e-8f00-c55457e77614	657bb334-2327-4818-a4a8-3083d8ba1431	PRIMARY_AUXILIARIES
02fd9361-f1ea-481e-8f00-c55457e77614	c20a0d30-6ce0-4db7-837f-551cf90fa38b	UPS
02fd9361-f1ea-481e-8f00-c55457e77614	7f5421c5-5429-404a-ab00-846e224d27aa	CRITICAL_AUXILIARIES
02fd9361-f1ea-481e-8f00-c55457e77614	a697b781-8fe1-48ee-a565-10d6c439c628	LIGHTING
02fd9361-f1ea-481e-8f00-c55457e77614	d95285bd-84ad-4eb1-9936-547ddc49edb9	CRITICAL_POWER_DISTRIBUTION
02fd9361-f1ea-481e-8f00-c55457e77614	2e8ffb56-a7f5-4efd-ac05-1f41fae8cb12	CRAH
02fd9361-f1ea-481e-8f00-c55457e77614	1e58c388-7789-479f-b2dd-f0496f70997d	CRAC
02fd9361-f1ea-481e-8f00-c55457e77614	ced75285-1d18-447e-a3f2-612242406729	CRAC_WITHOUT_FAN
02fd9361-f1ea-481e-8f00-c55457e77614	dce24207-2a9b-48e8-92e5-1d912e58f211	CRAC_FAN
02fd9361-f1ea-481e-8f00-c55457e77614	2bb45638-1a8c-467b-a597-fb0c0fb7ad92	CHILLER
02fd9361-f1ea-481e-8f00-c55457e77614	3f12605a-1e4d-4158-a327-de5c86fbc430	AIR_COOLED_CHILLER
02fd9361-f1ea-481e-8f00-c55457e77614	7029eb3e-ffb5-4d1d-966e-139ae38de934	COOLING_TOWER
02fd9361-f1ea-481e-8f00-c55457e77614	3c2cfac7-4306-4fce-9f3b-1bd1597291e0	DRY_COOLER
02fd9361-f1ea-481e-8f00-c55457e77614	3f188dae-cee4-4d4c-bd33-b53b7c5fd796	REMOTE_CONDENSER
02fd9361-f1ea-481e-8f00-c55457e77614	26354404-0d4f-4f56-8b35-12bc124ca3c4	CHILLED_WATER_PUMPS
02fd9361-f1ea-481e-8f00-c55457e77614	4f0795a3-05c4-435d-ad49-98440bc56fc8	HEAT_REJECTION_PUMPS
02fd9361-f1ea-481e-8f00-c55457e77614	3c6de583-34c6-4308-88c0-63024d937c60	VENTILATION
02fd9361-f1ea-481e-8f00-c55457e77614	ccd36bdd-10f8-47d8-991c-e75d9cdc84cf	INFILTRATION
02fd9361-f1ea-481e-8f00-c55457e77614	fe0c36c4-4d99-49fc-8f83-832153b668bf	IT_LOAD
28865efa-9b94-47fc-b2c2-2830084f90f3	0c05c80e-bda0-4067-8eb5-b5ae6924f536	SWITCHGEAR
28865efa-9b94-47fc-b2c2-2830084f90f3	cab12e20-9887-4eaf-9df5-a2ff6f17eb5e	GENERATOR
28865efa-9b94-47fc-b2c2-2830084f90f3	0cf1d0ba-37df-4201-94ed-2a02370aca0e	PRIMARY_AUXILIARIES
28865efa-9b94-47fc-b2c2-2830084f90f3	780290de-a7d5-4bca-bfaa-3c5af560c467	UPS
28865efa-9b94-47fc-b2c2-2830084f90f3	d75bc3d1-1b92-4159-8a2a-1025c02026ac	CRITICAL_AUXILIARIES
28865efa-9b94-47fc-b2c2-2830084f90f3	7210042d-5a53-4ce2-b3b2-58b77ed8a62c	LIGHTING
28865efa-9b94-47fc-b2c2-2830084f90f3	7b211721-9b9d-465a-964c-e41afe7a7ec7	CRITICAL_POWER_DISTRIBUTION
28865efa-9b94-47fc-b2c2-2830084f90f3	188ec6ec-05c7-4c07-b84a-4c6ff9bc7177	CRAH
28865efa-9b94-47fc-b2c2-2830084f90f3	09eb5158-af56-4e16-bff5-c2d88184c796	CRAC
28865efa-9b94-47fc-b2c2-2830084f90f3	c72d834f-a11c-4366-bf49-9d139ec7e5bc	CRAC_WITHOUT_FAN
28865efa-9b94-47fc-b2c2-2830084f90f3	7a864828-639b-4381-89dd-7e9a965595e2	CRAC_FAN
28865efa-9b94-47fc-b2c2-2830084f90f3	54d54b1e-05cd-4976-9d49-9d95a4550d29	CHILLER
28865efa-9b94-47fc-b2c2-2830084f90f3	d5ef0a89-07c2-44f7-a64a-31ed7c692c75	AIR_COOLED_CHILLER
28865efa-9b94-47fc-b2c2-2830084f90f3	ed1917dd-98ac-4bfb-b4c1-2b8928b67a14	COOLING_TOWER
28865efa-9b94-47fc-b2c2-2830084f90f3	3e04d6a3-033e-4bfa-907e-7be166a0f68b	DRY_COOLER
28865efa-9b94-47fc-b2c2-2830084f90f3	97113623-194b-49ae-80dc-721f0b23c5b4	REMOTE_CONDENSER
28865efa-9b94-47fc-b2c2-2830084f90f3	cc2f8aed-a4d0-472d-b392-5fa014caef80	CHILLED_WATER_PUMPS
28865efa-9b94-47fc-b2c2-2830084f90f3	da51fb18-e8d0-46d2-b119-4a9b2684672e	HEAT_REJECTION_PUMPS
28865efa-9b94-47fc-b2c2-2830084f90f3	7f36035b-9d7c-452f-9ea6-61bab1e7a767	VENTILATION
28865efa-9b94-47fc-b2c2-2830084f90f3	b76530ef-92a7-43fb-984c-e48ad44e9061	INFILTRATION
28865efa-9b94-47fc-b2c2-2830084f90f3	7f1b66bb-84a1-434b-a99d-055c90fb5316	IT_LOAD
dcd61011-c1b5-4949-80df-5f6acfa477d8	9f6f61c7-2400-4c9d-b1f7-a63265df2512	SWITCHGEAR
dcd61011-c1b5-4949-80df-5f6acfa477d8	6cebae40-8998-4add-835c-4b0fce0ee0a6	GENERATOR
dcd61011-c1b5-4949-80df-5f6acfa477d8	8b210542-0a8e-4d15-8b48-b4ca179653a6	PRIMARY_AUXILIARIES
dcd61011-c1b5-4949-80df-5f6acfa477d8	7f7327ee-1225-4c37-9d9b-7f2d20c07028	UPS
dcd61011-c1b5-4949-80df-5f6acfa477d8	b1a47168-ccb0-4722-84d9-8f5bf8e39b88	CRITICAL_AUXILIARIES
dcd61011-c1b5-4949-80df-5f6acfa477d8	6f2a8822-5d5b-41fe-8287-293094d0f402	LIGHTING
dcd61011-c1b5-4949-80df-5f6acfa477d8	18d50b35-0797-4be2-83c2-eaae5f491d98	CRITICAL_POWER_DISTRIBUTION
dcd61011-c1b5-4949-80df-5f6acfa477d8	79b34667-1ce0-4899-a605-34ed2f434687	CRAH
dcd61011-c1b5-4949-80df-5f6acfa477d8	c0f594a6-5ad5-4f2c-a3ea-266c32d407c1	CRAC
dcd61011-c1b5-4949-80df-5f6acfa477d8	72d52a70-43ad-4962-ad1e-0c79abd1ecfa	CRAC_WITHOUT_FAN
dcd61011-c1b5-4949-80df-5f6acfa477d8	7cca9c40-5cf9-4102-8f6c-08887060bd17	CRAC_FAN
dcd61011-c1b5-4949-80df-5f6acfa477d8	a5180d1b-5454-4d3d-98f9-63a00d5fcda2	CHILLER
dcd61011-c1b5-4949-80df-5f6acfa477d8	14767a9f-f11f-49ca-b507-51b117f8016f	AIR_COOLED_CHILLER
dcd61011-c1b5-4949-80df-5f6acfa477d8	d16590c5-8946-4eb0-820c-b118d2a257cb	COOLING_TOWER
dcd61011-c1b5-4949-80df-5f6acfa477d8	1b23e514-367a-4300-86ed-aaa0d64f8208	DRY_COOLER
dcd61011-c1b5-4949-80df-5f6acfa477d8	08ed5a08-0649-4558-802d-0c89be698e5e	REMOTE_CONDENSER
dcd61011-c1b5-4949-80df-5f6acfa477d8	fda0d0ef-3244-4aea-bd37-065c55f4ed44	CHILLED_WATER_PUMPS
dcd61011-c1b5-4949-80df-5f6acfa477d8	dde86bb1-825a-444c-9973-54b9501db503	HEAT_REJECTION_PUMPS
dcd61011-c1b5-4949-80df-5f6acfa477d8	5fcd73b2-7a54-4fcb-af19-011aaf019c5d	VENTILATION
dcd61011-c1b5-4949-80df-5f6acfa477d8	bbe190e3-ad3d-4a43-8d3a-eda3035471fa	INFILTRATION
dcd61011-c1b5-4949-80df-5f6acfa477d8	0fb47d49-3b47-4850-b49e-44b2db2f16f4	IT_LOAD
04e60874-f993-4271-8109-12fc34a82aba	c2fadeb8-cc00-4352-ab8f-9832751eb8db	SWITCHGEAR
04e60874-f993-4271-8109-12fc34a82aba	4ed43de8-892d-4ddf-9d5c-ce1b6f608c32	GENERATOR
04e60874-f993-4271-8109-12fc34a82aba	96892ef5-244d-4169-8739-c6e7da252396	PRIMARY_AUXILIARIES
04e60874-f993-4271-8109-12fc34a82aba	95714f18-2fbe-4225-82f6-7b7e6e7d28d6	UPS
04e60874-f993-4271-8109-12fc34a82aba	50b3c4f9-7d52-40d2-8390-10cafa067b59	CRITICAL_AUXILIARIES
04e60874-f993-4271-8109-12fc34a82aba	8b8deb0b-bc50-4d22-abde-d6b5a71a00fa	LIGHTING
04e60874-f993-4271-8109-12fc34a82aba	45a80b46-fceb-40c2-a4b8-3d5a9da3d780	CRITICAL_POWER_DISTRIBUTION
04e60874-f993-4271-8109-12fc34a82aba	d7fcb2bf-509a-477c-b445-74658c5b9d15	CRAH
04e60874-f993-4271-8109-12fc34a82aba	a878f239-cda0-4ddd-b29b-88f01ee796cc	CRAC
04e60874-f993-4271-8109-12fc34a82aba	116dae3a-999e-4fc0-8520-eb0d85a976f6	CRAC_WITHOUT_FAN
04e60874-f993-4271-8109-12fc34a82aba	c017a17d-26be-481b-a1b7-78294e1fd63d	CRAC_FAN
04e60874-f993-4271-8109-12fc34a82aba	5b2c9d3e-dfc7-4304-a7e8-1b079d4e3641	CHILLER
04e60874-f993-4271-8109-12fc34a82aba	3aebf02c-da1e-4356-b281-9695abf3499e	AIR_COOLED_CHILLER
04e60874-f993-4271-8109-12fc34a82aba	7d11ed56-cdab-4abe-8183-58a24bbaff5e	COOLING_TOWER
04e60874-f993-4271-8109-12fc34a82aba	1fd4881f-1c61-40b8-8695-ed1bd9641d0d	DRY_COOLER
04e60874-f993-4271-8109-12fc34a82aba	bf617132-24c1-463e-b88a-7707aef33e13	REMOTE_CONDENSER
04e60874-f993-4271-8109-12fc34a82aba	ee8e65a3-bd6c-4bf9-bca2-9b721b6e2edb	CHILLED_WATER_PUMPS
04e60874-f993-4271-8109-12fc34a82aba	e706b30f-3b3f-4f8e-98f1-07e2cef0b054	HEAT_REJECTION_PUMPS
04e60874-f993-4271-8109-12fc34a82aba	8e2c6da0-248e-454f-952c-fdcc5c6b32b3	VENTILATION
04e60874-f993-4271-8109-12fc34a82aba	3f3af879-8a79-4d01-a90e-645ce265c546	INFILTRATION
04e60874-f993-4271-8109-12fc34a82aba	6f4b21fc-beb2-4aed-a41d-64c0da61fc1e	IT_LOAD
e5aaf591-01aa-4542-b3b6-e136d24f1c78	8ffd008d-efdc-41c0-ac97-84a28f966c25	SWITCHGEAR
e5aaf591-01aa-4542-b3b6-e136d24f1c78	05a9f94a-ce71-4658-a913-d0156bc0a499	GENERATOR
e5aaf591-01aa-4542-b3b6-e136d24f1c78	743694a5-4314-4996-9671-7fcd1284238c	PRIMARY_AUXILIARIES
e5aaf591-01aa-4542-b3b6-e136d24f1c78	f690699b-5a07-4b71-b426-7acfbf4ba733	UPS
e5aaf591-01aa-4542-b3b6-e136d24f1c78	09cafd30-4fcd-4e85-a063-8553a8510e5a	CRITICAL_AUXILIARIES
e5aaf591-01aa-4542-b3b6-e136d24f1c78	8aa77bba-bb9b-4ab2-9aab-4e4b28cc64ba	LIGHTING
e5aaf591-01aa-4542-b3b6-e136d24f1c78	48baf701-903b-4d1a-9974-9e14bc744e2d	CRITICAL_POWER_DISTRIBUTION
e5aaf591-01aa-4542-b3b6-e136d24f1c78	3a01fee3-3963-4e8f-8bc6-7d079f6817aa	CRAH
e5aaf591-01aa-4542-b3b6-e136d24f1c78	b0a5be83-007d-44e3-9b05-8d5c57e3246c	CRAC
e5aaf591-01aa-4542-b3b6-e136d24f1c78	f090a2fb-7555-40d7-afbf-e92d8d3c9faf	CRAC_WITHOUT_FAN
e5aaf591-01aa-4542-b3b6-e136d24f1c78	6a6846a4-fcbf-4fc7-a109-1e94f501cc33	CRAC_FAN
e5aaf591-01aa-4542-b3b6-e136d24f1c78	1cd01f39-f58c-4fad-9c48-ce0d450ff07b	CHILLER
e5aaf591-01aa-4542-b3b6-e136d24f1c78	cd9244d6-8f3a-4774-bb53-18cb15165f0b	AIR_COOLED_CHILLER
e5aaf591-01aa-4542-b3b6-e136d24f1c78	9a0579dd-da0e-46a4-92a6-75c7d4129c1c	COOLING_TOWER
e5aaf591-01aa-4542-b3b6-e136d24f1c78	3ac4ff2e-22d8-43b8-814f-2a2fcc59790a	DRY_COOLER
e5aaf591-01aa-4542-b3b6-e136d24f1c78	4f1223df-4469-4154-96c2-02f3182e72ac	REMOTE_CONDENSER
e5aaf591-01aa-4542-b3b6-e136d24f1c78	9841f4f7-81b2-4fb1-8927-090af6ff3b46	CHILLED_WATER_PUMPS
e5aaf591-01aa-4542-b3b6-e136d24f1c78	6c5d8889-a79e-4ff6-a884-8473fa4b1611	HEAT_REJECTION_PUMPS
e5aaf591-01aa-4542-b3b6-e136d24f1c78	5275ab98-f306-43c6-9f8c-1dee21fca1cd	VENTILATION
e5aaf591-01aa-4542-b3b6-e136d24f1c78	344428be-ac71-4787-8102-feb5932d6d65	INFILTRATION
e5aaf591-01aa-4542-b3b6-e136d24f1c78	0a92c72d-bd03-418d-b204-c0b611bce6da	IT_LOAD
6a0eaecc-b082-4ee8-9f08-981961817a7b	c7015f4d-b9c8-465b-9fdb-2e153a4c5a18	SWITCHGEAR
6a0eaecc-b082-4ee8-9f08-981961817a7b	edd83686-cccc-4ec9-927c-601ae0d82042	GENERATOR
6a0eaecc-b082-4ee8-9f08-981961817a7b	4e273e65-8512-4877-b7c5-9fa8592b6887	PRIMARY_AUXILIARIES
6a0eaecc-b082-4ee8-9f08-981961817a7b	931cee72-a8fe-48b1-bf92-881567da14c4	UPS
6a0eaecc-b082-4ee8-9f08-981961817a7b	d2a52a70-355c-4dab-b3e9-afb1407754eb	CRITICAL_AUXILIARIES
6a0eaecc-b082-4ee8-9f08-981961817a7b	7272cbf4-b42b-44f9-9ddd-3370856a49ff	LIGHTING
6a0eaecc-b082-4ee8-9f08-981961817a7b	ebf6b5f6-f9e6-4e1c-b0e6-79f9064d5c73	CRITICAL_POWER_DISTRIBUTION
6a0eaecc-b082-4ee8-9f08-981961817a7b	4c1883e7-9d6a-489c-8b46-a4ea121d7302	CRAH
6a0eaecc-b082-4ee8-9f08-981961817a7b	65a1eb6a-eb1d-4f96-b52a-4e0f6fddf800	CRAC
6a0eaecc-b082-4ee8-9f08-981961817a7b	0d38d043-8119-4040-b4db-ca79992008f2	CRAC_WITHOUT_FAN
6a0eaecc-b082-4ee8-9f08-981961817a7b	2b44e455-5cdf-4fb4-abcd-bce1d420792a	CRAC_FAN
6a0eaecc-b082-4ee8-9f08-981961817a7b	84fdf181-8a4c-43b1-a166-18739fd59120	CHILLER
6a0eaecc-b082-4ee8-9f08-981961817a7b	d7499d10-3504-436a-865e-971e19a121f8	AIR_COOLED_CHILLER
6a0eaecc-b082-4ee8-9f08-981961817a7b	aa76fc99-2e81-4e5c-9018-8b8871a44a93	COOLING_TOWER
6a0eaecc-b082-4ee8-9f08-981961817a7b	69efd6e6-c8bb-4fe6-a3ce-3e7f0c75ac23	DRY_COOLER
6a0eaecc-b082-4ee8-9f08-981961817a7b	03d2d2d2-9a39-492c-92a3-a1ee95566d32	REMOTE_CONDENSER
6a0eaecc-b082-4ee8-9f08-981961817a7b	6b5acf3f-3502-4a3c-b40f-bed090384d1d	CHILLED_WATER_PUMPS
6a0eaecc-b082-4ee8-9f08-981961817a7b	507baaba-7e88-4d18-9abd-1c5f24e0e1a8	HEAT_REJECTION_PUMPS
6a0eaecc-b082-4ee8-9f08-981961817a7b	63e05f72-7e07-4c8f-92fa-2be251a9ebed	VENTILATION
6a0eaecc-b082-4ee8-9f08-981961817a7b	63ad1272-2d48-4374-83d3-4c8f3fa6265f	INFILTRATION
6a0eaecc-b082-4ee8-9f08-981961817a7b	c46421f2-9a8f-42c6-88c5-95ee2cf2c487	IT_LOAD
ed39a838-e33f-4af1-86d8-119aedfc75ea	f20f3a95-f43e-4002-9af3-14af11d1cb06	SWITCHGEAR
ed39a838-e33f-4af1-86d8-119aedfc75ea	e6d03a1e-2b93-482d-bdc0-3150165daefe	GENERATOR
ed39a838-e33f-4af1-86d8-119aedfc75ea	5ec6d9b8-5fb8-4a61-993d-676563988034	PRIMARY_AUXILIARIES
ed39a838-e33f-4af1-86d8-119aedfc75ea	1999fa9c-d228-4efb-8a45-00266b21d170	UPS
ed39a838-e33f-4af1-86d8-119aedfc75ea	f6be0064-1670-4ceb-97ad-67b68ed43e39	CRITICAL_AUXILIARIES
ed39a838-e33f-4af1-86d8-119aedfc75ea	117c29c2-6a8e-499d-8138-8fc538c61598	LIGHTING
ed39a838-e33f-4af1-86d8-119aedfc75ea	deddbcc9-5ce6-4a36-8057-49d1dd8e53e4	CRITICAL_POWER_DISTRIBUTION
ed39a838-e33f-4af1-86d8-119aedfc75ea	80b497b0-9640-465d-a73d-cb9575260be7	CRAH
ed39a838-e33f-4af1-86d8-119aedfc75ea	9e4ed973-81df-4b5b-9658-6d91d5a1243a	CRAC
ed39a838-e33f-4af1-86d8-119aedfc75ea	1699ca33-4b97-49ca-a2b1-cc88a792284a	CRAC_WITHOUT_FAN
ed39a838-e33f-4af1-86d8-119aedfc75ea	6aa8f584-6746-44c6-befb-dc56caf77cdc	CRAC_FAN
ed39a838-e33f-4af1-86d8-119aedfc75ea	35db860b-24cf-41dd-b868-319f112314a7	CHILLER
ed39a838-e33f-4af1-86d8-119aedfc75ea	3b4b7fec-27ab-40c3-9360-333a91e39244	AIR_COOLED_CHILLER
ed39a838-e33f-4af1-86d8-119aedfc75ea	aa4e8b77-058e-4626-87de-4ae3afd357c3	COOLING_TOWER
ed39a838-e33f-4af1-86d8-119aedfc75ea	eea44d33-3a7a-4f77-939c-aa6bcf68866d	DRY_COOLER
ed39a838-e33f-4af1-86d8-119aedfc75ea	09b294ac-fe1b-472b-b169-e6e3b724d19a	REMOTE_CONDENSER
ed39a838-e33f-4af1-86d8-119aedfc75ea	018754e7-7330-4049-bbbf-d0150c71b650	CHILLED_WATER_PUMPS
ed39a838-e33f-4af1-86d8-119aedfc75ea	f8b47400-e24f-4752-99d4-560107cc1005	HEAT_REJECTION_PUMPS
ed39a838-e33f-4af1-86d8-119aedfc75ea	19712a97-4593-4f78-9b5b-71c11eae53ce	VENTILATION
ed39a838-e33f-4af1-86d8-119aedfc75ea	bac35009-2c5f-4cf6-a968-7cdbad6b351e	INFILTRATION
ed39a838-e33f-4af1-86d8-119aedfc75ea	f53a8622-5900-47eb-94bb-af2fc88ad171	IT_LOAD
405204c4-8f44-4e84-94df-818117841208	c999f284-01d1-44ba-8a55-3aa335a42db2	SWITCHGEAR
405204c4-8f44-4e84-94df-818117841208	51362b34-e911-4c50-9662-970bc63a90bc	GENERATOR
405204c4-8f44-4e84-94df-818117841208	ac06d4f9-2ef6-4bc1-bb1a-763c93196930	PRIMARY_AUXILIARIES
405204c4-8f44-4e84-94df-818117841208	b854d076-895f-4b84-9d26-c81a26bcf1b7	UPS
405204c4-8f44-4e84-94df-818117841208	55388bbf-82d7-4020-aae6-67e35ffa1a69	CRITICAL_AUXILIARIES
405204c4-8f44-4e84-94df-818117841208	3a9c8b12-5801-4c36-ba77-b441e7af051e	LIGHTING
405204c4-8f44-4e84-94df-818117841208	eb45ca02-2d4a-43f9-b0b8-c69a6f8f684f	CRITICAL_POWER_DISTRIBUTION
405204c4-8f44-4e84-94df-818117841208	d4797ee6-9e8e-46ac-b9f2-c71228e42d1d	CRAH
405204c4-8f44-4e84-94df-818117841208	37ff0c50-31c5-43e3-a667-78081065a017	CRAC
405204c4-8f44-4e84-94df-818117841208	41e942cb-5135-4272-a265-52716d7b57dc	CRAC_WITHOUT_FAN
405204c4-8f44-4e84-94df-818117841208	8dfe50c7-cc5e-4dc3-8cb5-5aec3d0c4345	CRAC_FAN
405204c4-8f44-4e84-94df-818117841208	7f30958e-962f-4d5f-bfcf-42daeb23711a	CHILLER
405204c4-8f44-4e84-94df-818117841208	6e55404e-a9ff-4f19-b4a3-75b5d89f5ee8	AIR_COOLED_CHILLER
405204c4-8f44-4e84-94df-818117841208	0bf3b0d0-3ea5-4f1d-8a9e-38f0172479a5	COOLING_TOWER
405204c4-8f44-4e84-94df-818117841208	8043a8d5-c323-4d4d-8300-9d7a72fdc25a	DRY_COOLER
405204c4-8f44-4e84-94df-818117841208	bc551078-1eac-40f7-8410-5ce49a5f9473	REMOTE_CONDENSER
405204c4-8f44-4e84-94df-818117841208	4d317eab-ac4b-4111-8756-6bf1d6d7a9ec	CHILLED_WATER_PUMPS
405204c4-8f44-4e84-94df-818117841208	ff274212-f88e-47f5-967b-1d69d3887316	HEAT_REJECTION_PUMPS
405204c4-8f44-4e84-94df-818117841208	9f191bc1-08d8-41f3-8ddc-d6dd797bd8ab	VENTILATION
405204c4-8f44-4e84-94df-818117841208	c28da580-b17c-46f2-afd0-aa292b47b7e7	INFILTRATION
405204c4-8f44-4e84-94df-818117841208	244780c1-635e-4355-8e35-82b3ffa37931	IT_LOAD
65df3563-ebe1-4f29-83c4-66ac5337e60d	398bf4a6-d8be-495b-8157-4b31cdd16955	SWITCHGEAR
65df3563-ebe1-4f29-83c4-66ac5337e60d	0451705c-cfc2-4e3a-a33c-e69535e13290	GENERATOR
65df3563-ebe1-4f29-83c4-66ac5337e60d	9d315249-3c5b-4d38-8319-2352dda5c385	PRIMARY_AUXILIARIES
65df3563-ebe1-4f29-83c4-66ac5337e60d	88e247fc-8a4c-4471-bcc2-5315ba3e142f	UPS
65df3563-ebe1-4f29-83c4-66ac5337e60d	fbbcdb23-25dc-47fd-ad0e-d463a6cbc5d7	CRITICAL_AUXILIARIES
65df3563-ebe1-4f29-83c4-66ac5337e60d	178ed4e4-504c-4726-9427-f3cee91d687b	LIGHTING
65df3563-ebe1-4f29-83c4-66ac5337e60d	c595e129-4787-4ba2-a709-71632eb82e02	CRITICAL_POWER_DISTRIBUTION
65df3563-ebe1-4f29-83c4-66ac5337e60d	c12971e2-8c36-4423-b1cf-5a2a912f976a	CRAH
65df3563-ebe1-4f29-83c4-66ac5337e60d	fcd8aa76-9cce-49b3-afd2-f64919946248	CRAC
65df3563-ebe1-4f29-83c4-66ac5337e60d	7d90a6e3-dbf0-478b-9de3-126330d1fdd2	CRAC_WITHOUT_FAN
65df3563-ebe1-4f29-83c4-66ac5337e60d	deacdd5b-8c79-417f-9eb6-dad0bde80fa8	CRAC_FAN
65df3563-ebe1-4f29-83c4-66ac5337e60d	a7667b29-5401-49b4-92c8-cf3d6ac906c7	CHILLER
65df3563-ebe1-4f29-83c4-66ac5337e60d	5524ce39-6ede-4f41-979b-29b6ee7a9e19	AIR_COOLED_CHILLER
65df3563-ebe1-4f29-83c4-66ac5337e60d	beaaf6b3-8375-4d83-863e-b8f7bd446f9c	COOLING_TOWER
65df3563-ebe1-4f29-83c4-66ac5337e60d	0be40a4f-4070-4f90-a7bd-241490531b51	DRY_COOLER
65df3563-ebe1-4f29-83c4-66ac5337e60d	8282c55f-ecd9-4721-a06e-61c7119df193	REMOTE_CONDENSER
65df3563-ebe1-4f29-83c4-66ac5337e60d	6e87d9ab-0389-48b4-8aad-a3e7fa123f37	CHILLED_WATER_PUMPS
65df3563-ebe1-4f29-83c4-66ac5337e60d	19c7d779-ecf9-46bf-9366-242176ee7223	HEAT_REJECTION_PUMPS
65df3563-ebe1-4f29-83c4-66ac5337e60d	87b06c9e-5466-4dd7-9d5d-035305f52738	VENTILATION
65df3563-ebe1-4f29-83c4-66ac5337e60d	88e43785-02f0-4390-9011-173fa2fee0da	INFILTRATION
65df3563-ebe1-4f29-83c4-66ac5337e60d	83733675-640e-4b6b-931c-987ff5ac7bda	IT_LOAD
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	67f5583f-053e-4d7a-9af8-76352dee9c28	SWITCHGEAR
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	f633c7cb-fa33-4303-9d77-304bd2b8281f	GENERATOR
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	b70c78d3-ea3c-4f3b-b5a7-594506eaedba	PRIMARY_AUXILIARIES
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	7e72c5d0-d3ef-4068-ba76-aea74f163657	UPS
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	902e334f-806c-45ca-8c74-d7c96d76aeb0	CRITICAL_AUXILIARIES
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	534c8058-705c-4d36-be0b-c9c4424b6541	LIGHTING
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	a23028ae-0462-4286-a3ab-f4797f410418	CRITICAL_POWER_DISTRIBUTION
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	5f8d6a3d-5060-4b32-aa4c-8d9b359cbea8	CRAH
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	2e653b8c-cb89-46d7-86c8-193d70bae1cf	CRAC
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	bbb5775b-c3e3-4e33-95e8-508146f9045d	CRAC_WITHOUT_FAN
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	28e116bc-7820-4434-94ac-e5a10217876d	CRAC_FAN
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	e7a8c0fa-2622-4e83-9367-6d3bc64a927e	CHILLER
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	faad50c8-8b32-420b-84d9-5cdabda175e9	AIR_COOLED_CHILLER
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	25e93063-7659-4fc3-bb17-3daebe008217	COOLING_TOWER
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	2b48e31b-6531-4581-b41b-bc2d68e6dc8f	DRY_COOLER
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	59e6ed13-6bd6-41b9-bc99-fe11e0162478	REMOTE_CONDENSER
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	6e03a77f-70e8-4b3f-8708-f334470de49a	CHILLED_WATER_PUMPS
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	46734370-61dc-4716-8aed-7357dc3ff342	HEAT_REJECTION_PUMPS
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	2cd840d7-efcc-41ee-ab17-9ccf832ab2d6	VENTILATION
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	fd6787cc-9fa3-4388-92d7-8c93c94e3ccc	INFILTRATION
6dbc8e6c-6a52-4f54-a787-7fa0570113dd	17974b02-0fef-48a7-81e6-643a03b42c92	IT_LOAD
21b154f2-ff69-4342-94dc-314ce2c80eaa	b1b6bcf7-889b-47b9-b8ab-b98013ae7022	SWITCHGEAR
21b154f2-ff69-4342-94dc-314ce2c80eaa	a585ffdc-8a16-4bba-b85d-d4236a78828c	GENERATOR
21b154f2-ff69-4342-94dc-314ce2c80eaa	b7e1188f-3e09-4b1d-aee9-7ba771b86937	PRIMARY_AUXILIARIES
21b154f2-ff69-4342-94dc-314ce2c80eaa	27caecd8-bf75-44b3-937c-a5ec82d1b9ea	UPS
21b154f2-ff69-4342-94dc-314ce2c80eaa	6a9f9680-53ff-468f-a85b-8edca171d2eb	CRITICAL_AUXILIARIES
21b154f2-ff69-4342-94dc-314ce2c80eaa	8365e28b-49e6-4393-ac6a-12b7e97c4ece	LIGHTING
21b154f2-ff69-4342-94dc-314ce2c80eaa	fe420a35-c857-47dc-b625-cba9bb37dba1	CRITICAL_POWER_DISTRIBUTION
21b154f2-ff69-4342-94dc-314ce2c80eaa	7e4b4556-1c33-4c89-888a-1d12961941af	CRAH
21b154f2-ff69-4342-94dc-314ce2c80eaa	8361db4f-debf-4cab-bd68-f670db1c0c6f	CRAC
21b154f2-ff69-4342-94dc-314ce2c80eaa	ce7d359f-7e9b-4328-8155-2bccbac3430d	CRAC_WITHOUT_FAN
21b154f2-ff69-4342-94dc-314ce2c80eaa	b9907b2f-9058-4c8b-84a7-0510f16e6a10	CRAC_FAN
21b154f2-ff69-4342-94dc-314ce2c80eaa	d42665f6-d3ce-47ae-aee3-686191b95149	CHILLER
21b154f2-ff69-4342-94dc-314ce2c80eaa	41352f74-aa47-4bfc-b14c-74303f9a4b3e	AIR_COOLED_CHILLER
21b154f2-ff69-4342-94dc-314ce2c80eaa	7d91db4f-1a83-47dc-b628-af3dbf38440e	COOLING_TOWER
21b154f2-ff69-4342-94dc-314ce2c80eaa	7e155951-dab4-4424-99d8-195eef30faaf	DRY_COOLER
21b154f2-ff69-4342-94dc-314ce2c80eaa	cd7177fa-ada2-44fb-8aeb-b52dad1d45f8	REMOTE_CONDENSER
21b154f2-ff69-4342-94dc-314ce2c80eaa	3597c659-48b5-42a9-84c4-bc9feb4fd366	CHILLED_WATER_PUMPS
21b154f2-ff69-4342-94dc-314ce2c80eaa	7660dbd7-4b51-44a7-b01b-76240d893a67	HEAT_REJECTION_PUMPS
21b154f2-ff69-4342-94dc-314ce2c80eaa	7bf12956-bf4e-454c-906b-1390641eb694	VENTILATION
21b154f2-ff69-4342-94dc-314ce2c80eaa	1c11c82f-64ef-4b97-960d-49d39faa943f	INFILTRATION
21b154f2-ff69-4342-94dc-314ce2c80eaa	c6282163-d17b-4a30-908c-1c791e965f71	IT_LOAD
7ade7297-b662-4520-b880-f1a2c78d7eed	c5ce2b55-08a4-4e71-9dba-64f340ca0d0d	SWITCHGEAR
7ade7297-b662-4520-b880-f1a2c78d7eed	8707dbdc-f181-4201-99bf-f4b1199e59f5	GENERATOR
7ade7297-b662-4520-b880-f1a2c78d7eed	d0c96b2a-11b4-4328-8954-03f023e0d75c	PRIMARY_AUXILIARIES
7ade7297-b662-4520-b880-f1a2c78d7eed	d572113b-8455-4326-b97c-83db0e40c371	UPS
7ade7297-b662-4520-b880-f1a2c78d7eed	ae1c22d0-9ac6-4026-8c19-d8cf16037c79	CRITICAL_AUXILIARIES
7ade7297-b662-4520-b880-f1a2c78d7eed	7e78bddd-525d-457c-b437-4b665509f1d2	LIGHTING
7ade7297-b662-4520-b880-f1a2c78d7eed	266be7b8-814a-42eb-a688-c1d5afd1d7da	CRITICAL_POWER_DISTRIBUTION
7ade7297-b662-4520-b880-f1a2c78d7eed	e3cb3c58-3ad1-4053-aa40-c117511ea2c4	CRAH
7ade7297-b662-4520-b880-f1a2c78d7eed	17b32643-1c91-4afa-8616-5e4efe6dbe41	CRAC
7ade7297-b662-4520-b880-f1a2c78d7eed	87f9fc73-bfa1-4414-be29-1726820181aa	CRAC_WITHOUT_FAN
7ade7297-b662-4520-b880-f1a2c78d7eed	526e9db1-667c-4ad0-bf13-4e8765b54ed1	CRAC_FAN
7ade7297-b662-4520-b880-f1a2c78d7eed	e9770442-27c2-4d2e-ad09-9ecdbbc97c43	CHILLER
7ade7297-b662-4520-b880-f1a2c78d7eed	212f9ce2-6218-4d05-bb33-b94da724f6a2	AIR_COOLED_CHILLER
7ade7297-b662-4520-b880-f1a2c78d7eed	da2b8f26-90bd-41a9-bf9d-acc945ff33e5	COOLING_TOWER
7ade7297-b662-4520-b880-f1a2c78d7eed	e0cbd413-4ba4-4d5a-8e4f-1a5dc3861f74	DRY_COOLER
7ade7297-b662-4520-b880-f1a2c78d7eed	bfc593a3-fa4e-4110-a0e3-e265a2e510fb	REMOTE_CONDENSER
7ade7297-b662-4520-b880-f1a2c78d7eed	16eb25ab-2b21-43c9-b91f-e1c00fe8b6b4	CHILLED_WATER_PUMPS
7ade7297-b662-4520-b880-f1a2c78d7eed	7370626c-459a-4145-9636-2d3a1550417b	HEAT_REJECTION_PUMPS
7ade7297-b662-4520-b880-f1a2c78d7eed	f0f62b6b-1c3a-430a-91c6-6a96b6ed9f9c	VENTILATION
7ade7297-b662-4520-b880-f1a2c78d7eed	6196ba83-f919-4cdc-9aa9-d5ef6fd4e377	INFILTRATION
7ade7297-b662-4520-b880-f1a2c78d7eed	5b6fa330-21b7-483a-b9fb-02d4e4c27b4f	IT_LOAD
b3eba861-7fde-4994-a976-c53077a17497	ab2f213c-5a5d-4cfe-bbce-62b91ad4c27e	SWITCHGEAR
b3eba861-7fde-4994-a976-c53077a17497	d6443ded-87e5-4b47-8615-e5385b62976d	GENERATOR
b3eba861-7fde-4994-a976-c53077a17497	52487252-eb0f-4d16-a11b-69efeeb0f566	PRIMARY_AUXILIARIES
b3eba861-7fde-4994-a976-c53077a17497	ab64c686-67f6-40a1-8d5c-2b21073cd9f0	UPS
b3eba861-7fde-4994-a976-c53077a17497	9aa79c3e-ec7a-4d03-8ea5-731fdcb27889	CRITICAL_AUXILIARIES
b3eba861-7fde-4994-a976-c53077a17497	ee8a87ab-dc19-4381-a64e-ff9165b003c0	LIGHTING
b3eba861-7fde-4994-a976-c53077a17497	c2fc75b2-c12c-4649-b4de-5e48c2f795b4	CRITICAL_POWER_DISTRIBUTION
b3eba861-7fde-4994-a976-c53077a17497	45bfd360-1705-4487-8185-b167939fe156	CRAH
b3eba861-7fde-4994-a976-c53077a17497	36cc180a-5833-4a8c-8fb6-45db7eda7aa8	CRAC
b3eba861-7fde-4994-a976-c53077a17497	39f26eef-f5fb-43f2-91f4-43d6c739b4a5	CRAC_WITHOUT_FAN
b3eba861-7fde-4994-a976-c53077a17497	5c362cb9-3350-46d2-b5a9-f7d4d6a65552	CRAC_FAN
b3eba861-7fde-4994-a976-c53077a17497	b1d3916f-b1f7-4092-8de9-4b4353b4f8f7	CHILLER
b3eba861-7fde-4994-a976-c53077a17497	25c509ab-cac3-4b1e-aac4-c6101ec333fc	AIR_COOLED_CHILLER
b3eba861-7fde-4994-a976-c53077a17497	3d826dda-b28a-4ba4-b2f5-4b9f2464f0c7	COOLING_TOWER
b3eba861-7fde-4994-a976-c53077a17497	da8efecc-38e5-4e3c-bb31-48f53bc9ec77	DRY_COOLER
b3eba861-7fde-4994-a976-c53077a17497	124f3293-b2b0-4581-9d62-16081e75d6d7	REMOTE_CONDENSER
b3eba861-7fde-4994-a976-c53077a17497	585bc28c-ca43-41f1-87b8-ff0493606eab	CHILLED_WATER_PUMPS
b3eba861-7fde-4994-a976-c53077a17497	883db73d-7758-4bbc-a5e9-8702e61bba14	HEAT_REJECTION_PUMPS
b3eba861-7fde-4994-a976-c53077a17497	58e07bae-2513-4594-a78a-79e3e2efebdd	VENTILATION
b3eba861-7fde-4994-a976-c53077a17497	22260040-9dae-4622-8a63-b29be6c5706b	INFILTRATION
b3eba861-7fde-4994-a976-c53077a17497	df1c775d-3d7f-4e61-a136-9d7de6456722	IT_LOAD
c7d6da4b-7251-44f4-8878-953d8a4b18bc	117e7e76-33fb-44bf-983d-5b05cdda27f2	SWITCHGEAR
c7d6da4b-7251-44f4-8878-953d8a4b18bc	b5472e36-d122-4ec6-ac39-7b5e064c2538	GENERATOR
c7d6da4b-7251-44f4-8878-953d8a4b18bc	747d7bde-17df-459f-bf17-9dfe3820a55c	PRIMARY_AUXILIARIES
c7d6da4b-7251-44f4-8878-953d8a4b18bc	fb8df745-9a87-41a2-a9ca-f2d47a57b5be	UPS
c7d6da4b-7251-44f4-8878-953d8a4b18bc	92c817db-4043-4590-b2f2-71a612aca2d4	CRITICAL_AUXILIARIES
c7d6da4b-7251-44f4-8878-953d8a4b18bc	a2a8e48c-9332-4b16-add9-3688506f98e8	LIGHTING
c7d6da4b-7251-44f4-8878-953d8a4b18bc	beb99bbc-ea97-46c6-8b81-b6e8f5ada667	CRITICAL_POWER_DISTRIBUTION
c7d6da4b-7251-44f4-8878-953d8a4b18bc	e5013020-9e40-40b1-bd48-a8189587f951	CRAH
c7d6da4b-7251-44f4-8878-953d8a4b18bc	d6589284-69bf-4869-a7b1-d7fa89309931	CRAC
c7d6da4b-7251-44f4-8878-953d8a4b18bc	8c1356fb-944f-4244-9394-ca3ac3a12bbd	CRAC_WITHOUT_FAN
c7d6da4b-7251-44f4-8878-953d8a4b18bc	635adb1f-89e4-4bf1-a364-d7f8fb433b5e	CRAC_FAN
c7d6da4b-7251-44f4-8878-953d8a4b18bc	d4faf6a7-6b34-4a3b-9bbe-cccc3d320075	CHILLER
c7d6da4b-7251-44f4-8878-953d8a4b18bc	9c33be21-c138-45f6-a832-98e037749d1b	AIR_COOLED_CHILLER
c7d6da4b-7251-44f4-8878-953d8a4b18bc	4cf179fc-6e95-4d61-9122-1736b2796172	COOLING_TOWER
c7d6da4b-7251-44f4-8878-953d8a4b18bc	cf947356-b3b0-4fa6-8220-3b03acf41cb2	DRY_COOLER
c7d6da4b-7251-44f4-8878-953d8a4b18bc	947274b7-42f0-4d96-98cb-932304ed8c98	REMOTE_CONDENSER
c7d6da4b-7251-44f4-8878-953d8a4b18bc	415af4d2-f064-42f7-be70-05f4b7e68238	CHILLED_WATER_PUMPS
c7d6da4b-7251-44f4-8878-953d8a4b18bc	c6be0634-feb3-4af2-b78f-b189d65f40c1	HEAT_REJECTION_PUMPS
c7d6da4b-7251-44f4-8878-953d8a4b18bc	c62c413c-c9da-400d-af83-5f34c8a2aca5	VENTILATION
c7d6da4b-7251-44f4-8878-953d8a4b18bc	8bfe4a06-086c-44bf-8653-e0540275ef6a	INFILTRATION
c7d6da4b-7251-44f4-8878-953d8a4b18bc	e4b176d6-4245-459c-8909-26a2adf460b1	IT_LOAD
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	cf29951a-e0d7-42b2-8c26-8ef583ae8286	SWITCHGEAR
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	91f83bdf-f4a6-40a4-8fc8-dbb5ae0e81fa	GENERATOR
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	7ed3ccfd-210d-4be5-b0ab-c19c089fa14c	PRIMARY_AUXILIARIES
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	3fbeefec-287d-45bf-be01-d000b35ddead	UPS
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	d8ced2ca-bc44-47d9-aaa7-5329481c1216	CRITICAL_AUXILIARIES
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	dc5e244e-ee4d-4572-a9c0-f205dd44ec39	LIGHTING
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	45f0f99d-b030-45a9-83ef-504229b7ccdb	CRITICAL_POWER_DISTRIBUTION
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	017f2260-02ca-482c-a766-8be3a8d5ce07	CRAH
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	bcb1f84a-4c09-4319-89fc-78ba833e0ff5	CRAC
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	67131c7c-1f07-4899-beb1-1d5e591f9bef	CRAC_WITHOUT_FAN
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	3da31bf7-d9d6-413d-8cd1-a6807ede3901	CRAC_FAN
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	8867b00a-9234-4c1b-ba6d-7936ba17d907	CHILLER
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	5396053a-d397-40c9-beb1-25ae850ab896	AIR_COOLED_CHILLER
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	5efddda1-6c5d-46e6-8318-926933fe3441	COOLING_TOWER
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	866bde58-f7c5-4959-abe5-e07477394610	DRY_COOLER
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	c2c33306-250a-4221-9e12-db01f0aed0c2	REMOTE_CONDENSER
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	49bd3e50-20f6-44b6-93f9-eab30bc597da	CHILLED_WATER_PUMPS
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	741e8a95-7234-49ba-81eb-58c29e7077ab	HEAT_REJECTION_PUMPS
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	27f0ce17-e7eb-4e4f-b657-e9b2be93d7f0	VENTILATION
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	5bc5ce65-8e1f-4e1d-a84e-a44b3c576d88	INFILTRATION
0fee4d97-8f7d-46c8-8bd9-facd6d727ed7	f73c5ad5-03b6-4e26-ab9c-57956e9a4527	IT_LOAD
3aff2283-3c1a-4f54-812f-9237292e6a05	0e937a75-dca1-4ece-867c-91d16627cc99	SWITCHGEAR
3aff2283-3c1a-4f54-812f-9237292e6a05	0506a404-5df2-4f24-80e7-ffd7aad5c1dd	GENERATOR
3aff2283-3c1a-4f54-812f-9237292e6a05	c650dd8e-c3c4-404c-8106-b86f90e1074d	PRIMARY_AUXILIARIES
3aff2283-3c1a-4f54-812f-9237292e6a05	56926305-1969-41af-bc32-189225656fc6	UPS
3aff2283-3c1a-4f54-812f-9237292e6a05	79316bbc-8fca-435d-a05e-eb23f5b51b2a	CRITICAL_AUXILIARIES
3aff2283-3c1a-4f54-812f-9237292e6a05	961b8b6c-d62b-494b-97e7-390c2c117d93	LIGHTING
3aff2283-3c1a-4f54-812f-9237292e6a05	f30cd97b-14b2-4cfb-b932-abf09a14f635	CRITICAL_POWER_DISTRIBUTION
3aff2283-3c1a-4f54-812f-9237292e6a05	b9f35e67-c206-4d61-94f0-e5ee525eeace	CRAH
3aff2283-3c1a-4f54-812f-9237292e6a05	213cb973-609d-439e-b210-4056e4ccc301	CRAC
3aff2283-3c1a-4f54-812f-9237292e6a05	bbb71ff1-fb73-414a-93e2-a94b332fbf70	CRAC_WITHOUT_FAN
3aff2283-3c1a-4f54-812f-9237292e6a05	c7426903-a664-474f-81d3-6fbe93423128	CRAC_FAN
3aff2283-3c1a-4f54-812f-9237292e6a05	9c1b9637-ef0f-4be4-b5ae-2292de6125ca	CHILLER
3aff2283-3c1a-4f54-812f-9237292e6a05	c66d15f4-ad30-4cdf-9de1-6ec003425b7d	AIR_COOLED_CHILLER
3aff2283-3c1a-4f54-812f-9237292e6a05	6c1a5968-2134-45e2-808b-3d53a0b8dc95	COOLING_TOWER
3aff2283-3c1a-4f54-812f-9237292e6a05	0982e764-ce05-4029-a613-28f9e6bd130c	DRY_COOLER
3aff2283-3c1a-4f54-812f-9237292e6a05	67528582-6a2c-41f0-b70f-d0580803bbcf	REMOTE_CONDENSER
3aff2283-3c1a-4f54-812f-9237292e6a05	9146bfa6-ff8d-4bf3-8a35-dea8809be556	CHILLED_WATER_PUMPS
3aff2283-3c1a-4f54-812f-9237292e6a05	6ae30888-f86b-4c92-bba4-2801a753fd6b	HEAT_REJECTION_PUMPS
3aff2283-3c1a-4f54-812f-9237292e6a05	cf2e6c5d-4d1f-4878-805d-0c43d87f0acf	VENTILATION
3aff2283-3c1a-4f54-812f-9237292e6a05	46e99b6c-2fec-423f-a4ab-00b1ea2e84c7	INFILTRATION
3aff2283-3c1a-4f54-812f-9237292e6a05	9b10bee7-096a-4761-a6e2-fef3a074a417	IT_LOAD
c7436be0-4a74-4342-a0c6-80036abe9eda	3685fe3a-d17f-4513-b7a9-32fa0c0c368e	SWITCHGEAR
c7436be0-4a74-4342-a0c6-80036abe9eda	ffee02c3-d0ac-4d6a-b28f-95e364a69440	GENERATOR
c7436be0-4a74-4342-a0c6-80036abe9eda	5883532e-3881-41c9-861e-2f7e255b4b99	PRIMARY_AUXILIARIES
c7436be0-4a74-4342-a0c6-80036abe9eda	e7d7328a-7ac7-4f6b-9a4e-880df4344d6b	UPS
c7436be0-4a74-4342-a0c6-80036abe9eda	074057ff-d4cd-4c89-b6a0-d2a88bd2700f	CRITICAL_AUXILIARIES
c7436be0-4a74-4342-a0c6-80036abe9eda	efc5c90a-430e-4a06-9955-0a400dd613c6	LIGHTING
c7436be0-4a74-4342-a0c6-80036abe9eda	f6f272ee-6505-4961-b79b-cda5109afd2b	CRITICAL_POWER_DISTRIBUTION
c7436be0-4a74-4342-a0c6-80036abe9eda	3e889947-b67e-4fa0-b153-548ddc3c8629	CRAH
c7436be0-4a74-4342-a0c6-80036abe9eda	7fb74104-bdee-420d-b039-8a7dcf3e24cb	CRAC
c7436be0-4a74-4342-a0c6-80036abe9eda	87c7c403-c73e-4f60-bf5e-d52723be724c	CRAC_WITHOUT_FAN
c7436be0-4a74-4342-a0c6-80036abe9eda	bb6a8d9a-7dff-42ad-b3e1-49d29971cdf5	CRAC_FAN
c7436be0-4a74-4342-a0c6-80036abe9eda	01c7a37a-5566-405c-a292-b10ee9781cf1	CHILLER
c7436be0-4a74-4342-a0c6-80036abe9eda	d613d2a5-b776-4372-a540-35fd4d6e7d09	AIR_COOLED_CHILLER
c7436be0-4a74-4342-a0c6-80036abe9eda	e5b366f8-39d9-4335-b1de-c77cbdf4ea77	COOLING_TOWER
c7436be0-4a74-4342-a0c6-80036abe9eda	86db789a-9e12-4845-895b-8e70ae7aa889	DRY_COOLER
c7436be0-4a74-4342-a0c6-80036abe9eda	b310a4a4-5009-4de6-b00f-d66c7d52a215	REMOTE_CONDENSER
c7436be0-4a74-4342-a0c6-80036abe9eda	86333178-37b2-4301-a62b-db8916c9b831	CHILLED_WATER_PUMPS
c7436be0-4a74-4342-a0c6-80036abe9eda	17a296c5-9629-4ac0-922c-4ed3bdb987ac	HEAT_REJECTION_PUMPS
c7436be0-4a74-4342-a0c6-80036abe9eda	ce7703b9-d70e-4d98-9a68-eb9d33911fba	VENTILATION
c7436be0-4a74-4342-a0c6-80036abe9eda	f8bf89a7-bb26-40d4-86f0-d56bd7e44e88	INFILTRATION
c7436be0-4a74-4342-a0c6-80036abe9eda	177f02f9-2188-45b3-967e-24028f1ed2be	IT_LOAD
131b0526-ae76-454b-b088-b5f0ce0af526	c0ee93b5-1de7-4b27-9ac4-07679f557e9d	SWITCHGEAR
131b0526-ae76-454b-b088-b5f0ce0af526	e10fe7ee-ea72-4e7b-bb68-5e720d41b5bd	GENERATOR
131b0526-ae76-454b-b088-b5f0ce0af526	0aaefb05-7177-414d-8a65-b7dddd6346ca	PRIMARY_AUXILIARIES
131b0526-ae76-454b-b088-b5f0ce0af526	0c9cd459-8303-4b58-b56b-813824e8075a	UPS
131b0526-ae76-454b-b088-b5f0ce0af526	a5591ab6-75bb-4c59-8a4d-96e0da49a5f8	CRITICAL_AUXILIARIES
131b0526-ae76-454b-b088-b5f0ce0af526	887e974e-86da-4af0-aa64-a4cc438227ed	LIGHTING
131b0526-ae76-454b-b088-b5f0ce0af526	fb13fc4c-a9af-4f43-a9cc-bfc324bcdaed	CRITICAL_POWER_DISTRIBUTION
131b0526-ae76-454b-b088-b5f0ce0af526	3e7f0ce0-834e-411a-b99c-916936d666e5	CRAH
131b0526-ae76-454b-b088-b5f0ce0af526	0b8f9ec5-3afc-4ce6-a505-aa779e93dd50	CRAC
131b0526-ae76-454b-b088-b5f0ce0af526	bf877822-0aec-481e-859e-55715217a97e	CRAC_WITHOUT_FAN
131b0526-ae76-454b-b088-b5f0ce0af526	1bd43507-577a-4b58-86c0-dcd30ea4b47b	CRAC_FAN
131b0526-ae76-454b-b088-b5f0ce0af526	36be90f2-ac75-44b3-998e-8d2576a15288	CHILLER
131b0526-ae76-454b-b088-b5f0ce0af526	e7cd9fcd-a85f-4cfd-944d-391cf571c3e9	AIR_COOLED_CHILLER
131b0526-ae76-454b-b088-b5f0ce0af526	75bd0dfd-304f-4c29-9719-efdc5083fd9e	COOLING_TOWER
131b0526-ae76-454b-b088-b5f0ce0af526	9de27563-2e25-4b37-adc4-42bdef2fa298	DRY_COOLER
131b0526-ae76-454b-b088-b5f0ce0af526	aa884e08-dc7f-4a7e-af0d-4a484807580f	REMOTE_CONDENSER
131b0526-ae76-454b-b088-b5f0ce0af526	644dbc6c-f4fb-4f64-b51d-32464b6aab62	CHILLED_WATER_PUMPS
131b0526-ae76-454b-b088-b5f0ce0af526	d36a7327-3832-4bc6-9091-8cb2e46623d9	HEAT_REJECTION_PUMPS
131b0526-ae76-454b-b088-b5f0ce0af526	c70ff1f7-faa9-4c71-8def-544013c8addf	VENTILATION
131b0526-ae76-454b-b088-b5f0ce0af526	bd4d4434-55a0-488a-89ac-3a3ddc8bfcf6	INFILTRATION
131b0526-ae76-454b-b088-b5f0ce0af526	152ee90c-c49b-4479-9d3c-9557214d1a47	IT_LOAD
f07cb780-287b-416d-b67e-0bbdc543605a	30852b47-389d-47fd-9d1d-beb5997f2e15	SWITCHGEAR
f07cb780-287b-416d-b67e-0bbdc543605a	d3ada0dd-4388-4fd6-b78a-4e955961492d	GENERATOR
f07cb780-287b-416d-b67e-0bbdc543605a	a163d1d0-3c1c-482c-b960-8fbc026764ee	PRIMARY_AUXILIARIES
f07cb780-287b-416d-b67e-0bbdc543605a	a7a37f24-a477-4536-8347-e5014d1255a4	UPS
f07cb780-287b-416d-b67e-0bbdc543605a	089ca24c-1f29-472e-b997-2604c3f67287	CRITICAL_AUXILIARIES
f07cb780-287b-416d-b67e-0bbdc543605a	76da9807-f9e8-4a40-bf78-01c7ea61da2a	LIGHTING
f07cb780-287b-416d-b67e-0bbdc543605a	85ce6e1a-1fc5-4884-a1e7-64feb3f0765a	CRITICAL_POWER_DISTRIBUTION
f07cb780-287b-416d-b67e-0bbdc543605a	c69d88f7-ecf9-43d2-ae1a-5b8dadfa5268	CRAH
f07cb780-287b-416d-b67e-0bbdc543605a	0c8968b2-0317-4d6e-9d0e-64f7cb7b9e7d	CRAC
f07cb780-287b-416d-b67e-0bbdc543605a	7d2f8e74-44e3-43b8-90a4-b07e8358a2f0	CRAC_WITHOUT_FAN
f07cb780-287b-416d-b67e-0bbdc543605a	1f54551a-21d4-4ac0-aab7-73fa0a6ea732	CRAC_FAN
f07cb780-287b-416d-b67e-0bbdc543605a	cd30e6c3-12f6-4d67-98ae-e04cdcdc8d20	CHILLER
f07cb780-287b-416d-b67e-0bbdc543605a	5bfb883f-00be-41a3-8280-3dba6b45caed	AIR_COOLED_CHILLER
f07cb780-287b-416d-b67e-0bbdc543605a	86113207-26fe-4490-9e08-6afd47ff8a5e	COOLING_TOWER
f07cb780-287b-416d-b67e-0bbdc543605a	0c82f371-a971-48c9-b31b-3e630076ee7d	DRY_COOLER
f07cb780-287b-416d-b67e-0bbdc543605a	72906f5c-bfc7-489e-ac5c-3c51741ef67e	REMOTE_CONDENSER
f07cb780-287b-416d-b67e-0bbdc543605a	4d4c4e40-dab6-4a88-aedf-da3a8b48d38c	CHILLED_WATER_PUMPS
f07cb780-287b-416d-b67e-0bbdc543605a	8f625156-0110-46cf-87d2-2df3840be7dc	HEAT_REJECTION_PUMPS
f07cb780-287b-416d-b67e-0bbdc543605a	7cd87772-dad2-4266-8891-04699bd7d963	VENTILATION
f07cb780-287b-416d-b67e-0bbdc543605a	60602a9a-3969-4229-a933-201273ea47bb	INFILTRATION
f07cb780-287b-416d-b67e-0bbdc543605a	4dbd2790-2b3c-4053-8c27-fc76ddf89bc8	IT_LOAD
9ed88220-7aac-4fb0-8018-2008e3c63c13	58aa38f7-31e4-4a4e-9956-ca2732cd1d1e	SWITCHGEAR
9ed88220-7aac-4fb0-8018-2008e3c63c13	393798fc-e997-4435-81a0-5df6a9218cb6	GENERATOR
9ed88220-7aac-4fb0-8018-2008e3c63c13	41d55ee3-e63b-4d55-aa3a-bf50d1a93653	PRIMARY_AUXILIARIES
9ed88220-7aac-4fb0-8018-2008e3c63c13	68e88c3a-196c-4f1d-bd65-3e358a226f05	UPS
9ed88220-7aac-4fb0-8018-2008e3c63c13	89b90338-cefb-43f2-af1e-7acfba210266	CRITICAL_AUXILIARIES
9ed88220-7aac-4fb0-8018-2008e3c63c13	b4d928f5-d585-49a0-ba61-a6b1803d6880	LIGHTING
9ed88220-7aac-4fb0-8018-2008e3c63c13	3d9ef38c-d661-4538-a068-39cc9b513623	CRITICAL_POWER_DISTRIBUTION
9ed88220-7aac-4fb0-8018-2008e3c63c13	fb502a85-8825-4418-88a0-ff7bd3e58097	CRAH
9ed88220-7aac-4fb0-8018-2008e3c63c13	ab2b9d6a-1c4a-4fba-8965-3dd469bbbce6	CRAC
9ed88220-7aac-4fb0-8018-2008e3c63c13	dae4f8f7-235f-4a11-991a-4bb009b0beb7	CRAC_WITHOUT_FAN
9ed88220-7aac-4fb0-8018-2008e3c63c13	0939aa1e-8c31-42b9-8560-0ef447bdbf96	CRAC_FAN
9ed88220-7aac-4fb0-8018-2008e3c63c13	7c3940db-0674-4514-8100-92c3971c2ff3	CHILLER
9ed88220-7aac-4fb0-8018-2008e3c63c13	16d1d4f2-2460-4fef-8e86-cdb1b7fc7c0d	AIR_COOLED_CHILLER
9ed88220-7aac-4fb0-8018-2008e3c63c13	f6684430-5949-4b45-a437-7c163a7a3ddb	COOLING_TOWER
9ed88220-7aac-4fb0-8018-2008e3c63c13	b014e3fb-a969-4aa5-852d-350730e192dc	DRY_COOLER
9ed88220-7aac-4fb0-8018-2008e3c63c13	b4f88de7-9705-4931-b937-f14a5084b583	REMOTE_CONDENSER
9ed88220-7aac-4fb0-8018-2008e3c63c13	111014d6-e864-4676-b592-ae67b54194b9	CHILLED_WATER_PUMPS
9ed88220-7aac-4fb0-8018-2008e3c63c13	07761cc7-14d6-4a40-8f5b-5b9cab04cd71	HEAT_REJECTION_PUMPS
9ed88220-7aac-4fb0-8018-2008e3c63c13	e499d14b-3835-4edd-b3e4-c40a1e2ca9d6	VENTILATION
9ed88220-7aac-4fb0-8018-2008e3c63c13	84191d93-7ada-4a59-a7c0-4ac7b1e2f036	INFILTRATION
9ed88220-7aac-4fb0-8018-2008e3c63c13	6f628e73-da48-431d-8006-899e76be231b	IT_LOAD
d0b8d7e1-896a-4e08-8255-642ca412ea3d	b7154e2b-e165-4e0d-b81a-b61c537c34ee	SWITCHGEAR
d0b8d7e1-896a-4e08-8255-642ca412ea3d	d0b9f1d5-69d2-4265-8765-8cfe12f2af48	GENERATOR
d0b8d7e1-896a-4e08-8255-642ca412ea3d	d0d53730-35c5-4a98-83da-b62687d4cea5	PRIMARY_AUXILIARIES
d0b8d7e1-896a-4e08-8255-642ca412ea3d	aef69d3c-dda4-4f05-8de5-3a3462e41929	UPS
d0b8d7e1-896a-4e08-8255-642ca412ea3d	dfbc6da9-32c6-43fd-8352-105749e17db5	CRITICAL_AUXILIARIES
d0b8d7e1-896a-4e08-8255-642ca412ea3d	88b14e37-156c-4b0d-a5af-957dba42d22e	LIGHTING
d0b8d7e1-896a-4e08-8255-642ca412ea3d	1ad0c8b8-020a-46f5-af2c-875f002b4b00	CRITICAL_POWER_DISTRIBUTION
d0b8d7e1-896a-4e08-8255-642ca412ea3d	7d041db0-497f-4e2f-a4de-a442d012cf02	CRAH
d0b8d7e1-896a-4e08-8255-642ca412ea3d	d1a9a324-a432-488e-b70c-55fd1de747d5	CRAC
d0b8d7e1-896a-4e08-8255-642ca412ea3d	c85f4b2f-c479-41bd-aeec-3b485546e62b	CRAC_WITHOUT_FAN
d0b8d7e1-896a-4e08-8255-642ca412ea3d	4d390beb-b55a-4e63-a724-a1902cc2638e	CRAC_FAN
d0b8d7e1-896a-4e08-8255-642ca412ea3d	ff727382-caa5-473e-a923-4d07892c4beb	CHILLER
d0b8d7e1-896a-4e08-8255-642ca412ea3d	b7f71efa-da6b-4827-95dc-e53d709614dd	AIR_COOLED_CHILLER
d0b8d7e1-896a-4e08-8255-642ca412ea3d	f832b0db-1e7a-4d41-bb13-78981c49c7b0	COOLING_TOWER
d0b8d7e1-896a-4e08-8255-642ca412ea3d	0f51f769-a647-4e77-8c73-1688a2d2b717	DRY_COOLER
d0b8d7e1-896a-4e08-8255-642ca412ea3d	25c23b28-2e21-4132-9468-7eb8c29197ac	REMOTE_CONDENSER
d0b8d7e1-896a-4e08-8255-642ca412ea3d	f9b9f01d-f9a7-4fa5-889a-b37c23ce2c43	CHILLED_WATER_PUMPS
d0b8d7e1-896a-4e08-8255-642ca412ea3d	81e7862e-8593-4162-9169-d720c2c9ce72	HEAT_REJECTION_PUMPS
d0b8d7e1-896a-4e08-8255-642ca412ea3d	70a04d1f-87f4-4007-a1df-77c4222a9eef	VENTILATION
d0b8d7e1-896a-4e08-8255-642ca412ea3d	b07c699d-0ce3-4c65-83b7-74620367a090	INFILTRATION
d0b8d7e1-896a-4e08-8255-642ca412ea3d	beda31b1-4433-4d93-ade4-d4702af398d3	IT_LOAD
50b2018b-f759-401f-97a1-f6561e7c3489	2a863e97-9100-4e37-b4f3-f7eebee23133	SWITCHGEAR
50b2018b-f759-401f-97a1-f6561e7c3489	81e47b30-fb80-4b1b-a968-5b9af1643840	GENERATOR
50b2018b-f759-401f-97a1-f6561e7c3489	7fd2e338-2370-43e9-a7ed-0a3914508e49	PRIMARY_AUXILIARIES
50b2018b-f759-401f-97a1-f6561e7c3489	909fe2c7-99bb-430c-8b5d-c01893ee76ee	UPS
50b2018b-f759-401f-97a1-f6561e7c3489	1b02f741-87fe-4694-96d1-69365ed15748	CRITICAL_AUXILIARIES
50b2018b-f759-401f-97a1-f6561e7c3489	aa17de1c-d67a-4f29-98d3-5220263a54bc	LIGHTING
50b2018b-f759-401f-97a1-f6561e7c3489	b9958546-20c7-48d6-aafb-b2a6953a6276	CRITICAL_POWER_DISTRIBUTION
50b2018b-f759-401f-97a1-f6561e7c3489	b4a4be6a-718e-439c-bcee-90f84c60882e	CRAH
50b2018b-f759-401f-97a1-f6561e7c3489	44b861c7-9588-45c4-982f-f9c116482b04	CRAC
50b2018b-f759-401f-97a1-f6561e7c3489	d18e827f-51fe-4f6c-b2a2-b90218878112	CRAC_WITHOUT_FAN
50b2018b-f759-401f-97a1-f6561e7c3489	dd7e9d6e-1f44-4b0f-afe9-47460e3375a9	CRAC_FAN
50b2018b-f759-401f-97a1-f6561e7c3489	0c0b563a-ee49-42e0-a802-16ff7f166318	CHILLER
50b2018b-f759-401f-97a1-f6561e7c3489	1250482e-bac3-4c02-8f42-c06dac6ed81d	AIR_COOLED_CHILLER
50b2018b-f759-401f-97a1-f6561e7c3489	c1b1ba2a-922f-499b-bbc9-6d436d805e6a	COOLING_TOWER
50b2018b-f759-401f-97a1-f6561e7c3489	2912daa6-e54d-4baa-be69-de3c88f56236	DRY_COOLER
50b2018b-f759-401f-97a1-f6561e7c3489	76e60ad3-3568-4be3-ab57-55e0d11557fa	REMOTE_CONDENSER
50b2018b-f759-401f-97a1-f6561e7c3489	7ff8d7ff-527a-4abc-9214-d0fac8414f2d	CHILLED_WATER_PUMPS
50b2018b-f759-401f-97a1-f6561e7c3489	5821e3bd-982d-400a-ba46-420fdcbd8ca6	HEAT_REJECTION_PUMPS
50b2018b-f759-401f-97a1-f6561e7c3489	5f13786e-db73-4ef1-977b-9d50e700469f	VENTILATION
50b2018b-f759-401f-97a1-f6561e7c3489	41ad8f43-7818-41ad-8eac-7dfcb388e8c9	INFILTRATION
50b2018b-f759-401f-97a1-f6561e7c3489	48b0ad28-5579-431d-8105-cb70d2af0320	IT_LOAD
e81bf804-b0cf-41d1-9dc7-160fb419b584	0dde4503-e3fa-42e8-8012-64b21301bb9f	SWITCHGEAR
e81bf804-b0cf-41d1-9dc7-160fb419b584	8ef3d977-ad3b-4e41-8640-e08212f0b51a	GENERATOR
e81bf804-b0cf-41d1-9dc7-160fb419b584	c48ac19b-f6c1-493c-a239-159ee3c4fe39	PRIMARY_AUXILIARIES
e81bf804-b0cf-41d1-9dc7-160fb419b584	e541b608-3881-4b2a-b3c9-abfe362e9a80	UPS
e81bf804-b0cf-41d1-9dc7-160fb419b584	0fa0b579-1e74-457a-a24b-ce4468ecddfc	CRITICAL_AUXILIARIES
e81bf804-b0cf-41d1-9dc7-160fb419b584	1b19b016-4a2d-434e-bed6-951d1f7b3ae1	LIGHTING
e81bf804-b0cf-41d1-9dc7-160fb419b584	9d9c9346-ab1d-46a5-9932-a07b28072beb	CRITICAL_POWER_DISTRIBUTION
e81bf804-b0cf-41d1-9dc7-160fb419b584	c2d12fe7-e019-4ac0-9c75-d16c59419d0d	CRAH
e81bf804-b0cf-41d1-9dc7-160fb419b584	8e50efde-1963-4b18-8f09-efcb51f493aa	CRAC
e81bf804-b0cf-41d1-9dc7-160fb419b584	65e64c26-408d-4d5d-8739-06286e92d78f	CRAC_WITHOUT_FAN
e81bf804-b0cf-41d1-9dc7-160fb419b584	4f18eabd-f662-4ef9-957d-47ba9e0c47fc	CRAC_FAN
e81bf804-b0cf-41d1-9dc7-160fb419b584	38fb6439-c15e-410d-a267-e2a1a7bed727	CHILLER
e81bf804-b0cf-41d1-9dc7-160fb419b584	8c009f4f-19ee-4e7f-a4cc-86358b78d307	AIR_COOLED_CHILLER
e81bf804-b0cf-41d1-9dc7-160fb419b584	615f4094-c0dc-4f24-b384-c080401b49ab	COOLING_TOWER
e81bf804-b0cf-41d1-9dc7-160fb419b584	a3446637-7788-460e-b111-e0a6f75adcc7	DRY_COOLER
e81bf804-b0cf-41d1-9dc7-160fb419b584	86826d29-912a-40a1-b5de-09c95f59d937	REMOTE_CONDENSER
e81bf804-b0cf-41d1-9dc7-160fb419b584	1d90957d-565b-498d-9c38-52d3c5c88430	CHILLED_WATER_PUMPS
e81bf804-b0cf-41d1-9dc7-160fb419b584	4b51d732-aa9c-45b3-a049-691b50e89e8a	HEAT_REJECTION_PUMPS
e81bf804-b0cf-41d1-9dc7-160fb419b584	b3d09aad-a9a1-4290-a786-a01544d981ac	VENTILATION
e81bf804-b0cf-41d1-9dc7-160fb419b584	c8fb2aca-04d8-4db7-9816-b6691f23e872	INFILTRATION
e81bf804-b0cf-41d1-9dc7-160fb419b584	21b56446-9279-4e95-9d9a-b0dbe55af5d7	IT_LOAD
1ca7703e-306f-419e-a386-a32776a2c86a	af63b59e-2ef3-4da4-a492-c4120c7cbe0c	SWITCHGEAR
1ca7703e-306f-419e-a386-a32776a2c86a	8f9bd2b7-c116-470d-b1be-1a949986632a	GENERATOR
1ca7703e-306f-419e-a386-a32776a2c86a	e381028e-bdcc-4f9b-9901-623220eacd4e	PRIMARY_AUXILIARIES
1ca7703e-306f-419e-a386-a32776a2c86a	b660f5ca-79f0-44ae-be0a-279de992f7a5	UPS
1ca7703e-306f-419e-a386-a32776a2c86a	8fc3aa83-e46f-47a5-8a56-3aef01baddfa	CRITICAL_AUXILIARIES
1ca7703e-306f-419e-a386-a32776a2c86a	dffac643-dd76-4dcb-ab1f-768545a548e9	LIGHTING
1ca7703e-306f-419e-a386-a32776a2c86a	bec2862c-f8eb-4510-a3e1-e370efaba6bc	CRITICAL_POWER_DISTRIBUTION
1ca7703e-306f-419e-a386-a32776a2c86a	c0c2d58c-811d-4e18-ac7d-a803eb725bd7	CRAH
1ca7703e-306f-419e-a386-a32776a2c86a	a94f895c-f7fd-4d2b-afd4-85c206ffcfd8	CRAC
1ca7703e-306f-419e-a386-a32776a2c86a	c522f6bd-814a-4a1e-ab62-2d193ad97660	CRAC_WITHOUT_FAN
1ca7703e-306f-419e-a386-a32776a2c86a	f429358d-1152-4519-87ee-33084d094ad1	CRAC_FAN
1ca7703e-306f-419e-a386-a32776a2c86a	534d2a9e-efbc-4d9b-a842-3ff938690017	CHILLER
1ca7703e-306f-419e-a386-a32776a2c86a	25f746a4-7cf8-42ae-ac58-17fa690db4c0	AIR_COOLED_CHILLER
1ca7703e-306f-419e-a386-a32776a2c86a	0fba073e-aac2-4542-a3c6-7f4d14c836e7	COOLING_TOWER
1ca7703e-306f-419e-a386-a32776a2c86a	80765166-102a-4b98-81a5-e9c853912fc0	DRY_COOLER
1ca7703e-306f-419e-a386-a32776a2c86a	d74b6deb-dde8-4313-b448-c3b0baf73223	REMOTE_CONDENSER
1ca7703e-306f-419e-a386-a32776a2c86a	452618f2-10d9-4944-b216-f9f46e27aad7	CHILLED_WATER_PUMPS
1ca7703e-306f-419e-a386-a32776a2c86a	f9e19858-bdb1-4665-badd-ce563fbfd9a2	HEAT_REJECTION_PUMPS
1ca7703e-306f-419e-a386-a32776a2c86a	41f25b0d-c011-4627-be18-50af1341f4e5	VENTILATION
1ca7703e-306f-419e-a386-a32776a2c86a	2dae1d9a-fd18-4869-92eb-091fb9bebd5d	INFILTRATION
1ca7703e-306f-419e-a386-a32776a2c86a	05e0abf9-5737-4378-9acd-3b1d68888876	IT_LOAD
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	cb2e91f4-4178-4993-8c71-c911ffd67459	SWITCHGEAR
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	685a1621-55ea-4ea0-bbc9-be6cd8d0dabe	GENERATOR
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	302c034d-25b7-4743-a2da-85ffebee1a57	PRIMARY_AUXILIARIES
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	b6255954-26e1-4818-a652-ca4e8b016767	UPS
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	a2482dfe-71f3-441e-ad68-e681480d8c03	CRITICAL_AUXILIARIES
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	79faf6b9-1f9f-4470-8fa5-13adb44393f9	LIGHTING
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	e04c7351-afa7-4263-bd87-c71eec550540	CRITICAL_POWER_DISTRIBUTION
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	fff9ee5c-ded7-4547-97ae-fa42c390cc23	CRAH
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	5f9a142b-d03d-4587-83d9-cf92b451af7e	CRAC
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	ca51583f-0a22-4d46-ba98-71cd53ce9a7d	CRAC_WITHOUT_FAN
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	d1a3a46a-27b0-4ecb-b919-8a3c037408b9	CRAC_FAN
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	89a39c3f-74e3-4d80-b093-ca7957151641	CHILLER
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	8f3b411d-76d7-4c80-935f-a3bba4226d7e	AIR_COOLED_CHILLER
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	0f5fcfe7-7cb7-4a18-a161-a96a3a3fd327	COOLING_TOWER
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	8811f956-c886-41d4-9aa5-8609089166c1	DRY_COOLER
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	7b54a0bc-3cd5-43f8-b997-474f372f0bb5	REMOTE_CONDENSER
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	f0033f84-2c05-41e2-a721-76b1f655404c	CHILLED_WATER_PUMPS
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	1ade962c-875c-450a-a117-d9a2aff66b63	HEAT_REJECTION_PUMPS
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	30c1a53d-d5a2-4c17-b17b-6c5ac2e7d3cc	VENTILATION
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	ef5e298f-b326-4e23-bf3c-87c68b9c1308	INFILTRATION
14635ec3-5946-4f7a-91ec-0a1b0ddbd598	5d883018-ce88-43ec-80ae-1034a53f480b	IT_LOAD
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	cf9faca7-1cfb-4521-9c70-19a4a4f1aece	SWITCHGEAR
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	9cbe84c9-e7c9-473c-a9b3-aa438b0dca7e	GENERATOR
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	866468c9-a059-49ec-978f-f0670789bf22	PRIMARY_AUXILIARIES
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	5396e2a4-a0f2-4f42-9f15-26c384f38daa	UPS
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	e775ef1f-99bd-46f5-a09c-d1e3e6cfa8c4	CRITICAL_AUXILIARIES
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	40e92cef-4310-4c75-abdd-225335eab555	LIGHTING
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	7380f93d-5c15-46c9-9445-bb66bdd50e58	CRITICAL_POWER_DISTRIBUTION
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	7cc8ef82-5512-404d-babf-c4f5f3f43afa	CRAH
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	638767cc-f695-46eb-a663-9ad46a0b013c	CRAC
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	693916ad-02fc-4c03-a9d9-60980e3ddb8b	CRAC_WITHOUT_FAN
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	9f49a636-a9fe-42ef-b0af-d9e499fa07cb	CRAC_FAN
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	d2f590fa-976f-4cdf-82a1-fa32e3523f72	CHILLER
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	7a8d9528-8c8e-4991-9796-6ec6bd291eaa	AIR_COOLED_CHILLER
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	d9bea318-8cb5-47cb-adaf-fe6df018db1c	COOLING_TOWER
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	401517be-db3d-46d9-a2be-f270fedc9e2a	DRY_COOLER
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	95c1fe3e-a085-4eb1-b918-ce4a71492d03	REMOTE_CONDENSER
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	f250ae42-db3e-4376-9390-8e6d054886c0	CHILLED_WATER_PUMPS
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	04dd781a-4e4c-4d7d-ba99-1c8c22767669	HEAT_REJECTION_PUMPS
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	f8846f3b-ed67-4fad-9fad-9453ea21d893	VENTILATION
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	d94a8497-182e-46cc-b7f1-51d07c627ee6	INFILTRATION
d33ff012-b6f5-4fcb-b0f5-320bc41ae040	d0fc4e4f-241e-4373-aa0a-d815e3a20abe	IT_LOAD
2dc26eb2-0fab-43f7-ab19-674665a1a115	575a876c-1319-4126-9b31-b64620ebe2f7	SWITCHGEAR
2dc26eb2-0fab-43f7-ab19-674665a1a115	f98bb396-f594-4276-ad23-ab8fc281037f	GENERATOR
2dc26eb2-0fab-43f7-ab19-674665a1a115	fecba073-a68a-4b8c-bdba-5dee6887bf7c	PRIMARY_AUXILIARIES
2dc26eb2-0fab-43f7-ab19-674665a1a115	4fd208f0-9eeb-4af0-a4e3-97e481b19ba5	UPS
2dc26eb2-0fab-43f7-ab19-674665a1a115	5135c7b3-cb1e-40ad-8888-d1e0b2eab71f	CRITICAL_AUXILIARIES
2dc26eb2-0fab-43f7-ab19-674665a1a115	a38b84ce-e7bb-466c-b9d3-4a55eba79958	LIGHTING
2dc26eb2-0fab-43f7-ab19-674665a1a115	3ea20b8a-669a-42ca-ab6a-0a38eb8fcc9d	CRITICAL_POWER_DISTRIBUTION
2dc26eb2-0fab-43f7-ab19-674665a1a115	4b6c01d3-a786-49cc-bec0-6dd454e720db	CRAH
2dc26eb2-0fab-43f7-ab19-674665a1a115	d22fe143-c6a8-41d5-9204-aaf6103d57a9	CRAC
2dc26eb2-0fab-43f7-ab19-674665a1a115	08b482c9-e8bf-4b54-8b0d-da96aa2d0c10	CRAC_WITHOUT_FAN
2dc26eb2-0fab-43f7-ab19-674665a1a115	ee4f8a35-6024-40cf-bae7-4dc1880b6c4b	CRAC_FAN
2dc26eb2-0fab-43f7-ab19-674665a1a115	6ebea6ae-0cfd-4b7c-a5be-da52ceec68a3	CHILLER
2dc26eb2-0fab-43f7-ab19-674665a1a115	56482c37-c89d-4599-ab52-c78920317413	AIR_COOLED_CHILLER
2dc26eb2-0fab-43f7-ab19-674665a1a115	de832d92-13dd-49ca-b9f1-5729e321b106	COOLING_TOWER
2dc26eb2-0fab-43f7-ab19-674665a1a115	87fc906b-999d-4a90-8cc6-ee9d1d6eb8f4	DRY_COOLER
2dc26eb2-0fab-43f7-ab19-674665a1a115	65ef4489-7c3f-4d6f-8d12-ae0fb95004fc	REMOTE_CONDENSER
2dc26eb2-0fab-43f7-ab19-674665a1a115	b29eafdd-100f-4495-b808-4a63c56de7d5	CHILLED_WATER_PUMPS
2dc26eb2-0fab-43f7-ab19-674665a1a115	4cbc88aa-cc5d-4246-b80b-07a392f6e08b	HEAT_REJECTION_PUMPS
2dc26eb2-0fab-43f7-ab19-674665a1a115	9ecf4eb8-6f2a-4779-97ee-c0b7011a865a	VENTILATION
2dc26eb2-0fab-43f7-ab19-674665a1a115	1097d413-7b3b-4ed7-801c-df636d078189	INFILTRATION
2dc26eb2-0fab-43f7-ab19-674665a1a115	ab7d91e9-a608-40a4-a35f-0f104f0c98e3	IT_LOAD
5cde33c0-102a-4587-905e-f7def8f8ce19	3e18e6d5-0d1f-4435-922f-83d18a586494	SWITCHGEAR
5cde33c0-102a-4587-905e-f7def8f8ce19	9b1dfd60-7090-4db3-9e3f-c556fec0074a	GENERATOR
5cde33c0-102a-4587-905e-f7def8f8ce19	a919875f-97ea-401d-b44a-b6fb01c1a78e	PRIMARY_AUXILIARIES
5cde33c0-102a-4587-905e-f7def8f8ce19	46325465-ec3d-4784-83ec-1f741d10f936	UPS
5cde33c0-102a-4587-905e-f7def8f8ce19	c27ab764-38cd-4820-9660-e3de7f8fbfc9	CRITICAL_AUXILIARIES
5cde33c0-102a-4587-905e-f7def8f8ce19	22204526-0709-4837-83df-8758d9dc8bfc	LIGHTING
5cde33c0-102a-4587-905e-f7def8f8ce19	d76616ab-6dc7-4c80-9f3e-ca506cd60863	CRITICAL_POWER_DISTRIBUTION
5cde33c0-102a-4587-905e-f7def8f8ce19	84bd9cd8-1f45-481d-8574-d69eb1bbca7c	CRAH
5cde33c0-102a-4587-905e-f7def8f8ce19	9ebf9b76-5548-40d3-b62d-2289d219e5e6	CRAC
5cde33c0-102a-4587-905e-f7def8f8ce19	08b909a5-fdbe-43d8-a3d4-608862b9408d	CRAC_WITHOUT_FAN
5cde33c0-102a-4587-905e-f7def8f8ce19	70536d9f-e498-4de5-a9ca-af095d8dbd53	CRAC_FAN
5cde33c0-102a-4587-905e-f7def8f8ce19	941170ed-b9f9-47d4-9bf1-01fe94299539	CHILLER
5cde33c0-102a-4587-905e-f7def8f8ce19	84853d03-c635-4a46-8ed6-93984d8eb4a5	AIR_COOLED_CHILLER
5cde33c0-102a-4587-905e-f7def8f8ce19	9ec325c5-606a-4d31-b741-4190545085fa	COOLING_TOWER
5cde33c0-102a-4587-905e-f7def8f8ce19	86b5616f-4ea6-49d9-8916-540e9a8a407c	DRY_COOLER
5cde33c0-102a-4587-905e-f7def8f8ce19	595fb052-41c0-4152-a841-5d46cfad8026	REMOTE_CONDENSER
5cde33c0-102a-4587-905e-f7def8f8ce19	9c128de5-60e7-4b9c-8a6e-acd83cad04b5	CHILLED_WATER_PUMPS
5cde33c0-102a-4587-905e-f7def8f8ce19	4299a1b8-b86d-4c6f-89a4-2734abfcb992	HEAT_REJECTION_PUMPS
5cde33c0-102a-4587-905e-f7def8f8ce19	265bc629-7ce2-4f5c-8990-0d58604e989a	VENTILATION
5cde33c0-102a-4587-905e-f7def8f8ce19	a2ba21af-c03e-45f0-9ad8-0d40b5a6216c	INFILTRATION
5cde33c0-102a-4587-905e-f7def8f8ce19	1b9fc98e-44d7-42e4-b878-f0ee962860d2	IT_LOAD
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	541647ae-45e5-40c0-a871-3e6b680b9b7a	SWITCHGEAR
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	84d353ef-f157-49ad-b1c5-53c8e6ec10e1	GENERATOR
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	d5b9b1b7-f923-4bb8-bf15-bdf704a41627	PRIMARY_AUXILIARIES
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	9d6ee94c-678b-4b36-8253-75fe584fc8ce	UPS
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	9752ca37-47fc-4f4a-b74e-46cafd12822e	CRITICAL_AUXILIARIES
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	777ae190-1f42-43e9-b69e-20dbe1360251	LIGHTING
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	3c2872b9-3cbf-47e4-84b1-e55530f42c53	CRITICAL_POWER_DISTRIBUTION
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	9765cceb-5d30-4cbf-a4a4-a3f5b6de801c	CRAH
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	f45357d5-6101-4bec-877d-07644fee910e	CRAC
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	7a97735a-6fef-43d8-93c2-b4a1c42823d1	CRAC_WITHOUT_FAN
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	148b2609-d3d1-4594-8c70-d1ef9ffd366f	CRAC_FAN
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	9678c8a3-6a25-4242-88d3-96e715efc600	CHILLER
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	3d7ac310-8070-4521-903e-c2e43aa1cf8b	AIR_COOLED_CHILLER
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	ce3ba862-a14b-4269-91c9-3e8db145b79e	COOLING_TOWER
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	bd6d01db-b95d-41e8-91c9-ffaf0830e73c	DRY_COOLER
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	5ebd1fe8-8b64-49ca-aa16-1cc9e097c3eb	REMOTE_CONDENSER
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	6bb86b15-7950-4709-a46f-3c87827a2ecb	CHILLED_WATER_PUMPS
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	3ca64c7a-bb69-4e0e-970b-36865e4fa50f	HEAT_REJECTION_PUMPS
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	9b1c166e-ee9e-4b42-8712-39b78b040458	VENTILATION
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	b2dde422-195b-495c-94da-1d3507f2418d	INFILTRATION
c1126adb-c6fe-4cc4-8187-f2e3b4fb07f4	eaf9fabd-26b2-41e1-aa6b-f2b6f43f381e	IT_LOAD
5a17703d-6766-4a51-a8eb-9a613eaaf02b	3eecd31d-6749-49cf-a6c5-31e032b1197b	SWITCHGEAR
5a17703d-6766-4a51-a8eb-9a613eaaf02b	ddbeb53f-da31-4e0f-a271-ad77ac58c05c	GENERATOR
5a17703d-6766-4a51-a8eb-9a613eaaf02b	36be8018-e390-427a-aa29-7b41bd14ddcb	PRIMARY_AUXILIARIES
5a17703d-6766-4a51-a8eb-9a613eaaf02b	9c6fe1fd-c5c2-4dee-816d-777db6301229	UPS
5a17703d-6766-4a51-a8eb-9a613eaaf02b	7b88cd95-d5e2-4891-8841-02338bd0a7c4	CRITICAL_AUXILIARIES
5a17703d-6766-4a51-a8eb-9a613eaaf02b	65ad6057-9509-4189-a03a-5d9cfc225254	LIGHTING
5a17703d-6766-4a51-a8eb-9a613eaaf02b	9fd87b20-1125-4e70-a4aa-a14d86a762ee	CRITICAL_POWER_DISTRIBUTION
5a17703d-6766-4a51-a8eb-9a613eaaf02b	e7d04346-01a3-4655-a487-7b12ae7a874f	CRAH
5a17703d-6766-4a51-a8eb-9a613eaaf02b	33d019ca-21e7-4af7-9f39-ae1ce00a0229	CRAC
5a17703d-6766-4a51-a8eb-9a613eaaf02b	7ba403c3-ef53-41e7-aed9-943fdfe6aa5b	CRAC_WITHOUT_FAN
5a17703d-6766-4a51-a8eb-9a613eaaf02b	e5f48e9c-5bb4-4b09-ad3a-5afb0783ccd6	CRAC_FAN
5a17703d-6766-4a51-a8eb-9a613eaaf02b	412fbc93-d507-4438-a184-caf55f865b7e	CHILLER
5a17703d-6766-4a51-a8eb-9a613eaaf02b	bf4e1a0c-278f-44dd-9baa-63a09860a80a	AIR_COOLED_CHILLER
5a17703d-6766-4a51-a8eb-9a613eaaf02b	b621910f-0ffb-4aae-89e0-e9034bc78507	COOLING_TOWER
5a17703d-6766-4a51-a8eb-9a613eaaf02b	1fa661e0-70fb-48d6-bee8-3fef92b0ba4a	DRY_COOLER
5a17703d-6766-4a51-a8eb-9a613eaaf02b	4b297a0f-d4a1-436e-866e-7b4833330558	REMOTE_CONDENSER
5a17703d-6766-4a51-a8eb-9a613eaaf02b	422e6e8f-e5f9-42f1-b698-c69dd077dea9	CHILLED_WATER_PUMPS
5a17703d-6766-4a51-a8eb-9a613eaaf02b	9d8a5f25-1c30-4321-83c7-6b85e21ba5c7	HEAT_REJECTION_PUMPS
5a17703d-6766-4a51-a8eb-9a613eaaf02b	80d4cd82-53da-4a8b-b4f6-23b753878b58	VENTILATION
5a17703d-6766-4a51-a8eb-9a613eaaf02b	3c5e00e0-43b3-4d00-ae39-c8687c844b17	INFILTRATION
5a17703d-6766-4a51-a8eb-9a613eaaf02b	1feac2e7-fc45-4f4d-98c9-ddcd77b77b38	IT_LOAD
b65e23ea-7be2-4fcf-b257-ff6d18473445	577dc8ee-93f5-4597-a2b1-af60e16f3358	SWITCHGEAR
b65e23ea-7be2-4fcf-b257-ff6d18473445	61e582b4-a97a-4ea9-980c-a5168051a276	GENERATOR
b65e23ea-7be2-4fcf-b257-ff6d18473445	8df66e32-fdb6-4bfc-b79b-e99a5904141d	PRIMARY_AUXILIARIES
b65e23ea-7be2-4fcf-b257-ff6d18473445	6dd81fe6-e3da-47e2-ba33-33bd60c838d7	UPS
b65e23ea-7be2-4fcf-b257-ff6d18473445	994f2d14-6b64-4ffd-a021-3c633a909240	CRITICAL_AUXILIARIES
b65e23ea-7be2-4fcf-b257-ff6d18473445	4e6538c4-60bb-4ea7-ad8f-10900771dfa8	LIGHTING
b65e23ea-7be2-4fcf-b257-ff6d18473445	428b2b59-a9b4-4ae7-b8ec-9072355a7ec0	CRITICAL_POWER_DISTRIBUTION
b65e23ea-7be2-4fcf-b257-ff6d18473445	f212a5e3-91fe-4545-8189-c592f805ddf3	CRAH
b65e23ea-7be2-4fcf-b257-ff6d18473445	1e914aac-d2d7-4aea-9c65-55bada0a2a04	CRAC
b65e23ea-7be2-4fcf-b257-ff6d18473445	121e5c03-4ea3-472d-89f8-bc39f3ce2a7d	CRAC_WITHOUT_FAN
b65e23ea-7be2-4fcf-b257-ff6d18473445	14183224-fc0f-4a56-9ca9-22062038926d	CRAC_FAN
b65e23ea-7be2-4fcf-b257-ff6d18473445	4ec80fb5-ebda-46ad-88f4-511b8064ac91	CHILLER
b65e23ea-7be2-4fcf-b257-ff6d18473445	640a587e-6c92-4366-abbf-365a28fc073f	AIR_COOLED_CHILLER
b65e23ea-7be2-4fcf-b257-ff6d18473445	3399dbe0-f10c-4cfa-902f-db1dfdc2a4f4	COOLING_TOWER
b65e23ea-7be2-4fcf-b257-ff6d18473445	baf42f29-0faa-4757-8abd-11b8a0698f82	DRY_COOLER
b65e23ea-7be2-4fcf-b257-ff6d18473445	cd846f56-8b90-4d2b-9ee9-0415045da267	REMOTE_CONDENSER
b65e23ea-7be2-4fcf-b257-ff6d18473445	4671e08c-9af2-4114-bee3-b173f5c7bf9e	CHILLED_WATER_PUMPS
b65e23ea-7be2-4fcf-b257-ff6d18473445	2fe40d31-deae-4a8c-8c35-245ad05f15fb	HEAT_REJECTION_PUMPS
b65e23ea-7be2-4fcf-b257-ff6d18473445	9b4438c6-13d4-498d-a611-8895a7d37df9	VENTILATION
b65e23ea-7be2-4fcf-b257-ff6d18473445	9c4b27b6-e3d1-41ea-9706-70957a2dbbd0	INFILTRATION
b65e23ea-7be2-4fcf-b257-ff6d18473445	085ae7f3-41b4-4a01-a7ef-a718abcb8e7b	IT_LOAD
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	6a5bb4ab-8efe-40d8-ad8d-1f18d804c3a9	SWITCHGEAR
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	befda2e3-66fa-48a3-b911-d911893f4c1a	GENERATOR
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	0ac2427f-8fea-40c5-8bad-2ac26b0f80fd	PRIMARY_AUXILIARIES
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	1df6572a-3dbb-4844-9b8c-cc5b4435a2a4	UPS
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	4e8368c9-b1bd-41f0-b35a-b68a02e7d29c	CRITICAL_AUXILIARIES
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	a101f101-fd19-4ca9-a636-28ac435a846e	LIGHTING
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	c0b91f4b-e2c0-4bb6-a915-9a3b78ef3978	CRITICAL_POWER_DISTRIBUTION
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	e38e5333-5d1a-432f-b87a-b8501cab9e51	CRAH
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	00c64c71-5985-4abf-8108-6d54710875b8	CRAC
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	f66d0526-9389-461c-ab16-3d6391b1a400	CRAC_WITHOUT_FAN
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	d2cbd360-df94-40ad-8832-e3190df7127d	CRAC_FAN
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	d5b0606a-5af4-484b-ba50-e7ba1f3d1980	CHILLER
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	0e226648-9069-463f-8fed-21d02d7072e5	AIR_COOLED_CHILLER
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	22838fed-7734-48f9-bb04-684c57eee1b7	COOLING_TOWER
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	17f6d4bd-4b00-479c-8aba-8dbba5b44aeb	DRY_COOLER
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	bb33f6e7-3fdc-4d0b-9c1d-69816e9dd2ec	REMOTE_CONDENSER
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	d352c450-5df4-473d-bc89-8b82f9f1062f	CHILLED_WATER_PUMPS
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	ba3712d3-809c-4249-abda-63e31392f9c8	HEAT_REJECTION_PUMPS
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	593e8403-f3ce-4d1f-9559-3ca21be00234	VENTILATION
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	5fced562-0b18-476a-ac65-6537b46a4a3d	INFILTRATION
e5bcba69-86d3-4ed0-b28b-44421f6a4ac9	2bb596ed-3ced-4965-ac6d-e4677ac994bb	IT_LOAD
d4c57767-1276-4b0b-8952-48fc192c5305	62d607da-1f4c-4ff2-9685-dfec6cf2dac6	SWITCHGEAR
d4c57767-1276-4b0b-8952-48fc192c5305	412aab3d-1288-41c9-9aef-39c56583eb9d	GENERATOR
d4c57767-1276-4b0b-8952-48fc192c5305	67de20d5-5f48-4a40-9c2f-510d223edb26	PRIMARY_AUXILIARIES
d4c57767-1276-4b0b-8952-48fc192c5305	d7ad9965-fc98-4c7f-a9eb-840ca1c4740d	UPS
d4c57767-1276-4b0b-8952-48fc192c5305	a3a684b8-ef39-4654-a568-2c356ce559fa	CRITICAL_AUXILIARIES
d4c57767-1276-4b0b-8952-48fc192c5305	802a9328-e610-4d29-bfe8-410495645dd9	LIGHTING
d4c57767-1276-4b0b-8952-48fc192c5305	74b3db3d-c12e-461d-adbe-24504fab4e59	CRITICAL_POWER_DISTRIBUTION
d4c57767-1276-4b0b-8952-48fc192c5305	09572874-d71f-4650-af99-dbe10d406ff1	CRAH
d4c57767-1276-4b0b-8952-48fc192c5305	80eb3866-5aca-4179-83ae-28e7387df581	CRAC
d4c57767-1276-4b0b-8952-48fc192c5305	8d1f88cd-0866-4149-97b0-b63b90e7d0ff	CRAC_WITHOUT_FAN
d4c57767-1276-4b0b-8952-48fc192c5305	5161f47f-fb5e-42bc-9575-23112fa8974f	CRAC_FAN
d4c57767-1276-4b0b-8952-48fc192c5305	44c2898f-c4f7-4fb2-abd6-4d4430adff84	CHILLER
d4c57767-1276-4b0b-8952-48fc192c5305	68716741-d27e-4ca7-94b3-f3b3323a61b6	AIR_COOLED_CHILLER
d4c57767-1276-4b0b-8952-48fc192c5305	02a42035-db5d-459c-8414-841e04304db9	COOLING_TOWER
d4c57767-1276-4b0b-8952-48fc192c5305	60e2070b-edab-4039-b286-66ef655180d3	DRY_COOLER
d4c57767-1276-4b0b-8952-48fc192c5305	b42d26a9-893a-420f-a0de-5b23476f2d64	REMOTE_CONDENSER
d4c57767-1276-4b0b-8952-48fc192c5305	5f465c4b-29a9-48b0-b9a8-f3d9a90577f0	CHILLED_WATER_PUMPS
d4c57767-1276-4b0b-8952-48fc192c5305	e9832d70-307a-4955-9035-fbc3128cba0d	HEAT_REJECTION_PUMPS
d4c57767-1276-4b0b-8952-48fc192c5305	0cc88918-9b22-4f72-91d1-5e77cf70fa20	VENTILATION
d4c57767-1276-4b0b-8952-48fc192c5305	33459bf8-c60e-4b3f-a6f0-697d1bce3083	INFILTRATION
d4c57767-1276-4b0b-8952-48fc192c5305	6bda39c9-4aa8-4dd9-a15e-88b70f57f7b1	IT_LOAD
d6404a58-3402-4780-9fda-8f222dda781e	d28e73eb-7a38-4017-b2ef-9c51db80af01	SWITCHGEAR
d6404a58-3402-4780-9fda-8f222dda781e	e02ca167-9cf7-48eb-8477-6b05eb1feb44	GENERATOR
d6404a58-3402-4780-9fda-8f222dda781e	ab380fcf-7f88-455d-a637-066ba7f62f37	PRIMARY_AUXILIARIES
d6404a58-3402-4780-9fda-8f222dda781e	be5a8743-2267-48ae-ab3e-b0891b8a2ded	UPS
d6404a58-3402-4780-9fda-8f222dda781e	665f1d52-6f62-4f14-8421-e459f6eea6cc	CRITICAL_AUXILIARIES
d6404a58-3402-4780-9fda-8f222dda781e	4015c3d7-1f79-4812-81e0-280b21e6662a	LIGHTING
d6404a58-3402-4780-9fda-8f222dda781e	faa0edb0-86fa-45b7-aed2-a5d8219934d3	CRITICAL_POWER_DISTRIBUTION
d6404a58-3402-4780-9fda-8f222dda781e	d1c10150-0426-4c70-b0ed-dc4faf0cd4d0	CRAH
d6404a58-3402-4780-9fda-8f222dda781e	431d0e35-2c57-4f38-925c-d533862c08d3	CRAC
d6404a58-3402-4780-9fda-8f222dda781e	50aa4845-ff5c-4396-a841-1833b03667b8	CRAC_WITHOUT_FAN
d6404a58-3402-4780-9fda-8f222dda781e	d40dfaed-5317-4f8c-b113-2041923ff773	CRAC_FAN
d6404a58-3402-4780-9fda-8f222dda781e	0c730ce4-fece-41d9-a1c5-9a0df397a8b6	CHILLER
d6404a58-3402-4780-9fda-8f222dda781e	42739dd3-7188-4289-93bc-40addcc595f9	AIR_COOLED_CHILLER
d6404a58-3402-4780-9fda-8f222dda781e	9638c3c9-92e5-4645-9ca3-26f79aa66043	COOLING_TOWER
d6404a58-3402-4780-9fda-8f222dda781e	f4a97432-9b23-450b-a38d-e41f9938faa6	DRY_COOLER
d6404a58-3402-4780-9fda-8f222dda781e	08318d27-4b95-476c-9587-ff740357c712	REMOTE_CONDENSER
d6404a58-3402-4780-9fda-8f222dda781e	436ffac2-a46e-42f0-8569-65f91f9d375a	CHILLED_WATER_PUMPS
d6404a58-3402-4780-9fda-8f222dda781e	2d2a26b7-7505-450a-815d-3dbc3ec72ac3	HEAT_REJECTION_PUMPS
d6404a58-3402-4780-9fda-8f222dda781e	f5388a00-1044-4208-a519-4a0d05916160	VENTILATION
d6404a58-3402-4780-9fda-8f222dda781e	35efe0b6-ba2e-4efc-b6e5-20ca9a5b97b0	INFILTRATION
d6404a58-3402-4780-9fda-8f222dda781e	65771b30-86a4-4973-858c-56f863f03139	IT_LOAD
96a95ce4-1455-441e-9bad-043537729c85	4fad0c42-d9c3-480d-8aa4-e9285bb44921	SWITCHGEAR
96a95ce4-1455-441e-9bad-043537729c85	28d4ef81-d326-4a4f-b442-08e257b656df	GENERATOR
96a95ce4-1455-441e-9bad-043537729c85	e566690f-90b3-47d9-a05a-4d6c94ac5167	PRIMARY_AUXILIARIES
96a95ce4-1455-441e-9bad-043537729c85	39d4dfba-53ec-44a8-bab2-8fa130904dcf	UPS
96a95ce4-1455-441e-9bad-043537729c85	6d2e635a-d203-4968-8749-84ab3da3525c	CRITICAL_AUXILIARIES
96a95ce4-1455-441e-9bad-043537729c85	20c7c480-9002-454b-9ea3-b9006f495cf5	LIGHTING
96a95ce4-1455-441e-9bad-043537729c85	88d7c031-fd33-4d2d-a0e3-e3079d3ee5ef	CRITICAL_POWER_DISTRIBUTION
96a95ce4-1455-441e-9bad-043537729c85	b19a33f3-8850-4ab3-840d-cae628da0cf7	CRAH
96a95ce4-1455-441e-9bad-043537729c85	fe5dd43f-498d-4e50-9aef-3af334755782	CRAC
96a95ce4-1455-441e-9bad-043537729c85	258cb6bd-9911-425b-9a8b-53a3447af78d	CRAC_WITHOUT_FAN
96a95ce4-1455-441e-9bad-043537729c85	1bb86044-2730-414d-9428-fd1e0c5d423e	CRAC_FAN
96a95ce4-1455-441e-9bad-043537729c85	3eea24aa-c90e-496b-ae12-34b68bf79607	CHILLER
96a95ce4-1455-441e-9bad-043537729c85	49d00895-36ff-4c1e-827a-9f311be5c416	AIR_COOLED_CHILLER
96a95ce4-1455-441e-9bad-043537729c85	2da9fc39-c3fb-42fe-b4ad-e9ebab672b5e	COOLING_TOWER
96a95ce4-1455-441e-9bad-043537729c85	b500f71f-b9c3-4d81-9c07-3591e62394b3	DRY_COOLER
96a95ce4-1455-441e-9bad-043537729c85	43b5610b-50f5-4d23-8dad-dd2553791572	REMOTE_CONDENSER
96a95ce4-1455-441e-9bad-043537729c85	e116fcb1-fe55-4101-b9e8-5bfcee258852	CHILLED_WATER_PUMPS
96a95ce4-1455-441e-9bad-043537729c85	c56bb33b-4ceb-4e63-9d6c-db5bfab419a5	HEAT_REJECTION_PUMPS
96a95ce4-1455-441e-9bad-043537729c85	d79c77b2-a3d9-473e-a19a-a8e55e128daa	VENTILATION
96a95ce4-1455-441e-9bad-043537729c85	fad91369-f639-4c74-a7e4-d81ae5edffe0	INFILTRATION
96a95ce4-1455-441e-9bad-043537729c85	d803e5a8-7b06-4e1d-9d82-f184f23340c0	IT_LOAD
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	44dbfe40-3811-4419-a8b5-907eb590fac4	SWITCHGEAR
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	7ade6de1-7ad7-4dc2-9dac-f967e5aa3fe6	GENERATOR
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	276da868-a5b7-4bd9-9e56-a4ebe81aff2e	PRIMARY_AUXILIARIES
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	f39c7e46-f21d-450f-932c-70f946dc06f0	UPS
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	6ee2a9d2-2865-49df-8d40-bf7c4bab422f	CRITICAL_AUXILIARIES
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	df0c3494-742b-4459-b54e-6f34484c3dec	LIGHTING
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	386042ab-9dbe-4c36-a75a-53b7b9e3c3e7	CRITICAL_POWER_DISTRIBUTION
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	0e960fc7-3191-43fa-bf5c-6cf792d099ca	CRAH
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	69626c04-bfb9-41fc-b17f-1601b308b8c9	CRAC
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	542c43c2-16d4-4d8a-a239-6424e4530bb4	CRAC_WITHOUT_FAN
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	b2c0d4f8-b538-429e-945e-a8fb7d09def3	CRAC_FAN
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	b5996b9d-e852-446d-b6b2-750004039be8	CHILLER
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	2d0de7fc-2972-4a3d-98d0-51963336bde3	AIR_COOLED_CHILLER
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	b014c272-28f5-4d60-967a-04ffc78ed253	COOLING_TOWER
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	05993640-1861-4ba6-a966-fcd8c1ce9318	DRY_COOLER
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	020da7a9-b98d-4941-b673-d7ad7d424102	REMOTE_CONDENSER
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	329e9d18-7ca4-4336-86a6-3c3138a1f0c0	CHILLED_WATER_PUMPS
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	a8395b5e-354e-4987-86a8-706120025feb	HEAT_REJECTION_PUMPS
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	7356d731-0806-4877-b679-6c8a6ee2fb0f	VENTILATION
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	9af9cb1c-9891-461f-8a3b-359fb1aa7104	INFILTRATION
dcb7e01d-262e-4dbd-9c73-ad9cb597c760	c52696a5-b37e-4399-8f56-bf16cd8079ef	IT_LOAD
beaeee57-45b1-4641-a3c0-9d7f683f226d	de7d5857-4848-4067-a83b-0b5635c822ef	SWITCHGEAR
beaeee57-45b1-4641-a3c0-9d7f683f226d	b9ba41d7-35fb-4977-95bf-2913a85e621a	GENERATOR
beaeee57-45b1-4641-a3c0-9d7f683f226d	7aeaa202-fcc5-42ce-88fb-367ab579d9cb	PRIMARY_AUXILIARIES
beaeee57-45b1-4641-a3c0-9d7f683f226d	95a1627d-deae-4679-9d51-6345d2d382ac	UPS
beaeee57-45b1-4641-a3c0-9d7f683f226d	e7885ff7-d5c8-4eb0-af86-6dd90b45991e	CRITICAL_AUXILIARIES
beaeee57-45b1-4641-a3c0-9d7f683f226d	2f369533-5a46-41a1-9011-ef8a3c55cc9a	LIGHTING
beaeee57-45b1-4641-a3c0-9d7f683f226d	9e6a25cb-db4b-43c0-8c9c-6c8bc0a5b2d5	CRITICAL_POWER_DISTRIBUTION
beaeee57-45b1-4641-a3c0-9d7f683f226d	db456ca5-9310-43c5-8fc2-ff074b033d71	CRAH
beaeee57-45b1-4641-a3c0-9d7f683f226d	a6916141-eb46-4533-a61d-1a166c07544f	CRAC
beaeee57-45b1-4641-a3c0-9d7f683f226d	28ab275a-6a51-4bd2-aee9-01b445a4f7fe	CRAC_WITHOUT_FAN
beaeee57-45b1-4641-a3c0-9d7f683f226d	ea0843f8-17fc-48f5-a659-b6731d0f8403	CRAC_FAN
beaeee57-45b1-4641-a3c0-9d7f683f226d	d61bb625-4317-400a-8db4-4d323629f187	CHILLER
beaeee57-45b1-4641-a3c0-9d7f683f226d	eab4bfa9-0ace-45e6-af7c-58bb69b8030d	AIR_COOLED_CHILLER
beaeee57-45b1-4641-a3c0-9d7f683f226d	abf0a27b-63aa-4fac-b9f7-3606505e11c6	COOLING_TOWER
beaeee57-45b1-4641-a3c0-9d7f683f226d	ec14469d-28ad-4651-9671-7e87cef34d02	DRY_COOLER
beaeee57-45b1-4641-a3c0-9d7f683f226d	8dc61315-d047-4731-a7a0-e6330bdac6b1	REMOTE_CONDENSER
beaeee57-45b1-4641-a3c0-9d7f683f226d	b68b702c-66e1-483e-a7b7-d6c8cb5ec742	CHILLED_WATER_PUMPS
beaeee57-45b1-4641-a3c0-9d7f683f226d	1d1ed2fe-b1ba-4f93-b41e-b7dd95dd178c	HEAT_REJECTION_PUMPS
beaeee57-45b1-4641-a3c0-9d7f683f226d	e121b6e8-ec2b-468d-bd4e-92e1e903968f	VENTILATION
beaeee57-45b1-4641-a3c0-9d7f683f226d	5d20f885-367b-4030-b2ea-53ccdb836627	INFILTRATION
beaeee57-45b1-4641-a3c0-9d7f683f226d	5bbc26bc-ef52-4502-868e-2cfc5da60ae9	IT_LOAD
29058f92-853f-475c-94f0-7d8c65e6d6c6	8a969850-a867-411e-8001-22b76341fbd9	SWITCHGEAR
29058f92-853f-475c-94f0-7d8c65e6d6c6	1d755943-7e2b-4b18-acdf-b40e66603173	GENERATOR
29058f92-853f-475c-94f0-7d8c65e6d6c6	9d4e1563-e7ed-428e-a861-d71fc65efc02	PRIMARY_AUXILIARIES
29058f92-853f-475c-94f0-7d8c65e6d6c6	1a85f5ac-e056-4a92-89d0-6e91c44c347c	UPS
29058f92-853f-475c-94f0-7d8c65e6d6c6	85e563c2-1a53-4356-9467-8d5669ac4fa5	CRITICAL_AUXILIARIES
29058f92-853f-475c-94f0-7d8c65e6d6c6	7e6063d5-4eb2-4f4d-9e94-5e76b483f1ef	LIGHTING
29058f92-853f-475c-94f0-7d8c65e6d6c6	e7fb90d6-d9a2-462c-bf7e-1aeef5a28a71	CRITICAL_POWER_DISTRIBUTION
29058f92-853f-475c-94f0-7d8c65e6d6c6	81ab69a9-89a4-4f3f-b229-8c2ae775f3cf	CRAH
29058f92-853f-475c-94f0-7d8c65e6d6c6	014ddcaa-2e66-4dca-acee-33df2a6f308b	CRAC
29058f92-853f-475c-94f0-7d8c65e6d6c6	a1165af8-82e6-476c-bfda-6ec3b8889ac0	CRAC_WITHOUT_FAN
29058f92-853f-475c-94f0-7d8c65e6d6c6	6f62f16d-02f2-41e4-999e-79ecaa7dd4c2	CRAC_FAN
29058f92-853f-475c-94f0-7d8c65e6d6c6	3013195c-4e0f-44a2-a3c5-822216816ac2	CHILLER
29058f92-853f-475c-94f0-7d8c65e6d6c6	8cbc7fbb-7cce-4b03-bc5b-cf747dbe7ead	AIR_COOLED_CHILLER
29058f92-853f-475c-94f0-7d8c65e6d6c6	e954bac5-c1e7-4f75-aa79-964ee7adb308	COOLING_TOWER
29058f92-853f-475c-94f0-7d8c65e6d6c6	e244f9e3-aaee-477c-9a78-cd8a256daafe	DRY_COOLER
29058f92-853f-475c-94f0-7d8c65e6d6c6	60ebc76e-c7ee-49f9-a4a8-af68b78e3fbd	REMOTE_CONDENSER
29058f92-853f-475c-94f0-7d8c65e6d6c6	fefb97d7-b9da-458d-b21c-1dd4ce41edec	CHILLED_WATER_PUMPS
29058f92-853f-475c-94f0-7d8c65e6d6c6	b9aaa3b4-00b2-410d-bd9c-081ee95c3f3e	HEAT_REJECTION_PUMPS
29058f92-853f-475c-94f0-7d8c65e6d6c6	2d1c43d0-f4a2-4bf7-96f3-6fe907518e8c	VENTILATION
29058f92-853f-475c-94f0-7d8c65e6d6c6	c6c806a6-e2d4-4af5-91bd-98a5375999fe	INFILTRATION
29058f92-853f-475c-94f0-7d8c65e6d6c6	17d2ebb2-34c6-44a2-bcb6-5c524ef17a38	IT_LOAD
edae09b1-1d31-4aeb-bb5a-d151eccade4f	e55f72ce-c3e3-4a88-aba1-688292bd64a6	SWITCHGEAR
edae09b1-1d31-4aeb-bb5a-d151eccade4f	b8fcf50b-1b27-4430-bb1e-2659c67c7cb1	GENERATOR
edae09b1-1d31-4aeb-bb5a-d151eccade4f	febf83f6-150d-41aa-9a3d-3b8b8a3460f2	PRIMARY_AUXILIARIES
edae09b1-1d31-4aeb-bb5a-d151eccade4f	43e3ba4a-a8dd-4ae1-a19f-a6173bca334d	UPS
edae09b1-1d31-4aeb-bb5a-d151eccade4f	2f4fb21f-4669-4c85-a8b8-e5c20cfa6acf	CRITICAL_AUXILIARIES
edae09b1-1d31-4aeb-bb5a-d151eccade4f	13df1641-b5bf-485a-8b5a-d151b0856434	LIGHTING
edae09b1-1d31-4aeb-bb5a-d151eccade4f	1bb26628-de30-4876-b1a3-93f4a9e31c6a	CRITICAL_POWER_DISTRIBUTION
edae09b1-1d31-4aeb-bb5a-d151eccade4f	1760fd37-5077-4754-8c29-a6b0ab77d3ca	CRAH
edae09b1-1d31-4aeb-bb5a-d151eccade4f	d62ff5ef-f141-490b-a395-a1d5b10addbd	CRAC
edae09b1-1d31-4aeb-bb5a-d151eccade4f	7fc7adf6-bf34-4935-99fb-2428a0575858	CRAC_WITHOUT_FAN
edae09b1-1d31-4aeb-bb5a-d151eccade4f	ff66f420-848f-47c5-8381-6182cc235a49	CRAC_FAN
edae09b1-1d31-4aeb-bb5a-d151eccade4f	d0e57659-9ac6-4323-af73-fd4ffa11e497	CHILLER
edae09b1-1d31-4aeb-bb5a-d151eccade4f	487b9875-d4ac-44a0-9cf7-f89fc4cb10ff	AIR_COOLED_CHILLER
edae09b1-1d31-4aeb-bb5a-d151eccade4f	943ad9ee-bbc2-403e-8c4f-818ed0ca9ce3	COOLING_TOWER
edae09b1-1d31-4aeb-bb5a-d151eccade4f	e8fce095-a2d7-4758-975d-893f600b1d86	DRY_COOLER
edae09b1-1d31-4aeb-bb5a-d151eccade4f	21ce2955-3d02-4df1-983d-1738c8f63493	REMOTE_CONDENSER
edae09b1-1d31-4aeb-bb5a-d151eccade4f	ea139275-344f-4e82-a06c-3024bb4f28fa	CHILLED_WATER_PUMPS
edae09b1-1d31-4aeb-bb5a-d151eccade4f	13a1fb5e-2e64-4fe4-9d2d-f14dccfe2f65	HEAT_REJECTION_PUMPS
edae09b1-1d31-4aeb-bb5a-d151eccade4f	fc1d616d-83a6-41cc-86c7-be17c7b8ba40	VENTILATION
edae09b1-1d31-4aeb-bb5a-d151eccade4f	0282b4c4-5457-4c2e-ae63-7915e897567c	INFILTRATION
edae09b1-1d31-4aeb-bb5a-d151eccade4f	03181c67-7f43-493b-abc1-15697e0c922d	IT_LOAD
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	41f4072a-91a3-40a1-8219-6ae109a727c5	SWITCHGEAR
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	b552dfe2-1f83-48b7-a448-414d4cc09180	GENERATOR
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	696ed715-18a5-44a3-bb99-e6ae7db34383	PRIMARY_AUXILIARIES
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	e606bec6-5a7e-4190-bd1c-fe7beb82797c	UPS
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	93a47f36-93c1-433b-9b95-79534fd4a094	CRITICAL_AUXILIARIES
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	e1bafcdf-d090-42db-8e05-01318e61e7b5	LIGHTING
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	3d0ec65c-0403-4af8-91e8-74c8db923bc7	CRITICAL_POWER_DISTRIBUTION
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	58fcccb0-de50-47b6-91ba-3abf366e311b	CRAH
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	de101622-8926-4424-b4d2-f04a6fb9378b	CRAC
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	578e8a49-dd85-47cf-94e5-820439778595	CRAC_WITHOUT_FAN
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	196cb8b4-681e-41b4-8a63-a48add043ad2	CRAC_FAN
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	644aa95a-6375-4f74-80a8-f09bf58782a0	CHILLER
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	98b5b60a-7683-43af-8b4b-9da65b63913d	AIR_COOLED_CHILLER
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	c471709c-b630-414c-87ca-474cc1be87ac	COOLING_TOWER
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	5298ebd2-13ef-45c9-b7f4-c3759fa0c734	DRY_COOLER
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	1882c2e2-bba1-4de6-bf67-bd42d4e42bea	REMOTE_CONDENSER
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	1559835b-bdee-41a2-8269-2b18f6e8bae8	CHILLED_WATER_PUMPS
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	592b0a43-1fc6-461c-bb22-dbbb936d7674	HEAT_REJECTION_PUMPS
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	3e6fc908-052b-4dcb-8fac-99e6c02f9753	VENTILATION
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	12b3ea56-8cc0-4073-b70c-a4c00cf1fdb4	INFILTRATION
7ed511bb-2a1c-4437-a6f7-ba22fc14205e	cd0d1d16-a09c-4d18-bdca-89b61e708b27	IT_LOAD
83652113-bcd5-4be2-99a8-66738344d126	1e997e0d-68ae-44c0-aa13-491cbf745dd8	SWITCHGEAR
83652113-bcd5-4be2-99a8-66738344d126	3b86b4aa-de33-4f7c-97e0-ec6ae5494fa0	GENERATOR
83652113-bcd5-4be2-99a8-66738344d126	663c21af-ece1-40c1-b89a-070c411ac0d4	PRIMARY_AUXILIARIES
83652113-bcd5-4be2-99a8-66738344d126	4ca7ea6d-416b-45ec-b913-b65f003221ed	UPS
83652113-bcd5-4be2-99a8-66738344d126	f8336e28-cd24-45d6-a03a-ea07538119dc	CRITICAL_AUXILIARIES
83652113-bcd5-4be2-99a8-66738344d126	f1210340-bea8-43b5-93ea-73808440eebd	LIGHTING
83652113-bcd5-4be2-99a8-66738344d126	3f9451f2-0a0b-49ba-bf41-7bf3492d1cad	CRITICAL_POWER_DISTRIBUTION
83652113-bcd5-4be2-99a8-66738344d126	f82b7cde-783a-497d-af26-be12a2cc288d	CRAH
83652113-bcd5-4be2-99a8-66738344d126	10ec6205-f643-48b6-b769-7ec83c88ccd6	CRAC
83652113-bcd5-4be2-99a8-66738344d126	b2f4ab33-03e1-4235-9154-41626bf30f33	CRAC_WITHOUT_FAN
83652113-bcd5-4be2-99a8-66738344d126	26f490a6-d6c4-46fa-8f4b-ef6be60aedc4	CRAC_FAN
83652113-bcd5-4be2-99a8-66738344d126	fd8e6712-df99-4c18-bdfd-6e96662a1d32	CHILLER
83652113-bcd5-4be2-99a8-66738344d126	c63d28d7-11b4-4b93-a429-1d4ca1c977b0	AIR_COOLED_CHILLER
83652113-bcd5-4be2-99a8-66738344d126	d5224521-3838-4987-a8e7-8f578ca40d88	COOLING_TOWER
83652113-bcd5-4be2-99a8-66738344d126	d5640835-aa8c-4db9-8c68-e3ae7e6f6d2d	DRY_COOLER
83652113-bcd5-4be2-99a8-66738344d126	7d8ca91e-1b16-4c65-99af-5a3afd212f77	REMOTE_CONDENSER
83652113-bcd5-4be2-99a8-66738344d126	22095dbb-4b3b-4ec9-aca3-7d59911d8342	CHILLED_WATER_PUMPS
83652113-bcd5-4be2-99a8-66738344d126	b4bd3778-78e9-4a2a-947b-0f5a794dd009	HEAT_REJECTION_PUMPS
83652113-bcd5-4be2-99a8-66738344d126	c2facc66-6131-4208-8372-6d4cef8e5377	VENTILATION
83652113-bcd5-4be2-99a8-66738344d126	ac0f2a31-bd23-4b83-8aea-4c4604504181	INFILTRATION
83652113-bcd5-4be2-99a8-66738344d126	580ddffb-58a7-494f-ab8a-9df0d3a87f16	IT_LOAD
e0447e29-dedd-43b1-9c8c-10df1fdb351b	ebf4e36e-ae93-4e44-bb26-9a38807c7f9a	SWITCHGEAR
e0447e29-dedd-43b1-9c8c-10df1fdb351b	e662b2a2-1bfe-4979-8e1c-41e6cde8ef80	GENERATOR
e0447e29-dedd-43b1-9c8c-10df1fdb351b	b14f9fa3-f15a-4068-91f4-db43af94d0d8	PRIMARY_AUXILIARIES
e0447e29-dedd-43b1-9c8c-10df1fdb351b	9aaf581f-2c6e-4283-b34a-a08e56e43f40	UPS
e0447e29-dedd-43b1-9c8c-10df1fdb351b	594ea67b-dbfa-4a19-a431-335d06eb48d8	CRITICAL_AUXILIARIES
e0447e29-dedd-43b1-9c8c-10df1fdb351b	973efffe-31e0-42b2-91a3-f4168ad14dcc	LIGHTING
e0447e29-dedd-43b1-9c8c-10df1fdb351b	66d3e42d-8c5f-4179-9426-3520328c00ef	CRITICAL_POWER_DISTRIBUTION
e0447e29-dedd-43b1-9c8c-10df1fdb351b	f218ad1c-1854-4cbf-af50-95bd955ceb23	CRAH
e0447e29-dedd-43b1-9c8c-10df1fdb351b	02ff628c-edae-4409-8531-041d74a78275	CRAC
e0447e29-dedd-43b1-9c8c-10df1fdb351b	c60f6035-58f7-4a6a-83fb-3f9261e59dc8	CRAC_WITHOUT_FAN
e0447e29-dedd-43b1-9c8c-10df1fdb351b	fc643a6c-35a7-45f8-a5a3-665ae076b87b	CRAC_FAN
e0447e29-dedd-43b1-9c8c-10df1fdb351b	338465a7-8218-4ad6-974a-1bbfb079e750	CHILLER
e0447e29-dedd-43b1-9c8c-10df1fdb351b	5e0ca0df-4bb0-4d99-95fd-5201f78efc70	AIR_COOLED_CHILLER
e0447e29-dedd-43b1-9c8c-10df1fdb351b	8c06fbe3-3340-4b11-8695-f5be59f3d6c0	COOLING_TOWER
e0447e29-dedd-43b1-9c8c-10df1fdb351b	8b7432be-9f3f-436e-a0b6-9bf7ddbcb722	DRY_COOLER
e0447e29-dedd-43b1-9c8c-10df1fdb351b	ee48a59a-c15e-42f1-8157-ffad22c74212	REMOTE_CONDENSER
e0447e29-dedd-43b1-9c8c-10df1fdb351b	a3506fe5-ae2b-432c-9766-39c29261f48c	CHILLED_WATER_PUMPS
e0447e29-dedd-43b1-9c8c-10df1fdb351b	5f8f3976-5e4b-46c1-914b-d907f4a2a559	HEAT_REJECTION_PUMPS
e0447e29-dedd-43b1-9c8c-10df1fdb351b	80c09862-5b76-4f75-9e39-c9e0b5761ae9	VENTILATION
e0447e29-dedd-43b1-9c8c-10df1fdb351b	58bf92ab-3d90-445f-8816-a77126fad12a	INFILTRATION
e0447e29-dedd-43b1-9c8c-10df1fdb351b	e31d70a4-e12c-4800-bfea-a0edce3934bb	IT_LOAD
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	99ee155b-e619-4d8d-91a2-81f10fdca163	SWITCHGEAR
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	b26da479-91cd-4115-b40a-ebbb7ebbde2a	GENERATOR
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	8eb41377-74da-4131-8f1f-f8ba9d784ca3	PRIMARY_AUXILIARIES
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	d0dfc3bf-2c63-403a-8ec2-811d7cc01fcd	UPS
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	a84b78f3-8e44-42b2-ac60-be300a097711	CRITICAL_AUXILIARIES
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	e4852d9f-08ed-420c-b350-66b9fa33f006	LIGHTING
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	17e44aff-28d4-4479-a067-4d714f0ee34b	CRITICAL_POWER_DISTRIBUTION
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	49cd351b-9ec7-4121-b0d7-d5fa682d2b77	CRAH
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	984359ad-0d7c-45cf-b7bf-28e97c7ed0ca	CRAC
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	3cc767c1-a150-4901-855e-275211ef6025	CRAC_WITHOUT_FAN
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	5c9d99c0-0e48-4e2b-af77-11129ac81bb7	CRAC_FAN
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	920f4cd0-ca8f-4922-a809-7cdc974f6c32	CHILLER
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	5f947663-5a86-43da-8ffb-f0055ddbb867	AIR_COOLED_CHILLER
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	3ae3660c-2155-4b2d-8567-e83c5c2c3114	COOLING_TOWER
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	53979b49-60a1-44c3-b6ff-46049fd2f042	DRY_COOLER
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	66806802-4cfa-4f0f-a8c6-1f48a778aaf6	REMOTE_CONDENSER
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	f5297a9f-da51-4116-9ec9-fdc281c500f5	CHILLED_WATER_PUMPS
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	a16ab03e-a283-4f22-8df5-1c7b8114889a	HEAT_REJECTION_PUMPS
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	166fa248-faff-4154-8763-e29015837031	VENTILATION
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	2d99aab0-9ef5-48be-8a01-94b1a33037cc	INFILTRATION
abf5f423-a3d9-48f2-a42f-8d8aa80d0989	196f9593-c5ce-4e36-bd46-cd6f9d9fd850	IT_LOAD
8b28236a-617b-45f0-8662-f60df849c642	85c0cce0-ac6b-4d99-88ce-0804ee826c95	SWITCHGEAR
8b28236a-617b-45f0-8662-f60df849c642	f7e08356-62df-4f31-9916-7b1a15d627cc	GENERATOR
8b28236a-617b-45f0-8662-f60df849c642	e71def58-639a-4215-a306-173d31f22624	PRIMARY_AUXILIARIES
8b28236a-617b-45f0-8662-f60df849c642	df586f54-c4c4-4c66-a71e-c215ebdc1448	UPS
8b28236a-617b-45f0-8662-f60df849c642	99c9158e-07c9-43ed-a113-50f9364d8a0f	CRITICAL_AUXILIARIES
8b28236a-617b-45f0-8662-f60df849c642	9993dc20-7b26-40c9-9d35-d427e837801b	LIGHTING
8b28236a-617b-45f0-8662-f60df849c642	2f84c0b8-8fff-4b50-851d-2b101c5d1d93	CRITICAL_POWER_DISTRIBUTION
8b28236a-617b-45f0-8662-f60df849c642	840edbc3-541c-412c-807a-e58e4cc50df1	CRAH
8b28236a-617b-45f0-8662-f60df849c642	a4fbe099-8a77-44e7-8529-7923902b8da3	CRAC
8b28236a-617b-45f0-8662-f60df849c642	5441a6e5-7648-4974-90b2-2cbcd40cc633	CRAC_WITHOUT_FAN
8b28236a-617b-45f0-8662-f60df849c642	29d476dd-b3ff-4d21-a0b3-f056fa19367c	CRAC_FAN
8b28236a-617b-45f0-8662-f60df849c642	84c1ada9-a4fa-4896-8a27-4d62c908ec72	CHILLER
8b28236a-617b-45f0-8662-f60df849c642	adfe7226-c5a7-42ca-817b-530c0b33f3ec	AIR_COOLED_CHILLER
8b28236a-617b-45f0-8662-f60df849c642	84c9f98d-f806-4747-9688-d88e3ddd0c0f	COOLING_TOWER
8b28236a-617b-45f0-8662-f60df849c642	5784e815-05fa-4693-b5c2-133495979e5b	DRY_COOLER
8b28236a-617b-45f0-8662-f60df849c642	704bc2fa-e4df-4423-9d55-68769128b872	REMOTE_CONDENSER
8b28236a-617b-45f0-8662-f60df849c642	1ce32ebc-0bc4-4237-8f71-263824dd606a	CHILLED_WATER_PUMPS
8b28236a-617b-45f0-8662-f60df849c642	2864bc29-4909-42ab-8a22-a236365c192f	HEAT_REJECTION_PUMPS
8b28236a-617b-45f0-8662-f60df849c642	5bde16e1-c698-4603-bb09-6be2c5a31fba	VENTILATION
8b28236a-617b-45f0-8662-f60df849c642	57612a45-15f8-4e9d-9ba0-09b60dde38a3	INFILTRATION
8b28236a-617b-45f0-8662-f60df849c642	f2465654-03d0-4267-b7a3-440fa2fbaf41	IT_LOAD
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	e5f4b954-43a7-4a37-a28e-80212ec712a2	SWITCHGEAR
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	82ecad44-638d-4917-932f-a68765aa9e94	GENERATOR
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	73b6caba-ece0-4656-b5f5-f0e70fcdf726	PRIMARY_AUXILIARIES
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	64f331e7-460b-4cab-8000-7a2eb6d7a4dc	UPS
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	3d412374-f2e6-4ed1-b70c-1ae40e5d5a7f	CRITICAL_AUXILIARIES
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	e07c5aea-30db-4809-99d0-c7973b7d22fd	LIGHTING
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	81b8d320-118a-4aa7-b807-1cd01d7ccb6c	CRITICAL_POWER_DISTRIBUTION
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	60070d30-9c0a-4687-8f14-aa6c5da0c238	CRAH
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	7a3907ea-1a24-40b9-9815-f35a69764118	CRAC
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	0584c170-d313-4828-a02b-df0d021b8341	CRAC_WITHOUT_FAN
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	bd4898e9-8da3-4714-bbb4-a5beda730270	CRAC_FAN
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	fb9f0b2d-d3b9-4a54-9c84-00490d867e9a	CHILLER
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	848a5c1f-56d3-4bec-a9d7-8d636e566c6e	AIR_COOLED_CHILLER
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	8be31467-5175-415a-8e18-761e6c0f262e	COOLING_TOWER
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	a8fd8063-1e05-457a-b8e9-963c6fb69f72	DRY_COOLER
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	04e24e27-4997-4d3a-80e0-f10de92bd29f	REMOTE_CONDENSER
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	5e36a4f1-f0ca-436c-8b80-55811876fed6	CHILLED_WATER_PUMPS
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	7a06e7f1-2120-4cfe-9a3b-845b1a8babaa	HEAT_REJECTION_PUMPS
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	f9e5d0db-66b0-4835-8594-2253de482b7e	VENTILATION
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	635c240b-542a-4ae7-a48c-d6ef7ea0fefc	INFILTRATION
c2d29b49-eb3c-4cd7-9737-5f0c628cd6be	1a43cae7-0099-4f10-9aa5-e7fab0b57277	IT_LOAD
503149a3-a550-4675-a93b-12c5693e0360	f88c2612-5812-4c1d-b1a2-3746cb76a6c3	SWITCHGEAR
503149a3-a550-4675-a93b-12c5693e0360	50d3e441-1efe-4aed-9546-950ffdb0e109	GENERATOR
503149a3-a550-4675-a93b-12c5693e0360	e5f7276a-544b-41ae-87d3-a7dd262a513d	PRIMARY_AUXILIARIES
503149a3-a550-4675-a93b-12c5693e0360	dc90a30e-4770-43a2-91b9-bf187deeed94	UPS
503149a3-a550-4675-a93b-12c5693e0360	8ccc7533-3add-4765-b1a4-4b4ac564ecd1	CRITICAL_AUXILIARIES
503149a3-a550-4675-a93b-12c5693e0360	cf42c024-3bda-4dba-a75a-c6630f8e7987	LIGHTING
503149a3-a550-4675-a93b-12c5693e0360	5403c14e-b56d-4f22-81cf-fc6b3b322f97	CRITICAL_POWER_DISTRIBUTION
503149a3-a550-4675-a93b-12c5693e0360	5716915d-4eca-44a4-9d46-9619bdfb79ab	CRAH
503149a3-a550-4675-a93b-12c5693e0360	4533c796-5153-4507-9c19-108bc0772b51	CRAC
503149a3-a550-4675-a93b-12c5693e0360	9500ce24-1aa3-45e5-82b0-e08eb7e34c61	CRAC_WITHOUT_FAN
503149a3-a550-4675-a93b-12c5693e0360	3591e119-0545-4f0e-900b-45f7e56c3045	CRAC_FAN
503149a3-a550-4675-a93b-12c5693e0360	a6ca6523-26b7-43aa-9017-5194e4d59df9	CHILLER
503149a3-a550-4675-a93b-12c5693e0360	d5173be8-073f-42f1-8913-0279e768162b	AIR_COOLED_CHILLER
503149a3-a550-4675-a93b-12c5693e0360	84965774-9bf4-417f-b0a7-663f2c77eb6c	COOLING_TOWER
503149a3-a550-4675-a93b-12c5693e0360	eb98fd21-312b-479e-831a-7decf6172a13	DRY_COOLER
503149a3-a550-4675-a93b-12c5693e0360	d6cdaa1c-67cd-4bf6-ac4a-4072a851a1c2	REMOTE_CONDENSER
503149a3-a550-4675-a93b-12c5693e0360	202fc767-4a68-40b8-a883-d917a942daf2	CHILLED_WATER_PUMPS
503149a3-a550-4675-a93b-12c5693e0360	554dc741-458c-4ec5-bf54-9b04432278d5	HEAT_REJECTION_PUMPS
503149a3-a550-4675-a93b-12c5693e0360	422c238d-2b7f-4af5-9948-bcda59259a3d	VENTILATION
503149a3-a550-4675-a93b-12c5693e0360	f2054488-1172-4e15-b754-c3fa25ee4082	INFILTRATION
503149a3-a550-4675-a93b-12c5693e0360	a6ff78d7-fe1a-453a-a521-a55c28304ed8	IT_LOAD
f5bcb811-27a1-44e9-81e6-e940718ce4e8	b61d0865-3836-4a8c-aafe-79f31639938b	SWITCHGEAR
f5bcb811-27a1-44e9-81e6-e940718ce4e8	7fb37a47-b01f-4723-b9cf-ca752dcbd843	GENERATOR
f5bcb811-27a1-44e9-81e6-e940718ce4e8	51b2ac9e-d9cf-401d-aac3-c9b0812ffae1	PRIMARY_AUXILIARIES
f5bcb811-27a1-44e9-81e6-e940718ce4e8	c432a1f8-2af9-4c39-af95-3f43f3e48a83	UPS
f5bcb811-27a1-44e9-81e6-e940718ce4e8	17e44bd6-2530-4f33-876a-9571f88d563d	CRITICAL_AUXILIARIES
f5bcb811-27a1-44e9-81e6-e940718ce4e8	48a40ba8-919f-491e-950b-45b1796d7d79	LIGHTING
f5bcb811-27a1-44e9-81e6-e940718ce4e8	233a7aec-7c53-456e-af8f-9c2f69dde98c	CRITICAL_POWER_DISTRIBUTION
f5bcb811-27a1-44e9-81e6-e940718ce4e8	b4bbd946-a2fb-4f93-9357-0661a4059a53	CRAH
f5bcb811-27a1-44e9-81e6-e940718ce4e8	8eef46d5-a9ca-4974-b001-f2d6ca96e901	CRAC
f5bcb811-27a1-44e9-81e6-e940718ce4e8	90433f8c-e0b9-4eb0-8078-3b9f9fc02e8f	CRAC_WITHOUT_FAN
f5bcb811-27a1-44e9-81e6-e940718ce4e8	b8e6e78d-130f-475b-9f15-0f0fdcc9671a	CRAC_FAN
f5bcb811-27a1-44e9-81e6-e940718ce4e8	4837010b-8b2a-4654-8e90-953a132d1ef0	CHILLER
f5bcb811-27a1-44e9-81e6-e940718ce4e8	9e4439b5-f931-48f8-9ab4-0e83af45469d	AIR_COOLED_CHILLER
f5bcb811-27a1-44e9-81e6-e940718ce4e8	0d4edf33-e2bd-4dcf-a4a5-d892d688b909	COOLING_TOWER
f5bcb811-27a1-44e9-81e6-e940718ce4e8	3245a2d7-4363-4019-8da0-9b76965d979a	DRY_COOLER
f5bcb811-27a1-44e9-81e6-e940718ce4e8	72277319-f6b2-4eb2-ac41-b2b1ffbffe3a	REMOTE_CONDENSER
f5bcb811-27a1-44e9-81e6-e940718ce4e8	0f587341-9a4a-4145-8345-acb02e9e3c2e	CHILLED_WATER_PUMPS
f5bcb811-27a1-44e9-81e6-e940718ce4e8	86aa0074-9105-4eec-9c4a-d96e0525af3c	HEAT_REJECTION_PUMPS
f5bcb811-27a1-44e9-81e6-e940718ce4e8	61fd8035-4800-47f6-bf80-429c4cdee85a	VENTILATION
f5bcb811-27a1-44e9-81e6-e940718ce4e8	e94a8ddd-6cfc-446f-a616-7950d6015342	INFILTRATION
f5bcb811-27a1-44e9-81e6-e940718ce4e8	92c7f9bf-45a7-46f7-87f9-637a7709fa07	IT_LOAD
dfa33a20-249a-4e11-b7aa-a41f18346181	737f0c12-48de-4b70-8db8-8388e52a4596	SWITCHGEAR
dfa33a20-249a-4e11-b7aa-a41f18346181	197c86bb-5613-461e-866d-c9427f3db05d	GENERATOR
dfa33a20-249a-4e11-b7aa-a41f18346181	238166bc-1380-4392-b20f-1482366cf7f4	PRIMARY_AUXILIARIES
dfa33a20-249a-4e11-b7aa-a41f18346181	85da0162-4828-461c-95ab-29f238f192a1	UPS
dfa33a20-249a-4e11-b7aa-a41f18346181	30472a8d-9c3b-4a50-ae10-231924bb0480	CRITICAL_AUXILIARIES
dfa33a20-249a-4e11-b7aa-a41f18346181	442220bd-c7d9-4f65-a572-4e25a4315eb1	LIGHTING
dfa33a20-249a-4e11-b7aa-a41f18346181	01558358-7a9a-41a2-8e3d-deab2061d705	CRITICAL_POWER_DISTRIBUTION
dfa33a20-249a-4e11-b7aa-a41f18346181	096eb747-ea1c-40ee-b7c2-6dcc6d13dbca	CRAH
dfa33a20-249a-4e11-b7aa-a41f18346181	f03e23e1-de5e-4f78-981a-524dc7d03d7e	CRAC
dfa33a20-249a-4e11-b7aa-a41f18346181	c4d74ec3-4882-4d5d-8805-6d44fcbaf812	CRAC_WITHOUT_FAN
dfa33a20-249a-4e11-b7aa-a41f18346181	8f8f893c-04f7-49a3-a85b-17b0ad8bc79e	CRAC_FAN
dfa33a20-249a-4e11-b7aa-a41f18346181	7132dfcb-75ac-45e6-8cfb-dd927424cfde	CHILLER
dfa33a20-249a-4e11-b7aa-a41f18346181	b1989bab-5db3-469b-8960-7e5b20af723b	AIR_COOLED_CHILLER
dfa33a20-249a-4e11-b7aa-a41f18346181	75abc526-8932-40b3-acbb-f6b094788a12	COOLING_TOWER
dfa33a20-249a-4e11-b7aa-a41f18346181	22aea3b2-709b-426b-a951-1c61bfc4b802	DRY_COOLER
dfa33a20-249a-4e11-b7aa-a41f18346181	9be31504-7259-4e8c-b64b-2356a14a4013	REMOTE_CONDENSER
dfa33a20-249a-4e11-b7aa-a41f18346181	dfcbc164-8d1e-4e73-acff-9ea48a1abffe	CHILLED_WATER_PUMPS
dfa33a20-249a-4e11-b7aa-a41f18346181	4b9a96fc-887c-4a67-a7ca-181bd33b0d7c	HEAT_REJECTION_PUMPS
dfa33a20-249a-4e11-b7aa-a41f18346181	748b9e9b-1c18-493c-9da0-66e8a1327341	VENTILATION
dfa33a20-249a-4e11-b7aa-a41f18346181	6f5105a1-940c-45e7-86c3-137174b83562	INFILTRATION
dfa33a20-249a-4e11-b7aa-a41f18346181	87de8f2c-adb9-4f3d-acae-ae104d0c5ed3	IT_LOAD
1ab21b15-d797-4fcc-beed-5b6b057f61a9	7c384182-6018-49d5-b028-990996e18193	SWITCHGEAR
1ab21b15-d797-4fcc-beed-5b6b057f61a9	e5f02809-e4a0-4b78-a6e0-e692d4d3ad99	GENERATOR
1ab21b15-d797-4fcc-beed-5b6b057f61a9	bcff1be7-9357-4e7a-9677-88d849d76de0	PRIMARY_AUXILIARIES
1ab21b15-d797-4fcc-beed-5b6b057f61a9	7038d106-59de-4b51-b65b-15ed582357e6	UPS
1ab21b15-d797-4fcc-beed-5b6b057f61a9	6c0d0c93-d5a5-4d83-af0a-0a04c1b9b257	CRITICAL_AUXILIARIES
1ab21b15-d797-4fcc-beed-5b6b057f61a9	e9304408-5afc-4b4c-bd0b-f0f06b04b15d	LIGHTING
1ab21b15-d797-4fcc-beed-5b6b057f61a9	b86910c8-4d2f-490c-b692-fc4a881330da	CRITICAL_POWER_DISTRIBUTION
1ab21b15-d797-4fcc-beed-5b6b057f61a9	a41a4b40-989c-43ca-8ec1-caf2831b415a	CRAH
1ab21b15-d797-4fcc-beed-5b6b057f61a9	5a07d3d2-3d1a-424f-a768-2ff2fb606f60	CRAC
1ab21b15-d797-4fcc-beed-5b6b057f61a9	59d43d44-06f2-4827-a8c6-91220710499b	CRAC_WITHOUT_FAN
1ab21b15-d797-4fcc-beed-5b6b057f61a9	b7d52480-a0ff-4b06-bac4-2b494942b2f2	CRAC_FAN
1ab21b15-d797-4fcc-beed-5b6b057f61a9	84770d39-46e2-45d8-adaa-3f0571df62ec	CHILLER
1ab21b15-d797-4fcc-beed-5b6b057f61a9	f48933da-f392-4958-9e28-9c61f18c87cc	AIR_COOLED_CHILLER
1ab21b15-d797-4fcc-beed-5b6b057f61a9	f4dbad05-9f8e-4192-8167-e4963045cc67	COOLING_TOWER
1ab21b15-d797-4fcc-beed-5b6b057f61a9	4af5f01d-2464-425b-8e7c-ad475d7af136	DRY_COOLER
1ab21b15-d797-4fcc-beed-5b6b057f61a9	76be30ab-c55c-41fc-916f-79651a4eda60	REMOTE_CONDENSER
1ab21b15-d797-4fcc-beed-5b6b057f61a9	16129355-5297-4f43-9273-00b081bcecfa	CHILLED_WATER_PUMPS
1ab21b15-d797-4fcc-beed-5b6b057f61a9	afed2e77-5ac4-4c55-ab3a-b26e04e125a0	HEAT_REJECTION_PUMPS
1ab21b15-d797-4fcc-beed-5b6b057f61a9	0227136c-636e-4369-b19c-b8a970e67a91	VENTILATION
1ab21b15-d797-4fcc-beed-5b6b057f61a9	b6683178-c705-4b66-9b78-1c7d98c89489	INFILTRATION
1ab21b15-d797-4fcc-beed-5b6b057f61a9	29800a18-9ec5-49a1-a1b6-9073479de2bc	IT_LOAD
93b269fd-6a6f-4cde-a8d0-a22545bffddf	c65e8853-c709-4a14-b1e8-807c3f89d148	SWITCHGEAR
93b269fd-6a6f-4cde-a8d0-a22545bffddf	153eda50-bbe1-4dc8-bf9c-a907ec3a7262	GENERATOR
93b269fd-6a6f-4cde-a8d0-a22545bffddf	9ac029a1-a241-4e8f-b47f-4f2904cfccb3	PRIMARY_AUXILIARIES
93b269fd-6a6f-4cde-a8d0-a22545bffddf	dd37b67c-4b5f-44dd-973e-a5e5f5003f93	UPS
93b269fd-6a6f-4cde-a8d0-a22545bffddf	e9b3d075-e878-4663-bfbd-6759ccbf8330	CRITICAL_AUXILIARIES
93b269fd-6a6f-4cde-a8d0-a22545bffddf	b2fcb491-1a52-49e5-a4a7-18551f89fc4a	LIGHTING
93b269fd-6a6f-4cde-a8d0-a22545bffddf	6480637a-7c21-4d15-ada6-862d30201ab4	CRITICAL_POWER_DISTRIBUTION
93b269fd-6a6f-4cde-a8d0-a22545bffddf	d28b3fee-4a36-406f-baa6-f1f4a6b4e246	CRAH
93b269fd-6a6f-4cde-a8d0-a22545bffddf	285bca81-de96-4730-9817-01f93cb6b0a6	CRAC
93b269fd-6a6f-4cde-a8d0-a22545bffddf	0bce095b-3796-4c9e-adbc-2e9c569098b2	CRAC_WITHOUT_FAN
93b269fd-6a6f-4cde-a8d0-a22545bffddf	93fd7245-b7b4-4cd3-9c8d-c789f3413de4	CRAC_FAN
93b269fd-6a6f-4cde-a8d0-a22545bffddf	1cc76c85-a406-4745-aa40-2f9ea5aab688	CHILLER
93b269fd-6a6f-4cde-a8d0-a22545bffddf	7a9774d0-cfd1-477c-b28b-ef4cdd1d145a	AIR_COOLED_CHILLER
93b269fd-6a6f-4cde-a8d0-a22545bffddf	5a0f566e-d1e5-4e55-a389-176bbc7bff87	COOLING_TOWER
93b269fd-6a6f-4cde-a8d0-a22545bffddf	2e2c2545-a78e-4928-a5f3-fb6e4b4065dd	DRY_COOLER
93b269fd-6a6f-4cde-a8d0-a22545bffddf	36ea5a3c-7ae3-4e91-8150-f7429506cc3b	REMOTE_CONDENSER
93b269fd-6a6f-4cde-a8d0-a22545bffddf	fe21d6d7-679b-4f45-b3f8-ccb51862d26d	CHILLED_WATER_PUMPS
93b269fd-6a6f-4cde-a8d0-a22545bffddf	f49f099d-eb9f-46d5-822f-01b886da09ec	HEAT_REJECTION_PUMPS
93b269fd-6a6f-4cde-a8d0-a22545bffddf	b124e6f5-b8f4-42dc-b354-99adf735c172	VENTILATION
93b269fd-6a6f-4cde-a8d0-a22545bffddf	4e4ce1a4-9eff-4619-9585-7bf22b54330f	INFILTRATION
93b269fd-6a6f-4cde-a8d0-a22545bffddf	d623d42b-f4fd-442c-9fa7-10a3fc18508d	IT_LOAD
3d260d4f-3e5e-4f68-b74d-567e0739bafc	dbeacb82-d82a-447a-b50b-3651ced9a9e5	SWITCHGEAR
3d260d4f-3e5e-4f68-b74d-567e0739bafc	370b33a3-a0a3-4331-8ea0-adadd96fef26	GENERATOR
3d260d4f-3e5e-4f68-b74d-567e0739bafc	cf012885-123d-4df5-9f1e-a8f9bc5bce51	PRIMARY_AUXILIARIES
3d260d4f-3e5e-4f68-b74d-567e0739bafc	55d0e42e-a7b3-4c35-8fec-d9265864a3d6	UPS
3d260d4f-3e5e-4f68-b74d-567e0739bafc	b2af5e61-44e2-466a-acbb-5a7b2cc41545	CRITICAL_AUXILIARIES
3d260d4f-3e5e-4f68-b74d-567e0739bafc	2c421fe7-76ea-4be5-967a-5929e243a839	LIGHTING
3d260d4f-3e5e-4f68-b74d-567e0739bafc	218b4b84-0da7-48d6-a2b0-a05a0ba1beb4	CRITICAL_POWER_DISTRIBUTION
3d260d4f-3e5e-4f68-b74d-567e0739bafc	d78b467b-d3f7-44f4-8e65-82ba66d4e277	CRAH
3d260d4f-3e5e-4f68-b74d-567e0739bafc	03cf30eb-fcf9-4bf6-a4d6-c17279ffe6ef	CRAC
3d260d4f-3e5e-4f68-b74d-567e0739bafc	cc361d1f-ae13-4dc3-a81b-163b09c1e0ac	CRAC_WITHOUT_FAN
3d260d4f-3e5e-4f68-b74d-567e0739bafc	ea6170bf-b3ea-467c-a5a4-7438b859d0fe	CRAC_FAN
3d260d4f-3e5e-4f68-b74d-567e0739bafc	b2c9a5f5-4d5b-438f-b5cc-1493bfbf8a58	CHILLER
3d260d4f-3e5e-4f68-b74d-567e0739bafc	83811726-459f-48b9-8c50-d9268cb2e4b6	AIR_COOLED_CHILLER
3d260d4f-3e5e-4f68-b74d-567e0739bafc	4335d187-729e-4ee3-a258-e76b8b9273cb	COOLING_TOWER
3d260d4f-3e5e-4f68-b74d-567e0739bafc	f1104fce-7a3c-48c9-8ca1-7461cbe635a4	DRY_COOLER
3d260d4f-3e5e-4f68-b74d-567e0739bafc	ad2e562d-8813-4424-b2ee-b2ce46ead042	REMOTE_CONDENSER
3d260d4f-3e5e-4f68-b74d-567e0739bafc	aa7afa48-c542-424c-812f-14c735f19707	CHILLED_WATER_PUMPS
3d260d4f-3e5e-4f68-b74d-567e0739bafc	473bb134-b47a-4ff0-8eaf-1105440332be	HEAT_REJECTION_PUMPS
3d260d4f-3e5e-4f68-b74d-567e0739bafc	7edf10dc-3be9-486f-ba0e-d07aca9d9736	VENTILATION
3d260d4f-3e5e-4f68-b74d-567e0739bafc	4fed6f11-4360-4642-bcc4-7beb6ad855d1	INFILTRATION
3d260d4f-3e5e-4f68-b74d-567e0739bafc	bcafd847-5f46-4000-95b9-6bb1344d3a43	IT_LOAD
65fc6422-8f81-47d1-8ffe-7a92603a3a66	f4a19271-2a4b-4706-9036-097071c02fa9	SWITCHGEAR
65fc6422-8f81-47d1-8ffe-7a92603a3a66	aa6db421-a7b8-4faf-ba1a-89b3e32560bc	GENERATOR
65fc6422-8f81-47d1-8ffe-7a92603a3a66	c82bf023-38a2-4881-95d4-589ba5dc1605	PRIMARY_AUXILIARIES
65fc6422-8f81-47d1-8ffe-7a92603a3a66	fb311c44-74be-4736-95c6-2ca1e7dfe3db	UPS
65fc6422-8f81-47d1-8ffe-7a92603a3a66	f5092f38-b789-42bc-957b-6b3c812c9f2b	CRITICAL_AUXILIARIES
65fc6422-8f81-47d1-8ffe-7a92603a3a66	0eb62111-b711-4529-bbf3-ba38d999b011	LIGHTING
65fc6422-8f81-47d1-8ffe-7a92603a3a66	9347242f-34c0-4d00-a08d-77410f0758a3	CRITICAL_POWER_DISTRIBUTION
65fc6422-8f81-47d1-8ffe-7a92603a3a66	65f142a3-c311-4bf4-811d-bb70c67773ed	CRAH
65fc6422-8f81-47d1-8ffe-7a92603a3a66	e0b5d844-c4d6-41a4-a823-3d4a46e12b4c	CRAC
65fc6422-8f81-47d1-8ffe-7a92603a3a66	0058475f-9243-4003-9f65-7b673d52e704	CRAC_WITHOUT_FAN
65fc6422-8f81-47d1-8ffe-7a92603a3a66	6354d7fb-959a-4aa1-ba6c-ba984e61f437	CRAC_FAN
65fc6422-8f81-47d1-8ffe-7a92603a3a66	f8bea9f9-37c8-499c-afad-cf2a178926cd	CHILLER
65fc6422-8f81-47d1-8ffe-7a92603a3a66	b271ec16-609b-46c1-a3a8-9271c484cbd7	AIR_COOLED_CHILLER
65fc6422-8f81-47d1-8ffe-7a92603a3a66	c6168b09-81d0-4ae8-b779-757178cc1131	COOLING_TOWER
65fc6422-8f81-47d1-8ffe-7a92603a3a66	1d227de6-4a62-4159-b43a-7fc490a8f81e	DRY_COOLER
65fc6422-8f81-47d1-8ffe-7a92603a3a66	b8ce5b2c-c768-460c-8ef9-8fff4a98c234	REMOTE_CONDENSER
65fc6422-8f81-47d1-8ffe-7a92603a3a66	dbdfb00e-f726-4913-8e5a-89356347b368	CHILLED_WATER_PUMPS
65fc6422-8f81-47d1-8ffe-7a92603a3a66	8874d33c-fe58-4a7c-9428-b522f7048676	HEAT_REJECTION_PUMPS
65fc6422-8f81-47d1-8ffe-7a92603a3a66	44034829-2283-4a3b-aa2e-b027a2193086	VENTILATION
65fc6422-8f81-47d1-8ffe-7a92603a3a66	cba22644-d3b2-4038-96c4-ba71dc902b49	INFILTRATION
65fc6422-8f81-47d1-8ffe-7a92603a3a66	cd79751c-05e9-4791-8ab8-84f1f8ee909f	IT_LOAD
afc01e46-f26c-4e8c-9da0-5738352da536	05429c3e-e100-4f68-9231-cbd8fe7ee442	SWITCHGEAR
afc01e46-f26c-4e8c-9da0-5738352da536	69ecd143-1aa5-463a-8151-9f676f719da0	GENERATOR
afc01e46-f26c-4e8c-9da0-5738352da536	2ea345b9-1aab-480e-b9a6-73c169a916fa	PRIMARY_AUXILIARIES
afc01e46-f26c-4e8c-9da0-5738352da536	e489e96a-0fa5-4894-953c-e879a4a2455c	UPS
afc01e46-f26c-4e8c-9da0-5738352da536	c6a4d934-375e-408f-9138-754d12803db9	CRITICAL_AUXILIARIES
afc01e46-f26c-4e8c-9da0-5738352da536	80c0bb84-8bb8-4b7a-acd6-46f4f947411c	LIGHTING
afc01e46-f26c-4e8c-9da0-5738352da536	d3792196-2830-4dd9-8021-33e72c99bf85	CRITICAL_POWER_DISTRIBUTION
afc01e46-f26c-4e8c-9da0-5738352da536	e2dd66b1-a598-4927-8aa7-abb8c4db4c65	CRAH
afc01e46-f26c-4e8c-9da0-5738352da536	9f29e3f5-dad9-453b-b873-7812196a26f5	CRAC
afc01e46-f26c-4e8c-9da0-5738352da536	9dc21f27-b7b2-48e5-9206-18673be2769c	CRAC_WITHOUT_FAN
afc01e46-f26c-4e8c-9da0-5738352da536	5092fb65-f8a6-42ed-8dae-ac7e62599df9	CRAC_FAN
afc01e46-f26c-4e8c-9da0-5738352da536	21535c12-d916-41fb-b264-4908904f5a44	CHILLER
afc01e46-f26c-4e8c-9da0-5738352da536	2606454b-31f3-47a7-84f7-21036be85078	AIR_COOLED_CHILLER
afc01e46-f26c-4e8c-9da0-5738352da536	2bbfec0f-ea34-45a3-a9fa-898f27694830	COOLING_TOWER
afc01e46-f26c-4e8c-9da0-5738352da536	be633fa5-f1ec-4c49-bad3-c87f3c52966a	DRY_COOLER
afc01e46-f26c-4e8c-9da0-5738352da536	29725e6b-7a95-4368-bed6-52bdc979776d	REMOTE_CONDENSER
afc01e46-f26c-4e8c-9da0-5738352da536	88472c96-ceb4-477d-91de-079a342576dd	CHILLED_WATER_PUMPS
afc01e46-f26c-4e8c-9da0-5738352da536	10077ac6-28dd-41bd-a357-fb2884ede1dd	HEAT_REJECTION_PUMPS
afc01e46-f26c-4e8c-9da0-5738352da536	980ad34c-b752-4797-baca-7afb34d808c2	VENTILATION
afc01e46-f26c-4e8c-9da0-5738352da536	41eeb5de-d6f0-48d5-b392-35fcdb666c19	INFILTRATION
afc01e46-f26c-4e8c-9da0-5738352da536	9629e9c1-063b-4f74-aee2-ad90b9ac0c11	IT_LOAD
dd956c05-fdfa-4587-84f0-782c2e6203b5	1b561224-6eb5-413b-942b-28b7759f0e00	SWITCHGEAR
dd956c05-fdfa-4587-84f0-782c2e6203b5	ff78ef0d-31a8-458d-adf2-de6fdf1ad595	GENERATOR
dd956c05-fdfa-4587-84f0-782c2e6203b5	aa1c6e48-5826-4c38-81dc-648119fd3af3	PRIMARY_AUXILIARIES
dd956c05-fdfa-4587-84f0-782c2e6203b5	27321c63-1f01-462e-a50e-844be6019cb4	UPS
dd956c05-fdfa-4587-84f0-782c2e6203b5	e07e6a61-8963-477e-8c77-55690724d5ca	CRITICAL_AUXILIARIES
dd956c05-fdfa-4587-84f0-782c2e6203b5	e12ae50d-f1a6-4916-bc6a-c02eea7570af	LIGHTING
dd956c05-fdfa-4587-84f0-782c2e6203b5	3ce8203f-58b6-4f39-903d-be0305de3a72	CRITICAL_POWER_DISTRIBUTION
dd956c05-fdfa-4587-84f0-782c2e6203b5	75406c38-fb33-4ece-a993-0fb1494c02ca	CRAH
dd956c05-fdfa-4587-84f0-782c2e6203b5	6f827428-c48f-4cac-86f2-37f19b025c00	CRAC
dd956c05-fdfa-4587-84f0-782c2e6203b5	2a80484a-2ed3-474d-a408-d6f071738e63	CRAC_WITHOUT_FAN
dd956c05-fdfa-4587-84f0-782c2e6203b5	85bcfe60-f3a8-448d-b27c-eef863b42d98	CRAC_FAN
dd956c05-fdfa-4587-84f0-782c2e6203b5	e7fa7a9f-2601-40c6-a4d7-1113badd9bbd	CHILLER
dd956c05-fdfa-4587-84f0-782c2e6203b5	429c9dea-7573-486d-9d63-18efc57717de	AIR_COOLED_CHILLER
dd956c05-fdfa-4587-84f0-782c2e6203b5	674694d6-e6b4-43a9-a15d-047eed5e1139	COOLING_TOWER
dd956c05-fdfa-4587-84f0-782c2e6203b5	3ab348c8-286c-40ed-90a1-e7d56269be46	DRY_COOLER
dd956c05-fdfa-4587-84f0-782c2e6203b5	996cb4e1-d7c8-4b1d-b87e-ea0a81273c22	REMOTE_CONDENSER
dd956c05-fdfa-4587-84f0-782c2e6203b5	c4d4c89e-0ac2-434e-9ca0-3a56945484bf	CHILLED_WATER_PUMPS
dd956c05-fdfa-4587-84f0-782c2e6203b5	8224f3eb-c2f9-4e9a-89af-4ed77754db6a	HEAT_REJECTION_PUMPS
dd956c05-fdfa-4587-84f0-782c2e6203b5	1d62ac95-c52a-4e0e-8180-714428503973	VENTILATION
dd956c05-fdfa-4587-84f0-782c2e6203b5	6186eb77-440e-4749-92aa-701d47ffa641	INFILTRATION
dd956c05-fdfa-4587-84f0-782c2e6203b5	16282c57-6e71-4072-91b3-3e5ab9865562	IT_LOAD
95d115a8-7171-4969-b61c-35a566febc92	e4b37b27-a3d8-4146-802c-e8ca8d68a455	SWITCHGEAR
95d115a8-7171-4969-b61c-35a566febc92	7437f638-429d-43b2-9f21-b499df1d1850	GENERATOR
95d115a8-7171-4969-b61c-35a566febc92	0c7390ec-7c19-4515-bb80-a5c0576c5aab	PRIMARY_AUXILIARIES
95d115a8-7171-4969-b61c-35a566febc92	3e21e3d8-4582-484d-b097-236810bea1a6	UPS
95d115a8-7171-4969-b61c-35a566febc92	ef36b097-3b0a-4363-ab24-66711028a530	CRITICAL_AUXILIARIES
95d115a8-7171-4969-b61c-35a566febc92	747c443a-a5a6-475b-9366-8e7bbaa33b0d	LIGHTING
95d115a8-7171-4969-b61c-35a566febc92	29701d2d-bb3f-48cd-8b62-62a1eba9e0c8	CRITICAL_POWER_DISTRIBUTION
95d115a8-7171-4969-b61c-35a566febc92	a21949b8-9593-4fe4-9788-4f4487a6cad9	CRAH
95d115a8-7171-4969-b61c-35a566febc92	e508691a-b065-4de9-abb6-1f476853f84b	CRAC
95d115a8-7171-4969-b61c-35a566febc92	3fa37848-5057-434e-8856-743d534c27c4	CRAC_WITHOUT_FAN
95d115a8-7171-4969-b61c-35a566febc92	354a3ecb-39cb-494a-be59-b5e0824b5240	CRAC_FAN
95d115a8-7171-4969-b61c-35a566febc92	bbbd201b-7a6b-4ce6-8c0f-6fc5085befbb	CHILLER
95d115a8-7171-4969-b61c-35a566febc92	9d490059-6d15-4396-bef5-6989f0a2877b	AIR_COOLED_CHILLER
95d115a8-7171-4969-b61c-35a566febc92	5c1514f0-fc20-401f-8cfc-2225feb7ea6f	COOLING_TOWER
95d115a8-7171-4969-b61c-35a566febc92	7c9fd944-9106-4f09-b0cf-73caac5d753c	DRY_COOLER
95d115a8-7171-4969-b61c-35a566febc92	9de828ff-c78c-476c-821b-28227718108d	REMOTE_CONDENSER
95d115a8-7171-4969-b61c-35a566febc92	eb9343f5-065f-481d-a235-df8f6f096b46	CHILLED_WATER_PUMPS
95d115a8-7171-4969-b61c-35a566febc92	94d84b9d-f2a6-48e0-9ccc-e3c5e8382dc5	HEAT_REJECTION_PUMPS
95d115a8-7171-4969-b61c-35a566febc92	85aa3eaf-18b7-4e32-b0e8-73873199ca4c	VENTILATION
95d115a8-7171-4969-b61c-35a566febc92	007005b7-bad9-4f8d-8f77-14345a7c61a7	INFILTRATION
95d115a8-7171-4969-b61c-35a566febc92	24c4623b-ce68-4068-96dd-b38bec7e947e	IT_LOAD
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	0cceff54-515d-4852-8d6d-66cf659cd7a9	SWITCHGEAR
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	8a5b9c5f-ba53-48a0-9a5b-72d0c695c6fd	GENERATOR
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	fb498f73-48f2-4b9e-b34e-0ca9aa1ef65c	PRIMARY_AUXILIARIES
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	3647d9ec-e6ae-484d-823e-4d534d5d2e47	UPS
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	e83669db-5f7f-4704-9f19-a36a3dba52ae	CRITICAL_AUXILIARIES
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	09f3af7f-e8e2-4d98-a7fc-ba49204f4fe3	LIGHTING
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	75fc184c-08b7-488b-ab99-f1ff99ad4bac	CRITICAL_POWER_DISTRIBUTION
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	a4cf4b0f-3b4e-45b2-b79f-4dbda7504b86	CRAH
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	a574d221-fe7b-458d-918a-a319e86281f3	CRAC
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	c9335384-f517-424d-8e54-64f0e98b52e6	CRAC_WITHOUT_FAN
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	1b538d01-b7e6-47f4-b2c1-d78e7abf7d6e	CRAC_FAN
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	137e20a6-a6ea-4a0a-935f-e9e3b4eace9f	CHILLER
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	e475601a-b923-46e8-bd2e-a9576b5e3d90	AIR_COOLED_CHILLER
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	0e4ad873-7008-408d-9fb3-49d40a0a4322	COOLING_TOWER
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	024bedcb-1ad8-4d54-a0f9-119ee0163f4e	DRY_COOLER
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	e33380dd-d988-43af-a8c1-bb3e9a9baca3	REMOTE_CONDENSER
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	7660b00e-562a-43a2-9841-d07fb4ddc74d	CHILLED_WATER_PUMPS
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	18d25cdd-0191-44e9-af6e-22ff90619d37	HEAT_REJECTION_PUMPS
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	00492121-1589-4205-aaf8-dd5dc9358b5c	VENTILATION
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	9bb03838-6280-4e97-b21e-535ae3aff3d6	INFILTRATION
5982e2c0-6e14-4fbf-a3e1-a84d0a3353bb	1c6efadb-2bf5-4e7b-b046-c2abc2200924	IT_LOAD
7be216cc-fb61-46ca-9712-53e6109ec4cd	fcde7cb5-806e-4de1-b3ec-0ce5ad99df0d	SWITCHGEAR
7be216cc-fb61-46ca-9712-53e6109ec4cd	e9f79cc5-7c44-49f0-a918-d066105d46c8	GENERATOR
7be216cc-fb61-46ca-9712-53e6109ec4cd	52e56d85-3a4b-42df-9c7d-c2dc52dcc8a1	PRIMARY_AUXILIARIES
7be216cc-fb61-46ca-9712-53e6109ec4cd	2ddbff46-7aea-40f7-8029-61871911da28	UPS
7be216cc-fb61-46ca-9712-53e6109ec4cd	6481367d-abcf-4d28-a567-688cd4f0f279	CRITICAL_AUXILIARIES
7be216cc-fb61-46ca-9712-53e6109ec4cd	425c6211-b4cf-4869-b42e-3f62a89f1d4b	LIGHTING
7be216cc-fb61-46ca-9712-53e6109ec4cd	d2ea2e5d-644d-4e8f-ac40-e4cbf6c23cf3	CRITICAL_POWER_DISTRIBUTION
7be216cc-fb61-46ca-9712-53e6109ec4cd	ba5f4211-7ae6-43a5-9226-0ef988fe3317	CRAH
7be216cc-fb61-46ca-9712-53e6109ec4cd	d3e7a52c-55f2-40cb-88f3-5bcf607e9229	CRAC
7be216cc-fb61-46ca-9712-53e6109ec4cd	d96e17d4-cdc3-462f-b058-99934170a7f0	CRAC_WITHOUT_FAN
7be216cc-fb61-46ca-9712-53e6109ec4cd	85e25bdc-bb45-4c9c-a9f8-4f85780b37cf	CRAC_FAN
7be216cc-fb61-46ca-9712-53e6109ec4cd	ae19a056-7a1b-453b-abd9-10ec9e7486f1	CHILLER
7be216cc-fb61-46ca-9712-53e6109ec4cd	f5ee5f67-841f-4c47-9a5b-fd4fd8f70bde	AIR_COOLED_CHILLER
7be216cc-fb61-46ca-9712-53e6109ec4cd	fcc94b52-ca7e-4305-a9f1-181a2f8e5370	COOLING_TOWER
7be216cc-fb61-46ca-9712-53e6109ec4cd	c76198ab-d455-42e6-8fe1-053be67c7c36	DRY_COOLER
7be216cc-fb61-46ca-9712-53e6109ec4cd	41104f82-3af0-4de8-91ab-6eb9796fb58e	REMOTE_CONDENSER
7be216cc-fb61-46ca-9712-53e6109ec4cd	72750b73-cc5e-4916-8e96-42153d800467	CHILLED_WATER_PUMPS
7be216cc-fb61-46ca-9712-53e6109ec4cd	1122ee48-4719-49bf-9a45-6f112c858476	HEAT_REJECTION_PUMPS
7be216cc-fb61-46ca-9712-53e6109ec4cd	ebae48e6-f201-454f-b89a-4a54aa59b10a	VENTILATION
7be216cc-fb61-46ca-9712-53e6109ec4cd	d349d70c-f600-4839-a94e-c3decd941fd6	INFILTRATION
7be216cc-fb61-46ca-9712-53e6109ec4cd	b9d524ce-1ba2-40e3-b789-5e9a077a5e83	IT_LOAD
a4fd8743-765e-4f52-b038-fb452bd6350c	ff8ec92e-10f4-4b63-8cda-f321a21de3d5	SWITCHGEAR
a4fd8743-765e-4f52-b038-fb452bd6350c	9084e618-5126-41d4-989e-17b7ff430197	GENERATOR
a4fd8743-765e-4f52-b038-fb452bd6350c	ca4ec666-34ce-473b-a7f5-a46d6eff765a	PRIMARY_AUXILIARIES
a4fd8743-765e-4f52-b038-fb452bd6350c	185054ef-b2bd-46b4-87e8-c2767e7899f0	UPS
a4fd8743-765e-4f52-b038-fb452bd6350c	98a9ca51-7658-4a32-858a-2832fdf0a401	CRITICAL_AUXILIARIES
a4fd8743-765e-4f52-b038-fb452bd6350c	3e4557a9-ef23-46f1-b2a6-2d74410a39ec	LIGHTING
a4fd8743-765e-4f52-b038-fb452bd6350c	265695ca-1aa6-46c3-8161-d32c84396a8c	CRITICAL_POWER_DISTRIBUTION
a4fd8743-765e-4f52-b038-fb452bd6350c	5be940a6-2f84-4934-8e8b-20302bc16194	CRAH
a4fd8743-765e-4f52-b038-fb452bd6350c	49585553-39fe-442d-b063-d5a007f4995a	CRAC
a4fd8743-765e-4f52-b038-fb452bd6350c	c3f22da0-185d-4f54-a67b-063fbd501631	CRAC_WITHOUT_FAN
a4fd8743-765e-4f52-b038-fb452bd6350c	c6d227c2-2189-43aa-a92d-b94f45c530f6	CRAC_FAN
a4fd8743-765e-4f52-b038-fb452bd6350c	fa663b63-b396-4d19-adb0-b2b0eec0b79a	CHILLER
a4fd8743-765e-4f52-b038-fb452bd6350c	f60a9176-11b6-46ba-bc0e-46bb99264d0b	AIR_COOLED_CHILLER
a4fd8743-765e-4f52-b038-fb452bd6350c	b66f3d75-00e3-4288-b9fc-7330b569e50b	COOLING_TOWER
a4fd8743-765e-4f52-b038-fb452bd6350c	a30e4287-ee75-4b4b-a46f-302ac9c91b9d	DRY_COOLER
a4fd8743-765e-4f52-b038-fb452bd6350c	dc7e7cce-2898-4d75-93f9-16e13209ae71	REMOTE_CONDENSER
1ba50639-7224-4fbd-9f9d-a5ede67b1818	6a83307f-fd7c-4852-9bf9-3afa171aa9a0	SWITCHGEAR
1ba50639-7224-4fbd-9f9d-a5ede67b1818	961323b4-2828-4762-8133-b75862d0100f	GENERATOR
1ba50639-7224-4fbd-9f9d-a5ede67b1818	3cdfe400-7ef2-4b76-bd87-8a138527f708	PRIMARY_AUXILIARIES
1ba50639-7224-4fbd-9f9d-a5ede67b1818	5d1ebf03-c1e3-40cd-8556-7616a62567d1	UPS
1ba50639-7224-4fbd-9f9d-a5ede67b1818	59072d12-7165-4db2-babd-cc7a8bfde24d	CRITICAL_AUXILIARIES
1ba50639-7224-4fbd-9f9d-a5ede67b1818	abcb12fc-7291-43ce-9783-d66aa1589fcb	LIGHTING
1ba50639-7224-4fbd-9f9d-a5ede67b1818	8f22057b-68ae-4060-b22b-4505b58bedb9	CRITICAL_POWER_DISTRIBUTION
1ba50639-7224-4fbd-9f9d-a5ede67b1818	878a32be-1bc4-4ed2-ac72-2870c4afcc74	CRAH
1ba50639-7224-4fbd-9f9d-a5ede67b1818	41282615-d0bb-4820-8ba7-b1fbd16999f3	CRAC
1ba50639-7224-4fbd-9f9d-a5ede67b1818	d552cee0-fd0c-4ea8-bc0b-0b99a767247c	CRAC_WITHOUT_FAN
1ba50639-7224-4fbd-9f9d-a5ede67b1818	ee6af272-e61b-4cb1-84cb-d5ff2aac2965	CRAC_FAN
1ba50639-7224-4fbd-9f9d-a5ede67b1818	35a75130-740e-48e5-b5b2-94d326597390	CHILLER
1ba50639-7224-4fbd-9f9d-a5ede67b1818	1249436e-64d4-4c23-b94d-c5cc8b781af8	AIR_COOLED_CHILLER
1ba50639-7224-4fbd-9f9d-a5ede67b1818	ceb76fd2-0724-4434-9054-d7ed7451d66b	COOLING_TOWER
1ba50639-7224-4fbd-9f9d-a5ede67b1818	73ffdeb5-e506-4e26-bbda-2352436179f6	DRY_COOLER
1ba50639-7224-4fbd-9f9d-a5ede67b1818	09a4a096-eb81-4a5a-9320-47879843c1b9	REMOTE_CONDENSER
1ba50639-7224-4fbd-9f9d-a5ede67b1818	c03ce08d-3f04-4a10-81b5-9d1ffe446cd3	CHILLED_WATER_PUMPS
1ba50639-7224-4fbd-9f9d-a5ede67b1818	40fc7945-a225-4b88-a49a-39fcf929432f	HEAT_REJECTION_PUMPS
1ba50639-7224-4fbd-9f9d-a5ede67b1818	b062d418-33bc-4e02-9103-fd832d6786c8	VENTILATION
1ba50639-7224-4fbd-9f9d-a5ede67b1818	c83af982-4c3c-4dd4-b6de-8d8fc6f2821a	INFILTRATION
1ba50639-7224-4fbd-9f9d-a5ede67b1818	6fa22565-7c70-4c7a-80f4-148beda783fe	IT_LOAD
61da6ab5-c6c0-4535-af79-6828698695ae	07511b8e-39bf-4498-ab6c-d23d65308b64	SWITCHGEAR
61da6ab5-c6c0-4535-af79-6828698695ae	10da02bd-d333-495b-965a-d2f9905c5fab	GENERATOR
61da6ab5-c6c0-4535-af79-6828698695ae	6ae7bf27-ce32-4567-a4e8-25f56aca560f	PRIMARY_AUXILIARIES
61da6ab5-c6c0-4535-af79-6828698695ae	cd9f509f-556e-4908-8656-370babdac75a	UPS
61da6ab5-c6c0-4535-af79-6828698695ae	4919b109-221f-4e26-b1ef-0d20903d0464	CRITICAL_AUXILIARIES
61da6ab5-c6c0-4535-af79-6828698695ae	aa52db88-b482-4bbf-8cb5-b1cf23712d40	LIGHTING
61da6ab5-c6c0-4535-af79-6828698695ae	951ff976-6091-4a1e-9cb2-f3385c51f088	CRITICAL_POWER_DISTRIBUTION
61da6ab5-c6c0-4535-af79-6828698695ae	cc7a153e-7ffa-44a9-8198-2b48014a31e9	CRAH
61da6ab5-c6c0-4535-af79-6828698695ae	6961bdb3-10c9-4de5-840f-b1b79d5b892c	CRAC
61da6ab5-c6c0-4535-af79-6828698695ae	2dd8cbf5-447f-48c6-95ae-7a561ee4d833	CRAC_WITHOUT_FAN
61da6ab5-c6c0-4535-af79-6828698695ae	6a235b3f-2942-4a01-81b4-b89d4d5a8ba5	CRAC_FAN
61da6ab5-c6c0-4535-af79-6828698695ae	b32ef80b-90b2-432f-b3ee-49bdbae7071d	CHILLER
61da6ab5-c6c0-4535-af79-6828698695ae	912a8e66-f045-4ec0-9d81-dfd6f65b28fd	AIR_COOLED_CHILLER
61da6ab5-c6c0-4535-af79-6828698695ae	e50923af-e3ad-4131-9a7f-604fe7d610af	COOLING_TOWER
61da6ab5-c6c0-4535-af79-6828698695ae	2b6fdd57-b000-4e19-818f-c8d83d5ec4ba	DRY_COOLER
61da6ab5-c6c0-4535-af79-6828698695ae	7ff93a87-af5e-4581-9bb9-731e1cf7e950	REMOTE_CONDENSER
61da6ab5-c6c0-4535-af79-6828698695ae	e31a954a-fbed-41fa-9953-fcaae743205a	CHILLED_WATER_PUMPS
61da6ab5-c6c0-4535-af79-6828698695ae	6291458f-58f7-47b2-8440-71f3da4432bb	HEAT_REJECTION_PUMPS
61da6ab5-c6c0-4535-af79-6828698695ae	33eb257b-2652-4cb1-a78d-d0b73ab61d88	VENTILATION
61da6ab5-c6c0-4535-af79-6828698695ae	a5099957-e4f2-498b-9241-fe3657afdb21	INFILTRATION
61da6ab5-c6c0-4535-af79-6828698695ae	eb679828-c0d0-4c75-991a-81ee6ce8e813	IT_LOAD
60109b49-af6c-40eb-bf95-2cf42fb1d277	119b0ead-c507-485d-baab-0d859b75dacb	SWITCHGEAR
60109b49-af6c-40eb-bf95-2cf42fb1d277	d5a94ab9-06af-4044-b66c-17243970e719	GENERATOR
60109b49-af6c-40eb-bf95-2cf42fb1d277	8cce897f-c9e2-440d-9891-f74bd1e772ba	PRIMARY_AUXILIARIES
60109b49-af6c-40eb-bf95-2cf42fb1d277	aff8cd5a-5ad1-47e0-b756-62730dc87b20	UPS
60109b49-af6c-40eb-bf95-2cf42fb1d277	532b172b-dd3d-4ab8-b735-0969348c26c4	CRITICAL_AUXILIARIES
60109b49-af6c-40eb-bf95-2cf42fb1d277	4909090f-4283-461a-accc-6ed405371024	LIGHTING
60109b49-af6c-40eb-bf95-2cf42fb1d277	9fa4b1fd-d414-45c4-929a-331b69048a22	CRITICAL_POWER_DISTRIBUTION
60109b49-af6c-40eb-bf95-2cf42fb1d277	f954cf05-7c0c-44cf-a775-d6fe4b3522c8	CRAH
60109b49-af6c-40eb-bf95-2cf42fb1d277	c582603f-cf26-4fff-9732-e04aad6b87d1	CRAC
60109b49-af6c-40eb-bf95-2cf42fb1d277	6da45c7a-d22a-4fbb-b0ab-0653ae7874bf	CRAC_WITHOUT_FAN
60109b49-af6c-40eb-bf95-2cf42fb1d277	ba0f16be-617b-4eb3-a803-1d872ac2032c	CRAC_FAN
60109b49-af6c-40eb-bf95-2cf42fb1d277	058d58df-26f7-4d17-89f5-f1b3c9626b5b	CHILLER
60109b49-af6c-40eb-bf95-2cf42fb1d277	6bfcb15a-b73f-440e-ba2e-3678ef7109a6	AIR_COOLED_CHILLER
60109b49-af6c-40eb-bf95-2cf42fb1d277	525f1d41-1806-4ac7-a51b-8da586219fac	COOLING_TOWER
60109b49-af6c-40eb-bf95-2cf42fb1d277	3ac8e527-b6de-4615-92e5-43cce769bcb0	DRY_COOLER
60109b49-af6c-40eb-bf95-2cf42fb1d277	2891a667-c0d1-46fd-9190-168fa8656023	REMOTE_CONDENSER
60109b49-af6c-40eb-bf95-2cf42fb1d277	67540230-946f-41e7-a20d-7aae29b132e4	CHILLED_WATER_PUMPS
60109b49-af6c-40eb-bf95-2cf42fb1d277	b148c6f1-ff9f-4eeb-8ce4-93b06b5c3666	HEAT_REJECTION_PUMPS
60109b49-af6c-40eb-bf95-2cf42fb1d277	00477721-5b8f-41c5-ac85-31758e671fa2	VENTILATION
60109b49-af6c-40eb-bf95-2cf42fb1d277	a6cfb95f-a3e1-4f2e-a9c0-71e086de58b3	INFILTRATION
60109b49-af6c-40eb-bf95-2cf42fb1d277	04c69530-eb08-4a8c-9c53-edc78c7a49ca	IT_LOAD
6af5abfa-21fa-4746-8c54-363695ca8432	0ef28942-e35f-46d8-8ef9-b8ab193daeb3	SWITCHGEAR
6af5abfa-21fa-4746-8c54-363695ca8432	3c538540-c148-40f2-9c77-d55934b9fdcb	GENERATOR
6af5abfa-21fa-4746-8c54-363695ca8432	f8273613-fff5-4316-8940-b62fa69d0a4e	PRIMARY_AUXILIARIES
6af5abfa-21fa-4746-8c54-363695ca8432	6e2d831f-5f01-4d88-bead-d1bc4672422c	UPS
6af5abfa-21fa-4746-8c54-363695ca8432	d16459ea-0f27-4b3b-a264-7bd674eee709	CRITICAL_AUXILIARIES
6af5abfa-21fa-4746-8c54-363695ca8432	4f65c2c8-0ee7-4a7e-b53d-717ec09cf6fd	LIGHTING
6af5abfa-21fa-4746-8c54-363695ca8432	eaf962d1-c8ff-401a-b665-4cb02b7b28d8	CRITICAL_POWER_DISTRIBUTION
6af5abfa-21fa-4746-8c54-363695ca8432	1381e5cd-bd46-4023-b223-386d4a56b281	CRAH
6af5abfa-21fa-4746-8c54-363695ca8432	feb84a85-056e-47f3-a66e-9d6503e0015a	CRAC
6af5abfa-21fa-4746-8c54-363695ca8432	c6126718-a01b-48e8-96e7-17dc466be287	CRAC_WITHOUT_FAN
6af5abfa-21fa-4746-8c54-363695ca8432	44552d77-93b7-477e-a767-128cc5843147	CRAC_FAN
6af5abfa-21fa-4746-8c54-363695ca8432	b355eb6b-18ce-4abc-8ca7-5d6e447c0dff	CHILLER
6af5abfa-21fa-4746-8c54-363695ca8432	eff4f8df-34e0-4dc7-9b33-5af2eca0fc1d	AIR_COOLED_CHILLER
6af5abfa-21fa-4746-8c54-363695ca8432	59960a98-c907-4e19-b506-545d75da8a01	COOLING_TOWER
6af5abfa-21fa-4746-8c54-363695ca8432	12f37216-3cca-4435-b266-ad6cc6c76bfd	DRY_COOLER
6af5abfa-21fa-4746-8c54-363695ca8432	d4026783-cc23-4069-ac7c-71a8ced2f820	REMOTE_CONDENSER
6af5abfa-21fa-4746-8c54-363695ca8432	f8ac3cb1-3d19-4b6a-a05e-c22532348d45	CHILLED_WATER_PUMPS
6af5abfa-21fa-4746-8c54-363695ca8432	a83b0838-3d73-43fe-bb21-add9ecfcbd20	HEAT_REJECTION_PUMPS
6af5abfa-21fa-4746-8c54-363695ca8432	d1ecc3d4-f60b-47e3-9c11-2c7ae4a6ff8d	VENTILATION
6af5abfa-21fa-4746-8c54-363695ca8432	0f65c8ba-53cb-4766-a230-2a25268a9cce	INFILTRATION
6af5abfa-21fa-4746-8c54-363695ca8432	3df2a3fc-6669-46af-8aaa-6b6daf4f29bb	IT_LOAD
d60679c4-d73e-4230-960a-a962d95a76e0	72dce15d-454c-42e7-ab07-b9377fc64849	SWITCHGEAR
d60679c4-d73e-4230-960a-a962d95a76e0	d3c5ca89-b9fe-43c8-b07e-3edc553bdba1	GENERATOR
d60679c4-d73e-4230-960a-a962d95a76e0	c41081c0-a31f-4171-92b2-e1d0b378ee30	PRIMARY_AUXILIARIES
d60679c4-d73e-4230-960a-a962d95a76e0	3a67b7c9-38e7-49f1-b883-00b9bceb39ca	UPS
d60679c4-d73e-4230-960a-a962d95a76e0	77fad84f-7c44-4f1e-9774-cfa250c69d20	CRITICAL_AUXILIARIES
d60679c4-d73e-4230-960a-a962d95a76e0	9be422d4-2a26-49fb-bd68-34e1a284b524	LIGHTING
d60679c4-d73e-4230-960a-a962d95a76e0	432aa836-cf41-4a27-b2ff-3c8ac43a361f	CRITICAL_POWER_DISTRIBUTION
d60679c4-d73e-4230-960a-a962d95a76e0	1301c347-942c-4a08-a203-58fd542ef1e4	CRAH
d60679c4-d73e-4230-960a-a962d95a76e0	79529b1e-b0be-458c-94d1-08dc62ecd21c	CRAC
d60679c4-d73e-4230-960a-a962d95a76e0	5b1b530a-c1a4-4dec-8e07-811721e90f85	CRAC_WITHOUT_FAN
d60679c4-d73e-4230-960a-a962d95a76e0	1b3cfa26-a625-475c-83a1-1a70506e5412	CRAC_FAN
d60679c4-d73e-4230-960a-a962d95a76e0	7650e3f6-c6e9-4853-b77c-9715359bb2a7	CHILLER
d60679c4-d73e-4230-960a-a962d95a76e0	e58b9f09-7bec-4551-89e1-3cbe0e4db07c	AIR_COOLED_CHILLER
d60679c4-d73e-4230-960a-a962d95a76e0	45f15269-2c6e-49cb-b9c7-95aa6a5dcd37	COOLING_TOWER
d60679c4-d73e-4230-960a-a962d95a76e0	a44aba14-9dda-47ad-bde7-cfebc9ccb2a6	DRY_COOLER
d60679c4-d73e-4230-960a-a962d95a76e0	98f60cce-62c9-40f8-97db-8d3621e1e427	REMOTE_CONDENSER
d60679c4-d73e-4230-960a-a962d95a76e0	13fa7958-f19e-4a5a-a5b7-553e840ad15c	CHILLED_WATER_PUMPS
d60679c4-d73e-4230-960a-a962d95a76e0	871c2d5c-1f52-4236-82d0-c2e7aebcf72d	HEAT_REJECTION_PUMPS
d60679c4-d73e-4230-960a-a962d95a76e0	bf1e74a1-aa4e-4c1f-a76f-1f923a9b847f	VENTILATION
d60679c4-d73e-4230-960a-a962d95a76e0	44b6b573-9169-447b-85e7-3aa02d34b71a	INFILTRATION
d60679c4-d73e-4230-960a-a962d95a76e0	7c4d0c3c-2d0a-4320-8102-3111048be0a3	IT_LOAD
a4fd8743-765e-4f52-b038-fb452bd6350c	221f89ec-88aa-496b-bcbc-913eed0e4dce	CHILLED_WATER_PUMPS
a4fd8743-765e-4f52-b038-fb452bd6350c	2b3ac468-84b3-4e2b-90e2-a39549f1fd94	HEAT_REJECTION_PUMPS
a4fd8743-765e-4f52-b038-fb452bd6350c	cf14572e-ac84-4844-8c23-94315db15a35	VENTILATION
a4fd8743-765e-4f52-b038-fb452bd6350c	d9fa6986-7696-49d6-9324-6a264b473021	INFILTRATION
a4fd8743-765e-4f52-b038-fb452bd6350c	ae5aa920-36fc-4cea-865b-92656e59bf33	IT_LOAD
1d141fca-9ff2-47e4-a851-828a1133ff0d	83e6299b-cd15-4a9a-8bba-59128ce5a2d4	SWITCHGEAR
1d141fca-9ff2-47e4-a851-828a1133ff0d	4db611a9-2bf8-474c-8114-a6fad95e2856	GENERATOR
1d141fca-9ff2-47e4-a851-828a1133ff0d	f8127a00-d876-41c8-8fb7-d7a535030e83	PRIMARY_AUXILIARIES
1d141fca-9ff2-47e4-a851-828a1133ff0d	1c91ccd0-5d1f-479c-9666-6cba6163d7df	UPS
1d141fca-9ff2-47e4-a851-828a1133ff0d	953cfb2f-b953-49cd-acbd-a9c24ac0c954	CRITICAL_AUXILIARIES
1d141fca-9ff2-47e4-a851-828a1133ff0d	4183f518-2e54-428a-98e4-9b7dd53df362	LIGHTING
1d141fca-9ff2-47e4-a851-828a1133ff0d	d90f88ab-4052-4c58-bd47-38d3e6bd79e0	CRITICAL_POWER_DISTRIBUTION
1d141fca-9ff2-47e4-a851-828a1133ff0d	ab600fbe-1e21-4c2f-a4ac-b9664df6bc38	CRAH
1d141fca-9ff2-47e4-a851-828a1133ff0d	7979b9b6-7f8d-4bf1-8f38-76b3d556f5cb	CRAC
1d141fca-9ff2-47e4-a851-828a1133ff0d	3dc9cf31-fa57-4ad8-80eb-99fae5e92efb	CRAC_WITHOUT_FAN
1d141fca-9ff2-47e4-a851-828a1133ff0d	0ce1ee79-7e92-48ca-b5fc-6d055ac8944c	CRAC_FAN
1d141fca-9ff2-47e4-a851-828a1133ff0d	ea24009b-1bb5-4be9-bc26-c0a33d0e6520	CHILLER
1d141fca-9ff2-47e4-a851-828a1133ff0d	a2032aaf-287b-4a06-a406-0eb697448705	AIR_COOLED_CHILLER
1d141fca-9ff2-47e4-a851-828a1133ff0d	b20ac0cd-8f73-42ca-9c03-b8b21c7861f9	COOLING_TOWER
1d141fca-9ff2-47e4-a851-828a1133ff0d	eb7f26ba-01d7-43b5-843c-c3f59ca0ffac	DRY_COOLER
1d141fca-9ff2-47e4-a851-828a1133ff0d	cd1ea54d-2a8e-46b8-868e-eba4478b7c55	REMOTE_CONDENSER
1d141fca-9ff2-47e4-a851-828a1133ff0d	0a460c35-aa4c-4eac-b6d6-e261f8db08e2	CHILLED_WATER_PUMPS
1d141fca-9ff2-47e4-a851-828a1133ff0d	2bc825e8-a88b-4704-a646-36bb18b35092	HEAT_REJECTION_PUMPS
1d141fca-9ff2-47e4-a851-828a1133ff0d	e03a73b1-4ece-49c2-8851-383c1594148b	VENTILATION
1d141fca-9ff2-47e4-a851-828a1133ff0d	35f71ee2-656f-447c-8794-acaa4760be5b	INFILTRATION
1d141fca-9ff2-47e4-a851-828a1133ff0d	53c6add6-d26c-4a45-a687-43fe419503f1	IT_LOAD
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	c0d8f868-f9e5-4e65-a41a-dec20728f076	SWITCHGEAR
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	5f896f99-bdfd-4f75-9feb-836b9018f6a9	GENERATOR
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	c6270421-47c7-4612-a895-1d87dfdb43a9	PRIMARY_AUXILIARIES
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	da06438f-a6a2-450d-8d8d-8718d31f1f80	UPS
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	b14ef99c-ef7e-4312-98d9-ab2c3d9be3cb	CRITICAL_AUXILIARIES
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	22c26f63-6deb-45ba-8aae-026dbb01b825	LIGHTING
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	4dc2b952-280c-49e7-b51f-19cea4b9be4e	CRITICAL_POWER_DISTRIBUTION
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	bf09952b-5df7-4b84-a981-6d12b2aae36d	CRAH
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	04279419-7d23-4857-9437-b28657d02fb0	CRAC
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	f2d4a41b-38f8-4d65-a590-69995384db98	CRAC_WITHOUT_FAN
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	acc1434b-3326-4ad0-9ca5-a0ce947cf6d0	CRAC_FAN
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	60d267f4-043d-4be5-9e29-0de940e95945	CHILLER
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	eaccca67-729a-4e48-a46d-3039f522add5	AIR_COOLED_CHILLER
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	9657640c-7b03-4a9d-a532-6a960028f501	COOLING_TOWER
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	e9f91ff6-f816-4e74-bfb4-75376e245a0a	DRY_COOLER
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	b5bf4ece-698f-4b13-a9b2-6b3be44ff148	REMOTE_CONDENSER
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	cfed2fa3-43f2-42bc-97ce-4cbfa53479d1	CHILLED_WATER_PUMPS
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	3ecde8db-f1d4-4f03-b444-c8304c35d94b	HEAT_REJECTION_PUMPS
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	94daa455-3b8e-44ea-9630-3cb77a5191b0	VENTILATION
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	b51d2487-ef64-4125-ba82-85643ac5abbe	INFILTRATION
0b0132bb-6c1e-4766-a56c-597b46c1d8e0	93d82f3e-13b5-4fd9-8d0b-599e97e00fa2	IT_LOAD
7254ba24-7d80-4994-8f14-769a4ec916ea	9ceb92f0-94a3-49de-937f-cc7e9441d10d	SWITCHGEAR
7254ba24-7d80-4994-8f14-769a4ec916ea	cb4ddad3-324b-4d57-a9cc-9ded119b9902	GENERATOR
7254ba24-7d80-4994-8f14-769a4ec916ea	c4604a03-ce3d-4cfe-a591-125d68e4decd	PRIMARY_AUXILIARIES
7254ba24-7d80-4994-8f14-769a4ec916ea	1fe74816-b8ff-403f-b6a3-8980654c8c7e	UPS
7254ba24-7d80-4994-8f14-769a4ec916ea	1024f732-102a-4b51-b008-e8c45451f4a0	CRITICAL_AUXILIARIES
7254ba24-7d80-4994-8f14-769a4ec916ea	761d9bde-fc23-4a13-bfb1-72a64660432e	LIGHTING
7254ba24-7d80-4994-8f14-769a4ec916ea	8f3fdb67-7094-4272-a38d-c5d9071074c8	CRITICAL_POWER_DISTRIBUTION
7254ba24-7d80-4994-8f14-769a4ec916ea	1bfbac07-8389-459e-b1c9-692af4d99716	CRAH
7254ba24-7d80-4994-8f14-769a4ec916ea	02e8ae53-e9b8-4186-aee0-c75bfdd66ae5	CRAC
7254ba24-7d80-4994-8f14-769a4ec916ea	07034129-4aea-4547-8178-fb1990311024	CRAC_WITHOUT_FAN
7254ba24-7d80-4994-8f14-769a4ec916ea	3fb8affc-2dcb-42fb-beab-e5b8a086fe84	CRAC_FAN
7254ba24-7d80-4994-8f14-769a4ec916ea	8a0b0b65-0eea-4ec3-b9b8-e36fd3e2715a	CHILLER
7254ba24-7d80-4994-8f14-769a4ec916ea	30ab320b-9436-4957-9fd5-5431c42afe2d	AIR_COOLED_CHILLER
7254ba24-7d80-4994-8f14-769a4ec916ea	1a4765ea-884d-4328-b765-5a6f6dc8b1b3	COOLING_TOWER
7254ba24-7d80-4994-8f14-769a4ec916ea	b164ed9d-baa9-4f45-8b15-bee4cb55b105	DRY_COOLER
7254ba24-7d80-4994-8f14-769a4ec916ea	42ba6ab8-8cac-402e-9843-282325ab3bb9	REMOTE_CONDENSER
7254ba24-7d80-4994-8f14-769a4ec916ea	157f9ee9-02fa-4710-b86b-f419a54b2600	CHILLED_WATER_PUMPS
7254ba24-7d80-4994-8f14-769a4ec916ea	6883e1fa-8ddc-4ebe-90f2-927130ea1f90	HEAT_REJECTION_PUMPS
7254ba24-7d80-4994-8f14-769a4ec916ea	358dc8de-bfa7-4961-bf7b-f4e00f48c9db	VENTILATION
7254ba24-7d80-4994-8f14-769a4ec916ea	f825ba45-966f-46fe-b78f-fa2e4c83054f	INFILTRATION
7254ba24-7d80-4994-8f14-769a4ec916ea	89fd82b1-5fb2-4fe2-87d8-9f761807e14e	IT_LOAD
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	c3609c43-b920-4a59-b9b8-ff2f9804af87	SWITCHGEAR
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	cc21a8e4-3327-46e9-af59-df522c81cc0f	GENERATOR
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	8b4ec995-7052-45a1-882c-64c61d0972e9	PRIMARY_AUXILIARIES
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	5bc6ecda-a76f-4d26-838d-d2d116806768	UPS
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	b980cec2-48b8-46a6-ad91-94325a90be1d	CRITICAL_AUXILIARIES
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	96197521-2580-4788-8774-dff51fffced4	LIGHTING
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	c5f105aa-2580-42c1-b008-707bdb782fae	CRITICAL_POWER_DISTRIBUTION
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	af053627-092d-4e12-98ff-7781e5756391	CRAH
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	818baa59-aef3-489e-9b98-8d705ea1b44c	CRAC
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	b61ef001-25fb-410c-9065-032aaf730a0f	CRAC_WITHOUT_FAN
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	1c1fc66e-f100-4a33-86d7-0ae5790b9590	CRAC_FAN
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	f1d4fc33-1bac-4f22-ba38-680c4412100f	CHILLER
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	eca6fc2e-f256-4c6a-941f-342326c4699c	AIR_COOLED_CHILLER
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	6a33c5f7-2041-410e-9b21-b37591b0d4fd	COOLING_TOWER
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	2b717230-4053-4761-aab8-cb88e1dca837	DRY_COOLER
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	4834892f-27cc-4868-8b08-d77e93acf1d7	REMOTE_CONDENSER
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	f0f2c74e-aa62-4e08-a2fa-dd8418d6c062	CHILLED_WATER_PUMPS
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	a3b83e02-7cea-49e5-9584-fcd3c5edb08f	HEAT_REJECTION_PUMPS
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	ef737daa-ad2e-489d-bd22-696480357723	VENTILATION
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	dd4cd31c-8f3b-4cc3-9397-85e8f32cc933	INFILTRATION
7c4b34e6-064e-40cc-8641-7ff6e4b7f9d5	1e03148a-7423-4728-886c-fdd658076e84	IT_LOAD
89291085-c0f1-4c5d-a828-922a3cc3f5d9	ecf3492c-56df-4c5a-b9ca-035ead49daae	SWITCHGEAR
89291085-c0f1-4c5d-a828-922a3cc3f5d9	74e446f3-a0ab-424b-bbbc-1842f22eb707	GENERATOR
89291085-c0f1-4c5d-a828-922a3cc3f5d9	8ce1a97b-e2b8-4aab-bf70-26deaafe930c	PRIMARY_AUXILIARIES
89291085-c0f1-4c5d-a828-922a3cc3f5d9	ec23c35f-fe23-4350-97c0-83d9ee55cf06	UPS
89291085-c0f1-4c5d-a828-922a3cc3f5d9	5afa9cf9-fa5f-42f2-b71e-431aa982e457	CRITICAL_AUXILIARIES
89291085-c0f1-4c5d-a828-922a3cc3f5d9	1c0aa71d-293a-4e80-84ba-854329796276	LIGHTING
89291085-c0f1-4c5d-a828-922a3cc3f5d9	0a0163bb-5c64-4df8-af08-ccf8e328d5ac	CRITICAL_POWER_DISTRIBUTION
89291085-c0f1-4c5d-a828-922a3cc3f5d9	e2c36451-63eb-42de-8081-3114e5a31c91	CRAH
89291085-c0f1-4c5d-a828-922a3cc3f5d9	eba6fd3b-1c30-40dc-8965-cbae174b356f	CRAC
89291085-c0f1-4c5d-a828-922a3cc3f5d9	f5f573f9-7d23-4712-84a4-2600592c81f2	CRAC_WITHOUT_FAN
89291085-c0f1-4c5d-a828-922a3cc3f5d9	4745adb8-23cb-47a9-8da4-f1cf2e225185	CRAC_FAN
89291085-c0f1-4c5d-a828-922a3cc3f5d9	26af76f0-2115-430e-afe3-8b090abdea75	CHILLER
89291085-c0f1-4c5d-a828-922a3cc3f5d9	1fe06674-fe64-4a01-8da1-45571b46c1ee	AIR_COOLED_CHILLER
89291085-c0f1-4c5d-a828-922a3cc3f5d9	e2785bb7-91be-4bce-8562-3986d00d1e90	COOLING_TOWER
89291085-c0f1-4c5d-a828-922a3cc3f5d9	e9b91e23-f026-4359-91ca-138b9319d7d0	DRY_COOLER
89291085-c0f1-4c5d-a828-922a3cc3f5d9	7b40b421-38db-4434-9375-5288aa10e377	REMOTE_CONDENSER
89291085-c0f1-4c5d-a828-922a3cc3f5d9	21092283-0ca0-4900-b108-9abd743a8887	CHILLED_WATER_PUMPS
89291085-c0f1-4c5d-a828-922a3cc3f5d9	7bfa1369-20c7-4f0d-b7ec-4a6f723c95ed	HEAT_REJECTION_PUMPS
89291085-c0f1-4c5d-a828-922a3cc3f5d9	4ace1173-b58b-433f-9d80-4ee0e4d2c947	VENTILATION
89291085-c0f1-4c5d-a828-922a3cc3f5d9	07eb2d98-49eb-4b96-acdb-ba9840f7eda8	INFILTRATION
89291085-c0f1-4c5d-a828-922a3cc3f5d9	de903026-1614-4bf5-8779-b5d5e4d60382	IT_LOAD
dc04b489-4153-4367-8fb8-3d9f474cf58d	15916a27-d1d4-43cc-a154-f0eccc6eb11c	SWITCHGEAR
dc04b489-4153-4367-8fb8-3d9f474cf58d	974bbd63-bab3-4037-a41c-aa1b40453a69	GENERATOR
dc04b489-4153-4367-8fb8-3d9f474cf58d	15f75a99-7c19-457d-852b-97569ce12186	PRIMARY_AUXILIARIES
dc04b489-4153-4367-8fb8-3d9f474cf58d	ff178b4e-da7c-4760-8837-83bceb77be27	UPS
dc04b489-4153-4367-8fb8-3d9f474cf58d	fd3b7d88-f211-4952-96db-079248eb809a	CRITICAL_AUXILIARIES
dc04b489-4153-4367-8fb8-3d9f474cf58d	a3008208-a6f2-4268-879c-42908666fd1e	LIGHTING
dc04b489-4153-4367-8fb8-3d9f474cf58d	68a4497e-0f2b-4b1c-9ea1-03f220088cbe	CRITICAL_POWER_DISTRIBUTION
dc04b489-4153-4367-8fb8-3d9f474cf58d	291f8b3e-9031-4a5e-ba4b-a3f78f56fe68	CRAH
dc04b489-4153-4367-8fb8-3d9f474cf58d	488486c1-0e34-4136-8237-8ecba9290a8b	CRAC
dc04b489-4153-4367-8fb8-3d9f474cf58d	ba3d2e6b-0cc6-4fc4-bfb2-3b5640a57ff0	CRAC_WITHOUT_FAN
dc04b489-4153-4367-8fb8-3d9f474cf58d	49164ba1-4da6-45fd-a8f3-7dd1ddc2a5b4	CRAC_FAN
dc04b489-4153-4367-8fb8-3d9f474cf58d	10309d96-42a9-45e9-a8c8-5431ae414be6	CHILLER
dc04b489-4153-4367-8fb8-3d9f474cf58d	9295d6ab-299c-4912-8d48-242d0a50e6c6	AIR_COOLED_CHILLER
dc04b489-4153-4367-8fb8-3d9f474cf58d	c6248da0-31c8-4b0e-99ad-d4e44d7d598d	COOLING_TOWER
dc04b489-4153-4367-8fb8-3d9f474cf58d	ec2418d2-cb13-482c-b628-679e881e82ef	DRY_COOLER
dc04b489-4153-4367-8fb8-3d9f474cf58d	433ab560-9ec0-4029-8270-f928ae856585	REMOTE_CONDENSER
dc04b489-4153-4367-8fb8-3d9f474cf58d	6d1ab872-be79-4ffa-9f8d-8606dfbe1562	CHILLED_WATER_PUMPS
dc04b489-4153-4367-8fb8-3d9f474cf58d	b102bfe3-e50e-4423-9e14-43e6d7a103e0	HEAT_REJECTION_PUMPS
dc04b489-4153-4367-8fb8-3d9f474cf58d	484e46e3-b669-4f55-9573-28055da0e1a0	VENTILATION
dc04b489-4153-4367-8fb8-3d9f474cf58d	1e0e7380-05f0-49fe-b650-849eeff64f15	INFILTRATION
dc04b489-4153-4367-8fb8-3d9f474cf58d	61273c5b-98a8-4808-bec0-099fbc2b4212	IT_LOAD
07bd7603-a993-4d5f-a6d2-554701165be8	34d8e07f-4aba-44b6-b851-39802138fd65	SWITCHGEAR
07bd7603-a993-4d5f-a6d2-554701165be8	222d0b34-8bd1-4d64-8c5f-f9954b94184f	GENERATOR
07bd7603-a993-4d5f-a6d2-554701165be8	7d5063f7-beb0-4be5-b17e-44008055be9c	PRIMARY_AUXILIARIES
07bd7603-a993-4d5f-a6d2-554701165be8	e01345a3-5845-4c16-8cce-efde89f1f262	UPS
07bd7603-a993-4d5f-a6d2-554701165be8	c385476e-361c-4bc4-b974-14e938cc15ea	CRITICAL_AUXILIARIES
07bd7603-a993-4d5f-a6d2-554701165be8	886fa0ca-bd15-45ca-ad9f-39bc14a7dbae	LIGHTING
07bd7603-a993-4d5f-a6d2-554701165be8	2cc111e1-1219-4391-8d7b-3f11017d32f1	CRITICAL_POWER_DISTRIBUTION
07bd7603-a993-4d5f-a6d2-554701165be8	fe9f2a5b-9095-4232-841c-ce374998741c	CRAH
07bd7603-a993-4d5f-a6d2-554701165be8	305ee2bf-e488-49f6-bd73-34fd44b736cd	CRAC
07bd7603-a993-4d5f-a6d2-554701165be8	af1663b3-23d8-4cd0-9dcb-b983a58237ee	CRAC_WITHOUT_FAN
07bd7603-a993-4d5f-a6d2-554701165be8	590930ea-7353-4380-8f79-01f065c2c69c	CRAC_FAN
07bd7603-a993-4d5f-a6d2-554701165be8	482636bc-fbcc-4b2e-b8fa-eaa21587ac8b	CHILLER
07bd7603-a993-4d5f-a6d2-554701165be8	e0f964a2-13b9-49e5-8418-4ba1552d7877	AIR_COOLED_CHILLER
07bd7603-a993-4d5f-a6d2-554701165be8	06ec1447-ec45-4d79-aacf-09e019fc023e	COOLING_TOWER
07bd7603-a993-4d5f-a6d2-554701165be8	81a1820f-aa2b-4517-811f-9a23b97cea50	DRY_COOLER
07bd7603-a993-4d5f-a6d2-554701165be8	d91f18f1-7be0-431f-b62d-3fe3772245a3	REMOTE_CONDENSER
07bd7603-a993-4d5f-a6d2-554701165be8	71014b83-7694-4729-b347-d4f5d63eb7ca	CHILLED_WATER_PUMPS
07bd7603-a993-4d5f-a6d2-554701165be8	54e5968e-b219-43f9-aecc-7c3e1ab069db	HEAT_REJECTION_PUMPS
07bd7603-a993-4d5f-a6d2-554701165be8	5f272b73-abdc-458c-b93f-452992358e9f	VENTILATION
07bd7603-a993-4d5f-a6d2-554701165be8	63172e48-4073-42ce-ba21-f8a0c6a61cce	INFILTRATION
07bd7603-a993-4d5f-a6d2-554701165be8	989f2389-2e2a-4edc-a53c-22ccccc177b6	IT_LOAD
ca899cab-301e-4004-8370-14b39252904a	e95c592f-c587-4b44-9d2d-156f4ee0c7ef	SWITCHGEAR
ca899cab-301e-4004-8370-14b39252904a	8fe8d4ab-1660-471e-b4b3-83b8920ee705	GENERATOR
ca899cab-301e-4004-8370-14b39252904a	4a708c81-08ba-4550-bbba-ff6198a687d2	PRIMARY_AUXILIARIES
ca899cab-301e-4004-8370-14b39252904a	8b0fa0a9-a9fa-462a-8377-3263d4e73a65	UPS
ca899cab-301e-4004-8370-14b39252904a	2e742bd8-8c57-47d0-a4af-a96579c39fac	CRITICAL_AUXILIARIES
ca899cab-301e-4004-8370-14b39252904a	6223a1c8-3e7d-459e-8457-70ec65ee20cf	LIGHTING
ca899cab-301e-4004-8370-14b39252904a	00e95ce0-cbfe-4862-b6fe-7b33c1e932b0	CRITICAL_POWER_DISTRIBUTION
ca899cab-301e-4004-8370-14b39252904a	4d13851c-2104-4d61-953e-621d4adc32f2	CRAH
ca899cab-301e-4004-8370-14b39252904a	60957c15-7a30-430e-bd41-d2bd8ed5378c	CRAC
ca899cab-301e-4004-8370-14b39252904a	2f7805fc-a46a-4076-af60-9f2323ed44cb	CRAC_WITHOUT_FAN
ca899cab-301e-4004-8370-14b39252904a	a73527d0-722e-4765-a4f1-416db878019e	CRAC_FAN
ca899cab-301e-4004-8370-14b39252904a	a9883f64-5e80-4999-b0fc-770038cadaff	CHILLER
ca899cab-301e-4004-8370-14b39252904a	a2f710ae-9d49-4611-836e-02425cee4182	AIR_COOLED_CHILLER
ca899cab-301e-4004-8370-14b39252904a	12c02dd6-b2fe-4b23-a703-cdf7508631d3	COOLING_TOWER
ca899cab-301e-4004-8370-14b39252904a	23e5bc9f-eff9-4a04-8f37-3c275eb58b63	DRY_COOLER
ca899cab-301e-4004-8370-14b39252904a	90c32435-af4f-42ac-bd7a-9ecbca819a0b	REMOTE_CONDENSER
ca899cab-301e-4004-8370-14b39252904a	ba4e2ed0-f790-4479-9aac-f1b492ab2351	CHILLED_WATER_PUMPS
ca899cab-301e-4004-8370-14b39252904a	6a415823-3bab-4c54-b360-61bb89305d26	HEAT_REJECTION_PUMPS
ca899cab-301e-4004-8370-14b39252904a	c6cd7e4f-b84c-4e01-a792-0a59dd7db1d8	VENTILATION
ca899cab-301e-4004-8370-14b39252904a	e8a667be-a2b1-4400-95c8-ec25c6143633	INFILTRATION
ca899cab-301e-4004-8370-14b39252904a	57d25123-9bfc-4d0e-ba00-0e8d3fc794f8	IT_LOAD
da095db4-ba78-414e-b13a-9756c3573380	32d4831f-6ca3-4194-8c7b-932cc9f83b5d	SWITCHGEAR
da095db4-ba78-414e-b13a-9756c3573380	1067335a-c466-4575-a96d-39028311905c	GENERATOR
da095db4-ba78-414e-b13a-9756c3573380	0c554be6-0ce7-466c-a712-d5065701a590	PRIMARY_AUXILIARIES
da095db4-ba78-414e-b13a-9756c3573380	2a5356e3-449e-43e6-a20d-7b3305b21eef	UPS
da095db4-ba78-414e-b13a-9756c3573380	8c9b2a97-c102-45df-9cef-014b4f637755	CRITICAL_AUXILIARIES
da095db4-ba78-414e-b13a-9756c3573380	4051e537-76ec-4b43-b76a-6f6ca5801771	LIGHTING
da095db4-ba78-414e-b13a-9756c3573380	5214c97c-c95d-43dd-b891-832fd12736cf	CRITICAL_POWER_DISTRIBUTION
da095db4-ba78-414e-b13a-9756c3573380	b9388d10-37f3-48df-85dd-bed1d07e3eb0	CRAH
da095db4-ba78-414e-b13a-9756c3573380	e4ab671a-17f7-44cd-83d3-b390339b8d1e	CRAC
da095db4-ba78-414e-b13a-9756c3573380	8cdcbc45-a912-4366-8bea-0337f258a8c2	CRAC_WITHOUT_FAN
da095db4-ba78-414e-b13a-9756c3573380	b4ae3262-e4a9-4751-8607-559b5eb5124b	CRAC_FAN
da095db4-ba78-414e-b13a-9756c3573380	5875fde1-b41b-428f-b222-168ba4aa86ec	CHILLER
da095db4-ba78-414e-b13a-9756c3573380	7d789d85-2c92-4feb-97c6-38faaee1b2cd	AIR_COOLED_CHILLER
da095db4-ba78-414e-b13a-9756c3573380	ec94e9af-3183-47ac-86e4-26fe9b959a11	COOLING_TOWER
da095db4-ba78-414e-b13a-9756c3573380	e2bc08b0-c244-4359-9bcd-620584e17617	DRY_COOLER
da095db4-ba78-414e-b13a-9756c3573380	a889741d-a003-4d16-ba04-ed91716037c9	REMOTE_CONDENSER
da095db4-ba78-414e-b13a-9756c3573380	e410931d-88c2-4926-b4ec-7ff961492da9	CHILLED_WATER_PUMPS
da095db4-ba78-414e-b13a-9756c3573380	7ec7d492-dc4c-43ad-8c8d-f45bbb393fac	HEAT_REJECTION_PUMPS
da095db4-ba78-414e-b13a-9756c3573380	78f933d4-f876-41cc-9487-3ee0fa4b5e84	VENTILATION
da095db4-ba78-414e-b13a-9756c3573380	f93a51c3-5c82-4987-932e-843bdac8689d	INFILTRATION
da095db4-ba78-414e-b13a-9756c3573380	f00b608a-7afd-4f2c-a03e-1f326e88e44b	IT_LOAD
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	09a71f4e-0d75-4f4a-b031-6829f2443b8d	SWITCHGEAR
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	a740af3b-c06d-40de-8ada-c8c2fe06241d	GENERATOR
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	d6fe2f0c-294e-457e-a31b-c26c9ca4d0d1	PRIMARY_AUXILIARIES
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	19e7dd7e-c836-4b8b-9120-e43e24ff0893	UPS
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	def3acff-e9c4-4736-85f9-e04a8612d4d0	CRITICAL_AUXILIARIES
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	ca1abab9-5652-4d0b-8b8f-b4e7edb83ad3	LIGHTING
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	7f751408-1dea-4526-9cfc-045ebde2809e	CRITICAL_POWER_DISTRIBUTION
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	d4c572ac-f89e-4806-b62f-0d2b37d07393	CRAH
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	b3ec0781-0a2a-4477-ae32-3908eb0b6f2b	CRAC
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	e64e6ef6-4563-4dd9-a064-6474cd1baf67	CRAC_WITHOUT_FAN
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	c894ba5d-1ba7-4987-aec9-f19e847632be	CRAC_FAN
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	184719b9-b6fe-4421-9347-15e58f0ebea4	CHILLER
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	1c3b1c1b-4a1c-4bd2-ae9b-877a5de637ca	AIR_COOLED_CHILLER
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	b59e91b1-2acb-4409-9dfa-52f08090024d	COOLING_TOWER
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	5783d6c4-7c65-47eb-bcfe-011652fdc45e	DRY_COOLER
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	fd6090e9-d4b2-4b2b-8600-f30090e4f556	REMOTE_CONDENSER
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	c3bd5547-58e1-46c6-a98f-f7d3d1fba7ba	CHILLED_WATER_PUMPS
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	88287b41-9ed3-43e0-ac0e-82fe1495bc61	HEAT_REJECTION_PUMPS
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	c7ab30da-005e-4f67-a283-5f3f13eb4d90	VENTILATION
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	80a68a71-2770-4172-ba9e-2fbfabffa3e9	INFILTRATION
b3048e5c-f80f-40fd-b55f-24f2c6c5c035	9870f01a-8923-4313-a48b-0593de4c991d	IT_LOAD
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	3decee8a-59e1-496b-a3ef-7b8ec219fa5a	SWITCHGEAR
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	26828d82-bb92-4e12-898d-cad6710638ce	GENERATOR
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	34cda5f7-88e6-499e-83ed-66811b983f80	PRIMARY_AUXILIARIES
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	3831bca1-5a71-46fb-b94d-a12343ab29ec	UPS
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	2615796b-108a-4c59-8032-a07cbd538169	CRITICAL_AUXILIARIES
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	cbfd2d42-2f2b-4a55-909c-460e912396d7	LIGHTING
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	3f9c7bee-fd16-41b0-a907-9864e53ca117	CRITICAL_POWER_DISTRIBUTION
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	3a60781c-14ec-4a7e-ae4c-9a9f958253ef	CRAH
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	a91d1dd4-242c-40b5-9807-4d6547432eab	CRAC
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	0fddc7f9-0be3-487b-8154-91c96ba98acc	CRAC_WITHOUT_FAN
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	d8dfbcfd-2ec3-49a4-8742-709e22c767e7	CRAC_FAN
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	52029207-3ef9-47a6-8b62-a773be18b593	CHILLER
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	49614c9a-fb4e-407f-ae6c-8a7b59fffa77	AIR_COOLED_CHILLER
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	a966cf5c-3f73-466f-a949-01710bf5b18b	COOLING_TOWER
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	bcb081ea-c513-4178-8e9d-6a2885d1fb44	DRY_COOLER
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	9821f1d8-7af6-4294-8187-79335fcd1b3e	REMOTE_CONDENSER
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	0e7cb84f-85fd-4f9e-89cc-177d02fe89b3	CHILLED_WATER_PUMPS
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	b6f95b1a-9208-4171-ac6d-71e7a3e4d2c3	HEAT_REJECTION_PUMPS
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	7a677677-2524-4db3-99af-9af7c644d5d2	VENTILATION
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	b0342eb3-df80-4133-bf31-3b06c36e6396	INFILTRATION
5d274351-08c7-4a3a-a2ed-4fb6bf521a89	8dd7796f-756e-4a98-9506-b16185dacf4a	IT_LOAD
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	1bf027fd-7819-4c9b-9fc0-f5b588054605	SWITCHGEAR
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	24732884-373c-4034-8b7e-bb77bf02519b	GENERATOR
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	3e73fe10-a397-4b41-a3fb-c53c39fe06dc	PRIMARY_AUXILIARIES
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	518020bd-39d4-4473-a6c3-7191f03ccc74	UPS
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	3f53f599-4284-445f-b482-1b1fe938fe87	CRITICAL_AUXILIARIES
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	c7d0c5ce-0898-4e7a-b82b-945ded3e26ce	LIGHTING
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	623f9cea-7198-41ce-abf7-118e99326e9d	CRITICAL_POWER_DISTRIBUTION
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	57a21f28-418e-4f2f-9865-950d1914ffd9	CRAH
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	a56fadc2-27a6-4798-92a8-2ba4d3d23993	CRAC
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	f8304689-1001-4590-bc7f-1c7cd4b00999	CRAC_WITHOUT_FAN
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	d865516a-4faf-4227-89c4-5e7f0891f929	CRAC_FAN
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	7d32c182-a941-4429-a8d5-2de5d95541b7	CHILLER
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	dcb223ba-1e28-47c0-b770-58c6ffcf023f	AIR_COOLED_CHILLER
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	aa38a897-f731-44c6-b333-48427f0057dc	COOLING_TOWER
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	595972b8-a9c7-4650-9646-d31413918636	DRY_COOLER
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	2bfd7ac7-0638-42aa-b741-309f65143b61	REMOTE_CONDENSER
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	150e03c2-d588-4ffb-a8bc-676029ac2abf	CHILLED_WATER_PUMPS
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	89d0069b-9d7d-4f2c-bf22-ea8e14e58fe7	HEAT_REJECTION_PUMPS
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	63a052a7-858d-443d-968a-870530e22958	VENTILATION
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	17c780c5-0753-4053-9643-2fd4d64361b4	INFILTRATION
15f5e591-ce15-48f9-a6b2-9d87c6dcde3e	dcf73067-f3e3-4562-84e1-f58b2c12f677	IT_LOAD
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	4795ed4b-39e1-44cf-9d5d-1999106ffe95	SWITCHGEAR
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	0d2e655f-91af-4685-b904-d16c6f45cdfc	GENERATOR
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	8fac62f4-6985-49cf-8f19-2dc23f916dd5	PRIMARY_AUXILIARIES
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	9e8ddecd-e86b-4557-99e9-1614a6b8acaa	UPS
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	61616d7c-0030-4ee7-bd4e-e74ef8a73c04	CRITICAL_AUXILIARIES
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	6b24a6c8-608c-4d0a-b6e0-bf72cae1d4ed	LIGHTING
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	f160dd1e-54c8-41fc-bb77-fad68f74c69d	CRITICAL_POWER_DISTRIBUTION
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	f72ba085-6192-409f-b8e3-40d91b125719	CRAH
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	773998a0-217c-40c1-ab09-b94fc989f67e	CRAC
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	9bf908f4-3a5e-49e2-84dc-c994860c80c6	CRAC_WITHOUT_FAN
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	fa2fca56-1360-4b81-a3ce-811ac0f9d2e3	CRAC_FAN
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	cdd55fb6-3323-4786-a38c-1775bd7214cc	CHILLER
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	f6f12e03-ef3b-48b7-8205-a60c3bdddd6b	AIR_COOLED_CHILLER
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	c4a855cb-829a-460f-96e5-ba2ffccc5354	COOLING_TOWER
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	2860aa41-0b91-4308-8c3b-f48f5627ff30	DRY_COOLER
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	66fb0d8a-7f83-440f-b1e2-774b3aedd9a5	REMOTE_CONDENSER
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	56580793-5db1-47f7-9018-42ea356e3941	CHILLED_WATER_PUMPS
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	dc566e1d-5788-4e19-8078-a7433914e633	SWITCHGEAR
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	c8508765-13ac-4433-9142-12037ce9bcd0	GENERATOR
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	7250cdd4-e207-4096-b1f0-e54ab98ba879	PRIMARY_AUXILIARIES
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	6308898d-7a71-4b90-b8ec-4d0a3241a672	UPS
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	a733c49d-33bc-4c6f-b7f3-2f6df7691af0	CRITICAL_AUXILIARIES
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	f63c2023-8acf-4feb-b223-feb95c708e4e	LIGHTING
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	76ee50ff-c16b-459f-a23f-d25220cca837	CRITICAL_POWER_DISTRIBUTION
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	786839fe-8ad3-4f8a-9b37-5bc9935c124c	CRAH
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	5f8b0369-4a1f-4177-b4d1-6415773ae88b	CRAC
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	bb484038-0b19-45bc-8824-9a76b7a8e4b0	CRAC_WITHOUT_FAN
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	e222bfa2-ccc2-4759-a6a6-709a4360052d	CRAC_FAN
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	b5d17558-a763-4f2e-8dff-c5ff31615b23	CHILLER
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	0c1fde8e-3170-4930-8840-295ae9f614ed	AIR_COOLED_CHILLER
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	4af45fac-c89e-4606-bd7b-692671ed6d45	COOLING_TOWER
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	b26bf3c6-13eb-4ace-b5af-947004b1d8a3	DRY_COOLER
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	e6ee1fc7-e088-4589-a6dc-8f5f1162f804	REMOTE_CONDENSER
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	b6506489-f195-4d94-b5dd-e61abd7eae92	CHILLED_WATER_PUMPS
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	0e878571-65f5-4cb1-90b1-a89e1b35b65b	HEAT_REJECTION_PUMPS
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	99ad7b69-e9d4-4c38-8d08-64226158a4a3	VENTILATION
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	9df644c5-f371-434f-a106-36f49dd7c0dc	INFILTRATION
54a58194-4e7e-4f2c-9bf5-14f15fa58e37	b323ebb1-65ca-4fb4-a446-9532b952379a	IT_LOAD
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	0326df2c-6468-4a1f-b3a4-4cb69e71312c	SWITCHGEAR
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	a600a0b3-f9e6-41c2-bdfa-ee589c930907	GENERATOR
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	9e0cc0e1-94e7-4a4e-b430-a306495efdc0	PRIMARY_AUXILIARIES
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	5444dc47-3c40-4624-9715-c8e58ff13495	UPS
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	50497c15-6282-4eac-a215-8954e52937ee	CRITICAL_AUXILIARIES
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	2359b4ea-5afd-4354-9b79-98781b05aa2b	LIGHTING
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	11fc3e8b-5c03-4898-aa1f-c6745d9828c7	CRITICAL_POWER_DISTRIBUTION
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	fe89ae31-f942-46d7-8880-27d801ceab27	CRAH
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	9a6bb3f6-34f7-469f-9cf3-81d208f7cbca	CRAC
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	6c3d74be-234b-4d21-a8cf-2fbb2e8d8ec5	CRAC_WITHOUT_FAN
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	5b2a4b29-2542-466b-9e16-ea3da16cfea5	CRAC_FAN
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	a3d29b65-bc9d-4ef4-af2f-ee97c631d798	CHILLER
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	66912bc6-23d4-4752-a7db-7d80d87bf4b0	AIR_COOLED_CHILLER
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	54698614-3429-49c6-a298-3c4869edd997	COOLING_TOWER
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	ad0b5b72-7eaa-4577-90a4-f818712f5a00	DRY_COOLER
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	2cecb187-9f95-4e1c-b43d-fd28a38bb6ef	REMOTE_CONDENSER
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	145f2547-f026-4faf-ba26-33fcd6c6046f	CHILLED_WATER_PUMPS
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	f2c270a4-a411-4bf4-8252-83f2509fdedb	HEAT_REJECTION_PUMPS
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	267f0762-4daa-4c70-a8f7-73c209d798ce	VENTILATION
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	977b46a9-3ad9-4a4c-bfd4-cde8b811e6cd	INFILTRATION
e9e726f8-f3b8-436b-a747-4dfe84ba9e20	38e15675-364c-4a0a-aee7-cbbc2bf6839e	IT_LOAD
b131e5d5-1e3f-4e11-bd14-f52bed027e27	df672638-f331-4d0b-adab-32a770852319	SWITCHGEAR
b131e5d5-1e3f-4e11-bd14-f52bed027e27	6223c6c7-cca3-43c0-8087-ea69bff6aa2d	GENERATOR
b131e5d5-1e3f-4e11-bd14-f52bed027e27	08c3acbe-690e-4000-a3c1-269ce889b14e	PRIMARY_AUXILIARIES
b131e5d5-1e3f-4e11-bd14-f52bed027e27	d88f3865-60e6-4a8c-b2d1-73ecc9b75ad1	UPS
b131e5d5-1e3f-4e11-bd14-f52bed027e27	b06730b1-7cd0-4b81-a7a9-6f6c3373b814	CRITICAL_AUXILIARIES
b131e5d5-1e3f-4e11-bd14-f52bed027e27	755dcb5c-d431-4714-9eb7-b745fd29bf80	LIGHTING
b131e5d5-1e3f-4e11-bd14-f52bed027e27	cf5c37c1-8da7-45b5-a7f4-f166670fded9	CRITICAL_POWER_DISTRIBUTION
b131e5d5-1e3f-4e11-bd14-f52bed027e27	412d4602-2d3f-4fa4-a99f-84a14561ff42	CRAH
b131e5d5-1e3f-4e11-bd14-f52bed027e27	45c7162a-e4dd-48f1-8054-f35cff3b34a0	CRAC
b131e5d5-1e3f-4e11-bd14-f52bed027e27	97bccdc0-c2c1-49d1-8ddd-e8e8eb0f33e0	CRAC_WITHOUT_FAN
b131e5d5-1e3f-4e11-bd14-f52bed027e27	5b9b4432-42de-4a09-ba63-907d53033563	CRAC_FAN
b131e5d5-1e3f-4e11-bd14-f52bed027e27	bb8c44b2-7dcf-41d8-b22a-4ec8edd933d1	CHILLER
b131e5d5-1e3f-4e11-bd14-f52bed027e27	e7859cc3-7a8f-4c1c-b68d-377a8333daeb	AIR_COOLED_CHILLER
b131e5d5-1e3f-4e11-bd14-f52bed027e27	741208a0-cf13-45ff-bf43-2d46cea47683	COOLING_TOWER
b131e5d5-1e3f-4e11-bd14-f52bed027e27	b65035e2-9935-4791-80fc-9cc70b0eda1b	DRY_COOLER
b131e5d5-1e3f-4e11-bd14-f52bed027e27	1d81d3b1-68ca-4fea-af32-95e63b796f96	REMOTE_CONDENSER
b131e5d5-1e3f-4e11-bd14-f52bed027e27	b25ae2ad-04c2-4ef7-86e2-8ac507c7ba82	CHILLED_WATER_PUMPS
b131e5d5-1e3f-4e11-bd14-f52bed027e27	fb464c81-bfa4-4a00-a302-dc57be512fdb	HEAT_REJECTION_PUMPS
b131e5d5-1e3f-4e11-bd14-f52bed027e27	625470f5-d423-44af-acd5-0231ae418626	VENTILATION
b131e5d5-1e3f-4e11-bd14-f52bed027e27	f68d4114-4206-488a-95a1-eee45664a85d	INFILTRATION
b131e5d5-1e3f-4e11-bd14-f52bed027e27	f32fa349-7951-4402-8b13-043c0e283b25	IT_LOAD
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	da30ed00-4a47-4d4e-a940-43ca1d22a861	SWITCHGEAR
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	fa941919-f232-4f34-9449-0b838baf0aaf	GENERATOR
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	9801bb39-2fb0-4fcd-a421-583622834da3	PRIMARY_AUXILIARIES
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	89e990f5-9dd9-4aa2-85a8-767f6fd01d95	UPS
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	f58e21c2-9693-402e-a167-2b84c8b58a9b	CRITICAL_AUXILIARIES
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	e41b9111-ba42-456e-a241-bacdb480afee	LIGHTING
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	1e329997-bb7d-4c36-82fc-36a3331fecc2	CRITICAL_POWER_DISTRIBUTION
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	9e9310ee-d363-464c-9283-57484608ccac	CRAH
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	50b501e8-96f3-4bf1-bd9e-b91c12c19594	CRAC
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	7fe7ad4f-3922-45d4-8182-e0ebd5c161f0	CRAC_WITHOUT_FAN
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	32af3f94-5272-4920-8fcb-3d1114e227b6	CRAC_FAN
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	230765aa-6795-4ef8-9741-b652e6c1b7dd	CHILLER
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	09ab59d8-6d3b-4ea5-960b-003f763e39ec	AIR_COOLED_CHILLER
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	33615d9f-645a-4c90-8579-67e98ad3979e	COOLING_TOWER
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	707aef06-fcd8-45a0-9b4c-493a80674364	DRY_COOLER
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	4e699da1-0a8b-4fe8-b3f3-20bceee85d4f	REMOTE_CONDENSER
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	2e45bc14-3e6d-48ca-9104-59f20054667d	CHILLED_WATER_PUMPS
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	f25430ab-bc4b-4c9d-b9ed-248906c5b850	HEAT_REJECTION_PUMPS
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	78344621-6253-4ab2-a5b1-c3c38e511f0d	VENTILATION
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	37ad34a8-ff41-4c96-ba57-ca197b62b23b	INFILTRATION
0bf5ab3a-02a4-4c66-ad3a-d40e7faf08c9	84d55b95-8ff4-42d7-abc6-bcc22d16015c	IT_LOAD
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	d48e7686-1892-4399-9607-9991b16fd443	SWITCHGEAR
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	c65bb4b1-6103-4815-837c-46c7e813dd2f	GENERATOR
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	b8b4c460-d43f-4ec2-97a1-f565e15b130c	PRIMARY_AUXILIARIES
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	ad7db131-adcd-484f-b6bd-5f06459ade4f	UPS
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	893aaab6-a4e8-4bd1-966f-1f91ccf99cc0	CRITICAL_AUXILIARIES
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	068818d1-3742-4907-8ee5-68a18a01b695	LIGHTING
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	e9f7115f-cfe3-4e37-bcb3-953765b4fee2	CRITICAL_POWER_DISTRIBUTION
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	a1cf5703-a7a5-441c-8d66-e79e7d2e3591	CRAH
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	48f45b98-fc61-4b5d-8947-8103fd75269f	CRAC
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	e93db0ff-6c52-4648-9b47-10d5fb824a6b	CRAC_WITHOUT_FAN
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	9b75227b-7928-449d-a9dd-4541d3d468bd	CRAC_FAN
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	bb9feb33-8877-4e57-be66-d1f88a43bc72	CHILLER
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	2e62454c-49ee-4ec8-9430-9ae8c0812ad1	AIR_COOLED_CHILLER
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	9005630b-bc33-4169-874d-f06a4b2210af	COOLING_TOWER
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	b4d42f5e-aec7-4cf2-83ee-78c82aeeb5c5	DRY_COOLER
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	0ea2c6a4-7743-4b14-bc65-fc49ae08be23	REMOTE_CONDENSER
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	7d27c090-3017-4c39-b3da-7a14236192e6	CHILLED_WATER_PUMPS
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	3fbcf3c9-1357-47a6-9996-1fae8f38b7a2	HEAT_REJECTION_PUMPS
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	3b6a6782-7c93-445e-8356-e7d272c1fc2a	VENTILATION
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	7c750da7-eae5-4ff1-ac1f-79adfdaf4650	INFILTRATION
706ca7e9-a974-4bc6-8597-d3dbb193a2e2	bf351d80-251d-4c1b-b67d-c1783ac5dcd1	IT_LOAD
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	2ab02314-da96-4831-b167-ec9ad62a0e1e	SWITCHGEAR
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	a1791840-0170-468e-997a-a3f3d49f9762	GENERATOR
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	ef204ee6-7c65-4daa-9371-ad8bb3011c16	PRIMARY_AUXILIARIES
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	80704e55-13a0-4841-a17e-cceddbcf8ae1	UPS
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	263d2855-bd75-4ddb-8dc2-60e6fd8fb278	CRITICAL_AUXILIARIES
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	5c35209d-43c5-490d-aefc-ff48371c2311	LIGHTING
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	e61c5322-3305-4a73-89d4-326cb4a9f4d9	CRITICAL_POWER_DISTRIBUTION
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	8d9ef58f-9744-416b-8b72-615651392e78	CRAH
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	804a978d-9f9d-4917-aa91-e49493222729	CRAC
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	a2c8b394-3997-46f2-918e-4e31f395641e	CRAC_WITHOUT_FAN
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	54dbf37d-ea0a-4e92-b166-87e2fd9255a5	CRAC_FAN
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	44c98b2f-e2b4-473a-b340-340868061d95	CHILLER
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	00c87b60-46b7-4ab4-8c23-ac3e6a45b46c	AIR_COOLED_CHILLER
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	ef19721a-7986-4785-b0f0-07c61fe55658	COOLING_TOWER
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	60fe9b9e-b4a5-4679-b7ee-7ead7245ff03	DRY_COOLER
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	4e9a910d-d010-4c95-a401-b7dfc1bf08cf	REMOTE_CONDENSER
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	aa1c85e2-8eb7-4d24-a6e3-48f1e1cb6fb0	CHILLED_WATER_PUMPS
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	c5549286-342c-4168-ba02-97acc87837b3	HEAT_REJECTION_PUMPS
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	975fee72-d393-48b1-b5f5-991f01daafbf	VENTILATION
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	4f690c6b-53da-4a03-9cca-4cd8ba57dff0	INFILTRATION
1dc128a9-d609-4fd4-a439-fc1ab7bd1cf8	d7deafe1-18e6-448d-a333-97461c826dc0	IT_LOAD
6696829f-3428-4239-8f14-ab67d047ffea	f80171a4-430f-47d1-9929-e3869639d5a9	SWITCHGEAR
6696829f-3428-4239-8f14-ab67d047ffea	7ef6c7b2-97c5-475e-b973-905a82f2324b	GENERATOR
6696829f-3428-4239-8f14-ab67d047ffea	404115f3-fb2d-4a02-9f31-88f8846ef7e4	PRIMARY_AUXILIARIES
6696829f-3428-4239-8f14-ab67d047ffea	0da24049-a9a6-41b1-a5a3-576dd668fc42	UPS
6696829f-3428-4239-8f14-ab67d047ffea	4919ff25-f2c9-45f4-9661-b43d8f5323d4	CRITICAL_AUXILIARIES
6696829f-3428-4239-8f14-ab67d047ffea	5e368792-1947-4796-bde0-d68d1501b3af	LIGHTING
6696829f-3428-4239-8f14-ab67d047ffea	64ebac3a-896f-4628-bec8-2180cffe1632	CRITICAL_POWER_DISTRIBUTION
6696829f-3428-4239-8f14-ab67d047ffea	35ee1175-1655-47e2-84a9-8250be799de6	CRAH
6696829f-3428-4239-8f14-ab67d047ffea	6bb5ca42-06b5-4639-94de-c955df5e091b	CRAC
6696829f-3428-4239-8f14-ab67d047ffea	83d536ab-3f7c-4753-8047-0452553a7d75	CRAC_WITHOUT_FAN
6696829f-3428-4239-8f14-ab67d047ffea	88356200-4e61-4d13-8411-f32e28c2d863	CRAC_FAN
6696829f-3428-4239-8f14-ab67d047ffea	78101879-cb21-47f5-9f5e-bc22a6fa866b	CHILLER
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	ac383732-a56a-4330-8fd3-d17be512d184	HEAT_REJECTION_PUMPS
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	64ea1918-f1e2-42b6-802b-47ab21d06afa	VENTILATION
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	e7aadf41-dc92-42fa-8565-af7dbfc51a11	INFILTRATION
6f71918c-e83d-45a6-8c3c-0ac6a33bcb29	bd882d20-25c3-4cc3-bf44-c4b27f8354a0	IT_LOAD
e4f4517d-d58f-4299-af7e-15f30212b296	6c09adf1-25e3-45c6-9a49-6c7d1a29e447	SWITCHGEAR
e4f4517d-d58f-4299-af7e-15f30212b296	7fdb92cc-e359-4a4e-ba27-5617df617184	GENERATOR
e4f4517d-d58f-4299-af7e-15f30212b296	01dc53df-6349-4195-9f64-023abba02faa	PRIMARY_AUXILIARIES
e4f4517d-d58f-4299-af7e-15f30212b296	fc28b8b9-776a-4953-bf1c-944928f8ede8	UPS
e4f4517d-d58f-4299-af7e-15f30212b296	5b29c4a5-9b7d-42e2-bc58-20063a33c55e	CRITICAL_AUXILIARIES
e4f4517d-d58f-4299-af7e-15f30212b296	9f0f79ab-fe51-42b0-93db-5b4fc2828822	LIGHTING
e4f4517d-d58f-4299-af7e-15f30212b296	0d7576d1-8681-437e-919f-4e9666f57046	CRITICAL_POWER_DISTRIBUTION
e4f4517d-d58f-4299-af7e-15f30212b296	fe033fa9-104a-4d96-aea3-bf7e965884c0	CRAH
e4f4517d-d58f-4299-af7e-15f30212b296	3d5287ad-403c-4f81-b10a-1339f13dcc3d	CRAC
e4f4517d-d58f-4299-af7e-15f30212b296	39ddf531-b77a-4877-a1c6-457b7263606b	CRAC_WITHOUT_FAN
e4f4517d-d58f-4299-af7e-15f30212b296	7add07c9-092c-40d3-9290-dde39549e395	CRAC_FAN
e4f4517d-d58f-4299-af7e-15f30212b296	bdfcf725-7886-4ab3-9612-afc0d18ae729	CHILLER
e4f4517d-d58f-4299-af7e-15f30212b296	aabebd93-756e-44d9-a0b8-6216c02139b7	AIR_COOLED_CHILLER
e4f4517d-d58f-4299-af7e-15f30212b296	512601ab-2b86-4dec-b433-5579bfd9c627	COOLING_TOWER
e4f4517d-d58f-4299-af7e-15f30212b296	08424c48-7864-4926-9c80-36e5293165b2	DRY_COOLER
e4f4517d-d58f-4299-af7e-15f30212b296	6e9e95f9-5e0b-4d28-a9ff-5245c53ff682	REMOTE_CONDENSER
e4f4517d-d58f-4299-af7e-15f30212b296	bdae39f3-613f-4042-9001-36f3de5f0941	CHILLED_WATER_PUMPS
e4f4517d-d58f-4299-af7e-15f30212b296	da36063e-83c2-4852-a3b7-7f5ed1354027	HEAT_REJECTION_PUMPS
e4f4517d-d58f-4299-af7e-15f30212b296	2753b0b7-501c-46ea-b905-b4d3866335a5	VENTILATION
e4f4517d-d58f-4299-af7e-15f30212b296	34aa9816-7835-4c17-9466-962abedcb084	INFILTRATION
e4f4517d-d58f-4299-af7e-15f30212b296	791290db-54d7-4ef2-9de0-fd40776d63bb	IT_LOAD
5c7f2ced-4e21-466b-973d-4c3d64f3d498	34c96809-9c8d-4bd0-bd06-dcb14f538353	SWITCHGEAR
5c7f2ced-4e21-466b-973d-4c3d64f3d498	d3e96d77-e4eb-4ae8-801d-87373ef2dd49	GENERATOR
5c7f2ced-4e21-466b-973d-4c3d64f3d498	8835658c-f646-444d-b774-6400d6bf2412	PRIMARY_AUXILIARIES
5c7f2ced-4e21-466b-973d-4c3d64f3d498	e400a3d2-c899-4820-be03-583d211f505e	UPS
5c7f2ced-4e21-466b-973d-4c3d64f3d498	cb6a643e-0c63-487f-918f-374cf189fd46	CRITICAL_AUXILIARIES
5c7f2ced-4e21-466b-973d-4c3d64f3d498	f16d4364-3aeb-4351-9f88-7a173e4dc9de	LIGHTING
5c7f2ced-4e21-466b-973d-4c3d64f3d498	ac903b87-62fb-4099-8f08-2ea14286f58c	CRITICAL_POWER_DISTRIBUTION
5c7f2ced-4e21-466b-973d-4c3d64f3d498	0e25f2ca-e1c7-4a2e-b0c2-453e7876c442	CRAH
5c7f2ced-4e21-466b-973d-4c3d64f3d498	7cad12e7-5d8a-4491-88ee-097c3eadec3c	CRAC
5c7f2ced-4e21-466b-973d-4c3d64f3d498	fa234dd6-55f5-4c8b-bbc4-48817eff6700	CRAC_WITHOUT_FAN
5c7f2ced-4e21-466b-973d-4c3d64f3d498	7d555979-7902-436b-970f-98f7ea59262a	CRAC_FAN
5c7f2ced-4e21-466b-973d-4c3d64f3d498	f7f35988-1c51-42b4-8f9e-4b8d6a390822	CHILLER
5c7f2ced-4e21-466b-973d-4c3d64f3d498	43fb8754-1e86-454e-bf08-fc9274a1c574	AIR_COOLED_CHILLER
5c7f2ced-4e21-466b-973d-4c3d64f3d498	dcfadd79-0acc-4380-aee8-afc4276e0777	COOLING_TOWER
5c7f2ced-4e21-466b-973d-4c3d64f3d498	7fe1e42d-baba-4db2-819f-1fa576fa53f9	DRY_COOLER
5c7f2ced-4e21-466b-973d-4c3d64f3d498	9e067545-3772-40a7-a5dc-2dacc3b5ed37	REMOTE_CONDENSER
5c7f2ced-4e21-466b-973d-4c3d64f3d498	03ed7294-fa55-4843-b1dd-57d43f321a1f	CHILLED_WATER_PUMPS
5c7f2ced-4e21-466b-973d-4c3d64f3d498	52e05f29-2f09-49fc-b5cf-54a1eab0ab72	HEAT_REJECTION_PUMPS
5c7f2ced-4e21-466b-973d-4c3d64f3d498	ff282aaf-e0f4-40b4-bb42-492090d2e772	VENTILATION
5c7f2ced-4e21-466b-973d-4c3d64f3d498	be11a913-3c1f-445b-8065-0aecf01cb854	INFILTRATION
5c7f2ced-4e21-466b-973d-4c3d64f3d498	783b7fc3-d249-4eed-9849-435a9131b4a8	IT_LOAD
a1fd6dbf-b185-49c3-879e-52819a89b957	2515b9bf-2773-49d1-83f7-fe6a7f2f4ac0	SWITCHGEAR
a1fd6dbf-b185-49c3-879e-52819a89b957	b7210169-f7a7-47bf-bd93-d45f0233caa9	GENERATOR
a1fd6dbf-b185-49c3-879e-52819a89b957	48966345-8904-423a-b67c-e26330f21949	PRIMARY_AUXILIARIES
a1fd6dbf-b185-49c3-879e-52819a89b957	6ff5baf0-024d-4165-98ab-3d23f8e2b254	UPS
a1fd6dbf-b185-49c3-879e-52819a89b957	2aa2d6d8-6a66-40b1-83fb-08303616d055	CRITICAL_AUXILIARIES
a1fd6dbf-b185-49c3-879e-52819a89b957	71412519-88f2-4be1-92e4-90bb4475e251	LIGHTING
a1fd6dbf-b185-49c3-879e-52819a89b957	eebbe35e-cbe6-4408-9033-4e2f49ddb1c2	CRITICAL_POWER_DISTRIBUTION
a1fd6dbf-b185-49c3-879e-52819a89b957	920396db-bb70-4aaa-a5fc-6e5152967a19	CRAH
a1fd6dbf-b185-49c3-879e-52819a89b957	3a7927bd-2b7d-4b50-b5c6-9a5d87e67acc	CRAC
a1fd6dbf-b185-49c3-879e-52819a89b957	8d415aaa-915f-459d-8b0f-229b7fda2942	CRAC_WITHOUT_FAN
a1fd6dbf-b185-49c3-879e-52819a89b957	40a6cdc3-60f6-4d84-9858-56b93ccecd65	CRAC_FAN
a1fd6dbf-b185-49c3-879e-52819a89b957	e0862c49-e9d3-40e2-b4de-e14dbcaf653d	CHILLER
a1fd6dbf-b185-49c3-879e-52819a89b957	610b2541-b6bc-46bd-9aa0-638fdc584f53	AIR_COOLED_CHILLER
a1fd6dbf-b185-49c3-879e-52819a89b957	ed671a4e-acad-481d-84ed-0e5bc176f2bc	COOLING_TOWER
a1fd6dbf-b185-49c3-879e-52819a89b957	5722754a-7337-429a-98f3-eeb566998310	DRY_COOLER
a1fd6dbf-b185-49c3-879e-52819a89b957	7ba33fd7-c746-428e-9558-c6ff46b0d21f	REMOTE_CONDENSER
a1fd6dbf-b185-49c3-879e-52819a89b957	c33cd8e8-e8c2-4d49-9732-186624e94ef7	CHILLED_WATER_PUMPS
a1fd6dbf-b185-49c3-879e-52819a89b957	d8798d85-3589-490b-bd56-a72b30801c80	HEAT_REJECTION_PUMPS
a1fd6dbf-b185-49c3-879e-52819a89b957	4e0d3e90-a297-47de-846f-914d5c9e260c	VENTILATION
a1fd6dbf-b185-49c3-879e-52819a89b957	a8749b3a-11c3-446b-a278-6e0c32609055	INFILTRATION
a1fd6dbf-b185-49c3-879e-52819a89b957	fac086dc-16d2-47e5-b894-cf1560a8e120	IT_LOAD
6c92ab77-66ba-4026-a486-d0942d40dccd	acaefc72-cd78-41ff-8ef8-fa48585156e3	SWITCHGEAR
6c92ab77-66ba-4026-a486-d0942d40dccd	a29bd07b-0a81-45b5-8ac4-af1f358930a6	GENERATOR
6c92ab77-66ba-4026-a486-d0942d40dccd	8c3f25c7-0c6a-4251-8926-11ce10b9a692	PRIMARY_AUXILIARIES
6c92ab77-66ba-4026-a486-d0942d40dccd	698aaf90-650b-4b68-9f59-7d9f5782ceaf	UPS
6c92ab77-66ba-4026-a486-d0942d40dccd	53fd9206-01fb-4150-8123-d78ea9b7d075	CRITICAL_AUXILIARIES
6c92ab77-66ba-4026-a486-d0942d40dccd	1a126035-8288-4d24-b0f6-c91f8580ffa4	LIGHTING
6c92ab77-66ba-4026-a486-d0942d40dccd	288db32f-9f87-4aae-baa1-3f5b4fe574a2	CRITICAL_POWER_DISTRIBUTION
6c92ab77-66ba-4026-a486-d0942d40dccd	abca57ae-b9cc-465d-824e-9e1a9a88477d	CRAH
6c92ab77-66ba-4026-a486-d0942d40dccd	4ef5a228-07d9-44d8-9691-56182e06c0cb	CRAC
6c92ab77-66ba-4026-a486-d0942d40dccd	8862bdee-e940-429f-9726-5fb9ad2e01cf	CRAC_WITHOUT_FAN
6c92ab77-66ba-4026-a486-d0942d40dccd	688c0faa-00dd-4efe-a33e-71e677bdf2e7	CRAC_FAN
6c92ab77-66ba-4026-a486-d0942d40dccd	4e821661-d937-4e72-a970-b2619e30c045	CHILLER
6c92ab77-66ba-4026-a486-d0942d40dccd	ca337d28-4409-4b98-87dc-1c90f6def2a8	AIR_COOLED_CHILLER
6c92ab77-66ba-4026-a486-d0942d40dccd	8ac11d11-4aea-450a-887d-4d47778c4df1	COOLING_TOWER
6c92ab77-66ba-4026-a486-d0942d40dccd	12d57dae-f132-4788-a52b-0a067e1efb0d	DRY_COOLER
6c92ab77-66ba-4026-a486-d0942d40dccd	1708fb21-14a2-4f17-8436-99b30051aae2	REMOTE_CONDENSER
6c92ab77-66ba-4026-a486-d0942d40dccd	50eedb80-a9a7-43b6-b7d3-1eb1ccabc082	CHILLED_WATER_PUMPS
6c92ab77-66ba-4026-a486-d0942d40dccd	3f787cea-9338-4dee-9d6c-5ca95a330ca8	HEAT_REJECTION_PUMPS
6c92ab77-66ba-4026-a486-d0942d40dccd	5a31daec-eaaf-4979-a09c-750f7717b7fc	VENTILATION
6c92ab77-66ba-4026-a486-d0942d40dccd	91bb74b8-1d16-4578-8995-d1ee066f279e	INFILTRATION
6c92ab77-66ba-4026-a486-d0942d40dccd	c56624fa-b0ee-4698-99df-28194e320579	IT_LOAD
1b430d2b-5d85-47be-95a5-6f895337a144	8ec6b75f-a617-4f92-b79a-7552872eb807	SWITCHGEAR
1b430d2b-5d85-47be-95a5-6f895337a144	97988d04-9685-40bf-b9c4-5b5053aeaf30	GENERATOR
1b430d2b-5d85-47be-95a5-6f895337a144	3f559226-4b64-421f-8cb3-928c7c009d65	PRIMARY_AUXILIARIES
1b430d2b-5d85-47be-95a5-6f895337a144	e8625936-0b75-4e5c-bf0c-b9325c3ba7a4	UPS
1b430d2b-5d85-47be-95a5-6f895337a144	aabc19f4-3b86-40ba-992d-7c9496c513ff	CRITICAL_AUXILIARIES
1b430d2b-5d85-47be-95a5-6f895337a144	31f812af-bfce-4fbb-bb4b-d15774519ce2	LIGHTING
1b430d2b-5d85-47be-95a5-6f895337a144	8ad07775-1e5e-43fc-93b2-afbcfb129e64	CRITICAL_POWER_DISTRIBUTION
1b430d2b-5d85-47be-95a5-6f895337a144	5941c81e-828c-43d9-b467-79d74195384c	CRAH
1b430d2b-5d85-47be-95a5-6f895337a144	c4413aea-b0d9-4f5d-ab14-0d2df708d0c8	CRAC
1b430d2b-5d85-47be-95a5-6f895337a144	5057ff69-3641-4f51-8343-be50aabd4bbe	CRAC_WITHOUT_FAN
1b430d2b-5d85-47be-95a5-6f895337a144	938d9fbe-9968-493e-a746-4a13f0738758	CRAC_FAN
1b430d2b-5d85-47be-95a5-6f895337a144	e895260e-8430-470d-841d-97c71c5c142b	CHILLER
1b430d2b-5d85-47be-95a5-6f895337a144	c14aaf4a-21d3-480e-a32a-cb0359fc4b0c	AIR_COOLED_CHILLER
1b430d2b-5d85-47be-95a5-6f895337a144	6a19c5ba-7ccd-4041-9a7e-cb4276a78701	COOLING_TOWER
1b430d2b-5d85-47be-95a5-6f895337a144	af1e4ece-634f-4a3d-8ef2-92a12fc71027	DRY_COOLER
1b430d2b-5d85-47be-95a5-6f895337a144	84377570-f8f7-4e9a-bdf6-abd48fd4a1be	REMOTE_CONDENSER
1b430d2b-5d85-47be-95a5-6f895337a144	fc5beaee-9ffe-47cd-9095-a722eae5e047	CHILLED_WATER_PUMPS
1b430d2b-5d85-47be-95a5-6f895337a144	ecbb36bb-df21-4fc5-8b5b-5f793110d22b	HEAT_REJECTION_PUMPS
1b430d2b-5d85-47be-95a5-6f895337a144	cb0415dd-2ea5-492f-88f7-962bba81afb9	VENTILATION
1b430d2b-5d85-47be-95a5-6f895337a144	e8ca3495-e457-4ec2-ba7a-31ba9391a4b3	INFILTRATION
1b430d2b-5d85-47be-95a5-6f895337a144	69275759-a23b-4d64-ba29-27eccc17f9ed	IT_LOAD
57c435de-5ab9-4448-bb68-bada1b2cd148	d39691fd-094f-4cf8-9efe-993616afb01a	SWITCHGEAR
57c435de-5ab9-4448-bb68-bada1b2cd148	1e93e59e-102d-48e5-ab2b-03677fa1ae09	GENERATOR
57c435de-5ab9-4448-bb68-bada1b2cd148	d8c6f6bb-9987-42e3-b39e-355075919fcb	PRIMARY_AUXILIARIES
57c435de-5ab9-4448-bb68-bada1b2cd148	4de4d86c-0791-476e-a2ea-8ed069844c59	UPS
57c435de-5ab9-4448-bb68-bada1b2cd148	cae7503e-0d66-4f7a-8fb5-ae3210050249	CRITICAL_AUXILIARIES
57c435de-5ab9-4448-bb68-bada1b2cd148	aa8b0ab2-0e85-4212-b86f-c9ce2dad2679	LIGHTING
57c435de-5ab9-4448-bb68-bada1b2cd148	b3278127-6441-4673-bccb-e30f09ab897b	CRITICAL_POWER_DISTRIBUTION
57c435de-5ab9-4448-bb68-bada1b2cd148	0d59f918-7616-4d03-82b7-b70c56679855	CRAH
57c435de-5ab9-4448-bb68-bada1b2cd148	45edabdd-1439-4786-b38a-542709eb300b	CRAC
57c435de-5ab9-4448-bb68-bada1b2cd148	b4b656ee-7d0d-45e0-a745-036c6bbe4070	CRAC_WITHOUT_FAN
57c435de-5ab9-4448-bb68-bada1b2cd148	adfcc536-7347-4762-8924-4c05193c3fca	CRAC_FAN
57c435de-5ab9-4448-bb68-bada1b2cd148	4852a4a9-0916-41c1-a590-adb1512e3ff8	CHILLER
57c435de-5ab9-4448-bb68-bada1b2cd148	d906f344-505a-4646-8e75-b7ea5579f50e	AIR_COOLED_CHILLER
57c435de-5ab9-4448-bb68-bada1b2cd148	2758f49a-3dee-4d1f-a04f-524b3e36a981	COOLING_TOWER
57c435de-5ab9-4448-bb68-bada1b2cd148	d8749e11-7e27-4a64-9926-0eac84dc3e4a	DRY_COOLER
57c435de-5ab9-4448-bb68-bada1b2cd148	fdd18d01-6341-4724-9d06-6fed9a3787b2	REMOTE_CONDENSER
57c435de-5ab9-4448-bb68-bada1b2cd148	651ec9f2-9de0-4d91-bab0-5762d031c897	CHILLED_WATER_PUMPS
57c435de-5ab9-4448-bb68-bada1b2cd148	9e1daa74-d81b-4ec1-bea1-955614c97264	HEAT_REJECTION_PUMPS
57c435de-5ab9-4448-bb68-bada1b2cd148	bfcca695-2c36-42ab-b27a-3f782d858039	VENTILATION
57c435de-5ab9-4448-bb68-bada1b2cd148	13a419d1-61db-4108-b631-d03951733793	INFILTRATION
57c435de-5ab9-4448-bb68-bada1b2cd148	578dcdb6-7bf2-450c-ac04-7f10736c3659	IT_LOAD
20d256e0-81ad-4d18-9078-fc1baadeeec4	fe976712-cdd4-4e87-aea6-0f6187c54f01	SWITCHGEAR
20d256e0-81ad-4d18-9078-fc1baadeeec4	f63d5715-16c8-4ca3-823f-355dffe08878	GENERATOR
20d256e0-81ad-4d18-9078-fc1baadeeec4	4d7d91a1-504e-446e-bed7-97594da3bd5c	PRIMARY_AUXILIARIES
20d256e0-81ad-4d18-9078-fc1baadeeec4	ca5f7704-7ad9-4022-90c8-86ece7879342	UPS
20d256e0-81ad-4d18-9078-fc1baadeeec4	80b3bc63-df1e-4a0e-b10f-09eddfb97e4c	CRITICAL_AUXILIARIES
20d256e0-81ad-4d18-9078-fc1baadeeec4	800d2828-e249-429f-8f62-ff97d77b7820	LIGHTING
20d256e0-81ad-4d18-9078-fc1baadeeec4	1e77fda9-01d6-4f30-9f14-14a152712883	CRITICAL_POWER_DISTRIBUTION
20d256e0-81ad-4d18-9078-fc1baadeeec4	b823f8a4-f39f-4dc8-b730-6199f45e42f9	CRAH
6696829f-3428-4239-8f14-ab67d047ffea	d45ee0f6-598f-4ec2-a179-757f4d8b5034	AIR_COOLED_CHILLER
6696829f-3428-4239-8f14-ab67d047ffea	a1da1dd6-79fd-453c-a92c-0f3f2b529c40	COOLING_TOWER
6696829f-3428-4239-8f14-ab67d047ffea	a059a1c0-0f67-4683-9a54-3b8002b51942	DRY_COOLER
6696829f-3428-4239-8f14-ab67d047ffea	6686d7be-d9d1-4183-a9ae-c594e40d9565	REMOTE_CONDENSER
6696829f-3428-4239-8f14-ab67d047ffea	1cb98702-cafd-4b6b-9abb-8a13638a623d	CHILLED_WATER_PUMPS
6696829f-3428-4239-8f14-ab67d047ffea	ff498475-c6f7-4dd1-a8e2-2d7518ca4896	HEAT_REJECTION_PUMPS
6696829f-3428-4239-8f14-ab67d047ffea	2c99d166-be2b-4305-9dde-c1f53a5d4698	VENTILATION
6696829f-3428-4239-8f14-ab67d047ffea	e03435f8-4844-4c1f-ad6f-fa7c15f0fb72	INFILTRATION
6696829f-3428-4239-8f14-ab67d047ffea	00bccdfc-b3b9-492a-9da9-432369c4bc3d	IT_LOAD
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	130ea43a-4431-44f8-8916-d795d9999df2	SWITCHGEAR
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	387fc857-a8e3-4e7f-a11d-fa17eaf27285	GENERATOR
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	42301c14-b90d-4796-a0ae-ed0105f7b332	PRIMARY_AUXILIARIES
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	f837902f-1c7b-4caf-a385-e98afce3a9d4	UPS
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	35ee28d3-ef82-43ff-a652-680b8d7b69e5	CRITICAL_AUXILIARIES
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	9e7a8108-eca8-4062-bf04-b49027dfea3b	LIGHTING
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	6416889b-ed50-426b-9a20-c38baa2876a8	CRITICAL_POWER_DISTRIBUTION
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	cc31775a-ee93-4d48-9325-d9f3ee33d53a	CRAH
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	66750f00-4cd6-483b-bb48-1de77f83b3a2	CRAC
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	18d408d2-64f6-4169-ba5b-36682268053d	CRAC_WITHOUT_FAN
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	9ef0618c-863f-4632-a4ea-8c94a7d47960	CRAC_FAN
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	0d83f06c-7104-44dd-8d0b-d0cd3061287e	CHILLER
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	aaaeac74-d017-4693-bd39-819f74014b48	AIR_COOLED_CHILLER
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	b5f98656-568a-46e1-894e-769420d9d4d3	COOLING_TOWER
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	4c11be05-a7ee-4e6e-955b-d331447ede69	DRY_COOLER
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	4f15432f-7d4b-4a82-8612-47d4a4dc22f0	REMOTE_CONDENSER
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	b892c4a6-0d3d-4962-b7c3-2a9225d9b06f	CHILLED_WATER_PUMPS
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	673f7a9b-0d84-4b53-be8e-b675fc0fdfb6	HEAT_REJECTION_PUMPS
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	b1e37008-def2-445a-a58f-2c0f7c58ebbb	VENTILATION
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	fef4e146-2c93-482b-8060-523894f1de2a	INFILTRATION
aed4c41b-6c0d-4ea7-b1e7-7218ee40bcc2	5be27741-86ae-491c-b06b-1f4ed8e67c34	IT_LOAD
f487cf06-40d2-464f-ba52-22b01b51c886	3ae4ea1b-d9b4-4cbf-811f-1d963e5e86fd	SWITCHGEAR
f487cf06-40d2-464f-ba52-22b01b51c886	03896fb6-14e1-462a-b923-87ba49577d24	GENERATOR
f487cf06-40d2-464f-ba52-22b01b51c886	644f7f0a-5ca5-44fb-9f2d-5089a6c29707	PRIMARY_AUXILIARIES
f487cf06-40d2-464f-ba52-22b01b51c886	e68ce2c8-855a-4e9f-810b-1091633c214c	UPS
f487cf06-40d2-464f-ba52-22b01b51c886	dbccacb1-64ab-496b-ad00-c32ed64f5627	CRITICAL_AUXILIARIES
f487cf06-40d2-464f-ba52-22b01b51c886	ef29ce8a-1b8c-4e60-9b1e-2cb7847e8f1a	LIGHTING
f487cf06-40d2-464f-ba52-22b01b51c886	93aa26a2-5aca-46db-8e7a-2bceba67d428	CRITICAL_POWER_DISTRIBUTION
f487cf06-40d2-464f-ba52-22b01b51c886	7a97be61-6ff7-4167-a9a4-41b44060e88c	CRAH
f487cf06-40d2-464f-ba52-22b01b51c886	3c1123de-a992-4287-8ebd-ad3da5529b89	CRAC
f487cf06-40d2-464f-ba52-22b01b51c886	9e98f3e8-5632-4d73-ac6e-bc4968b2fb3c	CRAC_WITHOUT_FAN
f487cf06-40d2-464f-ba52-22b01b51c886	7a700792-f1bb-4189-94ed-4df502ddb39b	CRAC_FAN
f487cf06-40d2-464f-ba52-22b01b51c886	07ee95f6-1df4-4e13-8e5f-04c94bd95e74	CHILLER
f487cf06-40d2-464f-ba52-22b01b51c886	28a0f70d-040d-4f84-8193-bee1a0e85f68	AIR_COOLED_CHILLER
f487cf06-40d2-464f-ba52-22b01b51c886	f20915a9-5d9f-4983-a66d-313672ac1bb5	COOLING_TOWER
f487cf06-40d2-464f-ba52-22b01b51c886	448dc7aa-b2e7-4589-b39b-4182865e5d2d	DRY_COOLER
f487cf06-40d2-464f-ba52-22b01b51c886	4fbbc1cf-5c6f-4e20-b508-94b2a4b99fc2	REMOTE_CONDENSER
f487cf06-40d2-464f-ba52-22b01b51c886	dd555a25-4ad3-4478-b5fe-8b3e4e633767	CHILLED_WATER_PUMPS
f487cf06-40d2-464f-ba52-22b01b51c886	28f1e888-c856-4011-af5b-bfa49cc5b3e6	HEAT_REJECTION_PUMPS
f487cf06-40d2-464f-ba52-22b01b51c886	52e5b53e-7089-4e1f-a9e7-0f6b23031f90	VENTILATION
f487cf06-40d2-464f-ba52-22b01b51c886	555e9455-9e45-4111-8089-9efbbb5fa564	INFILTRATION
f487cf06-40d2-464f-ba52-22b01b51c886	bc10dc5a-716f-4639-a6f4-0a5eee9bcf0a	IT_LOAD
8a719daa-6194-4ba9-a674-c1173db6b3f5	4c3d8c23-abbb-412c-af4b-1e1adf33dfdd	SWITCHGEAR
8a719daa-6194-4ba9-a674-c1173db6b3f5	70a03b41-9c83-4928-b592-41b18ccbfca3	GENERATOR
8a719daa-6194-4ba9-a674-c1173db6b3f5	fafcb11d-c97a-4fa8-982a-c3d82593e1b4	PRIMARY_AUXILIARIES
8a719daa-6194-4ba9-a674-c1173db6b3f5	5511d060-35d6-4ba4-ae31-bbf8a83c49ba	UPS
8a719daa-6194-4ba9-a674-c1173db6b3f5	40a6e860-9208-452c-90f2-895e2f8f7dc8	CRITICAL_AUXILIARIES
8a719daa-6194-4ba9-a674-c1173db6b3f5	495c41b7-3316-4055-aa78-824edc6b8e66	LIGHTING
8a719daa-6194-4ba9-a674-c1173db6b3f5	39dd3abe-11ba-4141-9240-df049976efcb	CRITICAL_POWER_DISTRIBUTION
8a719daa-6194-4ba9-a674-c1173db6b3f5	94a552c0-a98d-4574-9401-f888b568c52c	CRAH
8a719daa-6194-4ba9-a674-c1173db6b3f5	5c32f53b-eb6d-471e-976a-153993ee5131	CRAC
8a719daa-6194-4ba9-a674-c1173db6b3f5	a5c946a1-871b-4d1b-b072-6b209ef367f6	CRAC_WITHOUT_FAN
8a719daa-6194-4ba9-a674-c1173db6b3f5	09dc70f1-8863-4170-9e0c-d81d88442057	CRAC_FAN
8a719daa-6194-4ba9-a674-c1173db6b3f5	9ef6600e-3e50-497f-a96c-4424524b01ce	CHILLER
8a719daa-6194-4ba9-a674-c1173db6b3f5	006b28c5-7991-4b45-b8ed-010925c6bd46	AIR_COOLED_CHILLER
8a719daa-6194-4ba9-a674-c1173db6b3f5	a5d9df3a-0eb7-4c17-b944-c97494ca7b83	COOLING_TOWER
8a719daa-6194-4ba9-a674-c1173db6b3f5	3e7db5c3-222a-453b-9b44-bea9e7dd7354	DRY_COOLER
8a719daa-6194-4ba9-a674-c1173db6b3f5	a7c1a9e0-0fad-439f-8cf9-4c504c967352	REMOTE_CONDENSER
8a719daa-6194-4ba9-a674-c1173db6b3f5	94ba643a-9756-404f-bdd2-fbf140698ff7	CHILLED_WATER_PUMPS
8a719daa-6194-4ba9-a674-c1173db6b3f5	449ca44c-fc81-4bec-be9b-1313e94dc23f	HEAT_REJECTION_PUMPS
8a719daa-6194-4ba9-a674-c1173db6b3f5	47edefc7-edd9-4fbf-aa8c-ebd267dbff14	VENTILATION
8a719daa-6194-4ba9-a674-c1173db6b3f5	6abdf1ef-5eb6-4125-8c55-0f658317390e	INFILTRATION
8a719daa-6194-4ba9-a674-c1173db6b3f5	6b8c87f8-40e3-4d68-a439-8dd8e63e9eb8	IT_LOAD
1a376a72-9e83-4970-9aa8-543cb6fee1d3	77533710-2945-45f9-9f8e-9c36ee0dfcc7	SWITCHGEAR
1a376a72-9e83-4970-9aa8-543cb6fee1d3	e23e8986-0937-4db3-b8df-586b59579350	GENERATOR
1a376a72-9e83-4970-9aa8-543cb6fee1d3	110a839d-4f98-44b2-87fa-c53144ec5606	PRIMARY_AUXILIARIES
1a376a72-9e83-4970-9aa8-543cb6fee1d3	2207160b-b4d3-421c-8f42-68f826ca9ed9	UPS
1a376a72-9e83-4970-9aa8-543cb6fee1d3	6a41fa7a-bd07-47d7-8961-bb6613dc86d8	CRITICAL_AUXILIARIES
1a376a72-9e83-4970-9aa8-543cb6fee1d3	7a4e9403-9140-49cb-a035-5112495a73fa	LIGHTING
1a376a72-9e83-4970-9aa8-543cb6fee1d3	05781b34-dc00-4aa3-9186-f258af73d1b9	CRITICAL_POWER_DISTRIBUTION
1a376a72-9e83-4970-9aa8-543cb6fee1d3	ea761046-1c4b-4fad-bc53-81d42606a7e2	CRAH
1a376a72-9e83-4970-9aa8-543cb6fee1d3	9418bbfc-ea28-4b02-8108-bc913a879884	CRAC
1a376a72-9e83-4970-9aa8-543cb6fee1d3	6a5ce671-130c-4e67-b230-ca5d964c36ec	CRAC_WITHOUT_FAN
1a376a72-9e83-4970-9aa8-543cb6fee1d3	de72b112-7076-4229-8777-5f7845202aed	CRAC_FAN
1a376a72-9e83-4970-9aa8-543cb6fee1d3	16fdf0ab-f58f-450c-ab6b-b175d53d3f2c	CHILLER
1a376a72-9e83-4970-9aa8-543cb6fee1d3	2d96fb24-c951-411d-bca9-ea81e5604442	AIR_COOLED_CHILLER
1a376a72-9e83-4970-9aa8-543cb6fee1d3	751679de-ccb1-49e9-82cb-92b6596746ee	COOLING_TOWER
1a376a72-9e83-4970-9aa8-543cb6fee1d3	475b48fb-2d8f-4f14-a516-98ac8f466367	DRY_COOLER
1a376a72-9e83-4970-9aa8-543cb6fee1d3	e7b75c58-a871-4c7e-a8b7-3600c36e8420	REMOTE_CONDENSER
1a376a72-9e83-4970-9aa8-543cb6fee1d3	555c9b14-09ad-474f-8b6d-585a63020962	CHILLED_WATER_PUMPS
1a376a72-9e83-4970-9aa8-543cb6fee1d3	a8e13cce-8f41-40bc-a801-5cd22206c9a7	HEAT_REJECTION_PUMPS
1a376a72-9e83-4970-9aa8-543cb6fee1d3	f4ee9a62-3656-4072-a5b2-43f7bd8180cb	VENTILATION
1a376a72-9e83-4970-9aa8-543cb6fee1d3	9e778555-e96b-4ddc-b416-fa9a2654db3d	INFILTRATION
1a376a72-9e83-4970-9aa8-543cb6fee1d3	e1ab9098-16ff-4a8a-b61e-ffe4edaa9ec6	IT_LOAD
db9d31ac-2dac-4412-9206-430de7be1501	34a95ea5-f39a-4bfc-b826-40f4a9d0d6ab	SWITCHGEAR
db9d31ac-2dac-4412-9206-430de7be1501	1e5cb396-d54c-4c7a-808b-f7a203cb6642	GENERATOR
db9d31ac-2dac-4412-9206-430de7be1501	1aa62da2-1793-4951-90e6-26ee8357ef29	PRIMARY_AUXILIARIES
db9d31ac-2dac-4412-9206-430de7be1501	ce7e32b7-e303-4c89-8ae8-3faaa2839416	UPS
db9d31ac-2dac-4412-9206-430de7be1501	75fd0d32-a074-43b6-83d7-c2a53fc6e5c5	CRITICAL_AUXILIARIES
db9d31ac-2dac-4412-9206-430de7be1501	e2bf4c86-bf59-49e7-806f-144fb9b95f68	LIGHTING
db9d31ac-2dac-4412-9206-430de7be1501	414bf058-03c4-4cdc-b835-534016b2bf09	CRITICAL_POWER_DISTRIBUTION
db9d31ac-2dac-4412-9206-430de7be1501	35bae80e-a4a3-4923-8ce0-1bd5e87a977c	CRAH
db9d31ac-2dac-4412-9206-430de7be1501	62170b0e-a822-42c3-9198-79deb8841e63	CRAC
db9d31ac-2dac-4412-9206-430de7be1501	3691dac5-33fd-4488-a443-3d86c49229ef	CRAC_WITHOUT_FAN
db9d31ac-2dac-4412-9206-430de7be1501	02c8df31-f115-4b1f-b10e-7a7b52efee97	CRAC_FAN
db9d31ac-2dac-4412-9206-430de7be1501	e4f10df4-3c06-4f8f-91cf-dab54f3f5605	CHILLER
db9d31ac-2dac-4412-9206-430de7be1501	090595c3-a54e-499d-9caf-f926063e8df2	AIR_COOLED_CHILLER
db9d31ac-2dac-4412-9206-430de7be1501	274ece75-8829-45f7-a890-61b5ef75821a	COOLING_TOWER
db9d31ac-2dac-4412-9206-430de7be1501	5c07f417-1c98-4acd-a7ac-df9044711509	DRY_COOLER
db9d31ac-2dac-4412-9206-430de7be1501	508fb59e-6a74-4212-9992-bf2476f0d3db	REMOTE_CONDENSER
db9d31ac-2dac-4412-9206-430de7be1501	cc6d486f-99bd-4740-a05e-3b21cae28369	CHILLED_WATER_PUMPS
db9d31ac-2dac-4412-9206-430de7be1501	92d764b0-db49-4e5c-8104-0587c94304b4	HEAT_REJECTION_PUMPS
db9d31ac-2dac-4412-9206-430de7be1501	20a36a5e-b3ba-4fd0-8e89-c3e9b1eb07aa	VENTILATION
db9d31ac-2dac-4412-9206-430de7be1501	afaa0002-16c8-4a76-b6f5-ddc7f1168160	INFILTRATION
db9d31ac-2dac-4412-9206-430de7be1501	a277616c-e33f-41e2-9e53-548fa4f663e0	IT_LOAD
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	ab3619af-5254-4319-989b-00229af70bfe	SWITCHGEAR
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	34dd9dde-906f-498a-9988-d7f1fed72c46	GENERATOR
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	b0f8330d-7c94-4a29-be7f-2add5789998b	PRIMARY_AUXILIARIES
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	1655f8ba-f589-4c62-b667-0390f75e93ba	UPS
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	be5ddf8e-84d4-4d8d-914f-9d1171a020b3	CRITICAL_AUXILIARIES
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	88e204a9-4c9b-424b-9397-03d659df49db	LIGHTING
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	bc9108e6-0d0e-48ae-8279-e6195dea0011	CRITICAL_POWER_DISTRIBUTION
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	a0330a7e-3237-4a59-a062-6d1f6c4b548f	CRAH
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	dc7a57b2-a3b0-48fe-ba3c-6b2053c69cba	CRAC
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	36dfe437-2aff-40bb-9ef8-364f07f6a272	CRAC_WITHOUT_FAN
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	cba39745-cf86-4cc1-980a-4cbfcf54fb00	CRAC_FAN
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	60d4fd1e-e45c-47ec-90de-d2578b0b8ce3	CHILLER
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	3e8bd374-6c81-4b6d-bad7-90620a629fa8	AIR_COOLED_CHILLER
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	d999e17e-653e-4f11-b293-cd77edee60bd	COOLING_TOWER
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	c074ae9f-639b-43cb-ab0e-4fecde2a993c	DRY_COOLER
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	33e44ed0-dabb-4145-8d6b-8db6dfd00878	REMOTE_CONDENSER
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	c5a9e3ef-3c20-4f26-ba0a-92df4fd9b2f0	CHILLED_WATER_PUMPS
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	1b6a32f4-0e1d-41b5-b1b9-03f608770c4b	HEAT_REJECTION_PUMPS
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	1d6bde80-88f1-454b-a429-cd9eebd25887	VENTILATION
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	d1190e89-67d2-4866-af0f-90482f6b7a86	INFILTRATION
89bf96c8-65d5-4fd1-9cd5-01402a13a0c7	fd9ed350-6631-4b81-95df-b030d976c118	IT_LOAD
e1a8e779-3482-46db-965c-f4775c5f7476	7b1826b2-d5fa-4319-9ebd-072bdee63361	SWITCHGEAR
e1a8e779-3482-46db-965c-f4775c5f7476	fb5d3e10-6797-4ade-a1d2-f8b0774697e4	GENERATOR
e1a8e779-3482-46db-965c-f4775c5f7476	25fe7cb2-9b4f-4e17-b7bb-095c627c6d0c	PRIMARY_AUXILIARIES
e1a8e779-3482-46db-965c-f4775c5f7476	732b116c-0ffd-4079-985e-2efc43dc740f	UPS
e1a8e779-3482-46db-965c-f4775c5f7476	24a9ed63-db69-407f-b0e3-bfd6c1f5e9f9	CRITICAL_AUXILIARIES
e1a8e779-3482-46db-965c-f4775c5f7476	637c25e4-5bcc-4e3f-922f-704b1d0bc1be	LIGHTING
e1a8e779-3482-46db-965c-f4775c5f7476	0c3caf1b-4fee-4e64-a99a-c23a2f9f82a8	CRITICAL_POWER_DISTRIBUTION
e1a8e779-3482-46db-965c-f4775c5f7476	a5ce3804-1ca3-4500-b95f-6370e6409f7d	CRAH
e1a8e779-3482-46db-965c-f4775c5f7476	b0656dfb-324b-47a5-bbe6-20f21c925ebd	CRAC
e1a8e779-3482-46db-965c-f4775c5f7476	f244ed2c-c6ab-4374-96a2-277e3b5f0c2f	CRAC_WITHOUT_FAN
e1a8e779-3482-46db-965c-f4775c5f7476	c0515113-7e33-4ee1-b6a5-7d2fa61d4ba2	CRAC_FAN
e1a8e779-3482-46db-965c-f4775c5f7476	4ea3ab9a-63fd-4435-9184-369bd5f95ff3	CHILLER
e1a8e779-3482-46db-965c-f4775c5f7476	624c4b5c-0170-4557-9795-87b41a5090e2	AIR_COOLED_CHILLER
e1a8e779-3482-46db-965c-f4775c5f7476	03fd9098-150d-4b31-a64b-bbc7cbe8914a	COOLING_TOWER
e1a8e779-3482-46db-965c-f4775c5f7476	d3fdb00b-e8aa-4316-8324-2d584b3ef6be	DRY_COOLER
e1a8e779-3482-46db-965c-f4775c5f7476	6bbfca06-7ec6-44ba-a565-f06062424c71	REMOTE_CONDENSER
e1a8e779-3482-46db-965c-f4775c5f7476	c5858a34-18cb-4a45-85bf-c45557944972	CHILLED_WATER_PUMPS
e1a8e779-3482-46db-965c-f4775c5f7476	d9653aee-d970-44ee-ac59-0578f5d2d9aa	HEAT_REJECTION_PUMPS
e1a8e779-3482-46db-965c-f4775c5f7476	2d047790-a539-4ad4-b639-6d817b8e4b3f	VENTILATION
e1a8e779-3482-46db-965c-f4775c5f7476	48774c7c-1bc8-4c77-8706-e11a27413113	INFILTRATION
e1a8e779-3482-46db-965c-f4775c5f7476	5d187036-9ed0-44e2-9262-a98df621d6fa	IT_LOAD
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	a98e82ae-e30d-49f3-8329-bc4c150391e4	SWITCHGEAR
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	3871f61f-7808-43fc-a20a-6034d03568b1	GENERATOR
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	64f7de59-548c-42a7-8df6-aec7dd9effd8	PRIMARY_AUXILIARIES
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	aa16b2ff-3a3e-4cd4-8380-3217c166a576	UPS
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	a032f303-f844-467b-9ddd-6cc1c44ebc9c	CRITICAL_AUXILIARIES
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	ed1435cb-6d3e-4c6d-aafb-2896564e2dbd	LIGHTING
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	41afa3f4-97aa-468d-bb75-301d43639710	CRITICAL_POWER_DISTRIBUTION
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	80b88c7b-9b41-4bc7-ac19-4475ffcdccfb	CRAH
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	9c91c5c2-6529-4110-8713-603a32d62f9e	CRAC
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	13469652-fa08-4e6f-a9cb-d7aabe9c3a2b	CRAC_WITHOUT_FAN
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	84e97244-9488-46cb-9f23-3ffb6506cfb0	CRAC_FAN
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	fb4b84cb-56cf-4b29-974a-4732e1026bdd	CHILLER
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	16311ed7-d2ba-4ea5-927a-ce2b8efb5d69	AIR_COOLED_CHILLER
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	4a5ad88e-fbb2-43fb-b215-0ccab1d747f1	COOLING_TOWER
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	3286405e-36ec-4ec9-a783-a62b3f07a4d9	DRY_COOLER
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	8a9a0a04-c11b-49ff-9a45-bee6ac5ef1bf	REMOTE_CONDENSER
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	ca38df61-92ab-432d-9d7f-923f3d295d5c	CHILLED_WATER_PUMPS
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	2de28af2-a10e-4536-bc8c-1b1b5162b1cd	HEAT_REJECTION_PUMPS
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	ae71bd28-bb16-4b30-94d6-d4e87e09637c	VENTILATION
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	a762a05c-175c-4912-b2b1-7a2c59ee8d92	INFILTRATION
e5bfb9fe-f668-4d6d-a367-0b55d9e8caa3	8c0dffda-daf5-48f6-b322-1cb9b6001fd4	IT_LOAD
3f8aa528-b23d-4498-8b5a-c929afd77bf1	154a4d88-9a19-48e1-8714-4e25c97f9a83	SWITCHGEAR
3f8aa528-b23d-4498-8b5a-c929afd77bf1	fc87129a-c9ae-45b6-9292-5854e52d68f2	GENERATOR
3f8aa528-b23d-4498-8b5a-c929afd77bf1	6a64fc3d-04f3-4684-b817-099966c4b220	PRIMARY_AUXILIARIES
3f8aa528-b23d-4498-8b5a-c929afd77bf1	2b6e1be6-1dfe-48c7-a208-7140eaaffce3	UPS
3f8aa528-b23d-4498-8b5a-c929afd77bf1	b061c21b-fa77-4856-b4f2-53b2c3cafd43	CRITICAL_AUXILIARIES
3f8aa528-b23d-4498-8b5a-c929afd77bf1	7f33c3c9-9790-4cbc-9c30-43d34c32a77d	LIGHTING
3f8aa528-b23d-4498-8b5a-c929afd77bf1	c1fc32f4-35a3-460f-9254-609190104151	CRITICAL_POWER_DISTRIBUTION
3f8aa528-b23d-4498-8b5a-c929afd77bf1	64f68ade-2804-4189-80f0-f93b42a7aec4	CRAH
3f8aa528-b23d-4498-8b5a-c929afd77bf1	3d23a099-97b0-4292-861b-15dd285d2446	CRAC
3f8aa528-b23d-4498-8b5a-c929afd77bf1	74351219-1ca9-43a6-b0b8-40b5a05fa533	CRAC_WITHOUT_FAN
3f8aa528-b23d-4498-8b5a-c929afd77bf1	e052a042-a565-4a81-b392-d593c51af849	CRAC_FAN
3f8aa528-b23d-4498-8b5a-c929afd77bf1	2591e7c6-8394-40e8-a270-860eebff712f	CHILLER
3f8aa528-b23d-4498-8b5a-c929afd77bf1	2765a272-41da-4b26-8b72-e941648312e6	AIR_COOLED_CHILLER
3f8aa528-b23d-4498-8b5a-c929afd77bf1	42b89d20-a4f4-419e-9e9a-eb5087e5cc21	COOLING_TOWER
3f8aa528-b23d-4498-8b5a-c929afd77bf1	5a744f05-197d-4452-b63a-3d1fa87b6be6	DRY_COOLER
3f8aa528-b23d-4498-8b5a-c929afd77bf1	9756c90e-35e2-48d4-849e-162c6ddd353b	REMOTE_CONDENSER
3f8aa528-b23d-4498-8b5a-c929afd77bf1	7701c8ed-1ded-4238-8498-ab514d63c76b	CHILLED_WATER_PUMPS
3f8aa528-b23d-4498-8b5a-c929afd77bf1	74335f8a-d4e8-4bf6-9c86-647ebcf9cf94	HEAT_REJECTION_PUMPS
3f8aa528-b23d-4498-8b5a-c929afd77bf1	5a68fc3b-3c6d-40ae-a380-844e3d38b21c	VENTILATION
3f8aa528-b23d-4498-8b5a-c929afd77bf1	399778c5-ffc6-4cce-90ce-c82bcc4b7a77	INFILTRATION
3f8aa528-b23d-4498-8b5a-c929afd77bf1	168ccdcf-1288-4414-8de8-1b849b280835	IT_LOAD
ad481d83-58d7-40e7-874e-08843bd20fc5	2bf2b057-47fe-4c9f-94bf-879cfa4c1089	SWITCHGEAR
ad481d83-58d7-40e7-874e-08843bd20fc5	847eff7a-4a85-4452-a033-4456a93a7825	GENERATOR
ad481d83-58d7-40e7-874e-08843bd20fc5	cc90146d-6cac-475d-add4-b74e63f912a5	PRIMARY_AUXILIARIES
ad481d83-58d7-40e7-874e-08843bd20fc5	d5a28ff2-f3a0-4cc5-a5ca-7e2bc657e43f	UPS
ad481d83-58d7-40e7-874e-08843bd20fc5	c36cdb12-aa39-47fd-9bc1-8c1836e4fb0b	CRITICAL_AUXILIARIES
ad481d83-58d7-40e7-874e-08843bd20fc5	0d6658cc-3e67-4889-8447-8520d16527d9	LIGHTING
ad481d83-58d7-40e7-874e-08843bd20fc5	6761c2ae-434a-4e01-94c7-c3014e89475c	CRITICAL_POWER_DISTRIBUTION
ad481d83-58d7-40e7-874e-08843bd20fc5	5d85a972-7d05-4cc9-b3b1-cd09d8e82152	CRAH
ad481d83-58d7-40e7-874e-08843bd20fc5	d11b4d2a-bb97-4ac9-a646-6802c3cad4ff	CRAC
ad481d83-58d7-40e7-874e-08843bd20fc5	6bd05202-6e32-49a9-881e-8883702f98df	CRAC_WITHOUT_FAN
ad481d83-58d7-40e7-874e-08843bd20fc5	6c3dbcba-d566-44d8-8e7e-b82e80365fff	CRAC_FAN
ad481d83-58d7-40e7-874e-08843bd20fc5	af359495-1622-45e6-85b1-4e2e2c66f9f7	CHILLER
ad481d83-58d7-40e7-874e-08843bd20fc5	b2c7390d-d73a-46bf-97fa-e578cf290b83	AIR_COOLED_CHILLER
ad481d83-58d7-40e7-874e-08843bd20fc5	53861073-b78b-40ee-bfda-7ed636117d62	COOLING_TOWER
ad481d83-58d7-40e7-874e-08843bd20fc5	65cc9c1a-43d8-4d73-aec0-9faa2b1f453c	DRY_COOLER
ad481d83-58d7-40e7-874e-08843bd20fc5	72da9ee3-1a8b-4056-93c1-b431841dd9f4	REMOTE_CONDENSER
ad481d83-58d7-40e7-874e-08843bd20fc5	314c36d8-fdf2-456a-9416-b45c6460dd62	CHILLED_WATER_PUMPS
ad481d83-58d7-40e7-874e-08843bd20fc5	3fcf6e26-0986-4bee-bef8-432e5e6a2dc5	HEAT_REJECTION_PUMPS
ad481d83-58d7-40e7-874e-08843bd20fc5	0f93ecd0-9cad-4179-94b0-802ed5dd6911	VENTILATION
ad481d83-58d7-40e7-874e-08843bd20fc5	f67d89e1-3fb4-4bbd-b40f-4f45a55262a0	INFILTRATION
ad481d83-58d7-40e7-874e-08843bd20fc5	47764967-a16d-4d1c-a65c-ae3413501954	IT_LOAD
86d14430-df42-4587-85b1-fd86caf24bee	3ba3bb7a-1997-451d-a9c8-2c3a3f70a0f1	SWITCHGEAR
86d14430-df42-4587-85b1-fd86caf24bee	274701fb-28f2-4d9a-b491-4d70a3d65b8a	GENERATOR
86d14430-df42-4587-85b1-fd86caf24bee	51708c3e-a596-4305-89e5-4d2726508aef	PRIMARY_AUXILIARIES
86d14430-df42-4587-85b1-fd86caf24bee	662ef9ee-9297-45ad-ab03-6716bd9ae28f	UPS
86d14430-df42-4587-85b1-fd86caf24bee	988ff00d-8c1e-4b12-9e07-52dd04810826	CRITICAL_AUXILIARIES
86d14430-df42-4587-85b1-fd86caf24bee	ebec843a-8046-444f-a061-bab4d35a206d	LIGHTING
86d14430-df42-4587-85b1-fd86caf24bee	f5f4f6c2-4edc-49b6-90f6-0eebf1e3e3b9	CRITICAL_POWER_DISTRIBUTION
86d14430-df42-4587-85b1-fd86caf24bee	fdf55cac-6654-421a-b981-2c3da15e7fcd	CRAH
86d14430-df42-4587-85b1-fd86caf24bee	762cee48-00b4-4824-82db-7b9e7d8d2388	CRAC
86d14430-df42-4587-85b1-fd86caf24bee	04e17820-45ba-4f53-b2ed-d12073232803	CRAC_WITHOUT_FAN
86d14430-df42-4587-85b1-fd86caf24bee	f0bb4f0c-088f-4fad-a409-151b905118a8	CRAC_FAN
86d14430-df42-4587-85b1-fd86caf24bee	88e62ac3-78a7-491a-9e53-1d7c9967f214	CHILLER
86d14430-df42-4587-85b1-fd86caf24bee	7d383b7b-360b-4634-8936-95991d1ed0b9	AIR_COOLED_CHILLER
86d14430-df42-4587-85b1-fd86caf24bee	179f00bd-a2c6-4126-a66f-de84466b8fbc	COOLING_TOWER
86d14430-df42-4587-85b1-fd86caf24bee	ee50927b-242c-4ded-b84f-ead095de6578	DRY_COOLER
86d14430-df42-4587-85b1-fd86caf24bee	722a30e4-4024-4aba-b7a5-a7106ee6cfce	REMOTE_CONDENSER
86d14430-df42-4587-85b1-fd86caf24bee	c821657d-2eaf-48eb-8691-8f5a60f6956e	CHILLED_WATER_PUMPS
86d14430-df42-4587-85b1-fd86caf24bee	13c503b7-9ba3-4234-82f0-ff5fec0ad403	HEAT_REJECTION_PUMPS
86d14430-df42-4587-85b1-fd86caf24bee	effb240d-466e-44cc-a22a-438e9f733361	VENTILATION
86d14430-df42-4587-85b1-fd86caf24bee	71bfdf51-d23b-407a-9dc3-7c4f13b498a7	INFILTRATION
86d14430-df42-4587-85b1-fd86caf24bee	18f127cd-b8a5-4a50-9a6a-fccc4bcbf280	IT_LOAD
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	f7582255-da3f-4bdf-8068-ebb4f0108b8b	SWITCHGEAR
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	448fdbcb-c516-4944-83b5-6b0d5390d556	GENERATOR
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	98f30a7a-d757-453d-8461-c55368e080f8	PRIMARY_AUXILIARIES
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	c045e3f0-86eb-41ed-93a0-37879f990148	UPS
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	b5ffe12d-c669-4509-82a2-bc6f402a45f9	CRITICAL_AUXILIARIES
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	a5b13e94-b41a-45a9-99c0-90939df2e938	LIGHTING
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	324f9e7c-de26-478c-9376-23ebf843baa5	CRITICAL_POWER_DISTRIBUTION
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	d4d08869-70a8-4c47-b34f-9fc36ecf4e71	CRAH
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	138e3f40-3d59-4f37-9a39-6169efc4a9a6	CRAC
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	ef7f4c79-4744-489d-9e35-40436d2739b1	CRAC_WITHOUT_FAN
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	58b39703-54b9-4882-83eb-e6f62a5b3fbe	CRAC_FAN
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	6952136c-76c4-4204-b7c8-c322c07c131a	CHILLER
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	be158df3-e555-4bde-94dd-ec3b7dfdc3f4	AIR_COOLED_CHILLER
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	20692a2e-889f-4717-9b5a-7fbc54c2e8cd	COOLING_TOWER
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	581014d6-3b16-4f0e-ac9c-05189a554b65	DRY_COOLER
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	04e644da-6110-48a8-89cd-bb7122c0da62	REMOTE_CONDENSER
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	9ca32a63-3eb4-4664-a748-501a78d19f92	CHILLED_WATER_PUMPS
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	74913ef2-7c3b-452d-915b-d3344f67004b	HEAT_REJECTION_PUMPS
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	65a20f33-f679-41f6-901d-84b513a26a5a	VENTILATION
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	82a413fb-63ac-42ae-a129-10ff68cc5d56	INFILTRATION
6d8b282b-d7e4-4141-815e-ffbf0f7b545e	9ebfa224-06b0-4f60-82cd-8b02a3cf282e	IT_LOAD
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	a5f2de33-79ca-4ad6-8e65-a9edcd396493	SWITCHGEAR
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	132670bc-c4f6-4382-a49b-eb5e623bbfb6	GENERATOR
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	d6aefab6-3618-4a24-93f4-e29e0a4ce598	PRIMARY_AUXILIARIES
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	9aee4b83-a7e5-4033-a109-6d530252864f	UPS
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	03d2c488-758f-4639-aa19-33c407abc00c	CRITICAL_AUXILIARIES
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	67e48581-c609-4848-acce-4bfc5d7b5cc5	LIGHTING
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	5f1b66f8-20e0-4ded-ad00-24b56ffc94b8	CRITICAL_POWER_DISTRIBUTION
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	6e7d3d04-ea78-4a65-a355-6fd9e24ab6e3	CRAH
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	43acd2bf-90b6-4e86-b2b7-06dc0039a6da	CRAC
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	8ead952a-a67a-4909-b08b-06bfa59e25b9	CRAC_WITHOUT_FAN
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	46a95ba0-9dab-467b-8456-7081825d22eb	CRAC_FAN
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	ee0adcf3-0143-42dd-b0a8-450f928d262e	CHILLER
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	a3ebf3fe-b887-45b7-b7c6-a44d08d22351	AIR_COOLED_CHILLER
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	358c3a4c-1997-456d-908b-4c700cb58b7c	COOLING_TOWER
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	949d3a7c-8cbb-4c5d-b979-a284556de45c	DRY_COOLER
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	3171ed6d-306d-46c1-806c-b0182be60e6b	REMOTE_CONDENSER
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	74e2c8d6-91cb-4f03-a41e-aa433a1bcc39	CHILLED_WATER_PUMPS
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	54861274-69ff-4112-824f-0098abf48bd6	HEAT_REJECTION_PUMPS
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	80d52875-429a-46d6-913c-c88d2bc97cae	VENTILATION
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	70f558a1-c293-4740-adb8-0b88d7dbb5c1	INFILTRATION
e2eecffe-f2f9-499f-91d7-e9ce4950d3e1	44c9569d-bff4-4c65-a942-9d86d3f309d7	IT_LOAD
da65e2cc-8649-4b39-94cf-40621febf4e7	cf7b0823-ce88-48c0-9425-1e3b5b2a54af	SWITCHGEAR
da65e2cc-8649-4b39-94cf-40621febf4e7	7b1cc8db-366b-407d-a85a-64dd51453ecd	GENERATOR
da65e2cc-8649-4b39-94cf-40621febf4e7	104721ef-d3c2-43ac-a5e7-397d8d384667	PRIMARY_AUXILIARIES
da65e2cc-8649-4b39-94cf-40621febf4e7	f7f69449-e2cc-4ca4-9ec7-2bb312212d1f	UPS
da65e2cc-8649-4b39-94cf-40621febf4e7	97b31195-9ed2-4d51-8fbb-35be49ee9e00	CRITICAL_AUXILIARIES
da65e2cc-8649-4b39-94cf-40621febf4e7	2f050538-db8b-40b4-bd93-401e76c5eb5f	LIGHTING
da65e2cc-8649-4b39-94cf-40621febf4e7	aeee3a9e-6a11-4c1a-96ef-1422bc14e240	CRITICAL_POWER_DISTRIBUTION
da65e2cc-8649-4b39-94cf-40621febf4e7	38765579-1aba-4b52-a884-3d5f00da1efe	CRAH
da65e2cc-8649-4b39-94cf-40621febf4e7	f3ed9996-f847-44c5-990c-1ac066aa3ae9	CRAC
da65e2cc-8649-4b39-94cf-40621febf4e7	669dfef4-7ab0-4f34-8966-e201961e95d1	CRAC_WITHOUT_FAN
da65e2cc-8649-4b39-94cf-40621febf4e7	8b3ffc4c-53ef-4dc6-bdad-e304b3cc6c1d	CRAC_FAN
da65e2cc-8649-4b39-94cf-40621febf4e7	ae949173-7ee7-4b8f-a4ab-15b67c478c91	CHILLER
da65e2cc-8649-4b39-94cf-40621febf4e7	929d0ca0-198e-466b-8b71-5999c51f2d93	AIR_COOLED_CHILLER
da65e2cc-8649-4b39-94cf-40621febf4e7	e08a8762-7c92-43df-ab75-0d1143c066dc	COOLING_TOWER
da65e2cc-8649-4b39-94cf-40621febf4e7	67ba9674-9106-48d8-b453-687fcab4b699	DRY_COOLER
da65e2cc-8649-4b39-94cf-40621febf4e7	b2e484cc-7104-4e8d-b525-a1bd732b4c3e	REMOTE_CONDENSER
da65e2cc-8649-4b39-94cf-40621febf4e7	684f931b-ebe6-4796-bba8-9a9e6d1c273c	CHILLED_WATER_PUMPS
da65e2cc-8649-4b39-94cf-40621febf4e7	cb91708c-f4a0-4b20-a260-d6c7aa64f0a9	HEAT_REJECTION_PUMPS
da65e2cc-8649-4b39-94cf-40621febf4e7	2822ebb3-1508-4ccc-9bca-1811ffa3f2ba	VENTILATION
da65e2cc-8649-4b39-94cf-40621febf4e7	66603a5d-55c1-413e-8389-d21221ac84c2	INFILTRATION
da65e2cc-8649-4b39-94cf-40621febf4e7	83ae4f06-d86c-4d08-bebf-1a0e92debcb9	IT_LOAD
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	be7a1edb-b394-4578-8f4c-aa49203e448a	SWITCHGEAR
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	04656281-ea2e-46b3-b16d-b00a49459358	GENERATOR
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	5c719ea3-967c-4f56-a60d-2b1de09db5f4	PRIMARY_AUXILIARIES
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	b74974fe-5ffa-4ae2-8067-3d2b26b9c7d9	UPS
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	16979b41-9686-4ae8-8932-b727e3810d7e	CRITICAL_AUXILIARIES
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	7cab816f-0216-4b9d-be78-403769c3975c	LIGHTING
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	ad4fbb87-9845-4541-880a-cb3472053c8e	CRITICAL_POWER_DISTRIBUTION
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	27c7b7c5-b3f0-4138-9144-2be9dbbd34c2	CRAH
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	8aaa633b-3bf0-4f41-9178-6f7fc64684bb	CRAC
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	700ad8bb-2425-499d-ae9a-a2040ea32807	CRAC_WITHOUT_FAN
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	8f92c78a-01e3-4b79-8cfd-ce273ce4ce7e	CRAC_FAN
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	e7eac979-9860-42dd-bc6a-372c8634b8d7	CHILLER
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	d1729328-5428-4b70-9b9d-5563ca35b3b4	AIR_COOLED_CHILLER
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	5d007950-db2e-4f47-b8d9-1e655873aa36	COOLING_TOWER
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	66724c72-51ae-421f-b79d-6e6622c48eef	DRY_COOLER
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	4c5a0de6-4128-46ae-a9e3-9631927742d0	REMOTE_CONDENSER
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	3d8fdc16-6a4e-4ea6-b276-11f7728a2a3b	CHILLED_WATER_PUMPS
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	f4377d96-ba52-4cd0-b6f3-4a0dd3568c6e	HEAT_REJECTION_PUMPS
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	c2fac41b-303f-41bd-ac77-3b94c9197fa3	VENTILATION
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	c5d635e8-ccc6-462b-8606-12a248110297	INFILTRATION
2c6a89f9-f919-41e9-b0a8-d4adc9565b38	4e2af3ef-29b1-44cf-b39e-1ed189215970	IT_LOAD
20d256e0-81ad-4d18-9078-fc1baadeeec4	dfaec5f1-28d1-489f-bd68-8b0ad7f1c03f	CRAC
20d256e0-81ad-4d18-9078-fc1baadeeec4	f57fc040-3a4d-4c1d-a474-befd6fee60b1	CRAC_WITHOUT_FAN
20d256e0-81ad-4d18-9078-fc1baadeeec4	3ca30971-2f6e-4374-9e88-835a48688e5c	CRAC_FAN
20d256e0-81ad-4d18-9078-fc1baadeeec4	beb61d68-dbbc-434a-9f29-748e3a557bae	CHILLER
20d256e0-81ad-4d18-9078-fc1baadeeec4	44bc8f21-b9b7-4652-9974-f90f814a1173	AIR_COOLED_CHILLER
20d256e0-81ad-4d18-9078-fc1baadeeec4	0b40e424-86cc-4592-8ed5-7f6c28e1ea0a	COOLING_TOWER
20d256e0-81ad-4d18-9078-fc1baadeeec4	628c5ae8-0abc-4984-a4e2-21a27785b7eb	DRY_COOLER
20d256e0-81ad-4d18-9078-fc1baadeeec4	5970eec2-42bb-46dc-81b6-bcdcfdb94dd8	REMOTE_CONDENSER
20d256e0-81ad-4d18-9078-fc1baadeeec4	1ea51863-6396-423d-9b1e-3fcb494de5fc	CHILLED_WATER_PUMPS
20d256e0-81ad-4d18-9078-fc1baadeeec4	834329b6-40de-4442-bf18-a05e86d06b93	HEAT_REJECTION_PUMPS
20d256e0-81ad-4d18-9078-fc1baadeeec4	3f5ebe77-29f1-4e12-8258-9bee5b13868f	VENTILATION
20d256e0-81ad-4d18-9078-fc1baadeeec4	da097651-a7ac-46ac-b380-87966c529355	INFILTRATION
20d256e0-81ad-4d18-9078-fc1baadeeec4	7ad7c7a2-e997-4f4c-81f2-61bff9908c62	IT_LOAD
9326d816-2faa-4ed1-a363-ff052962e83e	d6b25df4-1d73-43a0-8f40-4ba46d983fa3	SWITCHGEAR
9326d816-2faa-4ed1-a363-ff052962e83e	84bc7c33-0699-48a5-b87d-1f46723b9a4a	GENERATOR
9326d816-2faa-4ed1-a363-ff052962e83e	ebbcf9bb-5553-466f-926f-7a92f1021c2e	PRIMARY_AUXILIARIES
9326d816-2faa-4ed1-a363-ff052962e83e	8f2f8e88-a9b4-4f6c-8938-b15f9879e4c1	UPS
9326d816-2faa-4ed1-a363-ff052962e83e	81b5c2cb-504e-40df-bff1-100b79064322	CRITICAL_AUXILIARIES
9326d816-2faa-4ed1-a363-ff052962e83e	46f84d59-a521-4805-934f-48d85b1f8c59	LIGHTING
9326d816-2faa-4ed1-a363-ff052962e83e	ce7ed83c-fb78-46ca-9c6f-6073cfac1f05	CRITICAL_POWER_DISTRIBUTION
9326d816-2faa-4ed1-a363-ff052962e83e	593be10d-95a0-4143-9145-71e750431d70	CRAH
9326d816-2faa-4ed1-a363-ff052962e83e	5bc391cd-aaf7-4d3f-b799-78b3eec57ccc	CRAC
9326d816-2faa-4ed1-a363-ff052962e83e	064435bd-c679-4b05-ab39-12e3f3b6d2f2	CRAC_WITHOUT_FAN
9326d816-2faa-4ed1-a363-ff052962e83e	43be39de-8cc1-4956-a878-f96cdb7607e0	CRAC_FAN
9326d816-2faa-4ed1-a363-ff052962e83e	fb748476-db7a-4de7-82bd-e83f6ef4d40a	CHILLER
9326d816-2faa-4ed1-a363-ff052962e83e	b45b7398-cb7c-43e0-93a1-acaebe08bcc3	AIR_COOLED_CHILLER
9326d816-2faa-4ed1-a363-ff052962e83e	04312e4d-ddd1-46a1-986c-6a57202a89c3	COOLING_TOWER
9326d816-2faa-4ed1-a363-ff052962e83e	be950974-1745-44ba-997e-31f89e0e8588	DRY_COOLER
9326d816-2faa-4ed1-a363-ff052962e83e	9cc55939-707e-4a8f-8a30-594e1a3a05d6	REMOTE_CONDENSER
9326d816-2faa-4ed1-a363-ff052962e83e	979a2f29-9c7f-4ab4-9b39-9e5bfed5742a	CHILLED_WATER_PUMPS
9326d816-2faa-4ed1-a363-ff052962e83e	fc6c4e40-eee9-4cad-836f-15aca0b1135c	HEAT_REJECTION_PUMPS
9326d816-2faa-4ed1-a363-ff052962e83e	c2b45aca-e666-42c6-bbdb-27070496cadc	VENTILATION
9326d816-2faa-4ed1-a363-ff052962e83e	b188e208-3cc1-4489-92fa-652343fdec15	INFILTRATION
9326d816-2faa-4ed1-a363-ff052962e83e	31c1c57f-8fba-425a-b256-e209f6a39576	IT_LOAD
35925ef2-6ffd-4542-bde7-41be8bfb19b6	f6bc9411-6c1f-4502-8d25-c160475ab1fb	SWITCHGEAR
35925ef2-6ffd-4542-bde7-41be8bfb19b6	ec743b67-9f90-4344-a113-e2111c51fdd3	GENERATOR
35925ef2-6ffd-4542-bde7-41be8bfb19b6	e7aa4be6-7751-446d-8e67-eb41cd2c12ff	PRIMARY_AUXILIARIES
35925ef2-6ffd-4542-bde7-41be8bfb19b6	a0f68375-e457-469b-8f44-d6fb93df9bb9	UPS
35925ef2-6ffd-4542-bde7-41be8bfb19b6	ec24f9d5-313c-4c88-95e9-0f3c55857000	CRITICAL_AUXILIARIES
35925ef2-6ffd-4542-bde7-41be8bfb19b6	5247ff1b-b68d-4a36-8c26-cd2ef9dc05f4	LIGHTING
35925ef2-6ffd-4542-bde7-41be8bfb19b6	e4e9a478-e0ab-4ea2-b1fa-b7b3552f3363	CRITICAL_POWER_DISTRIBUTION
35925ef2-6ffd-4542-bde7-41be8bfb19b6	de8d7e1b-52b7-4d9d-8566-0aca3d9a9ecf	CRAH
35925ef2-6ffd-4542-bde7-41be8bfb19b6	700ae1a2-6ffb-4b64-9c50-6ad5fe3f996f	CRAC
35925ef2-6ffd-4542-bde7-41be8bfb19b6	1a54facd-67e8-4f1d-bf77-9407307a49c7	CRAC_WITHOUT_FAN
35925ef2-6ffd-4542-bde7-41be8bfb19b6	530e4268-0864-4d68-b841-2714dd1c6b72	CRAC_FAN
35925ef2-6ffd-4542-bde7-41be8bfb19b6	f7470bb9-3427-4705-bc60-c136bc8c5a69	CHILLER
35925ef2-6ffd-4542-bde7-41be8bfb19b6	dcc45765-2980-4f9d-916d-57d6b2b56df3	AIR_COOLED_CHILLER
35925ef2-6ffd-4542-bde7-41be8bfb19b6	81618e49-22ff-48d1-bb16-079ffc9eceb5	COOLING_TOWER
35925ef2-6ffd-4542-bde7-41be8bfb19b6	23a1c4a0-9956-4acc-a91f-0f077f289edb	DRY_COOLER
35925ef2-6ffd-4542-bde7-41be8bfb19b6	07e46710-2150-4ade-b71b-9d2a426882e2	REMOTE_CONDENSER
35925ef2-6ffd-4542-bde7-41be8bfb19b6	bcc142af-6d38-4c9d-83a7-b71c2951cfae	CHILLED_WATER_PUMPS
35925ef2-6ffd-4542-bde7-41be8bfb19b6	ce830ea2-5c2f-45b3-8e7b-d7caf6fad9f6	HEAT_REJECTION_PUMPS
35925ef2-6ffd-4542-bde7-41be8bfb19b6	f142143d-cfeb-4eba-bbe6-cc74688e5ed0	VENTILATION
35925ef2-6ffd-4542-bde7-41be8bfb19b6	129e1e1e-0d75-4012-bf19-ea0631f503fb	INFILTRATION
35925ef2-6ffd-4542-bde7-41be8bfb19b6	02f84aa4-6c8c-4f47-a78c-837aaf16955b	IT_LOAD
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	6c2bdf93-ea8c-4cc8-8bda-c629dd6c41e0	SWITCHGEAR
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	11014e09-9f55-4aaf-9e6d-6e46cf55fd44	GENERATOR
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	58d213a4-09a6-4ad5-9dbc-75a0f17f6c85	PRIMARY_AUXILIARIES
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	1b4deb8e-0b40-489e-b179-9635e2d5f486	UPS
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	6eee1d17-e985-4936-9aef-4368fc88c1e9	CRITICAL_AUXILIARIES
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	3c695623-f98e-4a0d-8ed7-bb9f0e803f57	LIGHTING
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	01150d99-3006-4441-b146-ef009ada650d	CRITICAL_POWER_DISTRIBUTION
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	292c9735-5101-4dd5-b1f5-e44d431b849f	CRAH
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	3b63b652-3444-424a-b140-90412ad5eb53	CRAC
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	e4c33e62-8c93-428b-9a39-0705dec7bd62	CRAC_WITHOUT_FAN
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	fbb4be2f-e1e2-4773-bf13-60dd5dc4b0b4	CRAC_FAN
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	9608f6b1-220f-4414-8218-5228ca668726	CHILLER
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	ebb2dddd-6aa1-433c-8aea-101ba5155c6c	AIR_COOLED_CHILLER
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	2b1f29d9-c92f-496e-8b02-413187d18321	COOLING_TOWER
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	c8de0417-20b2-48c7-999f-1ecf9effe7fb	DRY_COOLER
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	35ca022d-5799-4f3b-9c7f-1bb473df1f72	REMOTE_CONDENSER
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	60b1ef1c-e82a-486f-931d-ea4cbf83362d	CHILLED_WATER_PUMPS
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	a9649436-9fad-432b-9de7-9cab26d2b430	HEAT_REJECTION_PUMPS
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	e0cb6107-84dd-4903-bf93-b70bf8271479	VENTILATION
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	1f067994-1709-4a36-acb5-f3d12811a373	INFILTRATION
f568a48e-b415-47c7-80ea-bf70e3b7ae5e	78a32cc8-a933-4bce-a9a0-25cd53e551f9	IT_LOAD
53f17886-c690-4ae1-9dae-14e986b09cfb	a86977bf-f666-455f-9822-7f2c8f0ea52e	SWITCHGEAR
53f17886-c690-4ae1-9dae-14e986b09cfb	0ece8a88-a580-4e51-b386-445927e5769b	GENERATOR
53f17886-c690-4ae1-9dae-14e986b09cfb	93224659-2c49-4f84-acde-0e7a63fd58b9	PRIMARY_AUXILIARIES
53f17886-c690-4ae1-9dae-14e986b09cfb	2dea97a4-6f32-4540-8dd1-eb48a527fff6	UPS
53f17886-c690-4ae1-9dae-14e986b09cfb	956ac842-646b-4ea1-bef9-17e071af473d	CRITICAL_AUXILIARIES
53f17886-c690-4ae1-9dae-14e986b09cfb	35a78585-20e4-4365-9c76-e590018fd904	LIGHTING
53f17886-c690-4ae1-9dae-14e986b09cfb	6b51a900-5ed3-4437-b601-641427b2bb6a	CRITICAL_POWER_DISTRIBUTION
53f17886-c690-4ae1-9dae-14e986b09cfb	18eb59b8-fabe-4520-9103-ef277163bea9	CRAH
53f17886-c690-4ae1-9dae-14e986b09cfb	9c3eaf18-98cd-40eb-a9ee-e355979476d0	CRAC
53f17886-c690-4ae1-9dae-14e986b09cfb	8299f09b-50f9-409e-ba90-f4fd57b43477	CRAC_WITHOUT_FAN
53f17886-c690-4ae1-9dae-14e986b09cfb	d7a78807-a7e2-4053-a8c0-539629d68a4a	CRAC_FAN
53f17886-c690-4ae1-9dae-14e986b09cfb	794b19ac-7b1d-4110-b13a-30c145e663d5	CHILLER
53f17886-c690-4ae1-9dae-14e986b09cfb	81276203-7684-4416-9d3e-d30050526268	AIR_COOLED_CHILLER
53f17886-c690-4ae1-9dae-14e986b09cfb	35ae2373-6c56-49e4-a3d5-9919f89c5e50	COOLING_TOWER
53f17886-c690-4ae1-9dae-14e986b09cfb	6ddb43e9-5096-4717-b86c-bb9382dea379	DRY_COOLER
53f17886-c690-4ae1-9dae-14e986b09cfb	dd0af1ee-dcc3-4599-829f-00bb9f028146	REMOTE_CONDENSER
53f17886-c690-4ae1-9dae-14e986b09cfb	371c3dd8-58af-4845-8f02-28b28615859d	CHILLED_WATER_PUMPS
53f17886-c690-4ae1-9dae-14e986b09cfb	a6d9c7c7-5c5c-4879-bd18-417bea4a162d	HEAT_REJECTION_PUMPS
53f17886-c690-4ae1-9dae-14e986b09cfb	b8f90470-afbc-4ea8-9a4d-8395f1cd6912	VENTILATION
53f17886-c690-4ae1-9dae-14e986b09cfb	0317eb78-312f-4320-8b6b-f233fe339ddc	INFILTRATION
53f17886-c690-4ae1-9dae-14e986b09cfb	a01fc38a-6366-478f-931e-affcdac2bd80	IT_LOAD
77054adb-77a4-4e06-b699-0c1e26f345cd	2651cbb1-e402-433c-8d46-36ac1fd7a600	SWITCHGEAR
77054adb-77a4-4e06-b699-0c1e26f345cd	c4c73419-c22a-43f2-8b8d-5a4fbb883dac	GENERATOR
77054adb-77a4-4e06-b699-0c1e26f345cd	0e0364f7-8fd9-4f5d-8cfa-4a101f8034d7	PRIMARY_AUXILIARIES
77054adb-77a4-4e06-b699-0c1e26f345cd	ce744386-77fa-430d-a483-59307bec700e	UPS
77054adb-77a4-4e06-b699-0c1e26f345cd	46e041e0-8505-4722-9edb-b2f49c1bc399	CRITICAL_AUXILIARIES
77054adb-77a4-4e06-b699-0c1e26f345cd	78dd5651-8e24-461d-b348-c5ad1d7e23ed	LIGHTING
77054adb-77a4-4e06-b699-0c1e26f345cd	1e32ffa7-e256-466a-a23e-013fad4f15ce	CRITICAL_POWER_DISTRIBUTION
77054adb-77a4-4e06-b699-0c1e26f345cd	026d4b00-16a6-401a-b5c2-a10c615c9498	CRAH
77054adb-77a4-4e06-b699-0c1e26f345cd	c555c168-787a-4394-8a67-1d4eb18dc870	CRAC
77054adb-77a4-4e06-b699-0c1e26f345cd	07e15ab7-2ef0-404e-85cc-ac971e8787dd	CRAC_WITHOUT_FAN
77054adb-77a4-4e06-b699-0c1e26f345cd	eae74200-df6a-46e9-afe9-cdd596056eaf	CRAC_FAN
77054adb-77a4-4e06-b699-0c1e26f345cd	10a510ae-8a24-4b8a-9869-16cc1f1749fa	CHILLER
77054adb-77a4-4e06-b699-0c1e26f345cd	f1dc312c-a9d3-4069-8c83-85dc29477882	AIR_COOLED_CHILLER
77054adb-77a4-4e06-b699-0c1e26f345cd	83bc044d-04ed-44a0-a8ec-c56915381876	COOLING_TOWER
77054adb-77a4-4e06-b699-0c1e26f345cd	3e5105f5-79d0-4488-b1ca-1779ece6e54b	DRY_COOLER
77054adb-77a4-4e06-b699-0c1e26f345cd	40624b19-71f0-4a74-8ed4-8dc31075f6c3	REMOTE_CONDENSER
77054adb-77a4-4e06-b699-0c1e26f345cd	035ebb88-d19c-403d-8531-98809d6120ad	CHILLED_WATER_PUMPS
77054adb-77a4-4e06-b699-0c1e26f345cd	c0c2a0e7-fed8-4e7b-8226-2ddf4ed2cfc6	HEAT_REJECTION_PUMPS
77054adb-77a4-4e06-b699-0c1e26f345cd	9a1087ab-8da7-44cc-8b18-eb981750ea90	VENTILATION
77054adb-77a4-4e06-b699-0c1e26f345cd	c78c7306-f31a-43c1-b745-949a39ac605c	INFILTRATION
77054adb-77a4-4e06-b699-0c1e26f345cd	805dad1c-75b5-47f3-99f4-ac7bb1f7ff0e	IT_LOAD
6ecf0c63-964b-46fd-8820-c62d561cf27c	d5638f2e-eac0-42ca-93fc-b30b7050483e	SWITCHGEAR
6ecf0c63-964b-46fd-8820-c62d561cf27c	8ff204f8-77ff-459e-be49-c4c27920d328	GENERATOR
6ecf0c63-964b-46fd-8820-c62d561cf27c	5a90e751-4299-44a1-b0b1-61fd729fb678	PRIMARY_AUXILIARIES
6ecf0c63-964b-46fd-8820-c62d561cf27c	49f5f185-5f3c-4f56-a7da-67b40791361b	UPS
6ecf0c63-964b-46fd-8820-c62d561cf27c	9e8009b7-fae7-4eb8-bc68-6da4de558bf3	CRITICAL_AUXILIARIES
6ecf0c63-964b-46fd-8820-c62d561cf27c	000d7151-21ea-49af-ac8f-3d9f67b45197	LIGHTING
6ecf0c63-964b-46fd-8820-c62d561cf27c	890d9a81-b04e-4fe5-b335-af0b6251b1a6	CRITICAL_POWER_DISTRIBUTION
6ecf0c63-964b-46fd-8820-c62d561cf27c	05c3103c-b6ca-4173-984c-4573b4390618	CRAH
6ecf0c63-964b-46fd-8820-c62d561cf27c	279d2686-682d-40de-a45f-e6734420102f	CRAC
6ecf0c63-964b-46fd-8820-c62d561cf27c	2bb7967f-15c6-49ba-9bfc-904c61610748	CRAC_WITHOUT_FAN
6ecf0c63-964b-46fd-8820-c62d561cf27c	ade45807-3875-4fcf-bc19-48a54b77a048	CRAC_FAN
6ecf0c63-964b-46fd-8820-c62d561cf27c	51860d0f-7086-41c7-afa0-6af665c26bc9	CHILLER
6ecf0c63-964b-46fd-8820-c62d561cf27c	88bd722d-1432-49f2-a517-9e47606fb00c	AIR_COOLED_CHILLER
6ecf0c63-964b-46fd-8820-c62d561cf27c	dbaa7c2d-3c02-4b29-a21d-510e36205b81	COOLING_TOWER
6ecf0c63-964b-46fd-8820-c62d561cf27c	f753918b-c7fd-4840-a559-8619dfcdb020	DRY_COOLER
6ecf0c63-964b-46fd-8820-c62d561cf27c	d9f552aa-facc-44d9-b5b9-8e7b1dbc7086	REMOTE_CONDENSER
6ecf0c63-964b-46fd-8820-c62d561cf27c	8ad0851a-a08e-43c4-ac4d-bcc445f7645d	CHILLED_WATER_PUMPS
6ecf0c63-964b-46fd-8820-c62d561cf27c	4ccd2643-9be0-4ba0-a414-570a1035658d	HEAT_REJECTION_PUMPS
6ecf0c63-964b-46fd-8820-c62d561cf27c	45174522-0bcb-48b3-bc14-b983ce4d2620	VENTILATION
6ecf0c63-964b-46fd-8820-c62d561cf27c	d75c3678-8df4-4c7a-85f1-519d10f7d0ed	INFILTRATION
6ecf0c63-964b-46fd-8820-c62d561cf27c	e522745c-234b-4839-b870-91b13daac765	IT_LOAD
59d62b0b-7eb1-425b-9007-6652cc840f15	f000e25f-7db5-454a-ab28-e20422fadbc7	SWITCHGEAR
59d62b0b-7eb1-425b-9007-6652cc840f15	8fbe2883-b420-4926-9d12-06e2827d3518	GENERATOR
59d62b0b-7eb1-425b-9007-6652cc840f15	89428062-57c5-480f-9507-e2e9cd14dae2	PRIMARY_AUXILIARIES
59d62b0b-7eb1-425b-9007-6652cc840f15	fedb2624-99ca-475f-9e94-729c02043a20	UPS
59d62b0b-7eb1-425b-9007-6652cc840f15	9ef76b0e-b111-4543-8762-441188d2e71b	CRITICAL_AUXILIARIES
59d62b0b-7eb1-425b-9007-6652cc840f15	a17380a1-3c5a-4f78-acf7-bdb07b27f955	LIGHTING
59d62b0b-7eb1-425b-9007-6652cc840f15	c824000c-b37c-4bf4-9786-c3c4505efbed	CRITICAL_POWER_DISTRIBUTION
59d62b0b-7eb1-425b-9007-6652cc840f15	9cc3a664-c2ab-4765-acb3-636eff2ff85a	CRAH
59d62b0b-7eb1-425b-9007-6652cc840f15	11d6d58e-4d79-4473-89de-934526761f4a	CRAC
59d62b0b-7eb1-425b-9007-6652cc840f15	c7c439d5-072b-4f78-b252-c6e2c1891227	CRAC_WITHOUT_FAN
59d62b0b-7eb1-425b-9007-6652cc840f15	8701701f-b412-4df0-849f-b992497bd047	CRAC_FAN
59d62b0b-7eb1-425b-9007-6652cc840f15	8a00c68b-25e2-4661-b297-4aaf177d1eba	CHILLER
59d62b0b-7eb1-425b-9007-6652cc840f15	38c9a571-133b-43b3-a3c4-e94db4f4ccd2	AIR_COOLED_CHILLER
59d62b0b-7eb1-425b-9007-6652cc840f15	744e0308-c0bf-4a92-82c2-edea4b0bf642	COOLING_TOWER
59d62b0b-7eb1-425b-9007-6652cc840f15	a7c7e02d-dbf6-4883-936b-7d9af69b303d	DRY_COOLER
59d62b0b-7eb1-425b-9007-6652cc840f15	fd2721d7-b5bf-4576-a364-a74c2f08dcc1	REMOTE_CONDENSER
59d62b0b-7eb1-425b-9007-6652cc840f15	50213695-34a5-4825-8433-03567237214f	CHILLED_WATER_PUMPS
59d62b0b-7eb1-425b-9007-6652cc840f15	6e9edba1-aac5-48cf-b04f-e4a964d62dc8	HEAT_REJECTION_PUMPS
59d62b0b-7eb1-425b-9007-6652cc840f15	8b8b6a7f-4bba-462f-8deb-8cb68a8df0f5	VENTILATION
59d62b0b-7eb1-425b-9007-6652cc840f15	defc7cd8-4ada-4a23-be1b-df9721828624	INFILTRATION
59d62b0b-7eb1-425b-9007-6652cc840f15	0b182f8d-fab6-4f66-8f2b-5d6d754701ce	IT_LOAD
3a1c5b41-9676-4408-90fa-82913149c722	0ad4d6a7-bc8b-4797-ab74-0837b2e62b46	SWITCHGEAR
3a1c5b41-9676-4408-90fa-82913149c722	829661b2-8509-46e1-a9ec-3f7a0dd2c949	GENERATOR
3a1c5b41-9676-4408-90fa-82913149c722	49db034a-53ba-411a-b66b-b14eece65e08	PRIMARY_AUXILIARIES
3a1c5b41-9676-4408-90fa-82913149c722	469d7451-b05c-4c2d-9a78-4ee4ed74d1de	UPS
3a1c5b41-9676-4408-90fa-82913149c722	52830cd3-35c7-4fda-b32b-41c1daf77c01	CRITICAL_AUXILIARIES
3a1c5b41-9676-4408-90fa-82913149c722	65c2c03a-74fb-4795-8066-1a3ae0a037ca	LIGHTING
3a1c5b41-9676-4408-90fa-82913149c722	9d7378fe-459b-4138-8d2d-34135b2fb317	CRITICAL_POWER_DISTRIBUTION
3a1c5b41-9676-4408-90fa-82913149c722	0be537f3-32af-46dc-9039-8a03ee2c4051	CRAH
3a1c5b41-9676-4408-90fa-82913149c722	91bfbe98-af34-4668-8f9f-781d580bbb31	CRAC
3a1c5b41-9676-4408-90fa-82913149c722	f830b798-e9b8-4c67-9561-77167880be2d	CRAC_WITHOUT_FAN
3a1c5b41-9676-4408-90fa-82913149c722	9826e530-491a-45ee-8a22-51f4af65392f	CRAC_FAN
3a1c5b41-9676-4408-90fa-82913149c722	1dfa8fda-69c2-4a12-9b40-9819c9426a17	CHILLER
3a1c5b41-9676-4408-90fa-82913149c722	f6e870a0-82e9-43f8-955b-e8848c8fd792	AIR_COOLED_CHILLER
3a1c5b41-9676-4408-90fa-82913149c722	5d6978f4-162f-48c1-ba95-14f6e57378f1	COOLING_TOWER
3a1c5b41-9676-4408-90fa-82913149c722	b48af018-63aa-41f4-bfcf-0410d7e60fe9	DRY_COOLER
3a1c5b41-9676-4408-90fa-82913149c722	531e70f9-2075-4aec-a9e8-979353572742	REMOTE_CONDENSER
3a1c5b41-9676-4408-90fa-82913149c722	e1ebf72d-0ddc-46ba-bd50-eff4d9657036	CHILLED_WATER_PUMPS
3a1c5b41-9676-4408-90fa-82913149c722	f56dc367-35ef-470d-b287-10733d901ed4	HEAT_REJECTION_PUMPS
3a1c5b41-9676-4408-90fa-82913149c722	5b68e926-7574-417f-b49d-001ab50d593a	VENTILATION
3a1c5b41-9676-4408-90fa-82913149c722	13d4facb-bbc8-4b44-abf3-60471463b25f	INFILTRATION
3a1c5b41-9676-4408-90fa-82913149c722	30627069-5b71-4619-845c-3fea02f8f49f	IT_LOAD
eef89eb6-c0be-48e7-a232-de1d8650c984	d16827e2-f69f-4c29-a01a-4d0dc017e209	SWITCHGEAR
eef89eb6-c0be-48e7-a232-de1d8650c984	99fc5c70-096d-461b-a3c7-7cb35335d25d	GENERATOR
eef89eb6-c0be-48e7-a232-de1d8650c984	f8ce31f6-d762-435e-bad3-43c696609126	PRIMARY_AUXILIARIES
eef89eb6-c0be-48e7-a232-de1d8650c984	857c5feb-72fd-455c-8056-8b91080f0772	UPS
eef89eb6-c0be-48e7-a232-de1d8650c984	63d9fe7f-8c2e-4a7c-8fb4-77d6e0d3f18b	CRITICAL_AUXILIARIES
eef89eb6-c0be-48e7-a232-de1d8650c984	5cfcbf7c-be74-4cbe-8b06-87cca3c37ef7	LIGHTING
eef89eb6-c0be-48e7-a232-de1d8650c984	0c180e48-f23c-4873-8d04-188cc3d74995	CRITICAL_POWER_DISTRIBUTION
eef89eb6-c0be-48e7-a232-de1d8650c984	00641c09-d669-4786-9019-4a57e5f7695e	CRAH
eef89eb6-c0be-48e7-a232-de1d8650c984	31994191-004f-4740-8347-b1f923d86480	CRAC
eef89eb6-c0be-48e7-a232-de1d8650c984	4507aa30-cb2a-43db-9da8-6560be8630d8	CRAC_WITHOUT_FAN
eef89eb6-c0be-48e7-a232-de1d8650c984	aa8aa323-745e-48ea-a376-b08f8149eda8	CRAC_FAN
eef89eb6-c0be-48e7-a232-de1d8650c984	b3c6196d-7eb3-4a28-8eca-7c506443ed68	CHILLER
eef89eb6-c0be-48e7-a232-de1d8650c984	5acf5a1c-ccc3-45f2-91c0-5125d5458b8a	AIR_COOLED_CHILLER
eef89eb6-c0be-48e7-a232-de1d8650c984	730e8e8c-b87e-47b3-9a08-2659bccc70d9	COOLING_TOWER
eef89eb6-c0be-48e7-a232-de1d8650c984	4a5eb526-2ac2-4df1-bd86-31392f63fefa	DRY_COOLER
eef89eb6-c0be-48e7-a232-de1d8650c984	631373fd-ca02-44d5-9c90-f063ec17edbc	REMOTE_CONDENSER
eef89eb6-c0be-48e7-a232-de1d8650c984	1b34612b-6208-48f8-9aab-322b26eeeaad	CHILLED_WATER_PUMPS
eef89eb6-c0be-48e7-a232-de1d8650c984	1e31b322-fc65-440e-95e3-d8368e3e377b	HEAT_REJECTION_PUMPS
eef89eb6-c0be-48e7-a232-de1d8650c984	190dae1e-acbc-4329-b711-d59c39aa8438	VENTILATION
eef89eb6-c0be-48e7-a232-de1d8650c984	9c604b79-37de-4761-96ae-90b6c32c333f	INFILTRATION
eef89eb6-c0be-48e7-a232-de1d8650c984	6250cc91-856a-4a3d-bdc1-5d32ef93b3f7	IT_LOAD
194dbfa0-c597-46a9-a495-b0b47811fef8	df26a813-2489-44b8-9b05-e6dc26a97b9e	SWITCHGEAR
194dbfa0-c597-46a9-a495-b0b47811fef8	99e15aaf-d02e-407b-8b30-899f1865c48c	GENERATOR
194dbfa0-c597-46a9-a495-b0b47811fef8	d9fbf403-a06e-4d4c-a05b-225e6ff9925a	PRIMARY_AUXILIARIES
194dbfa0-c597-46a9-a495-b0b47811fef8	2570671c-34b3-42ac-9c00-f21f6473c09e	UPS
194dbfa0-c597-46a9-a495-b0b47811fef8	344b36a8-c93c-4ce5-a4ff-cc7f102fbda9	CRITICAL_AUXILIARIES
194dbfa0-c597-46a9-a495-b0b47811fef8	18afe83d-ffa3-409d-9ecf-9d693ff6aa9b	LIGHTING
194dbfa0-c597-46a9-a495-b0b47811fef8	7b856654-c988-45b5-ad78-2214e136a794	CRITICAL_POWER_DISTRIBUTION
194dbfa0-c597-46a9-a495-b0b47811fef8	d95878b6-4137-4d96-bb52-2ec28b09aeff	CRAH
194dbfa0-c597-46a9-a495-b0b47811fef8	d807cc11-3782-40bc-aa0b-1c4b31855688	CRAC
194dbfa0-c597-46a9-a495-b0b47811fef8	9b4fd4e5-02f9-4f40-987f-dc35b3b1458a	CRAC_WITHOUT_FAN
194dbfa0-c597-46a9-a495-b0b47811fef8	3bb81234-82ad-419a-9a8a-642d2d39fc50	CRAC_FAN
194dbfa0-c597-46a9-a495-b0b47811fef8	877479d3-96c0-4676-a0ea-4f33e7b74280	CHILLER
194dbfa0-c597-46a9-a495-b0b47811fef8	e9e91574-fa53-4813-8909-b2213712ff33	AIR_COOLED_CHILLER
194dbfa0-c597-46a9-a495-b0b47811fef8	f7d1c4a7-2271-4fee-ad36-c917dc1e2fb4	COOLING_TOWER
194dbfa0-c597-46a9-a495-b0b47811fef8	3be6deac-6259-49c0-a38a-62fedbec0fd8	DRY_COOLER
194dbfa0-c597-46a9-a495-b0b47811fef8	f3177ba2-57bb-4907-92e7-ac6557afafb1	REMOTE_CONDENSER
194dbfa0-c597-46a9-a495-b0b47811fef8	37452373-da54-4ca7-b37d-799ff46820b0	CHILLED_WATER_PUMPS
194dbfa0-c597-46a9-a495-b0b47811fef8	a67607f6-cf45-4c74-a4ce-6f74bb5ff7e9	HEAT_REJECTION_PUMPS
194dbfa0-c597-46a9-a495-b0b47811fef8	bfcaec3a-6adb-4e37-acc9-86ea2e28570c	VENTILATION
194dbfa0-c597-46a9-a495-b0b47811fef8	9e13686b-d6fa-4e4d-b33c-cea749bcbc75	INFILTRATION
194dbfa0-c597-46a9-a495-b0b47811fef8	9e867ea9-5b1c-42b0-be76-7979fb1b24d3	IT_LOAD
3974454f-b85e-469c-9473-c8ecd0866176	2c8b0e2c-a9fe-4747-bd0b-0d221597cd6f	SWITCHGEAR
3974454f-b85e-469c-9473-c8ecd0866176	d0248409-30e2-4bb8-a001-a6319c2453fa	GENERATOR
3974454f-b85e-469c-9473-c8ecd0866176	05f0a69e-7446-41bc-a874-98c0f6f5f77c	PRIMARY_AUXILIARIES
3974454f-b85e-469c-9473-c8ecd0866176	ed6a22a7-c983-4a89-8466-475916968e1f	UPS
3974454f-b85e-469c-9473-c8ecd0866176	0b7cf0c8-1c86-4aac-900a-2ed8419c6689	CRITICAL_AUXILIARIES
3974454f-b85e-469c-9473-c8ecd0866176	efc7b4ac-3fce-48d0-b5f9-d6a4b52e8003	LIGHTING
3974454f-b85e-469c-9473-c8ecd0866176	a6649ff9-4c42-41ab-9eae-a5376b7137a9	CRITICAL_POWER_DISTRIBUTION
3974454f-b85e-469c-9473-c8ecd0866176	629f66fa-5cf4-4507-9890-98d344ec7d16	CRAH
3974454f-b85e-469c-9473-c8ecd0866176	9357fd1f-d015-4d12-88d4-4f7c60af23c1	CRAC
3974454f-b85e-469c-9473-c8ecd0866176	912389cc-f779-43f2-9733-a0aab395a65b	CRAC_WITHOUT_FAN
3974454f-b85e-469c-9473-c8ecd0866176	83b9815f-3acd-4bc7-86a5-53c3fac4f257	CRAC_FAN
3974454f-b85e-469c-9473-c8ecd0866176	039d9e14-3cf6-4f92-b73b-bc0fde5be7c4	CHILLER
3974454f-b85e-469c-9473-c8ecd0866176	1754826a-f164-47ad-991e-0fcc70350886	AIR_COOLED_CHILLER
3974454f-b85e-469c-9473-c8ecd0866176	b977701e-52ec-4ecd-83c0-fdf34db56572	COOLING_TOWER
3974454f-b85e-469c-9473-c8ecd0866176	dfae7302-4c08-423d-b8a2-b74a56365af8	DRY_COOLER
3974454f-b85e-469c-9473-c8ecd0866176	87e8551b-21f4-423b-adbb-213b13c3e534	REMOTE_CONDENSER
3974454f-b85e-469c-9473-c8ecd0866176	38e08f9f-8967-4536-aeeb-68eb6316423c	CHILLED_WATER_PUMPS
3974454f-b85e-469c-9473-c8ecd0866176	933deadb-a45a-44f5-875d-845cded0ca65	HEAT_REJECTION_PUMPS
3974454f-b85e-469c-9473-c8ecd0866176	8145aa09-dcf1-47b2-a935-9f316736e68e	VENTILATION
3974454f-b85e-469c-9473-c8ecd0866176	4614bca5-cc63-4bd7-bfda-c37610d8d9d4	INFILTRATION
3974454f-b85e-469c-9473-c8ecd0866176	17b87fa5-7437-4056-8d15-b2084d04b39e	IT_LOAD
55b218de-830f-4b12-a787-e0379d017154	57b5a8f8-d505-430c-9e68-effd491d2640	SWITCHGEAR
55b218de-830f-4b12-a787-e0379d017154	1d2aa35e-56f8-4081-81e8-82705811dca5	GENERATOR
55b218de-830f-4b12-a787-e0379d017154	81bffa18-2a79-4d7c-b538-84ae74e92ecb	PRIMARY_AUXILIARIES
55b218de-830f-4b12-a787-e0379d017154	562aa79e-866b-4e14-8419-6bbeea65bf66	UPS
55b218de-830f-4b12-a787-e0379d017154	9aa86d4c-c79d-4653-8ff6-e5fbfae5e0d7	CRITICAL_AUXILIARIES
55b218de-830f-4b12-a787-e0379d017154	cb8596e3-7dc3-4569-bc5e-3827b90826e4	LIGHTING
55b218de-830f-4b12-a787-e0379d017154	ae569754-2311-4087-bbc6-b6c3d9bd9dea	CRITICAL_POWER_DISTRIBUTION
55b218de-830f-4b12-a787-e0379d017154	1c798f8e-a1a4-4ad9-a4e0-84bbbcc40d70	CRAH
55b218de-830f-4b12-a787-e0379d017154	a1ad292f-00a4-473a-9d1c-423f7425a376	CRAC
55b218de-830f-4b12-a787-e0379d017154	025872e5-5275-4ece-94cd-789c5e0faef4	CRAC_WITHOUT_FAN
55b218de-830f-4b12-a787-e0379d017154	9ee94f4a-dca6-440e-9ec6-14fefaad565c	CRAC_FAN
55b218de-830f-4b12-a787-e0379d017154	3fb811a2-1fdf-4178-9fc6-42ba4e030b6e	CHILLER
55b218de-830f-4b12-a787-e0379d017154	59e86eba-c7c1-494e-932e-9ad4ab6478bc	AIR_COOLED_CHILLER
55b218de-830f-4b12-a787-e0379d017154	c980da26-c7d8-4205-9aad-edd3fc88efc0	COOLING_TOWER
55b218de-830f-4b12-a787-e0379d017154	7615a6a8-9358-426c-a8fe-1742eada2dc0	DRY_COOLER
55b218de-830f-4b12-a787-e0379d017154	11583a84-9a5e-4c47-90e4-a555658956ec	REMOTE_CONDENSER
55b218de-830f-4b12-a787-e0379d017154	87f0acd4-9006-4808-bd46-87fea4e95719	CHILLED_WATER_PUMPS
55b218de-830f-4b12-a787-e0379d017154	fe115ca2-83df-4447-b2f7-fed8d40752a1	HEAT_REJECTION_PUMPS
55b218de-830f-4b12-a787-e0379d017154	38b3be9a-206b-4177-9615-3b6802ca2371	VENTILATION
55b218de-830f-4b12-a787-e0379d017154	436926a5-5caf-4d6a-bae0-a5b2ff3c0a17	INFILTRATION
55b218de-830f-4b12-a787-e0379d017154	320b2339-e0c1-4109-aaff-38826f1f7771	IT_LOAD
90163210-b1dc-407d-a75c-ffeab3934181	5778415d-fa71-445b-83ec-2cfab8b7646e	SWITCHGEAR
90163210-b1dc-407d-a75c-ffeab3934181	390fa3d6-ca8f-473e-aa4a-644f40380255	GENERATOR
90163210-b1dc-407d-a75c-ffeab3934181	b7e37c1e-f283-4026-8bd2-784dc2b07728	PRIMARY_AUXILIARIES
90163210-b1dc-407d-a75c-ffeab3934181	6c30e260-f742-48dd-8129-28d4d5e885cc	UPS
90163210-b1dc-407d-a75c-ffeab3934181	86afaca6-c110-480d-84b6-f01a4e16b4c3	CRITICAL_AUXILIARIES
90163210-b1dc-407d-a75c-ffeab3934181	67178388-a6a4-4de4-b24c-9c78bf553fd0	LIGHTING
90163210-b1dc-407d-a75c-ffeab3934181	ac6a3028-181c-4c42-954f-cac0ca16d6cb	CRITICAL_POWER_DISTRIBUTION
90163210-b1dc-407d-a75c-ffeab3934181	7238ec08-0e1b-41e4-aeda-cadf6131c111	CRAH
90163210-b1dc-407d-a75c-ffeab3934181	172ac857-e6e4-4635-b4d2-8b916767f15b	CRAC
90163210-b1dc-407d-a75c-ffeab3934181	a55ef2d0-87cd-4bbb-b260-f11398f147c1	CRAC_WITHOUT_FAN
90163210-b1dc-407d-a75c-ffeab3934181	45da0520-8803-45ba-ba9f-9e57ee891a0e	CRAC_FAN
90163210-b1dc-407d-a75c-ffeab3934181	edf04bb6-d9c5-441c-9bb7-55491d388a9d	CHILLER
90163210-b1dc-407d-a75c-ffeab3934181	b0d0dd0e-0290-4226-aaa2-30410aee3391	AIR_COOLED_CHILLER
90163210-b1dc-407d-a75c-ffeab3934181	fe037886-668e-402d-ac98-73f0452ec5de	COOLING_TOWER
90163210-b1dc-407d-a75c-ffeab3934181	51598aa3-2721-4445-a8e7-b4c0361499f4	DRY_COOLER
90163210-b1dc-407d-a75c-ffeab3934181	d8ae12ef-123d-453b-a5fd-8579e4a101fe	REMOTE_CONDENSER
90163210-b1dc-407d-a75c-ffeab3934181	12ed8c47-9063-4928-aedd-bd34195ceb4d	CHILLED_WATER_PUMPS
90163210-b1dc-407d-a75c-ffeab3934181	9977346a-867b-4c57-a260-e5b8cde1460d	HEAT_REJECTION_PUMPS
90163210-b1dc-407d-a75c-ffeab3934181	c7334790-2864-4445-ac84-cf9cfcad7a90	VENTILATION
90163210-b1dc-407d-a75c-ffeab3934181	8d004116-4355-49db-9124-328d899d5687	INFILTRATION
90163210-b1dc-407d-a75c-ffeab3934181	2525c268-8916-46e9-8093-474a3f4a4a84	IT_LOAD
f87ea335-90ed-421c-b787-51cc6cc54da7	08ff0563-c898-4854-a67e-5e90c7208824	SWITCHGEAR
f87ea335-90ed-421c-b787-51cc6cc54da7	c22bf11e-656d-4dcc-8b35-438c3aa5331b	GENERATOR
f87ea335-90ed-421c-b787-51cc6cc54da7	7c91896a-f77e-4d60-b8d3-ec319ea0c94d	PRIMARY_AUXILIARIES
f87ea335-90ed-421c-b787-51cc6cc54da7	965eb39f-5a2c-4c36-98cc-5e05090067ce	UPS
f87ea335-90ed-421c-b787-51cc6cc54da7	45357da8-02c6-4f5a-80d4-2de161dabfa9	CRITICAL_AUXILIARIES
f87ea335-90ed-421c-b787-51cc6cc54da7	e9738784-9e80-404c-a450-28a024637589	LIGHTING
f87ea335-90ed-421c-b787-51cc6cc54da7	773a5e05-82f6-4677-abca-74b7be98ee3f	CRITICAL_POWER_DISTRIBUTION
f87ea335-90ed-421c-b787-51cc6cc54da7	955d0ddd-66e8-490f-a025-d24ec235e2af	CRAH
f87ea335-90ed-421c-b787-51cc6cc54da7	e70f316d-077b-4f11-bff2-c7974ba24a2a	CRAC
f87ea335-90ed-421c-b787-51cc6cc54da7	9336112c-1fad-4685-8b1b-f4327af8c4f3	CRAC_WITHOUT_FAN
f87ea335-90ed-421c-b787-51cc6cc54da7	8da10a6e-b924-43a2-ad3b-deed18a1072f	CRAC_FAN
f87ea335-90ed-421c-b787-51cc6cc54da7	0953b0e1-9200-4b35-88a9-bb9d08b83f9e	CHILLER
f87ea335-90ed-421c-b787-51cc6cc54da7	36a46f74-f582-46a4-a0b8-ff193cb62cfd	AIR_COOLED_CHILLER
f87ea335-90ed-421c-b787-51cc6cc54da7	ec7cb4d2-d8b0-4ec9-bae6-29493d73df6a	COOLING_TOWER
f87ea335-90ed-421c-b787-51cc6cc54da7	47d77e19-849a-4c85-87c2-827eb64e4222	DRY_COOLER
f87ea335-90ed-421c-b787-51cc6cc54da7	cfac8ca4-ae8d-41b3-971a-04eba58216e1	REMOTE_CONDENSER
f87ea335-90ed-421c-b787-51cc6cc54da7	5e2684fb-4570-4baf-b47a-72426e0e89b9	CHILLED_WATER_PUMPS
f87ea335-90ed-421c-b787-51cc6cc54da7	89fed1f4-ca09-4012-b6e1-27c27f94e1e4	HEAT_REJECTION_PUMPS
f87ea335-90ed-421c-b787-51cc6cc54da7	b9eacae4-a2d3-4bba-a1f9-ff106c10f1cf	VENTILATION
f87ea335-90ed-421c-b787-51cc6cc54da7	92c5d4e5-0801-4c4b-93fb-b82cc8c12bd5	INFILTRATION
f87ea335-90ed-421c-b787-51cc6cc54da7	36e2da7b-8d42-4730-a02b-2540f087cf4c	IT_LOAD
3247529c-df2e-45dc-b279-bff6e403186e	2504f369-9577-4c40-80e4-74db49b89fd0	SWITCHGEAR
3247529c-df2e-45dc-b279-bff6e403186e	6f9d18d8-0cd0-45d8-99bf-894e1fba62ff	GENERATOR
3247529c-df2e-45dc-b279-bff6e403186e	bde25aa0-67a6-4c1a-9721-bb03920fd9e1	PRIMARY_AUXILIARIES
3247529c-df2e-45dc-b279-bff6e403186e	eb079c84-83b1-4aa6-b57a-2cba3da8b661	UPS
3247529c-df2e-45dc-b279-bff6e403186e	d786d0a2-c4a4-4402-963a-8ff6ea03f429	CRITICAL_AUXILIARIES
3247529c-df2e-45dc-b279-bff6e403186e	d5abe24a-92e2-4017-9a76-58239f4d3c58	LIGHTING
3247529c-df2e-45dc-b279-bff6e403186e	95755e8f-fff2-4772-b0f7-46b2ebcbed52	CRITICAL_POWER_DISTRIBUTION
3247529c-df2e-45dc-b279-bff6e403186e	a4992bb3-c544-46cc-83b7-faa220f1a520	CRAH
3247529c-df2e-45dc-b279-bff6e403186e	3fb69a95-c84b-4356-9792-cda313294d01	CRAC
3247529c-df2e-45dc-b279-bff6e403186e	e614ed7b-5664-4ea4-95b1-3dca2d0a9a41	CRAC_WITHOUT_FAN
3247529c-df2e-45dc-b279-bff6e403186e	7a7675a6-8927-4dab-8e70-3ad6b07d74cd	CRAC_FAN
3247529c-df2e-45dc-b279-bff6e403186e	527c438b-5b51-4aea-9d94-abb9f8269176	CHILLER
3247529c-df2e-45dc-b279-bff6e403186e	ca882899-2485-4ae2-af3a-b524295e7457	AIR_COOLED_CHILLER
3247529c-df2e-45dc-b279-bff6e403186e	2d3c949c-3996-4643-8734-f4a44e8bb82e	COOLING_TOWER
3247529c-df2e-45dc-b279-bff6e403186e	33ab14e2-970a-4e6e-a2b2-238be3042d61	DRY_COOLER
3247529c-df2e-45dc-b279-bff6e403186e	953708ca-55d9-44e8-afac-5447d54c0811	REMOTE_CONDENSER
3247529c-df2e-45dc-b279-bff6e403186e	88e54c67-973a-4e5a-8f8c-4e985b463325	CHILLED_WATER_PUMPS
3247529c-df2e-45dc-b279-bff6e403186e	d3a5c74e-0da1-4b7b-89f9-05befccd5dbc	HEAT_REJECTION_PUMPS
3247529c-df2e-45dc-b279-bff6e403186e	02ec9cdc-c511-414a-abfc-f30d3f73be65	VENTILATION
3247529c-df2e-45dc-b279-bff6e403186e	82596070-5a03-4f30-8603-0cc4910977b0	INFILTRATION
3247529c-df2e-45dc-b279-bff6e403186e	2af22616-0561-4928-b022-70a761f85886	IT_LOAD
aed40239-853d-4b0a-8fdb-1244217b1591	ce5a75e9-b1c1-4fe7-88c9-155420298d57	SWITCHGEAR
aed40239-853d-4b0a-8fdb-1244217b1591	48a2280d-403c-48e7-8a19-d1bcf4b09ecf	GENERATOR
aed40239-853d-4b0a-8fdb-1244217b1591	e6540c10-75fb-4cef-9517-69facb9e30a5	PRIMARY_AUXILIARIES
aed40239-853d-4b0a-8fdb-1244217b1591	3a5d63bc-8e48-45cd-aefb-83db5fd4859a	UPS
aed40239-853d-4b0a-8fdb-1244217b1591	6760f1ba-54d1-43c6-a245-5f94232a63ab	CRITICAL_AUXILIARIES
aed40239-853d-4b0a-8fdb-1244217b1591	0e2050d5-9f2a-4e56-93d0-ec2e4c80925f	LIGHTING
aed40239-853d-4b0a-8fdb-1244217b1591	8cdb1b79-8e60-4dfa-a5da-b26514591b97	CRITICAL_POWER_DISTRIBUTION
aed40239-853d-4b0a-8fdb-1244217b1591	b29bbf6c-af9a-4b07-a615-5db204197f59	CRAH
aed40239-853d-4b0a-8fdb-1244217b1591	fd70bf19-c1db-4e43-bf79-5e963a2817d1	CRAC
aed40239-853d-4b0a-8fdb-1244217b1591	208502b5-ff45-4341-8931-b8cf2818a546	CRAC_WITHOUT_FAN
aed40239-853d-4b0a-8fdb-1244217b1591	94452117-fa09-4296-a5b5-da6049d5e5ab	CRAC_FAN
aed40239-853d-4b0a-8fdb-1244217b1591	ff8d6aa1-cde4-45f9-b758-b35f8c78a376	CHILLER
aed40239-853d-4b0a-8fdb-1244217b1591	ae2baa04-626b-47a4-9d42-3b5b74e4acc1	AIR_COOLED_CHILLER
aed40239-853d-4b0a-8fdb-1244217b1591	a31e7027-eed2-4482-ab07-384d7d8ded8e	COOLING_TOWER
aed40239-853d-4b0a-8fdb-1244217b1591	47fe83fb-a2a6-442c-886e-b166386281b1	DRY_COOLER
aed40239-853d-4b0a-8fdb-1244217b1591	7cfa80e1-66f7-438b-a2ee-27088af41f14	REMOTE_CONDENSER
aed40239-853d-4b0a-8fdb-1244217b1591	3aac5b4a-fd5e-4d50-b34a-4cd80d2e82a4	CHILLED_WATER_PUMPS
aed40239-853d-4b0a-8fdb-1244217b1591	19d2053d-fe87-4ac1-b493-2583617accc6	HEAT_REJECTION_PUMPS
aed40239-853d-4b0a-8fdb-1244217b1591	9d41c2e5-5aa5-4a6f-a395-d5be76757bd0	VENTILATION
aed40239-853d-4b0a-8fdb-1244217b1591	908edab6-454c-4e9a-9a71-252ac238bbe4	INFILTRATION
aed40239-853d-4b0a-8fdb-1244217b1591	2db75296-c2c5-452d-86d1-e22887c78932	IT_LOAD
56e10093-c342-495a-9bd3-16705523b74f	1b8c096e-70d3-4af8-84a7-af88f3623c01	SWITCHGEAR
56e10093-c342-495a-9bd3-16705523b74f	1a7f26c1-02e3-46cc-9ce4-4d4622662fbc	GENERATOR
56e10093-c342-495a-9bd3-16705523b74f	ebf41325-b979-4ef4-9e75-c410c84fa07b	PRIMARY_AUXILIARIES
56e10093-c342-495a-9bd3-16705523b74f	87488faa-9831-4969-b4ce-06f629b45eb5	UPS
56e10093-c342-495a-9bd3-16705523b74f	4dc125ac-58e9-44c2-87b2-d2dae696374b	CRITICAL_AUXILIARIES
56e10093-c342-495a-9bd3-16705523b74f	e194a1a4-ee01-4603-81d5-13e5e1931a7e	LIGHTING
56e10093-c342-495a-9bd3-16705523b74f	dabd9a34-708e-4a5a-a944-630911394212	CRITICAL_POWER_DISTRIBUTION
56e10093-c342-495a-9bd3-16705523b74f	ff1adeb5-8e0e-454e-a5fe-6fc4e762f99a	CRAH
56e10093-c342-495a-9bd3-16705523b74f	80b4f659-a1b7-4d12-9897-b23249c095bf	CRAC
56e10093-c342-495a-9bd3-16705523b74f	c39e1eb5-b0b0-404e-aab3-4e5cb90ea5fd	CRAC_WITHOUT_FAN
56e10093-c342-495a-9bd3-16705523b74f	14bf4104-c396-4659-8ce3-60e22f0ac730	CRAC_FAN
56e10093-c342-495a-9bd3-16705523b74f	996504b8-bbfb-4097-b80d-c80d98aa92f2	CHILLER
56e10093-c342-495a-9bd3-16705523b74f	277acafd-be14-49db-b799-1399a049dd25	AIR_COOLED_CHILLER
56e10093-c342-495a-9bd3-16705523b74f	4c4339e7-e114-44b1-a706-289b514583bc	COOLING_TOWER
56e10093-c342-495a-9bd3-16705523b74f	2b02f0de-e9a2-4549-9049-7be01fc0d57a	DRY_COOLER
56e10093-c342-495a-9bd3-16705523b74f	777d96ce-d872-410e-99b4-3000dfcbe126	REMOTE_CONDENSER
56e10093-c342-495a-9bd3-16705523b74f	6d134827-92b9-4eab-9466-a180a23fbb97	CHILLED_WATER_PUMPS
56e10093-c342-495a-9bd3-16705523b74f	7814a1d5-c0fc-476c-935d-da98a10c4f02	HEAT_REJECTION_PUMPS
56e10093-c342-495a-9bd3-16705523b74f	2970c165-f4fa-4357-860f-ff5dee3aae32	VENTILATION
56e10093-c342-495a-9bd3-16705523b74f	e0fe06f3-3d1b-4847-9d63-9c947e46e650	INFILTRATION
56e10093-c342-495a-9bd3-16705523b74f	d3c8b99a-71d6-4d79-a8bd-808f8ac594ae	IT_LOAD
984fef33-6b99-4c43-bba6-79d13b80a60e	deab8f1d-e902-4bbd-a937-0addeb69d913	SWITCHGEAR
984fef33-6b99-4c43-bba6-79d13b80a60e	f2171953-d9ca-4b53-9c59-bdcc56d7cae0	GENERATOR
984fef33-6b99-4c43-bba6-79d13b80a60e	95b56070-f354-4099-b2e7-3dd2f4f7b8ca	PRIMARY_AUXILIARIES
984fef33-6b99-4c43-bba6-79d13b80a60e	3c8c02e7-23e2-4df2-b482-dbba825c8b04	UPS
984fef33-6b99-4c43-bba6-79d13b80a60e	ca719019-6f78-44a9-8a36-90bee1dbaf92	CRITICAL_AUXILIARIES
984fef33-6b99-4c43-bba6-79d13b80a60e	3674885a-65c4-43f4-9bc3-7c6ab2262149	LIGHTING
984fef33-6b99-4c43-bba6-79d13b80a60e	0e82f760-138e-4f8f-8dd9-5b40df3d25c0	CRITICAL_POWER_DISTRIBUTION
984fef33-6b99-4c43-bba6-79d13b80a60e	47d3b071-dcae-4f7d-a033-44819044087b	CRAH
984fef33-6b99-4c43-bba6-79d13b80a60e	8052413c-bf4e-42cd-8b13-4438f96bf169	CRAC
984fef33-6b99-4c43-bba6-79d13b80a60e	0cd7d5df-de4e-4fc4-a68f-870eeb17a285	CRAC_WITHOUT_FAN
984fef33-6b99-4c43-bba6-79d13b80a60e	99a208e2-c552-4749-9c32-f7ab1d2ea612	CRAC_FAN
984fef33-6b99-4c43-bba6-79d13b80a60e	ff86cf2d-5edd-4f06-b7ac-853b3443ea4f	CHILLER
984fef33-6b99-4c43-bba6-79d13b80a60e	c37379e3-9124-4e9d-b2eb-7ef828db1e31	AIR_COOLED_CHILLER
984fef33-6b99-4c43-bba6-79d13b80a60e	11a02fb0-8b40-4420-9d95-8558a9c53d3a	COOLING_TOWER
984fef33-6b99-4c43-bba6-79d13b80a60e	d48f8e09-356e-4b06-9ba1-04ba3d24d0f8	DRY_COOLER
984fef33-6b99-4c43-bba6-79d13b80a60e	372f4c34-4f21-4311-8392-e420e5b8b4a2	REMOTE_CONDENSER
984fef33-6b99-4c43-bba6-79d13b80a60e	fc62349f-8bc4-4e97-951b-ec5b05d69fc8	CHILLED_WATER_PUMPS
984fef33-6b99-4c43-bba6-79d13b80a60e	aa3c0aec-cc66-40c4-bbf8-442c0b2136c8	HEAT_REJECTION_PUMPS
984fef33-6b99-4c43-bba6-79d13b80a60e	f53c9299-62be-437b-9341-984049d131d8	VENTILATION
984fef33-6b99-4c43-bba6-79d13b80a60e	947a4729-4ca5-4316-8a11-1b05b5c0f8ed	INFILTRATION
984fef33-6b99-4c43-bba6-79d13b80a60e	2c9eaf44-0a06-4e84-978f-5cf34bf40776	IT_LOAD
4531ef80-5306-4dc4-a132-a55ca0435bd5	6b6b7058-7343-49c5-99cd-6d87a9d0bb4e	SWITCHGEAR
4531ef80-5306-4dc4-a132-a55ca0435bd5	31d0b12e-2c45-485b-8ec0-20e9bdd483dc	GENERATOR
4531ef80-5306-4dc4-a132-a55ca0435bd5	4ace54de-35ac-45aa-9566-f13f09dfabfd	PRIMARY_AUXILIARIES
4531ef80-5306-4dc4-a132-a55ca0435bd5	d06653b0-2411-4db8-a7f9-d40229f3d404	UPS
4531ef80-5306-4dc4-a132-a55ca0435bd5	e5e846fd-5b5b-48cc-ac40-d4a38dc73df6	CRITICAL_AUXILIARIES
4531ef80-5306-4dc4-a132-a55ca0435bd5	57310fcd-bc51-4476-80f9-7f69d50ffca6	LIGHTING
4531ef80-5306-4dc4-a132-a55ca0435bd5	15892d4e-64a0-48ee-b9d3-e2065a887ce1	CRITICAL_POWER_DISTRIBUTION
4531ef80-5306-4dc4-a132-a55ca0435bd5	60408041-41fc-4f6b-81c5-54d7a3da7352	CRAH
4531ef80-5306-4dc4-a132-a55ca0435bd5	7a1acb4a-bcbb-441e-af8f-df934b498dae	CRAC
4531ef80-5306-4dc4-a132-a55ca0435bd5	9c91ea02-f3a0-49f1-92b1-82724cfe2548	CRAC_WITHOUT_FAN
4531ef80-5306-4dc4-a132-a55ca0435bd5	873cde3c-ca49-4a9e-a83a-c7039aabd001	CRAC_FAN
4531ef80-5306-4dc4-a132-a55ca0435bd5	15d4e4ee-808a-4681-add8-de9f555804d7	CHILLER
4531ef80-5306-4dc4-a132-a55ca0435bd5	4d74cd8d-6f37-4a0b-a198-4a99f0e431b5	AIR_COOLED_CHILLER
4531ef80-5306-4dc4-a132-a55ca0435bd5	832afdbf-41bc-4abc-9936-8c978d082e19	COOLING_TOWER
4531ef80-5306-4dc4-a132-a55ca0435bd5	083f81e9-fa67-45fa-b06b-bf453a81a121	DRY_COOLER
4531ef80-5306-4dc4-a132-a55ca0435bd5	fc583238-c42d-4248-9176-63ebf2104fa0	REMOTE_CONDENSER
4531ef80-5306-4dc4-a132-a55ca0435bd5	77356c67-9860-4e1d-b9ef-cf468ba7ac7b	CHILLED_WATER_PUMPS
4531ef80-5306-4dc4-a132-a55ca0435bd5	4e68e39e-fc20-4734-baf1-2243709ad6f2	HEAT_REJECTION_PUMPS
4531ef80-5306-4dc4-a132-a55ca0435bd5	4f51422c-bde8-46f6-b604-61a4c1023ec0	VENTILATION
4531ef80-5306-4dc4-a132-a55ca0435bd5	4b9f33f8-830a-40d1-ab64-8336a1d2d775	INFILTRATION
4531ef80-5306-4dc4-a132-a55ca0435bd5	d0c468ce-ce56-43d2-bd36-b974400c9891	IT_LOAD
4a34ee01-ed96-4af2-9b18-f95fbcb49827	bc195c32-690a-4101-be9b-d159959c8492	SWITCHGEAR
4a34ee01-ed96-4af2-9b18-f95fbcb49827	9ff870b0-b33b-4d6d-99d0-56f464d77bcf	GENERATOR
4a34ee01-ed96-4af2-9b18-f95fbcb49827	7b1a540b-b5a8-4476-a0de-c43f95c851c9	PRIMARY_AUXILIARIES
4a34ee01-ed96-4af2-9b18-f95fbcb49827	527f7235-0309-463b-90e9-6985d0a76a52	UPS
4a34ee01-ed96-4af2-9b18-f95fbcb49827	9a034f22-7b8d-4f32-ac90-5a00bcd743e5	CRITICAL_AUXILIARIES
4a34ee01-ed96-4af2-9b18-f95fbcb49827	7fa19e0c-baa7-4238-ae02-64884ae4b748	LIGHTING
4a34ee01-ed96-4af2-9b18-f95fbcb49827	e1ff87e9-83f3-4db0-9ccc-564996782c4b	CRITICAL_POWER_DISTRIBUTION
4a34ee01-ed96-4af2-9b18-f95fbcb49827	933d08a0-62eb-4a38-a18b-2197696a24ba	CRAH
4a34ee01-ed96-4af2-9b18-f95fbcb49827	9430b0a3-bbdb-443a-b218-d4434f8fbc82	CRAC
4a34ee01-ed96-4af2-9b18-f95fbcb49827	5b775ada-76eb-4e56-8817-c032a4e0c890	CRAC_WITHOUT_FAN
4a34ee01-ed96-4af2-9b18-f95fbcb49827	fa7caf10-8498-41da-b77c-7f18d62d4281	CRAC_FAN
4a34ee01-ed96-4af2-9b18-f95fbcb49827	15ca371e-e15f-4088-bc48-f6e56d019ff4	CHILLER
4a34ee01-ed96-4af2-9b18-f95fbcb49827	cdf0024b-5e66-48af-b265-e92476f9d4c8	AIR_COOLED_CHILLER
4a34ee01-ed96-4af2-9b18-f95fbcb49827	552aaa0d-2bc7-4eca-b330-c2d0610a342a	COOLING_TOWER
4a34ee01-ed96-4af2-9b18-f95fbcb49827	4bc2ac41-1cd2-4f18-8421-74aa6d617188	DRY_COOLER
4a34ee01-ed96-4af2-9b18-f95fbcb49827	615e85e9-2377-417d-b5e7-065a9a7f6bdf	REMOTE_CONDENSER
4a34ee01-ed96-4af2-9b18-f95fbcb49827	43975cc7-5911-4d7d-983d-ff002a576383	CHILLED_WATER_PUMPS
4a34ee01-ed96-4af2-9b18-f95fbcb49827	7f6f6506-3f10-4fcb-9fbd-a40d1de68b99	HEAT_REJECTION_PUMPS
4a34ee01-ed96-4af2-9b18-f95fbcb49827	36bb415c-58cd-45b5-b727-bb8c3484cf07	VENTILATION
4a34ee01-ed96-4af2-9b18-f95fbcb49827	56c2bbe6-86f9-40a7-9b9d-24c39ee2aea2	INFILTRATION
4a34ee01-ed96-4af2-9b18-f95fbcb49827	1564268d-0ea5-4317-a986-637326345b54	IT_LOAD
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	d5a0c7bb-a44c-4125-bc21-4d023557c711	SWITCHGEAR
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	75bb66ff-fd02-4e10-9cfc-07e57f5d877c	GENERATOR
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	a06f36a0-bd83-44c2-9432-15758e14f294	PRIMARY_AUXILIARIES
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	6b45b4d2-358d-425e-91fc-c2f27e459c38	UPS
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	31f13453-79f9-4c02-b7a5-243e115ca88c	CRITICAL_AUXILIARIES
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	a225dcef-6e13-430e-a1a2-a4a96d7d3a49	LIGHTING
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	876a4b53-9f30-4dfb-b41b-ea42afedd4e5	CRITICAL_POWER_DISTRIBUTION
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	d326fd84-9900-4b4b-9d37-3561d922b61b	CRAH
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	3aea0860-2536-42e7-843b-af4643edccf2	CRAC
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	8c6f6200-381c-4417-a528-397c0ee571b7	CRAC_WITHOUT_FAN
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	b1ddc658-e0c4-4b78-9770-65435f7fbad4	CRAC_FAN
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	fdc165f1-5cdc-425e-8398-57ee36a921de	CHILLER
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	b398cfa0-2733-4084-bdad-7c21ce9b042d	AIR_COOLED_CHILLER
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	574a167b-fefd-45d6-a07e-cff1420989b9	COOLING_TOWER
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	6715b004-35eb-4b51-9f4f-46af716ffd09	DRY_COOLER
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	6c427a0b-a12f-45a4-8a8d-f756f2facbe6	REMOTE_CONDENSER
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	02ebc1fd-5712-4b95-93ff-59a1147a87b0	CHILLED_WATER_PUMPS
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	5cf95bd1-f44c-4e0c-aef0-6c6ee9af5b15	HEAT_REJECTION_PUMPS
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	c31007a3-9653-4856-a469-99ca01fca49e	VENTILATION
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	5aad19c6-558f-4a63-a369-7dce570c588b	INFILTRATION
1eb39cee-1b28-4dd8-a1cf-fa65e7193aff	1564902c-ca1f-4d4f-ade6-7c666e99a15e	IT_LOAD
40884e60-7c91-49aa-81c3-bdff2a09bb4c	cd97d840-6f15-4c8c-b2cc-c4b2c7e9b67d	SWITCHGEAR
40884e60-7c91-49aa-81c3-bdff2a09bb4c	062898b5-76cd-4ac7-95c1-595f58cf2987	GENERATOR
40884e60-7c91-49aa-81c3-bdff2a09bb4c	205afa6c-b4b8-4cc3-9131-8a01ae134a95	PRIMARY_AUXILIARIES
40884e60-7c91-49aa-81c3-bdff2a09bb4c	3e9e5d7c-7fc1-4ebc-83f6-8a95f211671e	UPS
40884e60-7c91-49aa-81c3-bdff2a09bb4c	5a85e1ad-8f7a-4014-a6cb-eb5362222624	CRITICAL_AUXILIARIES
40884e60-7c91-49aa-81c3-bdff2a09bb4c	ca6cd667-6693-4a5b-916e-d70bdb4ab72e	LIGHTING
40884e60-7c91-49aa-81c3-bdff2a09bb4c	6f946c94-c17f-451a-9f34-cca8f9041415	CRITICAL_POWER_DISTRIBUTION
40884e60-7c91-49aa-81c3-bdff2a09bb4c	f320a73c-5045-446c-a9ff-3d2c307180b4	CRAH
40884e60-7c91-49aa-81c3-bdff2a09bb4c	8c11c741-937b-4798-9332-76c56d8b5e6e	CRAC
40884e60-7c91-49aa-81c3-bdff2a09bb4c	bd91ddb7-70d7-4616-aa27-a9634351c538	CRAC_WITHOUT_FAN
40884e60-7c91-49aa-81c3-bdff2a09bb4c	71ff2310-989b-480e-ba29-8f0675212d61	CRAC_FAN
40884e60-7c91-49aa-81c3-bdff2a09bb4c	46a38065-daa5-45be-978e-6cae3cc72286	CHILLER
40884e60-7c91-49aa-81c3-bdff2a09bb4c	380187fb-986f-476b-a6c9-cc457da32ac5	AIR_COOLED_CHILLER
40884e60-7c91-49aa-81c3-bdff2a09bb4c	1e4a1b60-a180-4155-b28f-32ff26fc4e97	COOLING_TOWER
40884e60-7c91-49aa-81c3-bdff2a09bb4c	8ed69b2e-9bef-4081-99c9-b1ac5763c1f9	DRY_COOLER
40884e60-7c91-49aa-81c3-bdff2a09bb4c	61072883-472e-4e1c-8b30-80d081cd35fe	REMOTE_CONDENSER
40884e60-7c91-49aa-81c3-bdff2a09bb4c	a33c096a-df25-487f-ab81-a922dc677507	CHILLED_WATER_PUMPS
40884e60-7c91-49aa-81c3-bdff2a09bb4c	0128e51d-621c-43b5-8f3d-9f63374403b1	HEAT_REJECTION_PUMPS
40884e60-7c91-49aa-81c3-bdff2a09bb4c	cc864e01-510f-4409-b98b-918362afe919	VENTILATION
40884e60-7c91-49aa-81c3-bdff2a09bb4c	0db8fce1-1c3d-4cf0-b75e-8444e44ad62e	INFILTRATION
40884e60-7c91-49aa-81c3-bdff2a09bb4c	e756aa2f-37f3-43ab-9609-b52f82dbb15c	IT_LOAD
c70dc9e5-f3b9-4131-933c-4883b434eeec	66bb8076-2e64-441e-915f-06be63ed6c30	SWITCHGEAR
c70dc9e5-f3b9-4131-933c-4883b434eeec	5b862592-d454-4db5-b312-258276127f5c	GENERATOR
c70dc9e5-f3b9-4131-933c-4883b434eeec	da81d225-2f6f-46f4-a8d7-102aeb2314bb	PRIMARY_AUXILIARIES
c70dc9e5-f3b9-4131-933c-4883b434eeec	72302ad1-d70b-44e2-afad-52ee4eae068b	UPS
c70dc9e5-f3b9-4131-933c-4883b434eeec	734d1dae-690c-4e0d-ae4f-9de7a732d0f4	CRITICAL_AUXILIARIES
c70dc9e5-f3b9-4131-933c-4883b434eeec	caad0955-397f-4a33-abf1-d55cd006d6b4	LIGHTING
c70dc9e5-f3b9-4131-933c-4883b434eeec	337c3195-5cc5-435e-9f50-3a307029d36e	CRITICAL_POWER_DISTRIBUTION
c70dc9e5-f3b9-4131-933c-4883b434eeec	187cb686-d2ed-40ac-817c-82ef864cc6c2	CRAH
c70dc9e5-f3b9-4131-933c-4883b434eeec	07bbe8a8-41b6-453a-82fa-6a252ee61a8f	CRAC
c70dc9e5-f3b9-4131-933c-4883b434eeec	f02036d7-7616-4522-9b9e-f8ed03f6e6e1	CRAC_WITHOUT_FAN
c70dc9e5-f3b9-4131-933c-4883b434eeec	75da191b-f688-4cf5-87da-d4d04e3d913a	CRAC_FAN
c70dc9e5-f3b9-4131-933c-4883b434eeec	c14bc875-6180-44ed-84ec-ff64e2ea9fee	CHILLER
c70dc9e5-f3b9-4131-933c-4883b434eeec	a0853d34-e953-4435-8803-058edbd6d71a	AIR_COOLED_CHILLER
c70dc9e5-f3b9-4131-933c-4883b434eeec	bcc10ee8-838e-479c-ab43-924b38d360fe	COOLING_TOWER
c70dc9e5-f3b9-4131-933c-4883b434eeec	9917c0ea-753f-4095-b2ae-a2657e0ed19c	DRY_COOLER
c70dc9e5-f3b9-4131-933c-4883b434eeec	81c75b46-5aee-42f6-9637-78310603d9da	REMOTE_CONDENSER
c70dc9e5-f3b9-4131-933c-4883b434eeec	938d4ed3-49e4-4374-845f-34215b70aad4	CHILLED_WATER_PUMPS
c70dc9e5-f3b9-4131-933c-4883b434eeec	05b9ad43-b5a4-4fa3-a430-a7f9b6fbabab	HEAT_REJECTION_PUMPS
c70dc9e5-f3b9-4131-933c-4883b434eeec	fb1ea045-9541-402f-9879-a9e23b3517df	VENTILATION
c70dc9e5-f3b9-4131-933c-4883b434eeec	976923f5-8874-4bba-97a9-d9be3e88f1c9	INFILTRATION
c70dc9e5-f3b9-4131-933c-4883b434eeec	83b9a198-3be1-482a-9d78-bc48026166ab	IT_LOAD
79f01683-fe89-46e9-907b-2687acfaf81b	b550f7f3-c3df-4500-b70f-3cb0fafc35f6	SWITCHGEAR
79f01683-fe89-46e9-907b-2687acfaf81b	08a9082d-b8a2-401d-9cda-8b1c8b5cf72c	GENERATOR
79f01683-fe89-46e9-907b-2687acfaf81b	c62ba1a3-bdc8-4d2d-9e29-a58d2c961eb7	PRIMARY_AUXILIARIES
79f01683-fe89-46e9-907b-2687acfaf81b	13c7d8f0-1d72-47d4-baa5-9abbc6c13eea	UPS
79f01683-fe89-46e9-907b-2687acfaf81b	86aebee7-1737-4c93-a967-7b11623959dd	CRITICAL_AUXILIARIES
79f01683-fe89-46e9-907b-2687acfaf81b	24ae416e-9b4a-4868-8511-76c19293a835	LIGHTING
79f01683-fe89-46e9-907b-2687acfaf81b	3061a549-cce1-4280-a0c3-3845657338f5	CRITICAL_POWER_DISTRIBUTION
79f01683-fe89-46e9-907b-2687acfaf81b	5df27cda-0093-46fd-8326-ca8e556db504	CRAH
79f01683-fe89-46e9-907b-2687acfaf81b	19975461-82e9-4556-aadc-f8a14fa757e6	CRAC
79f01683-fe89-46e9-907b-2687acfaf81b	09093ec5-10eb-4456-bf41-e670ecd21e2a	CRAC_WITHOUT_FAN
79f01683-fe89-46e9-907b-2687acfaf81b	ab03660e-4a95-4c20-919d-58a2b9cd5de6	CRAC_FAN
79f01683-fe89-46e9-907b-2687acfaf81b	1ac40dd5-38b6-4e0c-b25b-2565a043100a	CHILLER
79f01683-fe89-46e9-907b-2687acfaf81b	c7a541e5-d399-47a0-9eed-1b628d07427d	AIR_COOLED_CHILLER
79f01683-fe89-46e9-907b-2687acfaf81b	d8e34fdd-6ceb-4336-8bf2-07588e7ca743	COOLING_TOWER
79f01683-fe89-46e9-907b-2687acfaf81b	a187160a-f6d4-4c31-880c-ab14368aca2a	DRY_COOLER
79f01683-fe89-46e9-907b-2687acfaf81b	ad573b5f-89c6-470b-bafc-6460e357796c	REMOTE_CONDENSER
79f01683-fe89-46e9-907b-2687acfaf81b	b09c08ea-c9ee-4c4e-b5ba-75682b8dbfeb	CHILLED_WATER_PUMPS
79f01683-fe89-46e9-907b-2687acfaf81b	b217ff1c-2063-4263-86c2-d2163c70569d	HEAT_REJECTION_PUMPS
79f01683-fe89-46e9-907b-2687acfaf81b	f2e9dac8-77a5-4b19-8924-959527ce57a0	VENTILATION
79f01683-fe89-46e9-907b-2687acfaf81b	b0f28b1d-3e21-4f86-86c6-1d8e3c986a7e	INFILTRATION
79f01683-fe89-46e9-907b-2687acfaf81b	a1212f6e-805e-43c6-a295-5ce891d31e3b	IT_LOAD
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	3b4a54d3-59ac-4b89-811c-24201f93d079	SWITCHGEAR
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	696301bd-4723-4b36-af1f-11b72f36bad9	GENERATOR
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	2dcea3ab-d1c9-4dbc-a7f8-c6c6152f8d2f	PRIMARY_AUXILIARIES
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	ed9c6aeb-750f-4d90-b449-f94ef60b27e3	UPS
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	a0ced1fd-0280-4c85-9274-67b419615a3a	CRITICAL_AUXILIARIES
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	63efb947-2e38-4019-b9fe-4fed1b941056	LIGHTING
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	dc7b191a-392e-47ec-b2cc-860a539232cd	CRITICAL_POWER_DISTRIBUTION
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	df4217f3-d225-4fab-98af-457fcac862dd	CRAH
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	d4a1285d-fe6a-445a-8511-c4668d3f325e	CRAC
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	0379e290-bf3a-47cd-af70-ef160309b9cf	CRAC_WITHOUT_FAN
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	f179b826-4aa0-4408-9027-dee73d300526	CRAC_FAN
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	b13ebdb7-09ee-43e1-b90e-2932f73c8b97	CHILLER
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	90909503-642c-4ccc-9076-3bc7242faf6d	AIR_COOLED_CHILLER
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	62200ba8-4992-430b-91c5-9e2d09b48786	COOLING_TOWER
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	ecb4a58f-e204-41f3-a451-9efc73cc4c20	DRY_COOLER
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	4a630ec5-0c5d-4bc1-ab1e-a278fc6e5d18	REMOTE_CONDENSER
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	87bb1296-d605-4276-ab5d-90e4ea57dab1	CHILLED_WATER_PUMPS
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	2e04ab4f-e9ee-4065-8ea0-fd32c3beda5f	HEAT_REJECTION_PUMPS
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	d8d878af-dc41-47ad-8216-ac759830beee	VENTILATION
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	12f8def3-b05b-49dc-bb4a-aba618c8b92e	INFILTRATION
d0de752b-2e5f-4f09-bfbe-ed9a94f371c5	8803ec43-4ccb-423c-a97f-f00d849f705e	IT_LOAD
9ba136cf-1029-4248-811d-092659ce54eb	e1d40af6-9eff-4bbc-b04e-d7ed093bb958	SWITCHGEAR
9ba136cf-1029-4248-811d-092659ce54eb	240d51b4-db44-47b8-8f1e-1a1ccf87c61c	GENERATOR
9ba136cf-1029-4248-811d-092659ce54eb	c23f5c3c-ec53-4fb5-a386-edfbcdbe3bf6	PRIMARY_AUXILIARIES
9ba136cf-1029-4248-811d-092659ce54eb	8454fbd6-c36a-4422-aa75-93ce4467f793	UPS
9ba136cf-1029-4248-811d-092659ce54eb	1a9a807b-b121-48a3-b7c5-71b590482f4e	CRITICAL_AUXILIARIES
9ba136cf-1029-4248-811d-092659ce54eb	63d3bb6b-b564-427e-b0de-0850d5456f82	LIGHTING
9ba136cf-1029-4248-811d-092659ce54eb	de8d0f95-d9b3-44f7-88a3-52d6f7083b9b	CRITICAL_POWER_DISTRIBUTION
9ba136cf-1029-4248-811d-092659ce54eb	3c2ed0c2-3760-4da3-955a-637230a885f5	CRAH
9ba136cf-1029-4248-811d-092659ce54eb	16659210-3257-4e2f-9fe0-fb34e2ca476f	CRAC
9ba136cf-1029-4248-811d-092659ce54eb	09df06e0-49af-4c08-844d-6a58145169b8	CRAC_WITHOUT_FAN
9ba136cf-1029-4248-811d-092659ce54eb	2bd204df-199e-43a6-ae5a-e3dbc7edfe40	CRAC_FAN
9ba136cf-1029-4248-811d-092659ce54eb	656e1459-0841-4401-bc28-8917e7ae950f	CHILLER
9ba136cf-1029-4248-811d-092659ce54eb	7ae52a0b-001d-4bda-95d2-a41fa01d23f4	AIR_COOLED_CHILLER
9ba136cf-1029-4248-811d-092659ce54eb	b316535a-a35b-452e-b785-551bc9f289dd	COOLING_TOWER
9ba136cf-1029-4248-811d-092659ce54eb	9f18071d-7040-4ad5-af6a-f88b74d55a15	DRY_COOLER
9ba136cf-1029-4248-811d-092659ce54eb	43b247f3-a4bd-445c-88cf-a279fe0ad863	REMOTE_CONDENSER
9ba136cf-1029-4248-811d-092659ce54eb	abba58cf-5a63-473c-9cc3-3b2108c6c8d5	CHILLED_WATER_PUMPS
9ba136cf-1029-4248-811d-092659ce54eb	23138239-65e9-469f-bea1-3fb0f52ff399	HEAT_REJECTION_PUMPS
9ba136cf-1029-4248-811d-092659ce54eb	1fc66cec-5869-41e5-9540-f82fdf19e96a	VENTILATION
9ba136cf-1029-4248-811d-092659ce54eb	6bbe5f70-d931-4056-8656-f8bcef183a13	INFILTRATION
9ba136cf-1029-4248-811d-092659ce54eb	2b67b9aa-2537-41b4-b45c-8b0d5426d40c	IT_LOAD
070adda4-4c66-4fc5-bc55-3e9b7d074a33	2b714195-c8cd-45a0-b6b4-7e73292a19d0	SWITCHGEAR
070adda4-4c66-4fc5-bc55-3e9b7d074a33	0426d8e8-d6ba-49c8-86ca-b95d0eec429a	GENERATOR
070adda4-4c66-4fc5-bc55-3e9b7d074a33	827e6afe-788a-4a1a-b877-5899ea6a24f2	PRIMARY_AUXILIARIES
070adda4-4c66-4fc5-bc55-3e9b7d074a33	4b42932d-04a1-44be-b6c7-70f204bcdbf5	UPS
070adda4-4c66-4fc5-bc55-3e9b7d074a33	66b8f945-9059-4d53-93fb-5d8ae89136ba	CRITICAL_AUXILIARIES
070adda4-4c66-4fc5-bc55-3e9b7d074a33	433823ec-161b-42f2-9de5-1e1c46a63ea4	LIGHTING
070adda4-4c66-4fc5-bc55-3e9b7d074a33	ef1f4f64-3769-4709-ade6-c54e30ecf895	CRITICAL_POWER_DISTRIBUTION
070adda4-4c66-4fc5-bc55-3e9b7d074a33	67c30f03-e262-4fa6-95a9-6e1410629b61	CRAH
070adda4-4c66-4fc5-bc55-3e9b7d074a33	652a326e-0c73-47dd-9dda-9a7cbe4bdbc1	CRAC
070adda4-4c66-4fc5-bc55-3e9b7d074a33	a2e7a2ae-4dab-41a8-bdad-d19eb3af63d4	CRAC_WITHOUT_FAN
070adda4-4c66-4fc5-bc55-3e9b7d074a33	57dad438-83a3-4cbe-b805-4a096e31c3bc	CRAC_FAN
070adda4-4c66-4fc5-bc55-3e9b7d074a33	7502c155-3749-4ccc-8b3e-42122580ac72	CHILLER
070adda4-4c66-4fc5-bc55-3e9b7d074a33	a098c077-e013-40d8-a6b2-58c313084055	AIR_COOLED_CHILLER
070adda4-4c66-4fc5-bc55-3e9b7d074a33	2f3b0578-0b03-4eb6-b218-84cf1d633a76	COOLING_TOWER
070adda4-4c66-4fc5-bc55-3e9b7d074a33	4b12930e-6a50-4bf5-83ac-6f1ecd1cf1de	DRY_COOLER
070adda4-4c66-4fc5-bc55-3e9b7d074a33	13534287-1810-46c8-b1b6-938c2c4bb6ea	REMOTE_CONDENSER
070adda4-4c66-4fc5-bc55-3e9b7d074a33	59a73b77-624a-4fb7-9293-eecd785a441c	CHILLED_WATER_PUMPS
070adda4-4c66-4fc5-bc55-3e9b7d074a33	7d4b9730-61a3-4815-bc54-1097650f689c	HEAT_REJECTION_PUMPS
070adda4-4c66-4fc5-bc55-3e9b7d074a33	5fbcdafd-d363-4115-9f0d-11c60933da13	VENTILATION
070adda4-4c66-4fc5-bc55-3e9b7d074a33	3a18d71a-644f-46cd-a36a-c961f9f97f86	INFILTRATION
070adda4-4c66-4fc5-bc55-3e9b7d074a33	c2bc87c5-54f2-4231-ba88-2a8a65cce96a	IT_LOAD
c432d4e3-f7c1-456d-896b-e75942def26a	34739044-4771-48a8-a98f-cccd01299715	SWITCHGEAR
c432d4e3-f7c1-456d-896b-e75942def26a	efc9e236-0a92-40fe-b8be-7b22f9d6a4f3	GENERATOR
c432d4e3-f7c1-456d-896b-e75942def26a	e7afaee8-c480-4a9c-aec5-630c62863302	PRIMARY_AUXILIARIES
c432d4e3-f7c1-456d-896b-e75942def26a	8d7634d3-efe3-4323-9ed1-496775551c15	UPS
c432d4e3-f7c1-456d-896b-e75942def26a	48c3abe8-208d-40c5-982b-4f7fd5e32af8	CRITICAL_AUXILIARIES
c432d4e3-f7c1-456d-896b-e75942def26a	5117347a-e708-434b-a93c-d4e220d81391	LIGHTING
c432d4e3-f7c1-456d-896b-e75942def26a	6810c5fc-98a1-48f3-9068-f57f125f44b4	CRITICAL_POWER_DISTRIBUTION
c432d4e3-f7c1-456d-896b-e75942def26a	c0f867cd-edef-49d4-9ce9-0adf89277f17	CRAH
c432d4e3-f7c1-456d-896b-e75942def26a	09416f40-2e84-4a01-b500-79fbfd6b76a2	CRAC
c432d4e3-f7c1-456d-896b-e75942def26a	cb1fb11e-a132-4750-bb76-6a58f2c4ce72	CRAC_WITHOUT_FAN
c432d4e3-f7c1-456d-896b-e75942def26a	665daa39-ccbf-46cb-9121-350df8a76107	CRAC_FAN
c432d4e3-f7c1-456d-896b-e75942def26a	2f9b6114-102b-4cf5-be40-ec29e918b7ec	CHILLER
c432d4e3-f7c1-456d-896b-e75942def26a	017ef26c-aa20-41ce-8785-9c97a0639dcd	AIR_COOLED_CHILLER
c432d4e3-f7c1-456d-896b-e75942def26a	4682f699-d2bd-4845-982c-f501ba786e91	COOLING_TOWER
c432d4e3-f7c1-456d-896b-e75942def26a	4ed239d9-291b-4031-bbb1-d06e7be32d90	DRY_COOLER
c432d4e3-f7c1-456d-896b-e75942def26a	c98576d6-2bd0-407e-ae3f-838b430e241b	REMOTE_CONDENSER
c432d4e3-f7c1-456d-896b-e75942def26a	1fa30f1b-e0e6-4d18-bba5-7676cf9f090f	CHILLED_WATER_PUMPS
c432d4e3-f7c1-456d-896b-e75942def26a	71ab369e-8ead-45d5-9a21-4f341dd0fd34	HEAT_REJECTION_PUMPS
c432d4e3-f7c1-456d-896b-e75942def26a	f2501b16-ec29-4b36-ae5f-a07f3f8ceccc	VENTILATION
c432d4e3-f7c1-456d-896b-e75942def26a	a6dac630-45d9-4b24-b518-ec899b6e06f6	INFILTRATION
c432d4e3-f7c1-456d-896b-e75942def26a	9f79afee-72c8-40db-89b5-1f6075f46d02	IT_LOAD
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	8bc2fdcc-9e6e-4fff-aa49-180f6ad8f680	SWITCHGEAR
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	0f848b54-3f58-4b64-b810-d36bdb4a637d	GENERATOR
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	e6bdb970-105d-46b3-b2d3-0c0fdffd8d64	PRIMARY_AUXILIARIES
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	57368cb6-b6dc-47ad-adde-5bcc753a8c56	UPS
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	381ce1f0-9797-4b6e-9483-5c064ae3ca6c	CRITICAL_AUXILIARIES
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	947d6ee8-1e5e-4fca-858a-f3d7a5f17c5c	LIGHTING
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	808f2243-f4ac-426f-bb47-806a95a0a977	CRITICAL_POWER_DISTRIBUTION
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	e58fe21d-6033-4150-814e-8dd3432fd182	CRAH
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	c305541c-1437-42b8-949b-b2c1696dc23a	CRAC
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	cb7a4cc5-7587-4784-be01-f3143c220ba1	CRAC_WITHOUT_FAN
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	a3a361e0-f659-49ab-ade8-270707f5cf42	CRAC_FAN
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	af178fca-5e5c-4fe8-8839-2abb7a570e99	CHILLER
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	6bb247e9-92c4-4426-b9ec-2fe9289f38d5	AIR_COOLED_CHILLER
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	845e6478-6508-46de-9852-1efca243b6d8	COOLING_TOWER
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	9a01e2fa-ab7f-4ad1-a615-de1964b13c2b	DRY_COOLER
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	ceb09e88-254d-415a-bf41-419c87ffe1b5	REMOTE_CONDENSER
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	ea988b7e-196a-4fbd-9c8b-06fc7207d9dd	CHILLED_WATER_PUMPS
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	edc7f1f6-4790-43f5-b044-4bad895ab36c	HEAT_REJECTION_PUMPS
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	7c4af284-9474-418e-bd6c-0c7cd31eb51a	VENTILATION
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	e1d03468-b3bb-4613-9a8c-2e39a95730ce	INFILTRATION
1f0e2279-7c61-42fb-bc10-9a8b51d35d02	d3737073-fd28-4406-8ac9-13a939fe264f	IT_LOAD
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	f34416fb-3bcf-45e3-ac31-a440c6a52a87	SWITCHGEAR
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	42f1b3d8-d934-44a0-87ed-b067f83a1b42	GENERATOR
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	5378f08f-7608-41a0-8a55-a1dcec5ecaec	PRIMARY_AUXILIARIES
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	bc7524b4-7873-41a8-822e-cd38464d9b8f	UPS
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	c85f402c-5c1f-427a-8cea-63c8b3eacd71	CRITICAL_AUXILIARIES
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	53ee4043-d77e-40f4-85d9-c9622ff5914b	LIGHTING
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	c49e1752-14ac-42a0-a8c4-9ae0e3fa5003	CRITICAL_POWER_DISTRIBUTION
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	28bbe200-155a-4426-b5a0-bfc5f5e78631	CRAH
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	65be3d24-0396-4ccd-b47a-808fe42366ef	CRAC
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	5a194343-3a86-4d6d-8ce9-2ae948d39450	CRAC_WITHOUT_FAN
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	ba4ee914-d4e8-4b47-8c53-3d0ebc518cfc	CRAC_FAN
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	c925b8b6-29a3-4e72-b3a4-7bcaaf2429b9	CHILLER
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	264af1d9-b906-4658-a0b9-92ee5996e1c8	AIR_COOLED_CHILLER
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	15cfd5ab-4c1d-46d4-b06f-3963374da80f	COOLING_TOWER
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	aaa8c420-4ba5-48c8-8981-a579cf60a232	DRY_COOLER
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	d785f41d-d625-467e-b1e9-067105cd4a0a	REMOTE_CONDENSER
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	d0ecb4ab-9892-4e69-b900-2dd51b87e0e4	CHILLED_WATER_PUMPS
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	5032343a-2b6e-4f3a-99bc-6b8ddd323a36	HEAT_REJECTION_PUMPS
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	158e485d-c825-4352-9e78-894fb0b50842	VENTILATION
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	be378e00-b437-4bb1-9b53-6bb700787ebb	INFILTRATION
3b9ee543-9a3e-43fe-aaff-fbc5d67b66ef	10217c0f-ad21-4483-8893-31e731d045ad	IT_LOAD
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	0e2bddd7-7f4d-40f6-a551-3cff195e07d2	SWITCHGEAR
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	87185ca4-71d8-42c1-a068-b5632a92eb27	GENERATOR
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	a328a114-e165-4171-8961-ac43be991d53	PRIMARY_AUXILIARIES
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	55e1f3b7-8c37-4ace-936f-6031683ac8f2	UPS
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	04aa6a8d-42b7-47b1-92f9-ab17b3e08fe3	CRITICAL_AUXILIARIES
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	c6d389be-ead1-4cda-8d4b-19c930afbbc6	LIGHTING
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	7823d88d-d34d-4074-9b3d-da5773f759a7	CRITICAL_POWER_DISTRIBUTION
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	4c9733ee-8937-4b05-a0dd-86c53a987ee5	CRAH
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	85c10ea7-3c6d-4ee2-87ef-8f33cdf42570	CRAC
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	42a650b7-2be6-4d1f-97a6-0401b5a82d1f	CRAC_WITHOUT_FAN
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	3ed2d8b0-b5eb-4acf-8149-07b271a7b07c	CRAC_FAN
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	e873c9a2-8884-44a2-ac11-ebac90f44556	CHILLER
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	84ff8c2f-2c4e-4023-9090-69ebb8ff939e	AIR_COOLED_CHILLER
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	dfe29e2b-bd25-426d-81e5-105b1c3fa2c0	COOLING_TOWER
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	fba9c2b3-de67-4894-8392-bcc5d0771a96	DRY_COOLER
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	9c29fbcd-3162-4918-bcf6-7ea297d31e11	REMOTE_CONDENSER
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	494dffc9-6b0b-4d09-b7ba-af00c9c3a005	CHILLED_WATER_PUMPS
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	8b6e41bd-8d17-45f6-9631-be924ffc83d9	HEAT_REJECTION_PUMPS
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	9486d9e7-554a-468c-bb35-840fd6f01ffe	VENTILATION
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	be09059d-4b4c-4330-a3a8-c94fc89499e5	INFILTRATION
e20030a3-8b8d-42cf-a2e3-ead826d5fdc9	9eda5b56-ee80-4858-a1f8-63fcef9521e9	IT_LOAD
01c53f36-6eb7-417c-8d0a-a05c73118d31	b2ba8087-581f-439a-b3eb-8e3e87f68892	SWITCHGEAR
01c53f36-6eb7-417c-8d0a-a05c73118d31	19ce4ae1-0e96-41a2-a305-62fcc1f8327e	GENERATOR
01c53f36-6eb7-417c-8d0a-a05c73118d31	2fb7bcde-b9a1-4886-99b4-0c457b8816d0	PRIMARY_AUXILIARIES
01c53f36-6eb7-417c-8d0a-a05c73118d31	f965662c-75b9-44e9-b831-eeaf5fc36688	UPS
01c53f36-6eb7-417c-8d0a-a05c73118d31	133479b4-a254-4143-84b1-d17174e5fa7d	CRITICAL_AUXILIARIES
01c53f36-6eb7-417c-8d0a-a05c73118d31	b2b96602-b433-44be-be01-4cfad7e24a91	LIGHTING
01c53f36-6eb7-417c-8d0a-a05c73118d31	79d51602-c6a0-40e7-9812-c944591f8bce	CRITICAL_POWER_DISTRIBUTION
01c53f36-6eb7-417c-8d0a-a05c73118d31	b71a229f-31b7-474c-af8b-534ce6a06c81	CRAH
01c53f36-6eb7-417c-8d0a-a05c73118d31	1ad978bd-5e21-4ad0-b536-d2e6ebc2104c	CRAC
01c53f36-6eb7-417c-8d0a-a05c73118d31	b05db4cb-4e1a-4d13-8218-2707f6737e8c	CRAC_WITHOUT_FAN
01c53f36-6eb7-417c-8d0a-a05c73118d31	93efbc30-ba59-40d8-8de5-4d6d08b74b0a	CRAC_FAN
01c53f36-6eb7-417c-8d0a-a05c73118d31	b8f574ec-f483-4f6a-93b8-03d8d38ccb9b	CHILLER
01c53f36-6eb7-417c-8d0a-a05c73118d31	96a1eed1-9313-44bd-a2a9-8031d26591b4	AIR_COOLED_CHILLER
01c53f36-6eb7-417c-8d0a-a05c73118d31	5beadad8-eb9f-4b5b-8813-5806fb693425	COOLING_TOWER
01c53f36-6eb7-417c-8d0a-a05c73118d31	f8317f19-6bff-4cfd-89d9-7bcc31be6cce	DRY_COOLER
01c53f36-6eb7-417c-8d0a-a05c73118d31	16591a3a-76c4-4658-8dc3-841d223f625c	REMOTE_CONDENSER
01c53f36-6eb7-417c-8d0a-a05c73118d31	ca19506b-938a-4cc1-a5e2-b6101adb1923	CHILLED_WATER_PUMPS
01c53f36-6eb7-417c-8d0a-a05c73118d31	b50aaadb-bc73-4337-8204-af43db4de1f6	HEAT_REJECTION_PUMPS
01c53f36-6eb7-417c-8d0a-a05c73118d31	e418f626-db13-4c88-8b87-df292e6bf016	VENTILATION
01c53f36-6eb7-417c-8d0a-a05c73118d31	abb49aa3-ed68-4a8b-8f10-cb90be163e5a	INFILTRATION
01c53f36-6eb7-417c-8d0a-a05c73118d31	2a104e16-6715-4a78-9a6d-67c68ffe8b99	IT_LOAD
c72241ee-e528-477b-985a-816531a1b3fe	69775853-1007-41ab-b63b-d80d7e0b053d	SWITCHGEAR
c72241ee-e528-477b-985a-816531a1b3fe	00acaa50-e685-46af-90f4-78c67e898706	GENERATOR
c72241ee-e528-477b-985a-816531a1b3fe	73513c76-b9bf-47f1-8400-ceeeabb2ea20	PRIMARY_AUXILIARIES
c72241ee-e528-477b-985a-816531a1b3fe	71c8729e-b21d-4c13-865c-2389a045ed78	UPS
c72241ee-e528-477b-985a-816531a1b3fe	20bcc133-4157-47a3-ae9e-b938fde98f14	CRITICAL_AUXILIARIES
c72241ee-e528-477b-985a-816531a1b3fe	6c385a6f-ab48-412f-b7b3-35bea77e0a5b	LIGHTING
c72241ee-e528-477b-985a-816531a1b3fe	5b45c1af-6b88-47d6-880c-30274c22c1fc	CRITICAL_POWER_DISTRIBUTION
c72241ee-e528-477b-985a-816531a1b3fe	e5e650f9-3e59-40ca-b75c-07b28a980eef	CRAH
c72241ee-e528-477b-985a-816531a1b3fe	72df908f-b768-4526-8160-b0d164808061	CRAC
c72241ee-e528-477b-985a-816531a1b3fe	f19568b4-4197-49f5-bb26-764b9c802993	CRAC_WITHOUT_FAN
c72241ee-e528-477b-985a-816531a1b3fe	9d021015-f3dd-4b9c-bd71-dc7f365a7ee3	CRAC_FAN
c72241ee-e528-477b-985a-816531a1b3fe	65655cd6-d5cd-4882-9a2a-969bf6935c65	CHILLER
c72241ee-e528-477b-985a-816531a1b3fe	affe50b2-c81a-4c73-83fb-d77d83daf8f2	AIR_COOLED_CHILLER
c72241ee-e528-477b-985a-816531a1b3fe	41c4c4e8-8fc4-4fdb-9aac-6e0fb65d8524	COOLING_TOWER
c72241ee-e528-477b-985a-816531a1b3fe	b7e35ae0-3a29-42c3-9d67-b4413cdd0469	DRY_COOLER
c72241ee-e528-477b-985a-816531a1b3fe	f7aa26b1-3e5e-4f2b-82e8-b2907e3e8862	REMOTE_CONDENSER
c72241ee-e528-477b-985a-816531a1b3fe	4a56acf0-73ed-4124-aa6e-da94a2d4ffb4	CHILLED_WATER_PUMPS
c72241ee-e528-477b-985a-816531a1b3fe	ce21cd47-39bc-41b0-b883-7fad180f3e21	HEAT_REJECTION_PUMPS
c72241ee-e528-477b-985a-816531a1b3fe	c5b27af0-9b3d-437f-8b4a-d1c95e200b89	VENTILATION
c72241ee-e528-477b-985a-816531a1b3fe	f4921566-e965-4318-a6b0-b1a401d3e9b3	INFILTRATION
c72241ee-e528-477b-985a-816531a1b3fe	c1dcee2a-a412-4cc0-b8ee-a0c4415848fc	IT_LOAD
121fd56d-3b71-4002-b3c8-6425d65aedb2	46bfa19d-01fc-4498-8e4e-41f9ed0f0e5c	SWITCHGEAR
121fd56d-3b71-4002-b3c8-6425d65aedb2	e31757bd-4714-499c-9a89-33009ec27599	GENERATOR
121fd56d-3b71-4002-b3c8-6425d65aedb2	b395d633-3ae7-4aca-b33e-29b51e71e22a	PRIMARY_AUXILIARIES
121fd56d-3b71-4002-b3c8-6425d65aedb2	07facde5-34a0-4756-b069-5aa4cf542001	UPS
121fd56d-3b71-4002-b3c8-6425d65aedb2	13d1ecd5-b280-4ab7-889a-f0bc67228186	CRITICAL_AUXILIARIES
121fd56d-3b71-4002-b3c8-6425d65aedb2	f54b108f-c8c9-4a33-b6d0-352a927ccc27	LIGHTING
121fd56d-3b71-4002-b3c8-6425d65aedb2	112bc83d-c03e-42f4-9ea4-5d85b0c04fe8	CRITICAL_POWER_DISTRIBUTION
121fd56d-3b71-4002-b3c8-6425d65aedb2	a8fe57c4-f4ad-4d13-8e67-eecd517c091c	CRAH
121fd56d-3b71-4002-b3c8-6425d65aedb2	131fb96a-bbcd-4a7b-8d92-23c8b763b104	CRAC
121fd56d-3b71-4002-b3c8-6425d65aedb2	070e76bd-8b00-4c81-983b-0316963e74a0	CRAC_WITHOUT_FAN
121fd56d-3b71-4002-b3c8-6425d65aedb2	d1fdd25c-96e0-449a-aada-6e3134620507	CRAC_FAN
121fd56d-3b71-4002-b3c8-6425d65aedb2	08a5adc7-7485-4646-a351-9aea45b26bc3	CHILLER
121fd56d-3b71-4002-b3c8-6425d65aedb2	2cd20661-1285-46b4-8985-43ed97527c1d	AIR_COOLED_CHILLER
121fd56d-3b71-4002-b3c8-6425d65aedb2	d7b86a7d-bc74-4a54-88c1-b99031d2a0cc	COOLING_TOWER
121fd56d-3b71-4002-b3c8-6425d65aedb2	331c63e1-5445-47b4-bc7c-60f0465a3e85	DRY_COOLER
121fd56d-3b71-4002-b3c8-6425d65aedb2	1411995e-c3b9-476c-8f6f-eb57eb2bc19c	REMOTE_CONDENSER
121fd56d-3b71-4002-b3c8-6425d65aedb2	353ac512-ffa4-4e01-8802-1ca96c1f9108	CHILLED_WATER_PUMPS
121fd56d-3b71-4002-b3c8-6425d65aedb2	26c2c00a-4226-4d72-9307-bee7cb4a19bd	HEAT_REJECTION_PUMPS
121fd56d-3b71-4002-b3c8-6425d65aedb2	156eb741-fc6d-480d-8635-520ca33ed074	VENTILATION
121fd56d-3b71-4002-b3c8-6425d65aedb2	1ad37d34-0681-420c-8442-88b93d8dbfc2	INFILTRATION
121fd56d-3b71-4002-b3c8-6425d65aedb2	b5497315-1a6f-41cb-9c63-606c3426853b	IT_LOAD
8c8159c1-0e65-48f1-aa30-10e88a411a90	441b31db-e6e4-4946-8453-fb8b46dc2c8e	SWITCHGEAR
8c8159c1-0e65-48f1-aa30-10e88a411a90	b6d50cb9-5e39-453c-bbbe-c6a20a116e86	GENERATOR
8c8159c1-0e65-48f1-aa30-10e88a411a90	68e9d27e-4a5a-4370-b148-6691b631fc59	PRIMARY_AUXILIARIES
8c8159c1-0e65-48f1-aa30-10e88a411a90	91d31d23-c6a0-4bf5-95ca-69ad8149bd35	UPS
8c8159c1-0e65-48f1-aa30-10e88a411a90	eb9acea3-d2f2-45c7-97cc-b2ea644efacd	CRITICAL_AUXILIARIES
8c8159c1-0e65-48f1-aa30-10e88a411a90	302694e8-0d35-4cee-b673-ac8f865c1cf3	LIGHTING
8c8159c1-0e65-48f1-aa30-10e88a411a90	bc235395-5659-4783-a2df-67d9330af591	CRITICAL_POWER_DISTRIBUTION
8c8159c1-0e65-48f1-aa30-10e88a411a90	7bf63068-87b8-4843-b57f-707dbe1e6b35	CRAH
8c8159c1-0e65-48f1-aa30-10e88a411a90	b3a7c6dd-5dc0-4b94-9717-8dd8b43a9208	CRAC
8c8159c1-0e65-48f1-aa30-10e88a411a90	75945d37-c619-44c8-887b-7a7e95948186	CRAC_WITHOUT_FAN
8c8159c1-0e65-48f1-aa30-10e88a411a90	ae763c3d-c4a8-403e-bf78-5137682719f9	CRAC_FAN
8c8159c1-0e65-48f1-aa30-10e88a411a90	cdaab604-f559-4a3e-aecf-3bf9a1a04d0d	CHILLER
8c8159c1-0e65-48f1-aa30-10e88a411a90	bcbfb9d8-eb46-407c-b333-e485a5bf2fa9	AIR_COOLED_CHILLER
8c8159c1-0e65-48f1-aa30-10e88a411a90	6bd05675-a4cf-4587-926e-0ce6a57da30e	COOLING_TOWER
8c8159c1-0e65-48f1-aa30-10e88a411a90	df3a6f6e-00fc-47ac-81a1-54666d675ea0	DRY_COOLER
8c8159c1-0e65-48f1-aa30-10e88a411a90	515b35f5-b678-4b9e-8217-c74ff689b424	REMOTE_CONDENSER
8c8159c1-0e65-48f1-aa30-10e88a411a90	bbcfc884-3608-4b7d-8e71-424a89fa3fde	CHILLED_WATER_PUMPS
8c8159c1-0e65-48f1-aa30-10e88a411a90	57bd164f-2924-4286-9689-5cd3d0f5e897	HEAT_REJECTION_PUMPS
8c8159c1-0e65-48f1-aa30-10e88a411a90	809ca6d3-8c73-4c9a-bc55-020cde137027	VENTILATION
8c8159c1-0e65-48f1-aa30-10e88a411a90	8e9701bd-5059-4fcd-8264-537346dcaded	INFILTRATION
8c8159c1-0e65-48f1-aa30-10e88a411a90	986041ad-e3da-4a87-8da5-47f09fe6a441	IT_LOAD
11386546-5a88-409d-88f1-9b7612eb5d39	2d6b1e1a-4c89-45ab-ac5a-5994a6c0766d	SWITCHGEAR
11386546-5a88-409d-88f1-9b7612eb5d39	6da34ef9-e39b-4c3e-81a1-7aac4722df54	GENERATOR
11386546-5a88-409d-88f1-9b7612eb5d39	fc132bb6-ea13-449e-9295-a6fafb5ca1ea	PRIMARY_AUXILIARIES
11386546-5a88-409d-88f1-9b7612eb5d39	c0ebf9d4-7890-425e-9480-437f4293913b	UPS
11386546-5a88-409d-88f1-9b7612eb5d39	1fe8245b-ba83-4a59-85d0-866a578f77ec	CRITICAL_AUXILIARIES
11386546-5a88-409d-88f1-9b7612eb5d39	61102aad-d777-4eae-b6f6-4e1e9a8afc86	LIGHTING
11386546-5a88-409d-88f1-9b7612eb5d39	2f24fff3-566a-49fb-8f4c-560ef0752baf	CRITICAL_POWER_DISTRIBUTION
11386546-5a88-409d-88f1-9b7612eb5d39	2ae59f82-77e9-4b8f-b214-edf652c38ef7	CRAH
11386546-5a88-409d-88f1-9b7612eb5d39	dbaada4e-fd96-47a8-8d26-5ce7503a4a0b	CRAC
11386546-5a88-409d-88f1-9b7612eb5d39	b4e2ddb8-ca32-48a6-a461-89f4adbec259	CRAC_WITHOUT_FAN
11386546-5a88-409d-88f1-9b7612eb5d39	da3a78b8-b89f-4779-bfaf-5569bf59cc16	CRAC_FAN
11386546-5a88-409d-88f1-9b7612eb5d39	28c492f0-bf50-4685-8c40-7e0aa9ec4f26	CHILLER
11386546-5a88-409d-88f1-9b7612eb5d39	7ab267b3-219b-4eba-befd-8c7c009fcc44	AIR_COOLED_CHILLER
11386546-5a88-409d-88f1-9b7612eb5d39	abfe6aa0-8320-415b-b2f3-6a79b89ed41a	COOLING_TOWER
11386546-5a88-409d-88f1-9b7612eb5d39	fc8d4e1c-55be-4f73-b1eb-175f45e9a8b7	DRY_COOLER
11386546-5a88-409d-88f1-9b7612eb5d39	c9a96283-5ef8-4ef7-b366-37645ace9465	REMOTE_CONDENSER
11386546-5a88-409d-88f1-9b7612eb5d39	b4f2330a-bc74-4aa9-8ab6-0994dad95f90	CHILLED_WATER_PUMPS
11386546-5a88-409d-88f1-9b7612eb5d39	13444e7b-62a7-4f72-917f-469e5ba3e857	HEAT_REJECTION_PUMPS
11386546-5a88-409d-88f1-9b7612eb5d39	d7e3610a-3d28-4c6f-b38a-4f449730c130	VENTILATION
11386546-5a88-409d-88f1-9b7612eb5d39	fa4b1a2e-5d05-47b5-b165-a7682d72fd27	INFILTRATION
11386546-5a88-409d-88f1-9b7612eb5d39	cd597369-4caf-4581-8029-dfa394f52885	IT_LOAD
8a4222b3-4f68-47db-9641-32267bd3208e	509791c4-68fe-496f-90d0-c2f8a8283d36	SWITCHGEAR
8a4222b3-4f68-47db-9641-32267bd3208e	3d6ba28b-8e2a-41b9-baf3-4a4912175c6f	GENERATOR
8a4222b3-4f68-47db-9641-32267bd3208e	721a1e81-1ef9-480c-876d-f6235edb76dd	PRIMARY_AUXILIARIES
8a4222b3-4f68-47db-9641-32267bd3208e	89478414-8038-4701-b2b8-5a6e19efb85e	UPS
8a4222b3-4f68-47db-9641-32267bd3208e	24cb2add-c7fb-43c4-8c27-bc09c3f0ad9d	CRITICAL_AUXILIARIES
8a4222b3-4f68-47db-9641-32267bd3208e	7b27fbd0-f8e8-4835-b867-296b8ef6a5f2	LIGHTING
8a4222b3-4f68-47db-9641-32267bd3208e	b9fb4a37-1e6a-40be-8b8c-338092194436	CRITICAL_POWER_DISTRIBUTION
8a4222b3-4f68-47db-9641-32267bd3208e	ce00ecdc-4ea5-4f26-a972-414e53fdc42e	CRAH
8a4222b3-4f68-47db-9641-32267bd3208e	12c6cc6e-6e6f-4ae8-a4c9-a2fb22684da9	CRAC
8a4222b3-4f68-47db-9641-32267bd3208e	5a5af468-8ba1-444b-bca7-fc74740794bf	CRAC_WITHOUT_FAN
8a4222b3-4f68-47db-9641-32267bd3208e	2d10ef43-54be-43d6-976b-20668c4f2670	CRAC_FAN
8a4222b3-4f68-47db-9641-32267bd3208e	e3c3469f-3bcd-4f9b-9a2b-baf8d0ab0906	CHILLER
8a4222b3-4f68-47db-9641-32267bd3208e	a321185d-df04-47df-aa76-6782e351ffe4	AIR_COOLED_CHILLER
8a4222b3-4f68-47db-9641-32267bd3208e	93fae192-851e-4e24-8080-4140372a8b2c	COOLING_TOWER
8a4222b3-4f68-47db-9641-32267bd3208e	a93ac8be-fa71-4886-8941-ebdb8d9aa826	DRY_COOLER
8a4222b3-4f68-47db-9641-32267bd3208e	e9303761-77f3-4e35-adaa-f01676225d4b	REMOTE_CONDENSER
8a4222b3-4f68-47db-9641-32267bd3208e	a5912268-de6a-4f19-85d5-e9c06789f2ce	CHILLED_WATER_PUMPS
8a4222b3-4f68-47db-9641-32267bd3208e	ad7aa7d9-bd4c-47d6-80da-a3916bdd54d8	HEAT_REJECTION_PUMPS
8a4222b3-4f68-47db-9641-32267bd3208e	fd78d674-6bb9-42db-93c0-7723a2bdddc5	VENTILATION
8a4222b3-4f68-47db-9641-32267bd3208e	3959d48d-8a79-4e24-8d6b-f9fcdd7ef9d9	INFILTRATION
8a4222b3-4f68-47db-9641-32267bd3208e	bef54821-532a-4231-b086-95de08f37353	IT_LOAD
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	f9925e0f-d0f5-44d0-80c3-c9f4397e65c8	SWITCHGEAR
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	755936bc-b568-4194-8b84-6f5b1821fe32	GENERATOR
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	463f5d72-a073-422a-981b-9334a376cefa	PRIMARY_AUXILIARIES
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	716e647f-6823-47b9-b2a2-59ac63f97ba7	UPS
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	c84c8ed5-37a0-48b8-b5a7-d82c2a09bf9c	CRITICAL_AUXILIARIES
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	8e9cc046-4e09-4fe4-bf7a-4230f5336b57	LIGHTING
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	6adaeeda-0e55-49f3-b867-f288e9068938	CRITICAL_POWER_DISTRIBUTION
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	661abb78-76fa-4978-b7f7-a6cc1ffa35e7	CRAH
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	e4daf53f-da94-4b09-b459-25fc35233792	CRAC
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	f49917e8-6421-4de2-8021-bee81345d365	CRAC_WITHOUT_FAN
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	d3e51c7c-54d0-429f-b7d4-d685cafb3a73	CRAC_FAN
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	b95667b8-f72d-4efb-8cc2-dca991d48d43	CHILLER
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	1a968ee8-53f5-480b-983c-7ea82f611484	AIR_COOLED_CHILLER
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	91f39988-44c4-4c57-9650-c6d2d010f0de	COOLING_TOWER
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	4862857a-b1ef-486a-95a0-5b4e9d9fb2c0	DRY_COOLER
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	dee609f4-5bd1-4bc4-bb99-d206e56cd87f	REMOTE_CONDENSER
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	685995aa-62d5-4c60-ad91-db9efff9f991	CHILLED_WATER_PUMPS
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	6f06ed86-22b1-4540-9289-8dd5a9dca85d	HEAT_REJECTION_PUMPS
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	aadadaed-ef5d-4600-a415-d350fc05cafa	VENTILATION
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	ed147332-7156-4171-b777-ed9f8d101408	INFILTRATION
fd9e9684-e9ca-4e5f-b4dc-68387dd785e3	e648b0bf-cc31-4a42-bf20-c51d4f2a5693	IT_LOAD
976175d0-d4e7-4cd5-953f-8148c9e2d468	f0ff3828-3dba-4e23-b9fd-996ff676d0de	SWITCHGEAR
976175d0-d4e7-4cd5-953f-8148c9e2d468	00b24fd1-d309-4732-9478-bf9b317f3edf	GENERATOR
976175d0-d4e7-4cd5-953f-8148c9e2d468	b13fcdac-348f-40be-ba29-62b59bf3e561	PRIMARY_AUXILIARIES
976175d0-d4e7-4cd5-953f-8148c9e2d468	919ee431-b18d-41fc-806d-180cb9a61d27	UPS
976175d0-d4e7-4cd5-953f-8148c9e2d468	a8f5205f-f0b1-41b8-b486-ca54cbec596f	CRITICAL_AUXILIARIES
976175d0-d4e7-4cd5-953f-8148c9e2d468	6a092d37-eba5-4e16-92d5-4751d5d5c78c	LIGHTING
976175d0-d4e7-4cd5-953f-8148c9e2d468	2e70bb3c-ee5c-40b0-8414-46d63a8e94f9	CRITICAL_POWER_DISTRIBUTION
976175d0-d4e7-4cd5-953f-8148c9e2d468	17965463-e372-40a8-bac0-39d06bc72eaf	CRAH
976175d0-d4e7-4cd5-953f-8148c9e2d468	314cf2c3-718e-46cc-911b-d2ae2a239417	CRAC
976175d0-d4e7-4cd5-953f-8148c9e2d468	80531304-d84a-4395-81f2-e8b03b1bb22a	CRAC_WITHOUT_FAN
976175d0-d4e7-4cd5-953f-8148c9e2d468	3a4829ea-f358-4ea5-8807-1e7b5800d9a0	CRAC_FAN
976175d0-d4e7-4cd5-953f-8148c9e2d468	f17e6ab8-9550-47c0-91b1-1c4dc6b55af5	CHILLER
976175d0-d4e7-4cd5-953f-8148c9e2d468	8ffd8df7-3d4b-4e0d-81ef-9dd7de86533f	AIR_COOLED_CHILLER
976175d0-d4e7-4cd5-953f-8148c9e2d468	e82c6036-5237-4eac-b2a5-001c97a1559d	COOLING_TOWER
976175d0-d4e7-4cd5-953f-8148c9e2d468	4671fc0d-d2f8-468a-8e7a-3fd3ee7c1ab4	DRY_COOLER
976175d0-d4e7-4cd5-953f-8148c9e2d468	462cb5da-b2af-46ac-858d-87231e3bea11	REMOTE_CONDENSER
976175d0-d4e7-4cd5-953f-8148c9e2d468	720ae8c4-a6b6-48f0-89ad-833e33edf7da	CHILLED_WATER_PUMPS
976175d0-d4e7-4cd5-953f-8148c9e2d468	942f8f96-ffaa-415b-8abb-219895263fd5	HEAT_REJECTION_PUMPS
976175d0-d4e7-4cd5-953f-8148c9e2d468	0858b46b-2947-4834-92b2-085d2dcbf5d1	VENTILATION
976175d0-d4e7-4cd5-953f-8148c9e2d468	9b6b93be-d78e-40cd-8b6b-9a6a1884ffad	INFILTRATION
976175d0-d4e7-4cd5-953f-8148c9e2d468	9a7724e9-fb01-4435-b8d0-40dcdaa739f0	IT_LOAD
3724769a-b48f-41b5-8d87-3374154a7f73	2a97a04c-dad2-4da6-87cf-4e0e21abbcf9	SWITCHGEAR
3724769a-b48f-41b5-8d87-3374154a7f73	09c286f4-f17f-4271-be1a-9fee68b8b0ff	GENERATOR
3724769a-b48f-41b5-8d87-3374154a7f73	973678a2-4794-4f9d-a5b6-4a4e34b3dee2	PRIMARY_AUXILIARIES
3724769a-b48f-41b5-8d87-3374154a7f73	d249155b-2e1a-43e4-9053-3bbeb455e4e9	UPS
3724769a-b48f-41b5-8d87-3374154a7f73	31b57f87-9404-40b5-a117-8487506e7e7e	CRITICAL_AUXILIARIES
3724769a-b48f-41b5-8d87-3374154a7f73	eaddd17a-6bd3-4b94-8975-22970bd1f036	LIGHTING
3724769a-b48f-41b5-8d87-3374154a7f73	c760d423-2902-4082-9e1a-1df02edd422a	CRITICAL_POWER_DISTRIBUTION
3724769a-b48f-41b5-8d87-3374154a7f73	0315180f-aa7c-442a-9b5d-fac05a8dad43	CRAH
3724769a-b48f-41b5-8d87-3374154a7f73	e785c813-206c-49bb-ad72-83a63e4cc054	CRAC
3724769a-b48f-41b5-8d87-3374154a7f73	5838d94b-abe1-4b41-910b-a862802011dd	CRAC_WITHOUT_FAN
3724769a-b48f-41b5-8d87-3374154a7f73	958ecf76-71c7-4711-ad64-502876cdf98c	CRAC_FAN
3724769a-b48f-41b5-8d87-3374154a7f73	75c0e48f-74e5-4290-9702-f37927bc8f02	CHILLER
3724769a-b48f-41b5-8d87-3374154a7f73	fe0cd35a-14ba-44c4-80ff-82027ea7bc26	AIR_COOLED_CHILLER
3724769a-b48f-41b5-8d87-3374154a7f73	c1279357-d1c7-46f8-a5e2-a734aeaeb02e	COOLING_TOWER
3724769a-b48f-41b5-8d87-3374154a7f73	2c54fc9f-dddf-4460-9982-5189d21d7f41	DRY_COOLER
3724769a-b48f-41b5-8d87-3374154a7f73	66c2c757-a501-4bfc-8f14-484e946f4b53	REMOTE_CONDENSER
3724769a-b48f-41b5-8d87-3374154a7f73	943c8da3-6821-44cc-8985-17d8626a998f	CHILLED_WATER_PUMPS
3724769a-b48f-41b5-8d87-3374154a7f73	15387315-6081-4dbc-8423-0653f82b5c44	HEAT_REJECTION_PUMPS
3724769a-b48f-41b5-8d87-3374154a7f73	2530e859-d45f-475e-ac12-1447c4063fa0	VENTILATION
3724769a-b48f-41b5-8d87-3374154a7f73	101133ab-c108-49cd-980b-605cb01c143b	INFILTRATION
3724769a-b48f-41b5-8d87-3374154a7f73	fcc6a199-23ec-4d57-9bd5-d07b476e9ad5	IT_LOAD
d291f1b2-993f-4ee6-81a3-decf689ee010	172216e0-0417-4baa-a08a-c7ddba49873e	SWITCHGEAR
d291f1b2-993f-4ee6-81a3-decf689ee010	da41d89a-934c-445c-b671-754546a9d00e	GENERATOR
d291f1b2-993f-4ee6-81a3-decf689ee010	a0747161-feab-4287-867a-3b24daded02e	PRIMARY_AUXILIARIES
d291f1b2-993f-4ee6-81a3-decf689ee010	b510498f-478d-40da-b6d4-cf7b28383de5	UPS
d291f1b2-993f-4ee6-81a3-decf689ee010	c7e09bcc-f337-43d0-bf66-5f5a63f489c6	CRITICAL_AUXILIARIES
d291f1b2-993f-4ee6-81a3-decf689ee010	bb4a8e92-3111-43c8-945b-fb5b73d043f3	LIGHTING
d291f1b2-993f-4ee6-81a3-decf689ee010	74824d13-5055-4eef-bd41-737ec58d1668	CRITICAL_POWER_DISTRIBUTION
d291f1b2-993f-4ee6-81a3-decf689ee010	3d0c521b-238f-4f20-84c5-ef3baee48454	CRAH
d291f1b2-993f-4ee6-81a3-decf689ee010	e761c915-6001-44c1-9dbd-a6e7200fee89	CRAC
d291f1b2-993f-4ee6-81a3-decf689ee010	4668ceae-0b96-4c84-9c68-4b58230be13a	CRAC_WITHOUT_FAN
d291f1b2-993f-4ee6-81a3-decf689ee010	fdc109c8-fbbb-4946-bf9b-ffeedb746c81	CRAC_FAN
d291f1b2-993f-4ee6-81a3-decf689ee010	dd82df8c-cace-4b43-b9d3-2a8e76ae3b1a	CHILLER
d291f1b2-993f-4ee6-81a3-decf689ee010	6f6edb21-7712-4258-bb34-547d68624453	AIR_COOLED_CHILLER
d291f1b2-993f-4ee6-81a3-decf689ee010	1ca37f89-6e9c-47d7-9e44-65634921d333	COOLING_TOWER
d291f1b2-993f-4ee6-81a3-decf689ee010	1a86b5ff-09cc-4de7-bfea-ce4b0ade48d2	DRY_COOLER
d291f1b2-993f-4ee6-81a3-decf689ee010	43e7a7a5-573f-4957-9d82-d7ef094a0985	REMOTE_CONDENSER
d291f1b2-993f-4ee6-81a3-decf689ee010	c731a590-5e3b-47e0-a0ee-94aeb7a6f7e7	CHILLED_WATER_PUMPS
d291f1b2-993f-4ee6-81a3-decf689ee010	cfb925be-3dc5-4862-97dc-a6120f5695c7	HEAT_REJECTION_PUMPS
d291f1b2-993f-4ee6-81a3-decf689ee010	ffba4040-6092-485f-8c61-fe69e99804be	VENTILATION
d291f1b2-993f-4ee6-81a3-decf689ee010	1d46420f-dd6a-48d9-8808-3e485c00a660	INFILTRATION
d291f1b2-993f-4ee6-81a3-decf689ee010	d93353e3-d114-4027-a33e-3a516323cb0a	IT_LOAD
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	3ebef939-6bf9-4489-b2cb-f1818c16ba9d	SWITCHGEAR
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	0e7a3c1b-0a30-4a8e-9586-dc0b5f01ef61	GENERATOR
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	696ff715-dd94-4a24-9ea8-ce65f12b1c7f	PRIMARY_AUXILIARIES
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	f9affb3b-7a3e-47be-a7cc-1628e3a1c8f6	UPS
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	cb3a30a7-ce88-40b0-84cc-fcebbe07567a	CRITICAL_AUXILIARIES
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	602d294d-d16d-466c-a73f-a6de562503c9	LIGHTING
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	9cc4de3a-70cf-470a-8158-fe5b3e723abc	CRITICAL_POWER_DISTRIBUTION
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	08463017-857d-471e-a2dd-6768fee31793	CRAH
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	82a34db0-c8b1-4ed6-9102-cb43706be4ae	CRAC
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	1fc84233-6cb6-47d2-866a-5400eb78b1e6	CRAC_WITHOUT_FAN
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	ff31e5b9-67e1-43d7-a895-ce0bf36b365c	CRAC_FAN
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	fdc3ea39-b9a7-4cba-8b44-bcad096cb6d7	CHILLER
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	57a270e4-f09c-41fa-a3aa-bf31369c5792	AIR_COOLED_CHILLER
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	ac528b09-30cc-4dcc-a78c-1d0bc464934c	COOLING_TOWER
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	8a739190-faa5-476b-be18-2827df067917	DRY_COOLER
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	19c5ca16-d480-45ee-9f7e-f5cde5ec301a	REMOTE_CONDENSER
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	7a1c514d-e6a0-490c-9079-8130409225b7	CHILLED_WATER_PUMPS
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	5532b44c-c535-4f51-8388-09527ffe2a4f	HEAT_REJECTION_PUMPS
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	4d5261d9-350a-4b1b-bcb3-44c8d2f39b4f	VENTILATION
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	d577e876-f288-4123-9faf-352292d294ee	INFILTRATION
2082102b-5bd2-4a08-aee4-3fec1f8daaaf	1a4a6eb7-8d17-4f39-bee0-b2c8e8989564	IT_LOAD
8b5b0aff-950d-44ca-8925-9530668d86c4	6fb7539d-b696-4447-b1c5-24e0a0658f4c	SWITCHGEAR
8b5b0aff-950d-44ca-8925-9530668d86c4	be4c56a7-e758-4a73-9cd1-a431b97c5a9e	GENERATOR
8b5b0aff-950d-44ca-8925-9530668d86c4	4bf5a29f-7229-45d0-8c16-8c8679b9cf44	PRIMARY_AUXILIARIES
8b5b0aff-950d-44ca-8925-9530668d86c4	8c9ba66f-8998-41f8-ab40-7403014b4690	UPS
8b5b0aff-950d-44ca-8925-9530668d86c4	8ce47abd-8439-48fc-8524-feda3476e7e0	CRITICAL_AUXILIARIES
8b5b0aff-950d-44ca-8925-9530668d86c4	5bf07d92-fd81-47c3-92b7-f30dcbff5bf6	LIGHTING
8b5b0aff-950d-44ca-8925-9530668d86c4	19300597-bfa9-484f-bf64-5ef41ff44f5e	CRITICAL_POWER_DISTRIBUTION
8b5b0aff-950d-44ca-8925-9530668d86c4	ae3c6e79-56be-4099-a81e-1df0302353d4	CRAH
8b5b0aff-950d-44ca-8925-9530668d86c4	0f49b410-314a-49ae-9f07-7e36fda55277	CRAC
8b5b0aff-950d-44ca-8925-9530668d86c4	e0dc884f-fe58-4b67-9144-fedc501b9cf1	CRAC_WITHOUT_FAN
8b5b0aff-950d-44ca-8925-9530668d86c4	a962de10-3d81-4408-84c4-099de67c1cab	CRAC_FAN
8b5b0aff-950d-44ca-8925-9530668d86c4	2fc705fe-ffae-463a-8a30-69cd9d7f2df0	CHILLER
8b5b0aff-950d-44ca-8925-9530668d86c4	02121d94-a367-45bb-a44a-f70f0e0d857a	AIR_COOLED_CHILLER
8b5b0aff-950d-44ca-8925-9530668d86c4	bcf693b2-effb-44a6-a509-ea449a788912	COOLING_TOWER
8b5b0aff-950d-44ca-8925-9530668d86c4	3e07f5ec-b856-4c25-92e2-6a7065fa08d4	DRY_COOLER
8b5b0aff-950d-44ca-8925-9530668d86c4	13924625-aea3-419b-9adf-e9937c68be40	REMOTE_CONDENSER
8b5b0aff-950d-44ca-8925-9530668d86c4	4f417e95-c676-4a4f-85cf-95b267f04cb3	CHILLED_WATER_PUMPS
8b5b0aff-950d-44ca-8925-9530668d86c4	7c6aeff9-b82b-4633-b65d-551d54f91c9b	HEAT_REJECTION_PUMPS
8b5b0aff-950d-44ca-8925-9530668d86c4	20d8e387-5aca-4b18-8c73-025d812c203c	VENTILATION
8b5b0aff-950d-44ca-8925-9530668d86c4	0c194a15-e27f-44e4-a964-23eb2569dfc2	INFILTRATION
8b5b0aff-950d-44ca-8925-9530668d86c4	0a4e4a3e-6088-4ad4-b0f1-b92890ee7e43	IT_LOAD
083f8dec-6095-4a55-b293-db1207af1ee5	357a9e34-6e52-4732-84d9-ff55bd0b9c57	SWITCHGEAR
083f8dec-6095-4a55-b293-db1207af1ee5	fe01aea6-6f91-4517-a58f-0d72d0bb44a8	GENERATOR
083f8dec-6095-4a55-b293-db1207af1ee5	a07f798f-3cbf-4109-bcf0-a37ef4fff002	PRIMARY_AUXILIARIES
083f8dec-6095-4a55-b293-db1207af1ee5	ba6508c3-f884-4713-90a8-cb5d43ab08f1	UPS
083f8dec-6095-4a55-b293-db1207af1ee5	56fe99ec-982d-43dd-b137-26d516db1d4a	CRITICAL_AUXILIARIES
083f8dec-6095-4a55-b293-db1207af1ee5	f22b9063-a0bb-4a5e-aa6c-e2818a97720d	LIGHTING
083f8dec-6095-4a55-b293-db1207af1ee5	0031ded7-09a2-406b-9214-50e0623662a6	CRITICAL_POWER_DISTRIBUTION
083f8dec-6095-4a55-b293-db1207af1ee5	4ff5f7d9-357e-4ca7-9e3b-80ef276c241f	CRAH
083f8dec-6095-4a55-b293-db1207af1ee5	660b8d18-b087-45d2-aad4-5e33bc08fe24	CRAC
083f8dec-6095-4a55-b293-db1207af1ee5	4565452a-fe55-4727-a4b2-30ca0f7225c1	CRAC_WITHOUT_FAN
083f8dec-6095-4a55-b293-db1207af1ee5	5f7fe2ae-1d5a-4445-af27-c9968da919ab	CRAC_FAN
083f8dec-6095-4a55-b293-db1207af1ee5	cdd63810-6de4-43a6-8c5f-db9c15517393	CHILLER
083f8dec-6095-4a55-b293-db1207af1ee5	9446effc-6389-4475-99e8-fbf54988da38	AIR_COOLED_CHILLER
083f8dec-6095-4a55-b293-db1207af1ee5	659e5533-52e3-4879-97aa-02fedb8b6e4e	COOLING_TOWER
083f8dec-6095-4a55-b293-db1207af1ee5	1e519e06-95b9-459d-a2b1-f27cd063622f	DRY_COOLER
083f8dec-6095-4a55-b293-db1207af1ee5	72c915a7-797b-4b4c-ab6e-6aee4b046280	REMOTE_CONDENSER
083f8dec-6095-4a55-b293-db1207af1ee5	eb39fd99-e2be-4351-8216-124caa709cd7	CHILLED_WATER_PUMPS
083f8dec-6095-4a55-b293-db1207af1ee5	587cc02c-bdf6-4153-ace8-0a173ec56d33	HEAT_REJECTION_PUMPS
083f8dec-6095-4a55-b293-db1207af1ee5	e4fb7b8a-efd8-4477-84b0-27c3079434fe	VENTILATION
083f8dec-6095-4a55-b293-db1207af1ee5	914bc6b8-aa2d-46de-b910-13ef227c112a	INFILTRATION
083f8dec-6095-4a55-b293-db1207af1ee5	ebc14d42-6951-431c-9752-49341eaffcaf	IT_LOAD
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	4a4e89c7-fdd8-4d15-9850-dc76c2acaaa5	SWITCHGEAR
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	0e4ec17e-1eb2-429a-9cf0-e43b62953d26	GENERATOR
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	6e89a7f5-c576-44f6-ad8d-76865238ef58	PRIMARY_AUXILIARIES
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	ecdec9be-ad0c-4708-a16b-cff0bb32510b	UPS
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	229e3cc5-792c-4fb4-881c-f3f00fa47345	CRITICAL_AUXILIARIES
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	948eb79e-9ebd-494a-9c14-166d141e2a86	LIGHTING
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	4f1bdb35-ab97-4a0b-b844-6f2049617a77	CRITICAL_POWER_DISTRIBUTION
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	096cbd97-dd83-402f-8f45-2f218b864bae	CRAH
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	955408d5-5136-4528-be3d-e31d6ab7c41a	CRAC
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	48b605d2-d984-4672-859a-063f378265ed	CRAC_WITHOUT_FAN
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	493af20b-9f7c-4bb1-b608-f01f4694214d	CRAC_FAN
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	8791bd72-f2db-41b7-ac0d-7eca96058277	CHILLER
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	073d7b82-447f-43b3-8c62-a2ba8dee29a1	AIR_COOLED_CHILLER
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	2632d700-c2eb-4003-a155-f79dd462ac5e	COOLING_TOWER
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	33fb3b80-56ca-44f4-96a6-d13c096ef992	DRY_COOLER
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	7b6650b6-1180-4e65-8df7-950fe472fd65	REMOTE_CONDENSER
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	268d9f89-12f4-4b54-82f8-7d453fedf70b	CHILLED_WATER_PUMPS
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	7400baa3-d460-421b-b83d-59884042136c	HEAT_REJECTION_PUMPS
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	370759a5-44bb-49e8-8cf3-df9a8036fd54	VENTILATION
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	6201c2f6-a06d-4b78-a408-575ba84dc494	INFILTRATION
f0d9cf4e-255d-4f76-8b51-ee190fb6bd3d	7b972b29-a458-41d3-8b15-9e2bbfaf0264	IT_LOAD
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	7f177507-11a6-465c-ad51-eedccd86a7eb	SWITCHGEAR
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	ccfde38d-277f-486f-ac6a-8db6a4cd41f9	GENERATOR
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	e63bd1eb-9098-4fc1-bf3a-2b2977847d55	PRIMARY_AUXILIARIES
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	ec2c179a-8037-4f39-8fb6-65bf32ee031d	UPS
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	522bc77d-c766-41cb-a53b-f1f6d78051c1	CRITICAL_AUXILIARIES
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	37264567-2f82-48f8-9704-b82a215098aa	LIGHTING
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	36562af6-04b4-469b-a4e0-c0e3f90e8756	CRITICAL_POWER_DISTRIBUTION
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	9f1941c6-9a5d-4e00-8f82-c342f08bb803	CRAH
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	f5187d8d-8fd8-4f21-bf5c-c5f43c3670ed	CRAC
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	ed3714e6-8ab5-4dc5-9439-d1b2b9ca02a6	CRAC_WITHOUT_FAN
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	e7d5f192-a096-4324-bd0c-5ec036a3f9d8	CRAC_FAN
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	47a57bdc-e241-4012-8e1a-c938b42188bf	CHILLER
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	e97c9df9-90c6-431a-86bf-ceef0c5dd68b	AIR_COOLED_CHILLER
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	ae39b71c-46df-4460-ac3e-f6075fed56f4	COOLING_TOWER
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	a2c3fbe7-62c0-453e-8c35-72b066b8855c	DRY_COOLER
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	560927c8-ec83-4a38-b382-ff0de1c7c00e	REMOTE_CONDENSER
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	c4f38f2e-59e8-4b88-901f-613d120a0e23	CHILLED_WATER_PUMPS
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	9d6eaa62-5fee-48e1-bdf3-7da6f19a075c	HEAT_REJECTION_PUMPS
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	b733e3b6-3691-43f7-9c1f-ed012e2ab840	VENTILATION
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	889dd181-e8fb-480b-aba3-323ba97e86f7	INFILTRATION
fbf86ae6-fad5-4e15-8d97-d3fcda799b8b	f1f24b32-d195-4980-bdd3-5e2c74283ffc	IT_LOAD
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	3e7e36fa-087e-4ed3-ade1-6088147f0150	SWITCHGEAR
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	c86cc226-a167-4964-9fe6-348bda4e68d4	GENERATOR
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	77b8e37d-1904-4d14-be1a-2d0ae0ebc585	PRIMARY_AUXILIARIES
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	057d66a1-7a28-4112-b1cf-4a7f8178c00e	UPS
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	d94482eb-d520-4f2a-b389-d5ab63c2b6e3	CRITICAL_AUXILIARIES
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	47631aa9-ebba-47f9-93a4-fcd3d687867b	LIGHTING
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	f96d5ed7-c833-401f-b81a-6a8449f1b4e2	CRITICAL_POWER_DISTRIBUTION
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	b3ee2e99-714d-4433-b46d-3447b3fc52ae	CRAH
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	287c0aaa-86d7-44f5-842f-adce7b685dfb	CRAC
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	20abf3ae-8b69-45f5-9b7b-ec696bce9ebf	CRAC_WITHOUT_FAN
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	ebe939b7-3c44-4c36-b4ce-df439018fdfb	CRAC_FAN
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	3377b38f-e833-4f20-9d3c-47aca65b573d	CHILLER
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	38a22455-b51b-4f91-b644-3e55e005b680	AIR_COOLED_CHILLER
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	5c80d895-6bbd-4cb4-b716-14b31770d3ab	COOLING_TOWER
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	d7cebd21-106b-4d2e-8adf-bba5c7e1278d	DRY_COOLER
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	067db218-a30c-4f04-b8e4-2ed02de33866	REMOTE_CONDENSER
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	bc086f6b-00a8-46db-b8b6-540f1878fae5	CHILLED_WATER_PUMPS
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	6cba6a12-8051-4a2e-b3c9-c1c4704c2fff	HEAT_REJECTION_PUMPS
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	6ef4a9b5-b79d-4976-b159-14b03c91d58c	VENTILATION
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	5085799f-e1ed-4381-bdf8-8649b1c64675	INFILTRATION
dce8b6ee-5fc7-40e7-ae63-5a31d611c4df	21666924-2d81-42bc-a4db-cfd3ac8976a6	IT_LOAD
e50f59d1-8a5c-4c03-8e86-adff377a06a6	a4bd7d9c-e2f1-46c0-8bb2-c3d42ec383c6	SWITCHGEAR
e50f59d1-8a5c-4c03-8e86-adff377a06a6	d74c3ef2-0d43-44b9-8afa-09b57e1caefd	GENERATOR
e50f59d1-8a5c-4c03-8e86-adff377a06a6	c86a387c-f809-4086-b7df-5e36bceebc1b	PRIMARY_AUXILIARIES
e50f59d1-8a5c-4c03-8e86-adff377a06a6	800770e6-9648-40ca-8141-2a76f80d6df4	UPS
e50f59d1-8a5c-4c03-8e86-adff377a06a6	bca0653c-b410-4f21-b03e-8460badc1525	CRITICAL_AUXILIARIES
e50f59d1-8a5c-4c03-8e86-adff377a06a6	f1d88f46-5e32-4858-8310-e49e415df89a	LIGHTING
e50f59d1-8a5c-4c03-8e86-adff377a06a6	35e55669-9705-4f31-b114-94ed89f27c03	CRITICAL_POWER_DISTRIBUTION
e50f59d1-8a5c-4c03-8e86-adff377a06a6	0384216c-d6ce-4a58-89cb-f5cc8089ab87	CRAH
e50f59d1-8a5c-4c03-8e86-adff377a06a6	59d0d0cb-9849-45d4-805a-0fa1d1c63b6f	CRAC
e50f59d1-8a5c-4c03-8e86-adff377a06a6	5d9092b8-1201-4869-bef3-daa331a6525a	CRAC_WITHOUT_FAN
e50f59d1-8a5c-4c03-8e86-adff377a06a6	49c8eff8-69d9-4eb0-a288-61c0c754ce39	CRAC_FAN
e50f59d1-8a5c-4c03-8e86-adff377a06a6	ea62311a-16d8-4ada-bdd9-a234a368d593	CHILLER
e50f59d1-8a5c-4c03-8e86-adff377a06a6	1eeda6f9-cc0a-4a22-a665-7b92276d7092	AIR_COOLED_CHILLER
e50f59d1-8a5c-4c03-8e86-adff377a06a6	ae7c266e-86b3-4164-be33-b612efd81af0	COOLING_TOWER
e50f59d1-8a5c-4c03-8e86-adff377a06a6	c6c9d825-8c59-4007-b816-3a54624cc689	DRY_COOLER
e50f59d1-8a5c-4c03-8e86-adff377a06a6	22ef36b9-3329-40f1-b14b-6f0894f3ef54	REMOTE_CONDENSER
e50f59d1-8a5c-4c03-8e86-adff377a06a6	4aaa48a0-bc0e-4cd8-94c8-65bd7f546e9c	CHILLED_WATER_PUMPS
e50f59d1-8a5c-4c03-8e86-adff377a06a6	abf8bea4-1e75-44f4-ada2-4ab5e2bf88eb	HEAT_REJECTION_PUMPS
e50f59d1-8a5c-4c03-8e86-adff377a06a6	29a6a47f-04cd-4ef2-8b59-7f2bbe78fbfa	VENTILATION
e50f59d1-8a5c-4c03-8e86-adff377a06a6	6086f30c-efba-4e90-a219-cf91a59bd30c	INFILTRATION
e50f59d1-8a5c-4c03-8e86-adff377a06a6	46065c52-fe98-4343-a0fe-4b9d16c8d177	IT_LOAD
c768e616-9d7b-4c31-b09d-26b3682f2a9d	693e67de-80f7-43c8-92d0-2fa1a536e3d0	SWITCHGEAR
c768e616-9d7b-4c31-b09d-26b3682f2a9d	bcb88471-c113-46d5-9d74-6f4cc30d621f	GENERATOR
c768e616-9d7b-4c31-b09d-26b3682f2a9d	846135c9-032a-4bba-b757-f2c703326115	PRIMARY_AUXILIARIES
c768e616-9d7b-4c31-b09d-26b3682f2a9d	d2b84a3a-0273-4a28-8bb6-b5fcd71bfeca	UPS
c768e616-9d7b-4c31-b09d-26b3682f2a9d	23c320ef-5481-45e8-8fa2-f8cad55756de	CRITICAL_AUXILIARIES
c768e616-9d7b-4c31-b09d-26b3682f2a9d	01e6967f-a608-4dcd-9a91-f6f068a830b1	LIGHTING
c768e616-9d7b-4c31-b09d-26b3682f2a9d	9e33e6c4-2e09-4158-9ab1-70990767bba1	CRITICAL_POWER_DISTRIBUTION
c768e616-9d7b-4c31-b09d-26b3682f2a9d	1c23c810-5365-4eb1-a403-a372a3efc76d	CRAH
c768e616-9d7b-4c31-b09d-26b3682f2a9d	7abd2c94-ad57-43bd-a142-e51d86997bb2	CRAC
c768e616-9d7b-4c31-b09d-26b3682f2a9d	4fa45879-5e17-49d0-8435-5548d52ae6bb	CRAC_WITHOUT_FAN
c768e616-9d7b-4c31-b09d-26b3682f2a9d	885b2836-6863-4d8e-8413-2ea438053d1e	CRAC_FAN
c768e616-9d7b-4c31-b09d-26b3682f2a9d	47408fa9-e2ca-4c58-8343-0349588b25ae	CHILLER
c768e616-9d7b-4c31-b09d-26b3682f2a9d	0c85ce6d-4a79-493a-8c3f-01d462880f26	AIR_COOLED_CHILLER
c768e616-9d7b-4c31-b09d-26b3682f2a9d	b535afff-eb1e-4992-9e87-f14691de6aa6	COOLING_TOWER
c768e616-9d7b-4c31-b09d-26b3682f2a9d	fbbae878-fef0-4469-829b-8c4b7fdfc4fb	DRY_COOLER
c768e616-9d7b-4c31-b09d-26b3682f2a9d	3c7108a6-086c-4f70-830d-0f723e3f1ded	REMOTE_CONDENSER
c768e616-9d7b-4c31-b09d-26b3682f2a9d	7229779c-af2c-4e55-b171-3ff9c52668a2	CHILLED_WATER_PUMPS
c768e616-9d7b-4c31-b09d-26b3682f2a9d	fb5b3548-e8fc-48c4-9afe-56cb85c323e9	HEAT_REJECTION_PUMPS
c768e616-9d7b-4c31-b09d-26b3682f2a9d	d0dfe2df-168e-42d0-ade7-4c8eb7e37fbc	VENTILATION
c768e616-9d7b-4c31-b09d-26b3682f2a9d	2875be7c-61f8-4621-a618-5a4f576bdcea	INFILTRATION
c768e616-9d7b-4c31-b09d-26b3682f2a9d	dc990d79-dd8c-4749-9584-2c77e49070a7	IT_LOAD
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	a1cf2f6e-048c-41a2-ba27-321f8960808b	SWITCHGEAR
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	ff9a98f2-d58e-48e0-9975-1ee8427e6d4c	GENERATOR
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	510958c6-5b00-4a9b-b088-4471aa096bd6	PRIMARY_AUXILIARIES
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	acbd919b-8a54-496b-a5a8-0d8d53eec345	UPS
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	967b7bd6-4aba-4bd1-9e05-fbbe4d77c19c	CRITICAL_AUXILIARIES
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	2c968b1c-1bc9-4997-ae2d-bbb7af410a4e	LIGHTING
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	e296006d-638a-4f6f-8446-710f4bb4aa8e	CRITICAL_POWER_DISTRIBUTION
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	3d98e9fe-1949-43a6-a82d-4279a1dc0c4e	CRAH
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	4d8d4e37-92d8-4713-b353-bf6d92ff24bf	CRAC
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	bac46d1b-59f6-4df1-a361-c5edf34aba2e	CRAC_WITHOUT_FAN
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	7c14f7e2-340f-4ef5-b545-9f2ac738d672	CRAC_FAN
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	cce5dcb7-3807-4737-a1e2-014f9908b172	CHILLER
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	ec2dfea0-51cd-4b37-a093-cfcba00d6812	AIR_COOLED_CHILLER
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	b77cebf4-be4d-4151-90c4-7c98bdeadb2b	COOLING_TOWER
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	2b30afa0-3831-4c55-a81f-ed5e94a7bb96	DRY_COOLER
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	a4b9c157-13e4-46f0-a4aa-c52d8d41676e	REMOTE_CONDENSER
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	b4a89737-4c0d-4cc0-be2d-d8e80a2f69cc	CHILLED_WATER_PUMPS
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	a4af60be-81a5-48fe-a258-08354ebc5372	HEAT_REJECTION_PUMPS
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	a824a2e7-f20f-4a58-8151-135b92e4a03c	VENTILATION
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	2fe5a883-50af-4aec-a9b9-48e57bca1deb	INFILTRATION
2fcfa7c0-effe-4c50-b295-f80a5f0ebab8	93ff41e6-9058-405e-a2fb-112e88f9cdd9	IT_LOAD
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	1881aba8-a8a7-4ac1-a90e-d0c291869b7a	SWITCHGEAR
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	72e0466b-4162-4497-8b81-9db5e356e2b8	GENERATOR
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	0d68614d-545e-4da4-9ab1-906a1ebb85f3	PRIMARY_AUXILIARIES
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	d266f7aa-8741-46fa-8d8e-8c1978d8dfaf	UPS
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	6e2c46af-fed9-4f13-b545-9558fa709918	CRITICAL_AUXILIARIES
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	74de3d81-be7a-4eba-946c-5e2ec4f2dee8	LIGHTING
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	018fa62e-1528-4c39-8638-5816f3369fb9	CRITICAL_POWER_DISTRIBUTION
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	239eeed3-d6d7-470c-b3f2-ac56be74b7eb	CRAH
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	c1a38d47-3071-48ff-9ae2-a9c9532d42cd	CRAC
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	b9fb18f2-3d5a-4e44-90f5-507023799d9c	CRAC_WITHOUT_FAN
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	7127a9a7-f0af-44c1-8a3e-f320dbd17de7	CRAC_FAN
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	65091c8e-77a6-4151-a2a3-b114b0a4610c	CHILLER
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	6cec0b5d-7619-4274-93d6-eff2b138ef6e	AIR_COOLED_CHILLER
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	608ad078-2eea-4530-9fb1-a77b5a70cb7c	COOLING_TOWER
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	83513c86-9d61-43da-a410-0b716cca5168	DRY_COOLER
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	c7a70f5a-b9c7-4730-ba11-79fe713e88d9	REMOTE_CONDENSER
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	db16d6e6-a68b-460e-91ae-2f5d3cfa9024	CHILLED_WATER_PUMPS
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	b593ce63-eee3-408c-96bd-f97f61690143	HEAT_REJECTION_PUMPS
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	dd2708a7-2ec2-4674-ab6f-ca1c7ba4d551	VENTILATION
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	d13850af-c70f-467d-a57f-a7ab05c7a03a	INFILTRATION
606ad69f-7ed8-41e5-9f0b-945646b3f7a2	95fcab6b-4d40-4416-8447-c01204997995	IT_LOAD
cf8bdd00-2807-45d6-8136-e466bedb7c20	2d8ae996-feda-4d99-9794-7d78cea80f88	SWITCHGEAR
cf8bdd00-2807-45d6-8136-e466bedb7c20	bd7095ee-b2fe-4bfd-a813-84d7b905dc2a	GENERATOR
cf8bdd00-2807-45d6-8136-e466bedb7c20	c1c2a979-58a6-4f90-a379-bea8e46ed007	PRIMARY_AUXILIARIES
cf8bdd00-2807-45d6-8136-e466bedb7c20	f540f7dc-56b5-4e6b-991a-1537b0ccd41d	UPS
cf8bdd00-2807-45d6-8136-e466bedb7c20	34b9c040-80aa-4a88-8b64-6ef85a26af7c	CRITICAL_AUXILIARIES
cf8bdd00-2807-45d6-8136-e466bedb7c20	145fe4c2-5395-42db-9539-7f66ff730921	LIGHTING
cf8bdd00-2807-45d6-8136-e466bedb7c20	896f3731-cfcf-40af-81c3-13cfb97c61f8	CRITICAL_POWER_DISTRIBUTION
cf8bdd00-2807-45d6-8136-e466bedb7c20	4467cbc4-a00d-4245-99ac-350ad2dbe0e0	CRAH
cf8bdd00-2807-45d6-8136-e466bedb7c20	5fdc0226-c0b8-4c1b-ac66-8fe4fbe9cc26	CRAC
cf8bdd00-2807-45d6-8136-e466bedb7c20	6860e64b-c0b1-4361-bc29-e1e6288b4c3a	CRAC_WITHOUT_FAN
cf8bdd00-2807-45d6-8136-e466bedb7c20	005068ea-298f-417f-8a19-2db8cae61f14	CRAC_FAN
cf8bdd00-2807-45d6-8136-e466bedb7c20	b1c5de59-ec98-476f-9095-16c856c20aa1	CHILLER
cf8bdd00-2807-45d6-8136-e466bedb7c20	0dc4382d-0c75-4222-bab7-1964465527b2	AIR_COOLED_CHILLER
cf8bdd00-2807-45d6-8136-e466bedb7c20	e7608437-1368-4bbd-aa31-3c6172ed2f57	COOLING_TOWER
cf8bdd00-2807-45d6-8136-e466bedb7c20	0e315e2b-566a-47a7-972f-165a9ea30145	DRY_COOLER
cf8bdd00-2807-45d6-8136-e466bedb7c20	9a4f48f1-df90-46a3-8f9b-4bab735f69fa	REMOTE_CONDENSER
cf8bdd00-2807-45d6-8136-e466bedb7c20	79ad2550-6252-4e65-940a-62c6d5ef4eb7	CHILLED_WATER_PUMPS
cf8bdd00-2807-45d6-8136-e466bedb7c20	3dd12a25-6dec-42a6-a0e7-2e643a4c37b7	HEAT_REJECTION_PUMPS
cf8bdd00-2807-45d6-8136-e466bedb7c20	50dd469f-7904-45b7-932d-9c23f1bcef86	VENTILATION
cf8bdd00-2807-45d6-8136-e466bedb7c20	ee8137ad-f087-448e-96b4-d401943828c5	INFILTRATION
cf8bdd00-2807-45d6-8136-e466bedb7c20	2a3fa444-58af-45d1-a461-09f7a1a51c80	IT_LOAD
83ea82a2-7b48-417b-8c94-19935eb9306e	018cf218-d9cf-4fc3-b5e2-b925d986f6ad	SWITCHGEAR
83ea82a2-7b48-417b-8c94-19935eb9306e	26a375ad-4530-428e-a51a-7adbef0e9799	GENERATOR
83ea82a2-7b48-417b-8c94-19935eb9306e	85cfc2f8-b247-4ca2-b15f-1731d4b719f5	PRIMARY_AUXILIARIES
83ea82a2-7b48-417b-8c94-19935eb9306e	255e8993-344d-4e15-a467-a74fda1bd1cf	UPS
83ea82a2-7b48-417b-8c94-19935eb9306e	42542bd7-23e9-4f3b-8b3b-f0a683a43652	CRITICAL_AUXILIARIES
83ea82a2-7b48-417b-8c94-19935eb9306e	17ce2175-52bf-4a47-a632-4147132809ef	LIGHTING
83ea82a2-7b48-417b-8c94-19935eb9306e	db584740-4524-48e0-9350-742abf9541fe	CRITICAL_POWER_DISTRIBUTION
83ea82a2-7b48-417b-8c94-19935eb9306e	1c5e3cb2-0e7b-4a60-b3b5-fc61c6bf6a9d	CRAH
83ea82a2-7b48-417b-8c94-19935eb9306e	08c08d5f-6460-4bce-9f6a-65a36445e36d	CRAC
83ea82a2-7b48-417b-8c94-19935eb9306e	ba606d43-0af7-4e15-997f-7e7d776e8152	CRAC_WITHOUT_FAN
83ea82a2-7b48-417b-8c94-19935eb9306e	aa99099a-17fd-454f-80f7-1f8a7fb3c0b5	CRAC_FAN
83ea82a2-7b48-417b-8c94-19935eb9306e	aeb71504-2309-4164-bb6f-951e4679277c	CHILLER
83ea82a2-7b48-417b-8c94-19935eb9306e	1bd5f17b-e9de-4d64-aab9-3fa651a8f171	AIR_COOLED_CHILLER
83ea82a2-7b48-417b-8c94-19935eb9306e	dc48c33d-27f1-4d08-ad57-a62d03c27945	COOLING_TOWER
83ea82a2-7b48-417b-8c94-19935eb9306e	9996e46a-2714-4632-9cc1-32e31022ace4	DRY_COOLER
83ea82a2-7b48-417b-8c94-19935eb9306e	8b0d25d0-0aaf-44c5-a22f-afcc6f467e85	REMOTE_CONDENSER
83ea82a2-7b48-417b-8c94-19935eb9306e	4b59e9c8-79a1-462f-8d87-427f54ec92ce	CHILLED_WATER_PUMPS
83ea82a2-7b48-417b-8c94-19935eb9306e	4898b882-c97e-43b1-8e37-d673f796af0a	HEAT_REJECTION_PUMPS
83ea82a2-7b48-417b-8c94-19935eb9306e	c286bed4-2a62-4e7e-828c-799855daa7e8	VENTILATION
83ea82a2-7b48-417b-8c94-19935eb9306e	a00fb21d-49dd-4a7b-93ba-324740281132	INFILTRATION
83ea82a2-7b48-417b-8c94-19935eb9306e	0e214fe1-4bad-46a4-8ba8-f665a9373616	IT_LOAD
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	649ce936-8c9d-447c-bb0a-0f9bced9d032	SWITCHGEAR
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	9eda8d17-c0fb-402a-9067-0147adb13504	GENERATOR
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	15d2deab-b49a-494c-95e5-156601f6301a	PRIMARY_AUXILIARIES
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	ad0a0680-796d-47aa-b3a2-073cd0a2a84a	UPS
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	54ed5c17-0a16-4032-bfc5-5ac945f5efc1	CRITICAL_AUXILIARIES
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	8c43eda4-7da0-4f78-a2c1-857e3876bad1	LIGHTING
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	92db9376-4f40-418b-ac55-a7cd78808c7a	CRITICAL_POWER_DISTRIBUTION
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	dcbc3756-b1eb-4fcd-a6e7-824bea235805	CRAH
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	ae2f9e75-053c-4dd7-8586-71ff6330dcd5	CRAC
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	46ffc354-1281-4ddf-901a-6d54b25f4c5b	CRAC_WITHOUT_FAN
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	535d770a-8339-40f0-851b-e20a56eccf9a	CRAC_FAN
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	515ae1c2-5acb-489a-9d28-3f8d403b2d76	CHILLER
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	cd154ab5-8b6b-43f1-a0c4-453c8d61303a	AIR_COOLED_CHILLER
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	437f678a-89ff-4280-8a4e-32dbafd7b8bf	COOLING_TOWER
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	182f69d1-808d-4b1f-ba95-3970b37dacce	DRY_COOLER
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	2baaae6f-2d24-4b4d-b9e8-fd9551970531	REMOTE_CONDENSER
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	a7b66be4-9c3a-41d5-9a80-af570fd9943c	CHILLED_WATER_PUMPS
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	097b752b-73db-4124-ab88-fc9af3cc0993	HEAT_REJECTION_PUMPS
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	a52bf9ea-8704-4734-91a5-2f22a8477769	VENTILATION
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	0fe5ae65-985a-4a80-b1d5-4e34afa3959d	INFILTRATION
6ef4ea0c-3cd9-4cdc-ad32-0fbaa596f9d0	4946f4c4-d1cc-483d-89c4-7da7e61c7649	IT_LOAD
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	db0ac426-85b1-4cde-933d-5d22d29c2089	SWITCHGEAR
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	223fdf95-c201-4dd6-9f58-78bbc7fca7a0	GENERATOR
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	753c627d-8e87-49b0-9751-83893b2e9f87	PRIMARY_AUXILIARIES
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	c0011212-9b98-42b3-b2a9-a238af9a40a8	UPS
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	021216a8-dc29-4ff5-9e6f-09c176138838	CRITICAL_AUXILIARIES
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	597b609c-8983-4856-94cf-2f344a9e2c9e	LIGHTING
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	0fb4b16f-de25-4bbd-9140-834ace0ca9b8	CRITICAL_POWER_DISTRIBUTION
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	cf0045a1-1e8d-416d-858e-77c27162f7fe	CRAH
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	477e26fc-00c0-488c-92d2-ea84bef24a16	CRAC
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	80c317b0-009d-40cc-abe4-521d7cdf7a19	CRAC_WITHOUT_FAN
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	32dac01b-a1eb-42da-bf00-1beec130d9d3	CRAC_FAN
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	9d338a68-5400-4db2-bd05-f21a3a2a95f8	CHILLER
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	438f58dc-743a-4d74-8baf-dad5ae6abbf9	AIR_COOLED_CHILLER
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	ce32143b-0c78-43c5-afd6-9cd167d650ac	COOLING_TOWER
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	a6c55720-cb5e-4734-8a3d-8cdcea29d680	DRY_COOLER
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	92ea9cd9-c194-4c7d-8063-4aa6e9ceee73	REMOTE_CONDENSER
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	0a65b24b-d0c3-4311-a800-03b986f940a3	CHILLED_WATER_PUMPS
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	aa9937cd-89ee-47dc-9613-3bf1486267d3	HEAT_REJECTION_PUMPS
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	dc3d2b92-4fee-4a03-844c-ca980a5640dc	VENTILATION
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	4ac536d9-2dc6-412e-be6a-8f944bf7550b	INFILTRATION
04bdcf4b-1e0c-4158-bc66-63f8e001b03a	3154fb0d-0e97-41ab-97db-3788e756a661	IT_LOAD
a52ae403-a05f-42cc-9901-68f672965bb7	fa47f920-a9d2-48e0-8954-32dca2071d26	SWITCHGEAR
a52ae403-a05f-42cc-9901-68f672965bb7	c8664972-7c83-468d-8a27-9fb20bc350c5	GENERATOR
a52ae403-a05f-42cc-9901-68f672965bb7	69fd2cec-6042-4ca0-aea6-cb8d8d665767	PRIMARY_AUXILIARIES
a52ae403-a05f-42cc-9901-68f672965bb7	e5c56f65-5817-4f56-8708-77c533d120cc	UPS
a52ae403-a05f-42cc-9901-68f672965bb7	ed951e16-751f-44a8-8eb9-5f78020377b1	CRITICAL_AUXILIARIES
a52ae403-a05f-42cc-9901-68f672965bb7	c4b34f4c-7f32-4470-871f-e06ea98e09f7	LIGHTING
a52ae403-a05f-42cc-9901-68f672965bb7	53591da4-4edd-44a0-b90a-87043d8afae9	CRITICAL_POWER_DISTRIBUTION
a52ae403-a05f-42cc-9901-68f672965bb7	6bd5cb99-c301-45e2-a3bc-e8b914275365	CRAH
a52ae403-a05f-42cc-9901-68f672965bb7	a6598193-4783-4146-a81b-f7c1340d7989	CRAC
a52ae403-a05f-42cc-9901-68f672965bb7	b571d4c3-3281-4e3b-9226-34603d17e488	CRAC_WITHOUT_FAN
a52ae403-a05f-42cc-9901-68f672965bb7	ae80d0dc-915e-4497-95fa-978c89e65965	CRAC_FAN
a52ae403-a05f-42cc-9901-68f672965bb7	946674f8-3778-48df-9fa4-5cec5d6665fe	CHILLER
a52ae403-a05f-42cc-9901-68f672965bb7	526d2ca8-eb84-4c7e-b137-697214eceb42	AIR_COOLED_CHILLER
a52ae403-a05f-42cc-9901-68f672965bb7	b22ddd8e-f4ae-49c8-a329-0a3add76ee6d	COOLING_TOWER
a52ae403-a05f-42cc-9901-68f672965bb7	e65576e5-c409-49b1-b838-a0ae8b45f850	DRY_COOLER
a52ae403-a05f-42cc-9901-68f672965bb7	27551a9b-d32a-4411-8892-d4133ac86cb8	REMOTE_CONDENSER
a52ae403-a05f-42cc-9901-68f672965bb7	a0a61ac3-7fc3-4c0e-abb6-92bffd6c8295	CHILLED_WATER_PUMPS
a52ae403-a05f-42cc-9901-68f672965bb7	8cddc4ce-0fd3-4ddf-9497-fc6171b46572	HEAT_REJECTION_PUMPS
a52ae403-a05f-42cc-9901-68f672965bb7	3578a25b-8924-4564-913b-6035c7183210	VENTILATION
a52ae403-a05f-42cc-9901-68f672965bb7	34f2264b-3c9b-47a9-ae90-c996dd5ed6a9	INFILTRATION
a52ae403-a05f-42cc-9901-68f672965bb7	98ed6c42-d1b2-4db8-b6e1-c81b6780833f	IT_LOAD
89a2a810-9bac-40bc-ad2e-286fa360db96	f41c4302-68f0-4560-9dac-333ca4ce4ba2	SWITCHGEAR
89a2a810-9bac-40bc-ad2e-286fa360db96	f63b3ba2-f50e-4b35-8ae5-7c328890710a	GENERATOR
89a2a810-9bac-40bc-ad2e-286fa360db96	621d6c1a-172b-4962-bf38-d2ea12b5107c	PRIMARY_AUXILIARIES
89a2a810-9bac-40bc-ad2e-286fa360db96	04731015-5133-4926-a561-5450d021683d	UPS
89a2a810-9bac-40bc-ad2e-286fa360db96	b37df973-ab6f-426c-967d-d0fdaa806d6a	CRITICAL_AUXILIARIES
89a2a810-9bac-40bc-ad2e-286fa360db96	c14ca5d6-3bdc-4081-ae5c-8cfe0091d6b0	LIGHTING
89a2a810-9bac-40bc-ad2e-286fa360db96	59ef4d84-2847-45d7-b6e9-0084181410d1	CRITICAL_POWER_DISTRIBUTION
89a2a810-9bac-40bc-ad2e-286fa360db96	4d2e58a5-67c0-4d3d-848a-3c203b88e3c0	CRAH
89a2a810-9bac-40bc-ad2e-286fa360db96	52e68698-05ce-4d31-a5c6-4e8d4064e41d	CRAC
89a2a810-9bac-40bc-ad2e-286fa360db96	14342afe-7ed0-4618-8caa-4a8643c88cc9	CRAC_WITHOUT_FAN
89a2a810-9bac-40bc-ad2e-286fa360db96	0d760225-085b-4dba-ab9d-3b799b75b1d5	CRAC_FAN
89a2a810-9bac-40bc-ad2e-286fa360db96	b28a3bd2-d0f8-4609-8a1d-7a001085d451	CHILLER
89a2a810-9bac-40bc-ad2e-286fa360db96	e420e256-97b2-446a-a66c-5a9807b9ac3e	AIR_COOLED_CHILLER
89a2a810-9bac-40bc-ad2e-286fa360db96	7027fcf0-f430-46ea-91c8-2b74d46efefc	COOLING_TOWER
89a2a810-9bac-40bc-ad2e-286fa360db96	24de5fe1-3623-4af7-8440-d72bf37ac138	DRY_COOLER
89a2a810-9bac-40bc-ad2e-286fa360db96	fa80db15-e7be-4c9b-907b-660b67d20346	REMOTE_CONDENSER
89a2a810-9bac-40bc-ad2e-286fa360db96	60ea0f3c-bcab-42b3-bea7-57ed1cfc619e	CHILLED_WATER_PUMPS
89a2a810-9bac-40bc-ad2e-286fa360db96	14816415-6df8-468f-b3f2-15f222d42a9c	HEAT_REJECTION_PUMPS
89a2a810-9bac-40bc-ad2e-286fa360db96	895b82e5-60d0-4446-8339-987f953c6484	VENTILATION
89a2a810-9bac-40bc-ad2e-286fa360db96	ee2735ae-728b-4c79-a58a-5175aa1d48c4	INFILTRATION
89a2a810-9bac-40bc-ad2e-286fa360db96	3b53c8d2-03d3-496c-8cdd-2de0ec793feb	IT_LOAD
fc38ada2-cc30-4539-bbdb-c9e656761ca3	43b59634-35be-4da5-9acf-6f6e24ece688	SWITCHGEAR
fc38ada2-cc30-4539-bbdb-c9e656761ca3	8a94666e-7b98-4628-af6d-e48684b702d6	GENERATOR
fc38ada2-cc30-4539-bbdb-c9e656761ca3	5c50c0b5-332f-4bb5-8cf9-66ab89e1b82f	PRIMARY_AUXILIARIES
fc38ada2-cc30-4539-bbdb-c9e656761ca3	3aa8e1cf-0fcc-4cb7-8267-a3c180cf1fcd	UPS
fc38ada2-cc30-4539-bbdb-c9e656761ca3	6ab49b62-dc65-41e0-abd2-170ef749a6dd	CRITICAL_AUXILIARIES
fc38ada2-cc30-4539-bbdb-c9e656761ca3	f97a3f4b-8589-4a22-b494-113bee84ef3d	LIGHTING
fc38ada2-cc30-4539-bbdb-c9e656761ca3	78f7f462-72c5-4c4f-aad8-4b9fa1e3a8e3	CRITICAL_POWER_DISTRIBUTION
fc38ada2-cc30-4539-bbdb-c9e656761ca3	569e08f8-a69d-4827-859d-77b2bfe44add	CRAH
fc38ada2-cc30-4539-bbdb-c9e656761ca3	b7400e5a-b687-43ac-9dce-0e5d2d5a49e9	CRAC
fc38ada2-cc30-4539-bbdb-c9e656761ca3	28877953-a1f4-45f0-8e47-9fc89ddb2295	CRAC_WITHOUT_FAN
fc38ada2-cc30-4539-bbdb-c9e656761ca3	b2920dfa-90ae-42ac-b52a-610552124128	CRAC_FAN
fc38ada2-cc30-4539-bbdb-c9e656761ca3	846aae91-198e-4ba2-99f3-5d4dc2debd91	CHILLER
fc38ada2-cc30-4539-bbdb-c9e656761ca3	aec95e7f-7bba-43a4-95d3-46dd1d19dd98	AIR_COOLED_CHILLER
fc38ada2-cc30-4539-bbdb-c9e656761ca3	c798979c-b722-4ff6-9fef-5958b114855a	COOLING_TOWER
fc38ada2-cc30-4539-bbdb-c9e656761ca3	e02b6746-5424-4339-b436-47689dc990e4	DRY_COOLER
fc38ada2-cc30-4539-bbdb-c9e656761ca3	79e764fe-6db8-42ee-baf7-fb81a4913ec2	REMOTE_CONDENSER
fc38ada2-cc30-4539-bbdb-c9e656761ca3	a60c5387-701a-4c7b-b636-8d63dddb8002	CHILLED_WATER_PUMPS
fc38ada2-cc30-4539-bbdb-c9e656761ca3	2535398f-7ed3-46dd-aaef-c579bbbf4a55	HEAT_REJECTION_PUMPS
fc38ada2-cc30-4539-bbdb-c9e656761ca3	494a2988-3f29-47d8-9ed2-772d8e3567ce	VENTILATION
fc38ada2-cc30-4539-bbdb-c9e656761ca3	c6a8bce6-cc3c-4976-be77-2c05490c68e5	INFILTRATION
fc38ada2-cc30-4539-bbdb-c9e656761ca3	0bd33759-e1b4-4e95-bc78-0d6e117d8f47	IT_LOAD
10ac455e-d96a-489d-afc0-1712be5ad85c	d0f24ef1-7cb9-4905-adc0-0ed99bc8ccdd	SWITCHGEAR
10ac455e-d96a-489d-afc0-1712be5ad85c	936e0fa0-1e2e-46fe-9606-b420e39b61ab	GENERATOR
10ac455e-d96a-489d-afc0-1712be5ad85c	1e3e7f75-33fa-4a2c-8ad8-f38f050afa39	PRIMARY_AUXILIARIES
10ac455e-d96a-489d-afc0-1712be5ad85c	761cc18f-d674-474f-bc07-a958102abe4f	UPS
10ac455e-d96a-489d-afc0-1712be5ad85c	88690c81-1976-4938-b5b4-226e497e61a8	CRITICAL_AUXILIARIES
10ac455e-d96a-489d-afc0-1712be5ad85c	8fe0b3ac-6e7f-4f78-a895-c073f15c9e27	LIGHTING
10ac455e-d96a-489d-afc0-1712be5ad85c	9b8c4f07-237d-4840-afa9-878d49c0121f	CRITICAL_POWER_DISTRIBUTION
10ac455e-d96a-489d-afc0-1712be5ad85c	5fbd0955-a715-4370-afb6-fc0a0b33c41c	CRAH
10ac455e-d96a-489d-afc0-1712be5ad85c	61270303-5dc5-43ea-9257-d2ba9b1b7c1e	CRAC
10ac455e-d96a-489d-afc0-1712be5ad85c	7b7f03cb-abf8-4ee4-a5e2-6efa5275172c	CRAC_WITHOUT_FAN
10ac455e-d96a-489d-afc0-1712be5ad85c	50c442d1-b85d-40bd-a6bc-1f5cdf141f32	CRAC_FAN
10ac455e-d96a-489d-afc0-1712be5ad85c	ee5609c8-1901-40df-9c0e-b8deb687093b	CHILLER
10ac455e-d96a-489d-afc0-1712be5ad85c	18a60c57-1731-48a5-9567-c22924f6f9e0	AIR_COOLED_CHILLER
10ac455e-d96a-489d-afc0-1712be5ad85c	115627f7-de97-4918-a6ed-51a1a0f8e382	COOLING_TOWER
10ac455e-d96a-489d-afc0-1712be5ad85c	83463e82-68e9-4dfa-b440-32a72af935cb	DRY_COOLER
10ac455e-d96a-489d-afc0-1712be5ad85c	18a054e2-dbf2-4839-8b1a-4fb09d3d5e5c	REMOTE_CONDENSER
10ac455e-d96a-489d-afc0-1712be5ad85c	7d1fae21-2188-4423-abf6-86d9a2253a3f	CHILLED_WATER_PUMPS
10ac455e-d96a-489d-afc0-1712be5ad85c	e613a41a-8475-48ec-8e75-48f58c0454e8	HEAT_REJECTION_PUMPS
10ac455e-d96a-489d-afc0-1712be5ad85c	8a070777-2b2b-4992-be41-5d2f3f6423ec	VENTILATION
10ac455e-d96a-489d-afc0-1712be5ad85c	4f7a8148-7d99-46c0-b0e1-8fe05fc461ea	INFILTRATION
10ac455e-d96a-489d-afc0-1712be5ad85c	6328b9db-7cc1-4ec7-87f8-4e6dbe3d40bd	IT_LOAD
c8348698-019a-4acf-949b-964ab939c9ba	72f1eba9-6876-4002-887c-62f30a35e042	SWITCHGEAR
c8348698-019a-4acf-949b-964ab939c9ba	923f106b-7dbc-4326-83af-bc2ee27dd11b	GENERATOR
c8348698-019a-4acf-949b-964ab939c9ba	a3b06bb1-c80a-496f-968e-715a2ad187e3	PRIMARY_AUXILIARIES
c8348698-019a-4acf-949b-964ab939c9ba	5fcd2106-e95d-44b2-b06b-e849bde409f6	UPS
c8348698-019a-4acf-949b-964ab939c9ba	b2823eb7-9233-42e6-9296-54d8de7f2d56	CRITICAL_AUXILIARIES
c8348698-019a-4acf-949b-964ab939c9ba	82236a4a-9edc-4156-953f-05e1de91d6fc	LIGHTING
c8348698-019a-4acf-949b-964ab939c9ba	ec68d7ac-18b1-4db2-b27c-4f7472c3bc05	CRITICAL_POWER_DISTRIBUTION
c8348698-019a-4acf-949b-964ab939c9ba	6b7ba054-5def-4f7b-8a10-4a5289a74b25	CRAH
c8348698-019a-4acf-949b-964ab939c9ba	788144c6-de2e-4c05-9d4d-17023c27312b	CRAC
c8348698-019a-4acf-949b-964ab939c9ba	41138e66-2c51-40b2-85d2-121b1e2070a6	CRAC_WITHOUT_FAN
c8348698-019a-4acf-949b-964ab939c9ba	4286825e-3ff5-4fcd-b25b-8309f0a4b48c	CRAC_FAN
c8348698-019a-4acf-949b-964ab939c9ba	3491120e-c61e-46f6-9124-8dfbb5ee265f	CHILLER
c8348698-019a-4acf-949b-964ab939c9ba	ec68c415-976e-47c8-a0ac-0947b9af06c2	AIR_COOLED_CHILLER
c8348698-019a-4acf-949b-964ab939c9ba	e72f4bdc-9a8e-4744-879f-82a9cf8e633b	COOLING_TOWER
c8348698-019a-4acf-949b-964ab939c9ba	8517b07f-67a4-440f-af45-04272e4cf2a0	DRY_COOLER
c8348698-019a-4acf-949b-964ab939c9ba	3c50ec11-85ae-485d-9fa2-31a75efcb475	REMOTE_CONDENSER
c8348698-019a-4acf-949b-964ab939c9ba	481557ec-f837-4909-8e6e-3036365aa04b	CHILLED_WATER_PUMPS
c8348698-019a-4acf-949b-964ab939c9ba	7e2a2bb9-7dc1-48a2-bf7f-743e1b93a3f9	HEAT_REJECTION_PUMPS
c8348698-019a-4acf-949b-964ab939c9ba	e26c9cba-eccd-4948-b0dc-8cb0adf36876	VENTILATION
c8348698-019a-4acf-949b-964ab939c9ba	671ccb84-b66b-4da8-9db7-0bae6a5eefb7	INFILTRATION
c8348698-019a-4acf-949b-964ab939c9ba	2455d613-0dca-40af-a474-6c91aeea44aa	IT_LOAD
48506785-1d62-4db9-bda1-8dd2127e61b2	15ed9da0-d17e-468d-90ec-d035cb442207	SWITCHGEAR
48506785-1d62-4db9-bda1-8dd2127e61b2	f4bec54c-c50a-44d1-9f26-89758aaac540	GENERATOR
48506785-1d62-4db9-bda1-8dd2127e61b2	992928e5-9078-4cd9-8648-2108b44f2310	PRIMARY_AUXILIARIES
48506785-1d62-4db9-bda1-8dd2127e61b2	5503241a-68b4-45c6-9d23-87bcfae893da	UPS
48506785-1d62-4db9-bda1-8dd2127e61b2	4ed8c38d-29d9-4496-af8f-5a33bb4cf026	CRITICAL_AUXILIARIES
48506785-1d62-4db9-bda1-8dd2127e61b2	fd24cd76-8821-4080-ac97-8a6f2780282f	LIGHTING
48506785-1d62-4db9-bda1-8dd2127e61b2	31c3b401-7098-4fba-83fb-da41e0d2c052	CRITICAL_POWER_DISTRIBUTION
48506785-1d62-4db9-bda1-8dd2127e61b2	6ce00996-94d0-4824-a411-74f0e59c2b72	CRAH
48506785-1d62-4db9-bda1-8dd2127e61b2	d3559744-8bef-4fc3-baf3-81fc6b2ef647	CRAC
48506785-1d62-4db9-bda1-8dd2127e61b2	c527e035-dc71-4856-94bc-3ea733b170db	CRAC_WITHOUT_FAN
48506785-1d62-4db9-bda1-8dd2127e61b2	2955215d-4bbc-4f4c-b32f-e2f8f89d8a56	CRAC_FAN
48506785-1d62-4db9-bda1-8dd2127e61b2	cc6eafa5-2eed-4fc3-98c2-dc07feae88ac	CHILLER
48506785-1d62-4db9-bda1-8dd2127e61b2	540d43b0-c2c4-43c8-a7e1-12218aa0dbb7	AIR_COOLED_CHILLER
48506785-1d62-4db9-bda1-8dd2127e61b2	ea0dcb6d-429d-4935-935d-c94d7633fd99	COOLING_TOWER
48506785-1d62-4db9-bda1-8dd2127e61b2	f2c5a403-f18f-43a4-8fe8-8bd09a447efb	DRY_COOLER
48506785-1d62-4db9-bda1-8dd2127e61b2	bb8b610c-85ed-4d94-98cd-5ea873609050	REMOTE_CONDENSER
48506785-1d62-4db9-bda1-8dd2127e61b2	ab88f567-d9d6-4680-ae73-a3a0cc3b5327	CHILLED_WATER_PUMPS
48506785-1d62-4db9-bda1-8dd2127e61b2	d6891dc8-6a01-452d-b504-9f65f1f1a12d	HEAT_REJECTION_PUMPS
48506785-1d62-4db9-bda1-8dd2127e61b2	9a9c0e59-7535-4330-a6e4-869eb1492747	VENTILATION
48506785-1d62-4db9-bda1-8dd2127e61b2	7d71f3ec-4602-4ac3-b465-90873ed062e7	INFILTRATION
48506785-1d62-4db9-bda1-8dd2127e61b2	c2661b04-2297-45ee-af6a-cac22ea98ad3	IT_LOAD
822b9177-016d-41c8-9567-ce349cd45bdc	caf21e92-d2dd-4629-af64-08cbcae51b79	SWITCHGEAR
822b9177-016d-41c8-9567-ce349cd45bdc	d40ed395-e3c8-4169-a5c9-a0617b812185	GENERATOR
822b9177-016d-41c8-9567-ce349cd45bdc	a58cae23-1217-4589-8acb-672953e58d0b	PRIMARY_AUXILIARIES
822b9177-016d-41c8-9567-ce349cd45bdc	91612bc2-7d58-4f0f-90b8-081ca12a52e0	UPS
822b9177-016d-41c8-9567-ce349cd45bdc	e819f50c-e564-4ea7-a5c0-0e3d9abc629a	CRITICAL_AUXILIARIES
822b9177-016d-41c8-9567-ce349cd45bdc	62e226e0-1256-4fbd-835c-43d12207472a	LIGHTING
822b9177-016d-41c8-9567-ce349cd45bdc	8bdfe26e-0692-41a5-8b1d-c9a373e17644	CRITICAL_POWER_DISTRIBUTION
822b9177-016d-41c8-9567-ce349cd45bdc	1d8537ea-9bc8-4258-9784-5fe529382b84	CRAH
822b9177-016d-41c8-9567-ce349cd45bdc	11dc0bda-f1e9-434d-b3ae-dd24097df785	CRAC
822b9177-016d-41c8-9567-ce349cd45bdc	946dbee0-2af7-4d11-9ac6-4fa8c847b890	CRAC_WITHOUT_FAN
822b9177-016d-41c8-9567-ce349cd45bdc	d84f85a2-6247-4ad0-bd5f-59ed2ebe8510	CRAC_FAN
822b9177-016d-41c8-9567-ce349cd45bdc	1e30c049-dedb-40d2-b074-a3684c4aa970	CHILLER
822b9177-016d-41c8-9567-ce349cd45bdc	c502e93e-8e51-4758-a0b3-ce7c4fcdb63e	AIR_COOLED_CHILLER
822b9177-016d-41c8-9567-ce349cd45bdc	be390d99-74da-40bf-b049-19bc46d79fb2	COOLING_TOWER
822b9177-016d-41c8-9567-ce349cd45bdc	8c0b7614-3d64-4fea-895e-22a13784208e	DRY_COOLER
822b9177-016d-41c8-9567-ce349cd45bdc	b09eff22-97c0-4503-b680-4528488225f0	REMOTE_CONDENSER
822b9177-016d-41c8-9567-ce349cd45bdc	01eb67dd-554b-47a0-b6e3-265914123281	CHILLED_WATER_PUMPS
822b9177-016d-41c8-9567-ce349cd45bdc	a5ec2f31-4a04-4e38-8c5f-efecf4d83b46	HEAT_REJECTION_PUMPS
822b9177-016d-41c8-9567-ce349cd45bdc	0779094a-d57d-4e7a-a17e-6716f560e918	VENTILATION
822b9177-016d-41c8-9567-ce349cd45bdc	6585715f-00df-48e5-ad6f-9aecfa773426	INFILTRATION
822b9177-016d-41c8-9567-ce349cd45bdc	01c8eb1e-92bb-40a2-9f98-66d71dff53c8	IT_LOAD
adb58405-7803-4117-a471-4b3dce6697f4	afcd61b6-3d59-4d55-9dc6-6eacef07a259	SWITCHGEAR
adb58405-7803-4117-a471-4b3dce6697f4	1402f85a-fe17-4bd2-9963-622c57ac6c52	GENERATOR
adb58405-7803-4117-a471-4b3dce6697f4	1fe89137-8617-40b0-b2fc-ab6272c79db2	PRIMARY_AUXILIARIES
adb58405-7803-4117-a471-4b3dce6697f4	95eb4a2c-ee3d-4778-ae28-00cb90b58762	UPS
adb58405-7803-4117-a471-4b3dce6697f4	66923946-7101-4f5b-9cba-c36705a19846	CRITICAL_AUXILIARIES
adb58405-7803-4117-a471-4b3dce6697f4	ff1e6105-54c6-4bfe-8541-d1594bc429d1	LIGHTING
adb58405-7803-4117-a471-4b3dce6697f4	852e099a-5fd9-4852-a60d-83a1156e3ca5	CRITICAL_POWER_DISTRIBUTION
adb58405-7803-4117-a471-4b3dce6697f4	fbd5f401-bbaa-4734-9730-de4e78416423	CRAH
adb58405-7803-4117-a471-4b3dce6697f4	590f0f31-9b6e-4456-b626-668c6c58d2d8	CRAC
adb58405-7803-4117-a471-4b3dce6697f4	48ca1b62-8540-4fc3-8dbc-d7116eedd144	CRAC_WITHOUT_FAN
adb58405-7803-4117-a471-4b3dce6697f4	62003915-0a58-4211-8dae-e3e6bb93689f	CRAC_FAN
adb58405-7803-4117-a471-4b3dce6697f4	c33abe0b-3191-443c-81a3-98c689920049	CHILLER
adb58405-7803-4117-a471-4b3dce6697f4	ee8f4462-644a-491e-883d-644c299f9ff7	AIR_COOLED_CHILLER
adb58405-7803-4117-a471-4b3dce6697f4	6accf4a2-cc94-4c09-bb29-02c9fb9f04db	COOLING_TOWER
adb58405-7803-4117-a471-4b3dce6697f4	682c379e-1ea6-44fa-992a-fb5f9705bed5	DRY_COOLER
adb58405-7803-4117-a471-4b3dce6697f4	198028dd-b4ce-40ef-8493-6036775ef522	REMOTE_CONDENSER
adb58405-7803-4117-a471-4b3dce6697f4	54e23b39-8d67-4a50-8283-87d0b018370d	CHILLED_WATER_PUMPS
adb58405-7803-4117-a471-4b3dce6697f4	b4bbffdc-decf-493b-b32e-556c2898bdb5	HEAT_REJECTION_PUMPS
adb58405-7803-4117-a471-4b3dce6697f4	efc47ad8-b07a-4f75-ba45-678f9eacfaa6	VENTILATION
adb58405-7803-4117-a471-4b3dce6697f4	a73bd3a9-ddb9-47d2-ba1a-0cc288b83906	INFILTRATION
adb58405-7803-4117-a471-4b3dce6697f4	a283cd7b-f01b-4830-8353-f87ae79eaf8d	IT_LOAD
e7de96c7-3cbe-4004-9af4-816f46bbd623	c68de0db-d331-4793-9d40-9382b506634a	SWITCHGEAR
e7de96c7-3cbe-4004-9af4-816f46bbd623	fa91e519-2c4e-43ae-800c-2ff86278f98e	GENERATOR
e7de96c7-3cbe-4004-9af4-816f46bbd623	9a138ee3-564e-42ed-b4e7-05ffde1c9046	PRIMARY_AUXILIARIES
e7de96c7-3cbe-4004-9af4-816f46bbd623	dd761b0e-6c13-4605-ae8f-8f19ba314669	UPS
e7de96c7-3cbe-4004-9af4-816f46bbd623	a069849a-a243-4f13-b11c-afc4a68acedf	CRITICAL_AUXILIARIES
e7de96c7-3cbe-4004-9af4-816f46bbd623	0018865f-788b-4095-bcfd-4e186d4a786a	LIGHTING
e7de96c7-3cbe-4004-9af4-816f46bbd623	53f49cbb-7daa-4dd8-8952-e083bca1a5f8	CRITICAL_POWER_DISTRIBUTION
e7de96c7-3cbe-4004-9af4-816f46bbd623	91410860-24be-4409-8841-cd7dc7ebb26e	CRAH
e7de96c7-3cbe-4004-9af4-816f46bbd623	a4069f50-e41a-4cbe-9649-2d28398dd9e0	CRAC
e7de96c7-3cbe-4004-9af4-816f46bbd623	4c6c7147-fdc1-4b33-bd11-02dc28c078ef	CRAC_WITHOUT_FAN
e7de96c7-3cbe-4004-9af4-816f46bbd623	6680d460-55ed-4c6b-8d69-190645e67fad	CRAC_FAN
e7de96c7-3cbe-4004-9af4-816f46bbd623	9b94430c-c98f-435c-b5a9-4055c8e891fa	CHILLER
e7de96c7-3cbe-4004-9af4-816f46bbd623	849c9eb4-b794-4691-b984-326e01a477e3	AIR_COOLED_CHILLER
e7de96c7-3cbe-4004-9af4-816f46bbd623	44d5bc6e-1028-4c5f-bb68-5e6079aed698	COOLING_TOWER
e7de96c7-3cbe-4004-9af4-816f46bbd623	3c0d00c2-c549-467d-851e-4e081f655f2a	DRY_COOLER
e7de96c7-3cbe-4004-9af4-816f46bbd623	d1b8c5ab-1d9b-4428-a636-81d80a0aac08	REMOTE_CONDENSER
e7de96c7-3cbe-4004-9af4-816f46bbd623	eab75fcd-33c9-493d-8b00-034b5f80f8a2	CHILLED_WATER_PUMPS
e7de96c7-3cbe-4004-9af4-816f46bbd623	f94d9c65-9a6e-4d98-a6ac-17f17bf89ee7	HEAT_REJECTION_PUMPS
e7de96c7-3cbe-4004-9af4-816f46bbd623	337f143f-22fb-42fe-b2e0-aa687397f7ad	VENTILATION
e7de96c7-3cbe-4004-9af4-816f46bbd623	2b30386c-0456-4892-adda-5784727e19b9	INFILTRATION
e7de96c7-3cbe-4004-9af4-816f46bbd623	e60d4c55-4343-4422-b323-1b63d59d96a9	IT_LOAD
76bc9291-20a1-4eba-9e73-8144588ce29e	a80476b6-05bd-4f04-b355-3e8bd9e453a9	SWITCHGEAR
76bc9291-20a1-4eba-9e73-8144588ce29e	ad98a3ff-688f-4b87-bd50-282fa134889f	GENERATOR
76bc9291-20a1-4eba-9e73-8144588ce29e	eb6e37d1-a5f1-4c56-8537-01dc37ff07be	PRIMARY_AUXILIARIES
76bc9291-20a1-4eba-9e73-8144588ce29e	ef077cb3-96ea-4e9f-a1c6-043041391e35	UPS
76bc9291-20a1-4eba-9e73-8144588ce29e	1e5a9158-4db8-4554-aba4-8f588ab52394	CRITICAL_AUXILIARIES
76bc9291-20a1-4eba-9e73-8144588ce29e	04646f0b-d225-4949-9079-15fe0c4c4539	LIGHTING
76bc9291-20a1-4eba-9e73-8144588ce29e	fa93bdbb-68ee-47fa-a68f-ef7aff9cb60f	CRITICAL_POWER_DISTRIBUTION
76bc9291-20a1-4eba-9e73-8144588ce29e	d1bdb0ea-c9dd-4034-83bd-6921e90a65cc	CRAH
76bc9291-20a1-4eba-9e73-8144588ce29e	156dbaf0-7537-45c7-b53a-ece088538330	CRAC
76bc9291-20a1-4eba-9e73-8144588ce29e	61397601-068e-49b5-bc8f-1ef35d19c771	CRAC_WITHOUT_FAN
76bc9291-20a1-4eba-9e73-8144588ce29e	295e6892-34ce-48f1-b80e-976c267691f9	CRAC_FAN
76bc9291-20a1-4eba-9e73-8144588ce29e	1e32c087-0959-41d1-8733-adaf3f2853c7	CHILLER
76bc9291-20a1-4eba-9e73-8144588ce29e	74425ad0-e863-491c-b898-9d34c7667293	AIR_COOLED_CHILLER
76bc9291-20a1-4eba-9e73-8144588ce29e	c7c60f78-5584-4ce8-995a-c9d6fff899bb	COOLING_TOWER
76bc9291-20a1-4eba-9e73-8144588ce29e	1fdf6317-8752-4692-b0ab-d4b65a290863	DRY_COOLER
76bc9291-20a1-4eba-9e73-8144588ce29e	035b90d6-5cd8-4470-8036-7d52ab4fb807	REMOTE_CONDENSER
76bc9291-20a1-4eba-9e73-8144588ce29e	7074165d-e553-4dc3-b962-f190be7666b0	CHILLED_WATER_PUMPS
76bc9291-20a1-4eba-9e73-8144588ce29e	d71500c0-54fb-4602-b1dd-1c5124786e31	HEAT_REJECTION_PUMPS
76bc9291-20a1-4eba-9e73-8144588ce29e	280196ec-b0b1-4298-9f32-cdcef420de95	VENTILATION
76bc9291-20a1-4eba-9e73-8144588ce29e	b31d4cc2-746d-4d39-ac1a-bca570e9c56d	INFILTRATION
76bc9291-20a1-4eba-9e73-8144588ce29e	48d2099c-2c12-49ff-bda4-550e6ea3996b	IT_LOAD
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	746c92fc-c9b4-4d04-bec7-bbdae96e0c36	SWITCHGEAR
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	3ab907aa-6cf1-4f9e-aade-f3d93f695268	GENERATOR
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	870b824f-bac1-45d0-b00f-862c8ca61e0d	PRIMARY_AUXILIARIES
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	414e0f8a-8132-444c-8a3e-23110da12841	UPS
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	0adcce28-e0f7-4117-bb4c-dcf028b4ad5e	CRITICAL_AUXILIARIES
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	87ce8a3e-5685-4c39-ad4f-58455357013a	LIGHTING
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	16f616f9-c443-49c8-9a2f-a8496e90bba5	CRITICAL_POWER_DISTRIBUTION
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	26ab92f7-c023-4913-8657-008729c855be	CRAH
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	376f5954-4d7d-4684-9e6b-a53d4efc173e	CRAC
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	6ca0456b-3349-4416-9a61-95435bc21000	CRAC_WITHOUT_FAN
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	b50286de-3e58-4f81-b644-42bd97fb7630	CRAC_FAN
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	5fb98090-20cc-40fb-a730-20e43ef20fb0	CHILLER
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	70a4a364-17e3-465a-97bf-4772b0b7ba1f	AIR_COOLED_CHILLER
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	352b2377-8498-47f5-afc1-f195a145d577	COOLING_TOWER
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	49265a02-33f1-4976-9fa6-258d2d4307a8	DRY_COOLER
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	fa7331ad-d7cf-436d-9903-a358dab35297	REMOTE_CONDENSER
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	cc79b308-9fe5-48ba-8291-41759e02fc10	CHILLED_WATER_PUMPS
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	06822a38-f879-4af6-acf2-fa4855874fd1	HEAT_REJECTION_PUMPS
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	ff3b26d9-9fa2-4d87-baea-eff9778b33af	VENTILATION
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	79ee89a3-7dce-4c02-9738-070655a43d90	INFILTRATION
6eb97207-c7de-49f6-9c1f-d1ad2d199c22	d3a735ba-0389-4591-8088-4f0c1cd7ce41	IT_LOAD
a1a928c0-9b57-4d92-924f-98cd4985cd9b	b236b594-e3da-43b6-8be1-c58b171305bd	SWITCHGEAR
a1a928c0-9b57-4d92-924f-98cd4985cd9b	8830b512-f8b2-4a6f-b893-1b13eb80a19f	GENERATOR
a1a928c0-9b57-4d92-924f-98cd4985cd9b	59358395-66ba-4ffe-b543-1c28e9d46ca8	PRIMARY_AUXILIARIES
a1a928c0-9b57-4d92-924f-98cd4985cd9b	29d924a5-d466-42cf-9a29-c7dcde349eae	UPS
a1a928c0-9b57-4d92-924f-98cd4985cd9b	651f9e74-90df-4d71-8d64-ec025d307351	CRITICAL_AUXILIARIES
a1a928c0-9b57-4d92-924f-98cd4985cd9b	ef0d8ab8-66d2-4561-9a75-25b818459b93	LIGHTING
a1a928c0-9b57-4d92-924f-98cd4985cd9b	e204a021-c68a-4d0e-b01f-f8e46fd63577	CRITICAL_POWER_DISTRIBUTION
a1a928c0-9b57-4d92-924f-98cd4985cd9b	739f9b92-3e32-40df-afbd-f62446fcec8d	CRAH
a1a928c0-9b57-4d92-924f-98cd4985cd9b	dbff660e-7730-40ca-ac70-503cb789a11e	CRAC
a1a928c0-9b57-4d92-924f-98cd4985cd9b	361b9c9c-3a0f-4589-9e5b-abdbbb02b714	CRAC_WITHOUT_FAN
a1a928c0-9b57-4d92-924f-98cd4985cd9b	b9b0187a-a400-4e70-9d31-63b65fb632d4	CRAC_FAN
a1a928c0-9b57-4d92-924f-98cd4985cd9b	fa5d13c3-4b8f-428c-a79f-4d20ba6a2da0	CHILLER
a1a928c0-9b57-4d92-924f-98cd4985cd9b	c3e8358f-832c-4b75-9d9f-b6194f82cb3f	AIR_COOLED_CHILLER
a1a928c0-9b57-4d92-924f-98cd4985cd9b	aea25bcb-13bd-4359-af3e-99c1ac2c6a17	COOLING_TOWER
a1a928c0-9b57-4d92-924f-98cd4985cd9b	ce9447c5-2559-4f72-8a32-481fab1ecce7	DRY_COOLER
a1a928c0-9b57-4d92-924f-98cd4985cd9b	0ef24971-a987-4d88-b84b-d81f55f9efc6	REMOTE_CONDENSER
a1a928c0-9b57-4d92-924f-98cd4985cd9b	ea1ea837-0133-4a45-9b36-d143a56e86d5	CHILLED_WATER_PUMPS
a1a928c0-9b57-4d92-924f-98cd4985cd9b	ad13a5e1-5c23-4a7d-ade6-507cf206b45c	HEAT_REJECTION_PUMPS
a1a928c0-9b57-4d92-924f-98cd4985cd9b	7288ea11-9b18-41f8-855c-24901a2d45e3	VENTILATION
a1a928c0-9b57-4d92-924f-98cd4985cd9b	81fa5388-355c-4f50-bb83-52d9b6833669	INFILTRATION
a1a928c0-9b57-4d92-924f-98cd4985cd9b	a77cfddb-b00a-47cb-8d93-f5d537031509	IT_LOAD
9c4ab405-5fa3-459d-999f-67b544ba8a5b	84c6fff4-08f9-4cd3-a813-6199b44ce3f5	SWITCHGEAR
9c4ab405-5fa3-459d-999f-67b544ba8a5b	9043e76f-6995-43db-a08d-3285f054d1b8	GENERATOR
9c4ab405-5fa3-459d-999f-67b544ba8a5b	246ca56e-8c3b-45ad-9c36-f0370f73eb0a	PRIMARY_AUXILIARIES
9c4ab405-5fa3-459d-999f-67b544ba8a5b	94f1f119-e48f-46b6-b6da-c4fde6a19387	UPS
9c4ab405-5fa3-459d-999f-67b544ba8a5b	75c58878-0c44-4772-a5ad-89230b7f7ee9	CRITICAL_AUXILIARIES
9c4ab405-5fa3-459d-999f-67b544ba8a5b	8791c6c3-4b17-4fc2-8a85-a53375aed193	LIGHTING
9c4ab405-5fa3-459d-999f-67b544ba8a5b	23c0724b-7a7c-48de-bcc1-57d58b11027e	CRITICAL_POWER_DISTRIBUTION
9c4ab405-5fa3-459d-999f-67b544ba8a5b	ea40fab6-7913-4092-92fd-2000c7f53722	CRAH
9c4ab405-5fa3-459d-999f-67b544ba8a5b	964f2be4-7e5e-4be7-bb80-1f4cdc85e8b5	CRAC
9c4ab405-5fa3-459d-999f-67b544ba8a5b	4686c315-fac5-4b4e-86fd-b2dd5eb75f7f	CRAC_WITHOUT_FAN
9c4ab405-5fa3-459d-999f-67b544ba8a5b	615ee6d8-be59-4da5-9f76-361e75f4ce01	CRAC_FAN
9c4ab405-5fa3-459d-999f-67b544ba8a5b	9264f879-8bdd-460a-91fe-1c9d381a7241	CHILLER
9c4ab405-5fa3-459d-999f-67b544ba8a5b	1578d74c-a4ce-4b45-8174-6b9cdeaf89a0	AIR_COOLED_CHILLER
9c4ab405-5fa3-459d-999f-67b544ba8a5b	6325cf5b-00fb-44e2-974d-7e90b82d7882	COOLING_TOWER
9c4ab405-5fa3-459d-999f-67b544ba8a5b	39f72f15-3086-4a5c-b759-82df871968c5	DRY_COOLER
9c4ab405-5fa3-459d-999f-67b544ba8a5b	45aec807-dd35-4e85-b74c-2c58b76d5b5f	REMOTE_CONDENSER
9c4ab405-5fa3-459d-999f-67b544ba8a5b	bde7e92a-6d4c-4d31-b8dd-2c2945039adb	CHILLED_WATER_PUMPS
9c4ab405-5fa3-459d-999f-67b544ba8a5b	d49bb974-f65f-4f44-8821-cdf9352fbc06	HEAT_REJECTION_PUMPS
9c4ab405-5fa3-459d-999f-67b544ba8a5b	605c3255-2553-4add-ba9b-a6310d17b31a	VENTILATION
9c4ab405-5fa3-459d-999f-67b544ba8a5b	875a5586-be2d-4d86-aba4-a213d2412a4c	INFILTRATION
9c4ab405-5fa3-459d-999f-67b544ba8a5b	3b1472be-dec8-4cc8-b9af-7ed54acc6c32	IT_LOAD
6845f626-0627-4599-9fd4-810337aaa3e0	71d326f9-b6f7-440b-86a1-1a7bddcbda1d	SWITCHGEAR
6845f626-0627-4599-9fd4-810337aaa3e0	f92b89ce-7f78-4d8a-b183-b47b2ae63c5c	GENERATOR
6845f626-0627-4599-9fd4-810337aaa3e0	c0cc0838-6431-40b9-998d-b04c38b2f762	PRIMARY_AUXILIARIES
6845f626-0627-4599-9fd4-810337aaa3e0	47af5ebe-5fd0-4a43-aa86-d708c28d935f	UPS
6845f626-0627-4599-9fd4-810337aaa3e0	53c3be95-b253-401b-9444-c6d15c6fd467	CRITICAL_AUXILIARIES
6845f626-0627-4599-9fd4-810337aaa3e0	bbc75fd4-ed47-4216-b204-5a1b7e48f0cf	LIGHTING
6845f626-0627-4599-9fd4-810337aaa3e0	7284ad27-6f88-45d8-8835-101033cbf99d	CRITICAL_POWER_DISTRIBUTION
6845f626-0627-4599-9fd4-810337aaa3e0	317aefd1-442e-4b32-ae26-da8ced7b6e3a	CRAH
6845f626-0627-4599-9fd4-810337aaa3e0	2716347b-5792-48d5-8c42-75c13e68db06	CRAC
6845f626-0627-4599-9fd4-810337aaa3e0	d46eda41-756b-4e1b-95f1-56c048d3cfb2	CRAC_WITHOUT_FAN
6845f626-0627-4599-9fd4-810337aaa3e0	91cf3804-fe1d-421f-841b-2af94aa1e4e0	CRAC_FAN
6845f626-0627-4599-9fd4-810337aaa3e0	005ade89-1a95-454a-ae0f-f4f2fdc79ab7	CHILLER
6845f626-0627-4599-9fd4-810337aaa3e0	ced7c9c5-6493-4b28-ba3e-23232a1fb39c	AIR_COOLED_CHILLER
6845f626-0627-4599-9fd4-810337aaa3e0	1676fc17-da34-4efe-9092-64aa745d89ff	COOLING_TOWER
6845f626-0627-4599-9fd4-810337aaa3e0	d69553f9-47cb-4cfe-ad14-53abee11c6cf	DRY_COOLER
6845f626-0627-4599-9fd4-810337aaa3e0	e82c5084-a518-4d4f-93c8-6ecf69c8fc39	REMOTE_CONDENSER
6845f626-0627-4599-9fd4-810337aaa3e0	6be41602-412b-4444-b711-d41797148257	CHILLED_WATER_PUMPS
6845f626-0627-4599-9fd4-810337aaa3e0	dccaae45-6ba9-4469-9f95-0d4d98d25de3	HEAT_REJECTION_PUMPS
6845f626-0627-4599-9fd4-810337aaa3e0	e334d74b-b38c-442d-ac6b-30c9d72a947f	VENTILATION
6845f626-0627-4599-9fd4-810337aaa3e0	939e5523-e9e2-433d-84ff-d8f68d8b2fe9	INFILTRATION
6845f626-0627-4599-9fd4-810337aaa3e0	6f62f248-b4b1-4f10-8e30-f1fd24024a5c	IT_LOAD
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	35f3c26f-b016-4227-bf2b-6263ca6f62ff	SWITCHGEAR
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	0581a712-b8af-4f4a-9a56-5b846bc35bc9	GENERATOR
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	fb4f11ec-9296-4d07-8c1b-3eafb4f2a30c	PRIMARY_AUXILIARIES
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	934c57b1-7ef7-4947-a98e-22ab34c8b2d8	UPS
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	deba1122-0834-428e-9e86-f93b81df5a52	CRITICAL_AUXILIARIES
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	ca40d9a9-fb66-4331-9c55-f9660418f470	LIGHTING
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	163686ae-15e2-4d33-a767-1236f8ff2ec1	CRITICAL_POWER_DISTRIBUTION
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	c45280cb-2b88-4692-a26e-cb41db772895	CRAH
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	181c51b2-f7bb-43fb-bf58-637c7e511b53	CRAC
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	4aee7d14-1f67-42dd-882d-cb4c668edbf9	CRAC_WITHOUT_FAN
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	f2516477-af42-42e8-9c47-9970b1be7c27	CRAC_FAN
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	e1c57d86-2144-48f9-8cd5-59ea961d50da	CHILLER
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	d75e78bb-455b-4055-b54e-271254ac6096	AIR_COOLED_CHILLER
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	620405bc-81bc-4aa3-8a77-e5bccd0a320f	COOLING_TOWER
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	073a9ab6-1ab6-415e-b80b-ca3ddefb9413	DRY_COOLER
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	89af48dc-18aa-4fc4-8e86-9d8ecee6d824	REMOTE_CONDENSER
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	48704b29-b8b7-4230-ba01-2068a05ca02e	CHILLED_WATER_PUMPS
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	78687859-774a-4066-a331-1aca9401a8a7	HEAT_REJECTION_PUMPS
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	cd282e14-7fdd-4b40-9cb8-759b26f5b404	VENTILATION
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	ad990895-0643-449c-8f4c-721c49a1cdc8	INFILTRATION
0472bdb6-d838-4fa9-a99c-adeae3b7ce21	5fcae561-80a8-4282-9c01-f6ec473599b7	IT_LOAD
c7017d32-7e3b-4861-b121-6d2f62302aa9	03374d73-1f62-4edb-8eb9-92b2dcd2980b	SWITCHGEAR
c7017d32-7e3b-4861-b121-6d2f62302aa9	1eb636c0-3db8-4dde-a36b-91e8e92d3adc	GENERATOR
c7017d32-7e3b-4861-b121-6d2f62302aa9	8fb35e2a-689e-4450-96c9-dfb9ee0d0166	PRIMARY_AUXILIARIES
c7017d32-7e3b-4861-b121-6d2f62302aa9	06709bfd-27d5-47ef-9cfb-501c6e456eec	UPS
c7017d32-7e3b-4861-b121-6d2f62302aa9	80a7ca93-3c7d-4075-b794-e577144bb236	CRITICAL_AUXILIARIES
c7017d32-7e3b-4861-b121-6d2f62302aa9	164e1431-10c4-4529-9b65-02ed13e541c4	LIGHTING
c7017d32-7e3b-4861-b121-6d2f62302aa9	8ec35ba2-4379-476e-9d65-694788169f28	CRITICAL_POWER_DISTRIBUTION
c7017d32-7e3b-4861-b121-6d2f62302aa9	6ad76ef2-e017-49fd-9462-c6b145a33e9c	CRAH
c7017d32-7e3b-4861-b121-6d2f62302aa9	1345f3c1-46f8-447a-afe9-f78feab05df5	CRAC
c7017d32-7e3b-4861-b121-6d2f62302aa9	b5288a48-345c-4148-8f36-db38e69cf619	CRAC_WITHOUT_FAN
c7017d32-7e3b-4861-b121-6d2f62302aa9	e97929a7-7ba4-4d6f-b14b-7fc0f0690c85	CRAC_FAN
c7017d32-7e3b-4861-b121-6d2f62302aa9	2252bdfb-a056-4742-b34d-a5a6add59ea4	CHILLER
c7017d32-7e3b-4861-b121-6d2f62302aa9	b11b778a-9705-438c-880b-d25c8714cc48	AIR_COOLED_CHILLER
c7017d32-7e3b-4861-b121-6d2f62302aa9	736f05c3-0603-4c43-bab2-6b0e4ec9440d	COOLING_TOWER
c7017d32-7e3b-4861-b121-6d2f62302aa9	37db75f2-ab25-4157-b3df-0f5ba856efde	DRY_COOLER
c7017d32-7e3b-4861-b121-6d2f62302aa9	d5500f28-a753-48e6-a927-573dda2085e1	REMOTE_CONDENSER
c7017d32-7e3b-4861-b121-6d2f62302aa9	9d49c351-90b6-48e1-8c15-116d08af27d9	CHILLED_WATER_PUMPS
c7017d32-7e3b-4861-b121-6d2f62302aa9	27842e79-484e-4b87-9b89-edb1f05d28bb	HEAT_REJECTION_PUMPS
c7017d32-7e3b-4861-b121-6d2f62302aa9	961e9a88-fd6a-4729-b97b-3d3bbe8bfb7e	VENTILATION
c7017d32-7e3b-4861-b121-6d2f62302aa9	12dd3d0c-1f9c-42d0-9120-2658f622363a	INFILTRATION
c7017d32-7e3b-4861-b121-6d2f62302aa9	bc0bbbed-b38f-4487-8bca-fc9d27bba42e	IT_LOAD
29344df8-ab21-4b82-ab06-4a29b9a06870	70934c40-91f8-482a-a3ce-8515a1215e29	SWITCHGEAR
29344df8-ab21-4b82-ab06-4a29b9a06870	aaa40346-cf35-45fc-b375-10a13588c283	GENERATOR
29344df8-ab21-4b82-ab06-4a29b9a06870	549fe1dd-f214-47ea-9adb-950c35e08a30	PRIMARY_AUXILIARIES
29344df8-ab21-4b82-ab06-4a29b9a06870	2eaa5f04-6457-4cb8-a30c-63fe28fef8db	UPS
29344df8-ab21-4b82-ab06-4a29b9a06870	89ef0e79-3e93-458a-af5c-0dee85921e36	CRITICAL_AUXILIARIES
29344df8-ab21-4b82-ab06-4a29b9a06870	71b70703-d225-4f6d-985d-3b13d5d18f41	LIGHTING
29344df8-ab21-4b82-ab06-4a29b9a06870	60762f87-c499-48e8-98a1-e7e3b74ae4b1	CRITICAL_POWER_DISTRIBUTION
29344df8-ab21-4b82-ab06-4a29b9a06870	2548410c-71a5-4c6e-be70-6034e2a7cb0c	CRAH
29344df8-ab21-4b82-ab06-4a29b9a06870	980b287f-4372-4fe1-8927-86cf9472e4db	CRAC
29344df8-ab21-4b82-ab06-4a29b9a06870	93e09570-6396-4d06-8a44-f8e7f09cdaa9	CRAC_WITHOUT_FAN
29344df8-ab21-4b82-ab06-4a29b9a06870	0f046ce8-8e82-4daf-b52f-8ac0506c4058	CRAC_FAN
29344df8-ab21-4b82-ab06-4a29b9a06870	fd4df92c-204b-4749-a0d3-4219f00ad69e	CHILLER
29344df8-ab21-4b82-ab06-4a29b9a06870	330aa18b-2268-4ece-8e53-b72896af516b	AIR_COOLED_CHILLER
29344df8-ab21-4b82-ab06-4a29b9a06870	71fc9bee-9a7a-4c3e-9a77-a3be97e2e586	COOLING_TOWER
29344df8-ab21-4b82-ab06-4a29b9a06870	89d9542a-a4e9-4dbb-aa82-0e8eca9fa639	DRY_COOLER
29344df8-ab21-4b82-ab06-4a29b9a06870	ac3d4935-c038-4727-acf8-43207c9f7919	REMOTE_CONDENSER
29344df8-ab21-4b82-ab06-4a29b9a06870	e6a0a95e-f42b-471b-9122-816d904c60f8	CHILLED_WATER_PUMPS
29344df8-ab21-4b82-ab06-4a29b9a06870	33b23f8f-9520-43c1-9fc9-e140967f909f	HEAT_REJECTION_PUMPS
29344df8-ab21-4b82-ab06-4a29b9a06870	e4618af9-43b4-46f6-9dad-d6502632a8e4	VENTILATION
29344df8-ab21-4b82-ab06-4a29b9a06870	a5a2bc6c-bb9f-4edf-a95c-aa94b46622ef	INFILTRATION
29344df8-ab21-4b82-ab06-4a29b9a06870	5317a3b9-6ff3-4fb8-bcb7-6c8b6455f1c3	IT_LOAD
789e1543-d549-427b-81ea-caf16d85b736	e2436854-afa2-4272-b9c6-87c158c39fce	SWITCHGEAR
789e1543-d549-427b-81ea-caf16d85b736	b18ca5c1-8efb-4ea7-b51c-cf5fdd95e63e	GENERATOR
789e1543-d549-427b-81ea-caf16d85b736	60dd7738-c730-4710-b9d8-065767280010	PRIMARY_AUXILIARIES
789e1543-d549-427b-81ea-caf16d85b736	4c843338-ee5a-46d4-a375-6d4e94a199a1	UPS
789e1543-d549-427b-81ea-caf16d85b736	4654ccef-abbd-4d92-91e1-5b865a90e0de	CRITICAL_AUXILIARIES
789e1543-d549-427b-81ea-caf16d85b736	bcc88e3c-7bbf-4d10-90fb-dd296cb8b2ad	LIGHTING
789e1543-d549-427b-81ea-caf16d85b736	92154dcd-9f33-4f90-9b19-2036d73192cc	CRITICAL_POWER_DISTRIBUTION
789e1543-d549-427b-81ea-caf16d85b736	ef851edf-6d56-4d98-8a6e-56e6f2964b92	CRAH
789e1543-d549-427b-81ea-caf16d85b736	a1eca653-344b-4e49-bba5-20d62e1639fb	CRAC
789e1543-d549-427b-81ea-caf16d85b736	7b857e8a-ecd1-4e44-96cd-7fe8ca48d8d8	CRAC_WITHOUT_FAN
789e1543-d549-427b-81ea-caf16d85b736	fd9a8ca9-fdba-451b-99a5-a42ced17340e	CRAC_FAN
789e1543-d549-427b-81ea-caf16d85b736	b136881d-962d-41c1-8a5b-82d9f1599c90	CHILLER
789e1543-d549-427b-81ea-caf16d85b736	d62e2975-7983-4b5f-a92b-04bbcbed4ad2	AIR_COOLED_CHILLER
789e1543-d549-427b-81ea-caf16d85b736	6ed4e040-e59a-421d-b13e-9c3b76a2c208	COOLING_TOWER
789e1543-d549-427b-81ea-caf16d85b736	e25ee624-399e-4c03-a44a-723889d35c16	DRY_COOLER
789e1543-d549-427b-81ea-caf16d85b736	db3bc54d-6ba5-40f7-ae7e-f09d10724289	REMOTE_CONDENSER
789e1543-d549-427b-81ea-caf16d85b736	d884f48a-c4bb-45be-8062-11989d0327fa	CHILLED_WATER_PUMPS
789e1543-d549-427b-81ea-caf16d85b736	0bb513ad-f13c-4af6-aa24-6a26b9978d54	HEAT_REJECTION_PUMPS
789e1543-d549-427b-81ea-caf16d85b736	05e99ac8-b9f8-40e4-8d2c-78ed99281aa9	VENTILATION
789e1543-d549-427b-81ea-caf16d85b736	6fc3a785-b1a2-4e37-b78f-5882ff8198a6	INFILTRATION
789e1543-d549-427b-81ea-caf16d85b736	518e6028-6edc-4217-bbda-ecf77edff356	IT_LOAD
12e55a45-77a4-481e-a9af-3149341dcb1d	7a8e2b05-82ea-4de2-b60c-6a4a0836222a	SWITCHGEAR
12e55a45-77a4-481e-a9af-3149341dcb1d	27394bc3-809f-48fc-9a66-ebd2cd5f6240	GENERATOR
12e55a45-77a4-481e-a9af-3149341dcb1d	647d4083-12c6-445d-8cfe-ee276f52e9e8	PRIMARY_AUXILIARIES
12e55a45-77a4-481e-a9af-3149341dcb1d	c5879103-ea22-4d88-9b5d-59a277543e3f	UPS
12e55a45-77a4-481e-a9af-3149341dcb1d	76f7418d-1d0f-4d15-9d4c-fa66ed2321cd	CRITICAL_AUXILIARIES
12e55a45-77a4-481e-a9af-3149341dcb1d	ccd4a21b-b920-475b-9038-dff4d490bdd9	LIGHTING
12e55a45-77a4-481e-a9af-3149341dcb1d	49018e3d-a154-4a80-a323-2c55ba6c21c8	CRITICAL_POWER_DISTRIBUTION
12e55a45-77a4-481e-a9af-3149341dcb1d	f19e8cad-07e0-41f9-af7d-2d088f0aef67	CRAH
12e55a45-77a4-481e-a9af-3149341dcb1d	cf7eb704-1799-4d81-a0ff-70a92767d578	CRAC
12e55a45-77a4-481e-a9af-3149341dcb1d	96aacf08-5b64-4e47-9481-01cb06f47df3	CRAC_WITHOUT_FAN
12e55a45-77a4-481e-a9af-3149341dcb1d	ba531c5d-7ec7-4a1a-9d12-9dca920454f8	CRAC_FAN
12e55a45-77a4-481e-a9af-3149341dcb1d	124053f9-463b-4c66-9544-14e36b1788c5	CHILLER
12e55a45-77a4-481e-a9af-3149341dcb1d	0126bef2-eb64-4372-a06e-1c63a28a728c	AIR_COOLED_CHILLER
12e55a45-77a4-481e-a9af-3149341dcb1d	dfa395d2-81de-4af5-bfe9-80521470c320	COOLING_TOWER
12e55a45-77a4-481e-a9af-3149341dcb1d	9aa9977d-17ab-445d-a45c-f720f14dcda6	DRY_COOLER
12e55a45-77a4-481e-a9af-3149341dcb1d	7b5b4b1a-3f3f-42b1-889e-2752dfeeb6b4	REMOTE_CONDENSER
12e55a45-77a4-481e-a9af-3149341dcb1d	048b5eeb-81c6-4a78-8c3c-2639fa94a241	CHILLED_WATER_PUMPS
12e55a45-77a4-481e-a9af-3149341dcb1d	2722597f-d50a-442b-a58a-99b2d2b1ba72	HEAT_REJECTION_PUMPS
12e55a45-77a4-481e-a9af-3149341dcb1d	ecc6b5fd-508e-4d72-a46c-761447ac6654	VENTILATION
12e55a45-77a4-481e-a9af-3149341dcb1d	f7c857a2-0fa8-4295-a9d6-9c5952542235	INFILTRATION
12e55a45-77a4-481e-a9af-3149341dcb1d	772cbba9-8d67-4e0a-9659-7495748daf52	IT_LOAD
a822bd55-cdd7-427b-9feb-5ad30031dc9d	c8c44dca-1781-42f3-92c6-bd5727b66915	SWITCHGEAR
a822bd55-cdd7-427b-9feb-5ad30031dc9d	9a3df6d9-bd2f-470f-a17e-65203175278e	GENERATOR
a822bd55-cdd7-427b-9feb-5ad30031dc9d	811dbaac-cadd-412d-8dd1-77c1b67a93d9	PRIMARY_AUXILIARIES
a822bd55-cdd7-427b-9feb-5ad30031dc9d	4977e4f9-63d6-4d07-befa-36658c4a75a1	UPS
a822bd55-cdd7-427b-9feb-5ad30031dc9d	0a86e38a-191d-4e06-80ec-9fd878d9a14d	CRITICAL_AUXILIARIES
a822bd55-cdd7-427b-9feb-5ad30031dc9d	37bccbc0-b91c-4a04-a226-89ffb6e738e0	LIGHTING
a822bd55-cdd7-427b-9feb-5ad30031dc9d	7552718f-8105-415a-81d4-0b824400a487	CRITICAL_POWER_DISTRIBUTION
a822bd55-cdd7-427b-9feb-5ad30031dc9d	7ecb873d-0440-47cc-94a8-ca2a6d0958e5	CRAH
a822bd55-cdd7-427b-9feb-5ad30031dc9d	1c3a5578-40c1-4a96-9814-887ab3649841	CRAC
a822bd55-cdd7-427b-9feb-5ad30031dc9d	670d9fd9-58ff-446b-b130-7feceddbdc37	CRAC_WITHOUT_FAN
a822bd55-cdd7-427b-9feb-5ad30031dc9d	f5ee0698-e9e5-4c07-9c6c-401132acdbd0	CRAC_FAN
a822bd55-cdd7-427b-9feb-5ad30031dc9d	2e91f020-6217-4696-b23a-e9116b1040ee	CHILLER
a822bd55-cdd7-427b-9feb-5ad30031dc9d	22492ed7-8cfa-424e-9646-d7a4941be86a	AIR_COOLED_CHILLER
a822bd55-cdd7-427b-9feb-5ad30031dc9d	6a4990ce-c197-43e7-913d-6d516693c6d6	COOLING_TOWER
a822bd55-cdd7-427b-9feb-5ad30031dc9d	c8fbe6fc-26f5-46d3-b710-e8fe638abe35	DRY_COOLER
a822bd55-cdd7-427b-9feb-5ad30031dc9d	e6566013-2cfe-4823-aecb-7a1ec77243e5	REMOTE_CONDENSER
a822bd55-cdd7-427b-9feb-5ad30031dc9d	1dfa22f1-21c8-4d68-99aa-31178bdc8007	CHILLED_WATER_PUMPS
a822bd55-cdd7-427b-9feb-5ad30031dc9d	7f7e145b-b22a-404a-ae36-1a516c59f90d	HEAT_REJECTION_PUMPS
a822bd55-cdd7-427b-9feb-5ad30031dc9d	a0c6afff-3354-40ff-b730-271c92d6391d	VENTILATION
a822bd55-cdd7-427b-9feb-5ad30031dc9d	0ba6d77d-47bb-4c28-ae1d-bf7a52678a1e	INFILTRATION
a822bd55-cdd7-427b-9feb-5ad30031dc9d	05097125-718c-4ba3-aa98-cb5c9b855bff	IT_LOAD
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	a86574df-977a-4a1e-8598-0b7fbbf0016a	SWITCHGEAR
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	1b11700e-281c-489f-a8af-2adc0f913d47	GENERATOR
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	c6c8b073-108a-4422-8d5a-452e2cb0cdff	PRIMARY_AUXILIARIES
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	e58ab893-2755-4860-8c1b-a9ef1ef1f542	UPS
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	7a2bbda2-6ae9-4e73-a890-4c0d9631e467	CRITICAL_AUXILIARIES
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	30b62e88-e9d6-4aa9-a3d5-8ffcb34c3376	LIGHTING
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	d8359c65-3123-49ae-9454-c280a0160b26	CRITICAL_POWER_DISTRIBUTION
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	758d8f34-5a7c-4003-babb-0c968afa3ca0	CRAH
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	e33336bf-7245-473b-ad10-e90281bd4da8	CRAC
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	b1c7a654-c7f3-4f1f-b3da-b562b57e4e95	CRAC_WITHOUT_FAN
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	c3f31dd2-b3fb-4f42-9629-cab6bb5eb7fd	CRAC_FAN
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	9121dcdb-b0fb-4cea-8788-57cf1e75809c	CHILLER
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	3d3c0c11-2290-4ae9-b04f-e8089bf1c7a1	AIR_COOLED_CHILLER
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	2ebdc122-1950-4b81-affb-cdbddf0d00b4	COOLING_TOWER
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	0443ff7b-eece-4979-81c8-c421c6f5e4fc	DRY_COOLER
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	07796ee6-6eca-45c4-a276-66368b9b8314	REMOTE_CONDENSER
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	2a996b1b-b250-4645-8e2f-dc20608081d2	CHILLED_WATER_PUMPS
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	5e7aa3a2-0a5d-48cc-8f50-63255d57bcff	HEAT_REJECTION_PUMPS
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	6484d14f-0646-4af6-8c3c-3c4f2bff5f11	VENTILATION
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	d0858544-2e3b-4484-aad0-14da8cf53983	INFILTRATION
91a3a6ef-7e5a-4c5d-b339-1fd1b37ba452	fe6b480e-4d2b-4c00-8270-c31177108095	IT_LOAD
154bbba0-7a19-4cd7-aa5d-7f52687116b9	dc640e14-e39b-40c7-b641-fd689f993ead	SWITCHGEAR
154bbba0-7a19-4cd7-aa5d-7f52687116b9	2d8cefca-e2c6-49f2-8d7d-a58380d4f95a	GENERATOR
154bbba0-7a19-4cd7-aa5d-7f52687116b9	8de5a247-6f45-453a-bbbd-ce529d6a4263	PRIMARY_AUXILIARIES
154bbba0-7a19-4cd7-aa5d-7f52687116b9	8ee7d0c0-c395-4722-9934-2ae2c1a17691	UPS
154bbba0-7a19-4cd7-aa5d-7f52687116b9	5f4578fc-deaf-4f89-9297-260b87dd9d24	CRITICAL_AUXILIARIES
154bbba0-7a19-4cd7-aa5d-7f52687116b9	2969f5b4-ad8e-46f4-9f4b-20dab7a56655	LIGHTING
154bbba0-7a19-4cd7-aa5d-7f52687116b9	a69f525f-e692-4b57-8af8-a566b8a5b448	CRITICAL_POWER_DISTRIBUTION
154bbba0-7a19-4cd7-aa5d-7f52687116b9	ad2184c9-e678-4767-bdab-eca3780367ba	CRAH
154bbba0-7a19-4cd7-aa5d-7f52687116b9	65476444-b463-4bb1-a854-8b43a45a4431	CRAC
154bbba0-7a19-4cd7-aa5d-7f52687116b9	5127255d-dc12-4ac3-9137-dfec25ab8ea9	CRAC_WITHOUT_FAN
154bbba0-7a19-4cd7-aa5d-7f52687116b9	ab06aa56-9a54-4a9c-93c4-274793fd60c5	CRAC_FAN
154bbba0-7a19-4cd7-aa5d-7f52687116b9	b5bda54d-2dc3-4301-9865-112ccab03921	CHILLER
154bbba0-7a19-4cd7-aa5d-7f52687116b9	32b73fc3-3268-4ed1-b4d6-dae029caca30	AIR_COOLED_CHILLER
154bbba0-7a19-4cd7-aa5d-7f52687116b9	0d27481e-f266-4bd4-8efa-ebf168bdec64	COOLING_TOWER
154bbba0-7a19-4cd7-aa5d-7f52687116b9	d08b9e80-8b20-465e-bb09-e81f11f8cd8a	DRY_COOLER
154bbba0-7a19-4cd7-aa5d-7f52687116b9	05408c65-198b-42ab-b404-c69f24e5ae1c	REMOTE_CONDENSER
154bbba0-7a19-4cd7-aa5d-7f52687116b9	bfbf0990-e6a2-4e79-965a-9879abc9d26a	CHILLED_WATER_PUMPS
154bbba0-7a19-4cd7-aa5d-7f52687116b9	7d995cf4-59c6-4f46-9b42-d2f4f140737c	HEAT_REJECTION_PUMPS
154bbba0-7a19-4cd7-aa5d-7f52687116b9	bcbde05e-09ec-4ccb-8256-d06d78ea5dde	VENTILATION
154bbba0-7a19-4cd7-aa5d-7f52687116b9	7afae9b6-7b5b-4df5-9ebb-8e7524ff164a	INFILTRATION
154bbba0-7a19-4cd7-aa5d-7f52687116b9	476ff768-2a17-4e1a-be7f-75fe87c922cb	IT_LOAD
a3247dc3-76b3-43ff-bf17-33b2996e83ac	ffe247f7-4b28-4687-aeb2-f6699d275e5d	SWITCHGEAR
a3247dc3-76b3-43ff-bf17-33b2996e83ac	80240b98-e829-488a-9cc8-d2af3c78be1c	GENERATOR
a3247dc3-76b3-43ff-bf17-33b2996e83ac	26bb13d9-d982-4ac9-9d6d-e25d31545aa4	PRIMARY_AUXILIARIES
a3247dc3-76b3-43ff-bf17-33b2996e83ac	6a02aa19-95f4-42b5-ab57-5dda27732829	UPS
a3247dc3-76b3-43ff-bf17-33b2996e83ac	0af4f151-7230-436d-b2dc-23d13e292f74	CRITICAL_AUXILIARIES
a3247dc3-76b3-43ff-bf17-33b2996e83ac	a18e0da1-af95-42ab-b9c4-318402ea3456	LIGHTING
a3247dc3-76b3-43ff-bf17-33b2996e83ac	74e84fa1-5ff8-4abf-9954-a4124e5bf3eb	CRITICAL_POWER_DISTRIBUTION
a3247dc3-76b3-43ff-bf17-33b2996e83ac	1f399cb3-db68-461e-b1aa-6564661cbcb7	CRAH
a3247dc3-76b3-43ff-bf17-33b2996e83ac	f9db58b3-0707-475c-9a35-3c50754ad479	CRAC
a3247dc3-76b3-43ff-bf17-33b2996e83ac	1ddaea0a-9a1e-4c35-b773-d2523d60f609	CRAC_WITHOUT_FAN
a3247dc3-76b3-43ff-bf17-33b2996e83ac	eeeeecd8-8a88-4a67-8fd6-fa000839e101	CRAC_FAN
a3247dc3-76b3-43ff-bf17-33b2996e83ac	e4d7b896-6218-4c35-8acc-cb6c9d85bd99	CHILLER
a3247dc3-76b3-43ff-bf17-33b2996e83ac	f5377b98-54b3-4d19-b14b-f8d06d1cbdab	AIR_COOLED_CHILLER
a3247dc3-76b3-43ff-bf17-33b2996e83ac	a9dbb293-7ecb-4295-aaf3-d23fc3eada2e	COOLING_TOWER
a3247dc3-76b3-43ff-bf17-33b2996e83ac	faf9accb-b27c-4668-8744-190a4a6cd12b	DRY_COOLER
a3247dc3-76b3-43ff-bf17-33b2996e83ac	3c1468cc-0952-4503-a2e6-cf440738d8f1	REMOTE_CONDENSER
a3247dc3-76b3-43ff-bf17-33b2996e83ac	18182650-76c7-41fe-9c43-b0d74d59fd11	CHILLED_WATER_PUMPS
a3247dc3-76b3-43ff-bf17-33b2996e83ac	236b079b-198f-488f-a72f-3aa5accc0ddc	HEAT_REJECTION_PUMPS
a3247dc3-76b3-43ff-bf17-33b2996e83ac	2e4db0bc-c1ad-4436-b075-29a8c064b6b0	VENTILATION
a3247dc3-76b3-43ff-bf17-33b2996e83ac	ee80d4c3-8163-4cdf-9ab7-019cb08964b6	INFILTRATION
a3247dc3-76b3-43ff-bf17-33b2996e83ac	6adb90e9-f587-4215-9fbf-bdd287681a6f	IT_LOAD
715bed93-7770-44de-9f2b-e74bb33ddf3c	fb021804-191b-478d-83a7-e2bcc93d14d9	SWITCHGEAR
715bed93-7770-44de-9f2b-e74bb33ddf3c	663f01c9-5511-4e13-b315-24a5b5486bb3	GENERATOR
715bed93-7770-44de-9f2b-e74bb33ddf3c	9ae4d378-9f36-48a4-8fb5-b7e9b4b662e5	PRIMARY_AUXILIARIES
715bed93-7770-44de-9f2b-e74bb33ddf3c	faf326a7-feba-4410-9b44-2d8846e95aaa	UPS
715bed93-7770-44de-9f2b-e74bb33ddf3c	bac6c978-ed83-4afb-8df4-f1e694b159ba	CRITICAL_AUXILIARIES
715bed93-7770-44de-9f2b-e74bb33ddf3c	fff8c8d0-f174-491a-8167-ab651260f970	LIGHTING
715bed93-7770-44de-9f2b-e74bb33ddf3c	2b78d262-5d0c-41f8-a514-217927c71060	CRITICAL_POWER_DISTRIBUTION
715bed93-7770-44de-9f2b-e74bb33ddf3c	b569ae00-c33b-4034-9669-cab4ab147811	CRAH
715bed93-7770-44de-9f2b-e74bb33ddf3c	b07fb8fb-aa0e-4a35-a2ff-bd7677c61c56	CRAC
715bed93-7770-44de-9f2b-e74bb33ddf3c	fed3a30a-9e25-46f0-832f-97650be520b3	CRAC_WITHOUT_FAN
715bed93-7770-44de-9f2b-e74bb33ddf3c	67ad5a94-6107-4d15-837b-47843a327c6d	CRAC_FAN
715bed93-7770-44de-9f2b-e74bb33ddf3c	d72f63e1-e857-4d6c-86ef-0526f938476f	CHILLER
715bed93-7770-44de-9f2b-e74bb33ddf3c	795031e1-ceb0-4f4b-87df-7b3574ce60f5	AIR_COOLED_CHILLER
715bed93-7770-44de-9f2b-e74bb33ddf3c	605fee74-9c0b-4a2b-8c4c-2245e99d730e	COOLING_TOWER
715bed93-7770-44de-9f2b-e74bb33ddf3c	497c047c-da23-4999-b148-31f59cfe07cf	DRY_COOLER
715bed93-7770-44de-9f2b-e74bb33ddf3c	2a002244-1310-4c49-ba59-a877d5135ea7	REMOTE_CONDENSER
715bed93-7770-44de-9f2b-e74bb33ddf3c	6fc7335d-f707-4a7b-a209-c3eaedd04053	CHILLED_WATER_PUMPS
715bed93-7770-44de-9f2b-e74bb33ddf3c	c5c21f15-36d6-4390-b19c-6d32d5e89187	HEAT_REJECTION_PUMPS
715bed93-7770-44de-9f2b-e74bb33ddf3c	65685d1b-ffc4-4a5f-affe-62a75e5fc0d1	VENTILATION
715bed93-7770-44de-9f2b-e74bb33ddf3c	c0b1b86c-5a84-4847-9b7e-5b99f5dc8384	INFILTRATION
715bed93-7770-44de-9f2b-e74bb33ddf3c	e784bf63-e2fc-4ed2-9617-9ac85a03bb4c	IT_LOAD
f308863f-0834-4efa-a896-f4ed2244b9d8	69e34599-0293-4f6b-9d64-59daf79801bc	SWITCHGEAR
f308863f-0834-4efa-a896-f4ed2244b9d8	4f20f52e-4bae-44a9-8899-d9417071ea2f	GENERATOR
f308863f-0834-4efa-a896-f4ed2244b9d8	81e7296b-fc04-4ff2-bb28-c9b1271f4f89	PRIMARY_AUXILIARIES
f308863f-0834-4efa-a896-f4ed2244b9d8	fdc9defe-7ae7-45cd-8b7a-c33532ed7b89	UPS
f308863f-0834-4efa-a896-f4ed2244b9d8	0599b5d4-a75a-4228-b296-e8a368037b39	CRITICAL_AUXILIARIES
f308863f-0834-4efa-a896-f4ed2244b9d8	740575d8-f606-4c7c-a7c6-76388c9929bb	LIGHTING
f308863f-0834-4efa-a896-f4ed2244b9d8	6859abaf-0a1b-457d-b410-6a10ba759db4	CRITICAL_POWER_DISTRIBUTION
f308863f-0834-4efa-a896-f4ed2244b9d8	a06beb74-28e8-4bc1-b3d4-edccf160c61c	CRAH
f308863f-0834-4efa-a896-f4ed2244b9d8	981d165c-eab3-4acc-b3a4-e0a118b2925d	CRAC
f308863f-0834-4efa-a896-f4ed2244b9d8	74f3cb9e-7d3e-4101-bde6-ca1e66c7aa0e	CRAC_WITHOUT_FAN
f308863f-0834-4efa-a896-f4ed2244b9d8	0e44b0f1-f980-41fb-a821-4b2b111ee023	CRAC_FAN
f308863f-0834-4efa-a896-f4ed2244b9d8	f69418a3-e245-4853-a87d-006cc3e725ab	CHILLER
f308863f-0834-4efa-a896-f4ed2244b9d8	2d3b5ff8-8476-4eca-891d-c0d68d08a289	AIR_COOLED_CHILLER
f308863f-0834-4efa-a896-f4ed2244b9d8	3491e604-434e-4404-86e1-663834df8c2d	COOLING_TOWER
f308863f-0834-4efa-a896-f4ed2244b9d8	d7f20b01-63c7-4691-885b-77466a6a1819	DRY_COOLER
f308863f-0834-4efa-a896-f4ed2244b9d8	15e9a65d-0a88-45ee-ba11-b932bb6bec11	REMOTE_CONDENSER
f308863f-0834-4efa-a896-f4ed2244b9d8	9581a346-06fe-4345-ac3b-a44abbf7cee3	CHILLED_WATER_PUMPS
f308863f-0834-4efa-a896-f4ed2244b9d8	ec33790a-2c48-4a21-b3d8-2abb2714e61d	HEAT_REJECTION_PUMPS
f308863f-0834-4efa-a896-f4ed2244b9d8	d4dfc8e9-131f-4695-be55-52065b741ea8	VENTILATION
f308863f-0834-4efa-a896-f4ed2244b9d8	3240d3e2-cb9a-4105-b8d9-f7dbfd910738	INFILTRATION
f308863f-0834-4efa-a896-f4ed2244b9d8	73de4e89-ab71-41d8-969f-d24b04a8893d	IT_LOAD
76de25eb-83f7-4213-86a0-d525e39d7db5	63470d41-382d-42b5-97b2-a7855c24f39a	SWITCHGEAR
76de25eb-83f7-4213-86a0-d525e39d7db5	00a0a7d9-4506-48d0-81ab-00e857266709	GENERATOR
76de25eb-83f7-4213-86a0-d525e39d7db5	d2197d7e-0005-430c-a06e-e79c02a73200	PRIMARY_AUXILIARIES
76de25eb-83f7-4213-86a0-d525e39d7db5	da3b3e89-ee22-4aeb-a36c-5df7d071b6a5	UPS
76de25eb-83f7-4213-86a0-d525e39d7db5	44d100a0-c1f3-4feb-b604-93ddfa8084f8	CRITICAL_AUXILIARIES
76de25eb-83f7-4213-86a0-d525e39d7db5	c60d761d-31f1-4a1e-a6c4-4daf83ced6ef	LIGHTING
76de25eb-83f7-4213-86a0-d525e39d7db5	4db0debe-8d6d-47a7-947d-4c7e3d3725c6	CRITICAL_POWER_DISTRIBUTION
76de25eb-83f7-4213-86a0-d525e39d7db5	0993d740-95c2-4fcd-8542-bb45380a8c14	CRAH
76de25eb-83f7-4213-86a0-d525e39d7db5	97d2b292-cb3b-4691-ab3d-abb44045de62	CRAC
76de25eb-83f7-4213-86a0-d525e39d7db5	868d5b33-4e6f-4c8d-ac87-05bc447828d0	CRAC_WITHOUT_FAN
76de25eb-83f7-4213-86a0-d525e39d7db5	8fb9a389-7b91-49c6-a82a-d596ce4e205e	CRAC_FAN
76de25eb-83f7-4213-86a0-d525e39d7db5	711c5643-968d-45c1-8589-ef0ea4d36fbd	CHILLER
76de25eb-83f7-4213-86a0-d525e39d7db5	fa8cf1e8-0b01-42fb-bb43-1804995a0be5	AIR_COOLED_CHILLER
76de25eb-83f7-4213-86a0-d525e39d7db5	ede3dde0-50cc-40a8-9cc6-9d1469c3cb71	COOLING_TOWER
76de25eb-83f7-4213-86a0-d525e39d7db5	e58a54a9-17f9-4cf2-9169-3bfc7177a360	DRY_COOLER
76de25eb-83f7-4213-86a0-d525e39d7db5	b7f3dcfa-65f4-47ef-89c8-226feafeb22b	REMOTE_CONDENSER
76de25eb-83f7-4213-86a0-d525e39d7db5	2c57f37f-a41a-4f01-9962-3a963926601f	CHILLED_WATER_PUMPS
76de25eb-83f7-4213-86a0-d525e39d7db5	1731591f-5337-4b01-8d79-c7294a2f607e	HEAT_REJECTION_PUMPS
76de25eb-83f7-4213-86a0-d525e39d7db5	e8445d70-ef68-473c-8c7a-8efaa934f09c	VENTILATION
76de25eb-83f7-4213-86a0-d525e39d7db5	7b6023ac-8039-4245-9e43-0bfc732145bd	INFILTRATION
76de25eb-83f7-4213-86a0-d525e39d7db5	ef41de00-3e39-4b67-8eff-c5aaf4a3f541	IT_LOAD
71ec1651-8e2b-41af-8cd1-912ae618d453	60e807e6-f70a-41c8-b1d0-8a51e9f6dd36	SWITCHGEAR
71ec1651-8e2b-41af-8cd1-912ae618d453	5dd2a43a-1bee-4caa-b936-e3929f633700	GENERATOR
71ec1651-8e2b-41af-8cd1-912ae618d453	63627517-b6a1-492b-8f40-c36abcd53645	PRIMARY_AUXILIARIES
71ec1651-8e2b-41af-8cd1-912ae618d453	3c6effd1-d6b4-409b-ad66-ae2bfe483691	UPS
71ec1651-8e2b-41af-8cd1-912ae618d453	122fe3c5-e90e-4ad0-b44e-3fa8a02946d8	CRITICAL_AUXILIARIES
71ec1651-8e2b-41af-8cd1-912ae618d453	17614bc6-f7fe-441c-811f-e2e05e1df9f9	LIGHTING
71ec1651-8e2b-41af-8cd1-912ae618d453	aeec427a-0842-41f6-aaab-732343f99333	CRITICAL_POWER_DISTRIBUTION
71ec1651-8e2b-41af-8cd1-912ae618d453	dd15c1d4-1a96-471b-9659-92fdef507e6a	CRAH
71ec1651-8e2b-41af-8cd1-912ae618d453	f1133d8c-648b-4b43-b36c-a7cdd368923f	CRAC
71ec1651-8e2b-41af-8cd1-912ae618d453	b6a081d4-7dc5-400b-9720-0fc2d7766ad1	CRAC_WITHOUT_FAN
71ec1651-8e2b-41af-8cd1-912ae618d453	f608101a-0489-4da4-9574-ac1ff97aac3d	CRAC_FAN
71ec1651-8e2b-41af-8cd1-912ae618d453	3a9437c1-8ccc-47ab-b9ae-7f08c824a605	CHILLER
71ec1651-8e2b-41af-8cd1-912ae618d453	1c9bea40-0129-4a5a-8baa-b435f7728cec	AIR_COOLED_CHILLER
71ec1651-8e2b-41af-8cd1-912ae618d453	946672b0-6915-4d12-b8a0-232e4e695aba	COOLING_TOWER
71ec1651-8e2b-41af-8cd1-912ae618d453	3ed1eb3c-c8f0-481b-bff2-94979c0196e4	DRY_COOLER
71ec1651-8e2b-41af-8cd1-912ae618d453	96795868-e0c5-4a3b-9cc9-f8849596ba12	REMOTE_CONDENSER
71ec1651-8e2b-41af-8cd1-912ae618d453	c801d5ec-a516-4d77-8d5e-1f1c8b4023c9	CHILLED_WATER_PUMPS
71ec1651-8e2b-41af-8cd1-912ae618d453	f2eb644d-8aae-46bf-907c-217bec8eaf93	HEAT_REJECTION_PUMPS
71ec1651-8e2b-41af-8cd1-912ae618d453	5c36258c-a925-485d-af69-57c4e83fc712	VENTILATION
71ec1651-8e2b-41af-8cd1-912ae618d453	1672e1b9-aa68-440b-8f01-d23ad494ec08	INFILTRATION
71ec1651-8e2b-41af-8cd1-912ae618d453	3369037f-7b91-4ff8-9024-f553cda1a70c	IT_LOAD
735733a7-ecd0-4be2-8d04-92ca8b20d315	4c7ea61e-3cc3-4d12-881c-2bb1fad7c0d4	SWITCHGEAR
735733a7-ecd0-4be2-8d04-92ca8b20d315	0ee172b5-66eb-4b20-bd11-97e590a7912b	GENERATOR
735733a7-ecd0-4be2-8d04-92ca8b20d315	4b131fdb-d131-4a6d-aa21-50bd065ed3b8	PRIMARY_AUXILIARIES
735733a7-ecd0-4be2-8d04-92ca8b20d315	5cdab98e-50fb-4a84-b554-582b8097d4e7	UPS
735733a7-ecd0-4be2-8d04-92ca8b20d315	87e770b4-9dee-4248-b99c-6e0cd2aa91c5	CRITICAL_AUXILIARIES
735733a7-ecd0-4be2-8d04-92ca8b20d315	1b9438cd-d175-4627-bc64-d0d36a7a1f60	LIGHTING
735733a7-ecd0-4be2-8d04-92ca8b20d315	57edff70-3ef5-46b8-9f4f-e42e7238663a	CRITICAL_POWER_DISTRIBUTION
735733a7-ecd0-4be2-8d04-92ca8b20d315	5ea95f9c-d47a-406e-a478-fab53b956a86	CRAH
735733a7-ecd0-4be2-8d04-92ca8b20d315	84812bab-d4d4-4d8e-8b25-8b0d22b7a3f9	CRAC
735733a7-ecd0-4be2-8d04-92ca8b20d315	bbff1743-3d28-4ae0-bb40-01b4e9c5563c	CRAC_WITHOUT_FAN
735733a7-ecd0-4be2-8d04-92ca8b20d315	7bd5a284-14a3-417a-98ea-1e7e810f7179	CRAC_FAN
735733a7-ecd0-4be2-8d04-92ca8b20d315	a59b2e15-ac5e-4816-9433-03bbe76f0ba8	CHILLER
735733a7-ecd0-4be2-8d04-92ca8b20d315	a5cecab1-376c-43f4-b03f-290c2e986542	AIR_COOLED_CHILLER
735733a7-ecd0-4be2-8d04-92ca8b20d315	38950318-69ab-4516-95ec-270ce5e1c789	COOLING_TOWER
735733a7-ecd0-4be2-8d04-92ca8b20d315	1e051816-1b22-4f28-b23a-1d24879b4d43	DRY_COOLER
735733a7-ecd0-4be2-8d04-92ca8b20d315	76f82cf9-610b-49c0-9a71-ef0719d2938b	REMOTE_CONDENSER
735733a7-ecd0-4be2-8d04-92ca8b20d315	efc0ad89-74f5-4aad-abe2-0c0fba8b0d5b	CHILLED_WATER_PUMPS
735733a7-ecd0-4be2-8d04-92ca8b20d315	951b6ca3-827e-43a5-a802-57cd7f22fb7d	HEAT_REJECTION_PUMPS
735733a7-ecd0-4be2-8d04-92ca8b20d315	a5fa730b-941c-4bcf-aca1-1e73b41b1066	VENTILATION
735733a7-ecd0-4be2-8d04-92ca8b20d315	39091be5-1011-4424-9303-80d47b20b3c9	INFILTRATION
735733a7-ecd0-4be2-8d04-92ca8b20d315	6ca6822c-4645-4f20-871e-1218e79b3132	IT_LOAD
b9fff082-3c89-40fe-b42e-cefcfce92864	1cbf2b6a-d3fc-4031-acaf-cc2b8df30bbd	SWITCHGEAR
b9fff082-3c89-40fe-b42e-cefcfce92864	6e7d1308-18f6-4a79-86e3-737756cc77ec	GENERATOR
b9fff082-3c89-40fe-b42e-cefcfce92864	45f890f8-aea0-46fb-b49b-ecab859c2d8e	PRIMARY_AUXILIARIES
b9fff082-3c89-40fe-b42e-cefcfce92864	06166c5d-560e-49a3-a58d-fb83df8f014c	UPS
b9fff082-3c89-40fe-b42e-cefcfce92864	0c2c4553-7d0a-4d1e-8f74-a20fa3c8371c	CRITICAL_AUXILIARIES
b9fff082-3c89-40fe-b42e-cefcfce92864	59ab7153-89a5-4807-933a-1a44dc5565cd	LIGHTING
b9fff082-3c89-40fe-b42e-cefcfce92864	64b9a26d-699b-473b-89f7-f253731a380f	CRITICAL_POWER_DISTRIBUTION
b9fff082-3c89-40fe-b42e-cefcfce92864	fbbfa8d2-de03-4811-8959-90dc22233b4c	CRAH
b9fff082-3c89-40fe-b42e-cefcfce92864	76df400b-87df-4372-b944-9b61cb8cf4cb	CRAC
b9fff082-3c89-40fe-b42e-cefcfce92864	b13638e0-cd15-4b99-8131-1f8e4e5d0d94	CRAC_WITHOUT_FAN
b9fff082-3c89-40fe-b42e-cefcfce92864	8f04c727-790e-4a95-b28b-2eeb315786c2	CRAC_FAN
b9fff082-3c89-40fe-b42e-cefcfce92864	670de4e2-8542-47fb-a643-f2f941fdd3ef	CHILLER
b9fff082-3c89-40fe-b42e-cefcfce92864	c4646fed-4717-4bfa-a5cc-9a5d0e7b7c14	AIR_COOLED_CHILLER
b9fff082-3c89-40fe-b42e-cefcfce92864	0f5574fc-9976-4248-9772-c3d080d641d4	COOLING_TOWER
b9fff082-3c89-40fe-b42e-cefcfce92864	b5c9ab5a-faef-45ec-b517-fb9774d052cc	DRY_COOLER
b9fff082-3c89-40fe-b42e-cefcfce92864	7fea8703-d853-4d13-905f-87e89ddb7b42	REMOTE_CONDENSER
b9fff082-3c89-40fe-b42e-cefcfce92864	f855f9ba-cf6e-414e-8ee6-120c95b71c06	CHILLED_WATER_PUMPS
b9fff082-3c89-40fe-b42e-cefcfce92864	711f42fb-4553-4b1f-a083-2e078aa523ac	HEAT_REJECTION_PUMPS
b9fff082-3c89-40fe-b42e-cefcfce92864	d8ed4ed0-123c-4090-b449-d4129229a6fe	VENTILATION
b9fff082-3c89-40fe-b42e-cefcfce92864	f85c0a74-34ca-4478-99fa-f163e58d3e7b	INFILTRATION
b9fff082-3c89-40fe-b42e-cefcfce92864	166400f0-189f-449b-8c8a-475e7978023b	IT_LOAD
15b8b0dc-43d8-49eb-b914-f89b9da71357	66dcac20-915d-4620-9b8e-c94494cd7ca1	SWITCHGEAR
15b8b0dc-43d8-49eb-b914-f89b9da71357	85867b79-fb7e-41f2-a2c3-bed28a94713c	GENERATOR
15b8b0dc-43d8-49eb-b914-f89b9da71357	ed0884be-bc19-429f-a3d3-6a6edcbdb184	PRIMARY_AUXILIARIES
15b8b0dc-43d8-49eb-b914-f89b9da71357	946dfcaa-ab60-4604-8c69-b0cf195b8451	UPS
15b8b0dc-43d8-49eb-b914-f89b9da71357	82c39511-cdc8-4fcc-a696-49d244a3395a	CRITICAL_AUXILIARIES
15b8b0dc-43d8-49eb-b914-f89b9da71357	4ec47fde-1643-4a5a-b8e5-f1db0a8024ef	LIGHTING
15b8b0dc-43d8-49eb-b914-f89b9da71357	f7c6e3c8-f0d2-4690-b386-c88d98ff82c2	CRITICAL_POWER_DISTRIBUTION
15b8b0dc-43d8-49eb-b914-f89b9da71357	471e91b3-9f70-4522-87fa-1a132f0ac1a8	CRAH
15b8b0dc-43d8-49eb-b914-f89b9da71357	439ad037-ee8a-4a10-8328-dfa613034c9b	CRAC
15b8b0dc-43d8-49eb-b914-f89b9da71357	f6e2bb0d-2090-4f5f-ab66-18849e0290df	CRAC_WITHOUT_FAN
15b8b0dc-43d8-49eb-b914-f89b9da71357	2f09fb16-4705-4ae4-af41-fca8b6b0230a	CRAC_FAN
15b8b0dc-43d8-49eb-b914-f89b9da71357	dc1d76f8-7106-4013-81fa-c27302b6652c	CHILLER
15b8b0dc-43d8-49eb-b914-f89b9da71357	be4e9f3e-bf42-477a-b89f-d114ed8341ab	AIR_COOLED_CHILLER
15b8b0dc-43d8-49eb-b914-f89b9da71357	d8d76b9a-8883-4b0e-b05f-2f747b1d4c73	COOLING_TOWER
15b8b0dc-43d8-49eb-b914-f89b9da71357	4043dd87-ae92-4a4f-a4be-08217dead818	DRY_COOLER
15b8b0dc-43d8-49eb-b914-f89b9da71357	86e20607-5158-43d0-8b18-5f82f2c2e97f	REMOTE_CONDENSER
15b8b0dc-43d8-49eb-b914-f89b9da71357	80db56fb-4aed-48d6-99c0-563844cf4a3b	CHILLED_WATER_PUMPS
15b8b0dc-43d8-49eb-b914-f89b9da71357	15f0d69a-e41a-4e4c-be70-c75441dd92a8	HEAT_REJECTION_PUMPS
15b8b0dc-43d8-49eb-b914-f89b9da71357	0d591d13-9c80-4515-bdd2-fe3d6e4e7a41	VENTILATION
15b8b0dc-43d8-49eb-b914-f89b9da71357	6e6939d4-b2a2-47a9-94ff-461fbb85661a	INFILTRATION
15b8b0dc-43d8-49eb-b914-f89b9da71357	ee117aae-8558-4095-80f1-85e106e0a512	IT_LOAD
6910981b-365e-42dc-82c2-192b2080be95	a122ff1c-b75d-45e9-a42d-50455c07c4c4	SWITCHGEAR
6910981b-365e-42dc-82c2-192b2080be95	37fcbfb3-32bd-432d-96e4-39a07087a134	GENERATOR
6910981b-365e-42dc-82c2-192b2080be95	f7af96a9-10fc-48b9-8f3a-9a64d4ef2a5b	PRIMARY_AUXILIARIES
6910981b-365e-42dc-82c2-192b2080be95	15ec4b13-8455-4a7c-9772-6f59b2d9a6c9	UPS
6910981b-365e-42dc-82c2-192b2080be95	1059e90f-b1c3-406d-91e9-9839fb1ff6f7	CRITICAL_AUXILIARIES
6910981b-365e-42dc-82c2-192b2080be95	b4a9b3b7-d2e0-4623-8a1f-b185525be837	LIGHTING
6910981b-365e-42dc-82c2-192b2080be95	f06576c9-aaa4-4fd1-ac15-451b48a75967	CRITICAL_POWER_DISTRIBUTION
6910981b-365e-42dc-82c2-192b2080be95	ecdd5167-a968-42cd-9eb5-9e31369646aa	CRAH
6910981b-365e-42dc-82c2-192b2080be95	6b2b3130-9b0e-47bf-96f6-4d991a5b5543	CRAC
6910981b-365e-42dc-82c2-192b2080be95	72a86295-07a8-4e95-ac4d-d172c25661a2	CRAC_WITHOUT_FAN
6910981b-365e-42dc-82c2-192b2080be95	4270fd49-01dc-4bf5-b247-72a16093132b	CRAC_FAN
6910981b-365e-42dc-82c2-192b2080be95	e82330e8-23df-416f-9716-a614bc6108fa	CHILLER
6910981b-365e-42dc-82c2-192b2080be95	d327181a-4b6b-432f-ac86-d871aad0c951	AIR_COOLED_CHILLER
6910981b-365e-42dc-82c2-192b2080be95	e7141e07-0fdb-487c-b0c9-e3e92ea803cf	COOLING_TOWER
6910981b-365e-42dc-82c2-192b2080be95	e2579a2b-6132-4169-a34e-15875eaa2a3a	DRY_COOLER
6910981b-365e-42dc-82c2-192b2080be95	c35fa2bf-f575-43f0-a719-30995ba9e125	REMOTE_CONDENSER
6910981b-365e-42dc-82c2-192b2080be95	8f22aa60-c0c7-4c6b-a691-e5f42cae9bda	CHILLED_WATER_PUMPS
6910981b-365e-42dc-82c2-192b2080be95	f7b6113f-a5c4-4d0f-897e-329c71228a8e	HEAT_REJECTION_PUMPS
6910981b-365e-42dc-82c2-192b2080be95	08e67cbb-de6d-4d98-8da7-4ce1c3fd8530	VENTILATION
6910981b-365e-42dc-82c2-192b2080be95	0516fb48-d695-4307-8096-27a7118fa7c4	INFILTRATION
6910981b-365e-42dc-82c2-192b2080be95	5d8934e4-94ab-4375-8e02-b234f6e0ed5f	IT_LOAD
b656e6da-edf8-40a7-aec9-832382cd7b38	201f3bcb-9462-4ab0-8932-484563a61c42	SWITCHGEAR
b656e6da-edf8-40a7-aec9-832382cd7b38	a78fdafc-4c76-4625-90b0-1c1f4091ed2e	GENERATOR
b656e6da-edf8-40a7-aec9-832382cd7b38	e571f784-23e9-4e35-a48b-56919186c573	PRIMARY_AUXILIARIES
b656e6da-edf8-40a7-aec9-832382cd7b38	b4d83649-076f-4d29-8162-021cf16be8c9	UPS
b656e6da-edf8-40a7-aec9-832382cd7b38	9c2af1b2-b720-4149-9805-6a773bb7e2bf	CRITICAL_AUXILIARIES
b656e6da-edf8-40a7-aec9-832382cd7b38	052d7df4-e722-4b54-b8ac-666494e191a7	LIGHTING
b656e6da-edf8-40a7-aec9-832382cd7b38	e0cebc46-cee8-41f7-bb6a-9f1123e640af	CRITICAL_POWER_DISTRIBUTION
b656e6da-edf8-40a7-aec9-832382cd7b38	26c9de65-4493-4922-8dc0-4b8783588a85	CRAH
b656e6da-edf8-40a7-aec9-832382cd7b38	71b08f29-8845-48e5-90cf-d12f1052ef8f	CRAC
b656e6da-edf8-40a7-aec9-832382cd7b38	573445a5-48a5-47e1-9a34-037a93b1e219	CRAC_WITHOUT_FAN
b656e6da-edf8-40a7-aec9-832382cd7b38	511be8e0-fa02-4014-9e36-bbb9d45d3a49	CRAC_FAN
b656e6da-edf8-40a7-aec9-832382cd7b38	911981c9-b7cf-4c53-ab28-2b01e6a7ebff	CHILLER
b656e6da-edf8-40a7-aec9-832382cd7b38	fa031790-a8ce-4614-9c99-9e30222c4390	AIR_COOLED_CHILLER
b656e6da-edf8-40a7-aec9-832382cd7b38	4c2bf4ca-b9f4-45ff-aa27-afb8b870ba9a	COOLING_TOWER
b656e6da-edf8-40a7-aec9-832382cd7b38	b10b7c98-06e9-4328-a201-cd5d1b78e75d	DRY_COOLER
b656e6da-edf8-40a7-aec9-832382cd7b38	889c62b2-deb3-4cf3-b569-fefd26984ff5	REMOTE_CONDENSER
b656e6da-edf8-40a7-aec9-832382cd7b38	de5b7861-31b1-49a4-9e97-27225b259cee	CHILLED_WATER_PUMPS
b656e6da-edf8-40a7-aec9-832382cd7b38	6021c3e6-3887-43a1-a75a-64f2953d0686	HEAT_REJECTION_PUMPS
b656e6da-edf8-40a7-aec9-832382cd7b38	7f461599-530b-4634-b3bc-b7bd357601e5	VENTILATION
b656e6da-edf8-40a7-aec9-832382cd7b38	04b6a15a-2696-48c5-a63c-47663c367ae2	INFILTRATION
b656e6da-edf8-40a7-aec9-832382cd7b38	05aa104a-c462-46ae-a98c-66d53a313b18	IT_LOAD
868505d2-ebe3-4a64-abb6-7606d06f73cd	0dec4936-a4fb-48c1-8078-a88c49c8550b	SWITCHGEAR
868505d2-ebe3-4a64-abb6-7606d06f73cd	5e654dd9-ea03-4892-9a01-d16d5e2c0d82	GENERATOR
868505d2-ebe3-4a64-abb6-7606d06f73cd	55a35dd6-b74b-4d8b-8125-ebc8d48bb30d	PRIMARY_AUXILIARIES
868505d2-ebe3-4a64-abb6-7606d06f73cd	a9229c12-3ce5-4323-87aa-168e2c6a52ff	UPS
868505d2-ebe3-4a64-abb6-7606d06f73cd	474ad018-f73f-46ec-8612-6dd48db707b0	CRITICAL_AUXILIARIES
868505d2-ebe3-4a64-abb6-7606d06f73cd	afa48b5f-94be-45fb-b343-bf8c97a4c43d	LIGHTING
868505d2-ebe3-4a64-abb6-7606d06f73cd	3ca80a2a-1936-4000-b2c1-b90531c1a11a	CRITICAL_POWER_DISTRIBUTION
868505d2-ebe3-4a64-abb6-7606d06f73cd	f5c143d2-e5eb-4db4-a27a-140aa3133beb	CRAH
868505d2-ebe3-4a64-abb6-7606d06f73cd	3ddd0291-cca5-4b19-b118-4896a7c5b9c5	CRAC
868505d2-ebe3-4a64-abb6-7606d06f73cd	38d4735f-8bff-4980-9538-ed4fd0e14c95	CRAC_WITHOUT_FAN
868505d2-ebe3-4a64-abb6-7606d06f73cd	614a4d21-05ad-4a95-9268-c0e73e042540	CRAC_FAN
868505d2-ebe3-4a64-abb6-7606d06f73cd	d4ebb2fd-f3bf-43e3-a41a-a499d9987306	CHILLER
868505d2-ebe3-4a64-abb6-7606d06f73cd	390508d4-a4d7-4753-8a9b-5f038b582e10	AIR_COOLED_CHILLER
868505d2-ebe3-4a64-abb6-7606d06f73cd	6c6c5305-5df3-4f79-8677-842b8c571f2b	COOLING_TOWER
868505d2-ebe3-4a64-abb6-7606d06f73cd	99607eb6-316d-43d7-9ce6-ab54874bae29	DRY_COOLER
868505d2-ebe3-4a64-abb6-7606d06f73cd	9da96e88-988b-4324-8ff6-c3395f6eb6bb	REMOTE_CONDENSER
868505d2-ebe3-4a64-abb6-7606d06f73cd	6aac225f-353c-4e31-8fea-7dd3a52b2067	CHILLED_WATER_PUMPS
868505d2-ebe3-4a64-abb6-7606d06f73cd	75b08cc8-e7ce-443d-a991-20e109ad311f	HEAT_REJECTION_PUMPS
868505d2-ebe3-4a64-abb6-7606d06f73cd	f73787a9-fcc9-486f-819f-544a7f6ec27f	VENTILATION
868505d2-ebe3-4a64-abb6-7606d06f73cd	4380a558-38b6-4021-a6fa-c70bab92ed36	INFILTRATION
868505d2-ebe3-4a64-abb6-7606d06f73cd	5414604f-be19-4ad6-bd07-c05ee2c634c9	IT_LOAD
e151d6d4-bc30-4a4b-8537-c926773f2ef7	4c973b34-1a34-4fbf-9fe7-5548c29c0665	SWITCHGEAR
e151d6d4-bc30-4a4b-8537-c926773f2ef7	e08ff29a-7606-4368-aef2-6b6c52e1b52e	GENERATOR
e151d6d4-bc30-4a4b-8537-c926773f2ef7	3ab862a0-a415-49c5-913b-c97b479dc398	PRIMARY_AUXILIARIES
e151d6d4-bc30-4a4b-8537-c926773f2ef7	b781e533-7966-4614-8ae8-913e64bb2a63	UPS
e151d6d4-bc30-4a4b-8537-c926773f2ef7	a675ce69-3c11-4662-a438-2c09c286c608	CRITICAL_AUXILIARIES
e151d6d4-bc30-4a4b-8537-c926773f2ef7	ddbb95a7-2bf4-4022-a86f-700f5c48db04	LIGHTING
e151d6d4-bc30-4a4b-8537-c926773f2ef7	1f89d580-be69-4959-88d0-4440f57bbe07	CRITICAL_POWER_DISTRIBUTION
e151d6d4-bc30-4a4b-8537-c926773f2ef7	5f307b7f-6c86-40c4-b8ce-d9469e1110c4	CRAH
e151d6d4-bc30-4a4b-8537-c926773f2ef7	c4aeedf4-2603-4e1e-a501-0dfc96e1266e	CRAC
e151d6d4-bc30-4a4b-8537-c926773f2ef7	80b50ee3-c615-4ba3-a60f-7353e22dd98d	CRAC_WITHOUT_FAN
e151d6d4-bc30-4a4b-8537-c926773f2ef7	aafa6e82-8a29-4306-85e9-42b743190d6b	CRAC_FAN
e151d6d4-bc30-4a4b-8537-c926773f2ef7	6038f32a-536d-4bc5-b011-825b89f8c5ef	CHILLER
e151d6d4-bc30-4a4b-8537-c926773f2ef7	b5aa3e97-ced9-4eae-bd0e-e9166572a0be	AIR_COOLED_CHILLER
e151d6d4-bc30-4a4b-8537-c926773f2ef7	d833afe3-62c5-4575-a8ca-ab933aea17e4	COOLING_TOWER
e151d6d4-bc30-4a4b-8537-c926773f2ef7	3a8e524e-289d-4dd2-8ad8-e5411609b44b	DRY_COOLER
e151d6d4-bc30-4a4b-8537-c926773f2ef7	b1ca8756-e33c-4f8f-be7d-9136b6e9ccb7	REMOTE_CONDENSER
e151d6d4-bc30-4a4b-8537-c926773f2ef7	2c95aef0-351d-4d59-8214-ccda5d36c8ff	CHILLED_WATER_PUMPS
e151d6d4-bc30-4a4b-8537-c926773f2ef7	a3991981-9454-4ea8-ad4e-56f285592af5	HEAT_REJECTION_PUMPS
e151d6d4-bc30-4a4b-8537-c926773f2ef7	16c937dd-d8e0-4ace-a1ea-b31c4023ce33	VENTILATION
e151d6d4-bc30-4a4b-8537-c926773f2ef7	2811316c-69fc-462b-b704-f15609ec4cb7	INFILTRATION
e151d6d4-bc30-4a4b-8537-c926773f2ef7	e040c487-edac-49e6-80f6-733d283e5298	IT_LOAD
449a4eaf-5890-495b-8ec2-cbfeac8c9301	6163d5f2-6aec-4ed9-9322-fb02d7ba0230	SWITCHGEAR
449a4eaf-5890-495b-8ec2-cbfeac8c9301	436cfce4-2f97-4e0d-859d-dacf5c0ee71e	GENERATOR
449a4eaf-5890-495b-8ec2-cbfeac8c9301	d16af27e-e07b-4769-9527-eb5ecd7e197e	PRIMARY_AUXILIARIES
449a4eaf-5890-495b-8ec2-cbfeac8c9301	9b7f706c-92d8-4000-b0b7-1d7b706343e7	UPS
449a4eaf-5890-495b-8ec2-cbfeac8c9301	877460e5-558b-4dbb-aa01-cc20fe624550	CRITICAL_AUXILIARIES
449a4eaf-5890-495b-8ec2-cbfeac8c9301	fa7d7a78-b0f6-4d77-8771-f5144115e32f	LIGHTING
449a4eaf-5890-495b-8ec2-cbfeac8c9301	3fc8faa3-90cf-4986-91cd-bb0de2f9842d	CRITICAL_POWER_DISTRIBUTION
449a4eaf-5890-495b-8ec2-cbfeac8c9301	12294b39-4a60-4a75-b57c-14f34b655200	CRAH
449a4eaf-5890-495b-8ec2-cbfeac8c9301	82eaaa4f-8d90-4778-b1f4-abee5e2a06d1	CRAC
449a4eaf-5890-495b-8ec2-cbfeac8c9301	d01ff333-479f-43a3-94e0-2356dd7c4500	CRAC_WITHOUT_FAN
449a4eaf-5890-495b-8ec2-cbfeac8c9301	b98f0a0b-33a2-4818-bb1f-7e557ec039d3	CRAC_FAN
449a4eaf-5890-495b-8ec2-cbfeac8c9301	a5a7a7dd-1406-44a8-9c69-a1db143b6dd7	CHILLER
449a4eaf-5890-495b-8ec2-cbfeac8c9301	0071d2c9-108f-49eb-ae40-d9ebb948d796	AIR_COOLED_CHILLER
449a4eaf-5890-495b-8ec2-cbfeac8c9301	eb7ad994-9409-47d2-a5e0-776c0b76937b	COOLING_TOWER
449a4eaf-5890-495b-8ec2-cbfeac8c9301	ccae62b3-570a-4b98-990c-b1f84efea258	DRY_COOLER
449a4eaf-5890-495b-8ec2-cbfeac8c9301	65614c17-d096-4d72-8e7c-9117a40fdd64	REMOTE_CONDENSER
449a4eaf-5890-495b-8ec2-cbfeac8c9301	011f23c0-c8bc-4395-9c8b-97a1e7dac03c	CHILLED_WATER_PUMPS
449a4eaf-5890-495b-8ec2-cbfeac8c9301	3e82de32-9391-491b-9695-ce571c42f20a	HEAT_REJECTION_PUMPS
449a4eaf-5890-495b-8ec2-cbfeac8c9301	4002d0a4-8efe-4801-8dda-23f9dec0561b	VENTILATION
449a4eaf-5890-495b-8ec2-cbfeac8c9301	95a0ecb3-11a5-4d87-992d-6ca818980d82	INFILTRATION
449a4eaf-5890-495b-8ec2-cbfeac8c9301	6ea2e257-55ec-4cd5-aca0-cf52533885df	IT_LOAD
7534f661-e244-4082-bfc4-ef62c0f031d2	5de7cd92-5686-4c8f-be6b-f90459792aac	SWITCHGEAR
7534f661-e244-4082-bfc4-ef62c0f031d2	c78e5c65-0515-48fb-81e0-046a03d0b4ad	GENERATOR
7534f661-e244-4082-bfc4-ef62c0f031d2	981adc79-b050-4350-93b8-de6719ed1790	PRIMARY_AUXILIARIES
7534f661-e244-4082-bfc4-ef62c0f031d2	391a2569-4297-4c3f-8f30-0637f2f99764	UPS
7534f661-e244-4082-bfc4-ef62c0f031d2	9462be78-fbb8-4dfb-aa57-09abfce3a801	CRITICAL_AUXILIARIES
7534f661-e244-4082-bfc4-ef62c0f031d2	2e779e98-76fd-483b-bb86-d4dc7fbba660	LIGHTING
7534f661-e244-4082-bfc4-ef62c0f031d2	75c68003-5a50-4a2b-9807-92685618725b	CRITICAL_POWER_DISTRIBUTION
7534f661-e244-4082-bfc4-ef62c0f031d2	29c2fa57-802b-469d-bd0d-d8cba7049763	CRAH
7534f661-e244-4082-bfc4-ef62c0f031d2	464c9d97-ed78-47d6-839d-acf2f305ebce	CRAC
7534f661-e244-4082-bfc4-ef62c0f031d2	613256f4-a128-4136-b92a-a8bc5d3bd53f	CRAC_WITHOUT_FAN
7534f661-e244-4082-bfc4-ef62c0f031d2	083d7368-68f9-4cfe-992d-68ad984e0477	CRAC_FAN
7534f661-e244-4082-bfc4-ef62c0f031d2	3e224bc9-0656-40eb-862e-777a90c6d909	CHILLER
7534f661-e244-4082-bfc4-ef62c0f031d2	9af0c57f-5b27-43f2-8361-1cf4cb5d161a	AIR_COOLED_CHILLER
7534f661-e244-4082-bfc4-ef62c0f031d2	ba641226-546d-4b37-910d-4cecc6aef250	COOLING_TOWER
7534f661-e244-4082-bfc4-ef62c0f031d2	8daee785-925c-4efb-b66e-edab644b6ef4	DRY_COOLER
7534f661-e244-4082-bfc4-ef62c0f031d2	8ca2dcd1-5072-45f6-9d5c-29b6f428a6dc	REMOTE_CONDENSER
7534f661-e244-4082-bfc4-ef62c0f031d2	a499ffa1-4368-4049-a049-88594e4cd342	CHILLED_WATER_PUMPS
7534f661-e244-4082-bfc4-ef62c0f031d2	4587e706-54ed-4c7e-98ac-c2df5d2c38b6	HEAT_REJECTION_PUMPS
7534f661-e244-4082-bfc4-ef62c0f031d2	efe8d686-90a0-4edf-b41a-1da7758f0075	VENTILATION
7534f661-e244-4082-bfc4-ef62c0f031d2	d6cbe09a-be8e-46ae-8672-437654e366b8	INFILTRATION
7534f661-e244-4082-bfc4-ef62c0f031d2	226a1948-9a07-40e9-817d-ce8d4abd6e2e	IT_LOAD
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	95d41018-37e1-41d7-b143-2743283045ce	SWITCHGEAR
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	6289427a-f658-4091-9879-1c838cf6534d	GENERATOR
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	7e29a81d-7d63-4b8d-87ba-d78da5995a4b	PRIMARY_AUXILIARIES
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	b555afb5-f823-477c-94d9-bae833e3d2ef	UPS
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	c386924c-fa5e-4bf3-83ea-74f206f5a010	CRITICAL_AUXILIARIES
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	5abc8180-7baf-4706-bfaa-e7346d86f6ea	LIGHTING
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	2d983585-d0a2-4636-9b71-503110078d53	CRITICAL_POWER_DISTRIBUTION
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	4fca57eb-2849-4b56-8d4d-e09566b82633	CRAH
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	61dcf120-e2c8-4d0f-8ad0-88a2c0283352	CRAC
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	d641d6b4-bd9f-44ed-bd43-530b4d4adf02	CRAC_WITHOUT_FAN
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	088742fb-ad32-403f-97d9-d10922f31563	CRAC_FAN
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	ef973a1f-e912-4a39-80c5-c3571be7fe9b	CHILLER
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	3568ca19-bc10-4532-a83b-fd0d85e1e3cd	AIR_COOLED_CHILLER
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	0bb276e9-a7c0-48b0-9f5a-e1511623d0fd	COOLING_TOWER
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	50c954b8-8e9e-4361-874f-f1b86a16fd7a	DRY_COOLER
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	adb05cde-c106-4044-975d-d2a3cde88965	REMOTE_CONDENSER
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	4f89a57a-e179-4327-9b15-9c270e4b023b	CHILLED_WATER_PUMPS
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	5de8e1b5-21bc-46d3-ba79-b26f3a058803	HEAT_REJECTION_PUMPS
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	430dafac-ea84-4436-a9e7-805d5e12c13d	VENTILATION
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	2acb5ade-07b7-46f0-95a5-c00b59091070	INFILTRATION
7affde7d-8f29-4c5a-b6a3-4d7444a2ad89	3a60aac4-0b3c-4bec-af23-6e32747e4f4c	IT_LOAD
c304310b-262b-473e-8731-937881307018	dfe29700-d1b8-4e5f-af77-f7dd44a9f7cd	SWITCHGEAR
c304310b-262b-473e-8731-937881307018	e3136d57-7a51-47fa-8690-ba719964ebf7	GENERATOR
c304310b-262b-473e-8731-937881307018	be10668a-6700-475e-9d51-753ae069fdfe	PRIMARY_AUXILIARIES
c304310b-262b-473e-8731-937881307018	9e2514ae-2396-4998-9d54-d368caa29d16	UPS
c304310b-262b-473e-8731-937881307018	83e4d60c-994a-49d2-b8b6-59ef1ced67e1	CRITICAL_AUXILIARIES
c304310b-262b-473e-8731-937881307018	32971f62-9fc4-4dd7-8c41-59e118e0c864	LIGHTING
c304310b-262b-473e-8731-937881307018	773f7212-c30c-4169-8da9-fff95a112bd8	CRITICAL_POWER_DISTRIBUTION
c304310b-262b-473e-8731-937881307018	44fbfdda-1e88-4f82-bd36-65723efa3ccc	CRAH
c304310b-262b-473e-8731-937881307018	b01a6542-67de-4aba-b652-c4760fdfb8c7	CRAC
c304310b-262b-473e-8731-937881307018	c8e8ce8f-3c7e-4937-9c16-6dcfb4f69a3f	CRAC_WITHOUT_FAN
c304310b-262b-473e-8731-937881307018	1023d8f4-8dd2-4d2c-80a5-0c01834e985e	CRAC_FAN
c304310b-262b-473e-8731-937881307018	1dfb87e6-186e-4b0d-9398-675f9367ac59	CHILLER
c304310b-262b-473e-8731-937881307018	365aa077-6408-4f51-9f86-90284fb64aad	AIR_COOLED_CHILLER
c304310b-262b-473e-8731-937881307018	dbed3905-9743-4057-bf80-a6e6a4b54a49	COOLING_TOWER
c304310b-262b-473e-8731-937881307018	149110f9-e5b1-455e-b707-e6d63fc19115	DRY_COOLER
c304310b-262b-473e-8731-937881307018	358f9e55-e806-484c-996f-d6ec0576280c	REMOTE_CONDENSER
c304310b-262b-473e-8731-937881307018	2dce4154-c740-4893-97fb-dbba3a68bce0	CHILLED_WATER_PUMPS
c304310b-262b-473e-8731-937881307018	a5897a44-c0f9-4df8-b69c-f8ede86d1f32	HEAT_REJECTION_PUMPS
c304310b-262b-473e-8731-937881307018	b95204ce-88b0-47ee-95ac-57f02194de09	VENTILATION
c304310b-262b-473e-8731-937881307018	b7fccb96-438d-4464-86c0-1e431d35a29e	INFILTRATION
c304310b-262b-473e-8731-937881307018	8d69c363-67f7-49d3-af99-b4c51590f351	IT_LOAD
7cc1af79-5c44-49bc-819b-9eb45c7b5118	44b14df7-d2cc-4333-88f1-61491a9fb806	SWITCHGEAR
7cc1af79-5c44-49bc-819b-9eb45c7b5118	16532c1d-db1b-463c-a102-6c682d212615	GENERATOR
7cc1af79-5c44-49bc-819b-9eb45c7b5118	ab47c73d-a9d4-4c2c-83ad-313f280395a4	PRIMARY_AUXILIARIES
7cc1af79-5c44-49bc-819b-9eb45c7b5118	a8542698-247d-468b-82ba-7a3a2f062b14	UPS
7cc1af79-5c44-49bc-819b-9eb45c7b5118	35407ad2-d1bb-406d-9e05-687901d5f60a	CRITICAL_AUXILIARIES
7cc1af79-5c44-49bc-819b-9eb45c7b5118	ebcc552d-c2a2-4c85-994d-d0cdbcbb5593	LIGHTING
7cc1af79-5c44-49bc-819b-9eb45c7b5118	620ef31b-f34b-4983-8472-e6c264bcd721	CRITICAL_POWER_DISTRIBUTION
7cc1af79-5c44-49bc-819b-9eb45c7b5118	6fe0e5b8-94ae-46de-85d6-e1609ea58f40	CRAH
7cc1af79-5c44-49bc-819b-9eb45c7b5118	28c0aa18-4a35-42b2-8df4-358e55e8a2bc	CRAC
7cc1af79-5c44-49bc-819b-9eb45c7b5118	1ac9ab27-41ce-4e00-8d08-e24dc54ed916	CRAC_WITHOUT_FAN
7cc1af79-5c44-49bc-819b-9eb45c7b5118	c05efab3-56db-40ca-a32b-cd5bd85e8050	CRAC_FAN
7cc1af79-5c44-49bc-819b-9eb45c7b5118	b2bb223d-67d6-43cd-94ed-c059c26f62d5	CHILLER
7cc1af79-5c44-49bc-819b-9eb45c7b5118	69b58c53-805e-41a0-bd15-186b5c597ef8	AIR_COOLED_CHILLER
7cc1af79-5c44-49bc-819b-9eb45c7b5118	028f5cff-3199-4c30-94b0-a43637b53587	COOLING_TOWER
7cc1af79-5c44-49bc-819b-9eb45c7b5118	bda7760e-6249-483a-9aab-2781a1a99683	DRY_COOLER
7cc1af79-5c44-49bc-819b-9eb45c7b5118	5eba14d7-d54d-41c2-a84e-22fa0e28b4f4	REMOTE_CONDENSER
7cc1af79-5c44-49bc-819b-9eb45c7b5118	8987431e-7444-42fe-a7b4-80eb6e02a031	CHILLED_WATER_PUMPS
7cc1af79-5c44-49bc-819b-9eb45c7b5118	996fa4f2-d6b7-4e39-a4c1-b30ac8534dba	HEAT_REJECTION_PUMPS
7cc1af79-5c44-49bc-819b-9eb45c7b5118	59ec0481-53f3-4ee6-95f9-55698f16898a	VENTILATION
7cc1af79-5c44-49bc-819b-9eb45c7b5118	299b5cd7-5166-475c-b09c-e7b3ea43513b	INFILTRATION
7cc1af79-5c44-49bc-819b-9eb45c7b5118	9c52c259-7120-45d9-875a-327d3955e470	IT_LOAD
113fa189-04ea-4808-9c0a-a210b2c7fe4f	380fc136-569d-406b-9f2a-05ea9ef7e593	SWITCHGEAR
113fa189-04ea-4808-9c0a-a210b2c7fe4f	f7816884-00c7-4028-9067-b08536d53f81	GENERATOR
113fa189-04ea-4808-9c0a-a210b2c7fe4f	e90aeaa6-5b48-45f9-8d3c-6ab6407dfad8	PRIMARY_AUXILIARIES
113fa189-04ea-4808-9c0a-a210b2c7fe4f	d3f0b751-1304-4028-a6a7-96042de26d5f	UPS
113fa189-04ea-4808-9c0a-a210b2c7fe4f	76300238-52c4-4fb1-aeb9-1c0caf2dfb36	CRITICAL_AUXILIARIES
113fa189-04ea-4808-9c0a-a210b2c7fe4f	e2306b73-cf7e-46d7-969c-3f43dd2b333e	LIGHTING
113fa189-04ea-4808-9c0a-a210b2c7fe4f	1052a0e5-7d1e-47f7-876f-4eba3c6e196e	CRITICAL_POWER_DISTRIBUTION
113fa189-04ea-4808-9c0a-a210b2c7fe4f	7ad4ebf0-b436-4561-8cae-c252061f2aa9	CRAH
113fa189-04ea-4808-9c0a-a210b2c7fe4f	9b55e678-54fc-43b2-8922-2ccc38113da8	CRAC
113fa189-04ea-4808-9c0a-a210b2c7fe4f	d1b4f7b2-547d-4440-babe-6901cf1fbd1d	CRAC_WITHOUT_FAN
113fa189-04ea-4808-9c0a-a210b2c7fe4f	8170b28f-6584-4a82-9527-ca6c0bf833be	CRAC_FAN
113fa189-04ea-4808-9c0a-a210b2c7fe4f	62a04bca-aa55-40fb-b09c-5426b61dd692	CHILLER
113fa189-04ea-4808-9c0a-a210b2c7fe4f	c1fafbc3-a76f-4f86-b2a6-ff82839929fa	AIR_COOLED_CHILLER
113fa189-04ea-4808-9c0a-a210b2c7fe4f	55a4896e-72e5-42a5-9d68-7997ba1644a1	COOLING_TOWER
113fa189-04ea-4808-9c0a-a210b2c7fe4f	1a011508-c7a4-4bec-893f-79e6c812575b	DRY_COOLER
113fa189-04ea-4808-9c0a-a210b2c7fe4f	55b6843f-98c5-4f78-9e05-a34e7264423c	REMOTE_CONDENSER
113fa189-04ea-4808-9c0a-a210b2c7fe4f	f5352ccf-8f1c-47dd-a8a7-47a8c3560255	CHILLED_WATER_PUMPS
113fa189-04ea-4808-9c0a-a210b2c7fe4f	49d39de8-4779-4b33-8c92-bb175cee1fdc	HEAT_REJECTION_PUMPS
113fa189-04ea-4808-9c0a-a210b2c7fe4f	f852e70f-9ab3-448c-acd9-ead127699fb8	VENTILATION
113fa189-04ea-4808-9c0a-a210b2c7fe4f	6eeb3d30-cbb3-4453-be3e-f9820cd69c4d	INFILTRATION
113fa189-04ea-4808-9c0a-a210b2c7fe4f	0fc2e9b8-958e-4142-9b7c-c4465e780626	IT_LOAD
0ccd41ff-2fe0-4045-876f-3332176119ec	e5779b56-423b-4dc8-b851-8718f474cc39	SWITCHGEAR
0ccd41ff-2fe0-4045-876f-3332176119ec	c45b3020-7bcb-4018-888e-e3385351a58e	GENERATOR
0ccd41ff-2fe0-4045-876f-3332176119ec	0db48d19-1db8-4153-937c-2d1db202a5b8	PRIMARY_AUXILIARIES
0ccd41ff-2fe0-4045-876f-3332176119ec	69574a0b-2bd4-4d11-9308-d7cf5e67d9fa	UPS
0ccd41ff-2fe0-4045-876f-3332176119ec	c2bb0ad7-ba31-4a61-a938-32e60055121d	CRITICAL_AUXILIARIES
0ccd41ff-2fe0-4045-876f-3332176119ec	cfb50eb4-2b5c-471d-a6d6-f540aa092b0f	LIGHTING
0ccd41ff-2fe0-4045-876f-3332176119ec	c0b030cf-d131-49e8-a330-9df0b26d2bd2	CRITICAL_POWER_DISTRIBUTION
0ccd41ff-2fe0-4045-876f-3332176119ec	df2399a8-839f-4a10-8b4c-423547a7952e	CRAH
0ccd41ff-2fe0-4045-876f-3332176119ec	4d7c997e-b91e-4665-a326-14fe14197086	CRAC
0ccd41ff-2fe0-4045-876f-3332176119ec	04fc831c-3711-4953-b985-e4b820d09753	CRAC_WITHOUT_FAN
0ccd41ff-2fe0-4045-876f-3332176119ec	e6006092-a1b2-44e5-9a2f-21a8a93234b8	CRAC_FAN
0ccd41ff-2fe0-4045-876f-3332176119ec	f2bdb57c-cec5-4aa9-b2af-24ab9dcb26bb	CHILLER
0ccd41ff-2fe0-4045-876f-3332176119ec	5d647cf1-a5e1-452c-a9da-cc95e7e73b6f	AIR_COOLED_CHILLER
0ccd41ff-2fe0-4045-876f-3332176119ec	f6ae5d21-dd78-4281-9e42-a82516540560	COOLING_TOWER
0ccd41ff-2fe0-4045-876f-3332176119ec	7ee06be5-c247-4e2f-8d14-ab877906ea1d	DRY_COOLER
0ccd41ff-2fe0-4045-876f-3332176119ec	8a09c86e-25c1-4597-b686-8326803be778	REMOTE_CONDENSER
0ccd41ff-2fe0-4045-876f-3332176119ec	3909449d-9e22-4c6b-b17d-8609eac82c79	CHILLED_WATER_PUMPS
0ccd41ff-2fe0-4045-876f-3332176119ec	aa414076-f371-4669-97e0-53ccb8a2d2d0	HEAT_REJECTION_PUMPS
0ccd41ff-2fe0-4045-876f-3332176119ec	85000d17-c9d9-4bb8-a858-87a4d3588d92	VENTILATION
0ccd41ff-2fe0-4045-876f-3332176119ec	41417f7d-5539-415f-996b-59110103fa48	INFILTRATION
0ccd41ff-2fe0-4045-876f-3332176119ec	9135c625-8107-47ab-8f9d-e898bf60391e	IT_LOAD
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	4dc5bdf6-7db6-46eb-baba-e71183e2e7dd	SWITCHGEAR
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	2d60d315-d4ac-4a5f-a33e-27b6a7f12f64	GENERATOR
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	4cba87fa-9e8e-45a3-adf0-45ad00085a83	PRIMARY_AUXILIARIES
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	ed93cef2-42ed-412e-abd7-051fe92ba487	UPS
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	bf70eca9-f23d-4268-9f90-7085a05546cd	CRITICAL_AUXILIARIES
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	61c19dd8-1007-47c1-af11-42e98423cfce	LIGHTING
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	1dae6738-1683-46a7-849d-4c4abcf64395	CRITICAL_POWER_DISTRIBUTION
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	bd0c44d8-c704-4cfd-81c7-9dbe0170f9a0	CRAH
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	d1292321-71c9-4035-838e-af3f0f92ea54	CRAC
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	47109598-e2f5-4c86-97f6-cbd08106bc29	CRAC_WITHOUT_FAN
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	787c8d82-2622-46ed-bd1e-4ee3a794f9e3	CRAC_FAN
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	535c1e5a-6a46-4816-bd26-73c1eb097425	CHILLER
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	2d441b37-d7e6-4bf0-a514-dcaafbd075c0	AIR_COOLED_CHILLER
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	4e9d164b-f807-415d-bcaa-a8b6f9eabfba	COOLING_TOWER
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	6acde703-b0e9-4656-b0b6-514c5e8da3f1	DRY_COOLER
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	ab703056-f51c-46d9-a656-ef31b0b385bb	REMOTE_CONDENSER
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	1d785c70-4885-4a35-9866-faad3e17ab5b	CHILLED_WATER_PUMPS
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	8303801d-8525-448d-9ded-6d123909b276	HEAT_REJECTION_PUMPS
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	3c794fe2-92a0-4402-8189-d79ebf468dd4	VENTILATION
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	835886d3-e394-4fb5-ab9a-cf595401049f	INFILTRATION
7487bd5b-86d9-4cbb-a1e4-a13e78999ad5	dabb708b-5d80-4382-a3f8-e853b5b15f4e	IT_LOAD
426eff6e-8b8c-4ce2-b686-c3d3e0054606	23be6977-20fa-40d9-9563-c3c655a6e99b	SWITCHGEAR
426eff6e-8b8c-4ce2-b686-c3d3e0054606	f7bb86a0-9261-407a-a255-e4dd20e46602	GENERATOR
426eff6e-8b8c-4ce2-b686-c3d3e0054606	abc07aef-129f-4863-adce-f0b69df1ddfb	PRIMARY_AUXILIARIES
426eff6e-8b8c-4ce2-b686-c3d3e0054606	05390863-f24c-4cdc-aa19-96ee974286df	UPS
426eff6e-8b8c-4ce2-b686-c3d3e0054606	ca2e220c-a575-44c4-961d-acd01199c82f	CRITICAL_AUXILIARIES
426eff6e-8b8c-4ce2-b686-c3d3e0054606	d0f84205-e3b8-46a9-a66e-fdf5f526d712	LIGHTING
426eff6e-8b8c-4ce2-b686-c3d3e0054606	0c470c52-8117-4080-aa87-a9704b9d7081	CRITICAL_POWER_DISTRIBUTION
426eff6e-8b8c-4ce2-b686-c3d3e0054606	5b426f20-cd2f-42c7-8390-cf1475ff0b29	CRAH
426eff6e-8b8c-4ce2-b686-c3d3e0054606	8688bff9-140b-4839-8171-c32b662f4932	CRAC
426eff6e-8b8c-4ce2-b686-c3d3e0054606	774c0133-414f-4e57-a032-87833d8d42f2	CRAC_WITHOUT_FAN
426eff6e-8b8c-4ce2-b686-c3d3e0054606	47a6d258-77e3-4f05-8350-fb5f8f383e9a	CRAC_FAN
426eff6e-8b8c-4ce2-b686-c3d3e0054606	0c4f64ee-dcd9-4e8a-9999-ce27ea60c126	CHILLER
426eff6e-8b8c-4ce2-b686-c3d3e0054606	66d00cb3-c769-45c0-aaa5-670fda646e31	AIR_COOLED_CHILLER
426eff6e-8b8c-4ce2-b686-c3d3e0054606	26c24055-7997-46c0-afd5-51c48f28843d	COOLING_TOWER
426eff6e-8b8c-4ce2-b686-c3d3e0054606	8c50dcb3-9225-4d78-b5ce-19bcd575815f	DRY_COOLER
426eff6e-8b8c-4ce2-b686-c3d3e0054606	5c77a390-aad7-4493-9498-d0b4415a891b	REMOTE_CONDENSER
426eff6e-8b8c-4ce2-b686-c3d3e0054606	d775fa83-8342-4354-8d5e-b0b4dfcda340	CHILLED_WATER_PUMPS
426eff6e-8b8c-4ce2-b686-c3d3e0054606	02bb57cc-89af-4068-8e7e-5002a636e355	HEAT_REJECTION_PUMPS
426eff6e-8b8c-4ce2-b686-c3d3e0054606	9fdbdf95-9ea7-4aa6-8d14-b4acc3200623	VENTILATION
426eff6e-8b8c-4ce2-b686-c3d3e0054606	7f01e3d5-453c-44a7-9869-c36bbd965c0e	INFILTRATION
426eff6e-8b8c-4ce2-b686-c3d3e0054606	664bd617-fdf9-4043-aaac-bdf8ce41c900	IT_LOAD
278a7820-a57d-485b-bdb1-ec3c5ae755da	b15f3f48-321a-4de9-a8c5-c4acb8ff7ecb	SWITCHGEAR
278a7820-a57d-485b-bdb1-ec3c5ae755da	cf509a19-5c7d-43a9-858b-7ecbfa242b17	GENERATOR
278a7820-a57d-485b-bdb1-ec3c5ae755da	8cc145ef-4b2f-4990-92bf-f58c71579882	PRIMARY_AUXILIARIES
278a7820-a57d-485b-bdb1-ec3c5ae755da	19d46287-8252-43bd-bf7d-937ca4987d85	UPS
278a7820-a57d-485b-bdb1-ec3c5ae755da	615496e9-aa97-4fff-ba87-dfbbecaca407	CRITICAL_AUXILIARIES
278a7820-a57d-485b-bdb1-ec3c5ae755da	0d377368-bb28-422f-b348-d6a48c7434ca	LIGHTING
278a7820-a57d-485b-bdb1-ec3c5ae755da	26dc1f7b-2b71-4f8d-a3ff-868848b14724	CRITICAL_POWER_DISTRIBUTION
278a7820-a57d-485b-bdb1-ec3c5ae755da	47c41d92-df5f-4189-9b04-64ff4a399b6f	CRAH
278a7820-a57d-485b-bdb1-ec3c5ae755da	be837f5b-e214-4d9a-ab47-e5de1367ba70	CRAC
278a7820-a57d-485b-bdb1-ec3c5ae755da	b64f7346-fbfa-45b5-bdd8-a41b1d5e01e2	CRAC_WITHOUT_FAN
278a7820-a57d-485b-bdb1-ec3c5ae755da	a49c912e-6a92-45f7-b504-003d4993942f	CRAC_FAN
278a7820-a57d-485b-bdb1-ec3c5ae755da	ed365cd8-e499-474e-a0ac-a7c79b07f2a0	CHILLER
278a7820-a57d-485b-bdb1-ec3c5ae755da	fca74718-20a7-4b65-8f2d-d2decce51a52	AIR_COOLED_CHILLER
278a7820-a57d-485b-bdb1-ec3c5ae755da	1e417296-b30a-47f7-9b5c-f685d091cab0	COOLING_TOWER
278a7820-a57d-485b-bdb1-ec3c5ae755da	4850bd34-a3cc-421e-9f16-022cf4b6ee9f	DRY_COOLER
278a7820-a57d-485b-bdb1-ec3c5ae755da	d6c51a49-1ab3-4dfd-afc0-fa0444d55557	REMOTE_CONDENSER
278a7820-a57d-485b-bdb1-ec3c5ae755da	8193cd6b-9598-4f3b-a7b7-74ea3588a610	CHILLED_WATER_PUMPS
278a7820-a57d-485b-bdb1-ec3c5ae755da	4963bf0a-6086-4637-a122-515eff4ffc7e	HEAT_REJECTION_PUMPS
278a7820-a57d-485b-bdb1-ec3c5ae755da	9f71e7e4-82c4-4e92-acd2-909149e55ab9	VENTILATION
278a7820-a57d-485b-bdb1-ec3c5ae755da	cfb76499-a189-4b87-8d04-d86a5e8a620d	INFILTRATION
278a7820-a57d-485b-bdb1-ec3c5ae755da	4f72c0c8-4fc1-41e4-a636-b448de59c404	IT_LOAD
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	b3152e8e-7527-4be4-958b-fa74e38df666	SWITCHGEAR
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	d4c034ea-3ae8-4325-b31e-346ee4d50359	GENERATOR
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	4b33c2c3-7b31-453c-be49-1c9b1ac71559	PRIMARY_AUXILIARIES
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	375b90e3-d742-4b2c-a56b-4b7ad1720d5d	UPS
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	ee11e903-5611-4bfc-b69d-17b3398c0ec4	CRITICAL_AUXILIARIES
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	bbf148fe-23f5-4ce4-b87f-6e552047dc7e	LIGHTING
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	33dc318a-70d5-49d1-a3ed-0337d079a936	CRITICAL_POWER_DISTRIBUTION
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	a5031ec1-18bf-4ef2-9c1a-9ebef979abb8	CRAH
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	0fe40772-2f6f-4e96-a066-53ff5e2deec9	CRAC
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	9463821d-02bf-4b7c-a695-15e2bf0f12b5	CRAC_WITHOUT_FAN
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	acb79a5d-57f6-4119-8e31-66524f295f21	CRAC_FAN
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	257ae674-303c-43c2-ad50-fe5b7ae989ed	CHILLER
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	8c32e768-a070-4799-a382-72546d9924ee	AIR_COOLED_CHILLER
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	0d842117-19f6-4333-ad64-d7d4b70e1709	COOLING_TOWER
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	9b0d6315-09a8-4882-a80d-b88607f173a6	DRY_COOLER
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	7a8bf368-7d6a-4783-850d-938491418388	REMOTE_CONDENSER
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	1cd1c7c1-8e50-46c3-8063-1f7f8022ff9b	CHILLED_WATER_PUMPS
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	57c648f5-70dc-4aa7-a371-a6647af0cb23	HEAT_REJECTION_PUMPS
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	bef2a613-518f-49a2-8fce-a3bcc2281ed8	VENTILATION
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	39b27a0a-f779-44cd-a974-a6a4178028e0	INFILTRATION
bff6ff56-eaa6-46e5-ba6e-f298c5fb1c53	b6ff981b-6595-4ddc-a99d-8ffaa2f6aaf3	IT_LOAD
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	76c4d641-3346-4047-b7d7-d723968d1fd7	SWITCHGEAR
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	ad7b2bd0-dddb-422e-9735-c7b4af4abaf8	GENERATOR
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	c2960fc9-f5d2-4608-b86a-c282b5efa669	PRIMARY_AUXILIARIES
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	084cb707-f0b4-43c3-b8b3-8eb50551fe26	UPS
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	8fd63310-a4ac-45c3-9ca6-68858be858d4	CRITICAL_AUXILIARIES
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	2486cc52-fe9b-46a0-9cb5-082eb2a5bf59	LIGHTING
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	b9a1ba24-014d-4d01-8daa-0338d72cabca	CRITICAL_POWER_DISTRIBUTION
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	83a134a5-4657-4a05-93c5-20925eae0989	CRAH
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	111e7101-94fc-44c3-9ebc-26fde74b0b1a	CRAC
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	cbfc4958-af26-401e-8dce-3a17c7ef0f01	CRAC_WITHOUT_FAN
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	6abc5e2d-5c53-4690-9099-26ccefded89e	CRAC_FAN
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	da289b24-7d77-4758-9a65-f639cb116fec	CHILLER
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	f9db2d23-5013-460d-9a2e-448fd57f4cbb	AIR_COOLED_CHILLER
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	a7fc9ff8-cd16-475f-af17-e53ad7feb339	COOLING_TOWER
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	2e46f1f5-0e4d-4462-bb26-09066504b485	DRY_COOLER
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	482402c9-aa3b-43b2-ad52-6d2bd585289d	REMOTE_CONDENSER
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	d6236234-abc9-40fc-80b7-ac3dae6a3191	CHILLED_WATER_PUMPS
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	228e4347-641e-45e3-b81e-646217ea353c	HEAT_REJECTION_PUMPS
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	386966f3-b345-4a29-8e72-7711b247ed7a	VENTILATION
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	e20455e7-de9a-4b98-9150-4c8a5beac54c	INFILTRATION
ea53f1ef-5bf6-44e9-a935-d21badbb77a9	7cfdf788-a3c6-4428-8336-90943a414434	IT_LOAD
6c0f15f4-48cd-4582-b065-dc7916dcda47	4a98bbca-5ae5-483b-85b8-1f24ecc4b254	SWITCHGEAR
6c0f15f4-48cd-4582-b065-dc7916dcda47	307b702a-0eaf-4c68-a909-80a806b707aa	GENERATOR
6c0f15f4-48cd-4582-b065-dc7916dcda47	15f5b5fd-ef19-4c31-a66b-6e1f4774945f	PRIMARY_AUXILIARIES
6c0f15f4-48cd-4582-b065-dc7916dcda47	23f79fab-44ff-4776-9c7a-d7ef23ca9fd6	UPS
6c0f15f4-48cd-4582-b065-dc7916dcda47	8691578e-493c-4870-8a7c-5867a9fa7fb3	CRITICAL_AUXILIARIES
6c0f15f4-48cd-4582-b065-dc7916dcda47	0badd81b-bfb6-46b6-a0dd-4c4184662f1d	LIGHTING
6c0f15f4-48cd-4582-b065-dc7916dcda47	a92f5d8c-dad9-4d64-9927-5d584bf7976d	CRITICAL_POWER_DISTRIBUTION
6c0f15f4-48cd-4582-b065-dc7916dcda47	b0472ed5-c2b7-4e91-8bd6-2da9e60e9ffb	CRAH
6c0f15f4-48cd-4582-b065-dc7916dcda47	e375a182-1369-477b-bd6e-20ee8f404bb6	CRAC
6c0f15f4-48cd-4582-b065-dc7916dcda47	edff4a99-071a-4d26-99b1-699af4006ba1	CRAC_WITHOUT_FAN
6c0f15f4-48cd-4582-b065-dc7916dcda47	41b7359a-45e2-4db6-8200-71f136ed0665	CRAC_FAN
6c0f15f4-48cd-4582-b065-dc7916dcda47	da2d0136-0fc7-44f8-bb55-48605d18106a	CHILLER
6c0f15f4-48cd-4582-b065-dc7916dcda47	a384a0b9-85db-47bb-8d16-ce4edca89cf3	AIR_COOLED_CHILLER
6c0f15f4-48cd-4582-b065-dc7916dcda47	bc0baa1c-2aa6-4e67-aedd-3905b308be5e	COOLING_TOWER
6c0f15f4-48cd-4582-b065-dc7916dcda47	4240a8e8-1ba8-49e0-8dda-cea4afdc219b	DRY_COOLER
6c0f15f4-48cd-4582-b065-dc7916dcda47	5e21f2ea-e956-4f6d-90b8-2f852ef85bb0	REMOTE_CONDENSER
6c0f15f4-48cd-4582-b065-dc7916dcda47	6c916633-147a-4d29-85ea-711c5b365c97	CHILLED_WATER_PUMPS
6c0f15f4-48cd-4582-b065-dc7916dcda47	73bb8108-bfdd-4c60-b415-6dda55400512	HEAT_REJECTION_PUMPS
6c0f15f4-48cd-4582-b065-dc7916dcda47	ec743938-a144-4163-9c46-a65a02539714	VENTILATION
6c0f15f4-48cd-4582-b065-dc7916dcda47	f9f71bfa-5d92-4830-ae3b-6601ea0311be	INFILTRATION
6c0f15f4-48cd-4582-b065-dc7916dcda47	b6335eef-cdcd-4c2e-898d-a4c207a645ae	IT_LOAD
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	2ed481d9-9fd5-4fc1-bcf3-562c3d07a0a7	SWITCHGEAR
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	1338e069-c832-419d-950e-78e3498ddefa	GENERATOR
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	df03ce30-9fea-44fc-a341-2eb03e588de5	PRIMARY_AUXILIARIES
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	f9efcfaa-63a8-47a5-bd0f-87e7a30ff931	UPS
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	910f0d26-291e-4a19-8d9f-544be1f45d7e	CRITICAL_AUXILIARIES
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	84b8b24a-d76c-4855-b0e0-943751831ee0	LIGHTING
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	e892d204-962b-426f-a79c-efe9fc83f307	CRITICAL_POWER_DISTRIBUTION
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	783313c4-fd97-4f45-a80a-0f7f4da54e37	CRAH
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	78061112-fe99-49ab-a612-95e93d980d8f	CRAC
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	72a0f885-e6c7-47fa-bb5e-5a2fa26a4488	CRAC_WITHOUT_FAN
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	1a21617c-c0ee-4f23-9126-815bcebca213	CRAC_FAN
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	2b6db6f8-9a1e-4bcf-aa34-35fb68ef5a25	CHILLER
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	0a2abb8f-5f7c-4894-8076-1263c36bac21	AIR_COOLED_CHILLER
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	3e12ada9-59c4-4171-b4f9-4436722949aa	COOLING_TOWER
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	7fbbbf21-1176-4d28-bb17-9905c80bb452	DRY_COOLER
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	003a8fb1-609e-4bd2-b47d-cc9505938a69	REMOTE_CONDENSER
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	6ad655a6-a143-49dc-bf43-16e4ff128f9b	CHILLED_WATER_PUMPS
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	ade20e09-9973-4f32-a490-ed07868fc4ce	HEAT_REJECTION_PUMPS
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	0e24eee1-d32a-461e-9da5-017661b79756	VENTILATION
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	be724d1c-e053-46c7-9a2c-ed89d485205a	INFILTRATION
45fa3fc5-c7d6-40d9-9fc4-1d6d6f82def4	dc0afbc3-ccc7-4269-ac88-d781de521c27	IT_LOAD
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	b1a53338-49ff-4756-8381-dd26cada017f	SWITCHGEAR
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	30e27325-af9e-425f-ad90-bd820186aac2	GENERATOR
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	86cbc4d2-66f0-4a71-b6e9-a47ecc5ef740	PRIMARY_AUXILIARIES
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	0aa22c7b-4e7d-478d-b345-6c8799a022a0	UPS
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	e337700d-9be6-45df-90d7-4669bb7eea4d	CRITICAL_AUXILIARIES
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	cd3bb9a1-ab25-421e-a227-b25866ac0a06	LIGHTING
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	bc5d0a5d-e13b-402e-ac20-6eee9ce67238	CRITICAL_POWER_DISTRIBUTION
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	87d1205a-7d5a-49c2-b97d-91952a95fce7	CRAH
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	cd95d45d-11a6-44e1-b178-bd84402e693c	CRAC
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	cda2cd4d-e9a4-496c-9e9f-a2548ab8915f	CRAC_WITHOUT_FAN
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	52920dff-ba0f-466a-a9bd-e01bf2276aaa	CRAC_FAN
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	02fd2ae1-ddcd-4215-94d2-ebe70eebc74e	CHILLER
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	a21aa5e8-848e-4ca9-a0aa-d06faca343fe	AIR_COOLED_CHILLER
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	10ed24d3-3e6f-41a8-b4d1-97953b44c3c8	COOLING_TOWER
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	8435d3f2-51e6-4f01-82f9-7e90c011796d	DRY_COOLER
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	d954bee6-9258-4d7c-8c75-145082d056cb	REMOTE_CONDENSER
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	a58ee261-ab84-4faa-9feb-493c8bf93cde	CHILLED_WATER_PUMPS
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	c8bf5316-7b97-4c7a-b595-b90b21bf2ef2	HEAT_REJECTION_PUMPS
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	75950067-e908-4703-bce2-d040d4019703	VENTILATION
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	b9e51987-43fb-47c2-89e2-53eb62f62898	INFILTRATION
72c08d58-e715-46f9-a2c0-8e7bd2f642d5	d10a6ad5-3d42-4c0a-a192-9283d4c1589b	IT_LOAD
5e963f2f-69be-4394-bbfa-4be47f7f955c	8ebf10ed-73bc-4c9e-b72f-38164eba375e	SWITCHGEAR
5e963f2f-69be-4394-bbfa-4be47f7f955c	1936b02e-de88-41b3-a26e-35d5aa51858b	GENERATOR
5e963f2f-69be-4394-bbfa-4be47f7f955c	b020e577-992c-4129-b5cc-191a727465bb	PRIMARY_AUXILIARIES
5e963f2f-69be-4394-bbfa-4be47f7f955c	de35be08-a52d-4158-a2d6-b52e5632d88c	UPS
5e963f2f-69be-4394-bbfa-4be47f7f955c	ae8aa4e9-f9a0-4936-8640-ee1f2cb7d29d	CRITICAL_AUXILIARIES
5e963f2f-69be-4394-bbfa-4be47f7f955c	8fd53afc-e597-410c-819a-f7d5d71be68f	LIGHTING
5e963f2f-69be-4394-bbfa-4be47f7f955c	4ae78253-4f82-40e1-9f3c-4ae64d392cde	CRITICAL_POWER_DISTRIBUTION
5e963f2f-69be-4394-bbfa-4be47f7f955c	bab59da6-e04f-41e7-a7cf-d5983b7c89b7	CRAH
5e963f2f-69be-4394-bbfa-4be47f7f955c	efe5ee7f-f560-4458-ab47-34ace5f88189	CRAC
5e963f2f-69be-4394-bbfa-4be47f7f955c	0fa61506-8968-4db8-8a0a-d89e9fa91a2e	CRAC_WITHOUT_FAN
5e963f2f-69be-4394-bbfa-4be47f7f955c	78d12f59-fe5e-406c-8820-95f1a3b4daae	CRAC_FAN
5e963f2f-69be-4394-bbfa-4be47f7f955c	b7ed767b-ba4a-485b-a5cb-550762ac2dc7	CHILLER
5e963f2f-69be-4394-bbfa-4be47f7f955c	cf341707-0573-48cb-a378-de0cea4f7be6	AIR_COOLED_CHILLER
5e963f2f-69be-4394-bbfa-4be47f7f955c	34783831-6ca0-45ea-9a16-81c876d8bae8	COOLING_TOWER
5e963f2f-69be-4394-bbfa-4be47f7f955c	47ca1ed3-55da-4042-bbc4-b9d39bb97c42	DRY_COOLER
5e963f2f-69be-4394-bbfa-4be47f7f955c	05df4526-3f52-4285-af7e-37364ab00095	REMOTE_CONDENSER
5e963f2f-69be-4394-bbfa-4be47f7f955c	1ae33baa-3c2d-4523-bb1f-82a94affb3f5	CHILLED_WATER_PUMPS
5e963f2f-69be-4394-bbfa-4be47f7f955c	436a63d5-eaa8-47dd-8709-de1a3e72206f	HEAT_REJECTION_PUMPS
5e963f2f-69be-4394-bbfa-4be47f7f955c	39da5829-6ec5-4e4c-b6b8-78ab428d3004	VENTILATION
5e963f2f-69be-4394-bbfa-4be47f7f955c	8089cdeb-f92d-4a13-8167-e3e2e3359bf1	INFILTRATION
5e963f2f-69be-4394-bbfa-4be47f7f955c	6209089f-300f-4a48-bb0c-22b5b7d78260	IT_LOAD
d4c47272-b608-43b7-8d51-762946f26b17	3d706643-c1e9-417d-a7bd-6bf5c61d9095	SWITCHGEAR
d4c47272-b608-43b7-8d51-762946f26b17	a650b8ae-50ae-466a-b110-9ba1465cb197	GENERATOR
d4c47272-b608-43b7-8d51-762946f26b17	b6f89854-6d69-4bfb-b125-b7524c9240d0	PRIMARY_AUXILIARIES
d4c47272-b608-43b7-8d51-762946f26b17	11f7021f-d65c-4b1f-bf63-c36809aee607	UPS
d4c47272-b608-43b7-8d51-762946f26b17	9042c9e7-2727-4895-bd6f-8c4d981b93ed	CRITICAL_AUXILIARIES
d4c47272-b608-43b7-8d51-762946f26b17	a4bd5914-b4fa-4e4e-8d19-cd49749e76bf	LIGHTING
d4c47272-b608-43b7-8d51-762946f26b17	bf614191-833f-4aa3-93fd-14ad6343ff05	CRITICAL_POWER_DISTRIBUTION
d4c47272-b608-43b7-8d51-762946f26b17	5ed81458-4f20-4792-914e-830588a0d69d	CRAH
d4c47272-b608-43b7-8d51-762946f26b17	e3c07eaf-4b0b-4892-955d-8cc7daf39255	CRAC
d4c47272-b608-43b7-8d51-762946f26b17	21bd9d14-67ac-4095-b7e9-ffa263bc6818	CRAC_WITHOUT_FAN
d4c47272-b608-43b7-8d51-762946f26b17	646f7c78-e64b-4226-a815-05ac41b90cdf	CRAC_FAN
d4c47272-b608-43b7-8d51-762946f26b17	05468f88-acbb-49a8-87f2-f06a16d6060f	CHILLER
d4c47272-b608-43b7-8d51-762946f26b17	4cbaa968-688b-42d6-8560-c9438043b55b	AIR_COOLED_CHILLER
d4c47272-b608-43b7-8d51-762946f26b17	c5961f6d-ec11-410f-b62b-3fcf431703bd	COOLING_TOWER
d4c47272-b608-43b7-8d51-762946f26b17	7cbfe2c7-25fe-4cf6-aaa0-e84a7fbc31a0	DRY_COOLER
d4c47272-b608-43b7-8d51-762946f26b17	35906164-c98c-40d4-a342-ae9dc2fa6747	REMOTE_CONDENSER
d4c47272-b608-43b7-8d51-762946f26b17	cb8676ea-4668-4279-aea1-3e8ff336a360	CHILLED_WATER_PUMPS
d4c47272-b608-43b7-8d51-762946f26b17	78597bcb-b136-49a3-ab07-6c3ffc681854	HEAT_REJECTION_PUMPS
d4c47272-b608-43b7-8d51-762946f26b17	a5eb44d5-9215-436b-9813-9ca7c3b6b217	VENTILATION
d4c47272-b608-43b7-8d51-762946f26b17	867b951f-f1b9-45c8-936a-1158d3b14170	INFILTRATION
d4c47272-b608-43b7-8d51-762946f26b17	95493a2e-f8cb-457d-8ca7-752349519275	IT_LOAD
ffa06a96-1e43-4188-b424-af24a1f8d6e9	8a481863-6f2b-4329-a652-fc973acd35a6	SWITCHGEAR
ffa06a96-1e43-4188-b424-af24a1f8d6e9	6e7f7198-4bff-4773-91d5-3816e3fe16fb	GENERATOR
ffa06a96-1e43-4188-b424-af24a1f8d6e9	dcfb6275-86cd-4439-946c-0ea0a6394d81	PRIMARY_AUXILIARIES
ffa06a96-1e43-4188-b424-af24a1f8d6e9	a666d0a9-bde0-40f6-b123-1bb41cd219db	UPS
ffa06a96-1e43-4188-b424-af24a1f8d6e9	562f887f-fe14-4f0e-a45c-681a45cb6919	CRITICAL_AUXILIARIES
ffa06a96-1e43-4188-b424-af24a1f8d6e9	5c23bbb6-b5fd-4014-b27d-1891118068c8	LIGHTING
ffa06a96-1e43-4188-b424-af24a1f8d6e9	d342b155-cdf1-49a1-be5a-b9e6cd9eaf05	CRITICAL_POWER_DISTRIBUTION
ffa06a96-1e43-4188-b424-af24a1f8d6e9	204cf36b-e327-4c3c-bf6c-fe564c72256d	CRAH
ffa06a96-1e43-4188-b424-af24a1f8d6e9	45050651-504a-4ebb-8643-437fdee9c0f3	CRAC
ffa06a96-1e43-4188-b424-af24a1f8d6e9	662692a3-fc29-463f-a679-bf3a855e68f5	CRAC_WITHOUT_FAN
ffa06a96-1e43-4188-b424-af24a1f8d6e9	b2285b47-0ca6-4129-8e3f-ee536aaefe51	CRAC_FAN
ffa06a96-1e43-4188-b424-af24a1f8d6e9	fbf60269-53ab-4a81-a900-7864bcc29fc3	CHILLER
ffa06a96-1e43-4188-b424-af24a1f8d6e9	cac00e83-634d-49cf-a557-0ba199b19d90	AIR_COOLED_CHILLER
ffa06a96-1e43-4188-b424-af24a1f8d6e9	1af159c8-0447-414b-82c6-12cb86d587d3	COOLING_TOWER
ffa06a96-1e43-4188-b424-af24a1f8d6e9	76218abf-278e-4c8e-ad30-b76b0e4e3c02	DRY_COOLER
ffa06a96-1e43-4188-b424-af24a1f8d6e9	27dc0113-d9da-466d-b4e6-d9ae46683bc8	REMOTE_CONDENSER
ffa06a96-1e43-4188-b424-af24a1f8d6e9	b26f8702-7607-4412-a1f5-4b1ca6c69fb3	CHILLED_WATER_PUMPS
ffa06a96-1e43-4188-b424-af24a1f8d6e9	9ce1662a-4fc2-4f08-b527-a52f408655dd	HEAT_REJECTION_PUMPS
ffa06a96-1e43-4188-b424-af24a1f8d6e9	d4e38238-0dbd-49c1-8b4e-39911e9c5a76	VENTILATION
ffa06a96-1e43-4188-b424-af24a1f8d6e9	3fab2bf1-c929-4adf-863a-ff0b57671848	INFILTRATION
ffa06a96-1e43-4188-b424-af24a1f8d6e9	75d51336-89dd-4c0a-b722-07864e192810	IT_LOAD
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	a0defd85-7e6a-45d4-8415-624aaeacad96	SWITCHGEAR
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	6eeca8ce-9721-4f2f-99ab-532387bfe1f2	GENERATOR
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	cf3f156a-bf1f-4978-98c3-5fbdfa1a110e	PRIMARY_AUXILIARIES
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	7b9b1119-c675-46bb-b7de-fa1b40f70302	UPS
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	d783df00-e518-4bf0-bc6e-0a25a4632828	CRITICAL_AUXILIARIES
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	041bebdc-302f-4f10-a6a5-b60a5e47068f	LIGHTING
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	bc15a5ba-f184-43d6-ae7c-01909da8df28	CRITICAL_POWER_DISTRIBUTION
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	5fead749-12dc-431c-9936-52be0d97f99f	CRAH
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	b9d8a2f6-2245-4769-9a86-503675186b72	CRAC
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	3b16c624-5847-44c9-b0c2-0ffc55761489	CRAC_WITHOUT_FAN
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	ba0b1805-5a02-4773-b608-569ff2a5436f	CRAC_FAN
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	e57b2094-0a5a-48ff-a4dc-0be15cda57fb	CHILLER
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	50a4084b-8279-406e-9df3-3a034cf36b8e	AIR_COOLED_CHILLER
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	3d60f8d1-79d1-4826-9536-9b5534fd1eb9	COOLING_TOWER
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	609dbb7d-cac9-43db-992a-a00e194f4652	DRY_COOLER
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	c4d8d5a4-9315-4fc8-9b7e-5d91ed636c76	REMOTE_CONDENSER
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	805cfee5-0169-41dc-a8aa-af2d1bfb293f	CHILLED_WATER_PUMPS
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	55f5443b-72a3-44a0-a84f-699d6c0e0e7d	HEAT_REJECTION_PUMPS
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	c89ca9cf-e5b7-4498-b07d-68ba07d5c98e	VENTILATION
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	201a6e12-442c-4815-9180-c6c092abe3ad	INFILTRATION
c3c63cee-ccb5-4f86-a7a2-8d591f0e7acb	fd682c6b-fee4-4cbe-a476-6755e47a807b	IT_LOAD
309a1d71-55f2-4926-b324-538f0b794f25	f264a8df-1404-4c6b-b324-b61ec3f0b50a	SWITCHGEAR
309a1d71-55f2-4926-b324-538f0b794f25	93dd3d8e-790e-41be-9b79-15cbd4cb2466	GENERATOR
309a1d71-55f2-4926-b324-538f0b794f25	0d74bcd4-69cc-4e29-b064-cdab85db2fd5	PRIMARY_AUXILIARIES
309a1d71-55f2-4926-b324-538f0b794f25	c8b2b242-e46a-4127-8b07-a2921a3e4938	UPS
309a1d71-55f2-4926-b324-538f0b794f25	266ec842-4277-4947-bd9f-aa9e83b05575	CRITICAL_AUXILIARIES
309a1d71-55f2-4926-b324-538f0b794f25	f36a324a-d99c-4e6c-b5b6-789a6bd6d88d	LIGHTING
309a1d71-55f2-4926-b324-538f0b794f25	64fd95f9-8671-4528-b410-aff9e3a2f15a	CRITICAL_POWER_DISTRIBUTION
309a1d71-55f2-4926-b324-538f0b794f25	a555b17f-1db9-48ca-a103-cbd8d8049ee9	CRAH
309a1d71-55f2-4926-b324-538f0b794f25	df1232b0-5c83-40bb-b7a1-b91a5afc4148	CRAC
309a1d71-55f2-4926-b324-538f0b794f25	9b289850-6c0f-4462-b99a-c7eba147d676	CRAC_WITHOUT_FAN
309a1d71-55f2-4926-b324-538f0b794f25	18620d88-3535-42cb-9b66-f91e0ad5d643	CRAC_FAN
309a1d71-55f2-4926-b324-538f0b794f25	f4f0575e-b5cc-420d-aa1f-ad844181f878	CHILLER
309a1d71-55f2-4926-b324-538f0b794f25	90f8d50b-19a0-4bee-95ed-a20274a646e3	AIR_COOLED_CHILLER
309a1d71-55f2-4926-b324-538f0b794f25	9d64afc6-dc1f-43db-b6f0-74fd45745e2a	COOLING_TOWER
309a1d71-55f2-4926-b324-538f0b794f25	6d70efa2-f971-47b4-8255-0c2ae770929b	DRY_COOLER
309a1d71-55f2-4926-b324-538f0b794f25	68e64d82-ed27-419f-a3bf-33d9201757f2	REMOTE_CONDENSER
309a1d71-55f2-4926-b324-538f0b794f25	bbcb4065-69f0-4dc7-86d9-9d4f4cba5a06	CHILLED_WATER_PUMPS
309a1d71-55f2-4926-b324-538f0b794f25	9882111e-21f7-4f03-bfcb-fcdcfb3172a1	HEAT_REJECTION_PUMPS
309a1d71-55f2-4926-b324-538f0b794f25	a6bd3fcd-95b2-46d3-8d4d-7c89ebd89384	VENTILATION
309a1d71-55f2-4926-b324-538f0b794f25	4719d7cd-630e-4ece-8421-2f2d69ec3568	INFILTRATION
309a1d71-55f2-4926-b324-538f0b794f25	e6d6f8de-4080-407a-a61a-0fc179f35271	IT_LOAD
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	9f3371ec-4c92-4df6-8d04-ae33eea43bca	SWITCHGEAR
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	5da1b39f-aed4-43f4-8f1f-1b1a82e722b1	GENERATOR
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	d6cf0569-9e64-456d-b1b0-528b78cca15b	PRIMARY_AUXILIARIES
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	02f5f70e-541e-435d-9683-384bcbbe5da6	UPS
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	ba069ad4-43e0-42ae-8d4f-fd5d7580deb0	CRITICAL_AUXILIARIES
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	7414fbe6-8ad2-415d-a745-1c52d7a63451	LIGHTING
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	da74873d-a30e-447b-a375-5b6accf8dbde	CRITICAL_POWER_DISTRIBUTION
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	892f55bf-7d7d-4938-b494-7ef78ce527b5	CRAH
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	8c8e86c5-c11b-44b6-9a61-a10b65d9105d	CRAC
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	64b82c75-cf04-48b6-b9e5-043738a8ad46	CRAC_WITHOUT_FAN
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	7eb6a4f5-60f8-46fc-a5e8-07dc21a8e7f1	CRAC_FAN
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	1d5d0acd-a3cc-4f3e-aabc-805d08c8c4fd	CHILLER
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	a03405d9-454f-4fb9-8a0b-62acc1fa04dd	AIR_COOLED_CHILLER
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	677cbe75-75a6-4b4a-a9fd-f94aa4ea29cb	COOLING_TOWER
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	15fd35d8-f795-4ffc-bd8b-bd6809ac7630	DRY_COOLER
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	768d2c3b-7604-41ab-86a7-d3ea2361857a	REMOTE_CONDENSER
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	167c03a6-f92c-403e-9c9c-28d70793445f	CHILLED_WATER_PUMPS
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	9f3d6bd4-7a23-421a-b51a-09b5b2d66cc7	HEAT_REJECTION_PUMPS
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	a0cd81ab-6eb2-4b72-b493-22d309b427fd	VENTILATION
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	ac9fa680-fdd8-4647-9318-008b21cf80e6	INFILTRATION
6ef8f5bc-ddb1-4c1c-98ae-8b8a38593587	b660d9c3-a4a1-4b6b-b157-737bc9da2734	IT_LOAD
82fc209a-e65b-4391-8e60-50a9e97ee1d4	85fee1d2-70f6-444c-8ffc-91debb3e9e8e	SWITCHGEAR
82fc209a-e65b-4391-8e60-50a9e97ee1d4	c3e309c5-a8e1-4cee-970a-31b0a10c73fb	GENERATOR
82fc209a-e65b-4391-8e60-50a9e97ee1d4	ffa5eb9d-c7ab-4ed9-b504-569bd368c92a	PRIMARY_AUXILIARIES
82fc209a-e65b-4391-8e60-50a9e97ee1d4	b50aab91-7847-40cd-96de-da44c6b741db	UPS
82fc209a-e65b-4391-8e60-50a9e97ee1d4	ac89b25a-2a54-466c-8c36-1c1d31e2ccf4	CRITICAL_AUXILIARIES
82fc209a-e65b-4391-8e60-50a9e97ee1d4	cc27a263-3a8c-4f3d-8b22-922e35b0b8b8	LIGHTING
82fc209a-e65b-4391-8e60-50a9e97ee1d4	8f4b6b3c-399a-4db4-9c20-a5f9ef2b9447	CRITICAL_POWER_DISTRIBUTION
82fc209a-e65b-4391-8e60-50a9e97ee1d4	f89f6267-9023-402a-9ce5-f7be8747d1b3	CRAH
82fc209a-e65b-4391-8e60-50a9e97ee1d4	273cc0bb-2ec2-4bf4-8db2-ae33538ff00f	CRAC
82fc209a-e65b-4391-8e60-50a9e97ee1d4	4e7fbcf1-f31c-4085-a9a9-40cd010a277c	CRAC_WITHOUT_FAN
82fc209a-e65b-4391-8e60-50a9e97ee1d4	5bc655be-d235-4a16-a7f9-2c0634dce322	CRAC_FAN
82fc209a-e65b-4391-8e60-50a9e97ee1d4	17ebccc0-0d97-4a02-9118-c208b5dd310f	CHILLER
82fc209a-e65b-4391-8e60-50a9e97ee1d4	8afd425e-db10-4a29-a405-1b1051cd5d45	AIR_COOLED_CHILLER
82fc209a-e65b-4391-8e60-50a9e97ee1d4	94db6f59-1bb9-48a8-9c3c-391be458b0c9	COOLING_TOWER
82fc209a-e65b-4391-8e60-50a9e97ee1d4	3baaca9a-40e2-4037-bdf3-599ec90a44e3	DRY_COOLER
82fc209a-e65b-4391-8e60-50a9e97ee1d4	6db32dde-205c-47fb-a3c9-7c64b5b275a1	REMOTE_CONDENSER
82fc209a-e65b-4391-8e60-50a9e97ee1d4	51236877-c2f5-47c5-ad7a-41cb8b00c25a	CHILLED_WATER_PUMPS
82fc209a-e65b-4391-8e60-50a9e97ee1d4	78f70d5c-b917-4a10-849b-a4e70fe52fdd	HEAT_REJECTION_PUMPS
82fc209a-e65b-4391-8e60-50a9e97ee1d4	cdada095-7823-4dbf-9fe3-62401b6ddfbb	VENTILATION
82fc209a-e65b-4391-8e60-50a9e97ee1d4	ebe92b28-b58a-44ad-b05b-258c2776d8ef	INFILTRATION
82fc209a-e65b-4391-8e60-50a9e97ee1d4	12391eaa-e2bd-4509-871d-e981cd495128	IT_LOAD
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	0c621274-6fc5-41b6-8d98-f1e55c3e798c	SWITCHGEAR
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	dabf30a5-fd7e-42de-9ffa-07df22856beb	GENERATOR
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	207a9885-685b-4f3f-bf92-a9f328d3ffb8	PRIMARY_AUXILIARIES
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	e7ca6d22-53bf-498e-9de9-8682dc98090d	UPS
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	b1b7383d-bf9f-42cd-a722-3d267c485e6c	CRITICAL_AUXILIARIES
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	a6673cae-30f8-410c-89e5-582b6c925fa6	LIGHTING
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	00c6ad27-4e9d-4acb-9403-e5057cda4099	CRITICAL_POWER_DISTRIBUTION
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	4fe75b54-a63f-4a5e-b79f-0d71c0ebf1b7	CRAH
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	ea927da9-6f6f-4938-baeb-6d6e31d7ed1d	CRAC
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	08ed7f8a-a726-4549-b623-11f60efc3d77	CRAC_WITHOUT_FAN
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	0c26450f-f81e-4a12-a5d5-bee8d4ddfe42	CRAC_FAN
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	92f39533-d627-4b14-9d55-a991935dd6e8	CHILLER
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	441c0728-0398-4eeb-903b-be12a1c3f673	AIR_COOLED_CHILLER
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	8d7f8371-a12c-4fdf-a483-033bcc0e014b	COOLING_TOWER
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	12f786a9-146c-49e8-a04b-d3039a9923fb	DRY_COOLER
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	007eb0fa-8175-4f11-8064-4bf4d967059c	REMOTE_CONDENSER
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	f3447865-70f9-4351-9e52-1875e024739c	CHILLED_WATER_PUMPS
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	39c8ac2f-a9dd-4cb6-a586-52bdf35313f1	HEAT_REJECTION_PUMPS
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	adf5db7a-8b92-4e3a-a18a-c5ae19fb2119	VENTILATION
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	b9702e7a-bc62-433c-b318-4a036c6c9310	INFILTRATION
0427d3d4-7ce8-4d6d-8c1d-7ad2e377bb0f	5a34fdd9-66f4-4244-a31d-fb88d13cdec8	IT_LOAD
9b267682-a364-4d15-b8b0-def0afb2b07c	3606dccf-179c-4f1e-9e9b-06976d59cfba	SWITCHGEAR
9b267682-a364-4d15-b8b0-def0afb2b07c	b50cba42-c467-41c5-bb0e-a91fc0cfd710	GENERATOR
9b267682-a364-4d15-b8b0-def0afb2b07c	fa405068-edd7-4c16-a582-d60380e75f09	PRIMARY_AUXILIARIES
9b267682-a364-4d15-b8b0-def0afb2b07c	f9e7d721-a352-4b2e-85e0-e025838d3f76	UPS
9b267682-a364-4d15-b8b0-def0afb2b07c	b009fe76-3dd7-42cc-9eee-7b05ee1358ea	CRITICAL_AUXILIARIES
9b267682-a364-4d15-b8b0-def0afb2b07c	b4d31e88-a5a1-4f2a-8fec-22769c693aad	LIGHTING
9b267682-a364-4d15-b8b0-def0afb2b07c	f420300f-394e-4eef-8b2b-b1089fbb3f87	CRITICAL_POWER_DISTRIBUTION
9b267682-a364-4d15-b8b0-def0afb2b07c	f728d61f-ce24-436b-8b9f-43d5e5860f38	CRAH
9b267682-a364-4d15-b8b0-def0afb2b07c	89c7fbfe-dfc0-4d5f-8eb1-921dd879917d	CRAC
9b267682-a364-4d15-b8b0-def0afb2b07c	931d9846-6d06-48e1-80ff-0656cbd71c2f	CRAC_WITHOUT_FAN
9b267682-a364-4d15-b8b0-def0afb2b07c	a432c06e-70ed-41b2-bb35-93329d602ae2	CRAC_FAN
9b267682-a364-4d15-b8b0-def0afb2b07c	c80c7796-9a69-4895-89d8-6652ba9b02d6	CHILLER
9b267682-a364-4d15-b8b0-def0afb2b07c	4fcb621c-3586-4520-8d85-3d15e9cd7ad5	AIR_COOLED_CHILLER
9b267682-a364-4d15-b8b0-def0afb2b07c	2a691b53-6229-4041-aeb8-2aa4ad714d5b	COOLING_TOWER
9b267682-a364-4d15-b8b0-def0afb2b07c	f9b4dd09-2ba3-43da-b5d9-14385ce66333	DRY_COOLER
9b267682-a364-4d15-b8b0-def0afb2b07c	ca895e8b-529c-4c0f-b706-225df611e625	REMOTE_CONDENSER
9b267682-a364-4d15-b8b0-def0afb2b07c	ccf59e1f-6398-42ec-9c20-28c4c7470a99	CHILLED_WATER_PUMPS
9b267682-a364-4d15-b8b0-def0afb2b07c	5da58b61-13ea-42dc-9eda-7fd2e14e25f1	HEAT_REJECTION_PUMPS
9b267682-a364-4d15-b8b0-def0afb2b07c	dfcc298f-89e0-4c94-a04e-22f368d2ec65	VENTILATION
9b267682-a364-4d15-b8b0-def0afb2b07c	21623f83-b9eb-4c53-9996-326e88b409f3	INFILTRATION
9b267682-a364-4d15-b8b0-def0afb2b07c	5b03b756-99c1-4704-a80e-9685002347d3	IT_LOAD
c6ad6c18-c234-41e5-8568-691be0c21a31	5dac7692-8d0d-45ac-9a78-2ca15e43f568	SWITCHGEAR
c6ad6c18-c234-41e5-8568-691be0c21a31	4233c045-1765-4f9f-bfe1-c507611a0170	GENERATOR
c6ad6c18-c234-41e5-8568-691be0c21a31	ba245597-090e-467e-a855-4c46b59ec737	PRIMARY_AUXILIARIES
c6ad6c18-c234-41e5-8568-691be0c21a31	e0bf6bad-a59b-4ce1-aa4b-38c6e783fb27	UPS
c6ad6c18-c234-41e5-8568-691be0c21a31	f21c2c92-3cd3-4aa7-a628-e105edb66ff3	CRITICAL_AUXILIARIES
c6ad6c18-c234-41e5-8568-691be0c21a31	ff3310ab-2ac2-4ac6-b2d9-da3d4d5b718c	LIGHTING
c6ad6c18-c234-41e5-8568-691be0c21a31	7228c1cc-2873-4428-a40e-398bb6344479	CRITICAL_POWER_DISTRIBUTION
c6ad6c18-c234-41e5-8568-691be0c21a31	205fd499-c2c6-417c-896c-93c3b49d4371	CRAH
c6ad6c18-c234-41e5-8568-691be0c21a31	a552c7f9-03a6-4749-87d2-78cdbb6523ba	CRAC
c6ad6c18-c234-41e5-8568-691be0c21a31	13913f09-106c-41cb-aef5-b889b72baad9	CRAC_WITHOUT_FAN
c6ad6c18-c234-41e5-8568-691be0c21a31	92b2a688-6bac-474b-8bb5-fbb530d58f6e	CRAC_FAN
c6ad6c18-c234-41e5-8568-691be0c21a31	a3b51765-4ece-4189-a4f5-fc2bf3e6f906	CHILLER
c6ad6c18-c234-41e5-8568-691be0c21a31	83a4f328-f2d1-47be-b586-c60728818421	AIR_COOLED_CHILLER
c6ad6c18-c234-41e5-8568-691be0c21a31	efd33326-968e-4795-a10b-f82cf71f24d1	COOLING_TOWER
c6ad6c18-c234-41e5-8568-691be0c21a31	98b23cdc-3171-4493-8c8a-d3606e678257	DRY_COOLER
c6ad6c18-c234-41e5-8568-691be0c21a31	dfb59d3e-f4f8-4ed2-87d8-deec0c23fe1f	REMOTE_CONDENSER
c6ad6c18-c234-41e5-8568-691be0c21a31	57f1fc58-22f4-4cda-b0c7-5cd07bc2f85c	CHILLED_WATER_PUMPS
c6ad6c18-c234-41e5-8568-691be0c21a31	74d7610d-393b-48a2-902a-a94b1513bd0d	HEAT_REJECTION_PUMPS
c6ad6c18-c234-41e5-8568-691be0c21a31	9a762d66-fcf7-4601-9126-9b2e9a613f99	VENTILATION
c6ad6c18-c234-41e5-8568-691be0c21a31	c609c15b-0926-4be1-a973-2d37abd0e3f7	INFILTRATION
c6ad6c18-c234-41e5-8568-691be0c21a31	1b6da19f-ade2-4205-83ee-4adb31446405	IT_LOAD
cbe55d18-dc20-4433-9708-2c2d1a1def3c	2c5f1d12-75dc-40ff-a1c0-003e7e65624c	SWITCHGEAR
cbe55d18-dc20-4433-9708-2c2d1a1def3c	87b62f13-286f-4069-a2be-48eee22af8d1	GENERATOR
cbe55d18-dc20-4433-9708-2c2d1a1def3c	841a9b0c-4f86-420f-84a9-7ea8decbcb27	PRIMARY_AUXILIARIES
cbe55d18-dc20-4433-9708-2c2d1a1def3c	138958a3-1b8d-499e-8c29-5d0fa8a784c9	UPS
cbe55d18-dc20-4433-9708-2c2d1a1def3c	ef2c255e-dc2f-4dbc-a635-300340beedf8	CRITICAL_AUXILIARIES
cbe55d18-dc20-4433-9708-2c2d1a1def3c	190eca2d-2122-4a99-bbe2-54d97c15b012	LIGHTING
cbe55d18-dc20-4433-9708-2c2d1a1def3c	8be7b3c3-f062-4916-972a-660f07fe4e16	CRITICAL_POWER_DISTRIBUTION
cbe55d18-dc20-4433-9708-2c2d1a1def3c	3b7e93c9-493e-45af-88cc-2e691d227eb2	CRAH
cbe55d18-dc20-4433-9708-2c2d1a1def3c	9f0e64e9-7d36-44b2-96e7-82d957226298	CRAC
cbe55d18-dc20-4433-9708-2c2d1a1def3c	3509e690-1db8-4783-8b1d-9f4bb8dbca48	CRAC_WITHOUT_FAN
cbe55d18-dc20-4433-9708-2c2d1a1def3c	aaec62a1-b537-49a6-91a4-3c9308986f48	CRAC_FAN
cbe55d18-dc20-4433-9708-2c2d1a1def3c	a39ffba8-646c-47fb-b1b9-da33b3b2c1e9	CHILLER
cbe55d18-dc20-4433-9708-2c2d1a1def3c	97d9cfab-605c-473b-9fba-5a8b4230ce8a	AIR_COOLED_CHILLER
cbe55d18-dc20-4433-9708-2c2d1a1def3c	01802e49-63fd-4737-97fe-2e2ce65e9244	COOLING_TOWER
cbe55d18-dc20-4433-9708-2c2d1a1def3c	6c8f2977-0148-42ae-941c-735cfe81fac9	DRY_COOLER
cbe55d18-dc20-4433-9708-2c2d1a1def3c	1335bee1-83b4-44d4-a652-05f752c41137	REMOTE_CONDENSER
cbe55d18-dc20-4433-9708-2c2d1a1def3c	fe4b4032-fa80-4809-96f8-acdf318cb514	CHILLED_WATER_PUMPS
cbe55d18-dc20-4433-9708-2c2d1a1def3c	f484cd36-3f8b-4360-9214-b68e99083b33	HEAT_REJECTION_PUMPS
cbe55d18-dc20-4433-9708-2c2d1a1def3c	0cf70a94-86ba-4d76-9e97-1aaefc543060	VENTILATION
cbe55d18-dc20-4433-9708-2c2d1a1def3c	9c8388b4-d5d5-40ce-85c9-7fac319b56ad	INFILTRATION
cbe55d18-dc20-4433-9708-2c2d1a1def3c	a2991282-b78e-431d-8cf6-6940765e44c8	IT_LOAD
6e131ac2-6702-4dc4-8a35-9e760875456e	18fc8832-b7c0-446b-bd8c-dd4d6a7d1ff0	SWITCHGEAR
6e131ac2-6702-4dc4-8a35-9e760875456e	3a1fe089-8d88-452d-b23b-f471f82c613b	GENERATOR
6e131ac2-6702-4dc4-8a35-9e760875456e	5ee6371f-996a-4c2c-9fca-3b43c13671c7	PRIMARY_AUXILIARIES
6e131ac2-6702-4dc4-8a35-9e760875456e	7a939d1d-58bc-4662-b1f2-88e4afe1efdc	UPS
6e131ac2-6702-4dc4-8a35-9e760875456e	c92f9703-bf35-4c55-84fa-983ba0d77c87	CRITICAL_AUXILIARIES
6e131ac2-6702-4dc4-8a35-9e760875456e	899ea6a8-a6c7-4f3f-85c9-92b1e2a24df3	LIGHTING
6e131ac2-6702-4dc4-8a35-9e760875456e	24e631d0-e435-410b-95c9-26c80308fd24	CRITICAL_POWER_DISTRIBUTION
6e131ac2-6702-4dc4-8a35-9e760875456e	15156bc6-870a-47fa-89f0-03d1edd85bc0	CRAH
6e131ac2-6702-4dc4-8a35-9e760875456e	b101c7ca-5d67-48bf-8270-f5a3bd04357b	CRAC
6e131ac2-6702-4dc4-8a35-9e760875456e	39ae03b6-3f4c-4138-8877-eae463e11dbb	CRAC_WITHOUT_FAN
6e131ac2-6702-4dc4-8a35-9e760875456e	bec2dbb9-a439-4014-b79c-49bc410f11a5	CRAC_FAN
6e131ac2-6702-4dc4-8a35-9e760875456e	05ef136e-a9a0-4571-a9ae-c819fb0cea36	CHILLER
6e131ac2-6702-4dc4-8a35-9e760875456e	39240242-cf7d-4097-937e-e698da97a68b	AIR_COOLED_CHILLER
6e131ac2-6702-4dc4-8a35-9e760875456e	d9f43e98-93ce-4cab-b7ea-da79d0ed86d1	COOLING_TOWER
6e131ac2-6702-4dc4-8a35-9e760875456e	2a32097d-5b3a-46ca-8ba8-8daafdcfaf29	DRY_COOLER
6e131ac2-6702-4dc4-8a35-9e760875456e	308c5630-92bb-4030-8b58-596adc1028c3	REMOTE_CONDENSER
6e131ac2-6702-4dc4-8a35-9e760875456e	a74566d0-97de-496a-9654-61063e774e0d	CHILLED_WATER_PUMPS
6e131ac2-6702-4dc4-8a35-9e760875456e	5e5b4c81-ab1f-4fac-9440-4f1b8cc67011	HEAT_REJECTION_PUMPS
6e131ac2-6702-4dc4-8a35-9e760875456e	50c41969-db39-4cba-bfcc-db522127b830	VENTILATION
6e131ac2-6702-4dc4-8a35-9e760875456e	ff40129a-14ff-4fed-9512-266f6d6aa338	INFILTRATION
6e131ac2-6702-4dc4-8a35-9e760875456e	11ed4a61-29bd-4c15-8c00-e05ffdd98c83	IT_LOAD
ee9985d8-1fbf-4fdf-9edb-e905b2678498	6aa3428c-c869-413f-a4b3-2856879b05ee	SWITCHGEAR
ee9985d8-1fbf-4fdf-9edb-e905b2678498	9c9ed5e6-7c81-4125-8afd-066c9c4c7722	GENERATOR
ee9985d8-1fbf-4fdf-9edb-e905b2678498	1681e23e-c688-449a-8e5d-5fe3c0e1ea1c	PRIMARY_AUXILIARIES
ee9985d8-1fbf-4fdf-9edb-e905b2678498	adf0d7bb-aa59-4d40-8a13-0962f98429a4	UPS
ee9985d8-1fbf-4fdf-9edb-e905b2678498	66e4d9d0-28fd-44ad-8f92-66d907ea9c43	CRITICAL_AUXILIARIES
ee9985d8-1fbf-4fdf-9edb-e905b2678498	2366958d-4ff7-4ede-92ca-803e131c1b51	LIGHTING
ee9985d8-1fbf-4fdf-9edb-e905b2678498	07510487-c41f-4ed4-8586-6a652b9b7f98	CRITICAL_POWER_DISTRIBUTION
ee9985d8-1fbf-4fdf-9edb-e905b2678498	1dee098c-8ebf-465d-8688-2df119d13c37	CRAH
ee9985d8-1fbf-4fdf-9edb-e905b2678498	5327b4c7-ff5b-4155-b333-e6acfcfdbc1a	CRAC
ee9985d8-1fbf-4fdf-9edb-e905b2678498	dffa5f57-9d41-4594-a5ea-5a9b1a5a38f7	CRAC_WITHOUT_FAN
ee9985d8-1fbf-4fdf-9edb-e905b2678498	aa79f511-f7f2-479f-87e9-fc164faf97bc	CRAC_FAN
ee9985d8-1fbf-4fdf-9edb-e905b2678498	6338a903-89bb-4d23-af8c-b88fa33764b5	CHILLER
ee9985d8-1fbf-4fdf-9edb-e905b2678498	e862fdd3-3273-4033-8b48-cd08fecc7fca	AIR_COOLED_CHILLER
ee9985d8-1fbf-4fdf-9edb-e905b2678498	f9b42679-15c2-40e3-b9ba-9ff0db49bb24	COOLING_TOWER
ee9985d8-1fbf-4fdf-9edb-e905b2678498	58c18531-25af-4b7e-90a7-c864c857a8cc	DRY_COOLER
ee9985d8-1fbf-4fdf-9edb-e905b2678498	7c63478f-87b3-438d-9901-6c16fefe7f28	REMOTE_CONDENSER
ee9985d8-1fbf-4fdf-9edb-e905b2678498	981876e4-81c5-46d1-b047-c5d7d97b7627	CHILLED_WATER_PUMPS
ee9985d8-1fbf-4fdf-9edb-e905b2678498	164fc020-c353-41e0-99ab-4cd99151b1c0	HEAT_REJECTION_PUMPS
ee9985d8-1fbf-4fdf-9edb-e905b2678498	f3d5c947-3d9b-4d55-a99e-839bc1488b87	VENTILATION
ee9985d8-1fbf-4fdf-9edb-e905b2678498	c97dd8b6-0dc5-46e4-9a68-6ba2c68c9578	INFILTRATION
ee9985d8-1fbf-4fdf-9edb-e905b2678498	caaa667e-9c94-4289-a8a4-0ac1f0adb026	IT_LOAD
f5c047f6-0804-4a89-9e5e-ee6713ed258c	9e4550e6-af35-431d-93a6-f6f247d66760	SWITCHGEAR
f5c047f6-0804-4a89-9e5e-ee6713ed258c	fcc36980-57b4-4294-a0ea-b8a2f6531506	GENERATOR
f5c047f6-0804-4a89-9e5e-ee6713ed258c	57c17595-0fa6-4268-845e-1a49797111f7	PRIMARY_AUXILIARIES
f5c047f6-0804-4a89-9e5e-ee6713ed258c	04d4ec7d-de77-4b17-ba93-2982d422ac00	UPS
f5c047f6-0804-4a89-9e5e-ee6713ed258c	6117592f-8d98-4678-9e9d-6d9f8891b3f8	CRITICAL_AUXILIARIES
f5c047f6-0804-4a89-9e5e-ee6713ed258c	b6c7d63f-8a7b-40be-abae-9a21ef7e4ded	LIGHTING
f5c047f6-0804-4a89-9e5e-ee6713ed258c	a9307270-3e86-4aae-bc4d-ba7143b69286	CRITICAL_POWER_DISTRIBUTION
f5c047f6-0804-4a89-9e5e-ee6713ed258c	34d319ff-873a-4662-94f5-9dc064679f87	CRAH
f5c047f6-0804-4a89-9e5e-ee6713ed258c	fd55b125-2a31-4176-b2bd-f25c2be63533	CRAC
f5c047f6-0804-4a89-9e5e-ee6713ed258c	6bd5dfe8-2243-4f24-a927-62b7123f8dc8	CRAC_WITHOUT_FAN
f5c047f6-0804-4a89-9e5e-ee6713ed258c	5a224040-7bcf-4104-b253-e0924a393a49	CRAC_FAN
f5c047f6-0804-4a89-9e5e-ee6713ed258c	6212b3b4-d9cb-4c69-a64e-a52c0748d8b0	CHILLER
f5c047f6-0804-4a89-9e5e-ee6713ed258c	08678193-7226-42bb-b930-c488616ead8e	AIR_COOLED_CHILLER
f5c047f6-0804-4a89-9e5e-ee6713ed258c	15b031dd-c5d7-44b6-bee4-adb8edd6e0c6	COOLING_TOWER
f5c047f6-0804-4a89-9e5e-ee6713ed258c	cefe9cc1-7349-4736-944e-c8f1a4b1b321	DRY_COOLER
f5c047f6-0804-4a89-9e5e-ee6713ed258c	1653ca74-1ec2-4063-aa8e-a041412cae1c	REMOTE_CONDENSER
f5c047f6-0804-4a89-9e5e-ee6713ed258c	d565f489-e3dd-4f12-b7ce-0efadcedee49	CHILLED_WATER_PUMPS
f5c047f6-0804-4a89-9e5e-ee6713ed258c	7331bc31-ad38-4f40-8c52-5f025c02d197	HEAT_REJECTION_PUMPS
f5c047f6-0804-4a89-9e5e-ee6713ed258c	083115f7-82bd-4324-9637-10d355135c91	VENTILATION
f5c047f6-0804-4a89-9e5e-ee6713ed258c	2dd27fc5-fc5c-43cb-aaa2-8b7aa174a167	INFILTRATION
f5c047f6-0804-4a89-9e5e-ee6713ed258c	dea152b2-5a9d-4bc3-8891-8a70bbe3fd48	IT_LOAD
b1779a88-c6b7-4d89-b055-05abd95f574a	548afb75-0163-4b96-aba4-2f17061b4c6f	SWITCHGEAR
b1779a88-c6b7-4d89-b055-05abd95f574a	a0131194-59fc-40f5-be44-d081482d87e8	GENERATOR
b1779a88-c6b7-4d89-b055-05abd95f574a	14553cff-0373-4aae-aadc-5d471fd009d5	PRIMARY_AUXILIARIES
b1779a88-c6b7-4d89-b055-05abd95f574a	f528e9d2-25b8-4523-9203-d9beafb284e4	UPS
b1779a88-c6b7-4d89-b055-05abd95f574a	dfb2d350-07c2-42e0-a88a-f03ae14e1814	CRITICAL_AUXILIARIES
b1779a88-c6b7-4d89-b055-05abd95f574a	c0803f62-4ff3-4a75-9545-742bc1218ba3	LIGHTING
b1779a88-c6b7-4d89-b055-05abd95f574a	332a1c37-f7f1-4922-b426-b37e8be64c21	CRITICAL_POWER_DISTRIBUTION
b1779a88-c6b7-4d89-b055-05abd95f574a	63d51531-5741-4b57-a894-6658ce4154c2	CRAH
b1779a88-c6b7-4d89-b055-05abd95f574a	f50a6b65-dd68-47c7-b7be-34431267599f	CRAC
b1779a88-c6b7-4d89-b055-05abd95f574a	a8640ea3-0224-4744-84b2-98f885247324	CRAC_WITHOUT_FAN
b1779a88-c6b7-4d89-b055-05abd95f574a	206a3d3b-1fa0-4591-9c17-eba5103f67fd	CRAC_FAN
b1779a88-c6b7-4d89-b055-05abd95f574a	3c288514-02c3-465c-8d09-dd6fbb020ba8	CHILLER
b1779a88-c6b7-4d89-b055-05abd95f574a	1e9075df-64dd-4370-ab69-0c2eb90498db	AIR_COOLED_CHILLER
b1779a88-c6b7-4d89-b055-05abd95f574a	4adbfc2f-a2f2-469e-a587-fce5662d5e59	COOLING_TOWER
b1779a88-c6b7-4d89-b055-05abd95f574a	b0f8a155-527d-4b1e-b502-499c8f3c9016	DRY_COOLER
b1779a88-c6b7-4d89-b055-05abd95f574a	ac4fd7ae-1f7f-41d9-bda4-8611761f9d2b	REMOTE_CONDENSER
b1779a88-c6b7-4d89-b055-05abd95f574a	57d27f6c-76e8-416b-95fa-ae3c1dfd34db	CHILLED_WATER_PUMPS
b1779a88-c6b7-4d89-b055-05abd95f574a	df5a2409-c529-4c60-ba45-97c51d5c7a38	HEAT_REJECTION_PUMPS
b1779a88-c6b7-4d89-b055-05abd95f574a	5363967c-65ce-4ee7-b920-7c6c130b9e38	VENTILATION
b1779a88-c6b7-4d89-b055-05abd95f574a	de01617e-0aa6-42a4-a811-c8b35f556bda	INFILTRATION
b1779a88-c6b7-4d89-b055-05abd95f574a	a835e3d2-83ca-4850-a078-84f24eaf14ac	IT_LOAD
c85cf3db-5fe5-4393-866f-420b4eacf21c	8bf36e9e-8d4a-44ff-a202-6b063720d569	SWITCHGEAR
c85cf3db-5fe5-4393-866f-420b4eacf21c	343145bf-4f13-451f-8254-25ce92725ce3	GENERATOR
c85cf3db-5fe5-4393-866f-420b4eacf21c	0b0d9dcc-bf45-4fca-b073-f245ab15d0d5	PRIMARY_AUXILIARIES
c85cf3db-5fe5-4393-866f-420b4eacf21c	17dc37b2-90af-4551-9f0a-97f6ecc31098	UPS
c85cf3db-5fe5-4393-866f-420b4eacf21c	3502da2e-3674-4e08-b831-4894373c2c54	CRITICAL_AUXILIARIES
c85cf3db-5fe5-4393-866f-420b4eacf21c	d740ad60-aaad-4d5f-973a-edb753b41afd	LIGHTING
c85cf3db-5fe5-4393-866f-420b4eacf21c	b2d8e2af-6974-4999-9c25-70288e34312a	CRITICAL_POWER_DISTRIBUTION
c85cf3db-5fe5-4393-866f-420b4eacf21c	c3f8efeb-b62b-4964-882a-9f990324c39b	CRAH
c85cf3db-5fe5-4393-866f-420b4eacf21c	d63bd9ad-8256-4830-b235-4f0731f4a4b4	CRAC
c85cf3db-5fe5-4393-866f-420b4eacf21c	52d2fc80-c400-401c-b8a1-7c58a4f358c7	CRAC_WITHOUT_FAN
c85cf3db-5fe5-4393-866f-420b4eacf21c	5502019c-f471-47f7-a9b2-5d96a3a520e2	CRAC_FAN
c85cf3db-5fe5-4393-866f-420b4eacf21c	7a8ea14e-601d-4098-8965-bf6a762f179d	CHILLER
c85cf3db-5fe5-4393-866f-420b4eacf21c	945d340b-c7e2-402d-9d79-cdaa3c6164bd	AIR_COOLED_CHILLER
c85cf3db-5fe5-4393-866f-420b4eacf21c	43b4dc1f-7a66-4b77-849c-ce2b8a3313a6	COOLING_TOWER
c85cf3db-5fe5-4393-866f-420b4eacf21c	0ee838a9-e14d-4dd6-bd9c-01b8a149f470	DRY_COOLER
c85cf3db-5fe5-4393-866f-420b4eacf21c	b11a08a9-3f8a-4afd-8067-095811826d66	REMOTE_CONDENSER
c85cf3db-5fe5-4393-866f-420b4eacf21c	13b08ea2-0594-48ba-abb1-4a7e2c67f5d8	CHILLED_WATER_PUMPS
c85cf3db-5fe5-4393-866f-420b4eacf21c	4b9f379b-d750-4b63-8ac5-b29f723d29b8	HEAT_REJECTION_PUMPS
c85cf3db-5fe5-4393-866f-420b4eacf21c	0574c499-d560-44dd-a7ab-9cdf32b658b0	VENTILATION
c85cf3db-5fe5-4393-866f-420b4eacf21c	292014e3-bbb0-49d8-90d9-ee8581b49401	INFILTRATION
c85cf3db-5fe5-4393-866f-420b4eacf21c	c5274631-0ea8-49f2-9c87-28e4532b4b37	IT_LOAD
1b9a3871-925d-448d-b86e-fd137909cfd8	738561ab-f29f-4096-8038-289262b3ecd2	SWITCHGEAR
1b9a3871-925d-448d-b86e-fd137909cfd8	540cae66-1604-43de-826e-8964ae00149f	GENERATOR
1b9a3871-925d-448d-b86e-fd137909cfd8	b120b413-1bca-4094-bbf1-d995be55c024	PRIMARY_AUXILIARIES
1b9a3871-925d-448d-b86e-fd137909cfd8	c9515594-867e-467e-b0e1-cd6e9711052f	UPS
1b9a3871-925d-448d-b86e-fd137909cfd8	5d38ae21-6ee4-4b24-b18f-4d3b53fdac19	CRITICAL_AUXILIARIES
1b9a3871-925d-448d-b86e-fd137909cfd8	4ac4e621-4165-449b-ac90-2ce1761ae126	LIGHTING
1b9a3871-925d-448d-b86e-fd137909cfd8	20bc9aa9-5096-4e8c-97b6-e8b8577c28f9	CRITICAL_POWER_DISTRIBUTION
1b9a3871-925d-448d-b86e-fd137909cfd8	8d689bb7-77a5-466f-9dd4-79b1d855f6cc	CRAH
1b9a3871-925d-448d-b86e-fd137909cfd8	1623b816-e69f-4fa4-b495-a7e7890fdf4d	CRAC
1b9a3871-925d-448d-b86e-fd137909cfd8	68ba683d-6306-4117-b17c-ab4d87ce23c1	CRAC_WITHOUT_FAN
1b9a3871-925d-448d-b86e-fd137909cfd8	45d9cfda-f119-4f65-8efb-8cf5770e7188	CRAC_FAN
1b9a3871-925d-448d-b86e-fd137909cfd8	29083889-f0e9-470b-b188-943a3dfaaa03	CHILLER
1b9a3871-925d-448d-b86e-fd137909cfd8	73347340-c915-4890-9bd9-3c60b4fc8737	AIR_COOLED_CHILLER
1b9a3871-925d-448d-b86e-fd137909cfd8	bf8678fe-adc9-480e-a94e-a6dbe444e036	COOLING_TOWER
1b9a3871-925d-448d-b86e-fd137909cfd8	1d4c05fa-8f00-46cb-8558-4b57a979c708	DRY_COOLER
1b9a3871-925d-448d-b86e-fd137909cfd8	4abad0b1-53cf-4d87-b5c3-29bd614ae048	REMOTE_CONDENSER
1b9a3871-925d-448d-b86e-fd137909cfd8	3e3c571a-e5d2-43aa-9101-7e5a20b003d4	CHILLED_WATER_PUMPS
1b9a3871-925d-448d-b86e-fd137909cfd8	d66fca08-e537-4ac8-b7f6-3be1fbd59496	HEAT_REJECTION_PUMPS
1b9a3871-925d-448d-b86e-fd137909cfd8	b3ee6f1c-14f1-458f-860c-40d23b732b3e	VENTILATION
1b9a3871-925d-448d-b86e-fd137909cfd8	a500bddc-dbf8-4fb3-97fd-ad4328e15934	INFILTRATION
1b9a3871-925d-448d-b86e-fd137909cfd8	b0bebb7c-3ac4-4a84-952c-e46d914ea9eb	IT_LOAD
bd739fda-53b0-4800-ad5f-e9af4c4e449e	35e1c051-1336-4a4b-ad1e-87033165dbdf	SWITCHGEAR
bd739fda-53b0-4800-ad5f-e9af4c4e449e	b2db26ef-286e-4b41-98fb-61fe0b4b67d5	GENERATOR
bd739fda-53b0-4800-ad5f-e9af4c4e449e	4f628ca1-3480-4fa8-8175-a6bb890d4258	PRIMARY_AUXILIARIES
bd739fda-53b0-4800-ad5f-e9af4c4e449e	804c92ed-82ed-4dc1-a1fd-ebec3b91558f	UPS
bd739fda-53b0-4800-ad5f-e9af4c4e449e	27f85fae-74a8-4b68-9f4d-e7b0a7b739ef	CRITICAL_AUXILIARIES
bd739fda-53b0-4800-ad5f-e9af4c4e449e	1174e84f-002c-4499-85ce-1cb99894108a	LIGHTING
bd739fda-53b0-4800-ad5f-e9af4c4e449e	51c725fe-8289-4f97-b7d8-e5d461831f71	CRITICAL_POWER_DISTRIBUTION
bd739fda-53b0-4800-ad5f-e9af4c4e449e	83a79a6a-1498-4339-aa4c-be2de4348363	CRAH
bd739fda-53b0-4800-ad5f-e9af4c4e449e	193718fc-b3b8-42c9-a34f-18be4df088b0	CRAC
bd739fda-53b0-4800-ad5f-e9af4c4e449e	33b9c91e-4001-41d0-b4b1-6022886c7d7b	CRAC_WITHOUT_FAN
bd739fda-53b0-4800-ad5f-e9af4c4e449e	6569ea63-2e76-45dc-a9c1-cc6244f1e4f0	CRAC_FAN
bd739fda-53b0-4800-ad5f-e9af4c4e449e	b0147af0-95de-446e-a8f1-1ce542e2da88	CHILLER
bd739fda-53b0-4800-ad5f-e9af4c4e449e	bf3a7e4e-8d31-46db-b7c9-e6010ae4b50c	AIR_COOLED_CHILLER
bd739fda-53b0-4800-ad5f-e9af4c4e449e	03a3c2b3-1a1d-48df-967a-cb09a017a060	COOLING_TOWER
bd739fda-53b0-4800-ad5f-e9af4c4e449e	4fdf7b40-db3c-40be-bb67-886ab48586ad	DRY_COOLER
bd739fda-53b0-4800-ad5f-e9af4c4e449e	49b2c957-34c8-4bc3-b29f-e3e2b6289cb3	REMOTE_CONDENSER
bd739fda-53b0-4800-ad5f-e9af4c4e449e	95d12933-118e-4d00-9036-30119bb61543	CHILLED_WATER_PUMPS
bd739fda-53b0-4800-ad5f-e9af4c4e449e	e39af6c4-8c98-47f2-9dd1-a7649dc248d4	HEAT_REJECTION_PUMPS
bd739fda-53b0-4800-ad5f-e9af4c4e449e	a6672181-d0db-414d-8854-c35cadfdac78	VENTILATION
bd739fda-53b0-4800-ad5f-e9af4c4e449e	0b2d8828-f7ed-4b8a-8f3c-ff4ed4c19dea	INFILTRATION
bd739fda-53b0-4800-ad5f-e9af4c4e449e	1e10b272-f1da-4b8e-a063-cfb611d3b85d	IT_LOAD
ed359ab1-fcb6-40ce-803e-74390f10bcff	17921838-e33a-4757-8988-501ecac3129d	SWITCHGEAR
ed359ab1-fcb6-40ce-803e-74390f10bcff	def5efa0-bd83-4b28-a825-c28062cbd606	GENERATOR
ed359ab1-fcb6-40ce-803e-74390f10bcff	f708280d-6100-4dd6-b101-0fa8a2c66ca4	PRIMARY_AUXILIARIES
ed359ab1-fcb6-40ce-803e-74390f10bcff	9c1f0ef1-867b-494d-af33-a80c5c235ccb	UPS
ed359ab1-fcb6-40ce-803e-74390f10bcff	fd3d6a8b-f7c2-4f0b-bfef-3f86ba7d35eb	CRITICAL_AUXILIARIES
ed359ab1-fcb6-40ce-803e-74390f10bcff	10725f57-4d73-4fce-a952-d559525f8977	LIGHTING
ed359ab1-fcb6-40ce-803e-74390f10bcff	5bc0104e-c247-4bc8-8497-35520622cdd7	CRITICAL_POWER_DISTRIBUTION
ed359ab1-fcb6-40ce-803e-74390f10bcff	d8ee18f4-20a0-4001-a695-f94295450992	CRAH
ed359ab1-fcb6-40ce-803e-74390f10bcff	c71878dc-c632-41f4-bf37-4d2c5eb34749	CRAC
ed359ab1-fcb6-40ce-803e-74390f10bcff	5570e08a-f914-431e-9bb2-1c14f07e6469	CRAC_WITHOUT_FAN
ed359ab1-fcb6-40ce-803e-74390f10bcff	6a03a1dc-8a04-4d9f-b38a-f898103ee0b0	CRAC_FAN
ed359ab1-fcb6-40ce-803e-74390f10bcff	ce3f7cf7-d6f8-4739-b5a4-bb89f0fc7c59	CHILLER
ed359ab1-fcb6-40ce-803e-74390f10bcff	632bcd56-1cd2-4ef8-b52c-17b867850ecd	AIR_COOLED_CHILLER
ed359ab1-fcb6-40ce-803e-74390f10bcff	fb9c9315-b4ca-4ebd-b3ab-bc4f0fdccb57	COOLING_TOWER
ed359ab1-fcb6-40ce-803e-74390f10bcff	cd6cba4b-fd10-42bf-a75a-06c9a6ae5f0a	DRY_COOLER
ed359ab1-fcb6-40ce-803e-74390f10bcff	34a1b04f-f4f9-4cd5-8ba7-0217fa092e8e	REMOTE_CONDENSER
ed359ab1-fcb6-40ce-803e-74390f10bcff	573122e7-9037-4f6b-a465-bad022c70188	CHILLED_WATER_PUMPS
ed359ab1-fcb6-40ce-803e-74390f10bcff	7bdb11a9-cd97-4b16-b890-d531f02e5ce9	HEAT_REJECTION_PUMPS
ed359ab1-fcb6-40ce-803e-74390f10bcff	b1b1b58f-ca63-4eeb-94fe-46f790de8738	VENTILATION
ed359ab1-fcb6-40ce-803e-74390f10bcff	8340faa7-dc53-4d44-905b-aec6cba04640	INFILTRATION
ed359ab1-fcb6-40ce-803e-74390f10bcff	dc2c3106-abcd-4b8c-8d53-30826c75d6ef	IT_LOAD
475ddc17-278d-4c37-bfa6-ac927f762521	77614fa2-cf01-4a9c-9d68-f937676592c7	SWITCHGEAR
475ddc17-278d-4c37-bfa6-ac927f762521	3ac06865-9722-4c62-85c2-6a9a68202f7a	GENERATOR
475ddc17-278d-4c37-bfa6-ac927f762521	27527bf7-2a93-4ca6-92c7-4519c77c46b7	PRIMARY_AUXILIARIES
475ddc17-278d-4c37-bfa6-ac927f762521	8f446a8a-6cad-4200-ae2b-7d58778d9a4e	UPS
475ddc17-278d-4c37-bfa6-ac927f762521	bbf3e9e9-7509-4451-9102-e639a88495fe	CRITICAL_AUXILIARIES
475ddc17-278d-4c37-bfa6-ac927f762521	830293f3-cdf2-4d8e-a912-e21d41e459cd	LIGHTING
475ddc17-278d-4c37-bfa6-ac927f762521	ccb5d6e6-2cee-4de2-955c-bc27305b278e	CRITICAL_POWER_DISTRIBUTION
475ddc17-278d-4c37-bfa6-ac927f762521	2c8e6e4d-98f6-4245-a60c-8108276b8594	CRAH
475ddc17-278d-4c37-bfa6-ac927f762521	04a8a6f7-3e62-422d-ae0e-4643f2df9465	CRAC
475ddc17-278d-4c37-bfa6-ac927f762521	6bd08c2d-de54-4289-8f28-a5e74179bb95	CRAC_WITHOUT_FAN
475ddc17-278d-4c37-bfa6-ac927f762521	5ce2b7a0-ddf5-4c69-b0b1-6f3f02d2de75	CRAC_FAN
475ddc17-278d-4c37-bfa6-ac927f762521	c0f41181-3f74-4683-84cb-72034b7c6964	CHILLER
475ddc17-278d-4c37-bfa6-ac927f762521	27f224b3-32a8-42a5-9dcd-cb9c072ff9f1	AIR_COOLED_CHILLER
475ddc17-278d-4c37-bfa6-ac927f762521	7c804c42-2172-4e0d-be30-8374e04f4db6	COOLING_TOWER
475ddc17-278d-4c37-bfa6-ac927f762521	9de9de80-a79c-4ead-b4e0-67f3dc93ec65	DRY_COOLER
475ddc17-278d-4c37-bfa6-ac927f762521	a9cc8e10-de6a-4ef2-a209-688d22c39342	REMOTE_CONDENSER
475ddc17-278d-4c37-bfa6-ac927f762521	61dc5c8b-eded-4610-a707-24822c09e15b	CHILLED_WATER_PUMPS
475ddc17-278d-4c37-bfa6-ac927f762521	4ba472a6-7719-4696-85bc-72d146b8f31d	HEAT_REJECTION_PUMPS
475ddc17-278d-4c37-bfa6-ac927f762521	34c68b3a-2a09-48d4-8e3f-77d3baf6cc89	VENTILATION
475ddc17-278d-4c37-bfa6-ac927f762521	18248284-626a-4e54-8e2b-1a235acb8218	INFILTRATION
475ddc17-278d-4c37-bfa6-ac927f762521	ac59b98f-2eb1-4160-875d-cce0e7cec69f	IT_LOAD
45caea72-32f1-4e8d-b448-fe0139c1b597	c144e1bb-b627-41a0-8a93-6b383a8b07b1	SWITCHGEAR
45caea72-32f1-4e8d-b448-fe0139c1b597	e6f6ee3c-21f9-462e-a70e-7ad7cc732d88	GENERATOR
45caea72-32f1-4e8d-b448-fe0139c1b597	0952f3cd-aff4-4ff5-bdf1-efff94c2ade4	PRIMARY_AUXILIARIES
45caea72-32f1-4e8d-b448-fe0139c1b597	7f78824b-266b-4c2f-bca3-39c69f7a86e1	UPS
45caea72-32f1-4e8d-b448-fe0139c1b597	dfb128e4-c6ff-4c62-b420-2bf743ee002c	CRITICAL_AUXILIARIES
45caea72-32f1-4e8d-b448-fe0139c1b597	ce1742eb-20e3-433f-ba92-40a603778e41	LIGHTING
45caea72-32f1-4e8d-b448-fe0139c1b597	2db02cf5-47d8-4c8e-805a-50a2f0934026	CRITICAL_POWER_DISTRIBUTION
45caea72-32f1-4e8d-b448-fe0139c1b597	827bdd8f-d77c-4073-821d-120cb8125eee	CRAH
45caea72-32f1-4e8d-b448-fe0139c1b597	59a5b278-1519-4b23-8fda-4cd5e5b9ea01	CRAC
45caea72-32f1-4e8d-b448-fe0139c1b597	8fbdae08-f00f-49e5-8697-d930e90566d8	CRAC_WITHOUT_FAN
45caea72-32f1-4e8d-b448-fe0139c1b597	e5d85a2b-dd8d-49ed-9898-aae25c1a402f	CRAC_FAN
45caea72-32f1-4e8d-b448-fe0139c1b597	0e0a1968-22eb-4e48-8073-b5a6335430b2	CHILLER
45caea72-32f1-4e8d-b448-fe0139c1b597	086acd2a-1326-445d-9ce9-3b6b442b3204	AIR_COOLED_CHILLER
45caea72-32f1-4e8d-b448-fe0139c1b597	84eeb454-e31a-41cc-9249-38da16ea48ff	COOLING_TOWER
45caea72-32f1-4e8d-b448-fe0139c1b597	65dfdadc-4804-4968-a37e-5f722b2b8aad	DRY_COOLER
45caea72-32f1-4e8d-b448-fe0139c1b597	02036379-8445-45ce-8656-148c38ae19b8	REMOTE_CONDENSER
45caea72-32f1-4e8d-b448-fe0139c1b597	a3fb4ce6-b56e-40ba-8c79-af67e2d56c5f	CHILLED_WATER_PUMPS
45caea72-32f1-4e8d-b448-fe0139c1b597	70e84c9a-e998-4b5b-8570-3738f60723de	HEAT_REJECTION_PUMPS
45caea72-32f1-4e8d-b448-fe0139c1b597	bf2295aa-f4a4-44c3-a8dc-0542a6f0653e	VENTILATION
45caea72-32f1-4e8d-b448-fe0139c1b597	0b6f9e44-c5e2-480d-a5d3-3d6c3ebdc09c	INFILTRATION
45caea72-32f1-4e8d-b448-fe0139c1b597	63b5d580-5939-4a29-bee9-c439f6bfa07c	IT_LOAD
06749037-54ee-4f75-b5ba-31b1fc879999	83a4924d-0ea9-47a7-a404-4fc39b541699	SWITCHGEAR
06749037-54ee-4f75-b5ba-31b1fc879999	e801fe24-7df7-4a69-b531-6572127f8df4	GENERATOR
06749037-54ee-4f75-b5ba-31b1fc879999	ae4f0a2c-8f9c-4788-92b1-21b0e79c7fcb	PRIMARY_AUXILIARIES
06749037-54ee-4f75-b5ba-31b1fc879999	511ba528-c9bf-4d1c-86fb-bcbdbef4e1d5	UPS
06749037-54ee-4f75-b5ba-31b1fc879999	d998ced5-4d10-4c17-8bef-4f1a77bdfbd0	CRITICAL_AUXILIARIES
06749037-54ee-4f75-b5ba-31b1fc879999	97b13800-eaf0-4b51-ac00-26038602aad0	LIGHTING
06749037-54ee-4f75-b5ba-31b1fc879999	8604cf5e-57aa-43a0-8ec1-4e75e7f65a24	CRITICAL_POWER_DISTRIBUTION
06749037-54ee-4f75-b5ba-31b1fc879999	d465daaa-2410-41b2-a59d-abc20bb7e0c4	CRAH
06749037-54ee-4f75-b5ba-31b1fc879999	1330239a-105c-40a4-a019-1eae58529392	CRAC
06749037-54ee-4f75-b5ba-31b1fc879999	381274f4-28a5-4250-b1c9-d749bc13ab8b	CRAC_WITHOUT_FAN
06749037-54ee-4f75-b5ba-31b1fc879999	af4616aa-591e-406a-96e1-e7e7b04083fb	CRAC_FAN
06749037-54ee-4f75-b5ba-31b1fc879999	5c03fba4-41d7-4ab7-b9df-fcd390733577	CHILLER
06749037-54ee-4f75-b5ba-31b1fc879999	c8cd03cf-38fb-4ea3-8676-058a02b8c5ac	AIR_COOLED_CHILLER
06749037-54ee-4f75-b5ba-31b1fc879999	dcf13d78-f683-4029-acbd-2e082b2480f5	COOLING_TOWER
06749037-54ee-4f75-b5ba-31b1fc879999	a414abaa-5492-40ee-8060-0d79d17ef2d8	DRY_COOLER
06749037-54ee-4f75-b5ba-31b1fc879999	eafd4e36-b215-4ad5-8c6d-f3ee793c0509	REMOTE_CONDENSER
06749037-54ee-4f75-b5ba-31b1fc879999	e4bb02ac-ebec-4507-8bba-b52c3f5c80ea	CHILLED_WATER_PUMPS
06749037-54ee-4f75-b5ba-31b1fc879999	898447d8-ec8b-4780-ab60-5b5a92b6ff7b	HEAT_REJECTION_PUMPS
06749037-54ee-4f75-b5ba-31b1fc879999	80d863c4-6b82-49b4-85b4-79b0fcbd945a	VENTILATION
06749037-54ee-4f75-b5ba-31b1fc879999	49e20369-42c7-4e25-b35e-a03c31b38542	INFILTRATION
06749037-54ee-4f75-b5ba-31b1fc879999	5a04a345-4681-402c-985d-0dc38a257470	IT_LOAD
98558a95-2fc7-41ff-9f93-9d6ed816197c	60e21ff4-90a9-41d4-97e7-d2ef6beeae64	SWITCHGEAR
98558a95-2fc7-41ff-9f93-9d6ed816197c	16dbda99-0613-4775-8ce8-bb6896245686	GENERATOR
98558a95-2fc7-41ff-9f93-9d6ed816197c	bf4bc584-fcdb-43be-82bd-cc0d7992913c	PRIMARY_AUXILIARIES
98558a95-2fc7-41ff-9f93-9d6ed816197c	a382006e-9095-4f6a-b88e-7df9d5e26108	UPS
98558a95-2fc7-41ff-9f93-9d6ed816197c	6bd8a1b7-6dd9-4ece-9e0e-10ba80e9334b	CRITICAL_AUXILIARIES
98558a95-2fc7-41ff-9f93-9d6ed816197c	93b86e60-09f3-4002-a23e-87337e9b7681	LIGHTING
98558a95-2fc7-41ff-9f93-9d6ed816197c	b59e4872-1c2e-4780-a61e-e97ddb8bd2a9	CRITICAL_POWER_DISTRIBUTION
98558a95-2fc7-41ff-9f93-9d6ed816197c	7fc21550-2281-4cc0-8b15-cf7e4aa24f9e	CRAH
98558a95-2fc7-41ff-9f93-9d6ed816197c	21bbab2b-56f9-48db-ba76-8c817ce393c0	CRAC
98558a95-2fc7-41ff-9f93-9d6ed816197c	5c4c6613-c4f5-4a84-9ea8-e06bb916ddd7	CRAC_WITHOUT_FAN
98558a95-2fc7-41ff-9f93-9d6ed816197c	77db6dc1-250b-4645-8a42-d13e3b8a2816	CRAC_FAN
98558a95-2fc7-41ff-9f93-9d6ed816197c	383b4ffc-f653-4d10-9ee9-d8321d6c3c95	CHILLER
98558a95-2fc7-41ff-9f93-9d6ed816197c	198a334b-45fc-439b-831c-a3c1dbb87708	AIR_COOLED_CHILLER
98558a95-2fc7-41ff-9f93-9d6ed816197c	5485ae9b-39aa-4620-b1c1-782ca3a81620	COOLING_TOWER
98558a95-2fc7-41ff-9f93-9d6ed816197c	0d1ce4b4-51be-41aa-9efb-3e4b9a391719	DRY_COOLER
98558a95-2fc7-41ff-9f93-9d6ed816197c	4aca27dd-b38f-4a65-935b-90b2f0b6850d	REMOTE_CONDENSER
98558a95-2fc7-41ff-9f93-9d6ed816197c	31808992-1844-4817-8bec-99bef8e66b41	CHILLED_WATER_PUMPS
98558a95-2fc7-41ff-9f93-9d6ed816197c	81cbdac2-6f76-4da1-b299-519eb3dbb6bc	HEAT_REJECTION_PUMPS
98558a95-2fc7-41ff-9f93-9d6ed816197c	c306e304-9477-43ee-94f5-da7f47ef08e5	VENTILATION
98558a95-2fc7-41ff-9f93-9d6ed816197c	a6c9cb8e-92f0-46a6-86dd-09615bb7347b	INFILTRATION
98558a95-2fc7-41ff-9f93-9d6ed816197c	7a4c500f-6487-4413-8389-eb20343c8b35	IT_LOAD
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	e9266b83-b104-4d40-81b9-d998f57b3fe0	SWITCHGEAR
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	a19943b9-b435-45d6-9654-ff2512da7aed	GENERATOR
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	442cbff5-c3f3-4286-aff5-97601a8c24c8	PRIMARY_AUXILIARIES
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	5efafea2-5ab5-49ee-ad5e-cddd0f8bef8c	UPS
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	40fedd8f-2e53-485d-8421-a7eaaa22db7f	CRITICAL_AUXILIARIES
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	d5118483-97e4-4fde-977a-d753851dab51	LIGHTING
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	12299cb9-87ae-4a11-92b5-18e5dc248d6c	CRITICAL_POWER_DISTRIBUTION
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	31e19461-8ed6-4a16-a05f-72fb251141b6	CRAH
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	e3d58874-fcb8-4f0c-9582-04276893635d	CRAC
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	7202efbb-c003-44e1-90de-c15627faad56	CRAC_WITHOUT_FAN
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	5dd650eb-ed16-45ea-89d6-3f90c6da1050	CRAC_FAN
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	38cac54a-4c08-4fde-a48a-ea5253037937	CHILLER
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	21562bb1-cd69-4e87-bfc3-933cba0801f0	AIR_COOLED_CHILLER
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	e639da27-9796-40f2-9da6-a5af7c59a501	COOLING_TOWER
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	65beaf09-77aa-4ed6-88f3-872851c821fd	DRY_COOLER
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	842f0105-d4f1-4f5d-b96a-3e29720344ec	REMOTE_CONDENSER
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	6940496f-0a0c-43e4-b7f5-531cbd03ef60	CHILLED_WATER_PUMPS
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	18750c2c-d86a-4b2d-b14d-4b035bb1e521	HEAT_REJECTION_PUMPS
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	ee5dcd3c-ef5b-4f81-8d49-bdcc6adc7c92	VENTILATION
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	729be664-370b-4c87-9f5d-585cbd868a67	INFILTRATION
1de5c2ae-8e7b-4f8c-9847-d9775f8270b1	d47e6c39-dc0d-46a3-9c56-8275de8e76f8	IT_LOAD
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	0a9e3cf0-11d0-4851-ae73-f8420086a3c5	SWITCHGEAR
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	6a63cb4b-3199-4ac4-8b15-589fef987636	GENERATOR
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	61a25582-7a18-42b2-99ac-b3750ab30fb4	PRIMARY_AUXILIARIES
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	9feaf0af-416c-4793-98a0-74a27a1531a0	UPS
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	829f4e0c-0979-4e7e-b4c1-2926f5b06cdf	CRITICAL_AUXILIARIES
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	e9deb05c-06f1-4d2a-8797-f7f9788a5e75	LIGHTING
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	95ae47e0-a169-4413-9ce3-b0fb40b6e570	CRITICAL_POWER_DISTRIBUTION
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	8238196f-9d9d-49a2-8f4a-1e8d70a6e723	CRAH
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	086f8982-38cd-43a6-9133-7e157af77948	CRAC
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	77a1bc4d-fb3f-44cd-8d7f-f62be8651121	CRAC_WITHOUT_FAN
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	70b1de19-7856-4dd1-9def-dde7941c5e32	CRAC_FAN
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	db701893-3ab9-47db-8779-621a893a97f6	CHILLER
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	8157edee-77e7-4fc5-b27b-bc65375cce5a	AIR_COOLED_CHILLER
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	41dfe77f-9399-40e9-806d-f6e06fdcc468	COOLING_TOWER
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	9be20f28-9a9f-4c36-b52b-347e00217a6d	DRY_COOLER
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	1bd6fcd8-c066-47f9-b0bb-d72d8bcad540	REMOTE_CONDENSER
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	87323138-dc9c-4dd5-9faf-8f988d89c6b6	CHILLED_WATER_PUMPS
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	783097b6-c6ae-4019-b011-0b8d13e803a6	HEAT_REJECTION_PUMPS
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	a8c33234-b451-4308-8c4a-cada8bf2bde6	VENTILATION
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	4049b931-fd0f-4db5-9c0d-914e0fb45344	INFILTRATION
d36ce2a5-7a12-43bf-bc6f-018f860a95e5	10d077e2-09e0-4e50-a84a-5e81c7e2e576	IT_LOAD
88617a71-02e9-4c78-b2c6-26c07d5a5b08	6b05a7e6-62e1-4c7c-a8c1-2ffa638de3f3	SWITCHGEAR
88617a71-02e9-4c78-b2c6-26c07d5a5b08	736e17f5-987f-4d4f-8cac-2cba94335f7f	GENERATOR
88617a71-02e9-4c78-b2c6-26c07d5a5b08	ddc20b51-8b79-4df7-9b64-b8727ce614b7	PRIMARY_AUXILIARIES
88617a71-02e9-4c78-b2c6-26c07d5a5b08	ce73aca9-5d43-4e75-87fa-4fdd5438df3a	UPS
88617a71-02e9-4c78-b2c6-26c07d5a5b08	912236ef-b092-4ced-b9d2-09da5fddc731	CRITICAL_AUXILIARIES
88617a71-02e9-4c78-b2c6-26c07d5a5b08	af920b7e-1622-4796-b392-a1fd279444f5	LIGHTING
88617a71-02e9-4c78-b2c6-26c07d5a5b08	3868f84f-d617-4555-b6e6-db5237c040ae	CRITICAL_POWER_DISTRIBUTION
88617a71-02e9-4c78-b2c6-26c07d5a5b08	4140a2d9-4e1a-40c6-bd53-5ed5884c2e1d	CRAH
88617a71-02e9-4c78-b2c6-26c07d5a5b08	8e1ea687-63dc-4ee9-ab12-426fd4183ad3	CRAC
88617a71-02e9-4c78-b2c6-26c07d5a5b08	71b7c080-7b2b-484e-a9f2-ebbaca627765	CRAC_WITHOUT_FAN
88617a71-02e9-4c78-b2c6-26c07d5a5b08	ae88bd08-aa48-43d2-81f8-84d8dde372b5	CRAC_FAN
88617a71-02e9-4c78-b2c6-26c07d5a5b08	a9399aea-3a92-44e0-b8f4-c6c4e3760dc6	CHILLER
88617a71-02e9-4c78-b2c6-26c07d5a5b08	4b69c811-787b-4ec0-a2fc-94e05b6c7f17	AIR_COOLED_CHILLER
88617a71-02e9-4c78-b2c6-26c07d5a5b08	88afcdc0-7a76-46ec-8174-639fb980cce8	COOLING_TOWER
88617a71-02e9-4c78-b2c6-26c07d5a5b08	e725029a-f73e-4219-ab9f-4e463007f552	DRY_COOLER
88617a71-02e9-4c78-b2c6-26c07d5a5b08	31ac2299-5904-4666-b8d2-40cdc63b2b29	REMOTE_CONDENSER
88617a71-02e9-4c78-b2c6-26c07d5a5b08	67f948bc-53e0-4318-977c-45e9558da793	CHILLED_WATER_PUMPS
88617a71-02e9-4c78-b2c6-26c07d5a5b08	f930a6c1-1608-48d5-91b7-c3d6b1dce7a3	HEAT_REJECTION_PUMPS
88617a71-02e9-4c78-b2c6-26c07d5a5b08	3e1fc694-e8c6-4e37-994f-f168b1bd0a83	VENTILATION
88617a71-02e9-4c78-b2c6-26c07d5a5b08	78a9281f-e93e-48dd-81b8-c58df9c78919	INFILTRATION
88617a71-02e9-4c78-b2c6-26c07d5a5b08	03f06d89-9f5b-4b35-b6b5-c23600347e9b	IT_LOAD
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	a02ddce9-ef57-4111-ba55-61e04611d28a	SWITCHGEAR
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	f59f4a33-7f3a-498f-b14c-21ed0d0cb93c	GENERATOR
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	3b1fef30-5e3d-469a-bfc4-bb12f1b42a2f	PRIMARY_AUXILIARIES
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	0edc87df-c3fb-4d67-8ef0-698a50535668	UPS
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	f54ee958-0a15-4847-9e18-0b2333c19013	CRITICAL_AUXILIARIES
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	1f2cddfe-a166-4b76-be06-e3a28b551249	LIGHTING
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	c6cdf5fc-2e68-49cf-bfc3-a52f4972ea4e	CRITICAL_POWER_DISTRIBUTION
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	b8e747f3-aa76-49d9-a452-065a876a4105	CRAH
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	d57cf27d-df62-4b6f-be16-66a7f9d2af76	CRAC
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	9b8408c1-b6ad-48a4-a015-1fda03e9e1d2	CRAC_WITHOUT_FAN
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	b2bde946-c088-43e7-9c6f-05e68954cf39	CRAC_FAN
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	388dc072-9262-4c3d-aa1a-c6cde553c4ce	CHILLER
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	a188a84f-8c00-4114-8cc8-7baa7c8f26e8	AIR_COOLED_CHILLER
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	30537ced-33a9-454f-945b-3b746968b740	COOLING_TOWER
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	1f59d49d-65c5-46c6-be84-3ce207d7a1f1	DRY_COOLER
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	4ad18992-6241-46ea-921f-06f5b265bf30	REMOTE_CONDENSER
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	f4933b92-67e3-4237-b294-7e23bde88630	CHILLED_WATER_PUMPS
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	ecd15645-b250-4d73-840f-2781ccb41181	HEAT_REJECTION_PUMPS
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	3f185e28-77b8-40ef-b462-5c384ee95af6	VENTILATION
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	30d283dd-961b-415f-8c9c-7c60fd6549d1	INFILTRATION
cc1e5df4-505f-40d8-9ded-ce5441c7b9a0	a0d55ae9-edd2-44d4-83f0-0f76a4604ca5	IT_LOAD
3c97667a-52b6-4c1e-8bd3-8d4720f060da	51573941-12e1-441a-90ff-7eb7a85d511e	SWITCHGEAR
3c97667a-52b6-4c1e-8bd3-8d4720f060da	b470679a-3d84-4511-813b-97e6e78a1298	GENERATOR
3c97667a-52b6-4c1e-8bd3-8d4720f060da	d9a180f7-0a26-424f-adbb-dddbc0459e0d	PRIMARY_AUXILIARIES
3c97667a-52b6-4c1e-8bd3-8d4720f060da	3d01f99f-450c-46bb-aa75-ab8c250379ef	UPS
3c97667a-52b6-4c1e-8bd3-8d4720f060da	c23a4b3c-1f34-4597-a673-90a25e690d5f	CRITICAL_AUXILIARIES
3c97667a-52b6-4c1e-8bd3-8d4720f060da	f1e76048-cd22-439a-8682-bb25347837fd	LIGHTING
3c97667a-52b6-4c1e-8bd3-8d4720f060da	443fd66e-c978-419f-86ce-cd2c7556568c	CRITICAL_POWER_DISTRIBUTION
3c97667a-52b6-4c1e-8bd3-8d4720f060da	e7b71569-e4c5-4fc8-9a4a-59b6cfb0c127	CRAH
3c97667a-52b6-4c1e-8bd3-8d4720f060da	fc15a42b-933d-4552-85c1-0900b807cc8b	CRAC
3c97667a-52b6-4c1e-8bd3-8d4720f060da	c809ac3d-f40b-4292-bccb-f38ee20666e7	CRAC_WITHOUT_FAN
3c97667a-52b6-4c1e-8bd3-8d4720f060da	806d389f-b00a-488f-80da-ccac595648e5	CRAC_FAN
3c97667a-52b6-4c1e-8bd3-8d4720f060da	2809c5cf-01d4-434c-b5a8-129d1d3c1627	CHILLER
3c97667a-52b6-4c1e-8bd3-8d4720f060da	90bc8968-089a-4102-88c0-1481bc4933b2	AIR_COOLED_CHILLER
3c97667a-52b6-4c1e-8bd3-8d4720f060da	57449f3e-7d1a-46ab-a57a-4f592ac16573	COOLING_TOWER
3c97667a-52b6-4c1e-8bd3-8d4720f060da	5bbab696-daea-400d-826b-e73ff86523f6	DRY_COOLER
3c97667a-52b6-4c1e-8bd3-8d4720f060da	42d3305c-691d-450e-860a-6c7161e34524	REMOTE_CONDENSER
3c97667a-52b6-4c1e-8bd3-8d4720f060da	d9c779b8-59c2-4fca-b703-2b9ed6b5272f	CHILLED_WATER_PUMPS
3c97667a-52b6-4c1e-8bd3-8d4720f060da	c5f61285-e1e0-4e2b-8f3a-25c80cb05731	HEAT_REJECTION_PUMPS
3c97667a-52b6-4c1e-8bd3-8d4720f060da	9906bba0-ab39-42bd-a2d0-9867ea7422f6	VENTILATION
3c97667a-52b6-4c1e-8bd3-8d4720f060da	e5fa2c73-3d26-43df-a0f7-1a4ea6bab031	INFILTRATION
3c97667a-52b6-4c1e-8bd3-8d4720f060da	0eed4148-85ab-4715-aa0a-33a17b5331f4	IT_LOAD
d52b299a-971e-409d-a3fd-376f2d7d9646	09eed1fd-8335-4c8c-ae96-78ebc0b391e6	SWITCHGEAR
d52b299a-971e-409d-a3fd-376f2d7d9646	bf4480d5-efc4-4a9b-a745-02e82fdda60f	GENERATOR
d52b299a-971e-409d-a3fd-376f2d7d9646	63c7ef8b-846b-4afb-bc98-f17db6e396f1	PRIMARY_AUXILIARIES
d52b299a-971e-409d-a3fd-376f2d7d9646	b24fe0e9-9eda-4454-98b4-3dc9b13a4d5e	UPS
d52b299a-971e-409d-a3fd-376f2d7d9646	4f9395d7-5fb0-4887-90ba-f6bf492f8644	CRITICAL_AUXILIARIES
d52b299a-971e-409d-a3fd-376f2d7d9646	dba3ad31-c363-4952-a13b-2fe7bc19809e	LIGHTING
d52b299a-971e-409d-a3fd-376f2d7d9646	77982624-7604-4eb3-a195-adf932f95d8a	CRITICAL_POWER_DISTRIBUTION
d52b299a-971e-409d-a3fd-376f2d7d9646	b8b75a20-5cab-4ab5-98fe-f0cd3e861d81	CRAH
d52b299a-971e-409d-a3fd-376f2d7d9646	ad3441a5-82b7-40f9-874e-c02241c43575	CRAC
d52b299a-971e-409d-a3fd-376f2d7d9646	607738f7-19d0-46b9-a3e4-bfa75b9908b3	CRAC_WITHOUT_FAN
d52b299a-971e-409d-a3fd-376f2d7d9646	acdd20a5-d462-4f64-ac41-2c7813e40b5b	CRAC_FAN
d52b299a-971e-409d-a3fd-376f2d7d9646	c9cb8ec8-ffc4-4c2d-8ed2-1524eaa2bf2a	CHILLER
d52b299a-971e-409d-a3fd-376f2d7d9646	d803408b-a3db-4322-8a5f-1408e818a371	AIR_COOLED_CHILLER
d52b299a-971e-409d-a3fd-376f2d7d9646	99dfdaf4-793b-4ef1-a513-f8e070c00a69	COOLING_TOWER
d52b299a-971e-409d-a3fd-376f2d7d9646	f69a3020-74cf-49c6-a338-f33722273568	DRY_COOLER
d52b299a-971e-409d-a3fd-376f2d7d9646	9a4e93e3-c43e-43a4-82ef-37b87a258b0a	REMOTE_CONDENSER
d52b299a-971e-409d-a3fd-376f2d7d9646	4dbb8c7c-f7e4-4dfe-a3af-8f8f7aa9ee67	CHILLED_WATER_PUMPS
d52b299a-971e-409d-a3fd-376f2d7d9646	8fd78c70-7191-436b-a635-bb517d210e26	HEAT_REJECTION_PUMPS
d52b299a-971e-409d-a3fd-376f2d7d9646	d8342439-12fb-4c06-94a9-c39659e7a14d	VENTILATION
d52b299a-971e-409d-a3fd-376f2d7d9646	9e873825-1303-4f7a-a915-323c958de6f3	INFILTRATION
d52b299a-971e-409d-a3fd-376f2d7d9646	6bee5ff0-c534-43a3-abda-79fb4a6571b8	IT_LOAD
61c1a631-ede3-49bc-9a93-e9261f263cec	884ccdea-5a35-4ba5-9d1b-5dd103b9199a	SWITCHGEAR
61c1a631-ede3-49bc-9a93-e9261f263cec	b6a9e4d7-3eb9-47a1-961f-096b104f47f4	GENERATOR
61c1a631-ede3-49bc-9a93-e9261f263cec	6f0ec56d-b9da-4ca1-9590-8529bf5edb91	PRIMARY_AUXILIARIES
61c1a631-ede3-49bc-9a93-e9261f263cec	dc94960e-9ad5-401d-81b8-d1ef305e2762	UPS
61c1a631-ede3-49bc-9a93-e9261f263cec	909cd984-d0a9-4d94-b41d-7a6ccf661886	CRITICAL_AUXILIARIES
61c1a631-ede3-49bc-9a93-e9261f263cec	2ad14180-43a3-4386-88ac-0ce5942dc4b0	LIGHTING
61c1a631-ede3-49bc-9a93-e9261f263cec	6428ffa2-abd5-45de-9e2a-a33b05232ba9	CRITICAL_POWER_DISTRIBUTION
61c1a631-ede3-49bc-9a93-e9261f263cec	04247c89-989e-4b6d-b5da-0241644002c6	CRAH
61c1a631-ede3-49bc-9a93-e9261f263cec	4d7c78fe-9993-43f4-b9da-d19afeab301d	CRAC
61c1a631-ede3-49bc-9a93-e9261f263cec	085dcb5b-978a-4432-bccd-dc103412a254	CRAC_WITHOUT_FAN
61c1a631-ede3-49bc-9a93-e9261f263cec	9829bd29-2e38-491a-acb6-14a23a4514a2	CRAC_FAN
61c1a631-ede3-49bc-9a93-e9261f263cec	8ffe3f92-7833-4bbb-a7fa-992722532b9d	CHILLER
61c1a631-ede3-49bc-9a93-e9261f263cec	3042f59a-a83b-4785-aa60-6c437d5b891d	AIR_COOLED_CHILLER
61c1a631-ede3-49bc-9a93-e9261f263cec	a21c72ab-ddb6-4afb-bc21-9de140dd2543	COOLING_TOWER
61c1a631-ede3-49bc-9a93-e9261f263cec	d266c3c8-c9a9-4d13-9163-6be392bd29a6	DRY_COOLER
61c1a631-ede3-49bc-9a93-e9261f263cec	45ef2c93-6866-4c4f-b0b6-5758994ce24b	REMOTE_CONDENSER
61c1a631-ede3-49bc-9a93-e9261f263cec	9507a71c-b5d1-4405-93a3-eadd4d0f4dc3	CHILLED_WATER_PUMPS
61c1a631-ede3-49bc-9a93-e9261f263cec	1650662b-8280-4157-8b7e-6c944e289711	HEAT_REJECTION_PUMPS
61c1a631-ede3-49bc-9a93-e9261f263cec	e4e7da70-27b2-46db-aeec-5120369320a3	VENTILATION
61c1a631-ede3-49bc-9a93-e9261f263cec	e12defcf-24c7-4554-9467-54c2ec02a6df	INFILTRATION
61c1a631-ede3-49bc-9a93-e9261f263cec	5d3e228b-4607-4b65-bc13-ed194e159809	IT_LOAD
ce9f38bb-b749-4342-af88-e4e6f9f37d89	8c20f977-bfe0-4056-808f-230b5ad1b9db	SWITCHGEAR
ce9f38bb-b749-4342-af88-e4e6f9f37d89	ed5488a4-b689-4a6c-8f87-216b5d9d29c3	GENERATOR
ce9f38bb-b749-4342-af88-e4e6f9f37d89	51c11462-55d4-4da8-a476-6f45a32722f6	PRIMARY_AUXILIARIES
ce9f38bb-b749-4342-af88-e4e6f9f37d89	ba122d08-210b-48e6-aa6f-d84d1c1bd536	UPS
ce9f38bb-b749-4342-af88-e4e6f9f37d89	8e60a114-b165-4204-b64b-27dd7a8f7979	CRITICAL_AUXILIARIES
ce9f38bb-b749-4342-af88-e4e6f9f37d89	33b8e35b-4db9-42da-9866-c81e4c821ea7	LIGHTING
ce9f38bb-b749-4342-af88-e4e6f9f37d89	7c1e2cf5-c4ef-4ee2-b042-e615f54a2307	CRITICAL_POWER_DISTRIBUTION
ce9f38bb-b749-4342-af88-e4e6f9f37d89	135fb3fc-6ea2-4ed3-88a6-2fa7be75c6f6	CRAH
ce9f38bb-b749-4342-af88-e4e6f9f37d89	b65e226c-4f8d-4299-ad41-2a533b3137c6	CRAC
ce9f38bb-b749-4342-af88-e4e6f9f37d89	6a25054d-c10d-40f2-b542-7341583a799c	CRAC_WITHOUT_FAN
ce9f38bb-b749-4342-af88-e4e6f9f37d89	f472df46-0e9b-4211-8dd1-fc07d3e0f8d0	CRAC_FAN
ce9f38bb-b749-4342-af88-e4e6f9f37d89	87bb2281-1a39-488e-82c1-0b7aeb3735b5	CHILLER
ce9f38bb-b749-4342-af88-e4e6f9f37d89	4807e939-8cea-4164-b66b-de8a3fb2e7d9	AIR_COOLED_CHILLER
ce9f38bb-b749-4342-af88-e4e6f9f37d89	13854a61-92dd-46e7-8183-cb914d5baa2a	COOLING_TOWER
ce9f38bb-b749-4342-af88-e4e6f9f37d89	2c38fbbc-4d13-4f3c-b77f-82c5e02fd5ae	DRY_COOLER
ce9f38bb-b749-4342-af88-e4e6f9f37d89	4c6ae34b-b97b-4cd8-aba5-f50f55f50e0a	REMOTE_CONDENSER
ce9f38bb-b749-4342-af88-e4e6f9f37d89	5be493e0-63c4-4a69-a752-405ae89eb775	CHILLED_WATER_PUMPS
ce9f38bb-b749-4342-af88-e4e6f9f37d89	1d87be26-330a-4a1a-a34e-d5430c0f1ce5	HEAT_REJECTION_PUMPS
ce9f38bb-b749-4342-af88-e4e6f9f37d89	8c2b020b-8ff0-449e-822a-9010cc08c078	VENTILATION
ce9f38bb-b749-4342-af88-e4e6f9f37d89	2ce8ecfa-6b0b-46ee-96e0-b4fb223bcc6c	INFILTRATION
ce9f38bb-b749-4342-af88-e4e6f9f37d89	18d87f03-724a-481a-a090-f92e1d0f67a9	IT_LOAD
7ac15c33-ec65-4b17-a94d-3ace201d750e	356376a4-335c-46a2-ad13-fef2160788bb	SWITCHGEAR
7ac15c33-ec65-4b17-a94d-3ace201d750e	44635d7e-a07c-4a6d-8d9a-83c2e48073de	GENERATOR
7ac15c33-ec65-4b17-a94d-3ace201d750e	b668abf0-2fd6-41eb-bb21-bd6ec9f94abe	PRIMARY_AUXILIARIES
7ac15c33-ec65-4b17-a94d-3ace201d750e	be839860-a7eb-46cf-b5bd-f7e594ec77bd	UPS
7ac15c33-ec65-4b17-a94d-3ace201d750e	f9cabbf7-5996-4536-9830-32cdd5bd87b4	CRITICAL_AUXILIARIES
7ac15c33-ec65-4b17-a94d-3ace201d750e	5f73eec8-80ae-4683-a82f-e09a87f792bd	LIGHTING
7ac15c33-ec65-4b17-a94d-3ace201d750e	105562d2-81fe-4b9d-ba43-d4210cf6fd8b	CRITICAL_POWER_DISTRIBUTION
7ac15c33-ec65-4b17-a94d-3ace201d750e	64392f8b-bbbb-4c84-9949-9d9a016ad0ba	CRAH
7ac15c33-ec65-4b17-a94d-3ace201d750e	572ee104-e1bd-400d-8c5d-cad0ba476b70	CRAC
7ac15c33-ec65-4b17-a94d-3ace201d750e	c748d7f7-aa11-4815-9aaf-4f9a14d1315a	CRAC_WITHOUT_FAN
7ac15c33-ec65-4b17-a94d-3ace201d750e	793d967a-7f7b-48e8-8bde-a139c9306553	CRAC_FAN
7ac15c33-ec65-4b17-a94d-3ace201d750e	99b4d335-88e4-41b3-a579-3a4cf484627f	CHILLER
7ac15c33-ec65-4b17-a94d-3ace201d750e	52c7a220-7074-42b7-95f3-88b000cead20	AIR_COOLED_CHILLER
7ac15c33-ec65-4b17-a94d-3ace201d750e	3957cca9-380e-43e8-8e9c-2e07734406eb	COOLING_TOWER
7ac15c33-ec65-4b17-a94d-3ace201d750e	616e5fd0-7526-425d-8433-33cb849d69b9	DRY_COOLER
7ac15c33-ec65-4b17-a94d-3ace201d750e	b3e2e7fd-e715-4238-9c7a-17c82d1e4993	REMOTE_CONDENSER
7ac15c33-ec65-4b17-a94d-3ace201d750e	ec4a9a0a-3363-437a-9b30-e5813d54a28a	CHILLED_WATER_PUMPS
7ac15c33-ec65-4b17-a94d-3ace201d750e	d8eae34e-4ede-40ab-b58d-a4e97ed81293	HEAT_REJECTION_PUMPS
7ac15c33-ec65-4b17-a94d-3ace201d750e	c92eb919-56fd-400f-ba6d-689fd952f7be	VENTILATION
7ac15c33-ec65-4b17-a94d-3ace201d750e	0a3c8b81-6bf6-4d3c-8bd3-81d2f55e6b4f	INFILTRATION
7ac15c33-ec65-4b17-a94d-3ace201d750e	3ead4de5-cd40-476e-939f-c8e3dc3a4b41	IT_LOAD
884f3195-9b8a-47a5-a18a-4303907bbfb7	f6825ff2-81e7-4e0c-a4e5-534748ca30e2	SWITCHGEAR
884f3195-9b8a-47a5-a18a-4303907bbfb7	dff3217e-cb0e-435e-98ca-5b2421bff546	GENERATOR
884f3195-9b8a-47a5-a18a-4303907bbfb7	2dad403e-2356-4386-a65c-960f4962e5c6	PRIMARY_AUXILIARIES
884f3195-9b8a-47a5-a18a-4303907bbfb7	984b976b-ad64-4d6a-9936-831e62ef3d66	UPS
884f3195-9b8a-47a5-a18a-4303907bbfb7	d74113c2-7fe0-4269-ba89-320c9429aa52	CRITICAL_AUXILIARIES
884f3195-9b8a-47a5-a18a-4303907bbfb7	295cebf3-cbfa-4e43-ac89-1fef60bee26b	LIGHTING
884f3195-9b8a-47a5-a18a-4303907bbfb7	aafdc1e7-af73-4f24-a543-8bd1cae3e7cd	CRITICAL_POWER_DISTRIBUTION
884f3195-9b8a-47a5-a18a-4303907bbfb7	32a7486b-3b83-4871-9444-f10bfdd2e722	CRAH
884f3195-9b8a-47a5-a18a-4303907bbfb7	7830c297-b6a4-4a31-a1cd-4f9a25e15012	CRAC
884f3195-9b8a-47a5-a18a-4303907bbfb7	25d67ff4-621f-4a1d-a054-85d2bb54dc18	CRAC_WITHOUT_FAN
884f3195-9b8a-47a5-a18a-4303907bbfb7	cad9b709-d704-4882-905a-c629b1ca5168	CRAC_FAN
884f3195-9b8a-47a5-a18a-4303907bbfb7	10a65933-34f7-42da-97ca-5d5a7d6f660a	CHILLER
884f3195-9b8a-47a5-a18a-4303907bbfb7	ed2fc167-9246-47e3-809f-bba499d5e4d4	AIR_COOLED_CHILLER
884f3195-9b8a-47a5-a18a-4303907bbfb7	8db63039-b764-4a8c-b1ed-cce82c40b3cf	COOLING_TOWER
884f3195-9b8a-47a5-a18a-4303907bbfb7	1da949fa-b4bd-4be1-b11d-47eda17f9c21	DRY_COOLER
884f3195-9b8a-47a5-a18a-4303907bbfb7	1a38023b-3212-419f-ade3-e851abdbfee8	REMOTE_CONDENSER
884f3195-9b8a-47a5-a18a-4303907bbfb7	45d718c7-8a7e-4593-9afb-e4fd20ff4547	CHILLED_WATER_PUMPS
884f3195-9b8a-47a5-a18a-4303907bbfb7	cdb9f47a-aa44-45e8-aa88-547933f1c2fd	HEAT_REJECTION_PUMPS
884f3195-9b8a-47a5-a18a-4303907bbfb7	8ce6a62b-1038-46ed-b7c3-3a4889065d30	VENTILATION
884f3195-9b8a-47a5-a18a-4303907bbfb7	a5d509f7-758e-4045-9bd1-3963b041debc	INFILTRATION
884f3195-9b8a-47a5-a18a-4303907bbfb7	c3441bb6-73b9-4cfa-b657-758624e2d816	IT_LOAD
02ee2c63-0b60-4697-893a-62aa7059c6da	e1fbd155-7e5c-4669-8d92-5e535f50a3f9	SWITCHGEAR
02ee2c63-0b60-4697-893a-62aa7059c6da	8dd84bfc-abc0-4631-8c7d-4d4771bbd29a	GENERATOR
02ee2c63-0b60-4697-893a-62aa7059c6da	7c293c96-814a-49ff-8cb7-0413b911b875	PRIMARY_AUXILIARIES
02ee2c63-0b60-4697-893a-62aa7059c6da	925024df-0313-461e-9dc1-7ee1ead4d5f1	UPS
02ee2c63-0b60-4697-893a-62aa7059c6da	9a44189f-d073-4617-9abc-988df7a2d5f1	CRITICAL_AUXILIARIES
02ee2c63-0b60-4697-893a-62aa7059c6da	a293c59e-b1ee-4821-8127-192b50364615	LIGHTING
02ee2c63-0b60-4697-893a-62aa7059c6da	3d3bb79b-4d5c-4dca-bc3f-71d10b7a28de	CRITICAL_POWER_DISTRIBUTION
02ee2c63-0b60-4697-893a-62aa7059c6da	20807459-cba6-4f27-ae88-7fdcac3c73c4	CRAH
02ee2c63-0b60-4697-893a-62aa7059c6da	79397578-c798-416f-9776-c737d3447c2a	CRAC
02ee2c63-0b60-4697-893a-62aa7059c6da	af6347a9-b545-44a0-b193-d1e79bff92fb	CRAC_WITHOUT_FAN
02ee2c63-0b60-4697-893a-62aa7059c6da	f872ffb8-f642-46d7-975a-45aee9b4f6ac	CRAC_FAN
02ee2c63-0b60-4697-893a-62aa7059c6da	40202af7-00a3-4406-bad7-59845116e97e	CHILLER
02ee2c63-0b60-4697-893a-62aa7059c6da	e84bacf1-04c3-47ad-a847-b133eebb3904	AIR_COOLED_CHILLER
02ee2c63-0b60-4697-893a-62aa7059c6da	750119bc-f510-4cc2-ba4c-28414a96f29b	COOLING_TOWER
02ee2c63-0b60-4697-893a-62aa7059c6da	2ec607ef-4474-45ca-b118-e388a6a8cf47	DRY_COOLER
02ee2c63-0b60-4697-893a-62aa7059c6da	d0d75c06-8cbc-4b9b-b19f-4074ea17cfae	REMOTE_CONDENSER
02ee2c63-0b60-4697-893a-62aa7059c6da	08b3c5d8-f478-4697-9bb9-1061eda4c56f	CHILLED_WATER_PUMPS
02ee2c63-0b60-4697-893a-62aa7059c6da	9f6bce0a-3215-44ac-a060-4e726ecff845	HEAT_REJECTION_PUMPS
02ee2c63-0b60-4697-893a-62aa7059c6da	71673247-0893-4537-9199-cb7fd33e27ce	VENTILATION
02ee2c63-0b60-4697-893a-62aa7059c6da	760137d1-e10f-4cbb-af62-e7faf908e8d5	INFILTRATION
02ee2c63-0b60-4697-893a-62aa7059c6da	fc9003f8-0b1f-4967-92f0-8af410dd3601	IT_LOAD
91368bcf-9370-49fa-98a8-d13437298666	d6a41faf-b5d5-4558-9fa8-ab43004e8356	SWITCHGEAR
91368bcf-9370-49fa-98a8-d13437298666	8e51f4ae-ed70-4572-a655-7e5d83af0f35	GENERATOR
91368bcf-9370-49fa-98a8-d13437298666	cac47ded-90cf-4158-bef0-2a90ce9f84ec	PRIMARY_AUXILIARIES
91368bcf-9370-49fa-98a8-d13437298666	6538fe93-0879-47e2-931e-3bc6feeee630	UPS
91368bcf-9370-49fa-98a8-d13437298666	7dd6e063-97c3-4e5e-ad4a-737a896bbfda	CRITICAL_AUXILIARIES
91368bcf-9370-49fa-98a8-d13437298666	7f0c3491-404e-4d8f-8c38-f965c61f9133	LIGHTING
91368bcf-9370-49fa-98a8-d13437298666	b5a427fa-8cdf-4a85-bcc8-2a8462af4809	CRITICAL_POWER_DISTRIBUTION
91368bcf-9370-49fa-98a8-d13437298666	a93d2563-e5d0-4554-86bf-3af4bed52986	CRAH
91368bcf-9370-49fa-98a8-d13437298666	694400ee-35a0-4bec-843f-c065a8b8c270	CRAC
91368bcf-9370-49fa-98a8-d13437298666	34571753-52d2-4ced-b7b5-a0fe804b12c6	CRAC_WITHOUT_FAN
91368bcf-9370-49fa-98a8-d13437298666	31c0e411-c143-470e-ace7-2a23cee0e9e3	CRAC_FAN
91368bcf-9370-49fa-98a8-d13437298666	ff9782d7-1c3b-42fc-a07f-caf826b718ae	CHILLER
91368bcf-9370-49fa-98a8-d13437298666	cbcfd8a1-5177-4f4d-92c7-24245b25478c	AIR_COOLED_CHILLER
91368bcf-9370-49fa-98a8-d13437298666	ec7332b3-394c-4aa8-b06f-8824c177d4c0	COOLING_TOWER
91368bcf-9370-49fa-98a8-d13437298666	a00bc978-583e-450c-a13c-97a91ea69558	DRY_COOLER
91368bcf-9370-49fa-98a8-d13437298666	d7ae77f7-dc11-43db-bb52-0af5d384a5c1	REMOTE_CONDENSER
91368bcf-9370-49fa-98a8-d13437298666	71eea9cd-528c-4f78-94f2-c564cac76957	CHILLED_WATER_PUMPS
91368bcf-9370-49fa-98a8-d13437298666	8d016480-86d6-4649-8764-cbed05a8e44c	HEAT_REJECTION_PUMPS
91368bcf-9370-49fa-98a8-d13437298666	3d375e3e-11d5-471b-bdf3-7b83cdb257a3	VENTILATION
91368bcf-9370-49fa-98a8-d13437298666	aea6ffc3-55d8-4025-965e-cf08f7592778	INFILTRATION
91368bcf-9370-49fa-98a8-d13437298666	133acc1b-10a4-4a7e-b142-890cc932cad4	IT_LOAD
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	159da52c-001a-408f-9ca4-091ff09a4a3e	SWITCHGEAR
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	902ef5c2-1cd6-4df8-98f9-89a3d11590d7	GENERATOR
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	2bd9c490-f45d-458e-81c4-537b003afb86	PRIMARY_AUXILIARIES
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	815b2799-562b-4945-b1fa-89fbd140406f	UPS
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	ac9302d5-bdfd-4caf-81dd-11ba835580ff	CRITICAL_AUXILIARIES
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	810f5ec6-d820-45ba-b39c-4d69c51431b7	LIGHTING
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	fee87b1a-9774-4f5a-89f8-769910ae042b	CRITICAL_POWER_DISTRIBUTION
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	5d32437d-2f10-40fd-9834-a8633813c8fc	CRAH
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	4af8edd2-2014-4274-b560-343a9e392468	CRAC
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	378d9551-e8b2-4ec7-a4e2-1336a5a14905	CRAC_WITHOUT_FAN
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	b2b29d1d-0815-42ef-9290-d58827b413c1	CRAC_FAN
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	cdeb4980-a64c-4c8c-86c8-36671d164cd8	CHILLER
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	141f6aca-e774-4cf9-8c02-4714250ef866	AIR_COOLED_CHILLER
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	c64837f2-e046-4bd6-8e3e-de534342c761	COOLING_TOWER
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	427e7d57-99eb-49e1-af2e-63279e66f2ec	DRY_COOLER
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	dcefdcf9-a227-442f-8e25-1e9b54fd3212	REMOTE_CONDENSER
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	8f56411c-49e1-4a95-842c-4c76ed1c3472	CHILLED_WATER_PUMPS
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	9b1d3b8a-8415-47f5-acc2-3bf4ada8e951	HEAT_REJECTION_PUMPS
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	1e5d9880-30a7-4d56-87dc-0eb5417ebce5	VENTILATION
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	782f618a-539c-42d3-9a94-b084fcace7ee	INFILTRATION
ab8bd1dd-2adc-4f57-9f60-00ff30f5858c	9b197cd3-0ae4-4b3b-baf5-df828027387f	IT_LOAD
1b327799-1213-49f2-9920-1066b4edc687	fbbdd9cb-0cdd-4da1-b965-62b3833e2bbb	SWITCHGEAR
1b327799-1213-49f2-9920-1066b4edc687	ab2b0b5a-bca1-46dd-86b4-ef9eba6f7eed	GENERATOR
1b327799-1213-49f2-9920-1066b4edc687	3fc673a2-c829-4fae-b792-8bfb56b93c5c	PRIMARY_AUXILIARIES
1b327799-1213-49f2-9920-1066b4edc687	4115c7a9-708a-4753-8156-58499105886b	UPS
1b327799-1213-49f2-9920-1066b4edc687	d490659f-9c31-4714-8508-9697a9d8cb80	CRITICAL_AUXILIARIES
1b327799-1213-49f2-9920-1066b4edc687	047d7e5e-4a32-45af-9a20-d80313116f2d	LIGHTING
1b327799-1213-49f2-9920-1066b4edc687	4048f7cc-f67b-4ed9-b9a2-26653f3e7556	CRITICAL_POWER_DISTRIBUTION
1b327799-1213-49f2-9920-1066b4edc687	73cfd656-e596-4122-9383-caa47e0f9db8	CRAH
1b327799-1213-49f2-9920-1066b4edc687	1400f48a-94ac-4c88-b610-c4697c64d015	CRAC
1b327799-1213-49f2-9920-1066b4edc687	e98743a4-b949-462b-8a01-b97efe884b8c	CRAC_WITHOUT_FAN
1b327799-1213-49f2-9920-1066b4edc687	460d642e-aea3-496a-a2c4-6e183bdbf650	CRAC_FAN
1b327799-1213-49f2-9920-1066b4edc687	4a8c355c-d36e-423f-bfb1-adf6111602f6	CHILLER
1b327799-1213-49f2-9920-1066b4edc687	3815241e-cd54-4480-b940-cc90bcec332f	AIR_COOLED_CHILLER
1b327799-1213-49f2-9920-1066b4edc687	faac89b3-3b72-4b81-a3b5-8502cbb847a6	COOLING_TOWER
1b327799-1213-49f2-9920-1066b4edc687	db16e4a8-82cb-4c5e-ba63-e61cf2286a84	DRY_COOLER
1b327799-1213-49f2-9920-1066b4edc687	59cf4582-7c10-4dce-a5ad-cc6662485ef0	REMOTE_CONDENSER
1b327799-1213-49f2-9920-1066b4edc687	5b0978f5-fc4f-4b03-ad6e-0c14664404dc	CHILLED_WATER_PUMPS
1b327799-1213-49f2-9920-1066b4edc687	e290d14b-0bfe-4eb2-97e3-499270d523c9	HEAT_REJECTION_PUMPS
1b327799-1213-49f2-9920-1066b4edc687	9623c2e6-99cb-4b3f-b1d9-3c6d2436965a	VENTILATION
1b327799-1213-49f2-9920-1066b4edc687	9fe8b3a1-cdfd-4bd0-823b-c775784ff2e8	INFILTRATION
1b327799-1213-49f2-9920-1066b4edc687	6a46906a-6b45-4c72-b181-cc9fe7e35a4d	IT_LOAD
28327dbd-8f87-4567-8a80-2c3e4c18d297	53f6c562-1c7d-4da9-8bdd-ff918b781daa	SWITCHGEAR
28327dbd-8f87-4567-8a80-2c3e4c18d297	6f13fff8-94b2-406a-b5f8-1a122f26007c	GENERATOR
28327dbd-8f87-4567-8a80-2c3e4c18d297	a2ca1d2e-a162-466a-90ce-1c34c96d0b75	PRIMARY_AUXILIARIES
28327dbd-8f87-4567-8a80-2c3e4c18d297	9840e7ce-34b4-42b1-96b3-68720378bf4c	UPS
28327dbd-8f87-4567-8a80-2c3e4c18d297	09ccaf03-b013-4477-a176-af50f65b7731	CRITICAL_AUXILIARIES
28327dbd-8f87-4567-8a80-2c3e4c18d297	89ce6037-7ef4-4c92-9123-9e92991feef8	LIGHTING
28327dbd-8f87-4567-8a80-2c3e4c18d297	b45f0063-1c76-47ed-96d7-d694b154be19	CRITICAL_POWER_DISTRIBUTION
28327dbd-8f87-4567-8a80-2c3e4c18d297	18fa1ac8-a20b-41b6-ba12-cedc4a045d43	CRAH
28327dbd-8f87-4567-8a80-2c3e4c18d297	a5fcff70-83c1-4921-96b6-a66016de5370	CRAC
28327dbd-8f87-4567-8a80-2c3e4c18d297	4818c836-89c8-4cbb-aa72-e1b895305146	CRAC_WITHOUT_FAN
28327dbd-8f87-4567-8a80-2c3e4c18d297	33e3fb10-227a-416f-a8a0-b6e52bb87558	CRAC_FAN
28327dbd-8f87-4567-8a80-2c3e4c18d297	6dfc1b5c-30b8-44a4-9aff-8024f3ef474c	CHILLER
28327dbd-8f87-4567-8a80-2c3e4c18d297	79cd045a-bad9-40c3-bca0-8c6080bd08cd	AIR_COOLED_CHILLER
28327dbd-8f87-4567-8a80-2c3e4c18d297	75ec7c79-ac34-4cb5-9373-28488a5162c2	COOLING_TOWER
28327dbd-8f87-4567-8a80-2c3e4c18d297	4f896699-821c-4615-b8dc-be6ce5625fde	DRY_COOLER
28327dbd-8f87-4567-8a80-2c3e4c18d297	19c6ba8a-8c03-4a38-af46-0699e53272df	REMOTE_CONDENSER
28327dbd-8f87-4567-8a80-2c3e4c18d297	e5309527-7a3b-4378-b828-b3abea536041	CHILLED_WATER_PUMPS
28327dbd-8f87-4567-8a80-2c3e4c18d297	6c73209a-6cbc-439e-8fed-f6ab2b5573b2	HEAT_REJECTION_PUMPS
28327dbd-8f87-4567-8a80-2c3e4c18d297	defc8103-8d7b-4ef4-ad9f-824418f4091e	VENTILATION
28327dbd-8f87-4567-8a80-2c3e4c18d297	d5b8303c-30a4-4dfd-b19d-ee9a31b19a91	INFILTRATION
28327dbd-8f87-4567-8a80-2c3e4c18d297	19dc0432-4455-4b1a-9e27-ef34c55f6266	IT_LOAD
ca21df73-295d-4e7e-909c-d2aad4dc915a	e0bab972-b92d-48f5-85be-65730c4061d8	SWITCHGEAR
ca21df73-295d-4e7e-909c-d2aad4dc915a	3484ba04-08b2-42cf-bf6b-11559122d6bc	GENERATOR
ca21df73-295d-4e7e-909c-d2aad4dc915a	16ba2d75-cad9-4d27-b356-611b4883c61f	PRIMARY_AUXILIARIES
ca21df73-295d-4e7e-909c-d2aad4dc915a	2f959bd8-7940-4dd1-9c31-4027e89af8a9	UPS
ca21df73-295d-4e7e-909c-d2aad4dc915a	f66cb35c-019b-4353-95eb-db07ba019b0c	CRITICAL_AUXILIARIES
ca21df73-295d-4e7e-909c-d2aad4dc915a	955168e6-cfc5-4b70-8578-d51e93ffddb8	LIGHTING
ca21df73-295d-4e7e-909c-d2aad4dc915a	9d355049-fd6b-497b-a040-52a25c42eb10	CRITICAL_POWER_DISTRIBUTION
ca21df73-295d-4e7e-909c-d2aad4dc915a	e79ca8ad-5f78-497d-bdee-e2207b30d1dc	CRAH
ca21df73-295d-4e7e-909c-d2aad4dc915a	e45a3bb2-56a0-488f-8a96-bc6ba7852ea0	CRAC
ca21df73-295d-4e7e-909c-d2aad4dc915a	93ff1e41-c198-4b9d-aee9-61004d3398ec	CRAC_WITHOUT_FAN
ca21df73-295d-4e7e-909c-d2aad4dc915a	6e4d1f93-6521-4884-9641-ca5acaf9ea40	CRAC_FAN
ca21df73-295d-4e7e-909c-d2aad4dc915a	53b3bd6a-0cb3-4ac1-bb5f-6f7f77b92c36	CHILLER
ca21df73-295d-4e7e-909c-d2aad4dc915a	e2873616-e008-4878-918f-cdc7dc8c5ce5	AIR_COOLED_CHILLER
ca21df73-295d-4e7e-909c-d2aad4dc915a	0f4b7b7d-cdf0-4c58-b838-d1e2b2ecf70a	COOLING_TOWER
ca21df73-295d-4e7e-909c-d2aad4dc915a	4ee6f49f-587b-4d82-a8ab-8ee6ca08cd8e	DRY_COOLER
ca21df73-295d-4e7e-909c-d2aad4dc915a	75f8a093-ca99-4756-8265-9128aa35ec0e	REMOTE_CONDENSER
ca21df73-295d-4e7e-909c-d2aad4dc915a	63db9b36-b850-4b98-9486-52df77257c8b	CHILLED_WATER_PUMPS
ca21df73-295d-4e7e-909c-d2aad4dc915a	4afba9ae-a728-4ca8-ade8-71a33158aec7	HEAT_REJECTION_PUMPS
ca21df73-295d-4e7e-909c-d2aad4dc915a	65e5a84e-9e5b-4671-a0cc-3538a4d40ac0	VENTILATION
ca21df73-295d-4e7e-909c-d2aad4dc915a	ec97a531-0a9c-4c66-b4f5-20e63062927b	INFILTRATION
ca21df73-295d-4e7e-909c-d2aad4dc915a	001c02ee-16a8-4e06-a56e-ea28c807f926	IT_LOAD
85f66761-a1f5-4509-8296-438f62457c13	73eb2452-3ff8-4924-81d6-28661bb3deb9	SWITCHGEAR
85f66761-a1f5-4509-8296-438f62457c13	49ca6531-0709-41bf-aaa6-2ef694d6a954	GENERATOR
85f66761-a1f5-4509-8296-438f62457c13	7d8fb9b0-7099-401f-b0b8-86cf9c1627b8	PRIMARY_AUXILIARIES
85f66761-a1f5-4509-8296-438f62457c13	201679ac-9376-4c47-a0f4-e29edd3e7ae4	UPS
85f66761-a1f5-4509-8296-438f62457c13	e21ca422-25b7-4484-aa42-0f7683381054	CRITICAL_AUXILIARIES
85f66761-a1f5-4509-8296-438f62457c13	ef3019d7-3b56-4d62-8684-03fdf6755fe0	LIGHTING
85f66761-a1f5-4509-8296-438f62457c13	3ab5ffae-7e64-4fb9-801c-b5d45224e4e5	CRITICAL_POWER_DISTRIBUTION
85f66761-a1f5-4509-8296-438f62457c13	5a6e9a45-19ee-4bec-8745-fae9f1ef3cfb	CRAH
85f66761-a1f5-4509-8296-438f62457c13	46613fcb-f286-402a-8578-7e0a5441fb59	CRAC
85f66761-a1f5-4509-8296-438f62457c13	16212a5b-1457-4c2f-9276-1a447c6c4550	CRAC_WITHOUT_FAN
85f66761-a1f5-4509-8296-438f62457c13	af6c4155-ab98-4448-8983-82847c24acaf	CRAC_FAN
85f66761-a1f5-4509-8296-438f62457c13	0500983d-7cb9-475d-83ba-d97dfd8923c6	CHILLER
85f66761-a1f5-4509-8296-438f62457c13	1a9a6b02-394a-43cc-82eb-4c0ecb9a4db4	AIR_COOLED_CHILLER
85f66761-a1f5-4509-8296-438f62457c13	0084d9f7-b87b-489d-ac63-0dc18d8c681d	COOLING_TOWER
85f66761-a1f5-4509-8296-438f62457c13	533506ca-4086-472a-be62-e451b18157a0	DRY_COOLER
85f66761-a1f5-4509-8296-438f62457c13	79e3b256-a739-4658-a02a-87a2e9d73434	REMOTE_CONDENSER
85f66761-a1f5-4509-8296-438f62457c13	bce480ba-d8ea-4e24-b1bb-86a693b5f1c8	CHILLED_WATER_PUMPS
85f66761-a1f5-4509-8296-438f62457c13	6d656bf2-bfcf-40f2-9811-b536d4cc6905	HEAT_REJECTION_PUMPS
85f66761-a1f5-4509-8296-438f62457c13	10e032d9-87b6-45b0-91fe-5237220ecacd	VENTILATION
85f66761-a1f5-4509-8296-438f62457c13	237b71b6-a0ed-4f50-8ca2-4632f70fb990	INFILTRATION
85f66761-a1f5-4509-8296-438f62457c13	ad160cff-9aff-4d05-a00a-f75f6fd1a067	IT_LOAD
422cd143-9b77-44d2-a29f-2b25da02888e	b87dfb6e-231b-4fad-8042-9b799726fd1e	SWITCHGEAR
422cd143-9b77-44d2-a29f-2b25da02888e	06bda2dd-72c9-4e42-97fe-3f60a6d9c1b8	GENERATOR
422cd143-9b77-44d2-a29f-2b25da02888e	c587adea-7103-4d73-93db-b83d93090b65	PRIMARY_AUXILIARIES
422cd143-9b77-44d2-a29f-2b25da02888e	ad3d66a8-d4c3-4b50-8969-5ab008122b5a	UPS
422cd143-9b77-44d2-a29f-2b25da02888e	870533af-5ccf-44fe-bbdd-84393839d360	CRITICAL_AUXILIARIES
422cd143-9b77-44d2-a29f-2b25da02888e	dba48ba2-9817-4ade-a0b2-9a18f91e8cca	LIGHTING
422cd143-9b77-44d2-a29f-2b25da02888e	b43be680-a1aa-45df-b0ce-955264505083	CRITICAL_POWER_DISTRIBUTION
422cd143-9b77-44d2-a29f-2b25da02888e	62850898-7699-4d19-b915-587e32d7dd03	CRAH
422cd143-9b77-44d2-a29f-2b25da02888e	9f400419-e706-4651-9158-59e24d9d58ca	CRAC
422cd143-9b77-44d2-a29f-2b25da02888e	dd34a56e-12a6-44ff-9776-ab01b7fa6ddd	CRAC_WITHOUT_FAN
422cd143-9b77-44d2-a29f-2b25da02888e	8a523b43-3a5c-4cea-a481-286fdee33c2e	CRAC_FAN
422cd143-9b77-44d2-a29f-2b25da02888e	536279cf-e481-40ff-a735-a52d005ec8ea	CHILLER
422cd143-9b77-44d2-a29f-2b25da02888e	b0b9f309-e62c-4fa7-baab-36af379fc8f1	AIR_COOLED_CHILLER
422cd143-9b77-44d2-a29f-2b25da02888e	d2c6c478-36e6-4337-85a6-6258b4f8ccb9	COOLING_TOWER
422cd143-9b77-44d2-a29f-2b25da02888e	92c51106-73e1-4b6f-a34f-7cb862cdcb3a	DRY_COOLER
422cd143-9b77-44d2-a29f-2b25da02888e	b97c715b-f0ce-4a7b-b3da-4204282ff37e	REMOTE_CONDENSER
422cd143-9b77-44d2-a29f-2b25da02888e	662dbf5d-7a28-4866-bbc4-f49a72418e75	CHILLED_WATER_PUMPS
422cd143-9b77-44d2-a29f-2b25da02888e	f67d62eb-84b6-405b-a8bd-2c02896c2532	HEAT_REJECTION_PUMPS
422cd143-9b77-44d2-a29f-2b25da02888e	d8c788d0-0efb-42e0-a9dc-5fafced223ca	VENTILATION
422cd143-9b77-44d2-a29f-2b25da02888e	8ed19aa1-d1a0-4310-8833-fca672c70ab8	INFILTRATION
422cd143-9b77-44d2-a29f-2b25da02888e	9c038d7b-f2d7-410c-8f92-23eee800e3bb	IT_LOAD
4d158c63-7139-4fe9-8cad-716d976103f9	dce99de7-e31f-4be6-8cf2-e4f68d487c80	SWITCHGEAR
4d158c63-7139-4fe9-8cad-716d976103f9	32663700-9199-4b5b-9f4c-3017122f7acc	GENERATOR
4d158c63-7139-4fe9-8cad-716d976103f9	0a774917-b7d5-4b71-b23d-1d691bf40efa	PRIMARY_AUXILIARIES
4d158c63-7139-4fe9-8cad-716d976103f9	b4f9da81-dc78-440c-a5cd-0f8f5a00bb70	UPS
4d158c63-7139-4fe9-8cad-716d976103f9	efb769a2-848b-4cb9-927e-76f0531cc90d	CRITICAL_AUXILIARIES
4d158c63-7139-4fe9-8cad-716d976103f9	a5f70f24-7df5-4f87-9985-a4175bf72b6b	LIGHTING
4d158c63-7139-4fe9-8cad-716d976103f9	f75a6cd9-3d5c-4533-b0c0-527d0948bac7	CRITICAL_POWER_DISTRIBUTION
4d158c63-7139-4fe9-8cad-716d976103f9	32b4c1e0-4661-4441-ad54-b4cb5a5badbd	CRAH
4d158c63-7139-4fe9-8cad-716d976103f9	390521f2-2eb9-4d9e-9903-5e96f5051ee9	CRAC
4d158c63-7139-4fe9-8cad-716d976103f9	51737d05-ebbd-4f10-8821-ed2b5fcb410c	CRAC_WITHOUT_FAN
4d158c63-7139-4fe9-8cad-716d976103f9	44f3d54e-07f9-4b32-8f8b-bc3ea88501d7	CRAC_FAN
4d158c63-7139-4fe9-8cad-716d976103f9	a2fde209-e817-4b5a-8847-b153dcea87b6	CHILLER
4d158c63-7139-4fe9-8cad-716d976103f9	bfc56740-d916-4f31-9626-1d1f9b297133	AIR_COOLED_CHILLER
4d158c63-7139-4fe9-8cad-716d976103f9	890ef584-8225-4944-827b-1933bf783ee3	COOLING_TOWER
4d158c63-7139-4fe9-8cad-716d976103f9	aadee4be-12a8-4474-ac2b-468c2fa9f2aa	DRY_COOLER
4d158c63-7139-4fe9-8cad-716d976103f9	8e81fb91-b64c-444d-8a83-17dc52cbd23c	REMOTE_CONDENSER
4d158c63-7139-4fe9-8cad-716d976103f9	c1e766bb-381b-47d2-a156-2d940f56982b	CHILLED_WATER_PUMPS
4d158c63-7139-4fe9-8cad-716d976103f9	478fb4ee-9c09-410c-9d4b-85907a63249d	HEAT_REJECTION_PUMPS
4d158c63-7139-4fe9-8cad-716d976103f9	bd8a193c-c698-4c9f-bde7-7c4ef0561467	VENTILATION
4d158c63-7139-4fe9-8cad-716d976103f9	6979c9f2-d61c-485b-820b-0ee9796bbb29	INFILTRATION
4d158c63-7139-4fe9-8cad-716d976103f9	538b4961-7fd5-41ef-8cd9-d416b6a47217	IT_LOAD
c000d7be-004b-429d-9ded-4a19b9a6305a	0a5ccab6-1be0-44ec-bb1b-ff3400b6e42b	SWITCHGEAR
c000d7be-004b-429d-9ded-4a19b9a6305a	ee85c255-0d8f-4006-8e76-5cc182dc4588	GENERATOR
c000d7be-004b-429d-9ded-4a19b9a6305a	587177f2-a486-45f4-89d8-06a3cb6bc575	PRIMARY_AUXILIARIES
c000d7be-004b-429d-9ded-4a19b9a6305a	73a29b7b-3e04-4383-9e22-fbce1e2d5fc2	UPS
c000d7be-004b-429d-9ded-4a19b9a6305a	0a5b55c3-07cd-473f-9e68-19736aaa4f8a	CRITICAL_AUXILIARIES
c000d7be-004b-429d-9ded-4a19b9a6305a	5a881cce-9964-4ec8-9913-b404b5e9cddc	LIGHTING
c000d7be-004b-429d-9ded-4a19b9a6305a	1b9c813c-6ea8-44ef-baa7-0682dd2f3607	CRITICAL_POWER_DISTRIBUTION
c000d7be-004b-429d-9ded-4a19b9a6305a	6eddaf3c-c713-433d-ab0b-e8ab026185e0	CRAH
c000d7be-004b-429d-9ded-4a19b9a6305a	318a2401-12ea-4467-98c7-63a523634215	CRAC
c000d7be-004b-429d-9ded-4a19b9a6305a	972f7696-03ff-418d-9f9c-f80a856b315d	CRAC_WITHOUT_FAN
c000d7be-004b-429d-9ded-4a19b9a6305a	c7d3eb78-e899-4603-8841-5dbaee5d5cc9	CRAC_FAN
c000d7be-004b-429d-9ded-4a19b9a6305a	397f09a1-9a96-49db-8b39-2d3735ed1961	CHILLER
c000d7be-004b-429d-9ded-4a19b9a6305a	25ce011e-9ce0-4533-834a-d61bec6e8ce2	AIR_COOLED_CHILLER
c000d7be-004b-429d-9ded-4a19b9a6305a	2a70beb1-fd09-4ae0-8436-791a7530b9dd	COOLING_TOWER
c000d7be-004b-429d-9ded-4a19b9a6305a	7cdbe591-9240-40ef-b31c-503a95e4c4e5	DRY_COOLER
c000d7be-004b-429d-9ded-4a19b9a6305a	a47671ce-93b9-4897-a3b2-83f5e4b0bfb8	REMOTE_CONDENSER
c000d7be-004b-429d-9ded-4a19b9a6305a	efa19349-04b4-45cf-9e9c-16c35d8d8b20	CHILLED_WATER_PUMPS
c000d7be-004b-429d-9ded-4a19b9a6305a	278a1887-fa98-4898-a030-9f75fdacfac2	HEAT_REJECTION_PUMPS
c000d7be-004b-429d-9ded-4a19b9a6305a	b54a0edd-1908-4daf-96b4-105abf2dd22f	VENTILATION
c000d7be-004b-429d-9ded-4a19b9a6305a	4f338492-329c-4ce7-b9c5-e8145fed777a	INFILTRATION
c000d7be-004b-429d-9ded-4a19b9a6305a	76b9dd61-3031-47d3-9db6-f4fb21314c60	IT_LOAD
291e01ba-46be-4108-80bf-19c30c69fd7b	264eead9-1fa6-43fb-9691-bd5e4c910150	SWITCHGEAR
291e01ba-46be-4108-80bf-19c30c69fd7b	26732407-ce84-4f86-98a2-07c652c05c16	GENERATOR
291e01ba-46be-4108-80bf-19c30c69fd7b	4e142c3a-a61e-470f-b28d-19ab257e94d0	PRIMARY_AUXILIARIES
291e01ba-46be-4108-80bf-19c30c69fd7b	2695889a-07b0-489c-a955-7e53d20e7a22	UPS
291e01ba-46be-4108-80bf-19c30c69fd7b	d469c570-a406-40db-b600-e5d8d403f9f1	CRITICAL_AUXILIARIES
291e01ba-46be-4108-80bf-19c30c69fd7b	b6ca3d32-6b71-4fce-8913-b3cb838081eb	LIGHTING
291e01ba-46be-4108-80bf-19c30c69fd7b	02aa7b7b-38f6-4b50-bac4-3299813b07e4	CRITICAL_POWER_DISTRIBUTION
291e01ba-46be-4108-80bf-19c30c69fd7b	e6d094f6-f23f-4589-8ed9-a2fb06445855	CRAH
291e01ba-46be-4108-80bf-19c30c69fd7b	3221b420-9c0a-4edf-ac90-956abdcf33fc	CRAC
291e01ba-46be-4108-80bf-19c30c69fd7b	775e4d11-d8ca-4bd2-9ae4-80e9e4fbf09c	CRAC_WITHOUT_FAN
291e01ba-46be-4108-80bf-19c30c69fd7b	7051e459-0936-46f8-a038-b29ae08208fc	CRAC_FAN
291e01ba-46be-4108-80bf-19c30c69fd7b	6ed60ffd-265f-4d01-a7da-eb5adf8bdc09	CHILLER
291e01ba-46be-4108-80bf-19c30c69fd7b	739bac98-dd00-46fc-b44d-f76e9aad4d41	AIR_COOLED_CHILLER
291e01ba-46be-4108-80bf-19c30c69fd7b	8218af00-25ae-4ed6-b0d6-64d60de70af2	COOLING_TOWER
291e01ba-46be-4108-80bf-19c30c69fd7b	1e64f0b0-e260-46fa-9e2b-83317f3566b2	DRY_COOLER
291e01ba-46be-4108-80bf-19c30c69fd7b	9d60e67f-55b1-4220-a228-c59d62a5eb4b	REMOTE_CONDENSER
291e01ba-46be-4108-80bf-19c30c69fd7b	7515b763-0530-4879-adb3-b0a228fd1876	CHILLED_WATER_PUMPS
291e01ba-46be-4108-80bf-19c30c69fd7b	c3542352-1bc2-4aa4-a2c4-9d33607404ce	HEAT_REJECTION_PUMPS
291e01ba-46be-4108-80bf-19c30c69fd7b	a663e388-c5a4-472b-b1e3-1460f1d2cec1	VENTILATION
291e01ba-46be-4108-80bf-19c30c69fd7b	5eb08a56-053d-4ec0-af2e-b8f9e49b9e6d	INFILTRATION
291e01ba-46be-4108-80bf-19c30c69fd7b	b029b87b-88e3-48e6-a1c1-9e29acde78d6	IT_LOAD
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	b6ed1026-ea0e-47b8-9c86-7a0cf99f74db	SWITCHGEAR
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	55002660-eb40-44ac-b2f1-d863825e78cf	GENERATOR
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	18a178d4-1347-4a54-b20e-4b81efa4884d	PRIMARY_AUXILIARIES
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	f4d9ad8a-e128-4210-842d-53151068373a	UPS
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	21da2fbb-cd9e-4ba5-b7d3-41253a972044	CRITICAL_AUXILIARIES
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	190576c7-0e77-4900-9560-7525299dd0a7	LIGHTING
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	a12cfff3-eeb2-4a12-97d7-cb502e734fa4	CRITICAL_POWER_DISTRIBUTION
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	18aea561-3b2f-4378-8504-967b1c35f70e	CRAH
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	280e3ec3-2e55-4971-8346-541cd130cced	CRAC
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	34389459-2b57-4384-a75f-ba7115c9fe91	CRAC_WITHOUT_FAN
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	996757b9-2f48-4cf3-a670-3ef854b8a40d	CRAC_FAN
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	5c7dcc73-c057-4548-a807-b141bb63f2aa	CHILLER
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	ad42683e-01ad-4999-af0d-46ec3e111e9f	AIR_COOLED_CHILLER
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	c932467f-f818-4b54-bcd5-b475026a752b	COOLING_TOWER
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	54175ba7-a477-4e6e-aec5-70282c30348d	DRY_COOLER
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	7510d107-78a3-4833-996b-28306f0020e7	REMOTE_CONDENSER
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	75204b5c-5d55-4b5b-b243-85d7b7b53c09	CHILLED_WATER_PUMPS
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	cc1b94c5-5cdf-4268-9efd-40f569743671	HEAT_REJECTION_PUMPS
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	010c5f0d-8743-446f-9a00-34fcaec87a14	VENTILATION
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	8d428610-db97-4bd1-b4fe-8b00f1b24934	INFILTRATION
95c8ae12-79b5-474d-b12d-6ebd321ecaa8	bc670e85-3c83-4991-8376-7d95f20805ec	IT_LOAD
e6eab2a5-32b5-4f4e-8e58-1572e976d221	da8ada34-7fe7-4e3a-90e0-e652ebf0786e	SWITCHGEAR
e6eab2a5-32b5-4f4e-8e58-1572e976d221	5f7c22b6-0a0a-4135-b931-919de5bdb424	GENERATOR
e6eab2a5-32b5-4f4e-8e58-1572e976d221	24b9bb7e-3df1-4583-abb7-e810afd007b5	PRIMARY_AUXILIARIES
e6eab2a5-32b5-4f4e-8e58-1572e976d221	b688ef0d-bc62-4f2f-8598-e04bc561ac1a	UPS
e6eab2a5-32b5-4f4e-8e58-1572e976d221	5423221f-e8ca-4b7e-8b00-e14b13e90644	CRITICAL_AUXILIARIES
e6eab2a5-32b5-4f4e-8e58-1572e976d221	06d6b75c-2645-45f4-8eed-863c3e74ac36	LIGHTING
e6eab2a5-32b5-4f4e-8e58-1572e976d221	846f59f6-53eb-40a3-8f10-494ffad4091a	CRITICAL_POWER_DISTRIBUTION
e6eab2a5-32b5-4f4e-8e58-1572e976d221	31dbfb6c-1029-4e1d-af8b-646b8e836e54	CRAH
e6eab2a5-32b5-4f4e-8e58-1572e976d221	18422661-8f06-4cc6-9ba9-9e7d018657db	CRAC
e6eab2a5-32b5-4f4e-8e58-1572e976d221	28883df0-e7b2-4217-b354-7b689faaa8cf	CRAC_WITHOUT_FAN
e6eab2a5-32b5-4f4e-8e58-1572e976d221	eeaa55e2-5353-4837-8ed6-89ae36dcb115	CRAC_FAN
e6eab2a5-32b5-4f4e-8e58-1572e976d221	91847cef-e1dd-4434-9ea5-04b8781be083	CHILLER
e6eab2a5-32b5-4f4e-8e58-1572e976d221	b9277272-0607-4c6f-927f-05985422ba25	AIR_COOLED_CHILLER
e6eab2a5-32b5-4f4e-8e58-1572e976d221	0f1d7d53-1089-466d-8fa4-01082f15371e	COOLING_TOWER
e6eab2a5-32b5-4f4e-8e58-1572e976d221	e946ae82-4990-4dfb-b588-dd255df7243e	DRY_COOLER
e6eab2a5-32b5-4f4e-8e58-1572e976d221	23760d26-9793-4df4-9cb6-aef4e73ef67c	REMOTE_CONDENSER
e6eab2a5-32b5-4f4e-8e58-1572e976d221	79cb93c0-eaa2-4e6f-9568-28fd38d897a6	CHILLED_WATER_PUMPS
e6eab2a5-32b5-4f4e-8e58-1572e976d221	a155bc63-08a7-4040-b526-157777ace200	HEAT_REJECTION_PUMPS
e6eab2a5-32b5-4f4e-8e58-1572e976d221	ad3db2d6-775c-4572-9b45-9ecd709ae7ae	VENTILATION
e6eab2a5-32b5-4f4e-8e58-1572e976d221	4a0a5c58-721d-4b2b-85b4-3927bf98528c	INFILTRATION
e6eab2a5-32b5-4f4e-8e58-1572e976d221	34670d7d-0b43-4944-ad9f-c96dd508e00e	IT_LOAD
3139ea4c-59c9-4589-bb8c-0145257a628b	d77a4909-d1cb-4197-b32a-cdd5c3ee641a	SWITCHGEAR
3139ea4c-59c9-4589-bb8c-0145257a628b	68872ee6-5d4f-4ead-8a58-c9647bd3e904	GENERATOR
3139ea4c-59c9-4589-bb8c-0145257a628b	79c5d081-5dde-433b-9e09-cd0addbc8477	PRIMARY_AUXILIARIES
3139ea4c-59c9-4589-bb8c-0145257a628b	02e8d959-89f8-403d-9c93-adcd8b61833b	UPS
3139ea4c-59c9-4589-bb8c-0145257a628b	0be79657-eba5-4b63-8f91-7c821d4df6d3	CRITICAL_AUXILIARIES
3139ea4c-59c9-4589-bb8c-0145257a628b	c9db3249-2ba4-443a-976a-3332ec672d72	LIGHTING
3139ea4c-59c9-4589-bb8c-0145257a628b	85dfa4c1-9c73-4379-9948-6292a03fa933	CRITICAL_POWER_DISTRIBUTION
3139ea4c-59c9-4589-bb8c-0145257a628b	e36e67a0-dfd6-4911-b8ec-41f57ed432b1	CRAH
3139ea4c-59c9-4589-bb8c-0145257a628b	789471db-ded2-4477-a64c-0b28761f4e53	CRAC
3139ea4c-59c9-4589-bb8c-0145257a628b	747c97bb-9052-4e02-9cd9-b8b063934727	CRAC_WITHOUT_FAN
3139ea4c-59c9-4589-bb8c-0145257a628b	933dac15-c2d7-4873-9079-aafbd8a5acae	CRAC_FAN
3139ea4c-59c9-4589-bb8c-0145257a628b	745cafc2-a5b6-4c6d-8ba6-3b2457078d55	CHILLER
3139ea4c-59c9-4589-bb8c-0145257a628b	ec9e0e42-e44f-48b3-adbd-b99c444106cd	AIR_COOLED_CHILLER
3139ea4c-59c9-4589-bb8c-0145257a628b	ca786910-5f33-40d3-9f0e-70d559ba1214	COOLING_TOWER
3139ea4c-59c9-4589-bb8c-0145257a628b	08e0c3ca-481a-4bfa-a0a8-e5df7039680a	DRY_COOLER
3139ea4c-59c9-4589-bb8c-0145257a628b	693d51a3-8b69-4c06-bf22-120058bf8d2e	REMOTE_CONDENSER
3139ea4c-59c9-4589-bb8c-0145257a628b	428c6b0b-41ae-48b7-aef8-9a122a7a0c0a	CHILLED_WATER_PUMPS
3139ea4c-59c9-4589-bb8c-0145257a628b	b2c7cae9-98d6-424a-a4c1-6167534efb8c	HEAT_REJECTION_PUMPS
3139ea4c-59c9-4589-bb8c-0145257a628b	fbe8cf53-02ce-4ed2-8d99-f976cc221163	VENTILATION
3139ea4c-59c9-4589-bb8c-0145257a628b	ac367570-753a-4d7e-a647-6c00411e09e1	INFILTRATION
3139ea4c-59c9-4589-bb8c-0145257a628b	a8a8fcb4-ccb0-410c-8d60-41aaa101e151	IT_LOAD
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	ede8ca67-4e17-4ade-baba-dbca76ee54fc	SWITCHGEAR
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	b6ba09e0-9ed0-41c8-b309-9ee4307d2906	GENERATOR
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	6372c0ca-6a68-4f58-8bc0-01ef309154fd	PRIMARY_AUXILIARIES
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	ea6bdfcd-eb12-4e8a-a775-37801b0bccbb	UPS
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	eb3438cc-4ff0-4acb-b7b0-ab4092690f10	CRITICAL_AUXILIARIES
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	c1fac28b-d1d7-44d8-a846-2a91bea4fc1b	LIGHTING
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	0e9f5a7f-73ba-4e7b-8f37-d96ce23d8bba	CRITICAL_POWER_DISTRIBUTION
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	7697cbb8-82b6-47e5-b9fc-0293f2febbca	CRAH
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	5b47fb0f-a043-49c9-a777-29ad971333c8	CRAC
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	4b48668d-d368-4cac-b2a0-a940cf980383	CRAC_WITHOUT_FAN
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	00726e56-7946-4b2d-b865-5dee199bc901	CRAC_FAN
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	5c34301a-195d-46b7-9181-e3cb4eb77d63	CHILLER
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	4f061676-020a-4d41-87ce-5164319641a3	AIR_COOLED_CHILLER
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	f4e97fcb-4aca-4ac2-b105-04195207eb7d	COOLING_TOWER
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	b712ff75-f56b-4279-90b9-2c1217002a57	DRY_COOLER
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	8dab415c-ca8a-4320-b6e3-69f565b3bb70	REMOTE_CONDENSER
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	827e54b1-e633-45d0-aeb6-676207be7e81	CHILLED_WATER_PUMPS
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	e2d066be-c686-43ca-be1b-d728694a929d	HEAT_REJECTION_PUMPS
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	7931509b-3eec-41bd-aba6-0530acbf08a9	VENTILATION
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	31a09917-74c3-467c-ab0e-3547ef5765f3	INFILTRATION
6097f37c-791d-40c6-a1d0-9eba3cb88f4d	30eb907c-8ebd-46d3-b40a-a3f764106b38	IT_LOAD
e4af4b16-639b-4d71-97bc-77f4a7f0b693	9b02c18f-f122-45ca-97a2-4143ee4543ca	SWITCHGEAR
e4af4b16-639b-4d71-97bc-77f4a7f0b693	1b475bed-96a2-40ba-bbf0-5ec7f823de01	GENERATOR
e4af4b16-639b-4d71-97bc-77f4a7f0b693	7b95d948-611d-48db-8304-fedbbc63bf80	PRIMARY_AUXILIARIES
e4af4b16-639b-4d71-97bc-77f4a7f0b693	f99bf15b-b79b-4d90-af83-1e2d7ef777e0	UPS
e4af4b16-639b-4d71-97bc-77f4a7f0b693	4f57a77e-4b62-405e-b8ad-c16ddf0990fa	CRITICAL_AUXILIARIES
e4af4b16-639b-4d71-97bc-77f4a7f0b693	f4c77534-c49a-4607-9ebc-79a01050b701	LIGHTING
e4af4b16-639b-4d71-97bc-77f4a7f0b693	13ecf5c2-f50c-4b4e-825b-6114adc66772	CRITICAL_POWER_DISTRIBUTION
e4af4b16-639b-4d71-97bc-77f4a7f0b693	6bcc4a2b-fdca-4c6b-b0b4-2b218d1e5429	CRAH
e4af4b16-639b-4d71-97bc-77f4a7f0b693	20630d3e-a2a7-490c-94e8-693a72b11fcb	CRAC
e4af4b16-639b-4d71-97bc-77f4a7f0b693	e356e8c7-6d7c-486f-8d97-c5db78ebcc49	CRAC_WITHOUT_FAN
e4af4b16-639b-4d71-97bc-77f4a7f0b693	69ee8cec-37af-4a15-96be-22eebfe812ca	CRAC_FAN
e4af4b16-639b-4d71-97bc-77f4a7f0b693	ca70bab2-7d36-4d30-a24b-92bc9dc5e468	CHILLER
e4af4b16-639b-4d71-97bc-77f4a7f0b693	573f796a-c3c3-4821-a64b-99811c8aee44	AIR_COOLED_CHILLER
e4af4b16-639b-4d71-97bc-77f4a7f0b693	90ecc2fa-89ea-4893-9ca1-f5e06b6f7ed9	COOLING_TOWER
e4af4b16-639b-4d71-97bc-77f4a7f0b693	40e601f7-652d-413b-bde3-002713ae7aa2	DRY_COOLER
e4af4b16-639b-4d71-97bc-77f4a7f0b693	82c521ae-c1ed-4355-9288-218603971b95	REMOTE_CONDENSER
e4af4b16-639b-4d71-97bc-77f4a7f0b693	ba0b3c58-3a30-4446-ab67-980ce3006a87	CHILLED_WATER_PUMPS
e4af4b16-639b-4d71-97bc-77f4a7f0b693	adf68f56-9be1-4dc5-a893-bca87008c7b4	HEAT_REJECTION_PUMPS
e4af4b16-639b-4d71-97bc-77f4a7f0b693	d1c1b7c8-9d18-4a2d-babb-19253e27198a	VENTILATION
e4af4b16-639b-4d71-97bc-77f4a7f0b693	bfb76cca-ac5f-4d2f-82f7-ad828d9de0c8	INFILTRATION
e4af4b16-639b-4d71-97bc-77f4a7f0b693	6d423ac7-8b2f-4085-9035-b73054be6ccd	IT_LOAD
ac0772ba-de71-4c48-a48c-eec6c47643e4	37f25174-4496-44fd-a190-4df588d4fa7f	SWITCHGEAR
ac0772ba-de71-4c48-a48c-eec6c47643e4	f7f86e5d-8502-4ce9-bd5a-aff18128f197	GENERATOR
ac0772ba-de71-4c48-a48c-eec6c47643e4	e7f8bf6f-c23c-49a6-bd7d-706069e149cd	PRIMARY_AUXILIARIES
ac0772ba-de71-4c48-a48c-eec6c47643e4	4b6a6d14-1328-4f48-b1bf-f116eabd3475	UPS
ac0772ba-de71-4c48-a48c-eec6c47643e4	feeb213e-6031-4043-b03d-788dc06d08f6	CRITICAL_AUXILIARIES
ac0772ba-de71-4c48-a48c-eec6c47643e4	b8de4d17-621f-4378-b60d-8518828076e9	LIGHTING
ac0772ba-de71-4c48-a48c-eec6c47643e4	1425b1de-aa00-4593-aeb6-7502eb44a0c9	CRITICAL_POWER_DISTRIBUTION
ac0772ba-de71-4c48-a48c-eec6c47643e4	337f5766-721c-4666-b485-f514ec8afd0d	CRAH
ac0772ba-de71-4c48-a48c-eec6c47643e4	7bc0b49f-4b89-45ef-8059-9ea25bd4cf32	CRAC
ac0772ba-de71-4c48-a48c-eec6c47643e4	9a016d75-2607-4de9-b3c0-6088035e6e0a	CRAC_WITHOUT_FAN
ac0772ba-de71-4c48-a48c-eec6c47643e4	db91687e-b6ed-462c-8d7f-13b2a38c3a83	CRAC_FAN
ac0772ba-de71-4c48-a48c-eec6c47643e4	fb55353d-7540-4e27-8da6-8e6b3dafcc0b	CHILLER
ac0772ba-de71-4c48-a48c-eec6c47643e4	d1c182bf-e89d-4296-a0cd-782bdbc91be9	AIR_COOLED_CHILLER
ac0772ba-de71-4c48-a48c-eec6c47643e4	7f31fcd0-a4ba-448d-a07d-d712c3b23b50	COOLING_TOWER
ac0772ba-de71-4c48-a48c-eec6c47643e4	95195d18-7a9e-4beb-b3af-ffef0e806f45	DRY_COOLER
ac0772ba-de71-4c48-a48c-eec6c47643e4	723a784d-6be2-4c49-8b19-da5724c1296c	REMOTE_CONDENSER
ac0772ba-de71-4c48-a48c-eec6c47643e4	cbe675ce-da6b-4145-94ab-0f00a1b8f108	CHILLED_WATER_PUMPS
ac0772ba-de71-4c48-a48c-eec6c47643e4	5ac97c1e-6eb2-4552-8054-99f7e608fc20	HEAT_REJECTION_PUMPS
ac0772ba-de71-4c48-a48c-eec6c47643e4	5d43d1f0-94b4-4d0b-bd7a-45c7ecea5670	VENTILATION
ac0772ba-de71-4c48-a48c-eec6c47643e4	a6c1ce72-0c54-4b6a-8b93-016db6c19ede	INFILTRATION
ac0772ba-de71-4c48-a48c-eec6c47643e4	8e6696d7-db70-4b68-8eb7-b54491c6c6a8	IT_LOAD
d9d40dfa-b7f1-40f6-ade9-f465712376fb	6ea42b0b-3a66-4435-85e9-31328887525f	SWITCHGEAR
d9d40dfa-b7f1-40f6-ade9-f465712376fb	92fbf8ae-6683-4dab-97b4-9f3dda92c4a8	GENERATOR
d9d40dfa-b7f1-40f6-ade9-f465712376fb	6be1f984-f7a9-4c2e-8ede-d4585e7da62d	PRIMARY_AUXILIARIES
d9d40dfa-b7f1-40f6-ade9-f465712376fb	f4831cc5-0973-41f7-b873-8bbf8948abd6	UPS
d9d40dfa-b7f1-40f6-ade9-f465712376fb	a8011171-1a39-485c-abf8-3887fc1705a8	CRITICAL_AUXILIARIES
d9d40dfa-b7f1-40f6-ade9-f465712376fb	3fd3982d-9a47-483a-9daa-100c3f8c62ac	LIGHTING
d9d40dfa-b7f1-40f6-ade9-f465712376fb	9031cedc-77cc-4595-8c26-12495abbe75c	CRITICAL_POWER_DISTRIBUTION
d9d40dfa-b7f1-40f6-ade9-f465712376fb	7e4adf24-405b-43f1-b323-b77ea697b00e	CRAH
d9d40dfa-b7f1-40f6-ade9-f465712376fb	ab16dace-0296-40e1-a99c-0a688134138e	CRAC
d9d40dfa-b7f1-40f6-ade9-f465712376fb	7d3335a2-ed96-421e-8588-c4987fa6bf36	CRAC_WITHOUT_FAN
d9d40dfa-b7f1-40f6-ade9-f465712376fb	f14f47c9-b8ec-475e-8162-0f8bb8bf1931	CRAC_FAN
d9d40dfa-b7f1-40f6-ade9-f465712376fb	b8de2644-4a9e-4a83-ab8f-4587c57a3c8b	CHILLER
d9d40dfa-b7f1-40f6-ade9-f465712376fb	108f3e17-9b89-4776-94ce-bf1077aa5b6c	AIR_COOLED_CHILLER
d9d40dfa-b7f1-40f6-ade9-f465712376fb	8085a0dd-e5d6-441a-b5c2-e7a38bf297a7	COOLING_TOWER
d9d40dfa-b7f1-40f6-ade9-f465712376fb	ff069b02-708b-49b5-83c9-050223fbeb06	DRY_COOLER
d9d40dfa-b7f1-40f6-ade9-f465712376fb	d556b44e-7639-4167-a4af-0189b75f3fe9	REMOTE_CONDENSER
d9d40dfa-b7f1-40f6-ade9-f465712376fb	6946a7d2-de6d-4b70-8841-17a4dc5584e5	CHILLED_WATER_PUMPS
d9d40dfa-b7f1-40f6-ade9-f465712376fb	d6ea0234-096e-4658-a947-c6915d93bc49	HEAT_REJECTION_PUMPS
d9d40dfa-b7f1-40f6-ade9-f465712376fb	c8f9da35-7da1-4f35-b499-150a18ebb053	VENTILATION
d9d40dfa-b7f1-40f6-ade9-f465712376fb	c8714954-6d15-4eed-b07a-ff4cf7709619	INFILTRATION
d9d40dfa-b7f1-40f6-ade9-f465712376fb	5b29c651-9cc9-4a76-9cf2-ea302950103b	IT_LOAD
9088922c-1a7f-42b4-b8fb-064c713bd7db	37a5c577-dbc7-41ed-ba6c-66a415910539	SWITCHGEAR
9088922c-1a7f-42b4-b8fb-064c713bd7db	95b15bbb-9446-420d-9a04-2e1eaedda79b	GENERATOR
9088922c-1a7f-42b4-b8fb-064c713bd7db	c5909ee9-65c0-4435-a362-0429a15d6e98	PRIMARY_AUXILIARIES
9088922c-1a7f-42b4-b8fb-064c713bd7db	9ace4478-7d7a-4333-bfa9-21404ec76e43	UPS
9088922c-1a7f-42b4-b8fb-064c713bd7db	d1f28c1d-f022-4f4a-a055-601d8bde6992	CRITICAL_AUXILIARIES
9088922c-1a7f-42b4-b8fb-064c713bd7db	0f25bb1d-2d8a-4219-89e2-10b2a2c30aee	LIGHTING
9088922c-1a7f-42b4-b8fb-064c713bd7db	3c2e7769-26e8-4785-a664-f84e659b98f5	CRITICAL_POWER_DISTRIBUTION
9088922c-1a7f-42b4-b8fb-064c713bd7db	79f55b77-6f74-43fe-865c-28deb846c7e4	CRAH
9088922c-1a7f-42b4-b8fb-064c713bd7db	4cdc9035-57ec-4b14-89ac-4998c74013f9	CRAC
9088922c-1a7f-42b4-b8fb-064c713bd7db	62b224bb-ec4e-4b7a-a668-5fb901af483c	CRAC_WITHOUT_FAN
9088922c-1a7f-42b4-b8fb-064c713bd7db	ee874122-bfd5-4bc9-81b0-062c3ce80047	CRAC_FAN
9088922c-1a7f-42b4-b8fb-064c713bd7db	38260014-1497-48b8-927c-4fcbb52033a8	CHILLER
9088922c-1a7f-42b4-b8fb-064c713bd7db	68017d89-a7e5-480e-8ea5-b4d7dfce0c29	AIR_COOLED_CHILLER
9088922c-1a7f-42b4-b8fb-064c713bd7db	6d16d198-c081-49f8-b0f7-4fb1d86bd20e	COOLING_TOWER
9088922c-1a7f-42b4-b8fb-064c713bd7db	dfdb6cca-55ee-4491-adac-5ca3c27216ef	DRY_COOLER
9088922c-1a7f-42b4-b8fb-064c713bd7db	c311c26e-94d8-4c3a-82ae-e663dd402610	REMOTE_CONDENSER
9088922c-1a7f-42b4-b8fb-064c713bd7db	d519b1a5-3b63-4eb1-b5fc-e2b76d01cf3c	CHILLED_WATER_PUMPS
9088922c-1a7f-42b4-b8fb-064c713bd7db	f9420c9c-c9cf-4248-b5e6-09d5e2abd501	HEAT_REJECTION_PUMPS
9088922c-1a7f-42b4-b8fb-064c713bd7db	498f0d44-a632-4001-94e4-910e9bc7c6b1	VENTILATION
9088922c-1a7f-42b4-b8fb-064c713bd7db	63922094-ff9d-4771-8e3d-4caecc2b31e9	INFILTRATION
9088922c-1a7f-42b4-b8fb-064c713bd7db	9e94ca2b-e3f9-43ce-9bc1-dfe650a95e0f	IT_LOAD
7f770a2f-8b7a-4af5-a854-8e98b850ca39	c48d90c7-61b6-480e-b4b6-bbf0e8d9d005	SWITCHGEAR
7f770a2f-8b7a-4af5-a854-8e98b850ca39	8fb74941-91d7-4810-9707-5716d32c9202	GENERATOR
7f770a2f-8b7a-4af5-a854-8e98b850ca39	72fb33a8-062f-4413-9f75-ac91da6edc6f	PRIMARY_AUXILIARIES
7f770a2f-8b7a-4af5-a854-8e98b850ca39	5df21245-0b79-40ad-84b4-565894e75fd8	UPS
7f770a2f-8b7a-4af5-a854-8e98b850ca39	5e9963e1-f222-4725-a19f-d35fb5ecf438	CRITICAL_AUXILIARIES
7f770a2f-8b7a-4af5-a854-8e98b850ca39	19fde103-d79c-476f-b0c8-ba8ead312f30	LIGHTING
7f770a2f-8b7a-4af5-a854-8e98b850ca39	7f7fca83-6ea7-434e-872e-4df772e54eba	CRITICAL_POWER_DISTRIBUTION
7f770a2f-8b7a-4af5-a854-8e98b850ca39	aae32fba-1909-43c8-b2d8-d650c7263569	CRAH
7f770a2f-8b7a-4af5-a854-8e98b850ca39	1f0a0e07-c44d-44a3-8726-c6c95856a880	CRAC
7f770a2f-8b7a-4af5-a854-8e98b850ca39	18b4f8fa-a127-4e7e-9f50-56bea9574770	CRAC_WITHOUT_FAN
7f770a2f-8b7a-4af5-a854-8e98b850ca39	f2a40ec3-8fc4-45a9-b474-be6cecc538b8	CRAC_FAN
7f770a2f-8b7a-4af5-a854-8e98b850ca39	813bf26c-bd72-4337-8574-b5de81f27b33	CHILLER
7f770a2f-8b7a-4af5-a854-8e98b850ca39	d80fd4d8-8e87-49c8-ac17-db089e7a6802	AIR_COOLED_CHILLER
7f770a2f-8b7a-4af5-a854-8e98b850ca39	0decbe8f-f154-4483-ac40-64435add57ce	COOLING_TOWER
7f770a2f-8b7a-4af5-a854-8e98b850ca39	e8dd26ba-a087-46c4-ac98-2921333fc648	DRY_COOLER
7f770a2f-8b7a-4af5-a854-8e98b850ca39	707fcde2-dbae-49f6-afc3-9ab7a6427fec	REMOTE_CONDENSER
7f770a2f-8b7a-4af5-a854-8e98b850ca39	63027410-57f7-4965-b15e-5057005fa179	CHILLED_WATER_PUMPS
7f770a2f-8b7a-4af5-a854-8e98b850ca39	862ff5ef-c469-43fa-a83e-40b1b26b2510	HEAT_REJECTION_PUMPS
7f770a2f-8b7a-4af5-a854-8e98b850ca39	9412c724-6ced-43b5-b315-c41cda3a5af3	VENTILATION
7f770a2f-8b7a-4af5-a854-8e98b850ca39	d08b91bd-34bd-4cef-a6cc-8f0a27b49a41	INFILTRATION
7f770a2f-8b7a-4af5-a854-8e98b850ca39	c552f89f-8813-4ac7-bb35-b822b367c790	IT_LOAD
0fd03023-6796-4932-8e33-129b37f176d9	5cbb4166-20a3-4710-aa18-43147b6c1304	SWITCHGEAR
0fd03023-6796-4932-8e33-129b37f176d9	59d3eeb3-6cb2-49fd-b5c3-3389bb26facf	GENERATOR
0fd03023-6796-4932-8e33-129b37f176d9	1e24a883-2bf8-4378-862c-09bb5bfba483	PRIMARY_AUXILIARIES
0fd03023-6796-4932-8e33-129b37f176d9	b64934a9-6826-45bb-97db-b308fde642b0	UPS
0fd03023-6796-4932-8e33-129b37f176d9	2d22a9d7-20ca-4f53-a211-3187eacfa710	CRITICAL_AUXILIARIES
0fd03023-6796-4932-8e33-129b37f176d9	339fa97f-95c7-432e-8329-b2950c41da0f	LIGHTING
0fd03023-6796-4932-8e33-129b37f176d9	37b3cc2f-d774-4db5-aeb0-5cc231c414ab	CRITICAL_POWER_DISTRIBUTION
0fd03023-6796-4932-8e33-129b37f176d9	6aebad77-58bf-4e5e-8e5f-aea34c666e8e	CRAH
0fd03023-6796-4932-8e33-129b37f176d9	c3dbb0a0-4ca7-4823-99b5-3b5c17c56447	CRAC
0fd03023-6796-4932-8e33-129b37f176d9	bc7203f0-edc4-4f98-b8b0-5cf6b4090e18	CRAC_WITHOUT_FAN
0fd03023-6796-4932-8e33-129b37f176d9	7a4b7694-fbee-4fed-823d-02be92312324	CRAC_FAN
0fd03023-6796-4932-8e33-129b37f176d9	57557e5c-9cda-45fe-9fef-a86b0baba701	CHILLER
0fd03023-6796-4932-8e33-129b37f176d9	5439b877-f8fb-434e-9eea-a5bebac757df	AIR_COOLED_CHILLER
0fd03023-6796-4932-8e33-129b37f176d9	fd4f4fef-cb4b-4337-9a98-33785c9a34dd	COOLING_TOWER
0fd03023-6796-4932-8e33-129b37f176d9	8e6165a2-a383-4e36-877c-a949c152ff7a	DRY_COOLER
0fd03023-6796-4932-8e33-129b37f176d9	7c77c424-5d93-41f8-8da5-ef9a24e453be	REMOTE_CONDENSER
0fd03023-6796-4932-8e33-129b37f176d9	6463e11c-8c56-430d-9de8-9e643f989b51	CHILLED_WATER_PUMPS
0fd03023-6796-4932-8e33-129b37f176d9	6199e6bd-f342-48fd-8f65-8511b3adff85	HEAT_REJECTION_PUMPS
0fd03023-6796-4932-8e33-129b37f176d9	f7b86a22-e6a4-44eb-a1bc-62a4502a8611	VENTILATION
0fd03023-6796-4932-8e33-129b37f176d9	46fdc3f7-8362-49af-a6fb-cad10d173b29	INFILTRATION
0fd03023-6796-4932-8e33-129b37f176d9	016ee525-6660-4dd7-87a2-8ecd3d800431	IT_LOAD
403aea2f-c303-4591-89cb-bc533add9c76	73cf18c3-cb6e-4409-8fd6-25df154b2033	SWITCHGEAR
403aea2f-c303-4591-89cb-bc533add9c76	7aab9476-cbb3-4c9e-90a3-d957be33f885	GENERATOR
403aea2f-c303-4591-89cb-bc533add9c76	1a86f35e-9b19-4427-be53-51d112d5ac98	PRIMARY_AUXILIARIES
403aea2f-c303-4591-89cb-bc533add9c76	ffdf4c6d-dc6c-47f3-8494-db8bf20ceea3	UPS
403aea2f-c303-4591-89cb-bc533add9c76	568dda7c-1ea0-4c54-b476-0787f295f772	CRITICAL_AUXILIARIES
403aea2f-c303-4591-89cb-bc533add9c76	7b815eb9-0b64-4f2d-8c4a-319bf2dc2694	LIGHTING
403aea2f-c303-4591-89cb-bc533add9c76	5bc41f61-d924-4977-acb3-f112b128239e	CRITICAL_POWER_DISTRIBUTION
403aea2f-c303-4591-89cb-bc533add9c76	6167a47c-4e80-4ff8-ad3f-8aa74cbfcbc5	CRAH
403aea2f-c303-4591-89cb-bc533add9c76	cfdc0292-4cbe-427c-a3f6-235ab0182376	CRAC
403aea2f-c303-4591-89cb-bc533add9c76	5d1d8f07-fd08-469f-8907-e4d78a604994	CRAC_WITHOUT_FAN
403aea2f-c303-4591-89cb-bc533add9c76	9dc4be91-6d77-41a7-89d2-e95ad33e637a	CRAC_FAN
403aea2f-c303-4591-89cb-bc533add9c76	d88a6d75-75c4-4693-bcd2-032cf39a087b	CHILLER
403aea2f-c303-4591-89cb-bc533add9c76	0dfe1266-59ad-4ef7-a559-07072cd5e007	AIR_COOLED_CHILLER
403aea2f-c303-4591-89cb-bc533add9c76	acd85f75-a5df-4851-8a2d-d4bd5a5c6d77	COOLING_TOWER
403aea2f-c303-4591-89cb-bc533add9c76	59f38c40-c4f8-4d38-a01c-696065079e50	DRY_COOLER
403aea2f-c303-4591-89cb-bc533add9c76	2713d174-8eef-438b-97a9-5ae739ad7e11	REMOTE_CONDENSER
403aea2f-c303-4591-89cb-bc533add9c76	ac2f3f01-86ab-425b-91b1-ed2f348c159e	CHILLED_WATER_PUMPS
403aea2f-c303-4591-89cb-bc533add9c76	bf7ce2c8-db71-4908-923a-f19f01ec6111	HEAT_REJECTION_PUMPS
403aea2f-c303-4591-89cb-bc533add9c76	31dc0511-d921-4ffe-9915-d710885a60f1	VENTILATION
403aea2f-c303-4591-89cb-bc533add9c76	8278dae2-e04f-4fa4-8afb-d1537a81729c	INFILTRATION
403aea2f-c303-4591-89cb-bc533add9c76	75b08a4c-0cc8-4f7f-b75a-d930d867ef62	IT_LOAD
d9769d70-bae5-48e4-9f3d-ec23d137ce11	2735db09-a8c7-4712-91db-92f1b51a4bc3	SWITCHGEAR
d9769d70-bae5-48e4-9f3d-ec23d137ce11	391810a4-1485-4242-ad97-e2d38c01e40a	GENERATOR
d9769d70-bae5-48e4-9f3d-ec23d137ce11	228f5058-86a2-4b12-9053-2fe0aab57222	PRIMARY_AUXILIARIES
d9769d70-bae5-48e4-9f3d-ec23d137ce11	da3d6da7-4c3e-46e0-a144-9640e651973c	UPS
d9769d70-bae5-48e4-9f3d-ec23d137ce11	4b55c999-52c0-42d9-98d6-916c1b7cad4e	CRITICAL_AUXILIARIES
d9769d70-bae5-48e4-9f3d-ec23d137ce11	db4f7566-ea84-428b-a48b-ff5172d61eb5	LIGHTING
d9769d70-bae5-48e4-9f3d-ec23d137ce11	210712f0-5180-4f4f-b012-39cc39102fa8	CRITICAL_POWER_DISTRIBUTION
d9769d70-bae5-48e4-9f3d-ec23d137ce11	ec904ca0-ec84-400e-99fb-c9685be831ae	CRAH
d9769d70-bae5-48e4-9f3d-ec23d137ce11	9ac5d250-969b-4e9e-a05e-827c2e0c72ef	CRAC
d9769d70-bae5-48e4-9f3d-ec23d137ce11	429c6c5a-23d2-412f-bed4-96e962453d6b	CRAC_WITHOUT_FAN
d9769d70-bae5-48e4-9f3d-ec23d137ce11	a2d8636a-c38b-46d1-9a42-eb19d6c659de	CRAC_FAN
d9769d70-bae5-48e4-9f3d-ec23d137ce11	4b1f6f68-5224-41b0-9280-733210fc4bfc	CHILLER
d9769d70-bae5-48e4-9f3d-ec23d137ce11	1ad4feb5-32ed-4857-ac50-d8220163c3e6	AIR_COOLED_CHILLER
d9769d70-bae5-48e4-9f3d-ec23d137ce11	f473906d-b976-4cb7-affe-9801286c74c4	COOLING_TOWER
d9769d70-bae5-48e4-9f3d-ec23d137ce11	29f32d75-5e57-48a4-802d-0be4c0b54650	DRY_COOLER
d9769d70-bae5-48e4-9f3d-ec23d137ce11	bfd05ba5-c241-478b-a6a7-a1b2767cb2fe	REMOTE_CONDENSER
d9769d70-bae5-48e4-9f3d-ec23d137ce11	c011fab3-8d96-4245-8b63-a3ea7e901836	CHILLED_WATER_PUMPS
d9769d70-bae5-48e4-9f3d-ec23d137ce11	f1882717-f802-40e8-a966-9fb3c75e34ef	HEAT_REJECTION_PUMPS
d9769d70-bae5-48e4-9f3d-ec23d137ce11	01a32444-6dd0-4ff4-90ee-d2db9f6b20a5	VENTILATION
d9769d70-bae5-48e4-9f3d-ec23d137ce11	b2f0dbf8-82e9-487c-887e-9ccb58df6848	INFILTRATION
d9769d70-bae5-48e4-9f3d-ec23d137ce11	a8b57d62-1917-4b47-8711-b04f27cc38ae	IT_LOAD
3b135ed3-6c84-450c-9716-34e8cf5a910b	045d1c62-8aa9-4e6c-b606-8ad9e9ee2135	SWITCHGEAR
3b135ed3-6c84-450c-9716-34e8cf5a910b	329a347f-2c0c-4922-aeb0-e55efe9abec0	GENERATOR
3b135ed3-6c84-450c-9716-34e8cf5a910b	2adf5321-3ec4-4cf8-ae89-62fd7a7524b5	PRIMARY_AUXILIARIES
3b135ed3-6c84-450c-9716-34e8cf5a910b	9969924a-f8ac-4131-9554-b066e769cbc9	UPS
3b135ed3-6c84-450c-9716-34e8cf5a910b	d115f2cd-fcc2-45dd-bde4-7d4f8b0f8995	CRITICAL_AUXILIARIES
3b135ed3-6c84-450c-9716-34e8cf5a910b	a88157be-46f9-492e-8f08-afd648a6bcb3	LIGHTING
3b135ed3-6c84-450c-9716-34e8cf5a910b	091514ac-8140-4be2-9d6e-5f8f6220fa4e	CRITICAL_POWER_DISTRIBUTION
3b135ed3-6c84-450c-9716-34e8cf5a910b	97a41718-0329-4c59-baa7-9c825be631a5	CRAH
3b135ed3-6c84-450c-9716-34e8cf5a910b	9d5f1e66-4324-4cda-a0da-deab42d7595f	CRAC
3b135ed3-6c84-450c-9716-34e8cf5a910b	b14e4488-d5d7-4146-adfd-cfc092ed1842	CRAC_WITHOUT_FAN
3b135ed3-6c84-450c-9716-34e8cf5a910b	79338986-47af-4d39-b526-d244362f091e	CRAC_FAN
3b135ed3-6c84-450c-9716-34e8cf5a910b	2a01984f-2bc5-4be5-bf55-58304d14be6f	CHILLER
3b135ed3-6c84-450c-9716-34e8cf5a910b	ed1eb856-0438-4c53-8eb1-fa01628cacc0	AIR_COOLED_CHILLER
3b135ed3-6c84-450c-9716-34e8cf5a910b	299bd1f7-962e-4bbf-97cc-d1e9005409d7	COOLING_TOWER
3b135ed3-6c84-450c-9716-34e8cf5a910b	6e29f2be-0af6-424c-b7d1-c3b6a584c7f8	DRY_COOLER
3b135ed3-6c84-450c-9716-34e8cf5a910b	55a13d21-9895-4f93-9fdd-431943117f09	REMOTE_CONDENSER
3b135ed3-6c84-450c-9716-34e8cf5a910b	6323dd70-fa55-456e-a2fb-df481e337aca	CHILLED_WATER_PUMPS
3b135ed3-6c84-450c-9716-34e8cf5a910b	608a365c-1982-4420-860e-b3e0e1df10a8	HEAT_REJECTION_PUMPS
3b135ed3-6c84-450c-9716-34e8cf5a910b	196409ad-d76f-4fea-8a7b-52c08fd899a9	VENTILATION
3b135ed3-6c84-450c-9716-34e8cf5a910b	33a2cdc1-e564-4e94-b4f8-69faaf022167	INFILTRATION
3b135ed3-6c84-450c-9716-34e8cf5a910b	c975aa3a-78ce-4cd6-9cde-44924e62c10d	IT_LOAD
f0f83a5b-e8c2-40c9-a640-e4d082a66782	b9c95bae-843b-4c58-8d13-93121017062d	SWITCHGEAR
f0f83a5b-e8c2-40c9-a640-e4d082a66782	07841d98-17c9-4199-bb11-1fd06e2952e1	GENERATOR
f0f83a5b-e8c2-40c9-a640-e4d082a66782	c787229f-fb5d-4358-a6da-2c9cf69f5675	PRIMARY_AUXILIARIES
f0f83a5b-e8c2-40c9-a640-e4d082a66782	52f80dc3-fa30-44d8-a231-845ab1559067	UPS
f0f83a5b-e8c2-40c9-a640-e4d082a66782	55b8eb28-90cc-43fa-9450-a5d86d84e85f	CRITICAL_AUXILIARIES
f0f83a5b-e8c2-40c9-a640-e4d082a66782	9c07d889-93a3-4a33-a64d-bd0796caa9c8	LIGHTING
f0f83a5b-e8c2-40c9-a640-e4d082a66782	516b6e53-a264-4596-b1c3-7b7bf5c4e4fb	CRITICAL_POWER_DISTRIBUTION
f0f83a5b-e8c2-40c9-a640-e4d082a66782	325ba9c2-d4ee-49fc-a4fd-53bcb8082522	CRAH
f0f83a5b-e8c2-40c9-a640-e4d082a66782	3305e7d9-3b25-4777-8ada-230c84cfd649	CRAC
f0f83a5b-e8c2-40c9-a640-e4d082a66782	b1ecf84a-89fc-4890-a5a7-f634d8c35ec9	CRAC_WITHOUT_FAN
f0f83a5b-e8c2-40c9-a640-e4d082a66782	1dd29f6e-771d-44e7-81f9-d30b1fa7db9d	CRAC_FAN
f0f83a5b-e8c2-40c9-a640-e4d082a66782	9d06debb-048c-4df0-a503-fd3a38889b44	CHILLER
f0f83a5b-e8c2-40c9-a640-e4d082a66782	040932dd-ee3d-44f9-b718-b49e2e41e14a	AIR_COOLED_CHILLER
f0f83a5b-e8c2-40c9-a640-e4d082a66782	38db8b92-4fb8-45a3-a70d-da576abfd6c7	COOLING_TOWER
f0f83a5b-e8c2-40c9-a640-e4d082a66782	0302d5e5-be14-4b85-8ef3-58720bfe530c	DRY_COOLER
f0f83a5b-e8c2-40c9-a640-e4d082a66782	3ea05057-759a-4301-b4bc-4fe5b2f26e8d	REMOTE_CONDENSER
f0f83a5b-e8c2-40c9-a640-e4d082a66782	59e21fed-af50-4865-a427-1f691f7afaf4	CHILLED_WATER_PUMPS
f0f83a5b-e8c2-40c9-a640-e4d082a66782	fbd89233-534a-4e7c-bb3d-d96e35155abd	HEAT_REJECTION_PUMPS
f0f83a5b-e8c2-40c9-a640-e4d082a66782	115d4e1e-31bb-4cde-aec7-3a6d18c6a43f	VENTILATION
f0f83a5b-e8c2-40c9-a640-e4d082a66782	608c17c0-d0ad-414d-8233-a1ed54e991de	INFILTRATION
f0f83a5b-e8c2-40c9-a640-e4d082a66782	b604230d-2a94-4196-acc3-b72c291d961b	IT_LOAD
fb55d124-b1d5-43df-a886-71f9848813d5	824ad049-8c70-4fcc-9894-44e0f150eab6	SWITCHGEAR
fb55d124-b1d5-43df-a886-71f9848813d5	d2fefa2e-9fa0-4068-bff5-86724dd6ca4a	GENERATOR
fb55d124-b1d5-43df-a886-71f9848813d5	a6511afe-573a-4242-bc7b-2c30cd4286a5	PRIMARY_AUXILIARIES
fb55d124-b1d5-43df-a886-71f9848813d5	66e3a6af-016c-455e-ad3e-343fdac2cf77	UPS
fb55d124-b1d5-43df-a886-71f9848813d5	84b6bd6d-c76c-4b03-bb38-c62945d15ca8	CRITICAL_AUXILIARIES
fb55d124-b1d5-43df-a886-71f9848813d5	62515bc9-9da9-4534-95fc-7c20664b5f12	LIGHTING
fb55d124-b1d5-43df-a886-71f9848813d5	dd43600e-9800-4ecd-8e27-7aa00ab9accc	CRITICAL_POWER_DISTRIBUTION
fb55d124-b1d5-43df-a886-71f9848813d5	7f680564-7eba-4559-ba6b-83482712f176	CRAH
fb55d124-b1d5-43df-a886-71f9848813d5	07542be5-585e-4103-adc0-b15206126085	CRAC
fb55d124-b1d5-43df-a886-71f9848813d5	30d3870c-3ed8-4ca4-aa90-51b40aaa154b	CRAC_WITHOUT_FAN
fb55d124-b1d5-43df-a886-71f9848813d5	e2189d7c-de31-48ac-aeab-d123cc7a3d4f	CRAC_FAN
fb55d124-b1d5-43df-a886-71f9848813d5	aec88365-6437-477d-aa7e-6e4fdee15dd5	CHILLER
fb55d124-b1d5-43df-a886-71f9848813d5	441fb441-43d9-4845-840d-974d8f5fdbba	AIR_COOLED_CHILLER
fb55d124-b1d5-43df-a886-71f9848813d5	781f5ae2-73c0-4e01-817b-23becec30b9f	COOLING_TOWER
fb55d124-b1d5-43df-a886-71f9848813d5	f942d22c-f493-44f1-be79-310d21e6a737	DRY_COOLER
fb55d124-b1d5-43df-a886-71f9848813d5	013131f4-a84a-459e-b9f2-efc4b1cddd0f	REMOTE_CONDENSER
fb55d124-b1d5-43df-a886-71f9848813d5	d0c90c8f-5405-4b58-b6c0-859558e3e225	CHILLED_WATER_PUMPS
fb55d124-b1d5-43df-a886-71f9848813d5	c8799120-b0c9-4fee-8139-63c63e916726	HEAT_REJECTION_PUMPS
fb55d124-b1d5-43df-a886-71f9848813d5	18dd7009-d798-4b54-9e83-e929c9761049	VENTILATION
fb55d124-b1d5-43df-a886-71f9848813d5	88e46966-7c27-4b0b-8738-50221da95865	INFILTRATION
fb55d124-b1d5-43df-a886-71f9848813d5	56f619c4-4c1c-466a-8336-490eedaf3e54	IT_LOAD
7b1982a9-00ec-495e-bcad-14b0e90a63fd	7d192f3f-d8bf-4ec1-9013-84e9f69ea966	SWITCHGEAR
7b1982a9-00ec-495e-bcad-14b0e90a63fd	73ab4c24-c2c5-41a5-b9bd-929a3e5ef63c	GENERATOR
7b1982a9-00ec-495e-bcad-14b0e90a63fd	d7f12dd0-dcdc-4a80-9c9e-05c4be61dd40	PRIMARY_AUXILIARIES
7b1982a9-00ec-495e-bcad-14b0e90a63fd	ab8c8ced-53f5-45fe-a782-1f08284f1b76	UPS
7b1982a9-00ec-495e-bcad-14b0e90a63fd	967c1f37-0b77-4486-bc33-8f63deec531d	CRITICAL_AUXILIARIES
7b1982a9-00ec-495e-bcad-14b0e90a63fd	0a522572-4856-4aa4-8801-eee004b991ae	LIGHTING
7b1982a9-00ec-495e-bcad-14b0e90a63fd	9737df4a-99e4-400e-b971-93d1e4337440	CRITICAL_POWER_DISTRIBUTION
7b1982a9-00ec-495e-bcad-14b0e90a63fd	deb04de7-753a-4a06-98a8-ecf7d7c39a4e	CRAH
7b1982a9-00ec-495e-bcad-14b0e90a63fd	04b5ceb3-43ed-424b-b359-7e6495ba06b4	CRAC
7b1982a9-00ec-495e-bcad-14b0e90a63fd	63351223-aeb1-4b8a-a688-02204c60f51a	CRAC_WITHOUT_FAN
7b1982a9-00ec-495e-bcad-14b0e90a63fd	6fdb31e7-c828-4e03-badc-0187ba90abef	CRAC_FAN
7b1982a9-00ec-495e-bcad-14b0e90a63fd	1c412cff-ace7-4f83-834b-d46621b30e2b	CHILLER
7b1982a9-00ec-495e-bcad-14b0e90a63fd	7ae13791-21bc-4161-aa92-eca8b3f275c3	AIR_COOLED_CHILLER
7b1982a9-00ec-495e-bcad-14b0e90a63fd	2769d65b-b790-4078-863e-3ee97750a489	COOLING_TOWER
7b1982a9-00ec-495e-bcad-14b0e90a63fd	fe8c3863-ca36-4d04-bfde-6e054d673ff7	DRY_COOLER
7b1982a9-00ec-495e-bcad-14b0e90a63fd	07101e34-7874-4a06-87d6-2526cbfb66e2	REMOTE_CONDENSER
7b1982a9-00ec-495e-bcad-14b0e90a63fd	0160e846-c1e6-4cd3-987c-6219001f01c6	CHILLED_WATER_PUMPS
7b1982a9-00ec-495e-bcad-14b0e90a63fd	8b6b107e-c981-49d1-8675-42973ddb6a09	HEAT_REJECTION_PUMPS
7b1982a9-00ec-495e-bcad-14b0e90a63fd	a2d309be-eac9-4a85-835d-04b6b5a25f38	VENTILATION
7b1982a9-00ec-495e-bcad-14b0e90a63fd	689733ff-86d4-498c-9a83-df0f049837f3	INFILTRATION
7b1982a9-00ec-495e-bcad-14b0e90a63fd	fb080fb3-37f2-4abc-b9db-fbe1f53166db	IT_LOAD
22891b61-2886-4203-b013-f8bd142a0c35	1f29385d-6079-411a-bf8d-e78e56591f07	SWITCHGEAR
22891b61-2886-4203-b013-f8bd142a0c35	9e60209a-9247-4cd8-af19-7f9a1a4104c5	GENERATOR
22891b61-2886-4203-b013-f8bd142a0c35	876fe0d1-dda3-44d5-a88f-de35d2bb6a8d	PRIMARY_AUXILIARIES
22891b61-2886-4203-b013-f8bd142a0c35	e8346d91-2b00-4ec9-b12f-ad5c7af08aed	UPS
22891b61-2886-4203-b013-f8bd142a0c35	883d4aad-11e4-45dd-a80e-68059030e136	CRITICAL_AUXILIARIES
22891b61-2886-4203-b013-f8bd142a0c35	02331667-c31b-41a1-8ad9-761fa9f03b43	LIGHTING
22891b61-2886-4203-b013-f8bd142a0c35	8a23c6a6-f151-4d2b-a571-ede52a1264aa	CRITICAL_POWER_DISTRIBUTION
22891b61-2886-4203-b013-f8bd142a0c35	659b75e5-eb66-4730-932e-97e3340cc417	CRAH
22891b61-2886-4203-b013-f8bd142a0c35	3c51569c-3a67-4a59-864a-2320f8740310	CRAC
22891b61-2886-4203-b013-f8bd142a0c35	9a5fad69-3b6c-4d49-988b-269b76bfe905	CRAC_WITHOUT_FAN
22891b61-2886-4203-b013-f8bd142a0c35	d297fa47-d68f-492c-bc04-c7cdbecfdd52	CRAC_FAN
22891b61-2886-4203-b013-f8bd142a0c35	562c95c5-3c86-48e8-acc6-4b12af110e89	CHILLER
22891b61-2886-4203-b013-f8bd142a0c35	23f082ed-4f6d-48c7-b6b9-fb22f9086dc4	AIR_COOLED_CHILLER
22891b61-2886-4203-b013-f8bd142a0c35	ec79efb4-14ba-4e7a-a64e-4d279cf77052	COOLING_TOWER
22891b61-2886-4203-b013-f8bd142a0c35	222b883c-4b42-4e3d-8d93-23a258927309	DRY_COOLER
22891b61-2886-4203-b013-f8bd142a0c35	f3e28ba3-889e-4c14-a89c-a2d651844825	REMOTE_CONDENSER
22891b61-2886-4203-b013-f8bd142a0c35	f9a30b24-1b78-40f1-9e2d-293ffcd35c4e	CHILLED_WATER_PUMPS
22891b61-2886-4203-b013-f8bd142a0c35	a88035db-bfae-4cb1-aca3-d5b47c9b3fd1	HEAT_REJECTION_PUMPS
22891b61-2886-4203-b013-f8bd142a0c35	d89aa620-fac6-463e-b8b0-71bdfda99817	VENTILATION
22891b61-2886-4203-b013-f8bd142a0c35	ca17b3f8-0503-4312-8b39-53a0be315979	INFILTRATION
22891b61-2886-4203-b013-f8bd142a0c35	027e2520-29f1-40de-acc1-403b963c0a47	IT_LOAD
572b4aaa-729b-4848-8f84-2a2310931fa7	a229c21c-b782-4570-b0be-f3ab227885de	SWITCHGEAR
572b4aaa-729b-4848-8f84-2a2310931fa7	e938b113-8c84-42df-b540-cf983ddcf8b9	GENERATOR
572b4aaa-729b-4848-8f84-2a2310931fa7	1729a373-bdcb-4f48-920b-a275603739ce	PRIMARY_AUXILIARIES
572b4aaa-729b-4848-8f84-2a2310931fa7	4ca85ce4-7636-4374-a80f-3ce7802e8a6f	UPS
572b4aaa-729b-4848-8f84-2a2310931fa7	94e501d7-9a03-4359-9492-4697d29eae53	CRITICAL_AUXILIARIES
572b4aaa-729b-4848-8f84-2a2310931fa7	7f68fe92-5545-4cf3-be38-f4f416553b52	LIGHTING
572b4aaa-729b-4848-8f84-2a2310931fa7	92a87ad5-28f2-43fb-84f0-5e03907e6422	CRITICAL_POWER_DISTRIBUTION
572b4aaa-729b-4848-8f84-2a2310931fa7	0d14c7d4-8f3b-4092-8680-417836550cce	CRAH
572b4aaa-729b-4848-8f84-2a2310931fa7	3d1cb77a-13af-412c-b5a5-4ab706a486d1	CRAC
572b4aaa-729b-4848-8f84-2a2310931fa7	bc61d4e0-a889-43a3-a0d3-edbbf2064c7e	CRAC_WITHOUT_FAN
572b4aaa-729b-4848-8f84-2a2310931fa7	e0a21ff2-74ad-436c-9c6f-e995e84ff9f2	CRAC_FAN
572b4aaa-729b-4848-8f84-2a2310931fa7	48b5c3a9-268d-4024-8f50-6ea997b19106	CHILLER
572b4aaa-729b-4848-8f84-2a2310931fa7	cae020da-8d7e-4334-9155-c34be9d5f34a	AIR_COOLED_CHILLER
572b4aaa-729b-4848-8f84-2a2310931fa7	c5d68627-f3de-48d1-96ab-7c277004fffc	COOLING_TOWER
572b4aaa-729b-4848-8f84-2a2310931fa7	42809ff6-4f1e-4164-9f0e-c7f27789b833	DRY_COOLER
572b4aaa-729b-4848-8f84-2a2310931fa7	64b6cc1c-96ca-4852-bf51-c039da8e6861	REMOTE_CONDENSER
572b4aaa-729b-4848-8f84-2a2310931fa7	5f47379c-3376-4938-8064-c0af6106c65e	CHILLED_WATER_PUMPS
572b4aaa-729b-4848-8f84-2a2310931fa7	9c1e60e7-e689-4ebd-86cb-cab135caee15	HEAT_REJECTION_PUMPS
572b4aaa-729b-4848-8f84-2a2310931fa7	5eab88df-8414-456e-ba4f-28abba364a96	VENTILATION
572b4aaa-729b-4848-8f84-2a2310931fa7	c653b465-3838-4564-903c-19de45583ea5	INFILTRATION
572b4aaa-729b-4848-8f84-2a2310931fa7	a79e187b-e978-426d-840f-338b74ed647d	IT_LOAD
5201f0ff-8751-4620-8fcc-1c51782f2785	a17470ab-79c9-4397-b8b3-024a673c9b70	SWITCHGEAR
5201f0ff-8751-4620-8fcc-1c51782f2785	ff9d3a8b-8869-4e09-b101-ad9b5b8b3c8b	GENERATOR
5201f0ff-8751-4620-8fcc-1c51782f2785	9f50091d-c681-4591-96c6-f33b1e44c325	PRIMARY_AUXILIARIES
5201f0ff-8751-4620-8fcc-1c51782f2785	742f02fb-3147-4c1b-9c18-14e3b738f803	UPS
5201f0ff-8751-4620-8fcc-1c51782f2785	6ec625d9-985a-4d41-8db6-1bdee2f31831	CRITICAL_AUXILIARIES
5201f0ff-8751-4620-8fcc-1c51782f2785	6c953309-fd04-40ac-b4e9-160c12fb2cf0	LIGHTING
5201f0ff-8751-4620-8fcc-1c51782f2785	1ec067ce-732b-4d2c-a20e-d4f45edc88f9	CRITICAL_POWER_DISTRIBUTION
5201f0ff-8751-4620-8fcc-1c51782f2785	a7153892-0422-4644-aef7-8dbd6619d8cd	CRAH
5201f0ff-8751-4620-8fcc-1c51782f2785	d397e0e4-46e2-40dc-9896-a1db1ec4e0f5	CRAC
5201f0ff-8751-4620-8fcc-1c51782f2785	88c57045-220a-45e1-ae89-fc5056ae72da	CRAC_WITHOUT_FAN
5201f0ff-8751-4620-8fcc-1c51782f2785	60c61789-6ca2-4741-97f6-6c00af14d5c3	CRAC_FAN
5201f0ff-8751-4620-8fcc-1c51782f2785	50d287e1-7817-4923-87ca-3fd5b43cd058	CHILLER
5201f0ff-8751-4620-8fcc-1c51782f2785	bd179c97-636e-4b9e-a605-4cdba4940aee	AIR_COOLED_CHILLER
5201f0ff-8751-4620-8fcc-1c51782f2785	4d0aee73-a838-4317-8d13-0fcffbfea955	COOLING_TOWER
5201f0ff-8751-4620-8fcc-1c51782f2785	9ce77ff8-6f69-48db-b2f4-f1d92a21ea53	DRY_COOLER
5201f0ff-8751-4620-8fcc-1c51782f2785	510048cc-cf2d-47cb-b93f-75de024c2cee	REMOTE_CONDENSER
5201f0ff-8751-4620-8fcc-1c51782f2785	2453d8e1-4c73-483b-b130-8eab5a88969d	CHILLED_WATER_PUMPS
5201f0ff-8751-4620-8fcc-1c51782f2785	5e36a5ea-e9f9-44a3-953d-61be5258e4ae	HEAT_REJECTION_PUMPS
5201f0ff-8751-4620-8fcc-1c51782f2785	79ee3e32-c68d-4169-b2ae-45d22eb30cec	VENTILATION
5201f0ff-8751-4620-8fcc-1c51782f2785	29c4911f-7fff-499a-9068-f613f484a596	INFILTRATION
5201f0ff-8751-4620-8fcc-1c51782f2785	23aa2edf-4de0-417a-b1be-51248d4cca95	IT_LOAD
997e7fcb-6474-4b10-a5a7-94d5646a2670	bcff788c-7f20-4425-b1ba-2954069bd654	SWITCHGEAR
997e7fcb-6474-4b10-a5a7-94d5646a2670	0057075a-0dc3-49b8-a5c6-3151cfd9e79c	GENERATOR
997e7fcb-6474-4b10-a5a7-94d5646a2670	650605f5-00b6-4753-9018-2bca8e1634f2	PRIMARY_AUXILIARIES
997e7fcb-6474-4b10-a5a7-94d5646a2670	4bcdddd7-d480-44e0-bd90-4b0baa152786	UPS
997e7fcb-6474-4b10-a5a7-94d5646a2670	de09f3d1-3b1c-4284-b723-1ea8903464e9	CRITICAL_AUXILIARIES
997e7fcb-6474-4b10-a5a7-94d5646a2670	b1c096a7-fab3-4498-ac2b-47eab266272e	LIGHTING
997e7fcb-6474-4b10-a5a7-94d5646a2670	7c3aaebc-52c7-45a3-8804-3afc9c6fcf10	CRITICAL_POWER_DISTRIBUTION
997e7fcb-6474-4b10-a5a7-94d5646a2670	8123cc6e-5abf-4a57-930a-bfb81dd9cca8	CRAH
997e7fcb-6474-4b10-a5a7-94d5646a2670	ec51fbf3-eb6d-4f99-afb0-bfe181a85038	CRAC
997e7fcb-6474-4b10-a5a7-94d5646a2670	9c1ca642-2bd9-44de-adfb-de105dff0be2	CRAC_WITHOUT_FAN
997e7fcb-6474-4b10-a5a7-94d5646a2670	4506d3bc-de1b-49d9-b000-7f48a27bb162	CRAC_FAN
997e7fcb-6474-4b10-a5a7-94d5646a2670	d46e4c30-5933-4002-954e-29af3ddcbc3f	CHILLER
997e7fcb-6474-4b10-a5a7-94d5646a2670	b5b05437-f71e-4a41-98cb-bddf329942bf	AIR_COOLED_CHILLER
997e7fcb-6474-4b10-a5a7-94d5646a2670	93b66dfb-bf97-4836-a94d-e789c345ebd4	COOLING_TOWER
997e7fcb-6474-4b10-a5a7-94d5646a2670	5be69a34-aecc-4091-badf-1398c862dde2	DRY_COOLER
997e7fcb-6474-4b10-a5a7-94d5646a2670	e59640fc-519c-403a-9af1-f0f9402513c2	REMOTE_CONDENSER
997e7fcb-6474-4b10-a5a7-94d5646a2670	b410ee75-ad31-4460-ad05-f93f8fed3a78	CHILLED_WATER_PUMPS
997e7fcb-6474-4b10-a5a7-94d5646a2670	1b835872-9a5a-4864-b767-03cdc18346dd	HEAT_REJECTION_PUMPS
997e7fcb-6474-4b10-a5a7-94d5646a2670	1895b200-0677-4d7c-919d-519bda472c76	VENTILATION
997e7fcb-6474-4b10-a5a7-94d5646a2670	df11b489-5dee-4cf9-9090-3f929f52cc80	INFILTRATION
997e7fcb-6474-4b10-a5a7-94d5646a2670	8be65221-f5de-4634-ae34-76cc9d2accc7	IT_LOAD
97e426bd-f26a-49cb-b623-a2015dc655d7	e255cc78-3193-47e4-8f8e-4cead3d5e3aa	SWITCHGEAR
97e426bd-f26a-49cb-b623-a2015dc655d7	5a263f86-1b81-4197-8ee6-82bd5fc15583	GENERATOR
97e426bd-f26a-49cb-b623-a2015dc655d7	4a8b6422-2a0f-4daf-9130-dd24882c6425	PRIMARY_AUXILIARIES
97e426bd-f26a-49cb-b623-a2015dc655d7	c9f8e0d6-63e2-4f3c-84b3-a8d59437395a	UPS
97e426bd-f26a-49cb-b623-a2015dc655d7	bc31af1e-f6fb-494b-ad22-7a3cb3a4d7d3	CRITICAL_AUXILIARIES
97e426bd-f26a-49cb-b623-a2015dc655d7	d0e59f88-9f5b-4b13-9636-b945671a7464	LIGHTING
97e426bd-f26a-49cb-b623-a2015dc655d7	123036b9-fdb6-4915-9955-b7425d9ed7b8	CRITICAL_POWER_DISTRIBUTION
97e426bd-f26a-49cb-b623-a2015dc655d7	49eb7eb4-9452-46bf-bab2-dfa1374870e3	CRAH
97e426bd-f26a-49cb-b623-a2015dc655d7	927edcf4-2d7b-4fe0-9f43-3afdfcb533aa	CRAC
97e426bd-f26a-49cb-b623-a2015dc655d7	3035e911-ef93-4c33-9e93-8faa0a86021f	CRAC_WITHOUT_FAN
97e426bd-f26a-49cb-b623-a2015dc655d7	5ec11404-13be-4639-a957-74dabcf077f8	CRAC_FAN
97e426bd-f26a-49cb-b623-a2015dc655d7	5d3ede56-96bf-4998-8495-f8ac192ec9ab	CHILLER
97e426bd-f26a-49cb-b623-a2015dc655d7	5f8a44ca-bb3c-4a6c-87b3-0b5492e64ab4	AIR_COOLED_CHILLER
97e426bd-f26a-49cb-b623-a2015dc655d7	577c3e62-a41e-47e2-93b3-921d0ab30a7d	COOLING_TOWER
97e426bd-f26a-49cb-b623-a2015dc655d7	03ee8761-ed38-4fdc-92d7-a864a4766c9c	DRY_COOLER
97e426bd-f26a-49cb-b623-a2015dc655d7	10e2a343-1950-4449-a0be-c9d69b51580a	REMOTE_CONDENSER
97e426bd-f26a-49cb-b623-a2015dc655d7	81b67a47-e954-4cdc-a08b-0098d2b0088f	CHILLED_WATER_PUMPS
97e426bd-f26a-49cb-b623-a2015dc655d7	b42b918b-372f-4231-b785-5438b33b43d8	HEAT_REJECTION_PUMPS
97e426bd-f26a-49cb-b623-a2015dc655d7	8b3dc179-d2b5-4732-8b75-7187803da7f2	VENTILATION
97e426bd-f26a-49cb-b623-a2015dc655d7	3766d6b1-f706-4bae-a878-f638421ea01b	INFILTRATION
97e426bd-f26a-49cb-b623-a2015dc655d7	20c3d742-5f72-4eef-afb9-c79f406b2a4c	IT_LOAD
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	f2f65c6f-fed7-4154-bf8b-b22e750e25af	SWITCHGEAR
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	20cedc54-1a5f-4483-b8da-91117e3ef975	GENERATOR
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	48e5e023-cb86-4d9e-a696-c6381e42291f	PRIMARY_AUXILIARIES
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	62af94e7-ef41-4c6a-ac93-9c751c972b56	UPS
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	00651ece-009c-4330-8e95-4c7f43970ba0	CRITICAL_AUXILIARIES
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	4eaaa21b-8270-4a42-a529-7c514de3de68	LIGHTING
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	a72e0411-6253-46f3-8ab6-5b9b391c52c6	CRITICAL_POWER_DISTRIBUTION
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	0c5fa713-5085-4545-9fca-63fe51bde1f1	CRAH
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	9075e0e4-0075-443e-81da-fec3467407e0	CRAC
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	02868fa8-69d3-43e3-a08f-d8a52c578200	CRAC_WITHOUT_FAN
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	c367fccb-e2a1-4917-b24f-23f384dae069	CRAC_FAN
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	a38d7f7b-e082-41f5-b890-a327d2a7a062	CHILLER
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	a512643b-a307-42db-a659-5ac1bddfc811	AIR_COOLED_CHILLER
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	20faec03-1fba-4799-bede-bd9eda3affcd	COOLING_TOWER
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	9b247322-9724-4b82-93e6-259ce16e329a	DRY_COOLER
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	8f2dfd2e-973f-440b-a63c-105424356604	REMOTE_CONDENSER
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	71219736-4cb2-41e5-9f60-407a2e21520a	CHILLED_WATER_PUMPS
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	7f294245-4d19-429f-aa45-fcde7591d576	HEAT_REJECTION_PUMPS
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	ad9293af-1031-4b30-a74c-f560e8595b23	VENTILATION
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	0ee93b57-2813-4147-8c3e-132c207e442b	INFILTRATION
0a1e6154-ea0f-4dc6-9652-fa64026ccfe5	b6765138-c025-42df-b561-0a63fe2231a6	IT_LOAD
d622b801-add1-4dbe-b921-ec962130ff54	ad5e3d9b-5a26-4b0b-8e1f-b7235f445259	SWITCHGEAR
d622b801-add1-4dbe-b921-ec962130ff54	ccdbc1b9-89d6-4408-830b-987750607a5a	GENERATOR
d622b801-add1-4dbe-b921-ec962130ff54	44fbd5d4-16be-43fb-8a54-58c473c8231e	PRIMARY_AUXILIARIES
d622b801-add1-4dbe-b921-ec962130ff54	3e2a7913-f2f4-4435-93f4-3f49aca4d866	UPS
d622b801-add1-4dbe-b921-ec962130ff54	3e122b1c-93c9-4d8c-866c-d6abe89783ba	CRITICAL_AUXILIARIES
d622b801-add1-4dbe-b921-ec962130ff54	d39ab708-bb98-4df5-bb22-2df7fd162fd8	LIGHTING
d622b801-add1-4dbe-b921-ec962130ff54	5d207a0e-b81d-4296-a397-ce9f2ae71ada	CRITICAL_POWER_DISTRIBUTION
d622b801-add1-4dbe-b921-ec962130ff54	b1272e5b-9ec3-491f-81ac-f3a68148c6ba	CRAH
d622b801-add1-4dbe-b921-ec962130ff54	1d0a6d15-0495-4dae-a934-d1ef321d072d	CRAC
d622b801-add1-4dbe-b921-ec962130ff54	32cd74ff-5458-4e0c-bd39-479540ec3ae8	CRAC_WITHOUT_FAN
d622b801-add1-4dbe-b921-ec962130ff54	75b54fda-6f0e-4b63-9c6f-0d2607d82301	CRAC_FAN
d622b801-add1-4dbe-b921-ec962130ff54	b78a198d-c75f-4a3d-88cf-f2bd5725821e	CHILLER
d622b801-add1-4dbe-b921-ec962130ff54	0ecd3b6a-cc60-4200-8315-d72055d9f830	AIR_COOLED_CHILLER
d622b801-add1-4dbe-b921-ec962130ff54	579230c6-f625-493c-8dc2-7661c2a4efe5	COOLING_TOWER
d622b801-add1-4dbe-b921-ec962130ff54	b6eec0c0-e59a-4d6e-b714-34030a1da143	DRY_COOLER
d622b801-add1-4dbe-b921-ec962130ff54	2d44a7ab-0942-4968-9b67-905f8164d783	REMOTE_CONDENSER
d622b801-add1-4dbe-b921-ec962130ff54	13f8e542-629a-4ebe-8345-1664133c69fc	CHILLED_WATER_PUMPS
d622b801-add1-4dbe-b921-ec962130ff54	534cb518-f166-405c-8cd6-09b108c8441d	HEAT_REJECTION_PUMPS
d622b801-add1-4dbe-b921-ec962130ff54	621d856b-bcc2-4230-bb38-79a20cfe1430	VENTILATION
d622b801-add1-4dbe-b921-ec962130ff54	a1424402-0a2a-4567-a211-92e077601559	INFILTRATION
d622b801-add1-4dbe-b921-ec962130ff54	daac8496-bfb3-43b6-8cd0-af8f955e22e2	IT_LOAD
b05d2d67-778c-48c8-b081-bfccc53f0069	82924f50-4bdb-49c6-8d25-dc4d2fd426d9	SWITCHGEAR
b05d2d67-778c-48c8-b081-bfccc53f0069	3ae599fc-fc42-41ad-848d-620c18660c34	GENERATOR
b05d2d67-778c-48c8-b081-bfccc53f0069	92749b57-fd8c-412e-883e-4e89be359d2e	PRIMARY_AUXILIARIES
b05d2d67-778c-48c8-b081-bfccc53f0069	db2a72b5-ffd7-4fd0-9e79-5c0cb811db54	UPS
b05d2d67-778c-48c8-b081-bfccc53f0069	6584c4b5-85d0-45db-b42b-34d44c5c94a3	CRITICAL_AUXILIARIES
b05d2d67-778c-48c8-b081-bfccc53f0069	d111a626-8364-4c06-804d-79c4e182d4f6	LIGHTING
b05d2d67-778c-48c8-b081-bfccc53f0069	75a3d128-84ac-4cce-8b7c-5e753652af34	CRITICAL_POWER_DISTRIBUTION
b05d2d67-778c-48c8-b081-bfccc53f0069	94e5708b-4865-49d8-9d9b-7f2c1ea6cc7f	CRAH
b05d2d67-778c-48c8-b081-bfccc53f0069	b280b000-599e-4c39-a93f-97dfd495c805	CRAC
b05d2d67-778c-48c8-b081-bfccc53f0069	157c6e7d-42b9-4883-b796-68c9f3e39fea	CRAC_WITHOUT_FAN
b05d2d67-778c-48c8-b081-bfccc53f0069	a80c7548-f610-46e8-bdf5-65730233e938	CRAC_FAN
b05d2d67-778c-48c8-b081-bfccc53f0069	5bdd707c-a6ad-4cd2-83db-cf96e53f08cc	CHILLER
b05d2d67-778c-48c8-b081-bfccc53f0069	f10a3292-e89a-49c4-bdfd-74b4117ba9b9	AIR_COOLED_CHILLER
b05d2d67-778c-48c8-b081-bfccc53f0069	46e92292-5066-48cd-80ca-a192824e6644	COOLING_TOWER
b05d2d67-778c-48c8-b081-bfccc53f0069	f1d4b454-d4a9-4714-9ee7-545c41921795	DRY_COOLER
b05d2d67-778c-48c8-b081-bfccc53f0069	0e8f616f-f157-43df-ab06-731a706f61a8	REMOTE_CONDENSER
b05d2d67-778c-48c8-b081-bfccc53f0069	585b528b-c853-4f84-a176-69679623e211	CHILLED_WATER_PUMPS
b05d2d67-778c-48c8-b081-bfccc53f0069	1b1b9841-dc44-403a-9f4d-6a0579110cad	HEAT_REJECTION_PUMPS
b05d2d67-778c-48c8-b081-bfccc53f0069	2e8027b1-717d-47c4-b2a0-30e9728b1873	VENTILATION
b05d2d67-778c-48c8-b081-bfccc53f0069	e7e5886f-f005-4757-ad53-31685c95560f	INFILTRATION
b05d2d67-778c-48c8-b081-bfccc53f0069	e4ff3b42-80d9-4051-a7ba-3eca6ea55c56	IT_LOAD
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	26dc04f4-eeb5-47f8-8f92-12f346f57a9c	SWITCHGEAR
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	edb5c5da-fdb8-406f-8229-45ad4c9641cc	GENERATOR
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	57aa61e7-e54d-4f94-81ad-4ccdef4ad3a9	PRIMARY_AUXILIARIES
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	bdf4af77-6a72-4032-bc50-84e1cf1e5f4e	UPS
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	16332d11-920f-4319-9178-3dbcc71201da	CRITICAL_AUXILIARIES
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	376ecd02-ceaa-41f3-938c-e21457ff6559	LIGHTING
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	5ff33614-097f-474a-b4b8-530a7c446418	CRITICAL_POWER_DISTRIBUTION
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	025ef81f-b0c6-4754-a3ac-bee825959e64	CRAH
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	dde8cfc2-6892-4356-b7c9-b5a8c55e8479	CRAC
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	4c8c51af-d1f1-4652-b267-b115c37aad4c	CRAC_WITHOUT_FAN
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	a44122ec-f694-4b5c-9907-c3e42c4f7896	CRAC_FAN
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	607db4af-d93d-494f-b183-7dba90448b1f	CHILLER
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	fe3fbdaa-3f7f-4362-9cf1-d9d2ce9bf56e	AIR_COOLED_CHILLER
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	6fa8ef35-be33-46d6-b3d0-cf0cddad0b13	COOLING_TOWER
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	696ada5f-c594-4468-b875-8bd039d22159	DRY_COOLER
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	69d337b0-0ee5-4c37-8a94-dcd3bd786227	REMOTE_CONDENSER
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	5b1587ae-fec5-472e-8e63-f350cadb2eff	CHILLED_WATER_PUMPS
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	71f8b1a7-6d31-4b09-a340-859b3603edbf	HEAT_REJECTION_PUMPS
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	f3f4cdd7-4e5a-465a-98d7-0a245415fcfe	VENTILATION
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	4b3382bd-3841-4684-a9af-eeb4d310aee7	INFILTRATION
7768cb76-81a4-4a57-b67d-0a1456ac4ae8	e5f41ae9-67d5-42c2-89e9-48822f1fd47e	IT_LOAD
88199238-a943-4e4e-ae7a-0145806dc623	87e3e73e-d227-43e5-8225-4992fab2471f	SWITCHGEAR
88199238-a943-4e4e-ae7a-0145806dc623	afafe750-7269-4d29-8d81-d75b8794b621	GENERATOR
88199238-a943-4e4e-ae7a-0145806dc623	b93524b0-6bbd-4e21-af4a-479c78380a2c	PRIMARY_AUXILIARIES
88199238-a943-4e4e-ae7a-0145806dc623	7e9a445b-3ec0-4aa9-ae0b-9736b99e8943	UPS
88199238-a943-4e4e-ae7a-0145806dc623	c967b9c1-326b-40ab-a35f-8a714aba8e80	CRITICAL_AUXILIARIES
88199238-a943-4e4e-ae7a-0145806dc623	b57514a6-3159-46ed-9ae2-31bf2f10f1c9	LIGHTING
88199238-a943-4e4e-ae7a-0145806dc623	6780c0c9-83bf-4eb2-8331-640cbaa37c9b	CRITICAL_POWER_DISTRIBUTION
88199238-a943-4e4e-ae7a-0145806dc623	e5421c6a-f11b-4700-b09a-5465c6ffe30a	CRAH
88199238-a943-4e4e-ae7a-0145806dc623	f18c7c7b-4ce0-4fd1-8595-967868fde830	CRAC
88199238-a943-4e4e-ae7a-0145806dc623	e98a5d25-d7dd-4e79-b82a-a11d41ee3dad	CRAC_WITHOUT_FAN
88199238-a943-4e4e-ae7a-0145806dc623	6801dedb-d06f-4cce-8cea-eb1512b81fcc	CRAC_FAN
88199238-a943-4e4e-ae7a-0145806dc623	53deff5e-b5b0-4b94-b83f-f9805b2c957d	CHILLER
88199238-a943-4e4e-ae7a-0145806dc623	200f4189-1fdb-4d57-aa7c-59dde0fc065b	AIR_COOLED_CHILLER
88199238-a943-4e4e-ae7a-0145806dc623	a418e106-de49-4f85-a618-b9083c05da8c	COOLING_TOWER
88199238-a943-4e4e-ae7a-0145806dc623	5d6bf108-0d69-4e89-8014-2f09b667c91a	DRY_COOLER
88199238-a943-4e4e-ae7a-0145806dc623	0a882911-a3b2-4670-9c66-c16e97625938	REMOTE_CONDENSER
88199238-a943-4e4e-ae7a-0145806dc623	13e63ee8-5662-4f3c-9ee8-b1c1ce187a83	CHILLED_WATER_PUMPS
88199238-a943-4e4e-ae7a-0145806dc623	87c06f22-2fbe-413d-ae9d-c21466efd122	HEAT_REJECTION_PUMPS
88199238-a943-4e4e-ae7a-0145806dc623	a0a384a9-b51b-4c43-bb21-7990649e53ae	VENTILATION
88199238-a943-4e4e-ae7a-0145806dc623	20ec9643-fa97-4757-8fcb-92ad2f048e25	INFILTRATION
88199238-a943-4e4e-ae7a-0145806dc623	6d58e002-e331-489c-b675-55938c557525	IT_LOAD
aebcb6ec-abaf-4b02-ab77-aca845049471	1ec896e1-0e69-4f2f-80da-f4532dd7747d	SWITCHGEAR
aebcb6ec-abaf-4b02-ab77-aca845049471	d121a9e3-8500-4bcc-a48d-64b55cf01a6c	GENERATOR
aebcb6ec-abaf-4b02-ab77-aca845049471	e3ea0625-a804-40a7-a18e-5d1fb36d9fc8	PRIMARY_AUXILIARIES
aebcb6ec-abaf-4b02-ab77-aca845049471	206073e2-c358-4d0c-8aaf-2141c05966f4	UPS
aebcb6ec-abaf-4b02-ab77-aca845049471	d691fd00-89cf-4fec-80c2-66faff56802c	CRITICAL_AUXILIARIES
aebcb6ec-abaf-4b02-ab77-aca845049471	2586156e-9fb7-45d6-be7d-d991de10420f	LIGHTING
aebcb6ec-abaf-4b02-ab77-aca845049471	de56e17f-b542-4db2-8dab-bf9960b2d68a	CRITICAL_POWER_DISTRIBUTION
aebcb6ec-abaf-4b02-ab77-aca845049471	9ad0c69d-39af-4cf5-acce-122aa3c61f16	CRAH
aebcb6ec-abaf-4b02-ab77-aca845049471	455ea77c-0d57-4226-8e06-074be59f9a1b	CRAC
aebcb6ec-abaf-4b02-ab77-aca845049471	72eb04cf-1a9c-4fbd-89b2-14411afd7aa5	CRAC_WITHOUT_FAN
aebcb6ec-abaf-4b02-ab77-aca845049471	06eec1f8-59b4-467a-b6b8-a9eb5881b564	CRAC_FAN
aebcb6ec-abaf-4b02-ab77-aca845049471	8e9eb437-84be-4fa6-9170-bd86099525cd	CHILLER
aebcb6ec-abaf-4b02-ab77-aca845049471	110f37a8-f67f-48d2-b9ad-33714e6bc010	AIR_COOLED_CHILLER
aebcb6ec-abaf-4b02-ab77-aca845049471	74667495-d366-4f0c-9f23-3103a05e0195	COOLING_TOWER
aebcb6ec-abaf-4b02-ab77-aca845049471	2533919c-8d7e-4634-ba6e-b7ca93975255	DRY_COOLER
aebcb6ec-abaf-4b02-ab77-aca845049471	44cfb1f4-423d-4a9b-bb79-d6700e35a072	REMOTE_CONDENSER
aebcb6ec-abaf-4b02-ab77-aca845049471	2743bd9a-fc64-4596-bb69-2ff8e24c0541	CHILLED_WATER_PUMPS
aebcb6ec-abaf-4b02-ab77-aca845049471	c77c760a-bc2f-423e-8b3c-24051e4989bf	HEAT_REJECTION_PUMPS
aebcb6ec-abaf-4b02-ab77-aca845049471	f78e9d0c-beb4-4414-91f6-fd4821f222d5	VENTILATION
aebcb6ec-abaf-4b02-ab77-aca845049471	8fbd2b7b-5adb-4d5f-a85d-36c991a5d08f	INFILTRATION
aebcb6ec-abaf-4b02-ab77-aca845049471	7daa5df5-b67e-4dbe-bee9-8c41cf08ce45	IT_LOAD
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	2b1f7045-2fbe-4a30-beb3-bdd7719ec3e4	SWITCHGEAR
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	14a97f9f-22b7-4608-aed6-a785710a9bae	GENERATOR
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	d7904390-7ec3-4e8b-a82c-f73fd4f5a531	PRIMARY_AUXILIARIES
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	a008e6c8-8e58-428a-9d39-ee0b94cfecae	UPS
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	4670a00a-161e-420f-8ce8-6a41fe92eba0	CRITICAL_AUXILIARIES
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	2fefe9c4-e4e6-44f5-8fae-540a5f5fbb03	LIGHTING
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	941408ee-3f5d-448c-ac10-1329ef669ef0	CRITICAL_POWER_DISTRIBUTION
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	3ca94dd8-22dc-4663-8c5f-b018021eaaea	CRAH
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	c58615d6-776a-4dd5-85a7-b86b9352ee5d	CRAC
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	8846b328-8359-4972-a849-20b4f12b153e	CRAC_WITHOUT_FAN
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	ee793d74-bf3e-4eb5-9afd-98467fcf9853	CRAC_FAN
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	36d60f96-721f-42d2-9a57-d38fcae646f8	CHILLER
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	8105d0fc-ea72-4236-8084-f52d5daa844e	AIR_COOLED_CHILLER
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	894aad26-08c0-446c-986b-c462fda41a8c	COOLING_TOWER
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	f23976af-eac5-4867-ab0f-0d5eb77fdfdc	DRY_COOLER
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	7818599e-cc13-4a59-abd3-5ad170343f85	REMOTE_CONDENSER
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	69936d57-0dcc-4d94-ac56-711dd73ec4aa	CHILLED_WATER_PUMPS
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	b49649f0-771e-4b2d-8191-c914ca7f842b	HEAT_REJECTION_PUMPS
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	0984bbbe-a8d8-49a2-b0a2-c7a868fbfb9f	VENTILATION
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	b11373fe-9a87-40bc-9fb0-f51a9114fa53	INFILTRATION
fbe80b5d-a6c8-4adb-bfda-7ba0e4937721	d0122b8b-3854-411b-aa2c-501422bb8a31	IT_LOAD
81e06b70-0d76-41b5-a43b-5259539c549f	e0f5216a-fac8-4848-83da-3833b6106cfb	SWITCHGEAR
81e06b70-0d76-41b5-a43b-5259539c549f	8f1833dc-26ce-416a-93a1-065a6c9af6ec	GENERATOR
81e06b70-0d76-41b5-a43b-5259539c549f	35f99e4c-e992-4f57-9a7d-ede18e162cf1	PRIMARY_AUXILIARIES
81e06b70-0d76-41b5-a43b-5259539c549f	dfbce5bd-e833-43b3-ae99-e816d29adcdb	UPS
81e06b70-0d76-41b5-a43b-5259539c549f	5e8f846d-8672-4c46-8694-4c00d1167ae5	CRITICAL_AUXILIARIES
81e06b70-0d76-41b5-a43b-5259539c549f	07876f91-ad16-4fef-a243-961bb81f5215	LIGHTING
81e06b70-0d76-41b5-a43b-5259539c549f	2c06d015-2ce9-4ad0-8eba-75423a48bd80	CRITICAL_POWER_DISTRIBUTION
81e06b70-0d76-41b5-a43b-5259539c549f	e9d4c6de-3f7f-46cf-835e-52bc0d16a6a1	CRAH
81e06b70-0d76-41b5-a43b-5259539c549f	aa1ce06a-7368-4f8a-a02a-ec4a7f00d3b3	CRAC
81e06b70-0d76-41b5-a43b-5259539c549f	7fb1d82a-1c66-46e0-8757-d4b62f9c613d	CRAC_WITHOUT_FAN
81e06b70-0d76-41b5-a43b-5259539c549f	e26ed478-e0f7-46ca-b74c-69d22c791e05	CRAC_FAN
81e06b70-0d76-41b5-a43b-5259539c549f	46fa6050-1c13-46a1-bb3a-cfa45e119edc	CHILLER
81e06b70-0d76-41b5-a43b-5259539c549f	5f4d3ee1-e398-4769-8fc2-965924fcfa99	AIR_COOLED_CHILLER
81e06b70-0d76-41b5-a43b-5259539c549f	01b0038a-130c-4cb4-86eb-2ccc0601dc7b	COOLING_TOWER
81e06b70-0d76-41b5-a43b-5259539c549f	a6f58473-a7bf-46e2-86f9-91fccbdb7363	DRY_COOLER
81e06b70-0d76-41b5-a43b-5259539c549f	46614ae5-a937-4261-8887-4e716021b824	REMOTE_CONDENSER
81e06b70-0d76-41b5-a43b-5259539c549f	2f370f4a-8766-40f4-ad1e-a7a82e1d8e3c	CHILLED_WATER_PUMPS
81e06b70-0d76-41b5-a43b-5259539c549f	4b1004f4-0b4c-4932-acba-dc217b885855	HEAT_REJECTION_PUMPS
81e06b70-0d76-41b5-a43b-5259539c549f	5797dacd-9530-4c3f-957b-9241b570c434	VENTILATION
81e06b70-0d76-41b5-a43b-5259539c549f	5f1e6eb6-50ec-425f-ab4b-029828b7bfe5	INFILTRATION
81e06b70-0d76-41b5-a43b-5259539c549f	8c139f47-9f7e-4a3e-8be3-47274077f4f1	IT_LOAD
df7ea72b-e656-4d92-8750-a5af0f008662	254850c0-af35-4b9d-b1d0-25de0b474b96	SWITCHGEAR
df7ea72b-e656-4d92-8750-a5af0f008662	b98eb138-63a7-498f-9923-7b8b82468559	GENERATOR
df7ea72b-e656-4d92-8750-a5af0f008662	0dfd3c96-658b-4558-9685-717226ee2951	PRIMARY_AUXILIARIES
df7ea72b-e656-4d92-8750-a5af0f008662	fb200a50-2823-4127-a7ee-e88517205bd7	UPS
df7ea72b-e656-4d92-8750-a5af0f008662	bfebb088-9772-4e2d-b272-3c379997c4a2	CRITICAL_AUXILIARIES
df7ea72b-e656-4d92-8750-a5af0f008662	8bdae6db-1d2c-4305-ac91-4f344da62a1e	LIGHTING
df7ea72b-e656-4d92-8750-a5af0f008662	f35321ba-9594-496a-a4bf-3155f1e2b475	CRITICAL_POWER_DISTRIBUTION
df7ea72b-e656-4d92-8750-a5af0f008662	47f5c443-8a5a-4f34-8057-ccd7f1d5d6a8	CRAH
df7ea72b-e656-4d92-8750-a5af0f008662	727682af-87b3-45be-8a36-707f3ff8ca9c	CRAC
df7ea72b-e656-4d92-8750-a5af0f008662	a7538b29-a440-4346-a3c7-cea8d76d3c4a	CRAC_WITHOUT_FAN
df7ea72b-e656-4d92-8750-a5af0f008662	4b50d30b-de66-4a42-b6a2-8f2a37485dee	CRAC_FAN
df7ea72b-e656-4d92-8750-a5af0f008662	3f2ec47d-0c77-4f6b-b6d2-63e802de8edc	CHILLER
df7ea72b-e656-4d92-8750-a5af0f008662	aa66c2ad-32de-422f-8727-a42aaf030362	AIR_COOLED_CHILLER
df7ea72b-e656-4d92-8750-a5af0f008662	c992ba90-40cc-47e9-ad08-3e9eb933e3ac	COOLING_TOWER
df7ea72b-e656-4d92-8750-a5af0f008662	5cde2992-275b-4af7-bec0-ee18710cf27a	DRY_COOLER
df7ea72b-e656-4d92-8750-a5af0f008662	bceb9062-a63c-4573-aefa-063e3fe46dd2	REMOTE_CONDENSER
df7ea72b-e656-4d92-8750-a5af0f008662	773622ac-7c27-4817-870b-2ab263214bdf	CHILLED_WATER_PUMPS
df7ea72b-e656-4d92-8750-a5af0f008662	beda61cb-2b38-4bdd-95c3-49511dee59ea	HEAT_REJECTION_PUMPS
df7ea72b-e656-4d92-8750-a5af0f008662	4d9da5a8-69a8-4f08-97e4-c53669f6c7a9	VENTILATION
df7ea72b-e656-4d92-8750-a5af0f008662	fdc0b8f9-da5b-41a7-9914-b115c0075ce6	INFILTRATION
df7ea72b-e656-4d92-8750-a5af0f008662	74bdbc2d-45dd-4da0-b519-4d459751d158	IT_LOAD
643fa7a4-8c5f-4030-85d4-af7c421d124d	87d8b663-942d-4d8a-bf80-321a9ac6bdea	SWITCHGEAR
643fa7a4-8c5f-4030-85d4-af7c421d124d	54c8d7ea-ba77-48ab-9d67-861ef61c4451	GENERATOR
643fa7a4-8c5f-4030-85d4-af7c421d124d	339cff4b-e22d-4be0-b362-a8861af50c1b	PRIMARY_AUXILIARIES
643fa7a4-8c5f-4030-85d4-af7c421d124d	5527a53f-6fae-47e7-918e-c1f4e21553fa	UPS
643fa7a4-8c5f-4030-85d4-af7c421d124d	d21b4f11-7a6c-476c-a43d-1e7e6dcab47c	CRITICAL_AUXILIARIES
643fa7a4-8c5f-4030-85d4-af7c421d124d	1bdc9489-a161-49db-8742-b101f8f7cda0	LIGHTING
643fa7a4-8c5f-4030-85d4-af7c421d124d	12517c91-d7d1-430c-884a-fd600b3b102b	CRITICAL_POWER_DISTRIBUTION
643fa7a4-8c5f-4030-85d4-af7c421d124d	465a93ad-a69a-4a54-ae8c-335b896c4b3a	CRAH
643fa7a4-8c5f-4030-85d4-af7c421d124d	2e40da3c-0352-4d43-b909-54ae50de87af	CRAC
643fa7a4-8c5f-4030-85d4-af7c421d124d	d9f6eae7-635f-4b47-b551-aa04120e9820	CRAC_WITHOUT_FAN
643fa7a4-8c5f-4030-85d4-af7c421d124d	43cddfcd-254e-4f0a-9d92-14b08156c08b	CRAC_FAN
643fa7a4-8c5f-4030-85d4-af7c421d124d	3f0a9d28-d0df-48fe-a2e6-2c422a8e6e97	CHILLER
643fa7a4-8c5f-4030-85d4-af7c421d124d	3fa07f34-0aa4-44bd-8df5-e3b021348f7b	AIR_COOLED_CHILLER
643fa7a4-8c5f-4030-85d4-af7c421d124d	ed28f134-087e-4078-be74-ab33390f3dcd	COOLING_TOWER
643fa7a4-8c5f-4030-85d4-af7c421d124d	9c97dc22-2643-4da7-b0f2-b0d3f673df35	DRY_COOLER
643fa7a4-8c5f-4030-85d4-af7c421d124d	6fd75ba8-dfb4-4bc9-af2b-3285c033a59e	REMOTE_CONDENSER
643fa7a4-8c5f-4030-85d4-af7c421d124d	35f3f383-b91d-44cb-bbd7-498b5b9ac0d6	CHILLED_WATER_PUMPS
643fa7a4-8c5f-4030-85d4-af7c421d124d	6175750c-5020-4f84-9b31-cc3856bbce12	HEAT_REJECTION_PUMPS
643fa7a4-8c5f-4030-85d4-af7c421d124d	f96f12f3-b464-4e3f-900e-6952a1df6ff7	VENTILATION
643fa7a4-8c5f-4030-85d4-af7c421d124d	a5b4355a-9879-4f34-a28b-771056e38bed	INFILTRATION
643fa7a4-8c5f-4030-85d4-af7c421d124d	9df8d6c0-dbc9-4099-a03a-c55c319f14b6	IT_LOAD
f6079a41-66f2-4c3a-badf-b668eefc342f	a8523c19-348a-4ed9-a70e-05984b5307a3	SWITCHGEAR
f6079a41-66f2-4c3a-badf-b668eefc342f	e0d63ef0-b6be-4e11-a0c8-3ec3a33efc79	GENERATOR
f6079a41-66f2-4c3a-badf-b668eefc342f	f8d495b0-5bd0-4268-82d9-7d25292ccebc	PRIMARY_AUXILIARIES
f6079a41-66f2-4c3a-badf-b668eefc342f	6d3d3d63-2cba-46e8-a561-a1a7c74d7067	UPS
f6079a41-66f2-4c3a-badf-b668eefc342f	e83d98c1-5277-4988-91e0-92b8c7fb2889	CRITICAL_AUXILIARIES
f6079a41-66f2-4c3a-badf-b668eefc342f	3c6ed6b9-eced-452e-8331-96cd83435cd5	LIGHTING
f6079a41-66f2-4c3a-badf-b668eefc342f	b1b38005-074a-4020-8cb6-6a15abc059ca	CRITICAL_POWER_DISTRIBUTION
f6079a41-66f2-4c3a-badf-b668eefc342f	1de87879-3ef7-494d-ab11-55ef5cb4b257	CRAH
f6079a41-66f2-4c3a-badf-b668eefc342f	93c2e3f5-c096-454f-9801-7d783252b2e1	CRAC
f6079a41-66f2-4c3a-badf-b668eefc342f	7d4584f4-d887-49fa-afcd-06116a0f18ca	CRAC_WITHOUT_FAN
f6079a41-66f2-4c3a-badf-b668eefc342f	6a86f9f7-8ebe-4763-892e-64c9dd0646b9	CRAC_FAN
f6079a41-66f2-4c3a-badf-b668eefc342f	bae692e7-3442-4be3-80dc-d4ddb5bf851c	CHILLER
f6079a41-66f2-4c3a-badf-b668eefc342f	4176ed1f-a59f-4442-a77c-82038dc1084e	AIR_COOLED_CHILLER
f6079a41-66f2-4c3a-badf-b668eefc342f	659ac569-4065-414a-94f3-9b4ff6e22ffa	COOLING_TOWER
f6079a41-66f2-4c3a-badf-b668eefc342f	7d4e43a9-fdd8-434a-bd94-8768728aa89d	DRY_COOLER
f6079a41-66f2-4c3a-badf-b668eefc342f	2feffe1d-74fe-4e3f-acce-57ed8a676758	REMOTE_CONDENSER
f6079a41-66f2-4c3a-badf-b668eefc342f	bb8da5d1-0932-48ff-8950-1230bc4a71c8	CHILLED_WATER_PUMPS
f6079a41-66f2-4c3a-badf-b668eefc342f	bce91dd3-51ee-49de-be8f-a327014471dc	HEAT_REJECTION_PUMPS
f6079a41-66f2-4c3a-badf-b668eefc342f	269af391-e1d2-4901-b5d4-d2906b7a39e2	VENTILATION
f6079a41-66f2-4c3a-badf-b668eefc342f	9df07105-9e0a-42eb-8aaa-6b640836d8f2	INFILTRATION
f6079a41-66f2-4c3a-badf-b668eefc342f	17686ac2-b4d3-44c3-8100-5c686547869f	IT_LOAD
c423cf14-b5c7-4af5-af67-8ad342f9bca6	b3309fdb-b3d1-4182-8f77-9542bab49f92	SWITCHGEAR
c423cf14-b5c7-4af5-af67-8ad342f9bca6	23646eea-086a-4f1f-8033-e1c8d0469b0d	GENERATOR
c423cf14-b5c7-4af5-af67-8ad342f9bca6	b72d7b99-974e-4e3c-b964-244f4aa8c119	PRIMARY_AUXILIARIES
c423cf14-b5c7-4af5-af67-8ad342f9bca6	8563b3ac-791c-4a75-8962-6498f900d88f	UPS
c423cf14-b5c7-4af5-af67-8ad342f9bca6	c61f844a-7bb0-4e34-8fd7-c1c0fc826a98	CRITICAL_AUXILIARIES
c423cf14-b5c7-4af5-af67-8ad342f9bca6	ac5251f0-7d50-47a4-9664-eb97f09d112d	LIGHTING
c423cf14-b5c7-4af5-af67-8ad342f9bca6	2222d5ff-8d26-41e1-9f7e-611fb60d91f4	CRITICAL_POWER_DISTRIBUTION
c423cf14-b5c7-4af5-af67-8ad342f9bca6	c0f5bf1b-3318-44a6-b36b-2ccd943f5f6d	CRAH
c423cf14-b5c7-4af5-af67-8ad342f9bca6	6c7a5468-8a99-4e89-94dd-d0be062512af	CRAC
c423cf14-b5c7-4af5-af67-8ad342f9bca6	2465ccee-c1b2-4c6a-bc99-ff82a78f2aa0	CRAC_WITHOUT_FAN
c423cf14-b5c7-4af5-af67-8ad342f9bca6	4a34ee50-9d91-4a6b-8b44-f6729724ba34	CRAC_FAN
c423cf14-b5c7-4af5-af67-8ad342f9bca6	ef2bd3d2-0d39-49c8-afcc-f7060ca6f93d	CHILLER
c423cf14-b5c7-4af5-af67-8ad342f9bca6	0471b9c3-90ac-498f-a092-35f1514d76d2	AIR_COOLED_CHILLER
c423cf14-b5c7-4af5-af67-8ad342f9bca6	59eaba9b-227a-4997-91da-98df3ad4c47b	COOLING_TOWER
c423cf14-b5c7-4af5-af67-8ad342f9bca6	1ba56e39-0084-4967-9b91-2b8c1136d6b5	DRY_COOLER
c423cf14-b5c7-4af5-af67-8ad342f9bca6	4ab974a6-d9e3-41e9-9af1-b7138eb6f089	REMOTE_CONDENSER
c423cf14-b5c7-4af5-af67-8ad342f9bca6	9ee153f2-66bd-4b22-92bc-87d09728dd3f	CHILLED_WATER_PUMPS
c423cf14-b5c7-4af5-af67-8ad342f9bca6	7b07f9f7-b133-4576-87f3-e3c969ab1aaf	HEAT_REJECTION_PUMPS
c423cf14-b5c7-4af5-af67-8ad342f9bca6	170561b2-1125-4167-ba6b-204ac0c61076	VENTILATION
c423cf14-b5c7-4af5-af67-8ad342f9bca6	462d5bed-209a-4474-a029-3d8157b84d5a	INFILTRATION
c423cf14-b5c7-4af5-af67-8ad342f9bca6	46e1f82e-3193-4366-8278-37c09d10a088	IT_LOAD
e8d680b8-c37f-4b8f-b112-10d54cb52b57	5e3f1b40-c593-4b29-a0ba-9b9aa05c7b90	SWITCHGEAR
e8d680b8-c37f-4b8f-b112-10d54cb52b57	e195c61e-34fa-4e99-9717-2e688a4965fb	GENERATOR
e8d680b8-c37f-4b8f-b112-10d54cb52b57	38ebdd67-29bc-473b-a120-8053f281399e	PRIMARY_AUXILIARIES
e8d680b8-c37f-4b8f-b112-10d54cb52b57	3ad54cc9-14ea-4d1f-ae86-fe00db78314c	UPS
e8d680b8-c37f-4b8f-b112-10d54cb52b57	11b56d09-8af5-4ee3-9449-22b7b40772e9	CRITICAL_AUXILIARIES
e8d680b8-c37f-4b8f-b112-10d54cb52b57	d296aae2-21e3-453a-aea6-59427bea4fc4	LIGHTING
e8d680b8-c37f-4b8f-b112-10d54cb52b57	b6e49108-28bc-4339-8168-9c9302398720	CRITICAL_POWER_DISTRIBUTION
e8d680b8-c37f-4b8f-b112-10d54cb52b57	e1c5b5ae-8158-45f7-893b-94beccd4c35c	CRAH
e8d680b8-c37f-4b8f-b112-10d54cb52b57	aa234e25-9b8d-43d9-bbce-c7e563a5c27a	CRAC
e8d680b8-c37f-4b8f-b112-10d54cb52b57	6208f49f-af8d-485e-a36f-62c6d99b4a4f	CRAC_WITHOUT_FAN
e8d680b8-c37f-4b8f-b112-10d54cb52b57	7c7d9e27-c7e1-4336-89b7-3434d2717d78	CRAC_FAN
e8d680b8-c37f-4b8f-b112-10d54cb52b57	cfca26b3-d218-4ccb-a9b3-b9b256cc43d0	CHILLER
e8d680b8-c37f-4b8f-b112-10d54cb52b57	e29e2a1c-8784-4bc0-8eb2-6df333cd248c	AIR_COOLED_CHILLER
e8d680b8-c37f-4b8f-b112-10d54cb52b57	8ae71f1f-36f2-4549-aa77-2cff8255cc16	COOLING_TOWER
e8d680b8-c37f-4b8f-b112-10d54cb52b57	aa7c27b5-4e37-4bf7-bab5-6997803b6e4d	DRY_COOLER
e8d680b8-c37f-4b8f-b112-10d54cb52b57	f6364ddb-d442-46a5-b344-9474cd22fd4b	REMOTE_CONDENSER
e8d680b8-c37f-4b8f-b112-10d54cb52b57	a65dfe50-3818-4b6d-ab8e-90770143161b	CHILLED_WATER_PUMPS
e8d680b8-c37f-4b8f-b112-10d54cb52b57	b219d758-f511-42cf-8ace-f43b533e4308	HEAT_REJECTION_PUMPS
e8d680b8-c37f-4b8f-b112-10d54cb52b57	28223338-eec4-4054-ae04-66e703e0f008	VENTILATION
e8d680b8-c37f-4b8f-b112-10d54cb52b57	e9a5b20f-b9bf-4753-beb2-d06a9772f5da	INFILTRATION
e8d680b8-c37f-4b8f-b112-10d54cb52b57	721d6957-eae8-4e59-98cc-c2ad4bae185e	IT_LOAD
d804a19d-c18a-40a3-8b81-a375258742fe	0dd68ab9-763e-42a1-920c-43dbcc7d618c	SWITCHGEAR
d804a19d-c18a-40a3-8b81-a375258742fe	0c1eeeb8-ef18-4f99-92bd-545d6f7c64ac	GENERATOR
d804a19d-c18a-40a3-8b81-a375258742fe	85f57283-2515-4937-bcfe-824816cec1b6	PRIMARY_AUXILIARIES
d804a19d-c18a-40a3-8b81-a375258742fe	4bf6f192-6379-4b64-98bf-3807bba8edf4	UPS
d804a19d-c18a-40a3-8b81-a375258742fe	d3b944bc-cf32-4140-97a9-6b5751367c9b	CRITICAL_AUXILIARIES
d804a19d-c18a-40a3-8b81-a375258742fe	d1c29ea2-f251-4750-8b9a-54ccbcc7401f	LIGHTING
d804a19d-c18a-40a3-8b81-a375258742fe	f672c9d0-7f0e-46d9-8018-50e4dd6ca7ce	CRITICAL_POWER_DISTRIBUTION
d804a19d-c18a-40a3-8b81-a375258742fe	cfb9b61c-4357-46eb-8be0-cf9c6e44db81	CRAH
d804a19d-c18a-40a3-8b81-a375258742fe	89f35135-0e33-430b-996c-7b4f73b53509	CRAC
d804a19d-c18a-40a3-8b81-a375258742fe	20958a25-5fa3-4444-a707-7b17df6ddf61	CRAC_WITHOUT_FAN
d804a19d-c18a-40a3-8b81-a375258742fe	872c0b8a-3b47-4bf4-b76d-08ab4f36d5d2	CRAC_FAN
d804a19d-c18a-40a3-8b81-a375258742fe	2f774589-dc6b-417c-a5eb-90bbc7db4730	CHILLER
d804a19d-c18a-40a3-8b81-a375258742fe	f2bb9b77-7ea3-48d5-8e83-5706dff18ff2	AIR_COOLED_CHILLER
d804a19d-c18a-40a3-8b81-a375258742fe	f98b0274-5805-4d70-af38-fec268df2d96	COOLING_TOWER
d804a19d-c18a-40a3-8b81-a375258742fe	09215d07-065f-4e3a-a6d8-8f82e8509aad	DRY_COOLER
d804a19d-c18a-40a3-8b81-a375258742fe	34f5adab-e9f8-4947-b68e-2cb2daec838e	REMOTE_CONDENSER
d804a19d-c18a-40a3-8b81-a375258742fe	81f1412a-b519-4a16-b9be-f3e72fbd52fc	CHILLED_WATER_PUMPS
d804a19d-c18a-40a3-8b81-a375258742fe	a749b63e-3ac3-4784-9a46-7269b5e807f0	HEAT_REJECTION_PUMPS
d804a19d-c18a-40a3-8b81-a375258742fe	102ddee2-8004-4f7a-929e-9868406efbb0	VENTILATION
d804a19d-c18a-40a3-8b81-a375258742fe	078bc2c1-745d-4d65-b585-49175548d5ea	INFILTRATION
d804a19d-c18a-40a3-8b81-a375258742fe	3472478a-5c58-4e5c-83e6-f6741ae342c9	IT_LOAD
4d47314c-1035-45e3-9e9e-0456a4008278	cff690fc-d086-4e86-b52e-85d2db4046b8	SWITCHGEAR
4d47314c-1035-45e3-9e9e-0456a4008278	a247e87a-ae70-49fa-bbe7-4ee0f62a0827	GENERATOR
4d47314c-1035-45e3-9e9e-0456a4008278	1b78b49a-71ec-42d1-9fb1-36c40f1ea8d9	PRIMARY_AUXILIARIES
4d47314c-1035-45e3-9e9e-0456a4008278	1aa89168-8ae1-4797-a098-0599ab1a2db7	UPS
4d47314c-1035-45e3-9e9e-0456a4008278	ff6b3246-fbdc-4a7c-a655-0ab55256df25	CRITICAL_AUXILIARIES
4d47314c-1035-45e3-9e9e-0456a4008278	fca9659a-04ca-4d99-8648-e45a1207a958	LIGHTING
4d47314c-1035-45e3-9e9e-0456a4008278	b41c8888-f986-4ac1-83cb-2a2168dfaff1	CRITICAL_POWER_DISTRIBUTION
4d47314c-1035-45e3-9e9e-0456a4008278	eb319fa9-1f6a-4a3a-881e-b8b4cee7fe75	CRAH
4d47314c-1035-45e3-9e9e-0456a4008278	4f5984af-f57a-4b80-91f7-506f3429528d	CRAC
4d47314c-1035-45e3-9e9e-0456a4008278	71ad624a-5f87-4768-96d4-a832ee2c8ef9	CRAC_WITHOUT_FAN
4d47314c-1035-45e3-9e9e-0456a4008278	c3a8ea8b-89bb-4895-ab33-21fbbb099cb3	CRAC_FAN
4d47314c-1035-45e3-9e9e-0456a4008278	9cc2f707-4078-4e10-9bdb-ee87e017c16f	CHILLER
4d47314c-1035-45e3-9e9e-0456a4008278	d53a45b1-ae14-4e5c-a37b-c70057e24403	AIR_COOLED_CHILLER
4d47314c-1035-45e3-9e9e-0456a4008278	8e777a40-306f-4907-839d-e00954db6cc3	COOLING_TOWER
4d47314c-1035-45e3-9e9e-0456a4008278	e0f63e5f-0740-4633-9438-bc87f2fca2e9	DRY_COOLER
4d47314c-1035-45e3-9e9e-0456a4008278	2993b007-bfde-4cbc-91ef-d9e17ce0e6fa	REMOTE_CONDENSER
4d47314c-1035-45e3-9e9e-0456a4008278	c296da0f-a8c7-4b8c-88aa-ca4af45aad72	CHILLED_WATER_PUMPS
4d47314c-1035-45e3-9e9e-0456a4008278	5957fb40-87d5-4564-bd7f-cbc3f679b2fb	HEAT_REJECTION_PUMPS
4d47314c-1035-45e3-9e9e-0456a4008278	37d67874-afb2-4113-b55f-e3222fb90452	VENTILATION
4d47314c-1035-45e3-9e9e-0456a4008278	80fcd98a-632c-446c-b30b-40d204325edc	INFILTRATION
4d47314c-1035-45e3-9e9e-0456a4008278	0a5cc23e-87bc-4c95-b441-4c2625bc4ff4	IT_LOAD
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	c97ef5b1-3896-484f-ac18-325b61b7c3fd	SWITCHGEAR
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	464f4285-419c-49b2-b8da-400e5639a4bd	GENERATOR
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	b2749b41-f6c7-4734-8180-1dedfddf7451	PRIMARY_AUXILIARIES
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	95b60c20-8215-4389-af2d-033df6798b21	UPS
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	604101c6-4d95-44e2-a914-92763d8fb8f7	CRITICAL_AUXILIARIES
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	3f55cf23-2dcf-4d3b-b527-f8311fc4c865	LIGHTING
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	32b87631-5f6a-423b-8b2a-1da92548ea49	CRITICAL_POWER_DISTRIBUTION
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	2a98ddbb-54c4-4e60-94d4-4d4b599dd395	CRAH
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	8eff2b53-f365-4e9d-838d-87bc07255458	CRAC
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	20784a96-1820-4768-9879-ab730aed5391	CRAC_WITHOUT_FAN
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	d679393f-8bdd-434e-871c-c73a0915bdd2	CRAC_FAN
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	c06f639c-92a5-41d2-a541-c175f8723654	CHILLER
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	c058b1ee-34b5-40cc-aeba-be3a6eb4250d	AIR_COOLED_CHILLER
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	f58e02a8-7735-4505-8025-bc07687ecb4a	COOLING_TOWER
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	06e3e841-3ac7-46b8-9160-5881e1f668c7	DRY_COOLER
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	22644572-f9c2-4fbf-bc68-18bc3f79b8a6	REMOTE_CONDENSER
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	a23e981b-73b9-4927-9128-4304cc260312	CHILLED_WATER_PUMPS
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	24b8f395-9b2a-4b92-930f-31f06c39acf1	HEAT_REJECTION_PUMPS
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	fb447a92-b422-4b65-a690-1c431855ba5b	VENTILATION
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	3ceec4a1-63c2-4823-8a3c-232dd50de444	INFILTRATION
bdd8e938-a1a4-44f9-8dbd-b9399e3034ca	1f6a0803-2e97-4d8b-adfa-3243666fc0c0	IT_LOAD
92ea4e25-e088-4904-a334-1e832eb7f21f	f047736d-639a-45ac-bf00-697c1291f415	SWITCHGEAR
92ea4e25-e088-4904-a334-1e832eb7f21f	8481ca29-36d0-45f5-8e25-dfdcb67cba61	GENERATOR
92ea4e25-e088-4904-a334-1e832eb7f21f	697af64f-82bc-47f8-8829-45a97346a9a9	PRIMARY_AUXILIARIES
92ea4e25-e088-4904-a334-1e832eb7f21f	4dd44bc8-b517-4c7f-a288-e73638096711	UPS
92ea4e25-e088-4904-a334-1e832eb7f21f	8b62189e-f8e0-4045-a741-849e790335fb	CRITICAL_AUXILIARIES
92ea4e25-e088-4904-a334-1e832eb7f21f	4e6616af-2d85-4881-a42a-a1c052373bf8	LIGHTING
92ea4e25-e088-4904-a334-1e832eb7f21f	4dfbd1a3-5eed-464b-8812-b256010f6995	CRITICAL_POWER_DISTRIBUTION
92ea4e25-e088-4904-a334-1e832eb7f21f	7fb062ee-2514-446e-bc6d-2427ddf68d16	CRAH
92ea4e25-e088-4904-a334-1e832eb7f21f	337ea7be-c6be-425f-9ca0-c83e26689577	CRAC
92ea4e25-e088-4904-a334-1e832eb7f21f	6065e286-7e2b-4960-9eb0-43431d08e25d	CRAC_WITHOUT_FAN
92ea4e25-e088-4904-a334-1e832eb7f21f	75cb7bdd-1c5b-4d8f-a1e3-11994a391741	CRAC_FAN
92ea4e25-e088-4904-a334-1e832eb7f21f	ec6344de-1c30-49ce-a47e-013658900469	CHILLER
92ea4e25-e088-4904-a334-1e832eb7f21f	b9d8ab53-2807-4621-be4a-5a5f51441360	AIR_COOLED_CHILLER
92ea4e25-e088-4904-a334-1e832eb7f21f	eb9f428b-5145-424e-b874-252a67e4740a	COOLING_TOWER
92ea4e25-e088-4904-a334-1e832eb7f21f	fa2bfcf1-c471-4155-93e7-b2a17da17450	DRY_COOLER
92ea4e25-e088-4904-a334-1e832eb7f21f	ecc28e70-8619-4112-a027-e9125fd438c5	REMOTE_CONDENSER
92ea4e25-e088-4904-a334-1e832eb7f21f	bd49aab8-61e4-4f1d-8f91-03728073d334	CHILLED_WATER_PUMPS
92ea4e25-e088-4904-a334-1e832eb7f21f	57147166-6085-48bb-8a4e-aee13883fb80	HEAT_REJECTION_PUMPS
92ea4e25-e088-4904-a334-1e832eb7f21f	0b2cd41f-177d-4bbc-8a3b-f2592f3274c1	VENTILATION
92ea4e25-e088-4904-a334-1e832eb7f21f	14a59b67-6b10-43f5-85da-5c5b76e4f23c	INFILTRATION
92ea4e25-e088-4904-a334-1e832eb7f21f	2c182177-3ab7-499d-89af-4e2a19458135	IT_LOAD
33f12ac8-8434-4794-9baf-1702e2664bb3	b0f4eef4-876b-450a-9a4a-553aeb332343	SWITCHGEAR
33f12ac8-8434-4794-9baf-1702e2664bb3	d2503e2b-8bb8-44c6-a90e-015d3d07aae2	GENERATOR
33f12ac8-8434-4794-9baf-1702e2664bb3	afd3a6e7-7a95-4584-a046-ed53d1adf319	PRIMARY_AUXILIARIES
33f12ac8-8434-4794-9baf-1702e2664bb3	60363c0a-0793-476b-be2d-969cdae19c2a	UPS
33f12ac8-8434-4794-9baf-1702e2664bb3	603db456-ba40-4629-aa5a-ac608a35e9e7	CRITICAL_AUXILIARIES
33f12ac8-8434-4794-9baf-1702e2664bb3	c93263fc-8ecf-4b7c-a638-6963a4edeaf3	LIGHTING
33f12ac8-8434-4794-9baf-1702e2664bb3	21e43fa8-4cfd-4a5c-86f9-c161ba9534d8	CRITICAL_POWER_DISTRIBUTION
33f12ac8-8434-4794-9baf-1702e2664bb3	dd81c18e-c3c7-4612-bea1-b5b793c52b66	CRAH
33f12ac8-8434-4794-9baf-1702e2664bb3	16dee801-8110-459d-a472-94132d1b9a11	CRAC
33f12ac8-8434-4794-9baf-1702e2664bb3	e17af399-ee47-4793-b488-5796aee1c032	CRAC_WITHOUT_FAN
33f12ac8-8434-4794-9baf-1702e2664bb3	7f3c359d-6d14-43da-90f9-f6b51f55056c	CRAC_FAN
33f12ac8-8434-4794-9baf-1702e2664bb3	ea357440-ae69-4efe-ab57-19bd9287fce2	CHILLER
33f12ac8-8434-4794-9baf-1702e2664bb3	2dccf60f-2b60-49c7-81dc-d5968cd74a88	AIR_COOLED_CHILLER
33f12ac8-8434-4794-9baf-1702e2664bb3	784a650a-0d87-45df-8885-7fd78a714094	COOLING_TOWER
33f12ac8-8434-4794-9baf-1702e2664bb3	d5e2b0ce-0724-4a61-a810-bf5cbbc4d319	DRY_COOLER
33f12ac8-8434-4794-9baf-1702e2664bb3	a11e8202-360d-4924-b935-4390431011c3	REMOTE_CONDENSER
33f12ac8-8434-4794-9baf-1702e2664bb3	fb911e78-5e3a-4c1f-b027-b36603e243b3	CHILLED_WATER_PUMPS
33f12ac8-8434-4794-9baf-1702e2664bb3	380156e0-4d5b-40e4-a21c-2ce366991a31	HEAT_REJECTION_PUMPS
33f12ac8-8434-4794-9baf-1702e2664bb3	3c6cdd8d-c979-4f72-a9cc-aca420b32105	VENTILATION
33f12ac8-8434-4794-9baf-1702e2664bb3	b4ae9115-ab3f-4ecc-b0ed-400aeb1e19f4	INFILTRATION
33f12ac8-8434-4794-9baf-1702e2664bb3	26a38653-c6f2-44f6-8064-cea41c6d355c	IT_LOAD
1bed0ec7-4d03-4940-948d-d3667b94b0f1	664aeba7-aeb3-452c-a847-73732667c0be	SWITCHGEAR
1bed0ec7-4d03-4940-948d-d3667b94b0f1	4f61525c-c10a-4f3b-b279-f13d57225875	GENERATOR
1bed0ec7-4d03-4940-948d-d3667b94b0f1	a352ec6b-c6e6-4124-981f-ac4a0eba214d	PRIMARY_AUXILIARIES
1bed0ec7-4d03-4940-948d-d3667b94b0f1	d1fb6a55-a505-4ab2-b7a6-e83ed107f494	UPS
1bed0ec7-4d03-4940-948d-d3667b94b0f1	42991929-a1ba-49cf-bfb9-c8d573653477	CRITICAL_AUXILIARIES
1bed0ec7-4d03-4940-948d-d3667b94b0f1	96d8dc40-8852-4898-b3bf-262941417b33	LIGHTING
1bed0ec7-4d03-4940-948d-d3667b94b0f1	a8aaf049-ed65-4bf5-b439-5070935b6710	CRITICAL_POWER_DISTRIBUTION
1bed0ec7-4d03-4940-948d-d3667b94b0f1	b099d06a-ae2f-4e45-850e-026359203115	CRAH
1bed0ec7-4d03-4940-948d-d3667b94b0f1	4d22b2f7-b0c3-4d66-84a4-112888428882	CRAC
1bed0ec7-4d03-4940-948d-d3667b94b0f1	768d5b0e-89f7-43ca-b413-8159dd79e8ed	CRAC_WITHOUT_FAN
1bed0ec7-4d03-4940-948d-d3667b94b0f1	85154e70-d551-41af-a944-d02a0a467f04	CRAC_FAN
1bed0ec7-4d03-4940-948d-d3667b94b0f1	24c0dba8-26e9-48f5-96d9-82c8f4d4e223	CHILLER
1bed0ec7-4d03-4940-948d-d3667b94b0f1	178b176e-8713-4b81-9d28-5c7e76ddf602	AIR_COOLED_CHILLER
1bed0ec7-4d03-4940-948d-d3667b94b0f1	3ce34c8c-48f6-4dd0-adee-205fe3de29f1	COOLING_TOWER
1bed0ec7-4d03-4940-948d-d3667b94b0f1	4614de29-b51b-4a78-ba46-dd9be900ffb4	DRY_COOLER
1bed0ec7-4d03-4940-948d-d3667b94b0f1	f5d983d9-fb72-42c4-82c4-e7bb7ed64fdd	REMOTE_CONDENSER
1bed0ec7-4d03-4940-948d-d3667b94b0f1	bd5999cf-78c0-42cd-a829-ecaaaba0f77a	CHILLED_WATER_PUMPS
1bed0ec7-4d03-4940-948d-d3667b94b0f1	176c830f-0576-4dba-903a-3d069166f15d	HEAT_REJECTION_PUMPS
1bed0ec7-4d03-4940-948d-d3667b94b0f1	3f10e335-5e7b-49cf-b890-b691caf8dc08	VENTILATION
1bed0ec7-4d03-4940-948d-d3667b94b0f1	315d6bce-a543-4452-87c1-141b87f698a5	INFILTRATION
1bed0ec7-4d03-4940-948d-d3667b94b0f1	d5bb736e-f0cd-45fc-829a-e2696317d4e7	IT_LOAD
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	0361cd05-352d-4681-9b92-f31dbe64411e	SWITCHGEAR
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	d07bfd33-0083-43c8-9ba9-9e27263bb139	GENERATOR
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	f931dff8-2481-4ec6-8130-dc5e221d90cf	PRIMARY_AUXILIARIES
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	5047d4cc-e8ef-47c1-af87-4d962fe5fedc	UPS
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	13b6beb3-1ca2-4268-9856-cd2225528e4d	CRITICAL_AUXILIARIES
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	f3d9652d-2fdb-4442-9990-5b1cc1975cf5	LIGHTING
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	ec4c014a-792e-46ef-b0d0-973dfab9d8ef	CRITICAL_POWER_DISTRIBUTION
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	77814394-7c1b-4234-b000-203e58170641	CRAH
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	91be6096-9021-4ad7-b530-c53b58f6e19b	CRAC
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	9c283b3d-6e69-4acb-a229-e93c17b6ad44	CRAC_WITHOUT_FAN
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	c54beb54-241c-4610-bc75-b758d5024967	CRAC_FAN
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	02427b78-9a46-4b6c-b5ae-ecf209ab323f	CHILLER
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	9676c16d-1752-435b-97bb-8feefa25df1a	AIR_COOLED_CHILLER
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	7f04452b-1f5e-47e7-b5d9-5938abb1346e	COOLING_TOWER
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	2c3e0f89-2aab-42fd-a477-675564f51f92	DRY_COOLER
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	e6a66a69-eafc-40ef-8d3a-3bc28635545b	REMOTE_CONDENSER
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	44a8b597-b482-42a3-8c59-6af78932fdfb	CHILLED_WATER_PUMPS
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	b83cdda0-27c9-4c85-a0d3-a368f40c4614	HEAT_REJECTION_PUMPS
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	afd2ac08-f124-4c5e-b469-30b48dff5d9c	VENTILATION
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	ab5014be-2baa-4a1f-8d88-609195cd170c	INFILTRATION
82ebe269-4aeb-4432-b4df-4e2bb7a51b05	94d8162a-eaea-41dd-beb8-b8e5c5143b7c	IT_LOAD
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	b38fc5b1-99cc-4610-8925-6335c8854ef3	SWITCHGEAR
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	43935e28-f59d-4c3b-8283-23b145a39258	GENERATOR
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	89290569-e8ae-4b49-bc2d-7990f8ea754a	PRIMARY_AUXILIARIES
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	31227602-efc9-406e-b45b-3ba7bb92d7f0	UPS
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	204491db-449b-4c90-a631-f20056a5b215	CRITICAL_AUXILIARIES
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	ecc90b1a-baa8-47b1-a84c-89947c3c8a02	LIGHTING
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	219bf3fb-8f1e-4653-91e5-d1cd402e04d1	CRITICAL_POWER_DISTRIBUTION
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	bc16598a-ad5d-4938-93a2-defd066b61a3	CRAH
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	efa938d3-42be-4555-8d7b-c25999082aea	CRAC
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	7aaa3568-94e8-402f-a884-76a0de08c3ae	CRAC_WITHOUT_FAN
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	7366eb6e-b3dc-4861-83a8-3f560be454cf	CRAC_FAN
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	3edc173a-3247-490e-bfa4-72f72a3ec553	CHILLER
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	cbcb3889-c182-4a74-abc2-90fe6e9d226d	AIR_COOLED_CHILLER
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	c3315a4b-720f-43b5-b0c4-abc851ec974e	COOLING_TOWER
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	9b659b0a-f9ea-420e-90df-6e7016135374	DRY_COOLER
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	b18f9738-f4ff-4d78-b3fb-9dfb5553317f	REMOTE_CONDENSER
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	de481312-fd01-4745-b9ce-cf13c875cc97	CHILLED_WATER_PUMPS
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	ec72263e-c102-4b2b-90d3-eda65ccac675	HEAT_REJECTION_PUMPS
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	0a8eefab-8c55-461e-89f3-919f7210d833	VENTILATION
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	fd364aa0-0eaf-44c2-a3dc-7233dedd8e04	INFILTRATION
ae8eb66c-9cb7-474c-9b51-72bd3631bc22	4e9a9195-a3e5-4a12-9d6b-5c06c59f9bcb	IT_LOAD
f038e2ab-5237-4e0e-b2dd-6993a39f7821	8a3acf18-6fc1-46c1-9f5e-b7dc5532cdfa	SWITCHGEAR
f038e2ab-5237-4e0e-b2dd-6993a39f7821	f39a92fe-4e8d-40d2-8a7a-1429b752a554	GENERATOR
f038e2ab-5237-4e0e-b2dd-6993a39f7821	47de4108-ddeb-4b6d-bc65-5547aee41f3d	PRIMARY_AUXILIARIES
f038e2ab-5237-4e0e-b2dd-6993a39f7821	59446cbe-2957-4890-a583-dc310b24b59c	UPS
f038e2ab-5237-4e0e-b2dd-6993a39f7821	c764e040-b8f4-4f2b-b057-fcc02b361a9c	CRITICAL_AUXILIARIES
f038e2ab-5237-4e0e-b2dd-6993a39f7821	aa0b86d4-abbe-4e7d-b6c8-ade78c64dd8b	LIGHTING
f038e2ab-5237-4e0e-b2dd-6993a39f7821	f2a2df2f-943f-41c5-be64-a038270a04ef	CRITICAL_POWER_DISTRIBUTION
f038e2ab-5237-4e0e-b2dd-6993a39f7821	ac574bf9-3d71-478f-ac4b-db122b460669	CRAH
f038e2ab-5237-4e0e-b2dd-6993a39f7821	d114df4b-3283-44c6-8c2d-fbd1246ce529	CRAC
f038e2ab-5237-4e0e-b2dd-6993a39f7821	bc779941-62ae-4800-a4b0-417d1a61ccd9	CRAC_WITHOUT_FAN
f038e2ab-5237-4e0e-b2dd-6993a39f7821	26e9a896-a05e-4616-9b88-0a6da931bf92	CRAC_FAN
f038e2ab-5237-4e0e-b2dd-6993a39f7821	91bc1dce-0036-4ef4-ba8f-f7589fc72097	CHILLER
f038e2ab-5237-4e0e-b2dd-6993a39f7821	be92e13a-6812-4c71-82ab-2a7c66f25534	AIR_COOLED_CHILLER
f038e2ab-5237-4e0e-b2dd-6993a39f7821	cc50fe62-9021-4349-800c-7902893aa6c8	COOLING_TOWER
f038e2ab-5237-4e0e-b2dd-6993a39f7821	88ee31a6-d965-44fc-86c4-693d2991e39b	DRY_COOLER
f038e2ab-5237-4e0e-b2dd-6993a39f7821	0a81d7f8-513e-4584-981a-ea0252768843	REMOTE_CONDENSER
f038e2ab-5237-4e0e-b2dd-6993a39f7821	da52cff5-dd9f-4592-87e1-34f77a404a60	CHILLED_WATER_PUMPS
f038e2ab-5237-4e0e-b2dd-6993a39f7821	da6f2b4b-83b4-4648-8230-af8bc48f16b5	HEAT_REJECTION_PUMPS
f038e2ab-5237-4e0e-b2dd-6993a39f7821	41bf6adf-a23e-4c7b-8ffa-4991cf3f688f	VENTILATION
f038e2ab-5237-4e0e-b2dd-6993a39f7821	414941b8-05fa-4f66-828b-a9c54c8a6331	INFILTRATION
f038e2ab-5237-4e0e-b2dd-6993a39f7821	c4378d54-2503-4064-9338-03fc4c89c5c6	IT_LOAD
a6e5da31-74c9-4f91-a509-c2ba14e5595c	047745cb-cb7f-4be9-92f3-2d66354f9a3b	SWITCHGEAR
a6e5da31-74c9-4f91-a509-c2ba14e5595c	44480ee6-deaf-49f1-9bba-6ac08c99519e	GENERATOR
a6e5da31-74c9-4f91-a509-c2ba14e5595c	8b00d6c8-429e-4cb5-b2a4-f75af0adde32	PRIMARY_AUXILIARIES
a6e5da31-74c9-4f91-a509-c2ba14e5595c	8bcb17ed-b18b-4a84-b83e-e1b1a1d7d2ff	UPS
a6e5da31-74c9-4f91-a509-c2ba14e5595c	3993071b-a19f-4236-a093-f7fb35e87600	CRITICAL_AUXILIARIES
a6e5da31-74c9-4f91-a509-c2ba14e5595c	3cdfc017-4b76-43a4-b54f-1a4360581740	LIGHTING
a6e5da31-74c9-4f91-a509-c2ba14e5595c	b1463a73-3d2a-4033-af6b-73ae6cd516a1	CRITICAL_POWER_DISTRIBUTION
a6e5da31-74c9-4f91-a509-c2ba14e5595c	69a58566-b007-406f-8deb-7a091f7c6164	CRAH
a6e5da31-74c9-4f91-a509-c2ba14e5595c	1f65b917-90a3-4972-9de6-e6851e6c86b6	CRAC
a6e5da31-74c9-4f91-a509-c2ba14e5595c	c2977ccf-ba75-4479-93ff-fefa3fb35c04	CRAC_WITHOUT_FAN
a6e5da31-74c9-4f91-a509-c2ba14e5595c	84d14fc5-2d2d-463a-b6a8-2b9aa37ef5ba	CRAC_FAN
a6e5da31-74c9-4f91-a509-c2ba14e5595c	9a416ff3-fefe-498e-b004-b5419dc28d76	CHILLER
a6e5da31-74c9-4f91-a509-c2ba14e5595c	fae4784b-25f0-4bd9-abf6-7ab94946412d	AIR_COOLED_CHILLER
a6e5da31-74c9-4f91-a509-c2ba14e5595c	fb392e1c-dc5a-4634-9ff0-67f675e4b4c1	COOLING_TOWER
a6e5da31-74c9-4f91-a509-c2ba14e5595c	dec84a98-cdf7-43cb-86d8-819a25da302e	DRY_COOLER
a6e5da31-74c9-4f91-a509-c2ba14e5595c	8bc574cc-a120-4a32-ba71-713dacd92ab9	REMOTE_CONDENSER
a6e5da31-74c9-4f91-a509-c2ba14e5595c	96e7602d-2184-48ba-802e-182d2d5ed94c	CHILLED_WATER_PUMPS
a6e5da31-74c9-4f91-a509-c2ba14e5595c	497cd23d-b904-4c18-8cf7-7acdf6fe0504	HEAT_REJECTION_PUMPS
a6e5da31-74c9-4f91-a509-c2ba14e5595c	26dab0dd-b8a3-4efa-96b4-418c56abe9c7	VENTILATION
a6e5da31-74c9-4f91-a509-c2ba14e5595c	4551c018-0a05-48eb-8278-8490e4a77aec	INFILTRATION
a6e5da31-74c9-4f91-a509-c2ba14e5595c	613b48e3-42ed-4caf-b202-ee342ffec06d	IT_LOAD
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	030693ae-e43c-4767-84f5-cac17ef27787	SWITCHGEAR
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	44f178df-bd7c-4ae1-8949-af601d241932	GENERATOR
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	14e98c4b-d2c4-4fca-b86d-577046e3eca4	PRIMARY_AUXILIARIES
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	c3a72cc8-be86-4278-8b68-7de1fbd91f1f	UPS
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	412d21fc-4abb-43a5-a8e1-562e43bf6ab7	CRITICAL_AUXILIARIES
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	dbbe6e0d-886c-4408-acf2-e0b6427ef08c	LIGHTING
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	004feb74-8e53-4bb8-a154-a96ce5ed2328	CRITICAL_POWER_DISTRIBUTION
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	eac6ee17-b988-4004-96ed-42b3b6db0714	CRAH
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	7914896b-2597-470a-bae8-f2ac5bbeff89	CRAC
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	148620be-83e2-4043-a090-9b3980cad25f	CRAC_WITHOUT_FAN
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	88776969-a3b9-45af-b222-d293a215d115	CRAC_FAN
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	81e8324f-9725-4490-b304-7506ed51ded7	CHILLER
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	052ceb4a-e85e-4869-b385-2f91f870c729	AIR_COOLED_CHILLER
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	001bbee6-df04-484f-8381-6142a2c94df8	COOLING_TOWER
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	8305898a-2e05-497f-92db-fcfeb617f241	DRY_COOLER
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	ad9dd490-6fc6-4745-b87c-f7171af569b6	REMOTE_CONDENSER
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	13412686-df1d-449e-8ffb-dd2e3f9ea08e	CHILLED_WATER_PUMPS
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	7861e177-4df0-4fa6-8959-2d9d39db4513	HEAT_REJECTION_PUMPS
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	02d259ba-67b8-4730-a976-3ddae3eb1325	VENTILATION
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	9ba39309-00fa-4036-b1f4-e60b208a676b	INFILTRATION
5e3e181d-9e39-4ffb-a26c-3469d8e12d3a	608771fb-5c8f-4aca-9a2b-d87979348798	IT_LOAD
bb2c12b2-b88b-4a87-8643-1f7a42412c06	dae3be13-e474-4078-9dc0-069682dd5f75	SWITCHGEAR
bb2c12b2-b88b-4a87-8643-1f7a42412c06	15611349-576d-4c43-a58a-21ff7d0ae4d1	GENERATOR
bb2c12b2-b88b-4a87-8643-1f7a42412c06	22298650-1625-4f50-a3da-cc311cc0f50c	PRIMARY_AUXILIARIES
bb2c12b2-b88b-4a87-8643-1f7a42412c06	c1650bb6-1d6f-46d3-8200-28519ae8e0ae	UPS
bb2c12b2-b88b-4a87-8643-1f7a42412c06	025b14e2-b311-42ac-ad47-811730eb1438	CRITICAL_AUXILIARIES
bb2c12b2-b88b-4a87-8643-1f7a42412c06	4f01e363-e347-4d8d-a18a-9a3d73308fb8	LIGHTING
bb2c12b2-b88b-4a87-8643-1f7a42412c06	334ad11b-3ac9-47c1-9a11-59059875ad2f	CRITICAL_POWER_DISTRIBUTION
bb2c12b2-b88b-4a87-8643-1f7a42412c06	80a2e1f9-083f-4120-9e3e-3888b80dae52	CRAH
bb2c12b2-b88b-4a87-8643-1f7a42412c06	7797f88a-6b50-41d6-98f4-df91cc4b2c15	CRAC
bb2c12b2-b88b-4a87-8643-1f7a42412c06	cc065e07-442c-4b2d-b0fb-e93803b0cb5e	CRAC_WITHOUT_FAN
bb2c12b2-b88b-4a87-8643-1f7a42412c06	b1f4f721-4d59-4c51-b7f5-506c80a7df3f	CRAC_FAN
bb2c12b2-b88b-4a87-8643-1f7a42412c06	a30e9d47-5ede-4e41-b203-0a649f3cb6cb	CHILLER
bb2c12b2-b88b-4a87-8643-1f7a42412c06	45cf9c15-b4a9-493c-bf5b-d4ccf25dcbce	AIR_COOLED_CHILLER
bb2c12b2-b88b-4a87-8643-1f7a42412c06	371c7703-59b5-4477-bf45-f164d9eb763b	COOLING_TOWER
bb2c12b2-b88b-4a87-8643-1f7a42412c06	50b1c211-7df2-4b0e-877d-4bff86d488ea	DRY_COOLER
bb2c12b2-b88b-4a87-8643-1f7a42412c06	79f29f7d-6dd7-4548-bd67-a433123a767e	REMOTE_CONDENSER
bb2c12b2-b88b-4a87-8643-1f7a42412c06	8164206e-7aa8-4105-ad93-0b03111d6d99	CHILLED_WATER_PUMPS
bb2c12b2-b88b-4a87-8643-1f7a42412c06	27bee4f6-8091-4722-bac5-94831bd2ec46	HEAT_REJECTION_PUMPS
bb2c12b2-b88b-4a87-8643-1f7a42412c06	b1082f6e-fdce-4ffd-a100-598f63b24dae	VENTILATION
bb2c12b2-b88b-4a87-8643-1f7a42412c06	3a7b91bf-33ce-44e5-b2a8-c5631084c30b	INFILTRATION
bb2c12b2-b88b-4a87-8643-1f7a42412c06	d5603451-11dd-451c-b2de-bc53e9b4eb99	IT_LOAD
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	1430bae0-40b0-470c-8082-022ff8e4f1c6	SWITCHGEAR
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	b5f713f6-f2ae-4179-98dd-b1bfda418b76	GENERATOR
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	4c6e6db8-3ff6-4fef-bb8a-715b7403b4bd	PRIMARY_AUXILIARIES
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	625ec811-54aa-42ad-b37b-94213db54a78	UPS
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	ea694e3f-185b-4867-88ae-13a4c5d7e47f	CRITICAL_AUXILIARIES
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	4aa7ee0a-2f9f-41b0-aa90-aeae0adae00b	LIGHTING
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	c0339b5c-d525-4f1a-81f8-e8a4fd5c2187	CRITICAL_POWER_DISTRIBUTION
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	854c0e59-2f36-4d05-b142-4f0105b79719	CRAH
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	da641dda-820c-48f8-8640-c31f06c6035f	CRAC
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	ad38c341-329c-4a25-8f76-94f955a6f058	CRAC_WITHOUT_FAN
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	8693e2fd-b74e-4104-9f19-147ebf2acc82	CRAC_FAN
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	e23e49a7-a444-4950-9a11-b876a854366a	CHILLER
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	c9a61f69-e18e-4b2b-8fa5-8bf0958e202d	AIR_COOLED_CHILLER
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	a97344d9-f2e1-4b5a-b800-8980008b6350	COOLING_TOWER
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	a3a5f30b-ccfa-4fa5-b3e0-f888ef6a6a40	DRY_COOLER
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	2999546e-abd3-44a4-b7de-c0b082b9071b	REMOTE_CONDENSER
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	4c774d9c-5f1f-4b3f-8374-72312e1d036e	CHILLED_WATER_PUMPS
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	45333e85-6bc9-40a0-bac4-59d2825c1183	HEAT_REJECTION_PUMPS
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	77ad2b39-510e-437b-b6e9-d3778a68899f	VENTILATION
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	5915c334-dcbc-414c-943d-c018fbf6931a	INFILTRATION
ccdc6827-5409-4b4a-9b2f-e1de3e97850d	2597872e-65fa-4644-94db-1cb41004d808	IT_LOAD
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	1cd2d4c0-5b4e-450b-bdb7-50a3b80798c7	SWITCHGEAR
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	0ab7408c-194e-4a85-ac2b-ffd05ff63d30	GENERATOR
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	5385559a-f957-4400-b08e-62e70aac8e67	PRIMARY_AUXILIARIES
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	a90685bc-d659-450a-9159-5b9577ee1218	UPS
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	a461d777-073d-45ea-b22f-d8c7b67be11a	CRITICAL_AUXILIARIES
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	80b20f48-7548-4237-8401-9ce3a714d1a2	LIGHTING
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	f6d56cd9-822e-4199-bf95-087734232b79	CRITICAL_POWER_DISTRIBUTION
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	26691268-1167-45e3-9e16-cd5f954f9382	CRAH
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	178528b7-96c4-426b-8d24-2fe93210e0fb	CRAC
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	ca37f848-b1db-4a09-97f4-5ff61b8e70c5	CRAC_WITHOUT_FAN
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	7737791b-40df-4c48-adad-f0a7fbb1e3c8	CRAC_FAN
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	81bd12e3-3fd6-497f-a7c5-ec655a542e25	CHILLER
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	155a7acc-2c34-442e-88cd-33242a293eff	AIR_COOLED_CHILLER
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	fc9eab2f-1946-4de8-a926-4d4cf47c249e	COOLING_TOWER
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	7695bb63-b038-44f7-b032-3f2f7d0f1954	DRY_COOLER
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	6a40d94c-c66b-461a-a9f3-5ab3a6bb59da	REMOTE_CONDENSER
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	56782511-f3e9-4d0b-8ce2-e6be3e8fd328	CHILLED_WATER_PUMPS
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	7c94e08f-e723-4511-acad-1e4cead6feb0	HEAT_REJECTION_PUMPS
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	2288de25-7e22-45dc-8334-c2caa3deefdf	VENTILATION
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	e730a91c-ab79-4294-89b0-a55cc06d42e1	INFILTRATION
82a5a121-0c6c-4dce-b285-3a9ed7b7f3c7	f5e98c8b-f05b-45bc-83c3-45f4a8fb6ef2	IT_LOAD
23cea875-0383-484e-8244-ddcd64b9796c	66961d31-cdc3-47f4-9877-098f3926fc56	SWITCHGEAR
23cea875-0383-484e-8244-ddcd64b9796c	0314d889-1535-400e-8b99-149a4f0276ad	GENERATOR
23cea875-0383-484e-8244-ddcd64b9796c	7b09dbe9-3442-4af9-84f9-ec44d7904575	PRIMARY_AUXILIARIES
23cea875-0383-484e-8244-ddcd64b9796c	d1a5a7c8-8b77-40ab-8f47-d709da9fe861	UPS
23cea875-0383-484e-8244-ddcd64b9796c	2945022b-7f05-4d5e-9b93-87fdda4b4380	CRITICAL_AUXILIARIES
23cea875-0383-484e-8244-ddcd64b9796c	70136867-96ae-4c84-a3ba-83100ece952f	LIGHTING
23cea875-0383-484e-8244-ddcd64b9796c	9ac24609-3661-4454-8290-6d7a9e0e7a05	CRITICAL_POWER_DISTRIBUTION
23cea875-0383-484e-8244-ddcd64b9796c	50578766-43d4-4cd3-9b44-cd2d81196c23	CRAH
23cea875-0383-484e-8244-ddcd64b9796c	e889e3e2-c106-4040-93de-46d901f0f9a0	CRAC
23cea875-0383-484e-8244-ddcd64b9796c	92ce20e9-a9cd-4538-9b8f-3d8da338fd39	CRAC_WITHOUT_FAN
23cea875-0383-484e-8244-ddcd64b9796c	7964bc49-b4eb-4ad7-8566-5161db788aac	CRAC_FAN
23cea875-0383-484e-8244-ddcd64b9796c	7cbd4344-5b7c-4dfd-ad21-36e3779ce07e	CHILLER
23cea875-0383-484e-8244-ddcd64b9796c	e055be62-56eb-4969-a111-a848e37d7ea7	AIR_COOLED_CHILLER
23cea875-0383-484e-8244-ddcd64b9796c	794b62c9-93d8-4972-851b-cd08cb5629f5	COOLING_TOWER
23cea875-0383-484e-8244-ddcd64b9796c	5942bb0c-123c-4d39-b7ef-d9aca627b546	DRY_COOLER
23cea875-0383-484e-8244-ddcd64b9796c	4cf246c6-2cde-4759-bbcf-3a60f2bc2c2e	REMOTE_CONDENSER
23cea875-0383-484e-8244-ddcd64b9796c	7b854e6a-a149-4b9d-9a46-1eec3314367b	CHILLED_WATER_PUMPS
23cea875-0383-484e-8244-ddcd64b9796c	21ef26c8-0b7c-4740-931e-3ba6b64b6a43	HEAT_REJECTION_PUMPS
23cea875-0383-484e-8244-ddcd64b9796c	53c4e6d4-ee91-451e-be9c-8fa9f63884e2	VENTILATION
23cea875-0383-484e-8244-ddcd64b9796c	9fa60450-1f33-4ef9-be3a-f5c226f99448	INFILTRATION
23cea875-0383-484e-8244-ddcd64b9796c	229fb64a-33ca-40d4-8210-8366ba436e20	IT_LOAD
07544798-bc32-4f7c-ac81-8679a694572a	0782dc24-55e4-4845-8211-1b9b48f36d5b	SWITCHGEAR
07544798-bc32-4f7c-ac81-8679a694572a	340ba08e-62b4-4dea-bc6d-0fe88f7bf131	GENERATOR
07544798-bc32-4f7c-ac81-8679a694572a	aca3a439-d46b-4579-a6d5-0921d7cb7128	PRIMARY_AUXILIARIES
07544798-bc32-4f7c-ac81-8679a694572a	813742db-c973-4d69-83d8-929cab45cf42	UPS
07544798-bc32-4f7c-ac81-8679a694572a	60dafb21-cdcc-449e-a45f-ec239656dfe7	CRITICAL_AUXILIARIES
07544798-bc32-4f7c-ac81-8679a694572a	dec7a718-0b36-4cf5-80f2-4c85609cc598	LIGHTING
07544798-bc32-4f7c-ac81-8679a694572a	146f697d-6595-4342-9af3-9219856975c1	CRITICAL_POWER_DISTRIBUTION
07544798-bc32-4f7c-ac81-8679a694572a	1fa1ba34-54a1-4cd0-9a96-39840488ebeb	CRAH
07544798-bc32-4f7c-ac81-8679a694572a	5c333f55-1ed5-4fae-b349-f4cceb6aef80	CRAC
07544798-bc32-4f7c-ac81-8679a694572a	822dc7e5-5c90-4d0e-873b-16f922b2498c	CRAC_WITHOUT_FAN
07544798-bc32-4f7c-ac81-8679a694572a	af87c76b-6ccb-4bd1-9d2a-48b946681f19	CRAC_FAN
07544798-bc32-4f7c-ac81-8679a694572a	c5693ac3-5a4b-4283-bcb0-0b62922b2a0d	CHILLER
07544798-bc32-4f7c-ac81-8679a694572a	75060bc4-0364-4e37-9a34-af2ba92b6171	AIR_COOLED_CHILLER
07544798-bc32-4f7c-ac81-8679a694572a	175df76c-6924-42eb-abda-96c10f890762	COOLING_TOWER
07544798-bc32-4f7c-ac81-8679a694572a	34895d8e-3c6b-4015-b1b8-2151b62cd80a	DRY_COOLER
07544798-bc32-4f7c-ac81-8679a694572a	fd85d4d3-7847-49f9-a38e-8b8d8ce26115	REMOTE_CONDENSER
07544798-bc32-4f7c-ac81-8679a694572a	76d94492-65ee-4676-95b4-7419044ba5c0	CHILLED_WATER_PUMPS
07544798-bc32-4f7c-ac81-8679a694572a	359fea5a-7167-428d-a9c9-7fa36f9998b9	HEAT_REJECTION_PUMPS
07544798-bc32-4f7c-ac81-8679a694572a	70373912-c56b-482a-a503-3e562746573b	VENTILATION
07544798-bc32-4f7c-ac81-8679a694572a	a63a905a-196b-4f23-8675-04435f8e0b7f	INFILTRATION
07544798-bc32-4f7c-ac81-8679a694572a	c94e47ba-9827-45b4-9bf9-33247b833d14	IT_LOAD
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	19d4c6cf-3eac-4d02-be52-5151bdb23a33	SWITCHGEAR
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	6e7711b9-9352-4b24-ba4f-7434e6fe6ebe	GENERATOR
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	cabddc57-381a-4cac-ab4f-6d0ed29ec28f	PRIMARY_AUXILIARIES
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	07c834be-6fd7-4d1a-9e1d-446985a2f12b	UPS
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	699429fc-5901-42c2-a0ce-103043470e0b	CRITICAL_AUXILIARIES
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	e56cdd91-2c52-4872-b3a4-59faec0eca21	LIGHTING
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	a2bf5ebc-73f3-44cc-8a34-86c898c3f80d	CRITICAL_POWER_DISTRIBUTION
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	19f9f262-28b4-45f4-b60c-ee055d25bf0d	CRAH
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	e30bd8ee-6d37-4f5e-94dc-4e396cecee61	CRAC
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	00dd9530-7d85-4208-9248-0a5d361d3ea3	CRAC_WITHOUT_FAN
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	b8243add-a0b4-4ef4-adfa-753181abb79f	CRAC_FAN
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	f6e1b222-13b0-48d7-b087-942b342d6443	CHILLER
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	47a12586-a467-45a2-8953-0ff3594fe7c2	AIR_COOLED_CHILLER
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	51cbd261-29e6-4217-83a0-43022057b031	COOLING_TOWER
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	0d3abc92-190f-4289-bff7-0e4972770efa	DRY_COOLER
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	9e6f09cf-f44e-4e6a-9c40-3af954f36e2c	REMOTE_CONDENSER
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	641c2a44-b319-45c6-b342-1c8fc8dffcd9	CHILLED_WATER_PUMPS
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	dc4d0e0f-01f2-40cf-88ba-f53c11b8b5e9	HEAT_REJECTION_PUMPS
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	e15480fd-13c9-4faa-ab83-3aaa87e74454	VENTILATION
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	3e5e326f-47ba-418c-b2fd-77bc1d19b9d6	INFILTRATION
c4bb8dcf-f150-4879-ac1b-4c2dcaf6b693	b94aba2d-7b80-4560-a51c-d37f20423d5d	IT_LOAD
d05a70cc-39d9-43a6-8abf-cebba02237fd	8ab499f8-42ca-4252-9d49-50b400311d0d	SWITCHGEAR
d05a70cc-39d9-43a6-8abf-cebba02237fd	d1bb5039-8827-46e3-aeda-7bfb20870910	GENERATOR
d05a70cc-39d9-43a6-8abf-cebba02237fd	94240c9c-acb8-451a-84de-4b91104f38d8	PRIMARY_AUXILIARIES
d05a70cc-39d9-43a6-8abf-cebba02237fd	20912c15-381a-4350-8685-de8aa603a389	UPS
d05a70cc-39d9-43a6-8abf-cebba02237fd	67c050d3-00bf-4f9f-abdb-24e8dedd1ef5	CRITICAL_AUXILIARIES
d05a70cc-39d9-43a6-8abf-cebba02237fd	e5524c17-c12b-42d0-9eeb-8b3fdd27a748	LIGHTING
d05a70cc-39d9-43a6-8abf-cebba02237fd	a485ad03-5778-4f5d-b47a-9df6771aecd9	CRITICAL_POWER_DISTRIBUTION
d05a70cc-39d9-43a6-8abf-cebba02237fd	692cd08d-6b74-4b01-aaba-50d23c209dae	CRAH
d05a70cc-39d9-43a6-8abf-cebba02237fd	8c340ecb-2beb-4c09-9d2b-f37f9914b678	CRAC
d05a70cc-39d9-43a6-8abf-cebba02237fd	c0c526b0-b68f-4664-996a-7a8ce6b9b22c	CRAC_WITHOUT_FAN
d05a70cc-39d9-43a6-8abf-cebba02237fd	16fc53ff-931b-4869-9d1c-e2eb836e80fd	CRAC_FAN
d05a70cc-39d9-43a6-8abf-cebba02237fd	c3c932b2-7768-49a4-a542-1ba16b448ebf	CHILLER
d05a70cc-39d9-43a6-8abf-cebba02237fd	86c40767-801c-4332-baff-d83409024c47	AIR_COOLED_CHILLER
d05a70cc-39d9-43a6-8abf-cebba02237fd	98ffb464-5668-42cf-8485-651162548268	COOLING_TOWER
d05a70cc-39d9-43a6-8abf-cebba02237fd	096052a9-2ee3-489b-9cfc-8ad55bbc98be	DRY_COOLER
d05a70cc-39d9-43a6-8abf-cebba02237fd	90ce3f5d-1cf6-42eb-8c30-ac5d43d10115	REMOTE_CONDENSER
d05a70cc-39d9-43a6-8abf-cebba02237fd	d39b79e2-8ff4-48e1-9ef3-d17473913fe7	CHILLED_WATER_PUMPS
d05a70cc-39d9-43a6-8abf-cebba02237fd	eb311212-e2f1-4200-a1fa-ca99a78b21ed	HEAT_REJECTION_PUMPS
d05a70cc-39d9-43a6-8abf-cebba02237fd	709e6bf0-8631-4f8d-a02a-c2ff65bf5c47	VENTILATION
d05a70cc-39d9-43a6-8abf-cebba02237fd	3db1db38-00b6-48d7-be03-1df8f174aad6	INFILTRATION
d05a70cc-39d9-43a6-8abf-cebba02237fd	380f6920-7c07-460f-b555-64f987c1788d	IT_LOAD
91d916eb-0e49-4125-a54f-1e93d4161631	d5dae93a-27c1-4e9e-a2f9-3d8c3122c7c0	SWITCHGEAR
91d916eb-0e49-4125-a54f-1e93d4161631	f8373d1a-5a37-4cdf-856c-002c306da7cc	GENERATOR
91d916eb-0e49-4125-a54f-1e93d4161631	39789300-b327-4e7f-a147-b0f036d15e09	PRIMARY_AUXILIARIES
91d916eb-0e49-4125-a54f-1e93d4161631	88bd1612-230c-4cc1-a6fa-39285c39f630	UPS
91d916eb-0e49-4125-a54f-1e93d4161631	170daad8-c7ef-4814-8954-67c0d8ce51b8	CRITICAL_AUXILIARIES
91d916eb-0e49-4125-a54f-1e93d4161631	204d459c-b1ff-45d2-94a6-3b52f9f04023	LIGHTING
91d916eb-0e49-4125-a54f-1e93d4161631	f5d01a5b-83c7-4f8b-8e33-a42f882a58ac	CRITICAL_POWER_DISTRIBUTION
91d916eb-0e49-4125-a54f-1e93d4161631	227146fd-e88f-4d53-8b22-d72a8fe011bf	CRAH
91d916eb-0e49-4125-a54f-1e93d4161631	f7f5ab29-9d9a-4feb-94a8-33ec4b366387	CRAC
91d916eb-0e49-4125-a54f-1e93d4161631	cb8b5714-2ba0-4e05-949a-4d533e02de30	CRAC_WITHOUT_FAN
91d916eb-0e49-4125-a54f-1e93d4161631	583ccde7-5b4a-46a4-a60c-b53e25af624d	CRAC_FAN
91d916eb-0e49-4125-a54f-1e93d4161631	47ae3912-5641-4be2-9267-acfb2554fe9d	CHILLER
91d916eb-0e49-4125-a54f-1e93d4161631	fadc7191-8cb8-43b6-9ffb-60d3a026266d	AIR_COOLED_CHILLER
91d916eb-0e49-4125-a54f-1e93d4161631	8505fe49-e1c9-4627-85c8-e457206cc70a	COOLING_TOWER
91d916eb-0e49-4125-a54f-1e93d4161631	f02eb887-419f-47f0-bd55-564959b2f459	DRY_COOLER
91d916eb-0e49-4125-a54f-1e93d4161631	49d6c102-248d-440f-a0a4-e2632a4aa349	REMOTE_CONDENSER
91d916eb-0e49-4125-a54f-1e93d4161631	707d0d9d-dac9-455b-8958-a1a4f1e499c0	CHILLED_WATER_PUMPS
91d916eb-0e49-4125-a54f-1e93d4161631	9c2cdaf1-014d-4256-97ad-ba3982af33b6	HEAT_REJECTION_PUMPS
91d916eb-0e49-4125-a54f-1e93d4161631	a0a7faa4-bce4-42d3-a86b-2f618f60cbdd	VENTILATION
91d916eb-0e49-4125-a54f-1e93d4161631	9be2f88d-a01e-44d7-a2de-90d7240b3219	INFILTRATION
91d916eb-0e49-4125-a54f-1e93d4161631	8998b5ed-2b24-40b5-b113-23449f5cc4d5	IT_LOAD
38a0da5d-046b-41d0-8cfe-ae1009df2c56	516a33ec-b00d-4dbb-92af-d1240ab3dffc	SWITCHGEAR
38a0da5d-046b-41d0-8cfe-ae1009df2c56	d2dd9a3d-87d0-49f7-92c7-034f8c975b95	GENERATOR
38a0da5d-046b-41d0-8cfe-ae1009df2c56	953841c0-fe9c-4780-9897-d02fb6ebce6d	PRIMARY_AUXILIARIES
38a0da5d-046b-41d0-8cfe-ae1009df2c56	d2707219-2a10-4cb7-b6c0-fdb754b36b1e	UPS
38a0da5d-046b-41d0-8cfe-ae1009df2c56	f8fa7086-27c7-4635-a396-b8381b3d25ea	CRITICAL_AUXILIARIES
38a0da5d-046b-41d0-8cfe-ae1009df2c56	d4e0bf4d-9757-4c98-ab65-a3644efc6db7	LIGHTING
38a0da5d-046b-41d0-8cfe-ae1009df2c56	3fd880a2-c284-4b81-bec1-76174bff48d4	CRITICAL_POWER_DISTRIBUTION
38a0da5d-046b-41d0-8cfe-ae1009df2c56	ffaf8bde-fb69-412a-b954-60e14ba1d2c7	CRAH
38a0da5d-046b-41d0-8cfe-ae1009df2c56	b7605fc0-8faf-4e68-8385-67e9eca4a52e	CRAC
38a0da5d-046b-41d0-8cfe-ae1009df2c56	a6668682-773e-4279-a6ae-66553703d3a2	CRAC_WITHOUT_FAN
38a0da5d-046b-41d0-8cfe-ae1009df2c56	58a62e58-1430-4ee4-8a51-3066238e876e	CRAC_FAN
38a0da5d-046b-41d0-8cfe-ae1009df2c56	97715c28-aa06-4f72-8051-d3b5969c04c6	CHILLER
38a0da5d-046b-41d0-8cfe-ae1009df2c56	c61b7458-504a-4bc6-ac16-5c84dff3c283	AIR_COOLED_CHILLER
38a0da5d-046b-41d0-8cfe-ae1009df2c56	dfdcc6b6-4894-4b56-b49b-35a80d32394d	COOLING_TOWER
38a0da5d-046b-41d0-8cfe-ae1009df2c56	dbfc920e-e471-4e1a-9e03-5fbe04bf0b73	DRY_COOLER
38a0da5d-046b-41d0-8cfe-ae1009df2c56	0191e9c1-40da-4ee2-862d-628270c63897	REMOTE_CONDENSER
38a0da5d-046b-41d0-8cfe-ae1009df2c56	49d9ae9b-e608-4618-82ea-4b358065299f	CHILLED_WATER_PUMPS
38a0da5d-046b-41d0-8cfe-ae1009df2c56	3bbcef13-2c1e-441f-890a-fa5233644773	HEAT_REJECTION_PUMPS
38a0da5d-046b-41d0-8cfe-ae1009df2c56	7710b95c-fe6a-4d07-94eb-615e2c658a9a	VENTILATION
38a0da5d-046b-41d0-8cfe-ae1009df2c56	d49b5244-e127-4327-b181-b539a41ae01c	INFILTRATION
38a0da5d-046b-41d0-8cfe-ae1009df2c56	6d34ae9e-dceb-4401-8294-cc5cdb94e5c6	IT_LOAD
a86365a9-eae4-45b3-a79c-3aee16809ec2	94a58151-7ee5-41b6-86e7-ffb0e7388f2e	SWITCHGEAR
a86365a9-eae4-45b3-a79c-3aee16809ec2	043908dd-7c08-4948-9f81-7f5f99425092	GENERATOR
a86365a9-eae4-45b3-a79c-3aee16809ec2	a3eba201-ff91-45a6-a722-315a514f9ffe	PRIMARY_AUXILIARIES
a86365a9-eae4-45b3-a79c-3aee16809ec2	cb18046b-f0d9-4125-b9ba-4c8c09a914f4	UPS
a86365a9-eae4-45b3-a79c-3aee16809ec2	6abe1c4f-9de0-442d-aef7-af188e3cb72a	CRITICAL_AUXILIARIES
a86365a9-eae4-45b3-a79c-3aee16809ec2	cc37a409-e453-43bf-b463-b534275f4dea	LIGHTING
a86365a9-eae4-45b3-a79c-3aee16809ec2	a5b258e5-a898-45f2-828b-8a40f899046e	CRITICAL_POWER_DISTRIBUTION
a86365a9-eae4-45b3-a79c-3aee16809ec2	34622507-d95a-4bbc-820b-4ef3dab775cb	CRAH
a86365a9-eae4-45b3-a79c-3aee16809ec2	90483cdb-3d77-4659-8078-364b80051bdf	CRAC
a86365a9-eae4-45b3-a79c-3aee16809ec2	0039458f-3f82-4195-ae1f-2f23605cf13a	CRAC_WITHOUT_FAN
a86365a9-eae4-45b3-a79c-3aee16809ec2	98c8f22e-98ff-44d3-b6d0-5295bc6b88f5	CRAC_FAN
a86365a9-eae4-45b3-a79c-3aee16809ec2	b71457c2-a906-4919-9367-0f37cc21666f	CHILLER
a86365a9-eae4-45b3-a79c-3aee16809ec2	f8d058ad-a286-4da3-8fd6-0f9fe3948296	AIR_COOLED_CHILLER
a86365a9-eae4-45b3-a79c-3aee16809ec2	b150c529-b398-4c1b-9c88-6d727d280bf4	COOLING_TOWER
a86365a9-eae4-45b3-a79c-3aee16809ec2	6da648ee-b66b-4cdc-8aa5-a86d036c7157	DRY_COOLER
a86365a9-eae4-45b3-a79c-3aee16809ec2	b9f0b72b-0243-4393-a40a-385201c90a7e	REMOTE_CONDENSER
a86365a9-eae4-45b3-a79c-3aee16809ec2	4dde6bc4-66cf-4b2e-b69d-2406fb57c5d5	CHILLED_WATER_PUMPS
a86365a9-eae4-45b3-a79c-3aee16809ec2	d74dc695-fade-43fd-963f-1f7a38edd5d9	HEAT_REJECTION_PUMPS
a86365a9-eae4-45b3-a79c-3aee16809ec2	e40b277d-acd8-4e40-83fe-1a219a9e087c	VENTILATION
a86365a9-eae4-45b3-a79c-3aee16809ec2	3114559f-7688-4f1e-a100-f98f4473efca	INFILTRATION
a86365a9-eae4-45b3-a79c-3aee16809ec2	39f5ae96-30fb-4e53-8647-a33049c3a36f	IT_LOAD
ba52997d-e800-4413-8837-828e181558ed	3a1bf1e8-02a5-45e7-8610-1271e555984e	SWITCHGEAR
ba52997d-e800-4413-8837-828e181558ed	36e6aa73-8245-40c7-9353-5bc7327a565b	GENERATOR
ba52997d-e800-4413-8837-828e181558ed	64f78655-1344-4cef-8e7e-332789f6ac27	PRIMARY_AUXILIARIES
ba52997d-e800-4413-8837-828e181558ed	c091a5e1-c3c3-4ad8-a142-23a8e1dc09c3	UPS
ba52997d-e800-4413-8837-828e181558ed	937f49fc-e53c-4efe-8dda-d8170948b900	CRITICAL_AUXILIARIES
ba52997d-e800-4413-8837-828e181558ed	9ef1b739-fd81-4213-b7a7-51a67426e6fe	LIGHTING
ba52997d-e800-4413-8837-828e181558ed	0b6eef2f-0f2a-4898-89c5-4053304afd48	CRITICAL_POWER_DISTRIBUTION
ba52997d-e800-4413-8837-828e181558ed	1eed27d1-e76a-484b-adf0-3a00cb2f4b01	CRAH
ba52997d-e800-4413-8837-828e181558ed	697b4467-7f75-4333-b35c-8c44e9479bd9	CRAC
ba52997d-e800-4413-8837-828e181558ed	d8b03182-d053-4133-860b-70f65e8e7efa	CRAC_WITHOUT_FAN
ba52997d-e800-4413-8837-828e181558ed	9483af4e-97ec-473f-a180-a142460912fb	CRAC_FAN
ba52997d-e800-4413-8837-828e181558ed	d65b71c0-8da7-409c-8b69-c445a9a6bc72	CHILLER
ba52997d-e800-4413-8837-828e181558ed	74438bb1-61a4-4d4b-8082-8a0e82d1fb29	AIR_COOLED_CHILLER
ba52997d-e800-4413-8837-828e181558ed	738b72bf-4246-468b-a1ed-5f86b16f0bee	COOLING_TOWER
ba52997d-e800-4413-8837-828e181558ed	8415eff8-f313-4368-a615-f9848e13ebf7	DRY_COOLER
ba52997d-e800-4413-8837-828e181558ed	eef93be9-f5b4-44d6-b824-9bbb1e558f0f	REMOTE_CONDENSER
ba52997d-e800-4413-8837-828e181558ed	b8053a30-0b4c-4cdb-a994-be1b08ca619b	CHILLED_WATER_PUMPS
ba52997d-e800-4413-8837-828e181558ed	54c8fb5a-6675-477c-8018-8d2b6e8ea984	HEAT_REJECTION_PUMPS
ba52997d-e800-4413-8837-828e181558ed	57f258bf-3a41-4870-922a-c40f1d4b4418	VENTILATION
ba52997d-e800-4413-8837-828e181558ed	d19b1475-df1c-43de-bc95-39a8e7b7ce01	INFILTRATION
ba52997d-e800-4413-8837-828e181558ed	9e6b4ef1-1bf1-48f3-aed7-30343c966cad	IT_LOAD
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	a0b4f7b0-7fdc-48ab-9869-af1d6ba50ef5	SWITCHGEAR
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	5d946e32-7cba-4ed3-a4d8-7794edcdf336	GENERATOR
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	e4c5c5a6-927a-4411-aa7a-8f13e69d05a1	PRIMARY_AUXILIARIES
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	a858a0f4-d4ab-4070-83aa-436391a51946	UPS
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	8fcf1e88-ef37-4507-a2a1-03af4312d584	CRITICAL_AUXILIARIES
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	bc45fefb-8aef-45f9-a2d1-d6e14ce20378	LIGHTING
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	471baf8b-d127-44f6-bbea-4ddfd454d124	CRITICAL_POWER_DISTRIBUTION
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	2c104100-2b23-4a63-8e1b-2d4c20f95cbd	CRAH
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	8f27026f-10b8-4695-b85f-42399ec71264	CRAC
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	1ba1861a-7a0c-4e44-9bfb-df8118ec934f	CRAC_WITHOUT_FAN
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	ab07c199-b3a4-48b1-b6c0-8bd2c203ed87	CRAC_FAN
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	cda3147d-e664-4124-aab8-00f459a2a60d	CHILLER
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	a041f34a-0c94-4848-b6c9-f1241001ff86	AIR_COOLED_CHILLER
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	4741f37e-ca2a-4004-88df-02f70bc6accb	COOLING_TOWER
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	a6be8936-dd55-4eeb-a5b6-660c3a425ce4	DRY_COOLER
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	da365d0e-4b73-42b4-8c0a-f098f22d8dd9	REMOTE_CONDENSER
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	bc051263-78e2-4639-92f2-84483d6e5b58	CHILLED_WATER_PUMPS
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	5f08b4fc-587e-47e2-8444-86b91516c6d4	HEAT_REJECTION_PUMPS
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	dc920633-d0f9-422d-9bdf-6f05f9d484b0	VENTILATION
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	7de6e5d2-094c-4f34-8157-cada7c2a6a7e	INFILTRATION
b9b5bbe7-7fc9-4965-b17f-7914656cc6dd	65701eed-a198-48d4-bd6f-13ffac5b9ef4	IT_LOAD
06105adf-8120-4074-be45-0e33c7690fbc	7eadac41-d2c3-48f2-be93-978836cdd862	SWITCHGEAR
06105adf-8120-4074-be45-0e33c7690fbc	93bcc516-ccea-4665-a3da-acb67fc5fe25	GENERATOR
06105adf-8120-4074-be45-0e33c7690fbc	18906cde-6f1e-40a1-a0c9-06bfcda2e667	PRIMARY_AUXILIARIES
06105adf-8120-4074-be45-0e33c7690fbc	aa3be3af-4e83-4491-877c-3347c75099da	UPS
06105adf-8120-4074-be45-0e33c7690fbc	40e55c00-3582-4e1d-8905-b4e50da88dbd	CRITICAL_AUXILIARIES
06105adf-8120-4074-be45-0e33c7690fbc	b6fd2084-7c17-4a24-a327-8803059a3294	LIGHTING
06105adf-8120-4074-be45-0e33c7690fbc	a9e2888e-93e3-4327-a783-793940e791b3	CRITICAL_POWER_DISTRIBUTION
06105adf-8120-4074-be45-0e33c7690fbc	107d904b-0c95-4af3-a3e4-0b4abd32fc46	CRAH
06105adf-8120-4074-be45-0e33c7690fbc	f3db437b-b17f-4e9a-b6d9-f482a66ca9a5	CRAC
06105adf-8120-4074-be45-0e33c7690fbc	8b160628-bc72-4576-b1eb-80e349e86f14	CRAC_WITHOUT_FAN
06105adf-8120-4074-be45-0e33c7690fbc	9fcbb8fd-904b-43dc-b72d-ec207a3a9f74	CRAC_FAN
06105adf-8120-4074-be45-0e33c7690fbc	0ad5cbaa-f92d-4afc-8960-be7a4291fb3a	CHILLER
06105adf-8120-4074-be45-0e33c7690fbc	9b2cd6df-3da2-44ca-9a50-d4e93d7bc1fc	AIR_COOLED_CHILLER
06105adf-8120-4074-be45-0e33c7690fbc	0db03d76-7f91-4137-beb6-952c4f824bb3	COOLING_TOWER
06105adf-8120-4074-be45-0e33c7690fbc	769c915d-70c2-434d-81b5-6cd5f5b2e01b	DRY_COOLER
06105adf-8120-4074-be45-0e33c7690fbc	1f2ea242-969d-474c-8eaf-cea2f553b439	REMOTE_CONDENSER
06105adf-8120-4074-be45-0e33c7690fbc	07e3596d-152b-4279-a0d9-fff9d63081c0	CHILLED_WATER_PUMPS
06105adf-8120-4074-be45-0e33c7690fbc	d3ad9720-5d1b-4a01-9f7d-98f588df2507	HEAT_REJECTION_PUMPS
06105adf-8120-4074-be45-0e33c7690fbc	2796735b-f1b6-40d7-a731-1c6c2f69f6ad	VENTILATION
06105adf-8120-4074-be45-0e33c7690fbc	7622495b-60e1-4bf6-97b6-6a2a6826bf29	INFILTRATION
06105adf-8120-4074-be45-0e33c7690fbc	04c39219-f156-40fb-8bce-8edd8af90dad	IT_LOAD
2e2ea918-0dfd-4285-ab15-39732337a69b	2ed6794f-6c27-4560-8a5f-2aa51b7d8102	SWITCHGEAR
2e2ea918-0dfd-4285-ab15-39732337a69b	f7c67825-c1b2-45b9-b5a9-16735a91d103	GENERATOR
2e2ea918-0dfd-4285-ab15-39732337a69b	388e4f58-7ed0-4ed1-8bf8-8ecb2268a65b	PRIMARY_AUXILIARIES
2e2ea918-0dfd-4285-ab15-39732337a69b	09e57852-191c-4386-9c1d-3a517c779fa2	UPS
2e2ea918-0dfd-4285-ab15-39732337a69b	fe704cf6-5983-4c67-9367-888ba6c824a2	CRITICAL_AUXILIARIES
2e2ea918-0dfd-4285-ab15-39732337a69b	00d54e5d-9ee6-4a22-81c3-884832d19aa3	LIGHTING
2e2ea918-0dfd-4285-ab15-39732337a69b	4e9d0565-e598-48ad-b8f0-bdc73dbdb2c8	CRITICAL_POWER_DISTRIBUTION
2e2ea918-0dfd-4285-ab15-39732337a69b	acd2caf4-471c-465e-984e-68c1117baf88	CRAH
2e2ea918-0dfd-4285-ab15-39732337a69b	5e8ee0bb-f2a3-4283-9b3d-d48f502b085d	CRAC
2e2ea918-0dfd-4285-ab15-39732337a69b	bc22dce4-2819-42ef-ace8-479cc9617d99	CRAC_WITHOUT_FAN
2e2ea918-0dfd-4285-ab15-39732337a69b	1593d3d2-441e-43cb-b88a-2d92fb43c0fb	CRAC_FAN
2e2ea918-0dfd-4285-ab15-39732337a69b	4ef55bf3-5f6e-4052-bda5-4ce2f1623e1f	CHILLER
2e2ea918-0dfd-4285-ab15-39732337a69b	10eca154-478f-4d11-aa6d-ad80a6fc344e	AIR_COOLED_CHILLER
2e2ea918-0dfd-4285-ab15-39732337a69b	32d011d0-2d31-4504-8ea8-edf5f9191939	COOLING_TOWER
2e2ea918-0dfd-4285-ab15-39732337a69b	14ac1d91-af74-46b7-9b06-b98c2d32bacf	DRY_COOLER
2e2ea918-0dfd-4285-ab15-39732337a69b	3c1417b4-4ce1-447e-bd27-36b25ad2c8ed	REMOTE_CONDENSER
2e2ea918-0dfd-4285-ab15-39732337a69b	a4555898-3ecc-4194-b373-d3ebf340a129	CHILLED_WATER_PUMPS
2e2ea918-0dfd-4285-ab15-39732337a69b	03be1b12-7ac8-41c5-8ea1-4496fed7bb23	HEAT_REJECTION_PUMPS
2e2ea918-0dfd-4285-ab15-39732337a69b	398de6f1-ff60-4808-adc8-38cff3897344	VENTILATION
2e2ea918-0dfd-4285-ab15-39732337a69b	b1bd3751-4c1f-41d5-96b2-6fc1ada0f863	INFILTRATION
2e2ea918-0dfd-4285-ab15-39732337a69b	47b5ed59-8c87-4e6e-a7d2-401399c2a7b3	IT_LOAD
1a448a5f-826c-4f9a-acb5-0952985d1b22	c50bd491-be1b-432d-9e10-b496b0018ce4	SWITCHGEAR
1a448a5f-826c-4f9a-acb5-0952985d1b22	a81d0da8-a188-4732-9bf8-2808f5b409d1	GENERATOR
1a448a5f-826c-4f9a-acb5-0952985d1b22	99e1c08c-73d0-4614-aa1d-0845fbe80626	PRIMARY_AUXILIARIES
1a448a5f-826c-4f9a-acb5-0952985d1b22	8c49ec24-b2b8-4927-92ef-62f35ab805ba	UPS
1a448a5f-826c-4f9a-acb5-0952985d1b22	5b1023a1-b224-4911-baff-b0892bc0aede	CRITICAL_AUXILIARIES
1a448a5f-826c-4f9a-acb5-0952985d1b22	5171fdb1-b88c-4c79-986c-5cdf4479f652	LIGHTING
1a448a5f-826c-4f9a-acb5-0952985d1b22	46b4bcc4-6029-48ec-b0eb-695535c9fc39	CRITICAL_POWER_DISTRIBUTION
1a448a5f-826c-4f9a-acb5-0952985d1b22	bc8e5626-1ee4-4d52-85a1-0a6f965f92fc	CRAH
1a448a5f-826c-4f9a-acb5-0952985d1b22	7a215dcb-b71b-402a-9cde-7bb76444e681	CRAC
1a448a5f-826c-4f9a-acb5-0952985d1b22	1e8fc881-0875-4c7d-8c1d-bfcd3a73bbc4	CRAC_WITHOUT_FAN
1a448a5f-826c-4f9a-acb5-0952985d1b22	0654cd8a-7153-4591-9ad4-b53e09854b6d	CRAC_FAN
1a448a5f-826c-4f9a-acb5-0952985d1b22	f042bd37-aa0e-4637-9535-52faf98fd69c	CHILLER
1a448a5f-826c-4f9a-acb5-0952985d1b22	937fcf89-41c4-489b-b2a7-8f08f6dd7d8f	AIR_COOLED_CHILLER
1a448a5f-826c-4f9a-acb5-0952985d1b22	e14651f2-4a7f-4c5c-bf0c-e5a7f7e3bc41	COOLING_TOWER
1a448a5f-826c-4f9a-acb5-0952985d1b22	c83c25fb-883a-4b27-8b57-f51a1973c745	DRY_COOLER
1a448a5f-826c-4f9a-acb5-0952985d1b22	32518116-a15a-498a-abdf-e4f35b0737b9	REMOTE_CONDENSER
1a448a5f-826c-4f9a-acb5-0952985d1b22	7afb25bd-5ba1-4100-aca3-998581bdb161	CHILLED_WATER_PUMPS
1a448a5f-826c-4f9a-acb5-0952985d1b22	947fb1c1-0484-4aa2-b294-fa3400933b95	HEAT_REJECTION_PUMPS
1a448a5f-826c-4f9a-acb5-0952985d1b22	4ed02f5d-44f3-4784-b136-23fa5c3cd769	VENTILATION
1a448a5f-826c-4f9a-acb5-0952985d1b22	011ace36-e715-45d1-b89d-7b0b28baa0a7	INFILTRATION
1a448a5f-826c-4f9a-acb5-0952985d1b22	c8cc5eae-5d7f-4e38-be62-1706dfa332cc	IT_LOAD
245f1de5-e679-4e0c-ac2d-94948f75ed32	878242f6-bcb5-415f-b55e-b9e5fa22147a	SWITCHGEAR
245f1de5-e679-4e0c-ac2d-94948f75ed32	b014e469-0810-4426-b1ce-5075f7251de9	GENERATOR
245f1de5-e679-4e0c-ac2d-94948f75ed32	ed46bbea-ba31-4b36-89dc-5381ac8fa95d	PRIMARY_AUXILIARIES
245f1de5-e679-4e0c-ac2d-94948f75ed32	9cd49dc2-01a0-4501-9643-e4aff95a4604	UPS
245f1de5-e679-4e0c-ac2d-94948f75ed32	0ff9fe40-608b-4a7f-ae43-0e242c510faf	CRITICAL_AUXILIARIES
245f1de5-e679-4e0c-ac2d-94948f75ed32	36167f06-4cb0-4cd2-a26a-6c8a241509ff	LIGHTING
245f1de5-e679-4e0c-ac2d-94948f75ed32	b251b3b7-3513-4936-930c-c0b6eaff1c01	CRITICAL_POWER_DISTRIBUTION
245f1de5-e679-4e0c-ac2d-94948f75ed32	c517fbe6-976e-4846-b73e-e0bc5316401f	CRAH
245f1de5-e679-4e0c-ac2d-94948f75ed32	e4811fc8-219b-4885-9922-11c6b3e42896	CRAC
245f1de5-e679-4e0c-ac2d-94948f75ed32	382ea160-6a6a-4676-8048-a480b44d8f06	CRAC_WITHOUT_FAN
245f1de5-e679-4e0c-ac2d-94948f75ed32	65f21947-0d69-41d1-befb-82e2aaf2ce35	CRAC_FAN
245f1de5-e679-4e0c-ac2d-94948f75ed32	01b763e8-6710-405a-bbf8-8dcc4aa6e7d9	CHILLER
245f1de5-e679-4e0c-ac2d-94948f75ed32	ef4ec125-57b8-4d35-90d2-93bdc9356284	AIR_COOLED_CHILLER
245f1de5-e679-4e0c-ac2d-94948f75ed32	1ad61a4e-32d3-4e78-b9c3-170cdd614fd2	COOLING_TOWER
245f1de5-e679-4e0c-ac2d-94948f75ed32	5aa5045b-f5ca-4341-b0a4-98da4cf0a7ae	DRY_COOLER
245f1de5-e679-4e0c-ac2d-94948f75ed32	7bf96e0d-2e56-4c60-a1c4-b8198b1c444c	REMOTE_CONDENSER
245f1de5-e679-4e0c-ac2d-94948f75ed32	1bf9b612-38b6-4af1-a5df-caa35241654e	CHILLED_WATER_PUMPS
245f1de5-e679-4e0c-ac2d-94948f75ed32	ea32dc0e-d8d9-45eb-9f2b-d733f730e676	HEAT_REJECTION_PUMPS
245f1de5-e679-4e0c-ac2d-94948f75ed32	695ea9bc-7bdf-489c-84da-7e479aa8435b	VENTILATION
245f1de5-e679-4e0c-ac2d-94948f75ed32	24191c83-ca9a-4a36-aad7-af74d2bba322	INFILTRATION
245f1de5-e679-4e0c-ac2d-94948f75ed32	807d30d0-826a-4ea0-b9d8-8eee7b0e9192	IT_LOAD
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	11eb24e0-213e-47ed-b72c-6dfd9d1e0a86	SWITCHGEAR
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	3c8cd4e1-67f2-489f-a18c-3d72cb00fdbd	GENERATOR
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	93e0baf0-ca79-46f7-b1e5-16dff32cbe46	PRIMARY_AUXILIARIES
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	b5567738-7ced-4d96-bb02-aef0852618a8	UPS
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	db79d664-880b-4d2c-a99b-99fd418f5834	CRITICAL_AUXILIARIES
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	9aaa1a0b-41d5-41c0-b791-2acf073cb92e	LIGHTING
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	a4ba85e1-a1d1-4507-8fac-e4e4d33344dd	CRITICAL_POWER_DISTRIBUTION
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	68ad7ae1-a7c5-4f7e-b3c4-d966b2830773	CRAH
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	ac72da9f-5253-40bb-8b6b-26369c03a993	CRAC
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	f05ad9e9-0dad-484a-be14-fe46bd6f1fa7	CRAC_WITHOUT_FAN
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	f7ed494c-8e67-40dd-a8fc-f76b17b880f2	CRAC_FAN
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	f7eb2a66-f1e2-4b5a-b495-1054a9abc39c	CHILLER
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	5e85e8f7-6ae9-4d7e-a383-08980252c66a	AIR_COOLED_CHILLER
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	5e778727-d32c-49ad-ae31-64665911ac77	COOLING_TOWER
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	3ac9f1fd-9a54-48de-8e25-9f9ab8de9973	DRY_COOLER
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	dc408956-703f-40e4-a3cc-2169166c8cc0	REMOTE_CONDENSER
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	f64cc481-5a39-4556-ab44-84f7ffe6fb10	CHILLED_WATER_PUMPS
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	ff0c9878-733a-4af9-8401-94dbdbde2c16	HEAT_REJECTION_PUMPS
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	ad141916-3c51-421d-989e-889ed3a27359	VENTILATION
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	8f1b04ca-00b7-4380-8372-f8886cb0fc10	INFILTRATION
2d934f54-3dcb-4eba-9dc5-e4c2d299b05d	a0d1db13-6632-407d-b239-ad7b8c616e75	IT_LOAD
55a0fcdc-90c6-4c88-9e87-d3627060b93b	8799be6c-c5d0-44f8-bb31-c7f93b978adf	SWITCHGEAR
55a0fcdc-90c6-4c88-9e87-d3627060b93b	3c0d21d7-a827-4573-8bb3-cc270056ce8d	GENERATOR
55a0fcdc-90c6-4c88-9e87-d3627060b93b	ccac0c24-5652-4218-99e1-902c63456f28	PRIMARY_AUXILIARIES
55a0fcdc-90c6-4c88-9e87-d3627060b93b	ffb04034-203a-4cfa-b5cf-b92925644551	UPS
55a0fcdc-90c6-4c88-9e87-d3627060b93b	2e5a8890-a9e7-4507-a2c8-c579a10fd254	CRITICAL_AUXILIARIES
55a0fcdc-90c6-4c88-9e87-d3627060b93b	b0d20722-2594-44b1-9ac0-6faf550938e4	LIGHTING
55a0fcdc-90c6-4c88-9e87-d3627060b93b	c26cb410-98c9-4439-acd1-f9f156ad6c1b	CRITICAL_POWER_DISTRIBUTION
55a0fcdc-90c6-4c88-9e87-d3627060b93b	b6c01b05-bd45-4b2a-add8-abba14ec1fca	CRAH
55a0fcdc-90c6-4c88-9e87-d3627060b93b	30196f25-a5bb-4c5b-9301-2546e14cc9b3	CRAC
55a0fcdc-90c6-4c88-9e87-d3627060b93b	121df306-3adc-4225-890b-ad36f4ba4aac	CRAC_WITHOUT_FAN
55a0fcdc-90c6-4c88-9e87-d3627060b93b	87ea8137-3c07-4d9e-b282-d5164378fbf5	CRAC_FAN
55a0fcdc-90c6-4c88-9e87-d3627060b93b	d6e6ba26-e2d5-45cf-b1c0-9dad558531cb	CHILLER
55a0fcdc-90c6-4c88-9e87-d3627060b93b	b2ad4ba5-8b80-4021-a87f-3b0a57f1ca3c	AIR_COOLED_CHILLER
55a0fcdc-90c6-4c88-9e87-d3627060b93b	884d46d2-71dd-44c1-8af2-c9537c13bf55	COOLING_TOWER
55a0fcdc-90c6-4c88-9e87-d3627060b93b	49f85333-bcd1-478e-81fb-a4104b69b81e	DRY_COOLER
55a0fcdc-90c6-4c88-9e87-d3627060b93b	65518542-824b-490d-9ce3-d02cd1106fde	REMOTE_CONDENSER
55a0fcdc-90c6-4c88-9e87-d3627060b93b	b2ee5855-f76b-4026-b69b-bd221c2a91fe	CHILLED_WATER_PUMPS
55a0fcdc-90c6-4c88-9e87-d3627060b93b	12384dc2-46d2-4098-9e98-091ce75f1bdf	HEAT_REJECTION_PUMPS
55a0fcdc-90c6-4c88-9e87-d3627060b93b	de1c5326-a170-4a9d-b650-18e5e45a60d3	VENTILATION
55a0fcdc-90c6-4c88-9e87-d3627060b93b	606b897a-84d4-4f5a-86be-cf0a86cc3964	INFILTRATION
55a0fcdc-90c6-4c88-9e87-d3627060b93b	e825369d-6a12-4f26-9070-de7960efb7d3	IT_LOAD
9b05079c-577b-438a-aa3e-f24735cec560	e7911899-0074-4773-8037-22ff172a34e0	SWITCHGEAR
9b05079c-577b-438a-aa3e-f24735cec560	07a724b2-8e5d-4414-b25d-7c72e162b415	GENERATOR
9b05079c-577b-438a-aa3e-f24735cec560	3112ceb0-cee4-4846-a0d1-35fde7e1053d	PRIMARY_AUXILIARIES
9b05079c-577b-438a-aa3e-f24735cec560	fec72c59-d0e9-408b-965e-698c4d14f2cc	UPS
9b05079c-577b-438a-aa3e-f24735cec560	753918f7-3584-4efc-bdc6-ed2e7d05a1eb	CRITICAL_AUXILIARIES
9b05079c-577b-438a-aa3e-f24735cec560	fc1e3d7a-2af0-437a-ba75-1f6eebb42346	LIGHTING
9b05079c-577b-438a-aa3e-f24735cec560	f201be79-e7f3-4edd-8b3a-3c5306fa29e8	CRITICAL_POWER_DISTRIBUTION
9b05079c-577b-438a-aa3e-f24735cec560	ca73f486-4b1b-4bad-ac02-576db3a94d82	CRAH
9b05079c-577b-438a-aa3e-f24735cec560	d7df776c-9c86-4e0a-a40a-5190dc8c12f3	CRAC
9b05079c-577b-438a-aa3e-f24735cec560	c43e206a-e1e6-4a09-92c8-24cfa9ef725c	CRAC_WITHOUT_FAN
9b05079c-577b-438a-aa3e-f24735cec560	f5f7783a-e398-480e-beec-7a278b5ec0ea	CRAC_FAN
9b05079c-577b-438a-aa3e-f24735cec560	05059fcf-671a-4265-a05d-cc2550b73365	CHILLER
9b05079c-577b-438a-aa3e-f24735cec560	2795107d-ae4d-4a0d-8a36-f0abb16a0b9b	AIR_COOLED_CHILLER
9b05079c-577b-438a-aa3e-f24735cec560	0828bc43-1aa1-483f-a1f1-08ee8b6552f4	COOLING_TOWER
9b05079c-577b-438a-aa3e-f24735cec560	462914f4-2b01-4d19-a0ab-708f5ead1ebd	DRY_COOLER
9b05079c-577b-438a-aa3e-f24735cec560	a37cc9d0-58b6-4f18-b250-02317aaa704b	REMOTE_CONDENSER
9b05079c-577b-438a-aa3e-f24735cec560	b2bf342c-63f1-415c-bf42-a176d9104cff	CHILLED_WATER_PUMPS
9b05079c-577b-438a-aa3e-f24735cec560	0a68ae82-29a8-441b-93e6-aa058098d649	HEAT_REJECTION_PUMPS
9b05079c-577b-438a-aa3e-f24735cec560	d9c563b3-f673-4279-8b49-39beea928097	VENTILATION
9b05079c-577b-438a-aa3e-f24735cec560	453f776c-6884-4562-a58b-da571e19a65c	INFILTRATION
9b05079c-577b-438a-aa3e-f24735cec560	163f0555-57e6-4251-a52d-359877d485d4	IT_LOAD
996ce8a1-c03f-41ce-97d5-21c010482e78	fd195951-6df3-4b1b-9b8b-59e0eb3d9fc1	SWITCHGEAR
996ce8a1-c03f-41ce-97d5-21c010482e78	262bdc63-95b3-4854-b3db-1c4357b2c3e4	GENERATOR
996ce8a1-c03f-41ce-97d5-21c010482e78	bbedfe99-617e-492c-b5e2-3ffd4b99d022	PRIMARY_AUXILIARIES
996ce8a1-c03f-41ce-97d5-21c010482e78	2b5207ee-d091-4add-8ee3-960c3e334dfd	UPS
996ce8a1-c03f-41ce-97d5-21c010482e78	9d1f4442-9d34-493c-bc8f-62246af8867a	CRITICAL_AUXILIARIES
996ce8a1-c03f-41ce-97d5-21c010482e78	d41ba74a-b752-4d84-900d-354fa6ad240e	LIGHTING
996ce8a1-c03f-41ce-97d5-21c010482e78	313be0f2-5343-4e40-adb6-3001c28b614a	CRITICAL_POWER_DISTRIBUTION
996ce8a1-c03f-41ce-97d5-21c010482e78	63a8ddcf-422f-47a9-986e-359d7a0fa919	CRAH
996ce8a1-c03f-41ce-97d5-21c010482e78	e9cbe56c-56f5-481f-801d-2e6af1964def	CRAC
996ce8a1-c03f-41ce-97d5-21c010482e78	59be3e35-eabb-4a50-b66c-254f3e20e41d	CRAC_WITHOUT_FAN
996ce8a1-c03f-41ce-97d5-21c010482e78	2027fc36-94ef-426d-b92c-7ec215d4b54c	CRAC_FAN
996ce8a1-c03f-41ce-97d5-21c010482e78	ccf8e8a3-a977-4478-9fb2-1bfdded5e53a	CHILLER
996ce8a1-c03f-41ce-97d5-21c010482e78	f38f20f8-1f6a-4968-aec4-efea6dbd5b16	AIR_COOLED_CHILLER
996ce8a1-c03f-41ce-97d5-21c010482e78	4446cd61-3a83-41c1-920b-0a1ff76907d9	COOLING_TOWER
996ce8a1-c03f-41ce-97d5-21c010482e78	6469cec6-fa91-45af-a04f-483237f432f2	DRY_COOLER
996ce8a1-c03f-41ce-97d5-21c010482e78	a608ede0-12c7-429d-be5f-80f39aebc30b	REMOTE_CONDENSER
996ce8a1-c03f-41ce-97d5-21c010482e78	d42cbec9-3c5f-4f14-b134-44a4caa4266d	CHILLED_WATER_PUMPS
996ce8a1-c03f-41ce-97d5-21c010482e78	052ade2e-b24e-4e07-9472-415d6ed0818a	HEAT_REJECTION_PUMPS
996ce8a1-c03f-41ce-97d5-21c010482e78	56134bf7-5043-4af9-baa9-7f986e896d4b	VENTILATION
996ce8a1-c03f-41ce-97d5-21c010482e78	43521cfb-c8a6-443b-9cd3-96d547362401	INFILTRATION
996ce8a1-c03f-41ce-97d5-21c010482e78	aea0647a-a86c-4ec9-b843-fe07aaa40c33	IT_LOAD
4f2132a2-c671-4ce4-ac06-d753d7a5c639	43def139-11be-41ef-98e2-338c64e88801	SWITCHGEAR
4f2132a2-c671-4ce4-ac06-d753d7a5c639	c33d4f5c-fdf1-4ff8-976c-2160453e7893	GENERATOR
4f2132a2-c671-4ce4-ac06-d753d7a5c639	2618caff-3ee5-4440-8e0a-b953f4159b86	PRIMARY_AUXILIARIES
4f2132a2-c671-4ce4-ac06-d753d7a5c639	e8dbba22-ac1c-4ef6-b97d-2beb89fd56a1	UPS
4f2132a2-c671-4ce4-ac06-d753d7a5c639	2773ba94-c2de-4bb5-a29e-006a582f7cd4	CRITICAL_AUXILIARIES
4f2132a2-c671-4ce4-ac06-d753d7a5c639	de2ab282-e9c5-49ec-90b7-66171d3a1714	LIGHTING
4f2132a2-c671-4ce4-ac06-d753d7a5c639	4a22159b-e352-4f73-924e-60bc1104cc87	CRITICAL_POWER_DISTRIBUTION
4f2132a2-c671-4ce4-ac06-d753d7a5c639	1bea3b60-9941-4ef5-bdb6-9477eec33004	CRAH
4f2132a2-c671-4ce4-ac06-d753d7a5c639	22c8ffd6-ca36-41e6-abf9-42c6dc30afba	CRAC
4f2132a2-c671-4ce4-ac06-d753d7a5c639	3632c1c2-a4a4-491a-ab56-c58eabc1ea68	CRAC_WITHOUT_FAN
4f2132a2-c671-4ce4-ac06-d753d7a5c639	701213aa-4a63-4d4e-a292-77dc17c67f53	CRAC_FAN
4f2132a2-c671-4ce4-ac06-d753d7a5c639	ebaf5bc2-cf7a-4b1c-b78b-29aa4b521a03	CHILLER
4f2132a2-c671-4ce4-ac06-d753d7a5c639	f4341bd9-ef47-4d19-969e-990283495f30	AIR_COOLED_CHILLER
4f2132a2-c671-4ce4-ac06-d753d7a5c639	0c41ff52-1799-4e8a-a848-de3ba33c58b7	COOLING_TOWER
4f2132a2-c671-4ce4-ac06-d753d7a5c639	9f55a54a-01dd-4aef-a1c4-a29457eb8ddc	DRY_COOLER
4f2132a2-c671-4ce4-ac06-d753d7a5c639	28665bd1-2202-437b-86c6-fa3e570e74dd	REMOTE_CONDENSER
4f2132a2-c671-4ce4-ac06-d753d7a5c639	74451faa-366a-4d26-b1a2-658930009c49	CHILLED_WATER_PUMPS
4f2132a2-c671-4ce4-ac06-d753d7a5c639	78235616-354d-40ba-90ee-109a5bd30e22	HEAT_REJECTION_PUMPS
4f2132a2-c671-4ce4-ac06-d753d7a5c639	6fd3d57b-4157-4fbb-933c-9c2a8b8f40ef	VENTILATION
4f2132a2-c671-4ce4-ac06-d753d7a5c639	f69ac105-aedf-4b73-bf70-5c56bb1612e8	INFILTRATION
4f2132a2-c671-4ce4-ac06-d753d7a5c639	c3af2a65-a14c-4846-a578-c8e84dd1d445	IT_LOAD
68f33993-1d07-4f01-ac0e-67137c673329	9bcf0d37-4910-419f-8b65-d9854638493b	SWITCHGEAR
68f33993-1d07-4f01-ac0e-67137c673329	5fc1fccf-bdf3-4081-b535-c5057c6c6f1f	GENERATOR
68f33993-1d07-4f01-ac0e-67137c673329	2ffc969f-377b-4cd5-bb52-7a1395c2d77e	PRIMARY_AUXILIARIES
68f33993-1d07-4f01-ac0e-67137c673329	a85482ce-b4a1-44c5-b324-d11c98e2f6e9	UPS
68f33993-1d07-4f01-ac0e-67137c673329	808cb507-1efe-42a0-978a-d2c8bd04ee60	CRITICAL_AUXILIARIES
68f33993-1d07-4f01-ac0e-67137c673329	f02ec0c5-9a24-4a19-93e2-d65f04a69745	LIGHTING
68f33993-1d07-4f01-ac0e-67137c673329	2f8a6f00-5c93-43ff-9cbc-e0bcd899585f	CRITICAL_POWER_DISTRIBUTION
68f33993-1d07-4f01-ac0e-67137c673329	ff7fc458-b85f-4911-b5f3-bb062d45ff56	CRAH
68f33993-1d07-4f01-ac0e-67137c673329	2ad6bfbd-8a6b-4b3f-89cd-f31c53871f54	CRAC
68f33993-1d07-4f01-ac0e-67137c673329	5f179f38-a2b7-4aaf-88e7-66142eafa8f2	CRAC_WITHOUT_FAN
68f33993-1d07-4f01-ac0e-67137c673329	fe2e4c3d-b758-47d5-ab19-3950fd4da7e0	CRAC_FAN
68f33993-1d07-4f01-ac0e-67137c673329	bc132012-93d8-4a31-8a93-97f3750cccd0	CHILLER
68f33993-1d07-4f01-ac0e-67137c673329	c4bdc49a-ed4b-4e25-a028-e4b7e06c84ec	AIR_COOLED_CHILLER
68f33993-1d07-4f01-ac0e-67137c673329	1be1b085-ca12-4c38-b76f-2bb31e5c0a27	COOLING_TOWER
68f33993-1d07-4f01-ac0e-67137c673329	5c50e8f8-8d8b-4e9c-806d-b26dc7f38754	DRY_COOLER
68f33993-1d07-4f01-ac0e-67137c673329	80157deb-723b-4f01-9fe4-def447b737bb	REMOTE_CONDENSER
68f33993-1d07-4f01-ac0e-67137c673329	0230fe1c-7833-466d-b47a-0c0fd52fcedb	CHILLED_WATER_PUMPS
68f33993-1d07-4f01-ac0e-67137c673329	49780407-eb17-4d2b-96c4-d42d36fcd359	HEAT_REJECTION_PUMPS
68f33993-1d07-4f01-ac0e-67137c673329	17d4791b-fafc-45a1-87c6-0efefabc3346	VENTILATION
68f33993-1d07-4f01-ac0e-67137c673329	cc693301-13d3-47f2-ac10-0223eead7b06	INFILTRATION
68f33993-1d07-4f01-ac0e-67137c673329	d29e168b-bcbd-465a-8a6f-91b79eb3954a	IT_LOAD
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	72ba24a3-e133-40c6-961e-f3a16b65998b	SWITCHGEAR
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	f9c516ac-c805-4456-b8a1-7bf9bf4d15ee	GENERATOR
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	6c33ab73-aa18-4b45-98b7-7f3d95be5ec1	PRIMARY_AUXILIARIES
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	57f26608-3631-476a-9c37-b1a79c5ab876	UPS
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	765ec34f-90a1-4a6d-a0f8-4b437521f78a	CRITICAL_AUXILIARIES
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	2d6438f2-4ec8-41b5-be9a-0676ba25445c	LIGHTING
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	b8aa4492-34a4-4d7e-8e51-e937f5d687f3	CRITICAL_POWER_DISTRIBUTION
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	7a34876c-d994-4a6c-b701-b7b904d4b7ee	CRAH
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	df726df1-6f79-474e-9bb4-e069c2d97c4d	CRAC
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	660283be-ced3-4b1d-9820-702ca8393a0b	CRAC_WITHOUT_FAN
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	328b4fe0-38fb-40cf-9a16-c7ebd3b31d12	CRAC_FAN
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	87adce94-f08b-42d7-a138-a5d67e43f895	CHILLER
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	b4e1dfc3-23be-46ef-8fb5-27d5ad1c7f5b	AIR_COOLED_CHILLER
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	4f07804a-b3d9-4d81-8a75-5ef969f008f8	COOLING_TOWER
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	97240aaa-23f1-4d71-aeda-10dc2310a5c9	DRY_COOLER
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	1e053302-90aa-41dd-a4b7-a973e60b562a	REMOTE_CONDENSER
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	63c9dff0-2777-40b3-b786-c5aadeec3fda	CHILLED_WATER_PUMPS
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	9b8c6099-8dbd-498a-a4d8-a8904460ecce	HEAT_REJECTION_PUMPS
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	45765aba-6067-46df-a3fa-534be3494b42	VENTILATION
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	c09fb07f-12a5-4af7-9ea7-3a10fa26f6e3	INFILTRATION
3d25f211-7d96-4bc8-8c6e-4d7693d4cfa5	3720bf6e-0fcc-48d8-a540-8d9d4c8a7038	IT_LOAD
d9b859bb-0ff9-4513-8912-2b476601add0	c27a8c9a-f2f6-4f33-998e-6b5590954f1a	SWITCHGEAR
d9b859bb-0ff9-4513-8912-2b476601add0	59442cde-6094-4c97-9a2f-86d6f4567990	GENERATOR
d9b859bb-0ff9-4513-8912-2b476601add0	709bc9b1-bf18-4561-a29b-e870fb700925	PRIMARY_AUXILIARIES
d9b859bb-0ff9-4513-8912-2b476601add0	bb991b12-2767-4870-8867-38565b6ab8d1	UPS
d9b859bb-0ff9-4513-8912-2b476601add0	c8814d6a-ca1c-4cd3-8a2c-97047150cf68	CRITICAL_AUXILIARIES
d9b859bb-0ff9-4513-8912-2b476601add0	a57d35a6-0d62-45bf-82f8-f0bf5eff2f46	LIGHTING
d9b859bb-0ff9-4513-8912-2b476601add0	3ab55eb8-f176-4f0e-a433-cfbbde8298d2	CRITICAL_POWER_DISTRIBUTION
d9b859bb-0ff9-4513-8912-2b476601add0	6976e033-2e89-47ff-8b81-dc60b00f9e4a	CRAH
d9b859bb-0ff9-4513-8912-2b476601add0	dffe9a9c-8f79-45f6-8223-d2c0c9cb065d	CRAC
d9b859bb-0ff9-4513-8912-2b476601add0	91f2d98f-97e6-4099-a67f-4848ff1e0852	CRAC_WITHOUT_FAN
d9b859bb-0ff9-4513-8912-2b476601add0	cea676e5-b137-434b-93f6-02c87601ce79	CRAC_FAN
d9b859bb-0ff9-4513-8912-2b476601add0	bf8a62f1-2c6e-4b40-b648-9ed4987eefca	CHILLER
d9b859bb-0ff9-4513-8912-2b476601add0	8a3dc7a1-390f-4f1f-828f-284ee6272701	AIR_COOLED_CHILLER
d9b859bb-0ff9-4513-8912-2b476601add0	b7bdb0f7-7259-4296-9c5a-3d8d9bccaa04	COOLING_TOWER
d9b859bb-0ff9-4513-8912-2b476601add0	db210177-b813-4ae7-b5ba-a4580282b200	DRY_COOLER
d9b859bb-0ff9-4513-8912-2b476601add0	7acf1171-2179-47e5-b837-fe9c34c629b0	REMOTE_CONDENSER
d9b859bb-0ff9-4513-8912-2b476601add0	44da055e-253e-4dcf-aec7-db020917c8e5	CHILLED_WATER_PUMPS
d9b859bb-0ff9-4513-8912-2b476601add0	3b06b48d-a74b-494a-8ff0-19d9dd9091bf	HEAT_REJECTION_PUMPS
d9b859bb-0ff9-4513-8912-2b476601add0	283a23f3-92ea-4a33-96af-23fecacc4095	VENTILATION
d9b859bb-0ff9-4513-8912-2b476601add0	3399cd40-6c0a-4d8d-a029-d7c49b49f183	INFILTRATION
d9b859bb-0ff9-4513-8912-2b476601add0	fbd1e1f7-1de5-4b4d-9b13-3a1813790e43	IT_LOAD
fadf3a8c-7bb8-4c64-a482-dc56ee140620	67c479a3-1f2a-478d-80b1-6b51e8ca383a	SWITCHGEAR
fadf3a8c-7bb8-4c64-a482-dc56ee140620	00f7bf5d-8499-4f82-bbc7-4658dca8dff3	GENERATOR
fadf3a8c-7bb8-4c64-a482-dc56ee140620	b272e6bc-21d9-4e21-b77b-9057d82ebfa7	PRIMARY_AUXILIARIES
fadf3a8c-7bb8-4c64-a482-dc56ee140620	fbb7c593-9b97-479a-b151-015e281936bb	UPS
fadf3a8c-7bb8-4c64-a482-dc56ee140620	49de729a-95dc-40b2-bd6b-611ff4ba2363	CRITICAL_AUXILIARIES
fadf3a8c-7bb8-4c64-a482-dc56ee140620	ec6e7810-4e28-436b-81ce-8d4ccdfad28c	LIGHTING
fadf3a8c-7bb8-4c64-a482-dc56ee140620	a8401720-b4a7-4aa8-bbb3-fcd3b398a17c	CRITICAL_POWER_DISTRIBUTION
fadf3a8c-7bb8-4c64-a482-dc56ee140620	f8c2a968-4d7c-4a73-8110-5d3729f2ea5b	CRAH
fadf3a8c-7bb8-4c64-a482-dc56ee140620	693630a2-96d5-48c8-9aef-aae02b3c70e4	CRAC
fadf3a8c-7bb8-4c64-a482-dc56ee140620	b6e60f67-0dbc-499a-94e8-d7545736abf7	CRAC_WITHOUT_FAN
fadf3a8c-7bb8-4c64-a482-dc56ee140620	d03f9af0-45a5-4fd9-8589-09c18fe051fe	CRAC_FAN
fadf3a8c-7bb8-4c64-a482-dc56ee140620	96797c20-ec95-42a4-9651-5f4d53371c5f	CHILLER
fadf3a8c-7bb8-4c64-a482-dc56ee140620	c1ce7393-ea3d-4462-bfb0-d8c8ff25e84f	AIR_COOLED_CHILLER
fadf3a8c-7bb8-4c64-a482-dc56ee140620	ee1747f0-b2f6-4f38-ab25-4de15821042a	COOLING_TOWER
fadf3a8c-7bb8-4c64-a482-dc56ee140620	92285ebe-4ce0-4533-a7a5-f21389a29c7f	DRY_COOLER
fadf3a8c-7bb8-4c64-a482-dc56ee140620	9d13b497-1fda-4db5-91a8-e34db98c5ad0	REMOTE_CONDENSER
fadf3a8c-7bb8-4c64-a482-dc56ee140620	468d457d-dfaa-4482-bb94-515bd8690fab	CHILLED_WATER_PUMPS
fadf3a8c-7bb8-4c64-a482-dc56ee140620	3c1c3845-2c82-4067-951a-46222bc8e96f	HEAT_REJECTION_PUMPS
fadf3a8c-7bb8-4c64-a482-dc56ee140620	cf5d9829-8146-4775-ae48-c7939eb0715c	VENTILATION
fadf3a8c-7bb8-4c64-a482-dc56ee140620	ce41a62b-10cc-4c0d-b9df-c91e06f25abb	INFILTRATION
fadf3a8c-7bb8-4c64-a482-dc56ee140620	38d09ed5-f99b-47f5-ae4f-8f5d16492bda	IT_LOAD
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	0f9992b0-8990-4067-a342-5c054cd6ae14	SWITCHGEAR
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	caa4fcee-8920-48da-9645-7836a0bfa0b2	GENERATOR
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	9688c2fd-0fcd-4685-8383-4ee79a6f11b7	PRIMARY_AUXILIARIES
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	d92721c8-d81d-4926-8e07-784601074f36	UPS
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	b2379e0c-857d-4f72-bf3a-4258d459c363	CRITICAL_AUXILIARIES
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	164d3e11-9ef5-415a-af35-8806d9d85a1b	LIGHTING
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	23700e3e-c296-4671-a22e-ead452b371af	CRITICAL_POWER_DISTRIBUTION
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	c07ae669-e6eb-4e50-b994-6938e0cd8d05	CRAH
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	5ffc21f4-3258-403a-8183-2f6a7d4f82e0	CRAC
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	76473c6c-2e19-4ecf-bfc4-dbb124798dcf	CRAC_WITHOUT_FAN
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	f2c61420-c0cd-4fe9-9fcd-db43b053a79b	CRAC_FAN
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	603fc05c-66c8-4f1c-8aa7-a86e9d630dbb	CHILLER
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	1178c200-ecc9-4bc7-bd70-2a7c5e2ad636	AIR_COOLED_CHILLER
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	7d1b70e2-d168-4a0d-8815-207f33b958cf	COOLING_TOWER
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	990d2508-37cb-4c2a-9672-d9bf1a9fc029	DRY_COOLER
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	5e90fb12-b4e4-4c1f-bc85-da81ba048315	REMOTE_CONDENSER
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	d2285ca7-4cae-4697-83fa-d1dc8f4fe9ea	CHILLED_WATER_PUMPS
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	9e570528-4f03-4780-989b-2764b98e9e25	HEAT_REJECTION_PUMPS
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	4906a2a0-72c1-4abc-a0c7-515c0cc37ff0	VENTILATION
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	f7bc9654-e34e-4d80-9104-62803124a1ee	INFILTRATION
c4cf8e10-bf2b-4641-91ae-2007ea1167ee	42ac12df-9d26-47bb-aac6-6145f6f5d97c	IT_LOAD
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	4b39d68a-bece-4228-b0ab-d7dfcfa7e66c	SWITCHGEAR
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	d2171c8f-7f00-4bf2-a4cd-3fe3b4f3187a	GENERATOR
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	6eb1e6f0-a4e9-4993-9e8d-d259622926fc	PRIMARY_AUXILIARIES
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	57dfffd4-6801-4d7b-99fd-fbe7402fafd8	UPS
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	8d06f5bf-35de-43b7-a001-e63d419d0b61	CRITICAL_AUXILIARIES
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	dad2af97-e79a-4de6-82c0-d7faa4527807	LIGHTING
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	aa67c3e7-00c1-4752-bbd8-953adf198dee	CRITICAL_POWER_DISTRIBUTION
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	52cd3d75-8100-48aa-8d0b-f6412d1c6f34	CRAH
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	cea3e201-3ac2-4178-8eae-7773f2ad7065	CRAC
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	c06adea4-e69e-4c7e-b1e9-c793be958842	CRAC_WITHOUT_FAN
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	ed60cce9-e7b8-468b-af93-d05349434003	CRAC_FAN
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	faf1a982-3a13-40eb-8685-6919ce8cd18e	CHILLER
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	7e909bf0-471a-43f1-8677-f78d1ca51e03	AIR_COOLED_CHILLER
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	565ef6d8-2ca2-4b7a-9c2d-12dde0bbae96	COOLING_TOWER
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	c611f8c0-15b4-49e0-ac71-c313517f55e7	DRY_COOLER
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	e61290c9-adb0-492f-9df3-f00fdc32dd0c	REMOTE_CONDENSER
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	3c8a4b93-960c-47f4-a281-29f02e22a37c	CHILLED_WATER_PUMPS
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	9f099700-3760-49ca-b3f9-8ed807053563	HEAT_REJECTION_PUMPS
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	103ba8de-6b64-404c-a0e3-bab63fbe27fb	VENTILATION
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	e928b17c-f0bf-4aca-931c-c8a50a5da1be	INFILTRATION
ab16ff86-0a42-49e4-b50b-6ac63a49d84d	5c00e2a6-a86d-4eca-a8f9-4e6eb06fe9f1	IT_LOAD
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	b8322c3d-be77-46b4-88a3-f314b3856b85	SWITCHGEAR
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	7111c86b-e10d-49c3-b7b7-cdcbf47e090e	GENERATOR
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	b2d231a5-c2b9-4c5d-a143-317fbf851086	PRIMARY_AUXILIARIES
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	0bc148bf-2e78-4318-8b06-bdaa32720b23	UPS
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	52c10302-d4f4-4a9c-ac63-059432426c8b	CRITICAL_AUXILIARIES
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	9a10a925-28dd-48b3-99b5-d8ff0c4c03fc	LIGHTING
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	6a7242fd-7da6-44ba-9fb7-fe7fb0da856d	CRITICAL_POWER_DISTRIBUTION
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	536be3c4-8c07-44ee-935e-d4c65d7cc6e7	CRAH
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	e5e507a8-4fb1-45e4-8fee-b90ca9b4db99	CRAC
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	208f9904-1889-4d2f-8c39-600b1b0e5856	CRAC_WITHOUT_FAN
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	57fcaaf0-bb47-4372-9d60-321f4374fc81	CRAC_FAN
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	5d465ec4-bceb-4eaa-ba18-7125513e801f	CHILLER
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	bf7cd605-8a13-4b47-aa90-a31ff75cbd06	AIR_COOLED_CHILLER
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	a32fc341-1e7a-45cb-84e1-18105ac254b0	COOLING_TOWER
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	e62ed09f-6c68-4281-90f2-d740de84fb71	DRY_COOLER
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	3161ad0a-f878-4dda-bfdc-feef4001f2d1	REMOTE_CONDENSER
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	1b66b50c-7cab-423f-b6e3-0003705af21b	CHILLED_WATER_PUMPS
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	e4717f9a-267d-4503-843d-99af6627a278	HEAT_REJECTION_PUMPS
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	a9bf8e7f-05c2-4db8-841a-e13a6b4bf987	VENTILATION
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	0bcf8b23-4d67-482d-85c8-5c55fbc381cf	INFILTRATION
5cb9f0b8-66ce-4d4c-8cdd-f79a8e36833e	7fe823a6-4b32-4a33-929f-0be94a3ee08c	IT_LOAD
071d92ce-1dee-42b1-96fd-7c769ebfe23c	81ec292e-a951-4711-a26b-45f0373dfad9	SWITCHGEAR
071d92ce-1dee-42b1-96fd-7c769ebfe23c	3051955a-5762-42d5-9a3b-a691259ac20c	GENERATOR
071d92ce-1dee-42b1-96fd-7c769ebfe23c	693f7318-f362-43fc-aa28-80fe7d0c0106	PRIMARY_AUXILIARIES
071d92ce-1dee-42b1-96fd-7c769ebfe23c	08444ce5-d085-45b9-8ce1-d6d48a0be24c	UPS
071d92ce-1dee-42b1-96fd-7c769ebfe23c	0a8d491d-2152-4be3-b834-85d5847e0ab1	CRITICAL_AUXILIARIES
071d92ce-1dee-42b1-96fd-7c769ebfe23c	bf505344-ed12-4cf4-8ef7-c8051560cfd2	LIGHTING
071d92ce-1dee-42b1-96fd-7c769ebfe23c	ade03fd2-b15d-4841-b8c5-0aa3c7785bee	CRITICAL_POWER_DISTRIBUTION
071d92ce-1dee-42b1-96fd-7c769ebfe23c	d55454a5-1412-4167-ab37-77c4de030b05	CRAH
071d92ce-1dee-42b1-96fd-7c769ebfe23c	3314a19c-2a2d-4232-8cea-34ef18d1c45b	CRAC
071d92ce-1dee-42b1-96fd-7c769ebfe23c	4b5f6c51-1a74-4eeb-9e3c-1b7ed654e0c5	CRAC_WITHOUT_FAN
071d92ce-1dee-42b1-96fd-7c769ebfe23c	9f08d6c9-f672-48c9-a144-20be3c698c81	CRAC_FAN
071d92ce-1dee-42b1-96fd-7c769ebfe23c	4302c0c1-cd83-42df-9e9d-4a1670e8cc39	CHILLER
071d92ce-1dee-42b1-96fd-7c769ebfe23c	80e05248-2360-4372-9238-31de90411843	AIR_COOLED_CHILLER
071d92ce-1dee-42b1-96fd-7c769ebfe23c	da9a0ae6-da34-4c86-8724-c229193f6bc2	COOLING_TOWER
071d92ce-1dee-42b1-96fd-7c769ebfe23c	ec1d351f-e772-415e-b0e7-8760b0eb800a	DRY_COOLER
071d92ce-1dee-42b1-96fd-7c769ebfe23c	8f3db193-dfd7-4399-ad05-eba3e9eaeac3	REMOTE_CONDENSER
071d92ce-1dee-42b1-96fd-7c769ebfe23c	1169fc3f-4195-456d-a063-3e615589d0fb	CHILLED_WATER_PUMPS
071d92ce-1dee-42b1-96fd-7c769ebfe23c	26cbfc35-51d4-46a7-a93e-1930889eba62	HEAT_REJECTION_PUMPS
071d92ce-1dee-42b1-96fd-7c769ebfe23c	cede31f5-91d1-4b70-96e5-57451919d189	VENTILATION
071d92ce-1dee-42b1-96fd-7c769ebfe23c	5fadff27-4079-455d-b1ac-51f256952784	INFILTRATION
071d92ce-1dee-42b1-96fd-7c769ebfe23c	f29598c6-225e-4933-acf0-d9f2b0fe0517	IT_LOAD
ea3607b4-057c-497a-a7c0-64937c586197	6a9f3835-214f-4140-b2a8-8753163b32b2	SWITCHGEAR
ea3607b4-057c-497a-a7c0-64937c586197	aa18ebb8-8187-4552-9aee-a99f7aff25e1	GENERATOR
ea3607b4-057c-497a-a7c0-64937c586197	a8cc2ddb-9b11-4d93-903b-8155b602e587	PRIMARY_AUXILIARIES
ea3607b4-057c-497a-a7c0-64937c586197	4dce8837-ef5f-41fc-8f07-757762d5bcf5	UPS
ea3607b4-057c-497a-a7c0-64937c586197	cad4c9af-662b-46d3-b64b-b2ec71c8d591	CRITICAL_AUXILIARIES
ea3607b4-057c-497a-a7c0-64937c586197	d57d14f5-e7e1-40f9-b650-57ee000873c0	LIGHTING
ea3607b4-057c-497a-a7c0-64937c586197	3caeb01c-fb4e-4a99-8152-36ba0a0967f0	CRITICAL_POWER_DISTRIBUTION
ea3607b4-057c-497a-a7c0-64937c586197	39ebd9a2-1a2b-416a-8789-f83362f40c6c	CRAH
ea3607b4-057c-497a-a7c0-64937c586197	068bfbd2-aba1-401b-98bf-5eee5988b170	CRAC
ea3607b4-057c-497a-a7c0-64937c586197	c467067e-db05-440f-9437-c72a43a5a685	CRAC_WITHOUT_FAN
ea3607b4-057c-497a-a7c0-64937c586197	343efc71-80ea-4382-a25f-a0e2fe16722d	CRAC_FAN
ea3607b4-057c-497a-a7c0-64937c586197	814ed72c-19fa-4e63-a591-1a466ca15dd3	CHILLER
ea3607b4-057c-497a-a7c0-64937c586197	0a1b55f7-5b67-4275-9f33-918b391dc837	AIR_COOLED_CHILLER
ea3607b4-057c-497a-a7c0-64937c586197	14c1fd67-b0bd-4f6b-9a0a-7770aa57acd4	COOLING_TOWER
ea3607b4-057c-497a-a7c0-64937c586197	e35b6d2f-e6da-476a-86a8-b70157a2c14d	DRY_COOLER
ea3607b4-057c-497a-a7c0-64937c586197	c2792d8b-10c4-4e38-a0cf-3bec7b4af809	REMOTE_CONDENSER
ea3607b4-057c-497a-a7c0-64937c586197	20cb72f8-0070-43b6-962a-1f1738ce6fc6	CHILLED_WATER_PUMPS
ea3607b4-057c-497a-a7c0-64937c586197	9ceb689a-3825-4b49-a141-26a931c51eec	HEAT_REJECTION_PUMPS
ea3607b4-057c-497a-a7c0-64937c586197	ce63b700-fd30-4734-95c2-d7f560b0078d	VENTILATION
ea3607b4-057c-497a-a7c0-64937c586197	bf9f75e9-d69a-4aeb-9d75-63bc9440d83d	INFILTRATION
ea3607b4-057c-497a-a7c0-64937c586197	37316ef6-471f-40a8-885f-f8b80014a9f4	IT_LOAD
bc5d2c46-a1bd-4966-9f2b-70af46f17150	ccf2c420-0a03-4ef2-a6b3-45d464cd9a10	SWITCHGEAR
bc5d2c46-a1bd-4966-9f2b-70af46f17150	e44d958a-cffd-4a42-a688-4fe954cfb873	GENERATOR
bc5d2c46-a1bd-4966-9f2b-70af46f17150	e1be0dba-af3f-429b-a860-483739d19c7a	PRIMARY_AUXILIARIES
bc5d2c46-a1bd-4966-9f2b-70af46f17150	a11e5bf4-0e84-4a70-a188-58dd17edfbfc	UPS
bc5d2c46-a1bd-4966-9f2b-70af46f17150	2523deef-f298-4cac-b40b-74a5d2f5b315	CRITICAL_AUXILIARIES
bc5d2c46-a1bd-4966-9f2b-70af46f17150	218ed506-88f0-4816-9285-eb3404edab72	LIGHTING
bc5d2c46-a1bd-4966-9f2b-70af46f17150	4bb25b38-8928-4fce-962d-d15f1b75de20	CRITICAL_POWER_DISTRIBUTION
bc5d2c46-a1bd-4966-9f2b-70af46f17150	24aff731-9662-4696-b0b9-4c48ac35f9e2	CRAH
bc5d2c46-a1bd-4966-9f2b-70af46f17150	7b06ccb2-4789-4bed-a374-8e7db01c8f91	CRAC
bc5d2c46-a1bd-4966-9f2b-70af46f17150	6c78d7da-3f21-4d6b-a697-847c5565ac3f	CRAC_WITHOUT_FAN
bc5d2c46-a1bd-4966-9f2b-70af46f17150	dea6db8e-1b12-48b2-b557-7d88f468ee74	CRAC_FAN
bc5d2c46-a1bd-4966-9f2b-70af46f17150	273fc74f-1742-4fe0-b2e7-ec1d4cf0d210	CHILLER
bc5d2c46-a1bd-4966-9f2b-70af46f17150	69372be0-5413-42d5-a63d-6ef8f6ab44b8	AIR_COOLED_CHILLER
bc5d2c46-a1bd-4966-9f2b-70af46f17150	6ec9cb6e-ef7b-48ad-81c3-098d8426adc0	COOLING_TOWER
bc5d2c46-a1bd-4966-9f2b-70af46f17150	b37632b3-add0-40a2-9a72-8ecafac1f4ae	DRY_COOLER
bc5d2c46-a1bd-4966-9f2b-70af46f17150	0d0b0598-b068-4719-b514-3d27cda88a63	REMOTE_CONDENSER
bc5d2c46-a1bd-4966-9f2b-70af46f17150	a4954b22-ea9d-4a59-b5a5-69ee65c9478a	CHILLED_WATER_PUMPS
bc5d2c46-a1bd-4966-9f2b-70af46f17150	e71f64e9-e10a-4ecd-9d0b-e6302267ba06	HEAT_REJECTION_PUMPS
bc5d2c46-a1bd-4966-9f2b-70af46f17150	b679ba17-f4e6-4dc6-82a3-838fb88ec276	VENTILATION
bc5d2c46-a1bd-4966-9f2b-70af46f17150	8dc15176-67da-4905-8815-c815bc7d8f35	INFILTRATION
bc5d2c46-a1bd-4966-9f2b-70af46f17150	dc1f6349-1aae-4e0b-8779-e901c5f1cc5f	IT_LOAD
f4294b32-e8ac-40d9-b184-1f576cac2631	7e55f41f-5d35-434f-8b1e-b5f64dbe8cfc	SWITCHGEAR
f4294b32-e8ac-40d9-b184-1f576cac2631	b42e5529-f150-4091-b747-e70b1622642f	GENERATOR
f4294b32-e8ac-40d9-b184-1f576cac2631	d898b02c-c528-4252-b046-036dce43b024	PRIMARY_AUXILIARIES
f4294b32-e8ac-40d9-b184-1f576cac2631	fea28813-0de7-4fec-9132-1eb8dc471876	UPS
f4294b32-e8ac-40d9-b184-1f576cac2631	2423c71a-621c-401c-9c72-dfc29ff0b0ea	CRITICAL_AUXILIARIES
f4294b32-e8ac-40d9-b184-1f576cac2631	42259870-bbb3-4c1f-83b3-46a5410ae43a	LIGHTING
f4294b32-e8ac-40d9-b184-1f576cac2631	a9749aa2-c0f7-416e-9482-11e279a2ef7f	CRITICAL_POWER_DISTRIBUTION
f4294b32-e8ac-40d9-b184-1f576cac2631	bfe58c1c-ecf4-4cad-8929-65d8b34ad8b7	CRAH
f4294b32-e8ac-40d9-b184-1f576cac2631	daef8575-1e1e-4df9-aaed-987ba680d6e0	CRAC
f4294b32-e8ac-40d9-b184-1f576cac2631	395b835f-5d2f-4e0b-b76b-9874db9b0d74	CRAC_WITHOUT_FAN
f4294b32-e8ac-40d9-b184-1f576cac2631	7bfcceec-0659-418f-8a75-6023080b674a	CRAC_FAN
f4294b32-e8ac-40d9-b184-1f576cac2631	0dd22304-65cf-42dc-bcb0-e276d9cb347a	CHILLER
f4294b32-e8ac-40d9-b184-1f576cac2631	573fde44-3fec-4587-98da-e65d12dd4e67	AIR_COOLED_CHILLER
f4294b32-e8ac-40d9-b184-1f576cac2631	11285b5b-5997-41ec-ae54-5f5ba261a429	COOLING_TOWER
f4294b32-e8ac-40d9-b184-1f576cac2631	e6c0b270-746d-4999-a87a-bfc9a8f7b7c2	DRY_COOLER
f4294b32-e8ac-40d9-b184-1f576cac2631	294a932f-0b04-4682-b675-5c2d65e7b282	REMOTE_CONDENSER
f4294b32-e8ac-40d9-b184-1f576cac2631	a08e63d1-2115-457f-8c69-23e489a3db6a	CHILLED_WATER_PUMPS
f4294b32-e8ac-40d9-b184-1f576cac2631	7d4a900d-1e27-46b1-8816-07bfedad8214	HEAT_REJECTION_PUMPS
f4294b32-e8ac-40d9-b184-1f576cac2631	cf31a45c-2381-44c8-9659-4c5cc3fdea2d	VENTILATION
f4294b32-e8ac-40d9-b184-1f576cac2631	3f082b1d-8916-4d00-b6ab-ef56450bb8ef	INFILTRATION
f4294b32-e8ac-40d9-b184-1f576cac2631	fd0f868a-e6df-4cf0-88cb-1357d7e79f09	IT_LOAD
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	c45fd61c-f7ca-493e-9ebd-697251fad53d	SWITCHGEAR
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	9c22fc05-f03b-4094-84c9-633640fd1e23	GENERATOR
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	6f815253-dc99-44ce-98b5-677e24b4299a	PRIMARY_AUXILIARIES
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	e10a07b6-915d-4846-9d42-90a65161c115	UPS
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	f2b77610-8a9a-4398-a926-c73a1adab19f	CRITICAL_AUXILIARIES
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	02c83f1a-c4c0-484e-a3c1-64cdda90dd8a	LIGHTING
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	70aeb7d4-71ca-483e-b813-24ca610191be	CRITICAL_POWER_DISTRIBUTION
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	78a20977-de25-43c0-b0e5-bf3eb37505c8	CRAH
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	a305663c-0d4b-4434-9e28-8d4e4ca116ea	CRAC
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	1489bc52-3416-45b0-8086-82c7576db7dd	CRAC_WITHOUT_FAN
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	5e84a8ea-41b7-47d5-947d-64cd83d8d17f	CRAC_FAN
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	07398d7a-6571-4ae0-9b35-ce4e726e54a2	CHILLER
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	16e110ce-137a-43c1-9b17-1c3a2934cbd0	AIR_COOLED_CHILLER
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	81cba202-2d60-4866-98d3-1e3d9d5d8dd3	COOLING_TOWER
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	c61c715a-e630-455c-bae7-fc79dd487246	DRY_COOLER
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	c4cc1183-30d4-489e-8597-c7b706a98c42	REMOTE_CONDENSER
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	7cd38d35-865a-41db-8da4-cf842706ef67	CHILLED_WATER_PUMPS
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	1bfb5662-8a60-4ca1-a044-8f5d22413b52	HEAT_REJECTION_PUMPS
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	7210e989-ac6e-48d7-b973-05bdf86ec16f	VENTILATION
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	75b597ae-b51b-41ac-a720-6cff2643f3fa	INFILTRATION
c42e90ba-74ef-4e2b-b4ed-906dbfa6e002	cec798d2-cb11-4c61-a6a2-dbdf6ce9990d	IT_LOAD
000d900e-179d-4e59-87fb-38832e153bac	38f48efc-57f3-4983-afe0-6417a71f0916	SWITCHGEAR
000d900e-179d-4e59-87fb-38832e153bac	73ed72b5-eb45-4e88-aa80-2eb7cc68562f	GENERATOR
000d900e-179d-4e59-87fb-38832e153bac	c15c5fe9-c7e5-4dec-832e-4161b476a41b	PRIMARY_AUXILIARIES
000d900e-179d-4e59-87fb-38832e153bac	1e3d63a5-5486-48bc-8994-3ce188ea94e4	UPS
000d900e-179d-4e59-87fb-38832e153bac	ad50e4a0-f37a-45fe-a232-f0c884bba540	CRITICAL_AUXILIARIES
000d900e-179d-4e59-87fb-38832e153bac	de9a4222-8129-49e7-81bc-b9262f802aad	LIGHTING
000d900e-179d-4e59-87fb-38832e153bac	900a25d1-a63c-4e11-af65-072f3e6068ce	CRITICAL_POWER_DISTRIBUTION
000d900e-179d-4e59-87fb-38832e153bac	2ce50784-dc7e-4150-a1bd-7e6d0cb2c2f2	CRAH
000d900e-179d-4e59-87fb-38832e153bac	1c54cba3-60fc-4e73-9425-abfccd991c9b	CRAC
000d900e-179d-4e59-87fb-38832e153bac	110df3dc-3948-4a8c-bce5-286f73083ea0	CRAC_WITHOUT_FAN
000d900e-179d-4e59-87fb-38832e153bac	6c420490-9076-4381-b1fa-e28782dd9fb9	CRAC_FAN
000d900e-179d-4e59-87fb-38832e153bac	1663f96f-2bd3-4078-b68b-0201d331fce3	CHILLER
000d900e-179d-4e59-87fb-38832e153bac	30b6d976-d1fb-4f84-9f4e-be741d100b28	AIR_COOLED_CHILLER
000d900e-179d-4e59-87fb-38832e153bac	72bc2bb5-912a-4b1c-9622-27bbba142819	COOLING_TOWER
000d900e-179d-4e59-87fb-38832e153bac	26c54737-6c35-4e25-a195-99dd9772fa7c	DRY_COOLER
000d900e-179d-4e59-87fb-38832e153bac	457a8df0-48f0-4b64-be5a-d6a882c2860e	REMOTE_CONDENSER
000d900e-179d-4e59-87fb-38832e153bac	fec1fe0b-4781-4c7e-83cd-b38981d2e85a	CHILLED_WATER_PUMPS
000d900e-179d-4e59-87fb-38832e153bac	d95037b0-bec1-4024-8607-e5dfc3cf734b	HEAT_REJECTION_PUMPS
000d900e-179d-4e59-87fb-38832e153bac	76a6dea7-ba6c-4784-8d2c-f091effc91a7	VENTILATION
000d900e-179d-4e59-87fb-38832e153bac	24e91437-d52b-46f0-9fdf-f9ba783f37c0	INFILTRATION
000d900e-179d-4e59-87fb-38832e153bac	b71949e7-4598-4cab-8e60-985ca5b53fcf	IT_LOAD
04cca02d-dd00-4285-b80f-f3c10c358c94	5fa1ecef-f0f3-4e28-945f-f69f943a27be	SWITCHGEAR
04cca02d-dd00-4285-b80f-f3c10c358c94	82107c72-18b4-400a-ba6c-8d63ff7a6965	GENERATOR
04cca02d-dd00-4285-b80f-f3c10c358c94	d18be0ef-4395-4c62-8986-2bd4ecea9b4d	PRIMARY_AUXILIARIES
04cca02d-dd00-4285-b80f-f3c10c358c94	41e00d49-87f8-47f6-9be2-2e4475eb97b4	UPS
04cca02d-dd00-4285-b80f-f3c10c358c94	033f2f33-d9be-4ead-8994-a88f8241fd06	CRITICAL_AUXILIARIES
04cca02d-dd00-4285-b80f-f3c10c358c94	36731a49-5e99-4cb1-a89a-cd6ef2021afe	LIGHTING
04cca02d-dd00-4285-b80f-f3c10c358c94	a4c0203f-0d55-474f-a51b-4cee3cf3128c	CRITICAL_POWER_DISTRIBUTION
04cca02d-dd00-4285-b80f-f3c10c358c94	6c0f048a-0768-4af1-a591-36b98522427f	CRAH
04cca02d-dd00-4285-b80f-f3c10c358c94	c4b33e44-d19c-4e36-a24b-6e91642acbe3	CRAC
04cca02d-dd00-4285-b80f-f3c10c358c94	cc8895da-868d-4355-8183-060b5bb6bd22	CRAC_WITHOUT_FAN
04cca02d-dd00-4285-b80f-f3c10c358c94	400cc074-89ea-40b3-9610-b302a22164e3	CRAC_FAN
04cca02d-dd00-4285-b80f-f3c10c358c94	f8b68ae7-834b-41e9-9661-01867597d6b5	CHILLER
04cca02d-dd00-4285-b80f-f3c10c358c94	1b99ba1b-a821-4522-b467-9e24d1665385	AIR_COOLED_CHILLER
04cca02d-dd00-4285-b80f-f3c10c358c94	496b2302-8f28-4fef-961c-4259fc2df0d6	COOLING_TOWER
04cca02d-dd00-4285-b80f-f3c10c358c94	371e5336-2186-4a7c-9d78-aaf8e10a322d	DRY_COOLER
04cca02d-dd00-4285-b80f-f3c10c358c94	8554f9bf-5597-462e-9694-b6b8f3a14f7c	REMOTE_CONDENSER
04cca02d-dd00-4285-b80f-f3c10c358c94	ecd7f8a2-2461-4a58-9add-9a028ccfb29b	CHILLED_WATER_PUMPS
04cca02d-dd00-4285-b80f-f3c10c358c94	d1574b82-69e1-4c64-bb84-ac7bcf146026	HEAT_REJECTION_PUMPS
04cca02d-dd00-4285-b80f-f3c10c358c94	eb113f40-6604-4e91-a4c8-a5c8936c3059	VENTILATION
04cca02d-dd00-4285-b80f-f3c10c358c94	f5106df5-dce0-4a6a-9fbc-eefd4b9b4147	INFILTRATION
04cca02d-dd00-4285-b80f-f3c10c358c94	343a282c-fbb7-4937-bb71-00662d9018df	IT_LOAD
7ba925f5-8625-4f0b-828b-aa5d895bc880	f9ccafb7-5b13-4b07-8678-c95ae8fa322c	SWITCHGEAR
7ba925f5-8625-4f0b-828b-aa5d895bc880	269ca607-43ec-49ff-970b-e33195df3de6	GENERATOR
7ba925f5-8625-4f0b-828b-aa5d895bc880	1ba57e12-7080-4a39-aa0c-1631ff043e66	PRIMARY_AUXILIARIES
7ba925f5-8625-4f0b-828b-aa5d895bc880	e826daf6-7ac9-48a7-b215-d5440023b304	UPS
7ba925f5-8625-4f0b-828b-aa5d895bc880	65d00265-2774-40a9-8b0c-13a4938586d5	CRITICAL_AUXILIARIES
7ba925f5-8625-4f0b-828b-aa5d895bc880	310a8733-68f9-4b92-a71b-9309bac27d14	LIGHTING
7ba925f5-8625-4f0b-828b-aa5d895bc880	38bb1945-3c7b-4324-9846-3baaa981873a	CRITICAL_POWER_DISTRIBUTION
7ba925f5-8625-4f0b-828b-aa5d895bc880	3f9da7c8-c689-48bf-b167-491c40fef6e9	CRAH
7ba925f5-8625-4f0b-828b-aa5d895bc880	ad69635d-d224-4f1c-a3bf-d685ac9d806c	CRAC
7ba925f5-8625-4f0b-828b-aa5d895bc880	a64c5c8b-4eba-4d65-8fe9-04a2f0e293c4	CRAC_WITHOUT_FAN
7ba925f5-8625-4f0b-828b-aa5d895bc880	4f709c78-c80c-4f8e-b8a3-f462c8862907	CRAC_FAN
7ba925f5-8625-4f0b-828b-aa5d895bc880	90676fbd-7322-4de6-9f9a-1caa98bdbcd5	CHILLER
7ba925f5-8625-4f0b-828b-aa5d895bc880	b9ce7324-cddf-4fda-aaa5-dd0aa152208f	AIR_COOLED_CHILLER
7ba925f5-8625-4f0b-828b-aa5d895bc880	2b0b22a8-d58e-4013-886c-fff2a20b5f26	COOLING_TOWER
7ba925f5-8625-4f0b-828b-aa5d895bc880	15048cc8-1a07-4ee8-aa19-7014829771d4	DRY_COOLER
7ba925f5-8625-4f0b-828b-aa5d895bc880	41c60b09-a1f5-498a-a7a2-21f640459205	REMOTE_CONDENSER
7ba925f5-8625-4f0b-828b-aa5d895bc880	2e224489-2ca1-4202-8573-41fe6ebde211	CHILLED_WATER_PUMPS
7ba925f5-8625-4f0b-828b-aa5d895bc880	c78456ad-3f66-4670-9550-4b1414c2b9cc	HEAT_REJECTION_PUMPS
7ba925f5-8625-4f0b-828b-aa5d895bc880	faba025c-75cb-4c81-bca7-50d39ad6aed1	VENTILATION
7ba925f5-8625-4f0b-828b-aa5d895bc880	dfbaa9d8-b1b6-4161-a90e-87fde618856a	INFILTRATION
7ba925f5-8625-4f0b-828b-aa5d895bc880	c7895f8a-c642-43b6-ab7a-4733b5dbab01	IT_LOAD
91757b80-8be6-4d7e-aabe-5032026c5da6	e5ff2772-1275-4678-9a63-8e15d3b9860d	SWITCHGEAR
91757b80-8be6-4d7e-aabe-5032026c5da6	1f06c87a-0cb6-43f4-a7d2-47b4419479bf	GENERATOR
91757b80-8be6-4d7e-aabe-5032026c5da6	5199db34-391e-4492-b56a-662e5692a16c	PRIMARY_AUXILIARIES
91757b80-8be6-4d7e-aabe-5032026c5da6	5a3de84b-c351-43f5-917f-6f0b306d4895	UPS
91757b80-8be6-4d7e-aabe-5032026c5da6	a48ae3f2-c145-4bca-ad16-a84bd551ba83	CRITICAL_AUXILIARIES
91757b80-8be6-4d7e-aabe-5032026c5da6	2b5d4919-f0d3-4af4-af05-e8ed79a186bf	LIGHTING
91757b80-8be6-4d7e-aabe-5032026c5da6	68935b0f-85c6-4dcd-a7d2-a498a362bb05	CRITICAL_POWER_DISTRIBUTION
91757b80-8be6-4d7e-aabe-5032026c5da6	2c0985ae-1b0b-462f-bd0f-6951e5047152	CRAH
91757b80-8be6-4d7e-aabe-5032026c5da6	50c2a3e9-7666-4195-b123-172ee36e06e9	CRAC
91757b80-8be6-4d7e-aabe-5032026c5da6	261b0e10-b979-4188-af15-7592fee9b8b1	CRAC_WITHOUT_FAN
91757b80-8be6-4d7e-aabe-5032026c5da6	5d2df252-6c1a-4322-818e-552b2b9a2ee3	CRAC_FAN
91757b80-8be6-4d7e-aabe-5032026c5da6	6be1af3b-4dc5-4224-993e-05907d73d851	CHILLER
91757b80-8be6-4d7e-aabe-5032026c5da6	f0b45d8c-a525-4f6c-b05e-609284c0bb91	AIR_COOLED_CHILLER
91757b80-8be6-4d7e-aabe-5032026c5da6	60085a7a-486a-4ae2-82c1-74fa4fb7511f	COOLING_TOWER
91757b80-8be6-4d7e-aabe-5032026c5da6	42368ba9-d48d-4ef6-a7fb-ab3916c48d97	DRY_COOLER
91757b80-8be6-4d7e-aabe-5032026c5da6	a6f9347a-0ebc-4e80-87d4-47d6dee45c6b	REMOTE_CONDENSER
91757b80-8be6-4d7e-aabe-5032026c5da6	4fae4b76-c32b-43d1-b96f-1d4b1b39d9f8	CHILLED_WATER_PUMPS
91757b80-8be6-4d7e-aabe-5032026c5da6	8f9dbf3f-8541-4c73-b398-904d0c3fb7eb	HEAT_REJECTION_PUMPS
91757b80-8be6-4d7e-aabe-5032026c5da6	5211f235-51ad-4ee2-b365-20ca7498653b	VENTILATION
91757b80-8be6-4d7e-aabe-5032026c5da6	2c9733cc-5ba4-4560-8d55-eeff957acc9d	INFILTRATION
91757b80-8be6-4d7e-aabe-5032026c5da6	5ba8897b-6f3f-41ca-8a95-d96159fbf4c6	IT_LOAD
d48b0e68-363c-4f88-956e-6938eec0a1bc	7634927f-e4b2-46fe-ac47-c8af95981dbf	SWITCHGEAR
d48b0e68-363c-4f88-956e-6938eec0a1bc	742ada01-ccf7-4b99-a106-e45077945ebf	GENERATOR
d48b0e68-363c-4f88-956e-6938eec0a1bc	f43e7d20-6369-4faa-910f-81aeaa91ae6d	PRIMARY_AUXILIARIES
d48b0e68-363c-4f88-956e-6938eec0a1bc	e96bfa2c-7cc2-4fa2-8844-1f3bdf05ec3a	UPS
d48b0e68-363c-4f88-956e-6938eec0a1bc	677e15d1-e7f5-4eda-916f-0bff6750cd50	CRITICAL_AUXILIARIES
d48b0e68-363c-4f88-956e-6938eec0a1bc	14ace52c-4f52-4682-8150-64266d10fb96	LIGHTING
d48b0e68-363c-4f88-956e-6938eec0a1bc	9a191ba5-5322-4f40-a006-ea117e04c5a0	CRITICAL_POWER_DISTRIBUTION
d48b0e68-363c-4f88-956e-6938eec0a1bc	2895a32c-4540-4ac5-9fef-92ec816dabfb	CRAH
d48b0e68-363c-4f88-956e-6938eec0a1bc	3832011c-cda3-476a-a4fa-1747f576ff9c	CRAC
d48b0e68-363c-4f88-956e-6938eec0a1bc	f65802e1-5989-4f0b-a89c-86f8bf886794	CRAC_WITHOUT_FAN
d48b0e68-363c-4f88-956e-6938eec0a1bc	f35b05d3-1c26-443a-97b9-7feba434236d	CRAC_FAN
d48b0e68-363c-4f88-956e-6938eec0a1bc	7722bd01-a58d-44ab-a60b-202090fc5127	CHILLER
d48b0e68-363c-4f88-956e-6938eec0a1bc	38e49b88-678c-4b7d-a858-02c321c4be97	AIR_COOLED_CHILLER
d48b0e68-363c-4f88-956e-6938eec0a1bc	74ce3219-f714-4691-8fd0-146f8dcafde6	COOLING_TOWER
d48b0e68-363c-4f88-956e-6938eec0a1bc	2ae25e62-0e7f-48ce-8cf3-9a55b072d7c7	DRY_COOLER
d48b0e68-363c-4f88-956e-6938eec0a1bc	d33c897e-e5c1-4232-bb9b-21a8e36dc687	REMOTE_CONDENSER
d48b0e68-363c-4f88-956e-6938eec0a1bc	37025e78-302b-461b-a03a-94379a963115	CHILLED_WATER_PUMPS
d48b0e68-363c-4f88-956e-6938eec0a1bc	02d2f34b-89e8-4855-ac10-aacb665e4ee2	HEAT_REJECTION_PUMPS
d48b0e68-363c-4f88-956e-6938eec0a1bc	614d7fa1-34df-4bcd-9171-faf98399eceb	VENTILATION
d48b0e68-363c-4f88-956e-6938eec0a1bc	b8b13ea6-fc82-472d-aa2c-891c52a73a76	INFILTRATION
d48b0e68-363c-4f88-956e-6938eec0a1bc	67f80e71-8f04-48f4-9ba9-f73114e96741	IT_LOAD
20fa3fc3-f3d7-4568-bf26-47a38f68c611	46802931-916f-4e81-86f6-f8eb1dd0cc4d	SWITCHGEAR
20fa3fc3-f3d7-4568-bf26-47a38f68c611	2f340972-03d5-452c-85e3-5f49df26d222	GENERATOR
20fa3fc3-f3d7-4568-bf26-47a38f68c611	254315b0-613c-4404-b239-a19dcb9e0d9b	PRIMARY_AUXILIARIES
20fa3fc3-f3d7-4568-bf26-47a38f68c611	95d4483d-5050-40d8-b893-721bd4ba88b8	UPS
20fa3fc3-f3d7-4568-bf26-47a38f68c611	8b4df069-fa25-4999-b9f2-995fecda2006	CRITICAL_AUXILIARIES
20fa3fc3-f3d7-4568-bf26-47a38f68c611	ffda63c7-88a0-470e-b477-d384f8065bce	LIGHTING
20fa3fc3-f3d7-4568-bf26-47a38f68c611	bea315d7-93b2-45a6-a396-41a21c96aedd	CRITICAL_POWER_DISTRIBUTION
20fa3fc3-f3d7-4568-bf26-47a38f68c611	139a8f5b-fb6e-41d9-8db3-4817557239ca	CRAH
20fa3fc3-f3d7-4568-bf26-47a38f68c611	aae343d7-7f5d-4a8e-b925-16201d131def	CRAC
20fa3fc3-f3d7-4568-bf26-47a38f68c611	fe5654db-4aca-4d0a-a8bd-06999a3dd8ca	CRAC_WITHOUT_FAN
20fa3fc3-f3d7-4568-bf26-47a38f68c611	d1a4dd63-8e99-4667-84ab-630eb1c4be1d	CRAC_FAN
20fa3fc3-f3d7-4568-bf26-47a38f68c611	ce2594c2-5a18-42e3-888e-437b34229c5c	CHILLER
20fa3fc3-f3d7-4568-bf26-47a38f68c611	6a703ed6-3d2a-40e8-bab3-829e0bf3e3fa	AIR_COOLED_CHILLER
20fa3fc3-f3d7-4568-bf26-47a38f68c611	7a5d8b62-bb5f-4207-92cf-0542c754ef8f	COOLING_TOWER
20fa3fc3-f3d7-4568-bf26-47a38f68c611	53f35609-680c-468d-b482-e91a66fb6fa3	DRY_COOLER
20fa3fc3-f3d7-4568-bf26-47a38f68c611	31aae474-f6c7-4451-8072-f3a9823e6b2c	REMOTE_CONDENSER
20fa3fc3-f3d7-4568-bf26-47a38f68c611	019d51b5-1ea7-4f45-abb1-981d75bc6f17	CHILLED_WATER_PUMPS
20fa3fc3-f3d7-4568-bf26-47a38f68c611	d96afe88-be40-4010-8003-7e9a3858a72b	HEAT_REJECTION_PUMPS
20fa3fc3-f3d7-4568-bf26-47a38f68c611	4cf109ea-1eb9-4b03-b3da-9b43d0fc0bed	VENTILATION
20fa3fc3-f3d7-4568-bf26-47a38f68c611	13667afa-b85a-4593-b9a3-86b9b613cac7	INFILTRATION
20fa3fc3-f3d7-4568-bf26-47a38f68c611	32f551ff-8ade-45cf-b93c-5fd4c9e27a99	IT_LOAD
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	a414dc20-a098-4523-9118-22c338297c2a	SWITCHGEAR
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	3c7731eb-cc77-491e-8c81-55e705a03f46	GENERATOR
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	37f8e9fe-a25a-4bbb-8219-4d1e86e8d25b	PRIMARY_AUXILIARIES
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	49f246f2-06af-4298-ad29-874267656bbb	UPS
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	b8661456-1460-450a-a579-e404d6cf9974	CRITICAL_AUXILIARIES
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	0bfcf2dd-eee4-4451-be1e-9e1d7a89f487	LIGHTING
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	72523b69-ec58-4235-bdab-39d1aa75a33f	CRITICAL_POWER_DISTRIBUTION
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	8826a8fd-69b6-4093-bde5-1378ef0eb28e	CRAH
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	c523af47-6945-4a28-885c-2e5f3ffc7229	CRAC
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	290ce389-2592-427a-a380-3b119d02c403	CRAC_WITHOUT_FAN
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	fd90a804-0335-4bb6-bc9d-9b665510c619	CRAC_FAN
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	1b3185da-557d-425b-85d6-885b780d1436	CHILLER
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	f4e4a6df-0cf0-4279-9c8c-71abef00f60c	AIR_COOLED_CHILLER
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	0c48da3e-72af-4332-b29f-943c4e2cb626	COOLING_TOWER
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	7ff168be-7325-4bdb-9620-899326308839	DRY_COOLER
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	f927babf-3c7a-46a0-9548-8035a0455ccb	REMOTE_CONDENSER
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	0ed888d1-405f-4027-98c1-f83752f9fd13	CHILLED_WATER_PUMPS
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	23e4fcab-c519-493e-b975-b82e4b0b97a3	HEAT_REJECTION_PUMPS
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	c51501fe-c49d-48e6-9559-f63cc6372b4b	VENTILATION
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	b140b529-0649-49bc-ae5e-b26d19832e39	INFILTRATION
c9082f2f-a457-4f3e-a9d6-d125dce78ef2	717fb3c3-8938-4c81-87ba-fce390802a3a	IT_LOAD
db0afa5b-301f-4da3-bb75-31393c19a24d	ca9611ef-e34a-414f-8a57-2817de7bcdc5	SWITCHGEAR
db0afa5b-301f-4da3-bb75-31393c19a24d	cafa4d4c-41e7-40da-beca-19479524aba3	GENERATOR
db0afa5b-301f-4da3-bb75-31393c19a24d	f0b87bb1-1a84-4f69-ad7b-b3c2ee2b0eff	PRIMARY_AUXILIARIES
db0afa5b-301f-4da3-bb75-31393c19a24d	96506bf4-256b-4a07-84e9-7fd842fce0ce	UPS
db0afa5b-301f-4da3-bb75-31393c19a24d	d0ba0739-10ed-4069-8898-964e7d69ab4e	CRITICAL_AUXILIARIES
db0afa5b-301f-4da3-bb75-31393c19a24d	ce82569b-dbb4-4cdf-99e2-55c31c9fb07d	LIGHTING
db0afa5b-301f-4da3-bb75-31393c19a24d	8edf10ad-020a-4957-9d3f-54be4f7a117a	CRITICAL_POWER_DISTRIBUTION
db0afa5b-301f-4da3-bb75-31393c19a24d	b77f503d-b48e-40a8-870c-e22dcf0f76fb	CRAH
db0afa5b-301f-4da3-bb75-31393c19a24d	3b356857-46a4-434f-9bab-7ea0b0dc345a	CRAC
db0afa5b-301f-4da3-bb75-31393c19a24d	efa9e414-9e42-4ec6-9e0b-e8e8ff40acbb	CRAC_WITHOUT_FAN
db0afa5b-301f-4da3-bb75-31393c19a24d	75b51125-a967-4f5d-815d-c4a467fdba2d	CRAC_FAN
db0afa5b-301f-4da3-bb75-31393c19a24d	7d40be9f-905a-4013-a6aa-e4887b126870	CHILLER
db0afa5b-301f-4da3-bb75-31393c19a24d	6124ff83-6ad0-4442-b1af-6ed9f87f5358	AIR_COOLED_CHILLER
db0afa5b-301f-4da3-bb75-31393c19a24d	cb849de7-6a05-474a-b74c-ebcae9c7f9eb	COOLING_TOWER
db0afa5b-301f-4da3-bb75-31393c19a24d	ecdc23ca-cc1a-40f2-8c1c-603af3c17349	DRY_COOLER
db0afa5b-301f-4da3-bb75-31393c19a24d	f1781c57-2389-401c-95ce-3bf5fb24bc44	REMOTE_CONDENSER
db0afa5b-301f-4da3-bb75-31393c19a24d	ce32b5a3-1206-41be-b0ad-288c04072937	CHILLED_WATER_PUMPS
db0afa5b-301f-4da3-bb75-31393c19a24d	6f9b3dbc-a91a-41a6-aa26-391212a87147	HEAT_REJECTION_PUMPS
db0afa5b-301f-4da3-bb75-31393c19a24d	4c6e78cd-529c-4bba-9b77-550982011cae	VENTILATION
db0afa5b-301f-4da3-bb75-31393c19a24d	ac630d06-8448-44b5-8894-7a8ed54ca100	INFILTRATION
db0afa5b-301f-4da3-bb75-31393c19a24d	70a55cbe-2eeb-4425-8290-3f8101de4b08	IT_LOAD
5239506a-544d-4e92-80bf-c172ade29e9a	c22d07d1-8ab8-4c18-9aeb-28f2471327a1	SWITCHGEAR
5239506a-544d-4e92-80bf-c172ade29e9a	40b51a0f-cc43-4446-ab3b-6a1ef134b40e	GENERATOR
5239506a-544d-4e92-80bf-c172ade29e9a	bca3002a-ff61-47a7-b117-fc98d1d508de	PRIMARY_AUXILIARIES
5239506a-544d-4e92-80bf-c172ade29e9a	f49aa6b6-7c12-4171-8902-3b75c4cf92b3	UPS
5239506a-544d-4e92-80bf-c172ade29e9a	59186f37-92f9-4bc1-b329-6d3e0297fdc5	CRITICAL_AUXILIARIES
5239506a-544d-4e92-80bf-c172ade29e9a	9a19b3a6-0a97-44ce-b652-1cd2267ea4a8	LIGHTING
5239506a-544d-4e92-80bf-c172ade29e9a	a2cebe14-fde6-45df-bdfe-23583578db89	CRITICAL_POWER_DISTRIBUTION
5239506a-544d-4e92-80bf-c172ade29e9a	c7eba048-80b9-419d-b6aa-e9bf1881aa59	CRAH
5239506a-544d-4e92-80bf-c172ade29e9a	879a6aa6-02ed-45fd-8393-11602d2d770b	CRAC
5239506a-544d-4e92-80bf-c172ade29e9a	99493656-3203-4484-8357-f94797565b03	CRAC_WITHOUT_FAN
5239506a-544d-4e92-80bf-c172ade29e9a	40d27d1b-36db-4a15-9cd1-d6e30fa4c85c	CRAC_FAN
5239506a-544d-4e92-80bf-c172ade29e9a	875aa87d-6361-49d4-b47c-915318f41157	CHILLER
5239506a-544d-4e92-80bf-c172ade29e9a	1b32ec87-7eab-4237-a7d0-0cae8305f768	AIR_COOLED_CHILLER
5239506a-544d-4e92-80bf-c172ade29e9a	133d11e6-1d86-489c-8e8e-520af1d9f247	COOLING_TOWER
5239506a-544d-4e92-80bf-c172ade29e9a	3631c0c3-cb91-4b3d-b970-f1d8b1eb3212	DRY_COOLER
5239506a-544d-4e92-80bf-c172ade29e9a	1c30fab2-8593-4398-9776-f7c288ca8e93	REMOTE_CONDENSER
5239506a-544d-4e92-80bf-c172ade29e9a	d61a5a88-1802-4f0b-bb0a-066608329ebf	CHILLED_WATER_PUMPS
5239506a-544d-4e92-80bf-c172ade29e9a	b002c188-8544-4cd0-85a5-b98d4a1bf810	HEAT_REJECTION_PUMPS
5239506a-544d-4e92-80bf-c172ade29e9a	268d1e84-9719-44a5-bfd6-dd8bf237de9c	VENTILATION
5239506a-544d-4e92-80bf-c172ade29e9a	c673c263-d15e-4ae8-a5a7-52fe673b54bd	INFILTRATION
5239506a-544d-4e92-80bf-c172ade29e9a	8503a700-4e4a-4bca-9661-0d7daba1e63a	IT_LOAD
bb864638-afd7-47d4-8140-ebfab8a437d1	d8c62462-e616-476d-9751-4eacc44cb7a1	SWITCHGEAR
bb864638-afd7-47d4-8140-ebfab8a437d1	f15d6f3f-cfea-462a-92f3-dae17ef3d510	GENERATOR
bb864638-afd7-47d4-8140-ebfab8a437d1	6a7da7d4-1cfd-49ad-b30e-e8e391096b50	PRIMARY_AUXILIARIES
bb864638-afd7-47d4-8140-ebfab8a437d1	a67116ec-3373-4c62-abce-03c32b41f82c	UPS
bb864638-afd7-47d4-8140-ebfab8a437d1	9dded8d9-1d4d-427f-9540-982159af3974	CRITICAL_AUXILIARIES
bb864638-afd7-47d4-8140-ebfab8a437d1	647f3023-d018-4f89-ba7c-a71ec5601ab0	LIGHTING
bb864638-afd7-47d4-8140-ebfab8a437d1	ab5acbfc-46dd-4c51-a955-934faa23143c	CRITICAL_POWER_DISTRIBUTION
bb864638-afd7-47d4-8140-ebfab8a437d1	1871a8bf-1506-4b95-89f2-c79c8cb713bf	CRAH
bb864638-afd7-47d4-8140-ebfab8a437d1	cfde0f12-48f9-4720-b455-d8c4a65f3875	CRAC
bb864638-afd7-47d4-8140-ebfab8a437d1	06f87314-17c1-4484-987e-2844628eeb8b	CRAC_WITHOUT_FAN
bb864638-afd7-47d4-8140-ebfab8a437d1	415dd43e-e1fe-4968-95d3-cc1ac1987352	CRAC_FAN
bb864638-afd7-47d4-8140-ebfab8a437d1	04b217a3-1de0-41f8-a288-0cb64c00daa0	CHILLER
bb864638-afd7-47d4-8140-ebfab8a437d1	5a4e891a-9c13-4c68-88c7-73420551a800	AIR_COOLED_CHILLER
bb864638-afd7-47d4-8140-ebfab8a437d1	7028d69b-f613-4b5d-94de-fcee7f94d716	COOLING_TOWER
bb864638-afd7-47d4-8140-ebfab8a437d1	44fc1e2a-e7b4-4488-bad4-028c6ff6c2e0	DRY_COOLER
bb864638-afd7-47d4-8140-ebfab8a437d1	eb1f43be-4ca0-4eec-89c0-4bec0799250d	REMOTE_CONDENSER
bb864638-afd7-47d4-8140-ebfab8a437d1	9c7e5cd5-5e96-4339-8c8f-4ce61a8583a5	CHILLED_WATER_PUMPS
bb864638-afd7-47d4-8140-ebfab8a437d1	af60e3e1-a86d-41a9-a7ea-463a22fd00b9	HEAT_REJECTION_PUMPS
bb864638-afd7-47d4-8140-ebfab8a437d1	eb76ab0c-9b97-44e1-a9c3-e2af520f40fc	VENTILATION
bb864638-afd7-47d4-8140-ebfab8a437d1	26dc448b-7491-4ee5-84fa-0aace9989f0e	INFILTRATION
bb864638-afd7-47d4-8140-ebfab8a437d1	07a79391-5b8c-4210-972c-0df33caec913	IT_LOAD
f43e2a30-b0d3-4ff7-aed3-06870907e155	68a77b28-6907-4624-9442-68169f99e6ed	SWITCHGEAR
f43e2a30-b0d3-4ff7-aed3-06870907e155	82d6db8d-d27b-405b-8149-69ccbc3cf2b3	GENERATOR
f43e2a30-b0d3-4ff7-aed3-06870907e155	ce3104dc-6d48-4244-aa59-2cacba0db515	PRIMARY_AUXILIARIES
f43e2a30-b0d3-4ff7-aed3-06870907e155	53fe8639-3028-4962-9df7-6d4ab61d1d11	UPS
f43e2a30-b0d3-4ff7-aed3-06870907e155	cf646652-4d2b-4702-880f-d17db992e6b1	CRITICAL_AUXILIARIES
f43e2a30-b0d3-4ff7-aed3-06870907e155	a511388a-9429-44a6-b05a-1ff1b8837d29	LIGHTING
f43e2a30-b0d3-4ff7-aed3-06870907e155	246e0681-d885-45f9-98d3-a9c3218958ad	CRITICAL_POWER_DISTRIBUTION
f43e2a30-b0d3-4ff7-aed3-06870907e155	51be757c-f0ed-4cdc-ab81-42a749c71a58	CRAH
f43e2a30-b0d3-4ff7-aed3-06870907e155	08826f43-4c47-4bdf-89eb-7f29d6ac6d00	CRAC
f43e2a30-b0d3-4ff7-aed3-06870907e155	216b8272-1b73-46d0-b78c-94d6298d5f95	CRAC_WITHOUT_FAN
f43e2a30-b0d3-4ff7-aed3-06870907e155	a9d93a40-bcb6-4f16-92db-27ba9854b85a	CRAC_FAN
f43e2a30-b0d3-4ff7-aed3-06870907e155	a5273773-f2ff-4011-b191-4963b9e57de6	CHILLER
f43e2a30-b0d3-4ff7-aed3-06870907e155	318d9ebd-3db9-4705-87cb-66baf9848742	AIR_COOLED_CHILLER
f43e2a30-b0d3-4ff7-aed3-06870907e155	b954c62e-1add-486f-a922-955576f2a955	COOLING_TOWER
f43e2a30-b0d3-4ff7-aed3-06870907e155	5d4731a9-8d6b-4586-87b4-2e66cea75faa	DRY_COOLER
f43e2a30-b0d3-4ff7-aed3-06870907e155	dcb52a5e-c36d-4a6f-8ceb-ed5c27bab795	REMOTE_CONDENSER
f43e2a30-b0d3-4ff7-aed3-06870907e155	d39a309d-44c2-4db4-94fc-68889aeda0e4	CHILLED_WATER_PUMPS
f43e2a30-b0d3-4ff7-aed3-06870907e155	5124a21b-8cfa-4139-a4ae-a4479621b1b7	HEAT_REJECTION_PUMPS
f43e2a30-b0d3-4ff7-aed3-06870907e155	cd582e9d-e275-4330-a7fc-080de4e4b7ae	VENTILATION
f43e2a30-b0d3-4ff7-aed3-06870907e155	6e55db20-0d50-41c0-b062-2471fea16c3f	INFILTRATION
f43e2a30-b0d3-4ff7-aed3-06870907e155	5807661e-5334-4b62-8e0f-f8967a2e1ceb	IT_LOAD
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	606f6a8d-83a5-418d-b66e-4324f759c55f	SWITCHGEAR
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	18c962e8-c96a-4dcf-a1a5-1f91dc07cbda	GENERATOR
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	2382f32b-ae6e-474a-8f9c-5da683876f95	PRIMARY_AUXILIARIES
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	b77246f5-0f36-4963-ba84-a0b11ff6c0a9	UPS
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	13e53e53-766a-4826-be79-591ded63fb18	CRITICAL_AUXILIARIES
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	99883b36-f59f-4e7f-a37e-80352962a436	LIGHTING
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	539e6803-27bd-4907-9c88-b6b22974659f	CRITICAL_POWER_DISTRIBUTION
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	1ed6a466-bb2d-46e2-939b-955379cbdf31	CRAH
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	2da303e9-f0f4-4a44-a327-67969f214ad1	CRAC
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	995ea2cf-fcee-4329-a03d-e4867f4f2a7e	CRAC_WITHOUT_FAN
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	2ad91031-d7f3-474f-82b1-166327ad32df	CRAC_FAN
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	f097dc1d-27ab-4988-8884-992cc1cd7b14	CHILLER
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	1ea249b6-7dee-4d75-8b11-bf1d2d6ce418	AIR_COOLED_CHILLER
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	038e93ff-49f0-4cfa-8831-a03d9e4a65a3	COOLING_TOWER
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	09a7ede2-965f-4c3e-bb68-d032e765e9ea	DRY_COOLER
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	f71939d9-7d8a-4f19-9f13-a895df60b55c	REMOTE_CONDENSER
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	d2306670-2d95-490a-b4c2-f6d2e7c7df5d	CHILLED_WATER_PUMPS
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	27f14d64-ee8d-4615-bfe1-2e86e8542d7e	HEAT_REJECTION_PUMPS
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	cf97a3a3-de45-45f9-ad01-4b107405441c	VENTILATION
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	0587fb3e-c016-4c7e-879d-3f0366f30542	INFILTRATION
8019a66c-8567-4ac9-a5b0-cc5a7b1ea8cf	4f6149da-a456-4569-98a1-b3a9a9a287e9	IT_LOAD
d3bffd88-b2e4-40d9-8603-148d9ee830c9	587b7843-bc8a-40ec-8e26-c37df0665c23	SWITCHGEAR
d3bffd88-b2e4-40d9-8603-148d9ee830c9	2d1c5e7e-858a-404a-b625-83a2d7d43882	GENERATOR
d3bffd88-b2e4-40d9-8603-148d9ee830c9	548d54a9-7fde-4d2d-ac35-24e0fcd72bb7	PRIMARY_AUXILIARIES
d3bffd88-b2e4-40d9-8603-148d9ee830c9	a457d3c4-4417-49c9-8d14-9e4c9e8a6894	UPS
d3bffd88-b2e4-40d9-8603-148d9ee830c9	64b0aaea-8f8f-4e5f-9752-e0d5ddbc895d	CRITICAL_AUXILIARIES
d3bffd88-b2e4-40d9-8603-148d9ee830c9	36de5122-bd7f-4524-8644-01ffbd08f5a8	LIGHTING
d3bffd88-b2e4-40d9-8603-148d9ee830c9	be5ef896-8596-4201-ab6a-143612b75bf8	CRITICAL_POWER_DISTRIBUTION
d3bffd88-b2e4-40d9-8603-148d9ee830c9	e42e61e4-7848-47c3-9701-0212a4f5a798	CRAH
d3bffd88-b2e4-40d9-8603-148d9ee830c9	d01de2e6-a762-4260-a25b-1a6ccc01cf1b	CRAC
d3bffd88-b2e4-40d9-8603-148d9ee830c9	06858d93-56de-48e4-a02e-f6397ce1e865	CRAC_WITHOUT_FAN
d3bffd88-b2e4-40d9-8603-148d9ee830c9	fe1d2540-f559-4a89-95c1-a877c0b13223	CRAC_FAN
d3bffd88-b2e4-40d9-8603-148d9ee830c9	ddb06ca6-9590-485c-9c54-b8f78452523e	CHILLER
d3bffd88-b2e4-40d9-8603-148d9ee830c9	adb42aaf-a026-42b2-bbd0-aa52d093c065	AIR_COOLED_CHILLER
d3bffd88-b2e4-40d9-8603-148d9ee830c9	8429ebfc-5580-4efb-bd5c-ff80dbd60b8d	COOLING_TOWER
d3bffd88-b2e4-40d9-8603-148d9ee830c9	df4a97d7-c4f6-434b-80cc-cb365edeca34	DRY_COOLER
d3bffd88-b2e4-40d9-8603-148d9ee830c9	ea8fae85-8dd0-4136-8c6f-0e47ba84fe2b	REMOTE_CONDENSER
d3bffd88-b2e4-40d9-8603-148d9ee830c9	ae25b2e4-a820-44b6-88a8-44e8e71d219c	CHILLED_WATER_PUMPS
d3bffd88-b2e4-40d9-8603-148d9ee830c9	99b65e1b-fcc9-46ca-917a-725a32f58bdb	HEAT_REJECTION_PUMPS
d3bffd88-b2e4-40d9-8603-148d9ee830c9	77d84d94-81d9-45f1-9e0c-d1bd7c681782	VENTILATION
d3bffd88-b2e4-40d9-8603-148d9ee830c9	d41af5bb-bead-475a-997a-c16ec54cc202	INFILTRATION
d3bffd88-b2e4-40d9-8603-148d9ee830c9	cd5815a5-b465-44e5-8eda-e099409f4153	IT_LOAD
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	d5f0b367-6912-4144-a1bd-a06fcc034ea6	SWITCHGEAR
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	f65e5f69-e587-4ae3-b33b-0b7bd90af394	GENERATOR
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	eeb29d49-b79d-44ff-a8da-fb706f1ae278	PRIMARY_AUXILIARIES
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	f0926e04-8ac6-4fa6-a680-7778179512c0	UPS
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	d9344528-e4db-407e-8455-182e53c8b477	CRITICAL_AUXILIARIES
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	6c3dddb4-bbe9-4a4c-b4bd-1e004953580a	LIGHTING
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	be6cf7cc-7cf6-462d-9cf4-47ba5591a0c4	CRITICAL_POWER_DISTRIBUTION
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	34ad6948-b131-497e-b5e4-4a1ca3be99ff	CRAH
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	1c1fcf0f-e5d2-493f-9fd5-8c0e90d31ac7	CRAC
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	487d9707-b55c-4747-913a-61ce04becf30	CRAC_WITHOUT_FAN
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	57475af2-e57f-4007-8595-154d2e134ef5	CRAC_FAN
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	70669350-d7df-454f-a83d-35d4713fdba3	CHILLER
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	3240e8b2-d1a5-42b6-8d72-04444af91e5b	AIR_COOLED_CHILLER
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	73514a46-b1eb-422f-b24f-ed638fad552b	COOLING_TOWER
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	8bfcf8e5-ff1e-4789-b179-816bc523b377	DRY_COOLER
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	c83c4183-7199-429e-b410-e5e3d0f7fb10	REMOTE_CONDENSER
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	6b25c40c-b59b-4b89-9a57-72029f0051ad	CHILLED_WATER_PUMPS
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	2cfbb13e-e018-4e63-80e2-15dc6564f2e8	HEAT_REJECTION_PUMPS
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	1ff5ea5d-f835-4ab3-bc32-e92fc9ba6e51	VENTILATION
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	80bd1ad3-6002-42a0-9bde-1352f746f03d	INFILTRATION
d0d74045-d42f-4606-ae28-e9e94dd8e5d3	99c707fa-db2a-4d5e-9eb2-96c5189f8d4e	IT_LOAD
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	7e22c310-4527-413e-88d5-c279703a6134	SWITCHGEAR
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	9a547519-521b-4dd5-8cd3-b0f19e5d384a	GENERATOR
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	36235b5d-c552-404b-95c1-d943514442e8	PRIMARY_AUXILIARIES
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	a942d57e-38bf-4ef6-8754-f9fbdc42593e	UPS
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	e636c94e-90e3-4b81-896c-9cbce7102e6f	CRITICAL_AUXILIARIES
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	9d7a64f7-0a43-4735-b790-c99372b4bbaf	LIGHTING
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	3c5beb5c-203d-468b-ac7b-93544f37c559	CRITICAL_POWER_DISTRIBUTION
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	3c53ba17-3cee-4769-b9ee-64a9fea995b9	CRAH
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	bab92e28-e978-4c66-b80c-b3156957ed4a	CRAC
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	1d48cf30-82f7-4c91-9eb6-8cdde36e80ce	CRAC_WITHOUT_FAN
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	0a7a19cb-cda0-4399-a0da-96dbb96bbbd2	CRAC_FAN
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	e4a0a67c-024e-4289-b13d-9949239de851	CHILLER
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	51d36db5-86d3-4b67-9c3f-1e3d30d32ad0	AIR_COOLED_CHILLER
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	afdf935a-b373-4ded-b898-7a2040e58591	COOLING_TOWER
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	400785f7-bf17-4ae9-8ccf-88cee845bbd8	DRY_COOLER
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	1687e5e8-6ff9-418b-904d-6b5dd391cd11	REMOTE_CONDENSER
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	42b79a01-64f5-4ec6-8575-ab3435760d6f	CHILLED_WATER_PUMPS
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	8e8f5a70-b1d3-415f-a417-29832496f195	HEAT_REJECTION_PUMPS
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	e1e845e1-f845-423d-bd19-d128d9179dd0	VENTILATION
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	461e4107-aa21-4e07-908e-10182c4985bb	INFILTRATION
8ee6c768-25b3-4dc1-84d1-e28f0a0ac156	6e53c27c-f8ae-4d43-8164-43ce2034e795	IT_LOAD
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	3742f855-86a7-46af-b6e6-f1cf6aa2eef9	SWITCHGEAR
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	4d70673f-bf02-42a8-9072-5a058c71c466	GENERATOR
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	7f92037c-5a7c-401a-ac25-c0aae6e16db8	PRIMARY_AUXILIARIES
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	875fc146-d109-4224-bb5b-efde1502629c	UPS
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	34f1ca5c-fbd5-4136-89ef-f9e32e2a4eec	CRITICAL_AUXILIARIES
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	9fee0f0c-493e-4580-900f-75b0df3fbc79	LIGHTING
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	cfb894a3-2a76-4b6d-a9cf-e576e7e29b04	CRITICAL_POWER_DISTRIBUTION
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	4440487d-b282-4887-91de-2882d14fdfb3	CRAH
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	59d80fdd-6f1b-4f52-a09c-815e4f5dea62	CRAC
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	4b9b983c-3469-4891-87c0-84e665973d12	CRAC_WITHOUT_FAN
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	3dc47295-982b-4f6c-823e-069e217f7dc5	CRAC_FAN
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	687b9358-df30-4255-b146-2a047bcff74b	CHILLER
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	702af0f2-48f7-49a4-8184-9b91efa5f7cb	AIR_COOLED_CHILLER
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	75acca86-e65b-47c9-96b5-b42777bed6d7	COOLING_TOWER
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	d299c75a-2ec5-4bed-884d-c92b0a56b472	DRY_COOLER
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	4ce03d37-1b8f-42bc-a55b-a3191902ccc8	REMOTE_CONDENSER
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	8aa86049-865f-47c7-bee1-46a6c2efe2a0	CHILLED_WATER_PUMPS
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	86e7af30-0179-4d37-976b-7c9d193364fd	HEAT_REJECTION_PUMPS
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	026093ea-9074-4ce9-af99-988cdb16ae5b	VENTILATION
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	098c4efb-051a-4497-a8a2-231ae5621c11	INFILTRATION
70cf7bb2-55dc-4f3e-9f38-80b602ee0143	68bf125b-4fb0-4560-b79f-3d0117cf5a64	IT_LOAD
77774563-9c41-4bab-98cc-aea4c85a23ba	8ca35768-6c97-4303-ba1f-b649a336b6c8	SWITCHGEAR
77774563-9c41-4bab-98cc-aea4c85a23ba	7d7aa007-7746-498a-9bf2-4e0e989f1f0a	GENERATOR
77774563-9c41-4bab-98cc-aea4c85a23ba	c9004aac-492f-43a9-b8e2-08b09f5ddd16	PRIMARY_AUXILIARIES
77774563-9c41-4bab-98cc-aea4c85a23ba	2352a229-b9bc-48b5-b612-5f43d319db68	UPS
77774563-9c41-4bab-98cc-aea4c85a23ba	c4b3923a-3e01-4949-a243-c3b0e07090e9	CRITICAL_AUXILIARIES
77774563-9c41-4bab-98cc-aea4c85a23ba	56d3f242-c89d-4b61-9efe-5a87f0a541a6	LIGHTING
77774563-9c41-4bab-98cc-aea4c85a23ba	b5f127e3-c7fe-4c81-9947-2e6753379420	CRITICAL_POWER_DISTRIBUTION
77774563-9c41-4bab-98cc-aea4c85a23ba	a4aed6e6-c1ed-42c8-a067-e715854a8950	CRAH
77774563-9c41-4bab-98cc-aea4c85a23ba	3f7d602a-2ee7-4098-a63f-ba5a9de3a16f	CRAC
77774563-9c41-4bab-98cc-aea4c85a23ba	98eb8c92-4a26-48f2-8c76-4737cd04f0f7	CRAC_WITHOUT_FAN
77774563-9c41-4bab-98cc-aea4c85a23ba	85beb9df-cb62-493b-8deb-3d7a55f0cd46	CRAC_FAN
77774563-9c41-4bab-98cc-aea4c85a23ba	381b2a77-595a-46e7-97a0-87f0f6390fe3	CHILLER
77774563-9c41-4bab-98cc-aea4c85a23ba	cef17cd7-6a65-47ce-a4b7-a9c937f5a512	AIR_COOLED_CHILLER
77774563-9c41-4bab-98cc-aea4c85a23ba	9cc9f65d-9fab-4b23-8604-8161998cd650	COOLING_TOWER
77774563-9c41-4bab-98cc-aea4c85a23ba	adb08f6a-ab89-41f0-b231-e98e1c0280af	DRY_COOLER
77774563-9c41-4bab-98cc-aea4c85a23ba	62a52fee-18c0-439f-866c-64e730d42e8a	REMOTE_CONDENSER
77774563-9c41-4bab-98cc-aea4c85a23ba	67b46c41-b69e-48a1-bf40-63d08ea665eb	CHILLED_WATER_PUMPS
77774563-9c41-4bab-98cc-aea4c85a23ba	2f97df0a-fa1c-48ad-b798-ae4c9d1e7368	HEAT_REJECTION_PUMPS
77774563-9c41-4bab-98cc-aea4c85a23ba	84302e28-82bc-41a9-b949-c3a87784a202	VENTILATION
77774563-9c41-4bab-98cc-aea4c85a23ba	35d8dacb-dbc6-4e1d-b0c6-586ac34e5d71	INFILTRATION
77774563-9c41-4bab-98cc-aea4c85a23ba	9c4f34cd-7512-4d5e-bab5-34160f4d547a	IT_LOAD
da5b8321-f907-449a-8388-d2e4a6326cd2	fdf52a96-108e-4aac-b3c7-31dda8319208	SWITCHGEAR
da5b8321-f907-449a-8388-d2e4a6326cd2	9de7a03d-99c7-41b0-adc4-510d494bf56e	GENERATOR
da5b8321-f907-449a-8388-d2e4a6326cd2	46f58a4b-b33d-41b7-ac3a-a92093b2b84c	PRIMARY_AUXILIARIES
da5b8321-f907-449a-8388-d2e4a6326cd2	c1a4e6c2-40c1-4e25-8256-05c27c375b39	UPS
da5b8321-f907-449a-8388-d2e4a6326cd2	c65718bd-bf2f-4c82-bf30-71be7252cc66	CRITICAL_AUXILIARIES
da5b8321-f907-449a-8388-d2e4a6326cd2	a7eff2ab-16a1-43b4-aca3-a08cac33a680	LIGHTING
da5b8321-f907-449a-8388-d2e4a6326cd2	40985b72-023f-4a7f-a87e-d146718c4051	CRITICAL_POWER_DISTRIBUTION
da5b8321-f907-449a-8388-d2e4a6326cd2	adea4010-c7c5-4e1c-9b2e-5dcd935dbf02	CRAH
da5b8321-f907-449a-8388-d2e4a6326cd2	18b23b16-fdf6-47c1-9a12-139a683a21ee	CRAC
da5b8321-f907-449a-8388-d2e4a6326cd2	70cb1030-547f-4f96-9925-0e82d3fca68c	CRAC_WITHOUT_FAN
da5b8321-f907-449a-8388-d2e4a6326cd2	b390f35c-5942-4d0a-aa8e-096d0007cd35	CRAC_FAN
da5b8321-f907-449a-8388-d2e4a6326cd2	a49a2780-1ce4-4493-b46a-e3fee90f1d9e	CHILLER
da5b8321-f907-449a-8388-d2e4a6326cd2	33bac2e8-12e8-424e-910b-cadef5ebe672	AIR_COOLED_CHILLER
da5b8321-f907-449a-8388-d2e4a6326cd2	e35f51a9-4b2b-4b61-bd52-c308e511d965	COOLING_TOWER
da5b8321-f907-449a-8388-d2e4a6326cd2	d0876e34-64b5-4889-90d0-edb5a405da4d	DRY_COOLER
da5b8321-f907-449a-8388-d2e4a6326cd2	67835582-d229-42fa-847f-c75d5583e1f5	REMOTE_CONDENSER
da5b8321-f907-449a-8388-d2e4a6326cd2	8b18def8-3ab5-4dd9-bc5f-e12f049f5723	CHILLED_WATER_PUMPS
da5b8321-f907-449a-8388-d2e4a6326cd2	4d51bae3-bbcf-4eec-91f8-e2417faa788e	HEAT_REJECTION_PUMPS
da5b8321-f907-449a-8388-d2e4a6326cd2	ce991740-fa97-40aa-bda1-10b1fbf1e4b8	VENTILATION
da5b8321-f907-449a-8388-d2e4a6326cd2	f21720ae-6485-424d-816b-ce29eaffeef7	INFILTRATION
da5b8321-f907-449a-8388-d2e4a6326cd2	a90a0c07-19ec-431b-8b7c-b33a1b459552	IT_LOAD
931ec4fb-2be8-4439-abea-ffbf8ee185e1	aad191e7-4610-4885-832d-e6ea2365d21d	SWITCHGEAR
931ec4fb-2be8-4439-abea-ffbf8ee185e1	05591bee-a46e-4dfa-bc76-4be27dc0ed29	GENERATOR
931ec4fb-2be8-4439-abea-ffbf8ee185e1	da4ab540-c668-4905-a0e9-1bbb4bbd8909	PRIMARY_AUXILIARIES
931ec4fb-2be8-4439-abea-ffbf8ee185e1	a407f2cc-68ff-498e-9c05-d25cb4ba256c	UPS
931ec4fb-2be8-4439-abea-ffbf8ee185e1	f2694673-485c-4aa7-a6c6-a62be6934108	CRITICAL_AUXILIARIES
931ec4fb-2be8-4439-abea-ffbf8ee185e1	d9eed4b1-91b4-412f-b22a-d3578da6538d	LIGHTING
931ec4fb-2be8-4439-abea-ffbf8ee185e1	70e762d7-b3ba-47a0-a554-93dee54a765c	CRITICAL_POWER_DISTRIBUTION
931ec4fb-2be8-4439-abea-ffbf8ee185e1	933e5e10-9c1f-46e5-8dc2-ea37ce3f7efa	CRAH
931ec4fb-2be8-4439-abea-ffbf8ee185e1	8828cce1-b927-40a8-a24f-e71538883e84	CRAC
931ec4fb-2be8-4439-abea-ffbf8ee185e1	806b04d6-6707-4dac-bc9d-d33b7fbf4661	CRAC_WITHOUT_FAN
931ec4fb-2be8-4439-abea-ffbf8ee185e1	2c1d32f0-55fe-4e75-a3b9-27ca0cdc9cde	CRAC_FAN
931ec4fb-2be8-4439-abea-ffbf8ee185e1	e37db165-0cf8-4ec1-941c-3f2f9597eb27	CHILLER
931ec4fb-2be8-4439-abea-ffbf8ee185e1	d15245af-d653-4feb-8a3c-bb38e137c4ad	AIR_COOLED_CHILLER
931ec4fb-2be8-4439-abea-ffbf8ee185e1	a5e244a8-4708-4213-8fae-ce1e976b6ac9	COOLING_TOWER
931ec4fb-2be8-4439-abea-ffbf8ee185e1	658ed45d-3e15-4874-82d9-60a6150a4154	DRY_COOLER
931ec4fb-2be8-4439-abea-ffbf8ee185e1	83c79978-7371-42bd-9154-598a58a8e2c7	REMOTE_CONDENSER
931ec4fb-2be8-4439-abea-ffbf8ee185e1	12556cee-8c95-408d-9ea4-8e7edc234398	CHILLED_WATER_PUMPS
931ec4fb-2be8-4439-abea-ffbf8ee185e1	ef0762ca-52bc-4e96-bed1-d48eaa7020cc	HEAT_REJECTION_PUMPS
931ec4fb-2be8-4439-abea-ffbf8ee185e1	f790c9af-cb4b-43a4-9a85-fee36e1d69d7	VENTILATION
931ec4fb-2be8-4439-abea-ffbf8ee185e1	d95dd9c7-9229-455a-9edf-9c244ee6b5cf	INFILTRATION
931ec4fb-2be8-4439-abea-ffbf8ee185e1	fe6f1b9f-4fcc-45f0-a2f3-8bdb1505465e	IT_LOAD
1cc78d92-6871-4d16-80e1-46e5f015bc1d	afbd0d73-bfe2-49af-9979-14bafe82644f	SWITCHGEAR
1cc78d92-6871-4d16-80e1-46e5f015bc1d	a1ccf3ce-2802-43f1-a986-1507a02f7023	GENERATOR
1cc78d92-6871-4d16-80e1-46e5f015bc1d	e6d952b5-449d-44ee-b3b2-7d880b4c8fe6	PRIMARY_AUXILIARIES
1cc78d92-6871-4d16-80e1-46e5f015bc1d	baa09443-ba28-4acb-a977-8c752d89f4b1	UPS
1cc78d92-6871-4d16-80e1-46e5f015bc1d	8c3e9405-3eb1-4a00-8fc8-4cd55911e9a9	CRITICAL_AUXILIARIES
1cc78d92-6871-4d16-80e1-46e5f015bc1d	a7e47a93-6643-4104-8b1f-61bca7bf842b	LIGHTING
1cc78d92-6871-4d16-80e1-46e5f015bc1d	9d1c8422-b5f5-41af-b6c6-f47a08a8b2be	CRITICAL_POWER_DISTRIBUTION
1cc78d92-6871-4d16-80e1-46e5f015bc1d	2ef326ce-b932-4cc6-b6a6-67c8bae32477	CRAH
1cc78d92-6871-4d16-80e1-46e5f015bc1d	563cae18-298d-4f54-a75e-fff761fd738c	CRAC
1cc78d92-6871-4d16-80e1-46e5f015bc1d	37886ba1-0778-4c62-9434-24addba60e6a	CRAC_WITHOUT_FAN
1cc78d92-6871-4d16-80e1-46e5f015bc1d	e4faf5e3-7e56-44b8-a05e-578b922846bc	CRAC_FAN
1cc78d92-6871-4d16-80e1-46e5f015bc1d	930555e7-c2c2-4198-9b4e-21a0a3edca31	CHILLER
1cc78d92-6871-4d16-80e1-46e5f015bc1d	ff4283cd-724f-48e2-a2aa-b093e8071821	AIR_COOLED_CHILLER
1cc78d92-6871-4d16-80e1-46e5f015bc1d	e2a4aec3-3291-469e-8f5d-2f78136d2e5e	COOLING_TOWER
1cc78d92-6871-4d16-80e1-46e5f015bc1d	9ec9ec84-1c07-4e91-8bd1-3ef1690cfc74	DRY_COOLER
1cc78d92-6871-4d16-80e1-46e5f015bc1d	59b7278a-b4b5-4d7e-8de1-2135c64f23a3	REMOTE_CONDENSER
1cc78d92-6871-4d16-80e1-46e5f015bc1d	fd677d52-00be-445e-8b12-68d01287fad1	CHILLED_WATER_PUMPS
1cc78d92-6871-4d16-80e1-46e5f015bc1d	3c86f4ad-b812-41ff-8d49-c3949f5c2a9c	HEAT_REJECTION_PUMPS
1cc78d92-6871-4d16-80e1-46e5f015bc1d	e6cbfcb1-a5e4-4c58-aebb-02d95df1d91a	VENTILATION
1cc78d92-6871-4d16-80e1-46e5f015bc1d	12dfd448-52af-4962-8acb-2980b9c8ae03	INFILTRATION
1cc78d92-6871-4d16-80e1-46e5f015bc1d	e051ba94-4e3a-4747-825f-5f667703db8f	IT_LOAD
c77d7a76-2255-4574-b656-666b6a73bef3	0bd556b7-2b2f-4350-979b-0f0745fe6a7f	SWITCHGEAR
c77d7a76-2255-4574-b656-666b6a73bef3	ad64586d-acaa-4950-a1df-d0f4120a6bcb	GENERATOR
c77d7a76-2255-4574-b656-666b6a73bef3	17f34ce9-b1ad-4b77-932f-815775ec2fa1	PRIMARY_AUXILIARIES
c77d7a76-2255-4574-b656-666b6a73bef3	b5ff76e6-fdd2-4b15-b1be-b3693706b535	UPS
c77d7a76-2255-4574-b656-666b6a73bef3	d1ce5272-726a-429b-bfe0-59ee460286ec	CRITICAL_AUXILIARIES
c77d7a76-2255-4574-b656-666b6a73bef3	dd28abb8-54a0-41f5-b0dd-9187259e0942	LIGHTING
c77d7a76-2255-4574-b656-666b6a73bef3	5a1dbf55-40ea-4ce2-94ee-1a49f6aa4fa7	CRITICAL_POWER_DISTRIBUTION
c77d7a76-2255-4574-b656-666b6a73bef3	eedebb47-8c14-4079-807e-6244a7f500e0	CRAH
c77d7a76-2255-4574-b656-666b6a73bef3	99754172-d1f8-4c31-99ec-4821c248260c	CRAC
c77d7a76-2255-4574-b656-666b6a73bef3	28592513-51a4-4a15-9960-e8fa5db978da	CRAC_WITHOUT_FAN
c77d7a76-2255-4574-b656-666b6a73bef3	1128e6af-6d29-459c-ab58-869ec442051b	CRAC_FAN
c77d7a76-2255-4574-b656-666b6a73bef3	0d691fed-f630-4377-827b-de21ef3d2e50	CHILLER
c77d7a76-2255-4574-b656-666b6a73bef3	d5a199e4-e528-4f27-8790-4fccca064459	AIR_COOLED_CHILLER
c77d7a76-2255-4574-b656-666b6a73bef3	ef772c61-809e-47e7-8d7b-52fbb7b1d510	COOLING_TOWER
c77d7a76-2255-4574-b656-666b6a73bef3	0d7e310f-8c8c-43ba-9f9d-f94f59f58ab1	DRY_COOLER
c77d7a76-2255-4574-b656-666b6a73bef3	a20600ff-4b4c-4d64-b65a-44cc9d7c5e25	REMOTE_CONDENSER
c77d7a76-2255-4574-b656-666b6a73bef3	9c9bdb2e-fe52-4fc8-84c9-6fa1e073adf2	CHILLED_WATER_PUMPS
c77d7a76-2255-4574-b656-666b6a73bef3	e4cafc40-aa63-4171-b41e-bbfbe78b521b	HEAT_REJECTION_PUMPS
c77d7a76-2255-4574-b656-666b6a73bef3	3c2b366c-d0d9-4413-a0e6-78911f239cb6	VENTILATION
c77d7a76-2255-4574-b656-666b6a73bef3	712d3acb-8378-41bb-bae4-a36b5825bb4e	INFILTRATION
c77d7a76-2255-4574-b656-666b6a73bef3	409d0422-e078-474f-add5-20989092a55d	IT_LOAD
aee35622-044e-4a42-9355-155fdc5c6fa1	ff27564b-ca85-4d61-ad4e-37db77da3664	SWITCHGEAR
aee35622-044e-4a42-9355-155fdc5c6fa1	a5569609-dc58-497b-b5c1-260070f63cab	GENERATOR
aee35622-044e-4a42-9355-155fdc5c6fa1	f0be955b-9a8e-4a48-b8c7-d9b58c1aa995	PRIMARY_AUXILIARIES
aee35622-044e-4a42-9355-155fdc5c6fa1	be8fdafb-68ed-4dc1-aa06-764914f6e958	UPS
aee35622-044e-4a42-9355-155fdc5c6fa1	32056d58-a139-421a-9b8e-512d91972fbf	CRITICAL_AUXILIARIES
aee35622-044e-4a42-9355-155fdc5c6fa1	69b2b4c0-e655-4be0-96b9-fabf8a8a9b6e	LIGHTING
aee35622-044e-4a42-9355-155fdc5c6fa1	a12dc398-9802-4d12-8e55-ea5698a7086b	CRITICAL_POWER_DISTRIBUTION
aee35622-044e-4a42-9355-155fdc5c6fa1	7b85d35f-e09b-4446-9f75-041b73d7f9c5	CRAH
aee35622-044e-4a42-9355-155fdc5c6fa1	b70d19e9-b8fc-4117-9287-9f2faab83d5a	CRAC
aee35622-044e-4a42-9355-155fdc5c6fa1	b465b497-171b-4ce8-888b-5e574d9732d0	CRAC_WITHOUT_FAN
aee35622-044e-4a42-9355-155fdc5c6fa1	311a11f5-97b7-47b7-908c-ab460409c49b	CRAC_FAN
aee35622-044e-4a42-9355-155fdc5c6fa1	3d163f52-85b7-440e-88de-6c23fae142e6	CHILLER
aee35622-044e-4a42-9355-155fdc5c6fa1	29bac5eb-a8dc-400c-adb5-19cef5d88d5e	AIR_COOLED_CHILLER
aee35622-044e-4a42-9355-155fdc5c6fa1	c8f8c4fe-a53e-472d-a926-e45b7fe41ca3	COOLING_TOWER
aee35622-044e-4a42-9355-155fdc5c6fa1	e458d43d-3630-4498-89a1-2991aa61d328	DRY_COOLER
aee35622-044e-4a42-9355-155fdc5c6fa1	f96af75e-7b65-47c2-a511-ee24b5dd62cc	REMOTE_CONDENSER
aee35622-044e-4a42-9355-155fdc5c6fa1	684514c4-13df-493a-bcad-0bf42b5aafab	CHILLED_WATER_PUMPS
aee35622-044e-4a42-9355-155fdc5c6fa1	bf75c256-1c04-4f1d-adc1-b5d9879fb353	HEAT_REJECTION_PUMPS
aee35622-044e-4a42-9355-155fdc5c6fa1	f84a3e5c-bf37-4188-9ea1-2be521e8a684	VENTILATION
aee35622-044e-4a42-9355-155fdc5c6fa1	2625c6b4-e52e-4c28-b078-007584ca20f3	INFILTRATION
aee35622-044e-4a42-9355-155fdc5c6fa1	75b1f03f-999e-4b8c-a1e2-e8a8742188cd	IT_LOAD
74836f86-4063-4a01-8015-12fc07b80bf1	5b860308-045e-4ea2-9765-cdc6912605c0	SWITCHGEAR
74836f86-4063-4a01-8015-12fc07b80bf1	8a7e95a2-f4c2-45d6-bed8-158b4b5a1909	GENERATOR
74836f86-4063-4a01-8015-12fc07b80bf1	a8934ff0-3e19-4b89-99b9-59868c3467c6	PRIMARY_AUXILIARIES
74836f86-4063-4a01-8015-12fc07b80bf1	74450fad-79ae-415f-be8f-2b935148f30d	UPS
74836f86-4063-4a01-8015-12fc07b80bf1	51594df8-0fce-466b-809d-af15096bbf16	CRITICAL_AUXILIARIES
74836f86-4063-4a01-8015-12fc07b80bf1	fa8ad7b1-4810-4ca3-a935-1eba7d500b55	LIGHTING
74836f86-4063-4a01-8015-12fc07b80bf1	f652ad2f-d627-463d-b2d3-2722f5e51dda	CRITICAL_POWER_DISTRIBUTION
74836f86-4063-4a01-8015-12fc07b80bf1	4c6d8ff8-e8f7-4000-a178-25100379dc04	CRAH
74836f86-4063-4a01-8015-12fc07b80bf1	9d04fe5b-3c17-43e7-bd41-cd27647ec1da	CRAC
74836f86-4063-4a01-8015-12fc07b80bf1	226c60b6-ef46-494d-ad30-ad72cd6481ae	CRAC_WITHOUT_FAN
74836f86-4063-4a01-8015-12fc07b80bf1	bf62fd05-1066-4c20-9f09-550be37d905a	CRAC_FAN
74836f86-4063-4a01-8015-12fc07b80bf1	10988872-919c-4d20-9355-ddc8036695ed	CHILLER
74836f86-4063-4a01-8015-12fc07b80bf1	77408e64-dd42-41a1-8fec-6dafe49cef4b	AIR_COOLED_CHILLER
74836f86-4063-4a01-8015-12fc07b80bf1	3421d6b0-c958-4cb3-a381-d8313e726449	COOLING_TOWER
74836f86-4063-4a01-8015-12fc07b80bf1	d57f7df4-79a2-41e0-85b0-e0f15473050f	DRY_COOLER
74836f86-4063-4a01-8015-12fc07b80bf1	b5459cad-0895-4dde-912b-8eb34895dbc9	REMOTE_CONDENSER
74836f86-4063-4a01-8015-12fc07b80bf1	cb073462-e098-45c6-8465-4ff541e42813	CHILLED_WATER_PUMPS
74836f86-4063-4a01-8015-12fc07b80bf1	191f55d2-f718-40de-99d3-8f3602216641	HEAT_REJECTION_PUMPS
74836f86-4063-4a01-8015-12fc07b80bf1	9eb53d8d-ab58-4569-827d-d0f3d8081b3d	VENTILATION
74836f86-4063-4a01-8015-12fc07b80bf1	5f6e82f1-4ee4-4833-b58d-6069402a97fe	INFILTRATION
74836f86-4063-4a01-8015-12fc07b80bf1	e12070a0-ed75-4ff1-9633-85ccdd7b498f	IT_LOAD
14d6bb81-aa92-4e2a-a361-ffdc7c224685	5e3cc318-b28e-4717-b3cd-e51464275c33	SWITCHGEAR
14d6bb81-aa92-4e2a-a361-ffdc7c224685	5817eef5-fbf9-4337-a2c9-b1e21fa7da99	GENERATOR
14d6bb81-aa92-4e2a-a361-ffdc7c224685	84cdea16-79a6-4fd4-9944-34ec691cfd64	PRIMARY_AUXILIARIES
14d6bb81-aa92-4e2a-a361-ffdc7c224685	e6786615-a2cf-4105-9625-92a41ad2583f	UPS
14d6bb81-aa92-4e2a-a361-ffdc7c224685	ccabb0b8-b292-4004-8528-d84dcbf7cce8	CRITICAL_AUXILIARIES
14d6bb81-aa92-4e2a-a361-ffdc7c224685	86283aa0-8af3-4887-90ad-23ad9de569f2	LIGHTING
14d6bb81-aa92-4e2a-a361-ffdc7c224685	52e80757-a17f-4eb0-92b5-0ced092a2dda	CRITICAL_POWER_DISTRIBUTION
14d6bb81-aa92-4e2a-a361-ffdc7c224685	f3cde715-07b6-42ee-91c6-fd4c38ac3555	CRAH
14d6bb81-aa92-4e2a-a361-ffdc7c224685	9b9caf56-1ab5-486e-a80b-ed0b12253b8c	CRAC
14d6bb81-aa92-4e2a-a361-ffdc7c224685	2770c577-3916-4a88-9150-2938ffd9df33	CRAC_WITHOUT_FAN
14d6bb81-aa92-4e2a-a361-ffdc7c224685	2bcd7c4a-6644-4d16-b695-8ce51a382510	CRAC_FAN
14d6bb81-aa92-4e2a-a361-ffdc7c224685	72b6bf47-8ba7-42c4-a017-ff00534d2c3c	CHILLER
14d6bb81-aa92-4e2a-a361-ffdc7c224685	d5d05e57-c044-4166-a869-6d8aee5cbca6	AIR_COOLED_CHILLER
14d6bb81-aa92-4e2a-a361-ffdc7c224685	b757f266-5ccb-4815-b89c-87de5080a17a	COOLING_TOWER
14d6bb81-aa92-4e2a-a361-ffdc7c224685	8c0659a6-5aa3-444b-8bfa-f9363bf0cb38	DRY_COOLER
14d6bb81-aa92-4e2a-a361-ffdc7c224685	f43b778d-0ac3-472a-b709-9e1477527e80	REMOTE_CONDENSER
14d6bb81-aa92-4e2a-a361-ffdc7c224685	b9f062e4-ee7a-49b8-8484-1f96c57b646d	CHILLED_WATER_PUMPS
14d6bb81-aa92-4e2a-a361-ffdc7c224685	adb03920-df7b-49d8-b964-b00b4e162b9c	HEAT_REJECTION_PUMPS
14d6bb81-aa92-4e2a-a361-ffdc7c224685	c394ce94-6d03-4fb7-85ea-bbaadc5f72a3	VENTILATION
14d6bb81-aa92-4e2a-a361-ffdc7c224685	44600561-3531-4249-8efa-d3193e8ea0e5	INFILTRATION
14d6bb81-aa92-4e2a-a361-ffdc7c224685	d5176ba3-69ad-4785-b97d-30cc1e9fe042	IT_LOAD
62f11aec-c574-407e-9b4c-09d986c93074	93fda5e5-552f-4439-9fdc-7ec8374ab1bc	SWITCHGEAR
62f11aec-c574-407e-9b4c-09d986c93074	3c1417e2-eea4-47b4-8bc1-0a7fa8bba7f9	GENERATOR
62f11aec-c574-407e-9b4c-09d986c93074	7dbeda37-098e-45c0-a70c-f9eb30ab5ce4	PRIMARY_AUXILIARIES
62f11aec-c574-407e-9b4c-09d986c93074	09be50eb-8421-4e71-9c7f-ee537f5402c5	UPS
62f11aec-c574-407e-9b4c-09d986c93074	d299f834-8d1f-4bde-ad7f-277ad0f90fd6	CRITICAL_AUXILIARIES
62f11aec-c574-407e-9b4c-09d986c93074	55c9be7d-e167-4970-b24c-e0f3158f5c69	LIGHTING
62f11aec-c574-407e-9b4c-09d986c93074	11a499c8-19e9-45aa-89c4-745b15344acb	CRITICAL_POWER_DISTRIBUTION
62f11aec-c574-407e-9b4c-09d986c93074	d47d5ab4-6a57-45cb-9c69-f49b4c75af09	CRAH
62f11aec-c574-407e-9b4c-09d986c93074	855f5489-5a6b-47df-a123-502c016bdcaf	CRAC
62f11aec-c574-407e-9b4c-09d986c93074	67de2796-1a88-40ce-baae-4ddd555db731	CRAC_WITHOUT_FAN
62f11aec-c574-407e-9b4c-09d986c93074	e078d9f5-9c92-4ea5-8e0c-ee13d08c56b7	CRAC_FAN
62f11aec-c574-407e-9b4c-09d986c93074	2e9d8f28-5c2c-4074-9563-2f0264817907	CHILLER
62f11aec-c574-407e-9b4c-09d986c93074	c9d306e0-ad04-450a-92a2-a31dd5e4365d	AIR_COOLED_CHILLER
62f11aec-c574-407e-9b4c-09d986c93074	5e7e7041-c356-40de-86ed-3115dbb71fd3	COOLING_TOWER
62f11aec-c574-407e-9b4c-09d986c93074	1e77b84e-ef5e-4944-9809-fd5a974f7bf3	DRY_COOLER
62f11aec-c574-407e-9b4c-09d986c93074	901c627f-0e78-4d31-a149-6f8e94ad0af5	REMOTE_CONDENSER
62f11aec-c574-407e-9b4c-09d986c93074	d9b4fc42-b415-4659-9e2d-bab298526f91	CHILLED_WATER_PUMPS
62f11aec-c574-407e-9b4c-09d986c93074	cad51ec6-3e0f-4a4a-bb68-96b191bb78ec	HEAT_REJECTION_PUMPS
62f11aec-c574-407e-9b4c-09d986c93074	3ef27680-5fa6-4d45-99f1-73a591be23a0	VENTILATION
62f11aec-c574-407e-9b4c-09d986c93074	186ec105-04c7-4d53-86ac-9fbc56710363	INFILTRATION
62f11aec-c574-407e-9b4c-09d986c93074	1d383600-9d35-45bb-95e4-4fb9af174444	IT_LOAD
45b37c7e-5116-4456-b22e-7bdc0d33332a	2da908cf-42af-4144-ae0b-96e66ba77ecf	SWITCHGEAR
45b37c7e-5116-4456-b22e-7bdc0d33332a	aac90126-a1f4-476b-bdf2-6df0284b41f5	GENERATOR
45b37c7e-5116-4456-b22e-7bdc0d33332a	b35e7574-aaeb-4680-9674-b4563238b4bb	PRIMARY_AUXILIARIES
45b37c7e-5116-4456-b22e-7bdc0d33332a	7d274ae5-d076-495d-bf86-8645d814b5cb	UPS
45b37c7e-5116-4456-b22e-7bdc0d33332a	d114e784-089f-4527-9ff0-fa6ff998a411	CRITICAL_AUXILIARIES
45b37c7e-5116-4456-b22e-7bdc0d33332a	6c0ef130-c145-4acf-ad0e-a156a996c893	LIGHTING
45b37c7e-5116-4456-b22e-7bdc0d33332a	9d4e4b62-5db4-407e-8dcc-e4f5f8bd2022	CRITICAL_POWER_DISTRIBUTION
45b37c7e-5116-4456-b22e-7bdc0d33332a	81624f3e-d0fb-485d-98ad-847670e16c49	CRAH
45b37c7e-5116-4456-b22e-7bdc0d33332a	2b936a1c-d60c-4362-844e-24c95f496280	CRAC
45b37c7e-5116-4456-b22e-7bdc0d33332a	e41dedf7-493d-43b1-a7c9-c9e2361b34d8	CRAC_WITHOUT_FAN
45b37c7e-5116-4456-b22e-7bdc0d33332a	807a260c-3277-4418-a319-43acf10d92ca	CRAC_FAN
45b37c7e-5116-4456-b22e-7bdc0d33332a	0a491eed-9289-48fe-bd91-f46bc86e926b	CHILLER
45b37c7e-5116-4456-b22e-7bdc0d33332a	791e3299-99ea-4833-a59e-f49ea409fb98	AIR_COOLED_CHILLER
45b37c7e-5116-4456-b22e-7bdc0d33332a	0bb9768f-4262-465d-b4bb-1cc5943c5d56	COOLING_TOWER
45b37c7e-5116-4456-b22e-7bdc0d33332a	34551985-f7e4-4850-a313-ba80d45e42d3	DRY_COOLER
45b37c7e-5116-4456-b22e-7bdc0d33332a	c57e7699-b8ea-46ed-81ac-edca529ad1f5	REMOTE_CONDENSER
45b37c7e-5116-4456-b22e-7bdc0d33332a	79dc4db4-6c10-440a-8bc1-18327559ed20	CHILLED_WATER_PUMPS
45b37c7e-5116-4456-b22e-7bdc0d33332a	2c20bc68-4b5d-4127-ab08-bd505b048855	HEAT_REJECTION_PUMPS
45b37c7e-5116-4456-b22e-7bdc0d33332a	3e52876d-c6e7-46f4-bb69-4212597be5e1	VENTILATION
45b37c7e-5116-4456-b22e-7bdc0d33332a	79df95c7-f2a6-4624-8e36-12e15ccd070c	INFILTRATION
45b37c7e-5116-4456-b22e-7bdc0d33332a	06f19773-9c78-4be5-9845-4a8f73c76957	IT_LOAD
d0df774f-1589-47fe-a1e8-f3a59608706d	b5a02ce1-f669-4b64-966e-6a3de5f6c070	SWITCHGEAR
d0df774f-1589-47fe-a1e8-f3a59608706d	c9251525-2874-43af-960d-2a1c43a8b9aa	GENERATOR
d0df774f-1589-47fe-a1e8-f3a59608706d	2bfee1e9-d63b-404c-81f7-7f54b371b03f	PRIMARY_AUXILIARIES
d0df774f-1589-47fe-a1e8-f3a59608706d	8d4a4a93-011b-4b09-b407-8725fc3ba69e	UPS
d0df774f-1589-47fe-a1e8-f3a59608706d	e6f9073b-8f97-4087-811a-29ff8d3207fe	CRITICAL_AUXILIARIES
d0df774f-1589-47fe-a1e8-f3a59608706d	bc95794e-5050-493a-9836-bfba8d03d213	LIGHTING
d0df774f-1589-47fe-a1e8-f3a59608706d	6e52e614-646c-4113-b0f8-faf66cb2fac5	CRITICAL_POWER_DISTRIBUTION
d0df774f-1589-47fe-a1e8-f3a59608706d	6d004ae0-88c3-4fce-8259-9ac1bd2dc769	CRAH
d0df774f-1589-47fe-a1e8-f3a59608706d	a418aeaa-8f77-4af1-8f6a-14c9e9b28333	CRAC
d0df774f-1589-47fe-a1e8-f3a59608706d	af77d1d0-cc8b-441c-b62c-821a8505dd6e	CRAC_WITHOUT_FAN
d0df774f-1589-47fe-a1e8-f3a59608706d	96d64f6a-a10c-4aea-b6f0-2c326b297ed8	CRAC_FAN
d0df774f-1589-47fe-a1e8-f3a59608706d	b974b180-296d-44a1-821a-04ee52338913	CHILLER
d0df774f-1589-47fe-a1e8-f3a59608706d	014d8db3-b8d8-441d-9db7-ae90642d513f	AIR_COOLED_CHILLER
d0df774f-1589-47fe-a1e8-f3a59608706d	9722695c-69c4-49e7-8f90-fba19779da15	COOLING_TOWER
d0df774f-1589-47fe-a1e8-f3a59608706d	b9a0a289-8a6d-43a7-921e-f6bdedc37b30	DRY_COOLER
d0df774f-1589-47fe-a1e8-f3a59608706d	a0c09446-1903-42b3-9c7e-92958c3353a3	REMOTE_CONDENSER
d0df774f-1589-47fe-a1e8-f3a59608706d	ff8613c5-90d2-4cfd-9e46-cf8678eb37a6	CHILLED_WATER_PUMPS
d0df774f-1589-47fe-a1e8-f3a59608706d	fe2c759c-4710-4bcf-8d19-56722b4941c4	HEAT_REJECTION_PUMPS
d0df774f-1589-47fe-a1e8-f3a59608706d	b5f81ff5-cb63-49f5-b069-53525bd5b782	VENTILATION
d0df774f-1589-47fe-a1e8-f3a59608706d	38e0fdc1-e83f-46c4-9456-f1f60ef84a8a	INFILTRATION
d0df774f-1589-47fe-a1e8-f3a59608706d	36e758c8-7c0e-4091-97b6-1748f7c2b191	IT_LOAD
0e17c088-7bd2-4c91-a72c-ca76ff84db89	6026e413-ca92-4e07-8bf2-aa9ba0d98bf1	SWITCHGEAR
0e17c088-7bd2-4c91-a72c-ca76ff84db89	94d30747-5f24-4e60-874e-2d03207037bb	GENERATOR
0e17c088-7bd2-4c91-a72c-ca76ff84db89	9a3e381e-1b4c-4094-8c8e-ff816950baff	PRIMARY_AUXILIARIES
0e17c088-7bd2-4c91-a72c-ca76ff84db89	d59b8f6b-d4e1-4a7d-b6b8-477ee26b45f8	UPS
0e17c088-7bd2-4c91-a72c-ca76ff84db89	3dfeafe4-3c72-4e58-82c3-83b2c6849668	CRITICAL_AUXILIARIES
0e17c088-7bd2-4c91-a72c-ca76ff84db89	e3894fc0-a355-4c19-bd1e-625c0d029630	LIGHTING
0e17c088-7bd2-4c91-a72c-ca76ff84db89	5c43cac8-d0e8-4c50-9ecb-d4090e13410d	CRITICAL_POWER_DISTRIBUTION
0e17c088-7bd2-4c91-a72c-ca76ff84db89	b8d4a5f5-c093-4f18-a8c4-46905167f908	CRAH
0e17c088-7bd2-4c91-a72c-ca76ff84db89	08671f2c-6021-48c6-95a1-9be30a598444	CRAC
0e17c088-7bd2-4c91-a72c-ca76ff84db89	677a44dd-0b07-46d2-bff8-61edbc67ad4e	CRAC_WITHOUT_FAN
0e17c088-7bd2-4c91-a72c-ca76ff84db89	efd8ebbc-26e3-4c39-ac6d-140cd1aab414	CRAC_FAN
0e17c088-7bd2-4c91-a72c-ca76ff84db89	d5ca4f15-e005-472d-9f56-9f0c39adf718	CHILLER
0e17c088-7bd2-4c91-a72c-ca76ff84db89	0fcb99be-8521-4349-85ad-253c360a5ec3	AIR_COOLED_CHILLER
0e17c088-7bd2-4c91-a72c-ca76ff84db89	551805bc-c1b6-4017-8211-9bd1c46136fb	COOLING_TOWER
0e17c088-7bd2-4c91-a72c-ca76ff84db89	ae0c8ae3-0e4f-40bb-8a6f-8d43dd104d88	DRY_COOLER
0e17c088-7bd2-4c91-a72c-ca76ff84db89	e33d7808-5efd-4a97-9aae-d58c51687c58	REMOTE_CONDENSER
0e17c088-7bd2-4c91-a72c-ca76ff84db89	00f04a4c-a1ca-4c17-b414-c7e5671f10f8	CHILLED_WATER_PUMPS
0e17c088-7bd2-4c91-a72c-ca76ff84db89	4709d3d2-a841-44fe-a84a-e4becb2919bc	HEAT_REJECTION_PUMPS
0e17c088-7bd2-4c91-a72c-ca76ff84db89	bbb9013f-e4a6-49fe-a885-df182682439b	VENTILATION
0e17c088-7bd2-4c91-a72c-ca76ff84db89	8d34471e-3b9c-4223-b187-de5aed819c35	INFILTRATION
0e17c088-7bd2-4c91-a72c-ca76ff84db89	f5000fcb-5b27-46b9-920a-3cb67ce49910	IT_LOAD
b3b1bf27-7902-43db-946f-fdda5304d6d3	c8694898-ed55-4b7b-9857-f0232b2a1672	SWITCHGEAR
b3b1bf27-7902-43db-946f-fdda5304d6d3	341239ae-7203-43a8-ba6a-d0ff6f41f075	GENERATOR
b3b1bf27-7902-43db-946f-fdda5304d6d3	4029017a-7814-4c81-8c3e-263ed7461a53	PRIMARY_AUXILIARIES
b3b1bf27-7902-43db-946f-fdda5304d6d3	a14570bc-fd5a-4065-889c-c49872a456d5	UPS
b3b1bf27-7902-43db-946f-fdda5304d6d3	1634e67e-d03e-4e82-add8-39f8ff8dc6ca	CRITICAL_AUXILIARIES
b3b1bf27-7902-43db-946f-fdda5304d6d3	f33b3fe5-50fc-4337-9ccb-c90346f7931b	LIGHTING
b3b1bf27-7902-43db-946f-fdda5304d6d3	35bb6461-9e9c-4d4e-8b03-b6013d67b261	CRITICAL_POWER_DISTRIBUTION
b3b1bf27-7902-43db-946f-fdda5304d6d3	c119f993-e52d-4596-8b4b-024c660dd73b	CRAH
b3b1bf27-7902-43db-946f-fdda5304d6d3	b45fb5d7-6bdd-4ef5-8d14-ae5640d9c89b	CRAC
b3b1bf27-7902-43db-946f-fdda5304d6d3	dbe300af-b921-435e-924b-dc1d32f106ba	CRAC_WITHOUT_FAN
b3b1bf27-7902-43db-946f-fdda5304d6d3	c3f023f3-4f7b-44f6-aad8-54397c47855d	CRAC_FAN
b3b1bf27-7902-43db-946f-fdda5304d6d3	1a30ad0b-3f9f-4e0d-a9ef-447e0fbb4737	CHILLER
b3b1bf27-7902-43db-946f-fdda5304d6d3	a586138a-e106-47ef-a769-be4d4c7f1b81	AIR_COOLED_CHILLER
b3b1bf27-7902-43db-946f-fdda5304d6d3	c20f4d97-8f5b-4fa0-a923-485d5416a019	COOLING_TOWER
b3b1bf27-7902-43db-946f-fdda5304d6d3	6256c307-caab-4889-9598-2ca31a29809e	DRY_COOLER
b3b1bf27-7902-43db-946f-fdda5304d6d3	65d226c1-3774-4fbf-997d-9eda21bbd457	REMOTE_CONDENSER
b3b1bf27-7902-43db-946f-fdda5304d6d3	39687cf6-3b39-495c-8f9e-e7d229899a68	CHILLED_WATER_PUMPS
b3b1bf27-7902-43db-946f-fdda5304d6d3	887d0731-c533-4151-9553-a04b2fc60479	HEAT_REJECTION_PUMPS
b3b1bf27-7902-43db-946f-fdda5304d6d3	29ab8338-6d52-432e-9a87-d095f957623c	VENTILATION
b3b1bf27-7902-43db-946f-fdda5304d6d3	c2be9c15-1370-4f57-a625-6cd99828463d	INFILTRATION
b3b1bf27-7902-43db-946f-fdda5304d6d3	b9ebfedd-885b-48ea-bd47-98f6d83cafca	IT_LOAD
6ca81abe-d952-444b-9794-64856f4ae84e	c0733b50-3c6a-49ac-b922-a00092e80f5c	SWITCHGEAR
6ca81abe-d952-444b-9794-64856f4ae84e	4248bdda-c515-4134-aca8-d0189a35ce36	GENERATOR
6ca81abe-d952-444b-9794-64856f4ae84e	81bb2d2b-0243-46a5-a35a-7012f80a4294	PRIMARY_AUXILIARIES
6ca81abe-d952-444b-9794-64856f4ae84e	23ef4354-63f6-4f2c-ac4d-b592960002e7	UPS
6ca81abe-d952-444b-9794-64856f4ae84e	a154d079-b788-4038-97e2-ce6b618bd4d6	CRITICAL_AUXILIARIES
6ca81abe-d952-444b-9794-64856f4ae84e	bfbca3a6-f1af-468a-b4a8-bf51320cac74	LIGHTING
6ca81abe-d952-444b-9794-64856f4ae84e	cfe160f6-87c2-4f40-acbc-000597dcc190	CRITICAL_POWER_DISTRIBUTION
6ca81abe-d952-444b-9794-64856f4ae84e	97330077-fadf-41e0-addc-92bd7f180bbe	CRAH
6ca81abe-d952-444b-9794-64856f4ae84e	ca0eece9-2395-49bd-8fa1-feee646000d7	CRAC
6ca81abe-d952-444b-9794-64856f4ae84e	a153e7c7-e8ec-4a98-aaa1-27cf6d7aa1b8	CRAC_WITHOUT_FAN
6ca81abe-d952-444b-9794-64856f4ae84e	9a3362d3-e12c-456d-a856-f30a92de87ee	CRAC_FAN
6ca81abe-d952-444b-9794-64856f4ae84e	909df986-c43e-49a1-9cef-16a1e57b8ead	CHILLER
6ca81abe-d952-444b-9794-64856f4ae84e	48002f83-6ba9-4ff4-8c64-40ae55e59b06	AIR_COOLED_CHILLER
6ca81abe-d952-444b-9794-64856f4ae84e	897fb671-8e3b-4642-a56a-0238240c5d5a	COOLING_TOWER
6ca81abe-d952-444b-9794-64856f4ae84e	d8b07cf1-26da-45a0-9f9a-50d94f95983b	DRY_COOLER
6ca81abe-d952-444b-9794-64856f4ae84e	0f8ab99b-8448-4d66-a533-c981e5f2e6ba	REMOTE_CONDENSER
6ca81abe-d952-444b-9794-64856f4ae84e	f2e40c73-1ad6-4a97-ab78-eeeca40505ec	CHILLED_WATER_PUMPS
6ca81abe-d952-444b-9794-64856f4ae84e	843d1df8-0a79-40da-9f32-91607bed2be0	HEAT_REJECTION_PUMPS
6ca81abe-d952-444b-9794-64856f4ae84e	e5bbaf43-9238-42cc-bacb-ba93d3790f39	VENTILATION
6ca81abe-d952-444b-9794-64856f4ae84e	e3501660-b748-4942-b8de-335a73480380	INFILTRATION
6ca81abe-d952-444b-9794-64856f4ae84e	55f3f6f6-e6b0-493c-bb4f-74fa8b0e249d	IT_LOAD
fddd2f95-a91d-49e7-9a23-5551655064bd	74833132-3ace-460d-b3b3-d6b01a77f2ed	SWITCHGEAR
fddd2f95-a91d-49e7-9a23-5551655064bd	be18cc6c-1ac7-4c64-a1c2-e7592cbcdeea	GENERATOR
fddd2f95-a91d-49e7-9a23-5551655064bd	e8d793d9-4cea-4cb7-b92c-fbf8a5974bb7	PRIMARY_AUXILIARIES
fddd2f95-a91d-49e7-9a23-5551655064bd	eca7f5bf-b301-4e20-893e-61fe579746d2	UPS
fddd2f95-a91d-49e7-9a23-5551655064bd	ae75707c-5ccd-4345-be16-8a164a7a3049	CRITICAL_AUXILIARIES
fddd2f95-a91d-49e7-9a23-5551655064bd	df0f0089-b312-464f-97ab-1d2c0b168b9f	LIGHTING
fddd2f95-a91d-49e7-9a23-5551655064bd	bee03a79-c8b8-4a1f-af9e-31e44f266534	CRITICAL_POWER_DISTRIBUTION
fddd2f95-a91d-49e7-9a23-5551655064bd	ed66892a-0ae9-4a9d-a26b-13c0cb868118	CRAH
fddd2f95-a91d-49e7-9a23-5551655064bd	15be8840-6acc-4845-a42b-ac1a4c09dfda	CRAC
fddd2f95-a91d-49e7-9a23-5551655064bd	1094ecb6-d368-42c5-bf1b-d0b6f56200ed	CRAC_WITHOUT_FAN
fddd2f95-a91d-49e7-9a23-5551655064bd	701d2cc1-34b7-4a57-8888-f180732a7c3a	CRAC_FAN
fddd2f95-a91d-49e7-9a23-5551655064bd	12574a9b-f010-4f30-a001-6a4a054fac50	CHILLER
fddd2f95-a91d-49e7-9a23-5551655064bd	1bae45eb-726b-45aa-9fb4-30ac16de111b	AIR_COOLED_CHILLER
fddd2f95-a91d-49e7-9a23-5551655064bd	2bb77d30-6f84-412c-8fdc-bd6920eeb6bf	COOLING_TOWER
fddd2f95-a91d-49e7-9a23-5551655064bd	573b3c27-06af-4af6-9cc4-1eb34de5c391	DRY_COOLER
fddd2f95-a91d-49e7-9a23-5551655064bd	8c0d4d3a-a3b5-4056-a772-19c089684cb7	REMOTE_CONDENSER
fddd2f95-a91d-49e7-9a23-5551655064bd	80b63f50-e3a6-4150-bad1-bf1b22d8ee75	CHILLED_WATER_PUMPS
fddd2f95-a91d-49e7-9a23-5551655064bd	98d93f07-8aa9-4cce-8d61-9389c4fefdfd	HEAT_REJECTION_PUMPS
fddd2f95-a91d-49e7-9a23-5551655064bd	d1bf442a-51e5-46cb-950d-d145634f56ae	VENTILATION
fddd2f95-a91d-49e7-9a23-5551655064bd	5f6a3a9e-4058-48b1-a6a8-7b7605d5436b	INFILTRATION
fddd2f95-a91d-49e7-9a23-5551655064bd	fcf2cc7b-26b1-4edf-a667-6fb86ff75422	IT_LOAD
b6b73817-7140-4042-8298-d35aba670c79	d26a16b8-a6a3-4bea-b80e-b60ed8c859ae	SWITCHGEAR
b6b73817-7140-4042-8298-d35aba670c79	b23b50f3-4997-490b-a12e-031984494d5d	GENERATOR
b6b73817-7140-4042-8298-d35aba670c79	a32679bf-7dff-4d3c-9d70-8c5f95202ea2	PRIMARY_AUXILIARIES
b6b73817-7140-4042-8298-d35aba670c79	4a823c23-79d8-4c1d-8be3-28e121bcf61d	UPS
b6b73817-7140-4042-8298-d35aba670c79	c78f198f-47a5-4ae8-85c6-d03d1e1b4219	CRITICAL_AUXILIARIES
b6b73817-7140-4042-8298-d35aba670c79	d97918f3-99c7-492b-aab3-a2e7a1457498	LIGHTING
b6b73817-7140-4042-8298-d35aba670c79	bf8e307e-1ada-48c6-b923-a46f402587f5	CRITICAL_POWER_DISTRIBUTION
b6b73817-7140-4042-8298-d35aba670c79	fb7e7c04-5b24-4308-975f-dd27da38d59b	CRAH
b6b73817-7140-4042-8298-d35aba670c79	f59ffbdd-64a6-40f4-b10b-b31522d67949	CRAC
b6b73817-7140-4042-8298-d35aba670c79	00eecaa9-fc0f-49cf-a4c6-30430be7c373	CRAC_WITHOUT_FAN
b6b73817-7140-4042-8298-d35aba670c79	05513a10-67c3-4f32-baa4-af2bba2874e3	CRAC_FAN
b6b73817-7140-4042-8298-d35aba670c79	1d88c0ae-9ddc-4d6b-b87f-7d6bdf74a53b	CHILLER
b6b73817-7140-4042-8298-d35aba670c79	d0c8945c-c264-4538-b1d1-7e490ab90238	AIR_COOLED_CHILLER
b6b73817-7140-4042-8298-d35aba670c79	e6023242-c7a7-4d95-81b2-1e88d2a90dc1	COOLING_TOWER
b6b73817-7140-4042-8298-d35aba670c79	da3f6f46-9d44-46cb-8221-446b8c20a1f1	DRY_COOLER
b6b73817-7140-4042-8298-d35aba670c79	20332c1c-d229-4d0c-8eb9-a399e5ff900b	REMOTE_CONDENSER
b6b73817-7140-4042-8298-d35aba670c79	a0ff48b1-02d5-4161-936b-69810fd10a55	CHILLED_WATER_PUMPS
b6b73817-7140-4042-8298-d35aba670c79	998b56a6-91a3-4de6-a37f-6ab0020a8180	HEAT_REJECTION_PUMPS
b6b73817-7140-4042-8298-d35aba670c79	b925a169-a48a-44e3-90d3-7386f462715d	VENTILATION
b6b73817-7140-4042-8298-d35aba670c79	24e4d82a-2ef2-4960-96ba-b03a3463b43a	INFILTRATION
b6b73817-7140-4042-8298-d35aba670c79	41f43df6-c07a-427e-bf91-050542ec99f3	IT_LOAD
c5d5d774-5574-4726-b332-c0ffbc1e3325	0118fb73-4700-4ff6-aa6d-3fc33d7ebfd6	SWITCHGEAR
c5d5d774-5574-4726-b332-c0ffbc1e3325	5e14fe14-b85a-4c72-8a01-01bdf62aafbd	GENERATOR
c5d5d774-5574-4726-b332-c0ffbc1e3325	aa046f9d-b67c-4388-be91-0a142d52f32b	PRIMARY_AUXILIARIES
c5d5d774-5574-4726-b332-c0ffbc1e3325	a0e98277-553e-423e-b1e1-4315508ced34	UPS
c5d5d774-5574-4726-b332-c0ffbc1e3325	60df8a9f-452a-42c7-b5c1-ce66df769fea	CRITICAL_AUXILIARIES
c5d5d774-5574-4726-b332-c0ffbc1e3325	a88e57a2-5c51-481f-aaff-23b8c94eacaf	LIGHTING
c5d5d774-5574-4726-b332-c0ffbc1e3325	61124d4b-f6d5-4c78-8f5d-35bff0fceabf	CRITICAL_POWER_DISTRIBUTION
c5d5d774-5574-4726-b332-c0ffbc1e3325	edf10f17-a27a-42eb-b629-d19345194fbe	CRAH
c5d5d774-5574-4726-b332-c0ffbc1e3325	a4d19a69-5ca1-4702-b15c-85d3bfbb8fae	CRAC
c5d5d774-5574-4726-b332-c0ffbc1e3325	0a98e6f5-4240-4a10-b985-d7527077a46a	CRAC_WITHOUT_FAN
c5d5d774-5574-4726-b332-c0ffbc1e3325	ed8bca6d-bb99-4ad3-b929-dad3e369e7b5	CRAC_FAN
c5d5d774-5574-4726-b332-c0ffbc1e3325	2ab329c8-f1e5-4bd7-a609-d4de8fee81b3	CHILLER
c5d5d774-5574-4726-b332-c0ffbc1e3325	4f28631c-4f38-4814-9d7b-36e00a020065	AIR_COOLED_CHILLER
c5d5d774-5574-4726-b332-c0ffbc1e3325	54220745-06cc-4df9-9fc7-fb4d8d1068ac	COOLING_TOWER
c5d5d774-5574-4726-b332-c0ffbc1e3325	d529a783-8982-4aaa-919c-e4a669066b51	DRY_COOLER
c5d5d774-5574-4726-b332-c0ffbc1e3325	5c422ac2-1157-49e7-aeff-783e792e3325	REMOTE_CONDENSER
c5d5d774-5574-4726-b332-c0ffbc1e3325	1e4ce156-89c1-431b-935b-8be4178520b8	CHILLED_WATER_PUMPS
c5d5d774-5574-4726-b332-c0ffbc1e3325	7dce2cc2-49c3-4daa-9508-165245f14810	HEAT_REJECTION_PUMPS
c5d5d774-5574-4726-b332-c0ffbc1e3325	e7cebab7-b5d3-4bed-aa20-e7c5e4721d9b	VENTILATION
c5d5d774-5574-4726-b332-c0ffbc1e3325	a5249330-25be-4639-86b4-954691a351c9	INFILTRATION
c5d5d774-5574-4726-b332-c0ffbc1e3325	97c95db5-3161-4ef9-a9d2-bfd7230168f6	IT_LOAD
8db78af5-9e15-4da2-8830-072582e0ce7e	241b339d-60cc-4d48-bb8b-a448078b7a66	SWITCHGEAR
8db78af5-9e15-4da2-8830-072582e0ce7e	37af46dd-1eab-4b8d-a954-1eed21ecb1cd	GENERATOR
8db78af5-9e15-4da2-8830-072582e0ce7e	d60f71e5-e792-4489-89d1-80d8620b58f3	PRIMARY_AUXILIARIES
8db78af5-9e15-4da2-8830-072582e0ce7e	1f130ad5-51e6-40cb-9f86-2342cb6851b2	UPS
8db78af5-9e15-4da2-8830-072582e0ce7e	6ea06ba1-69e6-4741-846d-c725636a9c6a	CRITICAL_AUXILIARIES
8db78af5-9e15-4da2-8830-072582e0ce7e	14822495-ddb1-498b-b146-03ffde4afa83	LIGHTING
8db78af5-9e15-4da2-8830-072582e0ce7e	00a89bf4-9deb-4af4-b13a-6fe77e6640af	CRITICAL_POWER_DISTRIBUTION
8db78af5-9e15-4da2-8830-072582e0ce7e	d5090688-3f2e-4dae-a12c-dc23671fd3b7	CRAH
8db78af5-9e15-4da2-8830-072582e0ce7e	8bbf4363-4946-42ed-8550-dbc215b84ad2	CRAC
8db78af5-9e15-4da2-8830-072582e0ce7e	91e170be-26e1-453c-98e9-16b9acc70d5d	CRAC_WITHOUT_FAN
8db78af5-9e15-4da2-8830-072582e0ce7e	994b5520-edf9-4d83-844b-5d4ff340c5ef	CRAC_FAN
8db78af5-9e15-4da2-8830-072582e0ce7e	43a6296b-6e2f-45a0-8e43-6007a3e61114	CHILLER
8db78af5-9e15-4da2-8830-072582e0ce7e	86e34c9c-cf1c-417e-bded-65ce630d3f22	AIR_COOLED_CHILLER
8db78af5-9e15-4da2-8830-072582e0ce7e	610fe4fc-e5b0-4c07-94a7-d20b1e48a401	COOLING_TOWER
8db78af5-9e15-4da2-8830-072582e0ce7e	c92150b2-6b51-4096-81b5-d4aa25e2c852	DRY_COOLER
8db78af5-9e15-4da2-8830-072582e0ce7e	ad965a26-ae22-4813-b764-99653e29212d	REMOTE_CONDENSER
8db78af5-9e15-4da2-8830-072582e0ce7e	b6c32644-0ec6-49ae-87b0-aedc5dfef9a2	CHILLED_WATER_PUMPS
8db78af5-9e15-4da2-8830-072582e0ce7e	4dd2a43f-0107-48ae-b618-173a9118e86a	HEAT_REJECTION_PUMPS
8db78af5-9e15-4da2-8830-072582e0ce7e	4cb30b6f-22ec-4556-afb0-ecc72c2d0e23	VENTILATION
8db78af5-9e15-4da2-8830-072582e0ce7e	8d8b7081-a94a-4def-8aa7-6e751470d10c	INFILTRATION
8db78af5-9e15-4da2-8830-072582e0ce7e	81acdd0e-316c-4213-9207-3d8f6e678435	IT_LOAD
da40ddcb-df2b-43c3-8a86-2859291742df	6f7eb703-9f7d-4e9d-b2b8-2297a5c65fdf	SWITCHGEAR
da40ddcb-df2b-43c3-8a86-2859291742df	a2cf6084-621a-44d9-a9a3-db1de22a2cc2	GENERATOR
da40ddcb-df2b-43c3-8a86-2859291742df	21739350-b289-4877-84dc-619568f48f11	PRIMARY_AUXILIARIES
da40ddcb-df2b-43c3-8a86-2859291742df	21a73082-baf9-4496-8a82-2f112389f18d	UPS
da40ddcb-df2b-43c3-8a86-2859291742df	e08d78d4-def1-4c56-9210-90e45272e64b	CRITICAL_AUXILIARIES
da40ddcb-df2b-43c3-8a86-2859291742df	464a26fa-3779-443e-bd25-e795b484d76e	LIGHTING
da40ddcb-df2b-43c3-8a86-2859291742df	660c7379-90fb-4b80-bd69-5e2655bf50ee	CRITICAL_POWER_DISTRIBUTION
da40ddcb-df2b-43c3-8a86-2859291742df	d91e47a2-f852-4420-a9e4-c8b414571d4d	CRAH
da40ddcb-df2b-43c3-8a86-2859291742df	3b1ada69-b0a1-433f-9132-f45c00e6eadd	CRAC
da40ddcb-df2b-43c3-8a86-2859291742df	c499d695-2a08-4372-bd08-ffcdab2738a4	CRAC_WITHOUT_FAN
da40ddcb-df2b-43c3-8a86-2859291742df	5630ecfe-86f7-46b5-8045-31455859a4bf	CRAC_FAN
da40ddcb-df2b-43c3-8a86-2859291742df	60696916-a1dd-4e05-98ad-557d7b6b4132	CHILLER
da40ddcb-df2b-43c3-8a86-2859291742df	fb309116-3fb7-46cb-9806-45a777914cc4	AIR_COOLED_CHILLER
da40ddcb-df2b-43c3-8a86-2859291742df	1bf40b6b-5876-4bd5-b421-6d0664c52d2f	COOLING_TOWER
da40ddcb-df2b-43c3-8a86-2859291742df	f326357a-77fd-4af5-864e-a5f1977a09e6	DRY_COOLER
da40ddcb-df2b-43c3-8a86-2859291742df	1913e12c-603f-40cd-ac30-6d145fb36ec2	REMOTE_CONDENSER
da40ddcb-df2b-43c3-8a86-2859291742df	ba7112fc-4cb3-40cb-a8ca-1c7190b9e010	CHILLED_WATER_PUMPS
da40ddcb-df2b-43c3-8a86-2859291742df	c10b7978-50d8-4508-9c1a-c8d1b4f3b6d2	HEAT_REJECTION_PUMPS
da40ddcb-df2b-43c3-8a86-2859291742df	667899d7-caab-4b54-ae8e-bcde5e322f94	VENTILATION
da40ddcb-df2b-43c3-8a86-2859291742df	8d03bfe6-9940-42dd-9965-e1f2b9bc5d49	INFILTRATION
da40ddcb-df2b-43c3-8a86-2859291742df	3b15bc95-78fc-4117-91d0-49e8f13c734b	IT_LOAD
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	ca723a2c-41f8-44bf-9b86-4ec1c2d27d64	SWITCHGEAR
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	d88ccc0b-21b6-4148-aa05-750e3e952c6e	GENERATOR
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	e78aa1c4-7b9f-4adb-93a3-38c17ae0cf53	PRIMARY_AUXILIARIES
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	ba7ddc7b-6846-4729-9a32-b0cfb19eec46	UPS
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	c665c143-6904-449e-8f87-bd48586e8dc9	CRITICAL_AUXILIARIES
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	daa1746b-e247-402a-b396-3f530deb50a9	LIGHTING
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	4251d486-ee9a-471c-a78e-884a05f0902f	CRITICAL_POWER_DISTRIBUTION
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	0a5238e9-934b-4985-ab27-0f6013cceafb	CRAH
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	fd522299-a0c8-4eb2-8ba7-e6c6957d561c	CRAC
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	4d2e9418-e556-4689-87da-a83df11af856	CRAC_WITHOUT_FAN
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	4bf52989-a862-4dc9-8372-ae7f7f7dfa8c	CRAC_FAN
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	2e68f8f7-064b-4476-8bc8-1dfb315e1a02	CHILLER
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	ae987da0-df9e-4190-aae7-d935cdbcf4b3	AIR_COOLED_CHILLER
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	30f29039-84e4-4ae4-9d7f-20985bcd02c8	COOLING_TOWER
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	2e9b2054-bdf0-4055-a3a9-2c64024043d8	DRY_COOLER
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	2a1a4ac2-a876-4a81-8586-363279ee94d0	REMOTE_CONDENSER
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	adb00a74-1e67-4293-bd03-aa409be98163	CHILLED_WATER_PUMPS
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	018a5ae4-1d42-46d6-8c82-8f701d58efd7	HEAT_REJECTION_PUMPS
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	c1de9ca8-d9b4-4d60-8b00-35b07775844c	VENTILATION
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	9455126f-a1aa-49e0-99a1-f0d6cce559dc	INFILTRATION
3973d58f-b387-4c3d-9ecf-e32dee64eb0a	088fec8d-4d04-4b8a-be91-94a4cac166cf	IT_LOAD
72da562c-1623-49cf-80e9-e98df60a9650	d693c2db-14c5-4166-b613-695b73807997	SWITCHGEAR
72da562c-1623-49cf-80e9-e98df60a9650	f4eb66d0-1659-4033-b23e-9dbf77f0434a	GENERATOR
72da562c-1623-49cf-80e9-e98df60a9650	edb1b43e-cbb1-4a7e-ac64-cccda365f19f	PRIMARY_AUXILIARIES
72da562c-1623-49cf-80e9-e98df60a9650	60c8803c-ab27-407b-bc18-37b4b65a728f	UPS
72da562c-1623-49cf-80e9-e98df60a9650	6f66fce3-607c-484d-851e-672a4500facd	CRITICAL_AUXILIARIES
72da562c-1623-49cf-80e9-e98df60a9650	5508159b-15e2-4d21-b6a4-ae4166f56011	LIGHTING
72da562c-1623-49cf-80e9-e98df60a9650	daca1413-be27-41b0-97e4-250f77b0c3c1	CRITICAL_POWER_DISTRIBUTION
72da562c-1623-49cf-80e9-e98df60a9650	9f085ac3-1399-4f9a-929f-ef4d97ec93ce	CRAH
72da562c-1623-49cf-80e9-e98df60a9650	2158f993-77fd-4f18-97e5-193656011954	CRAC
72da562c-1623-49cf-80e9-e98df60a9650	c7c571f3-81e7-4462-82ab-0c25ea863123	CRAC_WITHOUT_FAN
72da562c-1623-49cf-80e9-e98df60a9650	ed651694-fc6c-4a1c-950c-66b51876b3d0	CRAC_FAN
72da562c-1623-49cf-80e9-e98df60a9650	403dda3e-3f57-4c96-a1db-502633d3e173	CHILLER
72da562c-1623-49cf-80e9-e98df60a9650	b30078fe-f450-4370-9fb0-f47ccdd04f01	AIR_COOLED_CHILLER
72da562c-1623-49cf-80e9-e98df60a9650	44f29ee5-34ef-4c69-b6d8-2c59cb5970bf	COOLING_TOWER
72da562c-1623-49cf-80e9-e98df60a9650	b4e304ed-3e58-4470-b920-b92629756795	DRY_COOLER
72da562c-1623-49cf-80e9-e98df60a9650	4b5db79f-4c65-48ad-8b36-4e5dc768db97	REMOTE_CONDENSER
72da562c-1623-49cf-80e9-e98df60a9650	855cfa9a-41c7-42d8-a584-b34d50a94e6f	CHILLED_WATER_PUMPS
72da562c-1623-49cf-80e9-e98df60a9650	730ec957-4aea-4d08-8c24-328537488efd	HEAT_REJECTION_PUMPS
72da562c-1623-49cf-80e9-e98df60a9650	517e7deb-c5a5-4a80-ad29-413091518504	VENTILATION
72da562c-1623-49cf-80e9-e98df60a9650	7aecceb0-0640-4c9a-ace8-d89a83bec25e	INFILTRATION
72da562c-1623-49cf-80e9-e98df60a9650	448c569d-768b-4855-b2cb-6a643dcd3636	IT_LOAD
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	9abc6cac-c0ee-4ca9-a9f3-d0cb48d0c9a3	SWITCHGEAR
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	cdb4b98b-620d-4ba9-b4e6-4e93eda633ea	GENERATOR
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	30ec8148-76fc-4fbe-b0f3-ed2ef0a8e9e8	PRIMARY_AUXILIARIES
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	3d0694a5-48a3-41f6-8f1d-b0a12d5df94f	UPS
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	c5950f3f-dcd3-4915-b6da-06e7c845e70c	CRITICAL_AUXILIARIES
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	c3e6b8ed-1216-4cd2-9373-ffbc8c3870d1	LIGHTING
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	746aeab8-6636-42fe-be73-154baf3dc9e7	CRITICAL_POWER_DISTRIBUTION
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	8adb11b2-710e-4a20-ad1c-d4ce21f490a5	CRAH
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	7643538c-2239-494d-a28b-a3639e6a1866	CRAC
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	54c24dd0-28e4-4552-8c79-1972816c9a9d	CRAC_WITHOUT_FAN
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	1eb0a08c-a6b5-498f-a41a-0f332316c4b0	CRAC_FAN
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	bd870194-9f38-431d-8a0d-0b64fa38004c	CHILLER
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	af5e51bf-fdde-47f9-ace8-dcc0123c8a2a	AIR_COOLED_CHILLER
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	9239ad00-fbd4-48cf-a8f4-4a441f70b129	COOLING_TOWER
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	73e5a369-93d7-48b8-aba7-addb7948d40e	DRY_COOLER
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	178a8518-46f5-4a18-ac10-a3e39797c031	REMOTE_CONDENSER
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	7ee912b1-54b8-4357-8ead-a301909fe9ee	CHILLED_WATER_PUMPS
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	7d3cf40f-7da8-4e22-bade-00ee0dcd3caf	HEAT_REJECTION_PUMPS
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	d86b13e0-cb04-4f70-92c5-94889cd64035	VENTILATION
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	59ec1c7a-360d-4321-8a72-d73cca1ac673	INFILTRATION
ce2c9af3-47b6-43de-abd5-cc3c0a435c9a	28dc9247-90bc-4fd5-a676-cf2cd05d8796	IT_LOAD
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	5a286884-8947-4a7a-acd3-1d7bc489f9c2	SWITCHGEAR
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	5689e323-99c4-4bde-a85e-b594dcea1779	GENERATOR
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	7717f071-0375-4dbc-8b43-aaaaef2f3182	PRIMARY_AUXILIARIES
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	b5af650e-8dc7-4bdd-b378-39b7c9d06ab7	UPS
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	861496d8-243a-48f2-ba2a-2780ffbefba0	CRITICAL_AUXILIARIES
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	96a14d8a-8ee6-4aa8-9613-e3831e5c77f5	LIGHTING
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	f1cfa5aa-9a78-4765-817f-a57b6e40b14b	CRITICAL_POWER_DISTRIBUTION
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	6eee785d-d21d-49d5-8086-a40d557c3cdb	CRAH
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	8f64492f-0756-41a2-9d6a-69ceedba06ed	CRAC
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	efa68d4e-215e-4683-85de-c2c7205bc215	CRAC_WITHOUT_FAN
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	b562f903-e03e-4180-aaa4-d17383f175c8	CRAC_FAN
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	a49c5932-a148-4c32-9231-6c42ce6d851c	CHILLER
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	78c80d92-e086-42c4-8c2e-568d875a0d8a	AIR_COOLED_CHILLER
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	e7f1ab6f-29cc-4d8f-a0ec-08d032699884	COOLING_TOWER
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	503710b7-ff25-4fd3-9d9b-4ceaffa195a3	DRY_COOLER
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	96bdb68b-4b0f-471c-acb5-5be36ff6ad9b	REMOTE_CONDENSER
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	8a3e98a7-77fe-47e1-bfc7-147e59ff63b2	CHILLED_WATER_PUMPS
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	a3628e03-dae3-498c-ba68-3a9e068be413	HEAT_REJECTION_PUMPS
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	8830f3b7-a7bd-441b-9b67-8e67dcfcd3f8	VENTILATION
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	04e104d0-97e2-4978-8bfd-da4626b8af5d	INFILTRATION
fbc1c960-ba7c-44aa-9560-9a8b85f2a99f	ce94f2f1-db26-4a16-b748-5b26fd8e1804	IT_LOAD
5ae459c1-00bb-449b-9948-0697dc0c2ed9	32e5f755-917d-412b-81b3-362d245de8dd	SWITCHGEAR
5ae459c1-00bb-449b-9948-0697dc0c2ed9	e73fe868-dd48-4f96-9d31-9e091baa7d5a	GENERATOR
5ae459c1-00bb-449b-9948-0697dc0c2ed9	d04cbf0f-0966-4909-a20d-cfa1b2b17b9d	PRIMARY_AUXILIARIES
5ae459c1-00bb-449b-9948-0697dc0c2ed9	2cb8e515-454d-4ab3-abb0-b1c9127dcfe7	UPS
5ae459c1-00bb-449b-9948-0697dc0c2ed9	14da3e77-3606-43d0-96d8-bd4da602d456	CRITICAL_AUXILIARIES
5ae459c1-00bb-449b-9948-0697dc0c2ed9	81fcfed9-6369-4b62-87aa-4c5eb2ed27b9	LIGHTING
5ae459c1-00bb-449b-9948-0697dc0c2ed9	9ab4af1c-2020-4fd7-931a-a6ea05192401	CRITICAL_POWER_DISTRIBUTION
5ae459c1-00bb-449b-9948-0697dc0c2ed9	ab2966b7-16fc-4576-ab2e-81cabc917386	CRAH
5ae459c1-00bb-449b-9948-0697dc0c2ed9	8f8bdff9-2ebf-46b4-bbab-6dfcafea1699	CRAC
5ae459c1-00bb-449b-9948-0697dc0c2ed9	57eb89e6-8dc2-4913-bace-c653469709ab	CRAC_WITHOUT_FAN
5ae459c1-00bb-449b-9948-0697dc0c2ed9	e6445904-ba42-4c3f-b0ae-8879d5aad709	CRAC_FAN
5ae459c1-00bb-449b-9948-0697dc0c2ed9	7a41d7a9-2790-4056-8f1f-c781a7f3c909	CHILLER
5ae459c1-00bb-449b-9948-0697dc0c2ed9	f9097a19-2462-45a2-b39c-35eb086e20da	AIR_COOLED_CHILLER
5ae459c1-00bb-449b-9948-0697dc0c2ed9	6ce65452-2d40-4565-b516-e0d30f267f9e	COOLING_TOWER
5ae459c1-00bb-449b-9948-0697dc0c2ed9	1e00bc16-461a-43b6-b5e2-0aa9813e5f8e	DRY_COOLER
5ae459c1-00bb-449b-9948-0697dc0c2ed9	c0c937b3-eca7-4022-96c2-062b4fb83945	REMOTE_CONDENSER
5ae459c1-00bb-449b-9948-0697dc0c2ed9	8c7aeea1-f52f-4beb-8461-1f23a994ce37	CHILLED_WATER_PUMPS
5ae459c1-00bb-449b-9948-0697dc0c2ed9	c61627f2-b7b8-420c-81a4-b28bb5ea4daf	HEAT_REJECTION_PUMPS
5ae459c1-00bb-449b-9948-0697dc0c2ed9	26b7830c-d6f9-4847-8d9a-408c71885db0	VENTILATION
5ae459c1-00bb-449b-9948-0697dc0c2ed9	a6b2a315-bb82-4761-8f99-e7a3a0563446	INFILTRATION
5ae459c1-00bb-449b-9948-0697dc0c2ed9	ca23e921-1b57-4051-9cb4-95ee9298d223	IT_LOAD
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	1bc45a7d-771c-4509-9074-924c9a7564ca	SWITCHGEAR
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	4e6531e1-9e66-4f18-8ab6-af2860d6cd85	GENERATOR
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	c9eb89c8-0930-44ca-8639-efdd7408d2d8	PRIMARY_AUXILIARIES
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	f90c8668-9e58-4790-9ee1-5bb1f185060e	UPS
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	ce96ac4f-e707-4c5e-a76b-7e052938bd7b	CRITICAL_AUXILIARIES
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	9d3f88bb-f2fe-4d4c-878b-13d6a45ddd4c	LIGHTING
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	0a07153a-c418-4511-92f8-cb08d226e77a	CRITICAL_POWER_DISTRIBUTION
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	addfb55c-b4f1-4612-b076-ef69b2516398	CRAH
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	20d95532-6bbf-49d0-9ad9-8cf203fd2f7c	CRAC
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	a207fa09-d863-40ab-9796-e5caae38d28f	CRAC_WITHOUT_FAN
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	54c6568d-ced9-4714-9f9e-2dc4a95a3220	CRAC_FAN
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	6eaf3649-0996-4233-808e-09ad22c02399	CHILLER
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	65dbacc7-c92a-4029-b6c2-d4c7dc0f83f9	AIR_COOLED_CHILLER
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	4f4c277f-7607-4d6b-945a-3260fb746d9f	COOLING_TOWER
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	af8e3342-dce1-46ca-a66f-f67ff7487276	DRY_COOLER
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	7d0acdf7-9fa8-4dda-913f-3f5f92bb6845	REMOTE_CONDENSER
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	282d788c-4045-4e5a-9010-f51eb2120f90	CHILLED_WATER_PUMPS
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	ff43a511-bc0a-4a98-857d-172a5e360f02	HEAT_REJECTION_PUMPS
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	f4ef488c-11fb-4798-b80b-1af516f7eb9a	VENTILATION
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	16e69793-cd9a-4a89-a471-fd742dc9da96	INFILTRATION
ab9e8d66-b0c8-4d78-b570-0f1e491233bb	bddbf5eb-3e39-4a30-8bbf-b6ca2da84c97	IT_LOAD
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	ae016af2-088c-4cfe-86f2-fd325b8cbde3	SWITCHGEAR
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	f29bc26c-8b24-4cdc-9cad-1be0f8903e50	GENERATOR
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	842c154d-8184-40e3-942b-00407d21f9c9	PRIMARY_AUXILIARIES
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	b2016b88-a401-45a6-9f0c-59072b635e37	UPS
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	bba2c6c7-2750-4324-abc9-2d6a13889961	CRITICAL_AUXILIARIES
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	31c700b0-6642-4d25-aef1-4de0a58be8ca	LIGHTING
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	0675c1e7-58e8-4efa-9af2-9edd85a5f574	CRITICAL_POWER_DISTRIBUTION
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	d8ac4342-c504-4f9b-8597-e47b68566314	CRAH
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	c1b6ab9e-fceb-4581-9143-d9919becfddf	CRAC
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	40b11afd-0d85-49e7-87f1-30d98742cb2d	CRAC_WITHOUT_FAN
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	5a71efc8-d8f5-46e9-981d-138f68b95486	CRAC_FAN
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	6a635b53-9641-404a-96fa-5ee3f82a3eae	CHILLER
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	d51bffc6-aad1-4d97-bae4-025dfa087584	AIR_COOLED_CHILLER
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	9608fe66-d30d-4153-b124-f47d4301ef6b	COOLING_TOWER
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	b93af866-85c8-4278-80c7-aaed9d95c992	DRY_COOLER
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	31363fd3-b341-43b5-82f0-c205aa27ebd0	REMOTE_CONDENSER
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	985d1661-e4a1-4023-b248-02ecde44170e	CHILLED_WATER_PUMPS
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	c3cf530e-7c94-4cb4-b888-d2508e7013f9	HEAT_REJECTION_PUMPS
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	b474b6c7-d226-424c-8ce8-85aff2f1a281	VENTILATION
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	d3473504-b53c-4c59-9716-157a53234c91	INFILTRATION
4ccfcd0c-f99c-45cf-92aa-fdd3b9fa87a1	687999a9-80af-4b5e-9ab8-7c3ffdbbaed9	IT_LOAD
62302868-e29e-4f7f-b5ef-5ed382756d72	4450873e-d4c9-4ff1-8a27-ee78fb8adaa1	SWITCHGEAR
62302868-e29e-4f7f-b5ef-5ed382756d72	bdcd6ed2-f126-4728-972e-153bc6ef2908	GENERATOR
62302868-e29e-4f7f-b5ef-5ed382756d72	11f11789-f6da-4c6c-9273-47384c10ed47	PRIMARY_AUXILIARIES
62302868-e29e-4f7f-b5ef-5ed382756d72	d70a055f-39dc-4cfb-871f-fb9e52001523	UPS
62302868-e29e-4f7f-b5ef-5ed382756d72	9a41c2b5-455f-4bb8-8139-c5d88a6574fb	CRITICAL_AUXILIARIES
62302868-e29e-4f7f-b5ef-5ed382756d72	d4b6ea74-e391-4560-a54d-5abfbc1e600d	LIGHTING
62302868-e29e-4f7f-b5ef-5ed382756d72	6e119d23-f1d8-43fe-bafe-7c75fcbd6027	CRITICAL_POWER_DISTRIBUTION
62302868-e29e-4f7f-b5ef-5ed382756d72	d54d13e7-415a-4100-b432-0fc30daf525e	CRAH
62302868-e29e-4f7f-b5ef-5ed382756d72	d0ddfd3d-d240-468c-979b-5a1104af665f	CRAC
62302868-e29e-4f7f-b5ef-5ed382756d72	48244d4e-1383-4d12-8e59-1211433c0e5a	CRAC_WITHOUT_FAN
62302868-e29e-4f7f-b5ef-5ed382756d72	470f9742-7b81-4206-8e2b-54664afc3276	CRAC_FAN
62302868-e29e-4f7f-b5ef-5ed382756d72	2b35e60a-ea41-4aa5-8c7d-dd5139ca1e3f	CHILLER
62302868-e29e-4f7f-b5ef-5ed382756d72	dce9d546-ae9f-40ca-a3e9-0ddcad73caf8	AIR_COOLED_CHILLER
62302868-e29e-4f7f-b5ef-5ed382756d72	9b98b2ed-afb4-4285-8dd1-7ac6fe707c4f	COOLING_TOWER
62302868-e29e-4f7f-b5ef-5ed382756d72	171fadaa-319f-4c76-ba49-ac67357f5ef2	DRY_COOLER
62302868-e29e-4f7f-b5ef-5ed382756d72	6af8e167-20aa-4128-826f-369a54381926	REMOTE_CONDENSER
62302868-e29e-4f7f-b5ef-5ed382756d72	f8cb1bc3-9570-4328-88d7-facdadfef4e6	CHILLED_WATER_PUMPS
62302868-e29e-4f7f-b5ef-5ed382756d72	ba52ac74-cc3f-4cca-a575-40a611746d47	HEAT_REJECTION_PUMPS
62302868-e29e-4f7f-b5ef-5ed382756d72	39b23f9c-ae8b-419c-af44-013cde72c5c7	VENTILATION
62302868-e29e-4f7f-b5ef-5ed382756d72	d49e6eb2-b3ca-41e9-9ad3-3591269d91b6	INFILTRATION
62302868-e29e-4f7f-b5ef-5ed382756d72	3d601666-9c97-4386-bcd7-db32811fbb0a	IT_LOAD
49435b24-6323-48cb-a5e2-4fa24b183393	34e5df98-4782-4986-b574-8d3222c1c50e	SWITCHGEAR
49435b24-6323-48cb-a5e2-4fa24b183393	2bf89180-d241-4a5f-8388-1cdb8a460b8b	GENERATOR
49435b24-6323-48cb-a5e2-4fa24b183393	c684ea39-a99e-4a09-a2c7-57af08398bab	PRIMARY_AUXILIARIES
49435b24-6323-48cb-a5e2-4fa24b183393	45f27ad1-5bfd-4e76-a769-fd6c833403ad	UPS
49435b24-6323-48cb-a5e2-4fa24b183393	202abf26-f7fc-42cb-81ab-2f699acaddb9	CRITICAL_AUXILIARIES
49435b24-6323-48cb-a5e2-4fa24b183393	065d3e62-d8de-4300-8b96-492802e56900	LIGHTING
49435b24-6323-48cb-a5e2-4fa24b183393	a3f87706-c059-4ea7-b140-fc2c97011e51	CRITICAL_POWER_DISTRIBUTION
49435b24-6323-48cb-a5e2-4fa24b183393	38aa070c-97dd-4924-851c-2414578b25e0	CRAH
49435b24-6323-48cb-a5e2-4fa24b183393	2390fbaf-041e-48db-92d2-6671e08b498a	CRAC
49435b24-6323-48cb-a5e2-4fa24b183393	e9a0237a-31cc-456c-8341-46a0be1f7c76	CRAC_WITHOUT_FAN
49435b24-6323-48cb-a5e2-4fa24b183393	5612c0e2-1fc9-4ca4-baa3-2cdf99611f93	CRAC_FAN
49435b24-6323-48cb-a5e2-4fa24b183393	1fad6dcb-586b-4ffb-8809-f3fab44cebf5	CHILLER
49435b24-6323-48cb-a5e2-4fa24b183393	9a6778a0-36ee-40e6-8fba-4b97914824c5	AIR_COOLED_CHILLER
49435b24-6323-48cb-a5e2-4fa24b183393	437818e4-0022-4ee9-ad13-d9d420fb30b0	COOLING_TOWER
49435b24-6323-48cb-a5e2-4fa24b183393	a192d1a4-2ef5-46a0-ad00-ac4768c57ce3	DRY_COOLER
49435b24-6323-48cb-a5e2-4fa24b183393	69017f5e-a10a-4514-8615-e10d257c8d52	REMOTE_CONDENSER
49435b24-6323-48cb-a5e2-4fa24b183393	a6c65f70-71ab-4e98-b864-09527ab7f389	CHILLED_WATER_PUMPS
49435b24-6323-48cb-a5e2-4fa24b183393	dbfffb2a-4184-45c7-9564-1ced3ba6edce	HEAT_REJECTION_PUMPS
49435b24-6323-48cb-a5e2-4fa24b183393	86229d15-8f2d-435d-97d9-289c6c1f0d54	VENTILATION
49435b24-6323-48cb-a5e2-4fa24b183393	f29cdcbd-62dd-4c49-acac-b834d0360910	INFILTRATION
49435b24-6323-48cb-a5e2-4fa24b183393	668975b5-88ec-42f9-b28e-1f954e2da5d1	IT_LOAD
46608396-eb0d-4ecc-8a66-49d39c428150	73416520-b4e6-46ee-9ccc-5dd4b8b39ee4	SWITCHGEAR
46608396-eb0d-4ecc-8a66-49d39c428150	bfc8ab06-8084-43c5-915a-63ed5618bcb2	GENERATOR
46608396-eb0d-4ecc-8a66-49d39c428150	ab98667f-f095-4890-884d-ea324ecacfb1	PRIMARY_AUXILIARIES
46608396-eb0d-4ecc-8a66-49d39c428150	41e3a72a-42ca-464e-83d7-814db1ee4c7c	UPS
46608396-eb0d-4ecc-8a66-49d39c428150	97471903-3195-48c4-86e5-7bed2ff112b7	CRITICAL_AUXILIARIES
46608396-eb0d-4ecc-8a66-49d39c428150	ef3135e4-926f-4558-9232-75f94b24abe4	LIGHTING
46608396-eb0d-4ecc-8a66-49d39c428150	1837a97b-a00f-4609-9971-a4e82363bdef	CRITICAL_POWER_DISTRIBUTION
46608396-eb0d-4ecc-8a66-49d39c428150	d8a4eb08-7378-4a0d-b3a8-afb62ab346e3	CRAH
46608396-eb0d-4ecc-8a66-49d39c428150	8e16e6e9-d6d2-4dc1-9d8b-ad37c8bc15aa	CRAC
46608396-eb0d-4ecc-8a66-49d39c428150	36a852c7-216a-4b05-8636-aba1eeb18ff3	CRAC_WITHOUT_FAN
46608396-eb0d-4ecc-8a66-49d39c428150	f7a6a957-d954-4d92-8fff-4b2d118bc264	CRAC_FAN
46608396-eb0d-4ecc-8a66-49d39c428150	6992407c-e8fb-412b-96ee-50abd8537fb0	CHILLER
46608396-eb0d-4ecc-8a66-49d39c428150	8f846149-c49d-4606-9f75-314052ea7f2f	AIR_COOLED_CHILLER
46608396-eb0d-4ecc-8a66-49d39c428150	2a5b19cb-02ef-41a1-a0c5-2b2ebf1b3402	COOLING_TOWER
46608396-eb0d-4ecc-8a66-49d39c428150	30e78fe6-9568-46b0-9047-8487a3ac5cd0	DRY_COOLER
46608396-eb0d-4ecc-8a66-49d39c428150	e797492a-7cbf-4b2a-afee-0194e735e7f3	REMOTE_CONDENSER
46608396-eb0d-4ecc-8a66-49d39c428150	a365f92c-1519-4628-b8bb-60de10eed5dd	CHILLED_WATER_PUMPS
46608396-eb0d-4ecc-8a66-49d39c428150	dbc737af-9778-4b44-b5df-c55014d894db	HEAT_REJECTION_PUMPS
46608396-eb0d-4ecc-8a66-49d39c428150	075f83f5-2750-45fa-ae8e-4e9562eabdbd	VENTILATION
46608396-eb0d-4ecc-8a66-49d39c428150	402160f1-f294-4264-a14a-f138e400c33d	INFILTRATION
46608396-eb0d-4ecc-8a66-49d39c428150	eb68a0d8-113f-413f-8a0f-ad58947ffad2	IT_LOAD
634d87ac-dfa6-462d-a460-c3ad3956b342	4d4174d4-ab9f-4f3f-9f60-93e96fa81947	SWITCHGEAR
634d87ac-dfa6-462d-a460-c3ad3956b342	d4a446b4-6ec0-41bc-aa80-7c6613f26a0c	GENERATOR
634d87ac-dfa6-462d-a460-c3ad3956b342	cec858bc-0081-4102-9eed-3472602b8215	PRIMARY_AUXILIARIES
634d87ac-dfa6-462d-a460-c3ad3956b342	0fa9eff2-6e99-4bf6-96e9-7d5caef063a1	UPS
634d87ac-dfa6-462d-a460-c3ad3956b342	c9dacbf6-4150-4975-b8c1-345e7f7dc0ec	CRITICAL_AUXILIARIES
634d87ac-dfa6-462d-a460-c3ad3956b342	9cd87278-8c45-42ed-9ebc-f6a4593c03b7	LIGHTING
634d87ac-dfa6-462d-a460-c3ad3956b342	a4cb04db-4286-4114-b6ab-174003a2140e	CRITICAL_POWER_DISTRIBUTION
634d87ac-dfa6-462d-a460-c3ad3956b342	573633a0-d14c-4006-a966-c0e9537b8b8b	CRAH
634d87ac-dfa6-462d-a460-c3ad3956b342	10bc979c-a65b-4ec5-8538-2d7fa7bcc88c	CRAC
634d87ac-dfa6-462d-a460-c3ad3956b342	0c0f2822-8c30-4487-a792-a8ae78d91708	CRAC_WITHOUT_FAN
634d87ac-dfa6-462d-a460-c3ad3956b342	103ce031-d4b1-4946-ab13-793ec27677d0	CRAC_FAN
634d87ac-dfa6-462d-a460-c3ad3956b342	5de0e5b3-5c88-42ec-8603-2e0459e2e2cb	CHILLER
634d87ac-dfa6-462d-a460-c3ad3956b342	1a0e10fa-53ba-4815-8f2b-9c07137ec366	AIR_COOLED_CHILLER
634d87ac-dfa6-462d-a460-c3ad3956b342	f99f7401-8a26-4031-bc4d-8c22c9d2cc15	COOLING_TOWER
634d87ac-dfa6-462d-a460-c3ad3956b342	06cbb035-80aa-449d-a1e4-c50f4daf49af	DRY_COOLER
634d87ac-dfa6-462d-a460-c3ad3956b342	0e5b23b7-5399-4b16-a0f6-8a13c3052973	REMOTE_CONDENSER
634d87ac-dfa6-462d-a460-c3ad3956b342	c812d9f0-27d7-45d7-8aac-013e172453f7	CHILLED_WATER_PUMPS
634d87ac-dfa6-462d-a460-c3ad3956b342	1c0962f1-5231-445b-b441-78affc23c9f5	HEAT_REJECTION_PUMPS
634d87ac-dfa6-462d-a460-c3ad3956b342	33d0fb0f-87ca-422e-bd3c-1547bc950e12	VENTILATION
634d87ac-dfa6-462d-a460-c3ad3956b342	cd6934fc-e70d-4092-9c5b-16a406258ac8	INFILTRATION
634d87ac-dfa6-462d-a460-c3ad3956b342	01f7ea01-bddd-4dca-9be8-cb411c6b6387	IT_LOAD
da53ad80-559d-4e08-8a66-87a8183460fd	95766a8d-9521-43e9-aaab-c2b154f0cbeb	SWITCHGEAR
da53ad80-559d-4e08-8a66-87a8183460fd	5041bde5-9af9-4c67-96bb-0b4f026dd99f	GENERATOR
da53ad80-559d-4e08-8a66-87a8183460fd	20c70065-b313-42df-bba4-304cfcad58bc	PRIMARY_AUXILIARIES
da53ad80-559d-4e08-8a66-87a8183460fd	73086991-2e1b-45a5-ab5a-e047cc021193	UPS
da53ad80-559d-4e08-8a66-87a8183460fd	7b064fcb-8b7d-4c09-9391-26227640c8e3	CRITICAL_AUXILIARIES
da53ad80-559d-4e08-8a66-87a8183460fd	c2deecce-d3c6-4136-bffe-fac48cf41df4	LIGHTING
da53ad80-559d-4e08-8a66-87a8183460fd	cfa28808-79c3-4335-9a07-f8f3108b53e9	CRITICAL_POWER_DISTRIBUTION
da53ad80-559d-4e08-8a66-87a8183460fd	0dc88dac-cf54-485f-a2b8-1124d082a365	CRAH
da53ad80-559d-4e08-8a66-87a8183460fd	f4b72783-c8bd-42d3-9394-2374a2f93cea	CRAC
da53ad80-559d-4e08-8a66-87a8183460fd	f62fc95e-227f-47ef-8916-bbcc1785951d	CRAC_WITHOUT_FAN
da53ad80-559d-4e08-8a66-87a8183460fd	d7aac7fe-f978-4bcf-828f-50ee53d697ab	CRAC_FAN
da53ad80-559d-4e08-8a66-87a8183460fd	0da0f56b-0b0a-402e-8824-8a28ff0a2ba0	CHILLER
da53ad80-559d-4e08-8a66-87a8183460fd	3a89fe94-1555-4523-8a0f-4a08584d3201	AIR_COOLED_CHILLER
da53ad80-559d-4e08-8a66-87a8183460fd	f74eae6a-3106-485e-a293-8641fdd216f0	COOLING_TOWER
da53ad80-559d-4e08-8a66-87a8183460fd	761ab1e2-f6a2-4dea-a098-c05918cd02f8	DRY_COOLER
da53ad80-559d-4e08-8a66-87a8183460fd	0e52c119-a84f-47e9-bad5-d9912ad22bc6	REMOTE_CONDENSER
da53ad80-559d-4e08-8a66-87a8183460fd	794f1ea4-cbb9-4577-bf4f-ebe34ff410d7	CHILLED_WATER_PUMPS
da53ad80-559d-4e08-8a66-87a8183460fd	0cef48d2-2dda-46b6-ab40-f5e6f3f6023a	HEAT_REJECTION_PUMPS
da53ad80-559d-4e08-8a66-87a8183460fd	3f92ff85-e09a-48e1-a2a2-5d12990185a7	VENTILATION
da53ad80-559d-4e08-8a66-87a8183460fd	6cf13655-74bb-4758-9279-5f013d257114	INFILTRATION
da53ad80-559d-4e08-8a66-87a8183460fd	f31b7711-c8fb-47bf-8864-47b25da90917	IT_LOAD
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	5065fc32-90a5-436e-a434-6681c96d0fe6	SWITCHGEAR
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	f7d562fc-149f-4579-860f-1dba1c50014a	GENERATOR
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	b7d0847a-3479-41fb-a4e9-0e3443228466	PRIMARY_AUXILIARIES
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	8589cab1-4ed8-46a3-bc84-a65bba12863e	UPS
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	23d2bf53-c74c-4408-8d8e-160401831100	CRITICAL_AUXILIARIES
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	8a28f261-9217-4418-9ed4-14ca09d79804	LIGHTING
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	b7d8e08b-4f07-49ce-ad04-3cddea8d3f92	CRITICAL_POWER_DISTRIBUTION
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	73dd93e5-8c3e-4b29-8eaa-4465e040a38b	CRAH
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	a5980ed5-e363-4925-a67c-58d6c5770be2	CRAC
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	00814b15-3a44-40d5-8a68-092534511f02	CRAC_WITHOUT_FAN
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	c596d616-b084-44a4-9d7c-a82acf809306	CRAC_FAN
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	bce61a4a-8754-4e61-851f-240a89661c34	CHILLER
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	5a0aa0c9-6dcf-48b5-8dd1-7beb14f87d3c	AIR_COOLED_CHILLER
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	cf54a689-1cdf-4ee0-8e23-36ffa5b765c4	COOLING_TOWER
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	0d135293-0ddf-468e-a326-aae6aefa0dc5	DRY_COOLER
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	369a2ba6-8d42-4b04-b4fd-5361843265bc	REMOTE_CONDENSER
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	a7a4d2fe-6fae-4a47-aa45-a117db98b52a	CHILLED_WATER_PUMPS
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	5b3733ea-1235-4bbf-9e55-fe9a88e959ed	HEAT_REJECTION_PUMPS
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	3ed8bd13-5633-4b32-a138-581423549e10	VENTILATION
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	c946d3f1-4bd5-4d3e-915d-16a6a0eeca40	INFILTRATION
ed0270aa-ab1a-41bf-8ef2-4216f1e03c20	fa9379ee-5d9d-4027-a4b8-3dd7cfe3a836	IT_LOAD
c82c3f39-54eb-47f5-8225-0f004fce8ab5	356e1178-d0b9-496f-b323-7b77594808db	SWITCHGEAR
c82c3f39-54eb-47f5-8225-0f004fce8ab5	c64a5c3c-4035-4b78-b075-5f10b5e5fed6	GENERATOR
c82c3f39-54eb-47f5-8225-0f004fce8ab5	38c26048-d229-477a-a7b1-893f98d56867	PRIMARY_AUXILIARIES
c82c3f39-54eb-47f5-8225-0f004fce8ab5	59599b68-0776-41f3-80d8-6915db8cbf98	UPS
c82c3f39-54eb-47f5-8225-0f004fce8ab5	30b0afab-089f-46e9-a8fa-2e73bfaa6835	CRITICAL_AUXILIARIES
c82c3f39-54eb-47f5-8225-0f004fce8ab5	4373fe3f-936c-4380-ae3f-d7c7d9895a61	LIGHTING
c82c3f39-54eb-47f5-8225-0f004fce8ab5	08ded5a0-c3e0-48bf-bd57-8b214addd3aa	CRITICAL_POWER_DISTRIBUTION
c82c3f39-54eb-47f5-8225-0f004fce8ab5	250dbb66-41b4-4d29-84cd-6e2df17fa912	CRAH
c82c3f39-54eb-47f5-8225-0f004fce8ab5	56e23494-1e8a-4141-b1aa-e586ddbd5183	CRAC
c82c3f39-54eb-47f5-8225-0f004fce8ab5	8577430a-31dd-493c-a08b-3b059e215172	CRAC_WITHOUT_FAN
c82c3f39-54eb-47f5-8225-0f004fce8ab5	7c9104b4-b3c7-4fac-885b-bea39c7bb3c2	CRAC_FAN
c82c3f39-54eb-47f5-8225-0f004fce8ab5	7d018438-d34e-41cd-8e8b-113ffcd75f04	CHILLER
c82c3f39-54eb-47f5-8225-0f004fce8ab5	e5f95723-f189-4ca5-83e4-5860beae333e	AIR_COOLED_CHILLER
c82c3f39-54eb-47f5-8225-0f004fce8ab5	65ccb98a-7deb-48a2-a0be-a8d547154e0f	COOLING_TOWER
c82c3f39-54eb-47f5-8225-0f004fce8ab5	320d1bb7-90d7-4cc0-8c22-dbf190474776	DRY_COOLER
c82c3f39-54eb-47f5-8225-0f004fce8ab5	f636e57c-130e-4595-a036-e613d2520abe	REMOTE_CONDENSER
c82c3f39-54eb-47f5-8225-0f004fce8ab5	53cf8b3a-09ad-4ecb-be90-e04d9eade00c	CHILLED_WATER_PUMPS
c82c3f39-54eb-47f5-8225-0f004fce8ab5	c22ebb32-1f1a-47f7-9372-0a9c3b5472a7	HEAT_REJECTION_PUMPS
c82c3f39-54eb-47f5-8225-0f004fce8ab5	9b823223-97eb-4366-9d40-82b9831a7143	VENTILATION
c82c3f39-54eb-47f5-8225-0f004fce8ab5	5bd8805f-7661-4544-a4cd-47d7de2dcc00	INFILTRATION
c82c3f39-54eb-47f5-8225-0f004fce8ab5	e5f28c84-d7c7-494b-a787-cfdeea52a819	IT_LOAD
df015a97-8de2-4a8f-9596-b4080226c586	1f036a2e-6060-403d-92be-7a8ec98edf67	SWITCHGEAR
df015a97-8de2-4a8f-9596-b4080226c586	b5c9c445-61f1-4b8e-b7a5-bc52c2f631ab	GENERATOR
df015a97-8de2-4a8f-9596-b4080226c586	097c598c-1640-4085-bc17-dd3f870fbb4f	PRIMARY_AUXILIARIES
df015a97-8de2-4a8f-9596-b4080226c586	c4f6a16b-f8aa-49ba-b957-614dcdad5190	UPS
df015a97-8de2-4a8f-9596-b4080226c586	66405c74-8d7e-45fa-a49e-3900ca1073ad	CRITICAL_AUXILIARIES
df015a97-8de2-4a8f-9596-b4080226c586	d4693cd9-acba-406f-bd7a-17953f2546e8	LIGHTING
df015a97-8de2-4a8f-9596-b4080226c586	5e421e1f-82bb-497a-8519-5b535a9ecef5	CRITICAL_POWER_DISTRIBUTION
df015a97-8de2-4a8f-9596-b4080226c586	a74a99c9-542a-4c54-977f-8ca85a5aa47b	CRAH
df015a97-8de2-4a8f-9596-b4080226c586	07740d69-478f-422c-b9f5-45449b63ab17	CRAC
df015a97-8de2-4a8f-9596-b4080226c586	731a524b-5fc1-4e55-88a5-b6dfe1361a45	CRAC_WITHOUT_FAN
df015a97-8de2-4a8f-9596-b4080226c586	5c3b42d1-7c70-49e5-83ae-d1fe1b91aff0	CRAC_FAN
df015a97-8de2-4a8f-9596-b4080226c586	56c391dc-cef7-46b3-bba3-b2080def0ed5	CHILLER
df015a97-8de2-4a8f-9596-b4080226c586	2833ad66-f7a4-4ab2-a44f-5c588df5b7a6	AIR_COOLED_CHILLER
df015a97-8de2-4a8f-9596-b4080226c586	a1710245-1d19-4821-885c-958c4a91b8e5	COOLING_TOWER
df015a97-8de2-4a8f-9596-b4080226c586	4fb56856-222e-4a54-975a-f25b2247a0d6	DRY_COOLER
df015a97-8de2-4a8f-9596-b4080226c586	c71ae63f-19ee-42ee-af6f-3e0f76d34cca	REMOTE_CONDENSER
df015a97-8de2-4a8f-9596-b4080226c586	41c29c1c-2ce8-4f20-9040-15ad35f6199e	CHILLED_WATER_PUMPS
df015a97-8de2-4a8f-9596-b4080226c586	7addaff2-dd1d-422a-968a-155d71a36650	HEAT_REJECTION_PUMPS
df015a97-8de2-4a8f-9596-b4080226c586	6b5535e8-c1c8-46dc-a039-1a5e4377f569	VENTILATION
df015a97-8de2-4a8f-9596-b4080226c586	8a7002f5-d100-4fd2-a9a7-0d3369d20215	INFILTRATION
df015a97-8de2-4a8f-9596-b4080226c586	db2ddf82-0133-4516-a511-b06f90e2e328	IT_LOAD
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	6e78fe7e-a4d1-42ff-b4a8-6254aac61c47	SWITCHGEAR
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	ce0a88c8-f1a1-4760-9652-f97c34313c28	GENERATOR
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	06d2842e-fcf6-4a0d-9732-0dfd3f4d2325	PRIMARY_AUXILIARIES
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	9b19b7e9-e1b4-48a6-9906-6438453572b1	UPS
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	2c9b946b-5eec-4035-9673-31e3deda45af	CRITICAL_AUXILIARIES
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	f05240d8-0362-4435-8d3b-6b8229157b6e	LIGHTING
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	93afcb99-3691-4305-8ff5-2ebcbf5f2277	CRITICAL_POWER_DISTRIBUTION
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	dae2ea50-7158-48c4-be1f-136a5224974c	CRAH
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	12f4c0a9-4d91-459f-b6ea-c1b9ed40af72	CRAC
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	b3d90fd6-ade8-4cd7-ab66-554adf329fd9	CRAC_WITHOUT_FAN
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	89e6948f-ebd8-401f-afff-0fe4c4ba872b	CRAC_FAN
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	f331fd4e-fd90-4957-b6cb-5d3f33579631	CHILLER
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	a5be67c6-dfd2-4878-a4de-f4b2fb839664	AIR_COOLED_CHILLER
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	e89c4abb-f53b-4743-bdc4-4a9f2dd4732f	COOLING_TOWER
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	f6b8fd47-cb55-4f26-a32d-d9a77b1efb33	DRY_COOLER
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	327a0835-c4e3-44c2-970b-d4922ed3b1b3	REMOTE_CONDENSER
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	70352756-1775-41b7-954e-8ab32d6c9633	CHILLED_WATER_PUMPS
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	7abd1659-01da-4c9d-8671-a711d2970d15	HEAT_REJECTION_PUMPS
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	97132ecd-c1b3-4016-9f34-ebaec786124c	VENTILATION
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	57874b3e-1cb9-44b7-a03d-c65906bf6fce	INFILTRATION
1ca86ea7-ccab-4768-95bb-f84ab66a85e3	a0647605-cace-4629-919d-5454e14c4007	IT_LOAD
a22077cf-eb0c-4397-b820-7b3c9b90718c	4a6d2096-ce68-419e-bd56-f02570327aaf	SWITCHGEAR
a22077cf-eb0c-4397-b820-7b3c9b90718c	c2150c0f-b687-4d1b-8ac4-4de4529f5531	GENERATOR
a22077cf-eb0c-4397-b820-7b3c9b90718c	fba0a6a9-b980-4418-a48f-49231d2726bb	PRIMARY_AUXILIARIES
a22077cf-eb0c-4397-b820-7b3c9b90718c	11000a7b-9f7a-44a2-ab2d-bf8643983a03	UPS
a22077cf-eb0c-4397-b820-7b3c9b90718c	d18c71fc-935c-441c-af57-6db652a399bd	CRITICAL_AUXILIARIES
a22077cf-eb0c-4397-b820-7b3c9b90718c	8c5c2fe8-0e0c-4d19-bcb4-bfd0b4124736	LIGHTING
a22077cf-eb0c-4397-b820-7b3c9b90718c	9bcf8cfc-149e-4783-a9b1-7d255297d494	CRITICAL_POWER_DISTRIBUTION
a22077cf-eb0c-4397-b820-7b3c9b90718c	171c5cc3-9462-4f5d-ba92-24f26b8319b6	CRAH
a22077cf-eb0c-4397-b820-7b3c9b90718c	3be60e9c-fe10-4725-9ee7-2b45326455ae	CRAC
a22077cf-eb0c-4397-b820-7b3c9b90718c	dbd36e48-1f81-41e3-860a-06f67925686c	CRAC_WITHOUT_FAN
a22077cf-eb0c-4397-b820-7b3c9b90718c	98cf69df-d017-4cd9-bab6-8e6f0f4c1e3e	CRAC_FAN
a22077cf-eb0c-4397-b820-7b3c9b90718c	ef1144e9-1fed-4bfa-b626-f0fbb36c18a7	CHILLER
a22077cf-eb0c-4397-b820-7b3c9b90718c	b39bf55c-5f5d-476c-9a44-65f3b6878eab	AIR_COOLED_CHILLER
a22077cf-eb0c-4397-b820-7b3c9b90718c	0778c501-43ee-4431-b78c-9cb20ab90870	COOLING_TOWER
a22077cf-eb0c-4397-b820-7b3c9b90718c	951c37b3-c242-4716-aa77-73145433a407	DRY_COOLER
a22077cf-eb0c-4397-b820-7b3c9b90718c	6364c1e4-2321-4005-a254-5a9d85b4794d	REMOTE_CONDENSER
a22077cf-eb0c-4397-b820-7b3c9b90718c	7ec690fe-7181-420f-bb25-b0e5b071c2b9	CHILLED_WATER_PUMPS
a22077cf-eb0c-4397-b820-7b3c9b90718c	f4e09cac-f3d0-49f3-be09-b59abb4b52e0	HEAT_REJECTION_PUMPS
a22077cf-eb0c-4397-b820-7b3c9b90718c	0599c828-b282-4ef6-8f4a-8c9ac7f28743	VENTILATION
a22077cf-eb0c-4397-b820-7b3c9b90718c	d20c205c-06a4-4cd9-a5e6-528ea7ec54db	INFILTRATION
a22077cf-eb0c-4397-b820-7b3c9b90718c	b38a8a71-cccd-418b-b99e-3b19a0a9d34b	IT_LOAD
203efa4a-a298-4cdc-9167-10b3c7e96214	8bf8782e-8842-4b49-99cb-bfe41996157a	SWITCHGEAR
203efa4a-a298-4cdc-9167-10b3c7e96214	e7b35198-9d74-4ba8-9680-2e6e42ede152	GENERATOR
203efa4a-a298-4cdc-9167-10b3c7e96214	a8fa92da-cb1f-4922-a2ae-7996fa25f9da	PRIMARY_AUXILIARIES
203efa4a-a298-4cdc-9167-10b3c7e96214	4de68c30-4420-4ce5-93df-e4062beb73d5	UPS
203efa4a-a298-4cdc-9167-10b3c7e96214	f391395f-8be1-47f2-8051-6d3362d3697c	CRITICAL_AUXILIARIES
203efa4a-a298-4cdc-9167-10b3c7e96214	98683e73-0bbf-4f7e-b0a6-1f5133a7dc17	LIGHTING
203efa4a-a298-4cdc-9167-10b3c7e96214	4abfe744-3455-43f2-bd7c-a2a037d8bdf7	CRITICAL_POWER_DISTRIBUTION
203efa4a-a298-4cdc-9167-10b3c7e96214	927eb6b7-f488-4062-8816-d6255b49b092	CRAH
203efa4a-a298-4cdc-9167-10b3c7e96214	7887aed3-346f-44c2-abe9-8a0419294ee3	CRAC
203efa4a-a298-4cdc-9167-10b3c7e96214	624d4313-d191-456d-ba39-9af47211b974	CRAC_WITHOUT_FAN
203efa4a-a298-4cdc-9167-10b3c7e96214	f65de71f-136b-4d92-aae6-b3d1332e06cb	CRAC_FAN
203efa4a-a298-4cdc-9167-10b3c7e96214	57261cff-42c4-4a47-b1ca-fd7ba8467ada	CHILLER
203efa4a-a298-4cdc-9167-10b3c7e96214	bad76ad2-c47f-43ed-aea7-2d9b87b5fd04	AIR_COOLED_CHILLER
203efa4a-a298-4cdc-9167-10b3c7e96214	41b436c8-9dd3-4053-b9bb-19cf0f8ad9c8	COOLING_TOWER
203efa4a-a298-4cdc-9167-10b3c7e96214	baee6b28-0573-48e4-8d61-414b3163089f	DRY_COOLER
203efa4a-a298-4cdc-9167-10b3c7e96214	cbf78cec-26da-474f-a4fe-9551665ba751	REMOTE_CONDENSER
203efa4a-a298-4cdc-9167-10b3c7e96214	febf86e4-2dc1-4124-9f8b-efe0e1a06c88	CHILLED_WATER_PUMPS
203efa4a-a298-4cdc-9167-10b3c7e96214	01b41b07-1ebe-47b6-b5fa-daff8f5f7d34	HEAT_REJECTION_PUMPS
203efa4a-a298-4cdc-9167-10b3c7e96214	a89cfc69-6ace-45a2-baaf-b47132caa851	VENTILATION
203efa4a-a298-4cdc-9167-10b3c7e96214	4c7ac6db-8bbb-4304-b914-9e4e3e7ad7c5	INFILTRATION
203efa4a-a298-4cdc-9167-10b3c7e96214	447b2c34-3088-4f53-85cf-6e3517d5303b	IT_LOAD
cfb928a6-bf88-401f-aea9-70d239476500	26390a29-e6de-49ff-a8a9-f49591db92e7	SWITCHGEAR
cfb928a6-bf88-401f-aea9-70d239476500	02dc1a85-0fae-454f-9214-ffbd04a553e5	GENERATOR
cfb928a6-bf88-401f-aea9-70d239476500	0b59c687-eb95-43d1-bc11-19a1c3700499	PRIMARY_AUXILIARIES
cfb928a6-bf88-401f-aea9-70d239476500	20c54e82-4306-4a04-af84-6ac3935468f4	UPS
cfb928a6-bf88-401f-aea9-70d239476500	38639694-d1fc-4cf2-9496-eb4564839edf	CRITICAL_AUXILIARIES
cfb928a6-bf88-401f-aea9-70d239476500	b17a1b91-d620-4b6e-b90d-37b5ec8400ff	LIGHTING
cfb928a6-bf88-401f-aea9-70d239476500	ebcecaf7-66ac-4032-882b-3b3b791357ca	CRITICAL_POWER_DISTRIBUTION
cfb928a6-bf88-401f-aea9-70d239476500	d73648b2-634b-46d9-b1fa-8bcde1b578b5	CRAH
cfb928a6-bf88-401f-aea9-70d239476500	b7c39b03-a531-4523-a63d-627603244891	CRAC
cfb928a6-bf88-401f-aea9-70d239476500	1c96fd10-d18d-4ab4-a56e-b071304cafa3	CRAC_WITHOUT_FAN
cfb928a6-bf88-401f-aea9-70d239476500	e5ba610c-2326-4233-8e2e-706b35021321	CRAC_FAN
cfb928a6-bf88-401f-aea9-70d239476500	b6ba417e-f885-42b9-b6cd-c05ad7b4a831	CHILLER
cfb928a6-bf88-401f-aea9-70d239476500	04611a61-ef60-45c8-ba07-fb82e99a3813	AIR_COOLED_CHILLER
cfb928a6-bf88-401f-aea9-70d239476500	d573fdea-e6e3-435c-8d26-149c84cdcfa0	COOLING_TOWER
cfb928a6-bf88-401f-aea9-70d239476500	7fb8528c-3628-423b-8d5a-483a1161fe18	DRY_COOLER
cfb928a6-bf88-401f-aea9-70d239476500	fef4b10b-e6ac-46cd-bc54-6cfe0b65cd87	REMOTE_CONDENSER
cfb928a6-bf88-401f-aea9-70d239476500	878aadc8-9b08-4b87-86f1-12d4246913c6	CHILLED_WATER_PUMPS
cfb928a6-bf88-401f-aea9-70d239476500	dfccbebc-b5c7-4347-b912-6764ce8f21bf	HEAT_REJECTION_PUMPS
cfb928a6-bf88-401f-aea9-70d239476500	2f17609a-81d1-4e69-8ade-07a5fce38351	VENTILATION
cfb928a6-bf88-401f-aea9-70d239476500	29825a5b-55d6-4719-bfa2-971844e41e0d	INFILTRATION
cfb928a6-bf88-401f-aea9-70d239476500	4023348f-dd08-4beb-a8b2-c3dc6dd3dee4	IT_LOAD
20e733b6-cf84-492b-8ddc-5e8571810e54	38b039ea-4e75-47de-bd72-357f1fb19f13	SWITCHGEAR
20e733b6-cf84-492b-8ddc-5e8571810e54	68ffa926-8d53-4b5f-8ad9-ea310451821f	GENERATOR
20e733b6-cf84-492b-8ddc-5e8571810e54	09783a3c-9e47-47fb-9ab1-ceacfc3ef2d1	PRIMARY_AUXILIARIES
20e733b6-cf84-492b-8ddc-5e8571810e54	298b4fdb-32cf-4c62-b32c-3908d3df75dd	UPS
20e733b6-cf84-492b-8ddc-5e8571810e54	f714e376-b04c-4f04-a92c-7a0d7b0db4bc	CRITICAL_AUXILIARIES
20e733b6-cf84-492b-8ddc-5e8571810e54	6dbace6c-9d23-4d61-a19a-b34a6edbe2b6	LIGHTING
20e733b6-cf84-492b-8ddc-5e8571810e54	bba72b09-72d7-43ef-80d0-7a34327d7b4f	CRITICAL_POWER_DISTRIBUTION
20e733b6-cf84-492b-8ddc-5e8571810e54	f49f6b5a-44cd-47a8-9d6c-ce96c5b86829	CRAH
20e733b6-cf84-492b-8ddc-5e8571810e54	d56150f7-4448-4ae0-9a78-9f59f01309a5	CRAC
20e733b6-cf84-492b-8ddc-5e8571810e54	f8731dcf-1f9b-417b-8f51-656294b811ef	CRAC_WITHOUT_FAN
20e733b6-cf84-492b-8ddc-5e8571810e54	1d9ca41f-f344-4516-928d-36997d630f83	CRAC_FAN
20e733b6-cf84-492b-8ddc-5e8571810e54	633fef40-2823-4d89-af31-291030c337ab	CHILLER
20e733b6-cf84-492b-8ddc-5e8571810e54	a1660831-d55b-4d99-bc2f-ab55cb7675d8	AIR_COOLED_CHILLER
20e733b6-cf84-492b-8ddc-5e8571810e54	1cdaf0b1-a932-4e3a-a436-cd678977e835	COOLING_TOWER
20e733b6-cf84-492b-8ddc-5e8571810e54	29774d3a-b020-45d8-9d9b-d6649bc0974c	DRY_COOLER
20e733b6-cf84-492b-8ddc-5e8571810e54	19825cee-529c-4897-834e-a845d600b9da	REMOTE_CONDENSER
20e733b6-cf84-492b-8ddc-5e8571810e54	aa9d486a-eccd-4f0a-b8cb-c048b5a869ee	CHILLED_WATER_PUMPS
20e733b6-cf84-492b-8ddc-5e8571810e54	d34c14e6-bd4a-479d-89be-15362c7bb587	HEAT_REJECTION_PUMPS
20e733b6-cf84-492b-8ddc-5e8571810e54	ed42c875-b4d6-4805-92bf-716157168b1f	VENTILATION
20e733b6-cf84-492b-8ddc-5e8571810e54	523ce5cc-7e6a-4788-a983-ba53746a2062	INFILTRATION
20e733b6-cf84-492b-8ddc-5e8571810e54	00db892c-2b53-429a-aae8-6a7166760415	IT_LOAD
818e8eae-0a11-4f27-a881-e6f74ef8cf42	5ef89287-52fb-4511-a44a-17cb3e5f6459	SWITCHGEAR
818e8eae-0a11-4f27-a881-e6f74ef8cf42	d5098510-480f-4798-8047-6ca48c0b8b2e	GENERATOR
818e8eae-0a11-4f27-a881-e6f74ef8cf42	3591e364-f3de-44b2-92ec-97bd8079986b	PRIMARY_AUXILIARIES
818e8eae-0a11-4f27-a881-e6f74ef8cf42	dafe4991-18ff-46ff-a450-99d8881c0157	UPS
818e8eae-0a11-4f27-a881-e6f74ef8cf42	b3fbdd26-adda-49e3-a19f-4577bbab2404	CRITICAL_AUXILIARIES
818e8eae-0a11-4f27-a881-e6f74ef8cf42	d1fcc584-1088-4f94-a474-e8e49f782ad7	LIGHTING
818e8eae-0a11-4f27-a881-e6f74ef8cf42	6a1a54c9-9b02-4fc7-9bfa-de9d6d79d5cd	CRITICAL_POWER_DISTRIBUTION
818e8eae-0a11-4f27-a881-e6f74ef8cf42	ae902001-1ae9-4d2e-926d-a71130e91ace	CRAH
818e8eae-0a11-4f27-a881-e6f74ef8cf42	9d61f5c5-f70d-4a59-afca-4dcfa85a8b52	CRAC
818e8eae-0a11-4f27-a881-e6f74ef8cf42	d16590ef-1114-4293-a153-76cab749ad14	CRAC_WITHOUT_FAN
818e8eae-0a11-4f27-a881-e6f74ef8cf42	33866991-c0de-48fd-ae0f-a73f789ba182	CRAC_FAN
818e8eae-0a11-4f27-a881-e6f74ef8cf42	2e61db64-f4ad-404b-96bf-654455cb44e5	CHILLER
818e8eae-0a11-4f27-a881-e6f74ef8cf42	8cc2ea35-d89a-477f-9c4d-002a003cc2e5	AIR_COOLED_CHILLER
818e8eae-0a11-4f27-a881-e6f74ef8cf42	1325014a-10e7-4c9e-bae3-5021b0bfdd0b	COOLING_TOWER
818e8eae-0a11-4f27-a881-e6f74ef8cf42	ad6fcf9a-eb4e-4394-8f5c-fe6bb589a259	DRY_COOLER
818e8eae-0a11-4f27-a881-e6f74ef8cf42	4829f2d9-0164-4eec-8c0c-10e82da57bbf	REMOTE_CONDENSER
818e8eae-0a11-4f27-a881-e6f74ef8cf42	432bb48f-1ccd-4415-ba70-bab137ccadcc	CHILLED_WATER_PUMPS
818e8eae-0a11-4f27-a881-e6f74ef8cf42	7da51235-bef5-44a0-8e42-2b03d49fab24	HEAT_REJECTION_PUMPS
818e8eae-0a11-4f27-a881-e6f74ef8cf42	ede30320-f2f7-4696-979c-b8ba04126b8e	VENTILATION
818e8eae-0a11-4f27-a881-e6f74ef8cf42	97143b0f-b008-4312-aa37-eb26e91f8a61	INFILTRATION
818e8eae-0a11-4f27-a881-e6f74ef8cf42	5f7b10c9-c7d5-45bb-9599-f5277772dec0	IT_LOAD
ba548a32-25cd-4141-bfb7-133b6ceabe8e	5abcd346-8aa7-443c-98d6-02d6bfeea87b	SWITCHGEAR
ba548a32-25cd-4141-bfb7-133b6ceabe8e	ec3ce35d-43aa-4558-8039-21f39fe406c4	GENERATOR
ba548a32-25cd-4141-bfb7-133b6ceabe8e	34c54a21-e985-4e72-b85b-6ca11ed11f2d	PRIMARY_AUXILIARIES
ba548a32-25cd-4141-bfb7-133b6ceabe8e	a2db1f0b-7170-46a2-a57e-9a48c576403e	UPS
ba548a32-25cd-4141-bfb7-133b6ceabe8e	6ed7200f-d8c2-4451-a8c8-80985fdc41c1	CRITICAL_AUXILIARIES
ba548a32-25cd-4141-bfb7-133b6ceabe8e	82fbf75d-80ad-460b-880e-9dc2da995822	LIGHTING
ba548a32-25cd-4141-bfb7-133b6ceabe8e	799bb424-2300-48a9-9fb6-c48fa2300d71	CRITICAL_POWER_DISTRIBUTION
ba548a32-25cd-4141-bfb7-133b6ceabe8e	53f663fe-0059-4143-8e44-ef0cb7994829	CRAH
ba548a32-25cd-4141-bfb7-133b6ceabe8e	2f910050-494f-428f-ad09-696a128789a9	CRAC
ba548a32-25cd-4141-bfb7-133b6ceabe8e	4fe71606-7397-4a5b-ac2d-b04391845489	CRAC_WITHOUT_FAN
ba548a32-25cd-4141-bfb7-133b6ceabe8e	12019ad2-314d-4189-bbe4-51a09e0bd83e	CRAC_FAN
ba548a32-25cd-4141-bfb7-133b6ceabe8e	3b488a63-8d90-4658-ade8-9777f724fd4b	CHILLER
ba548a32-25cd-4141-bfb7-133b6ceabe8e	05dd972d-c716-438e-a07e-32339bbf0ffd	AIR_COOLED_CHILLER
ba548a32-25cd-4141-bfb7-133b6ceabe8e	47f84802-672f-408f-a595-729196e1b3db	COOLING_TOWER
ba548a32-25cd-4141-bfb7-133b6ceabe8e	4138af08-d931-4177-88ca-e12ad984c8cf	DRY_COOLER
ba548a32-25cd-4141-bfb7-133b6ceabe8e	dbb92219-4a14-48c7-8917-498cbf0e398e	REMOTE_CONDENSER
ba548a32-25cd-4141-bfb7-133b6ceabe8e	1b0d0033-8ca5-4afa-9d58-8de2f8e8fb62	CHILLED_WATER_PUMPS
ba548a32-25cd-4141-bfb7-133b6ceabe8e	d3d327f8-57f2-4429-b40b-bf9d8c828fc8	HEAT_REJECTION_PUMPS
ba548a32-25cd-4141-bfb7-133b6ceabe8e	750b5674-e7c8-4ec2-ada7-6b3a34fd0269	VENTILATION
ba548a32-25cd-4141-bfb7-133b6ceabe8e	ad7be3d1-3415-4789-be0d-eae6e5943c2f	INFILTRATION
ba548a32-25cd-4141-bfb7-133b6ceabe8e	d54a89ed-385b-4c8f-a0d3-0a66c0db9acf	IT_LOAD
87ff3490-3fed-4e72-a80d-7ca3833f10f3	946ed105-a370-4dc1-94bf-17c2311492c8	SWITCHGEAR
87ff3490-3fed-4e72-a80d-7ca3833f10f3	d367fe6c-b7aa-4551-9de6-146f2b14eee4	GENERATOR
87ff3490-3fed-4e72-a80d-7ca3833f10f3	419ac2a5-b1f9-4ae4-82d5-07eda602fa91	PRIMARY_AUXILIARIES
87ff3490-3fed-4e72-a80d-7ca3833f10f3	4a34be92-2f1e-46f0-b1e3-a73d50b0e2c3	UPS
87ff3490-3fed-4e72-a80d-7ca3833f10f3	caef68b5-f14f-4fe6-a516-9411be3e5860	CRITICAL_AUXILIARIES
87ff3490-3fed-4e72-a80d-7ca3833f10f3	ba896e89-dfff-48c8-b552-bd7ed439dcf7	LIGHTING
87ff3490-3fed-4e72-a80d-7ca3833f10f3	10e5e36d-da4b-4823-92f6-a3e04ce288f3	CRITICAL_POWER_DISTRIBUTION
87ff3490-3fed-4e72-a80d-7ca3833f10f3	5455c5de-1812-406c-a8dd-7cfd278b84d7	CRAH
87ff3490-3fed-4e72-a80d-7ca3833f10f3	dd2282ee-b519-4048-b02f-a976b1a94c39	CRAC
87ff3490-3fed-4e72-a80d-7ca3833f10f3	16cb26c3-9b8e-4422-90e8-6d8f8a8d58a8	CRAC_WITHOUT_FAN
87ff3490-3fed-4e72-a80d-7ca3833f10f3	96962046-6a93-4cb7-9597-c499d647949a	CRAC_FAN
87ff3490-3fed-4e72-a80d-7ca3833f10f3	262182c7-fbdc-4624-9e37-e81a45d9ef37	CHILLER
87ff3490-3fed-4e72-a80d-7ca3833f10f3	44fe6311-9826-46ee-b2e6-0b8329cfa0c0	AIR_COOLED_CHILLER
87ff3490-3fed-4e72-a80d-7ca3833f10f3	18eb03c7-f3b7-4df5-8646-e3d4eb76497e	COOLING_TOWER
87ff3490-3fed-4e72-a80d-7ca3833f10f3	8868d67b-2ccf-4d2a-a129-c2c779c7683a	DRY_COOLER
87ff3490-3fed-4e72-a80d-7ca3833f10f3	b7111db4-009f-4095-bbf0-cfeefbe0b995	REMOTE_CONDENSER
87ff3490-3fed-4e72-a80d-7ca3833f10f3	c3c2af37-2548-4d22-aff9-c319d858fab1	CHILLED_WATER_PUMPS
87ff3490-3fed-4e72-a80d-7ca3833f10f3	3a44e175-6e5b-497a-93df-c82eaffe911a	HEAT_REJECTION_PUMPS
87ff3490-3fed-4e72-a80d-7ca3833f10f3	58218d31-94c1-45ae-82d9-3c171f7b4e00	VENTILATION
87ff3490-3fed-4e72-a80d-7ca3833f10f3	7a5c78f0-cf21-422b-a0d2-9e6a5f4c8983	INFILTRATION
87ff3490-3fed-4e72-a80d-7ca3833f10f3	92f5506b-ed7d-4d53-947b-03a9b63ad417	IT_LOAD
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	cc1517b7-c7d1-4555-92a7-4bc333133152	SWITCHGEAR
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	f0e1728f-d056-4068-82bf-20ae2f3f3c52	GENERATOR
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	076e9ad9-3644-472c-b506-0bfcefd07c0f	PRIMARY_AUXILIARIES
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	05f55558-93e0-4168-8d27-9a0c5ee65b07	UPS
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	b374e995-27c7-483c-911c-0545f4dfce65	CRITICAL_AUXILIARIES
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	aa130200-670b-4525-9bb8-8c8f79d16395	LIGHTING
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	9948cd6d-b596-4a11-a447-14caec4e0394	CRITICAL_POWER_DISTRIBUTION
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	fd65d198-ebe5-485d-b81b-632f48538708	CRAH
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	22e8b591-ede9-4f1c-894d-78349d5b3f4e	CRAC
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	c831b40e-e0b6-45f2-b8d3-f6666842207d	CRAC_WITHOUT_FAN
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	9c2940ef-2174-4401-b684-c69b35b2ba94	CRAC_FAN
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	482cfb21-e644-4c40-8f42-8ed71e3492af	CHILLER
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	5a456977-2e5f-4c65-8c19-be4f9cae8747	AIR_COOLED_CHILLER
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	d48305e3-8004-432d-9844-6971c2259f1c	COOLING_TOWER
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	ed913101-8a44-43fb-92ad-2da5323bef1c	DRY_COOLER
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	1d6ffa1b-14b4-47ea-acfc-d962920ef062	REMOTE_CONDENSER
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	c8411428-7e40-4194-a2ab-e8baf0a6a75c	CHILLED_WATER_PUMPS
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	22146932-edcc-4d19-bc00-8d41b62f5d80	HEAT_REJECTION_PUMPS
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	bf4eb5b3-b67c-48a7-8dda-f4a57eea257f	VENTILATION
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	f1695863-7ada-4c15-8e87-0ab4abb37ba1	INFILTRATION
57ca8076-c264-4bf9-9e6c-cfbc1bec3c65	658791af-b12a-4dcb-a98e-33bcd8415b3a	IT_LOAD
c5fc297e-5f30-40de-8477-49097bb27958	283ea593-ac43-4f47-9c5a-e0985f14074f	SWITCHGEAR
c5fc297e-5f30-40de-8477-49097bb27958	e61ad184-67c4-46bc-af68-02f16fe62165	GENERATOR
c5fc297e-5f30-40de-8477-49097bb27958	cf864f7e-79c5-40a1-b905-244624035a81	PRIMARY_AUXILIARIES
c5fc297e-5f30-40de-8477-49097bb27958	a417662d-23b0-49d6-8cae-77ab0b17f45e	UPS
c5fc297e-5f30-40de-8477-49097bb27958	482452f6-85d3-4988-a355-eedf9bbd3cc1	CRITICAL_AUXILIARIES
c5fc297e-5f30-40de-8477-49097bb27958	31b4111b-2a20-4213-b474-be0c5bbe30df	LIGHTING
c5fc297e-5f30-40de-8477-49097bb27958	dc31d7af-11ea-47e2-9932-6181deb9b687	CRITICAL_POWER_DISTRIBUTION
c5fc297e-5f30-40de-8477-49097bb27958	bb734c71-19b9-42dd-9d96-e13862f1fb0a	CRAH
c5fc297e-5f30-40de-8477-49097bb27958	930c9c93-88c7-4e7f-9268-1ae4c3682c7c	CRAC
c5fc297e-5f30-40de-8477-49097bb27958	5974b632-f8b8-431f-9183-d1908a0c43af	CRAC_WITHOUT_FAN
c5fc297e-5f30-40de-8477-49097bb27958	91fc6a01-dbc9-4a10-822c-ce6c003e275b	CRAC_FAN
c5fc297e-5f30-40de-8477-49097bb27958	579d79a0-6ed0-48a0-8f5a-438c16837d79	CHILLER
c5fc297e-5f30-40de-8477-49097bb27958	8b82d6dd-0a27-44db-b412-4e57f05b498f	AIR_COOLED_CHILLER
c5fc297e-5f30-40de-8477-49097bb27958	0ebe54d5-17ba-45b0-b77c-e3db241be10e	COOLING_TOWER
c5fc297e-5f30-40de-8477-49097bb27958	2584826a-cc28-44fa-a093-b7538340bbb1	DRY_COOLER
c5fc297e-5f30-40de-8477-49097bb27958	70ed4f95-b823-45ec-8a53-5f9ea0baf566	REMOTE_CONDENSER
c5fc297e-5f30-40de-8477-49097bb27958	ddda797d-566f-4173-8c10-ecbcfc485317	CHILLED_WATER_PUMPS
c5fc297e-5f30-40de-8477-49097bb27958	7b62a822-9aec-447a-8890-5d0ca5c0cc0e	HEAT_REJECTION_PUMPS
c5fc297e-5f30-40de-8477-49097bb27958	c2f2431f-cc75-4c72-aded-b7965a961295	VENTILATION
c5fc297e-5f30-40de-8477-49097bb27958	6d5df9bb-e526-40a6-84a4-1504db2d5591	INFILTRATION
c5fc297e-5f30-40de-8477-49097bb27958	e13c11af-6a03-41c3-ac8a-22907593ed4f	IT_LOAD
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	61ef1030-cc4b-49ad-a664-0285e0a61956	SWITCHGEAR
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	bcf2c3a8-3549-4a53-85fc-051f92aa26e2	GENERATOR
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	298b7611-95f8-4428-810b-58d956cc383e	PRIMARY_AUXILIARIES
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	f7fb38b7-d7f5-475f-99e9-a41d472cadb2	UPS
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	a5af25b0-9fcc-4ecd-9fce-bee1db64f92f	CRITICAL_AUXILIARIES
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	628a44b3-a33e-4793-8bd5-357ab3797e8b	LIGHTING
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	2df44dd2-fbb0-431e-9ec8-a32c29aeefa4	CRITICAL_POWER_DISTRIBUTION
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	ea57c23d-6eb2-43ee-b420-0fc989ad023d	CRAH
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	d6cb6f87-a20e-43b9-b2ae-77124cf07660	CRAC
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	81b99075-d28b-43d3-87d7-c3350994345f	CRAC_WITHOUT_FAN
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	918b0adc-b261-4ae7-9dfa-c87fe43a489c	CRAC_FAN
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	3b2653d4-e93b-4932-8352-82ada52171ca	CHILLER
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	915aeb24-867b-4274-9a61-488e0dae1eff	AIR_COOLED_CHILLER
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	93407481-7d71-475f-ac3b-164175210622	COOLING_TOWER
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	a9925866-3bcd-4eda-bd0f-ae767165aa1d	DRY_COOLER
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	18fd5376-b47c-4164-9f3a-f5e631b00b53	REMOTE_CONDENSER
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	bb231068-e227-4633-9d28-96b68a4f2894	CHILLED_WATER_PUMPS
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	d6d3c934-4bca-46cb-b898-20efc307f51a	HEAT_REJECTION_PUMPS
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	79864de2-7c5a-4ee8-866d-1bc7bcd366eb	VENTILATION
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	08d66fa6-5176-4589-80ec-32c95a0dc5fc	INFILTRATION
ab3aee7f-56cc-4908-a2c1-28b8b5a2cb67	17881818-bf1b-49be-93a7-f2fddc719b9c	IT_LOAD
7850eb15-40c8-419c-985d-8ebe59b9f8c5	7b8ed03b-9912-48f0-bc78-aa9dce5be52a	SWITCHGEAR
7850eb15-40c8-419c-985d-8ebe59b9f8c5	1ebd6d34-8270-49f3-8337-d3d7a4048236	GENERATOR
7850eb15-40c8-419c-985d-8ebe59b9f8c5	ffcf1740-883a-44fc-93e1-80eac32b1e2f	PRIMARY_AUXILIARIES
7850eb15-40c8-419c-985d-8ebe59b9f8c5	0562874d-8665-40f4-ac24-f5720ac4904d	UPS
7850eb15-40c8-419c-985d-8ebe59b9f8c5	f86fe8be-9370-4447-8798-471aae4cc8a3	CRITICAL_AUXILIARIES
7850eb15-40c8-419c-985d-8ebe59b9f8c5	7e5ac927-2b15-40b3-922e-b753e5f08cb1	LIGHTING
7850eb15-40c8-419c-985d-8ebe59b9f8c5	79d75eb4-fb22-4b77-bd0f-28b0866c41ff	CRITICAL_POWER_DISTRIBUTION
7850eb15-40c8-419c-985d-8ebe59b9f8c5	02e11311-c649-4ae5-8702-cecc7b0826e4	CRAH
7850eb15-40c8-419c-985d-8ebe59b9f8c5	88ffce6d-3473-4a0e-949c-713d73ff03cf	CRAC
7850eb15-40c8-419c-985d-8ebe59b9f8c5	5ccbd397-be8c-4c50-9b68-a51b222538b1	CRAC_WITHOUT_FAN
7850eb15-40c8-419c-985d-8ebe59b9f8c5	e894ddb8-ff22-4482-ba94-66d91c234eee	CRAC_FAN
7850eb15-40c8-419c-985d-8ebe59b9f8c5	8aa114c8-1242-4ed7-ac66-84f49ba0d7b7	CHILLER
7850eb15-40c8-419c-985d-8ebe59b9f8c5	812c3133-219e-478a-9c57-c25c11fb5f8d	AIR_COOLED_CHILLER
7850eb15-40c8-419c-985d-8ebe59b9f8c5	891e62aa-e684-4116-a801-f8c331b6f112	COOLING_TOWER
7850eb15-40c8-419c-985d-8ebe59b9f8c5	19215440-cc46-45aa-a2a3-f25aae5b8427	DRY_COOLER
7850eb15-40c8-419c-985d-8ebe59b9f8c5	aac3bb3a-6f68-45f0-9c01-ff943ae08921	REMOTE_CONDENSER
7850eb15-40c8-419c-985d-8ebe59b9f8c5	605e6db3-4d94-4101-9f14-5f281732f304	CHILLED_WATER_PUMPS
7850eb15-40c8-419c-985d-8ebe59b9f8c5	419657c4-4284-425e-a520-4090adc04b33	HEAT_REJECTION_PUMPS
7850eb15-40c8-419c-985d-8ebe59b9f8c5	71300b74-6e47-42d7-a542-874ebf7828ac	VENTILATION
7850eb15-40c8-419c-985d-8ebe59b9f8c5	e052fb4f-b90c-4f7d-8365-eab3edaeba6f	INFILTRATION
7850eb15-40c8-419c-985d-8ebe59b9f8c5	537bf47e-f790-4933-8e95-eb46ac4bf45c	IT_LOAD
b66db490-989f-41ac-ad75-7748813a3c1e	64facfe2-ccda-4810-afb3-60531b3a3245	SWITCHGEAR
b66db490-989f-41ac-ad75-7748813a3c1e	c710b7ce-34e8-450c-a24d-1e8c27d469bc	GENERATOR
b66db490-989f-41ac-ad75-7748813a3c1e	08f5e182-2409-4220-ab74-bb49f3837d43	PRIMARY_AUXILIARIES
b66db490-989f-41ac-ad75-7748813a3c1e	bdd4b5d9-0b30-4ac6-b656-562689ffbaa1	UPS
b66db490-989f-41ac-ad75-7748813a3c1e	6887d44f-098d-478a-ab60-2805ca597a43	CRITICAL_AUXILIARIES
b66db490-989f-41ac-ad75-7748813a3c1e	44515bd6-10db-478e-9237-1320f90ada3c	LIGHTING
b66db490-989f-41ac-ad75-7748813a3c1e	05930a42-6fe3-47ef-996d-b46e09c5a723	CRITICAL_POWER_DISTRIBUTION
b66db490-989f-41ac-ad75-7748813a3c1e	1412643d-d39b-47f1-9be8-dbc108ddb30c	CRAH
b66db490-989f-41ac-ad75-7748813a3c1e	0a4704c8-08da-4527-a4e6-c895b2eceea2	CRAC
b66db490-989f-41ac-ad75-7748813a3c1e	0a3de95e-a5cd-4390-8612-5e68f9d54ce0	CRAC_WITHOUT_FAN
b66db490-989f-41ac-ad75-7748813a3c1e	29d9ae0b-49b3-428b-833a-04f646f63fd9	CRAC_FAN
b66db490-989f-41ac-ad75-7748813a3c1e	7efc61f8-70d4-439d-8374-9d3f1c197f71	CHILLER
b66db490-989f-41ac-ad75-7748813a3c1e	9fdd1ec6-8bd7-408f-8951-964b25aaa502	AIR_COOLED_CHILLER
b66db490-989f-41ac-ad75-7748813a3c1e	a74cc6db-7cb6-4c66-be61-2a10898c56fe	COOLING_TOWER
b66db490-989f-41ac-ad75-7748813a3c1e	2cd18e39-b6f8-4c7f-b9aa-c2530ff64d6b	DRY_COOLER
b66db490-989f-41ac-ad75-7748813a3c1e	a572294d-e97f-48a6-a522-2b065078081a	REMOTE_CONDENSER
b66db490-989f-41ac-ad75-7748813a3c1e	09506ea0-b3ed-493a-b204-d1fe4d6b380c	CHILLED_WATER_PUMPS
b66db490-989f-41ac-ad75-7748813a3c1e	2574fbb8-224e-4ac4-8a3f-03a5e0e4f36f	HEAT_REJECTION_PUMPS
b66db490-989f-41ac-ad75-7748813a3c1e	23c801a3-3377-490e-a207-c0b2db3a2dcf	VENTILATION
b66db490-989f-41ac-ad75-7748813a3c1e	6b32eaf8-a1bb-42f2-a6a0-2d106adae2f7	INFILTRATION
b66db490-989f-41ac-ad75-7748813a3c1e	431bb845-954d-43c5-8de5-456160e5f985	IT_LOAD
02220e88-21a8-4f82-be27-1dc496d4e9dc	9aa1a138-eac1-4dd7-b7f7-b794e43f101a	SWITCHGEAR
02220e88-21a8-4f82-be27-1dc496d4e9dc	cf9e7c1a-89ab-474d-a4a1-a1b00a444499	GENERATOR
02220e88-21a8-4f82-be27-1dc496d4e9dc	de412a66-686f-4265-9bdd-15f3fb2c7f3f	PRIMARY_AUXILIARIES
02220e88-21a8-4f82-be27-1dc496d4e9dc	f212c638-28ff-4037-b103-1c404bfd9a7c	UPS
02220e88-21a8-4f82-be27-1dc496d4e9dc	37c8ed46-1ff2-4002-a08a-eff97c89b72d	CRITICAL_AUXILIARIES
02220e88-21a8-4f82-be27-1dc496d4e9dc	bbfd03bf-f7b6-471b-8f7b-8c1f1780f416	LIGHTING
02220e88-21a8-4f82-be27-1dc496d4e9dc	177f0fbd-a380-4388-9e54-6f22231de1f2	CRITICAL_POWER_DISTRIBUTION
02220e88-21a8-4f82-be27-1dc496d4e9dc	2604dc01-fb2e-4f31-85e4-922383e09811	CRAH
02220e88-21a8-4f82-be27-1dc496d4e9dc	a58931da-3218-4b54-b56e-7540522829fb	CRAC
02220e88-21a8-4f82-be27-1dc496d4e9dc	77bc73ec-9f67-483e-8ab5-574a270ee9e6	CRAC_WITHOUT_FAN
02220e88-21a8-4f82-be27-1dc496d4e9dc	9bd7ae6c-90bf-4507-b50b-d5fcdc18f27c	CRAC_FAN
02220e88-21a8-4f82-be27-1dc496d4e9dc	f998233b-9d86-4343-8c7c-ae7a4f659a57	CHILLER
02220e88-21a8-4f82-be27-1dc496d4e9dc	c016c4cc-d1b5-4326-a5b5-864a818da5c2	AIR_COOLED_CHILLER
02220e88-21a8-4f82-be27-1dc496d4e9dc	63d32406-df24-43f6-bbce-bf4ddbebf661	COOLING_TOWER
02220e88-21a8-4f82-be27-1dc496d4e9dc	4d3b67c3-add2-42ea-8477-cbce759bc000	DRY_COOLER
02220e88-21a8-4f82-be27-1dc496d4e9dc	73bcd8ce-fba2-4f5c-8ffe-460d2137eaa2	REMOTE_CONDENSER
02220e88-21a8-4f82-be27-1dc496d4e9dc	83ed1395-9e28-4a5d-a9a0-2d41d4fa96ac	CHILLED_WATER_PUMPS
02220e88-21a8-4f82-be27-1dc496d4e9dc	06359dd3-3c17-4b65-9463-015a0efc5852	HEAT_REJECTION_PUMPS
02220e88-21a8-4f82-be27-1dc496d4e9dc	97698f04-9d57-42bb-9023-e13ec4d8eac5	VENTILATION
02220e88-21a8-4f82-be27-1dc496d4e9dc	ae728a42-2d1b-4948-b6d4-31f90b5c2d26	INFILTRATION
02220e88-21a8-4f82-be27-1dc496d4e9dc	e0a87aab-66ed-408a-8252-1345ee8cb893	IT_LOAD
ad493574-9b34-44c0-8102-a5a6e782f5c0	10722383-a76a-4b7a-8a64-af59499e01b6	SWITCHGEAR
ad493574-9b34-44c0-8102-a5a6e782f5c0	a5cf74a7-4600-453d-8806-aaa8ccb1b22a	GENERATOR
ad493574-9b34-44c0-8102-a5a6e782f5c0	47c82044-57c7-40a9-8b15-534a25596f7f	PRIMARY_AUXILIARIES
ad493574-9b34-44c0-8102-a5a6e782f5c0	f6a22af5-cf65-47b9-911a-78734b24ffd7	UPS
ad493574-9b34-44c0-8102-a5a6e782f5c0	a421d972-2b61-4bfc-a7f7-de2815ffa096	CRITICAL_AUXILIARIES
ad493574-9b34-44c0-8102-a5a6e782f5c0	1f97f259-050d-4350-9805-3da3b282b3be	LIGHTING
ad493574-9b34-44c0-8102-a5a6e782f5c0	d9d9b6d1-860a-4b2e-8d5a-aa6dc3d13e8f	CRITICAL_POWER_DISTRIBUTION
ad493574-9b34-44c0-8102-a5a6e782f5c0	34ddee9a-994b-4048-ace3-74fbf5905412	CRAH
ad493574-9b34-44c0-8102-a5a6e782f5c0	e2797e1f-29f7-44c8-88ab-eb15a0f0ad34	CRAC
ad493574-9b34-44c0-8102-a5a6e782f5c0	57897d4b-198e-475c-b13f-5cd953db2700	CRAC_WITHOUT_FAN
ad493574-9b34-44c0-8102-a5a6e782f5c0	ebfbf5ca-ddf8-4516-b55a-5db5470b4559	CRAC_FAN
ad493574-9b34-44c0-8102-a5a6e782f5c0	4efc530c-3979-4fcf-9054-2a352a865f84	CHILLER
ad493574-9b34-44c0-8102-a5a6e782f5c0	9e955eae-6e74-4fd8-9e19-26a568bef4e1	AIR_COOLED_CHILLER
ad493574-9b34-44c0-8102-a5a6e782f5c0	9ed7d6de-8d74-4039-9254-3d3fa0981a51	COOLING_TOWER
ad493574-9b34-44c0-8102-a5a6e782f5c0	ee737161-b019-43b4-93e8-db66ff0c7ccb	DRY_COOLER
ad493574-9b34-44c0-8102-a5a6e782f5c0	5d2b600f-21a0-41e2-bde1-e3f456cc74e1	REMOTE_CONDENSER
ad493574-9b34-44c0-8102-a5a6e782f5c0	267c905c-94b2-40fe-a198-0d86c06c02c2	CHILLED_WATER_PUMPS
ad493574-9b34-44c0-8102-a5a6e782f5c0	83271dda-f128-4c1c-af79-a966a8d0619a	HEAT_REJECTION_PUMPS
ad493574-9b34-44c0-8102-a5a6e782f5c0	19c11c0f-86c7-4bb9-af04-d602ddaf52c3	VENTILATION
ad493574-9b34-44c0-8102-a5a6e782f5c0	d524d345-6fb2-45ff-9260-3b97ba8fbf47	INFILTRATION
ad493574-9b34-44c0-8102-a5a6e782f5c0	413d994f-4602-4f01-af08-07fb6eaab5c6	IT_LOAD
5645b540-0e18-4978-b204-dc3ec5b297a8	c1335470-1c63-4b93-8d7c-119c542a55f4	SWITCHGEAR
5645b540-0e18-4978-b204-dc3ec5b297a8	60ad0e29-339e-401b-9627-d42f261429ae	GENERATOR
5645b540-0e18-4978-b204-dc3ec5b297a8	ef1bd0f8-7ddc-47da-9276-eab983019dbf	PRIMARY_AUXILIARIES
5645b540-0e18-4978-b204-dc3ec5b297a8	c4af4810-d5c2-47f3-89f4-7bc8e423d28c	UPS
5645b540-0e18-4978-b204-dc3ec5b297a8	6449833a-def2-436a-95b0-e5d4114632a4	CRITICAL_AUXILIARIES
5645b540-0e18-4978-b204-dc3ec5b297a8	ca252ca8-5e73-45ae-8f53-09f313034658	LIGHTING
5645b540-0e18-4978-b204-dc3ec5b297a8	34fd61d0-b1e1-48fd-b731-00e13c365605	CRITICAL_POWER_DISTRIBUTION
5645b540-0e18-4978-b204-dc3ec5b297a8	b731a7da-38c2-4a92-8763-235a6edc3c50	CRAH
5645b540-0e18-4978-b204-dc3ec5b297a8	84be349f-e49b-4a9a-ae9c-c679f10e7dcd	CRAC
5645b540-0e18-4978-b204-dc3ec5b297a8	f3511a9a-7ba8-4f1d-a503-b0bb2400553b	CRAC_WITHOUT_FAN
5645b540-0e18-4978-b204-dc3ec5b297a8	4837f30a-a7aa-451e-9c4c-02fc45a64192	CRAC_FAN
5645b540-0e18-4978-b204-dc3ec5b297a8	14979620-36e9-406a-a25d-b075ee9762a1	CHILLER
5645b540-0e18-4978-b204-dc3ec5b297a8	bf3dc1ca-3de9-465f-87ca-baa2d6b6fea9	AIR_COOLED_CHILLER
5645b540-0e18-4978-b204-dc3ec5b297a8	32033324-c7a7-44bf-ac60-5ba4bf43bd5b	COOLING_TOWER
5645b540-0e18-4978-b204-dc3ec5b297a8	9934f3b0-1ae3-418f-bc32-421a5b54265b	DRY_COOLER
5645b540-0e18-4978-b204-dc3ec5b297a8	e3ef8227-310f-4650-b6b9-afbbfa0c6def	REMOTE_CONDENSER
5645b540-0e18-4978-b204-dc3ec5b297a8	c9bb9c7a-a33d-47b2-a538-a44118a44c32	CHILLED_WATER_PUMPS
5645b540-0e18-4978-b204-dc3ec5b297a8	260acfe5-1f91-4bc7-a31f-28e9e6e38ca0	HEAT_REJECTION_PUMPS
5645b540-0e18-4978-b204-dc3ec5b297a8	ef27fbd3-7b28-4fb3-be95-a506c7a1401b	VENTILATION
5645b540-0e18-4978-b204-dc3ec5b297a8	238c0929-7b58-46ff-8e32-4a109f94345c	INFILTRATION
5645b540-0e18-4978-b204-dc3ec5b297a8	67a90409-c3ff-42c6-a17f-38767eddfd1b	IT_LOAD
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	bd06b4e9-181f-461a-b491-d58560061bba	SWITCHGEAR
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	77aa4c21-7c05-4329-b4cc-5dafc301980d	GENERATOR
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	0652044a-24b0-40a5-bf99-e8e654f2d600	PRIMARY_AUXILIARIES
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	83ceb9a3-566f-4a86-a3ef-676e453a6d5a	UPS
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	b2056c0f-3284-4b7d-b901-a16c79a1df33	CRITICAL_AUXILIARIES
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	5013b469-8209-4318-983f-3bcf5d538e06	LIGHTING
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	e5616998-fc1c-49c7-bab3-f75ea3f1c53b	CRITICAL_POWER_DISTRIBUTION
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	67d81be5-1f62-4eef-9f9b-eb99478d908e	CRAH
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	40f3adad-5fd6-47d3-8fbc-63a3bbbc8303	CRAC
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	591719cb-04b8-44e0-8aac-6695af4113cd	CRAC_WITHOUT_FAN
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	5e1ca2c7-689d-4cc5-9eb5-4c41cc58c3b2	CRAC_FAN
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	a07cba4b-6368-46c9-a720-d792512eb90d	CHILLER
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	b50f8f07-d0e5-4ffc-b0ac-17d922628a1c	AIR_COOLED_CHILLER
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	e68b74af-07c3-4f4e-ace5-0f06333091fe	COOLING_TOWER
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	eb61c7dc-698c-49b3-8d5e-d12eaf6a8978	DRY_COOLER
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	0b51a804-4d69-44ef-b6ef-833486933083	REMOTE_CONDENSER
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	0a94ea78-4f98-4e98-a3ac-e4b30452ae48	CHILLED_WATER_PUMPS
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	786806b7-b0e9-4148-908e-19bceb69c132	HEAT_REJECTION_PUMPS
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	64c6f57b-6c49-4dbb-aa89-36d36d229021	VENTILATION
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	a5f89494-9ede-422b-b6fe-7ab402f84352	INFILTRATION
0fe5d0f8-3eee-4c1f-b56b-51fb208e35c5	68579734-41f5-4761-9e8a-e3e76eb4ef09	IT_LOAD
ee7c8490-c6ed-4fae-985e-d84deb4437a7	cea213ca-9aaf-47d3-973d-9e2c07f70cac	SWITCHGEAR
ee7c8490-c6ed-4fae-985e-d84deb4437a7	3828b440-4d8d-49c6-a558-bec4841c2b14	GENERATOR
ee7c8490-c6ed-4fae-985e-d84deb4437a7	5e698ba4-6520-4733-8024-5eaeac56ee3c	PRIMARY_AUXILIARIES
ee7c8490-c6ed-4fae-985e-d84deb4437a7	c52af2ae-7dd3-40e2-88f7-1aa359992890	UPS
ee7c8490-c6ed-4fae-985e-d84deb4437a7	7ec9185e-3e2e-4379-a329-d53c8e2fbef2	CRITICAL_AUXILIARIES
ee7c8490-c6ed-4fae-985e-d84deb4437a7	3e753fb9-496c-4f73-8926-a78eca9191d9	LIGHTING
ee7c8490-c6ed-4fae-985e-d84deb4437a7	f2a445d0-e747-4da8-86f3-d509ee72b7ed	CRITICAL_POWER_DISTRIBUTION
ee7c8490-c6ed-4fae-985e-d84deb4437a7	99b7b059-e662-42b5-8354-bb93cbc2df05	CRAH
ee7c8490-c6ed-4fae-985e-d84deb4437a7	d90f08a4-3af3-4b78-a15a-82aa8b8f330f	CRAC
ee7c8490-c6ed-4fae-985e-d84deb4437a7	a6047fe8-3ad7-4a9d-a6b3-fe1a1c197336	CRAC_WITHOUT_FAN
ee7c8490-c6ed-4fae-985e-d84deb4437a7	81196190-46bf-4068-8bd1-faa008d42f3b	CRAC_FAN
ee7c8490-c6ed-4fae-985e-d84deb4437a7	b5164215-6bd1-4d57-81a2-6240400b793c	CHILLER
ee7c8490-c6ed-4fae-985e-d84deb4437a7	9cc9bddf-a371-4842-99cd-457be6ff64f6	AIR_COOLED_CHILLER
ee7c8490-c6ed-4fae-985e-d84deb4437a7	fc9b6cba-7705-483f-a0f3-c193850233d4	COOLING_TOWER
ee7c8490-c6ed-4fae-985e-d84deb4437a7	abf9ae9b-326a-40e9-81ba-06ae73a680cd	DRY_COOLER
ee7c8490-c6ed-4fae-985e-d84deb4437a7	d1e92e06-4e8e-43f4-9029-ea1c00b62600	REMOTE_CONDENSER
ee7c8490-c6ed-4fae-985e-d84deb4437a7	933a7628-b907-477b-a113-d04170203fde	CHILLED_WATER_PUMPS
ee7c8490-c6ed-4fae-985e-d84deb4437a7	ef6f5dbd-32a0-490e-8e6b-cf2cde25062b	HEAT_REJECTION_PUMPS
ee7c8490-c6ed-4fae-985e-d84deb4437a7	4648e806-4d31-423f-be82-f44821f8bb66	VENTILATION
ee7c8490-c6ed-4fae-985e-d84deb4437a7	f68c0397-ba7a-4cf3-a8ed-3491242b3a2f	INFILTRATION
ee7c8490-c6ed-4fae-985e-d84deb4437a7	7fc6a6e3-33b3-4dc0-97de-37b52e2df0ad	IT_LOAD
558a832c-ed53-4edf-bf37-98c9dcb2eceb	9f9c106b-e5ad-4a68-bc66-94ee0bd78531	SWITCHGEAR
558a832c-ed53-4edf-bf37-98c9dcb2eceb	b885835a-28c8-48f2-bd3e-6a500918621d	GENERATOR
558a832c-ed53-4edf-bf37-98c9dcb2eceb	a46591fc-10e5-4589-b5cf-9a403fd395c8	PRIMARY_AUXILIARIES
558a832c-ed53-4edf-bf37-98c9dcb2eceb	54f47881-455b-4dd7-be22-3a5175757d5b	UPS
558a832c-ed53-4edf-bf37-98c9dcb2eceb	47d3d102-b496-486f-bc63-4866b1ef194d	CRITICAL_AUXILIARIES
558a832c-ed53-4edf-bf37-98c9dcb2eceb	7602abff-8616-4b11-9947-4e4386870a80	LIGHTING
558a832c-ed53-4edf-bf37-98c9dcb2eceb	8c3ab644-67db-4edb-a989-c7eadec0e00d	CRITICAL_POWER_DISTRIBUTION
558a832c-ed53-4edf-bf37-98c9dcb2eceb	2f7d474e-ab7c-4f66-b940-45e1839e8a61	CRAH
558a832c-ed53-4edf-bf37-98c9dcb2eceb	cca1095e-e3b1-4716-9b1e-d5005ef179e7	CRAC
558a832c-ed53-4edf-bf37-98c9dcb2eceb	2fd1609d-7b77-45dc-9f57-a6fba5a2d281	CRAC_WITHOUT_FAN
558a832c-ed53-4edf-bf37-98c9dcb2eceb	87f8cf75-506c-408a-b3be-19ce3c857e45	CRAC_FAN
558a832c-ed53-4edf-bf37-98c9dcb2eceb	0f98786c-53da-45c4-a4e1-ad427df9375c	CHILLER
558a832c-ed53-4edf-bf37-98c9dcb2eceb	5838c5cf-c12d-4bf1-98a9-9a17b20099c1	AIR_COOLED_CHILLER
558a832c-ed53-4edf-bf37-98c9dcb2eceb	e1162e31-a97f-4284-8c81-b51cb53e95a8	COOLING_TOWER
558a832c-ed53-4edf-bf37-98c9dcb2eceb	b2626cc3-1be4-4b11-9eb7-41207cdd890c	DRY_COOLER
558a832c-ed53-4edf-bf37-98c9dcb2eceb	4a13b68c-7a45-44b7-9b03-4fcafba02b31	REMOTE_CONDENSER
558a832c-ed53-4edf-bf37-98c9dcb2eceb	f3b5cea9-4c25-49b8-9dd4-55d1221189ae	CHILLED_WATER_PUMPS
558a832c-ed53-4edf-bf37-98c9dcb2eceb	706faa38-d084-4bde-b307-8d4fc8e8d429	HEAT_REJECTION_PUMPS
558a832c-ed53-4edf-bf37-98c9dcb2eceb	8c433e07-26aa-420b-9134-0e680cc9a40b	VENTILATION
558a832c-ed53-4edf-bf37-98c9dcb2eceb	68fe0708-fd41-4d75-8fed-85530fca7170	INFILTRATION
558a832c-ed53-4edf-bf37-98c9dcb2eceb	2fb3d6eb-eee9-4c7d-be45-20ee79e0daf8	IT_LOAD
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	8f52bde1-4444-493d-a8c1-e8c2f6a8e44e	SWITCHGEAR
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	19b8799f-d58b-4678-86a5-ec28cb042855	GENERATOR
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	4519fcb2-cbe4-4000-9d35-f301fe774601	PRIMARY_AUXILIARIES
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	874b3d34-9d58-476e-a97a-db0c62d8d2dc	UPS
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	ad877fa6-8ceb-4528-985d-8a99efd124da	CRITICAL_AUXILIARIES
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	4c7aba72-f0ef-429e-9765-afbc8935ede3	LIGHTING
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	bc55776d-328b-41ba-b8ad-cb6bb5ff34a5	CRITICAL_POWER_DISTRIBUTION
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	ebc6fd6d-bfde-4b3b-8171-e8b8065f9848	CRAH
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	d37efd1c-eda9-423f-805a-0596a00df5b5	CRAC
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	a22ad47a-2976-4c9d-b198-0732c4845627	CRAC_WITHOUT_FAN
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	da70b005-ed29-4995-af16-7eafe50f1171	CRAC_FAN
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	bd1eda1d-9b86-4341-9c64-93619dfa0377	CHILLER
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	93e9a984-fc6e-459b-853d-d39649f4c5da	AIR_COOLED_CHILLER
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	9cc17ec8-9fce-4e37-8ffd-01ca597398ad	COOLING_TOWER
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	8dcdf54f-d371-42f2-a632-dbbc102f5c49	DRY_COOLER
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	944ac171-bcc8-4516-ab3c-be6e4573a0e2	REMOTE_CONDENSER
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	e6a2b1a5-ed30-46e6-89ca-18fc751e2821	CHILLED_WATER_PUMPS
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	32707fdd-c34c-4e39-a64b-d24a132202b8	HEAT_REJECTION_PUMPS
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	65ffbf25-a3a2-460b-8029-96fd05a01e36	VENTILATION
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	15ea8b9c-ac68-4dcb-9cd4-ca777671bb6d	INFILTRATION
19f6dd82-00ed-4bc8-a217-8e142c5ddd9d	6f3c3084-46c6-4a1f-a234-19ac24718324	IT_LOAD
a4827c1d-44d3-4f81-9720-89cb957534b6	eb0d805d-64e9-4ebd-9f87-a5789e64e9da	SWITCHGEAR
a4827c1d-44d3-4f81-9720-89cb957534b6	a2a367ae-2970-4202-a551-283d04469d6b	GENERATOR
a4827c1d-44d3-4f81-9720-89cb957534b6	b08b9123-182a-4ad0-b467-ae7baee9ee4a	PRIMARY_AUXILIARIES
a4827c1d-44d3-4f81-9720-89cb957534b6	1af17362-124b-4135-98b8-58a1fa7d64bb	UPS
a4827c1d-44d3-4f81-9720-89cb957534b6	5d3d7a76-6e82-4208-af1c-1e0b67fc31b2	CRITICAL_AUXILIARIES
a4827c1d-44d3-4f81-9720-89cb957534b6	767ddab5-3574-438e-94c2-d6e3366c29e9	LIGHTING
a4827c1d-44d3-4f81-9720-89cb957534b6	754f6915-0042-4ee2-a801-dfc3de5c0cdc	CRITICAL_POWER_DISTRIBUTION
a4827c1d-44d3-4f81-9720-89cb957534b6	d87edb5f-b7fa-4ba0-be27-2d1e1f6ab7b0	CRAH
a4827c1d-44d3-4f81-9720-89cb957534b6	e41ea8be-c705-4931-a1e2-afe6f531470d	CRAC
a4827c1d-44d3-4f81-9720-89cb957534b6	dbb1f60a-bfa4-496e-875a-45f96282e4e3	CRAC_WITHOUT_FAN
a4827c1d-44d3-4f81-9720-89cb957534b6	d9ed23b8-a11a-4d8b-9870-e63f9e41a7e6	CRAC_FAN
a4827c1d-44d3-4f81-9720-89cb957534b6	a392f6fa-9f56-4075-bcb6-be6eef9fbe17	CHILLER
a4827c1d-44d3-4f81-9720-89cb957534b6	cbef236a-0d37-4e51-bcdd-59d18820d444	AIR_COOLED_CHILLER
a4827c1d-44d3-4f81-9720-89cb957534b6	a8b8ddd9-93e1-4dac-9fdc-817dcb5e94aa	COOLING_TOWER
a4827c1d-44d3-4f81-9720-89cb957534b6	dba51ffe-9d2f-46e0-8693-5d63fd3bf2be	DRY_COOLER
a4827c1d-44d3-4f81-9720-89cb957534b6	28c23484-3a7f-4da3-9c62-68177839e0b7	REMOTE_CONDENSER
a4827c1d-44d3-4f81-9720-89cb957534b6	5aa963de-56b0-485b-b2ea-c8b034ea787f	CHILLED_WATER_PUMPS
a4827c1d-44d3-4f81-9720-89cb957534b6	a67a1979-9582-479f-8275-a025054f735e	HEAT_REJECTION_PUMPS
a4827c1d-44d3-4f81-9720-89cb957534b6	3956d782-8ed0-4177-865c-0d096ef46c2e	VENTILATION
a4827c1d-44d3-4f81-9720-89cb957534b6	be979ba7-de62-43bb-8021-7ca0ad77928f	INFILTRATION
a4827c1d-44d3-4f81-9720-89cb957534b6	3ecfad86-d8cd-4ade-910b-f23f81400755	IT_LOAD
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	89cb19b6-b188-420d-a387-cfffddb8bce7	SWITCHGEAR
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	8f6b658f-803d-4fe8-ac05-3f1c80a43813	GENERATOR
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	2ea4fe6c-cec9-43e1-849d-dd9848b1ef08	PRIMARY_AUXILIARIES
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	656865ac-7190-42d7-a520-7c66476a7168	UPS
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	1dbc0d0b-3606-43e4-8cce-b31f5e98dcec	CRITICAL_AUXILIARIES
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	f7f8e868-35f7-4050-a3bd-2fcd13f821f8	LIGHTING
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	167c411c-16d4-4bf6-bbce-19b82c1b9ca6	CRITICAL_POWER_DISTRIBUTION
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	2133c43e-d6b5-4a09-8d54-c4f81a32195f	CRAH
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	de439239-3e72-4cda-bb53-1ce490f5814f	CRAC
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	66e7a61a-5e91-4391-b66d-155c6bfd468f	CRAC_WITHOUT_FAN
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	77ef9ff1-22f9-4165-b125-12a760b3a4e3	CRAC_FAN
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	b2aac5ad-bb55-4d12-9fbe-dc310b59570c	CHILLER
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	37aa5323-3a8c-4d7f-ad3f-4f0c0d486454	AIR_COOLED_CHILLER
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	40613d0b-6dc7-4f91-b826-e5c777bb5dc7	COOLING_TOWER
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	3b98556d-1568-4ddd-965f-96cdc8c1a6d3	DRY_COOLER
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	0cbaa153-7194-43d2-9daf-d416e684a2df	REMOTE_CONDENSER
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	494ae747-4297-4fec-92bb-c4603dcf7f1a	CHILLED_WATER_PUMPS
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	8fa30212-d01c-4d28-9307-fce4b441d608	HEAT_REJECTION_PUMPS
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	110b55c4-487c-4b7a-856a-982811fac4c5	VENTILATION
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	c99f83c8-e49b-4557-a356-310d9292f073	INFILTRATION
f9afc809-9d53-4639-b3de-b2fb5e2ba17d	f612fdc1-7f74-477a-9060-dc849441946e	IT_LOAD
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	699d9b81-57e6-4fb9-a605-600a906b5aae	SWITCHGEAR
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	751e83bf-c714-40e1-8031-71f63ef89b3e	GENERATOR
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	e4a3a151-81d2-41b4-a251-fc0ccffbc887	PRIMARY_AUXILIARIES
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	34e37ab1-dff6-4bf1-be1f-9c893dc9a3cf	UPS
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	571c6571-4ebf-409a-8dc5-ad08b6df4658	CRITICAL_AUXILIARIES
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	c0aefa9c-c70d-41d6-8fb0-e5381b728dd6	LIGHTING
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	8b44ad3a-be9a-4d4b-8115-a8a517e00ee5	CRITICAL_POWER_DISTRIBUTION
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	b760834f-088f-43f2-8a57-b26c2ac90d43	CRAH
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	589aeddb-5831-44c8-9319-05423f197448	CRAC
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	db6f6a7b-323a-4336-a388-ff58b846553c	CRAC_WITHOUT_FAN
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	024ac99c-e601-4b69-89f2-372303ae43a2	CRAC_FAN
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	456577a5-a77e-456c-b3ce-0aac90fce25f	CHILLER
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	b54dc49c-d7a0-4a57-8337-451a85ddfff6	AIR_COOLED_CHILLER
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	4ef12722-fc53-438a-aada-ee4f90846651	COOLING_TOWER
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	7074a522-b8a7-45b8-90e6-491a0877a3dc	DRY_COOLER
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	892f2ddf-023b-44ee-b517-b61ca42e13fb	REMOTE_CONDENSER
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	c942f293-7332-4654-8ed6-cf432dd5fa11	CHILLED_WATER_PUMPS
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	8623ec15-fbac-4786-8b06-a1d917f7ba1e	HEAT_REJECTION_PUMPS
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	0dde4836-a12c-4a23-9781-64986b026128	VENTILATION
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	ce3b8ac5-557e-4bf0-af99-019fbf5e4edd	INFILTRATION
e84304dd-f0b1-4906-8070-5a73b4e0d9a7	2a6d561d-70ad-4cac-82b6-32b23ac4362a	IT_LOAD
66ea2a6a-9f7b-4172-955b-8eff1ae83702	64832365-c1fd-46fc-9a01-649b392f70db	SWITCHGEAR
66ea2a6a-9f7b-4172-955b-8eff1ae83702	292994fd-c172-4472-babc-b3cfb7f66ef9	GENERATOR
66ea2a6a-9f7b-4172-955b-8eff1ae83702	4e149fbf-9af9-4fbe-be8f-ff2925c9c927	PRIMARY_AUXILIARIES
66ea2a6a-9f7b-4172-955b-8eff1ae83702	d894d7e2-8905-46f4-8fc1-25d174f51401	UPS
66ea2a6a-9f7b-4172-955b-8eff1ae83702	c6b62fc9-3a7f-4233-b53d-36a70e0015e3	CRITICAL_AUXILIARIES
66ea2a6a-9f7b-4172-955b-8eff1ae83702	e16d8107-f936-46d7-a81a-192bbdc64f59	LIGHTING
66ea2a6a-9f7b-4172-955b-8eff1ae83702	c1d61045-547f-4b4d-b6f6-f53107e68abe	CRITICAL_POWER_DISTRIBUTION
66ea2a6a-9f7b-4172-955b-8eff1ae83702	93652281-d770-402a-8cb4-75b0dfcd68a0	CRAH
66ea2a6a-9f7b-4172-955b-8eff1ae83702	62f24af9-b4a3-4ed5-a634-34f76016675d	CRAC
66ea2a6a-9f7b-4172-955b-8eff1ae83702	904f0df6-9418-4076-963c-112f4f5b05ce	CRAC_WITHOUT_FAN
66ea2a6a-9f7b-4172-955b-8eff1ae83702	04ed7aa4-e377-4388-805d-a8007ccc443c	CRAC_FAN
66ea2a6a-9f7b-4172-955b-8eff1ae83702	78e2609a-6071-4c25-b1aa-7b31b92d7d83	CHILLER
66ea2a6a-9f7b-4172-955b-8eff1ae83702	362bb7dd-f700-4ebb-b834-201f0a481d80	AIR_COOLED_CHILLER
66ea2a6a-9f7b-4172-955b-8eff1ae83702	9a64c49b-077b-4243-9b1c-083194a5fab4	COOLING_TOWER
66ea2a6a-9f7b-4172-955b-8eff1ae83702	cc193fa3-a435-454c-b9d5-da1795f3d8d1	DRY_COOLER
66ea2a6a-9f7b-4172-955b-8eff1ae83702	56968b15-8754-46ce-ad9d-6ecfc987f550	REMOTE_CONDENSER
66ea2a6a-9f7b-4172-955b-8eff1ae83702	d1d365e3-1083-49ca-a8ee-04598051ef7f	CHILLED_WATER_PUMPS
66ea2a6a-9f7b-4172-955b-8eff1ae83702	ca59a8c0-d08b-464d-a6fb-16fb68857002	HEAT_REJECTION_PUMPS
66ea2a6a-9f7b-4172-955b-8eff1ae83702	814baf08-580b-476a-a866-a07b04cb83d0	VENTILATION
66ea2a6a-9f7b-4172-955b-8eff1ae83702	aa399625-7846-4166-967c-b8dc98116507	INFILTRATION
66ea2a6a-9f7b-4172-955b-8eff1ae83702	3a7b3713-20ae-4293-a641-15238141db3b	IT_LOAD
17d66376-0a54-4fca-b05b-b118ede00bd7	b71a70db-2d69-4f1d-9185-51fc6569faef	SWITCHGEAR
17d66376-0a54-4fca-b05b-b118ede00bd7	49338a1f-4ee6-45bf-ba02-93f8c558d580	GENERATOR
17d66376-0a54-4fca-b05b-b118ede00bd7	098b9d9c-87b3-4936-9e54-2dad78ec8ce5	PRIMARY_AUXILIARIES
17d66376-0a54-4fca-b05b-b118ede00bd7	60f28936-bd78-4dd6-a875-f27d0d98e586	UPS
17d66376-0a54-4fca-b05b-b118ede00bd7	f6c44037-2289-4f34-bd2f-41034ff6b7f8	CRITICAL_AUXILIARIES
17d66376-0a54-4fca-b05b-b118ede00bd7	33344dfc-7a39-4b3d-9ff0-23ac7cc43063	LIGHTING
17d66376-0a54-4fca-b05b-b118ede00bd7	c8a4ef90-ab1d-4eff-b8eb-b9d8c4884d71	CRITICAL_POWER_DISTRIBUTION
17d66376-0a54-4fca-b05b-b118ede00bd7	2fcc5fbd-8a03-4602-9acb-422b36f79299	CRAH
17d66376-0a54-4fca-b05b-b118ede00bd7	b9cc9bcf-11ef-4874-bcd5-eab3bdbe1a2d	CRAC
17d66376-0a54-4fca-b05b-b118ede00bd7	b4eff18b-bcf3-40fe-add2-a9689623e122	CRAC_WITHOUT_FAN
17d66376-0a54-4fca-b05b-b118ede00bd7	987bb9f6-7d89-4399-aa3c-b7ede8520574	CRAC_FAN
17d66376-0a54-4fca-b05b-b118ede00bd7	518071f3-3ea6-49e5-8465-e36dd9d64888	CHILLER
17d66376-0a54-4fca-b05b-b118ede00bd7	a09d73ef-488f-4768-83ec-741cde5b198f	AIR_COOLED_CHILLER
17d66376-0a54-4fca-b05b-b118ede00bd7	8d0e5971-c22d-4dd5-9115-9eb5f883a04e	COOLING_TOWER
17d66376-0a54-4fca-b05b-b118ede00bd7	025cd6a1-1b2e-4cf1-a60e-73bf1a51ec7d	DRY_COOLER
17d66376-0a54-4fca-b05b-b118ede00bd7	343d10a2-a2c6-4dbd-ae3f-2d65338b9c3e	REMOTE_CONDENSER
17d66376-0a54-4fca-b05b-b118ede00bd7	f83bc33b-a505-4860-b97a-8ecdc1eb2ee7	CHILLED_WATER_PUMPS
17d66376-0a54-4fca-b05b-b118ede00bd7	3b0653df-7eea-42bf-8ce8-45cc1dbd7168	HEAT_REJECTION_PUMPS
17d66376-0a54-4fca-b05b-b118ede00bd7	ff0abf97-a422-4798-8817-fbf4554bf813	VENTILATION
17d66376-0a54-4fca-b05b-b118ede00bd7	421d9fa6-a3ef-4952-98e1-05d37849ac01	INFILTRATION
17d66376-0a54-4fca-b05b-b118ede00bd7	ac8a07da-7ad6-4e79-ad5f-c8e2b4164652	IT_LOAD
2d5572a1-e301-4690-b5a4-01481e535fe8	37520187-1c7a-4602-a164-840e85ef7fde	SWITCHGEAR
2d5572a1-e301-4690-b5a4-01481e535fe8	0f53c76c-bf41-4470-8701-4f3c67dd4ea0	GENERATOR
2d5572a1-e301-4690-b5a4-01481e535fe8	4f8923d6-984d-4296-8655-b27e921d6259	PRIMARY_AUXILIARIES
2d5572a1-e301-4690-b5a4-01481e535fe8	55be5da0-8b6b-4917-b169-7b30b2e769b9	UPS
2d5572a1-e301-4690-b5a4-01481e535fe8	19a7378e-86da-4c10-90bd-ae92337cbdaa	CRITICAL_AUXILIARIES
2d5572a1-e301-4690-b5a4-01481e535fe8	9deb42f1-128e-40ca-8e67-d2a9a951c525	LIGHTING
2d5572a1-e301-4690-b5a4-01481e535fe8	8543dac6-2012-48bd-9a01-a56280fa2665	CRITICAL_POWER_DISTRIBUTION
2d5572a1-e301-4690-b5a4-01481e535fe8	0106b19d-fb7a-4e36-b665-cba2270ff9af	CRAH
2d5572a1-e301-4690-b5a4-01481e535fe8	2246d268-f243-4ddc-bb4c-6085700720d8	CRAC
2d5572a1-e301-4690-b5a4-01481e535fe8	fab07561-9b0d-4eb9-b4ec-fab8eb1ea2d3	CRAC_WITHOUT_FAN
2d5572a1-e301-4690-b5a4-01481e535fe8	2dd86ce9-3dc9-4cd1-be52-6225f7d1ee20	CRAC_FAN
2d5572a1-e301-4690-b5a4-01481e535fe8	2bf54847-cb00-405b-85bd-24ba003f6348	CHILLER
2d5572a1-e301-4690-b5a4-01481e535fe8	5eea4b0d-7b62-473d-a5b4-1e3ba9d93763	AIR_COOLED_CHILLER
2d5572a1-e301-4690-b5a4-01481e535fe8	df4e9296-1bbe-4b08-beee-7bc2c4d3f7c4	COOLING_TOWER
2d5572a1-e301-4690-b5a4-01481e535fe8	ebe73128-e0fe-4eb7-b60e-48938caa23dd	DRY_COOLER
2d5572a1-e301-4690-b5a4-01481e535fe8	30a7f6d9-860e-4fee-bec1-280d5d421c6d	REMOTE_CONDENSER
2d5572a1-e301-4690-b5a4-01481e535fe8	ace9ad17-020e-473c-8b1a-afc9363b0768	CHILLED_WATER_PUMPS
2d5572a1-e301-4690-b5a4-01481e535fe8	e57fbec1-9a1c-44cf-9ac4-74b86980d9e6	HEAT_REJECTION_PUMPS
2d5572a1-e301-4690-b5a4-01481e535fe8	03f8b31b-17aa-41b1-870b-554efb655efa	VENTILATION
2d5572a1-e301-4690-b5a4-01481e535fe8	fb43f470-add6-4c1e-a07c-e97371c8c960	INFILTRATION
2d5572a1-e301-4690-b5a4-01481e535fe8	2b7adc67-ee4d-412d-95f6-5d50825d3fa8	IT_LOAD
2194974e-8bec-41da-a910-8d4eb976cdf8	4079d5d8-7a32-4657-a421-1478514c8d3f	SWITCHGEAR
2194974e-8bec-41da-a910-8d4eb976cdf8	decc3cea-8121-4df1-bab2-9a473ba3af62	GENERATOR
2194974e-8bec-41da-a910-8d4eb976cdf8	ad556b1f-5572-441c-844d-163e1469bf22	PRIMARY_AUXILIARIES
2194974e-8bec-41da-a910-8d4eb976cdf8	0e753b83-8234-4954-8bd8-a1a09a9d2ed2	UPS
2194974e-8bec-41da-a910-8d4eb976cdf8	d4726a66-949e-498f-bfaf-13a9c3c04e57	CRITICAL_AUXILIARIES
2194974e-8bec-41da-a910-8d4eb976cdf8	07442192-05e9-4e23-9a4e-130d61d9e8c9	LIGHTING
2194974e-8bec-41da-a910-8d4eb976cdf8	e49c5111-63db-4b36-8a4a-d2f304c7c7c4	CRITICAL_POWER_DISTRIBUTION
2194974e-8bec-41da-a910-8d4eb976cdf8	1e830359-e259-4c97-b240-1c8a4d8a3e3e	CRAH
2194974e-8bec-41da-a910-8d4eb976cdf8	8c29b22f-38ef-4e59-aa88-56584b02cec3	CRAC
2194974e-8bec-41da-a910-8d4eb976cdf8	8ffca5b4-b949-45c7-90a4-67c24c353089	CRAC_WITHOUT_FAN
2194974e-8bec-41da-a910-8d4eb976cdf8	730b269b-6262-426d-89fb-1d4498cd0ae2	CRAC_FAN
2194974e-8bec-41da-a910-8d4eb976cdf8	0939db04-9f8b-4ba3-a4f1-0881de7d0f1d	CHILLER
2194974e-8bec-41da-a910-8d4eb976cdf8	5436a5f3-a233-4334-a1ef-fbc01c77f590	AIR_COOLED_CHILLER
2194974e-8bec-41da-a910-8d4eb976cdf8	406af540-a121-4e10-97a5-eb0411674e86	COOLING_TOWER
2194974e-8bec-41da-a910-8d4eb976cdf8	8162d59b-0d12-4972-9d30-55af35b5dc79	DRY_COOLER
2194974e-8bec-41da-a910-8d4eb976cdf8	7f2e8873-b1e5-4ca2-a824-7876aae4f6e1	REMOTE_CONDENSER
2194974e-8bec-41da-a910-8d4eb976cdf8	c52a5261-db07-41c3-8f61-72d67b337d09	CHILLED_WATER_PUMPS
2194974e-8bec-41da-a910-8d4eb976cdf8	8ec69696-92cb-4303-8bce-674ab9e199c5	HEAT_REJECTION_PUMPS
2194974e-8bec-41da-a910-8d4eb976cdf8	c153be6f-f373-474b-9dd5-29bf4581249d	VENTILATION
2194974e-8bec-41da-a910-8d4eb976cdf8	d635e725-49da-4ba0-94ed-e39b0cff7ca4	INFILTRATION
2194974e-8bec-41da-a910-8d4eb976cdf8	96e2bc89-16ad-4829-92be-fa74e6fe7bf4	IT_LOAD
66b3db82-d0e7-4e00-b6b1-a5d75159598a	ba8a8418-2cb2-4cf8-946a-469ef5caa51e	SWITCHGEAR
66b3db82-d0e7-4e00-b6b1-a5d75159598a	817be13a-c4c6-4e43-83b2-89228e0f0669	GENERATOR
66b3db82-d0e7-4e00-b6b1-a5d75159598a	0372dcab-b507-46ec-9556-c59fecf3ae39	PRIMARY_AUXILIARIES
66b3db82-d0e7-4e00-b6b1-a5d75159598a	39c95406-d11a-443f-ac12-b3b179ade1c4	UPS
66b3db82-d0e7-4e00-b6b1-a5d75159598a	7a29782a-f688-41f7-b552-a7b82ae5ed25	CRITICAL_AUXILIARIES
66b3db82-d0e7-4e00-b6b1-a5d75159598a	2a9303e8-dba8-42e0-a011-18e88d88c6b8	LIGHTING
66b3db82-d0e7-4e00-b6b1-a5d75159598a	721e76e0-ab33-4376-af1a-19f799bab75b	CRITICAL_POWER_DISTRIBUTION
66b3db82-d0e7-4e00-b6b1-a5d75159598a	3be00dee-b60a-4598-a3ea-f876c05fbe89	CRAH
66b3db82-d0e7-4e00-b6b1-a5d75159598a	dbb3b82a-fb2a-4e12-aaa9-f749e8b49187	CRAC
66b3db82-d0e7-4e00-b6b1-a5d75159598a	427dd336-3359-4467-99d0-2dd7398b5ff7	CRAC_WITHOUT_FAN
66b3db82-d0e7-4e00-b6b1-a5d75159598a	f2a121b8-c79f-4a11-b678-817ad39c5838	CRAC_FAN
66b3db82-d0e7-4e00-b6b1-a5d75159598a	00f11ece-7a3c-4408-9386-2e0252c2836d	CHILLER
66b3db82-d0e7-4e00-b6b1-a5d75159598a	2d0569be-9b99-4456-a67d-ee6fb9a035ac	AIR_COOLED_CHILLER
66b3db82-d0e7-4e00-b6b1-a5d75159598a	9d5b4894-aeff-4e20-908e-4bc326154473	COOLING_TOWER
66b3db82-d0e7-4e00-b6b1-a5d75159598a	fe89d197-eae6-4453-b522-c21cd7a0acaa	DRY_COOLER
66b3db82-d0e7-4e00-b6b1-a5d75159598a	9b210412-fab4-4657-94d2-7eaff0e9e203	REMOTE_CONDENSER
66b3db82-d0e7-4e00-b6b1-a5d75159598a	77eca8a9-b3f3-4981-bca4-0df635af6100	CHILLED_WATER_PUMPS
66b3db82-d0e7-4e00-b6b1-a5d75159598a	54c1b5c4-68d7-424c-881d-42b943be3779	HEAT_REJECTION_PUMPS
66b3db82-d0e7-4e00-b6b1-a5d75159598a	36c02581-5791-47be-90ee-b2cad1e42e51	VENTILATION
66b3db82-d0e7-4e00-b6b1-a5d75159598a	b1b1468b-a855-4753-ab90-381623cb075a	INFILTRATION
66b3db82-d0e7-4e00-b6b1-a5d75159598a	69e498d0-21a7-4341-9bb7-9d76865b3e6d	IT_LOAD
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	f672e229-ff37-480d-8202-ab70ee2e5be4	SWITCHGEAR
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	05d4ed21-aee8-4264-9718-3f3f02dd35ea	GENERATOR
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	bce8be7f-45ec-4ddd-8339-2e3ba34d4390	PRIMARY_AUXILIARIES
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	c5914923-343e-40da-962a-27eb19348308	UPS
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	18461a78-fbc9-4539-bc35-b6be9e45564e	CRITICAL_AUXILIARIES
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	0842e4f8-9f22-4d1a-b2cb-74e782d59c48	LIGHTING
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	8942e3ec-1ca2-4ce9-a903-1e0fe699bc05	CRITICAL_POWER_DISTRIBUTION
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	68060d60-4fd0-4fe2-81d9-8966c22a85ed	CRAH
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	2a8d5f05-581d-4478-99d9-7876df55a2ef	CRAC
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	f196d695-4f57-4768-b6aa-7aaace23041c	CRAC_WITHOUT_FAN
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	6ab3d4b4-64b3-4bb4-8d59-df5d1afe262f	CRAC_FAN
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	cbe113d7-3eb1-4e67-8fe7-e33bbad52594	CHILLER
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	734213a5-77ee-420a-ac50-767c186ef022	AIR_COOLED_CHILLER
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	60216115-150c-43cd-837f-8c6571c573d5	COOLING_TOWER
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	4723651b-263a-4e62-b739-a4c9f7f22741	DRY_COOLER
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	9ecef112-d4ed-4bee-8d55-951c8a907d33	REMOTE_CONDENSER
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	fe2f6694-5d23-4031-a405-d381289bd5d0	CHILLED_WATER_PUMPS
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	29992354-b31f-4444-b85d-eb9f91b751d4	HEAT_REJECTION_PUMPS
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	e46fc131-bcb7-412b-89d2-593e40cc4b0d	VENTILATION
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	49a26463-44ed-47bd-9937-0f1ab6e6911b	INFILTRATION
6c97c7b7-681b-4d9a-b0b3-7c8393aef780	bb401643-7905-463f-b6cf-d2f05f0a422d	IT_LOAD
b70000c6-f583-4052-a0e2-5cf1caac8536	a94ffce1-15ac-497c-854a-6801d57b9484	SWITCHGEAR
b70000c6-f583-4052-a0e2-5cf1caac8536	b3a9fd9d-aeee-4960-8185-033c6f5d5cc6	GENERATOR
b70000c6-f583-4052-a0e2-5cf1caac8536	655bce33-647e-4a6a-975e-81878e21273b	PRIMARY_AUXILIARIES
b70000c6-f583-4052-a0e2-5cf1caac8536	078ea4c2-2f58-49f9-8ff8-3e3aaef029da	UPS
b70000c6-f583-4052-a0e2-5cf1caac8536	ff8c35e8-edd6-4564-9927-80c33e73ff3a	CRITICAL_AUXILIARIES
b70000c6-f583-4052-a0e2-5cf1caac8536	ebf23673-03db-4ee7-9bcf-398579b987d1	LIGHTING
b70000c6-f583-4052-a0e2-5cf1caac8536	330ed016-8a67-4019-b07c-162281779dee	CRITICAL_POWER_DISTRIBUTION
b70000c6-f583-4052-a0e2-5cf1caac8536	ba6373fb-5cdd-4453-b5ce-a4a1c403cf4f	CRAH
b70000c6-f583-4052-a0e2-5cf1caac8536	db487a78-a47b-4d3d-be5a-25a3f078c28e	CRAC
b70000c6-f583-4052-a0e2-5cf1caac8536	b88a54a8-ba0a-4414-acb1-0c5c79b7ec18	CRAC_WITHOUT_FAN
b70000c6-f583-4052-a0e2-5cf1caac8536	4be819a7-a306-4823-a4e9-c7134fa9fc3a	CRAC_FAN
b70000c6-f583-4052-a0e2-5cf1caac8536	11b9d51d-9f7a-4c52-a7b2-2278772159e0	CHILLER
b70000c6-f583-4052-a0e2-5cf1caac8536	be370cfa-9d73-4a8a-910f-0e3f148ef014	AIR_COOLED_CHILLER
b70000c6-f583-4052-a0e2-5cf1caac8536	6351d9f2-2ed1-4d89-bddb-078779f50de1	COOLING_TOWER
b70000c6-f583-4052-a0e2-5cf1caac8536	12868197-02d9-4b9d-8c80-4be281ca986c	DRY_COOLER
b70000c6-f583-4052-a0e2-5cf1caac8536	bb938b83-d594-4c8b-abe5-d3cfd2bc1611	REMOTE_CONDENSER
b70000c6-f583-4052-a0e2-5cf1caac8536	323fa07a-20c0-499b-927b-6b10aaaa74de	CHILLED_WATER_PUMPS
b70000c6-f583-4052-a0e2-5cf1caac8536	001c62c2-6fe7-4099-8d7e-f6c90677b47e	HEAT_REJECTION_PUMPS
b70000c6-f583-4052-a0e2-5cf1caac8536	b4e7d4de-7701-407a-9d72-bd509a238616	VENTILATION
b70000c6-f583-4052-a0e2-5cf1caac8536	698c3a2b-0f85-4dcd-abb4-a476ab0cb522	INFILTRATION
b70000c6-f583-4052-a0e2-5cf1caac8536	ea88c715-95bb-4291-94f3-43d8a1a128bb	IT_LOAD
c2336c1c-c45f-4a60-9493-aacf16f2cad5	7c731769-6d43-4560-8db2-9724ddfebdf8	SWITCHGEAR
c2336c1c-c45f-4a60-9493-aacf16f2cad5	5c2a36e9-108f-4cc8-9bf5-9aafc4178fe4	GENERATOR
c2336c1c-c45f-4a60-9493-aacf16f2cad5	8b240118-21a8-4e8d-80c4-771a79119b02	PRIMARY_AUXILIARIES
c2336c1c-c45f-4a60-9493-aacf16f2cad5	c4e3b227-934f-4a98-84d5-235f9a4331ba	UPS
c2336c1c-c45f-4a60-9493-aacf16f2cad5	050a6eb2-1b06-4036-9bb5-eecd60287b96	CRITICAL_AUXILIARIES
c2336c1c-c45f-4a60-9493-aacf16f2cad5	47e76c38-a5da-451d-9632-8c06def5f60b	LIGHTING
c2336c1c-c45f-4a60-9493-aacf16f2cad5	8768edc3-60cb-4706-864e-dcadfcacf645	CRITICAL_POWER_DISTRIBUTION
c2336c1c-c45f-4a60-9493-aacf16f2cad5	a647ad08-49bb-434b-98b2-8fa02de22767	CRAH
c2336c1c-c45f-4a60-9493-aacf16f2cad5	6d87a55f-1fa1-4de1-b629-9558c3b3487b	CRAC
c2336c1c-c45f-4a60-9493-aacf16f2cad5	ea2d653b-ffba-49f6-9b86-b5235cba73ea	CRAC_WITHOUT_FAN
c2336c1c-c45f-4a60-9493-aacf16f2cad5	325aafe0-90e7-4d20-824a-4cd5a199b739	CRAC_FAN
c2336c1c-c45f-4a60-9493-aacf16f2cad5	38d7ef40-6d87-4782-8fd3-32fdb996956f	CHILLER
c2336c1c-c45f-4a60-9493-aacf16f2cad5	f58dbcc0-197e-4d05-ac8c-c5a870b4b5df	AIR_COOLED_CHILLER
c2336c1c-c45f-4a60-9493-aacf16f2cad5	2d754610-f9d6-4cfd-a2ae-bf906f8ed91c	COOLING_TOWER
c2336c1c-c45f-4a60-9493-aacf16f2cad5	c154df5c-ba6b-4859-8dd5-ccfaddbb6964	DRY_COOLER
c2336c1c-c45f-4a60-9493-aacf16f2cad5	e9b518aa-76a2-4b31-a0ed-993b87dd6605	REMOTE_CONDENSER
c2336c1c-c45f-4a60-9493-aacf16f2cad5	3dd45049-e853-4fa7-9651-759206fb324a	CHILLED_WATER_PUMPS
c2336c1c-c45f-4a60-9493-aacf16f2cad5	9c181a5b-bd61-4503-b618-255287cce3c3	HEAT_REJECTION_PUMPS
c2336c1c-c45f-4a60-9493-aacf16f2cad5	ed94308f-f33f-4251-92c4-cba9f56dc41f	VENTILATION
c2336c1c-c45f-4a60-9493-aacf16f2cad5	310e857e-221d-4562-96a1-7a08b540e661	INFILTRATION
c2336c1c-c45f-4a60-9493-aacf16f2cad5	e507daa4-cdec-488a-8d6f-18aad7002b47	IT_LOAD
4dfe8397-c2b5-411f-b4ec-556d312f30bb	11453acc-d43b-4bc3-a898-9fa9d9308de4	SWITCHGEAR
4dfe8397-c2b5-411f-b4ec-556d312f30bb	a82c153b-2c50-49d8-a666-7d1ed34cfd1e	GENERATOR
4dfe8397-c2b5-411f-b4ec-556d312f30bb	aabd0240-9d3c-4d75-b071-d7e990d80cc0	PRIMARY_AUXILIARIES
4dfe8397-c2b5-411f-b4ec-556d312f30bb	34733087-8353-464e-8237-ad8f24b469c5	UPS
4dfe8397-c2b5-411f-b4ec-556d312f30bb	894b28db-78bb-48d9-80f5-0c8b9ba66749	CRITICAL_AUXILIARIES
4dfe8397-c2b5-411f-b4ec-556d312f30bb	05bac722-35e4-432a-97bc-a12fec773caa	LIGHTING
4dfe8397-c2b5-411f-b4ec-556d312f30bb	15c1c349-e33d-4629-a137-e6d42a8ebcee	CRITICAL_POWER_DISTRIBUTION
4dfe8397-c2b5-411f-b4ec-556d312f30bb	486e5947-d28e-435d-8653-73add83283c4	CRAH
4dfe8397-c2b5-411f-b4ec-556d312f30bb	cc356748-0116-4d0a-ab9f-f6b7e13c56c8	CRAC
4dfe8397-c2b5-411f-b4ec-556d312f30bb	70c4f9cf-9fd5-496e-a340-45db0d113bca	CRAC_WITHOUT_FAN
4dfe8397-c2b5-411f-b4ec-556d312f30bb	291a020d-63d7-49f5-b32b-47c6f50d3702	CRAC_FAN
4dfe8397-c2b5-411f-b4ec-556d312f30bb	ff6576d5-dbf9-4544-9786-bf7da03ebe4a	CHILLER
4dfe8397-c2b5-411f-b4ec-556d312f30bb	1d8a7d5a-036f-4148-9044-01cb7ca0477a	AIR_COOLED_CHILLER
4dfe8397-c2b5-411f-b4ec-556d312f30bb	06f6dc26-2e9f-41be-b9a8-616408ed691a	COOLING_TOWER
4dfe8397-c2b5-411f-b4ec-556d312f30bb	31e534df-38b7-4973-965b-16d578635afa	DRY_COOLER
4dfe8397-c2b5-411f-b4ec-556d312f30bb	4dcdb5df-0736-4c2d-9205-f5eeac280790	REMOTE_CONDENSER
4dfe8397-c2b5-411f-b4ec-556d312f30bb	b8a9a65f-7b65-401f-885b-ee416f94b03a	CHILLED_WATER_PUMPS
4dfe8397-c2b5-411f-b4ec-556d312f30bb	4efe3267-270e-4b27-b346-597fbe786ac3	HEAT_REJECTION_PUMPS
4dfe8397-c2b5-411f-b4ec-556d312f30bb	404c6db9-195f-4fc9-baa4-7cb0a2deb768	VENTILATION
4dfe8397-c2b5-411f-b4ec-556d312f30bb	b57a553e-9bc9-47c2-a700-99f3f12d438a	INFILTRATION
4dfe8397-c2b5-411f-b4ec-556d312f30bb	d97dd066-c5d5-4c3a-adda-10b1b058f479	IT_LOAD
6705c6a4-8363-41cd-a5e6-883eba615a83	fb71ca22-76a3-45fb-a7e5-b5d4679cb08b	SWITCHGEAR
6705c6a4-8363-41cd-a5e6-883eba615a83	8d355db6-0db7-4243-adaf-5e6258c886ab	GENERATOR
6705c6a4-8363-41cd-a5e6-883eba615a83	bf321a47-4f9c-48fe-a083-8bbf2bff96bc	PRIMARY_AUXILIARIES
6705c6a4-8363-41cd-a5e6-883eba615a83	94c651fa-842c-43b2-8eba-28f190b43f67	UPS
6705c6a4-8363-41cd-a5e6-883eba615a83	773615af-064f-4536-bdd0-b32cf939c6bd	CRITICAL_AUXILIARIES
6705c6a4-8363-41cd-a5e6-883eba615a83	5bbb23a4-01d9-473f-8600-8f51cc6b4830	LIGHTING
6705c6a4-8363-41cd-a5e6-883eba615a83	f61aa4e4-57df-4af2-8db1-eadc6c06982f	CRITICAL_POWER_DISTRIBUTION
6705c6a4-8363-41cd-a5e6-883eba615a83	963a6aef-512c-469e-a8bf-f96e105ff6ee	CRAH
6705c6a4-8363-41cd-a5e6-883eba615a83	5672ee9c-85f5-4886-996e-0aa5c4e46f2e	CRAC
6705c6a4-8363-41cd-a5e6-883eba615a83	ecbd6089-20b8-4da9-9cee-3671c5324e37	CRAC_WITHOUT_FAN
6705c6a4-8363-41cd-a5e6-883eba615a83	6c8e3d30-d8b7-4cfa-a0d5-9fa175789c2f	CRAC_FAN
6705c6a4-8363-41cd-a5e6-883eba615a83	91c39272-ac6f-44bb-8b4b-9cd9453e5d97	CHILLER
6705c6a4-8363-41cd-a5e6-883eba615a83	4e3b86a1-dc6c-4a4e-9d63-a1fc11802fce	AIR_COOLED_CHILLER
6705c6a4-8363-41cd-a5e6-883eba615a83	81db9755-e030-4690-8bec-3cfe4f241e85	COOLING_TOWER
6705c6a4-8363-41cd-a5e6-883eba615a83	100d5f5f-58bc-426f-ad31-6bf185b8ef8a	DRY_COOLER
6705c6a4-8363-41cd-a5e6-883eba615a83	a6dbdfd7-41e1-4fa9-9ebc-80605349fb20	REMOTE_CONDENSER
6705c6a4-8363-41cd-a5e6-883eba615a83	2daabde4-0800-4ee6-8b53-e32bb0b78d25	CHILLED_WATER_PUMPS
6705c6a4-8363-41cd-a5e6-883eba615a83	5a4c946c-8fde-44f5-a8bc-8b28845732a0	HEAT_REJECTION_PUMPS
6705c6a4-8363-41cd-a5e6-883eba615a83	25e24dc7-9c64-4845-8b37-63ef927439af	VENTILATION
6705c6a4-8363-41cd-a5e6-883eba615a83	bc833732-aa98-48d3-b7fd-3d4e1813d409	INFILTRATION
6705c6a4-8363-41cd-a5e6-883eba615a83	57e8d908-7bd7-468e-8619-aa17263f251a	IT_LOAD
307817bb-bf3d-4650-a69f-2634aadc8f7b	0ac36886-04ca-4366-9fe9-7c032c1d582b	SWITCHGEAR
307817bb-bf3d-4650-a69f-2634aadc8f7b	5daefe6b-fe94-4996-9cfd-07edfc632d65	GENERATOR
307817bb-bf3d-4650-a69f-2634aadc8f7b	d0309cc4-a376-4f89-9efd-ffc797ee09a7	PRIMARY_AUXILIARIES
307817bb-bf3d-4650-a69f-2634aadc8f7b	30764771-dad6-4c56-bef1-7b7cde7fc857	UPS
307817bb-bf3d-4650-a69f-2634aadc8f7b	6903740b-58d1-4b2d-b4e6-837153966d61	CRITICAL_AUXILIARIES
307817bb-bf3d-4650-a69f-2634aadc8f7b	f6c171e1-e0d6-42c3-9c01-c10f78772069	LIGHTING
307817bb-bf3d-4650-a69f-2634aadc8f7b	3a2dc238-4e9e-4ef9-a3b4-56365287949b	CRITICAL_POWER_DISTRIBUTION
307817bb-bf3d-4650-a69f-2634aadc8f7b	9a521d5d-b0e7-4e69-9d6b-4fbe3735d6b3	CRAH
307817bb-bf3d-4650-a69f-2634aadc8f7b	1999accf-021c-4430-b61f-590f0912f317	CRAC
307817bb-bf3d-4650-a69f-2634aadc8f7b	2c7f730e-8436-4098-acf3-1f15dc798b96	CRAC_WITHOUT_FAN
307817bb-bf3d-4650-a69f-2634aadc8f7b	7fd528de-040a-4d89-be5c-070a4a9ab217	CRAC_FAN
307817bb-bf3d-4650-a69f-2634aadc8f7b	23214062-5da7-44de-be9b-4aca8fc952b0	CHILLER
307817bb-bf3d-4650-a69f-2634aadc8f7b	6d180486-0591-4b98-8c5c-8d95f217b63b	AIR_COOLED_CHILLER
307817bb-bf3d-4650-a69f-2634aadc8f7b	ce260d07-08fc-45b5-ba9d-316e537c0979	COOLING_TOWER
307817bb-bf3d-4650-a69f-2634aadc8f7b	159dc891-b031-436c-8b42-881dcacf7a4d	DRY_COOLER
307817bb-bf3d-4650-a69f-2634aadc8f7b	4425e0cf-8342-4666-92ae-9429adafc48b	REMOTE_CONDENSER
307817bb-bf3d-4650-a69f-2634aadc8f7b	aa2de1ed-638e-4c57-b422-9049e3e25fb6	CHILLED_WATER_PUMPS
307817bb-bf3d-4650-a69f-2634aadc8f7b	1b1974f2-0488-451a-aea7-02fef0fc3130	HEAT_REJECTION_PUMPS
307817bb-bf3d-4650-a69f-2634aadc8f7b	193d2798-ba39-44eb-893b-5021b5926ff5	VENTILATION
307817bb-bf3d-4650-a69f-2634aadc8f7b	6c8b2f5a-a4c2-4c1a-b327-dc2180d2858d	INFILTRATION
307817bb-bf3d-4650-a69f-2634aadc8f7b	cd162b45-0662-4341-94e2-8e08e29deb64	IT_LOAD
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	45bd0049-7556-42fc-81e6-2444e2afabad	SWITCHGEAR
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	10e077eb-0358-48b9-bf8a-a6072395a41c	GENERATOR
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	883652c4-e524-4c14-902e-1650585b8d70	PRIMARY_AUXILIARIES
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	9258800b-32a5-47ee-9265-672dcdb84d99	UPS
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	286086a6-f552-4474-8d30-deddbf114c4c	CRITICAL_AUXILIARIES
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	560cb990-fe06-4612-9763-f7994e8121fe	LIGHTING
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	11ceacc1-5cbe-4484-87dd-73fcefe2413e	CRITICAL_POWER_DISTRIBUTION
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	43e40ba0-c341-4265-b232-bf1740ba10ae	CRAH
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	f44422db-7248-467f-b0e6-5dd574f96dcf	CRAC
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	f1d79fbb-d68d-4903-83e9-756d169ce29d	CRAC_WITHOUT_FAN
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	00067cab-b53d-4569-bfdc-d987028afc46	CRAC_FAN
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	645a395e-6500-4533-bd12-b36f71d38633	CHILLER
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	0d8385b5-a4ed-4d0d-90c1-a7a44a2d1eea	AIR_COOLED_CHILLER
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	240b61b9-dd36-4b87-b25b-9c6030357591	COOLING_TOWER
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	c2326dd2-0784-4437-876a-d34dfbd98f7f	DRY_COOLER
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	2ed3da76-2a33-4826-ac45-6a7bc2d90a3c	REMOTE_CONDENSER
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	56b77f40-3185-4fe0-b946-b67d6b66d634	CHILLED_WATER_PUMPS
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	23f7f79d-9389-40d2-8927-451d5754b755	HEAT_REJECTION_PUMPS
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	75ef59be-5a88-4859-8def-355314d210a6	VENTILATION
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	613fe78b-2d53-40c2-b8ba-f53ea5bed2ae	INFILTRATION
c0a5fdd4-5a05-4f25-8e33-eefdcb26c0da	7cea66dc-d3f2-46df-a790-e1b2c90ed9ea	IT_LOAD
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	e6a3a19a-9d7f-456b-8243-4000fcd13a9b	SWITCHGEAR
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	a282bfbc-36d4-46a2-a6a1-d0ade91f926f	GENERATOR
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	9a25e9f8-3c41-4edf-9ff4-23a5a951dc52	PRIMARY_AUXILIARIES
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	62aef797-f934-4bdd-99a1-06fbf073823f	UPS
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	f5ebc3c9-9e6a-4e25-8938-47c2e76358c9	CRITICAL_AUXILIARIES
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	db5e72fd-9b87-4f7f-ae67-754b1609c12c	LIGHTING
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	31d1b356-7272-469e-aa3e-76c527fea0dc	CRITICAL_POWER_DISTRIBUTION
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	ce228c27-d243-415b-a11b-6be44643ee56	CRAH
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	2610ca07-0dbd-491c-9f40-9861c90fde5c	CRAC
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	db3ddf0c-c33b-43ff-bb2f-574e7f49f6ea	CRAC_WITHOUT_FAN
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	a016b732-cfe0-4bd4-8064-662418fe08cc	CRAC_FAN
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	bbd4957c-1699-414d-9781-9ed1e910e94f	CHILLER
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	de31f004-e3ac-44bd-9a16-a0c887b99e88	AIR_COOLED_CHILLER
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	fcae9cdf-c92a-4dee-b055-51ffa840be11	COOLING_TOWER
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	c9d077e2-1a78-49e4-828f-214f5e9cc89d	DRY_COOLER
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	2ecea7c6-fbc3-40da-a0f6-94b45decbaff	REMOTE_CONDENSER
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	f43e4381-a3cc-4b6e-8d6f-3d014ede899c	CHILLED_WATER_PUMPS
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	8a943978-9f67-4126-b7e9-99f0ad7c0dfe	HEAT_REJECTION_PUMPS
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	802fdffd-e33a-437d-9b97-86e8b5c40e5a	VENTILATION
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	1b33c27d-8a04-41e1-a03e-e59f96e86227	INFILTRATION
eacdeb0f-42cc-4761-bb9e-bdf4bb7e4693	757fab91-8918-4e39-b350-de451861ad98	IT_LOAD
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	c1e479c9-4d12-4458-bc43-aa6f363b3dd6	SWITCHGEAR
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	f782fac1-02ba-40e5-b83c-ba50124c9f8a	GENERATOR
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	b7740ea4-9687-4012-a07f-7de29ce68f4e	PRIMARY_AUXILIARIES
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	486aedc1-ca74-451a-9eca-efcd7570b74d	UPS
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	4a6455b7-629e-495d-9339-ede463046fc0	CRITICAL_AUXILIARIES
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	8fdca163-760c-4efa-8bb0-19bf2c279e57	LIGHTING
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	afcfb515-6f28-49fd-8ef5-4165df0c1aa4	CRITICAL_POWER_DISTRIBUTION
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	1bf36f6b-d8bd-4880-87a6-4feab6c8134f	CRAH
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	4d93ae4e-b835-49c6-8faa-b43869483099	CRAC
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	623adf9b-fc44-41cf-91ed-2dfcb0c1a17d	CRAC_WITHOUT_FAN
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	de284899-50dc-4866-8dbc-984e2e131ce6	CRAC_FAN
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	cbb64913-91bf-4b85-86af-5449513cdb01	CHILLER
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	e8b19a8a-2b56-4f38-859c-cd81684d9739	AIR_COOLED_CHILLER
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	ddb09e44-481f-47e9-b659-6dc60fcd13ab	COOLING_TOWER
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	21ab7691-c1c6-4f02-8ccd-1541586ff335	DRY_COOLER
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	3123fe4d-4418-40c2-ab79-d3cb0e741f96	REMOTE_CONDENSER
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	268e7b1a-3f9b-4935-bd0f-a91f05652c94	CHILLED_WATER_PUMPS
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	c4c8cb46-8956-4751-9c75-48d216a00aff	HEAT_REJECTION_PUMPS
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	2dc3bc01-bc87-47bc-9245-4b1d39e98056	VENTILATION
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	f4b6e9d9-d785-40cd-a12d-972373ccfce2	INFILTRATION
249f73b8-4c5e-4d2f-9e70-ea95252a6d0c	b3db877c-1c96-4be0-be83-c47d05b237db	IT_LOAD
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	cc6ff63d-fc0a-4e78-9017-75dcbca061dd	SWITCHGEAR
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	08996803-c38e-4ae5-9243-2eb15985789b	GENERATOR
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	b8f215e8-ff5b-49c4-b911-ee18227eaa86	PRIMARY_AUXILIARIES
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	a438d877-5130-4bc7-898b-0531dde37b5e	UPS
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	12796f44-9890-433f-9656-e459d3b77138	CRITICAL_AUXILIARIES
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	ce77fc63-f8bb-476c-b005-0fbd0f147320	LIGHTING
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	4d777a83-8899-41ee-8c2f-32fcb8c4bcd0	CRITICAL_POWER_DISTRIBUTION
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	f00723c2-8c44-4a26-bdd0-340210ad48e6	CRAH
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	fc64388b-7434-43b0-beed-177b9d627fc7	CRAC
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	4bee93b9-ebb1-44a4-8717-73472cec0cc2	CRAC_WITHOUT_FAN
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	3269eb77-5af2-46f4-bbdc-74e7d2ddeeab	CRAC_FAN
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	d6353561-9bfe-45ce-ba80-b15155eb18a1	CHILLER
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	f3965265-cdde-4111-ac73-50b6a352e7e0	AIR_COOLED_CHILLER
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	0ef06ce4-a21e-444f-9ce0-6f4e7bf5b493	COOLING_TOWER
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	86d67cd3-1efd-4d99-889f-37993ba95bdf	DRY_COOLER
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	ba52957c-af90-492e-b7bb-e1f48a1a6eaa	REMOTE_CONDENSER
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	c145f2d7-a435-4f82-b509-5272ffe6184d	CHILLED_WATER_PUMPS
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	fd0eb411-b3fe-4437-9048-24f84243e7c5	HEAT_REJECTION_PUMPS
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	ab04b192-558d-4013-94dc-5e58f989e201	VENTILATION
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	cc2b52f7-3d9b-4334-b072-bdd28eb59d73	INFILTRATION
b07e74f7-ff71-447b-aa67-59e8f2e9fc47	0470269f-f913-4a18-91fe-7107e36a425d	IT_LOAD
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	d6c7cdff-4e9e-4140-9732-e4fecfad96a6	SWITCHGEAR
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	f12ecbf9-d5ba-4b00-801c-06a2580626f7	GENERATOR
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	0a08b8cd-59b3-49bd-a279-9be843e03501	PRIMARY_AUXILIARIES
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	8b9a082d-d812-4fdf-8e41-058894de756e	UPS
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	e0ee28b3-0714-4c9d-b590-924aecb23eb6	CRITICAL_AUXILIARIES
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	9ef84ac4-3229-4ee1-8bde-89291441fc14	LIGHTING
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	8ca47582-563b-4869-9cab-cf4773d5c9ba	CRITICAL_POWER_DISTRIBUTION
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	99d990ed-c1aa-4540-9281-dd40a741ba68	CRAH
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	ea8f0e1f-59ba-4c89-8db5-31f88345579a	CRAC
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	b206e325-1725-4a5e-8e2e-08932b435be3	CRAC_WITHOUT_FAN
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	17ae28cb-4996-47ee-aa52-61ed40748679	CRAC_FAN
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	6c0cfa4f-e5d0-4bee-a695-18c776f55bce	CHILLER
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	cffa53b6-4dfd-46cd-876d-061e83a1a46d	AIR_COOLED_CHILLER
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	ed16f294-3c11-4f96-b94f-600c0f3538bf	COOLING_TOWER
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	f32fcf8e-a84b-42e8-b9ba-97d9b9d77abf	DRY_COOLER
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	4621f7f3-7518-405b-a97d-1eb5611f0e29	REMOTE_CONDENSER
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	f4c20d4f-7179-4714-a55e-2fb8c452c33c	CHILLED_WATER_PUMPS
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	fc5450f1-3038-4809-b28b-51286c3a8fa0	HEAT_REJECTION_PUMPS
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	86dc6752-f205-4a92-a6b7-fc78dfb173e5	VENTILATION
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	2020617e-87a0-4b32-8df3-cea4d4c5383c	INFILTRATION
4ba46421-b4f2-4f66-b26b-6cd62bf113b1	18620960-300a-4e28-bf32-0bffbd3464eb	IT_LOAD
4fa0cccc-75fe-43d5-9386-a166aa4afc16	e5087df4-5292-49a0-9e37-7de3df31b658	SWITCHGEAR
4fa0cccc-75fe-43d5-9386-a166aa4afc16	d20b8585-f8d7-47f4-a78d-1e24cce85d24	GENERATOR
4fa0cccc-75fe-43d5-9386-a166aa4afc16	73dbbb2d-2d3c-44e5-bdce-3b8eda300389	PRIMARY_AUXILIARIES
4fa0cccc-75fe-43d5-9386-a166aa4afc16	66f8fea8-5f90-4c93-9cf3-00ae25cbab0e	UPS
4fa0cccc-75fe-43d5-9386-a166aa4afc16	bacffdfb-4057-4670-a641-964b2ae965e3	CRITICAL_AUXILIARIES
4fa0cccc-75fe-43d5-9386-a166aa4afc16	d9d508a1-0848-4231-983b-1c1c974e71a5	LIGHTING
4fa0cccc-75fe-43d5-9386-a166aa4afc16	e42aca04-10aa-432e-9cdc-9360bc13450b	CRITICAL_POWER_DISTRIBUTION
4fa0cccc-75fe-43d5-9386-a166aa4afc16	dbbc76b7-49b8-4113-91ab-7b5404b14261	CRAH
4fa0cccc-75fe-43d5-9386-a166aa4afc16	21a3ad8a-d41c-4e85-aa03-0dc1b4a9d25f	CRAC
4fa0cccc-75fe-43d5-9386-a166aa4afc16	61bcba9b-1bea-4156-b75f-bd0453f40ab5	CRAC_WITHOUT_FAN
4fa0cccc-75fe-43d5-9386-a166aa4afc16	0701c723-5b3f-4f25-ab46-4a2a5156eda5	CRAC_FAN
4fa0cccc-75fe-43d5-9386-a166aa4afc16	e4fc3486-ae40-467c-bb84-1a895d901427	CHILLER
4fa0cccc-75fe-43d5-9386-a166aa4afc16	96634aeb-0151-4e7f-a907-73ff3e8cfc24	AIR_COOLED_CHILLER
4fa0cccc-75fe-43d5-9386-a166aa4afc16	03b96bf3-e88b-46fc-aa92-3dd13f7e35c7	COOLING_TOWER
4fa0cccc-75fe-43d5-9386-a166aa4afc16	1133ed73-5ed1-4450-a71a-2b76af4350c4	DRY_COOLER
4fa0cccc-75fe-43d5-9386-a166aa4afc16	70d71e67-dc99-48c0-9380-043551d6738f	REMOTE_CONDENSER
4fa0cccc-75fe-43d5-9386-a166aa4afc16	d645a66b-9060-41f6-a9e1-3c81533724d5	CHILLED_WATER_PUMPS
4fa0cccc-75fe-43d5-9386-a166aa4afc16	08d73ee6-d653-49df-978d-d7e877210243	HEAT_REJECTION_PUMPS
4fa0cccc-75fe-43d5-9386-a166aa4afc16	3706943f-c693-43ec-80ec-0ff36b643936	VENTILATION
4fa0cccc-75fe-43d5-9386-a166aa4afc16	b2178ed3-9e76-4f86-95d3-0ca65ea1ab7c	INFILTRATION
4fa0cccc-75fe-43d5-9386-a166aa4afc16	fbad9770-c970-4bc9-9eab-648dfe7bbe9a	IT_LOAD
eeaac13d-f3c8-45d7-a248-61333b90d834	f811bd81-2123-4dcd-97f6-7fdab48b30cc	SWITCHGEAR
eeaac13d-f3c8-45d7-a248-61333b90d834	60463bc2-3a20-4dc4-94c3-4ad32f509148	GENERATOR
eeaac13d-f3c8-45d7-a248-61333b90d834	4b33c851-ae60-475a-ac86-f946cfdb5261	PRIMARY_AUXILIARIES
eeaac13d-f3c8-45d7-a248-61333b90d834	8ccde502-217a-49de-942a-cfecca1c1e05	UPS
eeaac13d-f3c8-45d7-a248-61333b90d834	f46a09e3-73d4-4e87-86e7-ef122c70d4ad	CRITICAL_AUXILIARIES
eeaac13d-f3c8-45d7-a248-61333b90d834	9ec254cf-601d-4604-8f33-efe9397807a1	LIGHTING
eeaac13d-f3c8-45d7-a248-61333b90d834	c69e7209-0102-4472-bd3f-2b07a3638a58	CRITICAL_POWER_DISTRIBUTION
eeaac13d-f3c8-45d7-a248-61333b90d834	791e16cd-444c-4434-a44a-e069333638fb	CRAH
eeaac13d-f3c8-45d7-a248-61333b90d834	adb82cfe-f5dd-4faa-9d5d-ba76365825a8	CRAC
eeaac13d-f3c8-45d7-a248-61333b90d834	8d7b0dcb-bfbb-4c19-bea6-a2a92626a093	CRAC_WITHOUT_FAN
eeaac13d-f3c8-45d7-a248-61333b90d834	f21cab5d-1458-4eb0-89e3-6441aa514bdf	CRAC_FAN
eeaac13d-f3c8-45d7-a248-61333b90d834	796f9d7c-3a41-4e2c-b313-15adaea5e5f1	CHILLER
eeaac13d-f3c8-45d7-a248-61333b90d834	cf2c70fe-0e39-4420-b8ed-46949e46336a	AIR_COOLED_CHILLER
eeaac13d-f3c8-45d7-a248-61333b90d834	a082dc6f-a2b4-444c-b365-ba5c99524c31	COOLING_TOWER
eeaac13d-f3c8-45d7-a248-61333b90d834	7aaf3565-8711-4089-8ed0-cd1c4832b3cf	DRY_COOLER
eeaac13d-f3c8-45d7-a248-61333b90d834	85fb4b1d-9012-4a43-9873-1558c3334437	REMOTE_CONDENSER
eeaac13d-f3c8-45d7-a248-61333b90d834	45ed2a2e-3097-4d7d-baef-e7f5069646af	CHILLED_WATER_PUMPS
eeaac13d-f3c8-45d7-a248-61333b90d834	33c20061-aca3-4d6a-8f0f-792ad07bd0e4	HEAT_REJECTION_PUMPS
eeaac13d-f3c8-45d7-a248-61333b90d834	5de68357-483e-43d0-ae38-0f06733b242c	VENTILATION
eeaac13d-f3c8-45d7-a248-61333b90d834	96e28e01-a1b2-43a8-9226-c6fd70bb128d	INFILTRATION
eeaac13d-f3c8-45d7-a248-61333b90d834	2a542e01-b32c-44b2-be09-2d3a204bb7ea	IT_LOAD
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	2c9feb23-bcf7-43db-8a27-6af479779187	SWITCHGEAR
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	b60df95d-de94-429f-b66d-4f080b12833e	GENERATOR
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	97ad996f-ffec-49c0-b3a5-9b4e70daef00	PRIMARY_AUXILIARIES
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	e7d6266a-884d-4a32-9359-1e59adb132b3	UPS
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	f2f7dfa6-32dc-416b-88d6-8749c3f1df98	CRITICAL_AUXILIARIES
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	fe2bdb5a-051c-4016-be60-e75220612aed	LIGHTING
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	1f427553-6dc7-4f4f-82a2-d910d6e94603	CRITICAL_POWER_DISTRIBUTION
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	16b6f5c6-6d14-4f56-b5a3-9277ac4a307b	CRAH
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	61feb0ef-ae37-4d12-98de-2776c8eb922d	CRAC
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	e4100266-1132-48a6-8740-ce09ef03c779	CRAC_WITHOUT_FAN
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	b491d6e5-e358-466a-9bb8-e810f29c72c6	CRAC_FAN
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	f5378324-e96d-43de-bafd-94c3e8d6858b	CHILLER
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	943ee7be-2984-4287-a03a-e0e162761c2c	AIR_COOLED_CHILLER
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	863ff315-d92e-4c88-a2a7-1b2403d72785	COOLING_TOWER
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	f78bd74a-7dc1-404d-ae2e-a6d739d93d4c	DRY_COOLER
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	dee2288e-cfd8-415b-9d20-7c6296f429cc	REMOTE_CONDENSER
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	6e392634-bb4a-4bb5-93c5-c2b0f71194f0	CHILLED_WATER_PUMPS
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	fd70d804-0ac7-4921-8913-6ded9d2c9cbb	HEAT_REJECTION_PUMPS
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	5f292d7e-ae9e-4b90-a296-c99dc88e09aa	VENTILATION
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	b25a303a-c096-4e7d-803c-3c79499eda0e	INFILTRATION
4eba84a3-d2e4-490b-9eaa-ca96c9a147c6	28207d66-1b5d-4ac0-969f-fa89871b544f	IT_LOAD
db83189d-3f4a-4273-857f-ad5dbefe4510	258cb2ce-89aa-4bca-8d78-5345e450551c	SWITCHGEAR
db83189d-3f4a-4273-857f-ad5dbefe4510	36da7a4e-559f-4500-9db5-f4dce030bdb6	GENERATOR
db83189d-3f4a-4273-857f-ad5dbefe4510	65cab5a2-6812-4fa5-a234-46d1d516e812	PRIMARY_AUXILIARIES
db83189d-3f4a-4273-857f-ad5dbefe4510	d08d69af-d840-4072-b8bc-d031c5044eff	UPS
db83189d-3f4a-4273-857f-ad5dbefe4510	037100ad-d9f8-4e78-97fb-6cbfad7983e1	CRITICAL_AUXILIARIES
db83189d-3f4a-4273-857f-ad5dbefe4510	7e12f940-56c6-4cd4-ba7c-9cb5cc690abb	LIGHTING
db83189d-3f4a-4273-857f-ad5dbefe4510	b9647802-902d-41ae-8b11-2229a491802a	CRITICAL_POWER_DISTRIBUTION
db83189d-3f4a-4273-857f-ad5dbefe4510	ca981eed-b38b-4f88-946c-d44153f47c0f	CRAH
db83189d-3f4a-4273-857f-ad5dbefe4510	b9f7191e-e673-4386-b5f9-ee7f3365abea	CRAC
db83189d-3f4a-4273-857f-ad5dbefe4510	2de7e720-2b0d-4f28-9c73-34082f614050	CRAC_WITHOUT_FAN
db83189d-3f4a-4273-857f-ad5dbefe4510	b2431b05-3e1f-4e74-a2f3-0d2a45931208	CRAC_FAN
db83189d-3f4a-4273-857f-ad5dbefe4510	06a6f295-71ae-4018-a3d3-b3e6d0881b7a	CHILLER
db83189d-3f4a-4273-857f-ad5dbefe4510	e14f56bd-7ac7-4c86-9feb-2c2e7444f1fc	AIR_COOLED_CHILLER
db83189d-3f4a-4273-857f-ad5dbefe4510	e14ae73e-b7c6-4f03-978a-0d44ef60b79f	COOLING_TOWER
db83189d-3f4a-4273-857f-ad5dbefe4510	66f2c6df-7e0c-46d7-9dfc-8e0cfcb02de4	DRY_COOLER
db83189d-3f4a-4273-857f-ad5dbefe4510	068d0712-85da-4182-b5ff-5093c42e59e2	REMOTE_CONDENSER
db83189d-3f4a-4273-857f-ad5dbefe4510	902aec98-eb56-4a89-820b-6e948be681f5	CHILLED_WATER_PUMPS
db83189d-3f4a-4273-857f-ad5dbefe4510	625cdef9-b1f8-4e81-9571-f14ff08d146f	HEAT_REJECTION_PUMPS
db83189d-3f4a-4273-857f-ad5dbefe4510	d1ddff85-76cf-4550-b102-d59d6f3e44a7	VENTILATION
db83189d-3f4a-4273-857f-ad5dbefe4510	4abeaa37-9994-4b85-9785-fca261b7a53b	INFILTRATION
db83189d-3f4a-4273-857f-ad5dbefe4510	be06e71a-23f3-4aac-a2d7-02df4c432a79	IT_LOAD
547e9a27-0a29-4727-a854-a67a3b93c1ba	f255188b-109f-4de0-80c5-4b5e7bf1a4c0	SWITCHGEAR
547e9a27-0a29-4727-a854-a67a3b93c1ba	c36d467b-d785-477f-925a-3eeef2b143c8	GENERATOR
547e9a27-0a29-4727-a854-a67a3b93c1ba	a0bd4ca4-86b3-4fbd-b293-14824654f73b	PRIMARY_AUXILIARIES
547e9a27-0a29-4727-a854-a67a3b93c1ba	ec36f865-46d4-41ef-b2fe-4ea3f8de56d9	UPS
547e9a27-0a29-4727-a854-a67a3b93c1ba	4cbad2eb-837c-48b7-abad-3564838cf0e7	CRITICAL_AUXILIARIES
547e9a27-0a29-4727-a854-a67a3b93c1ba	2777d9a4-0feb-4df7-bed7-48074ab24cf7	LIGHTING
547e9a27-0a29-4727-a854-a67a3b93c1ba	2861d500-e8e6-4365-815d-4fb9911bd553	CRITICAL_POWER_DISTRIBUTION
547e9a27-0a29-4727-a854-a67a3b93c1ba	0ab5fdeb-64da-4be1-b530-30580e82a40f	CRAH
547e9a27-0a29-4727-a854-a67a3b93c1ba	9a2bb558-67a4-411b-85fb-038d665d81c5	CRAC
547e9a27-0a29-4727-a854-a67a3b93c1ba	55db44e9-7a15-497b-a993-6173f016e917	CRAC_WITHOUT_FAN
547e9a27-0a29-4727-a854-a67a3b93c1ba	0489586d-9fce-4010-aad4-a1b06dfe4c10	CRAC_FAN
547e9a27-0a29-4727-a854-a67a3b93c1ba	1fb293bb-5b17-4af8-8b95-f98cdcc714a5	CHILLER
547e9a27-0a29-4727-a854-a67a3b93c1ba	ce41238b-6be4-46da-9f31-45e1c9041d79	AIR_COOLED_CHILLER
547e9a27-0a29-4727-a854-a67a3b93c1ba	0b036079-6f62-46a3-9bf4-5a23ba44eba6	COOLING_TOWER
547e9a27-0a29-4727-a854-a67a3b93c1ba	3d264b6c-ae67-4937-947e-45cf9e939b05	DRY_COOLER
547e9a27-0a29-4727-a854-a67a3b93c1ba	3c9764b5-bdec-4215-99d9-a0b6177596d5	REMOTE_CONDENSER
547e9a27-0a29-4727-a854-a67a3b93c1ba	2bfc47cd-ca91-45a3-9717-77547afc4d6d	CHILLED_WATER_PUMPS
547e9a27-0a29-4727-a854-a67a3b93c1ba	36902770-a4db-4303-8cf5-c1550ac662f9	HEAT_REJECTION_PUMPS
547e9a27-0a29-4727-a854-a67a3b93c1ba	9e5a78ea-68d3-4e15-8811-6fa6e3cd5bbc	VENTILATION
547e9a27-0a29-4727-a854-a67a3b93c1ba	69d7ca6e-2b03-4a5c-a2f1-130be4e6ea30	INFILTRATION
547e9a27-0a29-4727-a854-a67a3b93c1ba	5fbc7d9c-d281-4ebd-808c-336860e18092	IT_LOAD
74087c20-4afb-455c-81f7-2c39b37b45c5	5872c0bc-64d0-4966-9030-edc303c76cce	SWITCHGEAR
74087c20-4afb-455c-81f7-2c39b37b45c5	9f842d4f-6fee-4060-b0e3-42e96cc0cff9	GENERATOR
74087c20-4afb-455c-81f7-2c39b37b45c5	81b26282-cb7e-4fa9-9e51-3260609a974b	PRIMARY_AUXILIARIES
74087c20-4afb-455c-81f7-2c39b37b45c5	b16a3069-9d26-47d5-a251-b8d40f74cb3e	UPS
74087c20-4afb-455c-81f7-2c39b37b45c5	a4042f9a-2233-41f0-917d-472aad490e85	CRITICAL_AUXILIARIES
74087c20-4afb-455c-81f7-2c39b37b45c5	37d862b0-5507-499a-b57f-7a761e52aa68	LIGHTING
74087c20-4afb-455c-81f7-2c39b37b45c5	7599c7c5-6a51-401c-9118-edffe6b6b18e	CRITICAL_POWER_DISTRIBUTION
74087c20-4afb-455c-81f7-2c39b37b45c5	6d9dccab-0d04-43c3-a66c-d080b49c6dfc	CRAH
74087c20-4afb-455c-81f7-2c39b37b45c5	b6d1e127-25c7-4c51-96cc-5d621009299c	CRAC
74087c20-4afb-455c-81f7-2c39b37b45c5	a23562ac-9e4a-4ee2-8dff-1635834dcc8a	CRAC_WITHOUT_FAN
74087c20-4afb-455c-81f7-2c39b37b45c5	515cd376-e9f0-4ee8-a68e-ef8a03684dcf	CRAC_FAN
74087c20-4afb-455c-81f7-2c39b37b45c5	83159795-2b8b-443e-989d-1cb87d832373	CHILLER
74087c20-4afb-455c-81f7-2c39b37b45c5	7fccc82f-03ff-43ed-b404-4aa1df5b681e	AIR_COOLED_CHILLER
74087c20-4afb-455c-81f7-2c39b37b45c5	e6c13579-92a6-4710-9fc3-e633acc8f1b0	COOLING_TOWER
74087c20-4afb-455c-81f7-2c39b37b45c5	ebf8b7a8-363b-4ed6-b01c-249ea1a82229	DRY_COOLER
74087c20-4afb-455c-81f7-2c39b37b45c5	21f1e437-01b7-4bff-a41c-2fb061aa9569	REMOTE_CONDENSER
74087c20-4afb-455c-81f7-2c39b37b45c5	7104416b-3994-4904-90fd-72e23268095e	CHILLED_WATER_PUMPS
74087c20-4afb-455c-81f7-2c39b37b45c5	95c36d54-4bdd-4afd-980a-d90c07b9c04f	HEAT_REJECTION_PUMPS
74087c20-4afb-455c-81f7-2c39b37b45c5	9a9a294e-0e56-4a92-b290-c491c8a5e14e	VENTILATION
74087c20-4afb-455c-81f7-2c39b37b45c5	f82ebd1c-3e23-45b4-b985-9581f7830fe6	INFILTRATION
74087c20-4afb-455c-81f7-2c39b37b45c5	758a3b96-952a-4898-bb10-7f4074854ed2	IT_LOAD
0cae6242-7984-47eb-9a41-203a531d3542	bcb18a08-82aa-4e1d-9f0c-37f2d119a1a4	SWITCHGEAR
0cae6242-7984-47eb-9a41-203a531d3542	8a028321-a801-41f8-9cb3-40bba5b693f6	GENERATOR
0cae6242-7984-47eb-9a41-203a531d3542	f825d758-7885-4c08-9c17-df1bf8702198	PRIMARY_AUXILIARIES
0cae6242-7984-47eb-9a41-203a531d3542	f03d39e9-e499-42e1-a101-f04d00bb967c	UPS
0cae6242-7984-47eb-9a41-203a531d3542	d1fe8d0a-1264-45bf-8f61-3d4bcec8187d	CRITICAL_AUXILIARIES
0cae6242-7984-47eb-9a41-203a531d3542	02455e20-950f-4263-889c-a74891b751d3	LIGHTING
0cae6242-7984-47eb-9a41-203a531d3542	4d3b0899-33c5-4243-9961-f749bdd075a1	CRITICAL_POWER_DISTRIBUTION
0cae6242-7984-47eb-9a41-203a531d3542	72738e09-3969-4927-9547-73b44ec1ee93	CRAH
0cae6242-7984-47eb-9a41-203a531d3542	a3c815c4-5ddf-4f20-aba7-52791845a179	CRAC
0cae6242-7984-47eb-9a41-203a531d3542	2cadf7cc-3ea2-49cc-b7b1-00c60b1252cf	CRAC_WITHOUT_FAN
0cae6242-7984-47eb-9a41-203a531d3542	9f538f14-ec94-4d6f-b8b1-1a9cc1b57d67	CRAC_FAN
0cae6242-7984-47eb-9a41-203a531d3542	cb388710-54c8-4fe3-bbbb-01886808c51e	CHILLER
0cae6242-7984-47eb-9a41-203a531d3542	a3690567-2eea-4a93-a46c-72d100c5bb7b	AIR_COOLED_CHILLER
0cae6242-7984-47eb-9a41-203a531d3542	f139116b-5259-4fdc-b5e1-a0744d48732f	COOLING_TOWER
0cae6242-7984-47eb-9a41-203a531d3542	ad9ff47a-e3f0-44d1-a4b9-a07feee3a5ed	DRY_COOLER
0cae6242-7984-47eb-9a41-203a531d3542	fe8b6541-9b0a-497c-95e5-ccf08cd36bd2	REMOTE_CONDENSER
0cae6242-7984-47eb-9a41-203a531d3542	558363b5-027c-4330-ba19-e9ac81666e59	CHILLED_WATER_PUMPS
0cae6242-7984-47eb-9a41-203a531d3542	51137593-ee4c-41d3-8369-c817e6866282	HEAT_REJECTION_PUMPS
0cae6242-7984-47eb-9a41-203a531d3542	400b060c-39e3-4eb1-8ca3-0a6f9b1cb635	VENTILATION
0cae6242-7984-47eb-9a41-203a531d3542	1dfeb2d5-188e-40b8-beda-b542f3b51563	INFILTRATION
0cae6242-7984-47eb-9a41-203a531d3542	6a645a8f-5a03-4006-8280-7e6324d47748	IT_LOAD
73fdea22-ade3-4063-a7fd-08f879585846	41bd4046-be78-4220-a1ed-9c821208cab5	SWITCHGEAR
73fdea22-ade3-4063-a7fd-08f879585846	04af801c-41da-4c55-8a8b-069ee553c467	GENERATOR
73fdea22-ade3-4063-a7fd-08f879585846	e6320665-5fe2-4033-858d-5d4a301ed99a	PRIMARY_AUXILIARIES
73fdea22-ade3-4063-a7fd-08f879585846	cb5f3d16-ebb7-4bd8-b99d-a9f771190895	UPS
73fdea22-ade3-4063-a7fd-08f879585846	6e016bef-b51f-4017-bec1-f60c49f9c840	CRITICAL_AUXILIARIES
73fdea22-ade3-4063-a7fd-08f879585846	f752ceb1-20b4-4ba9-b77d-adbe7daf5099	LIGHTING
73fdea22-ade3-4063-a7fd-08f879585846	22e0f27c-bbbe-4275-a72a-7911b52c1182	CRITICAL_POWER_DISTRIBUTION
73fdea22-ade3-4063-a7fd-08f879585846	825aad1f-a9ba-491e-92a2-3d5993406f38	CRAH
73fdea22-ade3-4063-a7fd-08f879585846	527eed23-a6ab-494f-a91b-6d9cf424ee6c	CRAC
73fdea22-ade3-4063-a7fd-08f879585846	9623e09f-425d-454a-9f59-f96661aea3d0	CRAC_WITHOUT_FAN
73fdea22-ade3-4063-a7fd-08f879585846	c60623bc-e43e-4724-b588-729db4135c22	CRAC_FAN
73fdea22-ade3-4063-a7fd-08f879585846	69152127-7b8d-442e-b259-74e1a5ff0165	CHILLER
73fdea22-ade3-4063-a7fd-08f879585846	67d65ad3-bf34-435f-b41a-db410faf06c9	AIR_COOLED_CHILLER
73fdea22-ade3-4063-a7fd-08f879585846	ece746ab-ae59-41b1-82fd-e2839e7861e3	COOLING_TOWER
73fdea22-ade3-4063-a7fd-08f879585846	5d1c8343-6c3f-4d07-985e-bb8ed2625d33	DRY_COOLER
73fdea22-ade3-4063-a7fd-08f879585846	5f88740e-e8b3-448b-bd14-b1f45e60b713	REMOTE_CONDENSER
73fdea22-ade3-4063-a7fd-08f879585846	c3038caa-ca8d-438e-bf6a-f43f8548fdd1	CHILLED_WATER_PUMPS
73fdea22-ade3-4063-a7fd-08f879585846	fda040e5-011d-4a4b-9527-e51444fb3663	HEAT_REJECTION_PUMPS
73fdea22-ade3-4063-a7fd-08f879585846	48459366-f758-4b97-9637-4e9d292e54ea	VENTILATION
73fdea22-ade3-4063-a7fd-08f879585846	ffca21a5-03db-41be-bcb8-d7723ccf2716	INFILTRATION
73fdea22-ade3-4063-a7fd-08f879585846	42d73f2f-5a25-4ac1-a921-0d893d9694f1	IT_LOAD
7133b221-f006-46d3-be40-947c319d5801	4929fb2c-458d-4fa7-b7c8-47cc47412f48	SWITCHGEAR
7133b221-f006-46d3-be40-947c319d5801	cd487858-9472-4c7f-9c64-3dbfd8a457f4	GENERATOR
7133b221-f006-46d3-be40-947c319d5801	bdc0c426-8e33-49a3-8201-3fd8b6e79b16	PRIMARY_AUXILIARIES
7133b221-f006-46d3-be40-947c319d5801	971e75aa-1627-4cb6-8ca2-5e67cdc9ce20	UPS
7133b221-f006-46d3-be40-947c319d5801	d7cb00ee-f104-44b6-a1b3-621be5d84c1b	CRITICAL_AUXILIARIES
7133b221-f006-46d3-be40-947c319d5801	406fcd23-3948-45e8-bed3-5c77572ac2f3	LIGHTING
7133b221-f006-46d3-be40-947c319d5801	e9291804-68b0-404b-9304-f9b652b72eea	CRITICAL_POWER_DISTRIBUTION
7133b221-f006-46d3-be40-947c319d5801	f976f78c-4dde-4275-b5e0-c87eb092e727	CRAH
7133b221-f006-46d3-be40-947c319d5801	21f02bc4-03d6-4e92-8204-4ee34451f023	CRAC
7133b221-f006-46d3-be40-947c319d5801	c5df1b95-8b60-423a-88ed-5baf5599c2a2	CRAC_WITHOUT_FAN
7133b221-f006-46d3-be40-947c319d5801	63bb85c5-860d-4128-ab96-c24bf300e8cb	CRAC_FAN
7133b221-f006-46d3-be40-947c319d5801	84121ee0-98df-4726-aff4-a60411979cbc	CHILLER
7133b221-f006-46d3-be40-947c319d5801	fd747e2c-3976-408c-8b6c-1cdd96c7c3a6	AIR_COOLED_CHILLER
7133b221-f006-46d3-be40-947c319d5801	063ac5d7-131c-4d95-8756-ba69542543d5	COOLING_TOWER
7133b221-f006-46d3-be40-947c319d5801	a698e10d-cdfe-415e-b80c-3016fb830315	DRY_COOLER
7133b221-f006-46d3-be40-947c319d5801	2c2582ef-8ecb-4566-99b8-18173ce6ba71	REMOTE_CONDENSER
7133b221-f006-46d3-be40-947c319d5801	702e82af-72dd-4182-8d85-1a597b137107	CHILLED_WATER_PUMPS
7133b221-f006-46d3-be40-947c319d5801	9597a966-a840-4da2-9cfd-2ad07d972d44	HEAT_REJECTION_PUMPS
7133b221-f006-46d3-be40-947c319d5801	4fb6cd4a-5895-4a28-a526-58c7e9fbef4b	VENTILATION
7133b221-f006-46d3-be40-947c319d5801	aa39c122-1ae0-4588-bc26-68a3ed2969cb	INFILTRATION
7133b221-f006-46d3-be40-947c319d5801	f3a23140-7217-48ed-8729-46fd48cabdea	IT_LOAD
1e868798-a9c9-4493-9e9c-c7116b1b0a46	3f231eab-2e48-4e35-9896-74797bd08321	SWITCHGEAR
1e868798-a9c9-4493-9e9c-c7116b1b0a46	d64d7704-de22-404c-bcdd-49a990a9f278	GENERATOR
1e868798-a9c9-4493-9e9c-c7116b1b0a46	e67dba23-0578-4706-b74d-97b49e41889c	PRIMARY_AUXILIARIES
1e868798-a9c9-4493-9e9c-c7116b1b0a46	779b9075-c1f4-464f-9d68-662ce2783aab	UPS
1e868798-a9c9-4493-9e9c-c7116b1b0a46	8a985bcb-1c65-4442-8cb4-851a2adfffa8	CRITICAL_AUXILIARIES
1e868798-a9c9-4493-9e9c-c7116b1b0a46	e624be1a-cb8c-487d-8045-2c05113cd376	LIGHTING
1e868798-a9c9-4493-9e9c-c7116b1b0a46	0a90f543-1f5f-4fe7-9a9a-c986db99e3c0	CRITICAL_POWER_DISTRIBUTION
1e868798-a9c9-4493-9e9c-c7116b1b0a46	8738080b-4534-4a10-8817-2c1911164fdf	CRAH
1e868798-a9c9-4493-9e9c-c7116b1b0a46	3d78a0f8-7060-4f76-9858-7f943d716397	CRAC
1e868798-a9c9-4493-9e9c-c7116b1b0a46	0cf0fdfc-a132-4c34-8cba-85846220d173	CRAC_WITHOUT_FAN
1e868798-a9c9-4493-9e9c-c7116b1b0a46	9fa902ab-ef72-4089-9a6d-210dc5cf7c8c	CRAC_FAN
1e868798-a9c9-4493-9e9c-c7116b1b0a46	ab720b26-09ff-47b2-a12f-a2c49ea00554	CHILLER
1e868798-a9c9-4493-9e9c-c7116b1b0a46	7c4b4541-6021-4e18-803a-86c1777673c8	AIR_COOLED_CHILLER
1e868798-a9c9-4493-9e9c-c7116b1b0a46	09a1160f-fb02-4a30-8f82-f99281b09728	COOLING_TOWER
1e868798-a9c9-4493-9e9c-c7116b1b0a46	46405bf7-f922-47d1-b0b0-51ea1a6d17a1	DRY_COOLER
1e868798-a9c9-4493-9e9c-c7116b1b0a46	6e888982-3721-4f07-94d2-57a48c033952	REMOTE_CONDENSER
1e868798-a9c9-4493-9e9c-c7116b1b0a46	dd4d0da2-72b8-4b9d-ab5e-0893eea19415	CHILLED_WATER_PUMPS
1e868798-a9c9-4493-9e9c-c7116b1b0a46	2548e9d7-783e-4703-a3ff-ba2458f6916f	HEAT_REJECTION_PUMPS
1e868798-a9c9-4493-9e9c-c7116b1b0a46	965ff941-03ae-4c41-8a6d-93103bca4e76	VENTILATION
1e868798-a9c9-4493-9e9c-c7116b1b0a46	8d70f104-cabd-4740-bd3c-09c94f17e092	INFILTRATION
1e868798-a9c9-4493-9e9c-c7116b1b0a46	cb1d5399-04c8-41e7-b4ec-d0e3d894a069	IT_LOAD
3541f49f-296b-43b8-a29c-2efc64ee63df	0a05fda7-45e5-4a1c-9b1b-d0ac95bff3f2	SWITCHGEAR
3541f49f-296b-43b8-a29c-2efc64ee63df	ba65fcd1-38f3-4acf-a603-bf16d1bb52a5	GENERATOR
3541f49f-296b-43b8-a29c-2efc64ee63df	5b66be3e-e68a-4c55-b66a-b7c04af99462	PRIMARY_AUXILIARIES
3541f49f-296b-43b8-a29c-2efc64ee63df	4eeb8891-37cc-41f2-a440-240017a4bcd8	UPS
3541f49f-296b-43b8-a29c-2efc64ee63df	55d6b13d-71d3-4c64-be8d-3f125d7b3411	CRITICAL_AUXILIARIES
3541f49f-296b-43b8-a29c-2efc64ee63df	717dbcfe-f634-4782-ae5b-aea642ee9316	LIGHTING
3541f49f-296b-43b8-a29c-2efc64ee63df	6617a76b-27dd-4e0e-b136-167ee32882e9	CRITICAL_POWER_DISTRIBUTION
3541f49f-296b-43b8-a29c-2efc64ee63df	1ec50cc2-84ad-43ae-9ece-ed97741df7af	CRAH
3541f49f-296b-43b8-a29c-2efc64ee63df	de804f9c-7982-49cf-8b10-449839fe1223	CRAC
3541f49f-296b-43b8-a29c-2efc64ee63df	eeb3a5b9-440e-43a7-8233-1f3a5a689a88	CRAC_WITHOUT_FAN
3541f49f-296b-43b8-a29c-2efc64ee63df	ce32e0c0-ba56-47a1-8911-987d7cdf9ed4	CRAC_FAN
3541f49f-296b-43b8-a29c-2efc64ee63df	6ebef867-2343-4d53-9c5d-7cfff468b01f	CHILLER
3541f49f-296b-43b8-a29c-2efc64ee63df	e66f16f0-1b13-4568-a870-872479841046	AIR_COOLED_CHILLER
3541f49f-296b-43b8-a29c-2efc64ee63df	3945bafb-09af-43cb-b10c-3c614662028d	COOLING_TOWER
3541f49f-296b-43b8-a29c-2efc64ee63df	ae01c5d5-9247-41de-9c8a-562b1b773446	DRY_COOLER
3541f49f-296b-43b8-a29c-2efc64ee63df	3333c279-dbc9-433b-bc8f-9722a5d42ab8	REMOTE_CONDENSER
3541f49f-296b-43b8-a29c-2efc64ee63df	9e97820b-497c-467e-8910-a771d3a0647d	CHILLED_WATER_PUMPS
3541f49f-296b-43b8-a29c-2efc64ee63df	bec16f52-99f1-4b31-9100-b66cb9958ea6	HEAT_REJECTION_PUMPS
3541f49f-296b-43b8-a29c-2efc64ee63df	58a7fb4e-ec7a-41d3-822f-e05a5c022a9a	VENTILATION
3541f49f-296b-43b8-a29c-2efc64ee63df	f761bfc4-24c9-4f78-adbc-e63b241f977e	INFILTRATION
3541f49f-296b-43b8-a29c-2efc64ee63df	b7dee4c5-7f37-497f-b5d4-aa748d225042	IT_LOAD
037a4335-5051-4456-ab70-fc592ef6832e	dcac3c4e-d205-4f04-9dd5-6334a3c5cdb4	SWITCHGEAR
037a4335-5051-4456-ab70-fc592ef6832e	ff46df96-2a14-4b5b-80d4-7c3e7eda7b77	GENERATOR
037a4335-5051-4456-ab70-fc592ef6832e	ab3e7260-68bb-4698-93ad-f724ac1e7ba0	PRIMARY_AUXILIARIES
037a4335-5051-4456-ab70-fc592ef6832e	80eb1518-1ada-4752-899c-6fed28b00359	UPS
037a4335-5051-4456-ab70-fc592ef6832e	6ca3b0b5-cc98-41fa-b23a-453d59b76e02	CRITICAL_AUXILIARIES
037a4335-5051-4456-ab70-fc592ef6832e	ed06a5d3-058f-4039-af10-6438e5fad4fe	LIGHTING
037a4335-5051-4456-ab70-fc592ef6832e	dab17d18-b817-4006-b369-9fc9f707f947	CRITICAL_POWER_DISTRIBUTION
037a4335-5051-4456-ab70-fc592ef6832e	8c512ff2-fd5f-4327-b79d-5744124bc80d	CRAH
037a4335-5051-4456-ab70-fc592ef6832e	ebaeaca0-4dda-4d3e-bc5c-a0b86a143c5b	CRAC
037a4335-5051-4456-ab70-fc592ef6832e	b22272b2-0262-4eb1-980c-437be3bcced5	CRAC_WITHOUT_FAN
037a4335-5051-4456-ab70-fc592ef6832e	94deef6b-5539-424b-b5a2-1d096640c3d3	CRAC_FAN
037a4335-5051-4456-ab70-fc592ef6832e	e3c3e885-bf48-4a9b-9a69-d700a39062f9	CHILLER
037a4335-5051-4456-ab70-fc592ef6832e	368b94aa-1abf-44ca-aeba-2713291291cd	AIR_COOLED_CHILLER
037a4335-5051-4456-ab70-fc592ef6832e	0063d399-c467-41c1-adff-8eb17cc0e95a	COOLING_TOWER
037a4335-5051-4456-ab70-fc592ef6832e	74e5131f-2b9f-4405-8bb7-6f2c143d574f	DRY_COOLER
037a4335-5051-4456-ab70-fc592ef6832e	3eff0331-96a2-40d8-a47d-9d5aa18af99f	REMOTE_CONDENSER
037a4335-5051-4456-ab70-fc592ef6832e	5e5fce73-6eca-40cb-be47-2389bcd85888	CHILLED_WATER_PUMPS
037a4335-5051-4456-ab70-fc592ef6832e	6fd0eef2-4594-4c55-be8c-eb27b05cfa75	HEAT_REJECTION_PUMPS
037a4335-5051-4456-ab70-fc592ef6832e	7d7f7813-76b7-4a61-8000-17a8af6763f6	VENTILATION
037a4335-5051-4456-ab70-fc592ef6832e	787ba3b7-00e4-4592-b33e-71d26c5dd168	INFILTRATION
037a4335-5051-4456-ab70-fc592ef6832e	77ac9458-8cda-424d-849b-14ea7e2150ea	IT_LOAD
4bd53262-0534-45bd-a294-8f32882b7754	13784651-5ee3-475c-9ff0-c929ba3f106d	SWITCHGEAR
4bd53262-0534-45bd-a294-8f32882b7754	569603f3-5cc9-499d-9d8f-cfa155c3faca	GENERATOR
4bd53262-0534-45bd-a294-8f32882b7754	2f7d8817-1fca-4ad5-95ce-7b21fe1866d4	PRIMARY_AUXILIARIES
4bd53262-0534-45bd-a294-8f32882b7754	ac675ab3-cae5-4e53-a1f3-700ebf66d638	UPS
4bd53262-0534-45bd-a294-8f32882b7754	a8ea200a-5047-49d7-a124-d4738b10d630	CRITICAL_AUXILIARIES
4bd53262-0534-45bd-a294-8f32882b7754	5df36a81-9ac8-48da-81f1-2a0e4fadeed6	LIGHTING
4bd53262-0534-45bd-a294-8f32882b7754	71030bdb-07af-4dca-8543-47a5186d6e2c	CRITICAL_POWER_DISTRIBUTION
4bd53262-0534-45bd-a294-8f32882b7754	ec707b9f-29d1-487e-ae2f-d9d4b947e582	CRAH
4bd53262-0534-45bd-a294-8f32882b7754	ca2da264-ee8e-4eb9-8fcb-6ca943b2e506	CRAC
4bd53262-0534-45bd-a294-8f32882b7754	ce1133db-2df3-40f7-8633-4ca3391f114c	CRAC_WITHOUT_FAN
4bd53262-0534-45bd-a294-8f32882b7754	936206df-3b0b-4358-91f5-fff2a8a94cdf	CRAC_FAN
4bd53262-0534-45bd-a294-8f32882b7754	e1f778ba-7b1e-4a0f-9760-197b87d5e45b	CHILLER
4bd53262-0534-45bd-a294-8f32882b7754	abce50e0-3da4-4669-b5bf-fa87d40fee1a	AIR_COOLED_CHILLER
4bd53262-0534-45bd-a294-8f32882b7754	edf0167f-a58b-46f0-a7b7-07e28ec649e6	COOLING_TOWER
4bd53262-0534-45bd-a294-8f32882b7754	e622cb33-e4d2-4434-a726-43bf466ea51d	DRY_COOLER
4bd53262-0534-45bd-a294-8f32882b7754	06b862e2-a7fd-4426-b944-4b184cd41af0	REMOTE_CONDENSER
4bd53262-0534-45bd-a294-8f32882b7754	6fb80135-66aa-46e0-9c45-4bf9b16ded7c	CHILLED_WATER_PUMPS
4bd53262-0534-45bd-a294-8f32882b7754	cb81de22-b30b-4818-bf3d-97b6ac48c648	HEAT_REJECTION_PUMPS
4bd53262-0534-45bd-a294-8f32882b7754	4529cd92-3f2b-4fea-9066-e847cb9db29e	VENTILATION
4bd53262-0534-45bd-a294-8f32882b7754	2edb20f7-abf0-44c8-b218-8d71aebf6fc9	INFILTRATION
4bd53262-0534-45bd-a294-8f32882b7754	44d34b1a-f96f-48c5-87b0-e69cb68ee55c	IT_LOAD
4ba4dcc8-1373-49da-a637-46f89cb31162	a19657c8-253b-4bec-9d85-c02d44f841d4	SWITCHGEAR
4ba4dcc8-1373-49da-a637-46f89cb31162	a67d785d-461d-4895-9fb4-d30bd6ec3bc1	GENERATOR
4ba4dcc8-1373-49da-a637-46f89cb31162	50ba5af2-79fc-45d3-b2ba-d94062ae5b80	PRIMARY_AUXILIARIES
4ba4dcc8-1373-49da-a637-46f89cb31162	d0811ef4-4ab8-45df-954b-112472dd8c39	UPS
4ba4dcc8-1373-49da-a637-46f89cb31162	4afe22de-fb3b-4760-b57b-864d7e82a707	CRITICAL_AUXILIARIES
4ba4dcc8-1373-49da-a637-46f89cb31162	c007b688-84e3-4e1d-b06e-9123dabb21d9	LIGHTING
4ba4dcc8-1373-49da-a637-46f89cb31162	abc45a5c-08da-4e1a-9fb9-a90d9dd36266	CRITICAL_POWER_DISTRIBUTION
4ba4dcc8-1373-49da-a637-46f89cb31162	b8b9419f-9ca4-41d5-ac1b-257e6e3dbc78	CRAH
4ba4dcc8-1373-49da-a637-46f89cb31162	db463fee-7895-4ece-863b-79af565156d2	CRAC
4ba4dcc8-1373-49da-a637-46f89cb31162	8735d329-4097-4a12-9042-9c85768db1e9	CRAC_WITHOUT_FAN
4ba4dcc8-1373-49da-a637-46f89cb31162	f72fd9a7-3499-4e15-8740-724acbabb884	CRAC_FAN
4ba4dcc8-1373-49da-a637-46f89cb31162	a3da0c76-cfa8-49d5-90e6-3c5d6730302d	CHILLER
4ba4dcc8-1373-49da-a637-46f89cb31162	2f9e617b-eb99-4088-b13e-e0d1700b5a7a	AIR_COOLED_CHILLER
4ba4dcc8-1373-49da-a637-46f89cb31162	a6f01fc4-08b6-4b34-9a05-1364440a8947	COOLING_TOWER
4ba4dcc8-1373-49da-a637-46f89cb31162	98c4151e-7c31-450a-ac42-bbe579ed5806	DRY_COOLER
4ba4dcc8-1373-49da-a637-46f89cb31162	e26323d6-3617-4cd5-a32c-dd1f3039c8f6	REMOTE_CONDENSER
4ba4dcc8-1373-49da-a637-46f89cb31162	f7bf892e-feb2-4b7a-b0a3-5da01ec8f767	CHILLED_WATER_PUMPS
4ba4dcc8-1373-49da-a637-46f89cb31162	99c3f79b-7d0c-4108-86b1-040f4477c8b3	HEAT_REJECTION_PUMPS
4ba4dcc8-1373-49da-a637-46f89cb31162	a21125ee-fd74-47fd-b754-9b905dcf7344	VENTILATION
4ba4dcc8-1373-49da-a637-46f89cb31162	63ffa3be-b354-4d3b-ba1b-2ecfd40423cb	INFILTRATION
4ba4dcc8-1373-49da-a637-46f89cb31162	484af1e4-f40f-4d77-abc2-215bc6cd8dc1	IT_LOAD
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	048f535e-870a-4ce6-b8ab-e892c58b5561	SWITCHGEAR
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	2ff9b048-a81b-4e51-aa5f-202d92d2de15	GENERATOR
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	d497ed6b-c5d1-467d-9917-02a5d4c5d09c	PRIMARY_AUXILIARIES
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	7ee921f3-5ea8-41a4-ba25-f68921f50bfc	UPS
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	9f66451f-806d-443e-a9fb-b992d3d13b73	CRITICAL_AUXILIARIES
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	0ecd581a-f97f-4cb7-9de8-9a6200b3e2cf	LIGHTING
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	fa681da1-5c67-4f9b-81b3-ffde8194d398	CRITICAL_POWER_DISTRIBUTION
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	aaf06c0a-a886-4c38-840a-408079894732	CRAH
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	81fbbeb2-f8bf-421d-90d4-9eb83fdf8880	CRAC
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	77647d54-d569-4e83-a703-9a19b11d5d43	CRAC_WITHOUT_FAN
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	b91a3bc7-eb27-4691-9c8d-e841696ffee4	CRAC_FAN
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	4872eaaa-d695-4ab9-9928-a28d21041bc8	CHILLER
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	5f287d1b-f667-4678-bfa9-f4b5af3ef623	AIR_COOLED_CHILLER
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	d9880f69-5228-4b8c-a11d-932ee2b35545	COOLING_TOWER
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	71d153fd-1c1b-4276-80b1-8399c91705a2	DRY_COOLER
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	f42252da-f7c4-44ad-81c5-e659d065462e	REMOTE_CONDENSER
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	dab82a4a-418b-4e71-9720-5c8dea60f264	CHILLED_WATER_PUMPS
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	6cbbc8d1-a0eb-4671-a1c1-78ec9e555600	HEAT_REJECTION_PUMPS
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	1f98e652-b56c-49af-9ec3-79aab57bb460	VENTILATION
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	071de08e-8ef4-44c4-9cde-70324be601d2	INFILTRATION
50f6659c-7101-48a4-a6a9-3cf6f25c17a0	c7842f26-b8ad-488f-a458-614a8118a56a	IT_LOAD
f059f5d6-5b0e-41f0-9fe3-8083c234d373	3334f007-03be-4ce1-81ed-ccc87ebcc777	SWITCHGEAR
f059f5d6-5b0e-41f0-9fe3-8083c234d373	332576f1-0d05-48af-bab6-6b0bc0ae3ac8	GENERATOR
f059f5d6-5b0e-41f0-9fe3-8083c234d373	5d5c702c-f065-4011-8987-e899be2899de	PRIMARY_AUXILIARIES
f059f5d6-5b0e-41f0-9fe3-8083c234d373	f3064bd5-00c2-4add-ac56-277b6cf892b0	UPS
f059f5d6-5b0e-41f0-9fe3-8083c234d373	088e3612-ab3f-40ea-b2e7-093658ad20f7	CRITICAL_AUXILIARIES
f059f5d6-5b0e-41f0-9fe3-8083c234d373	697ed164-faef-49eb-807c-82aedbb361a4	LIGHTING
f059f5d6-5b0e-41f0-9fe3-8083c234d373	9c56338f-a8c9-450a-a08f-8690da6c4a37	CRITICAL_POWER_DISTRIBUTION
f059f5d6-5b0e-41f0-9fe3-8083c234d373	a8d51f49-e421-48e7-be9d-e646bd29517f	CRAH
f059f5d6-5b0e-41f0-9fe3-8083c234d373	468d6c51-b30b-4362-9e41-8a074caa6ccc	CRAC
f059f5d6-5b0e-41f0-9fe3-8083c234d373	14fe4eb1-895b-45c3-8451-81d94b4ad8ad	CRAC_WITHOUT_FAN
f059f5d6-5b0e-41f0-9fe3-8083c234d373	dcbf0659-1bc2-4d27-be48-d2baa8a3a183	CRAC_FAN
f059f5d6-5b0e-41f0-9fe3-8083c234d373	c8be9e64-de28-43e1-8f56-3667b6cf7002	CHILLER
f059f5d6-5b0e-41f0-9fe3-8083c234d373	efe8e21e-e43f-4efa-b209-b9e560651d1a	AIR_COOLED_CHILLER
f059f5d6-5b0e-41f0-9fe3-8083c234d373	9fc65925-32ba-4db7-b87e-963b20e657ad	COOLING_TOWER
f059f5d6-5b0e-41f0-9fe3-8083c234d373	50909a3e-b6b3-46dd-81f8-272a077597a0	DRY_COOLER
f059f5d6-5b0e-41f0-9fe3-8083c234d373	b1b9c577-7c55-407b-8c99-e27d5bd78a0b	REMOTE_CONDENSER
f059f5d6-5b0e-41f0-9fe3-8083c234d373	dc5b2343-24e0-4089-bb6e-054ca46ec1c0	CHILLED_WATER_PUMPS
f059f5d6-5b0e-41f0-9fe3-8083c234d373	f78386c8-430b-4582-ac2d-6d842f312030	HEAT_REJECTION_PUMPS
f059f5d6-5b0e-41f0-9fe3-8083c234d373	d633cda4-0b71-4184-94f1-da6adb1ce853	VENTILATION
f059f5d6-5b0e-41f0-9fe3-8083c234d373	8c4ed0ce-5fd4-437a-b907-dbc01a515bc7	INFILTRATION
f059f5d6-5b0e-41f0-9fe3-8083c234d373	1fe5d127-7d23-41bb-a396-3f6f204ed048	IT_LOAD
94032204-1b49-4f0a-8dbd-e6eb25c47f97	e39ce6a0-5791-42ee-9517-78e47f6973ff	SWITCHGEAR
94032204-1b49-4f0a-8dbd-e6eb25c47f97	898dead7-05bd-493e-9634-75e66b6bddb0	GENERATOR
94032204-1b49-4f0a-8dbd-e6eb25c47f97	7dd9a56b-cd7a-4bbf-8c33-e6615b331753	PRIMARY_AUXILIARIES
94032204-1b49-4f0a-8dbd-e6eb25c47f97	8cb0698a-d820-4a9b-904f-19042261dd2e	UPS
94032204-1b49-4f0a-8dbd-e6eb25c47f97	ed94feac-6acb-4dc1-8737-05c99013c092	CRITICAL_AUXILIARIES
94032204-1b49-4f0a-8dbd-e6eb25c47f97	07a3db4f-2fff-4e45-87e0-08a75a52158a	LIGHTING
94032204-1b49-4f0a-8dbd-e6eb25c47f97	401c8385-6d69-4c4d-81d9-d633597eb134	CRITICAL_POWER_DISTRIBUTION
94032204-1b49-4f0a-8dbd-e6eb25c47f97	186bee84-2914-48eb-9834-ad4034990625	CRAH
94032204-1b49-4f0a-8dbd-e6eb25c47f97	4b988568-37bb-4557-8d0d-05e8037166b5	CRAC
94032204-1b49-4f0a-8dbd-e6eb25c47f97	89917063-2016-43fb-b282-c06c94fb4c5a	CRAC_WITHOUT_FAN
94032204-1b49-4f0a-8dbd-e6eb25c47f97	01f79c8b-0ea3-45ee-b033-a496c55130bc	CRAC_FAN
94032204-1b49-4f0a-8dbd-e6eb25c47f97	fbf139cd-5858-434f-b2b0-926087af2ae2	CHILLER
94032204-1b49-4f0a-8dbd-e6eb25c47f97	8aec85ec-9407-4ea9-ab39-2253ecee4528	AIR_COOLED_CHILLER
94032204-1b49-4f0a-8dbd-e6eb25c47f97	1d125173-a51b-44d0-9777-fed710c4b93b	COOLING_TOWER
94032204-1b49-4f0a-8dbd-e6eb25c47f97	cb33eba0-b136-4fbe-9320-8c277b3a5d9d	DRY_COOLER
94032204-1b49-4f0a-8dbd-e6eb25c47f97	22e09c1f-41ea-4c68-9535-1fe713584bc6	REMOTE_CONDENSER
94032204-1b49-4f0a-8dbd-e6eb25c47f97	d48c9890-b9ad-4eac-abc0-c76d0e396d91	CHILLED_WATER_PUMPS
94032204-1b49-4f0a-8dbd-e6eb25c47f97	299edcc7-f63f-4843-bc0c-71e169cbc987	HEAT_REJECTION_PUMPS
94032204-1b49-4f0a-8dbd-e6eb25c47f97	27acb6de-fc00-4822-9597-6a369b92b12a	VENTILATION
94032204-1b49-4f0a-8dbd-e6eb25c47f97	fe4969d7-73a7-4311-9293-d81c6aaf33bb	INFILTRATION
94032204-1b49-4f0a-8dbd-e6eb25c47f97	ea961340-5c9e-402d-9df8-3be3df67a798	IT_LOAD
ac8759c5-996b-45c3-b1a1-4af78a0a491e	128966cd-f60a-4bfb-af4b-d31b327cda64	SWITCHGEAR
ac8759c5-996b-45c3-b1a1-4af78a0a491e	f295942b-7696-4e64-b711-969d2821de1c	GENERATOR
ac8759c5-996b-45c3-b1a1-4af78a0a491e	1f26fed3-c7ec-415b-9a89-b7b77e47aa35	PRIMARY_AUXILIARIES
ac8759c5-996b-45c3-b1a1-4af78a0a491e	7e7e4c1b-9e5e-4f01-8777-f093bc2ee2a9	UPS
ac8759c5-996b-45c3-b1a1-4af78a0a491e	9a95ddb6-c42e-42a8-8093-83595e81fba5	CRITICAL_AUXILIARIES
ac8759c5-996b-45c3-b1a1-4af78a0a491e	a3961c5d-a8e2-4992-8871-2a81ba40fc51	LIGHTING
ac8759c5-996b-45c3-b1a1-4af78a0a491e	d0bd3fee-ed65-4252-9b42-055618d5138d	CRITICAL_POWER_DISTRIBUTION
ac8759c5-996b-45c3-b1a1-4af78a0a491e	9aed6cdf-65f2-42ed-a7e8-c6733a7a4fbe	CRAH
ac8759c5-996b-45c3-b1a1-4af78a0a491e	9db7c30e-db7d-45f7-b393-4eb62619fe2e	CRAC
ac8759c5-996b-45c3-b1a1-4af78a0a491e	1394fbbb-12ff-4b53-b1f7-9b17b6d066dd	CRAC_WITHOUT_FAN
ac8759c5-996b-45c3-b1a1-4af78a0a491e	31897b1e-cf0d-4368-9f7a-abb0805f4f4b	CRAC_FAN
ac8759c5-996b-45c3-b1a1-4af78a0a491e	4a8ff3c9-c979-4986-93ea-fd8c2c31b281	CHILLER
ac8759c5-996b-45c3-b1a1-4af78a0a491e	34f4962f-062f-402d-b492-63bb626f04dd	AIR_COOLED_CHILLER
ac8759c5-996b-45c3-b1a1-4af78a0a491e	462556b8-a470-433f-9ab3-3bdfe428068c	COOLING_TOWER
ac8759c5-996b-45c3-b1a1-4af78a0a491e	bef59351-ec99-4b2c-bf82-e1520973b3dc	DRY_COOLER
ac8759c5-996b-45c3-b1a1-4af78a0a491e	76701cd4-3fd5-4ca9-bb11-4e0dc10dc6a9	REMOTE_CONDENSER
ac8759c5-996b-45c3-b1a1-4af78a0a491e	0c15d241-030c-425e-8b4a-441e19041d6e	CHILLED_WATER_PUMPS
ac8759c5-996b-45c3-b1a1-4af78a0a491e	d21820ec-3361-4fbd-9917-90c3f1ea2bf4	HEAT_REJECTION_PUMPS
ac8759c5-996b-45c3-b1a1-4af78a0a491e	d44a7b25-7915-4b84-bfea-364a0829fe49	VENTILATION
ac8759c5-996b-45c3-b1a1-4af78a0a491e	5c6fe14e-a5a8-426f-95cc-34a130145cc7	INFILTRATION
ac8759c5-996b-45c3-b1a1-4af78a0a491e	017a51d0-a0e8-4f2c-ab7a-b15e30f03222	IT_LOAD
2cf419f5-ec34-45c6-bb1f-de7f814ab806	45a97c89-6b6d-4b4f-8f94-e9204c9cea12	SWITCHGEAR
2cf419f5-ec34-45c6-bb1f-de7f814ab806	fb9b9ae6-c10a-4b12-b4a7-97f3f28feb01	GENERATOR
2cf419f5-ec34-45c6-bb1f-de7f814ab806	c9193009-b1cf-415b-ad46-06ac16930e51	PRIMARY_AUXILIARIES
2cf419f5-ec34-45c6-bb1f-de7f814ab806	0581a06e-5def-42af-8f97-f5a3a2044e66	UPS
2cf419f5-ec34-45c6-bb1f-de7f814ab806	7f41a4bd-6067-4b7c-b353-d8d307260187	CRITICAL_AUXILIARIES
2cf419f5-ec34-45c6-bb1f-de7f814ab806	9650b8a2-cc4b-4eae-82f6-ce8a7d394794	LIGHTING
2cf419f5-ec34-45c6-bb1f-de7f814ab806	ad3f1e4a-f4e0-4164-aec7-659100e93d59	CRITICAL_POWER_DISTRIBUTION
2cf419f5-ec34-45c6-bb1f-de7f814ab806	8a3b879f-723b-4721-8032-ebe3ae545127	CRAH
2cf419f5-ec34-45c6-bb1f-de7f814ab806	457aef71-41f7-4518-a9d4-5f2278cf6d0f	CRAC
2cf419f5-ec34-45c6-bb1f-de7f814ab806	6de020a0-0db5-4261-aacf-ecd9d48e05c4	CRAC_WITHOUT_FAN
2cf419f5-ec34-45c6-bb1f-de7f814ab806	27b9a46c-7f2d-4dc3-be29-ac53847306e5	CRAC_FAN
2cf419f5-ec34-45c6-bb1f-de7f814ab806	398d747a-8cca-435c-b97e-3a00d3176245	CHILLER
2cf419f5-ec34-45c6-bb1f-de7f814ab806	ad1a83e4-56e2-4f0f-a032-e0cb3a0fc31e	AIR_COOLED_CHILLER
2cf419f5-ec34-45c6-bb1f-de7f814ab806	af681d54-8b19-4705-8c6c-97ead2509373	COOLING_TOWER
2cf419f5-ec34-45c6-bb1f-de7f814ab806	78d61aad-bbd3-47c2-b69a-cb921b67fe3c	DRY_COOLER
2cf419f5-ec34-45c6-bb1f-de7f814ab806	46072622-393f-4ba4-be6b-d36aa15b8134	REMOTE_CONDENSER
2cf419f5-ec34-45c6-bb1f-de7f814ab806	9024934a-a0ca-44e6-b6d3-970b5e230619	CHILLED_WATER_PUMPS
2cf419f5-ec34-45c6-bb1f-de7f814ab806	0810a0dd-226e-41c8-bbb0-f5d665d4c41b	HEAT_REJECTION_PUMPS
2cf419f5-ec34-45c6-bb1f-de7f814ab806	bb5ba371-f975-4eb8-ae1d-baafc82b8066	VENTILATION
2cf419f5-ec34-45c6-bb1f-de7f814ab806	f8c62e68-3057-4d10-99b2-1ee51a40cd49	INFILTRATION
2cf419f5-ec34-45c6-bb1f-de7f814ab806	ba208034-f39e-4bf9-a332-da41acac6867	IT_LOAD
5f84ea88-a261-4186-959e-23cc83835df0	cc30d262-f125-4c78-b515-44a52d81f799	SWITCHGEAR
5f84ea88-a261-4186-959e-23cc83835df0	996ca0e8-7db5-4872-ac70-5d68bf46a3b6	GENERATOR
5f84ea88-a261-4186-959e-23cc83835df0	54cd8d74-deee-4ca7-ab12-4eaee73b777d	PRIMARY_AUXILIARIES
5f84ea88-a261-4186-959e-23cc83835df0	1312b38e-d78a-422d-8d51-34b8d2fe6957	UPS
5f84ea88-a261-4186-959e-23cc83835df0	ea1eea83-a10a-4798-b505-8b82204f2f71	CRITICAL_AUXILIARIES
5f84ea88-a261-4186-959e-23cc83835df0	a99e90fd-a391-44ff-9d40-a8940e4e51c6	LIGHTING
5f84ea88-a261-4186-959e-23cc83835df0	eb1b1c95-5576-448b-9ced-f72ac5f85dc2	CRITICAL_POWER_DISTRIBUTION
5f84ea88-a261-4186-959e-23cc83835df0	6676b351-5e3b-4276-9ceb-cdae36599a3f	CRAH
5f84ea88-a261-4186-959e-23cc83835df0	52b05adf-93e0-46a2-b349-a5b995340859	CRAC
5f84ea88-a261-4186-959e-23cc83835df0	2c910d78-3fd1-41f2-a576-f691204dac05	CRAC_WITHOUT_FAN
5f84ea88-a261-4186-959e-23cc83835df0	d93952be-a02d-447e-9912-98e8b410adad	CRAC_FAN
5f84ea88-a261-4186-959e-23cc83835df0	7430e6d7-01fa-4a7a-8117-a7965b65f933	CHILLER
5f84ea88-a261-4186-959e-23cc83835df0	ec4ae3c4-c835-468a-8348-4578a041ea6c	AIR_COOLED_CHILLER
5f84ea88-a261-4186-959e-23cc83835df0	b60755ef-d5d3-4f13-a006-fbd050eb5590	COOLING_TOWER
5f84ea88-a261-4186-959e-23cc83835df0	a63d95c1-11d4-47ca-a8eb-bf447c846501	DRY_COOLER
5f84ea88-a261-4186-959e-23cc83835df0	3ffcd4c0-843f-4511-ba7c-a5ec1e12eec9	REMOTE_CONDENSER
5f84ea88-a261-4186-959e-23cc83835df0	9c14a46f-951f-47a0-b3e8-da32149d20a6	CHILLED_WATER_PUMPS
5f84ea88-a261-4186-959e-23cc83835df0	ed28f269-10e0-4859-8bbb-5724e091e528	HEAT_REJECTION_PUMPS
5f84ea88-a261-4186-959e-23cc83835df0	06aaef25-d7f9-43f2-8afc-2956217056de	VENTILATION
5f84ea88-a261-4186-959e-23cc83835df0	7d4a5057-86e7-4eb7-82f7-eab9b3b82423	INFILTRATION
5f84ea88-a261-4186-959e-23cc83835df0	6de60916-7469-4504-9e67-579ed0071c53	IT_LOAD
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	fc6d18a5-db25-4465-a424-d9faa9eab6da	SWITCHGEAR
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	635ed7a5-60c7-45ae-b963-1fab3acc83be	GENERATOR
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	49328b80-810c-4108-8ab1-4e87f45b1e5f	PRIMARY_AUXILIARIES
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	bc89c8ca-b9a4-4dec-b23b-94579efafac1	UPS
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	835520d4-481f-4d1f-bde4-f10d13207b91	CRITICAL_AUXILIARIES
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	f0ce9245-c2e4-4588-b342-12f3a5c839d6	LIGHTING
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	9ccaafc2-ca72-4ce1-ae68-c448b4677141	CRITICAL_POWER_DISTRIBUTION
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	190f65d3-56e0-4840-b170-60c5588c1357	CRAH
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	8ba15a6e-c860-4d56-9c47-14ea970b2582	CRAC
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	6581b549-e57a-49d1-9e42-a16ea1831484	CRAC_WITHOUT_FAN
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	2946035a-8976-4320-a572-817fc328d46d	CRAC_FAN
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	230a1d4e-7233-46a8-aa37-cd1ac7496cf8	CHILLER
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	319b6eb4-11e7-40e3-a82e-b8ad16b7a24c	AIR_COOLED_CHILLER
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	40178c29-cf1f-4d40-b548-82aea6cdbe58	COOLING_TOWER
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	94814e81-aea4-4d8a-bef4-7146a45d7dfc	DRY_COOLER
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	c16794ce-7227-4aa8-be96-1b351244653a	REMOTE_CONDENSER
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	876e2ce7-6a08-42b1-b426-5d3e5a31a456	CHILLED_WATER_PUMPS
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	fe5ce0f5-9252-4d25-a348-3c8ac9cb0beb	HEAT_REJECTION_PUMPS
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	fe6348c7-676a-4d07-b3c8-6bb8fe069b9b	VENTILATION
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	08ae3d5f-afa5-48ac-847d-b0ed4d934db4	INFILTRATION
1c9bb85e-80d7-4ef6-b0c8-2379f1b9d58f	e9b565e6-85f6-417d-8c07-b39c62f77701	IT_LOAD
262c3c9a-38ee-4448-8e3f-8039a2259049	2c4ae3eb-206a-4417-b3f9-769d345e1635	SWITCHGEAR
262c3c9a-38ee-4448-8e3f-8039a2259049	abb49593-8f4f-471e-bdba-208352878546	GENERATOR
262c3c9a-38ee-4448-8e3f-8039a2259049	92f6ab54-f4c0-49de-8d58-2b406ad20628	PRIMARY_AUXILIARIES
262c3c9a-38ee-4448-8e3f-8039a2259049	29935992-e492-42ad-902c-e51ccf16d24a	UPS
262c3c9a-38ee-4448-8e3f-8039a2259049	b2fe56f9-77e2-4947-80f3-e7fa864ab798	CRITICAL_AUXILIARIES
262c3c9a-38ee-4448-8e3f-8039a2259049	f92d2173-9a2c-48a8-8b27-6bdf976ad010	LIGHTING
262c3c9a-38ee-4448-8e3f-8039a2259049	8e782a2f-a26f-4772-9991-649a05fcb52a	CRITICAL_POWER_DISTRIBUTION
262c3c9a-38ee-4448-8e3f-8039a2259049	1244866d-9b7b-4cef-a427-9bba6a9b13a7	CRAH
262c3c9a-38ee-4448-8e3f-8039a2259049	dee33e11-2672-4a61-b6ff-2131e3378a75	CRAC
262c3c9a-38ee-4448-8e3f-8039a2259049	1a376dd4-3a83-40e8-93df-e73d12aa7dcf	CRAC_WITHOUT_FAN
262c3c9a-38ee-4448-8e3f-8039a2259049	49b548b2-2e12-4c5d-b6ef-bb33113cc024	CRAC_FAN
262c3c9a-38ee-4448-8e3f-8039a2259049	11b7e7cb-2c88-416e-86aa-31a88b566695	CHILLER
262c3c9a-38ee-4448-8e3f-8039a2259049	d3228d18-ebad-45a4-941b-256ee7e31854	AIR_COOLED_CHILLER
262c3c9a-38ee-4448-8e3f-8039a2259049	71d3f450-af53-4c58-b716-79987b012191	COOLING_TOWER
262c3c9a-38ee-4448-8e3f-8039a2259049	6fd1f9d1-8f2f-457f-abba-5b3742061742	DRY_COOLER
262c3c9a-38ee-4448-8e3f-8039a2259049	01fb24ff-c098-4538-8d5b-1f83c4e2dc42	REMOTE_CONDENSER
262c3c9a-38ee-4448-8e3f-8039a2259049	4bfdffa9-3c46-42fe-a2e7-5a1ef23781cb	CHILLED_WATER_PUMPS
262c3c9a-38ee-4448-8e3f-8039a2259049	acf8e5b9-73d3-4824-9fd8-cf7d9b6b46b9	HEAT_REJECTION_PUMPS
262c3c9a-38ee-4448-8e3f-8039a2259049	9f69158c-393f-4328-9ae9-1178cfec419e	VENTILATION
262c3c9a-38ee-4448-8e3f-8039a2259049	282ddb88-295e-4d1c-90bd-60aacddc85d4	INFILTRATION
262c3c9a-38ee-4448-8e3f-8039a2259049	76c9c4bb-7d63-401b-9637-0fc45b97292a	IT_LOAD
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	02c399b6-25fa-4d8d-8215-5afd71afc70f	SWITCHGEAR
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	e98a4267-8c55-4985-b1e4-bc1e5a3f0076	GENERATOR
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	97b59679-8739-47e5-bc61-365894892332	PRIMARY_AUXILIARIES
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	0efa6475-de0f-4f8c-8f4a-3d952ecbcb24	UPS
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	30a3630a-7049-4448-a74b-83adeef51d75	CRITICAL_AUXILIARIES
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	d20cd9da-2fdc-4bf2-b71c-285b48d9ef86	LIGHTING
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	ef88cf20-086c-4e85-963b-eaa7db0949f0	CRITICAL_POWER_DISTRIBUTION
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	5ee30585-b016-4613-8a36-6b0db8999ba2	CRAH
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	4b3931ef-667d-4208-8058-4463939e6350	CRAC
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	059a6098-e87b-4166-804a-4a96b9a3517d	CRAC_WITHOUT_FAN
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	cc2dd2cb-502b-475f-af12-ce92cf6240db	CRAC_FAN
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	e7731972-7753-480c-b8c4-e36ae1defef0	CHILLER
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	cb0693bf-4a94-450d-ae85-f782e2d19cfe	AIR_COOLED_CHILLER
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	7f5dd240-fb0f-4ac0-8ad7-e7c98528bf10	COOLING_TOWER
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	579ce384-2fea-4876-b96f-b20fb4502782	DRY_COOLER
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	e7640cbf-2643-4181-9bd1-d9c9c1eff91f	REMOTE_CONDENSER
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	6a97882e-cc5b-4e86-9c21-66c44a3983a4	CHILLED_WATER_PUMPS
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	5349549d-2bbf-43f2-984d-9d9a343b555a	HEAT_REJECTION_PUMPS
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	91bd1d48-9f46-4e69-8e13-1f03fc0e8e1d	VENTILATION
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	e055920a-fb81-4dca-8932-c222e50dd9d0	INFILTRATION
aae98c74-9bd2-47a9-ae56-cdae51fdeb3b	47b2066e-0356-4c82-9aeb-b7822f22dad0	IT_LOAD
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	e12bf5f6-f947-43d1-ab0b-6cfc79bf3e16	SWITCHGEAR
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	a2b1903d-dcf5-4ecd-a701-cee1b29008eb	GENERATOR
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	a1d9ef3c-3bf7-4e37-a5c6-b57230b0a0ef	PRIMARY_AUXILIARIES
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	d1626b1e-3895-46de-bff7-fdec201fd1f6	UPS
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	a8cb045c-c22a-4d35-9a08-cac6d13e6a39	CRITICAL_AUXILIARIES
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	83a95bac-3591-41db-b94d-f86a0eb6451e	LIGHTING
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	ce959454-0773-4938-9e1a-a0b1083bc37e	CRITICAL_POWER_DISTRIBUTION
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	85f6c265-3dff-4e9f-a58b-57dd8242d1e7	CRAH
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	a06f4646-a1ae-4c6d-a372-9acdf9ee0b44	CRAC
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	8187e741-a4e4-45ea-aaf7-6999dbb3ec2c	CRAC_WITHOUT_FAN
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	b79e99b2-b6bd-4f36-900c-800cad936209	CRAC_FAN
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	978ab762-52dd-4e3f-9f86-dbc1524a97b0	CHILLER
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	b9338a25-b612-42eb-a58f-a94a02c86d2d	AIR_COOLED_CHILLER
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	b8e91e7f-9245-4df9-9014-8e90b7944380	COOLING_TOWER
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	94ac8335-33c4-49a3-81f4-e417c0ff766e	DRY_COOLER
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	7d64ff53-1695-4e67-8212-b814bc73d0ab	REMOTE_CONDENSER
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	614088bf-de10-468c-8f04-66af3a1e8ce7	CHILLED_WATER_PUMPS
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	923294fd-b149-4c53-89ec-c4471e81109c	HEAT_REJECTION_PUMPS
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	f03a636a-3e1a-4987-bc44-ebf7f048046a	VENTILATION
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	c3e5bb80-680d-4044-9523-17dd918c2e07	INFILTRATION
c330055a-a6ed-4d7d-8bc2-decf2d33aa48	273eb01c-1a2e-421c-adcf-607e4b0efe73	IT_LOAD
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	430d6f62-c68b-4c0e-98b4-8619fd6e492c	SWITCHGEAR
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	9d446b56-c265-47ef-a4d1-29efe8d8855a	GENERATOR
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	a4f900cf-31ff-4a69-a339-fbf2469314c3	PRIMARY_AUXILIARIES
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	0c891154-bdb6-454b-a723-c68cdf97d062	UPS
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	0c1dfb6c-617d-4b21-a644-bb490f1f04a9	CRITICAL_AUXILIARIES
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	481494c6-83d9-43fd-8cb5-552f305b6d54	LIGHTING
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	31378c71-f467-4687-b79c-3824364d933a	CRITICAL_POWER_DISTRIBUTION
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	bd25e4d7-60bd-48d6-8b6c-7ea88f001d90	CRAH
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	f1a3267e-de94-4304-a45c-3fcfe6c57074	CRAC
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	be0cd484-db5b-4ba0-92e5-898e03f0c487	CRAC_WITHOUT_FAN
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	ae05590c-585b-4fd2-86f1-e34773b10614	CRAC_FAN
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	c7c3a2d1-d25a-4b1e-8c92-0d717c5b4a6a	CHILLER
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	88b88728-d3ac-458a-b10c-8acf21c4447c	AIR_COOLED_CHILLER
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	14193f2f-c969-4d3b-984d-30aaa2e0e348	COOLING_TOWER
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	4e80540c-543a-4246-9d69-99018f4651d8	DRY_COOLER
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	a80a4fc7-befe-465d-8561-5bdb3d6a87cc	REMOTE_CONDENSER
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	7c6a6dfa-4d0b-459b-98a4-a5b5de7d67e6	CHILLED_WATER_PUMPS
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	fe1f32ef-ae64-4a01-abdf-72f0c767a28a	HEAT_REJECTION_PUMPS
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	6eccfbef-a8e7-49e5-9eae-8eb93cd8cc2a	VENTILATION
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	bbd3245a-07d2-4fe7-8123-de9ffa15a83c	INFILTRATION
603fcc4b-33f8-40ae-a5bd-0020de4fcb1f	e66e2ea5-ad0f-4d3a-8e70-769bf175b78b	IT_LOAD
3835bcda-94c5-4fc9-b130-cf001805aa6b	d121020c-ec79-4db3-9f69-810abc952b5c	SWITCHGEAR
3835bcda-94c5-4fc9-b130-cf001805aa6b	9e403ce4-3bb5-4db3-8036-aed33668e26e	GENERATOR
3835bcda-94c5-4fc9-b130-cf001805aa6b	0d696d49-4d11-4608-b1d4-d3bdfc513384	PRIMARY_AUXILIARIES
3835bcda-94c5-4fc9-b130-cf001805aa6b	d13872a1-178c-42f8-b079-9d09ed127210	UPS
3835bcda-94c5-4fc9-b130-cf001805aa6b	54f77a52-a936-4e45-8d8b-e365e56a23a3	CRITICAL_AUXILIARIES
3835bcda-94c5-4fc9-b130-cf001805aa6b	814731a8-56f8-4668-b20a-6a7d76202953	LIGHTING
3835bcda-94c5-4fc9-b130-cf001805aa6b	be506e75-c68a-4a75-a5c3-ad2ee060390b	CRITICAL_POWER_DISTRIBUTION
3835bcda-94c5-4fc9-b130-cf001805aa6b	5a2abeb2-bbc2-41d6-b39e-110dea8a858d	CRAH
3835bcda-94c5-4fc9-b130-cf001805aa6b	b0892bca-c2ab-4849-945a-96077354ccfd	CRAC
3835bcda-94c5-4fc9-b130-cf001805aa6b	209e1ad0-7ac7-44c6-98e8-ea874566af15	CRAC_WITHOUT_FAN
3835bcda-94c5-4fc9-b130-cf001805aa6b	2568182c-5a82-49da-854a-f53140d7586e	CRAC_FAN
3835bcda-94c5-4fc9-b130-cf001805aa6b	dddf64db-15b3-4b6c-9283-c8a93d2f8664	CHILLER
3835bcda-94c5-4fc9-b130-cf001805aa6b	71ac70c0-d9a5-49f0-b0f8-4ea15f136ee5	AIR_COOLED_CHILLER
3835bcda-94c5-4fc9-b130-cf001805aa6b	a2cca342-81c2-41e1-96fb-fe36b983f7b7	COOLING_TOWER
3835bcda-94c5-4fc9-b130-cf001805aa6b	aed5ab98-ea74-480e-b687-ee3fb0681bcb	DRY_COOLER
3835bcda-94c5-4fc9-b130-cf001805aa6b	d2b1a5b5-1e91-4157-bf7a-327c258e18cc	REMOTE_CONDENSER
3835bcda-94c5-4fc9-b130-cf001805aa6b	fda45d4d-740e-40ca-92d4-9798137d0b81	CHILLED_WATER_PUMPS
3835bcda-94c5-4fc9-b130-cf001805aa6b	b73b86af-ae03-4233-936f-40f39500708e	HEAT_REJECTION_PUMPS
3835bcda-94c5-4fc9-b130-cf001805aa6b	17b20e53-4b36-467e-9aba-e0d73b94e9a1	VENTILATION
3835bcda-94c5-4fc9-b130-cf001805aa6b	9c744d3a-dd34-4b34-87a1-453945dfb37b	INFILTRATION
3835bcda-94c5-4fc9-b130-cf001805aa6b	0003ed94-1ee9-409b-bc72-ff9c54edfe86	IT_LOAD
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	7b4b3e2b-0b12-4bf1-a464-1349d41586fa	SWITCHGEAR
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	929c2b52-aada-4574-8451-e0e8767b99d5	GENERATOR
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	b740961a-b245-468e-b442-5cee1ddcdffb	PRIMARY_AUXILIARIES
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	52cd5950-b07f-44db-93e7-46881403cc7a	UPS
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	cfb5b93f-9c5e-4b2f-9ba4-a6f234399324	CRITICAL_AUXILIARIES
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	f96a5336-af71-41a6-b7f7-e970c9cd1f36	LIGHTING
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	0fed7a1b-e6a4-406b-9019-a2c4a994ae40	CRITICAL_POWER_DISTRIBUTION
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	646e212d-3229-4cb7-88af-4f348334b817	CRAH
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	fdcc2ebc-5225-4069-9c73-1c86b8258156	CRAC
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	7445a191-9563-40cc-b402-3240a96e527d	CRAC_WITHOUT_FAN
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	0f5fda92-9a6e-431b-a6e9-5e62368066dd	CRAC_FAN
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	30a0846b-2d11-4fcd-b7e4-7b9cfd9a8248	CHILLER
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	a68da759-0422-4f8c-b17a-dd21ca1743b8	AIR_COOLED_CHILLER
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	e4e01732-72a7-49f9-88ac-3041ec507d8a	COOLING_TOWER
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	891acab3-b43e-4922-9826-2551b86a1480	DRY_COOLER
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	af2c72a6-7a89-4e07-a973-648e10b374d3	REMOTE_CONDENSER
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	93d38cf5-8a6c-47b3-b07e-c5e14c18f1e1	CHILLED_WATER_PUMPS
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	27927e79-b180-443a-a2c8-7f2c093bda83	HEAT_REJECTION_PUMPS
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	e86f309a-179b-4cf7-9e88-a8ce4dd5f077	VENTILATION
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	23e018e7-c331-4d5d-8dac-0e31d075f87f	INFILTRATION
c1a0d6f3-74bc-4de3-afa7-6e89721465fb	d0c1adc2-795e-41a0-a084-63141234be75	IT_LOAD
76badb8e-bc20-4ddc-b648-8b2502b480f2	334f83c2-8a51-46b3-8ac6-b863e0b59179	SWITCHGEAR
76badb8e-bc20-4ddc-b648-8b2502b480f2	79554237-eebb-4a5f-a336-d0e1bbb80d6a	GENERATOR
76badb8e-bc20-4ddc-b648-8b2502b480f2	3f4d2cfb-8757-43a4-954d-a6560825ff85	PRIMARY_AUXILIARIES
76badb8e-bc20-4ddc-b648-8b2502b480f2	b600ede3-647e-4d62-a449-957d13e3bea6	UPS
76badb8e-bc20-4ddc-b648-8b2502b480f2	5170c63e-40dc-4959-aa14-1d80318ad8c0	CRITICAL_AUXILIARIES
76badb8e-bc20-4ddc-b648-8b2502b480f2	95307007-f187-43b5-ab20-c488ddab6ef2	LIGHTING
76badb8e-bc20-4ddc-b648-8b2502b480f2	03845d06-5016-4d25-ba9f-0d70c2cb0d2c	CRITICAL_POWER_DISTRIBUTION
76badb8e-bc20-4ddc-b648-8b2502b480f2	366f3ef7-8a68-4ed6-ae4b-2db145f8fe4c	CRAH
76badb8e-bc20-4ddc-b648-8b2502b480f2	451c3e94-0606-44b2-b0ef-db2721f6ad5d	CRAC
76badb8e-bc20-4ddc-b648-8b2502b480f2	3fa04104-df0a-42c4-838b-808b335af2a7	CRAC_WITHOUT_FAN
76badb8e-bc20-4ddc-b648-8b2502b480f2	5926fbce-8fc8-4f53-a59e-e3638deff4d7	CRAC_FAN
76badb8e-bc20-4ddc-b648-8b2502b480f2	a2b24899-8660-46e5-a094-70056426da88	CHILLER
76badb8e-bc20-4ddc-b648-8b2502b480f2	b0df6a95-aebf-45d7-b1cb-beb1cb93e2c5	AIR_COOLED_CHILLER
76badb8e-bc20-4ddc-b648-8b2502b480f2	20d7bba3-1915-448a-af97-906e3f856a1f	COOLING_TOWER
76badb8e-bc20-4ddc-b648-8b2502b480f2	de8fe6c1-da8b-4070-ab90-3e934668402c	DRY_COOLER
76badb8e-bc20-4ddc-b648-8b2502b480f2	d0886030-d91b-4af4-a935-e1ad6eb207a7	REMOTE_CONDENSER
76badb8e-bc20-4ddc-b648-8b2502b480f2	1f60fb75-f77b-4fdf-a153-9414bdc91d4c	CHILLED_WATER_PUMPS
76badb8e-bc20-4ddc-b648-8b2502b480f2	c803e54a-fa60-4f58-b49d-2bc58247f10b	HEAT_REJECTION_PUMPS
76badb8e-bc20-4ddc-b648-8b2502b480f2	596b4609-fa29-45f1-ba8f-dea00ae0d32a	VENTILATION
76badb8e-bc20-4ddc-b648-8b2502b480f2	7aa20d6a-933d-4a31-8709-1882979b201c	INFILTRATION
76badb8e-bc20-4ddc-b648-8b2502b480f2	7474f31b-da12-45bf-aa55-711577df6da1	IT_LOAD
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	33c4d45b-e414-4ac3-82f1-849b8beaf3fb	SWITCHGEAR
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	ef729844-47a3-4a43-a4f7-f80e899f01dc	GENERATOR
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	2479cf27-8b1a-4186-a7be-5252c03fcf23	PRIMARY_AUXILIARIES
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	2eb0a9ca-3642-48fd-9037-6ca2ce3c8e53	UPS
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	71f38293-098b-4d8c-b2b2-ec96b25c7289	CRITICAL_AUXILIARIES
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	a61305b4-262d-48f5-bb1b-3f5f2b0ab20f	LIGHTING
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	f0d14ad8-c412-4c0e-b2e5-bcb4840c02d6	CRITICAL_POWER_DISTRIBUTION
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	df262534-3ae6-42b8-8aa2-b6dc82170acb	CRAH
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	c387fbf0-0ed4-44d4-8185-18c63e07b559	CRAC
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	5b79f081-e12c-4fb9-abc7-aeb5abb5e1cd	CRAC_WITHOUT_FAN
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	12f1c036-74ad-452c-b474-0345c90a4fd6	CRAC_FAN
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	ce887119-1ac5-4a84-a9a1-f7e81085241c	CHILLER
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	72639b1d-6480-4d00-bc43-70e237adbd87	AIR_COOLED_CHILLER
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	20a7513e-7dfb-43fe-8d83-060670ba3fb9	COOLING_TOWER
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	4cb8ebfa-17d1-42ab-a9c0-098d9bdafcba	DRY_COOLER
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	a75ce48c-f7fa-4251-9530-e5b48845a86e	REMOTE_CONDENSER
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	404bde99-6c6c-41f7-b270-b59d03236f8e	CHILLED_WATER_PUMPS
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	a4c2900b-aa0b-441a-ae1a-6654038581bf	HEAT_REJECTION_PUMPS
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	3230d525-66df-452c-b8d0-768d25ea4fd5	VENTILATION
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	ccb31e95-49da-4e77-a4c8-50eab7e294f3	INFILTRATION
a261bf15-fcd0-4ddb-ab18-375a7c4c2c4a	65a631c7-21f6-41ba-baff-23c4f50ff7df	IT_LOAD
308a841a-203a-48f5-a674-32ea63bb3c16	3187cee5-7631-4aef-817d-6185b5b20ec3	SWITCHGEAR
308a841a-203a-48f5-a674-32ea63bb3c16	2cbe4ffc-3c31-42e3-9da8-0c843a826f97	GENERATOR
308a841a-203a-48f5-a674-32ea63bb3c16	33e27c3d-c09c-4751-9d0f-12e1d2e888fc	PRIMARY_AUXILIARIES
308a841a-203a-48f5-a674-32ea63bb3c16	9bfeed17-8bae-45f5-bb47-721f405e12b8	UPS
308a841a-203a-48f5-a674-32ea63bb3c16	e9a7f411-1573-4618-9265-ba195bea2b80	CRITICAL_AUXILIARIES
308a841a-203a-48f5-a674-32ea63bb3c16	34db36e9-67c5-49a7-be21-44c9b2173f43	LIGHTING
308a841a-203a-48f5-a674-32ea63bb3c16	a6ded2d0-4911-482e-8880-78cc58fc0025	CRITICAL_POWER_DISTRIBUTION
308a841a-203a-48f5-a674-32ea63bb3c16	1a477e80-6ddb-4147-a59f-c3b4a5c2d5ed	CRAH
308a841a-203a-48f5-a674-32ea63bb3c16	a3b75c24-d3c4-4d02-9fa6-6f4c6b4864fc	CRAC
308a841a-203a-48f5-a674-32ea63bb3c16	8a80aa5d-41c4-4bc3-b816-109b51ac1f3f	CRAC_WITHOUT_FAN
308a841a-203a-48f5-a674-32ea63bb3c16	3ba5b0ec-1bc9-4676-86fa-122d0442814f	CRAC_FAN
308a841a-203a-48f5-a674-32ea63bb3c16	7ca206c4-1208-4ad8-9c83-1ed12d525b76	CHILLER
308a841a-203a-48f5-a674-32ea63bb3c16	c912fbc1-e96f-45bb-8099-796f00fc6d51	AIR_COOLED_CHILLER
308a841a-203a-48f5-a674-32ea63bb3c16	277829b8-e4b5-4cd2-950e-49f9dd484ec7	COOLING_TOWER
308a841a-203a-48f5-a674-32ea63bb3c16	32c92fde-e2f2-41d5-8ad2-57563f6f3267	DRY_COOLER
308a841a-203a-48f5-a674-32ea63bb3c16	ca44d8c9-954e-476f-8589-68cd79fbb19b	REMOTE_CONDENSER
308a841a-203a-48f5-a674-32ea63bb3c16	0cff6008-8ee1-437f-9d05-413a5cd4dd16	CHILLED_WATER_PUMPS
308a841a-203a-48f5-a674-32ea63bb3c16	a725aeaf-f754-42aa-8a11-ae7344a32ac2	HEAT_REJECTION_PUMPS
308a841a-203a-48f5-a674-32ea63bb3c16	e39cf2e2-6388-4076-bc4f-abe2a4aa4333	VENTILATION
308a841a-203a-48f5-a674-32ea63bb3c16	11800ab6-5268-4185-93dc-856d215145d0	INFILTRATION
308a841a-203a-48f5-a674-32ea63bb3c16	aaf2bb64-6b4c-4324-8257-0b6893e5fdd2	IT_LOAD
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	bbc4bab2-1838-4f9d-9245-557967710511	SWITCHGEAR
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	550e22fa-641a-4b44-97dc-83304af69b7e	GENERATOR
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	5eb0db7f-4fe1-4ede-9727-b2e590c36bd9	PRIMARY_AUXILIARIES
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	830fe5e9-2133-4a33-b5b1-ac3c07ff1fe6	UPS
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	17d9547a-04a5-4709-b6f8-dab45fd75f0a	CRITICAL_AUXILIARIES
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	f2ac8781-5de7-4e39-8d57-2da40f112ae7	LIGHTING
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	b80b97b3-c89b-473b-a6fd-a2956ec461bc	CRITICAL_POWER_DISTRIBUTION
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	0c71bdef-aefd-4f75-9dc7-0f661ab52589	CRAH
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	7f97d4b3-add3-4e60-a125-e2e05a2e8a83	CRAC
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	9e67f099-ef87-408e-8e21-264637baab5f	CRAC_WITHOUT_FAN
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	b0c4575f-406a-491c-93a9-7e397c1e4280	CRAC_FAN
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	34fb25d1-5950-4806-a8b5-b7e61a895d75	CHILLER
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	3d0aa024-0548-4c94-aeb9-adecbe880651	AIR_COOLED_CHILLER
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	d3b23dee-d188-4935-8d28-da21dae11e87	COOLING_TOWER
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	fffcab3d-0f54-4709-a7d6-1e389fd99b46	DRY_COOLER
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	aaccf041-5936-414d-b342-c18e6d9f1a11	REMOTE_CONDENSER
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	51f0e4c5-808c-46ab-85a4-75bd3986b40e	CHILLED_WATER_PUMPS
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	e350ddc1-03e4-4dac-9e3d-4fbed1f4146a	HEAT_REJECTION_PUMPS
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	518761bc-7236-41be-9343-e8e34dbd2a57	VENTILATION
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	2051cb0a-ed85-4329-8577-1ed596680588	INFILTRATION
6ec507dd-a7f3-4f0b-82a6-3c361fdffcb9	8d871e02-2212-4795-b3dc-99dc87fa7c92	IT_LOAD
ce6ea705-7271-405a-8f2b-6c6461f1387d	5e122731-3c89-46b7-9904-1a3f14fd712a	SWITCHGEAR
ce6ea705-7271-405a-8f2b-6c6461f1387d	95533802-6b9b-464e-aae3-6e1258694cc3	GENERATOR
ce6ea705-7271-405a-8f2b-6c6461f1387d	b53ced30-cba0-4aa7-96b6-d09d76cafea0	PRIMARY_AUXILIARIES
ce6ea705-7271-405a-8f2b-6c6461f1387d	c4ede2a8-6818-41ec-87f4-2e31e36d7780	UPS
ce6ea705-7271-405a-8f2b-6c6461f1387d	737559d9-b044-4add-9c67-5d36ef46aca9	CRITICAL_AUXILIARIES
ce6ea705-7271-405a-8f2b-6c6461f1387d	5a906783-5d3b-4497-8324-5f9786dac891	LIGHTING
ce6ea705-7271-405a-8f2b-6c6461f1387d	d204d5aa-78d8-4980-8b62-5376767978f1	CRITICAL_POWER_DISTRIBUTION
ce6ea705-7271-405a-8f2b-6c6461f1387d	d91d8613-3f66-4a79-a45d-35b4e1ef8d7c	CRAH
ce6ea705-7271-405a-8f2b-6c6461f1387d	e7793bf5-e230-4f69-b25d-c0483d6517d3	CRAC
ce6ea705-7271-405a-8f2b-6c6461f1387d	202bee94-5fcc-4816-909f-405982232642	CRAC_WITHOUT_FAN
ce6ea705-7271-405a-8f2b-6c6461f1387d	b080d4c8-f8fe-4250-a5fa-e1a33ed1aa66	CRAC_FAN
ce6ea705-7271-405a-8f2b-6c6461f1387d	d91892c8-cc41-42e1-9124-5e3c6b80de5f	CHILLER
ce6ea705-7271-405a-8f2b-6c6461f1387d	a86ff573-4fb3-4f7f-8d92-827e29172cf6	AIR_COOLED_CHILLER
ce6ea705-7271-405a-8f2b-6c6461f1387d	b150503a-d25c-4bc2-989f-e1becaca12a6	COOLING_TOWER
ce6ea705-7271-405a-8f2b-6c6461f1387d	4963ff3c-8764-4a41-bad4-4fdda551177d	DRY_COOLER
ce6ea705-7271-405a-8f2b-6c6461f1387d	87fd4925-988a-45d4-8d3a-f77a51172759	REMOTE_CONDENSER
ce6ea705-7271-405a-8f2b-6c6461f1387d	52694b0c-2a04-43fa-a25b-fce5e174980e	CHILLED_WATER_PUMPS
ce6ea705-7271-405a-8f2b-6c6461f1387d	3f1de8b9-ab8f-42b5-819d-fb8abaab65f8	HEAT_REJECTION_PUMPS
ce6ea705-7271-405a-8f2b-6c6461f1387d	e71fb060-1798-45a7-ab0e-48aa54cc81b4	VENTILATION
ce6ea705-7271-405a-8f2b-6c6461f1387d	74e64027-b202-4664-a9a5-9e9a522dc997	INFILTRATION
ce6ea705-7271-405a-8f2b-6c6461f1387d	fe998621-f280-4c98-9bb4-a1587b6bf788	IT_LOAD
b7912090-91a6-4dd4-bd21-7eb6f2394279	8c256996-c660-4f25-ab8f-63e3770f115e	SWITCHGEAR
b7912090-91a6-4dd4-bd21-7eb6f2394279	fc261e35-e943-4970-a998-db6b28f89ab0	GENERATOR
b7912090-91a6-4dd4-bd21-7eb6f2394279	71e878d4-eddd-4a0a-958c-a723dbcb0834	PRIMARY_AUXILIARIES
b7912090-91a6-4dd4-bd21-7eb6f2394279	d83e8354-a074-4997-904d-f9c0e82fbcaf	UPS
b7912090-91a6-4dd4-bd21-7eb6f2394279	2b8a0b82-e19e-4e67-bb60-b2a0e0ffd8e1	CRITICAL_AUXILIARIES
b7912090-91a6-4dd4-bd21-7eb6f2394279	ee91a018-a7ab-4ca2-abea-13a3e6dfd144	LIGHTING
b7912090-91a6-4dd4-bd21-7eb6f2394279	7110c21a-dc51-4dd6-bcde-52c97c5031ba	CRITICAL_POWER_DISTRIBUTION
b7912090-91a6-4dd4-bd21-7eb6f2394279	f8bff93f-c5c9-4cb5-a9df-61ff93199427	CRAH
b7912090-91a6-4dd4-bd21-7eb6f2394279	dd8e3b5c-43a9-486b-ae22-34fb6bb920ce	CRAC
b7912090-91a6-4dd4-bd21-7eb6f2394279	96ff3a9b-9296-4a1e-9b52-2b95a03bdb1f	CRAC_WITHOUT_FAN
b7912090-91a6-4dd4-bd21-7eb6f2394279	cd775994-9a6b-40e8-a163-6c4658754a6b	CRAC_FAN
b7912090-91a6-4dd4-bd21-7eb6f2394279	18e53c48-512b-40ee-b3ad-123c4814be1c	CHILLER
b7912090-91a6-4dd4-bd21-7eb6f2394279	61036a69-903a-4cda-bbda-4afe7060e12f	AIR_COOLED_CHILLER
b7912090-91a6-4dd4-bd21-7eb6f2394279	abfd88d2-b82f-4699-b240-b3fd87cb46b3	COOLING_TOWER
b7912090-91a6-4dd4-bd21-7eb6f2394279	3f11fd3e-309e-4b9a-8370-a7fb1fcdb738	DRY_COOLER
b7912090-91a6-4dd4-bd21-7eb6f2394279	006421aa-3e58-4d15-8d37-3798f72a2fe0	REMOTE_CONDENSER
b7912090-91a6-4dd4-bd21-7eb6f2394279	369254fb-6bab-4a3b-abaf-289144eff5e9	CHILLED_WATER_PUMPS
b7912090-91a6-4dd4-bd21-7eb6f2394279	0d75a1f5-5a16-428d-bff3-35403f065e22	HEAT_REJECTION_PUMPS
b7912090-91a6-4dd4-bd21-7eb6f2394279	54ea2df5-71bf-4970-9e56-92d2cfe72d72	VENTILATION
b7912090-91a6-4dd4-bd21-7eb6f2394279	8159885e-a9e1-40f6-8fa8-c0ea865f2c66	INFILTRATION
b7912090-91a6-4dd4-bd21-7eb6f2394279	b26a0e1e-875b-4613-9a76-64216f2b4ad2	IT_LOAD
3141a042-3e7d-4ab4-a79b-d215b80d897b	ee9c0c3a-5c64-4f27-85b7-c54073e43702	SWITCHGEAR
3141a042-3e7d-4ab4-a79b-d215b80d897b	f8b45bd3-5db1-41a1-9d7f-a808bb74b9b3	GENERATOR
3141a042-3e7d-4ab4-a79b-d215b80d897b	b23351e8-47ae-4b40-9cc4-9a006c5b0eab	PRIMARY_AUXILIARIES
3141a042-3e7d-4ab4-a79b-d215b80d897b	12c21c37-95b1-4287-96fa-1cb3c557e282	UPS
3141a042-3e7d-4ab4-a79b-d215b80d897b	906fb160-84b6-4db4-b98f-cb41f93d96b9	CRITICAL_AUXILIARIES
3141a042-3e7d-4ab4-a79b-d215b80d897b	0307e5f5-e441-42ba-9421-aedd5b873982	LIGHTING
3141a042-3e7d-4ab4-a79b-d215b80d897b	6ff39d1e-4c6b-4442-a40c-a2e49e405fad	CRITICAL_POWER_DISTRIBUTION
3141a042-3e7d-4ab4-a79b-d215b80d897b	f78a1a07-023a-468a-8544-b9aaf9a160b1	CRAH
3141a042-3e7d-4ab4-a79b-d215b80d897b	a03070ea-e695-4163-80e9-840a91d9ea8d	CRAC
3141a042-3e7d-4ab4-a79b-d215b80d897b	024122d5-8b4d-4eef-8865-18d01ce1b1a9	CRAC_WITHOUT_FAN
3141a042-3e7d-4ab4-a79b-d215b80d897b	be6fb187-f5c0-4c98-9166-d0ffe7202774	CRAC_FAN
3141a042-3e7d-4ab4-a79b-d215b80d897b	3574a731-ac00-45b4-b333-3e77b99bc1bc	CHILLER
3141a042-3e7d-4ab4-a79b-d215b80d897b	59793e48-7f5e-4f7d-a1de-134d523353a9	AIR_COOLED_CHILLER
3141a042-3e7d-4ab4-a79b-d215b80d897b	2d5bd5b6-d114-48af-912d-3bd774a1b297	COOLING_TOWER
3141a042-3e7d-4ab4-a79b-d215b80d897b	5902f85a-9b6c-43a3-9283-781572dd93e1	DRY_COOLER
3141a042-3e7d-4ab4-a79b-d215b80d897b	e837e82f-195e-4d41-9e38-eda44acb6beb	REMOTE_CONDENSER
3141a042-3e7d-4ab4-a79b-d215b80d897b	b7f1c504-73a5-4ae8-8849-3d0805df37a9	CHILLED_WATER_PUMPS
3141a042-3e7d-4ab4-a79b-d215b80d897b	22ac586d-7ab7-464d-a65f-0866b3c00850	HEAT_REJECTION_PUMPS
3141a042-3e7d-4ab4-a79b-d215b80d897b	0dd4381e-217c-42cb-9357-07b2389f2f3a	VENTILATION
3141a042-3e7d-4ab4-a79b-d215b80d897b	9a0ec579-e2e9-4da2-acaf-1b0df235818f	INFILTRATION
3141a042-3e7d-4ab4-a79b-d215b80d897b	ad184a69-555b-4c8b-b1a2-2a95a02230e8	IT_LOAD
7bf30828-67b0-4a3e-b839-a076521744b2	c6d23ca3-3b4a-4d29-9fd6-89340d26a6a8	SWITCHGEAR
7bf30828-67b0-4a3e-b839-a076521744b2	ef38aa8d-82ce-4bac-a716-ead25dc18f52	GENERATOR
7bf30828-67b0-4a3e-b839-a076521744b2	91e7a249-8b2c-46a3-8f0b-e4e0d7e8d552	PRIMARY_AUXILIARIES
7bf30828-67b0-4a3e-b839-a076521744b2	fb836c01-b93a-4ee4-bffe-80e7609f7e91	UPS
7bf30828-67b0-4a3e-b839-a076521744b2	7e1a5e22-4d50-414c-a2b3-1f71fb2f6cdf	CRITICAL_AUXILIARIES
7bf30828-67b0-4a3e-b839-a076521744b2	80f9794f-14d5-48a7-9f57-79a177a95772	LIGHTING
7bf30828-67b0-4a3e-b839-a076521744b2	ddf42894-b5ec-4a7e-a1e4-6fbc8fca9dff	CRITICAL_POWER_DISTRIBUTION
7bf30828-67b0-4a3e-b839-a076521744b2	53b1f295-916a-4fbd-8642-91834fe586d4	CRAH
7bf30828-67b0-4a3e-b839-a076521744b2	bd6382b2-9ccb-4d5b-9afa-6973eb929132	CRAC
7bf30828-67b0-4a3e-b839-a076521744b2	f423cb89-511d-42a1-bfa8-945646539b54	CRAC_WITHOUT_FAN
7bf30828-67b0-4a3e-b839-a076521744b2	9308f7b5-9686-4ca8-a741-0dc88877d3d8	CRAC_FAN
7bf30828-67b0-4a3e-b839-a076521744b2	3ae3f849-0cfa-4b86-ac91-7d9cae492c55	CHILLER
7bf30828-67b0-4a3e-b839-a076521744b2	b1aaa19a-63b9-4b62-8d61-5c86afda96c9	AIR_COOLED_CHILLER
7bf30828-67b0-4a3e-b839-a076521744b2	0ff24c2a-9fc3-4e7c-85f4-47fa24e6ddcf	COOLING_TOWER
7bf30828-67b0-4a3e-b839-a076521744b2	4822801b-a3f0-44ed-b379-9ea5fb0427da	DRY_COOLER
7bf30828-67b0-4a3e-b839-a076521744b2	c8b2be21-7696-4b99-bdb8-3ad9952342fe	REMOTE_CONDENSER
7bf30828-67b0-4a3e-b839-a076521744b2	535417b4-d2ec-466d-bc64-b561089b2f1a	CHILLED_WATER_PUMPS
7bf30828-67b0-4a3e-b839-a076521744b2	cd8e9b20-0e79-40f0-bd72-00fd899160e8	HEAT_REJECTION_PUMPS
7bf30828-67b0-4a3e-b839-a076521744b2	8359b8c5-23ed-4bd6-99dd-b3191708aef6	VENTILATION
7bf30828-67b0-4a3e-b839-a076521744b2	2096b6e0-8995-4e98-b0ed-4dfc6c4d51cd	INFILTRATION
7bf30828-67b0-4a3e-b839-a076521744b2	1766943f-9dc2-4f8f-9250-227aa8d0979e	IT_LOAD
add9ae8c-f570-458b-946d-3662c19b3ba1	6d01446d-7488-4d40-8822-084af7230a5b	SWITCHGEAR
add9ae8c-f570-458b-946d-3662c19b3ba1	01b5f14d-a9f2-4b6a-bd25-0dd4ef52c62f	GENERATOR
add9ae8c-f570-458b-946d-3662c19b3ba1	59dad03c-2248-4cad-b566-d204ea8e1753	PRIMARY_AUXILIARIES
add9ae8c-f570-458b-946d-3662c19b3ba1	f2875edd-3b8f-4a9e-8946-4f048947342e	UPS
add9ae8c-f570-458b-946d-3662c19b3ba1	5cb19782-73da-43e5-a930-0bc70a3807c0	CRITICAL_AUXILIARIES
add9ae8c-f570-458b-946d-3662c19b3ba1	e01bd39f-eaab-4bf8-9aa1-22a7efb47c8e	LIGHTING
add9ae8c-f570-458b-946d-3662c19b3ba1	e23495a3-7a83-4e68-9568-09609d8a804e	CRITICAL_POWER_DISTRIBUTION
add9ae8c-f570-458b-946d-3662c19b3ba1	b2348534-7499-475a-98da-73148e65566c	CRAH
add9ae8c-f570-458b-946d-3662c19b3ba1	e27dc679-14b2-42ef-b695-d4eb62d9bb66	CRAC
add9ae8c-f570-458b-946d-3662c19b3ba1	f31fad35-1268-495f-b901-c31e96d359f5	CRAC_WITHOUT_FAN
add9ae8c-f570-458b-946d-3662c19b3ba1	bb33349b-bc7a-468e-8138-5c02a5e87b05	CRAC_FAN
add9ae8c-f570-458b-946d-3662c19b3ba1	0e227571-a5bf-405e-bb80-7b1a89dc7562	CHILLER
add9ae8c-f570-458b-946d-3662c19b3ba1	d3214dbd-2d4c-4655-a8c5-8f4b1b449993	AIR_COOLED_CHILLER
add9ae8c-f570-458b-946d-3662c19b3ba1	2916e544-08ea-47e5-b35b-7e81fa470033	COOLING_TOWER
add9ae8c-f570-458b-946d-3662c19b3ba1	06249efe-e27b-4635-bf26-347d2a409b64	DRY_COOLER
add9ae8c-f570-458b-946d-3662c19b3ba1	4a01e745-703a-4a95-b31c-d4a8471c75df	REMOTE_CONDENSER
add9ae8c-f570-458b-946d-3662c19b3ba1	988033ff-575f-4698-8160-8a1c1cfc3651	CHILLED_WATER_PUMPS
add9ae8c-f570-458b-946d-3662c19b3ba1	fc98f6a8-6fbf-41b0-b258-baeb884eab1c	HEAT_REJECTION_PUMPS
add9ae8c-f570-458b-946d-3662c19b3ba1	450ea738-9f4f-4ca3-b611-e07de8ca0bff	VENTILATION
add9ae8c-f570-458b-946d-3662c19b3ba1	11a18d16-a25e-4ae2-99f1-9ac5fda7463b	INFILTRATION
add9ae8c-f570-458b-946d-3662c19b3ba1	5d30bcef-d53d-4dcd-aa00-07db5ee493da	IT_LOAD
67a29498-7485-4e13-8f87-ea9143c6761a	1c26881e-206b-415a-b258-5c6175176e21	SWITCHGEAR
67a29498-7485-4e13-8f87-ea9143c6761a	227a28f4-85c3-46b8-b8bc-28a2497ab1a7	GENERATOR
67a29498-7485-4e13-8f87-ea9143c6761a	38ee2b4b-2749-4a11-b6a5-df0c560f3600	PRIMARY_AUXILIARIES
67a29498-7485-4e13-8f87-ea9143c6761a	8a7398a8-c579-46d9-8a02-56263b564ec3	UPS
67a29498-7485-4e13-8f87-ea9143c6761a	123ed119-f5d4-41f3-9855-4be6ff8551cd	CRITICAL_AUXILIARIES
67a29498-7485-4e13-8f87-ea9143c6761a	cc47a57b-e0a2-487d-a29c-2fc119575dc6	LIGHTING
67a29498-7485-4e13-8f87-ea9143c6761a	be471f0b-ad1c-4681-a815-9280f9fe5749	CRITICAL_POWER_DISTRIBUTION
67a29498-7485-4e13-8f87-ea9143c6761a	ef3a7eb3-f3ab-4264-9309-d1df9e3ff86c	CRAH
67a29498-7485-4e13-8f87-ea9143c6761a	69f97f9c-6f08-413f-b3bc-1fbd560a7812	CRAC
67a29498-7485-4e13-8f87-ea9143c6761a	94025654-4744-4814-b6b9-7a06a8d87083	CRAC_WITHOUT_FAN
67a29498-7485-4e13-8f87-ea9143c6761a	158a0907-84c2-477f-ab5f-82a89b6c13b1	CRAC_FAN
67a29498-7485-4e13-8f87-ea9143c6761a	42416c1f-4b5d-46d5-bc1d-c2e37a7554b4	CHILLER
67a29498-7485-4e13-8f87-ea9143c6761a	0876f3f8-ae3b-4b43-9c84-4e3b6636d1b3	AIR_COOLED_CHILLER
67a29498-7485-4e13-8f87-ea9143c6761a	7aeceb82-04f3-46f1-88ea-9780e21aabda	COOLING_TOWER
67a29498-7485-4e13-8f87-ea9143c6761a	74e293c2-5b2b-47a7-ac02-0d939abd5b11	DRY_COOLER
67a29498-7485-4e13-8f87-ea9143c6761a	2d357103-ad03-45b8-89f9-51b882fc3d6d	REMOTE_CONDENSER
67a29498-7485-4e13-8f87-ea9143c6761a	30aeeb99-88f4-4d62-a620-65ac1a819746	CHILLED_WATER_PUMPS
67a29498-7485-4e13-8f87-ea9143c6761a	f205f09a-2e7e-4e84-870c-ef34b5d83af3	HEAT_REJECTION_PUMPS
67a29498-7485-4e13-8f87-ea9143c6761a	8c2522e8-ed0b-431e-ad8c-07c06462b2b5	VENTILATION
67a29498-7485-4e13-8f87-ea9143c6761a	292d43e6-2d5a-4454-a3a2-a666505ad194	INFILTRATION
67a29498-7485-4e13-8f87-ea9143c6761a	052e9113-004f-47fc-85c0-4068739781e1	IT_LOAD
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	319149f4-fda4-454f-849b-83d717a11e12	SWITCHGEAR
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	aa82bf58-3d2a-44a4-9372-0ef4885b0a3c	GENERATOR
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	1eedd3be-315d-419a-a3a8-721de63d2eed	PRIMARY_AUXILIARIES
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	3a564cc5-3785-4e15-85ff-00d0d39d0758	UPS
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	ad19e841-621d-4c42-851e-9cce291cfa55	CRITICAL_AUXILIARIES
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	f942f8fb-a1a2-4534-af2d-a79cb5bb6d93	LIGHTING
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	6cfd28b2-e84d-4216-809b-69b799f10b65	CRITICAL_POWER_DISTRIBUTION
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	b6b75904-392c-4c72-be43-f124edad7555	CRAH
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	b199abd8-4b8b-407f-8576-db47022cffe3	CRAC
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	63c4c53a-0021-4813-a850-467ab094b2e7	CRAC_WITHOUT_FAN
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	f1e6ad47-e06e-480c-98f6-449e4d5e434d	CRAC_FAN
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	b2d50606-5630-49e5-9272-ec4710292967	CHILLER
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	ed785039-c49f-4b4d-b93a-385517b49e8f	AIR_COOLED_CHILLER
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	267abe23-9754-4e7c-a9d2-f1063984a822	COOLING_TOWER
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	15f67659-caa1-4079-8eb3-260adb1106c6	DRY_COOLER
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	7bbaa96c-e0bc-456f-aec3-84f25503c838	REMOTE_CONDENSER
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	fe6eae5b-c40f-4755-b5a0-4e694d1c1771	CHILLED_WATER_PUMPS
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	7f8150d5-d8b2-48df-8b2f-d609cae0c924	HEAT_REJECTION_PUMPS
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	446c6b1f-a03f-44dd-b8e8-5274492c8edc	VENTILATION
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	452f8285-683e-4a89-8ea6-8973eea4629e	INFILTRATION
3d1749a3-46ce-4016-9c6a-5a18de6c8f3c	b7d720a6-18c9-4819-b8bb-9fe4332690fe	IT_LOAD
f609bd62-2039-47a8-b034-a366cdaea5e2	0ec813ca-5059-4e82-ba00-f9a91ddaf48c	SWITCHGEAR
f609bd62-2039-47a8-b034-a366cdaea5e2	573c7f0f-a6d3-4027-96cd-5225a2b2c8d7	GENERATOR
f609bd62-2039-47a8-b034-a366cdaea5e2	c64cb525-30b9-4544-b6f3-09bb9a74c480	PRIMARY_AUXILIARIES
f609bd62-2039-47a8-b034-a366cdaea5e2	2af1cfeb-0bdf-4f28-9909-ede8fc26a800	UPS
f609bd62-2039-47a8-b034-a366cdaea5e2	28047da8-1a06-4403-955a-f66f0a4cf839	CRITICAL_AUXILIARIES
f609bd62-2039-47a8-b034-a366cdaea5e2	85a7b39b-df70-4b58-a304-976984d0240c	LIGHTING
f609bd62-2039-47a8-b034-a366cdaea5e2	e4c6275b-7ab6-4109-a64c-be9d7e6fc146	CRITICAL_POWER_DISTRIBUTION
f609bd62-2039-47a8-b034-a366cdaea5e2	97436edf-4d52-42c0-8fb7-8d5edc7802e2	CRAH
f609bd62-2039-47a8-b034-a366cdaea5e2	78610fd4-2d57-4d7a-bf44-a3b922fc8ad7	CRAC
f609bd62-2039-47a8-b034-a366cdaea5e2	a916128c-86cc-4095-9599-7910cdd1c905	CRAC_WITHOUT_FAN
f609bd62-2039-47a8-b034-a366cdaea5e2	b63c1884-f98f-4a74-a0b1-d66fa0ce6afa	CRAC_FAN
f609bd62-2039-47a8-b034-a366cdaea5e2	7652524f-c0ba-4686-a9a1-060ea5e956fe	CHILLER
f609bd62-2039-47a8-b034-a366cdaea5e2	cca4bf61-e2fd-470d-bef7-7f736d0b44e1	AIR_COOLED_CHILLER
f609bd62-2039-47a8-b034-a366cdaea5e2	81ac7ac0-8794-4165-ac3e-36a046b63610	COOLING_TOWER
f609bd62-2039-47a8-b034-a366cdaea5e2	f37cbe87-3dfd-45f2-99f2-f65fc61b1546	DRY_COOLER
f609bd62-2039-47a8-b034-a366cdaea5e2	1139b130-86f3-4d3f-997c-a08be6936614	REMOTE_CONDENSER
f609bd62-2039-47a8-b034-a366cdaea5e2	0cf2a7b7-6fd2-42a0-810d-7b757daabe24	CHILLED_WATER_PUMPS
f609bd62-2039-47a8-b034-a366cdaea5e2	71d0af99-2dc2-4068-97f7-926a5ea79be5	HEAT_REJECTION_PUMPS
f609bd62-2039-47a8-b034-a366cdaea5e2	c3ac8ba0-255f-4cf9-9cdf-2762ca17f6d3	VENTILATION
f609bd62-2039-47a8-b034-a366cdaea5e2	55945ae5-15a2-41e1-82bc-876efbe6b12c	INFILTRATION
f609bd62-2039-47a8-b034-a366cdaea5e2	38e579a5-3e4e-4f54-9cda-b442aac94990	IT_LOAD
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	928cfddd-df89-4c18-a08d-e0fed50ba534	SWITCHGEAR
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	734d2ebe-8096-441b-8d1a-f3712961022d	GENERATOR
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	5bcb14c7-2ef3-4bed-913c-4ca7da511e3f	PRIMARY_AUXILIARIES
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	37c79f15-0816-49e2-9298-9ed0d6a0e44c	UPS
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	71ccf87e-b823-4227-a9e4-5d1179ca647a	CRITICAL_AUXILIARIES
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	8d43bde9-63af-416a-92fa-0cab2ec91bd1	LIGHTING
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	9b9ba4f2-bd18-493f-bf67-f1cceeddb69b	CRITICAL_POWER_DISTRIBUTION
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	f955f53f-4ccd-45a4-9635-deed79db4d67	CRAH
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	fedcd8a8-9a24-4457-ba35-dae24883ea4a	CRAC
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	65a20167-3dc1-47fd-9bcc-cfdee0a27692	CRAC_WITHOUT_FAN
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	5b6ff70c-fafb-4304-94ab-ef5473a2c351	CRAC_FAN
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	8f126a16-5d67-4904-a13e-864dac129ce4	CHILLER
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	102346e6-629f-42bf-a21b-7122cc4f9f04	AIR_COOLED_CHILLER
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	a2cff482-85f3-4629-a412-3d25087082ba	COOLING_TOWER
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	7eb38b1e-55de-4137-929f-ce3a14579bba	DRY_COOLER
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	7cbf8a17-4a6f-4d67-b2ba-86a3263b698b	REMOTE_CONDENSER
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	7aab327d-71ba-4ea4-a8a7-0a5bdaf3ae55	CHILLED_WATER_PUMPS
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	a09653f2-34f8-48c5-ab51-865542759601	HEAT_REJECTION_PUMPS
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	e98e6365-83ec-4f37-a429-221b374316bf	VENTILATION
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	7a6e6855-fcb4-4c2a-97c1-35416087e89d	INFILTRATION
fdf3ccc5-c6a7-4512-8d61-bc7eed8a9776	1ae6b61e-0fc1-44b8-be3a-bcd4698d2efb	IT_LOAD
e332b873-138b-47e6-9854-8488a8524100	ed4b875e-d82a-42a8-b60a-539bf4c72e8c	SWITCHGEAR
e332b873-138b-47e6-9854-8488a8524100	2cb834d4-8c70-4c8d-a013-ead31c802d6b	GENERATOR
e332b873-138b-47e6-9854-8488a8524100	d54d5d79-eebf-42ca-b5c0-d1326f9bb378	PRIMARY_AUXILIARIES
e332b873-138b-47e6-9854-8488a8524100	6f7b3253-ec99-4de5-a2f9-59df473bdc24	UPS
e332b873-138b-47e6-9854-8488a8524100	c39a8ed1-7bfc-457a-95e9-4978bf283a07	CRITICAL_AUXILIARIES
e332b873-138b-47e6-9854-8488a8524100	37e39ecb-fd14-44e2-9b71-5428236244f0	LIGHTING
e332b873-138b-47e6-9854-8488a8524100	40d6e261-d9cc-4db9-8065-5fb0dcee6949	CRITICAL_POWER_DISTRIBUTION
e332b873-138b-47e6-9854-8488a8524100	4ef50b6f-5b33-46c9-8794-e516b4b87814	CRAH
e332b873-138b-47e6-9854-8488a8524100	044bf023-300c-46c2-ab47-98f6d5aa122c	CRAC
e332b873-138b-47e6-9854-8488a8524100	f1b04e33-8893-47db-9b15-5a1d0cdca0aa	CRAC_WITHOUT_FAN
e332b873-138b-47e6-9854-8488a8524100	2314d47e-de66-47fb-ad7f-61ee010c11c8	CRAC_FAN
e332b873-138b-47e6-9854-8488a8524100	8c53d124-834a-492c-ac90-930925656ff4	CHILLER
e332b873-138b-47e6-9854-8488a8524100	4d02595f-6ebe-4344-b1d9-aa7b1c4586b0	AIR_COOLED_CHILLER
e332b873-138b-47e6-9854-8488a8524100	a7904397-d85c-4bce-8938-fe0b60f93767	COOLING_TOWER
e332b873-138b-47e6-9854-8488a8524100	55ddd3e3-c3e3-429b-9f87-f5703037a651	DRY_COOLER
e332b873-138b-47e6-9854-8488a8524100	adb19fda-4a37-4c64-8e8b-35e8d2484322	REMOTE_CONDENSER
e332b873-138b-47e6-9854-8488a8524100	f7efb9ab-2a85-4d35-8313-22acc423aa85	CHILLED_WATER_PUMPS
e332b873-138b-47e6-9854-8488a8524100	a84b836d-c617-41ef-9d97-05cf963b77e4	HEAT_REJECTION_PUMPS
e332b873-138b-47e6-9854-8488a8524100	9f9948a8-a3f2-4059-8527-1eed057c3a95	VENTILATION
e332b873-138b-47e6-9854-8488a8524100	1e71b902-88c6-4407-8fd5-a8f53c63b005	INFILTRATION
e332b873-138b-47e6-9854-8488a8524100	5b3ebadf-c29d-43d4-a790-7a39a8fffed4	IT_LOAD
609f490d-2338-4b45-8ddc-65e276dac210	a0aca7d2-b286-430c-8053-b7026273e03c	SWITCHGEAR
609f490d-2338-4b45-8ddc-65e276dac210	87d5988a-4f5a-4abd-bf1e-4a3203042c3b	GENERATOR
609f490d-2338-4b45-8ddc-65e276dac210	500e1fbd-66f8-48e3-9a4f-3814e731184c	PRIMARY_AUXILIARIES
609f490d-2338-4b45-8ddc-65e276dac210	e252b387-ced2-438e-b951-7799adc0e30d	UPS
609f490d-2338-4b45-8ddc-65e276dac210	f06e2a8a-4a7c-485a-aba5-e882173fc3e3	CRITICAL_AUXILIARIES
609f490d-2338-4b45-8ddc-65e276dac210	833cbea6-0f33-44ee-8ca0-716ee242a0a2	LIGHTING
609f490d-2338-4b45-8ddc-65e276dac210	09dc4986-2709-45c6-94b8-ea3292b040e8	CRITICAL_POWER_DISTRIBUTION
609f490d-2338-4b45-8ddc-65e276dac210	8eec0116-187f-4dd3-9ee1-1782ce992a06	CRAH
609f490d-2338-4b45-8ddc-65e276dac210	73749ebf-6c33-49c8-8072-22976e20bc99	CRAC
609f490d-2338-4b45-8ddc-65e276dac210	a56f3ae9-69ef-4b96-94b8-3053c972dd94	CRAC_WITHOUT_FAN
609f490d-2338-4b45-8ddc-65e276dac210	ba83f859-4cec-4b92-857a-fd53391851a0	CRAC_FAN
609f490d-2338-4b45-8ddc-65e276dac210	721bf476-aaf9-4c53-a642-00fce73976d7	CHILLER
609f490d-2338-4b45-8ddc-65e276dac210	9393b53e-f501-4e7e-8d8c-ec07951df3b9	AIR_COOLED_CHILLER
609f490d-2338-4b45-8ddc-65e276dac210	1dc686a0-3723-49e4-aeff-0348bcbfa1db	COOLING_TOWER
609f490d-2338-4b45-8ddc-65e276dac210	9074bd45-92af-4c78-bb95-09aec35dbc67	DRY_COOLER
609f490d-2338-4b45-8ddc-65e276dac210	73731e93-7a53-4a45-80ef-290d8907d112	REMOTE_CONDENSER
609f490d-2338-4b45-8ddc-65e276dac210	6208aaa3-c042-46c1-8671-5af10c82c1f6	CHILLED_WATER_PUMPS
609f490d-2338-4b45-8ddc-65e276dac210	ddb0dc1a-7aa4-4b07-91c4-a4fda0e12919	HEAT_REJECTION_PUMPS
609f490d-2338-4b45-8ddc-65e276dac210	8746e18e-07ed-4a55-94bf-a93657831c13	VENTILATION
609f490d-2338-4b45-8ddc-65e276dac210	95c3f5a7-4fe6-4b3d-afe1-fce6bdeab17e	INFILTRATION
609f490d-2338-4b45-8ddc-65e276dac210	0f7c08c0-f1be-4c6c-8a18-4e3cc4a844c2	IT_LOAD
4af96f6a-231d-4679-8a77-5cfee1b48a73	e4de78a8-a16b-4d25-b5f3-cfd710ea4cac	SWITCHGEAR
4af96f6a-231d-4679-8a77-5cfee1b48a73	2d50e2fa-e7b0-49ba-9287-52930b81f3ae	GENERATOR
4af96f6a-231d-4679-8a77-5cfee1b48a73	c3653642-df17-40ca-af5e-2dc84534d02d	PRIMARY_AUXILIARIES
4af96f6a-231d-4679-8a77-5cfee1b48a73	324b27a8-c375-408a-a309-fcc0aa1d5142	UPS
4af96f6a-231d-4679-8a77-5cfee1b48a73	eba5a39c-b336-449e-8a74-0779e62fac24	CRITICAL_AUXILIARIES
4af96f6a-231d-4679-8a77-5cfee1b48a73	1040cafb-e2e7-4a2c-8bfa-819fa85b210f	LIGHTING
4af96f6a-231d-4679-8a77-5cfee1b48a73	2a6004c7-51f2-4849-86e3-df7a0a850298	CRITICAL_POWER_DISTRIBUTION
4af96f6a-231d-4679-8a77-5cfee1b48a73	c89b93f0-4745-43d7-8ddc-686403eb695a	CRAH
4af96f6a-231d-4679-8a77-5cfee1b48a73	39d8cb99-6291-4997-811b-102fb6f33a4c	CRAC
4af96f6a-231d-4679-8a77-5cfee1b48a73	83fc4255-6c58-4d12-b68c-52753f6d0891	CRAC_WITHOUT_FAN
4af96f6a-231d-4679-8a77-5cfee1b48a73	6aaa3566-c62c-4e90-8428-a6f401b8e659	CRAC_FAN
4af96f6a-231d-4679-8a77-5cfee1b48a73	3b5c6c7d-64ba-4d68-9b51-24a2fdc625ea	CHILLER
4af96f6a-231d-4679-8a77-5cfee1b48a73	bc1c6139-3a88-4824-a96c-388d06cce1dc	AIR_COOLED_CHILLER
4af96f6a-231d-4679-8a77-5cfee1b48a73	afd5744e-b078-45c0-a4af-314af046278e	COOLING_TOWER
4af96f6a-231d-4679-8a77-5cfee1b48a73	026c122b-7cd5-4671-bbbe-86a66aadf60f	DRY_COOLER
4af96f6a-231d-4679-8a77-5cfee1b48a73	9c4c20a6-eb04-430c-b692-3fb0548d5e82	REMOTE_CONDENSER
4af96f6a-231d-4679-8a77-5cfee1b48a73	5a185764-6760-42cb-a1e5-3ad2d4b9647c	CHILLED_WATER_PUMPS
4af96f6a-231d-4679-8a77-5cfee1b48a73	7dcc6870-94b1-45f1-98de-e3a728f0a055	HEAT_REJECTION_PUMPS
4af96f6a-231d-4679-8a77-5cfee1b48a73	366e9187-2b9f-4203-9836-370758bb935c	VENTILATION
4af96f6a-231d-4679-8a77-5cfee1b48a73	b7df486d-c04c-4eea-92ea-eb0e9bda12b5	INFILTRATION
4af96f6a-231d-4679-8a77-5cfee1b48a73	45a262c8-ccd7-4d17-b82f-a1607b842eef	IT_LOAD
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	d38b188a-d6b3-4a0e-b946-dc780c648bb7	SWITCHGEAR
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	832f237c-5654-41c1-9f2c-13822225a62f	GENERATOR
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	a46ed780-ba62-43dd-8064-fd014e1ea53e	PRIMARY_AUXILIARIES
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	738b9d0a-1cc7-4bf2-bd85-1eec294308a7	UPS
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	47710d96-fdd5-4b09-88e1-0d33bbbd489a	CRITICAL_AUXILIARIES
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	18285bae-812a-490d-af74-55457b3b0c27	LIGHTING
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	3edf60a2-087d-4206-9de2-85e04f840044	CRITICAL_POWER_DISTRIBUTION
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	dc7b27ae-226a-41fc-9ee6-9c86d2531ead	CRAH
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	5d4aad51-a8f2-494f-ba4a-228aa9885642	CRAC
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	9999122e-b595-4970-a289-1b4581b8005e	CRAC_WITHOUT_FAN
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	4dab805c-958c-4093-a18b-9f322fe8100c	CRAC_FAN
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	78da0cbd-038f-46bf-bb91-6870d6e9efd0	CHILLER
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	6f557062-01f3-46c4-9c2b-e65464adf7a0	AIR_COOLED_CHILLER
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	28ca6ae0-f8f3-4143-89e2-0905b95028ff	COOLING_TOWER
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	ebc6712a-7da2-486c-84f8-5952c4015877	DRY_COOLER
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	ba695774-9ac8-4090-8bf3-e9daf9be4f19	REMOTE_CONDENSER
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	18a3bb53-9501-40ed-a65e-459bfab6410a	CHILLED_WATER_PUMPS
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	fec1ce5e-22a7-458f-9402-af1984ebe66f	HEAT_REJECTION_PUMPS
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	a9d2433e-a316-46ac-ac1f-1f42f84dc28f	VENTILATION
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	32b58c41-76c6-4378-8185-1187279764ff	INFILTRATION
180ea7a4-d800-4b40-bd3f-f7f3cd53d347	7f591fce-4a16-4bb0-8310-b9b57a300055	IT_LOAD
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	e879161b-b6bd-42b4-a12b-7fa48c1fdb83	SWITCHGEAR
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	a6df0c9e-db8a-43b5-b1bf-348b447aeda8	GENERATOR
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	8a79f6b9-8903-4e02-a9cd-36701bb96607	PRIMARY_AUXILIARIES
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	d3ad5cdc-fd75-476e-b978-b5da5c984c5d	UPS
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	b9bcac16-371d-464d-b0fd-f0b2c92c6962	CRITICAL_AUXILIARIES
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	1650a0d5-f1c0-44cd-b538-2bc2c7d94267	LIGHTING
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	d86703b8-7d6e-46e6-8fe6-ec82cbe2c058	CRITICAL_POWER_DISTRIBUTION
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	64a325ec-14a0-40b0-93e6-d08da1367e45	CRAH
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	dec9460e-2a74-473b-9b51-b0dea88dc82e	CRAC
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	0a02d67c-0b5f-4fda-8103-56828e72b786	CRAC_WITHOUT_FAN
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	b4ba7dcf-b561-4b6b-a23d-ecbb480ab433	CRAC_FAN
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	471b43bc-cdce-4df1-b666-06d549f0ed17	CHILLER
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	606f8aeb-8eb2-440a-ba32-cb648f1e0faa	AIR_COOLED_CHILLER
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	53a25d58-ee95-4605-a38f-fb751646719d	COOLING_TOWER
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	ce040411-0dee-4ab0-981b-ef7d59e569a8	DRY_COOLER
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	ae2e0dcc-fcb6-4408-ab52-4c51dcb7b855	REMOTE_CONDENSER
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	2997c6c4-704c-4b47-a274-93b1f633a403	CHILLED_WATER_PUMPS
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	1b5d4e54-36e9-447b-ae65-dd5f09243d18	HEAT_REJECTION_PUMPS
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	0f3abc6c-589e-43b4-a841-3c7e7e9b1579	VENTILATION
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	7ddaf727-3e22-445b-8724-61bc2d841aa2	INFILTRATION
cf1278ae-34ca-4ace-8d00-b4c0f3de49a1	70723ed4-a4d7-49f4-b598-d32ed6c82bed	IT_LOAD
f00a6039-be6a-45df-8484-316dd0c97840	56cca0ef-5c02-457e-862d-d8272786232c	SWITCHGEAR
f00a6039-be6a-45df-8484-316dd0c97840	b4978943-c001-469f-b03b-d29ba6decef9	GENERATOR
f00a6039-be6a-45df-8484-316dd0c97840	d1a3bb66-3a6e-4210-9968-6dec1292864f	PRIMARY_AUXILIARIES
f00a6039-be6a-45df-8484-316dd0c97840	bffeaa13-ca7c-45e8-b6a7-f94cb48247e9	UPS
f00a6039-be6a-45df-8484-316dd0c97840	c601e961-a604-4129-8442-7493181b612b	CRITICAL_AUXILIARIES
f00a6039-be6a-45df-8484-316dd0c97840	a764f794-eebd-4497-ae34-b0883f6ad7db	LIGHTING
f00a6039-be6a-45df-8484-316dd0c97840	6294f4d3-be27-4cd6-a818-bfcb905a4950	CRITICAL_POWER_DISTRIBUTION
f00a6039-be6a-45df-8484-316dd0c97840	4bc77157-c8c7-41a8-b26f-4870664e68c6	CRAH
f00a6039-be6a-45df-8484-316dd0c97840	6c913935-5cf0-47fd-a3dc-c7eac07ecd1d	CRAC
f00a6039-be6a-45df-8484-316dd0c97840	56c0f83f-840a-46f4-b213-43cdcedd1dd6	CRAC_WITHOUT_FAN
f00a6039-be6a-45df-8484-316dd0c97840	7771742b-fb78-4c60-b938-ea70798cc572	CRAC_FAN
f00a6039-be6a-45df-8484-316dd0c97840	f0e91957-4aee-4d1d-b893-d1eb6aa0fbc0	CHILLER
f00a6039-be6a-45df-8484-316dd0c97840	0f767922-3f8f-4e5a-b502-d788420b8c4f	AIR_COOLED_CHILLER
f00a6039-be6a-45df-8484-316dd0c97840	eaf060fd-031d-4dca-a359-097644cd908f	COOLING_TOWER
f00a6039-be6a-45df-8484-316dd0c97840	d8eb1700-0bcb-4d40-875b-ebd32e4ccaf1	DRY_COOLER
f00a6039-be6a-45df-8484-316dd0c97840	c0c48aa9-1b7b-4817-a675-8d14b381ed62	REMOTE_CONDENSER
f00a6039-be6a-45df-8484-316dd0c97840	a4afdf9d-30c9-4302-a06d-27bbf8262101	CHILLED_WATER_PUMPS
f00a6039-be6a-45df-8484-316dd0c97840	86e12e8f-732d-467e-a37f-719e7bca30de	HEAT_REJECTION_PUMPS
f00a6039-be6a-45df-8484-316dd0c97840	2f34062e-0d0e-4f04-90a3-e4a02ddcf23c	VENTILATION
f00a6039-be6a-45df-8484-316dd0c97840	8198864b-c747-4214-bba5-935995777d6d	INFILTRATION
f00a6039-be6a-45df-8484-316dd0c97840	cfd7b66a-d24d-4e27-9c73-1217ea838413	IT_LOAD
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	9aee0071-f584-4712-ad0c-d46fb51d8fe8	SWITCHGEAR
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	1da76fbe-eb3e-4dce-a02d-839d2df07881	GENERATOR
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	bd77ebfe-ee0d-4ea4-85f3-9f45c665387e	PRIMARY_AUXILIARIES
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	a429e4bd-c193-4dbf-9ce0-cf04317d7abf	UPS
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	f92cb059-e633-4aae-b6c6-3f123f5c59e2	CRITICAL_AUXILIARIES
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	3a54eb15-07fb-4f6f-9631-4078fe83e772	LIGHTING
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	de37ac51-7cf8-4b39-94db-791860324803	CRITICAL_POWER_DISTRIBUTION
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	e11abac0-7e9c-4202-9c6b-c132d3e79519	CRAH
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	e3192355-c4cc-4af5-8c83-aba6dba53de7	CRAC
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	c88a0c8a-5088-44c5-8493-60f8d7a22eed	CRAC_WITHOUT_FAN
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	be11a205-5f0b-4832-a81c-4b3bc471e13b	CRAC_FAN
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	e7cce209-8736-4d4c-a3ae-d0223748b1d4	CHILLER
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	5e70d65f-2b80-4433-ae5c-c19a2baa55ea	AIR_COOLED_CHILLER
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	5aedec5b-e9ec-4e5b-ba37-4b8e7c59ac1d	COOLING_TOWER
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	d06e7f68-b333-49e6-8456-0aefd344885c	DRY_COOLER
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	2bea443f-b7be-4049-a0d6-4b489212a4a3	REMOTE_CONDENSER
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	0b045853-77a0-41bf-8990-88039bbe873c	CHILLED_WATER_PUMPS
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	416e28c8-a6e1-4ac1-9658-7e8f6a618402	HEAT_REJECTION_PUMPS
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	3cb17ef3-0ee4-4ca1-8942-1a691ebe4bf6	VENTILATION
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	0eddb50d-9fd6-47c7-afe6-eba29521f023	INFILTRATION
a072944a-2b1e-4207-ba6b-6f7a0c5b5b11	c2bef2b6-1766-490d-a337-b20284881f45	IT_LOAD
41ec7063-f070-4710-ab41-e87edaf3ef14	353ecc15-972c-4abe-9d37-1047362544ae	SWITCHGEAR
41ec7063-f070-4710-ab41-e87edaf3ef14	455e5c8f-6702-458b-8885-4bd287d45db2	GENERATOR
41ec7063-f070-4710-ab41-e87edaf3ef14	8d5e7bb0-ff8f-4be6-a933-def1834b2520	PRIMARY_AUXILIARIES
41ec7063-f070-4710-ab41-e87edaf3ef14	50d6b394-c80d-4cf9-95bc-e9c6144c05a2	UPS
41ec7063-f070-4710-ab41-e87edaf3ef14	a24bd9ae-b287-4b3f-9998-a0cb25cdcfa8	CRITICAL_AUXILIARIES
41ec7063-f070-4710-ab41-e87edaf3ef14	b5f15a4a-2b8d-47bd-90f9-bc3b002e950c	LIGHTING
41ec7063-f070-4710-ab41-e87edaf3ef14	daebffc6-1766-409f-b6d7-6694d296d8c3	CRITICAL_POWER_DISTRIBUTION
41ec7063-f070-4710-ab41-e87edaf3ef14	d9c130c6-d821-4812-b0e5-9dc7beb3af4b	CRAH
41ec7063-f070-4710-ab41-e87edaf3ef14	ce974dd0-5653-49ae-923a-ca3cb3e05929	CRAC
41ec7063-f070-4710-ab41-e87edaf3ef14	7770cd3c-983b-4d4f-9ac1-a1c22e553d46	CRAC_WITHOUT_FAN
41ec7063-f070-4710-ab41-e87edaf3ef14	ba3b7389-e93c-4eaa-9265-28c55740439d	CRAC_FAN
41ec7063-f070-4710-ab41-e87edaf3ef14	39e8aa8d-9e4c-4292-a486-6f25ef1f9814	CHILLER
41ec7063-f070-4710-ab41-e87edaf3ef14	f0d861da-14d8-4f2d-962b-ea65e2f658e2	AIR_COOLED_CHILLER
41ec7063-f070-4710-ab41-e87edaf3ef14	cb4b077f-8c25-4e64-8b44-48e56946bb02	COOLING_TOWER
41ec7063-f070-4710-ab41-e87edaf3ef14	51dfd2de-1b20-4fa1-9ed6-deb09a2e4d0f	DRY_COOLER
41ec7063-f070-4710-ab41-e87edaf3ef14	2881ffa9-43d1-4c51-829b-74fa83705fc2	REMOTE_CONDENSER
41ec7063-f070-4710-ab41-e87edaf3ef14	558bf24d-b06a-477a-b4c3-7d8aa210d935	CHILLED_WATER_PUMPS
41ec7063-f070-4710-ab41-e87edaf3ef14	bbd0c4f3-193a-4b6d-a9e0-a736a617d421	HEAT_REJECTION_PUMPS
41ec7063-f070-4710-ab41-e87edaf3ef14	c5039389-ea6e-44e8-8ee6-8f766bb566df	VENTILATION
41ec7063-f070-4710-ab41-e87edaf3ef14	d7e88c55-30f5-4cbe-a890-5baff57ae1f0	INFILTRATION
41ec7063-f070-4710-ab41-e87edaf3ef14	805d388a-cf95-4ddb-a012-202bb7655309	IT_LOAD
b0aa4604-5634-483e-af12-58cdbe5c2659	073fdb24-9ccf-4074-b630-3f0817f6b03c	SWITCHGEAR
b0aa4604-5634-483e-af12-58cdbe5c2659	7b5fcd83-92fe-4bb7-b5dd-14aa718347f0	GENERATOR
b0aa4604-5634-483e-af12-58cdbe5c2659	edcb541a-6a27-40eb-8767-46b7f057133e	PRIMARY_AUXILIARIES
b0aa4604-5634-483e-af12-58cdbe5c2659	e4fe836a-0bd6-4fc2-aaa1-8cd79a001c18	UPS
b0aa4604-5634-483e-af12-58cdbe5c2659	4adaef1e-36a4-4fd4-818b-0dce65f86f5e	CRITICAL_AUXILIARIES
b0aa4604-5634-483e-af12-58cdbe5c2659	b7362187-84b6-4a5e-89c1-939ce81f45e8	LIGHTING
b0aa4604-5634-483e-af12-58cdbe5c2659	95604b2e-d9b6-4e98-af69-95dcb7481e54	CRITICAL_POWER_DISTRIBUTION
b0aa4604-5634-483e-af12-58cdbe5c2659	9e83696a-3221-4957-ae8e-43532b81bc81	CRAH
b0aa4604-5634-483e-af12-58cdbe5c2659	47c8ad16-7bb0-498f-8df1-b696f3b1163a	CRAC
b0aa4604-5634-483e-af12-58cdbe5c2659	6085167a-2c65-4547-ba79-9fd65d4f570f	CRAC_WITHOUT_FAN
b0aa4604-5634-483e-af12-58cdbe5c2659	29c728fa-b9ee-43f8-bb78-51662b0a4843	CRAC_FAN
b0aa4604-5634-483e-af12-58cdbe5c2659	e9283cc5-1de4-4b6c-9a34-44f7cddbb0e5	CHILLER
b0aa4604-5634-483e-af12-58cdbe5c2659	5ac030b3-b30e-4c54-a16c-cd09f92d07ba	AIR_COOLED_CHILLER
b0aa4604-5634-483e-af12-58cdbe5c2659	6e6c4260-550d-4834-a059-5f11f0113edd	COOLING_TOWER
b0aa4604-5634-483e-af12-58cdbe5c2659	9b2d092a-5b8b-47e4-ab24-99b36aafef4c	DRY_COOLER
b0aa4604-5634-483e-af12-58cdbe5c2659	594468f1-df66-4bea-b3f8-fcddfc338b84	REMOTE_CONDENSER
b0aa4604-5634-483e-af12-58cdbe5c2659	fde7370e-76c2-41b3-a367-de84de1b0daf	CHILLED_WATER_PUMPS
b0aa4604-5634-483e-af12-58cdbe5c2659	26a1c0ae-5049-47d9-b0be-d81843b6ff63	HEAT_REJECTION_PUMPS
b0aa4604-5634-483e-af12-58cdbe5c2659	5bc08417-be61-45dd-ae23-3fc13df89754	VENTILATION
b0aa4604-5634-483e-af12-58cdbe5c2659	4d671e0f-ea6c-4c85-8817-81cb69f2c4a8	INFILTRATION
b0aa4604-5634-483e-af12-58cdbe5c2659	2e8b3ca6-6a2e-40e6-8479-47ca7dcd9b01	IT_LOAD
aed035f3-7fef-412b-a057-47411b40301c	afc818b9-2508-4988-b066-986f9bb3125a	SWITCHGEAR
aed035f3-7fef-412b-a057-47411b40301c	98128244-55ac-4eb5-b013-529c3a770826	GENERATOR
aed035f3-7fef-412b-a057-47411b40301c	fe426128-c086-4187-93b3-0a4c9691efc8	PRIMARY_AUXILIARIES
aed035f3-7fef-412b-a057-47411b40301c	884f9f16-7086-4fa8-a5e7-5518b763ae3b	UPS
aed035f3-7fef-412b-a057-47411b40301c	000dac33-27fd-4d96-91a3-e028f3ae74f4	CRITICAL_AUXILIARIES
aed035f3-7fef-412b-a057-47411b40301c	7016a75e-76a1-4d27-9e77-e19d396d94f0	LIGHTING
aed035f3-7fef-412b-a057-47411b40301c	3e2b8049-acef-400f-91f5-0d13604f7d0e	CRITICAL_POWER_DISTRIBUTION
aed035f3-7fef-412b-a057-47411b40301c	63f29faf-01ef-456e-b03e-3ea3bb143023	CRAH
aed035f3-7fef-412b-a057-47411b40301c	0a4e1c06-34fa-4ced-9034-b1c5e07af2a9	CRAC
aed035f3-7fef-412b-a057-47411b40301c	be909249-862b-44c8-8e81-7a83bdeb08c0	CRAC_WITHOUT_FAN
aed035f3-7fef-412b-a057-47411b40301c	2e06cbec-f661-4f48-92c2-c972c5be0c20	CRAC_FAN
aed035f3-7fef-412b-a057-47411b40301c	35b71dd2-e037-4c35-87c1-bc94708e3db9	CHILLER
aed035f3-7fef-412b-a057-47411b40301c	093ec3a1-22da-46b0-9e1c-3c4f57a767f3	AIR_COOLED_CHILLER
aed035f3-7fef-412b-a057-47411b40301c	ddbed94c-3967-40cc-af07-a074cfe058c1	COOLING_TOWER
aed035f3-7fef-412b-a057-47411b40301c	c59f4772-59b6-47fc-8bf9-78f6a5019804	DRY_COOLER
aed035f3-7fef-412b-a057-47411b40301c	20383f93-1771-4785-8c1b-40e3421d3646	REMOTE_CONDENSER
aed035f3-7fef-412b-a057-47411b40301c	a5bd5d04-fdae-46d6-b0bc-f25f7b837897	CHILLED_WATER_PUMPS
aed035f3-7fef-412b-a057-47411b40301c	c38ff709-00f8-4988-880d-898de77dee17	HEAT_REJECTION_PUMPS
aed035f3-7fef-412b-a057-47411b40301c	4c299952-c42a-49c9-a064-800cbe8b458f	VENTILATION
aed035f3-7fef-412b-a057-47411b40301c	498ee6f8-0a0e-47c6-a803-d18a309d8eff	INFILTRATION
aed035f3-7fef-412b-a057-47411b40301c	d6c934cc-1a96-4853-b6ae-249ead2a960a	IT_LOAD
39885fc8-bf70-4ee7-817a-61c2bb403037	e8d228a7-00dd-43e9-ae6f-d7ca5e94f860	SWITCHGEAR
39885fc8-bf70-4ee7-817a-61c2bb403037	35549ac8-a307-4ff2-93e4-382edc3c58f7	GENERATOR
39885fc8-bf70-4ee7-817a-61c2bb403037	60f95a61-52dd-4eb0-b57e-58426178e78a	PRIMARY_AUXILIARIES
39885fc8-bf70-4ee7-817a-61c2bb403037	13461803-7bc2-4b9c-b54d-e3d46a1fb8f3	UPS
39885fc8-bf70-4ee7-817a-61c2bb403037	aaf5e696-3ff8-45f6-b4fc-8e959f17d613	CRITICAL_AUXILIARIES
39885fc8-bf70-4ee7-817a-61c2bb403037	80b1e828-3e74-4783-99f0-2d08dd0967e6	LIGHTING
39885fc8-bf70-4ee7-817a-61c2bb403037	843ec3f3-8cce-423a-97d5-d7af92389a18	CRITICAL_POWER_DISTRIBUTION
39885fc8-bf70-4ee7-817a-61c2bb403037	58a038d0-6620-4f84-a19d-7eab7ce44a65	CRAH
39885fc8-bf70-4ee7-817a-61c2bb403037	e83b288f-3126-49f2-aafa-bb63da7092e4	CRAC
39885fc8-bf70-4ee7-817a-61c2bb403037	f3edfaa5-222c-4dec-a6bc-5d8d6ed7c280	CRAC_WITHOUT_FAN
39885fc8-bf70-4ee7-817a-61c2bb403037	f78aa97b-5abf-48aa-b519-b0babdfa8c15	CRAC_FAN
39885fc8-bf70-4ee7-817a-61c2bb403037	d6add65b-05dd-4c3e-aa71-dc123e5bb794	CHILLER
39885fc8-bf70-4ee7-817a-61c2bb403037	757005b7-4d4b-4494-937c-f132057a40ba	AIR_COOLED_CHILLER
39885fc8-bf70-4ee7-817a-61c2bb403037	ce2b347a-9974-4737-81e6-cf0f56fa73d2	COOLING_TOWER
39885fc8-bf70-4ee7-817a-61c2bb403037	1d203cf0-f167-4230-9e04-a67fbbacc0c2	DRY_COOLER
39885fc8-bf70-4ee7-817a-61c2bb403037	b21235a9-8fde-41cb-ade0-7227b782d0bf	REMOTE_CONDENSER
39885fc8-bf70-4ee7-817a-61c2bb403037	fa946c30-c435-4b36-88ac-291e79e8de2b	CHILLED_WATER_PUMPS
39885fc8-bf70-4ee7-817a-61c2bb403037	f903e3c2-2b20-4d01-9ce6-cfc5177a2086	HEAT_REJECTION_PUMPS
39885fc8-bf70-4ee7-817a-61c2bb403037	a8c2c07c-8a87-46ff-90b5-cfa78fe54369	VENTILATION
39885fc8-bf70-4ee7-817a-61c2bb403037	5df9349b-41da-45f5-8e51-d272afa0eb7d	INFILTRATION
39885fc8-bf70-4ee7-817a-61c2bb403037	d8e05525-81dc-4097-bbe3-c989b4887d59	IT_LOAD
3b34dacc-0253-436c-b288-e54d221ddafb	6548a152-3c25-4041-9e91-a9caa6f05041	SWITCHGEAR
3b34dacc-0253-436c-b288-e54d221ddafb	5ccc9282-2981-49ba-8a9a-d008a42dbf2d	GENERATOR
3b34dacc-0253-436c-b288-e54d221ddafb	4ce6f49e-3fe6-4888-b9f3-5e6229dd987b	PRIMARY_AUXILIARIES
3b34dacc-0253-436c-b288-e54d221ddafb	3d6c89cf-a475-45aa-93f3-c1c41ccbcf0e	UPS
3b34dacc-0253-436c-b288-e54d221ddafb	11a41c8a-bfbf-4e48-bea2-4ac3325cc74e	CRITICAL_AUXILIARIES
3b34dacc-0253-436c-b288-e54d221ddafb	06a9a53f-ab45-4bd8-90a9-21adc993dd72	LIGHTING
3b34dacc-0253-436c-b288-e54d221ddafb	42cbb2b2-6820-45c7-9177-b09915cc5c52	CRITICAL_POWER_DISTRIBUTION
3b34dacc-0253-436c-b288-e54d221ddafb	b0a6affb-7737-4561-a4bd-3dd742c0ba8d	CRAH
3b34dacc-0253-436c-b288-e54d221ddafb	39bf556f-5408-422a-8ca1-e4c603a5bdd6	CRAC
3b34dacc-0253-436c-b288-e54d221ddafb	329c4503-72e4-4958-ab66-d0c0739ad48b	CRAC_WITHOUT_FAN
3b34dacc-0253-436c-b288-e54d221ddafb	78d48d3a-3a55-4b49-b8db-f6275faf7055	CRAC_FAN
3b34dacc-0253-436c-b288-e54d221ddafb	1474bd39-f01c-4cbd-ba01-b8a47f290a49	CHILLER
3b34dacc-0253-436c-b288-e54d221ddafb	85ac4dc6-6007-4ff3-be44-16934d16fb92	AIR_COOLED_CHILLER
3b34dacc-0253-436c-b288-e54d221ddafb	35e685ab-2e94-4b0e-ade4-bfd2491f50ce	COOLING_TOWER
3b34dacc-0253-436c-b288-e54d221ddafb	effe8305-26dc-4cab-814a-1a0e55f5b805	DRY_COOLER
3b34dacc-0253-436c-b288-e54d221ddafb	19bec1dc-ebe1-427a-a1e1-60ee365bf9bc	REMOTE_CONDENSER
3b34dacc-0253-436c-b288-e54d221ddafb	76e8dfae-aa34-4c21-a590-68d21db89d51	CHILLED_WATER_PUMPS
3b34dacc-0253-436c-b288-e54d221ddafb	3a117d6d-3f26-42dd-9d3d-3224d34725b4	HEAT_REJECTION_PUMPS
3b34dacc-0253-436c-b288-e54d221ddafb	d5523369-fa7e-4d6e-bd1f-c2089276c727	VENTILATION
3b34dacc-0253-436c-b288-e54d221ddafb	fa691e65-6381-45c6-9c2e-7b1524514cb8	INFILTRATION
3b34dacc-0253-436c-b288-e54d221ddafb	ec53730c-fc12-40a6-b38e-20d448792df1	IT_LOAD
b06b876d-b02e-4057-a9dd-bd65e1d815cb	1b1a7758-e29c-4d1d-ab64-17d3e6df2d24	SWITCHGEAR
b06b876d-b02e-4057-a9dd-bd65e1d815cb	5c140bce-f71d-480f-8721-5646b106eda5	GENERATOR
b06b876d-b02e-4057-a9dd-bd65e1d815cb	a613e4c0-51f9-4f91-9c21-8f5257262785	PRIMARY_AUXILIARIES
b06b876d-b02e-4057-a9dd-bd65e1d815cb	af764d92-82ae-4a13-9cb5-37e31d6ee9d2	UPS
b06b876d-b02e-4057-a9dd-bd65e1d815cb	198299fa-3d9e-4db9-be6c-712cb3128c2c	CRITICAL_AUXILIARIES
b06b876d-b02e-4057-a9dd-bd65e1d815cb	84f20648-d46c-41da-8e8d-40e6862f423e	LIGHTING
b06b876d-b02e-4057-a9dd-bd65e1d815cb	e3768d03-478f-4cdc-8357-09601d5e3b8d	CRITICAL_POWER_DISTRIBUTION
b06b876d-b02e-4057-a9dd-bd65e1d815cb	e6bb58d3-1ae2-4bd9-8c55-bb894e8c1be0	CRAH
b06b876d-b02e-4057-a9dd-bd65e1d815cb	93f23570-b3d7-4596-84ee-cc4558d29614	CRAC
b06b876d-b02e-4057-a9dd-bd65e1d815cb	f77d6b01-eb6a-448e-bd22-9184ca3216ad	CRAC_WITHOUT_FAN
b06b876d-b02e-4057-a9dd-bd65e1d815cb	0fb20ec8-3725-46d1-89a3-52f5303e3e6a	CRAC_FAN
b06b876d-b02e-4057-a9dd-bd65e1d815cb	0582333f-e08a-4747-b181-45aa7b1d628e	CHILLER
b06b876d-b02e-4057-a9dd-bd65e1d815cb	786f11f1-2c0c-43f1-a89c-e58d92687690	AIR_COOLED_CHILLER
b06b876d-b02e-4057-a9dd-bd65e1d815cb	6467ef82-967d-4c15-b58c-9e89d82631a9	COOLING_TOWER
b06b876d-b02e-4057-a9dd-bd65e1d815cb	30936a67-2342-44fa-88a8-1048577616ac	DRY_COOLER
b06b876d-b02e-4057-a9dd-bd65e1d815cb	28907e85-c46d-4da5-ae03-b30854ff8240	REMOTE_CONDENSER
b06b876d-b02e-4057-a9dd-bd65e1d815cb	0a54ab0e-f8a2-4ac7-8258-8c0bc8e33b3b	CHILLED_WATER_PUMPS
b06b876d-b02e-4057-a9dd-bd65e1d815cb	7e1bcd78-43b7-4ff4-ac32-3d3e59443ca1	HEAT_REJECTION_PUMPS
b06b876d-b02e-4057-a9dd-bd65e1d815cb	85be6d7d-f4b8-4001-8ad3-4678559cab2d	VENTILATION
b06b876d-b02e-4057-a9dd-bd65e1d815cb	b7dcf762-b02f-4861-9a6b-c904a7e5167e	INFILTRATION
b06b876d-b02e-4057-a9dd-bd65e1d815cb	7067f21a-1da9-4037-bb6d-a8854feb32fd	IT_LOAD
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	8420bf17-458a-42d4-a77e-3ae3fcc28202	SWITCHGEAR
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	5c583449-c957-47e4-aee7-70037da8ed6e	GENERATOR
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	7d24723f-a206-42e7-ac1d-5f8e23204ba9	PRIMARY_AUXILIARIES
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	739448b8-f25d-463c-a06a-f6318a59d09e	UPS
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	a876276f-460c-441c-99d7-82ef8709e732	CRITICAL_AUXILIARIES
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	951ff214-c8d8-4d59-a87b-8824910c75a5	LIGHTING
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	0304c570-0b35-471d-9280-349cb954be58	CRITICAL_POWER_DISTRIBUTION
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	53c89b17-9670-40ba-b0d0-6016d3b6441c	CRAH
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	2c5a4b7b-ca71-4f8c-a3d1-bed73a8358f0	CRAC
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	211a4722-12ad-4bdd-a83d-72c7afeb7581	CRAC_WITHOUT_FAN
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	b415b884-26e6-43d0-9318-68b2efbd6fdf	CRAC_FAN
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	dfb018d0-387f-426e-8728-d4b30373d9cb	CHILLER
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	d4e1e2c7-ea5d-4e0e-afd2-bdb5c12b4844	AIR_COOLED_CHILLER
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	9a3c3ed3-fe91-4f2e-9512-ba5600dbfd91	COOLING_TOWER
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	f3bc4a3b-945e-4ddb-b278-b17b53ded1f8	DRY_COOLER
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	a0dff5d5-2f94-4de7-a27c-e26acae1a343	REMOTE_CONDENSER
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	f4b4011c-f7c0-4560-a74f-d656dffe7059	CHILLED_WATER_PUMPS
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	1b10b93e-30f7-435d-9ce8-7f515b42f003	HEAT_REJECTION_PUMPS
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	3715c653-bce5-4904-a146-3e93a7c71ae6	VENTILATION
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	c46a82a9-5638-4a8e-8bb1-cda16b6a946f	INFILTRATION
b77cc59c-e881-4f36-8c5c-7e825ea4aac6	aa3e94f7-819f-4e9b-a61a-de8110de6307	IT_LOAD
e07c0b87-8c88-49b0-91fc-ed214b99a03d	71881c74-8317-4116-a681-3c0a3da1e8ec	SWITCHGEAR
e07c0b87-8c88-49b0-91fc-ed214b99a03d	d180f02d-808f-4cdc-aef9-3309ed12efaa	GENERATOR
e07c0b87-8c88-49b0-91fc-ed214b99a03d	db451964-3f29-47f5-a442-efc5ccdf3bff	PRIMARY_AUXILIARIES
e07c0b87-8c88-49b0-91fc-ed214b99a03d	aa90eefb-d72b-48ac-a3b1-a45214105f4e	UPS
e07c0b87-8c88-49b0-91fc-ed214b99a03d	99f46ec8-0135-4d30-85ab-54aad7f87750	CRITICAL_AUXILIARIES
e07c0b87-8c88-49b0-91fc-ed214b99a03d	5bf658c9-eaac-490a-a5f3-ce27cdbfeaa0	LIGHTING
e07c0b87-8c88-49b0-91fc-ed214b99a03d	fd3adafa-45b6-4a18-980e-24647e0794cf	CRITICAL_POWER_DISTRIBUTION
e07c0b87-8c88-49b0-91fc-ed214b99a03d	437cd7b9-daa8-41f2-8bde-c20ca74f34c4	CRAH
e07c0b87-8c88-49b0-91fc-ed214b99a03d	324d9373-2dea-422c-8f39-07483ca637f3	CRAC
e07c0b87-8c88-49b0-91fc-ed214b99a03d	901a5125-5f4f-481e-aa49-5f45f11aaa34	CRAC_WITHOUT_FAN
e07c0b87-8c88-49b0-91fc-ed214b99a03d	8246b7c0-5a38-4fad-98fd-d57e0f2c7ac8	CRAC_FAN
e07c0b87-8c88-49b0-91fc-ed214b99a03d	f3a1e4ea-2128-43e6-89fd-d987f8bc069c	CHILLER
e07c0b87-8c88-49b0-91fc-ed214b99a03d	8845a634-3f8f-4fd8-81de-aae051852a2b	AIR_COOLED_CHILLER
e07c0b87-8c88-49b0-91fc-ed214b99a03d	86436681-91d7-43d8-ae51-55a6ff2c9d85	COOLING_TOWER
e07c0b87-8c88-49b0-91fc-ed214b99a03d	ae82af1b-c173-4c0f-b406-cdf670975b0c	DRY_COOLER
e07c0b87-8c88-49b0-91fc-ed214b99a03d	ee61e83b-957f-442b-91de-4e75befec2ba	REMOTE_CONDENSER
e07c0b87-8c88-49b0-91fc-ed214b99a03d	ebac83bc-f0ef-490b-8828-7e0fbd11ef5f	CHILLED_WATER_PUMPS
e07c0b87-8c88-49b0-91fc-ed214b99a03d	4923c100-8756-4793-9835-1b6e27a74808	HEAT_REJECTION_PUMPS
e07c0b87-8c88-49b0-91fc-ed214b99a03d	f9283c77-9f12-441c-8966-a0ce6911a91a	VENTILATION
e07c0b87-8c88-49b0-91fc-ed214b99a03d	94e94c0c-c633-44d3-82a6-f2347674a9a0	INFILTRATION
e07c0b87-8c88-49b0-91fc-ed214b99a03d	aa7d24ac-5ea9-4b23-bed4-fbfaccdccafe	IT_LOAD
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	e12decfa-80be-4a9d-87e8-30df5d9b0abc	SWITCHGEAR
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	ab221823-728b-4c61-b05c-3abe4e059904	GENERATOR
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	7aa6d54d-0c9b-4206-9cfb-42a303f18819	PRIMARY_AUXILIARIES
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	24a3dd44-ef4d-4097-8811-0737ebc1cc36	UPS
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	66e7c8b7-9f50-44f0-9ca9-fa38b6e8fd28	CRITICAL_AUXILIARIES
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	2497da07-c4a9-41c0-8231-b5a715be0b01	LIGHTING
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	8b64025d-f7c6-4e10-98f1-e80fef079cd3	CRITICAL_POWER_DISTRIBUTION
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	b832660c-2a18-4609-854c-71f1965e49f7	CRAH
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	9afbde43-425c-47cd-8624-b5ace4f0913b	CRAC
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	173c2c02-11dd-409d-a2fd-8caa5a559426	CRAC_WITHOUT_FAN
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	4e2fbe44-fa7e-4e39-be47-3dbe55a321de	CRAC_FAN
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	7c8f0b0d-37ab-433d-9d25-4aa7a8b048cd	CHILLER
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	723f8d66-edea-4bcf-bac1-6594437dc95b	AIR_COOLED_CHILLER
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	9925b833-aee2-4161-8447-b5063ff6be9a	COOLING_TOWER
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	020bcf2f-51e7-406e-9274-650fad76e8d9	DRY_COOLER
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	36267473-8326-43c4-8a90-5e73eddce115	REMOTE_CONDENSER
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	9b8b7d8e-6dc3-4a35-96b0-14fb029913e4	CHILLED_WATER_PUMPS
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	aff140f0-73ae-42f6-8a60-fbc0383ec267	HEAT_REJECTION_PUMPS
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	d4e241a6-c4c2-4e80-8664-5516065b5d06	VENTILATION
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	66d4fdf0-dee0-4170-8c46-8e38c162e9e2	INFILTRATION
a46dc0c5-ef47-4c19-a6ca-c6f2601bb7cc	45da650e-536c-43a7-ad32-399539d7eebe	IT_LOAD
b8c65569-305a-463d-9ce1-f89294b2eef5	8bdcbd78-6a8c-4d90-9d51-31577b184b5e	SWITCHGEAR
b8c65569-305a-463d-9ce1-f89294b2eef5	801486d1-bdb6-41b7-8b1f-9c98ff9115b2	GENERATOR
b8c65569-305a-463d-9ce1-f89294b2eef5	6091ebb1-a29d-4301-84de-297dd87a94d2	PRIMARY_AUXILIARIES
b8c65569-305a-463d-9ce1-f89294b2eef5	6e842aa9-4d47-4d4d-a4cf-0a5ad9f8c658	UPS
b8c65569-305a-463d-9ce1-f89294b2eef5	224c5929-825a-4a50-8517-9fb599df1421	CRITICAL_AUXILIARIES
b8c65569-305a-463d-9ce1-f89294b2eef5	69971454-1af1-4f2f-935b-85439507e0a5	LIGHTING
b8c65569-305a-463d-9ce1-f89294b2eef5	7edcb0f7-6b9a-4453-beb0-c9180255cbd2	CRITICAL_POWER_DISTRIBUTION
b8c65569-305a-463d-9ce1-f89294b2eef5	52b5ffe3-a475-4d48-8087-b98bcbae33eb	CRAH
b8c65569-305a-463d-9ce1-f89294b2eef5	873753da-3ff2-40d1-a96b-8262b2ec145b	CRAC
b8c65569-305a-463d-9ce1-f89294b2eef5	f53e4bc1-f491-4a10-aa34-cd4302e6ce27	CRAC_WITHOUT_FAN
b8c65569-305a-463d-9ce1-f89294b2eef5	99591d06-64d5-48c5-b968-7a20b99d07bd	CRAC_FAN
b8c65569-305a-463d-9ce1-f89294b2eef5	277e1f08-0c9d-46fb-8ec5-5af807f03406	CHILLER
b8c65569-305a-463d-9ce1-f89294b2eef5	47f23798-27fd-4453-95c0-eeb81ea73319	AIR_COOLED_CHILLER
b8c65569-305a-463d-9ce1-f89294b2eef5	5657dad7-563c-47a5-ad87-ec56d32b530f	COOLING_TOWER
b8c65569-305a-463d-9ce1-f89294b2eef5	d3b8c939-496e-4808-961f-7fd2783aedce	DRY_COOLER
b8c65569-305a-463d-9ce1-f89294b2eef5	2ad3470c-aea8-4b66-9cd5-6255496f2ca8	REMOTE_CONDENSER
b8c65569-305a-463d-9ce1-f89294b2eef5	37bb0aeb-b965-43c1-a319-55f02ff11524	CHILLED_WATER_PUMPS
b8c65569-305a-463d-9ce1-f89294b2eef5	9016dff2-75e1-49dc-b229-37ae84c3cfdd	HEAT_REJECTION_PUMPS
b8c65569-305a-463d-9ce1-f89294b2eef5	709b6f69-c9bf-4f8b-b875-e458cdf6365c	VENTILATION
b8c65569-305a-463d-9ce1-f89294b2eef5	de7a3c6d-65cb-439c-9138-7b57b5b5cdf4	INFILTRATION
b8c65569-305a-463d-9ce1-f89294b2eef5	eadbf578-66c5-43d6-bad6-9c190456b9bc	IT_LOAD
a40d7995-d50f-40d9-9aff-680e7a2767d5	17b48693-8855-41ca-a24a-3d6302d92506	SWITCHGEAR
a40d7995-d50f-40d9-9aff-680e7a2767d5	c0d826b7-81a0-477a-840a-a3020553cfad	GENERATOR
a40d7995-d50f-40d9-9aff-680e7a2767d5	c8b35798-8f8f-414e-a203-37526ddcd97b	PRIMARY_AUXILIARIES
a40d7995-d50f-40d9-9aff-680e7a2767d5	4ccb7ca6-0ed3-4571-a292-7a5f4d572b49	UPS
a40d7995-d50f-40d9-9aff-680e7a2767d5	04e0e590-f98d-4985-aa61-d6b855f5067f	CRITICAL_AUXILIARIES
a40d7995-d50f-40d9-9aff-680e7a2767d5	9ea58c0b-6a6c-4e4c-813d-bb217397aec1	LIGHTING
a40d7995-d50f-40d9-9aff-680e7a2767d5	ba71c2d8-aebf-4c87-89d2-c785c7aaf649	CRITICAL_POWER_DISTRIBUTION
a40d7995-d50f-40d9-9aff-680e7a2767d5	2134fe28-f7fb-4ae8-bd1d-f06725e661f6	CRAH
a40d7995-d50f-40d9-9aff-680e7a2767d5	2607c498-1f5a-4b3a-a264-e7f89a70c796	CRAC
a40d7995-d50f-40d9-9aff-680e7a2767d5	d9564b94-1138-4be0-aceb-34467620e064	CRAC_WITHOUT_FAN
a40d7995-d50f-40d9-9aff-680e7a2767d5	cf8e3091-03bb-4279-93be-73f7aad244e9	CRAC_FAN
a40d7995-d50f-40d9-9aff-680e7a2767d5	439c239e-483d-461f-99f9-29748ad51f4b	CHILLER
a40d7995-d50f-40d9-9aff-680e7a2767d5	4d04dd0c-2284-47d1-a078-4fe4eefc5a61	AIR_COOLED_CHILLER
a40d7995-d50f-40d9-9aff-680e7a2767d5	e008942e-a51e-49ed-9d43-8266012073a3	COOLING_TOWER
a40d7995-d50f-40d9-9aff-680e7a2767d5	cc037c36-df9b-45a1-ac18-093fceb60f6d	DRY_COOLER
a40d7995-d50f-40d9-9aff-680e7a2767d5	2e202f8e-e946-47ab-bf5e-4c7b135ae972	REMOTE_CONDENSER
a40d7995-d50f-40d9-9aff-680e7a2767d5	69f789cc-d231-4a22-b7bf-59119ceb0e8b	CHILLED_WATER_PUMPS
a40d7995-d50f-40d9-9aff-680e7a2767d5	e349859b-4106-4186-93ab-38b31960d167	HEAT_REJECTION_PUMPS
a40d7995-d50f-40d9-9aff-680e7a2767d5	2b25f5be-61b6-4ef3-b185-96d3dea187eb	VENTILATION
a40d7995-d50f-40d9-9aff-680e7a2767d5	dc928892-2460-419e-9224-89820825bc18	INFILTRATION
a40d7995-d50f-40d9-9aff-680e7a2767d5	9ae74c04-d05b-4589-a214-53004f08e2fe	IT_LOAD
0e1ffa6c-303c-40c9-bb67-b917f61b9225	49ae06a6-7635-4dad-8a95-ae1f63098166	SWITCHGEAR
0e1ffa6c-303c-40c9-bb67-b917f61b9225	ce69ccf2-f17f-4a8a-a05f-5a1c24d7fe3b	GENERATOR
0e1ffa6c-303c-40c9-bb67-b917f61b9225	b53e30c1-2e86-4812-968b-148d12d6ddcf	PRIMARY_AUXILIARIES
0e1ffa6c-303c-40c9-bb67-b917f61b9225	097fe834-9a63-422f-bf99-98dff59083ed	UPS
0e1ffa6c-303c-40c9-bb67-b917f61b9225	6dc2f694-3335-4829-bfb1-a3f533143b94	CRITICAL_AUXILIARIES
0e1ffa6c-303c-40c9-bb67-b917f61b9225	eae59df8-fef0-4ee9-a93a-07fcfc736fa4	LIGHTING
0e1ffa6c-303c-40c9-bb67-b917f61b9225	1f8a29aa-de4d-4eab-b005-6722786809fc	CRITICAL_POWER_DISTRIBUTION
0e1ffa6c-303c-40c9-bb67-b917f61b9225	796cdc65-dd12-4160-a596-e7baea1ac6b8	CRAH
0e1ffa6c-303c-40c9-bb67-b917f61b9225	dd3bea10-28a0-40ef-96ea-3466b4869645	CRAC
0e1ffa6c-303c-40c9-bb67-b917f61b9225	0c33ef7c-547b-4643-92d7-783100ffc9ed	CRAC_WITHOUT_FAN
0e1ffa6c-303c-40c9-bb67-b917f61b9225	c7e988dc-9363-495f-a14f-a7a83815895d	CRAC_FAN
0e1ffa6c-303c-40c9-bb67-b917f61b9225	91e4022c-995a-4410-afe0-70973f567ed1	CHILLER
0e1ffa6c-303c-40c9-bb67-b917f61b9225	0e91dc53-3896-4c87-9ef1-f44f862060f1	AIR_COOLED_CHILLER
0e1ffa6c-303c-40c9-bb67-b917f61b9225	e0b50964-fc3d-47f4-8204-8457b58c0a8f	COOLING_TOWER
0e1ffa6c-303c-40c9-bb67-b917f61b9225	a1baf8af-f635-41c9-b74a-9611cc46bee5	DRY_COOLER
0e1ffa6c-303c-40c9-bb67-b917f61b9225	73faf8e1-d36d-41a9-94f0-de4f503f1f87	REMOTE_CONDENSER
0e1ffa6c-303c-40c9-bb67-b917f61b9225	7cdc8d57-fabe-49cf-a64f-8fbf7dd6030a	CHILLED_WATER_PUMPS
0e1ffa6c-303c-40c9-bb67-b917f61b9225	0cd82aa8-91a6-4034-b838-160f45ccb6da	HEAT_REJECTION_PUMPS
0e1ffa6c-303c-40c9-bb67-b917f61b9225	4ebb1111-f6f9-4db3-a5c5-bd586dd64645	VENTILATION
0e1ffa6c-303c-40c9-bb67-b917f61b9225	264b8a66-7a3a-4360-930b-1fe936cff999	INFILTRATION
0e1ffa6c-303c-40c9-bb67-b917f61b9225	b34154af-b536-4276-982c-050373dd0f36	IT_LOAD
d105222c-db9c-428b-9bc3-2923c79f6eba	68f34556-415e-4942-bee1-181f92798513	SWITCHGEAR
d105222c-db9c-428b-9bc3-2923c79f6eba	d0b7f129-2109-4764-a59c-0456f9989d3d	GENERATOR
d105222c-db9c-428b-9bc3-2923c79f6eba	ee7d07bc-4f59-4041-971d-6e27d0011776	PRIMARY_AUXILIARIES
d105222c-db9c-428b-9bc3-2923c79f6eba	24342b53-f625-404f-ba0e-a80293d3dfa0	UPS
d105222c-db9c-428b-9bc3-2923c79f6eba	34a7815c-2e3f-4281-a5c3-986365e0e14a	CRITICAL_AUXILIARIES
d105222c-db9c-428b-9bc3-2923c79f6eba	8a3a5975-66c4-4937-8120-d8debd0334c3	LIGHTING
d105222c-db9c-428b-9bc3-2923c79f6eba	70b63178-d225-4fd3-8f63-395081dd1453	CRITICAL_POWER_DISTRIBUTION
d105222c-db9c-428b-9bc3-2923c79f6eba	26d8f860-652a-4682-9ee7-12694ecf8f1d	CRAH
d105222c-db9c-428b-9bc3-2923c79f6eba	9622df95-8292-4df5-94f2-dde277b69a32	CRAC
d105222c-db9c-428b-9bc3-2923c79f6eba	143e73eb-2ddc-48fb-9612-7c4c4d16447a	CRAC_WITHOUT_FAN
d105222c-db9c-428b-9bc3-2923c79f6eba	4e61f8a2-c0a9-4efc-b8b4-6fd51526e1da	CRAC_FAN
d105222c-db9c-428b-9bc3-2923c79f6eba	a4a24cc6-5eac-4b56-8104-c7f30cbb75cb	CHILLER
d105222c-db9c-428b-9bc3-2923c79f6eba	47a16847-2de6-4812-878c-7bdf430b8a14	AIR_COOLED_CHILLER
d105222c-db9c-428b-9bc3-2923c79f6eba	e6ff7a23-ad65-46c4-b601-1fb8dca321f8	COOLING_TOWER
d105222c-db9c-428b-9bc3-2923c79f6eba	3e340ca8-2167-41c8-8e16-c27698970364	DRY_COOLER
d105222c-db9c-428b-9bc3-2923c79f6eba	613a85ca-195d-4f47-961c-8a2bb1c84f3a	REMOTE_CONDENSER
d105222c-db9c-428b-9bc3-2923c79f6eba	49df046b-ecc7-4d1e-a772-29a490fae242	CHILLED_WATER_PUMPS
d105222c-db9c-428b-9bc3-2923c79f6eba	4654da45-b725-439f-b558-552624702d17	HEAT_REJECTION_PUMPS
d105222c-db9c-428b-9bc3-2923c79f6eba	3f5da5a9-4619-46f5-a2ca-ac288e2b4ff1	VENTILATION
d105222c-db9c-428b-9bc3-2923c79f6eba	e4a4e7c8-7443-4fb5-811c-1d2281d362cf	INFILTRATION
d105222c-db9c-428b-9bc3-2923c79f6eba	eca9f4c4-e31a-4175-b174-a907c0d34e01	IT_LOAD
bf03e431-6363-4307-9209-043dd881bd62	448d8d28-3868-49af-a6ed-6b32c8cf0ec4	SWITCHGEAR
bf03e431-6363-4307-9209-043dd881bd62	846caf3d-0809-4a47-bd2e-1f2d9519e8d6	GENERATOR
bf03e431-6363-4307-9209-043dd881bd62	f7fa7e76-e106-4137-8d36-a5297e01f4e7	PRIMARY_AUXILIARIES
bf03e431-6363-4307-9209-043dd881bd62	95155224-a947-43e4-91b5-dcda0692ab7e	UPS
bf03e431-6363-4307-9209-043dd881bd62	bf3f7850-a958-4632-8252-afb9fa47542e	CRITICAL_AUXILIARIES
bf03e431-6363-4307-9209-043dd881bd62	6896c98f-8b85-4c2f-8b28-c889c8e501eb	LIGHTING
bf03e431-6363-4307-9209-043dd881bd62	434aa565-2d35-40ea-999b-59a814a8dd99	CRITICAL_POWER_DISTRIBUTION
bf03e431-6363-4307-9209-043dd881bd62	0d9daa1b-f85a-4d97-8760-f54564cc07f5	CRAH
bf03e431-6363-4307-9209-043dd881bd62	5a4b3160-3ac2-4c0b-8bec-44dd15f59b15	CRAC
bf03e431-6363-4307-9209-043dd881bd62	ca258db7-e785-40f7-8677-00836645aafc	CRAC_WITHOUT_FAN
bf03e431-6363-4307-9209-043dd881bd62	dd1ec09d-b731-40d2-976a-e2201241ac7b	CRAC_FAN
bf03e431-6363-4307-9209-043dd881bd62	c5dc3f7d-212c-428e-afb6-94ca228a742b	CHILLER
bf03e431-6363-4307-9209-043dd881bd62	05d31d34-97b4-413a-a78f-33973b3e4989	AIR_COOLED_CHILLER
bf03e431-6363-4307-9209-043dd881bd62	8a87e143-d7f6-4ddf-8d5c-6f29f741c8fc	COOLING_TOWER
bf03e431-6363-4307-9209-043dd881bd62	4071a654-1564-4586-837d-dc8c8f568ac2	DRY_COOLER
bf03e431-6363-4307-9209-043dd881bd62	7af724cb-9a21-4311-a8ee-497e00a9aff6	REMOTE_CONDENSER
bf03e431-6363-4307-9209-043dd881bd62	96240be9-f15d-43d8-b397-3849afc95f6f	CHILLED_WATER_PUMPS
bf03e431-6363-4307-9209-043dd881bd62	fefec18a-4bab-4132-b24a-f153562fa529	HEAT_REJECTION_PUMPS
bf03e431-6363-4307-9209-043dd881bd62	6bba83b5-08a3-42e8-be0a-13a7cdec950c	VENTILATION
bf03e431-6363-4307-9209-043dd881bd62	3fc47769-d377-4713-a7a9-5087b99143be	INFILTRATION
bf03e431-6363-4307-9209-043dd881bd62	a4c88089-8ab1-48f8-a7ff-5ec16e2be809	IT_LOAD
b3b34cc3-2fba-4542-a69f-55cd0159798e	10cfb45a-1702-480f-8f96-02138d320f8f	SWITCHGEAR
b3b34cc3-2fba-4542-a69f-55cd0159798e	9ce68c99-9507-4c50-91b0-e7326ad65ba2	GENERATOR
b3b34cc3-2fba-4542-a69f-55cd0159798e	ba171f04-7003-4fcb-8f65-225027717e56	PRIMARY_AUXILIARIES
b3b34cc3-2fba-4542-a69f-55cd0159798e	026a3b81-2f8f-4f6a-aaab-57b77fd9ca22	UPS
b3b34cc3-2fba-4542-a69f-55cd0159798e	113fcacb-f72e-4840-b36c-84197cb20034	CRITICAL_AUXILIARIES
b3b34cc3-2fba-4542-a69f-55cd0159798e	5e66143b-96da-478c-85ca-84ab4f33672a	LIGHTING
b3b34cc3-2fba-4542-a69f-55cd0159798e	bf5990b6-4ff5-47b8-975c-7a3fa15d9af5	CRITICAL_POWER_DISTRIBUTION
b3b34cc3-2fba-4542-a69f-55cd0159798e	ddcf8033-c8e9-4069-9331-15572bff1977	CRAH
b3b34cc3-2fba-4542-a69f-55cd0159798e	338e4fbc-43df-48a3-81cb-042af9805fdd	CRAC
b3b34cc3-2fba-4542-a69f-55cd0159798e	8658e54f-f5ba-452b-a187-d47d0b7a3d0b	CRAC_WITHOUT_FAN
b3b34cc3-2fba-4542-a69f-55cd0159798e	f495f477-a7a5-4a75-a7c8-3ae7478b6ffe	CRAC_FAN
b3b34cc3-2fba-4542-a69f-55cd0159798e	178d277b-558c-448d-adb5-b8bc5697d6e8	CHILLER
b3b34cc3-2fba-4542-a69f-55cd0159798e	cac8ef28-d207-409f-800a-2c6ddcfeb133	AIR_COOLED_CHILLER
b3b34cc3-2fba-4542-a69f-55cd0159798e	c5eafa07-8db6-423e-a9f0-0276a4e08201	COOLING_TOWER
b3b34cc3-2fba-4542-a69f-55cd0159798e	df3e3f02-eb2f-4f2f-908d-3c78945d89bf	DRY_COOLER
b3b34cc3-2fba-4542-a69f-55cd0159798e	94fe3332-8418-4eca-8814-6edead621521	REMOTE_CONDENSER
b3b34cc3-2fba-4542-a69f-55cd0159798e	6d30c9a3-0b98-4ebe-a645-44da250bea4f	CHILLED_WATER_PUMPS
b3b34cc3-2fba-4542-a69f-55cd0159798e	09f43669-89f4-4cbf-aa39-952ae5049966	HEAT_REJECTION_PUMPS
b3b34cc3-2fba-4542-a69f-55cd0159798e	5ec26976-8137-40cf-b13d-d101478e7833	VENTILATION
b3b34cc3-2fba-4542-a69f-55cd0159798e	13b8c698-a23b-4981-9dda-ec3ffc850314	INFILTRATION
b3b34cc3-2fba-4542-a69f-55cd0159798e	fb455583-8dbf-4ee0-bac0-e7785b9eaf7d	IT_LOAD
76b2eac9-99eb-4e91-88a8-94b5470e3283	f88c5978-5b00-4e02-8a35-1b3bdd007d30	SWITCHGEAR
76b2eac9-99eb-4e91-88a8-94b5470e3283	9ed282fb-fdd6-4a61-a99d-c4d2d110177f	GENERATOR
76b2eac9-99eb-4e91-88a8-94b5470e3283	8d44b55a-7cd9-4f33-a4d6-6b2e481de2fa	PRIMARY_AUXILIARIES
76b2eac9-99eb-4e91-88a8-94b5470e3283	2e513dba-52a8-4719-99f5-b6dd0e040109	UPS
76b2eac9-99eb-4e91-88a8-94b5470e3283	c0059ee9-ecbf-4802-a312-97db57226ed5	CRITICAL_AUXILIARIES
76b2eac9-99eb-4e91-88a8-94b5470e3283	36a6abd3-747f-4442-8b0d-cc30f66cf059	LIGHTING
76b2eac9-99eb-4e91-88a8-94b5470e3283	4453f462-bf8b-4efd-9a05-626804cce384	CRITICAL_POWER_DISTRIBUTION
76b2eac9-99eb-4e91-88a8-94b5470e3283	20a235c4-7fe0-434d-a299-aae58a773e2b	CRAH
76b2eac9-99eb-4e91-88a8-94b5470e3283	af94029b-082d-4fce-b718-7291a03efc0a	CRAC
76b2eac9-99eb-4e91-88a8-94b5470e3283	8b683cdb-8559-4f83-93dd-88cc783305a4	CRAC_WITHOUT_FAN
76b2eac9-99eb-4e91-88a8-94b5470e3283	72cc4104-7e86-4538-aac7-cf7d5c9b43a4	CRAC_FAN
76b2eac9-99eb-4e91-88a8-94b5470e3283	d541f570-fa76-4709-b838-a28d70e6c283	CHILLER
76b2eac9-99eb-4e91-88a8-94b5470e3283	a6113561-b47d-467a-835b-c26ff9fac265	AIR_COOLED_CHILLER
76b2eac9-99eb-4e91-88a8-94b5470e3283	eb297944-8d3a-4649-a9f0-9ccc10811390	COOLING_TOWER
76b2eac9-99eb-4e91-88a8-94b5470e3283	157032af-9a0a-4949-9cf4-12ef67b0a6a5	DRY_COOLER
76b2eac9-99eb-4e91-88a8-94b5470e3283	fc6924ed-4f5c-420e-baa3-a41f8f90ea4d	REMOTE_CONDENSER
76b2eac9-99eb-4e91-88a8-94b5470e3283	75542ba8-eb4b-4a76-bfaa-f54dae14851b	CHILLED_WATER_PUMPS
76b2eac9-99eb-4e91-88a8-94b5470e3283	e4e425e1-0411-489a-956a-52b1f8961b25	HEAT_REJECTION_PUMPS
76b2eac9-99eb-4e91-88a8-94b5470e3283	e5c463ee-b974-4e61-a3f0-a14621889622	VENTILATION
76b2eac9-99eb-4e91-88a8-94b5470e3283	9d2e7842-433b-47d1-8920-b82154359662	INFILTRATION
76b2eac9-99eb-4e91-88a8-94b5470e3283	8182b4e2-8137-4ed3-ba75-531d6458e2a4	IT_LOAD
fe96a55f-970d-4071-81e1-fb22beacaaf7	7ba5f02a-95b4-40d0-973f-3adbf6c1259b	SWITCHGEAR
fe96a55f-970d-4071-81e1-fb22beacaaf7	c2d3f51c-6fd1-4ecf-8ffd-1e69da638849	GENERATOR
fe96a55f-970d-4071-81e1-fb22beacaaf7	71b5821b-77c8-42d0-9678-026fa56f7afa	PRIMARY_AUXILIARIES
fe96a55f-970d-4071-81e1-fb22beacaaf7	225fbd9e-3285-43e3-9c85-205604ce29b8	UPS
fe96a55f-970d-4071-81e1-fb22beacaaf7	7943e0ba-366a-432a-b109-25b008633efa	CRITICAL_AUXILIARIES
fe96a55f-970d-4071-81e1-fb22beacaaf7	091fdcfd-1ae6-4ec2-ac51-039283c89b99	LIGHTING
fe96a55f-970d-4071-81e1-fb22beacaaf7	022f5834-6e5f-4cff-a9ea-8d18d7ed5c98	CRITICAL_POWER_DISTRIBUTION
fe96a55f-970d-4071-81e1-fb22beacaaf7	ccf7c1a3-07a6-4686-98e8-a49b1fb81c64	CRAH
fe96a55f-970d-4071-81e1-fb22beacaaf7	2a11701c-51aa-48c2-ad32-36c758e410b6	CRAC
fe96a55f-970d-4071-81e1-fb22beacaaf7	da19e83a-e07c-47f4-aeaa-eadadf60fad5	CRAC_WITHOUT_FAN
fe96a55f-970d-4071-81e1-fb22beacaaf7	6fc42455-a463-4b36-bce4-186e407b663d	CRAC_FAN
fe96a55f-970d-4071-81e1-fb22beacaaf7	10134c2f-bddb-4a9b-9dae-430cc79e8192	CHILLER
fe96a55f-970d-4071-81e1-fb22beacaaf7	3a53c41e-fc17-4947-b86c-3720aa0fa128	AIR_COOLED_CHILLER
fe96a55f-970d-4071-81e1-fb22beacaaf7	4fbf3a59-eb99-41ba-b614-e9d161611278	COOLING_TOWER
fe96a55f-970d-4071-81e1-fb22beacaaf7	e1b0df2b-5507-4f7e-b8af-c25f8bfc4bfd	DRY_COOLER
fe96a55f-970d-4071-81e1-fb22beacaaf7	7e3e7c8c-15a3-41c5-b7f6-d88bd6d6e05b	REMOTE_CONDENSER
fe96a55f-970d-4071-81e1-fb22beacaaf7	26883941-6a3f-4c8f-a9c2-9097c7f70baa	CHILLED_WATER_PUMPS
fe96a55f-970d-4071-81e1-fb22beacaaf7	3e00ff65-12ef-45ba-bf91-24faffa16237	HEAT_REJECTION_PUMPS
fe96a55f-970d-4071-81e1-fb22beacaaf7	539e84c0-dbf4-4d42-badc-65ff63e837f6	VENTILATION
fe96a55f-970d-4071-81e1-fb22beacaaf7	38bc4633-4761-4978-98e6-5fc402a148b8	INFILTRATION
fe96a55f-970d-4071-81e1-fb22beacaaf7	d35716c2-7c10-4ac6-80c4-86a653256f8a	IT_LOAD
88305668-eeaf-4a98-a783-bfe4895fed9d	3991014b-6c4f-4207-9a75-967fa11d0588	SWITCHGEAR
88305668-eeaf-4a98-a783-bfe4895fed9d	a0744158-cbeb-46ce-9fde-46b5149e9477	GENERATOR
88305668-eeaf-4a98-a783-bfe4895fed9d	f325fb34-e9ea-4b9b-82dd-8bdcd064bf2c	PRIMARY_AUXILIARIES
88305668-eeaf-4a98-a783-bfe4895fed9d	b1ae3154-c757-47fd-8e34-74249e2787f6	UPS
88305668-eeaf-4a98-a783-bfe4895fed9d	f3023fe6-da4e-4998-a7ad-b6f7eec805b5	CRITICAL_AUXILIARIES
88305668-eeaf-4a98-a783-bfe4895fed9d	96d260a5-9dc4-4332-9dcb-36fa9a7357da	LIGHTING
88305668-eeaf-4a98-a783-bfe4895fed9d	094e0d17-263e-442d-8760-92219433fa1b	CRITICAL_POWER_DISTRIBUTION
88305668-eeaf-4a98-a783-bfe4895fed9d	9a90a0ed-d94c-4fe6-b127-2995ac6702fe	CRAH
88305668-eeaf-4a98-a783-bfe4895fed9d	11466886-d98a-4ae5-b302-2447737c1dff	CRAC
88305668-eeaf-4a98-a783-bfe4895fed9d	25bc9497-2995-4cbe-b465-f266ca10480e	CRAC_WITHOUT_FAN
88305668-eeaf-4a98-a783-bfe4895fed9d	5bce9204-ce7c-471c-9d09-796b5f95b142	CRAC_FAN
88305668-eeaf-4a98-a783-bfe4895fed9d	66144d13-a443-447f-bb95-15ad264ee11a	CHILLER
88305668-eeaf-4a98-a783-bfe4895fed9d	d645332b-1cd7-413b-a7a7-923d37363143	AIR_COOLED_CHILLER
88305668-eeaf-4a98-a783-bfe4895fed9d	7336df83-5aef-45cb-96d4-c73c9b904621	COOLING_TOWER
88305668-eeaf-4a98-a783-bfe4895fed9d	e7a507ed-4180-4643-ac40-57b91c081e4c	DRY_COOLER
88305668-eeaf-4a98-a783-bfe4895fed9d	fd9bb544-8f7a-4dcc-9758-de89f98f6771	REMOTE_CONDENSER
88305668-eeaf-4a98-a783-bfe4895fed9d	80083e9f-b7e6-435c-b706-993411dd7c59	CHILLED_WATER_PUMPS
88305668-eeaf-4a98-a783-bfe4895fed9d	fde9629c-b239-4f07-9506-e61f38b60500	HEAT_REJECTION_PUMPS
88305668-eeaf-4a98-a783-bfe4895fed9d	5b614971-3742-475a-9ef0-0847601ce892	VENTILATION
88305668-eeaf-4a98-a783-bfe4895fed9d	dec8b3e7-ab63-4aee-bcc3-6d823095c3d7	INFILTRATION
88305668-eeaf-4a98-a783-bfe4895fed9d	34ebeb4f-c83a-488c-aa05-3ee185c67603	IT_LOAD
434bbecd-ed5a-4437-8569-d4d4cdf4639b	c22ef278-dea5-48e0-8dbc-966ccc893978	SWITCHGEAR
434bbecd-ed5a-4437-8569-d4d4cdf4639b	84a432de-7754-49aa-87e0-eca400221df7	GENERATOR
434bbecd-ed5a-4437-8569-d4d4cdf4639b	9a53a498-2eba-4f81-a765-71714e23924a	PRIMARY_AUXILIARIES
434bbecd-ed5a-4437-8569-d4d4cdf4639b	3b3539b6-c60b-45ac-821a-fd85e9191932	UPS
434bbecd-ed5a-4437-8569-d4d4cdf4639b	1a46d7ec-b75d-4d60-8aa1-64a00ae313ec	CRITICAL_AUXILIARIES
434bbecd-ed5a-4437-8569-d4d4cdf4639b	3b460b8b-6464-4f14-97e3-c85fb33aa227	LIGHTING
434bbecd-ed5a-4437-8569-d4d4cdf4639b	1cd10670-8cbb-4d8d-8567-99080bd7d1bb	CRITICAL_POWER_DISTRIBUTION
434bbecd-ed5a-4437-8569-d4d4cdf4639b	21cff47a-5b30-43a8-9f11-bc362c0fffe5	CRAH
434bbecd-ed5a-4437-8569-d4d4cdf4639b	66d7d569-c526-415c-af46-dca3152fe2cc	CRAC
434bbecd-ed5a-4437-8569-d4d4cdf4639b	de4b7374-b0e9-41a0-9b67-cbdb9bf26d00	CRAC_WITHOUT_FAN
434bbecd-ed5a-4437-8569-d4d4cdf4639b	a6d1b26a-965d-4a1c-adbe-0b9566da1510	CRAC_FAN
434bbecd-ed5a-4437-8569-d4d4cdf4639b	2447f168-bed2-4d0c-afc9-8831d2065e14	CHILLER
434bbecd-ed5a-4437-8569-d4d4cdf4639b	50e97e63-0fdb-4f3f-95fa-9855fb29e3b0	AIR_COOLED_CHILLER
434bbecd-ed5a-4437-8569-d4d4cdf4639b	9cededad-014d-428c-a013-cbdf46ae3205	COOLING_TOWER
434bbecd-ed5a-4437-8569-d4d4cdf4639b	2efc1237-3f88-4acd-a1b4-14776a4addaa	DRY_COOLER
434bbecd-ed5a-4437-8569-d4d4cdf4639b	35200c6f-8ad6-4a2a-b418-4cdc0adcaf91	REMOTE_CONDENSER
434bbecd-ed5a-4437-8569-d4d4cdf4639b	27445be5-ddc4-4d72-ba38-6928a136ae37	CHILLED_WATER_PUMPS
434bbecd-ed5a-4437-8569-d4d4cdf4639b	a6ddf8b0-6f40-4c69-879e-a9447f519ee4	HEAT_REJECTION_PUMPS
434bbecd-ed5a-4437-8569-d4d4cdf4639b	4aade487-07a5-49a1-927c-cc81c87d98aa	VENTILATION
434bbecd-ed5a-4437-8569-d4d4cdf4639b	38b4c0b6-1d16-401e-bceb-a70104e05bae	INFILTRATION
434bbecd-ed5a-4437-8569-d4d4cdf4639b	f16da821-6bde-4588-871c-b4c9dfdaa50c	IT_LOAD
96646c2f-2f31-4081-aacc-dae3534cf97c	48dd89e2-5891-4776-854b-4c43ae157a7c	SWITCHGEAR
96646c2f-2f31-4081-aacc-dae3534cf97c	dcfe0291-8eb0-410f-a037-f9bff4b5308a	GENERATOR
96646c2f-2f31-4081-aacc-dae3534cf97c	cf11e213-3cb7-4e31-9c06-f7a51ddaf261	PRIMARY_AUXILIARIES
96646c2f-2f31-4081-aacc-dae3534cf97c	8fb1912c-bb53-4015-aa3e-094bc856832b	UPS
96646c2f-2f31-4081-aacc-dae3534cf97c	59d87eb6-4bf1-40f8-84ef-e582ac774f29	CRITICAL_AUXILIARIES
96646c2f-2f31-4081-aacc-dae3534cf97c	51ee780d-8487-4661-b1a7-3a1a20f1c241	LIGHTING
96646c2f-2f31-4081-aacc-dae3534cf97c	08477558-d11a-47d9-afb4-c295e10c42bf	CRITICAL_POWER_DISTRIBUTION
96646c2f-2f31-4081-aacc-dae3534cf97c	ec6b44e1-ace3-4138-a8b3-9fa2c087139b	CRAH
96646c2f-2f31-4081-aacc-dae3534cf97c	fa268138-931e-4416-8062-649a275fc3c0	CRAC
96646c2f-2f31-4081-aacc-dae3534cf97c	14988e8b-9d07-4bb9-910d-236c42c4bf5a	CRAC_WITHOUT_FAN
96646c2f-2f31-4081-aacc-dae3534cf97c	c78e3d26-d561-4728-91df-e494ef5f9b10	CRAC_FAN
96646c2f-2f31-4081-aacc-dae3534cf97c	f5f47e6e-a3f5-47f6-9f7d-05c40bcf036f	CHILLER
96646c2f-2f31-4081-aacc-dae3534cf97c	61727e52-6aff-4e46-af44-c1e519470e14	AIR_COOLED_CHILLER
96646c2f-2f31-4081-aacc-dae3534cf97c	3bebe3a2-a019-4343-b4de-14f9f9892e4f	COOLING_TOWER
96646c2f-2f31-4081-aacc-dae3534cf97c	63469327-00d1-4bb8-b504-5c1217a0c1b5	DRY_COOLER
96646c2f-2f31-4081-aacc-dae3534cf97c	62ec1ddf-ed0b-4239-8244-0daf11e717b4	REMOTE_CONDENSER
96646c2f-2f31-4081-aacc-dae3534cf97c	15245f6e-b15a-4884-817d-85f75a70349d	CHILLED_WATER_PUMPS
96646c2f-2f31-4081-aacc-dae3534cf97c	1b9236dc-eb0b-4695-984e-b29d31808d84	HEAT_REJECTION_PUMPS
96646c2f-2f31-4081-aacc-dae3534cf97c	8eca63d1-79ea-4fa6-89fc-4bcc118f0ebf	VENTILATION
96646c2f-2f31-4081-aacc-dae3534cf97c	6bb88d01-9fb8-4c35-bdd3-bc2ebaa73b16	INFILTRATION
96646c2f-2f31-4081-aacc-dae3534cf97c	ea3e7e05-6014-4491-a930-afdcd1ed78c1	IT_LOAD
f5c3d20a-ce54-4020-b427-4c74247f4db8	5f92ebb2-98d2-4adc-acd6-42318aecb384	SWITCHGEAR
f5c3d20a-ce54-4020-b427-4c74247f4db8	3b05e4b0-9b19-4ded-ad48-22cfa6a05e40	GENERATOR
f5c3d20a-ce54-4020-b427-4c74247f4db8	090122de-8d62-4900-b0a6-8c597b56c042	PRIMARY_AUXILIARIES
f5c3d20a-ce54-4020-b427-4c74247f4db8	53b16cc9-85fa-4099-b638-a12636875630	UPS
f5c3d20a-ce54-4020-b427-4c74247f4db8	d4cd1726-294a-4914-83c7-206cdf23df0b	CRITICAL_AUXILIARIES
f5c3d20a-ce54-4020-b427-4c74247f4db8	7608a443-ab15-4dd5-b059-59993962ebcd	LIGHTING
f5c3d20a-ce54-4020-b427-4c74247f4db8	21373cee-3455-4d52-92b1-3ac691f091fd	CRITICAL_POWER_DISTRIBUTION
f5c3d20a-ce54-4020-b427-4c74247f4db8	8fe18021-0bb8-46d5-819c-d7da35de94e4	CRAH
f5c3d20a-ce54-4020-b427-4c74247f4db8	c14bab43-0916-4d1b-8d21-8d2a81c76138	CRAC
f5c3d20a-ce54-4020-b427-4c74247f4db8	79ba5e0e-dedc-4aa4-b9d6-96b8148792af	CRAC_WITHOUT_FAN
f5c3d20a-ce54-4020-b427-4c74247f4db8	b3e0618b-e128-4089-a481-d214cebc45a2	CRAC_FAN
f5c3d20a-ce54-4020-b427-4c74247f4db8	e079031d-553c-463f-8e35-6a1ea3db826a	CHILLER
f5c3d20a-ce54-4020-b427-4c74247f4db8	c9f13614-33aa-4910-a19f-780d0ba0df9d	AIR_COOLED_CHILLER
f5c3d20a-ce54-4020-b427-4c74247f4db8	484be57b-38d4-4a6b-b88b-3587d5227ea9	COOLING_TOWER
f5c3d20a-ce54-4020-b427-4c74247f4db8	5d1f3db1-0f71-43fe-a401-5c58c6ba5400	DRY_COOLER
f5c3d20a-ce54-4020-b427-4c74247f4db8	150511be-bd51-4181-bbe4-0acf9fc6621b	REMOTE_CONDENSER
f5c3d20a-ce54-4020-b427-4c74247f4db8	9fd5d1c0-02c6-4b50-88f7-a44c8bbcd2b6	CHILLED_WATER_PUMPS
f5c3d20a-ce54-4020-b427-4c74247f4db8	f418aa20-b1ae-4d8d-89af-436d000e67e7	HEAT_REJECTION_PUMPS
f5c3d20a-ce54-4020-b427-4c74247f4db8	6fc5204b-fe12-4d9f-947c-577dd8d62338	VENTILATION
f5c3d20a-ce54-4020-b427-4c74247f4db8	e4b44261-3ef6-41f3-8046-2a7bbaf87b58	INFILTRATION
f5c3d20a-ce54-4020-b427-4c74247f4db8	09078cae-bfa1-4ef1-a625-1a41c5f9eb7e	IT_LOAD
c4441331-0476-43bf-a03f-43b96a979536	1d44532e-d5e1-48db-a2d0-c51cde622c8a	SWITCHGEAR
c4441331-0476-43bf-a03f-43b96a979536	e6e20794-faf8-4278-a12a-efc3121b9811	GENERATOR
c4441331-0476-43bf-a03f-43b96a979536	fbc40477-d23b-4b8c-a2d6-689b8fb856af	PRIMARY_AUXILIARIES
c4441331-0476-43bf-a03f-43b96a979536	62ef09e2-b8b5-4b1c-ba73-bb7dbd775175	UPS
c4441331-0476-43bf-a03f-43b96a979536	1e96c013-30e2-4c43-bd98-4c0d45376737	CRITICAL_AUXILIARIES
c4441331-0476-43bf-a03f-43b96a979536	689abf7f-cb14-4e3e-aac5-d7b609f8da36	LIGHTING
c4441331-0476-43bf-a03f-43b96a979536	16b89d58-842f-4416-9213-aff6971da623	CRITICAL_POWER_DISTRIBUTION
c4441331-0476-43bf-a03f-43b96a979536	15ec8dd0-c12a-4c21-bd02-500819517c64	CRAH
c4441331-0476-43bf-a03f-43b96a979536	aa4f0ef2-6670-4829-b5af-a66eae0a1216	CRAC
c4441331-0476-43bf-a03f-43b96a979536	82fa3863-0653-475d-b9b6-8269f9a9fed3	CRAC_WITHOUT_FAN
c4441331-0476-43bf-a03f-43b96a979536	6d73f1d6-6aaf-436c-8280-2a5161069f83	CRAC_FAN
c4441331-0476-43bf-a03f-43b96a979536	37b97f9b-edaa-4e20-ba2e-7d8e1a092659	CHILLER
c4441331-0476-43bf-a03f-43b96a979536	bd7a2984-3a82-4a51-8cbd-37f6cf4b86ca	AIR_COOLED_CHILLER
c4441331-0476-43bf-a03f-43b96a979536	2afcf081-683c-45c6-ae7c-60a8271e883a	COOLING_TOWER
c4441331-0476-43bf-a03f-43b96a979536	f4e4fe6c-0802-4e8d-9894-e5b0b3c6b05b	DRY_COOLER
c4441331-0476-43bf-a03f-43b96a979536	a4cb12fe-eeec-4190-b6d6-a8f1044f8339	REMOTE_CONDENSER
c4441331-0476-43bf-a03f-43b96a979536	51748bd5-f0c9-4ad8-9907-d9d5c571e5fb	CHILLED_WATER_PUMPS
c4441331-0476-43bf-a03f-43b96a979536	da4da10b-89bb-41fb-aff2-9e0effe06fbc	HEAT_REJECTION_PUMPS
c4441331-0476-43bf-a03f-43b96a979536	57ba060f-acb9-465b-ba8d-584a69fc4df5	VENTILATION
c4441331-0476-43bf-a03f-43b96a979536	713a7fee-e9a3-4069-885a-fd5c9041cb26	INFILTRATION
c4441331-0476-43bf-a03f-43b96a979536	a42103c0-0f1b-41ce-84db-e925b5b51a0f	IT_LOAD
3ba13645-b837-46e8-8d7f-a9ecd2193597	47a2c740-5cfa-497f-b20f-d69ee14e2493	SWITCHGEAR
3ba13645-b837-46e8-8d7f-a9ecd2193597	8fad5325-f5f0-4b38-b9f4-607d18686661	GENERATOR
3ba13645-b837-46e8-8d7f-a9ecd2193597	f7cd7cea-cae7-405c-baf5-910e607edca5	PRIMARY_AUXILIARIES
3ba13645-b837-46e8-8d7f-a9ecd2193597	bb94544f-7409-43d2-8a39-587b1097dbd3	UPS
3ba13645-b837-46e8-8d7f-a9ecd2193597	9e505bc6-b165-444a-b487-45a5bab10579	CRITICAL_AUXILIARIES
3ba13645-b837-46e8-8d7f-a9ecd2193597	9e217238-945a-47f2-95ac-151795b13e48	LIGHTING
3ba13645-b837-46e8-8d7f-a9ecd2193597	f9cca9e6-3f92-42e3-8c67-5e875041c412	CRITICAL_POWER_DISTRIBUTION
3ba13645-b837-46e8-8d7f-a9ecd2193597	f1b1c2b0-3695-4749-80ca-abe3a600db50	CRAH
3ba13645-b837-46e8-8d7f-a9ecd2193597	6a567169-8b4c-4d81-8754-1f60cab07b2a	CRAC
3ba13645-b837-46e8-8d7f-a9ecd2193597	d37f2781-d7bb-40cb-b804-c482279749a6	CRAC_WITHOUT_FAN
3ba13645-b837-46e8-8d7f-a9ecd2193597	68114ad8-4407-40f8-a111-d8dd9a3822c6	CRAC_FAN
3ba13645-b837-46e8-8d7f-a9ecd2193597	ecd85001-48ea-42f7-a030-84108861ae54	CHILLER
3ba13645-b837-46e8-8d7f-a9ecd2193597	3570fa23-c697-4c5f-a0cb-864fcbeb0b3f	AIR_COOLED_CHILLER
3ba13645-b837-46e8-8d7f-a9ecd2193597	9ae40216-81af-4b67-94a2-1feed57e16ba	COOLING_TOWER
3ba13645-b837-46e8-8d7f-a9ecd2193597	2f60433e-9f62-4d29-bb54-b6b1c25a053a	DRY_COOLER
3ba13645-b837-46e8-8d7f-a9ecd2193597	369017f1-aab9-41f7-8bb0-62e95519b743	REMOTE_CONDENSER
3ba13645-b837-46e8-8d7f-a9ecd2193597	9caac1ad-9803-4dc8-920d-038d0415c750	CHILLED_WATER_PUMPS
3ba13645-b837-46e8-8d7f-a9ecd2193597	e52fe1e9-b4ee-436e-b566-88a08a6877dd	HEAT_REJECTION_PUMPS
3ba13645-b837-46e8-8d7f-a9ecd2193597	450a7d1c-e8fe-486f-99af-d28dcdb07caa	VENTILATION
3ba13645-b837-46e8-8d7f-a9ecd2193597	7b13e541-b162-4c74-a083-a8c0ad97984d	INFILTRATION
3ba13645-b837-46e8-8d7f-a9ecd2193597	cfd1fb61-e2dd-4049-b8fa-73ffc5f096d5	IT_LOAD
28487189-0146-4783-a777-5763e966d7ab	f265455a-f707-429b-b08c-8128b68891ec	SWITCHGEAR
28487189-0146-4783-a777-5763e966d7ab	1c8beb23-dc7a-435e-8357-57caac4ddaff	GENERATOR
28487189-0146-4783-a777-5763e966d7ab	1f33d3bb-cf5f-47ed-b2e0-d5abf8734589	PRIMARY_AUXILIARIES
28487189-0146-4783-a777-5763e966d7ab	94fed4de-4160-48ef-a095-77be74cea85c	UPS
28487189-0146-4783-a777-5763e966d7ab	52a5fba0-36de-421a-bbb2-84fd84b0e8e8	CRITICAL_AUXILIARIES
28487189-0146-4783-a777-5763e966d7ab	d10c929f-b1a7-44f0-9b8b-d2f19f20f3d3	LIGHTING
28487189-0146-4783-a777-5763e966d7ab	139c140f-6723-4ae4-8d97-e82b6e55caad	CRITICAL_POWER_DISTRIBUTION
28487189-0146-4783-a777-5763e966d7ab	c8436392-11b4-4007-abb1-b75fbf02eacd	CRAH
28487189-0146-4783-a777-5763e966d7ab	b9e20129-985f-42f2-90ff-2f5d904e2741	CRAC
28487189-0146-4783-a777-5763e966d7ab	25fed356-cd7f-4cd7-bcd7-ba9ff198065b	CRAC_WITHOUT_FAN
28487189-0146-4783-a777-5763e966d7ab	a49c76bd-feba-4470-a6a1-bce5ef8634d6	CRAC_FAN
28487189-0146-4783-a777-5763e966d7ab	29e4121b-c6da-4919-82a1-ea98e6c667dc	CHILLER
28487189-0146-4783-a777-5763e966d7ab	e48f9c40-ddcb-4237-a332-6a80a17c06b7	AIR_COOLED_CHILLER
28487189-0146-4783-a777-5763e966d7ab	46941ae9-4ef2-4fb0-8cef-30bf7058d2c3	COOLING_TOWER
28487189-0146-4783-a777-5763e966d7ab	04ef4bf4-88a8-43a7-a9f4-d08afcdbea81	DRY_COOLER
28487189-0146-4783-a777-5763e966d7ab	4925c218-fc69-4cb0-89a2-e310e8e924ef	REMOTE_CONDENSER
28487189-0146-4783-a777-5763e966d7ab	5cd67dab-1a50-445d-96b9-4e211770fd22	CHILLED_WATER_PUMPS
28487189-0146-4783-a777-5763e966d7ab	e978890c-9d27-44a6-8765-95416d1d1d52	HEAT_REJECTION_PUMPS
28487189-0146-4783-a777-5763e966d7ab	c96f63ba-aa5d-4ddf-ab4d-5abb4df9c8d1	VENTILATION
28487189-0146-4783-a777-5763e966d7ab	0f316839-e639-41c3-8e7a-ae258bcc08ca	INFILTRATION
28487189-0146-4783-a777-5763e966d7ab	068a97ef-c838-4493-b5ef-1b84918a3502	IT_LOAD
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	9f8d2fe3-9551-4b42-b9e9-bd193f756deb	SWITCHGEAR
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	6cde7707-bde9-40b5-8fdd-499b64a95041	GENERATOR
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	d4c8d048-f70f-4f93-9deb-a24b230b6741	PRIMARY_AUXILIARIES
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	8a43da6e-2190-4e5b-a302-d4c3102dd998	UPS
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	693f28b8-a8c6-4a8d-9231-5f7169067950	CRITICAL_AUXILIARIES
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	5b23ee42-d960-47aa-8cb7-48b4039a6420	LIGHTING
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	f711bf04-db7f-4821-975b-6ed8c5282da2	CRITICAL_POWER_DISTRIBUTION
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	a4a82df4-109b-49ba-ba4f-78392c242419	CRAH
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	578f8c15-456a-4d63-add0-3103139d00f7	CRAC
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	6bd9b1ad-b31f-48a4-8216-fb33ab743b37	CRAC_WITHOUT_FAN
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	fd0781cd-5c4c-414b-afca-98c7365afb6e	CRAC_FAN
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	e387cb75-f749-48d6-991e-583b4d99eff9	CHILLER
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	cd5f4513-1853-4531-813a-f9beff30244c	AIR_COOLED_CHILLER
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	8903d597-7fb3-4ed3-8c7c-e97bc768d707	COOLING_TOWER
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	f9201b22-c214-474d-8311-bb8d111f556a	DRY_COOLER
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	8398a531-9561-4380-b37f-8ee0928be50a	REMOTE_CONDENSER
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	07b0942e-dfe3-464a-a221-d27d5a2132ac	CHILLED_WATER_PUMPS
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	4d4fe68c-079f-4ba8-8360-9350cdf138d2	HEAT_REJECTION_PUMPS
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	a3f83b37-aced-41bd-a2d1-785ff5bd5e2a	VENTILATION
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	1270b9ed-11cf-4a21-adc0-b409282443ce	INFILTRATION
1c1fa282-fd82-4cd2-bb75-d0eb68ad25ea	0cf43d39-ad89-44ae-ad43-32e0da8cb287	IT_LOAD
bf0e787b-ec16-40ba-b737-9c5168638593	86b8ad27-7149-4c81-9802-1fefb2a863a6	SWITCHGEAR
bf0e787b-ec16-40ba-b737-9c5168638593	f32ab0f2-c610-46ed-b4d6-cbbac39f5b61	GENERATOR
bf0e787b-ec16-40ba-b737-9c5168638593	330577f1-2676-47f1-b48b-5b70c6954115	PRIMARY_AUXILIARIES
bf0e787b-ec16-40ba-b737-9c5168638593	edc1d073-dca0-4733-8cf6-8d0aa02cf417	UPS
bf0e787b-ec16-40ba-b737-9c5168638593	f36f501b-5506-496b-a870-f9b2388dbffe	CRITICAL_AUXILIARIES
bf0e787b-ec16-40ba-b737-9c5168638593	b7ea1531-6cfb-47a5-b384-7e181b7c240e	LIGHTING
bf0e787b-ec16-40ba-b737-9c5168638593	5b38975e-f68b-410e-ad72-c563f07f33ea	CRITICAL_POWER_DISTRIBUTION
bf0e787b-ec16-40ba-b737-9c5168638593	fce37b62-91c0-42c0-8482-05a232509d08	CRAH
bf0e787b-ec16-40ba-b737-9c5168638593	3d36cb6f-6174-4a06-bb8d-5e117718068f	CRAC
bf0e787b-ec16-40ba-b737-9c5168638593	f84e2642-56a5-4bd2-b536-b09151c1c2c8	CRAC_WITHOUT_FAN
bf0e787b-ec16-40ba-b737-9c5168638593	1ef68f83-b85f-48f6-98d6-a34af7091dbc	CRAC_FAN
bf0e787b-ec16-40ba-b737-9c5168638593	1d0178dc-3476-48d7-a0b7-6ff03016828a	CHILLER
bf0e787b-ec16-40ba-b737-9c5168638593	6bb5aa8c-30a7-4bfa-aee6-6e3466ab59eb	AIR_COOLED_CHILLER
bf0e787b-ec16-40ba-b737-9c5168638593	2cfc6506-359a-49b1-abdb-968d6f2b35ed	COOLING_TOWER
bf0e787b-ec16-40ba-b737-9c5168638593	b5a732c6-08d7-441b-8302-9f4e117ec37e	DRY_COOLER
bf0e787b-ec16-40ba-b737-9c5168638593	8e732ade-1bbe-4352-92f0-2c0c7ad00b12	REMOTE_CONDENSER
bf0e787b-ec16-40ba-b737-9c5168638593	952367e5-e39e-4070-a372-a04c199f4a8c	CHILLED_WATER_PUMPS
bf0e787b-ec16-40ba-b737-9c5168638593	29d15add-cd2c-4ac6-ba27-7f9c5e539797	HEAT_REJECTION_PUMPS
bf0e787b-ec16-40ba-b737-9c5168638593	bab5c181-8559-487c-95c0-c5700fa80e2d	VENTILATION
bf0e787b-ec16-40ba-b737-9c5168638593	15adb180-bf62-46e0-8939-65fe70d2a436	INFILTRATION
bf0e787b-ec16-40ba-b737-9c5168638593	859aa266-237d-40af-a250-9c6ea1b43fcb	IT_LOAD
4040ff0f-4441-4853-894d-e5d8463ffa53	7ed612ba-1f5e-44de-8771-f0c202073aaa	SWITCHGEAR
4040ff0f-4441-4853-894d-e5d8463ffa53	30f6f62d-892f-4980-9b2b-5b496d735bdf	GENERATOR
4040ff0f-4441-4853-894d-e5d8463ffa53	a837fa84-8748-4cd2-b249-5d84f9d365b0	PRIMARY_AUXILIARIES
4040ff0f-4441-4853-894d-e5d8463ffa53	affa3cd6-49d3-42f1-9d0e-4e6a2adcd8ea	UPS
4040ff0f-4441-4853-894d-e5d8463ffa53	8bb806d2-554a-4dbb-bbd8-451350e3131a	CRITICAL_AUXILIARIES
4040ff0f-4441-4853-894d-e5d8463ffa53	5db96816-ad0a-4a7d-ada2-9e85256746b2	LIGHTING
4040ff0f-4441-4853-894d-e5d8463ffa53	7f420835-0405-4f37-81a3-a226d4463ece	CRITICAL_POWER_DISTRIBUTION
4040ff0f-4441-4853-894d-e5d8463ffa53	63a599a7-fe61-43dd-83c5-7ad07e43bbdc	CRAH
4040ff0f-4441-4853-894d-e5d8463ffa53	a69ef375-29b0-4cf4-b624-1aa745dd3769	CRAC
4040ff0f-4441-4853-894d-e5d8463ffa53	276db0d7-b76b-4459-86d4-cc3a55e2ff3f	CRAC_WITHOUT_FAN
4040ff0f-4441-4853-894d-e5d8463ffa53	dc0ea1ea-1ab5-461a-ac8f-8e63e826d41c	CRAC_FAN
4040ff0f-4441-4853-894d-e5d8463ffa53	bffddf18-9a2c-432c-aca3-9deb69a35fb0	CHILLER
4040ff0f-4441-4853-894d-e5d8463ffa53	ba236d85-0859-4cea-b0a7-1dafa12ec4a6	AIR_COOLED_CHILLER
4040ff0f-4441-4853-894d-e5d8463ffa53	2ed085a0-0e2a-4e4b-87df-56139adb47ec	COOLING_TOWER
4040ff0f-4441-4853-894d-e5d8463ffa53	d641d3d6-5f97-4668-a9d4-d47939b69ade	DRY_COOLER
4040ff0f-4441-4853-894d-e5d8463ffa53	b5905ee4-4626-4e2a-b508-01783a63484f	REMOTE_CONDENSER
4040ff0f-4441-4853-894d-e5d8463ffa53	dc9965a6-90a3-4a60-87bb-c871b945f906	CHILLED_WATER_PUMPS
4040ff0f-4441-4853-894d-e5d8463ffa53	716ae3a7-3869-43ba-95e8-1c2263e9cb73	HEAT_REJECTION_PUMPS
4040ff0f-4441-4853-894d-e5d8463ffa53	338020c5-118c-4705-a796-8e9ab182f703	VENTILATION
4040ff0f-4441-4853-894d-e5d8463ffa53	4b529a56-5311-4bb5-a934-670f6bdbc147	INFILTRATION
4040ff0f-4441-4853-894d-e5d8463ffa53	8c19422e-73da-47c7-a5fc-884208aa1d2c	IT_LOAD
6ce6f873-446c-4d65-b100-919e6dbf10cc	5748a7e4-9b68-4901-871f-468413e1a198	SWITCHGEAR
6ce6f873-446c-4d65-b100-919e6dbf10cc	eef3e525-c74b-4170-a131-12c164ad2965	GENERATOR
6ce6f873-446c-4d65-b100-919e6dbf10cc	28ae9e7c-28de-47d6-aed4-3887818c9e77	PRIMARY_AUXILIARIES
6ce6f873-446c-4d65-b100-919e6dbf10cc	5c84ccac-ed40-4c96-8e80-39da661c0aa6	UPS
6ce6f873-446c-4d65-b100-919e6dbf10cc	eba22861-79cf-4ded-8654-7e39814b6dd6	CRITICAL_AUXILIARIES
6ce6f873-446c-4d65-b100-919e6dbf10cc	1da1b1b3-7749-42e9-9a1a-bfd9525d5544	LIGHTING
6ce6f873-446c-4d65-b100-919e6dbf10cc	92244269-f7e5-4146-9c7a-a0d860d566df	CRITICAL_POWER_DISTRIBUTION
6ce6f873-446c-4d65-b100-919e6dbf10cc	401e03d9-2a75-46a9-91b8-c21f7e17ec56	CRAH
6ce6f873-446c-4d65-b100-919e6dbf10cc	37182f84-b043-49a8-bf38-7d8206544b97	CRAC
6ce6f873-446c-4d65-b100-919e6dbf10cc	808ac78a-7486-45d4-801c-e896a7449d3d	CRAC_WITHOUT_FAN
6ce6f873-446c-4d65-b100-919e6dbf10cc	478fd656-afd4-4479-bbf2-db73a48fb928	CRAC_FAN
6ce6f873-446c-4d65-b100-919e6dbf10cc	0db3c3c6-6f5c-4d83-b10b-71c2afade309	CHILLER
6ce6f873-446c-4d65-b100-919e6dbf10cc	e266c5e6-c2f1-48ce-9914-307843817cf5	AIR_COOLED_CHILLER
6ce6f873-446c-4d65-b100-919e6dbf10cc	fcedaa68-e26a-4e7e-9fa3-61711de596a3	COOLING_TOWER
6ce6f873-446c-4d65-b100-919e6dbf10cc	4c8615e4-9e6a-4614-a931-4d7df7307b0f	DRY_COOLER
6ce6f873-446c-4d65-b100-919e6dbf10cc	1c88e94e-318b-4e7f-af9f-70b3577eb87b	REMOTE_CONDENSER
6ce6f873-446c-4d65-b100-919e6dbf10cc	1fed2ef8-ba67-44d6-8036-dd6cdde8f320	CHILLED_WATER_PUMPS
6ce6f873-446c-4d65-b100-919e6dbf10cc	ff735877-cced-49c8-a6a3-4953d5003f80	HEAT_REJECTION_PUMPS
6ce6f873-446c-4d65-b100-919e6dbf10cc	51fc890c-957c-4125-befa-e91f1e7bc582	VENTILATION
6ce6f873-446c-4d65-b100-919e6dbf10cc	08bc5764-d781-4e1a-85a5-403be817ca15	INFILTRATION
6ce6f873-446c-4d65-b100-919e6dbf10cc	499907e6-18af-4238-ac75-a624f949c828	IT_LOAD
3ca780cb-662d-44e4-aec3-50bc71311bdb	c3a2d9be-13e0-4542-a0ec-e7cae71d83c4	SWITCHGEAR
3ca780cb-662d-44e4-aec3-50bc71311bdb	ae467d7b-5986-4cb7-9d7d-d00275730aa8	GENERATOR
3ca780cb-662d-44e4-aec3-50bc71311bdb	9d9bbd0f-b57f-400a-a09e-d78c9543280a	PRIMARY_AUXILIARIES
3ca780cb-662d-44e4-aec3-50bc71311bdb	024cc843-9fd7-4536-98d1-85789b93e415	UPS
3ca780cb-662d-44e4-aec3-50bc71311bdb	15faff68-217b-4012-9da3-855eb2dccb64	CRITICAL_AUXILIARIES
3ca780cb-662d-44e4-aec3-50bc71311bdb	b6fa7795-2429-445b-b465-d687b899c45a	LIGHTING
3ca780cb-662d-44e4-aec3-50bc71311bdb	4603a1d1-e8e3-423d-80bf-b9b448b55e7d	CRITICAL_POWER_DISTRIBUTION
3ca780cb-662d-44e4-aec3-50bc71311bdb	8746ab71-a2b0-4b49-8427-871c6d779aff	CRAH
3ca780cb-662d-44e4-aec3-50bc71311bdb	18d2ebe7-124b-4a3a-aeba-6a0248f23b5a	CRAC
3ca780cb-662d-44e4-aec3-50bc71311bdb	6caff3c2-0184-404f-ad13-2fca5019f6ef	CRAC_WITHOUT_FAN
3ca780cb-662d-44e4-aec3-50bc71311bdb	b31cc7f5-8f66-417a-9819-74395df22630	CRAC_FAN
3ca780cb-662d-44e4-aec3-50bc71311bdb	64e2b2d5-3d36-4c4b-8d6c-ee125b5d2e0c	CHILLER
3ca780cb-662d-44e4-aec3-50bc71311bdb	1fd2eb5f-b118-437c-9e1a-9503d9854497	AIR_COOLED_CHILLER
3ca780cb-662d-44e4-aec3-50bc71311bdb	defb739c-cf23-41ba-adff-0c7fc83b4fb5	COOLING_TOWER
3ca780cb-662d-44e4-aec3-50bc71311bdb	a08fb11c-89e3-4002-bfee-f8ba99528415	DRY_COOLER
3ca780cb-662d-44e4-aec3-50bc71311bdb	44e6595f-3d4f-4f43-af2d-97674659a986	REMOTE_CONDENSER
3ca780cb-662d-44e4-aec3-50bc71311bdb	32b03388-8a02-4454-8f55-91ddf12b412e	CHILLED_WATER_PUMPS
3ca780cb-662d-44e4-aec3-50bc71311bdb	1234f066-3de9-4110-a7b5-b7335d592373	HEAT_REJECTION_PUMPS
3ca780cb-662d-44e4-aec3-50bc71311bdb	0f983c58-102a-479a-b1ee-e093831c1d95	VENTILATION
3ca780cb-662d-44e4-aec3-50bc71311bdb	1edc960e-d9b1-4ede-aa7c-5df6595f38bc	INFILTRATION
3ca780cb-662d-44e4-aec3-50bc71311bdb	d7770bab-e884-48ec-8c15-6cd19c860d72	IT_LOAD
473d680c-2a91-491c-9aa1-3d8e33a007e0	cb2cea51-608b-42c4-9357-0a76eb264f0e	SWITCHGEAR
473d680c-2a91-491c-9aa1-3d8e33a007e0	98e5fa62-1b9e-47d2-975b-bba287e71750	GENERATOR
473d680c-2a91-491c-9aa1-3d8e33a007e0	204035f3-c2a8-400f-af12-ddb81c5e1279	PRIMARY_AUXILIARIES
473d680c-2a91-491c-9aa1-3d8e33a007e0	8c24fd57-212f-4846-b489-b908f2985749	UPS
473d680c-2a91-491c-9aa1-3d8e33a007e0	5da7c380-705f-4a3f-8888-902f5354947b	CRITICAL_AUXILIARIES
473d680c-2a91-491c-9aa1-3d8e33a007e0	1b67bd61-c35b-4dbb-acb8-e2193677882f	LIGHTING
473d680c-2a91-491c-9aa1-3d8e33a007e0	1323a57a-e898-4b45-8ded-b47e0b0d7a9d	CRITICAL_POWER_DISTRIBUTION
473d680c-2a91-491c-9aa1-3d8e33a007e0	a08c1256-866b-47c0-b15c-59bfac04e63c	CRAH
473d680c-2a91-491c-9aa1-3d8e33a007e0	b0d949e2-52c3-4503-a5fb-2591b450f684	CRAC
473d680c-2a91-491c-9aa1-3d8e33a007e0	7003f6ff-fbfd-4ca3-a3e7-d57b3f15fb2d	CRAC_WITHOUT_FAN
473d680c-2a91-491c-9aa1-3d8e33a007e0	38ec8d51-9d60-483e-9811-45d603b82350	CRAC_FAN
473d680c-2a91-491c-9aa1-3d8e33a007e0	8679d01e-ef60-48a0-a2a1-a0cf001518f1	CHILLER
473d680c-2a91-491c-9aa1-3d8e33a007e0	0c406cb8-fb6a-4cad-9d1c-6a5ccc1e07ab	AIR_COOLED_CHILLER
473d680c-2a91-491c-9aa1-3d8e33a007e0	fe4aabee-a61f-4442-af48-740a7dddd041	COOLING_TOWER
473d680c-2a91-491c-9aa1-3d8e33a007e0	5df34093-996c-44bb-a62f-e81943a5a85e	DRY_COOLER
473d680c-2a91-491c-9aa1-3d8e33a007e0	14860410-475c-4f92-b1ab-4f9ca33d130c	REMOTE_CONDENSER
473d680c-2a91-491c-9aa1-3d8e33a007e0	ef573896-40d0-4890-90bb-75e21dd1c72e	CHILLED_WATER_PUMPS
473d680c-2a91-491c-9aa1-3d8e33a007e0	2ccfa8d0-2bd7-44c2-9634-df2c4af618a4	HEAT_REJECTION_PUMPS
473d680c-2a91-491c-9aa1-3d8e33a007e0	c89e1a91-7fa1-46e0-810c-9621079ed77e	VENTILATION
473d680c-2a91-491c-9aa1-3d8e33a007e0	c0c0e1bb-0859-41c9-ac9d-6f2f28e97237	INFILTRATION
473d680c-2a91-491c-9aa1-3d8e33a007e0	1ec14e1d-b8f1-4f9e-9c86-d7a18ae31a87	IT_LOAD
d48a9be2-2545-488a-8190-105f19a8cc0e	5b05c4bf-fa29-4f21-b282-0c24cbc00170	SWITCHGEAR
d48a9be2-2545-488a-8190-105f19a8cc0e	0da901c0-eadb-475e-b4e2-c289cb238134	GENERATOR
d48a9be2-2545-488a-8190-105f19a8cc0e	8ff273e1-7588-4f5b-8a52-e9cc028c0456	PRIMARY_AUXILIARIES
d48a9be2-2545-488a-8190-105f19a8cc0e	52ebf21a-2444-45ef-8ea5-8db451324cb8	UPS
d48a9be2-2545-488a-8190-105f19a8cc0e	1430259f-29c9-4c17-a043-0c8b48c5856f	CRITICAL_AUXILIARIES
d48a9be2-2545-488a-8190-105f19a8cc0e	d367473e-559c-4acd-935f-09295f11a314	LIGHTING
d48a9be2-2545-488a-8190-105f19a8cc0e	6a1e540c-0b6a-4d4b-8e26-528d51a33072	CRITICAL_POWER_DISTRIBUTION
d48a9be2-2545-488a-8190-105f19a8cc0e	2135e9b4-c344-4c03-95fb-03697b8c9843	CRAH
d48a9be2-2545-488a-8190-105f19a8cc0e	6f3696e1-6035-4231-be2a-fd32a69c0c53	CRAC
d48a9be2-2545-488a-8190-105f19a8cc0e	a46a601c-12c7-47c1-9439-6903e4b8cb43	CRAC_WITHOUT_FAN
d48a9be2-2545-488a-8190-105f19a8cc0e	dccc67f7-2495-49a1-be38-21d36ff45dd9	CRAC_FAN
d48a9be2-2545-488a-8190-105f19a8cc0e	ad90a756-ebcf-4907-b94c-f1bc5874cacf	CHILLER
d48a9be2-2545-488a-8190-105f19a8cc0e	fcde8580-04c1-4f0b-90a7-fc5d54b548af	AIR_COOLED_CHILLER
d48a9be2-2545-488a-8190-105f19a8cc0e	0e5a6a63-ad4a-4629-9bd5-e2f552d7aceb	COOLING_TOWER
d48a9be2-2545-488a-8190-105f19a8cc0e	478f311b-1135-4be1-b4e5-c633915cb4c8	DRY_COOLER
d48a9be2-2545-488a-8190-105f19a8cc0e	9ee3ec6d-d563-4151-838c-9e2146676214	REMOTE_CONDENSER
d48a9be2-2545-488a-8190-105f19a8cc0e	39b6cb4c-b04b-485a-94d6-37fbf1bc664f	CHILLED_WATER_PUMPS
d48a9be2-2545-488a-8190-105f19a8cc0e	5d07e681-a810-4559-95cd-1665b878f364	HEAT_REJECTION_PUMPS
d48a9be2-2545-488a-8190-105f19a8cc0e	5f10dfe5-aa2a-48c9-a10d-2349cd0735ac	VENTILATION
d48a9be2-2545-488a-8190-105f19a8cc0e	887abb7b-8f3d-4e1e-ab89-afb30ba91526	INFILTRATION
d48a9be2-2545-488a-8190-105f19a8cc0e	79e76b61-93a2-4295-9f1b-037df408a675	IT_LOAD
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	58af3797-d675-4294-bfa4-f770ceeb3bf8	SWITCHGEAR
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	f8da9146-e578-4be8-a2a1-93ac2d174c1c	GENERATOR
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	5c18ce23-b5a6-4fe6-952b-acc809beb8f4	PRIMARY_AUXILIARIES
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	b98295ae-2acc-436a-9c87-48fd45e50906	UPS
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	30995b38-b3bc-4887-9532-afbc128bf082	CRITICAL_AUXILIARIES
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	6c20f56a-02ac-4f59-86ed-e26ce7c2124a	LIGHTING
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	4d3d3048-8837-48e4-97e0-4c998a20e6b7	CRITICAL_POWER_DISTRIBUTION
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	02aa3ed7-c9c4-408e-b647-0d2688ed11fe	CRAH
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	4eed81cb-076f-4fe1-96aa-cd8443c318b0	CRAC
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	75611f4f-ff6e-419b-b1a8-15fc62ef7b2f	CRAC_WITHOUT_FAN
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	fe55b222-855e-4066-880d-1300b91424e9	CRAC_FAN
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	1729f3ca-ca51-4168-a58e-85da40405f30	CHILLER
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	b570c9e3-996b-4d52-9f3e-45585b77954a	AIR_COOLED_CHILLER
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	9342da2b-cd8a-43e6-b8df-1e6ed3459479	COOLING_TOWER
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	f9a1ee6e-6ab1-4f48-97c5-f5d5d35a4b86	DRY_COOLER
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	9092a783-b310-425f-a188-6d657be003dc	REMOTE_CONDENSER
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	70f703be-a478-4b22-bd12-16a69186c613	CHILLED_WATER_PUMPS
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	71cd5acc-cc3b-46de-9f7d-2c0d7e17999f	HEAT_REJECTION_PUMPS
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	c023f861-801f-48be-ac32-448eabaf5166	VENTILATION
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	3b062a99-35b5-4e45-9197-e2a903159f7d	INFILTRATION
b0a3d0d8-9255-4b66-8c0d-b6b4d2a33149	7ee4368a-11eb-4616-a902-0e46bdc3487c	IT_LOAD
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	210e3b41-4499-4f2e-a17f-a5403bc8c552	SWITCHGEAR
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	dfeae8b4-2105-4d09-b075-3ad395880636	GENERATOR
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	aca6a632-f5ab-4e24-8acf-6b07ac951767	PRIMARY_AUXILIARIES
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	25430f75-0620-42b1-9688-38e0cd5824d7	UPS
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	57d6ad91-3bfd-4d24-8c3c-9edf706eddc2	CRITICAL_AUXILIARIES
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	96af4f87-4b2d-4273-b49f-0bff310ac9c0	LIGHTING
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	fb18bbdc-4a79-4bc0-85fe-abc5c2f0ebe3	CRITICAL_POWER_DISTRIBUTION
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	3462c6a6-4ceb-4bca-934e-cc073f8677d1	CRAH
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	fa1db377-814b-4912-8c71-d03c9cbbc891	CRAC
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	8bd0e7fd-3262-4024-866d-eaca3ad98b4b	CRAC_WITHOUT_FAN
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	fa8cbac0-e89d-4c9b-84a8-95e9c332c5e3	CRAC_FAN
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	efc82fb9-de24-40d4-8bb8-ce7379c03efc	CHILLER
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	89ba3519-9466-4514-9d3b-c495a2d50d2b	AIR_COOLED_CHILLER
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	c3ad9f1f-56fb-4341-b207-e2288b12c0b1	COOLING_TOWER
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	4f2d0e51-a826-4813-aec6-041b2860f782	DRY_COOLER
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	4dafbfca-585f-4ba9-80d0-3cc827271f4a	REMOTE_CONDENSER
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	92669636-c097-4465-98a6-73cd1a71a5c3	CHILLED_WATER_PUMPS
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	47841735-cf9e-4d20-a1f1-b74b1d4548e1	HEAT_REJECTION_PUMPS
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	9a154bed-882f-48dc-92d0-f1c8202168f8	VENTILATION
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	b5b88cbf-d8c5-4823-a9fa-6ed9ba7ef26d	INFILTRATION
a5cc756b-6a0f-4030-a8b2-d69685a5e9da	39e89bcf-0f87-4f68-8d69-fabd521a91e9	IT_LOAD
442e3349-9865-4ef5-bf81-cccd69973d6c	8611963d-0617-4390-a62e-413a7f8464ad	SWITCHGEAR
442e3349-9865-4ef5-bf81-cccd69973d6c	6789ae61-1dc5-4a01-aabe-8601e7a992c8	GENERATOR
442e3349-9865-4ef5-bf81-cccd69973d6c	3ceffb97-8a9b-4a20-b362-c57ed0a06045	PRIMARY_AUXILIARIES
442e3349-9865-4ef5-bf81-cccd69973d6c	5e50b7c2-2b83-40e1-923d-bfbbd2dcc9be	UPS
442e3349-9865-4ef5-bf81-cccd69973d6c	8dfceeed-9c98-4868-b68e-f631e174d477	CRITICAL_AUXILIARIES
442e3349-9865-4ef5-bf81-cccd69973d6c	0d7546e7-8478-49c5-9b1d-d51be139bb5d	LIGHTING
442e3349-9865-4ef5-bf81-cccd69973d6c	7044ec5a-dbb1-4220-b1e4-af1d42021abe	CRITICAL_POWER_DISTRIBUTION
442e3349-9865-4ef5-bf81-cccd69973d6c	e0e870e4-b3f9-4491-9e59-fbab2aa7b8bc	CRAH
442e3349-9865-4ef5-bf81-cccd69973d6c	edf650ec-1c5f-4bd0-855a-1d77f26858c7	CRAC
442e3349-9865-4ef5-bf81-cccd69973d6c	343b377d-59ab-4396-9546-b19fc0713279	CRAC_WITHOUT_FAN
442e3349-9865-4ef5-bf81-cccd69973d6c	246ae1a2-bf4d-4370-b357-996b07fec8e2	CRAC_FAN
442e3349-9865-4ef5-bf81-cccd69973d6c	b352a161-ada0-4fce-9713-c130b669d240	CHILLER
442e3349-9865-4ef5-bf81-cccd69973d6c	3bec67a2-0b93-4f05-8ec0-40697178b31f	AIR_COOLED_CHILLER
442e3349-9865-4ef5-bf81-cccd69973d6c	acf54792-952c-4d38-915b-b26a11e29544	COOLING_TOWER
442e3349-9865-4ef5-bf81-cccd69973d6c	61c5c661-19f6-4ce3-a92c-fe6f69e0556e	DRY_COOLER
442e3349-9865-4ef5-bf81-cccd69973d6c	d1eecee8-4af5-47f0-a5e8-6eb949fce759	REMOTE_CONDENSER
442e3349-9865-4ef5-bf81-cccd69973d6c	6e7324f4-cc21-4cec-b00f-3ceb23a08dd9	CHILLED_WATER_PUMPS
442e3349-9865-4ef5-bf81-cccd69973d6c	b1dad560-9ec7-4d60-9ae5-463757a3e8c2	HEAT_REJECTION_PUMPS
442e3349-9865-4ef5-bf81-cccd69973d6c	40073753-483b-4d8a-8ff0-2cd45a47c533	VENTILATION
442e3349-9865-4ef5-bf81-cccd69973d6c	2b16fd04-53be-4a5a-a3af-df5c029653ca	INFILTRATION
442e3349-9865-4ef5-bf81-cccd69973d6c	49f7d2a3-398a-4846-8a97-817219a77f6d	IT_LOAD
d429abe1-5182-4cea-946b-ccc69d22f4c5	558797e5-6ecc-4a6c-a87b-99a7e9f64be6	SWITCHGEAR
d429abe1-5182-4cea-946b-ccc69d22f4c5	c3de0b12-42dd-4d6e-be2b-30e72f2b47b2	GENERATOR
d429abe1-5182-4cea-946b-ccc69d22f4c5	28320a23-8f17-4a65-a0ca-459a0d24d2c3	PRIMARY_AUXILIARIES
d429abe1-5182-4cea-946b-ccc69d22f4c5	52eadb96-3dc0-4ce0-9a0a-aadfb12d856a	UPS
d429abe1-5182-4cea-946b-ccc69d22f4c5	f4c09c76-5afb-4bc0-a4bc-11df26709201	CRITICAL_AUXILIARIES
d429abe1-5182-4cea-946b-ccc69d22f4c5	611b8405-7ce5-4cde-a13a-139a39050ea1	LIGHTING
d429abe1-5182-4cea-946b-ccc69d22f4c5	8cce33d7-c3af-4249-afce-d0e3220ebff5	CRITICAL_POWER_DISTRIBUTION
d429abe1-5182-4cea-946b-ccc69d22f4c5	99d188ad-38ff-442b-be3d-7c6c32b1a447	CRAH
d429abe1-5182-4cea-946b-ccc69d22f4c5	a9db15b4-0e18-4324-b0a9-f158716d3fad	CRAC
d429abe1-5182-4cea-946b-ccc69d22f4c5	aca8f14e-c066-4e8e-84e4-3b9337b5ebb8	CRAC_WITHOUT_FAN
d429abe1-5182-4cea-946b-ccc69d22f4c5	1032d550-f5c6-4a83-9681-3fa9081817cb	CRAC_FAN
d429abe1-5182-4cea-946b-ccc69d22f4c5	de8e2984-a5e2-46fc-93bf-852a62374a81	CHILLER
d429abe1-5182-4cea-946b-ccc69d22f4c5	b7cad10a-7980-4dc6-9ba4-d68f84ec53bd	AIR_COOLED_CHILLER
d429abe1-5182-4cea-946b-ccc69d22f4c5	f1d15d42-1cc3-44d7-82eb-03c88c22109c	COOLING_TOWER
d429abe1-5182-4cea-946b-ccc69d22f4c5	a1454098-72b6-49bd-b25f-40494b5493c3	DRY_COOLER
d429abe1-5182-4cea-946b-ccc69d22f4c5	5a137dee-d810-493c-bfbe-a8e2a089eb00	REMOTE_CONDENSER
d429abe1-5182-4cea-946b-ccc69d22f4c5	6220f0db-e152-489b-91e1-650c461d9789	CHILLED_WATER_PUMPS
d429abe1-5182-4cea-946b-ccc69d22f4c5	43d78e03-139f-44e8-8689-114e081fd95a	HEAT_REJECTION_PUMPS
d429abe1-5182-4cea-946b-ccc69d22f4c5	a6b5fb70-da1c-47b6-a53c-1dff41d26f1f	VENTILATION
d429abe1-5182-4cea-946b-ccc69d22f4c5	11f2ffd6-273a-4917-abc4-c39c09de0e06	INFILTRATION
d429abe1-5182-4cea-946b-ccc69d22f4c5	fb0d1be0-477a-4903-a541-48270262cf92	IT_LOAD
98f37588-9a8c-4418-addc-98570474eb21	4c73b2cd-7bb4-4776-8ffa-7394683ba9f1	SWITCHGEAR
98f37588-9a8c-4418-addc-98570474eb21	e57cc4c3-b002-4bff-a43e-d852f4624caa	GENERATOR
98f37588-9a8c-4418-addc-98570474eb21	edf68ca6-53af-4f4b-9c61-5b1fa37be51a	PRIMARY_AUXILIARIES
98f37588-9a8c-4418-addc-98570474eb21	692c4b2a-eabc-4ab2-a8d2-4bf58ff02651	UPS
98f37588-9a8c-4418-addc-98570474eb21	2588e79e-dde7-4db1-8cef-5de98b11b42f	CRITICAL_AUXILIARIES
98f37588-9a8c-4418-addc-98570474eb21	55570cf7-b7fb-4bd0-b742-288fa717c8c1	LIGHTING
98f37588-9a8c-4418-addc-98570474eb21	3e677c83-688d-41a8-9408-e57e9078d14a	CRITICAL_POWER_DISTRIBUTION
98f37588-9a8c-4418-addc-98570474eb21	c331d21f-50a0-45fb-8a25-b35f2449a75e	CRAH
98f37588-9a8c-4418-addc-98570474eb21	eae40312-0b81-4d37-8be7-8443c5d989f0	CRAC
98f37588-9a8c-4418-addc-98570474eb21	f0a842d0-bb8e-4c33-be30-f139f6f20d00	CRAC_WITHOUT_FAN
98f37588-9a8c-4418-addc-98570474eb21	dec6794f-c758-4542-a8db-d6e5abf7c5c3	CRAC_FAN
98f37588-9a8c-4418-addc-98570474eb21	6c2d8afa-59d8-4272-ba89-1f544e8219da	CHILLER
98f37588-9a8c-4418-addc-98570474eb21	6bfadb3d-9f2a-4111-9ab5-afa775228052	AIR_COOLED_CHILLER
98f37588-9a8c-4418-addc-98570474eb21	86a7ce21-c26f-49ce-ab7b-0724889aa664	COOLING_TOWER
98f37588-9a8c-4418-addc-98570474eb21	b38a7299-a1f2-45da-aafe-062b735a4b94	DRY_COOLER
98f37588-9a8c-4418-addc-98570474eb21	721258d1-1f20-467d-bfce-6aa5ccda6228	REMOTE_CONDENSER
98f37588-9a8c-4418-addc-98570474eb21	b5cb4adf-af97-48c5-a537-9aaa369888a6	CHILLED_WATER_PUMPS
98f37588-9a8c-4418-addc-98570474eb21	bba2e84b-c35f-425b-a1d5-39831d1b87bf	HEAT_REJECTION_PUMPS
98f37588-9a8c-4418-addc-98570474eb21	9928ddbb-3913-493b-9a3b-fb29e8df2e9f	VENTILATION
98f37588-9a8c-4418-addc-98570474eb21	07e328ff-7ce3-464e-95cb-8870479d6f1a	INFILTRATION
98f37588-9a8c-4418-addc-98570474eb21	8a23e7c5-83ab-45e1-a306-82623baf3bda	IT_LOAD
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	4d019530-3ce4-4cf8-8250-6412ed1ff2a6	SWITCHGEAR
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	d38daa4b-70d9-497e-999b-06e7e0978858	GENERATOR
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	cf7915b0-a09f-44df-82c3-d24853a139dd	PRIMARY_AUXILIARIES
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	11c29692-37e5-487c-92e2-9999c31ff8fb	UPS
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	21aee9f8-c5bf-4562-b20b-452c790a35da	CRITICAL_AUXILIARIES
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	d94ad4d6-b022-4c6b-af56-be08f2c32ab3	LIGHTING
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	08d95d3a-0f0a-4dd9-93c3-17acbc975207	CRITICAL_POWER_DISTRIBUTION
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	15196f8c-1352-4fff-bbf3-e91f63b79db3	CRAH
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	0109aef0-c54f-4cb8-a734-63c657dd069b	CRAC
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	ba48f67f-108f-4c9c-a9a8-852643474037	CRAC_WITHOUT_FAN
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	0b0a1a28-f944-4d7b-bc55-570fed5f3d3b	CRAC_FAN
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	16e096e4-3e92-4fc1-b283-1d19e015f961	CHILLER
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	47103f96-c54b-4dcf-9d3b-39203d994d63	AIR_COOLED_CHILLER
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	fefc2b25-8880-4255-a9ce-70f811ee7e4c	COOLING_TOWER
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	08f5f7dd-84ae-4b1a-9fba-becd465116c8	DRY_COOLER
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	ed118f98-9bdd-4d15-aae0-3ac5f3383b65	REMOTE_CONDENSER
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	190ba756-0da2-4a3d-8769-39e821dbab56	CHILLED_WATER_PUMPS
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	bacb55ae-a0f7-40ba-a6b1-6e00ade5c35c	HEAT_REJECTION_PUMPS
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	5f78f087-1818-410c-978d-a94291bde18d	VENTILATION
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	f5326186-384a-4f29-bdf9-d66d50bfcf91	INFILTRATION
4e1be4c5-0f7a-4f70-b988-a32be98d4b04	22fd891a-7437-44fb-b78b-2835cbb657de	IT_LOAD
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	372444de-5fa6-417e-87d9-da22eb6a4ac5	SWITCHGEAR
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	69d2355e-36f9-4179-aa9d-16d1c956e781	GENERATOR
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	7f1a104d-5c04-4334-b966-e1c9b5acd2d9	PRIMARY_AUXILIARIES
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	e1b8889e-03c2-496f-a24a-f6ab72b96c51	UPS
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	57dd972f-7cc8-40bf-9c63-ba3124bcf783	CRITICAL_AUXILIARIES
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	4afa9e01-fd77-486d-aa59-57951e3171c3	LIGHTING
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	c8f0495d-f1d9-4341-8fa3-590c6ee7721f	CRITICAL_POWER_DISTRIBUTION
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	f03e4344-d478-4dcd-8267-a43e8587c19b	CRAH
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	d6108ebc-371b-4e9e-8089-fbbc9f66d8ab	CRAC
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	5100536d-611b-4789-8891-3a378f78b4b5	CRAC_WITHOUT_FAN
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	4b16a03a-9f5f-4449-8a68-7849bca6033f	CRAC_FAN
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	dfdcc341-8b74-4afd-9533-4d3337d6fed6	CHILLER
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	9a598c3e-2eaa-4bf2-a60b-4de8d078c8c1	AIR_COOLED_CHILLER
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	0f3e452e-8ceb-4c14-a728-3540d9d8562e	COOLING_TOWER
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	6c8a8f68-05ba-4ca4-a21c-c269e8614c2f	DRY_COOLER
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	b97d1164-10af-423e-a546-4ac4976d3208	REMOTE_CONDENSER
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	d8ca6e8d-1ae1-4395-b82d-5154b08bd3c5	CHILLED_WATER_PUMPS
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	fc5213bb-1cfd-4ef6-88df-a793bd99a8c9	HEAT_REJECTION_PUMPS
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	4a1ca366-cc4c-4ac4-aa7e-32c2b37e5200	VENTILATION
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	a18a1ae6-6c92-4d4e-a988-010f90235ced	INFILTRATION
6ac30b5a-0ce7-40c9-8f44-bb08bfb98e9b	ee706bbf-1f52-40f7-a6c1-01fb80d8b217	IT_LOAD
79c50264-f42d-4200-b472-be01cab5c547	cd76518d-79a4-4ef5-8878-62ae9afb17e3	SWITCHGEAR
79c50264-f42d-4200-b472-be01cab5c547	3b2e46ee-02ec-4924-9965-25597ef328c5	GENERATOR
79c50264-f42d-4200-b472-be01cab5c547	d1453f0d-dd1b-4636-b0ed-627d9322c45a	PRIMARY_AUXILIARIES
79c50264-f42d-4200-b472-be01cab5c547	d9a9c98f-a7e7-4717-970b-89f215dec616	UPS
79c50264-f42d-4200-b472-be01cab5c547	21104c99-41d0-463b-ae9c-966bcb419c91	CRITICAL_AUXILIARIES
79c50264-f42d-4200-b472-be01cab5c547	ca04fca0-cc2d-4eef-9399-a8a627177403	LIGHTING
79c50264-f42d-4200-b472-be01cab5c547	6d847b86-00fc-43fb-b699-ca44ecb4c470	CRITICAL_POWER_DISTRIBUTION
79c50264-f42d-4200-b472-be01cab5c547	535024a5-fe4c-41ad-a31e-9a626cdbc9c7	CRAH
79c50264-f42d-4200-b472-be01cab5c547	7f585c78-4a55-4518-b13c-ae48b4237de2	CRAC
79c50264-f42d-4200-b472-be01cab5c547	790dc53a-1966-4172-a8f9-738a65a0a2e4	CRAC_WITHOUT_FAN
79c50264-f42d-4200-b472-be01cab5c547	28afb2ce-638c-42c8-b095-cddc09dbe839	CRAC_FAN
79c50264-f42d-4200-b472-be01cab5c547	cb1f3993-dfc8-4a14-b9cb-b8b8b2e8fa3b	CHILLER
79c50264-f42d-4200-b472-be01cab5c547	3a546257-3f01-495f-a915-74acb27f63ae	AIR_COOLED_CHILLER
79c50264-f42d-4200-b472-be01cab5c547	6a3b76eb-a83f-4718-a87c-3d0a34a0c783	COOLING_TOWER
79c50264-f42d-4200-b472-be01cab5c547	d7597479-1745-4444-be04-5cd60ae30b6c	DRY_COOLER
79c50264-f42d-4200-b472-be01cab5c547	972dd702-aa53-44e8-90e3-87c4973fd960	REMOTE_CONDENSER
79c50264-f42d-4200-b472-be01cab5c547	73ee4e74-c632-4656-92b2-d7dca256766f	CHILLED_WATER_PUMPS
79c50264-f42d-4200-b472-be01cab5c547	0d16c644-dec4-4599-b740-8b764f877f50	HEAT_REJECTION_PUMPS
79c50264-f42d-4200-b472-be01cab5c547	e53ec69e-a00b-49c3-8de2-17547258d8e4	VENTILATION
79c50264-f42d-4200-b472-be01cab5c547	6c28e2c2-266b-4285-bd9e-eb153688be79	INFILTRATION
79c50264-f42d-4200-b472-be01cab5c547	b49b1f69-beb8-4c56-a8ea-34528585be66	IT_LOAD
2136aae7-6bed-494f-9a38-117abed8d981	ac6c1512-6e63-4907-a7bc-87fdd69d14da	SWITCHGEAR
2136aae7-6bed-494f-9a38-117abed8d981	22892a2b-23de-4939-8794-b5d2dbee89ac	GENERATOR
2136aae7-6bed-494f-9a38-117abed8d981	5f005042-73ed-46a2-8932-6bda4d8f3d9a	PRIMARY_AUXILIARIES
2136aae7-6bed-494f-9a38-117abed8d981	4862eaf0-259d-4601-94f9-c969ccb79543	UPS
2136aae7-6bed-494f-9a38-117abed8d981	031a13f3-ca1e-420e-b79c-581bc676074c	CRITICAL_AUXILIARIES
2136aae7-6bed-494f-9a38-117abed8d981	a8d6f8eb-6287-4dd6-b4d1-63b7cd6d5a9f	LIGHTING
2136aae7-6bed-494f-9a38-117abed8d981	a584501b-8a81-4c00-8d95-254aea3f89cd	CRITICAL_POWER_DISTRIBUTION
2136aae7-6bed-494f-9a38-117abed8d981	5c8f46fe-6537-4f0a-88fb-e56969709c31	CRAH
2136aae7-6bed-494f-9a38-117abed8d981	57283531-bc2a-429a-a721-541aae2c0ad9	CRAC
2136aae7-6bed-494f-9a38-117abed8d981	fe33d164-30c1-43db-b363-ebf4a17f7ae5	CRAC_WITHOUT_FAN
2136aae7-6bed-494f-9a38-117abed8d981	e3072b39-0bea-4702-93e8-7aac28cad1bd	CRAC_FAN
2136aae7-6bed-494f-9a38-117abed8d981	13cac6be-d52b-4e94-822d-81dcdb48fb69	CHILLER
2136aae7-6bed-494f-9a38-117abed8d981	01e2efdd-3012-416b-89c1-0464945c8f52	AIR_COOLED_CHILLER
2136aae7-6bed-494f-9a38-117abed8d981	7fc26f7e-4043-4dd9-a245-287780c52f9f	COOLING_TOWER
2136aae7-6bed-494f-9a38-117abed8d981	d053e32f-7e59-4b34-8667-55e4bc5a698a	DRY_COOLER
2136aae7-6bed-494f-9a38-117abed8d981	e5d53010-ab96-4c9c-ac51-f93aaed75cba	REMOTE_CONDENSER
2136aae7-6bed-494f-9a38-117abed8d981	bec448cd-bb87-4eca-8409-741dafa68c62	CHILLED_WATER_PUMPS
2136aae7-6bed-494f-9a38-117abed8d981	29cd8ce9-ad90-4b20-88d5-7bca92af39a4	HEAT_REJECTION_PUMPS
2136aae7-6bed-494f-9a38-117abed8d981	0b0e6cf1-f736-4b26-890d-678cc61777be	VENTILATION
2136aae7-6bed-494f-9a38-117abed8d981	7d533e20-2974-4b77-8b07-69c276802dc2	INFILTRATION
2136aae7-6bed-494f-9a38-117abed8d981	bfa3801f-cfac-4c60-8c7a-3d3b8067373d	IT_LOAD
22f77207-f1ce-499d-817a-a6266cdc9589	9e7b0448-aa6c-4e49-8dea-c2e014d377f2	SWITCHGEAR
22f77207-f1ce-499d-817a-a6266cdc9589	23811c0c-389c-4917-b1c9-f78827e41e9d	GENERATOR
22f77207-f1ce-499d-817a-a6266cdc9589	d32ce68e-f924-4c20-b28e-3168a7b81755	PRIMARY_AUXILIARIES
22f77207-f1ce-499d-817a-a6266cdc9589	9b1215b0-3752-4173-9388-feced8d1f9e8	UPS
22f77207-f1ce-499d-817a-a6266cdc9589	ba4a6e9a-85b8-4a17-b3fb-1f9d390f8eeb	CRITICAL_AUXILIARIES
22f77207-f1ce-499d-817a-a6266cdc9589	be1aeb56-5a0a-48d9-864f-75bfe3a296f9	LIGHTING
22f77207-f1ce-499d-817a-a6266cdc9589	4c1d7b3d-caf4-48a8-95f4-aa63d87320bb	CRITICAL_POWER_DISTRIBUTION
22f77207-f1ce-499d-817a-a6266cdc9589	de97cd1a-077e-4ddc-8e2a-96c2fc2f76e0	CRAH
22f77207-f1ce-499d-817a-a6266cdc9589	a786f1d4-e83e-4d71-9040-8e2236d3e5e0	CRAC
22f77207-f1ce-499d-817a-a6266cdc9589	1a956081-459b-45d8-a4df-5eed6f7e8ddd	CRAC_WITHOUT_FAN
22f77207-f1ce-499d-817a-a6266cdc9589	3ab013e6-86c5-4211-89e0-5af8972f81c4	CRAC_FAN
22f77207-f1ce-499d-817a-a6266cdc9589	746fa823-eb27-47ac-9903-91d6797e68da	CHILLER
22f77207-f1ce-499d-817a-a6266cdc9589	99a45fc0-7d79-4f80-bf2c-bf54f6803031	AIR_COOLED_CHILLER
22f77207-f1ce-499d-817a-a6266cdc9589	5fce7385-9446-4a91-a400-6d84f0645e9d	COOLING_TOWER
22f77207-f1ce-499d-817a-a6266cdc9589	d66fbf4a-9441-4e5b-8bd1-97940cb49ecb	DRY_COOLER
22f77207-f1ce-499d-817a-a6266cdc9589	2a36a709-6d97-4278-927b-3a6befe6237a	REMOTE_CONDENSER
22f77207-f1ce-499d-817a-a6266cdc9589	a3f003ce-11a9-4c85-9fa2-4ef70a8f9f97	CHILLED_WATER_PUMPS
22f77207-f1ce-499d-817a-a6266cdc9589	a274251c-1dd2-4823-a743-9461b300912c	HEAT_REJECTION_PUMPS
22f77207-f1ce-499d-817a-a6266cdc9589	4c0c04c9-e27c-4613-9e14-fabc2bfd7d55	VENTILATION
22f77207-f1ce-499d-817a-a6266cdc9589	e0eab5ae-7797-46a7-9411-060129e4a253	INFILTRATION
22f77207-f1ce-499d-817a-a6266cdc9589	d5976b46-e347-4ef6-a0db-110db03f14de	IT_LOAD
f9f38630-cb17-4463-9026-ab1b160e5b16	daaecfa3-42a5-4aed-9d77-32dbab337468	SWITCHGEAR
f9f38630-cb17-4463-9026-ab1b160e5b16	67951ebe-76f3-4d6b-aae6-c4896805be22	GENERATOR
f9f38630-cb17-4463-9026-ab1b160e5b16	d8b33555-c761-4dce-96bf-74aafad5fced	PRIMARY_AUXILIARIES
f9f38630-cb17-4463-9026-ab1b160e5b16	28277f6b-27bc-4476-8c20-79211f64b29b	UPS
f9f38630-cb17-4463-9026-ab1b160e5b16	08f0851b-3cc3-4267-ac19-bc84296e2c8d	CRITICAL_AUXILIARIES
f9f38630-cb17-4463-9026-ab1b160e5b16	0d77c518-6ff0-4e12-9ca5-51a1eb2c0967	LIGHTING
f9f38630-cb17-4463-9026-ab1b160e5b16	e4bdf698-95a6-4128-9f9d-7cfbd297fc2b	CRITICAL_POWER_DISTRIBUTION
f9f38630-cb17-4463-9026-ab1b160e5b16	a34716ab-8981-4d7d-a1a2-875875bdd640	CRAH
f9f38630-cb17-4463-9026-ab1b160e5b16	e8dd0a3f-6e1e-4853-b3be-b50a12e36964	CRAC
f9f38630-cb17-4463-9026-ab1b160e5b16	a1680333-cb61-4afc-acc4-35947e95bffe	CRAC_WITHOUT_FAN
f9f38630-cb17-4463-9026-ab1b160e5b16	2a15cd5d-ca10-4d98-bc31-bd3670699a4a	CRAC_FAN
f9f38630-cb17-4463-9026-ab1b160e5b16	fe3939ef-fc59-4145-877a-3cfbec991c83	CHILLER
f9f38630-cb17-4463-9026-ab1b160e5b16	6e0ef0e4-b73a-42aa-89a6-c97f6afed3f6	AIR_COOLED_CHILLER
f9f38630-cb17-4463-9026-ab1b160e5b16	1fd12637-04f5-4fdf-9872-5ec3902bba20	COOLING_TOWER
f9f38630-cb17-4463-9026-ab1b160e5b16	42213316-6178-458e-8182-d9c2bcbd55c1	DRY_COOLER
f9f38630-cb17-4463-9026-ab1b160e5b16	5ed7300d-ead5-4f91-ba4b-9dc4d0101c45	REMOTE_CONDENSER
f9f38630-cb17-4463-9026-ab1b160e5b16	7c1790f5-4d32-4ce7-b85e-3fea24311f82	CHILLED_WATER_PUMPS
f9f38630-cb17-4463-9026-ab1b160e5b16	6a0edb80-2d7b-4f2c-bb63-0b4c9a55546b	HEAT_REJECTION_PUMPS
f9f38630-cb17-4463-9026-ab1b160e5b16	0f4b1d41-94bc-4ca2-a792-454f1ae58dbf	VENTILATION
f9f38630-cb17-4463-9026-ab1b160e5b16	dd2459fa-010d-4f98-b975-5fc4d7af957f	INFILTRATION
f9f38630-cb17-4463-9026-ab1b160e5b16	5e5c8533-d029-4f12-b98c-9c233dd2e02c	IT_LOAD
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	f8243a87-2def-4298-9e24-3257b509c107	SWITCHGEAR
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	d955a488-2c6a-44fe-8162-79dbfd4a8ee9	GENERATOR
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	b6683c1a-ff86-4f1c-9888-58f710fe5679	PRIMARY_AUXILIARIES
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	7f115b7e-74aa-4e9e-898a-4ce041163bea	UPS
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	5bdb9cba-9d68-454f-9ab7-ee76b179cb48	CRITICAL_AUXILIARIES
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	d87f8e98-b115-4cd6-a784-f86c90b8194c	LIGHTING
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	aa83f4c9-4249-450d-9d6d-39738ae637e0	CRITICAL_POWER_DISTRIBUTION
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	b32bfe88-c271-47c9-8ca0-2a1c5422d197	CRAH
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	cd69041e-485f-4e7d-a934-8ad06c6dce1c	CRAC
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	71700dcd-1576-40d4-86aa-3fd49a94b9b0	CRAC_WITHOUT_FAN
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	68e14d20-cee6-4862-9de0-82e4855e32ee	CRAC_FAN
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	e11208b9-3519-4871-bb1b-56bac642ddff	CHILLER
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	073a3b09-1007-4361-aaa5-b6221c23c093	AIR_COOLED_CHILLER
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	2b58e598-8cc7-4d34-85ce-18417fb6bfec	COOLING_TOWER
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	34938dc4-0a4e-49fe-be3e-a868c6df112d	DRY_COOLER
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	84a67d8a-777c-40ca-9348-3e744c97dcbb	REMOTE_CONDENSER
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	4e71fcc2-06d5-4b35-b770-a1051c2381b9	CHILLED_WATER_PUMPS
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	2b05aa2d-ddaf-4b12-b4d0-7e4a75f21262	HEAT_REJECTION_PUMPS
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	4338e2d8-439d-4dd8-870d-d61d8c541889	VENTILATION
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	195ae800-3e99-4099-a860-312e4ab38e48	INFILTRATION
ab458a8e-34c1-454b-8e07-2a8d0c86b2ce	db11dc5c-8a02-4261-9272-1864412c961d	IT_LOAD
5a8ba515-3139-40db-acbf-492ea2f95e78	229fd8ef-aba3-42ec-b175-1c3f18aabab1	SWITCHGEAR
5a8ba515-3139-40db-acbf-492ea2f95e78	f9fd2680-6582-485c-971d-bbe8bbf1813a	GENERATOR
5a8ba515-3139-40db-acbf-492ea2f95e78	432b78ce-3979-4f3b-b8c5-af66656cec0f	PRIMARY_AUXILIARIES
5a8ba515-3139-40db-acbf-492ea2f95e78	e40957ab-58d0-4dc8-b0ef-a432e429edff	UPS
5a8ba515-3139-40db-acbf-492ea2f95e78	8a81fdf8-7a85-4dd4-8284-3a31fb0d2b3b	CRITICAL_AUXILIARIES
5a8ba515-3139-40db-acbf-492ea2f95e78	e23d3265-f6e2-4ed4-b441-da8b65e837c9	LIGHTING
5a8ba515-3139-40db-acbf-492ea2f95e78	4526617e-4ad0-4895-8a35-5bea610888b4	CRITICAL_POWER_DISTRIBUTION
5a8ba515-3139-40db-acbf-492ea2f95e78	d5e7d76a-8198-47a8-9cc3-7fdc632822b8	CRAH
5a8ba515-3139-40db-acbf-492ea2f95e78	0c328879-e0a2-484f-9aed-c6b2b8041ab0	CRAC
5a8ba515-3139-40db-acbf-492ea2f95e78	c8a1ee58-0402-42f7-9420-d16df2a24e40	CRAC_WITHOUT_FAN
5a8ba515-3139-40db-acbf-492ea2f95e78	e2b2dd33-606e-4f8b-9193-9620b3924055	CRAC_FAN
5a8ba515-3139-40db-acbf-492ea2f95e78	ef28b868-ea46-4d6b-a8cb-cb4abaff244b	CHILLER
5a8ba515-3139-40db-acbf-492ea2f95e78	89db300a-e094-4736-8a47-7fe4bec7285a	AIR_COOLED_CHILLER
5a8ba515-3139-40db-acbf-492ea2f95e78	8f3c7099-f424-471e-bacc-c4a8a348b927	COOLING_TOWER
5a8ba515-3139-40db-acbf-492ea2f95e78	0bfc2475-ba1f-405a-91fa-2c07ecad4bb9	DRY_COOLER
5a8ba515-3139-40db-acbf-492ea2f95e78	6e019207-53ea-475d-9cee-f43b34dfba8b	REMOTE_CONDENSER
5a8ba515-3139-40db-acbf-492ea2f95e78	6f0c8800-c565-4bea-82ae-247efee2fbdd	CHILLED_WATER_PUMPS
5a8ba515-3139-40db-acbf-492ea2f95e78	2e66563c-1796-4d85-bc74-fbd47239e685	HEAT_REJECTION_PUMPS
5a8ba515-3139-40db-acbf-492ea2f95e78	60539166-37d2-422e-a482-cbfefa520cd2	VENTILATION
5a8ba515-3139-40db-acbf-492ea2f95e78	960aeab8-6d67-41b5-abf4-4dce49d830d9	INFILTRATION
5a8ba515-3139-40db-acbf-492ea2f95e78	74998de9-a2ff-4e42-9823-6cad5a428621	IT_LOAD
881c1bff-9dd3-40b8-9812-954ce61af8f6	cdecfd5e-3e56-4968-badc-48cdcd0a7f45	SWITCHGEAR
881c1bff-9dd3-40b8-9812-954ce61af8f6	af02435b-844f-4d48-99eb-2d7f8757fb08	GENERATOR
881c1bff-9dd3-40b8-9812-954ce61af8f6	3db1ff65-3e2c-45da-bd61-9fba95ba1121	PRIMARY_AUXILIARIES
881c1bff-9dd3-40b8-9812-954ce61af8f6	d3882acc-7495-4be5-bd96-59d070dddc32	UPS
881c1bff-9dd3-40b8-9812-954ce61af8f6	f9cdbfb1-ddf7-4b67-a9f8-ea318b9d9066	CRITICAL_AUXILIARIES
881c1bff-9dd3-40b8-9812-954ce61af8f6	95d494c9-c92f-4736-b66e-23960b6b6a86	LIGHTING
881c1bff-9dd3-40b8-9812-954ce61af8f6	23cc3c90-9a77-400c-8d8b-7722c3359535	CRITICAL_POWER_DISTRIBUTION
881c1bff-9dd3-40b8-9812-954ce61af8f6	1644ba4d-64b0-4d18-a78c-d3c3ab8b8588	CRAH
881c1bff-9dd3-40b8-9812-954ce61af8f6	b81202f6-e42d-4a52-9a7c-d16dd2f67dcc	CRAC
881c1bff-9dd3-40b8-9812-954ce61af8f6	d4561925-f11b-447d-89f4-7667c66b633c	CRAC_WITHOUT_FAN
881c1bff-9dd3-40b8-9812-954ce61af8f6	336fcefa-eed6-4444-9a86-e1478ad7e2f5	CRAC_FAN
881c1bff-9dd3-40b8-9812-954ce61af8f6	b8fc29fa-6cc5-4ee9-bfa0-61d4cd71e097	CHILLER
881c1bff-9dd3-40b8-9812-954ce61af8f6	061626f9-3b95-4841-8a86-bfc906d40f9f	AIR_COOLED_CHILLER
881c1bff-9dd3-40b8-9812-954ce61af8f6	adc9d3ef-c2fc-450c-8d89-eacb7f7d0476	COOLING_TOWER
881c1bff-9dd3-40b8-9812-954ce61af8f6	eea6006e-6044-4d96-a44a-1d37b65849a5	DRY_COOLER
881c1bff-9dd3-40b8-9812-954ce61af8f6	59469675-6216-477c-85b9-0f9d907bee25	REMOTE_CONDENSER
881c1bff-9dd3-40b8-9812-954ce61af8f6	f9558022-17d0-4ccb-a184-e36430339991	CHILLED_WATER_PUMPS
881c1bff-9dd3-40b8-9812-954ce61af8f6	58ac1cc7-909d-45d1-8c18-3b4b46a85af3	HEAT_REJECTION_PUMPS
881c1bff-9dd3-40b8-9812-954ce61af8f6	230c79ee-5537-49b2-80ea-f479bc937322	VENTILATION
881c1bff-9dd3-40b8-9812-954ce61af8f6	93f3ec74-9d96-4db3-9f29-fb3427493670	INFILTRATION
881c1bff-9dd3-40b8-9812-954ce61af8f6	0d60e042-afaf-44db-83c4-bea89a3be112	IT_LOAD
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	2d46a716-ca23-4a56-9493-83398c4285da	SWITCHGEAR
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	0f0ff601-d0d4-4811-a804-6f2ad21fd9a1	GENERATOR
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	50aa8024-d20a-4f02-aa65-cdce57433eb0	PRIMARY_AUXILIARIES
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	28a58e26-9ce5-4731-86c0-102fa66621d4	UPS
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	bfe655ce-a753-411a-b296-3c76ea8b892c	CRITICAL_AUXILIARIES
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	21bef5a2-e029-4152-9636-a2f6973b4200	LIGHTING
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	17b06546-4f3b-4d41-a100-178d960c723d	CRITICAL_POWER_DISTRIBUTION
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	75ca8690-1208-493c-9bc6-e33ca8631220	CRAH
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	335aefbb-c748-44fd-a18c-365c782606e2	CRAC
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	c4a61034-1533-46d8-8569-abbc67f8573a	CRAC_WITHOUT_FAN
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	14af5f9c-c714-471c-935e-605d2d3019eb	CRAC_FAN
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	296f46da-2ba0-434e-aa4c-d8527ae71cb9	CHILLER
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	8b57a9ab-ea5e-4774-b588-1e40ca0c5240	AIR_COOLED_CHILLER
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	baecddf1-5fb4-4375-a17b-d433ddb09b95	COOLING_TOWER
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	a2bee3b9-0d27-4815-abbd-69c299bb0cbd	DRY_COOLER
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	0fd94d85-3c17-4df5-97a5-810a3589f802	REMOTE_CONDENSER
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	953f7d77-4452-4fce-96de-2046d79c8eb5	CHILLED_WATER_PUMPS
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	4b834dae-3533-46da-a6ec-be4bcf32090c	HEAT_REJECTION_PUMPS
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	d321d1b7-4d19-4d6a-93da-51507062db6a	VENTILATION
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	43340897-a13c-4775-9b04-374d0cae4250	INFILTRATION
5e5150ab-9b1f-42e3-91b9-41a0ea632cfd	9bdf563c-e429-4eb4-8943-e3c0bbaea66f	IT_LOAD
22a4caf0-1566-4b70-b6af-68a9c90b9025	f7ca65c0-a2a1-49ac-bde2-1932911ffb0d	SWITCHGEAR
22a4caf0-1566-4b70-b6af-68a9c90b9025	28b23ba0-b508-4e79-bbf2-bb9863a59d99	GENERATOR
22a4caf0-1566-4b70-b6af-68a9c90b9025	16a3d38e-4cb4-4e63-bedb-2b0c580e4fbd	PRIMARY_AUXILIARIES
22a4caf0-1566-4b70-b6af-68a9c90b9025	5f6a8c5a-a01e-4f83-b42b-34584faf0bfd	UPS
22a4caf0-1566-4b70-b6af-68a9c90b9025	e1d7cce0-55e9-4778-8b3d-69a4d689494d	CRITICAL_AUXILIARIES
22a4caf0-1566-4b70-b6af-68a9c90b9025	a3d97c0e-e24a-4849-93a0-8681e884824c	LIGHTING
22a4caf0-1566-4b70-b6af-68a9c90b9025	e3333dc6-4937-4b0d-9ec6-00ba341f62f1	CRITICAL_POWER_DISTRIBUTION
22a4caf0-1566-4b70-b6af-68a9c90b9025	cf3e1b15-f8c1-4370-97dc-c89061c26a61	CRAH
22a4caf0-1566-4b70-b6af-68a9c90b9025	f4a7cc9e-c89c-436f-bf9d-43a5c5fb54a4	CRAC
22a4caf0-1566-4b70-b6af-68a9c90b9025	9ba46c96-b64b-41bc-bdc9-da2aeacbf9c3	CRAC_WITHOUT_FAN
22a4caf0-1566-4b70-b6af-68a9c90b9025	e3f37d02-167d-41fb-8d66-329c418c1273	CRAC_FAN
22a4caf0-1566-4b70-b6af-68a9c90b9025	03301f0f-c86e-4f7a-a332-998171c36a03	CHILLER
22a4caf0-1566-4b70-b6af-68a9c90b9025	67c8dbc0-f1f7-4891-93f2-2b4be98a8565	AIR_COOLED_CHILLER
22a4caf0-1566-4b70-b6af-68a9c90b9025	ef5c96f2-12d0-42d6-9364-512a9858de43	COOLING_TOWER
22a4caf0-1566-4b70-b6af-68a9c90b9025	d1879cbb-360f-4d1c-8f1d-38aec6e3f53a	DRY_COOLER
22a4caf0-1566-4b70-b6af-68a9c90b9025	6480d875-63bf-4903-b333-c3e4193cc490	REMOTE_CONDENSER
22a4caf0-1566-4b70-b6af-68a9c90b9025	142e1142-102f-475e-81e0-db914886f7ad	CHILLED_WATER_PUMPS
22a4caf0-1566-4b70-b6af-68a9c90b9025	8f8ce55a-ce85-4f0c-b90f-cdfa259ae8f6	HEAT_REJECTION_PUMPS
22a4caf0-1566-4b70-b6af-68a9c90b9025	b95b61a7-a04b-4bbe-939b-8f7c13c2150d	VENTILATION
22a4caf0-1566-4b70-b6af-68a9c90b9025	59104103-55bb-4028-9a00-eb794689ffad	INFILTRATION
22a4caf0-1566-4b70-b6af-68a9c90b9025	8f2cf895-91a4-4306-a3bc-f70198076ffd	IT_LOAD
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	f4bcf489-fdbc-47aa-b942-bfa047433c9e	SWITCHGEAR
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	4edbbbe9-4d4e-4b52-a7d2-afef502b93fe	GENERATOR
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	e7087bcc-ae06-499d-9829-4498cabf9a61	PRIMARY_AUXILIARIES
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	160f1a9f-8ea2-425b-860b-4a7a02dee208	UPS
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	432b0f0e-016d-4979-82e9-e03cc2a70f6d	CRITICAL_AUXILIARIES
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	cddb3d24-f031-429e-9a54-6452a47c2ffe	LIGHTING
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	6d4ae94e-e0c2-44b5-af4b-00d88459e1cf	CRITICAL_POWER_DISTRIBUTION
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	9a4bf710-8fa3-47d0-8cc6-8ec8444c969b	CRAH
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	d14371ba-b88f-4213-b836-38e00ed3dfd1	CRAC
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	2dc6a022-ccd8-4b05-8998-76922a41b693	CRAC_WITHOUT_FAN
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	5c79b28c-73bd-4df2-960b-f5f41687c4ae	CRAC_FAN
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	75426c90-d43b-413b-93b8-502874f654e8	CHILLER
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	5f2c6d0f-edcd-40b7-86d6-79520fd6854a	AIR_COOLED_CHILLER
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	41828b6d-4020-466d-9e80-99340460e6ac	COOLING_TOWER
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	d462ff32-38b3-4542-a9c3-08a14763062c	DRY_COOLER
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	22d25217-96d8-44e9-a413-085904598b94	REMOTE_CONDENSER
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	60936ed2-dd3c-4d4f-a006-f194b46e412e	CHILLED_WATER_PUMPS
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	dfd6f5ee-ebd0-4844-949d-40092c32d187	HEAT_REJECTION_PUMPS
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	f39b8f23-1ec8-4b99-a585-9e8a967094c4	VENTILATION
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	16c86841-1cb6-4d02-9de5-fbae444e22f5	INFILTRATION
b7ddb1d2-25d3-44cd-9b8e-6402a4acb0ae	126558d7-729f-499a-88de-4f8bfe627237	IT_LOAD
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	5d14982f-ec7f-418d-8f34-ccbde6e3f4ed	SWITCHGEAR
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	dc80158c-553a-4469-9f39-bc820d78baac	GENERATOR
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	0fc1e1ae-f035-4d1a-b2f7-957fb19a8054	PRIMARY_AUXILIARIES
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	e75d82d5-73b7-4e38-bfe0-59df0e6acbb8	UPS
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	cf9e1c24-6f4c-4b57-9b03-6c034250d082	CRITICAL_AUXILIARIES
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	b7219357-9a15-403e-947a-238b17fc7b32	LIGHTING
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	7e4ab300-e492-4f3b-bf0b-1a98e5e673da	CRITICAL_POWER_DISTRIBUTION
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	6807adf9-12ae-46cf-8ecb-8158e4099b22	CRAH
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	2a06c6dd-c8a2-41e0-bb6b-621db5b54163	CRAC
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	a8f8bd97-5125-445f-af14-59e5b708abf1	CRAC_WITHOUT_FAN
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	5ad5e914-050d-436b-9fea-f32fa699d149	CRAC_FAN
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	f05823e5-5582-4613-b0a1-1826af448c32	CHILLER
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	99f36275-f8e4-4b15-8945-8e427389ba87	AIR_COOLED_CHILLER
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	942ace99-a640-45e4-a19a-974d2be7d7a8	COOLING_TOWER
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	f79bd848-6099-4c33-ad15-52643297e102	DRY_COOLER
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	f7104ff7-2386-4f23-809f-e0185db51910	REMOTE_CONDENSER
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	41d144ca-0415-4ee4-8b52-72300f33666b	CHILLED_WATER_PUMPS
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	eb9e0e88-d2cc-4c9e-8339-48587d4ab5a0	HEAT_REJECTION_PUMPS
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	0b842f62-270a-45a9-ba35-7a0485a3452e	VENTILATION
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	c345202b-7522-421f-9bcf-39ebba1e9554	INFILTRATION
950a1f0d-6bd8-4de2-9f84-f84d6ef23dec	9b4a1ade-ae77-4afa-9bf7-c5ae5d07dbbf	IT_LOAD
0f554983-fdb9-4471-b8d2-d3865609c681	ede5ac7d-cb6d-4ea5-aa3e-a1e9f57f830a	SWITCHGEAR
0f554983-fdb9-4471-b8d2-d3865609c681	a710c2b1-4848-4e8d-b1fe-0ae1a2c5da9c	GENERATOR
0f554983-fdb9-4471-b8d2-d3865609c681	a6cd4978-e443-40d7-a309-21afbe90f9d7	PRIMARY_AUXILIARIES
0f554983-fdb9-4471-b8d2-d3865609c681	41e7c2e9-6a38-49c4-b263-8398522ef1d4	UPS
0f554983-fdb9-4471-b8d2-d3865609c681	0ff14255-b65c-48cf-a0f3-5075a0118af8	CRITICAL_AUXILIARIES
0f554983-fdb9-4471-b8d2-d3865609c681	6798b101-ad0c-4622-bf59-4409a16a02e8	LIGHTING
0f554983-fdb9-4471-b8d2-d3865609c681	99efb5b6-8c78-414d-a48a-f0cc141369c7	CRITICAL_POWER_DISTRIBUTION
0f554983-fdb9-4471-b8d2-d3865609c681	ebce5511-a60f-4d3f-8add-56d99c4054fa	CRAH
0f554983-fdb9-4471-b8d2-d3865609c681	2a7ec042-fbf9-469f-8386-a5a9764cf47a	CRAC
0f554983-fdb9-4471-b8d2-d3865609c681	73c2b49a-a08b-4e00-94f1-09164ebc76ab	CRAC_WITHOUT_FAN
0f554983-fdb9-4471-b8d2-d3865609c681	3b80e393-0f73-4b34-a474-40efcda32ad4	CRAC_FAN
0f554983-fdb9-4471-b8d2-d3865609c681	fb2d76cf-b2bc-47e6-8cf4-ed4b89c76f59	CHILLER
0f554983-fdb9-4471-b8d2-d3865609c681	86e2b15c-cee8-4252-9de5-ae7cd5637593	AIR_COOLED_CHILLER
0f554983-fdb9-4471-b8d2-d3865609c681	4eafd8db-7681-46ea-90bd-52825fa4f2f8	COOLING_TOWER
0f554983-fdb9-4471-b8d2-d3865609c681	c4b245dc-c566-4d75-9866-1aa6f9c32141	DRY_COOLER
0f554983-fdb9-4471-b8d2-d3865609c681	831a886a-19ae-44ae-af0d-51d186abfffc	REMOTE_CONDENSER
0f554983-fdb9-4471-b8d2-d3865609c681	2c4dd339-7cb1-43ee-83dd-dfdde1713b5d	CHILLED_WATER_PUMPS
0f554983-fdb9-4471-b8d2-d3865609c681	becf60a8-d79e-4ab6-aee1-7641504c673a	HEAT_REJECTION_PUMPS
0f554983-fdb9-4471-b8d2-d3865609c681	3ae843e0-c149-4c71-a5e5-81838e776293	VENTILATION
0f554983-fdb9-4471-b8d2-d3865609c681	6144b53e-a53d-46b4-b3ca-26908dd14bc4	INFILTRATION
0f554983-fdb9-4471-b8d2-d3865609c681	81dc247a-7e64-4161-8526-ced9d344238f	IT_LOAD
03e41180-e9d9-47be-b036-3521750e7e74	865d50a6-b4e2-408e-aae9-32e4ca5819c2	SWITCHGEAR
03e41180-e9d9-47be-b036-3521750e7e74	a9741ee2-ee9f-438b-9160-c5515c476873	GENERATOR
03e41180-e9d9-47be-b036-3521750e7e74	be3d3554-bc02-4256-893a-b42564edb274	PRIMARY_AUXILIARIES
03e41180-e9d9-47be-b036-3521750e7e74	14a07a5f-fda2-4287-8610-76120dd81acc	UPS
03e41180-e9d9-47be-b036-3521750e7e74	5edb5154-a26a-4485-964e-5598be910c88	CRITICAL_AUXILIARIES
03e41180-e9d9-47be-b036-3521750e7e74	8698aeea-0520-4a44-925c-3b2bbf3b93b9	LIGHTING
03e41180-e9d9-47be-b036-3521750e7e74	ff15c264-b137-4bcb-9a20-fb5db4916fae	CRITICAL_POWER_DISTRIBUTION
03e41180-e9d9-47be-b036-3521750e7e74	db1b96b2-b88e-4048-bbd9-3de92ebda405	CRAH
03e41180-e9d9-47be-b036-3521750e7e74	5059f29a-d575-4b86-9e81-20dc874fe58e	CRAC
03e41180-e9d9-47be-b036-3521750e7e74	cd2dba26-e11f-4177-9ded-95c9fa2a1d4d	CRAC_WITHOUT_FAN
03e41180-e9d9-47be-b036-3521750e7e74	08426c27-85a6-4bf8-abe0-0177bd8350f8	CRAC_FAN
03e41180-e9d9-47be-b036-3521750e7e74	290ea6c2-546c-48a0-a311-6f90ebd2fbbc	CHILLER
03e41180-e9d9-47be-b036-3521750e7e74	69a7b85b-11e4-4f08-a134-e348009e8b3a	AIR_COOLED_CHILLER
03e41180-e9d9-47be-b036-3521750e7e74	e1dd4c1f-cf91-47b7-8c1b-b6a4d14dd485	COOLING_TOWER
03e41180-e9d9-47be-b036-3521750e7e74	9376a9ec-d4ff-4a74-ac12-a729439a9bae	DRY_COOLER
03e41180-e9d9-47be-b036-3521750e7e74	332ac878-cc41-4788-a613-975efa71a794	REMOTE_CONDENSER
03e41180-e9d9-47be-b036-3521750e7e74	be9b4a94-18e0-432d-bc4c-442427b30e48	CHILLED_WATER_PUMPS
03e41180-e9d9-47be-b036-3521750e7e74	4907f487-153e-40c3-bde7-071b3d86b993	HEAT_REJECTION_PUMPS
03e41180-e9d9-47be-b036-3521750e7e74	9a3a2aba-71e1-4921-81c8-7b59016c0aaa	VENTILATION
03e41180-e9d9-47be-b036-3521750e7e74	aa3ba636-5470-46d9-9099-99d06d748ce9	INFILTRATION
03e41180-e9d9-47be-b036-3521750e7e74	574eaace-b9db-428b-aacb-cb1891d4593d	IT_LOAD
62d410e4-4eee-4641-8155-b7fb202ad87b	d2f474ae-049b-4499-a0d6-7a1015c0e2ea	SWITCHGEAR
62d410e4-4eee-4641-8155-b7fb202ad87b	a2529820-3302-4c1b-9a75-b2630a6c692a	GENERATOR
62d410e4-4eee-4641-8155-b7fb202ad87b	24a59843-92ae-4197-bcee-0995c9f750c0	PRIMARY_AUXILIARIES
62d410e4-4eee-4641-8155-b7fb202ad87b	13680e83-ed33-4c69-80af-070bd8d62262	UPS
62d410e4-4eee-4641-8155-b7fb202ad87b	94ac4c29-3c55-48a4-94bd-34420270f6a6	CRITICAL_AUXILIARIES
62d410e4-4eee-4641-8155-b7fb202ad87b	1a7de051-291d-4e88-a1e0-66c42c06c70c	LIGHTING
62d410e4-4eee-4641-8155-b7fb202ad87b	1975d45b-69b3-4f25-8661-876e2ec9e551	CRITICAL_POWER_DISTRIBUTION
62d410e4-4eee-4641-8155-b7fb202ad87b	aff2d20d-a700-4833-914a-909223a8da07	CRAH
62d410e4-4eee-4641-8155-b7fb202ad87b	db5958e4-0c7c-4361-ac1b-efd60db3be37	CRAC
62d410e4-4eee-4641-8155-b7fb202ad87b	b416c6e1-fa84-4e6b-8fab-b8dd05b8ce12	CRAC_WITHOUT_FAN
62d410e4-4eee-4641-8155-b7fb202ad87b	61558653-f984-499d-984e-3736b0335966	CRAC_FAN
62d410e4-4eee-4641-8155-b7fb202ad87b	cf1c90ea-4c8e-4d8f-a363-fad8b3300398	CHILLER
62d410e4-4eee-4641-8155-b7fb202ad87b	f8ae4a5a-8cfc-4acb-a949-5dc00ca64561	AIR_COOLED_CHILLER
62d410e4-4eee-4641-8155-b7fb202ad87b	a3e2c2c1-5a54-42ea-b446-b460bc17c9cf	COOLING_TOWER
62d410e4-4eee-4641-8155-b7fb202ad87b	845128f4-4e0e-4b6d-8707-a9c90f6e8c23	DRY_COOLER
62d410e4-4eee-4641-8155-b7fb202ad87b	b91dd20b-9ea1-42ed-a374-85a6a15ab0a9	REMOTE_CONDENSER
62d410e4-4eee-4641-8155-b7fb202ad87b	ffa19281-a1f6-42ac-97d8-29b04dee36bb	CHILLED_WATER_PUMPS
62d410e4-4eee-4641-8155-b7fb202ad87b	59933630-bae5-4599-ad1c-9aa5fe7a07a1	HEAT_REJECTION_PUMPS
62d410e4-4eee-4641-8155-b7fb202ad87b	884f5fcc-c427-4bc6-8df5-e04ab70bb0b7	VENTILATION
62d410e4-4eee-4641-8155-b7fb202ad87b	b70a0abc-ef35-4251-bbaf-504e8c9775d6	INFILTRATION
62d410e4-4eee-4641-8155-b7fb202ad87b	11516764-44b9-462c-b6c4-4de52438a0b7	IT_LOAD
13440084-49c9-4230-acd0-b0aec7bf680a	86f604e4-f983-49f1-b201-96243c023c03	SWITCHGEAR
13440084-49c9-4230-acd0-b0aec7bf680a	91a8ee89-2aa3-4011-adcb-be9fd3660643	GENERATOR
13440084-49c9-4230-acd0-b0aec7bf680a	84b7a1b6-3b30-4383-b636-4059861671b2	PRIMARY_AUXILIARIES
13440084-49c9-4230-acd0-b0aec7bf680a	580cc867-7320-4576-b145-c51f51e65347	UPS
13440084-49c9-4230-acd0-b0aec7bf680a	cb82fda4-0fd5-4b28-8986-880cbaccaa05	CRITICAL_AUXILIARIES
13440084-49c9-4230-acd0-b0aec7bf680a	d831c696-c76d-4363-963f-551ff9fd6800	LIGHTING
13440084-49c9-4230-acd0-b0aec7bf680a	fd7cbd01-aeb2-4d88-95b4-3168ad27ef1d	CRITICAL_POWER_DISTRIBUTION
13440084-49c9-4230-acd0-b0aec7bf680a	df501c3c-66ed-415f-bbf5-7adaa1a301a0	CRAH
13440084-49c9-4230-acd0-b0aec7bf680a	fd28e284-714e-4548-ad00-947270ffc896	CRAC
13440084-49c9-4230-acd0-b0aec7bf680a	0318802c-abd5-4a94-a375-3e5b1d46e193	CRAC_WITHOUT_FAN
13440084-49c9-4230-acd0-b0aec7bf680a	d31aa122-6312-4100-8e08-d0d03ceeafa0	CRAC_FAN
13440084-49c9-4230-acd0-b0aec7bf680a	9714c21c-c7c0-48bf-9d83-52b5eaac307d	CHILLER
13440084-49c9-4230-acd0-b0aec7bf680a	74cdd10f-28ed-44f6-9a85-32cc40ae32ed	AIR_COOLED_CHILLER
13440084-49c9-4230-acd0-b0aec7bf680a	b1cf7e2b-b24d-4e30-8cb5-036c0806c719	COOLING_TOWER
13440084-49c9-4230-acd0-b0aec7bf680a	54383144-cc7b-434a-ba3c-e469fc803388	DRY_COOLER
13440084-49c9-4230-acd0-b0aec7bf680a	3a4893b0-d3a4-44e2-9339-78b4aea6c39a	REMOTE_CONDENSER
13440084-49c9-4230-acd0-b0aec7bf680a	75228546-9b09-4882-b12c-50a63f037b16	CHILLED_WATER_PUMPS
13440084-49c9-4230-acd0-b0aec7bf680a	118dbc41-8f13-4762-b275-a44207537f6f	HEAT_REJECTION_PUMPS
13440084-49c9-4230-acd0-b0aec7bf680a	1fdb78e5-d825-44b3-b841-1132ebeff3e7	VENTILATION
13440084-49c9-4230-acd0-b0aec7bf680a	79e17e79-376e-4559-9145-19d9993e22b5	INFILTRATION
13440084-49c9-4230-acd0-b0aec7bf680a	8393b42c-aad2-4e32-8d75-4783e6845809	IT_LOAD
f6f2b40e-55a2-4d01-92b1-38adc53d021e	5234a113-a9a9-4529-9fbb-8bf4e5791240	SWITCHGEAR
f6f2b40e-55a2-4d01-92b1-38adc53d021e	d2703b8a-14a3-4141-9988-1d2e5ced1b46	GENERATOR
f6f2b40e-55a2-4d01-92b1-38adc53d021e	56e1ee25-9617-40ae-a87a-49042fa9f82a	PRIMARY_AUXILIARIES
f6f2b40e-55a2-4d01-92b1-38adc53d021e	f0bbc203-8e5a-4398-a326-db21ed52672e	UPS
f6f2b40e-55a2-4d01-92b1-38adc53d021e	d602fd14-984e-450a-ab41-756e109c09ca	CRITICAL_AUXILIARIES
f6f2b40e-55a2-4d01-92b1-38adc53d021e	1f8cbf7b-c632-477a-b778-adcaa534fa47	LIGHTING
f6f2b40e-55a2-4d01-92b1-38adc53d021e	3145ad2a-e43c-4a24-991b-26c53b2c5804	CRITICAL_POWER_DISTRIBUTION
f6f2b40e-55a2-4d01-92b1-38adc53d021e	36aae5b4-6225-4e18-a178-3e749bd77ca2	CRAH
f6f2b40e-55a2-4d01-92b1-38adc53d021e	1ba7d947-12e3-4aab-9a5f-d3d1d2edceeb	CRAC
f6f2b40e-55a2-4d01-92b1-38adc53d021e	b7759eee-6017-4412-87fa-f89864a73fe9	CRAC_WITHOUT_FAN
f6f2b40e-55a2-4d01-92b1-38adc53d021e	210cab22-fc94-418a-90ed-9ae29024a92e	CRAC_FAN
f6f2b40e-55a2-4d01-92b1-38adc53d021e	9476891a-3438-4ad6-9c73-9931c0d7c98f	CHILLER
f6f2b40e-55a2-4d01-92b1-38adc53d021e	4b607b08-b776-4d9d-a6db-258024345f7c	AIR_COOLED_CHILLER
f6f2b40e-55a2-4d01-92b1-38adc53d021e	b6f9f8fd-35b6-4afc-9907-6f2cca4b27c3	COOLING_TOWER
f6f2b40e-55a2-4d01-92b1-38adc53d021e	e3c897f0-e6f8-4b95-a1b0-33f7e75012ee	DRY_COOLER
f6f2b40e-55a2-4d01-92b1-38adc53d021e	ade11ea7-7bd3-472b-9a30-3d3259653b8d	REMOTE_CONDENSER
f6f2b40e-55a2-4d01-92b1-38adc53d021e	ee998ab0-4741-4718-bf4c-c709946c175b	CHILLED_WATER_PUMPS
f6f2b40e-55a2-4d01-92b1-38adc53d021e	d21885ca-8dcd-4fa0-a193-23a50c80381b	HEAT_REJECTION_PUMPS
f6f2b40e-55a2-4d01-92b1-38adc53d021e	67093253-1a35-4e6a-bf4d-9b2bb04c0d8e	VENTILATION
f6f2b40e-55a2-4d01-92b1-38adc53d021e	020a9aea-6cd2-4178-9fe1-05ec47ab704b	INFILTRATION
f6f2b40e-55a2-4d01-92b1-38adc53d021e	71c1e55b-9b40-4b86-8d2e-e8d9598dae37	IT_LOAD
8bd1d0e3-31f4-44db-9669-84120e2f7016	dff8ae19-3f18-4ac6-9881-fce9626db0b0	SWITCHGEAR
8bd1d0e3-31f4-44db-9669-84120e2f7016	065261d6-b431-4323-b1d8-463e25973e66	GENERATOR
8bd1d0e3-31f4-44db-9669-84120e2f7016	92e6d90b-af98-44ce-b588-b1c422133ee7	PRIMARY_AUXILIARIES
8bd1d0e3-31f4-44db-9669-84120e2f7016	da0d25a7-ff4d-4641-ad15-d55776d0a149	UPS
8bd1d0e3-31f4-44db-9669-84120e2f7016	f847f5c6-2581-47c1-a599-e31079a7a4a8	CRITICAL_AUXILIARIES
8bd1d0e3-31f4-44db-9669-84120e2f7016	7baff4bb-92c3-4be2-94d4-b1fb4bd666cc	LIGHTING
8bd1d0e3-31f4-44db-9669-84120e2f7016	410dfc58-02e8-4e16-9a0e-c56d37cd9a1d	CRITICAL_POWER_DISTRIBUTION
8bd1d0e3-31f4-44db-9669-84120e2f7016	1d76f36c-0ed2-45c7-ba08-261c978ef050	CRAH
8bd1d0e3-31f4-44db-9669-84120e2f7016	70860e35-7588-43d2-b84e-4ff5630c5c66	CRAC
8bd1d0e3-31f4-44db-9669-84120e2f7016	a38df87d-ba06-433b-9a81-0ee337037aca	CRAC_WITHOUT_FAN
8bd1d0e3-31f4-44db-9669-84120e2f7016	ec2212d6-8f5c-446d-a741-210539d96ba1	CRAC_FAN
8bd1d0e3-31f4-44db-9669-84120e2f7016	8a1ffa68-60f4-4a64-ac2f-885850e554a0	CHILLER
8bd1d0e3-31f4-44db-9669-84120e2f7016	667bf23a-51f8-4d78-be96-2b8f23467a39	AIR_COOLED_CHILLER
8bd1d0e3-31f4-44db-9669-84120e2f7016	0f30de2a-efe0-4780-951e-e8358f8107d8	COOLING_TOWER
8bd1d0e3-31f4-44db-9669-84120e2f7016	3502e269-2cbc-4e11-ba0f-c049be458142	DRY_COOLER
8bd1d0e3-31f4-44db-9669-84120e2f7016	b1fbc977-90c4-4a82-90ae-ddb68828f0d4	REMOTE_CONDENSER
8bd1d0e3-31f4-44db-9669-84120e2f7016	b5ab241a-548a-44b1-97bd-39eb2d14cd6d	CHILLED_WATER_PUMPS
8bd1d0e3-31f4-44db-9669-84120e2f7016	a0a77757-0535-4ab1-85df-18cf11fbb909	HEAT_REJECTION_PUMPS
8bd1d0e3-31f4-44db-9669-84120e2f7016	de8db754-a8ab-4a88-8542-8be38e602220	VENTILATION
8bd1d0e3-31f4-44db-9669-84120e2f7016	aeab2775-c20e-482b-b3a5-ef951fae8932	INFILTRATION
8bd1d0e3-31f4-44db-9669-84120e2f7016	9b242511-9fa6-49cc-99b9-5b927223b3fb	IT_LOAD
dd31244a-4635-42cc-a694-58a580f6519d	37060c4f-df60-4778-98a1-6143090d4945	SWITCHGEAR
dd31244a-4635-42cc-a694-58a580f6519d	35cb9551-82e1-44bc-9d46-043e547fe8b3	GENERATOR
dd31244a-4635-42cc-a694-58a580f6519d	3c36412d-6268-4cb9-a2e2-7f73a90febd6	PRIMARY_AUXILIARIES
dd31244a-4635-42cc-a694-58a580f6519d	889e97b0-0916-40ea-baab-83cfd945991b	UPS
dd31244a-4635-42cc-a694-58a580f6519d	9ae1cb43-babb-4745-a98e-c3d5e5d91589	CRITICAL_AUXILIARIES
dd31244a-4635-42cc-a694-58a580f6519d	b4374175-faff-4fb3-ba57-0114f45508dc	LIGHTING
dd31244a-4635-42cc-a694-58a580f6519d	b2e7a32c-3e60-4197-bcd7-f52f2f1e6545	CRITICAL_POWER_DISTRIBUTION
dd31244a-4635-42cc-a694-58a580f6519d	100ad232-2fc9-4ad9-9ffb-78718b54068a	CRAH
dd31244a-4635-42cc-a694-58a580f6519d	88aa772d-a5ba-44fa-b298-49b7f350647b	CRAC
dd31244a-4635-42cc-a694-58a580f6519d	19dd1759-68b1-4700-8220-1b197538c1f7	CRAC_WITHOUT_FAN
dd31244a-4635-42cc-a694-58a580f6519d	9114536e-420c-49a2-b8c8-82eded7a986e	CRAC_FAN
dd31244a-4635-42cc-a694-58a580f6519d	4305f643-eacc-41c0-a4bf-499265e49918	CHILLER
dd31244a-4635-42cc-a694-58a580f6519d	f5288312-a6ca-42a5-8b5f-3d59778c5cf8	AIR_COOLED_CHILLER
dd31244a-4635-42cc-a694-58a580f6519d	afa630ab-df51-4335-af71-aae70b990d2c	COOLING_TOWER
dd31244a-4635-42cc-a694-58a580f6519d	e14b6a27-4240-42a2-888c-b3baa59fcd60	DRY_COOLER
dd31244a-4635-42cc-a694-58a580f6519d	6ba11b96-3aa9-4f9e-86ec-87083b475014	REMOTE_CONDENSER
dd31244a-4635-42cc-a694-58a580f6519d	aa200542-6317-4034-a97d-e047c96688fc	CHILLED_WATER_PUMPS
dd31244a-4635-42cc-a694-58a580f6519d	1c330af2-0c1b-4927-8e1e-b3dfea4d8c0a	HEAT_REJECTION_PUMPS
dd31244a-4635-42cc-a694-58a580f6519d	496039da-0412-46e1-893f-ba775e934930	VENTILATION
dd31244a-4635-42cc-a694-58a580f6519d	706a6d40-9fed-40c8-a15f-1e973ff20e1a	INFILTRATION
dd31244a-4635-42cc-a694-58a580f6519d	c18b4e27-dd58-4da6-bf3f-96a3488f452d	IT_LOAD
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	9e43dd86-4186-457f-811e-9047ee57b8d5	SWITCHGEAR
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	81f94c42-e56e-4c08-aa36-548d6486b2d5	GENERATOR
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	7929fcf8-5dcc-42ad-ad93-34ed6b154084	PRIMARY_AUXILIARIES
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	28bdfad2-f5f9-455f-8023-30e2da9adfb3	UPS
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	9a73b0e6-e39c-4cf0-a4f6-ea21def3a651	CRITICAL_AUXILIARIES
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	e778e607-8daf-4e33-9504-9288c346559b	LIGHTING
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	a605ebcf-b411-4d5f-b614-f386b3b09b12	CRITICAL_POWER_DISTRIBUTION
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	15be3216-8aee-47fd-8de1-6e714c02cde6	CRAH
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	e5e1f080-a8b2-40a6-a66d-0fe2cf9e0d3b	CRAC
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	205a21bc-0a74-4c0d-9fa1-a00e749a828f	CRAC_WITHOUT_FAN
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	cdc04008-ca57-4a46-bc17-0795f35b3498	CRAC_FAN
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	2a16fb6a-1909-41f1-8165-8748b01a8049	CHILLER
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	dac09a77-3ae6-40dc-9fd0-3b55fccf15f9	AIR_COOLED_CHILLER
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	f57534a0-49b8-46b9-964c-cc50cdf0d9b2	COOLING_TOWER
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	f812ebe1-ac3e-449e-b6fd-bd1384c7a8dd	DRY_COOLER
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	f5989aab-31b0-4437-9b0a-222c1cc4d2ed	REMOTE_CONDENSER
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	8a518c7e-3f4c-46c0-8621-21573c3e0078	CHILLED_WATER_PUMPS
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	9b3e69ae-0958-4fc4-bba7-2d9a9687d9fb	HEAT_REJECTION_PUMPS
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	6de3b52f-6e16-4917-a2c7-4ea0c8214442	VENTILATION
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	f5575845-0fd8-48be-a885-06a0e91ad655	INFILTRATION
31e273f1-b5a4-4292-8f8c-eec8dc30f7a0	eab9ea81-7ff2-4abe-8e23-ee78ff8cc6e8	IT_LOAD
05874453-002f-44e0-8944-05777128eac5	3e3be38c-bd54-449f-918e-d788c367f57e	SWITCHGEAR
05874453-002f-44e0-8944-05777128eac5	f36b6ccf-40d2-4626-b7b8-7c9656ecd8ae	GENERATOR
05874453-002f-44e0-8944-05777128eac5	a1506f2f-723a-4a63-b409-87a9fadd3aa9	PRIMARY_AUXILIARIES
05874453-002f-44e0-8944-05777128eac5	0ebdd6f4-8e1d-4e84-a417-6f5e95a6cf6d	UPS
05874453-002f-44e0-8944-05777128eac5	04a27466-40ff-4b47-8bb3-4487b21ed237	CRITICAL_AUXILIARIES
05874453-002f-44e0-8944-05777128eac5	fa97ea0d-17be-41e7-ae07-a473678fd9dd	LIGHTING
05874453-002f-44e0-8944-05777128eac5	bee24ee1-31a5-426e-bbd4-58d231dc70bf	CRITICAL_POWER_DISTRIBUTION
05874453-002f-44e0-8944-05777128eac5	27e9be37-ae42-486e-8b42-baf05b670876	CRAH
05874453-002f-44e0-8944-05777128eac5	59bc790e-3ae1-4e3d-88f9-85b0a75474b6	CRAC
05874453-002f-44e0-8944-05777128eac5	c160baa2-dac1-4e4c-8dc1-a59df622afac	CRAC_WITHOUT_FAN
05874453-002f-44e0-8944-05777128eac5	cfb96be0-a966-4f60-932a-38fda306ddc6	CRAC_FAN
05874453-002f-44e0-8944-05777128eac5	2e746f32-f834-4e06-817e-d6a3b93c07e7	CHILLER
05874453-002f-44e0-8944-05777128eac5	d28cda18-e94c-45b6-8694-c9dfb4d46f73	AIR_COOLED_CHILLER
05874453-002f-44e0-8944-05777128eac5	7b483903-6769-44fe-a5fc-821301b4784d	COOLING_TOWER
05874453-002f-44e0-8944-05777128eac5	6cecd594-df72-4a90-a167-acf45d224bd9	DRY_COOLER
05874453-002f-44e0-8944-05777128eac5	e9b3f1e7-7895-49b8-99d2-098bc48a2909	REMOTE_CONDENSER
05874453-002f-44e0-8944-05777128eac5	9604fd53-b341-4432-ac15-577f993c12d7	CHILLED_WATER_PUMPS
05874453-002f-44e0-8944-05777128eac5	d9af4351-47c9-4d04-b9b6-5c02955354c8	HEAT_REJECTION_PUMPS
05874453-002f-44e0-8944-05777128eac5	e12ebc37-5051-4c26-8696-1e4673f6ba6c	VENTILATION
05874453-002f-44e0-8944-05777128eac5	d97fbad1-9c29-4c91-b5a0-4494534e2b94	INFILTRATION
05874453-002f-44e0-8944-05777128eac5	8b7957fc-82c2-4d51-8df7-39774770bd79	IT_LOAD
efdbf444-9592-416c-8363-690c3dc07378	9cf2e371-9b53-45a5-9032-103d06d4e1c9	SWITCHGEAR
efdbf444-9592-416c-8363-690c3dc07378	7994c018-41d6-4b5d-90d4-2432bd295922	GENERATOR
efdbf444-9592-416c-8363-690c3dc07378	d3d807cc-91a3-4057-9562-30661ee131cc	PRIMARY_AUXILIARIES
efdbf444-9592-416c-8363-690c3dc07378	29ae352e-9062-42da-915a-60b358ff1b40	UPS
efdbf444-9592-416c-8363-690c3dc07378	dc2ba265-c9e7-4083-8fce-3a2ec66071a1	CRITICAL_AUXILIARIES
efdbf444-9592-416c-8363-690c3dc07378	fe3dc5c6-abf7-4898-a2c7-7cb8b7534a87	LIGHTING
efdbf444-9592-416c-8363-690c3dc07378	0aacf854-55ea-4e0c-9e06-08e49f02db39	CRITICAL_POWER_DISTRIBUTION
efdbf444-9592-416c-8363-690c3dc07378	56492e84-f75f-40b0-911d-dd23f87a60a5	CRAH
efdbf444-9592-416c-8363-690c3dc07378	6316c6ab-4fc1-4422-8c71-a70e5f7094fd	CRAC
efdbf444-9592-416c-8363-690c3dc07378	ab2ab774-818c-4c5d-a1be-e6541f7599b6	CRAC_WITHOUT_FAN
efdbf444-9592-416c-8363-690c3dc07378	a24ea3fe-734b-4337-827b-0b23282ff474	CRAC_FAN
efdbf444-9592-416c-8363-690c3dc07378	cd8f6e7f-38a6-4975-a891-326dfdf01b0f	CHILLER
efdbf444-9592-416c-8363-690c3dc07378	fa924713-4666-4b0f-bb36-dfe072ec44de	AIR_COOLED_CHILLER
efdbf444-9592-416c-8363-690c3dc07378	2571320e-e4a2-4152-9f85-469dfa0c86e2	COOLING_TOWER
efdbf444-9592-416c-8363-690c3dc07378	31964792-f2b4-44ea-93e5-4df843ada9f2	DRY_COOLER
efdbf444-9592-416c-8363-690c3dc07378	d5e06516-284d-4e91-a5f0-e79c1643d528	REMOTE_CONDENSER
efdbf444-9592-416c-8363-690c3dc07378	1aee03da-0eea-46bd-9b8a-9668c44f6618	CHILLED_WATER_PUMPS
efdbf444-9592-416c-8363-690c3dc07378	ad4ba5c0-5f29-4f73-bdaf-f4810c86ee43	HEAT_REJECTION_PUMPS
efdbf444-9592-416c-8363-690c3dc07378	5d2d915c-744c-43ae-ad34-362ce1133c52	VENTILATION
efdbf444-9592-416c-8363-690c3dc07378	5dc31aac-a778-4723-a08c-2d857610e3c8	INFILTRATION
efdbf444-9592-416c-8363-690c3dc07378	695997e1-bb22-438e-bdc0-4999a280697a	IT_LOAD
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	a0541190-20f8-42a8-865c-719d1ae6fa42	SWITCHGEAR
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	0f17cb06-620d-4ea4-98e6-2523b354ddd7	GENERATOR
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	022314fd-479e-4179-89ce-86c78bb0c3dc	PRIMARY_AUXILIARIES
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	1331560b-4ca3-4a3e-b756-fed3c45343f3	UPS
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	87a70026-7176-4d85-a4b7-ed5199e24f44	CRITICAL_AUXILIARIES
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	ff95efee-2334-4575-9267-8e9279c6ba26	LIGHTING
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	ba6347d5-a2e6-4503-9ecb-176775a28165	CRITICAL_POWER_DISTRIBUTION
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	b3a31de1-24ba-41a8-b7d6-9e0af529780b	CRAH
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	82c5d6f9-70a7-4a70-a207-8f953a8bc65e	CRAC
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	3861ee56-9053-4649-9eea-e92c315594e0	CRAC_WITHOUT_FAN
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	4f2fd0e6-eb9a-4725-9357-fe0ecb7baf67	CRAC_FAN
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	6308b3c5-4362-4339-9859-8b8e71f50879	CHILLER
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	002354e7-c957-4de9-8224-31f6e6073411	AIR_COOLED_CHILLER
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	08668d6d-008c-492d-a0e9-d43dee33c4ee	COOLING_TOWER
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	9ac8947d-38a6-4c2c-a7ad-0cb5f0be1684	DRY_COOLER
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	e0b49422-be3d-4e42-b534-7fe157ec90d1	REMOTE_CONDENSER
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	1a334df1-191a-490a-b5a9-b09e5c61de29	CHILLED_WATER_PUMPS
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	32d69582-a698-40a4-ba0a-f7667265840f	HEAT_REJECTION_PUMPS
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	083b8e9e-6a2a-4883-a37d-4e5e5869ac78	VENTILATION
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	653df24c-3108-4089-94bc-cd7b4ec0d325	INFILTRATION
e7eebda4-7adb-43a7-ae19-8d9decdb19c1	36e2703f-37f0-4af9-9fe3-b6203ea84335	IT_LOAD
bfbadac0-8ca0-4a4f-a950-0e79772c9437	8c7cc4e1-e6e9-4d55-bef5-b30671ab85d2	SWITCHGEAR
bfbadac0-8ca0-4a4f-a950-0e79772c9437	9b52bdcb-c961-4c8a-aaa5-ce2fb7611d27	GENERATOR
bfbadac0-8ca0-4a4f-a950-0e79772c9437	f9d86913-4955-43f1-9dbf-f2f47067d626	PRIMARY_AUXILIARIES
bfbadac0-8ca0-4a4f-a950-0e79772c9437	9e2b81d1-bf9d-4af4-a531-329fcd2579a2	UPS
bfbadac0-8ca0-4a4f-a950-0e79772c9437	0656cc58-16ea-496d-ba7b-38049454166b	CRITICAL_AUXILIARIES
bfbadac0-8ca0-4a4f-a950-0e79772c9437	b688604d-4b15-4f84-8792-d5179b04bacb	LIGHTING
bfbadac0-8ca0-4a4f-a950-0e79772c9437	a67f6eec-fed3-4026-a58e-1eb64e2eedc8	CRITICAL_POWER_DISTRIBUTION
bfbadac0-8ca0-4a4f-a950-0e79772c9437	3c311d8c-ff5c-4227-be17-53bccd1a0a66	CRAH
bfbadac0-8ca0-4a4f-a950-0e79772c9437	21634d0a-9f23-40c5-ada9-e5c5ac6b3db9	CRAC
bfbadac0-8ca0-4a4f-a950-0e79772c9437	eaa0a217-67fa-41f9-b2c5-abbd007d8972	CRAC_WITHOUT_FAN
bfbadac0-8ca0-4a4f-a950-0e79772c9437	85ea3048-bcba-4cdb-9229-d9ce08cc2170	CRAC_FAN
bfbadac0-8ca0-4a4f-a950-0e79772c9437	70731a92-f87a-48b1-a70a-223bc990b4a6	CHILLER
bfbadac0-8ca0-4a4f-a950-0e79772c9437	2998a1c3-c72d-43bb-8224-a6de91e9fa46	AIR_COOLED_CHILLER
bfbadac0-8ca0-4a4f-a950-0e79772c9437	32fcbacc-075c-4dc6-993b-68cec1c3a12d	COOLING_TOWER
bfbadac0-8ca0-4a4f-a950-0e79772c9437	4a4a437b-f487-49bc-96da-bc3e0140fbc6	DRY_COOLER
bfbadac0-8ca0-4a4f-a950-0e79772c9437	82843ffc-2043-4092-a080-2227d06f5ba5	REMOTE_CONDENSER
bfbadac0-8ca0-4a4f-a950-0e79772c9437	97293414-6023-481c-b8be-f6f68b2ddb04	CHILLED_WATER_PUMPS
bfbadac0-8ca0-4a4f-a950-0e79772c9437	a022e656-9de4-45d5-899f-4463dc62b78a	HEAT_REJECTION_PUMPS
bfbadac0-8ca0-4a4f-a950-0e79772c9437	356755de-12ec-48ef-a646-d019d2542e3c	VENTILATION
bfbadac0-8ca0-4a4f-a950-0e79772c9437	4e5fab12-4f03-4c15-9762-30ca5eb61968	INFILTRATION
bfbadac0-8ca0-4a4f-a950-0e79772c9437	45cf890f-490d-4fcb-8a62-f655a445d4ad	IT_LOAD
2164bd3d-0d42-4185-928b-4995ceeac481	f8b343c1-6eb0-48ac-b4d1-e4b04184d3e8	SWITCHGEAR
2164bd3d-0d42-4185-928b-4995ceeac481	1de06dc2-ccc1-442b-9972-efcb3fca2263	GENERATOR
2164bd3d-0d42-4185-928b-4995ceeac481	50b62549-0acf-4703-97de-3b2e31296e6c	PRIMARY_AUXILIARIES
2164bd3d-0d42-4185-928b-4995ceeac481	21ad1681-a148-45ae-8ff1-00457be34155	UPS
2164bd3d-0d42-4185-928b-4995ceeac481	fdc00dfc-6999-40ef-b2ec-06f74975940f	CRITICAL_AUXILIARIES
2164bd3d-0d42-4185-928b-4995ceeac481	6c9a4dac-a58d-4bc2-90fa-1486713a27b9	LIGHTING
2164bd3d-0d42-4185-928b-4995ceeac481	afbd62f1-346c-4801-b87a-4d43c18befde	CRITICAL_POWER_DISTRIBUTION
2164bd3d-0d42-4185-928b-4995ceeac481	c0f5bc23-e912-4c75-a35e-b8ae39c081e6	CRAH
2164bd3d-0d42-4185-928b-4995ceeac481	7a465ff6-68f2-48b6-ae36-933d689a8896	CRAC
2164bd3d-0d42-4185-928b-4995ceeac481	48966384-1b83-4837-8955-196a2628e8de	CRAC_WITHOUT_FAN
2164bd3d-0d42-4185-928b-4995ceeac481	80bace6b-239a-4989-ab07-61ae8ec3f38e	CRAC_FAN
2164bd3d-0d42-4185-928b-4995ceeac481	e8eec1e8-7868-4eaa-a11d-5d4543b9ee2c	CHILLER
2164bd3d-0d42-4185-928b-4995ceeac481	d4f27ac9-64a7-467c-966d-a2f45667dc95	AIR_COOLED_CHILLER
2164bd3d-0d42-4185-928b-4995ceeac481	057bc560-dc3f-4aec-b1b3-2d933bf2ea79	COOLING_TOWER
2164bd3d-0d42-4185-928b-4995ceeac481	5e8667bc-9676-4052-b381-458d5f133cd5	DRY_COOLER
2164bd3d-0d42-4185-928b-4995ceeac481	02e5b0e8-e831-4445-bfd6-495f7c685d49	REMOTE_CONDENSER
2164bd3d-0d42-4185-928b-4995ceeac481	ca0edcae-cd3c-458b-9026-3ea8e5b0bba9	CHILLED_WATER_PUMPS
2164bd3d-0d42-4185-928b-4995ceeac481	a9308abd-68f0-4142-8e6f-ac4d9574038b	HEAT_REJECTION_PUMPS
2164bd3d-0d42-4185-928b-4995ceeac481	b409aa96-80d9-4d1b-b73d-c311facf50fb	VENTILATION
2164bd3d-0d42-4185-928b-4995ceeac481	3ee555c7-0f66-41e8-b40d-94ae3d194470	INFILTRATION
2164bd3d-0d42-4185-928b-4995ceeac481	8e1a4796-4cc2-417f-9a89-d620c2c275e9	IT_LOAD
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	fc3c2eb1-bc54-45e2-ab7e-05ffeb74e0e2	SWITCHGEAR
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	faf0a75d-5464-409a-895d-88da4a34daf0	GENERATOR
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	bf703bf9-0437-496d-8490-1455c5a75409	PRIMARY_AUXILIARIES
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	1b430744-5a95-443b-8b4b-be25d651aadd	UPS
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	eaca25fa-1260-46fb-886b-75e554625a93	CRITICAL_AUXILIARIES
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	daf439af-38e6-4e5a-a616-c45d34031ee7	LIGHTING
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	bbc19af6-381f-4ad6-9357-410bd14acfc9	CRITICAL_POWER_DISTRIBUTION
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	adf5c4da-0b9c-4eea-a50a-227008e10229	CRAH
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	92d9f196-d434-42f2-9bcb-bf7c9ae1b573	CRAC
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	7080dc03-b888-4610-a877-aa905fb76295	CRAC_WITHOUT_FAN
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	3b13c5df-c94d-44a1-aef3-44f89cbb4166	CRAC_FAN
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	a3d259bc-d287-46c6-8073-cf1fa682b52e	CHILLER
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	870278d5-7d13-4979-b60b-4cccb4e9bc64	AIR_COOLED_CHILLER
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	f4cb4182-6c29-4449-8ceb-fb3ca0234821	COOLING_TOWER
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	de69d643-875a-4e39-a19a-c47f46c8f112	DRY_COOLER
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	7b0ec78f-0f75-4005-b0fc-d5b5a06de55d	REMOTE_CONDENSER
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	f216f361-4e72-4bc1-ac3b-f440a66f82b6	CHILLED_WATER_PUMPS
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	e0c18636-d2d4-4953-8dce-6964645bb81c	HEAT_REJECTION_PUMPS
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	001a0d87-1a6d-4bc7-a999-82ae5809af5a	VENTILATION
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	f389ae74-1819-41f2-bca4-8be739c0f067	INFILTRATION
fd69a7b3-ac92-41f0-b093-40f897e0ed6f	010bebd6-8e16-415c-a932-59b6c3e4d266	IT_LOAD
a0de8fc5-3173-43b0-ad04-a3bf1300452f	b639d694-7ae8-4199-95a8-8c6fb8453bf6	SWITCHGEAR
a0de8fc5-3173-43b0-ad04-a3bf1300452f	553e3de9-c7e3-407f-9cfe-608cd46a270a	GENERATOR
a0de8fc5-3173-43b0-ad04-a3bf1300452f	7fce1b6a-3112-4dbd-a67b-1a53c9f5dbe7	PRIMARY_AUXILIARIES
a0de8fc5-3173-43b0-ad04-a3bf1300452f	60a6df21-f901-4446-92cf-541c8d18c586	UPS
a0de8fc5-3173-43b0-ad04-a3bf1300452f	d90be96a-20f9-407b-ac06-fd4c2effdf13	CRITICAL_AUXILIARIES
a0de8fc5-3173-43b0-ad04-a3bf1300452f	1212277e-1020-410e-8d7b-f11b5b888a11	LIGHTING
a0de8fc5-3173-43b0-ad04-a3bf1300452f	76ba210e-9f4c-44cb-940d-219ca98c7e26	CRITICAL_POWER_DISTRIBUTION
a0de8fc5-3173-43b0-ad04-a3bf1300452f	c507e2ca-707b-4baa-b50b-1170793fc3cd	CRAH
a0de8fc5-3173-43b0-ad04-a3bf1300452f	e06e4562-1fae-4f1f-a348-f7ba8c3bac27	CRAC
a0de8fc5-3173-43b0-ad04-a3bf1300452f	7d889208-151d-4fbd-bf29-97b01bcec92c	CRAC_WITHOUT_FAN
a0de8fc5-3173-43b0-ad04-a3bf1300452f	34d18a3a-6ebd-458d-9d01-ca67dc900c1b	CRAC_FAN
a0de8fc5-3173-43b0-ad04-a3bf1300452f	dbce5a9c-71f9-4e8a-990c-6204d2c3dc67	CHILLER
a0de8fc5-3173-43b0-ad04-a3bf1300452f	8565b086-a088-441e-ba0d-0264bb995d2a	AIR_COOLED_CHILLER
a0de8fc5-3173-43b0-ad04-a3bf1300452f	1b7dd8fc-6596-4b51-8a58-491781378626	COOLING_TOWER
a0de8fc5-3173-43b0-ad04-a3bf1300452f	0a268635-fa05-4cb4-9c3c-2be2a1882e4d	DRY_COOLER
a0de8fc5-3173-43b0-ad04-a3bf1300452f	d7f797d9-b89d-4a1d-9541-11027ae9a89f	REMOTE_CONDENSER
a0de8fc5-3173-43b0-ad04-a3bf1300452f	f8220ee3-9797-4aef-96d9-0c9e47f64a7f	CHILLED_WATER_PUMPS
a0de8fc5-3173-43b0-ad04-a3bf1300452f	545e7e6b-bbdc-42c7-a71d-0fe88dd780e5	HEAT_REJECTION_PUMPS
a0de8fc5-3173-43b0-ad04-a3bf1300452f	e34a924f-c470-49cf-a2f1-61d24f8b2084	VENTILATION
a0de8fc5-3173-43b0-ad04-a3bf1300452f	e1188619-41a3-4917-950e-fc8b793ac34f	INFILTRATION
a0de8fc5-3173-43b0-ad04-a3bf1300452f	d133499c-559d-4ba7-816e-d4c9daa8d8a0	IT_LOAD
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	0c8a02fb-6dcc-4bd2-b59e-2069d6351252	SWITCHGEAR
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	4192e55b-49dd-40f1-915b-483aed82bc5a	GENERATOR
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	5f74d9c8-fb48-45dd-aed5-37c8cf64e1c4	PRIMARY_AUXILIARIES
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	ffbcd4f7-4f3e-4771-8478-0731db726ae1	UPS
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	5c7b6809-2f1b-4e19-965e-14b7f4a1fa55	CRITICAL_AUXILIARIES
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	b85a873f-9246-4e6a-a502-acd4dbdf6da3	LIGHTING
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	39ee825b-7100-40f0-a5f4-f6fa861a6261	CRITICAL_POWER_DISTRIBUTION
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	47f3f2e5-03bf-4bd8-8764-7db5a12c28de	CRAH
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	d6d2a1e1-a634-4763-b578-9722d66a33f5	CRAC
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	69015087-2a4a-472e-ac98-b1f0648e1331	CRAC_WITHOUT_FAN
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	1cd55e7c-f9e7-47d7-91ab-dc02536d19b7	CRAC_FAN
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	f7a9304d-0254-4661-900f-e1964c89abfb	CHILLER
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	a26db9b7-f222-4fd7-b614-634ceb89a141	AIR_COOLED_CHILLER
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	f95b094d-bb2d-4a90-8a16-779b564e8d9d	COOLING_TOWER
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	565452fc-4c4d-4511-87e4-1f5c346e04b6	DRY_COOLER
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	5fbca1ae-a7c7-4074-bd45-c1ac56c6f958	REMOTE_CONDENSER
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	63978a68-c245-4b60-a58e-f043f25305f4	CHILLED_WATER_PUMPS
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	2746425e-709a-4000-9fab-1750590164fe	HEAT_REJECTION_PUMPS
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	3f904ede-460a-4884-b4bc-b5bb2afad84b	VENTILATION
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	13a4f148-b551-417e-8fec-91068b548e21	INFILTRATION
d5f854fb-e8ef-43e2-bee9-5a0153d534ec	fbfb4e2b-cabd-4ee7-b052-a84a346a4f40	IT_LOAD
33ab0979-6373-48d9-bff2-48d43ac73057	9e97e207-a083-43c2-b324-92dbf1de13cb	SWITCHGEAR
33ab0979-6373-48d9-bff2-48d43ac73057	ad5dd52a-9002-4495-ab6b-3288bcfd7df0	GENERATOR
33ab0979-6373-48d9-bff2-48d43ac73057	7dea54c4-e5df-4c6a-aae0-fbb8eb0524c2	PRIMARY_AUXILIARIES
33ab0979-6373-48d9-bff2-48d43ac73057	3f6f41a3-db79-405c-86f4-0f3e78f2b1fe	UPS
33ab0979-6373-48d9-bff2-48d43ac73057	4037c04a-72f2-408a-9671-3872ae550f10	CRITICAL_AUXILIARIES
33ab0979-6373-48d9-bff2-48d43ac73057	7f148c4f-469a-4c12-b138-09d58e14e6b3	LIGHTING
33ab0979-6373-48d9-bff2-48d43ac73057	667abb14-cd07-4618-844a-6d3dd6f00daf	CRITICAL_POWER_DISTRIBUTION
33ab0979-6373-48d9-bff2-48d43ac73057	65589370-ac5b-4406-ad73-ac2dfadcdad7	CRAH
33ab0979-6373-48d9-bff2-48d43ac73057	cd2d8fb2-67b7-4ba4-888d-36cf90523b7b	CRAC
33ab0979-6373-48d9-bff2-48d43ac73057	088cbb6f-c88d-4d36-b8bf-d29176ef4ddf	CRAC_WITHOUT_FAN
33ab0979-6373-48d9-bff2-48d43ac73057	87bcb0da-1030-4a9f-86f4-a5917a306514	CRAC_FAN
33ab0979-6373-48d9-bff2-48d43ac73057	e9854b6b-823b-4259-8059-6cb3cc7d23f7	CHILLER
33ab0979-6373-48d9-bff2-48d43ac73057	91dc1338-0001-45d5-aac2-ee662de83434	AIR_COOLED_CHILLER
33ab0979-6373-48d9-bff2-48d43ac73057	0bf17502-1b23-4282-85ee-714e2e594dc6	COOLING_TOWER
33ab0979-6373-48d9-bff2-48d43ac73057	ee462e9b-176f-4489-af45-9e03f20d0716	DRY_COOLER
33ab0979-6373-48d9-bff2-48d43ac73057	b5cd2dba-11fe-4735-a025-954af96a707b	REMOTE_CONDENSER
33ab0979-6373-48d9-bff2-48d43ac73057	f7eb6eaf-3a3d-42d2-9b8c-687e774efa5c	CHILLED_WATER_PUMPS
33ab0979-6373-48d9-bff2-48d43ac73057	7e321f16-b3a6-444f-81ae-3bcb5dd9e182	HEAT_REJECTION_PUMPS
33ab0979-6373-48d9-bff2-48d43ac73057	d1acc62e-de8f-488e-90f9-6f80ea115b69	VENTILATION
33ab0979-6373-48d9-bff2-48d43ac73057	4e62bf02-3c5c-4ae6-937a-103d91527d9e	INFILTRATION
33ab0979-6373-48d9-bff2-48d43ac73057	b968592b-7bfe-41e8-a252-1e2550371e68	IT_LOAD
36aed97c-6768-4714-9ef6-7c5edb22fb78	78ecb6d3-c9d0-484c-81d8-febf2421bac3	SWITCHGEAR
36aed97c-6768-4714-9ef6-7c5edb22fb78	97658b3e-7890-400e-935f-20d6b62180cf	GENERATOR
36aed97c-6768-4714-9ef6-7c5edb22fb78	d8a383fe-30ab-4e1c-aaf2-02ad47eb3773	PRIMARY_AUXILIARIES
36aed97c-6768-4714-9ef6-7c5edb22fb78	4a2df452-8328-4cca-8db3-97963f185765	UPS
36aed97c-6768-4714-9ef6-7c5edb22fb78	bddfffbd-319e-4d1e-87ba-d41a7f3128e6	CRITICAL_AUXILIARIES
36aed97c-6768-4714-9ef6-7c5edb22fb78	2f62f1a8-2cfd-4ef9-a8b5-5624e77f5360	LIGHTING
36aed97c-6768-4714-9ef6-7c5edb22fb78	fb76d07d-4399-48c6-bcc6-60950937bde8	CRITICAL_POWER_DISTRIBUTION
36aed97c-6768-4714-9ef6-7c5edb22fb78	1511fa52-3445-493a-ae76-7a7a19a56c49	CRAH
36aed97c-6768-4714-9ef6-7c5edb22fb78	db567f01-177d-4147-beb8-115f67faca26	CRAC
36aed97c-6768-4714-9ef6-7c5edb22fb78	5419324c-835a-4495-ad9e-31a0498117a4	CRAC_WITHOUT_FAN
36aed97c-6768-4714-9ef6-7c5edb22fb78	b4434901-7adb-4d40-bc6b-7f76a5c9535d	CRAC_FAN
36aed97c-6768-4714-9ef6-7c5edb22fb78	4ae37363-f411-412d-99fc-2db86340e5da	CHILLER
36aed97c-6768-4714-9ef6-7c5edb22fb78	96f399f0-1a70-4cf4-ab8e-8e69522f9c29	AIR_COOLED_CHILLER
36aed97c-6768-4714-9ef6-7c5edb22fb78	ec934a57-de2e-4232-8fe8-fdaf15f0e206	COOLING_TOWER
36aed97c-6768-4714-9ef6-7c5edb22fb78	2e0f9bda-9701-4a76-9bc9-a290ce24e722	DRY_COOLER
36aed97c-6768-4714-9ef6-7c5edb22fb78	121425c4-a2a8-4fdc-892a-fe130ab2572d	REMOTE_CONDENSER
36aed97c-6768-4714-9ef6-7c5edb22fb78	130e007f-2fa5-4d81-b387-934e239d91c5	CHILLED_WATER_PUMPS
36aed97c-6768-4714-9ef6-7c5edb22fb78	ce88e776-db76-4923-93c8-2289468f587b	HEAT_REJECTION_PUMPS
36aed97c-6768-4714-9ef6-7c5edb22fb78	46e52b1a-7cb1-4cc9-a789-8a7849ac14f5	VENTILATION
36aed97c-6768-4714-9ef6-7c5edb22fb78	4060f497-f7ae-44ff-a8fc-87088b408b8c	INFILTRATION
36aed97c-6768-4714-9ef6-7c5edb22fb78	5ec4f7b1-db8d-42f2-8ada-8da703749ced	IT_LOAD
79815a84-76e2-4b29-843f-8c0c6a79702a	c2880b61-62a6-4c4a-bbb4-81905d69abde	SWITCHGEAR
79815a84-76e2-4b29-843f-8c0c6a79702a	e1fd5c76-9e4d-4aa9-b3d6-e1cb38b79921	GENERATOR
79815a84-76e2-4b29-843f-8c0c6a79702a	6408c1df-e840-427e-b4ca-c932d2c5bb33	PRIMARY_AUXILIARIES
79815a84-76e2-4b29-843f-8c0c6a79702a	f6901596-24b3-4db3-898b-f9c0bffc071f	UPS
79815a84-76e2-4b29-843f-8c0c6a79702a	4ffb4981-b5f0-4cb3-861e-fd3a3c4f6b22	CRITICAL_AUXILIARIES
79815a84-76e2-4b29-843f-8c0c6a79702a	a967a65c-62c1-464b-b509-2c286fa8a582	LIGHTING
79815a84-76e2-4b29-843f-8c0c6a79702a	b895dff2-1be2-4b24-9347-08a8d8776c4d	CRITICAL_POWER_DISTRIBUTION
79815a84-76e2-4b29-843f-8c0c6a79702a	3cbe9563-63c4-41b6-b8bf-056a160c8df1	CRAH
79815a84-76e2-4b29-843f-8c0c6a79702a	bdf47a42-ca9c-4bf7-84df-353efc20b812	CRAC
79815a84-76e2-4b29-843f-8c0c6a79702a	c9016f7d-21b7-422d-b24e-321c07ab3ba9	CRAC_WITHOUT_FAN
79815a84-76e2-4b29-843f-8c0c6a79702a	ddc902fd-da4d-4b3a-84a4-a2658a3b6bea	CRAC_FAN
79815a84-76e2-4b29-843f-8c0c6a79702a	a05d183c-ec45-46d0-988b-0e0ae8c5bad5	CHILLER
79815a84-76e2-4b29-843f-8c0c6a79702a	cd818a87-34ed-4296-bd63-94c884a6ac63	AIR_COOLED_CHILLER
79815a84-76e2-4b29-843f-8c0c6a79702a	84cf3f90-1114-447c-8d62-91a46c43225b	COOLING_TOWER
79815a84-76e2-4b29-843f-8c0c6a79702a	ae3a47da-2b3e-4751-9fc8-b5cd3a9445e1	DRY_COOLER
79815a84-76e2-4b29-843f-8c0c6a79702a	e9b47135-ee91-4b62-8c8d-c8ffe84f0a3d	REMOTE_CONDENSER
79815a84-76e2-4b29-843f-8c0c6a79702a	42dac158-e5ec-47cc-97ea-e43c5d287e64	CHILLED_WATER_PUMPS
79815a84-76e2-4b29-843f-8c0c6a79702a	0b487034-d77f-48ec-89d6-55790c78e1c2	HEAT_REJECTION_PUMPS
79815a84-76e2-4b29-843f-8c0c6a79702a	a3805cb7-dd34-42fc-a5fc-652542b40d2d	VENTILATION
79815a84-76e2-4b29-843f-8c0c6a79702a	607f66f6-090d-4515-863c-111042bbfee2	INFILTRATION
79815a84-76e2-4b29-843f-8c0c6a79702a	2ac724a6-07e4-4a35-b9c7-1857cd1c19e2	IT_LOAD
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	c37aea59-c88d-462a-acee-df9e358513bd	SWITCHGEAR
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	5735bf70-0e5a-45e4-a397-4c7034ea05d1	GENERATOR
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	dfdf160e-58c0-4713-a6dd-b71f5c13d80a	PRIMARY_AUXILIARIES
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	fd9a9393-38e2-4ce7-b81e-60c1e27a2ca5	UPS
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	4fdc139e-b761-4388-b4fc-cbe8ee5f9481	CRITICAL_AUXILIARIES
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	63fa99ab-8cb9-460f-a6b3-b126409f79bc	LIGHTING
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	4e19be16-f27e-46e3-82e4-55a24d1087f4	CRITICAL_POWER_DISTRIBUTION
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	16ade76c-8aa1-4851-8997-bd8d89321955	CRAH
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	aadfdd83-011a-46e6-aac5-d6db707de62a	CRAC
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	9babbd06-6713-475e-ad46-86861df2ee29	CRAC_WITHOUT_FAN
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	9f2258d9-3738-4a22-b7c9-ff0d26814330	CRAC_FAN
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	1e40900b-27ce-4bf7-9be5-9c8f8049bfaf	CHILLER
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	0e014729-9487-4748-bb16-dbd8f49bb7b0	AIR_COOLED_CHILLER
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	883e6a61-150b-44f7-b248-a61f491cf6e0	COOLING_TOWER
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	bdbd306e-cb1e-4178-b819-abe3aa87f50a	DRY_COOLER
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	31263637-5fec-43a7-ad3e-a43337344190	REMOTE_CONDENSER
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	6a5f15e7-f784-409d-9b33-0f551f6fd316	CHILLED_WATER_PUMPS
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	eed2fef5-39fe-42a8-9ed3-1999e8625658	HEAT_REJECTION_PUMPS
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	95c8406c-a02f-4337-b52d-a75529e0fc47	VENTILATION
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	402b03ac-e17b-47d6-81d0-428ce9dfaab9	INFILTRATION
e2cb7aa4-fe7a-4474-afd7-6a4d8e8609aa	20bf42d7-e3ce-4488-a465-7641676170a4	IT_LOAD
09f5ba79-3120-4f87-904b-9b9f2885b6f8	34bc5042-e684-46eb-a16a-7a8db73d3a50	SWITCHGEAR
09f5ba79-3120-4f87-904b-9b9f2885b6f8	03111bfc-9b0f-42e7-a66a-3b4da4cf9142	GENERATOR
09f5ba79-3120-4f87-904b-9b9f2885b6f8	aab1702d-2d32-45e3-911a-2a2bbe605d40	PRIMARY_AUXILIARIES
09f5ba79-3120-4f87-904b-9b9f2885b6f8	bf6e5e91-df0e-4ce7-bd2c-0bddfa0fd18a	UPS
09f5ba79-3120-4f87-904b-9b9f2885b6f8	3e334b11-61c9-4d71-ab92-ad549596a73e	CRITICAL_AUXILIARIES
09f5ba79-3120-4f87-904b-9b9f2885b6f8	de97d00f-cc7d-4b5e-8aad-4e24ef890690	LIGHTING
09f5ba79-3120-4f87-904b-9b9f2885b6f8	8efdf314-6890-460c-8240-297680c2711f	CRITICAL_POWER_DISTRIBUTION
09f5ba79-3120-4f87-904b-9b9f2885b6f8	febd50a0-e70e-407e-ae02-6700b52b2358	CRAH
09f5ba79-3120-4f87-904b-9b9f2885b6f8	53f72574-704d-4e72-a028-ad5e026816b4	CRAC
09f5ba79-3120-4f87-904b-9b9f2885b6f8	dda7c1cc-815b-45ea-8197-6175d58c1f99	CRAC_WITHOUT_FAN
09f5ba79-3120-4f87-904b-9b9f2885b6f8	e084bb02-4e43-4607-8e92-e866ce08cc91	CRAC_FAN
09f5ba79-3120-4f87-904b-9b9f2885b6f8	8cfaedae-e3ed-413b-bcf4-51b6067c72fd	CHILLER
09f5ba79-3120-4f87-904b-9b9f2885b6f8	e40b2c42-f9fb-407a-b347-1623a3bf0f57	AIR_COOLED_CHILLER
09f5ba79-3120-4f87-904b-9b9f2885b6f8	7360d297-b5f0-41e6-89e6-c9a41cdcdb48	COOLING_TOWER
09f5ba79-3120-4f87-904b-9b9f2885b6f8	f427ea58-2f3e-49d3-a168-d7313c22f954	DRY_COOLER
09f5ba79-3120-4f87-904b-9b9f2885b6f8	296c14e6-abe7-403f-84ac-8d9f0514fcd7	REMOTE_CONDENSER
09f5ba79-3120-4f87-904b-9b9f2885b6f8	7bf9bf1d-3476-4138-8796-3a0a8b81c175	CHILLED_WATER_PUMPS
09f5ba79-3120-4f87-904b-9b9f2885b6f8	6686f349-1c0b-4786-95eb-f5447f048a6b	HEAT_REJECTION_PUMPS
09f5ba79-3120-4f87-904b-9b9f2885b6f8	4166a5a7-c3ca-4e06-b3e0-6499b632daa0	VENTILATION
09f5ba79-3120-4f87-904b-9b9f2885b6f8	96c87ca2-a0a8-4e0c-bbcf-2c355e977307	INFILTRATION
09f5ba79-3120-4f87-904b-9b9f2885b6f8	9a6469f4-4426-431b-982a-b019efd51a9c	IT_LOAD
961eed1e-2e86-4113-b240-f45ff1d56b77	7f91abf3-daf1-4ab3-9f39-3040fdf0e4c2	SWITCHGEAR
961eed1e-2e86-4113-b240-f45ff1d56b77	1dcc490d-b22f-4c6c-a8c1-54c04f7349f8	GENERATOR
961eed1e-2e86-4113-b240-f45ff1d56b77	426a7bfd-4773-492d-be28-ee27bdc5533b	PRIMARY_AUXILIARIES
961eed1e-2e86-4113-b240-f45ff1d56b77	46df668e-ae40-43cb-980b-babd6b22c1f7	UPS
961eed1e-2e86-4113-b240-f45ff1d56b77	fadb1850-8ce3-4f7a-bc01-36907e235cef	CRITICAL_AUXILIARIES
961eed1e-2e86-4113-b240-f45ff1d56b77	b4569595-3212-4f85-b235-28ce584e2d6f	LIGHTING
961eed1e-2e86-4113-b240-f45ff1d56b77	c4c0d398-98fd-45dd-bb7a-c05a399cd4cb	CRITICAL_POWER_DISTRIBUTION
961eed1e-2e86-4113-b240-f45ff1d56b77	35b1154e-2f15-4781-ba6c-6545cc5a5d4a	CRAH
961eed1e-2e86-4113-b240-f45ff1d56b77	0d6f3718-66e0-40f7-951c-57cf385bf95f	CRAC
961eed1e-2e86-4113-b240-f45ff1d56b77	f15afae2-f854-4b89-bbd5-3af652acef41	CRAC_WITHOUT_FAN
961eed1e-2e86-4113-b240-f45ff1d56b77	b792acde-9258-4567-a7eb-c40af0d6211e	CRAC_FAN
961eed1e-2e86-4113-b240-f45ff1d56b77	17d3186d-a3aa-49f8-b15f-7306c3cb71a0	CHILLER
961eed1e-2e86-4113-b240-f45ff1d56b77	3b73cb31-17f3-454a-921a-6deb257d8dff	AIR_COOLED_CHILLER
961eed1e-2e86-4113-b240-f45ff1d56b77	5bfcc97b-ed49-4e92-aa48-9b427c34f3bd	COOLING_TOWER
961eed1e-2e86-4113-b240-f45ff1d56b77	a8c685ba-4d25-4007-9ea7-e1f8c6e5fc62	DRY_COOLER
961eed1e-2e86-4113-b240-f45ff1d56b77	5e79b596-cbc4-4a4d-af9d-77fe674939b0	REMOTE_CONDENSER
961eed1e-2e86-4113-b240-f45ff1d56b77	08baa3dc-b26b-4865-903b-cc6bd38453dc	CHILLED_WATER_PUMPS
961eed1e-2e86-4113-b240-f45ff1d56b77	23bbdeec-60cf-4b9a-977c-7c00dd6d4699	HEAT_REJECTION_PUMPS
961eed1e-2e86-4113-b240-f45ff1d56b77	b1e2fd6c-2f28-4abd-a768-df273892e564	VENTILATION
961eed1e-2e86-4113-b240-f45ff1d56b77	71366fe9-017a-477f-89f5-6fe1ca0471c1	INFILTRATION
961eed1e-2e86-4113-b240-f45ff1d56b77	a1f107a4-e690-41f9-bb34-510c651de17e	IT_LOAD
4067a598-b956-445d-a5cf-309a58ec5fa8	fc428e4e-459a-4364-a0bd-3f04e629dfb6	SWITCHGEAR
4067a598-b956-445d-a5cf-309a58ec5fa8	6b168f5a-cbdf-4464-9f92-3a91e963660e	GENERATOR
4067a598-b956-445d-a5cf-309a58ec5fa8	fb804e13-6ca2-4146-9d37-e21098804af5	PRIMARY_AUXILIARIES
4067a598-b956-445d-a5cf-309a58ec5fa8	7d739ea8-3a78-4ba4-a425-4d7fbc783965	UPS
4067a598-b956-445d-a5cf-309a58ec5fa8	39ce5f06-8990-4e42-b1a7-d64cd6250d62	CRITICAL_AUXILIARIES
4067a598-b956-445d-a5cf-309a58ec5fa8	341732fa-a420-454b-811d-2d26122d9321	LIGHTING
4067a598-b956-445d-a5cf-309a58ec5fa8	9dd9f2b1-6771-4352-8b45-2f9e671d0d9c	CRITICAL_POWER_DISTRIBUTION
4067a598-b956-445d-a5cf-309a58ec5fa8	6b4d4d57-4c06-440a-a63c-0a1828cef121	CRAH
4067a598-b956-445d-a5cf-309a58ec5fa8	17b63f43-54f8-4cdb-b495-4240f181707b	CRAC
4067a598-b956-445d-a5cf-309a58ec5fa8	36eab01d-8362-4632-9461-21c480aeeea7	CRAC_WITHOUT_FAN
4067a598-b956-445d-a5cf-309a58ec5fa8	cf9eb39d-bb46-44fd-b335-5df1f3fb90b7	CRAC_FAN
4067a598-b956-445d-a5cf-309a58ec5fa8	4b7fc77a-c111-4811-9dcf-1b87e113271c	CHILLER
4067a598-b956-445d-a5cf-309a58ec5fa8	2e3d56fe-2990-47ad-b7c9-9b7ce9826d4a	AIR_COOLED_CHILLER
4067a598-b956-445d-a5cf-309a58ec5fa8	e704308d-68c6-4c9f-b9fc-be69379908e5	COOLING_TOWER
4067a598-b956-445d-a5cf-309a58ec5fa8	39934b7b-4f88-4770-a0a5-d6a06dd77376	DRY_COOLER
4067a598-b956-445d-a5cf-309a58ec5fa8	5703d021-7374-4c54-826a-b8bd124128b2	REMOTE_CONDENSER
4067a598-b956-445d-a5cf-309a58ec5fa8	7d9f4fd2-36b2-433c-a951-d35781894ae6	CHILLED_WATER_PUMPS
4067a598-b956-445d-a5cf-309a58ec5fa8	a46cc70d-93c9-4b2e-9f2d-7b549dc5dc21	HEAT_REJECTION_PUMPS
4067a598-b956-445d-a5cf-309a58ec5fa8	0bad0f19-004b-4c41-9d9e-2fd2520edbc5	VENTILATION
4067a598-b956-445d-a5cf-309a58ec5fa8	89f212bd-e8a0-426b-972f-e9480dffe73e	INFILTRATION
4067a598-b956-445d-a5cf-309a58ec5fa8	9f64d457-3e46-4818-982a-313d17c73143	IT_LOAD
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	fc0e3064-7ec6-4426-9add-52e506feb263	SWITCHGEAR
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	f8de08d6-9484-463b-bf63-b2eeafb6803e	GENERATOR
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	854d1469-64f0-4af4-a30b-99e08f643e15	PRIMARY_AUXILIARIES
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	eb5295df-c999-4b72-ad1d-5aa2da908d2c	UPS
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	0c5d824b-e799-45db-bbfa-29137dacf598	CRITICAL_AUXILIARIES
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	df0063ef-8cb0-4254-ac35-d0d651839b34	LIGHTING
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	eb7c9d9c-b79c-4fcb-9745-62f119291b47	CRITICAL_POWER_DISTRIBUTION
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	ac4ed1c2-f356-44ef-92a5-26362225a9c5	CRAH
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	eb162111-a3ac-47f9-bf5f-f9ee57ea4486	CRAC
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	57c36a1c-fe9d-4ea2-92d3-38e2fc14a16e	CRAC_WITHOUT_FAN
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	cbd916dd-851f-4236-9b57-9ea9743e887f	CRAC_FAN
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	b8f46ee9-6fd7-4126-8300-c23343a1cf2f	CHILLER
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	78531d7f-3843-4615-a136-13a54d7332bc	AIR_COOLED_CHILLER
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	67ca6da9-0805-4ff5-9909-bc818e71841e	COOLING_TOWER
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	fe4196d9-3ee6-4b6d-bc3b-309144bcb0b8	DRY_COOLER
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	184e700d-57ce-4226-b6f5-60d1fcd81c9a	REMOTE_CONDENSER
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	3df7948b-c61f-4733-b563-7e9ad95ec93d	CHILLED_WATER_PUMPS
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	96d3cd19-c268-426a-8bad-8481415797ff	HEAT_REJECTION_PUMPS
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	408f9ed4-a417-4393-a8a0-1bf401be3897	VENTILATION
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	45ab217b-69a6-40dc-a9aa-c4de52482a85	INFILTRATION
3fcfb4bb-cf41-4b4a-8656-9cbf921adecc	f34d9ba3-fd44-47a6-9c91-d3c07ff06051	IT_LOAD
3c32d00e-7140-4866-b95d-3d5d40a9ead5	a19836c3-26cc-4a95-a2a1-52e87b293a85	SWITCHGEAR
3c32d00e-7140-4866-b95d-3d5d40a9ead5	ca9aa501-b815-4c87-a208-9bdf7f5c8070	GENERATOR
3c32d00e-7140-4866-b95d-3d5d40a9ead5	07fd9519-e7b7-49b7-b893-77b081b20521	PRIMARY_AUXILIARIES
3c32d00e-7140-4866-b95d-3d5d40a9ead5	936cf97f-e995-44a6-856a-9a0c2b5b1ad6	UPS
3c32d00e-7140-4866-b95d-3d5d40a9ead5	2a30f9b5-9b6e-45f7-9cd2-351b2ca210e2	CRITICAL_AUXILIARIES
3c32d00e-7140-4866-b95d-3d5d40a9ead5	39627bd4-30a9-46cf-a678-a1e0cd5e8082	LIGHTING
3c32d00e-7140-4866-b95d-3d5d40a9ead5	11d2f319-133d-4cc3-ae4f-376ea1e4e85c	CRITICAL_POWER_DISTRIBUTION
3c32d00e-7140-4866-b95d-3d5d40a9ead5	145e3550-15a2-42bc-9230-ecdc1fa12465	CRAH
3c32d00e-7140-4866-b95d-3d5d40a9ead5	13e6fc13-9357-4d85-acd9-8602f65c4237	CRAC
3c32d00e-7140-4866-b95d-3d5d40a9ead5	9ca84030-0450-420b-b937-6f996139d3d6	CRAC_WITHOUT_FAN
3c32d00e-7140-4866-b95d-3d5d40a9ead5	c669d925-1468-4884-b714-eaa3e0c302bf	CRAC_FAN
3c32d00e-7140-4866-b95d-3d5d40a9ead5	5cc09e84-bf01-49a2-9e12-cb97daf4cdca	CHILLER
3c32d00e-7140-4866-b95d-3d5d40a9ead5	c608fba0-b275-4fda-91d3-3a2e9552cc9a	AIR_COOLED_CHILLER
3c32d00e-7140-4866-b95d-3d5d40a9ead5	4101644b-ce51-4059-974a-1c1ccd006d72	COOLING_TOWER
3c32d00e-7140-4866-b95d-3d5d40a9ead5	0dbfe334-c9fa-412d-af67-480742b8ec2e	DRY_COOLER
3c32d00e-7140-4866-b95d-3d5d40a9ead5	6255456d-9e57-46ef-b2fc-11adaafb8487	REMOTE_CONDENSER
3c32d00e-7140-4866-b95d-3d5d40a9ead5	b9519d7b-febd-44cc-bdc3-48bfe6cb03fd	CHILLED_WATER_PUMPS
3c32d00e-7140-4866-b95d-3d5d40a9ead5	dd61fc5a-9777-414c-9489-c083aec3c554	HEAT_REJECTION_PUMPS
3c32d00e-7140-4866-b95d-3d5d40a9ead5	0655c78b-999f-48a8-a5e0-659e9c7e3004	VENTILATION
3c32d00e-7140-4866-b95d-3d5d40a9ead5	cdaeae45-c8a6-47e5-86de-b9f0778aac6e	INFILTRATION
3c32d00e-7140-4866-b95d-3d5d40a9ead5	74604ba2-4600-4b1a-9359-eec9e1f335e5	IT_LOAD
0d6a278f-0572-4157-a215-fdfa498b42aa	77bc3ffc-1295-4020-a169-2d94a6020164	SWITCHGEAR
0d6a278f-0572-4157-a215-fdfa498b42aa	d942c759-e278-438d-82ce-cbf0a41652f7	GENERATOR
0d6a278f-0572-4157-a215-fdfa498b42aa	e67bc44a-249d-416a-9bf4-c92e9dbaef27	PRIMARY_AUXILIARIES
0d6a278f-0572-4157-a215-fdfa498b42aa	f33f9684-7fe1-4bb4-a532-4667372aae60	UPS
0d6a278f-0572-4157-a215-fdfa498b42aa	acb1237e-92b1-4269-bf79-254e7371848f	CRITICAL_AUXILIARIES
0d6a278f-0572-4157-a215-fdfa498b42aa	21ac7b89-8bfb-4b06-992d-2e8d89465ae6	LIGHTING
0d6a278f-0572-4157-a215-fdfa498b42aa	db380b91-b54d-4409-8a7e-62acc6c11ef3	CRITICAL_POWER_DISTRIBUTION
0d6a278f-0572-4157-a215-fdfa498b42aa	d8e04948-8910-470b-9035-f9aa9c57c302	CRAH
0d6a278f-0572-4157-a215-fdfa498b42aa	411eb69b-3d19-4437-8a2d-b7e5b5357625	CRAC
0d6a278f-0572-4157-a215-fdfa498b42aa	43198379-cee6-42be-b860-19683ee85e80	CRAC_WITHOUT_FAN
0d6a278f-0572-4157-a215-fdfa498b42aa	83e23f18-b7c8-4332-87e0-e58e2fc6350f	CRAC_FAN
0d6a278f-0572-4157-a215-fdfa498b42aa	011bcb52-02ca-4577-aa6e-fdb8d169e477	CHILLER
0d6a278f-0572-4157-a215-fdfa498b42aa	7c41289c-2c95-420d-a6b0-8b9918cc4fcf	AIR_COOLED_CHILLER
0d6a278f-0572-4157-a215-fdfa498b42aa	d84ed70b-2a5c-47ed-9ab2-974abc97381a	COOLING_TOWER
0d6a278f-0572-4157-a215-fdfa498b42aa	6a9572d3-f54a-4e21-ba3f-a96cc61f19c8	DRY_COOLER
0d6a278f-0572-4157-a215-fdfa498b42aa	eb409c69-f587-481c-8a27-e570dff18b69	REMOTE_CONDENSER
0d6a278f-0572-4157-a215-fdfa498b42aa	f69becd4-685c-4e44-98da-2bf9ade3d3ad	CHILLED_WATER_PUMPS
0d6a278f-0572-4157-a215-fdfa498b42aa	7aba792b-9ce6-4848-942a-597dc531a109	HEAT_REJECTION_PUMPS
0d6a278f-0572-4157-a215-fdfa498b42aa	dcb3d654-f988-4893-ae48-ce433f9742b8	VENTILATION
0d6a278f-0572-4157-a215-fdfa498b42aa	c9812a58-8fe9-4397-aace-d85e47d0068f	INFILTRATION
0d6a278f-0572-4157-a215-fdfa498b42aa	6a724699-987e-4970-b352-ff776121f7dc	IT_LOAD
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	7d0cc6a3-f40c-4cc4-9c66-0dd5480670aa	SWITCHGEAR
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	e6f95eb8-62c1-4923-95a3-41ddf80e84b7	GENERATOR
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	dc2e886e-7040-466c-9ae9-9ebf9d1ba176	PRIMARY_AUXILIARIES
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	036542ce-1319-4e5c-945f-64d03fa39c15	UPS
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	c1e6e646-6d3e-4eaf-9799-85dd6de413a3	CRITICAL_AUXILIARIES
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	a803f2fe-d970-4aea-9a51-cbda50784137	LIGHTING
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	fbd9c857-f82e-45db-8187-5bd31dee2d95	CRITICAL_POWER_DISTRIBUTION
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	e0a7efdb-195e-4b4e-8951-16b55c125e2a	CRAH
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	c733fc1e-6145-49e4-8ee5-afc4fd168b5b	CRAC
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	94dda238-0e9a-48ec-9cca-892ea43aa999	CRAC_WITHOUT_FAN
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	cae28e6b-2127-4c8a-b668-344e93178285	CRAC_FAN
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	492d0d3a-22c1-484c-817d-7956ee6f3c15	CHILLER
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	03e1f362-9d80-4f89-aaee-ca3f4dd8dea9	AIR_COOLED_CHILLER
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	d2cf51fd-4859-493b-af17-0c82e790a1ce	COOLING_TOWER
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	51e95377-f6ff-45c0-ae9b-e6403a2bfe8f	DRY_COOLER
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	b20e25a2-2cd0-408d-8c7f-93403a812891	REMOTE_CONDENSER
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	f3c06159-ee63-45f4-b199-7b1df8a2c6dd	CHILLED_WATER_PUMPS
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	1c5cdf9e-55bd-4f12-a908-af02a8da5ce1	HEAT_REJECTION_PUMPS
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	2d2c4c9a-4e7c-4ad4-9e4e-ef66359d87ce	VENTILATION
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	258aae0c-44f4-4781-99f6-ad11583d5697	INFILTRATION
5fc41b40-3ae1-469a-aa16-2d59ab0cfaee	9e1e4a0a-126b-4a91-a5da-73b108fcd423	IT_LOAD
7e144622-3993-40bb-979d-3ec4b05aa157	cc6b29dd-8770-43f8-87b0-f8a61b635a38	SWITCHGEAR
7e144622-3993-40bb-979d-3ec4b05aa157	863d6bdf-5c1b-4533-9175-3bc914e02949	GENERATOR
7e144622-3993-40bb-979d-3ec4b05aa157	748c9ba4-6458-4094-8718-8ffd0495f734	PRIMARY_AUXILIARIES
7e144622-3993-40bb-979d-3ec4b05aa157	72b79860-aa88-48c1-8b5e-037b04404636	UPS
7e144622-3993-40bb-979d-3ec4b05aa157	9d0084b7-73c2-4f34-8b50-b4bd24d8308c	CRITICAL_AUXILIARIES
7e144622-3993-40bb-979d-3ec4b05aa157	67e1ab5e-c9fd-45db-993e-41f543ab69be	LIGHTING
7e144622-3993-40bb-979d-3ec4b05aa157	ba69d310-e22f-437b-bfdc-c1aad2d2756f	CRITICAL_POWER_DISTRIBUTION
7e144622-3993-40bb-979d-3ec4b05aa157	78c857af-a31e-47c9-945a-1c9a41d6be18	CRAH
7e144622-3993-40bb-979d-3ec4b05aa157	8f368df3-24d7-4c52-bc99-281bdb152d01	CRAC
7e144622-3993-40bb-979d-3ec4b05aa157	b8244e5d-9455-4ebe-8a9d-7c32642fbd69	CRAC_WITHOUT_FAN
7e144622-3993-40bb-979d-3ec4b05aa157	a816b97c-a68e-4a83-bd70-9eb3422bf62d	CRAC_FAN
7e144622-3993-40bb-979d-3ec4b05aa157	f47bd546-4bc0-42c0-b7a4-bc1dfd019269	CHILLER
7e144622-3993-40bb-979d-3ec4b05aa157	3c9cb7ea-0b9e-4d7e-b2ba-345ced0596ea	AIR_COOLED_CHILLER
7e144622-3993-40bb-979d-3ec4b05aa157	fce25068-23f7-40f9-bd0c-ead27b787f71	COOLING_TOWER
7e144622-3993-40bb-979d-3ec4b05aa157	fc447d67-c5bc-4b0f-9218-a58120697f1d	DRY_COOLER
7e144622-3993-40bb-979d-3ec4b05aa157	bcdee033-3f5d-4de1-a4a1-4d35bf1e2746	REMOTE_CONDENSER
7e144622-3993-40bb-979d-3ec4b05aa157	d1e6558a-6fe0-4f80-80da-c669a863c8df	CHILLED_WATER_PUMPS
7e144622-3993-40bb-979d-3ec4b05aa157	a3294ac5-5be6-4505-967c-7b661609240e	HEAT_REJECTION_PUMPS
7e144622-3993-40bb-979d-3ec4b05aa157	84e224a7-3435-4c09-b87a-00eb9562b762	VENTILATION
7e144622-3993-40bb-979d-3ec4b05aa157	29520009-b313-4e74-9f97-7383577f0c86	INFILTRATION
7e144622-3993-40bb-979d-3ec4b05aa157	f67bb76c-3f02-4f70-ac2b-042999e941fb	IT_LOAD
c389de2f-ac97-4aa2-9311-09515ad21406	053b8536-a7f9-4a92-bbe3-30afc1a42aac	SWITCHGEAR
c389de2f-ac97-4aa2-9311-09515ad21406	13055e0b-d8de-4aa7-b03d-153121ae6037	GENERATOR
c389de2f-ac97-4aa2-9311-09515ad21406	915dbda8-3682-403d-a0a0-9ea2c4b98aca	PRIMARY_AUXILIARIES
c389de2f-ac97-4aa2-9311-09515ad21406	431eb890-b1c2-4da1-b955-18b8b83a7fec	UPS
c389de2f-ac97-4aa2-9311-09515ad21406	de6a5118-c7eb-4d42-8a7c-aed57a2beed9	CRITICAL_AUXILIARIES
c389de2f-ac97-4aa2-9311-09515ad21406	01b58d32-d59d-43c0-aad3-8afaeac3268f	LIGHTING
c389de2f-ac97-4aa2-9311-09515ad21406	19515957-76e9-4f33-bb70-4d91157c619c	CRITICAL_POWER_DISTRIBUTION
c389de2f-ac97-4aa2-9311-09515ad21406	ba22ab6a-a551-4364-883c-adfaf39e83ae	CRAH
c389de2f-ac97-4aa2-9311-09515ad21406	81bb8086-4f2c-49e7-a916-01cf95bfe2dc	CRAC
c389de2f-ac97-4aa2-9311-09515ad21406	990110dc-be56-4509-8593-edfb2cb5b61b	CRAC_WITHOUT_FAN
c389de2f-ac97-4aa2-9311-09515ad21406	e1d8a361-558c-4826-8bfe-c41513331c50	CRAC_FAN
c389de2f-ac97-4aa2-9311-09515ad21406	989bf49d-18de-4881-815d-e490f25ca095	CHILLER
c389de2f-ac97-4aa2-9311-09515ad21406	d2a436b4-6157-48de-824e-1aebebd51a57	AIR_COOLED_CHILLER
c389de2f-ac97-4aa2-9311-09515ad21406	12b1fcb9-0512-4b0e-826b-d07ddcbce559	COOLING_TOWER
c389de2f-ac97-4aa2-9311-09515ad21406	809d51d6-ed37-4db6-bec8-b22e202bf138	DRY_COOLER
c389de2f-ac97-4aa2-9311-09515ad21406	50762662-6502-4452-ab80-f7b5848dcf91	REMOTE_CONDENSER
c389de2f-ac97-4aa2-9311-09515ad21406	dd3d4ffb-8bdb-4d20-9696-36e23dae5452	CHILLED_WATER_PUMPS
c389de2f-ac97-4aa2-9311-09515ad21406	e0a141e9-2142-43c1-bd44-24852ae18eab	HEAT_REJECTION_PUMPS
c389de2f-ac97-4aa2-9311-09515ad21406	256ee981-00d5-4f3b-9220-1ade274fc5fd	VENTILATION
c389de2f-ac97-4aa2-9311-09515ad21406	af720fbb-7630-4c27-b3de-fe7833a96819	INFILTRATION
c389de2f-ac97-4aa2-9311-09515ad21406	c6d927bf-3f1a-4dae-add7-887ed4e96bf7	IT_LOAD
9b1f2504-580d-4866-b2e8-df1ffb0f407b	eef71440-5eb1-42a4-8284-03ba79c28116	SWITCHGEAR
9b1f2504-580d-4866-b2e8-df1ffb0f407b	c69f569b-2d70-4a92-b7d3-305569650396	GENERATOR
9b1f2504-580d-4866-b2e8-df1ffb0f407b	4bae3090-f7c2-4a14-9d66-86b183761d17	PRIMARY_AUXILIARIES
9b1f2504-580d-4866-b2e8-df1ffb0f407b	781d1fed-b75e-497b-aa08-c72867365005	UPS
9b1f2504-580d-4866-b2e8-df1ffb0f407b	5b7ffa1f-894a-4418-ad89-4ff71600b923	CRITICAL_AUXILIARIES
9b1f2504-580d-4866-b2e8-df1ffb0f407b	ba5ca46a-1866-475a-95c2-0acb5652bfd1	LIGHTING
9b1f2504-580d-4866-b2e8-df1ffb0f407b	685b1ebd-83ce-4587-83e4-34703e085247	CRITICAL_POWER_DISTRIBUTION
9b1f2504-580d-4866-b2e8-df1ffb0f407b	eab40205-9775-4ba7-889a-e53707a11358	CRAH
9b1f2504-580d-4866-b2e8-df1ffb0f407b	e3bb26ae-1006-4a34-8644-ff0959581fd9	CRAC
9b1f2504-580d-4866-b2e8-df1ffb0f407b	2c2f2933-1336-4f26-b3a0-b2246c271cdc	CRAC_WITHOUT_FAN
9b1f2504-580d-4866-b2e8-df1ffb0f407b	33fa9edf-3eb0-4378-b055-fbde1b730033	CRAC_FAN
9b1f2504-580d-4866-b2e8-df1ffb0f407b	36120018-4e2e-4bb8-9cfc-94479d6aaaf5	CHILLER
9b1f2504-580d-4866-b2e8-df1ffb0f407b	ed0ee6b2-80f6-406c-a8f7-1fb3b80b8055	AIR_COOLED_CHILLER
9b1f2504-580d-4866-b2e8-df1ffb0f407b	dfebdeb0-22cb-4c0b-9772-a0d10931147c	COOLING_TOWER
9b1f2504-580d-4866-b2e8-df1ffb0f407b	4375f7c8-f9fa-4f7f-b208-6e01118b4879	DRY_COOLER
9b1f2504-580d-4866-b2e8-df1ffb0f407b	8e772462-7870-4465-96e6-4307419985fd	REMOTE_CONDENSER
9b1f2504-580d-4866-b2e8-df1ffb0f407b	09f43b9f-2e66-491c-93f2-9eb2b4a5aedf	CHILLED_WATER_PUMPS
9b1f2504-580d-4866-b2e8-df1ffb0f407b	a90b33e6-5d6b-491e-8c34-38c0cf1ddcc3	HEAT_REJECTION_PUMPS
9b1f2504-580d-4866-b2e8-df1ffb0f407b	4f762b98-4efe-4eb8-9c26-0b3dd9290e23	VENTILATION
9b1f2504-580d-4866-b2e8-df1ffb0f407b	79b6e096-a090-4b53-8311-ed19f13a610f	INFILTRATION
9b1f2504-580d-4866-b2e8-df1ffb0f407b	81fd0af9-8864-45aa-8aac-82090852d5d6	IT_LOAD
a2dd5f25-4f16-4d22-820e-de64e4f3632f	85213bc3-f977-4f9e-9d44-fa5683080887	SWITCHGEAR
a2dd5f25-4f16-4d22-820e-de64e4f3632f	d13f1a41-eef1-4506-b923-289b70cabff9	GENERATOR
a2dd5f25-4f16-4d22-820e-de64e4f3632f	0c846cd4-9a74-45c6-a14a-1d1fe5136e7e	PRIMARY_AUXILIARIES
a2dd5f25-4f16-4d22-820e-de64e4f3632f	f355bfcf-946f-434c-91c8-5f536f6857f3	UPS
a2dd5f25-4f16-4d22-820e-de64e4f3632f	8138e724-6249-4405-988f-deded9a672cd	CRITICAL_AUXILIARIES
a2dd5f25-4f16-4d22-820e-de64e4f3632f	615a48cf-6e7e-4ff8-b6fa-0c4a03c40684	LIGHTING
a2dd5f25-4f16-4d22-820e-de64e4f3632f	411e111d-a090-4f42-a5ef-d28bed5dfe96	CRITICAL_POWER_DISTRIBUTION
a2dd5f25-4f16-4d22-820e-de64e4f3632f	cb9e0655-8b9c-4738-89e7-08639d109cc3	CRAH
a2dd5f25-4f16-4d22-820e-de64e4f3632f	7032550f-c78a-4ad9-a343-ca2f666e2a53	CRAC
a2dd5f25-4f16-4d22-820e-de64e4f3632f	b7c02f22-054f-4f8a-93da-2120e97419e4	CRAC_WITHOUT_FAN
a2dd5f25-4f16-4d22-820e-de64e4f3632f	738dcb57-c606-4305-ad01-da73cbc74622	CRAC_FAN
a2dd5f25-4f16-4d22-820e-de64e4f3632f	9cfd5ff7-adfd-404f-a1dc-c3389b06acbe	CHILLER
a2dd5f25-4f16-4d22-820e-de64e4f3632f	86b09fb8-502b-468c-885a-cf2b690721a0	AIR_COOLED_CHILLER
a2dd5f25-4f16-4d22-820e-de64e4f3632f	6709e647-594e-4bce-ab7b-ef8f59c59021	COOLING_TOWER
a2dd5f25-4f16-4d22-820e-de64e4f3632f	f00e2af7-36ce-49c5-aef7-db9b457fdde1	DRY_COOLER
a2dd5f25-4f16-4d22-820e-de64e4f3632f	26d7bbf5-0feb-409d-9258-86a93228920c	REMOTE_CONDENSER
a2dd5f25-4f16-4d22-820e-de64e4f3632f	775ba3d9-9f21-4ebe-b0e1-09f94f278d8e	CHILLED_WATER_PUMPS
a2dd5f25-4f16-4d22-820e-de64e4f3632f	04b3bcc3-0048-45e9-afb3-16a5a1058e33	HEAT_REJECTION_PUMPS
a2dd5f25-4f16-4d22-820e-de64e4f3632f	c3054b0d-6200-458f-859a-9ae69e6087a3	VENTILATION
a2dd5f25-4f16-4d22-820e-de64e4f3632f	ccea4d98-1cb5-4dcb-b185-868edc8656f0	INFILTRATION
a2dd5f25-4f16-4d22-820e-de64e4f3632f	fabfcdb2-af3e-45f7-9f3f-9b220cf4e58a	IT_LOAD
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	51f6cb65-8041-4759-b765-f04b10bf4d85	SWITCHGEAR
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	49fd07bf-f6a9-4355-bc59-ed7a70470fbb	GENERATOR
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	c2713ccc-1694-4401-9738-9d4f6c8caa8d	PRIMARY_AUXILIARIES
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	9fde7c99-88c8-4a97-b782-55b0a57270d4	UPS
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	682b55c9-208f-4bf5-89ae-615e2891fecb	CRITICAL_AUXILIARIES
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	f7dd6a2a-db41-486d-8ce3-9ed64a8f8019	LIGHTING
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	de6e6464-345b-4075-9927-60f8ba5bff82	CRITICAL_POWER_DISTRIBUTION
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	470c3b24-2809-4e5e-a69d-58ceb48935a9	CRAH
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	4f6cfa94-58ed-464f-a809-00da2aa42e5c	CRAC
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	94975afb-e6af-47d7-8260-a1b6f81e39d2	CRAC_WITHOUT_FAN
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	d10c583a-4dbe-4bda-8e93-30862cda06b9	CRAC_FAN
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	21b7801f-7358-4f29-b036-4edb0d09b24c	CHILLER
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	d017c1f7-ec5b-401e-87f1-7dbc4f13bf2a	AIR_COOLED_CHILLER
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	79b4c555-207a-4828-a7d4-b3b6c3cd3cb2	COOLING_TOWER
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	ec182dd3-1d1f-4718-abbd-f4de39a0449a	DRY_COOLER
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	13408b2c-d273-4c14-99a4-daee3e8b328e	REMOTE_CONDENSER
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	deda6fcf-227c-4f85-9bc7-5f54cf26c2af	CHILLED_WATER_PUMPS
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	fed249b6-f8ef-4203-be60-8f4d7ea0f034	HEAT_REJECTION_PUMPS
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	8eec17e2-4102-4eba-b284-e077f5b11093	VENTILATION
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	e274a1f1-6d97-4414-91ab-fffa50c7ba4f	INFILTRATION
85fd52e4-3a51-4e35-a13b-2eaaa46da0a6	6b87120b-d620-4824-8ef6-485a533790a0	IT_LOAD
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	33d6c47b-cae6-4413-8afc-f924cf53ead1	SWITCHGEAR
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	2d066150-e57e-48c0-a952-b4aa97bdf19b	GENERATOR
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	24600c46-58ea-4680-a388-0569832e063a	PRIMARY_AUXILIARIES
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	b8459ca5-c91f-4d3b-a247-0722b6e70fcb	UPS
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	4cb1c177-d8e8-4788-ad7c-38fbf0c499b2	CRITICAL_AUXILIARIES
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	79d1b2ae-9048-4f47-a5d0-8eb92de4c8d1	LIGHTING
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	d60a0d0a-dbe0-4d5e-83e2-c07117299e8c	CRITICAL_POWER_DISTRIBUTION
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	a365ce3a-7e23-4183-83e4-d4e88e7bd283	CRAH
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	c7689131-b964-4aaf-833f-814a1a9e2178	CRAC
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	5c8224db-3f8e-44dc-a4dd-0b1aee0af30c	CRAC_WITHOUT_FAN
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	ac0ca2e1-9cde-44cf-a6b6-94367ffada45	CRAC_FAN
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	d4142fe1-111a-4454-92b1-b5863cae5ee7	CHILLER
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	5b61469a-fdff-4664-bfdc-1723455cb64a	AIR_COOLED_CHILLER
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	da9d63f7-e0f1-41a5-9786-0948937063f1	COOLING_TOWER
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	b8300fa2-7e44-4853-af4a-a520a15a41d6	DRY_COOLER
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	658c8278-0651-4605-9249-6c64c90b0cb7	REMOTE_CONDENSER
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	f655ae07-b424-41e6-ac45-2eca853be545	CHILLED_WATER_PUMPS
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	b8c00e7c-c834-4b1b-8b1d-fa53c27895ff	HEAT_REJECTION_PUMPS
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	7a093d66-6238-4994-8bcd-2552f57425fc	VENTILATION
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	c0dbde12-9013-4245-81b8-05ab8f8afd49	INFILTRATION
2f40bedf-77e0-41fd-ba82-f32e8ca5b97d	e3b5765c-90c2-407a-a4c4-9733edc7e467	IT_LOAD
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	f7b73ef7-a325-4588-b0e1-aa59b5c62794	SWITCHGEAR
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	4302e953-2957-45c5-92e7-6b79adeee57e	GENERATOR
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	a272acbf-099a-401d-ae13-fe95b6444a38	PRIMARY_AUXILIARIES
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	62995979-42d6-4297-a600-99dc5c40b448	UPS
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	b49edab2-6ae8-4768-8ff3-bb6d2a7105c5	CRITICAL_AUXILIARIES
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	e51c8c62-1528-473e-86d2-012119882423	LIGHTING
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	55e73c56-42bc-4c1c-b2cd-847de028edca	CRITICAL_POWER_DISTRIBUTION
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	6b0dfc7e-eb59-417c-be2e-62886288d2a5	CRAH
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	d3ad24d6-e8d3-41f2-9dc9-4f2513ddd08a	CRAC
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	37b10432-bd78-4ead-8858-e8b5d0bb5d25	CRAC_WITHOUT_FAN
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	223b3788-7525-4893-b34e-2dcf20f39c12	CRAC_FAN
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	03360933-3d0c-45cd-aac5-9f0e1d9d94bf	CHILLER
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	3aa2aed7-867c-4b35-acf9-a938d21b1845	AIR_COOLED_CHILLER
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	38123be0-da20-4da6-b6d5-d43ac51ee611	COOLING_TOWER
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	a9d6da9d-fd3f-4352-a061-b4a028d31994	DRY_COOLER
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	62172e94-be08-4f80-8aac-fba92e5f4d40	REMOTE_CONDENSER
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	8b424b93-56e4-4248-bd3c-31e22e84d80b	CHILLED_WATER_PUMPS
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	1acc9347-0e33-45ce-be5e-097a26f495f7	HEAT_REJECTION_PUMPS
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	4243baf0-c4de-4b81-b0e3-ac662e36adff	VENTILATION
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	1cb30300-ad19-4f62-9786-9082e50eecb8	INFILTRATION
d4b2b6e9-afbe-4e9e-a359-9010bb2dedb9	36695081-f774-4b16-90a9-a6f4a6f7e018	IT_LOAD
d15b3e36-5a3e-49f3-ad95-b6e58741152c	12fbd894-d7da-499f-8f53-3446fadd79d5	SWITCHGEAR
d15b3e36-5a3e-49f3-ad95-b6e58741152c	958cc7bb-d480-418b-a7c7-ad6e70eb061d	GENERATOR
d15b3e36-5a3e-49f3-ad95-b6e58741152c	aa3f7c83-9b31-4b10-bbb2-d63b5fbf5b62	PRIMARY_AUXILIARIES
d15b3e36-5a3e-49f3-ad95-b6e58741152c	fdfb2988-7d1b-48e4-b229-a811109a8f6c	UPS
d15b3e36-5a3e-49f3-ad95-b6e58741152c	ea00a927-3574-4f90-9c4e-f833b5c74164	CRITICAL_AUXILIARIES
d15b3e36-5a3e-49f3-ad95-b6e58741152c	0bc90292-db9b-4a8e-9e6e-5a69ca1a5d95	LIGHTING
d15b3e36-5a3e-49f3-ad95-b6e58741152c	9105f460-d3c5-4d8c-ae80-0cf13de954f3	CRITICAL_POWER_DISTRIBUTION
d15b3e36-5a3e-49f3-ad95-b6e58741152c	8a83932e-6445-47ce-906e-494e8c274126	CRAH
d15b3e36-5a3e-49f3-ad95-b6e58741152c	26add8f7-85e4-46b1-8ae5-e2703ea7b19d	CRAC
d15b3e36-5a3e-49f3-ad95-b6e58741152c	e084a9c0-b795-4f52-a5c5-c408452bd8dc	CRAC_WITHOUT_FAN
d15b3e36-5a3e-49f3-ad95-b6e58741152c	514b8575-0fac-4c81-bd7a-c2d55776ad62	CRAC_FAN
d15b3e36-5a3e-49f3-ad95-b6e58741152c	725b2c48-7861-4fb7-a82d-73093dffcb0b	CHILLER
d15b3e36-5a3e-49f3-ad95-b6e58741152c	39973d1c-4f85-4bdb-8cfc-68d30b5185df	AIR_COOLED_CHILLER
d15b3e36-5a3e-49f3-ad95-b6e58741152c	538d8f92-ee89-44ad-a1ac-b60a3b5e83ae	COOLING_TOWER
d15b3e36-5a3e-49f3-ad95-b6e58741152c	43f1d608-d526-40d3-90df-b82413633789	DRY_COOLER
d15b3e36-5a3e-49f3-ad95-b6e58741152c	a1a8a76d-3f08-41ba-b3f9-727d79ccbc1d	REMOTE_CONDENSER
d15b3e36-5a3e-49f3-ad95-b6e58741152c	f9316264-fc83-444b-9e00-f42cea39bd0c	CHILLED_WATER_PUMPS
d15b3e36-5a3e-49f3-ad95-b6e58741152c	3b2a2d6e-7897-488e-800e-3922a108d025	HEAT_REJECTION_PUMPS
d15b3e36-5a3e-49f3-ad95-b6e58741152c	5671c002-0f75-47ab-a2b4-0fd3ae451804	VENTILATION
d15b3e36-5a3e-49f3-ad95-b6e58741152c	96f3f724-40e0-4030-bb8e-1d2a2dbf8eef	INFILTRATION
d15b3e36-5a3e-49f3-ad95-b6e58741152c	119c4243-2605-4b86-9b86-77cede00c15e	IT_LOAD
eef44925-7369-40ac-b394-a9d7177f956a	3abc5265-a1f7-4704-bb80-4d4b368ed8ac	SWITCHGEAR
eef44925-7369-40ac-b394-a9d7177f956a	caa218ae-2710-4371-a224-eb76334f6fed	GENERATOR
eef44925-7369-40ac-b394-a9d7177f956a	56755d3c-f621-493b-92a0-d17b16e21044	PRIMARY_AUXILIARIES
eef44925-7369-40ac-b394-a9d7177f956a	0db0a2b9-eddb-4cdb-adb7-bac81f39d044	UPS
eef44925-7369-40ac-b394-a9d7177f956a	03fd9417-d0c4-4357-bf15-9cec5fac3a82	CRITICAL_AUXILIARIES
eef44925-7369-40ac-b394-a9d7177f956a	2eff34e1-8a73-4695-beb7-5a6e90bf0ff7	LIGHTING
eef44925-7369-40ac-b394-a9d7177f956a	4f479d6d-c64a-41d4-bab3-c2d9ab52a74c	CRITICAL_POWER_DISTRIBUTION
eef44925-7369-40ac-b394-a9d7177f956a	c981213a-5a7b-4186-9393-07265f9a860e	CRAH
eef44925-7369-40ac-b394-a9d7177f956a	f6b2cac5-96ad-45ff-b18a-4a2dabe107bf	CRAC
eef44925-7369-40ac-b394-a9d7177f956a	4e8f8b6b-9379-4494-a6d1-df87c48884c8	CRAC_WITHOUT_FAN
eef44925-7369-40ac-b394-a9d7177f956a	f148aeed-2736-4a8e-a4c4-8f2bc111a38f	CRAC_FAN
eef44925-7369-40ac-b394-a9d7177f956a	4ca48295-1cd1-4f4a-8466-bf44e6a9d7cf	CHILLER
eef44925-7369-40ac-b394-a9d7177f956a	5a107e31-3934-4806-8886-c5ec5d1e487c	AIR_COOLED_CHILLER
eef44925-7369-40ac-b394-a9d7177f956a	29a10db1-1314-4597-98bb-3da664c21fe8	COOLING_TOWER
eef44925-7369-40ac-b394-a9d7177f956a	88819764-5c38-4213-a378-f172a3a34030	DRY_COOLER
eef44925-7369-40ac-b394-a9d7177f956a	7586231e-9085-4727-a85a-1ac5183d7cd0	REMOTE_CONDENSER
eef44925-7369-40ac-b394-a9d7177f956a	8001eb50-c659-4e4b-b9d4-53a3942d890b	CHILLED_WATER_PUMPS
eef44925-7369-40ac-b394-a9d7177f956a	3a212fab-613d-45ca-9810-438e438c5e43	HEAT_REJECTION_PUMPS
eef44925-7369-40ac-b394-a9d7177f956a	5c3cfc34-2710-4e19-a200-a8d3650ecfc3	VENTILATION
eef44925-7369-40ac-b394-a9d7177f956a	d8c0bcb8-0c83-442c-aaa7-e34cf1be02c6	INFILTRATION
eef44925-7369-40ac-b394-a9d7177f956a	fce29963-f9b3-444a-a87c-7f8cb6d852f0	IT_LOAD
92babd7d-2684-42bd-acea-14c3f13a00c4	5a38620a-f8f8-45ac-88ed-eeebdcef60fc	SWITCHGEAR
92babd7d-2684-42bd-acea-14c3f13a00c4	779f8c7f-04bc-4ce5-83ea-e18372deabda	GENERATOR
92babd7d-2684-42bd-acea-14c3f13a00c4	01934468-e90e-4163-9edd-fbc52d5332c2	PRIMARY_AUXILIARIES
92babd7d-2684-42bd-acea-14c3f13a00c4	7f4bcc90-5478-4f9f-8851-29a3b7f4a762	UPS
92babd7d-2684-42bd-acea-14c3f13a00c4	6bca555e-646d-4af9-8005-025fb15f1907	CRITICAL_AUXILIARIES
92babd7d-2684-42bd-acea-14c3f13a00c4	a75b6fdc-151a-4488-bdd2-380fe90a444f	LIGHTING
92babd7d-2684-42bd-acea-14c3f13a00c4	a32f2c88-a9d1-426b-841c-f3089cb71e87	CRITICAL_POWER_DISTRIBUTION
92babd7d-2684-42bd-acea-14c3f13a00c4	3cf2fdc7-5795-466b-88dd-0205f709fa82	CRAH
92babd7d-2684-42bd-acea-14c3f13a00c4	d5ac5c83-2956-4e50-ab3f-25d301d77129	CRAC
92babd7d-2684-42bd-acea-14c3f13a00c4	1d210ca0-d899-4e54-b4fd-b870a5d93a8e	CRAC_WITHOUT_FAN
92babd7d-2684-42bd-acea-14c3f13a00c4	6b211a78-3bc6-4904-9215-f98dac67e2eb	CRAC_FAN
92babd7d-2684-42bd-acea-14c3f13a00c4	356f0104-5399-4684-8e6c-5575f6b77795	CHILLER
92babd7d-2684-42bd-acea-14c3f13a00c4	2e557b08-01d6-4641-814d-3732524983c7	AIR_COOLED_CHILLER
92babd7d-2684-42bd-acea-14c3f13a00c4	f30bdf76-ce07-4eb0-9a59-9b8f71c4d53a	COOLING_TOWER
92babd7d-2684-42bd-acea-14c3f13a00c4	1535612b-97d5-41c8-9087-189664abfdf0	DRY_COOLER
92babd7d-2684-42bd-acea-14c3f13a00c4	3d5efa1f-8d52-4523-898e-b1579df74020	REMOTE_CONDENSER
92babd7d-2684-42bd-acea-14c3f13a00c4	c7aac0df-56d6-42e0-ade6-fb9b0ddae9e4	CHILLED_WATER_PUMPS
92babd7d-2684-42bd-acea-14c3f13a00c4	79ed5e6e-c104-4ae6-9bc5-123e5cbbe0b0	HEAT_REJECTION_PUMPS
92babd7d-2684-42bd-acea-14c3f13a00c4	91240f98-1ccf-4c0b-8d89-1321f70edb5c	VENTILATION
92babd7d-2684-42bd-acea-14c3f13a00c4	3d95f10b-c2bc-4520-bb2a-de1b4fb369bc	INFILTRATION
92babd7d-2684-42bd-acea-14c3f13a00c4	a9feae94-d495-42bd-863d-6ade8af505ba	IT_LOAD
79e5260d-f72e-44a8-8218-ce9270150a90	856c56bb-b4c9-4fc2-a6f8-065046fd79f4	SWITCHGEAR
79e5260d-f72e-44a8-8218-ce9270150a90	5b360f26-acec-4769-8181-6fdb5129b86d	GENERATOR
79e5260d-f72e-44a8-8218-ce9270150a90	d64673f6-d2fe-44ed-9439-23cd24ab8899	PRIMARY_AUXILIARIES
79e5260d-f72e-44a8-8218-ce9270150a90	4a0f5769-c192-4e6e-b2ef-27a9d525540e	UPS
79e5260d-f72e-44a8-8218-ce9270150a90	494b5eab-6cfe-44ee-a761-52279a183487	CRITICAL_AUXILIARIES
79e5260d-f72e-44a8-8218-ce9270150a90	88f68144-30b1-4175-bf1d-f0d62ca64b41	LIGHTING
79e5260d-f72e-44a8-8218-ce9270150a90	01cb8ffe-9e4e-4b32-87f9-3c5c7d507442	CRITICAL_POWER_DISTRIBUTION
79e5260d-f72e-44a8-8218-ce9270150a90	18ae28c5-313a-40c2-ae47-3b10a6effd72	CRAH
79e5260d-f72e-44a8-8218-ce9270150a90	4a291d9e-dded-4728-8061-04f6924a98ad	CRAC
79e5260d-f72e-44a8-8218-ce9270150a90	40c466f6-d5b7-4bef-b7c2-2f1fc24a431c	CRAC_WITHOUT_FAN
79e5260d-f72e-44a8-8218-ce9270150a90	d96593de-0bfc-4227-b51e-796c2fd02b42	CRAC_FAN
79e5260d-f72e-44a8-8218-ce9270150a90	6ef35b47-f851-46f9-ae75-8b2f49447343	CHILLER
79e5260d-f72e-44a8-8218-ce9270150a90	04209cbe-3353-4f3c-8a98-9f67f0ea600e	AIR_COOLED_CHILLER
79e5260d-f72e-44a8-8218-ce9270150a90	93ad2c50-9bc0-4011-bc9e-2f101cfcb51e	COOLING_TOWER
79e5260d-f72e-44a8-8218-ce9270150a90	678041a0-b014-4705-8326-b1b07a4386d1	DRY_COOLER
79e5260d-f72e-44a8-8218-ce9270150a90	f3719986-7fc0-4516-9aa0-a7291fbb00ad	REMOTE_CONDENSER
79e5260d-f72e-44a8-8218-ce9270150a90	b81cfd18-2b0a-4f3b-87d6-b7114ea046d5	CHILLED_WATER_PUMPS
79e5260d-f72e-44a8-8218-ce9270150a90	897f2bc6-f80a-4c3b-aeb6-d2d030e92c55	HEAT_REJECTION_PUMPS
79e5260d-f72e-44a8-8218-ce9270150a90	2470ba42-4e62-4e64-9d95-69d9b51951d2	VENTILATION
79e5260d-f72e-44a8-8218-ce9270150a90	be2b620d-d6b8-4699-9bf3-0e5eb6f824b1	INFILTRATION
79e5260d-f72e-44a8-8218-ce9270150a90	422e4ebd-d0ca-4ad3-91d2-1fcaf6745458	IT_LOAD
31d20480-f143-465d-85e6-32b0030b8c6c	38c06036-317b-4d9d-86a8-2c408c81b7cc	SWITCHGEAR
31d20480-f143-465d-85e6-32b0030b8c6c	e8c77fa1-dad4-48e1-833c-f944e35a18a3	GENERATOR
31d20480-f143-465d-85e6-32b0030b8c6c	ee41c44b-ff8b-4fcb-91db-d96eaf3dd79d	PRIMARY_AUXILIARIES
31d20480-f143-465d-85e6-32b0030b8c6c	0f46e1a3-4600-42a1-a327-423d13e52c58	UPS
31d20480-f143-465d-85e6-32b0030b8c6c	724b4b96-2359-4914-b3cc-6784736fcfa0	CRITICAL_AUXILIARIES
31d20480-f143-465d-85e6-32b0030b8c6c	4cdf15a2-56e5-44e2-84dc-0c89814176fa	LIGHTING
31d20480-f143-465d-85e6-32b0030b8c6c	f35b25bb-ca79-496d-8d28-c164de1c81c8	CRITICAL_POWER_DISTRIBUTION
31d20480-f143-465d-85e6-32b0030b8c6c	e387f5d1-dfe6-4b4e-bb50-5d2a24c4b6bf	CRAH
31d20480-f143-465d-85e6-32b0030b8c6c	f53a5e25-600c-4f6c-935c-dbc57c3f78e9	CRAC
31d20480-f143-465d-85e6-32b0030b8c6c	b12c5aa5-76ab-4901-af25-8dd77166ce39	CRAC_WITHOUT_FAN
31d20480-f143-465d-85e6-32b0030b8c6c	155b36cc-3875-4864-8ae7-ad872f75eb5d	CRAC_FAN
31d20480-f143-465d-85e6-32b0030b8c6c	3475f2ed-8ccd-44b8-a30c-39f2d1c850d3	CHILLER
31d20480-f143-465d-85e6-32b0030b8c6c	38155e1d-8fde-422e-83f2-01fb0e2ac654	AIR_COOLED_CHILLER
31d20480-f143-465d-85e6-32b0030b8c6c	a0922178-1123-408e-a327-296e5bad8015	COOLING_TOWER
31d20480-f143-465d-85e6-32b0030b8c6c	5e6232a8-a81d-415b-a7dd-88129da3e9e8	DRY_COOLER
31d20480-f143-465d-85e6-32b0030b8c6c	952958d5-b48a-4cda-b0ce-a5136bd9bf9f	REMOTE_CONDENSER
31d20480-f143-465d-85e6-32b0030b8c6c	d5243f68-9a0d-43cf-bef4-e2b6e4b6b9bc	CHILLED_WATER_PUMPS
31d20480-f143-465d-85e6-32b0030b8c6c	bcd2384a-376d-4b05-bf05-673a8cb09cb4	HEAT_REJECTION_PUMPS
31d20480-f143-465d-85e6-32b0030b8c6c	da9e8279-ff40-453e-a1c4-4902ce7e31e0	VENTILATION
31d20480-f143-465d-85e6-32b0030b8c6c	0ac2ac5c-b00d-458f-9343-37ff043b8812	INFILTRATION
31d20480-f143-465d-85e6-32b0030b8c6c	a06d4443-9a94-4445-a9ef-1375f45d2ac7	IT_LOAD
bf809572-890b-4bc3-9a18-a4de5eae3b85	89eb4be7-ded5-4afb-a7c8-d808ece313b9	SWITCHGEAR
bf809572-890b-4bc3-9a18-a4de5eae3b85	e0ec0dfd-7d61-4ab2-8053-cdeca82c2a73	GENERATOR
bf809572-890b-4bc3-9a18-a4de5eae3b85	a7fcdaa6-76dd-42f1-8dd6-f1fc534b736f	PRIMARY_AUXILIARIES
bf809572-890b-4bc3-9a18-a4de5eae3b85	c3574ced-210b-4c99-8365-3cc3f7962473	UPS
bf809572-890b-4bc3-9a18-a4de5eae3b85	505a42b1-ae22-424c-9cc8-7b04f0c9a589	CRITICAL_AUXILIARIES
bf809572-890b-4bc3-9a18-a4de5eae3b85	de696154-4fd5-46b7-82cd-6e506a9c7cb7	LIGHTING
bf809572-890b-4bc3-9a18-a4de5eae3b85	1262731c-2f35-4e4e-b03c-e5d38e3a9d88	CRITICAL_POWER_DISTRIBUTION
bf809572-890b-4bc3-9a18-a4de5eae3b85	432978ef-bee5-4789-969a-d51785c45b1f	CRAH
bf809572-890b-4bc3-9a18-a4de5eae3b85	7e02bf85-53fb-4d4b-9574-15e8b6527db1	CRAC
bf809572-890b-4bc3-9a18-a4de5eae3b85	8327009c-40fe-48c3-b859-58ea3068287a	CRAC_WITHOUT_FAN
bf809572-890b-4bc3-9a18-a4de5eae3b85	4a62ee32-57a3-4533-92d8-88bc88d24277	CRAC_FAN
bf809572-890b-4bc3-9a18-a4de5eae3b85	57420f21-6fc8-4817-9eb2-2bd5bc4c4d52	CHILLER
bf809572-890b-4bc3-9a18-a4de5eae3b85	920bc85f-5abc-4d65-937a-32c60003a319	AIR_COOLED_CHILLER
bf809572-890b-4bc3-9a18-a4de5eae3b85	d855c9a1-fb9c-42ad-a3b6-350ace3a463d	COOLING_TOWER
bf809572-890b-4bc3-9a18-a4de5eae3b85	dc46bb42-2a91-4546-8563-80bf17413e29	DRY_COOLER
bf809572-890b-4bc3-9a18-a4de5eae3b85	dc5b693d-eb44-4879-87d5-1f19239148c9	REMOTE_CONDENSER
bf809572-890b-4bc3-9a18-a4de5eae3b85	a121b0bd-9747-4917-86df-cc188f809e7d	CHILLED_WATER_PUMPS
bf809572-890b-4bc3-9a18-a4de5eae3b85	15837b3f-422d-49cf-9df6-adcc154b2079	HEAT_REJECTION_PUMPS
bf809572-890b-4bc3-9a18-a4de5eae3b85	2b716d3d-03d2-4a8c-a582-bfec4c3106b3	VENTILATION
bf809572-890b-4bc3-9a18-a4de5eae3b85	38657b8c-a7df-4e1c-bbdc-2193171d6937	INFILTRATION
bf809572-890b-4bc3-9a18-a4de5eae3b85	7d510957-181b-40be-b301-1e1711cb6e8b	IT_LOAD
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	9931ed26-2981-4e15-beb6-18713b6d43e8	SWITCHGEAR
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	48420296-e7a6-47f3-b73d-b33233211ced	GENERATOR
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	e483061a-55c8-49e9-b87c-db86282db232	PRIMARY_AUXILIARIES
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	843b7ad5-8cb0-4507-9d14-7c2c24b3e81e	UPS
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	2dda6f15-4782-4036-980b-fc6619843cad	CRITICAL_AUXILIARIES
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	f98b3cb0-1d5e-4362-928d-4876224e5698	LIGHTING
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	5ee340ac-ddee-4f34-84ec-114d97b5fd7b	CRITICAL_POWER_DISTRIBUTION
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	602bea24-51fc-4084-bc5d-f5521e8f2549	CRAH
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	fc3f0708-bb20-4a18-9a0d-e4e241eb0bf1	CRAC
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	42abc015-2d29-4ff6-aa7a-298082ee1fd1	CRAC_WITHOUT_FAN
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	c73ecd6e-b7f1-45f4-b21e-a3167b171d83	CRAC_FAN
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	fbbf8427-b7e8-40e4-9734-1be4c7ad371b	CHILLER
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	e323ff6e-7964-4809-a224-f9b4639d8848	AIR_COOLED_CHILLER
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	c8f7b230-a2af-4830-81dc-5fd945a83921	COOLING_TOWER
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	28dc2abe-71f0-4729-93c0-2e494cfa1914	DRY_COOLER
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	8dc1269e-8f9d-4334-9e2d-4c3504773a27	REMOTE_CONDENSER
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	7e6cde06-64b9-416c-bbfb-a25b4fd13c08	CHILLED_WATER_PUMPS
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	ad1f920c-d886-45fe-a938-4f0952baa9f6	HEAT_REJECTION_PUMPS
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	c4daa9e6-f75b-4a98-bef2-6c34a04c3abf	VENTILATION
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	ae525399-3c7a-401a-8945-bd60e88ed195	INFILTRATION
8ccf3356-ea2b-4c0f-a1bd-e9af6881b09c	3fed3f2c-21ca-44f4-a4db-1cd097f19a62	IT_LOAD
f4059ac3-e08d-4cdf-ae66-5a47500849c6	35791825-d6af-4bde-a7ec-6803cde5f980	SWITCHGEAR
f4059ac3-e08d-4cdf-ae66-5a47500849c6	7fdb9220-9a72-4cb5-aad5-052867a74f2e	GENERATOR
f4059ac3-e08d-4cdf-ae66-5a47500849c6	2af9c8cc-af9a-43c0-b462-97f8b50b8f04	PRIMARY_AUXILIARIES
f4059ac3-e08d-4cdf-ae66-5a47500849c6	a8b6bd1f-b4fd-48f5-b526-994fb1c9082b	UPS
f4059ac3-e08d-4cdf-ae66-5a47500849c6	18134cec-1859-4d3b-9b4e-40400967d198	CRITICAL_AUXILIARIES
f4059ac3-e08d-4cdf-ae66-5a47500849c6	c0ecfc31-cb93-4e58-977b-fba0c8bcbd09	LIGHTING
f4059ac3-e08d-4cdf-ae66-5a47500849c6	0a9b5f18-5965-4988-8b6d-be0495452c6a	CRITICAL_POWER_DISTRIBUTION
f4059ac3-e08d-4cdf-ae66-5a47500849c6	c8c6b714-f8ab-44b9-9ddc-89ded1b56dee	CRAH
f4059ac3-e08d-4cdf-ae66-5a47500849c6	3c5fbeb2-1b38-4fec-9758-12d1e0671675	CRAC
f4059ac3-e08d-4cdf-ae66-5a47500849c6	0d8df272-13a4-4a9b-bb7c-7842c5a84729	CRAC_WITHOUT_FAN
f4059ac3-e08d-4cdf-ae66-5a47500849c6	a69d568c-72fd-4127-900e-ceda9e30d0b3	CRAC_FAN
f4059ac3-e08d-4cdf-ae66-5a47500849c6	19d16aff-b8ee-41f8-bbb0-76144ff19160	CHILLER
f4059ac3-e08d-4cdf-ae66-5a47500849c6	73ab9a6d-6dea-474b-b896-aaea044a5391	AIR_COOLED_CHILLER
f4059ac3-e08d-4cdf-ae66-5a47500849c6	83aa14fa-2a1e-42bb-8762-34da567d7cc9	COOLING_TOWER
f4059ac3-e08d-4cdf-ae66-5a47500849c6	e1e7a85c-88ae-4094-a5dd-277d07f77ab8	DRY_COOLER
f4059ac3-e08d-4cdf-ae66-5a47500849c6	2535ea97-0ff5-4579-9027-ded847ddbdc2	REMOTE_CONDENSER
f4059ac3-e08d-4cdf-ae66-5a47500849c6	85737e0d-f5cb-4f4e-ba12-42d7d25c41f6	CHILLED_WATER_PUMPS
f4059ac3-e08d-4cdf-ae66-5a47500849c6	1f5a7553-f353-4961-aafb-485b75a545a9	HEAT_REJECTION_PUMPS
f4059ac3-e08d-4cdf-ae66-5a47500849c6	794beaaa-203e-4efb-8946-56b1f7301bc3	VENTILATION
f4059ac3-e08d-4cdf-ae66-5a47500849c6	dfc32aac-1384-4018-9cea-d8c5b4ff9b3c	INFILTRATION
f4059ac3-e08d-4cdf-ae66-5a47500849c6	13f9d3f8-06b9-4af0-bb4e-98baa23847bb	IT_LOAD
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	61c78b2b-5a8a-43aa-80a9-3397e60d67e5	SWITCHGEAR
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	bf36f36c-6594-42a6-8f69-c7bc23aa05c0	GENERATOR
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	ebfbdc15-1833-46d0-9d2d-e9817f6e83b7	PRIMARY_AUXILIARIES
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	43555eec-f322-41fc-bc84-9a8cec645841	UPS
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	80cce4f9-f35e-4ff6-883a-601545fbbc95	CRITICAL_AUXILIARIES
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	555878d2-986e-42b1-b797-6dece17b5cf9	LIGHTING
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	8e669bd4-125b-441b-8fa2-9ee1ba45953a	CRITICAL_POWER_DISTRIBUTION
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	72cda3bd-d59d-4a67-bb82-0d8ed031b5bc	CRAH
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	efc44790-6e5b-4718-ad82-6118f1fb7e77	CRAC
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	164d453c-2534-4174-b047-e273ece3b381	CRAC_WITHOUT_FAN
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	5ec716ee-adf0-4cbb-ad0f-5e25c6c765d3	CRAC_FAN
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	3688bab1-265f-43ff-aa9b-ea1104f38148	CHILLER
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	f493d5e1-f382-4795-bc83-6751aaf9fcbf	AIR_COOLED_CHILLER
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	869f4fde-9714-47ee-8bd3-08ef2fad7dc6	COOLING_TOWER
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	7b99361d-9fad-4f8d-b7ca-bc0dc0f2cbca	DRY_COOLER
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	7c6affe6-ba03-4fc3-9b8c-f85eda2047d8	REMOTE_CONDENSER
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	d6e32639-c0d4-47b4-87a1-32e781c14c79	CHILLED_WATER_PUMPS
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	962f8b64-2a39-4f4c-93f6-df572ecba638	HEAT_REJECTION_PUMPS
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	c773f1f5-6c0d-4e51-8556-0f6f12214015	VENTILATION
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	425f078a-f78c-4050-9ab6-3cfdd75b109c	INFILTRATION
9462f3ae-e01b-40f3-aca4-8d0b5c1570bc	259084b4-441a-4cc6-a1fc-a0a3556ab48c	IT_LOAD
478cdc13-20bf-47a6-8243-4fd5b7b455e1	f76f86bc-7f77-47dd-a097-f8c5f03527ce	SWITCHGEAR
478cdc13-20bf-47a6-8243-4fd5b7b455e1	522718fe-d888-411d-b4de-aad8f8a7a15c	GENERATOR
478cdc13-20bf-47a6-8243-4fd5b7b455e1	69336211-b917-4bbc-b53e-236ca1c92d05	PRIMARY_AUXILIARIES
478cdc13-20bf-47a6-8243-4fd5b7b455e1	f9e23ca6-ddb2-4d6a-9f61-ec78d10aacf2	UPS
478cdc13-20bf-47a6-8243-4fd5b7b455e1	2e885889-a492-41af-9545-aa8753da6e69	CRITICAL_AUXILIARIES
478cdc13-20bf-47a6-8243-4fd5b7b455e1	1d0217f3-826e-42be-90b8-8015f4cc0c68	LIGHTING
478cdc13-20bf-47a6-8243-4fd5b7b455e1	d4157ef5-41b9-4dd5-ac73-253ea646f316	CRITICAL_POWER_DISTRIBUTION
478cdc13-20bf-47a6-8243-4fd5b7b455e1	da388144-7121-4b78-ae12-9529820b9aea	CRAH
478cdc13-20bf-47a6-8243-4fd5b7b455e1	db1cb11b-3f12-4bc5-b3bf-9243aa7b4981	CRAC
478cdc13-20bf-47a6-8243-4fd5b7b455e1	3ef97574-eb2a-48a5-86ca-21c20ff02ded	CRAC_WITHOUT_FAN
478cdc13-20bf-47a6-8243-4fd5b7b455e1	a1ac8538-a80b-490f-a286-9367c24531f9	CRAC_FAN
478cdc13-20bf-47a6-8243-4fd5b7b455e1	39fc6e4a-af20-4ecd-b15c-edc302210578	CHILLER
478cdc13-20bf-47a6-8243-4fd5b7b455e1	e8f94916-1735-440f-9446-a2640da933bd	AIR_COOLED_CHILLER
478cdc13-20bf-47a6-8243-4fd5b7b455e1	3dd94294-bebe-453e-af6f-5b6647297e65	COOLING_TOWER
478cdc13-20bf-47a6-8243-4fd5b7b455e1	722e8387-6455-4703-895e-bd7d97c4c279	DRY_COOLER
478cdc13-20bf-47a6-8243-4fd5b7b455e1	153fe886-ba0e-4692-8347-9e36d57ce343	REMOTE_CONDENSER
478cdc13-20bf-47a6-8243-4fd5b7b455e1	8c8a1cba-f59b-48b8-9ebb-553cad94afce	CHILLED_WATER_PUMPS
478cdc13-20bf-47a6-8243-4fd5b7b455e1	e95b99bb-aed7-4175-9b78-6e31773e46c1	HEAT_REJECTION_PUMPS
478cdc13-20bf-47a6-8243-4fd5b7b455e1	db547798-dc5d-4c2b-96a3-d8a418f94e95	VENTILATION
478cdc13-20bf-47a6-8243-4fd5b7b455e1	3df7a462-c319-4bdb-bd13-fc04f067df79	INFILTRATION
478cdc13-20bf-47a6-8243-4fd5b7b455e1	6871bcbb-36fe-441a-8c0b-d09184d65022	IT_LOAD
d025efe7-b136-4f3c-9d3b-415950110378	914dc7a1-8eaa-42f1-8856-0bae9081f74f	SWITCHGEAR
d025efe7-b136-4f3c-9d3b-415950110378	c3d3eb4b-5a8d-463f-84a7-9037fd17a706	GENERATOR
d025efe7-b136-4f3c-9d3b-415950110378	aa81991e-d8dd-4221-96e5-cc71df0a900d	PRIMARY_AUXILIARIES
d025efe7-b136-4f3c-9d3b-415950110378	f40ac0a3-3bf5-42bf-99d9-ebdf4310984f	UPS
d025efe7-b136-4f3c-9d3b-415950110378	0e0871f1-f3bb-4216-88ac-6550e89cf430	CRITICAL_AUXILIARIES
d025efe7-b136-4f3c-9d3b-415950110378	6b30978a-67f0-4b2e-9fcf-4a1938e39eff	LIGHTING
d025efe7-b136-4f3c-9d3b-415950110378	d233b186-d4d9-45aa-abae-97eed2335334	CRITICAL_POWER_DISTRIBUTION
d025efe7-b136-4f3c-9d3b-415950110378	622acc87-89c7-462f-b1fb-294ae1859093	CRAH
d025efe7-b136-4f3c-9d3b-415950110378	04862f9a-889f-4902-80a0-72115fd28f3f	CRAC
d025efe7-b136-4f3c-9d3b-415950110378	195764af-df33-4502-9222-427d8a7b5e33	CRAC_WITHOUT_FAN
d025efe7-b136-4f3c-9d3b-415950110378	5f6aa71a-a13f-457c-8473-9f8932148f24	CRAC_FAN
d025efe7-b136-4f3c-9d3b-415950110378	841ded7f-ebb3-4c59-90b4-7147a4e1ab80	CHILLER
d025efe7-b136-4f3c-9d3b-415950110378	5877912b-b9b8-4db8-928a-d5c99067c46e	AIR_COOLED_CHILLER
d025efe7-b136-4f3c-9d3b-415950110378	86a7c53d-8201-4a1f-a86e-5ea6b9e5b700	COOLING_TOWER
d025efe7-b136-4f3c-9d3b-415950110378	0824c559-914d-4125-aa40-3551ea4f6af3	DRY_COOLER
d025efe7-b136-4f3c-9d3b-415950110378	0aa6c13b-e6b7-47e2-a29c-53bbf6a63fae	REMOTE_CONDENSER
d025efe7-b136-4f3c-9d3b-415950110378	af482664-1e67-4854-879a-932a0312b117	CHILLED_WATER_PUMPS
d025efe7-b136-4f3c-9d3b-415950110378	1fdaa131-50dd-4afe-ae5d-1a9d51f3d334	HEAT_REJECTION_PUMPS
d025efe7-b136-4f3c-9d3b-415950110378	e5f7f371-291b-412f-b01e-f6d544705c1d	VENTILATION
d025efe7-b136-4f3c-9d3b-415950110378	858e998e-a3c2-41af-bf6d-e89f48ab12d2	INFILTRATION
d025efe7-b136-4f3c-9d3b-415950110378	092f0807-79d8-4cd1-94f3-6457e485de23	IT_LOAD
f1d2c3a1-07ef-43f0-b523-5318980bd933	94e12f46-742e-4483-b271-ca9b0f0eed8c	SWITCHGEAR
f1d2c3a1-07ef-43f0-b523-5318980bd933	4383fdc1-c2f8-4e36-9f3a-4423aeba9f85	GENERATOR
f1d2c3a1-07ef-43f0-b523-5318980bd933	0d1a3852-c010-4397-b6fe-2d8c668d1444	PRIMARY_AUXILIARIES
f1d2c3a1-07ef-43f0-b523-5318980bd933	90693b7c-862b-42a6-99fd-2cfcab4ffd47	UPS
f1d2c3a1-07ef-43f0-b523-5318980bd933	5b1dc9cd-e1d3-46ce-a2db-611483df1e4b	CRITICAL_AUXILIARIES
f1d2c3a1-07ef-43f0-b523-5318980bd933	773d50f2-b1fb-4ac0-8a60-f4c55b2d15e6	LIGHTING
f1d2c3a1-07ef-43f0-b523-5318980bd933	198fe6c1-4b60-4a42-91d9-8724ba7165d0	CRITICAL_POWER_DISTRIBUTION
f1d2c3a1-07ef-43f0-b523-5318980bd933	bc2a73ef-282d-4f69-851b-c563032118b3	CRAH
f1d2c3a1-07ef-43f0-b523-5318980bd933	8d2b6143-1c62-41b9-ad3b-e6fd93bea750	CRAC
f1d2c3a1-07ef-43f0-b523-5318980bd933	3cbb1427-188a-4c28-beed-b457d617da3e	CRAC_WITHOUT_FAN
f1d2c3a1-07ef-43f0-b523-5318980bd933	17ae3bf8-704f-4495-837a-706051763589	CRAC_FAN
f1d2c3a1-07ef-43f0-b523-5318980bd933	ac32f6fb-2c81-4f75-b237-3eade64db916	CHILLER
f1d2c3a1-07ef-43f0-b523-5318980bd933	24cd1e83-2756-4746-b5e5-bea524e8b9da	AIR_COOLED_CHILLER
f1d2c3a1-07ef-43f0-b523-5318980bd933	cd9799e4-53b6-4466-8c78-449cd21ae47b	COOLING_TOWER
f1d2c3a1-07ef-43f0-b523-5318980bd933	fb9376ab-bc04-4d63-a3b3-52f850d79bd5	DRY_COOLER
f1d2c3a1-07ef-43f0-b523-5318980bd933	f44860f3-939a-47f3-abf5-a4fdfe314610	REMOTE_CONDENSER
f1d2c3a1-07ef-43f0-b523-5318980bd933	7e69e897-9db3-4ae3-a6df-0ef0808e057a	CHILLED_WATER_PUMPS
f1d2c3a1-07ef-43f0-b523-5318980bd933	ee16a63c-c94e-4500-8e71-88875ab659d4	HEAT_REJECTION_PUMPS
f1d2c3a1-07ef-43f0-b523-5318980bd933	a666041c-16ec-4ed3-8f1c-bb44ff9ddc92	VENTILATION
f1d2c3a1-07ef-43f0-b523-5318980bd933	63fbfbdc-809d-48dc-9233-c4736da622ec	INFILTRATION
f1d2c3a1-07ef-43f0-b523-5318980bd933	346b71ae-0ca1-4414-84ff-8259b3718d9f	IT_LOAD
744e1330-4004-42fe-9da4-7e8997b7b079	900d0060-7a51-4962-9a0d-90f36999eb29	SWITCHGEAR
744e1330-4004-42fe-9da4-7e8997b7b079	14ee8f29-9ca4-4b0a-8ae5-2e79e5623768	GENERATOR
744e1330-4004-42fe-9da4-7e8997b7b079	c515d213-7e80-4927-b42f-873ce17c815f	PRIMARY_AUXILIARIES
744e1330-4004-42fe-9da4-7e8997b7b079	c8e7fecb-bcb2-4e2c-bc2b-6b2ba7d6cfc3	UPS
744e1330-4004-42fe-9da4-7e8997b7b079	565b5754-ea15-4522-866a-d5506cae8416	CRITICAL_AUXILIARIES
744e1330-4004-42fe-9da4-7e8997b7b079	369f20a6-e2da-4095-bf59-6352918a12d7	LIGHTING
744e1330-4004-42fe-9da4-7e8997b7b079	eb5d3dca-adf1-43d7-bb21-42063b3909e3	CRITICAL_POWER_DISTRIBUTION
744e1330-4004-42fe-9da4-7e8997b7b079	569c4e2f-3a11-4b10-98fd-3862d0a96cdb	CRAH
744e1330-4004-42fe-9da4-7e8997b7b079	682c0985-a6c0-4f35-ad3b-a81dcbb508ba	CRAC
744e1330-4004-42fe-9da4-7e8997b7b079	6404b318-865e-4ca1-bc5b-e63139e70f27	CRAC_WITHOUT_FAN
744e1330-4004-42fe-9da4-7e8997b7b079	e243261a-391d-4622-a617-be18e5161630	CRAC_FAN
744e1330-4004-42fe-9da4-7e8997b7b079	0c8a43d5-5a2c-4dc5-a059-b0daccf08392	CHILLER
744e1330-4004-42fe-9da4-7e8997b7b079	94a624e7-1491-4bc8-86a9-f5c749983fdc	AIR_COOLED_CHILLER
744e1330-4004-42fe-9da4-7e8997b7b079	545281cb-d754-4780-b053-7a125a2008e9	COOLING_TOWER
744e1330-4004-42fe-9da4-7e8997b7b079	c14b5465-90fe-48c9-8a06-92347ed4dcdd	DRY_COOLER
744e1330-4004-42fe-9da4-7e8997b7b079	89b5028a-9409-468b-8ceb-bd3813b2acd8	REMOTE_CONDENSER
744e1330-4004-42fe-9da4-7e8997b7b079	056ed894-af2c-4ede-a7bb-1cb73dbf0acf	CHILLED_WATER_PUMPS
744e1330-4004-42fe-9da4-7e8997b7b079	40fde35c-2225-4d1d-90a1-3c3d12561941	HEAT_REJECTION_PUMPS
744e1330-4004-42fe-9da4-7e8997b7b079	078e3519-5492-49b3-a916-a0185703483e	VENTILATION
744e1330-4004-42fe-9da4-7e8997b7b079	a597b236-ca9a-4eae-8b13-3e9d069e52fe	INFILTRATION
744e1330-4004-42fe-9da4-7e8997b7b079	26119269-be82-49c6-b829-ee88d243dcce	IT_LOAD
bd473573-aa71-406a-954c-a019d63f26c6	f19b643b-fe5c-4e32-8d3d-b59eb1ea5716	SWITCHGEAR
bd473573-aa71-406a-954c-a019d63f26c6	a2f6b9b6-9a58-476d-999e-51509e6bf254	GENERATOR
bd473573-aa71-406a-954c-a019d63f26c6	5ab508f2-6a82-4f69-875d-e7a32bad62fa	PRIMARY_AUXILIARIES
bd473573-aa71-406a-954c-a019d63f26c6	1d96c813-b1c3-4e29-af05-50d9d8fdd5eb	UPS
bd473573-aa71-406a-954c-a019d63f26c6	f8c7542d-e93c-460c-afb0-bd47d0cf8aef	CRITICAL_AUXILIARIES
bd473573-aa71-406a-954c-a019d63f26c6	563f9d3b-10c3-40cd-8982-4163a2727451	LIGHTING
bd473573-aa71-406a-954c-a019d63f26c6	8a2659dd-e309-4137-bbc3-4a44f687db0f	CRITICAL_POWER_DISTRIBUTION
bd473573-aa71-406a-954c-a019d63f26c6	291fda72-8bc1-40c2-86de-a162fca31244	CRAH
bd473573-aa71-406a-954c-a019d63f26c6	da829a4b-89ef-4946-b0ef-4ff943991c63	CRAC
bd473573-aa71-406a-954c-a019d63f26c6	1bd87089-e906-4473-a022-bcc841515305	CRAC_WITHOUT_FAN
bd473573-aa71-406a-954c-a019d63f26c6	9efdf573-8132-4ff1-a2a5-f0643951b0b8	CRAC_FAN
bd473573-aa71-406a-954c-a019d63f26c6	ffd48675-5ca2-4d49-9673-2e8809af07a4	CHILLER
bd473573-aa71-406a-954c-a019d63f26c6	85a456b2-8f35-48c3-afc9-bfb382ead6e1	AIR_COOLED_CHILLER
bd473573-aa71-406a-954c-a019d63f26c6	3679836e-b285-4a1a-b29f-c2f5b6cc34d3	COOLING_TOWER
bd473573-aa71-406a-954c-a019d63f26c6	37525a23-5d5a-4171-8a5a-d35882325c0c	DRY_COOLER
bd473573-aa71-406a-954c-a019d63f26c6	509f9ce5-89bd-4822-8af2-26ac62d5f0a3	REMOTE_CONDENSER
bd473573-aa71-406a-954c-a019d63f26c6	06ac81b5-51ec-4f72-bd72-feb4cd7e9eca	CHILLED_WATER_PUMPS
bd473573-aa71-406a-954c-a019d63f26c6	93bb32bb-30cf-4279-ac2b-c866f131a168	HEAT_REJECTION_PUMPS
bd473573-aa71-406a-954c-a019d63f26c6	e5a5f7c3-bf4e-4a16-b42c-86975148da00	VENTILATION
bd473573-aa71-406a-954c-a019d63f26c6	c84148cc-5706-450e-bec8-4e2bb4da4be4	INFILTRATION
bd473573-aa71-406a-954c-a019d63f26c6	8cec17ad-c549-40ce-9fd6-737b3aea9639	IT_LOAD
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	38c7f65b-2fa7-4f7f-8a85-e2ba9ae64ac9	SWITCHGEAR
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	b146788e-b26f-4ae9-bad7-f9bfce0e8e1a	GENERATOR
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	2d1bf72f-a4ce-463a-b0f1-39b17afdeec0	PRIMARY_AUXILIARIES
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	6c20732a-b24b-488c-991d-be6f716b56a0	UPS
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	dfec116c-8460-4865-980e-25ba6caf4752	CRITICAL_AUXILIARIES
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	c50d22e7-bdcc-4f78-b9e5-f0f0355118e4	LIGHTING
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	f8c4051f-2b1c-4bb4-9ded-80261909ae41	CRITICAL_POWER_DISTRIBUTION
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	384e8540-e870-49f8-a3bc-035a141e8d1f	CRAH
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	f931ba9b-9e23-434c-8321-6d42cb710161	CRAC
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	6667215f-09b6-497b-aab0-aa23e38b24fb	CRAC_WITHOUT_FAN
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	c64cd871-5dba-40e7-b80e-2e62d282f62c	CRAC_FAN
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	bb7c9ad0-b731-419e-a11f-7b7442412156	CHILLER
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	df697f2b-50a2-46e0-ba2f-c8250a0ba35b	AIR_COOLED_CHILLER
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	50e5db28-2587-47bf-a474-e3e52913a147	COOLING_TOWER
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	6be5f536-9a44-40e5-8510-ad20139a726b	DRY_COOLER
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	e9ecc69a-6e0d-45fa-819a-95a1b51511c3	REMOTE_CONDENSER
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	06050c3c-9bb9-4309-a5ed-d6c9b04ddb6d	CHILLED_WATER_PUMPS
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	3a5aec15-6fc6-4435-aee8-3811de1e2d2c	HEAT_REJECTION_PUMPS
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	227b51db-638b-4bf1-b260-f56eaa35ae69	VENTILATION
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	0e02c4d9-553e-462a-8377-80b201188df7	INFILTRATION
ba0461e2-0e2b-4b09-a68f-1e5ed617c8be	1cec7a66-63af-4c46-a8f2-12f3ea468b8b	IT_LOAD
0f212ede-8efb-42bd-b684-9bd0da373f38	106be18b-dad7-46e9-a4e6-9be40d18837a	SWITCHGEAR
0f212ede-8efb-42bd-b684-9bd0da373f38	0defa4a8-7fb7-4257-a731-52795cc5a1b5	GENERATOR
0f212ede-8efb-42bd-b684-9bd0da373f38	3202812f-ad2e-498b-bfef-4a538649b8b5	PRIMARY_AUXILIARIES
0f212ede-8efb-42bd-b684-9bd0da373f38	17ff9e97-5c82-4946-bbfe-72e2dfaea752	UPS
0f212ede-8efb-42bd-b684-9bd0da373f38	7abc52ca-ed67-4805-9661-9b0db2555431	CRITICAL_AUXILIARIES
0f212ede-8efb-42bd-b684-9bd0da373f38	6774020b-f42d-4f56-951f-f66e95435971	LIGHTING
0f212ede-8efb-42bd-b684-9bd0da373f38	568e655b-b92c-4f75-887e-31e0681b59df	CRITICAL_POWER_DISTRIBUTION
0f212ede-8efb-42bd-b684-9bd0da373f38	35668541-8e46-4de2-a7b7-185e5f100770	CRAH
0f212ede-8efb-42bd-b684-9bd0da373f38	d7072292-17e0-4f06-9c80-739626e151fa	CRAC
0f212ede-8efb-42bd-b684-9bd0da373f38	780148e8-ce4f-4325-8a70-dcb6b92bad26	CRAC_WITHOUT_FAN
0f212ede-8efb-42bd-b684-9bd0da373f38	d5185121-3bbb-4928-8993-7c9d4f4e063f	CRAC_FAN
0f212ede-8efb-42bd-b684-9bd0da373f38	79fb83d7-cde9-40cf-a6b5-f5e0468e4ee5	CHILLER
0f212ede-8efb-42bd-b684-9bd0da373f38	6c86de72-efdf-4839-961c-522c03fc3d1b	AIR_COOLED_CHILLER
0f212ede-8efb-42bd-b684-9bd0da373f38	c51d0768-290b-4a15-9132-05e0fe929f2f	COOLING_TOWER
0f212ede-8efb-42bd-b684-9bd0da373f38	c7f978c5-876e-4942-9a6c-318402622f21	DRY_COOLER
0f212ede-8efb-42bd-b684-9bd0da373f38	7c5682e4-a88b-4aa5-8c85-50f0b1e22017	REMOTE_CONDENSER
0f212ede-8efb-42bd-b684-9bd0da373f38	4aa2bd5e-84c2-4e0c-9948-f62847c7bd77	CHILLED_WATER_PUMPS
0f212ede-8efb-42bd-b684-9bd0da373f38	fdfc5abc-ca75-43a9-b0d6-67172f546407	HEAT_REJECTION_PUMPS
0f212ede-8efb-42bd-b684-9bd0da373f38	f113d6fa-f45b-40ea-86d6-72f287a120ca	VENTILATION
0f212ede-8efb-42bd-b684-9bd0da373f38	cd4408a5-6b85-43e4-a2f5-c02897e59dc8	INFILTRATION
0f212ede-8efb-42bd-b684-9bd0da373f38	8d356064-4d8d-4a00-907d-286697db9718	IT_LOAD
2f319517-b629-4577-990b-1d5af138e4c8	0fb35131-bb8c-48ab-bef5-5c7f34bb4820	SWITCHGEAR
2f319517-b629-4577-990b-1d5af138e4c8	6e5d8de1-5e8c-4213-81ec-02cca54e8232	GENERATOR
2f319517-b629-4577-990b-1d5af138e4c8	c4d557cc-9740-457b-8fd1-08246ad3138a	PRIMARY_AUXILIARIES
2f319517-b629-4577-990b-1d5af138e4c8	9b1df4a3-06e0-4f4d-ba30-e31795421cba	UPS
2f319517-b629-4577-990b-1d5af138e4c8	dcd42611-5aef-4282-b275-b9365d4bfb58	CRITICAL_AUXILIARIES
2f319517-b629-4577-990b-1d5af138e4c8	8ed83855-2746-4571-bbc9-f6b317959390	LIGHTING
2f319517-b629-4577-990b-1d5af138e4c8	fc3b5c04-8b14-4d7d-826c-648723542c6b	CRITICAL_POWER_DISTRIBUTION
2f319517-b629-4577-990b-1d5af138e4c8	ede7fb9c-4293-4a43-a170-3af44274e11d	CRAH
2f319517-b629-4577-990b-1d5af138e4c8	6c61f9fb-b64c-4381-8196-a553fc153993	CRAC
2f319517-b629-4577-990b-1d5af138e4c8	5f646fc5-15e8-4482-9b9d-a14796624711	CRAC_WITHOUT_FAN
2f319517-b629-4577-990b-1d5af138e4c8	599fdaa6-e793-4320-9434-852d43ce43b3	CRAC_FAN
2f319517-b629-4577-990b-1d5af138e4c8	26265a81-7ab9-4977-98f3-e6cd7580dabf	CHILLER
2f319517-b629-4577-990b-1d5af138e4c8	25e75c6d-d7d2-451b-b099-94631af0e26f	AIR_COOLED_CHILLER
2f319517-b629-4577-990b-1d5af138e4c8	cde4f175-18fb-4ada-8b3a-406ca40a125a	COOLING_TOWER
2f319517-b629-4577-990b-1d5af138e4c8	70f3a4ca-e731-4fe1-9d3a-8d16832e1174	DRY_COOLER
2f319517-b629-4577-990b-1d5af138e4c8	a6c35791-7224-46df-9818-2ebfe25b7d17	REMOTE_CONDENSER
2f319517-b629-4577-990b-1d5af138e4c8	786fa88c-d50f-432e-b97e-bb57d1afbbd5	CHILLED_WATER_PUMPS
2f319517-b629-4577-990b-1d5af138e4c8	3b337812-05a0-42b0-a421-0287da5dfd75	HEAT_REJECTION_PUMPS
2f319517-b629-4577-990b-1d5af138e4c8	235ec6f6-f79d-40b0-9381-0a416ffac3af	VENTILATION
2f319517-b629-4577-990b-1d5af138e4c8	2e6b8a51-87df-4534-89d5-731ebbb0bf86	INFILTRATION
2f319517-b629-4577-990b-1d5af138e4c8	1fd384cb-434a-4024-b011-0d03d08d6d94	IT_LOAD
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	ae4bf76a-355f-47e1-95c2-278918a2259f	SWITCHGEAR
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	686917a6-3f72-444f-ac39-91665c4b4a03	GENERATOR
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	70d8f583-a5d3-4d79-97b6-126864ba6136	PRIMARY_AUXILIARIES
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	4b60d76b-8582-4bfc-8bb5-e433bc953b17	UPS
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	6b259cd4-34a9-4951-a90f-54e697955d5c	CRITICAL_AUXILIARIES
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	03bb6b85-e55f-45e3-80cf-50ac2f916164	LIGHTING
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	3a2a01b0-429d-423e-80e4-c9798bb1acd4	CRITICAL_POWER_DISTRIBUTION
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	af2c5adc-df9d-4a6f-b6e4-51c51e7d0e3a	CRAH
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	b7b8d20d-c44d-46c6-8f12-6eee8565a4ca	CRAC
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	29ecc5dd-bebb-41d1-ba3d-42356285db30	CRAC_WITHOUT_FAN
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	89ca3a7b-3744-46c1-864c-5184a86cca3f	CRAC_FAN
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	ec13037d-7cc2-4ad0-8223-7349f8ce8d5c	CHILLER
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	b90e4f08-02f4-4d15-b511-c65047755c1d	AIR_COOLED_CHILLER
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	33e84650-3714-4e8f-8adc-b4dd65843c22	COOLING_TOWER
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	04e1f4cf-19f7-4d05-a61f-1285d3e1e4ae	DRY_COOLER
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	3cac9cd0-9032-40d4-80bf-8b28111c2f22	REMOTE_CONDENSER
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	69140a14-f711-4b9f-8043-b6183e19fec2	CHILLED_WATER_PUMPS
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	353e361e-fc49-4e75-87f6-58c4f1140e15	HEAT_REJECTION_PUMPS
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	996bdf2a-ce71-4674-b346-22ee2bab7db0	VENTILATION
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	e3ee35e2-b7ea-45fb-b889-df24f227f17b	INFILTRATION
7cc2a04d-e049-40c3-b1e8-e585a6ad8bae	3c1a4995-4997-4f10-ab12-9ff3684b21e5	IT_LOAD
f59393b9-6052-4e0e-9d32-29510fcaaef7	c085b25c-b666-4d1b-ba6e-5f7ae8d50c74	SWITCHGEAR
f59393b9-6052-4e0e-9d32-29510fcaaef7	b30ecfb8-db5d-48f8-a6ee-e18536431889	GENERATOR
f59393b9-6052-4e0e-9d32-29510fcaaef7	ba664694-4770-4995-a634-c3f86c305a2f	PRIMARY_AUXILIARIES
f59393b9-6052-4e0e-9d32-29510fcaaef7	ae2ab9b9-91be-4d63-b459-66c76bf86bf1	UPS
f59393b9-6052-4e0e-9d32-29510fcaaef7	dd22c227-890c-4b07-b8f7-d65dae6ab830	CRITICAL_AUXILIARIES
f59393b9-6052-4e0e-9d32-29510fcaaef7	8b98436e-ffb2-4759-8703-d73be471c041	LIGHTING
f59393b9-6052-4e0e-9d32-29510fcaaef7	a303028d-cd9f-49b5-a975-7f6165f66d2d	CRITICAL_POWER_DISTRIBUTION
f59393b9-6052-4e0e-9d32-29510fcaaef7	535df116-7e20-40d0-a75d-6c3711367685	CRAH
f59393b9-6052-4e0e-9d32-29510fcaaef7	0ae5d27b-7d53-4941-8d0b-24253aed0ed9	CRAC
f59393b9-6052-4e0e-9d32-29510fcaaef7	7b78645e-2f9b-48ca-8bd0-328265664f08	CRAC_WITHOUT_FAN
f59393b9-6052-4e0e-9d32-29510fcaaef7	cb3c2e44-0a61-42f6-b654-0045a00aea10	CRAC_FAN
f59393b9-6052-4e0e-9d32-29510fcaaef7	42808dc8-540c-442b-aa84-f6654d46f3f3	CHILLER
f59393b9-6052-4e0e-9d32-29510fcaaef7	9a0e75e9-b783-437b-9ff3-b906f3c3ca84	AIR_COOLED_CHILLER
f59393b9-6052-4e0e-9d32-29510fcaaef7	c2fb4af1-d13b-41f1-8d9f-e2faf8f32137	COOLING_TOWER
f59393b9-6052-4e0e-9d32-29510fcaaef7	56b4a3e4-df0a-417c-946f-17b6f8dcde8c	DRY_COOLER
f59393b9-6052-4e0e-9d32-29510fcaaef7	ffa024e5-6772-44cc-8a8d-2c92c5cadc8c	REMOTE_CONDENSER
f59393b9-6052-4e0e-9d32-29510fcaaef7	7d3d6694-b496-4cdc-9da5-0a2df9b3cc37	CHILLED_WATER_PUMPS
f59393b9-6052-4e0e-9d32-29510fcaaef7	95d5e48f-8d7f-47e2-9e28-208d9ed5f8c1	HEAT_REJECTION_PUMPS
f59393b9-6052-4e0e-9d32-29510fcaaef7	c4498115-fda6-4aa0-94a9-cb4a285616c3	VENTILATION
f59393b9-6052-4e0e-9d32-29510fcaaef7	d2aa514c-9fa4-4dfd-9ce5-3bbafdcf0b50	INFILTRATION
f59393b9-6052-4e0e-9d32-29510fcaaef7	2b58199f-be02-40b6-8c3e-5878add0352d	IT_LOAD
92488215-37eb-4629-b7e6-7a2f4523df55	d3e15d73-285d-4887-a6e8-c7ec53e6bbb8	SWITCHGEAR
92488215-37eb-4629-b7e6-7a2f4523df55	3ca07b7a-484d-4648-8ea8-9f72e7c14eef	GENERATOR
92488215-37eb-4629-b7e6-7a2f4523df55	5316dc31-b816-4845-8702-23d10472dcf4	PRIMARY_AUXILIARIES
92488215-37eb-4629-b7e6-7a2f4523df55	645e3d83-f933-42dd-a4e6-d59966cc68b7	UPS
92488215-37eb-4629-b7e6-7a2f4523df55	c3faf386-22f5-4d5d-81e9-cd8206ad4646	CRITICAL_AUXILIARIES
92488215-37eb-4629-b7e6-7a2f4523df55	3e5a4380-0931-4f39-bea8-0f7490432677	LIGHTING
92488215-37eb-4629-b7e6-7a2f4523df55	4eb0007c-e836-46d9-b03f-75dd9fdb7c91	CRITICAL_POWER_DISTRIBUTION
92488215-37eb-4629-b7e6-7a2f4523df55	c0e0d857-bda6-4f70-8e90-01a9ab765010	CRAH
92488215-37eb-4629-b7e6-7a2f4523df55	c21cf4b0-4146-4a5d-b382-31613b2be1c1	CRAC
92488215-37eb-4629-b7e6-7a2f4523df55	017d86c7-f917-4b88-a1ed-de9e9f914b54	CRAC_WITHOUT_FAN
92488215-37eb-4629-b7e6-7a2f4523df55	712c0127-06cb-47d0-899c-1c393025dce3	CRAC_FAN
92488215-37eb-4629-b7e6-7a2f4523df55	e925e022-36c9-41ae-8f05-52e6d7c397e7	CHILLER
92488215-37eb-4629-b7e6-7a2f4523df55	1f3e0cce-0f8c-4be0-af04-4fb140992aed	AIR_COOLED_CHILLER
92488215-37eb-4629-b7e6-7a2f4523df55	faf392f9-7a3c-4515-a65a-aa8e5635b2a3	COOLING_TOWER
92488215-37eb-4629-b7e6-7a2f4523df55	47c0b75e-ff44-4803-aca7-4e2264c67bca	DRY_COOLER
92488215-37eb-4629-b7e6-7a2f4523df55	68c9e0c4-64ef-4eec-b8ec-a5b6fbd6e5c1	REMOTE_CONDENSER
92488215-37eb-4629-b7e6-7a2f4523df55	8cbaac13-83d0-4c2d-8fa4-e30f9e1b0bca	CHILLED_WATER_PUMPS
92488215-37eb-4629-b7e6-7a2f4523df55	51375c2a-fab1-45e4-9e37-478a7f6fd4c0	HEAT_REJECTION_PUMPS
92488215-37eb-4629-b7e6-7a2f4523df55	0d5c0bdf-4617-46e6-9800-93f1f6e81f10	VENTILATION
92488215-37eb-4629-b7e6-7a2f4523df55	3c051c86-67b3-4290-9f25-ae4885845340	INFILTRATION
92488215-37eb-4629-b7e6-7a2f4523df55	0bc2d6a1-c0fa-4474-8ef1-9a1a89208001	IT_LOAD
927db547-6a11-4877-86a1-378a4dbf7d43	16075ab2-9064-4f6e-9aa4-d39c3fefb08e	SWITCHGEAR
927db547-6a11-4877-86a1-378a4dbf7d43	aaa23210-1a1c-4fbc-a928-566a0f4845ba	GENERATOR
927db547-6a11-4877-86a1-378a4dbf7d43	da6c1fc2-67d9-4d3c-8fc1-84455c096853	PRIMARY_AUXILIARIES
927db547-6a11-4877-86a1-378a4dbf7d43	ff224f85-ed05-4bd6-9543-0fc901c24bff	UPS
927db547-6a11-4877-86a1-378a4dbf7d43	9f93330a-68bb-4203-8638-9de4a25ace2e	CRITICAL_AUXILIARIES
927db547-6a11-4877-86a1-378a4dbf7d43	a98ee510-3ac0-46ae-baf8-42af48888db7	LIGHTING
927db547-6a11-4877-86a1-378a4dbf7d43	d6df4cf8-a988-45fa-a881-6ce28b72548d	CRITICAL_POWER_DISTRIBUTION
927db547-6a11-4877-86a1-378a4dbf7d43	72b46be1-60e5-449c-a6e4-6e3715b431ab	CRAH
927db547-6a11-4877-86a1-378a4dbf7d43	0def7c38-14b1-4071-9ca7-9aa9df95d27e	CRAC
927db547-6a11-4877-86a1-378a4dbf7d43	26566f98-dd0e-4ff8-a2cc-a84e9b725709	CRAC_WITHOUT_FAN
927db547-6a11-4877-86a1-378a4dbf7d43	ab78f8cc-4004-4a97-9440-0852f92a55e6	CRAC_FAN
927db547-6a11-4877-86a1-378a4dbf7d43	53aae7c7-3fb7-4fc7-9f19-2fe2538fac57	CHILLER
927db547-6a11-4877-86a1-378a4dbf7d43	5ffb4c28-793e-4194-bee4-118d43f7826f	AIR_COOLED_CHILLER
927db547-6a11-4877-86a1-378a4dbf7d43	13b85623-d444-4258-a68a-4d64f8597ca3	COOLING_TOWER
927db547-6a11-4877-86a1-378a4dbf7d43	b9c97590-7a82-4193-b58a-62ab224591ee	DRY_COOLER
927db547-6a11-4877-86a1-378a4dbf7d43	9f29d9c0-954f-4621-964a-07b7caadcb62	REMOTE_CONDENSER
927db547-6a11-4877-86a1-378a4dbf7d43	c76bb216-5baa-46d0-bb64-c1f97cdcf6ec	CHILLED_WATER_PUMPS
927db547-6a11-4877-86a1-378a4dbf7d43	099cd84b-9994-4cf1-9770-5fd8d831da7b	HEAT_REJECTION_PUMPS
927db547-6a11-4877-86a1-378a4dbf7d43	304dffd6-f9f9-4507-90b2-a186dd643d9b	VENTILATION
927db547-6a11-4877-86a1-378a4dbf7d43	6cd11e5a-5e75-408a-8b6c-8d5112e4dfa4	INFILTRATION
927db547-6a11-4877-86a1-378a4dbf7d43	221cc4c2-b6f5-45df-8427-b8a7ff3ae514	IT_LOAD
ea6503dd-8316-4552-84e7-c6a9154cd669	0cc5e267-8456-4ab3-9e0d-643f5f64c3ca	SWITCHGEAR
ea6503dd-8316-4552-84e7-c6a9154cd669	982783ec-eb67-4069-8976-91bf6357d4ee	GENERATOR
ea6503dd-8316-4552-84e7-c6a9154cd669	4000a0df-8db5-48d4-b413-52e49268ce60	PRIMARY_AUXILIARIES
ea6503dd-8316-4552-84e7-c6a9154cd669	3066885b-2565-462c-993c-ea7fd9d570a7	UPS
ea6503dd-8316-4552-84e7-c6a9154cd669	dfb9628a-3a13-4909-af3a-857a26345071	CRITICAL_AUXILIARIES
ea6503dd-8316-4552-84e7-c6a9154cd669	d3a74fb1-e7bd-4cab-aa62-20d9a7fa3396	LIGHTING
ea6503dd-8316-4552-84e7-c6a9154cd669	889f83d7-9150-4050-bad8-602be9a11d12	CRITICAL_POWER_DISTRIBUTION
ea6503dd-8316-4552-84e7-c6a9154cd669	01c4c018-19e5-4174-8494-1783b9888db8	CRAH
ea6503dd-8316-4552-84e7-c6a9154cd669	92184ae0-321c-4efc-8357-bba8b413261a	CRAC
ea6503dd-8316-4552-84e7-c6a9154cd669	4ebc7fbf-bf53-4f70-9707-aeb814ea4451	CRAC_WITHOUT_FAN
ea6503dd-8316-4552-84e7-c6a9154cd669	20dea8e0-baf4-493e-964d-7d46ae5793bd	CRAC_FAN
ea6503dd-8316-4552-84e7-c6a9154cd669	fdb228cf-bfbb-4e2a-9862-59687f381f93	CHILLER
ea6503dd-8316-4552-84e7-c6a9154cd669	905a3167-11f6-4a5d-ae5d-e8999b9c48c2	AIR_COOLED_CHILLER
ea6503dd-8316-4552-84e7-c6a9154cd669	fe897cb7-f269-47ec-96c8-2068d4f89698	COOLING_TOWER
ea6503dd-8316-4552-84e7-c6a9154cd669	366d0a2c-7cfc-4e85-ba8d-78a219af8ebb	DRY_COOLER
ea6503dd-8316-4552-84e7-c6a9154cd669	2e36afcc-a41e-4e5c-8b35-a36ff17ed7f4	REMOTE_CONDENSER
ea6503dd-8316-4552-84e7-c6a9154cd669	42f32dbf-15b1-4121-9c5d-b083ed777656	CHILLED_WATER_PUMPS
ea6503dd-8316-4552-84e7-c6a9154cd669	f55418ab-bcc5-4f7e-98e7-f96538d35269	HEAT_REJECTION_PUMPS
ea6503dd-8316-4552-84e7-c6a9154cd669	ac3afcdc-286f-416b-adb2-ada573216eb4	VENTILATION
ea6503dd-8316-4552-84e7-c6a9154cd669	710826bf-6fd6-4c08-b631-8599ca05db68	INFILTRATION
ea6503dd-8316-4552-84e7-c6a9154cd669	a2c2660c-7cf4-4a89-aa25-e001f2290700	IT_LOAD
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	7c2d3914-4ac7-4911-9b86-0ebc2ab6a002	SWITCHGEAR
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	d2347771-71d1-4a3a-8755-1e695eb78b27	GENERATOR
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	1e32ff85-a187-427f-8fb9-680db5296ec2	PRIMARY_AUXILIARIES
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	b8fba279-c8be-4988-ad02-dfb2f6943ddc	UPS
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	8dbf7b5e-e86d-49f8-8576-3502f9a37d96	CRITICAL_AUXILIARIES
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	a58aa6b8-a3ff-43da-9576-ca7020a74e91	LIGHTING
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	93582bb1-ed03-4b36-ac00-80860faa8f12	CRITICAL_POWER_DISTRIBUTION
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	915cb2cb-74be-4c03-a502-0b97b763e85e	CRAH
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	98910ed9-90c2-4cca-b029-0094caab3d2d	CRAC
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	eded0556-1379-471b-b842-6907831adc95	CRAC_WITHOUT_FAN
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	4c9999f1-d081-4275-a32a-32f0e66b667f	CRAC_FAN
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	bef853e0-65fe-4a40-8e19-358756481642	CHILLER
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	347708da-fd87-42c8-aab2-82b9665e91e0	AIR_COOLED_CHILLER
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	5bd265d4-3f1c-4a9b-b12c-f159865063db	COOLING_TOWER
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	f0f2b143-d0d0-4781-8bc4-fd8974250169	DRY_COOLER
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	bb86a4b1-70a5-4057-917e-c55cc9013195	REMOTE_CONDENSER
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	50318b0c-60c4-429e-9b08-45ae6f5e036e	CHILLED_WATER_PUMPS
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	cdbfd525-fdae-4a56-90b3-2d8442b6cc4a	HEAT_REJECTION_PUMPS
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	377bd44c-6f9b-49cc-99a2-14ecf2971377	VENTILATION
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	3b2ea5c5-6a2a-4599-b73b-427b96740d2e	INFILTRATION
f40bd696-3936-4a4c-ba9a-5ab3e6d1d78d	bc6a8128-f9a9-418a-9b50-563e194215f5	IT_LOAD
898269eb-1cd7-46bd-b3cc-51c05afdb51b	4d9e3e2d-af7d-46cd-a44d-83b9fd2c7c18	SWITCHGEAR
898269eb-1cd7-46bd-b3cc-51c05afdb51b	b03a88d9-bd6a-4e32-ac8c-7273f4451b97	GENERATOR
898269eb-1cd7-46bd-b3cc-51c05afdb51b	b8bf9804-6061-4db2-9637-ecc874e9c9cc	PRIMARY_AUXILIARIES
898269eb-1cd7-46bd-b3cc-51c05afdb51b	9074a25c-250e-4906-a94a-fd5e76c6ce1f	UPS
898269eb-1cd7-46bd-b3cc-51c05afdb51b	2269cb11-eb56-4222-ac36-154a3b91a898	CRITICAL_AUXILIARIES
898269eb-1cd7-46bd-b3cc-51c05afdb51b	b9289785-adbc-4df6-8930-27f8a3d0b8fa	LIGHTING
898269eb-1cd7-46bd-b3cc-51c05afdb51b	54374a80-787a-408f-80e1-60d591bcc0f1	CRITICAL_POWER_DISTRIBUTION
898269eb-1cd7-46bd-b3cc-51c05afdb51b	c7d716fe-ba27-473f-aed7-9894cd0f075f	CRAH
898269eb-1cd7-46bd-b3cc-51c05afdb51b	ba55e96e-19cf-43a3-a132-94bf87e4727a	CRAC
898269eb-1cd7-46bd-b3cc-51c05afdb51b	b9d35185-a944-4d63-8c94-cea40f7cca79	CRAC_WITHOUT_FAN
898269eb-1cd7-46bd-b3cc-51c05afdb51b	038e875d-1318-45a8-9feb-7dbfc308e439	CRAC_FAN
898269eb-1cd7-46bd-b3cc-51c05afdb51b	67cb5e83-880d-4944-b053-d976fc1ebcab	CHILLER
898269eb-1cd7-46bd-b3cc-51c05afdb51b	6cadf57a-5526-4bd5-addb-f3affaa123e1	AIR_COOLED_CHILLER
898269eb-1cd7-46bd-b3cc-51c05afdb51b	a7dd6c31-858c-47ea-b233-c99110fdfe3c	COOLING_TOWER
898269eb-1cd7-46bd-b3cc-51c05afdb51b	75189cd9-ff06-4096-abaf-e84ad80ea639	DRY_COOLER
898269eb-1cd7-46bd-b3cc-51c05afdb51b	d038dba2-ae67-42b7-a2bc-4599d3455b2b	REMOTE_CONDENSER
898269eb-1cd7-46bd-b3cc-51c05afdb51b	a9402c98-e48c-4302-b16d-6266e05e1058	CHILLED_WATER_PUMPS
898269eb-1cd7-46bd-b3cc-51c05afdb51b	2c9ec927-03be-4567-b42a-0eb49684393c	HEAT_REJECTION_PUMPS
898269eb-1cd7-46bd-b3cc-51c05afdb51b	5dc3c541-7a22-40d1-86c7-53d9d5ee2306	VENTILATION
898269eb-1cd7-46bd-b3cc-51c05afdb51b	aff01bd7-dc00-4f1b-8c24-c08d70e913ac	INFILTRATION
898269eb-1cd7-46bd-b3cc-51c05afdb51b	3a6e3711-d13b-4ad7-9b35-0943f42d1412	IT_LOAD
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	310e130b-f352-492a-82bd-ec11a58e00f5	SWITCHGEAR
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	d9cfb49d-f106-4f39-8f61-63e63c562294	GENERATOR
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	e37f762c-4d11-4110-803f-d1ce57e4dfb5	PRIMARY_AUXILIARIES
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	c4db1976-9ecb-4eb8-9c23-eb098dd3934c	UPS
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	5da53adb-d514-40f4-8be9-1908b9246cf2	CRITICAL_AUXILIARIES
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	19dc7168-d773-48c2-af7e-3c47e8ff5c17	LIGHTING
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	18445936-9c13-47a5-891c-28f4f7045d32	CRITICAL_POWER_DISTRIBUTION
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	f86445ed-671e-4d9a-a618-d0cc0360a343	CRAH
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	05301a61-4d9b-4879-95fa-e94065bfc134	CRAC
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	02a2951d-0005-43d4-8ce0-a4d37c897da1	CRAC_WITHOUT_FAN
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	ad1226fe-c836-4af2-a5a3-1fd4a9b63686	CRAC_FAN
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	bd700452-4d26-49a7-aa16-2f60f25c9e5f	CHILLER
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	8318f8f6-71f3-4877-acac-8a66c2a0b69a	AIR_COOLED_CHILLER
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	d20538ab-e3a2-4bde-a568-3b6f3704f2d4	COOLING_TOWER
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	06a56701-cbc2-4918-9dd6-bdf0cd91848e	DRY_COOLER
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	ebf9a5dd-a630-4e6a-a39d-f6827c3b67e2	REMOTE_CONDENSER
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	c029c0d5-fc7c-4221-ab3a-23b4aa99b28a	CHILLED_WATER_PUMPS
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	daed5909-9498-48d3-97f7-aafcad43ad46	HEAT_REJECTION_PUMPS
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	e0d3c932-f294-4085-8feb-1bc7ab85a0fb	VENTILATION
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	a87e92c5-79d2-4664-b30e-820988578189	INFILTRATION
b66d0e3e-232b-46e6-a205-9ed15d9a1ad4	33ca1028-17ad-4922-b208-97443150f0b3	IT_LOAD
37c11f7d-b427-43b7-adce-554ff919bf06	397eb608-a78d-46a3-bf04-e8825a81c2c2	SWITCHGEAR
37c11f7d-b427-43b7-adce-554ff919bf06	7a805b95-233b-41e5-a763-b65d66cf69b4	GENERATOR
37c11f7d-b427-43b7-adce-554ff919bf06	72d31614-ca7b-4d95-8fa3-6128cf77b58a	PRIMARY_AUXILIARIES
37c11f7d-b427-43b7-adce-554ff919bf06	2b70d60b-ba36-4c7a-8939-d0a43966478e	UPS
37c11f7d-b427-43b7-adce-554ff919bf06	7759d18b-a2e7-4694-9ae5-b154fdaf28a7	CRITICAL_AUXILIARIES
37c11f7d-b427-43b7-adce-554ff919bf06	7c82437b-0258-4794-9467-80e8896b261f	LIGHTING
37c11f7d-b427-43b7-adce-554ff919bf06	760941ab-a396-4656-91c8-61458d680ec9	CRITICAL_POWER_DISTRIBUTION
37c11f7d-b427-43b7-adce-554ff919bf06	c75e4b87-1351-4c87-adea-aa5568a8c0d2	CRAH
37c11f7d-b427-43b7-adce-554ff919bf06	15c2e7b1-077b-4531-aa84-2bf2607615e6	CRAC
37c11f7d-b427-43b7-adce-554ff919bf06	f6ce0af4-0475-445d-8bb2-f222ba571095	CRAC_WITHOUT_FAN
37c11f7d-b427-43b7-adce-554ff919bf06	4dae3f3c-ea8d-4530-ad5b-9b429d10dec2	CRAC_FAN
37c11f7d-b427-43b7-adce-554ff919bf06	761021a4-0a7c-4035-bffe-027dd1912555	CHILLER
37c11f7d-b427-43b7-adce-554ff919bf06	7d09817f-1ec2-4a05-98f5-8b6f9577cb05	AIR_COOLED_CHILLER
37c11f7d-b427-43b7-adce-554ff919bf06	fa655769-c23a-4cb5-81ee-b1607d8f3dda	COOLING_TOWER
37c11f7d-b427-43b7-adce-554ff919bf06	1313b83e-6233-46c9-a09f-7dd8a5bd239e	DRY_COOLER
37c11f7d-b427-43b7-adce-554ff919bf06	be9845c5-c0b4-4283-b220-1a384b7e0d8e	REMOTE_CONDENSER
37c11f7d-b427-43b7-adce-554ff919bf06	b6b8e42e-a0c6-48df-9325-2016e390cad3	CHILLED_WATER_PUMPS
37c11f7d-b427-43b7-adce-554ff919bf06	691d6e8b-d9ba-495d-a717-54e87e1e1a93	HEAT_REJECTION_PUMPS
37c11f7d-b427-43b7-adce-554ff919bf06	b91b4635-3a3a-4d86-b793-fab0b7f9be99	VENTILATION
37c11f7d-b427-43b7-adce-554ff919bf06	b0d66a97-3e38-4427-84c2-87a153c9a287	INFILTRATION
37c11f7d-b427-43b7-adce-554ff919bf06	b3b2fc7d-8281-4a56-8207-867226d45c7a	IT_LOAD
467eaea7-79c5-4dc3-9065-e8d71507bc1a	0fab8d35-2b72-4039-8519-5c96f777a193	SWITCHGEAR
467eaea7-79c5-4dc3-9065-e8d71507bc1a	97087d66-6ec2-4d56-99fd-d4a10c47ff0e	GENERATOR
467eaea7-79c5-4dc3-9065-e8d71507bc1a	fb9a55ed-2550-462e-90b5-0f3147bfe0dc	PRIMARY_AUXILIARIES
467eaea7-79c5-4dc3-9065-e8d71507bc1a	3bd71916-57d8-4cdb-93e6-bb8be5d6676f	UPS
467eaea7-79c5-4dc3-9065-e8d71507bc1a	539b256c-4b17-4f3f-b812-3883ca14a363	CRITICAL_AUXILIARIES
467eaea7-79c5-4dc3-9065-e8d71507bc1a	02d9b1ce-4e57-43a8-8b8c-57e6a213640d	LIGHTING
467eaea7-79c5-4dc3-9065-e8d71507bc1a	b52729e6-fbb0-4661-bba6-8f9b26147e86	CRITICAL_POWER_DISTRIBUTION
467eaea7-79c5-4dc3-9065-e8d71507bc1a	607d7e77-2734-4288-8384-c5b6b581ce47	CRAH
467eaea7-79c5-4dc3-9065-e8d71507bc1a	c501946d-80df-477e-b578-0ae70977be96	CRAC
467eaea7-79c5-4dc3-9065-e8d71507bc1a	bb200fed-f8cf-4f95-af29-0fa3ffa74085	CRAC_WITHOUT_FAN
467eaea7-79c5-4dc3-9065-e8d71507bc1a	340852ee-0ab3-45be-87f4-f02538b297ad	CRAC_FAN
467eaea7-79c5-4dc3-9065-e8d71507bc1a	d1daaf3b-4fda-4b2e-abcd-b87bf2a95a92	CHILLER
467eaea7-79c5-4dc3-9065-e8d71507bc1a	27e18f67-b832-4849-8b1d-48450b602e92	AIR_COOLED_CHILLER
467eaea7-79c5-4dc3-9065-e8d71507bc1a	ad5ef295-fb5a-4f33-8297-38692928ebc4	COOLING_TOWER
467eaea7-79c5-4dc3-9065-e8d71507bc1a	520cc501-f65e-466d-bdc1-dce8d1378cff	DRY_COOLER
467eaea7-79c5-4dc3-9065-e8d71507bc1a	e7470661-3d6d-4139-9f72-f7d801cb534a	REMOTE_CONDENSER
467eaea7-79c5-4dc3-9065-e8d71507bc1a	37f1ca02-24b7-4196-927e-86e472685cb7	CHILLED_WATER_PUMPS
467eaea7-79c5-4dc3-9065-e8d71507bc1a	e50d5423-f155-4ab0-b9a2-43a011de267a	HEAT_REJECTION_PUMPS
467eaea7-79c5-4dc3-9065-e8d71507bc1a	b5b2e482-239b-44f1-b82e-3cfe37815791	VENTILATION
467eaea7-79c5-4dc3-9065-e8d71507bc1a	28d79851-2a59-41ac-8bb9-708629362fa9	INFILTRATION
467eaea7-79c5-4dc3-9065-e8d71507bc1a	1f470eb8-0d96-4786-8bcb-6cd4949446e2	IT_LOAD
a610a360-71b2-4b8c-8d35-021215fb804b	ce5d7e5a-497b-48ba-8039-0ccdb02e708a	SWITCHGEAR
a610a360-71b2-4b8c-8d35-021215fb804b	0b4bbfc1-d9ae-4070-b447-bd7176e19f01	GENERATOR
a610a360-71b2-4b8c-8d35-021215fb804b	ed416cca-1d93-435b-a508-f7248c87400f	PRIMARY_AUXILIARIES
a610a360-71b2-4b8c-8d35-021215fb804b	7f00f662-8d71-457e-96c5-104c37ea88df	UPS
a610a360-71b2-4b8c-8d35-021215fb804b	8f06102b-03c7-497a-81a2-3733a1c75110	CRITICAL_AUXILIARIES
a610a360-71b2-4b8c-8d35-021215fb804b	c2654c1e-35c7-4d2a-b2fe-4af010f17d1d	LIGHTING
a610a360-71b2-4b8c-8d35-021215fb804b	4d0b5c02-2d30-4c60-82f7-a654eb068e6a	CRITICAL_POWER_DISTRIBUTION
a610a360-71b2-4b8c-8d35-021215fb804b	c326b48c-3a1c-4aae-9f04-9507e088b638	CRAH
a610a360-71b2-4b8c-8d35-021215fb804b	a6dce4ab-5d36-4e46-975a-a9893e5fe107	CRAC
a610a360-71b2-4b8c-8d35-021215fb804b	e2ef847a-99c4-456a-b84d-166c8e4df524	CRAC_WITHOUT_FAN
a610a360-71b2-4b8c-8d35-021215fb804b	8d2b3f72-7f06-4bc2-b468-b2874241c8f0	CRAC_FAN
a610a360-71b2-4b8c-8d35-021215fb804b	449e5294-b5ef-4e09-92cd-2d5981dd18a3	CHILLER
a610a360-71b2-4b8c-8d35-021215fb804b	1fd578b8-ef83-4112-baa9-fec63b93bb40	AIR_COOLED_CHILLER
a610a360-71b2-4b8c-8d35-021215fb804b	cc0c5495-e27f-4164-806e-3c14826624e1	COOLING_TOWER
a610a360-71b2-4b8c-8d35-021215fb804b	33296810-ade8-468e-ae79-a88d715dc9a5	DRY_COOLER
a610a360-71b2-4b8c-8d35-021215fb804b	1918b4d4-2c5b-4592-92a1-5aab0d67c651	REMOTE_CONDENSER
a610a360-71b2-4b8c-8d35-021215fb804b	1c2e393a-ca06-4841-baa8-02294c43cf94	CHILLED_WATER_PUMPS
a610a360-71b2-4b8c-8d35-021215fb804b	fa618fe7-57fe-4419-a203-423032b28254	HEAT_REJECTION_PUMPS
a610a360-71b2-4b8c-8d35-021215fb804b	bf3dd07e-f452-4019-af9e-3a453aa64462	VENTILATION
a610a360-71b2-4b8c-8d35-021215fb804b	4d8a73ef-56e6-4563-8e9e-b2aee1d198eb	INFILTRATION
a610a360-71b2-4b8c-8d35-021215fb804b	ee2790f6-dbca-45f7-95a3-a4bb5f289083	IT_LOAD
716ab94c-2c40-470d-a22b-043b76babaed	b3e217b6-ff30-430a-b265-09270d572659	SWITCHGEAR
716ab94c-2c40-470d-a22b-043b76babaed	a560bf55-ecd5-4538-ab76-be12451cbff7	GENERATOR
716ab94c-2c40-470d-a22b-043b76babaed	6e0aae48-6cf0-423b-8a2f-01865d1ce490	PRIMARY_AUXILIARIES
716ab94c-2c40-470d-a22b-043b76babaed	da9e65d4-71dc-427b-b0d1-d8a03456ae40	UPS
716ab94c-2c40-470d-a22b-043b76babaed	f3767fbf-6b61-4baf-99bb-ae123faa3a91	CRITICAL_AUXILIARIES
716ab94c-2c40-470d-a22b-043b76babaed	77972d80-b680-491e-a9db-2991eba764a9	LIGHTING
716ab94c-2c40-470d-a22b-043b76babaed	cf9186f3-fb52-44e2-9d45-00a045c17587	CRITICAL_POWER_DISTRIBUTION
716ab94c-2c40-470d-a22b-043b76babaed	1541548a-160d-452a-b822-a3cd2365b3c7	CRAH
716ab94c-2c40-470d-a22b-043b76babaed	fc641bd6-4c0e-417b-8550-655cf93f414f	CRAC
716ab94c-2c40-470d-a22b-043b76babaed	9aefc039-4f11-48f8-9616-7f3eb9673058	CRAC_WITHOUT_FAN
716ab94c-2c40-470d-a22b-043b76babaed	fb950176-ddba-4b5e-904d-1cc3eb4f40fd	CRAC_FAN
716ab94c-2c40-470d-a22b-043b76babaed	054277ed-2d83-4b21-bbbb-2c041a9a2259	CHILLER
716ab94c-2c40-470d-a22b-043b76babaed	3d81e4ff-883b-49f8-b58d-83dce1647851	AIR_COOLED_CHILLER
716ab94c-2c40-470d-a22b-043b76babaed	3f5b3c8a-1b83-414c-93e3-e0cc80f8a200	COOLING_TOWER
716ab94c-2c40-470d-a22b-043b76babaed	88a64f97-b789-4f2f-8d48-80e9ea6b7423	DRY_COOLER
716ab94c-2c40-470d-a22b-043b76babaed	5399454b-4665-4a71-ba2b-c739dc613f5f	REMOTE_CONDENSER
716ab94c-2c40-470d-a22b-043b76babaed	e9c98da2-a14c-4f92-a923-f3e3f63dc298	CHILLED_WATER_PUMPS
716ab94c-2c40-470d-a22b-043b76babaed	874668c2-39b1-4f15-9732-5681bfa4de33	HEAT_REJECTION_PUMPS
716ab94c-2c40-470d-a22b-043b76babaed	acac5746-c912-461f-bb6e-8428158ea171	VENTILATION
716ab94c-2c40-470d-a22b-043b76babaed	c360e48f-f916-454b-b9f2-d1c4a85a9cd8	INFILTRATION
716ab94c-2c40-470d-a22b-043b76babaed	67a26613-0861-423a-bfc7-f638c95fd65e	IT_LOAD
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	37757aec-f139-4bf2-a944-2865b04ba701	SWITCHGEAR
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	1d3bb78c-eb1b-462b-a702-9b332cda50f3	GENERATOR
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	8449c7da-c742-42fc-b4c5-b24bf431fae5	PRIMARY_AUXILIARIES
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	3dbca9a0-03d6-4cc0-834f-a6a558cab405	UPS
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	40f159d5-b355-4611-869a-5805d640b2dd	CRITICAL_AUXILIARIES
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	101b1736-b0f8-4586-a935-29b812b19ca5	LIGHTING
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	c9051e80-96db-4b90-a794-665b9d354d63	CRITICAL_POWER_DISTRIBUTION
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	f3c0620e-1c72-4f89-a28f-14cddc1b5e4e	CRAH
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	5770a837-b925-4416-bf64-ed906e4babda	CRAC
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	a7fcdbaf-051b-432e-aa81-6e874e3e10ee	CRAC_WITHOUT_FAN
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	30b9d7a4-2bd5-42e5-9dff-2344a750cb2e	CRAC_FAN
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	8c60e590-89eb-4c58-863c-eeb6e2f230a1	CHILLER
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	8f71091b-f8cf-4ebf-a842-e3bc6c722ec4	AIR_COOLED_CHILLER
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	21b8bef0-689d-41f4-b9d7-6146d99d75a9	COOLING_TOWER
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	e92f87cd-0071-4347-bf28-164bc8ca7f98	DRY_COOLER
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	84d67445-86ce-4d93-a98e-4f8594360212	REMOTE_CONDENSER
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	cc0d9368-6c53-42e6-ab72-1914f4af9436	CHILLED_WATER_PUMPS
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	04b720f1-6146-459b-b1a3-624f09ee1d28	HEAT_REJECTION_PUMPS
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	5781394e-12f4-49e9-9484-268d70d4f1cb	VENTILATION
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	a7e49092-b5d7-422d-a94e-35e5df2a064e	INFILTRATION
d9dd01fb-dfcc-4dfd-a60e-935ca90a8589	f9b14f58-4187-4e73-80bd-00e8d9d68bfd	IT_LOAD
e60b2112-6fbd-45ef-be5a-d609177bbe11	a4267a1e-60b2-4c22-8608-96745f458776	SWITCHGEAR
e60b2112-6fbd-45ef-be5a-d609177bbe11	40dcf291-90f0-48d3-b812-93247a630fc4	GENERATOR
e60b2112-6fbd-45ef-be5a-d609177bbe11	48cc52b7-f3d9-44b0-b3c7-19873ad254c9	PRIMARY_AUXILIARIES
e60b2112-6fbd-45ef-be5a-d609177bbe11	a7959a07-7415-4493-b216-a4b1c7ce1201	UPS
e60b2112-6fbd-45ef-be5a-d609177bbe11	ceed62e2-6123-4e2f-a9fc-87b833b05345	CRITICAL_AUXILIARIES
e60b2112-6fbd-45ef-be5a-d609177bbe11	50c89340-e3f5-4323-a7a9-42dc9bf1ca88	LIGHTING
e60b2112-6fbd-45ef-be5a-d609177bbe11	9974bf96-377f-410a-b2e0-39d0bd3a774a	CRITICAL_POWER_DISTRIBUTION
e60b2112-6fbd-45ef-be5a-d609177bbe11	c6206ebd-9633-497d-8232-170dc814ee3d	CRAH
e60b2112-6fbd-45ef-be5a-d609177bbe11	e30d43ca-f974-44b6-ba67-8998c3abe8e9	CRAC
e60b2112-6fbd-45ef-be5a-d609177bbe11	2e933534-9224-4e63-bb55-9a40a58e23e7	CRAC_WITHOUT_FAN
e60b2112-6fbd-45ef-be5a-d609177bbe11	053cdee7-fc4b-4bed-b207-184c1cfec792	CRAC_FAN
e60b2112-6fbd-45ef-be5a-d609177bbe11	86ff4ace-8eb7-4849-8b12-de1c039674e7	CHILLER
e60b2112-6fbd-45ef-be5a-d609177bbe11	0ef5aab1-73d7-42d7-9174-af9ffa39e323	AIR_COOLED_CHILLER
e60b2112-6fbd-45ef-be5a-d609177bbe11	e58bde39-5389-4e06-9e2f-0ee5c7409069	COOLING_TOWER
e60b2112-6fbd-45ef-be5a-d609177bbe11	811f9bb6-ada3-4f51-8088-5524649779d4	DRY_COOLER
e60b2112-6fbd-45ef-be5a-d609177bbe11	c18d4e83-9847-4429-b793-61454db2f749	REMOTE_CONDENSER
e60b2112-6fbd-45ef-be5a-d609177bbe11	91f2984c-173c-4ae7-aaea-0e563a3388ad	CHILLED_WATER_PUMPS
e60b2112-6fbd-45ef-be5a-d609177bbe11	26bf276c-5536-4d9e-8dfa-794efa07039f	HEAT_REJECTION_PUMPS
e60b2112-6fbd-45ef-be5a-d609177bbe11	a478ce94-77ff-4091-9a31-3f66708b9ed3	VENTILATION
e60b2112-6fbd-45ef-be5a-d609177bbe11	b7049fdb-4f05-4fca-9356-25c68847ee6a	INFILTRATION
e60b2112-6fbd-45ef-be5a-d609177bbe11	45cf0f01-64ef-4d47-81e0-5fbb71baad6b	IT_LOAD
1335b6d6-81ef-4ae1-82fe-530966b7d009	5e4add9c-79da-4347-9431-dcec60a8a26f	SWITCHGEAR
1335b6d6-81ef-4ae1-82fe-530966b7d009	f1ce08a8-5e2a-424f-b44f-22b03108cc7b	GENERATOR
1335b6d6-81ef-4ae1-82fe-530966b7d009	b9e477b9-8fad-424a-9462-94199da650f8	PRIMARY_AUXILIARIES
1335b6d6-81ef-4ae1-82fe-530966b7d009	e0ca4c35-36ea-4f92-b7b9-4c5fa9dd23e4	UPS
1335b6d6-81ef-4ae1-82fe-530966b7d009	ba85c91b-fbcd-43c9-8dc6-2d4d44d3cc80	CRITICAL_AUXILIARIES
1335b6d6-81ef-4ae1-82fe-530966b7d009	e085c907-bd7a-4890-83ad-b99b5ae0bec8	LIGHTING
1335b6d6-81ef-4ae1-82fe-530966b7d009	5efa815f-e017-4200-a033-eb0301f38f3d	CRITICAL_POWER_DISTRIBUTION
1335b6d6-81ef-4ae1-82fe-530966b7d009	c515a1bc-3ad4-48db-843a-02535f4dff49	CRAH
1335b6d6-81ef-4ae1-82fe-530966b7d009	dd3afd5b-fbe8-42eb-92a1-230862915154	CRAC
1335b6d6-81ef-4ae1-82fe-530966b7d009	9d3d149f-303b-4ff4-a5a3-fbb9fc952669	CRAC_WITHOUT_FAN
1335b6d6-81ef-4ae1-82fe-530966b7d009	914a6633-83a5-42ac-bd5f-21620b22269a	CRAC_FAN
1335b6d6-81ef-4ae1-82fe-530966b7d009	2c8fe9f1-b8a1-4adb-acc3-fc7e8d974a22	CHILLER
1335b6d6-81ef-4ae1-82fe-530966b7d009	f3f803ea-8813-450e-b319-41ddd1d97ba1	AIR_COOLED_CHILLER
1335b6d6-81ef-4ae1-82fe-530966b7d009	9d452d9f-1c59-41ec-b8fd-8daa79c24a62	COOLING_TOWER
1335b6d6-81ef-4ae1-82fe-530966b7d009	dcda9369-4f10-447e-bb4c-db6c9b6dc08b	DRY_COOLER
1335b6d6-81ef-4ae1-82fe-530966b7d009	206e3803-15be-46af-b77a-18c6caeac63f	REMOTE_CONDENSER
1335b6d6-81ef-4ae1-82fe-530966b7d009	f1e59c63-22d1-4d64-b886-ffebd513d851	CHILLED_WATER_PUMPS
1335b6d6-81ef-4ae1-82fe-530966b7d009	e07360f4-eca1-4cc1-8d63-e79e3e14e339	HEAT_REJECTION_PUMPS
1335b6d6-81ef-4ae1-82fe-530966b7d009	8a37d0ba-b9e8-4293-85aa-041c4c557b34	VENTILATION
1335b6d6-81ef-4ae1-82fe-530966b7d009	8b67a1f4-7b5d-40d9-ac94-b71ad8489006	INFILTRATION
1335b6d6-81ef-4ae1-82fe-530966b7d009	a9652f96-0fb1-4498-95d3-c2a0d2dc8e2d	IT_LOAD
05b0c993-c014-4bad-b5f1-cfa860eb66ff	aaf1b4ec-34e1-4ae4-90f2-ee366bbb209e	SWITCHGEAR
05b0c993-c014-4bad-b5f1-cfa860eb66ff	313d1058-83a9-49dc-9a57-157b6f3f54f5	GENERATOR
05b0c993-c014-4bad-b5f1-cfa860eb66ff	5535c10d-0d55-477c-9383-6b301018adcb	PRIMARY_AUXILIARIES
05b0c993-c014-4bad-b5f1-cfa860eb66ff	156739c8-b257-480f-8a3b-cfa7c1549b00	UPS
05b0c993-c014-4bad-b5f1-cfa860eb66ff	e0aa4f8e-7df9-4f48-bfa0-7d9ad657dd7d	CRITICAL_AUXILIARIES
05b0c993-c014-4bad-b5f1-cfa860eb66ff	d2929e75-0b26-466e-8b71-5e29480858de	LIGHTING
05b0c993-c014-4bad-b5f1-cfa860eb66ff	5318263f-0c10-4e23-8f77-a24690f30a70	CRITICAL_POWER_DISTRIBUTION
05b0c993-c014-4bad-b5f1-cfa860eb66ff	6ba956ee-f7cb-4c3b-99c2-bce635d301a4	CRAH
05b0c993-c014-4bad-b5f1-cfa860eb66ff	19184e22-b7a3-4938-a90e-a9896c026151	CRAC
05b0c993-c014-4bad-b5f1-cfa860eb66ff	c3326bb7-bdf9-46d5-80f1-7336183fcd5b	CRAC_WITHOUT_FAN
05b0c993-c014-4bad-b5f1-cfa860eb66ff	84419a23-5196-44d9-8098-a8b63d391ed5	CRAC_FAN
05b0c993-c014-4bad-b5f1-cfa860eb66ff	c55902f8-1a13-48df-890c-85844afd6c28	CHILLER
05b0c993-c014-4bad-b5f1-cfa860eb66ff	053ef99a-fad9-406f-9bcd-9e933ca92a29	AIR_COOLED_CHILLER
05b0c993-c014-4bad-b5f1-cfa860eb66ff	b5e89973-86c0-4cec-ba91-414b71f455e8	COOLING_TOWER
05b0c993-c014-4bad-b5f1-cfa860eb66ff	1df9eb9d-68ab-444a-8738-cba550c03a4b	DRY_COOLER
05b0c993-c014-4bad-b5f1-cfa860eb66ff	a93c6c16-7561-4e05-8497-b81c625f8888	REMOTE_CONDENSER
05b0c993-c014-4bad-b5f1-cfa860eb66ff	7727848a-ee1c-4766-9c4d-c867d5e0f77a	CHILLED_WATER_PUMPS
05b0c993-c014-4bad-b5f1-cfa860eb66ff	7103980a-ecca-4efb-a94e-26dbbabb0ae9	HEAT_REJECTION_PUMPS
05b0c993-c014-4bad-b5f1-cfa860eb66ff	f961d5eb-1d86-4015-92ac-3f303b1065f3	VENTILATION
05b0c993-c014-4bad-b5f1-cfa860eb66ff	7cc27509-7055-46f6-9663-bf63386af1e6	INFILTRATION
05b0c993-c014-4bad-b5f1-cfa860eb66ff	671952cc-0fdd-4ae3-92e4-877de1f00777	IT_LOAD
676d267b-4cad-4718-8c6f-b05c0449e314	52e6eb1b-b99a-4ef5-96e9-50ca535e8dad	SWITCHGEAR
676d267b-4cad-4718-8c6f-b05c0449e314	7a5aa93c-6f59-4612-b864-a0869aef2803	GENERATOR
676d267b-4cad-4718-8c6f-b05c0449e314	783acaf5-7409-42af-b7b2-988ea89345a2	PRIMARY_AUXILIARIES
676d267b-4cad-4718-8c6f-b05c0449e314	68b09739-135a-48a9-82c7-0f5480ec33a8	UPS
676d267b-4cad-4718-8c6f-b05c0449e314	57508c5e-f205-41aa-83b8-13552a32593f	CRITICAL_AUXILIARIES
676d267b-4cad-4718-8c6f-b05c0449e314	6222b92d-fcca-4e46-924c-124dddda8728	LIGHTING
676d267b-4cad-4718-8c6f-b05c0449e314	cc382e13-b150-4ef4-aceb-77fb23de9998	CRITICAL_POWER_DISTRIBUTION
676d267b-4cad-4718-8c6f-b05c0449e314	82402f59-d116-4e57-bce2-917fff07f4fd	CRAH
676d267b-4cad-4718-8c6f-b05c0449e314	1a1ed946-af7a-4d71-846c-62df8b848701	CRAC
676d267b-4cad-4718-8c6f-b05c0449e314	b5087983-98f1-4ada-9d42-b5f24a6323dd	CRAC_WITHOUT_FAN
676d267b-4cad-4718-8c6f-b05c0449e314	abd41ef5-c988-406a-ac0c-d2c539371595	CRAC_FAN
676d267b-4cad-4718-8c6f-b05c0449e314	9bc934cb-27d7-401e-907c-4f3aced1ed28	CHILLER
676d267b-4cad-4718-8c6f-b05c0449e314	3311b10a-d3a6-41d7-a242-b64af48415e2	AIR_COOLED_CHILLER
676d267b-4cad-4718-8c6f-b05c0449e314	7d1c6885-6a59-4e11-9b44-b81ddf6ed398	COOLING_TOWER
676d267b-4cad-4718-8c6f-b05c0449e314	fd9bd92c-9e19-4ad3-9721-5d2b22c5c912	DRY_COOLER
676d267b-4cad-4718-8c6f-b05c0449e314	2f1636db-3d48-48e1-bff5-f69cd9bf8392	REMOTE_CONDENSER
676d267b-4cad-4718-8c6f-b05c0449e314	2351d773-be31-4c5c-a814-eefadb5d0468	CHILLED_WATER_PUMPS
676d267b-4cad-4718-8c6f-b05c0449e314	8b95a5cb-f86b-4bb4-87bd-3e58f5309506	HEAT_REJECTION_PUMPS
676d267b-4cad-4718-8c6f-b05c0449e314	cc8efc84-a413-4a02-b17b-1200edeec5ac	VENTILATION
676d267b-4cad-4718-8c6f-b05c0449e314	16a6c399-0cbd-4724-824e-4564fe3b8f0d	INFILTRATION
676d267b-4cad-4718-8c6f-b05c0449e314	263f5223-590c-4b64-be2c-e65d66ac0dd1	IT_LOAD
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	0f906c04-60bb-40f4-bada-b69142c3b371	SWITCHGEAR
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	401633e6-bb65-4940-a7e3-acaa4a0fb3ac	GENERATOR
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	32f66f02-b8c6-4632-9e87-d74a065c0582	PRIMARY_AUXILIARIES
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	52d9b374-ea4a-4548-9ee7-601d915d8c99	UPS
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	34216bfd-5d08-433c-abf7-3db4cce25656	CRITICAL_AUXILIARIES
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	9b61b99d-8e8e-41ab-87bb-68a7948063ad	LIGHTING
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	fe8c2783-af6c-483a-80ab-1e53cc605fbe	CRITICAL_POWER_DISTRIBUTION
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	e75abeeb-0130-49cf-adcb-4cc71ec816b6	CRAH
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	8e333101-5b0c-458d-a9ab-3171583e844b	CRAC
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	626b5012-a9bd-4e87-837e-3f43f0fdbfb5	CRAC_WITHOUT_FAN
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	9839f2bf-2c9d-424f-b14a-d0611f7b4bfc	CRAC_FAN
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	e6d09fe1-2582-4925-9f2d-ad880b7928c9	CHILLER
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	8ad7cb85-b3c8-4477-98a7-62c885fa7e9d	AIR_COOLED_CHILLER
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	628aebdc-35ff-4371-81c2-e80478834dc2	COOLING_TOWER
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	ae963145-1aaa-4114-9f70-8bc8bcb3edf0	DRY_COOLER
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	4c64abcd-1cfb-47c3-a9ee-2b1cf2eafe21	REMOTE_CONDENSER
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	cf41bed2-275c-490a-afb5-92f217fdbf6b	CHILLED_WATER_PUMPS
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	8748d581-12be-4aff-aeaa-61637d85d1a0	HEAT_REJECTION_PUMPS
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	d16bd97d-f5a1-4f4b-996d-455d5f0237a6	VENTILATION
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	f7d429a3-8ea5-4553-8324-6d2d332b58b7	INFILTRATION
d9c22eb7-d816-4a90-adf3-a8a39eb7951b	74455fd8-fd0b-41ae-927c-f1f94a4ba59b	IT_LOAD
e1e0414b-525f-49d8-9ce0-a5c772245505	aaba38a8-74f1-4163-ab7f-abd2fec12124	SWITCHGEAR
e1e0414b-525f-49d8-9ce0-a5c772245505	c052e80c-48c2-43e2-8b3b-d9469da50c31	GENERATOR
e1e0414b-525f-49d8-9ce0-a5c772245505	d564ac1a-31c7-40ac-9cff-ef5bc6f7eb14	PRIMARY_AUXILIARIES
e1e0414b-525f-49d8-9ce0-a5c772245505	c2b45bad-a327-4ad4-bc2f-252af62a543c	UPS
e1e0414b-525f-49d8-9ce0-a5c772245505	b9534860-1da3-4c72-af63-c5648e5c0233	CRITICAL_AUXILIARIES
e1e0414b-525f-49d8-9ce0-a5c772245505	4a6c7ec1-3cdf-4cae-8f00-014b49d51d03	LIGHTING
e1e0414b-525f-49d8-9ce0-a5c772245505	49c95449-e5a7-4c09-8d74-4c9fd8f8386d	CRITICAL_POWER_DISTRIBUTION
e1e0414b-525f-49d8-9ce0-a5c772245505	82613c8e-f9fa-4113-b670-2984f589e254	CRAH
e1e0414b-525f-49d8-9ce0-a5c772245505	db73e686-6494-46d2-a025-76c05040f041	CRAC
e1e0414b-525f-49d8-9ce0-a5c772245505	a29554ce-dfce-401d-9164-5308baa523d8	CRAC_WITHOUT_FAN
e1e0414b-525f-49d8-9ce0-a5c772245505	e14c4827-9fd5-414b-b348-3b8688143158	CRAC_FAN
e1e0414b-525f-49d8-9ce0-a5c772245505	42de89e2-ccc1-4061-85ec-13f9f1850fb8	CHILLER
e1e0414b-525f-49d8-9ce0-a5c772245505	5d0edf45-c71d-47e1-abf5-5da9f79acb05	AIR_COOLED_CHILLER
e1e0414b-525f-49d8-9ce0-a5c772245505	14968f85-7b48-4c87-b39a-b9c0f33ee909	COOLING_TOWER
e1e0414b-525f-49d8-9ce0-a5c772245505	4abc21a3-dc6a-4b7a-9b6d-20e511394508	DRY_COOLER
e1e0414b-525f-49d8-9ce0-a5c772245505	a6148755-aeb3-456c-94c9-4bcd6c205e69	REMOTE_CONDENSER
e1e0414b-525f-49d8-9ce0-a5c772245505	6f5dd5aa-1d71-4793-aa8c-bca70ab92bfe	CHILLED_WATER_PUMPS
e1e0414b-525f-49d8-9ce0-a5c772245505	f21fb7ca-afba-47e9-a801-594a289df0db	HEAT_REJECTION_PUMPS
e1e0414b-525f-49d8-9ce0-a5c772245505	87599074-994e-46b8-b8db-138830762912	VENTILATION
e1e0414b-525f-49d8-9ce0-a5c772245505	d35ed491-4c30-48e5-99d5-6b9d493693f2	INFILTRATION
e1e0414b-525f-49d8-9ce0-a5c772245505	90f42bb1-e887-4108-b951-81515b7756a4	IT_LOAD
de5c1287-b094-4b30-b112-dcc2ed794bbd	91ff0e94-3925-437c-ba67-506949a0b738	SWITCHGEAR
de5c1287-b094-4b30-b112-dcc2ed794bbd	9d910de4-f31f-42d5-a114-d18d6b48a7a1	GENERATOR
de5c1287-b094-4b30-b112-dcc2ed794bbd	90d0c2a6-8c39-4202-acff-626044944821	PRIMARY_AUXILIARIES
de5c1287-b094-4b30-b112-dcc2ed794bbd	0f78f5ed-21c6-43c2-925c-1eeec42b1b16	UPS
de5c1287-b094-4b30-b112-dcc2ed794bbd	17bbf320-77ee-4f52-997c-2b5de07810ef	CRITICAL_AUXILIARIES
de5c1287-b094-4b30-b112-dcc2ed794bbd	58cfe8ed-d44a-423f-927b-84690a3bc024	LIGHTING
de5c1287-b094-4b30-b112-dcc2ed794bbd	a4dc5964-26a2-4d7c-ab3b-104d876c5c47	CRITICAL_POWER_DISTRIBUTION
de5c1287-b094-4b30-b112-dcc2ed794bbd	4f9a74bd-395f-4646-8537-63a5355c1714	CRAH
de5c1287-b094-4b30-b112-dcc2ed794bbd	2b4b5b0c-3db6-483c-8304-6d7a02d23d07	CRAC
de5c1287-b094-4b30-b112-dcc2ed794bbd	5999deab-293a-40cc-9981-61eb5eea12ce	CRAC_WITHOUT_FAN
de5c1287-b094-4b30-b112-dcc2ed794bbd	fb236ac4-8207-41a5-a024-4ee0720ed09f	CRAC_FAN
de5c1287-b094-4b30-b112-dcc2ed794bbd	66c86760-9e65-4524-817e-99aedd5059ce	CHILLER
de5c1287-b094-4b30-b112-dcc2ed794bbd	01dbde78-7721-40dd-8662-477c85844bc5	AIR_COOLED_CHILLER
de5c1287-b094-4b30-b112-dcc2ed794bbd	3cf88ed6-7e6e-4bb2-9b02-c1007da49bfa	COOLING_TOWER
de5c1287-b094-4b30-b112-dcc2ed794bbd	8870ab65-23f2-47a1-834c-b89ba7b8118f	DRY_COOLER
de5c1287-b094-4b30-b112-dcc2ed794bbd	33a95bdd-ea66-4df2-8e5e-644d30f45900	REMOTE_CONDENSER
de5c1287-b094-4b30-b112-dcc2ed794bbd	baaee161-53cc-4048-a9eb-79ba6d6256ef	CHILLED_WATER_PUMPS
de5c1287-b094-4b30-b112-dcc2ed794bbd	f22e44bf-b065-4fbf-83f2-25cfe187fc85	HEAT_REJECTION_PUMPS
de5c1287-b094-4b30-b112-dcc2ed794bbd	fadaade3-10a7-4850-98dc-1538d5de9414	VENTILATION
de5c1287-b094-4b30-b112-dcc2ed794bbd	61bf1dc2-eb51-4920-af04-4caadce2e0a6	INFILTRATION
de5c1287-b094-4b30-b112-dcc2ed794bbd	bf472a64-699d-400e-9020-aca736d84a62	IT_LOAD
daad7bdf-2f68-4185-b688-0aa800d53fb0	2e4322c5-652c-4e0b-9cd7-569bcee84fd3	SWITCHGEAR
daad7bdf-2f68-4185-b688-0aa800d53fb0	eca0eb9f-acde-4f8e-8304-e86fa3dfa46f	GENERATOR
daad7bdf-2f68-4185-b688-0aa800d53fb0	4b17b4e5-31b5-4390-9e2e-f18f8efa4f61	PRIMARY_AUXILIARIES
daad7bdf-2f68-4185-b688-0aa800d53fb0	bffc4e50-919b-4610-9c49-6259a9112b3b	UPS
daad7bdf-2f68-4185-b688-0aa800d53fb0	15c55aeb-608b-4665-b04b-51f203db6d42	CRITICAL_AUXILIARIES
daad7bdf-2f68-4185-b688-0aa800d53fb0	ef3b1847-4d46-47f4-843b-bca3155773f6	LIGHTING
daad7bdf-2f68-4185-b688-0aa800d53fb0	efdb3ff0-3f31-4b62-ae5f-a80d21162e22	CRITICAL_POWER_DISTRIBUTION
daad7bdf-2f68-4185-b688-0aa800d53fb0	4abb5699-9132-436f-b006-d9695470b975	CRAH
daad7bdf-2f68-4185-b688-0aa800d53fb0	15fd4952-f974-4d27-aeea-0db10f61eb80	CRAC
daad7bdf-2f68-4185-b688-0aa800d53fb0	68f2d262-f865-4d6a-8119-842593ba3833	CRAC_WITHOUT_FAN
daad7bdf-2f68-4185-b688-0aa800d53fb0	5721bdf9-0710-48fe-abb8-e33252e5dfc7	CRAC_FAN
daad7bdf-2f68-4185-b688-0aa800d53fb0	6686ef52-39ed-4874-8085-876505c4dff9	CHILLER
daad7bdf-2f68-4185-b688-0aa800d53fb0	2a263e04-be67-4fab-bb55-a6a0365ed5b0	AIR_COOLED_CHILLER
daad7bdf-2f68-4185-b688-0aa800d53fb0	ccc602c6-b32e-4e29-9a34-a0f996364698	COOLING_TOWER
daad7bdf-2f68-4185-b688-0aa800d53fb0	b717a5d6-6132-4648-8a86-d1fd758641d1	DRY_COOLER
daad7bdf-2f68-4185-b688-0aa800d53fb0	861bc7ca-2633-4d46-b2ed-3d91b691eb1f	REMOTE_CONDENSER
daad7bdf-2f68-4185-b688-0aa800d53fb0	2f06ada0-44f7-4205-b21c-04c96fe0888f	CHILLED_WATER_PUMPS
daad7bdf-2f68-4185-b688-0aa800d53fb0	904424d0-b94c-4034-9e78-e896a0ddf9cc	HEAT_REJECTION_PUMPS
daad7bdf-2f68-4185-b688-0aa800d53fb0	5bdb01cd-3f13-446b-8dcb-149578bded1e	VENTILATION
daad7bdf-2f68-4185-b688-0aa800d53fb0	b8185bd2-3cd3-4f51-945c-50093f761971	INFILTRATION
daad7bdf-2f68-4185-b688-0aa800d53fb0	ccd5b080-1010-4c0e-86d2-ea0fb58fcf1e	IT_LOAD
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	e590a984-52ea-4971-afc9-4215db07ad61	SWITCHGEAR
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	09873845-bec8-4f0a-a693-fd3a5f414aca	GENERATOR
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	9f413da2-50cd-4f23-a509-dfc6cef2bae4	PRIMARY_AUXILIARIES
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	0dd965cd-e0b4-4539-bc09-c39c7e94dca6	UPS
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	8ab01857-4b43-4ef7-bdcc-a7adad64b0d9	CRITICAL_AUXILIARIES
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	5a0a4569-a60b-4b38-be0c-82c8d440bda6	LIGHTING
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	96e1fc4b-79b3-498d-98c4-21b1eee806a9	CRITICAL_POWER_DISTRIBUTION
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	185e5a6b-8568-46a9-ae4d-2770b9185a5d	CRAH
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	2c78cccf-60d2-48fa-ac6d-67694f96016d	CRAC
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	486ba020-32ef-4833-8679-2402ffaf1b2d	CRAC_WITHOUT_FAN
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	88a0f766-c739-4066-b19b-b84d7667e036	CRAC_FAN
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	32c6a44e-45dd-43df-ab87-482bc9c51334	CHILLER
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	fd8b26c2-66ac-4b5a-a385-21bf468ee066	AIR_COOLED_CHILLER
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	34dc8182-e345-4cd0-b187-de3736eb3900	COOLING_TOWER
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	6b3f44da-3570-4f7f-a73a-7fa630deb0a0	DRY_COOLER
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	8936083e-6c84-4008-b25b-5dbc7393a078	REMOTE_CONDENSER
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	11b5492c-e42e-46f5-a148-0eba78921113	CHILLED_WATER_PUMPS
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	46e5957c-ce50-48e9-841a-e98654997eed	HEAT_REJECTION_PUMPS
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	e2d1c5d9-b2e0-4dd3-86ee-39483c637269	VENTILATION
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	a6a6c226-ae85-49f8-a20e-b2b2c7b55497	INFILTRATION
d15ac2ef-dfaf-48fd-8f05-86381dfb41b1	9f1fe882-2673-4f18-b4d9-3fe46cab547f	IT_LOAD
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	2cccec21-20bd-42e4-a17c-4cfff320382f	SWITCHGEAR
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	6b9aefb3-9a20-4291-80a4-e095cea07255	GENERATOR
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	3d7aee6e-602f-42fa-b208-e957412c0ea9	PRIMARY_AUXILIARIES
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	25028c53-a974-4cf3-b4b8-8b0302654848	UPS
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	c38075aa-ca75-4082-bcad-bc33f1d1a436	CRITICAL_AUXILIARIES
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	1e0e24df-0d94-4bed-a308-603db7ff560d	LIGHTING
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	f5e3709c-9143-4c06-ad6d-134535757983	CRITICAL_POWER_DISTRIBUTION
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	ee3e22dd-620f-44a2-a383-a2bc2b9deb9f	CRAH
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	4a279295-c14e-4e96-9575-d85efefd7e12	CRAC
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	6b835e05-9e75-4b27-8373-3146028bfd54	CRAC_WITHOUT_FAN
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	ed48e2c8-ae7a-47c7-91ae-350b1ae341d1	CRAC_FAN
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	835de82a-2124-4768-9eb5-0900cc67330c	CHILLER
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	8f44d3e8-6911-46d0-94b6-3da41e77fed1	AIR_COOLED_CHILLER
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	ef4ed08f-0e0c-4168-94ad-8253c4fc7f91	COOLING_TOWER
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	0e7ab172-54a1-468f-a2f2-35796776175e	DRY_COOLER
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	f61f2d21-8971-426f-8627-2ac0d7211fce	REMOTE_CONDENSER
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	4a922b55-5ea5-46f1-b843-b13d15c0882c	CHILLED_WATER_PUMPS
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	2fffc2a4-be3a-404a-906c-a80ecbea3b6f	HEAT_REJECTION_PUMPS
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	cf6e7b21-9efd-4f9c-94bd-f760f341fb8b	VENTILATION
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	474f4937-8a41-43b6-a3a9-3dd622c422f8	INFILTRATION
e5fa86fd-1a24-49a9-8dd2-bb2f2e4cbeea	e8ee4882-5006-4461-a43d-39e18bd998b3	IT_LOAD
ae34fe33-020f-4049-a88d-02cb6249d237	58f7227d-a3b4-4c22-a172-f2e2d0fb4cad	SWITCHGEAR
ae34fe33-020f-4049-a88d-02cb6249d237	36587b4e-f1c7-4254-bd50-19d6de2615e0	GENERATOR
ae34fe33-020f-4049-a88d-02cb6249d237	a8e16000-f3b8-436c-b592-716edb533d37	PRIMARY_AUXILIARIES
ae34fe33-020f-4049-a88d-02cb6249d237	7eeb7a32-2062-4aaf-b411-4e5d2bf446b3	UPS
ae34fe33-020f-4049-a88d-02cb6249d237	891f4c60-5c67-4152-bc02-843ad2b9857c	CRITICAL_AUXILIARIES
ae34fe33-020f-4049-a88d-02cb6249d237	d7122c6f-441c-465e-b840-e872eb4b111c	LIGHTING
ae34fe33-020f-4049-a88d-02cb6249d237	d71dae3c-9e40-4efb-be28-3410d4d15f30	CRITICAL_POWER_DISTRIBUTION
ae34fe33-020f-4049-a88d-02cb6249d237	4151d741-68a8-483b-80ce-6e2aff70f897	CRAH
ae34fe33-020f-4049-a88d-02cb6249d237	3df6ebe8-1c2b-4994-8b2a-a07321dfc94a	CRAC
ae34fe33-020f-4049-a88d-02cb6249d237	7ea9a180-34e8-484f-a7e7-012e3fd4daeb	CRAC_WITHOUT_FAN
ae34fe33-020f-4049-a88d-02cb6249d237	fa2762ca-1467-48e6-b30c-d20889d3096f	CRAC_FAN
ae34fe33-020f-4049-a88d-02cb6249d237	9df005d0-04b8-4369-987c-f19333c9c62d	CHILLER
ae34fe33-020f-4049-a88d-02cb6249d237	6796521a-05e7-45b4-8ae0-c544a340ddd7	AIR_COOLED_CHILLER
ae34fe33-020f-4049-a88d-02cb6249d237	89149291-8c2e-41b3-ab3b-bd77f72ec8db	COOLING_TOWER
ae34fe33-020f-4049-a88d-02cb6249d237	6771ffba-564a-4e34-b04c-098bb54a99c1	DRY_COOLER
ae34fe33-020f-4049-a88d-02cb6249d237	2634e3c6-8781-4fa4-87be-0ac9a2bf11fe	REMOTE_CONDENSER
ae34fe33-020f-4049-a88d-02cb6249d237	a095b3f8-aa75-4edf-a04b-0d0e017cce52	CHILLED_WATER_PUMPS
ae34fe33-020f-4049-a88d-02cb6249d237	86bf5ac8-4792-4e14-bcc6-f4b1c19d32e1	HEAT_REJECTION_PUMPS
ae34fe33-020f-4049-a88d-02cb6249d237	681ab234-eb42-4fb6-981f-4947fb26a24d	VENTILATION
ae34fe33-020f-4049-a88d-02cb6249d237	85e6e9a1-443e-433e-9844-aa590a730c2c	INFILTRATION
ae34fe33-020f-4049-a88d-02cb6249d237	d6b2f6e5-a600-4284-b003-091333ca0bb3	IT_LOAD
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	831bf9b7-622a-430f-8c13-8608fd118f07	SWITCHGEAR
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	9199d9e2-5a46-4d7a-8515-164f1a712aa3	GENERATOR
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	a8e32745-2e6b-4850-ab54-3c49b1fc5e7a	PRIMARY_AUXILIARIES
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	843d72ee-d01a-4044-a79b-043e3d8cad56	UPS
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	0f631eef-34dc-4515-9149-5579cae89ef1	CRITICAL_AUXILIARIES
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	fd6d449b-b74b-4b79-8fc1-837ffea29b60	LIGHTING
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	78360a00-fb7d-4f95-acf2-fcdb93d93ad7	CRITICAL_POWER_DISTRIBUTION
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	9f850784-5708-454d-8aea-54a7dac83b34	CRAH
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	555336f6-6e67-4de2-9288-34c3ff4d836d	CRAC
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	7df54ad3-f347-4e9c-95e4-1ac8810e791e	CRAC_WITHOUT_FAN
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	5768007f-7a27-4f9f-82c3-f167626f9a15	CRAC_FAN
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	5170f4af-82b5-424b-8bbc-8be6b4465c9e	CHILLER
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	6b11ec3e-940b-488e-ba78-f2143811620c	AIR_COOLED_CHILLER
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	8fba084f-36dc-402c-a635-ae505309aa1e	COOLING_TOWER
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	66a266b3-ad66-4b97-95d4-a93b613dd028	DRY_COOLER
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	69d9af4f-4166-412f-bd87-3278686ff2f5	REMOTE_CONDENSER
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	ef4fc030-3ad5-4a30-8653-c4850c567012	CHILLED_WATER_PUMPS
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	a6fb95da-3c2c-4830-b90c-ea68294face2	HEAT_REJECTION_PUMPS
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	dfbee0ed-9c38-4022-8c27-5e48b9e7b2dd	VENTILATION
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	a5dc80df-4455-480d-b8ed-295b235ae0dd	INFILTRATION
3e6e4ab7-bf1b-4e94-9d16-ad42c1400838	6b4e946c-a49e-40b7-9d4a-d8c36533236a	IT_LOAD
8466e534-4caf-427f-a52c-34eea231df36	68be8e89-b5bc-4ee7-bde6-04b521420493	SWITCHGEAR
8466e534-4caf-427f-a52c-34eea231df36	d8d13f49-e5ac-49fb-9dfe-c878f69cf95c	GENERATOR
8466e534-4caf-427f-a52c-34eea231df36	9a193643-afad-47eb-a3d1-79bf1fdf8ccc	PRIMARY_AUXILIARIES
8466e534-4caf-427f-a52c-34eea231df36	5c9a9538-afd5-479b-9bd2-d7aba50d934a	UPS
8466e534-4caf-427f-a52c-34eea231df36	d464c9b2-fe0b-43b5-8909-0f754895d1b5	CRITICAL_AUXILIARIES
8466e534-4caf-427f-a52c-34eea231df36	8a56f9f1-7d61-4096-8765-b6481b41d00e	LIGHTING
8466e534-4caf-427f-a52c-34eea231df36	fa2d9c93-1e7b-4f11-a416-3b9fc7513e93	CRITICAL_POWER_DISTRIBUTION
8466e534-4caf-427f-a52c-34eea231df36	f9ee68a5-5aad-4f63-aa9c-ca4a075e9360	CRAH
8466e534-4caf-427f-a52c-34eea231df36	39b23b0e-2ed0-459d-a56a-4cebceb4872b	CRAC
8466e534-4caf-427f-a52c-34eea231df36	9ba1d454-eb78-4fa1-a757-67c501556be7	CRAC_WITHOUT_FAN
8466e534-4caf-427f-a52c-34eea231df36	fd0f8efa-4429-4719-8602-e902d538bc22	CRAC_FAN
8466e534-4caf-427f-a52c-34eea231df36	9179ad95-5893-47c2-a05f-e5e93c07f02c	CHILLER
8466e534-4caf-427f-a52c-34eea231df36	018d7a59-0333-4477-8124-d23898cc5e93	AIR_COOLED_CHILLER
8466e534-4caf-427f-a52c-34eea231df36	c1510957-58d4-4e6d-83a1-63c70b4d5d89	COOLING_TOWER
8466e534-4caf-427f-a52c-34eea231df36	d917fcb3-8289-4217-b4d3-63bc781db88a	DRY_COOLER
8466e534-4caf-427f-a52c-34eea231df36	bb4c70ff-0c30-43a1-a985-7b5b7547a8d1	REMOTE_CONDENSER
8466e534-4caf-427f-a52c-34eea231df36	6c2e1518-075b-4bb1-866a-14c87bbd84d9	CHILLED_WATER_PUMPS
8466e534-4caf-427f-a52c-34eea231df36	aadc7cd9-6ff6-4d21-8553-7e1e74e6754e	HEAT_REJECTION_PUMPS
8466e534-4caf-427f-a52c-34eea231df36	53cca255-68f2-4c43-8daf-83eccb9bc5d5	VENTILATION
8466e534-4caf-427f-a52c-34eea231df36	449fd564-a868-4515-b09f-299dbac84da9	INFILTRATION
8466e534-4caf-427f-a52c-34eea231df36	c72767a0-6730-43c9-98b2-41d6737643d3	IT_LOAD
c27de010-0a7a-47da-80a1-e5cf7f858b26	a6b5a3d1-73b9-47d4-8b42-99c9b4a7abc7	SWITCHGEAR
c27de010-0a7a-47da-80a1-e5cf7f858b26	51dadb4a-29bb-4f90-9fa6-93eada0ee677	GENERATOR
c27de010-0a7a-47da-80a1-e5cf7f858b26	cb5626ce-bce6-47cd-a956-17d4ceb75bdc	PRIMARY_AUXILIARIES
c27de010-0a7a-47da-80a1-e5cf7f858b26	9b0870c9-d2ef-4476-8c5f-4a2b87a38d5c	UPS
c27de010-0a7a-47da-80a1-e5cf7f858b26	a0752eba-0bca-4c16-b74d-f66a6f359e21	CRITICAL_AUXILIARIES
c27de010-0a7a-47da-80a1-e5cf7f858b26	bb33d9c7-59e1-46e3-86c4-f63ed0c90b3e	LIGHTING
c27de010-0a7a-47da-80a1-e5cf7f858b26	bb0701d3-c48d-4761-bc85-5a7661b95e50	CRITICAL_POWER_DISTRIBUTION
c27de010-0a7a-47da-80a1-e5cf7f858b26	1cf0aaa0-0ad0-4bec-8249-ee7d819cd9a8	CRAH
c27de010-0a7a-47da-80a1-e5cf7f858b26	67679ae5-ce8a-487b-a57d-99f48e75ade6	CRAC
c27de010-0a7a-47da-80a1-e5cf7f858b26	246eca0b-2815-4ebc-9cd2-0b7f47275732	CRAC_WITHOUT_FAN
c27de010-0a7a-47da-80a1-e5cf7f858b26	118a6fdf-cad5-4afd-9b98-c6c25f3225d2	CRAC_FAN
c27de010-0a7a-47da-80a1-e5cf7f858b26	2070a207-086a-4e25-b2e3-c8ffa99797a4	CHILLER
c27de010-0a7a-47da-80a1-e5cf7f858b26	02f5eac7-6cd5-4f29-aea6-2e348862e9ee	AIR_COOLED_CHILLER
c27de010-0a7a-47da-80a1-e5cf7f858b26	3eea7bdd-86b4-4f75-979c-39f08376f199	COOLING_TOWER
c27de010-0a7a-47da-80a1-e5cf7f858b26	89565160-fad0-47f9-82aa-229008a81f80	DRY_COOLER
c27de010-0a7a-47da-80a1-e5cf7f858b26	5733bf2c-e409-47af-865e-816c0b19fd1d	REMOTE_CONDENSER
c27de010-0a7a-47da-80a1-e5cf7f858b26	03b36687-8571-4504-a672-b18b7cf6a86f	CHILLED_WATER_PUMPS
c27de010-0a7a-47da-80a1-e5cf7f858b26	ff3a0ecd-e77b-433b-8ef9-64f6f64d585c	HEAT_REJECTION_PUMPS
c27de010-0a7a-47da-80a1-e5cf7f858b26	2e6ff38d-c358-4375-817b-04a1993f358f	VENTILATION
c27de010-0a7a-47da-80a1-e5cf7f858b26	1019ea3c-20e1-4671-8a00-a02e9b6b951c	INFILTRATION
c27de010-0a7a-47da-80a1-e5cf7f858b26	596aa4fc-e99a-4ef0-8a70-f1620f2d7b6e	IT_LOAD
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	c3dfbcec-fba8-4057-96d3-9b52b5e4ce23	SWITCHGEAR
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	4db36ff5-9066-4655-a60d-ffc0c3fb8f4e	GENERATOR
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	8604e1eb-b688-40d1-a9e8-bc450b98af3c	PRIMARY_AUXILIARIES
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	68e32057-5b1b-4230-9bd6-47c44a67334c	UPS
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	2c3141a9-07f5-43f6-b211-e52b4668eeba	CRITICAL_AUXILIARIES
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	2c6c961c-e986-401d-be1b-424d8ebb00db	LIGHTING
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	77cbf451-e6d4-4f12-9d82-9fef543d328c	CRITICAL_POWER_DISTRIBUTION
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	4a01dbb6-dfdc-433f-abcf-eb21eecd6b76	CRAH
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	c25261b5-29ac-465f-a573-e112091f2a88	CRAC
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	7739205a-62d0-40f8-beeb-ca33f8a818e3	CRAC_WITHOUT_FAN
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	7876888f-82a6-4703-afd1-3aba034a4335	CRAC_FAN
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	f3ffef74-c53e-4553-92db-08d8b1268f3d	CHILLER
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	843b726e-452a-45d9-8be8-283f022938e8	AIR_COOLED_CHILLER
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	d9daf917-dd93-4fcc-8b00-eeaf2fbaa41c	COOLING_TOWER
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	a966dfec-da45-4ab0-99df-814ac0c6b30e	DRY_COOLER
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	de339a54-64e5-4fc3-84b7-bb530f731036	REMOTE_CONDENSER
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	251b70e2-cf12-446f-bb70-371de7a1ab99	CHILLED_WATER_PUMPS
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	8eaadec3-38fa-485e-ab72-86cdd75651ca	HEAT_REJECTION_PUMPS
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	e495c6c1-20a0-4edd-ac3f-d00da1d504bb	VENTILATION
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	0533756d-a3f6-4c0c-8b8c-3a581dd772f0	INFILTRATION
a1afb7ca-4c81-4aa7-a889-a9bba0a158fc	38a771ff-81a3-49b8-8835-415734e831f6	IT_LOAD
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	b94728ce-d72e-4995-953f-38bf6edc5ae9	SWITCHGEAR
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	a13414ba-5096-4d54-b27c-69a7db52d3f1	GENERATOR
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	30e9ae13-eabf-4236-945f-ab2792af187c	PRIMARY_AUXILIARIES
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	1c28d41a-c40f-4478-936e-a36caeb4f44a	UPS
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	fe4ba064-b2be-4418-be76-9601cd0e87e5	CRITICAL_AUXILIARIES
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	40f45acd-ad03-40f3-ae18-7b843e55f303	LIGHTING
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	4732b3de-02fa-4c71-be71-b3cdaf062915	CRITICAL_POWER_DISTRIBUTION
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	ec9b5f36-2672-4e6b-8071-10b5658b0e5b	CRAH
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	1feb0fd2-7501-425a-a2f2-07f916bb7c28	CRAC
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	412f97f8-9dc3-498b-b831-54da4482e8e2	CRAC_WITHOUT_FAN
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	41c237b9-d9f5-4ba5-adb1-00e5f951e4c8	CRAC_FAN
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	b1f655ac-9d31-4b1b-af99-3873c1dd7c96	CHILLER
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	797379a3-9969-4efb-b460-510f2ac94a46	AIR_COOLED_CHILLER
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	24e23f07-2917-4261-9961-6dbee73377a5	COOLING_TOWER
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	10440691-1cfd-4eb9-b5d0-d7e309faf998	DRY_COOLER
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	eb22744d-934e-4760-8036-a0959ff0e65d	REMOTE_CONDENSER
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	c2c2ab08-1b0f-4753-aaca-ef7e5517fc61	CHILLED_WATER_PUMPS
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	f9f5f42c-20a3-487f-bc15-e325ed1e5e28	HEAT_REJECTION_PUMPS
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	bb6cb0c9-9cdc-4539-8063-d07668f6dbda	VENTILATION
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	df8e51ac-9dd8-4d3a-b108-038f8b897717	INFILTRATION
ebfb7d92-ba83-417e-bbd9-c0cab83dc765	1d11beac-00a4-4377-85f1-7171f5669df4	IT_LOAD
fb73008a-f9bd-4db2-99e8-b1d244008452	54bd81d3-8fdb-4074-8af9-565a68a12960	SWITCHGEAR
fb73008a-f9bd-4db2-99e8-b1d244008452	61886807-5b9a-43c3-abf0-fedf75b9acfc	GENERATOR
fb73008a-f9bd-4db2-99e8-b1d244008452	21f2228d-d997-4f64-a597-c57fb38e33c1	PRIMARY_AUXILIARIES
fb73008a-f9bd-4db2-99e8-b1d244008452	18f45819-38b3-4fd0-b02e-db4011db39ae	UPS
fb73008a-f9bd-4db2-99e8-b1d244008452	43e83e92-3b78-4852-a12d-f405c10f926c	CRITICAL_AUXILIARIES
fb73008a-f9bd-4db2-99e8-b1d244008452	d6cc4b92-222b-49e5-b877-825b88e815fa	LIGHTING
fb73008a-f9bd-4db2-99e8-b1d244008452	a9933b0c-578d-40d5-947c-07886180c0eb	CRITICAL_POWER_DISTRIBUTION
fb73008a-f9bd-4db2-99e8-b1d244008452	ed3c8265-593b-444b-acc7-eb0528682e82	CRAH
fb73008a-f9bd-4db2-99e8-b1d244008452	827f80ac-4203-4a2b-bf07-7884a61e9b14	CRAC
fb73008a-f9bd-4db2-99e8-b1d244008452	f0a2baf9-ae72-4f55-9716-a45064291ab7	CRAC_WITHOUT_FAN
fb73008a-f9bd-4db2-99e8-b1d244008452	ff182d07-74cd-46d4-9490-c49ac9893c5d	CRAC_FAN
fb73008a-f9bd-4db2-99e8-b1d244008452	1a1920d3-e7ff-44c7-a19d-927f26339a00	CHILLER
fb73008a-f9bd-4db2-99e8-b1d244008452	b9fb30fc-9b79-439a-8a9c-101417b899c0	AIR_COOLED_CHILLER
fb73008a-f9bd-4db2-99e8-b1d244008452	13a19e42-2126-4601-b939-31104d9e0faa	COOLING_TOWER
fb73008a-f9bd-4db2-99e8-b1d244008452	2860f098-9cf4-4ed0-9327-bbcd869aab13	DRY_COOLER
fb73008a-f9bd-4db2-99e8-b1d244008452	5499b3e7-0fd3-427b-9ca8-5870ac012459	REMOTE_CONDENSER
fb73008a-f9bd-4db2-99e8-b1d244008452	389b8cb6-d4b8-4a40-ac95-3a11f62fc8f6	CHILLED_WATER_PUMPS
fb73008a-f9bd-4db2-99e8-b1d244008452	932ca430-52ea-4f3f-bebf-bf0a4c5f6fb1	HEAT_REJECTION_PUMPS
fb73008a-f9bd-4db2-99e8-b1d244008452	88575595-d237-47a4-974a-2306c9dedb5a	VENTILATION
fb73008a-f9bd-4db2-99e8-b1d244008452	4e4e710b-fd8f-4ae7-b371-1460dc29aeea	INFILTRATION
fb73008a-f9bd-4db2-99e8-b1d244008452	c6b85488-cd22-4b6c-81f1-c0381668dee8	IT_LOAD
a5c6dc71-787e-4d77-b977-2b975e744303	4b58f253-3dbf-48dc-8ffc-33666b873f13	SWITCHGEAR
a5c6dc71-787e-4d77-b977-2b975e744303	67da42ce-78dc-47b8-8517-0af31a9e482c	GENERATOR
a5c6dc71-787e-4d77-b977-2b975e744303	3f5fe941-3fc7-4a5e-b2c8-2b73e7ebf34f	PRIMARY_AUXILIARIES
a5c6dc71-787e-4d77-b977-2b975e744303	8c627cdb-286e-4d91-8bd5-a268897431e8	UPS
a5c6dc71-787e-4d77-b977-2b975e744303	8f6bfd58-22a7-4473-8e90-5732680cd316	CRITICAL_AUXILIARIES
a5c6dc71-787e-4d77-b977-2b975e744303	f83d05f8-d114-45d0-85e2-c73814f5a465	LIGHTING
a5c6dc71-787e-4d77-b977-2b975e744303	0fb4348c-afcb-421f-8ba1-3725d6dfa916	CRITICAL_POWER_DISTRIBUTION
a5c6dc71-787e-4d77-b977-2b975e744303	0163046e-bbc1-4344-82c9-f53fedc5ff1a	CRAH
a5c6dc71-787e-4d77-b977-2b975e744303	6b5ccb77-71f8-4092-8dd0-377644b8ade7	CRAC
a5c6dc71-787e-4d77-b977-2b975e744303	ad76f50a-82ba-4950-98ce-c0a79c9f6f2f	CRAC_WITHOUT_FAN
a5c6dc71-787e-4d77-b977-2b975e744303	69e74554-b956-47db-8e13-642f9024d4b3	CRAC_FAN
a5c6dc71-787e-4d77-b977-2b975e744303	9dc30a5d-5d1f-4f23-bced-dab5d2c99472	CHILLER
a5c6dc71-787e-4d77-b977-2b975e744303	4c70933e-2fe6-4d4b-8905-6de982fc9b57	AIR_COOLED_CHILLER
a5c6dc71-787e-4d77-b977-2b975e744303	ed55f94b-a297-4610-86c3-b622b0dfb680	COOLING_TOWER
a5c6dc71-787e-4d77-b977-2b975e744303	ad527b7a-ca32-4ab0-be43-65c31b3e54d6	DRY_COOLER
a5c6dc71-787e-4d77-b977-2b975e744303	6f75a0ef-7805-4587-873c-cb4fccbeab13	REMOTE_CONDENSER
a5c6dc71-787e-4d77-b977-2b975e744303	e42a543a-44ee-4466-b184-811187cad325	CHILLED_WATER_PUMPS
a5c6dc71-787e-4d77-b977-2b975e744303	eecfe563-4b60-46de-b8dd-75ececb51c15	HEAT_REJECTION_PUMPS
a5c6dc71-787e-4d77-b977-2b975e744303	a5574c93-9b43-4bc0-9374-e384359ae60a	VENTILATION
a5c6dc71-787e-4d77-b977-2b975e744303	14fab03b-35ee-4526-8885-ca0974ccf30e	INFILTRATION
a5c6dc71-787e-4d77-b977-2b975e744303	6b34ad4e-1fab-4ebd-aafa-4ea90ba1d4eb	IT_LOAD
d2f48503-64f0-4e26-8c46-795c3ff16ae9	83bc6b83-8a1b-4507-b659-6d580383435c	SWITCHGEAR
d2f48503-64f0-4e26-8c46-795c3ff16ae9	357bb88b-e716-45cc-81a4-dd5e250ffffa	GENERATOR
d2f48503-64f0-4e26-8c46-795c3ff16ae9	61a7fbce-ceb2-447d-b3c2-f1d7a9204493	PRIMARY_AUXILIARIES
d2f48503-64f0-4e26-8c46-795c3ff16ae9	8a490bd4-6353-4b8f-a6fb-22bb05047652	UPS
d2f48503-64f0-4e26-8c46-795c3ff16ae9	00678578-f400-4c74-bfe0-54d7b795e3aa	CRITICAL_AUXILIARIES
d2f48503-64f0-4e26-8c46-795c3ff16ae9	6619e140-66fe-49c9-ac89-2a79eb234e7a	LIGHTING
d2f48503-64f0-4e26-8c46-795c3ff16ae9	9e3bdb22-c20a-4ebd-ac4e-ec7a2137dd9d	CRITICAL_POWER_DISTRIBUTION
d2f48503-64f0-4e26-8c46-795c3ff16ae9	087ac87c-d1ae-4f9a-82c4-64d00adaf5c5	CRAH
d2f48503-64f0-4e26-8c46-795c3ff16ae9	ff1ce9dc-4f7e-4851-8b04-604cdf8a4d8e	CRAC
d2f48503-64f0-4e26-8c46-795c3ff16ae9	0f51b996-7bb0-4416-8f16-14cbdaef7348	CRAC_WITHOUT_FAN
d2f48503-64f0-4e26-8c46-795c3ff16ae9	79f816fb-0940-48aa-99a8-3f8a2172939c	CRAC_FAN
d2f48503-64f0-4e26-8c46-795c3ff16ae9	edcc2ca3-8b14-484d-b260-b3e0e09a39f3	CHILLER
d2f48503-64f0-4e26-8c46-795c3ff16ae9	43316228-b95c-4c08-a119-ec7084813c5c	AIR_COOLED_CHILLER
d2f48503-64f0-4e26-8c46-795c3ff16ae9	5edf8035-3bf0-4986-a452-30d060ed039b	COOLING_TOWER
d2f48503-64f0-4e26-8c46-795c3ff16ae9	461c0ee6-488b-43ec-9a91-8c75d3de08ed	DRY_COOLER
d2f48503-64f0-4e26-8c46-795c3ff16ae9	e0e89b80-175f-4682-ad1b-b45b12f74f5c	REMOTE_CONDENSER
d2f48503-64f0-4e26-8c46-795c3ff16ae9	075cab0a-a744-472e-a7d8-0294e9858b80	CHILLED_WATER_PUMPS
d2f48503-64f0-4e26-8c46-795c3ff16ae9	124c6b93-4122-4626-8777-e12ea933f0b7	HEAT_REJECTION_PUMPS
d2f48503-64f0-4e26-8c46-795c3ff16ae9	ff2d35ba-0ca5-4417-975b-3e14ca67b366	VENTILATION
d2f48503-64f0-4e26-8c46-795c3ff16ae9	774413cd-bb40-408d-9ea2-773d80e112a0	INFILTRATION
d2f48503-64f0-4e26-8c46-795c3ff16ae9	207211b1-3fdd-42d8-b01b-6214dcc6eae0	IT_LOAD
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	c8ee8fe5-28ad-4cb9-b022-feba88751c09	SWITCHGEAR
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	5e6b92c6-149b-468e-9201-6affba1b31da	GENERATOR
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	5d7f00c8-2ea3-46f0-8672-ecfe8a3f3c88	PRIMARY_AUXILIARIES
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	d5468462-db15-4795-8ee1-fb0691f354ef	UPS
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	c26b12e4-82e7-466f-b55c-2f4dfa474e44	CRITICAL_AUXILIARIES
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	a78338af-a67b-4c8b-a36e-23ee787c9000	LIGHTING
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	bb4a8f9b-ccb2-4bfe-b60a-48f401bb6baf	CRITICAL_POWER_DISTRIBUTION
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	2e8170e0-ab72-4b41-99f0-2bfa8d99106a	CRAH
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	f91b94bd-a185-4a8e-a4c3-b9c0bbcb1ee9	CRAC
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	71f270c5-e755-488a-8fa6-fcee6d070fd0	CRAC_WITHOUT_FAN
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	274c8ca9-1207-400f-8b06-bef36ed34285	CRAC_FAN
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	b2671f9c-a18f-4ae4-b0b8-1830be3f6360	CHILLER
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	7e7d2619-5ed8-4760-ac9d-6a24ca9f96ab	AIR_COOLED_CHILLER
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	5bae07c0-4411-48e3-b217-1f0ea00c267f	COOLING_TOWER
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	205dbb3f-05ed-4aab-9be0-09337e8c0e83	DRY_COOLER
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	847bc3ce-103f-4fe3-bd4d-55dfaa7d0a30	REMOTE_CONDENSER
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	848f78e3-e212-4d5d-9c66-73b711a9127a	CHILLED_WATER_PUMPS
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	9ef8a10c-d401-4040-97a7-2401c6987b56	HEAT_REJECTION_PUMPS
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	c63a15fc-ea7f-4b27-9401-e68e8fb7fbf2	VENTILATION
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	e3e3cbea-6c57-4d5e-9e68-1fc834193033	INFILTRATION
061a5f2e-5e3a-4bec-ab94-af6d79bf115c	e2ba1547-4d26-4100-bd82-d8247db486f0	IT_LOAD
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	7c79a9e1-9401-4a50-9e7c-2b72739e7156	SWITCHGEAR
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	2ce43c98-bd81-43db-95f2-85a685f33dc8	GENERATOR
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	7db442b7-e07e-40e9-a8c2-697ad58cd5da	PRIMARY_AUXILIARIES
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	0fe93d17-f615-40aa-b86a-34b8d7e2ebeb	UPS
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	b65a3ff4-692a-404a-9a11-51f9baa7da62	CRITICAL_AUXILIARIES
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	200804ad-c960-481e-ba81-b0d871ffec29	LIGHTING
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	528baa62-7604-4b3c-a8fd-1af986b5606a	CRITICAL_POWER_DISTRIBUTION
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	c53b869d-57e0-4386-a442-0c8f64f6e39e	CRAH
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	15abc4e2-4cf3-4014-bde9-51d0b177ed79	CRAC
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	2d8e47ac-084c-421c-b5fc-731609623e8f	CRAC_WITHOUT_FAN
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	a0814250-46e7-4e2b-ab2b-e29a3224a3b4	CRAC_FAN
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	d3bc71b4-cc7d-46eb-ade2-2c5f9c2bb2fe	CHILLER
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	aac26e6f-6d04-4e55-9d75-904c1c33a08d	AIR_COOLED_CHILLER
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	6a79bc0b-7e70-42c6-a4fc-ee064ceeb2cf	COOLING_TOWER
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	39b07345-fad9-4466-844e-ac005135b726	DRY_COOLER
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	3b5f458c-3b8c-46d3-91c9-70a1921a5a30	REMOTE_CONDENSER
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	43810d72-c69c-4b31-adf6-859ba4ea5a58	CHILLED_WATER_PUMPS
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	d7a83368-e0d1-4bb8-962c-29d43a752081	HEAT_REJECTION_PUMPS
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	6fce7759-7f79-48f0-9923-ef06382c5836	VENTILATION
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	8eb8b5d1-99c9-4430-8273-dc71ae38fb2e	INFILTRATION
e6c85f3e-0f4b-49b3-9d0b-0557f339ee00	09c04ff8-a084-41de-8c35-76c1716a25aa	IT_LOAD
ced989f2-b97b-4529-a853-7f14c39bcef3	c6ff26ac-1f01-433f-8040-4aab15a1ca32	SWITCHGEAR
ced989f2-b97b-4529-a853-7f14c39bcef3	b1988070-1e16-4ff7-b4ef-f9b30983a651	GENERATOR
ced989f2-b97b-4529-a853-7f14c39bcef3	e764e678-224f-40c4-863a-7366b2131d4b	PRIMARY_AUXILIARIES
ced989f2-b97b-4529-a853-7f14c39bcef3	09bfa9d3-b25f-40d3-858a-c038f2f217ea	UPS
ced989f2-b97b-4529-a853-7f14c39bcef3	4c89b6c1-a3b8-4d61-acec-7e27e7d466f0	CRITICAL_AUXILIARIES
ced989f2-b97b-4529-a853-7f14c39bcef3	e8fc6b4b-8413-43e8-955c-b34485d2094a	LIGHTING
ced989f2-b97b-4529-a853-7f14c39bcef3	7d87f428-a699-4054-adc8-817d932e44b8	CRITICAL_POWER_DISTRIBUTION
ced989f2-b97b-4529-a853-7f14c39bcef3	04936764-0349-4be4-8849-c34c987116ef	CRAH
ced989f2-b97b-4529-a853-7f14c39bcef3	b057e54f-125a-4daf-acdc-2d58d68670a4	CRAC
ced989f2-b97b-4529-a853-7f14c39bcef3	8a8a7ca2-7c54-455f-8cf4-3f85637f4ae4	CRAC_WITHOUT_FAN
ced989f2-b97b-4529-a853-7f14c39bcef3	f973a0dc-a3bd-40e5-a9c3-dc4337d9ce14	CRAC_FAN
ced989f2-b97b-4529-a853-7f14c39bcef3	07b919f8-73c5-4dac-89b3-2f85c184979e	CHILLER
ced989f2-b97b-4529-a853-7f14c39bcef3	3bf9d5ee-98e0-4e47-87db-51e2971ebcf2	AIR_COOLED_CHILLER
ced989f2-b97b-4529-a853-7f14c39bcef3	19f2f351-8fa0-493a-ad3e-6905019c7a41	COOLING_TOWER
ced989f2-b97b-4529-a853-7f14c39bcef3	a0f58388-12c0-49b1-af9b-bc2709f09001	DRY_COOLER
ced989f2-b97b-4529-a853-7f14c39bcef3	fc4f52fc-6fa7-49ab-b525-db7cb83f9541	REMOTE_CONDENSER
ced989f2-b97b-4529-a853-7f14c39bcef3	cd22e679-8242-4288-8a7c-bfb0925c3b2b	CHILLED_WATER_PUMPS
ced989f2-b97b-4529-a853-7f14c39bcef3	f7ed8210-04ee-46a4-a402-82f9a65247fb	HEAT_REJECTION_PUMPS
ced989f2-b97b-4529-a853-7f14c39bcef3	5994a8fd-4e87-4005-a35c-dbcb4b65051e	VENTILATION
ced989f2-b97b-4529-a853-7f14c39bcef3	871bad91-7a4d-4af4-8fdf-e605e95efad4	INFILTRATION
ced989f2-b97b-4529-a853-7f14c39bcef3	b04df951-d79a-4a4f-b4be-379f9fe4682b	IT_LOAD
b171e55a-53f9-468c-9942-a1ee9033db08	d35a9aff-472b-44ce-a112-22209a7dc9c3	SWITCHGEAR
b171e55a-53f9-468c-9942-a1ee9033db08	ee4d623e-2e9d-4ff4-a77f-117223d6523b	GENERATOR
b171e55a-53f9-468c-9942-a1ee9033db08	d81ad401-0972-435c-bdc1-0e662f8f19b1	PRIMARY_AUXILIARIES
b171e55a-53f9-468c-9942-a1ee9033db08	06d90bf3-a87c-42ff-9120-385690d80a97	UPS
b171e55a-53f9-468c-9942-a1ee9033db08	7538c0f4-c101-4b24-9d82-989faae03f22	CRITICAL_AUXILIARIES
b171e55a-53f9-468c-9942-a1ee9033db08	d82eb374-2cce-4a0a-ad72-145d57607f6d	LIGHTING
b171e55a-53f9-468c-9942-a1ee9033db08	3cb49170-7b01-454f-b411-b17738abc7bd	CRITICAL_POWER_DISTRIBUTION
b171e55a-53f9-468c-9942-a1ee9033db08	ced34535-0e6e-45f4-bbb5-a0e42d3f190f	CRAH
b171e55a-53f9-468c-9942-a1ee9033db08	e5a67d0f-6a8e-4a94-9976-c1ffa15f7fc6	CRAC
b171e55a-53f9-468c-9942-a1ee9033db08	702ba1d8-0dfc-405f-9d75-cf61cc93f0c4	CRAC_WITHOUT_FAN
b171e55a-53f9-468c-9942-a1ee9033db08	6b88787e-4e1b-4def-b82d-99d0e10a3589	CRAC_FAN
b171e55a-53f9-468c-9942-a1ee9033db08	e00e8cac-70d4-4722-ab98-b812e45ed8fc	CHILLER
b171e55a-53f9-468c-9942-a1ee9033db08	11211956-be30-4a3e-bbfc-00a097563d10	AIR_COOLED_CHILLER
b171e55a-53f9-468c-9942-a1ee9033db08	a7db4cb0-ddd2-40c3-aa02-900c38abae79	COOLING_TOWER
b171e55a-53f9-468c-9942-a1ee9033db08	22e11676-097d-4df0-98b1-c57ab7301560	DRY_COOLER
b171e55a-53f9-468c-9942-a1ee9033db08	147abc96-c6d7-477c-babc-fb80d5d92ebe	REMOTE_CONDENSER
b171e55a-53f9-468c-9942-a1ee9033db08	0b406940-0f1a-4526-aed0-69a1d1de840b	CHILLED_WATER_PUMPS
b171e55a-53f9-468c-9942-a1ee9033db08	1adde874-3403-4558-826d-df5cdec58863	HEAT_REJECTION_PUMPS
b171e55a-53f9-468c-9942-a1ee9033db08	35d6c950-e38e-4275-a156-614c9deec00b	VENTILATION
b171e55a-53f9-468c-9942-a1ee9033db08	028a0fd8-0bdd-4451-b868-7546f2115edf	INFILTRATION
b171e55a-53f9-468c-9942-a1ee9033db08	f0dc9953-001a-4ddf-a920-4de034971399	IT_LOAD
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	6474402b-1539-43d7-b96f-a98dd242069a	SWITCHGEAR
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	5d7f0d9f-b580-4076-a4f2-a585c4ac3051	GENERATOR
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	7eca016c-7bd0-4315-a613-75792a880932	PRIMARY_AUXILIARIES
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	7e867f93-8398-4713-879e-e82c04ebc96e	UPS
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	a5ba178f-8e55-45fd-ac8a-d25aa229e53f	CRITICAL_AUXILIARIES
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	aff82815-d3e3-419b-b740-80ceb1443796	LIGHTING
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	b9b7423e-9627-4b40-a595-e2750f844855	CRITICAL_POWER_DISTRIBUTION
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	a5a0dc4e-ad69-4dc2-b6d6-16f46565b3e4	CRAH
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	bd7b0e9d-1bb3-4f18-98dc-e23a695748fb	CRAC
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	a1c6afc8-caf4-4863-b4c9-ad629f3ab458	CRAC_WITHOUT_FAN
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	9aeb40cb-61ac-4213-9933-95a32c10fe26	CRAC_FAN
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	d3e61bf5-df8c-4931-af2e-23152ed74a03	CHILLER
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	6c317fb8-587d-42e3-98ad-364697eb59a0	AIR_COOLED_CHILLER
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	ddb2db30-7371-4213-9d52-ac463e0231f5	COOLING_TOWER
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	3bfe1fce-3e5e-4473-ba97-7abbc505151a	DRY_COOLER
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	c7914c5f-dcff-4ec5-890c-a8989c3e409f	REMOTE_CONDENSER
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	233ce085-d802-48ca-bf2e-6bcc8a0f053c	CHILLED_WATER_PUMPS
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	9e5f5701-8af0-487a-be03-d5ac5d046e00	HEAT_REJECTION_PUMPS
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	6bcf73c8-437b-4ea3-8ac0-2967c496ce8a	VENTILATION
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	58ab6671-6110-499c-b613-626296c195a8	INFILTRATION
2868b62a-6513-4ed9-8aab-15a3df5eb9c7	74e2042d-546a-4956-b240-64eaaad9cb23	IT_LOAD
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	0da63c85-a5cc-4a81-b0da-da2e6a5ebd21	SWITCHGEAR
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	37beb02e-696d-4fa6-839a-423132ad275f	GENERATOR
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	531f9d4a-f7c2-49e4-b285-0777868cc189	PRIMARY_AUXILIARIES
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	09763330-f3b4-48a4-8f8a-38cbabbd3cc3	UPS
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	f2940988-9ff3-45b2-9a96-3759a2f2d299	CRITICAL_AUXILIARIES
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	a3fe88f1-8466-4f54-aa65-50ff12cb40b7	LIGHTING
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	ea6072aa-8096-43bc-a162-e9665872155b	CRITICAL_POWER_DISTRIBUTION
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	0d3c3194-3d7c-4cbf-87f8-2f3bc35fa5e0	CRAH
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	92ccba3b-a4e3-459c-be3e-2be4b1c3122a	CRAC
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	42ac0cd9-c583-4301-b83d-a5d8c75b87d8	CRAC_WITHOUT_FAN
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	d72008ef-6040-4363-ba17-262c19139926	CRAC_FAN
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	72418593-3ad8-4b72-ae63-9ea1fa7c9185	CHILLER
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	77e24713-fc98-4448-9267-81bca4aacaf3	AIR_COOLED_CHILLER
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	53e3c476-bff8-460f-a99f-ab29d071453f	COOLING_TOWER
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	e8599365-00ea-466e-a845-109169f8d6eb	DRY_COOLER
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	d946362d-8ff4-462c-ba00-468027a8edf6	REMOTE_CONDENSER
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	e4bb363e-10da-4fc2-ad9e-c672bf3f5ccf	CHILLED_WATER_PUMPS
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	05a23bab-cae4-4945-a44b-3c02cd729594	HEAT_REJECTION_PUMPS
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	b88bf0b9-512d-4318-9165-8c26ce88fafe	VENTILATION
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	1d50e6cb-5a89-4c93-bcb0-e81e6b84b17c	INFILTRATION
b3dfc52c-e99e-4280-b25e-ba09ba5b8bcf	a9f0b9dd-196a-42fc-869a-edf720986030	IT_LOAD
6d70a16d-511f-4f5b-9362-0e23995b1e7b	7389b007-4587-4338-9f0a-96ca744ec7d0	SWITCHGEAR
6d70a16d-511f-4f5b-9362-0e23995b1e7b	9c79cd46-e44f-4f0f-aa1e-a0cdf7874d17	GENERATOR
6d70a16d-511f-4f5b-9362-0e23995b1e7b	e38b527d-eadb-4e09-ba79-39e7d3519d8a	PRIMARY_AUXILIARIES
6d70a16d-511f-4f5b-9362-0e23995b1e7b	8d44964f-2f97-43db-a610-dec94c215dfe	UPS
6d70a16d-511f-4f5b-9362-0e23995b1e7b	e685f431-d702-4e60-a0a1-c3fe316935ae	CRITICAL_AUXILIARIES
6d70a16d-511f-4f5b-9362-0e23995b1e7b	cc6c16a6-a435-4b7d-898c-c6cea7384546	LIGHTING
6d70a16d-511f-4f5b-9362-0e23995b1e7b	adbf89d2-6434-4073-9495-f07abb007221	CRITICAL_POWER_DISTRIBUTION
6d70a16d-511f-4f5b-9362-0e23995b1e7b	e040142a-d3c8-46f1-960b-80684c495711	CRAH
6d70a16d-511f-4f5b-9362-0e23995b1e7b	2869f06c-3484-41d9-a2ec-3b853ef65ef7	CRAC
6d70a16d-511f-4f5b-9362-0e23995b1e7b	15a9900b-a12c-4b13-8485-f206c6c7a5f5	CRAC_WITHOUT_FAN
6d70a16d-511f-4f5b-9362-0e23995b1e7b	66573599-a654-4740-bcfe-4422a5800c94	CRAC_FAN
6d70a16d-511f-4f5b-9362-0e23995b1e7b	55ea3730-f89b-4f54-9d88-751acb37b688	CHILLER
6d70a16d-511f-4f5b-9362-0e23995b1e7b	35ff7f1c-15f0-4a76-b0ff-b4a6f512fad7	AIR_COOLED_CHILLER
6d70a16d-511f-4f5b-9362-0e23995b1e7b	15a50de6-4dad-4d2e-93d1-b48a96b3b0f9	COOLING_TOWER
6d70a16d-511f-4f5b-9362-0e23995b1e7b	45970dd5-bccb-4673-b845-ac4f62f4db29	DRY_COOLER
6d70a16d-511f-4f5b-9362-0e23995b1e7b	9af117da-67f9-4e0d-9c52-a60dca349dea	REMOTE_CONDENSER
6d70a16d-511f-4f5b-9362-0e23995b1e7b	9c7199e7-181f-46c7-bed9-c4db69c1cb11	CHILLED_WATER_PUMPS
6d70a16d-511f-4f5b-9362-0e23995b1e7b	396020a1-42a7-47a0-8b17-e6fe25e678a4	HEAT_REJECTION_PUMPS
6d70a16d-511f-4f5b-9362-0e23995b1e7b	3c6ad565-eaba-4efd-b310-12582ed1f27a	VENTILATION
6d70a16d-511f-4f5b-9362-0e23995b1e7b	8cb30ba9-c552-4e30-a06d-58b3e23ae8f3	INFILTRATION
6d70a16d-511f-4f5b-9362-0e23995b1e7b	1991114b-032d-4410-a366-cd7e3691d495	IT_LOAD
def6f2e3-5082-41a9-9b23-e97decf0e1dc	f942dd59-4d82-4ab8-ae25-b5a33e55203d	SWITCHGEAR
def6f2e3-5082-41a9-9b23-e97decf0e1dc	31f73aa2-442e-4211-8b92-439f630259ac	GENERATOR
def6f2e3-5082-41a9-9b23-e97decf0e1dc	1f53c302-d470-485c-ab94-90aa1e0da341	PRIMARY_AUXILIARIES
def6f2e3-5082-41a9-9b23-e97decf0e1dc	72d9598a-df6c-4854-83cf-c04008ca3707	UPS
def6f2e3-5082-41a9-9b23-e97decf0e1dc	b1329efb-8f58-4c2f-b805-77a2ff6b2ca8	CRITICAL_AUXILIARIES
def6f2e3-5082-41a9-9b23-e97decf0e1dc	59269a87-3ba3-4c1d-a364-7ee886c1cf1d	LIGHTING
def6f2e3-5082-41a9-9b23-e97decf0e1dc	a358c062-adae-4430-9b0e-0a1e1758c863	CRITICAL_POWER_DISTRIBUTION
def6f2e3-5082-41a9-9b23-e97decf0e1dc	415dc6ab-5799-4a78-b3d4-dbd31e710726	CRAH
def6f2e3-5082-41a9-9b23-e97decf0e1dc	66f82e70-3bbb-4319-b4b0-4bd9c55dce0c	CRAC
def6f2e3-5082-41a9-9b23-e97decf0e1dc	40624e34-f45c-4426-85f6-3cd9b47e00d4	CRAC_WITHOUT_FAN
def6f2e3-5082-41a9-9b23-e97decf0e1dc	adb36222-5842-4766-9458-1eb075579c0f	CRAC_FAN
def6f2e3-5082-41a9-9b23-e97decf0e1dc	fe06fa70-6e16-4586-9b3e-a52a45fe7f94	CHILLER
def6f2e3-5082-41a9-9b23-e97decf0e1dc	b35c4a0c-a78b-4d4c-9ccd-fdf623e10659	AIR_COOLED_CHILLER
def6f2e3-5082-41a9-9b23-e97decf0e1dc	795eef1d-0c57-4333-994e-6f02be333043	COOLING_TOWER
def6f2e3-5082-41a9-9b23-e97decf0e1dc	191066e3-8771-4ffe-8344-af2b70322ab1	DRY_COOLER
def6f2e3-5082-41a9-9b23-e97decf0e1dc	209517bf-600b-4455-81cb-eeb2268639f9	REMOTE_CONDENSER
def6f2e3-5082-41a9-9b23-e97decf0e1dc	0caab335-125b-46de-8db4-e886bf24968a	CHILLED_WATER_PUMPS
def6f2e3-5082-41a9-9b23-e97decf0e1dc	fd587264-4c9f-4efa-bed1-1d015a143eee	HEAT_REJECTION_PUMPS
def6f2e3-5082-41a9-9b23-e97decf0e1dc	d84582b0-b773-4cfe-ab5b-8f13e39941ca	VENTILATION
def6f2e3-5082-41a9-9b23-e97decf0e1dc	8d103360-f68c-4ce2-a09d-a6efd9917610	INFILTRATION
def6f2e3-5082-41a9-9b23-e97decf0e1dc	3609ea01-c757-42b7-8ccb-f44bb083225c	IT_LOAD
524d22c9-5ce3-4109-b538-eec2bc2e99b3	9ef25338-59c3-44b1-9b98-23858aeed7d9	SWITCHGEAR
524d22c9-5ce3-4109-b538-eec2bc2e99b3	bd4a2f3a-55a0-49bc-bdd7-196afab4d83f	GENERATOR
524d22c9-5ce3-4109-b538-eec2bc2e99b3	d0117381-1030-40f0-80bf-699ec95a8e1e	PRIMARY_AUXILIARIES
524d22c9-5ce3-4109-b538-eec2bc2e99b3	28acb1ec-1e0b-4fb9-be9e-b2f26ed5a4ae	UPS
524d22c9-5ce3-4109-b538-eec2bc2e99b3	d26d14e4-a694-4a78-866a-1d28eb395fb3	CRITICAL_AUXILIARIES
524d22c9-5ce3-4109-b538-eec2bc2e99b3	f87b4ae9-6d12-4d8c-82e5-f0666a320261	LIGHTING
524d22c9-5ce3-4109-b538-eec2bc2e99b3	074aebbe-b03a-479e-8d78-9cde514f4031	CRITICAL_POWER_DISTRIBUTION
524d22c9-5ce3-4109-b538-eec2bc2e99b3	ab8d4aee-266a-43ff-9857-2e6880e9d819	CRAH
524d22c9-5ce3-4109-b538-eec2bc2e99b3	9d2f3b66-f348-4d58-8fb1-0d2edbefbd17	CRAC
524d22c9-5ce3-4109-b538-eec2bc2e99b3	6dfdc2b0-5d94-45c8-ae77-61b4f8b477fa	CRAC_WITHOUT_FAN
524d22c9-5ce3-4109-b538-eec2bc2e99b3	42a093aa-077c-45e5-a526-8d5163c67204	CRAC_FAN
524d22c9-5ce3-4109-b538-eec2bc2e99b3	4d684039-06be-4717-bae2-f1c15931b9fb	CHILLER
524d22c9-5ce3-4109-b538-eec2bc2e99b3	44d7afe5-2a54-4515-898b-cf656f26bbb7	AIR_COOLED_CHILLER
524d22c9-5ce3-4109-b538-eec2bc2e99b3	99cc976c-fb6e-4762-9503-39fe8b8fc1ea	COOLING_TOWER
524d22c9-5ce3-4109-b538-eec2bc2e99b3	9e1c30d1-9d02-4de4-80ed-3c7026ab5375	DRY_COOLER
524d22c9-5ce3-4109-b538-eec2bc2e99b3	1041fa00-c308-4cb1-9790-9d9be42ca08e	REMOTE_CONDENSER
524d22c9-5ce3-4109-b538-eec2bc2e99b3	5284655b-7fab-4a44-b6fe-4ac9e04fa456	CHILLED_WATER_PUMPS
524d22c9-5ce3-4109-b538-eec2bc2e99b3	434e95ca-64df-43f6-bfb5-5da2a48ea9e2	HEAT_REJECTION_PUMPS
524d22c9-5ce3-4109-b538-eec2bc2e99b3	eed875ea-c11f-404d-a36f-d287b5e4a60a	VENTILATION
524d22c9-5ce3-4109-b538-eec2bc2e99b3	62dd4649-f70c-4c49-a3c3-47820e1f42b6	INFILTRATION
524d22c9-5ce3-4109-b538-eec2bc2e99b3	da861768-5549-41c7-b4a0-83b60d91326d	IT_LOAD
09476aa8-4ba1-4438-b975-3345a68e186d	91c70139-42ce-4ec7-b04a-76f14dce551a	SWITCHGEAR
09476aa8-4ba1-4438-b975-3345a68e186d	3925a67a-ade6-487d-bf07-004a07833b89	GENERATOR
09476aa8-4ba1-4438-b975-3345a68e186d	ac4be8dc-2368-443c-aca6-20811df043c8	PRIMARY_AUXILIARIES
09476aa8-4ba1-4438-b975-3345a68e186d	2e77f5aa-4c49-4c4a-b226-6d10b528074c	UPS
09476aa8-4ba1-4438-b975-3345a68e186d	a136a5ae-2502-4667-aaaa-151b58e186e0	CRITICAL_AUXILIARIES
09476aa8-4ba1-4438-b975-3345a68e186d	4cd65a90-3c14-4926-a427-0d4d8f03c79f	LIGHTING
09476aa8-4ba1-4438-b975-3345a68e186d	e38d9917-f389-43c7-b7aa-a186ea21f012	CRITICAL_POWER_DISTRIBUTION
09476aa8-4ba1-4438-b975-3345a68e186d	3453faf4-dfd0-418c-bce1-94c57be1317c	CRAH
09476aa8-4ba1-4438-b975-3345a68e186d	f555375b-4f19-475d-b142-d5b594918265	CRAC
09476aa8-4ba1-4438-b975-3345a68e186d	231a72c3-1472-499a-bbea-b918743d236d	CRAC_WITHOUT_FAN
09476aa8-4ba1-4438-b975-3345a68e186d	ecba14ba-ca81-45b2-876a-5a178a42baa2	CRAC_FAN
09476aa8-4ba1-4438-b975-3345a68e186d	2e71c6c5-d271-4c1d-83c6-9bdf78318e8e	CHILLER
09476aa8-4ba1-4438-b975-3345a68e186d	8137d312-1e1d-4a41-b9df-647749397c78	AIR_COOLED_CHILLER
09476aa8-4ba1-4438-b975-3345a68e186d	f38a3702-8ab1-4d69-914b-8cea2ac42e3d	COOLING_TOWER
09476aa8-4ba1-4438-b975-3345a68e186d	523b4b26-4a43-4e41-b362-c7629bcdd00d	DRY_COOLER
09476aa8-4ba1-4438-b975-3345a68e186d	1aa88908-026a-43cb-bf4f-260a2737d21b	REMOTE_CONDENSER
09476aa8-4ba1-4438-b975-3345a68e186d	d73ad0ee-efdf-4567-91c6-f6c3bc3add95	CHILLED_WATER_PUMPS
09476aa8-4ba1-4438-b975-3345a68e186d	d5a82a29-6a07-4587-999e-8ba23a7cb779	HEAT_REJECTION_PUMPS
09476aa8-4ba1-4438-b975-3345a68e186d	168a8437-a1ed-48b6-a75e-6543642cf509	VENTILATION
09476aa8-4ba1-4438-b975-3345a68e186d	e1966235-aad5-4f68-8533-1216c9469f7e	INFILTRATION
09476aa8-4ba1-4438-b975-3345a68e186d	3761bb85-46df-430b-bd95-5113aa6ef3c9	IT_LOAD
a803f7a6-34e7-4c92-852a-3953508d5222	45762c6f-ad36-43fb-8d7e-ab212f44e8e2	SWITCHGEAR
a803f7a6-34e7-4c92-852a-3953508d5222	31311ef7-6032-4eb5-8e6d-bc356e524137	GENERATOR
a803f7a6-34e7-4c92-852a-3953508d5222	366a416c-6222-44f7-b6b7-78f3b1162ada	PRIMARY_AUXILIARIES
a803f7a6-34e7-4c92-852a-3953508d5222	f6a78308-9117-466c-8fda-b477cb4a84e7	UPS
a803f7a6-34e7-4c92-852a-3953508d5222	d8a29e6d-42ec-4855-9e31-c1a7403ed767	CRITICAL_AUXILIARIES
a803f7a6-34e7-4c92-852a-3953508d5222	e9c5a963-3459-4ea2-84e9-ad734835405c	LIGHTING
a803f7a6-34e7-4c92-852a-3953508d5222	97419d74-3839-4e1b-b4a0-3dbbc7064d4b	CRITICAL_POWER_DISTRIBUTION
a803f7a6-34e7-4c92-852a-3953508d5222	3d98a031-9c7f-4d3c-a127-05caa296e28d	CRAH
a803f7a6-34e7-4c92-852a-3953508d5222	a1dd6ddc-a3c3-46c3-8b22-d6e2b057ffdd	CRAC
a803f7a6-34e7-4c92-852a-3953508d5222	1579e1ef-ebe9-404c-af4a-86f3d87c713e	CRAC_WITHOUT_FAN
a803f7a6-34e7-4c92-852a-3953508d5222	1979e5df-4653-497b-ace1-7d828beabe76	CRAC_FAN
a803f7a6-34e7-4c92-852a-3953508d5222	2a9eb041-d282-4351-8c29-d315aba09dab	CHILLER
a803f7a6-34e7-4c92-852a-3953508d5222	4e762acf-38d2-494b-b002-f1e7f9c0ac10	AIR_COOLED_CHILLER
a803f7a6-34e7-4c92-852a-3953508d5222	a9b28832-f20f-41f8-9fad-701d81c2b408	COOLING_TOWER
a803f7a6-34e7-4c92-852a-3953508d5222	2bd1e40e-a030-47d3-b61a-8eefcdaf3b13	DRY_COOLER
a803f7a6-34e7-4c92-852a-3953508d5222	6bd47b44-ed0c-4e0f-8d47-9b93a3958635	REMOTE_CONDENSER
a803f7a6-34e7-4c92-852a-3953508d5222	6312c049-f679-4e42-9cf5-511e4ca985a7	CHILLED_WATER_PUMPS
a803f7a6-34e7-4c92-852a-3953508d5222	c6087637-117b-410c-ad60-c6abfbc474ba	HEAT_REJECTION_PUMPS
a803f7a6-34e7-4c92-852a-3953508d5222	f719617d-fde5-4251-a6cd-ac233eb2b180	VENTILATION
a803f7a6-34e7-4c92-852a-3953508d5222	b8d07a71-a02f-4acc-a9ec-d67976455498	INFILTRATION
a803f7a6-34e7-4c92-852a-3953508d5222	33ff9c8f-0c64-4aa6-bef4-1a54765213bd	IT_LOAD
baa8457d-9535-43a5-a665-b1fa32ba2421	3155d55b-19b0-47de-b5ce-271cc8e74885	SWITCHGEAR
baa8457d-9535-43a5-a665-b1fa32ba2421	5bb9ebc4-dfae-4b93-999b-da6976864436	GENERATOR
baa8457d-9535-43a5-a665-b1fa32ba2421	e618041b-258a-47e6-befa-f2c4babeab26	PRIMARY_AUXILIARIES
baa8457d-9535-43a5-a665-b1fa32ba2421	c2e40030-997f-42b5-8065-7f677589c79d	UPS
baa8457d-9535-43a5-a665-b1fa32ba2421	37a4292d-8e02-41a0-9ccf-e08bc751eb25	CRITICAL_AUXILIARIES
baa8457d-9535-43a5-a665-b1fa32ba2421	148528e4-f948-4f9d-ab8b-7115f361f6eb	LIGHTING
baa8457d-9535-43a5-a665-b1fa32ba2421	09918ecb-288a-41f3-8b77-fb72ae3e3d64	CRITICAL_POWER_DISTRIBUTION
baa8457d-9535-43a5-a665-b1fa32ba2421	c721caf8-d315-489c-a308-8d855198fba0	CRAH
baa8457d-9535-43a5-a665-b1fa32ba2421	dad05413-b8b9-42fd-aa4c-ced514a3d925	CRAC
baa8457d-9535-43a5-a665-b1fa32ba2421	e695f676-d7ad-40fa-ba72-fcf0ef7eec52	CRAC_WITHOUT_FAN
baa8457d-9535-43a5-a665-b1fa32ba2421	2694a334-765a-4bf2-8e1a-40691a01fe78	CRAC_FAN
baa8457d-9535-43a5-a665-b1fa32ba2421	4217f231-79b1-4b54-8006-e6e506d3cd9c	CHILLER
baa8457d-9535-43a5-a665-b1fa32ba2421	a025e4bc-dc93-4be2-a6c8-a1da8fe228ed	AIR_COOLED_CHILLER
baa8457d-9535-43a5-a665-b1fa32ba2421	6c721b18-020e-4a91-b9e2-5bf1e6704a68	COOLING_TOWER
baa8457d-9535-43a5-a665-b1fa32ba2421	437efcc6-4aa2-457b-b68d-96278a57746a	DRY_COOLER
baa8457d-9535-43a5-a665-b1fa32ba2421	5b17bb02-8300-4fdb-9d6e-b379d3805a4b	REMOTE_CONDENSER
baa8457d-9535-43a5-a665-b1fa32ba2421	32b432e1-6383-4240-88e2-7f271d25cd6c	CHILLED_WATER_PUMPS
baa8457d-9535-43a5-a665-b1fa32ba2421	dff18d54-8c85-4c2d-8d55-2350ea8d12c9	HEAT_REJECTION_PUMPS
baa8457d-9535-43a5-a665-b1fa32ba2421	1be56134-b84b-4246-ad83-9fbc09436301	VENTILATION
baa8457d-9535-43a5-a665-b1fa32ba2421	5f9e4db4-4e48-4170-af03-afc72c16cd75	INFILTRATION
baa8457d-9535-43a5-a665-b1fa32ba2421	89780e5d-85d4-4b07-887b-9c262dfcbcd2	IT_LOAD
546a4246-81f1-420a-bba0-041af4f46a8c	92c348e7-f473-44f7-bdda-d5149fa304a5	SWITCHGEAR
546a4246-81f1-420a-bba0-041af4f46a8c	89c146d6-b197-4a14-b32f-7e0e4f6c212c	GENERATOR
546a4246-81f1-420a-bba0-041af4f46a8c	03adb9ca-362c-441e-8a1e-81e07fc03953	PRIMARY_AUXILIARIES
546a4246-81f1-420a-bba0-041af4f46a8c	2700c54d-2771-45be-8fed-74dd0dcc36d7	UPS
546a4246-81f1-420a-bba0-041af4f46a8c	a01557b9-feb4-44b9-a80e-2d868c6bce8c	CRITICAL_AUXILIARIES
546a4246-81f1-420a-bba0-041af4f46a8c	bf3ec275-3beb-4aa0-b235-b56d2ba3c057	LIGHTING
546a4246-81f1-420a-bba0-041af4f46a8c	0536114d-3b1d-4d68-9468-464d2ec1cc1e	CRITICAL_POWER_DISTRIBUTION
546a4246-81f1-420a-bba0-041af4f46a8c	71f9e431-805e-4daa-a2e7-223ab22af7ca	CRAH
546a4246-81f1-420a-bba0-041af4f46a8c	e217b42c-6c7f-4549-b5c0-b312f718c699	CRAC
546a4246-81f1-420a-bba0-041af4f46a8c	daa3b547-d926-4235-ba52-7b7438c2f44a	CRAC_WITHOUT_FAN
546a4246-81f1-420a-bba0-041af4f46a8c	0a6217c4-1b4d-43d6-9e75-55015f5b56bf	CRAC_FAN
546a4246-81f1-420a-bba0-041af4f46a8c	67fe6913-9074-4d03-a5d6-e5ca367deba8	CHILLER
546a4246-81f1-420a-bba0-041af4f46a8c	ab41f3a1-a587-4339-b269-ebf79c9b190a	AIR_COOLED_CHILLER
546a4246-81f1-420a-bba0-041af4f46a8c	3d8acec1-fad2-4ecf-a4cc-b166f8eabb65	COOLING_TOWER
546a4246-81f1-420a-bba0-041af4f46a8c	d8aea62a-8ff2-49d5-baf8-dba8df1e22b2	DRY_COOLER
546a4246-81f1-420a-bba0-041af4f46a8c	119c49f1-c0dd-4e02-ba17-e21c0265dc26	REMOTE_CONDENSER
546a4246-81f1-420a-bba0-041af4f46a8c	1423b551-4f13-460a-a6fb-075b3296938a	CHILLED_WATER_PUMPS
546a4246-81f1-420a-bba0-041af4f46a8c	677ba0d6-36f8-496f-9a63-a73814a83d5a	HEAT_REJECTION_PUMPS
546a4246-81f1-420a-bba0-041af4f46a8c	191b54ca-1aa4-4d03-ad37-9071db6061c2	VENTILATION
546a4246-81f1-420a-bba0-041af4f46a8c	9e1826f7-2ea3-48bf-b3e3-37d3e2ae11b5	INFILTRATION
546a4246-81f1-420a-bba0-041af4f46a8c	13713ae6-36e5-476a-9a67-378a09c83817	IT_LOAD
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	c5c48c60-8975-478c-adc4-17e2eb21940d	SWITCHGEAR
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	dc824e6a-94fc-43fe-99a2-787025ca9fb1	GENERATOR
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	153fdaf5-2499-49af-8e91-8a0873d3bdb5	PRIMARY_AUXILIARIES
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	ef22b250-f1bd-4770-95e8-ed926b6741df	UPS
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	3d727c87-6b59-49ca-8d3a-d408d69a6e16	CRITICAL_AUXILIARIES
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	da6f9e73-82e9-4af5-ba4f-33281df27313	LIGHTING
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	3b9b75a3-eb99-45d9-8ae9-d5f070e57ba5	CRITICAL_POWER_DISTRIBUTION
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	758504e8-9d70-4bc0-8b5b-8a61bc8b58d4	CRAH
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	b558ce4e-7688-4bff-acb4-5211ef1bf2ca	CRAC
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	b3d19e2f-a153-49ed-b7ff-8d96f91b9edb	CRAC_WITHOUT_FAN
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	068c1e77-a89e-4868-8bbb-e8559782c29d	CRAC_FAN
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	d9443bbb-3011-427b-a8c6-f3d58dc40236	CHILLER
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	bb0333f4-9156-41d9-8249-24598c8349be	AIR_COOLED_CHILLER
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	927a4110-df16-4967-849c-8b867c34cbeb	COOLING_TOWER
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	3c47a4c4-c6ca-4f36-9206-1f1736bdc15a	DRY_COOLER
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	31ca5d97-afd0-432e-8c9e-b1dcad7c8d70	REMOTE_CONDENSER
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	ec60130e-1140-430e-827c-dfa1e295a3c7	CHILLED_WATER_PUMPS
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	9baea5ae-666b-4188-9660-58adefa64cb8	HEAT_REJECTION_PUMPS
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	f1ebdf07-477d-4b43-b7d3-4279daf4024f	VENTILATION
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	4cb5f243-d29e-420d-ac65-cc8e18daf457	INFILTRATION
b2f26590-b4d3-4ffc-97bf-25ea1bf15f4f	1343b7b9-87b0-476c-be02-544cf8d68fdc	IT_LOAD
aca3c16d-294c-42aa-b42c-03f0d35880eb	417dbf3c-dc9e-4ab8-a4c5-35cdafc1d483	SWITCHGEAR
aca3c16d-294c-42aa-b42c-03f0d35880eb	7edc81c1-18c7-48ef-95a1-c667aa090ec9	GENERATOR
aca3c16d-294c-42aa-b42c-03f0d35880eb	356778f1-5b30-43ce-a77d-f3a2f730369e	PRIMARY_AUXILIARIES
aca3c16d-294c-42aa-b42c-03f0d35880eb	2e001e16-03e7-465e-8d1d-7e019f4eba9d	UPS
aca3c16d-294c-42aa-b42c-03f0d35880eb	27286295-1d0f-4f40-a0d4-167f1ae68be6	CRITICAL_AUXILIARIES
aca3c16d-294c-42aa-b42c-03f0d35880eb	9ac5755b-765a-4969-bf35-e22c17ba21e6	LIGHTING
aca3c16d-294c-42aa-b42c-03f0d35880eb	67602e16-63b7-4089-8b4a-1dbe1778d487	CRITICAL_POWER_DISTRIBUTION
aca3c16d-294c-42aa-b42c-03f0d35880eb	0111f21b-b41d-4d64-b345-71c87585729c	CRAH
aca3c16d-294c-42aa-b42c-03f0d35880eb	932195a2-2094-4683-bef7-6f1d095407b7	CRAC
aca3c16d-294c-42aa-b42c-03f0d35880eb	7043b743-699b-4842-9629-28088008f313	CRAC_WITHOUT_FAN
aca3c16d-294c-42aa-b42c-03f0d35880eb	373c3fec-2803-486a-ac1a-079df01114bd	CRAC_FAN
aca3c16d-294c-42aa-b42c-03f0d35880eb	663f7dd2-5efd-4e65-93a1-f0f212a29bd9	CHILLER
aca3c16d-294c-42aa-b42c-03f0d35880eb	780459d7-45bb-4773-af32-31d94349ef0a	AIR_COOLED_CHILLER
aca3c16d-294c-42aa-b42c-03f0d35880eb	4913faef-65a6-4ca9-bc0e-4bf3003b8b97	COOLING_TOWER
aca3c16d-294c-42aa-b42c-03f0d35880eb	cda29a49-f5fe-4df6-8416-a8a07a8066aa	DRY_COOLER
aca3c16d-294c-42aa-b42c-03f0d35880eb	7059a7ce-d62e-495e-9378-b73b54b3cad3	REMOTE_CONDENSER
aca3c16d-294c-42aa-b42c-03f0d35880eb	4c7ac65e-d854-49de-88a3-6b6874c5d5b0	CHILLED_WATER_PUMPS
aca3c16d-294c-42aa-b42c-03f0d35880eb	1a069732-5ee9-4c16-9ffe-4bf0fcd2664c	HEAT_REJECTION_PUMPS
aca3c16d-294c-42aa-b42c-03f0d35880eb	00f38df4-3fc9-4a06-a581-888c543c42c1	VENTILATION
aca3c16d-294c-42aa-b42c-03f0d35880eb	9d0f717d-b823-4b18-932d-3b9f2d128575	INFILTRATION
aca3c16d-294c-42aa-b42c-03f0d35880eb	b35576c0-0972-4ca5-ad5e-c128c59bada6	IT_LOAD
72ad0414-afaf-4a5d-97fe-80c340169aed	001ef023-84fc-4bf8-8b5b-953cdae99bb5	SWITCHGEAR
72ad0414-afaf-4a5d-97fe-80c340169aed	f7b451a8-b20e-4229-b7d7-a738fda21db1	GENERATOR
72ad0414-afaf-4a5d-97fe-80c340169aed	7b371dc8-8e06-4254-b128-82ddef5c3a42	PRIMARY_AUXILIARIES
72ad0414-afaf-4a5d-97fe-80c340169aed	3f1587c6-c574-4af6-a28e-b76f8c50df7a	UPS
72ad0414-afaf-4a5d-97fe-80c340169aed	b244c493-456c-42d7-bec1-31cf73326e5e	CRITICAL_AUXILIARIES
72ad0414-afaf-4a5d-97fe-80c340169aed	6d32e8e5-e8e6-4ed3-bceb-5326ef12ed2d	LIGHTING
72ad0414-afaf-4a5d-97fe-80c340169aed	097fb5bb-f4eb-4d80-b99c-b8df6c03c723	CRITICAL_POWER_DISTRIBUTION
72ad0414-afaf-4a5d-97fe-80c340169aed	9786f47e-3403-453c-ae9b-4a537546298d	CRAH
72ad0414-afaf-4a5d-97fe-80c340169aed	f13bd1d5-83bc-49f5-89d6-aece17e69573	CRAC
72ad0414-afaf-4a5d-97fe-80c340169aed	713aa81c-890f-45d2-ab00-e02603c04e4b	CRAC_WITHOUT_FAN
72ad0414-afaf-4a5d-97fe-80c340169aed	3ea397b5-4188-438f-82a3-3d0cc4785bcd	CRAC_FAN
72ad0414-afaf-4a5d-97fe-80c340169aed	2bde07c2-59c4-4bbd-8da5-a44f712bf99d	CHILLER
72ad0414-afaf-4a5d-97fe-80c340169aed	4941511d-41d8-4d6b-b231-982713e328dc	AIR_COOLED_CHILLER
72ad0414-afaf-4a5d-97fe-80c340169aed	f8cf5c12-7486-4c35-b718-ca8a2f410335	COOLING_TOWER
72ad0414-afaf-4a5d-97fe-80c340169aed	d87371b1-9b3c-43da-be55-8fd181715cc2	DRY_COOLER
72ad0414-afaf-4a5d-97fe-80c340169aed	dfb290c8-1f75-458d-87c1-844b8e1d3cd7	REMOTE_CONDENSER
72ad0414-afaf-4a5d-97fe-80c340169aed	6b89a612-edf2-44d6-ad37-f8791705db38	CHILLED_WATER_PUMPS
72ad0414-afaf-4a5d-97fe-80c340169aed	67c15d03-f150-4bf9-820b-a4804eb3636a	HEAT_REJECTION_PUMPS
72ad0414-afaf-4a5d-97fe-80c340169aed	92ca851a-cb48-4c34-ac08-ba43281f6b65	VENTILATION
72ad0414-afaf-4a5d-97fe-80c340169aed	fe0fddc8-bca5-423a-a530-5e0fada4e99c	INFILTRATION
72ad0414-afaf-4a5d-97fe-80c340169aed	07244fa0-0160-4c95-9eca-8fa7b7bf6268	IT_LOAD
5ede2b84-e4ba-417b-9010-547b28792da1	21a572b2-c014-4be4-bcec-71c3af999188	SWITCHGEAR
5ede2b84-e4ba-417b-9010-547b28792da1	a573fb95-ca7d-4cb0-9976-d8d51ce271e9	GENERATOR
5ede2b84-e4ba-417b-9010-547b28792da1	240a3320-3df1-4035-bd90-a0694e7c050c	PRIMARY_AUXILIARIES
5ede2b84-e4ba-417b-9010-547b28792da1	10964788-5aec-4faf-9c19-8e9be4ddc4f4	UPS
5ede2b84-e4ba-417b-9010-547b28792da1	1a33a345-6f02-4f83-b0a2-946b00fb5a1c	CRITICAL_AUXILIARIES
5ede2b84-e4ba-417b-9010-547b28792da1	a9a26620-25be-40bb-83ae-6dd4a69a5ef6	LIGHTING
5ede2b84-e4ba-417b-9010-547b28792da1	076696fe-4743-49f9-a029-a96d864c6218	CRITICAL_POWER_DISTRIBUTION
5ede2b84-e4ba-417b-9010-547b28792da1	96bed59a-2a63-4f9f-9d9f-b87e662e559c	CRAH
5ede2b84-e4ba-417b-9010-547b28792da1	611027cd-aaa2-475d-afa8-6c4dc3387a2a	CRAC
5ede2b84-e4ba-417b-9010-547b28792da1	da539faa-5a4e-4181-b8b3-1bc5dc7a4d60	CRAC_WITHOUT_FAN
5ede2b84-e4ba-417b-9010-547b28792da1	f683a376-7e2f-47c7-9db2-703160763d9a	CRAC_FAN
5ede2b84-e4ba-417b-9010-547b28792da1	9c626ca1-b259-4997-b3fd-5a159dbdba95	CHILLER
5ede2b84-e4ba-417b-9010-547b28792da1	5dc494e1-e62e-49fd-9121-1b9f9a00e9c7	AIR_COOLED_CHILLER
5ede2b84-e4ba-417b-9010-547b28792da1	720cd98e-e256-443a-9c34-fd6acbaf8d8a	COOLING_TOWER
5ede2b84-e4ba-417b-9010-547b28792da1	10ab654e-0602-4a3d-afcc-02dc4d8f767e	DRY_COOLER
5ede2b84-e4ba-417b-9010-547b28792da1	a59716f1-f55d-4cae-b0d3-79589c5f5222	REMOTE_CONDENSER
5ede2b84-e4ba-417b-9010-547b28792da1	3007e433-75b1-44b4-ba76-ecfc2ddec070	CHILLED_WATER_PUMPS
5ede2b84-e4ba-417b-9010-547b28792da1	0ef8c4e9-e461-4c2f-9a83-81814d4de4c7	HEAT_REJECTION_PUMPS
5ede2b84-e4ba-417b-9010-547b28792da1	98d830d2-22f4-4519-b4a7-bca65f83e794	VENTILATION
5ede2b84-e4ba-417b-9010-547b28792da1	92266a2c-c94c-4d90-97b6-667d834459e9	INFILTRATION
5ede2b84-e4ba-417b-9010-547b28792da1	eb6c4110-1fee-4b26-93f9-935c1717231c	IT_LOAD
dd6cd3ca-5df7-4523-9699-70c657e61e94	8c7e1928-624f-4625-8125-1b2f6a7b7272	SWITCHGEAR
dd6cd3ca-5df7-4523-9699-70c657e61e94	b8256dff-2656-4b91-ad3a-5c018ab5b333	GENERATOR
dd6cd3ca-5df7-4523-9699-70c657e61e94	2b134967-e3ab-4492-b336-e827c5f6758b	PRIMARY_AUXILIARIES
dd6cd3ca-5df7-4523-9699-70c657e61e94	3dd1b016-67c1-453a-a420-15f24c828947	UPS
dd6cd3ca-5df7-4523-9699-70c657e61e94	8a0fab00-7ec2-4612-9b80-a1c5d59e54a1	CRITICAL_AUXILIARIES
dd6cd3ca-5df7-4523-9699-70c657e61e94	b6b25461-82ed-409a-9ca9-b5714803bee8	LIGHTING
dd6cd3ca-5df7-4523-9699-70c657e61e94	74d88814-429e-48e4-a45e-89987184b5ca	CRITICAL_POWER_DISTRIBUTION
dd6cd3ca-5df7-4523-9699-70c657e61e94	881ec4c5-ff47-4861-8bad-73f2cd0cb030	CRAH
dd6cd3ca-5df7-4523-9699-70c657e61e94	84348e86-a7c6-4e83-85f7-700cf1a374c6	CRAC
dd6cd3ca-5df7-4523-9699-70c657e61e94	07476d82-4f2e-49b5-a1d2-eb1f59013984	CRAC_WITHOUT_FAN
dd6cd3ca-5df7-4523-9699-70c657e61e94	ad4f2d2a-e2f9-413b-b921-97e2c4b6c066	CRAC_FAN
dd6cd3ca-5df7-4523-9699-70c657e61e94	30bc3e5b-8af5-4280-9f52-ad8ff6542b61	CHILLER
dd6cd3ca-5df7-4523-9699-70c657e61e94	8e99ee2f-1b95-4885-97f4-283468b53ed9	AIR_COOLED_CHILLER
dd6cd3ca-5df7-4523-9699-70c657e61e94	dd96dc3d-17b8-43f2-a74d-7a36d3f5ff42	COOLING_TOWER
dd6cd3ca-5df7-4523-9699-70c657e61e94	221048b8-220b-4ec7-85f7-db49e4f38abd	DRY_COOLER
dd6cd3ca-5df7-4523-9699-70c657e61e94	85fb7d4d-58b7-414b-967c-82d7b106600d	REMOTE_CONDENSER
dd6cd3ca-5df7-4523-9699-70c657e61e94	4b6893f4-1159-433c-a8d1-19270b031bd3	CHILLED_WATER_PUMPS
dd6cd3ca-5df7-4523-9699-70c657e61e94	9d72c81b-57cd-4355-b1f2-e72376c86908	HEAT_REJECTION_PUMPS
dd6cd3ca-5df7-4523-9699-70c657e61e94	e2faa45b-557d-4b53-91c6-37ae2bbc89f8	VENTILATION
dd6cd3ca-5df7-4523-9699-70c657e61e94	94bfbda0-f7ee-406e-9d8e-95d9860cf3c0	INFILTRATION
dd6cd3ca-5df7-4523-9699-70c657e61e94	8cd31263-cc18-4dc2-a84b-d1839ce08161	IT_LOAD
dfd707c0-489a-4d2d-b565-d41c9d51acf9	b259cdf9-feef-40f2-968a-3c4994093aec	SWITCHGEAR
dfd707c0-489a-4d2d-b565-d41c9d51acf9	525be03d-eadc-4ee2-a377-8490c8affd9f	GENERATOR
dfd707c0-489a-4d2d-b565-d41c9d51acf9	e00b8aa5-466e-434d-bb7d-a3139a1d6500	PRIMARY_AUXILIARIES
dfd707c0-489a-4d2d-b565-d41c9d51acf9	9d46705c-fd62-4f7f-8587-732db05ccd56	UPS
dfd707c0-489a-4d2d-b565-d41c9d51acf9	8cb91e64-b01f-449f-87dc-fd08afc2d3ea	CRITICAL_AUXILIARIES
dfd707c0-489a-4d2d-b565-d41c9d51acf9	96e88659-505b-4e70-8d42-ade8821aa18c	LIGHTING
dfd707c0-489a-4d2d-b565-d41c9d51acf9	b97bace6-2d87-49b9-9789-073e7888ccd3	CRITICAL_POWER_DISTRIBUTION
dfd707c0-489a-4d2d-b565-d41c9d51acf9	9236c25b-9a65-495f-adf6-354e7d5926c1	CRAH
dfd707c0-489a-4d2d-b565-d41c9d51acf9	ff4593ab-8967-4dd9-ab8a-d332cd97e436	CRAC
dfd707c0-489a-4d2d-b565-d41c9d51acf9	01515a64-27b0-406a-b29d-159be80523ad	CRAC_WITHOUT_FAN
dfd707c0-489a-4d2d-b565-d41c9d51acf9	6e75ec0f-2d6d-447a-a6ec-909b8f7011fb	CRAC_FAN
dfd707c0-489a-4d2d-b565-d41c9d51acf9	608c2a89-ac71-461f-bbc0-4aae35573ceb	CHILLER
dfd707c0-489a-4d2d-b565-d41c9d51acf9	ba295063-58e7-44b1-b5f1-48e075324d63	AIR_COOLED_CHILLER
dfd707c0-489a-4d2d-b565-d41c9d51acf9	3c96a11b-b76a-44c4-a57c-5a96e50fac47	COOLING_TOWER
dfd707c0-489a-4d2d-b565-d41c9d51acf9	72c57632-d037-451b-bc9d-067691cfca17	DRY_COOLER
dfd707c0-489a-4d2d-b565-d41c9d51acf9	817796c6-cee6-46ed-b2f8-5e28e09cbe0a	REMOTE_CONDENSER
dfd707c0-489a-4d2d-b565-d41c9d51acf9	39afa9d0-2dde-4460-ae19-c3a9f2b1b4a3	CHILLED_WATER_PUMPS
dfd707c0-489a-4d2d-b565-d41c9d51acf9	9eea333d-2883-4078-b8cf-fbe17f64c95d	HEAT_REJECTION_PUMPS
dfd707c0-489a-4d2d-b565-d41c9d51acf9	4d6f7cf1-ebbb-465e-82aa-5457e3a981a7	VENTILATION
dfd707c0-489a-4d2d-b565-d41c9d51acf9	b443d3bf-4152-4d82-b335-1109b525b564	INFILTRATION
dfd707c0-489a-4d2d-b565-d41c9d51acf9	b8a6c3c0-3bb8-403c-b4b1-61cdbb0aa6fb	IT_LOAD
27775160-21e4-457c-85f7-453334fb3013	342d7934-70bd-4496-b9bb-22d7b72ff101	SWITCHGEAR
27775160-21e4-457c-85f7-453334fb3013	745c1292-ddd3-4c2d-aef6-5737f1120dc0	GENERATOR
27775160-21e4-457c-85f7-453334fb3013	e0484a8a-f2bc-4e1f-880a-3ea956b78d14	PRIMARY_AUXILIARIES
27775160-21e4-457c-85f7-453334fb3013	68677ef9-80c7-4e62-b117-e1e0b49e87ee	UPS
27775160-21e4-457c-85f7-453334fb3013	19d35159-155e-49fb-ab9c-acc75af6be60	CRITICAL_AUXILIARIES
27775160-21e4-457c-85f7-453334fb3013	e4d081c1-7519-4d0d-a86c-b06cf4fad941	LIGHTING
27775160-21e4-457c-85f7-453334fb3013	63b075c7-bc86-4a02-8f85-326aed5d6b01	CRITICAL_POWER_DISTRIBUTION
27775160-21e4-457c-85f7-453334fb3013	6ee69244-ef3e-487e-a7dc-50948f882f79	CRAH
27775160-21e4-457c-85f7-453334fb3013	fef603db-dfbf-4236-a3ec-8f2fc88aeb8f	CRAC
27775160-21e4-457c-85f7-453334fb3013	2f557915-097e-4764-a8da-0b62f7d91cf4	CRAC_WITHOUT_FAN
27775160-21e4-457c-85f7-453334fb3013	296f1520-1148-47a9-a681-1fe78177a3dc	CRAC_FAN
27775160-21e4-457c-85f7-453334fb3013	4b78fb82-4cc1-480e-94bc-214a4da2f7d9	CHILLER
27775160-21e4-457c-85f7-453334fb3013	a9ec6bb9-9f0d-40af-9cc0-7ec785029c6f	AIR_COOLED_CHILLER
27775160-21e4-457c-85f7-453334fb3013	48d4acb1-6e4f-41e9-85e6-88a02f074a3d	COOLING_TOWER
27775160-21e4-457c-85f7-453334fb3013	dc0a9d2b-a10a-4430-a0f1-dd42b7a70b78	DRY_COOLER
27775160-21e4-457c-85f7-453334fb3013	bee6e360-e668-4289-a1e2-e80ffc015dda	REMOTE_CONDENSER
27775160-21e4-457c-85f7-453334fb3013	0872042e-a46b-448e-bddd-383554598ab1	CHILLED_WATER_PUMPS
27775160-21e4-457c-85f7-453334fb3013	70bffdfd-19f0-455f-98c0-bcae8815a2fb	HEAT_REJECTION_PUMPS
27775160-21e4-457c-85f7-453334fb3013	7534d46b-5dd7-48aa-b7b5-a8a61a57b144	VENTILATION
27775160-21e4-457c-85f7-453334fb3013	5177d6b5-4703-44fd-9ca8-d98937cd19c6	INFILTRATION
27775160-21e4-457c-85f7-453334fb3013	52ff957e-a6e5-4b33-a5e2-bed77ab5b48c	IT_LOAD
20da569b-5db4-42f4-aa62-f998d78008b1	7bd0aad8-b1fa-4914-a802-59de765ef476	SWITCHGEAR
20da569b-5db4-42f4-aa62-f998d78008b1	4240b413-4b12-4310-80b9-2af5bf5a9504	GENERATOR
20da569b-5db4-42f4-aa62-f998d78008b1	3e116d64-2509-421e-91a7-19f1b7efa503	PRIMARY_AUXILIARIES
20da569b-5db4-42f4-aa62-f998d78008b1	2e9fbc79-a685-4e40-9a42-70bb3386f811	UPS
20da569b-5db4-42f4-aa62-f998d78008b1	72124459-365e-4a8e-8e27-f6beeab38440	CRITICAL_AUXILIARIES
20da569b-5db4-42f4-aa62-f998d78008b1	5a32e5b3-68c5-4bdb-802f-cd900ccf4d72	LIGHTING
20da569b-5db4-42f4-aa62-f998d78008b1	b6f8e4ef-8202-4943-b2b7-7d67461df638	CRITICAL_POWER_DISTRIBUTION
20da569b-5db4-42f4-aa62-f998d78008b1	f4282e18-0e21-4efa-a94d-2e0109b4f964	CRAH
20da569b-5db4-42f4-aa62-f998d78008b1	e6562721-708a-4462-8c1d-78381c20c678	CRAC
20da569b-5db4-42f4-aa62-f998d78008b1	57e5796c-aeb6-416a-98b9-63b580acda78	CRAC_WITHOUT_FAN
20da569b-5db4-42f4-aa62-f998d78008b1	aff79437-5afc-47d5-9681-c9d6f2681abd	CRAC_FAN
20da569b-5db4-42f4-aa62-f998d78008b1	8ddf3dcf-f177-44f8-a667-67671f846b3a	CHILLER
20da569b-5db4-42f4-aa62-f998d78008b1	8d4cb4d4-a028-4142-8da2-d609a275be0c	AIR_COOLED_CHILLER
20da569b-5db4-42f4-aa62-f998d78008b1	e5041c88-1c30-4838-a640-745a3f5e8302	COOLING_TOWER
20da569b-5db4-42f4-aa62-f998d78008b1	8cebd20c-6848-4964-991d-1034a6aca05b	DRY_COOLER
20da569b-5db4-42f4-aa62-f998d78008b1	ee86df37-3cfa-4b7a-b76f-1757516be83c	REMOTE_CONDENSER
20da569b-5db4-42f4-aa62-f998d78008b1	ac4ce696-f506-4998-afec-b9bf5098bc17	CHILLED_WATER_PUMPS
20da569b-5db4-42f4-aa62-f998d78008b1	c0839785-c474-4519-aa1c-b5ae59e22a13	HEAT_REJECTION_PUMPS
20da569b-5db4-42f4-aa62-f998d78008b1	e5de7a42-95df-42a9-8ef4-29a5ca7481c8	VENTILATION
20da569b-5db4-42f4-aa62-f998d78008b1	e6185708-c4af-44d6-abb2-a667ed71d21b	INFILTRATION
20da569b-5db4-42f4-aa62-f998d78008b1	204bbfa6-e027-49f4-9996-97a554bd3590	IT_LOAD
b182cda3-1d3b-4f71-a97b-46df4f7fa496	7408eece-7df6-4fad-a13e-9ecdb40eec1c	SWITCHGEAR
b182cda3-1d3b-4f71-a97b-46df4f7fa496	a9800e65-5b6c-4a14-a6ec-8dd43a48b7cf	GENERATOR
b182cda3-1d3b-4f71-a97b-46df4f7fa496	b0fc245d-0e11-4449-8b36-ef820f4262e8	PRIMARY_AUXILIARIES
b182cda3-1d3b-4f71-a97b-46df4f7fa496	da9f2703-af14-4252-a7ef-41f1fd745932	UPS
b182cda3-1d3b-4f71-a97b-46df4f7fa496	64a0d2e5-7e76-4539-993a-741cfcbec88c	CRITICAL_AUXILIARIES
b182cda3-1d3b-4f71-a97b-46df4f7fa496	d43de13b-4b4e-4537-b4e7-2d42451a0a4c	LIGHTING
b182cda3-1d3b-4f71-a97b-46df4f7fa496	3eb3a5a6-a39a-4fc5-8923-21787bd2254b	CRITICAL_POWER_DISTRIBUTION
b182cda3-1d3b-4f71-a97b-46df4f7fa496	d2c6573a-f05b-451f-b968-038e21161ec5	CRAH
b182cda3-1d3b-4f71-a97b-46df4f7fa496	7057fd4b-260f-4bfb-86dc-29c65ec27382	CRAC
b182cda3-1d3b-4f71-a97b-46df4f7fa496	e2c7b7cf-4ac7-44a7-887c-91c25ca3c371	CRAC_WITHOUT_FAN
b182cda3-1d3b-4f71-a97b-46df4f7fa496	448f1753-6067-4a6c-81b6-8da590cd49fd	CRAC_FAN
b182cda3-1d3b-4f71-a97b-46df4f7fa496	df07458c-e8dd-4b97-bf08-c6f5702a885a	CHILLER
b182cda3-1d3b-4f71-a97b-46df4f7fa496	ad3d249f-b255-46b3-8ba1-a087da76f8bc	AIR_COOLED_CHILLER
b182cda3-1d3b-4f71-a97b-46df4f7fa496	be2c0de2-ff93-4bd5-b0bc-c067f20674a3	COOLING_TOWER
b182cda3-1d3b-4f71-a97b-46df4f7fa496	e310966b-0570-4639-81e3-7496d7826cb9	DRY_COOLER
b182cda3-1d3b-4f71-a97b-46df4f7fa496	dc9ac0ad-ef7d-4512-86f2-a6193dc3e9ce	REMOTE_CONDENSER
b182cda3-1d3b-4f71-a97b-46df4f7fa496	8f9cc24e-b7db-46ae-a321-502ff236d745	CHILLED_WATER_PUMPS
b182cda3-1d3b-4f71-a97b-46df4f7fa496	66275cd4-358f-465c-b426-ad13e39b1884	HEAT_REJECTION_PUMPS
b182cda3-1d3b-4f71-a97b-46df4f7fa496	76331e2f-3014-4043-bf97-359bd6e3d01b	VENTILATION
b182cda3-1d3b-4f71-a97b-46df4f7fa496	7d1fe2a0-1f80-4c29-8fa5-1dcac6c6d609	INFILTRATION
b182cda3-1d3b-4f71-a97b-46df4f7fa496	03cc25f5-df85-40a3-b497-faaf25e0f22d	IT_LOAD
c92a3d0c-d972-493e-bf93-788281dfe014	a8f962a8-5932-4902-bf8b-a5ed592aa15e	SWITCHGEAR
c92a3d0c-d972-493e-bf93-788281dfe014	14ac6b8b-1c28-4e09-9aef-c73c876b39bc	GENERATOR
c92a3d0c-d972-493e-bf93-788281dfe014	16d229bd-9b04-40c9-8cc4-e73026bfe9b8	PRIMARY_AUXILIARIES
c92a3d0c-d972-493e-bf93-788281dfe014	15f95c89-5ad0-4210-897e-0c58463b5284	UPS
c92a3d0c-d972-493e-bf93-788281dfe014	004510b8-5253-4dbd-a5bb-ab4e3eab25aa	CRITICAL_AUXILIARIES
c92a3d0c-d972-493e-bf93-788281dfe014	a0deecc8-16bc-411b-990f-f38487607842	LIGHTING
c92a3d0c-d972-493e-bf93-788281dfe014	9dd50162-062c-4fe3-8bc8-16ccf52de5bc	CRITICAL_POWER_DISTRIBUTION
c92a3d0c-d972-493e-bf93-788281dfe014	827bc7f4-8c5d-4611-ac44-f71270ce72e7	CRAH
c92a3d0c-d972-493e-bf93-788281dfe014	e43e107e-0f6b-4ba2-87ad-801355b16d1c	CRAC
c92a3d0c-d972-493e-bf93-788281dfe014	111cb588-c392-492f-ba12-51e840a21fa8	CRAC_WITHOUT_FAN
c92a3d0c-d972-493e-bf93-788281dfe014	1eb821e2-221d-4474-ad37-84799d72fa30	CRAC_FAN
c92a3d0c-d972-493e-bf93-788281dfe014	c740dba4-aad4-47d8-99fb-8139f0af4a64	CHILLER
c92a3d0c-d972-493e-bf93-788281dfe014	7ed3a4f2-702e-4e1c-a872-41ac017ac111	AIR_COOLED_CHILLER
c92a3d0c-d972-493e-bf93-788281dfe014	dd50f15d-76f8-47ed-bd61-655f22b081a5	COOLING_TOWER
c92a3d0c-d972-493e-bf93-788281dfe014	584799a4-9e76-4cc0-b45c-09bba104b411	DRY_COOLER
c92a3d0c-d972-493e-bf93-788281dfe014	2912c26a-60a0-4fd2-981d-88497ddd5da9	REMOTE_CONDENSER
c92a3d0c-d972-493e-bf93-788281dfe014	fae8c469-d1ee-4ecc-a772-7f0e572b53c2	CHILLED_WATER_PUMPS
c92a3d0c-d972-493e-bf93-788281dfe014	cfca45be-609c-4b8c-82d4-c855a49918bc	HEAT_REJECTION_PUMPS
c92a3d0c-d972-493e-bf93-788281dfe014	67619038-4174-4c90-8633-e32836df5391	VENTILATION
c92a3d0c-d972-493e-bf93-788281dfe014	a3847ebe-719c-4da0-b40c-cd11faa8b1fe	INFILTRATION
c92a3d0c-d972-493e-bf93-788281dfe014	5596134e-f4f7-43c3-acbf-d54e978ea5a1	IT_LOAD
5bd2c0ba-533b-4ed2-a581-6c307b248f86	6eaa9747-72c9-44ff-a6d0-6b2ef3300234	SWITCHGEAR
5bd2c0ba-533b-4ed2-a581-6c307b248f86	712aef2a-8d33-46eb-8f77-ef234b00c272	GENERATOR
5bd2c0ba-533b-4ed2-a581-6c307b248f86	d3e66334-2986-426a-ae1e-c7af289edcb1	PRIMARY_AUXILIARIES
5bd2c0ba-533b-4ed2-a581-6c307b248f86	964746b1-9536-4899-97dd-a76b292c22ab	UPS
5bd2c0ba-533b-4ed2-a581-6c307b248f86	c1119a70-9baa-408e-b54c-9e0b1bfe23d8	CRITICAL_AUXILIARIES
5bd2c0ba-533b-4ed2-a581-6c307b248f86	500c6f6d-17fb-455e-950e-2ba45ef69bac	LIGHTING
5bd2c0ba-533b-4ed2-a581-6c307b248f86	b70d5412-45f4-42af-8b62-b06c78879465	CRITICAL_POWER_DISTRIBUTION
5bd2c0ba-533b-4ed2-a581-6c307b248f86	f2f80004-8af9-4604-9112-8a682cd3b314	CRAH
5bd2c0ba-533b-4ed2-a581-6c307b248f86	10da94c1-ba2f-46c0-b426-98a75c5f46b2	CRAC
5bd2c0ba-533b-4ed2-a581-6c307b248f86	14b68bb8-0fe0-4eb2-9e01-a3f39a4a6cd0	CRAC_WITHOUT_FAN
5bd2c0ba-533b-4ed2-a581-6c307b248f86	a65d787f-31f8-452e-9b5f-86ae9ac48f5b	CRAC_FAN
5bd2c0ba-533b-4ed2-a581-6c307b248f86	37038dc2-35ef-416d-a836-a5c3112b7868	CHILLER
5bd2c0ba-533b-4ed2-a581-6c307b248f86	14c8b052-76c4-4817-9629-91c0fe4f842e	AIR_COOLED_CHILLER
5bd2c0ba-533b-4ed2-a581-6c307b248f86	49bd6ba2-42ce-4cca-a51e-443705a41ada	COOLING_TOWER
5bd2c0ba-533b-4ed2-a581-6c307b248f86	21d33b81-e136-483f-98bc-6c91d2f790ac	DRY_COOLER
5bd2c0ba-533b-4ed2-a581-6c307b248f86	c1a4af80-bc9d-462f-8853-a9efa56525d3	REMOTE_CONDENSER
5bd2c0ba-533b-4ed2-a581-6c307b248f86	011fc1ae-caf5-4c52-ad4f-627db86537a2	CHILLED_WATER_PUMPS
5bd2c0ba-533b-4ed2-a581-6c307b248f86	09eed4ea-d365-4a4e-b0a1-6275357135b0	HEAT_REJECTION_PUMPS
5bd2c0ba-533b-4ed2-a581-6c307b248f86	42757ed3-22b5-4796-9848-2e3483e5da74	VENTILATION
5bd2c0ba-533b-4ed2-a581-6c307b248f86	5a2fd8be-cb4d-4666-a852-6554e1859ea5	INFILTRATION
5bd2c0ba-533b-4ed2-a581-6c307b248f86	c39524a8-aa46-441c-b79d-199afcce986c	IT_LOAD
5b724f5e-3208-440c-8946-edf45331ea37	c351a89f-61c1-459b-b0ba-0acb721b8134	SWITCHGEAR
5b724f5e-3208-440c-8946-edf45331ea37	9e02f8a2-5a86-4ae9-861b-00723b7219c8	GENERATOR
5b724f5e-3208-440c-8946-edf45331ea37	a3c2ca30-ac26-4dcc-9c2b-6025b715cdde	PRIMARY_AUXILIARIES
5b724f5e-3208-440c-8946-edf45331ea37	ee721b7e-70cc-41fb-a767-39ca227d15cc	UPS
5b724f5e-3208-440c-8946-edf45331ea37	fb4262a0-4c4c-4ae0-8d9f-7b40353d659e	CRITICAL_AUXILIARIES
5b724f5e-3208-440c-8946-edf45331ea37	0a25954a-a811-4073-88f4-a1a9d90ac39e	LIGHTING
5b724f5e-3208-440c-8946-edf45331ea37	3041e98b-9def-4dfe-b7e0-911ef335d0c4	CRITICAL_POWER_DISTRIBUTION
5b724f5e-3208-440c-8946-edf45331ea37	321e95ad-0e3b-447c-bef6-45d4bfb52c77	CRAH
5b724f5e-3208-440c-8946-edf45331ea37	574cb1bc-86bd-4e0b-9d79-26383fc76234	CRAC
5b724f5e-3208-440c-8946-edf45331ea37	ad0494f4-2ae2-4460-a8fd-9b70e010cc84	CRAC_WITHOUT_FAN
5b724f5e-3208-440c-8946-edf45331ea37	4c01f0e4-afac-4770-9b19-cacd7a9f762e	CRAC_FAN
5b724f5e-3208-440c-8946-edf45331ea37	3567e42a-f960-4063-ae0b-95303bfb544b	CHILLER
5b724f5e-3208-440c-8946-edf45331ea37	1c19ef07-639a-45a4-ba94-5f828e99d366	AIR_COOLED_CHILLER
5b724f5e-3208-440c-8946-edf45331ea37	361893ca-dd12-4dc0-a8f3-3a52fd768c8a	COOLING_TOWER
5b724f5e-3208-440c-8946-edf45331ea37	2aad0ef7-9ae5-47fb-a3b3-44e07ded32ad	DRY_COOLER
5b724f5e-3208-440c-8946-edf45331ea37	2cac916c-b40e-4387-92aa-aa057bdf2f89	REMOTE_CONDENSER
5b724f5e-3208-440c-8946-edf45331ea37	3f59f3a2-ed05-44a8-b147-e530d3d9bb6c	CHILLED_WATER_PUMPS
5b724f5e-3208-440c-8946-edf45331ea37	3a68e8fe-c766-4132-8511-d56c707ed612	HEAT_REJECTION_PUMPS
5b724f5e-3208-440c-8946-edf45331ea37	406ccae1-7add-4086-818b-919eeee075f1	VENTILATION
5b724f5e-3208-440c-8946-edf45331ea37	3f717cd3-5829-4dd3-b755-657b6c713f49	INFILTRATION
5b724f5e-3208-440c-8946-edf45331ea37	dea89efa-0c9d-4764-ade0-05d33d6f5adf	IT_LOAD
99e2c8f1-64b7-4a51-b59c-a1917009655d	fa158a57-62a7-4422-a9f1-c2ef2fedb6bd	SWITCHGEAR
99e2c8f1-64b7-4a51-b59c-a1917009655d	e5003389-41a0-48c0-87ae-d8ed25aabb9f	GENERATOR
99e2c8f1-64b7-4a51-b59c-a1917009655d	458c6c15-7a15-4da7-ad17-cda554568469	PRIMARY_AUXILIARIES
99e2c8f1-64b7-4a51-b59c-a1917009655d	0c5ac04a-0c77-4f9d-94e2-27d7c80e435d	UPS
99e2c8f1-64b7-4a51-b59c-a1917009655d	ce6f611b-199e-43c3-8de1-596d93692232	CRITICAL_AUXILIARIES
99e2c8f1-64b7-4a51-b59c-a1917009655d	0f450bcf-0da3-46db-b9b2-f2af3504c0f7	LIGHTING
99e2c8f1-64b7-4a51-b59c-a1917009655d	a9ef48a8-e5ac-44b1-a559-c60005a2a352	CRITICAL_POWER_DISTRIBUTION
99e2c8f1-64b7-4a51-b59c-a1917009655d	672c068a-68a5-4dbd-898f-4f6723a6ee97	CRAH
99e2c8f1-64b7-4a51-b59c-a1917009655d	4ac6bd3a-835f-48fa-b544-e61711a68b03	CRAC
99e2c8f1-64b7-4a51-b59c-a1917009655d	6d6f3205-fec0-420b-856f-f54ea5c47759	CRAC_WITHOUT_FAN
99e2c8f1-64b7-4a51-b59c-a1917009655d	6eaafa8a-5af8-4550-9cca-610345ef1f0f	CRAC_FAN
99e2c8f1-64b7-4a51-b59c-a1917009655d	b51a48d2-72d4-4074-9b5b-7029f016357e	CHILLER
99e2c8f1-64b7-4a51-b59c-a1917009655d	38af39d1-ec9d-42e0-bca6-01ea77128e02	AIR_COOLED_CHILLER
99e2c8f1-64b7-4a51-b59c-a1917009655d	4d4e44c1-6b46-4ebe-8edf-ef46b245dac6	COOLING_TOWER
99e2c8f1-64b7-4a51-b59c-a1917009655d	a4ee4005-30fe-46c7-96fb-e3a67a6b5427	DRY_COOLER
99e2c8f1-64b7-4a51-b59c-a1917009655d	f91c1f01-5474-4df3-b35f-3b5cc6002d95	REMOTE_CONDENSER
99e2c8f1-64b7-4a51-b59c-a1917009655d	81d33814-83eb-4934-80c9-021595e29127	CHILLED_WATER_PUMPS
99e2c8f1-64b7-4a51-b59c-a1917009655d	5208df48-66c0-4753-9ef4-18823cb7c14e	HEAT_REJECTION_PUMPS
99e2c8f1-64b7-4a51-b59c-a1917009655d	d35e08c3-142a-4cfc-9342-95ad50206734	VENTILATION
99e2c8f1-64b7-4a51-b59c-a1917009655d	97ccfd46-bde8-4c90-a812-d7c965c629fc	INFILTRATION
99e2c8f1-64b7-4a51-b59c-a1917009655d	c7afacb1-7b06-44a8-b58d-fcb35269b9e2	IT_LOAD
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	59abdc17-a830-4dde-9793-e98d18686476	SWITCHGEAR
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	bdf42c8e-677e-4bab-bc0f-0e5c1498c7db	GENERATOR
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	af411487-b38e-4214-9d1b-b7584255585d	PRIMARY_AUXILIARIES
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	5d4822e4-16f0-4a60-975d-12e8a858a050	UPS
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	6313bf91-4f5f-41b1-9aee-e9e902c07648	CRITICAL_AUXILIARIES
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	752961bd-9868-455e-9ed3-0ab9a184bd65	LIGHTING
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	e25e4fee-db01-4a67-975a-24577658e498	CRITICAL_POWER_DISTRIBUTION
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	b79b6c9b-6788-478f-baf6-25b957da484f	CRAH
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	b0d76d7e-23be-4e4e-99e8-98bc5f188733	CRAC
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	bc33c51d-b44d-44bb-8ab1-6a44093668b1	CRAC_WITHOUT_FAN
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	b89da617-6f77-4fa8-9f28-9fe24b353b9c	CRAC_FAN
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	2626929a-0b8c-479a-8f27-c82c1528346a	CHILLER
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	0da37cc2-873e-4a17-9525-d9db19855aa6	AIR_COOLED_CHILLER
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	1f0b4dec-973b-4696-8006-11794fef2fb4	COOLING_TOWER
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	590d8488-ad96-45f0-ad6c-4bda10a3f655	DRY_COOLER
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	14ec0519-9e5f-4592-b62e-909858ad02c0	REMOTE_CONDENSER
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	1df772f2-72a3-4aa9-87fa-1212a0e1d5a5	CHILLED_WATER_PUMPS
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	a0848085-2b35-4c80-9352-6ad4731963aa	HEAT_REJECTION_PUMPS
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	fc467f52-a118-4932-8bc9-0fdd3e12e728	VENTILATION
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	7236cbcb-d6ac-4d79-96ae-26f3816bd6c4	INFILTRATION
ae31a37d-f313-453b-bf06-3b4d8e89c2e1	373deda4-f7ae-433c-b281-22cf0d37a9f8	IT_LOAD
49cbd1de-45a3-4e96-bdc0-051146ab2016	4df1fe24-57bb-46b9-8780-d56eabef87f9	SWITCHGEAR
49cbd1de-45a3-4e96-bdc0-051146ab2016	3bb8b0c1-53a5-478b-98df-8926d0be41e5	GENERATOR
49cbd1de-45a3-4e96-bdc0-051146ab2016	40ce11ef-8aea-4bc2-be7c-bcc485588204	PRIMARY_AUXILIARIES
49cbd1de-45a3-4e96-bdc0-051146ab2016	61f2bee4-43aa-4cee-9142-329e6648cda5	UPS
49cbd1de-45a3-4e96-bdc0-051146ab2016	f97eb9e9-08fa-4e35-b148-debb0e662394	CRITICAL_AUXILIARIES
49cbd1de-45a3-4e96-bdc0-051146ab2016	a605cf61-5ca8-4c07-8a07-8fce18d83eca	LIGHTING
49cbd1de-45a3-4e96-bdc0-051146ab2016	fef8e789-ce9f-4230-a06c-8086df5de267	CRITICAL_POWER_DISTRIBUTION
49cbd1de-45a3-4e96-bdc0-051146ab2016	3e3cd0d6-0ed1-4563-9ac6-df70f5a9be35	CRAH
49cbd1de-45a3-4e96-bdc0-051146ab2016	ef3214ae-eb70-4098-accd-ffdf136ddc78	CRAC
49cbd1de-45a3-4e96-bdc0-051146ab2016	244f4274-336a-4810-936e-a2949c23b264	CRAC_WITHOUT_FAN
49cbd1de-45a3-4e96-bdc0-051146ab2016	aaa65bc2-45d9-421b-8ab0-8e50dcb58693	CRAC_FAN
49cbd1de-45a3-4e96-bdc0-051146ab2016	81199c3b-ea33-45db-a3f3-88ec5807e397	CHILLER
49cbd1de-45a3-4e96-bdc0-051146ab2016	509b271a-b286-427c-943e-56459e06d9e6	AIR_COOLED_CHILLER
49cbd1de-45a3-4e96-bdc0-051146ab2016	218a0034-e1ba-4d84-9690-1d4a5d50d033	COOLING_TOWER
49cbd1de-45a3-4e96-bdc0-051146ab2016	ccad2a8c-933a-47ff-a3d3-af6be3f48c7f	DRY_COOLER
49cbd1de-45a3-4e96-bdc0-051146ab2016	b7e76839-4cd7-49db-ac93-5cabb64b266e	REMOTE_CONDENSER
49cbd1de-45a3-4e96-bdc0-051146ab2016	0dc0de32-8920-42a1-96d4-76ffa8dd8c50	CHILLED_WATER_PUMPS
49cbd1de-45a3-4e96-bdc0-051146ab2016	0392b688-d5b5-4a4c-a066-5e1f39b4dfda	HEAT_REJECTION_PUMPS
49cbd1de-45a3-4e96-bdc0-051146ab2016	a07681bb-3c52-4cab-97d9-2301a74f8a68	VENTILATION
49cbd1de-45a3-4e96-bdc0-051146ab2016	7981b380-296d-4dd3-8972-10ba8a35296d	INFILTRATION
49cbd1de-45a3-4e96-bdc0-051146ab2016	df25f432-3cf6-4790-a3ae-ba93d6fdfccd	IT_LOAD
f0289d09-3ae5-4f46-9d26-e0214b486361	27b9af05-e511-4766-b695-096af480115e	SWITCHGEAR
f0289d09-3ae5-4f46-9d26-e0214b486361	53bd4e1e-9116-4188-b0e9-e15482628227	GENERATOR
f0289d09-3ae5-4f46-9d26-e0214b486361	1d725638-d43e-46a0-9f11-012a0efd1976	PRIMARY_AUXILIARIES
f0289d09-3ae5-4f46-9d26-e0214b486361	1e7f34fe-8ddf-4c07-8702-f6d24710c929	UPS
f0289d09-3ae5-4f46-9d26-e0214b486361	b1ca2c76-b50a-43e1-93be-0217dc5db931	CRITICAL_AUXILIARIES
f0289d09-3ae5-4f46-9d26-e0214b486361	4a4639f8-8c2f-4bf6-b396-ef3cba07d97a	LIGHTING
f0289d09-3ae5-4f46-9d26-e0214b486361	b31c3b90-c2a8-4552-9ebf-6b4c918165ae	CRITICAL_POWER_DISTRIBUTION
f0289d09-3ae5-4f46-9d26-e0214b486361	0e506d54-fdf3-4224-a95c-0908746192ac	CRAH
f0289d09-3ae5-4f46-9d26-e0214b486361	a2d76b6b-a419-46f3-86b8-de4e32275307	CRAC
f0289d09-3ae5-4f46-9d26-e0214b486361	684e9688-9795-4f88-b77c-b5fd5e5fb7c0	CRAC_WITHOUT_FAN
f0289d09-3ae5-4f46-9d26-e0214b486361	c41e6f0b-0d7d-45db-9fe9-d85a7bdfb32f	CRAC_FAN
f0289d09-3ae5-4f46-9d26-e0214b486361	970530ed-b1cd-4fb4-a0e1-785a66b2a577	CHILLER
f0289d09-3ae5-4f46-9d26-e0214b486361	80dea5bf-8560-4970-9b7a-94573fbeb5f4	AIR_COOLED_CHILLER
f0289d09-3ae5-4f46-9d26-e0214b486361	10e5e9a9-b17d-4707-87b9-e63590959a39	COOLING_TOWER
f0289d09-3ae5-4f46-9d26-e0214b486361	b7f3bf4b-faaa-47ec-982d-0e92ea75d4b5	DRY_COOLER
f0289d09-3ae5-4f46-9d26-e0214b486361	ab5eacbf-4109-4cea-b456-bad767f93ef2	REMOTE_CONDENSER
f0289d09-3ae5-4f46-9d26-e0214b486361	dc68033b-da8b-461e-b5d6-1f163743683f	CHILLED_WATER_PUMPS
f0289d09-3ae5-4f46-9d26-e0214b486361	f025040d-f96c-43ae-8a5c-41036dad2173	HEAT_REJECTION_PUMPS
f0289d09-3ae5-4f46-9d26-e0214b486361	3edf2046-0130-4649-8a49-758c11ffad4a	VENTILATION
f0289d09-3ae5-4f46-9d26-e0214b486361	d3d70d2c-01fc-4468-b4de-8075d6fbdb1f	INFILTRATION
f0289d09-3ae5-4f46-9d26-e0214b486361	420dba19-adf6-4bd7-a385-f0835f7aabff	IT_LOAD
c0269217-a3be-4a47-8f07-745afd461ba2	3e501247-1fc1-4279-8aae-0ab7d9df1a67	SWITCHGEAR
c0269217-a3be-4a47-8f07-745afd461ba2	c25bdad4-c488-467a-b28c-15a4fae97859	GENERATOR
c0269217-a3be-4a47-8f07-745afd461ba2	c0b42821-3694-44f9-b08e-8ccd59e38bb5	PRIMARY_AUXILIARIES
c0269217-a3be-4a47-8f07-745afd461ba2	2519225b-57d3-4190-a6fe-f482e40e6d6e	UPS
c0269217-a3be-4a47-8f07-745afd461ba2	27a1b33c-c432-45bd-b8e0-0c3eb0161380	CRITICAL_AUXILIARIES
c0269217-a3be-4a47-8f07-745afd461ba2	7e7259cf-5914-4a32-9758-c94a911e5acd	LIGHTING
c0269217-a3be-4a47-8f07-745afd461ba2	949fb559-6614-4ec5-9ee8-f53855a2cafd	CRITICAL_POWER_DISTRIBUTION
c0269217-a3be-4a47-8f07-745afd461ba2	3a555f83-d720-432b-8d37-78ef9f335c0c	CRAH
c0269217-a3be-4a47-8f07-745afd461ba2	249ff292-c211-43b9-94ec-599786fd574a	CRAC
c0269217-a3be-4a47-8f07-745afd461ba2	843251f6-1717-4dbc-bb8e-639f26856ef0	CRAC_WITHOUT_FAN
c0269217-a3be-4a47-8f07-745afd461ba2	bae7a145-ccfc-4478-ae18-b60d9ec1b8ce	CRAC_FAN
c0269217-a3be-4a47-8f07-745afd461ba2	512d0ee5-042d-4f5d-95c2-91a655dc190b	CHILLER
c0269217-a3be-4a47-8f07-745afd461ba2	d436fc2f-c5e8-46d0-99b4-cad0aa8f6b35	AIR_COOLED_CHILLER
c0269217-a3be-4a47-8f07-745afd461ba2	d889a470-6884-4e81-87e9-7b3ac7eaedef	COOLING_TOWER
c0269217-a3be-4a47-8f07-745afd461ba2	81377855-b59d-4800-b972-9e14e7a1ee24	DRY_COOLER
c0269217-a3be-4a47-8f07-745afd461ba2	0d61a82d-ed6a-419c-8bf0-707d0e5effaf	REMOTE_CONDENSER
c0269217-a3be-4a47-8f07-745afd461ba2	70a4d36e-475e-45cb-af5b-31ab02db94d5	CHILLED_WATER_PUMPS
c0269217-a3be-4a47-8f07-745afd461ba2	86830e51-2c56-4226-a8e8-271653423b74	HEAT_REJECTION_PUMPS
c0269217-a3be-4a47-8f07-745afd461ba2	27595e31-0094-43fb-900f-32fce96fd746	VENTILATION
c0269217-a3be-4a47-8f07-745afd461ba2	943427df-9761-4188-8d64-4eef88354892	INFILTRATION
c0269217-a3be-4a47-8f07-745afd461ba2	0d3cb46c-c44a-4ab6-a571-dc245cc63eb5	IT_LOAD
51a45bb6-8593-425b-93d3-588a3fdcb1d6	274b9816-dbcc-4fff-9ce8-ea38a4e8aeb7	SWITCHGEAR
51a45bb6-8593-425b-93d3-588a3fdcb1d6	19363a41-8278-423a-a67b-5ba50176f1cd	GENERATOR
51a45bb6-8593-425b-93d3-588a3fdcb1d6	be5946f5-d3b0-45b4-be45-4d6c8540af69	PRIMARY_AUXILIARIES
51a45bb6-8593-425b-93d3-588a3fdcb1d6	fa7df045-6a44-4db6-bf66-24aee9faf58f	UPS
51a45bb6-8593-425b-93d3-588a3fdcb1d6	c81c5ebf-c7b2-4af8-a565-7e4da95cb68b	CRITICAL_AUXILIARIES
51a45bb6-8593-425b-93d3-588a3fdcb1d6	b1da4ee8-faea-4e75-9d7d-1e83d0544247	LIGHTING
51a45bb6-8593-425b-93d3-588a3fdcb1d6	5b29d4d3-a2a6-424c-b1fc-0868188c8161	CRITICAL_POWER_DISTRIBUTION
51a45bb6-8593-425b-93d3-588a3fdcb1d6	3f14cb67-a4bb-4238-ad4d-2a52872e968b	CRAH
51a45bb6-8593-425b-93d3-588a3fdcb1d6	a8df59b6-b84e-485f-864a-55874eb150fb	CRAC
51a45bb6-8593-425b-93d3-588a3fdcb1d6	0ceedd8d-6821-4fcb-ab67-5acb2efc650f	CRAC_WITHOUT_FAN
51a45bb6-8593-425b-93d3-588a3fdcb1d6	30bb45a5-c2d4-401c-a4e3-5dc45119ebb4	CRAC_FAN
51a45bb6-8593-425b-93d3-588a3fdcb1d6	83fc8e59-0157-4111-a967-271fab7f5ad6	CHILLER
51a45bb6-8593-425b-93d3-588a3fdcb1d6	2348bf7e-52d4-47a7-bcba-0799103786ed	AIR_COOLED_CHILLER
51a45bb6-8593-425b-93d3-588a3fdcb1d6	26f6bfb5-d845-4cca-9b4f-23d24c7660ba	COOLING_TOWER
51a45bb6-8593-425b-93d3-588a3fdcb1d6	19c24bef-588a-4131-88d8-33021791f03f	DRY_COOLER
51a45bb6-8593-425b-93d3-588a3fdcb1d6	b4dbcfa6-0b97-4c93-946a-ca4578dddc87	REMOTE_CONDENSER
51a45bb6-8593-425b-93d3-588a3fdcb1d6	98c0c116-23e4-407f-9e59-23a8e7d7900e	CHILLED_WATER_PUMPS
51a45bb6-8593-425b-93d3-588a3fdcb1d6	f0929145-a328-405a-86dc-cd04c2cc34f5	HEAT_REJECTION_PUMPS
51a45bb6-8593-425b-93d3-588a3fdcb1d6	08aca645-8465-43b0-b81f-1296d83232a6	VENTILATION
51a45bb6-8593-425b-93d3-588a3fdcb1d6	cebabef8-c26e-4186-80ff-86e83fca9fbf	INFILTRATION
51a45bb6-8593-425b-93d3-588a3fdcb1d6	65a6d286-deb2-406f-811f-c21af9ee8825	IT_LOAD
74248af4-0459-4045-8d82-ea865608bf62	f5069b2b-c777-4754-88bf-09bc0f75dc62	SWITCHGEAR
74248af4-0459-4045-8d82-ea865608bf62	71420483-9509-4e23-9a73-aab830515e9d	GENERATOR
74248af4-0459-4045-8d82-ea865608bf62	7f124a37-831f-4c31-94d0-9cabb1883c61	PRIMARY_AUXILIARIES
74248af4-0459-4045-8d82-ea865608bf62	23a74981-49c4-49ff-a951-83bc5ce62dee	UPS
74248af4-0459-4045-8d82-ea865608bf62	0a190c31-7c80-4162-9d4b-c6565771a3c8	CRITICAL_AUXILIARIES
74248af4-0459-4045-8d82-ea865608bf62	14a3306a-202d-4727-982d-1861f22bb42e	LIGHTING
74248af4-0459-4045-8d82-ea865608bf62	6cd7adb9-601e-45b2-9aff-daee3f7ce9f1	CRITICAL_POWER_DISTRIBUTION
74248af4-0459-4045-8d82-ea865608bf62	4edb91f5-9523-4982-b71e-c5a5351450f0	CRAH
74248af4-0459-4045-8d82-ea865608bf62	32bc1741-95b6-4d6d-b546-4d11245b2a21	CRAC
74248af4-0459-4045-8d82-ea865608bf62	580f647b-40ce-4284-9781-e2ad7a639bbc	CRAC_WITHOUT_FAN
74248af4-0459-4045-8d82-ea865608bf62	ac8fca24-9d31-4a84-9f00-ba89ba9d146b	CRAC_FAN
74248af4-0459-4045-8d82-ea865608bf62	416c184e-16fb-4a91-ace9-ce0786ac8114	CHILLER
74248af4-0459-4045-8d82-ea865608bf62	7340db66-60ef-49b1-90e1-84af96250cf5	AIR_COOLED_CHILLER
74248af4-0459-4045-8d82-ea865608bf62	ab0ff982-9e32-4ef2-974b-6536293159ec	COOLING_TOWER
74248af4-0459-4045-8d82-ea865608bf62	f2423c61-e392-4670-834b-e265312f5538	DRY_COOLER
74248af4-0459-4045-8d82-ea865608bf62	9b236e7f-3125-4f79-a678-013100a56ad7	REMOTE_CONDENSER
74248af4-0459-4045-8d82-ea865608bf62	18c74e51-8c91-4fef-9b89-ef3e764150cb	CHILLED_WATER_PUMPS
74248af4-0459-4045-8d82-ea865608bf62	4a3f40db-c2ae-4a99-845c-ba26848ff771	HEAT_REJECTION_PUMPS
74248af4-0459-4045-8d82-ea865608bf62	0b45eb60-e952-4b02-a46c-ae4fd7a2da59	VENTILATION
74248af4-0459-4045-8d82-ea865608bf62	17fbb872-6044-4c07-a3af-2b9e816e21c5	INFILTRATION
74248af4-0459-4045-8d82-ea865608bf62	abf36f2d-415f-4876-8f6f-7a348fbcf527	IT_LOAD
2c71a5ab-2947-4809-9f17-30d95fdf3d11	226a3b59-813c-4f70-a690-bb9f55ef2015	SWITCHGEAR
2c71a5ab-2947-4809-9f17-30d95fdf3d11	c3f01133-55e9-40ac-b6ec-9abc6366dcb2	GENERATOR
2c71a5ab-2947-4809-9f17-30d95fdf3d11	edd056c6-8ce8-462f-a881-0f41282e844f	PRIMARY_AUXILIARIES
2c71a5ab-2947-4809-9f17-30d95fdf3d11	c5c4a4b6-3b37-4ad8-b00f-1fbcb2f39a20	UPS
2c71a5ab-2947-4809-9f17-30d95fdf3d11	a716e73d-cb5f-48eb-81f6-4a38844e1e58	CRITICAL_AUXILIARIES
2c71a5ab-2947-4809-9f17-30d95fdf3d11	f09dcb84-5138-4743-94ef-b8e91aa0d1f8	LIGHTING
2c71a5ab-2947-4809-9f17-30d95fdf3d11	6c7c16bc-f786-48ed-88a3-947dea9f1b8e	CRITICAL_POWER_DISTRIBUTION
2c71a5ab-2947-4809-9f17-30d95fdf3d11	47dd8436-8f14-45ed-9d2b-15a13c976617	CRAH
2c71a5ab-2947-4809-9f17-30d95fdf3d11	a7a6fc07-fe99-443b-bfc3-0ebc0383d7c6	CRAC
2c71a5ab-2947-4809-9f17-30d95fdf3d11	b3752746-ffa6-498d-b513-7af446d51711	CRAC_WITHOUT_FAN
2c71a5ab-2947-4809-9f17-30d95fdf3d11	fd43f9cc-b769-4dfc-9c82-d03923b2cf16	CRAC_FAN
2c71a5ab-2947-4809-9f17-30d95fdf3d11	7f0c49f2-9950-4f53-b664-7a67a1415f2e	CHILLER
2c71a5ab-2947-4809-9f17-30d95fdf3d11	f28b28f2-b214-4479-9dd7-33372d726666	AIR_COOLED_CHILLER
2c71a5ab-2947-4809-9f17-30d95fdf3d11	d4bb9234-1f21-41d1-951d-a17c5469a765	COOLING_TOWER
2c71a5ab-2947-4809-9f17-30d95fdf3d11	a9cd7380-4d96-48d7-808f-54b58b2e4602	DRY_COOLER
2c71a5ab-2947-4809-9f17-30d95fdf3d11	68ff754a-57d3-4d6f-9781-07bb449cd9fc	REMOTE_CONDENSER
2c71a5ab-2947-4809-9f17-30d95fdf3d11	b55556fd-ddb5-444b-8dc5-707f1bc54539	CHILLED_WATER_PUMPS
2c71a5ab-2947-4809-9f17-30d95fdf3d11	3ccfcf58-96eb-4018-8d38-283f58a82396	HEAT_REJECTION_PUMPS
2c71a5ab-2947-4809-9f17-30d95fdf3d11	27d32ac4-e22d-43a0-afdc-c04403cb5b59	VENTILATION
2c71a5ab-2947-4809-9f17-30d95fdf3d11	210e83dd-7671-4052-a2f7-860103f750da	INFILTRATION
2c71a5ab-2947-4809-9f17-30d95fdf3d11	819715e6-dc02-4bf0-804c-7ad69ee0bf0d	IT_LOAD
3cc34f39-74e8-4aed-9a1d-859644318365	891bbb4f-213b-433d-9660-a6e09e219286	SWITCHGEAR
3cc34f39-74e8-4aed-9a1d-859644318365	3376ead8-269e-407a-8556-116e36b25e12	GENERATOR
3cc34f39-74e8-4aed-9a1d-859644318365	3e12421d-e5dd-42a7-9b2f-36c46192bcf6	PRIMARY_AUXILIARIES
3cc34f39-74e8-4aed-9a1d-859644318365	cfe51bf8-8736-469e-a355-9c4197012c96	UPS
3cc34f39-74e8-4aed-9a1d-859644318365	e24cc265-071d-4824-aaac-a9c4018001d1	CRITICAL_AUXILIARIES
3cc34f39-74e8-4aed-9a1d-859644318365	75d46a47-e1a2-481e-a36b-fa28207c6e33	LIGHTING
3cc34f39-74e8-4aed-9a1d-859644318365	f94b16f4-a767-406f-b458-5dae650f57c9	CRITICAL_POWER_DISTRIBUTION
3cc34f39-74e8-4aed-9a1d-859644318365	e18182ac-0c6c-4f66-91f2-bfb3e8879af7	CRAH
3cc34f39-74e8-4aed-9a1d-859644318365	6070d428-152c-4764-ba2e-067c6b6f06b0	CRAC
3cc34f39-74e8-4aed-9a1d-859644318365	d2c7a941-94af-42fe-82a8-2e2fc09e4f14	CRAC_WITHOUT_FAN
3cc34f39-74e8-4aed-9a1d-859644318365	556933d9-3e2d-4c72-bb61-f0a97c08a462	CRAC_FAN
3cc34f39-74e8-4aed-9a1d-859644318365	faf3bd51-30a6-4b4a-aa10-a6463cc21a64	CHILLER
3cc34f39-74e8-4aed-9a1d-859644318365	41758fad-239b-406a-aed8-5e0eb034ac7b	AIR_COOLED_CHILLER
3cc34f39-74e8-4aed-9a1d-859644318365	366e488a-5f97-4390-b076-15b111e311b7	COOLING_TOWER
3cc34f39-74e8-4aed-9a1d-859644318365	f8263f43-762e-46de-90a0-9068671cd382	DRY_COOLER
3cc34f39-74e8-4aed-9a1d-859644318365	27572a72-5391-461c-833c-499ef9cdde8e	REMOTE_CONDENSER
3cc34f39-74e8-4aed-9a1d-859644318365	ce3bf289-190f-4d72-b52b-da33c6bf6181	CHILLED_WATER_PUMPS
3cc34f39-74e8-4aed-9a1d-859644318365	c7055c49-2f74-4f9b-985d-6ea077810544	HEAT_REJECTION_PUMPS
3cc34f39-74e8-4aed-9a1d-859644318365	ec7b71d1-bda7-4582-ac97-7dfcdc27cee2	VENTILATION
3cc34f39-74e8-4aed-9a1d-859644318365	c6448760-bd4e-4739-a739-96d59c444bb1	INFILTRATION
3cc34f39-74e8-4aed-9a1d-859644318365	4c443218-3bf0-4739-bd11-d547b3147159	IT_LOAD
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	7210c774-1a81-423a-ae34-e54fa1781b73	SWITCHGEAR
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	d6238b77-dfd5-4cac-b0eb-c7c81b191e9f	GENERATOR
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	f951ed41-40fe-407f-b7f2-ed2de373d0d5	PRIMARY_AUXILIARIES
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	846723f9-0690-4c7a-979d-e38c34c715e1	UPS
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	63dcc140-5e65-44e3-9570-7be2070b342d	CRITICAL_AUXILIARIES
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	ec8d5133-6072-48b0-8370-f0181ea3d863	LIGHTING
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	605256d1-0105-470b-872b-1bf490a8110a	CRITICAL_POWER_DISTRIBUTION
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	221ee48c-b7f8-4ccd-a096-abe7e82cce5e	CRAH
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	9cc40e1a-c733-40dc-bfd5-59ddc7201437	CRAC
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	01c9d831-e783-4e4f-bfc9-e0f84bddc863	CRAC_WITHOUT_FAN
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	84389108-1b5f-4953-97b3-d264e4f5db06	CRAC_FAN
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	f4663d1f-bd0b-4f0c-8e0c-eb87a67b68fc	CHILLER
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	e5c71412-a0de-4e1a-ad27-b512c6060b42	AIR_COOLED_CHILLER
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	27fdfe90-c6f9-462c-8bb4-82c47ee6a842	COOLING_TOWER
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	8e065f4a-8f15-4949-b5ed-b71975771b3a	DRY_COOLER
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	7e53161f-8fe5-469a-8f76-bf93332938f7	REMOTE_CONDENSER
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	d677db1e-25eb-49b6-8687-282803c5db69	CHILLED_WATER_PUMPS
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	14f82b2d-1869-4318-a40e-cb205d55723c	HEAT_REJECTION_PUMPS
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	8d355929-3610-4fe9-8ef1-76af17d66698	VENTILATION
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	e70edfcb-e0aa-4bef-9fa8-7d13cf6a8e7b	INFILTRATION
b7d4e929-604e-4c62-9ee2-591bbe6ae88b	d2c371f6-9ff6-4e39-9573-a5edd4202322	IT_LOAD
99a7c39c-c7d6-4084-97b9-f9a074beb437	ab8fe1f2-adb2-4014-a32e-df436cddffb6	SWITCHGEAR
99a7c39c-c7d6-4084-97b9-f9a074beb437	68e5aed5-694e-45eb-a451-84a4c9e7362f	GENERATOR
99a7c39c-c7d6-4084-97b9-f9a074beb437	6f55987b-86b0-4516-8930-88385995bbd5	PRIMARY_AUXILIARIES
99a7c39c-c7d6-4084-97b9-f9a074beb437	0a571c7d-e8fa-4ec7-8d27-9f87bd991521	UPS
99a7c39c-c7d6-4084-97b9-f9a074beb437	305548f5-d89a-4349-9972-479da42092cf	CRITICAL_AUXILIARIES
99a7c39c-c7d6-4084-97b9-f9a074beb437	151de124-e760-4530-bcbe-10dbb48a155c	LIGHTING
99a7c39c-c7d6-4084-97b9-f9a074beb437	6f6c87cc-fe1e-484c-9801-ee0c8a2b2af0	CRITICAL_POWER_DISTRIBUTION
99a7c39c-c7d6-4084-97b9-f9a074beb437	31749837-8a69-4a46-a53c-bb56b5e65609	CRAH
99a7c39c-c7d6-4084-97b9-f9a074beb437	ceee6a17-c09b-4da0-8305-6cbe753b8f47	CRAC
99a7c39c-c7d6-4084-97b9-f9a074beb437	787ef149-c129-4117-b7c1-ea1d0f98d763	CRAC_WITHOUT_FAN
99a7c39c-c7d6-4084-97b9-f9a074beb437	61591e15-bb16-478c-98b8-addae9b7d4b8	CRAC_FAN
99a7c39c-c7d6-4084-97b9-f9a074beb437	3d73a9e4-39e9-4834-b7af-b570bd530a2c	CHILLER
99a7c39c-c7d6-4084-97b9-f9a074beb437	f15cc111-44ad-40ac-8c84-e1f0506ec146	AIR_COOLED_CHILLER
99a7c39c-c7d6-4084-97b9-f9a074beb437	2ab08b10-c12e-4deb-a42f-fa86d38288f5	COOLING_TOWER
99a7c39c-c7d6-4084-97b9-f9a074beb437	2afa3cc3-af57-41b5-b692-1d1df5fa9c0b	DRY_COOLER
99a7c39c-c7d6-4084-97b9-f9a074beb437	ee40ad94-b16e-4751-9eee-0f306ab3d65e	REMOTE_CONDENSER
99a7c39c-c7d6-4084-97b9-f9a074beb437	c02b9fe1-83b2-4a77-ab61-ca9c6aa77663	CHILLED_WATER_PUMPS
99a7c39c-c7d6-4084-97b9-f9a074beb437	8970da52-7be4-4cad-9d97-0f48cbb858a5	HEAT_REJECTION_PUMPS
99a7c39c-c7d6-4084-97b9-f9a074beb437	ba95fd6a-fabd-4beb-a7c4-42d97fe36d08	VENTILATION
99a7c39c-c7d6-4084-97b9-f9a074beb437	1db5355e-ac1c-4b3a-b25c-9ac7c134723e	INFILTRATION
99a7c39c-c7d6-4084-97b9-f9a074beb437	8181feac-54c2-4d2b-8ae6-1d2f5653002c	IT_LOAD
ddfea45d-8795-4518-a2fa-213d2d36ea9d	914dc0d8-8efe-43e2-9baf-011667e7669a	SWITCHGEAR
ddfea45d-8795-4518-a2fa-213d2d36ea9d	4b0e00ef-0b13-4c02-a957-ebc0714f336c	GENERATOR
ddfea45d-8795-4518-a2fa-213d2d36ea9d	48d3e034-69ec-4d92-a065-afc2c402fd01	PRIMARY_AUXILIARIES
ddfea45d-8795-4518-a2fa-213d2d36ea9d	ec32c3a8-5f41-4807-bc57-0e2b8622f80a	UPS
ddfea45d-8795-4518-a2fa-213d2d36ea9d	0d10d283-5bc8-4979-b8dd-02e60518a735	CRITICAL_AUXILIARIES
ddfea45d-8795-4518-a2fa-213d2d36ea9d	5d94d66e-ad8e-4bd0-a0e1-afb3fdf62d7a	LIGHTING
ddfea45d-8795-4518-a2fa-213d2d36ea9d	4d4f0a12-18b9-46fe-af1f-436f3ef1bda7	CRITICAL_POWER_DISTRIBUTION
ddfea45d-8795-4518-a2fa-213d2d36ea9d	aa449011-6e94-42eb-aa68-2dce74055e19	CRAH
ddfea45d-8795-4518-a2fa-213d2d36ea9d	124cb53c-46a9-4747-ae88-133491af80f5	CRAC
ddfea45d-8795-4518-a2fa-213d2d36ea9d	1ff4e2a8-0a29-425b-b0ac-012070814ab0	CRAC_WITHOUT_FAN
ddfea45d-8795-4518-a2fa-213d2d36ea9d	7e26558e-475e-4039-bd97-f7185cb60b01	CRAC_FAN
ddfea45d-8795-4518-a2fa-213d2d36ea9d	2edf9056-534b-452a-b3d7-315493e26dfa	CHILLER
ddfea45d-8795-4518-a2fa-213d2d36ea9d	46913568-5cf8-4e9d-8aa3-5a9ffdcd5f7a	AIR_COOLED_CHILLER
ddfea45d-8795-4518-a2fa-213d2d36ea9d	304aeef1-dcfa-4c87-9888-e01aea894824	COOLING_TOWER
ddfea45d-8795-4518-a2fa-213d2d36ea9d	1a69423e-72b2-4418-83f0-048eccdbad0b	DRY_COOLER
ddfea45d-8795-4518-a2fa-213d2d36ea9d	2174938a-892e-4d88-9a6d-e9039c8cc59f	REMOTE_CONDENSER
ddfea45d-8795-4518-a2fa-213d2d36ea9d	cbf575b0-9541-4689-aa20-78d557f3b42c	CHILLED_WATER_PUMPS
ddfea45d-8795-4518-a2fa-213d2d36ea9d	b299f49a-1ed4-4d80-9177-577e3b3bbc60	HEAT_REJECTION_PUMPS
ddfea45d-8795-4518-a2fa-213d2d36ea9d	c8a64d16-32df-47d1-b83c-4b2d56e8a116	VENTILATION
ddfea45d-8795-4518-a2fa-213d2d36ea9d	e7b21495-4278-43fe-b922-9d7680309d22	INFILTRATION
ddfea45d-8795-4518-a2fa-213d2d36ea9d	c7650722-e9cd-45d8-9a6e-03438b064e92	IT_LOAD
de30e6cb-a156-466c-8a64-f8161ab39202	708d14fa-f9c8-427c-be37-2daa40b7b86e	SWITCHGEAR
de30e6cb-a156-466c-8a64-f8161ab39202	4052ef2c-94eb-4355-9c25-c1d6e98aecb9	GENERATOR
de30e6cb-a156-466c-8a64-f8161ab39202	8e107e55-32c5-445a-95f5-bfab68c6f560	PRIMARY_AUXILIARIES
de30e6cb-a156-466c-8a64-f8161ab39202	9908b1a0-9511-4e72-b22d-12650c5746d8	UPS
de30e6cb-a156-466c-8a64-f8161ab39202	abc997be-8b39-4830-97a2-e29446e89a7e	CRITICAL_AUXILIARIES
de30e6cb-a156-466c-8a64-f8161ab39202	bad596f9-a461-4a49-a099-28c76be99a95	LIGHTING
de30e6cb-a156-466c-8a64-f8161ab39202	2cdc4f2c-cf21-446c-94f7-0c214723c7ea	CRITICAL_POWER_DISTRIBUTION
de30e6cb-a156-466c-8a64-f8161ab39202	76b5ea15-84bf-415b-a480-dcd7c7868701	CRAH
de30e6cb-a156-466c-8a64-f8161ab39202	9d58b4f1-3eb6-40b7-a21a-c8e6ac34507d	CRAC
de30e6cb-a156-466c-8a64-f8161ab39202	ac971314-b444-4f29-9ec9-f63cd629dfe6	CRAC_WITHOUT_FAN
de30e6cb-a156-466c-8a64-f8161ab39202	a7a13f2a-7124-4e67-8340-b0a49bd32121	CRAC_FAN
de30e6cb-a156-466c-8a64-f8161ab39202	fc1efce1-26c8-44ba-9047-6371aa1a814f	CHILLER
de30e6cb-a156-466c-8a64-f8161ab39202	cae62bea-d09d-4d29-9fb7-b26f3bc62af9	AIR_COOLED_CHILLER
de30e6cb-a156-466c-8a64-f8161ab39202	377b39ae-9fb5-4d7d-982c-2269a4e1a5eb	COOLING_TOWER
de30e6cb-a156-466c-8a64-f8161ab39202	32e7de5c-f470-46ad-9781-171a13db882d	DRY_COOLER
de30e6cb-a156-466c-8a64-f8161ab39202	dc2beffc-9ad0-4273-b553-42ac6c8db773	REMOTE_CONDENSER
de30e6cb-a156-466c-8a64-f8161ab39202	0a26a6d2-7ac5-486e-9b2e-cfa5ad225d73	CHILLED_WATER_PUMPS
de30e6cb-a156-466c-8a64-f8161ab39202	91ded9dc-87ed-480e-83c9-e82e001e253d	HEAT_REJECTION_PUMPS
de30e6cb-a156-466c-8a64-f8161ab39202	9b899d75-2d4f-41d5-9728-1fd0e93f1e04	VENTILATION
de30e6cb-a156-466c-8a64-f8161ab39202	e8aeb403-dade-4b25-8bd0-0d300707cd64	INFILTRATION
de30e6cb-a156-466c-8a64-f8161ab39202	2d1bcd86-965b-4373-83a1-edaf5f35f315	IT_LOAD
07c89f8e-9c2f-4dad-a55f-77136a5e194c	a4a03fae-5039-48ec-b7fa-f8af69bf9d06	SWITCHGEAR
07c89f8e-9c2f-4dad-a55f-77136a5e194c	6e8a1b2f-1e3b-4dc4-8f62-5bbdc1d5e6fd	GENERATOR
07c89f8e-9c2f-4dad-a55f-77136a5e194c	2f8c28eb-64ab-4db2-8660-1c72907b9652	PRIMARY_AUXILIARIES
07c89f8e-9c2f-4dad-a55f-77136a5e194c	7c8873fa-3339-4859-a0bf-3825cf8ddf54	UPS
07c89f8e-9c2f-4dad-a55f-77136a5e194c	733a4f5f-3fa4-49ee-b347-e382e54524b6	CRITICAL_AUXILIARIES
07c89f8e-9c2f-4dad-a55f-77136a5e194c	f9d6548b-80aa-4c0f-bfe8-12cabfb02fc4	LIGHTING
07c89f8e-9c2f-4dad-a55f-77136a5e194c	6f309859-22f0-44b5-afbc-4a6223579e2a	CRITICAL_POWER_DISTRIBUTION
07c89f8e-9c2f-4dad-a55f-77136a5e194c	51f4b0df-31f0-47f8-8e88-64edbae11f09	CRAH
07c89f8e-9c2f-4dad-a55f-77136a5e194c	918ba802-85b6-479c-9e11-e014f42c8801	CRAC
07c89f8e-9c2f-4dad-a55f-77136a5e194c	e4307b8d-7a51-4c0b-a49b-b868f396fa52	CRAC_WITHOUT_FAN
07c89f8e-9c2f-4dad-a55f-77136a5e194c	5207bff4-318d-44b8-b190-7226e570df5f	CRAC_FAN
07c89f8e-9c2f-4dad-a55f-77136a5e194c	eae57be6-660d-45fd-b3df-4fd88ff44978	CHILLER
07c89f8e-9c2f-4dad-a55f-77136a5e194c	de976f49-176f-49b9-8fb0-3dc6edee2bf0	AIR_COOLED_CHILLER
07c89f8e-9c2f-4dad-a55f-77136a5e194c	e0838caf-adf8-4eb5-a6ab-a263e9936d30	COOLING_TOWER
07c89f8e-9c2f-4dad-a55f-77136a5e194c	2e777314-8b32-4cd8-9d1f-0aae7e86e520	DRY_COOLER
07c89f8e-9c2f-4dad-a55f-77136a5e194c	589e891a-21b9-44be-a906-d08dd1562fa9	REMOTE_CONDENSER
07c89f8e-9c2f-4dad-a55f-77136a5e194c	1fc83334-265f-4d99-b5d5-c0cd89aefc32	CHILLED_WATER_PUMPS
07c89f8e-9c2f-4dad-a55f-77136a5e194c	f6937e47-971b-4b9d-b3ae-e7b255711be3	HEAT_REJECTION_PUMPS
07c89f8e-9c2f-4dad-a55f-77136a5e194c	1f050fbf-f052-4888-ba01-27139e4d52b6	VENTILATION
07c89f8e-9c2f-4dad-a55f-77136a5e194c	e2720995-8430-49cc-ba8a-fdfd56a90540	INFILTRATION
07c89f8e-9c2f-4dad-a55f-77136a5e194c	5b77fb0c-5b63-40f7-a877-91d2f35439c4	IT_LOAD
5d3ba10f-55ac-42de-85a8-ec59f9acde29	1a789349-93ed-48c9-b01f-bc38fe71b259	SWITCHGEAR
5d3ba10f-55ac-42de-85a8-ec59f9acde29	15af29a0-0ac3-4a9e-8f9e-2fca4dae447f	GENERATOR
5d3ba10f-55ac-42de-85a8-ec59f9acde29	9ecea71c-ee43-4404-9e52-14c7e3095220	PRIMARY_AUXILIARIES
5d3ba10f-55ac-42de-85a8-ec59f9acde29	f451c82f-ae44-430f-a70d-3e6650c30730	UPS
5d3ba10f-55ac-42de-85a8-ec59f9acde29	b5562f52-66f2-4b11-82de-9ec1402f56e5	CRITICAL_AUXILIARIES
5d3ba10f-55ac-42de-85a8-ec59f9acde29	054412e9-a021-4a5e-b79e-99784b5beefd	LIGHTING
5d3ba10f-55ac-42de-85a8-ec59f9acde29	7aa04ca6-f9e6-4210-8519-a3839ceca255	CRITICAL_POWER_DISTRIBUTION
5d3ba10f-55ac-42de-85a8-ec59f9acde29	bfc56389-6607-439e-b464-61bf3eafab37	CRAH
5d3ba10f-55ac-42de-85a8-ec59f9acde29	0dbb02a0-5eee-4312-8cec-9d90380b2093	CRAC
5d3ba10f-55ac-42de-85a8-ec59f9acde29	9f8c4497-7a25-485f-892b-da0490f95f20	CRAC_WITHOUT_FAN
5d3ba10f-55ac-42de-85a8-ec59f9acde29	be358a50-8ef3-491b-9fd0-71fc439b1cc9	CRAC_FAN
5d3ba10f-55ac-42de-85a8-ec59f9acde29	b3cb00ab-84f2-40d0-b37a-8e8fa72aa8a3	CHILLER
5d3ba10f-55ac-42de-85a8-ec59f9acde29	bdafc10a-f36b-433f-b5e9-ebbc623df0ab	AIR_COOLED_CHILLER
5d3ba10f-55ac-42de-85a8-ec59f9acde29	16da5228-0e3a-4c92-a4c3-ef9c7e203d16	COOLING_TOWER
5d3ba10f-55ac-42de-85a8-ec59f9acde29	f5e8fec2-c574-413d-afc1-6872b6c6d565	DRY_COOLER
5d3ba10f-55ac-42de-85a8-ec59f9acde29	35c1f524-719a-4d8f-9ab7-3bda60e7929e	REMOTE_CONDENSER
5d3ba10f-55ac-42de-85a8-ec59f9acde29	dd25eab7-9bbe-4186-9f6c-0471d67d1ce9	CHILLED_WATER_PUMPS
5d3ba10f-55ac-42de-85a8-ec59f9acde29	446b1d5d-0115-4804-bbbb-e46fede2b275	HEAT_REJECTION_PUMPS
5d3ba10f-55ac-42de-85a8-ec59f9acde29	babe30e1-c70c-458f-b717-284cbca8ca1c	VENTILATION
5d3ba10f-55ac-42de-85a8-ec59f9acde29	4a833c84-1c44-4c0b-b4f7-e8d6a6c2215a	INFILTRATION
5d3ba10f-55ac-42de-85a8-ec59f9acde29	09da0d27-7af3-44ab-a5b8-dae7569d0985	IT_LOAD
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	8e824e77-93ff-4229-8d2d-73c123aa014e	SWITCHGEAR
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	bddb4480-e35a-40c0-83b8-ee34eb36f8a9	GENERATOR
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	2ab4a16e-a129-49ce-9e7e-b49f4cd15f84	PRIMARY_AUXILIARIES
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	5d3734c2-d412-40b3-bd4d-27abf9482668	UPS
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	6a4460cf-3114-45b2-8954-45ef198ad6d0	CRITICAL_AUXILIARIES
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	af7662e8-a608-45ec-96a7-130d3eabf877	LIGHTING
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	0c26362c-b8e8-4f45-92cf-573e49620b78	CRITICAL_POWER_DISTRIBUTION
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	d7cb1963-497b-4b6b-877b-8f76b78d1404	CRAH
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	070c4dc8-6a25-4ad0-9336-54f1f760798a	CRAC
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	a64941a2-b5d8-4846-a5f5-07fab2dc340a	CRAC_WITHOUT_FAN
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	2a2d6624-a52d-4ea2-996f-9964a93026af	CRAC_FAN
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	8f3e4ae7-e068-4797-8f50-411f4fde9543	CHILLER
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	de38d94a-58e0-4629-8379-319e7cf9c0f3	AIR_COOLED_CHILLER
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	2ec69d18-6777-45dc-b34f-50ce15385c3f	COOLING_TOWER
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	56fc2737-aaa8-4b4c-a409-a1f7ff20bf64	DRY_COOLER
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	941bdf09-1834-45cc-a949-4a89daed1f47	REMOTE_CONDENSER
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	d27b765f-babe-4f85-955d-5c9bb825363d	CHILLED_WATER_PUMPS
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	9e36c8b3-86a4-4541-9470-b45c732186e1	HEAT_REJECTION_PUMPS
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	64bc0dbc-bcfa-4334-9d7f-f8bc9a33aee4	VENTILATION
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	2e82d4cc-14fe-4904-89cb-611c72359812	INFILTRATION
a5b846cc-3318-47c4-9e4c-2b8cbf105bf2	3a50d1f8-6f7e-42b5-aede-729a12dc07b4	IT_LOAD
59b1a829-444e-40a4-b3cb-ec03e15a3513	667bc521-6e53-4769-beaa-b547df10c236	SWITCHGEAR
59b1a829-444e-40a4-b3cb-ec03e15a3513	8c461c0e-b18d-4ba2-b359-288b1cb3451a	GENERATOR
59b1a829-444e-40a4-b3cb-ec03e15a3513	c3e493a1-5a4a-4f58-b5e7-d2b404b28cfd	PRIMARY_AUXILIARIES
59b1a829-444e-40a4-b3cb-ec03e15a3513	98c1c593-20b7-4bea-abdd-8c92d0b64f2f	UPS
59b1a829-444e-40a4-b3cb-ec03e15a3513	b9b47050-0d92-4e8d-8c20-01363d78f43b	CRITICAL_AUXILIARIES
59b1a829-444e-40a4-b3cb-ec03e15a3513	0ff95419-2e7d-4689-8001-5cc669ef9945	LIGHTING
59b1a829-444e-40a4-b3cb-ec03e15a3513	e9e14881-3317-45aa-8641-670f0a700989	CRITICAL_POWER_DISTRIBUTION
59b1a829-444e-40a4-b3cb-ec03e15a3513	961b9ad7-15d8-49ee-9c58-9be8e541d877	CRAH
59b1a829-444e-40a4-b3cb-ec03e15a3513	f8ddc891-2f9f-4950-9d39-9192c9c12b8e	CRAC
59b1a829-444e-40a4-b3cb-ec03e15a3513	eca3a040-f5cc-4fad-a70e-9f17791f7dfe	CRAC_WITHOUT_FAN
59b1a829-444e-40a4-b3cb-ec03e15a3513	a85fa890-7604-426d-890c-827a248f619a	CRAC_FAN
59b1a829-444e-40a4-b3cb-ec03e15a3513	2381c98f-bdd4-4f4f-9c47-0cab05443079	CHILLER
59b1a829-444e-40a4-b3cb-ec03e15a3513	7ae6ec61-73ce-4537-8056-24dc93221345	AIR_COOLED_CHILLER
59b1a829-444e-40a4-b3cb-ec03e15a3513	da82f353-7cee-4939-963f-9b6103509c3a	COOLING_TOWER
59b1a829-444e-40a4-b3cb-ec03e15a3513	846729f4-38ed-4fba-9247-6f7fc6f935c7	DRY_COOLER
59b1a829-444e-40a4-b3cb-ec03e15a3513	184194c3-70b3-4800-80da-babc584b5408	REMOTE_CONDENSER
59b1a829-444e-40a4-b3cb-ec03e15a3513	2dae0af8-ba03-4598-9c7f-9ab54622ea80	CHILLED_WATER_PUMPS
59b1a829-444e-40a4-b3cb-ec03e15a3513	465f82ad-061e-4d53-8edf-e9e371ea3a34	HEAT_REJECTION_PUMPS
59b1a829-444e-40a4-b3cb-ec03e15a3513	96ee29a6-1ce3-4d24-a97a-8f5e885f55ff	VENTILATION
59b1a829-444e-40a4-b3cb-ec03e15a3513	e5c66842-99e6-48f9-97c6-81107de264c3	INFILTRATION
59b1a829-444e-40a4-b3cb-ec03e15a3513	26844220-fc4d-4b86-8865-6d91a289b0a3	IT_LOAD
558bb783-2157-4169-8a50-80b590f98c48	a38f6c7c-5fe3-4a18-bf85-1cbd2d2a789b	SWITCHGEAR
558bb783-2157-4169-8a50-80b590f98c48	5033ec07-1287-4d61-aef8-1b4ab451bdbd	GENERATOR
558bb783-2157-4169-8a50-80b590f98c48	335c005b-f006-4a6e-abc4-7e643f01fd46	PRIMARY_AUXILIARIES
558bb783-2157-4169-8a50-80b590f98c48	59acbf67-7fb2-4026-a1cc-caf7998d5441	UPS
558bb783-2157-4169-8a50-80b590f98c48	4e336df8-1549-4db2-8161-be0c019de4f7	CRITICAL_AUXILIARIES
558bb783-2157-4169-8a50-80b590f98c48	ba646ebd-2c8d-4bb9-9a7e-dbc3945b76f2	LIGHTING
558bb783-2157-4169-8a50-80b590f98c48	6633f0ec-c95d-4bcc-94ec-5125fc4b539d	CRITICAL_POWER_DISTRIBUTION
558bb783-2157-4169-8a50-80b590f98c48	5a8f001e-a1b2-49b3-8754-0652ec58e47c	CRAH
558bb783-2157-4169-8a50-80b590f98c48	c7c4f9c7-0704-4d9e-824b-44215a90632e	CRAC
558bb783-2157-4169-8a50-80b590f98c48	09e78779-2498-4f66-aa2b-91412193461b	CRAC_WITHOUT_FAN
558bb783-2157-4169-8a50-80b590f98c48	ff338407-5c55-42fb-8ddf-0c7bdd3d844c	CRAC_FAN
558bb783-2157-4169-8a50-80b590f98c48	1e67ec6f-00da-4756-b352-485de97d9219	CHILLER
558bb783-2157-4169-8a50-80b590f98c48	147c629e-9a3b-4afa-84e4-40119927279f	AIR_COOLED_CHILLER
558bb783-2157-4169-8a50-80b590f98c48	0720cecf-824e-4bcd-98b4-6ec8bb80091c	COOLING_TOWER
558bb783-2157-4169-8a50-80b590f98c48	84eeafeb-5aaa-4c5f-87eb-6c5fc37be954	DRY_COOLER
558bb783-2157-4169-8a50-80b590f98c48	e57a2287-5d7d-4586-996e-6e304f6f5304	REMOTE_CONDENSER
558bb783-2157-4169-8a50-80b590f98c48	9b5f4527-36c5-47c0-8080-2d10c33c68e3	CHILLED_WATER_PUMPS
558bb783-2157-4169-8a50-80b590f98c48	500deb20-6741-4a36-b921-03ec5bf59169	HEAT_REJECTION_PUMPS
558bb783-2157-4169-8a50-80b590f98c48	898f21c3-7831-49b5-8bad-d87aad0ea61f	VENTILATION
558bb783-2157-4169-8a50-80b590f98c48	3f30a52b-e3e2-4e20-8d3d-7cb86a9017ba	INFILTRATION
558bb783-2157-4169-8a50-80b590f98c48	96e4f10c-a1f8-442e-8190-c17c7f405c5a	IT_LOAD
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	f06206e8-01fc-469b-bd5b-12790e97a116	SWITCHGEAR
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	b12691da-5446-4f89-bc07-ca81b317d309	GENERATOR
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	770a6e3f-cf82-4ef7-8d35-8d24e4ef6090	PRIMARY_AUXILIARIES
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	db4ab13e-6a44-44e7-a73c-90586283f847	UPS
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	c12e36c6-f1fa-410a-886a-73333731ec0f	CRITICAL_AUXILIARIES
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	255a5c6d-c8eb-47d8-b508-00921e2030a7	LIGHTING
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	eeb16f01-2b19-4594-9c55-6407c9b27a15	CRITICAL_POWER_DISTRIBUTION
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	fcd4e956-a6da-4b2a-92ba-4a8548c5d24d	CRAH
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	ddd41c72-0ba2-49fb-b3cd-548ddb354eb0	CRAC
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	453b8234-6399-4750-93cf-72579d109638	CRAC_WITHOUT_FAN
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	526fd96e-981f-4969-b809-e174e6dd2a9d	CRAC_FAN
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	6088bb3e-3415-40f8-9396-b8d9d3f61755	CHILLER
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	377e2cbc-7c98-4f3f-ba94-3e5794eecf95	AIR_COOLED_CHILLER
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	633efa64-86e1-4237-b8c3-5e179fdac5da	COOLING_TOWER
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	7526e7d3-4ac5-4b07-8236-2480e35565bb	DRY_COOLER
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	2012ce39-725b-4fca-91d2-68f6f15128bd	REMOTE_CONDENSER
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	f0ae4970-557e-4d5b-96ae-9506519aeb4b	CHILLED_WATER_PUMPS
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	cdc13459-93b5-4770-bb23-beebd77a7946	HEAT_REJECTION_PUMPS
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	05f0dc22-fe27-4640-93f6-6d4276b5b5ee	VENTILATION
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	5a6d0185-e34c-4f47-8b21-22e7bcdfd4da	INFILTRATION
49cf30fd-d68f-4ba3-aee2-4f4ef643ddfe	6e1c5571-5f80-4b32-8107-5c03a7c3718c	IT_LOAD
7df1cc64-0a1e-4a78-a252-626ce1b76196	b6808567-6b80-490d-b9b6-b2f00c86bafe	SWITCHGEAR
7df1cc64-0a1e-4a78-a252-626ce1b76196	bf4f9788-c635-4352-934d-ca8f45a4d2dd	GENERATOR
7df1cc64-0a1e-4a78-a252-626ce1b76196	216b27e1-0459-487f-b2b3-62b411012464	PRIMARY_AUXILIARIES
7df1cc64-0a1e-4a78-a252-626ce1b76196	708dfde2-1fc4-49e9-a874-d89f498cfad6	UPS
7df1cc64-0a1e-4a78-a252-626ce1b76196	68256f5d-ac17-4398-818c-3bd2a4ce578c	CRITICAL_AUXILIARIES
7df1cc64-0a1e-4a78-a252-626ce1b76196	604b57dc-9409-42fd-9014-fc60736fe8cb	LIGHTING
7df1cc64-0a1e-4a78-a252-626ce1b76196	207020f7-7475-4d47-a1e8-6fa6e7597270	CRITICAL_POWER_DISTRIBUTION
7df1cc64-0a1e-4a78-a252-626ce1b76196	b83957c5-3eef-4a02-897d-75020c7ebee7	CRAH
7df1cc64-0a1e-4a78-a252-626ce1b76196	3dc222c6-17d3-4dbd-8550-db8432af4dcd	CRAC
7df1cc64-0a1e-4a78-a252-626ce1b76196	2d534e3f-1941-4144-841b-fc20a5fa2937	CRAC_WITHOUT_FAN
7df1cc64-0a1e-4a78-a252-626ce1b76196	a3f23136-1999-4829-ad46-deb331f9ea58	CRAC_FAN
7df1cc64-0a1e-4a78-a252-626ce1b76196	87644dd5-6f12-402e-8fdc-1a5b76038acc	CHILLER
7df1cc64-0a1e-4a78-a252-626ce1b76196	37f8f8dc-c6a5-44a0-a2bf-0786499cd2b9	AIR_COOLED_CHILLER
7df1cc64-0a1e-4a78-a252-626ce1b76196	5c81a424-a00e-4873-be23-af6c504f6c3a	COOLING_TOWER
7df1cc64-0a1e-4a78-a252-626ce1b76196	de17de38-f94f-4241-a465-2914c340ba22	DRY_COOLER
7df1cc64-0a1e-4a78-a252-626ce1b76196	827c1b91-343d-497c-9c28-26917a57eb7f	REMOTE_CONDENSER
7df1cc64-0a1e-4a78-a252-626ce1b76196	774a9e72-2ce3-48a1-bed4-580f20f4d6af	CHILLED_WATER_PUMPS
7df1cc64-0a1e-4a78-a252-626ce1b76196	87a09fb6-124c-4ede-b2a9-32ae6998d6a3	HEAT_REJECTION_PUMPS
7df1cc64-0a1e-4a78-a252-626ce1b76196	addedacf-0021-4371-911f-661a4f8a75f3	VENTILATION
7df1cc64-0a1e-4a78-a252-626ce1b76196	60f5fd5a-c8d1-498a-8ddf-a6d9f70b436e	INFILTRATION
7df1cc64-0a1e-4a78-a252-626ce1b76196	3e3336ca-a07a-4db0-a014-c5f1f745a046	IT_LOAD
2ae4bf00-f06d-4f93-824b-731ffee5e56d	73a8a809-2bfd-48b5-bff7-aac9d5a23038	SWITCHGEAR
2ae4bf00-f06d-4f93-824b-731ffee5e56d	cf5623b2-d55c-42a9-b921-5b87a54bbe14	GENERATOR
2ae4bf00-f06d-4f93-824b-731ffee5e56d	34763128-801d-4180-8ca6-3d6b038f1427	PRIMARY_AUXILIARIES
2ae4bf00-f06d-4f93-824b-731ffee5e56d	812b5b5d-b5a8-41d2-a020-40bf5298fefe	UPS
2ae4bf00-f06d-4f93-824b-731ffee5e56d	3b40e92e-5f40-4b12-8600-6c4ceca00c53	CRITICAL_AUXILIARIES
2ae4bf00-f06d-4f93-824b-731ffee5e56d	c6f62d75-6209-490b-9e67-d06a27568344	LIGHTING
2ae4bf00-f06d-4f93-824b-731ffee5e56d	8dd06378-56cb-4c53-8f5f-554ce998595b	CRITICAL_POWER_DISTRIBUTION
2ae4bf00-f06d-4f93-824b-731ffee5e56d	7196ef9b-794f-4f57-8551-1fc744445125	CRAH
2ae4bf00-f06d-4f93-824b-731ffee5e56d	c17ab781-f299-44a2-b9b0-717b6cb770f7	CRAC
2ae4bf00-f06d-4f93-824b-731ffee5e56d	8afeb634-e0c8-411a-a1f7-f307fa445e8e	CRAC_WITHOUT_FAN
2ae4bf00-f06d-4f93-824b-731ffee5e56d	cd4b6252-10af-461e-b543-30ed275d4e0a	CRAC_FAN
2ae4bf00-f06d-4f93-824b-731ffee5e56d	808133df-856a-4d22-867a-ea3fb7da3498	CHILLER
2ae4bf00-f06d-4f93-824b-731ffee5e56d	f0c9f4da-f341-48e1-a752-4ba584701691	AIR_COOLED_CHILLER
2ae4bf00-f06d-4f93-824b-731ffee5e56d	b67eed63-8dad-461f-8df4-bb0affb06392	COOLING_TOWER
2ae4bf00-f06d-4f93-824b-731ffee5e56d	b2c54266-3116-4678-9030-20dbf078566f	DRY_COOLER
2ae4bf00-f06d-4f93-824b-731ffee5e56d	e1585af8-dcdf-4af1-b74e-8b9cf7abf61a	REMOTE_CONDENSER
2ae4bf00-f06d-4f93-824b-731ffee5e56d	34001a7b-820c-4ed0-a529-0b9b34ea77d2	CHILLED_WATER_PUMPS
2ae4bf00-f06d-4f93-824b-731ffee5e56d	e88975f5-74f7-4aaa-8238-14aaf7090363	HEAT_REJECTION_PUMPS
2ae4bf00-f06d-4f93-824b-731ffee5e56d	624f9910-ebaf-430f-8a8b-3bbb5ae56286	VENTILATION
2ae4bf00-f06d-4f93-824b-731ffee5e56d	37f536ed-e811-439e-a8cb-a2f6b5a011b9	INFILTRATION
2ae4bf00-f06d-4f93-824b-731ffee5e56d	a341cefe-549a-4681-893a-77827e652b05	IT_LOAD
cf7a9546-600b-4adf-b903-280648b2096a	1a74e4b9-8a6d-49cc-a618-58ef10bc5f2e	SWITCHGEAR
cf7a9546-600b-4adf-b903-280648b2096a	5200cd4e-e7e5-4cfc-ba81-13a9f16c418e	GENERATOR
cf7a9546-600b-4adf-b903-280648b2096a	f87fa53c-80c0-4f1b-8aca-873dcb777efc	PRIMARY_AUXILIARIES
cf7a9546-600b-4adf-b903-280648b2096a	cc0e83d8-10ba-4aef-979a-cd7388da777f	UPS
cf7a9546-600b-4adf-b903-280648b2096a	3b8ba504-dfbc-44fb-bd29-7997e3fada99	CRITICAL_AUXILIARIES
cf7a9546-600b-4adf-b903-280648b2096a	10a7155f-b707-4759-917d-efac794e2cec	LIGHTING
cf7a9546-600b-4adf-b903-280648b2096a	98d5b524-73fd-4af3-b567-2dfd067877f6	CRITICAL_POWER_DISTRIBUTION
cf7a9546-600b-4adf-b903-280648b2096a	2e34b517-0b0c-4ee1-8439-dbcbb5094afc	CRAH
cf7a9546-600b-4adf-b903-280648b2096a	13b567a2-2fff-4810-bb50-3b97ad4265ff	CRAC
cf7a9546-600b-4adf-b903-280648b2096a	cab61a64-6c5c-417b-a8bb-f8f1e4068590	CRAC_WITHOUT_FAN
cf7a9546-600b-4adf-b903-280648b2096a	7f58ea26-2c98-43d5-a760-c1e52819049e	CRAC_FAN
cf7a9546-600b-4adf-b903-280648b2096a	0ca6b09a-e922-4b64-bd53-866f1bf64ff9	CHILLER
cf7a9546-600b-4adf-b903-280648b2096a	4d1051f0-b0d7-428c-aef9-73df355ab900	AIR_COOLED_CHILLER
cf7a9546-600b-4adf-b903-280648b2096a	48695249-60bc-4c0f-85f5-f539b1bdb4ed	COOLING_TOWER
cf7a9546-600b-4adf-b903-280648b2096a	cb44053c-06ff-4c9e-a29a-ea6e9a70c7b9	DRY_COOLER
cf7a9546-600b-4adf-b903-280648b2096a	78c017cb-4d10-4c4e-a705-34058f28e787	REMOTE_CONDENSER
cf7a9546-600b-4adf-b903-280648b2096a	30457ac2-e889-4218-aa89-494d2a9ac235	CHILLED_WATER_PUMPS
cf7a9546-600b-4adf-b903-280648b2096a	674e7493-208e-47b2-9a45-db336da42c54	HEAT_REJECTION_PUMPS
cf7a9546-600b-4adf-b903-280648b2096a	33f831ed-e912-4084-8a91-6380940dad43	VENTILATION
cf7a9546-600b-4adf-b903-280648b2096a	5590d2b2-458c-4905-bc25-0dc43a26edc4	INFILTRATION
cf7a9546-600b-4adf-b903-280648b2096a	d4ab7d4f-2fd3-4692-b7a2-e9207698f784	IT_LOAD
3a810fef-5eca-42f1-ab44-401f1285d4c2	37990170-44f4-4432-a686-4a65b45a94ff	SWITCHGEAR
3a810fef-5eca-42f1-ab44-401f1285d4c2	12660352-3055-433f-b1ca-79f2d5ac86a6	GENERATOR
3a810fef-5eca-42f1-ab44-401f1285d4c2	a62b919c-77ba-436e-8659-891ae4105f50	PRIMARY_AUXILIARIES
3a810fef-5eca-42f1-ab44-401f1285d4c2	35d7fca9-7bd7-4780-84f3-396735599cd8	UPS
3a810fef-5eca-42f1-ab44-401f1285d4c2	23985d6b-f725-4ab4-af16-66f1805db086	CRITICAL_AUXILIARIES
3a810fef-5eca-42f1-ab44-401f1285d4c2	e88c1752-caa1-45e5-aee7-1e5330533c17	LIGHTING
3a810fef-5eca-42f1-ab44-401f1285d4c2	cb2e39e1-03e4-44f5-8a11-dcf1c6937a96	CRITICAL_POWER_DISTRIBUTION
3a810fef-5eca-42f1-ab44-401f1285d4c2	a33b7a1c-14e1-4de0-b5ed-149344edd611	CRAH
3a810fef-5eca-42f1-ab44-401f1285d4c2	040678b7-4da7-46b4-a07c-e80536a0f227	CRAC
3a810fef-5eca-42f1-ab44-401f1285d4c2	c8b75a22-3424-4c0d-89c3-c269ba8577de	CRAC_WITHOUT_FAN
3a810fef-5eca-42f1-ab44-401f1285d4c2	faab758d-c9ea-4dd9-b935-2125854328d4	CRAC_FAN
3a810fef-5eca-42f1-ab44-401f1285d4c2	999c8819-752a-4864-94c7-6c97cdfb6253	CHILLER
3a810fef-5eca-42f1-ab44-401f1285d4c2	47dc39c4-e5ba-492d-ad85-455d6e839f90	AIR_COOLED_CHILLER
3a810fef-5eca-42f1-ab44-401f1285d4c2	f120eda5-3081-4c42-873d-27607c06ab68	COOLING_TOWER
3a810fef-5eca-42f1-ab44-401f1285d4c2	2e341eaf-147e-4814-bd00-161835cb9d17	DRY_COOLER
3a810fef-5eca-42f1-ab44-401f1285d4c2	22fdbf69-357c-4347-8fd0-c5ceec77896e	REMOTE_CONDENSER
3a810fef-5eca-42f1-ab44-401f1285d4c2	b99cd8d7-3a87-4d6c-86ff-2b1515b97d93	CHILLED_WATER_PUMPS
3a810fef-5eca-42f1-ab44-401f1285d4c2	8d11cec1-c91e-4e44-8f38-da03b89afa31	HEAT_REJECTION_PUMPS
3a810fef-5eca-42f1-ab44-401f1285d4c2	e0cf3d5f-9a52-4bb4-a2d1-fbfc578e7cc1	VENTILATION
3a810fef-5eca-42f1-ab44-401f1285d4c2	0e0faa3c-93fd-4fa5-aea3-ce06f8cdceb6	INFILTRATION
3a810fef-5eca-42f1-ab44-401f1285d4c2	07a758d6-b385-41c4-ba6a-07271789ecf8	IT_LOAD
bd7726c1-e332-4661-b152-87174fb9b7af	7a8ea2e9-1298-4f4e-b61c-57c9f22174ef	SWITCHGEAR
bd7726c1-e332-4661-b152-87174fb9b7af	b06d3684-7c68-47f5-ba28-66c746daabc4	GENERATOR
bd7726c1-e332-4661-b152-87174fb9b7af	236dac11-15ab-4109-80f1-1f11721e1b9c	PRIMARY_AUXILIARIES
bd7726c1-e332-4661-b152-87174fb9b7af	5fb3a9e4-921c-4cbb-aca4-87dba8e7ff55	UPS
bd7726c1-e332-4661-b152-87174fb9b7af	95c39dac-4362-4531-8eb5-6cc95a9a64bb	CRITICAL_AUXILIARIES
bd7726c1-e332-4661-b152-87174fb9b7af	f6a492bb-2a49-4027-89c2-1420f8ed5877	LIGHTING
bd7726c1-e332-4661-b152-87174fb9b7af	d9c0d954-4c63-4436-b02b-fd3a854b3137	CRITICAL_POWER_DISTRIBUTION
bd7726c1-e332-4661-b152-87174fb9b7af	3c9f439a-29a2-4b40-95b3-4c2f0e45e02e	CRAH
bd7726c1-e332-4661-b152-87174fb9b7af	87981d52-c405-487f-8988-ab168edce6c9	CRAC
bd7726c1-e332-4661-b152-87174fb9b7af	aca8a28d-0ada-456b-9cf0-5a0e80e17f52	CRAC_WITHOUT_FAN
bd7726c1-e332-4661-b152-87174fb9b7af	0d95c72c-911d-4b50-b1b7-99f6b34dcdc3	CRAC_FAN
bd7726c1-e332-4661-b152-87174fb9b7af	cb1aa2dc-84e5-4350-a4c7-022095ec8c92	CHILLER
bd7726c1-e332-4661-b152-87174fb9b7af	05535e51-88aa-4823-b325-9ab0cf08fd89	AIR_COOLED_CHILLER
bd7726c1-e332-4661-b152-87174fb9b7af	3e1f515f-f39b-422d-8c7f-81f0763dd8d6	COOLING_TOWER
bd7726c1-e332-4661-b152-87174fb9b7af	f37dd66f-55cd-4b85-9458-99e3072f42c1	DRY_COOLER
bd7726c1-e332-4661-b152-87174fb9b7af	82bfafba-4c35-448d-b5d4-be4424265224	REMOTE_CONDENSER
bd7726c1-e332-4661-b152-87174fb9b7af	5900bc2a-93c8-4c0a-9320-5f8659a37b4c	CHILLED_WATER_PUMPS
bd7726c1-e332-4661-b152-87174fb9b7af	8ca97aed-b93e-4a94-9b81-4f074a203523	HEAT_REJECTION_PUMPS
bd7726c1-e332-4661-b152-87174fb9b7af	847d4a49-4646-4c63-a615-738a2553657d	VENTILATION
bd7726c1-e332-4661-b152-87174fb9b7af	2a09f9b8-2d15-454b-9b30-d59366eecae3	INFILTRATION
bd7726c1-e332-4661-b152-87174fb9b7af	93c62bc6-ae64-4ab0-aa2f-fa9e63eafb99	IT_LOAD
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	ccff51b8-865a-4e8a-870d-ee376d323662	SWITCHGEAR
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	d3e187eb-51f4-4732-b406-d6111680abf8	GENERATOR
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	5b455d0b-8df4-4fe3-881a-17a45e9b855c	PRIMARY_AUXILIARIES
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	42d86219-cdc0-4a39-b55f-f9d5a5517fb9	UPS
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	34892ea8-a0bc-41ed-bdc4-4c1f8ff1d84e	CRITICAL_AUXILIARIES
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	6a546ec7-e671-4af1-a47f-69cd00718da9	LIGHTING
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	a05200e3-263c-4e33-bddd-fae6174de240	CRITICAL_POWER_DISTRIBUTION
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	9b349ac2-ead5-4e2a-b875-1ed33d2c1e92	CRAH
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	aad5971b-261c-435f-a001-74b8f583efcb	CRAC
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	d0131d64-c5bb-407a-baa4-c1f89ca4ca88	CRAC_WITHOUT_FAN
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	033e0079-2f8d-400e-b704-5d1f3a216c4c	CRAC_FAN
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	d9469dff-4458-44b4-96f1-833cde304637	CHILLER
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	e0d03ca9-d6e6-4f77-a5c5-152e5f8535e8	AIR_COOLED_CHILLER
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	4a4e65dc-15c1-4698-9f3e-879e835018f6	COOLING_TOWER
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	916d48ea-85c1-4412-83c0-811fbb108972	DRY_COOLER
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	66435202-8499-4ab3-8b69-ab70ab8301b7	REMOTE_CONDENSER
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	18ed0dcf-1108-4f86-a456-85ddd212bdf3	CHILLED_WATER_PUMPS
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	e2ddf459-ffea-48c0-832f-cbae71b4bbe5	HEAT_REJECTION_PUMPS
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	3ded18b0-e76d-43a6-bc8b-573f52467f3e	VENTILATION
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	72861bbf-afa0-4155-b058-b3d148688d3a	INFILTRATION
5bb7b2b4-1a11-40ce-b7b7-e194dde2ef81	3ca2efe7-4dde-4c9a-9a90-46a011a55fc9	IT_LOAD
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	5c908fd6-1c9f-4af9-9d81-2b0e7c6d56aa	SWITCHGEAR
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	483a8dfe-a498-4b79-a279-7d9308234854	GENERATOR
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	6cc48acf-a91a-4e0f-b044-83a53132d351	PRIMARY_AUXILIARIES
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	cd3a2163-47c8-473a-8b97-3f97663af23f	UPS
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	1d132e8d-fa56-4790-960a-827b00d562fa	CRITICAL_AUXILIARIES
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	7277b842-6151-48d2-bab5-82846215fb93	LIGHTING
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	34bc6856-1e11-43a6-b0cd-02294b7a85f2	CRITICAL_POWER_DISTRIBUTION
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	48a3300f-b44a-4396-a1cb-fbfc19c477c2	CRAH
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	203514fd-de27-40c2-9143-b8f8f0bd5521	CRAC
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	2ebe6abb-99a2-4f42-bbf7-785b69cfbbd8	CRAC_WITHOUT_FAN
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	b8901ec2-b57c-41fb-a9bc-467361e97507	CRAC_FAN
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	ac9d1721-2f49-4f14-83f3-9ec62ed80e07	CHILLER
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	f5cbf3c4-559f-4ec9-9b2b-f2bab4204ee9	AIR_COOLED_CHILLER
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	745bed10-16ad-4ac4-9179-8c91d9155d64	COOLING_TOWER
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	d660e427-8bba-4df5-8ac4-203de493624a	DRY_COOLER
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	2f5a9cfc-01ca-47ce-baae-17c2665b81b9	REMOTE_CONDENSER
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	14e51ff4-08b7-4732-bfec-2bb536837ec8	CHILLED_WATER_PUMPS
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	c4e98dfd-5957-4e7f-98b1-dcae4a684200	HEAT_REJECTION_PUMPS
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	78ad7077-2ab8-44c9-a0b0-9e615b5b89c4	VENTILATION
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	1b0c9d75-2361-4072-b31d-823d29b0ab7e	INFILTRATION
1758ddcc-b66b-41de-a8cd-899ae5e78f9f	5ce3616e-4477-4000-8bee-cecd0355f314	IT_LOAD
73f62e93-84d9-4299-bc29-fd0339a04c14	728f63a0-8fbc-47cc-b9e3-0a6992d82b57	SWITCHGEAR
73f62e93-84d9-4299-bc29-fd0339a04c14	1641b69c-cdbf-4540-9247-cde0b88537f0	GENERATOR
73f62e93-84d9-4299-bc29-fd0339a04c14	5179a97e-e786-4647-b633-a0643b955990	PRIMARY_AUXILIARIES
73f62e93-84d9-4299-bc29-fd0339a04c14	f22d264d-347c-438f-944f-a64a7d0b4785	UPS
73f62e93-84d9-4299-bc29-fd0339a04c14	f4d60c1e-ce37-469d-9f1f-166c812f9608	CRITICAL_AUXILIARIES
73f62e93-84d9-4299-bc29-fd0339a04c14	d136bdf8-eeba-4e91-8398-608fb31db10a	LIGHTING
73f62e93-84d9-4299-bc29-fd0339a04c14	3f20a989-3cfa-49fc-b8b6-b22783a6f071	CRITICAL_POWER_DISTRIBUTION
73f62e93-84d9-4299-bc29-fd0339a04c14	ddccfdef-abaa-44f5-ace4-0585ee26df01	CRAH
73f62e93-84d9-4299-bc29-fd0339a04c14	f85732c8-b960-4b3e-8766-28bb0f5e5b26	CRAC
73f62e93-84d9-4299-bc29-fd0339a04c14	2a5866f9-d365-4250-94ad-ffa12a5ceaaa	CRAC_WITHOUT_FAN
73f62e93-84d9-4299-bc29-fd0339a04c14	65d21d6f-44a0-4e73-8717-18dba81627a4	CRAC_FAN
73f62e93-84d9-4299-bc29-fd0339a04c14	f3b83478-426b-4a98-b464-665adfd99d23	CHILLER
73f62e93-84d9-4299-bc29-fd0339a04c14	41b4df68-4964-41ce-8e33-81518edead38	AIR_COOLED_CHILLER
73f62e93-84d9-4299-bc29-fd0339a04c14	979bc132-d34c-4602-ab91-0ba352cda4e4	COOLING_TOWER
73f62e93-84d9-4299-bc29-fd0339a04c14	11b3b4c3-2bb1-499d-a352-268cdd5d08a1	DRY_COOLER
73f62e93-84d9-4299-bc29-fd0339a04c14	6fd51ca4-6143-46f0-bcd0-094ba9a2e3de	REMOTE_CONDENSER
73f62e93-84d9-4299-bc29-fd0339a04c14	73207fde-d26c-44a0-923d-c3373e792666	CHILLED_WATER_PUMPS
73f62e93-84d9-4299-bc29-fd0339a04c14	76d1ece0-3ec1-442e-8dbd-480bb01796c9	HEAT_REJECTION_PUMPS
73f62e93-84d9-4299-bc29-fd0339a04c14	94779d7c-bfdd-480a-8c0b-07bf3c38f6fb	VENTILATION
73f62e93-84d9-4299-bc29-fd0339a04c14	ebca7eb3-0d52-4e53-b48a-9ba0bef976d1	INFILTRATION
73f62e93-84d9-4299-bc29-fd0339a04c14	1a851dbd-c87d-47c1-9639-275be12959e4	IT_LOAD
34e4605a-c797-441a-a3a5-e4aed439720e	95d0e444-80c5-43a5-8821-d2af03feeab6	SWITCHGEAR
34e4605a-c797-441a-a3a5-e4aed439720e	68399796-0a03-4341-b027-3046ccb4c172	GENERATOR
34e4605a-c797-441a-a3a5-e4aed439720e	fc60923d-7411-4fee-868a-c01c3566a4c7	PRIMARY_AUXILIARIES
34e4605a-c797-441a-a3a5-e4aed439720e	eebb5fd2-6b49-47a1-a616-9edc2c72c5c0	UPS
34e4605a-c797-441a-a3a5-e4aed439720e	0aaf2a66-d395-4e79-ab9c-7b141f74d07f	CRITICAL_AUXILIARIES
34e4605a-c797-441a-a3a5-e4aed439720e	ee246978-9f0a-45f0-945e-b755aff91c31	LIGHTING
34e4605a-c797-441a-a3a5-e4aed439720e	03d456b6-3357-4add-b67f-e851a5305519	CRITICAL_POWER_DISTRIBUTION
34e4605a-c797-441a-a3a5-e4aed439720e	2c69fc1a-433f-4306-9ddf-a6843e1e0feb	CRAH
34e4605a-c797-441a-a3a5-e4aed439720e	4a5dfdb1-8ff1-4c32-b705-a2c947854e3d	CRAC
34e4605a-c797-441a-a3a5-e4aed439720e	9a0a446e-49c9-46cf-b4d6-3c3922d29782	CRAC_WITHOUT_FAN
34e4605a-c797-441a-a3a5-e4aed439720e	4c7ac539-6c6b-45c3-8e8b-0ef83c406cc5	CRAC_FAN
34e4605a-c797-441a-a3a5-e4aed439720e	86743c26-4e2a-4f86-aad2-d0597c87fca5	CHILLER
34e4605a-c797-441a-a3a5-e4aed439720e	a2f1ca03-71ac-4962-afe9-6c9f2d548415	AIR_COOLED_CHILLER
34e4605a-c797-441a-a3a5-e4aed439720e	6aba6f6d-fa8b-4635-88bc-7359c064a52b	COOLING_TOWER
34e4605a-c797-441a-a3a5-e4aed439720e	a82fc10a-c2f6-4aef-8f6e-4031d1998563	DRY_COOLER
34e4605a-c797-441a-a3a5-e4aed439720e	bba2e2ff-05a9-4a0b-8134-1a642b57da49	REMOTE_CONDENSER
34e4605a-c797-441a-a3a5-e4aed439720e	484ea9fb-c9d8-4d9c-8a3f-679ef0bf8b6f	CHILLED_WATER_PUMPS
34e4605a-c797-441a-a3a5-e4aed439720e	f28c2506-0f27-489b-a591-8815f3128997	HEAT_REJECTION_PUMPS
34e4605a-c797-441a-a3a5-e4aed439720e	5898ea6a-c5d7-41e8-b4b6-b27656e3dace	VENTILATION
34e4605a-c797-441a-a3a5-e4aed439720e	b1d8d2d5-b9ac-4082-9f84-e71a1af205fb	INFILTRATION
34e4605a-c797-441a-a3a5-e4aed439720e	2496cea4-2b22-4754-83e1-69521377815e	IT_LOAD
7b192933-5890-4924-847e-b0c1fbbae283	2d17d620-f724-4cea-9b80-64e3eb228019	SWITCHGEAR
7b192933-5890-4924-847e-b0c1fbbae283	770e75ed-b5d3-4755-b4f4-81e403624b1f	GENERATOR
7b192933-5890-4924-847e-b0c1fbbae283	aef1ff23-5c8d-45d2-a351-e1278f700562	PRIMARY_AUXILIARIES
7b192933-5890-4924-847e-b0c1fbbae283	482719fe-9480-4c4b-afaa-d51cbb307096	UPS
7b192933-5890-4924-847e-b0c1fbbae283	73d72783-a072-4254-8f7f-32691c9fff0d	CRITICAL_AUXILIARIES
7b192933-5890-4924-847e-b0c1fbbae283	173a2d48-e7af-4bd3-90a4-989cb54bfbd4	LIGHTING
7b192933-5890-4924-847e-b0c1fbbae283	1eced9f3-ca24-4fab-8b3d-820586bdaff7	CRITICAL_POWER_DISTRIBUTION
7b192933-5890-4924-847e-b0c1fbbae283	3d11dbff-2c89-4103-95d4-5d6236f32f2f	CRAH
7b192933-5890-4924-847e-b0c1fbbae283	f848ef03-72a8-404f-be7c-26b0647428c4	CRAC
7b192933-5890-4924-847e-b0c1fbbae283	e0192b42-da94-486e-927b-e94976bf71f0	CRAC_WITHOUT_FAN
7b192933-5890-4924-847e-b0c1fbbae283	221b9e47-66a2-4ef3-9bca-3ff11235c213	CRAC_FAN
7b192933-5890-4924-847e-b0c1fbbae283	5d90e77b-c56b-454c-80d4-e05de02e03ca	CHILLER
7b192933-5890-4924-847e-b0c1fbbae283	16a4ba12-b735-4927-9800-0217047539c8	AIR_COOLED_CHILLER
7b192933-5890-4924-847e-b0c1fbbae283	f818a59b-1342-4eb0-abe7-4a70ce570068	COOLING_TOWER
7b192933-5890-4924-847e-b0c1fbbae283	75828a95-cfb0-41a5-824b-b410d70e944d	DRY_COOLER
7b192933-5890-4924-847e-b0c1fbbae283	13cc9927-7d05-4b2b-948a-e423946dd74c	REMOTE_CONDENSER
7b192933-5890-4924-847e-b0c1fbbae283	474f68cb-8d3a-4cb0-94c4-439c6ef3df40	CHILLED_WATER_PUMPS
7b192933-5890-4924-847e-b0c1fbbae283	36e0fe67-2c0a-4476-8e8d-2a62ffcd7bfb	HEAT_REJECTION_PUMPS
7b192933-5890-4924-847e-b0c1fbbae283	04e13b40-904c-4104-ad1c-d8549e307f1e	VENTILATION
7b192933-5890-4924-847e-b0c1fbbae283	2423e40a-9f05-4d74-a046-e036348d7e8a	INFILTRATION
7b192933-5890-4924-847e-b0c1fbbae283	e4d6f3a4-2898-4aca-9b8a-19b371752e9a	IT_LOAD
e84ece43-4668-4470-8dcf-bdacde49c7d6	019cd980-4a66-4630-ac5c-d9e8d253289b	SWITCHGEAR
e84ece43-4668-4470-8dcf-bdacde49c7d6	bc7fd0c8-8c4e-42f8-8f2e-809cb6c60416	GENERATOR
e84ece43-4668-4470-8dcf-bdacde49c7d6	ba12bc26-3c87-46d4-8b04-2b586b4f6403	PRIMARY_AUXILIARIES
e84ece43-4668-4470-8dcf-bdacde49c7d6	830981c2-df5e-4055-93f0-182b9a0d0985	UPS
e84ece43-4668-4470-8dcf-bdacde49c7d6	f6739c56-b491-46d8-ad01-c713f3cf30b1	CRITICAL_AUXILIARIES
e84ece43-4668-4470-8dcf-bdacde49c7d6	3205e2a2-4778-403b-901f-97364f426a9d	LIGHTING
e84ece43-4668-4470-8dcf-bdacde49c7d6	c6667954-d1ef-4270-b34e-23cd296312ea	CRITICAL_POWER_DISTRIBUTION
e84ece43-4668-4470-8dcf-bdacde49c7d6	dec0d137-51ee-4e61-9fc8-0af6e3e964a3	CRAH
e84ece43-4668-4470-8dcf-bdacde49c7d6	cd0d40ff-5f96-417c-9f6f-bd1e350e3d7b	CRAC
e84ece43-4668-4470-8dcf-bdacde49c7d6	b20c45ce-fe2c-4ec2-aaae-7ba0dd155c56	CRAC_WITHOUT_FAN
e84ece43-4668-4470-8dcf-bdacde49c7d6	7b12d846-bf7b-4d8e-ab84-f25b2d9d8c58	CRAC_FAN
e84ece43-4668-4470-8dcf-bdacde49c7d6	a6d60a38-c39a-4eae-9cef-2ab8560afd91	CHILLER
e84ece43-4668-4470-8dcf-bdacde49c7d6	e7964b8d-a9a0-4876-b152-fd590663a6a6	AIR_COOLED_CHILLER
e84ece43-4668-4470-8dcf-bdacde49c7d6	b2ad0f59-6f0d-4bfc-a4b0-461002f2a559	COOLING_TOWER
e84ece43-4668-4470-8dcf-bdacde49c7d6	c99e5977-5a6f-410c-bb55-42df3a2c5fae	DRY_COOLER
e84ece43-4668-4470-8dcf-bdacde49c7d6	249b7d41-611c-43d9-9829-aa1f56840424	REMOTE_CONDENSER
e84ece43-4668-4470-8dcf-bdacde49c7d6	0977af10-6c2b-4dab-89c9-659baa7d3a2e	CHILLED_WATER_PUMPS
e84ece43-4668-4470-8dcf-bdacde49c7d6	9b99c948-5edd-4203-a524-ca83787740c8	HEAT_REJECTION_PUMPS
e84ece43-4668-4470-8dcf-bdacde49c7d6	a2cedb16-6bc0-4534-95fd-e869b8df3097	VENTILATION
e84ece43-4668-4470-8dcf-bdacde49c7d6	6c75a675-39b4-4f3e-aa33-77ce65d9a335	INFILTRATION
e84ece43-4668-4470-8dcf-bdacde49c7d6	38918043-2bf4-4f3b-968f-9cfa0207d293	IT_LOAD
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	9969e499-97a9-4585-ac3d-44b0a90d37c6	SWITCHGEAR
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	a00742c0-68c6-4ff9-b285-9dbe6a19d622	GENERATOR
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	0c97cadd-5bde-4a44-9b08-397974080050	PRIMARY_AUXILIARIES
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	4406bf5f-ce77-44af-a0af-4f7dc8190b69	UPS
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	3e983895-d735-49b4-9b1d-f899d10dc317	CRITICAL_AUXILIARIES
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	7763feb0-6bc8-4b89-aa75-b15bfc320314	LIGHTING
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	7283644b-6458-4e21-b77b-13bb32786c52	CRITICAL_POWER_DISTRIBUTION
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	e54a52e4-0a4d-420f-944a-c1fab810723a	CRAH
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	754aab2d-6c3e-452a-a1e8-f03770677912	CRAC
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	026ce468-dec4-49f6-afd1-1a21f1e74c70	CRAC_WITHOUT_FAN
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	82214378-11e6-4a54-8ed0-a2855f3c1b91	CRAC_FAN
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	7c9e2a71-4670-4765-abd1-7da7e45a73f4	CHILLER
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	815b36ff-a6d2-4b24-96d7-172b0ebdd475	AIR_COOLED_CHILLER
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	2752caab-a694-45a5-a6d5-e154367eb430	COOLING_TOWER
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	3d84702a-50b2-4ca8-a36f-ed955d054364	DRY_COOLER
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	82d8e9ae-de05-4ce6-83b8-c0c135bc601b	REMOTE_CONDENSER
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	fd6f5057-d409-4c39-85cc-c4685c09a87b	CHILLED_WATER_PUMPS
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	55f1d783-e45f-4c97-98a3-6b280d7fbbab	HEAT_REJECTION_PUMPS
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	785a94b0-d980-4413-a5ff-bf21bc713c8d	VENTILATION
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	146cffdd-452e-4a9c-a627-a8232efb2fd3	INFILTRATION
98ded5c1-66c1-47b6-9f8f-2a4b9c333cb4	575b7bef-0988-4389-b21d-cd65932bbc4c	IT_LOAD
8cfb9e63-0167-4456-8e37-d1169a65aad5	af57c762-4dbe-4605-b1ca-46e2e7378b2c	SWITCHGEAR
8cfb9e63-0167-4456-8e37-d1169a65aad5	413f1ea6-e908-4d4d-bc5d-65affe8f6344	GENERATOR
8cfb9e63-0167-4456-8e37-d1169a65aad5	3ae7e142-b6bb-4041-8d0b-5a95d4a6f776	PRIMARY_AUXILIARIES
8cfb9e63-0167-4456-8e37-d1169a65aad5	a94ec559-647b-4555-9ec6-96a6e5047e73	UPS
8cfb9e63-0167-4456-8e37-d1169a65aad5	ea8cd8e0-15da-4ea6-8f75-a58dd28cd08f	CRITICAL_AUXILIARIES
8cfb9e63-0167-4456-8e37-d1169a65aad5	87af3fb5-f348-40ef-888a-23c80e311840	LIGHTING
8cfb9e63-0167-4456-8e37-d1169a65aad5	0280dda0-4c30-43fe-b080-0c5fcd0df434	CRITICAL_POWER_DISTRIBUTION
8cfb9e63-0167-4456-8e37-d1169a65aad5	0b0cfb5f-7073-46f4-953a-aebc696eecb5	CRAH
8cfb9e63-0167-4456-8e37-d1169a65aad5	05fbcf61-7ba4-4e98-8959-a375c037fd88	CRAC
8cfb9e63-0167-4456-8e37-d1169a65aad5	3e86b63c-bde4-490c-b1bb-8632b80d58e9	CRAC_WITHOUT_FAN
8cfb9e63-0167-4456-8e37-d1169a65aad5	16f944b6-4081-4e0e-ba0e-6e675cd8a8a7	CRAC_FAN
8cfb9e63-0167-4456-8e37-d1169a65aad5	93da526f-80fc-400e-bb2b-03a67139b3d0	CHILLER
8cfb9e63-0167-4456-8e37-d1169a65aad5	f080d299-c650-4667-9e24-dc781c4e82da	AIR_COOLED_CHILLER
8cfb9e63-0167-4456-8e37-d1169a65aad5	31d6c019-ffca-42d8-af0e-ad05f5d21395	COOLING_TOWER
8cfb9e63-0167-4456-8e37-d1169a65aad5	309ec320-e527-40bc-88c2-df60bd3d0023	DRY_COOLER
8cfb9e63-0167-4456-8e37-d1169a65aad5	26a28f06-3979-4259-8756-717aa30596e8	REMOTE_CONDENSER
8cfb9e63-0167-4456-8e37-d1169a65aad5	c6bd8739-3b2a-49bf-bf0d-49f88245f426	CHILLED_WATER_PUMPS
8cfb9e63-0167-4456-8e37-d1169a65aad5	990a304f-2312-4262-8ecf-f7e3356644eb	HEAT_REJECTION_PUMPS
8cfb9e63-0167-4456-8e37-d1169a65aad5	d27aef08-8d44-4938-9a0f-11d7dd35b178	VENTILATION
8cfb9e63-0167-4456-8e37-d1169a65aad5	6bc0611b-5849-42dc-a455-cba5c02dba81	INFILTRATION
8cfb9e63-0167-4456-8e37-d1169a65aad5	7fdcd25c-fc56-49c6-8c66-a4fa72cae2a6	IT_LOAD
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	d0db8e92-570c-4061-a946-44d4adbe3f66	SWITCHGEAR
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	0315946c-2f90-4c1f-b32d-dd5eeade0cf6	GENERATOR
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	f787d250-6f12-4b9d-a1fc-f1cb64e8a892	PRIMARY_AUXILIARIES
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	e674961c-188b-4758-9c3f-666406cf9989	UPS
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	f765f1b2-97fd-46a0-88e2-d2a1b2036d11	CRITICAL_AUXILIARIES
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	dd992eb8-b41a-4e50-9de9-dbe88c9d5886	LIGHTING
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	d233fbb6-b6f4-4567-9498-db009d9ef4e9	CRITICAL_POWER_DISTRIBUTION
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	8e8b0a0f-9a43-4520-b6e2-671442c39277	CRAH
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	defbb916-4164-4a49-8688-ea11176302b7	CRAC
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	f069c5e0-f74d-440c-ab03-0a5539cbead5	CRAC_WITHOUT_FAN
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	5dc940a4-c179-4fe0-8381-caccc859e8b1	CRAC_FAN
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	9fc26c29-fe2d-4ff4-a5a3-5dbda19a8044	CHILLER
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	59beff1b-50fd-4de8-83ce-5227304b046c	AIR_COOLED_CHILLER
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	b8a96459-2487-4b6e-865a-603431f19fa6	COOLING_TOWER
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	6f390dee-7ae8-4282-9adf-272b51c9726b	DRY_COOLER
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	87e05f66-c81f-49c8-b28c-04ed94d67525	REMOTE_CONDENSER
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	06e5812f-9de1-472d-8957-11580893eccd	CHILLED_WATER_PUMPS
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	7f04e12f-6621-4f39-802b-1fc942d6cd75	HEAT_REJECTION_PUMPS
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	04fcf25a-d1a0-43b6-9396-59c25cebfc7d	VENTILATION
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	c11b0cc6-5831-4704-ae4d-2dddff3421ae	INFILTRATION
c96b5dc9-0e7f-4f48-a369-5e2c12db3684	cd5acb90-96f2-4fba-9a77-f6290261f29b	IT_LOAD
58b7c85e-08f4-4006-8856-6dfd2be21cce	f80b8be7-86c5-4d8d-b2be-14fcffea9709	SWITCHGEAR
58b7c85e-08f4-4006-8856-6dfd2be21cce	796f9a53-95fb-420b-ab6f-7b0a0ae71b76	GENERATOR
58b7c85e-08f4-4006-8856-6dfd2be21cce	2946174e-ed12-4ed6-a1fd-e597e94c120b	PRIMARY_AUXILIARIES
58b7c85e-08f4-4006-8856-6dfd2be21cce	8fafd6e9-d576-4496-8f49-77293729635d	UPS
58b7c85e-08f4-4006-8856-6dfd2be21cce	ab2a0da0-80e0-4d27-b2d1-08d8b6011f4b	CRITICAL_AUXILIARIES
58b7c85e-08f4-4006-8856-6dfd2be21cce	96d584de-3e1b-42db-91be-55a0bc28a35b	LIGHTING
58b7c85e-08f4-4006-8856-6dfd2be21cce	8701aa2d-77c3-47d3-8aed-b744be320035	CRITICAL_POWER_DISTRIBUTION
58b7c85e-08f4-4006-8856-6dfd2be21cce	8b532ebf-bfd0-469c-9dd2-b9d3bc2d3f21	CRAH
58b7c85e-08f4-4006-8856-6dfd2be21cce	e5f26064-061c-40a7-8bd1-efe3619cdd1f	CRAC
58b7c85e-08f4-4006-8856-6dfd2be21cce	34b7ed2e-d16a-4a60-8647-b5fc516c4de4	CRAC_WITHOUT_FAN
58b7c85e-08f4-4006-8856-6dfd2be21cce	6f5d703f-8de2-4dfd-a883-a03919a5efd4	CRAC_FAN
58b7c85e-08f4-4006-8856-6dfd2be21cce	d8f7788d-99ee-4ba2-b1d0-2972641c3227	CHILLER
58b7c85e-08f4-4006-8856-6dfd2be21cce	82bb5b5c-f89a-412a-b550-47c576cf3359	AIR_COOLED_CHILLER
58b7c85e-08f4-4006-8856-6dfd2be21cce	07dd3907-3723-405a-893c-9a138aa74efa	COOLING_TOWER
58b7c85e-08f4-4006-8856-6dfd2be21cce	ea4d90f3-e580-4a37-9823-edaaae79b70c	DRY_COOLER
58b7c85e-08f4-4006-8856-6dfd2be21cce	366dc072-8337-4dc2-a04c-f52f539bbdb0	REMOTE_CONDENSER
58b7c85e-08f4-4006-8856-6dfd2be21cce	3dc13e24-ca5f-4d4f-8b6c-bbe8af1f36df	CHILLED_WATER_PUMPS
58b7c85e-08f4-4006-8856-6dfd2be21cce	e2002e2c-57d2-4000-924d-81e1c0409f23	HEAT_REJECTION_PUMPS
58b7c85e-08f4-4006-8856-6dfd2be21cce	b5852728-ce11-4e7b-a1b7-23b81b7cdea9	VENTILATION
58b7c85e-08f4-4006-8856-6dfd2be21cce	f4981210-200c-44da-bbe6-ff3f1deb9dde	INFILTRATION
58b7c85e-08f4-4006-8856-6dfd2be21cce	07e15f16-b621-4b35-ada8-210dc3c8b349	IT_LOAD
8962b729-5845-41de-8387-a70d8fd5886d	9abd6a51-143b-46f2-9c22-f6a6f21dc6c0	SWITCHGEAR
8962b729-5845-41de-8387-a70d8fd5886d	90c59e50-baf6-4aba-8d69-b58046a3baa2	GENERATOR
8962b729-5845-41de-8387-a70d8fd5886d	65ceb686-3f03-468a-809e-9475b2aa2813	PRIMARY_AUXILIARIES
8962b729-5845-41de-8387-a70d8fd5886d	94a73ed4-4e95-489b-ae0c-cbcd3c61354b	UPS
8962b729-5845-41de-8387-a70d8fd5886d	4f671d82-74cf-4006-bc1a-a91e12aa45e8	CRITICAL_AUXILIARIES
8962b729-5845-41de-8387-a70d8fd5886d	c495fdad-7809-449f-940e-cfff6bcef36f	LIGHTING
8962b729-5845-41de-8387-a70d8fd5886d	7252b85a-1b69-4f60-aef4-c867a1e3ef62	CRITICAL_POWER_DISTRIBUTION
8962b729-5845-41de-8387-a70d8fd5886d	1b8b5f83-2677-4955-81a6-3ed7489b8f56	CRAH
8962b729-5845-41de-8387-a70d8fd5886d	0e18e2cd-2efa-4c71-a197-fa12ff96900e	CRAC
8962b729-5845-41de-8387-a70d8fd5886d	1ece5402-4573-4212-9e00-4bd9570609cb	CRAC_WITHOUT_FAN
8962b729-5845-41de-8387-a70d8fd5886d	b83f0420-03c2-4402-a81e-eaacf1deb908	CRAC_FAN
8962b729-5845-41de-8387-a70d8fd5886d	520c4d5f-7182-4110-bf6f-fac8069ca427	CHILLER
8962b729-5845-41de-8387-a70d8fd5886d	f54e1aa3-4fa3-4efb-9df4-026c284f7db7	AIR_COOLED_CHILLER
8962b729-5845-41de-8387-a70d8fd5886d	1447e04d-066c-4e6a-8f2d-08d4ddc193a5	COOLING_TOWER
8962b729-5845-41de-8387-a70d8fd5886d	430b1aec-66ce-44ff-b7ad-f0c8198e2d53	DRY_COOLER
8962b729-5845-41de-8387-a70d8fd5886d	0481437a-754f-4cad-9e26-01522627c2d0	REMOTE_CONDENSER
8962b729-5845-41de-8387-a70d8fd5886d	b145dde7-c445-4f2c-ae68-eff0e22e6413	CHILLED_WATER_PUMPS
8962b729-5845-41de-8387-a70d8fd5886d	fa083fa8-3b3b-4fa2-9b3d-76c08ef88b27	HEAT_REJECTION_PUMPS
8962b729-5845-41de-8387-a70d8fd5886d	002e2053-303c-4e4e-9d50-302a517c28ba	VENTILATION
8962b729-5845-41de-8387-a70d8fd5886d	0c4c5169-8a74-4769-9ba6-0f7d57727397	INFILTRATION
8962b729-5845-41de-8387-a70d8fd5886d	cc94f71c-61b3-4b0f-b5eb-ac5ee04ca64b	IT_LOAD
802deb81-b0ed-4bdc-9392-8e6b068443ae	c74cdab7-54b9-407e-ab87-82a783a4e788	SWITCHGEAR
802deb81-b0ed-4bdc-9392-8e6b068443ae	0d862f14-4919-46d6-b483-ee0e645d218a	GENERATOR
802deb81-b0ed-4bdc-9392-8e6b068443ae	c288c82a-cab0-4609-bf69-9ab9204605ca	PRIMARY_AUXILIARIES
802deb81-b0ed-4bdc-9392-8e6b068443ae	fd649c1d-8849-423b-b924-4c86f7e4e8f2	UPS
802deb81-b0ed-4bdc-9392-8e6b068443ae	c9f0ae81-5c58-4b34-8861-963b849566cd	CRITICAL_AUXILIARIES
802deb81-b0ed-4bdc-9392-8e6b068443ae	3d74fea2-e212-46c3-b4a8-51b470fcc03d	LIGHTING
802deb81-b0ed-4bdc-9392-8e6b068443ae	7f0c9569-21e3-453a-bd00-c4911541caf4	CRITICAL_POWER_DISTRIBUTION
802deb81-b0ed-4bdc-9392-8e6b068443ae	7cd24cae-c3ef-4684-b7db-41045ae4df9f	CRAH
802deb81-b0ed-4bdc-9392-8e6b068443ae	4ea2af14-ef67-4fb0-a44e-fca94c91c9c0	CRAC
802deb81-b0ed-4bdc-9392-8e6b068443ae	02c35768-1b7a-4dae-8852-2ade2ea9eb67	CRAC_WITHOUT_FAN
802deb81-b0ed-4bdc-9392-8e6b068443ae	47cddf2f-5e0c-4992-93e6-3b77aa216e23	CRAC_FAN
802deb81-b0ed-4bdc-9392-8e6b068443ae	102146ce-fa1f-4c25-8cef-7bf1d36fd5c5	CHILLER
802deb81-b0ed-4bdc-9392-8e6b068443ae	0c95909d-1e96-4abc-819c-60e56e7119c3	AIR_COOLED_CHILLER
802deb81-b0ed-4bdc-9392-8e6b068443ae	ea43931f-ffb0-43c5-8d5f-5c621fd123e5	COOLING_TOWER
802deb81-b0ed-4bdc-9392-8e6b068443ae	8db5508f-ac58-4ae3-b237-a30b74ba49c7	DRY_COOLER
802deb81-b0ed-4bdc-9392-8e6b068443ae	24a3b335-050c-44e6-ad5e-51bbf5c0b827	REMOTE_CONDENSER
802deb81-b0ed-4bdc-9392-8e6b068443ae	3debdc5b-0c27-46de-a055-bbea2b688876	CHILLED_WATER_PUMPS
802deb81-b0ed-4bdc-9392-8e6b068443ae	a2c72cd2-0f31-4b77-9ca2-9116ac09e1a6	HEAT_REJECTION_PUMPS
802deb81-b0ed-4bdc-9392-8e6b068443ae	f4cfce9b-75ca-4c1d-a034-2072e8943e2e	VENTILATION
802deb81-b0ed-4bdc-9392-8e6b068443ae	bef13b37-b004-4e5f-be7f-7202fd4fb465	INFILTRATION
802deb81-b0ed-4bdc-9392-8e6b068443ae	5ceb6f4d-b8be-4422-83d7-70d0eb50fb95	IT_LOAD
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	25b6b417-e009-4928-a29b-2889b5867b71	SWITCHGEAR
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	e8d474fa-1d73-40ae-9395-d65a2786f6cc	GENERATOR
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	733eea88-c890-4382-9dca-157c7a1482e5	PRIMARY_AUXILIARIES
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	b5040ad0-cbb3-4de8-b99a-65bc3b62ab64	UPS
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	d99b97cd-cff3-4b2a-8c3b-56de072b4355	CRITICAL_AUXILIARIES
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	c668a118-19b2-4f06-af92-5761c29f779a	LIGHTING
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	91eac820-4be1-42ea-bfdf-8f95672b0dd5	CRITICAL_POWER_DISTRIBUTION
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	dc027b74-9d88-429c-8367-89a1d604be89	CRAH
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	66c9e7dc-c475-4910-ac99-02574f0d16fc	CRAC
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	4d3c4c6e-696c-4ae0-9305-2eb2169037b1	CRAC_WITHOUT_FAN
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	db0c008b-1077-421a-bfc6-7df891008418	CRAC_FAN
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	742e7b41-a56a-4c78-aaa3-49410f935087	CHILLER
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	e70647eb-5dbf-45db-8a67-8d56afe6bb2b	AIR_COOLED_CHILLER
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	c3553785-5fcd-4ffd-a292-0f3bac37874e	COOLING_TOWER
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	33cceb5a-20dd-4bbd-afc9-f0b820dab740	DRY_COOLER
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	d37d24d9-1536-4712-b26a-a11157cf5276	REMOTE_CONDENSER
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	47c04467-2b58-491a-9e3b-9855d88aebe4	CHILLED_WATER_PUMPS
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	3dc5e084-1f71-47f3-a4ea-10db0cd5cd8e	HEAT_REJECTION_PUMPS
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	f8a90563-a066-4c8f-9019-271bd9a49fbc	VENTILATION
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	f708d033-e6d6-415f-907b-158771e3e7d5	INFILTRATION
c49bdfdf-ea44-4d56-b04a-d7e1375b5b27	0f4068ad-e4ff-4670-be5b-46f4d495a75a	IT_LOAD
182adf21-e0eb-4e45-8903-211b7df9edbf	c86b1a33-90ca-4e42-9511-ad442435f558	SWITCHGEAR
182adf21-e0eb-4e45-8903-211b7df9edbf	73816161-ab9b-49e2-b83b-df4ce933733c	GENERATOR
182adf21-e0eb-4e45-8903-211b7df9edbf	6d972bbb-1509-44b5-b421-0588fa131468	PRIMARY_AUXILIARIES
182adf21-e0eb-4e45-8903-211b7df9edbf	a58bcf5c-89ad-4500-b6ff-8bc2a5c497d7	UPS
182adf21-e0eb-4e45-8903-211b7df9edbf	1ca8294e-5d05-43c5-b7cf-17998f152b1f	CRITICAL_AUXILIARIES
182adf21-e0eb-4e45-8903-211b7df9edbf	85ab8e1a-4f65-42c1-b89b-5b196581d60e	LIGHTING
182adf21-e0eb-4e45-8903-211b7df9edbf	d4ee24c9-e83b-4aa5-8d78-4536331c6c8c	CRITICAL_POWER_DISTRIBUTION
182adf21-e0eb-4e45-8903-211b7df9edbf	b2b050f1-b83e-46a7-a876-bcb8525c9c1d	CRAH
182adf21-e0eb-4e45-8903-211b7df9edbf	b160e20d-985a-4b29-9fa1-b3e4a1c4216b	CRAC
182adf21-e0eb-4e45-8903-211b7df9edbf	c7ed0e3e-1332-4fad-b850-7a503795f274	CRAC_WITHOUT_FAN
182adf21-e0eb-4e45-8903-211b7df9edbf	8ec89ed2-b004-4407-b11a-2459c94749ef	CRAC_FAN
182adf21-e0eb-4e45-8903-211b7df9edbf	f602ae9a-a196-4235-b34b-c0c6afe0bc15	CHILLER
182adf21-e0eb-4e45-8903-211b7df9edbf	4550867b-9918-429b-9d2c-aadf7c15cf19	AIR_COOLED_CHILLER
182adf21-e0eb-4e45-8903-211b7df9edbf	8c7bb31b-8df8-401b-ba26-378f4f99319d	COOLING_TOWER
182adf21-e0eb-4e45-8903-211b7df9edbf	2b2e7103-1bad-4160-88d3-ab89c83107ee	DRY_COOLER
182adf21-e0eb-4e45-8903-211b7df9edbf	1ff9afe4-f888-444a-a3bd-6358cef1da07	REMOTE_CONDENSER
182adf21-e0eb-4e45-8903-211b7df9edbf	d840df73-b0e6-4364-95cf-c4f9fce1344b	CHILLED_WATER_PUMPS
182adf21-e0eb-4e45-8903-211b7df9edbf	2d655d1c-5503-4870-be42-a39ac6d6343a	HEAT_REJECTION_PUMPS
182adf21-e0eb-4e45-8903-211b7df9edbf	8a62d7d6-af8b-4961-b084-1c7321d472f7	VENTILATION
182adf21-e0eb-4e45-8903-211b7df9edbf	26c09497-d377-4deb-bf85-882af61e4f27	INFILTRATION
182adf21-e0eb-4e45-8903-211b7df9edbf	daf47388-ef64-408b-9ed4-57798fe09aaf	IT_LOAD
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	d87b05d5-c0bc-448d-9c79-fdcbdea91c75	SWITCHGEAR
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	baf96ab7-9b15-4d32-95b1-2211cc75f989	GENERATOR
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	7e012f07-a143-48c8-99d6-2e3c73b3575f	PRIMARY_AUXILIARIES
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	42b99e8e-72a8-4946-afa3-ae63bc40ea98	UPS
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	ee7c256d-3721-4346-958a-d42e8ceec19c	CRITICAL_AUXILIARIES
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	d992a8b4-c2e4-481a-b62e-1a38799b51a0	LIGHTING
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	73af1303-7fcf-42ad-ad25-e7b6d2e3eb52	CRITICAL_POWER_DISTRIBUTION
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	f90416fd-da82-4907-aed8-1d97a0df2368	CRAH
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	58eaffa7-f0b1-4747-9450-1b16208d6219	CRAC
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	3ea3a9aa-189d-4f05-aee6-cb250532c0de	CRAC_WITHOUT_FAN
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	239d6f48-c779-435b-a497-851632f960b1	CRAC_FAN
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	7ab59d7e-cc8e-4d7d-8b77-29f9e10ef9ac	CHILLER
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	508cdba8-e3f1-43ab-9eb4-7ae360f268ab	AIR_COOLED_CHILLER
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	4cc5f0e3-7d58-4096-aa8a-960443d2af75	COOLING_TOWER
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	cd1b707e-7896-418a-8aeb-cc45af365737	DRY_COOLER
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	7849debd-999c-47c6-a2a5-2a15d25b71d7	REMOTE_CONDENSER
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	49b45a4a-2f05-4823-a7f0-1c0c72319dfa	CHILLED_WATER_PUMPS
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	c9cdfc73-67d7-4c0e-80fe-9e93b2ec4f57	HEAT_REJECTION_PUMPS
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	8fbc48d6-2c7d-46c4-9509-fded6a36ae82	VENTILATION
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	2f8d93f4-6422-4688-b178-29992d9608ab	INFILTRATION
20850025-7ee1-4bc6-8e09-cf05a10cf4dc	14eb216d-7b4e-4e9a-9d79-21681a753049	IT_LOAD
5c5a499f-bbfb-4387-83b9-da550e6f00df	166c030f-242e-451a-9455-40cde50c45f1	SWITCHGEAR
5c5a499f-bbfb-4387-83b9-da550e6f00df	e1ab367a-522a-4b92-bd85-388efb304b58	GENERATOR
5c5a499f-bbfb-4387-83b9-da550e6f00df	3517875e-5075-4008-b0b8-d6a1381a8bf7	PRIMARY_AUXILIARIES
5c5a499f-bbfb-4387-83b9-da550e6f00df	9422dfa9-3e54-4ccc-a1ea-eb16c85a725f	UPS
5c5a499f-bbfb-4387-83b9-da550e6f00df	694114b5-2ef5-4a85-8853-2d824811be92	CRITICAL_AUXILIARIES
5c5a499f-bbfb-4387-83b9-da550e6f00df	de2b93d0-82a0-412a-8a68-f10e2c8bedff	LIGHTING
5c5a499f-bbfb-4387-83b9-da550e6f00df	44662602-c472-4e00-95ac-57bee1f83307	CRITICAL_POWER_DISTRIBUTION
5c5a499f-bbfb-4387-83b9-da550e6f00df	d70ada39-d1d0-4cb6-a1a6-db7c6f0e7f96	CRAH
5c5a499f-bbfb-4387-83b9-da550e6f00df	c2715a1a-2b83-4dfb-8a3a-20e8932e7745	CRAC
5c5a499f-bbfb-4387-83b9-da550e6f00df	06b54feb-c6c3-421d-8d7e-28291994b0eb	CRAC_WITHOUT_FAN
5c5a499f-bbfb-4387-83b9-da550e6f00df	0531958f-9b35-4292-8bce-4cdeec8e8eb0	CRAC_FAN
5c5a499f-bbfb-4387-83b9-da550e6f00df	cd44ea78-0673-49d6-97a3-6dc459b7f3f7	CHILLER
5c5a499f-bbfb-4387-83b9-da550e6f00df	b61c09ad-36ac-4015-afb5-0b543740887e	AIR_COOLED_CHILLER
5c5a499f-bbfb-4387-83b9-da550e6f00df	27b02ca5-77e9-4fc2-ba77-44b5129b1493	COOLING_TOWER
5c5a499f-bbfb-4387-83b9-da550e6f00df	6bb154f5-8cd3-4108-a453-e658ff16f89a	DRY_COOLER
5c5a499f-bbfb-4387-83b9-da550e6f00df	2452e001-52f8-4ef8-b066-29c2ab7b04e2	REMOTE_CONDENSER
5c5a499f-bbfb-4387-83b9-da550e6f00df	e2ef95e5-4269-47c5-b082-a999e6ebce70	CHILLED_WATER_PUMPS
5c5a499f-bbfb-4387-83b9-da550e6f00df	bb3e5162-3c95-4724-a0d3-ba942895df09	HEAT_REJECTION_PUMPS
5c5a499f-bbfb-4387-83b9-da550e6f00df	dc397703-623d-42d7-9d16-6b29f500f36f	VENTILATION
5c5a499f-bbfb-4387-83b9-da550e6f00df	b50390c6-1bbf-401d-b972-c33864c458ec	INFILTRATION
5c5a499f-bbfb-4387-83b9-da550e6f00df	ca2fdf4a-932d-416a-a2aa-0514e813ca38	IT_LOAD
46f24296-b52d-4822-a8c6-642d79a1e9d0	5565169a-2c97-473d-bd89-7cfa0b5fb2d0	SWITCHGEAR
46f24296-b52d-4822-a8c6-642d79a1e9d0	d4e013da-cfd8-46e3-99ac-479a6937088c	GENERATOR
46f24296-b52d-4822-a8c6-642d79a1e9d0	4b65de10-e92b-4500-8d99-72fb89f78eaf	PRIMARY_AUXILIARIES
46f24296-b52d-4822-a8c6-642d79a1e9d0	4145a7b4-f0f3-48b3-af0c-7c2f9a4aca99	UPS
46f24296-b52d-4822-a8c6-642d79a1e9d0	6eda0103-6b50-4908-82c5-52b95986c840	CRITICAL_AUXILIARIES
46f24296-b52d-4822-a8c6-642d79a1e9d0	0da3a771-a404-4e62-8ab1-0b3d1a96a6ed	LIGHTING
46f24296-b52d-4822-a8c6-642d79a1e9d0	abd6aa5f-9c9a-47e6-bc14-20a916785a64	CRITICAL_POWER_DISTRIBUTION
46f24296-b52d-4822-a8c6-642d79a1e9d0	75ca704f-97e8-407e-98e0-e35c34a25094	CRAH
46f24296-b52d-4822-a8c6-642d79a1e9d0	604b0b79-5e53-4bba-ba7d-4eb8adada58f	CRAC
46f24296-b52d-4822-a8c6-642d79a1e9d0	aaac74c7-f6be-4569-b1d0-4082096475a5	CRAC_WITHOUT_FAN
46f24296-b52d-4822-a8c6-642d79a1e9d0	d0f8d673-4704-4bb9-968b-9799402dc090	CRAC_FAN
46f24296-b52d-4822-a8c6-642d79a1e9d0	77c6ac37-6bd0-4c20-b5e2-0679587fce1c	CHILLER
46f24296-b52d-4822-a8c6-642d79a1e9d0	592ccb72-3108-4632-af2a-f0f25f096c04	AIR_COOLED_CHILLER
46f24296-b52d-4822-a8c6-642d79a1e9d0	c4dcb21b-aa32-4746-a358-c98debeb02db	COOLING_TOWER
46f24296-b52d-4822-a8c6-642d79a1e9d0	13f43238-4f7d-4398-8d2c-764cbd729975	DRY_COOLER
46f24296-b52d-4822-a8c6-642d79a1e9d0	5b79eb4c-4f46-4320-896c-470cef2536e3	REMOTE_CONDENSER
46f24296-b52d-4822-a8c6-642d79a1e9d0	7ba57ecd-ac70-4d72-ac5d-dce0ae974b0e	CHILLED_WATER_PUMPS
46f24296-b52d-4822-a8c6-642d79a1e9d0	75c9dcd3-27a6-4b9b-b6e3-256edc7f4a1f	HEAT_REJECTION_PUMPS
46f24296-b52d-4822-a8c6-642d79a1e9d0	7340ea0e-2906-45a1-8efa-04d1d26866ab	VENTILATION
46f24296-b52d-4822-a8c6-642d79a1e9d0	aa0c14d5-c366-4226-8077-2a11870da5f8	INFILTRATION
46f24296-b52d-4822-a8c6-642d79a1e9d0	aa529fe8-cb8e-4d6e-b3a2-02638db10a3e	IT_LOAD
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	1123be7e-305f-439e-9d24-12c728dbc044	SWITCHGEAR
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	9cc206f7-4fd7-4ad0-b9fd-7e15014864ba	GENERATOR
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	19990756-4fd6-4eb0-a3d6-5ce0bf30b83f	PRIMARY_AUXILIARIES
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	1e9ece30-c9a2-482e-b179-2b6c3323396d	UPS
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	415d8166-0a81-4362-b995-4d7e1fe70f91	CRITICAL_AUXILIARIES
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	b7f9d75e-8fc2-42ae-a357-f1292c7bb524	LIGHTING
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	7e4b937d-7f2b-464e-81c3-fb5829b221b8	CRITICAL_POWER_DISTRIBUTION
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	87a26dbd-3216-4071-937f-ef9ab9dd280c	CRAH
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	5d2eb865-a702-44c8-aa7a-3242e2d39e6f	CRAC
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	1c0bdb13-df10-4520-a2c9-7e45a9eb90e8	CRAC_WITHOUT_FAN
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	cb68ac8b-7eeb-4ab7-aa3a-5b2e70270757	CRAC_FAN
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	80eaff11-f0dc-4ee1-8088-40c1dd45da0d	CHILLER
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	6a1eeabf-e2f4-4512-baee-7706e87fffb1	AIR_COOLED_CHILLER
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	c11a6172-2d72-404d-9b44-9021db9229fd	COOLING_TOWER
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	4fc03148-6712-429a-ac3f-31675758e8d7	DRY_COOLER
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	1300db2c-0e3a-479d-885b-026e88609719	REMOTE_CONDENSER
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	7a471b84-6874-4d83-a222-f20d646045cd	CHILLED_WATER_PUMPS
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	f5789af4-a09a-457e-b35c-3cb3369cdb72	HEAT_REJECTION_PUMPS
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	101a095e-d49e-4572-b49e-068db1f25346	VENTILATION
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	611c4542-1c44-4281-8bc2-c08eaa18575a	INFILTRATION
c19e1eb8-a0b4-4308-91c9-384c4751cc3c	dddf3d5a-b52b-4a75-aa82-713f2b7289a5	IT_LOAD
06527bac-d7b1-4bd7-8093-b9caac72db83	6306afbb-3641-45bc-8f95-cb81cde5cf39	SWITCHGEAR
06527bac-d7b1-4bd7-8093-b9caac72db83	ef4fadd9-9f21-4fbd-a4e8-effc4b2cd521	GENERATOR
06527bac-d7b1-4bd7-8093-b9caac72db83	85aefe03-d492-4d19-8440-c787b2e61b4b	PRIMARY_AUXILIARIES
06527bac-d7b1-4bd7-8093-b9caac72db83	197566ff-bb8b-43f9-b474-6d037b1e7b25	UPS
06527bac-d7b1-4bd7-8093-b9caac72db83	0230dbfb-c3ca-4ccf-9e7e-f141911102e6	CRITICAL_AUXILIARIES
06527bac-d7b1-4bd7-8093-b9caac72db83	426f6b1f-2367-45ae-b3e5-a7bfef6996f5	LIGHTING
06527bac-d7b1-4bd7-8093-b9caac72db83	4397488d-e445-4157-9cfc-086d1c41e233	CRITICAL_POWER_DISTRIBUTION
06527bac-d7b1-4bd7-8093-b9caac72db83	0dee3725-3dbc-49d6-9a6a-9be10ecfe198	CRAH
06527bac-d7b1-4bd7-8093-b9caac72db83	e0425f8e-8238-4146-ad64-09149d41f78f	CRAC
06527bac-d7b1-4bd7-8093-b9caac72db83	0b1c69a3-0268-4ccc-9565-58d47ae299a0	CRAC_WITHOUT_FAN
06527bac-d7b1-4bd7-8093-b9caac72db83	ca56e963-5590-44a1-9b52-9cb8bdcad38e	CRAC_FAN
06527bac-d7b1-4bd7-8093-b9caac72db83	72e8a0ee-4f63-4e96-806c-ee1e00d367d3	CHILLER
06527bac-d7b1-4bd7-8093-b9caac72db83	6619d2e7-214d-4e19-8434-c090c853f36d	AIR_COOLED_CHILLER
06527bac-d7b1-4bd7-8093-b9caac72db83	9dd3d365-093d-48f2-81f0-f3e5ca452882	COOLING_TOWER
06527bac-d7b1-4bd7-8093-b9caac72db83	3ff78e86-190d-4acc-8e82-f0ac2dc8a00d	DRY_COOLER
06527bac-d7b1-4bd7-8093-b9caac72db83	37cefe9f-b59e-4dd0-aa36-1424b5407803	REMOTE_CONDENSER
06527bac-d7b1-4bd7-8093-b9caac72db83	0c39e6ab-549c-4066-b70b-d523c2854fa9	CHILLED_WATER_PUMPS
06527bac-d7b1-4bd7-8093-b9caac72db83	2c30aadd-de64-4219-92a3-c13add05cc04	HEAT_REJECTION_PUMPS
06527bac-d7b1-4bd7-8093-b9caac72db83	9ca74180-ff50-4404-a163-9ff5ab0b5e5a	VENTILATION
06527bac-d7b1-4bd7-8093-b9caac72db83	51f6010f-5f92-428c-bc0c-948003a912fb	INFILTRATION
06527bac-d7b1-4bd7-8093-b9caac72db83	20bd1d1c-34e6-4a69-ba7e-bb23be983b16	IT_LOAD
a2384611-523d-4597-b674-3c34807edffd	1f6ce4dc-8746-4a38-81ac-da9a39bd7773	SWITCHGEAR
a2384611-523d-4597-b674-3c34807edffd	71dee57d-70ec-4623-a738-b97fa23ab338	GENERATOR
a2384611-523d-4597-b674-3c34807edffd	dc2019ec-b4bc-4c0f-b069-830165b5d185	PRIMARY_AUXILIARIES
a2384611-523d-4597-b674-3c34807edffd	00124197-2a8f-4a18-9bc3-df8b7862c755	UPS
a2384611-523d-4597-b674-3c34807edffd	e27e3983-eb4d-4535-b94f-3fb0e52c2983	CRITICAL_AUXILIARIES
a2384611-523d-4597-b674-3c34807edffd	0ff73562-da39-40d7-84af-3b59808b969f	LIGHTING
a2384611-523d-4597-b674-3c34807edffd	e06e5b91-5d19-431b-bb7c-86767a8f465e	CRITICAL_POWER_DISTRIBUTION
a2384611-523d-4597-b674-3c34807edffd	800a7dfd-4bb2-42cc-b032-5cdfcafc1f1f	CRAH
a2384611-523d-4597-b674-3c34807edffd	7c87a9c7-7eeb-430e-b4d4-869b07986bfb	CRAC
a2384611-523d-4597-b674-3c34807edffd	6ad48b40-d9df-4a59-91b9-93e68bb604dd	CRAC_WITHOUT_FAN
a2384611-523d-4597-b674-3c34807edffd	26583e5d-5cbd-4f37-9c1c-a4144dcd8b82	CRAC_FAN
a2384611-523d-4597-b674-3c34807edffd	91f6bcd9-a0a2-49a1-9ced-864562b35b72	CHILLER
a2384611-523d-4597-b674-3c34807edffd	112841ae-e51d-4b05-a2ab-943102c5cb43	AIR_COOLED_CHILLER
a2384611-523d-4597-b674-3c34807edffd	94e007b7-d025-4939-a55a-89f69b068f18	COOLING_TOWER
a2384611-523d-4597-b674-3c34807edffd	ed6961cb-9853-43a3-bc62-0f9d5b4a6b10	DRY_COOLER
a2384611-523d-4597-b674-3c34807edffd	ef8397de-c570-4b4b-a200-35f98ee31afa	REMOTE_CONDENSER
a2384611-523d-4597-b674-3c34807edffd	85bb0a83-2ec7-4ff4-9b36-4c92a28812db	CHILLED_WATER_PUMPS
a2384611-523d-4597-b674-3c34807edffd	543014d4-fc53-4dce-a841-6c71c7b2cc8b	HEAT_REJECTION_PUMPS
a2384611-523d-4597-b674-3c34807edffd	c8be8cb7-1a6c-453d-86ca-0ee8c6824ade	VENTILATION
a2384611-523d-4597-b674-3c34807edffd	038007c0-3439-447b-b4d0-6376c5113f9d	INFILTRATION
a2384611-523d-4597-b674-3c34807edffd	150ded0c-13d9-4897-b4f7-7588a942bedf	IT_LOAD
9fc96903-087d-4bc8-8889-b672976253f2	50c9e4d8-d947-49e7-8d97-47c89e9025e1	SWITCHGEAR
9fc96903-087d-4bc8-8889-b672976253f2	76b56b88-d434-4ce5-99c7-5439d3efc471	GENERATOR
9fc96903-087d-4bc8-8889-b672976253f2	e2e36125-8101-4682-946c-609100a40edc	PRIMARY_AUXILIARIES
9fc96903-087d-4bc8-8889-b672976253f2	598a987e-9e0f-4efe-9560-217ee3b0e7be	UPS
9fc96903-087d-4bc8-8889-b672976253f2	59749820-720f-4b6a-9dff-117b71656964	CRITICAL_AUXILIARIES
9fc96903-087d-4bc8-8889-b672976253f2	205bb689-8d40-48ba-bf24-d70c249abd01	LIGHTING
9fc96903-087d-4bc8-8889-b672976253f2	a5aec04b-886e-49d3-a8c6-59b40633e895	CRITICAL_POWER_DISTRIBUTION
9fc96903-087d-4bc8-8889-b672976253f2	6c10e8e8-96b7-4e81-bdb7-c6e09392dfa5	CRAH
9fc96903-087d-4bc8-8889-b672976253f2	18754c54-d268-4e76-8e06-fab0fec2e052	CRAC
9fc96903-087d-4bc8-8889-b672976253f2	6d7f1c70-11a1-4314-b97b-e3372c53df36	CRAC_WITHOUT_FAN
9fc96903-087d-4bc8-8889-b672976253f2	6516c0a8-b4ce-4b17-8af5-f24817c8ed7f	CRAC_FAN
9fc96903-087d-4bc8-8889-b672976253f2	e4183ed0-88c0-4335-a31f-ed506afcc055	CHILLER
9fc96903-087d-4bc8-8889-b672976253f2	f0f35ba5-3e67-4622-afdb-9e27d57107d1	AIR_COOLED_CHILLER
9fc96903-087d-4bc8-8889-b672976253f2	aa7940cc-2236-42a0-bcd7-2bda392a247a	COOLING_TOWER
9fc96903-087d-4bc8-8889-b672976253f2	3e2cbccc-e1f1-44ad-af56-294951183d31	DRY_COOLER
9fc96903-087d-4bc8-8889-b672976253f2	7336d35f-c11f-4bdf-8751-1ef1de93c72e	REMOTE_CONDENSER
9fc96903-087d-4bc8-8889-b672976253f2	2aade6af-7657-420f-a75b-8507b16c7ff1	CHILLED_WATER_PUMPS
9fc96903-087d-4bc8-8889-b672976253f2	a8448011-8ba6-45af-83ea-1a21c951aa7d	HEAT_REJECTION_PUMPS
9fc96903-087d-4bc8-8889-b672976253f2	0fef08d2-b87b-4537-bff3-717951941258	VENTILATION
9fc96903-087d-4bc8-8889-b672976253f2	78c1e194-2ea2-49fc-9338-4ba21a3017b9	INFILTRATION
9fc96903-087d-4bc8-8889-b672976253f2	0195fc12-9f37-42b3-87ed-89254e2d082c	IT_LOAD
f5ad7941-9a49-44c9-8591-46ffbcb015b2	0510fe8d-aa05-43a5-81cb-b2be9f06723b	SWITCHGEAR
f5ad7941-9a49-44c9-8591-46ffbcb015b2	aaf5942b-67da-4a85-817e-b3d1f8c06337	GENERATOR
f5ad7941-9a49-44c9-8591-46ffbcb015b2	315ef823-d5e3-4130-be3c-9374cd56bcee	PRIMARY_AUXILIARIES
f5ad7941-9a49-44c9-8591-46ffbcb015b2	ab53234a-c4db-4b96-91be-8b23a9c4e450	UPS
f5ad7941-9a49-44c9-8591-46ffbcb015b2	08280f87-5083-478c-b431-467f2a8de3f6	CRITICAL_AUXILIARIES
f5ad7941-9a49-44c9-8591-46ffbcb015b2	51c5ef64-2bf3-4aed-bfd2-0b1ab0c5d94c	LIGHTING
f5ad7941-9a49-44c9-8591-46ffbcb015b2	5e74f046-ebbd-4843-8f28-f153fa0b3536	CRITICAL_POWER_DISTRIBUTION
f5ad7941-9a49-44c9-8591-46ffbcb015b2	4bc09db1-5dd9-4d9e-97cd-4c3d8154060d	CRAH
f5ad7941-9a49-44c9-8591-46ffbcb015b2	8cb543d1-347d-4db1-8dd6-fc1200101757	CRAC
f5ad7941-9a49-44c9-8591-46ffbcb015b2	47b982cb-b2e9-48d8-ae69-0b4d5e305f98	CRAC_WITHOUT_FAN
f5ad7941-9a49-44c9-8591-46ffbcb015b2	90de0780-b2e7-487b-9d96-4cd6aab9a8a4	CRAC_FAN
f5ad7941-9a49-44c9-8591-46ffbcb015b2	a0efe85f-c37b-46d6-bd08-1b4bb9803605	CHILLER
f5ad7941-9a49-44c9-8591-46ffbcb015b2	a40be2c7-c28b-47ea-89f9-8bc224cf3e1a	AIR_COOLED_CHILLER
f5ad7941-9a49-44c9-8591-46ffbcb015b2	68a4b530-0d04-4120-9d44-4773c0225641	COOLING_TOWER
f5ad7941-9a49-44c9-8591-46ffbcb015b2	b8107d9b-ac11-465d-90aa-f07a720938e1	DRY_COOLER
f5ad7941-9a49-44c9-8591-46ffbcb015b2	c7a91716-12dc-409c-8e9f-4091d41f33f3	REMOTE_CONDENSER
f5ad7941-9a49-44c9-8591-46ffbcb015b2	e7c60fda-3363-4811-8eaa-36ea2cfa2014	CHILLED_WATER_PUMPS
f5ad7941-9a49-44c9-8591-46ffbcb015b2	e8a6ae9a-b4db-4676-9e9e-89edd996df3a	HEAT_REJECTION_PUMPS
f5ad7941-9a49-44c9-8591-46ffbcb015b2	445f678a-57c0-4acf-9130-5f34335a80d2	VENTILATION
f5ad7941-9a49-44c9-8591-46ffbcb015b2	32770d76-b7c4-4e92-bba6-de2216f56912	INFILTRATION
f5ad7941-9a49-44c9-8591-46ffbcb015b2	1f81f7a5-0a31-4e47-8250-89a9d5ccea57	IT_LOAD
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	40fe9a1b-ec6d-49fd-a4bf-dfcb603ee8d5	SWITCHGEAR
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	01735da9-626f-4ee4-9f93-08955411df14	GENERATOR
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	4565c9c9-192b-468c-a309-f84f900bb658	PRIMARY_AUXILIARIES
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	65a4cace-128b-46e3-901c-c18e927e1313	UPS
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	d29beb65-68e2-41d2-865f-5fffa28038f9	CRITICAL_AUXILIARIES
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	3e233aad-589d-4028-b3a5-02336765636b	LIGHTING
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	a88bd850-b56d-4aeb-9a83-3e9cdd43a992	CRITICAL_POWER_DISTRIBUTION
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	a429b0e3-aa79-47fa-974a-28360fd0320c	CRAH
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	07f06114-6796-4f9d-b1af-489a931993d3	CRAC
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	fffd324c-37c5-4eaf-bab0-da4cc9266a6f	CRAC_WITHOUT_FAN
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	38685ec7-537f-4cdc-bbd2-1cc0bcf28dd8	CRAC_FAN
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	c60b513c-1d0b-40a0-a2e6-8f04e6c499c1	CHILLER
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	2e6f8c02-9995-41a9-9c5d-8083922f52a9	AIR_COOLED_CHILLER
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	0733906d-2466-4e6a-9338-2ef1d67bcb25	COOLING_TOWER
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	a0468d50-57fa-4952-8724-303b8f208cd8	DRY_COOLER
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	087f4566-78e2-4f26-95a2-8d2bc1004c07	REMOTE_CONDENSER
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	ab36f9d0-17c8-4ee0-a3eb-c758dc9b890b	CHILLED_WATER_PUMPS
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	3497e0ab-53f5-4e9a-9bc8-30be222631c5	HEAT_REJECTION_PUMPS
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	0e06e102-c72c-4fc7-81a2-a82be3d9c830	VENTILATION
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	485bfd77-2ee2-479f-8cd8-85d296a30a2c	INFILTRATION
d27b5b65-8e37-4653-9c5b-ba3529f23f5b	9dd62674-a008-403e-b341-94dc94c0386a	IT_LOAD
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	c7ccb045-2dbd-4258-b410-925892152c20	SWITCHGEAR
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	ce1a63e7-45fb-4497-b867-209ca91b41bf	GENERATOR
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	26de8eec-671b-451c-90f7-8a9435c12de8	PRIMARY_AUXILIARIES
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	ee0c20b9-bb94-4f92-b7ec-813a97a8d7b6	UPS
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	79b38e1a-69d8-4bb4-b5cc-3c94042a0254	CRITICAL_AUXILIARIES
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	8d16429d-2937-468a-8842-89f65d3fd71f	LIGHTING
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	d62a7e66-11ce-4b14-970f-83b5238e8416	CRITICAL_POWER_DISTRIBUTION
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	df32c9e6-c20f-42b7-b258-006be612eea3	CRAH
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	9e1857b9-6434-4f01-8e47-38a8ea1b2b0b	CRAC
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	cc78d9ac-b174-4e87-b81e-28fd86d3c412	CRAC_WITHOUT_FAN
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	175b5e58-3238-4107-98e3-0ab2fd61398b	CRAC_FAN
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	d9542b0a-48dd-483a-9b0e-fc6136ce9c6e	CHILLER
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	47a5cd8e-7d47-43d2-932a-2499d3ad7fcf	AIR_COOLED_CHILLER
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	146c0033-df95-43a2-963d-2016e2b0e5e4	COOLING_TOWER
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	d2b840fc-83e7-4289-8f8a-e9376c1b14f3	DRY_COOLER
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	7d39545a-660d-48f4-a402-ac6717b5f082	REMOTE_CONDENSER
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	dff53f82-5662-49c6-8095-1e3a2c173cea	CHILLED_WATER_PUMPS
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	13ce6837-63ea-4ad2-9e72-bb0ec34ed24e	HEAT_REJECTION_PUMPS
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	be547216-4bc0-4dfa-9363-f55f8efe25bf	VENTILATION
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	e7ba0ed9-db9b-4d09-9d36-5793ef773b50	INFILTRATION
aac16ab2-dbb0-46a5-bc4e-993a5a12163c	56bfee4e-42bd-4771-a221-8142c1818c81	IT_LOAD
cc76996d-6952-4ebc-be07-e05192107057	dc50cd9b-df99-4613-bf45-2d95824ee018	SWITCHGEAR
cc76996d-6952-4ebc-be07-e05192107057	c1f2d225-99a1-4532-99c2-a8efa29f95fe	GENERATOR
cc76996d-6952-4ebc-be07-e05192107057	1cdd0c3b-09a3-4645-8cec-68d289b688d5	PRIMARY_AUXILIARIES
cc76996d-6952-4ebc-be07-e05192107057	6e32a3f1-7dc7-4555-910a-eea91fdc0258	UPS
cc76996d-6952-4ebc-be07-e05192107057	5e09636b-35b7-450b-a592-9d4ac519ef93	CRITICAL_AUXILIARIES
cc76996d-6952-4ebc-be07-e05192107057	c1146125-3675-446d-ae95-4d0f6fd10408	LIGHTING
cc76996d-6952-4ebc-be07-e05192107057	6c831479-25f6-4f05-a48e-579c9dc3e83c	CRITICAL_POWER_DISTRIBUTION
cc76996d-6952-4ebc-be07-e05192107057	1a349bf8-ec01-459d-802e-3ff05d781b41	CRAH
cc76996d-6952-4ebc-be07-e05192107057	2fb3f59a-66d9-40a8-bf26-93bf0ed89538	CRAC
cc76996d-6952-4ebc-be07-e05192107057	ef65e8e4-cfb2-4f49-9605-8725e6f1358b	CRAC_WITHOUT_FAN
cc76996d-6952-4ebc-be07-e05192107057	e7c217f7-4e7e-401c-9fcd-683fee034059	CRAC_FAN
cc76996d-6952-4ebc-be07-e05192107057	fe72225e-b826-4b87-9504-9a3c273c88b3	CHILLER
cc76996d-6952-4ebc-be07-e05192107057	8579f2b2-0fdd-48d9-aa5f-749a2ee2c303	AIR_COOLED_CHILLER
cc76996d-6952-4ebc-be07-e05192107057	fd9bd0e6-50ff-4d7a-a243-4a3274d0c0d9	COOLING_TOWER
cc76996d-6952-4ebc-be07-e05192107057	3b3388ed-f02b-46ad-923c-8b437c47b3d1	DRY_COOLER
cc76996d-6952-4ebc-be07-e05192107057	7dd9471b-040a-4da0-b572-11825596dc66	REMOTE_CONDENSER
cc76996d-6952-4ebc-be07-e05192107057	3b1349fa-92bb-4f62-9b51-31a926720f9d	CHILLED_WATER_PUMPS
cc76996d-6952-4ebc-be07-e05192107057	1467f66a-dcfd-4fd5-bdd9-8d9beade9a59	HEAT_REJECTION_PUMPS
cc76996d-6952-4ebc-be07-e05192107057	e7baf7b8-7162-4bcd-8c07-178820ff0794	VENTILATION
cc76996d-6952-4ebc-be07-e05192107057	0995baff-9de2-4090-92c1-ec2099e11acf	INFILTRATION
cc76996d-6952-4ebc-be07-e05192107057	8a7da028-87cc-4c39-902f-3c10d3a13c60	IT_LOAD
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	99ddd73d-b52a-4817-b538-99e5f3db8edc	SWITCHGEAR
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	e11328c3-3465-4fc3-b82d-50d4223d1af3	GENERATOR
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	7ef8d425-b7f0-4024-9500-c804b7ce7044	PRIMARY_AUXILIARIES
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	0a0e6c51-e034-4cc7-8f7e-fb77fde1cae7	UPS
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	c8adbd59-bd3d-470a-88af-70ad88055c80	CRITICAL_AUXILIARIES
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	6c9e5504-7b4f-4387-9144-f009696943fd	LIGHTING
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	824186db-ec58-4bfc-83ed-801f8eaac2da	CRITICAL_POWER_DISTRIBUTION
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	b37bdfea-9d82-409d-8d57-e88786df61be	CRAH
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	b98d4c63-e78b-4489-a62e-bb8f5e6d9d89	CRAC
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	e65471aa-d2b1-4c3d-8863-bb2d7dfbfb69	CRAC_WITHOUT_FAN
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	c85b9cb9-7a8d-41fa-996b-fdc34b6cb893	CRAC_FAN
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	2030f4a1-eafc-435d-9158-46a9098a29ee	CHILLER
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	65b734b8-5f1f-4938-86fd-4560a11850e5	AIR_COOLED_CHILLER
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	aefd6f83-23d4-4dbe-98c5-c0b1d6ab244d	COOLING_TOWER
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	78063c29-fec3-4676-8e95-3a732ebb35ac	DRY_COOLER
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	19d802d0-eed8-4372-8325-5449e12d8951	REMOTE_CONDENSER
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	cc00a7ff-9077-4ece-87a1-d1d9aeb3c774	CHILLED_WATER_PUMPS
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	a63f294d-94f7-4dd8-9662-d99f593f98cc	HEAT_REJECTION_PUMPS
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	4acf92aa-01ea-42b8-b0e6-8c279cf2f8ad	VENTILATION
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	94c37c2f-1c41-4b42-9132-3f1782714739	INFILTRATION
5f0f08db-bbec-44f2-9c7f-8073b7c32fbd	9ad864e8-2dc5-4d91-9765-dc1daeeda814	IT_LOAD
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	36e0e29f-45f4-4239-b427-b5dda1705bb7	SWITCHGEAR
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	08302edb-cd89-4a12-99a0-75f45eb6b54e	GENERATOR
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	16f3d678-b2a0-4ed6-9ecf-5debed6f76e4	PRIMARY_AUXILIARIES
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	8cc0c320-3220-496b-9198-4521e57b9bac	UPS
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	8a68dd37-ec85-43f3-bb1e-35d865aa67c8	CRITICAL_AUXILIARIES
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	089ed526-0a7d-4670-8793-1b66cb2405d3	LIGHTING
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	e29cb684-624f-4305-a715-9be90486b408	CRITICAL_POWER_DISTRIBUTION
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	3a043343-1017-48f8-b293-707f1d14bb3a	CRAH
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	f3478872-7d08-4b08-8c6d-cd6c708c182b	CRAC
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	cf2ca020-c0ee-4f6f-9863-6be9d7ef4dbb	CRAC_WITHOUT_FAN
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	134ecc9d-e80e-45d1-853c-d00607e6182c	CRAC_FAN
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	35257f9f-6d71-451f-906f-6b0f3e84f3b2	CHILLER
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	103fc744-b960-451a-a5df-acfab82fc9b2	AIR_COOLED_CHILLER
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	6f6fb766-646d-4be2-974d-84213ac63323	COOLING_TOWER
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	c7e0932e-fba9-47e1-ab87-243cbb0dbfb8	DRY_COOLER
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	d19eca6a-8ebc-401c-93dd-8be2e3902a9b	REMOTE_CONDENSER
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	4f6711f2-94b8-468f-8996-8c567b064406	CHILLED_WATER_PUMPS
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	c561c8b8-2acb-4e31-a13b-b72396ea6b3a	HEAT_REJECTION_PUMPS
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	a9442a3e-3c3c-4a08-b57e-b93dc2270a86	VENTILATION
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	15d9f582-b5f1-4eeb-818c-75ffc8c2cf86	INFILTRATION
a9d517a5-0ac2-4d46-ae8e-00c98a2de13a	7ea4c3b1-d94c-4f0b-a1e2-2def0d374182	IT_LOAD
7209f1cf-4e9a-4ee1-a234-21e6274e954b	1cfbe647-2728-41da-816f-35a84decca9a	SWITCHGEAR
7209f1cf-4e9a-4ee1-a234-21e6274e954b	0d0ecdfe-cf38-4e4a-b554-f77471467a6f	GENERATOR
7209f1cf-4e9a-4ee1-a234-21e6274e954b	b8262d8d-5348-4fe8-aefb-f809f5b63a05	PRIMARY_AUXILIARIES
7209f1cf-4e9a-4ee1-a234-21e6274e954b	2c4352ba-80f7-4021-840e-fe770e80d722	UPS
7209f1cf-4e9a-4ee1-a234-21e6274e954b	e65a329f-6926-4bf0-9fdf-a1a6a033b91b	CRITICAL_AUXILIARIES
7209f1cf-4e9a-4ee1-a234-21e6274e954b	1a603cd2-d4cc-4b1b-8980-31c7d922e05b	LIGHTING
7209f1cf-4e9a-4ee1-a234-21e6274e954b	36b089d8-80eb-41d0-a927-07e3e87f303e	CRITICAL_POWER_DISTRIBUTION
7209f1cf-4e9a-4ee1-a234-21e6274e954b	3bbafdae-3f12-4bb7-a4d8-a0618c578733	CRAH
7209f1cf-4e9a-4ee1-a234-21e6274e954b	e0e2131a-2b9b-4d9c-a9c2-e50c7b73a515	CRAC
7209f1cf-4e9a-4ee1-a234-21e6274e954b	1a783f98-b13f-40e3-af4b-7eb75ffb7727	CRAC_WITHOUT_FAN
7209f1cf-4e9a-4ee1-a234-21e6274e954b	fda98cb3-de5e-4ab4-9b19-47b928520e7d	CRAC_FAN
7209f1cf-4e9a-4ee1-a234-21e6274e954b	ed11edd1-b0fd-40bb-9452-28edd46610a5	CHILLER
7209f1cf-4e9a-4ee1-a234-21e6274e954b	90c93a48-85c5-4aff-bb3b-8f2aeec20997	AIR_COOLED_CHILLER
7209f1cf-4e9a-4ee1-a234-21e6274e954b	afbb0f8c-c40d-4839-9c41-d230bb1263f0	COOLING_TOWER
7209f1cf-4e9a-4ee1-a234-21e6274e954b	17e32628-2384-4149-aeb8-e8c8b2273f04	DRY_COOLER
7209f1cf-4e9a-4ee1-a234-21e6274e954b	9dff1f45-c6c0-4058-b495-b24594767ccb	REMOTE_CONDENSER
7209f1cf-4e9a-4ee1-a234-21e6274e954b	d6e59015-d7a1-4295-81b6-2ab6c6890a92	CHILLED_WATER_PUMPS
7209f1cf-4e9a-4ee1-a234-21e6274e954b	ed9c8072-6fc2-4a61-bdd9-a4cf70f6109d	HEAT_REJECTION_PUMPS
7209f1cf-4e9a-4ee1-a234-21e6274e954b	edbba758-3ffd-41c4-8d26-af6dda481eb4	VENTILATION
7209f1cf-4e9a-4ee1-a234-21e6274e954b	82589968-c2a6-46e8-b9fd-badcef654f32	INFILTRATION
7209f1cf-4e9a-4ee1-a234-21e6274e954b	00dd15da-e65c-4b7f-9712-63123f280ed5	IT_LOAD
eed6393c-4171-4e8c-a614-73cb82f7124b	a97e3c71-244a-4d1d-811f-9afe36a96341	SWITCHGEAR
eed6393c-4171-4e8c-a614-73cb82f7124b	7a3cef6c-3f96-4107-a20b-ef44fd01d65b	GENERATOR
eed6393c-4171-4e8c-a614-73cb82f7124b	002b8ed6-8ab6-40ae-9df8-f0057c959ab9	PRIMARY_AUXILIARIES
eed6393c-4171-4e8c-a614-73cb82f7124b	460c5bf7-1f7e-457b-aea9-2ab9c0312d42	UPS
eed6393c-4171-4e8c-a614-73cb82f7124b	43bd5281-1030-47d7-9734-ad5dd553ad6c	CRITICAL_AUXILIARIES
eed6393c-4171-4e8c-a614-73cb82f7124b	dd7c1134-7b40-4ebd-86d1-dbdb90d14e02	LIGHTING
eed6393c-4171-4e8c-a614-73cb82f7124b	b6b243b8-7e8a-48c4-b021-a49284676c6c	CRITICAL_POWER_DISTRIBUTION
eed6393c-4171-4e8c-a614-73cb82f7124b	89ae6b6e-8502-4aa2-8e21-5a34c21f55a2	CRAH
eed6393c-4171-4e8c-a614-73cb82f7124b	7cfe8dd2-e046-4560-9122-6821e2f00e66	CRAC
eed6393c-4171-4e8c-a614-73cb82f7124b	cf7c2d71-4ebe-4160-8d10-43601bcddeab	CRAC_WITHOUT_FAN
eed6393c-4171-4e8c-a614-73cb82f7124b	501cc9e1-4645-4178-bd7e-c0e9cebc0a14	CRAC_FAN
eed6393c-4171-4e8c-a614-73cb82f7124b	3440befa-e474-48b7-bc4f-c92055f36015	CHILLER
eed6393c-4171-4e8c-a614-73cb82f7124b	a2468457-bd64-497f-a255-41c421f82b18	AIR_COOLED_CHILLER
eed6393c-4171-4e8c-a614-73cb82f7124b	6cd2754c-196d-47ca-9c7d-ee61245d9b33	COOLING_TOWER
eed6393c-4171-4e8c-a614-73cb82f7124b	1b0c4b5a-a362-4c37-a894-19cff76e8d8b	DRY_COOLER
eed6393c-4171-4e8c-a614-73cb82f7124b	a997cdd4-205a-4b8e-abfe-5a89f3910d23	REMOTE_CONDENSER
eed6393c-4171-4e8c-a614-73cb82f7124b	36ccbe22-4a49-44c3-98b7-c26313cfa93a	CHILLED_WATER_PUMPS
eed6393c-4171-4e8c-a614-73cb82f7124b	78dbb492-8ecc-4b4f-b475-b146f59ac954	HEAT_REJECTION_PUMPS
eed6393c-4171-4e8c-a614-73cb82f7124b	f556c11f-9249-4ecb-9a21-a410fea09df4	VENTILATION
eed6393c-4171-4e8c-a614-73cb82f7124b	210026de-29c7-4922-a34d-15cfc6ca5971	INFILTRATION
eed6393c-4171-4e8c-a614-73cb82f7124b	a77c5a8f-1a98-4275-a060-3a9e4fc6f122	IT_LOAD
ce52003b-466f-40f3-ab42-e3551a64e914	8daa52ec-1371-439a-b03f-b99eceab14ac	SWITCHGEAR
ce52003b-466f-40f3-ab42-e3551a64e914	9c9e637a-1f9e-4454-b448-ce2e7f43bef5	GENERATOR
ce52003b-466f-40f3-ab42-e3551a64e914	3f69b1cb-faba-4dec-b6af-d739dc6ac9de	PRIMARY_AUXILIARIES
ce52003b-466f-40f3-ab42-e3551a64e914	866da1b1-a258-4742-96a9-e517df75f0ea	UPS
ce52003b-466f-40f3-ab42-e3551a64e914	ed7a5b96-93e3-4a48-bb32-692513e1baf6	CRITICAL_AUXILIARIES
ce52003b-466f-40f3-ab42-e3551a64e914	3adc7c5f-8d6f-4dec-8002-60c63dfa39ae	LIGHTING
ce52003b-466f-40f3-ab42-e3551a64e914	01eae3b9-8afb-4244-a68c-da1e0b3e3415	CRITICAL_POWER_DISTRIBUTION
ce52003b-466f-40f3-ab42-e3551a64e914	1c6ae018-428d-4216-9868-d1c5717d37fd	CRAH
ce52003b-466f-40f3-ab42-e3551a64e914	eea7d251-0ea8-4af2-a3ca-8319bb8f4840	CRAC
ce52003b-466f-40f3-ab42-e3551a64e914	d4c61eab-d426-47ea-a5bc-25c405b19635	CRAC_WITHOUT_FAN
ce52003b-466f-40f3-ab42-e3551a64e914	f7e52b84-9d01-46ce-9f46-bc368dc65b06	CRAC_FAN
ce52003b-466f-40f3-ab42-e3551a64e914	a41f0429-b903-4a6b-80cb-575ee99c4079	CHILLER
ce52003b-466f-40f3-ab42-e3551a64e914	9e0ac50c-18fa-4cbf-b4ec-ae5232dda846	AIR_COOLED_CHILLER
ce52003b-466f-40f3-ab42-e3551a64e914	e338cd9f-8cf0-409b-b4b4-906f911cd5f2	COOLING_TOWER
ce52003b-466f-40f3-ab42-e3551a64e914	24937c36-44c4-4d2f-998c-ae2515ce1131	DRY_COOLER
ce52003b-466f-40f3-ab42-e3551a64e914	5b3aecb2-0cae-404c-aeb7-95a6c7a328ed	REMOTE_CONDENSER
ce52003b-466f-40f3-ab42-e3551a64e914	af673715-8aaa-4246-afb1-417e77385c7c	CHILLED_WATER_PUMPS
ce52003b-466f-40f3-ab42-e3551a64e914	1238dff5-b1e3-4e7f-96ca-3b00eec451f4	HEAT_REJECTION_PUMPS
ce52003b-466f-40f3-ab42-e3551a64e914	163b00c0-e99c-4483-9b78-2af6dbb83fba	VENTILATION
ce52003b-466f-40f3-ab42-e3551a64e914	66bc9e1d-1a5b-4529-bf1d-26d32e51957c	INFILTRATION
ce52003b-466f-40f3-ab42-e3551a64e914	70dcfea9-1828-4c45-bff5-06ac0cbad0a1	IT_LOAD
6b6aacbe-ede3-4f96-81d3-487233ce6c02	c346d3c7-c596-4d56-ace4-5ca944e825c6	SWITCHGEAR
6b6aacbe-ede3-4f96-81d3-487233ce6c02	0e613336-460c-4293-a5d4-48878b1aef24	GENERATOR
6b6aacbe-ede3-4f96-81d3-487233ce6c02	fd53885a-7b62-435f-822a-d9c589163b5e	PRIMARY_AUXILIARIES
6b6aacbe-ede3-4f96-81d3-487233ce6c02	bbac2bed-2679-4159-93d4-e1f165ec59a9	UPS
6b6aacbe-ede3-4f96-81d3-487233ce6c02	f733bc75-eb79-47ae-bd41-fa61073eb9dc	CRITICAL_AUXILIARIES
6b6aacbe-ede3-4f96-81d3-487233ce6c02	a7e47bad-15b3-4ab6-a48a-b96427479d9d	LIGHTING
6b6aacbe-ede3-4f96-81d3-487233ce6c02	36aa2416-20e6-49de-a4e9-47bfce5fbaf7	CRITICAL_POWER_DISTRIBUTION
6b6aacbe-ede3-4f96-81d3-487233ce6c02	7475e307-dafd-424c-83d2-3cb1950d87b4	CRAH
6b6aacbe-ede3-4f96-81d3-487233ce6c02	e2871640-9a6a-4fe7-820d-e6d04b1be8aa	CRAC
6b6aacbe-ede3-4f96-81d3-487233ce6c02	42797f1b-08e0-41a7-bbff-25f134ce8d01	CRAC_WITHOUT_FAN
6b6aacbe-ede3-4f96-81d3-487233ce6c02	4a5f1099-b55a-4a23-bfe0-6e79fc4b49e3	CRAC_FAN
6b6aacbe-ede3-4f96-81d3-487233ce6c02	739f72de-0f0b-4f4d-812c-da2bfaa35567	CHILLER
6b6aacbe-ede3-4f96-81d3-487233ce6c02	319d7f44-b88d-4f48-ad62-cba7d4f30fe0	AIR_COOLED_CHILLER
6b6aacbe-ede3-4f96-81d3-487233ce6c02	d91b6374-a50c-4d13-a62c-d73146ff1561	COOLING_TOWER
6b6aacbe-ede3-4f96-81d3-487233ce6c02	a5a9b9f7-4f4e-408b-8c9f-2952a8a29cde	DRY_COOLER
6b6aacbe-ede3-4f96-81d3-487233ce6c02	7a7006e8-7b0a-44b6-9e1b-12075c6c8ef2	REMOTE_CONDENSER
6b6aacbe-ede3-4f96-81d3-487233ce6c02	b6decce6-8685-410b-8b9a-9cc3555d681b	CHILLED_WATER_PUMPS
6b6aacbe-ede3-4f96-81d3-487233ce6c02	4b55f991-0cd4-4854-b917-c80ee11282c2	HEAT_REJECTION_PUMPS
6b6aacbe-ede3-4f96-81d3-487233ce6c02	39191925-0811-44a6-9cc3-a4a94e8a3cee	VENTILATION
6b6aacbe-ede3-4f96-81d3-487233ce6c02	a00b198c-6a08-48c7-b825-f239c1061a83	INFILTRATION
6b6aacbe-ede3-4f96-81d3-487233ce6c02	4d88d0f8-c78c-472d-9dc5-47781dfa0409	IT_LOAD
e8bb780e-8945-4499-866f-45364c434751	48977beb-0f23-4a89-a9db-eac0d2c195aa	SWITCHGEAR
e8bb780e-8945-4499-866f-45364c434751	57862e93-8110-43a4-8c7e-79428fd9551c	GENERATOR
e8bb780e-8945-4499-866f-45364c434751	05be07c2-7867-42d4-8167-8e0a765f3713	PRIMARY_AUXILIARIES
e8bb780e-8945-4499-866f-45364c434751	ab897b05-9c5c-46d2-b352-32187d9a6325	UPS
e8bb780e-8945-4499-866f-45364c434751	985ceb2d-dca0-41c6-aff1-424d99fc5ca0	CRITICAL_AUXILIARIES
e8bb780e-8945-4499-866f-45364c434751	9b8c8cb3-36c9-45aa-b4ec-231b0983d3de	LIGHTING
e8bb780e-8945-4499-866f-45364c434751	7abc76ab-73c0-4fc7-bf5a-06cc2f48f8cd	CRITICAL_POWER_DISTRIBUTION
e8bb780e-8945-4499-866f-45364c434751	afda9aa9-5764-4e74-820e-56091aaed966	CRAH
e8bb780e-8945-4499-866f-45364c434751	47c58ed8-1655-43cc-b965-0c62df465335	CRAC
e8bb780e-8945-4499-866f-45364c434751	2af8585c-c388-40bd-8811-d89252d7a47b	CRAC_WITHOUT_FAN
e8bb780e-8945-4499-866f-45364c434751	d1323c49-4dd6-47eb-94cb-d6aee4b95a18	CRAC_FAN
e8bb780e-8945-4499-866f-45364c434751	1bd6d346-9963-485d-8d40-acb1deb98ca7	CHILLER
e8bb780e-8945-4499-866f-45364c434751	8830332f-01f4-42d1-a620-97b47838e0af	AIR_COOLED_CHILLER
e8bb780e-8945-4499-866f-45364c434751	6aa668a2-aa0f-451e-afd6-8956e21db3a0	COOLING_TOWER
e8bb780e-8945-4499-866f-45364c434751	28a2c400-7428-46fc-a72a-9edff741a94d	DRY_COOLER
e8bb780e-8945-4499-866f-45364c434751	0771b62c-3e06-45cc-87f3-628fad65c16b	REMOTE_CONDENSER
e8bb780e-8945-4499-866f-45364c434751	4fcc6e70-63d3-478f-ae06-86448d29f111	CHILLED_WATER_PUMPS
e8bb780e-8945-4499-866f-45364c434751	c6fc9605-28e9-4f67-a15b-d6781b896008	HEAT_REJECTION_PUMPS
e8bb780e-8945-4499-866f-45364c434751	62fd08b1-9688-4660-b146-6df45bfa7d02	VENTILATION
e8bb780e-8945-4499-866f-45364c434751	ea5016cf-9c5e-4924-b02e-7655aa163dcc	INFILTRATION
e8bb780e-8945-4499-866f-45364c434751	575bc2c6-b312-40b4-a234-2ae161501e25	IT_LOAD
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	bc62fc09-f3db-4de4-b4d1-b19b1d241537	SWITCHGEAR
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	c788b272-6ec0-4d1a-ac79-67569d2458cf	GENERATOR
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	f3ac342a-889b-4b9a-8fbb-35f4802667ac	PRIMARY_AUXILIARIES
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	b9593417-544c-430c-969a-cb1df9bdcd53	UPS
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	5bcffa67-5d3b-48c2-947a-c6ba40d37c84	CRITICAL_AUXILIARIES
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	7b816302-41fe-4ae3-8446-2bd14d115e42	LIGHTING
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	20a53925-70d3-4db6-928d-0dc7e1a0e30d	CRITICAL_POWER_DISTRIBUTION
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	3daaafa5-af83-4e02-b007-5e88ed26eb0d	CRAH
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	0cec86df-51bb-44d5-a973-424b1cf8161a	CRAC
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	23c52d55-6146-4b7d-a7db-6776507ae113	CRAC_WITHOUT_FAN
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	24b30cd1-51f4-4ebf-a954-3007ac1a0fd3	CRAC_FAN
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	4856e988-a057-4f99-ad98-5a8980d40141	CHILLER
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	d045dce6-05ff-4c9c-9be7-a9c800d14cff	AIR_COOLED_CHILLER
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	0c144d0a-5580-4369-be1e-4358dad32577	COOLING_TOWER
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	57307d5f-6bb2-4766-a147-f5c316cbcbe6	DRY_COOLER
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	7d45281d-9c02-448d-b9df-34f24af89549	REMOTE_CONDENSER
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	f4765efd-7aef-48dc-8cbe-bc8c9c66cc61	CHILLED_WATER_PUMPS
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	eecc419f-2ad8-484b-8825-d1e10cd2c29e	HEAT_REJECTION_PUMPS
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	2aa1836c-3e73-428d-94d8-62aa10f5c5fe	VENTILATION
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	303ddc5d-c07d-492f-981d-489dce14192a	INFILTRATION
0bbcc5ea-74e7-4fe5-94a5-184ffa359b2b	56a66eed-a1d3-4520-aacd-be845490e6c4	IT_LOAD
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	bf354c34-659c-4e73-becd-2d3c7053b46d	SWITCHGEAR
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	eff3c5cc-ae7e-470d-a0b5-bd3360675ec2	GENERATOR
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	1c6821df-ec91-434c-9075-14663e39c585	PRIMARY_AUXILIARIES
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	9dd82d34-59c5-4b2a-a69d-cf38afab663b	UPS
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	768bc1e1-d5c7-45a6-9eb2-2c8b674c7d7c	CRITICAL_AUXILIARIES
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	e09fc6e1-3dd1-461d-8b0a-cb7f66cf6fbd	LIGHTING
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	49701be8-eb66-4fb3-b2fa-1ecfdd6e45a2	CRITICAL_POWER_DISTRIBUTION
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	1f01e1cd-08c3-498c-9fec-5f2bf688a3b7	CRAH
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	b5b04b46-1a2a-4dd9-8c58-21c12bebf1f6	CRAC
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	c8d7e99e-2f4d-4521-90d3-4f9ce18f8788	CRAC_WITHOUT_FAN
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	a93b278b-f482-4527-b05a-5aaee9e395f5	CRAC_FAN
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	08d1a89d-a4dc-4270-acaf-d3e835ed9eba	CHILLER
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	36c4d751-b6cd-4617-9dc2-b8a1594eb749	AIR_COOLED_CHILLER
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	815f9aa4-8854-4773-9474-d7c2790ca255	COOLING_TOWER
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	ce328fbf-e830-4469-889b-08fa2f38a045	DRY_COOLER
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	03d9aee9-cbed-45ea-a393-74e9820a932c	REMOTE_CONDENSER
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	7f11603b-40b6-443e-a53d-5f0104c8eb83	CHILLED_WATER_PUMPS
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	7c89efea-c28b-4e17-9df2-9aa42c185e09	HEAT_REJECTION_PUMPS
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	81f3a8d2-c3d3-4abb-a63a-0a4c98b1f1b9	VENTILATION
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	485aaeae-f0e3-4000-90ac-d280a85617d8	INFILTRATION
b41203fc-7d0f-4e91-a0a7-3f1a49a18ec6	a1624436-de60-4ab8-b418-def4d94dc3db	IT_LOAD
a12487b1-6829-40b7-bed0-3f11e90a5e6c	470c25b9-9623-48f5-9f9f-8c74b99f4f86	SWITCHGEAR
a12487b1-6829-40b7-bed0-3f11e90a5e6c	308d34f4-8120-4870-a9d2-f8cfba1f6010	GENERATOR
a12487b1-6829-40b7-bed0-3f11e90a5e6c	caa1fd26-bf12-47b5-94d0-2113100295d0	PRIMARY_AUXILIARIES
a12487b1-6829-40b7-bed0-3f11e90a5e6c	3464e7a3-812b-4888-bfcb-0d94392b8256	UPS
a12487b1-6829-40b7-bed0-3f11e90a5e6c	2ca69503-2c1c-4657-b991-4488c606cc06	CRITICAL_AUXILIARIES
a12487b1-6829-40b7-bed0-3f11e90a5e6c	e51d1959-ff7a-4e6d-a271-97e28346c6c1	LIGHTING
a12487b1-6829-40b7-bed0-3f11e90a5e6c	d00d62cf-4f6d-454f-a767-daa1f8a14341	CRITICAL_POWER_DISTRIBUTION
a12487b1-6829-40b7-bed0-3f11e90a5e6c	3f8e721f-1bf5-4757-8c22-909f025f6f56	CRAH
a12487b1-6829-40b7-bed0-3f11e90a5e6c	69187afe-4707-46aa-8385-c0d11bf68e01	CRAC
a12487b1-6829-40b7-bed0-3f11e90a5e6c	b9fad73b-c3a9-476e-8d16-dea354fa47aa	CRAC_WITHOUT_FAN
a12487b1-6829-40b7-bed0-3f11e90a5e6c	89e79a2b-c515-4f01-b8ed-d2a86021e276	CRAC_FAN
a12487b1-6829-40b7-bed0-3f11e90a5e6c	3b6dd1b2-cf92-4c57-9b27-8e5ad0c08740	CHILLER
a12487b1-6829-40b7-bed0-3f11e90a5e6c	a772ca56-3ba7-405b-8d0d-1c3402441a96	AIR_COOLED_CHILLER
a12487b1-6829-40b7-bed0-3f11e90a5e6c	8dfc1f56-f3d9-4a2f-b1ac-d9c1fe94805c	COOLING_TOWER
a12487b1-6829-40b7-bed0-3f11e90a5e6c	c90774e5-5462-4630-98d1-925a6b3d86a1	DRY_COOLER
a12487b1-6829-40b7-bed0-3f11e90a5e6c	f109464c-3b9a-4885-8ef4-76989ea2b703	REMOTE_CONDENSER
a12487b1-6829-40b7-bed0-3f11e90a5e6c	e804f9a0-34d3-424a-9100-4f7e3c223ceb	CHILLED_WATER_PUMPS
a12487b1-6829-40b7-bed0-3f11e90a5e6c	c944dad4-6b06-4b9f-9b50-170bc4b6650b	HEAT_REJECTION_PUMPS
a12487b1-6829-40b7-bed0-3f11e90a5e6c	4e130cc1-85b9-4518-b6e7-a33f7ced2413	VENTILATION
a12487b1-6829-40b7-bed0-3f11e90a5e6c	e1a72570-f41d-4c3b-89bb-ec53e16ea87b	INFILTRATION
a12487b1-6829-40b7-bed0-3f11e90a5e6c	a8b7aa06-9c55-4f1e-ba2c-52ada9e2e949	IT_LOAD
e5c84c88-ed12-44eb-9710-411f7145d842	2158c6e0-5972-4949-b914-56481b000c5b	SWITCHGEAR
e5c84c88-ed12-44eb-9710-411f7145d842	92ce409f-21e7-4260-af96-db58e21e77d8	GENERATOR
e5c84c88-ed12-44eb-9710-411f7145d842	ba8880a8-6e34-444d-bb1f-a6078741331b	PRIMARY_AUXILIARIES
e5c84c88-ed12-44eb-9710-411f7145d842	3a9c9ead-8173-4921-b3ea-62f118c1c888	UPS
e5c84c88-ed12-44eb-9710-411f7145d842	7be56325-c64a-4983-9d80-758ceeceaf6c	CRITICAL_AUXILIARIES
e5c84c88-ed12-44eb-9710-411f7145d842	8ca4c436-68a8-41d2-b5cf-ddb800b8cf35	LIGHTING
e5c84c88-ed12-44eb-9710-411f7145d842	7645ac8f-cbf5-474d-9b13-19f2e94d76f2	CRITICAL_POWER_DISTRIBUTION
e5c84c88-ed12-44eb-9710-411f7145d842	4dd154ea-0019-491c-bd64-51842a8c0c09	CRAH
e5c84c88-ed12-44eb-9710-411f7145d842	67890376-8bed-4962-b8cf-c3d0666023f7	CRAC
e5c84c88-ed12-44eb-9710-411f7145d842	4189dcd6-43d0-4989-b094-679f3725c2bc	CRAC_WITHOUT_FAN
e5c84c88-ed12-44eb-9710-411f7145d842	2d234b3a-a838-423e-b1b4-8c4d1e53a9d0	CRAC_FAN
e5c84c88-ed12-44eb-9710-411f7145d842	10a4e674-bbb2-42f3-bd87-53d2d602d529	CHILLER
e5c84c88-ed12-44eb-9710-411f7145d842	6d1b0e75-86dd-459a-89ef-183ef1f8f294	AIR_COOLED_CHILLER
e5c84c88-ed12-44eb-9710-411f7145d842	a12e0f86-7d3c-4e9c-8f8e-2092beaea2ed	COOLING_TOWER
e5c84c88-ed12-44eb-9710-411f7145d842	cacbbf76-9229-4f34-a22d-2ea492cd14a8	DRY_COOLER
e5c84c88-ed12-44eb-9710-411f7145d842	56d6f0d3-c0c3-49e4-8bbd-1d25e542e966	REMOTE_CONDENSER
e5c84c88-ed12-44eb-9710-411f7145d842	309e302e-ac66-4d04-beca-2d2bea94f149	CHILLED_WATER_PUMPS
e5c84c88-ed12-44eb-9710-411f7145d842	99e73e23-b69b-4b88-bc6b-29049a562a31	HEAT_REJECTION_PUMPS
e5c84c88-ed12-44eb-9710-411f7145d842	fa009ede-81b4-4237-bce6-98bda54f0dc4	VENTILATION
e5c84c88-ed12-44eb-9710-411f7145d842	8df0be45-f788-4118-9956-234948592c68	INFILTRATION
e5c84c88-ed12-44eb-9710-411f7145d842	52a75b7c-adbc-427e-a717-aaba63dc6c4a	IT_LOAD
87bc14d7-f038-4b69-858a-94bd69b7a54b	5a7c19ff-22b6-4f90-b321-5a22df1d1381	SWITCHGEAR
87bc14d7-f038-4b69-858a-94bd69b7a54b	dae743e4-ef1f-47c9-b768-cdc4e71c9bd7	GENERATOR
87bc14d7-f038-4b69-858a-94bd69b7a54b	e740fac8-7aac-42c9-a9a8-86f68dee9e9e	PRIMARY_AUXILIARIES
87bc14d7-f038-4b69-858a-94bd69b7a54b	28602524-51cb-42a4-b0ef-92ee72053f64	UPS
87bc14d7-f038-4b69-858a-94bd69b7a54b	090f1af7-1247-4d91-89c1-43c1097cf951	CRITICAL_AUXILIARIES
87bc14d7-f038-4b69-858a-94bd69b7a54b	228b9db5-0dc2-4676-83ed-88f5c25a252a	LIGHTING
87bc14d7-f038-4b69-858a-94bd69b7a54b	5aa2811b-efa6-4e0c-be67-b47d8e107b34	CRITICAL_POWER_DISTRIBUTION
87bc14d7-f038-4b69-858a-94bd69b7a54b	18d9ae94-9318-481b-ac5c-cda213e86285	CRAH
87bc14d7-f038-4b69-858a-94bd69b7a54b	ba64b247-a7e5-485a-ac18-a1bd4f0b268b	CRAC
87bc14d7-f038-4b69-858a-94bd69b7a54b	723ccefe-090b-4a5a-ab41-4a6f12b698b6	CRAC_WITHOUT_FAN
87bc14d7-f038-4b69-858a-94bd69b7a54b	4bca870e-8749-43a2-b736-86ee4f5f35dc	CRAC_FAN
87bc14d7-f038-4b69-858a-94bd69b7a54b	325921ac-a56a-487b-a482-ccbf76d2c638	CHILLER
87bc14d7-f038-4b69-858a-94bd69b7a54b	beba0dc3-b357-4eab-98e5-4b38bc716112	AIR_COOLED_CHILLER
87bc14d7-f038-4b69-858a-94bd69b7a54b	73cb73a0-fb6e-4edd-9621-316c84090a1e	COOLING_TOWER
87bc14d7-f038-4b69-858a-94bd69b7a54b	64a87cc4-a627-434d-8e45-73649afbe40c	DRY_COOLER
87bc14d7-f038-4b69-858a-94bd69b7a54b	914348c6-6abf-4f5d-8049-5df9d4df0b07	REMOTE_CONDENSER
87bc14d7-f038-4b69-858a-94bd69b7a54b	b9397c83-773c-4778-b5c1-59cd8a00447b	CHILLED_WATER_PUMPS
87bc14d7-f038-4b69-858a-94bd69b7a54b	e8c62c65-0463-4abf-8d61-265407c0554d	HEAT_REJECTION_PUMPS
87bc14d7-f038-4b69-858a-94bd69b7a54b	434d87cf-8d4b-42c5-a3f8-a96bc3d91c22	VENTILATION
87bc14d7-f038-4b69-858a-94bd69b7a54b	f21ecb7c-84bd-4308-be01-73df910887d8	INFILTRATION
87bc14d7-f038-4b69-858a-94bd69b7a54b	fc2a3b48-ffbb-4616-b123-9622b1c10f20	IT_LOAD
8dfb19d9-df54-44c2-8812-ed21408d068b	9a934d71-2c54-41ce-9927-86fd8bbe793c	SWITCHGEAR
8dfb19d9-df54-44c2-8812-ed21408d068b	d13a0a54-2be2-4de6-8f7b-9fb0d77501e3	GENERATOR
8dfb19d9-df54-44c2-8812-ed21408d068b	e3df64cd-84b1-4ebb-a162-e2b16e07e7e3	PRIMARY_AUXILIARIES
8dfb19d9-df54-44c2-8812-ed21408d068b	8f76aa6b-8607-47da-af5a-3fae7b4cd4c7	UPS
8dfb19d9-df54-44c2-8812-ed21408d068b	f7ff68c5-6cde-4aa6-b36c-871240b66dd9	CRITICAL_AUXILIARIES
8dfb19d9-df54-44c2-8812-ed21408d068b	b6313004-32ce-4c5a-aa03-9ef2fe705d06	LIGHTING
8dfb19d9-df54-44c2-8812-ed21408d068b	d82cb00c-d7e5-48ab-8973-15f1b0b20195	CRITICAL_POWER_DISTRIBUTION
8dfb19d9-df54-44c2-8812-ed21408d068b	c3960acc-6954-4b96-82bc-4819c26b6a38	CRAH
8dfb19d9-df54-44c2-8812-ed21408d068b	bec7ef73-a6de-4f04-953a-a3793c3fb9f6	CRAC
8dfb19d9-df54-44c2-8812-ed21408d068b	02ecf87f-dd82-4855-8ea7-72abf49a054c	CRAC_WITHOUT_FAN
8dfb19d9-df54-44c2-8812-ed21408d068b	473ace4c-ab17-4ae7-84ea-1fcfd4e9a0ce	CRAC_FAN
8dfb19d9-df54-44c2-8812-ed21408d068b	e3c6fd48-cb24-43ea-bbb3-ca2e71a94a36	CHILLER
8dfb19d9-df54-44c2-8812-ed21408d068b	e89158ee-bb6f-4da9-a9bf-0dc6be0a2088	AIR_COOLED_CHILLER
8dfb19d9-df54-44c2-8812-ed21408d068b	d4f3a42c-ec20-4954-bfe9-09a333ab5125	COOLING_TOWER
8dfb19d9-df54-44c2-8812-ed21408d068b	30074503-65be-44b4-a24a-af61fdea5657	DRY_COOLER
8dfb19d9-df54-44c2-8812-ed21408d068b	a030248c-10f2-4999-806e-cf50e787a8a4	REMOTE_CONDENSER
8dfb19d9-df54-44c2-8812-ed21408d068b	1a9547ba-a244-47c2-8e33-d7ae7ecd7ed9	CHILLED_WATER_PUMPS
8dfb19d9-df54-44c2-8812-ed21408d068b	7417eb38-6cca-484c-9e07-d43705e613f3	HEAT_REJECTION_PUMPS
8dfb19d9-df54-44c2-8812-ed21408d068b	0ea323c4-6069-4f0c-b734-c70709c6fac1	VENTILATION
8dfb19d9-df54-44c2-8812-ed21408d068b	d29fa1ca-0126-437a-acd6-031066c1e139	INFILTRATION
8dfb19d9-df54-44c2-8812-ed21408d068b	06f4b9ac-168b-4f7d-bde7-9123cd261694	IT_LOAD
19a43e91-bdbf-4612-891a-228091e93488	f55994e5-e24d-4eb1-b1b5-426aeadcd46b	SWITCHGEAR
19a43e91-bdbf-4612-891a-228091e93488	975d1560-53d6-4488-8346-f09821a52f0d	GENERATOR
19a43e91-bdbf-4612-891a-228091e93488	3a2c9e42-a0d7-4969-8661-d0579a2f4881	PRIMARY_AUXILIARIES
19a43e91-bdbf-4612-891a-228091e93488	11495746-93d3-4da8-882e-94415f27c3ef	UPS
19a43e91-bdbf-4612-891a-228091e93488	cc32b4f1-49f0-4fc5-825f-c16322371d38	CRITICAL_AUXILIARIES
19a43e91-bdbf-4612-891a-228091e93488	e52473ee-faa1-48ea-b0fc-c486ece60e28	LIGHTING
19a43e91-bdbf-4612-891a-228091e93488	76e522f1-1f8f-4b41-9383-b6b14d6e1df6	CRITICAL_POWER_DISTRIBUTION
19a43e91-bdbf-4612-891a-228091e93488	d86651d2-957c-4710-9077-cdce8b479c59	CRAH
19a43e91-bdbf-4612-891a-228091e93488	5e1f4d1f-5ecd-4975-a07e-25e3d3678610	CRAC
19a43e91-bdbf-4612-891a-228091e93488	8f3f9e79-2807-435d-8602-85f984c6b6f0	CRAC_WITHOUT_FAN
19a43e91-bdbf-4612-891a-228091e93488	6937724f-2546-4fe7-a9e3-aae0c694a30f	CRAC_FAN
19a43e91-bdbf-4612-891a-228091e93488	673f68ed-d6a9-4894-8516-15c09f368992	CHILLER
19a43e91-bdbf-4612-891a-228091e93488	7cdc723d-12f5-4f80-9153-f264d4218676	AIR_COOLED_CHILLER
19a43e91-bdbf-4612-891a-228091e93488	a5c0657a-8ff3-4c4e-9f81-c98cba053821	COOLING_TOWER
19a43e91-bdbf-4612-891a-228091e93488	5e407901-59e8-4ad3-b792-5a7fd6d31ae9	DRY_COOLER
19a43e91-bdbf-4612-891a-228091e93488	b0df8285-d607-4cbe-b4e7-b41c843e80d2	REMOTE_CONDENSER
19a43e91-bdbf-4612-891a-228091e93488	4f60486b-7083-4fc0-bf9e-c2c5093dc968	CHILLED_WATER_PUMPS
19a43e91-bdbf-4612-891a-228091e93488	f7c5ecd8-d3d6-4c7f-9e15-38803943d557	HEAT_REJECTION_PUMPS
19a43e91-bdbf-4612-891a-228091e93488	51adbc9c-a724-46b5-ad76-cdd6766d5531	VENTILATION
19a43e91-bdbf-4612-891a-228091e93488	d7522bb4-c1cf-43dd-830f-7dafb556a9ff	INFILTRATION
19a43e91-bdbf-4612-891a-228091e93488	addd5431-4c85-4dcb-839a-f5f903dbbaa0	IT_LOAD
6176e1d1-124e-4fe2-9923-c2862d3159a2	c9f9753e-02d6-4eee-a91e-024b441877c6	SWITCHGEAR
6176e1d1-124e-4fe2-9923-c2862d3159a2	ec5c2f35-0034-40d3-a036-06ae5b732e73	GENERATOR
6176e1d1-124e-4fe2-9923-c2862d3159a2	19f5f727-0897-4f62-bd79-bceab8c011b0	PRIMARY_AUXILIARIES
6176e1d1-124e-4fe2-9923-c2862d3159a2	4abe0483-4c6a-4f44-91d9-bde7f88db559	UPS
6176e1d1-124e-4fe2-9923-c2862d3159a2	476717ce-bf2e-4425-8160-5bc38b63de98	CRITICAL_AUXILIARIES
6176e1d1-124e-4fe2-9923-c2862d3159a2	55357906-8752-4303-ac74-034147467fd0	LIGHTING
6176e1d1-124e-4fe2-9923-c2862d3159a2	6ecb6d58-b7d7-4d8e-8907-d604f064873e	CRITICAL_POWER_DISTRIBUTION
6176e1d1-124e-4fe2-9923-c2862d3159a2	077bc61c-0eb0-4847-b105-0399481d23ce	CRAH
6176e1d1-124e-4fe2-9923-c2862d3159a2	4da3979e-12ff-4c67-b2a7-d4896ea8b5c0	CRAC
6176e1d1-124e-4fe2-9923-c2862d3159a2	d74abe36-0cbe-4dac-8221-846f384a74cc	CRAC_WITHOUT_FAN
6176e1d1-124e-4fe2-9923-c2862d3159a2	94864b67-7809-4de0-8aff-1934c4d197c5	CRAC_FAN
6176e1d1-124e-4fe2-9923-c2862d3159a2	caedc058-781c-4285-a002-d02d3be53cd6	CHILLER
6176e1d1-124e-4fe2-9923-c2862d3159a2	83b8ac7c-2f39-4dbf-a0f0-9b5c81c87dd7	AIR_COOLED_CHILLER
6176e1d1-124e-4fe2-9923-c2862d3159a2	e0752ece-9565-4c20-b652-990512ea14aa	COOLING_TOWER
6176e1d1-124e-4fe2-9923-c2862d3159a2	0496601e-3a09-4ded-8138-108399ba4c23	DRY_COOLER
6176e1d1-124e-4fe2-9923-c2862d3159a2	ca7f9d02-9d83-420b-bebf-2c3f71de2b08	REMOTE_CONDENSER
6176e1d1-124e-4fe2-9923-c2862d3159a2	9c7da007-a28f-4466-a143-efbe372e535c	CHILLED_WATER_PUMPS
6176e1d1-124e-4fe2-9923-c2862d3159a2	52c21e70-07c8-43a8-b4e3-e078f83e525a	HEAT_REJECTION_PUMPS
6176e1d1-124e-4fe2-9923-c2862d3159a2	57e3e3ce-0b5e-4ae2-9394-0f691ebd72fa	VENTILATION
6176e1d1-124e-4fe2-9923-c2862d3159a2	08ad73db-398f-4990-bd00-b69914896a2e	INFILTRATION
6176e1d1-124e-4fe2-9923-c2862d3159a2	f67ece0d-3e2d-4124-aa98-871886db02a8	IT_LOAD
a348352d-6752-42f7-bf06-dcc57f0cb670	9592ff81-c12d-45f0-8b0a-1787138d388f	SWITCHGEAR
a348352d-6752-42f7-bf06-dcc57f0cb670	0f26acb9-7982-4035-9779-2b639250938d	GENERATOR
a348352d-6752-42f7-bf06-dcc57f0cb670	e0f2741f-2d48-4548-b2f7-bcf8dc072981	PRIMARY_AUXILIARIES
a348352d-6752-42f7-bf06-dcc57f0cb670	b302eb77-7188-4318-a8fa-63870a139759	UPS
a348352d-6752-42f7-bf06-dcc57f0cb670	9d248cae-2c06-4f1c-98be-8aa7e0e20df8	CRITICAL_AUXILIARIES
a348352d-6752-42f7-bf06-dcc57f0cb670	1a3c83f7-7cb8-49e2-adb9-ac4c6aa1bd66	LIGHTING
a348352d-6752-42f7-bf06-dcc57f0cb670	92666ac3-8563-4758-84be-53fe9893fc5d	CRITICAL_POWER_DISTRIBUTION
a348352d-6752-42f7-bf06-dcc57f0cb670	2729bda5-371d-4220-8955-1c7692959e62	CRAH
a348352d-6752-42f7-bf06-dcc57f0cb670	ceadbd40-470e-405e-a447-9a9602b18883	CRAC
a348352d-6752-42f7-bf06-dcc57f0cb670	21a047b1-3c20-4855-8c1a-b87c2a8b0b27	CRAC_WITHOUT_FAN
a348352d-6752-42f7-bf06-dcc57f0cb670	2b23f75c-9447-45b0-80b3-c81e29cdfc72	CRAC_FAN
a348352d-6752-42f7-bf06-dcc57f0cb670	ce0a98df-2dad-4e51-9975-33d8876a5d1e	CHILLER
a348352d-6752-42f7-bf06-dcc57f0cb670	746ca567-f944-4314-8a06-6e82c46a9458	AIR_COOLED_CHILLER
a348352d-6752-42f7-bf06-dcc57f0cb670	db11eb6f-97d2-45b2-a313-84401a59d7bc	COOLING_TOWER
a348352d-6752-42f7-bf06-dcc57f0cb670	e2589863-b3f2-4230-b3c5-b6c5f7a6385d	DRY_COOLER
a348352d-6752-42f7-bf06-dcc57f0cb670	6d2de4bd-4042-4341-a480-d3c5dbf86aed	REMOTE_CONDENSER
a348352d-6752-42f7-bf06-dcc57f0cb670	9f3c07da-4764-4231-b296-53c52c153f04	CHILLED_WATER_PUMPS
a348352d-6752-42f7-bf06-dcc57f0cb670	5f415f0d-9dc2-442f-8df4-4553987290c6	HEAT_REJECTION_PUMPS
a348352d-6752-42f7-bf06-dcc57f0cb670	6cf3aa1b-4a52-4dc5-88d5-03f2c6a9dfb7	VENTILATION
a348352d-6752-42f7-bf06-dcc57f0cb670	b2eeb8bf-3e1c-493e-8b11-f6e52aa47a59	INFILTRATION
a348352d-6752-42f7-bf06-dcc57f0cb670	4fa88edf-1e12-4034-a193-6e1ea5780918	IT_LOAD
cf05d4df-dd22-4339-803f-651896459a1f	7a4e3ed4-99e5-4206-8c3c-4a88d3b954a8	SWITCHGEAR
cf05d4df-dd22-4339-803f-651896459a1f	4a0a9626-8869-4b5f-a2f7-3ded9c1d0f03	GENERATOR
cf05d4df-dd22-4339-803f-651896459a1f	30ea4522-cac5-4ba2-add9-1da632b679aa	PRIMARY_AUXILIARIES
cf05d4df-dd22-4339-803f-651896459a1f	c356143a-f778-400a-b5a0-105e9938f988	UPS
cf05d4df-dd22-4339-803f-651896459a1f	86044aaf-4eda-4ea8-a942-1dcdd189f4ef	CRITICAL_AUXILIARIES
cf05d4df-dd22-4339-803f-651896459a1f	f782fb8a-33d3-454e-a72d-fcd1344c9362	LIGHTING
cf05d4df-dd22-4339-803f-651896459a1f	97400359-fd97-4073-b008-c4595213c5ee	CRITICAL_POWER_DISTRIBUTION
cf05d4df-dd22-4339-803f-651896459a1f	da1bd649-4530-423c-8680-d29b13ab00e7	CRAH
cf05d4df-dd22-4339-803f-651896459a1f	a883f3a6-b114-457b-89dc-5e98f196a5eb	CRAC
cf05d4df-dd22-4339-803f-651896459a1f	99d93f42-c4fe-4535-a457-670a8887785e	CRAC_WITHOUT_FAN
cf05d4df-dd22-4339-803f-651896459a1f	c39359f0-b895-4c5c-bca2-1ffe035c9f28	CRAC_FAN
cf05d4df-dd22-4339-803f-651896459a1f	814cd4bc-feaa-4e4f-bcf1-c040855eddf7	CHILLER
cf05d4df-dd22-4339-803f-651896459a1f	1a4e7048-2bec-478d-bcc0-6585c7ed7ac3	AIR_COOLED_CHILLER
cf05d4df-dd22-4339-803f-651896459a1f	a6ad3115-216a-4e69-96e9-50b3f9a8afed	COOLING_TOWER
cf05d4df-dd22-4339-803f-651896459a1f	2da89b86-ef98-4984-9f90-c7a35ec427b1	DRY_COOLER
cf05d4df-dd22-4339-803f-651896459a1f	dd418a42-a992-46f1-97de-f8046b57c632	REMOTE_CONDENSER
cf05d4df-dd22-4339-803f-651896459a1f	aa27d289-ae53-4e03-a29c-04fc4047a1f0	CHILLED_WATER_PUMPS
cf05d4df-dd22-4339-803f-651896459a1f	0988ec7a-3ada-4a50-b2d0-91b8eb7225ed	HEAT_REJECTION_PUMPS
cf05d4df-dd22-4339-803f-651896459a1f	07dd31b9-a9a3-43cd-ad83-a065a0e3afd6	VENTILATION
cf05d4df-dd22-4339-803f-651896459a1f	d8d2affe-21ad-4335-8378-6f44fc39ad38	INFILTRATION
cf05d4df-dd22-4339-803f-651896459a1f	879e45ac-76da-4ba4-a7dc-c9f0b69c8df8	IT_LOAD
2f89928a-6248-4de8-9af1-10308330cb4d	a1ff16fc-6a80-4aa8-8264-d929b541e99b	SWITCHGEAR
2f89928a-6248-4de8-9af1-10308330cb4d	6799c8a0-74c5-404b-bdb6-f839683a55b5	GENERATOR
2f89928a-6248-4de8-9af1-10308330cb4d	ba8fff9a-c318-46b7-8839-4f8f49df61ad	PRIMARY_AUXILIARIES
2f89928a-6248-4de8-9af1-10308330cb4d	fb8ab828-1b3c-49a3-b568-7103b3d1d71b	UPS
2f89928a-6248-4de8-9af1-10308330cb4d	d41933e1-d29d-47e5-8c82-470d9afc0904	CRITICAL_AUXILIARIES
2f89928a-6248-4de8-9af1-10308330cb4d	9447b256-b99f-447b-b472-7184764ca70a	LIGHTING
2f89928a-6248-4de8-9af1-10308330cb4d	edd12d70-4e76-461c-8a0e-9fc34e736aa3	CRITICAL_POWER_DISTRIBUTION
2f89928a-6248-4de8-9af1-10308330cb4d	d49f73d6-4e18-4d2e-b439-da29e59b8e11	CRAH
2f89928a-6248-4de8-9af1-10308330cb4d	032689ad-96a0-4d22-b1d8-396080a0a58f	CRAC
2f89928a-6248-4de8-9af1-10308330cb4d	1848128c-ebd7-4553-a63c-1e8599af7255	CRAC_WITHOUT_FAN
2f89928a-6248-4de8-9af1-10308330cb4d	9b1d6f23-d487-47c7-a8de-e9a8187f6b8a	CRAC_FAN
2f89928a-6248-4de8-9af1-10308330cb4d	977d9d41-6b2b-43a4-bd8e-0b14475efb7f	CHILLER
2f89928a-6248-4de8-9af1-10308330cb4d	a88a8d9f-c82a-450f-b44c-12d7b50e98db	AIR_COOLED_CHILLER
2f89928a-6248-4de8-9af1-10308330cb4d	4735af79-1bbd-4fb2-a66a-609cd2483c07	COOLING_TOWER
2f89928a-6248-4de8-9af1-10308330cb4d	cc7a3207-8faa-44fa-bfe6-20604e80e6d2	DRY_COOLER
2f89928a-6248-4de8-9af1-10308330cb4d	0999f59c-bf61-48cf-b530-71dbb73d2aeb	REMOTE_CONDENSER
2f89928a-6248-4de8-9af1-10308330cb4d	5dd66bd2-bb2d-417d-9044-756ebd0e1ff1	CHILLED_WATER_PUMPS
2f89928a-6248-4de8-9af1-10308330cb4d	fa5b85f9-e26c-45fa-8db3-68cd9a0515ee	HEAT_REJECTION_PUMPS
2f89928a-6248-4de8-9af1-10308330cb4d	71779191-052b-484d-8a3a-63e22c8c8335	VENTILATION
2f89928a-6248-4de8-9af1-10308330cb4d	73a0c072-8b10-4dab-9542-5bd3cc23428e	INFILTRATION
2f89928a-6248-4de8-9af1-10308330cb4d	e1e28ccd-c61d-4eaa-bae3-5133c9b42e5c	IT_LOAD
ccb7f7ee-783c-408f-b59c-7039a2c9daff	2c5fcfe1-62b9-40ec-89cf-76b753f5566d	SWITCHGEAR
ccb7f7ee-783c-408f-b59c-7039a2c9daff	1fcde853-2f1a-4ab8-8dcd-2fc928b551ff	GENERATOR
ccb7f7ee-783c-408f-b59c-7039a2c9daff	9e85c323-596b-4808-bdab-3ea3fa4f3d56	PRIMARY_AUXILIARIES
ccb7f7ee-783c-408f-b59c-7039a2c9daff	8a771b89-bf7c-4df5-96f3-e67557811708	UPS
ccb7f7ee-783c-408f-b59c-7039a2c9daff	7cca4bdf-0e44-4e22-af7c-bb41a8e71dd3	CRITICAL_AUXILIARIES
ccb7f7ee-783c-408f-b59c-7039a2c9daff	19170ff1-9ce5-43a6-84c1-b2f9bb033716	LIGHTING
ccb7f7ee-783c-408f-b59c-7039a2c9daff	cd9f3001-1e2a-42ba-bdaa-a92cbdf184f7	CRITICAL_POWER_DISTRIBUTION
ccb7f7ee-783c-408f-b59c-7039a2c9daff	094cc537-1ee8-4306-a914-a59586ef0f36	CRAH
ccb7f7ee-783c-408f-b59c-7039a2c9daff	50c7ddfb-fec1-49b9-bd25-66ad6b9acdc3	CRAC
ccb7f7ee-783c-408f-b59c-7039a2c9daff	64523bbd-79bb-4c43-9776-7cb80b36eadf	CRAC_WITHOUT_FAN
ccb7f7ee-783c-408f-b59c-7039a2c9daff	f7144ea2-4a61-4672-918e-20e5ed1f16a0	CRAC_FAN
ccb7f7ee-783c-408f-b59c-7039a2c9daff	e6d17a35-fe0b-4681-bfcf-e6af0dc8a900	CHILLER
ccb7f7ee-783c-408f-b59c-7039a2c9daff	8ebf6f84-5c26-4aa8-b403-1555759ae6fe	AIR_COOLED_CHILLER
ccb7f7ee-783c-408f-b59c-7039a2c9daff	d760f6bd-ac59-4c60-82ff-b7718f026f1b	COOLING_TOWER
ccb7f7ee-783c-408f-b59c-7039a2c9daff	a7e4b58c-796c-495b-86ff-ea64565da3f0	DRY_COOLER
ccb7f7ee-783c-408f-b59c-7039a2c9daff	13adc363-f265-4f14-a150-95300e582f33	REMOTE_CONDENSER
ccb7f7ee-783c-408f-b59c-7039a2c9daff	e6761ce7-0211-4afd-8651-d0d37efbd0fd	CHILLED_WATER_PUMPS
ccb7f7ee-783c-408f-b59c-7039a2c9daff	f9481132-dfe6-4d40-adb6-5abcc69413ef	HEAT_REJECTION_PUMPS
ccb7f7ee-783c-408f-b59c-7039a2c9daff	f7876941-7851-4791-ab22-9c80cce9855f	VENTILATION
ccb7f7ee-783c-408f-b59c-7039a2c9daff	fd348738-71ec-407a-8cd3-168e0982b472	INFILTRATION
ccb7f7ee-783c-408f-b59c-7039a2c9daff	c2d26766-94e5-4b6d-97ab-e7b16ef9ecba	IT_LOAD
2ab55465-3231-4899-a546-a1943b507e5b	1efb1cc3-df02-4129-9785-c69a783beab4	SWITCHGEAR
2ab55465-3231-4899-a546-a1943b507e5b	6e54ed05-1338-4093-b135-3db7a7d22600	GENERATOR
2ab55465-3231-4899-a546-a1943b507e5b	b92e4b93-0099-44bf-be74-198e3383da0e	PRIMARY_AUXILIARIES
2ab55465-3231-4899-a546-a1943b507e5b	865f2a86-447c-4353-946f-1f3093309bae	UPS
2ab55465-3231-4899-a546-a1943b507e5b	f3f35466-593c-449f-bfcd-193857d1af97	CRITICAL_AUXILIARIES
2ab55465-3231-4899-a546-a1943b507e5b	7663f85a-b886-4c2e-af65-2a229a4d522a	LIGHTING
2ab55465-3231-4899-a546-a1943b507e5b	46871724-b389-4826-9cc8-ce55f33a3ed1	CRITICAL_POWER_DISTRIBUTION
2ab55465-3231-4899-a546-a1943b507e5b	f1d6fe60-e60b-402a-9895-7d2fbecbf67c	CRAH
2ab55465-3231-4899-a546-a1943b507e5b	6ab439bf-9efb-43cb-9a1f-7fd5b4eb335f	CRAC
2ab55465-3231-4899-a546-a1943b507e5b	99fc27dc-022b-4fd4-aa28-095d604c0141	CRAC_WITHOUT_FAN
2ab55465-3231-4899-a546-a1943b507e5b	04bb75f6-9408-4b46-bbae-4f28a2d05d36	CRAC_FAN
2ab55465-3231-4899-a546-a1943b507e5b	531f7799-f1c4-4bcd-9bf2-79ae530a2734	CHILLER
2ab55465-3231-4899-a546-a1943b507e5b	c7dc7b2b-29b7-4efb-bbf9-af3707062e66	AIR_COOLED_CHILLER
2ab55465-3231-4899-a546-a1943b507e5b	d0e4f6a6-667b-4a64-99ce-e8c4d2946e1b	COOLING_TOWER
2ab55465-3231-4899-a546-a1943b507e5b	e57dd3c4-f9c5-4b6c-a749-168137991b7f	DRY_COOLER
2ab55465-3231-4899-a546-a1943b507e5b	9c12f725-8746-4822-b243-e0c809ea7975	REMOTE_CONDENSER
2ab55465-3231-4899-a546-a1943b507e5b	e9d95f7e-5312-497a-8746-79e5023947b3	CHILLED_WATER_PUMPS
2ab55465-3231-4899-a546-a1943b507e5b	e31511a0-1860-4fab-9684-7df883045229	HEAT_REJECTION_PUMPS
2ab55465-3231-4899-a546-a1943b507e5b	b4e43108-f211-4967-976d-8c9c709286de	VENTILATION
2ab55465-3231-4899-a546-a1943b507e5b	667a6b43-54a6-4a34-be2d-1f978581ae88	INFILTRATION
2ab55465-3231-4899-a546-a1943b507e5b	74083fb4-5ca9-4762-b53a-3684e7ae4048	IT_LOAD
28224af0-7914-4b76-8590-56d6b9885571	81e547a3-4b38-49d9-93a4-dbe93fe0659b	SWITCHGEAR
28224af0-7914-4b76-8590-56d6b9885571	2ce542a2-1340-4dca-90e8-63af2f022928	GENERATOR
28224af0-7914-4b76-8590-56d6b9885571	56c46878-73be-48b2-8f89-dc2085b994e1	PRIMARY_AUXILIARIES
28224af0-7914-4b76-8590-56d6b9885571	1b30be14-955d-426f-985a-c50cba8844ac	UPS
28224af0-7914-4b76-8590-56d6b9885571	a0c732e2-f31e-4980-b4d7-c910857954b8	CRITICAL_AUXILIARIES
28224af0-7914-4b76-8590-56d6b9885571	e470d02f-ea39-4f49-82b1-e994d691aeb3	LIGHTING
28224af0-7914-4b76-8590-56d6b9885571	9207b94b-3471-4e33-a7d1-7796f881cca5	CRITICAL_POWER_DISTRIBUTION
28224af0-7914-4b76-8590-56d6b9885571	05be9187-2bd1-4a5a-b358-48b94471a49c	CRAH
28224af0-7914-4b76-8590-56d6b9885571	5ecd3642-aee3-4155-8aa4-fca9a9e6dfe9	CRAC
28224af0-7914-4b76-8590-56d6b9885571	570fa0e1-1929-461e-be78-348504034086	CRAC_WITHOUT_FAN
28224af0-7914-4b76-8590-56d6b9885571	d7a489bc-fa99-42f0-9e70-dbffe2433f78	CRAC_FAN
28224af0-7914-4b76-8590-56d6b9885571	dd5f78dc-13e2-4ce7-9404-3847f5550f59	CHILLER
28224af0-7914-4b76-8590-56d6b9885571	c84ba1cc-9257-4da8-919c-6ab6ff04ff2d	AIR_COOLED_CHILLER
28224af0-7914-4b76-8590-56d6b9885571	204f973f-768a-41b7-8cae-87b7419fa03f	COOLING_TOWER
28224af0-7914-4b76-8590-56d6b9885571	4c39570e-97ae-4144-9391-e12194f231b5	DRY_COOLER
28224af0-7914-4b76-8590-56d6b9885571	bf50f34a-40f5-4b6e-8e60-b0cf110f461c	REMOTE_CONDENSER
28224af0-7914-4b76-8590-56d6b9885571	066c8208-ead1-443a-b782-4bbcfd8cd40a	CHILLED_WATER_PUMPS
28224af0-7914-4b76-8590-56d6b9885571	dc6d2564-8664-4de9-8d91-ddf27980b6de	HEAT_REJECTION_PUMPS
28224af0-7914-4b76-8590-56d6b9885571	f452e449-967d-45bb-98d7-c4b0eac5012c	VENTILATION
28224af0-7914-4b76-8590-56d6b9885571	26972ad7-98b1-4a30-86e2-4c3517131c51	INFILTRATION
28224af0-7914-4b76-8590-56d6b9885571	9ae3415c-7f1f-459f-8e63-0474a48cc891	IT_LOAD
e5dd5c8e-3b18-402c-8261-366c657b1b15	95d4f588-42b7-4738-b683-ff7767babab6	SWITCHGEAR
e5dd5c8e-3b18-402c-8261-366c657b1b15	996d205a-6bdc-4944-b317-ae50493a557f	GENERATOR
e5dd5c8e-3b18-402c-8261-366c657b1b15	afea6bc0-9057-4719-8a78-0f6e8767d68c	PRIMARY_AUXILIARIES
e5dd5c8e-3b18-402c-8261-366c657b1b15	47c5c7f7-6f4f-479b-9efb-a381317593ef	UPS
e5dd5c8e-3b18-402c-8261-366c657b1b15	be7a4fdd-d9c7-4121-8fcc-b81c4baedf05	CRITICAL_AUXILIARIES
e5dd5c8e-3b18-402c-8261-366c657b1b15	46cc8b92-8eed-424f-a21e-45769200b135	LIGHTING
e5dd5c8e-3b18-402c-8261-366c657b1b15	03564783-ec5b-4ff0-97c6-319c49294165	CRITICAL_POWER_DISTRIBUTION
e5dd5c8e-3b18-402c-8261-366c657b1b15	1b4e08e7-5259-43a4-b707-65d0156c2bd1	CRAH
e5dd5c8e-3b18-402c-8261-366c657b1b15	ff088286-1b5e-4fe9-bada-d948a4e33f42	CRAC
e5dd5c8e-3b18-402c-8261-366c657b1b15	552a60dd-d304-4540-908a-1efe55c2c183	CRAC_WITHOUT_FAN
e5dd5c8e-3b18-402c-8261-366c657b1b15	84f93b17-076e-48f5-8d2c-87f9e159f41e	CRAC_FAN
e5dd5c8e-3b18-402c-8261-366c657b1b15	a83d7958-6034-47bc-b418-4ea97a38e5be	CHILLER
e5dd5c8e-3b18-402c-8261-366c657b1b15	1c0ab37f-d8ee-48ca-88cc-35323021840e	AIR_COOLED_CHILLER
e5dd5c8e-3b18-402c-8261-366c657b1b15	2aaab941-03cc-4732-9beb-433812dfd55c	COOLING_TOWER
e5dd5c8e-3b18-402c-8261-366c657b1b15	0953e5ad-798c-4f9c-b7e7-114d161296c0	DRY_COOLER
e5dd5c8e-3b18-402c-8261-366c657b1b15	566f983d-18a0-45f8-a9ff-60f1b96265c7	REMOTE_CONDENSER
e5dd5c8e-3b18-402c-8261-366c657b1b15	e7f90551-b9a5-4e46-98ec-7625adf760f4	CHILLED_WATER_PUMPS
e5dd5c8e-3b18-402c-8261-366c657b1b15	5d8dbf6a-f5d6-4039-a465-9e515d57f8e9	HEAT_REJECTION_PUMPS
e5dd5c8e-3b18-402c-8261-366c657b1b15	2409b8b0-a450-4239-ad1e-626481348593	VENTILATION
e5dd5c8e-3b18-402c-8261-366c657b1b15	88b1eaca-2ac3-4fa6-8a27-6bee3a743675	INFILTRATION
e5dd5c8e-3b18-402c-8261-366c657b1b15	515aebf5-7393-431f-aa0f-452aecb19398	IT_LOAD
5aa04162-843c-43bc-995d-2351216f8449	3580ba88-9720-4c25-bfbd-c6b528cfa9a0	SWITCHGEAR
5aa04162-843c-43bc-995d-2351216f8449	c7c493e5-e80e-4094-b88d-7fb6d8c898b9	GENERATOR
5aa04162-843c-43bc-995d-2351216f8449	4fa87ede-748b-41ed-83e7-9840182bb848	PRIMARY_AUXILIARIES
5aa04162-843c-43bc-995d-2351216f8449	52b1f6cc-767d-49ee-adb9-1919859616cc	UPS
5aa04162-843c-43bc-995d-2351216f8449	ed90fb21-fa03-47f8-8ef6-6ca254696cd8	CRITICAL_AUXILIARIES
5aa04162-843c-43bc-995d-2351216f8449	f17f5e75-100d-4dd2-bc2d-2017297615c4	LIGHTING
5aa04162-843c-43bc-995d-2351216f8449	a9d527c1-ea7b-468b-8e38-1112bb8da5de	CRITICAL_POWER_DISTRIBUTION
5aa04162-843c-43bc-995d-2351216f8449	ca981d79-e880-4fe5-ae2d-12904f80aeec	CRAH
5aa04162-843c-43bc-995d-2351216f8449	9567c246-a79a-4d92-9158-263068de4447	CRAC
5aa04162-843c-43bc-995d-2351216f8449	0fe9bbc3-6a97-4b98-85ef-c5ad412ecb5f	CRAC_WITHOUT_FAN
5aa04162-843c-43bc-995d-2351216f8449	8e334c1b-6b3a-4e56-a374-c26d2253cf4f	CRAC_FAN
5aa04162-843c-43bc-995d-2351216f8449	8a7f1ca3-0e37-4461-89de-4cc2dacb21c7	CHILLER
5aa04162-843c-43bc-995d-2351216f8449	ed8ac09a-d4cf-4cc8-b96d-c887d724e35c	AIR_COOLED_CHILLER
5aa04162-843c-43bc-995d-2351216f8449	bad12a0b-e4aa-4894-8ff4-50285373b72c	COOLING_TOWER
5aa04162-843c-43bc-995d-2351216f8449	d9c05ab9-c8c6-4f3e-8dda-e8c116b04ea9	DRY_COOLER
5aa04162-843c-43bc-995d-2351216f8449	ccebbe13-7409-49d8-aca0-5203d29085a8	REMOTE_CONDENSER
5aa04162-843c-43bc-995d-2351216f8449	d1f47118-dc18-47bb-ba0b-33d638ca4147	CHILLED_WATER_PUMPS
5aa04162-843c-43bc-995d-2351216f8449	388ddfdc-c920-4c34-b5cd-5f79e03ad9c8	HEAT_REJECTION_PUMPS
5aa04162-843c-43bc-995d-2351216f8449	0456b51b-57ce-4935-a18b-e795070902a9	VENTILATION
5aa04162-843c-43bc-995d-2351216f8449	3b91e5e9-81b7-434c-b3f4-ff4fdbf2950d	INFILTRATION
5aa04162-843c-43bc-995d-2351216f8449	a3eeef34-c883-4c08-87ac-1451382b6994	IT_LOAD
7baa3d7e-ac87-4a63-be34-237702fb969f	a5f2c2bc-7ddc-48d1-b7b1-f57bef576212	SWITCHGEAR
7baa3d7e-ac87-4a63-be34-237702fb969f	7d053f36-3653-4aab-958f-903d6a7b6b56	GENERATOR
7baa3d7e-ac87-4a63-be34-237702fb969f	1e72acef-21a5-420d-aee3-20bc8419bd15	PRIMARY_AUXILIARIES
7baa3d7e-ac87-4a63-be34-237702fb969f	87d86a3b-1519-42db-b977-bf0625133710	UPS
7baa3d7e-ac87-4a63-be34-237702fb969f	10654439-83f5-49af-a307-3bd63beaa0ce	CRITICAL_AUXILIARIES
7baa3d7e-ac87-4a63-be34-237702fb969f	a2b674c0-ae6a-46d6-8c20-9b2dbb9e5366	LIGHTING
7baa3d7e-ac87-4a63-be34-237702fb969f	d97f7c97-bbdf-4228-af10-e2f688bf2398	CRITICAL_POWER_DISTRIBUTION
7baa3d7e-ac87-4a63-be34-237702fb969f	3242c5e2-3642-4cff-a184-07221e78f963	CRAH
7baa3d7e-ac87-4a63-be34-237702fb969f	2cbaf662-8f07-4301-a72f-a91c578fce02	CRAC
7baa3d7e-ac87-4a63-be34-237702fb969f	ed476815-e1ca-44ec-ad55-f1f236b254e0	CRAC_WITHOUT_FAN
7baa3d7e-ac87-4a63-be34-237702fb969f	c5a055ce-2ea8-4ca1-87bb-1faeaede2341	CRAC_FAN
7baa3d7e-ac87-4a63-be34-237702fb969f	f7ae4808-c5b4-443a-9091-6121b4d9723e	CHILLER
7baa3d7e-ac87-4a63-be34-237702fb969f	81abaaf8-cb7a-4a73-97eb-737c82b8af05	AIR_COOLED_CHILLER
7baa3d7e-ac87-4a63-be34-237702fb969f	0a12e589-aaba-4248-b42f-448ce70f3b70	COOLING_TOWER
7baa3d7e-ac87-4a63-be34-237702fb969f	074388f4-2cc0-4f58-b4c5-40818ba11f17	DRY_COOLER
7baa3d7e-ac87-4a63-be34-237702fb969f	8bf1caba-2cc0-45ec-b68d-00b1ad3d53a2	REMOTE_CONDENSER
7baa3d7e-ac87-4a63-be34-237702fb969f	d5d96740-2eed-4d04-b10e-02711561370c	CHILLED_WATER_PUMPS
7baa3d7e-ac87-4a63-be34-237702fb969f	fb3765a7-5d5f-4363-a099-0a25ff55f1ad	HEAT_REJECTION_PUMPS
7baa3d7e-ac87-4a63-be34-237702fb969f	e715d157-0d68-47b3-936b-f0d4c676372c	VENTILATION
7baa3d7e-ac87-4a63-be34-237702fb969f	246e55d2-0913-40b5-b636-39eed76b5092	INFILTRATION
7baa3d7e-ac87-4a63-be34-237702fb969f	55e6a239-8eda-41c8-b577-d8deff2aa2bf	IT_LOAD
f0252854-4e8c-4248-94bb-36fcc5ba6211	44a4826b-7ed6-49e1-b55d-4db753e570a3	SWITCHGEAR
f0252854-4e8c-4248-94bb-36fcc5ba6211	658cc4e7-0950-4bfc-89a6-293cde33cf18	GENERATOR
f0252854-4e8c-4248-94bb-36fcc5ba6211	bcb93a6e-b01f-47e9-b6bb-1e9ea0265c54	PRIMARY_AUXILIARIES
f0252854-4e8c-4248-94bb-36fcc5ba6211	7da7108c-3d00-40a5-a462-730b1d624f94	UPS
f0252854-4e8c-4248-94bb-36fcc5ba6211	90198c1e-c29b-4bb4-92ea-1a566eec25a3	CRITICAL_AUXILIARIES
f0252854-4e8c-4248-94bb-36fcc5ba6211	5719fba4-4d10-4a72-ab7c-e3cc62a4c95c	LIGHTING
f0252854-4e8c-4248-94bb-36fcc5ba6211	aa920e7d-099c-49fa-990b-0cfb535c2dbc	CRITICAL_POWER_DISTRIBUTION
f0252854-4e8c-4248-94bb-36fcc5ba6211	825b8882-bcef-45fd-b3bb-db14ef853ed9	CRAH
f0252854-4e8c-4248-94bb-36fcc5ba6211	118cc3d8-cd87-478f-9570-bf326cf96b36	CRAC
f0252854-4e8c-4248-94bb-36fcc5ba6211	df947643-fa0b-4367-bde9-1675e8c3f512	CRAC_WITHOUT_FAN
f0252854-4e8c-4248-94bb-36fcc5ba6211	98dfda51-7641-429d-adaf-b95f5c9a0653	CRAC_FAN
f0252854-4e8c-4248-94bb-36fcc5ba6211	65ea03d4-2728-4b40-b98a-ee677531e3b5	CHILLER
f0252854-4e8c-4248-94bb-36fcc5ba6211	10c59a47-b114-4b02-bd58-946e3b0d7250	AIR_COOLED_CHILLER
f0252854-4e8c-4248-94bb-36fcc5ba6211	19cc4790-15a0-482a-b287-42b191587c59	COOLING_TOWER
f0252854-4e8c-4248-94bb-36fcc5ba6211	214f41a7-49f1-49af-b7ed-ab983befa99b	DRY_COOLER
f0252854-4e8c-4248-94bb-36fcc5ba6211	20615195-df57-47c4-8afb-5b1d4f222780	REMOTE_CONDENSER
f0252854-4e8c-4248-94bb-36fcc5ba6211	970ee858-9fb6-4e5e-b698-7aa1a652b595	CHILLED_WATER_PUMPS
f0252854-4e8c-4248-94bb-36fcc5ba6211	faa13a33-2651-455c-b146-e795618e058c	HEAT_REJECTION_PUMPS
f0252854-4e8c-4248-94bb-36fcc5ba6211	01f7bffd-3499-471d-8ee0-de43d8e165d7	VENTILATION
f0252854-4e8c-4248-94bb-36fcc5ba6211	50da6347-da71-4246-ad78-6747c7bfd82a	INFILTRATION
f0252854-4e8c-4248-94bb-36fcc5ba6211	7ef4ec25-3301-4b93-9f75-bf69049ca729	IT_LOAD
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	e8f86252-3b05-463b-9362-f94d0c2bda8a	SWITCHGEAR
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	d648e697-4d48-471c-8f62-17bfd173a9fd	GENERATOR
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	7aaa9981-4af1-4f34-92d3-97b30a9d2c1d	PRIMARY_AUXILIARIES
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	d11d62ee-11f3-4e76-be55-ca0d6ffd587f	UPS
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	5140a5ae-44ef-441c-8be3-e7f6531848b8	CRITICAL_AUXILIARIES
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	de4e4d22-d732-4aa4-99e1-44b3e126a7ec	LIGHTING
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	8b3d0f0f-5239-4ba5-9270-1cf876b181b8	CRITICAL_POWER_DISTRIBUTION
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	7141f292-8153-4e94-80ea-b8c79c270b52	CRAH
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	37050ebe-c675-4b89-ba01-d6cbc9ec39d5	CRAC
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	0d04ab71-8d7a-4313-9277-b004e499cf8d	CRAC_WITHOUT_FAN
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	eca6e2e8-4742-4e45-b31a-b765b76b7ffa	CRAC_FAN
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	60933413-221f-4707-9774-6e44078f3bd2	CHILLER
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	62ba90c6-6d37-49c0-a78f-e4447d3a1974	AIR_COOLED_CHILLER
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	6a2471ab-8bd4-4ed1-a3df-eba5a6029f7a	COOLING_TOWER
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	2dacfd39-b9c2-45b0-8fb4-c62ceec04e87	DRY_COOLER
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	769b502a-0d91-464f-aee0-eff1156319e4	REMOTE_CONDENSER
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	90a56863-52d8-4075-b34e-0c6af5fe0dd7	CHILLED_WATER_PUMPS
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	6c6579ab-51ec-4beb-99ec-3701c13c42ce	HEAT_REJECTION_PUMPS
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	3c9bdfc9-61ee-4962-be73-83060fdf3ee4	VENTILATION
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	6b5bd565-0094-40cf-9649-9e75239c88a5	INFILTRATION
5db615b4-e0b1-4be8-8dfa-510ab1d62bf3	5e45f7f7-8f7b-406c-b0a7-00886c102743	IT_LOAD
b567206f-450a-42f9-a5fe-58c4c45016e5	22ad7084-daf5-422d-a963-4aca1b7f5ee3	SWITCHGEAR
b567206f-450a-42f9-a5fe-58c4c45016e5	6414c4a9-cff2-4e85-8f2c-8a7f2ca2b408	GENERATOR
b567206f-450a-42f9-a5fe-58c4c45016e5	fee245c8-bd67-4917-bacd-bd7cf77e8a6e	PRIMARY_AUXILIARIES
b567206f-450a-42f9-a5fe-58c4c45016e5	aecf8f55-e71a-433e-a684-4d35ca1110de	UPS
b567206f-450a-42f9-a5fe-58c4c45016e5	285e013c-06e3-4040-9287-f1e30e9af4d8	CRITICAL_AUXILIARIES
b567206f-450a-42f9-a5fe-58c4c45016e5	7b0b2559-1d20-48ad-98f7-bc13cd66fac4	LIGHTING
b567206f-450a-42f9-a5fe-58c4c45016e5	5a912762-9db0-4c27-9050-bba4dbc3a4f1	CRITICAL_POWER_DISTRIBUTION
b567206f-450a-42f9-a5fe-58c4c45016e5	4cc4aebd-844f-45a7-a417-85c0900de7b7	CRAH
b567206f-450a-42f9-a5fe-58c4c45016e5	b2009e2b-8922-4391-941d-6b902be276c0	CRAC
b567206f-450a-42f9-a5fe-58c4c45016e5	735d0e63-3a57-4436-9851-93a5d66f92d0	CRAC_WITHOUT_FAN
b567206f-450a-42f9-a5fe-58c4c45016e5	6787fb33-bc5f-42b1-bf0c-ea2d19c27c24	CRAC_FAN
b567206f-450a-42f9-a5fe-58c4c45016e5	c60a686d-e666-4061-a703-fae9553525a5	CHILLER
b567206f-450a-42f9-a5fe-58c4c45016e5	3f4db14e-bad8-4770-b781-ee9e5a91f4e9	AIR_COOLED_CHILLER
b567206f-450a-42f9-a5fe-58c4c45016e5	e922e793-1036-4bd9-b244-078c173a4732	COOLING_TOWER
b567206f-450a-42f9-a5fe-58c4c45016e5	bec8b86e-ed1d-448a-a90d-2faefcde8208	DRY_COOLER
b567206f-450a-42f9-a5fe-58c4c45016e5	f36b48f0-7322-41ba-9884-7f6c700c695e	REMOTE_CONDENSER
b567206f-450a-42f9-a5fe-58c4c45016e5	fe68b655-d1e8-4b26-8564-53f331fd9ec3	CHILLED_WATER_PUMPS
b567206f-450a-42f9-a5fe-58c4c45016e5	b6999341-0038-4f73-bd88-b7c24692add8	HEAT_REJECTION_PUMPS
b567206f-450a-42f9-a5fe-58c4c45016e5	7329745b-72fe-4a4e-94dc-c13527968e63	VENTILATION
b567206f-450a-42f9-a5fe-58c4c45016e5	b1883b73-5b87-42a0-88ae-622fe776d0bf	INFILTRATION
b567206f-450a-42f9-a5fe-58c4c45016e5	ba30dd89-5721-4de2-b305-0fc1e6fcc03a	IT_LOAD
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	e31c1ed4-f222-4a54-bf8b-a6fb0340b2d5	SWITCHGEAR
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	2a51f8a5-6877-4529-9e28-d5d55983d109	GENERATOR
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	714e6ed9-3956-4082-ba4f-91c3587f0b38	PRIMARY_AUXILIARIES
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	e1395cb9-396e-4deb-b432-d2ddfa94fd9f	UPS
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	6526f799-f246-4e15-9611-43233d07e8a1	CRITICAL_AUXILIARIES
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	b30e483e-93f4-47dc-ba77-5c86cd11ccae	LIGHTING
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	1e3bee96-345f-4f3b-98d8-dda05d899d2e	CRITICAL_POWER_DISTRIBUTION
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	58097890-9f24-426f-8b58-274adab09e28	CRAH
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	705056a0-f5e5-4907-8b65-842ee203a373	CRAC
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	59f131bd-d181-469a-8aad-194811c5bf55	CRAC_WITHOUT_FAN
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	07036a6e-c62b-446c-b3c9-cca4d4c3b391	CRAC_FAN
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	9ed21f54-3431-4123-9737-62427adbdd98	CHILLER
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	d4490323-75dc-46ea-94f6-3ffe9820fa82	AIR_COOLED_CHILLER
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	b5e2bace-d315-445e-85e5-16e83e4aea4c	COOLING_TOWER
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	4a76bdee-c15d-4851-82f3-81568716efb5	DRY_COOLER
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	ab32c48c-6c76-4895-b25b-0b4744436a1c	REMOTE_CONDENSER
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	a966f66a-14f4-471a-854e-d0e356c9b1d9	CHILLED_WATER_PUMPS
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	250255e0-ef12-4685-888a-63dfde672a1e	HEAT_REJECTION_PUMPS
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	57bc6692-fef5-4f4f-979e-4739ba055265	VENTILATION
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	cf49f5f8-f9b2-48b7-8c1e-b4b4b2e292c4	INFILTRATION
ed56fc61-8c7d-4e6e-9294-97dd2b4160f5	3e869ff8-8093-4a00-95c6-840a25d35cda	IT_LOAD
574f74ee-08cb-4f2a-9ed8-344c4af56987	2875cf0f-d5cb-4d2f-989e-f097817bc578	SWITCHGEAR
574f74ee-08cb-4f2a-9ed8-344c4af56987	ec09477d-ccf8-4874-b712-1822391be960	GENERATOR
574f74ee-08cb-4f2a-9ed8-344c4af56987	794ed849-1f30-4ced-a978-82a2d5d315dc	PRIMARY_AUXILIARIES
574f74ee-08cb-4f2a-9ed8-344c4af56987	9a3107d6-bccb-4dc9-9577-e7ef32f3ac5d	UPS
574f74ee-08cb-4f2a-9ed8-344c4af56987	917512b5-3c6a-4641-917c-6187b0a394b1	CRITICAL_AUXILIARIES
574f74ee-08cb-4f2a-9ed8-344c4af56987	6b76b8f1-ec59-42d6-81ae-8d190006f085	LIGHTING
574f74ee-08cb-4f2a-9ed8-344c4af56987	76dff130-e194-46fe-92dc-611a011dbdc2	CRITICAL_POWER_DISTRIBUTION
574f74ee-08cb-4f2a-9ed8-344c4af56987	2a5d64a8-c827-4c32-912b-1e96116b1960	CRAH
574f74ee-08cb-4f2a-9ed8-344c4af56987	54cb14c4-43f2-435d-b2ca-13f5075a2689	CRAC
574f74ee-08cb-4f2a-9ed8-344c4af56987	17182733-87fb-4c70-b75c-fe1cf39c9d2f	CRAC_WITHOUT_FAN
574f74ee-08cb-4f2a-9ed8-344c4af56987	201c7fcd-57b2-4854-87bb-6f21a8182b3c	CRAC_FAN
574f74ee-08cb-4f2a-9ed8-344c4af56987	646f5f50-3fc5-4066-8ad4-c35854447b8e	CHILLER
574f74ee-08cb-4f2a-9ed8-344c4af56987	0a753984-5386-4cd6-9208-971e29ebca3d	AIR_COOLED_CHILLER
574f74ee-08cb-4f2a-9ed8-344c4af56987	770ba3d7-a46d-4983-81fa-bdd2300a4fe0	COOLING_TOWER
574f74ee-08cb-4f2a-9ed8-344c4af56987	d9a27f3d-23e9-41e9-915d-089a5234a032	DRY_COOLER
574f74ee-08cb-4f2a-9ed8-344c4af56987	e557ca4b-a885-4c94-b86e-a85157599f22	REMOTE_CONDENSER
574f74ee-08cb-4f2a-9ed8-344c4af56987	2d168eef-15cd-4c2b-a18e-f448631ba41a	CHILLED_WATER_PUMPS
574f74ee-08cb-4f2a-9ed8-344c4af56987	1e60891e-320f-4a19-b6a0-ee8930c40785	HEAT_REJECTION_PUMPS
574f74ee-08cb-4f2a-9ed8-344c4af56987	1150463a-11c9-4e3d-9cda-d442445ee95e	VENTILATION
574f74ee-08cb-4f2a-9ed8-344c4af56987	c628b63b-1c51-41d4-ac43-ba53d672e323	INFILTRATION
574f74ee-08cb-4f2a-9ed8-344c4af56987	80135946-bd15-4221-af61-60ce80edb040	IT_LOAD
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	0e12acea-37e9-49ce-b2fc-3207c43bbd15	SWITCHGEAR
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	bbea17b6-497c-4a89-8475-d09f51110777	GENERATOR
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	7ab67cd7-ecbb-4379-a232-49e2f4279ac5	PRIMARY_AUXILIARIES
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	09e7ead4-33a2-488a-8745-e28a03cc902c	UPS
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	53650b61-9355-4857-bfc6-31765ac92d53	CRITICAL_AUXILIARIES
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	17eb61e8-8e99-48e8-a230-b849a43a2175	LIGHTING
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	944a87ec-5066-441f-8c8a-f1d178cccf28	CRITICAL_POWER_DISTRIBUTION
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	3611036e-14fc-4303-8c8a-7b5a0652c1e0	CRAH
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	bc7cea82-b73f-49ee-a38e-1e5b4da2dcc9	CRAC
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	f3629f4e-37b3-4e1b-a2cf-9fe991cc2e47	CRAC_WITHOUT_FAN
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	f2725977-d303-4f64-a99a-6635921595f7	CRAC_FAN
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	cd889ad7-32c7-48f6-a881-b826b40435a6	CHILLER
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	9842ff76-9e2d-43b7-af18-4fa0aff08bd2	AIR_COOLED_CHILLER
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	2825a341-f530-4622-8f94-d143019b137f	COOLING_TOWER
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	589de406-ff78-472e-b21b-d32ca0fc2988	DRY_COOLER
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	a9c68916-0362-4f82-bea0-d8847ecf8e0a	REMOTE_CONDENSER
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	185bc838-b14c-4587-ac35-be2ff27a782e	CHILLED_WATER_PUMPS
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	7b4e9cfc-0049-4106-ad9a-afd34340916d	HEAT_REJECTION_PUMPS
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	485a222b-50ce-4a74-9166-a317f2b8e5d2	VENTILATION
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	a213bbc7-a585-409d-9a73-33c136509f3f	INFILTRATION
c319c6b5-ea20-4770-a35a-2c9dcc4b8114	44744913-4230-4cce-b4d5-60c63e9394b3	IT_LOAD
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	24ffbb56-5d74-44cf-8b51-da03dc9ca0cd	SWITCHGEAR
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	41b3ad8b-ce17-4064-aec9-daf417c6bcf6	GENERATOR
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	3e8b838c-f933-493c-bed9-118d65991e0b	PRIMARY_AUXILIARIES
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	42529dd5-02fe-40ab-8497-b2b7641be3fa	UPS
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	b5a1fcfe-0ad1-40ed-b9f0-3e78844716e1	CRITICAL_AUXILIARIES
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	834c6934-9b01-4e98-b89f-a2ee4a49d0d5	LIGHTING
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	6f41c993-66ad-47ca-a06c-a20c88f811b4	CRITICAL_POWER_DISTRIBUTION
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	da5632ed-c41b-428d-82d7-fb0bdf60be69	CRAH
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	ddb8b85e-c6ed-4530-9735-ce33f735232e	CRAC
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	55231b0e-bef5-4363-8a33-c8ffa714e0a2	CRAC_WITHOUT_FAN
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	10ff2a23-1bb5-4015-ba7f-2e24585d9bc1	CRAC_FAN
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	2bafb8d5-1efb-46d6-842a-c5b9b04bd664	CHILLER
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	b90bb273-9a45-42a4-be35-d6b5d913d61b	AIR_COOLED_CHILLER
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	fc4ef2c7-2414-4bec-8dec-8339db1ca843	COOLING_TOWER
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	8c6094a9-fc00-41d0-b269-baf94a009f57	DRY_COOLER
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	7dc342f1-7345-4447-8a2b-0e6ceb05d98e	REMOTE_CONDENSER
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	9fa268b3-6eee-4ec1-bae7-85945a569bdf	CHILLED_WATER_PUMPS
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	821ebdcf-84c4-40dc-8066-191d1baddafb	HEAT_REJECTION_PUMPS
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	757a37db-986a-42aa-9546-824abcfc10a1	VENTILATION
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	1749e8ad-80ba-4267-ba65-09280aa87c17	INFILTRATION
3b3374de-1f1d-46c8-a4ae-98c4e4e4d555	d5bc9ae1-598f-4dd6-b8cc-4fc841af04a3	IT_LOAD
92a15955-5f87-49ac-b339-0774a49bd123	8b31d706-6d27-473d-821e-50e70c806f72	SWITCHGEAR
92a15955-5f87-49ac-b339-0774a49bd123	cfbce418-e752-4170-941d-ba979f1508e9	GENERATOR
92a15955-5f87-49ac-b339-0774a49bd123	afbfab29-5d68-457f-9d34-2e75e1b830ee	PRIMARY_AUXILIARIES
92a15955-5f87-49ac-b339-0774a49bd123	d121fcf7-2ab0-4873-bb7f-50d93b1fc3a2	UPS
92a15955-5f87-49ac-b339-0774a49bd123	cd572884-1816-41e0-8d17-9736fba173bc	CRITICAL_AUXILIARIES
92a15955-5f87-49ac-b339-0774a49bd123	07f50589-cedb-4a73-8a3f-b22a2cb1980a	LIGHTING
92a15955-5f87-49ac-b339-0774a49bd123	e33238b8-7bf3-4c99-9d88-90e17eb0852c	CRITICAL_POWER_DISTRIBUTION
92a15955-5f87-49ac-b339-0774a49bd123	c3d7a4fa-e1c8-4410-8c24-e040b60a60d3	CRAH
92a15955-5f87-49ac-b339-0774a49bd123	b8f90171-ba39-47b1-93f1-10494cea306d	CRAC
92a15955-5f87-49ac-b339-0774a49bd123	69de9dcf-0271-45ac-8ad6-bbeb084f3711	CRAC_WITHOUT_FAN
92a15955-5f87-49ac-b339-0774a49bd123	814ea489-bd57-4252-b7af-dd2bc673113a	CRAC_FAN
92a15955-5f87-49ac-b339-0774a49bd123	65b07ab8-db70-42f6-afe8-e4365248e251	CHILLER
92a15955-5f87-49ac-b339-0774a49bd123	8bb12995-2f30-4068-9035-d1bd290bdcec	AIR_COOLED_CHILLER
92a15955-5f87-49ac-b339-0774a49bd123	cb919f85-7e92-45fd-8b9c-bcde45093e38	COOLING_TOWER
92a15955-5f87-49ac-b339-0774a49bd123	9dfc975c-6ed3-404f-9212-1aa7fa1643bc	DRY_COOLER
92a15955-5f87-49ac-b339-0774a49bd123	76963352-ee8c-4b24-abc2-2ba888625745	REMOTE_CONDENSER
92a15955-5f87-49ac-b339-0774a49bd123	1a4ef1a8-a8b2-4002-8bc0-b03004c49858	CHILLED_WATER_PUMPS
92a15955-5f87-49ac-b339-0774a49bd123	9a70b85d-7772-4e93-a591-d34eff1b8107	HEAT_REJECTION_PUMPS
92a15955-5f87-49ac-b339-0774a49bd123	dc2d21c1-e91a-4a1c-9dba-79789b7b0f9b	VENTILATION
92a15955-5f87-49ac-b339-0774a49bd123	51462c1d-e92b-4cf1-b743-e3d667350281	INFILTRATION
92a15955-5f87-49ac-b339-0774a49bd123	0338c6b1-d7a4-4fe7-91d3-97189390a2fc	IT_LOAD
13b638bd-7ccb-439b-b3ea-1adfa546830a	48f9cc07-a165-47dd-bb89-13953d8937eb	SWITCHGEAR
13b638bd-7ccb-439b-b3ea-1adfa546830a	874a46e4-37e3-44d9-883f-e4b27cc361d3	GENERATOR
13b638bd-7ccb-439b-b3ea-1adfa546830a	f8beb00d-9634-4b6e-8c6d-c3ae936f9792	PRIMARY_AUXILIARIES
13b638bd-7ccb-439b-b3ea-1adfa546830a	7b79d34d-1391-4f54-88a0-9a8c0e3ac0e2	UPS
13b638bd-7ccb-439b-b3ea-1adfa546830a	6b5eef99-1bf1-424d-9c0b-fa9929dd5022	CRITICAL_AUXILIARIES
13b638bd-7ccb-439b-b3ea-1adfa546830a	41496ea3-b4bb-4378-bcec-0a8c318fc1e3	LIGHTING
13b638bd-7ccb-439b-b3ea-1adfa546830a	bbaf0d56-4e70-4636-98ff-8e7177f82ec3	CRITICAL_POWER_DISTRIBUTION
13b638bd-7ccb-439b-b3ea-1adfa546830a	97250edf-e31d-4eef-9bdc-0adc186d017e	CRAH
13b638bd-7ccb-439b-b3ea-1adfa546830a	8728542b-00da-4ad4-a9d9-46f01af7a44e	CRAC
13b638bd-7ccb-439b-b3ea-1adfa546830a	a990d019-80d4-4ccf-8403-d4121dfe7047	CRAC_WITHOUT_FAN
13b638bd-7ccb-439b-b3ea-1adfa546830a	9e7e999c-78a2-46a4-840e-4d3c35ebd05d	CRAC_FAN
13b638bd-7ccb-439b-b3ea-1adfa546830a	69cae411-6f54-4a0d-b621-3fc7f12c351b	CHILLER
13b638bd-7ccb-439b-b3ea-1adfa546830a	aad29e3e-eb9b-4d6a-bb0c-8d005065fcad	AIR_COOLED_CHILLER
13b638bd-7ccb-439b-b3ea-1adfa546830a	0ec2f9b2-ffef-4c97-ba07-fd58f1756288	COOLING_TOWER
13b638bd-7ccb-439b-b3ea-1adfa546830a	79528356-0102-4fca-82bf-0cfcb33e2249	DRY_COOLER
13b638bd-7ccb-439b-b3ea-1adfa546830a	1c7689bf-5c12-4133-8c21-dd1de346748e	REMOTE_CONDENSER
13b638bd-7ccb-439b-b3ea-1adfa546830a	86f2fc86-6a9f-4725-b146-ae4bfcf66455	CHILLED_WATER_PUMPS
13b638bd-7ccb-439b-b3ea-1adfa546830a	4df9a513-21e1-407d-822c-4ddbc3614655	HEAT_REJECTION_PUMPS
13b638bd-7ccb-439b-b3ea-1adfa546830a	0dac5a17-a836-4213-8638-214f4343dd39	VENTILATION
13b638bd-7ccb-439b-b3ea-1adfa546830a	2ef83787-9fe0-48c9-9670-acf2262b2940	INFILTRATION
13b638bd-7ccb-439b-b3ea-1adfa546830a	e12e42c6-fe12-40ac-a5f9-f88fb6ef3f5c	IT_LOAD
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	63998428-7571-4977-a697-a5a2870df617	SWITCHGEAR
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	d40bcb3b-d5e5-49c1-9acd-77f28505e267	GENERATOR
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	4d8ad8c9-d993-4da7-8b45-1047ccf640c6	PRIMARY_AUXILIARIES
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	f9cc1035-4c9a-475f-8b4a-4f3c8b294f48	UPS
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	0aa5cfd6-0498-45b2-9920-1471e575ce22	CRITICAL_AUXILIARIES
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	16d984d9-bd3e-4ad5-bcaa-606fa79f9e8d	LIGHTING
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	759647d4-fa9f-4765-b305-115e9e0052e5	CRITICAL_POWER_DISTRIBUTION
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	572ed3e8-bc3e-461b-af8b-dba0b004ae0e	CRAH
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	9b54496d-a29a-46bd-be0b-335ef21043f3	CRAC
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	c0de7f42-fff8-40be-b573-511c6f031807	CRAC_WITHOUT_FAN
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	ed27eaf5-1014-4fe6-a940-8733fff95cde	CRAC_FAN
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	4048ac5e-2ea6-4e60-8150-08ae05e81d59	CHILLER
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	05c7a428-01e0-436f-92a7-0d7a93ec5c20	AIR_COOLED_CHILLER
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	1989428f-f42a-4264-961e-e08e7626195f	COOLING_TOWER
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	56ec392e-b464-49b2-a374-e8032ae42992	DRY_COOLER
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	183631cf-7a07-4e28-9420-045de344d155	REMOTE_CONDENSER
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	4f873005-8f96-4c3e-bb27-fa58f47c8a17	CHILLED_WATER_PUMPS
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	de6182ee-2ec0-4117-82f2-4056fdf437e3	HEAT_REJECTION_PUMPS
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	72e415ab-6590-45f1-9081-075dc0760c03	VENTILATION
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	3c848643-1992-4324-8963-99d219642868	INFILTRATION
6cbf78bd-07ff-4c9b-bd33-517ba12cfad4	a4aa7b72-ac61-44ec-a1ad-8128141ee1fc	IT_LOAD
42126681-5359-4438-9db9-69eb3b2f3584	d9377055-7f19-4ae2-9744-5a5bff0a749f	SWITCHGEAR
42126681-5359-4438-9db9-69eb3b2f3584	0b688976-0bf1-4cdd-bdfa-b55995399a9b	GENERATOR
42126681-5359-4438-9db9-69eb3b2f3584	a17205eb-901b-447e-9c57-a5b5f739c466	PRIMARY_AUXILIARIES
42126681-5359-4438-9db9-69eb3b2f3584	a8d5e6ed-f8af-40c5-ada4-b2cc7dcf66c1	UPS
42126681-5359-4438-9db9-69eb3b2f3584	bdee3533-2e8f-495c-b36b-5d4cbe0d0036	CRITICAL_AUXILIARIES
42126681-5359-4438-9db9-69eb3b2f3584	7fee9fb9-33e7-4b1d-8adb-bac373d89956	LIGHTING
42126681-5359-4438-9db9-69eb3b2f3584	7e6d72ef-16d6-4568-bbd3-ef1b56164d42	CRITICAL_POWER_DISTRIBUTION
42126681-5359-4438-9db9-69eb3b2f3584	994ff295-f19c-4f40-928b-32a31d2e3d1d	CRAH
42126681-5359-4438-9db9-69eb3b2f3584	5a88f9e3-b200-47be-ba52-d6ceda30a716	CRAC
42126681-5359-4438-9db9-69eb3b2f3584	938d2b42-764e-4209-93ca-706021dcfa2e	CRAC_WITHOUT_FAN
42126681-5359-4438-9db9-69eb3b2f3584	8cf657a8-3324-4bb8-8a55-f8279b3001ba	CRAC_FAN
42126681-5359-4438-9db9-69eb3b2f3584	a3154635-f211-48d5-b13a-1d5e859aeae2	CHILLER
42126681-5359-4438-9db9-69eb3b2f3584	a719de58-bd30-4da8-9f3c-3ecf2da2984d	AIR_COOLED_CHILLER
42126681-5359-4438-9db9-69eb3b2f3584	72b2fd2e-eb61-4b6f-817b-de5462179eb5	COOLING_TOWER
42126681-5359-4438-9db9-69eb3b2f3584	2ff22893-f586-4fd8-a915-7ed9e9da6e7b	DRY_COOLER
42126681-5359-4438-9db9-69eb3b2f3584	852375ad-1061-4490-b7a3-57ea2ef182b8	REMOTE_CONDENSER
42126681-5359-4438-9db9-69eb3b2f3584	e0c88972-be28-4311-aa41-342fe5e7b486	CHILLED_WATER_PUMPS
42126681-5359-4438-9db9-69eb3b2f3584	7d8b6d73-4f0b-4ef9-a442-b155712c41a7	HEAT_REJECTION_PUMPS
42126681-5359-4438-9db9-69eb3b2f3584	320f66fe-ef88-42e8-ada9-ef1e9249206a	VENTILATION
42126681-5359-4438-9db9-69eb3b2f3584	644d382d-57af-43f4-8891-2369f317aba2	INFILTRATION
42126681-5359-4438-9db9-69eb3b2f3584	0a07a4bf-3dfd-447a-8db4-b7cab411efd9	IT_LOAD
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	36362bcb-0952-474f-aa4e-edb44f33231c	SWITCHGEAR
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	860a1aeb-a574-48dc-8709-8f95d22f5dbc	GENERATOR
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	22548a31-9bf0-4836-8949-eb6ab5cb2282	PRIMARY_AUXILIARIES
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	c08ef018-36f1-4b9e-a528-ab547502a67e	UPS
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	71f2378d-de64-4564-9600-1ac8df4fd1ba	CRITICAL_AUXILIARIES
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	9f2f46d8-9953-42d1-a140-3d7bddc1c0c7	LIGHTING
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	f79faf4c-4946-4e7c-ab1c-6419dd1b0b87	CRITICAL_POWER_DISTRIBUTION
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	7da37345-4524-4b03-8d3c-6d12322e7b5c	CRAH
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	886fec29-1177-4032-92bd-02e10c3426d3	CRAC
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	31c120d5-ce2f-4f9c-8a76-e913da189ad3	CRAC_WITHOUT_FAN
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	e3804917-fb5a-4c21-97ff-7748f9ce8b7b	CRAC_FAN
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	a49702e5-6cb3-4203-aae1-c106a5d682b1	CHILLER
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	0339b674-350d-467c-b676-42080c095af6	AIR_COOLED_CHILLER
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	5ace7b47-8b74-4fce-ae63-1eec11d91bce	COOLING_TOWER
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	b637a3d5-8660-4dd9-ac2b-e1b8d1c27e66	DRY_COOLER
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	71c7d345-c2a1-469d-8dde-4c9ed3e9205e	REMOTE_CONDENSER
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	d64fca42-6b9b-4bf9-930f-fced9cf5ff82	CHILLED_WATER_PUMPS
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	92e7f5b3-ca69-4057-86f2-2d49d765a6f2	HEAT_REJECTION_PUMPS
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	8e8c5ecc-8dcc-4a0b-8936-167c3785a67b	VENTILATION
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	8d3c3aab-ec0d-48b5-a100-06881636e064	INFILTRATION
42cb2b9a-8a7c-4206-b3a7-3c9c91402866	264dad3c-a68f-43f7-9ff6-1dc0d47afe60	IT_LOAD
98dd13a4-e1c1-4051-93d0-af10ca001636	e04631c1-1139-4795-a6fd-38c84bea2fe2	SWITCHGEAR
98dd13a4-e1c1-4051-93d0-af10ca001636	553d19e3-62f5-46c0-8a83-90b61a2b6324	GENERATOR
98dd13a4-e1c1-4051-93d0-af10ca001636	e7a04374-717d-4b4e-a11a-e7a4f84d6c68	PRIMARY_AUXILIARIES
98dd13a4-e1c1-4051-93d0-af10ca001636	cfd88af0-a83c-4975-866c-4cb3f1bd5bfd	UPS
98dd13a4-e1c1-4051-93d0-af10ca001636	a5d85d14-03bc-4960-a083-2da6f5dfa7d5	CRITICAL_AUXILIARIES
98dd13a4-e1c1-4051-93d0-af10ca001636	50505a3c-bb65-4ee4-b30d-2e705e8eaaee	LIGHTING
98dd13a4-e1c1-4051-93d0-af10ca001636	ef58cd21-91eb-4c5a-8be6-68ed314e57a7	CRITICAL_POWER_DISTRIBUTION
98dd13a4-e1c1-4051-93d0-af10ca001636	454c65dc-3c97-4b21-b494-45862e6763a3	CRAH
98dd13a4-e1c1-4051-93d0-af10ca001636	e138da16-ae91-4283-a338-5085d97a9ba6	CRAC
98dd13a4-e1c1-4051-93d0-af10ca001636	aaf44986-03b0-4273-b441-a7e7f77852f8	CRAC_WITHOUT_FAN
98dd13a4-e1c1-4051-93d0-af10ca001636	f2eeae5b-c2da-4d82-aa15-d6e2537cef14	CRAC_FAN
98dd13a4-e1c1-4051-93d0-af10ca001636	bc2815ce-9bf0-413a-b7fd-7bb6c13b3c8e	CHILLER
98dd13a4-e1c1-4051-93d0-af10ca001636	0ae58e48-4e41-417c-b7fd-bb206d1139f2	AIR_COOLED_CHILLER
98dd13a4-e1c1-4051-93d0-af10ca001636	825a01a2-c595-49a9-b8a5-749b44c7851a	COOLING_TOWER
98dd13a4-e1c1-4051-93d0-af10ca001636	88b68681-2441-4715-9878-bfdcfc4e91a3	DRY_COOLER
98dd13a4-e1c1-4051-93d0-af10ca001636	27bcbacd-da9c-475c-9bea-8bbab8ad7001	REMOTE_CONDENSER
98dd13a4-e1c1-4051-93d0-af10ca001636	848b9ded-093c-4613-bd00-abb3af611f0b	CHILLED_WATER_PUMPS
98dd13a4-e1c1-4051-93d0-af10ca001636	507dd40b-4a2c-4706-85a2-b267a428be6d	HEAT_REJECTION_PUMPS
98dd13a4-e1c1-4051-93d0-af10ca001636	85c4ddbf-ecf1-4f0b-9560-a9d8bb270393	VENTILATION
98dd13a4-e1c1-4051-93d0-af10ca001636	79ae609c-223d-4ca3-babe-cff4679872b9	INFILTRATION
98dd13a4-e1c1-4051-93d0-af10ca001636	6fefac88-2629-4f65-b12d-711de35f8b3d	IT_LOAD
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	82b781b5-daaf-4d12-97f5-5bc6109221b6	SWITCHGEAR
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	5275f220-c344-40e6-84f9-c17729ca9d1b	GENERATOR
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	64e51d58-e944-49d2-9b13-b77d5619682d	PRIMARY_AUXILIARIES
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	b6c52eda-6478-4cbd-9dff-70732abd37cb	UPS
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	34f17a55-83f0-4e8d-9411-c9ffc73417dd	CRITICAL_AUXILIARIES
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	d323d9c7-674f-4a3c-93f9-c7a5c9e86869	LIGHTING
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	f759fb63-30d1-412e-96ce-08f90f726385	CRITICAL_POWER_DISTRIBUTION
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	6aed31c0-ad14-4b83-9896-68e1c056bdad	CRAH
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	e97c31d9-e52c-4122-b946-7d69e481d0b2	CRAC
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	0ea9e202-9724-4be5-9479-716823386cb0	CRAC_WITHOUT_FAN
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	7c1f8fd3-dd7a-48ff-b486-68b2b707b5e3	CRAC_FAN
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	df770792-aaae-4eab-a40b-c0d25e4efae0	CHILLER
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	1c2a3540-a7f6-4e15-a718-8a3af1846696	AIR_COOLED_CHILLER
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	569fe795-747c-4b52-bcd0-e137aad1e888	COOLING_TOWER
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	df5dd556-bec0-4e34-85e2-ae25cfd4df80	DRY_COOLER
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	44efc61b-0be7-41d4-af54-5256d694f72d	REMOTE_CONDENSER
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	6e78e846-2328-46f7-be0c-82959d7bc720	CHILLED_WATER_PUMPS
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	1ff120c0-5033-4ed0-87d0-ffc0c2df2a5d	HEAT_REJECTION_PUMPS
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	a8cf7f1f-fd15-4ce8-8b67-979996628baf	VENTILATION
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	e3a4b211-8047-4ae5-ad3b-6dadf634aeb6	INFILTRATION
deb6df14-8dde-4a2b-8691-4a3b37d1bb0c	5030e57a-eb8e-47ee-bfd5-706d2418fae8	IT_LOAD
02b0ed32-b621-4870-9277-76349565aa1f	82a7f16a-45be-4580-aad0-b10c719eff7a	SWITCHGEAR
02b0ed32-b621-4870-9277-76349565aa1f	ed147d4c-9010-4596-8cd4-e9f2049ee929	GENERATOR
02b0ed32-b621-4870-9277-76349565aa1f	c7059598-6ca7-4a0c-8e88-8eb4ab0062f1	PRIMARY_AUXILIARIES
02b0ed32-b621-4870-9277-76349565aa1f	3b96c205-4860-4d8d-b81d-0b765af64e4d	UPS
02b0ed32-b621-4870-9277-76349565aa1f	85dca60a-ef4b-44c0-a562-ff8e1c019edd	CRITICAL_AUXILIARIES
02b0ed32-b621-4870-9277-76349565aa1f	12e9b53a-955c-4a6c-8301-a68ce9dcacc2	LIGHTING
02b0ed32-b621-4870-9277-76349565aa1f	52f3c26b-b165-4fff-8803-8af5cc9dc5c4	CRITICAL_POWER_DISTRIBUTION
02b0ed32-b621-4870-9277-76349565aa1f	a6f045c3-dd7b-4679-ad03-a823ae8281db	CRAH
02b0ed32-b621-4870-9277-76349565aa1f	e67c849b-287b-496c-b424-237a79a77c31	CRAC
02b0ed32-b621-4870-9277-76349565aa1f	3bcf37ec-f3cf-4506-b31d-91c614d10141	CRAC_WITHOUT_FAN
02b0ed32-b621-4870-9277-76349565aa1f	105c1765-834f-4d75-8071-89e9d1644384	CRAC_FAN
02b0ed32-b621-4870-9277-76349565aa1f	2213a1b3-f531-4c55-903f-464da4a84a9a	CHILLER
02b0ed32-b621-4870-9277-76349565aa1f	a39ed8d3-4c18-469b-b0aa-3dd0a0ecfa63	AIR_COOLED_CHILLER
02b0ed32-b621-4870-9277-76349565aa1f	aca96854-1f47-43aa-aa56-54faa67c8dd5	COOLING_TOWER
02b0ed32-b621-4870-9277-76349565aa1f	1f9a8373-99c5-4720-9a83-8d8b8169777f	DRY_COOLER
02b0ed32-b621-4870-9277-76349565aa1f	472ba115-8db2-46a3-bbdb-fd8eb3bf661c	REMOTE_CONDENSER
02b0ed32-b621-4870-9277-76349565aa1f	8a58546d-f4c8-48c8-806f-d99ac5c443f6	CHILLED_WATER_PUMPS
02b0ed32-b621-4870-9277-76349565aa1f	67623d43-8ad4-47a9-a65f-7599054da1d2	HEAT_REJECTION_PUMPS
02b0ed32-b621-4870-9277-76349565aa1f	81bf7835-3865-40e6-8300-c6b14b47b6e1	VENTILATION
02b0ed32-b621-4870-9277-76349565aa1f	87340843-8fe0-4443-ba0f-68d31733ad2f	INFILTRATION
02b0ed32-b621-4870-9277-76349565aa1f	51fa7b18-bcc3-430a-9d95-c6c75b88c08f	IT_LOAD
2f87df08-b178-4236-9a19-3196698ef4b2	0219ccd5-5b66-4be6-b291-b84ee39a9d2b	SWITCHGEAR
2f87df08-b178-4236-9a19-3196698ef4b2	8b481624-8317-4fe0-a919-f5f093467074	GENERATOR
2f87df08-b178-4236-9a19-3196698ef4b2	611c2ac8-6cf7-4701-904c-4294bc21baaf	PRIMARY_AUXILIARIES
2f87df08-b178-4236-9a19-3196698ef4b2	ace039ea-db39-4729-87c8-05667eb37926	UPS
2f87df08-b178-4236-9a19-3196698ef4b2	49623472-65dd-4351-8cfd-1e489d8910ad	CRITICAL_AUXILIARIES
2f87df08-b178-4236-9a19-3196698ef4b2	8bfb815c-eb89-4f5f-84e2-99b34ae87a93	LIGHTING
2f87df08-b178-4236-9a19-3196698ef4b2	10a565c4-a6f6-4be7-b7ec-066fba2a0bf7	CRITICAL_POWER_DISTRIBUTION
2f87df08-b178-4236-9a19-3196698ef4b2	2cbb43f7-6a2b-4871-835a-6397adae2b0f	CRAH
2f87df08-b178-4236-9a19-3196698ef4b2	579e234c-7aad-4a1c-90bc-c579bd6941ea	CRAC
2f87df08-b178-4236-9a19-3196698ef4b2	17f3b548-7e1b-4e27-9e74-3a95dbff11b9	CRAC_WITHOUT_FAN
2f87df08-b178-4236-9a19-3196698ef4b2	932a184e-c8ef-491e-9d7e-e832ba1c6995	CRAC_FAN
2f87df08-b178-4236-9a19-3196698ef4b2	7ea8484a-8c05-426f-9835-30ca49207333	CHILLER
2f87df08-b178-4236-9a19-3196698ef4b2	0e2eb8d9-f729-4f1c-806c-826b35b10206	AIR_COOLED_CHILLER
2f87df08-b178-4236-9a19-3196698ef4b2	77abd5c2-9fd3-49f6-923e-720f15ae0dbb	COOLING_TOWER
2f87df08-b178-4236-9a19-3196698ef4b2	6250088b-221e-4d1a-8bc0-5cd08580248b	DRY_COOLER
2f87df08-b178-4236-9a19-3196698ef4b2	7d4b5d0e-92d4-49f1-97cd-61ecdee423ee	REMOTE_CONDENSER
2f87df08-b178-4236-9a19-3196698ef4b2	521d3cfa-a71b-472e-b87f-8199570e67f7	CHILLED_WATER_PUMPS
2f87df08-b178-4236-9a19-3196698ef4b2	fec3f5f5-d93e-42e6-b862-7f8e47c8b22a	HEAT_REJECTION_PUMPS
2f87df08-b178-4236-9a19-3196698ef4b2	1f61f2ea-667d-4efe-899a-ff0e6ccbfd54	VENTILATION
2f87df08-b178-4236-9a19-3196698ef4b2	76a0453d-07d6-4663-9f9b-d32cd0c9cb50	INFILTRATION
2f87df08-b178-4236-9a19-3196698ef4b2	39e90d5b-b348-471a-87d1-4cefc279076b	IT_LOAD
cacd4dbb-8a1d-4879-9cfe-23eab863023d	c61d66f9-5d64-4e12-b241-2ef61dc3312d	SWITCHGEAR
cacd4dbb-8a1d-4879-9cfe-23eab863023d	e1726bdf-ae9d-464f-9633-d176c3fd7f64	GENERATOR
cacd4dbb-8a1d-4879-9cfe-23eab863023d	e6258ab8-8d03-4463-99c0-9056fdefbff9	PRIMARY_AUXILIARIES
cacd4dbb-8a1d-4879-9cfe-23eab863023d	7234dac9-dc5f-413c-87df-28583ac7be72	UPS
cacd4dbb-8a1d-4879-9cfe-23eab863023d	47bded89-62dd-4051-99cf-d03f5a4621ad	CRITICAL_AUXILIARIES
cacd4dbb-8a1d-4879-9cfe-23eab863023d	8af0329f-6205-4b8e-881e-1483b9cbb83f	LIGHTING
cacd4dbb-8a1d-4879-9cfe-23eab863023d	a5f66d26-d01b-4326-b94b-16d81bb4cbfb	CRITICAL_POWER_DISTRIBUTION
cacd4dbb-8a1d-4879-9cfe-23eab863023d	a2a0a684-3ccd-40e5-8baa-80e148181397	CRAH
cacd4dbb-8a1d-4879-9cfe-23eab863023d	1916c635-280e-49c9-9ec9-b9c74cc01e00	CRAC
cacd4dbb-8a1d-4879-9cfe-23eab863023d	54581512-5e3f-43a4-8115-c5a982d18508	CRAC_WITHOUT_FAN
cacd4dbb-8a1d-4879-9cfe-23eab863023d	2794d454-b950-47d5-bac0-d51b6cf3cb7b	CRAC_FAN
cacd4dbb-8a1d-4879-9cfe-23eab863023d	19d35420-944b-4cf1-88ce-e687faf57f7c	CHILLER
cacd4dbb-8a1d-4879-9cfe-23eab863023d	01161702-82bc-43ca-8f6e-2226bb8c0794	AIR_COOLED_CHILLER
cacd4dbb-8a1d-4879-9cfe-23eab863023d	673f56d0-62e5-4066-aa10-1e104cf75fb1	COOLING_TOWER
cacd4dbb-8a1d-4879-9cfe-23eab863023d	592694fc-8c21-4253-beb9-2d63280c4a0f	DRY_COOLER
cacd4dbb-8a1d-4879-9cfe-23eab863023d	374f69ac-1029-4536-919e-597b82b905dc	REMOTE_CONDENSER
cacd4dbb-8a1d-4879-9cfe-23eab863023d	a63001d2-9bd7-42b1-a888-f1163d228a3e	CHILLED_WATER_PUMPS
cacd4dbb-8a1d-4879-9cfe-23eab863023d	10f6d758-8451-4350-8f62-b8b2c5f96b5c	HEAT_REJECTION_PUMPS
cacd4dbb-8a1d-4879-9cfe-23eab863023d	2965cb6e-040e-41b1-ad34-49d1a2209961	VENTILATION
cacd4dbb-8a1d-4879-9cfe-23eab863023d	32809c55-7a7f-4927-a5cd-426743936c5f	INFILTRATION
cacd4dbb-8a1d-4879-9cfe-23eab863023d	6415b7c9-32a1-4c86-b4df-46e1dd8a05ee	IT_LOAD
9f45a6a0-fd93-48d7-9341-74e50531a962	99a7eeb2-b238-4736-a8af-450f2c01e622	SWITCHGEAR
9f45a6a0-fd93-48d7-9341-74e50531a962	8a789b40-ba61-4ccb-b581-98d90dea61dd	GENERATOR
9f45a6a0-fd93-48d7-9341-74e50531a962	efd54f44-582c-4823-8f4f-0a0d069b86df	PRIMARY_AUXILIARIES
9f45a6a0-fd93-48d7-9341-74e50531a962	86f60d05-5a2c-46b7-b35e-f2983cc3c6d0	UPS
9f45a6a0-fd93-48d7-9341-74e50531a962	802d6739-1d47-455b-98a4-ddc7c8aad0ed	CRITICAL_AUXILIARIES
9f45a6a0-fd93-48d7-9341-74e50531a962	37ee92b0-6ff9-4dd7-ace9-7eda93f4166b	LIGHTING
9f45a6a0-fd93-48d7-9341-74e50531a962	25df2e1b-c0a9-420d-9c35-6d02b92160de	CRITICAL_POWER_DISTRIBUTION
9f45a6a0-fd93-48d7-9341-74e50531a962	ddc33353-2ca5-4e6a-9574-6e5d86a05511	CRAH
9f45a6a0-fd93-48d7-9341-74e50531a962	fe1db78b-263b-4104-a185-0c8649735523	CRAC
9f45a6a0-fd93-48d7-9341-74e50531a962	d6591a38-81d2-4dff-8bf6-45285f67d312	CRAC_WITHOUT_FAN
9f45a6a0-fd93-48d7-9341-74e50531a962	762665ad-adc8-46a7-b921-f825e5f19529	CRAC_FAN
9f45a6a0-fd93-48d7-9341-74e50531a962	2f8c7a54-aaf6-411d-b8d0-39d36057f848	CHILLER
9f45a6a0-fd93-48d7-9341-74e50531a962	531333e0-2073-4ab1-b109-2a93134310d6	AIR_COOLED_CHILLER
9f45a6a0-fd93-48d7-9341-74e50531a962	83876047-6da2-4ef4-b8e0-7910dc136e0c	COOLING_TOWER
9f45a6a0-fd93-48d7-9341-74e50531a962	f9b241c6-aa7d-4c8c-9d11-32ee8ddf2dec	DRY_COOLER
9f45a6a0-fd93-48d7-9341-74e50531a962	12092b88-1e77-4743-b0b3-4402d62bfbe1	REMOTE_CONDENSER
9f45a6a0-fd93-48d7-9341-74e50531a962	5b209d18-c4f2-4d36-a43f-466a9180799d	CHILLED_WATER_PUMPS
9f45a6a0-fd93-48d7-9341-74e50531a962	1b5c6f46-8370-480a-91bf-65d0af6a7ede	HEAT_REJECTION_PUMPS
9f45a6a0-fd93-48d7-9341-74e50531a962	de3c95eb-b9f3-4dbf-8040-deb1a4a0b03c	VENTILATION
9f45a6a0-fd93-48d7-9341-74e50531a962	6b9933c0-f492-4eed-beb1-4ea2c4cc12dd	INFILTRATION
9f45a6a0-fd93-48d7-9341-74e50531a962	ea848228-66cd-4b83-b4d5-b188db194acc	IT_LOAD
835c30ce-2b3e-4006-8b35-833d7f35ffd4	66e4e43b-6d0b-4633-8988-8db420198032	SWITCHGEAR
835c30ce-2b3e-4006-8b35-833d7f35ffd4	daf06d8a-1189-4bf7-954d-e679ec99dcde	GENERATOR
835c30ce-2b3e-4006-8b35-833d7f35ffd4	e5dcfd91-01bf-4b62-a692-2053c90e735a	PRIMARY_AUXILIARIES
835c30ce-2b3e-4006-8b35-833d7f35ffd4	1f025f8f-af21-45f6-b0ed-cfc8cfa1c035	UPS
835c30ce-2b3e-4006-8b35-833d7f35ffd4	924f3f16-1a52-465f-956a-7220d0c8ff4f	CRITICAL_AUXILIARIES
835c30ce-2b3e-4006-8b35-833d7f35ffd4	806d252e-ade8-4290-bfe0-856e53221f55	LIGHTING
835c30ce-2b3e-4006-8b35-833d7f35ffd4	45c8895e-e502-42f0-a560-ecad8007e91f	CRITICAL_POWER_DISTRIBUTION
835c30ce-2b3e-4006-8b35-833d7f35ffd4	9fe5b975-d652-434c-a418-5d22acc705c4	CRAH
835c30ce-2b3e-4006-8b35-833d7f35ffd4	a9c750b4-b6a1-4a16-9cae-6eb16035af96	CRAC
835c30ce-2b3e-4006-8b35-833d7f35ffd4	d394eb7a-af2f-4521-bb6c-3700a3b7b2b5	CRAC_WITHOUT_FAN
835c30ce-2b3e-4006-8b35-833d7f35ffd4	47716774-c3ef-4a0b-b42a-3906ddeb898a	CRAC_FAN
835c30ce-2b3e-4006-8b35-833d7f35ffd4	78eb2969-f085-49d9-8f61-400698d9bf5f	CHILLER
835c30ce-2b3e-4006-8b35-833d7f35ffd4	a87746b9-e5b6-4f10-a891-bca5baaddef5	AIR_COOLED_CHILLER
835c30ce-2b3e-4006-8b35-833d7f35ffd4	ca5d5102-fbf0-4079-a28f-5060f9711929	COOLING_TOWER
835c30ce-2b3e-4006-8b35-833d7f35ffd4	e7c4acca-13c5-46e5-ba96-f650b9e80972	DRY_COOLER
835c30ce-2b3e-4006-8b35-833d7f35ffd4	d5ccdd69-2ee0-4c92-b463-f146dc638781	REMOTE_CONDENSER
835c30ce-2b3e-4006-8b35-833d7f35ffd4	51cdbaf5-a3fc-457f-8a51-368ab76b8887	CHILLED_WATER_PUMPS
835c30ce-2b3e-4006-8b35-833d7f35ffd4	a738361d-371c-4e9f-9b3a-de6a662a300c	HEAT_REJECTION_PUMPS
835c30ce-2b3e-4006-8b35-833d7f35ffd4	1b5fd982-80f0-4dde-9f5f-af873263584a	VENTILATION
835c30ce-2b3e-4006-8b35-833d7f35ffd4	f139cb79-e40c-4881-91d1-6ac1fa65e0bf	INFILTRATION
835c30ce-2b3e-4006-8b35-833d7f35ffd4	afa432fb-41d6-4065-8785-8a8453699cbb	IT_LOAD
3b4f6882-5eca-435d-8b85-d42374e45d93	fbf22341-5de6-47c5-a207-158df38dd416	SWITCHGEAR
3b4f6882-5eca-435d-8b85-d42374e45d93	9dbe11d5-f7fd-4cdc-8c42-35c71ca02045	GENERATOR
3b4f6882-5eca-435d-8b85-d42374e45d93	fa6b91a0-5b05-42b4-a9be-27888b9b2807	PRIMARY_AUXILIARIES
3b4f6882-5eca-435d-8b85-d42374e45d93	795a74c0-c22e-4587-9864-13a94911e6c9	UPS
3b4f6882-5eca-435d-8b85-d42374e45d93	454b5ca8-448f-4d1a-9f90-f9bd829aafdd	CRITICAL_AUXILIARIES
3b4f6882-5eca-435d-8b85-d42374e45d93	f37f46ce-54aa-4edf-bacc-779d023ed452	LIGHTING
3b4f6882-5eca-435d-8b85-d42374e45d93	084f247b-04cc-41e2-b6f5-a0211dac3608	CRITICAL_POWER_DISTRIBUTION
3b4f6882-5eca-435d-8b85-d42374e45d93	69ed4eaa-f215-4d45-8218-29acb8307ee8	CRAH
3b4f6882-5eca-435d-8b85-d42374e45d93	f4f5a00e-8d82-4479-8116-09fe1962c064	CRAC
3b4f6882-5eca-435d-8b85-d42374e45d93	0fb5c04f-208f-4ec7-8295-5f4fddd15f4c	CRAC_WITHOUT_FAN
3b4f6882-5eca-435d-8b85-d42374e45d93	1ccd7842-35a8-435e-bd5e-1e50cd737b46	CRAC_FAN
3b4f6882-5eca-435d-8b85-d42374e45d93	c3c104be-738a-4c80-a283-a39b574f259b	CHILLER
3b4f6882-5eca-435d-8b85-d42374e45d93	17e269ad-6528-4d73-a430-63ccd59c37dd	AIR_COOLED_CHILLER
3b4f6882-5eca-435d-8b85-d42374e45d93	1e02e90d-cb1f-45f6-932b-3749bbc0b84b	COOLING_TOWER
3b4f6882-5eca-435d-8b85-d42374e45d93	a2377d17-dbba-4a4d-879f-f712bad2aa43	DRY_COOLER
3b4f6882-5eca-435d-8b85-d42374e45d93	2bd60c23-e933-472d-9d5a-7e2f87e9e4f9	REMOTE_CONDENSER
3b4f6882-5eca-435d-8b85-d42374e45d93	665c1b01-ac59-40d8-b0a9-cdc15a199db9	CHILLED_WATER_PUMPS
3b4f6882-5eca-435d-8b85-d42374e45d93	8dc60de5-09ca-4c37-bf44-081f43aea243	HEAT_REJECTION_PUMPS
3b4f6882-5eca-435d-8b85-d42374e45d93	22ef3615-8c67-4077-8e7b-c81181e65e0c	VENTILATION
3b4f6882-5eca-435d-8b85-d42374e45d93	7c16f49e-1f97-45d6-bd40-4d75f8aba731	INFILTRATION
3b4f6882-5eca-435d-8b85-d42374e45d93	9c746548-b85e-4131-a1b7-20ab1b7f1262	IT_LOAD
7d80335e-0a79-4ee0-8de7-7f2164b1102c	49bfc75a-96d1-48db-9f41-008e30c78a2b	SWITCHGEAR
7d80335e-0a79-4ee0-8de7-7f2164b1102c	538c2bb5-261b-49a9-bdfe-74ee8e785c31	GENERATOR
7d80335e-0a79-4ee0-8de7-7f2164b1102c	0d600aeb-b6ce-4dd1-bc4a-b3f697886127	PRIMARY_AUXILIARIES
7d80335e-0a79-4ee0-8de7-7f2164b1102c	5a3d87df-847e-4c3c-9fa5-cef5e7e8746e	UPS
7d80335e-0a79-4ee0-8de7-7f2164b1102c	156972a3-f142-45df-805b-867173364ef3	CRITICAL_AUXILIARIES
7d80335e-0a79-4ee0-8de7-7f2164b1102c	e7670134-196a-4614-aadf-11cd510d56e4	LIGHTING
7d80335e-0a79-4ee0-8de7-7f2164b1102c	e54a6bbd-8e8d-4001-b630-a54a40b1d7e9	CRITICAL_POWER_DISTRIBUTION
7d80335e-0a79-4ee0-8de7-7f2164b1102c	99b9be68-c216-4850-82d9-d2459aa69e92	CRAH
7d80335e-0a79-4ee0-8de7-7f2164b1102c	7ec3f822-6f16-4b66-91c7-169f88a8e02c	CRAC
7d80335e-0a79-4ee0-8de7-7f2164b1102c	bc40c9f2-579f-423e-a952-1617c4af74c8	CRAC_WITHOUT_FAN
7d80335e-0a79-4ee0-8de7-7f2164b1102c	47de19f2-be38-457f-a995-6f6430afb737	CRAC_FAN
7d80335e-0a79-4ee0-8de7-7f2164b1102c	2f047a75-8642-40b5-bccc-495c13b211f2	CHILLER
7d80335e-0a79-4ee0-8de7-7f2164b1102c	dcca8917-4025-4a74-a5c6-07ae52cef606	AIR_COOLED_CHILLER
7d80335e-0a79-4ee0-8de7-7f2164b1102c	4afe93f9-43d4-4bba-a0a5-933b4c65c2c5	COOLING_TOWER
7d80335e-0a79-4ee0-8de7-7f2164b1102c	3c48472b-b257-4b8b-b6bf-ede40fe234da	DRY_COOLER
7d80335e-0a79-4ee0-8de7-7f2164b1102c	83560bf1-6837-4a32-a734-5c3f02dc4610	REMOTE_CONDENSER
7d80335e-0a79-4ee0-8de7-7f2164b1102c	31b71b59-a8c4-41d7-aa74-a7f464c7cbe6	CHILLED_WATER_PUMPS
7d80335e-0a79-4ee0-8de7-7f2164b1102c	28169168-8e75-4979-bf17-fb6b18324516	HEAT_REJECTION_PUMPS
7d80335e-0a79-4ee0-8de7-7f2164b1102c	df8fe3b4-3a8d-404a-a4e1-92d879f60fcb	VENTILATION
7d80335e-0a79-4ee0-8de7-7f2164b1102c	0d61ede0-9bf4-4aaa-8ce8-13cbbf63ee13	INFILTRATION
7d80335e-0a79-4ee0-8de7-7f2164b1102c	c0e24d53-c510-431e-9da6-86cd982c13aa	IT_LOAD
7771e91c-bc04-4867-9f57-cd566415381f	f1da824d-fa23-4417-8de5-368990afa6c5	SWITCHGEAR
7771e91c-bc04-4867-9f57-cd566415381f	ec944d62-d257-43c1-8e6f-822e246c2a5d	GENERATOR
7771e91c-bc04-4867-9f57-cd566415381f	87bfb27c-b5b8-4d31-8665-33b9e5a309c4	PRIMARY_AUXILIARIES
7771e91c-bc04-4867-9f57-cd566415381f	4366cf15-9a88-48fa-85e8-a445a3cb9e14	UPS
7771e91c-bc04-4867-9f57-cd566415381f	8929afb8-5b20-42e6-aa16-523eb75eed53	CRITICAL_AUXILIARIES
7771e91c-bc04-4867-9f57-cd566415381f	ada79eae-f488-47b7-bf2f-43c46e14aa85	LIGHTING
7771e91c-bc04-4867-9f57-cd566415381f	9fdd5f4d-6f39-4c16-9e3d-685bf694f712	CRITICAL_POWER_DISTRIBUTION
7771e91c-bc04-4867-9f57-cd566415381f	ed2b14da-73df-48ca-b1a6-c223a2fab371	CRAH
7771e91c-bc04-4867-9f57-cd566415381f	5c8931f1-d9ce-4f04-b16d-a2c8dfd81ecc	CRAC
7771e91c-bc04-4867-9f57-cd566415381f	ce793c42-3c82-4b1a-94b0-d248ac432753	CRAC_WITHOUT_FAN
7771e91c-bc04-4867-9f57-cd566415381f	8a50f227-ab7e-40d0-a24c-65665a1d5898	CRAC_FAN
7771e91c-bc04-4867-9f57-cd566415381f	c5063f07-babb-4f44-8701-b2f265602b3a	CHILLER
7771e91c-bc04-4867-9f57-cd566415381f	a628b38d-9ea6-4b26-b06d-d46d8935cdd4	AIR_COOLED_CHILLER
7771e91c-bc04-4867-9f57-cd566415381f	7a7817a6-d42e-4650-a2d2-6c698c95f2df	COOLING_TOWER
7771e91c-bc04-4867-9f57-cd566415381f	abcd85b6-7e8d-45ce-9f74-c5ebd597a47f	DRY_COOLER
7771e91c-bc04-4867-9f57-cd566415381f	9a64a016-6589-43ed-a58e-aee27aad8d91	REMOTE_CONDENSER
7771e91c-bc04-4867-9f57-cd566415381f	89c0face-0b3a-46fd-b844-fd97ee303425	CHILLED_WATER_PUMPS
7771e91c-bc04-4867-9f57-cd566415381f	30cf4bf8-91f4-43fe-b9f3-9b2efb5eb2c5	HEAT_REJECTION_PUMPS
7771e91c-bc04-4867-9f57-cd566415381f	344f1ce8-30e0-4999-a689-d702b9f0a2dc	VENTILATION
7771e91c-bc04-4867-9f57-cd566415381f	f59fea92-4f83-45d7-87bd-916d59458746	INFILTRATION
7771e91c-bc04-4867-9f57-cd566415381f	a5f1fb6b-d687-454e-b389-3041e6c812a3	IT_LOAD
17578d38-5234-4b77-abef-9771845794cc	b27c0da0-24b1-4b5b-941b-d37993aaa844	SWITCHGEAR
17578d38-5234-4b77-abef-9771845794cc	7652bc62-5a76-47a6-87ea-eefb5450df0a	GENERATOR
17578d38-5234-4b77-abef-9771845794cc	97e62fef-17de-48f7-865f-5c4fcb76a988	PRIMARY_AUXILIARIES
17578d38-5234-4b77-abef-9771845794cc	ec3ba0bc-a64a-4333-bba2-1ad4f5b6dd64	UPS
17578d38-5234-4b77-abef-9771845794cc	9afc0fa7-df8d-4557-88ad-c873aee447ad	CRITICAL_AUXILIARIES
17578d38-5234-4b77-abef-9771845794cc	5b601a7b-142d-47d6-bda3-c8c200e36f41	LIGHTING
17578d38-5234-4b77-abef-9771845794cc	b339619f-5d22-4267-864b-eb72b50398a5	CRITICAL_POWER_DISTRIBUTION
17578d38-5234-4b77-abef-9771845794cc	9c6badcd-e884-4a20-8f24-302cb129aeb5	CRAH
17578d38-5234-4b77-abef-9771845794cc	ae25aff2-c15f-49bd-9e39-08880b841753	CRAC
17578d38-5234-4b77-abef-9771845794cc	824c631d-4df7-413b-8983-129c465a7916	CRAC_WITHOUT_FAN
17578d38-5234-4b77-abef-9771845794cc	9675c380-4165-4ced-ad8a-6b3d5bdedbcb	CRAC_FAN
17578d38-5234-4b77-abef-9771845794cc	cbd51995-d5b4-4431-92d7-2486797b75ed	CHILLER
17578d38-5234-4b77-abef-9771845794cc	bd5a9706-9281-4ef9-b969-446bec32c05c	AIR_COOLED_CHILLER
17578d38-5234-4b77-abef-9771845794cc	3620301f-20e4-44a0-8f42-ae264a0cf20d	COOLING_TOWER
17578d38-5234-4b77-abef-9771845794cc	d7a66622-ef76-4545-b4c2-44181de05de6	DRY_COOLER
17578d38-5234-4b77-abef-9771845794cc	1480e6de-3485-4f58-a605-411cb224ee65	REMOTE_CONDENSER
17578d38-5234-4b77-abef-9771845794cc	88373571-98c1-45d5-bb28-3be046b144ff	CHILLED_WATER_PUMPS
17578d38-5234-4b77-abef-9771845794cc	6f812ee0-c02b-4406-8109-dfa199ad38d1	HEAT_REJECTION_PUMPS
17578d38-5234-4b77-abef-9771845794cc	a20001ce-e31e-4bc5-9255-8336405aafa6	VENTILATION
17578d38-5234-4b77-abef-9771845794cc	bf512900-7205-452b-b983-69894439ffa9	INFILTRATION
17578d38-5234-4b77-abef-9771845794cc	a80a2915-344b-44af-ab30-23f09cc41205	IT_LOAD
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	22abc93a-2882-402f-90c1-113531dd15da	SWITCHGEAR
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	9f21fbe1-a4bb-48ae-89a2-f2e0d7a3ff77	GENERATOR
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	57cf049f-9c16-440b-af5a-7161000e1bdd	PRIMARY_AUXILIARIES
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	9ba65501-6779-4dce-a4af-30fe6f02e775	UPS
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	aa7c6807-5a12-4303-9aa7-66f5d2791851	CRITICAL_AUXILIARIES
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	4a41fb84-da43-48b1-bb9a-3acc4740aee3	LIGHTING
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	db40da23-e986-4222-b059-ea1a42f39120	CRITICAL_POWER_DISTRIBUTION
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	13573cb6-0875-4017-a9b2-abd87c86aaa4	CRAH
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	d2e11d2f-d31e-4cfa-b4ba-10c22ec3e46f	CRAC
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	31f42836-eb64-409a-95e9-329899383c53	CRAC_WITHOUT_FAN
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	1186f25e-c44a-4846-a2f0-b55d809fb9e7	CRAC_FAN
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	76fa793a-19e8-41d5-866a-10e999083706	CHILLER
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	2180b880-a335-4a39-bea1-7c3c07291f06	AIR_COOLED_CHILLER
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	e425865f-7542-48f0-a8fa-92a7eeaa6748	COOLING_TOWER
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	29a506ab-26a9-480b-8d73-ce192c913638	DRY_COOLER
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	a7992254-0fe7-4a08-abea-834d1bb07409	REMOTE_CONDENSER
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	73a7321a-b39a-4ac3-9d1d-60a3d0a31977	CHILLED_WATER_PUMPS
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	e377f3dd-461c-4d4f-a745-91d75e2c134e	HEAT_REJECTION_PUMPS
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	850feb73-ad39-4f58-9676-feccea644180	VENTILATION
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	e5c57f74-0259-4bbb-bfa7-912de7dc670d	INFILTRATION
c6b9df12-3c8e-4bd6-b731-bd15c61e6d7e	8f3daa6d-4c8e-4fb3-8228-d6e84cb4bf72	IT_LOAD
6cb30408-52f4-4b16-89b2-cab682cd62fe	b495e44a-cd49-4933-a470-f7c93657c66a	SWITCHGEAR
6cb30408-52f4-4b16-89b2-cab682cd62fe	39ea08f6-1e49-41ff-80bd-fb30c47164cf	GENERATOR
6cb30408-52f4-4b16-89b2-cab682cd62fe	a1e6fe81-14e3-41e7-9444-ebb83071d55c	PRIMARY_AUXILIARIES
6cb30408-52f4-4b16-89b2-cab682cd62fe	bd9fc348-f1e6-49c7-98e3-1733456e9d83	UPS
6cb30408-52f4-4b16-89b2-cab682cd62fe	e283a42f-e86c-46b6-b3b8-4476eb56c3df	CRITICAL_AUXILIARIES
6cb30408-52f4-4b16-89b2-cab682cd62fe	fd87381a-43c1-4ffa-abc3-9905e9b31afa	LIGHTING
6cb30408-52f4-4b16-89b2-cab682cd62fe	93484d8e-c2c5-4cf2-982a-3512ed13bd11	CRITICAL_POWER_DISTRIBUTION
6cb30408-52f4-4b16-89b2-cab682cd62fe	feefb0ef-ff9f-4839-ab9b-dfa09e215e4d	CRAH
6cb30408-52f4-4b16-89b2-cab682cd62fe	6f276229-87e4-462a-b027-100977b4b8a5	CRAC
6cb30408-52f4-4b16-89b2-cab682cd62fe	f67cbe01-241c-4369-bfa7-faaf5b5f2305	CRAC_WITHOUT_FAN
6cb30408-52f4-4b16-89b2-cab682cd62fe	5e54f2fc-1c98-44c4-867f-f327c0fe8d5c	CRAC_FAN
6cb30408-52f4-4b16-89b2-cab682cd62fe	fbb083b0-d5b2-4834-b471-bf771b6ea9a9	CHILLER
6cb30408-52f4-4b16-89b2-cab682cd62fe	06699dc4-b048-4d91-baae-a9f54210e511	AIR_COOLED_CHILLER
6cb30408-52f4-4b16-89b2-cab682cd62fe	a8c50c6b-6911-43e0-9673-4c1df0fcb512	COOLING_TOWER
6cb30408-52f4-4b16-89b2-cab682cd62fe	2293ca23-4114-42f9-b112-3441bec8b0b0	DRY_COOLER
6cb30408-52f4-4b16-89b2-cab682cd62fe	8f35cd8c-b714-4826-bc20-26c5458509c2	REMOTE_CONDENSER
6cb30408-52f4-4b16-89b2-cab682cd62fe	ae65d88c-9a90-4b54-aedd-debc5a35168f	CHILLED_WATER_PUMPS
6cb30408-52f4-4b16-89b2-cab682cd62fe	c0a22dea-32ee-4ad2-9f56-50038a6d542c	HEAT_REJECTION_PUMPS
6cb30408-52f4-4b16-89b2-cab682cd62fe	efe4b2f1-416a-402a-a6f0-3fcfc4604ca0	VENTILATION
6cb30408-52f4-4b16-89b2-cab682cd62fe	3a5c0358-e58f-444b-b969-8a42ce4e2d79	INFILTRATION
6cb30408-52f4-4b16-89b2-cab682cd62fe	45eb6788-6d73-42f4-8cf5-740265090d3e	IT_LOAD
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	647409cd-20fd-4058-9cb6-ccc2ab68c0dc	SWITCHGEAR
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	b9504872-3e58-4bc1-ae62-eb39ecb37c18	GENERATOR
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	8cf40413-560c-4b14-ae1d-ab01346d678b	PRIMARY_AUXILIARIES
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	92884acb-5dbd-4de0-81ac-30241e926be2	UPS
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	a2030a25-6385-40f6-948e-71912f7edc43	CRITICAL_AUXILIARIES
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	88be75d2-641b-494f-a70d-acda2f3c9305	LIGHTING
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	6e467ed3-dbb0-4b66-8e35-f32099d63c72	CRITICAL_POWER_DISTRIBUTION
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	ff56f684-02ce-4d8c-9e02-f8c4b4920269	CRAH
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	47479ab6-4234-453f-9b79-b94d26d3d3cb	CRAC
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	abd19882-ead3-4b19-a385-ff6cf37c6213	CRAC_WITHOUT_FAN
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	decfedd2-7040-49cf-997c-97bf9ed0241a	CRAC_FAN
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	9df2b95a-aafd-48ac-ab46-0f55070d9f21	CHILLER
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	2b5c5551-4a4a-4702-8655-c8d2b848ad67	AIR_COOLED_CHILLER
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	25bbe468-4f3c-40bc-94d7-098f390eb66a	COOLING_TOWER
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	abd3dea5-d4d2-4333-a729-2af4c6db7ad1	DRY_COOLER
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	2e4c486f-7856-4cac-ae1e-b4b313d7ec28	REMOTE_CONDENSER
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	c6869d0a-4e25-49fc-bebf-579ae30e4336	CHILLED_WATER_PUMPS
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	896558de-b96b-451e-96e5-54ded6c3beeb	HEAT_REJECTION_PUMPS
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	f2ca894c-315e-4c5f-b4b1-7bd1b4c8a9f0	VENTILATION
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	715be6f5-39cd-4bf8-8f95-067af63eff2c	INFILTRATION
fca0cc0a-e76f-4c0c-87ce-63632b46d2d8	69612afb-d903-4e9d-b875-5f93464dcdd0	IT_LOAD
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	48bd7cea-53bd-47d7-a351-f926666c58c0	SWITCHGEAR
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	5efd6947-a9d8-49f3-bfc2-8b71154f8ccf	GENERATOR
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	b5400271-1e40-4212-821b-5e7d86cf4991	PRIMARY_AUXILIARIES
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	ca1be8a8-e37e-4623-8795-98d21bd69dd4	UPS
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	0be111a6-95bd-47d8-a195-86ecd28b6b0d	CRITICAL_AUXILIARIES
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	b0a61ce3-e945-4668-8f30-9edb3ce37a2d	LIGHTING
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	518b231e-e7db-4a70-9d8d-21eeffbcb145	CRITICAL_POWER_DISTRIBUTION
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	4dc3ccf7-bcce-4ba0-b4ae-1a8d915cef04	CRAH
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	35e4587c-2cf9-4eb8-90f9-0690c30675ca	CRAC
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	287637a3-32a2-4461-b89f-6d265268a121	CRAC_WITHOUT_FAN
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	b7e86938-5d39-4ea6-a274-32077d098f1f	CRAC_FAN
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	27858c19-869b-4ecf-b44d-7f6e6e1a24b7	CHILLER
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	abb551d6-cd64-42ba-a94c-9b4259aae51f	AIR_COOLED_CHILLER
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	0a6ddd12-c7fa-4b97-a6ae-ac20748aa5c9	COOLING_TOWER
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	9feadae8-d53d-4f20-aae3-c3d96a9031c2	DRY_COOLER
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	6858dd0f-3a12-4ded-911c-97694e2447e4	REMOTE_CONDENSER
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	e05cd6b7-997a-43d7-9cd4-d5fa01491b40	CHILLED_WATER_PUMPS
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	a3aa5ade-8fdc-4638-9fe5-aab26d025b20	HEAT_REJECTION_PUMPS
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	069b6266-8364-45a5-8d9d-da9ba4ec6fb9	VENTILATION
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	18b85edc-0d4c-4476-ae94-6abb38e4ba86	INFILTRATION
89ebfcf8-6f5d-424a-bb6e-e4861ab07676	b8487795-5f3d-4d0a-ada5-5e0ed90544c8	IT_LOAD
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	eaf1975f-4e7a-4d67-8d6b-48b8f826f343	SWITCHGEAR
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	c2bd71b7-4959-48e5-9bdc-d5eed43d0c1a	GENERATOR
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	7a6b02e1-2f3b-4c1f-bd3e-9226880f908d	PRIMARY_AUXILIARIES
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	836b702f-b13d-4430-bbf2-64ce9afbd0cd	UPS
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	6165fa90-7007-4ef2-9b60-6fa5a310c7f5	CRITICAL_AUXILIARIES
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	fc747407-e41e-4e3a-8f24-30b45c105abc	LIGHTING
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	8371528b-0583-4ef3-b3b0-6066d86f5fa9	CRITICAL_POWER_DISTRIBUTION
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	8c532225-a226-40ac-826d-1c19b0f4a610	CRAH
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	d80315a2-c685-4479-91c0-8d778a74653f	CRAC
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	133f4e5b-06be-41dd-b60b-7f22480c8fc8	CRAC_WITHOUT_FAN
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	7f797087-65ad-4438-8e07-71dcf54bb5d6	CRAC_FAN
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	30ffb1a2-8995-41e2-bf1c-65f11c502c2d	CHILLER
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	67655476-3a0e-4522-824a-aae23f0461e7	AIR_COOLED_CHILLER
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	b9fb743f-ca9a-441a-8d92-72590fd7a8ea	COOLING_TOWER
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	c00df993-55c3-436f-b9a3-a90f30215828	DRY_COOLER
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	0c131bcc-5a4b-454c-9d64-e5f5aaeb4612	REMOTE_CONDENSER
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	cd6a202c-13c4-4dae-a760-11a3ee381011	CHILLED_WATER_PUMPS
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	4abdd2c7-3787-4eb2-a5a7-29fb2e281cb4	HEAT_REJECTION_PUMPS
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	1e21afb0-cb96-4d2c-a2ba-4299721b2a31	VENTILATION
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	63f1a71c-8541-44f9-b37a-2cb85e3778f4	INFILTRATION
5001c4a2-bac6-4d31-9a2c-ca1ca2eb0466	49fa8c88-dbc3-46da-8ad5-477f68a6d3de	IT_LOAD
c1814c67-f138-4384-8697-56af99bcf716	d9a425e7-3e0f-4b79-9a32-5e25daee0ee8	SWITCHGEAR
c1814c67-f138-4384-8697-56af99bcf716	24b1658f-4edf-4e73-ae40-ea0def8ff779	GENERATOR
c1814c67-f138-4384-8697-56af99bcf716	2cb061c9-9f7a-4fae-8d79-83d0b28797b9	PRIMARY_AUXILIARIES
c1814c67-f138-4384-8697-56af99bcf716	26193744-bd4b-4f34-a050-3d088959151f	UPS
c1814c67-f138-4384-8697-56af99bcf716	c0a6a880-7b1c-405e-8846-04fe9897ae20	CRITICAL_AUXILIARIES
c1814c67-f138-4384-8697-56af99bcf716	c8133c47-4e9d-481e-91b6-1fa37cedc35a	LIGHTING
c1814c67-f138-4384-8697-56af99bcf716	ce44de52-9713-4bbd-a4de-f6884f172d65	CRITICAL_POWER_DISTRIBUTION
c1814c67-f138-4384-8697-56af99bcf716	bdf7107b-df52-49cf-b54f-80d652ef7442	CRAH
c1814c67-f138-4384-8697-56af99bcf716	3348e8d5-7f46-498e-b2b0-0a45db323228	CRAC
c1814c67-f138-4384-8697-56af99bcf716	343adf3e-44b9-4fa9-bf13-b291bd0e3b0e	CRAC_WITHOUT_FAN
c1814c67-f138-4384-8697-56af99bcf716	7fcbdf49-fed8-41a6-b4b3-140558cbb16b	CRAC_FAN
c1814c67-f138-4384-8697-56af99bcf716	6f9ed378-8917-4551-9e05-05ff3f21b5f0	CHILLER
c1814c67-f138-4384-8697-56af99bcf716	cea61de8-8800-4b1e-b184-0cd38279cd6a	AIR_COOLED_CHILLER
c1814c67-f138-4384-8697-56af99bcf716	a488fe98-b761-4444-9591-9dd243965837	COOLING_TOWER
c1814c67-f138-4384-8697-56af99bcf716	11c57a3e-df32-4b38-ad54-c1252a9527ef	DRY_COOLER
c1814c67-f138-4384-8697-56af99bcf716	0a0a082a-07b5-4f98-b7c3-2c16cd37d9ca	REMOTE_CONDENSER
c1814c67-f138-4384-8697-56af99bcf716	894b90aa-6d00-49a5-a16c-bbb354016325	CHILLED_WATER_PUMPS
c1814c67-f138-4384-8697-56af99bcf716	c8466533-5882-43a0-b11a-5f2b87cecec6	HEAT_REJECTION_PUMPS
c1814c67-f138-4384-8697-56af99bcf716	d39ce0dd-a787-41e0-9683-832c44b61d89	VENTILATION
c1814c67-f138-4384-8697-56af99bcf716	c5ea69cd-e5dd-4396-900c-f7f320d1e0c3	INFILTRATION
c1814c67-f138-4384-8697-56af99bcf716	afa25770-66fb-4f86-8fab-de742526b7d7	IT_LOAD
5c47de48-70b4-4dc7-9c04-d31e32b363ea	a5da6633-bb75-4078-9117-9b0a3e9e2079	SWITCHGEAR
5c47de48-70b4-4dc7-9c04-d31e32b363ea	9efadec1-16f7-4e2f-9da8-49ccd8d50770	GENERATOR
5c47de48-70b4-4dc7-9c04-d31e32b363ea	c3680e37-a9b2-4770-93d0-e44939c933a0	PRIMARY_AUXILIARIES
5c47de48-70b4-4dc7-9c04-d31e32b363ea	41244770-a2bb-43c1-811b-ae350ef361f2	UPS
5c47de48-70b4-4dc7-9c04-d31e32b363ea	3871fff0-8080-4cec-8363-d7488c0b5186	CRITICAL_AUXILIARIES
5c47de48-70b4-4dc7-9c04-d31e32b363ea	64ff8b57-af9f-452c-aab3-dfb28f17f616	LIGHTING
5c47de48-70b4-4dc7-9c04-d31e32b363ea	6d094e3f-1066-4699-a6b0-a8f482c79b8a	CRITICAL_POWER_DISTRIBUTION
5c47de48-70b4-4dc7-9c04-d31e32b363ea	8bbb61f1-945d-480e-808b-5747638c919a	CRAH
5c47de48-70b4-4dc7-9c04-d31e32b363ea	f5bce4b0-9a61-498a-9ba8-d75fe1708f3e	CRAC
5c47de48-70b4-4dc7-9c04-d31e32b363ea	1ff45891-bdaf-4b9d-bb24-8642644f6ea5	CRAC_WITHOUT_FAN
5c47de48-70b4-4dc7-9c04-d31e32b363ea	dc8f4214-775f-4884-bcf7-f0bc04b1f6d1	CRAC_FAN
5c47de48-70b4-4dc7-9c04-d31e32b363ea	e093d16b-2265-46ec-824d-e508b8588633	CHILLER
5c47de48-70b4-4dc7-9c04-d31e32b363ea	fa01b9d9-b9f0-4b2b-b5c7-0aa93baa859a	AIR_COOLED_CHILLER
5c47de48-70b4-4dc7-9c04-d31e32b363ea	a5e12f73-2f28-4e8a-817b-5c525a150ef1	COOLING_TOWER
5c47de48-70b4-4dc7-9c04-d31e32b363ea	e8635bcd-a3ef-4b6b-acea-42c288c92398	DRY_COOLER
5c47de48-70b4-4dc7-9c04-d31e32b363ea	9baccaf0-264e-4eb0-b115-4a99da26687a	REMOTE_CONDENSER
5c47de48-70b4-4dc7-9c04-d31e32b363ea	65195145-91b0-4665-927d-5050bad65961	CHILLED_WATER_PUMPS
5c47de48-70b4-4dc7-9c04-d31e32b363ea	da685ca5-eb4e-4252-9ed5-b16031ed2ae2	HEAT_REJECTION_PUMPS
5c47de48-70b4-4dc7-9c04-d31e32b363ea	9205f032-9ad3-49a7-9783-d8e761959208	VENTILATION
5c47de48-70b4-4dc7-9c04-d31e32b363ea	ecaf9b44-c42a-470d-8ebe-86c1d9381e48	INFILTRATION
5c47de48-70b4-4dc7-9c04-d31e32b363ea	8f645b7f-7691-4119-9a71-348d91d33c04	IT_LOAD
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	3c9eca6b-f443-4400-a143-a69303d761c9	SWITCHGEAR
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	558e597a-54f8-44e3-8d17-f2ca51dd655f	GENERATOR
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	5f9ee81d-98e8-420d-8bfa-73f0ed03b345	PRIMARY_AUXILIARIES
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	235eb5b9-5bd6-4b51-a1f8-f841229e71ba	UPS
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	7952fb9a-2576-4192-89c8-b0be6519e2c3	CRITICAL_AUXILIARIES
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	30dc5b85-d8d9-47ec-8c00-fe3777c7918a	LIGHTING
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	353e6cde-efe7-4456-b76d-1ff454e5ad20	CRITICAL_POWER_DISTRIBUTION
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	520236b4-46ac-430d-aa2f-e33f24b942c5	CRAH
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	db113ee4-25fa-4364-9f8c-6d1299da55a3	CRAC
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	c2234761-839d-4593-90d6-74fd4830a31e	CRAC_WITHOUT_FAN
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	cdff9931-8922-4dbf-b573-63baf4ec2043	CRAC_FAN
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	52b9d446-e836-4e18-82ec-2482e1f8c6e5	CHILLER
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	e851435e-68fd-455a-964b-346743ab7ab4	AIR_COOLED_CHILLER
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	c228151f-71ac-448a-9c80-2843e0b248fa	COOLING_TOWER
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	964abb94-c9c8-4e21-bdcf-8b69595eccfb	DRY_COOLER
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	5350b413-9110-4672-aa6b-d027c0ab5ca4	REMOTE_CONDENSER
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	2458cbdd-ee40-48ee-b65d-b7159346a4ea	CHILLED_WATER_PUMPS
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	2144aba0-1ee3-44dd-bf02-5db050330173	HEAT_REJECTION_PUMPS
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	d6d5da2e-2542-486d-a80e-0394f8385066	VENTILATION
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	8d1fe977-8222-45a3-928e-04cbc53a204b	INFILTRATION
4d51730d-e5f0-4f22-af0a-dcd2cab1f102	b61f366b-f2a5-48e0-a494-2f7bd14ecc16	IT_LOAD
e88a9949-51a2-4c19-bc5d-eab9a24d7320	33791f7e-9e8b-48ad-a053-90b4222151c1	SWITCHGEAR
e88a9949-51a2-4c19-bc5d-eab9a24d7320	00a2592a-0e05-46d7-ba75-a87334d4e6ba	GENERATOR
e88a9949-51a2-4c19-bc5d-eab9a24d7320	937f6635-134e-4290-9283-66a4430b1762	PRIMARY_AUXILIARIES
e88a9949-51a2-4c19-bc5d-eab9a24d7320	362d62bc-875b-45b8-a3fd-032229867811	UPS
e88a9949-51a2-4c19-bc5d-eab9a24d7320	2c4c1ac2-ea9b-4fb6-9f02-6a43ca8dede1	CRITICAL_AUXILIARIES
e88a9949-51a2-4c19-bc5d-eab9a24d7320	455e8c63-26f8-4cbd-bbe0-803728de1727	LIGHTING
e88a9949-51a2-4c19-bc5d-eab9a24d7320	4aa738df-1562-4ec0-9c91-1f0a81262656	CRITICAL_POWER_DISTRIBUTION
e88a9949-51a2-4c19-bc5d-eab9a24d7320	4b8128f0-4b9b-48e7-9f88-031079a0a0d8	CRAH
e88a9949-51a2-4c19-bc5d-eab9a24d7320	30eb4f4f-9673-4b6c-9940-9fa160baeecf	CRAC
e88a9949-51a2-4c19-bc5d-eab9a24d7320	8fc6ec1c-611d-4c34-8750-a6ae6ea4beea	CRAC_WITHOUT_FAN
e88a9949-51a2-4c19-bc5d-eab9a24d7320	fba9486d-2c4d-4334-943f-36f637c8042e	CRAC_FAN
e88a9949-51a2-4c19-bc5d-eab9a24d7320	6903c227-8493-4a09-b427-694ffd4b33bd	CHILLER
e88a9949-51a2-4c19-bc5d-eab9a24d7320	de2c7b6d-ff2b-4b24-a2d6-5d088dd4be5c	AIR_COOLED_CHILLER
e88a9949-51a2-4c19-bc5d-eab9a24d7320	9f18000c-e86e-479e-8374-76fe79ba2e6e	COOLING_TOWER
e88a9949-51a2-4c19-bc5d-eab9a24d7320	83add784-cc73-4617-87fc-b067db58ee60	DRY_COOLER
e88a9949-51a2-4c19-bc5d-eab9a24d7320	353f8726-b405-48e0-bd63-991fae373100	REMOTE_CONDENSER
e88a9949-51a2-4c19-bc5d-eab9a24d7320	62b4e0d4-3596-41d7-ba62-eb3668000db9	CHILLED_WATER_PUMPS
e88a9949-51a2-4c19-bc5d-eab9a24d7320	228f8ea1-f0aa-49b8-ba7a-b0321bea814d	HEAT_REJECTION_PUMPS
e88a9949-51a2-4c19-bc5d-eab9a24d7320	2c88b9b1-b4dd-4f8d-bcd0-97437866994c	VENTILATION
e88a9949-51a2-4c19-bc5d-eab9a24d7320	f9e7cff5-3428-4381-bc42-11278e555b86	INFILTRATION
e88a9949-51a2-4c19-bc5d-eab9a24d7320	74dd5b9b-eb96-4016-afdc-82bc0492998d	IT_LOAD
bbd6a3ce-3454-4eb6-96d1-a093350c7319	3a3a74fe-bd66-4dd7-be2f-d834cda4903f	SWITCHGEAR
bbd6a3ce-3454-4eb6-96d1-a093350c7319	fe411e42-994d-4146-bc90-64278a84b0f3	GENERATOR
bbd6a3ce-3454-4eb6-96d1-a093350c7319	1217ef6b-6175-441d-8869-14e6bedfa23e	PRIMARY_AUXILIARIES
bbd6a3ce-3454-4eb6-96d1-a093350c7319	f7b62c58-aec3-42ad-967a-1a1eb22d4916	UPS
bbd6a3ce-3454-4eb6-96d1-a093350c7319	a64aa6d7-1245-4c03-bce8-c374f7065d9e	CRITICAL_AUXILIARIES
bbd6a3ce-3454-4eb6-96d1-a093350c7319	480f743b-5162-41a5-bb84-b550c3de08bd	LIGHTING
bbd6a3ce-3454-4eb6-96d1-a093350c7319	c144dc81-7e1d-495f-931d-6aa1079913ed	CRITICAL_POWER_DISTRIBUTION
bbd6a3ce-3454-4eb6-96d1-a093350c7319	abc8a117-3aba-4994-a05a-a34859b0475a	CRAH
bbd6a3ce-3454-4eb6-96d1-a093350c7319	6e1b2198-bc97-46c2-b736-434d97e51187	CRAC
bbd6a3ce-3454-4eb6-96d1-a093350c7319	f9cc2acb-2e75-4d1e-8ff6-c4855a36f803	CRAC_WITHOUT_FAN
bbd6a3ce-3454-4eb6-96d1-a093350c7319	3a80f5f5-c130-4bae-a140-f165f3293dbb	CRAC_FAN
bbd6a3ce-3454-4eb6-96d1-a093350c7319	c96d49ba-429d-4c0b-adcb-c12860079ba0	CHILLER
bbd6a3ce-3454-4eb6-96d1-a093350c7319	1dca9850-a2b1-4c09-937a-f1dd477183b0	AIR_COOLED_CHILLER
bbd6a3ce-3454-4eb6-96d1-a093350c7319	55db216d-0850-4e8d-83ea-d8a7747c4e2e	COOLING_TOWER
bbd6a3ce-3454-4eb6-96d1-a093350c7319	5b99fa41-63a7-4db6-83dd-4c4acd3ad216	DRY_COOLER
bbd6a3ce-3454-4eb6-96d1-a093350c7319	3fdf961e-c3f3-488a-a659-73aaf2b4306b	REMOTE_CONDENSER
bbd6a3ce-3454-4eb6-96d1-a093350c7319	c3510f6a-9257-4248-9f09-507c9f44113a	CHILLED_WATER_PUMPS
bbd6a3ce-3454-4eb6-96d1-a093350c7319	172f86b5-87e9-46e5-a4d1-463418679ce6	HEAT_REJECTION_PUMPS
bbd6a3ce-3454-4eb6-96d1-a093350c7319	d1d5c52e-737c-4b0b-b871-4ae3fce4fd2c	VENTILATION
bbd6a3ce-3454-4eb6-96d1-a093350c7319	6fe95faa-500b-49fd-81f1-df5f9bf2e51e	INFILTRATION
bbd6a3ce-3454-4eb6-96d1-a093350c7319	fb703e4f-eab5-4568-b3a4-67da1afdeb7c	IT_LOAD
ba387003-b87a-44fb-b79e-ce3ae5436f1a	1447fd0c-cab2-455c-b743-006c0e5dcf6d	SWITCHGEAR
ba387003-b87a-44fb-b79e-ce3ae5436f1a	f6b78001-097b-4cb7-8d6c-b6f0aa7ec0ae	GENERATOR
ba387003-b87a-44fb-b79e-ce3ae5436f1a	27e9e9f2-a8e6-4551-94ae-3cd5e6e8475e	PRIMARY_AUXILIARIES
ba387003-b87a-44fb-b79e-ce3ae5436f1a	801d90f0-3dc4-4651-9428-90aa746d7e42	UPS
ba387003-b87a-44fb-b79e-ce3ae5436f1a	820207c0-1bcf-4547-bfae-733a11bf8705	CRITICAL_AUXILIARIES
ba387003-b87a-44fb-b79e-ce3ae5436f1a	d0d82e4f-862b-4932-b28d-c625e89299f6	LIGHTING
ba387003-b87a-44fb-b79e-ce3ae5436f1a	1f9de3fd-d11e-4762-bbcc-11c3dea07543	CRITICAL_POWER_DISTRIBUTION
ba387003-b87a-44fb-b79e-ce3ae5436f1a	7c40a76e-93c9-450b-bfc2-fb46a9227fb7	CRAH
ba387003-b87a-44fb-b79e-ce3ae5436f1a	bfcc2d4f-18e4-4a69-a4cf-c99a5bcc2303	CRAC
ba387003-b87a-44fb-b79e-ce3ae5436f1a	fb718749-2c1c-41f4-9e45-fb85e6848782	CRAC_WITHOUT_FAN
ba387003-b87a-44fb-b79e-ce3ae5436f1a	21b2f7f9-84d4-4b40-806f-f58c6d1bb674	CRAC_FAN
ba387003-b87a-44fb-b79e-ce3ae5436f1a	99912f1c-df55-4ddd-9c17-1500c4115e3f	CHILLER
ba387003-b87a-44fb-b79e-ce3ae5436f1a	ea987348-90ef-4bc9-af55-e44ea3386157	AIR_COOLED_CHILLER
ba387003-b87a-44fb-b79e-ce3ae5436f1a	572e53c5-0faf-4156-ad53-88f59dca3d67	COOLING_TOWER
ba387003-b87a-44fb-b79e-ce3ae5436f1a	9910c3fb-ad3c-4e4a-816a-f26a85e9694b	DRY_COOLER
ba387003-b87a-44fb-b79e-ce3ae5436f1a	64180ef9-8fb8-443b-ba72-954b9a300d9b	REMOTE_CONDENSER
ba387003-b87a-44fb-b79e-ce3ae5436f1a	24bb2b35-f5cb-48b2-87a1-9b3e1e4cfd7d	CHILLED_WATER_PUMPS
ba387003-b87a-44fb-b79e-ce3ae5436f1a	3424a011-aad8-414f-8928-e198b89d4786	HEAT_REJECTION_PUMPS
ba387003-b87a-44fb-b79e-ce3ae5436f1a	a33f50fb-b621-480e-a323-5f4abb93a58e	VENTILATION
ba387003-b87a-44fb-b79e-ce3ae5436f1a	4ec62a51-9571-4ff4-98be-0de04293b8d9	INFILTRATION
ba387003-b87a-44fb-b79e-ce3ae5436f1a	50c882cd-7c59-4c58-af54-68a1d1de853d	IT_LOAD
6783063c-b85e-4222-b528-426a084b540a	264bf33e-6043-4d71-9e75-90ca4b75476c	SWITCHGEAR
6783063c-b85e-4222-b528-426a084b540a	6c55c043-8c1d-4290-a4e1-cf9fbd437454	GENERATOR
6783063c-b85e-4222-b528-426a084b540a	7ac52da9-7bd2-4aeb-91ab-42de04910673	PRIMARY_AUXILIARIES
6783063c-b85e-4222-b528-426a084b540a	ce779450-b846-44f6-8aee-f0a7c5411a3f	UPS
6783063c-b85e-4222-b528-426a084b540a	80c09a5d-de7a-4b30-8542-e04e99d3d69f	CRITICAL_AUXILIARIES
6783063c-b85e-4222-b528-426a084b540a	9e3377dc-d0f0-4494-8ffc-7c7f0e28dac9	LIGHTING
6783063c-b85e-4222-b528-426a084b540a	6a1219e4-e734-4c6c-9166-8125e2846170	CRITICAL_POWER_DISTRIBUTION
6783063c-b85e-4222-b528-426a084b540a	7b776983-e99b-442e-a0a3-9950ac44c73e	CRAH
6783063c-b85e-4222-b528-426a084b540a	61a33bd1-5500-4373-9925-b1030bf06694	CRAC
6783063c-b85e-4222-b528-426a084b540a	e3abd8a1-89ec-477a-9ee2-5fecc6084bc7	CRAC_WITHOUT_FAN
6783063c-b85e-4222-b528-426a084b540a	00b06f23-c21a-486e-aa89-7cb3150a5213	CRAC_FAN
6783063c-b85e-4222-b528-426a084b540a	9a0ab505-4261-4d73-a92e-cbe80f518a02	CHILLER
6783063c-b85e-4222-b528-426a084b540a	18d4be4e-733a-41f2-ab2a-8c582ce1eba6	AIR_COOLED_CHILLER
6783063c-b85e-4222-b528-426a084b540a	6e6f556c-2b53-4440-9786-e616c73e25c8	COOLING_TOWER
6783063c-b85e-4222-b528-426a084b540a	f08b6f61-bd8f-45e8-a40d-132a46c98253	DRY_COOLER
6783063c-b85e-4222-b528-426a084b540a	9f4e1747-01ff-4f81-83de-3a3a43b23cb2	REMOTE_CONDENSER
6783063c-b85e-4222-b528-426a084b540a	f48539f8-886f-442f-88bc-53edfa88b500	CHILLED_WATER_PUMPS
6783063c-b85e-4222-b528-426a084b540a	7ed2cdee-90c4-4916-a67e-43db78ec0ba7	HEAT_REJECTION_PUMPS
6783063c-b85e-4222-b528-426a084b540a	7c8aa5e7-eb38-432b-9087-3a8ff419b949	VENTILATION
6783063c-b85e-4222-b528-426a084b540a	5a66080f-1af2-4b83-9173-07904dd886da	INFILTRATION
6783063c-b85e-4222-b528-426a084b540a	8d49c0c4-9273-4ae6-ba08-1d74b23a0252	IT_LOAD
fba947cd-9347-4cd9-b1ce-80fcc035e860	cdac7162-d021-43da-8378-732fd6304a2e	SWITCHGEAR
fba947cd-9347-4cd9-b1ce-80fcc035e860	d1f97381-7d21-49bf-81b8-89c8122d4117	GENERATOR
fba947cd-9347-4cd9-b1ce-80fcc035e860	734beff7-af09-4437-a2df-cd985ca2c076	PRIMARY_AUXILIARIES
fba947cd-9347-4cd9-b1ce-80fcc035e860	6bbe6d99-a181-4a61-946c-63d7c2dc6a30	UPS
fba947cd-9347-4cd9-b1ce-80fcc035e860	00662cc5-03af-47ab-b087-383d1eb2a4ee	CRITICAL_AUXILIARIES
fba947cd-9347-4cd9-b1ce-80fcc035e860	5f2215c0-10a3-4685-8ade-80023443cf73	LIGHTING
fba947cd-9347-4cd9-b1ce-80fcc035e860	19632972-57b7-4fed-abfb-3c12467a4597	CRITICAL_POWER_DISTRIBUTION
fba947cd-9347-4cd9-b1ce-80fcc035e860	8212d1b6-8294-4b69-a692-2cee32b8ff46	CRAH
fba947cd-9347-4cd9-b1ce-80fcc035e860	e2b91f16-a139-44d5-8dd7-cc77d56600a2	CRAC
fba947cd-9347-4cd9-b1ce-80fcc035e860	2288cb80-8a17-4c33-9dc2-869d958678da	CRAC_WITHOUT_FAN
fba947cd-9347-4cd9-b1ce-80fcc035e860	86704d51-4f8b-4310-9600-4dc2a3c0250d	CRAC_FAN
fba947cd-9347-4cd9-b1ce-80fcc035e860	310114b5-fdf2-4114-94f5-945b8d7444f7	CHILLER
fba947cd-9347-4cd9-b1ce-80fcc035e860	bfd49c85-acc2-4629-b575-905e343dd8df	AIR_COOLED_CHILLER
fba947cd-9347-4cd9-b1ce-80fcc035e860	49b273e9-5888-407f-adf7-2e9d86849f5e	COOLING_TOWER
fba947cd-9347-4cd9-b1ce-80fcc035e860	d67c4e56-b819-491c-b041-463caaf82e2a	DRY_COOLER
fba947cd-9347-4cd9-b1ce-80fcc035e860	99e309f4-3c2d-4f6e-a82e-7a0887df861d	REMOTE_CONDENSER
fba947cd-9347-4cd9-b1ce-80fcc035e860	6ede2269-63a6-464a-afef-8fe613feac3c	CHILLED_WATER_PUMPS
fba947cd-9347-4cd9-b1ce-80fcc035e860	b38dc0b5-9e5c-432a-b50f-0a765769ddc0	HEAT_REJECTION_PUMPS
fba947cd-9347-4cd9-b1ce-80fcc035e860	91efd7f5-77aa-4732-875a-ba582555a34e	VENTILATION
fba947cd-9347-4cd9-b1ce-80fcc035e860	3f6b94ec-c634-46ba-9031-793d876790a5	INFILTRATION
fba947cd-9347-4cd9-b1ce-80fcc035e860	c7186e4b-4f61-49e7-89f6-08ed284a08e3	IT_LOAD
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	e2586c18-96f0-486f-860b-36a76d97f052	SWITCHGEAR
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	3edabed1-be9b-44e1-a13c-9c7813279688	GENERATOR
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	36da23a1-2a67-4cb2-864a-a6785c5b5810	PRIMARY_AUXILIARIES
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	dca0164c-d38c-4d6c-82fb-6206bc2ae537	UPS
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	5bb1dd27-b118-4781-812b-c60f1fbc146c	CRITICAL_AUXILIARIES
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	e45dac54-46ff-4f58-9b5d-fb9d662a6692	LIGHTING
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	592b9619-b2cd-46ac-a691-da94bc52ec57	CRITICAL_POWER_DISTRIBUTION
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	5dc39ddb-5e10-4641-bac5-d7625f5caa3f	CRAH
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	2cb2ee4c-7b20-4401-824a-e435fe8a914e	CRAC
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	c2750236-3161-47d8-b47b-77d1ae29bb06	CRAC_WITHOUT_FAN
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	92237991-341b-4636-a598-a43fe1c2c91d	CRAC_FAN
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	e7a72c21-0f00-47b1-9872-53de156b1d17	CHILLER
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	3f7901ca-dd7d-43f2-adb3-0f45212acf36	AIR_COOLED_CHILLER
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	40fb3b9d-3b5b-455d-833d-ae8dca594a9f	COOLING_TOWER
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	fc01b3a3-0647-473a-bf76-2f952e506c43	DRY_COOLER
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	2204add6-88c6-47c0-9d61-d61a552be6dc	REMOTE_CONDENSER
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	586f1b56-5601-4266-9e1d-1c3598e5c3ed	CHILLED_WATER_PUMPS
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	d06b8941-b485-499e-bda5-8df6b40ca33e	HEAT_REJECTION_PUMPS
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	003bb34a-2efb-4302-9364-81098fd6ad73	VENTILATION
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	040b38dd-b113-4f7a-808c-f95aea6b77ff	INFILTRATION
6be53fa0-5a21-4c6c-95f7-a9d0ada95d7b	5d05b828-3959-4c8c-8c97-57faab241d95	IT_LOAD
6230f517-cbbd-4e4a-a303-823039f791d0	a2e8a0e3-4fb6-422d-bd9f-45fb27b8ec9a	SWITCHGEAR
6230f517-cbbd-4e4a-a303-823039f791d0	bc2519af-1432-4cdf-b43f-d3727f86cad8	GENERATOR
6230f517-cbbd-4e4a-a303-823039f791d0	f662145d-4379-4136-8eaf-2118545cb225	PRIMARY_AUXILIARIES
6230f517-cbbd-4e4a-a303-823039f791d0	c49591c7-7aa3-4354-99e1-cd5033c4d3f1	UPS
6230f517-cbbd-4e4a-a303-823039f791d0	d053278e-4005-4209-bab1-04c9536506ba	CRITICAL_AUXILIARIES
6230f517-cbbd-4e4a-a303-823039f791d0	59ecdde2-a6b3-40d1-bb79-a5d2174232fc	LIGHTING
6230f517-cbbd-4e4a-a303-823039f791d0	85eb927c-d0db-4c63-a592-54257ebaa114	CRITICAL_POWER_DISTRIBUTION
6230f517-cbbd-4e4a-a303-823039f791d0	b4e7b32b-6b1d-4e61-b153-3ba63221bb1d	CRAH
6230f517-cbbd-4e4a-a303-823039f791d0	43174a02-b6eb-4bee-80ee-7342ee04aa5f	CRAC
6230f517-cbbd-4e4a-a303-823039f791d0	00bcc60c-bb68-4dd9-a3ba-82b05d3f4a16	CRAC_WITHOUT_FAN
6230f517-cbbd-4e4a-a303-823039f791d0	9a251f1b-f586-4a0c-a96e-fd6f2434528a	CRAC_FAN
6230f517-cbbd-4e4a-a303-823039f791d0	a05c6017-1f2f-454e-bc89-78fcc1c51d7b	CHILLER
6230f517-cbbd-4e4a-a303-823039f791d0	22f787f6-0e19-455d-b5df-7f5807464948	AIR_COOLED_CHILLER
6230f517-cbbd-4e4a-a303-823039f791d0	d1086dc9-1359-46d9-88d2-7d04517251cd	COOLING_TOWER
6230f517-cbbd-4e4a-a303-823039f791d0	770e3e47-f003-403d-8eb8-bc64450a7fee	DRY_COOLER
6230f517-cbbd-4e4a-a303-823039f791d0	ce28c8f7-d5bc-4b46-b72f-902c66ccb2ba	REMOTE_CONDENSER
6230f517-cbbd-4e4a-a303-823039f791d0	81149bdf-ffc7-45c7-b2fb-de71c765c9d3	CHILLED_WATER_PUMPS
6230f517-cbbd-4e4a-a303-823039f791d0	8ca144db-b2f9-4b95-a222-e4b03a0b57e4	HEAT_REJECTION_PUMPS
6230f517-cbbd-4e4a-a303-823039f791d0	4d5c85bd-1df1-488c-ae82-ab5a526ab45c	VENTILATION
6230f517-cbbd-4e4a-a303-823039f791d0	7e76f015-0230-457c-89cd-f1b31822e898	INFILTRATION
6230f517-cbbd-4e4a-a303-823039f791d0	479d3fa3-fd16-4938-a62f-15fed677b828	IT_LOAD
3711407d-cb81-45b1-9671-7cc7569e1ef4	d852ba55-4afa-457e-be61-611b965754c3	SWITCHGEAR
3711407d-cb81-45b1-9671-7cc7569e1ef4	ef1cf96e-7095-4293-aa46-cb17098ae241	GENERATOR
3711407d-cb81-45b1-9671-7cc7569e1ef4	47abe687-79ee-4817-a085-6338593a061a	PRIMARY_AUXILIARIES
3711407d-cb81-45b1-9671-7cc7569e1ef4	4a94f8f3-68bc-47a6-b62e-d2092cf61565	UPS
3711407d-cb81-45b1-9671-7cc7569e1ef4	b05b9610-2c7d-4cf9-9eb7-ccd49e86dfdb	CRITICAL_AUXILIARIES
3711407d-cb81-45b1-9671-7cc7569e1ef4	1d0467de-af3d-40f5-9837-5102bf2c81dd	LIGHTING
3711407d-cb81-45b1-9671-7cc7569e1ef4	88a64807-d52f-4865-8a80-6a9e9851f074	CRITICAL_POWER_DISTRIBUTION
3711407d-cb81-45b1-9671-7cc7569e1ef4	727761b0-ffe4-4073-9b38-60b7615cbf85	CRAH
3711407d-cb81-45b1-9671-7cc7569e1ef4	dbd20f6c-e262-4efe-96eb-ea65ddaf5370	CRAC
3711407d-cb81-45b1-9671-7cc7569e1ef4	b3b7ef90-c2ee-48c3-8e0a-7d97114d596a	CRAC_WITHOUT_FAN
3711407d-cb81-45b1-9671-7cc7569e1ef4	298e657e-b389-43f2-9eac-123835ecb112	CRAC_FAN
3711407d-cb81-45b1-9671-7cc7569e1ef4	3a3a74f3-6e4c-4fc8-9fa8-1fc413a57f0f	CHILLER
3711407d-cb81-45b1-9671-7cc7569e1ef4	77519256-b1da-4501-8cfb-30215b2a4614	AIR_COOLED_CHILLER
3711407d-cb81-45b1-9671-7cc7569e1ef4	f91b9eb6-f2e7-48f5-83c3-8110f05d50d8	COOLING_TOWER
3711407d-cb81-45b1-9671-7cc7569e1ef4	fb3c2d12-69ef-46a4-8cb8-44050669ceab	DRY_COOLER
3711407d-cb81-45b1-9671-7cc7569e1ef4	de75aceb-8012-45bc-b36a-f3f709856b92	REMOTE_CONDENSER
3711407d-cb81-45b1-9671-7cc7569e1ef4	9b902648-f528-4703-b129-8240cfe3e423	CHILLED_WATER_PUMPS
3711407d-cb81-45b1-9671-7cc7569e1ef4	fe0a20f9-b429-44dd-9cdf-6dac028254a5	HEAT_REJECTION_PUMPS
3711407d-cb81-45b1-9671-7cc7569e1ef4	866d6073-b885-46cb-be90-20f7ed6b0d3c	VENTILATION
3711407d-cb81-45b1-9671-7cc7569e1ef4	eb6253a9-2d0f-488f-bc0b-fa28c6b5143b	INFILTRATION
3711407d-cb81-45b1-9671-7cc7569e1ef4	d4de4601-69a8-48d7-8067-7250b5432d98	IT_LOAD
02d5078f-900a-4799-a8da-292e5dd7fc00	41c2fb03-8fa8-4b96-a09c-5d49e0b15d3e	SWITCHGEAR
02d5078f-900a-4799-a8da-292e5dd7fc00	daadc7cb-fa69-4a0d-b76b-0425706d7d29	GENERATOR
02d5078f-900a-4799-a8da-292e5dd7fc00	445d6804-cb30-4a8e-a927-98fc5e3a8804	PRIMARY_AUXILIARIES
02d5078f-900a-4799-a8da-292e5dd7fc00	99d9ed33-7ee3-45be-a0d0-af120ba39a46	UPS
02d5078f-900a-4799-a8da-292e5dd7fc00	751c24d5-3e39-4e68-ac5f-f7eae08bfb4b	CRITICAL_AUXILIARIES
02d5078f-900a-4799-a8da-292e5dd7fc00	352790de-0674-4a28-9a27-071a8275193b	LIGHTING
02d5078f-900a-4799-a8da-292e5dd7fc00	ed8ef9bf-d6c3-4209-84a0-9a57680b1cbf	CRITICAL_POWER_DISTRIBUTION
02d5078f-900a-4799-a8da-292e5dd7fc00	337b0c70-8e54-4fd6-a10e-9e4b60b39f93	CRAH
02d5078f-900a-4799-a8da-292e5dd7fc00	f9578069-85e7-4b38-95f5-25f95af27f4d	CRAC
02d5078f-900a-4799-a8da-292e5dd7fc00	30413dc5-9323-4796-a548-10271547fccb	CRAC_WITHOUT_FAN
02d5078f-900a-4799-a8da-292e5dd7fc00	b17deb5e-76cc-4717-8818-094acfade0c7	CRAC_FAN
02d5078f-900a-4799-a8da-292e5dd7fc00	4408533c-4c16-49af-86cb-08261e60afd6	CHILLER
02d5078f-900a-4799-a8da-292e5dd7fc00	5d7d858c-03c7-4b1c-8cad-b6e79935aa1b	AIR_COOLED_CHILLER
02d5078f-900a-4799-a8da-292e5dd7fc00	8bd96c18-2d1f-48f9-bda8-f5a55c13f7b0	COOLING_TOWER
02d5078f-900a-4799-a8da-292e5dd7fc00	5e01238c-99e6-4553-8869-fe2922cb6e82	DRY_COOLER
02d5078f-900a-4799-a8da-292e5dd7fc00	6efc4f61-db5c-4d7b-be0e-316a8822e338	REMOTE_CONDENSER
02d5078f-900a-4799-a8da-292e5dd7fc00	b1d3d638-f413-4e40-92b0-a665fe80a124	CHILLED_WATER_PUMPS
02d5078f-900a-4799-a8da-292e5dd7fc00	3db5d5d6-ff4b-4f1b-a264-6eb348682740	HEAT_REJECTION_PUMPS
02d5078f-900a-4799-a8da-292e5dd7fc00	6db83c27-2be2-485a-b38d-5a5f9b7b8e87	VENTILATION
02d5078f-900a-4799-a8da-292e5dd7fc00	dbcba497-eb82-4dae-b449-b285932212cb	INFILTRATION
02d5078f-900a-4799-a8da-292e5dd7fc00	c51889d5-c3e4-4184-8354-4a6e9668a903	IT_LOAD
f8e902fc-6923-4421-9385-9773170c1eb3	26ef964e-0d81-486c-a678-ea3fe783c708	SWITCHGEAR
f8e902fc-6923-4421-9385-9773170c1eb3	89a85f40-d2ad-434a-8835-b76eba7098b8	GENERATOR
f8e902fc-6923-4421-9385-9773170c1eb3	d616f18c-7b6c-4af5-8df9-6140d6b65b77	PRIMARY_AUXILIARIES
f8e902fc-6923-4421-9385-9773170c1eb3	2721cbb0-dd04-4ab3-8d7e-0af9a36e1671	UPS
f8e902fc-6923-4421-9385-9773170c1eb3	50146a06-fb29-4749-b420-4e8d08f90644	CRITICAL_AUXILIARIES
f8e902fc-6923-4421-9385-9773170c1eb3	5d29ae4b-e2d8-41e9-942b-90cf1fe75b55	LIGHTING
f8e902fc-6923-4421-9385-9773170c1eb3	5a800fee-b4cf-43d7-b67f-6acd385b7c64	CRITICAL_POWER_DISTRIBUTION
f8e902fc-6923-4421-9385-9773170c1eb3	75a43afa-e126-46c2-ad33-7b3daabe3dc6	CRAH
f8e902fc-6923-4421-9385-9773170c1eb3	ede275e3-d916-4e1d-98ae-7809c7f9876a	CRAC
f8e902fc-6923-4421-9385-9773170c1eb3	7e6cd755-8705-4797-a218-d5ab935a014f	CRAC_WITHOUT_FAN
f8e902fc-6923-4421-9385-9773170c1eb3	dc5556b5-e8df-4230-abe4-a28be1f7ca37	CRAC_FAN
f8e902fc-6923-4421-9385-9773170c1eb3	b1fb8ba0-f390-4493-8a58-a4cf0953e0d3	CHILLER
f8e902fc-6923-4421-9385-9773170c1eb3	d758509a-6f5c-423c-b4bb-e2a78d2f2844	AIR_COOLED_CHILLER
f8e902fc-6923-4421-9385-9773170c1eb3	555476c8-67e9-405c-ba52-258a7399dde0	COOLING_TOWER
f8e902fc-6923-4421-9385-9773170c1eb3	25e01f15-1f53-4b40-87e2-7d90df209f78	DRY_COOLER
f8e902fc-6923-4421-9385-9773170c1eb3	048d8d58-270e-4f53-9fef-a1dbb9e49375	REMOTE_CONDENSER
f8e902fc-6923-4421-9385-9773170c1eb3	442dcdce-16df-419e-9d8a-a7ed5510fa51	CHILLED_WATER_PUMPS
f8e902fc-6923-4421-9385-9773170c1eb3	137be697-afce-4fb3-98f3-a0e1c10e335e	HEAT_REJECTION_PUMPS
f8e902fc-6923-4421-9385-9773170c1eb3	22548fd7-95be-452d-972c-517077aefe3b	VENTILATION
f8e902fc-6923-4421-9385-9773170c1eb3	5231bb25-da7d-479f-b331-2fb707b89ec4	INFILTRATION
f8e902fc-6923-4421-9385-9773170c1eb3	d0b54f0c-b338-4570-9133-5c8ea0cedef4	IT_LOAD
75667683-9f0d-4e75-98f4-f26242490eca	d514c4d3-356e-4a44-acc4-b451d8da934c	SWITCHGEAR
75667683-9f0d-4e75-98f4-f26242490eca	24287dd5-323c-4891-b8d8-a0dd10cec0d1	GENERATOR
75667683-9f0d-4e75-98f4-f26242490eca	3874c31d-2df8-498e-adad-04833d093167	PRIMARY_AUXILIARIES
75667683-9f0d-4e75-98f4-f26242490eca	5a541cfd-7945-4ab0-b30d-7185fd220f27	UPS
75667683-9f0d-4e75-98f4-f26242490eca	5517b91d-0efa-49bb-b758-ead44cf8a6ed	CRITICAL_AUXILIARIES
75667683-9f0d-4e75-98f4-f26242490eca	af2c0abc-a0c2-4bd4-8314-b45b10f0ccbe	LIGHTING
75667683-9f0d-4e75-98f4-f26242490eca	a6542c2a-341c-4ade-ba23-a8c743b6f82a	CRITICAL_POWER_DISTRIBUTION
75667683-9f0d-4e75-98f4-f26242490eca	d8c02c67-58ec-4dc2-a062-4902bcac6dc4	CRAH
75667683-9f0d-4e75-98f4-f26242490eca	10606240-dc88-485c-839e-661b1369bf00	CRAC
75667683-9f0d-4e75-98f4-f26242490eca	56ba650b-d342-473c-bd51-42d3922a421e	CRAC_WITHOUT_FAN
75667683-9f0d-4e75-98f4-f26242490eca	435ad4b0-d21b-4b03-92d4-eefcc57b2af2	CRAC_FAN
75667683-9f0d-4e75-98f4-f26242490eca	e4206fdb-9c04-4444-855b-06b2c42bb8f3	CHILLER
75667683-9f0d-4e75-98f4-f26242490eca	dcda2dcf-7ed1-4ec2-aa08-984608adc3a9	AIR_COOLED_CHILLER
75667683-9f0d-4e75-98f4-f26242490eca	0eb8d6b9-764f-411d-a4ba-4b9bfeba012b	COOLING_TOWER
75667683-9f0d-4e75-98f4-f26242490eca	288e0672-5717-4993-a37f-02df46f09a5e	DRY_COOLER
75667683-9f0d-4e75-98f4-f26242490eca	bbc0e8dd-435d-401c-be1d-82efe1ba822f	REMOTE_CONDENSER
75667683-9f0d-4e75-98f4-f26242490eca	6f31e334-c4ae-4853-a2e0-85205f1c8dc0	CHILLED_WATER_PUMPS
75667683-9f0d-4e75-98f4-f26242490eca	aaa2d20c-6554-428b-90c2-c5007be6141b	HEAT_REJECTION_PUMPS
75667683-9f0d-4e75-98f4-f26242490eca	f6b0d101-1ea7-42f5-8e50-30c494da7fae	VENTILATION
75667683-9f0d-4e75-98f4-f26242490eca	35edcaf0-47ec-4abe-9365-342c5914e087	INFILTRATION
75667683-9f0d-4e75-98f4-f26242490eca	28cf6534-df4a-467d-997b-1d8c41773e2f	IT_LOAD
b309f4cb-9ee9-4550-b6d6-08add677e619	4ede2e5e-6a2f-45df-9dba-c1732f72d935	SWITCHGEAR
b309f4cb-9ee9-4550-b6d6-08add677e619	aadbd9b6-97f5-4981-9cea-861b639b30f6	GENERATOR
b309f4cb-9ee9-4550-b6d6-08add677e619	a7712803-d1a5-4ae0-80f4-7e0dc752f3ab	PRIMARY_AUXILIARIES
b309f4cb-9ee9-4550-b6d6-08add677e619	e593ad66-73e8-4550-ab94-d4062b050e3f	UPS
b309f4cb-9ee9-4550-b6d6-08add677e619	42f1ab64-f545-42c5-82b1-1d7f16aa2f2c	CRITICAL_AUXILIARIES
b309f4cb-9ee9-4550-b6d6-08add677e619	52c30e75-a488-41b3-bf26-371deb371ae6	LIGHTING
b309f4cb-9ee9-4550-b6d6-08add677e619	6ccae16a-06e5-49f4-9d19-d97d0b32ec6a	CRITICAL_POWER_DISTRIBUTION
b309f4cb-9ee9-4550-b6d6-08add677e619	a0cb4e6e-5e67-4179-892d-479af488f6f4	CRAH
b309f4cb-9ee9-4550-b6d6-08add677e619	f54c981d-0ac2-4ebd-b8cd-8e8d97430f07	CRAC
b309f4cb-9ee9-4550-b6d6-08add677e619	d19ce995-f2fd-48b3-9cee-3c40ac4b9f1e	CRAC_WITHOUT_FAN
b309f4cb-9ee9-4550-b6d6-08add677e619	8206ee71-22bf-4b43-ba4a-a1542652bdb4	CRAC_FAN
b309f4cb-9ee9-4550-b6d6-08add677e619	89d45fe0-adc9-4010-8aae-6c5ec4c42aaa	CHILLER
b309f4cb-9ee9-4550-b6d6-08add677e619	bb7e08b3-aa64-43c7-9291-374d510373c0	AIR_COOLED_CHILLER
b309f4cb-9ee9-4550-b6d6-08add677e619	99baafb5-7db3-43b1-b479-17d4db48d01c	COOLING_TOWER
b309f4cb-9ee9-4550-b6d6-08add677e619	8c486973-a3cc-4e5d-838e-f413a9d8eb6e	DRY_COOLER
b309f4cb-9ee9-4550-b6d6-08add677e619	67248022-fe16-4af0-97ba-b900af73929d	REMOTE_CONDENSER
b309f4cb-9ee9-4550-b6d6-08add677e619	d54ef665-bbe6-49da-b20f-23cf9a6fc219	CHILLED_WATER_PUMPS
b309f4cb-9ee9-4550-b6d6-08add677e619	22570a5b-842b-48bb-87a5-cc37ff7b244d	HEAT_REJECTION_PUMPS
b309f4cb-9ee9-4550-b6d6-08add677e619	3d618c24-1781-46ac-899e-2fad66e98ece	VENTILATION
b309f4cb-9ee9-4550-b6d6-08add677e619	e200ee4f-3c8a-4107-a883-1318f3e64f6e	INFILTRATION
b309f4cb-9ee9-4550-b6d6-08add677e619	9a790584-c6ee-4ada-ba02-5a07c1d8eebb	IT_LOAD
36e0fa0e-5bde-414b-bea4-50e107245603	b4cacb5d-4ee3-44ee-8ec1-a86ca2c014a8	SWITCHGEAR
36e0fa0e-5bde-414b-bea4-50e107245603	fffc25b8-6f7a-4937-9761-79404fb2f69c	GENERATOR
36e0fa0e-5bde-414b-bea4-50e107245603	5a09079d-9773-45e3-8324-69ac333ca51d	PRIMARY_AUXILIARIES
36e0fa0e-5bde-414b-bea4-50e107245603	e19c032b-94dd-47cb-bd8b-fbc9d82bd8e8	UPS
36e0fa0e-5bde-414b-bea4-50e107245603	88682205-a685-4833-8989-40de8d78345b	CRITICAL_AUXILIARIES
36e0fa0e-5bde-414b-bea4-50e107245603	d9d702b2-0344-4f58-bb86-2de9d6dcc8b5	LIGHTING
36e0fa0e-5bde-414b-bea4-50e107245603	179f69fa-3aee-4400-a65d-7dd11ca80f25	CRITICAL_POWER_DISTRIBUTION
36e0fa0e-5bde-414b-bea4-50e107245603	6f6d73c8-a314-4f96-b0fc-b3e60449f371	CRAH
36e0fa0e-5bde-414b-bea4-50e107245603	8b9e7db7-72fe-4ad7-b946-ccd59c2bbd00	CRAC
36e0fa0e-5bde-414b-bea4-50e107245603	ac2e273f-f48f-48f1-8502-c4fb083ce893	CRAC_WITHOUT_FAN
36e0fa0e-5bde-414b-bea4-50e107245603	36f48c63-89df-4a84-bb20-0eced03d7544	CRAC_FAN
36e0fa0e-5bde-414b-bea4-50e107245603	9a491d3b-a9fa-4771-954a-3baedaa48943	CHILLER
36e0fa0e-5bde-414b-bea4-50e107245603	910c54b3-fafb-4fce-8eef-dadd7fcc2dfe	AIR_COOLED_CHILLER
36e0fa0e-5bde-414b-bea4-50e107245603	a3e50a4d-f5f6-4bcb-92b7-5527dd148dd8	COOLING_TOWER
36e0fa0e-5bde-414b-bea4-50e107245603	8dceee8f-2c4c-4c51-86d5-11430befa144	DRY_COOLER
36e0fa0e-5bde-414b-bea4-50e107245603	ffa6065f-5709-4328-b76d-85dc762afa1c	REMOTE_CONDENSER
36e0fa0e-5bde-414b-bea4-50e107245603	0dda3c57-2b0b-4279-ae02-21d93633ab0b	CHILLED_WATER_PUMPS
36e0fa0e-5bde-414b-bea4-50e107245603	32319012-c90c-478c-a9ce-737667a565bb	HEAT_REJECTION_PUMPS
36e0fa0e-5bde-414b-bea4-50e107245603	ebeff215-aeb2-45eb-a99d-69fa7c055228	VENTILATION
36e0fa0e-5bde-414b-bea4-50e107245603	decd0d43-b439-43f4-84ce-f366f0116078	INFILTRATION
36e0fa0e-5bde-414b-bea4-50e107245603	3d30277e-0197-4c75-85d0-ecc3565079f2	IT_LOAD
4b8cf486-4a29-4036-80b2-29d76951d345	7cbdb708-21b8-40aa-9404-a8410514af2f	SWITCHGEAR
4b8cf486-4a29-4036-80b2-29d76951d345	253b71c8-676c-4f36-b954-050593739701	GENERATOR
4b8cf486-4a29-4036-80b2-29d76951d345	5970a5ce-dd42-4f5f-8c75-4260af6ec850	PRIMARY_AUXILIARIES
4b8cf486-4a29-4036-80b2-29d76951d345	edbc13d0-c909-44ab-9f8d-dffc4f9d363c	UPS
4b8cf486-4a29-4036-80b2-29d76951d345	1b133fba-b153-4dd6-a1ab-166f1709fbd1	CRITICAL_AUXILIARIES
4b8cf486-4a29-4036-80b2-29d76951d345	dc6c5feb-1696-4a84-be49-167f011bdfbf	LIGHTING
4b8cf486-4a29-4036-80b2-29d76951d345	bc4b5027-c252-4ff1-baaf-dc8441f767fe	CRITICAL_POWER_DISTRIBUTION
4b8cf486-4a29-4036-80b2-29d76951d345	1fd74276-5767-443d-959b-d25b619bb841	CRAH
4b8cf486-4a29-4036-80b2-29d76951d345	8a2be308-2603-4d55-9750-9fec026e52a1	CRAC
4b8cf486-4a29-4036-80b2-29d76951d345	0280ed01-8a09-4de8-a552-fbb13565fc7e	CRAC_WITHOUT_FAN
4b8cf486-4a29-4036-80b2-29d76951d345	bdabddd1-a009-44bd-858a-28a060200c9b	CRAC_FAN
4b8cf486-4a29-4036-80b2-29d76951d345	956426ca-da3d-4e13-881d-5e2bae235725	CHILLER
4b8cf486-4a29-4036-80b2-29d76951d345	b22e7fce-5699-4610-8c7d-8869530a33fb	AIR_COOLED_CHILLER
4b8cf486-4a29-4036-80b2-29d76951d345	80705ac4-e44e-4740-a517-b47ec9e67656	COOLING_TOWER
4b8cf486-4a29-4036-80b2-29d76951d345	c9e0ac7f-8748-406b-8256-5c0072e456ba	DRY_COOLER
4b8cf486-4a29-4036-80b2-29d76951d345	85c724ab-4be0-4953-a071-19bb271033b1	REMOTE_CONDENSER
4b8cf486-4a29-4036-80b2-29d76951d345	51541596-197b-4eee-8d42-cd0b81219d78	CHILLED_WATER_PUMPS
4b8cf486-4a29-4036-80b2-29d76951d345	4851dad2-5961-4018-bd95-e8ae553fa084	HEAT_REJECTION_PUMPS
4b8cf486-4a29-4036-80b2-29d76951d345	fc87afaa-2826-43dd-8a28-a80c63fb5514	VENTILATION
4b8cf486-4a29-4036-80b2-29d76951d345	428ed87f-694f-486a-9523-57346e8bc0c2	INFILTRATION
4b8cf486-4a29-4036-80b2-29d76951d345	261a6bf8-21c7-46ad-ae8c-be9014a04278	IT_LOAD
9bf51201-a785-4109-96a3-82a67620dc4d	6ca66eae-ab26-48ea-9635-b50201e21b86	SWITCHGEAR
9bf51201-a785-4109-96a3-82a67620dc4d	de400c3b-0b4d-4135-b9de-730f1cd25cd4	GENERATOR
9bf51201-a785-4109-96a3-82a67620dc4d	c092be3b-395d-4998-be3e-a74ccd86f536	PRIMARY_AUXILIARIES
9bf51201-a785-4109-96a3-82a67620dc4d	fae0a1bb-2470-434e-acbe-2d7a42cea7f5	UPS
9bf51201-a785-4109-96a3-82a67620dc4d	3048789e-e781-4f10-881c-eef2e7cd1fcc	CRITICAL_AUXILIARIES
9bf51201-a785-4109-96a3-82a67620dc4d	a94a4346-1a28-44a7-af80-4dc97d5175e0	LIGHTING
9bf51201-a785-4109-96a3-82a67620dc4d	90504b96-6814-47e9-97be-dae6db8cef1d	CRITICAL_POWER_DISTRIBUTION
9bf51201-a785-4109-96a3-82a67620dc4d	f748f613-9409-471c-85ef-ba0247ca5f36	CRAH
9bf51201-a785-4109-96a3-82a67620dc4d	146c8c6c-5dc8-48d6-8ae7-305cdc02a769	CRAC
9bf51201-a785-4109-96a3-82a67620dc4d	5d6146de-5c6f-4b0d-9ea3-71c38427e0a6	CRAC_WITHOUT_FAN
9bf51201-a785-4109-96a3-82a67620dc4d	a2921768-2977-4135-9d10-34a771ed8d0e	CRAC_FAN
9bf51201-a785-4109-96a3-82a67620dc4d	86b7286a-fe75-4a8b-928f-d1ee731b42e5	CHILLER
9bf51201-a785-4109-96a3-82a67620dc4d	d13ea01c-3b54-4217-8fbd-494c4a4355af	AIR_COOLED_CHILLER
9bf51201-a785-4109-96a3-82a67620dc4d	c57de97c-7ada-484a-a16c-d5676b74cd7b	COOLING_TOWER
9bf51201-a785-4109-96a3-82a67620dc4d	d84c7dd8-f2dc-4846-84ea-d96ed8188bb4	DRY_COOLER
9bf51201-a785-4109-96a3-82a67620dc4d	aa8049b7-a3fe-43ae-acef-f4dbb6d9dbee	REMOTE_CONDENSER
9bf51201-a785-4109-96a3-82a67620dc4d	6d44bf39-559f-4831-8c7b-5cdb1a7f0a2d	CHILLED_WATER_PUMPS
9bf51201-a785-4109-96a3-82a67620dc4d	4936c580-2813-4a62-92c4-e91401f67e9b	HEAT_REJECTION_PUMPS
9bf51201-a785-4109-96a3-82a67620dc4d	07afd699-2e64-47d6-a287-22abe556ec02	VENTILATION
9bf51201-a785-4109-96a3-82a67620dc4d	84c2ad72-6f66-4303-bf0b-17a498550c14	INFILTRATION
9bf51201-a785-4109-96a3-82a67620dc4d	0f357c1b-c265-42be-97fd-88eb50a28533	IT_LOAD
0abb4d38-bc43-455b-95fc-d3890ed431c0	7e4c9186-2e80-4275-8784-a25723fc9630	SWITCHGEAR
0abb4d38-bc43-455b-95fc-d3890ed431c0	ab0eb9d6-91ba-431d-8d45-080388fe10c1	GENERATOR
0abb4d38-bc43-455b-95fc-d3890ed431c0	094a3903-c173-4675-987a-9d29b2573821	PRIMARY_AUXILIARIES
0abb4d38-bc43-455b-95fc-d3890ed431c0	77af8d01-6522-49f8-9a99-95eadf29950a	UPS
0abb4d38-bc43-455b-95fc-d3890ed431c0	11642373-058b-4749-91e3-1d78624c4ab2	CRITICAL_AUXILIARIES
0abb4d38-bc43-455b-95fc-d3890ed431c0	6cdc5523-868f-4f73-acfe-093733a3f578	LIGHTING
0abb4d38-bc43-455b-95fc-d3890ed431c0	22a6dc0f-4480-44a8-9bc3-88ac788ca594	CRITICAL_POWER_DISTRIBUTION
0abb4d38-bc43-455b-95fc-d3890ed431c0	32ed99a7-66ac-4665-a101-3e7b25987886	CRAH
0abb4d38-bc43-455b-95fc-d3890ed431c0	7dd6a88a-0d38-40e7-b79e-cb3121092048	CRAC
0abb4d38-bc43-455b-95fc-d3890ed431c0	ace7ab9c-3f01-4210-a86d-b4f1c87242b5	CRAC_WITHOUT_FAN
0abb4d38-bc43-455b-95fc-d3890ed431c0	4e071a4e-d369-4647-b5ee-e792c2e2315d	CRAC_FAN
0abb4d38-bc43-455b-95fc-d3890ed431c0	f2126f43-a217-4621-b8d0-a1e766c9279d	CHILLER
0abb4d38-bc43-455b-95fc-d3890ed431c0	ef309c00-ce47-4ab8-bc5c-87c2ac1e9ecc	AIR_COOLED_CHILLER
0abb4d38-bc43-455b-95fc-d3890ed431c0	423a2959-2b71-4d30-9ea3-a9f884bbcc17	COOLING_TOWER
0abb4d38-bc43-455b-95fc-d3890ed431c0	a1bacf0d-1a7c-4a77-b9aa-6ddad78af06f	DRY_COOLER
0abb4d38-bc43-455b-95fc-d3890ed431c0	b07591c4-9612-4b83-bcc3-bfdfaaddf14f	REMOTE_CONDENSER
0abb4d38-bc43-455b-95fc-d3890ed431c0	197c569e-e47c-4197-87b4-f14819ebe106	CHILLED_WATER_PUMPS
0abb4d38-bc43-455b-95fc-d3890ed431c0	990b21db-49af-42c6-a5fc-1f162f700d99	HEAT_REJECTION_PUMPS
0abb4d38-bc43-455b-95fc-d3890ed431c0	360d3eef-8236-4d86-9738-8af365cafe47	VENTILATION
0abb4d38-bc43-455b-95fc-d3890ed431c0	bb3ef35d-9f07-451b-a22a-edbbe0116064	INFILTRATION
0abb4d38-bc43-455b-95fc-d3890ed431c0	628ddeb1-1ea2-4a13-9557-c7016cec3516	IT_LOAD
b956c1cd-492f-4a86-800e-a52df1bdd515	9bc42663-d33e-49df-8c86-d6719e287b51	SWITCHGEAR
b956c1cd-492f-4a86-800e-a52df1bdd515	f0c96279-6a5a-47e6-aa10-767550a1ab4f	GENERATOR
b956c1cd-492f-4a86-800e-a52df1bdd515	ec3287ca-763f-4ef0-a0e8-165b8e0e3e7e	PRIMARY_AUXILIARIES
b956c1cd-492f-4a86-800e-a52df1bdd515	3a7bd57f-5bac-4aa3-85bc-0b6af5cc7532	UPS
b956c1cd-492f-4a86-800e-a52df1bdd515	73be74d2-b47c-4a25-85e2-893fb6388d70	CRITICAL_AUXILIARIES
b956c1cd-492f-4a86-800e-a52df1bdd515	f1d9cc67-462a-40aa-a8e6-70ff81c6e595	LIGHTING
b956c1cd-492f-4a86-800e-a52df1bdd515	58fe2436-c72b-4f61-9f8b-f9eabb76c5a2	CRITICAL_POWER_DISTRIBUTION
b956c1cd-492f-4a86-800e-a52df1bdd515	493400c4-bed7-4320-90c7-27d1fcb6e41b	CRAH
b956c1cd-492f-4a86-800e-a52df1bdd515	0f0f76f9-7d4b-4b0c-b576-e68f99854864	CRAC
b956c1cd-492f-4a86-800e-a52df1bdd515	4b208aaa-e354-4e84-95f2-c82e09de2100	CRAC_WITHOUT_FAN
b956c1cd-492f-4a86-800e-a52df1bdd515	42e490eb-2dd2-47fe-bd23-48e8437c22cd	CRAC_FAN
b956c1cd-492f-4a86-800e-a52df1bdd515	47284640-c762-46c0-88e7-e3b0b89ae664	CHILLER
b956c1cd-492f-4a86-800e-a52df1bdd515	b2b8c2d0-5cd5-41f2-bc78-1ff68e405a9c	AIR_COOLED_CHILLER
b956c1cd-492f-4a86-800e-a52df1bdd515	a3343d66-695f-4b67-a04c-87e2fb1d0dbe	COOLING_TOWER
b956c1cd-492f-4a86-800e-a52df1bdd515	3063ccac-428c-475f-bd1c-4f80dd3054f6	DRY_COOLER
b956c1cd-492f-4a86-800e-a52df1bdd515	f5ddc6bd-f193-48b3-8865-1eb3bf16711f	REMOTE_CONDENSER
b956c1cd-492f-4a86-800e-a52df1bdd515	8a23fb73-749e-40bb-bfab-e87439c0518b	CHILLED_WATER_PUMPS
b956c1cd-492f-4a86-800e-a52df1bdd515	cee16967-379e-446f-99a9-8e8f9abbe141	HEAT_REJECTION_PUMPS
b956c1cd-492f-4a86-800e-a52df1bdd515	ee957521-f88f-46fe-a133-9fccb695553a	VENTILATION
b956c1cd-492f-4a86-800e-a52df1bdd515	476d6fea-1c60-457a-92ac-95b0230fc167	INFILTRATION
b956c1cd-492f-4a86-800e-a52df1bdd515	2fc5fdc4-0141-440f-89b7-ec9a8292c624	IT_LOAD
aa6487f2-02c4-4e42-ab17-82e3166b262d	39c725dc-c5f7-4534-8792-c1ae7d483eb7	SWITCHGEAR
aa6487f2-02c4-4e42-ab17-82e3166b262d	5b7bdded-0daf-4c83-8fa7-9c653a8b2583	GENERATOR
aa6487f2-02c4-4e42-ab17-82e3166b262d	3a7453d5-ccfd-4a8a-b9a9-7db992f774e1	PRIMARY_AUXILIARIES
aa6487f2-02c4-4e42-ab17-82e3166b262d	6439f66d-db91-4005-bb7f-a8aa54084aed	UPS
aa6487f2-02c4-4e42-ab17-82e3166b262d	0fd383b3-14e5-4f53-aaeb-8ace3a57c1a4	CRITICAL_AUXILIARIES
aa6487f2-02c4-4e42-ab17-82e3166b262d	0b976b86-3407-45dc-a961-d50c072e4d39	LIGHTING
aa6487f2-02c4-4e42-ab17-82e3166b262d	1ce76f06-c59d-4e82-b5af-b6c1f80a3c44	CRITICAL_POWER_DISTRIBUTION
aa6487f2-02c4-4e42-ab17-82e3166b262d	f494cc07-58de-4036-bb0c-dc7db126ab57	CRAH
aa6487f2-02c4-4e42-ab17-82e3166b262d	921fb4ed-7e8f-4fbf-9a83-ac3dc55114e6	CRAC
aa6487f2-02c4-4e42-ab17-82e3166b262d	b644297d-1c4a-4638-8bef-ddce625873b6	CRAC_WITHOUT_FAN
aa6487f2-02c4-4e42-ab17-82e3166b262d	02b36772-f842-4c8a-b121-8e55a2026c58	CRAC_FAN
aa6487f2-02c4-4e42-ab17-82e3166b262d	f309ea97-2f76-4f2c-aeb7-52082cdfbf47	CHILLER
aa6487f2-02c4-4e42-ab17-82e3166b262d	f33e44ce-3e41-4f1a-8817-a79a38c2956a	AIR_COOLED_CHILLER
aa6487f2-02c4-4e42-ab17-82e3166b262d	f8f715ef-212e-47b0-9826-75698dbef0f2	COOLING_TOWER
aa6487f2-02c4-4e42-ab17-82e3166b262d	bab1453b-a24b-439b-b8f0-cf20674a9357	DRY_COOLER
aa6487f2-02c4-4e42-ab17-82e3166b262d	c287f5d3-8ee9-4b6f-9670-3827244422cf	REMOTE_CONDENSER
aa6487f2-02c4-4e42-ab17-82e3166b262d	60a91f55-47e6-427f-a318-3d1ee517137f	CHILLED_WATER_PUMPS
aa6487f2-02c4-4e42-ab17-82e3166b262d	28f8116b-fe87-480a-81a0-8180a3315f0d	HEAT_REJECTION_PUMPS
aa6487f2-02c4-4e42-ab17-82e3166b262d	6aa9b7c6-8c7b-4a12-8909-8daa6e7978a2	VENTILATION
aa6487f2-02c4-4e42-ab17-82e3166b262d	2f189f4f-f770-4df7-bc77-ae57ae34791d	INFILTRATION
aa6487f2-02c4-4e42-ab17-82e3166b262d	34e4c0d3-131f-49e1-9f6f-766e4aa89b2e	IT_LOAD
0434fece-cb69-41e0-b07e-d2f833ac4116	36fbbbcf-247a-447f-8780-67af0deed554	SWITCHGEAR
0434fece-cb69-41e0-b07e-d2f833ac4116	38cfe04c-d95f-4d31-ba8d-33d855ec2543	GENERATOR
0434fece-cb69-41e0-b07e-d2f833ac4116	a53d0e5e-c7a5-4032-b261-0bc643704870	PRIMARY_AUXILIARIES
0434fece-cb69-41e0-b07e-d2f833ac4116	cbf6ab63-5720-452c-abff-cce5fde3f561	UPS
0434fece-cb69-41e0-b07e-d2f833ac4116	0b3698bb-2535-4b26-82b6-4da82e1a2b9a	CRITICAL_AUXILIARIES
0434fece-cb69-41e0-b07e-d2f833ac4116	30f54afa-45f2-4c03-b448-4ea8792f458c	LIGHTING
0434fece-cb69-41e0-b07e-d2f833ac4116	9c807301-7d7c-4f45-b546-90563b2f47e4	CRITICAL_POWER_DISTRIBUTION
0434fece-cb69-41e0-b07e-d2f833ac4116	480c7f98-24ae-421e-a1b2-6c9903d81498	CRAH
0434fece-cb69-41e0-b07e-d2f833ac4116	3ad21f20-1ba6-49bb-95d0-5c3f3ecdda96	CRAC
0434fece-cb69-41e0-b07e-d2f833ac4116	1f8df8bf-f39a-4c53-b351-40a088abbdaf	CRAC_WITHOUT_FAN
0434fece-cb69-41e0-b07e-d2f833ac4116	4a3c9a4f-a8c6-466a-acef-e562b50281e7	CRAC_FAN
0434fece-cb69-41e0-b07e-d2f833ac4116	9fbf4552-1d35-4113-9cd0-bd792a7d316b	CHILLER
0434fece-cb69-41e0-b07e-d2f833ac4116	7c02e7ce-65a3-4186-85eb-8adac39cf0ec	AIR_COOLED_CHILLER
0434fece-cb69-41e0-b07e-d2f833ac4116	caa41a90-393a-4007-916a-c4a25c67ffa4	COOLING_TOWER
0434fece-cb69-41e0-b07e-d2f833ac4116	8e61fa3e-ca2f-4e4a-a43c-795acb4cb526	DRY_COOLER
0434fece-cb69-41e0-b07e-d2f833ac4116	5370d8c9-be90-40bf-aad8-5e461c96e736	REMOTE_CONDENSER
0434fece-cb69-41e0-b07e-d2f833ac4116	130b40ef-c6b1-4cad-ab47-3779bb42051a	CHILLED_WATER_PUMPS
0434fece-cb69-41e0-b07e-d2f833ac4116	d86d5067-48a5-41ee-b247-e41ce5b59be9	HEAT_REJECTION_PUMPS
0434fece-cb69-41e0-b07e-d2f833ac4116	f5c998e2-5230-4815-8f5c-c8dc05959ec5	VENTILATION
0434fece-cb69-41e0-b07e-d2f833ac4116	4e64bbc9-9cc2-49e1-823a-659024c352d4	INFILTRATION
0434fece-cb69-41e0-b07e-d2f833ac4116	6bde8cb2-b467-4347-8695-df7025189508	IT_LOAD
e96a8b6e-a981-4796-a229-15bb31f3d1af	b5ff78f5-c5a3-4fa7-9f71-d2871f63eb41	SWITCHGEAR
e96a8b6e-a981-4796-a229-15bb31f3d1af	8b6628e6-a461-45e4-b827-e3dfa14832e8	GENERATOR
e96a8b6e-a981-4796-a229-15bb31f3d1af	2353e238-8496-48e9-ba64-4e8f89c974b3	PRIMARY_AUXILIARIES
e96a8b6e-a981-4796-a229-15bb31f3d1af	8085f784-29b1-41a2-9ac2-50ebbaeb5818	UPS
e96a8b6e-a981-4796-a229-15bb31f3d1af	f744f71b-08b1-4e01-99b8-cda3031ecd73	CRITICAL_AUXILIARIES
e96a8b6e-a981-4796-a229-15bb31f3d1af	db809a11-3865-45a7-b4ce-b9192b46275e	LIGHTING
e96a8b6e-a981-4796-a229-15bb31f3d1af	429e4f4a-03de-4ab5-a5a4-bc336ec4491d	CRITICAL_POWER_DISTRIBUTION
e96a8b6e-a981-4796-a229-15bb31f3d1af	5053bc97-3e03-4e20-b4ca-7c2fe4448e3a	CRAH
e96a8b6e-a981-4796-a229-15bb31f3d1af	4ac2488d-adb7-4600-b58b-9ba593516bbe	CRAC
e96a8b6e-a981-4796-a229-15bb31f3d1af	979e7575-9b7a-4a0e-99fc-0cf55f48ea44	CRAC_WITHOUT_FAN
e96a8b6e-a981-4796-a229-15bb31f3d1af	68a7fade-72d6-4622-87d9-19f33da35db0	CRAC_FAN
e96a8b6e-a981-4796-a229-15bb31f3d1af	ac6627f0-5195-4ae6-a448-b5a5f5cea142	CHILLER
e96a8b6e-a981-4796-a229-15bb31f3d1af	a529c145-e827-43a6-b45f-b17c182443e0	AIR_COOLED_CHILLER
e96a8b6e-a981-4796-a229-15bb31f3d1af	c7621467-c43f-4e8e-a106-c78e8748b246	COOLING_TOWER
e96a8b6e-a981-4796-a229-15bb31f3d1af	237336a3-1e85-4de9-93fa-b6ae264598b4	DRY_COOLER
e96a8b6e-a981-4796-a229-15bb31f3d1af	2a4e1534-c625-49d3-9330-3e8f1b5839cd	REMOTE_CONDENSER
e96a8b6e-a981-4796-a229-15bb31f3d1af	31f1121f-aae2-4f50-aadd-0192ab4dc828	CHILLED_WATER_PUMPS
e96a8b6e-a981-4796-a229-15bb31f3d1af	25ee1463-03c8-4710-a5ed-e1db98ab428d	HEAT_REJECTION_PUMPS
e96a8b6e-a981-4796-a229-15bb31f3d1af	474e986e-cd4e-4a71-841b-9834c8caaf05	VENTILATION
e96a8b6e-a981-4796-a229-15bb31f3d1af	da5f4d79-a35f-492e-8ad2-6f4a2baab05a	INFILTRATION
e96a8b6e-a981-4796-a229-15bb31f3d1af	0380263d-d347-4a06-b5c5-2f5f3d143d40	IT_LOAD
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	d6c1c6c6-01dc-440f-a77b-6448fa12f765	SWITCHGEAR
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	37c6c535-84de-4e6c-a0f1-60e81bfaeca8	GENERATOR
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	d6b9e71e-6df2-4618-b964-64bfd5aab79b	PRIMARY_AUXILIARIES
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	6077c0b0-a083-4ed0-b16f-6cc1be56db75	UPS
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	8a6965b2-4f63-453e-a392-b251fb9b11b6	CRITICAL_AUXILIARIES
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	dc8299ef-9876-4936-bfe1-3e0ad2e211a3	LIGHTING
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	0c967080-36d5-44fe-989e-22e133611595	CRITICAL_POWER_DISTRIBUTION
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	1e8cef71-c172-48af-83f5-b87181c1bb90	CRAH
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	4725e3d7-3d66-4108-80dd-ff27d4b92440	CRAC
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	a58a57b8-8a06-406c-8328-583f1432e0aa	CRAC_WITHOUT_FAN
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	c2331308-4778-4d45-adae-96f8f0d74eb9	CRAC_FAN
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	e63190ea-3014-454c-9c48-920475a1e51a	CHILLER
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	7dc90910-3bfb-4033-a961-4392c0c60c76	AIR_COOLED_CHILLER
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	50b710cb-aeaa-43de-b1a2-d44743e6def3	COOLING_TOWER
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	c1063cbe-872b-4114-bac0-16a6ce7460d6	DRY_COOLER
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	a5c25621-fba4-4611-9588-23b236b562c6	REMOTE_CONDENSER
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	4006c26f-fae4-4a03-83a3-252054b8a233	CHILLED_WATER_PUMPS
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	a415fee5-d998-4679-9118-f8730193ca23	HEAT_REJECTION_PUMPS
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	3e595a21-8bbd-441c-be62-2b5a1aa383cd	VENTILATION
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	24c4c318-40fd-4f54-bca9-5373c7314483	INFILTRATION
27bf9c4f-8b3d-41eb-9047-cdbc1de45412	1efa82fd-e7de-4393-9140-f61a4d042a74	IT_LOAD
bcfefe60-730d-4fe7-8d64-59984338a5c8	97be4a43-333b-4dac-8a4a-6630b26eb7c6	SWITCHGEAR
bcfefe60-730d-4fe7-8d64-59984338a5c8	7de010a1-a625-4918-b8fa-dcb460576492	GENERATOR
bcfefe60-730d-4fe7-8d64-59984338a5c8	21c8c6d5-b9cb-4fc2-8834-7600e2e709dc	PRIMARY_AUXILIARIES
bcfefe60-730d-4fe7-8d64-59984338a5c8	cc951a56-c266-4c1e-b1ab-6935d5809cdf	UPS
bcfefe60-730d-4fe7-8d64-59984338a5c8	f05dedbf-3153-4368-aacf-97b52ef39315	CRITICAL_AUXILIARIES
bcfefe60-730d-4fe7-8d64-59984338a5c8	d66a3cf8-9ef6-4613-bee9-c90d3f615b5d	LIGHTING
bcfefe60-730d-4fe7-8d64-59984338a5c8	e7fd5030-0e1a-40da-8dcc-ba2db5c83d22	CRITICAL_POWER_DISTRIBUTION
bcfefe60-730d-4fe7-8d64-59984338a5c8	7b2704e9-659b-48f0-8823-fd57075b8ff6	CRAH
bcfefe60-730d-4fe7-8d64-59984338a5c8	09b6a4b2-e54a-4c40-85c5-87df387f2d5d	CRAC
bcfefe60-730d-4fe7-8d64-59984338a5c8	bb7d6e96-788f-4395-9aa6-4e3b3623689c	CRAC_WITHOUT_FAN
bcfefe60-730d-4fe7-8d64-59984338a5c8	ac1c4af0-f9fb-445f-8865-3d5ba7f1f9f8	CRAC_FAN
bcfefe60-730d-4fe7-8d64-59984338a5c8	6c5195c1-aaf0-408f-89c3-e307cb8f8391	CHILLER
bcfefe60-730d-4fe7-8d64-59984338a5c8	d53a25f3-ffeb-4f63-9b2e-1cf496a3f7c5	AIR_COOLED_CHILLER
bcfefe60-730d-4fe7-8d64-59984338a5c8	9bf5439a-17fa-479f-8644-7dae3a2e7771	COOLING_TOWER
bcfefe60-730d-4fe7-8d64-59984338a5c8	da980a05-d661-4406-a377-b216aef3ba65	DRY_COOLER
bcfefe60-730d-4fe7-8d64-59984338a5c8	49fb7fa3-076c-4968-bc5c-0bc5bf4d451a	REMOTE_CONDENSER
bcfefe60-730d-4fe7-8d64-59984338a5c8	5972b0bc-585f-49ca-8d1c-c2508c03cb59	CHILLED_WATER_PUMPS
bcfefe60-730d-4fe7-8d64-59984338a5c8	20d70d48-1075-4bad-8680-8e0fe4fa8806	HEAT_REJECTION_PUMPS
bcfefe60-730d-4fe7-8d64-59984338a5c8	25307a5b-c315-4ba8-974c-63b114257d98	VENTILATION
bcfefe60-730d-4fe7-8d64-59984338a5c8	2ae4ddf0-17d0-4465-8c21-ca10c1a7e2bb	INFILTRATION
bcfefe60-730d-4fe7-8d64-59984338a5c8	ba4c99ff-2bab-483f-8c1e-9ee445549811	IT_LOAD
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	01aa851b-7a04-4f6c-bc40-d914862de6c4	SWITCHGEAR
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	4b569e55-8f25-43d7-8f8f-3e72e994bfba	GENERATOR
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	2742272a-f6da-4560-a25d-9b9ed9b34d22	PRIMARY_AUXILIARIES
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	4cb8d6e7-7f04-4136-b737-4c0d07942bea	UPS
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	c7eaaeb9-b5be-471b-8969-0bf668905ac5	CRITICAL_AUXILIARIES
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	6aa440ac-f329-429d-ba5d-e09321874bf8	LIGHTING
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	002d666b-a957-442f-a125-ed7cd73852e5	CRITICAL_POWER_DISTRIBUTION
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	11114732-3dd3-4de9-87b5-eb29eaa4436e	CRAH
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	885194e1-1d45-4718-be8b-b66d49ecb4f3	CRAC
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	f638862c-2c6c-4cba-ba0f-0af3d1739572	CRAC_WITHOUT_FAN
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	938cf180-96d1-4de1-8448-f9ff036b59d0	CRAC_FAN
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	5699861a-f296-4d20-be56-25797aa1d7c0	CHILLER
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	8fd05992-30ad-43cc-9408-90d2bbe9e876	AIR_COOLED_CHILLER
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	5275adf9-5f96-4b46-9172-cb88ff02754c	COOLING_TOWER
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	0d73fe36-c1a6-4028-b3a3-9f71c06c3779	DRY_COOLER
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	717ca747-058d-492a-a185-609006f11328	REMOTE_CONDENSER
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	6ad2d8da-0bdf-45a3-8b67-b29a9e0eb6b6	CHILLED_WATER_PUMPS
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	99f323e6-653f-4de3-a5ed-7d2fadb19bda	HEAT_REJECTION_PUMPS
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	01657078-cb62-4dd7-a88e-c2623d0da2ec	VENTILATION
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	03210d8f-f265-45b7-a696-1955821caa2e	INFILTRATION
77d7cf71-f6ec-4555-85e0-bc24d3c4d609	9cf0b9c3-6304-46aa-a3cf-44b7e2e61f84	IT_LOAD
dc701273-0eb6-4e11-a661-c953ac984997	8c3da112-c2ec-4a33-955b-ab0eefc31abe	SWITCHGEAR
dc701273-0eb6-4e11-a661-c953ac984997	5d149a58-0a9b-41c1-b51a-24d6be079432	GENERATOR
dc701273-0eb6-4e11-a661-c953ac984997	118c638a-c85b-4501-ba95-5a9244a8b2b0	PRIMARY_AUXILIARIES
dc701273-0eb6-4e11-a661-c953ac984997	09596ba4-92c5-4398-ba38-92bf44bd7585	UPS
dc701273-0eb6-4e11-a661-c953ac984997	d640f5dd-6ec1-48a2-8b0b-878f6271ea4c	CRITICAL_AUXILIARIES
dc701273-0eb6-4e11-a661-c953ac984997	d4632810-9eee-4416-84c8-7eabaec95412	LIGHTING
dc701273-0eb6-4e11-a661-c953ac984997	fca66371-8654-4c92-a87f-ae43db6c8092	CRITICAL_POWER_DISTRIBUTION
dc701273-0eb6-4e11-a661-c953ac984997	16aee919-e97e-48f7-9353-46f0448b1cf4	CRAH
dc701273-0eb6-4e11-a661-c953ac984997	7ec67e1d-cfc4-4a6b-964f-91e528c82ff7	CRAC
dc701273-0eb6-4e11-a661-c953ac984997	948c2db1-9e63-4f5b-88aa-0f1f50afa10f	CRAC_WITHOUT_FAN
dc701273-0eb6-4e11-a661-c953ac984997	f0ba5cfa-ec08-49a9-9e8d-e40b2f578ea4	CRAC_FAN
dc701273-0eb6-4e11-a661-c953ac984997	47896bf2-e13a-4ec3-81a5-f62f0d27f85a	CHILLER
dc701273-0eb6-4e11-a661-c953ac984997	68c9922c-8966-44d9-aa3a-b3bd4a4e4b5e	AIR_COOLED_CHILLER
dc701273-0eb6-4e11-a661-c953ac984997	454a5a81-6828-4a37-a33c-819f7e20c869	COOLING_TOWER
dc701273-0eb6-4e11-a661-c953ac984997	cf02e55f-1efe-4a31-a3ae-7827da30c4fa	DRY_COOLER
dc701273-0eb6-4e11-a661-c953ac984997	1f66a13c-2dc1-4c78-9f1b-2174d50a4a3e	REMOTE_CONDENSER
dc701273-0eb6-4e11-a661-c953ac984997	123c9ddf-9c26-4193-8473-e46b9e05b6de	CHILLED_WATER_PUMPS
dc701273-0eb6-4e11-a661-c953ac984997	5b38483b-618c-4f55-b217-c10b9bcfe4f2	HEAT_REJECTION_PUMPS
dc701273-0eb6-4e11-a661-c953ac984997	f1a73396-0d2a-4b40-974c-7802410db167	VENTILATION
dc701273-0eb6-4e11-a661-c953ac984997	340277e8-bc76-49a1-9af9-0f9d6c8d9348	INFILTRATION
dc701273-0eb6-4e11-a661-c953ac984997	0c141518-aab5-4258-b813-4842880feb53	IT_LOAD
6f979325-b234-4ea7-9e20-acf0678d6776	bf1cdace-0cec-4b26-a22c-26fdde1f29f7	SWITCHGEAR
6f979325-b234-4ea7-9e20-acf0678d6776	bc01cfb0-951c-403d-bbb4-085ffc0885d0	GENERATOR
6f979325-b234-4ea7-9e20-acf0678d6776	a30d0716-8f96-4b64-8089-f7e66d8f5f50	PRIMARY_AUXILIARIES
6f979325-b234-4ea7-9e20-acf0678d6776	c53f3663-6e93-4948-97f7-3f0df6d4ac6e	UPS
6f979325-b234-4ea7-9e20-acf0678d6776	4c01b138-02c9-48df-a5e5-245555a1417c	CRITICAL_AUXILIARIES
6f979325-b234-4ea7-9e20-acf0678d6776	533c5285-8238-47c5-836d-5df4399a2107	LIGHTING
6f979325-b234-4ea7-9e20-acf0678d6776	b075fb04-ac7d-4c04-b5d4-8ccb6abf17f2	CRITICAL_POWER_DISTRIBUTION
6f979325-b234-4ea7-9e20-acf0678d6776	54dccc77-bb19-4898-82a0-d4a026ed3473	CRAH
6f979325-b234-4ea7-9e20-acf0678d6776	d81e103b-7aad-4278-8910-b504f159db1b	CRAC
6f979325-b234-4ea7-9e20-acf0678d6776	cad405ac-404e-45d6-971b-e6fa6a2b7876	CRAC_WITHOUT_FAN
6f979325-b234-4ea7-9e20-acf0678d6776	0b595f92-45d0-42d2-a24c-45a6c3de59ed	CRAC_FAN
6f979325-b234-4ea7-9e20-acf0678d6776	341ad354-eb19-4c11-8c24-d12389b7b99f	CHILLER
6f979325-b234-4ea7-9e20-acf0678d6776	3b0c3dce-44b5-40c7-9d0f-b32b490fffc7	AIR_COOLED_CHILLER
6f979325-b234-4ea7-9e20-acf0678d6776	dfa5ab67-fabf-4c5d-8cd3-40d77b6001d2	COOLING_TOWER
6f979325-b234-4ea7-9e20-acf0678d6776	0e22347c-0c9f-4789-9370-b2df50ab6484	DRY_COOLER
6f979325-b234-4ea7-9e20-acf0678d6776	aa634a37-e329-49d5-bf4b-27ebe8017fc6	REMOTE_CONDENSER
6f979325-b234-4ea7-9e20-acf0678d6776	9dc7cd78-9b64-4a74-ac6b-21343f54b8ab	CHILLED_WATER_PUMPS
6f979325-b234-4ea7-9e20-acf0678d6776	79ac52d3-56ed-4ca1-8312-dfd1eda33006	HEAT_REJECTION_PUMPS
6f979325-b234-4ea7-9e20-acf0678d6776	e7e88d58-e568-434d-9938-08801b8f831e	VENTILATION
6f979325-b234-4ea7-9e20-acf0678d6776	6d49cf58-9866-4018-af54-db3a2bebe14f	INFILTRATION
6f979325-b234-4ea7-9e20-acf0678d6776	8ecf9f97-6199-4c05-bf75-a5e7aad799a5	IT_LOAD
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	0e5c5b69-9f92-4252-819f-41c5598b19f5	SWITCHGEAR
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	c7abe3f2-a782-4cda-bbab-f2a4d8a1038b	GENERATOR
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	9c0c09e1-adbf-4ead-bd5d-fdc5bf808b5f	PRIMARY_AUXILIARIES
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	764f8bbc-801a-49f4-83b1-0e22e3fbdcff	UPS
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	2eb5aced-9a91-4efa-bd17-e4ef80356ef9	CRITICAL_AUXILIARIES
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	ec115816-2076-4663-8e74-b0f0d91aa7c6	LIGHTING
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	708e3c39-ba43-4409-94b4-927e094979f8	CRITICAL_POWER_DISTRIBUTION
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	d60d0566-e428-4f51-8b1b-153935b8569b	CRAH
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	b375c8b1-dc8e-432a-aa69-e534e3dbad41	CRAC
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	6a467b98-ce00-40ae-a095-cf3e4f0694c8	CRAC_WITHOUT_FAN
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	848c7700-a882-42cf-a93f-e719b6c461de	CRAC_FAN
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	7bdbdb73-f69c-4c04-a079-d33226a8bd71	CHILLER
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	d796a6d8-2bad-4dd8-85c1-2a5ca7a40614	AIR_COOLED_CHILLER
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	67535f20-67b4-4420-a34c-185aaef6d440	COOLING_TOWER
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	6c9a6c81-604e-4e2f-a778-399ee0b0f1da	DRY_COOLER
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	42a51572-9338-4695-b730-0b767906e608	REMOTE_CONDENSER
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	160a6629-b59e-4d47-a226-803a9d54fdea	CHILLED_WATER_PUMPS
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	0bd380c4-e7c9-47a4-af76-0eedd1313e87	HEAT_REJECTION_PUMPS
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	8e6282a7-30e2-46c7-9a23-dfd822b1f0ba	VENTILATION
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	5cd6c1c1-4f0a-45fc-928e-e06730273254	INFILTRATION
07d90ce0-6461-4ce3-8b5e-3aba2be942ba	16c4362b-6c33-4b3c-9a9f-8c0b02df47f2	IT_LOAD
5e0f370d-ffd3-4fde-8a75-691810ee164a	7ce36497-8619-44e0-875f-6e40ac24bab4	SWITCHGEAR
5e0f370d-ffd3-4fde-8a75-691810ee164a	95c54d32-b1d7-4a03-a570-5c5501693fcb	GENERATOR
5e0f370d-ffd3-4fde-8a75-691810ee164a	0f236a4a-69b9-40e4-9b80-839425179c68	PRIMARY_AUXILIARIES
5e0f370d-ffd3-4fde-8a75-691810ee164a	9f668b14-0620-4a9e-9f98-05b48443a9ab	UPS
5e0f370d-ffd3-4fde-8a75-691810ee164a	2cbe3934-22ac-4fcb-8eba-746a50537265	CRITICAL_AUXILIARIES
5e0f370d-ffd3-4fde-8a75-691810ee164a	302c8174-15d0-4857-abc5-c508f9e6c18b	LIGHTING
5e0f370d-ffd3-4fde-8a75-691810ee164a	75f5919b-7837-4211-80d9-b56c3617d21d	CRITICAL_POWER_DISTRIBUTION
5e0f370d-ffd3-4fde-8a75-691810ee164a	d5de1bde-d339-4575-9137-21c06a2409ee	CRAH
5e0f370d-ffd3-4fde-8a75-691810ee164a	82313596-39eb-4a66-95b3-546ba1fade82	CRAC
5e0f370d-ffd3-4fde-8a75-691810ee164a	8aad0e7b-72fb-4bd5-9757-c8341d4c3135	CRAC_WITHOUT_FAN
5e0f370d-ffd3-4fde-8a75-691810ee164a	98c700ff-b0ce-41de-ac28-14c35a04e02e	CRAC_FAN
5e0f370d-ffd3-4fde-8a75-691810ee164a	16fe2e72-56d3-4405-8d73-042e79e747de	CHILLER
5e0f370d-ffd3-4fde-8a75-691810ee164a	e0f325a9-3209-4e29-b2dd-b34f84a2df1d	AIR_COOLED_CHILLER
5e0f370d-ffd3-4fde-8a75-691810ee164a	4aa85015-a587-42cf-ba59-f958cccefca1	COOLING_TOWER
5e0f370d-ffd3-4fde-8a75-691810ee164a	38d4deb7-6e9f-46b0-baa9-32643524afdb	DRY_COOLER
5e0f370d-ffd3-4fde-8a75-691810ee164a	52466adf-7320-45c9-947c-944e9e07980d	REMOTE_CONDENSER
5e0f370d-ffd3-4fde-8a75-691810ee164a	fa17eb88-a5c8-4c6e-ac9a-ed82fb29baf6	CHILLED_WATER_PUMPS
5e0f370d-ffd3-4fde-8a75-691810ee164a	95eebbba-69e3-4510-a76f-a4547146dc86	HEAT_REJECTION_PUMPS
5e0f370d-ffd3-4fde-8a75-691810ee164a	14778afe-fee4-4bd6-a8ae-3745d6c22f19	VENTILATION
5e0f370d-ffd3-4fde-8a75-691810ee164a	f968ba84-5b09-481c-b5ec-2d7ee5f037a1	INFILTRATION
5e0f370d-ffd3-4fde-8a75-691810ee164a	c9b1fb0f-20a1-4454-9da1-54ea6bc8666d	IT_LOAD
bf4d6645-4d5a-4da4-91c8-637503c2901d	733c659d-1a8e-4438-b7a7-353f31028079	SWITCHGEAR
bf4d6645-4d5a-4da4-91c8-637503c2901d	367d4814-330f-427c-8bf3-3d1d6b5099ad	GENERATOR
bf4d6645-4d5a-4da4-91c8-637503c2901d	25640288-f330-4286-80ab-e580337d9ea4	PRIMARY_AUXILIARIES
bf4d6645-4d5a-4da4-91c8-637503c2901d	b6b07ce2-994a-42c9-831a-8630349f9b22	UPS
bf4d6645-4d5a-4da4-91c8-637503c2901d	62d2a314-8777-456c-9748-20c2d9bf3ac6	CRITICAL_AUXILIARIES
bf4d6645-4d5a-4da4-91c8-637503c2901d	efcaf876-7dc7-4018-a48b-071e31c82e19	LIGHTING
bf4d6645-4d5a-4da4-91c8-637503c2901d	0f4a1b3b-94bd-4f0b-aa3c-21fd48f6ca5b	CRITICAL_POWER_DISTRIBUTION
bf4d6645-4d5a-4da4-91c8-637503c2901d	50c20c02-6c34-4148-b17f-6161af564815	CRAH
bf4d6645-4d5a-4da4-91c8-637503c2901d	6c71cd64-ba7d-4e36-a0b3-9cbfdf6feb44	CRAC
bf4d6645-4d5a-4da4-91c8-637503c2901d	2998c189-ebda-49c7-9cc7-13d753ffef38	CRAC_WITHOUT_FAN
bf4d6645-4d5a-4da4-91c8-637503c2901d	d76ed311-479a-4ab2-8b80-cd4a6a98a215	CRAC_FAN
bf4d6645-4d5a-4da4-91c8-637503c2901d	5e2941a6-4e25-4b9d-9022-9cf3751fde43	CHILLER
bf4d6645-4d5a-4da4-91c8-637503c2901d	061a2966-6113-449e-86e9-6366da68fb17	AIR_COOLED_CHILLER
bf4d6645-4d5a-4da4-91c8-637503c2901d	106a1b5f-fdc9-41ca-89fc-4da178da2785	COOLING_TOWER
bf4d6645-4d5a-4da4-91c8-637503c2901d	bcac7593-1422-437b-9d1a-db16e3100995	DRY_COOLER
bf4d6645-4d5a-4da4-91c8-637503c2901d	1df7c912-510c-448b-bd82-9c780b396563	REMOTE_CONDENSER
bf4d6645-4d5a-4da4-91c8-637503c2901d	4df34860-f721-4e17-a7d4-6c83cb2e480d	CHILLED_WATER_PUMPS
bf4d6645-4d5a-4da4-91c8-637503c2901d	d8418344-04cc-4b0f-afbe-5462f280aa06	HEAT_REJECTION_PUMPS
bf4d6645-4d5a-4da4-91c8-637503c2901d	9df54b54-f365-465b-8c87-8aeb3664e419	VENTILATION
bf4d6645-4d5a-4da4-91c8-637503c2901d	e53ba783-b204-4fc0-9702-00b517d03216	INFILTRATION
bf4d6645-4d5a-4da4-91c8-637503c2901d	9bef8bdf-0766-4a72-a287-f2ba7d3ac165	IT_LOAD
7db355ac-51d2-4af7-8d13-2e128d3d446d	7fb9d85b-e5f0-4b74-8845-df66fbc3670d	SWITCHGEAR
7db355ac-51d2-4af7-8d13-2e128d3d446d	81842681-0d3b-4469-bcca-66dd2e896f0c	GENERATOR
7db355ac-51d2-4af7-8d13-2e128d3d446d	4cbd341d-9620-43f2-9c74-1a9c4526bcf5	PRIMARY_AUXILIARIES
7db355ac-51d2-4af7-8d13-2e128d3d446d	ecd8a29e-b9af-4c0d-b7f5-6e4a745497e2	UPS
7db355ac-51d2-4af7-8d13-2e128d3d446d	997dac6f-c98c-4300-a03c-f76158be65ef	CRITICAL_AUXILIARIES
7db355ac-51d2-4af7-8d13-2e128d3d446d	eb6fac67-dc5b-4d94-9858-4d7df5b3f8bf	LIGHTING
7db355ac-51d2-4af7-8d13-2e128d3d446d	81f0055d-da3c-4afe-90c6-ae456902f780	CRITICAL_POWER_DISTRIBUTION
7db355ac-51d2-4af7-8d13-2e128d3d446d	19123bfd-2e87-49a8-aa08-2c0001182b1b	CRAH
7db355ac-51d2-4af7-8d13-2e128d3d446d	5a6dcd6a-77f3-4aed-9053-0623cea3df99	CRAC
7db355ac-51d2-4af7-8d13-2e128d3d446d	70c8eabd-af2b-4339-8f8b-835a5e861450	CRAC_WITHOUT_FAN
7db355ac-51d2-4af7-8d13-2e128d3d446d	83defbb7-bdfe-4aff-8e66-7fac8f283ccd	CRAC_FAN
7db355ac-51d2-4af7-8d13-2e128d3d446d	1ea65fe7-608c-4f47-bd88-0c92871aea73	CHILLER
7db355ac-51d2-4af7-8d13-2e128d3d446d	767ff978-7e97-4f78-992a-c47686aed823	AIR_COOLED_CHILLER
7db355ac-51d2-4af7-8d13-2e128d3d446d	e4c59136-45be-4615-86c3-a2189504249b	COOLING_TOWER
7db355ac-51d2-4af7-8d13-2e128d3d446d	ea21d1bf-d7f1-4dba-90ab-45a3504a83e4	DRY_COOLER
7db355ac-51d2-4af7-8d13-2e128d3d446d	d0fb5320-7545-4d99-aad2-355315743c68	REMOTE_CONDENSER
7db355ac-51d2-4af7-8d13-2e128d3d446d	b6087d57-f0e4-4add-ad2d-5b0c3c9921dd	CHILLED_WATER_PUMPS
7db355ac-51d2-4af7-8d13-2e128d3d446d	725fdd47-ac20-4606-b8c8-73b754a48cc6	HEAT_REJECTION_PUMPS
7db355ac-51d2-4af7-8d13-2e128d3d446d	18473b7a-716b-49b2-bd48-3411c6f0c144	VENTILATION
7db355ac-51d2-4af7-8d13-2e128d3d446d	8f5af432-5e94-41bc-a1ce-f44acd0540f5	INFILTRATION
7db355ac-51d2-4af7-8d13-2e128d3d446d	14ba5f13-732f-403d-9919-987f1eeec78b	IT_LOAD
042fbd0e-528e-4c43-a105-98e74840543a	f74d8e75-8c5f-4a97-a688-fed0c2116b19	SWITCHGEAR
042fbd0e-528e-4c43-a105-98e74840543a	fbcf7b36-9a3b-4c8c-a623-421a5be78fac	GENERATOR
042fbd0e-528e-4c43-a105-98e74840543a	80d03374-c809-49ec-a242-4d2e17ea4579	PRIMARY_AUXILIARIES
042fbd0e-528e-4c43-a105-98e74840543a	9dc95414-36f9-44c6-b9ee-7590b921274f	UPS
042fbd0e-528e-4c43-a105-98e74840543a	6c3d05d3-f099-471e-991d-192dbe27554f	CRITICAL_AUXILIARIES
042fbd0e-528e-4c43-a105-98e74840543a	adc4358d-3633-4ccc-beba-a37596ef87a5	LIGHTING
042fbd0e-528e-4c43-a105-98e74840543a	f236f8dc-ae43-4e40-876e-f78b6b8593a2	CRITICAL_POWER_DISTRIBUTION
042fbd0e-528e-4c43-a105-98e74840543a	810240ee-0d27-4b8c-bb36-6430c6c28699	CRAH
042fbd0e-528e-4c43-a105-98e74840543a	b39e3c57-972e-41df-a906-176ee05559d2	CRAC
042fbd0e-528e-4c43-a105-98e74840543a	2074d61b-83d3-4510-8d38-ec96ac504042	CRAC_WITHOUT_FAN
042fbd0e-528e-4c43-a105-98e74840543a	6dbd5b4f-86a2-470d-9d3a-341bb705d247	CRAC_FAN
042fbd0e-528e-4c43-a105-98e74840543a	425490e5-7256-40cc-961a-ab4c1cc9da93	CHILLER
042fbd0e-528e-4c43-a105-98e74840543a	bc66f950-54e4-4c49-8a70-6e7a12a159f9	AIR_COOLED_CHILLER
042fbd0e-528e-4c43-a105-98e74840543a	0e6fe862-b1c7-4b97-ae49-0e3514f69eee	COOLING_TOWER
042fbd0e-528e-4c43-a105-98e74840543a	0dcf8025-f282-4713-a095-28d22716d1a2	DRY_COOLER
042fbd0e-528e-4c43-a105-98e74840543a	3abaad66-ec51-436f-9d7d-89914795d6cf	REMOTE_CONDENSER
042fbd0e-528e-4c43-a105-98e74840543a	ff475e96-5fd4-4446-b81b-c811c8a8ed0a	CHILLED_WATER_PUMPS
042fbd0e-528e-4c43-a105-98e74840543a	bc609106-0349-475f-868b-abeccdfd2813	HEAT_REJECTION_PUMPS
042fbd0e-528e-4c43-a105-98e74840543a	f90ba7ac-c2a7-43ef-ad18-aef92d4146ab	VENTILATION
042fbd0e-528e-4c43-a105-98e74840543a	9f303f19-3c5e-4ed4-b68a-cded23bfea18	INFILTRATION
042fbd0e-528e-4c43-a105-98e74840543a	c7f669db-cee7-4a64-9b09-35b66760b6d2	IT_LOAD
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	d374c423-a2bc-40d7-8b3f-aa2024a0e08d	SWITCHGEAR
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	0d5cc1ea-edd0-42f4-a839-3a6c0cfa9e14	GENERATOR
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	fd9eb9a1-5640-4e2c-a5f1-2dd73d8ccfd8	PRIMARY_AUXILIARIES
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	98b3626a-e77e-4301-8943-f24e965e563f	UPS
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	78a6e0a2-0692-4943-abec-d7329e5b0071	CRITICAL_AUXILIARIES
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	67f913c7-9995-47f6-a238-3c1fae00a95c	LIGHTING
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	226c965d-0479-4a68-bcfd-743710e49ddd	CRITICAL_POWER_DISTRIBUTION
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	378824c5-37f2-44c8-a8d3-d365f5adef0d	CRAH
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	39dd679a-a09d-49e4-a4f0-943a95c528ae	CRAC
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	7025ec9a-9172-4751-9ec8-cd4ef3ea5bdb	CRAC_WITHOUT_FAN
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	e410e6c1-3a81-450d-9ba6-2194209374ac	CRAC_FAN
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	9cda87b2-e04c-4d40-81b1-d013feb1991d	CHILLER
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	22426b78-9b35-474c-8b62-4373e3d1eafa	AIR_COOLED_CHILLER
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	8749d6b6-c0dd-4b60-abba-3f01dfab28ee	COOLING_TOWER
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	031d1ea2-999d-400a-b1ec-1266dc0ad7e1	DRY_COOLER
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	a292da0f-70d6-4e2b-8ed5-cc2dd7b2ec1a	REMOTE_CONDENSER
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	966ddb25-0530-4e19-95a6-95e7c2355f07	CHILLED_WATER_PUMPS
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	708db03c-8c9d-4313-8506-af4c35e18cce	HEAT_REJECTION_PUMPS
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	0344fe23-0116-4a5a-a5ce-a8c1a2608179	VENTILATION
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	26df1843-d90a-4167-8779-548b4c52f736	INFILTRATION
b39a2f54-aef1-47e2-a1e7-bf454ffcd4e5	53f4f8f5-1461-43b3-aba1-be72cf3f7e40	IT_LOAD
25ef0aff-a450-4def-806f-fde61bc5ed13	437d9dba-7495-44ec-9d8e-b20be609ef50	SWITCHGEAR
25ef0aff-a450-4def-806f-fde61bc5ed13	4dab568a-eb6f-4a08-b3e7-9f3fd98ad8ac	GENERATOR
25ef0aff-a450-4def-806f-fde61bc5ed13	c92e0088-da7f-4bd3-9a14-820377501163	PRIMARY_AUXILIARIES
25ef0aff-a450-4def-806f-fde61bc5ed13	175eefbc-9a2e-48fb-996d-686b1e3bb671	UPS
25ef0aff-a450-4def-806f-fde61bc5ed13	502edb3c-bbe6-425e-96df-e0287a7a073f	CRITICAL_AUXILIARIES
25ef0aff-a450-4def-806f-fde61bc5ed13	a049656f-bd2e-4b33-8fe3-f8ef3e0cd129	LIGHTING
25ef0aff-a450-4def-806f-fde61bc5ed13	34de85e9-5972-4969-b16a-8b229b17dbf6	CRITICAL_POWER_DISTRIBUTION
25ef0aff-a450-4def-806f-fde61bc5ed13	6872929c-2f69-4332-8fbc-ad7ed0357943	CRAH
25ef0aff-a450-4def-806f-fde61bc5ed13	0f59ebfb-f857-426b-96ac-4bbbf2a96414	CRAC
25ef0aff-a450-4def-806f-fde61bc5ed13	9e07aa48-291a-49d8-b2d3-07eb092bd784	CRAC_WITHOUT_FAN
25ef0aff-a450-4def-806f-fde61bc5ed13	197a8d9d-7311-4b6f-b082-986b8016a2e9	CRAC_FAN
25ef0aff-a450-4def-806f-fde61bc5ed13	9c20dd63-1204-4ca5-815d-d1bc4e2e860f	CHILLER
25ef0aff-a450-4def-806f-fde61bc5ed13	3b264091-1358-4b7d-9502-35da17a52cda	AIR_COOLED_CHILLER
25ef0aff-a450-4def-806f-fde61bc5ed13	4f4a3a71-eba5-4b22-bac5-66aec4d28853	COOLING_TOWER
25ef0aff-a450-4def-806f-fde61bc5ed13	f91880a3-2841-4f29-bed7-0052c17a24f9	DRY_COOLER
25ef0aff-a450-4def-806f-fde61bc5ed13	833f81e9-60ca-4509-be4a-7c9cf0281e9a	REMOTE_CONDENSER
25ef0aff-a450-4def-806f-fde61bc5ed13	d1f5678a-48a9-4e53-8373-540ee934669d	CHILLED_WATER_PUMPS
25ef0aff-a450-4def-806f-fde61bc5ed13	293ef590-4e75-4578-b1d0-3baaf5d132f1	HEAT_REJECTION_PUMPS
25ef0aff-a450-4def-806f-fde61bc5ed13	a0f50fa1-c810-451f-a2c6-f4799839ee62	VENTILATION
25ef0aff-a450-4def-806f-fde61bc5ed13	cc3cd18f-6040-479d-a6e6-7f7b5c67a185	INFILTRATION
25ef0aff-a450-4def-806f-fde61bc5ed13	68fdd4ce-515b-4842-b1a2-9d3a36d0ac81	IT_LOAD
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	a9c6c66c-f1f0-493b-92e2-99766bae27bc	SWITCHGEAR
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	fe0a5b16-b900-4629-9fc1-d9fe8738db4c	GENERATOR
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	cc00028a-a6e3-40a3-bd1c-94c2a8add077	PRIMARY_AUXILIARIES
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	b7025511-03db-4814-8b23-04ae2d9fb163	UPS
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	d9214436-1706-46d2-b6d9-71678cde4752	CRITICAL_AUXILIARIES
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	918f1cd5-7a84-4470-a957-0011f5fd0be0	LIGHTING
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	28511222-ff4c-42e2-9b9a-39fd44c81b1e	CRITICAL_POWER_DISTRIBUTION
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	f3e0b801-b257-49f6-bd14-447485833200	CRAH
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	2f4549d9-eda5-4181-b92e-11fb85700e75	CRAC
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	5db2f971-12fd-43fb-bc8a-66263e193d9f	CRAC_WITHOUT_FAN
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	80100aec-788e-40b4-b7c1-abc1e0b625dc	CRAC_FAN
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	e66cad89-2ffa-4758-ab79-4c7cb10e003b	CHILLER
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	5751f596-95b4-46e2-a0c3-bb2f260ebd71	AIR_COOLED_CHILLER
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	39183397-c891-4d5e-afa1-3ff1ac58ae0c	COOLING_TOWER
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	74b34865-992c-489e-93ed-32b3ae221302	DRY_COOLER
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	6e7707a9-9fce-4891-9b9d-cad6314311e1	REMOTE_CONDENSER
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	efcca1ed-8007-475c-acc9-1544a23c7275	CHILLED_WATER_PUMPS
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	15f5072d-90f1-4849-a8ad-be070a7a0685	HEAT_REJECTION_PUMPS
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	336991e8-2cd7-4791-a909-65ce1293bfe2	VENTILATION
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	11d7bdde-7122-47c1-94bb-1234a22f7430	INFILTRATION
56e0881f-b088-4d5e-8d99-e5d43fcfe1c7	b584124a-db9e-4f43-b357-23288bc69f34	IT_LOAD
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	bba4f7d4-93b0-4ae4-99b9-a90534cda782	SWITCHGEAR
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	6a0cc8b3-784e-425e-b98a-067c934aab3e	GENERATOR
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	8da83166-8cd2-4e69-95bd-2c947c914dcf	PRIMARY_AUXILIARIES
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	4468a9fd-ce23-4f13-9a24-d8eea0773bf9	UPS
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	62bc6382-7fe0-4f9a-a04d-701be456b54c	CRITICAL_AUXILIARIES
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	2dab17b3-01bb-47f4-96ce-29c4d961428f	LIGHTING
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	6b4b1542-bcea-462c-ab26-338f8c3ae64e	CRITICAL_POWER_DISTRIBUTION
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	0f2bd21f-b5e4-4465-a97a-408c79c78e62	CRAH
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	b876f9cf-d2c4-4f32-a651-48d4a1bb0d28	CRAC
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	67e4dbc4-1344-4b0b-bcaf-dd995d29a1f8	CRAC_WITHOUT_FAN
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	48d7f537-d116-4367-abc9-b0604cfaf874	CRAC_FAN
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	26863781-70d5-472e-90f3-298c66edc12a	CHILLER
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	afdafa11-4f10-4154-bd33-060c3fa54487	AIR_COOLED_CHILLER
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	1e01ffaa-b913-45ee-9d71-b686883a8665	COOLING_TOWER
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	6e6f8549-91b3-461c-a0e5-402b25b3f90a	DRY_COOLER
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	c299b160-ff36-4880-abb4-cc0624dd00c9	REMOTE_CONDENSER
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	aabbc613-de5c-4ad5-9a45-3dcbe17ed556	CHILLED_WATER_PUMPS
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	fc975f11-2471-43a2-b67e-3b3e7b682ddc	HEAT_REJECTION_PUMPS
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	effcf364-38e4-445a-ba91-29dce54c0441	VENTILATION
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	58bcf526-6acb-488d-bf32-47359dc3ca7e	INFILTRATION
56d2563c-bd5a-444a-b8da-e6c8ac825d3f	40260243-8ded-430a-bea8-a32db659c358	IT_LOAD
efb27342-d9d8-4310-8b62-58ae67d4dd06	33b410b9-840a-4f8e-9a45-e4c0d2927886	SWITCHGEAR
efb27342-d9d8-4310-8b62-58ae67d4dd06	b42906ff-e54d-4075-a2a2-17892c0b42d8	GENERATOR
efb27342-d9d8-4310-8b62-58ae67d4dd06	3854ee46-438d-491b-90ba-a28960c11f57	PRIMARY_AUXILIARIES
efb27342-d9d8-4310-8b62-58ae67d4dd06	02bf207e-9baa-40a7-987a-0e3c3ef9c300	UPS
efb27342-d9d8-4310-8b62-58ae67d4dd06	5d61a6da-32d3-4101-8987-9f94b1e251d0	CRITICAL_AUXILIARIES
efb27342-d9d8-4310-8b62-58ae67d4dd06	159d530d-ab45-40f5-829d-6f87eeb0747c	LIGHTING
efb27342-d9d8-4310-8b62-58ae67d4dd06	b00c0c81-9992-45cc-b0e7-a856ff47f9d3	CRITICAL_POWER_DISTRIBUTION
efb27342-d9d8-4310-8b62-58ae67d4dd06	c279bbc5-976b-40a7-88a9-862e531b1ea6	CRAH
efb27342-d9d8-4310-8b62-58ae67d4dd06	761cf21c-54a3-4402-a9f1-a3809c16c173	CRAC
efb27342-d9d8-4310-8b62-58ae67d4dd06	3cb734fd-9a08-49ac-9b56-bc1d2bc390df	CRAC_WITHOUT_FAN
efb27342-d9d8-4310-8b62-58ae67d4dd06	b85a6f3f-e39b-453c-8eda-e424a6a209e0	CRAC_FAN
efb27342-d9d8-4310-8b62-58ae67d4dd06	3af77613-e4b2-41ec-a486-41d74b2a16a8	CHILLER
efb27342-d9d8-4310-8b62-58ae67d4dd06	430c2ada-aacc-48d6-9105-25717bcfae3d	AIR_COOLED_CHILLER
efb27342-d9d8-4310-8b62-58ae67d4dd06	02d920b8-7901-4645-8653-7217245b6dab	COOLING_TOWER
efb27342-d9d8-4310-8b62-58ae67d4dd06	d6324769-0e88-4a69-a60a-b0a37831d97d	DRY_COOLER
efb27342-d9d8-4310-8b62-58ae67d4dd06	279a118f-4ee2-493b-90c5-316c7d03545e	REMOTE_CONDENSER
efb27342-d9d8-4310-8b62-58ae67d4dd06	c2757882-14b0-4b64-af4b-fe3cd6d160fa	CHILLED_WATER_PUMPS
efb27342-d9d8-4310-8b62-58ae67d4dd06	6706794d-7bbb-42e4-9ce8-bc202b7c33e4	HEAT_REJECTION_PUMPS
efb27342-d9d8-4310-8b62-58ae67d4dd06	8ad324fe-29e8-4d91-baac-9ca1b9e7ff1b	VENTILATION
efb27342-d9d8-4310-8b62-58ae67d4dd06	c14246b9-353b-4692-bdb5-b7c46849af4f	INFILTRATION
efb27342-d9d8-4310-8b62-58ae67d4dd06	8975b698-cd5c-4b18-a2a7-b013724d0be9	IT_LOAD
81c06417-56b6-420f-8ba3-bfc8b3a74cff	4ba52f1e-3b1e-490b-80b1-9f6ba2537c77	SWITCHGEAR
81c06417-56b6-420f-8ba3-bfc8b3a74cff	a9965dca-45a8-47a2-b78a-55070e74c0d2	GENERATOR
81c06417-56b6-420f-8ba3-bfc8b3a74cff	d07abc0c-aa79-474d-8fae-a89f36560474	PRIMARY_AUXILIARIES
81c06417-56b6-420f-8ba3-bfc8b3a74cff	c882c001-7723-438d-bdb0-4aca9032f529	UPS
81c06417-56b6-420f-8ba3-bfc8b3a74cff	f3e757e2-f799-473d-839e-a342f020a626	CRITICAL_AUXILIARIES
81c06417-56b6-420f-8ba3-bfc8b3a74cff	95bef0d3-f676-4f99-90a2-a8fb402b117a	LIGHTING
81c06417-56b6-420f-8ba3-bfc8b3a74cff	689e0dfc-5b09-4e0e-a0e6-12b2cb5e5554	CRITICAL_POWER_DISTRIBUTION
81c06417-56b6-420f-8ba3-bfc8b3a74cff	e1e3c5ff-b219-4e33-88c0-9e112af36123	CRAH
81c06417-56b6-420f-8ba3-bfc8b3a74cff	c4fd3980-7c51-434a-9fb9-90de3646c09c	CRAC
81c06417-56b6-420f-8ba3-bfc8b3a74cff	282f139e-7bcd-4256-bbed-0aa97b5f352e	CRAC_WITHOUT_FAN
81c06417-56b6-420f-8ba3-bfc8b3a74cff	e91deb20-2297-4a37-98be-8145ffa943aa	CRAC_FAN
81c06417-56b6-420f-8ba3-bfc8b3a74cff	a1bd534e-eb59-42e6-97e1-46cab2f97bf7	CHILLER
81c06417-56b6-420f-8ba3-bfc8b3a74cff	2068d04b-89d0-45b4-a605-3aa087b771bf	AIR_COOLED_CHILLER
81c06417-56b6-420f-8ba3-bfc8b3a74cff	d3b40020-987d-47cf-8f72-0f4a3fb0e740	COOLING_TOWER
81c06417-56b6-420f-8ba3-bfc8b3a74cff	1ea0523e-f550-4478-b249-1a7a071385af	DRY_COOLER
81c06417-56b6-420f-8ba3-bfc8b3a74cff	fa977aed-1d4f-4a98-8a25-173dd17c745b	REMOTE_CONDENSER
81c06417-56b6-420f-8ba3-bfc8b3a74cff	5ac6beb3-0bd2-4c40-b44b-34ffdfb4b84d	CHILLED_WATER_PUMPS
81c06417-56b6-420f-8ba3-bfc8b3a74cff	02f712f0-5b50-4ce7-b8ea-9db681318c09	HEAT_REJECTION_PUMPS
81c06417-56b6-420f-8ba3-bfc8b3a74cff	906436ca-ed71-45c8-ab90-99653452f24f	VENTILATION
81c06417-56b6-420f-8ba3-bfc8b3a74cff	e9944311-18a4-497c-bb06-30ce055f7cf3	INFILTRATION
81c06417-56b6-420f-8ba3-bfc8b3a74cff	590842be-5fc2-4f50-b297-660353600186	IT_LOAD
62d4f504-11e9-4361-ba44-411b008f123c	20f771a4-8e3a-4c0f-b4df-9862ebb15e4a	SWITCHGEAR
62d4f504-11e9-4361-ba44-411b008f123c	9470b8e8-fc1e-4446-9a34-21242b34eb1e	GENERATOR
62d4f504-11e9-4361-ba44-411b008f123c	359b9067-d50f-48d3-8f2d-ef606d064d81	PRIMARY_AUXILIARIES
62d4f504-11e9-4361-ba44-411b008f123c	f3d2f491-0faf-4169-810b-1b7a0352613e	UPS
62d4f504-11e9-4361-ba44-411b008f123c	781b9c53-c1e9-459a-8f4a-bc8723da5dd5	CRITICAL_AUXILIARIES
62d4f504-11e9-4361-ba44-411b008f123c	c7c89b9e-b7e0-4085-b7ff-c92ac3cbdbfd	LIGHTING
62d4f504-11e9-4361-ba44-411b008f123c	2b3f2646-63db-4f2d-bd43-19c8842ea21c	CRITICAL_POWER_DISTRIBUTION
62d4f504-11e9-4361-ba44-411b008f123c	cfe1f97d-a1c6-43e2-bca0-75e0c0d67de8	CRAH
62d4f504-11e9-4361-ba44-411b008f123c	2d7afbfe-af51-4ecc-b393-bf92f2e55373	CRAC
62d4f504-11e9-4361-ba44-411b008f123c	4344f34d-4bcf-42a0-a3c3-abbb77bcf7ed	CRAC_WITHOUT_FAN
62d4f504-11e9-4361-ba44-411b008f123c	f7cb24f6-76a9-42b8-975e-9fcaa163d2f4	CRAC_FAN
62d4f504-11e9-4361-ba44-411b008f123c	245dc0c0-fee8-4b61-9aa2-8de5c6847de2	CHILLER
62d4f504-11e9-4361-ba44-411b008f123c	3c8689f8-20df-4385-812a-36c5472f67df	AIR_COOLED_CHILLER
62d4f504-11e9-4361-ba44-411b008f123c	caca80cc-dfbb-4ba3-adc1-3ba99e55431e	COOLING_TOWER
62d4f504-11e9-4361-ba44-411b008f123c	d508760e-15a0-4d08-8a21-647deede253b	DRY_COOLER
62d4f504-11e9-4361-ba44-411b008f123c	6c1dbdfb-50d8-4e86-a4c4-c961eb4cffe8	REMOTE_CONDENSER
62d4f504-11e9-4361-ba44-411b008f123c	cf7ca69d-deb8-49eb-9ea8-4ee518938625	CHILLED_WATER_PUMPS
62d4f504-11e9-4361-ba44-411b008f123c	d3e17b22-7e8b-4a2b-8c85-eed260ddbe8f	HEAT_REJECTION_PUMPS
62d4f504-11e9-4361-ba44-411b008f123c	587d0814-e537-42f8-8d1a-01131f24b6df	VENTILATION
62d4f504-11e9-4361-ba44-411b008f123c	3dfbf5e3-ebee-4ac2-b3eb-5e8a041ff37a	INFILTRATION
62d4f504-11e9-4361-ba44-411b008f123c	f9266f13-891d-4482-9152-25d738a1dde9	IT_LOAD
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	961c1a75-9f4d-4e3b-9c05-7d982b303ac7	SWITCHGEAR
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	021b37cc-66e9-4c8c-8255-fd607ea07c60	GENERATOR
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	e83e2ef2-7ee5-493a-8fb1-fa74cf3b331f	PRIMARY_AUXILIARIES
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	7aa2afb2-f1c0-423a-b45a-ca7d1f9231ef	UPS
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	9c3b2581-4522-41fe-9677-83a4a40e9d01	CRITICAL_AUXILIARIES
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	ec9ae982-5d0e-4510-9ae6-14335c46cbe7	LIGHTING
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	927997e8-27c0-4b49-89f0-1aa9a8091056	CRITICAL_POWER_DISTRIBUTION
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	bb554648-df29-4606-aa6c-d68c5084e23b	CRAH
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	20a53883-9935-4dff-acb1-30f8e2dcb286	CRAC
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	ebf931f3-87da-4f75-9fde-426897a66a7d	CRAC_WITHOUT_FAN
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	18f81f3c-17d3-4d7e-9c2d-7cbe3c59861e	CRAC_FAN
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	00982354-e878-4ec4-a059-c81cef953e04	CHILLER
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	b9f89cb9-07bc-4535-b458-70fb34dce053	AIR_COOLED_CHILLER
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	7f9e6cdf-aaef-4460-8bf4-7b10c6c91c8e	COOLING_TOWER
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	61c327ab-46fb-4f70-8626-924118ade1fb	DRY_COOLER
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	5cdd0f9e-684e-4a47-a633-91a89b949c6a	REMOTE_CONDENSER
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	910d2072-1288-4cc9-b8fa-1118f4b4afe4	CHILLED_WATER_PUMPS
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	1d6a341e-1040-426b-9e62-2ad5d52d43aa	HEAT_REJECTION_PUMPS
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	62dde3e3-7286-410d-bd28-25c33b664f23	VENTILATION
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	1debbaf3-71c4-4102-a2d6-5ab8fe80b6e9	INFILTRATION
b442d4e1-ad4c-495b-ae56-2e8f55dbc31e	e67bad53-406a-4229-9116-f206f808e84d	IT_LOAD
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	1e10cbf3-752d-4b55-8ee8-280f15716267	SWITCHGEAR
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	5404b016-1a19-4726-a43e-c720bc88b834	GENERATOR
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	f7b8bb98-9b7e-4e0f-b6cf-e8b0045fce91	PRIMARY_AUXILIARIES
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	16ba7560-bb66-4c5b-bddf-83ca80177dc0	UPS
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	113ede83-fd16-483e-9cc0-13e411b4f683	CRITICAL_AUXILIARIES
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	ec66211c-c210-4057-be0c-ad331d35b8f0	LIGHTING
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	0efd0326-0c38-4e03-9184-e8c7bb6b8cba	CRITICAL_POWER_DISTRIBUTION
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	0ea5fa6f-4288-4b42-b073-9f2a5acd6863	CRAH
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	4b6ebf8f-f427-4bc9-982c-afbb4226b3f0	CRAC
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	79a4b36f-96e1-4ad6-aa86-5992b0d6f7ca	CRAC_WITHOUT_FAN
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	574241e7-f414-4eb3-b441-ba6f3c9a276b	CRAC_FAN
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	c69f6133-87c9-4b28-9dca-b0f9a439fe03	CHILLER
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	19aac37a-0cbf-4524-a6c6-9daa24586373	AIR_COOLED_CHILLER
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	6e2b6ec4-2f5d-4168-92a5-cfcdc4f908f5	COOLING_TOWER
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	75ab849b-0c3d-4fe2-b51e-0baa04c6c851	DRY_COOLER
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	1dabbd1a-56b2-4106-a631-90241a9a7d48	REMOTE_CONDENSER
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	868968c6-853a-4253-8967-e7010f960d8a	CHILLED_WATER_PUMPS
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	9c79aff8-49d3-48db-b89c-64c26d288633	HEAT_REJECTION_PUMPS
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	6d005d3e-89f8-4a58-a8a9-cd00b2fcfafb	VENTILATION
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	12bcdba5-30f0-428a-8f0d-414b1e530d35	INFILTRATION
8da2aad3-ea8b-4af0-8857-dfae8cd730e5	5860ae11-f518-4f7f-8c1a-bd97e0c24ecd	IT_LOAD
f4980180-584a-40e3-b8a1-55a4a14061eb	f893b55a-7f6a-405b-be67-7aa8869c5b1c	SWITCHGEAR
f4980180-584a-40e3-b8a1-55a4a14061eb	5299a36a-e5aa-47b4-8f08-ef3e960bdcb1	GENERATOR
f4980180-584a-40e3-b8a1-55a4a14061eb	b21e2226-b471-4110-9e14-e4e8449f6b77	PRIMARY_AUXILIARIES
f4980180-584a-40e3-b8a1-55a4a14061eb	91d7df80-cdef-4ab5-b79f-14c298d74204	UPS
f4980180-584a-40e3-b8a1-55a4a14061eb	721652df-bfae-4f91-b088-65ae3d1a7295	CRITICAL_AUXILIARIES
f4980180-584a-40e3-b8a1-55a4a14061eb	7a1b18b3-7ee4-47ca-9058-60f2072facd3	LIGHTING
f4980180-584a-40e3-b8a1-55a4a14061eb	03afa708-87a8-4759-8b17-58430a6ec306	CRITICAL_POWER_DISTRIBUTION
f4980180-584a-40e3-b8a1-55a4a14061eb	6a7be2c0-d269-4d2d-9e9a-feee80bd9996	CRAH
f4980180-584a-40e3-b8a1-55a4a14061eb	7b7b3517-9e6f-4eaf-92db-eaf6860ddda8	CRAC
f4980180-584a-40e3-b8a1-55a4a14061eb	a2ccc2fa-0e2a-489c-b2f4-c973530ca4a1	CRAC_WITHOUT_FAN
f4980180-584a-40e3-b8a1-55a4a14061eb	ae83c04b-dab8-4eca-9ef0-a4ecc7a57b35	CRAC_FAN
f4980180-584a-40e3-b8a1-55a4a14061eb	d7829192-e24d-492e-bee2-d4d7145069f9	CHILLER
f4980180-584a-40e3-b8a1-55a4a14061eb	46a69915-7aad-48a7-82df-4dda1b2d939c	AIR_COOLED_CHILLER
f4980180-584a-40e3-b8a1-55a4a14061eb	5a66177d-be10-4434-9452-bc6967c6dc6d	COOLING_TOWER
f4980180-584a-40e3-b8a1-55a4a14061eb	84853d97-e4aa-4797-a9a5-01d31ee6ab19	DRY_COOLER
f4980180-584a-40e3-b8a1-55a4a14061eb	6f417596-4db2-46b4-8c31-31839b191c32	REMOTE_CONDENSER
f4980180-584a-40e3-b8a1-55a4a14061eb	ec136b0f-6a49-4a11-90d8-ec77f3cb2559	CHILLED_WATER_PUMPS
f4980180-584a-40e3-b8a1-55a4a14061eb	d61b568b-069d-428a-a9a8-b0ae52597ffd	HEAT_REJECTION_PUMPS
f4980180-584a-40e3-b8a1-55a4a14061eb	cc3fbe5d-f38f-466d-943c-892e44381e48	VENTILATION
f4980180-584a-40e3-b8a1-55a4a14061eb	76cd688f-297f-497c-9fc1-0141b1ae69be	INFILTRATION
f4980180-584a-40e3-b8a1-55a4a14061eb	155a4760-ffdc-4a3d-b033-9ee62f81ad81	IT_LOAD
64d469fe-3562-4794-89f9-11d6913bf463	82ccdbfe-5281-4733-aa68-c84f9951dd0e	SWITCHGEAR
64d469fe-3562-4794-89f9-11d6913bf463	15c92ff9-31d4-42d7-aa08-48e2e22f20af	GENERATOR
64d469fe-3562-4794-89f9-11d6913bf463	69d9bbb1-f1bd-4683-89a9-e9700726b79d	PRIMARY_AUXILIARIES
64d469fe-3562-4794-89f9-11d6913bf463	8c07df0b-f995-415e-b401-5d4c7799aad4	UPS
64d469fe-3562-4794-89f9-11d6913bf463	cf1a7950-2ec7-49cc-be70-d1ba69f350a0	CRITICAL_AUXILIARIES
64d469fe-3562-4794-89f9-11d6913bf463	a4d31b72-a0b2-4c7f-aff2-034cf957219a	LIGHTING
64d469fe-3562-4794-89f9-11d6913bf463	302e6b92-6489-46b3-8505-3185e6042b04	CRITICAL_POWER_DISTRIBUTION
64d469fe-3562-4794-89f9-11d6913bf463	1496e4f0-e698-42b3-8edd-bf602b096bbd	CRAH
64d469fe-3562-4794-89f9-11d6913bf463	7b8c55c3-5988-47e4-9cd6-e03cd58bc5a4	CRAC
64d469fe-3562-4794-89f9-11d6913bf463	99529746-3a96-4615-b2bc-d69f8a585f01	CRAC_WITHOUT_FAN
64d469fe-3562-4794-89f9-11d6913bf463	7ffdb4da-da56-41d0-83a8-ca2a502f4d77	CRAC_FAN
64d469fe-3562-4794-89f9-11d6913bf463	82d8df1b-bbd2-4672-9ec6-a54a3c3b3f01	CHILLER
64d469fe-3562-4794-89f9-11d6913bf463	77be13bd-3000-4b7e-99f1-2c3f2ed42f39	AIR_COOLED_CHILLER
64d469fe-3562-4794-89f9-11d6913bf463	18395465-6a8c-491b-9b46-3c33ce3a645f	COOLING_TOWER
64d469fe-3562-4794-89f9-11d6913bf463	c681faa5-a910-489c-9010-542c31ea284d	DRY_COOLER
64d469fe-3562-4794-89f9-11d6913bf463	271668e8-7b19-4e8d-996b-265d86a27e19	REMOTE_CONDENSER
64d469fe-3562-4794-89f9-11d6913bf463	1bf79ae6-f2fa-4d7a-ac64-d27bb34bc2f3	CHILLED_WATER_PUMPS
64d469fe-3562-4794-89f9-11d6913bf463	b0e6d097-719c-4d13-9117-7d4a28103895	HEAT_REJECTION_PUMPS
64d469fe-3562-4794-89f9-11d6913bf463	fc406457-b5f4-4c37-a9cf-36c21e31d746	VENTILATION
64d469fe-3562-4794-89f9-11d6913bf463	6a4fa380-ef4e-4ff1-8287-026364bba7fa	INFILTRATION
64d469fe-3562-4794-89f9-11d6913bf463	f2a65df6-5a43-490a-bb5b-e2076e89356a	IT_LOAD
1710f71f-9d6e-485b-b12c-5b9f18417c44	b3433f3f-2aca-4c81-9a9b-23a71ddf252f	SWITCHGEAR
1710f71f-9d6e-485b-b12c-5b9f18417c44	92a08214-d298-4e98-bbdc-2b21eb856ba3	GENERATOR
1710f71f-9d6e-485b-b12c-5b9f18417c44	3c59c3d4-bf7e-4e15-bd72-3ea9ef2829dd	PRIMARY_AUXILIARIES
1710f71f-9d6e-485b-b12c-5b9f18417c44	0c062659-8be6-4cc0-9743-084fdd9dcbf6	UPS
1710f71f-9d6e-485b-b12c-5b9f18417c44	1e8d10aa-3f09-44de-8764-8ac2c55afb0d	CRITICAL_AUXILIARIES
1710f71f-9d6e-485b-b12c-5b9f18417c44	b2c147f2-ad8d-4f5f-a9f1-8b46cad5f0f2	LIGHTING
1710f71f-9d6e-485b-b12c-5b9f18417c44	4be16fad-2ce2-4efe-bfda-be57287d9c7e	CRITICAL_POWER_DISTRIBUTION
1710f71f-9d6e-485b-b12c-5b9f18417c44	1439c2c4-fadd-4ff3-aea1-b9982eefa1d6	CRAH
1710f71f-9d6e-485b-b12c-5b9f18417c44	f727ad65-16f0-4972-b197-8499ab450a6c	CRAC
1710f71f-9d6e-485b-b12c-5b9f18417c44	3404e6bb-8382-403c-a3d3-79a0d478e535	CRAC_WITHOUT_FAN
1710f71f-9d6e-485b-b12c-5b9f18417c44	41a11b27-3224-467c-b492-61ac2bb0d831	CRAC_FAN
1710f71f-9d6e-485b-b12c-5b9f18417c44	fa189cd0-fed8-42f0-8f1e-7096d67255e9	CHILLER
1710f71f-9d6e-485b-b12c-5b9f18417c44	857276aa-c56c-4966-bfde-faca3c100a53	AIR_COOLED_CHILLER
1710f71f-9d6e-485b-b12c-5b9f18417c44	c08fb776-9d15-4cf8-8a4c-c9134055a005	COOLING_TOWER
1710f71f-9d6e-485b-b12c-5b9f18417c44	8f149cda-d164-426a-aaca-d7009405f18b	DRY_COOLER
1710f71f-9d6e-485b-b12c-5b9f18417c44	1b5ebba2-1f72-41cc-92dc-0ebe2538ce3e	REMOTE_CONDENSER
1710f71f-9d6e-485b-b12c-5b9f18417c44	930e8577-67fd-4149-a686-115f3ba6aae9	CHILLED_WATER_PUMPS
1710f71f-9d6e-485b-b12c-5b9f18417c44	6d5a6e4b-527c-47f6-b9a9-6cc99fab7880	HEAT_REJECTION_PUMPS
1710f71f-9d6e-485b-b12c-5b9f18417c44	fd182ce4-6eec-4090-862a-3c1cde8163f9	VENTILATION
1710f71f-9d6e-485b-b12c-5b9f18417c44	b49f78ad-1a98-4ba8-adf4-dee4758cbbc9	INFILTRATION
1710f71f-9d6e-485b-b12c-5b9f18417c44	90163992-2488-4960-8831-56543787104d	IT_LOAD
3accf663-19d6-4fcf-ba99-7fc03a475068	d8554570-1b3e-4f37-884b-1bf4725c915d	SWITCHGEAR
3accf663-19d6-4fcf-ba99-7fc03a475068	b9b1ec7a-aa66-4264-a3c4-9960e49297d2	GENERATOR
3accf663-19d6-4fcf-ba99-7fc03a475068	804921a8-3da6-4719-b183-7604c32cca42	PRIMARY_AUXILIARIES
3accf663-19d6-4fcf-ba99-7fc03a475068	0158ee24-12dc-443e-8dea-6d9833d9c9fa	UPS
3accf663-19d6-4fcf-ba99-7fc03a475068	501bb572-5037-494d-bf78-9a8b8d0e1ac3	CRITICAL_AUXILIARIES
3accf663-19d6-4fcf-ba99-7fc03a475068	42d3e07b-7ff9-4522-893c-ac017ccb377b	LIGHTING
3accf663-19d6-4fcf-ba99-7fc03a475068	a31acbc9-2c9c-4b8f-ba6b-5ff712eee434	CRITICAL_POWER_DISTRIBUTION
3accf663-19d6-4fcf-ba99-7fc03a475068	76757220-e475-40ab-83b2-860924778624	CRAH
3accf663-19d6-4fcf-ba99-7fc03a475068	acfbd665-7652-4351-afb4-0a9133e3804e	CRAC
3accf663-19d6-4fcf-ba99-7fc03a475068	1ad5170c-5547-434c-ab9b-e2ee87c1a2bc	CRAC_WITHOUT_FAN
3accf663-19d6-4fcf-ba99-7fc03a475068	de077546-78ce-4bca-a302-d19bc8d6f5ea	CRAC_FAN
3accf663-19d6-4fcf-ba99-7fc03a475068	aaca0a59-31db-4613-81a8-1f668b58d600	CHILLER
3accf663-19d6-4fcf-ba99-7fc03a475068	98bb3536-38fc-4b2d-8d6e-d64b22a20932	AIR_COOLED_CHILLER
3accf663-19d6-4fcf-ba99-7fc03a475068	fa45a88d-67ee-4d92-8425-3d0d49981a34	COOLING_TOWER
3accf663-19d6-4fcf-ba99-7fc03a475068	2c96ff5e-cc28-4872-b36b-dbbbf9444964	DRY_COOLER
3accf663-19d6-4fcf-ba99-7fc03a475068	c6ea1a59-6feb-4a77-af73-4d69bd16dd1e	REMOTE_CONDENSER
3accf663-19d6-4fcf-ba99-7fc03a475068	4efc1535-49c5-42e3-b103-ce0d38545ca8	CHILLED_WATER_PUMPS
3accf663-19d6-4fcf-ba99-7fc03a475068	5a5acba6-5b5a-4a17-af5d-81596c332437	HEAT_REJECTION_PUMPS
3accf663-19d6-4fcf-ba99-7fc03a475068	dbe8491a-7d3f-41f5-95a6-3ef6e5ea7f4a	VENTILATION
3accf663-19d6-4fcf-ba99-7fc03a475068	13b6bdf8-4ffd-4510-8a16-8f82fcc98036	INFILTRATION
3accf663-19d6-4fcf-ba99-7fc03a475068	35f4c630-365f-41ea-b306-e3f124c51243	IT_LOAD
080f29f9-caaa-43b3-9577-3a0cb5aff306	f84fca15-456b-4434-946c-fb46772b988a	SWITCHGEAR
080f29f9-caaa-43b3-9577-3a0cb5aff306	cf3d8e54-1ec9-4404-9d1b-11204ec195d6	GENERATOR
080f29f9-caaa-43b3-9577-3a0cb5aff306	752661a4-c7dc-4f4a-9668-5bf41167523c	PRIMARY_AUXILIARIES
080f29f9-caaa-43b3-9577-3a0cb5aff306	9815e855-1d48-403b-b6a4-cd9c69ce30a6	UPS
080f29f9-caaa-43b3-9577-3a0cb5aff306	d599cb21-8783-470c-90dd-0e57a64dba1e	CRITICAL_AUXILIARIES
080f29f9-caaa-43b3-9577-3a0cb5aff306	73d40097-1096-4a73-afb9-9fc4bd2347cc	LIGHTING
080f29f9-caaa-43b3-9577-3a0cb5aff306	d3b3dbc5-1917-4a2c-99eb-2f6154b399c0	CRITICAL_POWER_DISTRIBUTION
080f29f9-caaa-43b3-9577-3a0cb5aff306	3014e1b7-8c2f-4cfc-b77d-18809792a08c	CRAH
080f29f9-caaa-43b3-9577-3a0cb5aff306	7910960d-a006-421c-8285-3d1e092f93b4	CRAC
080f29f9-caaa-43b3-9577-3a0cb5aff306	c5d6c7ee-a1f9-4fdf-b899-67fcb60f80e4	CRAC_WITHOUT_FAN
080f29f9-caaa-43b3-9577-3a0cb5aff306	99579d42-546e-4355-8a65-f10f4cd6af64	CRAC_FAN
080f29f9-caaa-43b3-9577-3a0cb5aff306	072e42cf-7355-44eb-9c96-1c352fb77bca	CHILLER
080f29f9-caaa-43b3-9577-3a0cb5aff306	62d7d0b5-40d2-4b7b-bfff-9bed9af5eeea	AIR_COOLED_CHILLER
080f29f9-caaa-43b3-9577-3a0cb5aff306	842b5f14-e18d-4b28-9aa0-f03f0bc9a1bf	COOLING_TOWER
080f29f9-caaa-43b3-9577-3a0cb5aff306	dab28e79-d3a5-47d3-a820-c5b070529124	DRY_COOLER
080f29f9-caaa-43b3-9577-3a0cb5aff306	721cf1d7-fb9e-4312-8a49-a47b87f7e994	REMOTE_CONDENSER
080f29f9-caaa-43b3-9577-3a0cb5aff306	856c79e2-c51c-4bad-8afd-18629d6fd630	CHILLED_WATER_PUMPS
080f29f9-caaa-43b3-9577-3a0cb5aff306	38238bca-d9d1-4fca-b418-3a67631eba2e	HEAT_REJECTION_PUMPS
080f29f9-caaa-43b3-9577-3a0cb5aff306	8e83d445-1a79-426f-b545-7b6246194650	VENTILATION
080f29f9-caaa-43b3-9577-3a0cb5aff306	eea8f436-7eb8-4ae1-9c34-1ec02562af30	INFILTRATION
080f29f9-caaa-43b3-9577-3a0cb5aff306	0c2c0c90-b5a3-4608-a1b9-0f3c636f32f1	IT_LOAD
a4da0cc0-d673-4106-9b53-97115165a0bc	8daa3d38-4c91-4871-b873-581dd1723497	SWITCHGEAR
a4da0cc0-d673-4106-9b53-97115165a0bc	fbc1870b-86f9-42a8-9433-a1478764fc39	GENERATOR
a4da0cc0-d673-4106-9b53-97115165a0bc	1d2af724-b3d4-45e7-aafd-f7bb4177920b	PRIMARY_AUXILIARIES
a4da0cc0-d673-4106-9b53-97115165a0bc	00078907-ee62-4e85-ac03-ab1293056f83	UPS
a4da0cc0-d673-4106-9b53-97115165a0bc	703dc1c2-afd2-4cba-9b83-6ae7ffedcc54	CRITICAL_AUXILIARIES
a4da0cc0-d673-4106-9b53-97115165a0bc	6b2867a8-4243-486f-91c9-b02be2241be2	LIGHTING
a4da0cc0-d673-4106-9b53-97115165a0bc	049c4f33-200e-4725-905b-d5f4ec72d48d	CRITICAL_POWER_DISTRIBUTION
a4da0cc0-d673-4106-9b53-97115165a0bc	c2c653b2-0a71-4eb9-80e9-f383845c2e4b	CRAH
a4da0cc0-d673-4106-9b53-97115165a0bc	6346cb97-bc74-4018-885c-3b52575b4bfd	CRAC
a4da0cc0-d673-4106-9b53-97115165a0bc	50ea389d-74db-42b8-90bc-cfb0aafb75ef	CRAC_WITHOUT_FAN
a4da0cc0-d673-4106-9b53-97115165a0bc	30d25d31-738f-497e-996b-d89da6024021	CRAC_FAN
a4da0cc0-d673-4106-9b53-97115165a0bc	898a7116-24a4-4c1a-b373-ccefded298de	CHILLER
a4da0cc0-d673-4106-9b53-97115165a0bc	f38f2aa3-41e6-4492-bf06-349de8edeead	AIR_COOLED_CHILLER
a4da0cc0-d673-4106-9b53-97115165a0bc	8829eb3a-682c-4118-8e53-c24f061e3ffb	COOLING_TOWER
a4da0cc0-d673-4106-9b53-97115165a0bc	d5b54c13-cc33-4844-ae57-8a8e40889976	DRY_COOLER
a4da0cc0-d673-4106-9b53-97115165a0bc	faabfcbd-ba11-45ca-829d-1020466a348c	REMOTE_CONDENSER
a4da0cc0-d673-4106-9b53-97115165a0bc	44447f34-554a-47dc-8fa4-46b92fca4fd1	CHILLED_WATER_PUMPS
a4da0cc0-d673-4106-9b53-97115165a0bc	a9fbd425-e736-4312-97d0-c406502499b1	HEAT_REJECTION_PUMPS
a4da0cc0-d673-4106-9b53-97115165a0bc	7506bf2d-11f0-422e-b279-18c6b6dda1a6	VENTILATION
a4da0cc0-d673-4106-9b53-97115165a0bc	3a4d8ff9-c7aa-44f6-a21f-73d557829cf4	INFILTRATION
a4da0cc0-d673-4106-9b53-97115165a0bc	04770a32-6782-46cd-841e-ef8d5efd0f42	IT_LOAD
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	14269c2f-c7bb-4f1d-bba6-a5a6acffb946	SWITCHGEAR
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	c5854bdc-a972-4378-899a-34367bee7a9a	GENERATOR
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	536f19ae-c6b9-4426-8417-271d81361b1d	PRIMARY_AUXILIARIES
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	590ed481-39d1-43f6-9822-a972832ac7b5	UPS
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	d39ff681-3276-4030-923f-add4f9643c39	CRITICAL_AUXILIARIES
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	accc9ec3-5393-4939-864a-51ef71a8cc24	LIGHTING
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	616f1df0-3a26-4d53-ad3d-b4c9c53da2e0	CRITICAL_POWER_DISTRIBUTION
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	8d357817-a711-4e84-877b-c67369baf3c1	CRAH
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	10493964-a19d-4711-95e2-cc9eac3e3bd2	CRAC
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	384bf2b8-fd08-45d1-bce3-6bf3fcdff1d2	CRAC_WITHOUT_FAN
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	7b43af42-0a18-47ea-a77c-99e32d935e90	CRAC_FAN
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	5928ebca-076b-41b5-a32d-a22cd6c58ef5	CHILLER
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	6fa42c8a-8cd7-4814-8a30-962ebf1e2b6c	AIR_COOLED_CHILLER
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	538ed4d0-79a4-4df7-b1a0-96e454b619b6	COOLING_TOWER
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	02748671-2b41-481c-a733-d6a255bb5dcf	DRY_COOLER
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	1602d130-6302-4e74-928b-2c06646e938b	REMOTE_CONDENSER
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	c4409d2e-8495-478a-8aa8-a350947faa60	CHILLED_WATER_PUMPS
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	1b66e8fe-08a1-45e4-a0c0-4a8ae1c09ccc	HEAT_REJECTION_PUMPS
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	9a6b7ee9-98a0-47fa-85e9-fe7ef04f117d	VENTILATION
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	6561be69-835c-4270-ae24-26e8c2070000	INFILTRATION
6bf19a30-afc8-4da9-9c0b-d32f2766f80b	340c238d-3fd7-47be-aac5-e7560bdd8a29	IT_LOAD
e4fa05ba-81d8-40ac-a24e-517050cffb14	13a95e34-97e6-4456-86d1-fc9c404f70ca	SWITCHGEAR
e4fa05ba-81d8-40ac-a24e-517050cffb14	ca4dcb24-122a-4106-ac33-f77e92a6a67b	GENERATOR
e4fa05ba-81d8-40ac-a24e-517050cffb14	2a4f9c92-836e-4aec-86fc-93639c9c4c58	PRIMARY_AUXILIARIES
e4fa05ba-81d8-40ac-a24e-517050cffb14	a26ce006-5499-46c0-9ef0-d33781012ac9	UPS
e4fa05ba-81d8-40ac-a24e-517050cffb14	c0229b8b-76be-4068-833d-bace2aa495ad	CRITICAL_AUXILIARIES
e4fa05ba-81d8-40ac-a24e-517050cffb14	e12226ea-5bef-4161-b98e-3169a0f717d0	LIGHTING
e4fa05ba-81d8-40ac-a24e-517050cffb14	a445a3fb-e03f-42dd-a35e-7a568ec6d580	CRITICAL_POWER_DISTRIBUTION
e4fa05ba-81d8-40ac-a24e-517050cffb14	8b7cb091-e024-422f-8fb6-2dbb7dec07b6	CRAH
e4fa05ba-81d8-40ac-a24e-517050cffb14	48ba6f51-9d4d-47a6-8726-b96bd48d481c	CRAC
e4fa05ba-81d8-40ac-a24e-517050cffb14	34b11d6a-b80b-48a9-bd86-6132ed6b2b98	CRAC_WITHOUT_FAN
e4fa05ba-81d8-40ac-a24e-517050cffb14	12363058-2bcb-490e-bcf9-2304b6744df8	CRAC_FAN
e4fa05ba-81d8-40ac-a24e-517050cffb14	3ddf3f5a-d57f-4850-939b-97d7aa7f997d	CHILLER
e4fa05ba-81d8-40ac-a24e-517050cffb14	cf748157-ec16-4332-915f-8c16765217e8	AIR_COOLED_CHILLER
e4fa05ba-81d8-40ac-a24e-517050cffb14	435952bc-8b38-4dfd-8b61-1238ba2c1faa	COOLING_TOWER
e4fa05ba-81d8-40ac-a24e-517050cffb14	39d522e9-3e13-4874-98dc-e8a4241295ce	DRY_COOLER
e4fa05ba-81d8-40ac-a24e-517050cffb14	1e574b2b-40fb-4e7c-8014-341717512f45	REMOTE_CONDENSER
e4fa05ba-81d8-40ac-a24e-517050cffb14	a7ab9f23-1685-426f-83c7-0c51d1d7b774	CHILLED_WATER_PUMPS
e4fa05ba-81d8-40ac-a24e-517050cffb14	d029ec3d-cc11-4b4c-af31-b2934e7d4772	HEAT_REJECTION_PUMPS
e4fa05ba-81d8-40ac-a24e-517050cffb14	71b230de-735b-4a86-bfdd-24caa37d7d35	VENTILATION
e4fa05ba-81d8-40ac-a24e-517050cffb14	04d7c9d5-0307-4cc7-890c-66ba60eb318f	INFILTRATION
e4fa05ba-81d8-40ac-a24e-517050cffb14	2214e329-6445-45a5-9068-c493f17bdbce	IT_LOAD
c8e67eea-e06b-4140-97de-e1c66bf3540c	c8086df2-f44b-4e87-878d-db2ebba2c0cf	SWITCHGEAR
c8e67eea-e06b-4140-97de-e1c66bf3540c	2938dfd1-cf7e-4f0b-914b-ce54b46f2b59	GENERATOR
c8e67eea-e06b-4140-97de-e1c66bf3540c	1103e07f-6370-4a77-9695-11ff6bd074eb	PRIMARY_AUXILIARIES
c8e67eea-e06b-4140-97de-e1c66bf3540c	55673016-c7f0-4351-9fb2-c5f02fe9a5f8	UPS
c8e67eea-e06b-4140-97de-e1c66bf3540c	b0d739e2-1b92-403d-8452-726017e4b7b2	CRITICAL_AUXILIARIES
c8e67eea-e06b-4140-97de-e1c66bf3540c	bdd0cdbb-80dd-4808-b274-c64a97887810	LIGHTING
c8e67eea-e06b-4140-97de-e1c66bf3540c	43481c86-f618-4420-9510-e956426e8588	CRITICAL_POWER_DISTRIBUTION
c8e67eea-e06b-4140-97de-e1c66bf3540c	907e6e7e-d5c5-4459-97c6-6c10dc5e3906	CRAH
c8e67eea-e06b-4140-97de-e1c66bf3540c	ed9edf69-27dc-4391-9dce-e622690fe2ff	CRAC
c8e67eea-e06b-4140-97de-e1c66bf3540c	b05ce79e-3638-4a0f-8b2f-836394831e87	CRAC_WITHOUT_FAN
c8e67eea-e06b-4140-97de-e1c66bf3540c	2f816d26-f388-4de5-8550-88069c53b946	CRAC_FAN
c8e67eea-e06b-4140-97de-e1c66bf3540c	4894bcd5-7767-43d2-89bf-b52a1fa7e9ae	CHILLER
c8e67eea-e06b-4140-97de-e1c66bf3540c	fbb9afc8-1a28-4d86-bf64-d7a128bee7d3	AIR_COOLED_CHILLER
c8e67eea-e06b-4140-97de-e1c66bf3540c	494d426f-e5dc-4c35-bba8-2a9b9af949e6	COOLING_TOWER
c8e67eea-e06b-4140-97de-e1c66bf3540c	de75d84d-72ff-4573-b7c3-870b79251788	DRY_COOLER
c8e67eea-e06b-4140-97de-e1c66bf3540c	1f5d9bf5-2de3-41ce-813d-91fc6a8fcf5f	REMOTE_CONDENSER
c8e67eea-e06b-4140-97de-e1c66bf3540c	62066388-6e88-4527-812d-9317cbe597b1	CHILLED_WATER_PUMPS
c8e67eea-e06b-4140-97de-e1c66bf3540c	dbb0a88e-4825-4555-af5e-4508ff06a7c9	HEAT_REJECTION_PUMPS
c8e67eea-e06b-4140-97de-e1c66bf3540c	d550dc6e-102d-49e9-b2d7-a7b56b77fbd3	VENTILATION
c8e67eea-e06b-4140-97de-e1c66bf3540c	222f1b6f-aa39-4dd2-bb4c-ac97c078a5ec	INFILTRATION
c8e67eea-e06b-4140-97de-e1c66bf3540c	79d82f53-01c7-41c1-9adb-9d7072ce4d61	IT_LOAD
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	1db9cbb3-b4ac-4fd3-b65d-92ac6b342db9	SWITCHGEAR
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	7145dbad-29a2-4076-a9f5-09c4eafb1ff9	GENERATOR
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	b2540386-5fb6-475a-84c3-afe7ae1e81a5	PRIMARY_AUXILIARIES
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	15b9cbdc-cc8d-4275-9adc-ef628f12531b	UPS
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	93075403-2e05-4020-b57d-09096c722a30	CRITICAL_AUXILIARIES
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	a5818969-008c-48e6-9d1f-7aae837da0d7	LIGHTING
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	d8e2f242-ebb9-4559-8b5a-5a6ff6cde7c4	CRITICAL_POWER_DISTRIBUTION
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	65617b06-f7b9-4b11-acec-aafa6643dd38	CRAH
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	821751ec-e9f2-4e6d-a0a9-6c148be147ad	CRAC
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	c297fccd-7693-46de-8427-46df14a75ccc	CRAC_WITHOUT_FAN
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	14942480-bd53-4c2c-92e9-614f8cd3cd14	CRAC_FAN
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	2ab62577-1990-4c20-8ef0-68cae3b8f123	CHILLER
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	82595744-7711-4094-93d3-038239d966f1	AIR_COOLED_CHILLER
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	2f6e2bdc-0ac8-41f0-a06f-a90f3008dc31	COOLING_TOWER
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	1310872c-d9dc-44a2-ae0b-a468a7acf91b	DRY_COOLER
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	8dfc222c-2b5d-42c8-b420-9da1989c0027	REMOTE_CONDENSER
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	09c44e6c-04c1-4c72-a2d7-ee921ddf868f	CHILLED_WATER_PUMPS
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	ba299221-d136-46af-bb6c-05ac378c834e	HEAT_REJECTION_PUMPS
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	77d8f602-a163-4556-89e8-8643ae7f2a63	VENTILATION
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	76ef2de9-4eb2-4c73-83e6-ca975502bcba	INFILTRATION
25e1ef83-a57a-4a81-bebf-ee8bdc4e5b32	cd0b5f4d-793b-4d99-8e3f-99aeca48ff58	IT_LOAD
d4a184d9-9f21-48d1-86c5-327b171d98ad	935f7c25-cb84-43bd-9b92-1bb8ed621ec7	SWITCHGEAR
d4a184d9-9f21-48d1-86c5-327b171d98ad	d6501f79-4147-4cd4-b1a2-6cddeaef60ae	GENERATOR
d4a184d9-9f21-48d1-86c5-327b171d98ad	81fbca11-aac4-4f8c-8547-f01fc8eb256e	PRIMARY_AUXILIARIES
d4a184d9-9f21-48d1-86c5-327b171d98ad	910959f3-1b55-4f69-ab2a-05c671ecec5a	UPS
d4a184d9-9f21-48d1-86c5-327b171d98ad	36ec6fbf-e451-448d-a2a7-d103ce319587	CRITICAL_AUXILIARIES
d4a184d9-9f21-48d1-86c5-327b171d98ad	2360758a-5951-4f29-a078-c2d4fff68ada	LIGHTING
d4a184d9-9f21-48d1-86c5-327b171d98ad	510dece2-54b4-4d83-9b4f-a71e6dd8e4d2	CRITICAL_POWER_DISTRIBUTION
d4a184d9-9f21-48d1-86c5-327b171d98ad	999660e2-775d-4837-871a-9d44dd4e03a3	CRAH
d4a184d9-9f21-48d1-86c5-327b171d98ad	5699314c-72ed-4e8f-b58f-207eb87a0f00	CRAC
d4a184d9-9f21-48d1-86c5-327b171d98ad	09846aa3-9aa7-4172-9a64-58fbc9cb1118	CRAC_WITHOUT_FAN
d4a184d9-9f21-48d1-86c5-327b171d98ad	cca122ab-ee91-4b1b-ab27-c864dac59aff	CRAC_FAN
d4a184d9-9f21-48d1-86c5-327b171d98ad	3966198d-0352-4445-94fc-cb13984d6a79	CHILLER
d4a184d9-9f21-48d1-86c5-327b171d98ad	71b4b9cf-b878-4d67-b6a6-3d08a69cdb49	AIR_COOLED_CHILLER
d4a184d9-9f21-48d1-86c5-327b171d98ad	069894bb-d871-4ffe-aa0d-8d16d1f49847	COOLING_TOWER
d4a184d9-9f21-48d1-86c5-327b171d98ad	ac7470ff-8472-4e9f-a86e-e7f7b2c177ee	DRY_COOLER
d4a184d9-9f21-48d1-86c5-327b171d98ad	a0cf7cf7-97ec-4ba3-8608-a913983751ad	REMOTE_CONDENSER
d4a184d9-9f21-48d1-86c5-327b171d98ad	3a8c011a-0421-4c4a-8e10-7f2586898e3d	CHILLED_WATER_PUMPS
d4a184d9-9f21-48d1-86c5-327b171d98ad	d06c7f7f-54ea-44ce-84e8-8d975a109392	HEAT_REJECTION_PUMPS
d4a184d9-9f21-48d1-86c5-327b171d98ad	d4892975-6ab2-4d1c-a5ba-66d2c77968d3	VENTILATION
d4a184d9-9f21-48d1-86c5-327b171d98ad	e309c195-4ae5-41d2-b109-084cf0f6e5f2	INFILTRATION
d4a184d9-9f21-48d1-86c5-327b171d98ad	d6098884-a3f4-4c79-a6ac-2de6602f800a	IT_LOAD
08a291c6-1dd3-4655-9ee5-8609f18520c8	10e5cd91-ff20-48fe-bd55-6aba3d2fd691	SWITCHGEAR
08a291c6-1dd3-4655-9ee5-8609f18520c8	05b1f42f-9d58-4c74-b9b0-30dde8c0619c	GENERATOR
08a291c6-1dd3-4655-9ee5-8609f18520c8	8145ae0b-b584-440d-9274-7efca6d173b5	PRIMARY_AUXILIARIES
08a291c6-1dd3-4655-9ee5-8609f18520c8	b5d6ff13-6fad-4500-b7b7-6cd9cba5da15	UPS
08a291c6-1dd3-4655-9ee5-8609f18520c8	27c1c97e-d7a2-4df9-8c22-bed830b3b866	CRITICAL_AUXILIARIES
08a291c6-1dd3-4655-9ee5-8609f18520c8	b6761bc7-ef2a-4272-8c81-d542af996694	LIGHTING
08a291c6-1dd3-4655-9ee5-8609f18520c8	2027a68e-47de-4752-a33c-40aaec3216a3	CRITICAL_POWER_DISTRIBUTION
08a291c6-1dd3-4655-9ee5-8609f18520c8	dcd9d437-b02e-4fc6-b022-bc5bfe64bd77	CRAH
08a291c6-1dd3-4655-9ee5-8609f18520c8	042a7afe-7051-4915-8d22-476e6bbd2afb	CRAC
08a291c6-1dd3-4655-9ee5-8609f18520c8	331c1278-730e-4ff1-a776-967bf0a1f69e	CRAC_WITHOUT_FAN
08a291c6-1dd3-4655-9ee5-8609f18520c8	6e900e2c-5de8-4ad8-b8a7-64022406048c	CRAC_FAN
08a291c6-1dd3-4655-9ee5-8609f18520c8	23a47a9e-447b-4eb5-b7be-9288f34759a3	CHILLER
08a291c6-1dd3-4655-9ee5-8609f18520c8	e8ca23fa-38d6-4ebe-babc-6a7ba9f144db	AIR_COOLED_CHILLER
08a291c6-1dd3-4655-9ee5-8609f18520c8	904e96ff-ee59-4697-a21b-3349ebf71e95	COOLING_TOWER
08a291c6-1dd3-4655-9ee5-8609f18520c8	b95dc58a-4e7d-4693-8ad3-95aba52948f8	DRY_COOLER
08a291c6-1dd3-4655-9ee5-8609f18520c8	c8bfd990-fffb-41bb-b1ea-71c2e7ec05e1	REMOTE_CONDENSER
08a291c6-1dd3-4655-9ee5-8609f18520c8	50a03f20-31e4-4e1f-bb5f-14ff0fb8b7e6	CHILLED_WATER_PUMPS
08a291c6-1dd3-4655-9ee5-8609f18520c8	f2e7333c-4638-45c0-bafe-a53e7580e758	HEAT_REJECTION_PUMPS
08a291c6-1dd3-4655-9ee5-8609f18520c8	66c74016-98d2-4f4e-8ff7-14f71d0d1d2d	VENTILATION
08a291c6-1dd3-4655-9ee5-8609f18520c8	7c02efdc-4204-4a9f-b756-4f790b2ee6eb	INFILTRATION
08a291c6-1dd3-4655-9ee5-8609f18520c8	3163c425-4880-40bc-8e7d-2676267ef8ca	IT_LOAD
8763745c-7ece-4dba-ab4c-449ad02f83eb	23a3c503-80ac-4d25-a1cd-664c40ded72e	SWITCHGEAR
8763745c-7ece-4dba-ab4c-449ad02f83eb	cfa55c17-8618-4a85-800d-f38af2b7c245	GENERATOR
8763745c-7ece-4dba-ab4c-449ad02f83eb	415ba2ef-7486-4f26-9633-cd60ac685e46	PRIMARY_AUXILIARIES
8763745c-7ece-4dba-ab4c-449ad02f83eb	1a91c21e-1a4e-402f-8d3e-846514ee5b85	UPS
8763745c-7ece-4dba-ab4c-449ad02f83eb	e86a7280-2bca-4178-bce3-d202025baf56	CRITICAL_AUXILIARIES
8763745c-7ece-4dba-ab4c-449ad02f83eb	5671cf09-488f-4956-853d-98898f8d8eb2	LIGHTING
8763745c-7ece-4dba-ab4c-449ad02f83eb	ee79ef57-0dd6-45c3-b125-91d03957cb70	CRITICAL_POWER_DISTRIBUTION
8763745c-7ece-4dba-ab4c-449ad02f83eb	c85512fb-e106-41eb-b9fd-3c60c0102ebc	CRAH
8763745c-7ece-4dba-ab4c-449ad02f83eb	2c5dbdf8-1193-4042-89bb-16f6d837c620	CRAC
8763745c-7ece-4dba-ab4c-449ad02f83eb	63db9c74-9b1e-4e33-a287-02b6a884d3bb	CRAC_WITHOUT_FAN
8763745c-7ece-4dba-ab4c-449ad02f83eb	420578b1-1416-42c3-b771-d50c677de491	CRAC_FAN
8763745c-7ece-4dba-ab4c-449ad02f83eb	6496faa9-b413-45ca-a499-58038fe5691f	CHILLER
8763745c-7ece-4dba-ab4c-449ad02f83eb	7b4fc3d2-f626-4005-9994-076ea4bcb064	AIR_COOLED_CHILLER
8763745c-7ece-4dba-ab4c-449ad02f83eb	59fc6def-9180-47f3-a93a-fc2a6e6020a2	COOLING_TOWER
8763745c-7ece-4dba-ab4c-449ad02f83eb	07d750dc-cbf0-4e39-892b-b01ac531f998	DRY_COOLER
8763745c-7ece-4dba-ab4c-449ad02f83eb	366eada0-583a-408e-aecf-e142907dd93f	REMOTE_CONDENSER
8763745c-7ece-4dba-ab4c-449ad02f83eb	945a8623-3226-4b8b-8b8f-e1d9bf5311c4	CHILLED_WATER_PUMPS
8763745c-7ece-4dba-ab4c-449ad02f83eb	57eb6d19-30fe-46fb-9156-ce67ddd85816	HEAT_REJECTION_PUMPS
8763745c-7ece-4dba-ab4c-449ad02f83eb	02be8ba3-78f8-456b-9141-43be9df370d4	VENTILATION
8763745c-7ece-4dba-ab4c-449ad02f83eb	13d8f65b-227a-4aa2-acc3-308df977fe19	INFILTRATION
8763745c-7ece-4dba-ab4c-449ad02f83eb	f97dccd1-73e9-46d5-8a61-34d0d7b8bf79	IT_LOAD
c958193b-981e-4996-9e6d-91c349ded2ff	1f4c9b60-705f-49c7-9f1d-59af528fb72a	SWITCHGEAR
c958193b-981e-4996-9e6d-91c349ded2ff	3144639c-8cf0-499e-a542-4979afba41c2	GENERATOR
c958193b-981e-4996-9e6d-91c349ded2ff	95710043-dc55-4e3d-b912-7fd89f7df47b	PRIMARY_AUXILIARIES
c958193b-981e-4996-9e6d-91c349ded2ff	1c038009-c5c1-490b-af48-8a459301c5ec	UPS
c958193b-981e-4996-9e6d-91c349ded2ff	f9f105eb-7048-49c4-abf5-12dcfbd126c2	CRITICAL_AUXILIARIES
c958193b-981e-4996-9e6d-91c349ded2ff	877c4ce3-6f41-4397-a531-20022b994592	LIGHTING
c958193b-981e-4996-9e6d-91c349ded2ff	4f42f9a3-23a9-4f46-9a87-38a85f3545b0	CRITICAL_POWER_DISTRIBUTION
c958193b-981e-4996-9e6d-91c349ded2ff	8e59e0a2-5c2e-428d-bfc9-84ff8ac8c085	CRAH
c958193b-981e-4996-9e6d-91c349ded2ff	dae96730-ce58-460b-9e6d-6435ea1f81b0	CRAC
c958193b-981e-4996-9e6d-91c349ded2ff	9aa1c804-64f6-4eac-b975-baca7e578344	CRAC_WITHOUT_FAN
c958193b-981e-4996-9e6d-91c349ded2ff	4b45be7d-0af5-4d52-a6aa-1cae4fceb07f	CRAC_FAN
c958193b-981e-4996-9e6d-91c349ded2ff	d6c271fe-0576-4d78-8a9b-857b329cea05	CHILLER
c958193b-981e-4996-9e6d-91c349ded2ff	5177539d-c0e7-4efb-b9fe-fab809d685fd	AIR_COOLED_CHILLER
c958193b-981e-4996-9e6d-91c349ded2ff	567aaf5c-e81c-45b6-a2db-10c0d4c79858	COOLING_TOWER
c958193b-981e-4996-9e6d-91c349ded2ff	42e01764-7974-498a-a93b-2dd1d69f79d5	DRY_COOLER
c958193b-981e-4996-9e6d-91c349ded2ff	76a58e65-b9cf-4840-9475-2cb156df577f	REMOTE_CONDENSER
c958193b-981e-4996-9e6d-91c349ded2ff	23937537-bc07-4af1-8a36-dcd54ebd9b3e	CHILLED_WATER_PUMPS
c958193b-981e-4996-9e6d-91c349ded2ff	495b4ed1-5642-462f-a771-a7e1043e0593	HEAT_REJECTION_PUMPS
c958193b-981e-4996-9e6d-91c349ded2ff	04cbf353-e837-4f5c-b98d-982e3fbebffb	VENTILATION
c958193b-981e-4996-9e6d-91c349ded2ff	ca631264-1010-4d1d-8d12-2511876ad206	INFILTRATION
c958193b-981e-4996-9e6d-91c349ded2ff	d9db770d-0b52-49a2-825d-0adca9613c42	IT_LOAD
25080d3b-24f0-4610-a0a4-ac359ad53279	13b3015a-573d-4245-9603-16f82799eae3	SWITCHGEAR
25080d3b-24f0-4610-a0a4-ac359ad53279	61714163-6d72-4812-9169-1c3dc2a932c7	GENERATOR
25080d3b-24f0-4610-a0a4-ac359ad53279	5db0f2ca-40a4-4e89-9c26-3f52d374d8c8	PRIMARY_AUXILIARIES
25080d3b-24f0-4610-a0a4-ac359ad53279	95b78403-aa50-4507-a3e8-34af848d54b1	UPS
25080d3b-24f0-4610-a0a4-ac359ad53279	d2fab16a-3a8b-4f47-a18d-d6676fe9cc3e	CRITICAL_AUXILIARIES
25080d3b-24f0-4610-a0a4-ac359ad53279	4b70944c-59ee-4c7a-9dfb-f9714ee0d3be	LIGHTING
25080d3b-24f0-4610-a0a4-ac359ad53279	8a74dde4-bccb-4de3-95ae-4cfd0d757ed0	CRITICAL_POWER_DISTRIBUTION
25080d3b-24f0-4610-a0a4-ac359ad53279	7bf1a035-98ff-4134-8674-cd3f925181de	CRAH
25080d3b-24f0-4610-a0a4-ac359ad53279	601b2cff-e045-40bd-9f6c-0ffda0b1fa17	CRAC
25080d3b-24f0-4610-a0a4-ac359ad53279	db62282e-7987-470b-9d5b-e21d75b93442	CRAC_WITHOUT_FAN
25080d3b-24f0-4610-a0a4-ac359ad53279	cac94fb1-e2c3-46aa-9786-4b70d293598a	CRAC_FAN
25080d3b-24f0-4610-a0a4-ac359ad53279	3131bc4c-7062-4bf7-92d5-b979972e08c9	CHILLER
25080d3b-24f0-4610-a0a4-ac359ad53279	0b0624a0-7dba-4d40-b5d1-eada2a3e9470	AIR_COOLED_CHILLER
25080d3b-24f0-4610-a0a4-ac359ad53279	7584708e-e962-422d-b4c8-d456a47a0b3a	COOLING_TOWER
25080d3b-24f0-4610-a0a4-ac359ad53279	816fb5db-425d-4b75-a511-13b85c2b6548	DRY_COOLER
25080d3b-24f0-4610-a0a4-ac359ad53279	c42ea6cf-3621-4bfc-9f2b-f2e238dc7de5	REMOTE_CONDENSER
25080d3b-24f0-4610-a0a4-ac359ad53279	f725ba5f-570f-411f-85ae-6a5b6884992f	CHILLED_WATER_PUMPS
25080d3b-24f0-4610-a0a4-ac359ad53279	ce1d2784-2f09-4769-8e18-ed7deb708405	HEAT_REJECTION_PUMPS
25080d3b-24f0-4610-a0a4-ac359ad53279	eee99555-0882-4995-895e-f7a72ab2a110	VENTILATION
25080d3b-24f0-4610-a0a4-ac359ad53279	2827535a-6760-4ce6-bdec-7863c2434cb3	INFILTRATION
25080d3b-24f0-4610-a0a4-ac359ad53279	a2417060-8537-4ce2-987c-600aeb010483	IT_LOAD
512ee421-d963-4ce2-bc99-d72ca975f758	22eee75b-6e57-4991-af9d-698cb79303bc	SWITCHGEAR
512ee421-d963-4ce2-bc99-d72ca975f758	46c80fb2-7ff7-4de3-ab0f-1a335b4f3aef	GENERATOR
512ee421-d963-4ce2-bc99-d72ca975f758	c0641ebc-e882-4ed0-be52-e43519825ae6	PRIMARY_AUXILIARIES
512ee421-d963-4ce2-bc99-d72ca975f758	0ae6ae17-9bef-4341-afd0-01e125b350e8	UPS
512ee421-d963-4ce2-bc99-d72ca975f758	50e4ba7c-b01a-41b9-bb85-757dea99feea	CRITICAL_AUXILIARIES
512ee421-d963-4ce2-bc99-d72ca975f758	948b8d5d-6f42-4345-aa97-24acaa7a4af2	LIGHTING
512ee421-d963-4ce2-bc99-d72ca975f758	db86a14f-bdc8-4c76-992f-fcfa17a33f15	CRITICAL_POWER_DISTRIBUTION
512ee421-d963-4ce2-bc99-d72ca975f758	e1bb8ff6-4f0f-44aa-b3c3-6475af65e444	CRAH
512ee421-d963-4ce2-bc99-d72ca975f758	74485f0d-42e4-4eeb-98c2-3370b3eaa25c	CRAC
512ee421-d963-4ce2-bc99-d72ca975f758	b5a78388-d785-4fc3-8013-f45865ac06a0	CRAC_WITHOUT_FAN
512ee421-d963-4ce2-bc99-d72ca975f758	8bc97745-f109-4eb1-9f17-890cc1be6856	CRAC_FAN
512ee421-d963-4ce2-bc99-d72ca975f758	959d2793-4b57-4679-b171-d76fad278a13	CHILLER
512ee421-d963-4ce2-bc99-d72ca975f758	9d2c21a4-2f12-4070-a55a-336558ad3083	AIR_COOLED_CHILLER
512ee421-d963-4ce2-bc99-d72ca975f758	13465f7c-2ccc-4da4-bd8a-0cfd5307dae0	COOLING_TOWER
512ee421-d963-4ce2-bc99-d72ca975f758	77d1c17d-706c-41b1-81c3-aa7e47afc637	DRY_COOLER
512ee421-d963-4ce2-bc99-d72ca975f758	18f969a6-41ae-40be-a092-ceab74951e11	REMOTE_CONDENSER
512ee421-d963-4ce2-bc99-d72ca975f758	7223c031-1707-4b2f-a939-45f125d1142f	CHILLED_WATER_PUMPS
512ee421-d963-4ce2-bc99-d72ca975f758	d483231b-c911-41b9-a661-6db6b864170c	HEAT_REJECTION_PUMPS
512ee421-d963-4ce2-bc99-d72ca975f758	a286f851-2239-44dc-b1b9-817bdd9ffb72	VENTILATION
512ee421-d963-4ce2-bc99-d72ca975f758	ebadf965-6dc8-4f8c-b683-5b31620ba14a	INFILTRATION
512ee421-d963-4ce2-bc99-d72ca975f758	3be40386-1141-45a9-9440-4c5fb12c49d2	IT_LOAD
bc305be6-c7e0-4514-a2a5-97d57a5258af	e0a8eab4-b4fb-4c80-8ea3-c2dea1bf34ac	SWITCHGEAR
bc305be6-c7e0-4514-a2a5-97d57a5258af	b2f3400f-92b6-466b-acd0-9ed70ecdc135	GENERATOR
bc305be6-c7e0-4514-a2a5-97d57a5258af	04e4c9b1-8e6a-4caf-818b-5f6880928aba	PRIMARY_AUXILIARIES
bc305be6-c7e0-4514-a2a5-97d57a5258af	bea1cfd1-c3ca-4ea4-98db-aadb9fec3781	UPS
bc305be6-c7e0-4514-a2a5-97d57a5258af	1405db80-873d-465c-80fc-877847c5921b	CRITICAL_AUXILIARIES
bc305be6-c7e0-4514-a2a5-97d57a5258af	f00cfdbc-2903-4d53-a370-1b91ce51a12d	LIGHTING
bc305be6-c7e0-4514-a2a5-97d57a5258af	2e80bcce-234b-4f42-9450-c8cb9f620d46	CRITICAL_POWER_DISTRIBUTION
bc305be6-c7e0-4514-a2a5-97d57a5258af	7135da39-f502-454e-9259-711819d48c15	CRAH
bc305be6-c7e0-4514-a2a5-97d57a5258af	c302067b-2d46-46bb-980f-df6bbcfdbe4e	CRAC
bc305be6-c7e0-4514-a2a5-97d57a5258af	44e3c250-5597-476c-9e0c-a5bc77d5763e	CRAC_WITHOUT_FAN
bc305be6-c7e0-4514-a2a5-97d57a5258af	f888700b-eaa1-4ecd-9d27-5ae40cb812bf	CRAC_FAN
bc305be6-c7e0-4514-a2a5-97d57a5258af	780ae82e-5224-41e8-88b7-a0b7ad5f259a	CHILLER
bc305be6-c7e0-4514-a2a5-97d57a5258af	b3435c03-9e3a-47da-96ed-b40914ee65e9	AIR_COOLED_CHILLER
bc305be6-c7e0-4514-a2a5-97d57a5258af	9a072bdf-4bde-4c90-b4c1-ec44ea998a10	COOLING_TOWER
bc305be6-c7e0-4514-a2a5-97d57a5258af	7985ac67-427f-4aed-a733-4bcd6f285a4b	DRY_COOLER
bc305be6-c7e0-4514-a2a5-97d57a5258af	d03f414c-4f04-41eb-87f1-7e558cb196f7	REMOTE_CONDENSER
bc305be6-c7e0-4514-a2a5-97d57a5258af	7ca4334b-a9bb-4e32-9e2f-4b75819de176	CHILLED_WATER_PUMPS
bc305be6-c7e0-4514-a2a5-97d57a5258af	5c0ac747-3d2b-443a-8ec4-2bad7ffb0ae0	HEAT_REJECTION_PUMPS
bc305be6-c7e0-4514-a2a5-97d57a5258af	8542a0f5-c559-4d52-879c-dc9f6e79aba7	VENTILATION
bc305be6-c7e0-4514-a2a5-97d57a5258af	a7c98d62-4572-4cd3-83a0-992b5068ba5e	INFILTRATION
bc305be6-c7e0-4514-a2a5-97d57a5258af	24c137ba-2223-4ba9-9e69-f793cfaa13ce	IT_LOAD
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	a52af6cb-b0c5-4238-9e39-11c1032e1983	SWITCHGEAR
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	3f58e9e4-d34e-4b83-88e9-8a86d4e289cb	GENERATOR
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	68ef90da-e0ed-4d2d-8e23-85ead1693146	PRIMARY_AUXILIARIES
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	e14dd4e4-9377-45eb-b6d5-f54913636081	UPS
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	fc331c66-a677-419b-861e-d1ef45b038ab	CRITICAL_AUXILIARIES
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	943e7ba2-0e77-441a-b7af-70be195cd764	LIGHTING
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	b70e58b6-46e6-4f3f-b85e-897d61c5e4e1	CRITICAL_POWER_DISTRIBUTION
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	5728cd5c-d2ed-44c2-91fa-7b3bb9267320	CRAH
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	63d6129b-5d75-40a5-ac46-dba77bf60ccb	CRAC
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	464ef6dd-46ac-486a-9a79-33b34907e2d3	CRAC_WITHOUT_FAN
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	fc3776a9-867b-4647-9b74-5dd40560d22f	CRAC_FAN
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	ff27cab9-a982-411c-80c5-ca4f4d83e247	CHILLER
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	b5cbf4c3-c126-4e0e-9050-c5eebadf8bbb	AIR_COOLED_CHILLER
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	1eebd422-1934-46e9-8906-6ca85473f27b	COOLING_TOWER
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	e4c9f54d-d68a-460d-85c0-f14fa3f575db	DRY_COOLER
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	ae8d5951-2aa8-4e2e-bde0-d800f32daf55	REMOTE_CONDENSER
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	33e3d681-b70a-45ba-abf6-13696264e2be	CHILLED_WATER_PUMPS
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	32ffe44d-701f-43e0-912c-19937b796628	HEAT_REJECTION_PUMPS
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	bbe9797f-f618-40da-a2c3-9a41f7918d22	VENTILATION
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	f1aacb14-1db5-4897-b87b-2251937d5064	INFILTRATION
257b6b4e-77d2-4ca7-8b02-cb2bc6af0651	098f86ce-150f-4a46-a8ae-246855572d29	IT_LOAD
83a14133-0393-4557-897d-97ee70556934	0641b8e2-6e53-4d4f-aefc-685dfadd2950	SWITCHGEAR
83a14133-0393-4557-897d-97ee70556934	bee46f38-9343-401c-a8f9-406dbc2fa3bc	GENERATOR
83a14133-0393-4557-897d-97ee70556934	cf83f755-278e-4efa-9d01-878368243b8b	PRIMARY_AUXILIARIES
83a14133-0393-4557-897d-97ee70556934	297ae68a-b3fb-4ccd-ac47-910ada970f5c	UPS
83a14133-0393-4557-897d-97ee70556934	20b0e3be-0926-4f50-b9b7-fb26de1283b1	CRITICAL_AUXILIARIES
83a14133-0393-4557-897d-97ee70556934	dafd2e73-e5bd-4f05-bde3-7f95720fdeb0	LIGHTING
83a14133-0393-4557-897d-97ee70556934	d25a8363-206f-4dc8-9f92-ae7f4d0cc806	CRITICAL_POWER_DISTRIBUTION
83a14133-0393-4557-897d-97ee70556934	ef9f1a1a-3238-43b6-8a0a-e9ea2a78a840	CRAH
83a14133-0393-4557-897d-97ee70556934	112d0004-ce61-4d7b-ad7b-c2689a3b3767	CRAC
83a14133-0393-4557-897d-97ee70556934	ad7da365-43a6-4759-ac00-11a17950f2ae	CRAC_WITHOUT_FAN
83a14133-0393-4557-897d-97ee70556934	a47945c7-ae2f-4aa7-8be0-6e5c27313ba3	CRAC_FAN
83a14133-0393-4557-897d-97ee70556934	1209899f-6b17-4698-8a47-5f7f05e4a4d8	CHILLER
83a14133-0393-4557-897d-97ee70556934	edd7fa36-1d9b-4256-9ef3-b6dba4f01797	AIR_COOLED_CHILLER
83a14133-0393-4557-897d-97ee70556934	116b2af0-d161-49d6-80fa-fe0ec2f923dc	COOLING_TOWER
83a14133-0393-4557-897d-97ee70556934	caf8f7de-240f-4f0f-889d-cf5b8ce30ea9	DRY_COOLER
83a14133-0393-4557-897d-97ee70556934	df8931f7-0014-44cf-8f31-78cc75b483bc	REMOTE_CONDENSER
83a14133-0393-4557-897d-97ee70556934	48af4015-177a-496d-985a-4d45c1f06db2	CHILLED_WATER_PUMPS
83a14133-0393-4557-897d-97ee70556934	83e2731c-a70c-4135-8eef-8a98e195b583	HEAT_REJECTION_PUMPS
83a14133-0393-4557-897d-97ee70556934	4dc6d352-bf8c-4a31-ac2c-80c0fb0c9829	VENTILATION
83a14133-0393-4557-897d-97ee70556934	7a35c26b-5bb4-4a05-9187-015649db8d8e	INFILTRATION
83a14133-0393-4557-897d-97ee70556934	01675a0d-4cca-42a8-a462-3bab53abc413	IT_LOAD
5ef45a09-a363-4f9a-b0c2-069ca5e25904	e8bae23c-6568-49a7-abce-db4c78ab36a6	SWITCHGEAR
5ef45a09-a363-4f9a-b0c2-069ca5e25904	5c9d8c27-097c-4d7d-9ba7-ec4ce3781c63	GENERATOR
5ef45a09-a363-4f9a-b0c2-069ca5e25904	891ec745-08ed-4375-a6f0-7262d4418771	PRIMARY_AUXILIARIES
5ef45a09-a363-4f9a-b0c2-069ca5e25904	7e941b01-a84e-47a2-afca-13628997bf7d	UPS
5ef45a09-a363-4f9a-b0c2-069ca5e25904	26824d04-19b5-4be2-aac8-799e953437d6	CRITICAL_AUXILIARIES
5ef45a09-a363-4f9a-b0c2-069ca5e25904	42937452-7d2a-4608-b142-8bd4b91d58f2	LIGHTING
5ef45a09-a363-4f9a-b0c2-069ca5e25904	44ebedbf-46a2-4914-a457-644e56765ff7	CRITICAL_POWER_DISTRIBUTION
5ef45a09-a363-4f9a-b0c2-069ca5e25904	1d1c6971-bae3-4274-9b0e-b41289c88c1e	CRAH
5ef45a09-a363-4f9a-b0c2-069ca5e25904	e5512a6a-9f30-4aa7-981b-2d20cf023dc1	CRAC
5ef45a09-a363-4f9a-b0c2-069ca5e25904	0e172a28-b13a-4800-bb47-fff5f9d38def	CRAC_WITHOUT_FAN
5ef45a09-a363-4f9a-b0c2-069ca5e25904	1c920f16-d96e-475d-8e75-846ea35d27b4	CRAC_FAN
5ef45a09-a363-4f9a-b0c2-069ca5e25904	d33444b3-2951-4c12-bce7-67b90656d3b9	CHILLER
5ef45a09-a363-4f9a-b0c2-069ca5e25904	af924a15-9ef6-4624-884e-84f4358565f6	AIR_COOLED_CHILLER
5ef45a09-a363-4f9a-b0c2-069ca5e25904	69ad3eb9-fcd6-4676-9cbf-1f28e16726db	COOLING_TOWER
5ef45a09-a363-4f9a-b0c2-069ca5e25904	e9bd701e-1051-48db-88bc-c0cad924012c	DRY_COOLER
5ef45a09-a363-4f9a-b0c2-069ca5e25904	444f281b-0488-46a7-8875-82a5cdfda2a9	REMOTE_CONDENSER
5ef45a09-a363-4f9a-b0c2-069ca5e25904	a5d7eb1b-5b53-4ae5-9ea3-01dc7349a4c8	CHILLED_WATER_PUMPS
5ef45a09-a363-4f9a-b0c2-069ca5e25904	5d942ec3-809d-480c-98c8-dc84d155e676	HEAT_REJECTION_PUMPS
5ef45a09-a363-4f9a-b0c2-069ca5e25904	5a0ad94a-143b-4f36-81db-cfb9723eb11d	VENTILATION
5ef45a09-a363-4f9a-b0c2-069ca5e25904	34b32a03-2036-41e0-87cb-2f5f1a68f0ed	INFILTRATION
5ef45a09-a363-4f9a-b0c2-069ca5e25904	1664a1eb-20fb-40c1-9cc8-4119e548668a	IT_LOAD
0087565a-f076-4554-9ccc-963b3f09dc46	0c4fce2e-61ee-4ec3-ac03-f94cd5ba146e	SWITCHGEAR
0087565a-f076-4554-9ccc-963b3f09dc46	f3404f7a-f629-4b95-b1f1-21f474477fb0	GENERATOR
0087565a-f076-4554-9ccc-963b3f09dc46	f7325884-3707-4c07-82a9-0fed19823b11	PRIMARY_AUXILIARIES
0087565a-f076-4554-9ccc-963b3f09dc46	5dedaa65-b4f5-4c23-bf96-84998f6c91ad	UPS
0087565a-f076-4554-9ccc-963b3f09dc46	95fb4932-d40f-4cfa-a41c-b86e69250c9a	CRITICAL_AUXILIARIES
0087565a-f076-4554-9ccc-963b3f09dc46	bde94ba6-246b-4b6f-bf33-80183ff65282	LIGHTING
0087565a-f076-4554-9ccc-963b3f09dc46	477e139d-ac32-4923-83ad-1d21efac9190	CRITICAL_POWER_DISTRIBUTION
0087565a-f076-4554-9ccc-963b3f09dc46	48933410-3a95-45dc-807c-2d6cbcca9092	CRAH
0087565a-f076-4554-9ccc-963b3f09dc46	c40a7bf7-cb55-45b7-a293-7cca19eeae69	CRAC
0087565a-f076-4554-9ccc-963b3f09dc46	b2c99a6e-f28f-4594-b55b-7559ac68b3f2	CRAC_WITHOUT_FAN
0087565a-f076-4554-9ccc-963b3f09dc46	f6c32057-f422-4805-a0d9-ff82406b42e3	CRAC_FAN
0087565a-f076-4554-9ccc-963b3f09dc46	362f1ec3-0098-416a-bf96-deefb3422488	CHILLER
0087565a-f076-4554-9ccc-963b3f09dc46	c0fd1f8c-28f9-4e31-bb85-d762874aebc0	AIR_COOLED_CHILLER
0087565a-f076-4554-9ccc-963b3f09dc46	1259a819-05a3-47c0-b86d-1b5b6402346d	COOLING_TOWER
0087565a-f076-4554-9ccc-963b3f09dc46	babb1ec7-efa3-4aab-9c92-ecd94ef0486c	DRY_COOLER
0087565a-f076-4554-9ccc-963b3f09dc46	e4b25d25-6557-4dc1-b6b7-c5daa5f3a3c9	REMOTE_CONDENSER
0087565a-f076-4554-9ccc-963b3f09dc46	27c87ac5-9d2b-4025-adb9-179422fb57dc	CHILLED_WATER_PUMPS
0087565a-f076-4554-9ccc-963b3f09dc46	2927d0c1-2dbd-47ac-8c14-6adb80c154f5	HEAT_REJECTION_PUMPS
0087565a-f076-4554-9ccc-963b3f09dc46	a3257ae7-6b97-43a1-aded-dd5d9cf0883c	VENTILATION
0087565a-f076-4554-9ccc-963b3f09dc46	e3cbbccd-6341-4840-bb68-dd6ccb9a6bc2	INFILTRATION
0087565a-f076-4554-9ccc-963b3f09dc46	ff8d5487-e5e7-4d25-ac7b-18106db0dba0	IT_LOAD
01ac107b-7fd2-4325-b44f-838868d9c99c	2f8fbf3b-eaec-48be-9723-19b11f23e734	SWITCHGEAR
01ac107b-7fd2-4325-b44f-838868d9c99c	159c6ae1-ee79-411b-a75c-faec34baefe4	GENERATOR
01ac107b-7fd2-4325-b44f-838868d9c99c	0f1ee958-3c57-4e94-b3bd-ef5f64932924	PRIMARY_AUXILIARIES
01ac107b-7fd2-4325-b44f-838868d9c99c	f8fa5c2d-ef42-490a-b017-74cc724add8c	UPS
01ac107b-7fd2-4325-b44f-838868d9c99c	4710da67-abdd-4533-b127-f72443c96e03	CRITICAL_AUXILIARIES
01ac107b-7fd2-4325-b44f-838868d9c99c	753cf93a-6226-4aa0-9386-260c255c4c35	LIGHTING
01ac107b-7fd2-4325-b44f-838868d9c99c	c592bf05-f1bc-4bf5-8a45-c23a2cbab55e	CRITICAL_POWER_DISTRIBUTION
01ac107b-7fd2-4325-b44f-838868d9c99c	50c293b1-addc-4d25-a8bc-87cc8772a40c	CRAH
01ac107b-7fd2-4325-b44f-838868d9c99c	35b60761-f4bb-4bb7-95c3-80504bb4e00a	CRAC
01ac107b-7fd2-4325-b44f-838868d9c99c	55029198-2870-4563-b050-db2921cd777e	CRAC_WITHOUT_FAN
01ac107b-7fd2-4325-b44f-838868d9c99c	173f2a20-be45-49cb-819c-032d2ea489ac	CRAC_FAN
01ac107b-7fd2-4325-b44f-838868d9c99c	d70bd50f-0e8d-4006-ab57-505b491f77ca	CHILLER
01ac107b-7fd2-4325-b44f-838868d9c99c	62146469-1602-41ae-a8b4-6635ece87d31	AIR_COOLED_CHILLER
01ac107b-7fd2-4325-b44f-838868d9c99c	1eba0661-1d57-4aef-9e55-94e8000b2c69	COOLING_TOWER
01ac107b-7fd2-4325-b44f-838868d9c99c	44b0b33e-01f4-46b3-8408-f9b27fa509a0	DRY_COOLER
01ac107b-7fd2-4325-b44f-838868d9c99c	95eaf6d7-39e3-4197-8761-1d0a778b083f	REMOTE_CONDENSER
01ac107b-7fd2-4325-b44f-838868d9c99c	a0960a43-fff0-420d-a557-a88950968fce	CHILLED_WATER_PUMPS
01ac107b-7fd2-4325-b44f-838868d9c99c	90a34fe3-9e36-483c-afdc-dc6f5ed2e9bf	HEAT_REJECTION_PUMPS
01ac107b-7fd2-4325-b44f-838868d9c99c	f0f9a4ee-d396-4f63-9b96-8e38f46f38f4	VENTILATION
01ac107b-7fd2-4325-b44f-838868d9c99c	0ae79d06-c8f0-4292-9a0c-72ff8679b1ca	INFILTRATION
01ac107b-7fd2-4325-b44f-838868d9c99c	5d6e6e99-13a2-4b2e-95f9-1769302e42f4	IT_LOAD
7cc4fbdd-521d-40cc-bc91-71929147bd44	4a9ed823-5ce2-46f3-9a13-17eb2af4d53c	SWITCHGEAR
7cc4fbdd-521d-40cc-bc91-71929147bd44	ba9eef90-c96f-4857-8b23-52053c7846fc	GENERATOR
7cc4fbdd-521d-40cc-bc91-71929147bd44	8a8aba62-69d2-410b-bbfb-5b02bc54ab81	PRIMARY_AUXILIARIES
7cc4fbdd-521d-40cc-bc91-71929147bd44	e16bb92f-67f3-4b09-9e61-a2c6b4610992	UPS
7cc4fbdd-521d-40cc-bc91-71929147bd44	c71dacbe-f9ba-45c7-b75d-bad7bab5e711	CRITICAL_AUXILIARIES
7cc4fbdd-521d-40cc-bc91-71929147bd44	3c0e303e-3c9c-45b1-b153-0d060cf3891d	LIGHTING
7cc4fbdd-521d-40cc-bc91-71929147bd44	8d16fa5b-8ba2-4ee9-b236-3951feb19c97	CRITICAL_POWER_DISTRIBUTION
7cc4fbdd-521d-40cc-bc91-71929147bd44	e96d7fed-c3f4-43f1-baae-ff341ddf511b	CRAH
7cc4fbdd-521d-40cc-bc91-71929147bd44	6233a3ce-4cc5-453f-9e50-688c445983d6	CRAC
7cc4fbdd-521d-40cc-bc91-71929147bd44	1b0cc8ea-2175-4882-b267-353826d92bc4	CRAC_WITHOUT_FAN
7cc4fbdd-521d-40cc-bc91-71929147bd44	b1632a6c-8552-4226-9c9a-2d5920f533e1	CRAC_FAN
7cc4fbdd-521d-40cc-bc91-71929147bd44	95e6a46a-3e8d-4986-82d6-874b032c29e2	CHILLER
7cc4fbdd-521d-40cc-bc91-71929147bd44	16ba3b10-fcd1-4951-8f63-a870d8e76a77	AIR_COOLED_CHILLER
7cc4fbdd-521d-40cc-bc91-71929147bd44	f06e2b07-95db-4384-bda6-9a26e094f251	COOLING_TOWER
7cc4fbdd-521d-40cc-bc91-71929147bd44	68e63c19-6b8d-4315-b9db-30305241b6ef	DRY_COOLER
7cc4fbdd-521d-40cc-bc91-71929147bd44	ed0231bf-3619-4408-8f75-4cbb7b08d054	REMOTE_CONDENSER
7cc4fbdd-521d-40cc-bc91-71929147bd44	c6880349-d4d4-48fb-aab9-bc18ea5b7440	CHILLED_WATER_PUMPS
7cc4fbdd-521d-40cc-bc91-71929147bd44	eae22624-56df-4248-9059-ea5f48bbf195	HEAT_REJECTION_PUMPS
7cc4fbdd-521d-40cc-bc91-71929147bd44	61a26bef-e2db-4402-ac71-712de83f71c6	VENTILATION
7cc4fbdd-521d-40cc-bc91-71929147bd44	113f1094-4db1-446e-9638-717266be647e	INFILTRATION
7cc4fbdd-521d-40cc-bc91-71929147bd44	e7658d05-8aae-4842-96fc-81f3fde9d461	IT_LOAD
e4221bcc-b2f7-43d5-acef-aba23b17f25a	66959a3b-0d6d-4412-9761-cd023dee090b	SWITCHGEAR
e4221bcc-b2f7-43d5-acef-aba23b17f25a	f58f8b7a-6a75-402b-a608-139334946618	GENERATOR
e4221bcc-b2f7-43d5-acef-aba23b17f25a	d56dcb60-1e8b-4704-8c1c-895f88b160fc	PRIMARY_AUXILIARIES
e4221bcc-b2f7-43d5-acef-aba23b17f25a	46963447-6e9c-4a34-b6f2-f22ef2e365f9	UPS
e4221bcc-b2f7-43d5-acef-aba23b17f25a	14a5feb0-b56a-4427-b0f0-9c15943aafb6	CRITICAL_AUXILIARIES
e4221bcc-b2f7-43d5-acef-aba23b17f25a	f6fc763d-4f22-4cb3-a118-7fd2afce3a57	LIGHTING
e4221bcc-b2f7-43d5-acef-aba23b17f25a	06ae58fc-8659-4ea9-952e-175d995ff038	CRITICAL_POWER_DISTRIBUTION
e4221bcc-b2f7-43d5-acef-aba23b17f25a	b544376a-2c2f-4f59-aa4a-692bbe1bb63c	CRAH
e4221bcc-b2f7-43d5-acef-aba23b17f25a	67974186-78cc-4d68-ad58-c255f82dfba2	CRAC
e4221bcc-b2f7-43d5-acef-aba23b17f25a	e92bd483-dd60-4230-a392-cda22636c4e6	CRAC_WITHOUT_FAN
e4221bcc-b2f7-43d5-acef-aba23b17f25a	e7c2dcdf-f427-4189-b82b-87cc9ec625d1	CRAC_FAN
e4221bcc-b2f7-43d5-acef-aba23b17f25a	10cbeb56-ebc6-465f-9d8a-59cc2ab165d3	CHILLER
e4221bcc-b2f7-43d5-acef-aba23b17f25a	04b4eec2-2a7c-492a-b1b2-580eb31c619d	AIR_COOLED_CHILLER
e4221bcc-b2f7-43d5-acef-aba23b17f25a	2a9a49dd-b0a1-49c6-b335-72801dc0117f	COOLING_TOWER
e4221bcc-b2f7-43d5-acef-aba23b17f25a	4d841408-fe72-4735-8c0a-0fabe89f64d5	DRY_COOLER
e4221bcc-b2f7-43d5-acef-aba23b17f25a	a113f2d9-1795-4ddd-82b9-9872ba730481	REMOTE_CONDENSER
e4221bcc-b2f7-43d5-acef-aba23b17f25a	0326f8cc-1f01-4b7e-b445-5dd0f56c6f8e	CHILLED_WATER_PUMPS
e4221bcc-b2f7-43d5-acef-aba23b17f25a	2ab1d301-6f53-46a2-9eac-74f65350df50	HEAT_REJECTION_PUMPS
e4221bcc-b2f7-43d5-acef-aba23b17f25a	368152b4-c2b6-4aa4-88a1-b4d3964dca0d	VENTILATION
e4221bcc-b2f7-43d5-acef-aba23b17f25a	13fe35f9-00b9-4f9d-a554-e57d335141ba	INFILTRATION
e4221bcc-b2f7-43d5-acef-aba23b17f25a	1139f927-83cc-4dfc-b888-d930d7d4dd75	IT_LOAD
13624961-17e1-43d4-be52-b84e4d5bf8db	e860193a-5ec2-4a81-9153-c7c6a43f06ce	SWITCHGEAR
13624961-17e1-43d4-be52-b84e4d5bf8db	fd7004ea-7333-4e92-8881-fe2ad1cd4fcd	GENERATOR
13624961-17e1-43d4-be52-b84e4d5bf8db	bdf8ad4c-ee45-4b63-a49c-06a1a4d331fb	PRIMARY_AUXILIARIES
13624961-17e1-43d4-be52-b84e4d5bf8db	e559b635-de61-47da-b0e7-63badee1d8e5	UPS
13624961-17e1-43d4-be52-b84e4d5bf8db	2cffccbc-4471-4311-87ed-c39d3f77caf3	CRITICAL_AUXILIARIES
13624961-17e1-43d4-be52-b84e4d5bf8db	9343edf2-7906-4236-b9a2-129441dfd4c1	LIGHTING
13624961-17e1-43d4-be52-b84e4d5bf8db	e5e15b65-4f8a-4804-9d8e-0f9c6bc6c97c	CRITICAL_POWER_DISTRIBUTION
13624961-17e1-43d4-be52-b84e4d5bf8db	69910efd-75c1-4dcc-b961-0511b7d1833e	CRAH
13624961-17e1-43d4-be52-b84e4d5bf8db	272cdb2a-5abe-4079-aec0-9d28deec3384	CRAC
13624961-17e1-43d4-be52-b84e4d5bf8db	b05a6702-f6c0-420e-82dd-d739d8976b86	CRAC_WITHOUT_FAN
13624961-17e1-43d4-be52-b84e4d5bf8db	a1e7fa8c-2126-4b6b-a04b-2517e5347f2a	CRAC_FAN
13624961-17e1-43d4-be52-b84e4d5bf8db	be04574c-a01d-4adb-95df-58b5a20997cc	CHILLER
13624961-17e1-43d4-be52-b84e4d5bf8db	66f74255-21f5-422d-bb63-d32ecf600bb4	AIR_COOLED_CHILLER
13624961-17e1-43d4-be52-b84e4d5bf8db	d9cb8d00-c595-434c-acda-442630773009	COOLING_TOWER
13624961-17e1-43d4-be52-b84e4d5bf8db	0521f695-bf1c-4b97-b036-3c1d476c5e0c	DRY_COOLER
13624961-17e1-43d4-be52-b84e4d5bf8db	573fcf29-36b8-48a9-91c7-d61553e5d991	REMOTE_CONDENSER
13624961-17e1-43d4-be52-b84e4d5bf8db	8d0fd166-ccee-4aa0-b464-fd3bef4b8554	CHILLED_WATER_PUMPS
13624961-17e1-43d4-be52-b84e4d5bf8db	8f7b5912-0cad-4f3a-b22f-c57cdfd15b84	HEAT_REJECTION_PUMPS
13624961-17e1-43d4-be52-b84e4d5bf8db	19f7d1ae-520a-4bf9-9db3-e240b7323c1f	VENTILATION
13624961-17e1-43d4-be52-b84e4d5bf8db	a0ccf94f-130d-48a5-8ecc-f18930cf851b	INFILTRATION
13624961-17e1-43d4-be52-b84e4d5bf8db	ee089a1a-cdfe-4d89-bd77-1adf52cecd16	IT_LOAD
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	2946f821-156f-42d5-ae4c-519773e0c126	SWITCHGEAR
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	05630f0c-c831-4941-96b1-63abd920d53a	GENERATOR
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	dd54c9e2-8ed7-4881-917f-6c1f613ace9a	PRIMARY_AUXILIARIES
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	44ce94d1-3255-42e6-ab83-0a4ca9f35535	UPS
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	e61a748d-5871-43a9-8f44-0f75f7b09588	CRITICAL_AUXILIARIES
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	4cf76098-a2d0-4045-8f24-8fde6b02df86	LIGHTING
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	3f2b1cfe-5525-432d-acec-13b45240a96c	CRITICAL_POWER_DISTRIBUTION
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	e33944ed-ec4d-40e2-bfaf-a6bc94d336d8	CRAH
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	324dc39b-e4fe-4831-bc1f-e0bf70e7f187	CRAC
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	b02a600c-23e1-4d98-87f5-74460277ea4e	CRAC_WITHOUT_FAN
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	d76574aa-c033-45cd-be0b-5f02dba0908a	CRAC_FAN
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	416a1fe5-15ec-4cda-9ae8-b3f605a57936	CHILLER
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	e207a0ad-5ef6-414f-a522-e0a839818802	AIR_COOLED_CHILLER
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	295498f8-6e61-4b60-a66f-1305d98c5bd8	COOLING_TOWER
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	fab5af26-4c9c-455e-b24e-f146569e8692	DRY_COOLER
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	bfb0dd41-3a91-446e-a670-48736aec6f80	REMOTE_CONDENSER
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	85132954-5ab6-4353-9d50-29ee0284458c	CHILLED_WATER_PUMPS
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	e675ed9c-2e30-48c6-8f71-6c3fc9323c69	HEAT_REJECTION_PUMPS
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	b335f990-29fa-4b78-adc8-53e247c88393	VENTILATION
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	c240bef5-33bf-43cf-8f2b-da297b44fe7c	INFILTRATION
ecf0992a-5f4f-4099-9d5f-a6803dbc369d	05d96c0e-64fc-44be-b8b8-8c322cff1c90	IT_LOAD
26757c0a-248e-49bd-80df-dcd2b26142bd	60a4f060-5baf-4136-b774-2ae178c9aaa7	SWITCHGEAR
26757c0a-248e-49bd-80df-dcd2b26142bd	035b5fdb-0893-4410-9610-6451ef19835d	GENERATOR
26757c0a-248e-49bd-80df-dcd2b26142bd	22fe4c91-0f41-403f-ae88-fe5fe231a80f	PRIMARY_AUXILIARIES
26757c0a-248e-49bd-80df-dcd2b26142bd	b3f44729-6b18-433e-8e96-667039ffe485	UPS
26757c0a-248e-49bd-80df-dcd2b26142bd	3223ad34-df2e-4b59-8545-a66f31ea9bf0	CRITICAL_AUXILIARIES
26757c0a-248e-49bd-80df-dcd2b26142bd	65f80240-32f4-48e7-a984-bf80f6bd4d50	LIGHTING
26757c0a-248e-49bd-80df-dcd2b26142bd	3ed32f55-f236-461a-b148-e6407a4278e2	CRITICAL_POWER_DISTRIBUTION
26757c0a-248e-49bd-80df-dcd2b26142bd	37466804-703b-4cff-b2de-16db05d81948	CRAH
26757c0a-248e-49bd-80df-dcd2b26142bd	0a10e112-99d7-42e3-8188-b7f44a6ead2a	CRAC
26757c0a-248e-49bd-80df-dcd2b26142bd	8cb7207c-ee55-413a-8200-beac6215f3ef	CRAC_WITHOUT_FAN
26757c0a-248e-49bd-80df-dcd2b26142bd	24992053-a9a1-49c0-8302-64a02aea2c6d	CRAC_FAN
26757c0a-248e-49bd-80df-dcd2b26142bd	7176fe1c-5bfb-4ca9-8e2f-3f16f2bf47d6	CHILLER
26757c0a-248e-49bd-80df-dcd2b26142bd	cd3f9cbc-43a5-4455-a2a9-28b9bc617a45	AIR_COOLED_CHILLER
26757c0a-248e-49bd-80df-dcd2b26142bd	53dda926-0340-4e3e-bd3d-d470d10142aa	COOLING_TOWER
26757c0a-248e-49bd-80df-dcd2b26142bd	13840145-eb6a-4342-910c-1e40a14b9bb4	DRY_COOLER
26757c0a-248e-49bd-80df-dcd2b26142bd	fcea896f-c684-49b0-afae-aef6c13996fd	REMOTE_CONDENSER
26757c0a-248e-49bd-80df-dcd2b26142bd	b03a5d37-3d86-4b04-8373-9eef4e3214d7	CHILLED_WATER_PUMPS
26757c0a-248e-49bd-80df-dcd2b26142bd	77d33d40-6b20-4b99-bcb3-625b1943e061	HEAT_REJECTION_PUMPS
26757c0a-248e-49bd-80df-dcd2b26142bd	537a6e42-16ff-4baf-b448-5b977b01bd4c	VENTILATION
26757c0a-248e-49bd-80df-dcd2b26142bd	ed4889fb-6a1c-44f8-8313-9678b2a0001d	INFILTRATION
26757c0a-248e-49bd-80df-dcd2b26142bd	99689eeb-e605-4d2b-951e-28fc2ddf8403	IT_LOAD
c066bfa4-b61e-43bc-8ec8-7caf634acf93	734f9dc9-cddf-4975-8e81-73a97d326faf	SWITCHGEAR
c066bfa4-b61e-43bc-8ec8-7caf634acf93	1d689d8a-28ae-4ffd-a6cd-136c842726b9	GENERATOR
c066bfa4-b61e-43bc-8ec8-7caf634acf93	3655e688-5b21-444d-b0e4-5cceb7e1325b	PRIMARY_AUXILIARIES
c066bfa4-b61e-43bc-8ec8-7caf634acf93	e3319c3c-7258-4d10-ab9f-441e1d904052	UPS
c066bfa4-b61e-43bc-8ec8-7caf634acf93	69bee819-3c1e-4433-b1d1-bf137e8e149a	CRITICAL_AUXILIARIES
c066bfa4-b61e-43bc-8ec8-7caf634acf93	b38e72b8-80f2-4b20-8f4b-b62c837c87b8	LIGHTING
c066bfa4-b61e-43bc-8ec8-7caf634acf93	6f03b2ec-5e18-4b8e-8518-807ad67259d9	CRITICAL_POWER_DISTRIBUTION
c066bfa4-b61e-43bc-8ec8-7caf634acf93	70cf10f1-cd00-41c8-9fe8-81799f104b95	CRAH
c066bfa4-b61e-43bc-8ec8-7caf634acf93	6c6465d8-7f8b-4953-9222-56ee0262413b	CRAC
c066bfa4-b61e-43bc-8ec8-7caf634acf93	52f6ad07-0c10-4c8b-b54c-e71d54e3fff1	CRAC_WITHOUT_FAN
c066bfa4-b61e-43bc-8ec8-7caf634acf93	bf709d69-d30b-4571-9db9-1f4e926f9c2f	CRAC_FAN
c066bfa4-b61e-43bc-8ec8-7caf634acf93	8efb4ba1-ca36-4e61-9c11-d7ca128a939b	CHILLER
c066bfa4-b61e-43bc-8ec8-7caf634acf93	b0003cb8-0e6c-426f-b65e-54d603613608	AIR_COOLED_CHILLER
c066bfa4-b61e-43bc-8ec8-7caf634acf93	b89a9e77-aaea-4db1-a327-f76dba81e67d	COOLING_TOWER
c066bfa4-b61e-43bc-8ec8-7caf634acf93	38967c2e-140d-4940-9fec-3f4dabedd627	DRY_COOLER
c066bfa4-b61e-43bc-8ec8-7caf634acf93	8174e974-0700-4d26-a402-3746d903c5b8	REMOTE_CONDENSER
c066bfa4-b61e-43bc-8ec8-7caf634acf93	096cce08-b9f5-4af3-9b20-6bb6cb23b15b	CHILLED_WATER_PUMPS
c066bfa4-b61e-43bc-8ec8-7caf634acf93	74b146b6-b178-4c8c-8621-bb8adb943658	HEAT_REJECTION_PUMPS
c066bfa4-b61e-43bc-8ec8-7caf634acf93	9c97561f-0235-42f3-b2eb-e622ef5115ca	VENTILATION
c066bfa4-b61e-43bc-8ec8-7caf634acf93	a0629cb5-e5dd-432c-8679-59a38a66cb59	INFILTRATION
c066bfa4-b61e-43bc-8ec8-7caf634acf93	2cb1e77a-1cc6-47dc-b85f-ee50a3b9ff5d	IT_LOAD
60224ff3-17fe-49be-97a0-3280c6d528ad	77c1f17f-f110-4fb0-9455-14e289368af5	SWITCHGEAR
60224ff3-17fe-49be-97a0-3280c6d528ad	9c552f0a-a265-4ed7-9727-840b0a0b2f81	GENERATOR
60224ff3-17fe-49be-97a0-3280c6d528ad	74dcedf0-dab6-4f6b-b88a-c882ecf372f1	PRIMARY_AUXILIARIES
60224ff3-17fe-49be-97a0-3280c6d528ad	8c557e8c-6de4-4e72-888d-0ee4cc285886	UPS
60224ff3-17fe-49be-97a0-3280c6d528ad	618c36b0-3fe8-4b1d-8fb9-8c0eabbdf8a9	CRITICAL_AUXILIARIES
60224ff3-17fe-49be-97a0-3280c6d528ad	f9b6901f-f380-479f-94b5-138be6b83a2d	LIGHTING
60224ff3-17fe-49be-97a0-3280c6d528ad	4a143327-eec8-4223-a9dc-35380f6bb19b	CRITICAL_POWER_DISTRIBUTION
60224ff3-17fe-49be-97a0-3280c6d528ad	97fef294-e693-4277-b5cc-bb30c78ad003	CRAH
60224ff3-17fe-49be-97a0-3280c6d528ad	ce0d62b9-6cce-41b3-a0aa-7c74df83d215	CRAC
60224ff3-17fe-49be-97a0-3280c6d528ad	531eea7d-43a1-41f2-99db-afd354573149	CRAC_WITHOUT_FAN
60224ff3-17fe-49be-97a0-3280c6d528ad	a876b040-6adf-44bd-b53c-1dad44e60c58	CRAC_FAN
60224ff3-17fe-49be-97a0-3280c6d528ad	bac7642c-a35d-4375-8a3b-dd16097cd9fb	CHILLER
60224ff3-17fe-49be-97a0-3280c6d528ad	3c6c7efb-eec6-4679-b58a-75184c4ed600	AIR_COOLED_CHILLER
60224ff3-17fe-49be-97a0-3280c6d528ad	151d8b2d-9ade-49f7-802a-174179416d80	COOLING_TOWER
60224ff3-17fe-49be-97a0-3280c6d528ad	af81f566-56e9-4371-8faa-41a46741abdb	DRY_COOLER
60224ff3-17fe-49be-97a0-3280c6d528ad	e21cb8e6-134b-4dfa-9877-040d64b50fe4	REMOTE_CONDENSER
60224ff3-17fe-49be-97a0-3280c6d528ad	d0bcf3fc-7c9a-40f2-a524-02ae7835a399	CHILLED_WATER_PUMPS
60224ff3-17fe-49be-97a0-3280c6d528ad	68f54b34-9d07-4712-916b-fedf5ca6ba74	HEAT_REJECTION_PUMPS
60224ff3-17fe-49be-97a0-3280c6d528ad	9bccb1bc-5702-4b6d-a3c8-682dcbcd963e	VENTILATION
60224ff3-17fe-49be-97a0-3280c6d528ad	c8086318-a99e-47f6-b5be-db4a2d6d56fe	INFILTRATION
60224ff3-17fe-49be-97a0-3280c6d528ad	d5e8e490-3155-4bb3-92ab-21a865b2ed17	IT_LOAD
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	d68af02b-512d-4ff3-be41-080ce2e55f6f	SWITCHGEAR
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	f4a7cdbd-123f-4ce2-98a1-26543f8a8218	GENERATOR
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	881505f5-2d99-4ed2-b308-d69dcc5c3032	PRIMARY_AUXILIARIES
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	52ab6301-06fd-4fc8-b6b4-52564ea7ef20	UPS
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	55119d51-1430-4570-9146-54e3401e9d13	CRITICAL_AUXILIARIES
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	4802d3be-667d-46b8-b724-bee731bc782e	LIGHTING
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	b8716596-f62e-4949-a3f1-5c84b72da84d	CRITICAL_POWER_DISTRIBUTION
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	d318ac6c-ab7c-4a00-8633-4de640b02882	CRAH
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	1fb1bf69-b771-4f5c-9a02-ef564edb796f	CRAC
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	b8cb16d1-f66d-48a7-b04c-c0185e9ec6df	CRAC_WITHOUT_FAN
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	60f11b8f-a2fc-4e28-b260-07d7aae785ed	CRAC_FAN
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	f949adfe-95c1-43c3-aad7-1ec4fa274ee8	CHILLER
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	2aeab1cd-3b92-44b5-97fa-0534f5962285	AIR_COOLED_CHILLER
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	2c3e496b-2d0e-461a-a5d7-10797a07977c	COOLING_TOWER
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	5cda3dcf-1000-44dc-b83b-5975744ec008	DRY_COOLER
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	2ef8cb4a-9633-4bd6-b727-4839c079d3c8	REMOTE_CONDENSER
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	a8d08210-02eb-4f47-8bc3-b2df6394af00	CHILLED_WATER_PUMPS
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	8db6a4db-4d79-4405-81ea-9f5f87728b7b	HEAT_REJECTION_PUMPS
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	8acc9acd-605c-4dd9-af2a-ba8c2cf50c6d	VENTILATION
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	9534b8c1-a6d0-4b7e-a3b3-d7a6900fe51a	INFILTRATION
bf5ea997-c78d-4d5b-ad7d-4f62edbc8ed2	5eeff9a2-25f9-416d-87f7-e7b43cf11173	IT_LOAD
2a92e586-8734-4fef-bfda-a6089ff5e921	3c776f17-35e3-43d2-8508-c003cb416cfe	SWITCHGEAR
2a92e586-8734-4fef-bfda-a6089ff5e921	f3c267ae-2ed6-42c3-987c-4b6569642b92	GENERATOR
2a92e586-8734-4fef-bfda-a6089ff5e921	d9b5f8eb-8b22-4df2-8dfa-ead19e0ceea6	PRIMARY_AUXILIARIES
2a92e586-8734-4fef-bfda-a6089ff5e921	31351af1-22b5-4446-80b1-e31797b855f4	UPS
2a92e586-8734-4fef-bfda-a6089ff5e921	5b3d711d-7a8e-42d0-8240-6307990a85eb	CRITICAL_AUXILIARIES
2a92e586-8734-4fef-bfda-a6089ff5e921	b7fc8b45-c6c0-49c1-8144-9c63ae8b3921	LIGHTING
2a92e586-8734-4fef-bfda-a6089ff5e921	57c94c10-544a-487b-85de-273924b029c8	CRITICAL_POWER_DISTRIBUTION
2a92e586-8734-4fef-bfda-a6089ff5e921	ce8177e8-0fde-48a4-8d43-ac27bbe490ad	CRAH
2a92e586-8734-4fef-bfda-a6089ff5e921	2598c3e7-38bd-4b7e-8065-adec2c556f97	CRAC
2a92e586-8734-4fef-bfda-a6089ff5e921	45119803-6980-4ace-ba87-2a3ba4044fd1	CRAC_WITHOUT_FAN
2a92e586-8734-4fef-bfda-a6089ff5e921	650fac69-7c7c-4c3f-8358-ae7c56039f3d	CRAC_FAN
2a92e586-8734-4fef-bfda-a6089ff5e921	21cf0874-2bec-4250-a5a4-d340a6b0103d	CHILLER
2a92e586-8734-4fef-bfda-a6089ff5e921	fa00ea0c-3578-48c4-8190-563f193339fc	AIR_COOLED_CHILLER
2a92e586-8734-4fef-bfda-a6089ff5e921	ebba8f23-4d5f-4b00-8f95-26b92d0bf8b1	COOLING_TOWER
2a92e586-8734-4fef-bfda-a6089ff5e921	e053ab43-b8d3-4f29-b727-0d3017925bf6	DRY_COOLER
2a92e586-8734-4fef-bfda-a6089ff5e921	e160cf77-460f-4077-b887-60eab53c5c43	REMOTE_CONDENSER
2a92e586-8734-4fef-bfda-a6089ff5e921	0fba080d-a44e-4112-b2c0-c824480cf01c	CHILLED_WATER_PUMPS
2a92e586-8734-4fef-bfda-a6089ff5e921	22ca452c-5c0b-40a9-b054-c2944f48fd4a	HEAT_REJECTION_PUMPS
2a92e586-8734-4fef-bfda-a6089ff5e921	264ba273-3dc9-474a-ab20-a16b7331987a	VENTILATION
2a92e586-8734-4fef-bfda-a6089ff5e921	237fc1b2-9966-4356-8031-0816aae1f4d8	INFILTRATION
2a92e586-8734-4fef-bfda-a6089ff5e921	1619b7ca-61f8-4978-b996-caed8dff66cd	IT_LOAD
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	367b0506-b506-40ae-b69b-ae5e526e49f7	SWITCHGEAR
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	a7334303-6292-44d4-8259-b380073409f9	GENERATOR
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	54746c5d-7cb7-4f0f-803c-5fd6705b800e	PRIMARY_AUXILIARIES
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	2fb4d839-eb8f-4570-8853-4a1302628d46	UPS
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	052bfee3-ac87-4964-acd1-9a6066e990ec	CRITICAL_AUXILIARIES
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	febfb71c-4b74-4f8a-ad09-0e7dca2e4720	LIGHTING
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	4bb4ab50-0003-4ca4-a1d1-32b5b8073e94	CRITICAL_POWER_DISTRIBUTION
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	0a9b795e-a4b7-43da-ab39-9fd7eb744156	CRAH
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	e5c9e8a3-db8a-49d9-b939-90ff787702c6	CRAC
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	cb895a22-ce39-4d66-a2b8-719b5eff5cb3	CRAC_WITHOUT_FAN
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	ca9d5667-5bcb-47cf-9772-a01c57445c50	CRAC_FAN
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	a6e30735-d00b-4c13-9b29-6d57828fc62d	CHILLER
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	b6c20b13-4529-46ea-929e-64047777df4f	AIR_COOLED_CHILLER
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	245736bd-5c77-49f7-bb70-8c5c837834cd	COOLING_TOWER
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	17e59de5-5585-4633-92a2-78e9bdd44d0c	DRY_COOLER
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	0f335168-d59a-4fa6-aa9e-b6e95bd757ff	REMOTE_CONDENSER
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	dd4bfee8-cc20-4793-9bc4-91b93551e2ca	CHILLED_WATER_PUMPS
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	f37c29f9-7e4a-4e18-8645-4d1c81f0bbc9	HEAT_REJECTION_PUMPS
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	7ca3e864-d1d0-4b20-8926-9aed826580a8	VENTILATION
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	a9503125-5410-42f7-a1e6-7165d09a3a17	INFILTRATION
578c1ebf-9afe-4fa6-8b4f-8b1ebda57da1	da1dc36e-99ec-4d41-aa97-898d46af3094	IT_LOAD
ccf5ed0f-7942-4579-875d-70c0c65721b4	98e52dbd-b6e4-43ca-9675-7932d5b93863	SWITCHGEAR
ccf5ed0f-7942-4579-875d-70c0c65721b4	4db0e082-97a6-4c3e-b596-18f92213cb9e	GENERATOR
ccf5ed0f-7942-4579-875d-70c0c65721b4	5487eec0-b805-45e8-a188-35a9dd2d93aa	PRIMARY_AUXILIARIES
ccf5ed0f-7942-4579-875d-70c0c65721b4	12a26bd2-ff1f-4afc-adf4-b82a6fc42963	UPS
ccf5ed0f-7942-4579-875d-70c0c65721b4	48c16ebf-b1f1-4d39-b03d-6a862c2bfaaa	CRITICAL_AUXILIARIES
ccf5ed0f-7942-4579-875d-70c0c65721b4	1c67faff-0cc2-4ceb-bb43-48cee04bb584	LIGHTING
ccf5ed0f-7942-4579-875d-70c0c65721b4	2ca69a1b-3d10-4d24-acb0-99cabdee00a4	CRITICAL_POWER_DISTRIBUTION
ccf5ed0f-7942-4579-875d-70c0c65721b4	076318ee-b5db-413f-853d-6bf03078eec1	CRAH
ccf5ed0f-7942-4579-875d-70c0c65721b4	73ae12b7-f18b-4838-8619-81f0790b8b1c	CRAC
ccf5ed0f-7942-4579-875d-70c0c65721b4	d98c1540-8b24-4151-b091-305beea1c1de	CRAC_WITHOUT_FAN
ccf5ed0f-7942-4579-875d-70c0c65721b4	98428a40-ada7-47de-9941-d6209db52e15	CRAC_FAN
ccf5ed0f-7942-4579-875d-70c0c65721b4	f60bb6e7-3fe3-4aa0-9e28-d6c96cacab98	CHILLER
ccf5ed0f-7942-4579-875d-70c0c65721b4	c988703d-6196-4a46-a44c-613d30a3ef8d	AIR_COOLED_CHILLER
ccf5ed0f-7942-4579-875d-70c0c65721b4	c0cc7804-0228-44cc-82ea-8908b19ee91d	COOLING_TOWER
ccf5ed0f-7942-4579-875d-70c0c65721b4	62b4b942-cc62-4c49-bd58-771ec888aa1d	DRY_COOLER
ccf5ed0f-7942-4579-875d-70c0c65721b4	ccdceba9-b25d-422c-b6b8-20cce8243694	REMOTE_CONDENSER
ccf5ed0f-7942-4579-875d-70c0c65721b4	5df9be9a-a520-4abd-a151-9f0eb0c071f4	CHILLED_WATER_PUMPS
ccf5ed0f-7942-4579-875d-70c0c65721b4	0daf3143-d15c-4a91-a0c4-72a15b6cdb0b	HEAT_REJECTION_PUMPS
ccf5ed0f-7942-4579-875d-70c0c65721b4	52ba79aa-65ef-4624-a941-7bdea03329ac	VENTILATION
ccf5ed0f-7942-4579-875d-70c0c65721b4	043dacc9-68bd-4a8d-9636-196d6955008e	INFILTRATION
ccf5ed0f-7942-4579-875d-70c0c65721b4	e8e70278-b7ce-4d80-8ba6-aa173b324fc8	IT_LOAD
99cef2b9-ecae-46de-99bb-fc4432886bb7	621c759e-a6a1-49bd-a16a-df0de324ef0c	SWITCHGEAR
99cef2b9-ecae-46de-99bb-fc4432886bb7	d69b42d8-ea5e-46c2-ae6d-894e692ca42a	GENERATOR
99cef2b9-ecae-46de-99bb-fc4432886bb7	7747964e-e7eb-4520-9e79-c8a54876ac59	PRIMARY_AUXILIARIES
99cef2b9-ecae-46de-99bb-fc4432886bb7	a489dabf-a2c4-435c-8782-f8ee20349d78	UPS
99cef2b9-ecae-46de-99bb-fc4432886bb7	60d5ac40-b76e-4160-8c24-f38892d24b3b	CRITICAL_AUXILIARIES
99cef2b9-ecae-46de-99bb-fc4432886bb7	2ec3cb28-5b6d-4cce-9de7-ae9f10bff544	LIGHTING
99cef2b9-ecae-46de-99bb-fc4432886bb7	523cca83-0df6-40f4-87b0-1100cd0e4c3c	CRITICAL_POWER_DISTRIBUTION
99cef2b9-ecae-46de-99bb-fc4432886bb7	cdec0a03-be19-49f9-ae9b-67fb9372b97a	CRAH
99cef2b9-ecae-46de-99bb-fc4432886bb7	079d66b5-4c92-45a8-bb16-9c2a98d892f4	CRAC
99cef2b9-ecae-46de-99bb-fc4432886bb7	aaf1e7df-0359-42f9-8062-b67e8b131d88	CRAC_WITHOUT_FAN
99cef2b9-ecae-46de-99bb-fc4432886bb7	f51421d9-c8b5-4707-b4c7-af90413cec7c	CRAC_FAN
99cef2b9-ecae-46de-99bb-fc4432886bb7	29f15d4f-8c39-474e-833f-4ac66ad1af13	CHILLER
99cef2b9-ecae-46de-99bb-fc4432886bb7	8bf31dc6-8fc8-41e7-b2c6-bf28462a4564	AIR_COOLED_CHILLER
99cef2b9-ecae-46de-99bb-fc4432886bb7	413050ea-3187-4a1b-ae6f-ee59cd5ad645	COOLING_TOWER
99cef2b9-ecae-46de-99bb-fc4432886bb7	48ba3287-9ab0-4dc4-bec9-7c6cd1c7af99	DRY_COOLER
99cef2b9-ecae-46de-99bb-fc4432886bb7	0d37154e-22e3-4f9a-9659-4a00bb77d7bf	REMOTE_CONDENSER
99cef2b9-ecae-46de-99bb-fc4432886bb7	f36fc8d6-f995-4645-8a22-901576dabcb1	CHILLED_WATER_PUMPS
99cef2b9-ecae-46de-99bb-fc4432886bb7	48ec19d2-ee8e-4f66-8163-4266cc0dc7c7	HEAT_REJECTION_PUMPS
99cef2b9-ecae-46de-99bb-fc4432886bb7	15876898-30c0-4cfa-9b04-2a612737ce99	VENTILATION
99cef2b9-ecae-46de-99bb-fc4432886bb7	cd08bdf8-36bc-4612-87e1-5718d9f2d746	INFILTRATION
99cef2b9-ecae-46de-99bb-fc4432886bb7	b9c625be-052d-4d7e-93c2-be7c48613489	IT_LOAD
b981c0d8-31d5-4116-9d62-7c047d2d17f6	ab51b871-7577-44dc-8564-8c773232c690	SWITCHGEAR
b981c0d8-31d5-4116-9d62-7c047d2d17f6	f2c649f6-1dba-472a-9faf-2c6d6e825777	GENERATOR
b981c0d8-31d5-4116-9d62-7c047d2d17f6	8195931b-41c4-4ce0-a6dd-3565e907810c	PRIMARY_AUXILIARIES
b981c0d8-31d5-4116-9d62-7c047d2d17f6	f94add28-763b-4621-8a74-f8e0a5080c6f	UPS
b981c0d8-31d5-4116-9d62-7c047d2d17f6	75dd32da-5d82-45e1-bd96-88f9986131fd	CRITICAL_AUXILIARIES
b981c0d8-31d5-4116-9d62-7c047d2d17f6	b07f4742-08f7-45d9-bc02-0ef08810b55e	LIGHTING
b981c0d8-31d5-4116-9d62-7c047d2d17f6	8a61fdff-d793-4c44-87b9-a0e8056b85e3	CRITICAL_POWER_DISTRIBUTION
b981c0d8-31d5-4116-9d62-7c047d2d17f6	25300be1-3150-49c6-a58b-629bd0122dae	CRAH
b981c0d8-31d5-4116-9d62-7c047d2d17f6	233d6dda-1519-4753-a1b5-5de49ba0cfb7	CRAC
b981c0d8-31d5-4116-9d62-7c047d2d17f6	9aa88c1b-d245-4bd4-b92f-8483ff1758c6	CRAC_WITHOUT_FAN
b981c0d8-31d5-4116-9d62-7c047d2d17f6	e0efdf6f-8094-4017-b068-f640189ffe7e	CRAC_FAN
b981c0d8-31d5-4116-9d62-7c047d2d17f6	512bc8bb-eaf7-4ef8-8853-71107a15379e	CHILLER
b981c0d8-31d5-4116-9d62-7c047d2d17f6	ceed82b9-bb0a-4b96-9ce7-443777ccb132	AIR_COOLED_CHILLER
b981c0d8-31d5-4116-9d62-7c047d2d17f6	e5763d6f-c46d-458a-9459-ae0874102d5d	COOLING_TOWER
b981c0d8-31d5-4116-9d62-7c047d2d17f6	9c7d53e3-c41d-42d5-bf87-e10a780f9f8c	DRY_COOLER
b981c0d8-31d5-4116-9d62-7c047d2d17f6	0382bf7d-e41a-422a-92f4-836b4579e226	REMOTE_CONDENSER
b981c0d8-31d5-4116-9d62-7c047d2d17f6	e3717de4-6c06-4706-87f4-947e6134de46	CHILLED_WATER_PUMPS
b981c0d8-31d5-4116-9d62-7c047d2d17f6	480651c6-3656-4a70-abb7-1dbef19b3996	HEAT_REJECTION_PUMPS
b981c0d8-31d5-4116-9d62-7c047d2d17f6	99aadae1-b152-429a-800d-5c4849e93735	VENTILATION
b981c0d8-31d5-4116-9d62-7c047d2d17f6	de3debe1-0f3e-4bd0-af66-92fccb038abd	INFILTRATION
b981c0d8-31d5-4116-9d62-7c047d2d17f6	27c53190-a35e-4bae-947e-03e591baa907	IT_LOAD
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	9b23439b-81ab-41b6-9833-b07330283507	SWITCHGEAR
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	4268d7eb-27f4-486a-83fa-9997f07e9731	GENERATOR
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	1cd2ba1a-b332-4aeb-ac3b-4acb729e2410	PRIMARY_AUXILIARIES
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	78c20dad-2ad1-4a4e-a93d-27b19a1cec9e	UPS
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	43e59b25-4a31-4731-acf1-ea336ed9f11f	CRITICAL_AUXILIARIES
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	fd965ee7-d766-459c-9f24-c8c566b81571	LIGHTING
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	37e8e6d3-5015-4666-9fad-866263fc108d	CRITICAL_POWER_DISTRIBUTION
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	fc04506e-8775-4243-9585-6e4db63f217c	CRAH
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	94bce130-1566-45f3-874b-3269db43b7c6	CRAC
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	d37256f3-2038-4c23-a14e-9c2e8ed356b3	CRAC_WITHOUT_FAN
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	743e466a-c224-4186-8e2b-b10007eb4017	CRAC_FAN
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	97951c75-ef45-47fa-833a-ebaf586a9b5c	CHILLER
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	795cd4a0-a198-4dc3-8a34-5b215e3c4ba8	AIR_COOLED_CHILLER
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	e9fcccf0-82a0-48c8-88d7-70001255994b	COOLING_TOWER
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	36acf790-435f-44d9-b04d-4ea79a843f59	DRY_COOLER
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	5a0f47f4-e042-497b-be73-08ed59175a3c	REMOTE_CONDENSER
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	3b2c8fbc-0ad5-4b49-b58f-1913febb739b	CHILLED_WATER_PUMPS
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	4d30fc5a-6728-4a2e-9ef3-3277e241ff9b	HEAT_REJECTION_PUMPS
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	51766723-0661-4a86-9e80-8aa51d500a72	VENTILATION
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	7acb6118-a438-441b-aaee-09f016172bc1	INFILTRATION
3cb052e1-b00a-40a6-b5cf-4a4ad1a10048	f5d4d57d-c475-44ad-b952-cd641d62202e	IT_LOAD
d3462db5-8c72-40cd-b97e-dec6a5e820c7	36fd7268-5b62-4b91-bb3a-8ccf9db1311e	SWITCHGEAR
d3462db5-8c72-40cd-b97e-dec6a5e820c7	f417750b-f7b4-4e6d-83d4-e1e8450b7490	GENERATOR
d3462db5-8c72-40cd-b97e-dec6a5e820c7	9af42dc6-a4da-44ca-be96-185c4ff73fdf	PRIMARY_AUXILIARIES
d3462db5-8c72-40cd-b97e-dec6a5e820c7	28b8e551-f1e6-40b6-b6ab-cb2828f51582	UPS
d3462db5-8c72-40cd-b97e-dec6a5e820c7	2817f0d5-16b6-42f7-8f56-dd189229ffaf	CRITICAL_AUXILIARIES
d3462db5-8c72-40cd-b97e-dec6a5e820c7	bb243d42-6131-4c95-a892-59f891998eaf	LIGHTING
d3462db5-8c72-40cd-b97e-dec6a5e820c7	a0a7c0a0-be2d-415e-a8c7-e0a4ca1aa7d1	CRITICAL_POWER_DISTRIBUTION
d3462db5-8c72-40cd-b97e-dec6a5e820c7	36acdb1a-d3dd-4919-ab70-a7af7416521e	CRAH
d3462db5-8c72-40cd-b97e-dec6a5e820c7	88ae6668-5241-406c-b992-6cacf1ad69cb	CRAC
d3462db5-8c72-40cd-b97e-dec6a5e820c7	6759a4bd-0dc3-49e6-a5fb-02a95415d10f	CRAC_WITHOUT_FAN
d3462db5-8c72-40cd-b97e-dec6a5e820c7	8978ab5b-5da3-4103-8ff1-bc911915da52	CRAC_FAN
d3462db5-8c72-40cd-b97e-dec6a5e820c7	6597d083-a3b9-4665-9f9b-567b1487d017	CHILLER
d3462db5-8c72-40cd-b97e-dec6a5e820c7	77df343f-808f-4ec8-a1b5-faae2f518740	AIR_COOLED_CHILLER
d3462db5-8c72-40cd-b97e-dec6a5e820c7	35cefdd6-4118-459d-be23-c84053644b76	COOLING_TOWER
d3462db5-8c72-40cd-b97e-dec6a5e820c7	2de78b41-7110-4975-aadb-eb1135ed3f89	DRY_COOLER
d3462db5-8c72-40cd-b97e-dec6a5e820c7	5e2ad09b-bc23-41bb-86d4-d6c6d07d24fa	REMOTE_CONDENSER
d3462db5-8c72-40cd-b97e-dec6a5e820c7	ba4b98f6-4a86-4609-8b1c-64ffab71a2c7	CHILLED_WATER_PUMPS
d3462db5-8c72-40cd-b97e-dec6a5e820c7	8a8501df-d6cb-4481-abbf-9e1fd419e26f	HEAT_REJECTION_PUMPS
d3462db5-8c72-40cd-b97e-dec6a5e820c7	81f36ec6-0b4d-4995-9e6b-806c0767950c	VENTILATION
d3462db5-8c72-40cd-b97e-dec6a5e820c7	f7cb2146-f1ef-4bea-82fe-1ba080d7dbcb	INFILTRATION
d3462db5-8c72-40cd-b97e-dec6a5e820c7	a131c25a-dc45-43b8-bff6-a79e8293a858	IT_LOAD
89800bd7-6895-43d0-98a4-2d83033837b3	9e5e9c0b-7b2b-4e53-b73f-276c4003a9a0	SWITCHGEAR
89800bd7-6895-43d0-98a4-2d83033837b3	91f5aff5-977a-437a-9129-9a0ca1d08039	GENERATOR
89800bd7-6895-43d0-98a4-2d83033837b3	b09ce30f-8c3d-4aad-834b-b4314885ac38	PRIMARY_AUXILIARIES
89800bd7-6895-43d0-98a4-2d83033837b3	ef3886a7-8d19-4bbb-b851-aaa584098626	UPS
89800bd7-6895-43d0-98a4-2d83033837b3	b04090c8-3bf2-4fee-b9f6-72d37cd82c90	CRITICAL_AUXILIARIES
89800bd7-6895-43d0-98a4-2d83033837b3	8ec0c3d0-89bd-4c3f-ab93-5f992a48b63e	LIGHTING
89800bd7-6895-43d0-98a4-2d83033837b3	79ca437a-6432-4caf-8117-d9031de1b361	CRITICAL_POWER_DISTRIBUTION
89800bd7-6895-43d0-98a4-2d83033837b3	d809f2a1-87c4-4c97-a845-a2eac554d37b	CRAH
89800bd7-6895-43d0-98a4-2d83033837b3	3bec1f64-affe-44b9-b9c4-ce2b07b27404	CRAC
89800bd7-6895-43d0-98a4-2d83033837b3	26d3bedd-6bdf-46de-8d13-200c812c409a	CRAC_WITHOUT_FAN
89800bd7-6895-43d0-98a4-2d83033837b3	87957192-044f-4772-8430-ec3ab6921156	CRAC_FAN
89800bd7-6895-43d0-98a4-2d83033837b3	c5737d90-c3a0-4af3-9cba-cae65a3e94c1	CHILLER
89800bd7-6895-43d0-98a4-2d83033837b3	f46d4adf-7f6c-4309-944a-503dd1221be9	AIR_COOLED_CHILLER
89800bd7-6895-43d0-98a4-2d83033837b3	c5f5e751-7e85-4382-a254-e6d0b887ec87	COOLING_TOWER
89800bd7-6895-43d0-98a4-2d83033837b3	e511c4d2-6a91-4b9b-959a-d57686a45a00	DRY_COOLER
89800bd7-6895-43d0-98a4-2d83033837b3	5729f99e-203b-4041-a33f-c9ec6c7d5cf6	REMOTE_CONDENSER
89800bd7-6895-43d0-98a4-2d83033837b3	6d893cd0-ab3c-4ac7-a180-cac65488836c	CHILLED_WATER_PUMPS
89800bd7-6895-43d0-98a4-2d83033837b3	72d78aaa-bfb4-4d57-8767-51843fff6c70	HEAT_REJECTION_PUMPS
89800bd7-6895-43d0-98a4-2d83033837b3	ce077953-b242-461d-8a1e-bb1fdd50fe74	VENTILATION
89800bd7-6895-43d0-98a4-2d83033837b3	59e92e08-8c0c-4a3c-983f-826fd3b8c3d6	INFILTRATION
89800bd7-6895-43d0-98a4-2d83033837b3	892390bf-353b-4471-ba9e-c86fb5227a1c	IT_LOAD
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	5cb71bff-5ec2-4763-8d78-feeed9371120	SWITCHGEAR
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	21cd62df-4ff6-40d2-8619-2396411bab9b	GENERATOR
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	1c92856f-cd9c-4b96-9d39-9751725c70c6	PRIMARY_AUXILIARIES
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	e8564b87-702f-4376-9d9f-22cd9c2938fb	UPS
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	933f2842-a00e-470e-afca-5da8a4647e21	CRITICAL_AUXILIARIES
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	c6373ac1-fe9f-470b-aca7-78faf24dfa22	LIGHTING
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	0c817f1a-d699-4dc5-bf16-3cced03a97fd	CRITICAL_POWER_DISTRIBUTION
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	54cc4db3-c96e-4218-a26a-89755e12c4a1	CRAH
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	edaf60e8-4ab4-4af1-9881-9b1c6b826a4f	CRAC
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	51e08810-8f48-4d5b-80dd-4421a01d2df3	CRAC_WITHOUT_FAN
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	44bc543c-ff69-4ddf-bc43-1ee1bc6fa195	CRAC_FAN
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	f8bf30fb-5495-418b-bfd9-67f319bbfefc	CHILLER
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	d7b75a65-c5d3-46e2-9b3e-2d3d5e852a8e	AIR_COOLED_CHILLER
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	f6bcce44-8518-4f19-bee0-7bee3b903bfd	COOLING_TOWER
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	a8ce2781-bbb1-4567-ae84-9aef548809c6	DRY_COOLER
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	30c5fbe3-346b-49d5-bd8c-259516a090aa	REMOTE_CONDENSER
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	0f79eb9d-7368-4198-904a-1a6999507d09	CHILLED_WATER_PUMPS
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	78adf67b-d9d0-4621-a01d-1496aca11d2b	HEAT_REJECTION_PUMPS
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	49763480-979b-4775-b9ad-d6af7a7032bb	VENTILATION
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	df547aa6-c3f0-4456-960d-f4092782070c	INFILTRATION
3bfa5d50-6c82-43b4-a9cf-3914d6092c0f	f5ca711a-4bac-4eb4-b9c5-2cb727db825e	IT_LOAD
a44b139d-bc30-4b39-9437-f2a0d7f476a0	d22ec65e-f125-43e6-8e68-7b23b4cc2f65	SWITCHGEAR
a44b139d-bc30-4b39-9437-f2a0d7f476a0	64851aed-dbf0-48ed-b262-96fd9122a1da	GENERATOR
a44b139d-bc30-4b39-9437-f2a0d7f476a0	8e214b13-7ebe-4ad0-8261-979247ad32f9	PRIMARY_AUXILIARIES
a44b139d-bc30-4b39-9437-f2a0d7f476a0	fdc7f550-8752-4146-9358-584378f62ac4	UPS
a44b139d-bc30-4b39-9437-f2a0d7f476a0	d662b6c8-d1ed-4b77-88b1-80d07417a2bc	CRITICAL_AUXILIARIES
a44b139d-bc30-4b39-9437-f2a0d7f476a0	e20744df-9f8e-4e2d-84b8-d7f033d6aee1	LIGHTING
a44b139d-bc30-4b39-9437-f2a0d7f476a0	7391a1cf-02f8-48cf-bca0-e3933781295a	CRITICAL_POWER_DISTRIBUTION
a44b139d-bc30-4b39-9437-f2a0d7f476a0	f05664e1-aa5f-4186-b40a-2db21c32c208	CRAH
a44b139d-bc30-4b39-9437-f2a0d7f476a0	f7c79c29-d0fd-41f7-ab33-cfb41d0db4e1	CRAC
a44b139d-bc30-4b39-9437-f2a0d7f476a0	1923e028-e99f-445c-96c3-7b384b4fe64d	CRAC_WITHOUT_FAN
a44b139d-bc30-4b39-9437-f2a0d7f476a0	b9f8f92a-87f0-4f79-abf8-5f2e95243014	CRAC_FAN
a44b139d-bc30-4b39-9437-f2a0d7f476a0	0d4320ea-1313-4135-860b-2f86a44ca5e2	CHILLER
a44b139d-bc30-4b39-9437-f2a0d7f476a0	d9578a0f-6b6c-4b4d-a74a-17c593d3b2d2	AIR_COOLED_CHILLER
a44b139d-bc30-4b39-9437-f2a0d7f476a0	4fafdf16-788e-4113-a28a-d484284f0af6	COOLING_TOWER
a44b139d-bc30-4b39-9437-f2a0d7f476a0	b0ed17cf-0db4-4e66-8303-54e80a95d624	DRY_COOLER
a44b139d-bc30-4b39-9437-f2a0d7f476a0	72590b11-80d7-4f65-9842-a53f2552cbd9	REMOTE_CONDENSER
a44b139d-bc30-4b39-9437-f2a0d7f476a0	fd6de570-60e8-4a03-87ee-456283bab7c4	CHILLED_WATER_PUMPS
a44b139d-bc30-4b39-9437-f2a0d7f476a0	246d7d17-5f89-4219-8e4b-231016aab3ec	HEAT_REJECTION_PUMPS
a44b139d-bc30-4b39-9437-f2a0d7f476a0	de578959-43e6-4d29-bdda-dd5e78ea8315	VENTILATION
a44b139d-bc30-4b39-9437-f2a0d7f476a0	45f54776-ead6-4f94-9169-6ea2b53db7bf	INFILTRATION
a44b139d-bc30-4b39-9437-f2a0d7f476a0	03add5e9-3b10-4f47-8e1a-19722fe718a2	IT_LOAD
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	e79bef81-1a08-4931-854a-413e03f9ee11	SWITCHGEAR
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	2d55b547-1234-4c09-abcf-986c8161a0c8	GENERATOR
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	446ef50a-7d2c-4d75-a5b7-9ff1c9a3f258	PRIMARY_AUXILIARIES
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	d5d6820d-007b-4ec0-9bf2-763be5d8e45a	UPS
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	86531672-203e-4545-9145-4a87869b9628	CRITICAL_AUXILIARIES
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	517c7eb0-194f-4788-8753-98af2ed0567c	LIGHTING
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	ea7b5da6-cf2b-4836-acad-eabaf54fcb77	CRITICAL_POWER_DISTRIBUTION
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	939aa270-4962-41f6-9d53-137383a1c33d	CRAH
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	b057b47e-4fb7-445e-9020-5823d6f228ce	CRAC
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	609a7baf-6a11-4ca4-a97d-a873fe805196	CRAC_WITHOUT_FAN
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	a45126c5-612c-4c0e-b34b-eeb3aa388584	CRAC_FAN
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	12179bb6-8d62-4f51-a950-03c12b3936a7	CHILLER
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	c6872e95-6aea-4083-bf0c-2785df284a99	AIR_COOLED_CHILLER
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	0bd034f2-3aed-4847-9c2d-e6f5bcf368fe	COOLING_TOWER
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	26df401c-4ca2-4171-9236-91f99c7165e4	DRY_COOLER
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	ed797ac5-297c-4a25-9e8e-8e250c0d0b74	REMOTE_CONDENSER
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	d0fca19d-e0d3-4912-aa41-07c736f7ef1b	CHILLED_WATER_PUMPS
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	29d6f208-e292-42cb-b869-e7b5924465d3	HEAT_REJECTION_PUMPS
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	b33a662d-94b9-4708-96e1-4bfeba3f4776	VENTILATION
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	466e508e-4030-43aa-a522-b15e80db8378	INFILTRATION
fbb181e9-4adb-4b2d-9e6c-088bcbab0b1e	09840754-4f77-4282-a5f8-2bf55a3f68bf	IT_LOAD
85274e65-5ff6-4cb6-886d-12477cb33d34	53ec02f9-b38b-4c24-a43c-25a07981ee1c	SWITCHGEAR
85274e65-5ff6-4cb6-886d-12477cb33d34	2a88243c-6297-4efc-8652-a1277859dceb	GENERATOR
85274e65-5ff6-4cb6-886d-12477cb33d34	b26336e4-50b6-456b-9805-c8eb857dc015	PRIMARY_AUXILIARIES
85274e65-5ff6-4cb6-886d-12477cb33d34	83a5e652-ffc5-4382-8eec-44a944fd533f	UPS
85274e65-5ff6-4cb6-886d-12477cb33d34	6a84a6f4-82bd-4916-9a66-bac712048056	CRITICAL_AUXILIARIES
85274e65-5ff6-4cb6-886d-12477cb33d34	be7f19c5-1b0c-406f-a8f7-8c2d1a84ea78	LIGHTING
85274e65-5ff6-4cb6-886d-12477cb33d34	d12c2cb4-9572-4a5a-9b7a-6c53c67ddca4	CRITICAL_POWER_DISTRIBUTION
85274e65-5ff6-4cb6-886d-12477cb33d34	6ef69307-70d1-42d7-964a-d205db043a6f	CRAH
85274e65-5ff6-4cb6-886d-12477cb33d34	8ca85490-d27d-41d7-94ae-9fb0102673ca	CRAC
85274e65-5ff6-4cb6-886d-12477cb33d34	4397997c-b47d-4a13-b140-51e2a0f2b315	CRAC_WITHOUT_FAN
85274e65-5ff6-4cb6-886d-12477cb33d34	62c5e55e-be74-40ea-9cc8-7a974b5164db	CRAC_FAN
85274e65-5ff6-4cb6-886d-12477cb33d34	dbf78ec6-fdb7-4fd9-907f-1502cd38dec8	CHILLER
85274e65-5ff6-4cb6-886d-12477cb33d34	0fb82bf5-9ad4-43dd-a26a-e671c6fd5461	AIR_COOLED_CHILLER
85274e65-5ff6-4cb6-886d-12477cb33d34	22e65969-39d2-41d0-9b56-a9f10a72df66	COOLING_TOWER
85274e65-5ff6-4cb6-886d-12477cb33d34	1e8a26cc-c252-428e-85ee-09153e95f35c	DRY_COOLER
85274e65-5ff6-4cb6-886d-12477cb33d34	a4cea2c5-c517-4092-9624-b360b4948d6a	REMOTE_CONDENSER
85274e65-5ff6-4cb6-886d-12477cb33d34	86e93f52-19e0-4712-954d-bd1203147ae7	CHILLED_WATER_PUMPS
85274e65-5ff6-4cb6-886d-12477cb33d34	a254be30-5bd8-4e9a-b271-17212f4181b3	HEAT_REJECTION_PUMPS
85274e65-5ff6-4cb6-886d-12477cb33d34	111cf014-694c-41d8-a3ec-0730159e4c18	VENTILATION
85274e65-5ff6-4cb6-886d-12477cb33d34	8c9fc0aa-01bf-49cd-8526-58d249bb24d7	INFILTRATION
85274e65-5ff6-4cb6-886d-12477cb33d34	45025b55-14c9-4dac-a6c0-520057fdc811	IT_LOAD
1c6b4bd9-155f-478a-85b1-5455434ed659	3fc350ee-9d9c-48de-96ee-b97864b5c44f	SWITCHGEAR
1c6b4bd9-155f-478a-85b1-5455434ed659	10b6f3c2-2f9e-4c52-ba84-4fe0e074680f	GENERATOR
1c6b4bd9-155f-478a-85b1-5455434ed659	daac8ea6-7fd7-4165-84f1-0e4b0e877537	PRIMARY_AUXILIARIES
1c6b4bd9-155f-478a-85b1-5455434ed659	4fa0d41a-bda7-4bca-808c-681ef9739807	UPS
1c6b4bd9-155f-478a-85b1-5455434ed659	503ddb29-11c5-4ebc-a402-49253b45c28b	CRITICAL_AUXILIARIES
1c6b4bd9-155f-478a-85b1-5455434ed659	0e44fe5b-e169-4376-af5c-432423aaa56e	LIGHTING
1c6b4bd9-155f-478a-85b1-5455434ed659	9d1b8e85-6e33-4db9-ab73-739d08c3983b	CRITICAL_POWER_DISTRIBUTION
1c6b4bd9-155f-478a-85b1-5455434ed659	055b06ae-0bc6-41e9-8c31-f4e494f706bf	CRAH
1c6b4bd9-155f-478a-85b1-5455434ed659	25a78414-3f10-42c2-b0cd-a2bd89b37237	CRAC
1c6b4bd9-155f-478a-85b1-5455434ed659	99ea270e-0148-41da-9435-3c309904c801	CRAC_WITHOUT_FAN
1c6b4bd9-155f-478a-85b1-5455434ed659	623998d1-aa9c-41be-9ed0-c3ecd9bfd4ca	CRAC_FAN
1c6b4bd9-155f-478a-85b1-5455434ed659	78d9029a-8951-444c-9374-ca808d135db1	CHILLER
1c6b4bd9-155f-478a-85b1-5455434ed659	d57bcdb1-b152-49b5-99c5-470fbdfb37c4	AIR_COOLED_CHILLER
1c6b4bd9-155f-478a-85b1-5455434ed659	a9006f06-f720-4f5f-b005-0980a74f2928	COOLING_TOWER
1c6b4bd9-155f-478a-85b1-5455434ed659	d44a8ad5-04a0-449c-bbe3-d105b03294cb	DRY_COOLER
1c6b4bd9-155f-478a-85b1-5455434ed659	71729b87-0823-4aeb-aabc-9e884c9024ff	REMOTE_CONDENSER
1c6b4bd9-155f-478a-85b1-5455434ed659	4490be7d-9577-4aa0-a08d-97aaa9e0722d	CHILLED_WATER_PUMPS
1c6b4bd9-155f-478a-85b1-5455434ed659	94e0e1be-09b8-49f2-a36b-000b2fba32e0	HEAT_REJECTION_PUMPS
1c6b4bd9-155f-478a-85b1-5455434ed659	a854c800-876e-42c5-8de9-f4e103e9a8e7	VENTILATION
1c6b4bd9-155f-478a-85b1-5455434ed659	38c413e8-6d99-462f-82fe-6adf529c30bc	INFILTRATION
1c6b4bd9-155f-478a-85b1-5455434ed659	9226f8b3-bbf8-43e5-84ac-319285d8bf9a	IT_LOAD
b629342f-d71c-4d4a-93e7-d09244507449	a6b02710-82f3-4edb-9ae9-d1ff1579bef5	SWITCHGEAR
b629342f-d71c-4d4a-93e7-d09244507449	722ab1fc-ddbd-4c85-9f4f-67afb20b5eea	GENERATOR
b629342f-d71c-4d4a-93e7-d09244507449	ab4ab199-dff2-403c-a768-804324f437ef	PRIMARY_AUXILIARIES
b629342f-d71c-4d4a-93e7-d09244507449	30200520-db10-441a-a419-3d15a2f6cd1e	UPS
b629342f-d71c-4d4a-93e7-d09244507449	8fcb27c8-e500-428f-b8bf-d7509800a874	CRITICAL_AUXILIARIES
b629342f-d71c-4d4a-93e7-d09244507449	8dbf923f-e07c-4b07-9970-637ef454cb2a	LIGHTING
b629342f-d71c-4d4a-93e7-d09244507449	0a30f4f9-fb30-4bbb-bc3b-286f88b637d6	CRITICAL_POWER_DISTRIBUTION
b629342f-d71c-4d4a-93e7-d09244507449	60ed5265-4ddc-4841-9162-7b722329f7a3	CRAH
b629342f-d71c-4d4a-93e7-d09244507449	518887bd-6fc8-41bd-8c2f-f38a97c27d68	CRAC
b629342f-d71c-4d4a-93e7-d09244507449	c73596f5-bce8-4657-932a-e138c648c3bc	CRAC_WITHOUT_FAN
b629342f-d71c-4d4a-93e7-d09244507449	bd443712-48ec-4c21-a61c-8f16a9fdeaf8	CRAC_FAN
b629342f-d71c-4d4a-93e7-d09244507449	6495fa43-6f64-4e97-993b-5a228d0f5bd4	CHILLER
b629342f-d71c-4d4a-93e7-d09244507449	1b714b03-8f18-48de-a9c8-a21f9f07aaff	AIR_COOLED_CHILLER
b629342f-d71c-4d4a-93e7-d09244507449	7f05907c-8f62-458a-8ecb-f7a3d015ff24	COOLING_TOWER
b629342f-d71c-4d4a-93e7-d09244507449	59a10f14-6b4c-45a3-8b0d-a32c5c703080	DRY_COOLER
b629342f-d71c-4d4a-93e7-d09244507449	2f0d78f6-55c4-40a6-8f35-6d2799e3a4de	REMOTE_CONDENSER
b629342f-d71c-4d4a-93e7-d09244507449	a81d527b-fecb-4356-ba92-33137acec5d9	CHILLED_WATER_PUMPS
b629342f-d71c-4d4a-93e7-d09244507449	4d7e7c09-5d53-4826-925b-d7fe3e55c5bb	HEAT_REJECTION_PUMPS
b629342f-d71c-4d4a-93e7-d09244507449	2b3870f0-541b-485c-b083-20ca0ab950f8	VENTILATION
b629342f-d71c-4d4a-93e7-d09244507449	a4f33f49-567f-4d0a-9cfd-331a8c50aecd	INFILTRATION
b629342f-d71c-4d4a-93e7-d09244507449	37903581-7281-4bb0-acff-6af567566593	IT_LOAD
56c7c1b1-0442-461c-b0a6-7d8941a672f0	3849e34f-8781-4b5e-8b09-02f4a2fa3e7f	SWITCHGEAR
56c7c1b1-0442-461c-b0a6-7d8941a672f0	ad80ecaa-9583-461d-a021-7eb6c29f2f0c	GENERATOR
56c7c1b1-0442-461c-b0a6-7d8941a672f0	c28452b8-1e72-4ee5-b7ff-4cc2e47e8ab9	PRIMARY_AUXILIARIES
56c7c1b1-0442-461c-b0a6-7d8941a672f0	0d25b653-95dd-402e-87d6-1ad1bc9307f4	UPS
56c7c1b1-0442-461c-b0a6-7d8941a672f0	b078625a-5002-43a0-859f-ab15c61cfbed	CRITICAL_AUXILIARIES
56c7c1b1-0442-461c-b0a6-7d8941a672f0	b8741899-de4a-43c7-99a0-3a264a741407	LIGHTING
56c7c1b1-0442-461c-b0a6-7d8941a672f0	8fdc6cf3-b3db-431c-9551-d9dc90bf7edd	CRITICAL_POWER_DISTRIBUTION
56c7c1b1-0442-461c-b0a6-7d8941a672f0	1cc70934-b957-473c-b28e-2d4e633384f1	CRAH
56c7c1b1-0442-461c-b0a6-7d8941a672f0	59777581-e194-4956-b57c-cf09a029668f	CRAC
56c7c1b1-0442-461c-b0a6-7d8941a672f0	d0f8dbe4-dcd2-4560-8cad-999a89317018	CRAC_WITHOUT_FAN
56c7c1b1-0442-461c-b0a6-7d8941a672f0	82058127-1b41-487c-9824-66ea34008055	CRAC_FAN
56c7c1b1-0442-461c-b0a6-7d8941a672f0	3b15a8b7-9f0d-4c85-ba41-ca99bf8930df	CHILLER
56c7c1b1-0442-461c-b0a6-7d8941a672f0	9c5137fc-94a0-4442-9184-60192a8d7bdc	AIR_COOLED_CHILLER
56c7c1b1-0442-461c-b0a6-7d8941a672f0	479599b8-6de5-4cdd-bbc9-0c527e64c6b5	COOLING_TOWER
56c7c1b1-0442-461c-b0a6-7d8941a672f0	e67f19f5-2719-41be-b427-ee9a0b044092	DRY_COOLER
56c7c1b1-0442-461c-b0a6-7d8941a672f0	e01d64af-f3f2-4bd9-8989-d72491ad11de	REMOTE_CONDENSER
56c7c1b1-0442-461c-b0a6-7d8941a672f0	5924c2f6-7401-42a1-b04e-c81aedd319e6	CHILLED_WATER_PUMPS
56c7c1b1-0442-461c-b0a6-7d8941a672f0	6cb08471-1773-45dc-b505-e5334accdeec	HEAT_REJECTION_PUMPS
56c7c1b1-0442-461c-b0a6-7d8941a672f0	a38ca041-0ea8-4766-85a5-19bbc2b34113	VENTILATION
56c7c1b1-0442-461c-b0a6-7d8941a672f0	ec4acf6c-9259-432d-aa70-8e5cf9728435	INFILTRATION
56c7c1b1-0442-461c-b0a6-7d8941a672f0	d52f41f4-9504-4c5b-b3c8-7bb6bec240bd	IT_LOAD
5295e9bb-9aed-45a2-a020-4095c4bd0145	ad5a6f35-e111-4f97-bf95-3bbad39aef62	SWITCHGEAR
5295e9bb-9aed-45a2-a020-4095c4bd0145	4436ae25-6c7e-483e-9b9b-c0c42274ef59	GENERATOR
5295e9bb-9aed-45a2-a020-4095c4bd0145	8c5b3ccc-c509-4e49-9a8a-16ce10577e18	PRIMARY_AUXILIARIES
5295e9bb-9aed-45a2-a020-4095c4bd0145	ba3ac92f-bfb8-42cc-83e1-ec20da36eb72	UPS
5295e9bb-9aed-45a2-a020-4095c4bd0145	109f427d-06d4-4065-b715-d290dee64312	CRITICAL_AUXILIARIES
5295e9bb-9aed-45a2-a020-4095c4bd0145	5e247f57-3cc2-4c9f-8488-68d5dad3f56f	LIGHTING
5295e9bb-9aed-45a2-a020-4095c4bd0145	72155a63-732d-49b2-acf8-5ed2b86e4dc7	CRITICAL_POWER_DISTRIBUTION
5295e9bb-9aed-45a2-a020-4095c4bd0145	00ce84fb-4d74-41cb-8569-716de9c182ad	CRAH
5295e9bb-9aed-45a2-a020-4095c4bd0145	e8f9776a-4451-4ca1-a5ec-b513535ac923	CRAC
5295e9bb-9aed-45a2-a020-4095c4bd0145	46d3a52c-0770-4e7b-a127-78cc2162c072	CRAC_WITHOUT_FAN
5295e9bb-9aed-45a2-a020-4095c4bd0145	32f51bb1-e922-4ee8-826e-2d50db6f771e	CRAC_FAN
5295e9bb-9aed-45a2-a020-4095c4bd0145	f7c146c5-c06d-4271-9c4f-39c414f51a91	CHILLER
5295e9bb-9aed-45a2-a020-4095c4bd0145	ebf21f0e-e146-48c2-b93f-8578061147cb	AIR_COOLED_CHILLER
5295e9bb-9aed-45a2-a020-4095c4bd0145	435924b5-2c6a-4803-9062-9e9943fad021	COOLING_TOWER
5295e9bb-9aed-45a2-a020-4095c4bd0145	43bdc2a1-4c8b-4e34-a9f6-3937da392cc5	DRY_COOLER
5295e9bb-9aed-45a2-a020-4095c4bd0145	0d2acd96-0738-4ec4-a8c2-16d6ada4cfa2	REMOTE_CONDENSER
5295e9bb-9aed-45a2-a020-4095c4bd0145	e3284e5c-c3ae-4246-9cba-a70d2b79ddb9	CHILLED_WATER_PUMPS
5295e9bb-9aed-45a2-a020-4095c4bd0145	c5d59149-b39e-4226-a1fd-8e90efef7620	HEAT_REJECTION_PUMPS
5295e9bb-9aed-45a2-a020-4095c4bd0145	e8fe2245-3b82-40a2-baee-15a92244144f	VENTILATION
5295e9bb-9aed-45a2-a020-4095c4bd0145	174a4366-0a15-423b-8dc1-4becb98ad344	INFILTRATION
5295e9bb-9aed-45a2-a020-4095c4bd0145	f3db2572-abad-49ba-aed0-8dde76c1491c	IT_LOAD
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	171b026c-beac-4753-9c79-3eeff22db5f8	SWITCHGEAR
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	61c08245-9491-4393-aaa8-0b554062852d	GENERATOR
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	27a10f09-4bcf-4e8e-a1e6-e488cde8d788	PRIMARY_AUXILIARIES
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	d0d7e883-a0e0-43ec-a48f-c1134b994283	UPS
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	8eaf21cc-c635-4c2e-b6a4-e23309a44a70	CRITICAL_AUXILIARIES
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	97a572a0-fa5b-45a2-aa74-c520ff14bafc	LIGHTING
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	9bc891ac-c2cf-46e4-a525-e2d1bd6a29a8	CRITICAL_POWER_DISTRIBUTION
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	89df2425-842d-40a4-80ef-01fc041ba31e	CRAH
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	d389c711-4031-4a92-9228-17093eb7ce58	CRAC
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	9282a972-531f-472a-a664-26d1db28f749	CRAC_WITHOUT_FAN
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	7a2db3ba-31e4-47fe-882c-4bb5c8c56091	CRAC_FAN
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	f76c94b8-c01f-4c3a-9148-afd8d4a01935	CHILLER
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	1001d801-9dc9-4a16-8b60-92ebcc77f329	AIR_COOLED_CHILLER
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	90a9f21d-b5aa-464b-9a0e-0892c0e2a38d	COOLING_TOWER
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	ce6f9562-c3d0-4c14-8660-58b34f0569ce	DRY_COOLER
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	5311fd2b-49be-4a01-8d0b-ecd910e07067	REMOTE_CONDENSER
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	842012ee-8b64-4ca0-935b-c7843dadec5e	CHILLED_WATER_PUMPS
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	2004e1bb-70ef-42ea-9160-fda9d2f3cef6	HEAT_REJECTION_PUMPS
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	99822e7e-faec-4c4d-8998-024131e6086e	VENTILATION
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	b30e139d-e5d5-42b7-a82f-f6cf0d182dc0	INFILTRATION
fa9293f1-4144-4ffc-a0f0-89f05a58dc0d	b445cdb8-b1bd-4501-984b-f40c99196af6	IT_LOAD
8c78f497-f2dc-473b-84f9-823b94be1c8d	7fbb05ae-cfbe-488a-9b45-2af331bdc011	SWITCHGEAR
8c78f497-f2dc-473b-84f9-823b94be1c8d	776b944d-1e60-48d9-8235-c2a942cf3977	GENERATOR
8c78f497-f2dc-473b-84f9-823b94be1c8d	1984252a-d147-472c-ab43-f52b46fb85da	PRIMARY_AUXILIARIES
8c78f497-f2dc-473b-84f9-823b94be1c8d	fd147f13-a9c1-4a0b-840b-d6aef4d99379	UPS
8c78f497-f2dc-473b-84f9-823b94be1c8d	ad795cbe-5bd2-4088-8aed-34ff3f009b9e	CRITICAL_AUXILIARIES
8c78f497-f2dc-473b-84f9-823b94be1c8d	2f111429-ece8-478f-8dce-c0b61936ce6d	LIGHTING
8c78f497-f2dc-473b-84f9-823b94be1c8d	55c131d8-774c-4cc1-addf-5cac851e32e9	CRITICAL_POWER_DISTRIBUTION
8c78f497-f2dc-473b-84f9-823b94be1c8d	121eba83-8ff3-42d5-aee6-f469a4782fe4	CRAH
8c78f497-f2dc-473b-84f9-823b94be1c8d	496d0cd2-36cc-4e40-99d5-c041a45a1ab6	CRAC
8c78f497-f2dc-473b-84f9-823b94be1c8d	118d4360-8408-45bb-a4c4-6502d4608408	CRAC_WITHOUT_FAN
8c78f497-f2dc-473b-84f9-823b94be1c8d	743fffe7-be49-41ae-8ffb-210b46f57457	CRAC_FAN
8c78f497-f2dc-473b-84f9-823b94be1c8d	5e42f9da-61ab-4624-9eb0-c36bfbe7d9cb	CHILLER
8c78f497-f2dc-473b-84f9-823b94be1c8d	24870dc2-d045-4422-b281-a45a8282ada9	AIR_COOLED_CHILLER
8c78f497-f2dc-473b-84f9-823b94be1c8d	0a0497cb-e6ab-4f97-8ad8-e4ddbe12a5f5	COOLING_TOWER
8c78f497-f2dc-473b-84f9-823b94be1c8d	6e604dea-f8d0-49bd-9c05-0df497c9b5c9	DRY_COOLER
8c78f497-f2dc-473b-84f9-823b94be1c8d	52ebb939-97de-43a4-b914-9602656113b3	REMOTE_CONDENSER
8c78f497-f2dc-473b-84f9-823b94be1c8d	0dab4ce9-6d65-41ae-9784-25230780576e	CHILLED_WATER_PUMPS
8c78f497-f2dc-473b-84f9-823b94be1c8d	aac7e69b-5075-403b-8384-af2e0964247c	HEAT_REJECTION_PUMPS
8c78f497-f2dc-473b-84f9-823b94be1c8d	cdfec078-a704-4952-b844-e8f212178d3e	VENTILATION
8c78f497-f2dc-473b-84f9-823b94be1c8d	2ede3212-b991-4779-a520-ee4f90ffaba4	INFILTRATION
8c78f497-f2dc-473b-84f9-823b94be1c8d	255cc249-1e1a-4635-b466-d40b4cbd7bea	IT_LOAD
02af8450-7ae7-4665-8870-f5e86d17214e	3e508f8e-aae6-42d9-9b59-3f9307d4ae58	SWITCHGEAR
02af8450-7ae7-4665-8870-f5e86d17214e	26a84df4-4aab-41d4-b268-d4f8f5e8906a	GENERATOR
02af8450-7ae7-4665-8870-f5e86d17214e	6a122186-86ca-49ea-b501-ca5978e92088	PRIMARY_AUXILIARIES
02af8450-7ae7-4665-8870-f5e86d17214e	6ae4da30-f157-4ccf-9f4a-b70444b71076	UPS
02af8450-7ae7-4665-8870-f5e86d17214e	ddf67ffa-d3ce-4898-9aaf-39f78a0ca5dd	CRITICAL_AUXILIARIES
02af8450-7ae7-4665-8870-f5e86d17214e	476b41c2-b265-4ff8-af13-812cc4bc411b	LIGHTING
02af8450-7ae7-4665-8870-f5e86d17214e	a9b713bd-50fb-4098-8b93-54ed09b9855c	CRITICAL_POWER_DISTRIBUTION
02af8450-7ae7-4665-8870-f5e86d17214e	dcd14138-24bf-4f75-9a1c-2c3916ee73d7	CRAH
02af8450-7ae7-4665-8870-f5e86d17214e	e325ef71-f0fc-42f9-bb6f-79c508e5b1f5	CRAC
02af8450-7ae7-4665-8870-f5e86d17214e	8a642bff-0226-40db-bff8-299b217b801a	CRAC_WITHOUT_FAN
02af8450-7ae7-4665-8870-f5e86d17214e	4bdb39a2-7b64-4e81-af29-cd721ebf55bf	CRAC_FAN
02af8450-7ae7-4665-8870-f5e86d17214e	b3495d49-dd21-4bda-8cbb-871c49f1a5ec	CHILLER
02af8450-7ae7-4665-8870-f5e86d17214e	88f91520-681b-43b6-b718-c7e76d97ea97	AIR_COOLED_CHILLER
02af8450-7ae7-4665-8870-f5e86d17214e	dfe8cffc-72d3-4ca0-bc08-dbc0088aecf7	COOLING_TOWER
02af8450-7ae7-4665-8870-f5e86d17214e	ccaaf1cd-8b11-4fec-a0c3-251161d1ea8f	DRY_COOLER
02af8450-7ae7-4665-8870-f5e86d17214e	823bf0f7-2354-4c09-bfcf-0d0a3002e1b9	REMOTE_CONDENSER
02af8450-7ae7-4665-8870-f5e86d17214e	1c11fc60-82aa-4d55-9db4-34c958cb2686	CHILLED_WATER_PUMPS
02af8450-7ae7-4665-8870-f5e86d17214e	c5806519-de18-44ca-a0ec-e6b7e01b2134	HEAT_REJECTION_PUMPS
02af8450-7ae7-4665-8870-f5e86d17214e	5ba69ed3-2e4c-4746-aa8c-6f7bdb72f091	VENTILATION
02af8450-7ae7-4665-8870-f5e86d17214e	debe4470-89d7-48c0-bf45-52cc229b672a	INFILTRATION
02af8450-7ae7-4665-8870-f5e86d17214e	5bf828cf-e59e-464d-9aba-2accacf1d679	IT_LOAD
bb1e5afd-ef40-4f95-abb0-368ad00adf71	5e9381ac-dc2d-411f-a83b-78ffbae9c4a6	SWITCHGEAR
bb1e5afd-ef40-4f95-abb0-368ad00adf71	2f18123b-b7b4-471d-a312-833146567017	GENERATOR
bb1e5afd-ef40-4f95-abb0-368ad00adf71	612d0b9f-fb4d-40cf-a627-579ac2d336c4	PRIMARY_AUXILIARIES
bb1e5afd-ef40-4f95-abb0-368ad00adf71	f4b7d3f6-d2ca-4e08-a327-7c731f37be9f	UPS
bb1e5afd-ef40-4f95-abb0-368ad00adf71	5e9e668e-2610-4407-a9b8-2253ff3acfc2	CRITICAL_AUXILIARIES
bb1e5afd-ef40-4f95-abb0-368ad00adf71	2d1e605c-ec3f-40f7-8c05-d88b7509ac11	LIGHTING
bb1e5afd-ef40-4f95-abb0-368ad00adf71	2a9fd03b-ba56-4a84-b589-ee24a5f38239	CRITICAL_POWER_DISTRIBUTION
bb1e5afd-ef40-4f95-abb0-368ad00adf71	c4154539-72e3-4ef3-a9cf-f8819bace4c1	CRAH
bb1e5afd-ef40-4f95-abb0-368ad00adf71	afcbfc23-699c-4a96-8d21-9287a06462fb	CRAC
bb1e5afd-ef40-4f95-abb0-368ad00adf71	6a70eeb6-a359-49d8-81fd-4c86c0cca7e8	CRAC_WITHOUT_FAN
bb1e5afd-ef40-4f95-abb0-368ad00adf71	547921e8-651a-4e30-ad04-d14a8aee4b4c	CRAC_FAN
bb1e5afd-ef40-4f95-abb0-368ad00adf71	23b726de-4851-4568-af62-05c29eb2f8a7	CHILLER
bb1e5afd-ef40-4f95-abb0-368ad00adf71	81fac70b-9aad-429f-813a-2cb5e01a555c	AIR_COOLED_CHILLER
bb1e5afd-ef40-4f95-abb0-368ad00adf71	e8fdcd98-d08d-40f1-8372-5f221a3bf8f5	COOLING_TOWER
bb1e5afd-ef40-4f95-abb0-368ad00adf71	80b16b21-7919-46aa-8aad-4875f870443d	DRY_COOLER
bb1e5afd-ef40-4f95-abb0-368ad00adf71	4fd140e1-62b3-49ba-8f13-43ecec132b75	REMOTE_CONDENSER
bb1e5afd-ef40-4f95-abb0-368ad00adf71	f6a8b832-8f40-4d6e-af8c-97ce30c46b4f	CHILLED_WATER_PUMPS
bb1e5afd-ef40-4f95-abb0-368ad00adf71	d1faa750-1f4b-4f2f-b2f6-0313c6654156	HEAT_REJECTION_PUMPS
bb1e5afd-ef40-4f95-abb0-368ad00adf71	46476fd6-a744-4d68-a313-c90242ee18ac	VENTILATION
bb1e5afd-ef40-4f95-abb0-368ad00adf71	74b4ed2d-e410-4ba2-8f27-2241e2c136e9	INFILTRATION
bb1e5afd-ef40-4f95-abb0-368ad00adf71	0005ecb1-76f9-47e7-8f37-7a44c3c05665	IT_LOAD
88867e5f-286e-468d-be7a-3a65c28d0527	a63f96e0-fcba-4e3a-b6f8-4b40f3c6a5a4	SWITCHGEAR
88867e5f-286e-468d-be7a-3a65c28d0527	75ac4234-c487-48c4-9caf-79c08fd17572	GENERATOR
88867e5f-286e-468d-be7a-3a65c28d0527	1d0b0523-7532-4252-8974-060c23f946b9	PRIMARY_AUXILIARIES
88867e5f-286e-468d-be7a-3a65c28d0527	b8d713b7-3dcd-4632-bc4b-61c23da2c1b8	UPS
88867e5f-286e-468d-be7a-3a65c28d0527	03a42b7f-cd26-4e03-a0bd-9307014e212b	CRITICAL_AUXILIARIES
88867e5f-286e-468d-be7a-3a65c28d0527	b1273f94-fae6-478e-ab12-994def9bcd8d	LIGHTING
88867e5f-286e-468d-be7a-3a65c28d0527	204c4699-f693-4cc0-a7ea-9afef485ba3c	CRITICAL_POWER_DISTRIBUTION
88867e5f-286e-468d-be7a-3a65c28d0527	2478fec4-a939-4b7f-b84f-1d7202620225	CRAH
88867e5f-286e-468d-be7a-3a65c28d0527	5a954937-c4ed-4861-a670-82cbf1944019	CRAC
88867e5f-286e-468d-be7a-3a65c28d0527	4a39a680-6bcf-4fb4-8341-d1e552d04a62	CRAC_WITHOUT_FAN
88867e5f-286e-468d-be7a-3a65c28d0527	494168d7-651e-480a-93c3-cf55ec7a862a	CRAC_FAN
88867e5f-286e-468d-be7a-3a65c28d0527	6e5afb38-324e-48e9-ab4f-bde7d0559834	CHILLER
88867e5f-286e-468d-be7a-3a65c28d0527	7069cf4d-963e-4765-b6ee-fccb735308b5	AIR_COOLED_CHILLER
88867e5f-286e-468d-be7a-3a65c28d0527	9bddcf9a-d7f8-479e-8089-ee70596d7fc1	COOLING_TOWER
88867e5f-286e-468d-be7a-3a65c28d0527	7c32f9a3-6e48-4812-b6f3-348f5b681249	DRY_COOLER
88867e5f-286e-468d-be7a-3a65c28d0527	fd9538a2-dade-4ef1-bb20-265209872649	REMOTE_CONDENSER
88867e5f-286e-468d-be7a-3a65c28d0527	1a975726-aa49-4d4d-9d74-e6def225ed64	CHILLED_WATER_PUMPS
88867e5f-286e-468d-be7a-3a65c28d0527	5bb547c8-501c-4d59-a4dc-d22a3098b0ec	HEAT_REJECTION_PUMPS
88867e5f-286e-468d-be7a-3a65c28d0527	835eadb2-f503-44a9-894b-a4cc129de8ef	VENTILATION
88867e5f-286e-468d-be7a-3a65c28d0527	7a7e95d5-04f1-42ee-bc5b-c4ab164c7039	INFILTRATION
88867e5f-286e-468d-be7a-3a65c28d0527	f1a53084-5399-4b65-b4aa-d26c6021ef3b	IT_LOAD
57db9277-1c0d-4cfa-ad41-04c306ceeb17	db29c525-6283-484b-8de1-65a2a552a58c	SWITCHGEAR
57db9277-1c0d-4cfa-ad41-04c306ceeb17	5c1cb1f0-1bc5-481a-9abb-60ac9dd5a8b2	GENERATOR
57db9277-1c0d-4cfa-ad41-04c306ceeb17	7bfab68e-b7d3-4f06-ba5e-44267f6c62f6	PRIMARY_AUXILIARIES
57db9277-1c0d-4cfa-ad41-04c306ceeb17	457c572b-0557-43d7-921c-62edfaca5617	UPS
57db9277-1c0d-4cfa-ad41-04c306ceeb17	528e3676-552e-476e-ab33-42f62f125af0	CRITICAL_AUXILIARIES
57db9277-1c0d-4cfa-ad41-04c306ceeb17	428e6401-284b-4afc-8494-0dd6344968a3	LIGHTING
57db9277-1c0d-4cfa-ad41-04c306ceeb17	42b425f1-566e-4197-a5d4-5765d8ab2ad9	CRITICAL_POWER_DISTRIBUTION
57db9277-1c0d-4cfa-ad41-04c306ceeb17	3b7ba510-ec01-4f67-a187-436c04ed64da	CRAH
57db9277-1c0d-4cfa-ad41-04c306ceeb17	27d6b630-a1ba-4633-907f-6eb18358c33a	CRAC
57db9277-1c0d-4cfa-ad41-04c306ceeb17	0542a290-626d-4f31-adff-d45a4b600f73	CRAC_WITHOUT_FAN
57db9277-1c0d-4cfa-ad41-04c306ceeb17	c0080e77-d2a2-4c23-b0e7-fd74d474e7ea	CRAC_FAN
57db9277-1c0d-4cfa-ad41-04c306ceeb17	ce806ea7-a69f-4acf-b214-e1b3dbe06258	CHILLER
57db9277-1c0d-4cfa-ad41-04c306ceeb17	4cfe7b77-a012-4dc5-a109-319a3efaa451	AIR_COOLED_CHILLER
57db9277-1c0d-4cfa-ad41-04c306ceeb17	b57b4abc-5486-4ed6-8491-94ffb4774771	COOLING_TOWER
57db9277-1c0d-4cfa-ad41-04c306ceeb17	7d0f9536-8139-461b-951c-297ed1b573c0	DRY_COOLER
57db9277-1c0d-4cfa-ad41-04c306ceeb17	b6918df0-13aa-4e14-9303-722f8bdf7fec	REMOTE_CONDENSER
57db9277-1c0d-4cfa-ad41-04c306ceeb17	7803bccf-0333-4f18-aa8f-388cc5997374	CHILLED_WATER_PUMPS
57db9277-1c0d-4cfa-ad41-04c306ceeb17	5965b266-04d8-47a8-8971-38740a74e08b	HEAT_REJECTION_PUMPS
57db9277-1c0d-4cfa-ad41-04c306ceeb17	ff07f8c4-ba26-4f73-b0f6-264e37114e2d	VENTILATION
57db9277-1c0d-4cfa-ad41-04c306ceeb17	0d5ddd22-e162-49cc-a0e6-76c094585e48	INFILTRATION
57db9277-1c0d-4cfa-ad41-04c306ceeb17	0aacadfe-8f0c-4273-950f-1623fd1f0293	IT_LOAD
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	2c71e951-d8e8-493c-aa04-e2f881cd3c95	SWITCHGEAR
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	3c7c5da4-064e-4eb0-9953-2316a3dfa2a5	GENERATOR
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	124a400d-1a3a-4fc4-84c2-fce6243414b0	PRIMARY_AUXILIARIES
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	df277263-436c-432b-891e-d8da7d480d40	UPS
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	ec600fc8-221f-420f-9b97-f41b418797c2	CRITICAL_AUXILIARIES
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	c1cc0256-befe-44fd-8135-116555d20e01	LIGHTING
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	182115b9-5751-454a-82e3-a3b533240d77	CRITICAL_POWER_DISTRIBUTION
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	68a50439-39e4-4117-8ca5-c3ea2ef12dc5	CRAH
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	2fef03c2-7b66-476f-8ae8-64b6d4c76a41	CRAC
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	600b06e1-480f-49b9-adae-3526cf7ad835	CRAC_WITHOUT_FAN
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	b817d986-f2b9-4912-82f7-cac00b5900b0	CRAC_FAN
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	00436b38-3617-47e8-8916-d10555b24f68	CHILLER
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	e7d067c5-6073-4d8e-9697-400700433da6	AIR_COOLED_CHILLER
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	2db25bdd-d735-4cce-b066-24d87f0ddb20	COOLING_TOWER
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	e0a349ad-0a04-43a0-8e73-00bf91f5c6e3	DRY_COOLER
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	0ce90dc0-ba20-4dce-bfc6-5e4cba407f21	REMOTE_CONDENSER
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	6a7af306-f9c0-4938-a7d3-5902732166ad	CHILLED_WATER_PUMPS
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	fc74b2ca-9726-414d-87b1-e1e6892be10c	HEAT_REJECTION_PUMPS
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	35c01057-6f38-4eea-8a4c-9eeb8dbdccfc	VENTILATION
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	6de645ef-5b5b-4a28-987d-a7ca1e7dd887	INFILTRATION
f3c5f8ee-df5b-48fe-b1c8-40eea12702d6	388d8a09-d1d5-416a-9060-39a7fcb45a70	IT_LOAD
268c0bdf-10cc-41c8-b4f4-752249f72b41	440acc3b-22e8-4f8b-abea-44f03253f857	SWITCHGEAR
268c0bdf-10cc-41c8-b4f4-752249f72b41	a63a509e-3512-4e44-9e5d-521ff42fa7e6	GENERATOR
268c0bdf-10cc-41c8-b4f4-752249f72b41	23a79100-f40d-4595-b087-d7cb3d825d27	PRIMARY_AUXILIARIES
268c0bdf-10cc-41c8-b4f4-752249f72b41	5eb1ebdd-b6e3-4542-b9c9-21b72c1a0db7	UPS
268c0bdf-10cc-41c8-b4f4-752249f72b41	072dced2-b569-46fd-b092-0ba20ea2b52e	CRITICAL_AUXILIARIES
268c0bdf-10cc-41c8-b4f4-752249f72b41	5ed0a7b5-2423-412f-b443-ac852223c1e1	LIGHTING
268c0bdf-10cc-41c8-b4f4-752249f72b41	f8fee609-5240-4231-a9c4-dd4dfc5b6f39	CRITICAL_POWER_DISTRIBUTION
268c0bdf-10cc-41c8-b4f4-752249f72b41	48044db0-3146-4a66-aae0-10da8ae9c160	CRAH
268c0bdf-10cc-41c8-b4f4-752249f72b41	b4bed262-b830-43fd-a72a-05061ea0b734	CRAC
268c0bdf-10cc-41c8-b4f4-752249f72b41	ffaa87b8-85ff-4795-914e-bf046c476aa7	CRAC_WITHOUT_FAN
268c0bdf-10cc-41c8-b4f4-752249f72b41	d3120aa4-0149-42a7-b8d6-ba8aa4c49364	CRAC_FAN
268c0bdf-10cc-41c8-b4f4-752249f72b41	d8e3f382-7113-4c1c-8283-b3ab8978d07b	CHILLER
268c0bdf-10cc-41c8-b4f4-752249f72b41	d72e12a1-a487-453e-86d2-0f4032ab1092	AIR_COOLED_CHILLER
268c0bdf-10cc-41c8-b4f4-752249f72b41	f16d80dd-7adb-4531-8e92-401dc75fba00	COOLING_TOWER
268c0bdf-10cc-41c8-b4f4-752249f72b41	8d2ac212-3ad2-4021-adde-e9f139686305	DRY_COOLER
268c0bdf-10cc-41c8-b4f4-752249f72b41	8bd4a0c6-1c47-42fb-b2c0-1e17680bfb4f	REMOTE_CONDENSER
268c0bdf-10cc-41c8-b4f4-752249f72b41	efa8a54d-662b-44e3-9a5e-b4e96622777e	CHILLED_WATER_PUMPS
268c0bdf-10cc-41c8-b4f4-752249f72b41	84dac3c1-c61c-4970-a97c-2713b0f3d298	HEAT_REJECTION_PUMPS
268c0bdf-10cc-41c8-b4f4-752249f72b41	cdf364db-e326-4893-883e-f4588a0d0cdc	VENTILATION
268c0bdf-10cc-41c8-b4f4-752249f72b41	4985daec-bc84-4756-a9b4-1f7a8df6188a	INFILTRATION
268c0bdf-10cc-41c8-b4f4-752249f72b41	9248fff5-e60a-44eb-940c-bd52e9e8d136	IT_LOAD
647780f3-3856-4ac4-a63e-a517133ddbac	3deef110-6529-4300-81d1-eb9071b2a88c	SWITCHGEAR
647780f3-3856-4ac4-a63e-a517133ddbac	51d6d105-c002-4302-b6d6-568c309d49b4	GENERATOR
647780f3-3856-4ac4-a63e-a517133ddbac	2eca8484-a6c1-40b9-a411-9a864bd4b52c	PRIMARY_AUXILIARIES
647780f3-3856-4ac4-a63e-a517133ddbac	2643a934-c465-4ad1-beef-7f07cd4e7ca9	UPS
647780f3-3856-4ac4-a63e-a517133ddbac	aaf34fbe-8a9d-4276-9c46-d94695f51e2d	CRITICAL_AUXILIARIES
647780f3-3856-4ac4-a63e-a517133ddbac	a1ddfe0a-14e9-4b83-806e-bcced1aaff9f	LIGHTING
647780f3-3856-4ac4-a63e-a517133ddbac	e257009f-9c1a-4a94-bef0-4e83bcb5a421	CRITICAL_POWER_DISTRIBUTION
647780f3-3856-4ac4-a63e-a517133ddbac	08722f69-e458-4f73-b62b-f02051679f27	CRAH
647780f3-3856-4ac4-a63e-a517133ddbac	e19d883f-335f-4a89-83b2-d5d1ac91cfc7	CRAC
647780f3-3856-4ac4-a63e-a517133ddbac	5625f3db-85de-48c5-aa4e-5c8a488d7af7	CRAC_WITHOUT_FAN
647780f3-3856-4ac4-a63e-a517133ddbac	f695384d-5f5b-4122-b5cf-1805452a68d1	CRAC_FAN
647780f3-3856-4ac4-a63e-a517133ddbac	55a0c4c2-1b2e-4800-8af2-48abd67cf17a	CHILLER
647780f3-3856-4ac4-a63e-a517133ddbac	b0444604-ed17-4bdd-8282-77c871371131	AIR_COOLED_CHILLER
647780f3-3856-4ac4-a63e-a517133ddbac	68182be6-aa33-4b7e-9b3a-6a3788bf42f1	COOLING_TOWER
647780f3-3856-4ac4-a63e-a517133ddbac	0afee0b1-deae-4537-8135-9cb192efa217	DRY_COOLER
647780f3-3856-4ac4-a63e-a517133ddbac	13d6ad04-f04e-4ce8-b6da-dba994fe82ec	REMOTE_CONDENSER
647780f3-3856-4ac4-a63e-a517133ddbac	b632f5d3-fde4-4e49-af12-c6d32121461c	CHILLED_WATER_PUMPS
647780f3-3856-4ac4-a63e-a517133ddbac	c1b55222-661d-42da-b54b-11fad25d7f63	HEAT_REJECTION_PUMPS
647780f3-3856-4ac4-a63e-a517133ddbac	ef0b6a7b-121a-441f-97a1-044e23dba749	VENTILATION
647780f3-3856-4ac4-a63e-a517133ddbac	817d411f-5d41-4d78-82ea-3d7a09cb44c2	INFILTRATION
647780f3-3856-4ac4-a63e-a517133ddbac	9513182b-0c70-4fa8-b8e1-2d5224efc080	IT_LOAD
b1053e30-881c-4788-8265-28f1146b3930	0e0a06b2-9d1c-4b23-8d87-9713bef72e75	SWITCHGEAR
b1053e30-881c-4788-8265-28f1146b3930	1ffc9b70-2014-44f2-9cc8-fdd84dda84cc	GENERATOR
b1053e30-881c-4788-8265-28f1146b3930	699335e4-29ac-4d55-8f52-2d1cc83b1d27	PRIMARY_AUXILIARIES
b1053e30-881c-4788-8265-28f1146b3930	399abca0-ffd5-4579-b662-50870337aa8d	UPS
b1053e30-881c-4788-8265-28f1146b3930	72884c5f-6f80-4676-8282-0911aed13d12	CRITICAL_AUXILIARIES
b1053e30-881c-4788-8265-28f1146b3930	610e7344-44aa-4767-92de-bf9530d0c7c4	LIGHTING
b1053e30-881c-4788-8265-28f1146b3930	b477e33e-715b-4ba6-a3e2-0528926e17f0	CRITICAL_POWER_DISTRIBUTION
b1053e30-881c-4788-8265-28f1146b3930	64a83b6c-a233-40c3-ad1c-02be6cae3d2a	CRAH
b1053e30-881c-4788-8265-28f1146b3930	e231f289-7884-4ccd-b235-30fd09501cbe	CRAC
b1053e30-881c-4788-8265-28f1146b3930	abfa69e6-8492-42dc-b1e2-610c3d483493	CRAC_WITHOUT_FAN
b1053e30-881c-4788-8265-28f1146b3930	bbae7169-14cf-4605-ac63-8df7bed65356	CRAC_FAN
b1053e30-881c-4788-8265-28f1146b3930	51e89f84-81d6-4aff-9f51-176dc5b348a1	CHILLER
b1053e30-881c-4788-8265-28f1146b3930	f82cfa90-ac86-4e0b-aa7d-a12f5bc71e77	AIR_COOLED_CHILLER
b1053e30-881c-4788-8265-28f1146b3930	d1ecbd06-b803-409a-92f5-62e914177bf6	COOLING_TOWER
b1053e30-881c-4788-8265-28f1146b3930	7c0b9fc0-f321-46d9-8097-08776e8c3d0a	DRY_COOLER
b1053e30-881c-4788-8265-28f1146b3930	e3607f83-3ec5-44af-a959-61d55f1d4d8d	REMOTE_CONDENSER
b1053e30-881c-4788-8265-28f1146b3930	25a00336-2202-49cb-af74-45785cb8f8cc	CHILLED_WATER_PUMPS
b1053e30-881c-4788-8265-28f1146b3930	e60e713b-7f60-4328-bf76-7942e276224f	HEAT_REJECTION_PUMPS
b1053e30-881c-4788-8265-28f1146b3930	6b97b7f0-32ec-4e91-8821-e26f2eda3ae1	VENTILATION
b1053e30-881c-4788-8265-28f1146b3930	e4c6fe91-52fc-4022-b295-f1bd6b6dc531	INFILTRATION
b1053e30-881c-4788-8265-28f1146b3930	08f846c2-1e1e-4eb5-97cf-69a5c3888303	IT_LOAD
6013f761-6b16-41c7-86d9-a8c8129807e0	784cf533-7730-4e29-b7c1-c69a5d4d495f	SWITCHGEAR
6013f761-6b16-41c7-86d9-a8c8129807e0	3260d7e2-df4e-482f-b1c9-2b116ceea782	GENERATOR
6013f761-6b16-41c7-86d9-a8c8129807e0	3c6a799f-1caf-4d7d-ac25-e5558d3962a0	PRIMARY_AUXILIARIES
6013f761-6b16-41c7-86d9-a8c8129807e0	8157873e-282e-4158-82e6-05deb67fe076	UPS
6013f761-6b16-41c7-86d9-a8c8129807e0	0acf86f1-2c3c-427f-bc06-7c13dca002ee	CRITICAL_AUXILIARIES
6013f761-6b16-41c7-86d9-a8c8129807e0	a6387781-32a5-4cad-a1d8-886854003df1	LIGHTING
6013f761-6b16-41c7-86d9-a8c8129807e0	d2f475c9-8bac-4998-921b-721d360649bb	CRITICAL_POWER_DISTRIBUTION
6013f761-6b16-41c7-86d9-a8c8129807e0	dedc9cda-6a4b-4f7a-bb9b-f9f1a438185e	CRAH
6013f761-6b16-41c7-86d9-a8c8129807e0	f5df1bb1-ba5a-4ea9-9e54-7e87a9187984	CRAC
6013f761-6b16-41c7-86d9-a8c8129807e0	a47d70fc-2cee-4423-898e-c42e8dc522dd	CRAC_WITHOUT_FAN
6013f761-6b16-41c7-86d9-a8c8129807e0	d2c8d851-2ca5-4e9d-9516-f920326f6605	CRAC_FAN
6013f761-6b16-41c7-86d9-a8c8129807e0	c5798b58-4a64-424c-af99-d30175b41d1d	CHILLER
6013f761-6b16-41c7-86d9-a8c8129807e0	a56a177a-d294-4566-b67e-060b672f889d	AIR_COOLED_CHILLER
6013f761-6b16-41c7-86d9-a8c8129807e0	26e391a8-ca28-4254-9e06-55d7ffb4fd3d	COOLING_TOWER
6013f761-6b16-41c7-86d9-a8c8129807e0	f30ec0f5-23bc-4f95-9753-45d7b5286d8e	DRY_COOLER
6013f761-6b16-41c7-86d9-a8c8129807e0	44b92542-6853-48fb-8913-714a254b238e	REMOTE_CONDENSER
6013f761-6b16-41c7-86d9-a8c8129807e0	d9d11166-ccc0-4337-a309-44790ace5200	CHILLED_WATER_PUMPS
6013f761-6b16-41c7-86d9-a8c8129807e0	4af41a5a-c233-4749-bc5a-9463e7dbcb90	HEAT_REJECTION_PUMPS
6013f761-6b16-41c7-86d9-a8c8129807e0	51391168-8ceb-4e59-9bbf-5fef6df4f9b9	VENTILATION
6013f761-6b16-41c7-86d9-a8c8129807e0	f1b11149-f3db-411f-9f4d-04034e68a600	INFILTRATION
6013f761-6b16-41c7-86d9-a8c8129807e0	a7f9d86c-75e6-43ec-b8be-3fafe08303f6	IT_LOAD
dac25683-344a-4520-9ea4-bf8859a042af	c04b52c7-4388-4125-9312-4a9a4bb3b699	SWITCHGEAR
dac25683-344a-4520-9ea4-bf8859a042af	6c088ee1-56da-48df-b1ef-681279830062	GENERATOR
dac25683-344a-4520-9ea4-bf8859a042af	1c67ff15-6499-4ea6-b600-ed836f03cf4d	PRIMARY_AUXILIARIES
dac25683-344a-4520-9ea4-bf8859a042af	0969d558-787e-470e-9544-19737a0f80e1	UPS
dac25683-344a-4520-9ea4-bf8859a042af	39f8d60d-b0de-4686-97bb-d46405abcad9	CRITICAL_AUXILIARIES
dac25683-344a-4520-9ea4-bf8859a042af	94d344b6-605f-4ab2-8487-26888986db4d	LIGHTING
dac25683-344a-4520-9ea4-bf8859a042af	cdb0c565-f79a-48a9-b8dd-f16271de33f6	CRITICAL_POWER_DISTRIBUTION
dac25683-344a-4520-9ea4-bf8859a042af	c018565a-a1fb-4522-b5c5-8428cfe3fbf9	CRAH
dac25683-344a-4520-9ea4-bf8859a042af	25e9aa1a-6687-4e6b-b59a-b5d1694f2a1b	CRAC
dac25683-344a-4520-9ea4-bf8859a042af	279e25e2-878f-4f99-9931-43b50e3c12cd	CRAC_WITHOUT_FAN
dac25683-344a-4520-9ea4-bf8859a042af	ed3e255d-ea43-4049-ac92-354525b88f04	CRAC_FAN
dac25683-344a-4520-9ea4-bf8859a042af	14e9aa77-e60c-42fc-85b8-e0d7cdd90d79	CHILLER
dac25683-344a-4520-9ea4-bf8859a042af	512c0a02-5871-4c59-b271-9850ab27cb7f	AIR_COOLED_CHILLER
dac25683-344a-4520-9ea4-bf8859a042af	a541adbd-2620-4af6-bea9-cc3497cf39e8	COOLING_TOWER
dac25683-344a-4520-9ea4-bf8859a042af	dced626f-224d-4c41-82cf-a600b93c29b8	DRY_COOLER
dac25683-344a-4520-9ea4-bf8859a042af	a28f4ff0-ece5-4d70-bff5-0bc031ed4903	REMOTE_CONDENSER
dac25683-344a-4520-9ea4-bf8859a042af	bb5dfaf6-4584-4647-8ab8-73e241fcf6a8	CHILLED_WATER_PUMPS
dac25683-344a-4520-9ea4-bf8859a042af	2a9fe8a5-242c-4a25-b741-ced374791869	HEAT_REJECTION_PUMPS
dac25683-344a-4520-9ea4-bf8859a042af	5a8e6ff5-09ce-4f5b-ac40-76e365d22630	VENTILATION
dac25683-344a-4520-9ea4-bf8859a042af	3ec4ca48-a1f8-4e8f-a7d8-3e19d022943c	INFILTRATION
dac25683-344a-4520-9ea4-bf8859a042af	0bb498c1-b676-41d1-a7d2-9fa9330e760a	IT_LOAD
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	886c2282-3bb2-494f-93ba-4d9210f0fd2b	SWITCHGEAR
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	4b86d3b5-530b-43c7-9fb8-f3f22513a26a	GENERATOR
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	7b139d85-16ba-4571-a6f7-73207a61f18e	PRIMARY_AUXILIARIES
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	a95f0141-a4f2-455a-9c8e-0717935d4207	UPS
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	38e3638f-5b54-4f22-bf65-d5044f6856af	CRITICAL_AUXILIARIES
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	e260d802-f0ce-4fac-9cc3-a17864f973cf	LIGHTING
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	218fe102-65f4-43eb-ba77-447ef70e9b70	CRITICAL_POWER_DISTRIBUTION
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	55a47840-c818-409b-b07b-934d3e2656cb	CRAH
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	3ce5507a-5c1a-4534-a250-4b5ce52f35b2	CRAC
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	0b360480-7649-4b5b-bd64-42554d7b607b	CRAC_WITHOUT_FAN
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	37d90ebe-3789-49fa-a81d-ec90bb5d8838	CRAC_FAN
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	9ea58a32-13e4-45a4-97eb-3f14b6808424	CHILLER
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	6768b490-6965-416c-9eaa-fb211c35cd9c	AIR_COOLED_CHILLER
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	349c0a9a-6058-46fd-964e-f8c375377309	COOLING_TOWER
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	dd0e61d7-a21a-45a1-819d-dccc298594ae	DRY_COOLER
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	b671ee9b-b864-496a-a2d7-cd3ecec1151b	REMOTE_CONDENSER
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	2e5a1a2d-3355-46eb-9b29-8d8572b9ea99	CHILLED_WATER_PUMPS
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	207db35c-65cf-4fe4-ab05-aaf848896d18	HEAT_REJECTION_PUMPS
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	005d7bd7-f6b1-42d8-bac2-77f306b6fd3b	VENTILATION
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	d0fb6020-9dd0-48b9-9170-6daaa59b59ca	INFILTRATION
4f3f74cc-64b2-4519-bb6e-58c4c32c9959	da7e32eb-fbd9-45b7-945d-7d376a5b61a1	IT_LOAD
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	ec972b10-1ffc-46ed-a535-628d46aadb67	SWITCHGEAR
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	9b82bf7b-051f-48bf-a2f3-c027f0c30999	GENERATOR
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	f47193da-7293-4a67-a966-c11b79448117	PRIMARY_AUXILIARIES
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	d826c0d8-5f24-41fd-b0f3-a754b8f2e61d	UPS
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	c61f3c79-51ee-4393-ba43-181d5d6e0d81	CRITICAL_AUXILIARIES
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	14d824f8-be75-43ec-b9ad-4f26706d6d9c	LIGHTING
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	3bc490a3-d96d-48ae-ae5d-064b54a514ad	CRITICAL_POWER_DISTRIBUTION
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	7520846f-ba85-4f73-af74-c2d36b4e6038	CRAH
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	9cfbcbff-7df8-4c4c-a36e-bd9e659e86df	CRAC
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	0a74bcd8-ed91-4820-8673-745c43915e2e	CRAC_WITHOUT_FAN
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	9bffa1f2-c4f1-4f07-9f0e-c63f3a21374a	CRAC_FAN
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	0ebe1dcd-66ba-4a50-9bcf-6e1a6785cc7e	CHILLER
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	5dedd8f8-9fbc-49ed-ab0c-734fb4e0ad29	AIR_COOLED_CHILLER
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	4f733dd3-3ab2-46f8-865e-2fe6f6d6f3cf	COOLING_TOWER
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	1681f5e7-0029-49da-9bdd-ee3f11f3681c	DRY_COOLER
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	39c1ecc8-0a41-42ca-89ed-47898f97667e	REMOTE_CONDENSER
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	44004f1c-aec4-4e3e-99ab-173f9e72d08c	CHILLED_WATER_PUMPS
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	8f662c6e-e459-4fab-a6fa-2cca3cf303fb	HEAT_REJECTION_PUMPS
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	36569463-8cdf-41f8-bbcd-5138fbf5ddbc	VENTILATION
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	e54bb797-ab97-4e6a-ab6c-7a50e0b55d4f	INFILTRATION
9ac4af8a-40df-4fd9-a336-bb6c75d39c00	2690256d-6c44-4285-b940-078e344f5575	IT_LOAD
0c5637a6-5150-47c2-b7b8-ae033b149dfe	df30aff9-b12f-4fe5-b880-93f8fcf5e453	SWITCHGEAR
0c5637a6-5150-47c2-b7b8-ae033b149dfe	20202983-1bfa-4f50-aed2-a74e788310c7	GENERATOR
0c5637a6-5150-47c2-b7b8-ae033b149dfe	41a5b769-5ca3-4efc-85a7-250b7b55c19f	PRIMARY_AUXILIARIES
0c5637a6-5150-47c2-b7b8-ae033b149dfe	62dceeb2-8a62-44a8-a71c-21f2b27e6df7	UPS
0c5637a6-5150-47c2-b7b8-ae033b149dfe	ab252b6c-493c-4717-8716-a2a4dda6404d	CRITICAL_AUXILIARIES
0c5637a6-5150-47c2-b7b8-ae033b149dfe	4982824a-ce42-4c60-b892-e3c1ff8b9fbc	LIGHTING
0c5637a6-5150-47c2-b7b8-ae033b149dfe	3b502b48-45b8-4b74-b7b0-c567fbb4f65a	CRITICAL_POWER_DISTRIBUTION
0c5637a6-5150-47c2-b7b8-ae033b149dfe	1a370ae2-85e4-43e8-a341-4c9d0efa4482	CRAH
0c5637a6-5150-47c2-b7b8-ae033b149dfe	abef1b3d-5ffd-42d4-9392-62389707b5ba	CRAC
0c5637a6-5150-47c2-b7b8-ae033b149dfe	90dca5f4-65ae-440d-b7d4-45ac61136dcf	CRAC_WITHOUT_FAN
0c5637a6-5150-47c2-b7b8-ae033b149dfe	7abc7381-7fd0-4ba0-b91b-a8c9a6971b93	CRAC_FAN
0c5637a6-5150-47c2-b7b8-ae033b149dfe	391c38b4-55bb-43b6-b61a-3ed00f8b6790	CHILLER
0c5637a6-5150-47c2-b7b8-ae033b149dfe	c615222c-9ee5-4b54-b73f-00e07fda20bd	AIR_COOLED_CHILLER
0c5637a6-5150-47c2-b7b8-ae033b149dfe	537a9927-4609-4e42-b91e-7cbfe618c7ec	COOLING_TOWER
0c5637a6-5150-47c2-b7b8-ae033b149dfe	134356fe-4f59-4fc2-a5ca-68a85123fcdc	DRY_COOLER
0c5637a6-5150-47c2-b7b8-ae033b149dfe	af09fdd2-8ce1-42e4-859f-d561176f273b	REMOTE_CONDENSER
0c5637a6-5150-47c2-b7b8-ae033b149dfe	a667726f-cc03-41cf-83fa-43f5f15d665d	CHILLED_WATER_PUMPS
0c5637a6-5150-47c2-b7b8-ae033b149dfe	39e21ac2-631a-4bb8-9a9f-d1c4a36d5693	HEAT_REJECTION_PUMPS
0c5637a6-5150-47c2-b7b8-ae033b149dfe	cff9b45f-00a5-4b16-b068-518effd4c138	VENTILATION
0c5637a6-5150-47c2-b7b8-ae033b149dfe	f1aad7ba-2da6-4b0a-a77f-cb09504cadc9	INFILTRATION
0c5637a6-5150-47c2-b7b8-ae033b149dfe	daed6cf7-ec74-48eb-aa94-202bbb1ea739	IT_LOAD
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	9cc83c8f-2509-4290-abdf-26dbe17eae44	SWITCHGEAR
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	332c9ceb-f306-431a-a7b2-2bf09ec9fffa	GENERATOR
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	564c7472-f5cd-4697-9edb-6dc6649eef2e	PRIMARY_AUXILIARIES
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	18edab94-187b-46de-8d1b-72eb85b13a07	UPS
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	bb3f04f1-4270-4e0f-be5c-30babb56269d	CRITICAL_AUXILIARIES
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	142022d4-90d2-4552-b746-7e69ccb092fe	LIGHTING
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	a412f503-e701-4456-b337-277519880d02	CRITICAL_POWER_DISTRIBUTION
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	7da2ae0b-14a6-494b-9d40-6471c605b471	CRAH
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	11616f44-0198-435c-bc18-6d4e01138c72	CRAC
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	a68e57af-cb49-49bf-b43a-1769bd09ec5f	CRAC_WITHOUT_FAN
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	b1f75d2d-8597-4512-96f0-8d0daa6344cd	CRAC_FAN
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	5bd8a061-3b6a-4e64-9d3c-9b561cac4df1	CHILLER
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	b5154217-b9d3-40b4-a7e1-f274c9d15ab4	AIR_COOLED_CHILLER
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	5dbb4c48-2d62-4a3d-998a-139aff5cb859	COOLING_TOWER
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	9e511078-5945-4d11-b05d-af330d9024e6	DRY_COOLER
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	dbf088f7-48c9-4f81-a8cf-62b00f420ff9	REMOTE_CONDENSER
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	50d2d641-e91c-4819-93f4-41ed033859ff	CHILLED_WATER_PUMPS
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	ec45afab-156c-4be7-a38c-899f54da9971	HEAT_REJECTION_PUMPS
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	6508baa9-6605-4f60-836c-03a936126ad4	VENTILATION
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	31e160bb-5089-4a2c-b947-292f59713889	INFILTRATION
d9ac5dcd-5af3-461f-bc70-4dfb470d7562	55a4af27-cbec-4501-874c-36a291703fea	IT_LOAD
2ea7e832-5b96-4682-9901-13a8d79234c8	98d0fb3a-745d-4106-ba7d-edb51b7e5da2	SWITCHGEAR
2ea7e832-5b96-4682-9901-13a8d79234c8	e1ea7961-f72e-4a2f-b558-eb42808c66d9	GENERATOR
2ea7e832-5b96-4682-9901-13a8d79234c8	af9bd52f-ec79-4ebc-9b99-e0b19d818655	PRIMARY_AUXILIARIES
2ea7e832-5b96-4682-9901-13a8d79234c8	18e84d06-17ef-4ca5-8915-b16fd2408772	UPS
2ea7e832-5b96-4682-9901-13a8d79234c8	2275e361-fe93-4c31-8ee4-f65da4aad69e	CRITICAL_AUXILIARIES
2ea7e832-5b96-4682-9901-13a8d79234c8	5d1681f7-cbae-4b43-bde7-c8231e131f35	LIGHTING
2ea7e832-5b96-4682-9901-13a8d79234c8	4e85ba8d-73de-4e2e-b69c-b6a4b9464254	CRITICAL_POWER_DISTRIBUTION
2ea7e832-5b96-4682-9901-13a8d79234c8	b5bf04ab-3d52-4359-90cd-dc54a502e218	CRAH
2ea7e832-5b96-4682-9901-13a8d79234c8	f27fc569-fde0-458d-ae05-5a8ae98457d7	CRAC
2ea7e832-5b96-4682-9901-13a8d79234c8	8018e2bd-d300-423c-835c-c4c27fc48b93	CRAC_WITHOUT_FAN
2ea7e832-5b96-4682-9901-13a8d79234c8	c3b67167-8b57-4190-98fe-ecbe75ba7e1f	CRAC_FAN
2ea7e832-5b96-4682-9901-13a8d79234c8	fc69f3ea-49e9-45bb-8580-51031606f4d0	CHILLER
2ea7e832-5b96-4682-9901-13a8d79234c8	997ffd7f-db11-45f0-b31c-62420467d988	AIR_COOLED_CHILLER
2ea7e832-5b96-4682-9901-13a8d79234c8	72bec066-f740-4e70-8513-e5da86263fce	COOLING_TOWER
2ea7e832-5b96-4682-9901-13a8d79234c8	399c4e1f-71e0-47a3-a244-d354019991d0	DRY_COOLER
2ea7e832-5b96-4682-9901-13a8d79234c8	3404d7e7-36e9-4481-9841-1384f3a63097	REMOTE_CONDENSER
2ea7e832-5b96-4682-9901-13a8d79234c8	84b73866-e211-4158-b16a-bc965e5084d9	CHILLED_WATER_PUMPS
2ea7e832-5b96-4682-9901-13a8d79234c8	1cfcf553-5174-47ce-8244-331e48288486	HEAT_REJECTION_PUMPS
2ea7e832-5b96-4682-9901-13a8d79234c8	b5f81a54-4be3-4d17-9bf5-bc4992e86aaa	VENTILATION
2ea7e832-5b96-4682-9901-13a8d79234c8	5110b4f2-70ca-4582-97f8-f5f2b331d917	INFILTRATION
2ea7e832-5b96-4682-9901-13a8d79234c8	58ffc761-80c0-4c4c-befd-b871b48588e9	IT_LOAD
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	db251a3c-583a-4c79-bd92-bb17f6ac9bb0	SWITCHGEAR
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	a0064f5b-4484-47d7-9ef9-cdd9bc0f2521	GENERATOR
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	6b3f26b5-de20-496e-924e-2bab0ce80d48	PRIMARY_AUXILIARIES
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	5fa0d775-ddf9-4df0-9e7e-7c463a0c37cb	UPS
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	0b273041-293d-4ff1-9401-455337bfc01f	CRITICAL_AUXILIARIES
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	66bd4dc9-ac91-41cc-983d-924e2817981b	LIGHTING
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	c910bfba-2b24-46cb-87f7-43b3d08660a5	CRITICAL_POWER_DISTRIBUTION
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	487c35da-f71f-4f84-959f-6dde48c1ced1	CRAH
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	6032ccaf-3388-4b30-8723-f31bcf1f46ae	CRAC
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	4e10d907-13fe-4e8e-ac3b-38e219880325	CRAC_WITHOUT_FAN
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	59c6a383-006b-4e94-af83-4c3bcb7e4c3e	CRAC_FAN
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	13cc866f-23dd-487a-a5e9-3c12ee9ed980	CHILLER
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	37514401-aa6b-4935-b3a6-9abfdd5905c2	AIR_COOLED_CHILLER
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	16a0f3f2-6f5e-4b9b-8530-d895ce4b4fad	COOLING_TOWER
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	401cc89a-6186-438e-8f24-4c2d5678c8d1	DRY_COOLER
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	a9fbfc6b-b2a9-47d3-aa97-0182a03e9226	REMOTE_CONDENSER
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	2dbd34d5-2ec7-4fc9-acdd-abd7948998c2	CHILLED_WATER_PUMPS
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	48fdeebb-4d65-4e4c-97df-b8ac40bf02e0	HEAT_REJECTION_PUMPS
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	ef281707-5ed1-477f-8e8c-7f000e3f1c05	VENTILATION
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	6d6ac644-e0df-46b3-acf7-a89ba8b561bb	INFILTRATION
fccdd1d4-abcd-4c56-96ed-a0dca341d8b7	7de3ba7b-6ff7-470d-ab03-f012eee7d10f	IT_LOAD
4ca9d83a-9153-40eb-8e04-2778460f3d98	a2810eb5-6920-4b01-8b0a-4f24dad8fcc0	SWITCHGEAR
4ca9d83a-9153-40eb-8e04-2778460f3d98	30f20024-acfe-434c-b4a2-526a9f799290	GENERATOR
4ca9d83a-9153-40eb-8e04-2778460f3d98	3f124b42-5b10-4834-90f8-183f1914acb9	PRIMARY_AUXILIARIES
4ca9d83a-9153-40eb-8e04-2778460f3d98	8b304e4a-a21b-48b1-8fe0-39fa53e37bcc	UPS
4ca9d83a-9153-40eb-8e04-2778460f3d98	3359e098-33fc-481b-895d-bb0b48600f1d	CRITICAL_AUXILIARIES
4ca9d83a-9153-40eb-8e04-2778460f3d98	c019f8e9-c08e-4a01-8f55-f27685f66e0a	LIGHTING
4ca9d83a-9153-40eb-8e04-2778460f3d98	02d47ae8-f25e-471e-8f81-4a41eafaa3f9	CRITICAL_POWER_DISTRIBUTION
4ca9d83a-9153-40eb-8e04-2778460f3d98	603d7098-018c-4ef8-8d71-bf1b62dbc858	CRAH
4ca9d83a-9153-40eb-8e04-2778460f3d98	df814b7b-3a06-41af-bc22-51e1e34dbfed	CRAC
4ca9d83a-9153-40eb-8e04-2778460f3d98	27021ed3-63a3-45a4-a47d-e0135b93a711	CRAC_WITHOUT_FAN
4ca9d83a-9153-40eb-8e04-2778460f3d98	9208ad09-f5d8-47ce-bada-afcc31f12db9	CRAC_FAN
4ca9d83a-9153-40eb-8e04-2778460f3d98	190cd4a9-ca3d-420c-9554-4f2731e77f89	CHILLER
4ca9d83a-9153-40eb-8e04-2778460f3d98	6627bf85-5fdc-43b8-b268-9be8fd840aa3	AIR_COOLED_CHILLER
4ca9d83a-9153-40eb-8e04-2778460f3d98	739ee173-22e2-4c13-994e-7f4715e3a391	COOLING_TOWER
4ca9d83a-9153-40eb-8e04-2778460f3d98	764c59ff-7547-4ee4-bcc7-a481574d3adb	DRY_COOLER
4ca9d83a-9153-40eb-8e04-2778460f3d98	d8e031c2-3756-43af-a9de-8578ff4c6107	REMOTE_CONDENSER
4ca9d83a-9153-40eb-8e04-2778460f3d98	f80dc00d-4337-4249-921e-45760fecc60e	CHILLED_WATER_PUMPS
4ca9d83a-9153-40eb-8e04-2778460f3d98	58272e3d-78d9-495c-8fcd-48f8d4debda1	HEAT_REJECTION_PUMPS
4ca9d83a-9153-40eb-8e04-2778460f3d98	ea3c34ec-5d7e-4cdd-87a1-4529b842acb1	VENTILATION
4ca9d83a-9153-40eb-8e04-2778460f3d98	700697de-32d4-4ae6-9103-cc2cba1c2361	INFILTRATION
4ca9d83a-9153-40eb-8e04-2778460f3d98	57abe966-521e-444c-b879-5cc5b8d63537	IT_LOAD
adfb7db2-0205-4dda-9f93-955835cb5156	7cd91c89-ad5e-457a-a6a9-368750d52a4c	SWITCHGEAR
adfb7db2-0205-4dda-9f93-955835cb5156	523b8cf3-145c-4ff5-98dd-51b85aec1eb8	GENERATOR
adfb7db2-0205-4dda-9f93-955835cb5156	d94f5647-a8d5-4337-999c-34f6baeb27cd	PRIMARY_AUXILIARIES
adfb7db2-0205-4dda-9f93-955835cb5156	3b5999b7-8a9a-4c3b-8729-02b99e11f901	UPS
adfb7db2-0205-4dda-9f93-955835cb5156	a47d8164-6cb0-4107-bbce-bd6e15e6d980	CRITICAL_AUXILIARIES
adfb7db2-0205-4dda-9f93-955835cb5156	e3056a07-6bfb-44d6-9c0e-1fcf26b6a08e	LIGHTING
adfb7db2-0205-4dda-9f93-955835cb5156	ca62de8a-b24a-4509-9204-07669632e705	CRITICAL_POWER_DISTRIBUTION
adfb7db2-0205-4dda-9f93-955835cb5156	509df39e-8382-4e58-916f-87122ad6b81d	CRAH
adfb7db2-0205-4dda-9f93-955835cb5156	5171f749-4689-48b5-a7f3-08e972fb2614	CRAC
adfb7db2-0205-4dda-9f93-955835cb5156	d581476a-2a25-454d-a304-07d668caef73	CRAC_WITHOUT_FAN
adfb7db2-0205-4dda-9f93-955835cb5156	fdf16254-8481-456f-882d-48f647b60d04	CRAC_FAN
adfb7db2-0205-4dda-9f93-955835cb5156	1f1c2335-e525-48ac-b7be-7b20afcfd10c	CHILLER
adfb7db2-0205-4dda-9f93-955835cb5156	2b06dcb1-976b-4f67-bf1b-9413d449ee49	AIR_COOLED_CHILLER
adfb7db2-0205-4dda-9f93-955835cb5156	32d0b72d-a536-40dc-adb6-313017d22ec3	COOLING_TOWER
adfb7db2-0205-4dda-9f93-955835cb5156	e28f671d-8af4-4cc5-a0b1-46da4a77a26d	DRY_COOLER
adfb7db2-0205-4dda-9f93-955835cb5156	c2d50483-aa39-4ade-bcc3-3de9dd53ed11	REMOTE_CONDENSER
adfb7db2-0205-4dda-9f93-955835cb5156	30078b8d-2034-4544-92f9-fc3330754f4e	CHILLED_WATER_PUMPS
adfb7db2-0205-4dda-9f93-955835cb5156	d66cc9c4-66d4-4ca0-a048-b0f767a104ea	HEAT_REJECTION_PUMPS
adfb7db2-0205-4dda-9f93-955835cb5156	e09ae733-2e34-44ea-a887-a6f5a9fbccc6	VENTILATION
adfb7db2-0205-4dda-9f93-955835cb5156	e224ef26-9af5-4a87-b1bc-d0aabf1aad09	INFILTRATION
adfb7db2-0205-4dda-9f93-955835cb5156	590a193e-2c8e-4606-8849-b0e1ea4f2f7b	IT_LOAD
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	0a99f404-8068-4a91-8226-a6fca0286067	SWITCHGEAR
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	d2818874-e15a-4a7d-aef8-9b1b09592d41	GENERATOR
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	0144af06-66ad-41c1-baba-15edeae20bbc	PRIMARY_AUXILIARIES
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	4c5f2ce9-1347-4373-8816-25bd6b47f9d3	UPS
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	006f1fef-d27c-4a83-97fd-9ff13a94a8a8	CRITICAL_AUXILIARIES
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	e229d40f-369e-42a0-99db-7a6f3801167d	LIGHTING
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	6b51c8de-c42a-4517-9f77-5f2ac16ea335	CRITICAL_POWER_DISTRIBUTION
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	7d075343-0926-4afa-9470-1d2e145a7eb6	CRAH
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	892540ed-733f-4f43-8f98-c357b36761d3	CRAC
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	9cb17124-0165-40d8-a7c7-5c75b9f59b48	CRAC_WITHOUT_FAN
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	76c4adbc-ff2a-4846-90dc-8b6b02abc3f7	CRAC_FAN
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	6d5a1b22-484f-4593-b87a-ec633bdb02e7	CHILLER
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	e31fe6ce-f005-4ecc-9326-6312ff071b31	AIR_COOLED_CHILLER
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	5900ecae-9de1-4095-b9e3-fe08344daa3a	COOLING_TOWER
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	f97aca66-b0a1-4501-a8b4-b8969a4cff2a	DRY_COOLER
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	2e9d68a9-c8ac-41ab-9f87-6bd026bfc461	REMOTE_CONDENSER
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	195ea69a-db31-4150-9a42-f2160f876489	CHILLED_WATER_PUMPS
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	056be90f-c44b-4a9c-8baf-4d98e64606a0	HEAT_REJECTION_PUMPS
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	440c416f-bf9a-43eb-9894-39cc86aa8b36	VENTILATION
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	c9383b1a-c777-4a99-9739-28971c0df25f	INFILTRATION
8b55dbc4-0315-4dfe-8c65-8c99704bdc3a	37493067-b60e-4a9f-b41d-e3bb1cbaa610	IT_LOAD
2fc9ff09-d441-4178-b34d-32095cf3b42a	ab53975c-93fb-4551-88f6-4886ee874c2b	SWITCHGEAR
2fc9ff09-d441-4178-b34d-32095cf3b42a	301175dd-a58e-46a4-ad40-213d2dc7cb60	GENERATOR
2fc9ff09-d441-4178-b34d-32095cf3b42a	556b0501-87fc-4b54-9d0e-8ffed8bc92c9	PRIMARY_AUXILIARIES
2fc9ff09-d441-4178-b34d-32095cf3b42a	a4501199-3b42-4d82-9d8f-5230761a0a31	UPS
2fc9ff09-d441-4178-b34d-32095cf3b42a	c79c44fd-7693-4d4f-bfe2-eac4e1ec7e80	CRITICAL_AUXILIARIES
2fc9ff09-d441-4178-b34d-32095cf3b42a	efa71fb8-2cbb-4564-8fd3-0b3f026aaa0f	LIGHTING
2fc9ff09-d441-4178-b34d-32095cf3b42a	bc53a1c1-f67b-4d5f-9fb4-c784d5183fa6	CRITICAL_POWER_DISTRIBUTION
2fc9ff09-d441-4178-b34d-32095cf3b42a	92c50ea5-82ba-404f-848c-a5e404bb1ba4	CRAH
2fc9ff09-d441-4178-b34d-32095cf3b42a	73c4dba0-c35f-4f9f-bf6a-47cf54c71561	CRAC
2fc9ff09-d441-4178-b34d-32095cf3b42a	ac916199-7e83-4ed6-89e1-6a0518b14bba	CRAC_WITHOUT_FAN
2fc9ff09-d441-4178-b34d-32095cf3b42a	fccca540-bf82-4c47-a618-17d660448eed	CRAC_FAN
2fc9ff09-d441-4178-b34d-32095cf3b42a	40f6a634-b6e9-49fb-9e6a-6a3604ac55a8	CHILLER
2fc9ff09-d441-4178-b34d-32095cf3b42a	10e0340c-38de-450a-80a2-709f4839c150	AIR_COOLED_CHILLER
2fc9ff09-d441-4178-b34d-32095cf3b42a	371208cb-91df-46cf-95d7-2052e18146c0	COOLING_TOWER
2fc9ff09-d441-4178-b34d-32095cf3b42a	aca8a3ad-d2fc-4531-b1d6-8f5afad98606	DRY_COOLER
2fc9ff09-d441-4178-b34d-32095cf3b42a	b52db817-ff07-4ab8-9bae-347c5775ae9b	REMOTE_CONDENSER
2fc9ff09-d441-4178-b34d-32095cf3b42a	4f792fd5-acc4-4fe1-af36-aed387aefa17	CHILLED_WATER_PUMPS
2fc9ff09-d441-4178-b34d-32095cf3b42a	2c4ff1c2-05ff-4e38-8c45-7e7001e286db	HEAT_REJECTION_PUMPS
2fc9ff09-d441-4178-b34d-32095cf3b42a	cc4da580-7f95-4c17-b29a-19754dcf35df	VENTILATION
2fc9ff09-d441-4178-b34d-32095cf3b42a	ba2587c5-0d25-410c-b8d3-bf3e83ea47e9	INFILTRATION
2fc9ff09-d441-4178-b34d-32095cf3b42a	01ebdf87-59af-480b-b1ee-f6788f973499	IT_LOAD
c1b426f2-9874-415d-aca1-6881eec9995d	8cd77617-a19b-460a-aad0-8573f03e4275	SWITCHGEAR
c1b426f2-9874-415d-aca1-6881eec9995d	b5a24380-1c8c-41c7-9b64-b2141752fb86	GENERATOR
c1b426f2-9874-415d-aca1-6881eec9995d	dc94609b-a008-44e3-9b25-82e36773a2ab	PRIMARY_AUXILIARIES
c1b426f2-9874-415d-aca1-6881eec9995d	2f84c585-ef56-4dd0-b7c7-bca63865064c	UPS
c1b426f2-9874-415d-aca1-6881eec9995d	1ce6aad0-5871-4117-a4ed-1f05403b8c6c	CRITICAL_AUXILIARIES
c1b426f2-9874-415d-aca1-6881eec9995d	1a943cdf-e376-407c-ad9e-11310fbc5825	LIGHTING
c1b426f2-9874-415d-aca1-6881eec9995d	4f4e561c-f4ab-47e1-a41c-94209b5cdab0	CRITICAL_POWER_DISTRIBUTION
c1b426f2-9874-415d-aca1-6881eec9995d	079f1618-5d59-4ed8-84c6-b4c8ba005417	CRAH
c1b426f2-9874-415d-aca1-6881eec9995d	1decb040-ad53-4ce6-a8ca-d0201fe30944	CRAC
c1b426f2-9874-415d-aca1-6881eec9995d	62eeaccc-2efa-4b7b-b94e-dbdc9447f5b2	CRAC_WITHOUT_FAN
c1b426f2-9874-415d-aca1-6881eec9995d	03f4e06c-0158-4c08-b6e4-4ba65433b650	CRAC_FAN
c1b426f2-9874-415d-aca1-6881eec9995d	b90b9a4b-9d4c-4e32-b6bd-bad822e6d23f	CHILLER
c1b426f2-9874-415d-aca1-6881eec9995d	daf5f252-4a86-426d-aae6-b3cfc218d37b	AIR_COOLED_CHILLER
c1b426f2-9874-415d-aca1-6881eec9995d	5e49cf0f-11a4-45bd-93bb-906b2c86eaa1	COOLING_TOWER
c1b426f2-9874-415d-aca1-6881eec9995d	ee189380-f50f-49df-935c-d314d53e77e8	DRY_COOLER
c1b426f2-9874-415d-aca1-6881eec9995d	325720b5-5c13-487f-bc0a-dce95b909a87	REMOTE_CONDENSER
c1b426f2-9874-415d-aca1-6881eec9995d	96e996f4-c2da-4a76-88a7-e9350d72aa01	CHILLED_WATER_PUMPS
c1b426f2-9874-415d-aca1-6881eec9995d	ead685ce-04bb-41b5-ac53-db1afdff5a19	HEAT_REJECTION_PUMPS
c1b426f2-9874-415d-aca1-6881eec9995d	4bb9febf-62e9-492c-9402-dfc678273a61	VENTILATION
c1b426f2-9874-415d-aca1-6881eec9995d	6c52b81b-9b6b-405a-bded-12f0ffd600a5	INFILTRATION
c1b426f2-9874-415d-aca1-6881eec9995d	0a7514e7-15c1-46f2-aa3e-bde50a6ed902	IT_LOAD
e32fa521-9f79-4146-bd43-1c709717df34	5d987ebc-179c-473a-b56a-24807df2bb03	SWITCHGEAR
e32fa521-9f79-4146-bd43-1c709717df34	f46470fd-f729-4c3d-9d74-ced58eddc8e2	GENERATOR
e32fa521-9f79-4146-bd43-1c709717df34	883ff536-19d2-4d65-8c13-aee86e1047ba	PRIMARY_AUXILIARIES
e32fa521-9f79-4146-bd43-1c709717df34	96a05a0a-d007-480d-8e6b-3005109cf9f0	UPS
e32fa521-9f79-4146-bd43-1c709717df34	10a330ca-db7a-492f-a597-d46349443dfc	CRITICAL_AUXILIARIES
e32fa521-9f79-4146-bd43-1c709717df34	08753c5e-308d-473f-a420-af827e49be10	LIGHTING
e32fa521-9f79-4146-bd43-1c709717df34	4cdfd184-345a-4c28-af34-541978e0c7b8	CRITICAL_POWER_DISTRIBUTION
e32fa521-9f79-4146-bd43-1c709717df34	d6e02817-e39c-40fe-98a4-522355d59f35	CRAH
e32fa521-9f79-4146-bd43-1c709717df34	dcb9d715-9fa4-414c-a513-1b61fe7a741a	CRAC
e32fa521-9f79-4146-bd43-1c709717df34	8da43693-8fe4-4e60-a424-5ca7a5ef4bc8	CRAC_WITHOUT_FAN
e32fa521-9f79-4146-bd43-1c709717df34	baa34ac3-1ba9-40fb-b476-1e3c9b3109fb	CRAC_FAN
e32fa521-9f79-4146-bd43-1c709717df34	d4530229-a52a-42f5-9e88-e22fabb19874	CHILLER
e32fa521-9f79-4146-bd43-1c709717df34	c1224bd1-332a-42d8-95de-f3b8c0767255	AIR_COOLED_CHILLER
e32fa521-9f79-4146-bd43-1c709717df34	2404af47-cc96-481a-bf48-a8aec36dd567	COOLING_TOWER
e32fa521-9f79-4146-bd43-1c709717df34	97414d4a-e0b9-4965-8f04-0e26e460613d	DRY_COOLER
e32fa521-9f79-4146-bd43-1c709717df34	1a02985f-1534-4fae-9634-da021ba6cb9d	REMOTE_CONDENSER
e32fa521-9f79-4146-bd43-1c709717df34	887f8f75-e4ee-4b01-a7e8-62247eb68a4d	CHILLED_WATER_PUMPS
e32fa521-9f79-4146-bd43-1c709717df34	3904c372-36fc-4cd7-89f5-0df5d7171f89	HEAT_REJECTION_PUMPS
e32fa521-9f79-4146-bd43-1c709717df34	e1dcf3ad-bd10-4f0e-b15c-39c8ada93c73	VENTILATION
e32fa521-9f79-4146-bd43-1c709717df34	23b4f117-a449-44c2-a0f6-a4177607b6c1	INFILTRATION
e32fa521-9f79-4146-bd43-1c709717df34	a2e669ed-1c19-4cf4-a960-ffd7cd10b579	IT_LOAD
b74407b2-74cd-447f-9a9c-e22a06ecdba1	3544f912-6d4f-4fbc-9805-3d420082468a	SWITCHGEAR
b74407b2-74cd-447f-9a9c-e22a06ecdba1	bcaa8da2-8614-4fe9-84a1-74113762a18e	GENERATOR
b74407b2-74cd-447f-9a9c-e22a06ecdba1	149dbdb7-0712-4909-9099-1031b4d25283	PRIMARY_AUXILIARIES
b74407b2-74cd-447f-9a9c-e22a06ecdba1	32f58a05-ba9c-4e37-b672-5b9c65c612c6	UPS
b74407b2-74cd-447f-9a9c-e22a06ecdba1	7f50f5e1-bd17-4019-a6d6-c4ac831cc08e	CRITICAL_AUXILIARIES
b74407b2-74cd-447f-9a9c-e22a06ecdba1	23ef0ba5-d9f4-459e-9770-1489f058c396	LIGHTING
b74407b2-74cd-447f-9a9c-e22a06ecdba1	d82a402a-256e-448c-b845-950a64b4b7c9	CRITICAL_POWER_DISTRIBUTION
b74407b2-74cd-447f-9a9c-e22a06ecdba1	10ba4c7a-7fc9-4809-885b-250c277f65ab	CRAH
b74407b2-74cd-447f-9a9c-e22a06ecdba1	785bc0a0-9c8b-4c6e-9919-86c9c2883e00	CRAC
b74407b2-74cd-447f-9a9c-e22a06ecdba1	0a94bcd8-8a51-4210-b308-fc16e1579324	CRAC_WITHOUT_FAN
b74407b2-74cd-447f-9a9c-e22a06ecdba1	324f8bf7-6ef7-45b7-882f-32a87a60fef0	CRAC_FAN
b74407b2-74cd-447f-9a9c-e22a06ecdba1	95590b3c-97db-428a-b52a-d5ee97efe126	CHILLER
b74407b2-74cd-447f-9a9c-e22a06ecdba1	c0f9c2f8-403f-40ba-9247-7fa13e0055d8	AIR_COOLED_CHILLER
b74407b2-74cd-447f-9a9c-e22a06ecdba1	af749ad0-0e96-4122-9177-8bdb431b5c68	COOLING_TOWER
b74407b2-74cd-447f-9a9c-e22a06ecdba1	379e39d9-304e-473f-bc5d-52854e8efe9d	DRY_COOLER
b74407b2-74cd-447f-9a9c-e22a06ecdba1	571a749d-56a5-4823-aa2e-9fb598365ee7	REMOTE_CONDENSER
b74407b2-74cd-447f-9a9c-e22a06ecdba1	bc1cf702-36a0-47bf-a9c8-b7489315b61f	CHILLED_WATER_PUMPS
b74407b2-74cd-447f-9a9c-e22a06ecdba1	851a4415-0cf5-44fa-ace2-2804d8a7da0d	HEAT_REJECTION_PUMPS
b74407b2-74cd-447f-9a9c-e22a06ecdba1	89c6c44e-1026-46e8-b696-537faca7afb4	VENTILATION
b74407b2-74cd-447f-9a9c-e22a06ecdba1	f2f0f137-c577-46e5-933e-86c1dfe33241	INFILTRATION
b74407b2-74cd-447f-9a9c-e22a06ecdba1	5ad838f0-e43a-4317-8dc8-31c7fa3f04bf	IT_LOAD
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	df463235-7d12-448d-8d0e-a8818c16d512	SWITCHGEAR
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	5387037d-0fa5-4a84-ae5f-a11bb36f5890	GENERATOR
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	b55b5b3a-ea82-46c3-8e61-6c4215bc620d	PRIMARY_AUXILIARIES
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	e01230d3-0e22-4756-b687-9addd35bb3b6	UPS
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	e7fa245c-242b-48bb-a69e-bdbeb78778ef	CRITICAL_AUXILIARIES
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	9de3bc30-8ad2-4940-b192-2a947a39c759	LIGHTING
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	c299b5f5-9ec1-443a-a04e-77e0a9f72534	CRITICAL_POWER_DISTRIBUTION
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	5c33e29a-4e46-49cd-b283-9ee69bea5ddd	CRAH
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	ff53b9fc-2b35-45ed-b364-5e701eb71380	CRAC
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	545674c4-0e65-45c3-8491-b529de55a4bd	CRAC_WITHOUT_FAN
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	89531b9e-ea07-435e-bff9-0c1a75995557	CRAC_FAN
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	80b01ef8-a38e-4588-80f2-938608730815	CHILLER
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	1d7177e2-85a0-4cfc-94e1-a5a4dfbd572e	AIR_COOLED_CHILLER
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	7edde9c7-4e11-4918-8f05-fbca1fc54f4c	COOLING_TOWER
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	f4aaadf3-9680-427d-ae4d-e14feeaa3ad6	DRY_COOLER
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	63394e9b-58b3-497c-8595-92cef3fc2833	REMOTE_CONDENSER
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	d409086f-649e-40b6-a357-861da5d3357b	CHILLED_WATER_PUMPS
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	d3bf1dae-b061-461d-97c8-04a7b8f35c46	HEAT_REJECTION_PUMPS
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	d4766f19-5686-4d7c-ae57-bbe2510df8a2	VENTILATION
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	1c916f68-2e65-4020-8e01-6ee982e6baa4	INFILTRATION
145e37d3-bf55-4d4d-9d9f-1a6a86eee34d	801c9014-f31e-4136-be19-966bd48e0618	IT_LOAD
7ab1e65b-d382-4d55-ad38-8475c5825d16	4f869ccc-369f-412e-b342-f59627d25a6c	SWITCHGEAR
7ab1e65b-d382-4d55-ad38-8475c5825d16	01293a02-317a-45a6-bf2d-539a0f4ab1a1	GENERATOR
7ab1e65b-d382-4d55-ad38-8475c5825d16	dd408eaa-ce91-41e5-b4e3-a09afaf1bf1c	PRIMARY_AUXILIARIES
7ab1e65b-d382-4d55-ad38-8475c5825d16	50964593-0589-4927-b657-99793add4d62	UPS
7ab1e65b-d382-4d55-ad38-8475c5825d16	b84e8bdd-3f3e-4a6c-8fc8-b2baf9e9dbf3	CRITICAL_AUXILIARIES
7ab1e65b-d382-4d55-ad38-8475c5825d16	45745a94-2b5d-413c-a447-684b33178a79	LIGHTING
7ab1e65b-d382-4d55-ad38-8475c5825d16	2b161bf3-9836-4516-9c14-51e87e4d2549	CRITICAL_POWER_DISTRIBUTION
7ab1e65b-d382-4d55-ad38-8475c5825d16	606cb6c5-63dc-4b11-96cf-59ac73400a4e	CRAH
7ab1e65b-d382-4d55-ad38-8475c5825d16	f21229e9-9c86-4956-b559-16c523549fef	CRAC
7ab1e65b-d382-4d55-ad38-8475c5825d16	f8806e28-b239-48c0-b876-1e24b7ab556c	CRAC_WITHOUT_FAN
7ab1e65b-d382-4d55-ad38-8475c5825d16	b33dbc0b-73d1-445f-a7f1-73373da17d51	CRAC_FAN
7ab1e65b-d382-4d55-ad38-8475c5825d16	e30b04a7-7c97-4055-a87f-8f9c2a1a9a99	CHILLER
7ab1e65b-d382-4d55-ad38-8475c5825d16	ba87db65-87ec-48ca-bdf6-a50425bef051	AIR_COOLED_CHILLER
7ab1e65b-d382-4d55-ad38-8475c5825d16	68c7cfbc-010f-437e-a2e5-36e0dd089e86	COOLING_TOWER
7ab1e65b-d382-4d55-ad38-8475c5825d16	3a356d61-deb0-4101-af51-147431a86f36	DRY_COOLER
7ab1e65b-d382-4d55-ad38-8475c5825d16	554ba6e2-4068-417e-832e-7c7b054949da	REMOTE_CONDENSER
7ab1e65b-d382-4d55-ad38-8475c5825d16	3eb7ae82-d00f-45e0-a1c4-989f862ed01c	CHILLED_WATER_PUMPS
7ab1e65b-d382-4d55-ad38-8475c5825d16	54bd5ffe-3ddb-44c9-aa03-49201e798efe	HEAT_REJECTION_PUMPS
7ab1e65b-d382-4d55-ad38-8475c5825d16	6da778d2-36f2-477d-9251-bcc47d127316	VENTILATION
7ab1e65b-d382-4d55-ad38-8475c5825d16	87ba4684-8ca5-41d7-a747-e98f14a159f0	INFILTRATION
7ab1e65b-d382-4d55-ad38-8475c5825d16	863f1dc8-2b15-4edc-9932-453a5d6ac287	IT_LOAD
54e9f019-45f1-442c-ae9f-21415483db24	27316f8a-1954-4c27-b156-fcf77164d11c	SWITCHGEAR
54e9f019-45f1-442c-ae9f-21415483db24	4672d3aa-1697-493e-ba98-ae454dad56ba	GENERATOR
54e9f019-45f1-442c-ae9f-21415483db24	9a9eb54a-4e86-4033-a947-296f757b956e	PRIMARY_AUXILIARIES
54e9f019-45f1-442c-ae9f-21415483db24	b6c22743-1459-4bbd-9b49-2eb6bf6bd991	UPS
54e9f019-45f1-442c-ae9f-21415483db24	ccbfd181-4780-4e74-8efd-93bfc6432694	CRITICAL_AUXILIARIES
54e9f019-45f1-442c-ae9f-21415483db24	020f9c5f-7cd3-415b-8113-79e956e9bcdf	LIGHTING
54e9f019-45f1-442c-ae9f-21415483db24	ec9f710d-1881-4fbb-a57a-7acb3218f193	CRITICAL_POWER_DISTRIBUTION
54e9f019-45f1-442c-ae9f-21415483db24	145bb483-2092-45f3-8173-0cfacae90f4c	CRAH
54e9f019-45f1-442c-ae9f-21415483db24	288e260a-38bd-4892-9ebd-267d80fe961d	CRAC
54e9f019-45f1-442c-ae9f-21415483db24	0c873773-69af-4dcc-bf40-b9ab52b2566b	CRAC_WITHOUT_FAN
54e9f019-45f1-442c-ae9f-21415483db24	9dbd2b58-8ce6-44b6-ab7c-eabc6f07514f	CRAC_FAN
54e9f019-45f1-442c-ae9f-21415483db24	6471f95d-a3ab-4323-beca-671bc4d87f99	CHILLER
54e9f019-45f1-442c-ae9f-21415483db24	5ce87d27-3657-4fbb-bc57-6d04b72646dc	AIR_COOLED_CHILLER
54e9f019-45f1-442c-ae9f-21415483db24	e06480a1-0a59-4b05-8fdb-1c1f6ae79292	COOLING_TOWER
54e9f019-45f1-442c-ae9f-21415483db24	2b908eac-9c84-48e0-90eb-8cb75b33de04	DRY_COOLER
54e9f019-45f1-442c-ae9f-21415483db24	d0e2af69-aace-485e-8d5c-59ac61169930	REMOTE_CONDENSER
54e9f019-45f1-442c-ae9f-21415483db24	943c41b6-98a2-4b3e-ab8b-74df74d4afaf	CHILLED_WATER_PUMPS
54e9f019-45f1-442c-ae9f-21415483db24	55aa8928-b861-4239-8162-d85eb421019a	HEAT_REJECTION_PUMPS
54e9f019-45f1-442c-ae9f-21415483db24	332df600-bcdb-40a4-b042-838f62103b54	VENTILATION
54e9f019-45f1-442c-ae9f-21415483db24	47423e1e-71bc-4b44-8390-72e2b84ca227	INFILTRATION
54e9f019-45f1-442c-ae9f-21415483db24	d68f14df-69d3-4fd0-972c-c940be8c8fdf	IT_LOAD
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	a74a2085-27f8-49d8-9b95-05a2c030465c	SWITCHGEAR
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	f239203f-12e1-468e-bbc5-bc66aa025116	GENERATOR
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	c1c94661-a269-4a9a-becb-8b18af684494	PRIMARY_AUXILIARIES
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	8cd31da0-5fff-42ab-b186-bcffd6546590	UPS
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	0efdd64d-e136-4ac3-bac2-3a6874884cc1	CRITICAL_AUXILIARIES
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	63a37650-ff8a-4e88-95ae-58390ee0ee8c	LIGHTING
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	b52dd746-9133-4ff5-b846-b794d69d3191	CRITICAL_POWER_DISTRIBUTION
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	c1c8c30d-132f-42dc-bcc4-cb91b6980e6e	CRAH
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	cc12df29-8b47-4c83-bdbf-4f132e339e22	CRAC
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	2c09b488-a193-4d08-96ea-20b5519d1155	CRAC_WITHOUT_FAN
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	2a0ef790-1c0e-45d7-a651-e130a1c9b103	CRAC_FAN
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	5efc702a-671a-457d-9c48-d420ab8261ed	CHILLER
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	7c2b9201-01d4-484f-987d-9b8b9a391186	AIR_COOLED_CHILLER
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	2f708935-a119-43bb-bd4d-63814516e76c	COOLING_TOWER
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	eb0d96ff-9fc3-48f1-bf49-9efbdfc28cfb	DRY_COOLER
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	1a964496-dd6e-4abe-8a9c-2ceb2d7edb89	REMOTE_CONDENSER
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	71610bd4-bebd-4c41-9d8e-0dc6c7dc3ffb	CHILLED_WATER_PUMPS
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	398a1952-8ae1-4568-aeac-f738e8a98596	HEAT_REJECTION_PUMPS
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	7316157f-0519-4359-98b7-d0a126ef6828	VENTILATION
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	ff792bc0-8726-4993-b57c-c937eddd9fd8	INFILTRATION
0a9c0e2c-c9b6-4ca2-af4b-39c60c56e3f3	a4d912eb-0bd4-46f4-9f82-e36406f3cbc7	IT_LOAD
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	799c430d-c53d-4dd7-b7f5-93a246d08d91	SWITCHGEAR
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	1d33ada4-8c4e-493e-923a-198b230af5b7	GENERATOR
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	edffa1f0-a094-460a-8705-9ce0c4ca6d80	PRIMARY_AUXILIARIES
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	27a59b9f-d7ec-4b6e-add5-17186686a089	UPS
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	a8385450-789f-482d-8d1c-dd6f8d89ae14	CRITICAL_AUXILIARIES
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	b315e81e-e764-421a-a700-4807b34ba8e7	LIGHTING
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	558dd755-7088-44ab-b744-e357fe181c1b	CRITICAL_POWER_DISTRIBUTION
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	f65f5d49-5ca1-4fdf-9048-54175f2563b3	CRAH
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	cd852e45-5553-4bd5-bb62-c5651dec29f4	CRAC
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	5aac0b36-63c3-4285-a116-c1386b361a8f	CRAC_WITHOUT_FAN
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	5b0cce1b-09c6-483a-b2dc-8bcf100b7250	CRAC_FAN
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	d65300c2-713a-451a-baf2-d59c608aeefa	CHILLER
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	2816c413-62aa-40ef-a3c2-5d64b713ee02	AIR_COOLED_CHILLER
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	075fb74f-fb9c-4d30-a381-e5378a7b8e08	COOLING_TOWER
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	fba914f8-2c93-442c-860b-a88a14d4d8cc	DRY_COOLER
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	3212cabd-240f-429a-ae84-e39975685d8b	REMOTE_CONDENSER
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	6db0e817-797c-4c0e-a64d-3d2afca82c42	CHILLED_WATER_PUMPS
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	8e1b6693-2d4f-4fe5-a935-1850f357d3e7	HEAT_REJECTION_PUMPS
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	7b0a3ed6-d10a-4560-a9e4-24aa9d4f61f6	VENTILATION
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	49ecc86f-cc9a-4354-b4c8-4e00ef46c46a	INFILTRATION
0e371971-d723-4a4e-8bcb-eb52bb6cb7c9	24e4d500-0320-4d78-b120-03f9bc08270e	IT_LOAD
d724ddc1-7a4c-4b82-93d4-60661f3021ea	1fdf576d-74ff-4db1-8e6e-f90da6cf2910	SWITCHGEAR
d724ddc1-7a4c-4b82-93d4-60661f3021ea	94c009c6-79e9-414b-9bae-c913390e3081	GENERATOR
d724ddc1-7a4c-4b82-93d4-60661f3021ea	3afee448-08d2-47ce-a5cf-01b0ca2b133e	PRIMARY_AUXILIARIES
d724ddc1-7a4c-4b82-93d4-60661f3021ea	0302d6f1-549c-4390-9f34-9e26d9961479	UPS
d724ddc1-7a4c-4b82-93d4-60661f3021ea	0738e007-815f-45c2-b028-d6fdb60d5507	CRITICAL_AUXILIARIES
d724ddc1-7a4c-4b82-93d4-60661f3021ea	9ae4e31a-dcc5-4fa2-9eab-482ea9eee41b	LIGHTING
d724ddc1-7a4c-4b82-93d4-60661f3021ea	7bc6e24e-0fdf-456a-ab78-9355ee459aeb	CRITICAL_POWER_DISTRIBUTION
d724ddc1-7a4c-4b82-93d4-60661f3021ea	0c1101c9-63cd-433f-86f8-10cfe799f573	CRAH
d724ddc1-7a4c-4b82-93d4-60661f3021ea	2e100b5d-f2f2-40f0-8724-239263d874c4	CRAC
d724ddc1-7a4c-4b82-93d4-60661f3021ea	4b08a927-677e-4ebf-bcc7-8811d7ed0eee	CRAC_WITHOUT_FAN
d724ddc1-7a4c-4b82-93d4-60661f3021ea	d17ac549-8181-4c09-80a0-8d05ee8e0c83	CRAC_FAN
d724ddc1-7a4c-4b82-93d4-60661f3021ea	6756e348-f8ed-43b2-a8f7-263c2f4e9ef3	CHILLER
d724ddc1-7a4c-4b82-93d4-60661f3021ea	f053e313-eca8-47d0-a0c5-4b2696f88441	AIR_COOLED_CHILLER
d724ddc1-7a4c-4b82-93d4-60661f3021ea	8b456b72-7f14-47f2-bbf8-98810a2da391	COOLING_TOWER
d724ddc1-7a4c-4b82-93d4-60661f3021ea	962d0204-aeae-471b-ac90-7ec773736c85	DRY_COOLER
d724ddc1-7a4c-4b82-93d4-60661f3021ea	b8ab25f0-d033-4773-9faa-ebe232539afb	REMOTE_CONDENSER
d724ddc1-7a4c-4b82-93d4-60661f3021ea	e582647b-56d7-4795-9e1d-1ee1fa6c6c40	CHILLED_WATER_PUMPS
d724ddc1-7a4c-4b82-93d4-60661f3021ea	0e2d21dd-1b0f-4812-9519-798e7f68df1c	HEAT_REJECTION_PUMPS
d724ddc1-7a4c-4b82-93d4-60661f3021ea	01454fb8-e34a-49fa-aecf-3ed95c93c3dd	VENTILATION
d724ddc1-7a4c-4b82-93d4-60661f3021ea	b3f4fad3-f6bf-4eeb-8ca3-b0a6a6662e2f	INFILTRATION
d724ddc1-7a4c-4b82-93d4-60661f3021ea	2d8d6feb-d5f0-49ff-b6fe-8e98163e1650	IT_LOAD
a38ee156-7706-4dee-a2eb-2794a67643ab	eecd6fcf-c83d-4cc9-a79f-12ef2fe95dde	SWITCHGEAR
a38ee156-7706-4dee-a2eb-2794a67643ab	08659887-e328-4af2-8473-eaae1743fb31	GENERATOR
a38ee156-7706-4dee-a2eb-2794a67643ab	0c13d655-b307-4dab-b9cf-fdfc042fd7d3	PRIMARY_AUXILIARIES
a38ee156-7706-4dee-a2eb-2794a67643ab	abc3bd96-4126-4add-8122-6160051edab3	UPS
a38ee156-7706-4dee-a2eb-2794a67643ab	f726310e-7b43-45f7-a073-d2dbd677dfef	CRITICAL_AUXILIARIES
a38ee156-7706-4dee-a2eb-2794a67643ab	210d48ae-d669-4bd4-b578-4cd843c2ea7f	LIGHTING
a38ee156-7706-4dee-a2eb-2794a67643ab	55d15ddb-9410-4b93-8ca0-6ae7c1d57c7b	CRITICAL_POWER_DISTRIBUTION
a38ee156-7706-4dee-a2eb-2794a67643ab	4c0e82c9-9fee-435f-a7ae-2fb50b628ce2	CRAH
a38ee156-7706-4dee-a2eb-2794a67643ab	c03ebd61-06a3-4ef8-961c-def62aefa2b8	CRAC
a38ee156-7706-4dee-a2eb-2794a67643ab	00439776-1565-4aa1-8244-756aa291041d	CRAC_WITHOUT_FAN
a38ee156-7706-4dee-a2eb-2794a67643ab	895f094c-522b-4ae7-98c7-7c0350261896	CRAC_FAN
a38ee156-7706-4dee-a2eb-2794a67643ab	afa8ebc8-1bc0-4d80-b8a1-32741a4e0da6	CHILLER
a38ee156-7706-4dee-a2eb-2794a67643ab	00dc8988-bb72-4ce3-9e31-4adecdd05daa	AIR_COOLED_CHILLER
a38ee156-7706-4dee-a2eb-2794a67643ab	043e7de6-50b6-4e65-8af2-d55dd751f66b	COOLING_TOWER
a38ee156-7706-4dee-a2eb-2794a67643ab	79bb4559-6dee-4388-b355-b8d8362f1fb3	DRY_COOLER
a38ee156-7706-4dee-a2eb-2794a67643ab	df750801-ca62-48c4-9be7-a721dd3a9a25	REMOTE_CONDENSER
a38ee156-7706-4dee-a2eb-2794a67643ab	b1d54e9d-2b0c-4c34-aa0a-6fd580c22ea3	CHILLED_WATER_PUMPS
a38ee156-7706-4dee-a2eb-2794a67643ab	c30f6c11-a7e4-4149-8c97-b903186a276f	HEAT_REJECTION_PUMPS
a38ee156-7706-4dee-a2eb-2794a67643ab	b7418a46-ff81-425a-a3e3-d25b6ba3781b	VENTILATION
a38ee156-7706-4dee-a2eb-2794a67643ab	2ff3d83b-eb6b-409c-a4e1-22546211b615	INFILTRATION
a38ee156-7706-4dee-a2eb-2794a67643ab	f1ee9f20-8853-4d70-9e73-f6c8bdfb55bc	IT_LOAD
1e73c91a-7c57-483c-8501-3189e0677b27	0dea05f1-34b1-493b-a642-fe3b6341f6ed	SWITCHGEAR
1e73c91a-7c57-483c-8501-3189e0677b27	53118853-e8cf-42ff-bcf6-035138b828fb	GENERATOR
1e73c91a-7c57-483c-8501-3189e0677b27	aefc76cb-de33-4527-ad5a-356ef6cd669e	PRIMARY_AUXILIARIES
1e73c91a-7c57-483c-8501-3189e0677b27	490ca335-04e7-4153-91a0-b353a4b56d81	UPS
1e73c91a-7c57-483c-8501-3189e0677b27	c0fdcac0-6f28-4ea2-b151-774a414aa3ac	CRITICAL_AUXILIARIES
1e73c91a-7c57-483c-8501-3189e0677b27	a985b969-8f53-429c-8737-879f9e26e04a	LIGHTING
1e73c91a-7c57-483c-8501-3189e0677b27	2bd6799c-b47c-4032-a94f-4d8c221e52ca	CRITICAL_POWER_DISTRIBUTION
1e73c91a-7c57-483c-8501-3189e0677b27	a0bd3ec3-502a-42bf-9e97-18428ab76449	CRAH
1e73c91a-7c57-483c-8501-3189e0677b27	3fea728c-6217-43bd-a232-1495d9928b76	CRAC
1e73c91a-7c57-483c-8501-3189e0677b27	f353a730-954f-484e-a646-457a7d248a62	CRAC_WITHOUT_FAN
1e73c91a-7c57-483c-8501-3189e0677b27	1563d84e-e630-4874-bfeb-49a382620b93	CRAC_FAN
1e73c91a-7c57-483c-8501-3189e0677b27	988a430e-49c6-474c-a1e6-ee758dd29147	CHILLER
1e73c91a-7c57-483c-8501-3189e0677b27	d2311189-2008-4cbe-b69e-7e2db9f619cb	AIR_COOLED_CHILLER
1e73c91a-7c57-483c-8501-3189e0677b27	916d0cee-1473-4d59-85db-c791ba8b12ef	COOLING_TOWER
1e73c91a-7c57-483c-8501-3189e0677b27	474d3297-2182-44e0-b3a6-54d4a51d2b45	DRY_COOLER
1e73c91a-7c57-483c-8501-3189e0677b27	e39a1d55-c7e4-4fe3-a02d-a9ed41aca89f	REMOTE_CONDENSER
1e73c91a-7c57-483c-8501-3189e0677b27	024b5267-eb99-41f3-b734-24f8104e6e09	CHILLED_WATER_PUMPS
1e73c91a-7c57-483c-8501-3189e0677b27	cb1dddda-e628-44c1-9dde-6d7fed7a332e	HEAT_REJECTION_PUMPS
1e73c91a-7c57-483c-8501-3189e0677b27	992cca3a-8b88-46fb-916f-e8e192a2a857	VENTILATION
1e73c91a-7c57-483c-8501-3189e0677b27	ceb467a5-e046-4cb5-99f0-a8aa6c278550	INFILTRATION
1e73c91a-7c57-483c-8501-3189e0677b27	03d39b1c-d467-4747-bf2e-19b534af2c3b	IT_LOAD
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	c581d257-9427-4096-a291-921e8f1438f1	SWITCHGEAR
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	6138dcba-9f8e-4062-a885-f8e349bfa8b5	GENERATOR
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	d3571261-a4d1-44f5-b5a2-4fa9418a95f2	PRIMARY_AUXILIARIES
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	c30d8c29-f277-463a-ad76-2ddd05040287	UPS
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	80714d92-2575-459d-8a2d-db35e44481de	CRITICAL_AUXILIARIES
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	c906ef64-8254-48fa-8069-bfde43f4cecf	LIGHTING
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	093a5c29-1e6e-444b-97ec-c4d5acb517d2	CRITICAL_POWER_DISTRIBUTION
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	97972218-ca45-454b-9c33-2af36a69159a	CRAH
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	ff32a158-6d11-4b15-bdda-4fcbf2c05459	CRAC
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	49b7985f-a009-4526-86bd-0b7ea57e9826	CRAC_WITHOUT_FAN
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	42275d39-e082-4751-a14c-531dcc512b3c	CRAC_FAN
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	83140ad4-4411-4347-b6a2-4f2f31f3477b	CHILLER
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	162a7292-00f8-4ee6-aa42-52d5b141c8a4	AIR_COOLED_CHILLER
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	78affc70-cd06-459e-8e68-95a84367f098	COOLING_TOWER
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	11dd4b55-ed18-49f4-959d-9998ecc892e9	DRY_COOLER
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	d554ffc9-66bc-4bd3-acfb-a56c30fce8cb	REMOTE_CONDENSER
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	b72412e8-70ce-4650-8a2c-18ec2c263a7b	CHILLED_WATER_PUMPS
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	27889ca3-b511-4b48-bd67-29fc6ec5d907	HEAT_REJECTION_PUMPS
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	8c32c521-03fd-452e-9048-ae20a7515730	VENTILATION
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	6690f5eb-4212-448e-840a-b4edca87a5db	INFILTRATION
917a5ede-61c0-44d6-ab3f-d52b2bf340a1	a400c301-28a8-49f9-93c2-6d77bc1a1ecf	IT_LOAD
d4d041a4-b439-4821-aacc-259c3dae4054	847cc213-5b33-4d23-8beb-3674f1cdd1fd	SWITCHGEAR
d4d041a4-b439-4821-aacc-259c3dae4054	b57a566b-b3b6-4620-8d60-f8e14bda45cb	GENERATOR
d4d041a4-b439-4821-aacc-259c3dae4054	2198c069-151d-4f2b-8fa8-97a28520cc70	PRIMARY_AUXILIARIES
d4d041a4-b439-4821-aacc-259c3dae4054	04654a14-03ef-4a36-acd8-5282ac8d2c6b	UPS
d4d041a4-b439-4821-aacc-259c3dae4054	a5ddf033-5768-4098-806f-6d922416c7c5	CRITICAL_AUXILIARIES
d4d041a4-b439-4821-aacc-259c3dae4054	883af84d-e54c-490b-b0d2-2b18250b11ac	LIGHTING
d4d041a4-b439-4821-aacc-259c3dae4054	1745c339-fa12-4e78-a2c4-9c5798b4c513	CRITICAL_POWER_DISTRIBUTION
d4d041a4-b439-4821-aacc-259c3dae4054	8f05426c-f0b9-42a8-87cb-d98b71b9ff34	CRAH
d4d041a4-b439-4821-aacc-259c3dae4054	e280e2aa-b0aa-4046-aeaa-030cffa84f56	CRAC
d4d041a4-b439-4821-aacc-259c3dae4054	26f14037-575f-4b05-bef5-b0e264edd60d	CRAC_WITHOUT_FAN
d4d041a4-b439-4821-aacc-259c3dae4054	7fbf8949-b26d-49bf-a79e-20a5b14ae4f4	CRAC_FAN
d4d041a4-b439-4821-aacc-259c3dae4054	79fca640-9ee1-44a3-a8d8-dbe38486bbbc	CHILLER
d4d041a4-b439-4821-aacc-259c3dae4054	ff6a6d8d-af22-46f2-8173-0d11208d4957	AIR_COOLED_CHILLER
d4d041a4-b439-4821-aacc-259c3dae4054	70121cf9-2882-4a0b-9a38-d85366c62c94	COOLING_TOWER
d4d041a4-b439-4821-aacc-259c3dae4054	cd0465e0-9f21-472a-8157-ad0d1263565a	DRY_COOLER
d4d041a4-b439-4821-aacc-259c3dae4054	cb8f9155-5b9a-46c2-86a9-684dd8e77d23	REMOTE_CONDENSER
d4d041a4-b439-4821-aacc-259c3dae4054	3f581db2-8adc-42cf-acac-649382cd704d	CHILLED_WATER_PUMPS
d4d041a4-b439-4821-aacc-259c3dae4054	6acb77c5-f12c-418b-af9e-58c3b3d792fe	HEAT_REJECTION_PUMPS
d4d041a4-b439-4821-aacc-259c3dae4054	e735ad2c-2c3a-46c5-a227-c5837b14ab42	VENTILATION
d4d041a4-b439-4821-aacc-259c3dae4054	b69facc5-831c-4767-a29d-ea04763eba7f	INFILTRATION
d4d041a4-b439-4821-aacc-259c3dae4054	8322932a-b158-4475-9e40-3a1d464ed27e	IT_LOAD
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	0e082238-79a2-471b-88bc-dbcb64cb654f	SWITCHGEAR
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	fe8a1f7c-fc10-4436-9446-c78914c9e3e9	GENERATOR
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	6fa53252-7434-4a71-8d81-ea1ab99f02a8	PRIMARY_AUXILIARIES
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	7b7478ac-d199-4cef-83aa-8cfc652fad45	UPS
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	0290f477-255c-47c3-8112-fa627b9a9380	CRITICAL_AUXILIARIES
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	3efbe687-1c61-4d1e-8fa0-9d12b60b5ec4	LIGHTING
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	5103a226-7722-4e66-bd26-8c0a6feaaf06	CRITICAL_POWER_DISTRIBUTION
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	0650883a-cbc7-4030-9938-b15f073bb239	CRAH
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	c4797d81-ac35-4f3b-9f98-216619fe2a63	CRAC
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	fc8dd55c-dbbc-422d-a1d0-f971e9d9bf1a	CRAC_WITHOUT_FAN
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	3a06dd68-c09e-47db-96fb-5922979fe7a2	CRAC_FAN
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	ba6a8d91-f1ce-496f-87f9-e8eeb23ebf4a	CHILLER
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	10014d5b-d082-4228-9de2-5318c2c9b13d	AIR_COOLED_CHILLER
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	68dd255e-68c8-4307-91ae-392fa8853592	COOLING_TOWER
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	4b1df41f-b865-409e-af4f-7f6bf5fa0311	DRY_COOLER
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	c423c3df-9118-41a6-b3f4-6c83c83977d0	REMOTE_CONDENSER
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	90ad2117-c7e8-4997-8f67-5ad292da585d	CHILLED_WATER_PUMPS
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	68e3f320-7b90-4a29-99c1-e4574859126f	HEAT_REJECTION_PUMPS
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	8b75512c-bec1-4413-aaa5-565302bbdf11	VENTILATION
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	6c20f32f-b191-4858-b6d9-cd0e5f2e2a9e	INFILTRATION
e47750e6-ed89-4ae3-8f8a-798e9103a2cd	0af26716-23cc-48d3-ba0d-0e29f295b8ed	IT_LOAD
23e9bd82-00bd-475e-9d21-6f1c2fa23559	76142373-8c39-48e9-beb7-742c7e92000c	SWITCHGEAR
23e9bd82-00bd-475e-9d21-6f1c2fa23559	7f8cd278-3c8f-47e0-975f-9114e0fbca1c	GENERATOR
23e9bd82-00bd-475e-9d21-6f1c2fa23559	c37649b2-ed97-48f6-8869-859e450c54ea	PRIMARY_AUXILIARIES
23e9bd82-00bd-475e-9d21-6f1c2fa23559	ad8f7559-63d7-4d08-8b1f-c31814404cb1	UPS
23e9bd82-00bd-475e-9d21-6f1c2fa23559	c45e8456-6579-4dca-88cb-73b990d14425	CRITICAL_AUXILIARIES
23e9bd82-00bd-475e-9d21-6f1c2fa23559	71b4be45-4e40-4a92-bd98-df0a09aca2d3	LIGHTING
23e9bd82-00bd-475e-9d21-6f1c2fa23559	a899d1da-6cf5-41b3-ba14-b953831545e9	CRITICAL_POWER_DISTRIBUTION
23e9bd82-00bd-475e-9d21-6f1c2fa23559	39c7b901-d728-402f-b17f-082c1705c555	CRAH
23e9bd82-00bd-475e-9d21-6f1c2fa23559	aa751aac-fe4c-4e1d-80eb-e7c61eceb43a	CRAC
23e9bd82-00bd-475e-9d21-6f1c2fa23559	3e2ddb74-a816-46a3-a3ff-534a20df5f6f	CRAC_WITHOUT_FAN
23e9bd82-00bd-475e-9d21-6f1c2fa23559	ce3769fb-7a1b-41a8-ade8-b4412c5a2a68	CRAC_FAN
23e9bd82-00bd-475e-9d21-6f1c2fa23559	03adf706-7139-403c-a136-75eb28b693d6	CHILLER
23e9bd82-00bd-475e-9d21-6f1c2fa23559	fcd4abba-34d7-4805-97a2-b0030de2e659	AIR_COOLED_CHILLER
23e9bd82-00bd-475e-9d21-6f1c2fa23559	2c00d2bb-ee0f-4151-9929-1bc465cf679d	COOLING_TOWER
23e9bd82-00bd-475e-9d21-6f1c2fa23559	196e415e-56ef-4f1d-b38b-720ab90b9b73	DRY_COOLER
23e9bd82-00bd-475e-9d21-6f1c2fa23559	06565159-aa6a-4247-911b-8adb96ad4886	REMOTE_CONDENSER
23e9bd82-00bd-475e-9d21-6f1c2fa23559	087830a7-b161-4900-905c-41b7d40fe1b0	CHILLED_WATER_PUMPS
23e9bd82-00bd-475e-9d21-6f1c2fa23559	71fc1298-98e8-4b89-9424-9849fbb73177	HEAT_REJECTION_PUMPS
23e9bd82-00bd-475e-9d21-6f1c2fa23559	d7e8904b-4da9-46ef-a362-25b5851c0932	VENTILATION
23e9bd82-00bd-475e-9d21-6f1c2fa23559	62e9eee1-a227-4a13-acd7-55ace766967e	INFILTRATION
23e9bd82-00bd-475e-9d21-6f1c2fa23559	e18ae36b-ab76-4df5-904b-eb01db2ba5c8	IT_LOAD
9b9feec3-e451-4020-af50-b18a3e61b39a	67449027-8c06-4541-85af-026b21a37061	SWITCHGEAR
9b9feec3-e451-4020-af50-b18a3e61b39a	2728fe9e-5cb1-40e9-987f-882835eeb71c	GENERATOR
9b9feec3-e451-4020-af50-b18a3e61b39a	2cf5a732-9da3-484d-9097-5b124d735664	PRIMARY_AUXILIARIES
9b9feec3-e451-4020-af50-b18a3e61b39a	3d04b34e-0d58-4d44-929c-140947e053d4	UPS
9b9feec3-e451-4020-af50-b18a3e61b39a	a662e9fd-e75e-4b5d-88df-66264d869095	CRITICAL_AUXILIARIES
9b9feec3-e451-4020-af50-b18a3e61b39a	b4ef175f-e8c5-4264-96ed-1438a5a84083	LIGHTING
9b9feec3-e451-4020-af50-b18a3e61b39a	b6f2ed60-628c-400c-9cb6-8fc5684164da	CRITICAL_POWER_DISTRIBUTION
9b9feec3-e451-4020-af50-b18a3e61b39a	3a8ca564-513c-491b-afd2-dcb719a1f17c	CRAH
9b9feec3-e451-4020-af50-b18a3e61b39a	3b10c216-ac1b-42e1-bf0e-fe232611f677	CRAC
9b9feec3-e451-4020-af50-b18a3e61b39a	2ad842ab-eeb2-4f99-9818-65fda8932343	CRAC_WITHOUT_FAN
9b9feec3-e451-4020-af50-b18a3e61b39a	519bd2b5-5d90-4f8d-8421-da301841a949	CRAC_FAN
9b9feec3-e451-4020-af50-b18a3e61b39a	a35f9de1-c18c-4811-bf9e-b0f975a76cd3	CHILLER
9b9feec3-e451-4020-af50-b18a3e61b39a	41c16446-473d-47f5-ac6c-d661323cb6af	AIR_COOLED_CHILLER
9b9feec3-e451-4020-af50-b18a3e61b39a	c41b0fcb-367f-4e2e-a77b-46aa33f56f05	COOLING_TOWER
9b9feec3-e451-4020-af50-b18a3e61b39a	6c285823-d001-4341-8446-ef3b527b9878	DRY_COOLER
9b9feec3-e451-4020-af50-b18a3e61b39a	a5514e7d-61d4-4def-af38-6d2196ced7ac	REMOTE_CONDENSER
9b9feec3-e451-4020-af50-b18a3e61b39a	8069c42a-bf1a-4afd-948e-8e0d1b9c57f9	CHILLED_WATER_PUMPS
9b9feec3-e451-4020-af50-b18a3e61b39a	6b718a46-f61f-49dd-a5ab-9dcefe09d86a	HEAT_REJECTION_PUMPS
9b9feec3-e451-4020-af50-b18a3e61b39a	8dd56980-3806-4a74-8e09-fe895bceda16	VENTILATION
9b9feec3-e451-4020-af50-b18a3e61b39a	18920518-951b-48bd-919e-8e481bc7bc28	INFILTRATION
9b9feec3-e451-4020-af50-b18a3e61b39a	4c7bbef8-488e-4c36-8d95-88c21cfc7ea9	IT_LOAD
7d1a7d0a-9724-478c-8d89-418beea78e26	d7581a67-e436-4725-9a63-ca00a14ba43d	SWITCHGEAR
7d1a7d0a-9724-478c-8d89-418beea78e26	1a9dac5b-20b0-49f6-b13f-c1b01c578758	GENERATOR
7d1a7d0a-9724-478c-8d89-418beea78e26	9c95fbba-74ea-4b94-889f-cbac3118cb48	PRIMARY_AUXILIARIES
7d1a7d0a-9724-478c-8d89-418beea78e26	75b977b6-9334-4e29-9bfe-d5fc8886118b	UPS
7d1a7d0a-9724-478c-8d89-418beea78e26	577dab15-6edd-4ef9-822b-ccd98a3e71b3	CRITICAL_AUXILIARIES
7d1a7d0a-9724-478c-8d89-418beea78e26	88a02fff-6b81-4839-aa1e-7b51682e13b2	LIGHTING
7d1a7d0a-9724-478c-8d89-418beea78e26	14c6f192-c7fd-40da-bfb9-cb4f6dfe0128	CRITICAL_POWER_DISTRIBUTION
7d1a7d0a-9724-478c-8d89-418beea78e26	2317f269-77b6-4210-afc9-e5d35da24709	CRAH
7d1a7d0a-9724-478c-8d89-418beea78e26	85c23c38-d3a2-43ae-bcce-70c873ea6846	CRAC
7d1a7d0a-9724-478c-8d89-418beea78e26	3e7d0e3d-9815-451c-b6d8-38c689f8bafe	CRAC_WITHOUT_FAN
7d1a7d0a-9724-478c-8d89-418beea78e26	e67559f2-f859-41be-8112-a8b7489c3f5e	CRAC_FAN
7d1a7d0a-9724-478c-8d89-418beea78e26	bd803173-3e0a-4bbd-a69d-3f6fd42cc054	CHILLER
7d1a7d0a-9724-478c-8d89-418beea78e26	36d83d39-3705-4f7b-87af-8901563a0d96	AIR_COOLED_CHILLER
7d1a7d0a-9724-478c-8d89-418beea78e26	4aea7f4a-1193-4d69-819d-d072885b1a3c	COOLING_TOWER
7d1a7d0a-9724-478c-8d89-418beea78e26	25d5c8b5-50de-48ca-aeb0-59532893c2a7	DRY_COOLER
7d1a7d0a-9724-478c-8d89-418beea78e26	c422e264-0707-476e-aa1b-0bccbb03f3af	REMOTE_CONDENSER
7d1a7d0a-9724-478c-8d89-418beea78e26	c477384c-1a06-4625-91b2-9d4b1e9ee3d6	CHILLED_WATER_PUMPS
7d1a7d0a-9724-478c-8d89-418beea78e26	d4e1bd80-dc7a-413b-8605-e475b4b82885	HEAT_REJECTION_PUMPS
7d1a7d0a-9724-478c-8d89-418beea78e26	89f4743b-1d50-47ce-847c-57132f9a7892	VENTILATION
7d1a7d0a-9724-478c-8d89-418beea78e26	a817a4f6-d688-4c20-85d5-9f1639407a45	INFILTRATION
7d1a7d0a-9724-478c-8d89-418beea78e26	2c771ebc-fff7-4c7f-8f4f-ab9f1cb80a13	IT_LOAD
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	fde4f0cc-0eba-4e72-b2a2-2a26520daa50	SWITCHGEAR
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	3cb48510-b553-4907-a21a-9aa402a61242	GENERATOR
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	b0fbc1cd-4dd5-4196-93d1-bc9e65e84f83	PRIMARY_AUXILIARIES
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	e342bc1d-fc13-4cff-908c-b18ccff81780	UPS
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	d6021caf-bdc1-4db5-b280-9fa7724f674d	CRITICAL_AUXILIARIES
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	33eaf188-6b54-46fb-bb6e-3f025220370c	LIGHTING
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	9b82ce49-9832-4e61-8b33-261581c2a9a1	CRITICAL_POWER_DISTRIBUTION
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	fb6634e9-398b-4d74-857f-0dbf13209b24	CRAH
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	395f0235-c378-48d0-ad00-c3deac988ee3	CRAC
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	b3956a46-5831-4370-8f1e-576965a55306	CRAC_WITHOUT_FAN
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	310634ab-477c-4ef1-adcd-3429be125d2c	CRAC_FAN
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	9cf5f386-b843-4852-9b77-a2eb8bbca802	CHILLER
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	542e166c-e388-41fe-9c2e-73d406266f5e	AIR_COOLED_CHILLER
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	058b459a-8f95-4399-94cf-56fc8aee465d	COOLING_TOWER
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	24f00bba-0ea2-40ba-a39d-becf9f3c6fee	DRY_COOLER
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	cd6f0c03-454b-4123-92e6-2a37c99cc9ec	REMOTE_CONDENSER
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	f5a21522-06d5-40b0-8ed5-c546396f0b1e	CHILLED_WATER_PUMPS
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	9de052a6-c694-4b97-b48a-1d79033d7dc2	HEAT_REJECTION_PUMPS
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	788909f2-a9f0-421c-b542-2ea4de03d98f	VENTILATION
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	492a8ffd-3174-4417-a283-181827516b60	INFILTRATION
740b14e8-0bd8-4d19-bf9b-876b8f4437c8	538d35c2-29f9-47b8-9f97-0d0ce9c0e882	IT_LOAD
86efe363-21a4-4d68-b83c-baa157584d85	0446fc8e-a42f-4d4b-8975-03cebec558cb	SWITCHGEAR
86efe363-21a4-4d68-b83c-baa157584d85	c2801977-4c3c-47b5-9b01-e55066d97cf3	GENERATOR
86efe363-21a4-4d68-b83c-baa157584d85	b70ebf7e-705d-478d-95f5-5dd7e28bf6b1	PRIMARY_AUXILIARIES
86efe363-21a4-4d68-b83c-baa157584d85	f0fc6718-19ef-4d56-9780-f31131a0b764	UPS
86efe363-21a4-4d68-b83c-baa157584d85	c7c5f0b3-144e-45c0-b75f-d872a61f4e89	CRITICAL_AUXILIARIES
86efe363-21a4-4d68-b83c-baa157584d85	02423d05-7adb-43f4-ab6c-17c051bceddb	LIGHTING
86efe363-21a4-4d68-b83c-baa157584d85	8c08a5f6-3937-4ffa-9f33-9ee791f46fce	CRITICAL_POWER_DISTRIBUTION
86efe363-21a4-4d68-b83c-baa157584d85	c7ee432e-5192-45e0-909e-89a3638bf5f7	CRAH
86efe363-21a4-4d68-b83c-baa157584d85	40d21675-3d0b-4988-8eb4-a803bb87b60a	CRAC
86efe363-21a4-4d68-b83c-baa157584d85	0b501b27-1e0e-4ba9-9298-9603e9f5f878	CRAC_WITHOUT_FAN
86efe363-21a4-4d68-b83c-baa157584d85	d387477d-fc74-41fc-8d3a-5a165a91a984	CRAC_FAN
86efe363-21a4-4d68-b83c-baa157584d85	ac340fca-8861-41fc-aa03-2867830fbf4d	CHILLER
86efe363-21a4-4d68-b83c-baa157584d85	f0e66201-647f-4b47-ac52-bd9571d9fb1a	AIR_COOLED_CHILLER
86efe363-21a4-4d68-b83c-baa157584d85	3eabfad7-d3c0-4f57-bb47-7b4672574b09	COOLING_TOWER
86efe363-21a4-4d68-b83c-baa157584d85	32a0924b-2265-4990-b82e-7b883d65ded4	DRY_COOLER
86efe363-21a4-4d68-b83c-baa157584d85	f47dfe6b-aaf1-4840-9948-5ef36263b4fb	REMOTE_CONDENSER
86efe363-21a4-4d68-b83c-baa157584d85	120b7f5b-cc99-4f0e-bb7d-3d6d002b2efd	CHILLED_WATER_PUMPS
86efe363-21a4-4d68-b83c-baa157584d85	bf365cfe-3780-4dcd-8360-1261d338e376	HEAT_REJECTION_PUMPS
86efe363-21a4-4d68-b83c-baa157584d85	ac2dbe24-54e8-4b03-b6f5-4c8b013d80aa	VENTILATION
86efe363-21a4-4d68-b83c-baa157584d85	1f94f71e-cde9-45c8-a72d-2524898f2324	INFILTRATION
86efe363-21a4-4d68-b83c-baa157584d85	3bec5bae-9134-41ef-9092-0109d3dc1e46	IT_LOAD
cb413928-dc59-4cc3-b95c-9989bec628e4	60b365cf-11d6-477d-ad87-e84cdc35ea4b	SWITCHGEAR
cb413928-dc59-4cc3-b95c-9989bec628e4	7cc338f6-d0d7-4c66-b684-71584db33360	GENERATOR
cb413928-dc59-4cc3-b95c-9989bec628e4	81323af8-7400-4be5-8640-d62084f29462	PRIMARY_AUXILIARIES
cb413928-dc59-4cc3-b95c-9989bec628e4	c226b8a0-d2e3-44e7-92a3-dee0dc98d809	UPS
cb413928-dc59-4cc3-b95c-9989bec628e4	6de63522-cdc0-4874-afb8-aa1deed8997f	CRITICAL_AUXILIARIES
cb413928-dc59-4cc3-b95c-9989bec628e4	c3c9ef45-2cca-4cff-830c-03ba5e5deeb3	LIGHTING
cb413928-dc59-4cc3-b95c-9989bec628e4	139fedfe-7281-48f5-9dca-e6d1d51ae61d	CRITICAL_POWER_DISTRIBUTION
cb413928-dc59-4cc3-b95c-9989bec628e4	0ae4b580-e56d-4d8d-89f0-ee1aedf4a9bc	CRAH
cb413928-dc59-4cc3-b95c-9989bec628e4	57124e0c-9c13-4301-a783-03e162f7be42	CRAC
cb413928-dc59-4cc3-b95c-9989bec628e4	5a9219bb-4559-47e2-85a2-f95910e57f96	CRAC_WITHOUT_FAN
cb413928-dc59-4cc3-b95c-9989bec628e4	05f925fe-8e4a-4394-93b9-50c408a0c228	CRAC_FAN
cb413928-dc59-4cc3-b95c-9989bec628e4	bdab140f-b803-4345-bf02-193dec5bbd65	CHILLER
cb413928-dc59-4cc3-b95c-9989bec628e4	3b469eb1-8a96-47f2-9703-dd4ebc689412	AIR_COOLED_CHILLER
cb413928-dc59-4cc3-b95c-9989bec628e4	bde2b4f6-86e4-4fa8-bcd8-5cc93aa9ac58	COOLING_TOWER
cb413928-dc59-4cc3-b95c-9989bec628e4	bf8573d5-4a18-49a5-bedd-1d7e0bfbad95	DRY_COOLER
cb413928-dc59-4cc3-b95c-9989bec628e4	3d4da1d6-ccf8-4819-a26d-1295c8717013	REMOTE_CONDENSER
cb413928-dc59-4cc3-b95c-9989bec628e4	20dff2f2-6029-4329-88ba-1c927f8988f2	CHILLED_WATER_PUMPS
cb413928-dc59-4cc3-b95c-9989bec628e4	cfe2a1c6-cae0-459c-9251-041de20fcf4e	HEAT_REJECTION_PUMPS
cb413928-dc59-4cc3-b95c-9989bec628e4	11228eea-7b48-43d8-807b-d24ba3175ad4	VENTILATION
cb413928-dc59-4cc3-b95c-9989bec628e4	22aa58d2-621a-432a-8bf9-94c439f11e03	INFILTRATION
cb413928-dc59-4cc3-b95c-9989bec628e4	88af5517-c8be-477c-8fc8-cfd4bc8b3481	IT_LOAD
f4abd7a3-abc0-4616-818e-66d192c95f21	07cb05b3-c9cd-4619-86a8-ae91295c8f81	SWITCHGEAR
f4abd7a3-abc0-4616-818e-66d192c95f21	29835380-60de-4d5b-9b6b-08464cf34172	GENERATOR
f4abd7a3-abc0-4616-818e-66d192c95f21	b806e25f-4c0d-4f2d-b7c7-813e2c32fea3	PRIMARY_AUXILIARIES
f4abd7a3-abc0-4616-818e-66d192c95f21	9c6accf6-7780-4cb1-8c1b-eb3aac9c46e4	UPS
f4abd7a3-abc0-4616-818e-66d192c95f21	1e2823b8-b985-47a1-83c8-ada91d4b10b3	CRITICAL_AUXILIARIES
f4abd7a3-abc0-4616-818e-66d192c95f21	45d21f99-c147-4923-9175-c950919c982a	LIGHTING
f4abd7a3-abc0-4616-818e-66d192c95f21	868e9c1a-ff15-43ee-b288-d22581f6862c	CRITICAL_POWER_DISTRIBUTION
f4abd7a3-abc0-4616-818e-66d192c95f21	3650bb87-7f8d-4a81-8d4d-ef54ed4d7495	CRAH
f4abd7a3-abc0-4616-818e-66d192c95f21	35a66063-ab92-4219-8f94-d7d9043386dc	CRAC
f4abd7a3-abc0-4616-818e-66d192c95f21	6f71f98c-2d77-4fd6-bbcc-9ce4f932bb6a	CRAC_WITHOUT_FAN
f4abd7a3-abc0-4616-818e-66d192c95f21	937d1ef2-9b3f-4b7f-b241-2f1e62f54575	CRAC_FAN
f4abd7a3-abc0-4616-818e-66d192c95f21	1c3d67bb-815c-4db8-ad32-f5d71815ba9a	CHILLER
f4abd7a3-abc0-4616-818e-66d192c95f21	7f75416a-e9ba-4bbe-b8e1-094e34f1b896	AIR_COOLED_CHILLER
f4abd7a3-abc0-4616-818e-66d192c95f21	4d24b646-80d6-4eed-a348-00abe304ff39	COOLING_TOWER
f4abd7a3-abc0-4616-818e-66d192c95f21	e905d7d9-9b01-4aba-9692-e7f4175c37db	DRY_COOLER
f4abd7a3-abc0-4616-818e-66d192c95f21	ff64536b-4a84-4f49-8b86-f78204c4b61e	REMOTE_CONDENSER
f4abd7a3-abc0-4616-818e-66d192c95f21	a10e0fbd-4cac-4376-b33a-16340616dcb6	CHILLED_WATER_PUMPS
f4abd7a3-abc0-4616-818e-66d192c95f21	bf890a64-31e0-4088-9b01-2bf0554fd2d1	HEAT_REJECTION_PUMPS
f4abd7a3-abc0-4616-818e-66d192c95f21	7f400060-1441-423a-a3be-4f65c6227225	VENTILATION
f4abd7a3-abc0-4616-818e-66d192c95f21	99c9a263-476c-487f-98ce-c34bd21a2cbb	INFILTRATION
f4abd7a3-abc0-4616-818e-66d192c95f21	740798b5-3c52-404a-9f57-563837f9852b	IT_LOAD
22ab4f4f-c237-4bdb-8904-94629927783e	3a8216ac-53fa-45b4-a0df-a88d34566971	SWITCHGEAR
22ab4f4f-c237-4bdb-8904-94629927783e	8023be81-2e7a-41b7-8e9c-f51c7397fcee	GENERATOR
22ab4f4f-c237-4bdb-8904-94629927783e	37a50e95-c031-48a3-8155-e9d8b3b5f424	PRIMARY_AUXILIARIES
22ab4f4f-c237-4bdb-8904-94629927783e	4052bdd6-8ee0-42ac-917e-49da4bd16dec	UPS
22ab4f4f-c237-4bdb-8904-94629927783e	ab27287f-b35b-4569-b7dc-3dba932707a7	CRITICAL_AUXILIARIES
22ab4f4f-c237-4bdb-8904-94629927783e	488e82a6-336e-4dd9-8ddf-46a37bab6dc4	LIGHTING
22ab4f4f-c237-4bdb-8904-94629927783e	c47d8256-9cf3-4cd1-89dd-a81325d94883	CRITICAL_POWER_DISTRIBUTION
22ab4f4f-c237-4bdb-8904-94629927783e	91df3d41-b023-4c9f-ac7f-72500b95645b	CRAH
22ab4f4f-c237-4bdb-8904-94629927783e	73cb47c6-c0e2-435d-8622-5375a45ea052	CRAC
22ab4f4f-c237-4bdb-8904-94629927783e	fecd921c-4bde-4e3a-b946-59f708f414dd	CRAC_WITHOUT_FAN
22ab4f4f-c237-4bdb-8904-94629927783e	9a414bd2-d391-4d59-a7ca-552993dfc23e	CRAC_FAN
22ab4f4f-c237-4bdb-8904-94629927783e	85800759-5b15-4728-af5c-96c8726f6d3c	CHILLER
22ab4f4f-c237-4bdb-8904-94629927783e	9fac5f35-f2de-416b-adee-6560228e3c53	AIR_COOLED_CHILLER
22ab4f4f-c237-4bdb-8904-94629927783e	5996f651-1d0d-44bd-bb51-229eb6dbc686	COOLING_TOWER
22ab4f4f-c237-4bdb-8904-94629927783e	72302dad-4a46-4c7d-8ca3-cb5f53ee6592	DRY_COOLER
22ab4f4f-c237-4bdb-8904-94629927783e	edc0be4a-fc91-400d-9da3-2e50505ee933	REMOTE_CONDENSER
22ab4f4f-c237-4bdb-8904-94629927783e	0e0d2215-1bf2-4e91-bc9b-1df275bfcc04	CHILLED_WATER_PUMPS
22ab4f4f-c237-4bdb-8904-94629927783e	7412bd18-0fc9-4181-ab11-0b71a33ac518	HEAT_REJECTION_PUMPS
22ab4f4f-c237-4bdb-8904-94629927783e	b5952de8-6013-4461-bc42-e667fbbeeba8	VENTILATION
22ab4f4f-c237-4bdb-8904-94629927783e	54477232-ffbc-4974-ab96-c911dc4dbb96	INFILTRATION
22ab4f4f-c237-4bdb-8904-94629927783e	4618d5bb-9a84-4dec-9a7a-965696dca41c	IT_LOAD
b8a49022-f0a8-404d-9429-4d2089432b30	27739e6b-f761-4507-8a03-b3bca9e234ac	SWITCHGEAR
b8a49022-f0a8-404d-9429-4d2089432b30	bd5fee95-300d-45fb-8e8b-98c6e4e8dacb	GENERATOR
b8a49022-f0a8-404d-9429-4d2089432b30	001fd7ea-30fb-4232-b50a-a7cd523f41e7	PRIMARY_AUXILIARIES
b8a49022-f0a8-404d-9429-4d2089432b30	32490a53-8a16-4a54-8118-efb4bfede8c9	UPS
b8a49022-f0a8-404d-9429-4d2089432b30	58ab4f0a-53cc-47cf-9bc9-2a26ff864ebb	CRITICAL_AUXILIARIES
b8a49022-f0a8-404d-9429-4d2089432b30	2ae23a6d-f3b3-4533-aaf3-9facfc3c40c0	LIGHTING
b8a49022-f0a8-404d-9429-4d2089432b30	f651daac-941e-45f5-b4f0-12fda811d3fe	CRITICAL_POWER_DISTRIBUTION
b8a49022-f0a8-404d-9429-4d2089432b30	3729f1bf-869f-4446-8d2e-b8fb6996d259	CRAH
b8a49022-f0a8-404d-9429-4d2089432b30	eda177c9-5b61-4630-8077-17d0e9814d28	CRAC
b8a49022-f0a8-404d-9429-4d2089432b30	13752ad1-c8a9-46ee-a5ba-40c58715ced2	CRAC_WITHOUT_FAN
b8a49022-f0a8-404d-9429-4d2089432b30	a55a587d-d884-4aa9-869d-54e8a5cb674c	CRAC_FAN
b8a49022-f0a8-404d-9429-4d2089432b30	25ee9f9c-98e1-4b0f-88de-6cf09acd79ae	CHILLER
b8a49022-f0a8-404d-9429-4d2089432b30	260e7317-0afc-4807-8edd-c229f2b7717b	AIR_COOLED_CHILLER
b8a49022-f0a8-404d-9429-4d2089432b30	bb4b321f-9644-453d-8bc0-88eb1379e92c	COOLING_TOWER
b8a49022-f0a8-404d-9429-4d2089432b30	780354cb-cde1-42d3-a61f-a5b3970965db	DRY_COOLER
b8a49022-f0a8-404d-9429-4d2089432b30	60f19791-09af-484a-a779-063fa9d4e6d5	REMOTE_CONDENSER
b8a49022-f0a8-404d-9429-4d2089432b30	082af3c5-d34d-45e9-80e3-1bf67261fbf5	CHILLED_WATER_PUMPS
b8a49022-f0a8-404d-9429-4d2089432b30	294cd5ff-0195-4987-a6d4-6a927b903321	HEAT_REJECTION_PUMPS
b8a49022-f0a8-404d-9429-4d2089432b30	c853734d-8713-4408-ae71-6f9a1e92fa3b	VENTILATION
b8a49022-f0a8-404d-9429-4d2089432b30	111f493f-ebf4-4191-8de8-788f1206b7c5	INFILTRATION
b8a49022-f0a8-404d-9429-4d2089432b30	3e39cc88-5e76-431f-a22e-4c47a14e6d70	IT_LOAD
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	0af9090a-bb30-427f-a9f8-0e73484668dc	SWITCHGEAR
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	92a78339-3014-454b-8f18-f5516e67cf03	GENERATOR
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	599a30f2-5fc7-4210-b538-34f95e3696eb	PRIMARY_AUXILIARIES
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	14ef5671-bd15-4c10-9bb4-e9dbc3c052a1	UPS
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	1415e33a-565f-4191-93de-de57cdf9ecf4	CRITICAL_AUXILIARIES
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	61f73e30-faff-4670-ab5c-5e4a70573150	LIGHTING
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	50fbd64c-fb41-4de8-8c04-5a106b66b0a2	CRITICAL_POWER_DISTRIBUTION
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	cf5adce1-74bf-491a-8c7b-5f21e69616c9	CRAH
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	19c9852c-d66b-434f-8bf6-192b7ec2a06e	CRAC
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	f6212614-c9c9-4b50-afc3-02ecf33703ed	CRAC_WITHOUT_FAN
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	376b3063-df37-49f2-93fc-791081f54795	CRAC_FAN
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	11cd3e95-3961-4472-bdc9-5fcddd997f43	CHILLER
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	b1d40070-02be-4dab-a9c1-5fe5b2b16595	AIR_COOLED_CHILLER
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	d231234e-7706-46e5-87f7-23393a185da4	COOLING_TOWER
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	92b53ef3-96ea-4dcc-9803-04550e9da902	DRY_COOLER
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	03bed327-98ff-4cb7-9e41-4186fa93324d	REMOTE_CONDENSER
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	61c0811d-c3c5-4fbb-87c5-6036f4a4997a	CHILLED_WATER_PUMPS
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	4a74a80b-93a1-4319-910a-ce8b08951a26	HEAT_REJECTION_PUMPS
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	6976b199-c177-4cfc-9d47-43ca48f381ab	VENTILATION
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	d8e264e5-66d1-4408-8f49-9a4b57c553ad	INFILTRATION
7e033d03-d660-4c3c-9085-bcbfbcdfbcf8	de7b055e-dd28-48ba-b185-5cf634fdcf24	IT_LOAD
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	4ef766ff-c355-48a6-a3da-3ce72ee8616e	SWITCHGEAR
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	4b8bdf53-1018-432d-ad55-445cff84e105	GENERATOR
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	3a100d62-bd49-4e7f-ad40-049408980758	PRIMARY_AUXILIARIES
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	663c0b51-8c43-40b5-9f0f-234274c22ad1	UPS
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	6e08fb2b-ac41-4f83-bd71-4357bd055167	CRITICAL_AUXILIARIES
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	acba3675-eedb-42db-8360-c13181b98239	LIGHTING
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	d02c0d19-6e74-4b4d-ad15-84abba5ba963	CRITICAL_POWER_DISTRIBUTION
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	bfd3e5b4-1b1c-4833-9acd-4b9c7b8c12d8	CRAH
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	4b0c41d7-9e0c-4a59-bc82-95820932dc87	CRAC
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	ee58aa8e-9300-4ab4-8201-69f473569ab1	CRAC_WITHOUT_FAN
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	cac726f4-c618-41fe-8090-11886ea67426	CRAC_FAN
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	882e11fe-048d-4310-9bd5-98d667146f2f	CHILLER
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	637a4f29-fdcd-4cef-aa20-25621a1d9727	AIR_COOLED_CHILLER
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	c45a61aa-4ecf-4031-b7bd-26aa0b7bbed4	COOLING_TOWER
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	9bbaeb98-6bb3-4e99-8d04-fde97f5fec06	DRY_COOLER
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	575d07ec-76da-48e1-90e0-fe78a317fc86	REMOTE_CONDENSER
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	e2032e82-9be6-4112-a37d-cd579086b7a8	CHILLED_WATER_PUMPS
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	fa5dde1b-0b6f-4a24-8d65-f2f0b60d09d5	HEAT_REJECTION_PUMPS
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	a47a554b-14f6-4503-aeac-5ff281e4c265	VENTILATION
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	c278aa3c-69bc-4bae-9518-c42fd7cee1af	INFILTRATION
98b1b13d-4de6-43b9-8962-0bc6f0d58ce9	c0e35fae-6346-410b-b45c-e5c4f78b5402	IT_LOAD
5f917166-9f88-4613-a503-4b9b25fa88ad	013e9a93-7daa-4b0a-8151-af5acc9ce7b3	SWITCHGEAR
5f917166-9f88-4613-a503-4b9b25fa88ad	f0ee8a3e-0c76-4a05-9b4d-98bf7e971514	GENERATOR
5f917166-9f88-4613-a503-4b9b25fa88ad	997ddb4d-df24-4247-aead-882fd7f6f309	PRIMARY_AUXILIARIES
5f917166-9f88-4613-a503-4b9b25fa88ad	e325e77b-1e43-4a50-bd08-ff7e8d38f529	UPS
5f917166-9f88-4613-a503-4b9b25fa88ad	b3552821-1107-487f-9210-084e0e2aa9ab	CRITICAL_AUXILIARIES
5f917166-9f88-4613-a503-4b9b25fa88ad	2d7c87c3-b856-4dc8-91f8-1c81142f87ba	LIGHTING
5f917166-9f88-4613-a503-4b9b25fa88ad	e3554e65-30f8-401d-ae92-649d9952f3bc	CRITICAL_POWER_DISTRIBUTION
5f917166-9f88-4613-a503-4b9b25fa88ad	73fe7fc7-df55-4bfa-965d-47150bcb0930	CRAH
5f917166-9f88-4613-a503-4b9b25fa88ad	e1f185f5-c6ed-4ca6-8e30-342a35ab5c30	CRAC
5f917166-9f88-4613-a503-4b9b25fa88ad	3aac2e58-4416-4c54-8342-d4383c412510	CRAC_WITHOUT_FAN
5f917166-9f88-4613-a503-4b9b25fa88ad	bd5eb719-9df0-44e0-85ca-ca39ae09cf71	CRAC_FAN
5f917166-9f88-4613-a503-4b9b25fa88ad	cf1e7fd2-4f65-4bb5-962c-dd768dd6974f	CHILLER
5f917166-9f88-4613-a503-4b9b25fa88ad	370294e5-3006-4af4-aa77-e83ae8537413	AIR_COOLED_CHILLER
5f917166-9f88-4613-a503-4b9b25fa88ad	ebdc144d-4223-4e04-8a8e-a19df914f8c8	COOLING_TOWER
5f917166-9f88-4613-a503-4b9b25fa88ad	7dfedb2f-ed57-4a53-a5c8-fc2df153e0a6	DRY_COOLER
5f917166-9f88-4613-a503-4b9b25fa88ad	7e49b2c5-74d8-4f05-9804-fff4cadbf53d	REMOTE_CONDENSER
5f917166-9f88-4613-a503-4b9b25fa88ad	541ca894-b847-4c68-bff8-6c111e4716d6	CHILLED_WATER_PUMPS
5f917166-9f88-4613-a503-4b9b25fa88ad	1104d4d1-f780-4bfd-9e0c-22cf1323b398	HEAT_REJECTION_PUMPS
5f917166-9f88-4613-a503-4b9b25fa88ad	3bac7b00-3950-46dc-9a07-8a4bc15c44a8	VENTILATION
5f917166-9f88-4613-a503-4b9b25fa88ad	3d08aad2-3154-48ca-add3-39349f38d70c	INFILTRATION
5f917166-9f88-4613-a503-4b9b25fa88ad	17c44ee0-49e3-4ad6-afe0-f546d2db2dde	IT_LOAD
6ebca695-5004-4b84-9fb6-fad118564d27	92f0d10e-5fac-41bb-8d43-41f2de4544bd	SWITCHGEAR
6ebca695-5004-4b84-9fb6-fad118564d27	090004b9-3f82-4d63-8c86-c6e9dce05978	GENERATOR
6ebca695-5004-4b84-9fb6-fad118564d27	432193c6-c846-4987-a361-a0ca4d9bc02c	PRIMARY_AUXILIARIES
6ebca695-5004-4b84-9fb6-fad118564d27	8043e090-3c8e-42d0-a46a-ddd43d893bb6	UPS
6ebca695-5004-4b84-9fb6-fad118564d27	5e268fb9-56af-4d25-8ebe-0f3280f5fbda	CRITICAL_AUXILIARIES
6ebca695-5004-4b84-9fb6-fad118564d27	c9c15875-e9b0-40d2-8f47-10186d6d26f6	LIGHTING
6ebca695-5004-4b84-9fb6-fad118564d27	1359dc9c-a9f9-4ff4-b2ce-223eb5af7022	CRITICAL_POWER_DISTRIBUTION
6ebca695-5004-4b84-9fb6-fad118564d27	f49182a8-bf4a-4d19-92f3-817ae26ca8b1	CRAH
6ebca695-5004-4b84-9fb6-fad118564d27	534e59fb-a1a3-44d0-bcb2-2a76ac9f25b6	CRAC
6ebca695-5004-4b84-9fb6-fad118564d27	95f68b98-6710-4122-a95d-87a00c238c26	CRAC_WITHOUT_FAN
6ebca695-5004-4b84-9fb6-fad118564d27	f471d62b-d706-4e7d-a773-edfa18c8c7e4	CRAC_FAN
6ebca695-5004-4b84-9fb6-fad118564d27	ee4cbdc5-319a-4f42-8163-5fd93ea0a1a0	CHILLER
6ebca695-5004-4b84-9fb6-fad118564d27	b6b3ffa2-10aa-47b7-a7de-d093bd685896	AIR_COOLED_CHILLER
6ebca695-5004-4b84-9fb6-fad118564d27	ec319188-c571-402d-9093-dbc38f81686a	COOLING_TOWER
6ebca695-5004-4b84-9fb6-fad118564d27	476e0dec-7c11-4583-a931-0df10a3ad156	DRY_COOLER
6ebca695-5004-4b84-9fb6-fad118564d27	a6a98399-4780-444f-b6a1-ded0ff3eaf19	REMOTE_CONDENSER
6ebca695-5004-4b84-9fb6-fad118564d27	d8e226f5-aad4-4c54-b85b-1a05dcf6d6f0	CHILLED_WATER_PUMPS
6ebca695-5004-4b84-9fb6-fad118564d27	6d218839-708f-4e75-9683-852eada47aff	HEAT_REJECTION_PUMPS
6ebca695-5004-4b84-9fb6-fad118564d27	9a55103d-ff69-44e8-90cc-5767bbbe98d8	VENTILATION
6ebca695-5004-4b84-9fb6-fad118564d27	dd70f8de-8bd8-4114-b5a4-220e224de6f6	INFILTRATION
6ebca695-5004-4b84-9fb6-fad118564d27	f8c642c9-88a4-467b-8a02-99b85bc550a9	IT_LOAD
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	d6966840-e033-4a84-89c6-c6803f01d638	SWITCHGEAR
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	52467e11-109f-455a-a035-ee35908cdd82	GENERATOR
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	d1a6de7d-5034-46c7-b052-39976492de8a	PRIMARY_AUXILIARIES
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	5207a503-6b2e-4a81-b2b6-31a2325706c7	UPS
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	69317a31-b92c-4239-98f3-7ee64356ca6c	CRITICAL_AUXILIARIES
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	5fdb2e0a-902a-41b1-8977-d30ab8178340	LIGHTING
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	4d2c2831-14d1-413e-9df2-55b801479f97	CRITICAL_POWER_DISTRIBUTION
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	8c137efd-0194-4a7c-9192-dac56e9997f6	CRAH
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	82a14336-b97f-4a49-8850-10e2646c92e9	CRAC
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	d5340003-8d95-4181-9a16-3029193123bb	CRAC_WITHOUT_FAN
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	0a72baeb-3572-42c7-8a9f-e6e8f6ddcf47	CRAC_FAN
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	2bd6c3e3-761b-4650-a3a6-136742e2fc32	CHILLER
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	225c6c6a-435c-49c6-83af-64a6a31df850	AIR_COOLED_CHILLER
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	e6c842cb-e756-487b-b7d8-64f0171e5e4f	COOLING_TOWER
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	382b8a51-ccfe-4d2c-a9aa-aa445e0804ec	DRY_COOLER
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	9562384f-fe8b-49cd-afb6-ae44660787d0	REMOTE_CONDENSER
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	22b1bdf6-a3d1-44c3-8385-3c3e8cb520d0	CHILLED_WATER_PUMPS
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	3c568d71-726c-4bcb-9629-fc1b9f1ced3b	HEAT_REJECTION_PUMPS
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	9c4be49e-8076-42e1-99ea-de666a995fa3	VENTILATION
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	c7f0ab75-5eea-4eb3-b869-8b8e59397bce	INFILTRATION
9520ee66-a08e-4dee-a3cc-c3a07c4156f1	990592f6-df2f-4d4a-ba6b-dacecf4eadc8	IT_LOAD
6f07bf97-d0cd-4f0e-867b-6400a133f98d	2128959d-3cae-4b17-91af-a69ad497721f	SWITCHGEAR
6f07bf97-d0cd-4f0e-867b-6400a133f98d	b42c59d2-0c82-4026-a818-0546120112cd	GENERATOR
6f07bf97-d0cd-4f0e-867b-6400a133f98d	636632ef-a476-48ea-a208-1f1bc32b3405	PRIMARY_AUXILIARIES
6f07bf97-d0cd-4f0e-867b-6400a133f98d	8509394f-e485-4687-9ac3-107aeb680bb7	UPS
6f07bf97-d0cd-4f0e-867b-6400a133f98d	310f4e30-cc68-4525-be75-b8ea426c10dc	CRITICAL_AUXILIARIES
6f07bf97-d0cd-4f0e-867b-6400a133f98d	e855df2f-3efe-4b7c-a6c7-68239f95054a	LIGHTING
6f07bf97-d0cd-4f0e-867b-6400a133f98d	3ca5a0c6-fdaf-4784-bc06-e3149a083443	CRITICAL_POWER_DISTRIBUTION
6f07bf97-d0cd-4f0e-867b-6400a133f98d	f2f270fa-f2bc-45b1-ab1f-acb72e7ea826	CRAH
6f07bf97-d0cd-4f0e-867b-6400a133f98d	8964717a-b70f-4a68-94a6-dda61ccacc6e	CRAC
6f07bf97-d0cd-4f0e-867b-6400a133f98d	2606b77b-dfa7-414b-b742-d238f6950531	CRAC_WITHOUT_FAN
6f07bf97-d0cd-4f0e-867b-6400a133f98d	ca5a8517-663e-4534-aef2-bb97c26afec0	CRAC_FAN
6f07bf97-d0cd-4f0e-867b-6400a133f98d	af5b00e0-3814-4f1d-832c-26c65ff489f4	CHILLER
6f07bf97-d0cd-4f0e-867b-6400a133f98d	fb33414e-6e12-4fdf-be58-9a43e621287c	AIR_COOLED_CHILLER
6f07bf97-d0cd-4f0e-867b-6400a133f98d	3d379512-8f5e-4a7f-9253-b352532c71cc	COOLING_TOWER
6f07bf97-d0cd-4f0e-867b-6400a133f98d	1a14e175-7f6f-45b6-84d8-021a32de4653	DRY_COOLER
6f07bf97-d0cd-4f0e-867b-6400a133f98d	6d09aa37-ef85-4f2e-aa5a-7e93c71e7997	REMOTE_CONDENSER
6f07bf97-d0cd-4f0e-867b-6400a133f98d	c2ef8f49-3cab-45c1-9d30-b503d8c2c62b	CHILLED_WATER_PUMPS
6f07bf97-d0cd-4f0e-867b-6400a133f98d	eaba9726-19c6-4386-9e55-a09f3ad32870	HEAT_REJECTION_PUMPS
6f07bf97-d0cd-4f0e-867b-6400a133f98d	fcabfff8-8681-4683-8ba0-f997f1660ca5	VENTILATION
6f07bf97-d0cd-4f0e-867b-6400a133f98d	aaf3d5f9-275d-423a-aca4-d987511584cf	INFILTRATION
6f07bf97-d0cd-4f0e-867b-6400a133f98d	04743834-8718-4389-a58a-1a155040969d	IT_LOAD
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	83feda38-9501-4629-b8a1-44c8d12c894f	SWITCHGEAR
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	6fa4c84d-da7a-44df-9aa1-0de2e339a135	GENERATOR
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	37ab79ad-5465-464b-962e-6d5032ac9d04	PRIMARY_AUXILIARIES
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	fb2c2016-a8d5-44f3-86e4-1399f18d3a6b	UPS
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	6cb237fb-e0e8-464e-a4fa-31f8dddd68bf	CRITICAL_AUXILIARIES
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	d9bd9461-a5db-46dd-b84f-9cf5ccedeb51	LIGHTING
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	ea5880df-c57c-4b15-b4b3-98a11eac775b	CRITICAL_POWER_DISTRIBUTION
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	d9030f41-1362-445e-bec0-6a8cda6e1f12	CRAH
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	2db86d83-e3de-4a3f-ad07-bb8e0276d064	CRAC
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	c71e9c9a-9472-4ff1-80fd-80445b80ecf1	CRAC_WITHOUT_FAN
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	a2ebe850-4778-46ff-b7e3-31bc9002a0e1	CRAC_FAN
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	792452ea-3af2-4c10-8ce4-94a609035407	CHILLER
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	d4775546-1d89-4ff0-8e1b-9d06581cf8d4	AIR_COOLED_CHILLER
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	3a4946bf-56df-4861-bc93-28a1c1c45ea6	COOLING_TOWER
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	539701a3-b179-48b3-8af5-5a28a66fa48a	DRY_COOLER
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	d97c5c03-43aa-46e3-8a7d-8a5a03efd954	REMOTE_CONDENSER
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	69e613d6-fe94-40b1-98d7-47760adbfc24	CHILLED_WATER_PUMPS
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	6888c936-e43f-417c-942a-7e0feeda9662	HEAT_REJECTION_PUMPS
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	138bfc33-ffed-4344-a57f-816d1be5642f	VENTILATION
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	d3474989-098b-4012-9a89-35556d1ddafd	INFILTRATION
5a8a3ea9-ef18-4c3d-b0df-f3d96b869141	af35a881-ab9a-4632-94d4-5410a92a9358	IT_LOAD
6c9d747c-b689-43b8-90c3-823e15e69269	26161149-beb1-4c13-9f5d-d6e5ba569d4e	SWITCHGEAR
6c9d747c-b689-43b8-90c3-823e15e69269	1e3dbda9-c92b-4a23-9ceb-f83669f2b302	GENERATOR
6c9d747c-b689-43b8-90c3-823e15e69269	f6fdf233-42d3-4eda-80a0-788f1546135b	PRIMARY_AUXILIARIES
6c9d747c-b689-43b8-90c3-823e15e69269	6ceb6bd4-8e9a-4443-a2b9-3ba26e8d15e2	UPS
6c9d747c-b689-43b8-90c3-823e15e69269	c2d5b799-ff6f-4aa4-80cf-4937148d1bc7	CRITICAL_AUXILIARIES
6c9d747c-b689-43b8-90c3-823e15e69269	5786525f-c9a8-4b8e-9d12-0d3f65a111ae	LIGHTING
6c9d747c-b689-43b8-90c3-823e15e69269	1fc8c3c0-db5e-4370-aeb2-cc91f8057fff	CRITICAL_POWER_DISTRIBUTION
6c9d747c-b689-43b8-90c3-823e15e69269	6829ad0e-8dee-4b22-bb7d-7c87a6a079a6	CRAH
6c9d747c-b689-43b8-90c3-823e15e69269	94833903-bae4-442a-9f86-831d08f089c3	CRAC
6c9d747c-b689-43b8-90c3-823e15e69269	68a77021-6653-4603-b227-6e2575c9942a	CRAC_WITHOUT_FAN
6c9d747c-b689-43b8-90c3-823e15e69269	bda0206a-8269-4c8c-aa90-46b9bab3f657	CRAC_FAN
6c9d747c-b689-43b8-90c3-823e15e69269	c0b21c2a-c21b-44d8-849f-598192b74e8d	CHILLER
6c9d747c-b689-43b8-90c3-823e15e69269	85370ecd-fd35-4882-8a03-e001f670a89f	AIR_COOLED_CHILLER
6c9d747c-b689-43b8-90c3-823e15e69269	3d43361f-aeaa-451b-ae81-93f31a8c8e59	COOLING_TOWER
6c9d747c-b689-43b8-90c3-823e15e69269	35d2de92-1327-45c3-adb1-51664ecb96d8	DRY_COOLER
6c9d747c-b689-43b8-90c3-823e15e69269	c00ea135-6860-4a93-b758-d1f70dc8dbd7	REMOTE_CONDENSER
6c9d747c-b689-43b8-90c3-823e15e69269	204dbcc2-e134-46f2-95a0-bd58ffff33eb	CHILLED_WATER_PUMPS
6c9d747c-b689-43b8-90c3-823e15e69269	196145c2-1007-477c-a954-03eaf88c23bb	HEAT_REJECTION_PUMPS
6c9d747c-b689-43b8-90c3-823e15e69269	728e6ade-446b-4f61-afe2-1923f0629171	VENTILATION
6c9d747c-b689-43b8-90c3-823e15e69269	feb75b79-5e53-4070-a655-5bc4d09f422a	INFILTRATION
6c9d747c-b689-43b8-90c3-823e15e69269	6988e9d4-9d9d-44a9-97df-1453782fdd88	IT_LOAD
c73e04c4-1f45-431e-b77e-2fdbb3988a21	3fa289dc-7dea-49cf-b309-7bd95b5ddd1a	SWITCHGEAR
c73e04c4-1f45-431e-b77e-2fdbb3988a21	9d575c7c-cd70-4801-a91b-73df91fecb7a	GENERATOR
c73e04c4-1f45-431e-b77e-2fdbb3988a21	110c9095-bd66-48c4-b25b-27f13e9696fd	PRIMARY_AUXILIARIES
c73e04c4-1f45-431e-b77e-2fdbb3988a21	792e6dd4-b0d4-4469-a00f-3ce4f120f56a	UPS
c73e04c4-1f45-431e-b77e-2fdbb3988a21	538998b0-624c-4a7b-88f8-8f51100768be	CRITICAL_AUXILIARIES
c73e04c4-1f45-431e-b77e-2fdbb3988a21	6ead250c-ca23-404d-a0ac-eabe7e510ec7	LIGHTING
c73e04c4-1f45-431e-b77e-2fdbb3988a21	60923b52-cd9f-4f1a-8ef9-512faa4ff761	CRITICAL_POWER_DISTRIBUTION
c73e04c4-1f45-431e-b77e-2fdbb3988a21	29a793ed-59b9-41e4-b4fc-6f307f263937	CRAH
c73e04c4-1f45-431e-b77e-2fdbb3988a21	b7cc6c5a-baef-424e-99af-7d79e47d6337	CRAC
c73e04c4-1f45-431e-b77e-2fdbb3988a21	58067050-af1f-4ad1-b465-28a02e78d9e5	CRAC_WITHOUT_FAN
c73e04c4-1f45-431e-b77e-2fdbb3988a21	064352b2-f396-46d1-bb39-22071130fa8d	CRAC_FAN
c73e04c4-1f45-431e-b77e-2fdbb3988a21	2027d525-be17-48a6-aaac-5c4ec717ef74	CHILLER
c73e04c4-1f45-431e-b77e-2fdbb3988a21	9c6c1880-926f-434f-b94f-4fe406a05a9c	AIR_COOLED_CHILLER
c73e04c4-1f45-431e-b77e-2fdbb3988a21	c2851e0e-85c0-4c2e-8cc2-e885126df37e	COOLING_TOWER
c73e04c4-1f45-431e-b77e-2fdbb3988a21	30357e46-ee69-4502-bc82-79869a0c8b97	DRY_COOLER
c73e04c4-1f45-431e-b77e-2fdbb3988a21	8e5be450-88dd-4e1b-95e8-a1ae00d06447	REMOTE_CONDENSER
c73e04c4-1f45-431e-b77e-2fdbb3988a21	f1a12939-41a5-4c95-842e-dceeecd316be	CHILLED_WATER_PUMPS
c73e04c4-1f45-431e-b77e-2fdbb3988a21	c818cdd5-b1b8-40d9-8881-841bbd87c2e0	HEAT_REJECTION_PUMPS
c73e04c4-1f45-431e-b77e-2fdbb3988a21	1fe26eb4-2cef-44dc-8618-4879e971dc1b	VENTILATION
c73e04c4-1f45-431e-b77e-2fdbb3988a21	28258528-e857-4e67-835b-f1b80cb34318	INFILTRATION
c73e04c4-1f45-431e-b77e-2fdbb3988a21	26ca7bbd-897f-4edb-ade9-7ffa277de7a6	IT_LOAD
c0e2703b-3078-445b-844a-a6f9ad21ef77	8bc0cdc4-c80c-4d38-beb8-87eea26769e0	SWITCHGEAR
c0e2703b-3078-445b-844a-a6f9ad21ef77	0b70af4f-0122-4b63-a8e0-5dc0104655e1	GENERATOR
c0e2703b-3078-445b-844a-a6f9ad21ef77	9490db91-45c7-4333-b8d9-353d98fc22e5	PRIMARY_AUXILIARIES
c0e2703b-3078-445b-844a-a6f9ad21ef77	3020e684-9c9c-443c-8a00-a56366cb961f	UPS
c0e2703b-3078-445b-844a-a6f9ad21ef77	babe8626-aaea-4d53-a60a-f97e9b42697f	CRITICAL_AUXILIARIES
c0e2703b-3078-445b-844a-a6f9ad21ef77	2cde6193-03c4-4715-8cf7-0d10fdf1c00c	LIGHTING
c0e2703b-3078-445b-844a-a6f9ad21ef77	5cbbea51-b2d2-4feb-b659-61c4b09dc351	CRITICAL_POWER_DISTRIBUTION
c0e2703b-3078-445b-844a-a6f9ad21ef77	7b682683-07be-42c9-87c8-71edb0d6b933	CRAH
c0e2703b-3078-445b-844a-a6f9ad21ef77	f8999713-33e3-48b0-a1bf-62d8bd23bf9f	CRAC
c0e2703b-3078-445b-844a-a6f9ad21ef77	26bcf78f-3d7a-4cd6-8c7f-ec1ee1e4a41a	CRAC_WITHOUT_FAN
c0e2703b-3078-445b-844a-a6f9ad21ef77	cadea3a4-a16a-4023-bfb3-366b5fd8a526	CRAC_FAN
c0e2703b-3078-445b-844a-a6f9ad21ef77	4d473b5c-05c6-4d2f-bb9a-8aeafad658d4	CHILLER
c0e2703b-3078-445b-844a-a6f9ad21ef77	f49c2199-0271-4b55-8885-f9e2eef751a4	AIR_COOLED_CHILLER
c0e2703b-3078-445b-844a-a6f9ad21ef77	5037c5c6-696b-4b8e-8680-d80a0a8d3ed1	COOLING_TOWER
c0e2703b-3078-445b-844a-a6f9ad21ef77	0ba92a81-2e8a-455b-944e-5264319cb078	DRY_COOLER
c0e2703b-3078-445b-844a-a6f9ad21ef77	bf3991a9-c5de-45d8-b8a5-a2eb3e2bc120	REMOTE_CONDENSER
c0e2703b-3078-445b-844a-a6f9ad21ef77	34d9f02a-8eee-4bf7-902a-4ecf1db39619	CHILLED_WATER_PUMPS
c0e2703b-3078-445b-844a-a6f9ad21ef77	0731bbb3-d862-42bc-8d6a-9c9dab102003	HEAT_REJECTION_PUMPS
c0e2703b-3078-445b-844a-a6f9ad21ef77	e3800c96-e933-456d-9817-036ed8d917ca	VENTILATION
c0e2703b-3078-445b-844a-a6f9ad21ef77	8bbeb797-1446-48fd-b041-b4361ce974b5	INFILTRATION
c0e2703b-3078-445b-844a-a6f9ad21ef77	bb65466a-d5bf-46ea-8f45-e1428fb428af	IT_LOAD
4151a76f-8950-40ec-b1c8-72097e76ee7e	390e1b31-5547-48fa-81e8-f67c11910b04	SWITCHGEAR
4151a76f-8950-40ec-b1c8-72097e76ee7e	f79a9573-2dc2-4194-b5c9-7ed2c99e1027	GENERATOR
4151a76f-8950-40ec-b1c8-72097e76ee7e	783773b6-1fa7-477d-af6b-d7e16187f981	PRIMARY_AUXILIARIES
4151a76f-8950-40ec-b1c8-72097e76ee7e	454920ab-984f-4ef7-a021-400f70b3046d	UPS
4151a76f-8950-40ec-b1c8-72097e76ee7e	46bdcaad-e67e-422b-9972-bcf3a1447fb1	CRITICAL_AUXILIARIES
4151a76f-8950-40ec-b1c8-72097e76ee7e	72cf0c02-9013-4a2f-9c7b-d4dc6b5d9b38	LIGHTING
4151a76f-8950-40ec-b1c8-72097e76ee7e	aff7c80a-facd-46c1-932a-a4149946bfe1	CRITICAL_POWER_DISTRIBUTION
4151a76f-8950-40ec-b1c8-72097e76ee7e	52e9336b-96e1-4f5b-93f1-f54e8b9031a5	CRAH
4151a76f-8950-40ec-b1c8-72097e76ee7e	47c29eff-4e49-41fc-bed4-52f73be31590	CRAC
4151a76f-8950-40ec-b1c8-72097e76ee7e	466c317a-20f0-4e64-9327-9eca0a61f997	CRAC_WITHOUT_FAN
4151a76f-8950-40ec-b1c8-72097e76ee7e	20793115-8760-4968-98ec-0e758d72ad53	CRAC_FAN
4151a76f-8950-40ec-b1c8-72097e76ee7e	c2c2fa1d-3f44-4739-a808-8ad907863d3b	CHILLER
4151a76f-8950-40ec-b1c8-72097e76ee7e	6a2961e6-3bc6-4b21-925c-76af7b9344d0	AIR_COOLED_CHILLER
4151a76f-8950-40ec-b1c8-72097e76ee7e	e877e669-6055-4a1a-aee4-ac7a0ba3e99b	COOLING_TOWER
4151a76f-8950-40ec-b1c8-72097e76ee7e	c12d67a0-fed9-44b3-b3b1-12d68ad0e677	DRY_COOLER
4151a76f-8950-40ec-b1c8-72097e76ee7e	67d8c364-a656-412c-9f32-b83becbfa7d0	REMOTE_CONDENSER
4151a76f-8950-40ec-b1c8-72097e76ee7e	23f1bce4-2801-4470-8aa8-511259f5aa0e	CHILLED_WATER_PUMPS
4151a76f-8950-40ec-b1c8-72097e76ee7e	6edde21c-59fa-4821-914b-19de991c00fd	HEAT_REJECTION_PUMPS
4151a76f-8950-40ec-b1c8-72097e76ee7e	ab97318f-af2e-4c62-a579-eab03b307724	VENTILATION
4151a76f-8950-40ec-b1c8-72097e76ee7e	8254f003-a5f3-4c28-8c87-150110d996e9	INFILTRATION
4151a76f-8950-40ec-b1c8-72097e76ee7e	f0f8aaa2-f09b-4d41-800b-4210348e554a	IT_LOAD
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	02449a40-7c16-4d37-90dc-18b8e5060d93	SWITCHGEAR
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	e1b315c7-fd07-4a34-bb48-ac2fbce8ae1e	GENERATOR
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	9b6e9418-84c0-4cdf-9e37-77a154cd7f97	PRIMARY_AUXILIARIES
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	424208ee-c205-49a0-82bb-0d91a6328a37	UPS
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	67f9f611-1dcb-457b-9c0b-53d44a27986b	CRITICAL_AUXILIARIES
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	6723d8f4-f461-4ce2-8d21-1ec0138a378b	LIGHTING
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	f4a0575f-f1f2-4b1b-a60c-10a5917c68c6	CRITICAL_POWER_DISTRIBUTION
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	5aa54edb-645f-4362-8ef0-5bd01d19da34	CRAH
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	50620c45-6190-46ab-b09c-d334b591b23c	CRAC
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	2c14f937-efc5-4f07-84a8-77bf7fd06d3c	CRAC_WITHOUT_FAN
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	f0e93d50-2c34-4819-bb9a-fd5604518d33	CRAC_FAN
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	e4ab1935-9146-4af8-adcf-67b1102d55fa	CHILLER
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	0552a767-8c9c-483d-b6d0-bfa8d528492c	AIR_COOLED_CHILLER
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	7aa3ee05-ecd5-4cf8-ae7e-05de7be261bd	COOLING_TOWER
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	6efb7872-82ef-470f-b7b8-8d9c40707ec8	DRY_COOLER
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	85329c76-8ce4-42ab-a62c-3e9f0d0d476d	REMOTE_CONDENSER
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	0f3a2d6f-c5d9-44c9-b034-a7a684d023c4	CHILLED_WATER_PUMPS
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	cc54e11e-16a5-4995-a879-0cd5bc784a96	HEAT_REJECTION_PUMPS
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	7397061f-bc0b-4725-aec5-c2c7de271d9b	VENTILATION
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	319a5b41-ec89-4c5d-8c4f-4a566c96df95	INFILTRATION
d9c8ab16-8376-4beb-bab4-8e75ac60ce64	fa454519-16fb-4720-9ea8-2c4c8b2bd2c2	IT_LOAD
37406fab-143d-422b-8ab0-b011249d1d41	a0f0252e-c50d-41c4-a7e6-368ee3686bcd	SWITCHGEAR
37406fab-143d-422b-8ab0-b011249d1d41	64ec9f34-42c6-4ce5-9b8a-431481a351a2	GENERATOR
37406fab-143d-422b-8ab0-b011249d1d41	751cb692-87a3-47a7-82c3-6628cf8fdec9	PRIMARY_AUXILIARIES
37406fab-143d-422b-8ab0-b011249d1d41	1e340899-02cd-4acc-8320-34cfc26d1f43	UPS
37406fab-143d-422b-8ab0-b011249d1d41	60b6ed81-96b4-4320-8409-d9ad1066374f	CRITICAL_AUXILIARIES
37406fab-143d-422b-8ab0-b011249d1d41	697cc73b-472a-439e-8874-a6a402d5e354	LIGHTING
37406fab-143d-422b-8ab0-b011249d1d41	7ccb54df-7c7f-4f65-beb4-18f7abac6628	CRITICAL_POWER_DISTRIBUTION
37406fab-143d-422b-8ab0-b011249d1d41	bff39e0c-da15-4b51-b533-e3edf28df30e	CRAH
37406fab-143d-422b-8ab0-b011249d1d41	49652583-4685-4a0d-8b8b-cb7298aaa41b	CRAC
37406fab-143d-422b-8ab0-b011249d1d41	88ac98b8-ce4f-4349-9d0d-dd323e79cce2	CRAC_WITHOUT_FAN
37406fab-143d-422b-8ab0-b011249d1d41	02110377-2aa0-49d9-b631-2186fa6860eb	CRAC_FAN
37406fab-143d-422b-8ab0-b011249d1d41	243e0970-e826-42ba-9b2b-a611b34c6043	CHILLER
37406fab-143d-422b-8ab0-b011249d1d41	df99118c-8b99-4a79-bbb7-f41c4e01499d	AIR_COOLED_CHILLER
37406fab-143d-422b-8ab0-b011249d1d41	dbb63877-c226-40da-aadd-33fa07b16a2c	COOLING_TOWER
37406fab-143d-422b-8ab0-b011249d1d41	5791b64d-50cd-453f-b38a-6e2773d3e395	DRY_COOLER
37406fab-143d-422b-8ab0-b011249d1d41	db7abd2a-7481-446f-aae9-5860912b61b5	REMOTE_CONDENSER
37406fab-143d-422b-8ab0-b011249d1d41	903c607e-74aa-47c7-ba70-8a1d21d30925	CHILLED_WATER_PUMPS
37406fab-143d-422b-8ab0-b011249d1d41	d7bb6a2a-1099-4d11-94fd-186c1d02a074	HEAT_REJECTION_PUMPS
37406fab-143d-422b-8ab0-b011249d1d41	6ef538e5-3bed-4496-a60b-9d057bf546b8	VENTILATION
37406fab-143d-422b-8ab0-b011249d1d41	8ccccb51-dd73-45ff-a419-9dc5f6c2519e	INFILTRATION
37406fab-143d-422b-8ab0-b011249d1d41	af07e19e-75c5-4b4d-bf02-bf9830dc68dc	IT_LOAD
92e74338-6ae3-4844-bdc6-63485f6793ad	7777a520-32a5-4eb8-b49e-ff0cd9f6a96b	SWITCHGEAR
92e74338-6ae3-4844-bdc6-63485f6793ad	19b45602-a8ee-43aa-920a-3824fc55ce19	GENERATOR
92e74338-6ae3-4844-bdc6-63485f6793ad	931d5962-ed1f-473a-8d3f-7a29e0f19946	PRIMARY_AUXILIARIES
92e74338-6ae3-4844-bdc6-63485f6793ad	1aa9ae6e-9b31-4dad-bdb6-659a2a073a5d	UPS
92e74338-6ae3-4844-bdc6-63485f6793ad	7ee64d1d-d92a-405a-a5aa-756e66eba092	CRITICAL_AUXILIARIES
92e74338-6ae3-4844-bdc6-63485f6793ad	cda4d2b3-bf74-4429-9621-a9069fce7a17	LIGHTING
92e74338-6ae3-4844-bdc6-63485f6793ad	89655121-b6b1-4f17-a992-eacb9a6a316a	CRITICAL_POWER_DISTRIBUTION
92e74338-6ae3-4844-bdc6-63485f6793ad	d95570ff-565e-41d0-b210-f6cdca2369c7	CRAH
92e74338-6ae3-4844-bdc6-63485f6793ad	67cdf71e-0a4a-4558-9af1-eeb60fbd3fe4	CRAC
92e74338-6ae3-4844-bdc6-63485f6793ad	a2007a71-33e6-44c2-9e1a-d80922310efd	CRAC_WITHOUT_FAN
92e74338-6ae3-4844-bdc6-63485f6793ad	7c0aeef4-11d8-40b8-b907-27116b22e348	CRAC_FAN
92e74338-6ae3-4844-bdc6-63485f6793ad	76ca4390-c245-4bfd-a901-a08c4ba3d51b	CHILLER
92e74338-6ae3-4844-bdc6-63485f6793ad	2c286d66-225d-4b9e-ab1b-a0a10ab3a415	AIR_COOLED_CHILLER
92e74338-6ae3-4844-bdc6-63485f6793ad	fe9362a4-33e0-4f09-9957-9a2f5c31a303	COOLING_TOWER
92e74338-6ae3-4844-bdc6-63485f6793ad	4253cb51-6511-4f00-95a9-61495aee2997	DRY_COOLER
92e74338-6ae3-4844-bdc6-63485f6793ad	f307e31b-c42e-41b9-a139-c9d8b67e42d4	REMOTE_CONDENSER
92e74338-6ae3-4844-bdc6-63485f6793ad	97109e27-7bd5-4d52-b79e-6351efb43d21	CHILLED_WATER_PUMPS
92e74338-6ae3-4844-bdc6-63485f6793ad	768e1735-1f84-49c1-96ff-7792716c77d5	HEAT_REJECTION_PUMPS
92e74338-6ae3-4844-bdc6-63485f6793ad	b5ec2537-e8ca-40a8-b40a-798ff16ebe9d	VENTILATION
92e74338-6ae3-4844-bdc6-63485f6793ad	008185f7-b30f-44f0-bf12-ebc6e8a974b2	INFILTRATION
92e74338-6ae3-4844-bdc6-63485f6793ad	77148b47-62e1-4414-b946-4a2bc5e4d9dd	IT_LOAD
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	1cfd6c60-8550-4477-801e-5d883215ef25	SWITCHGEAR
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	59235099-6aeb-490f-a37c-4bcd70883330	GENERATOR
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	593f70b0-ed3d-4bfa-a550-d77c85c83626	PRIMARY_AUXILIARIES
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	15619ed0-90b7-40b4-9402-8953a06c2bbb	UPS
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	1c17ff86-f60c-4f94-bb16-b2134fe62774	CRITICAL_AUXILIARIES
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	16478686-7456-4146-9a39-a3be04418df2	LIGHTING
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	a9f99925-fd92-49d7-b97c-465dc08d9d03	CRITICAL_POWER_DISTRIBUTION
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	6c84fa4b-0143-4383-8ba8-8dec52bb8a37	CRAH
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	77fb4a14-55a7-4c32-b48f-e62ce8f1b31a	CRAC
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	53314b09-fdc2-4728-a7be-bedf058de600	CRAC_WITHOUT_FAN
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	453deebe-9f2c-497e-a90c-e4bb4551ce81	CRAC_FAN
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	6e4e6c4f-f3b5-46cc-afd4-b3b47e2b8d0d	CHILLER
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	9d5e26f8-492e-4095-b74d-15e51017bae9	AIR_COOLED_CHILLER
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	276cce1d-6399-4f9c-9963-5333041ded9c	COOLING_TOWER
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	96958d8a-bf6e-4e43-ba09-2d5eb4d3d75a	DRY_COOLER
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	31b0b330-09fd-4e75-82f3-1d5613da2e15	REMOTE_CONDENSER
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	210e81f4-4ae4-4d2b-8d8a-8853b2b6b2ed	CHILLED_WATER_PUMPS
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	39cec38d-edf6-4c80-b97c-8127ae8e7bc1	HEAT_REJECTION_PUMPS
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	d74714c6-729b-4639-895d-ee963ef3bae8	VENTILATION
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	d1aa5029-3df9-4507-b1cd-4252c6b34418	INFILTRATION
dc6c72a1-cec8-4515-a9b9-82aa20f4342d	8b0fb3e8-1959-41a1-9920-1938e7242efc	IT_LOAD
a96b8199-ff21-47b7-a446-669bf23df451	e911de1e-6c29-4da8-bad8-ac33537b6814	SWITCHGEAR
a96b8199-ff21-47b7-a446-669bf23df451	f2453703-29c7-4d03-8865-14577495c56b	GENERATOR
a96b8199-ff21-47b7-a446-669bf23df451	79e22b29-1126-4f31-bca4-85712f2a468a	PRIMARY_AUXILIARIES
a96b8199-ff21-47b7-a446-669bf23df451	f7c28e62-69fc-41be-bc8a-1ecbc3c620a0	UPS
a96b8199-ff21-47b7-a446-669bf23df451	3c95f9fd-5abd-4b67-8494-d7d88ee96ab4	CRITICAL_AUXILIARIES
a96b8199-ff21-47b7-a446-669bf23df451	bf826d40-80b8-4a8d-b5c2-7cecec5c8050	LIGHTING
a96b8199-ff21-47b7-a446-669bf23df451	b794d638-20ea-4090-a721-0383bb84411e	CRITICAL_POWER_DISTRIBUTION
a96b8199-ff21-47b7-a446-669bf23df451	04c38f3d-3fc5-49b3-b01d-e970fe92a7f1	CRAH
a96b8199-ff21-47b7-a446-669bf23df451	8d3d545c-d09b-450e-93f2-406c1c2c539d	CRAC
a96b8199-ff21-47b7-a446-669bf23df451	8dc6e17a-60e3-4c33-9f5e-24ad7f35fb4f	CRAC_WITHOUT_FAN
a96b8199-ff21-47b7-a446-669bf23df451	004d21df-d807-49af-94ca-6847beb99d63	CRAC_FAN
a96b8199-ff21-47b7-a446-669bf23df451	4f51073b-896f-4fcb-a1ca-379ba6bf862b	CHILLER
a96b8199-ff21-47b7-a446-669bf23df451	056489f1-7628-4495-87a6-e85ea14b0f23	AIR_COOLED_CHILLER
a96b8199-ff21-47b7-a446-669bf23df451	1122f958-b2ee-4293-b415-bf937cf45dc3	COOLING_TOWER
a96b8199-ff21-47b7-a446-669bf23df451	3043a176-2b79-4b74-a635-618e86893480	DRY_COOLER
a96b8199-ff21-47b7-a446-669bf23df451	af16ff61-d317-43f2-ad48-53e836858046	REMOTE_CONDENSER
a96b8199-ff21-47b7-a446-669bf23df451	50b2e623-bbe4-449d-baa6-8d3be5eee16f	CHILLED_WATER_PUMPS
a96b8199-ff21-47b7-a446-669bf23df451	c632acd5-847a-46e5-a8df-4711157a8abd	HEAT_REJECTION_PUMPS
a96b8199-ff21-47b7-a446-669bf23df451	6c17b7e6-8375-4a4d-9767-935a14d2575e	VENTILATION
a96b8199-ff21-47b7-a446-669bf23df451	82ae3ea7-5a22-4ca4-a295-600eb7629b48	INFILTRATION
a96b8199-ff21-47b7-a446-669bf23df451	6e071076-bf6e-44c9-80eb-46b602bc9604	IT_LOAD
f586d7f0-443d-45c0-8129-1f874509096a	25e2f264-af07-4336-8b4c-b68510643343	SWITCHGEAR
f586d7f0-443d-45c0-8129-1f874509096a	89dd925c-5d50-437f-be08-43c896c7985f	GENERATOR
f586d7f0-443d-45c0-8129-1f874509096a	79c708ea-97b9-4edc-b953-575f83687001	PRIMARY_AUXILIARIES
f586d7f0-443d-45c0-8129-1f874509096a	678a1d4e-7e4b-4a0e-926a-3f333638bbe0	UPS
f586d7f0-443d-45c0-8129-1f874509096a	5d1d1a87-962e-43ac-b40a-4a2c49cdd606	CRITICAL_AUXILIARIES
f586d7f0-443d-45c0-8129-1f874509096a	c1ddf643-1c51-4c62-92e4-ebaf0d7212e9	LIGHTING
f586d7f0-443d-45c0-8129-1f874509096a	14e80d06-e0fb-4bd8-b2ae-2fa66f2ec9c6	CRITICAL_POWER_DISTRIBUTION
f586d7f0-443d-45c0-8129-1f874509096a	dc1dcbf7-9061-48d7-ab07-8483319d56af	CRAH
f586d7f0-443d-45c0-8129-1f874509096a	2d303d65-8c69-44ba-8ad9-fe0201fac2f3	CRAC
f586d7f0-443d-45c0-8129-1f874509096a	995e182b-13f2-40f7-9752-aad66bd95ef4	CRAC_WITHOUT_FAN
f586d7f0-443d-45c0-8129-1f874509096a	b69ba983-63ee-442e-b11c-2a86af4c05e6	CRAC_FAN
f586d7f0-443d-45c0-8129-1f874509096a	82a92cb6-d6e1-47e3-b7aa-cf7a6191b1fb	CHILLER
f586d7f0-443d-45c0-8129-1f874509096a	8f983f93-69f0-4626-af8f-86da8098ea73	AIR_COOLED_CHILLER
f586d7f0-443d-45c0-8129-1f874509096a	dc905188-da16-4584-9c06-a3cb117cc661	COOLING_TOWER
f586d7f0-443d-45c0-8129-1f874509096a	bbc36a88-dbaa-4954-bc90-91948ca1b15e	DRY_COOLER
f586d7f0-443d-45c0-8129-1f874509096a	ee06b342-027e-45d5-9e48-31ec341b782f	REMOTE_CONDENSER
f586d7f0-443d-45c0-8129-1f874509096a	0f8b6767-7285-495f-9cf2-7bba1efae92f	CHILLED_WATER_PUMPS
f586d7f0-443d-45c0-8129-1f874509096a	3a96483d-8ffc-4b37-8559-b7ec567c6d6a	HEAT_REJECTION_PUMPS
f586d7f0-443d-45c0-8129-1f874509096a	3140de4b-35dd-4b9f-8c13-fede96a8417e	VENTILATION
f586d7f0-443d-45c0-8129-1f874509096a	69d34b08-ce2a-422a-84e2-868869ce387f	INFILTRATION
f586d7f0-443d-45c0-8129-1f874509096a	d5a3b946-172d-480a-ab56-20eae257a25c	IT_LOAD
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	2449b051-fde3-4b57-8e76-79bd8114b9c2	SWITCHGEAR
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	a071a80e-e051-45c5-b405-cfca82258095	GENERATOR
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	ed9d7ed7-9533-4942-9925-8edd0021ecab	PRIMARY_AUXILIARIES
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	756a09a7-404f-4313-93ab-f2a9b3c6be64	UPS
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	0c8ddbae-298d-4c4c-89c0-66282579d09b	CRITICAL_AUXILIARIES
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	9478c01f-7d4a-42cf-b583-b2b53d142cfb	LIGHTING
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	1e63d2d9-e0c3-4944-b382-b198781da456	CRITICAL_POWER_DISTRIBUTION
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	bc7984ea-1646-4a4f-a98d-bfcd9d711b5a	CRAH
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	433f5d83-60a4-4bec-a22d-0dd538cf9df4	CRAC
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	aa8dd8aa-b700-49e6-8bfe-75a20b498b7b	CRAC_WITHOUT_FAN
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	7df6cfb8-4ec6-4e03-9f4e-3174bec0ef67	CRAC_FAN
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	2547f629-b460-49b1-aa2c-665846d3051c	CHILLER
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	a95cb449-ff50-4eb2-bae7-dbd14920e014	AIR_COOLED_CHILLER
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	7b61f1fb-dcf5-4834-a240-12baf7172737	COOLING_TOWER
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	96c75d5a-da1f-423e-a9de-f257546f5bee	DRY_COOLER
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	a5a9190e-a9a0-433e-9bae-8a9320c4f604	REMOTE_CONDENSER
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	9c9e594d-ce62-4913-85ba-75ad0cd7851c	CHILLED_WATER_PUMPS
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	40e00e8a-23b5-47d8-a6c1-bd6274051df3	HEAT_REJECTION_PUMPS
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	07104454-be89-48d8-8720-ff24d2dc31fb	VENTILATION
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	3ad95f97-ecfb-40c2-b0f9-f84a80cf9a13	INFILTRATION
a27d1e4c-c3d6-47ed-80f3-13eb1e479568	2dd9d697-7be3-4c3c-a0a7-cd8b647558b3	IT_LOAD
c562f027-8e9c-4c47-9aa4-453d3aa0351f	da325b2f-49ef-4098-b6c7-362e652fa34d	SWITCHGEAR
c562f027-8e9c-4c47-9aa4-453d3aa0351f	0a2b8d23-b81c-4686-a769-ea4f96ead09f	GENERATOR
c562f027-8e9c-4c47-9aa4-453d3aa0351f	90fc6133-aeac-458b-a2f5-770cb40ea7fc	PRIMARY_AUXILIARIES
c562f027-8e9c-4c47-9aa4-453d3aa0351f	0a9ea80d-13bd-4071-aa6a-f951b4db3cbc	UPS
c562f027-8e9c-4c47-9aa4-453d3aa0351f	324dc62c-4144-46e7-9549-916a8fc618a5	CRITICAL_AUXILIARIES
c562f027-8e9c-4c47-9aa4-453d3aa0351f	b4148a13-7483-405b-b2f8-dc85eed54331	LIGHTING
c562f027-8e9c-4c47-9aa4-453d3aa0351f	1cb88588-417c-4bd4-8687-b2b00603e27c	CRITICAL_POWER_DISTRIBUTION
c562f027-8e9c-4c47-9aa4-453d3aa0351f	e1b4cb83-e080-458f-b47a-21bb06c90849	CRAH
c562f027-8e9c-4c47-9aa4-453d3aa0351f	9ed7b6cc-19db-4292-9549-14899566067b	CRAC
c562f027-8e9c-4c47-9aa4-453d3aa0351f	39f48ab2-25b6-4b7a-afbe-b5055e93db22	CRAC_WITHOUT_FAN
c562f027-8e9c-4c47-9aa4-453d3aa0351f	35cae048-34b8-4b3c-8f16-7cd39bad2867	CRAC_FAN
c562f027-8e9c-4c47-9aa4-453d3aa0351f	18432da9-7fcb-44ed-9004-e24c2704e959	CHILLER
c562f027-8e9c-4c47-9aa4-453d3aa0351f	83fe931c-d289-455a-bce0-2f67a287fa01	AIR_COOLED_CHILLER
c562f027-8e9c-4c47-9aa4-453d3aa0351f	99e7b827-83ac-4d91-90d9-4f1bf5124683	COOLING_TOWER
c562f027-8e9c-4c47-9aa4-453d3aa0351f	b1bd2635-1454-4f29-abea-946da69e2f5f	DRY_COOLER
c562f027-8e9c-4c47-9aa4-453d3aa0351f	33f18c4d-6ee0-4e15-8273-189a9cf27cbd	REMOTE_CONDENSER
c562f027-8e9c-4c47-9aa4-453d3aa0351f	7362b9a2-2900-4050-bb39-fc35562e7ba3	CHILLED_WATER_PUMPS
c562f027-8e9c-4c47-9aa4-453d3aa0351f	c73aa402-c1d4-486c-b3e0-22d69f28b74b	HEAT_REJECTION_PUMPS
c562f027-8e9c-4c47-9aa4-453d3aa0351f	dcf9e85e-eefc-42d5-8fb2-4082669bee9b	VENTILATION
c562f027-8e9c-4c47-9aa4-453d3aa0351f	06fe8029-1a79-4db3-9df0-fb80e9e0d779	INFILTRATION
c562f027-8e9c-4c47-9aa4-453d3aa0351f	7b6984fd-7c27-4104-92ca-098328d0ebd2	IT_LOAD
3a9c41bf-6d8e-4904-9b26-699a6299f12b	6954548b-ecec-41e9-8bc7-d33f8c9a371d	SWITCHGEAR
3a9c41bf-6d8e-4904-9b26-699a6299f12b	a7fd55d4-fe63-4fcd-aac9-7db06bafa9f6	GENERATOR
3a9c41bf-6d8e-4904-9b26-699a6299f12b	6c39c3af-b628-441a-9209-4e5f0d1ef0cd	PRIMARY_AUXILIARIES
3a9c41bf-6d8e-4904-9b26-699a6299f12b	e12c34dc-e708-41e1-b4f3-3fe9d3e42c71	UPS
3a9c41bf-6d8e-4904-9b26-699a6299f12b	9678cd0e-352f-435a-adcd-f173dd6f2676	CRITICAL_AUXILIARIES
3a9c41bf-6d8e-4904-9b26-699a6299f12b	e31cce48-cfee-4573-bb04-e068a9431d89	LIGHTING
3a9c41bf-6d8e-4904-9b26-699a6299f12b	9a177a95-d4f8-4e87-93cd-4c20d571af75	CRITICAL_POWER_DISTRIBUTION
3a9c41bf-6d8e-4904-9b26-699a6299f12b	a3d1a974-733d-4d99-ba0c-285395c07520	CRAH
3a9c41bf-6d8e-4904-9b26-699a6299f12b	2790d11b-a2e6-4eb3-9939-c3391d7a3ae0	CRAC
3a9c41bf-6d8e-4904-9b26-699a6299f12b	c5bafd2c-7a58-45ea-a520-568ac590ef05	CRAC_WITHOUT_FAN
3a9c41bf-6d8e-4904-9b26-699a6299f12b	c5fae472-c5e4-44e0-a223-89efdd7e71d7	CRAC_FAN
3a9c41bf-6d8e-4904-9b26-699a6299f12b	12adb33c-0ca0-4f81-932a-6388f508b9b6	CHILLER
3a9c41bf-6d8e-4904-9b26-699a6299f12b	f7142e1a-2643-4c8b-af9d-9eb1933b25de	AIR_COOLED_CHILLER
3a9c41bf-6d8e-4904-9b26-699a6299f12b	447be5a8-3fe4-4d3d-8dcb-e085d1242297	COOLING_TOWER
3a9c41bf-6d8e-4904-9b26-699a6299f12b	4c2aa21b-3ea3-43ef-b7dd-b0d8ea54a3e9	DRY_COOLER
3a9c41bf-6d8e-4904-9b26-699a6299f12b	b0c605ae-9333-4743-864e-f8d2c1edda4a	REMOTE_CONDENSER
3a9c41bf-6d8e-4904-9b26-699a6299f12b	36d3cc7f-b234-45b0-b271-8b17200b90e3	CHILLED_WATER_PUMPS
3a9c41bf-6d8e-4904-9b26-699a6299f12b	ef4a95bd-c549-4f07-88d1-be8c70535dae	HEAT_REJECTION_PUMPS
3a9c41bf-6d8e-4904-9b26-699a6299f12b	159ddb9e-41cb-4e52-907b-2c55099aecc3	VENTILATION
3a9c41bf-6d8e-4904-9b26-699a6299f12b	52f79d48-70a6-4d15-922e-7c874439c31c	INFILTRATION
3a9c41bf-6d8e-4904-9b26-699a6299f12b	d6e4af7b-b86f-4260-9ad1-ac81a881d20d	IT_LOAD
56e41e44-7498-4f16-be17-58a69c8a7871	28810814-0561-4b52-84e6-48f33e1c0077	SWITCHGEAR
56e41e44-7498-4f16-be17-58a69c8a7871	fe091836-4fca-4b3d-845b-d536e27ad14a	GENERATOR
56e41e44-7498-4f16-be17-58a69c8a7871	fa33030c-1718-4954-b2dc-35257c889061	PRIMARY_AUXILIARIES
56e41e44-7498-4f16-be17-58a69c8a7871	3e40ae54-4902-4390-b0c5-58630d65edee	UPS
56e41e44-7498-4f16-be17-58a69c8a7871	6b13abc2-cae3-431b-ba7e-4dc8f2b4c746	CRITICAL_AUXILIARIES
56e41e44-7498-4f16-be17-58a69c8a7871	e038307c-b1bd-43fc-a0d4-38ea5888b788	LIGHTING
56e41e44-7498-4f16-be17-58a69c8a7871	b25babea-ee21-40c6-bfb7-dcb711d0446f	CRITICAL_POWER_DISTRIBUTION
56e41e44-7498-4f16-be17-58a69c8a7871	e4c6995e-2907-4f4d-a87f-f89d55974529	CRAH
56e41e44-7498-4f16-be17-58a69c8a7871	80a019bd-a9ac-4441-8402-45d24f0ec2d0	CRAC
56e41e44-7498-4f16-be17-58a69c8a7871	744a7a39-b811-447d-b8fb-703afba45d00	CRAC_WITHOUT_FAN
56e41e44-7498-4f16-be17-58a69c8a7871	c6d1d0cf-1bb0-42c6-9d48-5c898b7b7b64	CRAC_FAN
56e41e44-7498-4f16-be17-58a69c8a7871	e77294c6-df30-4506-bb23-dd9132820e89	CHILLER
56e41e44-7498-4f16-be17-58a69c8a7871	5f3c519c-f94d-43cf-9090-3d5bbc67ba39	AIR_COOLED_CHILLER
56e41e44-7498-4f16-be17-58a69c8a7871	f41db0a1-9c20-4692-9b4e-d52fc9748477	COOLING_TOWER
56e41e44-7498-4f16-be17-58a69c8a7871	69882a82-67a5-4bbd-8600-2160251dd8e5	DRY_COOLER
56e41e44-7498-4f16-be17-58a69c8a7871	e7709d5f-b457-4862-a5b4-be2fb32d8dbf	REMOTE_CONDENSER
56e41e44-7498-4f16-be17-58a69c8a7871	34f6acfd-6c84-449b-9a80-388cdc928bbc	CHILLED_WATER_PUMPS
56e41e44-7498-4f16-be17-58a69c8a7871	eb3996f3-42be-4baf-9cb0-43a5850eb456	HEAT_REJECTION_PUMPS
56e41e44-7498-4f16-be17-58a69c8a7871	2cea8d71-e936-466c-a576-120c46051809	VENTILATION
56e41e44-7498-4f16-be17-58a69c8a7871	81386c25-3be5-4049-a677-2e777cdab8c3	INFILTRATION
56e41e44-7498-4f16-be17-58a69c8a7871	9193fa51-9a02-47a5-a762-16570e073bd5	IT_LOAD
360111fb-e966-46c5-8181-aed27330f54c	2cc72a7c-daa8-443f-adc8-f889737ca7f7	SWITCHGEAR
360111fb-e966-46c5-8181-aed27330f54c	e098cfa9-d5c6-435f-b236-4ebd6097f949	GENERATOR
360111fb-e966-46c5-8181-aed27330f54c	963d895b-eb4b-4e6d-bd7a-db12bb856530	PRIMARY_AUXILIARIES
360111fb-e966-46c5-8181-aed27330f54c	76405d60-4d72-451b-b39e-52890051b8c7	UPS
360111fb-e966-46c5-8181-aed27330f54c	29f659bb-d542-4baf-a004-93d6b5282128	CRITICAL_AUXILIARIES
360111fb-e966-46c5-8181-aed27330f54c	70b56cd3-f214-451e-8ffe-c53e68920da0	LIGHTING
360111fb-e966-46c5-8181-aed27330f54c	d9d573bf-2a5f-4ad9-9d71-7035352f247e	CRITICAL_POWER_DISTRIBUTION
360111fb-e966-46c5-8181-aed27330f54c	de655f24-5216-4e08-9486-b9fa98263242	CRAH
360111fb-e966-46c5-8181-aed27330f54c	609f8218-e63a-4b46-9879-2eaa1427a85d	CRAC
360111fb-e966-46c5-8181-aed27330f54c	8493476b-3361-451f-bfda-9c52eaeff5af	CRAC_WITHOUT_FAN
360111fb-e966-46c5-8181-aed27330f54c	bef5b3ca-a9fd-4b79-bd6b-bbea11e6ddfa	CRAC_FAN
360111fb-e966-46c5-8181-aed27330f54c	4aa7381c-c2a0-452e-9e57-08d442070e3d	CHILLER
360111fb-e966-46c5-8181-aed27330f54c	32f5aebe-a4bf-4d3a-b47f-4a8c45407f02	AIR_COOLED_CHILLER
360111fb-e966-46c5-8181-aed27330f54c	4c56dad3-00cd-433d-8b84-a209727e2a1e	COOLING_TOWER
360111fb-e966-46c5-8181-aed27330f54c	9f617b98-57f9-4412-baec-b54f15c73b08	DRY_COOLER
360111fb-e966-46c5-8181-aed27330f54c	4768b10f-5d5d-4bd0-837d-0abf8591a516	REMOTE_CONDENSER
360111fb-e966-46c5-8181-aed27330f54c	8067c1f9-bb30-4590-b5af-842cf865aa5d	CHILLED_WATER_PUMPS
360111fb-e966-46c5-8181-aed27330f54c	3ee10be4-2313-476b-8c3b-f2fe7582e4ba	HEAT_REJECTION_PUMPS
360111fb-e966-46c5-8181-aed27330f54c	24b4b48f-611e-4dbc-bcfb-c7c0e8edf76f	VENTILATION
360111fb-e966-46c5-8181-aed27330f54c	d899ee8e-0718-46f4-af3c-275f0b5f8105	INFILTRATION
360111fb-e966-46c5-8181-aed27330f54c	409ec8de-ce7c-49eb-928a-0cbc5afb265a	IT_LOAD
6c3f5018-ddef-402c-9e59-015948ca1556	adabb673-de6d-4e90-a269-e1eb6de2c63e	SWITCHGEAR
6c3f5018-ddef-402c-9e59-015948ca1556	4ea516bc-70ab-47f4-b702-98eb3a0972da	GENERATOR
6c3f5018-ddef-402c-9e59-015948ca1556	8058f35e-5fe6-473c-99f4-93be6c0ecccd	PRIMARY_AUXILIARIES
6c3f5018-ddef-402c-9e59-015948ca1556	b5a83487-955c-424c-adcb-84990f4891b4	UPS
6c3f5018-ddef-402c-9e59-015948ca1556	f35268cf-2ca7-4171-8770-48cf2e5f538e	CRITICAL_AUXILIARIES
6c3f5018-ddef-402c-9e59-015948ca1556	61a2f8a7-70d9-4034-a11a-d61d436922c3	LIGHTING
6c3f5018-ddef-402c-9e59-015948ca1556	f1925dfc-28e4-467c-8fb3-2008ba890392	CRITICAL_POWER_DISTRIBUTION
6c3f5018-ddef-402c-9e59-015948ca1556	c2cd58c3-f3e1-44e2-8f95-a44b02dc323d	CRAH
6c3f5018-ddef-402c-9e59-015948ca1556	0842f5b6-b2a8-4158-94d2-25560d690d64	CRAC
6c3f5018-ddef-402c-9e59-015948ca1556	f8b95f48-961c-4c8e-bfb1-83fee4f68a34	CRAC_WITHOUT_FAN
6c3f5018-ddef-402c-9e59-015948ca1556	a20b23a0-4957-4c76-b636-c112e274d500	CRAC_FAN
6c3f5018-ddef-402c-9e59-015948ca1556	5e7d7d9d-0541-4c02-a089-4a900d32a7d1	CHILLER
6c3f5018-ddef-402c-9e59-015948ca1556	5181a587-4f67-49a2-83d5-e08fae3ab37d	AIR_COOLED_CHILLER
6c3f5018-ddef-402c-9e59-015948ca1556	f306e20c-0a7d-43f6-93d0-471fe5007457	COOLING_TOWER
6c3f5018-ddef-402c-9e59-015948ca1556	2cd4fd0f-da73-4477-b20a-7d4fa0919c7b	DRY_COOLER
6c3f5018-ddef-402c-9e59-015948ca1556	cfd03efa-70be-4463-b256-75af14d4beec	REMOTE_CONDENSER
6c3f5018-ddef-402c-9e59-015948ca1556	f3a62823-d947-4944-8250-3410a00da7d7	CHILLED_WATER_PUMPS
6c3f5018-ddef-402c-9e59-015948ca1556	c11d23b3-eb16-4002-8b02-90b53b599fdd	HEAT_REJECTION_PUMPS
6c3f5018-ddef-402c-9e59-015948ca1556	e2f8215d-b33b-4aee-b192-f6c0a268bfc3	VENTILATION
6c3f5018-ddef-402c-9e59-015948ca1556	d8f654b4-5ebb-4a68-a160-6019ae0f762f	INFILTRATION
6c3f5018-ddef-402c-9e59-015948ca1556	354f6d3f-e0ff-4c1e-b594-0ef3074a2917	IT_LOAD
ca69093b-8ca5-452c-90dc-78f8ea68fef4	2aa54b1d-3dc1-459f-9567-879c64c549e1	SWITCHGEAR
ca69093b-8ca5-452c-90dc-78f8ea68fef4	2db782c1-b34d-4b65-bc65-4ecca992225f	GENERATOR
ca69093b-8ca5-452c-90dc-78f8ea68fef4	816874a7-b631-4035-92d5-a53638271069	PRIMARY_AUXILIARIES
ca69093b-8ca5-452c-90dc-78f8ea68fef4	504a9444-9d80-4b52-8aa3-de17eb637aec	UPS
ca69093b-8ca5-452c-90dc-78f8ea68fef4	7d71cf5b-fc8b-4f66-b2d7-1a1d5cc73a8c	CRITICAL_AUXILIARIES
ca69093b-8ca5-452c-90dc-78f8ea68fef4	db65c3fb-22b3-4c31-96a7-8aa0c6595a67	LIGHTING
ca69093b-8ca5-452c-90dc-78f8ea68fef4	3939ed58-d525-4407-8059-492c02cd901c	CRITICAL_POWER_DISTRIBUTION
ca69093b-8ca5-452c-90dc-78f8ea68fef4	19c8c0ef-5d5b-4f87-b924-6c93f7a2dd49	CRAH
ca69093b-8ca5-452c-90dc-78f8ea68fef4	17149a40-b064-4094-a4ea-d682c34bc72c	CRAC
ca69093b-8ca5-452c-90dc-78f8ea68fef4	e723f256-9264-4d22-9f12-4eef8fc866c3	CRAC_WITHOUT_FAN
ca69093b-8ca5-452c-90dc-78f8ea68fef4	33b54de9-995e-4ff4-ab06-4c9f003605a3	CRAC_FAN
ca69093b-8ca5-452c-90dc-78f8ea68fef4	843c0ee5-2274-4d46-bff0-7c96dca1f1fe	CHILLER
ca69093b-8ca5-452c-90dc-78f8ea68fef4	7fabbfec-bbd3-49d4-83e3-6c7e37a9b9d1	AIR_COOLED_CHILLER
ca69093b-8ca5-452c-90dc-78f8ea68fef4	c6d04f44-f5d4-40d3-8853-dfa918a354f1	COOLING_TOWER
ca69093b-8ca5-452c-90dc-78f8ea68fef4	f65b6be9-9edb-4a9f-9d79-47d80acc2a81	DRY_COOLER
ca69093b-8ca5-452c-90dc-78f8ea68fef4	d8765b52-d6f4-42ea-af9a-45346bb5c239	REMOTE_CONDENSER
ca69093b-8ca5-452c-90dc-78f8ea68fef4	3ce91ff1-1769-4ab1-9d68-782c7c38f6e8	CHILLED_WATER_PUMPS
ca69093b-8ca5-452c-90dc-78f8ea68fef4	911090f1-4bdc-48fa-9606-f983527e1157	HEAT_REJECTION_PUMPS
ca69093b-8ca5-452c-90dc-78f8ea68fef4	adc680d7-8f62-49f3-aa71-de4f2c99397a	VENTILATION
ca69093b-8ca5-452c-90dc-78f8ea68fef4	1a45382e-2f7d-45ba-a299-02419e792356	INFILTRATION
ca69093b-8ca5-452c-90dc-78f8ea68fef4	4d06f95e-20e6-411d-bb71-27fb983ac2d7	IT_LOAD
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	1622ae0b-d70a-4150-96c7-2626378b8cda	SWITCHGEAR
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	92683699-ee8f-49dc-829d-9e90aa237c66	GENERATOR
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	29a2f1f2-10b1-4e4c-b10a-9f9253fb619e	PRIMARY_AUXILIARIES
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	9ad8afad-de2a-4b2e-b6e3-1dc55444de98	UPS
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	f11ffae0-a622-4423-b04d-0b26cd820613	CRITICAL_AUXILIARIES
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	12d5122a-5551-4db0-93fd-f4ad6d15d0ef	LIGHTING
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	b6571645-2728-4a13-9d50-31e39fcdfa8d	CRITICAL_POWER_DISTRIBUTION
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	f1cede09-23e9-489d-8c2c-b4cc327ee2b6	CRAH
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	68c6650a-89fb-4174-a964-0a6e18cb33d2	CRAC
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	46be0a67-e09e-480d-92c7-a7764a317178	CRAC_WITHOUT_FAN
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	0c5434fe-17e2-486f-a9fc-520fe17d38c5	CRAC_FAN
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	1c6059dc-5115-4f98-8782-b0729169d952	CHILLER
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	47ee6cc5-ad1b-420a-9b9a-530205fb3323	AIR_COOLED_CHILLER
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	962f1985-4cc0-484d-acf9-b7e7c49bda44	COOLING_TOWER
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	260fefdc-a314-4a09-bed1-23b0007a9341	DRY_COOLER
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	81487943-b481-4b98-8329-a9e71b1458aa	REMOTE_CONDENSER
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	e3a2a3ef-5572-48a5-ab19-03d5e8ab99b5	CHILLED_WATER_PUMPS
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	f4b1083c-08e9-4979-b793-edaf99c4a461	HEAT_REJECTION_PUMPS
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	aa051d3a-04a1-4fac-82a2-a780719acf8e	VENTILATION
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	f428c4ab-bc60-4070-8290-b3edb256fa1d	INFILTRATION
6b8fa9f8-b0e5-4da8-9189-8e5c9c71ef46	c7e10018-adbf-4ff6-b198-56ee791cf815	IT_LOAD
d4fd2cc3-009b-4905-af3f-94319454a498	30ffd922-4dc8-4ee3-a10f-0c0899a74597	SWITCHGEAR
d4fd2cc3-009b-4905-af3f-94319454a498	feed62f9-f68a-4a06-94ea-dc0339158ddd	GENERATOR
d4fd2cc3-009b-4905-af3f-94319454a498	2f7e0ad3-18c4-4db9-83f0-38811f1e5843	PRIMARY_AUXILIARIES
d4fd2cc3-009b-4905-af3f-94319454a498	4bd0673e-7c28-4efc-9f94-cd8723d44827	UPS
d4fd2cc3-009b-4905-af3f-94319454a498	a53058e9-9fc2-4348-bf15-cbf4f674a37e	CRITICAL_AUXILIARIES
d4fd2cc3-009b-4905-af3f-94319454a498	ae731a00-296b-49d5-be55-4d502fdc69a9	LIGHTING
d4fd2cc3-009b-4905-af3f-94319454a498	a583c1c8-9c56-4dcc-80b6-fbd936a0ee47	CRITICAL_POWER_DISTRIBUTION
d4fd2cc3-009b-4905-af3f-94319454a498	7daf7b6f-9915-4fda-b29b-5f20114b0c62	CRAH
d4fd2cc3-009b-4905-af3f-94319454a498	c66d8140-bfc7-4d68-a74c-3c434fe4abcf	CRAC
d4fd2cc3-009b-4905-af3f-94319454a498	886d35b4-2d7c-4b94-a507-9c4acd5457c3	CRAC_WITHOUT_FAN
d4fd2cc3-009b-4905-af3f-94319454a498	cc8c5d71-c6a7-4774-b54f-4ca1e38e8a16	CRAC_FAN
d4fd2cc3-009b-4905-af3f-94319454a498	daa437b6-f187-41b7-9b8d-bcbd48b6f06a	CHILLER
d4fd2cc3-009b-4905-af3f-94319454a498	4bc6e7be-2985-41ce-864e-a75f1d7eab92	AIR_COOLED_CHILLER
d4fd2cc3-009b-4905-af3f-94319454a498	2e3c8c15-d461-4b92-b032-39a26452528e	COOLING_TOWER
d4fd2cc3-009b-4905-af3f-94319454a498	695b9e8d-32b4-4226-8e57-83232d504d1e	DRY_COOLER
d4fd2cc3-009b-4905-af3f-94319454a498	899642d1-6942-46af-8b71-845a49f64f32	REMOTE_CONDENSER
d4fd2cc3-009b-4905-af3f-94319454a498	1d739a31-e587-4299-beb9-ce8cf6911481	CHILLED_WATER_PUMPS
d4fd2cc3-009b-4905-af3f-94319454a498	5ee89d68-0084-4b24-8173-bb74b1d263a2	HEAT_REJECTION_PUMPS
d4fd2cc3-009b-4905-af3f-94319454a498	975fb808-5188-4b8f-88fd-814a95bae291	VENTILATION
d4fd2cc3-009b-4905-af3f-94319454a498	babdb49d-31a4-4dce-861c-ba4b46669453	INFILTRATION
d4fd2cc3-009b-4905-af3f-94319454a498	7006b57d-bc21-4127-8dc3-27560e682f0f	IT_LOAD
0af881e1-fcb6-48bc-a1e3-5af593568ef1	d8f24772-5984-4f3a-bd5c-9c0266977ff3	SWITCHGEAR
0af881e1-fcb6-48bc-a1e3-5af593568ef1	e1bb3f18-2666-4e8d-b83b-1140bd7958d4	GENERATOR
0af881e1-fcb6-48bc-a1e3-5af593568ef1	34fa3dce-bccd-4bec-9981-defe4319cfd2	PRIMARY_AUXILIARIES
0af881e1-fcb6-48bc-a1e3-5af593568ef1	4e41b5f6-4922-440d-a71e-af3f902f737d	UPS
0af881e1-fcb6-48bc-a1e3-5af593568ef1	eb0246b3-dd6f-4a52-8c44-53aa732e9998	CRITICAL_AUXILIARIES
0af881e1-fcb6-48bc-a1e3-5af593568ef1	86c640f4-52e7-4615-bee5-8a52b22dc971	LIGHTING
0af881e1-fcb6-48bc-a1e3-5af593568ef1	0f39152d-f881-4051-bb96-84d71bfb9dc1	CRITICAL_POWER_DISTRIBUTION
0af881e1-fcb6-48bc-a1e3-5af593568ef1	3365ea98-379a-40bf-8458-b4eabb82e92d	CRAH
0af881e1-fcb6-48bc-a1e3-5af593568ef1	c0510d29-3790-442c-8948-f9ad2de3f930	CRAC
0af881e1-fcb6-48bc-a1e3-5af593568ef1	742b2ded-081a-44b3-9aef-4f57dd159d0c	CRAC_WITHOUT_FAN
0af881e1-fcb6-48bc-a1e3-5af593568ef1	3f64d044-93f0-4381-9d6c-a330ee3e885d	CRAC_FAN
0af881e1-fcb6-48bc-a1e3-5af593568ef1	d9f61597-0620-42d6-8e8d-6bb1d1363847	CHILLER
0af881e1-fcb6-48bc-a1e3-5af593568ef1	f22abe10-f75e-4cb9-aeb7-5ff7de0fb8ac	AIR_COOLED_CHILLER
0af881e1-fcb6-48bc-a1e3-5af593568ef1	aa4a9c41-e4dc-4d0d-a3ce-625479e4799d	COOLING_TOWER
0af881e1-fcb6-48bc-a1e3-5af593568ef1	acb4f520-3294-4f32-9ca9-5a9725058f70	DRY_COOLER
0af881e1-fcb6-48bc-a1e3-5af593568ef1	8138a752-1a67-4c6f-9565-fcbd207be40e	REMOTE_CONDENSER
0af881e1-fcb6-48bc-a1e3-5af593568ef1	e0ce6200-ec7a-43b6-9da8-2686cedecc1f	CHILLED_WATER_PUMPS
0af881e1-fcb6-48bc-a1e3-5af593568ef1	7c9e340b-f4a4-4de1-869f-7ec168a8d9cd	HEAT_REJECTION_PUMPS
0af881e1-fcb6-48bc-a1e3-5af593568ef1	b2847c80-2f34-46d7-a282-122354627fa3	VENTILATION
0af881e1-fcb6-48bc-a1e3-5af593568ef1	6f30b0f3-e41a-4940-a43d-69b7dafac3d2	INFILTRATION
0af881e1-fcb6-48bc-a1e3-5af593568ef1	511c2256-dc95-44b6-afc4-6853ad222b13	IT_LOAD
41dc5959-c307-47d5-a7dc-575fdbd7060a	e0e18589-078c-405d-b04c-2bb1d4e19856	SWITCHGEAR
41dc5959-c307-47d5-a7dc-575fdbd7060a	b064f944-c775-4d71-a14d-f4fd69f13d4a	GENERATOR
41dc5959-c307-47d5-a7dc-575fdbd7060a	0d06cb3f-c8f2-45dc-b6b6-ab0b3f8f7f05	PRIMARY_AUXILIARIES
41dc5959-c307-47d5-a7dc-575fdbd7060a	82fc199f-1157-4712-8ecc-cfd3be578b5d	UPS
41dc5959-c307-47d5-a7dc-575fdbd7060a	43974ecd-025b-450c-b83e-f4efc2c2f7e0	CRITICAL_AUXILIARIES
41dc5959-c307-47d5-a7dc-575fdbd7060a	13004ec5-e9e3-4078-9c98-3f173ad6aeea	LIGHTING
41dc5959-c307-47d5-a7dc-575fdbd7060a	2a18fcdb-aa49-4d1d-ab1c-bbb798a083e1	CRITICAL_POWER_DISTRIBUTION
41dc5959-c307-47d5-a7dc-575fdbd7060a	f3a0ba88-a8db-4e87-99ab-a2d33519c395	CRAH
41dc5959-c307-47d5-a7dc-575fdbd7060a	57e8e2c3-5c3e-4c70-959c-906ac113686e	CRAC
41dc5959-c307-47d5-a7dc-575fdbd7060a	c6a01300-4b3c-429c-84dc-28b4041f6fa6	CRAC_WITHOUT_FAN
41dc5959-c307-47d5-a7dc-575fdbd7060a	d83591b0-6ca8-4d6f-b106-376afea9917d	CRAC_FAN
41dc5959-c307-47d5-a7dc-575fdbd7060a	80e4ac1f-9537-4130-82c2-4928d75ababc	CHILLER
41dc5959-c307-47d5-a7dc-575fdbd7060a	2838f048-58d3-4d6b-8339-017edb7647ac	AIR_COOLED_CHILLER
41dc5959-c307-47d5-a7dc-575fdbd7060a	bc65d407-9b6f-4285-a2fe-2e1367d293ef	COOLING_TOWER
41dc5959-c307-47d5-a7dc-575fdbd7060a	024d0124-c17e-4d18-8fe4-f5b57411cfd4	DRY_COOLER
41dc5959-c307-47d5-a7dc-575fdbd7060a	9199dd79-d6e6-4ca2-9350-eebb3ffd6fff	REMOTE_CONDENSER
41dc5959-c307-47d5-a7dc-575fdbd7060a	df619a3d-6c66-4b1c-8e7e-dc247f23799f	CHILLED_WATER_PUMPS
41dc5959-c307-47d5-a7dc-575fdbd7060a	22c694a7-c4fe-45b0-acf5-cd920baf89a4	HEAT_REJECTION_PUMPS
41dc5959-c307-47d5-a7dc-575fdbd7060a	4401fc5f-0ffa-4c1e-8bfb-efdbc1a48759	VENTILATION
41dc5959-c307-47d5-a7dc-575fdbd7060a	e5e4f660-9268-4024-aae2-92d3498a8e11	INFILTRATION
41dc5959-c307-47d5-a7dc-575fdbd7060a	a91d88cb-7f64-47a9-b1d9-a832f0fae794	IT_LOAD
35f90061-da07-450c-8b79-04b7ea66d30f	758708e5-5d3f-4eee-8980-1429f315132f	SWITCHGEAR
35f90061-da07-450c-8b79-04b7ea66d30f	4ecc89fe-43cf-483f-920b-2030fe62650f	GENERATOR
35f90061-da07-450c-8b79-04b7ea66d30f	1f03746b-693b-4067-bef0-ef5fb4cda776	PRIMARY_AUXILIARIES
35f90061-da07-450c-8b79-04b7ea66d30f	00a648dd-2757-4ee5-b06a-ea7dd8950ea6	UPS
35f90061-da07-450c-8b79-04b7ea66d30f	ab78dbb5-4b3b-4e77-822f-9ce53ae9e4fc	CRITICAL_AUXILIARIES
35f90061-da07-450c-8b79-04b7ea66d30f	2374d6c8-dd4a-42b8-8d2b-385eeebc551f	LIGHTING
35f90061-da07-450c-8b79-04b7ea66d30f	35bcfaf7-4972-4c09-866e-cf7fbfad253d	CRITICAL_POWER_DISTRIBUTION
35f90061-da07-450c-8b79-04b7ea66d30f	a71e829a-cdcf-4126-8b95-5d497ef4d56c	CRAH
35f90061-da07-450c-8b79-04b7ea66d30f	9ef35fe2-b3e8-43dd-875a-40ce73e22f3b	CRAC
35f90061-da07-450c-8b79-04b7ea66d30f	da8e6d4e-5ca5-40ca-b59e-d3abc4711c75	CRAC_WITHOUT_FAN
35f90061-da07-450c-8b79-04b7ea66d30f	cfcd1ffd-0bbb-4e89-ae23-72241bbe3c5b	CRAC_FAN
35f90061-da07-450c-8b79-04b7ea66d30f	6be023b7-8a10-43b1-bc38-9a1fa2147b63	CHILLER
35f90061-da07-450c-8b79-04b7ea66d30f	d31d4877-2629-49c7-8c67-8a4a1c22aa42	AIR_COOLED_CHILLER
35f90061-da07-450c-8b79-04b7ea66d30f	b748d007-8616-45a0-acb0-caa41e966afe	COOLING_TOWER
35f90061-da07-450c-8b79-04b7ea66d30f	8229e689-1e5b-4822-99ea-4d02afea8812	DRY_COOLER
35f90061-da07-450c-8b79-04b7ea66d30f	1a178af5-a392-4d56-92a9-d92058e68260	REMOTE_CONDENSER
35f90061-da07-450c-8b79-04b7ea66d30f	37ffc07e-6248-480e-a56c-965e2b5edb81	CHILLED_WATER_PUMPS
35f90061-da07-450c-8b79-04b7ea66d30f	6f558a88-da4f-47fd-8a10-ec86476d293f	HEAT_REJECTION_PUMPS
35f90061-da07-450c-8b79-04b7ea66d30f	25ea3137-5168-4994-930e-85b454b4fe59	VENTILATION
35f90061-da07-450c-8b79-04b7ea66d30f	aa34f0ed-2592-4451-9326-1426de9ad788	INFILTRATION
35f90061-da07-450c-8b79-04b7ea66d30f	8c25162e-fc09-4857-a443-c4107bf013d0	IT_LOAD
65513d48-f033-4df3-ac76-f111d8e14bec	ad5f2e05-e720-4ac7-ae94-38fda49e949b	SWITCHGEAR
65513d48-f033-4df3-ac76-f111d8e14bec	907adbfb-814d-41e2-a2dc-b88064c1796e	GENERATOR
65513d48-f033-4df3-ac76-f111d8e14bec	b62f0f7d-f01e-4a9d-82c8-5e8ceb82d5a4	PRIMARY_AUXILIARIES
65513d48-f033-4df3-ac76-f111d8e14bec	d618ed99-21c4-4052-9839-1bbdc1b13a6a	UPS
65513d48-f033-4df3-ac76-f111d8e14bec	7c0b1049-ad10-4bc7-a718-f9c775d6a318	CRITICAL_AUXILIARIES
65513d48-f033-4df3-ac76-f111d8e14bec	35060807-0e73-4c98-bf13-7198332dac14	LIGHTING
65513d48-f033-4df3-ac76-f111d8e14bec	6e04218c-28e9-41db-b0a0-ed1dc0f2de43	CRITICAL_POWER_DISTRIBUTION
65513d48-f033-4df3-ac76-f111d8e14bec	d6406f4a-087c-4524-a6bf-bbe659593416	CRAH
65513d48-f033-4df3-ac76-f111d8e14bec	92d5d7e1-5cb0-45f7-8397-da258d401214	CRAC
65513d48-f033-4df3-ac76-f111d8e14bec	3a3e69c5-3971-45a7-94df-2a14725cc366	CRAC_WITHOUT_FAN
65513d48-f033-4df3-ac76-f111d8e14bec	057e76e3-4d09-49a9-8f53-343f316ecfc0	CRAC_FAN
65513d48-f033-4df3-ac76-f111d8e14bec	27425162-a3f7-49c2-a2b3-692b79b82d5a	CHILLER
65513d48-f033-4df3-ac76-f111d8e14bec	9bfc24e6-ac33-4187-8a6b-d68e85eb83d7	AIR_COOLED_CHILLER
65513d48-f033-4df3-ac76-f111d8e14bec	7d393bd0-b521-4f6d-980d-cef5a44532e2	COOLING_TOWER
65513d48-f033-4df3-ac76-f111d8e14bec	9c3bc366-cf9f-4eea-8a03-5f6a436c8bcd	DRY_COOLER
65513d48-f033-4df3-ac76-f111d8e14bec	d63e4a93-a3a5-45c5-ad26-775eaa679505	REMOTE_CONDENSER
65513d48-f033-4df3-ac76-f111d8e14bec	c6246d54-4bec-4b66-a9fe-ad324d3089e4	CHILLED_WATER_PUMPS
65513d48-f033-4df3-ac76-f111d8e14bec	99c80431-7cf7-4306-aee4-e6c280683784	HEAT_REJECTION_PUMPS
65513d48-f033-4df3-ac76-f111d8e14bec	91f18117-0752-485e-84cc-7f0841152654	VENTILATION
65513d48-f033-4df3-ac76-f111d8e14bec	f9f70a8e-e2aa-4645-bb2f-0d1ac84e7520	INFILTRATION
65513d48-f033-4df3-ac76-f111d8e14bec	41557876-2a2f-4810-9626-575327c308d4	IT_LOAD
eba31895-895a-4900-b139-a373007b19ff	f99b83cc-8fbe-4a40-9889-2cb1cd757f2b	SWITCHGEAR
eba31895-895a-4900-b139-a373007b19ff	a1d5e786-97ac-4bc6-a41e-e5f7f29183d6	GENERATOR
eba31895-895a-4900-b139-a373007b19ff	cd6e7ad0-456b-41cf-b4a5-cd9c4cc77a2a	PRIMARY_AUXILIARIES
eba31895-895a-4900-b139-a373007b19ff	f53902e2-4d55-4bf5-bad2-dce3ad2c516e	UPS
eba31895-895a-4900-b139-a373007b19ff	9dcd7194-a438-4897-b329-b8425b907eee	CRITICAL_AUXILIARIES
eba31895-895a-4900-b139-a373007b19ff	3785bd38-4a51-4b1c-9a4f-595c33618c68	LIGHTING
eba31895-895a-4900-b139-a373007b19ff	7835d622-82f1-4b22-8dab-05d87bec670f	CRITICAL_POWER_DISTRIBUTION
eba31895-895a-4900-b139-a373007b19ff	ed6a49b5-41ae-4bc3-ae3f-93ddde61c374	CRAH
eba31895-895a-4900-b139-a373007b19ff	a41774a9-37b2-42a2-bb21-7cf43b0a1543	CRAC
eba31895-895a-4900-b139-a373007b19ff	3bd1f9e3-4001-46cc-9f9f-e85852f58e59	CRAC_WITHOUT_FAN
eba31895-895a-4900-b139-a373007b19ff	fdc732de-f344-46e1-a8f5-d85ea280c2d0	CRAC_FAN
eba31895-895a-4900-b139-a373007b19ff	7ee7ac11-e070-4846-8656-aeca7bc8fd29	CHILLER
eba31895-895a-4900-b139-a373007b19ff	29a87ed7-4394-4789-90e6-3fc0c9870018	AIR_COOLED_CHILLER
eba31895-895a-4900-b139-a373007b19ff	b1f902cd-a7e0-41cb-b9be-f9fbded547bc	COOLING_TOWER
eba31895-895a-4900-b139-a373007b19ff	688da40b-b8bd-4507-bb1a-18d49116151d	DRY_COOLER
eba31895-895a-4900-b139-a373007b19ff	cdeaac4c-c0f7-4ac1-88e7-91e3d72b73e8	REMOTE_CONDENSER
eba31895-895a-4900-b139-a373007b19ff	80f65b06-3515-4112-83dc-fb3f68c36551	CHILLED_WATER_PUMPS
eba31895-895a-4900-b139-a373007b19ff	c3175fe1-d0c2-43c3-bc63-9be558a04a1a	HEAT_REJECTION_PUMPS
eba31895-895a-4900-b139-a373007b19ff	69bcd388-ddd1-4cac-b6a9-8cccec20c94c	VENTILATION
eba31895-895a-4900-b139-a373007b19ff	97e7251f-401e-4f18-a7d6-ec1a9e5998c3	INFILTRATION
eba31895-895a-4900-b139-a373007b19ff	3b00c827-0cba-46b2-ab70-16ea6bd028ba	IT_LOAD
ea77f11a-1a19-4839-b59b-77c3e27e06c2	9e2d4313-5ad2-4133-86ea-762f01e61be8	SWITCHGEAR
ea77f11a-1a19-4839-b59b-77c3e27e06c2	3e11f111-bf2e-42a7-ba37-b0384e8b3e92	GENERATOR
ea77f11a-1a19-4839-b59b-77c3e27e06c2	c3a5ece4-919e-4676-ab56-cf12ae274263	PRIMARY_AUXILIARIES
ea77f11a-1a19-4839-b59b-77c3e27e06c2	821061af-9b76-40ab-8e5b-168e28783124	UPS
ea77f11a-1a19-4839-b59b-77c3e27e06c2	e9d734b6-665f-4a2c-8e2a-4c97762437ad	CRITICAL_AUXILIARIES
ea77f11a-1a19-4839-b59b-77c3e27e06c2	f7655513-13a0-4b85-b4f8-bf638846d2a3	LIGHTING
ea77f11a-1a19-4839-b59b-77c3e27e06c2	20b89dd1-07d6-42c9-9a95-053f0f4fe97f	CRITICAL_POWER_DISTRIBUTION
ea77f11a-1a19-4839-b59b-77c3e27e06c2	d09fb0a3-88a3-4875-9d16-6c98b9bfa137	CRAH
ea77f11a-1a19-4839-b59b-77c3e27e06c2	18b3c15b-f56b-49f7-accc-7b77fa91c6dd	CRAC
ea77f11a-1a19-4839-b59b-77c3e27e06c2	ecbb659a-bcf5-497a-ae48-02f9e3b25482	CRAC_WITHOUT_FAN
ea77f11a-1a19-4839-b59b-77c3e27e06c2	b49fcae2-a5a7-4fb1-b1d1-8ef4db200999	CRAC_FAN
ea77f11a-1a19-4839-b59b-77c3e27e06c2	68706d9f-45c4-47d4-9afe-f557fdc21771	CHILLER
ea77f11a-1a19-4839-b59b-77c3e27e06c2	a9d02d30-cfaa-4e4f-843e-be4b8db9f02a	AIR_COOLED_CHILLER
ea77f11a-1a19-4839-b59b-77c3e27e06c2	86472856-2d35-4281-8465-e0d385734b18	COOLING_TOWER
ea77f11a-1a19-4839-b59b-77c3e27e06c2	18ebc44c-caf5-499b-9a88-9ff0b4556fc6	DRY_COOLER
ea77f11a-1a19-4839-b59b-77c3e27e06c2	26275b99-8440-41b9-ad25-af0734730fa1	REMOTE_CONDENSER
ea77f11a-1a19-4839-b59b-77c3e27e06c2	8252ce1f-2493-4253-ac44-fc8c7f75d74e	CHILLED_WATER_PUMPS
ea77f11a-1a19-4839-b59b-77c3e27e06c2	ed32354e-c569-4e1a-b515-0837561d55b1	HEAT_REJECTION_PUMPS
ea77f11a-1a19-4839-b59b-77c3e27e06c2	74a3f877-84bd-44e7-948d-38aac65eaae5	VENTILATION
ea77f11a-1a19-4839-b59b-77c3e27e06c2	18e3ec6f-7878-4c3a-bdee-49cf6810a42d	INFILTRATION
ea77f11a-1a19-4839-b59b-77c3e27e06c2	501abb63-e7db-4df3-8945-9ad6606df7c0	IT_LOAD
a00ea1af-9bcd-492f-be8d-451a3be1f627	7772f196-a4eb-4603-bc58-5318a0ea007b	SWITCHGEAR
a00ea1af-9bcd-492f-be8d-451a3be1f627	2929fcab-b495-4cda-8498-934200cd1d73	GENERATOR
a00ea1af-9bcd-492f-be8d-451a3be1f627	2b229443-d3f2-4b6e-89b9-f803c67c0401	PRIMARY_AUXILIARIES
a00ea1af-9bcd-492f-be8d-451a3be1f627	7387bb64-0c7a-4b3b-afea-3c0e8046b1ff	UPS
a00ea1af-9bcd-492f-be8d-451a3be1f627	3012e040-eb8f-480f-859f-d845a8d93c16	CRITICAL_AUXILIARIES
a00ea1af-9bcd-492f-be8d-451a3be1f627	6718dbe0-28d0-40c2-9b1f-fb9e9e7cd38f	LIGHTING
a00ea1af-9bcd-492f-be8d-451a3be1f627	b9a8059f-6996-43b5-9205-aefe784385f5	CRITICAL_POWER_DISTRIBUTION
a00ea1af-9bcd-492f-be8d-451a3be1f627	eb5b3991-56bc-4fdc-a095-fdb747348e0a	CRAH
a00ea1af-9bcd-492f-be8d-451a3be1f627	19d04cbd-cb5d-4020-926a-dbebec189e19	CRAC
a00ea1af-9bcd-492f-be8d-451a3be1f627	93234040-c5b2-40b3-8481-10550dee2f48	CRAC_WITHOUT_FAN
a00ea1af-9bcd-492f-be8d-451a3be1f627	c5a20b85-761a-4ddf-bcdf-eb57e251ec85	CRAC_FAN
a00ea1af-9bcd-492f-be8d-451a3be1f627	ce1a3848-f572-450a-8cb3-b8347da64ad2	CHILLER
a00ea1af-9bcd-492f-be8d-451a3be1f627	7fb058b8-a05a-48a9-8889-73deea37fc64	AIR_COOLED_CHILLER
a00ea1af-9bcd-492f-be8d-451a3be1f627	2b240264-2a7e-41fa-800e-08aaa71dcdbf	COOLING_TOWER
a00ea1af-9bcd-492f-be8d-451a3be1f627	0d1fe123-3c77-4aab-9750-8b2e76775c81	DRY_COOLER
a00ea1af-9bcd-492f-be8d-451a3be1f627	e6b743a6-2665-4340-bf50-eeb900688f09	REMOTE_CONDENSER
a00ea1af-9bcd-492f-be8d-451a3be1f627	169ac868-5529-4868-89cd-74039761c506	CHILLED_WATER_PUMPS
a00ea1af-9bcd-492f-be8d-451a3be1f627	dccb6b11-52d4-4a32-ac54-9a2fbabfa896	HEAT_REJECTION_PUMPS
a00ea1af-9bcd-492f-be8d-451a3be1f627	465f9983-a53a-4d15-a460-f84505143205	VENTILATION
a00ea1af-9bcd-492f-be8d-451a3be1f627	9035257a-ecfd-43e3-8e0d-61a4daada776	INFILTRATION
a00ea1af-9bcd-492f-be8d-451a3be1f627	15666363-27da-40a4-a813-3e7f785049ca	IT_LOAD
0b3f6fcc-c199-4132-aa50-29ee57c60932	1eea3206-2091-45f8-b601-73cb228e27e2	SWITCHGEAR
0b3f6fcc-c199-4132-aa50-29ee57c60932	bbaa9805-0d80-4183-915c-d30291e96300	GENERATOR
0b3f6fcc-c199-4132-aa50-29ee57c60932	eb53f581-88c4-46ac-8620-c854c70954a1	PRIMARY_AUXILIARIES
0b3f6fcc-c199-4132-aa50-29ee57c60932	e6092071-ab26-4ad4-b827-7e589b575b03	UPS
0b3f6fcc-c199-4132-aa50-29ee57c60932	69290a43-f856-4a09-b85b-08b4d75eb1d0	CRITICAL_AUXILIARIES
0b3f6fcc-c199-4132-aa50-29ee57c60932	a8636ba2-3fa4-48bb-b2d9-d8b66f35a1b4	LIGHTING
0b3f6fcc-c199-4132-aa50-29ee57c60932	8f64f66e-e8e8-4848-be1f-b2ad73fbb855	CRITICAL_POWER_DISTRIBUTION
0b3f6fcc-c199-4132-aa50-29ee57c60932	fdee5525-6109-4de7-87b3-5fba6b0564bc	CRAH
0b3f6fcc-c199-4132-aa50-29ee57c60932	daf90ca9-303f-45e2-8f52-c08ac882bf2a	CRAC
0b3f6fcc-c199-4132-aa50-29ee57c60932	517c0b28-386f-418c-b0f1-e3a919b3195d	CRAC_WITHOUT_FAN
0b3f6fcc-c199-4132-aa50-29ee57c60932	533ca08e-9861-47d5-9ff5-3d8bc0464f62	CRAC_FAN
0b3f6fcc-c199-4132-aa50-29ee57c60932	3ef88b6d-1ca8-4a32-bf48-794f8cdc2d57	CHILLER
0b3f6fcc-c199-4132-aa50-29ee57c60932	1f43a07a-4a77-481a-8d6d-a06d40ae2432	AIR_COOLED_CHILLER
0b3f6fcc-c199-4132-aa50-29ee57c60932	3299b6cb-6e5d-4e7e-841c-e3191580bc13	COOLING_TOWER
0b3f6fcc-c199-4132-aa50-29ee57c60932	93c29483-8b63-433b-9791-34af19cbc25f	DRY_COOLER
0b3f6fcc-c199-4132-aa50-29ee57c60932	e772e062-63dd-4072-9f36-bef3792bd8e7	REMOTE_CONDENSER
0b3f6fcc-c199-4132-aa50-29ee57c60932	2187388a-4f95-427f-b55f-4a88df8e9590	CHILLED_WATER_PUMPS
0b3f6fcc-c199-4132-aa50-29ee57c60932	cf2b4783-533b-4764-9b7f-f687277693e8	HEAT_REJECTION_PUMPS
0b3f6fcc-c199-4132-aa50-29ee57c60932	c2a9b632-346c-4bf4-ad59-35db5f1a255c	VENTILATION
0b3f6fcc-c199-4132-aa50-29ee57c60932	e52173ec-dba6-4373-8c30-50de8e6d924f	INFILTRATION
0b3f6fcc-c199-4132-aa50-29ee57c60932	d1a0a8e6-8a61-4611-a5ca-d5ddcccaa54b	IT_LOAD
800f2cd6-2d46-40c8-a32e-9733bea58626	ccd95b5f-0f4d-4a10-a589-60a3037ed96e	SWITCHGEAR
800f2cd6-2d46-40c8-a32e-9733bea58626	96588145-4645-49db-bdce-da51f8d5ed89	GENERATOR
800f2cd6-2d46-40c8-a32e-9733bea58626	ea01c470-6e4b-4a3f-a199-c4c95c85e699	PRIMARY_AUXILIARIES
800f2cd6-2d46-40c8-a32e-9733bea58626	1fbc52ff-38d3-4be7-a4c7-dcd8faf286a8	UPS
800f2cd6-2d46-40c8-a32e-9733bea58626	e94100a4-f78d-4a08-87ac-b6c1361f4a32	CRITICAL_AUXILIARIES
800f2cd6-2d46-40c8-a32e-9733bea58626	e8af4781-e33d-4ddb-92c7-d5409b4712b6	LIGHTING
800f2cd6-2d46-40c8-a32e-9733bea58626	30e23b67-2c09-4245-86ed-d7bb74f23d90	CRITICAL_POWER_DISTRIBUTION
800f2cd6-2d46-40c8-a32e-9733bea58626	e0300ac5-5f94-485c-bff0-97325caff419	CRAH
800f2cd6-2d46-40c8-a32e-9733bea58626	f2bb8eb0-d542-4674-8746-ffc52e6858fd	CRAC
800f2cd6-2d46-40c8-a32e-9733bea58626	e4ac899d-9142-4bcc-b210-cf1d063559b7	CRAC_WITHOUT_FAN
800f2cd6-2d46-40c8-a32e-9733bea58626	da06ef47-ca28-46ba-973d-e61273c0bf9b	CRAC_FAN
800f2cd6-2d46-40c8-a32e-9733bea58626	e45ec86d-b8db-476d-8fe3-2ab58d734ec2	CHILLER
800f2cd6-2d46-40c8-a32e-9733bea58626	3262082b-79db-48cf-ab01-81da2be41aca	AIR_COOLED_CHILLER
800f2cd6-2d46-40c8-a32e-9733bea58626	67e0fd0c-26c8-4437-b5c6-82e024cdd343	COOLING_TOWER
800f2cd6-2d46-40c8-a32e-9733bea58626	8bec0549-784e-45a0-9731-88314b293e7d	DRY_COOLER
800f2cd6-2d46-40c8-a32e-9733bea58626	45567f48-e729-4bb9-9708-fbdc7c89c8bc	REMOTE_CONDENSER
800f2cd6-2d46-40c8-a32e-9733bea58626	9791bde6-c906-472f-8568-43e6b06b9785	CHILLED_WATER_PUMPS
800f2cd6-2d46-40c8-a32e-9733bea58626	7f166eb6-8b25-4f04-9522-f1ac29e2494f	HEAT_REJECTION_PUMPS
800f2cd6-2d46-40c8-a32e-9733bea58626	4792e4eb-1d42-430e-adcf-3c3c7f20266b	VENTILATION
800f2cd6-2d46-40c8-a32e-9733bea58626	df4dfcc0-cbf3-4eb9-9eda-02c40c630874	INFILTRATION
800f2cd6-2d46-40c8-a32e-9733bea58626	4ca59de2-6ffd-46b8-83c1-5054ecc77071	IT_LOAD
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	29955486-45a4-4d7e-96bc-a1a173d80823	SWITCHGEAR
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	c084ae2d-c413-4777-85d5-365f7f93b50f	GENERATOR
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	d91b9b0d-bd7b-44b6-8c07-9d64db1e34c4	PRIMARY_AUXILIARIES
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	2f9ca93d-7ef6-460e-801b-4d94c22127da	UPS
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	785e4ce8-dfca-4742-816e-ee6b6bb8869b	CRITICAL_AUXILIARIES
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	a371ead0-8839-4f3a-91d0-411df51f66b9	LIGHTING
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	2e64df5e-a03c-4359-a086-524131186777	CRITICAL_POWER_DISTRIBUTION
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	c693987b-831d-4eed-9cae-a970adb9509e	CRAH
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	0cbfac0a-c5f6-45b3-96ef-96748c9de57c	CRAC
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	086666cc-5bfb-4018-b77d-3531526325d5	CRAC_WITHOUT_FAN
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	f29164fc-cc98-4eda-93cf-10b0b9b686f8	CRAC_FAN
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	a52fcdfb-adf2-4525-a853-29937a42de64	CHILLER
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	a5a44254-a941-4d3f-a526-bbc67ccb4b69	AIR_COOLED_CHILLER
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	76275534-bb5c-48eb-9deb-5948a2e053a9	COOLING_TOWER
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	8342647f-a2a3-4dc4-bf36-f153dd217bd9	DRY_COOLER
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	29d4cd58-bb45-424b-9313-04ffcc29dafa	REMOTE_CONDENSER
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	bd9a91da-aabc-4a2c-a2cf-78c455bc52e9	CHILLED_WATER_PUMPS
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	c4fbafbf-aec2-4f2f-9367-d50aa9923ec3	HEAT_REJECTION_PUMPS
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	ddd71b3a-ec34-4954-ba69-b2b5e25c3083	VENTILATION
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	9cd9cd15-cd70-41af-a159-466c00309588	INFILTRATION
0d223bf4-1bc4-4cd3-8de5-8cfe55de7a43	3aafff6d-de77-4905-bb74-793ac5896fb1	IT_LOAD
3b1ea72d-ea90-489c-a420-054c08c3b846	9cdf0031-c58e-4829-8406-38901968d8f3	SWITCHGEAR
3b1ea72d-ea90-489c-a420-054c08c3b846	3641b382-5cd5-4a9a-b729-f196a7f201f4	GENERATOR
3b1ea72d-ea90-489c-a420-054c08c3b846	ca44461f-8dfd-4d08-9b90-38c739d1b586	PRIMARY_AUXILIARIES
3b1ea72d-ea90-489c-a420-054c08c3b846	cb3900b5-9046-4efd-97e5-8095226ead6a	UPS
3b1ea72d-ea90-489c-a420-054c08c3b846	98307c57-9c23-4df2-820f-65b314b0b065	CRITICAL_AUXILIARIES
3b1ea72d-ea90-489c-a420-054c08c3b846	c0548b47-ebeb-4ca5-a45d-6aae72954972	LIGHTING
3b1ea72d-ea90-489c-a420-054c08c3b846	95dc74a1-d4db-4a31-b0e4-558dbeb47c8b	CRITICAL_POWER_DISTRIBUTION
3b1ea72d-ea90-489c-a420-054c08c3b846	cfaf6d79-f64a-4bc5-8aeb-3ddc70067253	CRAH
3b1ea72d-ea90-489c-a420-054c08c3b846	a257aa8a-c5d6-44f6-9c1d-1311ec6d6feb	CRAC
3b1ea72d-ea90-489c-a420-054c08c3b846	a5512d27-79af-4a2f-8ec0-260ef8f03250	CRAC_WITHOUT_FAN
3b1ea72d-ea90-489c-a420-054c08c3b846	0dcf8b22-c128-4a50-a685-1dd2aaf5d6a2	CRAC_FAN
3b1ea72d-ea90-489c-a420-054c08c3b846	d6ff72c1-5f48-4124-aa30-8dce1209ffd9	CHILLER
3b1ea72d-ea90-489c-a420-054c08c3b846	ddd2e297-37a1-4ced-ab17-96bdf35a186f	AIR_COOLED_CHILLER
3b1ea72d-ea90-489c-a420-054c08c3b846	5b9014c5-5ca0-45cf-abfa-33d130686b7a	COOLING_TOWER
3b1ea72d-ea90-489c-a420-054c08c3b846	baefcf89-d97f-4c3f-8217-67cc1e7b3a36	DRY_COOLER
3b1ea72d-ea90-489c-a420-054c08c3b846	2abb6a93-9235-41a5-b8f5-734000cfe48b	REMOTE_CONDENSER
3b1ea72d-ea90-489c-a420-054c08c3b846	0ca5be80-a47d-4df1-9fb7-66aee9353278	CHILLED_WATER_PUMPS
3b1ea72d-ea90-489c-a420-054c08c3b846	ff61240a-caac-4593-bd19-e770bb5fbc83	HEAT_REJECTION_PUMPS
3b1ea72d-ea90-489c-a420-054c08c3b846	e3f714ec-e8e5-4863-aaf0-f4cdc0354d52	VENTILATION
3b1ea72d-ea90-489c-a420-054c08c3b846	af6121bc-b7c5-4f49-a72c-c03670ff7be5	INFILTRATION
3b1ea72d-ea90-489c-a420-054c08c3b846	4fde7595-7877-45b5-8864-4a906c420b43	IT_LOAD
5bc44232-9646-4e35-893f-36e161ad933b	7c541532-7e28-4583-8166-c11b7167caa4	SWITCHGEAR
5bc44232-9646-4e35-893f-36e161ad933b	facfa5c5-5d40-4f02-a027-95a86f1bf612	GENERATOR
5bc44232-9646-4e35-893f-36e161ad933b	6dce79b8-22b5-414a-9930-7ec90b28331a	PRIMARY_AUXILIARIES
5bc44232-9646-4e35-893f-36e161ad933b	fddd938a-78ad-45ed-8dd0-8322ad184714	UPS
5bc44232-9646-4e35-893f-36e161ad933b	5a5c5cfb-2b61-4929-9f85-2c012e3a5101	CRITICAL_AUXILIARIES
5bc44232-9646-4e35-893f-36e161ad933b	79be990e-934a-4ae8-be28-381c843d8191	LIGHTING
5bc44232-9646-4e35-893f-36e161ad933b	dfd4a810-5fb9-459d-942b-a81bdf52a765	CRITICAL_POWER_DISTRIBUTION
5bc44232-9646-4e35-893f-36e161ad933b	1c89813a-32a7-4930-8f34-556d6ac9dacf	CRAH
5bc44232-9646-4e35-893f-36e161ad933b	d0906283-80ba-489b-aee9-a4fa7ad395b3	CRAC
5bc44232-9646-4e35-893f-36e161ad933b	b8740697-6b21-41bf-a276-6b33a7a7145a	CRAC_WITHOUT_FAN
5bc44232-9646-4e35-893f-36e161ad933b	bd4d40cd-fe79-4629-9cb3-e4f411bc5b52	CRAC_FAN
5bc44232-9646-4e35-893f-36e161ad933b	9d0248ea-8a22-4da1-afa1-33ba0e84a9d4	CHILLER
5bc44232-9646-4e35-893f-36e161ad933b	278f6853-e467-4fa0-95ee-69a564a7e43e	AIR_COOLED_CHILLER
5bc44232-9646-4e35-893f-36e161ad933b	ad690123-ac3c-4f94-b31a-8adc8f4dba20	COOLING_TOWER
5bc44232-9646-4e35-893f-36e161ad933b	cb38a35d-04a5-45eb-beda-dd79de535b51	DRY_COOLER
5bc44232-9646-4e35-893f-36e161ad933b	02b839d3-7bf1-4187-ad47-c86c9cf360dd	REMOTE_CONDENSER
5bc44232-9646-4e35-893f-36e161ad933b	3876bd6d-9831-46a8-94ea-5694168c81d3	CHILLED_WATER_PUMPS
5bc44232-9646-4e35-893f-36e161ad933b	19048a09-ece6-4aac-84ff-1ba68374fddb	HEAT_REJECTION_PUMPS
5bc44232-9646-4e35-893f-36e161ad933b	63211e04-dad2-4f04-9670-3950547d381c	VENTILATION
5bc44232-9646-4e35-893f-36e161ad933b	0e0f251b-c06f-45a5-b4c8-ea72582fb190	INFILTRATION
5bc44232-9646-4e35-893f-36e161ad933b	21e15ac5-9fb1-4caf-9928-3ccb4659edc0	IT_LOAD
d907b12c-f6ee-4b14-8058-ca148649d130	44f22d3b-4c7c-4c78-97e6-305f14409315	SWITCHGEAR
d907b12c-f6ee-4b14-8058-ca148649d130	e4821b6a-60df-4a4a-8fee-91d90f7f201b	GENERATOR
d907b12c-f6ee-4b14-8058-ca148649d130	df5f72f9-105c-4daa-bd78-ef0f498f49b0	PRIMARY_AUXILIARIES
d907b12c-f6ee-4b14-8058-ca148649d130	521be7b5-9002-40c4-8d09-229b048418c8	UPS
d907b12c-f6ee-4b14-8058-ca148649d130	84c1feb0-c7ef-4e30-8216-2d0bd805b542	CRITICAL_AUXILIARIES
d907b12c-f6ee-4b14-8058-ca148649d130	9871070d-8b5f-4501-9755-355f3e456a22	LIGHTING
d907b12c-f6ee-4b14-8058-ca148649d130	2d7a49f2-2423-41a8-968c-95c93e3e66da	CRITICAL_POWER_DISTRIBUTION
d907b12c-f6ee-4b14-8058-ca148649d130	cd66348b-4f75-49c0-a618-c8eca3afb8f5	CRAH
d907b12c-f6ee-4b14-8058-ca148649d130	5ea244c9-ad6b-4587-a59b-8a1fe31d003d	CRAC
d907b12c-f6ee-4b14-8058-ca148649d130	566cd1f5-8d81-4850-949b-4dfd3c9470fc	CRAC_WITHOUT_FAN
d907b12c-f6ee-4b14-8058-ca148649d130	96a056e3-4e29-41e4-8937-6db40e3eaf5e	CRAC_FAN
d907b12c-f6ee-4b14-8058-ca148649d130	60c7c6d2-b0c3-45bd-8d0b-d733f65b3edf	CHILLER
d907b12c-f6ee-4b14-8058-ca148649d130	589f4d00-ab34-41c6-bbff-2a483a53e521	AIR_COOLED_CHILLER
d907b12c-f6ee-4b14-8058-ca148649d130	cf4c1e7b-d1db-4c45-a40d-290f0a38710f	COOLING_TOWER
d907b12c-f6ee-4b14-8058-ca148649d130	e05ab7f1-b2fa-4be3-8780-0c1d2a1a35dc	DRY_COOLER
d907b12c-f6ee-4b14-8058-ca148649d130	a8370b1b-a91e-4dc1-a447-1968e0249b9d	REMOTE_CONDENSER
d907b12c-f6ee-4b14-8058-ca148649d130	8b5e2aeb-ebbe-482d-8e64-7e9495311953	CHILLED_WATER_PUMPS
d907b12c-f6ee-4b14-8058-ca148649d130	43fe57f4-a981-4bd9-ac71-efaeecbfad0f	HEAT_REJECTION_PUMPS
d907b12c-f6ee-4b14-8058-ca148649d130	1e42a41d-027c-4f19-8bff-2ba7fa428588	VENTILATION
d907b12c-f6ee-4b14-8058-ca148649d130	7f2d54ec-3e0b-427d-9cf0-68b1abe55eae	INFILTRATION
d907b12c-f6ee-4b14-8058-ca148649d130	25e1366c-ac37-460b-84a3-e9eb42612b4e	IT_LOAD
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	54a40d4b-c665-4ad7-8143-a585023bff8c	SWITCHGEAR
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	522f2aad-19ab-4a7c-a2d0-3eb942e323bc	GENERATOR
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	92210d2d-9c09-42d9-aaae-90e494ffa58e	PRIMARY_AUXILIARIES
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	53e82e47-7b7b-4e60-88b5-6f54debd4604	UPS
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	ae22c1de-2f82-41b4-8afa-b7008e80af44	CRITICAL_AUXILIARIES
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	5b5143e8-6023-419e-aafe-436ebe083f57	LIGHTING
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	d6107fbf-4b09-4726-a68c-9adb0757092a	CRITICAL_POWER_DISTRIBUTION
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	f79d37b0-7569-405b-8cf5-6d586405bbd7	CRAH
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	c7cc8e0c-d8a0-4681-a9e3-82b48d85f700	CRAC
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	3d478606-69d7-4b8b-86a9-4993cbb8b6d9	CRAC_WITHOUT_FAN
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	a5d46456-91e1-4a85-8c60-f4e83428d78a	CRAC_FAN
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	d60d84c7-66df-467c-bdc9-9380c6113702	CHILLER
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	d22b0d82-d68f-48ad-9ca9-d6b098d4a928	AIR_COOLED_CHILLER
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	7ec18295-9d37-4917-98b4-19d8af9d8f86	COOLING_TOWER
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	ca5d33d8-d1ad-4518-ab2f-bc79076717db	DRY_COOLER
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	12b268d1-aa4a-4d07-8b2d-4ad5687634d0	REMOTE_CONDENSER
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	72409c7a-b552-483b-8a5e-c9d2c0501b01	CHILLED_WATER_PUMPS
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	dd238367-71ad-4dc5-915b-0a2ff3b1905e	HEAT_REJECTION_PUMPS
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	aae69655-390a-4ef4-bc0b-3317d9e07d83	VENTILATION
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	58786e88-34ff-458e-83a1-b08a1e53fe75	INFILTRATION
60d73dc2-8c5f-43e9-9218-aff79a8ed1e3	7b52ef90-e749-4502-8ebd-f307b407b7c1	IT_LOAD
2795a2a9-1183-48a1-97cc-01fabe9a2589	ee58d784-0677-47e5-81c9-be0ec6a1e1fb	SWITCHGEAR
2795a2a9-1183-48a1-97cc-01fabe9a2589	1e1f09ae-f2f0-4788-a031-c971ad37a65f	GENERATOR
2795a2a9-1183-48a1-97cc-01fabe9a2589	e8c51cd4-fade-4ca7-adaa-ce6f2ff871df	PRIMARY_AUXILIARIES
2795a2a9-1183-48a1-97cc-01fabe9a2589	82d70347-21b4-4066-b25c-6cc343ab3186	UPS
2795a2a9-1183-48a1-97cc-01fabe9a2589	c0faec4f-f7b7-433f-9a10-2d01bf408eb2	CRITICAL_AUXILIARIES
2795a2a9-1183-48a1-97cc-01fabe9a2589	88146993-6009-48c5-9f8b-dfd31194389d	LIGHTING
2795a2a9-1183-48a1-97cc-01fabe9a2589	9819b836-ef1e-4a9c-aee6-e9c5d35e8f2f	CRITICAL_POWER_DISTRIBUTION
2795a2a9-1183-48a1-97cc-01fabe9a2589	c3159884-2866-4a84-ad44-a5d6af2c6ca9	CRAH
2795a2a9-1183-48a1-97cc-01fabe9a2589	ec8207b2-794c-456a-adea-dbfbcdaf5db2	CRAC
2795a2a9-1183-48a1-97cc-01fabe9a2589	b2e276b9-c5af-4e1c-9491-0fe60826d0fb	CRAC_WITHOUT_FAN
2795a2a9-1183-48a1-97cc-01fabe9a2589	15df92ec-21a4-49d6-952b-2702796a332e	CRAC_FAN
2795a2a9-1183-48a1-97cc-01fabe9a2589	5408394b-5794-466e-a855-f8448d5479c1	CHILLER
2795a2a9-1183-48a1-97cc-01fabe9a2589	11dd10f9-57a2-40c7-939d-34de8c09da15	AIR_COOLED_CHILLER
2795a2a9-1183-48a1-97cc-01fabe9a2589	a6494089-38f9-4249-9ece-55c1eb768a9b	COOLING_TOWER
2795a2a9-1183-48a1-97cc-01fabe9a2589	7ee509a7-1585-472f-9e88-b73e7303f943	DRY_COOLER
2795a2a9-1183-48a1-97cc-01fabe9a2589	0075692a-cb1b-4e89-843e-31dbfcc17971	REMOTE_CONDENSER
2795a2a9-1183-48a1-97cc-01fabe9a2589	6b5b001e-c63d-4852-87f9-3674c104597d	CHILLED_WATER_PUMPS
2795a2a9-1183-48a1-97cc-01fabe9a2589	4b0d0f26-2c7b-48dd-b723-2025e68cb143	HEAT_REJECTION_PUMPS
2795a2a9-1183-48a1-97cc-01fabe9a2589	76a3a950-bbfb-4217-86bd-40c642c6033b	VENTILATION
2795a2a9-1183-48a1-97cc-01fabe9a2589	ccee4b26-19b0-4de3-960e-47fcb1f98387	INFILTRATION
2795a2a9-1183-48a1-97cc-01fabe9a2589	c549f07b-9823-4a72-b455-385903a25a5d	IT_LOAD
e6491969-c1f8-4ae2-9905-450036ddec93	80a8dc15-496b-40c8-b723-86a7ce6ffd5d	SWITCHGEAR
e6491969-c1f8-4ae2-9905-450036ddec93	d682c160-7c42-4736-85bd-532eb93a2bec	GENERATOR
e6491969-c1f8-4ae2-9905-450036ddec93	cf44869e-814a-48b9-b6a6-a3ee066589c9	PRIMARY_AUXILIARIES
e6491969-c1f8-4ae2-9905-450036ddec93	77b6e09d-3516-4212-9599-49675ec436fd	UPS
e6491969-c1f8-4ae2-9905-450036ddec93	63490b6c-6071-45ce-81a4-71bb7f5c2674	CRITICAL_AUXILIARIES
e6491969-c1f8-4ae2-9905-450036ddec93	08d14181-a91d-4db8-9454-6e2465878b92	LIGHTING
e6491969-c1f8-4ae2-9905-450036ddec93	8453a62d-7a47-44fa-8cff-054a70d7c65a	CRITICAL_POWER_DISTRIBUTION
e6491969-c1f8-4ae2-9905-450036ddec93	9e211d70-ba83-4700-9ee8-38946fc2ebc7	CRAH
e6491969-c1f8-4ae2-9905-450036ddec93	a5c70393-451c-4354-bf57-cc36e6b296bb	CRAC
e6491969-c1f8-4ae2-9905-450036ddec93	fc4ab825-7cdb-4317-a79f-159f1ca13039	CRAC_WITHOUT_FAN
e6491969-c1f8-4ae2-9905-450036ddec93	b694a6e7-4720-4025-85e3-19de6269ed16	CRAC_FAN
e6491969-c1f8-4ae2-9905-450036ddec93	278bca67-5241-48ba-85c5-ea97692cb36f	CHILLER
e6491969-c1f8-4ae2-9905-450036ddec93	32b10b4a-d0b6-4b9b-bc44-0a6553eac1e6	AIR_COOLED_CHILLER
e6491969-c1f8-4ae2-9905-450036ddec93	c11e3307-f055-4988-8fd2-9551a936fbd9	COOLING_TOWER
e6491969-c1f8-4ae2-9905-450036ddec93	6a4ef681-84f1-4db0-8f7e-92d12b39ae5b	DRY_COOLER
e6491969-c1f8-4ae2-9905-450036ddec93	d3dbe3c6-86e7-4881-9c78-b310c4a8e83f	REMOTE_CONDENSER
e6491969-c1f8-4ae2-9905-450036ddec93	eb5e5c64-d892-477a-a89d-6887e5334bd8	CHILLED_WATER_PUMPS
e6491969-c1f8-4ae2-9905-450036ddec93	eda7b6c2-1904-4292-afe3-548ee4871b04	HEAT_REJECTION_PUMPS
e6491969-c1f8-4ae2-9905-450036ddec93	c540c685-293d-4dd6-97d1-788e07c9a29a	VENTILATION
e6491969-c1f8-4ae2-9905-450036ddec93	79375d6c-e01c-4a2c-b19f-3dded53cd2ed	INFILTRATION
e6491969-c1f8-4ae2-9905-450036ddec93	f6c51ccc-935a-463d-9dbd-dc8131e48b02	IT_LOAD
0ab354a2-0825-4892-90d1-f202cb2fdad2	52cf0b49-b8dc-4687-b271-e0d0c6c84fbf	SWITCHGEAR
0ab354a2-0825-4892-90d1-f202cb2fdad2	d5218116-5bb0-4e54-8221-8e3d37199223	GENERATOR
0ab354a2-0825-4892-90d1-f202cb2fdad2	643d45ce-c9f8-40a0-9367-f408b8b9d765	PRIMARY_AUXILIARIES
0ab354a2-0825-4892-90d1-f202cb2fdad2	eaa22539-04e5-4b66-b9b7-8e0fb15f98fb	UPS
0ab354a2-0825-4892-90d1-f202cb2fdad2	85b26f06-dda9-4b14-97a2-b1dae0e22b3c	CRITICAL_AUXILIARIES
0ab354a2-0825-4892-90d1-f202cb2fdad2	7b219916-8776-42c2-9916-81f985ff80f3	LIGHTING
0ab354a2-0825-4892-90d1-f202cb2fdad2	89f3a553-40eb-42b2-beea-65dbb7d1045d	CRITICAL_POWER_DISTRIBUTION
0ab354a2-0825-4892-90d1-f202cb2fdad2	fa51a349-fd42-4982-9255-657acbe29970	CRAH
0ab354a2-0825-4892-90d1-f202cb2fdad2	00f9d2a5-01ac-4fdc-b9c1-5d1675d74b31	CRAC
0ab354a2-0825-4892-90d1-f202cb2fdad2	eac18e47-87b1-4640-88aa-137bc798059c	CRAC_WITHOUT_FAN
0ab354a2-0825-4892-90d1-f202cb2fdad2	83da5f85-c911-4d5b-9c12-5ae169612882	CRAC_FAN
0ab354a2-0825-4892-90d1-f202cb2fdad2	ea0b43a3-a79c-4471-9fc6-f7d4764e676f	CHILLER
0ab354a2-0825-4892-90d1-f202cb2fdad2	88d71c29-43cb-4e28-aa17-53d3919a1b2b	AIR_COOLED_CHILLER
0ab354a2-0825-4892-90d1-f202cb2fdad2	fb6c9220-a0a8-4a1d-8c55-7ce1f3b9c6dd	COOLING_TOWER
0ab354a2-0825-4892-90d1-f202cb2fdad2	d2399486-e1f1-439c-8fdf-5e1901dd6e29	DRY_COOLER
0ab354a2-0825-4892-90d1-f202cb2fdad2	29c6932c-a70b-4fda-986f-aadd18495688	REMOTE_CONDENSER
0ab354a2-0825-4892-90d1-f202cb2fdad2	230f517c-da16-4592-a177-45ae12f2c2ca	CHILLED_WATER_PUMPS
0ab354a2-0825-4892-90d1-f202cb2fdad2	256b7e62-dd5b-4275-a362-823f3127e803	HEAT_REJECTION_PUMPS
0ab354a2-0825-4892-90d1-f202cb2fdad2	efe9c0fa-d444-4c25-86e7-3ac202eba65d	VENTILATION
0ab354a2-0825-4892-90d1-f202cb2fdad2	945ccfdb-d8a9-4cdf-8bac-3e84723375e8	INFILTRATION
0ab354a2-0825-4892-90d1-f202cb2fdad2	ace4db7e-56df-4d74-a39e-f9f7983cc0ba	IT_LOAD
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	5739007e-8943-44ad-bb33-aef62602c92f	SWITCHGEAR
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	c329c723-7515-4ff5-9d15-2d5e5c9bfe75	GENERATOR
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	424f447d-2a59-4f96-aedf-93f9b5ebfbe7	PRIMARY_AUXILIARIES
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	a2bd0a9f-dae9-453f-9f03-94b934b862a7	UPS
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	66de64fb-b0b4-40c0-bbb0-59da6addcb2a	CRITICAL_AUXILIARIES
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	14f46548-8cd4-422b-83ac-4bf75eeb6b07	LIGHTING
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	4b2e7735-ffc8-410e-9d9a-890e77a2eb7f	CRITICAL_POWER_DISTRIBUTION
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	93fb3042-1959-49da-94aa-fc5c5fbecfe6	CRAH
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	9314638a-65dc-4ea2-910f-bdeb84df667a	CRAC
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	9adca8ca-70c2-4000-9204-f8cf07d52c5d	CRAC_WITHOUT_FAN
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	0b3cf1e5-58f2-4f93-a180-af73d4eca4b3	CRAC_FAN
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	3ad6d6d8-16fc-4dfe-a10e-90cbed3548da	CHILLER
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	918a042d-9ed8-43c1-9ca9-0a3a232f8202	AIR_COOLED_CHILLER
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	8bda3b72-a326-4ac0-a342-37e4df610c78	COOLING_TOWER
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	e80afda6-675a-4bbc-aadc-0307b7bc0137	DRY_COOLER
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	acece3ad-97fe-4309-8c72-ced56f2715f8	REMOTE_CONDENSER
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	03cb404b-d040-415c-a846-c218be84e53d	CHILLED_WATER_PUMPS
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	7cd22b27-948d-4a83-a987-852caa1e145a	HEAT_REJECTION_PUMPS
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	19ed8507-adb9-4aa9-9fe1-beb9d1ece0c9	VENTILATION
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	afeac42c-962c-4d34-bb22-2d34c8e404e7	INFILTRATION
b26d0a71-d3fc-48c0-8206-2e0e4e55bd56	b6406de9-2a7f-4869-8b42-bbb242fdaafa	IT_LOAD
1e08d156-848b-44bd-bc7f-419255b3cd1f	918c3d5c-04bc-49ac-8ef9-d214e90d3bc5	SWITCHGEAR
1e08d156-848b-44bd-bc7f-419255b3cd1f	f11dc257-980a-4d9a-804a-d4ed0575c19b	GENERATOR
1e08d156-848b-44bd-bc7f-419255b3cd1f	c3d57766-74d6-4588-9fa1-e6716c3e4863	PRIMARY_AUXILIARIES
1e08d156-848b-44bd-bc7f-419255b3cd1f	a1e4ceff-0e67-497d-b430-a074617215be	UPS
1e08d156-848b-44bd-bc7f-419255b3cd1f	f10c493d-182d-4d60-8d05-066659a63cc1	CRITICAL_AUXILIARIES
1e08d156-848b-44bd-bc7f-419255b3cd1f	a48d898d-9d52-4f4a-91e4-dab2e636d799	LIGHTING
1e08d156-848b-44bd-bc7f-419255b3cd1f	fee02f5b-c017-46e0-acb5-7b4d18a21884	CRITICAL_POWER_DISTRIBUTION
1e08d156-848b-44bd-bc7f-419255b3cd1f	7bf39882-3a4c-4560-bc73-58d3774bf78a	CRAH
1e08d156-848b-44bd-bc7f-419255b3cd1f	8a16d632-8439-45d5-9ef5-e940cf3600d7	CRAC
1e08d156-848b-44bd-bc7f-419255b3cd1f	5d4c3970-f3f7-498b-827a-8139d71b0f5d	CRAC_WITHOUT_FAN
1e08d156-848b-44bd-bc7f-419255b3cd1f	fc1d954e-0f24-4d97-b165-b25b9b50bc5a	CRAC_FAN
1e08d156-848b-44bd-bc7f-419255b3cd1f	31dbec5d-ac66-4ed7-89e8-9ca809d7a0f2	CHILLER
1e08d156-848b-44bd-bc7f-419255b3cd1f	a4b4dcc6-a5d0-45ac-a525-0a1beae18c91	AIR_COOLED_CHILLER
1e08d156-848b-44bd-bc7f-419255b3cd1f	823446e1-d963-4890-a863-4ae72a7fd26e	COOLING_TOWER
1e08d156-848b-44bd-bc7f-419255b3cd1f	d806a841-eb51-4f6a-8dcc-81a00969f695	DRY_COOLER
1e08d156-848b-44bd-bc7f-419255b3cd1f	548f472f-3fb5-4a21-9944-b96339128eff	REMOTE_CONDENSER
1e08d156-848b-44bd-bc7f-419255b3cd1f	cc8660df-14b3-47da-a360-d63593fdd699	CHILLED_WATER_PUMPS
1e08d156-848b-44bd-bc7f-419255b3cd1f	70640d77-6dcf-4ffc-8cc6-0e2415092bce	HEAT_REJECTION_PUMPS
1e08d156-848b-44bd-bc7f-419255b3cd1f	08063f76-1bf8-4ebf-b0be-2472fcb0da75	VENTILATION
1e08d156-848b-44bd-bc7f-419255b3cd1f	1d7a7d14-daf4-4ed1-991b-2ba1a61f68c9	INFILTRATION
1e08d156-848b-44bd-bc7f-419255b3cd1f	75955617-6808-4571-b9c9-38d2d558243f	IT_LOAD
e350cc14-b139-43a1-a483-3f893ba0d842	6221acca-a030-40f3-9eee-0155635b39d7	SWITCHGEAR
e350cc14-b139-43a1-a483-3f893ba0d842	3b726211-8ef1-43b3-8fd9-ba8dc223b559	GENERATOR
e350cc14-b139-43a1-a483-3f893ba0d842	18e00f41-06e7-4c4b-aee5-cddffa694301	PRIMARY_AUXILIARIES
e350cc14-b139-43a1-a483-3f893ba0d842	814757e0-ebe4-4d0d-9b48-88ec2138217d	UPS
e350cc14-b139-43a1-a483-3f893ba0d842	fb286569-5f95-4c31-9cde-484beaa51ea1	CRITICAL_AUXILIARIES
e350cc14-b139-43a1-a483-3f893ba0d842	b0f34aa9-0d12-4400-8b5b-b11fd51b774c	LIGHTING
e350cc14-b139-43a1-a483-3f893ba0d842	d0d0f938-c57b-4263-813b-35a51093314a	CRITICAL_POWER_DISTRIBUTION
e350cc14-b139-43a1-a483-3f893ba0d842	88efeebf-e42b-41e7-af13-2114a1f0407e	CRAH
e350cc14-b139-43a1-a483-3f893ba0d842	bea880ae-4896-4e41-b4be-fa2bcb3a80f7	CRAC
e350cc14-b139-43a1-a483-3f893ba0d842	67c134ad-1a28-4b56-8ea6-56dbaeac3317	CRAC_WITHOUT_FAN
e350cc14-b139-43a1-a483-3f893ba0d842	6930872e-07a4-4c9b-ac72-632b1be36614	CRAC_FAN
e350cc14-b139-43a1-a483-3f893ba0d842	66ee67d5-36cd-40ea-9d35-61647801bba7	CHILLER
e350cc14-b139-43a1-a483-3f893ba0d842	65f3ea86-0715-43f5-a880-f6b69712e2f5	AIR_COOLED_CHILLER
e350cc14-b139-43a1-a483-3f893ba0d842	efc7a1bb-169d-419a-bb28-6f7245ed910d	COOLING_TOWER
e350cc14-b139-43a1-a483-3f893ba0d842	c2707981-4abf-4c1f-b905-3fb0ebc37427	DRY_COOLER
e350cc14-b139-43a1-a483-3f893ba0d842	288486de-c926-4548-8b64-c2009b2f1247	REMOTE_CONDENSER
e350cc14-b139-43a1-a483-3f893ba0d842	e2528c48-bc80-4a5b-935a-18cf5db618c6	CHILLED_WATER_PUMPS
e350cc14-b139-43a1-a483-3f893ba0d842	e1a19298-fd84-4f5a-9597-11f31f749e4b	HEAT_REJECTION_PUMPS
e350cc14-b139-43a1-a483-3f893ba0d842	5405142e-6030-4e8b-87c2-34faedb62238	VENTILATION
e350cc14-b139-43a1-a483-3f893ba0d842	5f252ded-0ced-4457-9ab9-4c2fd0fda468	INFILTRATION
e350cc14-b139-43a1-a483-3f893ba0d842	143e227a-93ed-40bb-a4f1-43d8b9d7f693	IT_LOAD
0c71f6c6-7220-49e7-b4cb-9f20a375426c	6d2db202-8ebd-4e1d-987e-975026636094	SWITCHGEAR
0c71f6c6-7220-49e7-b4cb-9f20a375426c	2200b4ed-d603-4d0f-8055-8f99c6cafa98	GENERATOR
0c71f6c6-7220-49e7-b4cb-9f20a375426c	bb12c479-ee26-4cf1-8652-4aca65224a21	PRIMARY_AUXILIARIES
0c71f6c6-7220-49e7-b4cb-9f20a375426c	be2c0e4a-8199-428b-881d-cb014f420933	UPS
0c71f6c6-7220-49e7-b4cb-9f20a375426c	ab552bef-fcef-415e-ab04-99e727a93f6f	CRITICAL_AUXILIARIES
0c71f6c6-7220-49e7-b4cb-9f20a375426c	09ac61aa-e54e-4318-a29f-9d4905bd96d6	LIGHTING
0c71f6c6-7220-49e7-b4cb-9f20a375426c	d80ca249-5d0d-46d0-bb74-8ec8cac5b671	CRITICAL_POWER_DISTRIBUTION
0c71f6c6-7220-49e7-b4cb-9f20a375426c	fb91a2c9-15cb-4be2-a99b-09b15d83e6a7	CRAH
0c71f6c6-7220-49e7-b4cb-9f20a375426c	8884e677-1121-40bd-8028-a9bdc230532b	CRAC
0c71f6c6-7220-49e7-b4cb-9f20a375426c	4879619f-6710-4c2c-8110-b8a31e7a5db5	CRAC_WITHOUT_FAN
0c71f6c6-7220-49e7-b4cb-9f20a375426c	c2090a23-3050-4f20-aa72-23fa279e8263	CRAC_FAN
0c71f6c6-7220-49e7-b4cb-9f20a375426c	0011e11e-fbbe-403f-b60c-826b85dbcffc	CHILLER
0c71f6c6-7220-49e7-b4cb-9f20a375426c	f88e2333-4ab9-4c77-b35f-8e4a189346e7	AIR_COOLED_CHILLER
0c71f6c6-7220-49e7-b4cb-9f20a375426c	6d5bf4c6-c04d-4227-a4a4-94d714033468	COOLING_TOWER
0c71f6c6-7220-49e7-b4cb-9f20a375426c	dcbab403-63cc-4252-9b3b-9d043f3687de	DRY_COOLER
0c71f6c6-7220-49e7-b4cb-9f20a375426c	2480671c-2ec7-4515-aafb-1b828c55462f	REMOTE_CONDENSER
0c71f6c6-7220-49e7-b4cb-9f20a375426c	8d3a6b75-0a08-4c02-add9-632154e49f12	CHILLED_WATER_PUMPS
0c71f6c6-7220-49e7-b4cb-9f20a375426c	157930ab-8649-4ab8-801e-2f558ab19ea9	HEAT_REJECTION_PUMPS
0c71f6c6-7220-49e7-b4cb-9f20a375426c	4b75bcb6-5e84-4c66-8847-4db5eba28418	VENTILATION
0c71f6c6-7220-49e7-b4cb-9f20a375426c	9e60e05c-b093-4458-8c3e-a233bafa8684	INFILTRATION
0c71f6c6-7220-49e7-b4cb-9f20a375426c	2b88b0e2-12c1-48e2-befe-22ec5e28a595	IT_LOAD
0079eec9-14ff-4933-a06a-41439bde320e	651303d7-0d17-427b-8bac-3bd45089dd00	SWITCHGEAR
0079eec9-14ff-4933-a06a-41439bde320e	32a9df73-87f1-4f5d-9365-5b63ab04e9fc	GENERATOR
0079eec9-14ff-4933-a06a-41439bde320e	00bfff78-c204-43f0-a30d-dceca5041338	PRIMARY_AUXILIARIES
0079eec9-14ff-4933-a06a-41439bde320e	eee6a44a-9dd0-4919-a7e6-60985f0b0b7d	UPS
0079eec9-14ff-4933-a06a-41439bde320e	8891775a-7c46-461f-ba21-a71eb377ae1d	CRITICAL_AUXILIARIES
0079eec9-14ff-4933-a06a-41439bde320e	b41ae15a-52d6-423a-84d4-ebbeeaae59aa	LIGHTING
0079eec9-14ff-4933-a06a-41439bde320e	f574ba83-d600-4999-91a8-45846a75ece5	CRITICAL_POWER_DISTRIBUTION
0079eec9-14ff-4933-a06a-41439bde320e	09931daf-41ab-42e8-b698-3fd75fd7de36	CRAH
0079eec9-14ff-4933-a06a-41439bde320e	367cd2fa-879d-48fc-b6cf-d9a6b7ab7ad5	CRAC
0079eec9-14ff-4933-a06a-41439bde320e	545a8bfe-c064-4864-b996-8c5a579c2abe	CRAC_WITHOUT_FAN
0079eec9-14ff-4933-a06a-41439bde320e	144aac55-a54b-4d08-861d-04134b571b04	CRAC_FAN
0079eec9-14ff-4933-a06a-41439bde320e	2edaea98-2dd0-4dda-99a6-7c30345c5cf0	CHILLER
0079eec9-14ff-4933-a06a-41439bde320e	66436834-3050-44bd-bce2-2de7b7f4429a	AIR_COOLED_CHILLER
0079eec9-14ff-4933-a06a-41439bde320e	857496b7-9ada-490f-ad9f-73bd72f830b6	COOLING_TOWER
0079eec9-14ff-4933-a06a-41439bde320e	3b94df02-b0ba-4440-90ec-e43a9f6feed2	DRY_COOLER
0079eec9-14ff-4933-a06a-41439bde320e	24fa74b8-9790-4e88-9cd7-fa8295494187	REMOTE_CONDENSER
0079eec9-14ff-4933-a06a-41439bde320e	3a9fdc56-389c-40fa-aca2-d9ba3645529e	CHILLED_WATER_PUMPS
0079eec9-14ff-4933-a06a-41439bde320e	af7e7192-4c93-4df2-b235-93087738cc6c	HEAT_REJECTION_PUMPS
0079eec9-14ff-4933-a06a-41439bde320e	f77f00c1-7264-415d-974e-844951abc1e3	VENTILATION
0079eec9-14ff-4933-a06a-41439bde320e	9cf75b6b-a734-4ce0-931e-b96f171d7305	INFILTRATION
0079eec9-14ff-4933-a06a-41439bde320e	8a266cd2-0223-4f52-9cb4-054cff47745c	IT_LOAD
7eaef1fb-ff18-4509-94fb-ec679244f4c8	fee25e98-740b-494a-a507-9afd179beaf9	SWITCHGEAR
7eaef1fb-ff18-4509-94fb-ec679244f4c8	b1714205-7144-409b-a5de-1559af640147	GENERATOR
7eaef1fb-ff18-4509-94fb-ec679244f4c8	abfd384c-52b5-4739-8f94-83b8ab30a06a	PRIMARY_AUXILIARIES
7eaef1fb-ff18-4509-94fb-ec679244f4c8	a2697b28-28cc-4642-b1c5-3064a7bac1fe	UPS
7eaef1fb-ff18-4509-94fb-ec679244f4c8	6912b39f-c5ae-41cf-a4d9-f8f052756d2d	CRITICAL_AUXILIARIES
7eaef1fb-ff18-4509-94fb-ec679244f4c8	f729e9b7-83dc-4899-ab99-3b16418c9a10	LIGHTING
7eaef1fb-ff18-4509-94fb-ec679244f4c8	e8236702-20c9-4c9e-b7b1-22c4c76d34e1	CRITICAL_POWER_DISTRIBUTION
7eaef1fb-ff18-4509-94fb-ec679244f4c8	8376a0f8-b38c-42b7-a20d-b06beaafb94e	CRAH
7eaef1fb-ff18-4509-94fb-ec679244f4c8	9aef950b-62db-4baf-9b4e-c53a80a460a1	CRAC
7eaef1fb-ff18-4509-94fb-ec679244f4c8	27f741c7-1677-42e1-8e05-3ff870f2e87a	CRAC_WITHOUT_FAN
7eaef1fb-ff18-4509-94fb-ec679244f4c8	345f0ffd-58bd-493d-a860-0116b125d8f6	CRAC_FAN
7eaef1fb-ff18-4509-94fb-ec679244f4c8	f993b797-f69f-404b-b049-7c00c93d5380	CHILLER
7eaef1fb-ff18-4509-94fb-ec679244f4c8	0ef017b6-2fba-4847-a5e1-69e440d5ce1d	AIR_COOLED_CHILLER
7eaef1fb-ff18-4509-94fb-ec679244f4c8	32da8903-8801-4c3f-8c73-e3741f23b3a9	COOLING_TOWER
7eaef1fb-ff18-4509-94fb-ec679244f4c8	5c219392-6b50-402c-9af4-82978e76a0ae	DRY_COOLER
7eaef1fb-ff18-4509-94fb-ec679244f4c8	88be871c-a9f1-4435-8bfc-d5ad7f138cef	REMOTE_CONDENSER
7eaef1fb-ff18-4509-94fb-ec679244f4c8	372b2248-3674-4d56-8d18-92b7d9a02fa8	CHILLED_WATER_PUMPS
7eaef1fb-ff18-4509-94fb-ec679244f4c8	12b7ccd8-6a2c-4f58-bc72-4418f915ddf4	HEAT_REJECTION_PUMPS
7eaef1fb-ff18-4509-94fb-ec679244f4c8	507650ff-ac06-4a45-a802-01da5f737bfc	VENTILATION
7eaef1fb-ff18-4509-94fb-ec679244f4c8	4078d711-8e95-4ba4-aa97-af4754ea58e1	INFILTRATION
7eaef1fb-ff18-4509-94fb-ec679244f4c8	8c684031-3974-4d82-b64e-de61117e3616	IT_LOAD
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	228ffef8-117c-41bc-b67b-812944ac5a43	SWITCHGEAR
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	c5f77d14-45b0-4599-bd9e-376c726492ca	GENERATOR
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	efc2396f-0474-4d50-9aa9-ebee80548581	PRIMARY_AUXILIARIES
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	8eec1378-4d86-47c3-8891-979495e186fb	UPS
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	57752e0d-5c4c-435e-9a5a-27f442118efc	CRITICAL_AUXILIARIES
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	eb9a7270-2123-4078-b3d3-e04cb356e80e	LIGHTING
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	986e43d3-051a-4423-b03e-6e6b65c593ed	CRITICAL_POWER_DISTRIBUTION
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	15793a52-56cf-4129-b634-ddf4abc1de09	CRAH
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	26c762a7-35ea-41eb-b507-d06016a4d817	CRAC
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	b07711b4-726e-4efb-8e59-18120ed5adce	CRAC_WITHOUT_FAN
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	a6030bd0-49f2-46c3-aed8-42548a2e8ca4	CRAC_FAN
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	2fde296c-ada3-4d3a-bc53-3bef40726d1c	CHILLER
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	627ab9b1-ef55-4617-b2fc-dfd47024bb75	AIR_COOLED_CHILLER
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	0f8b8fac-7e4e-45f2-83cb-9b64af1b3cff	COOLING_TOWER
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	226d66b2-1b32-41ff-aa10-f76766667420	DRY_COOLER
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	dd8d99fd-0ebe-421b-a4ff-85ee2b1dbd0e	REMOTE_CONDENSER
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	10cbf279-ca65-484d-84a1-4b3f072d0061	CHILLED_WATER_PUMPS
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	c15ba3f6-1e1f-4242-b42f-c6f0ac16152e	HEAT_REJECTION_PUMPS
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	740a6dc0-c501-4ea8-97a6-e211e9bfd893	VENTILATION
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	d293be42-d316-4321-811b-eb9382a19ca3	INFILTRATION
1b7d32c7-067e-42ef-a0d0-c81d9879aeaf	47e05fbc-63dc-4df8-a445-8cb4b53962ce	IT_LOAD
8d080f21-f286-419c-8c4a-903aee65fedf	d86276fb-1de1-4188-a195-896a92b6db43	SWITCHGEAR
8d080f21-f286-419c-8c4a-903aee65fedf	a5ee69a4-50f1-4f12-afc5-20d1a478c382	GENERATOR
8d080f21-f286-419c-8c4a-903aee65fedf	78b3feef-0d74-4dc4-9214-5282dd0c86f3	PRIMARY_AUXILIARIES
8d080f21-f286-419c-8c4a-903aee65fedf	0640696c-b4c0-41f9-a98c-745be6181cc3	UPS
8d080f21-f286-419c-8c4a-903aee65fedf	ae4254ce-5c2d-4bc6-bd81-1f3b8bb8896f	CRITICAL_AUXILIARIES
8d080f21-f286-419c-8c4a-903aee65fedf	3974cccb-f6fc-40c0-831c-89804a1198de	LIGHTING
8d080f21-f286-419c-8c4a-903aee65fedf	6c850c0b-ca05-430b-96b7-e9aa802c7476	CRITICAL_POWER_DISTRIBUTION
8d080f21-f286-419c-8c4a-903aee65fedf	dd119834-c011-4cbd-b1f7-50d82b52f34d	CRAH
8d080f21-f286-419c-8c4a-903aee65fedf	02f2dde6-ffac-414e-8f97-259b749b1b09	CRAC
8d080f21-f286-419c-8c4a-903aee65fedf	cab948fb-a609-485e-b3b4-999b40a98d9f	CRAC_WITHOUT_FAN
8d080f21-f286-419c-8c4a-903aee65fedf	9e6b6f4f-67ed-47ef-93e1-3cb6617df0fa	CRAC_FAN
8d080f21-f286-419c-8c4a-903aee65fedf	90ba1495-b9e3-49ed-988b-df11f569516f	CHILLER
8d080f21-f286-419c-8c4a-903aee65fedf	65b726bb-564b-420e-adb4-ecf224a411ca	AIR_COOLED_CHILLER
8d080f21-f286-419c-8c4a-903aee65fedf	481228f0-bccb-4414-92c9-1de9e1da5a62	COOLING_TOWER
8d080f21-f286-419c-8c4a-903aee65fedf	48172f04-4215-4a64-b174-6f93b821f8e6	DRY_COOLER
8d080f21-f286-419c-8c4a-903aee65fedf	d605cd01-4b84-4264-96e2-5862cef63323	REMOTE_CONDENSER
8d080f21-f286-419c-8c4a-903aee65fedf	528c49a7-7e1b-4c0e-abf7-e4c8bd2fc382	CHILLED_WATER_PUMPS
8d080f21-f286-419c-8c4a-903aee65fedf	a9bf0cc1-b683-4453-b7bf-6b5a5bebc1ac	HEAT_REJECTION_PUMPS
8d080f21-f286-419c-8c4a-903aee65fedf	65e30a44-6479-4817-98ba-603c18494e7e	VENTILATION
8d080f21-f286-419c-8c4a-903aee65fedf	cc8cdc26-5637-44bb-b5a0-157eae2bf1c8	INFILTRATION
8d080f21-f286-419c-8c4a-903aee65fedf	e0ad0d19-4be3-4fde-823a-36d292522ace	IT_LOAD
1897f910-bbfc-40d7-80f2-d37955a5f390	1699b8b5-2dd1-4797-b7e3-9929af567465	SWITCHGEAR
1897f910-bbfc-40d7-80f2-d37955a5f390	e5452c2d-6556-4c13-95fa-d95cfda92e57	GENERATOR
1897f910-bbfc-40d7-80f2-d37955a5f390	a63e6465-b29a-4dfb-9e6a-c6f057ed9a20	PRIMARY_AUXILIARIES
1897f910-bbfc-40d7-80f2-d37955a5f390	7645e8ec-86d9-4944-9749-983c51dfb606	UPS
1897f910-bbfc-40d7-80f2-d37955a5f390	c1b57925-55a9-4a97-9741-7503909fa7d5	CRITICAL_AUXILIARIES
1897f910-bbfc-40d7-80f2-d37955a5f390	abfeb083-2e14-415e-998a-b40151be9a15	LIGHTING
1897f910-bbfc-40d7-80f2-d37955a5f390	ac13598c-fcf6-4e76-b816-f474f17b939e	CRITICAL_POWER_DISTRIBUTION
1897f910-bbfc-40d7-80f2-d37955a5f390	444983ce-a91d-4135-a2c6-2ad379d161b5	CRAH
1897f910-bbfc-40d7-80f2-d37955a5f390	6ad622ac-1ad2-4723-b2bf-4fd1cef09848	CRAC
1897f910-bbfc-40d7-80f2-d37955a5f390	a80ca1cf-05a2-4838-b912-e4f07da0d8ea	CRAC_WITHOUT_FAN
1897f910-bbfc-40d7-80f2-d37955a5f390	69efc3be-b2ab-41c8-b918-ce87f9f82319	CRAC_FAN
1897f910-bbfc-40d7-80f2-d37955a5f390	2f565294-fd2c-4cb2-9c6e-50658a6039c9	CHILLER
1897f910-bbfc-40d7-80f2-d37955a5f390	4ffc74dd-a0ba-4fba-91dc-3c0c0893ed06	AIR_COOLED_CHILLER
1897f910-bbfc-40d7-80f2-d37955a5f390	531852fb-a05e-47f6-913a-53e76ad77b15	COOLING_TOWER
1897f910-bbfc-40d7-80f2-d37955a5f390	fd3de7dc-a711-4768-9690-f634b3a0d73a	DRY_COOLER
1897f910-bbfc-40d7-80f2-d37955a5f390	e891bbf7-b575-4bfc-93cd-1c47eda8d13e	REMOTE_CONDENSER
1897f910-bbfc-40d7-80f2-d37955a5f390	19e8b999-6e81-43ee-bb11-a25466e380f7	CHILLED_WATER_PUMPS
1897f910-bbfc-40d7-80f2-d37955a5f390	83800a7a-6fc9-4e5f-800c-ca11a1168ffb	HEAT_REJECTION_PUMPS
1897f910-bbfc-40d7-80f2-d37955a5f390	3857a90c-3272-40ae-8c8f-37f8d35bfd81	VENTILATION
1897f910-bbfc-40d7-80f2-d37955a5f390	7162fb10-34d0-48ee-a58a-824830a181aa	INFILTRATION
1897f910-bbfc-40d7-80f2-d37955a5f390	4c7839d2-5b12-4300-9cd5-3f750d7476b2	IT_LOAD
8f098692-5142-4492-a5f3-01e7a5cec51c	24da9605-2d65-4f55-b97c-6d3399c8afaa	SWITCHGEAR
8f098692-5142-4492-a5f3-01e7a5cec51c	fd67d7e0-c705-4017-88e2-abe2b289b429	GENERATOR
8f098692-5142-4492-a5f3-01e7a5cec51c	6d58ad03-24d1-4e71-a029-0e5e63092c43	PRIMARY_AUXILIARIES
8f098692-5142-4492-a5f3-01e7a5cec51c	0ded3c82-f372-454c-a3ac-1d9d1baf7680	UPS
8f098692-5142-4492-a5f3-01e7a5cec51c	c3750fcb-0cc9-4611-a3ec-93266733d0fd	CRITICAL_AUXILIARIES
8f098692-5142-4492-a5f3-01e7a5cec51c	971a1a0a-fa4a-4b07-9d42-a9d232061159	LIGHTING
8f098692-5142-4492-a5f3-01e7a5cec51c	d0ffa469-74fa-4e0a-aaa5-7a21841e1d13	CRITICAL_POWER_DISTRIBUTION
8f098692-5142-4492-a5f3-01e7a5cec51c	11098890-4238-47e4-aa07-30a951a7706e	CRAH
8f098692-5142-4492-a5f3-01e7a5cec51c	3655dd67-36e1-4c68-9277-6b154771fe59	CRAC
8f098692-5142-4492-a5f3-01e7a5cec51c	6c930a6e-f2f8-4e90-9b76-a048dec3946a	CRAC_WITHOUT_FAN
8f098692-5142-4492-a5f3-01e7a5cec51c	4fa28a89-ba18-4b29-9c6b-7a8f00621b05	CRAC_FAN
8f098692-5142-4492-a5f3-01e7a5cec51c	e6d4681a-8c35-4417-8e91-475661aec2db	CHILLER
8f098692-5142-4492-a5f3-01e7a5cec51c	e439cd35-7fea-4004-b609-21a29953ac86	AIR_COOLED_CHILLER
8f098692-5142-4492-a5f3-01e7a5cec51c	b5e534b5-b2aa-43bc-b628-636097d51f64	COOLING_TOWER
8f098692-5142-4492-a5f3-01e7a5cec51c	45a07c06-b95d-413e-a304-efa8ad0c5b74	DRY_COOLER
8f098692-5142-4492-a5f3-01e7a5cec51c	1872a036-ad77-4959-8ea2-c928bd34c6e5	REMOTE_CONDENSER
8f098692-5142-4492-a5f3-01e7a5cec51c	e5025b24-036a-47a2-aa8b-b4e16c8b4ac4	CHILLED_WATER_PUMPS
8f098692-5142-4492-a5f3-01e7a5cec51c	0c023b89-8189-4b82-ba0c-7f549ee0bd4a	HEAT_REJECTION_PUMPS
8f098692-5142-4492-a5f3-01e7a5cec51c	15d74b8f-1f7e-4c33-bb81-d3010e23e14d	VENTILATION
8f098692-5142-4492-a5f3-01e7a5cec51c	a8fd8131-138a-4ac0-be06-9361771de2a1	INFILTRATION
8f098692-5142-4492-a5f3-01e7a5cec51c	a14d6bf8-8058-43d3-b932-970480cb9ae3	IT_LOAD
953e1488-2652-4e06-a533-5f161322333d	e1c38665-64da-4baf-9851-58a8d5491660	SWITCHGEAR
953e1488-2652-4e06-a533-5f161322333d	e874066a-b929-4431-8eff-0460bdfa4ead	GENERATOR
953e1488-2652-4e06-a533-5f161322333d	a9d0a773-248c-45a3-8a7d-816c0faf264d	PRIMARY_AUXILIARIES
953e1488-2652-4e06-a533-5f161322333d	8d5a2084-d375-456f-8687-610732c19387	UPS
953e1488-2652-4e06-a533-5f161322333d	9146e60e-49cf-41b9-9611-0190903966ee	CRITICAL_AUXILIARIES
953e1488-2652-4e06-a533-5f161322333d	6840f2d9-2774-493a-a2eb-a60c2060ac44	LIGHTING
953e1488-2652-4e06-a533-5f161322333d	0053ffbe-1ebb-45ee-b49a-17abe0a32c1b	CRITICAL_POWER_DISTRIBUTION
953e1488-2652-4e06-a533-5f161322333d	b9b5ebae-f54b-4b4b-bb23-345070f9b0bf	CRAH
953e1488-2652-4e06-a533-5f161322333d	0d2fe462-0209-477a-a8b6-0435707d08b5	CRAC
953e1488-2652-4e06-a533-5f161322333d	ffe1c372-f1ab-446c-9471-9346874d4c39	CRAC_WITHOUT_FAN
953e1488-2652-4e06-a533-5f161322333d	5adc7d31-25e2-48e6-b0c0-9ce49959ca95	CRAC_FAN
953e1488-2652-4e06-a533-5f161322333d	b13443f4-e4a9-461f-bca4-678cd6ca6691	CHILLER
953e1488-2652-4e06-a533-5f161322333d	b93ec140-4004-42ba-873e-e5919c34af77	AIR_COOLED_CHILLER
953e1488-2652-4e06-a533-5f161322333d	23006245-28e2-405a-8d88-d8a11a4fa704	COOLING_TOWER
953e1488-2652-4e06-a533-5f161322333d	72d7345f-ba12-465f-aceb-f384cd11ab4a	DRY_COOLER
953e1488-2652-4e06-a533-5f161322333d	cb4a60f9-ed3f-4096-8cf5-fdac1b5c6c3c	REMOTE_CONDENSER
953e1488-2652-4e06-a533-5f161322333d	43d4618a-427a-4489-a4e8-5fbce3d47068	CHILLED_WATER_PUMPS
953e1488-2652-4e06-a533-5f161322333d	aef6367d-37e2-4542-ad12-7435c735f82d	HEAT_REJECTION_PUMPS
953e1488-2652-4e06-a533-5f161322333d	65359632-e1e5-48ca-b561-d2145c027461	VENTILATION
953e1488-2652-4e06-a533-5f161322333d	512032cf-cfb6-483f-af33-6467d7f185c8	INFILTRATION
953e1488-2652-4e06-a533-5f161322333d	8c351ae8-4661-4884-b035-cd10ab7ce193	IT_LOAD
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	4b8ff137-14e6-4d29-ab71-9f523442c305	SWITCHGEAR
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	ec3ba2c5-498e-46b0-b55a-d64ca47ad9be	GENERATOR
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	3c935fa8-8848-4eac-b2b1-3be1fa490b68	PRIMARY_AUXILIARIES
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	e44f2a12-568e-4f6b-ae04-6f33af045789	UPS
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	8a0fc684-6a2e-443a-bd96-9f65129a78e5	CRITICAL_AUXILIARIES
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	56423dad-c22c-4cdb-ba9f-dafed5091b72	LIGHTING
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	0aaadbfa-2c59-4f65-b8f4-d8055775417a	CRITICAL_POWER_DISTRIBUTION
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	3caaef67-695f-4d4c-a7ab-64d072c484b9	CRAH
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	aad4f890-dec5-4c2b-83b1-379249954a9a	CRAC
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	5d3c0307-61dc-4c80-88a2-b04eff679ed0	CRAC_WITHOUT_FAN
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	38654e6d-63d7-491c-9929-06831214978f	CRAC_FAN
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	51e828ac-d833-47b8-a412-b4b01dbdbafe	CHILLER
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	b277f60c-0310-44b5-a5a9-608c88fd32c4	AIR_COOLED_CHILLER
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	cf7f6fd4-a76b-4753-b372-3fd5602d439f	COOLING_TOWER
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	ad8fae36-a3f3-41b2-9374-a1c8089c7322	DRY_COOLER
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	42c90975-7b9f-431f-a9da-4a50c5f958be	REMOTE_CONDENSER
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	597070a2-234d-4839-ba8a-d89672cdf04a	CHILLED_WATER_PUMPS
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	ca284927-0007-4447-8539-af7b0ce93d51	HEAT_REJECTION_PUMPS
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	141fa247-1905-49cf-8300-22e2add57045	VENTILATION
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	f76aa7a9-447f-4464-80f3-70b3930bfb31	INFILTRATION
3cffb4e4-7fe2-4c9d-927b-7a30be1ffaf1	f126922d-d09c-4d84-be94-691c50325504	IT_LOAD
fa50ed9d-28a8-4ce2-9db0-bd892be11301	b6c2ca51-f1c7-486d-b248-a0ee365e98bf	SWITCHGEAR
fa50ed9d-28a8-4ce2-9db0-bd892be11301	5e77f709-b93f-4f61-a010-17f1346be96a	GENERATOR
fa50ed9d-28a8-4ce2-9db0-bd892be11301	4ceb8d9c-a83e-4fea-ae2f-4d11d9467169	PRIMARY_AUXILIARIES
fa50ed9d-28a8-4ce2-9db0-bd892be11301	935331fe-afcd-4d33-bd92-6a310095f9ea	UPS
fa50ed9d-28a8-4ce2-9db0-bd892be11301	443eb352-8f44-46a9-bc95-c1b49290c489	CRITICAL_AUXILIARIES
fa50ed9d-28a8-4ce2-9db0-bd892be11301	caf47a93-be4f-4a65-94ce-f17a4ee93e08	LIGHTING
fa50ed9d-28a8-4ce2-9db0-bd892be11301	3777deaa-f40e-4dd8-a217-c54b185206fb	CRITICAL_POWER_DISTRIBUTION
fa50ed9d-28a8-4ce2-9db0-bd892be11301	52f47145-f409-490c-a1e3-5dd7ea837738	CRAH
fa50ed9d-28a8-4ce2-9db0-bd892be11301	029a7983-63d8-4dbb-9788-23eced129297	CRAC
fa50ed9d-28a8-4ce2-9db0-bd892be11301	0d930a67-ad33-4c3c-9b8f-4e22cf2d83b9	CRAC_WITHOUT_FAN
fa50ed9d-28a8-4ce2-9db0-bd892be11301	51ab1e8b-5b97-4bf1-9d38-4a37855f74b9	CRAC_FAN
fa50ed9d-28a8-4ce2-9db0-bd892be11301	d76ed88e-2aff-4997-88a0-2040000b89cf	CHILLER
fa50ed9d-28a8-4ce2-9db0-bd892be11301	9ab6f2c8-0390-4b2a-bdc3-a26c8f62eb86	AIR_COOLED_CHILLER
fa50ed9d-28a8-4ce2-9db0-bd892be11301	4b7c0d1c-0753-4a1e-b351-388d30157607	COOLING_TOWER
fa50ed9d-28a8-4ce2-9db0-bd892be11301	2e95f835-dde5-4235-8917-d589aa1b89d6	DRY_COOLER
fa50ed9d-28a8-4ce2-9db0-bd892be11301	cd6099e5-1d38-4788-b886-3cb2893f2a88	REMOTE_CONDENSER
fa50ed9d-28a8-4ce2-9db0-bd892be11301	71513801-2062-4795-b99b-1405a383d9d2	CHILLED_WATER_PUMPS
fa50ed9d-28a8-4ce2-9db0-bd892be11301	3893824a-bbf4-417e-96f5-d456eb7d5cc7	HEAT_REJECTION_PUMPS
fa50ed9d-28a8-4ce2-9db0-bd892be11301	f5c19c19-9062-4711-9109-ffbf00e596c0	VENTILATION
fa50ed9d-28a8-4ce2-9db0-bd892be11301	279ee666-c87f-4e31-8c95-bcd28fb9abdf	INFILTRATION
fa50ed9d-28a8-4ce2-9db0-bd892be11301	b37cbecb-ca2f-4ece-b3c6-a49b581197f7	IT_LOAD
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	3d1fcf18-91a3-41bd-8338-b84ce3a8a780	SWITCHGEAR
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	728c8393-8e7a-4bc0-b15d-5719bd4e0e4d	GENERATOR
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	132a6f28-44d9-474e-a450-8ecc475f5f96	PRIMARY_AUXILIARIES
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	44fc5990-91d6-4687-882e-94d6be4039a5	UPS
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	05cdbf98-f704-41a5-acb2-0d112bd9b6b5	CRITICAL_AUXILIARIES
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	1f7bcf3e-67ba-42fd-bdaf-c32ee3db3518	LIGHTING
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	dfe40df9-9053-4ff3-8a66-8885ce1cf462	CRITICAL_POWER_DISTRIBUTION
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	134829e9-b6e5-4743-b6c0-1c45b2672a00	CRAH
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	60f64127-55ed-4227-9435-0f99a809e577	CRAC
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	4e86719d-0862-48d0-88ba-a0173eccd7ca	CRAC_WITHOUT_FAN
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	6bd9637f-5f37-483a-8b9b-f43fb49967d3	CRAC_FAN
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	60b60f2f-f784-4aba-ac72-59f0d357a5a5	CHILLER
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	e01f36ea-acf0-4123-a2e7-a36c48b115da	AIR_COOLED_CHILLER
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	9db005c0-99dc-4f9f-9683-0a268b7add48	COOLING_TOWER
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	3b9a523d-8866-427a-a20e-542d8cb76c46	DRY_COOLER
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	8a073dde-3d11-428b-873e-15a7aaf7288c	REMOTE_CONDENSER
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	b4bb9076-12a3-4e34-8ea1-0a981cec1eb2	CHILLED_WATER_PUMPS
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	e6018c45-92bc-471e-96f7-23afd73b41b2	HEAT_REJECTION_PUMPS
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	0a83cc4f-0aa1-4c11-ae2f-ac12dbdb89c6	VENTILATION
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	178853d8-89b9-42d6-8354-a112a6f259c3	INFILTRATION
f55a2b3b-c5c9-4fb8-b90d-87132aa65f97	4c63cd2e-0e4d-410a-ac0a-7dff0087d729	IT_LOAD
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	2c3ecf80-57df-45ad-a89a-2448c8eb2d08	SWITCHGEAR
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	ebdcdd24-aace-43e6-82fa-67f33444911a	GENERATOR
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	d8642d88-52a6-43ad-877f-59ebf31604dc	PRIMARY_AUXILIARIES
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	f214ef03-c49f-44f4-83b7-c117aaa530ab	UPS
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	3b1c16ea-d477-44fb-86be-e05e5ef9f9a7	CRITICAL_AUXILIARIES
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	b223688b-f954-4f4b-abb1-1214a2e9f642	LIGHTING
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	c43d11c3-3322-46f5-a6c7-fa2b6c647c8f	CRITICAL_POWER_DISTRIBUTION
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	c68bb9fc-f97a-4415-9abc-2361304a63a0	CRAH
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	e3aadb6e-2d69-408e-8a66-b6cae7984608	CRAC
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	fabbaa54-4868-4899-b9e6-2c1ad3f7dc0b	CRAC_WITHOUT_FAN
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	afa25ea8-7eb3-47db-aa6b-411593e3c031	CRAC_FAN
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	07fe01ac-f16a-4375-8706-b78ad648e0c8	CHILLER
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	a0c04e5d-14aa-4630-8982-19dade607790	AIR_COOLED_CHILLER
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	6e6aa1a8-51ca-484a-869e-db69c1291912	COOLING_TOWER
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	b9b06e8f-c81f-415a-bb23-4bc2b1ed99a9	DRY_COOLER
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	e801da52-2d7a-4e2b-b92e-3435b5040b8a	REMOTE_CONDENSER
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	ac6ee822-b8d4-4b66-ae74-aca6afb7afbb	CHILLED_WATER_PUMPS
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	7bc443b6-0181-418a-837a-a857f423d075	HEAT_REJECTION_PUMPS
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	7011f45d-5e68-453c-a8ff-37f153ee0105	VENTILATION
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	b61722c3-de06-41fb-83b8-5b1def1e69ba	INFILTRATION
37dd92a3-8462-4cb9-bd52-40e8cdb0eb32	3024458c-afa2-4450-a85f-15db2d9fc3ac	IT_LOAD
786bf5de-468c-4553-8d92-e725a5dfb6bf	48f62d61-cf61-4cbd-8e37-fbcaa920985b	SWITCHGEAR
786bf5de-468c-4553-8d92-e725a5dfb6bf	9a648220-4a70-48e8-8588-8dcde2b123cf	GENERATOR
786bf5de-468c-4553-8d92-e725a5dfb6bf	42d8c1bc-7ee5-4896-9862-7eafe5e0473f	PRIMARY_AUXILIARIES
786bf5de-468c-4553-8d92-e725a5dfb6bf	d0ef744e-b361-4cba-9c3b-ff27309cb914	UPS
786bf5de-468c-4553-8d92-e725a5dfb6bf	4fb2e992-1e9b-4033-b908-ca3b348a9a2f	CRITICAL_AUXILIARIES
786bf5de-468c-4553-8d92-e725a5dfb6bf	5b6b0866-3950-4331-b95f-98f4fad0b108	LIGHTING
786bf5de-468c-4553-8d92-e725a5dfb6bf	be53cb55-c4c5-4320-a7b9-b14bb57b5adc	CRITICAL_POWER_DISTRIBUTION
786bf5de-468c-4553-8d92-e725a5dfb6bf	af73c3e8-d109-4a0a-94b7-1196dcc1f16e	CRAH
786bf5de-468c-4553-8d92-e725a5dfb6bf	769408df-9b98-4916-a35a-f0a7055faeac	CRAC
786bf5de-468c-4553-8d92-e725a5dfb6bf	6f9560ae-63d7-4b2f-a581-3aa5689ad700	CRAC_WITHOUT_FAN
786bf5de-468c-4553-8d92-e725a5dfb6bf	7df5665c-eb9b-4a9d-8116-3f8a8a8983f6	CRAC_FAN
786bf5de-468c-4553-8d92-e725a5dfb6bf	65f64f3b-3e30-46b5-a813-c7ec09cabfef	CHILLER
786bf5de-468c-4553-8d92-e725a5dfb6bf	3a4f26ce-cf77-480d-ac6a-cd64b2d611fd	AIR_COOLED_CHILLER
786bf5de-468c-4553-8d92-e725a5dfb6bf	b8df3955-2c17-4681-95aa-574128986fec	COOLING_TOWER
786bf5de-468c-4553-8d92-e725a5dfb6bf	7733edad-72ad-4389-b145-3fc9959bfd0c	DRY_COOLER
786bf5de-468c-4553-8d92-e725a5dfb6bf	4a711bd6-43b0-4d67-b7c8-276795f32f9d	REMOTE_CONDENSER
786bf5de-468c-4553-8d92-e725a5dfb6bf	2e839cd7-a638-4b97-ac94-2057072ce2e8	CHILLED_WATER_PUMPS
786bf5de-468c-4553-8d92-e725a5dfb6bf	155cc122-398d-4fe7-b02e-d43a9be5547d	HEAT_REJECTION_PUMPS
786bf5de-468c-4553-8d92-e725a5dfb6bf	72849e8b-7395-4ceb-9b03-847358796779	VENTILATION
786bf5de-468c-4553-8d92-e725a5dfb6bf	4486030c-6ab9-41d0-bc10-c66de36b8573	INFILTRATION
786bf5de-468c-4553-8d92-e725a5dfb6bf	8382224f-81fe-41ec-9819-051d185e546e	IT_LOAD
931475e8-d572-4cf8-9853-166c960ebfce	4e58daab-5ddc-413c-bd65-ee90e309fbf7	SWITCHGEAR
931475e8-d572-4cf8-9853-166c960ebfce	f5021535-7b7f-4b19-b1ce-2f4f108f3f6c	GENERATOR
931475e8-d572-4cf8-9853-166c960ebfce	39689868-25c2-4428-b30e-4e92bdafb0b8	PRIMARY_AUXILIARIES
931475e8-d572-4cf8-9853-166c960ebfce	64946587-208e-446d-abc4-e6effcf0f32d	UPS
931475e8-d572-4cf8-9853-166c960ebfce	c3c16d94-274a-4d75-9905-1e02036dd0d7	CRITICAL_AUXILIARIES
931475e8-d572-4cf8-9853-166c960ebfce	9cb2b07d-6bf1-4635-bcbf-9362c0af9700	LIGHTING
931475e8-d572-4cf8-9853-166c960ebfce	96b4a0fc-0f92-47f5-a16f-226e6b28d8d8	CRITICAL_POWER_DISTRIBUTION
931475e8-d572-4cf8-9853-166c960ebfce	526bfa82-0cd7-423a-8bd6-fbf8041fd367	CRAH
931475e8-d572-4cf8-9853-166c960ebfce	04883541-7fae-43d3-8929-fa8036e80b3f	CRAC
931475e8-d572-4cf8-9853-166c960ebfce	6dff3d8b-bcda-4e2d-a3c4-219328adea9f	CRAC_WITHOUT_FAN
931475e8-d572-4cf8-9853-166c960ebfce	4a137634-fe0f-4e87-8eb4-3c9b9585f1a6	CRAC_FAN
931475e8-d572-4cf8-9853-166c960ebfce	a55ca2b0-263f-424f-a8c6-4cbbb6c2f050	CHILLER
931475e8-d572-4cf8-9853-166c960ebfce	53179b90-9cd0-423a-b5b2-3750f969bdfe	AIR_COOLED_CHILLER
931475e8-d572-4cf8-9853-166c960ebfce	1fe565b5-95e7-4283-b418-6af40d698437	COOLING_TOWER
931475e8-d572-4cf8-9853-166c960ebfce	fce733e5-0e27-4e6f-b858-baf7fc12f97a	DRY_COOLER
931475e8-d572-4cf8-9853-166c960ebfce	bd9ce766-5c2d-4b29-a380-d6efc08fe775	REMOTE_CONDENSER
931475e8-d572-4cf8-9853-166c960ebfce	01346bc8-9cdd-403b-bffc-980a7372b2cf	CHILLED_WATER_PUMPS
931475e8-d572-4cf8-9853-166c960ebfce	72967d2a-9d3e-48b2-baae-6d27b6140893	HEAT_REJECTION_PUMPS
931475e8-d572-4cf8-9853-166c960ebfce	70ee3d81-d51d-4edf-99d2-32390f683150	VENTILATION
931475e8-d572-4cf8-9853-166c960ebfce	851331ce-0f61-407c-96a6-9137ed81716f	INFILTRATION
931475e8-d572-4cf8-9853-166c960ebfce	97da4d6b-d06e-4919-b332-ee12a864294d	IT_LOAD
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	0ebb0e2d-db00-4e9b-864d-f345022be25b	SWITCHGEAR
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	cf073af4-4499-4450-8761-39ceb4716abb	GENERATOR
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	b09422e7-c06d-4285-93d2-c8ffa2332636	PRIMARY_AUXILIARIES
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	078a7602-96fe-4373-84f9-dd80feb88088	UPS
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	64015165-f1b7-493f-9fe3-02fd1921b911	CRITICAL_AUXILIARIES
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	fc2812ca-fb3a-4004-8253-487c48ce2749	LIGHTING
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	47761806-cdc2-4649-b12d-eef6334bce63	CRITICAL_POWER_DISTRIBUTION
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	5d16f315-07be-4fab-b2e1-ea7c40031fe1	CRAH
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	541830d9-a328-442d-aa92-73c9f7fe4afa	CRAC
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	5bf48d52-1514-4224-8df6-06dddaba0477	CRAC_WITHOUT_FAN
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	32f500b3-e68d-485c-8abd-a79edb9ebae5	CRAC_FAN
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	cfab0df6-c2fd-4491-bdee-5ce4c44d0e23	CHILLER
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	6daf293f-ae48-4ec6-928c-c070872dce7b	AIR_COOLED_CHILLER
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	c56e822f-a9eb-4c8f-87f3-bd1620e53dee	COOLING_TOWER
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	1821c9ff-1336-47c2-88c3-6855d07db8ce	DRY_COOLER
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	972c65a7-8979-41a4-9a32-0a9ceaa4ed5b	REMOTE_CONDENSER
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	3fafaa7f-d737-4443-b395-22ed164c08ff	CHILLED_WATER_PUMPS
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	292d3723-1ab3-435c-9aec-cd49432cbe93	HEAT_REJECTION_PUMPS
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	ad8bc5eb-6d70-4bb1-be70-e67bf944a4bc	VENTILATION
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	184d6429-ce0e-4a68-980e-83f42ad3a883	INFILTRATION
32cc9bf7-7a81-4760-9b10-9ce3e9ef0199	1b338116-fb21-407a-93a3-f209c510d4f7	IT_LOAD
45519842-37fa-4dfb-b496-b612434cb659	df0ac94e-0ee1-4435-8e1e-2ff20cc284d0	SWITCHGEAR
45519842-37fa-4dfb-b496-b612434cb659	e2dedcc6-5166-4ea6-aa08-5c15deda093f	GENERATOR
45519842-37fa-4dfb-b496-b612434cb659	26cfc0f3-e1f1-45ee-92c4-f46de60b9d2e	PRIMARY_AUXILIARIES
45519842-37fa-4dfb-b496-b612434cb659	8d1ffb8e-92f8-4e06-b49d-0f5f8ba031f8	UPS
45519842-37fa-4dfb-b496-b612434cb659	bb403c08-ce78-4c24-b716-c20cf4bb49c2	CRITICAL_AUXILIARIES
45519842-37fa-4dfb-b496-b612434cb659	cc4c9570-fa5d-43f6-bf2e-beab46662fe4	LIGHTING
45519842-37fa-4dfb-b496-b612434cb659	05b6b901-1aa7-4a43-abb2-b8cf797b3bbc	CRITICAL_POWER_DISTRIBUTION
45519842-37fa-4dfb-b496-b612434cb659	411317b7-b79f-434c-8e63-df4c28f15210	CRAH
45519842-37fa-4dfb-b496-b612434cb659	a57c53c7-4126-467a-93e1-cb73f70e27ff	CRAC
45519842-37fa-4dfb-b496-b612434cb659	fcbc8e04-b600-44e1-8672-54af20b28c10	CRAC_WITHOUT_FAN
45519842-37fa-4dfb-b496-b612434cb659	231dac0c-c414-4d89-9688-37ea93da8abe	CRAC_FAN
45519842-37fa-4dfb-b496-b612434cb659	13d45c12-cf60-496a-a3c9-475dc6eb6131	CHILLER
45519842-37fa-4dfb-b496-b612434cb659	77a34e83-ddb9-4cba-bf4f-ca51d30c9b08	AIR_COOLED_CHILLER
45519842-37fa-4dfb-b496-b612434cb659	cdb2b6b4-ea7b-4022-8ed1-1342ff32b011	COOLING_TOWER
45519842-37fa-4dfb-b496-b612434cb659	531ff57b-1e32-49c0-a963-a95063e82171	DRY_COOLER
45519842-37fa-4dfb-b496-b612434cb659	b87fddde-7964-4166-bc4c-6f00c47641e5	REMOTE_CONDENSER
45519842-37fa-4dfb-b496-b612434cb659	91a65336-2e26-42e1-8c12-32e047de8b4d	CHILLED_WATER_PUMPS
45519842-37fa-4dfb-b496-b612434cb659	4dd38130-9224-404f-a788-5e071a34b79b	HEAT_REJECTION_PUMPS
45519842-37fa-4dfb-b496-b612434cb659	91e637a9-2f04-4aee-9e6d-7a48b1eb8085	VENTILATION
45519842-37fa-4dfb-b496-b612434cb659	99252a24-c8d3-45ff-9cad-4890c1862f3c	INFILTRATION
45519842-37fa-4dfb-b496-b612434cb659	e1e431bf-5302-4d12-8685-c863630bc683	IT_LOAD
70933ae8-dc57-4863-a38b-5f7f8bcd630f	e5154784-e049-41d6-9bfc-710695150db5	SWITCHGEAR
70933ae8-dc57-4863-a38b-5f7f8bcd630f	6f29fc89-a7d8-4218-867a-ab5b0a0d00b7	GENERATOR
70933ae8-dc57-4863-a38b-5f7f8bcd630f	1735a8e5-fd63-4ce2-b332-21ffc3fbebe9	PRIMARY_AUXILIARIES
70933ae8-dc57-4863-a38b-5f7f8bcd630f	5e5bc8f1-4ca2-4b93-9694-4d277a1c4f62	UPS
70933ae8-dc57-4863-a38b-5f7f8bcd630f	30239212-f829-49d3-a83e-835a79bd0d12	CRITICAL_AUXILIARIES
70933ae8-dc57-4863-a38b-5f7f8bcd630f	875f70f8-c642-454f-95ef-63c06954c9cd	LIGHTING
70933ae8-dc57-4863-a38b-5f7f8bcd630f	31dbe565-9800-4578-9d89-54b3ac849038	CRITICAL_POWER_DISTRIBUTION
70933ae8-dc57-4863-a38b-5f7f8bcd630f	e6a9dfc3-23a3-442f-bd8a-8ac3747b6966	CRAH
70933ae8-dc57-4863-a38b-5f7f8bcd630f	5aa7d8f5-af20-4595-a9ae-4de104fc6052	CRAC
70933ae8-dc57-4863-a38b-5f7f8bcd630f	d3d3483a-ccb4-493e-9107-98308d1e62f6	CRAC_WITHOUT_FAN
70933ae8-dc57-4863-a38b-5f7f8bcd630f	c21a7cfc-d3a0-4b55-9f46-bb8cba268d2c	CRAC_FAN
70933ae8-dc57-4863-a38b-5f7f8bcd630f	325cb6a3-d525-4e14-a0b6-689cf9ebc7a9	CHILLER
70933ae8-dc57-4863-a38b-5f7f8bcd630f	bddb536d-0061-4040-8a93-b97074d0ced6	AIR_COOLED_CHILLER
70933ae8-dc57-4863-a38b-5f7f8bcd630f	715247a7-9ed0-4af1-bf4e-3fdcea8b5d70	COOLING_TOWER
70933ae8-dc57-4863-a38b-5f7f8bcd630f	00badcfe-bfcb-4099-ab1c-754684ebdff9	DRY_COOLER
70933ae8-dc57-4863-a38b-5f7f8bcd630f	d191f0ce-825d-4c02-a6bc-8c61601af8bf	REMOTE_CONDENSER
70933ae8-dc57-4863-a38b-5f7f8bcd630f	a185936c-30ed-49d1-88e9-57e25141d6a7	CHILLED_WATER_PUMPS
70933ae8-dc57-4863-a38b-5f7f8bcd630f	347bbf52-f7e4-470f-ace7-59cd0959cf34	HEAT_REJECTION_PUMPS
70933ae8-dc57-4863-a38b-5f7f8bcd630f	fd8ce18d-cdd7-4edc-a8c3-5c9ff38770ed	VENTILATION
70933ae8-dc57-4863-a38b-5f7f8bcd630f	7ec15477-1a21-4bc5-a019-ac4231315577	INFILTRATION
70933ae8-dc57-4863-a38b-5f7f8bcd630f	d90c3d68-abfd-4ed8-8983-cb84e17311cc	IT_LOAD
f2c6fb13-550c-455f-b5a3-49714fee8887	8e45ca38-0039-4ba2-82da-14d44e982f4c	SWITCHGEAR
f2c6fb13-550c-455f-b5a3-49714fee8887	c276ac14-fde8-4d16-8935-6b01924a9213	GENERATOR
f2c6fb13-550c-455f-b5a3-49714fee8887	8319f037-2abb-4ee2-96bf-c990211c7b90	PRIMARY_AUXILIARIES
f2c6fb13-550c-455f-b5a3-49714fee8887	39e25b63-8f1d-47f2-8de7-3966e785afa0	UPS
f2c6fb13-550c-455f-b5a3-49714fee8887	579c698b-7663-4bc2-a6b2-e7e8466afac9	CRITICAL_AUXILIARIES
f2c6fb13-550c-455f-b5a3-49714fee8887	9dc6e8a0-22a5-4378-9c84-463dde27ccb0	LIGHTING
f2c6fb13-550c-455f-b5a3-49714fee8887	e2ba542b-4e62-429d-9f6c-6d0aab5f9785	CRITICAL_POWER_DISTRIBUTION
f2c6fb13-550c-455f-b5a3-49714fee8887	97b13f54-8d60-46a1-92e4-99781e1b14b0	CRAH
f2c6fb13-550c-455f-b5a3-49714fee8887	adb85d82-c3d8-4f3d-bb63-af4a16c8c95f	CRAC
f2c6fb13-550c-455f-b5a3-49714fee8887	dde4c3eb-967d-4337-9b8d-45e4af3f02b1	CRAC_WITHOUT_FAN
f2c6fb13-550c-455f-b5a3-49714fee8887	92abef29-24f7-4bb6-8839-c20f9fb49b1e	CRAC_FAN
f2c6fb13-550c-455f-b5a3-49714fee8887	d93a4d59-bb3d-4062-a482-f352ad48fa3b	CHILLER
f2c6fb13-550c-455f-b5a3-49714fee8887	23ff9882-c0f8-4270-87be-ad959a295203	AIR_COOLED_CHILLER
f2c6fb13-550c-455f-b5a3-49714fee8887	0a8a8515-f94f-442a-93c1-f52bed6830c9	COOLING_TOWER
f2c6fb13-550c-455f-b5a3-49714fee8887	bfb5c60f-0e9e-4f83-a0e5-de2ef409c63c	DRY_COOLER
f2c6fb13-550c-455f-b5a3-49714fee8887	64ab1a2e-a2d4-44a5-b855-70856104501d	REMOTE_CONDENSER
f2c6fb13-550c-455f-b5a3-49714fee8887	a3b70221-519c-4e84-adda-45bccb9b939a	CHILLED_WATER_PUMPS
f2c6fb13-550c-455f-b5a3-49714fee8887	6f4e9df5-b2e0-40b2-8b8e-aabbe1f66cf4	HEAT_REJECTION_PUMPS
f2c6fb13-550c-455f-b5a3-49714fee8887	745f9937-b95b-4203-b715-1217bbbd25c6	VENTILATION
f2c6fb13-550c-455f-b5a3-49714fee8887	24819086-1c6a-4ca5-bf39-e664d360bf60	INFILTRATION
f2c6fb13-550c-455f-b5a3-49714fee8887	1ac05e52-63e2-435d-8e4f-a0949483c8a7	IT_LOAD
63d838fb-8dfa-4de7-a1ce-f1396bae8235	fb2c7217-4a40-4248-a374-0258468414c9	SWITCHGEAR
63d838fb-8dfa-4de7-a1ce-f1396bae8235	3239d265-f4d0-412d-8656-e1263de7020f	GENERATOR
63d838fb-8dfa-4de7-a1ce-f1396bae8235	5fa8f544-c211-46fb-ad78-6922bd493de3	PRIMARY_AUXILIARIES
63d838fb-8dfa-4de7-a1ce-f1396bae8235	910e86db-64e0-40a7-851d-cac9884e79b7	UPS
63d838fb-8dfa-4de7-a1ce-f1396bae8235	2f1c1cc9-94f5-4d8b-8242-bf6a2b6630ee	CRITICAL_AUXILIARIES
63d838fb-8dfa-4de7-a1ce-f1396bae8235	eadb79e3-b6ba-4c0f-8da8-fbd60dc379aa	LIGHTING
63d838fb-8dfa-4de7-a1ce-f1396bae8235	76547032-14d3-44d2-971c-8d9e632331f3	CRITICAL_POWER_DISTRIBUTION
63d838fb-8dfa-4de7-a1ce-f1396bae8235	2019d924-8618-446a-b7e3-4ec971cc1abb	CRAH
63d838fb-8dfa-4de7-a1ce-f1396bae8235	aa0d275a-99e7-4f03-9c12-ff1f3e082917	CRAC
63d838fb-8dfa-4de7-a1ce-f1396bae8235	1f262160-2742-4f33-a9fd-56fda91243de	CRAC_WITHOUT_FAN
63d838fb-8dfa-4de7-a1ce-f1396bae8235	1fc35ef0-71b5-40e7-ae20-bf90a7afda0f	CRAC_FAN
63d838fb-8dfa-4de7-a1ce-f1396bae8235	143e6aec-4d59-4737-bf3b-01f6f3479a31	CHILLER
63d838fb-8dfa-4de7-a1ce-f1396bae8235	e3110802-1bbc-4274-b106-855ac9dc141c	AIR_COOLED_CHILLER
63d838fb-8dfa-4de7-a1ce-f1396bae8235	6cdaaeae-6198-490d-8cea-4049c333d443	COOLING_TOWER
63d838fb-8dfa-4de7-a1ce-f1396bae8235	a3f98195-2f25-4fdd-997c-5e3c2b85bcb5	DRY_COOLER
63d838fb-8dfa-4de7-a1ce-f1396bae8235	e46ebb56-a98d-4825-b0c6-1fe77e001688	REMOTE_CONDENSER
63d838fb-8dfa-4de7-a1ce-f1396bae8235	7b911328-5859-4e75-a6fd-946865304e03	CHILLED_WATER_PUMPS
63d838fb-8dfa-4de7-a1ce-f1396bae8235	9f49bf4a-c055-4e97-a5dc-39808e9e7337	HEAT_REJECTION_PUMPS
63d838fb-8dfa-4de7-a1ce-f1396bae8235	642484a0-e143-4af1-b451-edebaeadf03b	VENTILATION
63d838fb-8dfa-4de7-a1ce-f1396bae8235	cbe6e668-026b-4d6e-b991-4e0ee78e0d80	INFILTRATION
63d838fb-8dfa-4de7-a1ce-f1396bae8235	16bf6b33-75e6-494f-acca-f40a1a6aa1d5	IT_LOAD
fed99344-a80c-45a8-9ff0-98a99ba9822f	3c08f6a0-6c3e-4d24-91ff-cfb191576456	SWITCHGEAR
fed99344-a80c-45a8-9ff0-98a99ba9822f	be8a14cc-a57a-4d75-bcf6-c6f7a687ba1d	GENERATOR
fed99344-a80c-45a8-9ff0-98a99ba9822f	9af1ef9f-acea-4346-b7b7-effbe168cf0c	PRIMARY_AUXILIARIES
fed99344-a80c-45a8-9ff0-98a99ba9822f	679d117e-3d20-4346-9061-bb5285b2b5bc	UPS
fed99344-a80c-45a8-9ff0-98a99ba9822f	d56b1c19-c60b-4788-895a-b07f200dbebe	CRITICAL_AUXILIARIES
fed99344-a80c-45a8-9ff0-98a99ba9822f	7c77d0e0-5b62-48b8-82d7-f2d62169e0f2	LIGHTING
fed99344-a80c-45a8-9ff0-98a99ba9822f	f82d125b-1597-46c9-b8cb-c6dbe4ad6798	CRITICAL_POWER_DISTRIBUTION
fed99344-a80c-45a8-9ff0-98a99ba9822f	df43805c-f08b-46d1-88df-dd61f036d434	CRAH
fed99344-a80c-45a8-9ff0-98a99ba9822f	7d4e1446-9645-4e7d-b007-627b822e000d	CRAC
fed99344-a80c-45a8-9ff0-98a99ba9822f	50d7634a-0a1f-4dfb-b1b9-4f906e339f20	CRAC_WITHOUT_FAN
fed99344-a80c-45a8-9ff0-98a99ba9822f	9b7b5b7f-5cc1-4f24-84a3-dbf0386ae3e0	CRAC_FAN
fed99344-a80c-45a8-9ff0-98a99ba9822f	6288b2b5-73dd-48dd-a86b-7abce0caf742	CHILLER
fed99344-a80c-45a8-9ff0-98a99ba9822f	afa3b839-08b8-4f34-811f-eb06e6702555	AIR_COOLED_CHILLER
fed99344-a80c-45a8-9ff0-98a99ba9822f	4775bc01-1e0d-4105-8f0e-7b7fcec02fed	COOLING_TOWER
fed99344-a80c-45a8-9ff0-98a99ba9822f	fec4ad28-baf1-46b6-a2fe-99eb24de0b5f	DRY_COOLER
fed99344-a80c-45a8-9ff0-98a99ba9822f	7e8c6bc4-e716-4d09-9ce9-d09fc6564053	REMOTE_CONDENSER
fed99344-a80c-45a8-9ff0-98a99ba9822f	34cf7686-981a-47c9-8095-1010a22e3c9d	CHILLED_WATER_PUMPS
fed99344-a80c-45a8-9ff0-98a99ba9822f	8bb117e3-3caf-4ca2-997c-05d759ea32d2	HEAT_REJECTION_PUMPS
fed99344-a80c-45a8-9ff0-98a99ba9822f	d7beb6b2-cafa-4ff3-895b-c3393fa0f9bf	VENTILATION
fed99344-a80c-45a8-9ff0-98a99ba9822f	7e221faa-c7b2-42ae-8700-132c4ec96693	INFILTRATION
fed99344-a80c-45a8-9ff0-98a99ba9822f	3abb8f8d-353d-45a5-aac3-537613ecd4c7	IT_LOAD
6a4d4733-45af-4426-815c-ff6f50964c39	1659f044-195c-4c8b-9682-7e76bbb2b368	SWITCHGEAR
6a4d4733-45af-4426-815c-ff6f50964c39	21ec2200-dc71-439b-874b-4da30cdb65b0	GENERATOR
6a4d4733-45af-4426-815c-ff6f50964c39	c343a4f7-c7b9-4ce7-bdc9-7680c313b22a	PRIMARY_AUXILIARIES
6a4d4733-45af-4426-815c-ff6f50964c39	ae9f4874-520d-4516-b1ac-73756001e377	UPS
6a4d4733-45af-4426-815c-ff6f50964c39	af12f7c7-eb84-4ae3-896c-571c81875f6a	CRITICAL_AUXILIARIES
6a4d4733-45af-4426-815c-ff6f50964c39	cf804f9a-a366-4f42-b8db-aae2acffdc51	LIGHTING
6a4d4733-45af-4426-815c-ff6f50964c39	f35934dc-f772-4e7e-8d25-4abb65503384	CRITICAL_POWER_DISTRIBUTION
6a4d4733-45af-4426-815c-ff6f50964c39	bbe8800b-f000-46b0-8c73-f87136ca2461	CRAH
6a4d4733-45af-4426-815c-ff6f50964c39	5f509d27-7f11-457d-80bc-5ee6f6dd7b57	CRAC
6a4d4733-45af-4426-815c-ff6f50964c39	ee5a1cbf-36d6-4f5f-b1b6-7ceba44665f2	CRAC_WITHOUT_FAN
6a4d4733-45af-4426-815c-ff6f50964c39	c47bdac3-3ced-426a-900d-58a48520aedd	CRAC_FAN
6a4d4733-45af-4426-815c-ff6f50964c39	ed906741-687d-4151-843d-576fe6d8813f	CHILLER
6a4d4733-45af-4426-815c-ff6f50964c39	11a1932c-4494-4e72-9bda-d23690dd0001	AIR_COOLED_CHILLER
6a4d4733-45af-4426-815c-ff6f50964c39	9773730c-579b-4b95-8ddb-43784cb26d64	COOLING_TOWER
6a4d4733-45af-4426-815c-ff6f50964c39	a2b10b6c-4380-4805-a20e-a0b907ad2a1a	DRY_COOLER
6a4d4733-45af-4426-815c-ff6f50964c39	17274379-5482-4473-9e8b-ea23072ea9a5	REMOTE_CONDENSER
6a4d4733-45af-4426-815c-ff6f50964c39	14988479-560f-4729-8ce3-2e21f03ce972	CHILLED_WATER_PUMPS
6a4d4733-45af-4426-815c-ff6f50964c39	75c070fd-d573-467c-aad2-c864ea00db56	HEAT_REJECTION_PUMPS
6a4d4733-45af-4426-815c-ff6f50964c39	a4ebce9e-79f9-4355-8788-b5dd17196f59	VENTILATION
6a4d4733-45af-4426-815c-ff6f50964c39	d2239af7-7cba-4187-91b0-19540b4f014c	INFILTRATION
6a4d4733-45af-4426-815c-ff6f50964c39	e8487068-4f02-48d0-9b75-0a967cedeb81	IT_LOAD
1b03af87-6647-4471-9a5e-205a73c364d8	c9c664d0-2fb0-4ee0-980b-5789f7729b62	SWITCHGEAR
1b03af87-6647-4471-9a5e-205a73c364d8	5298898a-7c1b-4f09-aefc-85c6da6bf5f5	GENERATOR
1b03af87-6647-4471-9a5e-205a73c364d8	a73435b1-c211-4d0c-bc9b-7f96e80d20c8	PRIMARY_AUXILIARIES
1b03af87-6647-4471-9a5e-205a73c364d8	11f036f6-14a7-47e6-a0f8-393a3e401015	UPS
1b03af87-6647-4471-9a5e-205a73c364d8	5c3169a4-18e9-4c99-8c69-cb5f53141f72	CRITICAL_AUXILIARIES
1b03af87-6647-4471-9a5e-205a73c364d8	5f215a58-8cc5-4e65-8b56-3960225495ad	LIGHTING
1b03af87-6647-4471-9a5e-205a73c364d8	eaf7fee7-df2f-48bd-a0c6-2389a2e4bc17	CRITICAL_POWER_DISTRIBUTION
1b03af87-6647-4471-9a5e-205a73c364d8	c11490fa-a2db-435a-9a86-b56c1727071b	CRAH
1b03af87-6647-4471-9a5e-205a73c364d8	ee840619-4724-4dd3-b063-fe3efa5041f9	CRAC
1b03af87-6647-4471-9a5e-205a73c364d8	a087c0fc-a3a1-4a4b-9dda-78f27f8f7a19	CRAC_WITHOUT_FAN
1b03af87-6647-4471-9a5e-205a73c364d8	293a7f03-d23d-4dd5-b2ec-aabb3aa12c26	CRAC_FAN
1b03af87-6647-4471-9a5e-205a73c364d8	149c94d1-4d34-4651-8e32-9dfab888eb34	CHILLER
1b03af87-6647-4471-9a5e-205a73c364d8	7be8c369-df0a-44f8-8b65-4cd36d90118a	AIR_COOLED_CHILLER
1b03af87-6647-4471-9a5e-205a73c364d8	30f665d2-8f57-4c53-a632-f6ef6b780241	COOLING_TOWER
1b03af87-6647-4471-9a5e-205a73c364d8	27ee30c5-37da-4fe4-bc73-7ecf5c036b8b	DRY_COOLER
1b03af87-6647-4471-9a5e-205a73c364d8	981f3024-6aaa-419f-8f26-9ca9ad9fca02	REMOTE_CONDENSER
1b03af87-6647-4471-9a5e-205a73c364d8	7a94c2e4-2ee9-474b-bc84-a74d0b6a41a0	CHILLED_WATER_PUMPS
1b03af87-6647-4471-9a5e-205a73c364d8	3007b8da-00b8-4e7a-815b-0e1285f1471d	HEAT_REJECTION_PUMPS
1b03af87-6647-4471-9a5e-205a73c364d8	97a4f177-02ec-4aca-b5da-0c11198a7eef	VENTILATION
1b03af87-6647-4471-9a5e-205a73c364d8	81213fe1-520c-4d25-8895-f9010f874522	INFILTRATION
1b03af87-6647-4471-9a5e-205a73c364d8	0569435a-0417-4c11-97f6-bc984a305777	IT_LOAD
d47b3723-d179-4109-8e3b-94c9bed34930	9dae6460-39d8-4931-95fa-fea8f9ac924a	SWITCHGEAR
d47b3723-d179-4109-8e3b-94c9bed34930	67046aa6-6140-4eeb-90a1-73e5201dc2c9	GENERATOR
d47b3723-d179-4109-8e3b-94c9bed34930	ee512138-a329-4c05-9548-2504b83c89c7	PRIMARY_AUXILIARIES
d47b3723-d179-4109-8e3b-94c9bed34930	dc89f224-c261-4938-8845-789c88a61c75	UPS
d47b3723-d179-4109-8e3b-94c9bed34930	fa1bd080-f5f9-4ec6-8939-d8a970ab5d60	CRITICAL_AUXILIARIES
d47b3723-d179-4109-8e3b-94c9bed34930	f385dfe2-f777-43a5-b0c8-35767fd43b34	LIGHTING
d47b3723-d179-4109-8e3b-94c9bed34930	d7038878-e986-4e56-b62a-84ca539b4e63	CRITICAL_POWER_DISTRIBUTION
d47b3723-d179-4109-8e3b-94c9bed34930	262f1f7e-fe1b-4837-8d34-9bafa8d0de13	CRAH
d47b3723-d179-4109-8e3b-94c9bed34930	c36fdd94-f4a6-40c5-9db0-ef881f6868a3	CRAC
d47b3723-d179-4109-8e3b-94c9bed34930	a2098e69-5a89-43ed-a7a0-c8f9e601810f	CRAC_WITHOUT_FAN
d47b3723-d179-4109-8e3b-94c9bed34930	cc4152a2-7974-4056-adf3-8731f65be88c	CRAC_FAN
d47b3723-d179-4109-8e3b-94c9bed34930	b0bdee57-3980-4efd-97a4-fe8d29875e00	CHILLER
d47b3723-d179-4109-8e3b-94c9bed34930	75926414-912f-40ac-91f5-a1abddcd9d01	AIR_COOLED_CHILLER
d47b3723-d179-4109-8e3b-94c9bed34930	e47ef15e-39cd-4207-b460-cf167d566537	COOLING_TOWER
d47b3723-d179-4109-8e3b-94c9bed34930	fb14c6e7-b450-4fd5-ac96-fea0dfa0362d	DRY_COOLER
d47b3723-d179-4109-8e3b-94c9bed34930	e336bf01-a878-4f3c-b6ed-26d480a6c81f	REMOTE_CONDENSER
d47b3723-d179-4109-8e3b-94c9bed34930	fc8bcab3-61de-40e4-8446-14da5997400f	CHILLED_WATER_PUMPS
d47b3723-d179-4109-8e3b-94c9bed34930	21b133d2-400b-4bf7-83bc-5930b2dae550	HEAT_REJECTION_PUMPS
d47b3723-d179-4109-8e3b-94c9bed34930	f0ec3cd9-2c42-4fe5-b3c3-4291ce49390d	VENTILATION
d47b3723-d179-4109-8e3b-94c9bed34930	9c734f0f-1dab-450d-b858-80fb975ac5ea	INFILTRATION
d47b3723-d179-4109-8e3b-94c9bed34930	c3574bba-eeb3-4021-acae-ed74e2243447	IT_LOAD
5c9e8db4-8ff6-477a-8293-ab63282ae377	bfb8c507-3a94-48d0-87eb-1a11bdd71942	SWITCHGEAR
5c9e8db4-8ff6-477a-8293-ab63282ae377	83a7868e-475b-42f0-ab82-da9dc99ffae4	GENERATOR
5c9e8db4-8ff6-477a-8293-ab63282ae377	b30887df-0272-4d64-8bf6-40289d374710	PRIMARY_AUXILIARIES
5c9e8db4-8ff6-477a-8293-ab63282ae377	eede5a1b-5841-4307-8035-e6f40af50f95	UPS
5c9e8db4-8ff6-477a-8293-ab63282ae377	bf0922a6-c24c-4ed6-a1b7-58774fed39f6	CRITICAL_AUXILIARIES
5c9e8db4-8ff6-477a-8293-ab63282ae377	a823ad87-0e8e-4ffb-a85a-0454fa02a087	LIGHTING
5c9e8db4-8ff6-477a-8293-ab63282ae377	73d12a17-75a9-45d7-9b5f-6b516e3844c0	CRITICAL_POWER_DISTRIBUTION
5c9e8db4-8ff6-477a-8293-ab63282ae377	f3955c4c-7d15-41f3-b97c-0075bc7ab194	CRAH
5c9e8db4-8ff6-477a-8293-ab63282ae377	633ee57b-9c82-43a0-90d7-11abb384bd89	CRAC
5c9e8db4-8ff6-477a-8293-ab63282ae377	e0d2904e-2c54-4639-83a6-e4cf0b92fd40	CRAC_WITHOUT_FAN
5c9e8db4-8ff6-477a-8293-ab63282ae377	68742714-0cac-4df1-8640-2c7c665776e9	CRAC_FAN
5c9e8db4-8ff6-477a-8293-ab63282ae377	7e33a06a-73ad-4e84-8152-41558dca500a	CHILLER
5c9e8db4-8ff6-477a-8293-ab63282ae377	5abc71a8-5c98-452e-97e5-336b1b0d4d21	AIR_COOLED_CHILLER
5c9e8db4-8ff6-477a-8293-ab63282ae377	5e6a2ebe-ad5e-4872-b9f2-dfec8defea44	COOLING_TOWER
5c9e8db4-8ff6-477a-8293-ab63282ae377	9169f6d3-8ed5-4b5f-96de-5add39eeb19f	DRY_COOLER
5c9e8db4-8ff6-477a-8293-ab63282ae377	1fe0ea5c-bac3-4a33-a926-9b47ef7bf7fe	REMOTE_CONDENSER
5c9e8db4-8ff6-477a-8293-ab63282ae377	7f8785e8-1255-4a07-b20b-6e49c7b971d3	CHILLED_WATER_PUMPS
5c9e8db4-8ff6-477a-8293-ab63282ae377	de098a41-e9ff-4365-b4aa-a7c74104fc0b	HEAT_REJECTION_PUMPS
5c9e8db4-8ff6-477a-8293-ab63282ae377	46f02550-f53e-48f4-91ec-5d27e13941a9	VENTILATION
5c9e8db4-8ff6-477a-8293-ab63282ae377	c0d43e3e-ae0e-4b3b-b6b7-2ad90c3f89c3	INFILTRATION
5c9e8db4-8ff6-477a-8293-ab63282ae377	dfd697ea-30ec-439f-805b-6e1a6267fc16	IT_LOAD
af1504b6-255b-418b-a5f8-648eb89ec76e	23d64d6c-017b-45f1-b7cc-8e32ca036bb9	SWITCHGEAR
af1504b6-255b-418b-a5f8-648eb89ec76e	b3b70ab8-0999-4484-a3bd-3f77a3f10184	GENERATOR
af1504b6-255b-418b-a5f8-648eb89ec76e	5d2e720f-928d-40ca-b4a1-c316052f8187	PRIMARY_AUXILIARIES
af1504b6-255b-418b-a5f8-648eb89ec76e	0c2435ba-0560-4799-bfe6-4fc2b680df23	UPS
af1504b6-255b-418b-a5f8-648eb89ec76e	b2453613-49b0-4493-8448-6d440ae1d7f5	CRITICAL_AUXILIARIES
af1504b6-255b-418b-a5f8-648eb89ec76e	97627262-0e9e-4b33-bfd2-f9549837d104	LIGHTING
af1504b6-255b-418b-a5f8-648eb89ec76e	5d860aeb-840a-4b9a-8094-b6e946706c4e	CRITICAL_POWER_DISTRIBUTION
af1504b6-255b-418b-a5f8-648eb89ec76e	ee5d0508-159d-4ced-938a-6f22c317ed84	CRAH
af1504b6-255b-418b-a5f8-648eb89ec76e	5cf5781c-0e8c-4928-b03f-0244c0bfde3e	CRAC
af1504b6-255b-418b-a5f8-648eb89ec76e	c85cd845-5bcd-4b72-9a20-252dabd1a0dc	CRAC_WITHOUT_FAN
af1504b6-255b-418b-a5f8-648eb89ec76e	0ede7248-fa5c-43b7-9611-58694d815fe8	CRAC_FAN
af1504b6-255b-418b-a5f8-648eb89ec76e	1bcf7e5d-20b0-4b57-9c79-58cf130d481b	CHILLER
af1504b6-255b-418b-a5f8-648eb89ec76e	4f9d6973-c7ca-4769-941f-1b1751f018e6	AIR_COOLED_CHILLER
af1504b6-255b-418b-a5f8-648eb89ec76e	44f6f912-3413-43ba-bf37-a6084ce616ff	COOLING_TOWER
af1504b6-255b-418b-a5f8-648eb89ec76e	57d92318-c663-4e30-bc18-1d91a598e1ac	DRY_COOLER
af1504b6-255b-418b-a5f8-648eb89ec76e	efec2550-1f8a-466d-bf16-9014743f198e	REMOTE_CONDENSER
af1504b6-255b-418b-a5f8-648eb89ec76e	fc7c20d6-386e-43e9-8eb7-e2b686702bfc	CHILLED_WATER_PUMPS
af1504b6-255b-418b-a5f8-648eb89ec76e	2b4ae8d3-afca-4163-a34e-5be07b800ed3	HEAT_REJECTION_PUMPS
af1504b6-255b-418b-a5f8-648eb89ec76e	33c0e99b-30f1-4cd4-bbdc-7e4b0719e3a9	VENTILATION
af1504b6-255b-418b-a5f8-648eb89ec76e	4832f4b3-2928-40ae-a296-178c82d37e2a	INFILTRATION
af1504b6-255b-418b-a5f8-648eb89ec76e	cde6298b-8439-494d-abda-f215a536c866	IT_LOAD
f05e0702-e6e7-444e-a96a-d7bacd0a9833	d52d539a-7893-44dd-ab40-2422045db730	SWITCHGEAR
f05e0702-e6e7-444e-a96a-d7bacd0a9833	48739736-f687-44d0-98a2-e6a39dfac7b0	GENERATOR
f05e0702-e6e7-444e-a96a-d7bacd0a9833	2c86d9c1-c316-431b-8076-3579f13d625f	PRIMARY_AUXILIARIES
f05e0702-e6e7-444e-a96a-d7bacd0a9833	66327be4-fbb7-408c-8d7f-5140863aaeae	UPS
f05e0702-e6e7-444e-a96a-d7bacd0a9833	a7fe00c1-2c80-4985-b409-d702a68d3b13	CRITICAL_AUXILIARIES
f05e0702-e6e7-444e-a96a-d7bacd0a9833	1acf2eba-40d1-46d8-b9e2-d16f90a00ae9	LIGHTING
f05e0702-e6e7-444e-a96a-d7bacd0a9833	13dca25d-76fa-4a66-b129-c83aa3765af7	CRITICAL_POWER_DISTRIBUTION
f05e0702-e6e7-444e-a96a-d7bacd0a9833	95b113a1-723e-455b-8c0c-8cd15627d649	CRAH
f05e0702-e6e7-444e-a96a-d7bacd0a9833	f53f01fc-e57a-4846-b6ee-f04abbcb9e2b	CRAC
f05e0702-e6e7-444e-a96a-d7bacd0a9833	b7ee32fc-0ec5-4bfc-a970-ff15d2b885d1	CRAC_WITHOUT_FAN
f05e0702-e6e7-444e-a96a-d7bacd0a9833	851191f1-4e5c-45ea-b23f-59c468f394e2	CRAC_FAN
f05e0702-e6e7-444e-a96a-d7bacd0a9833	c56593e1-129a-40ad-a519-9631438756ce	CHILLER
f05e0702-e6e7-444e-a96a-d7bacd0a9833	3891d391-b3bb-4607-8544-a8f636e967c7	AIR_COOLED_CHILLER
f05e0702-e6e7-444e-a96a-d7bacd0a9833	a617d9f3-f3c8-440f-bba6-031290a0071a	COOLING_TOWER
f05e0702-e6e7-444e-a96a-d7bacd0a9833	8eff75fa-e931-4518-aed5-44b12afdbf84	DRY_COOLER
f05e0702-e6e7-444e-a96a-d7bacd0a9833	6824546c-a03f-4326-a17d-50caeeeca5cb	REMOTE_CONDENSER
f05e0702-e6e7-444e-a96a-d7bacd0a9833	07331cae-47c2-4255-9590-5c6b0ec01a39	CHILLED_WATER_PUMPS
f05e0702-e6e7-444e-a96a-d7bacd0a9833	073492d1-e8c1-46a6-addd-a88cbc9c54d1	HEAT_REJECTION_PUMPS
f05e0702-e6e7-444e-a96a-d7bacd0a9833	dfe24975-f783-4707-a867-ea8d92c515df	VENTILATION
f05e0702-e6e7-444e-a96a-d7bacd0a9833	ff07638a-e2b7-46c0-82a7-28f28c1af767	INFILTRATION
f05e0702-e6e7-444e-a96a-d7bacd0a9833	c7b6dd5e-8751-457d-b1b7-8633fa48815f	IT_LOAD
49578204-2959-482e-846b-57b414550dde	bba39113-c2f7-4498-ac32-8be797ae89e3	SWITCHGEAR
49578204-2959-482e-846b-57b414550dde	fda2e0be-444f-448d-a7fc-628c7c7d6a4c	GENERATOR
49578204-2959-482e-846b-57b414550dde	5e41cea7-b903-47f0-91b8-0cacc38a577a	PRIMARY_AUXILIARIES
49578204-2959-482e-846b-57b414550dde	63e7cecb-231f-4862-a111-4788b3f1c063	UPS
49578204-2959-482e-846b-57b414550dde	1c19357b-ce64-442f-b58f-0d75582b5d36	CRITICAL_AUXILIARIES
49578204-2959-482e-846b-57b414550dde	d92e9701-e4b8-4ca4-8333-ce8a173e1608	LIGHTING
49578204-2959-482e-846b-57b414550dde	4e722207-b618-474a-83a0-9bd752b4633a	CRITICAL_POWER_DISTRIBUTION
49578204-2959-482e-846b-57b414550dde	a4fb74ee-771b-4773-b1eb-585b3e246a08	CRAH
49578204-2959-482e-846b-57b414550dde	2b6f5d72-119d-4559-9493-e9cbd216f94c	CRAC
49578204-2959-482e-846b-57b414550dde	9438e932-1abf-41e4-b405-206e7671ae14	CRAC_WITHOUT_FAN
49578204-2959-482e-846b-57b414550dde	062c97ac-19be-4526-8043-ce0e0087b246	CRAC_FAN
49578204-2959-482e-846b-57b414550dde	6bea842b-b1cf-43b9-b56c-cb747b380f92	CHILLER
49578204-2959-482e-846b-57b414550dde	dd8b8af0-c0ba-4296-a912-74650acbfbed	AIR_COOLED_CHILLER
49578204-2959-482e-846b-57b414550dde	a0dfb9db-6ebf-448f-b732-58ccac8a4033	COOLING_TOWER
49578204-2959-482e-846b-57b414550dde	eb040510-3497-44d7-92f8-706b1ae75dbc	DRY_COOLER
49578204-2959-482e-846b-57b414550dde	898f244b-c425-4998-bfa9-88738f3a5a10	REMOTE_CONDENSER
49578204-2959-482e-846b-57b414550dde	e555315e-1190-4429-8d78-435564a7e873	CHILLED_WATER_PUMPS
49578204-2959-482e-846b-57b414550dde	8324295b-80aa-4246-aeba-85d718fad813	HEAT_REJECTION_PUMPS
49578204-2959-482e-846b-57b414550dde	11dd70c5-4cb9-4e1d-bfb4-b6ea81649831	VENTILATION
49578204-2959-482e-846b-57b414550dde	745ef8ff-bdc7-4552-8e5c-bb79a97f5b89	INFILTRATION
49578204-2959-482e-846b-57b414550dde	1a45309d-51f6-41c1-867e-c7eaf0705ab7	IT_LOAD
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	fef361d6-494d-48a6-80b4-8ae0f4fe9cf9	SWITCHGEAR
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	31ad19e6-78a8-46b1-8d27-9f7ff978417f	GENERATOR
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	e0d816ea-c9c9-4f11-8711-16757d399377	PRIMARY_AUXILIARIES
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	546d94e8-dc52-4bfe-bc6d-ae2dcf676d86	UPS
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	3e6254cc-6098-4523-9e13-2c8d938c5315	CRITICAL_AUXILIARIES
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	bbe44143-a30b-415a-8feb-3a2a6702dbfd	LIGHTING
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	f47473dd-ef9b-4f93-82c1-c941f25c423f	CRITICAL_POWER_DISTRIBUTION
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	f701f4ba-30b0-41b0-93e0-d2353b7bdc22	CRAH
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	af3b6d3a-e8cf-49f9-b3fa-87c05aef161b	CRAC
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	fdfc08ea-1c0e-48e9-8d82-241da6dc6a61	CRAC_WITHOUT_FAN
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	8f9e044f-fab7-4de9-bc6d-dc3e35c07923	CRAC_FAN
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	2bf3e72b-9a56-4ef5-9d00-2b7dd65a047c	CHILLER
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	928d58bc-bf84-47db-8520-bef5c603a9bc	AIR_COOLED_CHILLER
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	4a4cdf0d-9fe9-40b2-8d23-85c580a21411	COOLING_TOWER
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	74785c4d-93a7-441b-a8c7-73717b38ccb5	DRY_COOLER
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	f5cc9f36-e425-4b58-a96c-236f26cefc82	REMOTE_CONDENSER
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	955d92e7-7be7-45f9-8a18-9c84e5882e0a	CHILLED_WATER_PUMPS
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	22f886ae-5058-49c2-8057-e26b3305ec96	HEAT_REJECTION_PUMPS
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	41078967-20d8-4f07-9d04-0b4e5ecf4764	VENTILATION
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	93b0fd85-7f45-4ce7-8464-34ad14a23bb1	INFILTRATION
cf15abb6-ab44-41a4-a4b4-748acd4e02b4	9740f8b1-0e4a-40e0-81b5-60fd07fad76d	IT_LOAD
329025f6-8045-4b16-aea5-58ff50802a02	11ef1394-e7b3-44b5-bb53-920d39218a9b	SWITCHGEAR
329025f6-8045-4b16-aea5-58ff50802a02	a5445a35-b53f-4cd9-b9cb-ab5579f81052	GENERATOR
329025f6-8045-4b16-aea5-58ff50802a02	142aa241-9c27-487a-87ca-8d4696fcdd77	PRIMARY_AUXILIARIES
329025f6-8045-4b16-aea5-58ff50802a02	80077d05-3291-40d8-afbb-69bd2dac67d3	UPS
329025f6-8045-4b16-aea5-58ff50802a02	bbe9f048-46d4-4ab9-ae3e-4084056f9c37	CRITICAL_AUXILIARIES
329025f6-8045-4b16-aea5-58ff50802a02	e4f06442-af77-4194-8fe9-d6ce3e9ed58c	LIGHTING
329025f6-8045-4b16-aea5-58ff50802a02	338beda4-3ea7-40ad-bb0e-4ef2bff310ba	CRITICAL_POWER_DISTRIBUTION
329025f6-8045-4b16-aea5-58ff50802a02	a2cb45a1-1bd4-4d72-843a-575aea7bce67	CRAH
329025f6-8045-4b16-aea5-58ff50802a02	54455083-a10d-4436-9390-b20839490c91	CRAC
329025f6-8045-4b16-aea5-58ff50802a02	242cac95-25bb-4334-ae3a-546187c7915c	CRAC_WITHOUT_FAN
329025f6-8045-4b16-aea5-58ff50802a02	8b9cb65c-62cd-440c-8e6f-5692fa81a660	CRAC_FAN
329025f6-8045-4b16-aea5-58ff50802a02	dae65747-0d98-4fbd-a927-113dccefc8be	CHILLER
329025f6-8045-4b16-aea5-58ff50802a02	04f3a5e8-91b4-45cc-b787-49d00d3ead44	AIR_COOLED_CHILLER
329025f6-8045-4b16-aea5-58ff50802a02	03622801-5fe9-472a-b961-5eac8fdee25e	COOLING_TOWER
329025f6-8045-4b16-aea5-58ff50802a02	5a28accb-cc4a-41a0-9a61-553a0ad574d2	DRY_COOLER
329025f6-8045-4b16-aea5-58ff50802a02	b874f131-2fb9-4b86-81a8-dc999e1f57b2	REMOTE_CONDENSER
329025f6-8045-4b16-aea5-58ff50802a02	e6aed62e-f90b-49df-b3cb-467029319e3e	CHILLED_WATER_PUMPS
329025f6-8045-4b16-aea5-58ff50802a02	13e780fc-bfea-4877-8182-9bfb1a06d59a	HEAT_REJECTION_PUMPS
329025f6-8045-4b16-aea5-58ff50802a02	9230bb30-3f37-40d1-bdc5-1f624b78df4d	VENTILATION
329025f6-8045-4b16-aea5-58ff50802a02	a2b6c456-0a1a-41d1-bcf3-f7fb540fe47c	INFILTRATION
329025f6-8045-4b16-aea5-58ff50802a02	69c6be71-01ad-45b5-822e-710ed040ce5f	IT_LOAD
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	142861a4-9c1c-4156-b41c-1759a0e1103b	SWITCHGEAR
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	70f850fc-bed7-4e1b-8859-28f7f9aed9ea	GENERATOR
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	871f09a7-c476-47bc-8dd5-0905b9835a3b	PRIMARY_AUXILIARIES
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	611e481b-960c-43a0-87e5-2a2b71da4bc9	UPS
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	085efd36-bfaf-48bc-913a-2069d98412fd	CRITICAL_AUXILIARIES
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	61e97087-b6bd-46d2-a090-515942ba4327	LIGHTING
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	618f5f61-41ce-45c7-adb3-5310dc56bc20	CRITICAL_POWER_DISTRIBUTION
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	a521aa89-c803-4eb0-82ab-6d695bfdfa6f	CRAH
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	2acf629b-74fb-49e5-bc69-85acc791d394	CRAC
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	6fba2fab-01f0-4a7b-a228-59cdcc37f88c	CRAC_WITHOUT_FAN
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	c55e4cec-1417-4f73-8cb2-20805db7d6d4	CRAC_FAN
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	ae4b1dbc-73a5-4bd3-bd4d-741f98807ea6	CHILLER
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	68a03b6c-f3b2-47e0-ba49-fb012652cf0e	AIR_COOLED_CHILLER
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	260ee9e1-603b-460a-a10d-b76f14d00dcb	COOLING_TOWER
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	1a5f17bb-fcec-4f82-87c9-5e7f3257ed47	DRY_COOLER
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	5c3433a4-5380-4aee-a14d-bb33ad14b4d9	REMOTE_CONDENSER
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	c75d7537-966d-4470-9f22-08e8757d6814	CHILLED_WATER_PUMPS
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	dcb2d686-0401-4e45-8a22-a2e6f86a206e	HEAT_REJECTION_PUMPS
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	84bcc03e-57f2-4ca1-8260-768b851c5e14	VENTILATION
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	7329e299-a3c0-4bab-8b45-a67eedbbe77f	INFILTRATION
19f42c21-2d44-4f35-ba8b-c24c2e2b00aa	22132c25-f8a9-497c-9087-fbe24262f419	IT_LOAD
791e80a4-b5d2-45f8-9f07-d4c806a14534	a664f76b-2b77-40bb-8454-51dc74642d48	SWITCHGEAR
791e80a4-b5d2-45f8-9f07-d4c806a14534	3a2528e9-55b0-4fd4-9198-225e5bd4571b	GENERATOR
791e80a4-b5d2-45f8-9f07-d4c806a14534	da63672a-e0c6-416f-bbbd-88cf003605a1	PRIMARY_AUXILIARIES
791e80a4-b5d2-45f8-9f07-d4c806a14534	6a97d89d-b8e5-479b-8cde-d1e616b1d618	UPS
791e80a4-b5d2-45f8-9f07-d4c806a14534	1b72203d-52d7-48bb-8a7f-ef119795b1c3	CRITICAL_AUXILIARIES
791e80a4-b5d2-45f8-9f07-d4c806a14534	868a8020-1962-4e21-83f7-ce9856844cb9	LIGHTING
791e80a4-b5d2-45f8-9f07-d4c806a14534	0a08708b-237b-4d32-bb4e-b5c48f000a68	CRITICAL_POWER_DISTRIBUTION
791e80a4-b5d2-45f8-9f07-d4c806a14534	93268d8e-79c0-4871-8973-7ef6d1f6eb00	CRAH
791e80a4-b5d2-45f8-9f07-d4c806a14534	e4645a5d-488a-4812-b8ee-4ae882cc9b12	CRAC
791e80a4-b5d2-45f8-9f07-d4c806a14534	701b09f8-f6f7-4c95-8de1-bcd03cd6d5f8	CRAC_WITHOUT_FAN
791e80a4-b5d2-45f8-9f07-d4c806a14534	0c1a6b56-45cd-4410-8fd4-9400bd323fe2	CRAC_FAN
791e80a4-b5d2-45f8-9f07-d4c806a14534	ce493116-1770-45a2-8202-771a30809928	CHILLER
791e80a4-b5d2-45f8-9f07-d4c806a14534	5837543d-8984-4c23-a4ee-a959eab99141	AIR_COOLED_CHILLER
791e80a4-b5d2-45f8-9f07-d4c806a14534	9d2aaaf3-3bca-4198-8135-a5eaf19234a4	COOLING_TOWER
791e80a4-b5d2-45f8-9f07-d4c806a14534	d687937c-89f8-497d-8fb6-677821b868bb	DRY_COOLER
791e80a4-b5d2-45f8-9f07-d4c806a14534	07613c4f-aa42-4ed5-b209-f5ec22feb211	REMOTE_CONDENSER
791e80a4-b5d2-45f8-9f07-d4c806a14534	44f030a1-25eb-4264-8d60-c7e4a700cbd3	CHILLED_WATER_PUMPS
791e80a4-b5d2-45f8-9f07-d4c806a14534	87362139-f464-4395-b7aa-b050fc2915cb	HEAT_REJECTION_PUMPS
791e80a4-b5d2-45f8-9f07-d4c806a14534	a56503ef-37f5-4dab-b626-874fa892955e	VENTILATION
791e80a4-b5d2-45f8-9f07-d4c806a14534	b2b0e952-409c-4c8f-a860-668055042c9a	INFILTRATION
791e80a4-b5d2-45f8-9f07-d4c806a14534	c3c0ba76-b3b0-496e-ba2e-2ed0dd522a70	IT_LOAD
22ce0e35-e452-4b9d-b0fd-33e66d52013d	721bd1e4-af20-479d-9084-f32471fc3fde	SWITCHGEAR
22ce0e35-e452-4b9d-b0fd-33e66d52013d	8a66ea50-8912-45ce-aef4-f2d85eda7c29	GENERATOR
22ce0e35-e452-4b9d-b0fd-33e66d52013d	b4ae29b6-7023-482e-aa65-9ce5fb40c4ab	PRIMARY_AUXILIARIES
22ce0e35-e452-4b9d-b0fd-33e66d52013d	5ed2de01-43d8-452b-a9c1-a7641378fa0d	UPS
22ce0e35-e452-4b9d-b0fd-33e66d52013d	1fff90b6-ebc0-4d74-8647-7c8d7ef955de	CRITICAL_AUXILIARIES
22ce0e35-e452-4b9d-b0fd-33e66d52013d	c60dd7ed-5f9b-4c26-b68b-15f13068548e	LIGHTING
22ce0e35-e452-4b9d-b0fd-33e66d52013d	02ba8f83-cf7d-421a-8984-d2d03ec43314	CRITICAL_POWER_DISTRIBUTION
22ce0e35-e452-4b9d-b0fd-33e66d52013d	74e78497-ccae-4d36-a0e6-5f336f096b3d	CRAH
22ce0e35-e452-4b9d-b0fd-33e66d52013d	aa467172-ad28-45c6-ac9e-81f2d5111bb7	CRAC
22ce0e35-e452-4b9d-b0fd-33e66d52013d	07097936-357f-4173-8928-6ce807a75280	CRAC_WITHOUT_FAN
22ce0e35-e452-4b9d-b0fd-33e66d52013d	beac5dc8-6008-477a-a531-1a719630d7b2	CRAC_FAN
22ce0e35-e452-4b9d-b0fd-33e66d52013d	abc66619-7dc9-40fa-86f3-df71fbe2069f	CHILLER
22ce0e35-e452-4b9d-b0fd-33e66d52013d	6140c062-c24c-4284-9804-88f25c50b2d0	AIR_COOLED_CHILLER
22ce0e35-e452-4b9d-b0fd-33e66d52013d	d86e9f89-1a5b-4770-8e10-751d3f257f42	COOLING_TOWER
22ce0e35-e452-4b9d-b0fd-33e66d52013d	8e45ce00-4b2d-4ee0-98ce-f2ea56d7f9c9	DRY_COOLER
22ce0e35-e452-4b9d-b0fd-33e66d52013d	e2e29aa4-88a2-40f4-8a43-cbc300f34f07	REMOTE_CONDENSER
22ce0e35-e452-4b9d-b0fd-33e66d52013d	932e7262-6038-48cc-8f81-838ebec02734	CHILLED_WATER_PUMPS
22ce0e35-e452-4b9d-b0fd-33e66d52013d	4ebf8d47-8245-43b9-9d68-7028233cb968	HEAT_REJECTION_PUMPS
22ce0e35-e452-4b9d-b0fd-33e66d52013d	9eac3e39-afe2-4198-954a-5ae16cb3aedb	VENTILATION
22ce0e35-e452-4b9d-b0fd-33e66d52013d	411116f3-a5be-45d4-a1c4-87ecbd1c7cce	INFILTRATION
22ce0e35-e452-4b9d-b0fd-33e66d52013d	a5680f3e-d435-4fc4-a4bd-37d0921146e1	IT_LOAD
3e930ab7-d67e-4a56-82be-feeec160f031	724111fb-c705-4078-b0dd-de68a631886d	SWITCHGEAR
3e930ab7-d67e-4a56-82be-feeec160f031	a4bf499a-a3e7-4493-a45b-60126701d065	GENERATOR
3e930ab7-d67e-4a56-82be-feeec160f031	ad620fab-c57b-485b-8d9f-8fa59c5da309	PRIMARY_AUXILIARIES
3e930ab7-d67e-4a56-82be-feeec160f031	ac913dcf-7d5d-407a-8dcf-fb1a92c39417	UPS
3e930ab7-d67e-4a56-82be-feeec160f031	985efe55-159f-4018-986d-b0dc6b88d22e	CRITICAL_AUXILIARIES
3e930ab7-d67e-4a56-82be-feeec160f031	3de996a4-e44b-4834-92e7-fb2e32e301e3	LIGHTING
3e930ab7-d67e-4a56-82be-feeec160f031	fdd58325-b153-41bd-8e4a-3eb236e0e420	CRITICAL_POWER_DISTRIBUTION
3e930ab7-d67e-4a56-82be-feeec160f031	34dee487-ab43-4785-8efe-2b1247425334	CRAH
3e930ab7-d67e-4a56-82be-feeec160f031	27eec791-872e-44d2-92b3-f98c640aaf72	CRAC
3e930ab7-d67e-4a56-82be-feeec160f031	1c6ea07a-c9a0-44dc-894a-362cf37db445	CRAC_WITHOUT_FAN
3e930ab7-d67e-4a56-82be-feeec160f031	42343b9b-8bd7-4522-a512-7559ecfab5ea	CRAC_FAN
3e930ab7-d67e-4a56-82be-feeec160f031	2f5deb57-151e-46fe-9dc5-140a0e8102e1	CHILLER
3e930ab7-d67e-4a56-82be-feeec160f031	b3145f9b-3503-4507-a8ee-412158ed4883	AIR_COOLED_CHILLER
3e930ab7-d67e-4a56-82be-feeec160f031	7ff2c91b-129a-4e1a-914c-faf18c7c5709	COOLING_TOWER
3e930ab7-d67e-4a56-82be-feeec160f031	7e3da723-25c0-4000-8dde-6b888c0d3b20	DRY_COOLER
3e930ab7-d67e-4a56-82be-feeec160f031	a748e950-b0c4-4809-bec2-0177cd08dc3f	REMOTE_CONDENSER
3e930ab7-d67e-4a56-82be-feeec160f031	c63a84e2-845b-4e24-8938-efe1b4bca87e	CHILLED_WATER_PUMPS
3e930ab7-d67e-4a56-82be-feeec160f031	1c9c33aa-ca7f-43d0-aa68-636775ed8338	HEAT_REJECTION_PUMPS
3e930ab7-d67e-4a56-82be-feeec160f031	f59db950-8315-417f-8486-733c11c53b73	VENTILATION
3e930ab7-d67e-4a56-82be-feeec160f031	488ca914-23a9-484c-b946-00724e351b76	INFILTRATION
3e930ab7-d67e-4a56-82be-feeec160f031	b4da19ad-e33f-42aa-b270-5dfa157ac053	IT_LOAD
dbfa90e1-ceee-4ee5-b410-9a47981c279e	32570dcd-2144-4433-ae5b-d0dc6cf0bb41	SWITCHGEAR
dbfa90e1-ceee-4ee5-b410-9a47981c279e	a0e3b20a-96ee-435f-8039-35dea9c48187	GENERATOR
dbfa90e1-ceee-4ee5-b410-9a47981c279e	67740f22-971f-41a3-b9b5-d3cc1c2a6155	PRIMARY_AUXILIARIES
dbfa90e1-ceee-4ee5-b410-9a47981c279e	22dfa74a-3717-49ec-907c-423c32ca5b1f	UPS
dbfa90e1-ceee-4ee5-b410-9a47981c279e	15894fac-fd10-40b1-845a-a16a1303305d	CRITICAL_AUXILIARIES
dbfa90e1-ceee-4ee5-b410-9a47981c279e	55a7033d-2044-4db2-822e-9988c1c14e3b	LIGHTING
dbfa90e1-ceee-4ee5-b410-9a47981c279e	9ef08c02-9088-42e5-9fba-6d26818821e2	CRITICAL_POWER_DISTRIBUTION
dbfa90e1-ceee-4ee5-b410-9a47981c279e	e7d30013-fe3f-4f6d-aee9-efe874b0b97a	CRAH
dbfa90e1-ceee-4ee5-b410-9a47981c279e	cdbb9755-e890-4198-abdc-8430899a42c6	CRAC
dbfa90e1-ceee-4ee5-b410-9a47981c279e	0b5b2630-7b87-462b-bb0d-8e65858e1969	CRAC_WITHOUT_FAN
dbfa90e1-ceee-4ee5-b410-9a47981c279e	2f005cdc-211e-4d06-8dd1-1fb86a5a7920	CRAC_FAN
dbfa90e1-ceee-4ee5-b410-9a47981c279e	75ac7ac3-5291-47be-8f88-bb2e48c00e63	CHILLER
dbfa90e1-ceee-4ee5-b410-9a47981c279e	28e68bda-8d30-45b7-ba3c-50624534f000	AIR_COOLED_CHILLER
dbfa90e1-ceee-4ee5-b410-9a47981c279e	38998db1-db77-48ad-8602-af3ef986ef4a	COOLING_TOWER
dbfa90e1-ceee-4ee5-b410-9a47981c279e	7c2c5ec1-be39-43da-be27-53e9cbf8f8e2	DRY_COOLER
dbfa90e1-ceee-4ee5-b410-9a47981c279e	b1c3bd2d-ea02-4eb3-aa7e-437cfdcf28a7	REMOTE_CONDENSER
dbfa90e1-ceee-4ee5-b410-9a47981c279e	20c302cf-fca6-4c78-9e80-c230da0363d9	CHILLED_WATER_PUMPS
dbfa90e1-ceee-4ee5-b410-9a47981c279e	2a502314-d290-42bb-8b29-a020db9802c2	HEAT_REJECTION_PUMPS
dbfa90e1-ceee-4ee5-b410-9a47981c279e	c512d17c-db07-4b66-89fc-6a088be4ba82	VENTILATION
dbfa90e1-ceee-4ee5-b410-9a47981c279e	8d712532-175b-49a2-85db-b254b84bdedb	INFILTRATION
dbfa90e1-ceee-4ee5-b410-9a47981c279e	656412db-29b0-4bc8-a197-c7566461c51f	IT_LOAD
132e45f8-07b2-42d0-9b8b-7573281de8b0	a4f71c91-ed8a-453d-94f2-c64e981a6d06	SWITCHGEAR
132e45f8-07b2-42d0-9b8b-7573281de8b0	d1b0efab-3ab0-42a8-8348-cb891d8fbd58	GENERATOR
132e45f8-07b2-42d0-9b8b-7573281de8b0	098287e4-8755-4748-a892-9baff010da57	PRIMARY_AUXILIARIES
132e45f8-07b2-42d0-9b8b-7573281de8b0	4a134fee-c0c2-4da3-92c1-d2ba6b974a9a	UPS
132e45f8-07b2-42d0-9b8b-7573281de8b0	20ef7323-bcc6-4450-b6ed-7f912005ea6f	CRITICAL_AUXILIARIES
132e45f8-07b2-42d0-9b8b-7573281de8b0	0ea5796e-504b-45fd-9295-98580f68920a	LIGHTING
132e45f8-07b2-42d0-9b8b-7573281de8b0	3fc00a3b-64c9-4a78-85d8-f9570f7f3bfa	CRITICAL_POWER_DISTRIBUTION
132e45f8-07b2-42d0-9b8b-7573281de8b0	51e308fc-0bf6-41cd-b323-84acd02f43ff	CRAH
132e45f8-07b2-42d0-9b8b-7573281de8b0	3719e3fc-bb41-4361-9023-bc15e07cb7c7	CRAC
132e45f8-07b2-42d0-9b8b-7573281de8b0	7f951f77-1eba-43fc-8aa4-cc12b3cbc3f4	CRAC_WITHOUT_FAN
132e45f8-07b2-42d0-9b8b-7573281de8b0	e9e9eaee-f5fc-48cf-9158-1d3ca75caf02	CRAC_FAN
132e45f8-07b2-42d0-9b8b-7573281de8b0	442210a9-573e-4382-bced-6a02765a3356	CHILLER
132e45f8-07b2-42d0-9b8b-7573281de8b0	c32a98c0-5242-43cf-bd36-955c473c8c51	AIR_COOLED_CHILLER
132e45f8-07b2-42d0-9b8b-7573281de8b0	b2bab6ad-1c24-4aa4-b7ff-55b68ab67056	COOLING_TOWER
132e45f8-07b2-42d0-9b8b-7573281de8b0	26f82fa5-3ca9-4428-b35c-c3aa37957db0	DRY_COOLER
132e45f8-07b2-42d0-9b8b-7573281de8b0	fdad209a-28b0-4764-a014-a6500ae39932	REMOTE_CONDENSER
132e45f8-07b2-42d0-9b8b-7573281de8b0	12a3ffbd-3a87-45ef-baaf-2eba31a00c32	CHILLED_WATER_PUMPS
132e45f8-07b2-42d0-9b8b-7573281de8b0	4df95d5d-b84a-4aa6-a1c1-742888448a79	HEAT_REJECTION_PUMPS
132e45f8-07b2-42d0-9b8b-7573281de8b0	0bf6588f-4438-4ff3-93a2-895dfac76352	VENTILATION
132e45f8-07b2-42d0-9b8b-7573281de8b0	3ae25fe5-9629-4cc9-bc43-7354ad6bafa7	INFILTRATION
132e45f8-07b2-42d0-9b8b-7573281de8b0	2cf78eea-b78f-4218-bed6-1d54dda29be6	IT_LOAD
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	13ab4f2e-be06-412c-b1fb-de5a29c762b9	SWITCHGEAR
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	49a4265e-3980-47ac-ab13-466d636f4207	GENERATOR
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	d06ba198-0d43-4048-8963-1927cb170752	PRIMARY_AUXILIARIES
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	46f8372f-3017-4e2c-85aa-dc70a783853f	UPS
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	d240abcb-e3c5-4ede-a1b4-2df2005ba0f6	CRITICAL_AUXILIARIES
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	e5a6c355-c672-47b9-a2ba-ef498483600e	LIGHTING
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	62306c87-3963-4397-a60f-7f4df9d72f23	CRITICAL_POWER_DISTRIBUTION
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	a2cc88e5-0a75-4568-b633-61cecb33ee50	CRAH
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	83e5d9fb-ac0b-440c-ad51-a57126a54e91	CRAC
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	5c113364-30ca-4b9c-9659-d07cb1bc3356	CRAC_WITHOUT_FAN
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	c22cc99a-2f41-4f84-b893-5135bd1a2a15	CRAC_FAN
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	88be2638-0f96-4b51-9c25-165f967d0215	CHILLER
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	2de30b15-3bb0-4bdd-8ae2-a46d7ba31c26	AIR_COOLED_CHILLER
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	14c22294-94ec-4374-a0ed-2ec4a7716d9e	COOLING_TOWER
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	e73388fc-97d7-4a36-a4a2-78290981beba	DRY_COOLER
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	60106094-6974-4f5f-8cc1-f304528a4ee6	REMOTE_CONDENSER
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	7bdd267a-6a61-4e13-bbac-d74cbb150487	CHILLED_WATER_PUMPS
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	21548fe1-8de4-4724-93b1-d8f509e8a7cc	HEAT_REJECTION_PUMPS
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	021f4107-0e9a-4c48-b7fb-1ff3d9f1176c	VENTILATION
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	af8c5efb-fe11-4703-97a4-19a1b71f0a35	INFILTRATION
fb7404e9-edae-4aef-b8cc-b9fd749ebc80	b57d41d9-4bb0-4e44-948b-36935f7e27e1	IT_LOAD
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	3a0ffdcf-838d-42fd-b019-94192ed8d13d	SWITCHGEAR
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	fcd4f632-8948-461c-9d13-2597b737f2da	GENERATOR
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	f608783b-00d1-4895-b9b3-94b3020d89c6	PRIMARY_AUXILIARIES
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	b4119646-8b9b-4558-9ded-1655922df339	UPS
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	f5bd0af0-448b-49cf-b6ed-845b9a0350d9	CRITICAL_AUXILIARIES
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	9a56895a-5853-4c03-96fc-a9fde27e7b2c	LIGHTING
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	5f37e618-6461-4bff-ab19-9359f07b1be2	CRITICAL_POWER_DISTRIBUTION
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	b6762ead-2ea7-41c6-8d3a-079616e6e0a2	CRAH
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	4a27cca9-d186-4ac2-849d-e43e4ba711f5	CRAC
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	14fa7dac-d503-4c58-9a20-16e39e7b3274	CRAC_WITHOUT_FAN
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	2c67efdf-ad26-4d74-a513-de25d8e3a86e	CRAC_FAN
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	7c742f9c-93f7-4814-afb8-ee7b86b04361	CHILLER
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	d821b8eb-377f-4b02-afa7-d72b06f89cb0	AIR_COOLED_CHILLER
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	12899934-fab0-4ca1-a7c2-fae415045a37	COOLING_TOWER
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	6a070599-f857-4e12-b469-b5d0b821b8eb	DRY_COOLER
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	23bef443-e9bf-4a6a-a960-8101fa5f450c	REMOTE_CONDENSER
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	a226e642-7e32-4454-b427-316663760709	CHILLED_WATER_PUMPS
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	6f5c009a-a224-420a-aa2d-3c9af9e36cc7	HEAT_REJECTION_PUMPS
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	bcfa3f64-678c-4c4e-b220-b2cc5b1c869f	VENTILATION
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	bae070d8-ab67-439b-a737-6ae80295f577	INFILTRATION
e62eb12c-4da8-4c9a-81ce-9fe4fcbbc540	57ba3972-4392-4f34-9603-891f624bb4ae	IT_LOAD
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	dd0d1a8c-adbd-4e7c-a3b1-a6a121542fcb	SWITCHGEAR
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	dbc59261-48e0-4066-a1cd-10d6a7490c94	GENERATOR
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	27873eea-93fc-4693-9d5a-04da9612e7df	PRIMARY_AUXILIARIES
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	cc65f3bc-aaa8-4be9-b632-4df9ce2db1d0	UPS
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	6ec023c4-ef84-48ec-a357-dc0b9f06cbd1	CRITICAL_AUXILIARIES
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	688f0c21-be43-4b19-8fb2-7b7781b10d9a	LIGHTING
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	6f75ab0a-2f0d-4699-a637-bbd60bf98c4d	CRITICAL_POWER_DISTRIBUTION
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	a2e52bf0-c9ac-4f5f-a1ac-f0becd742da2	CRAH
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	92754618-c9db-43a0-b72a-c1607b017592	CRAC
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	acb06708-aabe-4970-87e3-96d9fe3e05d6	CRAC_WITHOUT_FAN
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	db12d322-d6d9-41d2-84d6-dd50c55ad8d0	CRAC_FAN
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	5323527f-e81e-46fe-847e-51fd1511fa9a	CHILLER
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	4b11d1a4-6233-4d1e-8878-eb8ea45c9476	AIR_COOLED_CHILLER
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	9cf3c216-4634-47c3-8d00-33005bbaae3f	COOLING_TOWER
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	a4b426d6-9a1d-4e59-a595-fcb043b1a10d	DRY_COOLER
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	23a6b44c-9f0e-4e57-b1a8-cafe18f6ab9f	REMOTE_CONDENSER
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	b59a1807-6ef5-430e-b0b3-7acb296b7e98	CHILLED_WATER_PUMPS
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	37e4c8fd-25cf-445f-9b5a-3868caf7ceb2	HEAT_REJECTION_PUMPS
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	e8faa8ca-f628-4ba7-9e69-ff201a721b90	VENTILATION
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	7ad38a42-5b7e-4661-af34-ebce97259f52	INFILTRATION
d2c1984a-3cd6-4c37-b19c-089ad86dd5d3	ca96d8cb-c67c-41a7-acf3-be2da8040060	IT_LOAD
b39d1566-96f1-4e41-9b51-f224fd376148	06da40e6-09c8-4f92-ae64-85080aed30a2	SWITCHGEAR
b39d1566-96f1-4e41-9b51-f224fd376148	c6a8263b-6b16-4aaa-8211-877d872856ec	GENERATOR
b39d1566-96f1-4e41-9b51-f224fd376148	72c7fafb-0d90-4924-b6c1-e87c0c37ccc7	PRIMARY_AUXILIARIES
b39d1566-96f1-4e41-9b51-f224fd376148	164097bc-6844-4f9a-b53b-2e50007bfd13	UPS
b39d1566-96f1-4e41-9b51-f224fd376148	51b77469-7840-4430-9665-f7719e111a79	CRITICAL_AUXILIARIES
b39d1566-96f1-4e41-9b51-f224fd376148	02b40773-1340-452c-b00f-c6ce0a2375c2	LIGHTING
b39d1566-96f1-4e41-9b51-f224fd376148	88c926b8-3690-412c-9b7b-6ef06fca450f	CRITICAL_POWER_DISTRIBUTION
b39d1566-96f1-4e41-9b51-f224fd376148	bb8ce81d-c478-45ba-bb9a-c11bbc6cc006	CRAH
b39d1566-96f1-4e41-9b51-f224fd376148	bb2155f5-e8ec-48e5-852c-cb548657704a	CRAC
b39d1566-96f1-4e41-9b51-f224fd376148	4c1eb621-0463-40ec-b66a-49dcdc352aeb	CRAC_WITHOUT_FAN
b39d1566-96f1-4e41-9b51-f224fd376148	42d912b2-c31e-4f54-b310-147f7f598ec6	CRAC_FAN
b39d1566-96f1-4e41-9b51-f224fd376148	7715957d-ac2e-4472-88bc-0eb78d5f4e8b	CHILLER
b39d1566-96f1-4e41-9b51-f224fd376148	9519ec09-184f-4fc8-9106-84e874e0b91f	AIR_COOLED_CHILLER
b39d1566-96f1-4e41-9b51-f224fd376148	07d07b85-2321-425a-8057-8048e2526a71	COOLING_TOWER
b39d1566-96f1-4e41-9b51-f224fd376148	e8b9e5bf-1230-4d12-bd4f-6bcc5c993d37	DRY_COOLER
b39d1566-96f1-4e41-9b51-f224fd376148	b465fc51-0895-4f22-876d-32c08a5adf74	REMOTE_CONDENSER
b39d1566-96f1-4e41-9b51-f224fd376148	54ac3f35-c677-4f61-a3c5-33c43f3e8bda	CHILLED_WATER_PUMPS
b39d1566-96f1-4e41-9b51-f224fd376148	64285e09-5e35-4c79-9c7d-c5fc7e6ace10	HEAT_REJECTION_PUMPS
b39d1566-96f1-4e41-9b51-f224fd376148	7dbf4a2d-9f35-47cb-8252-97f8e0f37bbd	VENTILATION
b39d1566-96f1-4e41-9b51-f224fd376148	fc611067-18a8-4479-8712-39de410318aa	INFILTRATION
b39d1566-96f1-4e41-9b51-f224fd376148	9c9f6651-8186-422f-80b9-1640fcd035b0	IT_LOAD
1c1fd31d-5ad1-452d-bf15-643e607c5d37	13f82d2e-2fa0-4265-8388-6a40e1668108	SWITCHGEAR
1c1fd31d-5ad1-452d-bf15-643e607c5d37	67730a60-7f48-400e-9f98-60f1b2a4f1d2	GENERATOR
1c1fd31d-5ad1-452d-bf15-643e607c5d37	408aa32d-9ca7-4fee-8bc3-a08d46bca34d	PRIMARY_AUXILIARIES
1c1fd31d-5ad1-452d-bf15-643e607c5d37	0aff96c6-88f4-4b8e-a7cd-74119dcf6ac8	UPS
1c1fd31d-5ad1-452d-bf15-643e607c5d37	e2f56a5d-50e7-42dd-b060-9648bcc9d20b	CRITICAL_AUXILIARIES
1c1fd31d-5ad1-452d-bf15-643e607c5d37	14922d04-8539-4f84-b233-5d910705517c	LIGHTING
1c1fd31d-5ad1-452d-bf15-643e607c5d37	7a3e4044-49e8-4bf6-b3e2-58dc6f4f2d0f	CRITICAL_POWER_DISTRIBUTION
1c1fd31d-5ad1-452d-bf15-643e607c5d37	edddd6d4-5656-4adb-a608-723e86a57063	CRAH
1c1fd31d-5ad1-452d-bf15-643e607c5d37	7a3f6bf4-310b-4904-b8db-0d11302ab872	CRAC
1c1fd31d-5ad1-452d-bf15-643e607c5d37	e6fb2f19-ffa7-441b-9cf2-2a64e4511220	CRAC_WITHOUT_FAN
1c1fd31d-5ad1-452d-bf15-643e607c5d37	4c6fddcd-af9f-40ae-a427-1d9f44e23ca4	CRAC_FAN
1c1fd31d-5ad1-452d-bf15-643e607c5d37	0cb125d5-c2d8-45da-a0d1-ae28cf09baac	CHILLER
1c1fd31d-5ad1-452d-bf15-643e607c5d37	7747119e-d8cd-49fb-93e0-def3048e0581	AIR_COOLED_CHILLER
1c1fd31d-5ad1-452d-bf15-643e607c5d37	8648e96a-f2e6-42c7-87b2-04cab1057a84	COOLING_TOWER
1c1fd31d-5ad1-452d-bf15-643e607c5d37	8ba89148-a94e-492f-aab9-6b2f594a30f1	DRY_COOLER
1c1fd31d-5ad1-452d-bf15-643e607c5d37	06253018-248f-40ed-9551-a67dc9543f58	REMOTE_CONDENSER
1c1fd31d-5ad1-452d-bf15-643e607c5d37	7d52a3d1-604a-4ae9-8f41-99b73fe3ad0a	CHILLED_WATER_PUMPS
1c1fd31d-5ad1-452d-bf15-643e607c5d37	24ef2fff-192e-4384-91a5-78a7618aec2c	HEAT_REJECTION_PUMPS
1c1fd31d-5ad1-452d-bf15-643e607c5d37	7caa65b6-8cf8-4de6-80be-2477f6654e04	VENTILATION
1c1fd31d-5ad1-452d-bf15-643e607c5d37	6623c50a-9233-40cc-ab40-b0d052ecfe92	INFILTRATION
1c1fd31d-5ad1-452d-bf15-643e607c5d37	b9b0a21a-d2db-4204-b9b1-5d69c8b904dd	IT_LOAD
8fbcc51f-3b96-42cb-852d-56d0c2221ced	d0897400-883c-4a33-816a-cbeb3aa46dc8	SWITCHGEAR
8fbcc51f-3b96-42cb-852d-56d0c2221ced	2a0dfc19-a262-475c-a830-2a88de6ff712	GENERATOR
8fbcc51f-3b96-42cb-852d-56d0c2221ced	0d29e111-da01-4e06-9195-806275724b0f	PRIMARY_AUXILIARIES
8fbcc51f-3b96-42cb-852d-56d0c2221ced	35e66403-0493-45bd-ac75-d0140358f74d	UPS
8fbcc51f-3b96-42cb-852d-56d0c2221ced	a7790ac2-7252-47e9-8824-46e4e8e00bc8	CRITICAL_AUXILIARIES
8fbcc51f-3b96-42cb-852d-56d0c2221ced	378a8e33-461f-4178-9baf-15ab0eb8046c	LIGHTING
8fbcc51f-3b96-42cb-852d-56d0c2221ced	c13b19e1-54c1-49df-92d6-d2ab44bcd051	CRITICAL_POWER_DISTRIBUTION
8fbcc51f-3b96-42cb-852d-56d0c2221ced	c64c070d-ef26-4591-b3bb-36ad89a9778b	CRAH
8fbcc51f-3b96-42cb-852d-56d0c2221ced	4cfaea49-07dc-4485-91af-8c84436a5376	CRAC
8fbcc51f-3b96-42cb-852d-56d0c2221ced	50b07e71-6b94-4982-a3e5-c7f732d915c5	CRAC_WITHOUT_FAN
8fbcc51f-3b96-42cb-852d-56d0c2221ced	f29b1b98-1dc4-4cdc-8dc0-0e970453e694	CRAC_FAN
8fbcc51f-3b96-42cb-852d-56d0c2221ced	33a4ec8f-4374-44c2-8226-f25e91890f15	CHILLER
8fbcc51f-3b96-42cb-852d-56d0c2221ced	a0ee085c-347e-4df8-bcb5-a60c8723efd8	AIR_COOLED_CHILLER
8fbcc51f-3b96-42cb-852d-56d0c2221ced	2c5e2c66-e5f4-4edd-8f0e-48d3979704b4	COOLING_TOWER
8fbcc51f-3b96-42cb-852d-56d0c2221ced	83797888-d543-4c3d-81a7-d7da9390a2a1	DRY_COOLER
8fbcc51f-3b96-42cb-852d-56d0c2221ced	5c8d206e-dca1-44c2-889c-f6b9b072dff8	REMOTE_CONDENSER
8fbcc51f-3b96-42cb-852d-56d0c2221ced	29f20976-72b0-45a4-8d20-15bbcaa51e75	CHILLED_WATER_PUMPS
8fbcc51f-3b96-42cb-852d-56d0c2221ced	9922a5c0-179e-498e-b734-a2f1093f838c	HEAT_REJECTION_PUMPS
8fbcc51f-3b96-42cb-852d-56d0c2221ced	b1436e7f-94f7-4172-b2a4-7f465d569f1a	VENTILATION
8fbcc51f-3b96-42cb-852d-56d0c2221ced	59be2e44-615a-4fde-9c9d-36d5acde2561	INFILTRATION
8fbcc51f-3b96-42cb-852d-56d0c2221ced	1e7f775b-310c-4aaf-8212-00a9d975e02d	IT_LOAD
8f1d22ad-3d3c-4d4c-82db-ecb839788723	c731caef-c860-414d-9acc-83b221d7ad9b	SWITCHGEAR
8f1d22ad-3d3c-4d4c-82db-ecb839788723	b0f558a3-5c45-4966-82a8-bbee5f3e18b5	GENERATOR
8f1d22ad-3d3c-4d4c-82db-ecb839788723	43e6e400-77d9-429d-9a99-b990848235d2	PRIMARY_AUXILIARIES
8f1d22ad-3d3c-4d4c-82db-ecb839788723	b68313cb-1d1a-41fb-aa2d-76c2cc1430b5	UPS
8f1d22ad-3d3c-4d4c-82db-ecb839788723	705ddfe6-dee7-4b8b-a8e3-2cd2c9116614	CRITICAL_AUXILIARIES
8f1d22ad-3d3c-4d4c-82db-ecb839788723	14677d1b-582a-460a-b0bd-45db377ffb65	LIGHTING
8f1d22ad-3d3c-4d4c-82db-ecb839788723	948f8431-1cf9-4c9b-8ed6-aa647188efbd	CRITICAL_POWER_DISTRIBUTION
8f1d22ad-3d3c-4d4c-82db-ecb839788723	da55091c-9385-4ef4-8a66-c0b4d9554549	CRAH
8f1d22ad-3d3c-4d4c-82db-ecb839788723	2608d32c-d89e-48cf-ad14-252750cda720	CRAC
8f1d22ad-3d3c-4d4c-82db-ecb839788723	1cc97dd1-25f1-4346-a6a6-de11de58b3e6	CRAC_WITHOUT_FAN
8f1d22ad-3d3c-4d4c-82db-ecb839788723	bc510868-d19e-420e-9d0b-f4eac736a53a	CRAC_FAN
8f1d22ad-3d3c-4d4c-82db-ecb839788723	73cb1dc3-bf50-4875-9382-67d7fbe8cb9b	CHILLER
8f1d22ad-3d3c-4d4c-82db-ecb839788723	dee5966f-e7f2-43f6-ba30-7fdcceb47d80	AIR_COOLED_CHILLER
8f1d22ad-3d3c-4d4c-82db-ecb839788723	9154d519-9ab7-4c8c-8e2b-a18f55a9db8c	COOLING_TOWER
8f1d22ad-3d3c-4d4c-82db-ecb839788723	fb609795-45c6-4b3f-a9e1-5a53cd93951c	DRY_COOLER
8f1d22ad-3d3c-4d4c-82db-ecb839788723	ccf9df35-050f-4105-acd2-a9e38f774d0b	REMOTE_CONDENSER
8f1d22ad-3d3c-4d4c-82db-ecb839788723	e5befc39-36d0-4493-ba3f-a3faeb43253a	CHILLED_WATER_PUMPS
8f1d22ad-3d3c-4d4c-82db-ecb839788723	e33c196c-049c-47ee-9727-8fffce665d6a	HEAT_REJECTION_PUMPS
8f1d22ad-3d3c-4d4c-82db-ecb839788723	c072462f-cbc3-409c-9c90-4d329159a938	VENTILATION
8f1d22ad-3d3c-4d4c-82db-ecb839788723	fe753eb7-f521-49b4-87f1-ee7d67bcd8f8	INFILTRATION
8f1d22ad-3d3c-4d4c-82db-ecb839788723	95a9b659-1c7c-44c9-b602-ccba2d7c9bb6	IT_LOAD
a7165aac-29c6-44b1-8066-f6b13c76bf1f	46b9e38b-a133-4c30-8b45-75ad4e51a817	SWITCHGEAR
a7165aac-29c6-44b1-8066-f6b13c76bf1f	9f60c4fb-39c5-4af5-843b-087f77da1312	GENERATOR
a7165aac-29c6-44b1-8066-f6b13c76bf1f	3f94dd6d-1b9c-48cf-8ebf-22f0ca5abc04	PRIMARY_AUXILIARIES
a7165aac-29c6-44b1-8066-f6b13c76bf1f	389f0717-94ef-47a7-be9b-60d442b9f147	UPS
a7165aac-29c6-44b1-8066-f6b13c76bf1f	1b1c9417-74f8-45d6-bd7d-6811e58a9084	CRITICAL_AUXILIARIES
a7165aac-29c6-44b1-8066-f6b13c76bf1f	80db194a-b870-41a9-9208-8a2a18ebaf67	LIGHTING
a7165aac-29c6-44b1-8066-f6b13c76bf1f	b183a672-ffc2-4f22-8a18-416a70127844	CRITICAL_POWER_DISTRIBUTION
a7165aac-29c6-44b1-8066-f6b13c76bf1f	5ebf928e-e8e6-4d69-9878-3cf467c6c2db	CRAH
a7165aac-29c6-44b1-8066-f6b13c76bf1f	0fff5632-e283-4d46-8bbc-d40a40785d5b	CRAC
a7165aac-29c6-44b1-8066-f6b13c76bf1f	a44c4b73-dc78-4e6a-8340-b44802ec5f67	CRAC_WITHOUT_FAN
a7165aac-29c6-44b1-8066-f6b13c76bf1f	7b4cf295-63bd-4640-9e7c-28e45bc26ace	CRAC_FAN
a7165aac-29c6-44b1-8066-f6b13c76bf1f	7b1e6474-d9c9-456e-9374-ffb119904f3c	CHILLER
a7165aac-29c6-44b1-8066-f6b13c76bf1f	89b31da1-79aa-4f81-a019-6fb950059d96	AIR_COOLED_CHILLER
a7165aac-29c6-44b1-8066-f6b13c76bf1f	ecf06512-a3c9-4082-b765-a89e80bab08b	COOLING_TOWER
a7165aac-29c6-44b1-8066-f6b13c76bf1f	6b2348b2-8e9a-4a2a-980a-4142c2abd189	DRY_COOLER
a7165aac-29c6-44b1-8066-f6b13c76bf1f	e729372e-5fcd-4cff-9929-71cf8f609602	REMOTE_CONDENSER
a7165aac-29c6-44b1-8066-f6b13c76bf1f	bded5a56-b958-49b3-921a-ca28649a168a	CHILLED_WATER_PUMPS
a7165aac-29c6-44b1-8066-f6b13c76bf1f	2a89ed8e-6e7a-4542-bf6f-7b955a14df44	HEAT_REJECTION_PUMPS
a7165aac-29c6-44b1-8066-f6b13c76bf1f	df88e314-38bb-487a-b880-f2a76c0af47a	VENTILATION
a7165aac-29c6-44b1-8066-f6b13c76bf1f	1de4f4ef-f62e-4ff2-98a1-dca03bba1a0c	INFILTRATION
a7165aac-29c6-44b1-8066-f6b13c76bf1f	d796c982-36c6-4b6b-812f-3b35a0a670f8	IT_LOAD
48848118-52aa-4217-be71-3ec1bc767bed	a2b1feac-7305-404e-b8ef-7075115ca0cc	SWITCHGEAR
48848118-52aa-4217-be71-3ec1bc767bed	49e8d453-78c4-4146-89ef-9a7b22f3853f	GENERATOR
48848118-52aa-4217-be71-3ec1bc767bed	257743dc-23be-4c5c-bf90-f428a723a23a	PRIMARY_AUXILIARIES
48848118-52aa-4217-be71-3ec1bc767bed	52557940-18b3-4258-85db-522a1be8b8cc	UPS
48848118-52aa-4217-be71-3ec1bc767bed	a646d27e-4fd9-4b8d-88b5-e538cf2bce8c	CRITICAL_AUXILIARIES
48848118-52aa-4217-be71-3ec1bc767bed	a2451e4d-fa05-489c-9ea3-a5329aaff164	LIGHTING
48848118-52aa-4217-be71-3ec1bc767bed	85a89c0b-9d77-48a9-ba7d-f84ad984a5e7	CRITICAL_POWER_DISTRIBUTION
48848118-52aa-4217-be71-3ec1bc767bed	0053685a-0a52-40b5-9909-8b60b4790504	CRAH
48848118-52aa-4217-be71-3ec1bc767bed	6992415d-f83e-456a-a1ee-944b06e30c94	CRAC
48848118-52aa-4217-be71-3ec1bc767bed	e0964040-ebed-4cd7-9fa3-785f4f0e1484	CRAC_WITHOUT_FAN
48848118-52aa-4217-be71-3ec1bc767bed	0a5b3d0e-df53-4ea0-8be3-5b397f70a0bc	CRAC_FAN
48848118-52aa-4217-be71-3ec1bc767bed	dd202145-21ae-421e-83c1-846d285bb630	CHILLER
48848118-52aa-4217-be71-3ec1bc767bed	e6d2ec53-443a-4fa2-b4b5-b61a99539917	AIR_COOLED_CHILLER
48848118-52aa-4217-be71-3ec1bc767bed	f38dc4ad-96f8-4958-9579-b7981355fb24	COOLING_TOWER
48848118-52aa-4217-be71-3ec1bc767bed	33ad9ce0-fca5-449a-89c2-01b4950d161b	DRY_COOLER
48848118-52aa-4217-be71-3ec1bc767bed	dd1d3a05-1ff0-4e99-a47d-e0c85b5d10cb	REMOTE_CONDENSER
48848118-52aa-4217-be71-3ec1bc767bed	91d78be2-7d50-4468-bc46-c50ba5e441aa	CHILLED_WATER_PUMPS
48848118-52aa-4217-be71-3ec1bc767bed	b14b4a89-0001-4065-8db5-047131827a5e	HEAT_REJECTION_PUMPS
48848118-52aa-4217-be71-3ec1bc767bed	417f855b-f724-4ca0-8744-c994cc3f10c9	VENTILATION
48848118-52aa-4217-be71-3ec1bc767bed	5db5848a-564d-45bf-b2ae-ddd5508cf512	INFILTRATION
48848118-52aa-4217-be71-3ec1bc767bed	ef9f59bb-31ba-4bba-aae2-196c1327aa65	IT_LOAD
0c80ed93-49d0-4a7a-9330-511ed2269c9e	d41f533f-4f70-4878-81e5-26a6efef9ff7	SWITCHGEAR
0c80ed93-49d0-4a7a-9330-511ed2269c9e	45c54ed6-eba1-4736-a827-ece967a68f73	GENERATOR
0c80ed93-49d0-4a7a-9330-511ed2269c9e	91513945-5f1d-468d-9495-b99aea7222af	PRIMARY_AUXILIARIES
0c80ed93-49d0-4a7a-9330-511ed2269c9e	3afa9699-5f58-41b5-aab9-3b54eeaa2496	UPS
0c80ed93-49d0-4a7a-9330-511ed2269c9e	609ff5b6-e924-45e2-b70a-8a6f3193cfef	CRITICAL_AUXILIARIES
0c80ed93-49d0-4a7a-9330-511ed2269c9e	99dcdd24-9ef0-4663-ab78-6286f2083958	LIGHTING
0c80ed93-49d0-4a7a-9330-511ed2269c9e	0d81740b-2a0e-44e4-b02a-cf00d23bc562	CRITICAL_POWER_DISTRIBUTION
0c80ed93-49d0-4a7a-9330-511ed2269c9e	bf196193-441d-42e1-b5f5-c836e2cac2df	CRAH
0c80ed93-49d0-4a7a-9330-511ed2269c9e	8642695e-f177-4ac5-8556-22fcd529a43d	CRAC
0c80ed93-49d0-4a7a-9330-511ed2269c9e	74720532-0f7c-48e4-a335-ea10f024187e	CRAC_WITHOUT_FAN
0c80ed93-49d0-4a7a-9330-511ed2269c9e	e88a4179-e34a-410a-990b-da5509940696	CRAC_FAN
0c80ed93-49d0-4a7a-9330-511ed2269c9e	674bef52-e466-44eb-913d-0956572fc085	CHILLER
0c80ed93-49d0-4a7a-9330-511ed2269c9e	147d7447-05ad-4fe4-a165-3664b09b858e	AIR_COOLED_CHILLER
0c80ed93-49d0-4a7a-9330-511ed2269c9e	072a4600-f074-48ae-a85e-ddc56dafeef2	COOLING_TOWER
0c80ed93-49d0-4a7a-9330-511ed2269c9e	b213e5fa-ed3d-4679-82d0-a08244b37074	DRY_COOLER
0c80ed93-49d0-4a7a-9330-511ed2269c9e	8ff17334-8774-4e7a-89c7-e5ec10a550a8	REMOTE_CONDENSER
0c80ed93-49d0-4a7a-9330-511ed2269c9e	5b3e642f-bb5b-4c0e-84cc-1fac48cd05e3	CHILLED_WATER_PUMPS
0c80ed93-49d0-4a7a-9330-511ed2269c9e	1eb037fb-f9de-41ed-aa5f-e86a3d69b2c6	HEAT_REJECTION_PUMPS
0c80ed93-49d0-4a7a-9330-511ed2269c9e	f8467443-d9ef-4c13-a7f9-4c4a81fcc19e	VENTILATION
0c80ed93-49d0-4a7a-9330-511ed2269c9e	910f2f5f-ba97-48e9-986a-18467dbd5496	INFILTRATION
0c80ed93-49d0-4a7a-9330-511ed2269c9e	a7bcbdef-075c-4271-899b-39e2b0d54192	IT_LOAD
c162ad09-fe41-4681-a3c0-737b3ad1755a	5112b8d7-0460-4399-b5a6-835d423db945	SWITCHGEAR
c162ad09-fe41-4681-a3c0-737b3ad1755a	ab0d1c98-105a-4361-a6d6-5d8de418c367	GENERATOR
c162ad09-fe41-4681-a3c0-737b3ad1755a	c9a0cc5c-f2f3-423c-828d-b2337ed1704e	PRIMARY_AUXILIARIES
c162ad09-fe41-4681-a3c0-737b3ad1755a	67d70a29-4333-42a6-bbec-510978fb06f3	UPS
c162ad09-fe41-4681-a3c0-737b3ad1755a	aaae40fe-ce3d-4bc3-ba23-18dce7355b25	CRITICAL_AUXILIARIES
c162ad09-fe41-4681-a3c0-737b3ad1755a	d7b0197b-ea0c-42ba-908a-18250956a1f9	LIGHTING
c162ad09-fe41-4681-a3c0-737b3ad1755a	39dd8caa-fc47-4a9c-b9d9-d05970b31aaf	CRITICAL_POWER_DISTRIBUTION
c162ad09-fe41-4681-a3c0-737b3ad1755a	77d472e6-79da-4b06-8072-32f371e2cd80	CRAH
c162ad09-fe41-4681-a3c0-737b3ad1755a	79b7155f-7688-4ca1-b5c5-29e2367c1181	CRAC
c162ad09-fe41-4681-a3c0-737b3ad1755a	f8aa9912-f4ce-4297-9f85-414d41362fc6	CRAC_WITHOUT_FAN
c162ad09-fe41-4681-a3c0-737b3ad1755a	ad3a0e0a-3f46-4789-8380-ff79ed394eb6	CRAC_FAN
c162ad09-fe41-4681-a3c0-737b3ad1755a	7fe6c4a8-38f5-4178-9f40-4de644aaecb3	CHILLER
c162ad09-fe41-4681-a3c0-737b3ad1755a	065c1cf5-f297-4f07-8d74-939edb607420	AIR_COOLED_CHILLER
c162ad09-fe41-4681-a3c0-737b3ad1755a	5a3b04c7-0143-4bca-bdeb-5e1441247410	COOLING_TOWER
c162ad09-fe41-4681-a3c0-737b3ad1755a	7a9db79e-023a-42db-bc90-9b83afffa2d8	DRY_COOLER
c162ad09-fe41-4681-a3c0-737b3ad1755a	6759d1fd-49e2-45ee-9b94-9e62678f691e	REMOTE_CONDENSER
c162ad09-fe41-4681-a3c0-737b3ad1755a	9731a776-be46-4cae-a4c1-fc52df337e30	CHILLED_WATER_PUMPS
c162ad09-fe41-4681-a3c0-737b3ad1755a	c1ac8bc8-d6fa-408c-80c5-c72162f07853	HEAT_REJECTION_PUMPS
c162ad09-fe41-4681-a3c0-737b3ad1755a	b1c2b4a1-0726-40c6-8e39-e65315e6e2ae	VENTILATION
c162ad09-fe41-4681-a3c0-737b3ad1755a	357d7977-c549-4a3b-a763-204a7eec4d0d	INFILTRATION
c162ad09-fe41-4681-a3c0-737b3ad1755a	220ef436-3d91-4179-bb58-3ad12cf99c2c	IT_LOAD
18930f94-45fb-4f76-aa9d-d3dd8811fb93	d6bac7a0-5809-49e6-81ff-2def7ae7caad	SWITCHGEAR
18930f94-45fb-4f76-aa9d-d3dd8811fb93	b80c6298-9449-4a12-850f-4470fdc6afe7	GENERATOR
18930f94-45fb-4f76-aa9d-d3dd8811fb93	7481940c-5178-427f-b917-bdcc793dc5c8	PRIMARY_AUXILIARIES
18930f94-45fb-4f76-aa9d-d3dd8811fb93	c7ef99b6-d445-4465-9e11-4d3315f87206	UPS
18930f94-45fb-4f76-aa9d-d3dd8811fb93	85bc2383-65e1-4120-a9e3-57370ece31ef	CRITICAL_AUXILIARIES
18930f94-45fb-4f76-aa9d-d3dd8811fb93	c71fba94-f19d-4968-9b59-73d927b14244	LIGHTING
18930f94-45fb-4f76-aa9d-d3dd8811fb93	3698362b-5f37-4794-a01a-33d1b49d8395	CRITICAL_POWER_DISTRIBUTION
18930f94-45fb-4f76-aa9d-d3dd8811fb93	08b33719-3564-4688-aa86-e656b43a4f0f	CRAH
18930f94-45fb-4f76-aa9d-d3dd8811fb93	c5c547e2-1ef4-4f69-8397-6fb5087b53c8	CRAC
18930f94-45fb-4f76-aa9d-d3dd8811fb93	23e066ce-b7d1-4737-8f54-25d8d3589261	CRAC_WITHOUT_FAN
18930f94-45fb-4f76-aa9d-d3dd8811fb93	9ee1f089-7a34-4660-8c2c-c1d3404ab8e9	CRAC_FAN
18930f94-45fb-4f76-aa9d-d3dd8811fb93	4cfb588c-eb28-405e-8e2d-db5d49ce6835	CHILLER
18930f94-45fb-4f76-aa9d-d3dd8811fb93	2730f502-ec6a-41f4-a47c-342d90343a51	AIR_COOLED_CHILLER
18930f94-45fb-4f76-aa9d-d3dd8811fb93	216285f3-60cf-4263-a406-96768182c318	COOLING_TOWER
18930f94-45fb-4f76-aa9d-d3dd8811fb93	3a35a2a1-3100-4d4b-be9a-57ff2e7e6efa	DRY_COOLER
18930f94-45fb-4f76-aa9d-d3dd8811fb93	1b84a110-1e1e-4611-bc87-8fa4e69c4aca	REMOTE_CONDENSER
18930f94-45fb-4f76-aa9d-d3dd8811fb93	0c8855fc-c5a9-4d76-9931-82dd03ad2bbb	CHILLED_WATER_PUMPS
18930f94-45fb-4f76-aa9d-d3dd8811fb93	d958aa05-e1ba-4628-8a35-8b1ef1987368	HEAT_REJECTION_PUMPS
18930f94-45fb-4f76-aa9d-d3dd8811fb93	4fcbd633-ee3e-43b6-879c-8cd17e53f2dd	VENTILATION
18930f94-45fb-4f76-aa9d-d3dd8811fb93	b0696c2a-8e0f-4c2b-bbc9-5db57fc798e0	INFILTRATION
18930f94-45fb-4f76-aa9d-d3dd8811fb93	cab99906-8706-4573-9e1d-ec5e7527723b	IT_LOAD
b21ff6e6-98bd-4b2b-a344-098b76f1377f	f39cd857-2589-4c7a-8ba5-067bd00aa77d	SWITCHGEAR
b21ff6e6-98bd-4b2b-a344-098b76f1377f	94ced73a-a983-40fa-aaca-1a2b8d3197bf	GENERATOR
b21ff6e6-98bd-4b2b-a344-098b76f1377f	a5bd2a53-67f7-492c-946d-69f6b593ae8b	PRIMARY_AUXILIARIES
b21ff6e6-98bd-4b2b-a344-098b76f1377f	2413b52c-2723-4b41-ad0b-0497c4e75428	UPS
b21ff6e6-98bd-4b2b-a344-098b76f1377f	14360cad-d7e5-4c5e-9f65-c46c3f8ccea4	CRITICAL_AUXILIARIES
b21ff6e6-98bd-4b2b-a344-098b76f1377f	e9977192-f72e-4d62-b58e-fdf8978502f8	LIGHTING
b21ff6e6-98bd-4b2b-a344-098b76f1377f	be1dfeef-354b-49d9-9f4e-a51ae775f01d	CRITICAL_POWER_DISTRIBUTION
b21ff6e6-98bd-4b2b-a344-098b76f1377f	ecb8f088-d1d0-4bd0-b431-04d3fabbf80c	CRAH
b21ff6e6-98bd-4b2b-a344-098b76f1377f	3d9e435f-a0d1-45aa-8d06-7b09eff886b3	CRAC
b21ff6e6-98bd-4b2b-a344-098b76f1377f	764b8d83-24bb-461b-8b30-e3bd481d5e95	CRAC_WITHOUT_FAN
b21ff6e6-98bd-4b2b-a344-098b76f1377f	14124bce-0461-42ec-80b6-7e6abf03bee8	CRAC_FAN
b21ff6e6-98bd-4b2b-a344-098b76f1377f	716ce6f6-24f4-40ec-8bfd-1af81139a2a2	CHILLER
b21ff6e6-98bd-4b2b-a344-098b76f1377f	71ad49cb-c1d6-41ce-b6ad-330293057685	AIR_COOLED_CHILLER
b21ff6e6-98bd-4b2b-a344-098b76f1377f	6163795b-79d3-46af-ae26-a1664d1b7ef6	COOLING_TOWER
b21ff6e6-98bd-4b2b-a344-098b76f1377f	7ff8fa50-e165-4792-ae17-2e159c84a88b	DRY_COOLER
b21ff6e6-98bd-4b2b-a344-098b76f1377f	f88d4678-498b-498b-904c-9d8b35046941	REMOTE_CONDENSER
b21ff6e6-98bd-4b2b-a344-098b76f1377f	9957e66a-5570-4c22-a5bb-c3504b6c05bb	CHILLED_WATER_PUMPS
b21ff6e6-98bd-4b2b-a344-098b76f1377f	67e130d4-c6d4-466a-ab55-0dc912c50b3b	HEAT_REJECTION_PUMPS
b21ff6e6-98bd-4b2b-a344-098b76f1377f	b6a0508d-efa8-4eda-82c3-45793648669b	VENTILATION
b21ff6e6-98bd-4b2b-a344-098b76f1377f	e4e9330c-7398-487c-88c4-223ac4fc8bb5	INFILTRATION
b21ff6e6-98bd-4b2b-a344-098b76f1377f	0a244216-efcf-459a-bc27-00cc34aae1b3	IT_LOAD
c918f862-91ee-4ab9-934a-1620dc715541	f3bf505d-03c6-4114-bd85-c1b11f764f43	SWITCHGEAR
c918f862-91ee-4ab9-934a-1620dc715541	3a9e1b65-ffa2-4546-8313-f296dfe14810	GENERATOR
c918f862-91ee-4ab9-934a-1620dc715541	94996fdc-611f-44b4-ac34-f01638e01d7e	PRIMARY_AUXILIARIES
c918f862-91ee-4ab9-934a-1620dc715541	03b07698-a37b-4bf3-bf4c-b1f5b785a148	UPS
c918f862-91ee-4ab9-934a-1620dc715541	10a0babf-0adf-4f9f-9067-d91e8a0cc3f9	CRITICAL_AUXILIARIES
c918f862-91ee-4ab9-934a-1620dc715541	0066ef1c-58f0-4ba5-abc0-eaa473fbc636	LIGHTING
c918f862-91ee-4ab9-934a-1620dc715541	7f156ca3-bfd1-4e6b-a810-6faa07f80259	CRITICAL_POWER_DISTRIBUTION
c918f862-91ee-4ab9-934a-1620dc715541	99f8b82c-83a7-488d-b76d-a07e057dbb8e	CRAH
c918f862-91ee-4ab9-934a-1620dc715541	c17d8944-5683-4ce9-9cff-161d5b553888	CRAC
c918f862-91ee-4ab9-934a-1620dc715541	14ece3ac-6a51-4acd-9129-6171b5ccdc6d	CRAC_WITHOUT_FAN
c918f862-91ee-4ab9-934a-1620dc715541	3510f131-ba8f-438b-b163-ed36b51b5fd6	CRAC_FAN
c918f862-91ee-4ab9-934a-1620dc715541	3a3f69ea-3563-4693-a5c1-5df8d78b856c	CHILLER
c918f862-91ee-4ab9-934a-1620dc715541	0dedee2c-eef6-4835-a96d-64493d861c5a	AIR_COOLED_CHILLER
c918f862-91ee-4ab9-934a-1620dc715541	8f3c5f5c-3162-4222-b67b-62a1fe6fbfb3	COOLING_TOWER
c918f862-91ee-4ab9-934a-1620dc715541	16f71daf-b55a-4805-955d-3a0623732529	DRY_COOLER
c918f862-91ee-4ab9-934a-1620dc715541	fbd3c065-fcba-4d8a-a9b9-e2fbc8dc7e5e	REMOTE_CONDENSER
c918f862-91ee-4ab9-934a-1620dc715541	d00a820a-3787-4593-8ca8-b5b118f44fef	CHILLED_WATER_PUMPS
c918f862-91ee-4ab9-934a-1620dc715541	a45be372-ea27-4d91-b7c7-1ba1bba107e8	HEAT_REJECTION_PUMPS
c918f862-91ee-4ab9-934a-1620dc715541	cd33256f-b827-412b-8081-e54277461704	VENTILATION
c918f862-91ee-4ab9-934a-1620dc715541	86089e4b-f243-4066-aabe-d602dcead312	INFILTRATION
c918f862-91ee-4ab9-934a-1620dc715541	9a71b68b-9ba0-4282-8c6c-f8ba4a702f99	IT_LOAD
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	2ab9068e-1a1a-4c3f-acba-d6e206cd0662	SWITCHGEAR
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	9d1c59fe-ef16-49b7-be51-a85cbc6a9ea7	GENERATOR
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	b7dfb3e4-0935-4630-8d87-5ca2dbe64d39	PRIMARY_AUXILIARIES
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	de745d20-bfde-4cb5-8461-779a8654aed0	UPS
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	b31d5b0c-a4bd-4ea1-9c78-31638d35fab4	CRITICAL_AUXILIARIES
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	1ec7e929-abcd-44ad-8383-a1b5f1a82b9d	LIGHTING
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	67036944-08d4-4873-9a47-35c844001e28	CRITICAL_POWER_DISTRIBUTION
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	1d5f5a80-7e9e-480c-9993-6eeeac989169	CRAH
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	eb0f0279-1dd6-4b4f-822b-56d53774ec29	CRAC
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	a845969f-aa14-4580-a46d-0d36da462d36	CRAC_WITHOUT_FAN
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	294ffd9f-dcf4-4e46-a6a7-65afb4b0de34	CRAC_FAN
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	0bd42d7d-b52b-43c0-a76f-af9665209e8a	CHILLER
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	fcac425d-a5f4-467d-837a-16f4cf394a36	AIR_COOLED_CHILLER
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	2ec0cc19-deeb-48cf-b33a-0ea0a47a68eb	COOLING_TOWER
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	c0491ff8-e911-47d5-b13f-bb553aa73e5f	DRY_COOLER
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	1516adae-1022-4dfa-aa8a-e8a541d05dd5	REMOTE_CONDENSER
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	15989512-025a-4cb5-b123-d1fe7b07c2ce	CHILLED_WATER_PUMPS
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	efbc8a75-c7c2-4359-a6a9-b9f390aa2a8e	HEAT_REJECTION_PUMPS
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	128edcbc-aa90-42f4-9e68-6afbb7b24f60	VENTILATION
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	ee31cd3e-07b7-4144-8c49-8d46ae22890d	INFILTRATION
b62a72e9-67a5-4a60-96b4-2c93d8da9b1b	304ae4df-2213-4730-a375-8a46ca420f89	IT_LOAD
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	8851d851-deb7-495a-b4af-d150d6573306	SWITCHGEAR
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	af615ec9-f4eb-415b-8664-6793118955a4	GENERATOR
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	645633fb-9948-4326-ab47-75533287fccc	PRIMARY_AUXILIARIES
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	2b77925c-467e-4ab1-94ca-99a17c2318ac	UPS
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	ea23a481-5c10-4951-8023-d0d4292adaf2	CRITICAL_AUXILIARIES
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	338a1762-4a2f-4aad-83d4-a48f70a4a2c4	LIGHTING
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	6083daf2-25ea-4432-b7f9-f8d2cc1d7218	CRITICAL_POWER_DISTRIBUTION
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	682bf3cf-b9f7-46bf-ad4a-a87db43489e1	CRAH
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	72f69ed1-8ee9-4003-9db4-97d5599633d9	CRAC
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	77b5795c-d003-4c8f-84a9-ab8d765f1d1b	CRAC_WITHOUT_FAN
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	1e8cfcdc-96c9-4751-a449-662f070a4624	CRAC_FAN
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	9cc1a738-314a-460c-ba87-2df06bcc2352	CHILLER
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	7b3c36d2-e085-46e6-98ab-f8d1a85c52ae	AIR_COOLED_CHILLER
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	b44cbe74-006f-4b24-9a8f-a59cc5a91972	COOLING_TOWER
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	cb8c9953-bb5c-448a-8c63-aab275cbe77f	DRY_COOLER
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	adad95f5-fb8e-46e2-82e7-e1f617747710	REMOTE_CONDENSER
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	6ef06ef2-db8a-4760-83dd-0ca744c94128	CHILLED_WATER_PUMPS
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	194475a6-b638-4c9a-a267-66d119f6a95c	HEAT_REJECTION_PUMPS
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	14a1fe1b-7ae6-43c1-ba81-75625515b1e6	VENTILATION
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	eabe9b95-afb0-4464-8d60-9db59534a6e8	INFILTRATION
c68fbaa9-dc85-4e68-be37-6f1bf4d85b1a	9b132a17-74a7-4abb-9dc3-f6ff44e5a5b1	IT_LOAD
947037ae-f29e-4942-affb-31d617a76ad6	73e48427-06ab-4939-9587-038bee86fda1	SWITCHGEAR
947037ae-f29e-4942-affb-31d617a76ad6	acfb5550-120f-4341-b644-38e6d4b5d093	GENERATOR
947037ae-f29e-4942-affb-31d617a76ad6	b93cddc9-93d9-481d-8cbb-6238e2a0a36a	PRIMARY_AUXILIARIES
947037ae-f29e-4942-affb-31d617a76ad6	f72f1ed7-34fd-46ba-bb4b-8aee22d2e429	UPS
947037ae-f29e-4942-affb-31d617a76ad6	9e7cac52-a394-4e47-a5b2-d0bf99bcdb13	CRITICAL_AUXILIARIES
947037ae-f29e-4942-affb-31d617a76ad6	836e8627-7334-4986-84b7-e7fdd2b6ad0f	LIGHTING
947037ae-f29e-4942-affb-31d617a76ad6	1c6ae9aa-a5be-47b7-a811-cad56daa79b7	CRITICAL_POWER_DISTRIBUTION
947037ae-f29e-4942-affb-31d617a76ad6	d2e6b802-32f7-44c9-af80-7ad4ecfd19b6	CRAH
947037ae-f29e-4942-affb-31d617a76ad6	4f4bac91-0492-4151-b54f-43a724ed75c3	CRAC
947037ae-f29e-4942-affb-31d617a76ad6	8ed67c32-eb34-4271-a7b0-54949c6d236c	CRAC_WITHOUT_FAN
947037ae-f29e-4942-affb-31d617a76ad6	c0253300-e051-4bd9-9021-b7af532c421d	CRAC_FAN
947037ae-f29e-4942-affb-31d617a76ad6	abb3a78e-2cdd-4a6c-99ed-fc7d377f0009	CHILLER
947037ae-f29e-4942-affb-31d617a76ad6	bf713640-6a70-469a-a45a-cd3d772eccc1	AIR_COOLED_CHILLER
947037ae-f29e-4942-affb-31d617a76ad6	04f88009-9084-46ca-89c6-a6f139c35af0	COOLING_TOWER
947037ae-f29e-4942-affb-31d617a76ad6	8729a1d8-4095-4d0c-bf39-8815fad1fb2c	DRY_COOLER
947037ae-f29e-4942-affb-31d617a76ad6	10cdfb06-806f-4703-b55e-228cdae9f1be	REMOTE_CONDENSER
947037ae-f29e-4942-affb-31d617a76ad6	d57fa8e6-e725-4204-af78-9900f0175fc9	CHILLED_WATER_PUMPS
947037ae-f29e-4942-affb-31d617a76ad6	f7c00095-8e19-412b-a32d-2a6fe5e2c9a8	HEAT_REJECTION_PUMPS
947037ae-f29e-4942-affb-31d617a76ad6	a668cb63-c493-4389-865f-87f301d0e31e	VENTILATION
947037ae-f29e-4942-affb-31d617a76ad6	363d873a-5f94-4730-8f5b-062e4028c21d	INFILTRATION
947037ae-f29e-4942-affb-31d617a76ad6	2680043b-2401-49aa-b2ef-ea375b533582	IT_LOAD
19edbd52-f6f3-48d2-bf7d-f7684c364279	15594f65-39dc-428c-b5c7-d83b5b7ebff3	SWITCHGEAR
19edbd52-f6f3-48d2-bf7d-f7684c364279	5c11c64a-321f-40a2-86ac-3880a1bfa170	GENERATOR
19edbd52-f6f3-48d2-bf7d-f7684c364279	4d910550-ebfa-4199-a46a-5f65b167192c	PRIMARY_AUXILIARIES
19edbd52-f6f3-48d2-bf7d-f7684c364279	4eda8fc4-61d0-495e-8333-ddf5e980375e	UPS
19edbd52-f6f3-48d2-bf7d-f7684c364279	3f364e67-2c3a-4452-82fa-91563686e987	CRITICAL_AUXILIARIES
19edbd52-f6f3-48d2-bf7d-f7684c364279	17817231-7cd9-4b8e-83ee-d9d5ceb0f2c8	LIGHTING
19edbd52-f6f3-48d2-bf7d-f7684c364279	54a37324-7dc8-4455-b008-1fd15d9fdea9	CRITICAL_POWER_DISTRIBUTION
19edbd52-f6f3-48d2-bf7d-f7684c364279	d3edf7b6-988b-4fda-a066-6644984b78b9	CRAH
19edbd52-f6f3-48d2-bf7d-f7684c364279	7d486c62-fa88-4d2a-90e8-c928f142bb9d	CRAC
19edbd52-f6f3-48d2-bf7d-f7684c364279	90a67ff4-1911-4e27-9747-cc85ad52918d	CRAC_WITHOUT_FAN
19edbd52-f6f3-48d2-bf7d-f7684c364279	1677199b-a315-4b29-b281-9520d7d8e65e	CRAC_FAN
19edbd52-f6f3-48d2-bf7d-f7684c364279	69501cfc-15c9-4b31-a3e2-c876c74f4ea3	CHILLER
19edbd52-f6f3-48d2-bf7d-f7684c364279	0fada30a-84d0-479c-90da-32bd2ce2acd4	AIR_COOLED_CHILLER
19edbd52-f6f3-48d2-bf7d-f7684c364279	160ef653-ab00-4cec-841b-785ce3c80545	COOLING_TOWER
19edbd52-f6f3-48d2-bf7d-f7684c364279	47b6248d-ea10-43dc-bb56-d54a731260d4	DRY_COOLER
19edbd52-f6f3-48d2-bf7d-f7684c364279	b623013c-2f99-48de-899a-78043d6374a4	REMOTE_CONDENSER
19edbd52-f6f3-48d2-bf7d-f7684c364279	04d59f66-07e3-46be-81d6-068106b47342	CHILLED_WATER_PUMPS
19edbd52-f6f3-48d2-bf7d-f7684c364279	d32b861f-1bd5-452a-8f11-fb633fc97c19	HEAT_REJECTION_PUMPS
19edbd52-f6f3-48d2-bf7d-f7684c364279	4638853b-725a-4764-8fde-cfb52a2888a1	VENTILATION
19edbd52-f6f3-48d2-bf7d-f7684c364279	af7b606c-26b7-4cbd-8a72-32e6e58fc9c5	INFILTRATION
19edbd52-f6f3-48d2-bf7d-f7684c364279	24f6d551-472d-4900-8980-875f47a3e58a	IT_LOAD
e4c33269-3031-4408-b7ef-1d2a581c932d	20d4b3d0-2f9b-45d2-8f67-cad86dd08dfd	SWITCHGEAR
e4c33269-3031-4408-b7ef-1d2a581c932d	1ac8f17f-b517-467c-8033-f08ecaf5a414	GENERATOR
e4c33269-3031-4408-b7ef-1d2a581c932d	e2bb1e74-7319-4d7e-8a44-d4c86d13e300	PRIMARY_AUXILIARIES
e4c33269-3031-4408-b7ef-1d2a581c932d	600afcd5-62b6-4417-8e27-62ba7a51ec2d	UPS
e4c33269-3031-4408-b7ef-1d2a581c932d	029a05aa-6398-47c7-966b-3d2b743900b0	CRITICAL_AUXILIARIES
e4c33269-3031-4408-b7ef-1d2a581c932d	872d3e49-3d9c-44a0-87d3-450988fb81fd	LIGHTING
e4c33269-3031-4408-b7ef-1d2a581c932d	bbe35183-1f25-471c-b91d-9a4a3ec0ae3f	CRITICAL_POWER_DISTRIBUTION
e4c33269-3031-4408-b7ef-1d2a581c932d	15f86fd1-5223-4ebd-aaaf-cf2ed07c5fc6	CRAH
e4c33269-3031-4408-b7ef-1d2a581c932d	8e42491c-d3b8-47ce-ac4d-6a645a66cf83	CRAC
e4c33269-3031-4408-b7ef-1d2a581c932d	5fea0c00-667e-4f5d-a4d3-bb1bf68340be	CRAC_WITHOUT_FAN
e4c33269-3031-4408-b7ef-1d2a581c932d	3ce26d4c-c28f-48a3-b204-73ead661dc68	CRAC_FAN
e4c33269-3031-4408-b7ef-1d2a581c932d	30077782-b947-4fc1-b74b-744649bacb29	CHILLER
e4c33269-3031-4408-b7ef-1d2a581c932d	3d84ee24-e31e-44ef-92e0-af258cd752dc	AIR_COOLED_CHILLER
e4c33269-3031-4408-b7ef-1d2a581c932d	ce091365-eec8-48be-aa7b-d3590bb27ff5	COOLING_TOWER
e4c33269-3031-4408-b7ef-1d2a581c932d	cbd592e4-c42c-4b28-9262-1ec57243123f	DRY_COOLER
e4c33269-3031-4408-b7ef-1d2a581c932d	def3e69e-7e86-43e0-b2f2-17ab4a447947	REMOTE_CONDENSER
e4c33269-3031-4408-b7ef-1d2a581c932d	01b82f9c-74e0-42f8-a7f4-d77b5daabe5e	CHILLED_WATER_PUMPS
e4c33269-3031-4408-b7ef-1d2a581c932d	67dfce31-4f78-4a31-be8a-0e9ddb1198fa	HEAT_REJECTION_PUMPS
e4c33269-3031-4408-b7ef-1d2a581c932d	dbeadfdd-df4a-477a-a425-29463f2e8135	VENTILATION
e4c33269-3031-4408-b7ef-1d2a581c932d	c43608bd-308d-4363-8735-c90700cc7bf8	INFILTRATION
e4c33269-3031-4408-b7ef-1d2a581c932d	06bea3f4-6245-4af8-a0ba-13aaf9ec323f	IT_LOAD
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	15a51bfe-3133-4916-99ab-b00fa8be1979	SWITCHGEAR
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	a2e039db-8e37-4389-be58-5f2080129619	GENERATOR
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	bce1d154-9e09-435c-8184-ac967d173a94	PRIMARY_AUXILIARIES
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	e442bd30-0550-4a67-974d-c76401c36caa	UPS
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	03bb56c6-90af-4fc3-85af-80ac495440d1	CRITICAL_AUXILIARIES
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	7c2e9bc8-24ab-45c0-8ce3-74d059ce27e2	LIGHTING
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	fd36bcba-e9a5-4d8b-89e0-e217fd1c526e	CRITICAL_POWER_DISTRIBUTION
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	9f41a639-5b57-48d3-b35d-c377bb095fe4	CRAH
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	8405cb11-2a6c-4026-ae18-07dd439ca483	CRAC
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	b032efd7-8a3f-4b88-88d7-4bd65350eaef	CRAC_WITHOUT_FAN
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	2ecdf85d-2721-496b-a3ca-e2b3b923c6b3	CRAC_FAN
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	4717c5df-f432-4627-a4de-7caf25e1ea94	CHILLER
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	b3ef6231-009b-4478-bbd1-fcaf64c185cc	AIR_COOLED_CHILLER
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	07b2e999-622e-42c8-a48b-0ec810ef3780	COOLING_TOWER
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	dcda2583-2ba6-4269-bf1b-03c6c0b9388c	DRY_COOLER
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	8f40e7bb-c040-4355-810a-8bb8e3af9b84	REMOTE_CONDENSER
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	efba97fb-1469-4d87-995b-962ed3694f84	CHILLED_WATER_PUMPS
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	9ac99c7f-aeea-485d-b3b6-3bded3fed954	HEAT_REJECTION_PUMPS
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	d3093154-c0ca-41d1-901e-ac75944fae56	VENTILATION
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	91a6dd10-397a-4c07-9703-9962094416e1	INFILTRATION
d611ef61-c758-45e3-a5c5-5855bf8c2b8c	7ed10993-5748-4280-9028-df75a29671cc	IT_LOAD
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	f2e67e9b-c1f7-4e4f-abc0-88f6442bf8f6	SWITCHGEAR
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	9b4a3eb8-b11e-4d29-b6c3-00c45eb7899b	GENERATOR
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	c7816c07-4780-4dca-b7dd-a746db5a79c1	PRIMARY_AUXILIARIES
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	755c0e00-9601-40fa-880f-007fbf3aa004	UPS
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	5337574d-107e-4bb5-84c7-70dd192a9472	CRITICAL_AUXILIARIES
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	cce4d608-9d28-4cbf-9d73-948ee13b52c7	LIGHTING
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	834f0428-e95c-4e1b-8f92-eeb0bb360e69	CRITICAL_POWER_DISTRIBUTION
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	dd8d3257-b35d-4504-8c6c-78c33308b010	CRAH
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	3926a47e-ab8f-4de8-9049-4cfa34db2a86	CRAC
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	6ad6c5e1-76cb-4799-a2f2-25c501d15baf	CRAC_WITHOUT_FAN
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	ba162861-00f1-4e32-ba92-e69d120d033c	CRAC_FAN
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	8b286122-1eff-4df2-ae20-1b1315eb4b9a	CHILLER
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	01c71753-2378-44f7-ad06-fb3980c9aefd	AIR_COOLED_CHILLER
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	9ab9b140-da0d-454d-9d44-f60403c39ef8	COOLING_TOWER
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	b1fabbc9-a5f8-4621-a78f-3dadbd97d5e6	DRY_COOLER
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	1679eb11-efe6-48ea-80f6-5edd1139bdfb	REMOTE_CONDENSER
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	a01183dd-20b7-4078-b16e-0de6d159a836	CHILLED_WATER_PUMPS
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	802c2873-db37-4ca2-a59e-b5e6cd136336	HEAT_REJECTION_PUMPS
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	8a8bbbc8-a078-4b51-9a33-51caac769396	VENTILATION
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	2fe65f2c-273f-4cf7-aa23-ab63e393ac7a	INFILTRATION
57e74a68-e8f9-4ff8-b7b1-8354b9e82cd0	dd25e0c4-f599-4dd1-9154-b83125f1864b	IT_LOAD
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	6f6f5465-9369-45ca-9a60-5b7fa04b8f4f	SWITCHGEAR
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	c370e407-61fa-4bd0-a226-ef06573a0351	GENERATOR
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	838ae6da-38fb-47d5-9058-a46c393cce0e	PRIMARY_AUXILIARIES
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	b0687a4e-da09-4dd7-9e2d-8b091b10d11e	UPS
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	69b8116f-0938-479c-95a5-0986e3989169	CRITICAL_AUXILIARIES
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	7d664fa7-e5ad-4aed-97f0-1598f31375a3	LIGHTING
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	67c272d3-fb8a-4588-a5ba-648bf558caed	CRITICAL_POWER_DISTRIBUTION
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	15639e39-05a1-44a3-9048-150589c74b8d	CRAH
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	6616a4f9-9538-4977-ad2d-4abe88acec7e	CRAC
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	73aa439b-0901-4557-9f4a-d80d0c420bcc	CRAC_WITHOUT_FAN
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	ae6a4c9d-b973-485d-8cc1-dc70b851bc7b	CRAC_FAN
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	940ae2e7-9d61-4f84-9a1c-9a9810b8c72c	CHILLER
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	1deba4f1-4dad-49b9-8cf2-a4aefabbd577	AIR_COOLED_CHILLER
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	f568a942-4ae6-470d-b915-c863cf774a82	COOLING_TOWER
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	5f95a44f-8a9c-4da9-bc1b-4ba946d6974c	DRY_COOLER
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	9e00bc4f-b672-4426-8c3e-fd58d988cd1b	REMOTE_CONDENSER
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	64d5870e-24a9-4b2d-8120-63908083a387	CHILLED_WATER_PUMPS
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	f8b5e1e5-2bb9-4c4a-aa5a-3885ef654b83	HEAT_REJECTION_PUMPS
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	97422c2d-054c-467d-a678-d283b66eddb7	VENTILATION
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	a78f58fa-cbab-4bfe-a44d-b095da290325	INFILTRATION
cb1c7c6d-d432-46a6-b320-0cbbd32f046a	85ade4ed-7b6b-4ee8-bd26-7cf0975fe017	IT_LOAD
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	23763bb8-5b2d-4ddc-9a90-e166610927b8	SWITCHGEAR
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	ff4e0d7c-3982-414d-9c7e-cd756a09e516	GENERATOR
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	933df523-edea-4c00-a1db-7a683b77b6d8	PRIMARY_AUXILIARIES
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	4cd386e9-1a62-4af5-8f45-337ad9af036a	UPS
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	5d1604bc-4fef-4a16-8981-a5cbc75aee12	CRITICAL_AUXILIARIES
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	b9a74cc4-5095-47f3-a5be-e4e08f84bd56	LIGHTING
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	bdd68c2d-7ee0-4f6f-a303-31bb0c60730d	CRITICAL_POWER_DISTRIBUTION
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	1380f6fc-b3d3-4301-baf6-25ecde85da26	CRAH
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	08fc3576-21ce-4bd7-94a4-01006d53bff3	CRAC
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	32b10c74-baf1-4811-9581-869e6fbb302c	CRAC_WITHOUT_FAN
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	6ccaa6e8-e594-49b6-bf62-cf187154701d	CRAC_FAN
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	83e3f5b0-cc5b-4c32-9ebc-7d08b7d45c9d	CHILLER
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	237a0831-c3c1-4d24-ab90-c1dfc771730b	AIR_COOLED_CHILLER
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	5d11962e-911b-45c3-83a8-5d67d7af7ca9	COOLING_TOWER
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	8f2cd1b5-87aa-44d4-be4d-d01e9ee8b7c5	DRY_COOLER
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	c7fcfc54-5751-4a65-b5f4-7d981dd49f3a	REMOTE_CONDENSER
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	6b71981f-f2e1-4824-a355-6bb8e4fb9654	CHILLED_WATER_PUMPS
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	1fd58d5b-54cc-4216-b339-1cd2ad5f3990	HEAT_REJECTION_PUMPS
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	d6ad150f-137f-4e67-b3e8-2eab1cf2024d	VENTILATION
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	a6e7381d-459d-4dcc-80e2-972d841f0bd7	INFILTRATION
3c76e0a8-3d15-4706-b8da-bf44fa5d6bb8	aedc1860-94d5-4e51-9801-d4a2628f6a37	IT_LOAD
3a397912-759d-4df7-9173-af180c3ee77e	fbf195ad-0b35-4b55-9c35-94439582b251	SWITCHGEAR
3a397912-759d-4df7-9173-af180c3ee77e	2d447cb0-2e6b-4693-bfec-ffff0494b956	GENERATOR
3a397912-759d-4df7-9173-af180c3ee77e	f9e8618c-6209-4140-831c-538522c44707	PRIMARY_AUXILIARIES
3a397912-759d-4df7-9173-af180c3ee77e	69c77f46-aec4-410b-bfd7-408d089f20bf	UPS
3a397912-759d-4df7-9173-af180c3ee77e	d4cd81d9-22c1-4d52-9186-0c78bee26526	CRITICAL_AUXILIARIES
3a397912-759d-4df7-9173-af180c3ee77e	28a7cb3d-1a53-49db-abd2-581c73fe56b2	LIGHTING
3a397912-759d-4df7-9173-af180c3ee77e	4083414f-e454-4eda-988f-96fed0d33d3f	CRITICAL_POWER_DISTRIBUTION
3a397912-759d-4df7-9173-af180c3ee77e	59392e6e-2270-40b2-be2e-416c53aebda2	CRAH
3a397912-759d-4df7-9173-af180c3ee77e	77f2971e-040d-45a4-a308-555c8cdb717a	CRAC
3a397912-759d-4df7-9173-af180c3ee77e	8622f185-2d62-432c-a96d-a213e84ff771	CRAC_WITHOUT_FAN
3a397912-759d-4df7-9173-af180c3ee77e	c7ce73bb-a965-48bf-aada-1f2e4101bb7d	CRAC_FAN
3a397912-759d-4df7-9173-af180c3ee77e	4cebf592-ef4c-4365-9a5c-037e30bfbc9e	CHILLER
3a397912-759d-4df7-9173-af180c3ee77e	03cd56b6-4503-42f1-93b7-2db94fd492fc	AIR_COOLED_CHILLER
3a397912-759d-4df7-9173-af180c3ee77e	7af9b044-aa56-42d2-b577-3f2d87c927d7	COOLING_TOWER
3a397912-759d-4df7-9173-af180c3ee77e	5d2c8f2f-3cb9-45c9-b82a-6d6755f37438	DRY_COOLER
3a397912-759d-4df7-9173-af180c3ee77e	b1166140-d489-4d73-bea1-da1b80eb3729	REMOTE_CONDENSER
3a397912-759d-4df7-9173-af180c3ee77e	2efb1a17-fa68-497c-b3dc-c99f1dc8208f	CHILLED_WATER_PUMPS
3a397912-759d-4df7-9173-af180c3ee77e	2dbe029b-58f0-4c84-b981-10fb42fb7ceb	HEAT_REJECTION_PUMPS
3a397912-759d-4df7-9173-af180c3ee77e	8ad4f44f-fd5d-4db1-b154-a0927e3d8fdf	VENTILATION
3a397912-759d-4df7-9173-af180c3ee77e	9c51d26a-296d-4b95-9dda-32fe904da06d	INFILTRATION
3a397912-759d-4df7-9173-af180c3ee77e	6c84d011-f8ba-4038-b3ab-d2f7831c8d68	IT_LOAD
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	155d6c56-46d7-4312-bc8a-8f55040440cf	SWITCHGEAR
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	4fca51c8-49c5-4ba2-8bda-73dd2ac7ab19	GENERATOR
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	9816a881-7ee1-42a0-abf3-99ca49f1fbe4	PRIMARY_AUXILIARIES
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	e77f1c7f-6d16-432d-94a2-323216258a93	UPS
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	cf52906d-035d-422a-b25a-f109b3a988f3	CRITICAL_AUXILIARIES
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	0b3eff64-36cf-408b-97e9-6fd4bbdd3be8	LIGHTING
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	0337f01b-75ca-4b43-bfed-1efdefdf8e21	CRITICAL_POWER_DISTRIBUTION
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	fa7e6e10-8122-4fd2-a22e-bd963a1bd56f	CRAH
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	c2f496f7-cf28-4d76-a413-7d77db58bb50	CRAC
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	c61ae224-31f2-49b1-868a-9909e22e3940	CRAC_WITHOUT_FAN
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	fe87afc9-0c33-4ce7-ae20-cbe7b381021a	CRAC_FAN
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	35b54844-8caf-47ca-a972-6506032d3992	CHILLER
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	61cf7b8d-4bee-40dd-864d-e18900975eaa	AIR_COOLED_CHILLER
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	62b0172b-a350-424c-a04a-b0cf8277036c	COOLING_TOWER
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	baaafbcc-7c6c-4b66-a87c-4187cf74b876	DRY_COOLER
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	bf648891-080f-43ce-afd6-8e63e84b2746	REMOTE_CONDENSER
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	e973802b-af54-4941-a803-e1f6280809e1	CHILLED_WATER_PUMPS
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	40de958f-b4a7-4e11-92a4-ba1fa8e72eea	HEAT_REJECTION_PUMPS
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	f3c76178-79cf-4ba5-b18f-2d2085b3adc6	VENTILATION
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	ee460d92-14b4-48e4-b9de-16b41fd0a5b6	INFILTRATION
38e5dadf-2690-4acd-9f90-d5dc389c6f1f	c4541a13-a106-44ce-ac1b-a917aa42107c	IT_LOAD
9351f16d-0436-444f-a47d-e8ca3f6331b0	70b764ad-f2bd-449d-b164-2ef58d6b789e	SWITCHGEAR
9351f16d-0436-444f-a47d-e8ca3f6331b0	52157b38-8719-4083-a2c2-e5e78215d899	GENERATOR
9351f16d-0436-444f-a47d-e8ca3f6331b0	7e3f0d1b-a426-47d4-8223-0eaef4e454aa	PRIMARY_AUXILIARIES
9351f16d-0436-444f-a47d-e8ca3f6331b0	20d98e0f-26cb-4d07-ae9b-b98a7ddee906	UPS
9351f16d-0436-444f-a47d-e8ca3f6331b0	fee12727-2e56-48fa-a8c4-a02c34928352	CRITICAL_AUXILIARIES
9351f16d-0436-444f-a47d-e8ca3f6331b0	59efb4b5-6ded-4458-92d8-f05cb012038a	LIGHTING
9351f16d-0436-444f-a47d-e8ca3f6331b0	5c2d9e5f-b1c9-4565-a70c-4b9daee80d97	CRITICAL_POWER_DISTRIBUTION
9351f16d-0436-444f-a47d-e8ca3f6331b0	4958fabe-c83c-4d14-88ca-391a638d7ab2	CRAH
9351f16d-0436-444f-a47d-e8ca3f6331b0	bccbf64c-34b9-4446-bb73-d29c239a4aa9	CRAC
9351f16d-0436-444f-a47d-e8ca3f6331b0	058c1411-1266-4fad-bb40-6dfef3e53b2b	CRAC_WITHOUT_FAN
9351f16d-0436-444f-a47d-e8ca3f6331b0	c0f28192-cab3-4045-80ff-00370e13d0a7	CRAC_FAN
9351f16d-0436-444f-a47d-e8ca3f6331b0	2a2542dc-9d5e-4116-8c46-0d6accb30f5f	CHILLER
9351f16d-0436-444f-a47d-e8ca3f6331b0	b7f356db-1d35-406f-873e-ec1868094d01	AIR_COOLED_CHILLER
9351f16d-0436-444f-a47d-e8ca3f6331b0	499e5ad8-f5fa-429c-9a14-03629bea8732	COOLING_TOWER
9351f16d-0436-444f-a47d-e8ca3f6331b0	92c381c7-3ef6-4312-a13d-89fc37b79f0f	DRY_COOLER
9351f16d-0436-444f-a47d-e8ca3f6331b0	43444dc2-4836-41b7-bcd8-9341c95c29b7	REMOTE_CONDENSER
9351f16d-0436-444f-a47d-e8ca3f6331b0	be30ee0b-8e75-47e2-952e-be52f6adeda4	CHILLED_WATER_PUMPS
9351f16d-0436-444f-a47d-e8ca3f6331b0	f405089d-aa2e-462c-9362-3c2fc5a3d7ee	HEAT_REJECTION_PUMPS
9351f16d-0436-444f-a47d-e8ca3f6331b0	64d6dad8-243b-4c9b-b868-ebfd2e2bae67	VENTILATION
9351f16d-0436-444f-a47d-e8ca3f6331b0	edd51e29-259f-4224-b2a1-276a3e4992a7	INFILTRATION
9351f16d-0436-444f-a47d-e8ca3f6331b0	dcddcad7-b2b6-4bcd-ab98-418289628b9e	IT_LOAD
c8c291a4-60ca-4a9f-aa45-a636513f526b	6d55f9a9-5c38-42ab-8353-cf02e6256cb9	SWITCHGEAR
c8c291a4-60ca-4a9f-aa45-a636513f526b	d09ce9c7-705d-4792-8cc1-cd494cc50656	GENERATOR
c8c291a4-60ca-4a9f-aa45-a636513f526b	c657ce0a-1643-4264-b93c-1cacbbb8cd6e	PRIMARY_AUXILIARIES
c8c291a4-60ca-4a9f-aa45-a636513f526b	5c60fdde-8d8a-4395-885b-f415a45b489a	UPS
c8c291a4-60ca-4a9f-aa45-a636513f526b	f38f05a7-2aa4-4268-b6c3-57d23637ed8c	CRITICAL_AUXILIARIES
c8c291a4-60ca-4a9f-aa45-a636513f526b	3a2a7ddd-7406-4667-a14d-4482e2ddd5a0	LIGHTING
c8c291a4-60ca-4a9f-aa45-a636513f526b	7a930dc0-fcf8-4d51-8c0c-664ded3a1ddd	CRITICAL_POWER_DISTRIBUTION
c8c291a4-60ca-4a9f-aa45-a636513f526b	d3804150-9f89-4e5c-8864-4032c13ece5e	CRAH
c8c291a4-60ca-4a9f-aa45-a636513f526b	822d69c2-81d9-4d23-a298-02b4e603f50a	CRAC
c8c291a4-60ca-4a9f-aa45-a636513f526b	de3c499f-31c8-4c37-af71-8ff442a48418	CRAC_WITHOUT_FAN
c8c291a4-60ca-4a9f-aa45-a636513f526b	8d012e7d-95ce-470f-9372-c705f5a03de7	CRAC_FAN
c8c291a4-60ca-4a9f-aa45-a636513f526b	326bdb82-51c2-4b2d-b717-709986bf9257	CHILLER
c8c291a4-60ca-4a9f-aa45-a636513f526b	b74a4c5d-8b72-4878-80b5-025c0ae07f83	AIR_COOLED_CHILLER
c8c291a4-60ca-4a9f-aa45-a636513f526b	d0bd6bd9-c825-4815-b761-595716cbe4bd	COOLING_TOWER
c8c291a4-60ca-4a9f-aa45-a636513f526b	2865c9c9-a506-4ff7-ae6d-9718009871ea	DRY_COOLER
c8c291a4-60ca-4a9f-aa45-a636513f526b	5a36229b-ed1b-46fe-a9fd-c82995b0829b	REMOTE_CONDENSER
c8c291a4-60ca-4a9f-aa45-a636513f526b	b61e405a-7fe6-40aa-b7f2-e1650d3982bd	CHILLED_WATER_PUMPS
c8c291a4-60ca-4a9f-aa45-a636513f526b	77d615e7-f1cf-4267-8841-77b95954838e	HEAT_REJECTION_PUMPS
c8c291a4-60ca-4a9f-aa45-a636513f526b	e3551b64-4358-40e7-940e-2c6aa94f35e0	VENTILATION
c8c291a4-60ca-4a9f-aa45-a636513f526b	293af3cb-a232-497c-b775-13304eb64fa6	INFILTRATION
c8c291a4-60ca-4a9f-aa45-a636513f526b	a1069249-d29b-494a-a831-93adbcc849c4	IT_LOAD
0f2571eb-75c6-4739-890a-64dc2c20ea1f	f05358b6-83b5-4a5e-af12-55dc06b574cd	SWITCHGEAR
0f2571eb-75c6-4739-890a-64dc2c20ea1f	296bc328-d2a1-451d-bfb3-3e68ef593b40	GENERATOR
0f2571eb-75c6-4739-890a-64dc2c20ea1f	4e428a51-0731-4b9f-93bb-fc7c3ec86a5a	PRIMARY_AUXILIARIES
0f2571eb-75c6-4739-890a-64dc2c20ea1f	3a68d79e-3635-401c-9c57-54dce60e2031	UPS
0f2571eb-75c6-4739-890a-64dc2c20ea1f	13253ed6-bc5c-426f-86d9-d430fd86d031	CRITICAL_AUXILIARIES
0f2571eb-75c6-4739-890a-64dc2c20ea1f	6c8e7b58-1152-4268-9043-66f65b8221e0	LIGHTING
0f2571eb-75c6-4739-890a-64dc2c20ea1f	5facd053-0c4a-481c-9b08-4fc1b0bbc1a1	CRITICAL_POWER_DISTRIBUTION
0f2571eb-75c6-4739-890a-64dc2c20ea1f	1faf73f0-78e5-4835-8ce1-236a65cc759c	CRAH
0f2571eb-75c6-4739-890a-64dc2c20ea1f	4229d441-dfcf-419d-8ee1-57eae970f864	CRAC
0f2571eb-75c6-4739-890a-64dc2c20ea1f	e2210387-88e9-43dc-8146-d9114ae76fc1	CRAC_WITHOUT_FAN
0f2571eb-75c6-4739-890a-64dc2c20ea1f	e7bf4a4c-42d2-4716-94d2-bb0ff21194b8	CRAC_FAN
0f2571eb-75c6-4739-890a-64dc2c20ea1f	f6579343-5f5d-4f5b-840f-7abd2ac3267a	CHILLER
0f2571eb-75c6-4739-890a-64dc2c20ea1f	4e32e9e7-8e62-4f76-9479-0e8a3a82784a	AIR_COOLED_CHILLER
0f2571eb-75c6-4739-890a-64dc2c20ea1f	5d775036-d4e3-410d-90ea-78b90c155726	COOLING_TOWER
0f2571eb-75c6-4739-890a-64dc2c20ea1f	8bcbab2b-11d3-4069-b69a-82f10ab5aaa4	DRY_COOLER
0f2571eb-75c6-4739-890a-64dc2c20ea1f	df12b0cb-6f9c-4d06-89a0-dd3eb534f0c2	REMOTE_CONDENSER
0f2571eb-75c6-4739-890a-64dc2c20ea1f	473a7edb-7d5f-455a-a9db-90660a2f022e	CHILLED_WATER_PUMPS
0f2571eb-75c6-4739-890a-64dc2c20ea1f	a26a18c2-635a-4838-9596-dc4fad586788	HEAT_REJECTION_PUMPS
0f2571eb-75c6-4739-890a-64dc2c20ea1f	659cf494-7802-4aa9-92fe-1ed02468f94c	VENTILATION
0f2571eb-75c6-4739-890a-64dc2c20ea1f	4fbc3260-2072-4a2d-b0f7-930b70aa82d0	INFILTRATION
0f2571eb-75c6-4739-890a-64dc2c20ea1f	0f5c6dc0-5791-46bb-aac9-e3e0f6ebb210	IT_LOAD
ab2f3604-83b4-4f19-82b7-56897383d8fc	f64bea17-3e09-4789-bbb5-2b423dae7f74	SWITCHGEAR
ab2f3604-83b4-4f19-82b7-56897383d8fc	01e22f57-965e-42ac-9e61-9a2c92657d47	GENERATOR
ab2f3604-83b4-4f19-82b7-56897383d8fc	095b4e5d-8e3e-478f-899e-75973f976766	PRIMARY_AUXILIARIES
ab2f3604-83b4-4f19-82b7-56897383d8fc	f116bb29-a412-4acd-978a-6672f02f8564	UPS
ab2f3604-83b4-4f19-82b7-56897383d8fc	531e3be8-6b96-4707-8443-2382395af71f	CRITICAL_AUXILIARIES
ab2f3604-83b4-4f19-82b7-56897383d8fc	b854c78f-a292-45b2-a96b-3cda90133904	LIGHTING
ab2f3604-83b4-4f19-82b7-56897383d8fc	bfbed5a1-3310-4208-9595-40e1eae0784b	CRITICAL_POWER_DISTRIBUTION
ab2f3604-83b4-4f19-82b7-56897383d8fc	73c3ddb0-c702-49c5-a82c-c1799820a745	CRAH
ab2f3604-83b4-4f19-82b7-56897383d8fc	e6a30a88-6477-4728-aa3a-882e29a7f420	CRAC
ab2f3604-83b4-4f19-82b7-56897383d8fc	00cfecc3-8fb7-48b3-803c-d071a8b22cbd	CRAC_WITHOUT_FAN
ab2f3604-83b4-4f19-82b7-56897383d8fc	46e6775b-9d82-4a99-ad8f-e9471512c2aa	CRAC_FAN
ab2f3604-83b4-4f19-82b7-56897383d8fc	5e2bd047-6d96-4579-aba7-54c7b2ae9b26	CHILLER
ab2f3604-83b4-4f19-82b7-56897383d8fc	cfc17e33-ae95-4f09-9690-6d899b43511f	AIR_COOLED_CHILLER
ab2f3604-83b4-4f19-82b7-56897383d8fc	9dd3c2d8-2075-4f5c-b275-45fb2a17a3a4	COOLING_TOWER
ab2f3604-83b4-4f19-82b7-56897383d8fc	ca575da0-1c17-4f5a-ba24-2c61c11ac185	DRY_COOLER
ab2f3604-83b4-4f19-82b7-56897383d8fc	0e8b2e65-ef60-41ac-b857-1164a2545b87	REMOTE_CONDENSER
ab2f3604-83b4-4f19-82b7-56897383d8fc	677328b0-c958-4dc2-8e89-5d4fc38b05f2	CHILLED_WATER_PUMPS
ab2f3604-83b4-4f19-82b7-56897383d8fc	0abc0781-84ae-4be5-964d-d380409b44de	HEAT_REJECTION_PUMPS
ab2f3604-83b4-4f19-82b7-56897383d8fc	5487dcf9-828c-4585-8a3b-5510de7d7414	VENTILATION
ab2f3604-83b4-4f19-82b7-56897383d8fc	71666308-fffb-4a64-b6e5-3d240f18327e	INFILTRATION
ab2f3604-83b4-4f19-82b7-56897383d8fc	c372dd52-10dd-45ce-a3cc-17398f50e570	IT_LOAD
9189deaa-657d-409b-b55c-794dd42d96bb	41bba868-7881-42eb-9d5c-80e5992f3d6e	SWITCHGEAR
9189deaa-657d-409b-b55c-794dd42d96bb	94a15231-3129-4956-a898-1ba930dfc21e	GENERATOR
9189deaa-657d-409b-b55c-794dd42d96bb	6547bf21-f384-40f6-9a27-4d2d9ac5788a	PRIMARY_AUXILIARIES
9189deaa-657d-409b-b55c-794dd42d96bb	27f8145a-2044-4981-836e-11a6669ff7d7	UPS
9189deaa-657d-409b-b55c-794dd42d96bb	e07a7596-7ec1-4438-9595-248dbb00b9c6	CRITICAL_AUXILIARIES
9189deaa-657d-409b-b55c-794dd42d96bb	dd1cbbe1-0173-4551-803e-1b3537e6a6e3	LIGHTING
9189deaa-657d-409b-b55c-794dd42d96bb	c28f7240-8eaa-4ab5-bb85-ceca2698e0d1	CRITICAL_POWER_DISTRIBUTION
9189deaa-657d-409b-b55c-794dd42d96bb	dce62782-ae78-470d-9c82-e5a2e16a3663	CRAH
9189deaa-657d-409b-b55c-794dd42d96bb	af822a14-6471-4490-ae9f-e78d3e1fdc25	CRAC
9189deaa-657d-409b-b55c-794dd42d96bb	0549af49-ada6-462e-ad10-b394b5f52fb4	CRAC_WITHOUT_FAN
9189deaa-657d-409b-b55c-794dd42d96bb	8ccc0322-5ce9-44d7-b13f-1d68d2442f0a	CRAC_FAN
9189deaa-657d-409b-b55c-794dd42d96bb	07345909-fd46-4ddc-9b0e-654c549697cc	CHILLER
9189deaa-657d-409b-b55c-794dd42d96bb	edeac7cb-88c6-41c0-8638-55c89cdef717	AIR_COOLED_CHILLER
9189deaa-657d-409b-b55c-794dd42d96bb	887c164a-481c-40b0-8a88-24c1b54341b0	COOLING_TOWER
9189deaa-657d-409b-b55c-794dd42d96bb	80de5a9d-407b-4f0a-a84f-bfd30477073f	DRY_COOLER
9189deaa-657d-409b-b55c-794dd42d96bb	6e98a31e-d86e-4b31-9401-1d08d8891ffa	REMOTE_CONDENSER
9189deaa-657d-409b-b55c-794dd42d96bb	6e889d28-1185-4a75-8daf-d259054694e6	CHILLED_WATER_PUMPS
9189deaa-657d-409b-b55c-794dd42d96bb	7b79371c-e9d8-41eb-bdf8-2f04eb159844	HEAT_REJECTION_PUMPS
9189deaa-657d-409b-b55c-794dd42d96bb	13e9656e-3959-4d48-a97f-c2844711cb3e	VENTILATION
9189deaa-657d-409b-b55c-794dd42d96bb	c25a7fbe-53be-48e3-92f9-0170835f8e5d	INFILTRATION
9189deaa-657d-409b-b55c-794dd42d96bb	252ccba2-204e-454c-812f-2a0b929c21f5	IT_LOAD
1c67dd2f-610f-42b8-885f-c5e879972293	ecb83338-769c-4293-9245-cc7d867e35eb	SWITCHGEAR
1c67dd2f-610f-42b8-885f-c5e879972293	c6a021de-a424-4f85-8804-3d8eb9858abf	GENERATOR
1c67dd2f-610f-42b8-885f-c5e879972293	0d1dc50b-c5ec-4e57-aaf8-4a639df36161	PRIMARY_AUXILIARIES
1c67dd2f-610f-42b8-885f-c5e879972293	420005c3-1a34-4a92-99e0-8dfbe9f91105	UPS
1c67dd2f-610f-42b8-885f-c5e879972293	12460992-4929-4cb8-b0c3-5f09413c6e12	CRITICAL_AUXILIARIES
1c67dd2f-610f-42b8-885f-c5e879972293	548a41f7-07f6-4a1c-a84a-f5c883ef9cc3	LIGHTING
1c67dd2f-610f-42b8-885f-c5e879972293	0a2ac097-655d-4d31-bfed-aad46cd4aa09	CRITICAL_POWER_DISTRIBUTION
1c67dd2f-610f-42b8-885f-c5e879972293	fdce18ea-5bce-4ded-9d50-6d618eeaee7b	CRAH
1c67dd2f-610f-42b8-885f-c5e879972293	257a9e0e-fa22-4d28-9f93-0a4e10113ddf	CRAC
1c67dd2f-610f-42b8-885f-c5e879972293	1b1c7dc9-5552-456f-81f7-ce3baa5264bf	CRAC_WITHOUT_FAN
1c67dd2f-610f-42b8-885f-c5e879972293	a9fb7b31-f723-40f1-9c8d-aea98a1153ea	CRAC_FAN
1c67dd2f-610f-42b8-885f-c5e879972293	655932ab-70cd-4f2f-8a1b-86fbdfa75755	CHILLER
1c67dd2f-610f-42b8-885f-c5e879972293	85bd008c-c2be-47cd-a220-939450c02242	AIR_COOLED_CHILLER
1c67dd2f-610f-42b8-885f-c5e879972293	3dc8df3b-3ceb-47cf-955f-dd0b20ec9f5a	COOLING_TOWER
1c67dd2f-610f-42b8-885f-c5e879972293	5b5ea295-0558-4164-88ef-f541751334de	DRY_COOLER
1c67dd2f-610f-42b8-885f-c5e879972293	ed6380f7-5221-4c18-82da-13a221fb46ef	REMOTE_CONDENSER
1c67dd2f-610f-42b8-885f-c5e879972293	610237fa-4683-400a-b20d-c7918881586c	CHILLED_WATER_PUMPS
1c67dd2f-610f-42b8-885f-c5e879972293	630b30dc-4450-4970-b9e9-b6ab3c130e3e	HEAT_REJECTION_PUMPS
1c67dd2f-610f-42b8-885f-c5e879972293	ff141fc4-e7d1-44c5-96ab-9f5121f324d3	VENTILATION
1c67dd2f-610f-42b8-885f-c5e879972293	a250ca89-08a0-40f9-84d2-fe54097bdefe	INFILTRATION
1c67dd2f-610f-42b8-885f-c5e879972293	c6898a97-2131-4a7d-9408-42be7bb6c602	IT_LOAD
07321e40-e199-4ba2-94c4-a5d695bb672a	f2df0531-df36-4375-87dc-718dafd7bd31	SWITCHGEAR
07321e40-e199-4ba2-94c4-a5d695bb672a	4a7c6dc6-f29b-4536-9367-9ed725374108	GENERATOR
07321e40-e199-4ba2-94c4-a5d695bb672a	8c6bdc7e-f062-4ecf-8e22-dab149b5c04c	PRIMARY_AUXILIARIES
07321e40-e199-4ba2-94c4-a5d695bb672a	1736520f-e6cf-40b0-863b-d1023ea356d9	UPS
07321e40-e199-4ba2-94c4-a5d695bb672a	3eba1d6c-4c7f-4cac-a98b-0af95392d289	CRITICAL_AUXILIARIES
07321e40-e199-4ba2-94c4-a5d695bb672a	52022026-cf65-46f7-b713-e2b414146346	LIGHTING
07321e40-e199-4ba2-94c4-a5d695bb672a	8cc3cefe-95ab-492c-b4b6-a67a581e8dec	CRITICAL_POWER_DISTRIBUTION
07321e40-e199-4ba2-94c4-a5d695bb672a	e0ac7f3c-0eb9-4e23-8189-694b13dfe8cf	CRAH
07321e40-e199-4ba2-94c4-a5d695bb672a	8218bde8-3fcb-4645-a1b0-4d1ab759c113	CRAC
07321e40-e199-4ba2-94c4-a5d695bb672a	c8f14983-8f91-4890-a6bf-bf0e6694c6af	CRAC_WITHOUT_FAN
07321e40-e199-4ba2-94c4-a5d695bb672a	48ed98b3-40a1-4267-9acd-710d53f2d1ce	CRAC_FAN
07321e40-e199-4ba2-94c4-a5d695bb672a	7ccb22b9-b729-496f-8a34-3e9f48289015	CHILLER
07321e40-e199-4ba2-94c4-a5d695bb672a	c18ad2a1-1469-4110-834b-a21fcac4a0ce	AIR_COOLED_CHILLER
07321e40-e199-4ba2-94c4-a5d695bb672a	fbbaeab9-810c-4a45-b3dc-e52b7b7ecf57	COOLING_TOWER
07321e40-e199-4ba2-94c4-a5d695bb672a	3cfedc4b-0824-4cf2-840b-ef30bb78281a	DRY_COOLER
07321e40-e199-4ba2-94c4-a5d695bb672a	253ee132-11f6-4f8f-9338-e4a741c30609	REMOTE_CONDENSER
07321e40-e199-4ba2-94c4-a5d695bb672a	dfe537b6-3566-441e-83db-e711eae51e47	CHILLED_WATER_PUMPS
07321e40-e199-4ba2-94c4-a5d695bb672a	14983ab9-aa99-4327-bd98-628e1293450e	HEAT_REJECTION_PUMPS
07321e40-e199-4ba2-94c4-a5d695bb672a	3036a39b-0290-4196-8fc2-3bb332ccdcd4	VENTILATION
07321e40-e199-4ba2-94c4-a5d695bb672a	344d72be-6c12-4698-8a4a-fc64188af8eb	INFILTRATION
07321e40-e199-4ba2-94c4-a5d695bb672a	3a9a03a9-bfdb-4df1-9f88-a4bdc9307a29	IT_LOAD
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	138549fc-4798-4869-a41e-996a594ac795	SWITCHGEAR
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	45479b89-3b18-483c-a16d-70a2d2b47a71	GENERATOR
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	11b25cd1-255e-4ef3-ac5e-86be1baea32b	PRIMARY_AUXILIARIES
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	fcbfb023-cfe3-4a85-b5b7-1bb9ecd3136c	UPS
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	a71c808a-8970-499d-8b6b-3b0333a3d388	CRITICAL_AUXILIARIES
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	1e40927a-0039-4e7a-b2a6-cfef5cb21fba	LIGHTING
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	5872111f-dbed-4903-967b-acddaa186728	CRITICAL_POWER_DISTRIBUTION
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	c9272b45-bfba-4e9a-97d0-776532fc30b9	CRAH
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	183a7c49-c2fe-4a85-a798-80941f8e7dd2	CRAC
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	e20292c1-7a1a-4a63-a054-abc96a758a17	CRAC_WITHOUT_FAN
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	5f08ead6-3cbf-4792-a4b3-024246b377b4	CRAC_FAN
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	a8ef7530-5758-4bfe-9ba1-42d868d8a3be	CHILLER
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	5a9473d5-0628-4c95-9b14-c757ba0c83eb	AIR_COOLED_CHILLER
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	875ff4fb-d2e7-469a-88ca-32e47d84cadf	COOLING_TOWER
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	64b27ff5-9ac3-42f2-a791-1ae0adfa626e	DRY_COOLER
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	18248f7f-5068-41c4-bdcb-f98d42f71e33	REMOTE_CONDENSER
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	7aa9f077-726f-4a44-9431-cff407b52a8f	CHILLED_WATER_PUMPS
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	1c14da8c-7cb6-4c07-8b90-a2ec940cb4d3	HEAT_REJECTION_PUMPS
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	c27874e8-5344-45be-ae3c-26bf20ceda65	VENTILATION
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	37eef826-e321-405d-bb16-9153e02d6a12	INFILTRATION
dfdba8da-4f17-4e04-9b6f-1610d3c4ce51	981c735e-f966-4be5-87ec-b77307094928	IT_LOAD
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	8edfd034-e6fe-46fa-8b42-f7068840039f	SWITCHGEAR
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	e4142c40-fa7f-4f07-b08d-7b400721ecb6	GENERATOR
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	471d8183-df8d-4945-8e1b-4c1224a6fa33	PRIMARY_AUXILIARIES
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	a6f3e695-69e3-41a8-8129-67d85d2d2011	UPS
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	22eb5229-5ae4-40d5-93dd-87d42f7f5552	CRITICAL_AUXILIARIES
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	0e2e39d9-8cd9-40e0-86e1-c87855b6b66d	LIGHTING
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	b8f8d5bc-a9d0-4fdf-8f6a-25f35af6e96f	CRITICAL_POWER_DISTRIBUTION
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	4692d134-695d-453b-85c9-6733de8727b0	CRAH
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	26550cfe-050d-434c-855d-5c31a457780c	CRAC
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	7a414aed-378f-4f09-adfc-3579a293e362	CRAC_WITHOUT_FAN
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	7921180e-4fd6-418b-a206-a91e6ba43ff8	CRAC_FAN
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	b701b8cc-5dcd-482b-9e2e-72179ddaea3c	CHILLER
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	863ffd7e-48f8-4bbe-9283-d716f9aac279	AIR_COOLED_CHILLER
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	818f24df-0f03-43ff-86a9-ba47a325b57b	COOLING_TOWER
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	a26cdaaa-5673-4ccf-b349-b4f43c649836	DRY_COOLER
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	ca246ca3-a73c-47a4-b179-27ae825032f1	REMOTE_CONDENSER
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	23ed95a2-f1b1-453c-aee4-538908de2446	CHILLED_WATER_PUMPS
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	096d1e69-1e47-4c21-8165-580f9c870b87	HEAT_REJECTION_PUMPS
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	adaa0b29-8bf2-427c-b404-5357a007a090	VENTILATION
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	410cbbc0-4d6c-4a31-818c-7e5a5bf4e035	INFILTRATION
a7bbbd04-03a8-4216-ac2f-a7fe4ebaf3ae	eddcb144-ba70-4c6a-8468-e793b60fbf13	IT_LOAD
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	859c29fe-4bf9-44a5-94ae-d4b47d90e201	SWITCHGEAR
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	6ccc18fa-6b86-4a3e-b97f-7b277cfac459	GENERATOR
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	ad8bd2ca-2e98-4486-b2dd-48d9abe80be3	PRIMARY_AUXILIARIES
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	fcd9d7e3-f85d-45e2-aafa-12ed3654aa4e	UPS
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	84b58bf9-67a4-49b3-86f8-e1fad14b4e93	CRITICAL_AUXILIARIES
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	444ddd68-84a0-424d-b3ec-68c9a0e1d0ac	LIGHTING
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	53fe6a2c-05ca-44e0-8dc1-38e9e2443b7d	CRITICAL_POWER_DISTRIBUTION
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	08c5c5b7-d050-4306-b9a2-0f320bd58c7c	CRAH
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	7fe41e6d-4bff-4979-8c44-090d8de795dc	CRAC
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	42034aa7-152e-4b72-a187-f2dcc7182f56	CRAC_WITHOUT_FAN
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	584cb057-7822-405f-a836-8b7f10c3dd3f	CRAC_FAN
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	62bc75fe-d65d-4b5e-8e59-2f32f3686c0c	CHILLER
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	04b1c6f3-c70b-4ba5-8d64-616a5c4cce8d	AIR_COOLED_CHILLER
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	6d310347-5b88-464c-bbb7-319ea2713ab6	COOLING_TOWER
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	c32f483b-b6b3-485d-acf7-419a1316745d	DRY_COOLER
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	af53f118-5ecb-45f2-877e-1d9f0961af3b	REMOTE_CONDENSER
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	60801cd5-bbda-4914-8b2a-9f1cca6261fc	CHILLED_WATER_PUMPS
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	bbaf71cd-fe20-46fb-a671-5c0f6fca52b8	HEAT_REJECTION_PUMPS
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	fe7babbe-b402-49bd-8f28-60f5228cb614	VENTILATION
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	9816c86f-99dc-4ecc-8652-163e3b6e2b60	INFILTRATION
6bb592d3-4a5a-4576-9401-29cd8b5cf25d	7183ba3d-db28-46a8-9d3d-a34099df4d6f	IT_LOAD
03bc3b5b-d966-4637-9294-333a4070aa00	f78b4d57-19d1-48c3-91e9-d306067d5be8	SWITCHGEAR
03bc3b5b-d966-4637-9294-333a4070aa00	50495ccb-d542-44b1-a231-4a23e671290b	GENERATOR
03bc3b5b-d966-4637-9294-333a4070aa00	e21816ba-f0c2-41be-994f-1cd8b04799dd	PRIMARY_AUXILIARIES
03bc3b5b-d966-4637-9294-333a4070aa00	395d4758-a875-4d3d-8df2-ce215c0e1bac	UPS
03bc3b5b-d966-4637-9294-333a4070aa00	d208eb07-3d97-4868-9ddb-6ecda029a0ca	CRITICAL_AUXILIARIES
03bc3b5b-d966-4637-9294-333a4070aa00	e6b94f57-c5c5-48dd-97ce-6cabed245eed	LIGHTING
03bc3b5b-d966-4637-9294-333a4070aa00	e0c7e2df-39f6-4795-a569-911e9dc5e13c	CRITICAL_POWER_DISTRIBUTION
03bc3b5b-d966-4637-9294-333a4070aa00	3c5fd27b-1639-4392-9029-c6f25f38c659	CRAH
03bc3b5b-d966-4637-9294-333a4070aa00	4923db83-2e26-4817-b0cb-16e1f02a67ca	CRAC
03bc3b5b-d966-4637-9294-333a4070aa00	a113b3df-9766-48aa-a9c7-60417a0a744d	CRAC_WITHOUT_FAN
03bc3b5b-d966-4637-9294-333a4070aa00	f00a46d8-ee8c-4117-ba09-b2b6cbcc87c0	CRAC_FAN
03bc3b5b-d966-4637-9294-333a4070aa00	af2113df-31cc-43b1-9c61-66b80564bdba	CHILLER
03bc3b5b-d966-4637-9294-333a4070aa00	f010446b-5099-4d26-aa5c-388e4b13444b	AIR_COOLED_CHILLER
03bc3b5b-d966-4637-9294-333a4070aa00	d9858d61-8d2a-4be4-95e6-27f11c64e083	COOLING_TOWER
03bc3b5b-d966-4637-9294-333a4070aa00	830cbfbd-4077-4a0c-b201-97514df79386	DRY_COOLER
03bc3b5b-d966-4637-9294-333a4070aa00	49fcc191-578a-498b-8e11-b36924abdaff	REMOTE_CONDENSER
03bc3b5b-d966-4637-9294-333a4070aa00	088d5152-0362-4f0d-a016-01d7add00e98	CHILLED_WATER_PUMPS
03bc3b5b-d966-4637-9294-333a4070aa00	cbf2f448-4cbb-42b7-8689-07dc3272b099	HEAT_REJECTION_PUMPS
03bc3b5b-d966-4637-9294-333a4070aa00	495c738c-6529-443b-8edc-661667e4268b	VENTILATION
03bc3b5b-d966-4637-9294-333a4070aa00	7016eaf4-515a-465c-865f-cbf192ef3e38	INFILTRATION
03bc3b5b-d966-4637-9294-333a4070aa00	f362e6a1-532f-4ac6-a8c2-05cac7a84534	IT_LOAD
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	dc56e12d-4eec-4a54-9985-76e4dbc2c92f	SWITCHGEAR
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	ea62f295-36e8-4610-9c5b-be45bfce15f0	GENERATOR
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	55d4fe92-8ef8-4be9-8c24-9352d6d214e4	PRIMARY_AUXILIARIES
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	be34c1f3-4441-472e-a1d3-3a413bd293c8	UPS
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	89800c5a-3e1e-44e4-b4a4-322e7abdaa49	CRITICAL_AUXILIARIES
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	688b600a-679b-4b45-9813-f7ae6f61031d	LIGHTING
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	a98f6abf-8ade-4160-9926-12c26af810e8	CRITICAL_POWER_DISTRIBUTION
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	6f8fcfc6-97cf-49cd-82c4-7b4eb2ba2939	CRAH
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	cf89888b-87cf-43c2-bae3-d9caa8e6d294	CRAC
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	85730371-8261-40f7-922f-1891c58e19e6	CRAC_WITHOUT_FAN
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	7798e753-25b1-4559-9eb2-6d71ce258bf6	CRAC_FAN
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	36ac8228-905c-4267-8885-37041a110bee	CHILLER
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	f7bc11bf-a732-4827-a5e0-d4d32c2be3a7	AIR_COOLED_CHILLER
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	68f6c72b-3962-45d6-ae44-ab5e8873d7b0	COOLING_TOWER
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	0a956956-587f-403c-bceb-6ba808b3ef21	DRY_COOLER
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	a7acc3be-5ea5-4126-9d0c-f1a25c26dbcf	REMOTE_CONDENSER
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	44bae6fa-823a-4c92-b587-b879bd62cf67	CHILLED_WATER_PUMPS
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	9c5b7e65-4bbc-4d23-bfd0-1d684538d795	HEAT_REJECTION_PUMPS
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	dd9a4ca4-750b-41ac-98dc-0399239aa6d6	VENTILATION
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	da2867e9-338c-4129-8d66-3be902756b63	INFILTRATION
2135e4be-8c5c-4e39-86f5-cffaa4e5211a	2b712e3c-e19c-414d-8522-c49e249fce6a	IT_LOAD
7b6edee8-5602-44b4-afc7-bfc22e73848d	67b31428-0269-4c74-80e7-a7b5412e0a37	SWITCHGEAR
7b6edee8-5602-44b4-afc7-bfc22e73848d	d8f579ab-5bc0-49c4-a544-0b770aa9e6eb	GENERATOR
7b6edee8-5602-44b4-afc7-bfc22e73848d	89869b6e-eeee-4ac3-b0e0-8c83d950b4f1	PRIMARY_AUXILIARIES
7b6edee8-5602-44b4-afc7-bfc22e73848d	7c9669fd-75f4-4426-b8dc-0b457e8b0894	UPS
7b6edee8-5602-44b4-afc7-bfc22e73848d	22d65547-41c2-4b3a-9ce5-2f6441e0ad3b	CRITICAL_AUXILIARIES
7b6edee8-5602-44b4-afc7-bfc22e73848d	77dc72bf-b9f1-4905-9d5b-9a1be836a30e	LIGHTING
7b6edee8-5602-44b4-afc7-bfc22e73848d	2240fdbc-afd4-4d7a-bd28-17c9b5e2fa1d	CRITICAL_POWER_DISTRIBUTION
7b6edee8-5602-44b4-afc7-bfc22e73848d	36dc7e5e-090c-463f-bfe8-bcfe3d2516a3	CRAH
7b6edee8-5602-44b4-afc7-bfc22e73848d	c3298589-b39c-4220-862c-072ac61f5ebc	CRAC
7b6edee8-5602-44b4-afc7-bfc22e73848d	d9323674-1308-4f0a-ab2e-4ef415be9329	CRAC_WITHOUT_FAN
7b6edee8-5602-44b4-afc7-bfc22e73848d	deb0da42-6029-43fb-b80f-e939cc7be565	CRAC_FAN
7b6edee8-5602-44b4-afc7-bfc22e73848d	35eac55f-7b4e-43f3-8fe4-0b79bc3645a2	CHILLER
7b6edee8-5602-44b4-afc7-bfc22e73848d	960cc462-b85d-4874-aa51-22874da3dd06	AIR_COOLED_CHILLER
7b6edee8-5602-44b4-afc7-bfc22e73848d	4cf9d089-2e0b-4f01-9e13-00a2f7bc4593	COOLING_TOWER
7b6edee8-5602-44b4-afc7-bfc22e73848d	83f06d11-bdda-49e3-9df7-cfbdb73286c6	DRY_COOLER
7b6edee8-5602-44b4-afc7-bfc22e73848d	95d89ed6-673f-4690-8412-cafa6081fc1d	REMOTE_CONDENSER
7b6edee8-5602-44b4-afc7-bfc22e73848d	c49eb826-8c0e-4018-b846-f9b6f2e5320b	CHILLED_WATER_PUMPS
7b6edee8-5602-44b4-afc7-bfc22e73848d	f2d4929e-ed5b-4a43-a7c7-cf1204493ecd	HEAT_REJECTION_PUMPS
7b6edee8-5602-44b4-afc7-bfc22e73848d	9e9f91d6-86dc-4ad7-823d-61d2d310b9fc	VENTILATION
7b6edee8-5602-44b4-afc7-bfc22e73848d	a1fc66d3-a339-4725-b284-5f6b1b16057c	INFILTRATION
7b6edee8-5602-44b4-afc7-bfc22e73848d	ff7f0bd8-95f0-4991-bbeb-0cb5980582bf	IT_LOAD
0fc111bc-61d7-4e34-a65d-c62ac16fe765	691bb637-640d-48c1-ac34-e68d2e0aa330	SWITCHGEAR
0fc111bc-61d7-4e34-a65d-c62ac16fe765	8aee5159-436e-4997-8c61-62414922497b	GENERATOR
0fc111bc-61d7-4e34-a65d-c62ac16fe765	867d3ff0-560d-41b3-954f-589a1ef05ded	PRIMARY_AUXILIARIES
0fc111bc-61d7-4e34-a65d-c62ac16fe765	e58b2ca2-7eba-4137-bfa1-9499a7657bfa	UPS
0fc111bc-61d7-4e34-a65d-c62ac16fe765	5d3a5f6c-5172-4689-8061-585f3711562c	CRITICAL_AUXILIARIES
0fc111bc-61d7-4e34-a65d-c62ac16fe765	11899d93-1fe5-430c-a18b-5b9e1d2e8191	LIGHTING
0fc111bc-61d7-4e34-a65d-c62ac16fe765	36dbde72-8594-489c-98a8-134d2f449125	CRITICAL_POWER_DISTRIBUTION
0fc111bc-61d7-4e34-a65d-c62ac16fe765	b7dc9460-9125-410e-b04e-0dd1bdc49f3a	CRAH
0fc111bc-61d7-4e34-a65d-c62ac16fe765	0e61240f-5a12-4cf7-b8f3-bc197b7eed7d	CRAC
0fc111bc-61d7-4e34-a65d-c62ac16fe765	999cc0af-35bc-41ac-9445-5e7fbc80193f	CRAC_WITHOUT_FAN
0fc111bc-61d7-4e34-a65d-c62ac16fe765	2eb037a3-cabb-42f6-bf05-33fca892740c	CRAC_FAN
0fc111bc-61d7-4e34-a65d-c62ac16fe765	cbc63635-5d4f-4da1-81a7-8411e4d4cd10	CHILLER
0fc111bc-61d7-4e34-a65d-c62ac16fe765	6c0043c0-367c-4028-b899-5951923438ff	AIR_COOLED_CHILLER
0fc111bc-61d7-4e34-a65d-c62ac16fe765	a597ce07-e152-47bb-919d-3c00efa97ca9	COOLING_TOWER
0fc111bc-61d7-4e34-a65d-c62ac16fe765	ff54c5cd-578c-4a9f-af48-1aec5713805b	DRY_COOLER
0fc111bc-61d7-4e34-a65d-c62ac16fe765	366e0d63-e014-4d3e-b885-5f7025031a82	REMOTE_CONDENSER
0fc111bc-61d7-4e34-a65d-c62ac16fe765	e49a5070-159a-419d-993c-e912b0d4d945	CHILLED_WATER_PUMPS
0fc111bc-61d7-4e34-a65d-c62ac16fe765	dfd9158b-79be-4b30-b454-9f0e51201eb6	HEAT_REJECTION_PUMPS
0fc111bc-61d7-4e34-a65d-c62ac16fe765	878a3f88-4771-42d4-8ad7-5f3b5a2a0558	VENTILATION
0fc111bc-61d7-4e34-a65d-c62ac16fe765	76749b7a-4e68-468d-990b-452191360e97	INFILTRATION
0fc111bc-61d7-4e34-a65d-c62ac16fe765	7de224e4-2aaf-4575-900d-974c3db4f5e2	IT_LOAD
6f76721a-890e-483a-afb8-a5f4119ffbfe	947aa937-44af-4e0e-be2e-1cc1e8dbd44a	SWITCHGEAR
6f76721a-890e-483a-afb8-a5f4119ffbfe	dbde08c5-2147-4741-a0eb-5fa4304ec0d2	GENERATOR
6f76721a-890e-483a-afb8-a5f4119ffbfe	3a05f3dc-a69c-49c3-9b72-938c2eaad6be	PRIMARY_AUXILIARIES
6f76721a-890e-483a-afb8-a5f4119ffbfe	be7fb338-76e8-437e-9fe4-6afea29b117f	UPS
6f76721a-890e-483a-afb8-a5f4119ffbfe	913cd515-0286-464c-80c6-2468051d272b	CRITICAL_AUXILIARIES
6f76721a-890e-483a-afb8-a5f4119ffbfe	dd41a13a-35c0-4cd5-839f-a21e113d23b8	LIGHTING
6f76721a-890e-483a-afb8-a5f4119ffbfe	8c96b5a4-435d-4250-9455-6c8a09c44dec	CRITICAL_POWER_DISTRIBUTION
6f76721a-890e-483a-afb8-a5f4119ffbfe	7bac6391-ef4d-43c4-b9c7-0211349ddda8	CRAH
6f76721a-890e-483a-afb8-a5f4119ffbfe	7aa36ca7-ca3d-41e2-9d7d-2c2ff0a6ccb0	CRAC
6f76721a-890e-483a-afb8-a5f4119ffbfe	7f576ceb-0d0a-4469-95a8-907c6e0e5839	CRAC_WITHOUT_FAN
6f76721a-890e-483a-afb8-a5f4119ffbfe	b5173c29-87cb-461c-a5ac-6d71654de76c	CRAC_FAN
6f76721a-890e-483a-afb8-a5f4119ffbfe	914d17b9-4315-46f0-b4b8-f56d4cc750da	CHILLER
6f76721a-890e-483a-afb8-a5f4119ffbfe	e310a3c8-d9a0-4bee-a60e-6d23b5f5918f	AIR_COOLED_CHILLER
6f76721a-890e-483a-afb8-a5f4119ffbfe	15477b6f-f9cc-44b3-88a1-8e81504f5230	COOLING_TOWER
6f76721a-890e-483a-afb8-a5f4119ffbfe	b343c34c-317c-45fd-85f2-5852f6392574	DRY_COOLER
6f76721a-890e-483a-afb8-a5f4119ffbfe	796fb86e-bcd1-4d5b-b1d9-f98a953c84c9	REMOTE_CONDENSER
6f76721a-890e-483a-afb8-a5f4119ffbfe	0bbeae85-8058-4c07-8994-1e65f4cb7c0d	CHILLED_WATER_PUMPS
6f76721a-890e-483a-afb8-a5f4119ffbfe	bf7c37bc-0cef-4184-a2e7-7348baa0b7c3	HEAT_REJECTION_PUMPS
6f76721a-890e-483a-afb8-a5f4119ffbfe	83836fa5-a229-447b-8805-906e11e829ec	VENTILATION
6f76721a-890e-483a-afb8-a5f4119ffbfe	39ed0494-5758-4f31-820e-8f6ebb884b6c	INFILTRATION
6f76721a-890e-483a-afb8-a5f4119ffbfe	70151b35-1ebe-4ce9-9c6b-2fe5df0e769a	IT_LOAD
29204060-cc4f-45e3-a6e9-4bf37915fe23	764a0b74-87fe-48ff-8d66-837b7d94391a	SWITCHGEAR
29204060-cc4f-45e3-a6e9-4bf37915fe23	73f8c572-c299-4024-abac-8b45adaf6ec3	GENERATOR
29204060-cc4f-45e3-a6e9-4bf37915fe23	948704c3-5a1f-40d2-ae88-b5804e1f2d1c	PRIMARY_AUXILIARIES
29204060-cc4f-45e3-a6e9-4bf37915fe23	7296b3ed-c4ab-4915-a6f2-ae611133315e	UPS
29204060-cc4f-45e3-a6e9-4bf37915fe23	8c0d4328-fe4f-4378-8f6e-4155d94ecd06	CRITICAL_AUXILIARIES
29204060-cc4f-45e3-a6e9-4bf37915fe23	6e6a7d44-d830-4522-9ec6-9de7c7a8ed23	LIGHTING
29204060-cc4f-45e3-a6e9-4bf37915fe23	2685070d-e2c7-4b68-86f4-e2796f12f32f	CRITICAL_POWER_DISTRIBUTION
29204060-cc4f-45e3-a6e9-4bf37915fe23	49e666d5-b7e4-40eb-840e-c8869a1fc77a	CRAH
29204060-cc4f-45e3-a6e9-4bf37915fe23	0eedb3fa-a591-40e7-8f3f-ca97d2c71eaa	CRAC
29204060-cc4f-45e3-a6e9-4bf37915fe23	7582cf6d-2b97-4f7d-bf56-da1cc8b0e7bd	CRAC_WITHOUT_FAN
29204060-cc4f-45e3-a6e9-4bf37915fe23	690ae380-2b2a-46a8-a144-41d3f68a9774	CRAC_FAN
29204060-cc4f-45e3-a6e9-4bf37915fe23	35a999e4-e503-4115-8f1a-ee5e760d2d72	CHILLER
29204060-cc4f-45e3-a6e9-4bf37915fe23	4092abe1-0c42-4c84-9d30-ee261f03bcce	AIR_COOLED_CHILLER
29204060-cc4f-45e3-a6e9-4bf37915fe23	a76657df-2b48-4fb2-9a57-747c4f462de2	COOLING_TOWER
29204060-cc4f-45e3-a6e9-4bf37915fe23	d3f83527-2b60-4812-bc92-8be1f6b0c6ee	DRY_COOLER
29204060-cc4f-45e3-a6e9-4bf37915fe23	fe50802e-4d98-4d68-8ddc-672a890502ca	REMOTE_CONDENSER
29204060-cc4f-45e3-a6e9-4bf37915fe23	4f680a26-9285-4b7a-aae6-da79fcda9a12	CHILLED_WATER_PUMPS
29204060-cc4f-45e3-a6e9-4bf37915fe23	ea1445ed-bfee-4428-9b63-fe36453423cb	HEAT_REJECTION_PUMPS
29204060-cc4f-45e3-a6e9-4bf37915fe23	ab1b7aee-d401-46b1-b93e-7c2314f980a3	VENTILATION
29204060-cc4f-45e3-a6e9-4bf37915fe23	6941fce9-1aee-4119-bc09-2c4809b9fd16	INFILTRATION
29204060-cc4f-45e3-a6e9-4bf37915fe23	9c718d34-30aa-43de-8c0c-ec63a4fbf128	IT_LOAD
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	e4816f9b-d7fb-420f-be27-6815d7bb8347	SWITCHGEAR
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	9c320558-3bc3-435e-a1dc-d61bf16e21d7	GENERATOR
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	d48944b5-bf37-4b08-b9d9-aebef5cafc8f	PRIMARY_AUXILIARIES
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	b323778a-0480-4608-9c97-cac53cd6e9b7	UPS
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	c6db4cfe-ee47-4fd0-ba46-9945c72ed933	CRITICAL_AUXILIARIES
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	31a31390-be39-4b0a-8149-432c36b4563a	LIGHTING
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	3898ba26-1d9a-47fd-b0e1-33cf2d1b6cb5	CRITICAL_POWER_DISTRIBUTION
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	9c716f6d-fe43-4aa7-9157-167a86acee72	CRAH
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	b808ae95-a8dd-4d53-b010-7f3b7bdd46d5	CRAC
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	32062457-b75f-476a-af88-8bbd05bd68fd	CRAC_WITHOUT_FAN
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	c9c72a63-6ec3-4d90-84e2-9b1defae8055	CRAC_FAN
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	05b130b7-5455-42f3-8369-e2b47a2dd9ef	CHILLER
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	7120e2d8-39e5-4000-90ad-ca7e832ca3ea	AIR_COOLED_CHILLER
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	c59f1bba-3964-4076-ba2e-9f8a8feec050	COOLING_TOWER
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	43bc3882-1361-493c-8060-ade5278b8c51	DRY_COOLER
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	3af90ea9-d034-4a12-a24c-58cacf8ed456	REMOTE_CONDENSER
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	eea69c83-997d-4c0f-99fd-111d1fe6cf44	CHILLED_WATER_PUMPS
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	3dd53c1a-2959-4351-b1c9-5c8389a94516	HEAT_REJECTION_PUMPS
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	e6f8a735-0da2-45cf-9635-15e752756c1e	VENTILATION
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	595b7d33-470b-4950-ba07-cdf9f87767e7	INFILTRATION
d0fd1a7b-82b6-4200-97cc-523bac2a6cfd	4e7e17cf-7143-4ac5-b937-270587d0206a	IT_LOAD
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	cdbeff96-f1dd-4d71-9791-f5f2fe9304b7	SWITCHGEAR
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	68b8b971-4243-4a63-ac65-3f9daa20e2e4	GENERATOR
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	3c505a9f-9f6a-48a2-a32e-ff5a3fce0faf	PRIMARY_AUXILIARIES
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	d8b24ac5-8e99-455f-b8fb-7f36fbe36522	UPS
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	3e9ce6e6-5c5c-411a-a1fc-fbe8b2de012d	CRITICAL_AUXILIARIES
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	687dc413-6256-4c91-8e47-157bf96594ac	LIGHTING
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	55654f62-279f-48f3-9714-169c19e5fc5e	CRITICAL_POWER_DISTRIBUTION
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	c095da1d-535b-4374-b0a0-183f0c264da4	CRAH
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	fedae6ce-6f75-4fd8-bcbc-a7e793d972f3	CRAC
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	1e1b1371-2bf0-4c64-8b13-f8b0a0ab4c9c	CRAC_WITHOUT_FAN
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	58e1bed8-1629-4dc7-8e78-01a86fb9a68c	CRAC_FAN
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	124b90dd-97e6-46aa-88bb-26b49c6ed490	CHILLER
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	280c3a3c-63fc-4d0c-a4c6-5a319758b5cf	AIR_COOLED_CHILLER
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	c14dc0b4-0c26-4678-9181-f01758d53dab	COOLING_TOWER
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	7c7af005-e1b3-488e-8092-5713bcdc4d95	DRY_COOLER
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	9600cb52-d141-463a-a059-aa123bad1bcd	REMOTE_CONDENSER
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	c238c047-b99e-41dc-bfcc-fe09f320dbe2	CHILLED_WATER_PUMPS
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	a53bf93c-bc6b-4528-b527-43ab3bcf390f	HEAT_REJECTION_PUMPS
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	8157b2bf-85dc-445f-b0f3-5ea3b2a95cb4	VENTILATION
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	39206473-eb6f-4f08-b318-a1c4846bf96e	INFILTRATION
58a30f3f-9fdc-4044-bcd9-f0bc0733c0c6	b4c2cb3a-16db-42b1-a178-500aabbba608	IT_LOAD
332989e5-988e-4e87-bd9d-aeea7967b891	911ce3f4-36a8-4177-bd08-efa96a064b32	SWITCHGEAR
332989e5-988e-4e87-bd9d-aeea7967b891	92b4475d-90f3-46d5-8e1b-ba09b4a3c92a	GENERATOR
332989e5-988e-4e87-bd9d-aeea7967b891	f8b39c29-f619-4461-ae68-541d2d3fc170	PRIMARY_AUXILIARIES
332989e5-988e-4e87-bd9d-aeea7967b891	97ca9696-5442-4829-b5f0-9fa37ad5fce1	UPS
332989e5-988e-4e87-bd9d-aeea7967b891	0ae48ba3-14ff-446f-9da7-086e53db931f	CRITICAL_AUXILIARIES
332989e5-988e-4e87-bd9d-aeea7967b891	90c20ae0-8c83-488b-b050-db1bdc45d65d	LIGHTING
332989e5-988e-4e87-bd9d-aeea7967b891	e0dde9a8-d4dc-42ef-80a0-47937ae2c062	CRITICAL_POWER_DISTRIBUTION
332989e5-988e-4e87-bd9d-aeea7967b891	e2e71b59-01fa-4878-867e-57465c8875f8	CRAH
332989e5-988e-4e87-bd9d-aeea7967b891	69edbe69-a548-4c09-ae24-515c15277efd	CRAC
332989e5-988e-4e87-bd9d-aeea7967b891	7f9f9e5a-577c-4450-8e98-51771e4a411e	CRAC_WITHOUT_FAN
332989e5-988e-4e87-bd9d-aeea7967b891	435b5c41-439f-425b-948b-9164d206ad2c	CRAC_FAN
332989e5-988e-4e87-bd9d-aeea7967b891	39c95ea1-c8e4-480a-b810-0fc90cf420c0	CHILLER
332989e5-988e-4e87-bd9d-aeea7967b891	a0a5fcf1-e18d-48ba-a481-a832e9755d81	AIR_COOLED_CHILLER
332989e5-988e-4e87-bd9d-aeea7967b891	6e37307c-3e66-4920-897f-0222cbb1e3b8	COOLING_TOWER
332989e5-988e-4e87-bd9d-aeea7967b891	3cda8d83-e026-4864-8f68-3df460cb64bf	DRY_COOLER
332989e5-988e-4e87-bd9d-aeea7967b891	30f59833-de6b-47e1-9c79-949210a8862c	REMOTE_CONDENSER
332989e5-988e-4e87-bd9d-aeea7967b891	1246ec3c-8f89-4549-99f0-20a0206b4ba7	CHILLED_WATER_PUMPS
332989e5-988e-4e87-bd9d-aeea7967b891	3d65a7ad-a153-40a8-ae95-202375e3d720	HEAT_REJECTION_PUMPS
332989e5-988e-4e87-bd9d-aeea7967b891	8ae635b9-0901-4724-9c48-f971fdcf1dd5	VENTILATION
332989e5-988e-4e87-bd9d-aeea7967b891	0f5cb7dc-a2dd-4e56-8d70-1a27a0a9a979	INFILTRATION
332989e5-988e-4e87-bd9d-aeea7967b891	b5085dce-4fd2-48ad-b6ab-a7aec6d3c095	IT_LOAD
b4dc5908-db92-44b5-904f-d5525e0b2efe	e12b8c68-eccd-44c7-ab4a-39317443b379	SWITCHGEAR
b4dc5908-db92-44b5-904f-d5525e0b2efe	4beaf7d9-69d9-40eb-b5da-223e2f61dd68	GENERATOR
b4dc5908-db92-44b5-904f-d5525e0b2efe	38d6bd6d-bc6d-47b9-b440-3f624ca1c48d	PRIMARY_AUXILIARIES
b4dc5908-db92-44b5-904f-d5525e0b2efe	707b087b-8019-418c-b595-0ea512b5f009	UPS
b4dc5908-db92-44b5-904f-d5525e0b2efe	c8ede248-efa5-42a7-9942-47ce77682de0	CRITICAL_AUXILIARIES
b4dc5908-db92-44b5-904f-d5525e0b2efe	288f30cc-9e51-4254-9aa4-7c9beaf377e2	LIGHTING
b4dc5908-db92-44b5-904f-d5525e0b2efe	47a376c3-2385-499d-bd30-4dab9cdf64b1	CRITICAL_POWER_DISTRIBUTION
b4dc5908-db92-44b5-904f-d5525e0b2efe	8818ff78-7b7c-42bd-90e4-4aa965ff9ca4	CRAH
b4dc5908-db92-44b5-904f-d5525e0b2efe	9d25d800-2a2f-4553-b3c8-b0585f6836c6	CRAC
b4dc5908-db92-44b5-904f-d5525e0b2efe	91f9635a-d477-47ed-ba89-06706c34c369	CRAC_WITHOUT_FAN
b4dc5908-db92-44b5-904f-d5525e0b2efe	8498a3bc-4c5b-4009-a6ab-4ebc67da9aff	CRAC_FAN
b4dc5908-db92-44b5-904f-d5525e0b2efe	e9fdde31-43f4-4795-943e-dc528a8c4fb0	CHILLER
b4dc5908-db92-44b5-904f-d5525e0b2efe	6798f6fa-4c5c-4dd3-9430-e598fba86444	AIR_COOLED_CHILLER
b4dc5908-db92-44b5-904f-d5525e0b2efe	c8f5abf9-0d1e-492e-b20d-03ac588b4646	COOLING_TOWER
b4dc5908-db92-44b5-904f-d5525e0b2efe	133f6ad3-6a70-4787-98e8-2c67aad10c56	DRY_COOLER
b4dc5908-db92-44b5-904f-d5525e0b2efe	3ceb8232-b46a-48c1-8b94-a75ceb6a9918	REMOTE_CONDENSER
b4dc5908-db92-44b5-904f-d5525e0b2efe	c5b69cdc-2c9b-4581-9e06-8146db2179a2	CHILLED_WATER_PUMPS
b4dc5908-db92-44b5-904f-d5525e0b2efe	94e5897e-bccc-4f0b-a9c8-a4be437f8881	HEAT_REJECTION_PUMPS
b4dc5908-db92-44b5-904f-d5525e0b2efe	80f8257a-a320-428d-8db9-ca09ebb327f2	VENTILATION
b4dc5908-db92-44b5-904f-d5525e0b2efe	758dff44-347a-441c-b035-8d138d534eee	INFILTRATION
b4dc5908-db92-44b5-904f-d5525e0b2efe	56801d01-a9ee-485d-9e13-c7dfa298df36	IT_LOAD
dc1ad924-1b6d-4ed1-a217-8768d8794610	946ab003-5557-4a0a-a4ca-af328b4e8ffe	SWITCHGEAR
dc1ad924-1b6d-4ed1-a217-8768d8794610	1bbd7f26-54c1-4c4e-9612-7448e1e524d1	GENERATOR
dc1ad924-1b6d-4ed1-a217-8768d8794610	51d42e2d-ae7d-423c-ab7f-e1b31f1aeb81	PRIMARY_AUXILIARIES
dc1ad924-1b6d-4ed1-a217-8768d8794610	ff67dd29-34b0-4328-ae42-9a738896a33a	UPS
dc1ad924-1b6d-4ed1-a217-8768d8794610	e5f5a268-6257-439f-b5fb-2f8b398d9c40	CRITICAL_AUXILIARIES
dc1ad924-1b6d-4ed1-a217-8768d8794610	5f1636b2-68ba-4b66-9845-e2588845ee9e	LIGHTING
dc1ad924-1b6d-4ed1-a217-8768d8794610	26615e4a-d86a-40f8-9b61-9a847da1977c	CRITICAL_POWER_DISTRIBUTION
dc1ad924-1b6d-4ed1-a217-8768d8794610	99bc7693-39c4-4615-ab66-eedabe97d6be	CRAH
dc1ad924-1b6d-4ed1-a217-8768d8794610	0885317f-79d1-47f6-8ed2-e8d49eee0c51	CRAC
dc1ad924-1b6d-4ed1-a217-8768d8794610	44c952e8-31f1-47e2-8ac4-9eac5070e07d	CRAC_WITHOUT_FAN
dc1ad924-1b6d-4ed1-a217-8768d8794610	1ebc066b-e079-4cf8-b631-b8ae3c8c60b6	CRAC_FAN
dc1ad924-1b6d-4ed1-a217-8768d8794610	2afc7e5c-23fe-4b05-b2d1-a841fd5322a7	CHILLER
dc1ad924-1b6d-4ed1-a217-8768d8794610	7581c92c-4462-4af0-869e-cdd93843667f	AIR_COOLED_CHILLER
dc1ad924-1b6d-4ed1-a217-8768d8794610	89e114b9-a92d-484a-b67a-dd935c431de1	COOLING_TOWER
dc1ad924-1b6d-4ed1-a217-8768d8794610	8b2897d4-1124-480b-bc95-1e507a3e5e48	DRY_COOLER
dc1ad924-1b6d-4ed1-a217-8768d8794610	da58ca22-6b8c-4357-ace8-bc504fd5f94f	REMOTE_CONDENSER
dc1ad924-1b6d-4ed1-a217-8768d8794610	90320bb5-660f-4e85-95a6-854d568c11f8	CHILLED_WATER_PUMPS
dc1ad924-1b6d-4ed1-a217-8768d8794610	83330f51-de28-497d-9291-4293f6a5dd6b	HEAT_REJECTION_PUMPS
dc1ad924-1b6d-4ed1-a217-8768d8794610	9c782ff1-c9e2-4d80-bef4-e8d9542a5828	VENTILATION
dc1ad924-1b6d-4ed1-a217-8768d8794610	cf56cbdf-6b60-4d0b-9841-c27ef8d7c9cc	INFILTRATION
dc1ad924-1b6d-4ed1-a217-8768d8794610	69b2303d-d30f-46d6-86f6-b72743902266	IT_LOAD
062b256c-9fbe-4f9d-a1b5-991bc555ca48	9260fe1b-4dda-4ce8-bcf6-b99ccba6546d	SWITCHGEAR
062b256c-9fbe-4f9d-a1b5-991bc555ca48	a35c5358-7984-4ac1-abdb-30d669c9823b	GENERATOR
062b256c-9fbe-4f9d-a1b5-991bc555ca48	31c45f70-8736-4ca3-bd9a-4600416e08f7	PRIMARY_AUXILIARIES
062b256c-9fbe-4f9d-a1b5-991bc555ca48	e435688a-8472-403a-af5c-e66c6d3c860b	UPS
062b256c-9fbe-4f9d-a1b5-991bc555ca48	6696621a-e4e7-43f8-805c-add3486a7161	CRITICAL_AUXILIARIES
062b256c-9fbe-4f9d-a1b5-991bc555ca48	90ccb7d1-290a-4632-8c8b-6df24cd05b8e	LIGHTING
062b256c-9fbe-4f9d-a1b5-991bc555ca48	ab83b0f9-9894-4742-9a61-1b1cf81f62d6	CRITICAL_POWER_DISTRIBUTION
062b256c-9fbe-4f9d-a1b5-991bc555ca48	62f520e7-e613-4636-91de-d563f961895e	CRAH
062b256c-9fbe-4f9d-a1b5-991bc555ca48	d2ce462e-49fe-4c5b-adc5-a6c828f5339c	CRAC
062b256c-9fbe-4f9d-a1b5-991bc555ca48	8d6301aa-ea0c-4999-9515-34e748de276b	CRAC_WITHOUT_FAN
062b256c-9fbe-4f9d-a1b5-991bc555ca48	8b5a591e-ce66-4df9-9efd-3207e2abef9a	CRAC_FAN
062b256c-9fbe-4f9d-a1b5-991bc555ca48	1d80f77d-8e93-4241-8d94-c7f4c2538667	CHILLER
062b256c-9fbe-4f9d-a1b5-991bc555ca48	e38b621a-4ccf-497e-88be-ac801ffec300	AIR_COOLED_CHILLER
062b256c-9fbe-4f9d-a1b5-991bc555ca48	b064e301-a69d-4d6c-8efd-faef7786cfae	COOLING_TOWER
062b256c-9fbe-4f9d-a1b5-991bc555ca48	ba0f1661-d009-48cc-9602-f6a86eee3798	DRY_COOLER
062b256c-9fbe-4f9d-a1b5-991bc555ca48	e2d961d4-d819-4da5-8c0f-427f5e29182a	REMOTE_CONDENSER
062b256c-9fbe-4f9d-a1b5-991bc555ca48	3f2cb1d4-9a90-4e85-9032-bac9949bfc91	CHILLED_WATER_PUMPS
062b256c-9fbe-4f9d-a1b5-991bc555ca48	f7a4345d-b827-422b-bed1-3dcead16dc2a	HEAT_REJECTION_PUMPS
062b256c-9fbe-4f9d-a1b5-991bc555ca48	643f8cf8-f301-4681-86c4-5d7268d12464	VENTILATION
062b256c-9fbe-4f9d-a1b5-991bc555ca48	d37b1388-0987-4fe6-b5af-b3f614149d43	INFILTRATION
062b256c-9fbe-4f9d-a1b5-991bc555ca48	14f8f6d4-6184-49a7-a006-cda5e37b1096	IT_LOAD
584921a0-90ea-4a12-a4a9-ea58adc491bd	53f8b6bb-8922-4521-affd-443c106275c5	SWITCHGEAR
584921a0-90ea-4a12-a4a9-ea58adc491bd	b5769d52-4803-460b-bf77-e03b9298fe2c	GENERATOR
584921a0-90ea-4a12-a4a9-ea58adc491bd	b115c063-3f23-4fa9-b032-ea0ea9381e74	PRIMARY_AUXILIARIES
584921a0-90ea-4a12-a4a9-ea58adc491bd	0de5a929-77a2-4ec3-b2bb-212acb63a38b	UPS
584921a0-90ea-4a12-a4a9-ea58adc491bd	cf03458a-ee7b-48c6-afd9-07e3eb3c3ac5	CRITICAL_AUXILIARIES
584921a0-90ea-4a12-a4a9-ea58adc491bd	066c0484-ae63-435e-ba8a-22c5447d109f	LIGHTING
584921a0-90ea-4a12-a4a9-ea58adc491bd	113ce245-6976-4f18-9b0b-ac555f57eb9d	CRITICAL_POWER_DISTRIBUTION
584921a0-90ea-4a12-a4a9-ea58adc491bd	1f8db8b7-b817-43b1-a648-c425060d41b0	CRAH
584921a0-90ea-4a12-a4a9-ea58adc491bd	9d1f9ec8-de5b-4a81-b1ba-e86fc77d1bb9	CRAC
584921a0-90ea-4a12-a4a9-ea58adc491bd	9e81e267-5031-4773-a226-96cd8eb6ed8a	CRAC_WITHOUT_FAN
584921a0-90ea-4a12-a4a9-ea58adc491bd	340effb5-ac96-4cce-8aaa-f8f462370734	CRAC_FAN
584921a0-90ea-4a12-a4a9-ea58adc491bd	858e80f7-4f50-43ac-aa2a-2ac10b4c18ae	CHILLER
584921a0-90ea-4a12-a4a9-ea58adc491bd	5a3058ec-c05a-4790-97c0-8efcebe64ee0	AIR_COOLED_CHILLER
584921a0-90ea-4a12-a4a9-ea58adc491bd	378c4e90-245a-4e02-9225-21ac55db3e94	COOLING_TOWER
584921a0-90ea-4a12-a4a9-ea58adc491bd	dd80092b-1485-4820-83cb-7b1f888ae7fb	DRY_COOLER
584921a0-90ea-4a12-a4a9-ea58adc491bd	fcf9f5cc-84c7-40f2-b1f2-7db179620b92	REMOTE_CONDENSER
584921a0-90ea-4a12-a4a9-ea58adc491bd	b8733dd7-9853-4d2b-8209-2535e3bb6198	CHILLED_WATER_PUMPS
584921a0-90ea-4a12-a4a9-ea58adc491bd	e283ff2e-7818-4c69-af48-5201cadadb8e	HEAT_REJECTION_PUMPS
584921a0-90ea-4a12-a4a9-ea58adc491bd	18a62864-b55f-42e3-aa42-4775dfe5ea24	VENTILATION
584921a0-90ea-4a12-a4a9-ea58adc491bd	65c1eb84-8c92-4e83-b84b-c2e6f8129c8c	INFILTRATION
584921a0-90ea-4a12-a4a9-ea58adc491bd	3f76ed60-b135-4fdb-be18-1f0debceda52	IT_LOAD
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	9fcbecfc-c21f-40bb-88f4-49be144c05eb	SWITCHGEAR
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	322f3538-aaef-4988-a9f6-d5b5fb63206e	GENERATOR
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	628e0a24-4e25-4770-ad9a-1ae64e887acd	PRIMARY_AUXILIARIES
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	a9234548-a3fd-4b7b-8630-da58d9a0af6c	UPS
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	4509e8b8-d946-4b69-972e-27b23defb352	CRITICAL_AUXILIARIES
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	194b779b-d382-4009-ad9b-e248e8e731ff	LIGHTING
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	809694bc-9c06-4c82-b945-8f7409441a7c	CRITICAL_POWER_DISTRIBUTION
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	0edc8e25-74ca-4b55-9334-fbcd139d72c5	CRAH
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	f6c7643a-ad85-4569-b223-5bb192d675cc	CRAC
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	3cbaec0f-022b-4d4c-baef-c8bbcd911c6a	CRAC_WITHOUT_FAN
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	6b010f4a-8a61-4a3b-9c13-a935bafc1edd	CRAC_FAN
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	016050e6-c5ed-44a9-8f13-dfbccb4b6949	CHILLER
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	41c1e9d7-939c-4fc8-8fc5-56ae8ac09035	AIR_COOLED_CHILLER
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	7f9a9ed3-6b53-4627-b74b-17f660255620	COOLING_TOWER
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	f9aa4eeb-b474-4cfb-b987-f4e9a61dd1ab	DRY_COOLER
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	dd30d02e-e22c-4790-9337-21542b8b7159	REMOTE_CONDENSER
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	d296cd20-7b50-4c57-acc0-a30d6af26779	CHILLED_WATER_PUMPS
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	1bba4cd4-f2f8-4916-9a88-52b03a1bada5	HEAT_REJECTION_PUMPS
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	edb3a2f4-4385-43e0-992c-0d4a04bdaeee	VENTILATION
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	42732b26-9edd-4d6a-a156-3cdbf300ffd5	INFILTRATION
3d49e7cd-2ae0-4fe9-8e01-fc4eecf030d7	141f5753-0a48-46d3-86e6-8866c87c3bf0	IT_LOAD
b5485af2-d0f0-4778-94d9-d672bf879ea0	0de98b98-5cee-4a8e-bdb3-018074f24995	SWITCHGEAR
b5485af2-d0f0-4778-94d9-d672bf879ea0	0a9e46f9-b9d6-486d-8e81-c98457cbe40b	GENERATOR
b5485af2-d0f0-4778-94d9-d672bf879ea0	5f7927d3-1283-4757-9723-d959846d56cd	PRIMARY_AUXILIARIES
b5485af2-d0f0-4778-94d9-d672bf879ea0	c621dac2-4a81-4b21-aeef-3bb4397f3ea1	UPS
b5485af2-d0f0-4778-94d9-d672bf879ea0	9cb413a9-c519-443d-b565-0a442d3380a0	CRITICAL_AUXILIARIES
b5485af2-d0f0-4778-94d9-d672bf879ea0	c77ce234-a80b-4d9d-ac02-80d2b8100c8b	LIGHTING
b5485af2-d0f0-4778-94d9-d672bf879ea0	eb00dea4-1cd7-4e71-b44f-5da85b9e9e5d	CRITICAL_POWER_DISTRIBUTION
b5485af2-d0f0-4778-94d9-d672bf879ea0	9a37db68-ce47-459f-8e0e-5ca63a127379	CRAH
b5485af2-d0f0-4778-94d9-d672bf879ea0	26c43483-65fa-497d-a7e3-efb664fc62a9	CRAC
b5485af2-d0f0-4778-94d9-d672bf879ea0	489271ec-1275-4284-aed7-a13689b886a7	CRAC_WITHOUT_FAN
b5485af2-d0f0-4778-94d9-d672bf879ea0	9bda0bd4-e7f3-4f26-9647-2f16ab26758d	CRAC_FAN
b5485af2-d0f0-4778-94d9-d672bf879ea0	8c66ef62-ffcb-4561-b3ba-ad2e7b0b91d8	CHILLER
b5485af2-d0f0-4778-94d9-d672bf879ea0	89da749f-84a0-418d-b398-d9c6a1826d3f	AIR_COOLED_CHILLER
b5485af2-d0f0-4778-94d9-d672bf879ea0	bf01d25c-e0d0-461b-a746-3547101d3d55	COOLING_TOWER
b5485af2-d0f0-4778-94d9-d672bf879ea0	8e77b94a-0144-4bdc-aec9-4d07b9c71539	DRY_COOLER
b5485af2-d0f0-4778-94d9-d672bf879ea0	377f33b7-f1ca-4d25-a580-1f4c02f29df9	REMOTE_CONDENSER
b5485af2-d0f0-4778-94d9-d672bf879ea0	add707d0-55d4-485a-8d42-efce1c75af59	CHILLED_WATER_PUMPS
b5485af2-d0f0-4778-94d9-d672bf879ea0	7e70c13c-b8c0-4d23-b666-7b8bf78c1bed	HEAT_REJECTION_PUMPS
b5485af2-d0f0-4778-94d9-d672bf879ea0	e19777d7-39c2-43a2-a495-b304bad64036	VENTILATION
b5485af2-d0f0-4778-94d9-d672bf879ea0	65a74f65-c810-418f-81c1-30bc4b204bfb	INFILTRATION
b5485af2-d0f0-4778-94d9-d672bf879ea0	1d8ca453-21f4-4512-87e1-21acf1010e0e	IT_LOAD
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	df364b06-c8ef-4f19-84b7-66e144d5753c	SWITCHGEAR
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	4fafe068-8aac-4cdd-9ba3-62a8a920ee71	GENERATOR
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	343e6dd1-f673-4d0d-9564-b14aa544532a	PRIMARY_AUXILIARIES
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	3992ab49-e6d1-414d-8151-8d17db8a1cdc	UPS
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	40500b61-cdb7-4eef-ba48-ec553f204625	CRITICAL_AUXILIARIES
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	55aa58f4-b203-42c2-9b71-5e64b353955f	LIGHTING
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	275868bb-7854-46ef-adb0-0b8badd60b5f	CRITICAL_POWER_DISTRIBUTION
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	f9c2cb0e-f47d-486c-aad3-60807debd6b4	CRAH
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	f8672986-ee9a-4c13-befd-a3847690a44b	CRAC
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	d0212def-8ba9-497a-861f-da974ecc8f32	CRAC_WITHOUT_FAN
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	add4d67b-83aa-4d71-82f5-47e2f20e41c1	CRAC_FAN
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	97b56a63-723a-4a48-832d-4119963f8bf6	CHILLER
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	ea1a5eba-dca3-4969-a4c4-da3b763df03e	AIR_COOLED_CHILLER
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	b8d7bbc4-7d43-43e9-8211-9c415d05725e	COOLING_TOWER
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	686d6549-2736-491e-92ce-df0ee1da7bd5	DRY_COOLER
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	4fc9cc7d-09c6-405f-87b6-48b9b94194a9	REMOTE_CONDENSER
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	dc02331c-831d-4417-81c8-8cad000b15c0	CHILLED_WATER_PUMPS
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	b9106db6-4656-4671-b9dd-439ab01c1f62	HEAT_REJECTION_PUMPS
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	37f5d7c7-87cf-4e14-8de2-9f0d66960b7a	VENTILATION
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	382467ae-30ed-4ddc-bbdc-518b2cac359f	INFILTRATION
aaf89f39-0a47-4a2b-a0b7-ef864b98ba71	e85e0f38-e8ee-49df-8438-6e113b23b0f5	IT_LOAD
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	289783f0-cad9-4efb-9724-20a710394372	SWITCHGEAR
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	c83574fd-7638-457d-a60f-10e030288c6f	GENERATOR
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	e3105f15-ca00-43fe-9173-1119664ac561	PRIMARY_AUXILIARIES
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	4c6c1c0b-64b0-48cf-91ea-25a4aa56c1e6	UPS
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	19d252b7-9699-4470-ab35-b184215078a6	CRITICAL_AUXILIARIES
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	24dc5def-7dc5-40cb-b461-f4c49187bdea	LIGHTING
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	d03fb899-7867-43e7-80ac-c31d55d03f46	CRITICAL_POWER_DISTRIBUTION
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	5ff75387-9519-49b5-8724-6d4d090e5acf	CRAH
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	f5c4ab89-b09f-4083-8da7-eb9e0370f7ef	CRAC
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	2e753f96-67a8-4f3e-8783-ad8a4790310a	CRAC_WITHOUT_FAN
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	0b8f62ec-bcac-4739-91ad-4a3d0a2cb958	CRAC_FAN
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	fbb66e63-631d-4811-931d-5c0331706e11	CHILLER
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	42915485-fbee-4cb4-a819-eaee64891fac	AIR_COOLED_CHILLER
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	7140fae8-42c5-4a51-bc0d-d994dbb07b76	COOLING_TOWER
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	b3483d5d-5e6c-4c9e-9518-24c270bc37db	DRY_COOLER
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	79798fa4-55ce-434d-b3af-0c114b98b3cc	REMOTE_CONDENSER
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	fd245607-5600-4700-90b2-57558643ec5b	CHILLED_WATER_PUMPS
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	fdb3e741-16ab-46b4-9ac1-ac04aaedb7f3	HEAT_REJECTION_PUMPS
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	75c41979-8858-43b7-929b-f1672b2d46fe	VENTILATION
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	01285415-2059-4d9b-bdf1-ced7832c5e3e	INFILTRATION
9ea525c5-a636-4b66-83f8-cb15e4e9eb01	6b78f188-e200-4acf-b79f-405498ebdb25	IT_LOAD
03c47846-91b0-4cbe-acab-c897cc6c4c8c	b00a23be-1468-4717-a778-9cb1049d4a7c	SWITCHGEAR
03c47846-91b0-4cbe-acab-c897cc6c4c8c	ad503d1d-455a-4271-ac27-334724041d80	GENERATOR
03c47846-91b0-4cbe-acab-c897cc6c4c8c	058bdee1-3205-4d1a-a566-ef88620ee97a	PRIMARY_AUXILIARIES
03c47846-91b0-4cbe-acab-c897cc6c4c8c	8b971ce8-7bed-4f48-b8bc-0c52dfe90fde	UPS
03c47846-91b0-4cbe-acab-c897cc6c4c8c	56589665-e212-41d5-a97c-1af9b7a189ba	CRITICAL_AUXILIARIES
03c47846-91b0-4cbe-acab-c897cc6c4c8c	2d9ecc1d-a57e-47aa-8260-559f27be59cf	LIGHTING
03c47846-91b0-4cbe-acab-c897cc6c4c8c	693c83d8-7b75-443d-937b-6730c1883d8f	CRITICAL_POWER_DISTRIBUTION
03c47846-91b0-4cbe-acab-c897cc6c4c8c	76f380fa-ef73-4f0b-8dc2-bdf7f303a4f7	CRAH
03c47846-91b0-4cbe-acab-c897cc6c4c8c	30cf5296-5d4b-4eaa-ba9b-2a0f93e90a01	CRAC
03c47846-91b0-4cbe-acab-c897cc6c4c8c	e3d3e366-a522-4107-9bdb-dfe5f19f0b52	CRAC_WITHOUT_FAN
03c47846-91b0-4cbe-acab-c897cc6c4c8c	bc759055-2d37-4519-a246-7b2a3193e6d0	CRAC_FAN
03c47846-91b0-4cbe-acab-c897cc6c4c8c	258bb33a-9fa9-4764-bf4c-4222369c5cd3	CHILLER
03c47846-91b0-4cbe-acab-c897cc6c4c8c	8c0bc66a-492e-4fe7-b66a-4e32d8cf063a	AIR_COOLED_CHILLER
03c47846-91b0-4cbe-acab-c897cc6c4c8c	e714ea1f-940f-4085-9898-f1fe08b4a409	COOLING_TOWER
03c47846-91b0-4cbe-acab-c897cc6c4c8c	962174ba-bb05-4a5d-b491-2721c649373f	DRY_COOLER
03c47846-91b0-4cbe-acab-c897cc6c4c8c	38a02b95-1c8d-4752-a53d-5a1d61051d86	REMOTE_CONDENSER
03c47846-91b0-4cbe-acab-c897cc6c4c8c	e872f44b-29b7-4ce4-a938-4ff9f9de19a2	CHILLED_WATER_PUMPS
03c47846-91b0-4cbe-acab-c897cc6c4c8c	b84dfd30-abbb-40c8-9af1-800d71660820	HEAT_REJECTION_PUMPS
03c47846-91b0-4cbe-acab-c897cc6c4c8c	c96aecfe-8fc9-4c9b-8400-dc9b19a204db	VENTILATION
03c47846-91b0-4cbe-acab-c897cc6c4c8c	8030e102-faad-4895-ae3e-64046957308c	INFILTRATION
03c47846-91b0-4cbe-acab-c897cc6c4c8c	65978e97-5594-4ca2-b963-2c25b3543c2e	IT_LOAD
0fb22b09-97c3-447f-8957-317c084f6b9a	0a0e0a67-c5b8-4694-8f30-ddb7c394175e	SWITCHGEAR
0fb22b09-97c3-447f-8957-317c084f6b9a	70ac2dec-70f9-4be5-8345-6efd09b7d0fe	GENERATOR
0fb22b09-97c3-447f-8957-317c084f6b9a	85190c3c-6b70-41d8-a118-1a0075926a64	PRIMARY_AUXILIARIES
0fb22b09-97c3-447f-8957-317c084f6b9a	97a43d6a-9980-4bef-aef4-a061316f1ace	UPS
0fb22b09-97c3-447f-8957-317c084f6b9a	1953ed88-dcce-4b07-9059-bc7329a43a26	CRITICAL_AUXILIARIES
0fb22b09-97c3-447f-8957-317c084f6b9a	1e778f20-e6df-44ab-a1f8-9f7bfc32ebf1	LIGHTING
0fb22b09-97c3-447f-8957-317c084f6b9a	632aad31-118d-497b-8265-69ebbab7823f	CRITICAL_POWER_DISTRIBUTION
0fb22b09-97c3-447f-8957-317c084f6b9a	43dca53d-39f5-4737-9967-de803967dd14	CRAH
0fb22b09-97c3-447f-8957-317c084f6b9a	6f080586-f9e0-4e65-8bde-893cef38b5e6	CRAC
0fb22b09-97c3-447f-8957-317c084f6b9a	5320c649-3890-4466-8652-ae57e8043e3a	CRAC_WITHOUT_FAN
0fb22b09-97c3-447f-8957-317c084f6b9a	ced1a73e-7e1f-421c-a9a4-d6b2357af641	CRAC_FAN
0fb22b09-97c3-447f-8957-317c084f6b9a	752bfe84-585e-498f-8a01-05c4cfeaea60	CHILLER
0fb22b09-97c3-447f-8957-317c084f6b9a	10e22938-afcf-4e3b-8d2b-81de0fa81612	AIR_COOLED_CHILLER
0fb22b09-97c3-447f-8957-317c084f6b9a	22233881-505b-4344-b1cf-40ac539548fb	COOLING_TOWER
0fb22b09-97c3-447f-8957-317c084f6b9a	47abe141-eab0-44a3-be60-2eca5b569193	DRY_COOLER
0fb22b09-97c3-447f-8957-317c084f6b9a	9041c82a-353f-43df-8f64-313ec4b21274	REMOTE_CONDENSER
0fb22b09-97c3-447f-8957-317c084f6b9a	a3a6b20d-1d0a-4a5c-8fb8-a5f59226897d	CHILLED_WATER_PUMPS
0fb22b09-97c3-447f-8957-317c084f6b9a	57b7558e-201c-4183-9168-582a76ae95b4	HEAT_REJECTION_PUMPS
0fb22b09-97c3-447f-8957-317c084f6b9a	1b3ce049-bfe4-4aa4-ae9b-34f04182917b	VENTILATION
0fb22b09-97c3-447f-8957-317c084f6b9a	a55ad149-c46d-46dc-8e33-0e81a01310f5	INFILTRATION
0fb22b09-97c3-447f-8957-317c084f6b9a	bee1b867-a2a1-45b6-9e89-84de6ab381f5	IT_LOAD
3063b489-5d5a-44bd-a9f0-d15bc804f48f	6d44f409-8bea-4869-b657-c13ea1c27494	SWITCHGEAR
3063b489-5d5a-44bd-a9f0-d15bc804f48f	aed5fbd9-df00-40cd-82ee-56ea19dc5bdc	GENERATOR
3063b489-5d5a-44bd-a9f0-d15bc804f48f	30038ca5-c4d8-45cf-b163-38e02ece1525	PRIMARY_AUXILIARIES
3063b489-5d5a-44bd-a9f0-d15bc804f48f	53e8b075-8e3b-4005-be01-1f473f29d940	UPS
3063b489-5d5a-44bd-a9f0-d15bc804f48f	dd66a0c7-0649-48a5-bc10-60eff1a1e39c	CRITICAL_AUXILIARIES
3063b489-5d5a-44bd-a9f0-d15bc804f48f	b1aa927e-a28f-49ce-b417-15ba97f642b8	LIGHTING
3063b489-5d5a-44bd-a9f0-d15bc804f48f	bce1347d-6dc2-4271-b131-54e1cee11831	CRITICAL_POWER_DISTRIBUTION
3063b489-5d5a-44bd-a9f0-d15bc804f48f	d4086e07-cf46-4225-86ef-3ce3246f4769	CRAH
3063b489-5d5a-44bd-a9f0-d15bc804f48f	2c5639b7-8208-4825-b416-17cde5e4a36c	CRAC
3063b489-5d5a-44bd-a9f0-d15bc804f48f	8e3c58c2-bffa-4bfe-bf6e-6aa0a9132054	CRAC_WITHOUT_FAN
3063b489-5d5a-44bd-a9f0-d15bc804f48f	dcf20f7f-b8d7-4904-8022-a888c41f4250	CRAC_FAN
3063b489-5d5a-44bd-a9f0-d15bc804f48f	8e43db66-e797-4389-829f-aaf0627286e6	CHILLER
3063b489-5d5a-44bd-a9f0-d15bc804f48f	cd1880ee-379e-405d-bfd2-846c719cb679	AIR_COOLED_CHILLER
3063b489-5d5a-44bd-a9f0-d15bc804f48f	59724ad7-28f7-4b8d-9fdd-fedfc81b1dab	COOLING_TOWER
3063b489-5d5a-44bd-a9f0-d15bc804f48f	5be4cd7c-d4ca-4966-ae12-c2887d8146f6	DRY_COOLER
3063b489-5d5a-44bd-a9f0-d15bc804f48f	0c4c71f1-e645-48ef-b71a-5196c32f5ca6	REMOTE_CONDENSER
3063b489-5d5a-44bd-a9f0-d15bc804f48f	8fbc31b4-19b1-49d1-9cdb-c565cb93626d	CHILLED_WATER_PUMPS
3063b489-5d5a-44bd-a9f0-d15bc804f48f	f6262134-1a2f-4b16-995b-405fcbab7955	HEAT_REJECTION_PUMPS
3063b489-5d5a-44bd-a9f0-d15bc804f48f	da996473-2486-4bff-a270-9557d075c599	VENTILATION
3063b489-5d5a-44bd-a9f0-d15bc804f48f	e68b4341-6d63-4672-a6a2-2d1085f6ce77	INFILTRATION
3063b489-5d5a-44bd-a9f0-d15bc804f48f	03b001f8-0f4b-4a3b-a8b1-ed4917e46668	IT_LOAD
708c4461-dbf8-4566-852d-103393c3ec47	1ced2738-6569-47ae-877c-e304bab141d4	SWITCHGEAR
708c4461-dbf8-4566-852d-103393c3ec47	e03d649e-f621-491b-8610-d093523a0b6f	GENERATOR
708c4461-dbf8-4566-852d-103393c3ec47	73c5143b-3560-49ca-ab2f-ef5129de93b6	PRIMARY_AUXILIARIES
708c4461-dbf8-4566-852d-103393c3ec47	687f3c33-0c69-4dad-b956-c49fd88f972f	UPS
708c4461-dbf8-4566-852d-103393c3ec47	52ff1720-49ec-45da-8fd3-23dfa82f9f75	CRITICAL_AUXILIARIES
708c4461-dbf8-4566-852d-103393c3ec47	9c241782-0b86-4d42-a3ec-9c7939e25965	LIGHTING
708c4461-dbf8-4566-852d-103393c3ec47	7201d666-5500-4f6b-9176-c98ec29f365a	CRITICAL_POWER_DISTRIBUTION
708c4461-dbf8-4566-852d-103393c3ec47	a8885246-0b63-4085-8fc2-1577eefc9286	CRAH
708c4461-dbf8-4566-852d-103393c3ec47	badfcada-6525-4501-aabd-53edc870c23f	CRAC
708c4461-dbf8-4566-852d-103393c3ec47	eb592571-130c-48f9-acdd-32785a596249	CRAC_WITHOUT_FAN
708c4461-dbf8-4566-852d-103393c3ec47	64d20f01-7098-489e-9546-0d7c7aa88478	CRAC_FAN
708c4461-dbf8-4566-852d-103393c3ec47	46babafd-7813-4384-9616-26476630516e	CHILLER
708c4461-dbf8-4566-852d-103393c3ec47	9e2cd6fb-702f-4e5e-be19-35ce206e26d7	AIR_COOLED_CHILLER
708c4461-dbf8-4566-852d-103393c3ec47	3179577d-5c2a-44d1-89b5-b3e2e2ba9b93	COOLING_TOWER
708c4461-dbf8-4566-852d-103393c3ec47	252e7425-b516-4639-9f4d-3408a8caf98e	DRY_COOLER
708c4461-dbf8-4566-852d-103393c3ec47	b26f5c2d-e3db-43aa-9d77-0a491690c4cf	REMOTE_CONDENSER
708c4461-dbf8-4566-852d-103393c3ec47	f04a13ec-cedc-405e-a3fd-ea0b68c531fe	CHILLED_WATER_PUMPS
708c4461-dbf8-4566-852d-103393c3ec47	e0b7d4f7-7ded-46fe-b611-fbcd0c0d30a6	HEAT_REJECTION_PUMPS
708c4461-dbf8-4566-852d-103393c3ec47	763fd1e8-8cbe-4077-8d38-8531fb35bd30	VENTILATION
708c4461-dbf8-4566-852d-103393c3ec47	51751c55-bf29-4721-89f8-e3219136e97b	INFILTRATION
708c4461-dbf8-4566-852d-103393c3ec47	f2fd802f-3a0c-4005-a9c8-5517ef80ad06	IT_LOAD
87170e47-34d8-4782-9b31-c43cf82d7c82	716f5261-bb85-4fbc-b393-90e8d9b77846	SWITCHGEAR
87170e47-34d8-4782-9b31-c43cf82d7c82	d72e309b-ff65-48f3-b8fb-f3e210536a48	GENERATOR
87170e47-34d8-4782-9b31-c43cf82d7c82	8db1b6c0-7a25-41d9-8fe9-8689dc6147c7	PRIMARY_AUXILIARIES
87170e47-34d8-4782-9b31-c43cf82d7c82	26ea758b-084f-47bc-ac9a-249ea1a51521	UPS
87170e47-34d8-4782-9b31-c43cf82d7c82	7f41928c-aa64-450e-b010-f5da5c3337a0	CRITICAL_AUXILIARIES
87170e47-34d8-4782-9b31-c43cf82d7c82	0ccea94c-f69f-4da7-8386-92e9a7bfbe6b	LIGHTING
87170e47-34d8-4782-9b31-c43cf82d7c82	264ab99b-7268-401b-bc03-105cb7a8e0a1	CRITICAL_POWER_DISTRIBUTION
87170e47-34d8-4782-9b31-c43cf82d7c82	42350394-f218-42e3-b40c-20ab12656d56	CRAH
87170e47-34d8-4782-9b31-c43cf82d7c82	856bf4e6-12ac-4065-a2cb-88780453be7a	CRAC
87170e47-34d8-4782-9b31-c43cf82d7c82	ab66e795-a41e-48bc-a89e-03088cd3e196	CRAC_WITHOUT_FAN
87170e47-34d8-4782-9b31-c43cf82d7c82	e71adc08-a9a9-49ec-bd13-5ca856183f9b	CRAC_FAN
87170e47-34d8-4782-9b31-c43cf82d7c82	64b44e9a-b2ba-4c33-8407-0e89a65b64a7	CHILLER
87170e47-34d8-4782-9b31-c43cf82d7c82	7380893c-4010-4c5a-8968-617842c628de	AIR_COOLED_CHILLER
87170e47-34d8-4782-9b31-c43cf82d7c82	54cfeca5-8803-44f7-9867-987721843959	COOLING_TOWER
87170e47-34d8-4782-9b31-c43cf82d7c82	d6d5ea10-306e-4fe1-aaf5-98775363dff8	DRY_COOLER
87170e47-34d8-4782-9b31-c43cf82d7c82	e341ac5f-77b7-42b1-860e-8c600182527d	REMOTE_CONDENSER
87170e47-34d8-4782-9b31-c43cf82d7c82	b0e400d9-15ee-4304-b18d-c27b807f2e93	CHILLED_WATER_PUMPS
87170e47-34d8-4782-9b31-c43cf82d7c82	545e9fc8-c477-44a4-8e14-7277d265db46	HEAT_REJECTION_PUMPS
87170e47-34d8-4782-9b31-c43cf82d7c82	47615e40-af7b-4010-abcf-3696e7344466	VENTILATION
87170e47-34d8-4782-9b31-c43cf82d7c82	3b290913-5e5c-4214-b5af-118d3720a31a	INFILTRATION
87170e47-34d8-4782-9b31-c43cf82d7c82	26e9ed32-278b-4ead-8aae-66a5df27b933	IT_LOAD
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	7648b70a-7d83-4d07-a1a7-e0b525f153f2	SWITCHGEAR
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	9c5d9550-c7d0-41fe-ba00-caf0bbffe00a	GENERATOR
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	9bf59242-7420-46e9-8450-99fd90ca8d46	PRIMARY_AUXILIARIES
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	b3274de3-15f4-40cd-ab8c-a5b8e21d64a2	UPS
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	b533de82-a406-4676-bacc-2c45aea54706	CRITICAL_AUXILIARIES
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	b134a455-fee9-43c2-af9f-3cd2b68f7a25	LIGHTING
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	0a2bfb4c-c548-4728-a1e9-5f52ac427e72	CRITICAL_POWER_DISTRIBUTION
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	a6ca0260-75f7-4789-93b4-546713f7ef54	CRAH
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	cd094150-67ce-4ce2-afd1-1b05fd9a0eb6	CRAC
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	b01e1417-7348-4353-83b2-a2cbe443db7a	CRAC_WITHOUT_FAN
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	988133db-f2e5-4b21-987c-339fd5cac861	CRAC_FAN
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	54abc900-8fe8-4645-a676-c6ccdb4f24d2	CHILLER
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	a6d5a183-63f3-443b-9292-ab55c50bf7c0	AIR_COOLED_CHILLER
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	703ad67d-1e66-4a55-ab70-ea442d9173ad	COOLING_TOWER
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	4080d277-383e-44bc-a0eb-696ad90deae8	DRY_COOLER
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	0453c9dd-f933-4aa7-84b1-1480f3c6fe6c	REMOTE_CONDENSER
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	318452f0-bbe6-4cf1-92bf-85fcf08f62bb	CHILLED_WATER_PUMPS
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	01c18290-8f3a-4f8b-9165-ba161f2ae4f8	HEAT_REJECTION_PUMPS
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	0a246b75-e2fc-4bf9-9290-2e5ee51ec9e5	VENTILATION
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	9d5ed0d1-d46c-4cd5-88cc-0948967d2fb4	INFILTRATION
38c332e7-c374-40c8-bfe2-44cfc4a9b96c	f86fffdd-d441-4621-ae44-eb0e50227c41	IT_LOAD
5be120fc-0c29-4947-8f68-3adf451461f4	9f48af2e-da53-4b81-89f8-791fb634537d	SWITCHGEAR
5be120fc-0c29-4947-8f68-3adf451461f4	734e58c5-ec50-4f97-b00f-af6da2b036f6	GENERATOR
5be120fc-0c29-4947-8f68-3adf451461f4	56aecfe3-bc1c-45eb-8e74-c5d75fd982b7	PRIMARY_AUXILIARIES
5be120fc-0c29-4947-8f68-3adf451461f4	2c8860e7-aa67-4942-91e9-94a4a33c237c	UPS
5be120fc-0c29-4947-8f68-3adf451461f4	c58c8271-d5ae-4a4a-8349-d4111b5053ae	CRITICAL_AUXILIARIES
5be120fc-0c29-4947-8f68-3adf451461f4	e73449c5-1b84-4789-a458-c43ee68c3de5	LIGHTING
5be120fc-0c29-4947-8f68-3adf451461f4	bd9cfe13-819c-41fd-90be-3f5ade8e9d22	CRITICAL_POWER_DISTRIBUTION
5be120fc-0c29-4947-8f68-3adf451461f4	fff7615f-14e0-4e28-b13f-f375a7a70047	CRAH
5be120fc-0c29-4947-8f68-3adf451461f4	29b38a90-4f6e-4742-89aa-4b600c7571ee	CRAC
5be120fc-0c29-4947-8f68-3adf451461f4	64c38084-62bf-4507-af7e-71ebf4521b48	CRAC_WITHOUT_FAN
5be120fc-0c29-4947-8f68-3adf451461f4	38e5b34f-4499-4c8f-8d3b-c76976e5088f	CRAC_FAN
5be120fc-0c29-4947-8f68-3adf451461f4	a044d4d9-6837-49aa-b4c1-0cc1f5e5f091	CHILLER
5be120fc-0c29-4947-8f68-3adf451461f4	9afc7a9e-b46a-48f7-b09a-5bfa83f92774	AIR_COOLED_CHILLER
5be120fc-0c29-4947-8f68-3adf451461f4	fe1fedaf-ee53-46f3-9804-533317cd7eae	COOLING_TOWER
5be120fc-0c29-4947-8f68-3adf451461f4	1e735e62-b112-4887-a30a-1d42ea327a2b	DRY_COOLER
5be120fc-0c29-4947-8f68-3adf451461f4	245b9a35-fa14-423f-86aa-c1bf82619380	REMOTE_CONDENSER
5be120fc-0c29-4947-8f68-3adf451461f4	722ac529-7ca4-4bcb-9db6-cc9053f6f3b0	CHILLED_WATER_PUMPS
5be120fc-0c29-4947-8f68-3adf451461f4	c4951f34-de9d-438d-ba60-e668a04c954b	HEAT_REJECTION_PUMPS
5be120fc-0c29-4947-8f68-3adf451461f4	427a44f2-456d-43a6-b06d-a70bb20cb1cf	VENTILATION
5be120fc-0c29-4947-8f68-3adf451461f4	f92103a0-caed-4326-8595-d17ceeed120e	INFILTRATION
5be120fc-0c29-4947-8f68-3adf451461f4	42ccab8f-3535-4506-b0ce-8b19c6280a46	IT_LOAD
5a9d9f8d-721b-45b0-919b-87185a199294	4dc63a6c-39e5-442d-bed4-f5e827d14996	SWITCHGEAR
5a9d9f8d-721b-45b0-919b-87185a199294	196f31c8-76af-4ae4-83cf-909db0b77252	GENERATOR
5a9d9f8d-721b-45b0-919b-87185a199294	22645414-6ad9-4aeb-ae7b-13b383ae4cb9	PRIMARY_AUXILIARIES
5a9d9f8d-721b-45b0-919b-87185a199294	6553a0e7-4762-436d-ae5f-4c913874bfcb	UPS
5a9d9f8d-721b-45b0-919b-87185a199294	17c7f018-3891-4e2f-9d82-8cf5d26990db	CRITICAL_AUXILIARIES
5a9d9f8d-721b-45b0-919b-87185a199294	0e77141a-aaea-46c0-97d0-375cf0c83075	LIGHTING
5a9d9f8d-721b-45b0-919b-87185a199294	d5eb256e-1102-48dd-bbed-80588dc72e90	CRITICAL_POWER_DISTRIBUTION
5a9d9f8d-721b-45b0-919b-87185a199294	f5377231-a0d2-4d1d-914a-df034d04275c	CRAH
5a9d9f8d-721b-45b0-919b-87185a199294	edef009a-10e2-41f2-9a22-01913da19860	CRAC
5a9d9f8d-721b-45b0-919b-87185a199294	e8f32338-508d-4788-8ac1-3a24c115fbde	CRAC_WITHOUT_FAN
5a9d9f8d-721b-45b0-919b-87185a199294	d83a0378-c6f0-4e37-9535-6a654e283b25	CRAC_FAN
5a9d9f8d-721b-45b0-919b-87185a199294	84f9be85-c22f-4228-818c-0122882d392b	CHILLER
5a9d9f8d-721b-45b0-919b-87185a199294	e8c19971-bcfb-45b6-9423-8768519d2dab	AIR_COOLED_CHILLER
5a9d9f8d-721b-45b0-919b-87185a199294	12cbd2ba-442d-4067-a07e-b8c2a78afe1a	COOLING_TOWER
5a9d9f8d-721b-45b0-919b-87185a199294	90296900-a670-43a0-b23c-a106a07a2e39	DRY_COOLER
5a9d9f8d-721b-45b0-919b-87185a199294	502ec4b2-90d4-4c32-a22b-e3407a328644	REMOTE_CONDENSER
5a9d9f8d-721b-45b0-919b-87185a199294	1f8d424c-dcfc-4f07-bc77-0d19e1ad8c18	CHILLED_WATER_PUMPS
5a9d9f8d-721b-45b0-919b-87185a199294	73c9b673-cdf0-488b-9bff-63e15b77b061	HEAT_REJECTION_PUMPS
5a9d9f8d-721b-45b0-919b-87185a199294	e594da82-7c6f-4066-9e0b-5d5041446e9e	VENTILATION
5a9d9f8d-721b-45b0-919b-87185a199294	b72f983c-123d-45ab-8892-7acfdb3eae9a	INFILTRATION
5a9d9f8d-721b-45b0-919b-87185a199294	6c20242b-086f-44b1-91bb-3c64795f3602	IT_LOAD
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	b7e7f09e-9dfe-4ec7-9129-eae52f9f8fb2	SWITCHGEAR
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	6e63ba94-0784-4167-839b-2b64580a2fda	GENERATOR
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	d61f83a2-6ae6-4443-850f-f992f26f55fc	PRIMARY_AUXILIARIES
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	ec2eeaf6-2a00-426a-9cc3-b993a88bbb54	UPS
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	4f4b3b68-8eb2-4317-9f78-4fd306b2595d	CRITICAL_AUXILIARIES
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	0562f354-32b8-4480-82a1-40a8144a18de	LIGHTING
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	f25ae65d-6b3c-410a-953f-3b8b53331c91	CRITICAL_POWER_DISTRIBUTION
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	6e36a6aa-77ed-435d-bf7e-f75d08f3be42	CRAH
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	2412c271-5739-4347-bca6-9f9f7dfb8ad8	CRAC
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	b73aa2c4-1e2a-4fd4-96e8-9e2281088f8b	CRAC_WITHOUT_FAN
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	b6e1005f-6de9-4dc8-b92b-950c92c6cb5b	CRAC_FAN
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	d8334068-97b1-45b8-8323-a06e31ef68e1	CHILLER
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	e1100916-a0a7-4659-b9cb-01ea83dbe1bd	AIR_COOLED_CHILLER
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	1dbc2c00-685c-4a0d-b582-e3592b845784	COOLING_TOWER
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	328b374d-5633-4cb7-870c-8bf2ff0f63d9	DRY_COOLER
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	2c256bb3-084d-47e9-a799-1f5877ac1f30	REMOTE_CONDENSER
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	812f5b00-724a-42ae-b5b5-3572d7a7cb07	CHILLED_WATER_PUMPS
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	2e9299d0-e7af-4325-9ef3-8b0c0b7030a0	HEAT_REJECTION_PUMPS
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	db88ca16-a57d-40b3-8e15-c2bdf6ea5d97	VENTILATION
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	70d445e0-520d-4fee-99be-71060a877842	INFILTRATION
37e6a4c7-eb6d-4b54-95ef-ccbcf64d5ee4	5ad4404a-a1cb-4e8e-bf3d-a244df8beb96	IT_LOAD
fd62035e-c28f-4efb-8548-5a96bb192a27	cc1594fa-d3c7-4262-a12b-893d431b968a	SWITCHGEAR
fd62035e-c28f-4efb-8548-5a96bb192a27	82433ab4-813b-444b-8e98-901fe5a10576	GENERATOR
fd62035e-c28f-4efb-8548-5a96bb192a27	15fa6e21-f999-4b74-9362-9a90c7eaff9c	PRIMARY_AUXILIARIES
fd62035e-c28f-4efb-8548-5a96bb192a27	2f3fd46a-f798-447b-b3b4-b388aa4883ad	UPS
fd62035e-c28f-4efb-8548-5a96bb192a27	48995cb0-15b3-4f1c-b63f-54545b2af348	CRITICAL_AUXILIARIES
fd62035e-c28f-4efb-8548-5a96bb192a27	e318dd8b-9f24-4903-88cf-426f29694a18	LIGHTING
fd62035e-c28f-4efb-8548-5a96bb192a27	a4c656a1-e80a-4d9f-b0bf-99e096ba88ab	CRITICAL_POWER_DISTRIBUTION
fd62035e-c28f-4efb-8548-5a96bb192a27	9587cb2d-7ecb-44be-9f29-23e3bef25ec2	CRAH
fd62035e-c28f-4efb-8548-5a96bb192a27	0da762f8-2bfe-4f84-a0c5-5c5390bf8d0a	CRAC
fd62035e-c28f-4efb-8548-5a96bb192a27	d48d6acd-af59-468b-9110-958d52cc8381	CRAC_WITHOUT_FAN
fd62035e-c28f-4efb-8548-5a96bb192a27	35d38d50-30de-4c1b-8075-b0f5c09aaf87	CRAC_FAN
fd62035e-c28f-4efb-8548-5a96bb192a27	a8e17c48-08a0-4a26-bc19-5848b3ba7e75	CHILLER
fd62035e-c28f-4efb-8548-5a96bb192a27	20c2487d-8ccc-4fd6-8113-54fbea44b9a8	AIR_COOLED_CHILLER
fd62035e-c28f-4efb-8548-5a96bb192a27	4aed753f-c7ec-4b3f-8f8e-91f746b025a8	COOLING_TOWER
fd62035e-c28f-4efb-8548-5a96bb192a27	cb5aa977-b08f-4ee8-811f-efc7db7d1b4e	DRY_COOLER
fd62035e-c28f-4efb-8548-5a96bb192a27	085e9ced-3412-4dc2-b288-95fa1fc39c12	REMOTE_CONDENSER
fd62035e-c28f-4efb-8548-5a96bb192a27	d4141e5c-a983-42fa-aaeb-7492468b07f6	CHILLED_WATER_PUMPS
fd62035e-c28f-4efb-8548-5a96bb192a27	9f642e32-fb5f-40c2-86a1-a496d83b1ea7	HEAT_REJECTION_PUMPS
fd62035e-c28f-4efb-8548-5a96bb192a27	abd3684c-b930-4ea7-8132-8644dc365773	VENTILATION
fd62035e-c28f-4efb-8548-5a96bb192a27	b66e34c9-e043-458f-823b-4a36cb3676a4	INFILTRATION
fd62035e-c28f-4efb-8548-5a96bb192a27	5cd1f888-e18c-4c59-acd5-89c7720af2f5	IT_LOAD
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	294686a9-3dab-481f-bdf5-6687436cda71	SWITCHGEAR
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	18ad47d8-5c32-462f-bbb1-233a8efd1bfe	GENERATOR
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	7821a53d-c9ef-43bc-8d07-5b556f7cc4fa	PRIMARY_AUXILIARIES
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	1ff54116-6709-4c70-8ecd-0d8995f9b70c	UPS
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	9a9eeb81-83e7-4ff5-b79d-d383ca01d0c6	CRITICAL_AUXILIARIES
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	59eed002-e23d-43de-b75a-449c616c16cf	LIGHTING
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	79e67fee-7d22-4c91-a2f4-bf74df1717ac	CRITICAL_POWER_DISTRIBUTION
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	ef137a1b-5bc8-4dda-915b-448a39e22158	CRAH
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	2c16e16a-2b86-45c7-aba9-ca9c4641f1dd	CRAC
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	d46a8d8a-7f41-4026-bfb0-de771f5cea7f	CRAC_WITHOUT_FAN
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	44c25281-bc50-4eea-82d5-f3c87513b533	CRAC_FAN
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	479f0e49-12cb-4729-8dfe-c7b2d11ae33c	CHILLER
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	3a0e6301-4d34-4782-96d6-5081e23340b3	AIR_COOLED_CHILLER
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	c8c3b30e-eaea-40d6-b4d7-0e158c8fc041	COOLING_TOWER
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	27371166-b3db-4d5d-baef-b607a3601c0a	DRY_COOLER
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	6fef4fb1-f53a-4136-82cd-5cb4e7e60fb4	REMOTE_CONDENSER
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	bb86d606-d619-432e-aa38-b14a7853b82d	CHILLED_WATER_PUMPS
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	2d7591c1-ee91-4f58-8d73-cd70a70bae85	HEAT_REJECTION_PUMPS
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	bbb6c1a3-e684-4583-81bb-fec61cda00e0	VENTILATION
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	15de5391-f52c-4ab7-a397-3093b7a8d484	INFILTRATION
1a3d4000-8f02-4ea8-a7b0-3339e6e4d708	ece83720-9f18-47cf-bee6-fd187486dee8	IT_LOAD
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	7ea550d4-561f-403f-90d0-1144ee4004aa	SWITCHGEAR
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	b1e1a653-930c-4c67-9292-ff4e799b630f	GENERATOR
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	344ef162-c464-42c1-94b6-14d6bbfbcb2c	PRIMARY_AUXILIARIES
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	4bc82b5b-bc75-4e01-8d4d-6facf3ba7223	UPS
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	a7075dd6-51d1-42b1-9202-b200d65fdb20	CRITICAL_AUXILIARIES
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	d8e8c287-6379-408c-8e17-4ef772b6c1b5	LIGHTING
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	f51f6874-f186-4b68-a42f-cfb31d02c0a3	CRITICAL_POWER_DISTRIBUTION
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	7fa1b0f3-497f-43c7-98cf-f25c56f0de83	CRAH
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	9d58d9ac-a645-4273-9e82-5ef15327c9d1	CRAC
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	938e6da5-90b1-4925-b894-4b59bfed2f2a	CRAC_WITHOUT_FAN
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	2810167e-ba39-4707-a817-94e5f1d23d59	CRAC_FAN
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	575a5683-a3cd-48f1-8e07-a2041dc3325d	CHILLER
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	6c85e317-c29f-4add-b009-f295eb1f4ea4	AIR_COOLED_CHILLER
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	5c6878b7-f39b-41bb-b124-4cded355212d	COOLING_TOWER
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	4b190747-ee55-4007-bd9a-cfa5597015a4	DRY_COOLER
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	88fbedf8-aa9e-45c4-85c3-b4c9bfe5d986	REMOTE_CONDENSER
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	1e0232e9-c0a8-4cde-8855-50907a37e833	CHILLED_WATER_PUMPS
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	e9e45349-966f-4942-ad21-899b472adc4a	HEAT_REJECTION_PUMPS
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	c6de64a5-ee91-4790-a044-9a2745dab414	VENTILATION
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	3a3e35ee-5b25-4c24-ab08-b9dc9bf8d366	INFILTRATION
105f9e5f-82e6-42ed-8e7d-e4fa98ca7378	2ca2c6be-4c86-41bb-b352-09af9966efda	IT_LOAD
5b5e208c-336c-4af9-820d-e195e41e28e5	b27e1d02-04db-4ea9-a366-4ffa1d974de9	SWITCHGEAR
5b5e208c-336c-4af9-820d-e195e41e28e5	ab8dde16-9bca-404a-9493-7d689480a95b	GENERATOR
5b5e208c-336c-4af9-820d-e195e41e28e5	b850fe96-a497-48bf-a58e-54a82622801c	PRIMARY_AUXILIARIES
5b5e208c-336c-4af9-820d-e195e41e28e5	c0ecde43-4e2d-4406-b650-fb383da0272b	UPS
5b5e208c-336c-4af9-820d-e195e41e28e5	f85bdaed-3053-4895-9323-32dc341fbc70	CRITICAL_AUXILIARIES
5b5e208c-336c-4af9-820d-e195e41e28e5	dc98f90e-ea31-4ef0-a9ce-f5d5a7995aae	LIGHTING
5b5e208c-336c-4af9-820d-e195e41e28e5	764def9c-c496-4d17-952e-6a9de56e58c9	CRITICAL_POWER_DISTRIBUTION
5b5e208c-336c-4af9-820d-e195e41e28e5	56a0609c-fb36-485c-8179-ca27581c0d3e	CRAH
5b5e208c-336c-4af9-820d-e195e41e28e5	ffa979cb-7d42-48d3-8524-b49aabdd0ce3	CRAC
5b5e208c-336c-4af9-820d-e195e41e28e5	4fef8662-6887-458b-b5e2-d48d38e0a669	CRAC_WITHOUT_FAN
5b5e208c-336c-4af9-820d-e195e41e28e5	9d4e0f9d-b69c-4a1d-b92d-b2991b1e875e	CRAC_FAN
5b5e208c-336c-4af9-820d-e195e41e28e5	54617d93-da7f-4935-ba27-aafcd24c1f54	CHILLER
5b5e208c-336c-4af9-820d-e195e41e28e5	36c73662-e262-4810-b977-0ab131671935	AIR_COOLED_CHILLER
5b5e208c-336c-4af9-820d-e195e41e28e5	5ecff1cb-e27a-4d3e-97ee-a828971e15c4	COOLING_TOWER
5b5e208c-336c-4af9-820d-e195e41e28e5	323f9c99-37c3-40cf-aabc-557c234d6e0a	DRY_COOLER
5b5e208c-336c-4af9-820d-e195e41e28e5	e7430ea1-a5fe-49f9-8b80-acc9c37be45d	REMOTE_CONDENSER
5b5e208c-336c-4af9-820d-e195e41e28e5	b79ae35f-e0cb-40b3-9e94-904fa2362873	CHILLED_WATER_PUMPS
5b5e208c-336c-4af9-820d-e195e41e28e5	e0a1917d-794c-41a7-9bbc-9bc1f4b7467e	HEAT_REJECTION_PUMPS
5b5e208c-336c-4af9-820d-e195e41e28e5	c2aa9d97-2726-4b61-9bbd-02d9c6efe2bc	VENTILATION
5b5e208c-336c-4af9-820d-e195e41e28e5	c3fea9ba-a4a2-4407-9e69-5dc62055045d	INFILTRATION
5b5e208c-336c-4af9-820d-e195e41e28e5	3b87241c-e099-4f73-b876-fc8aa2011118	IT_LOAD
11d10ab4-580e-455d-b7c8-601d3588840a	af24590a-b9db-4a1e-aa07-e892248280f9	SWITCHGEAR
11d10ab4-580e-455d-b7c8-601d3588840a	2d819bbd-d7aa-4a60-9c09-f058691ca02b	GENERATOR
11d10ab4-580e-455d-b7c8-601d3588840a	bce6bedd-5e5f-4d8e-9546-ec79a8f29a8e	PRIMARY_AUXILIARIES
11d10ab4-580e-455d-b7c8-601d3588840a	8357df5c-8625-44eb-a736-11fe0acc2380	UPS
11d10ab4-580e-455d-b7c8-601d3588840a	bb17fd9b-64cc-407b-944e-9c8a8fb10729	CRITICAL_AUXILIARIES
11d10ab4-580e-455d-b7c8-601d3588840a	b643af67-7e93-46db-916b-c52eda8ec927	LIGHTING
11d10ab4-580e-455d-b7c8-601d3588840a	9040446f-a7e9-47a3-b9c0-ab9b61007fb5	CRITICAL_POWER_DISTRIBUTION
11d10ab4-580e-455d-b7c8-601d3588840a	66ba1933-41b1-40aa-b051-649c1b17c9a9	CRAH
11d10ab4-580e-455d-b7c8-601d3588840a	98924381-78fa-4f38-b6b4-dbdbd7376f91	CRAC
11d10ab4-580e-455d-b7c8-601d3588840a	0fe36d3b-8f1d-4a36-ade0-81600123c84d	CRAC_WITHOUT_FAN
11d10ab4-580e-455d-b7c8-601d3588840a	7e4fab22-b8ea-40c2-9dd0-4ff5f5b2bed8	CRAC_FAN
11d10ab4-580e-455d-b7c8-601d3588840a	d3f2cd3a-15e9-4ecf-85fb-8fc4d86e5189	CHILLER
11d10ab4-580e-455d-b7c8-601d3588840a	309f99f3-180b-4d1d-9154-bbd96838835f	AIR_COOLED_CHILLER
11d10ab4-580e-455d-b7c8-601d3588840a	310b1c31-7e3a-488a-b69e-2333d29bd977	COOLING_TOWER
11d10ab4-580e-455d-b7c8-601d3588840a	cbac34bc-5359-467c-9c04-dc1be3ade270	DRY_COOLER
11d10ab4-580e-455d-b7c8-601d3588840a	ca1d1cbd-9bfa-42c0-88b6-d7f622772e3a	REMOTE_CONDENSER
11d10ab4-580e-455d-b7c8-601d3588840a	24218fc1-0c57-47d6-9293-0e2a684fd316	CHILLED_WATER_PUMPS
11d10ab4-580e-455d-b7c8-601d3588840a	db25d6a9-2395-4511-86a4-1d46616cfdb5	HEAT_REJECTION_PUMPS
11d10ab4-580e-455d-b7c8-601d3588840a	d255cbb6-7161-45a3-b902-14d397d5103c	VENTILATION
11d10ab4-580e-455d-b7c8-601d3588840a	2e238753-e9f5-4f93-ac3a-22abf3ba327b	INFILTRATION
11d10ab4-580e-455d-b7c8-601d3588840a	be8f7b9e-9ed4-4a71-93d6-366937f4a877	IT_LOAD
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	2ffd3401-8bc2-42ce-8400-f7e01d53a781	SWITCHGEAR
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	ebf747a4-7e42-4cb0-8b92-6a7e8442b9d9	GENERATOR
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	8d3ea8b4-8c59-4989-8158-c8866d6e8e60	PRIMARY_AUXILIARIES
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	fa3e2675-f1b0-444a-bd0b-46a612862145	UPS
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	f86a1d97-cf42-4a97-ab17-4a54621d97ad	CRITICAL_AUXILIARIES
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	9e7eeddb-fc5f-41f0-9da1-b6383cdfd046	LIGHTING
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	b4a302e9-ccfb-4485-982a-6ac1bccf0ac8	CRITICAL_POWER_DISTRIBUTION
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	e14fdecc-1717-4d5c-87b0-330b20cbf9f0	CRAH
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	4beba803-020c-4a27-a0b4-07b661f42c04	CRAC
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	e08b5713-f19a-4020-8fc6-63b7be3f88a5	CRAC_WITHOUT_FAN
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	4122c3a5-0ff7-4103-aa30-ca31ef24130f	CRAC_FAN
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	a8e3f260-4f43-43be-85fc-f86ffb97f3f3	CHILLER
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	e8aea7b5-f8e0-4d56-9861-de4c8908b8e3	AIR_COOLED_CHILLER
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	dbb86c98-c6e5-4b2a-86ba-98ca191d6df7	COOLING_TOWER
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	14bb9281-308d-4188-85a3-d5fae955f666	DRY_COOLER
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	934864fa-1830-497f-973d-4166a8c9b044	REMOTE_CONDENSER
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	3302f613-3ad1-4669-ae0d-0ad2b47d53b5	CHILLED_WATER_PUMPS
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	21d8f63c-1507-41cc-a96e-d1cd851383ba	HEAT_REJECTION_PUMPS
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	d4a078f1-8a7b-4fb0-89cd-652e168b6bc4	VENTILATION
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	06b39506-7c16-4e91-99c4-0159ba3a9436	INFILTRATION
c243b8a2-10b0-42a0-af70-2b6f5e8b90d0	b01a7e6c-ed5e-4e6e-8ef5-7c756eae55cc	IT_LOAD
b9e14709-02bb-4d41-a73f-4a7071b0a99c	27e9d9a4-538d-4bf7-93cf-4de35491e754	SWITCHGEAR
b9e14709-02bb-4d41-a73f-4a7071b0a99c	67ec5b07-d66b-4e57-bdcd-f5fd731585c5	GENERATOR
b9e14709-02bb-4d41-a73f-4a7071b0a99c	4ae485c6-1bc2-4f14-abb5-2650f4701506	PRIMARY_AUXILIARIES
b9e14709-02bb-4d41-a73f-4a7071b0a99c	eb3d65be-cdef-4523-97ac-f46cb48faeb1	UPS
b9e14709-02bb-4d41-a73f-4a7071b0a99c	4d6b5921-ed60-4b63-b51e-2eeb0928ca82	CRITICAL_AUXILIARIES
b9e14709-02bb-4d41-a73f-4a7071b0a99c	c58ae871-65a3-4cf1-af55-48dc9390ce1e	LIGHTING
b9e14709-02bb-4d41-a73f-4a7071b0a99c	d38eb9c0-150d-43c6-92d2-ee5d72ba45f3	CRITICAL_POWER_DISTRIBUTION
b9e14709-02bb-4d41-a73f-4a7071b0a99c	312cd5ce-96c5-4213-ad1a-d04c401ec6f3	CRAH
b9e14709-02bb-4d41-a73f-4a7071b0a99c	f345d546-ced1-4791-a051-b6046c8ac518	CRAC
b9e14709-02bb-4d41-a73f-4a7071b0a99c	be770ab5-437b-47f1-b7c7-cfc778173e61	CRAC_WITHOUT_FAN
b9e14709-02bb-4d41-a73f-4a7071b0a99c	cefa4c3d-1701-4a6e-bed3-43c3fc675d43	CRAC_FAN
b9e14709-02bb-4d41-a73f-4a7071b0a99c	5b829415-2703-4829-af11-52eb38a52f6f	CHILLER
b9e14709-02bb-4d41-a73f-4a7071b0a99c	f89f2f2c-7653-47e7-b798-f2bd639aa9f6	AIR_COOLED_CHILLER
b9e14709-02bb-4d41-a73f-4a7071b0a99c	c60731d8-6d45-4efe-bcc2-798beb2d3024	COOLING_TOWER
b9e14709-02bb-4d41-a73f-4a7071b0a99c	06d20b49-5621-433b-a287-1ca778368789	DRY_COOLER
b9e14709-02bb-4d41-a73f-4a7071b0a99c	3728a2f9-8bae-4f94-92db-268f407f9424	REMOTE_CONDENSER
b9e14709-02bb-4d41-a73f-4a7071b0a99c	413b78ab-f104-4d20-be4d-83a0e5310280	CHILLED_WATER_PUMPS
b9e14709-02bb-4d41-a73f-4a7071b0a99c	df259ac9-0e85-4af4-86c9-066aef4f87bd	HEAT_REJECTION_PUMPS
b9e14709-02bb-4d41-a73f-4a7071b0a99c	8272f53d-6858-4c33-b6e6-06185c7b50c4	VENTILATION
b9e14709-02bb-4d41-a73f-4a7071b0a99c	ec9b2550-5634-42ee-85be-93c91caaac4b	INFILTRATION
b9e14709-02bb-4d41-a73f-4a7071b0a99c	6e9830c2-557c-40d0-b889-d528d7416964	IT_LOAD
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	5e31b658-f563-4aa7-8023-0abd09c69b4e	SWITCHGEAR
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	50c1ea41-0e54-4dd8-b99e-bd5bde93a3fa	GENERATOR
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	6152eeec-ae32-4d1a-8372-6449017ca214	PRIMARY_AUXILIARIES
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	1efba247-6957-4258-9262-bc463cda81c9	UPS
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	6b42f45b-21c2-4cfa-b389-9a9b4304b9d6	CRITICAL_AUXILIARIES
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	64df76ba-56c9-4818-9917-890c87538cf1	LIGHTING
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	f305db10-0af1-4932-ab9e-7f456d886cc5	CRITICAL_POWER_DISTRIBUTION
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	71f43b56-1220-42a5-ad30-5ffd721de7e5	CRAH
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	5a3e79e3-1859-4470-86b1-03b991865c4e	CRAC
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	c90a624d-47f3-47d4-b019-9e24cbb6f7b7	CRAC_WITHOUT_FAN
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	367f33db-af70-4d11-bb46-7a0118fbe212	CRAC_FAN
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	f45d093d-d825-42d4-9e9b-fbed44ff5599	CHILLER
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	0ef19862-9c0c-439d-8f20-2a56b98a41c5	AIR_COOLED_CHILLER
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	e921563e-ab23-46dd-9c07-2537085cbeef	COOLING_TOWER
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	1c569a6d-9ba0-4cca-a9c0-27978e3bde49	DRY_COOLER
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	836598ca-997b-4789-9f9a-f461fa045352	REMOTE_CONDENSER
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	e234d3f2-433f-491b-afe3-38a1c3216661	CHILLED_WATER_PUMPS
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	b0b2d893-86a7-4bd8-bc2f-84392b3b28fc	HEAT_REJECTION_PUMPS
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	b6dc5fd0-eddc-4448-a714-19b207557d86	VENTILATION
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	f7508733-0132-456c-a2cd-28c3ad6a572b	INFILTRATION
0f8f4c15-1c01-4071-ac56-b5ddbbac9598	56065f9a-d83e-4910-bca6-3f331373fca1	IT_LOAD
62eea711-523c-4eb8-b838-549ea7337546	c109c88d-60a7-477d-a848-68260b64656d	SWITCHGEAR
62eea711-523c-4eb8-b838-549ea7337546	169ac78b-c77f-4c86-b7f4-8ef2e75f54ee	GENERATOR
62eea711-523c-4eb8-b838-549ea7337546	bb7de7aa-1588-4ac7-9ca6-24bdb0e493d7	PRIMARY_AUXILIARIES
62eea711-523c-4eb8-b838-549ea7337546	dbc3f864-501f-4d04-b0d0-a603ee7e573a	UPS
62eea711-523c-4eb8-b838-549ea7337546	c0751a3a-6520-496b-94f0-503ec686d269	CRITICAL_AUXILIARIES
62eea711-523c-4eb8-b838-549ea7337546	58deaa8a-ce3e-4911-8c20-0ca0a8d715d0	LIGHTING
62eea711-523c-4eb8-b838-549ea7337546	2b0ee532-d092-402b-8b48-b148157df0b6	CRITICAL_POWER_DISTRIBUTION
62eea711-523c-4eb8-b838-549ea7337546	7fc30a9e-2a36-4da3-9388-323359fe7581	CRAH
62eea711-523c-4eb8-b838-549ea7337546	dae4913d-1cd1-4b24-8d2f-7b26d64beb9c	CRAC
62eea711-523c-4eb8-b838-549ea7337546	c79f7b41-07c8-4824-901b-c74c5a827424	CRAC_WITHOUT_FAN
62eea711-523c-4eb8-b838-549ea7337546	45ffb342-c445-4142-8659-81fb475cc233	CRAC_FAN
62eea711-523c-4eb8-b838-549ea7337546	ceb20ded-db4e-4ae9-9c99-ea4ffd7b0997	CHILLER
62eea711-523c-4eb8-b838-549ea7337546	1a35b84c-964b-43c6-bbfc-3bd957a42484	AIR_COOLED_CHILLER
62eea711-523c-4eb8-b838-549ea7337546	601cc747-8677-402d-90ac-90b1e55ddd00	COOLING_TOWER
62eea711-523c-4eb8-b838-549ea7337546	5cf8312c-1310-442a-80e9-f78115c80d75	DRY_COOLER
62eea711-523c-4eb8-b838-549ea7337546	87b7aa60-8c3e-4b17-8d10-684a9a0dd03b	REMOTE_CONDENSER
62eea711-523c-4eb8-b838-549ea7337546	325a7488-3bed-4588-844b-7040293cd5ef	CHILLED_WATER_PUMPS
62eea711-523c-4eb8-b838-549ea7337546	a93e368d-6fe7-410f-a734-c35442081503	HEAT_REJECTION_PUMPS
62eea711-523c-4eb8-b838-549ea7337546	814f5b87-898f-4943-8997-3f82001fee77	VENTILATION
62eea711-523c-4eb8-b838-549ea7337546	131c009b-89e0-4215-8e0d-2ff52f5c4acd	INFILTRATION
62eea711-523c-4eb8-b838-549ea7337546	0b217f7a-ae85-4d37-b55f-8b61a2238d36	IT_LOAD
68a69c0e-e252-4875-8fb8-e79d04131350	164a7d6e-2908-4ed9-8dda-380343968103	SWITCHGEAR
68a69c0e-e252-4875-8fb8-e79d04131350	fd420620-660c-475c-ba2a-903461d45a13	GENERATOR
68a69c0e-e252-4875-8fb8-e79d04131350	1640104c-7350-4fcb-a505-b4a21a958ac3	PRIMARY_AUXILIARIES
68a69c0e-e252-4875-8fb8-e79d04131350	fdd19081-41f9-4d9d-aade-e30b2f9cd1ff	UPS
68a69c0e-e252-4875-8fb8-e79d04131350	4505812b-16b2-456a-bd0a-08b6d51224b7	CRITICAL_AUXILIARIES
68a69c0e-e252-4875-8fb8-e79d04131350	5b52d2e3-f39c-49ee-8072-014add6ba6ad	LIGHTING
68a69c0e-e252-4875-8fb8-e79d04131350	fadff865-b640-4861-a30b-695ca516b4b8	CRITICAL_POWER_DISTRIBUTION
68a69c0e-e252-4875-8fb8-e79d04131350	a2cb995d-ad03-41cb-abe2-e301a5d90aa8	CRAH
68a69c0e-e252-4875-8fb8-e79d04131350	3f90f872-78be-4ed7-b347-163c745ca26b	CRAC
68a69c0e-e252-4875-8fb8-e79d04131350	439354d7-a43b-49d6-b3fe-995bea7c2efb	CRAC_WITHOUT_FAN
68a69c0e-e252-4875-8fb8-e79d04131350	baaba114-842c-484f-8ffb-a5eaad23a17e	CRAC_FAN
68a69c0e-e252-4875-8fb8-e79d04131350	70849fa6-66c4-4a4f-87d2-8b0af307e0e8	CHILLER
68a69c0e-e252-4875-8fb8-e79d04131350	682d1f2b-4b22-414a-81cd-85c4507bd5a5	AIR_COOLED_CHILLER
68a69c0e-e252-4875-8fb8-e79d04131350	ee73b2aa-4380-4e84-9e17-6bf778f9c7ad	COOLING_TOWER
68a69c0e-e252-4875-8fb8-e79d04131350	6cd11a7b-0ce7-4bd2-b689-5d281bc5cc75	DRY_COOLER
68a69c0e-e252-4875-8fb8-e79d04131350	98d7a0de-f3bf-4c63-ab99-5a400bf32523	REMOTE_CONDENSER
68a69c0e-e252-4875-8fb8-e79d04131350	2f0b1814-b402-4902-9f42-eabc60e77f6a	CHILLED_WATER_PUMPS
68a69c0e-e252-4875-8fb8-e79d04131350	26870071-c15a-4c80-80c2-7e5a1db3bdab	HEAT_REJECTION_PUMPS
68a69c0e-e252-4875-8fb8-e79d04131350	33e4fe85-2b91-497f-9333-82c98d0b01ec	VENTILATION
68a69c0e-e252-4875-8fb8-e79d04131350	a75bb463-b979-4391-9f59-296017ab47c0	INFILTRATION
68a69c0e-e252-4875-8fb8-e79d04131350	ef1c53d1-a9db-4e60-ba55-5ab8f6173707	IT_LOAD
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	93ae0984-4d0a-4b24-8171-a91d611f5dd5	SWITCHGEAR
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	87cd7409-622d-4af8-be56-b2bce1fd193b	GENERATOR
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	eeac6c22-7c02-4039-9fbf-e4ba36c2366c	PRIMARY_AUXILIARIES
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	ffe14d2b-ee5c-41ba-9b26-dbc47ba11f96	UPS
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	b50c15f5-1d5e-43ab-8762-1e9a41f5bec4	CRITICAL_AUXILIARIES
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	3dc1bff3-60db-4d65-9388-2629b41a88a1	LIGHTING
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	51d0d575-2eed-45c9-9047-5bc91b2e5886	CRITICAL_POWER_DISTRIBUTION
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	904a85c5-1fb7-40d8-a12a-b77e45ca7829	CRAH
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	2fd7c187-7931-492d-a79e-bdb2ac286388	CRAC
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	1d7c310d-69ce-406d-abac-b6f89d53500c	CRAC_WITHOUT_FAN
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	b0c4de20-ef45-4900-98a1-c76d3f7310fb	CRAC_FAN
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	34ad0436-ebbc-4f30-917a-8f8abf21cc36	CHILLER
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	da32bddb-30fe-4164-83a2-a0b6f3be26d4	AIR_COOLED_CHILLER
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	d8c4a053-43d4-4dd9-ace7-b8f3f8fc15e4	COOLING_TOWER
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	5d55256f-bb96-4c83-88ce-fddf89e596dc	DRY_COOLER
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	ff21d524-e42f-4c93-9b43-2acc465ca667	REMOTE_CONDENSER
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	4e29e8b6-bd6c-4fb1-8b38-28d74d29ec3c	CHILLED_WATER_PUMPS
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	1d25b5b5-3cf8-4ed1-b6d5-9b0ca5efbf31	HEAT_REJECTION_PUMPS
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	6477365e-0fd6-48f5-89b9-9027c5ccf3dc	VENTILATION
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	39512574-1143-4cc7-9a86-6c905792904c	INFILTRATION
fc59d286-e6e3-4aa3-9f29-572fb14c33b5	78db4f07-867e-44dd-8942-f3fd17b2991f	IT_LOAD
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	3d29079d-4d05-4319-a088-d7710ac11a68	SWITCHGEAR
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	fef94793-14b2-43b7-82e0-b6aaaeadddbb	GENERATOR
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	5be83c32-4916-40d8-85a5-480ce3090385	PRIMARY_AUXILIARIES
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	c3bfaec5-a9e6-4a1f-9511-349382518695	UPS
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	6de0babd-6ffe-4434-8af9-8721a78435e7	CRITICAL_AUXILIARIES
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	35abac9d-9da2-4eae-b270-72bec07d2e2e	LIGHTING
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	715e5eed-ae63-4815-a4cc-04f5a825ea50	CRITICAL_POWER_DISTRIBUTION
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	fd0556a5-87b2-444e-a234-b4f076a94468	CRAH
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	875736e3-361f-4a7c-9bb9-61b35e90eae5	CRAC
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	848f6bfa-73bb-4d35-a17a-32c17930d809	CRAC_WITHOUT_FAN
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	d22df27c-f2ad-4fd4-aa00-501d603affaa	CRAC_FAN
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	62e207b3-5cfd-49b0-991d-98f1d2971b53	CHILLER
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	5f423468-c88f-4c47-9a39-929e10601b9c	AIR_COOLED_CHILLER
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	41b29407-0d85-46b8-9804-357f6b47e92c	COOLING_TOWER
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	407cccd1-7dbf-457c-b2ef-595366fc0756	DRY_COOLER
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	a1829cbc-5de5-4115-8d7f-7498abc4314a	REMOTE_CONDENSER
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	25b94ea8-a66f-41cb-a916-e7cc78bc0831	CHILLED_WATER_PUMPS
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	17330895-d962-4e32-a59d-8bc75dc12461	HEAT_REJECTION_PUMPS
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	daa8b4f5-2fba-413d-8095-81734384fdb7	VENTILATION
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	883fb453-9211-443c-b743-4969b08bb19e	INFILTRATION
5af828b7-042f-4e2d-8c0f-7ab89ee6f3d1	b97d3d74-5d6b-4588-bbf9-ea2d061fb24a	IT_LOAD
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	c604d0e8-4e97-40f0-9856-1390ea888f42	SWITCHGEAR
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	6eac9f2d-d884-4089-875a-ff458da52d3d	GENERATOR
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	8c6c08a9-304c-44e5-8545-2992384a2e1e	PRIMARY_AUXILIARIES
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	e017f43c-18c3-4002-ba01-e9ccb8cd4345	UPS
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	c3b6bb8e-fafe-446c-bb09-dda851fd53e3	CRITICAL_AUXILIARIES
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	d03ff80a-2090-458d-89ee-2616a5f1ef43	LIGHTING
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	5ca00ff4-73ad-4ea2-ae8b-dcf1a1b71807	CRITICAL_POWER_DISTRIBUTION
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	e1fcadb6-a3dd-4fd4-ac97-b1b69ec6f3f1	CRAH
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	34e30310-cbe9-4867-a884-09a05a736b80	CRAC
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	1d1fc6ed-418e-41bd-a220-3dc5a23b6488	CRAC_WITHOUT_FAN
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	efa1ee99-730c-41dc-9c9d-6214157e9d0e	CRAC_FAN
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	9a1eeb30-d96f-48a2-bf6a-7fca2e2803a9	CHILLER
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	b2c75d62-69d3-45a5-935b-297ebb6caae5	AIR_COOLED_CHILLER
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	edef6371-4789-4e64-8f16-e059d7bc56c6	COOLING_TOWER
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	083fc8a6-482d-463e-b5ea-feeb92d20115	DRY_COOLER
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	77f83eac-8795-425f-a97c-7bf10fd7f20d	REMOTE_CONDENSER
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	35b8855c-73e8-49a7-adcf-6dfd8908baa2	CHILLED_WATER_PUMPS
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	71312e37-abf7-48f9-8e9c-c5668d5cff04	HEAT_REJECTION_PUMPS
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	f5d4c429-92c9-4fc7-8d14-89b3a14cdb9f	VENTILATION
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	7e474869-3529-4be4-9d43-45b443a0e570	INFILTRATION
a9d2d8f9-5d53-4cf3-a409-60c5893eb08c	518217e5-6aea-4842-8485-36d2d8302f26	IT_LOAD
63ec93bc-3290-4a71-9f7d-71614d022b22	df404807-b9f7-488f-aba1-7d007d38bbee	SWITCHGEAR
63ec93bc-3290-4a71-9f7d-71614d022b22	7be952a1-ff57-4938-895c-28c25e863a60	GENERATOR
63ec93bc-3290-4a71-9f7d-71614d022b22	bd5f608c-b5cd-4126-a29f-d64edebcf607	PRIMARY_AUXILIARIES
63ec93bc-3290-4a71-9f7d-71614d022b22	ed19ba56-2ade-4af7-89b7-398a2c8d9144	UPS
63ec93bc-3290-4a71-9f7d-71614d022b22	7855f358-af4c-4d1e-aaa8-7f06fd398bb2	CRITICAL_AUXILIARIES
63ec93bc-3290-4a71-9f7d-71614d022b22	760f6f7b-e0a2-4918-8ab4-941364bc181d	LIGHTING
63ec93bc-3290-4a71-9f7d-71614d022b22	5b01d163-73a1-48bc-b883-60e1d8c2fcc8	CRITICAL_POWER_DISTRIBUTION
63ec93bc-3290-4a71-9f7d-71614d022b22	3996d0df-c65e-4a6c-a6d9-ba130d86c8a6	CRAH
63ec93bc-3290-4a71-9f7d-71614d022b22	ce4ae9bc-b97e-40f2-b2dd-f8b91440c5fe	CRAC
63ec93bc-3290-4a71-9f7d-71614d022b22	099171ef-262f-4fa5-9af5-478de514624b	CRAC_WITHOUT_FAN
63ec93bc-3290-4a71-9f7d-71614d022b22	f4a916ff-ff44-4145-a4ad-8b44ec1cc858	CRAC_FAN
63ec93bc-3290-4a71-9f7d-71614d022b22	eecf146d-cd28-4e17-9cd4-9033d69b3135	CHILLER
63ec93bc-3290-4a71-9f7d-71614d022b22	5d50b9c9-8035-4c96-94fd-b0b3f002b531	AIR_COOLED_CHILLER
63ec93bc-3290-4a71-9f7d-71614d022b22	132fa89f-a911-40ee-9150-9f479afb3545	COOLING_TOWER
63ec93bc-3290-4a71-9f7d-71614d022b22	80d7ab41-dba0-40d0-8745-2d3c1ae027ea	DRY_COOLER
63ec93bc-3290-4a71-9f7d-71614d022b22	f1aaf4eb-4886-46aa-8fd5-202481a316fe	REMOTE_CONDENSER
63ec93bc-3290-4a71-9f7d-71614d022b22	260652ca-7c81-42fd-a057-ea6168c289fc	CHILLED_WATER_PUMPS
63ec93bc-3290-4a71-9f7d-71614d022b22	6a4ca9e4-5ad6-4352-ae12-992e00ff24ea	HEAT_REJECTION_PUMPS
63ec93bc-3290-4a71-9f7d-71614d022b22	b71b4fdb-f62d-4be8-abd5-03f40d9a17c5	VENTILATION
63ec93bc-3290-4a71-9f7d-71614d022b22	705ea46d-698f-4c15-bb99-5c345513d206	INFILTRATION
63ec93bc-3290-4a71-9f7d-71614d022b22	cde3a0e8-5d3d-47e0-99c2-4a45a4d40d80	IT_LOAD
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	74eceb23-c4f0-4f52-852e-d2739ada916b	SWITCHGEAR
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	73c9b562-291e-4eac-853f-4f0c7d1b8e10	GENERATOR
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	b39a1481-5c0a-41a6-9837-8697c5c7b764	PRIMARY_AUXILIARIES
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	efdbddec-6cce-49e1-8a1c-6ccd39cff5ad	UPS
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	15820d29-4b3c-48d8-9597-cf62c3dcca9d	CRITICAL_AUXILIARIES
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	5b9ee888-2869-4e1a-8e76-99920d9df839	LIGHTING
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	08db4875-804f-47b8-958b-79dafb54c2d5	CRITICAL_POWER_DISTRIBUTION
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	78a08e07-1082-419c-89dc-521338a351b6	CRAH
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	50d67d4a-88dd-4cfd-b1d3-599b5dcaed8c	CRAC
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	53b321d4-c39d-4d82-bcb1-976ec53d7d45	CRAC_WITHOUT_FAN
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	35cc49bf-cd13-46c6-b03f-34eb6eb9394e	CRAC_FAN
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	8fac4533-baf7-4256-bea9-6e7f9a5478e7	CHILLER
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	b581a8f0-1b74-41d6-ba22-c665f7457561	AIR_COOLED_CHILLER
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	5f136f19-da2a-4b0e-911b-042fa9ba14e6	COOLING_TOWER
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	5c8e7872-e1df-439c-80fc-12710b4acdec	DRY_COOLER
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	6f1e6587-98e4-4da4-a373-f20b91bc56ec	REMOTE_CONDENSER
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	73b83cbf-8258-47c1-b6ad-b9a85a03d2a5	CHILLED_WATER_PUMPS
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	2c647288-286d-4fd6-83f4-30dbac09c350	HEAT_REJECTION_PUMPS
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	af3b0bb2-d0fa-4706-b261-a082b326e1d7	VENTILATION
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	470a7140-39fd-4ba3-8eba-9d64b1b8f041	INFILTRATION
64ec472b-4d4d-4eb8-b9d8-64489a2249c1	2761c9eb-10e9-4aad-9023-5899349fa3de	IT_LOAD
ecc98464-e56c-42bd-acf9-4530b815d7e8	6013fb49-1f00-4de5-b46c-c982315018c8	SWITCHGEAR
ecc98464-e56c-42bd-acf9-4530b815d7e8	7d5aef8e-607d-4436-a0e4-e3165370714c	GENERATOR
ecc98464-e56c-42bd-acf9-4530b815d7e8	ea53e83c-e218-4e8b-9544-1c95d271b24b	PRIMARY_AUXILIARIES
ecc98464-e56c-42bd-acf9-4530b815d7e8	b73c543c-0b4d-47cb-ad2a-c61fd9ebf2fc	UPS
ecc98464-e56c-42bd-acf9-4530b815d7e8	c676dce8-3de2-4378-8aad-c8a5fbe66c40	CRITICAL_AUXILIARIES
ecc98464-e56c-42bd-acf9-4530b815d7e8	e608f7e5-11b4-4e09-b4f7-d5a9d1ad5c58	LIGHTING
ecc98464-e56c-42bd-acf9-4530b815d7e8	b8c05473-c56e-4a7f-984b-6d121616e4f1	CRITICAL_POWER_DISTRIBUTION
ecc98464-e56c-42bd-acf9-4530b815d7e8	725cd1bb-2753-4121-a414-5ba864266ca8	CRAH
ecc98464-e56c-42bd-acf9-4530b815d7e8	663cf850-2d96-43d5-83d3-a9e9b2619587	CRAC
ecc98464-e56c-42bd-acf9-4530b815d7e8	b83c8988-d750-4656-b9e8-315c20cc1024	CRAC_WITHOUT_FAN
ecc98464-e56c-42bd-acf9-4530b815d7e8	d0160412-8b30-42ff-af12-40a26d41a923	CRAC_FAN
ecc98464-e56c-42bd-acf9-4530b815d7e8	73904c87-35e2-4ff2-a3d4-5e4eb6c93288	CHILLER
ecc98464-e56c-42bd-acf9-4530b815d7e8	e7d4da33-7205-4f77-b1d9-0149026b4a7d	AIR_COOLED_CHILLER
ecc98464-e56c-42bd-acf9-4530b815d7e8	6e9940f6-3e0c-4400-ad3f-871ffe744c3b	COOLING_TOWER
ecc98464-e56c-42bd-acf9-4530b815d7e8	71e3f8e4-31c9-4948-bd81-e2b5c52ed396	DRY_COOLER
ecc98464-e56c-42bd-acf9-4530b815d7e8	90c07792-1ed0-48e5-a6a4-e77696f04d14	REMOTE_CONDENSER
ecc98464-e56c-42bd-acf9-4530b815d7e8	848b8087-5da9-4bb3-8e7e-ea5cde7b7e0b	CHILLED_WATER_PUMPS
ecc98464-e56c-42bd-acf9-4530b815d7e8	53791229-4a82-4050-bf98-fdb58f881c6b	HEAT_REJECTION_PUMPS
ecc98464-e56c-42bd-acf9-4530b815d7e8	16cac747-62d3-498b-85f9-94aa121659bc	VENTILATION
ecc98464-e56c-42bd-acf9-4530b815d7e8	b7d79905-4501-4cd2-b01a-06580625b2cd	INFILTRATION
ecc98464-e56c-42bd-acf9-4530b815d7e8	5fd86cf4-9ee7-4b36-801c-f95f9561761c	IT_LOAD
e865794a-2122-4dee-a2f0-7cf87ee30731	e2b92648-7a01-41ea-b862-485459bf0c3b	SWITCHGEAR
e865794a-2122-4dee-a2f0-7cf87ee30731	51fae657-1750-410c-b311-42d3022d7bdf	GENERATOR
e865794a-2122-4dee-a2f0-7cf87ee30731	e8ad072d-52a2-4739-b8f6-46e4d9ecc15a	PRIMARY_AUXILIARIES
e865794a-2122-4dee-a2f0-7cf87ee30731	b41af565-dc80-4834-a565-80ec8b159d75	UPS
e865794a-2122-4dee-a2f0-7cf87ee30731	98b6a31e-7069-499f-bda0-9360795b2701	CRITICAL_AUXILIARIES
e865794a-2122-4dee-a2f0-7cf87ee30731	576b4efc-3dda-4228-8c8d-740c77f7dac6	LIGHTING
e865794a-2122-4dee-a2f0-7cf87ee30731	c68c8c73-707e-4741-9d81-b19a8596d91e	CRITICAL_POWER_DISTRIBUTION
e865794a-2122-4dee-a2f0-7cf87ee30731	5e7e51fc-9d63-4725-b0d5-4ddb8e4b891c	CRAH
e865794a-2122-4dee-a2f0-7cf87ee30731	91f08deb-7c24-413c-bcf2-637248e2b93b	CRAC
e865794a-2122-4dee-a2f0-7cf87ee30731	6499af4f-69d3-4e30-af53-62c81a08ff21	CRAC_WITHOUT_FAN
e865794a-2122-4dee-a2f0-7cf87ee30731	8fcb6fad-1359-45d9-948f-369b1b9bd97e	CRAC_FAN
e865794a-2122-4dee-a2f0-7cf87ee30731	f87266fd-a21e-4762-abba-38550de0ee74	CHILLER
e865794a-2122-4dee-a2f0-7cf87ee30731	7e4c62df-3915-4148-b02e-43d422b22593	AIR_COOLED_CHILLER
e865794a-2122-4dee-a2f0-7cf87ee30731	69f67f82-f6c3-44c6-b276-5adc1bc71dab	COOLING_TOWER
e865794a-2122-4dee-a2f0-7cf87ee30731	9de80b5f-3a1f-46b7-8ce8-fbb59f8d8970	DRY_COOLER
e865794a-2122-4dee-a2f0-7cf87ee30731	35210970-f1d8-4426-95c0-e0809f6684dd	REMOTE_CONDENSER
e865794a-2122-4dee-a2f0-7cf87ee30731	beeeb2f2-57ba-4c8d-9865-b13a7844f2f7	CHILLED_WATER_PUMPS
e865794a-2122-4dee-a2f0-7cf87ee30731	7174871e-03f1-4484-b2a1-2e401f7de7e0	HEAT_REJECTION_PUMPS
e865794a-2122-4dee-a2f0-7cf87ee30731	2f52e7dd-fe50-446c-9f09-d5604d09dd7d	VENTILATION
e865794a-2122-4dee-a2f0-7cf87ee30731	5e7db572-9dcc-48f8-b5d5-f38bb2c6593d	INFILTRATION
e865794a-2122-4dee-a2f0-7cf87ee30731	5a01c236-633e-4d80-9349-b9d0a4bb985e	IT_LOAD
cddc980b-3ba1-4141-9779-67941afec7a6	4ec1b9f4-6d6b-4542-9f54-2bd5dd025f78	SWITCHGEAR
cddc980b-3ba1-4141-9779-67941afec7a6	7464db1a-4273-43d8-a79c-74dd240d467d	GENERATOR
cddc980b-3ba1-4141-9779-67941afec7a6	f3a7f72d-1688-4ea2-a26a-f99f7940c3b4	PRIMARY_AUXILIARIES
cddc980b-3ba1-4141-9779-67941afec7a6	37ecb3ed-0657-47da-821f-8a8e98088000	UPS
cddc980b-3ba1-4141-9779-67941afec7a6	147c0a0f-d6bd-4150-b4c3-6d05b96bc887	CRITICAL_AUXILIARIES
cddc980b-3ba1-4141-9779-67941afec7a6	a4cc42d8-eb29-4e6f-9cd8-60d4c35ac817	LIGHTING
cddc980b-3ba1-4141-9779-67941afec7a6	2f7ace02-38ee-4e4c-846d-f36b07924810	CRITICAL_POWER_DISTRIBUTION
cddc980b-3ba1-4141-9779-67941afec7a6	2b294ddb-19ab-450d-aaa8-0e311b6f5c63	CRAH
cddc980b-3ba1-4141-9779-67941afec7a6	39ba123f-05cc-43cd-86bb-50f5285a422e	CRAC
cddc980b-3ba1-4141-9779-67941afec7a6	2885fa2f-2c8d-4e6c-ae42-29e3423903ac	CRAC_WITHOUT_FAN
cddc980b-3ba1-4141-9779-67941afec7a6	9972f78e-3a90-414a-920d-e7783ab5219e	CRAC_FAN
cddc980b-3ba1-4141-9779-67941afec7a6	d7eaf0b2-1a36-4d17-8e56-278755c7e5da	CHILLER
cddc980b-3ba1-4141-9779-67941afec7a6	781fe04c-9a92-47b7-bae5-d8f31a144173	AIR_COOLED_CHILLER
cddc980b-3ba1-4141-9779-67941afec7a6	852deb47-5a06-4b62-ba56-8fa65b5faf13	COOLING_TOWER
cddc980b-3ba1-4141-9779-67941afec7a6	da224a7a-b7f3-4c70-9be6-c1bf04a707c7	DRY_COOLER
cddc980b-3ba1-4141-9779-67941afec7a6	8ada6b6a-8cb5-4422-8e49-6387f6dce989	REMOTE_CONDENSER
cddc980b-3ba1-4141-9779-67941afec7a6	a90651e9-f4af-46d6-917e-2addd05ae6f0	CHILLED_WATER_PUMPS
cddc980b-3ba1-4141-9779-67941afec7a6	4f26378b-d7e0-4de8-a97e-614d89e5bf8d	HEAT_REJECTION_PUMPS
cddc980b-3ba1-4141-9779-67941afec7a6	8cf493ff-7fe1-42a7-8db8-9b68786a1d37	VENTILATION
cddc980b-3ba1-4141-9779-67941afec7a6	f4c16ce2-7fa6-4735-9aaf-4e4fb22899d9	INFILTRATION
cddc980b-3ba1-4141-9779-67941afec7a6	2d128c31-25ea-462f-a997-bbdd7c93aa12	IT_LOAD
1159757a-645a-4fdb-a874-884cbe458994	43b0833c-3f18-4c83-96c0-35100b2288ee	SWITCHGEAR
1159757a-645a-4fdb-a874-884cbe458994	a4e4387a-a87f-4fd4-9bdf-a4e7ec2b27a8	GENERATOR
1159757a-645a-4fdb-a874-884cbe458994	52c0f872-3cad-48a1-bb4f-99162b9921fb	PRIMARY_AUXILIARIES
1159757a-645a-4fdb-a874-884cbe458994	f128c789-40de-449e-8a31-899497369798	UPS
1159757a-645a-4fdb-a874-884cbe458994	60ab74e9-0ff4-4684-8f30-c0f6aa7965b8	CRITICAL_AUXILIARIES
1159757a-645a-4fdb-a874-884cbe458994	10a623bc-af1b-4bcc-a114-836db82e7b8b	LIGHTING
1159757a-645a-4fdb-a874-884cbe458994	66281d52-7396-49db-8fc3-5bc04de8f0d9	CRITICAL_POWER_DISTRIBUTION
1159757a-645a-4fdb-a874-884cbe458994	3841438c-5d30-4f30-8fe4-de01dec5e081	CRAH
1159757a-645a-4fdb-a874-884cbe458994	fcaf23ad-f9dc-4e9b-be39-01a840d0f61d	CRAC
1159757a-645a-4fdb-a874-884cbe458994	8842f091-8d5b-4e5a-8429-979ad1c5d348	CRAC_WITHOUT_FAN
1159757a-645a-4fdb-a874-884cbe458994	734d7630-c84d-43fd-97d9-aadd676ac71b	CRAC_FAN
1159757a-645a-4fdb-a874-884cbe458994	f9b86486-8383-4d02-8dc5-cc81fc965daa	CHILLER
1159757a-645a-4fdb-a874-884cbe458994	6bcbd8c6-61be-49df-9fbb-ed9fd3470dc1	AIR_COOLED_CHILLER
1159757a-645a-4fdb-a874-884cbe458994	13afdddb-f6fe-4316-8e98-02b5fd399995	COOLING_TOWER
1159757a-645a-4fdb-a874-884cbe458994	f1df3689-5e69-4a41-805b-aa7cdfc89394	DRY_COOLER
1159757a-645a-4fdb-a874-884cbe458994	b5e3b8ef-ee27-44f2-ad33-4c4a8bb13df6	REMOTE_CONDENSER
1159757a-645a-4fdb-a874-884cbe458994	3341f59c-11f1-4d14-b851-46cf10382e17	CHILLED_WATER_PUMPS
1159757a-645a-4fdb-a874-884cbe458994	a0fe3888-803e-4887-af4d-57d0c666a17f	HEAT_REJECTION_PUMPS
1159757a-645a-4fdb-a874-884cbe458994	252d228a-cfec-4398-b6d5-29474b2d8aa4	VENTILATION
1159757a-645a-4fdb-a874-884cbe458994	03250d45-f1d1-470c-a1fb-afc0d9abd37a	INFILTRATION
1159757a-645a-4fdb-a874-884cbe458994	98893f9c-e31c-452c-818e-83a0208ea12d	IT_LOAD
94deaa31-f463-4a24-ad5a-fddb661cd3e7	cb7c7303-f799-44a2-852b-9be0dcde7082	SWITCHGEAR
94deaa31-f463-4a24-ad5a-fddb661cd3e7	e5e4bc30-5f2c-41e8-9389-4f1176c72ecd	GENERATOR
94deaa31-f463-4a24-ad5a-fddb661cd3e7	2c8f72b6-b5d1-4b57-b07d-5960333981ea	PRIMARY_AUXILIARIES
94deaa31-f463-4a24-ad5a-fddb661cd3e7	70cfabd1-6858-4033-8729-70c0e7ae37d0	UPS
94deaa31-f463-4a24-ad5a-fddb661cd3e7	ecb369f0-6ce4-4061-938d-e20794102da0	CRITICAL_AUXILIARIES
94deaa31-f463-4a24-ad5a-fddb661cd3e7	037b3269-945a-42be-83b3-697919963396	LIGHTING
94deaa31-f463-4a24-ad5a-fddb661cd3e7	e309310d-b91f-47cc-bde7-d1bb8b8bbe0e	CRITICAL_POWER_DISTRIBUTION
94deaa31-f463-4a24-ad5a-fddb661cd3e7	0d7533a3-538b-488b-a69f-764e8df6f2fa	CRAH
94deaa31-f463-4a24-ad5a-fddb661cd3e7	e2fe02d3-26ce-43c5-98b9-8240aafd2790	CRAC
94deaa31-f463-4a24-ad5a-fddb661cd3e7	8fbc0433-39c9-4a88-97cb-4549dde35385	CRAC_WITHOUT_FAN
94deaa31-f463-4a24-ad5a-fddb661cd3e7	b30817a4-36ed-4698-a0a3-2c060ab7e1f4	CRAC_FAN
94deaa31-f463-4a24-ad5a-fddb661cd3e7	214ddd38-0d6c-4319-875b-135474dfc4cb	CHILLER
94deaa31-f463-4a24-ad5a-fddb661cd3e7	26a025c5-21a3-4f91-97f2-76a94741aa62	AIR_COOLED_CHILLER
94deaa31-f463-4a24-ad5a-fddb661cd3e7	fabcce0c-21b1-4090-9b0e-e2005252bd82	COOLING_TOWER
94deaa31-f463-4a24-ad5a-fddb661cd3e7	711c7738-8808-454e-a14f-b0db740e9f00	DRY_COOLER
94deaa31-f463-4a24-ad5a-fddb661cd3e7	7e01e2b9-44b4-4ccd-b939-172912bb0ffa	REMOTE_CONDENSER
94deaa31-f463-4a24-ad5a-fddb661cd3e7	6f794bf0-669c-41d8-8a45-dba250ec8802	CHILLED_WATER_PUMPS
94deaa31-f463-4a24-ad5a-fddb661cd3e7	9a09fbf8-e4de-4880-9d86-ea5358c65a22	HEAT_REJECTION_PUMPS
94deaa31-f463-4a24-ad5a-fddb661cd3e7	9d3db27d-6462-4e49-8a65-c98a85dceef2	VENTILATION
94deaa31-f463-4a24-ad5a-fddb661cd3e7	0d15dab2-c3bf-44d2-9c8b-62f9cbf5141a	INFILTRATION
94deaa31-f463-4a24-ad5a-fddb661cd3e7	51c282f3-c890-49c2-933e-46c7e4b58f2d	IT_LOAD
75e2ef6a-c795-41b3-a52e-dd6371038da5	a9fff754-b297-4b2c-8ea1-c9ea92cbdfe6	SWITCHGEAR
75e2ef6a-c795-41b3-a52e-dd6371038da5	36a6aa06-7add-43d5-a74d-ca0d04f496c1	GENERATOR
75e2ef6a-c795-41b3-a52e-dd6371038da5	d0269a90-d195-4199-a3c8-2868a62e7ed4	PRIMARY_AUXILIARIES
75e2ef6a-c795-41b3-a52e-dd6371038da5	e5107b7c-4d3f-42fb-b179-d6b4b14aeb01	UPS
75e2ef6a-c795-41b3-a52e-dd6371038da5	3cfb644b-ad22-458f-9dad-a2028e507432	CRITICAL_AUXILIARIES
75e2ef6a-c795-41b3-a52e-dd6371038da5	adfed958-e109-40e9-8ced-89d29915b13f	LIGHTING
75e2ef6a-c795-41b3-a52e-dd6371038da5	1b76248a-943c-4d2d-a973-d761c0ca2be5	CRITICAL_POWER_DISTRIBUTION
75e2ef6a-c795-41b3-a52e-dd6371038da5	96ae952d-7281-4d8b-aa39-957a167ac3b1	CRAH
75e2ef6a-c795-41b3-a52e-dd6371038da5	263b7784-6e21-41f9-87f1-2143b0a7ae30	CRAC
75e2ef6a-c795-41b3-a52e-dd6371038da5	67243f25-5c06-4a28-91c1-7909fc567691	CRAC_WITHOUT_FAN
75e2ef6a-c795-41b3-a52e-dd6371038da5	2139791a-e86a-4d83-8f53-de3d03dbecc3	CRAC_FAN
75e2ef6a-c795-41b3-a52e-dd6371038da5	820fa149-5632-4ad1-9b00-3d5b96b7d837	CHILLER
75e2ef6a-c795-41b3-a52e-dd6371038da5	844af5d6-fe61-401e-915a-2dd0615a384c	AIR_COOLED_CHILLER
75e2ef6a-c795-41b3-a52e-dd6371038da5	a82a5200-2996-46a6-9bb6-a74b94c86140	COOLING_TOWER
75e2ef6a-c795-41b3-a52e-dd6371038da5	2c1db557-27a7-4521-930f-8db21d9556ad	DRY_COOLER
75e2ef6a-c795-41b3-a52e-dd6371038da5	a847354d-b58c-429e-b4e7-ecefaf8aa707	REMOTE_CONDENSER
75e2ef6a-c795-41b3-a52e-dd6371038da5	8b29fdbb-7d6d-4201-9388-34d26851e85c	CHILLED_WATER_PUMPS
75e2ef6a-c795-41b3-a52e-dd6371038da5	90d66f49-6322-4626-bf93-6c06376d8923	HEAT_REJECTION_PUMPS
75e2ef6a-c795-41b3-a52e-dd6371038da5	7845e470-efea-4a84-bccd-e012406f01e5	VENTILATION
75e2ef6a-c795-41b3-a52e-dd6371038da5	4672f61f-5ec0-4ac4-a0a2-09e83f5572f1	INFILTRATION
75e2ef6a-c795-41b3-a52e-dd6371038da5	a8242bf8-1e2f-40c1-89c9-abe9126e774f	IT_LOAD
4105a956-0e47-40a3-a556-e684504b392d	cb3bacfa-590b-4a18-95e4-24bb3cac3612	SWITCHGEAR
4105a956-0e47-40a3-a556-e684504b392d	665330f1-bc9a-425c-8093-e67c50f6eecf	GENERATOR
4105a956-0e47-40a3-a556-e684504b392d	53500b4f-3a83-4b80-96b1-f47576e72d9b	PRIMARY_AUXILIARIES
4105a956-0e47-40a3-a556-e684504b392d	c98bf9b0-7180-49bd-9c4a-ad34387b012e	UPS
4105a956-0e47-40a3-a556-e684504b392d	aafde049-e65e-453d-b9a6-29a23c732c98	CRITICAL_AUXILIARIES
4105a956-0e47-40a3-a556-e684504b392d	738b3420-98bb-4eb7-bb70-4ab842f05e8a	LIGHTING
4105a956-0e47-40a3-a556-e684504b392d	17e72577-f351-4b67-818e-8a5f005ae964	CRITICAL_POWER_DISTRIBUTION
4105a956-0e47-40a3-a556-e684504b392d	e1be2c8d-6ca2-4752-8e43-d4f02cf7f873	CRAH
4105a956-0e47-40a3-a556-e684504b392d	743e795c-fb9c-47b0-bb0c-a23a433acd3d	CRAC
4105a956-0e47-40a3-a556-e684504b392d	6269ab29-b6d5-4eb2-be97-a0506b04a8ce	CRAC_WITHOUT_FAN
4105a956-0e47-40a3-a556-e684504b392d	beca78be-0f47-4ce2-bd96-b76d2a7dd54b	CRAC_FAN
4105a956-0e47-40a3-a556-e684504b392d	df6e7ed3-99b3-42c2-813d-65bc6b12bb2d	CHILLER
4105a956-0e47-40a3-a556-e684504b392d	472e7c65-a2a6-4db6-b01a-d71756063767	AIR_COOLED_CHILLER
4105a956-0e47-40a3-a556-e684504b392d	088c0184-4df9-4c03-a28d-a2bb312d149c	COOLING_TOWER
4105a956-0e47-40a3-a556-e684504b392d	59e8b8de-c126-4f04-8236-b059a0ef45b2	DRY_COOLER
4105a956-0e47-40a3-a556-e684504b392d	3caf34a8-f9c1-45d9-ab71-40cea9548951	REMOTE_CONDENSER
4105a956-0e47-40a3-a556-e684504b392d	ad75ddae-1673-4a5d-8a6e-6da67a75f887	CHILLED_WATER_PUMPS
4105a956-0e47-40a3-a556-e684504b392d	0525a4c0-ab79-4175-ac01-1246bdad05aa	HEAT_REJECTION_PUMPS
4105a956-0e47-40a3-a556-e684504b392d	63ed9a00-50df-4270-8bcb-22365877bf08	VENTILATION
4105a956-0e47-40a3-a556-e684504b392d	fbbdb02d-3bb2-46c7-b0d0-ca3a59aae9ae	INFILTRATION
4105a956-0e47-40a3-a556-e684504b392d	44a0d525-3fba-453e-9e8b-0243572d6f1f	IT_LOAD
da0319d7-de39-4342-aa33-150a52d5f647	c48b786a-5c9e-47c7-bf95-805c25619bd6	SWITCHGEAR
da0319d7-de39-4342-aa33-150a52d5f647	2458104f-b1c1-4b90-884c-4432d5376122	GENERATOR
da0319d7-de39-4342-aa33-150a52d5f647	e70d49a6-681c-4f34-994a-56465d861d6e	PRIMARY_AUXILIARIES
da0319d7-de39-4342-aa33-150a52d5f647	0b4aaaf3-8e6c-437e-add2-611343207feb	UPS
da0319d7-de39-4342-aa33-150a52d5f647	a3860fb5-57c8-44d3-bcfc-8e36056e463f	CRITICAL_AUXILIARIES
da0319d7-de39-4342-aa33-150a52d5f647	34cff756-e4fd-4de5-9c28-d2e3aa7fa29b	LIGHTING
da0319d7-de39-4342-aa33-150a52d5f647	e038d885-565e-4b42-9c80-9a0ebf4da253	CRITICAL_POWER_DISTRIBUTION
da0319d7-de39-4342-aa33-150a52d5f647	5a3b394a-7b97-402d-b8d7-a2c10960ce67	CRAH
da0319d7-de39-4342-aa33-150a52d5f647	e72ac351-0418-473d-8a64-355908ffc6c9	CRAC
da0319d7-de39-4342-aa33-150a52d5f647	01361b15-b2d5-4af1-a458-22000761ae20	CRAC_WITHOUT_FAN
da0319d7-de39-4342-aa33-150a52d5f647	6842d59c-ef90-4d04-a149-253392cf31a7	CRAC_FAN
da0319d7-de39-4342-aa33-150a52d5f647	55e08a06-bfc1-45e0-b8e2-a146f52ce74d	CHILLER
da0319d7-de39-4342-aa33-150a52d5f647	bda94f92-478a-4d80-9849-c1df847f4688	AIR_COOLED_CHILLER
da0319d7-de39-4342-aa33-150a52d5f647	0e1c374f-d247-486a-9821-324e1d21c034	COOLING_TOWER
da0319d7-de39-4342-aa33-150a52d5f647	9507bcb6-7506-4723-baf1-01a823a52726	DRY_COOLER
da0319d7-de39-4342-aa33-150a52d5f647	1d2e72d4-8b52-400b-95fa-b7d0d9cbc7e7	REMOTE_CONDENSER
da0319d7-de39-4342-aa33-150a52d5f647	ef8e30a1-cb68-4e58-ba69-4bda1158d809	CHILLED_WATER_PUMPS
da0319d7-de39-4342-aa33-150a52d5f647	9dbda149-f005-451e-a4fe-7261465ae77b	HEAT_REJECTION_PUMPS
da0319d7-de39-4342-aa33-150a52d5f647	767ee0f0-34ce-4633-8e79-90cb1e622212	VENTILATION
da0319d7-de39-4342-aa33-150a52d5f647	98eaab7e-0137-4290-82da-30d5eb099302	INFILTRATION
da0319d7-de39-4342-aa33-150a52d5f647	16c223e5-c42b-47bb-bdf8-7fb6f4409461	IT_LOAD
15c86af6-5051-484c-a0cf-0a95fce1e8a8	a712499c-4430-47e4-a4a8-a3a0967c0ed0	SWITCHGEAR
15c86af6-5051-484c-a0cf-0a95fce1e8a8	4b478c91-f463-4d53-8e58-b1bcc728f4d0	GENERATOR
15c86af6-5051-484c-a0cf-0a95fce1e8a8	844caef7-161a-46b8-97c5-2b8af721c843	PRIMARY_AUXILIARIES
15c86af6-5051-484c-a0cf-0a95fce1e8a8	b1e062dd-7d82-4757-bc0d-88ed639a97fa	UPS
15c86af6-5051-484c-a0cf-0a95fce1e8a8	f30fe54f-1e11-4699-a309-a4d74ff51aff	CRITICAL_AUXILIARIES
15c86af6-5051-484c-a0cf-0a95fce1e8a8	627237a4-f372-4400-a7e0-b699aced1c8b	LIGHTING
15c86af6-5051-484c-a0cf-0a95fce1e8a8	753a0d79-5f7a-421f-abaa-d8e58ad1b02c	CRITICAL_POWER_DISTRIBUTION
15c86af6-5051-484c-a0cf-0a95fce1e8a8	1f2ed050-57a7-40de-8a3f-ba7eb7ab955a	CRAH
15c86af6-5051-484c-a0cf-0a95fce1e8a8	f2c5e60f-cc42-4206-891b-bc7066e41013	CRAC
15c86af6-5051-484c-a0cf-0a95fce1e8a8	bda4f475-c08b-4762-aa61-d5f2e4eaf788	CRAC_WITHOUT_FAN
15c86af6-5051-484c-a0cf-0a95fce1e8a8	95bf680a-d54a-4b23-bc28-045fe162620d	CRAC_FAN
15c86af6-5051-484c-a0cf-0a95fce1e8a8	8451bc60-c371-4fa8-b435-c6678a7c6351	CHILLER
15c86af6-5051-484c-a0cf-0a95fce1e8a8	eab549cb-c366-449f-b202-7b2cb69bbbe6	AIR_COOLED_CHILLER
15c86af6-5051-484c-a0cf-0a95fce1e8a8	a179c68a-9222-4bfe-837f-a6bf03838a46	COOLING_TOWER
15c86af6-5051-484c-a0cf-0a95fce1e8a8	648c83cd-7764-46a3-a4b2-5af72e6325fa	DRY_COOLER
15c86af6-5051-484c-a0cf-0a95fce1e8a8	4f7bf96d-15d3-4630-bd26-db3e36bbc0f8	REMOTE_CONDENSER
15c86af6-5051-484c-a0cf-0a95fce1e8a8	47b10b94-a982-46f2-bd9d-b2bdb53ab7eb	CHILLED_WATER_PUMPS
15c86af6-5051-484c-a0cf-0a95fce1e8a8	c9114f67-7dac-4968-9bf3-b8125913185d	HEAT_REJECTION_PUMPS
15c86af6-5051-484c-a0cf-0a95fce1e8a8	b3dca9f6-ae89-42bc-a444-d13c5cb91ed7	VENTILATION
15c86af6-5051-484c-a0cf-0a95fce1e8a8	031627d6-fbb0-46e1-a673-8402f8ce9807	INFILTRATION
15c86af6-5051-484c-a0cf-0a95fce1e8a8	225f16fc-3785-4594-a4a1-a3a39c3ca021	IT_LOAD
d73cffa8-2dec-4602-a28f-139b1d18fef5	1d3dfafc-770d-4d39-bfd0-6fc15685b18b	SWITCHGEAR
d73cffa8-2dec-4602-a28f-139b1d18fef5	b2184faf-3af2-47e7-884d-834361587856	GENERATOR
d73cffa8-2dec-4602-a28f-139b1d18fef5	58fd88a6-f9ed-493a-b976-75217babd5d1	PRIMARY_AUXILIARIES
d73cffa8-2dec-4602-a28f-139b1d18fef5	9ee24396-62b4-4d97-a978-b418fddf74d2	UPS
d73cffa8-2dec-4602-a28f-139b1d18fef5	b6339370-6349-4352-83dd-74fc0792fc77	CRITICAL_AUXILIARIES
d73cffa8-2dec-4602-a28f-139b1d18fef5	49b91ea0-965f-4dce-979b-2c17502582fa	LIGHTING
d73cffa8-2dec-4602-a28f-139b1d18fef5	b51cb7ed-d3b7-4754-8625-61cfc5650fc8	CRITICAL_POWER_DISTRIBUTION
d73cffa8-2dec-4602-a28f-139b1d18fef5	9b7d4977-9b21-453d-95af-72649286d2d8	CRAH
d73cffa8-2dec-4602-a28f-139b1d18fef5	e8113800-c4a8-4489-bcee-30f410c306a1	CRAC
d73cffa8-2dec-4602-a28f-139b1d18fef5	91971dc3-7fa8-4664-8d17-6924bac0a510	CRAC_WITHOUT_FAN
d73cffa8-2dec-4602-a28f-139b1d18fef5	d00ff29a-a06b-4e81-bdbc-d231e7fb6d29	CRAC_FAN
d73cffa8-2dec-4602-a28f-139b1d18fef5	344121c2-c8c4-4338-a98a-6a2f948b8567	CHILLER
d73cffa8-2dec-4602-a28f-139b1d18fef5	02da6b30-475c-4f99-9da6-8cde2d9345d1	AIR_COOLED_CHILLER
d73cffa8-2dec-4602-a28f-139b1d18fef5	9e74131f-572d-4417-b566-436fda13c18a	COOLING_TOWER
d73cffa8-2dec-4602-a28f-139b1d18fef5	7aafda83-d181-4ba4-b4d3-93d5588ad399	DRY_COOLER
d73cffa8-2dec-4602-a28f-139b1d18fef5	ab8664ed-35c0-4f66-8580-42c3e0107cf0	REMOTE_CONDENSER
d73cffa8-2dec-4602-a28f-139b1d18fef5	52c1da48-4717-476f-b44e-a453d4108d06	CHILLED_WATER_PUMPS
d73cffa8-2dec-4602-a28f-139b1d18fef5	face5443-7f6d-416c-b996-14384e98a488	HEAT_REJECTION_PUMPS
d73cffa8-2dec-4602-a28f-139b1d18fef5	ea72e20d-c115-4749-bedd-53b378977f3d	VENTILATION
d73cffa8-2dec-4602-a28f-139b1d18fef5	01a0e813-36aa-47eb-8d74-a035e144508e	INFILTRATION
d73cffa8-2dec-4602-a28f-139b1d18fef5	1537e091-6eaa-4ca8-8c8c-1f76c3b9764e	IT_LOAD
12a05788-5ccf-4c87-9b44-96aedc55d962	ba4f10f5-48a8-4815-a708-b1366b588594	SWITCHGEAR
12a05788-5ccf-4c87-9b44-96aedc55d962	daae5d5b-31af-4540-91c7-a9c0163987fe	GENERATOR
12a05788-5ccf-4c87-9b44-96aedc55d962	8d388c82-fd54-4482-9996-f7c68de1297f	PRIMARY_AUXILIARIES
12a05788-5ccf-4c87-9b44-96aedc55d962	239e01d9-a0b8-48d1-8a20-fc1701e9a87d	UPS
12a05788-5ccf-4c87-9b44-96aedc55d962	ca095067-6467-4b49-8870-f35d92bcca72	CRITICAL_AUXILIARIES
12a05788-5ccf-4c87-9b44-96aedc55d962	38cfdf69-0106-43bd-9497-819ef90aa672	LIGHTING
12a05788-5ccf-4c87-9b44-96aedc55d962	99700580-33c0-45e4-b34a-d46e8e375d15	CRITICAL_POWER_DISTRIBUTION
12a05788-5ccf-4c87-9b44-96aedc55d962	6e226c91-6bd9-4d2d-abb6-0f7fd5702d52	CRAH
12a05788-5ccf-4c87-9b44-96aedc55d962	a4178143-380a-40d1-b467-339feead6e0e	CRAC
12a05788-5ccf-4c87-9b44-96aedc55d962	b3156c64-11ce-44d1-9d50-9a55485b1b0d	CRAC_WITHOUT_FAN
12a05788-5ccf-4c87-9b44-96aedc55d962	2290a9c8-b4e8-4eec-9672-e699b06ca779	CRAC_FAN
12a05788-5ccf-4c87-9b44-96aedc55d962	2681cb74-5e39-421e-adf7-ab6937684e0f	CHILLER
12a05788-5ccf-4c87-9b44-96aedc55d962	50b7c0d8-bbb5-4149-8bb5-587ddf929297	AIR_COOLED_CHILLER
12a05788-5ccf-4c87-9b44-96aedc55d962	0b45308c-b151-43b0-817c-07afdd01cd03	COOLING_TOWER
12a05788-5ccf-4c87-9b44-96aedc55d962	e3136d7f-c58e-4052-99d4-90ea22b5d88e	DRY_COOLER
12a05788-5ccf-4c87-9b44-96aedc55d962	5c59787e-0476-44e2-b3ea-26e1d174126d	REMOTE_CONDENSER
12a05788-5ccf-4c87-9b44-96aedc55d962	44eb5039-9228-4f32-a08c-2af2f391947a	CHILLED_WATER_PUMPS
12a05788-5ccf-4c87-9b44-96aedc55d962	c907c4fa-003f-4afd-9593-b109e6229171	HEAT_REJECTION_PUMPS
12a05788-5ccf-4c87-9b44-96aedc55d962	ce30bcd7-7ef3-427c-af00-5bcc78544865	VENTILATION
12a05788-5ccf-4c87-9b44-96aedc55d962	0fab09a6-f9e8-4990-880b-a2b43616bfd1	INFILTRATION
12a05788-5ccf-4c87-9b44-96aedc55d962	2e1bf4a7-0f03-48a5-9c2c-9c2e74bb1bb5	IT_LOAD
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	b6870479-e6fb-4c7d-a7d6-d3f8341a4cfd	SWITCHGEAR
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	3af99249-1999-4e12-8351-76cbf2a49ceb	GENERATOR
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	fccac8bd-de41-4894-bcc8-56b07a2949ee	PRIMARY_AUXILIARIES
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	8de5ac8a-7ca7-4a77-952c-c91af0310512	UPS
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	62e3c27f-8c39-4a9e-b90e-da8bf0fdc3ee	CRITICAL_AUXILIARIES
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	feb21109-db54-4980-9d7c-c62811a59e2c	LIGHTING
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	4f42ed93-8ae6-49ef-b14a-7305484c5fa6	CRITICAL_POWER_DISTRIBUTION
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	cd915a19-57a5-415d-a12e-a7e2c1a94dac	CRAH
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	7656baf0-4cc5-49dd-b475-49123ded7b4f	CRAC
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	789640e2-80ff-4cc3-b4e6-96956d8a3277	CRAC_WITHOUT_FAN
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	84f1aac6-3fc6-4ec2-b9e0-a0b9e0e4b453	CRAC_FAN
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	7937891c-1b51-4a21-822d-219f4260378e	CHILLER
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	715b1174-f64a-48ac-9113-8a14247f5e65	AIR_COOLED_CHILLER
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	13971fc2-9c46-4c6e-9553-1b794fd2eab6	COOLING_TOWER
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	bb957dff-7dd8-41f3-bf48-6554b1cf83d8	DRY_COOLER
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	f7ee1527-a73a-45d3-a936-b368eb369e54	REMOTE_CONDENSER
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	130f645e-b504-40f1-8f17-4e743acd53b1	CHILLED_WATER_PUMPS
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	36517de4-a9b9-4725-937f-07cf87686e45	HEAT_REJECTION_PUMPS
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	2f8bbb52-10d6-4a6c-b254-bc591d4e8cc1	VENTILATION
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	2ee7e3dc-588e-416b-9ea9-d74d8689e300	INFILTRATION
9d0acd9d-1469-4e20-af34-9cb0e4ce95bf	b5b2ea9e-3590-4df3-9ff7-7116eddeee82	IT_LOAD
3e9d76a4-b435-445d-a0a6-8485bb307d7f	00b0e0ed-5ccc-4912-b24d-32ad35c2d943	SWITCHGEAR
3e9d76a4-b435-445d-a0a6-8485bb307d7f	f9f28ae7-64b0-433c-b5e4-e048009c52b3	GENERATOR
3e9d76a4-b435-445d-a0a6-8485bb307d7f	7306c7e9-856a-4e47-9b04-0f7bff685f76	PRIMARY_AUXILIARIES
3e9d76a4-b435-445d-a0a6-8485bb307d7f	930f087f-af52-45e8-adb8-559cd4654bff	UPS
3e9d76a4-b435-445d-a0a6-8485bb307d7f	159bb7d5-8e45-4ff1-ba4b-27a3254fddbb	CRITICAL_AUXILIARIES
3e9d76a4-b435-445d-a0a6-8485bb307d7f	e733affe-71d6-4df3-84e9-4674ffa2f923	LIGHTING
3e9d76a4-b435-445d-a0a6-8485bb307d7f	9025415c-1c2a-4650-b99b-09d8fe2d1b43	CRITICAL_POWER_DISTRIBUTION
3e9d76a4-b435-445d-a0a6-8485bb307d7f	c09a7f78-5794-4fb3-9abf-cf93a58baf27	CRAH
3e9d76a4-b435-445d-a0a6-8485bb307d7f	d6ac25cf-4f00-4a91-a3f8-16a5adcfab45	CRAC
3e9d76a4-b435-445d-a0a6-8485bb307d7f	55d31a8a-d998-4070-bf12-e24bda7fe2f6	CRAC_WITHOUT_FAN
3e9d76a4-b435-445d-a0a6-8485bb307d7f	23c7c115-38f4-465f-a28b-5acde2c5e464	CRAC_FAN
3e9d76a4-b435-445d-a0a6-8485bb307d7f	08066dd9-4a90-46bf-8ed1-f40ef172a865	CHILLER
3e9d76a4-b435-445d-a0a6-8485bb307d7f	5eccf203-f830-4a85-86f5-ddfadfa058c5	AIR_COOLED_CHILLER
3e9d76a4-b435-445d-a0a6-8485bb307d7f	7627847f-3c35-4856-9349-b53774d9b504	COOLING_TOWER
3e9d76a4-b435-445d-a0a6-8485bb307d7f	0a6ff83a-a07e-4563-81c3-8852d3b8ef8d	DRY_COOLER
3e9d76a4-b435-445d-a0a6-8485bb307d7f	956b3619-87fe-4d49-93c2-52019fa4d90d	REMOTE_CONDENSER
3e9d76a4-b435-445d-a0a6-8485bb307d7f	38f5c8c2-a852-4b8a-90f3-38778cf03f9c	CHILLED_WATER_PUMPS
3e9d76a4-b435-445d-a0a6-8485bb307d7f	60a1ab4a-1dc5-4988-bb84-d3e6994ddedc	HEAT_REJECTION_PUMPS
3e9d76a4-b435-445d-a0a6-8485bb307d7f	fcc155cc-f8ee-4abc-891d-0c11a667c65f	VENTILATION
3e9d76a4-b435-445d-a0a6-8485bb307d7f	79ce29be-336f-444c-8921-cf417a95c4dd	INFILTRATION
3e9d76a4-b435-445d-a0a6-8485bb307d7f	d4c5e435-65aa-48b9-b00d-25020e6719d0	IT_LOAD
9829ea25-21d4-445a-8bde-28ad7777c300	f7682ac1-6535-497b-81f1-c45d44fd51fc	SWITCHGEAR
9829ea25-21d4-445a-8bde-28ad7777c300	72cac931-368c-4e00-9b34-fb6354001ef8	GENERATOR
9829ea25-21d4-445a-8bde-28ad7777c300	9891028b-f8c6-4338-952a-a1ded4f97d04	PRIMARY_AUXILIARIES
9829ea25-21d4-445a-8bde-28ad7777c300	d6182f2d-dff5-4175-848d-2fbb5e8b6aa6	UPS
9829ea25-21d4-445a-8bde-28ad7777c300	9c4f6ad2-5674-40d4-83d4-2481fd9aa501	CRITICAL_AUXILIARIES
9829ea25-21d4-445a-8bde-28ad7777c300	250d823a-f88c-4142-bd12-028985765755	LIGHTING
9829ea25-21d4-445a-8bde-28ad7777c300	eaaab4fd-7efd-4063-9c0f-e3ebefad45fb	CRITICAL_POWER_DISTRIBUTION
9829ea25-21d4-445a-8bde-28ad7777c300	731ab737-88f8-48c2-ba90-82d1c442d5d6	CRAH
9829ea25-21d4-445a-8bde-28ad7777c300	4007f683-c545-47c3-b3ff-54c8ae8e11b1	CRAC
9829ea25-21d4-445a-8bde-28ad7777c300	1a3c535f-313e-4c33-b27e-dd4aaf7f63d2	CRAC_WITHOUT_FAN
9829ea25-21d4-445a-8bde-28ad7777c300	c12ecb75-a671-45e4-964a-f418b2c4b711	CRAC_FAN
9829ea25-21d4-445a-8bde-28ad7777c300	a56eed55-8af1-4e85-b949-c8b51af7210b	CHILLER
9829ea25-21d4-445a-8bde-28ad7777c300	7b2767f0-5ed5-42a9-bc24-b0b58c892ef7	AIR_COOLED_CHILLER
9829ea25-21d4-445a-8bde-28ad7777c300	6436b6b8-7e78-4878-80ec-3e60b6d573d3	COOLING_TOWER
9829ea25-21d4-445a-8bde-28ad7777c300	7f3bf1fb-d89b-4d82-8643-138b652b1309	DRY_COOLER
9829ea25-21d4-445a-8bde-28ad7777c300	1617b325-7b47-4412-9f3d-52a601b70dc3	REMOTE_CONDENSER
9829ea25-21d4-445a-8bde-28ad7777c300	67db7a9e-a01d-4f37-9cf3-7016610ffa0f	CHILLED_WATER_PUMPS
9829ea25-21d4-445a-8bde-28ad7777c300	7b71a32d-a45c-4009-9b0b-0102880e7b7f	HEAT_REJECTION_PUMPS
9829ea25-21d4-445a-8bde-28ad7777c300	df95c1d6-7665-4c80-88ac-8e8c8a32f465	VENTILATION
9829ea25-21d4-445a-8bde-28ad7777c300	83694755-c07b-4fb9-be13-932d58b61d2f	INFILTRATION
9829ea25-21d4-445a-8bde-28ad7777c300	529104ae-1a70-4f49-911f-c73e82cf2039	IT_LOAD
a770516b-92cb-4cd5-8b75-f92ac66fe89d	baed0e96-bb20-4af8-a9db-283a80773f56	SWITCHGEAR
a770516b-92cb-4cd5-8b75-f92ac66fe89d	acb76b51-7517-40be-8f6c-d93163e3c815	GENERATOR
a770516b-92cb-4cd5-8b75-f92ac66fe89d	0ac3d3af-dd70-4a4f-a615-fb90e1a8ffc0	PRIMARY_AUXILIARIES
a770516b-92cb-4cd5-8b75-f92ac66fe89d	24c9f386-4987-47fc-a409-603031861bce	UPS
a770516b-92cb-4cd5-8b75-f92ac66fe89d	0e70944c-e2cf-4fc4-8daf-65a317bc548e	CRITICAL_AUXILIARIES
a770516b-92cb-4cd5-8b75-f92ac66fe89d	b9aab9bf-59dd-4077-bd55-2ce33eaab762	LIGHTING
a770516b-92cb-4cd5-8b75-f92ac66fe89d	9708f413-46de-4600-8f81-ac32b3bc1a3f	CRITICAL_POWER_DISTRIBUTION
a770516b-92cb-4cd5-8b75-f92ac66fe89d	cf242596-317a-499f-9e5d-ed940deac140	CRAH
a770516b-92cb-4cd5-8b75-f92ac66fe89d	5118db1c-9537-4a25-85b8-f6a99a10b82b	CRAC
a770516b-92cb-4cd5-8b75-f92ac66fe89d	c9f92c81-4ac4-4eb4-91d3-4bea7e774f87	CRAC_WITHOUT_FAN
a770516b-92cb-4cd5-8b75-f92ac66fe89d	44f1b4fa-ec06-4ecd-93b4-2377e1ff3f0d	CRAC_FAN
a770516b-92cb-4cd5-8b75-f92ac66fe89d	57714195-578f-437e-acbf-583d3dd58170	CHILLER
a770516b-92cb-4cd5-8b75-f92ac66fe89d	ec4ac84c-d9e5-4f62-8661-90a570e71ed9	AIR_COOLED_CHILLER
a770516b-92cb-4cd5-8b75-f92ac66fe89d	b348199a-c9eb-4ac5-858c-32d398a89755	COOLING_TOWER
a770516b-92cb-4cd5-8b75-f92ac66fe89d	de38fc5c-3e3f-4e8b-bc00-4980a7016327	DRY_COOLER
a770516b-92cb-4cd5-8b75-f92ac66fe89d	45e51704-fa69-4072-a9c1-1f66d318c079	REMOTE_CONDENSER
a770516b-92cb-4cd5-8b75-f92ac66fe89d	18462010-7735-4bf5-bd81-54bedf3108e0	CHILLED_WATER_PUMPS
a770516b-92cb-4cd5-8b75-f92ac66fe89d	a3ebb427-c01b-4979-81be-1aafeb7b4bb2	HEAT_REJECTION_PUMPS
a770516b-92cb-4cd5-8b75-f92ac66fe89d	17b84577-5e16-482e-8138-b1123ab44f00	VENTILATION
a770516b-92cb-4cd5-8b75-f92ac66fe89d	a4e45838-7149-489c-b3be-86aec0569f52	INFILTRATION
a770516b-92cb-4cd5-8b75-f92ac66fe89d	95e03348-e683-4845-8c05-d6c6584c5aa8	IT_LOAD
10f8c4a6-2c44-424e-b7e0-58983e253aa2	f2e98736-bc7a-4636-b86e-9ddb81d6ac87	SWITCHGEAR
10f8c4a6-2c44-424e-b7e0-58983e253aa2	db8164dc-43a9-4376-b0b3-5b59d93b3845	GENERATOR
10f8c4a6-2c44-424e-b7e0-58983e253aa2	a5dce11d-40a5-4d3e-ae95-faef3016ae1e	PRIMARY_AUXILIARIES
10f8c4a6-2c44-424e-b7e0-58983e253aa2	8bb1fd1c-5686-4551-9157-5fcc84ecd6ba	UPS
10f8c4a6-2c44-424e-b7e0-58983e253aa2	05d3f863-6699-4b54-9253-fcb2942baa88	CRITICAL_AUXILIARIES
10f8c4a6-2c44-424e-b7e0-58983e253aa2	92a3a864-d81f-4dc7-940b-52f63d35f1f5	LIGHTING
10f8c4a6-2c44-424e-b7e0-58983e253aa2	1f8c5e11-68d9-414f-827f-d9dabd0f7718	CRITICAL_POWER_DISTRIBUTION
10f8c4a6-2c44-424e-b7e0-58983e253aa2	121b0a53-0c6f-4143-a612-6d4987d73aa6	CRAH
10f8c4a6-2c44-424e-b7e0-58983e253aa2	c9137fee-2897-450d-9a83-2c293e5aa523	CRAC
10f8c4a6-2c44-424e-b7e0-58983e253aa2	38a06ffb-eeec-4b0c-8fa5-bb385d86c9db	CRAC_WITHOUT_FAN
10f8c4a6-2c44-424e-b7e0-58983e253aa2	123f1182-87c3-475b-84d8-fe281cd7d817	CRAC_FAN
10f8c4a6-2c44-424e-b7e0-58983e253aa2	a7796f68-a713-40d1-991a-c46c03a3218b	CHILLER
10f8c4a6-2c44-424e-b7e0-58983e253aa2	6a56b4a3-1fa0-43f5-ba29-c9da7df84371	AIR_COOLED_CHILLER
10f8c4a6-2c44-424e-b7e0-58983e253aa2	7b3bad4c-4af6-467b-9528-7728e92de530	COOLING_TOWER
10f8c4a6-2c44-424e-b7e0-58983e253aa2	dc6a7621-12ea-47f7-b37c-3cb4a24a4584	DRY_COOLER
10f8c4a6-2c44-424e-b7e0-58983e253aa2	92b655a6-09f0-49da-a8cb-5855a16b5ab6	REMOTE_CONDENSER
10f8c4a6-2c44-424e-b7e0-58983e253aa2	1efa083f-f625-41ad-bf1e-f7fe3cd013d6	CHILLED_WATER_PUMPS
10f8c4a6-2c44-424e-b7e0-58983e253aa2	589d1d32-0866-46fb-bc52-adc3bda8bb0a	HEAT_REJECTION_PUMPS
10f8c4a6-2c44-424e-b7e0-58983e253aa2	c73002c9-9703-4e1a-bf8a-c6b82b8105b8	VENTILATION
10f8c4a6-2c44-424e-b7e0-58983e253aa2	1952bb9b-471e-48ac-af1f-297bf19950e7	INFILTRATION
10f8c4a6-2c44-424e-b7e0-58983e253aa2	a45d58c7-296e-4eef-b15c-dac275c9e8de	IT_LOAD
300b9074-d613-47f1-a417-09bfdfa1fc1a	8bd42121-2840-4a42-b0ab-c7c3455b610e	SWITCHGEAR
300b9074-d613-47f1-a417-09bfdfa1fc1a	be448f97-24bb-49ff-b205-3c6e4ed19497	GENERATOR
300b9074-d613-47f1-a417-09bfdfa1fc1a	805ad2cb-0031-4631-b98b-fac82ed268b0	PRIMARY_AUXILIARIES
300b9074-d613-47f1-a417-09bfdfa1fc1a	51cdb46d-d304-474b-a066-eeeca98e70b2	UPS
300b9074-d613-47f1-a417-09bfdfa1fc1a	7414c9e9-b54c-47ce-874c-74a0ee9adf62	CRITICAL_AUXILIARIES
300b9074-d613-47f1-a417-09bfdfa1fc1a	05eced74-0031-4bad-b2e0-a305ef451f1d	LIGHTING
300b9074-d613-47f1-a417-09bfdfa1fc1a	44cca160-3da6-4196-b66f-f27223275e9e	CRITICAL_POWER_DISTRIBUTION
300b9074-d613-47f1-a417-09bfdfa1fc1a	7f777024-b710-4566-85cf-183d95bbee88	CRAH
300b9074-d613-47f1-a417-09bfdfa1fc1a	c1143a0c-307f-4869-abac-3b75b4bcd5c1	CRAC
300b9074-d613-47f1-a417-09bfdfa1fc1a	7038da6d-1c10-43e2-b42c-894c1baae5c8	CRAC_WITHOUT_FAN
300b9074-d613-47f1-a417-09bfdfa1fc1a	3cd7ef66-875f-47db-8a4c-5bbf38cb18f3	CRAC_FAN
300b9074-d613-47f1-a417-09bfdfa1fc1a	d024d2c6-b036-42ff-82c0-63f3d116ead4	CHILLER
300b9074-d613-47f1-a417-09bfdfa1fc1a	840e437f-79b8-4679-a007-3a549502997e	AIR_COOLED_CHILLER
300b9074-d613-47f1-a417-09bfdfa1fc1a	a7ff47f5-aea8-4f7d-97ce-2bc0949b221d	COOLING_TOWER
300b9074-d613-47f1-a417-09bfdfa1fc1a	ef17f815-a2b9-4ec7-8465-1fbfe740f672	DRY_COOLER
300b9074-d613-47f1-a417-09bfdfa1fc1a	aa0e21c1-eaf1-4c31-ba25-ceaaa0e55e74	REMOTE_CONDENSER
300b9074-d613-47f1-a417-09bfdfa1fc1a	3fd46e03-2cb2-45ab-b3a0-60ec997c7f8e	CHILLED_WATER_PUMPS
300b9074-d613-47f1-a417-09bfdfa1fc1a	6cd71d15-e4f1-4211-853e-67ff40566312	HEAT_REJECTION_PUMPS
300b9074-d613-47f1-a417-09bfdfa1fc1a	ef191588-273a-4b25-8cf8-3f150e878915	VENTILATION
300b9074-d613-47f1-a417-09bfdfa1fc1a	1a64568b-b26a-426a-9b65-c37f9039fd0a	INFILTRATION
300b9074-d613-47f1-a417-09bfdfa1fc1a	bad610e1-f866-4f22-9a3e-d0d5c5057545	IT_LOAD
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	a531e599-0a27-4f1a-967c-567dfd523b22	SWITCHGEAR
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	500d5d3a-af15-4883-9916-20434721c4ef	GENERATOR
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	17b042cc-0969-4b6c-ad06-6765ae8d7128	PRIMARY_AUXILIARIES
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	9749d291-a8f8-4b74-bcf7-33fbb7f6aee5	UPS
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	ec48998b-f472-4bf3-9bc1-fa78ad32bf29	CRITICAL_AUXILIARIES
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	a2910e40-446e-4750-b8f9-9adf10e34dae	LIGHTING
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	60247430-3295-4f09-8959-d75be7967846	CRITICAL_POWER_DISTRIBUTION
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	9dcdf3ed-5ac8-4604-9d40-977699370e56	CRAH
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	ce465067-472b-4bfc-8f56-278605dd77f4	CRAC
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	627ea2a9-bbeb-4da6-a7e6-140d446be89e	CRAC_WITHOUT_FAN
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	dbc40068-96f9-408f-9eec-d6d57ddd15e7	CRAC_FAN
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	ca29390f-426a-4bfd-826f-0e8bc911d835	CHILLER
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	4ed55092-76ed-40d5-bac9-eb6876ef1b01	AIR_COOLED_CHILLER
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	3cf9c60a-98b4-45ec-a781-1134e13db046	COOLING_TOWER
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	3087588f-c0c1-43fc-9403-9dd22015e512	DRY_COOLER
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	909edc67-9a7a-4834-a5b9-e2f987866011	REMOTE_CONDENSER
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	6dd10ce5-bdc0-4932-b010-063754acfb8d	CHILLED_WATER_PUMPS
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	2a84d40d-6158-4e84-85df-14f85a212ec1	HEAT_REJECTION_PUMPS
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	43aee308-8418-488b-8fdc-f0950af0ce95	VENTILATION
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	4e5c73fa-4bda-4ef0-8903-266ebe0a9d42	INFILTRATION
b52e49b2-3e1e-4618-b2b5-9214ffb9c04b	4e0403fa-fb37-4cf5-8563-12e9dfdef62c	IT_LOAD
59d3063a-91ed-4edf-80c5-cc7b41296c16	03810e59-badc-4718-bbda-87553b5d0eb1	SWITCHGEAR
59d3063a-91ed-4edf-80c5-cc7b41296c16	2f0010b9-a54c-4970-8b19-dc99ba817d50	GENERATOR
59d3063a-91ed-4edf-80c5-cc7b41296c16	ac061ceb-af31-4f34-afea-e49c87fd6b4d	PRIMARY_AUXILIARIES
59d3063a-91ed-4edf-80c5-cc7b41296c16	faf70af1-cca6-412a-8df7-958ff9296b01	UPS
59d3063a-91ed-4edf-80c5-cc7b41296c16	ceb18146-dfa8-4bdd-a241-6cccde88a688	CRITICAL_AUXILIARIES
59d3063a-91ed-4edf-80c5-cc7b41296c16	36be64a0-5c8c-4829-b1c5-8924223f4c71	LIGHTING
59d3063a-91ed-4edf-80c5-cc7b41296c16	cd87940c-206d-45e6-a398-3720bde9a2d5	CRITICAL_POWER_DISTRIBUTION
59d3063a-91ed-4edf-80c5-cc7b41296c16	bcdb1b39-b10c-48dd-bf25-0cebf0f812b0	CRAH
59d3063a-91ed-4edf-80c5-cc7b41296c16	64a42601-0900-4594-aef0-95f8edf1bc01	CRAC
59d3063a-91ed-4edf-80c5-cc7b41296c16	6a05efac-8277-4b43-b9a5-e5a1f0661818	CRAC_WITHOUT_FAN
59d3063a-91ed-4edf-80c5-cc7b41296c16	fbe301f5-7098-42d0-bbb0-e44014ce35be	CRAC_FAN
59d3063a-91ed-4edf-80c5-cc7b41296c16	4526188f-412e-47eb-8d1c-8927833ea7de	CHILLER
59d3063a-91ed-4edf-80c5-cc7b41296c16	cf63b228-5067-43c3-8d61-89bbe6579fab	AIR_COOLED_CHILLER
59d3063a-91ed-4edf-80c5-cc7b41296c16	55feed2b-2772-4b72-86e3-a3ce56bd3b97	COOLING_TOWER
59d3063a-91ed-4edf-80c5-cc7b41296c16	7e155124-b772-4f42-9799-48aba6a48e4d	DRY_COOLER
59d3063a-91ed-4edf-80c5-cc7b41296c16	9f1435eb-d637-4d38-bd63-f5252c7f7b01	REMOTE_CONDENSER
59d3063a-91ed-4edf-80c5-cc7b41296c16	e3d92c7f-697e-4d1a-be14-491f61b173fb	CHILLED_WATER_PUMPS
59d3063a-91ed-4edf-80c5-cc7b41296c16	28b468e5-8443-4135-995e-dcba1e9ab94a	HEAT_REJECTION_PUMPS
59d3063a-91ed-4edf-80c5-cc7b41296c16	75af6315-c9aa-486f-abae-43381fa5d155	VENTILATION
59d3063a-91ed-4edf-80c5-cc7b41296c16	2e64953d-077c-4dc7-a69b-1d72ce839437	INFILTRATION
59d3063a-91ed-4edf-80c5-cc7b41296c16	7874edd8-61b3-4437-b8b3-c1453953078f	IT_LOAD
aaed4dc7-c45d-496f-83ef-e3750a2ef592	e7902c92-6e99-454c-8da0-908b262b5ce9	SWITCHGEAR
aaed4dc7-c45d-496f-83ef-e3750a2ef592	8040a2a4-178c-4ec8-89c6-f12f456a0a1a	GENERATOR
aaed4dc7-c45d-496f-83ef-e3750a2ef592	808735ee-9e46-407c-9993-2aa4c8e0d989	PRIMARY_AUXILIARIES
aaed4dc7-c45d-496f-83ef-e3750a2ef592	7ca58b87-1053-4d5f-82bf-b513d9534aa7	UPS
aaed4dc7-c45d-496f-83ef-e3750a2ef592	6feb7eaa-a4c7-4687-aa38-521c9b31b7b5	CRITICAL_AUXILIARIES
aaed4dc7-c45d-496f-83ef-e3750a2ef592	956c33d5-bc20-45d8-9790-72fc50312ff5	LIGHTING
aaed4dc7-c45d-496f-83ef-e3750a2ef592	2d57f946-8e45-4a0d-ad86-c480a4b852f8	CRITICAL_POWER_DISTRIBUTION
aaed4dc7-c45d-496f-83ef-e3750a2ef592	3d1cf16e-a796-4a51-8807-2ce28dac5e4c	CRAH
aaed4dc7-c45d-496f-83ef-e3750a2ef592	887f5ddf-b2d3-415c-aa40-df10c2d44c66	CRAC
aaed4dc7-c45d-496f-83ef-e3750a2ef592	d788c0fe-28cb-4087-89af-e7f0fe7e1295	CRAC_WITHOUT_FAN
aaed4dc7-c45d-496f-83ef-e3750a2ef592	5662af17-5da0-428f-bb58-644851b97f5c	CRAC_FAN
aaed4dc7-c45d-496f-83ef-e3750a2ef592	ff2239fd-ef13-48f0-a7d1-fccdb8269396	CHILLER
aaed4dc7-c45d-496f-83ef-e3750a2ef592	80693bbc-b801-48c1-a932-27d6f6b7ab87	AIR_COOLED_CHILLER
aaed4dc7-c45d-496f-83ef-e3750a2ef592	2db1236b-2167-4086-8b4f-4a985217409f	COOLING_TOWER
aaed4dc7-c45d-496f-83ef-e3750a2ef592	eceb5538-fb3d-4a6e-bfd0-3eb48f0483aa	DRY_COOLER
aaed4dc7-c45d-496f-83ef-e3750a2ef592	b6a02d37-2c76-4456-8718-93ac8850aec1	REMOTE_CONDENSER
aaed4dc7-c45d-496f-83ef-e3750a2ef592	dc922ca7-3cac-4971-a7ca-006b5e39faf2	CHILLED_WATER_PUMPS
aaed4dc7-c45d-496f-83ef-e3750a2ef592	ba961692-d331-45a6-a5e1-392a5f371cf9	HEAT_REJECTION_PUMPS
aaed4dc7-c45d-496f-83ef-e3750a2ef592	5bcf2956-e646-499a-b420-968ab3b12029	VENTILATION
aaed4dc7-c45d-496f-83ef-e3750a2ef592	a178f4ae-fe7a-4794-9098-445d0efddce2	INFILTRATION
aaed4dc7-c45d-496f-83ef-e3750a2ef592	1b0321ce-608a-4b6d-9fe0-3c47b990b464	IT_LOAD
5640634f-0cb7-4e18-8328-304f5f32e248	64819dba-9b2e-41e3-b077-a0d920d9781f	SWITCHGEAR
5640634f-0cb7-4e18-8328-304f5f32e248	6338f75c-6ada-4046-933e-cced2013bfbb	GENERATOR
5640634f-0cb7-4e18-8328-304f5f32e248	e7ad6835-ab6b-4f15-9d20-a7c7358bdac8	PRIMARY_AUXILIARIES
5640634f-0cb7-4e18-8328-304f5f32e248	64ae229f-85f1-4043-b7cc-13848941ae10	UPS
5640634f-0cb7-4e18-8328-304f5f32e248	3e433307-3e59-4d65-befd-0f4aa288d3f1	CRITICAL_AUXILIARIES
5640634f-0cb7-4e18-8328-304f5f32e248	831d6968-3cd9-4fa1-b38c-c22e8d66bb7f	LIGHTING
5640634f-0cb7-4e18-8328-304f5f32e248	5adcad13-2a82-4ed4-8cb1-878012521209	CRITICAL_POWER_DISTRIBUTION
5640634f-0cb7-4e18-8328-304f5f32e248	85a4b83e-606a-4b64-914d-d1c6265525b8	CRAH
5640634f-0cb7-4e18-8328-304f5f32e248	9f423214-2421-414f-bde4-a9d6ff84e791	CRAC
5640634f-0cb7-4e18-8328-304f5f32e248	3fd27621-85f4-4220-bfb5-219bc3e9f7f0	CRAC_WITHOUT_FAN
5640634f-0cb7-4e18-8328-304f5f32e248	bda5e676-2a79-4b58-9b8c-33ef04ab2e12	CRAC_FAN
5640634f-0cb7-4e18-8328-304f5f32e248	a8b0b4f1-b1e3-45b2-a497-4b92caad82de	CHILLER
5640634f-0cb7-4e18-8328-304f5f32e248	fde7f0dd-2412-42d2-8087-c647a1f178cc	AIR_COOLED_CHILLER
5640634f-0cb7-4e18-8328-304f5f32e248	f3546062-6199-4912-a794-e7ed8665a6e7	COOLING_TOWER
5640634f-0cb7-4e18-8328-304f5f32e248	ab9aaa68-5010-4658-84d1-357c904fc1ac	DRY_COOLER
5640634f-0cb7-4e18-8328-304f5f32e248	a3b86071-4dba-4e9f-9426-8d89900225a0	REMOTE_CONDENSER
5640634f-0cb7-4e18-8328-304f5f32e248	162bde67-85ab-482d-a583-4b2d42949f98	CHILLED_WATER_PUMPS
5640634f-0cb7-4e18-8328-304f5f32e248	323c1a7a-4dfc-44eb-b8bd-fc2f2b401b5c	HEAT_REJECTION_PUMPS
5640634f-0cb7-4e18-8328-304f5f32e248	84abcd28-1df5-4f3c-852d-e3a5be79eaa7	VENTILATION
5640634f-0cb7-4e18-8328-304f5f32e248	628ae1c3-9d45-44ef-ad71-4b9dad703b5d	INFILTRATION
5640634f-0cb7-4e18-8328-304f5f32e248	f7a56ca3-343a-413e-90e8-67f58f281c23	IT_LOAD
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	7b963347-d6fd-4715-a879-08973fa8f872	SWITCHGEAR
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	0ee461ea-1d1e-4e18-9fc6-1ba798811dd8	GENERATOR
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	1edcc324-bb6d-447a-9893-4ec5c94c3e83	PRIMARY_AUXILIARIES
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	d456c37e-d2d8-4c4d-8ecc-56d89cb5bde9	UPS
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	137b06b9-fad2-492a-9622-4d622c5cab8f	CRITICAL_AUXILIARIES
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	46c520d3-adc8-4963-b560-73ecd624aabe	LIGHTING
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	6afb03b9-f425-4930-bf1d-fadb15915773	CRITICAL_POWER_DISTRIBUTION
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	aa0c917e-2dac-4418-b2d1-1cb8afdffb48	CRAH
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	e6217c32-980f-4ba1-bc37-4e4ac9f69a19	CRAC
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	a7cb2ffb-bf2c-44aa-9a2d-f9eba4976e63	CRAC_WITHOUT_FAN
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	b0279b23-6a3c-4d4a-9afd-29d92bbcaeb5	CRAC_FAN
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	a4fd6089-01f5-4023-91e1-55d69facd2cf	CHILLER
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	a53eb2f8-d5e1-4c6d-a785-d5c83b87493f	AIR_COOLED_CHILLER
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	9446d3d7-7cc4-4455-b789-2cd50dd60e39	COOLING_TOWER
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	a67794c4-0cbc-4f69-b3c1-525884ae0407	DRY_COOLER
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	87699146-8924-4a92-a94d-2b288e33209a	REMOTE_CONDENSER
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	384b0ea5-6126-4c92-92ae-25fa38ff6406	CHILLED_WATER_PUMPS
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	49214b63-a838-466d-bd4b-4815463a482b	HEAT_REJECTION_PUMPS
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	cd4aec79-4114-4903-b5bf-a922c777166c	VENTILATION
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	f6a137b0-e7c5-4e9e-b326-253aabb6af28	INFILTRATION
ebba1fc7-bef9-42e2-927d-986a8b30fbf4	cde0f6e9-aa40-4855-b853-fb45eeace817	IT_LOAD
36792687-b5a2-456c-92ef-62946b895101	03bef70b-75cb-4490-a797-01da89819a08	SWITCHGEAR
36792687-b5a2-456c-92ef-62946b895101	59711eee-4c4f-4024-9297-2af55b3c73df	GENERATOR
36792687-b5a2-456c-92ef-62946b895101	b5fcaed3-3f7a-44ce-a33c-677bd31ea842	PRIMARY_AUXILIARIES
36792687-b5a2-456c-92ef-62946b895101	39341e02-e79a-4801-b4de-76b6f7516ea8	UPS
36792687-b5a2-456c-92ef-62946b895101	af918cdf-a8b3-4a8f-b64a-3732d895f879	CRITICAL_AUXILIARIES
36792687-b5a2-456c-92ef-62946b895101	7131306b-f273-479f-b6c6-bf08827a720b	LIGHTING
36792687-b5a2-456c-92ef-62946b895101	7da493c6-2c03-4939-90e0-adefdaf73008	CRITICAL_POWER_DISTRIBUTION
36792687-b5a2-456c-92ef-62946b895101	c32074fa-4d45-45e0-a6ac-3eaec2ece15b	CRAH
36792687-b5a2-456c-92ef-62946b895101	c5322bb5-eb85-4261-82a2-cb5c674b27dd	CRAC
36792687-b5a2-456c-92ef-62946b895101	6cb7b377-7f46-498e-abd2-98ba9bf719ab	CRAC_WITHOUT_FAN
36792687-b5a2-456c-92ef-62946b895101	1960fafe-89d1-417b-91cc-ccb8c40c181f	CRAC_FAN
36792687-b5a2-456c-92ef-62946b895101	a5f5a8c9-d344-4499-908b-d03a1ad04423	CHILLER
36792687-b5a2-456c-92ef-62946b895101	fe81c18e-9d9a-467e-859a-5dfca9a74de6	AIR_COOLED_CHILLER
36792687-b5a2-456c-92ef-62946b895101	5fffeff9-dc33-4da4-b950-944d2e21a5a3	COOLING_TOWER
36792687-b5a2-456c-92ef-62946b895101	44d3414a-8109-4b6b-b941-4d4678651f0b	DRY_COOLER
36792687-b5a2-456c-92ef-62946b895101	f060cfa5-0834-4539-b786-95b9911f393b	REMOTE_CONDENSER
36792687-b5a2-456c-92ef-62946b895101	2302b31b-1039-487c-bb7d-6c9eb1e36ed7	CHILLED_WATER_PUMPS
36792687-b5a2-456c-92ef-62946b895101	25f009b9-0ab9-4b61-8999-d32ebf0a45c8	HEAT_REJECTION_PUMPS
36792687-b5a2-456c-92ef-62946b895101	32aba160-fb7a-43ae-b7d0-71572f5aa5f7	VENTILATION
36792687-b5a2-456c-92ef-62946b895101	fc22259f-598e-4ed3-b079-60f083f1618b	INFILTRATION
36792687-b5a2-456c-92ef-62946b895101	0200aa74-34f6-4350-b1f8-f00bd8ceabd9	IT_LOAD
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	99f30da0-a3eb-42a7-a1ed-ec5085a7a56d	SWITCHGEAR
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	00a4c54a-5706-4aed-aecc-687a2dfc8786	GENERATOR
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	2e077db1-eca9-46ae-8220-1f5770c4df11	PRIMARY_AUXILIARIES
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	bdff1fb9-3b47-4156-8678-1e0f2f84c025	UPS
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	798e7a70-4084-4868-8417-2162043eb02f	CRITICAL_AUXILIARIES
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	762a9503-5333-4b93-9d0d-11da73f88d8f	LIGHTING
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	ebe79078-7dcd-4ef6-a57b-bc0c9501ac12	CRITICAL_POWER_DISTRIBUTION
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	43d895c0-d54d-405f-a0a4-935c4bd7c581	CRAH
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	c3720060-b34a-4b3a-8697-d2c16a4294cf	CRAC
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	3836187e-ae0c-4455-af10-c2c9721e1d9d	CRAC_WITHOUT_FAN
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	5f5a9484-0fa8-43ae-9efd-208acb7f43ed	CRAC_FAN
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	3a7c460f-0902-4c57-b72b-68910168ea32	CHILLER
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	1c8463c8-b96d-4a5d-9576-ce5b660a65a7	AIR_COOLED_CHILLER
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	a6900967-0f87-4356-875a-a9b84bab2d5c	COOLING_TOWER
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	0b1b9e6e-170e-482e-b8e1-e4957a55d6af	DRY_COOLER
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	3ec6139c-7ab9-4733-a309-9d77b838c041	REMOTE_CONDENSER
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	15bfc648-1908-4ebe-9783-a409595f1feb	CHILLED_WATER_PUMPS
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	eceb2736-4e60-4cf3-848c-f4f686210a36	HEAT_REJECTION_PUMPS
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	36e8768f-d16f-4413-afb4-a4b82919a493	VENTILATION
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	24c5b75b-2c32-40cf-ae44-307da5e7981e	INFILTRATION
b4697473-9880-4ccd-a0bc-8ce79a43a6f0	feca648a-dfac-4409-a69c-c59e7b444696	IT_LOAD
7c498d0a-545e-4408-8949-fe84bd194eaf	605c6cf4-7954-4ed1-bfcb-dd13397ac390	SWITCHGEAR
7c498d0a-545e-4408-8949-fe84bd194eaf	82a48872-e4d3-40b8-8562-b42db88670fd	GENERATOR
7c498d0a-545e-4408-8949-fe84bd194eaf	0a114cd6-a55b-4bdc-b34f-3ce06c8679ab	PRIMARY_AUXILIARIES
7c498d0a-545e-4408-8949-fe84bd194eaf	bcfb4203-37c1-4c13-85f7-c2eccb4deedd	UPS
7c498d0a-545e-4408-8949-fe84bd194eaf	b6f942de-e101-4624-bc3d-ed0f4f3201f4	CRITICAL_AUXILIARIES
7c498d0a-545e-4408-8949-fe84bd194eaf	dc632203-d6bd-4832-b3a7-c75730215757	LIGHTING
7c498d0a-545e-4408-8949-fe84bd194eaf	b77ded84-9069-42ce-bb5b-698de880e8e0	CRITICAL_POWER_DISTRIBUTION
7c498d0a-545e-4408-8949-fe84bd194eaf	f0a3199e-5267-4faf-8636-2b558ab8a3ab	CRAH
7c498d0a-545e-4408-8949-fe84bd194eaf	4c532746-e138-4248-9991-23116b5c93d2	CRAC
7c498d0a-545e-4408-8949-fe84bd194eaf	fe11ad15-2521-44df-ae7b-d239f8160780	CRAC_WITHOUT_FAN
7c498d0a-545e-4408-8949-fe84bd194eaf	fd32e8d5-a2a9-4e9c-916f-cff4c82ea9bf	CRAC_FAN
7c498d0a-545e-4408-8949-fe84bd194eaf	2d19a139-8eb1-4275-b1d5-c841f927f6ca	CHILLER
7c498d0a-545e-4408-8949-fe84bd194eaf	f0105f03-a6f6-479b-a68d-5b67a62e73b5	AIR_COOLED_CHILLER
7c498d0a-545e-4408-8949-fe84bd194eaf	28e8494b-15b9-4117-a9df-50e1622fdedf	COOLING_TOWER
7c498d0a-545e-4408-8949-fe84bd194eaf	63e02fa6-a174-4c47-b936-af058621a26e	DRY_COOLER
7c498d0a-545e-4408-8949-fe84bd194eaf	bc1802f4-3292-468e-96d8-5505012e0b9d	REMOTE_CONDENSER
7c498d0a-545e-4408-8949-fe84bd194eaf	632f9cdc-3514-48b9-90d4-f442b07bfddc	CHILLED_WATER_PUMPS
7c498d0a-545e-4408-8949-fe84bd194eaf	c505de07-8c00-4f59-843d-387486713efd	HEAT_REJECTION_PUMPS
7c498d0a-545e-4408-8949-fe84bd194eaf	9875eda3-9aa5-4e8c-a7fc-71afeee7a49f	VENTILATION
7c498d0a-545e-4408-8949-fe84bd194eaf	063664a7-4ef4-4bfa-a4d0-d04fcbc47b6b	INFILTRATION
7c498d0a-545e-4408-8949-fe84bd194eaf	42f5431b-f753-41fe-86e1-d5f927f5158d	IT_LOAD
48b47532-fb03-417a-a2c1-9a5efd406134	a802dc50-7423-414b-884f-382a2ba005cc	SWITCHGEAR
48b47532-fb03-417a-a2c1-9a5efd406134	774977f5-c156-44e9-81a3-12aec665390b	GENERATOR
48b47532-fb03-417a-a2c1-9a5efd406134	bf9fbcfb-813f-459a-abd4-a2e72519fd72	PRIMARY_AUXILIARIES
48b47532-fb03-417a-a2c1-9a5efd406134	869983ba-8876-4463-92d9-89d1b8cf74b7	UPS
48b47532-fb03-417a-a2c1-9a5efd406134	3ded8cd3-1c4f-476d-8c44-01fe0ebac7e9	CRITICAL_AUXILIARIES
48b47532-fb03-417a-a2c1-9a5efd406134	b2d6999a-2b80-465b-84f3-7fc5456b7c2a	LIGHTING
48b47532-fb03-417a-a2c1-9a5efd406134	02cdf4ff-bf7c-41a6-a092-29d25f0f15c0	CRITICAL_POWER_DISTRIBUTION
48b47532-fb03-417a-a2c1-9a5efd406134	8f233c08-a0bf-4dd3-9481-61e08c515ce5	CRAH
48b47532-fb03-417a-a2c1-9a5efd406134	f51893b3-1790-4542-a43e-9688b832cdb8	CRAC
48b47532-fb03-417a-a2c1-9a5efd406134	8ca3f6a5-4e53-4a40-8c5b-2891ce88c521	CRAC_WITHOUT_FAN
48b47532-fb03-417a-a2c1-9a5efd406134	4878e0a5-4240-4028-8b56-df354f22d3ed	CRAC_FAN
48b47532-fb03-417a-a2c1-9a5efd406134	3f3c3b55-3eae-4c23-a3a8-a8d165081ab0	CHILLER
48b47532-fb03-417a-a2c1-9a5efd406134	0d4c87e6-ca8c-4e77-9a87-3027d00cf3bf	AIR_COOLED_CHILLER
48b47532-fb03-417a-a2c1-9a5efd406134	924825d3-5fc8-47f9-ba09-3ed5b99f9020	COOLING_TOWER
48b47532-fb03-417a-a2c1-9a5efd406134	4d945bda-25e1-47dd-adf6-d63c1a356fd7	DRY_COOLER
48b47532-fb03-417a-a2c1-9a5efd406134	9430412b-df38-427f-bdc9-aa982c7dcf21	REMOTE_CONDENSER
48b47532-fb03-417a-a2c1-9a5efd406134	cf1573ab-f4d9-4a73-8441-3865b0a63bf3	CHILLED_WATER_PUMPS
48b47532-fb03-417a-a2c1-9a5efd406134	e73c27c9-81c5-4faa-861f-a368fdf9c3d9	HEAT_REJECTION_PUMPS
48b47532-fb03-417a-a2c1-9a5efd406134	26afb946-0155-493d-97e6-1b451c8ec67f	VENTILATION
48b47532-fb03-417a-a2c1-9a5efd406134	10a8db95-a7f4-4683-9528-107ad588a9b3	INFILTRATION
48b47532-fb03-417a-a2c1-9a5efd406134	ba923aa4-d3cd-4ac2-b05f-97de9bdc6a3f	IT_LOAD
e5666063-1207-40e4-91c1-824cb45de6cd	fa8ae1f3-91ad-4f67-88a4-821011d471d1	SWITCHGEAR
e5666063-1207-40e4-91c1-824cb45de6cd	4d080ef5-2e6e-4435-9cf0-dd99de735632	GENERATOR
e5666063-1207-40e4-91c1-824cb45de6cd	212f3fbc-c101-4831-a6bf-1eaebacb1ed5	PRIMARY_AUXILIARIES
e5666063-1207-40e4-91c1-824cb45de6cd	3d3a5dcd-d08c-4255-ab8b-f40114bd4078	UPS
e5666063-1207-40e4-91c1-824cb45de6cd	e54f9523-d47b-48af-bd40-b7671f5d95dc	CRITICAL_AUXILIARIES
e5666063-1207-40e4-91c1-824cb45de6cd	af9dc224-5830-4dce-9171-6c48ec28f219	LIGHTING
e5666063-1207-40e4-91c1-824cb45de6cd	25078d05-83ab-4ee8-bea1-595a1e95215f	CRITICAL_POWER_DISTRIBUTION
e5666063-1207-40e4-91c1-824cb45de6cd	f27275db-5113-4d0e-a1c3-6d424d5ef1ba	CRAH
e5666063-1207-40e4-91c1-824cb45de6cd	1b5bf42b-c08a-4c42-9c57-cd528c0e6a9e	CRAC
e5666063-1207-40e4-91c1-824cb45de6cd	8b80e5f9-58e3-47f2-aed1-b82fc5fd2af5	CRAC_WITHOUT_FAN
e5666063-1207-40e4-91c1-824cb45de6cd	58a03e94-25a8-4c91-95ef-3c26135303f8	CRAC_FAN
e5666063-1207-40e4-91c1-824cb45de6cd	13aadfb0-aa81-4cf0-9a87-ddee79d6102f	CHILLER
e5666063-1207-40e4-91c1-824cb45de6cd	00036bf6-5443-4b58-8731-7977000b0e24	AIR_COOLED_CHILLER
e5666063-1207-40e4-91c1-824cb45de6cd	ae37c93e-fd83-4e04-a0be-85ef337ad950	COOLING_TOWER
e5666063-1207-40e4-91c1-824cb45de6cd	8748afd4-7402-4896-b37d-1e06eb4ecbfa	DRY_COOLER
e5666063-1207-40e4-91c1-824cb45de6cd	9770e2ad-382b-424d-bc1a-706c249f6ecc	REMOTE_CONDENSER
e5666063-1207-40e4-91c1-824cb45de6cd	aa1723bd-690a-4efc-a803-a49f51788488	CHILLED_WATER_PUMPS
e5666063-1207-40e4-91c1-824cb45de6cd	79755124-f2de-4257-9cc3-34e07c9fb087	HEAT_REJECTION_PUMPS
e5666063-1207-40e4-91c1-824cb45de6cd	2ea17a6d-e304-4b26-b0f4-fcc1e081fff3	VENTILATION
e5666063-1207-40e4-91c1-824cb45de6cd	f30953ea-1c31-4591-9a15-f6acd5cdc16c	INFILTRATION
e5666063-1207-40e4-91c1-824cb45de6cd	a028c897-aa37-47ea-9b05-0c1d66774ff3	IT_LOAD
298ed347-f74b-4545-8ceb-c1ce5ce04125	1b0c419f-71b8-45d8-a493-ddff1e2b9d56	SWITCHGEAR
298ed347-f74b-4545-8ceb-c1ce5ce04125	9213f4a5-de34-421a-beb1-144005344e62	GENERATOR
298ed347-f74b-4545-8ceb-c1ce5ce04125	9d829ca4-3eda-442d-8e0d-c98c31049a2a	PRIMARY_AUXILIARIES
298ed347-f74b-4545-8ceb-c1ce5ce04125	68dda5e9-3ad6-4a0b-b014-9d4ab562fa80	UPS
298ed347-f74b-4545-8ceb-c1ce5ce04125	c696a854-a55c-4938-8460-654514217b61	CRITICAL_AUXILIARIES
298ed347-f74b-4545-8ceb-c1ce5ce04125	29e0b717-dc7b-4c24-aa2e-a8ee7f68d34f	LIGHTING
298ed347-f74b-4545-8ceb-c1ce5ce04125	b7afe820-8052-4cb8-af00-77d0352a6c85	CRITICAL_POWER_DISTRIBUTION
298ed347-f74b-4545-8ceb-c1ce5ce04125	61dff60b-1a16-4ce8-b97f-4ce890062ec8	CRAH
298ed347-f74b-4545-8ceb-c1ce5ce04125	95e733ca-f468-48dc-9ef6-83237bfdb9b8	CRAC
298ed347-f74b-4545-8ceb-c1ce5ce04125	63b241e2-7403-41d0-a740-8a661b50c8a0	CRAC_WITHOUT_FAN
298ed347-f74b-4545-8ceb-c1ce5ce04125	0f8f997f-e123-4983-9d4d-941519c74983	CRAC_FAN
298ed347-f74b-4545-8ceb-c1ce5ce04125	939c736c-1295-4b2a-8cac-6f184f671ccb	CHILLER
298ed347-f74b-4545-8ceb-c1ce5ce04125	e3dfac75-0c38-454d-966e-49769508cda9	AIR_COOLED_CHILLER
298ed347-f74b-4545-8ceb-c1ce5ce04125	78539798-9fc6-4b8a-8571-e06ba73291c5	COOLING_TOWER
298ed347-f74b-4545-8ceb-c1ce5ce04125	729e1dbf-3285-4f43-a2de-00c7a9753dbd	DRY_COOLER
298ed347-f74b-4545-8ceb-c1ce5ce04125	92590721-2acf-4739-a817-54f2d2c40601	REMOTE_CONDENSER
298ed347-f74b-4545-8ceb-c1ce5ce04125	a050f9bd-f4e6-49f5-8a27-d67d67c06de1	CHILLED_WATER_PUMPS
298ed347-f74b-4545-8ceb-c1ce5ce04125	a2c24cd5-eca3-466b-a828-9fd9afaf38d8	HEAT_REJECTION_PUMPS
298ed347-f74b-4545-8ceb-c1ce5ce04125	058300a9-c77f-432b-993d-cb40fab504dd	VENTILATION
298ed347-f74b-4545-8ceb-c1ce5ce04125	c179bb80-2f50-496f-8186-fea444f330c1	INFILTRATION
298ed347-f74b-4545-8ceb-c1ce5ce04125	ab3e45d3-b052-4dda-8d12-3e988e744e8c	IT_LOAD
a16745d1-d965-4644-b845-7db677a49757	442763a7-6065-496c-a383-f7a9699c9310	SWITCHGEAR
a16745d1-d965-4644-b845-7db677a49757	374994b7-7fee-4e91-a85a-e7d0cf056e00	GENERATOR
a16745d1-d965-4644-b845-7db677a49757	b31fc766-c57c-4364-9b7d-8ff949a3827b	PRIMARY_AUXILIARIES
a16745d1-d965-4644-b845-7db677a49757	b0c90057-bc0f-4cc3-8a79-0747acbe658b	UPS
a16745d1-d965-4644-b845-7db677a49757	6fbeab06-d94d-47a2-a3c4-9eed5a357c4d	CRITICAL_AUXILIARIES
a16745d1-d965-4644-b845-7db677a49757	37eecbb5-b9f8-4e84-96b0-7dc927ceb17b	LIGHTING
a16745d1-d965-4644-b845-7db677a49757	1e528be8-ed64-448d-9aad-b69e3e778f40	CRITICAL_POWER_DISTRIBUTION
a16745d1-d965-4644-b845-7db677a49757	e9b252f8-130f-4ddd-930d-2424530dab52	CRAH
a16745d1-d965-4644-b845-7db677a49757	f656429d-4506-4f98-8091-1546b27b3501	CRAC
a16745d1-d965-4644-b845-7db677a49757	bc73b6df-e5c7-4152-8d4e-26ef30bf0fb0	CRAC_WITHOUT_FAN
a16745d1-d965-4644-b845-7db677a49757	ca1f3abf-7d76-419b-ada8-240577287241	CRAC_FAN
a16745d1-d965-4644-b845-7db677a49757	c1777ae8-3875-4a61-b587-678223a5c60d	CHILLER
a16745d1-d965-4644-b845-7db677a49757	a6dd3a0d-e458-456c-92f0-295552fc3be9	AIR_COOLED_CHILLER
a16745d1-d965-4644-b845-7db677a49757	ddd41986-eab5-4f25-910f-1696c1bc0a48	COOLING_TOWER
a16745d1-d965-4644-b845-7db677a49757	5932c916-b685-41bd-ac4e-4b2481afc867	DRY_COOLER
a16745d1-d965-4644-b845-7db677a49757	9467080d-cfdc-4bfb-81fa-b2ef7d12afa5	REMOTE_CONDENSER
a16745d1-d965-4644-b845-7db677a49757	ed4edaa1-f158-4964-a747-ca1386fb9f2c	CHILLED_WATER_PUMPS
a16745d1-d965-4644-b845-7db677a49757	f5fa165c-3e82-444b-8184-6784b72c6720	HEAT_REJECTION_PUMPS
a16745d1-d965-4644-b845-7db677a49757	44165a14-ecc4-4c76-b4bd-86e3abb82063	VENTILATION
a16745d1-d965-4644-b845-7db677a49757	de750498-9bfa-4178-94e6-db1c12c6c9a5	INFILTRATION
a16745d1-d965-4644-b845-7db677a49757	d60920a0-07e4-401a-aec3-ec49f8a8e25b	IT_LOAD
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	9ed440d2-1fff-4708-aeb7-1b8237ab6786	SWITCHGEAR
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	443bd3dd-1f25-46ed-8b31-7fc3b6511e8b	GENERATOR
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	48e5fd20-9b52-47a9-9f66-3671d3df4955	PRIMARY_AUXILIARIES
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	b4b9a0e2-ce62-419b-ab85-8b793cf608b9	UPS
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	01e7929b-e554-4ca1-b993-7bac1a91e65d	CRITICAL_AUXILIARIES
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	8831beec-3b2d-45d0-b4e0-0010ce3c2c75	LIGHTING
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	ff7e8504-b94d-417f-964a-c820aacb667a	CRITICAL_POWER_DISTRIBUTION
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	ac519abc-3daa-4964-8cf1-c342e575785b	CRAH
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	4c78f326-c493-4b35-b690-d34c3da0f3fa	CRAC
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	4ac0b15a-5f24-4e4d-b110-2f8b4851cd08	CRAC_WITHOUT_FAN
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	5a3b247a-8743-4c90-891e-2f43e89be7f6	CRAC_FAN
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	c9c759be-dda6-4a95-abd2-d30b78dd3632	CHILLER
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	6f6ffd18-387c-4fe3-9287-6d1d5e3c03bd	AIR_COOLED_CHILLER
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	6492bca0-81ec-418c-8f46-71591124863a	COOLING_TOWER
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	3c8687da-87ae-4818-a088-f04a5e62dd7b	DRY_COOLER
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	e71be726-59be-4463-b74e-6efd37127625	REMOTE_CONDENSER
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	a1c1e3aa-f2a4-4d9d-850e-fbabff723408	CHILLED_WATER_PUMPS
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	cb7d2030-80ae-473c-ae11-f03b9264d520	HEAT_REJECTION_PUMPS
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	06def54d-9271-4263-9837-0783476aa46a	VENTILATION
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	74bc9734-2993-476e-a970-d2553c834214	INFILTRATION
9bd6e859-9eb2-47e9-8a47-d89a1a609e97	f20b42ae-057a-4231-b91e-d8730cfa90d8	IT_LOAD
a44502f9-cbb2-4234-b3a6-9dfed36930cb	0d848a1d-1465-4e40-a3e7-19f7889278e6	SWITCHGEAR
a44502f9-cbb2-4234-b3a6-9dfed36930cb	f6bb1abb-1f0e-4576-84c8-6dac35ad3830	GENERATOR
a44502f9-cbb2-4234-b3a6-9dfed36930cb	cb10229e-9e68-47cb-b5c8-9db5d168616a	PRIMARY_AUXILIARIES
a44502f9-cbb2-4234-b3a6-9dfed36930cb	acbc3990-b8ba-4192-9769-6d8da83a7bcf	UPS
a44502f9-cbb2-4234-b3a6-9dfed36930cb	87302e25-f711-4ff1-95a8-e805394a0aa3	CRITICAL_AUXILIARIES
a44502f9-cbb2-4234-b3a6-9dfed36930cb	9944eda3-e01f-4478-8c39-e1949fb6c618	LIGHTING
a44502f9-cbb2-4234-b3a6-9dfed36930cb	886204db-87b9-47f8-96bb-747be761e91e	CRITICAL_POWER_DISTRIBUTION
a44502f9-cbb2-4234-b3a6-9dfed36930cb	ecf92193-e7b9-4da6-ad6f-9b868bc80c38	CRAH
a44502f9-cbb2-4234-b3a6-9dfed36930cb	3df63bff-95de-4e0b-a739-d7419333a350	CRAC
a44502f9-cbb2-4234-b3a6-9dfed36930cb	09d96edc-ee6e-4451-8635-7506c5728d3d	CRAC_WITHOUT_FAN
a44502f9-cbb2-4234-b3a6-9dfed36930cb	47de520c-84bf-4272-88a6-b8141bb2d438	CRAC_FAN
a44502f9-cbb2-4234-b3a6-9dfed36930cb	5cfd5f24-50de-4a42-b213-25421b36d382	CHILLER
a44502f9-cbb2-4234-b3a6-9dfed36930cb	09d455fb-cb9b-47b7-b322-2d3fdefd85df	AIR_COOLED_CHILLER
a44502f9-cbb2-4234-b3a6-9dfed36930cb	cc839ca9-205e-4e86-b57f-57bc15ccbeac	COOLING_TOWER
a44502f9-cbb2-4234-b3a6-9dfed36930cb	2c98b6aa-3970-4c95-b837-1471033795e9	DRY_COOLER
a44502f9-cbb2-4234-b3a6-9dfed36930cb	b0cc61e8-c5e4-4544-9711-bcbe1357489d	REMOTE_CONDENSER
a44502f9-cbb2-4234-b3a6-9dfed36930cb	5c6452ba-6658-443d-882a-0a530edd7808	CHILLED_WATER_PUMPS
a44502f9-cbb2-4234-b3a6-9dfed36930cb	f4611832-ebcd-442d-a5cb-7e10ed364d17	HEAT_REJECTION_PUMPS
a44502f9-cbb2-4234-b3a6-9dfed36930cb	0ec5de95-855f-40f9-902e-868d9191d3bd	VENTILATION
a44502f9-cbb2-4234-b3a6-9dfed36930cb	019ccd25-8e71-4c07-9931-c33d4a4618bc	INFILTRATION
a44502f9-cbb2-4234-b3a6-9dfed36930cb	d3284fa9-c5b9-478f-ad7e-83e8e97cb498	IT_LOAD
26c65c3e-28d7-44b2-8356-b48441b31f5c	1ef17fe1-8ce6-4621-8ec7-7b3cbacbb9d6	SWITCHGEAR
26c65c3e-28d7-44b2-8356-b48441b31f5c	9969b419-dab2-4add-8186-3746a9beeb31	GENERATOR
26c65c3e-28d7-44b2-8356-b48441b31f5c	7596440e-8c2e-4ba4-895f-a4fff488f819	PRIMARY_AUXILIARIES
26c65c3e-28d7-44b2-8356-b48441b31f5c	ceda26b0-46b4-4b7b-9f41-40d695a7225c	UPS
26c65c3e-28d7-44b2-8356-b48441b31f5c	95a14197-963b-4e0d-bd6a-4fdddbb24e8f	CRITICAL_AUXILIARIES
26c65c3e-28d7-44b2-8356-b48441b31f5c	55a3c24c-0c4b-48e4-80c5-dedacbb036ae	LIGHTING
26c65c3e-28d7-44b2-8356-b48441b31f5c	bbbb55fe-3816-434a-a7a3-a46798e27ead	CRITICAL_POWER_DISTRIBUTION
26c65c3e-28d7-44b2-8356-b48441b31f5c	5f9f7433-573f-4b09-9e3e-f8f2b71fd2e2	CRAH
26c65c3e-28d7-44b2-8356-b48441b31f5c	e7c89d87-d18a-4747-96cd-57db23581dc2	CRAC
26c65c3e-28d7-44b2-8356-b48441b31f5c	125555dc-7741-4ea4-9516-2ca9203a19e2	CRAC_WITHOUT_FAN
26c65c3e-28d7-44b2-8356-b48441b31f5c	0837f944-bd14-4f6e-b998-b2d0dcadb49d	CRAC_FAN
26c65c3e-28d7-44b2-8356-b48441b31f5c	04c802f8-362d-42fc-a8c8-7490b0379e0a	CHILLER
26c65c3e-28d7-44b2-8356-b48441b31f5c	fd4000f0-d3ee-4873-b059-aadd082464a2	AIR_COOLED_CHILLER
26c65c3e-28d7-44b2-8356-b48441b31f5c	3d29cd8e-08b8-46d3-b62a-37739e1cf5a1	COOLING_TOWER
26c65c3e-28d7-44b2-8356-b48441b31f5c	6c8adb8e-2874-49af-af7b-aff67a28310e	DRY_COOLER
26c65c3e-28d7-44b2-8356-b48441b31f5c	c92081de-5151-4e76-b124-d2e960a772f9	REMOTE_CONDENSER
26c65c3e-28d7-44b2-8356-b48441b31f5c	fff0323c-d93d-448d-a980-1949315173aa	CHILLED_WATER_PUMPS
26c65c3e-28d7-44b2-8356-b48441b31f5c	a1a7bcf5-42db-40c7-944c-726fa0d90d81	HEAT_REJECTION_PUMPS
26c65c3e-28d7-44b2-8356-b48441b31f5c	14294d24-0c88-40c2-a6e0-4f53bc63a2f6	VENTILATION
26c65c3e-28d7-44b2-8356-b48441b31f5c	a025f297-e10e-47ff-acf3-b7de3252288d	INFILTRATION
26c65c3e-28d7-44b2-8356-b48441b31f5c	99b29a5c-d59f-4ae6-ab49-584c724f2196	IT_LOAD
dc3c1939-450d-492b-ac7f-9949bfb7f490	8f3c0526-74dd-4c6b-92bc-633886aa50f9	SWITCHGEAR
dc3c1939-450d-492b-ac7f-9949bfb7f490	db6ff682-e5ef-41c0-98f6-40453b996156	GENERATOR
dc3c1939-450d-492b-ac7f-9949bfb7f490	b10b2cde-44a0-49ff-acfc-31b6a4ff019d	PRIMARY_AUXILIARIES
dc3c1939-450d-492b-ac7f-9949bfb7f490	fce8dc63-28a7-4902-9349-4d99f0ac717c	UPS
dc3c1939-450d-492b-ac7f-9949bfb7f490	44deaae4-4a93-4cab-a2fd-e397c6a7f7c6	CRITICAL_AUXILIARIES
dc3c1939-450d-492b-ac7f-9949bfb7f490	009e3f46-8ead-4757-8aa1-e2906a83e5d3	LIGHTING
dc3c1939-450d-492b-ac7f-9949bfb7f490	3c00f97c-e638-4cd3-8920-2b24021e745f	CRITICAL_POWER_DISTRIBUTION
dc3c1939-450d-492b-ac7f-9949bfb7f490	04dc2013-75ea-44d1-a049-98e468c8c946	CRAH
dc3c1939-450d-492b-ac7f-9949bfb7f490	097f67e4-2f2e-4ec2-90cb-bf69a37f879a	CRAC
dc3c1939-450d-492b-ac7f-9949bfb7f490	16b9ca4d-9fee-4dcb-a775-a325f7300b21	CRAC_WITHOUT_FAN
dc3c1939-450d-492b-ac7f-9949bfb7f490	eaad9ca4-8f88-4925-b0a8-e5b3ddffedc7	CRAC_FAN
dc3c1939-450d-492b-ac7f-9949bfb7f490	2a371505-20be-41b9-823a-11d8f4fba80f	CHILLER
dc3c1939-450d-492b-ac7f-9949bfb7f490	145fea5e-ae02-41c2-92a7-4f6aede3c2d5	AIR_COOLED_CHILLER
dc3c1939-450d-492b-ac7f-9949bfb7f490	fd3b67af-0b39-420f-9888-b3848616864b	COOLING_TOWER
dc3c1939-450d-492b-ac7f-9949bfb7f490	ca7d787d-41b7-4ab2-8aad-784ddb8a6454	DRY_COOLER
dc3c1939-450d-492b-ac7f-9949bfb7f490	043d11c5-12f6-4ace-86f2-a5c2d95a2076	REMOTE_CONDENSER
dc3c1939-450d-492b-ac7f-9949bfb7f490	a4532e6a-545b-4957-a164-1ba63d70e24a	CHILLED_WATER_PUMPS
dc3c1939-450d-492b-ac7f-9949bfb7f490	71b6bffb-8cb0-48bb-9f71-b3cf842896ec	HEAT_REJECTION_PUMPS
dc3c1939-450d-492b-ac7f-9949bfb7f490	e74067f7-4012-4c80-b79f-d8cd1b1681eb	VENTILATION
dc3c1939-450d-492b-ac7f-9949bfb7f490	eb66562c-42c2-4fb3-a916-b89315889eb7	INFILTRATION
dc3c1939-450d-492b-ac7f-9949bfb7f490	5f456790-bc97-4598-85d4-c11a00648a69	IT_LOAD
31e5decf-fcf1-4726-982d-ccf261977fe0	f22532c4-d362-487c-93c0-bafa65c4e77d	SWITCHGEAR
31e5decf-fcf1-4726-982d-ccf261977fe0	8f73d07d-eb57-4abf-b16d-c422516fca37	GENERATOR
31e5decf-fcf1-4726-982d-ccf261977fe0	ebc7b42b-bad6-4f64-ad05-3cab4cbfb814	PRIMARY_AUXILIARIES
31e5decf-fcf1-4726-982d-ccf261977fe0	fe51e493-0c28-4c2b-aa99-07afaf52bd9e	UPS
31e5decf-fcf1-4726-982d-ccf261977fe0	1425c97a-335b-422a-99b4-b764c71bbce3	CRITICAL_AUXILIARIES
31e5decf-fcf1-4726-982d-ccf261977fe0	88dcf6f2-0b53-4362-a760-4cf7c2970fe8	LIGHTING
31e5decf-fcf1-4726-982d-ccf261977fe0	e2e0b402-df9c-4df6-a056-db23951fc540	CRITICAL_POWER_DISTRIBUTION
31e5decf-fcf1-4726-982d-ccf261977fe0	11a4d646-ab23-425c-a9e7-dee4d8555b0e	CRAH
31e5decf-fcf1-4726-982d-ccf261977fe0	52f4de98-1e2e-4743-bb62-d801eb2ccbfe	CRAC
31e5decf-fcf1-4726-982d-ccf261977fe0	3cb7599a-e508-4db7-9dbe-19770eae6518	CRAC_WITHOUT_FAN
31e5decf-fcf1-4726-982d-ccf261977fe0	e1820f83-1cd0-4fa4-af52-8acffd365c1d	CRAC_FAN
31e5decf-fcf1-4726-982d-ccf261977fe0	ce057e1c-f121-49a7-9427-150c6d74bf8e	CHILLER
31e5decf-fcf1-4726-982d-ccf261977fe0	23df113b-99d7-448a-bd7b-502ecdd96893	AIR_COOLED_CHILLER
31e5decf-fcf1-4726-982d-ccf261977fe0	8d8b6966-3f40-485d-8e67-849118c70ea9	COOLING_TOWER
31e5decf-fcf1-4726-982d-ccf261977fe0	00b9fab7-8d75-4362-bcbf-3f33e382e946	DRY_COOLER
31e5decf-fcf1-4726-982d-ccf261977fe0	ed1ae9ee-ec64-4ff1-831b-c993be5d88cf	REMOTE_CONDENSER
31e5decf-fcf1-4726-982d-ccf261977fe0	e8e2853a-918c-4973-9db6-447fcf210df0	CHILLED_WATER_PUMPS
31e5decf-fcf1-4726-982d-ccf261977fe0	d7d852d9-25cc-45cb-bc7e-6d03f9ff70d6	HEAT_REJECTION_PUMPS
31e5decf-fcf1-4726-982d-ccf261977fe0	ece55c26-4f1a-4444-af37-abfefe8703df	VENTILATION
31e5decf-fcf1-4726-982d-ccf261977fe0	0e8a6b9c-6edc-424c-9ae1-1a4c56c3a2e4	INFILTRATION
31e5decf-fcf1-4726-982d-ccf261977fe0	a99eb341-03cd-4c15-a31a-91a1dc3ce7b7	IT_LOAD
38ee1e50-b281-4819-b294-d898bc729338	f1f8d81b-1733-4f3e-9617-daf9b09be086	SWITCHGEAR
38ee1e50-b281-4819-b294-d898bc729338	90fd299e-ce3f-499a-829f-fec1205067f7	GENERATOR
38ee1e50-b281-4819-b294-d898bc729338	adb77710-65e5-411a-938b-92ac5f3d9550	PRIMARY_AUXILIARIES
38ee1e50-b281-4819-b294-d898bc729338	7fbe68be-18f4-4826-b965-30dd3a35d1cd	UPS
38ee1e50-b281-4819-b294-d898bc729338	d85f1dc5-58bb-4a69-921f-c33b6b328eb7	CRITICAL_AUXILIARIES
38ee1e50-b281-4819-b294-d898bc729338	a40e2552-0639-4f3d-811a-b60404459847	LIGHTING
38ee1e50-b281-4819-b294-d898bc729338	e029af92-d4d4-4288-9072-afbb609dc8d9	CRITICAL_POWER_DISTRIBUTION
38ee1e50-b281-4819-b294-d898bc729338	e8b3576f-15c8-47a8-a7ac-82bd215a2f65	CRAH
38ee1e50-b281-4819-b294-d898bc729338	43882653-a47e-4f97-9bf3-d6203014d0f3	CRAC
38ee1e50-b281-4819-b294-d898bc729338	8f95c82e-3ccd-4bd6-bbb5-9f8b216b1ca3	CRAC_WITHOUT_FAN
38ee1e50-b281-4819-b294-d898bc729338	a632ba6f-83bc-4116-a299-e1733582fb80	CRAC_FAN
38ee1e50-b281-4819-b294-d898bc729338	b5d225a0-6c40-4b9c-a380-61f0e440dddc	CHILLER
38ee1e50-b281-4819-b294-d898bc729338	89e94d52-09d2-49ad-bb93-d98a5da4074e	AIR_COOLED_CHILLER
38ee1e50-b281-4819-b294-d898bc729338	37aa7e78-1f0d-4334-aa20-6a27d7ec567e	COOLING_TOWER
38ee1e50-b281-4819-b294-d898bc729338	1a130b29-7e98-4920-87c6-585a5f9031fe	DRY_COOLER
38ee1e50-b281-4819-b294-d898bc729338	cee61d5f-64b5-4962-960b-ab4412020254	REMOTE_CONDENSER
38ee1e50-b281-4819-b294-d898bc729338	a1718bdc-8fef-42ba-8684-016b1d8775d5	CHILLED_WATER_PUMPS
38ee1e50-b281-4819-b294-d898bc729338	7ad3bd91-456f-4233-aad0-47b79d77f73c	HEAT_REJECTION_PUMPS
38ee1e50-b281-4819-b294-d898bc729338	049aba2d-0ed9-4123-9abc-7d98881622fd	VENTILATION
38ee1e50-b281-4819-b294-d898bc729338	c628acc8-93bd-493e-8b8c-13b71c95512a	INFILTRATION
38ee1e50-b281-4819-b294-d898bc729338	c876fe9d-ff5c-40c3-9c47-ad012f0a7e0b	IT_LOAD
277d9479-fc44-44e3-9130-2ae0a51db3f5	662243a7-03fb-473f-80a1-a915729ef8ed	SWITCHGEAR
277d9479-fc44-44e3-9130-2ae0a51db3f5	aed7e517-1882-47ed-9184-999b01099a7c	GENERATOR
277d9479-fc44-44e3-9130-2ae0a51db3f5	78ae087f-e85e-4cf9-b6c2-9f28d38f8713	PRIMARY_AUXILIARIES
277d9479-fc44-44e3-9130-2ae0a51db3f5	edbad9c1-b2d3-4c77-8903-fbadeb54a97e	UPS
277d9479-fc44-44e3-9130-2ae0a51db3f5	330e691e-6013-4abd-88d3-c6f41fce0694	CRITICAL_AUXILIARIES
277d9479-fc44-44e3-9130-2ae0a51db3f5	ff55cfc4-a9bc-4d10-9d55-c914e3737f47	LIGHTING
277d9479-fc44-44e3-9130-2ae0a51db3f5	5893ec3a-728f-4a74-8771-4535cfa9bef1	CRITICAL_POWER_DISTRIBUTION
277d9479-fc44-44e3-9130-2ae0a51db3f5	eb653be9-8097-459e-832e-890a98b16a1c	CRAH
277d9479-fc44-44e3-9130-2ae0a51db3f5	0f2dfc3c-d4a4-411b-b995-b7c825f07963	CRAC
277d9479-fc44-44e3-9130-2ae0a51db3f5	a8b54390-4059-41a3-9b81-3fe1e3580084	CRAC_WITHOUT_FAN
277d9479-fc44-44e3-9130-2ae0a51db3f5	3561c63f-67aa-4240-a1ae-94e619701a0b	CRAC_FAN
277d9479-fc44-44e3-9130-2ae0a51db3f5	95b37df0-4177-4611-89ef-4b075059b462	CHILLER
277d9479-fc44-44e3-9130-2ae0a51db3f5	0a81b3b3-e68e-460d-af9c-03a28768b5c2	AIR_COOLED_CHILLER
277d9479-fc44-44e3-9130-2ae0a51db3f5	0bff48ae-6da3-481f-a101-81418c995f4c	COOLING_TOWER
277d9479-fc44-44e3-9130-2ae0a51db3f5	fcb1606c-f6f8-4844-bff7-47b10a3b21b2	DRY_COOLER
277d9479-fc44-44e3-9130-2ae0a51db3f5	b3e5a1e8-2b25-493b-97d2-ce0aef7a1ac4	REMOTE_CONDENSER
277d9479-fc44-44e3-9130-2ae0a51db3f5	2d302d1c-bd9d-4129-8454-8070c858875b	CHILLED_WATER_PUMPS
277d9479-fc44-44e3-9130-2ae0a51db3f5	d8436b08-269d-4a5f-9318-e462c892c518	HEAT_REJECTION_PUMPS
277d9479-fc44-44e3-9130-2ae0a51db3f5	607cdb45-f436-43c9-8f4a-6a8326f8a13b	VENTILATION
277d9479-fc44-44e3-9130-2ae0a51db3f5	4bc48576-e65d-44c1-a841-cc472bc4cd05	INFILTRATION
277d9479-fc44-44e3-9130-2ae0a51db3f5	270e3d8a-2b17-41d6-9f7d-2e017b501ef7	IT_LOAD
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	c6152d5a-e726-41c8-a01b-e23a897d01c6	SWITCHGEAR
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	05364eaa-8879-4b7b-8ebe-48b736c8ce24	GENERATOR
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	d3191b27-0164-499b-8759-15fbe1945532	PRIMARY_AUXILIARIES
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	16f19bae-622a-4e24-b6bd-9801007b918b	UPS
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	37af0b05-ce31-49ce-b73e-9b9ccfad55a6	CRITICAL_AUXILIARIES
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	717819be-af71-4264-ad68-cbb2af30a240	LIGHTING
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	6468afa0-0025-491b-a9bc-b9cd271da44f	CRITICAL_POWER_DISTRIBUTION
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	df5149de-82a1-4fe3-9107-986889773675	CRAH
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	fa1be095-5b6f-4e27-a1b8-fd51b46b8c0f	CRAC
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	42d64ff5-b248-4f64-9e7a-f9c2190c6193	CRAC_WITHOUT_FAN
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	5e48b2e0-eaaf-42ba-a227-197e532d1cde	CRAC_FAN
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	14d82227-7a9c-4419-8b4a-fcf9c1dbf7b9	CHILLER
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	2767be6e-e60c-4985-8c03-ca8578d55bb6	AIR_COOLED_CHILLER
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	30908335-0f37-4c89-be0f-e4e57f4265b0	COOLING_TOWER
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	a658e929-20b0-42c4-984a-f018e02d3985	DRY_COOLER
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	b2edd27b-292a-4eef-a739-96950698273a	REMOTE_CONDENSER
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	fee6fffc-ac17-4adf-813d-a96f43245142	CHILLED_WATER_PUMPS
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	5bc15eeb-36af-4820-87ee-04b93c48f80c	HEAT_REJECTION_PUMPS
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	ebaf324b-e644-4741-b15d-07545b486853	VENTILATION
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	4db2e193-955a-40fd-a4c4-0709f3abaa08	INFILTRATION
f3efc5aa-144d-4811-b73c-cab3d6c32a4a	b2a6cd1a-50ce-440a-b9d3-5d1a3be06a3e	IT_LOAD
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	40b8f20c-e157-454a-a333-3a9b779d404b	SWITCHGEAR
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	317c20e6-834b-4eb8-9a6c-507b46f54923	GENERATOR
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	a8d06ed2-e141-4855-8631-375340299a76	PRIMARY_AUXILIARIES
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	f3aabe08-58da-4fda-81df-d7e65289e423	UPS
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	1faf6159-e93d-40e4-a1b1-30127d7afe5a	CRITICAL_AUXILIARIES
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	9810e904-8f29-42b9-be91-7eeaa79f80bc	LIGHTING
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	cadaca3c-de38-4863-a963-d31f64133efc	CRITICAL_POWER_DISTRIBUTION
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	93671c28-f810-42ac-99de-46b699b9599f	CRAH
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	cfb7847c-9d9d-4ce3-8eda-fc0657afd08c	CRAC
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	27f239cf-dba2-4bfa-82cf-2a841bf2bf7d	CRAC_WITHOUT_FAN
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	f3d97d2c-da7a-4fd3-8f3e-790d62b2b7cd	CRAC_FAN
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	eddd3b8a-659d-4dd9-913a-e4f382e23de4	CHILLER
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	facb78a8-2c3e-4806-8938-78843d222e74	AIR_COOLED_CHILLER
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	2cced530-fcd2-435f-85fc-4de614991e96	COOLING_TOWER
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	abd0f63a-5d40-44ae-8794-7e04eb92c16c	DRY_COOLER
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	7f960494-9793-42c7-b74a-4af423bba285	REMOTE_CONDENSER
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	7c2cedee-2221-4f43-b18d-2c1b85c3ad5c	CHILLED_WATER_PUMPS
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	82132f5a-8d43-4a8b-9bf8-97e4a6f60190	HEAT_REJECTION_PUMPS
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	6f484c9e-9fde-45c3-a51e-fad2ab905b5d	VENTILATION
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	569a2982-3c1f-4106-a219-eaf4d2da0be1	INFILTRATION
01fe1843-5d4f-40f5-bbec-dbdb074a2d37	076f6389-a36e-474b-9d39-6cc7b75ebf56	IT_LOAD
56f88efe-8190-4369-9448-96b0d76b9931	d653f4c0-ee4b-4cdb-914d-d213746632a6	SWITCHGEAR
56f88efe-8190-4369-9448-96b0d76b9931	1e8713ab-5617-48da-a2cc-32d511888b8f	GENERATOR
56f88efe-8190-4369-9448-96b0d76b9931	1790e62f-e200-4109-af64-3f0aa40c25f9	PRIMARY_AUXILIARIES
56f88efe-8190-4369-9448-96b0d76b9931	5c4c8dba-3cb5-4f59-954d-47175038a2b9	UPS
56f88efe-8190-4369-9448-96b0d76b9931	7f294771-d180-4037-99e7-11ba67c0ac8a	CRITICAL_AUXILIARIES
56f88efe-8190-4369-9448-96b0d76b9931	6441adc8-eb94-4ca5-8dce-e0cfdb707f64	LIGHTING
56f88efe-8190-4369-9448-96b0d76b9931	8272f8e7-4f45-4d81-a6ea-fc07372dcc63	CRITICAL_POWER_DISTRIBUTION
56f88efe-8190-4369-9448-96b0d76b9931	8100093e-356a-4511-8c47-82177cbaaf1a	CRAH
56f88efe-8190-4369-9448-96b0d76b9931	f53eb8b0-25f1-4265-941c-e51ea0241343	CRAC
56f88efe-8190-4369-9448-96b0d76b9931	68f00f36-49c5-4982-88e7-cb83e543fef7	CRAC_WITHOUT_FAN
56f88efe-8190-4369-9448-96b0d76b9931	850a75d2-5d45-4f92-9883-9b628cbd6452	CRAC_FAN
56f88efe-8190-4369-9448-96b0d76b9931	ecca281b-7b9e-44a3-9bb9-7ef21662eef0	CHILLER
56f88efe-8190-4369-9448-96b0d76b9931	db86d6a9-1b7b-4f62-ade4-8ed266b34753	AIR_COOLED_CHILLER
56f88efe-8190-4369-9448-96b0d76b9931	d776b359-797c-452d-aded-c05d88bcd292	COOLING_TOWER
56f88efe-8190-4369-9448-96b0d76b9931	4a680f0b-cfd5-4ddd-9503-395361783ec6	DRY_COOLER
56f88efe-8190-4369-9448-96b0d76b9931	f42dcca3-cd49-449f-8447-4cc34cd40e89	REMOTE_CONDENSER
56f88efe-8190-4369-9448-96b0d76b9931	a83d9436-5e84-483a-af08-3d21d8ff62b3	CHILLED_WATER_PUMPS
56f88efe-8190-4369-9448-96b0d76b9931	35f87aac-71a4-4c61-b591-7b11cbe285dd	HEAT_REJECTION_PUMPS
56f88efe-8190-4369-9448-96b0d76b9931	e877d532-b9d1-4b1d-86d0-cbb16ef0d1b2	VENTILATION
56f88efe-8190-4369-9448-96b0d76b9931	0619af94-fd2c-475b-92d5-2122aa7ddf92	INFILTRATION
56f88efe-8190-4369-9448-96b0d76b9931	04fab871-60df-457d-881d-5b4520640ed3	IT_LOAD
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	47ca8a35-0281-488e-a9df-5a291d7bc388	SWITCHGEAR
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	5b7098b4-15a7-4b15-976c-b106c3d61acc	GENERATOR
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	cd3d2910-6d6e-42eb-b6a8-c279a688d8af	PRIMARY_AUXILIARIES
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	cd83342f-06ba-484a-8cef-fdcb7b77f3be	UPS
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	96a782c7-03c7-4c60-be29-c02468cf03f7	CRITICAL_AUXILIARIES
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	3aad960b-7c6c-4ddd-9711-a573c8801786	LIGHTING
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	2437c7d4-1451-4989-bc7d-07348b76afd9	CRITICAL_POWER_DISTRIBUTION
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	f50f8a64-7bac-4661-9576-0bedec21eaca	CRAH
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	385d6658-60e5-40b5-9727-bebc1c9b5a73	CRAC
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	f2536b6e-5ff3-4cc5-8002-f430af74f550	CRAC_WITHOUT_FAN
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	8b1766c1-44b4-4fce-a418-0895e57dbbf0	CRAC_FAN
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	15b93ccf-b995-4a7a-a06b-b1e162ebf89b	CHILLER
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	f029cd93-620c-4567-9456-bf03baef60ff	AIR_COOLED_CHILLER
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	cb554cbd-1f2e-425d-9d1c-ef4ddeba5f13	COOLING_TOWER
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	e6283c87-b7ed-4407-9ebe-76a579cd8fbb	DRY_COOLER
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	fc6d382c-e845-4cb0-8d7b-a54ee1000005	REMOTE_CONDENSER
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	16c33787-a053-4262-92f7-fbed55114695	CHILLED_WATER_PUMPS
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	deabc0dc-ed0e-408a-9fbf-c2018b7bd23d	HEAT_REJECTION_PUMPS
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	e602a9e2-e0b8-4580-9a27-2c937ddf97a1	VENTILATION
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	5742eb6a-1ead-427f-a702-20aa6099a348	INFILTRATION
2ada5bc3-9df3-40c8-b4d7-3c7397f94c47	debf174a-bab7-4597-a133-de6bc099b9b9	IT_LOAD
2dd4872d-1673-401d-a0d1-6c8c35d0592c	d763a884-eb5b-45ab-b63b-59a00dff8481	SWITCHGEAR
2dd4872d-1673-401d-a0d1-6c8c35d0592c	a972d37c-0ac2-4d3d-96e7-b51335809ca5	GENERATOR
2dd4872d-1673-401d-a0d1-6c8c35d0592c	a43f30f8-ef90-4493-85e6-b6177f60b774	PRIMARY_AUXILIARIES
2dd4872d-1673-401d-a0d1-6c8c35d0592c	e1c2dabe-3a40-4c53-97b1-ce728d491b3a	UPS
2dd4872d-1673-401d-a0d1-6c8c35d0592c	926c490e-3b4b-4dfc-bb37-6bf9942ff7b2	CRITICAL_AUXILIARIES
2dd4872d-1673-401d-a0d1-6c8c35d0592c	1434a3bc-c52d-420e-9412-7365bdddee0f	LIGHTING
2dd4872d-1673-401d-a0d1-6c8c35d0592c	80f577f6-9ed6-4b5c-8543-811deb7d0905	CRITICAL_POWER_DISTRIBUTION
2dd4872d-1673-401d-a0d1-6c8c35d0592c	49029e2d-9c8a-495a-be11-93bf91337483	CRAH
2dd4872d-1673-401d-a0d1-6c8c35d0592c	d806284a-4d3c-47fd-b37e-3833b3a6be7a	CRAC
2dd4872d-1673-401d-a0d1-6c8c35d0592c	f42ba655-3e88-4b3b-a73a-bc717b1b3e0f	CRAC_WITHOUT_FAN
2dd4872d-1673-401d-a0d1-6c8c35d0592c	3b043808-43bf-4eea-a68c-1fdf0a0b40d7	CRAC_FAN
2dd4872d-1673-401d-a0d1-6c8c35d0592c	8831b121-e670-49e2-948c-adbf76f51ee3	CHILLER
2dd4872d-1673-401d-a0d1-6c8c35d0592c	7923508d-0697-4fac-9b19-399eff3b159b	AIR_COOLED_CHILLER
2dd4872d-1673-401d-a0d1-6c8c35d0592c	29705ff2-8e22-477b-8cc8-420d1cd55367	COOLING_TOWER
2dd4872d-1673-401d-a0d1-6c8c35d0592c	8536d0a4-4404-4750-8f3e-30fbce48f52b	DRY_COOLER
2dd4872d-1673-401d-a0d1-6c8c35d0592c	0a9acbed-f43e-415a-a5b4-8733a3e84ade	REMOTE_CONDENSER
2dd4872d-1673-401d-a0d1-6c8c35d0592c	efa82a59-4d97-4840-94d9-116653fb9e9b	CHILLED_WATER_PUMPS
2dd4872d-1673-401d-a0d1-6c8c35d0592c	3b27be99-be1d-4cae-a564-97101c6006e0	HEAT_REJECTION_PUMPS
2dd4872d-1673-401d-a0d1-6c8c35d0592c	22302bbc-6a5f-4883-a197-962a5325731a	VENTILATION
2dd4872d-1673-401d-a0d1-6c8c35d0592c	465d0168-affe-4aa8-a99f-867fe164af8f	INFILTRATION
2dd4872d-1673-401d-a0d1-6c8c35d0592c	f8d3ff36-b1f4-47a2-82f5-baa66e782f4f	IT_LOAD
39cd5427-b646-4be1-ae33-0edd31d5faa4	26ab60d0-14c6-43e3-a2dd-a84467e542ec	SWITCHGEAR
39cd5427-b646-4be1-ae33-0edd31d5faa4	b49d4ce9-7a06-42b8-9129-b335bda01130	GENERATOR
39cd5427-b646-4be1-ae33-0edd31d5faa4	488676ee-0d78-42f0-bc4d-96e9bda83651	PRIMARY_AUXILIARIES
39cd5427-b646-4be1-ae33-0edd31d5faa4	1be3869f-3da0-4b45-a640-c7ce6098b8eb	UPS
39cd5427-b646-4be1-ae33-0edd31d5faa4	316bb993-d261-4931-8b8b-ea2bfb1773a0	CRITICAL_AUXILIARIES
39cd5427-b646-4be1-ae33-0edd31d5faa4	be00f7d6-f0e0-45b3-a5da-a86017c0c97c	LIGHTING
39cd5427-b646-4be1-ae33-0edd31d5faa4	ea83e5d9-e7e0-4c59-8e9d-6fcb08bc0c87	CRITICAL_POWER_DISTRIBUTION
39cd5427-b646-4be1-ae33-0edd31d5faa4	d2426c5b-f5b5-4897-8f32-8d40c78432ec	CRAH
39cd5427-b646-4be1-ae33-0edd31d5faa4	165ca802-b904-4dd7-b81d-3d5b2384c8ba	CRAC
39cd5427-b646-4be1-ae33-0edd31d5faa4	019cf2af-9d79-4682-9427-560ca26b4f27	CRAC_WITHOUT_FAN
39cd5427-b646-4be1-ae33-0edd31d5faa4	9d463402-23ad-44ff-9ca6-bc1b3275266e	CRAC_FAN
39cd5427-b646-4be1-ae33-0edd31d5faa4	ce02a1fa-4de7-4996-b862-ddb3af093948	CHILLER
39cd5427-b646-4be1-ae33-0edd31d5faa4	c552f4b3-1c31-4ae4-bd90-bb44d72c9842	AIR_COOLED_CHILLER
39cd5427-b646-4be1-ae33-0edd31d5faa4	86c89a2e-bf58-4214-ac5e-7e38a3854b22	COOLING_TOWER
39cd5427-b646-4be1-ae33-0edd31d5faa4	19bc2368-8251-430d-a2ee-0cb31a2d5915	DRY_COOLER
39cd5427-b646-4be1-ae33-0edd31d5faa4	171c5d60-6d40-4905-9915-971600614bc1	REMOTE_CONDENSER
39cd5427-b646-4be1-ae33-0edd31d5faa4	be42d9db-56f8-43fe-b5f1-ce85c9cb1706	CHILLED_WATER_PUMPS
39cd5427-b646-4be1-ae33-0edd31d5faa4	c74ad9d5-c9eb-42f3-b39e-7c25f20fb00c	HEAT_REJECTION_PUMPS
39cd5427-b646-4be1-ae33-0edd31d5faa4	b9b18bdc-5306-4043-9dca-71c54c50b10a	VENTILATION
39cd5427-b646-4be1-ae33-0edd31d5faa4	fcf702a0-4488-4e57-8064-00943ec5fc32	INFILTRATION
39cd5427-b646-4be1-ae33-0edd31d5faa4	b91f8e40-ddc4-40ac-9b62-b3a588f39235	IT_LOAD
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	a8e071a8-cecc-44b6-9e4e-42d1c2d64425	SWITCHGEAR
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	a9b4e51f-d7a4-4dec-ba9a-a3b6165f9b04	GENERATOR
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	4cead37c-5676-4c0c-b80c-ac9139cf6d65	PRIMARY_AUXILIARIES
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	af3085ae-ec28-428a-ad88-053d84c4347e	UPS
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	7d55db2f-fcbf-479a-91e2-39b37839fba3	CRITICAL_AUXILIARIES
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	97eb78ec-810d-44ce-aae1-ceb261dd8049	LIGHTING
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	efe3bb57-3f2d-46de-9125-b71f9a1048f5	CRITICAL_POWER_DISTRIBUTION
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	31e8e89b-f589-4ad5-91cf-986083880397	CRAH
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	5f9afe3e-1783-4641-a77b-a1adef8d782b	CRAC
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	00b7b175-9f6d-4650-90e2-e743db14179a	CRAC_WITHOUT_FAN
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	9744c385-b999-4539-a7b1-6b4d7de398c8	CRAC_FAN
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	19226de6-2a4b-4089-bb99-0fb8d79e3c10	CHILLER
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	8de27018-980f-4339-9d36-1babda520eae	AIR_COOLED_CHILLER
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	08907c31-d75a-4bf1-b2c6-b0bb0502051b	COOLING_TOWER
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	4128a24e-1841-40d1-b70b-827feb5816c9	DRY_COOLER
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	cb1f3e6d-921b-4060-99a1-34b09cbd7a5a	REMOTE_CONDENSER
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	88898ece-2675-4992-8273-72a0ad80367f	CHILLED_WATER_PUMPS
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	df7ba1f7-8e16-4c55-b2a5-3521a868e3a2	HEAT_REJECTION_PUMPS
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	43c73186-fb9f-49be-8470-965a106af32e	VENTILATION
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	ca6aa23a-c394-4fd9-a189-62c8233b9da9	INFILTRATION
ed5ad883-ce8d-4b58-b667-4ad9e393c99f	86818395-12bf-4409-b962-284182f2059a	IT_LOAD
650449dd-8ae1-4d61-a8b2-eb205c33502f	f3f0d817-031f-47ea-9569-3550b0a0ec21	SWITCHGEAR
650449dd-8ae1-4d61-a8b2-eb205c33502f	876c0b3f-ef89-4f9c-a6da-48d5074a81b1	GENERATOR
650449dd-8ae1-4d61-a8b2-eb205c33502f	dd1a4a97-846e-455a-bab3-0e44337614b4	PRIMARY_AUXILIARIES
650449dd-8ae1-4d61-a8b2-eb205c33502f	680c7371-2c66-44f5-81f4-8da657a36549	UPS
650449dd-8ae1-4d61-a8b2-eb205c33502f	2f2c0c18-b5b5-4010-b25a-05f396fd4395	CRITICAL_AUXILIARIES
650449dd-8ae1-4d61-a8b2-eb205c33502f	3b327007-007d-4f29-b0dc-45b909efbbc0	LIGHTING
650449dd-8ae1-4d61-a8b2-eb205c33502f	609f69dd-c6d9-42c9-9ee6-049b7a0aa6e4	CRITICAL_POWER_DISTRIBUTION
650449dd-8ae1-4d61-a8b2-eb205c33502f	edd426d7-da11-4d07-9cbd-8ec890ccff01	CRAH
650449dd-8ae1-4d61-a8b2-eb205c33502f	256adf98-11df-4f86-aa92-534e496b340b	CRAC
650449dd-8ae1-4d61-a8b2-eb205c33502f	84d35dec-a1c9-4a23-87c5-91af8d38db00	CRAC_WITHOUT_FAN
650449dd-8ae1-4d61-a8b2-eb205c33502f	633040f8-faac-4889-9896-8d67052eab04	CRAC_FAN
650449dd-8ae1-4d61-a8b2-eb205c33502f	fee8def5-4ede-4270-a5ce-cebde28adec2	CHILLER
650449dd-8ae1-4d61-a8b2-eb205c33502f	92a1cb10-8ae8-47cd-bf73-894b0ee94ee5	AIR_COOLED_CHILLER
650449dd-8ae1-4d61-a8b2-eb205c33502f	abde1315-1400-4f67-a964-a0f512ee5629	COOLING_TOWER
650449dd-8ae1-4d61-a8b2-eb205c33502f	428bd4ea-e6b9-4865-ade1-395a35071f0f	DRY_COOLER
650449dd-8ae1-4d61-a8b2-eb205c33502f	49e73ef2-3195-4c07-ae47-a9ecccc322ea	REMOTE_CONDENSER
650449dd-8ae1-4d61-a8b2-eb205c33502f	2e4ece21-8b33-4e2a-936f-19788f969021	CHILLED_WATER_PUMPS
650449dd-8ae1-4d61-a8b2-eb205c33502f	149b3c58-aed7-44e8-b90d-884747742458	HEAT_REJECTION_PUMPS
650449dd-8ae1-4d61-a8b2-eb205c33502f	885c6ab6-d054-4ac9-8464-d1df60d0ef6b	VENTILATION
650449dd-8ae1-4d61-a8b2-eb205c33502f	bd548741-f022-475e-911c-f1f91bf39da5	INFILTRATION
650449dd-8ae1-4d61-a8b2-eb205c33502f	10fea32a-e2ec-4004-a831-b820ec4ce2e0	IT_LOAD
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	50c9f258-bbf2-45c8-aa23-fc8d1f3416e8	SWITCHGEAR
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	6016f1a4-7b1f-45f6-b974-36e480a0cc2f	GENERATOR
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	d53a2933-d6bb-453e-9583-00d5c1594369	PRIMARY_AUXILIARIES
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	f8e0382b-5983-4197-ae19-378126b102f0	UPS
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	193a140c-e262-492e-8efb-ff27d834dc40	CRITICAL_AUXILIARIES
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	037cd181-67af-42ed-860b-1198262da22a	LIGHTING
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	eb689343-6465-4c06-9bd3-b77bdf25c958	CRITICAL_POWER_DISTRIBUTION
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	10832e96-516c-4f84-810d-65d808e5d812	CRAH
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	697aa348-ca1d-4378-9463-19a066624a66	CRAC
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	505cf9e9-e3a8-491a-83d8-4be076a4dffa	CRAC_WITHOUT_FAN
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	9bea9b20-17e4-4c31-b7a7-413227df7911	CRAC_FAN
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	331749a1-6615-42b3-a1b1-5557da877f6c	CHILLER
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	1b81ee0e-757e-4637-af7a-497d68d1a343	AIR_COOLED_CHILLER
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	aa12c0fa-b67b-4c18-b034-d20644c16912	COOLING_TOWER
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	49701003-5f53-4f09-b568-508b45a85016	DRY_COOLER
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	59c956ab-84c4-4811-b40e-8d6ee694457f	REMOTE_CONDENSER
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	acc0db0d-a03d-4329-84cd-9d73338c231b	CHILLED_WATER_PUMPS
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	1d895fd3-580b-4d07-86ff-90f84f85654b	HEAT_REJECTION_PUMPS
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	83b9105a-2981-4465-8119-b0c773b01f8f	VENTILATION
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	69e33453-5bd4-4fb0-aae9-31289d28e001	INFILTRATION
7c6c6f19-bfb6-4af0-8631-e01b0469c12c	ddfcee8d-e2fc-456b-9474-70658951ccc5	IT_LOAD
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	b47e835e-5480-4cde-ab87-5cf2b8d8be09	SWITCHGEAR
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	014d5b55-8e9c-45de-81af-61f0c784afc4	GENERATOR
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	0dd2fc53-f400-4cfc-920f-35be8a628fe8	PRIMARY_AUXILIARIES
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	4360b4db-a233-4a81-81a2-65df776df0b8	UPS
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	74ec0cc5-4d73-4b6a-9e71-4108a19876c2	CRITICAL_AUXILIARIES
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	b4b1d259-2e16-4c81-8005-a5250d573f27	LIGHTING
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	169a3772-2e82-4887-b9a6-0501cca1aaac	CRITICAL_POWER_DISTRIBUTION
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	388831e7-6d1c-4127-9683-6cf97785972b	CRAH
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	ce08e353-4ff7-4cd5-a130-1693a0efd135	CRAC
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	f2c532c5-c2cd-4941-99ce-1652fc5004f7	CRAC_WITHOUT_FAN
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	f61c8cdf-cca2-420c-9e16-db0abe775f39	CRAC_FAN
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	9abc4e7a-e545-4758-8c1c-8bdb86b6efcd	CHILLER
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	9efa633d-2666-4bec-8da8-917e4c272f28	AIR_COOLED_CHILLER
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	ead4ce3c-5b45-45e3-8760-17da01a75d8f	COOLING_TOWER
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	405f63ae-0171-40f4-8ec5-5120333b2a0b	DRY_COOLER
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	440d84e9-5641-417c-bfb8-06dad51647eb	REMOTE_CONDENSER
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	dae39228-82e8-4c4f-8e65-04bbd4bf3308	CHILLED_WATER_PUMPS
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	62944e65-39ce-46e8-992f-b886e2696665	HEAT_REJECTION_PUMPS
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	8dac62ad-71f4-4c3e-9fd9-1fe1588f2b52	VENTILATION
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	e9ff9801-e84d-4d10-8256-6ef1969ff2b5	INFILTRATION
aef8ca40-5cc4-4d53-b0dc-111c1a642d85	bfb40474-5c2c-497b-bc7d-9a1f6824e410	IT_LOAD
565341ed-8398-42df-8df0-b2035f405dfc	cb0447f0-ba4f-4e14-b401-0aa0d2bfb607	SWITCHGEAR
565341ed-8398-42df-8df0-b2035f405dfc	bcdc83a6-cdee-42e0-9cfc-de5462330eed	GENERATOR
565341ed-8398-42df-8df0-b2035f405dfc	c68cf5da-8391-437d-9125-d1689b88c353	PRIMARY_AUXILIARIES
565341ed-8398-42df-8df0-b2035f405dfc	e032e08b-24a2-46ec-99d8-1a0018aae17b	UPS
565341ed-8398-42df-8df0-b2035f405dfc	e30bde29-07e3-4af9-85f4-1f81e335897e	CRITICAL_AUXILIARIES
565341ed-8398-42df-8df0-b2035f405dfc	befc867e-60f8-45d2-9c9c-dbcbfa7239fe	LIGHTING
565341ed-8398-42df-8df0-b2035f405dfc	530e4957-1539-4d68-8589-49f37fe337de	CRITICAL_POWER_DISTRIBUTION
565341ed-8398-42df-8df0-b2035f405dfc	537a2afa-cf37-4e9e-94fa-8ea1055718dc	CRAH
565341ed-8398-42df-8df0-b2035f405dfc	b533fa32-00af-4632-b95d-e617d36a6475	CRAC
565341ed-8398-42df-8df0-b2035f405dfc	37822f56-17dd-4e59-b18c-8cac62c21ecd	CRAC_WITHOUT_FAN
565341ed-8398-42df-8df0-b2035f405dfc	011cfae3-24ef-456a-b3b9-03905803aee3	CRAC_FAN
565341ed-8398-42df-8df0-b2035f405dfc	51cc7161-824d-4bbe-83ce-1b34c557f9e5	CHILLER
565341ed-8398-42df-8df0-b2035f405dfc	df42a860-f48c-40f0-880c-d051e093cba8	AIR_COOLED_CHILLER
565341ed-8398-42df-8df0-b2035f405dfc	31068373-e4b8-42fd-beab-03a7908f1ec3	COOLING_TOWER
565341ed-8398-42df-8df0-b2035f405dfc	cd13d293-a96b-4808-9abf-a013c4f2d912	DRY_COOLER
565341ed-8398-42df-8df0-b2035f405dfc	f0074115-ef8e-42c5-baf5-df5e16b0484a	REMOTE_CONDENSER
565341ed-8398-42df-8df0-b2035f405dfc	8f7659c3-2dcc-4fa9-aceb-b83e66707850	CHILLED_WATER_PUMPS
565341ed-8398-42df-8df0-b2035f405dfc	26f2ac40-a103-4b98-945f-f8a866fcdb26	HEAT_REJECTION_PUMPS
565341ed-8398-42df-8df0-b2035f405dfc	a5272806-3c5e-4af2-b7a1-6c33ea05564e	VENTILATION
565341ed-8398-42df-8df0-b2035f405dfc	f167e63f-4876-4e2e-9dcb-9c34dc636319	INFILTRATION
565341ed-8398-42df-8df0-b2035f405dfc	f3421fb1-857c-4153-853b-a7eb3258a410	IT_LOAD
bec550b0-9fe6-4a7f-affb-176e27266c77	35cb6a00-f61f-4c6e-93a7-94c7e3bf02bc	SWITCHGEAR
bec550b0-9fe6-4a7f-affb-176e27266c77	f946198c-f56a-476a-9204-e9c73310bc9a	GENERATOR
bec550b0-9fe6-4a7f-affb-176e27266c77	3862e760-b8f6-499a-ba18-93ea528620de	PRIMARY_AUXILIARIES
bec550b0-9fe6-4a7f-affb-176e27266c77	da8c4744-b716-4714-9876-dc2502b4e07d	UPS
bec550b0-9fe6-4a7f-affb-176e27266c77	59591140-1d32-4ad3-ab63-42ea5cc137ea	CRITICAL_AUXILIARIES
bec550b0-9fe6-4a7f-affb-176e27266c77	b49d5c69-0a26-4fb5-97fe-d9e49b2c45cf	LIGHTING
bec550b0-9fe6-4a7f-affb-176e27266c77	83c00818-0c0a-4c43-b316-c6b76ccbacf5	CRITICAL_POWER_DISTRIBUTION
bec550b0-9fe6-4a7f-affb-176e27266c77	6e033c21-f1f9-47cb-ae5e-def36fefe80b	CRAH
bec550b0-9fe6-4a7f-affb-176e27266c77	6e198882-902c-4c68-b648-b2a6a1f03b79	CRAC
bec550b0-9fe6-4a7f-affb-176e27266c77	96daf781-5bbe-443a-b8e1-4d05eeab7095	CRAC_WITHOUT_FAN
bec550b0-9fe6-4a7f-affb-176e27266c77	0c88013a-80c5-4f74-b714-0cb7cf077abd	CRAC_FAN
bec550b0-9fe6-4a7f-affb-176e27266c77	fae0fdca-17db-46a7-a136-d4e09a258648	CHILLER
bec550b0-9fe6-4a7f-affb-176e27266c77	570cad61-7010-4efb-9daf-fd70c0e247fc	AIR_COOLED_CHILLER
bec550b0-9fe6-4a7f-affb-176e27266c77	5bee0dfc-c64a-48cc-9cba-f4a8957b3c44	COOLING_TOWER
bec550b0-9fe6-4a7f-affb-176e27266c77	73f4a880-6172-4c98-b332-bb65d36ddbaa	DRY_COOLER
bec550b0-9fe6-4a7f-affb-176e27266c77	fc3caf17-2d94-47ef-8034-8d5f6618a515	REMOTE_CONDENSER
bec550b0-9fe6-4a7f-affb-176e27266c77	4af2bd0a-6226-4958-a936-5974ccb80a13	CHILLED_WATER_PUMPS
bec550b0-9fe6-4a7f-affb-176e27266c77	b47a190f-b55b-4b2f-85b4-960d55260fb8	HEAT_REJECTION_PUMPS
bec550b0-9fe6-4a7f-affb-176e27266c77	0656e572-ff5f-4360-9202-8aca82bff554	VENTILATION
bec550b0-9fe6-4a7f-affb-176e27266c77	1490a08d-8ee3-4489-b50f-267885f45b11	INFILTRATION
bec550b0-9fe6-4a7f-affb-176e27266c77	8001527a-4705-47e9-a180-d2f09ac5b912	IT_LOAD
3047fa36-527c-45a6-8e6b-7a4589076a17	21aa617a-7333-4995-87ff-896379a0da8f	SWITCHGEAR
3047fa36-527c-45a6-8e6b-7a4589076a17	b895246e-712c-42dc-a8cb-95f782308295	GENERATOR
3047fa36-527c-45a6-8e6b-7a4589076a17	4d048950-2846-43c8-9674-a3fd079cd634	PRIMARY_AUXILIARIES
3047fa36-527c-45a6-8e6b-7a4589076a17	216b2def-183b-418a-8fa1-04c3d6eb3eaf	UPS
3047fa36-527c-45a6-8e6b-7a4589076a17	15fb5c62-4928-49a4-b613-108d8102f581	CRITICAL_AUXILIARIES
3047fa36-527c-45a6-8e6b-7a4589076a17	39635a1b-d494-47a7-bdde-88469ca08ce5	LIGHTING
3047fa36-527c-45a6-8e6b-7a4589076a17	744a4f8c-a1d2-4d6b-a798-2f31e7d34bb6	CRITICAL_POWER_DISTRIBUTION
3047fa36-527c-45a6-8e6b-7a4589076a17	0447e516-99d8-49e3-a937-51167942090c	CRAH
3047fa36-527c-45a6-8e6b-7a4589076a17	23704f8b-8f2c-4f87-8f8e-6eda956c67c4	CRAC
3047fa36-527c-45a6-8e6b-7a4589076a17	73cf30f6-b002-4d93-97e1-2751fc15dd36	CRAC_WITHOUT_FAN
3047fa36-527c-45a6-8e6b-7a4589076a17	27623ff6-356b-4346-8ff3-8f53ef4e94ce	CRAC_FAN
3047fa36-527c-45a6-8e6b-7a4589076a17	b8762aa7-d7d0-49b2-8736-450311a710a4	CHILLER
3047fa36-527c-45a6-8e6b-7a4589076a17	b6be2424-abec-4cf7-8581-fcd18d97378f	AIR_COOLED_CHILLER
3047fa36-527c-45a6-8e6b-7a4589076a17	51458d8f-356a-4361-93b5-f098e60a554e	COOLING_TOWER
3047fa36-527c-45a6-8e6b-7a4589076a17	7b916aeb-d5d0-422d-8fca-3b5cdc265e8d	DRY_COOLER
3047fa36-527c-45a6-8e6b-7a4589076a17	081321a2-f002-44db-b843-8c4ac6eeae6f	REMOTE_CONDENSER
3047fa36-527c-45a6-8e6b-7a4589076a17	ce4eeedd-c597-42fd-a2fa-58e57a34953e	CHILLED_WATER_PUMPS
3047fa36-527c-45a6-8e6b-7a4589076a17	d28b24e7-65fe-49bb-9128-07f9fe74bb17	HEAT_REJECTION_PUMPS
3047fa36-527c-45a6-8e6b-7a4589076a17	b348f1cb-ab0f-4950-b5aa-bd5593b2797e	VENTILATION
3047fa36-527c-45a6-8e6b-7a4589076a17	98b11174-ebe4-4ee1-a344-73ffee8eaa67	INFILTRATION
3047fa36-527c-45a6-8e6b-7a4589076a17	d4654740-874c-4a25-b4ef-e5999bb3566f	IT_LOAD
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	a9416d78-aad3-456b-ad03-4e9ca27539bd	SWITCHGEAR
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	9cc299a2-fecd-4d46-bb7f-9d020faf632f	GENERATOR
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	9ba1bf54-8331-43bf-a096-253490d27cb5	PRIMARY_AUXILIARIES
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	6b71c8fc-965d-4439-857c-3d5bc9359fe9	UPS
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	2dcbc3a9-585e-452a-91fe-6349ff37099e	CRITICAL_AUXILIARIES
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	d3aa2c26-2611-4abb-935b-500ef9d34d25	LIGHTING
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	056247ee-9821-4318-9841-e7d124360ce4	CRITICAL_POWER_DISTRIBUTION
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	4f291788-c5a1-4b3c-87b2-6bae9fc32a0a	CRAH
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	97b53473-88fd-4757-897f-f992331bbc0e	CRAC
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	6bbd3c04-9379-4d7e-848c-31e00d06b466	CRAC_WITHOUT_FAN
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	dbccbb6d-168c-404f-8579-32b0f8d3a71b	CRAC_FAN
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	f5f25af2-c342-4ec5-9a03-c5058c27be08	CHILLER
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	36361c62-f5b6-42cd-a972-14418bc5457a	AIR_COOLED_CHILLER
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	3f6fc33b-63fa-4e05-86a0-033b77cb0c60	COOLING_TOWER
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	b1d78e32-6117-41a0-b3bf-03cd1521904b	DRY_COOLER
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	4f1bf60a-bf6d-4247-a8c7-39475dd72e69	REMOTE_CONDENSER
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	9d1912c7-83c1-42f9-9cf1-9e60c326870e	CHILLED_WATER_PUMPS
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	2654db02-124e-4133-bec2-8b4680f44e09	HEAT_REJECTION_PUMPS
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	d52c9fc5-92d9-491a-8859-58344941b27d	VENTILATION
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	b1396644-6baa-4a6d-9b78-6f5399a65bed	INFILTRATION
3c73345f-81cf-45b8-9fdf-3a77f8806c3d	bfd9962c-82c5-48c1-be90-394517fefe4b	IT_LOAD
752e1458-2efe-4f8d-9495-e3de5830f5a6	ce92e431-1a36-4980-a899-f5bab270fd4f	SWITCHGEAR
752e1458-2efe-4f8d-9495-e3de5830f5a6	7bc799e8-b7d1-4edf-a228-96558ef9ab3e	GENERATOR
752e1458-2efe-4f8d-9495-e3de5830f5a6	8c34df72-d6d3-46b8-ad63-d7c2f491bea6	PRIMARY_AUXILIARIES
752e1458-2efe-4f8d-9495-e3de5830f5a6	6cbc0db1-12f3-4216-b2e4-9c334fbde4d2	UPS
752e1458-2efe-4f8d-9495-e3de5830f5a6	5597f0ac-f08d-47fa-9e86-a5ebdc356ec1	CRITICAL_AUXILIARIES
752e1458-2efe-4f8d-9495-e3de5830f5a6	4bee8395-83ec-47ab-bed9-1ff999f85a33	LIGHTING
752e1458-2efe-4f8d-9495-e3de5830f5a6	826ab435-5e77-48a2-bd20-f4cae1c5c9c2	CRITICAL_POWER_DISTRIBUTION
752e1458-2efe-4f8d-9495-e3de5830f5a6	80057a47-00f6-4509-bb09-3c3b82665a9b	CRAH
752e1458-2efe-4f8d-9495-e3de5830f5a6	41d7f365-8499-4f93-aef6-86557bc85c76	CRAC
752e1458-2efe-4f8d-9495-e3de5830f5a6	5d4102d5-247e-46a1-9cdf-ac7baca7b98f	CRAC_WITHOUT_FAN
752e1458-2efe-4f8d-9495-e3de5830f5a6	a620e112-0eb3-4e8d-8f54-778025655e72	CRAC_FAN
752e1458-2efe-4f8d-9495-e3de5830f5a6	cbe2250a-063d-4623-80d8-9a6c11e83190	CHILLER
752e1458-2efe-4f8d-9495-e3de5830f5a6	43c993a1-5390-4af3-8fc9-6f4638e8aa79	AIR_COOLED_CHILLER
752e1458-2efe-4f8d-9495-e3de5830f5a6	a77c38ac-fdf7-4458-a6b9-5bd32e82835d	COOLING_TOWER
752e1458-2efe-4f8d-9495-e3de5830f5a6	35f8b8fc-60d6-4e17-9c1b-d94106bb0999	DRY_COOLER
752e1458-2efe-4f8d-9495-e3de5830f5a6	612b6657-0cdc-4f3c-bd76-c39a44c0c6ea	REMOTE_CONDENSER
752e1458-2efe-4f8d-9495-e3de5830f5a6	56cbee58-053c-43f5-88f4-ad04c86e0383	CHILLED_WATER_PUMPS
752e1458-2efe-4f8d-9495-e3de5830f5a6	e9cee23c-09fd-492f-966d-3737a59a525e	HEAT_REJECTION_PUMPS
752e1458-2efe-4f8d-9495-e3de5830f5a6	bf54295f-b5f4-49d1-9f42-a50ef4dbbc9a	VENTILATION
752e1458-2efe-4f8d-9495-e3de5830f5a6	1fcbf280-8cbf-4fc0-8230-50cf70b240e7	INFILTRATION
752e1458-2efe-4f8d-9495-e3de5830f5a6	7d82b4ec-76db-4d45-aa01-baf833b27cdf	IT_LOAD
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	d2d2cbdd-8cef-41ae-a49f-67f521f377a9	SWITCHGEAR
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	083da7cf-7568-47c2-9b33-57bfca12f6e1	GENERATOR
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	f0e84eec-41f9-4d78-b45c-35c1329e62a2	PRIMARY_AUXILIARIES
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	220e6dc4-b201-4578-b26d-d72c9900ace1	UPS
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	28003d5f-27e0-464f-b4a6-290aff57de70	CRITICAL_AUXILIARIES
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	aa7ac9e7-6788-4c1a-aa7d-bdc7d28a930e	LIGHTING
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	c9f65b87-d3a1-48e9-8858-a2271b68086f	CRITICAL_POWER_DISTRIBUTION
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	d1de72cc-761f-49fc-bef8-0e51b479f1cb	CRAH
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	ae1107ec-ee4b-4cc5-90e9-372ec1bd7c70	CRAC
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	e886952b-14ec-4038-8fae-92045c942eb5	CRAC_WITHOUT_FAN
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	e0407407-71c2-455c-a287-e07aeffa7ae9	CRAC_FAN
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	de8531e0-b11b-40ac-90ae-7d610ad829a7	CHILLER
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	9a7fd239-531b-48f4-9ce8-1ac6ae82459f	AIR_COOLED_CHILLER
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	155b8e5c-77c2-4ec9-9de3-8e9a4d08c5d1	COOLING_TOWER
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	c95d5ebd-cbec-47bd-92f2-bd070dd6a928	DRY_COOLER
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	e0451475-9b04-4f8c-8ab4-fbfce4a9f474	REMOTE_CONDENSER
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	1262a3f3-6597-4b04-b1e7-497279b187f4	CHILLED_WATER_PUMPS
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	9f6c15a6-7153-4b39-8af4-46a41843a6de	HEAT_REJECTION_PUMPS
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	9953f83c-dc98-424e-b485-d4484dc1f0e9	VENTILATION
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	8fff8de6-234a-421d-a755-07db392f4b64	INFILTRATION
82d323a4-8b3c-4a55-ab93-e84bcfdfa5d3	ceb13ea9-cf01-4c19-a933-cd4a93ce4bdd	IT_LOAD
0911c515-7172-4d9f-a4b4-531cafb73dc5	93707c78-0c2e-4b69-9f49-7dba4851f604	SWITCHGEAR
0911c515-7172-4d9f-a4b4-531cafb73dc5	a3d7e68f-3586-43bf-acec-7dc42c4420dc	GENERATOR
0911c515-7172-4d9f-a4b4-531cafb73dc5	86c2cc32-fc8c-4f35-9952-ac8feade2811	PRIMARY_AUXILIARIES
0911c515-7172-4d9f-a4b4-531cafb73dc5	249269b4-b34f-4366-88bb-2e864acf8a1c	UPS
0911c515-7172-4d9f-a4b4-531cafb73dc5	f829d527-b90f-452b-be8c-9a21dab9cf5e	CRITICAL_AUXILIARIES
0911c515-7172-4d9f-a4b4-531cafb73dc5	a7d4bb79-6cc9-48b6-b006-d75d0b000395	LIGHTING
0911c515-7172-4d9f-a4b4-531cafb73dc5	f2e7585c-513e-4af3-8526-b062b9977334	CRITICAL_POWER_DISTRIBUTION
0911c515-7172-4d9f-a4b4-531cafb73dc5	9df7d755-32a4-4f8c-9495-34c22f5b02b2	CRAH
0911c515-7172-4d9f-a4b4-531cafb73dc5	71eb1501-c830-491d-b159-d90bbab24419	CRAC
0911c515-7172-4d9f-a4b4-531cafb73dc5	ed18714d-0ac3-4dde-af13-ff96edd4d018	CRAC_WITHOUT_FAN
0911c515-7172-4d9f-a4b4-531cafb73dc5	13668ccb-2945-4260-b31f-5a7420b9ba83	CRAC_FAN
0911c515-7172-4d9f-a4b4-531cafb73dc5	18e2b55e-c3fa-4d18-b679-678804ed68f2	CHILLER
0911c515-7172-4d9f-a4b4-531cafb73dc5	fcd9e40f-e8d9-4b00-aec2-3f23b99f834f	AIR_COOLED_CHILLER
0911c515-7172-4d9f-a4b4-531cafb73dc5	f3b8f94e-006a-4776-9adb-c9db5ee1eee5	COOLING_TOWER
0911c515-7172-4d9f-a4b4-531cafb73dc5	0bcfbfe2-c547-4729-93e4-e791d0f7cb8a	DRY_COOLER
0911c515-7172-4d9f-a4b4-531cafb73dc5	de0d1b79-0405-45be-ac81-5cd45d36d2d4	REMOTE_CONDENSER
0911c515-7172-4d9f-a4b4-531cafb73dc5	c0fb837e-6745-4cce-bc68-0ec849b5a087	CHILLED_WATER_PUMPS
0911c515-7172-4d9f-a4b4-531cafb73dc5	1fb074a7-2eeb-4971-bc7e-a6ba08f65459	HEAT_REJECTION_PUMPS
0911c515-7172-4d9f-a4b4-531cafb73dc5	b8806363-fcde-414d-bed4-a958c8d2897e	VENTILATION
0911c515-7172-4d9f-a4b4-531cafb73dc5	d913fa27-2bc0-4f75-b86d-33cbbccf2393	INFILTRATION
0911c515-7172-4d9f-a4b4-531cafb73dc5	3c59deae-7b49-427e-95c3-13da1612fb44	IT_LOAD
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	ce864fa6-59ee-44f7-9f75-8f97d4b35f1f	SWITCHGEAR
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	9aee2658-a633-461e-aea3-1d8aed2ce317	GENERATOR
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	028a3199-f267-476b-ac9a-c17e6c03c8d9	PRIMARY_AUXILIARIES
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	7b1da527-f75c-4851-b47f-0cdb21a73bc9	UPS
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	87fa06dc-71ec-4cbc-9f03-d8182372aaa8	CRITICAL_AUXILIARIES
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	06982954-cbf0-4083-b763-c9926964aa68	LIGHTING
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	b31004a4-dd4b-42ff-b034-3e3da8bada1a	CRITICAL_POWER_DISTRIBUTION
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	a6ab1d0a-d2f7-4fb7-a266-0d4d0e81cd74	CRAH
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	d4594d1e-c479-4716-a0d3-6c5251508def	CRAC
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	5b31c154-2e70-44c6-9273-27339d864d0a	CRAC_WITHOUT_FAN
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	6fb7a99d-0f44-4e94-aec2-94a28249e683	CRAC_FAN
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	7aeb139b-31f3-4258-93b7-6720e5db7ae5	CHILLER
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	851cd10d-f49b-47e1-a3f2-eec8be8d0a57	AIR_COOLED_CHILLER
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	22045bf0-3d58-405b-8d5b-56edc56f7645	COOLING_TOWER
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	7d962b93-4ebd-4326-89ad-932c118ada4a	DRY_COOLER
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	3db38147-9e8c-420c-a94f-4500809ddea5	REMOTE_CONDENSER
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	6c5676ec-0749-42ba-9f3e-6b0f19297abe	CHILLED_WATER_PUMPS
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	5228d985-e16f-423f-a05a-bc844cd97417	HEAT_REJECTION_PUMPS
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	ec1639cf-34f8-4fa8-9631-e3f22deb9380	VENTILATION
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	72872392-b7f0-4205-aed5-48be050dd233	INFILTRATION
6b7d5927-853a-4f8d-a6a2-d0d993d437f4	a10bbf61-4840-4090-97ac-c2784fd3688f	IT_LOAD
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	f0b27612-67b1-45e1-8693-65c848ea502a	SWITCHGEAR
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	0f7ea7cc-cf4e-48df-a72d-38930c15c50d	GENERATOR
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	4ade7ea5-0d2e-4564-a5dd-4ae1828eb6ae	PRIMARY_AUXILIARIES
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	3ee922be-7143-4abe-acb6-411490b98822	UPS
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	5ddd2ef8-2a81-443f-acec-d45413da9e7d	CRITICAL_AUXILIARIES
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	c238e2ca-949b-4c89-b476-b45d4f5a13c2	LIGHTING
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	f14d5376-df2e-4cbd-ba40-e991e0bdc0a2	CRITICAL_POWER_DISTRIBUTION
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	56d5cf06-28e0-4dbc-8ce9-821919f3be6e	CRAH
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	79627f41-89b3-4ec9-b0b9-6a80246c9b1b	CRAC
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	b6dcf03b-b3f9-4ef0-a98f-6308717346da	CRAC_WITHOUT_FAN
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	f94d07d1-f195-47f0-a5af-a3f8ce4e13a1	CRAC_FAN
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	28f5d4e5-3240-4087-b7ba-4df4524d4ed4	CHILLER
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	05b05e4f-49e2-454a-b6f7-0fd4a42b3a52	AIR_COOLED_CHILLER
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	0aedb555-01fb-4c24-b977-04750422120d	COOLING_TOWER
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	48282c3a-9917-49d1-8384-5e63b8d1ce39	DRY_COOLER
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	ad22de5e-2703-440f-8d74-bde118818699	REMOTE_CONDENSER
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	54a64f1e-dcea-4c23-aa05-90c62cb21bcd	CHILLED_WATER_PUMPS
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	1fb75f4f-aff4-47d4-b052-ba9de20c6cff	HEAT_REJECTION_PUMPS
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	acbc1f1f-96f2-4f9b-a755-c45018cd1a6d	VENTILATION
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	cbaa010b-ee13-4f62-803d-5413517c567c	INFILTRATION
4aa7347b-8958-4ce2-b4f2-a8b185fdf56b	e8e2c942-2d6f-4f4d-8fff-f3bdc5133890	IT_LOAD
02fa95da-7026-456e-b46b-8ead195c5629	66f0be94-3cbb-42c9-887f-3cad21007e37	SWITCHGEAR
02fa95da-7026-456e-b46b-8ead195c5629	7f289f08-921d-42d0-b69a-e3b09e3762b9	GENERATOR
02fa95da-7026-456e-b46b-8ead195c5629	1cdfbb42-a0a6-4421-8b57-d49e6da36e25	PRIMARY_AUXILIARIES
02fa95da-7026-456e-b46b-8ead195c5629	fd72b61f-a72b-48f5-89cd-4a7d2536794f	UPS
02fa95da-7026-456e-b46b-8ead195c5629	6a96778c-e46e-49ac-8f31-68ee7ad9baf9	CRITICAL_AUXILIARIES
02fa95da-7026-456e-b46b-8ead195c5629	e4de50a5-7586-499d-8c36-8d82492f5ca5	LIGHTING
02fa95da-7026-456e-b46b-8ead195c5629	bcf1f542-155a-4f7a-a265-52694cdb67be	CRITICAL_POWER_DISTRIBUTION
02fa95da-7026-456e-b46b-8ead195c5629	ee631d77-d8c1-49ee-99b1-01d5ed70a08e	CRAH
02fa95da-7026-456e-b46b-8ead195c5629	312a0564-595e-49a1-ad6f-d88a874132d0	CRAC
02fa95da-7026-456e-b46b-8ead195c5629	a034c872-5c7a-469a-99bc-bf066fccbd08	CRAC_WITHOUT_FAN
02fa95da-7026-456e-b46b-8ead195c5629	44b016ca-0f03-40ed-aab1-4a3dd61244b7	CRAC_FAN
02fa95da-7026-456e-b46b-8ead195c5629	a49523e9-be6c-49ae-92d8-467945e9efd1	CHILLER
02fa95da-7026-456e-b46b-8ead195c5629	8d81479d-dd68-4953-8b53-44daf74878d8	AIR_COOLED_CHILLER
02fa95da-7026-456e-b46b-8ead195c5629	f2c9d23d-f630-47f0-9fe4-7d9392ec520c	COOLING_TOWER
02fa95da-7026-456e-b46b-8ead195c5629	93f3511b-15b5-44c7-aa4d-5e9a2afc68ab	DRY_COOLER
02fa95da-7026-456e-b46b-8ead195c5629	a90d83c1-7819-43e6-abdd-17c5ea305a71	REMOTE_CONDENSER
02fa95da-7026-456e-b46b-8ead195c5629	f8c1df67-7405-49af-bd99-489dcad8a5ff	CHILLED_WATER_PUMPS
02fa95da-7026-456e-b46b-8ead195c5629	32ce5b51-5471-45ec-a73a-02407868055a	HEAT_REJECTION_PUMPS
02fa95da-7026-456e-b46b-8ead195c5629	d617a8d8-5ec3-4d9c-91c5-39d4a58c93d4	VENTILATION
02fa95da-7026-456e-b46b-8ead195c5629	58697cae-36cb-4cc0-9c6b-40a07afbb620	INFILTRATION
02fa95da-7026-456e-b46b-8ead195c5629	5d6eed28-e2bd-4591-9733-6390c7fd400c	IT_LOAD
db10292e-71b8-44fa-b376-0e7557c6ccea	8a40ad30-0a79-42d7-bc0d-4bab3c887bc7	SWITCHGEAR
db10292e-71b8-44fa-b376-0e7557c6ccea	cdb6f4f0-9ac6-43ee-a075-7d2632d30054	GENERATOR
db10292e-71b8-44fa-b376-0e7557c6ccea	44255bb6-b8e0-492c-9fac-d16a422aa51b	PRIMARY_AUXILIARIES
db10292e-71b8-44fa-b376-0e7557c6ccea	0352c081-50c3-450b-b3aa-ad4601e3037e	UPS
db10292e-71b8-44fa-b376-0e7557c6ccea	76aa68fa-6ab3-44ba-9b6d-fbd18a58b02e	CRITICAL_AUXILIARIES
db10292e-71b8-44fa-b376-0e7557c6ccea	a5b9c18f-087e-42aa-8629-d3a574ce7768	LIGHTING
db10292e-71b8-44fa-b376-0e7557c6ccea	ba9e5ce2-6528-4d97-9f0f-203c7eaa43a1	CRITICAL_POWER_DISTRIBUTION
db10292e-71b8-44fa-b376-0e7557c6ccea	238a7af9-c652-4dd5-bb8c-8797c63b20a9	CRAH
db10292e-71b8-44fa-b376-0e7557c6ccea	aee0feba-5c77-41e9-83e9-dff5f1745bb3	CRAC
db10292e-71b8-44fa-b376-0e7557c6ccea	86d4579e-52a5-4443-a6fa-af261b457db2	CRAC_WITHOUT_FAN
db10292e-71b8-44fa-b376-0e7557c6ccea	f0c22bd7-fad8-4a7d-9499-02d67f27a7b4	CRAC_FAN
db10292e-71b8-44fa-b376-0e7557c6ccea	8e3682fd-82d6-42db-ac7c-e054bed4cdcd	CHILLER
db10292e-71b8-44fa-b376-0e7557c6ccea	453af514-1b52-4f20-a4e6-b97740aecdce	AIR_COOLED_CHILLER
db10292e-71b8-44fa-b376-0e7557c6ccea	7948443a-3a1c-4a45-a87d-b87e2a943c3b	COOLING_TOWER
db10292e-71b8-44fa-b376-0e7557c6ccea	09368da5-cde9-472a-bbae-3573d029cc69	DRY_COOLER
db10292e-71b8-44fa-b376-0e7557c6ccea	b857ed00-7b02-4826-9d3a-0568576ae73c	REMOTE_CONDENSER
db10292e-71b8-44fa-b376-0e7557c6ccea	57aa69d1-b7f4-4f15-a0f9-db038ddaa002	CHILLED_WATER_PUMPS
db10292e-71b8-44fa-b376-0e7557c6ccea	ef78cfe4-d31e-40b6-a8f0-996f90d91d2e	HEAT_REJECTION_PUMPS
db10292e-71b8-44fa-b376-0e7557c6ccea	f861841a-dda2-4f9b-8914-7348278d93db	VENTILATION
db10292e-71b8-44fa-b376-0e7557c6ccea	bdba60a6-fcda-4fae-8126-72ffc336ffcb	INFILTRATION
db10292e-71b8-44fa-b376-0e7557c6ccea	b4d11a37-6d03-43cf-bb31-edcb4509a7ba	IT_LOAD
00eb41c9-f230-40c4-807f-1f9c4f51422a	ca032780-8cca-44f8-abcc-6865aa892041	SWITCHGEAR
00eb41c9-f230-40c4-807f-1f9c4f51422a	862af2da-6aee-4c02-8d8b-275b0c0b50df	GENERATOR
00eb41c9-f230-40c4-807f-1f9c4f51422a	a00de7f1-275d-4f16-9624-6d156caca608	PRIMARY_AUXILIARIES
00eb41c9-f230-40c4-807f-1f9c4f51422a	5ee965da-07ca-46c0-8b95-ddccc5c37a75	UPS
00eb41c9-f230-40c4-807f-1f9c4f51422a	d3cba7fa-c238-406d-a0e4-c5cc56b64784	CRITICAL_AUXILIARIES
00eb41c9-f230-40c4-807f-1f9c4f51422a	7be43bce-96da-48ab-a4f8-f8a74f137ade	LIGHTING
00eb41c9-f230-40c4-807f-1f9c4f51422a	254068ff-7be7-43cd-80f2-cd1ccd6270b8	CRITICAL_POWER_DISTRIBUTION
00eb41c9-f230-40c4-807f-1f9c4f51422a	c4bfed19-5417-4b59-bf77-02300d6318aa	CRAH
00eb41c9-f230-40c4-807f-1f9c4f51422a	414b7732-1454-44b1-b8a4-c62c5790e586	CRAC
00eb41c9-f230-40c4-807f-1f9c4f51422a	45205c4e-32da-493f-b319-43531df2c471	CRAC_WITHOUT_FAN
00eb41c9-f230-40c4-807f-1f9c4f51422a	5ca27210-adf3-458d-a79d-56b34043a8cb	CRAC_FAN
00eb41c9-f230-40c4-807f-1f9c4f51422a	9662fb64-9f96-4230-8d50-a74c0706fea7	CHILLER
00eb41c9-f230-40c4-807f-1f9c4f51422a	3eda37e5-22a4-4a5c-8fb6-c238df2078eb	AIR_COOLED_CHILLER
00eb41c9-f230-40c4-807f-1f9c4f51422a	ed33f739-e2e9-4eee-bfc4-eaedcda43853	COOLING_TOWER
00eb41c9-f230-40c4-807f-1f9c4f51422a	539015b1-40a6-44c9-9f55-8f3183348be8	DRY_COOLER
00eb41c9-f230-40c4-807f-1f9c4f51422a	f1c29f7d-750e-478d-9b37-08bd33b4710f	REMOTE_CONDENSER
00eb41c9-f230-40c4-807f-1f9c4f51422a	a3410a92-3b11-4f1b-a357-ec67e1cc74d9	CHILLED_WATER_PUMPS
00eb41c9-f230-40c4-807f-1f9c4f51422a	858887cd-545e-4eb3-8783-f4e36b0981c3	HEAT_REJECTION_PUMPS
00eb41c9-f230-40c4-807f-1f9c4f51422a	810dc491-0cc3-4578-93e4-b13ea86404e7	VENTILATION
00eb41c9-f230-40c4-807f-1f9c4f51422a	5fa558a0-ef6a-4446-ab78-dbc2b6a602c0	INFILTRATION
00eb41c9-f230-40c4-807f-1f9c4f51422a	c18e448b-b7f7-427d-9aae-ee5066ac5044	IT_LOAD
da29a9f5-afd9-4a26-af82-28fe6012ea69	6d5ef611-b9ba-4f46-b84a-605c886fb238	SWITCHGEAR
da29a9f5-afd9-4a26-af82-28fe6012ea69	377f97a7-789c-4075-9d4e-27b5a7b4f738	GENERATOR
da29a9f5-afd9-4a26-af82-28fe6012ea69	c05f9da2-43e9-4a50-be99-fcfded057e84	PRIMARY_AUXILIARIES
da29a9f5-afd9-4a26-af82-28fe6012ea69	85d41f43-e000-4e47-ac3f-85c5c7cb9375	UPS
da29a9f5-afd9-4a26-af82-28fe6012ea69	1ddbdb39-f42e-461c-b561-a63a3c91d27f	CRITICAL_AUXILIARIES
da29a9f5-afd9-4a26-af82-28fe6012ea69	f661b7de-4767-4e44-8977-3dd45b96ac67	LIGHTING
da29a9f5-afd9-4a26-af82-28fe6012ea69	f81a7cd7-c73c-454c-b566-60e11e412550	CRITICAL_POWER_DISTRIBUTION
da29a9f5-afd9-4a26-af82-28fe6012ea69	8a967d67-cd5b-42a0-9f6f-44245a3004c0	CRAH
da29a9f5-afd9-4a26-af82-28fe6012ea69	27714481-3ee0-4cd2-afdb-f503d5699cff	CRAC
da29a9f5-afd9-4a26-af82-28fe6012ea69	abfebeed-b6b2-4cc4-a679-4963694cea2f	CRAC_WITHOUT_FAN
da29a9f5-afd9-4a26-af82-28fe6012ea69	1dce624f-2ab1-4e91-8d22-63f2ee50ba3a	CRAC_FAN
da29a9f5-afd9-4a26-af82-28fe6012ea69	b00f0f4b-20f3-4f92-9832-4ebf8aed9063	CHILLER
da29a9f5-afd9-4a26-af82-28fe6012ea69	a3d81b06-e0ff-4d8e-becd-a9bd5f029872	AIR_COOLED_CHILLER
da29a9f5-afd9-4a26-af82-28fe6012ea69	adface58-4502-4d7e-9316-a8fc2909e26b	COOLING_TOWER
da29a9f5-afd9-4a26-af82-28fe6012ea69	ecc4c80f-6c0e-4347-932b-3f03f8c93869	DRY_COOLER
da29a9f5-afd9-4a26-af82-28fe6012ea69	c9b251e0-dbd8-4dfb-9e39-d23c4cd27484	REMOTE_CONDENSER
da29a9f5-afd9-4a26-af82-28fe6012ea69	5a8bd071-5dbb-400f-bdcc-909a32498f12	CHILLED_WATER_PUMPS
da29a9f5-afd9-4a26-af82-28fe6012ea69	cb8b360d-78b9-4305-b6e0-a71c5eded330	HEAT_REJECTION_PUMPS
da29a9f5-afd9-4a26-af82-28fe6012ea69	0dc72c19-8b0a-4a9c-a361-3d8188da2189	VENTILATION
da29a9f5-afd9-4a26-af82-28fe6012ea69	8b7c384d-049e-477e-91d8-a938f1c3f5c4	INFILTRATION
da29a9f5-afd9-4a26-af82-28fe6012ea69	0b888df6-5073-49b5-849d-5df0ebd23c54	IT_LOAD
84691acb-669a-4c4a-af18-85672dfda6ad	d622775c-d38f-4036-84e3-e725303fa1f7	SWITCHGEAR
84691acb-669a-4c4a-af18-85672dfda6ad	f99f1629-9db8-43d9-90e2-d8e14d565c35	GENERATOR
84691acb-669a-4c4a-af18-85672dfda6ad	50b75461-d0e0-402b-b919-1d1b49322c68	PRIMARY_AUXILIARIES
84691acb-669a-4c4a-af18-85672dfda6ad	d6d27ebb-ac64-4fb6-816f-0dcf85083737	UPS
84691acb-669a-4c4a-af18-85672dfda6ad	470e5805-5339-4919-8525-08ee388a4153	CRITICAL_AUXILIARIES
84691acb-669a-4c4a-af18-85672dfda6ad	a0d63ddf-21d1-4dd1-a140-09fcb65bf57d	LIGHTING
84691acb-669a-4c4a-af18-85672dfda6ad	5512529e-a596-4c36-b61a-ec3bd6892f51	CRITICAL_POWER_DISTRIBUTION
84691acb-669a-4c4a-af18-85672dfda6ad	f6c95123-e26f-4700-8740-92028f57fb9e	CRAH
84691acb-669a-4c4a-af18-85672dfda6ad	6788e7d0-6069-49ed-bba1-9c3605e055fb	CRAC
84691acb-669a-4c4a-af18-85672dfda6ad	11a39007-6d12-4bcc-887d-3c1ab26979b6	CRAC_WITHOUT_FAN
84691acb-669a-4c4a-af18-85672dfda6ad	f8b8075a-c39e-43b8-8ffe-52c97340fbe0	CRAC_FAN
84691acb-669a-4c4a-af18-85672dfda6ad	e16f44b5-58bc-40b2-a621-cfade16074ed	CHILLER
84691acb-669a-4c4a-af18-85672dfda6ad	a8e04189-6cc5-4aea-afb4-d4dfca9c2dd6	AIR_COOLED_CHILLER
84691acb-669a-4c4a-af18-85672dfda6ad	aafbd969-832c-4824-b75f-056e5c8b5098	COOLING_TOWER
84691acb-669a-4c4a-af18-85672dfda6ad	2073d976-85ea-4fab-ad4d-d0145fdf6bdd	DRY_COOLER
84691acb-669a-4c4a-af18-85672dfda6ad	faab16fb-0628-464b-9ff6-216e01bafc03	REMOTE_CONDENSER
84691acb-669a-4c4a-af18-85672dfda6ad	0f226c9c-fb4a-43e5-a872-37683f622b03	CHILLED_WATER_PUMPS
84691acb-669a-4c4a-af18-85672dfda6ad	b066304c-9efe-4933-8094-f00446ee77c4	HEAT_REJECTION_PUMPS
84691acb-669a-4c4a-af18-85672dfda6ad	df6d66c7-1f4e-4817-a98a-1a79262dd96c	VENTILATION
84691acb-669a-4c4a-af18-85672dfda6ad	0c8b22a5-4ba5-4aa6-bf50-561f500f8eb6	INFILTRATION
84691acb-669a-4c4a-af18-85672dfda6ad	20ae4ea0-f73f-4e1a-b282-d601f3d4dfaf	IT_LOAD
7d6bb28d-3c08-4f0e-aebf-660ed1010735	9457753e-39d1-4a65-ad82-75bc6453fbc4	SWITCHGEAR
7d6bb28d-3c08-4f0e-aebf-660ed1010735	dbdd5f41-7c8e-4b29-ac34-2e6d9df14b19	GENERATOR
7d6bb28d-3c08-4f0e-aebf-660ed1010735	e55e3e9c-6608-406c-a5d4-252860c5e93f	PRIMARY_AUXILIARIES
7d6bb28d-3c08-4f0e-aebf-660ed1010735	dd376dad-ec56-4f7b-88f5-932de092f597	UPS
7d6bb28d-3c08-4f0e-aebf-660ed1010735	fe4fc59f-eff3-4f69-a4a9-b17f2d5e5c23	CRITICAL_AUXILIARIES
7d6bb28d-3c08-4f0e-aebf-660ed1010735	f089c4ff-f1b1-4ab4-9a53-6389a951733e	LIGHTING
7d6bb28d-3c08-4f0e-aebf-660ed1010735	025f66e9-6195-4505-91c5-070e85d2da06	CRITICAL_POWER_DISTRIBUTION
7d6bb28d-3c08-4f0e-aebf-660ed1010735	3198ffec-d9b2-4e9b-a06b-1535e495fece	CRAH
7d6bb28d-3c08-4f0e-aebf-660ed1010735	4a817a10-ae22-4b3b-b31d-a80b0fa1dcb1	CRAC
7d6bb28d-3c08-4f0e-aebf-660ed1010735	a4940cd5-a8bb-44f3-bae7-79f87931dcf4	CRAC_WITHOUT_FAN
7d6bb28d-3c08-4f0e-aebf-660ed1010735	4944638a-0304-41c2-be18-d9a3cb9b690d	CRAC_FAN
7d6bb28d-3c08-4f0e-aebf-660ed1010735	237a74fe-8fb6-485c-b952-51629b45235c	CHILLER
7d6bb28d-3c08-4f0e-aebf-660ed1010735	2d3163d8-23ed-40d8-b4f1-225c6052b3d2	AIR_COOLED_CHILLER
7d6bb28d-3c08-4f0e-aebf-660ed1010735	53e2b3a5-441e-4f3c-b8ce-e10aa353130d	COOLING_TOWER
7d6bb28d-3c08-4f0e-aebf-660ed1010735	c29dc5a5-db84-4e75-b747-8b94dbeb52fb	DRY_COOLER
7d6bb28d-3c08-4f0e-aebf-660ed1010735	87b7ed4b-9e47-4226-a86c-b02ac3ffbcaf	REMOTE_CONDENSER
7d6bb28d-3c08-4f0e-aebf-660ed1010735	a11e20ff-6bb5-4d22-873a-a81cf030972e	CHILLED_WATER_PUMPS
7d6bb28d-3c08-4f0e-aebf-660ed1010735	b652ed11-5499-4757-bb42-bbbdff182d2b	HEAT_REJECTION_PUMPS
7d6bb28d-3c08-4f0e-aebf-660ed1010735	05d8892a-c277-4ec4-a0f2-e7f1c3fe0ccd	VENTILATION
7d6bb28d-3c08-4f0e-aebf-660ed1010735	130c3ef6-896d-4210-add2-718ae63dad2e	INFILTRATION
7d6bb28d-3c08-4f0e-aebf-660ed1010735	911282e7-de4b-4aaa-9f6b-19b8f2c4612a	IT_LOAD
461292ac-f0d4-4ad8-b194-290af7d6573a	696faecf-a552-44b5-a84e-1f22ed294de6	SWITCHGEAR
461292ac-f0d4-4ad8-b194-290af7d6573a	5e02781b-50d4-43ae-abaa-f5c8d461c37b	GENERATOR
461292ac-f0d4-4ad8-b194-290af7d6573a	b2250eca-2ff2-4ff0-81c2-58a7339bd872	PRIMARY_AUXILIARIES
461292ac-f0d4-4ad8-b194-290af7d6573a	788c4f34-292b-4732-8f23-fe46d5cb1dc7	UPS
461292ac-f0d4-4ad8-b194-290af7d6573a	88484c65-9e30-48ca-89d5-2c1429e497ad	CRITICAL_AUXILIARIES
461292ac-f0d4-4ad8-b194-290af7d6573a	42fd77a8-2fa3-4d93-8de2-adccb4533487	LIGHTING
461292ac-f0d4-4ad8-b194-290af7d6573a	e3be0408-4818-4689-bcb0-de10f73e0604	CRITICAL_POWER_DISTRIBUTION
461292ac-f0d4-4ad8-b194-290af7d6573a	fb0fd4df-e857-4e6e-b3e9-831e35e85fdf	CRAH
461292ac-f0d4-4ad8-b194-290af7d6573a	d6b85f62-6e85-40a7-b447-4882a44951a4	CRAC
461292ac-f0d4-4ad8-b194-290af7d6573a	043e7c37-ac46-44d3-832b-8bfbb335dd58	CRAC_WITHOUT_FAN
461292ac-f0d4-4ad8-b194-290af7d6573a	d9199421-8766-4a7c-8bdf-2537651aed74	CRAC_FAN
461292ac-f0d4-4ad8-b194-290af7d6573a	153b9c31-1504-4c25-b2db-9f121a6a566a	CHILLER
461292ac-f0d4-4ad8-b194-290af7d6573a	18d1de2a-bebc-45f5-a715-674c918b2591	AIR_COOLED_CHILLER
461292ac-f0d4-4ad8-b194-290af7d6573a	ef3b9f12-e0d0-4274-937a-841f0070fa7e	COOLING_TOWER
461292ac-f0d4-4ad8-b194-290af7d6573a	80c648da-1eb1-431b-9f8f-e5315c56c247	DRY_COOLER
461292ac-f0d4-4ad8-b194-290af7d6573a	be286d77-3750-4ba4-ab6d-9d351b7ff907	REMOTE_CONDENSER
461292ac-f0d4-4ad8-b194-290af7d6573a	a563a81f-92e4-4b39-9419-a18908fd1b06	CHILLED_WATER_PUMPS
461292ac-f0d4-4ad8-b194-290af7d6573a	de155687-2699-4c40-9228-43bc9812ac6a	HEAT_REJECTION_PUMPS
461292ac-f0d4-4ad8-b194-290af7d6573a	2ddcfc35-790a-4280-ab5e-bf3492ca92cc	VENTILATION
461292ac-f0d4-4ad8-b194-290af7d6573a	313709e1-aaa3-4261-9c6a-d1a285b011d3	INFILTRATION
461292ac-f0d4-4ad8-b194-290af7d6573a	f1ea7d33-409e-4ac3-a347-9bd5a1fb1aed	IT_LOAD
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	d80744a6-7430-4d7d-b531-1689a76385c4	SWITCHGEAR
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	4dab3ac6-220c-48b5-ad12-d21526b6c4aa	GENERATOR
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	2cfd8dea-5019-4153-b984-9e5bdbe1f45a	PRIMARY_AUXILIARIES
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	467e7636-64a7-49a1-bd22-ff6a76a9e039	UPS
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	d5dab114-e31b-4562-bdf4-4ee6517f801b	CRITICAL_AUXILIARIES
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	f262ea72-2110-44a7-a0ca-47c016580782	LIGHTING
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	932eba4a-40f8-42e1-859b-49e9edc70b31	CRITICAL_POWER_DISTRIBUTION
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	5b474bd5-af64-4f9f-ac7e-3586f6134cd9	CRAH
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	429e75c6-3899-4053-a995-aeaf27c73180	CRAC
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	56eedcc2-b32f-430d-a9aa-cdc200df50df	CRAC_WITHOUT_FAN
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	f7c2fd1c-f261-4529-8d1c-2b9194e387f1	CRAC_FAN
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	4cf6c6cc-b2a7-4234-8d8d-3cddf9139103	CHILLER
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	ba476c6e-bf83-48bb-a270-0085a6df5aee	AIR_COOLED_CHILLER
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	97139867-0829-4fd1-b777-0735fb493931	COOLING_TOWER
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	cec1727e-e24c-4e87-a0b3-ea70642db2b6	DRY_COOLER
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	534215a0-be36-41f7-b304-4d09a44e9826	REMOTE_CONDENSER
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	88b64d35-4033-4e77-af18-4b506b9cd112	CHILLED_WATER_PUMPS
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	f525e91d-73e6-4899-a89c-b59f1bac57d9	HEAT_REJECTION_PUMPS
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	478fd71e-86ed-4fe0-b439-0628d592875c	VENTILATION
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	79f4cb56-e54d-498e-8a5a-a4bf021895d6	INFILTRATION
f8f9dbae-b910-4ed5-941b-81bb74ed9ebb	163d0404-de67-4479-a528-e5b68ac585c5	IT_LOAD
548718f0-4aec-45e1-be1c-5f00f5825310	e574bcb8-9862-4f4d-a6a6-e31691282b09	SWITCHGEAR
548718f0-4aec-45e1-be1c-5f00f5825310	771ef71d-98ef-43be-80c2-719696017322	GENERATOR
548718f0-4aec-45e1-be1c-5f00f5825310	5b9cfebb-8ec6-4f2a-90f3-e798c3c00e4f	PRIMARY_AUXILIARIES
548718f0-4aec-45e1-be1c-5f00f5825310	d08e0e29-9f86-4210-bb62-7efe61feae6d	UPS
548718f0-4aec-45e1-be1c-5f00f5825310	6b868df0-61f2-4f76-9768-5840312b49fe	CRITICAL_AUXILIARIES
548718f0-4aec-45e1-be1c-5f00f5825310	6ed314cb-228a-488c-8fb2-e1c9e0e2d57e	LIGHTING
548718f0-4aec-45e1-be1c-5f00f5825310	00165a04-69c8-406a-a9bb-eb78161e3ca4	CRITICAL_POWER_DISTRIBUTION
548718f0-4aec-45e1-be1c-5f00f5825310	5ee9504e-2a0d-42a9-8f61-933f10ebb6ff	CRAH
548718f0-4aec-45e1-be1c-5f00f5825310	e80c7148-2f81-4ecf-a4de-cf818b5bb76d	CRAC
548718f0-4aec-45e1-be1c-5f00f5825310	27b6e2ee-34ec-4755-94fb-92eba2906183	CRAC_WITHOUT_FAN
548718f0-4aec-45e1-be1c-5f00f5825310	d4dac1df-0586-4dd2-ae55-02c62769d77f	CRAC_FAN
548718f0-4aec-45e1-be1c-5f00f5825310	a91c007b-986c-452a-b16b-d165a600e5ab	CHILLER
548718f0-4aec-45e1-be1c-5f00f5825310	e58cd48c-1cb5-4d58-b482-9f0814b6be3f	AIR_COOLED_CHILLER
548718f0-4aec-45e1-be1c-5f00f5825310	5ed70b74-f157-4721-a6a9-0b268aeff562	COOLING_TOWER
548718f0-4aec-45e1-be1c-5f00f5825310	0bd443b3-030d-4d03-9333-6780a8eafa14	DRY_COOLER
548718f0-4aec-45e1-be1c-5f00f5825310	41dd19a8-7710-41f0-b0e6-81c9c16e0132	REMOTE_CONDENSER
548718f0-4aec-45e1-be1c-5f00f5825310	ea841d6b-9cb9-4c05-9ea2-b240d7707fb8	CHILLED_WATER_PUMPS
548718f0-4aec-45e1-be1c-5f00f5825310	a868d4d5-5100-429a-89b6-a16f7c348473	HEAT_REJECTION_PUMPS
548718f0-4aec-45e1-be1c-5f00f5825310	1c876e01-a39b-47e6-9e82-2d52938d98d2	VENTILATION
548718f0-4aec-45e1-be1c-5f00f5825310	b6c2348f-1c3e-4656-84d3-18c567ae0e87	INFILTRATION
548718f0-4aec-45e1-be1c-5f00f5825310	614baf98-c61e-42d7-a6f1-9422f250ffcd	IT_LOAD
78b6472b-301a-438a-a4c7-390f0edcb614	bbc44115-3629-4da9-80c6-cce2d99c19c5	SWITCHGEAR
78b6472b-301a-438a-a4c7-390f0edcb614	0c4809fb-2ec4-4217-8fb0-93170f1e7b09	GENERATOR
78b6472b-301a-438a-a4c7-390f0edcb614	9193254c-204d-42e5-966e-a29363f5bc80	PRIMARY_AUXILIARIES
78b6472b-301a-438a-a4c7-390f0edcb614	5542da15-a544-4c14-a267-a5327ffdc1e2	UPS
78b6472b-301a-438a-a4c7-390f0edcb614	39603926-46f2-4280-8082-11c7eb4f77c3	CRITICAL_AUXILIARIES
78b6472b-301a-438a-a4c7-390f0edcb614	ab8bbca2-1e9e-45f6-8b74-7b35a0bb7544	LIGHTING
78b6472b-301a-438a-a4c7-390f0edcb614	96efa263-c087-4f05-8719-01585ef93c25	CRITICAL_POWER_DISTRIBUTION
78b6472b-301a-438a-a4c7-390f0edcb614	6ed7d286-4d89-4056-a3f9-357b97518e5d	CRAH
78b6472b-301a-438a-a4c7-390f0edcb614	179db45e-aa06-4961-90ce-3916518c2f43	CRAC
78b6472b-301a-438a-a4c7-390f0edcb614	9365df2f-5f19-4a6c-a8ca-6c33defd0a28	CRAC_WITHOUT_FAN
78b6472b-301a-438a-a4c7-390f0edcb614	c9909ce0-bfec-415c-9927-fbcf29f93b40	CRAC_FAN
78b6472b-301a-438a-a4c7-390f0edcb614	5e6f1f3d-542c-4736-a43f-5b400a51f6dc	CHILLER
78b6472b-301a-438a-a4c7-390f0edcb614	41cec6b8-96ce-496e-9ef9-5ff1b85e8c74	AIR_COOLED_CHILLER
78b6472b-301a-438a-a4c7-390f0edcb614	e186fcd4-940e-4159-883d-f0b860884cbe	COOLING_TOWER
78b6472b-301a-438a-a4c7-390f0edcb614	75d41a5e-ffc5-4b90-aa6a-ae5425396fc1	DRY_COOLER
78b6472b-301a-438a-a4c7-390f0edcb614	11cce60b-fb21-4860-ba16-4d5780ee84c8	REMOTE_CONDENSER
78b6472b-301a-438a-a4c7-390f0edcb614	aa33f30e-f19f-484e-abc3-2cc5d91234a9	CHILLED_WATER_PUMPS
78b6472b-301a-438a-a4c7-390f0edcb614	bf0af567-d902-4235-96c8-a38130065900	HEAT_REJECTION_PUMPS
78b6472b-301a-438a-a4c7-390f0edcb614	c02ee210-7242-416c-a83a-3f54adc2a8ae	VENTILATION
78b6472b-301a-438a-a4c7-390f0edcb614	66d5a320-e70d-4aea-ab17-8a3c6dad3af7	INFILTRATION
78b6472b-301a-438a-a4c7-390f0edcb614	08af324b-748a-4e48-b815-638bd8c3fa0c	IT_LOAD
568403bc-53b0-49ed-8ab9-57008bd10898	e5078c99-5246-4b6d-ba1b-dd6c0f5b1178	SWITCHGEAR
568403bc-53b0-49ed-8ab9-57008bd10898	c230d51c-d485-4d49-a8ef-f0da4a364aff	GENERATOR
568403bc-53b0-49ed-8ab9-57008bd10898	c441f9f3-8c93-41ef-a513-19f940f1f322	PRIMARY_AUXILIARIES
568403bc-53b0-49ed-8ab9-57008bd10898	3946f6e3-5f2b-4600-918e-0887c9ed72a5	UPS
568403bc-53b0-49ed-8ab9-57008bd10898	886fa0b4-ec12-4e34-837d-7cb8f09e2214	CRITICAL_AUXILIARIES
568403bc-53b0-49ed-8ab9-57008bd10898	f9361e5f-a15a-46d1-8d57-c768cc6736c3	LIGHTING
568403bc-53b0-49ed-8ab9-57008bd10898	9d342601-b7be-43ef-9597-84c966ed9c6b	CRITICAL_POWER_DISTRIBUTION
568403bc-53b0-49ed-8ab9-57008bd10898	bb38030c-bc6e-4635-a72e-2e81390d6536	CRAH
568403bc-53b0-49ed-8ab9-57008bd10898	63e33d1d-fb67-4494-9506-725d65cb2366	CRAC
568403bc-53b0-49ed-8ab9-57008bd10898	c34a5014-579c-4215-81c3-3f62ada0a9b4	CRAC_WITHOUT_FAN
568403bc-53b0-49ed-8ab9-57008bd10898	c5226cd9-3be7-487d-85a6-9a936acf70cf	CRAC_FAN
568403bc-53b0-49ed-8ab9-57008bd10898	94ccb06b-1a6a-446c-bbbd-df6ceee054e6	CHILLER
568403bc-53b0-49ed-8ab9-57008bd10898	f1f0f0a3-f0bc-4004-ae32-80c803c9752e	AIR_COOLED_CHILLER
568403bc-53b0-49ed-8ab9-57008bd10898	bfc0e81d-1fea-4604-a0bc-e39cf14d6504	COOLING_TOWER
568403bc-53b0-49ed-8ab9-57008bd10898	4f968e65-d5fa-427f-81d4-7176da6fe138	DRY_COOLER
568403bc-53b0-49ed-8ab9-57008bd10898	886558e7-f5a1-4224-bef7-03e43568f6e7	REMOTE_CONDENSER
568403bc-53b0-49ed-8ab9-57008bd10898	766c7441-2266-4e0d-90dd-4226c52d7ebf	CHILLED_WATER_PUMPS
568403bc-53b0-49ed-8ab9-57008bd10898	5d5c49cb-0687-48e7-bfe6-375d3ed3bc55	HEAT_REJECTION_PUMPS
568403bc-53b0-49ed-8ab9-57008bd10898	71d14e77-2e8a-4425-832d-184acaffbc6c	VENTILATION
568403bc-53b0-49ed-8ab9-57008bd10898	fcbd7e24-b08f-4e92-ace6-e23270238656	INFILTRATION
568403bc-53b0-49ed-8ab9-57008bd10898	e610adae-a1cf-4e85-9250-bef2bc479655	IT_LOAD
a77dd9bc-73db-48f1-b389-6c3c67a923da	f2e03f75-a88c-4658-b252-96f71e6fae66	SWITCHGEAR
a77dd9bc-73db-48f1-b389-6c3c67a923da	500169d3-0f9d-4c14-b951-41d15363f09b	GENERATOR
a77dd9bc-73db-48f1-b389-6c3c67a923da	b615a091-6df1-4dbf-a33c-7ac8e4047566	PRIMARY_AUXILIARIES
a77dd9bc-73db-48f1-b389-6c3c67a923da	a8fb9f83-8290-4a03-81a1-b4783395519f	UPS
a77dd9bc-73db-48f1-b389-6c3c67a923da	c772e35f-3295-4e9c-8e99-ff78fe56cfcc	CRITICAL_AUXILIARIES
a77dd9bc-73db-48f1-b389-6c3c67a923da	e678d955-991b-4894-9cbb-bd9c337d0ebb	LIGHTING
a77dd9bc-73db-48f1-b389-6c3c67a923da	01f9b883-b91e-454b-b549-ebdfc35dc64c	CRITICAL_POWER_DISTRIBUTION
a77dd9bc-73db-48f1-b389-6c3c67a923da	c084c88c-bc4e-4b5f-9105-5ed5aa5d79c5	CRAH
a77dd9bc-73db-48f1-b389-6c3c67a923da	43f2543a-cec8-4cb8-b443-33d385d378fa	CRAC
a77dd9bc-73db-48f1-b389-6c3c67a923da	1b7a300f-7272-47e8-a37f-776a3d59c864	CRAC_WITHOUT_FAN
a77dd9bc-73db-48f1-b389-6c3c67a923da	08d91dfc-8078-414d-b42b-f9e00b4768c3	CRAC_FAN
a77dd9bc-73db-48f1-b389-6c3c67a923da	269485ef-2413-4433-b68c-04580503ddf7	CHILLER
a77dd9bc-73db-48f1-b389-6c3c67a923da	3b3fc132-cfdc-49cc-aa40-5c6a97f898ff	AIR_COOLED_CHILLER
a77dd9bc-73db-48f1-b389-6c3c67a923da	3ae10f6d-dfe2-48d5-b2ba-6780511b8de9	COOLING_TOWER
a77dd9bc-73db-48f1-b389-6c3c67a923da	7f8c0741-0505-4aa1-a435-46d287ea35d3	DRY_COOLER
a77dd9bc-73db-48f1-b389-6c3c67a923da	14509842-298d-4b1c-9cdf-1b912ff8b44b	REMOTE_CONDENSER
a77dd9bc-73db-48f1-b389-6c3c67a923da	c4240317-031a-42ca-88ea-6c4a0f1dc4f9	CHILLED_WATER_PUMPS
a77dd9bc-73db-48f1-b389-6c3c67a923da	085e6ec6-38ff-40f7-a0cc-9193c92652ed	HEAT_REJECTION_PUMPS
a77dd9bc-73db-48f1-b389-6c3c67a923da	e51f5594-d976-4a9c-bad3-2b96494b8c4f	VENTILATION
a77dd9bc-73db-48f1-b389-6c3c67a923da	6df2876a-0804-4f92-8ec6-986a4c962c5e	INFILTRATION
a77dd9bc-73db-48f1-b389-6c3c67a923da	c34c972f-ac44-42c2-a712-901101fcab6e	IT_LOAD
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	c8277d9c-c220-4424-9afc-44c926b2f1c0	SWITCHGEAR
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	9920d4d7-883f-4a2e-8a62-0ada6ccd5e83	GENERATOR
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	274ed4db-0d5a-4ebe-9354-fad129373a9d	PRIMARY_AUXILIARIES
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	1af41a36-eed4-410b-94f2-384bdc46ca47	UPS
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	c471c819-3855-45f2-9c45-bff2954e6cb2	CRITICAL_AUXILIARIES
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	1612d34d-c7f4-4f57-9719-d5ad731baec0	LIGHTING
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	b03cdb57-093c-417b-98ca-35d50992a09a	CRITICAL_POWER_DISTRIBUTION
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	68c5f51c-5fd9-415a-9b33-6744206c98ec	CRAH
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	4681ca98-12fc-48d7-950f-42e673500822	CRAC
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	9899ebdb-47c8-4d91-8d23-9cf445612185	CRAC_WITHOUT_FAN
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	f3a42ae2-fa65-42a6-8d47-5d8a597b72b8	CRAC_FAN
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	a644b121-5d33-4207-abf2-5725b10f6017	CHILLER
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	15fec134-e717-41e4-8478-4064cc5c6992	AIR_COOLED_CHILLER
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	9213eb23-1858-4672-ab1f-a6c5b9f8f6de	COOLING_TOWER
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	c28409b2-01fa-4cca-a5a6-56bfce7de1e0	DRY_COOLER
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	d51ed23b-dd8c-4915-ac8c-bf0fa8b57ed5	REMOTE_CONDENSER
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	285ab6b1-2b62-4b62-9f43-c51e5a0652c8	CHILLED_WATER_PUMPS
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	05fa51bb-7000-432b-adaf-7d39a1ec9437	HEAT_REJECTION_PUMPS
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	e8801c7b-fc65-4726-903e-9ed59ff498f0	VENTILATION
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	176f864c-b293-49cf-bd35-288a252cff62	INFILTRATION
7a9ae3b9-9e60-41b8-830a-619eb4bf44c2	e6101211-86cb-4795-973b-82b3d079973b	IT_LOAD
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	060498e2-cc44-4b6d-86f4-f2447ec95e50	SWITCHGEAR
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	8895f9ca-7795-4c01-a523-4a2f8e8cc0fc	GENERATOR
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	56d85209-152f-4c10-b8fe-b95474d79273	PRIMARY_AUXILIARIES
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	e5173fd8-7c70-44a3-aec5-fd266ed78b19	UPS
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	bffb436e-04fb-438a-b6cd-e7301c7489ef	CRITICAL_AUXILIARIES
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	65aff8a9-dded-43cd-927e-ba5c6790d046	LIGHTING
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	55fd0c2e-9cfb-477e-8e56-57f827387014	CRITICAL_POWER_DISTRIBUTION
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	aeef0132-d376-41a1-8368-d5ecec0d493d	CRAH
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	ac033d7a-ff9e-4098-9477-04bd22b43e9c	CRAC
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	1c6770eb-3ea2-4f2c-b04a-f575d136906f	CRAC_WITHOUT_FAN
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	61c44905-7a5e-45d2-809e-422f19544684	CRAC_FAN
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	28e73661-854c-46bb-a1ca-f6114d4635bb	CHILLER
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	565015d6-cc33-45a5-8991-c2ad16bcae54	AIR_COOLED_CHILLER
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	595d698d-67e6-4944-89a3-602065c059be	COOLING_TOWER
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	5bffe8a5-9109-49bb-909c-2863bb42bf2f	DRY_COOLER
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	24a696a1-348f-40b8-922b-29ed917ed0b0	REMOTE_CONDENSER
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	03228423-2195-4683-ba67-75ce0e405976	CHILLED_WATER_PUMPS
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	2ee63ed3-e062-4c8b-adb9-651eda69492d	HEAT_REJECTION_PUMPS
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	41d444d9-c18e-427f-a716-094c8d2b0e6c	VENTILATION
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	5b82d5a0-7ae1-4263-9f79-8323f4123422	INFILTRATION
29db95fb-ead7-4282-8ad7-ae1c0ed3630b	1fbebf8b-7fde-42ec-9945-edf242b4ef35	IT_LOAD
d1f845a2-26d9-41bf-b2f9-8d0849001076	15206848-e4be-44d2-b153-348dabce567b	SWITCHGEAR
d1f845a2-26d9-41bf-b2f9-8d0849001076	51c2e163-8c61-4168-a03b-0c8c5892f1cd	GENERATOR
d1f845a2-26d9-41bf-b2f9-8d0849001076	434f0558-aa1c-402e-9840-f9f3689a876a	PRIMARY_AUXILIARIES
d1f845a2-26d9-41bf-b2f9-8d0849001076	c545e7c0-e539-4eda-adb4-8a56e22abbe4	UPS
d1f845a2-26d9-41bf-b2f9-8d0849001076	dc3d9078-a3ec-4d9a-acfe-b369eecb92b6	CRITICAL_AUXILIARIES
d1f845a2-26d9-41bf-b2f9-8d0849001076	63abd168-9b66-4aac-bd3b-c465be80224f	LIGHTING
d1f845a2-26d9-41bf-b2f9-8d0849001076	0aac6bc8-a4c2-4b00-881e-9b64011a0fc2	CRITICAL_POWER_DISTRIBUTION
d1f845a2-26d9-41bf-b2f9-8d0849001076	0f4560c4-56d9-41a1-aea3-fab220be8755	CRAH
d1f845a2-26d9-41bf-b2f9-8d0849001076	0cae43f4-6ea2-4196-b3b2-2a6daea971d4	CRAC
d1f845a2-26d9-41bf-b2f9-8d0849001076	568668ce-818c-47f0-9767-c47687bb6889	CRAC_WITHOUT_FAN
d1f845a2-26d9-41bf-b2f9-8d0849001076	5611027e-64da-4f32-b79f-01f3b0d6985a	CRAC_FAN
d1f845a2-26d9-41bf-b2f9-8d0849001076	8b2c09b3-3eeb-4df8-be63-4e2e4b92a6d2	CHILLER
d1f845a2-26d9-41bf-b2f9-8d0849001076	16030026-ccff-4c34-8755-0b09beb74d4a	AIR_COOLED_CHILLER
d1f845a2-26d9-41bf-b2f9-8d0849001076	a135bf6e-6106-4b32-b41e-452af256239e	COOLING_TOWER
d1f845a2-26d9-41bf-b2f9-8d0849001076	e2372d97-8047-415b-89de-798047104fb7	DRY_COOLER
d1f845a2-26d9-41bf-b2f9-8d0849001076	944e72bc-8e57-49a8-b398-17c1fd6eaf36	REMOTE_CONDENSER
d1f845a2-26d9-41bf-b2f9-8d0849001076	cd5e3601-c686-42b6-b16a-4effe50c0ab1	CHILLED_WATER_PUMPS
d1f845a2-26d9-41bf-b2f9-8d0849001076	d0d3856c-ce0a-41b1-95b0-79ddc3337633	HEAT_REJECTION_PUMPS
d1f845a2-26d9-41bf-b2f9-8d0849001076	a8d7ea4f-69b1-45ad-b9f7-bb1073133479	VENTILATION
d1f845a2-26d9-41bf-b2f9-8d0849001076	76b87579-abf1-4c9e-bb2f-eb9e012d28c5	INFILTRATION
d1f845a2-26d9-41bf-b2f9-8d0849001076	cbce88ff-cbf3-49b8-9050-6039d4ebcbf5	IT_LOAD
48b3e88f-e145-4b6d-9b32-15425c9c8e27	bd1d0a69-624d-4499-a67b-410235fe4bfd	SWITCHGEAR
48b3e88f-e145-4b6d-9b32-15425c9c8e27	684ad323-dca4-493b-9630-85cd5ef0c6fc	GENERATOR
48b3e88f-e145-4b6d-9b32-15425c9c8e27	3d6f7deb-5993-4de0-a0e6-9519981bc81b	PRIMARY_AUXILIARIES
48b3e88f-e145-4b6d-9b32-15425c9c8e27	b85f1724-fe1f-463f-b9d5-583c4d4dcd24	UPS
48b3e88f-e145-4b6d-9b32-15425c9c8e27	37187a8e-be9b-431c-b6d1-fee0433c7436	CRITICAL_AUXILIARIES
48b3e88f-e145-4b6d-9b32-15425c9c8e27	55749945-ee14-40e9-8740-3ff14f18c522	LIGHTING
48b3e88f-e145-4b6d-9b32-15425c9c8e27	5f3f21ee-8407-4ed6-8c3d-4242267aa132	CRITICAL_POWER_DISTRIBUTION
48b3e88f-e145-4b6d-9b32-15425c9c8e27	dd69e50b-5b92-4568-ab61-c1470ca22f12	CRAH
48b3e88f-e145-4b6d-9b32-15425c9c8e27	062ff0ec-6fa8-4059-bca7-8bb5644ecddd	CRAC
48b3e88f-e145-4b6d-9b32-15425c9c8e27	c3252735-2691-435d-9958-a9490014b5d3	CRAC_WITHOUT_FAN
48b3e88f-e145-4b6d-9b32-15425c9c8e27	b56e7664-1759-482d-aefd-a768c121fee3	CRAC_FAN
48b3e88f-e145-4b6d-9b32-15425c9c8e27	98a4c222-b5d9-41f4-90c2-f6292d58ce9f	CHILLER
48b3e88f-e145-4b6d-9b32-15425c9c8e27	e1252642-77d0-4f68-8999-13c67de3ed54	AIR_COOLED_CHILLER
48b3e88f-e145-4b6d-9b32-15425c9c8e27	60dc2912-9da1-4b29-8ad0-63bd8619185d	COOLING_TOWER
48b3e88f-e145-4b6d-9b32-15425c9c8e27	4b99d1b2-5018-4888-bfaa-f4806308cc60	DRY_COOLER
48b3e88f-e145-4b6d-9b32-15425c9c8e27	44630188-912b-4203-939f-d24e3d5e5df4	REMOTE_CONDENSER
48b3e88f-e145-4b6d-9b32-15425c9c8e27	92b20f8b-4038-42d2-956b-4adf93313fa9	CHILLED_WATER_PUMPS
48b3e88f-e145-4b6d-9b32-15425c9c8e27	86f68c38-2547-4cbe-84a6-a72c0ad2dde3	HEAT_REJECTION_PUMPS
48b3e88f-e145-4b6d-9b32-15425c9c8e27	eed047c2-ac3b-4c3d-a423-3791a9abaac9	VENTILATION
48b3e88f-e145-4b6d-9b32-15425c9c8e27	ab2e4b08-4663-421a-8e83-83f29354346c	INFILTRATION
48b3e88f-e145-4b6d-9b32-15425c9c8e27	545308af-f059-43f7-abb0-7af602cbaad0	IT_LOAD
e65127f3-244a-4986-9ea8-e44a50d3e96c	a114f94b-025d-4ff1-8368-5fdb615d1fc5	SWITCHGEAR
e65127f3-244a-4986-9ea8-e44a50d3e96c	e3b7a442-b41b-4d57-a42f-cf21f42f1cfd	GENERATOR
e65127f3-244a-4986-9ea8-e44a50d3e96c	01ce8a50-fbc7-4cd9-a5f0-5700357c2d10	PRIMARY_AUXILIARIES
e65127f3-244a-4986-9ea8-e44a50d3e96c	6bdb6df5-ba49-44f5-8da8-e942dda26b5f	UPS
e65127f3-244a-4986-9ea8-e44a50d3e96c	9f57eae7-f36e-49e2-b5cc-5bd977479194	CRITICAL_AUXILIARIES
e65127f3-244a-4986-9ea8-e44a50d3e96c	72dfb161-bfe9-4e4c-b1a1-293fd08fc8eb	LIGHTING
e65127f3-244a-4986-9ea8-e44a50d3e96c	d0814a69-1e3c-438c-8896-81557d54d92b	CRITICAL_POWER_DISTRIBUTION
e65127f3-244a-4986-9ea8-e44a50d3e96c	fdea2b17-9186-49d3-b7e4-26f76d118917	CRAH
e65127f3-244a-4986-9ea8-e44a50d3e96c	8d4ed7da-3660-4d27-85af-7a8c4a971629	CRAC
e65127f3-244a-4986-9ea8-e44a50d3e96c	b2b8ed1c-145a-4f40-8568-84d80025e92a	CRAC_WITHOUT_FAN
e65127f3-244a-4986-9ea8-e44a50d3e96c	8f5de2a8-f5d1-44f7-abf9-855c9f1f0965	CRAC_FAN
e65127f3-244a-4986-9ea8-e44a50d3e96c	71ee7215-0e91-485d-aded-f6f71d88f42b	CHILLER
e65127f3-244a-4986-9ea8-e44a50d3e96c	6a911a67-ecc2-444b-b8ae-5655e5e8eda5	AIR_COOLED_CHILLER
e65127f3-244a-4986-9ea8-e44a50d3e96c	5874ca0b-af3b-4f0d-8252-bf618e6d2db2	COOLING_TOWER
e65127f3-244a-4986-9ea8-e44a50d3e96c	92af938c-ad32-439b-a6ee-fdb0a199d98f	DRY_COOLER
e65127f3-244a-4986-9ea8-e44a50d3e96c	32eca5b9-dae6-49bc-a0f0-cb7355fd7563	REMOTE_CONDENSER
e65127f3-244a-4986-9ea8-e44a50d3e96c	f94664f7-c163-40f8-abf5-f49a79e6cea9	CHILLED_WATER_PUMPS
e65127f3-244a-4986-9ea8-e44a50d3e96c	86e534c8-f7bf-416f-b5cb-d782a6924a07	HEAT_REJECTION_PUMPS
e65127f3-244a-4986-9ea8-e44a50d3e96c	454777bf-cce0-4ac6-8fad-81e608fecc2a	VENTILATION
e65127f3-244a-4986-9ea8-e44a50d3e96c	b305469a-197f-4ab9-a23d-8483c987933d	INFILTRATION
e65127f3-244a-4986-9ea8-e44a50d3e96c	b4a376fd-22ca-4112-b4c6-e3fc394cef7b	IT_LOAD
954ecb62-6441-4cc4-9e36-882de344459a	547dd1e3-59a6-48c7-8749-df64d7e409f9	SWITCHGEAR
954ecb62-6441-4cc4-9e36-882de344459a	690f0351-cb67-41a8-9e28-7539cff9b05f	GENERATOR
954ecb62-6441-4cc4-9e36-882de344459a	40edcba3-5c25-43c2-aac3-3760ec91c9eb	PRIMARY_AUXILIARIES
954ecb62-6441-4cc4-9e36-882de344459a	fb051e12-8838-4972-8a62-7a02062fc5ee	UPS
954ecb62-6441-4cc4-9e36-882de344459a	165cfe73-88e7-4f8b-a21c-7aeab20b0059	CRITICAL_AUXILIARIES
954ecb62-6441-4cc4-9e36-882de344459a	45125c55-e3a9-4968-ab9f-86e86203f37e	LIGHTING
954ecb62-6441-4cc4-9e36-882de344459a	ed23926d-2c9c-4b3d-a851-634ee42aa821	CRITICAL_POWER_DISTRIBUTION
954ecb62-6441-4cc4-9e36-882de344459a	48de867f-7ab2-4d3e-812a-07316e2da82c	CRAH
954ecb62-6441-4cc4-9e36-882de344459a	00013f1b-c3e1-49aa-9839-272992fa678d	CRAC
954ecb62-6441-4cc4-9e36-882de344459a	d0bcf925-c5b1-4002-8b16-866a7d0bd15a	CRAC_WITHOUT_FAN
954ecb62-6441-4cc4-9e36-882de344459a	dd27f8d4-25d4-4975-a306-3531171c821f	CRAC_FAN
954ecb62-6441-4cc4-9e36-882de344459a	23aaca40-c55a-4ee9-a8b5-832253c19e86	CHILLER
954ecb62-6441-4cc4-9e36-882de344459a	b4b2b5d0-e63f-4ee8-a48f-4f24b1ae986d	AIR_COOLED_CHILLER
954ecb62-6441-4cc4-9e36-882de344459a	6f89da73-002f-4bea-8138-6a215b9fc747	COOLING_TOWER
954ecb62-6441-4cc4-9e36-882de344459a	0dcf95e1-c208-4c76-844b-dd41b24bb35a	DRY_COOLER
954ecb62-6441-4cc4-9e36-882de344459a	26daef19-954e-445d-a587-a92cf98f43b0	REMOTE_CONDENSER
954ecb62-6441-4cc4-9e36-882de344459a	526d2e2c-f08d-4172-962c-c05a117133a5	CHILLED_WATER_PUMPS
954ecb62-6441-4cc4-9e36-882de344459a	fa6710d4-303c-41db-bd5c-82796fc62d52	HEAT_REJECTION_PUMPS
954ecb62-6441-4cc4-9e36-882de344459a	a3e19382-6d46-4269-9891-10c5a46a2aa1	VENTILATION
954ecb62-6441-4cc4-9e36-882de344459a	6069ecf8-e75c-4f2f-9f2f-a04a91ef8eb8	INFILTRATION
954ecb62-6441-4cc4-9e36-882de344459a	bdfe3afa-5482-4f42-ae3f-dfe92c48f1a5	IT_LOAD
b476251c-9b9d-4044-a903-cfdb0b020da4	b8b90922-716b-4571-b12b-f27cac8d15af	SWITCHGEAR
b476251c-9b9d-4044-a903-cfdb0b020da4	e20b77a5-c713-4e1d-a925-2c4acdbd2f34	GENERATOR
b476251c-9b9d-4044-a903-cfdb0b020da4	6c80f489-a1bd-46cf-8de9-d8315ab0ae6f	PRIMARY_AUXILIARIES
b476251c-9b9d-4044-a903-cfdb0b020da4	0bd74570-e611-4c84-8ad7-db8abfa09a05	UPS
b476251c-9b9d-4044-a903-cfdb0b020da4	49bc024b-6245-4044-932e-0c048ea92614	CRITICAL_AUXILIARIES
b476251c-9b9d-4044-a903-cfdb0b020da4	e1f30bac-1cf3-4855-8cce-371e2ea8ed65	LIGHTING
b476251c-9b9d-4044-a903-cfdb0b020da4	2f829640-77e3-438b-b7ce-e1d834868662	CRITICAL_POWER_DISTRIBUTION
b476251c-9b9d-4044-a903-cfdb0b020da4	2560e193-ac59-4d3c-a24d-597971cf5690	CRAH
b476251c-9b9d-4044-a903-cfdb0b020da4	9da53ab1-8aa8-4bfb-9ef6-3b843ab1f31d	CRAC
b476251c-9b9d-4044-a903-cfdb0b020da4	d3af72e5-35bb-426b-95a2-9a4a082669ab	CRAC_WITHOUT_FAN
b476251c-9b9d-4044-a903-cfdb0b020da4	b6cd3e1f-c966-4844-b727-5fac041f47a5	CRAC_FAN
b476251c-9b9d-4044-a903-cfdb0b020da4	e6d82179-ef7a-4087-9a0d-8f5f7b640aa2	CHILLER
b476251c-9b9d-4044-a903-cfdb0b020da4	b273ae7f-e149-4519-a6ef-0c5b0f5ac9cd	AIR_COOLED_CHILLER
b476251c-9b9d-4044-a903-cfdb0b020da4	e25b0ee4-0137-4c5c-99dc-7b201eaafb31	COOLING_TOWER
b476251c-9b9d-4044-a903-cfdb0b020da4	51bb6871-a737-4486-857f-d9475b6b5676	DRY_COOLER
b476251c-9b9d-4044-a903-cfdb0b020da4	24099fd4-ee05-4345-87c9-e3ac8c32ff97	REMOTE_CONDENSER
b476251c-9b9d-4044-a903-cfdb0b020da4	e80438ce-cf3a-4b9c-be56-7c567fd84fab	CHILLED_WATER_PUMPS
b476251c-9b9d-4044-a903-cfdb0b020da4	08bf7490-86ec-4e7b-93d7-48ad75177241	HEAT_REJECTION_PUMPS
b476251c-9b9d-4044-a903-cfdb0b020da4	7df0a2fe-b7cb-4494-b353-a5ecdd31eced	VENTILATION
b476251c-9b9d-4044-a903-cfdb0b020da4	2261e7ab-3e1b-4c22-8fc1-7f4cb833a017	INFILTRATION
b476251c-9b9d-4044-a903-cfdb0b020da4	39aeeba6-037c-4a78-9329-238c33ca2845	IT_LOAD
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	53ef404a-7949-4ab9-81cf-a752a7561a6c	SWITCHGEAR
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	ed092e97-02fa-41d2-aee7-f557e14549e2	GENERATOR
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	e66ace1c-1436-4f6c-a8d6-2816475ac2b1	PRIMARY_AUXILIARIES
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	91038578-4261-44cc-9992-6e7c1c5d4737	UPS
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	f4640c4b-1087-4c13-939e-bf82df4d0b6a	CRITICAL_AUXILIARIES
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	2382e3ca-33b5-4b1e-b18f-c7a5e0d5080b	LIGHTING
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	c2fb0452-a9b9-48ad-86d5-7437bf3479c3	CRITICAL_POWER_DISTRIBUTION
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	00ca41f5-c6d9-4e1f-8ba0-7fafbd82d2c5	CRAH
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	e19e1a31-2e25-4db4-84ee-8c87232e0d94	CRAC
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	28ceba4a-6c29-4319-a3ba-9366455db95f	CRAC_WITHOUT_FAN
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	39a23f05-9542-47a9-9aea-5dec893b6ae0	CRAC_FAN
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	32e7ca6c-7813-4f83-bf81-fc66016bf33f	CHILLER
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	c29a4976-a80a-4003-bf08-2769fa6e871e	AIR_COOLED_CHILLER
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	436c7a1a-57fc-4749-9ae1-f75312965141	COOLING_TOWER
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	1d7a397c-3a7a-4a61-a880-32669f968423	DRY_COOLER
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	a7ad41b3-26a1-4913-bfd4-e9b5d28e8241	REMOTE_CONDENSER
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	d3767e23-f5e9-45f0-971b-f7d8df290dfd	CHILLED_WATER_PUMPS
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	d28c2b10-e595-4436-8d9d-3a04544034eb	HEAT_REJECTION_PUMPS
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	468e10b6-282c-4f58-a17f-316acc6ea188	VENTILATION
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	408c0dec-7124-489d-bfc7-0fcf536e4e9d	INFILTRATION
373c7891-f6ec-4095-8c4b-3cc8e843ceb4	18dd377e-19df-4228-bd86-0bc23bd2a67f	IT_LOAD
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	a5009764-aa9a-46c4-b363-6e353382cf35	SWITCHGEAR
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	200ea45a-3375-473d-9471-3550170373e9	GENERATOR
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	ab7d6850-decb-492e-9b88-6470050c123a	PRIMARY_AUXILIARIES
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	aa0c0845-8f65-4108-bea2-bde9305b97f2	UPS
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	4410c12e-8bb0-44b2-966b-a4dafc9b2c87	CRITICAL_AUXILIARIES
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	0cafdaac-bfc4-4718-afcf-df4fa0332cc4	LIGHTING
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	90ffbfb1-f730-4c42-a4a5-1d47d6b413be	CRITICAL_POWER_DISTRIBUTION
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	a9b327f6-5958-45f6-ba3f-51ce2bf5ba23	CRAH
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	f599e7ab-9db8-4b29-ad39-9ef06efee93d	CRAC
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	8fe2943c-f7b2-4a53-8516-105762cec11f	CRAC_WITHOUT_FAN
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	96642c75-f2dd-4beb-8fb6-a6f388b41cf9	CRAC_FAN
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	60c40e00-eccb-466d-8e65-b132e5b92e8f	CHILLER
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	b4db45dc-cf24-47d2-97a5-92dc8595910a	AIR_COOLED_CHILLER
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	b0a04b11-bbd0-485b-850e-6192e5a2c6a3	COOLING_TOWER
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	16021a96-cc36-4598-93bd-044688962348	DRY_COOLER
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	26048170-a6a4-4ce0-b07b-b3df209bf9ca	REMOTE_CONDENSER
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	13a73d00-c819-4910-9953-54c715202d25	CHILLED_WATER_PUMPS
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	bfbcbbad-96f5-4794-be8b-5a09dc38fa93	HEAT_REJECTION_PUMPS
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	8641237d-9076-4273-9dad-fdfbe2c33381	VENTILATION
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	dbb99893-12b2-4822-a137-d8c918f89d0c	INFILTRATION
e1fc0749-dc15-4341-9351-bb1db6ab3dd6	3912820e-cfe9-4ad4-979e-07dd2effd6a2	IT_LOAD
abfbae9e-585b-455c-83e8-5736e5ef4f9f	af87828d-7aa2-4120-89bc-448c1c5583b5	SWITCHGEAR
abfbae9e-585b-455c-83e8-5736e5ef4f9f	fe42fc9f-ae43-4f20-94e8-1a19f65f0fbc	GENERATOR
abfbae9e-585b-455c-83e8-5736e5ef4f9f	cc6065ea-26d8-47a9-8c79-feb746664580	PRIMARY_AUXILIARIES
abfbae9e-585b-455c-83e8-5736e5ef4f9f	edb78f7c-2069-4e83-a428-6dee0e636444	UPS
abfbae9e-585b-455c-83e8-5736e5ef4f9f	2b4904ac-dabd-4068-8fb1-5528267019de	CRITICAL_AUXILIARIES
abfbae9e-585b-455c-83e8-5736e5ef4f9f	c3c98fdf-fa4b-4963-a288-56c61618cd60	LIGHTING
abfbae9e-585b-455c-83e8-5736e5ef4f9f	2bd2075c-fd25-4f0a-9f56-6e8b441678eb	CRITICAL_POWER_DISTRIBUTION
abfbae9e-585b-455c-83e8-5736e5ef4f9f	5188d58c-c242-4c2a-9935-0bb380c64154	CRAH
abfbae9e-585b-455c-83e8-5736e5ef4f9f	935499b9-7687-43e8-a9db-a37ebe879614	CRAC
abfbae9e-585b-455c-83e8-5736e5ef4f9f	032073d3-41fb-406d-af2a-79087b14c20f	CRAC_WITHOUT_FAN
abfbae9e-585b-455c-83e8-5736e5ef4f9f	3db407f8-b793-4f13-8d51-aed4617f44c3	CRAC_FAN
abfbae9e-585b-455c-83e8-5736e5ef4f9f	20836e15-459b-4f60-9e8c-83464cf1f9fa	CHILLER
abfbae9e-585b-455c-83e8-5736e5ef4f9f	f87c8b0a-5fd3-4b12-8f42-ae5abd8dbb6d	AIR_COOLED_CHILLER
abfbae9e-585b-455c-83e8-5736e5ef4f9f	076e4f9d-5d2f-4a37-8bd0-3eab0272717a	COOLING_TOWER
abfbae9e-585b-455c-83e8-5736e5ef4f9f	17a4ff42-c224-495b-a60c-54685e5ce5ba	DRY_COOLER
abfbae9e-585b-455c-83e8-5736e5ef4f9f	d0d239c2-55ab-44d4-976a-316dd9782289	REMOTE_CONDENSER
abfbae9e-585b-455c-83e8-5736e5ef4f9f	380a77f9-e0d0-4f33-b704-8824eba7c19c	CHILLED_WATER_PUMPS
abfbae9e-585b-455c-83e8-5736e5ef4f9f	57156c39-65d6-4227-ad4e-5128437ffb5a	HEAT_REJECTION_PUMPS
abfbae9e-585b-455c-83e8-5736e5ef4f9f	94cb6a43-22dd-432e-9237-4a95eac2c96f	VENTILATION
abfbae9e-585b-455c-83e8-5736e5ef4f9f	22b382e4-eb8e-4ba4-bb57-c9e560858629	INFILTRATION
abfbae9e-585b-455c-83e8-5736e5ef4f9f	b021875a-5db5-47b6-b8a3-575a6d3350b4	IT_LOAD
28c100bf-61db-491a-b91f-c23c3eebc82e	bd7ee135-6de9-40df-8fae-fbc1fb6b15a9	SWITCHGEAR
28c100bf-61db-491a-b91f-c23c3eebc82e	5f4b89c2-efb5-41f2-9a84-c31661aa9194	GENERATOR
28c100bf-61db-491a-b91f-c23c3eebc82e	7d3e56ad-a0bb-4c16-9b8a-fc70956fc076	PRIMARY_AUXILIARIES
28c100bf-61db-491a-b91f-c23c3eebc82e	8f2b1475-2bbb-4dbc-a0cd-52ddc5c6b8f3	UPS
28c100bf-61db-491a-b91f-c23c3eebc82e	0378379d-0e4f-44a0-bff6-2682980a4764	CRITICAL_AUXILIARIES
28c100bf-61db-491a-b91f-c23c3eebc82e	d8e8a462-74ad-450c-9229-c48fcfcaa7e7	LIGHTING
28c100bf-61db-491a-b91f-c23c3eebc82e	1684f2de-cf4a-448c-a08d-765b4b016739	CRITICAL_POWER_DISTRIBUTION
28c100bf-61db-491a-b91f-c23c3eebc82e	747ce11e-0734-4d6c-bfef-22c8722cf8b0	CRAH
28c100bf-61db-491a-b91f-c23c3eebc82e	9872ac36-2afb-4e57-9fe3-127cc2a64b6d	CRAC
28c100bf-61db-491a-b91f-c23c3eebc82e	f51c71ad-7888-4dfe-a2eb-97009f9dddac	CRAC_WITHOUT_FAN
28c100bf-61db-491a-b91f-c23c3eebc82e	118d87f7-e5b7-4f7a-8d80-425da78244fc	CRAC_FAN
28c100bf-61db-491a-b91f-c23c3eebc82e	36451da3-f61a-408b-a78b-5537640f83fd	CHILLER
28c100bf-61db-491a-b91f-c23c3eebc82e	3b8b98d1-296e-4819-a51b-b557a68778a5	AIR_COOLED_CHILLER
28c100bf-61db-491a-b91f-c23c3eebc82e	bd44b7cc-0e49-47ad-91d3-7cce3fe62808	COOLING_TOWER
28c100bf-61db-491a-b91f-c23c3eebc82e	24b1664e-edea-4435-8194-72f1c38c614a	DRY_COOLER
28c100bf-61db-491a-b91f-c23c3eebc82e	68bc86c7-2b12-4f36-a15d-72902d7f6200	REMOTE_CONDENSER
28c100bf-61db-491a-b91f-c23c3eebc82e	c006495c-1363-4a86-afe3-15235ace143f	CHILLED_WATER_PUMPS
28c100bf-61db-491a-b91f-c23c3eebc82e	d80fdce7-97b5-40ed-9140-2ebaa38e87b7	HEAT_REJECTION_PUMPS
28c100bf-61db-491a-b91f-c23c3eebc82e	3214cba1-0561-48ad-a4c1-6798a6596abb	VENTILATION
28c100bf-61db-491a-b91f-c23c3eebc82e	186a9cfb-e445-44a5-8051-b3d8681e8fe2	INFILTRATION
28c100bf-61db-491a-b91f-c23c3eebc82e	5d708cba-2fa0-43d7-ac4e-be6892af448e	IT_LOAD
8a553d20-26e3-44d4-9130-88255f334580	ff576467-5a91-439b-9fc5-d4999e60b450	SWITCHGEAR
8a553d20-26e3-44d4-9130-88255f334580	bd815250-567e-47ec-92f6-ffd2acc92316	GENERATOR
8a553d20-26e3-44d4-9130-88255f334580	09810f36-a15f-4b25-a9bc-cc1fc056eea5	PRIMARY_AUXILIARIES
8a553d20-26e3-44d4-9130-88255f334580	bb473f0a-44a6-47b9-bf5f-26d4d700f1b0	UPS
8a553d20-26e3-44d4-9130-88255f334580	357cff54-3889-4435-93b5-97558a705465	CRITICAL_AUXILIARIES
8a553d20-26e3-44d4-9130-88255f334580	0b05c1f5-c1db-49eb-abc4-ff8cde523c2f	LIGHTING
8a553d20-26e3-44d4-9130-88255f334580	914147b0-c7db-4c97-9cb8-569d34f023c5	CRITICAL_POWER_DISTRIBUTION
8a553d20-26e3-44d4-9130-88255f334580	c1c3accb-bd6b-4482-863b-eee0c487a62d	CRAH
8a553d20-26e3-44d4-9130-88255f334580	14d2d003-0114-43f5-8467-d83f03d95b1b	CRAC
8a553d20-26e3-44d4-9130-88255f334580	58eea670-a0b3-4b3c-9831-02078d88889b	CRAC_WITHOUT_FAN
8a553d20-26e3-44d4-9130-88255f334580	6222fc13-efec-4856-be10-f04d01626966	CRAC_FAN
8a553d20-26e3-44d4-9130-88255f334580	5d55669e-4da4-4854-b6a0-5fe5b9b2d316	CHILLER
8a553d20-26e3-44d4-9130-88255f334580	035eaaaa-c2fb-4853-b9ad-067be21231e1	AIR_COOLED_CHILLER
8a553d20-26e3-44d4-9130-88255f334580	a8befe26-47a4-423b-b4aa-c6fcd14bce70	COOLING_TOWER
8a553d20-26e3-44d4-9130-88255f334580	2c39cf78-9cdb-44d8-82be-1e56976f112a	DRY_COOLER
8a553d20-26e3-44d4-9130-88255f334580	43238b5a-f303-4151-bd30-4e7293137b88	REMOTE_CONDENSER
8a553d20-26e3-44d4-9130-88255f334580	e5b68fb4-b398-46f1-8b70-f36cdc741077	CHILLED_WATER_PUMPS
8a553d20-26e3-44d4-9130-88255f334580	45503612-f0b6-47d3-9ce2-e6ad057be80f	HEAT_REJECTION_PUMPS
8a553d20-26e3-44d4-9130-88255f334580	22ab32d1-6766-4031-9ae9-a95097fb4b65	VENTILATION
8a553d20-26e3-44d4-9130-88255f334580	211b0989-f694-4d9c-bcbc-0de0ef5cb659	INFILTRATION
8a553d20-26e3-44d4-9130-88255f334580	3968a4ea-5586-4b15-bc16-487f6ff94d52	IT_LOAD
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	39727d1a-de8b-40a7-8df7-86ded121b8c1	SWITCHGEAR
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	10fd9a7d-4d11-4b36-8bb5-c99ab880bce9	GENERATOR
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	9223ffe7-f6e8-4d91-95c4-44dcff1cc816	PRIMARY_AUXILIARIES
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	d8ef6155-1010-452b-8924-3cd6423e07cb	UPS
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	753c0ddd-0a13-4465-ab31-d38159f25c10	CRITICAL_AUXILIARIES
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	5e0df4ec-ed2c-4c8b-a433-17e664ff7dc5	LIGHTING
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	485a3d09-e53a-400d-b76e-04108969d357	CRITICAL_POWER_DISTRIBUTION
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	d8f151c0-4563-4f96-8ca0-506fd66f6e04	CRAH
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	293842d2-96aa-4f58-ba00-d29afc8c48c9	CRAC
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	ef620f33-40cb-42da-a7fc-e7bf7e4b265e	CRAC_WITHOUT_FAN
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	5fa0b7a1-dc5f-4f7f-a1c3-8f3a855216c3	CRAC_FAN
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	83e9563d-051d-4a2e-892d-c6c6047420ad	CHILLER
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	ee6ee8e6-9608-4361-ad43-234154b387f5	AIR_COOLED_CHILLER
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	cee8fbff-36ed-44b2-958f-a614ba9105b2	COOLING_TOWER
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	0c0572a0-1cbe-43a8-89a3-22bf5d0659c7	DRY_COOLER
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	466e7c06-cb9d-4a62-a33f-feb80fcf5bbf	REMOTE_CONDENSER
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	42ecf219-30ef-4b40-84f3-36f428b4c9e2	CHILLED_WATER_PUMPS
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	05adca8c-b771-4a80-8e84-750e645e19ac	HEAT_REJECTION_PUMPS
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	c9b1b1c1-54a0-428f-b4a2-22fd6389adb4	VENTILATION
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	25e1d1a6-c8ea-490a-9b5c-d08d61cdf94a	INFILTRATION
aa47b225-dd9d-4c89-9fd2-bea4e78bdc4a	ef1bffb8-7435-4f6f-b5d1-0e1ec0ddb5e2	IT_LOAD
3075d499-0169-4cf8-b472-59d58281de25	ef253872-1a28-45e5-9a6d-8752564b8e0f	SWITCHGEAR
3075d499-0169-4cf8-b472-59d58281de25	dc051221-8380-4d0b-82bb-4ec4a763bc3a	GENERATOR
3075d499-0169-4cf8-b472-59d58281de25	00559fe7-a7d7-456a-b34a-3a7f1ade4a2e	PRIMARY_AUXILIARIES
3075d499-0169-4cf8-b472-59d58281de25	a9dc36bc-5fc8-4a20-bb5e-cab8e6435d7d	UPS
3075d499-0169-4cf8-b472-59d58281de25	114b849c-85cf-496a-9778-c55e452802c5	CRITICAL_AUXILIARIES
3075d499-0169-4cf8-b472-59d58281de25	4d3248de-8c2f-459e-8bc8-15127740976d	LIGHTING
3075d499-0169-4cf8-b472-59d58281de25	295d2e9a-5a6d-4e01-a5d5-98d7e515c07d	CRITICAL_POWER_DISTRIBUTION
3075d499-0169-4cf8-b472-59d58281de25	6557f45d-4928-435a-99ad-67b5e76ed626	CRAH
3075d499-0169-4cf8-b472-59d58281de25	9cd3a2a2-2781-48af-84a7-9a18093c1682	CRAC
3075d499-0169-4cf8-b472-59d58281de25	32e85ed5-249f-4407-bff5-57bb7aaae010	CRAC_WITHOUT_FAN
3075d499-0169-4cf8-b472-59d58281de25	3d3cd910-de00-4b7f-974a-94b15d4db2e7	CRAC_FAN
3075d499-0169-4cf8-b472-59d58281de25	af1f5d74-0b13-4b61-880c-b7bc931794cd	CHILLER
3075d499-0169-4cf8-b472-59d58281de25	b2cd42a9-8e80-4c25-8097-448de197709c	AIR_COOLED_CHILLER
3075d499-0169-4cf8-b472-59d58281de25	07dd3ab9-9264-41d5-be75-5bb92f8afa90	COOLING_TOWER
3075d499-0169-4cf8-b472-59d58281de25	e4369a71-1d97-4942-b5b8-292c2076c82e	DRY_COOLER
3075d499-0169-4cf8-b472-59d58281de25	57d16611-cf1b-4400-9682-3fa2e125ecd4	REMOTE_CONDENSER
3075d499-0169-4cf8-b472-59d58281de25	5857996d-72fd-4169-8f79-a45724e5a9da	CHILLED_WATER_PUMPS
3075d499-0169-4cf8-b472-59d58281de25	f8cc9489-8ff8-4ba5-b223-071a116c2064	HEAT_REJECTION_PUMPS
3075d499-0169-4cf8-b472-59d58281de25	e9602813-4b7e-4680-a56a-b27625b3a6da	VENTILATION
3075d499-0169-4cf8-b472-59d58281de25	c9ce9f3c-fc96-4e6a-bb37-ea7663b97c7e	INFILTRATION
3075d499-0169-4cf8-b472-59d58281de25	a7064ec7-3e76-495c-896a-85b7468a6c2e	IT_LOAD
c416ccd5-af67-4e64-974f-d5032af997da	39854e74-9814-42ff-9e45-0888dc0ae452	SWITCHGEAR
c416ccd5-af67-4e64-974f-d5032af997da	421692f6-39a1-4b6c-9ad1-87fab80760d2	GENERATOR
c416ccd5-af67-4e64-974f-d5032af997da	e53174e6-6189-427c-90a6-b80ab01c78b9	PRIMARY_AUXILIARIES
c416ccd5-af67-4e64-974f-d5032af997da	f0286dc1-8f9a-4010-ac92-f690167e2ac1	UPS
c416ccd5-af67-4e64-974f-d5032af997da	3d8bba11-ebef-464e-a16a-e6192d1b1b3e	CRITICAL_AUXILIARIES
c416ccd5-af67-4e64-974f-d5032af997da	fec612ab-c736-4856-a1db-69f8a3a852e2	LIGHTING
c416ccd5-af67-4e64-974f-d5032af997da	917bb6b2-9bc4-4f82-a558-07bd40b49c51	CRITICAL_POWER_DISTRIBUTION
c416ccd5-af67-4e64-974f-d5032af997da	492dfb5a-eab6-40ad-b866-79121ad9d826	CRAH
c416ccd5-af67-4e64-974f-d5032af997da	bd4fbd5b-0296-42a5-a818-f975990ff979	CRAC
c416ccd5-af67-4e64-974f-d5032af997da	653ea801-da4d-468f-9bd4-5136a1f1e265	CRAC_WITHOUT_FAN
c416ccd5-af67-4e64-974f-d5032af997da	b6bdd433-0a40-402e-bc24-f1c423f5bcce	CRAC_FAN
c416ccd5-af67-4e64-974f-d5032af997da	62beaf3c-78bc-4591-93ef-714c55df4bf0	CHILLER
c416ccd5-af67-4e64-974f-d5032af997da	6426d7fb-d3cc-48db-9655-f09a25fd19c4	AIR_COOLED_CHILLER
c416ccd5-af67-4e64-974f-d5032af997da	38debe06-9b27-4478-9960-a51fa691c275	COOLING_TOWER
c416ccd5-af67-4e64-974f-d5032af997da	b0af25a1-e1fe-4595-917e-74715e7e772e	DRY_COOLER
c416ccd5-af67-4e64-974f-d5032af997da	dc544bfc-7f95-45d4-8c0e-47713bd2188e	REMOTE_CONDENSER
c416ccd5-af67-4e64-974f-d5032af997da	6b51d088-8295-4a5a-b3e4-b90396fed8c1	CHILLED_WATER_PUMPS
c416ccd5-af67-4e64-974f-d5032af997da	0895a3c8-b4f5-4962-8f79-4af49cf2ef72	HEAT_REJECTION_PUMPS
c416ccd5-af67-4e64-974f-d5032af997da	041a72b0-470a-4ecd-8412-96710b00f650	VENTILATION
c416ccd5-af67-4e64-974f-d5032af997da	c87ba920-ec29-4301-be18-2183ab20ad7e	INFILTRATION
c416ccd5-af67-4e64-974f-d5032af997da	832d0bf8-5deb-4232-b1dc-a085e9dbc167	IT_LOAD
baaec938-7c0d-4457-8c08-e3ad1aac3345	194dc852-92dc-43e1-8173-10eeaffe1b16	SWITCHGEAR
baaec938-7c0d-4457-8c08-e3ad1aac3345	924c415c-69fb-4f92-8217-ee22fe28405c	GENERATOR
baaec938-7c0d-4457-8c08-e3ad1aac3345	9e91a15b-8be4-4b8e-8812-955a90ec251c	PRIMARY_AUXILIARIES
baaec938-7c0d-4457-8c08-e3ad1aac3345	62debc1c-51ba-4418-9a94-062358bdeaa9	UPS
baaec938-7c0d-4457-8c08-e3ad1aac3345	71f8c383-9309-436d-ab45-a8e9d75efaef	CRITICAL_AUXILIARIES
baaec938-7c0d-4457-8c08-e3ad1aac3345	45ef8ec4-d43e-4645-be14-0eeecf596932	LIGHTING
baaec938-7c0d-4457-8c08-e3ad1aac3345	a93c827c-e652-4c97-8138-2c15f965bbaf	CRITICAL_POWER_DISTRIBUTION
baaec938-7c0d-4457-8c08-e3ad1aac3345	9da74029-ab5b-4a23-9673-379987e2ac73	CRAH
baaec938-7c0d-4457-8c08-e3ad1aac3345	8e752511-0728-43d5-a230-da83433bc756	CRAC
baaec938-7c0d-4457-8c08-e3ad1aac3345	e479869a-194b-4936-a1f8-c3e569763f83	CRAC_WITHOUT_FAN
baaec938-7c0d-4457-8c08-e3ad1aac3345	a08de1ce-88b7-4196-a75a-96c13a7f63fe	CRAC_FAN
baaec938-7c0d-4457-8c08-e3ad1aac3345	bb96359a-367e-47cb-9bd4-50c8982c098b	CHILLER
baaec938-7c0d-4457-8c08-e3ad1aac3345	e60ba5e0-6248-400e-924e-7d603ac9a4d0	AIR_COOLED_CHILLER
baaec938-7c0d-4457-8c08-e3ad1aac3345	63b4564b-de97-41fd-a6c3-71cf3f4ed142	COOLING_TOWER
baaec938-7c0d-4457-8c08-e3ad1aac3345	a4d4814b-05e6-4f03-af62-b443b093a4b6	DRY_COOLER
baaec938-7c0d-4457-8c08-e3ad1aac3345	e50b5df0-ef6c-4832-97dd-d1ad70ea7354	REMOTE_CONDENSER
baaec938-7c0d-4457-8c08-e3ad1aac3345	7a194412-f58b-4591-952d-2390ec6cad92	CHILLED_WATER_PUMPS
baaec938-7c0d-4457-8c08-e3ad1aac3345	04147c20-0179-4996-973b-b3a0f2871f87	HEAT_REJECTION_PUMPS
baaec938-7c0d-4457-8c08-e3ad1aac3345	14949454-1e5a-42a7-9b3f-5505b8b530b0	VENTILATION
baaec938-7c0d-4457-8c08-e3ad1aac3345	3ab9f76d-17f6-4be7-98e0-608ea50f9f58	INFILTRATION
baaec938-7c0d-4457-8c08-e3ad1aac3345	51a559ef-64fc-4ac3-b17f-e60ada8dfd4c	IT_LOAD
49702d2b-0819-464e-85de-6fc5f97aec4b	e6c9b515-2a99-45b9-821c-823ffa8b67ce	SWITCHGEAR
49702d2b-0819-464e-85de-6fc5f97aec4b	ce6fdbe8-6b58-4196-b791-d2b22f28cee5	GENERATOR
49702d2b-0819-464e-85de-6fc5f97aec4b	cc177f62-7ec6-44b8-be60-75a57a9767bd	PRIMARY_AUXILIARIES
49702d2b-0819-464e-85de-6fc5f97aec4b	b6e936e8-9659-45dc-af43-b5b1643bf024	UPS
49702d2b-0819-464e-85de-6fc5f97aec4b	2d549980-6ea0-47b3-994b-4fa1d6455d59	CRITICAL_AUXILIARIES
49702d2b-0819-464e-85de-6fc5f97aec4b	b7386234-9772-42f9-a851-0a8c4c3c5121	LIGHTING
49702d2b-0819-464e-85de-6fc5f97aec4b	af5b80eb-c4b1-4385-9e64-e89c0f171a12	CRITICAL_POWER_DISTRIBUTION
49702d2b-0819-464e-85de-6fc5f97aec4b	7ed91a97-4c3a-47fb-8661-b9d715353e16	CRAH
49702d2b-0819-464e-85de-6fc5f97aec4b	d1b2116d-4db7-4fa1-95fd-1a0399562566	CRAC
49702d2b-0819-464e-85de-6fc5f97aec4b	f823d79e-75ef-4a6c-9240-1a4685db58da	CRAC_WITHOUT_FAN
49702d2b-0819-464e-85de-6fc5f97aec4b	b1760a60-5e09-4b01-879d-b91481896913	CRAC_FAN
49702d2b-0819-464e-85de-6fc5f97aec4b	714a411b-2860-4b66-b241-de97f1d158d8	CHILLER
49702d2b-0819-464e-85de-6fc5f97aec4b	7cba9328-c729-4c7e-a87b-5bc435b9c70f	AIR_COOLED_CHILLER
49702d2b-0819-464e-85de-6fc5f97aec4b	25d32434-ae36-411f-9ccf-03a426ce1eaa	COOLING_TOWER
49702d2b-0819-464e-85de-6fc5f97aec4b	40146724-c45e-4f37-b0b8-b2032592356b	DRY_COOLER
49702d2b-0819-464e-85de-6fc5f97aec4b	f0d59b9c-46cb-44ef-9afd-12819a17820a	REMOTE_CONDENSER
49702d2b-0819-464e-85de-6fc5f97aec4b	031998b4-4bc7-467a-aa1e-bc1ac28fe5dd	CHILLED_WATER_PUMPS
49702d2b-0819-464e-85de-6fc5f97aec4b	1285d3e1-2009-4b6b-b940-83ed729067f6	HEAT_REJECTION_PUMPS
49702d2b-0819-464e-85de-6fc5f97aec4b	79e38e11-e295-4437-8117-75ad7e87e7ef	VENTILATION
49702d2b-0819-464e-85de-6fc5f97aec4b	bb5bc06e-4928-4d8c-8ebb-fab11dc2fb31	INFILTRATION
49702d2b-0819-464e-85de-6fc5f97aec4b	0534d272-cef8-426f-887b-6b4243191dbf	IT_LOAD
d003e03a-6997-4fa1-ab7c-44f606a4ac27	d58860aa-ce9e-491b-93c3-89071da8950c	SWITCHGEAR
d003e03a-6997-4fa1-ab7c-44f606a4ac27	0757b29b-4ff1-4cc1-a933-0fc609a68b65	GENERATOR
d003e03a-6997-4fa1-ab7c-44f606a4ac27	9c33c398-5629-4235-ab01-63aa3a092cf9	PRIMARY_AUXILIARIES
d003e03a-6997-4fa1-ab7c-44f606a4ac27	4d61e70e-2691-4367-a95f-2d471f8f7c9b	UPS
d003e03a-6997-4fa1-ab7c-44f606a4ac27	9b3a0c78-8b5d-4d8a-ae00-17550efa846d	CRITICAL_AUXILIARIES
d003e03a-6997-4fa1-ab7c-44f606a4ac27	7dbdb593-7252-4744-b549-bb72e39766fa	LIGHTING
d003e03a-6997-4fa1-ab7c-44f606a4ac27	84595391-04dd-4778-a4a7-0cdf3a4dce1e	CRITICAL_POWER_DISTRIBUTION
d003e03a-6997-4fa1-ab7c-44f606a4ac27	c2a7b9ee-c779-4c02-ab0d-d63c9c4f37f1	CRAH
d003e03a-6997-4fa1-ab7c-44f606a4ac27	6978a888-a767-4e45-8ae7-90982fa76972	CRAC
d003e03a-6997-4fa1-ab7c-44f606a4ac27	ccd11b0c-26e8-4fea-8488-c0670479ee0e	CRAC_WITHOUT_FAN
d003e03a-6997-4fa1-ab7c-44f606a4ac27	2600402a-2580-4c50-a132-340530ea1eef	CRAC_FAN
d003e03a-6997-4fa1-ab7c-44f606a4ac27	fafa827d-5ec8-4fc5-a430-1a99b1697bb9	CHILLER
d003e03a-6997-4fa1-ab7c-44f606a4ac27	a3f304db-5c5c-4e15-8e55-a21fc70e8383	AIR_COOLED_CHILLER
d003e03a-6997-4fa1-ab7c-44f606a4ac27	d2cc8297-50a1-40ec-9fc5-6f9408bb7256	COOLING_TOWER
d003e03a-6997-4fa1-ab7c-44f606a4ac27	e450d2d9-7e4b-4bdf-9ca0-76e90441c924	DRY_COOLER
d003e03a-6997-4fa1-ab7c-44f606a4ac27	e9e24747-0e47-423d-86dc-b27083be01e4	REMOTE_CONDENSER
d003e03a-6997-4fa1-ab7c-44f606a4ac27	efcae501-97a5-4008-90c3-545e57222d3c	CHILLED_WATER_PUMPS
d003e03a-6997-4fa1-ab7c-44f606a4ac27	5bfb18a7-d9e5-4340-855a-a1b2a0c86561	HEAT_REJECTION_PUMPS
d003e03a-6997-4fa1-ab7c-44f606a4ac27	adbfaede-0283-47b3-88c9-dbe3ab07dc9a	VENTILATION
d003e03a-6997-4fa1-ab7c-44f606a4ac27	354aec84-31e0-4fb0-b035-4e32da877a97	INFILTRATION
d003e03a-6997-4fa1-ab7c-44f606a4ac27	229d5d16-3014-4bef-a9ad-8c902b79ef46	IT_LOAD
621b2b21-652a-4336-b6fc-c43533224e85	06c9249c-67cd-4488-979c-ecc3c83b8356	SWITCHGEAR
621b2b21-652a-4336-b6fc-c43533224e85	40ac25e5-95ee-404c-9b48-ad97a00fe3e6	GENERATOR
621b2b21-652a-4336-b6fc-c43533224e85	68a0d9aa-1a0b-4c75-a549-2c893d2597e1	PRIMARY_AUXILIARIES
621b2b21-652a-4336-b6fc-c43533224e85	5420c82d-052b-4023-b4dd-022211b15bfe	UPS
621b2b21-652a-4336-b6fc-c43533224e85	27ba60dc-f970-4224-b2ae-c3387e4c5106	CRITICAL_AUXILIARIES
621b2b21-652a-4336-b6fc-c43533224e85	75b7d684-aca9-4ef5-a106-467405ca6e7c	LIGHTING
621b2b21-652a-4336-b6fc-c43533224e85	ae7162b3-3ead-4653-98de-dde750184ab4	CRITICAL_POWER_DISTRIBUTION
621b2b21-652a-4336-b6fc-c43533224e85	4cefdfc3-e7b0-48b1-a0ca-4a20d6305a69	CRAH
621b2b21-652a-4336-b6fc-c43533224e85	d5f0bc48-e8a2-4ed0-a045-1ca9262b00ad	CRAC
621b2b21-652a-4336-b6fc-c43533224e85	5054338b-5f77-4c12-88f5-282ae43ec862	CRAC_WITHOUT_FAN
621b2b21-652a-4336-b6fc-c43533224e85	7536022d-ddf4-4a47-a476-3c975729460a	CRAC_FAN
621b2b21-652a-4336-b6fc-c43533224e85	75a95dad-51dd-45ce-839c-809e49dd35cb	CHILLER
621b2b21-652a-4336-b6fc-c43533224e85	d1592c7a-ecdf-4d98-be4c-8aa6143269e6	AIR_COOLED_CHILLER
621b2b21-652a-4336-b6fc-c43533224e85	41d6cab9-568b-4522-9416-79a2766a581e	COOLING_TOWER
621b2b21-652a-4336-b6fc-c43533224e85	b487feb6-f205-403b-a6b7-cd1d1f846ecc	DRY_COOLER
621b2b21-652a-4336-b6fc-c43533224e85	a48daf54-c16f-495e-9130-2f82c109114c	REMOTE_CONDENSER
621b2b21-652a-4336-b6fc-c43533224e85	4dba03db-50f5-4659-9960-bf906ab9a6c9	CHILLED_WATER_PUMPS
621b2b21-652a-4336-b6fc-c43533224e85	f52f2b61-da6c-4b17-93ca-d440bf2d674e	HEAT_REJECTION_PUMPS
621b2b21-652a-4336-b6fc-c43533224e85	81a66556-3ee1-4a00-ae62-77281f266a1d	VENTILATION
621b2b21-652a-4336-b6fc-c43533224e85	018b6da4-6b7b-4f4c-bfe8-7ed51d8b336d	INFILTRATION
621b2b21-652a-4336-b6fc-c43533224e85	e68b02ac-4716-4bf8-a754-380d4da01242	IT_LOAD
29a0766f-c356-406b-a108-0759164b2b0e	1bc5e183-76b9-4aa2-9a9a-e45727c79d15	SWITCHGEAR
29a0766f-c356-406b-a108-0759164b2b0e	7dd0db66-3bff-4afe-9ae4-2d5be893ba14	GENERATOR
29a0766f-c356-406b-a108-0759164b2b0e	0ac5ade1-ed8e-47e9-8e59-78f724a8880d	PRIMARY_AUXILIARIES
29a0766f-c356-406b-a108-0759164b2b0e	fb58b02f-caa8-4520-9a32-a959b4d0692a	UPS
29a0766f-c356-406b-a108-0759164b2b0e	35ab08b1-0be9-4120-9fab-5cf618453c62	CRITICAL_AUXILIARIES
29a0766f-c356-406b-a108-0759164b2b0e	b6513644-2754-4c6a-b467-793f106c2498	LIGHTING
29a0766f-c356-406b-a108-0759164b2b0e	8096f324-9ff4-4fc8-9fd3-8048d4b840b4	CRITICAL_POWER_DISTRIBUTION
29a0766f-c356-406b-a108-0759164b2b0e	ed38b498-a191-4b0a-93b6-e50210cba0cd	CRAH
29a0766f-c356-406b-a108-0759164b2b0e	a7a18d6b-69fe-4617-b7e3-17df4e18074e	CRAC
29a0766f-c356-406b-a108-0759164b2b0e	9c090205-a066-4957-82c9-9df4b10c5760	CRAC_WITHOUT_FAN
29a0766f-c356-406b-a108-0759164b2b0e	715ad557-048c-4cd0-8684-ea1ce8a90e0e	CRAC_FAN
29a0766f-c356-406b-a108-0759164b2b0e	2c3a7545-d15b-4d49-8fe3-5e376f3a592f	CHILLER
29a0766f-c356-406b-a108-0759164b2b0e	2200e668-02f1-4d07-9670-e5434fc02ba6	AIR_COOLED_CHILLER
29a0766f-c356-406b-a108-0759164b2b0e	953ebd05-c181-4ca9-8383-f2a16f90c3f5	COOLING_TOWER
29a0766f-c356-406b-a108-0759164b2b0e	11e5b654-640b-4fd4-86f5-758a02e5647f	DRY_COOLER
29a0766f-c356-406b-a108-0759164b2b0e	6fd13d63-5993-41cb-803c-d2bb2dc8d53d	REMOTE_CONDENSER
29a0766f-c356-406b-a108-0759164b2b0e	96eaac94-3184-4e74-9567-5d3d08d0846c	CHILLED_WATER_PUMPS
29a0766f-c356-406b-a108-0759164b2b0e	a714ab3a-f1c7-49ae-ade1-c3d7ad5f5c61	HEAT_REJECTION_PUMPS
29a0766f-c356-406b-a108-0759164b2b0e	830e6da7-c9d2-43ac-96d1-d0a7e2122c57	VENTILATION
29a0766f-c356-406b-a108-0759164b2b0e	416efe6f-76c9-49dd-99e6-d9bc193c7b27	INFILTRATION
29a0766f-c356-406b-a108-0759164b2b0e	a257dd98-6fdf-4c12-a257-0894b82e68a5	IT_LOAD
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	12a69adc-e98b-46f8-a5bc-527ae2cf3554	SWITCHGEAR
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	915f98af-e831-49c7-88f9-5c9b74bdc135	GENERATOR
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	da06ffd6-90d6-4be0-9282-04a1fd1faf87	PRIMARY_AUXILIARIES
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	1f4affb2-0c86-455e-a9f9-5502aacd773f	UPS
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	fdca43e1-463b-4ea9-9226-a8c80a3020a5	CRITICAL_AUXILIARIES
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	1909d88d-1f05-491b-a9db-4e2b54df09e5	LIGHTING
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	0da3ed40-0caa-47b6-a866-a485a1ef27fe	CRITICAL_POWER_DISTRIBUTION
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	2b5982c8-0554-4b04-93c2-ad02df4e13d0	CRAH
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	6611ad9a-265a-456e-9497-33bfcfbc85a8	CRAC
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	e172a30b-5309-429f-8c9e-1b5a4906cfcd	CRAC_WITHOUT_FAN
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	b05aec93-61cd-48fb-894b-25d360220a92	CRAC_FAN
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	ef9e4b90-dc4b-4adf-b3ba-38c5f7556675	CHILLER
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	10f905b1-fb47-457f-a75f-4a12d7ef08ae	AIR_COOLED_CHILLER
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	5ec60747-a375-482a-b8fa-e5e7d9fa54b4	COOLING_TOWER
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	4a2e8da3-dadb-4966-9c4d-02458e65995e	DRY_COOLER
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	a489a9a8-7f92-4ca6-9012-fe5d8bc0adfb	REMOTE_CONDENSER
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	679acc62-4bc4-490d-b0e9-daeb8060a254	CHILLED_WATER_PUMPS
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	946fdd7b-0a08-4a65-9cea-f794318b0e59	HEAT_REJECTION_PUMPS
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	812da59a-82f8-43e1-8682-b52a9e9154d0	VENTILATION
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	4a9b38ef-2591-4645-a482-2e9dd088e0e1	INFILTRATION
d29c0d9f-4e62-4f67-ba37-6b872689e7ff	31f227ec-77fa-4414-8f91-c4cfa44bcee5	IT_LOAD
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	89dca5ad-8686-4f22-815b-3219a0c51264	SWITCHGEAR
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	0b009aad-e13b-42f0-ade6-260024f55576	GENERATOR
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	333d1b58-5dda-4d86-bbd4-9c43694b6392	PRIMARY_AUXILIARIES
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	a7714241-c80f-4c33-b10e-10341280a047	UPS
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	edd06dc1-13ac-41d7-a61f-0d733df96b9a	CRITICAL_AUXILIARIES
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	ebf143cd-82ec-4e8d-8d4c-b03a2c3120f7	LIGHTING
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	ac62f61b-76a9-4025-a072-cb1c92a04734	CRITICAL_POWER_DISTRIBUTION
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	e0041384-0dd8-469c-ac7d-86cfc478f483	CRAH
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	f6aeab6f-09fa-4c87-ba20-31f7cd17915c	CRAC
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	ace1517f-2ae7-4d01-9855-c20731c9f633	CRAC_WITHOUT_FAN
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	31d8b410-d181-44fd-9c4d-69818ce5a388	CRAC_FAN
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	0c39a966-d461-4223-9fab-015d2241b2b0	CHILLER
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	37ef6958-5b5a-438a-9df8-024496792420	AIR_COOLED_CHILLER
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	23a9e1bc-18fe-4556-811b-7d78340b1163	COOLING_TOWER
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	65d77966-d94c-453e-92b3-50d0280067cc	DRY_COOLER
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	53c4a3c5-7fb4-4276-938d-a5caec99dc77	REMOTE_CONDENSER
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	bf213212-2669-4ee1-a324-a8e6a878c353	CHILLED_WATER_PUMPS
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	dddc5ced-7556-403e-ab49-87083cab2a4e	HEAT_REJECTION_PUMPS
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	229cad5b-fd4c-4c99-98c5-f81bd7fa4bd8	VENTILATION
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	70bcd1ab-bacf-44b6-929e-a0662300ecc7	INFILTRATION
5fbf4c1e-3bb8-4746-8db4-0b0bc41e6ec3	59245e8b-f8d1-4d6e-97d1-27cebb456e91	IT_LOAD
e32182da-13c2-4083-a39c-02ab0dbaf39e	b547dad0-162b-4853-8a54-f4c1ff228ac4	SWITCHGEAR
e32182da-13c2-4083-a39c-02ab0dbaf39e	cc1f1c64-77d1-4296-ba7f-36329f0f97ff	GENERATOR
e32182da-13c2-4083-a39c-02ab0dbaf39e	d4bf2431-c084-44a7-a19d-5b154b15b524	PRIMARY_AUXILIARIES
e32182da-13c2-4083-a39c-02ab0dbaf39e	66476da6-1fda-4696-855f-7584397cb8b5	UPS
e32182da-13c2-4083-a39c-02ab0dbaf39e	b847b163-5ba9-4d9a-995b-db0592547e61	CRITICAL_AUXILIARIES
e32182da-13c2-4083-a39c-02ab0dbaf39e	2a5b1d08-f024-4a0b-858a-0954057182f5	LIGHTING
e32182da-13c2-4083-a39c-02ab0dbaf39e	a4a7222b-6739-4ea6-98ab-3035533106fe	CRITICAL_POWER_DISTRIBUTION
e32182da-13c2-4083-a39c-02ab0dbaf39e	042bd7c6-dcfd-43d4-9e8f-a7b6568cbed9	CRAH
e32182da-13c2-4083-a39c-02ab0dbaf39e	d65f9a77-8284-4e9a-aeb3-765ce0324964	CRAC
e32182da-13c2-4083-a39c-02ab0dbaf39e	90eeee2a-da33-490b-94e5-65bb915cc9f9	CRAC_WITHOUT_FAN
e32182da-13c2-4083-a39c-02ab0dbaf39e	f1fecbe6-8073-462c-820a-4907867e543e	CRAC_FAN
e32182da-13c2-4083-a39c-02ab0dbaf39e	0d8c4ba3-c31f-427b-a674-05a4b02e2f56	CHILLER
e32182da-13c2-4083-a39c-02ab0dbaf39e	72f4e556-5f17-4fb3-a72e-f9fd5ade407a	AIR_COOLED_CHILLER
e32182da-13c2-4083-a39c-02ab0dbaf39e	95363356-ada3-48c4-8da9-26e6f3bce2d6	COOLING_TOWER
e32182da-13c2-4083-a39c-02ab0dbaf39e	f82b74c7-3843-48c0-9dfe-3ec81614a62c	DRY_COOLER
e32182da-13c2-4083-a39c-02ab0dbaf39e	e188c0d5-6507-40a0-9ce7-8d86a649517a	REMOTE_CONDENSER
e32182da-13c2-4083-a39c-02ab0dbaf39e	9aeb12ef-03ad-458c-aa92-3369458ccdea	CHILLED_WATER_PUMPS
e32182da-13c2-4083-a39c-02ab0dbaf39e	bf149a1d-63e3-4361-b9da-12bfd6befd49	HEAT_REJECTION_PUMPS
e32182da-13c2-4083-a39c-02ab0dbaf39e	d0bd888f-d7c6-4522-a2b9-f414456440e3	VENTILATION
e32182da-13c2-4083-a39c-02ab0dbaf39e	8b70c006-3ee9-4f26-a8f8-75a3d39735f5	INFILTRATION
e32182da-13c2-4083-a39c-02ab0dbaf39e	0420895e-1db7-4574-ae6b-ff3e5135d40a	IT_LOAD
17159d59-e40d-499f-863e-f19bbf80cdc6	4a714be5-996f-4948-8182-5b04c5791985	SWITCHGEAR
17159d59-e40d-499f-863e-f19bbf80cdc6	b86b82a1-47a4-453d-96a0-4ae60b522ce3	GENERATOR
17159d59-e40d-499f-863e-f19bbf80cdc6	fedcedf9-6c05-4d36-b676-17336fe5a0de	PRIMARY_AUXILIARIES
17159d59-e40d-499f-863e-f19bbf80cdc6	76a988ba-6d87-4dc1-884c-8e5bbc46550e	UPS
17159d59-e40d-499f-863e-f19bbf80cdc6	9e3db4ea-702a-4b6b-bd28-7da5afab743c	CRITICAL_AUXILIARIES
17159d59-e40d-499f-863e-f19bbf80cdc6	0803dc9a-d544-454f-93df-6aabe77df41b	LIGHTING
17159d59-e40d-499f-863e-f19bbf80cdc6	0420b1d1-8523-4f64-b174-6dbd55218f34	CRITICAL_POWER_DISTRIBUTION
17159d59-e40d-499f-863e-f19bbf80cdc6	d7fac12d-e477-4e26-8c4e-7c942ac8d254	CRAH
17159d59-e40d-499f-863e-f19bbf80cdc6	30416b30-343e-42b1-a09d-637be0499b7e	CRAC
17159d59-e40d-499f-863e-f19bbf80cdc6	78479375-6e4c-4226-9b06-eaf6a172dde7	CRAC_WITHOUT_FAN
17159d59-e40d-499f-863e-f19bbf80cdc6	d0d42f07-c63e-4f64-8962-b79cc4cba7b7	CRAC_FAN
17159d59-e40d-499f-863e-f19bbf80cdc6	33fd6b1e-6c4e-4160-a1a5-a418a6a82913	CHILLER
17159d59-e40d-499f-863e-f19bbf80cdc6	afa654e9-cf9d-4937-a5fb-c653cd3feb87	AIR_COOLED_CHILLER
17159d59-e40d-499f-863e-f19bbf80cdc6	98f846d4-06fe-4696-afd2-08729fe717dc	COOLING_TOWER
17159d59-e40d-499f-863e-f19bbf80cdc6	4f40d15d-cd4a-44de-ad60-c1acee4b5005	DRY_COOLER
17159d59-e40d-499f-863e-f19bbf80cdc6	36a40a87-3141-4417-96a1-5cc568299cee	REMOTE_CONDENSER
17159d59-e40d-499f-863e-f19bbf80cdc6	2b11cbd0-a595-4b71-b03d-91053d013a91	CHILLED_WATER_PUMPS
17159d59-e40d-499f-863e-f19bbf80cdc6	f2f7f0a4-4e91-49d5-8e3e-9aa6204631ac	HEAT_REJECTION_PUMPS
17159d59-e40d-499f-863e-f19bbf80cdc6	602a8b82-cfb2-43a4-b353-659acf7093ae	VENTILATION
17159d59-e40d-499f-863e-f19bbf80cdc6	f7c307c5-4cf7-417c-8817-eb2cb8f29b33	INFILTRATION
17159d59-e40d-499f-863e-f19bbf80cdc6	df04a801-d96a-4a6e-9ee4-6f6f9b755aa6	IT_LOAD
5d42a349-d5e2-4839-a4bf-b07158a96318	abf99832-3b9c-42a2-84d2-502745da0252	SWITCHGEAR
5d42a349-d5e2-4839-a4bf-b07158a96318	7bcb9ccf-6e32-407a-a575-035ef590ab90	GENERATOR
5d42a349-d5e2-4839-a4bf-b07158a96318	625fffaf-386f-4eb1-a20e-be56f2e5e03a	PRIMARY_AUXILIARIES
5d42a349-d5e2-4839-a4bf-b07158a96318	a9b7c122-5425-4778-91ea-ea19eda502cd	UPS
5d42a349-d5e2-4839-a4bf-b07158a96318	99e2ea84-5138-4f66-ba37-801d64d4fdec	CRITICAL_AUXILIARIES
5d42a349-d5e2-4839-a4bf-b07158a96318	68d333e1-10c3-4d3b-a659-e7e9a84578c3	LIGHTING
5d42a349-d5e2-4839-a4bf-b07158a96318	bf230e01-63a6-40ea-b387-0809bd6adf0c	CRITICAL_POWER_DISTRIBUTION
5d42a349-d5e2-4839-a4bf-b07158a96318	ead76b55-fcf3-4311-a23f-008444c13826	CRAH
5d42a349-d5e2-4839-a4bf-b07158a96318	dc627252-750f-415c-a575-f1c818c4ed38	CRAC
5d42a349-d5e2-4839-a4bf-b07158a96318	2ba1eefa-4fd0-424c-9d3b-a34bf399905d	CRAC_WITHOUT_FAN
5d42a349-d5e2-4839-a4bf-b07158a96318	1a17123d-d1de-4c18-958f-ac4359790b43	CRAC_FAN
5d42a349-d5e2-4839-a4bf-b07158a96318	4523f14c-b33c-4d36-9530-0f9421269e43	CHILLER
5d42a349-d5e2-4839-a4bf-b07158a96318	f1bd7fb1-7558-4cb1-9ae3-7a3c8b3ce6d9	AIR_COOLED_CHILLER
5d42a349-d5e2-4839-a4bf-b07158a96318	aa70495d-0641-4a9d-a525-366d518c1283	COOLING_TOWER
5d42a349-d5e2-4839-a4bf-b07158a96318	d797f4a1-603e-43ae-9535-2228f76e8f8d	DRY_COOLER
5d42a349-d5e2-4839-a4bf-b07158a96318	b0b51132-b702-4fcc-bb3d-5468309860a4	REMOTE_CONDENSER
5d42a349-d5e2-4839-a4bf-b07158a96318	90f81287-2e76-41e0-9969-72c6f195fd21	CHILLED_WATER_PUMPS
5d42a349-d5e2-4839-a4bf-b07158a96318	161e12a8-c9c3-40b9-a97e-0fa7151d01bd	HEAT_REJECTION_PUMPS
5d42a349-d5e2-4839-a4bf-b07158a96318	1476a007-0988-4a1f-a28d-0c1f93dd89b8	VENTILATION
5d42a349-d5e2-4839-a4bf-b07158a96318	fb7f2da5-9427-4e4b-b594-f5a523039764	INFILTRATION
5d42a349-d5e2-4839-a4bf-b07158a96318	15547421-43bb-438c-9223-2e9064c0d378	IT_LOAD
8fb209ce-306b-47d1-96aa-a3bde9aa8199	94eaa2d9-cc38-4bbc-828f-4f29bdef7bad	SWITCHGEAR
8fb209ce-306b-47d1-96aa-a3bde9aa8199	0ee87f1c-a410-43a3-917d-8153fb1e6d94	GENERATOR
8fb209ce-306b-47d1-96aa-a3bde9aa8199	ca84d15e-dc0a-4103-874c-65da1142dd8b	PRIMARY_AUXILIARIES
8fb209ce-306b-47d1-96aa-a3bde9aa8199	8c821db4-f599-4d47-8b27-4cb2e38b1b97	UPS
8fb209ce-306b-47d1-96aa-a3bde9aa8199	fc4d3b96-7515-4768-91f7-69c70d843537	CRITICAL_AUXILIARIES
8fb209ce-306b-47d1-96aa-a3bde9aa8199	e92e9485-0818-42e1-8e7e-8d79feaebecb	LIGHTING
8fb209ce-306b-47d1-96aa-a3bde9aa8199	466bfc84-d154-493c-8ae7-499543aaaf83	CRITICAL_POWER_DISTRIBUTION
8fb209ce-306b-47d1-96aa-a3bde9aa8199	4272a94b-f79a-4835-bb24-3f0965b1fac8	CRAH
8fb209ce-306b-47d1-96aa-a3bde9aa8199	0d7c4a68-f32b-4fc9-91c5-fb9c38780b04	CRAC
8fb209ce-306b-47d1-96aa-a3bde9aa8199	181f2ec5-abd4-4208-863f-b23542769cec	CRAC_WITHOUT_FAN
8fb209ce-306b-47d1-96aa-a3bde9aa8199	6d24d28f-7e3a-4a6d-a158-27f8c3523823	CRAC_FAN
8fb209ce-306b-47d1-96aa-a3bde9aa8199	6710ec40-b850-4e37-8ab2-9fc6436b6f14	CHILLER
8fb209ce-306b-47d1-96aa-a3bde9aa8199	bdbcd5f4-24ca-48d4-baa3-adb9b2088663	AIR_COOLED_CHILLER
8fb209ce-306b-47d1-96aa-a3bde9aa8199	ec53d487-c251-4bdf-af6b-b000166fff39	COOLING_TOWER
8fb209ce-306b-47d1-96aa-a3bde9aa8199	cc6024a4-0703-4ea1-92cc-5d84ee3354d4	DRY_COOLER
8fb209ce-306b-47d1-96aa-a3bde9aa8199	e761dd07-5260-4f67-b93b-da87ce9e187c	REMOTE_CONDENSER
8fb209ce-306b-47d1-96aa-a3bde9aa8199	5e3d9ad0-a34e-4d0b-9ab8-83c83165678f	CHILLED_WATER_PUMPS
8fb209ce-306b-47d1-96aa-a3bde9aa8199	52c259b5-2175-4911-a664-e2f50844b609	HEAT_REJECTION_PUMPS
8fb209ce-306b-47d1-96aa-a3bde9aa8199	2a99043a-3e6c-4ae2-a5c5-6fd07ea100e1	VENTILATION
8fb209ce-306b-47d1-96aa-a3bde9aa8199	88763527-3e9c-4cf5-9709-32c7cd0b9fee	INFILTRATION
8fb209ce-306b-47d1-96aa-a3bde9aa8199	0f937b52-4c53-497b-8d02-dfa978035245	IT_LOAD
41cce782-a08d-480b-b631-beae0d4eed95	357e3820-c293-4575-90cb-a9b4588e88ea	SWITCHGEAR
41cce782-a08d-480b-b631-beae0d4eed95	937dc553-27f9-4508-801a-9908025a5fb4	GENERATOR
41cce782-a08d-480b-b631-beae0d4eed95	87b1f0b2-70a4-43d6-8b60-9c73a28a4bde	PRIMARY_AUXILIARIES
41cce782-a08d-480b-b631-beae0d4eed95	1ffa8a66-a354-4fa6-9f7a-52ea44c52056	UPS
41cce782-a08d-480b-b631-beae0d4eed95	a9f5835d-ad8c-4b3d-a7b6-aaf47ddcfab9	CRITICAL_AUXILIARIES
41cce782-a08d-480b-b631-beae0d4eed95	c6640701-56f4-4d25-ab26-28b131e440c9	LIGHTING
41cce782-a08d-480b-b631-beae0d4eed95	f1b4db4f-3e4b-49bc-857e-16c1c91a04c9	CRITICAL_POWER_DISTRIBUTION
41cce782-a08d-480b-b631-beae0d4eed95	9cd9cbaa-c379-42f0-bb57-0e00ec4eb778	CRAH
41cce782-a08d-480b-b631-beae0d4eed95	6d426f4b-8686-451e-989f-b12bb845dbe2	CRAC
41cce782-a08d-480b-b631-beae0d4eed95	c45fe184-0c1c-48b9-9145-261fab400934	CRAC_WITHOUT_FAN
41cce782-a08d-480b-b631-beae0d4eed95	264d349b-01bf-41dd-b707-aeb90adfef6d	CRAC_FAN
41cce782-a08d-480b-b631-beae0d4eed95	ef6c8976-1449-4555-8338-d97bd20392df	CHILLER
41cce782-a08d-480b-b631-beae0d4eed95	a709c280-2242-4f69-8cb3-d77c2f590a77	AIR_COOLED_CHILLER
41cce782-a08d-480b-b631-beae0d4eed95	1447b6af-0051-480a-82e2-6d1a189d180e	COOLING_TOWER
41cce782-a08d-480b-b631-beae0d4eed95	70cad544-4079-4e22-8005-575a384bc976	DRY_COOLER
41cce782-a08d-480b-b631-beae0d4eed95	c6a1f86b-7d4b-42e6-aa47-44c04e0dba12	REMOTE_CONDENSER
41cce782-a08d-480b-b631-beae0d4eed95	446cfefa-86e9-44dd-9a75-7b5c6af317f9	CHILLED_WATER_PUMPS
41cce782-a08d-480b-b631-beae0d4eed95	d7c06695-d5d6-4102-af9b-bc6cfc919456	HEAT_REJECTION_PUMPS
41cce782-a08d-480b-b631-beae0d4eed95	fc2a5100-f1f2-4d4b-8472-c367c6e4bbba	VENTILATION
41cce782-a08d-480b-b631-beae0d4eed95	b6fcc439-fdbf-4190-979e-0044f52a0c73	INFILTRATION
41cce782-a08d-480b-b631-beae0d4eed95	359cafbb-794c-4cdc-b912-f4462da26cd1	IT_LOAD
91b27187-b712-456f-93b5-5ec396662c20	f4f8ca50-b490-477f-b3da-79d96a08a153	SWITCHGEAR
91b27187-b712-456f-93b5-5ec396662c20	e52b1e0e-36fc-4045-a0d2-de3230861200	GENERATOR
91b27187-b712-456f-93b5-5ec396662c20	206dfa4e-5226-4603-8cfd-440a2d4c8780	PRIMARY_AUXILIARIES
91b27187-b712-456f-93b5-5ec396662c20	68ed6cd6-f70f-4257-bc16-9ec52fdc6bd9	UPS
91b27187-b712-456f-93b5-5ec396662c20	0994bb6a-5245-4616-99da-25f0dafbef0c	CRITICAL_AUXILIARIES
91b27187-b712-456f-93b5-5ec396662c20	40e16d15-97fc-488b-98e6-7dac4f289ee0	LIGHTING
91b27187-b712-456f-93b5-5ec396662c20	da03eb6a-3a27-48dc-8702-fea1ad87a38a	CRITICAL_POWER_DISTRIBUTION
91b27187-b712-456f-93b5-5ec396662c20	6b0b3353-44bd-42b9-b96e-5bd0411024e4	CRAH
91b27187-b712-456f-93b5-5ec396662c20	2e605a2c-4a84-4fec-8ca6-1fb419eec13f	CRAC
91b27187-b712-456f-93b5-5ec396662c20	066100ca-f5bf-4992-90b1-c87959156dee	CRAC_WITHOUT_FAN
91b27187-b712-456f-93b5-5ec396662c20	d747e0aa-e301-46f6-900e-96f8f0464514	CRAC_FAN
91b27187-b712-456f-93b5-5ec396662c20	8ef457c5-246f-4d3a-b184-8e0e50abd460	CHILLER
91b27187-b712-456f-93b5-5ec396662c20	5e05823b-3ce8-4e42-b9c0-7ee3c2a985d3	AIR_COOLED_CHILLER
91b27187-b712-456f-93b5-5ec396662c20	99504b86-044c-4927-8fb0-bd5613c1b5f9	COOLING_TOWER
91b27187-b712-456f-93b5-5ec396662c20	441b0390-669c-4b2a-b174-e4e27747c589	DRY_COOLER
91b27187-b712-456f-93b5-5ec396662c20	5770b851-ee22-40f8-96d4-e0b404189347	REMOTE_CONDENSER
91b27187-b712-456f-93b5-5ec396662c20	db00d592-a47f-42c4-8d83-9b472f4aa33d	CHILLED_WATER_PUMPS
91b27187-b712-456f-93b5-5ec396662c20	e82673b1-1b95-497c-9783-205650e301f9	HEAT_REJECTION_PUMPS
91b27187-b712-456f-93b5-5ec396662c20	40f18bcf-eaf7-464f-88b7-c6a0463d9adf	VENTILATION
91b27187-b712-456f-93b5-5ec396662c20	a45d3ada-5437-41c7-a4a1-fbf375aa212b	INFILTRATION
91b27187-b712-456f-93b5-5ec396662c20	ae822baf-a605-4b7d-bbb5-f08a472e959f	IT_LOAD
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	99b1b701-d3e7-40a9-89b5-cc9a16aba6a0	SWITCHGEAR
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	36c74b8d-011f-486d-b156-49f15cd9a040	GENERATOR
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	9ee9f6a8-9587-4cb9-b07a-968e850ae744	PRIMARY_AUXILIARIES
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	c9be048a-2eb5-4909-ba48-39cf21fdce8a	UPS
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	058d9589-3032-4704-b620-776ddcbd4d75	CRITICAL_AUXILIARIES
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	54b79cb3-1eab-40ca-97ab-0ac662cc940a	LIGHTING
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	ba16bc4f-285e-4f4c-8107-b604bbb1257e	CRITICAL_POWER_DISTRIBUTION
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	a9903313-2ec7-4223-91fc-44576aa6f5bf	CRAH
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	52eca306-764c-4404-beea-42d46e6fbedb	CRAC
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	18aa5f06-b9e3-4f0d-9a24-5971fbb9966f	CRAC_WITHOUT_FAN
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	aab74147-5a2a-4dfc-8dae-d79bfbddb9d1	CRAC_FAN
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	63d24ee7-c984-4693-987a-f2793efe0f4e	CHILLER
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	19a932e4-3489-40de-97dc-017fd786b259	AIR_COOLED_CHILLER
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	ea42f544-b1fb-4968-a947-a83486877722	COOLING_TOWER
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	cccbe19f-d9ff-4cf0-b678-64b734051b3a	DRY_COOLER
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	cfb69d74-9835-45af-bbd4-0758ebcfa211	REMOTE_CONDENSER
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	5ab3246c-328a-45e2-a189-53aaffe1349e	CHILLED_WATER_PUMPS
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	5c3c8119-69d4-4b59-baf6-651a36efb1fb	HEAT_REJECTION_PUMPS
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	130cac62-46e0-477d-97ba-eadab0744ab8	VENTILATION
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	e80d8e9f-a8a2-4564-b826-d31f242545fc	INFILTRATION
2a6ad32e-dbec-4c8e-810b-4b47a9adb91a	dcd59af0-20eb-4d92-8508-4388b363886b	IT_LOAD
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	48191e31-0fcc-4d36-86f5-c95669534d4c	SWITCHGEAR
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	2c440296-2a8b-45bc-b7b2-773de68f65fc	GENERATOR
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	8f3f74c3-6f47-493a-ab52-396ae2d02e9e	PRIMARY_AUXILIARIES
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	bf5bac89-41aa-4cae-96a0-bcd0c339c006	UPS
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	e4c75c7f-e105-4e90-9f32-ed94b695e2e4	CRITICAL_AUXILIARIES
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	a4d770bd-f025-4f2c-8cf5-39e4152df432	LIGHTING
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	a8675994-49b3-4038-b704-485083a149f1	CRITICAL_POWER_DISTRIBUTION
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	d6872065-5699-4378-8ce3-fd2e901aae4d	CRAH
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	d778cec2-4776-4916-8d5c-7eb26db708b6	CRAC
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	8e8a943f-18d1-4e5c-8988-7bdca1eb5cb3	CRAC_WITHOUT_FAN
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	065d5eea-cb05-4773-87cf-356d42a6fedd	CRAC_FAN
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	0300dd97-d50b-4ac7-96e9-5594a13d612d	CHILLER
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	0d4a7832-5730-4f12-aaf7-8099fd74e604	AIR_COOLED_CHILLER
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	d797efd0-7bc5-46e3-aa01-240d348118fb	COOLING_TOWER
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	b62bb69f-9d72-49ec-910c-7cfb92bcc5fb	DRY_COOLER
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	7c27196b-57eb-4b2d-9423-bba552118762	REMOTE_CONDENSER
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	e9976c88-967f-4b93-a1f4-4e6b5a96670f	CHILLED_WATER_PUMPS
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	e75738bf-49da-410f-8209-90ba235595a3	HEAT_REJECTION_PUMPS
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	a9db6f7d-a8d2-45af-9924-f2c5f5c3e0cb	VENTILATION
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	844c9c73-2a7e-463e-acdc-03c61414e625	INFILTRATION
7949c7e3-5c0f-4b8e-9eb6-2b9f9c38de33	4cae411f-bed1-4962-a5cc-1895e376c477	IT_LOAD
\.


--
-- Data for Name: redundancy; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY redundancy (value) FROM stdin;
\.


--
-- Data for Name: scriptedsensor; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY scriptedsensor (uuid, name, script) FROM stdin;
f9e573d2-391d-4dfa-95e3-35ffbe9195dd	UPS SX	//Ensure that the returnValue is changed to support your script\nreturnValue = 15 + 14 + 9;
0bcda03a-53bc-4a0d-9ba2-371b9be70605	UPS DX	//Ensure that the returnValue is changed to support your script\nreturnValue = 15 + 11 + 12;
337e1375-31c5-400e-9259-97b70d59fe80	PDU SX 2	//Ensure that the returnValue is changed to support your script\nreturnValue = 5;
ad90b055-ca6a-4f5f-8cef-68fe41751213	PDU SX 4	//Ensure that the returnValue is changed to support your script\nreturnValue = 13;
ade08d6e-1a5f-4d40-bd8d-4b3d061f1682	PDU SX 3	//Ensure that the returnValue is changed to support your script\nreturnValue = 9;
8ea89de5-fe26-4d97-afd3-294b43ea4e71	PDU SX 1	//Ensure that the returnValue is changed to support your script\nreturnValue = 12;
bdfc861c-50ab-4c49-82c6-b670c3128e58	PDU DX 4	//Ensure that the returnValue is changed to support your script\nreturnValue = 12;
d5e29726-364c-4ef7-a670-ffd37e6caa4d	PDU DX 3	//Ensure that the returnValue is changed to support your script\nreturnValue = 10;
cccec6de-ded4-453d-b8e3-852e5e633105	PDU DX 1	//Ensure that the returnValue is changed to support your script\nreturnValue = 11;
7db4f557-9a6e-4658-87bb-15bde89ef90e	PDU DX 2	//Ensure that the returnValue is changed to support your script\nreturnValue = 5;
0765a73a-9bce-40f8-a610-20d8c5ed539f	CRAC 4	//Ensure that the returnValue is changed to support your script\nreturnValue = 2;
f4c07f75-d902-42f2-add0-4a716f6bbb8a	CRAC 2	//Ensure that the returnValue is changed to support your script\nreturnValue = 2;
e0e0cda6-6fe3-4588-8062-af93b6859ef3	CRAC 1	//Ensure that the returnValue is changed to support your script\nreturnValue = 2;
dae2f70b-420e-4766-92d5-57901a3832be	CRAC 3	//Ensure that the returnValue is changed to support your script\nreturnValue = 2;
\.


--
-- Data for Name: subsystemconfiguration; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY subsystemconfiguration (uuid, measurementreader, powerpath, source, actualnameplate, deratefraction, drybulbfixedloss, fixedlossfraction, proportionallossfraction, redundancy, redundancyincrement, squarelawlossfraction, usablefraction, usablepu) FROM stdin;
3a4cde02-abb4-4dec-a132-2975cc6a1a5f	//Ensure that the returnValue is changed to support your script\nreturnValue = 10;	0	1	0	0	0	0	0	0	0	0	0	0
b0661368-a1e0-4ab0-b1c3-c71092643af1	//Ensure that the returnValue is changed to support your script\nreturnValue = 10;	0	1	0	0	0	0	0	0	0	0	0	0
927ddf75-ff93-4834-b5c7-74e33662ae52	\N	0	\N	0	0	0	0	0	0	0	0	0	0
4432d6ce-02a8-40e5-9460-30e5bc8eb0ad	\N	0	\N	0	0	0	0	0	0	0	0	0	0
182007d8-cfba-4942-860b-41a730457335	\N	0	\N	0	0	0	0	0	0	0	0	0	0
022c9876-f11a-45df-bf84-0f9170af920a	\N	0	\N	0	0	0	0	0	0	0	0	0	0
1c7c1e89-e060-4a18-a947-41bfd1600785	\N	0	\N	0	0	0	0	0	0	0	0	0	0
dfee22cf-7377-44b6-a2dc-057b22e778c5	\N	0	\N	0	0	0	0	0	0	0	0	0	0
de551596-858c-4e9e-9f07-4c322ff7d10e	\N	0	\N	0	0	0	0	0	0	0	0	0	0
9622aaf3-cae4-46f7-b566-baf115b46d17	\N	0	\N	0	0	0	0	0	0	0	0	0	0
be25b63e-4f85-419f-9393-6a35592ef5b9	\N	0	\N	0	0	0	0	0	0	0	0	0	0
d326a3f7-3220-49f2-8b9d-0b0f64f2a008	\N	0	\N	0	0	0	0	0	0	0	0	0	0
1af462dd-0a3b-4b96-b506-d568010ab989	\N	0	\N	0	0	0	0	0	0	0	0	0	0
ba3bca35-ccfe-4ad0-87d7-9c00375ab7ae	\N	0	\N	0	0	0	0	0	0	0	0	0	0
2a8ae866-0f51-4225-a5a6-cbc4e6fd13ec	\N	0	\N	0	0	0	0	0	0	0	0	0	0
fe5dc436-fbd6-481d-bdaa-be6002cf0e44	\N	3	1	1600	1	0	0.0599999999999999978	0	0	0	0.0500000000000000028	0	2.5
ab98c086-8716-4f78-ae42-8c1c20fc96c5	\N	3	1	0	NaN	NaN	NaN	NaN	0	0	NaN	NaN	NaN
3a574134-94d6-4a81-8d2a-69f9f82fb11b	//Ensure that the returnValue is changed to support your script\nreturnValue = 10;	0	1	0	0	0	0	0	0	0	0	0	0
00ce7163-b4d6-4faa-9763-47b9ac79117c	//Ensure that the returnValue is changed to support your script\nreturnValue = 70; 	3	1	0	0	0	0	0	0	0	0	0	0
5912ea49-ebd3-4563-81c5-ebd1698d31bf	\N	2	0	1600	1.19999999999999996	0	0.0400000000000000008	0.0500000000000000028	0	0	0.0500000000000000028	0	1.39999999999999991
b5c5145f-5b97-44fa-a19d-3be0fb3f5f3f	\N	1	0	2000	1	0	0	0	0	0	0.0100000000000000002	0	2
\.


--
-- Data for Name: subsystemsource; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY subsystemsource (text) FROM stdin;
\.


--
-- Data for Name: virtualdevice; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY virtualdevice (uuid, name) FROM stdin;
98815ed6-aac0-4436-b0bc-ffb372beac3e	Verona
\.


--
-- Data for Name: virtualdevice_scriptedsensor; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY virtualdevice_scriptedsensor (virtualdevice_uuid, sensors_uuid) FROM stdin;
98815ed6-aac0-4436-b0bc-ffb372beac3e	f4c07f75-d902-42f2-add0-4a716f6bbb8a
98815ed6-aac0-4436-b0bc-ffb372beac3e	0765a73a-9bce-40f8-a610-20d8c5ed539f
98815ed6-aac0-4436-b0bc-ffb372beac3e	e0e0cda6-6fe3-4588-8062-af93b6859ef3
98815ed6-aac0-4436-b0bc-ffb372beac3e	dae2f70b-420e-4766-92d5-57901a3832be
98815ed6-aac0-4436-b0bc-ffb372beac3e	f9e573d2-391d-4dfa-95e3-35ffbe9195dd
98815ed6-aac0-4436-b0bc-ffb372beac3e	0bcda03a-53bc-4a0d-9ba2-371b9be70605
\.


--
-- Data for Name: virtualdevicemap; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY virtualdevicemap (uuid) FROM stdin;
f42434e1-e2e0-4a66-bf30-23e1cfcfd1c9
\.


--
-- Data for Name: virtualdevicemap_map; Type: TABLE DATA; Schema: public; Owner: isxouser
--

COPY virtualdevicemap_map (virtualdevicemap_uuid, element, mapkey) FROM stdin;
\.


--
-- Name: calculateddata$subsystemlossregistration_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY "calculateddata$subsystemlossregistration"
    ADD CONSTRAINT "calculateddata$subsystemlossregistration_pkey" PRIMARY KEY (uuid);


--
-- Name: dimension_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY dimension
    ADD CONSTRAINT dimension_pkey PRIMARY KEY (uuid);


--
-- Name: energysystem_equipmentsensormap_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY energysystem_equipmentsensormap
    ADD CONSTRAINT energysystem_equipmentsensormap_pkey PRIMARY KEY (energysystem_uuid, mapkey);


--
-- Name: energysystem_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY energysystem
    ADD CONSTRAINT energysystem_pkey PRIMARY KEY (uuid);


--
-- Name: energysystem_subsystemconfiguration_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY energysystem_subsystemconfiguration
    ADD CONSTRAINT energysystem_subsystemconfiguration_pkey PRIMARY KEY (energysystem_uuid, subsystem_type);


--
-- Name: graphicalrepresentation_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY graphicalrepresentation
    ADD CONSTRAINT graphicalrepresentation_pkey PRIMARY KEY (uuid);


--
-- Name: point_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY point
    ADD CONSTRAINT point_pkey PRIMARY KEY (uuid);


--
-- Name: powerdependencydiagram_graphicalrepresentation_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY powerdependencydiagram_graphicalrepresentation
    ADD CONSTRAINT powerdependencydiagram_graphicalrepresentation_pkey PRIMARY KEY (powerdependencydiagram_uuid, mapkey);


--
-- Name: powerdependencydiagram_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY powerdependencydiagram
    ADD CONSTRAINT powerdependencydiagram_pkey PRIMARY KEY (uuid);


--
-- Name: powerpath_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY powerpath
    ADD CONSTRAINT powerpath_pkey PRIMARY KEY (id);


--
-- Name: puemeasurement_calculateddata$subsystemlossregistration_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY "puemeasurement_calculateddata$subsystemlossregistration"
    ADD CONSTRAINT "puemeasurement_calculateddata$subsystemlossregistration_pkey" PRIMARY KEY (puemeasurement_uuid, subsystem_type);


--
-- Name: puemeasurement_calculateddata_subsystemlossregistration_uui_key; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY "puemeasurement_calculateddata$subsystemlossregistration"
    ADD CONSTRAINT puemeasurement_calculateddata_subsystemlossregistration_uui_key UNIQUE (subsystemlossregistration_uuid);


--
-- Name: puemeasurement_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY puemeasurement
    ADD CONSTRAINT puemeasurement_pkey PRIMARY KEY (uuid);


--
-- Name: redundancy_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY redundancy
    ADD CONSTRAINT redundancy_pkey PRIMARY KEY (value);


--
-- Name: scriptedsensor_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY scriptedsensor
    ADD CONSTRAINT scriptedsensor_pkey PRIMARY KEY (uuid);


--
-- Name: subsystemconfiguration_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY subsystemconfiguration
    ADD CONSTRAINT subsystemconfiguration_pkey PRIMARY KEY (uuid);


--
-- Name: subsystemsource_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY subsystemsource
    ADD CONSTRAINT subsystemsource_pkey PRIMARY KEY (text);


--
-- Name: virtualdevice_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY virtualdevice
    ADD CONSTRAINT virtualdevice_pkey PRIMARY KEY (uuid);


--
-- Name: virtualdevice_scriptedsensor_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY virtualdevice_scriptedsensor
    ADD CONSTRAINT virtualdevice_scriptedsensor_pkey PRIMARY KEY (virtualdevice_uuid, sensors_uuid);


--
-- Name: virtualdevice_scriptedsensor_sensors_uuid_key; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY virtualdevice_scriptedsensor
    ADD CONSTRAINT virtualdevice_scriptedsensor_sensors_uuid_key UNIQUE (sensors_uuid);


--
-- Name: virtualdevicemap_map_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY virtualdevicemap_map
    ADD CONSTRAINT virtualdevicemap_map_pkey PRIMARY KEY (virtualdevicemap_uuid, mapkey);


--
-- Name: virtualdevicemap_pkey; Type: CONSTRAINT; Schema: public; Owner: isxouser; Tablespace: 
--

ALTER TABLE ONLY virtualdevicemap
    ADD CONSTRAINT virtualdevicemap_pkey PRIMARY KEY (uuid);


--
-- Name: fk1a5d7e024cc7318c; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY virtualdevice_scriptedsensor
    ADD CONSTRAINT fk1a5d7e024cc7318c FOREIGN KEY (sensors_uuid) REFERENCES scriptedsensor(uuid);


--
-- Name: fk1a5d7e024f2c9a33; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY virtualdevice_scriptedsensor
    ADD CONSTRAINT fk1a5d7e024f2c9a33 FOREIGN KEY (virtualdevice_uuid) REFERENCES virtualdevice(uuid);


--
-- Name: fk53ca9f9cc8491e84; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY energysystem_equipmentsensormap
    ADD CONSTRAINT fk53ca9f9cc8491e84 FOREIGN KEY (energysystem_uuid) REFERENCES energysystem(uuid);


--
-- Name: fk5659b646c8491e84; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY energysystem_equipment
    ADD CONSTRAINT fk5659b646c8491e84 FOREIGN KEY (energysystem_uuid) REFERENCES energysystem(uuid);


--
-- Name: fk6b7243124a4322e4; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY "puemeasurement_calculateddata$subsystemlossregistration"
    ADD CONSTRAINT fk6b7243124a4322e4 FOREIGN KEY (puemeasurement_uuid) REFERENCES puemeasurement(uuid);


--
-- Name: fk6b724312749768e8; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY "puemeasurement_calculateddata$subsystemlossregistration"
    ADD CONSTRAINT fk6b724312749768e8 FOREIGN KEY (subsystemlossregistration_uuid) REFERENCES "calculateddata$subsystemlossregistration"(uuid);


--
-- Name: fk7ff6b9049b883ac; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY powerdependencydiagram_graphicalrepresentation
    ADD CONSTRAINT fk7ff6b9049b883ac FOREIGN KEY (powerdependencydiagram_uuid) REFERENCES powerdependencydiagram(uuid);


--
-- Name: fk7ff6b904b174b689; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY powerdependencydiagram_graphicalrepresentation
    ADD CONSTRAINT fk7ff6b904b174b689 FOREIGN KEY (locationmap_uuid) REFERENCES graphicalrepresentation(uuid);


--
-- Name: fkcd6687981ab5adc1; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY virtualdevicemap_map
    ADD CONSTRAINT fkcd6687981ab5adc1 FOREIGN KEY (virtualdevicemap_uuid) REFERENCES virtualdevicemap(uuid);


--
-- Name: fkd898572f41685674; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY energysystem_subsystemconfiguration
    ADD CONSTRAINT fkd898572f41685674 FOREIGN KEY (subsystems_uuid) REFERENCES subsystemconfiguration(uuid);


--
-- Name: fkd898572fc8491e84; Type: FK CONSTRAINT; Schema: public; Owner: isxouser
--

ALTER TABLE ONLY energysystem_subsystemconfiguration
    ADD CONSTRAINT fkd898572fc8491e84 FOREIGN KEY (energysystem_uuid) REFERENCES energysystem(uuid);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

